""" Cisco_IOS_XE_native 

NED YANG module for IOS\-XE
Copyright (c) 2016\-2017 by Cisco Systems, Inc.
All rights reserved.

"""
from ydk.types import Entity, EntityPath, Identity, Enum, YType, YLeaf, YLeafList, YList, LeafDataList, Bits, Empty, Decimal64
from ydk.filters import YFilter
from ydk.errors import YPYError, YPYModelError
from ydk.errors.error_handler import handle_type_error as _handle_type_error


class LoggingLevelType(Enum):
    """
    LoggingLevelType

    .. data:: alerts = 0

    .. data:: critical = 1

    .. data:: debugging = 2

    .. data:: emergencies = 3

    .. data:: errors = 4

    .. data:: informational = 5

    .. data:: notifications = 6

    .. data:: warnings = 7

    .. data:: bogus = 8

    """

    alerts = Enum.YLeaf(0, "alerts")

    critical = Enum.YLeaf(1, "critical")

    debugging = Enum.YLeaf(2, "debugging")

    emergencies = Enum.YLeaf(3, "emergencies")

    errors = Enum.YLeaf(4, "errors")

    informational = Enum.YLeaf(5, "informational")

    notifications = Enum.YLeaf(6, "notifications")

    warnings = Enum.YLeaf(7, "warnings")

    bogus = Enum.YLeaf(8, "bogus")



class Native(Entity):
    """
    
    
    .. attribute:: default
    
    	Set a command to its defaults
    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Default>`
    
    .. attribute:: bfd
    
    	BFD configuration commands
    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd>`
    
    .. attribute:: version
    
    	Version
    	**type**\: str
    
    .. attribute:: boot_start_marker
    
    	
    	**type**\: :py:class:`Empty<ydk.types.Empty>`
    
    .. attribute:: boot
    
    	Modify boot system parameters
    	**type**\:  :py:class:`Boot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot>`
    
    .. attribute:: boot_end_marker
    
    	
    	**type**\: :py:class:`Empty<ydk.types.Empty>`
    
    .. attribute:: captive_portal_bypass
    
    	Enable Captive portal bypass for apple devices
    	**type**\: :py:class:`Empty<ydk.types.Empty>`
    
    .. attribute:: memory
    
    	Configure memory management
    	**type**\:  :py:class:`Memory <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory>`
    
    .. attribute:: location
    
    	Global location configuration commands
    	**type**\:  :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Location>`
    
    .. attribute:: call_home
    
    	Enter call\-home configuration mode
    	**type**\:  :py:class:`CallHome <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome>`
    
    	**presence node**\: True
    
    .. attribute:: hw_module
    
    	Control of individual components in the system
    	**type**\:  :py:class:`HwModule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwModule>`
    
    .. attribute:: cisp
    
    	Set CISP parameters
    	**type**\:  :py:class:`Cisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cisp>`
    
    .. attribute:: module
    
    	Module
    	**type**\:  :py:class:`Module <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Module>`
    
    .. attribute:: domain
    
    	Domain Configuration Commands
    	**type**\: list of  		 :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain>`
    
    .. attribute:: parser
    
    	Configure parser
    	**type**\:  :py:class:`Parser <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Parser>`
    
    .. attribute:: service
    
    	Modify use of network based services
    	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service>`
    
    .. attribute:: platform
    
    	platform specific configuration
    	**type**\:  :py:class:`Platform <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform>`
    
    .. attribute:: hostname
    
    	Set system's network name
    	**type**\: str
    
    .. attribute:: enable
    
    	Modify enable password parameters
    	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Enable>`
    
    .. attribute:: password
    
    	Configure encryption password (key)
    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Password>`
    
    .. attribute:: eap
    
    	Configure EAP authenticator parameters
    	**type**\:  :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Eap>`
    
    .. attribute:: archive
    
    	Archive the configuration
    	**type**\:  :py:class:`Archive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive>`
    
    .. attribute:: username
    
    	Establish User Name Authentication
    	**type**\: list of  		 :py:class:`Username <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Username>`
    
    .. attribute:: controller
    
    	Configure controller
    	**type**\:  :py:class:`Controller <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller>`
    
    .. attribute:: aqm_register_fnf
    
    	Export audio/video stats to flow record
    	**type**\: :py:class:`Empty<ydk.types.Empty>`
    
    .. attribute:: vrf
    
    	VRF commands
    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf>`
    
    .. attribute:: rmon
    
    	Remote Monitoring
    	**type**\:  :py:class:`Rmon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rmon>`
    
    .. attribute:: sampler
    
    	Define a Sampler
    	**type**\: list of  		 :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sampler>`
    
    .. attribute:: flow
    
    	Global Flow configuration subcommands
    	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow>`
    
    .. attribute:: ip
    
    	Global IP configuration subcommands
    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip>`
    
    .. attribute:: mka
    
    	MACsec Key Agreement (MKA) configuration
    	**type**\:  :py:class:`Mka <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mka>`
    
    .. attribute:: macro
    
    	Macro configuration
    	**type**\:  :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro>`
    
    .. attribute:: ipv6
    
    	Global IPv6 configuration commands
    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6>`
    
    .. attribute:: vlan
    
    	Global vlan configuration
    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan>`
    
    .. attribute:: cdp
    
    	Global CDP configuration subcommands
    	**type**\:  :py:class:`Cdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cdp>`
    
    .. attribute:: policy
    
    	
    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy>`
    
    .. attribute:: interface
    
    	Configure Interfaces
    	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface>`
    
    .. attribute:: route_map
    
    	Route map tag
    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap>`
    
    .. attribute:: route_tag
    
    	
    	**type**\:  :py:class:`RouteTag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag>`
    
    .. attribute:: table_map
    
    	Configure Table Map
    	**type**\: list of  		 :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
    
    .. attribute:: sdm
    
    	Switch database management
    	**type**\:  :py:class:`Sdm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sdm>`
    
    .. attribute:: mls
    
    	mls global commands
    	**type**\:  :py:class:`Mls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mls>`
    
    .. attribute:: object_group
    
    	Configure Object group
    	**type**\:  :py:class:`ObjectGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup>`
    
    .. attribute:: pseudowire_class
    
    	Pseudowire\-class configuration
    	**type**\: list of  		 :py:class:`PseudowireClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass>`
    
    .. attribute:: control_plane
    
    	Configure control plane services
    	**type**\:  :py:class:`ControlPlane <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ControlPlane>`
    
    	**presence node**\: True
    
    .. attribute:: control_plane_host
    
    	
    	**type**\:  :py:class:`ControlPlaneHost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ControlPlaneHost>`
    
    .. attribute:: config_register
    
    	Define the configuration register
    	**type**\: str
    
    	**pattern:** [0\-9xXa\-fA\-F].\*
    
    .. attribute:: clock
    
    	Configure time\-of\-day clock
    	**type**\:  :py:class:`Clock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock>`
    
    .. attribute:: logging
    
    	Modify message logging facilities
    	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging>`
    
    .. attribute:: aaa
    
    	Authentication, Authorization and Accounting
    	**type**\:  :py:class:`Aaa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa>`
    
    .. attribute:: privilege
    
    	Command privilege parameters
    	**type**\:  :py:class:`Privilege <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Privilege>`
    
    .. attribute:: login
    
    	Enable secure login checking
    	**type**\:  :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Login>`
    
    .. attribute:: multilink
    
    	PPP multilink global configuration
    	**type**\:  :py:class:`Multilink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Multilink>`
    
    .. attribute:: mac_address_table
    
    	Configure the MAC address table
    	**type**\:  :py:class:`MacAddressTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable>`
    
    .. attribute:: redundancy
    
    	Enter redundancy mode
    	**type**\:  :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy>`
    
    	**presence node**\: True
    
    .. attribute:: scheduler
    
    	Scheduler parameters
    	**type**\:  :py:class:`Scheduler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Scheduler>`
    
    .. attribute:: epm
    
    	EPM Global Configuration Commands
    	**type**\:  :py:class:`Epm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Epm>`
    
    .. attribute:: spanning_tree
    
    	Spanning Tree Subsystem
    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree>`
    
    .. attribute:: subscriber
    
    	Subscriber configuration
    	**type**\:  :py:class:`Subscriber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Subscriber>`
    
    .. attribute:: track
    
    	Object tracking configuration commands
    	**type**\:  :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track>`
    
    .. attribute:: dot1x
    
    	IEEE 802.1X Global Configuration Commands
    	**type**\:  :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X>`
    
    .. attribute:: fallback
    
    	Fallback configuration commands
    	**type**\:  :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fallback>`
    
    .. attribute:: parameter_map
    
    	parameter map
    	**type**\: list of  		 :py:class:`ParameterMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap>`
    
    .. attribute:: ppp
    
    	PPP global configuration
    	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ppp>`
    
    .. attribute:: mac
    
    	Global MAC configuration subcommands
    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac>`
    
    .. attribute:: tacacs
    
    	TACACS server configuration command
    	**type**\:  :py:class:`Tacacs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Tacacs>`
    
    .. attribute:: tacacs_server
    
    	Modify TACACS query parameters
    	**type**\:  :py:class:`TacacsServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TacacsServer>`
    
    .. attribute:: software
    
    	Configure software installation parameters
    	**type**\:  :py:class:`Software <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Software>`
    
    .. attribute:: upgrade
    
    	Global upgrade configuration subcommands
    	**type**\:  :py:class:`Upgrade <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Upgrade>`
    
    .. attribute:: vtp
    
    	Configure global VTP state
    	**type**\:  :py:class:`Vtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp>`
    
    .. attribute:: xconnect
    
    	
    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Xconnect>`
    
    .. attribute:: fabric
    
    	Catalyst 6000 crossbar fabric configuration commands
    	**type**\:  :py:class:`Fabric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fabric>`
    
    .. attribute:: port_channel
    
    	EtherChannel configuration
    	**type**\:  :py:class:`PortChannel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PortChannel>`
    
    .. attribute:: key
    
    	Key management
    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Key>`
    
    .. attribute:: l2
    
    	Layer 2 configuration
    	**type**\:  :py:class:`L2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2>`
    
    .. attribute:: system
    
    	Set the system configuration
    	**type**\:  :py:class:`System <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System>`
    
    .. attribute:: errdisable
    
    	Error disable
    	**type**\:  :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable>`
    
    .. attribute:: identity
    
    	Identity Configuration Commands
    	**type**\:  :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Identity>`
    
    .. attribute:: monitor
    
    	Monitoring different system events
    	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor>`
    
    .. attribute:: tftp_server
    
    	Provide TFTP service for netload requests
    	**type**\: list of  		 :py:class:`TftpServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TftpServer>`
    
    .. attribute:: radius_server
    
    	Modify RADIUS query parameters
    	**type**\:  :py:class:`RadiusServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer>`
    
    .. attribute:: radius
    
    	RADIUS server configuration command
    	**type**\:  :py:class:`Radius <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius>`
    
    .. attribute:: zone
    
    	FW with zoning
    	**type**\:  :py:class:`Zone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Zone>`
    
    .. attribute:: zone_pair
    
    	Zone pair command
    	**type**\:  :py:class:`ZonePair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ZonePair>`
    
    .. attribute:: alarm_contact
    
    	
    	**type**\: list of  		 :py:class:`AlarmContact <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AlarmContact>`
    
    .. attribute:: ethernet
    
    	Ethernet configuration
    	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet>`
    
    .. attribute:: access_list
    
    	Add an access list entry
    	**type**\:  :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessList>`
    
    .. attribute:: bridge_domain
    
    	Bridge\-domain global configuration commands
    	**type**\:  :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain>`
    
    .. attribute:: crypto
    
    	Encryption module
    	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto>`
    
    .. attribute:: cts
    
    	Configures Cisco TrustSec
    	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts>`
    
    .. attribute:: bfd_template
    
    	BFD\-template
    	**type**\:  :py:class:`BfdTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BfdTemplate>`
    
    .. attribute:: pfr
    
    	Performance Routing configuration submodes
    	**type**\:  :py:class:`Pfr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr>`
    
    .. attribute:: pfr_map
    
    	Create pfr\-map and enter pfr\-map command mode
    	**type**\: list of  		 :py:class:`PfrMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap>`
    
    .. attribute:: facility_alarm
    
    	Configure facility alarms
    	**type**\:  :py:class:`FacilityAlarm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.FacilityAlarm>`
    
    .. attribute:: setup
    
    	Configure setup options
    	**type**\:  :py:class:`Setup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Setup>`
    
    .. attribute:: tod_clock
    
    	Tod clock config commands
    	**type**\:  :py:class:`TodClock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TodClock>`
    
    .. attribute:: network_clock
    
    	Network clock config commands
    	**type**\:  :py:class:`NetworkClock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock>`
    
    .. attribute:: l2vpn
    
    	Layer2 VPN commands
    	**type**\:  :py:class:`L2Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn>`
    
    .. attribute:: l2vpn_config
    
    	
    	**type**\:  :py:class:`L2VpnConfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2VpnConfig>`
    
    .. attribute:: l3vpn
    
    	l3vpn encapsulation ip commands
    	**type**\:  :py:class:`L3Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn>`
    
    .. attribute:: mpls
    
    	Configure MPLS parameters
    	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls>`
    
    .. attribute:: router
    
    	
    	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router>`
    
    .. attribute:: service_chain
    
    	Service Chain mode
    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain>`
    
    .. attribute:: performance
    
    	Global Performance monitor configuration
    	**type**\:  :py:class:`Performance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance>`
    
    .. attribute:: otv
    
    	Configure OTV information
    	**type**\:  :py:class:`Otv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv>`
    
    .. attribute:: remote_management
    
    	Enable the remote managment
    	**type**\:  :py:class:`RemoteManagement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RemoteManagement>`
    
    .. attribute:: virtual_service
    
    	Configure virtual service
    	**type**\: list of  		 :py:class:`VirtualService <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService>`
    
    .. attribute:: snmp
    
    	Modify SNMP interface parameters
    	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp>`
    
    .. attribute:: snmp_server
    
    	Modify SNMP engine parameters
    	**type**\:  :py:class:`SnmpServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer>`
    
    .. attribute:: segment_routing
    
    	Enter Segment Routing Mode
    	**type**\:  :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting>`
    
    .. attribute:: license
    
    	Configure license features
    	**type**\:  :py:class:`License <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License>`
    
    .. attribute:: disable_eadi
    
    	
    	**type**\: :py:class:`Empty<ydk.types.Empty>`
    
    .. attribute:: memory_size
    
    	Adjust memory size by percentage
    	**type**\:  :py:class:`MemorySize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MemorySize>`
    
    .. attribute:: transceiver
    
    	Select from transceiver configuration commands
    	**type**\:  :py:class:`Transceiver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Transceiver>`
    
    .. attribute:: service_insertion
    
    	Service Insertion mode
    	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion>`
    
    .. attribute:: udld
    
    	Configure global UDLD setting
    	**type**\:  :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Udld>`
    
    .. attribute:: wireless
    
    	Configure wireless parameters
    	**type**\:  :py:class:`Wireless <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wireless>`
    
    .. attribute:: qos
    
    	Global QoS configuration commands
    	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos>`
    
    	**presence node**\: True
    
    .. attribute:: time_range
    
    	Define time range entries
    	**type**\: list of  		 :py:class:`TimeRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TimeRange>`
    
    .. attribute:: device_tracking
    
    	Device tracking configuration commands
    	**type**\:  :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking>`
    
    .. attribute:: fhrp
    
    	Configure First Hop Redundancy Protocols
    	**type**\:  :py:class:`Fhrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fhrp>`
    
    .. attribute:: metadata
    
    	Metadata Application
    	**type**\:  :py:class:`Metadata <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Metadata>`
    
    .. attribute:: profile
    
    	MSP Profile
    	**type**\:  :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Profile>`
    
    .. attribute:: alias
    
    	Create command alias
    	**type**\:  :py:class:`Alias <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Alias>`
    
    .. attribute:: line
    
    	Configure a terminal line
    	**type**\:  :py:class:`Line <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line>`
    
    .. attribute:: ntp
    
    	Configure NTP
    	**type**\:  :py:class:`Ntp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp>`
    
    .. attribute:: wsma
    
    	Configure Web Services Management Agents
    	**type**\:  :py:class:`Wsma <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma>`
    
    .. attribute:: event
    
    	Event related configuration commands
    	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event>`
    
    .. attribute:: cisco_ios_xe_native_template
    
    	template
    	**type**\:  :py:class:`CiscoIOSXENativeTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate>`
    
    .. attribute:: process
    
    	Configure process
    	**type**\:  :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process>`
    
    .. attribute:: exception
    
    	help
    	**type**\:  :py:class:`Exception <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Exception>`
    
    .. attribute:: iox
    
    	Configure IOx services
    	**type**\:  :py:class:`Iox <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Iox>`
    
    	**presence node**\: True
    
    .. attribute:: arp
    
    	Set a static ARP entry
    	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp>`
    
    .. attribute:: esmc
    
    	Ethernet Synchronization Messaging Channel
    	**type**\:  :py:class:`Esmc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Esmc>`
    
    .. attribute:: bba_group
    
    	Configure BBA Group
    	**type**\:  :py:class:`BbaGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup>`
    
    .. attribute:: card
    
    	Configure T1/E1 SPA
    	**type**\:  :py:class:`Card <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Card>`
    
    .. attribute:: cef
    
    	Cisco Express Forwarding
    	**type**\:  :py:class:`Cef <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef>`
    
    .. attribute:: coap
    
    	CoAP Global Configuration Commands
    	**type**\:  :py:class:`Coap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Coap>`
    
    .. attribute:: device_sensor
    
    	IOS Sensor Commands
    	**type**\:  :py:class:`DeviceSensor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceSensor>`
    
    .. attribute:: diagnostic
    
    	Configure diagnostic information
    	**type**\:  :py:class:`Diagnostic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic>`
    
    .. attribute:: lldp
    
    	Enables LLDP globally
    	**type**\:  :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Lldp>`
    
    .. attribute:: maintenance_template
    
    	maintenance\-template configuration
    	**type**\: list of  		 :py:class:`MaintenanceTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MaintenanceTemplate>`
    
    .. attribute:: nat66
    
    	NAT66 configuration commands
    	**type**\:  :py:class:`Nat66 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Nat66>`
    
    .. attribute:: pm_agent
    
    	pm\-agent Configuration Commands
    	**type**\:  :py:class:`PmAgent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent>`
    
    	**presence node**\: True
    
    .. attribute:: power
    
    	Power configure
    	**type**\:  :py:class:`Power <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Power>`
    
    .. attribute:: named_ordering_route_map
    
    	named ordering route\-map enable
    	**type**\:  :py:class:`NamedOrderingRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NamedOrderingRouteMap>`
    
    .. attribute:: access_session
    
    	Access Sesion Global Configuration Commands
    	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessSession>`
    
    .. attribute:: authentication
    
    	Auth Manager Global Configuration Commands
    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication>`
    
    .. attribute:: service_list
    
    	Enter the service list
    	**type**\:  :py:class:`ServiceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList>`
    
    .. attribute:: service_routing
    
    	Configure service\-routing
    	**type**\:  :py:class:`ServiceRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceRouting>`
    
    .. attribute:: network_policy
    
    	Network Policy
    	**type**\:  :py:class:`NetworkPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkPolicy>`
    
    .. attribute:: energywise
    
    	EnergyWise Global Configuration Commands
    	**type**\:  :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise>`
    
    .. attribute:: cisco_ios_xe_switch_template_
    
    	Select a template to configure
    	**type**\:  :py:class:`CiscoIOSXESwitchTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate>`
    
    .. attribute:: service_template
    
    	Configure a service\-template/identity policy
    	**type**\: list of  		 :py:class:`ServiceTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceTemplate>`
    
    .. attribute:: switch
    
    	Config commands for the switches in the stack
    	**type**\: list of  		 :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Switch>`
    
    .. attribute:: switch_virtual
    
    	
    	**type**\: list of  		 :py:class:`SwitchVirtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual>`
    
    .. attribute:: device
    
    	device classifier configuration
    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Device>`
    
    .. attribute:: stack_mac
    
    	Global stack mac\-address feature configurations
    	**type**\:  :py:class:`StackMac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.StackMac>`
    
    .. attribute:: l2protocol_tunnel
    
    	Tunnel Layer2 protocols
    	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2ProtocolTunnel>`
    
    .. attribute:: rep
    
    	Resilient Ethernet Protocol characteristics
    	**type**\:  :py:class:`Rep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rep>`
    
    .. attribute:: hw_switch
    
    	Hw\-switch
    	**type**\:  :py:class:`HwSwitch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwSwitch>`
    
    .. attribute:: utd
    
    	Global Unified Threat Defense
    	**type**\:  :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Utd>`
    
    	**presence node**\: True
    
    .. attribute:: utd_st
    
    	Global Unified Threat Defense Engine
    	**type**\:  :py:class:`UtdSt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt>`
    
    .. attribute:: voice
    
    	Global voice configuration
    	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice>`
    
    .. attribute:: voice_card
    
    	Configure a specific voice\-card
    	**type**\: list of  		 :py:class:`VoiceCard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VoiceCard>`
    
    .. attribute:: vpdn
    
    	Virtual Private Dialup Network
    	**type**\:  :py:class:`Vpdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vpdn>`
    
    .. attribute:: vstack
    
    	Configure vstack parameters and enable or disable SmartInstall
    	**type**\:  :py:class:`Vstack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vstack>`
    
    

    """

    _prefix = 'ios'
    _revision = '2017-08-30'

    def __init__(self):
        super(Native, self).__init__()
        self._top_entity = None

        self.yang_name = "native"
        self.yang_parent_name = "Cisco-IOS-XE-native"
        self.is_top_level_class = True
        self.has_list_ancestor = False
        self._child_container_classes = {"default" : ("default", Native.Default), "bfd" : ("bfd", Native.Bfd), "boot" : ("boot", Native.Boot), "memory" : ("memory", Native.Memory), "location" : ("location", Native.Location), "call-home" : ("call_home", Native.CallHome), "hw-module" : ("hw_module", Native.HwModule), "cisp" : ("cisp", Native.Cisp), "module" : ("module", Native.Module), "parser" : ("parser", Native.Parser), "service" : ("service", Native.Service), "platform" : ("platform", Native.Platform), "enable" : ("enable", Native.Enable), "password" : ("password", Native.Password), "eap" : ("eap", Native.Eap), "archive" : ("archive", Native.Archive), "controller" : ("controller", Native.Controller), "vrf" : ("vrf", Native.Vrf), "rmon" : ("rmon", Native.Rmon), "flow" : ("flow", Native.Flow), "ip" : ("ip", Native.Ip), "mka" : ("mka", Native.Mka), "macro" : ("macro", Native.Macro), "ipv6" : ("ipv6", Native.Ipv6), "vlan" : ("vlan", Native.Vlan), "cdp" : ("cdp", Native.Cdp), "policy" : ("policy", Native.Policy), "interface" : ("interface", Native.Interface), "route-tag" : ("route_tag", Native.RouteTag), "sdm" : ("sdm", Native.Sdm), "mls" : ("mls", Native.Mls), "object-group" : ("object_group", Native.ObjectGroup), "control-plane" : ("control_plane", Native.ControlPlane), "control-plane-host" : ("control_plane_host", Native.ControlPlaneHost), "clock" : ("clock", Native.Clock), "logging" : ("logging", Native.Logging), "aaa" : ("aaa", Native.Aaa), "privilege" : ("privilege", Native.Privilege), "login" : ("login", Native.Login), "multilink" : ("multilink", Native.Multilink), "mac-address-table" : ("mac_address_table", Native.MacAddressTable), "redundancy" : ("redundancy", Native.Redundancy), "scheduler" : ("scheduler", Native.Scheduler), "epm" : ("epm", Native.Epm), "spanning-tree" : ("spanning_tree", Native.SpanningTree), "subscriber" : ("subscriber", Native.Subscriber), "track" : ("track", Native.Track), "dot1x" : ("dot1x", Native.Dot1X), "fallback" : ("fallback", Native.Fallback), "ppp" : ("ppp", Native.Ppp), "mac" : ("mac", Native.Mac), "tacacs" : ("tacacs", Native.Tacacs), "tacacs-server" : ("tacacs_server", Native.TacacsServer), "software" : ("software", Native.Software), "upgrade" : ("upgrade", Native.Upgrade), "vtp" : ("vtp", Native.Vtp), "xconnect" : ("xconnect", Native.Xconnect), "fabric" : ("fabric", Native.Fabric), "port-channel" : ("port_channel", Native.PortChannel), "key" : ("key", Native.Key), "l2" : ("l2", Native.L2), "system" : ("system", Native.System), "errdisable" : ("errdisable", Native.Errdisable), "identity" : ("identity", Native.Identity), "monitor" : ("monitor", Native.Monitor), "radius-server" : ("radius_server", Native.RadiusServer), "radius" : ("radius", Native.Radius), "zone" : ("zone", Native.Zone), "zone-pair" : ("zone_pair", Native.ZonePair), "ethernet" : ("ethernet", Native.Ethernet), "access-list" : ("access_list", Native.AccessList), "bridge-domain" : ("bridge_domain", Native.BridgeDomain), "crypto" : ("crypto", Native.Crypto), "cts" : ("cts", Native.Cts), "bfd-template" : ("bfd_template", Native.BfdTemplate), "pfr" : ("pfr", Native.Pfr), "facility-alarm" : ("facility_alarm", Native.FacilityAlarm), "setup" : ("setup", Native.Setup), "tod-clock" : ("tod_clock", Native.TodClock), "network-clock" : ("network_clock", Native.NetworkClock), "l2vpn" : ("l2vpn", Native.L2Vpn), "l2vpn-config" : ("l2vpn_config", Native.L2VpnConfig), "l3vpn" : ("l3vpn", Native.L3Vpn), "mpls" : ("mpls", Native.Mpls), "router" : ("router", Native.Router), "service-chain" : ("service_chain", Native.ServiceChain), "performance" : ("performance", Native.Performance), "otv" : ("otv", Native.Otv), "remote-management" : ("remote_management", Native.RemoteManagement), "snmp" : ("snmp", Native.Snmp), "snmp-server" : ("snmp_server", Native.SnmpServer), "segment-routing" : ("segment_routing", Native.SegmentRouting), "license" : ("license", Native.License), "memory-size" : ("memory_size", Native.MemorySize), "transceiver" : ("transceiver", Native.Transceiver), "service-insertion" : ("service_insertion", Native.ServiceInsertion), "udld" : ("udld", Native.Udld), "wireless" : ("wireless", Native.Wireless), "qos" : ("qos", Native.Qos), "device-tracking" : ("device_tracking", Native.DeviceTracking), "fhrp" : ("fhrp", Native.Fhrp), "metadata" : ("metadata", Native.Metadata), "profile" : ("profile", Native.Profile), "alias" : ("alias", Native.Alias), "line" : ("line", Native.Line), "ntp" : ("ntp", Native.Ntp), "wsma" : ("wsma", Native.Wsma), "event" : ("event", Native.Event), "template" : ("cisco_ios_xe_native_template", Native.CiscoIOSXENativeTemplate), "process" : ("process", Native.Process), "exception" : ("exception", Native.Exception), "iox" : ("iox", Native.Iox), "Cisco-IOS-XE-arp:arp" : ("arp", Native.Arp), "Cisco-IOS-XE-ethernet:esmc" : ("esmc", Native.Esmc), "Cisco-IOS-XE-bba-group:bba-group" : ("bba_group", Native.BbaGroup), "Cisco-IOS-XE-card:card" : ("card", Native.Card), "Cisco-IOS-XE-cef:cef" : ("cef", Native.Cef), "Cisco-IOS-XE-coap:coap" : ("coap", Native.Coap), "Cisco-IOS-XE-device-sensor:device-sensor" : ("device_sensor", Native.DeviceSensor), "Cisco-IOS-XE-diagnostics:diagnostic" : ("diagnostic", Native.Diagnostic), "Cisco-IOS-XE-lldp:lldp" : ("lldp", Native.Lldp), "Cisco-IOS-XE-nat:nat66" : ("nat66", Native.Nat66), "Cisco-IOS-XE-pathmgr:pm-agent" : ("pm_agent", Native.PmAgent), "Cisco-IOS-XE-power:power" : ("power", Native.Power), "Cisco-IOS-XE-route-map:named-ordering-route-map" : ("named_ordering_route_map", Native.NamedOrderingRouteMap), "Cisco-IOS-XE-sanet:access-session" : ("access_session", Native.AccessSession), "Cisco-IOS-XE-sanet:authentication" : ("authentication", Native.Authentication), "Cisco-IOS-XE-service-discovery:service-list" : ("service_list", Native.ServiceList), "Cisco-IOS-XE-service-routing:service-routing" : ("service_routing", Native.ServiceRouting), "Cisco-IOS-XE-switch:network-policy" : ("network_policy", Native.NetworkPolicy), "Cisco-IOS-XE-switch:energywise" : ("energywise", Native.Energywise), "Cisco-IOS-XE-switch:template" : ("cisco_ios_xe_switch_template_", Native.CiscoIOSXESwitchTemplate), "Cisco-IOS-XE-switch:device" : ("device", Native.Device), "Cisco-IOS-XE-switch:stack-mac" : ("stack_mac", Native.StackMac), "Cisco-IOS-XE-switch:l2protocol-tunnel" : ("l2protocol_tunnel", Native.L2ProtocolTunnel), "Cisco-IOS-XE-switch:rep" : ("rep", Native.Rep), "Cisco-IOS-XE-switch:hw-switch" : ("hw_switch", Native.HwSwitch), "Cisco-IOS-XE-utd:utd" : ("utd", Native.Utd), "Cisco-IOS-XE-utd:utd-st" : ("utd_st", Native.UtdSt), "Cisco-IOS-XE-voice:voice" : ("voice", Native.Voice), "Cisco-IOS-XE-vpdn:vpdn" : ("vpdn", Native.Vpdn), "Cisco-IOS-XE-vstack:vstack" : ("vstack", Native.Vstack)}
        self._child_list_classes = {"domain" : ("domain", Native.Domain), "username" : ("username", Native.Username), "sampler" : ("sampler", Native.Sampler), "route-map" : ("route_map", Native.RouteMap), "table-map" : ("table_map", Native.TableMap), "pseudowire-class" : ("pseudowire_class", Native.PseudowireClass), "parameter-map" : ("parameter_map", Native.ParameterMap), "tftp-server" : ("tftp_server", Native.TftpServer), "alarm-contact" : ("alarm_contact", Native.AlarmContact), "pfr-map" : ("pfr_map", Native.PfrMap), "virtual-service" : ("virtual_service", Native.VirtualService), "time-range" : ("time_range", Native.TimeRange), "Cisco-IOS-XE-mmode:maintenance-template" : ("maintenance_template", Native.MaintenanceTemplate), "Cisco-IOS-XE-switch:service-template" : ("service_template", Native.ServiceTemplate), "Cisco-IOS-XE-switch:switch" : ("switch", Native.Switch), "Cisco-IOS-XE-switch:switch-virtual" : ("switch_virtual", Native.SwitchVirtual), "Cisco-IOS-XE-voice:voice-card" : ("voice_card", Native.VoiceCard)}

        self.version = YLeaf(YType.str, "version")

        self.boot_start_marker = YLeaf(YType.empty, "boot-start-marker")

        self.boot_end_marker = YLeaf(YType.empty, "boot-end-marker")

        self.captive_portal_bypass = YLeaf(YType.empty, "captive-portal-bypass")

        self.hostname = YLeaf(YType.str, "hostname")

        self.aqm_register_fnf = YLeaf(YType.empty, "aqm-register-fnf")

        self.config_register = YLeaf(YType.str, "config-register")

        self.disable_eadi = YLeaf(YType.empty, "disable-eadi")

        self.default = Native.Default()
        self.default.parent = self
        self._children_name_map["default"] = "default"
        self._children_yang_names.add("default")

        self.bfd = Native.Bfd()
        self.bfd.parent = self
        self._children_name_map["bfd"] = "bfd"
        self._children_yang_names.add("bfd")

        self.boot = Native.Boot()
        self.boot.parent = self
        self._children_name_map["boot"] = "boot"
        self._children_yang_names.add("boot")

        self.memory = Native.Memory()
        self.memory.parent = self
        self._children_name_map["memory"] = "memory"
        self._children_yang_names.add("memory")

        self.location = Native.Location()
        self.location.parent = self
        self._children_name_map["location"] = "location"
        self._children_yang_names.add("location")

        self.call_home = None
        self._children_name_map["call_home"] = "call-home"
        self._children_yang_names.add("call-home")

        self.hw_module = Native.HwModule()
        self.hw_module.parent = self
        self._children_name_map["hw_module"] = "hw-module"
        self._children_yang_names.add("hw-module")

        self.cisp = Native.Cisp()
        self.cisp.parent = self
        self._children_name_map["cisp"] = "cisp"
        self._children_yang_names.add("cisp")

        self.module = Native.Module()
        self.module.parent = self
        self._children_name_map["module"] = "module"
        self._children_yang_names.add("module")

        self.parser = Native.Parser()
        self.parser.parent = self
        self._children_name_map["parser"] = "parser"
        self._children_yang_names.add("parser")

        self.service = Native.Service()
        self.service.parent = self
        self._children_name_map["service"] = "service"
        self._children_yang_names.add("service")

        self.platform = Native.Platform()
        self.platform.parent = self
        self._children_name_map["platform"] = "platform"
        self._children_yang_names.add("platform")

        self.enable = Native.Enable()
        self.enable.parent = self
        self._children_name_map["enable"] = "enable"
        self._children_yang_names.add("enable")

        self.password = Native.Password()
        self.password.parent = self
        self._children_name_map["password"] = "password"
        self._children_yang_names.add("password")

        self.eap = Native.Eap()
        self.eap.parent = self
        self._children_name_map["eap"] = "eap"
        self._children_yang_names.add("eap")

        self.archive = Native.Archive()
        self.archive.parent = self
        self._children_name_map["archive"] = "archive"
        self._children_yang_names.add("archive")

        self.controller = Native.Controller()
        self.controller.parent = self
        self._children_name_map["controller"] = "controller"
        self._children_yang_names.add("controller")

        self.vrf = Native.Vrf()
        self.vrf.parent = self
        self._children_name_map["vrf"] = "vrf"
        self._children_yang_names.add("vrf")

        self.rmon = Native.Rmon()
        self.rmon.parent = self
        self._children_name_map["rmon"] = "rmon"
        self._children_yang_names.add("rmon")

        self.flow = Native.Flow()
        self.flow.parent = self
        self._children_name_map["flow"] = "flow"
        self._children_yang_names.add("flow")

        self.ip = Native.Ip()
        self.ip.parent = self
        self._children_name_map["ip"] = "ip"
        self._children_yang_names.add("ip")

        self.mka = Native.Mka()
        self.mka.parent = self
        self._children_name_map["mka"] = "mka"
        self._children_yang_names.add("mka")

        self.macro = Native.Macro()
        self.macro.parent = self
        self._children_name_map["macro"] = "macro"
        self._children_yang_names.add("macro")

        self.ipv6 = Native.Ipv6()
        self.ipv6.parent = self
        self._children_name_map["ipv6"] = "ipv6"
        self._children_yang_names.add("ipv6")

        self.vlan = Native.Vlan()
        self.vlan.parent = self
        self._children_name_map["vlan"] = "vlan"
        self._children_yang_names.add("vlan")

        self.cdp = Native.Cdp()
        self.cdp.parent = self
        self._children_name_map["cdp"] = "cdp"
        self._children_yang_names.add("cdp")

        self.policy = Native.Policy()
        self.policy.parent = self
        self._children_name_map["policy"] = "policy"
        self._children_yang_names.add("policy")

        self.interface = Native.Interface()
        self.interface.parent = self
        self._children_name_map["interface"] = "interface"
        self._children_yang_names.add("interface")

        self.route_tag = Native.RouteTag()
        self.route_tag.parent = self
        self._children_name_map["route_tag"] = "route-tag"
        self._children_yang_names.add("route-tag")

        self.sdm = Native.Sdm()
        self.sdm.parent = self
        self._children_name_map["sdm"] = "sdm"
        self._children_yang_names.add("sdm")

        self.mls = Native.Mls()
        self.mls.parent = self
        self._children_name_map["mls"] = "mls"
        self._children_yang_names.add("mls")

        self.object_group = Native.ObjectGroup()
        self.object_group.parent = self
        self._children_name_map["object_group"] = "object-group"
        self._children_yang_names.add("object-group")

        self.control_plane = None
        self._children_name_map["control_plane"] = "control-plane"
        self._children_yang_names.add("control-plane")

        self.control_plane_host = Native.ControlPlaneHost()
        self.control_plane_host.parent = self
        self._children_name_map["control_plane_host"] = "control-plane-host"
        self._children_yang_names.add("control-plane-host")

        self.clock = Native.Clock()
        self.clock.parent = self
        self._children_name_map["clock"] = "clock"
        self._children_yang_names.add("clock")

        self.logging = Native.Logging()
        self.logging.parent = self
        self._children_name_map["logging"] = "logging"
        self._children_yang_names.add("logging")

        self.aaa = Native.Aaa()
        self.aaa.parent = self
        self._children_name_map["aaa"] = "aaa"
        self._children_yang_names.add("aaa")

        self.privilege = Native.Privilege()
        self.privilege.parent = self
        self._children_name_map["privilege"] = "privilege"
        self._children_yang_names.add("privilege")

        self.login = Native.Login()
        self.login.parent = self
        self._children_name_map["login"] = "login"
        self._children_yang_names.add("login")

        self.multilink = Native.Multilink()
        self.multilink.parent = self
        self._children_name_map["multilink"] = "multilink"
        self._children_yang_names.add("multilink")

        self.mac_address_table = Native.MacAddressTable()
        self.mac_address_table.parent = self
        self._children_name_map["mac_address_table"] = "mac-address-table"
        self._children_yang_names.add("mac-address-table")

        self.redundancy = None
        self._children_name_map["redundancy"] = "redundancy"
        self._children_yang_names.add("redundancy")

        self.scheduler = Native.Scheduler()
        self.scheduler.parent = self
        self._children_name_map["scheduler"] = "scheduler"
        self._children_yang_names.add("scheduler")

        self.epm = Native.Epm()
        self.epm.parent = self
        self._children_name_map["epm"] = "epm"
        self._children_yang_names.add("epm")

        self.spanning_tree = Native.SpanningTree()
        self.spanning_tree.parent = self
        self._children_name_map["spanning_tree"] = "spanning-tree"
        self._children_yang_names.add("spanning-tree")

        self.subscriber = Native.Subscriber()
        self.subscriber.parent = self
        self._children_name_map["subscriber"] = "subscriber"
        self._children_yang_names.add("subscriber")

        self.track = Native.Track()
        self.track.parent = self
        self._children_name_map["track"] = "track"
        self._children_yang_names.add("track")

        self.dot1x = Native.Dot1X()
        self.dot1x.parent = self
        self._children_name_map["dot1x"] = "dot1x"
        self._children_yang_names.add("dot1x")

        self.fallback = Native.Fallback()
        self.fallback.parent = self
        self._children_name_map["fallback"] = "fallback"
        self._children_yang_names.add("fallback")

        self.ppp = Native.Ppp()
        self.ppp.parent = self
        self._children_name_map["ppp"] = "ppp"
        self._children_yang_names.add("ppp")

        self.mac = Native.Mac()
        self.mac.parent = self
        self._children_name_map["mac"] = "mac"
        self._children_yang_names.add("mac")

        self.tacacs = Native.Tacacs()
        self.tacacs.parent = self
        self._children_name_map["tacacs"] = "tacacs"
        self._children_yang_names.add("tacacs")

        self.tacacs_server = Native.TacacsServer()
        self.tacacs_server.parent = self
        self._children_name_map["tacacs_server"] = "tacacs-server"
        self._children_yang_names.add("tacacs-server")

        self.software = Native.Software()
        self.software.parent = self
        self._children_name_map["software"] = "software"
        self._children_yang_names.add("software")

        self.upgrade = Native.Upgrade()
        self.upgrade.parent = self
        self._children_name_map["upgrade"] = "upgrade"
        self._children_yang_names.add("upgrade")

        self.vtp = Native.Vtp()
        self.vtp.parent = self
        self._children_name_map["vtp"] = "vtp"
        self._children_yang_names.add("vtp")

        self.xconnect = Native.Xconnect()
        self.xconnect.parent = self
        self._children_name_map["xconnect"] = "xconnect"
        self._children_yang_names.add("xconnect")

        self.fabric = Native.Fabric()
        self.fabric.parent = self
        self._children_name_map["fabric"] = "fabric"
        self._children_yang_names.add("fabric")

        self.port_channel = Native.PortChannel()
        self.port_channel.parent = self
        self._children_name_map["port_channel"] = "port-channel"
        self._children_yang_names.add("port-channel")

        self.key = Native.Key()
        self.key.parent = self
        self._children_name_map["key"] = "key"
        self._children_yang_names.add("key")

        self.l2 = Native.L2()
        self.l2.parent = self
        self._children_name_map["l2"] = "l2"
        self._children_yang_names.add("l2")

        self.system = Native.System()
        self.system.parent = self
        self._children_name_map["system"] = "system"
        self._children_yang_names.add("system")

        self.errdisable = Native.Errdisable()
        self.errdisable.parent = self
        self._children_name_map["errdisable"] = "errdisable"
        self._children_yang_names.add("errdisable")

        self.identity = Native.Identity()
        self.identity.parent = self
        self._children_name_map["identity"] = "identity"
        self._children_yang_names.add("identity")

        self.monitor = Native.Monitor()
        self.monitor.parent = self
        self._children_name_map["monitor"] = "monitor"
        self._children_yang_names.add("monitor")

        self.radius_server = Native.RadiusServer()
        self.radius_server.parent = self
        self._children_name_map["radius_server"] = "radius-server"
        self._children_yang_names.add("radius-server")

        self.radius = Native.Radius()
        self.radius.parent = self
        self._children_name_map["radius"] = "radius"
        self._children_yang_names.add("radius")

        self.zone = Native.Zone()
        self.zone.parent = self
        self._children_name_map["zone"] = "zone"
        self._children_yang_names.add("zone")

        self.zone_pair = Native.ZonePair()
        self.zone_pair.parent = self
        self._children_name_map["zone_pair"] = "zone-pair"
        self._children_yang_names.add("zone-pair")

        self.ethernet = Native.Ethernet()
        self.ethernet.parent = self
        self._children_name_map["ethernet"] = "ethernet"
        self._children_yang_names.add("ethernet")

        self.access_list = Native.AccessList()
        self.access_list.parent = self
        self._children_name_map["access_list"] = "access-list"
        self._children_yang_names.add("access-list")

        self.bridge_domain = Native.BridgeDomain()
        self.bridge_domain.parent = self
        self._children_name_map["bridge_domain"] = "bridge-domain"
        self._children_yang_names.add("bridge-domain")

        self.crypto = Native.Crypto()
        self.crypto.parent = self
        self._children_name_map["crypto"] = "crypto"
        self._children_yang_names.add("crypto")

        self.cts = Native.Cts()
        self.cts.parent = self
        self._children_name_map["cts"] = "cts"
        self._children_yang_names.add("cts")

        self.bfd_template = Native.BfdTemplate()
        self.bfd_template.parent = self
        self._children_name_map["bfd_template"] = "bfd-template"
        self._children_yang_names.add("bfd-template")

        self.pfr = Native.Pfr()
        self.pfr.parent = self
        self._children_name_map["pfr"] = "pfr"
        self._children_yang_names.add("pfr")

        self.facility_alarm = Native.FacilityAlarm()
        self.facility_alarm.parent = self
        self._children_name_map["facility_alarm"] = "facility-alarm"
        self._children_yang_names.add("facility-alarm")

        self.setup = Native.Setup()
        self.setup.parent = self
        self._children_name_map["setup"] = "setup"
        self._children_yang_names.add("setup")

        self.tod_clock = Native.TodClock()
        self.tod_clock.parent = self
        self._children_name_map["tod_clock"] = "tod-clock"
        self._children_yang_names.add("tod-clock")

        self.network_clock = Native.NetworkClock()
        self.network_clock.parent = self
        self._children_name_map["network_clock"] = "network-clock"
        self._children_yang_names.add("network-clock")

        self.l2vpn = Native.L2Vpn()
        self.l2vpn.parent = self
        self._children_name_map["l2vpn"] = "l2vpn"
        self._children_yang_names.add("l2vpn")

        self.l2vpn_config = Native.L2VpnConfig()
        self.l2vpn_config.parent = self
        self._children_name_map["l2vpn_config"] = "l2vpn-config"
        self._children_yang_names.add("l2vpn-config")

        self.l3vpn = Native.L3Vpn()
        self.l3vpn.parent = self
        self._children_name_map["l3vpn"] = "l3vpn"
        self._children_yang_names.add("l3vpn")

        self.mpls = Native.Mpls()
        self.mpls.parent = self
        self._children_name_map["mpls"] = "mpls"
        self._children_yang_names.add("mpls")

        self.router = Native.Router()
        self.router.parent = self
        self._children_name_map["router"] = "router"
        self._children_yang_names.add("router")

        self.service_chain = Native.ServiceChain()
        self.service_chain.parent = self
        self._children_name_map["service_chain"] = "service-chain"
        self._children_yang_names.add("service-chain")

        self.performance = Native.Performance()
        self.performance.parent = self
        self._children_name_map["performance"] = "performance"
        self._children_yang_names.add("performance")

        self.otv = Native.Otv()
        self.otv.parent = self
        self._children_name_map["otv"] = "otv"
        self._children_yang_names.add("otv")

        self.remote_management = Native.RemoteManagement()
        self.remote_management.parent = self
        self._children_name_map["remote_management"] = "remote-management"
        self._children_yang_names.add("remote-management")

        self.snmp = Native.Snmp()
        self.snmp.parent = self
        self._children_name_map["snmp"] = "snmp"
        self._children_yang_names.add("snmp")

        self.snmp_server = Native.SnmpServer()
        self.snmp_server.parent = self
        self._children_name_map["snmp_server"] = "snmp-server"
        self._children_yang_names.add("snmp-server")

        self.segment_routing = Native.SegmentRouting()
        self.segment_routing.parent = self
        self._children_name_map["segment_routing"] = "segment-routing"
        self._children_yang_names.add("segment-routing")

        self.license = Native.License()
        self.license.parent = self
        self._children_name_map["license"] = "license"
        self._children_yang_names.add("license")

        self.memory_size = Native.MemorySize()
        self.memory_size.parent = self
        self._children_name_map["memory_size"] = "memory-size"
        self._children_yang_names.add("memory-size")

        self.transceiver = Native.Transceiver()
        self.transceiver.parent = self
        self._children_name_map["transceiver"] = "transceiver"
        self._children_yang_names.add("transceiver")

        self.service_insertion = Native.ServiceInsertion()
        self.service_insertion.parent = self
        self._children_name_map["service_insertion"] = "service-insertion"
        self._children_yang_names.add("service-insertion")

        self.udld = Native.Udld()
        self.udld.parent = self
        self._children_name_map["udld"] = "udld"
        self._children_yang_names.add("udld")

        self.wireless = Native.Wireless()
        self.wireless.parent = self
        self._children_name_map["wireless"] = "wireless"
        self._children_yang_names.add("wireless")

        self.qos = None
        self._children_name_map["qos"] = "qos"
        self._children_yang_names.add("qos")

        self.device_tracking = Native.DeviceTracking()
        self.device_tracking.parent = self
        self._children_name_map["device_tracking"] = "device-tracking"
        self._children_yang_names.add("device-tracking")

        self.fhrp = Native.Fhrp()
        self.fhrp.parent = self
        self._children_name_map["fhrp"] = "fhrp"
        self._children_yang_names.add("fhrp")

        self.metadata = Native.Metadata()
        self.metadata.parent = self
        self._children_name_map["metadata"] = "metadata"
        self._children_yang_names.add("metadata")

        self.profile = Native.Profile()
        self.profile.parent = self
        self._children_name_map["profile"] = "profile"
        self._children_yang_names.add("profile")

        self.alias = Native.Alias()
        self.alias.parent = self
        self._children_name_map["alias"] = "alias"
        self._children_yang_names.add("alias")

        self.line = Native.Line()
        self.line.parent = self
        self._children_name_map["line"] = "line"
        self._children_yang_names.add("line")

        self.ntp = Native.Ntp()
        self.ntp.parent = self
        self._children_name_map["ntp"] = "ntp"
        self._children_yang_names.add("ntp")

        self.wsma = Native.Wsma()
        self.wsma.parent = self
        self._children_name_map["wsma"] = "wsma"
        self._children_yang_names.add("wsma")

        self.event = Native.Event()
        self.event.parent = self
        self._children_name_map["event"] = "event"
        self._children_yang_names.add("event")

        self.cisco_ios_xe_native_template = Native.CiscoIOSXENativeTemplate()
        self.cisco_ios_xe_native_template.parent = self
        self._children_name_map["cisco_ios_xe_native_template"] = "template"
        self._children_yang_names.add("template")

        self.process = Native.Process()
        self.process.parent = self
        self._children_name_map["process"] = "process"
        self._children_yang_names.add("process")

        self.exception = Native.Exception()
        self.exception.parent = self
        self._children_name_map["exception"] = "exception"
        self._children_yang_names.add("exception")

        self.iox = None
        self._children_name_map["iox"] = "iox"
        self._children_yang_names.add("iox")

        self.arp = Native.Arp()
        self.arp.parent = self
        self._children_name_map["arp"] = "arp"
        self._children_yang_names.add("arp")

        self.esmc = Native.Esmc()
        self.esmc.parent = self
        self._children_name_map["esmc"] = "esmc"
        self._children_yang_names.add("esmc")

        self.bba_group = Native.BbaGroup()
        self.bba_group.parent = self
        self._children_name_map["bba_group"] = "bba-group"
        self._children_yang_names.add("bba-group")

        self.card = Native.Card()
        self.card.parent = self
        self._children_name_map["card"] = "card"
        self._children_yang_names.add("card")

        self.cef = Native.Cef()
        self.cef.parent = self
        self._children_name_map["cef"] = "cef"
        self._children_yang_names.add("cef")

        self.coap = Native.Coap()
        self.coap.parent = self
        self._children_name_map["coap"] = "coap"
        self._children_yang_names.add("coap")

        self.device_sensor = Native.DeviceSensor()
        self.device_sensor.parent = self
        self._children_name_map["device_sensor"] = "device-sensor"
        self._children_yang_names.add("device-sensor")

        self.diagnostic = Native.Diagnostic()
        self.diagnostic.parent = self
        self._children_name_map["diagnostic"] = "diagnostic"
        self._children_yang_names.add("diagnostic")

        self.lldp = Native.Lldp()
        self.lldp.parent = self
        self._children_name_map["lldp"] = "lldp"
        self._children_yang_names.add("lldp")

        self.nat66 = Native.Nat66()
        self.nat66.parent = self
        self._children_name_map["nat66"] = "nat66"
        self._children_yang_names.add("nat66")

        self.pm_agent = None
        self._children_name_map["pm_agent"] = "pm-agent"
        self._children_yang_names.add("pm-agent")

        self.power = Native.Power()
        self.power.parent = self
        self._children_name_map["power"] = "power"
        self._children_yang_names.add("power")

        self.named_ordering_route_map = Native.NamedOrderingRouteMap()
        self.named_ordering_route_map.parent = self
        self._children_name_map["named_ordering_route_map"] = "named-ordering-route-map"
        self._children_yang_names.add("named-ordering-route-map")

        self.access_session = Native.AccessSession()
        self.access_session.parent = self
        self._children_name_map["access_session"] = "access-session"
        self._children_yang_names.add("access-session")

        self.authentication = Native.Authentication()
        self.authentication.parent = self
        self._children_name_map["authentication"] = "authentication"
        self._children_yang_names.add("authentication")

        self.service_list = Native.ServiceList()
        self.service_list.parent = self
        self._children_name_map["service_list"] = "service-list"
        self._children_yang_names.add("service-list")

        self.service_routing = Native.ServiceRouting()
        self.service_routing.parent = self
        self._children_name_map["service_routing"] = "service-routing"
        self._children_yang_names.add("service-routing")

        self.network_policy = Native.NetworkPolicy()
        self.network_policy.parent = self
        self._children_name_map["network_policy"] = "network-policy"
        self._children_yang_names.add("network-policy")

        self.energywise = Native.Energywise()
        self.energywise.parent = self
        self._children_name_map["energywise"] = "energywise"
        self._children_yang_names.add("energywise")

        self.cisco_ios_xe_switch_template_ = Native.CiscoIOSXESwitchTemplate()
        self.cisco_ios_xe_switch_template_.parent = self
        self._children_name_map["cisco_ios_xe_switch_template_"] = "template"
        self._children_yang_names.add("template")

        self.device = Native.Device()
        self.device.parent = self
        self._children_name_map["device"] = "device"
        self._children_yang_names.add("device")

        self.stack_mac = Native.StackMac()
        self.stack_mac.parent = self
        self._children_name_map["stack_mac"] = "stack-mac"
        self._children_yang_names.add("stack-mac")

        self.l2protocol_tunnel = Native.L2ProtocolTunnel()
        self.l2protocol_tunnel.parent = self
        self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
        self._children_yang_names.add("l2protocol-tunnel")

        self.rep = Native.Rep()
        self.rep.parent = self
        self._children_name_map["rep"] = "rep"
        self._children_yang_names.add("rep")

        self.hw_switch = Native.HwSwitch()
        self.hw_switch.parent = self
        self._children_name_map["hw_switch"] = "hw-switch"
        self._children_yang_names.add("hw-switch")

        self.utd = None
        self._children_name_map["utd"] = "utd"
        self._children_yang_names.add("utd")

        self.utd_st = Native.UtdSt()
        self.utd_st.parent = self
        self._children_name_map["utd_st"] = "utd-st"
        self._children_yang_names.add("utd-st")

        self.voice = Native.Voice()
        self.voice.parent = self
        self._children_name_map["voice"] = "voice"
        self._children_yang_names.add("voice")

        self.vpdn = Native.Vpdn()
        self.vpdn.parent = self
        self._children_name_map["vpdn"] = "vpdn"
        self._children_yang_names.add("vpdn")

        self.vstack = Native.Vstack()
        self.vstack.parent = self
        self._children_name_map["vstack"] = "vstack"
        self._children_yang_names.add("vstack")

        self.domain = YList(self)
        self.username = YList(self)
        self.sampler = YList(self)
        self.route_map = YList(self)
        self.table_map = YList(self)
        self.pseudowire_class = YList(self)
        self.parameter_map = YList(self)
        self.tftp_server = YList(self)
        self.alarm_contact = YList(self)
        self.pfr_map = YList(self)
        self.virtual_service = YList(self)
        self.time_range = YList(self)
        self.maintenance_template = YList(self)
        self.service_template = YList(self)
        self.switch = YList(self)
        self.switch_virtual = YList(self)
        self.voice_card = YList(self)
        self._segment_path = lambda: "Cisco-IOS-XE-native:native"

    def __setattr__(self, name, value):
        self._perform_setattr(Native, ['version', 'boot_start_marker', 'boot_end_marker', 'captive_portal_bypass', 'hostname', 'aqm_register_fnf', 'config_register', 'disable_eadi'], name, value)


    class Default(Entity):
        """
        Set a command to its defaults
        
        .. attribute:: crypto
        
        	Encryption module
        	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Default.Crypto>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Default, self).__init__()

            self.yang_name = "default"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"crypto" : ("crypto", Native.Default.Crypto)}
            self._child_list_classes = {}

            self.crypto = Native.Default.Crypto()
            self.crypto.parent = self
            self._children_name_map["crypto"] = "crypto"
            self._children_yang_names.add("crypto")
            self._segment_path = lambda: "default"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Crypto(Entity):
            """
            Encryption module
            
            .. attribute:: ikev2
            
            	Configure IKEv2 Options
            	**type**\:  :py:class:`Ikev2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Default.Crypto.Ikev2>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Default.Crypto, self).__init__()

                self.yang_name = "crypto"
                self.yang_parent_name = "default"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ikev2" : ("ikev2", Native.Default.Crypto.Ikev2)}
                self._child_list_classes = {}

                self.ikev2 = Native.Default.Crypto.Ikev2()
                self.ikev2.parent = self
                self._children_name_map["ikev2"] = "ikev2"
                self._children_yang_names.add("ikev2")
                self._segment_path = lambda: "crypto"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/default/%s" % self._segment_path()


            class Ikev2(Entity):
                """
                Configure IKEv2 Options
                
                .. attribute:: proposal
                
                	Define IKEV2 proposals
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: policy
                
                	Define IKEV2 policies
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Default.Crypto.Ikev2, self).__init__()

                    self.yang_name = "ikev2"
                    self.yang_parent_name = "crypto"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.proposal = YLeaf(YType.empty, "proposal")

                    self.policy = YLeaf(YType.empty, "policy")
                    self._segment_path = lambda: "ikev2"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/default/crypto/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Default.Crypto.Ikev2, ['proposal', 'policy'], name, value)


    class Bfd(Entity):
        """
        BFD configuration commands
        
        .. attribute:: l2cos
        
        	Value of L2 COS for BFD Pkts over VLAN interfaces
        	**type**\: int
        
        	**range:** 0..6
        
        .. attribute:: map
        
        	configure bfd map entry for multi\-hop sessions
        	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map>`
        
        .. attribute:: slow_timers
        
        	Value in ms to use for slow timers
        	**type**\: int
        
        	**range:** 1000..30000
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Bfd, self).__init__()

            self.yang_name = "bfd"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-bfd:map" : ("map", Native.Bfd.Map)}
            self._child_list_classes = {}

            self.l2cos = YLeaf(YType.uint8, "Cisco-IOS-XE-bfd:l2cos")

            self.slow_timers = YLeaf(YType.uint16, "Cisco-IOS-XE-bfd:slow-timers")

            self.map = Native.Bfd.Map()
            self.map.parent = self
            self._children_name_map["map"] = "map"
            self._children_yang_names.add("map")
            self._segment_path = lambda: "bfd"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Bfd, ['l2cos', 'slow_timers'], name, value)


        class Map(Entity):
            """
            configure bfd map entry for multi\-hop sessions
            
            .. attribute:: ipv4
            
            	IPv4 Address Family
            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv4>`
            
            .. attribute:: ipv6
            
            	IPv6 Address Family
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6>`
            
            

            """

            _prefix = 'ios-bfd'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.Bfd.Map, self).__init__()

                self.yang_name = "map"
                self.yang_parent_name = "bfd"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ipv4" : ("ipv4", Native.Bfd.Map.Ipv4), "ipv6" : ("ipv6", Native.Bfd.Map.Ipv6)}
                self._child_list_classes = {}

                self.ipv4 = Native.Bfd.Map.Ipv4()
                self.ipv4.parent = self
                self._children_name_map["ipv4"] = "ipv4"
                self._children_yang_names.add("ipv4")

                self.ipv6 = Native.Bfd.Map.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")
                self._segment_path = lambda: "Cisco-IOS-XE-bfd:map"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bfd/%s" % self._segment_path()


            class Ipv4(Entity):
                """
                IPv4 Address Family
                
                .. attribute:: no_vrf
                
                	
                	**type**\:  :py:class:`NoVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv4.NoVrf>`
                
                .. attribute:: vrf
                
                	Destination VRF name
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv4.Vrf>`
                
                

                """

                _prefix = 'ios-bfd'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Bfd.Map.Ipv4, self).__init__()

                    self.yang_name = "ipv4"
                    self.yang_parent_name = "map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"no-vrf" : ("no_vrf", Native.Bfd.Map.Ipv4.NoVrf), "vrf" : ("vrf", Native.Bfd.Map.Ipv4.Vrf)}
                    self._child_list_classes = {}

                    self.no_vrf = Native.Bfd.Map.Ipv4.NoVrf()
                    self.no_vrf.parent = self
                    self._children_name_map["no_vrf"] = "no-vrf"
                    self._children_yang_names.add("no-vrf")

                    self.vrf = Native.Bfd.Map.Ipv4.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")
                    self._segment_path = lambda: "ipv4"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bfd/Cisco-IOS-XE-bfd:map/%s" % self._segment_path()


                class NoVrf(Entity):
                    """
                    
                    
                    .. attribute:: dest_ip
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                    
                    .. attribute:: src_ip
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                    
                    .. attribute:: template_name
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Bfd.Map.Ipv4.NoVrf, self).__init__()

                        self.yang_name = "no-vrf"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dest_ip = YLeaf(YType.str, "dest-ip")

                        self.src_ip = YLeaf(YType.str, "src-ip")

                        self.template_name = YLeaf(YType.str, "template-name")
                        self._segment_path = lambda: "no-vrf"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bfd/Cisco-IOS-XE-bfd:map/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Bfd.Map.Ipv4.NoVrf, ['dest_ip', 'src_ip', 'template_name'], name, value)


                class Vrf(Entity):
                    """
                    Destination VRF name
                    
                    .. attribute:: dst_vrf
                    
                    	
                    	**type**\: list of  		 :py:class:`DstVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv4.Vrf.DstVrf>`
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Bfd.Map.Ipv4.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"dst-vrf" : ("dst_vrf", Native.Bfd.Map.Ipv4.Vrf.DstVrf)}

                        self.dst_vrf = YList(self)
                        self._segment_path = lambda: "vrf"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bfd/Cisco-IOS-XE-bfd:map/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Bfd.Map.Ipv4.Vrf, [], name, value)


                    class DstVrf(Entity):
                        """
                        
                        
                        .. attribute:: dst_vrf  <key>
                        
                        	Destination VRF instance name
                        	**type**\: str
                        
                        .. attribute:: a_period_b_period_c_period_d_slash_nn
                        
                        	Destination IP prefix/len
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bfd'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Bfd.Map.Ipv4.Vrf.DstVrf, self).__init__()

                            self.yang_name = "dst-vrf"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dst_vrf = YLeaf(YType.str, "dst-vrf")

                            self.a_period_b_period_c_period_d_slash_nn = YLeaf(YType.empty, "A_PERIOD_B_PERIOD_C_PERIOD_D_SLASH_nn")
                            self._segment_path = lambda: "dst-vrf" + "[dst-vrf='" + self.dst_vrf.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bfd/Cisco-IOS-XE-bfd:map/ipv4/vrf/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Bfd.Map.Ipv4.Vrf.DstVrf, ['dst_vrf', 'a_period_b_period_c_period_d_slash_nn'], name, value)


            class Ipv6(Entity):
                """
                IPv6 Address Family
                
                .. attribute:: dp_ipv6_prefix
                
                	
                	**type**\: list of  		 :py:class:`DpIpv6Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6.DpIpv6Prefix>`
                
                .. attribute:: vrf
                
                	Destination VRF name
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6.Vrf>`
                
                

                """

                _prefix = 'ios-bfd'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Bfd.Map.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"vrf" : ("vrf", Native.Bfd.Map.Ipv6.Vrf)}
                    self._child_list_classes = {"dp-ipv6_prefix" : ("dp_ipv6_prefix", Native.Bfd.Map.Ipv6.DpIpv6Prefix)}

                    self.vrf = Native.Bfd.Map.Ipv6.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.dp_ipv6_prefix = YList(self)
                    self._segment_path = lambda: "ipv6"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bfd/Cisco-IOS-XE-bfd:map/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Bfd.Map.Ipv6, [], name, value)


                class DpIpv6Prefix(Entity):
                    """
                    
                    
                    .. attribute:: dp_ipv6_prefix  <key>
                    
                    	Destination IPv6 prefix/len
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: bfd_nm
                    
                    	bfd template name
                    	**type**\: str
                    
                    .. attribute:: src_ipv6_prefix0
                    
                    	
                    	**type**\: list of  		 :py:class:`SrcIpv6Prefix0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6.DpIpv6Prefix.SrcIpv6Prefix0>`
                    
                    .. attribute:: vrf
                    
                    	Source VRF name
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6.DpIpv6Prefix.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Bfd.Map.Ipv6.DpIpv6Prefix, self).__init__()

                        self.yang_name = "dp-ipv6_prefix"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"vrf" : ("vrf", Native.Bfd.Map.Ipv6.DpIpv6Prefix.Vrf)}
                        self._child_list_classes = {"src-ipv6_prefix0" : ("src_ipv6_prefix0", Native.Bfd.Map.Ipv6.DpIpv6Prefix.SrcIpv6Prefix0)}

                        self.dp_ipv6_prefix = YLeaf(YType.str, "dp-ipv6_prefix")

                        self.bfd_nm = YLeaf(YType.str, "bfd-nm")

                        self.vrf = Native.Bfd.Map.Ipv6.DpIpv6Prefix.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")

                        self.src_ipv6_prefix0 = YList(self)
                        self._segment_path = lambda: "dp-ipv6_prefix" + "[dp-ipv6_prefix='" + self.dp_ipv6_prefix.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bfd/Cisco-IOS-XE-bfd:map/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Bfd.Map.Ipv6.DpIpv6Prefix, ['dp_ipv6_prefix', 'bfd_nm'], name, value)


                    class SrcIpv6Prefix0(Entity):
                        """
                        
                        
                        .. attribute:: src_ipv6_prefix0  <key>
                        
                        	Source IPv6 prefix/len
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: bfd_name
                        
                        	bfd template name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bfd'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Bfd.Map.Ipv6.DpIpv6Prefix.SrcIpv6Prefix0, self).__init__()

                            self.yang_name = "src-ipv6_prefix0"
                            self.yang_parent_name = "dp-ipv6_prefix"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.src_ipv6_prefix0 = YLeaf(YType.str, "src-ipv6_prefix0")

                            self.bfd_name = YLeaf(YType.str, "bfd-name")
                            self._segment_path = lambda: "src-ipv6_prefix0" + "[src-ipv6_prefix0='" + self.src_ipv6_prefix0.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Bfd.Map.Ipv6.DpIpv6Prefix.SrcIpv6Prefix0, ['src_ipv6_prefix0', 'bfd_name'], name, value)


                    class Vrf(Entity):
                        """
                        Source VRF name
                        
                        .. attribute:: src_vrf
                        
                        	
                        	**type**\: list of  		 :py:class:`SrcVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6.DpIpv6Prefix.Vrf.SrcVrf>`
                        
                        

                        """

                        _prefix = 'ios-bfd'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Bfd.Map.Ipv6.DpIpv6Prefix.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "dp-ipv6_prefix"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"src-vrf" : ("src_vrf", Native.Bfd.Map.Ipv6.DpIpv6Prefix.Vrf.SrcVrf)}

                            self.src_vrf = YList(self)
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Bfd.Map.Ipv6.DpIpv6Prefix.Vrf, [], name, value)


                        class SrcVrf(Entity):
                            """
                            
                            
                            .. attribute:: src_vrf  <key>
                            
                            	Source VRF instance name
                            	**type**\: str
                            
                            .. attribute:: src_ipv6_prefix
                            
                            	Source IPv6 prefix/len
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            

                            """

                            _prefix = 'ios-bfd'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Bfd.Map.Ipv6.DpIpv6Prefix.Vrf.SrcVrf, self).__init__()

                                self.yang_name = "src-vrf"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.src_vrf = YLeaf(YType.str, "src-vrf")

                                self.src_ipv6_prefix = YLeaf(YType.str, "src-ipv6_prefix")
                                self._segment_path = lambda: "src-vrf" + "[src-vrf='" + self.src_vrf.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Bfd.Map.Ipv6.DpIpv6Prefix.Vrf.SrcVrf, ['src_vrf', 'src_ipv6_prefix'], name, value)


                class Vrf(Entity):
                    """
                    Destination VRF name
                    
                    .. attribute:: dst_vrf
                    
                    	
                    	**type**\: list of  		 :py:class:`DstVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Bfd.Map.Ipv6.Vrf.DstVrf>`
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Bfd.Map.Ipv6.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"dst-vrf" : ("dst_vrf", Native.Bfd.Map.Ipv6.Vrf.DstVrf)}

                        self.dst_vrf = YList(self)
                        self._segment_path = lambda: "vrf"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bfd/Cisco-IOS-XE-bfd:map/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Bfd.Map.Ipv6.Vrf, [], name, value)


                    class DstVrf(Entity):
                        """
                        
                        
                        .. attribute:: dst_vrf  <key>
                        
                        	Destination VRF instance name
                        	**type**\: str
                        
                        .. attribute:: dst_ipv6_prefix
                        
                        	Destination IPv6 prefix/len
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        

                        """

                        _prefix = 'ios-bfd'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Bfd.Map.Ipv6.Vrf.DstVrf, self).__init__()

                            self.yang_name = "dst-vrf"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dst_vrf = YLeaf(YType.str, "dst-vrf")

                            self.dst_ipv6_prefix = YLeaf(YType.str, "dst-ipv6_prefix")
                            self._segment_path = lambda: "dst-vrf" + "[dst-vrf='" + self.dst_vrf.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bfd/Cisco-IOS-XE-bfd:map/ipv6/vrf/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Bfd.Map.Ipv6.Vrf.DstVrf, ['dst_vrf', 'dst_ipv6_prefix'], name, value)


    class Boot(Entity):
        """
        Modify boot system parameters
        
        .. attribute:: system
        
        	System Image
        	**type**\:  :py:class:`System <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System>`
        
        .. attribute:: enable_break
        
        	Enable break
        	**type**\:  :py:class:`EnableBreak <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.EnableBreak>`
        
        	**presence node**\: True
        
        .. attribute:: manual
        
        	Manual boot
        	**type**\:  :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.Manual>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Boot, self).__init__()

            self.yang_name = "boot"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"system" : ("system", Native.Boot.System), "Cisco-IOS-XE-switch:enable-break" : ("enable_break", Native.Boot.EnableBreak), "Cisco-IOS-XE-switch:manual" : ("manual", Native.Boot.Manual)}
            self._child_list_classes = {}

            self.system = Native.Boot.System()
            self.system.parent = self
            self._children_name_map["system"] = "system"
            self._children_yang_names.add("system")

            self.enable_break = None
            self._children_name_map["enable_break"] = "enable-break"
            self._children_yang_names.add("enable-break")

            self.manual = None
            self._children_name_map["manual"] = "manual"
            self._children_yang_names.add("manual")
            self._segment_path = lambda: "boot"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class System(Entity):
            """
            System Image
            
            .. attribute:: tftp_path
            
            	Example\: 192.x.x.x/<path to image>
            	**type**\: str
            
            .. attribute:: tftp
            
            	Example 192.168.x.x/<image\-path>
            	**type**\: str
            
            .. attribute:: bootfile
            
            	WORD \- boot filename
            	**type**\:  :py:class:`Bootfile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Bootfile>`
            
            .. attribute:: flash
            
            	flash \- Boot from flash memory
            	**type**\:  :py:class:`Flash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Flash>`
            
            .. attribute:: switch
            
            	Set system image for switches in the stack
            	**type**\:  :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Switch>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Boot.System, self).__init__()

                self.yang_name = "system"
                self.yang_parent_name = "boot"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"bootfile" : ("bootfile", Native.Boot.System.Bootfile), "flash" : ("flash", Native.Boot.System.Flash), "Cisco-IOS-XE-switch:switch" : ("switch", Native.Boot.System.Switch)}
                self._child_list_classes = {}

                self.tftp_path = YLeaf(YType.str, "tftp-path")

                self.tftp = YLeaf(YType.str, "tftp")

                self.bootfile = Native.Boot.System.Bootfile()
                self.bootfile.parent = self
                self._children_name_map["bootfile"] = "bootfile"
                self._children_yang_names.add("bootfile")

                self.flash = Native.Boot.System.Flash()
                self.flash.parent = self
                self._children_name_map["flash"] = "flash"
                self._children_yang_names.add("flash")

                self.switch = Native.Boot.System.Switch()
                self.switch.parent = self
                self._children_name_map["switch"] = "switch"
                self._children_yang_names.add("switch")
                self._segment_path = lambda: "system"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/boot/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Boot.System, ['tftp_path', 'tftp'], name, value)


            class Bootfile(Entity):
                """
                WORD \- boot filename
                
                .. attribute:: filename_list
                
                	
                	**type**\: list of  		 :py:class:`FilenameList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Bootfile.FilenameList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Boot.System.Bootfile, self).__init__()

                    self.yang_name = "bootfile"
                    self.yang_parent_name = "system"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"filename-list" : ("filename_list", Native.Boot.System.Bootfile.FilenameList)}

                    self.filename_list = YList(self)
                    self._segment_path = lambda: "bootfile"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/boot/system/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Boot.System.Bootfile, [], name, value)


                class FilenameList(Entity):
                    """
                    
                    
                    .. attribute:: filename  <key>
                    
                    	WORD \- TFTP filename or URL
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Boot.System.Bootfile.FilenameList, self).__init__()

                        self.yang_name = "filename-list"
                        self.yang_parent_name = "bootfile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.filename = YLeaf(YType.str, "filename")
                        self._segment_path = lambda: "filename-list" + "[filename='" + self.filename.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/boot/system/bootfile/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Boot.System.Bootfile.FilenameList, ['filename'], name, value)


            class Flash(Entity):
                """
                flash \- Boot from flash memory
                
                .. attribute:: flash_list
                
                	
                	**type**\: list of  		 :py:class:`FlashList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Flash.FlashList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Boot.System.Flash, self).__init__()

                    self.yang_name = "flash"
                    self.yang_parent_name = "system"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"flash-list" : ("flash_list", Native.Boot.System.Flash.FlashList)}

                    self.flash_list = YList(self)
                    self._segment_path = lambda: "flash"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/boot/system/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Boot.System.Flash, [], name, value)


                class FlashList(Entity):
                    """
                    
                    
                    .. attribute:: flash_leaf  <key>
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Boot.System.Flash.FlashList, self).__init__()

                        self.yang_name = "flash-list"
                        self.yang_parent_name = "flash"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.flash_leaf = YLeaf(YType.str, "flash-leaf")
                        self._segment_path = lambda: "flash-list" + "[flash-leaf='" + self.flash_leaf.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/boot/system/flash/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Boot.System.Flash.FlashList, ['flash_leaf'], name, value)


            class Switch(Entity):
                """
                Set system image for switches in the stack
                
                .. attribute:: switch_number
                
                	
                	**type**\: list of  		 :py:class:`SwitchNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Switch.SwitchNumber>`
                
                .. attribute:: all
                
                	Set system image for all switches in the stack
                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Boot.System.Switch.All>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Boot.System.Switch, self).__init__()

                    self.yang_name = "switch"
                    self.yang_parent_name = "system"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"all" : ("all", Native.Boot.System.Switch.All)}
                    self._child_list_classes = {"switch-number" : ("switch_number", Native.Boot.System.Switch.SwitchNumber)}

                    self.all = Native.Boot.System.Switch.All()
                    self.all.parent = self
                    self._children_name_map["all"] = "all"
                    self._children_yang_names.add("all")

                    self.switch_number = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:switch"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/boot/system/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Boot.System.Switch, [], name, value)


                class SwitchNumber(Entity):
                    """
                    
                    
                    .. attribute:: range  <key>
                    
                    	Switch number
                    	**type**\: int
                    
                    	**range:** 1..9
                    
                    .. attribute:: flash_1_path
                    
                    	Example edison.bin
                    	**type**\: str
                    
                    .. attribute:: flash_path
                    
                    	Example edison.bin
                    	**type**\: str
                    
                    .. attribute:: tftp_path
                    
                    	Example 192.x.x.x/<path>
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Boot.System.Switch.SwitchNumber, self).__init__()

                        self.yang_name = "switch-number"
                        self.yang_parent_name = "switch"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.range = YLeaf(YType.uint8, "range")

                        self.flash_1_path = YLeaf(YType.str, "flash-1-path")

                        self.flash_path = YLeaf(YType.str, "flash-path")

                        self.tftp_path = YLeaf(YType.str, "tftp-path")
                        self._segment_path = lambda: "switch-number" + "[range='" + self.range.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/boot/system/Cisco-IOS-XE-switch:switch/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Boot.System.Switch.SwitchNumber, ['range', 'flash_1_path', 'flash_path', 'tftp_path'], name, value)


                class All(Entity):
                    """
                    Set system image for all switches in the stack
                    
                    .. attribute:: flash_1
                    
                    	Example edison.bin
                    	**type**\: str
                    
                    .. attribute:: flash
                    
                    	Example edison.bin
                    	**type**\: str
                    
                    .. attribute:: tftp
                    
                    	Example 192.x.x.x/<image\-path>
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Boot.System.Switch.All, self).__init__()

                        self.yang_name = "all"
                        self.yang_parent_name = "switch"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.flash_1 = YLeaf(YType.str, "flash-1")

                        self.flash = YLeaf(YType.str, "flash")

                        self.tftp = YLeaf(YType.str, "tftp")
                        self._segment_path = lambda: "all"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/boot/system/Cisco-IOS-XE-switch:switch/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Boot.System.Switch.All, ['flash_1', 'flash', 'tftp'], name, value)


        class EnableBreak(Entity):
            """
            Enable break
            
            .. attribute:: switch
            
            	Set enable break for switches in the stack
            	**type**\: int
            
            	**range:** 1..9
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.Boot.EnableBreak, self).__init__()

                self.yang_name = "enable-break"
                self.yang_parent_name = "boot"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.switch = YLeaf(YType.uint8, "switch")
                self._segment_path = lambda: "Cisco-IOS-XE-switch:enable-break"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/boot/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Boot.EnableBreak, ['switch'], name, value)


        class Manual(Entity):
            """
            Manual boot
            
            .. attribute:: switch
            
            	Set manual boot for switches in the stack\:Switch number(s)
            	**type**\: int
            
            	**range:** 1..9
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.Boot.Manual, self).__init__()

                self.yang_name = "manual"
                self.yang_parent_name = "boot"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.switch = YLeaf(YType.uint8, "switch")
                self._segment_path = lambda: "Cisco-IOS-XE-switch:manual"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/boot/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Boot.Manual, ['switch'], name, value)


    class Memory(Entity):
        """
        Configure memory management
        
        .. attribute:: statistics
        
        	Configure statistics history table
        	**type**\:  :py:class:`Statistics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Statistics>`
        
        .. attribute:: chunk
        
        	chunk related configuration
        	**type**\:  :py:class:`Chunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Chunk>`
        
        .. attribute:: free
        
        	free memory low water mark
        	**type**\:  :py:class:`Free <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Free>`
        
        .. attribute:: lite
        
        	Enable/disable memory lite
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: reserve
        
        	reserve memory
        	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Reserve>`
        
        .. attribute:: sanity
        
        	Enable memory sanity
        	**type**\:  :py:class:`Sanity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Sanity>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Memory, self).__init__()

            self.yang_name = "memory"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"statistics" : ("statistics", Native.Memory.Statistics), "chunk" : ("chunk", Native.Memory.Chunk), "free" : ("free", Native.Memory.Free), "reserve" : ("reserve", Native.Memory.Reserve), "sanity" : ("sanity", Native.Memory.Sanity)}
            self._child_list_classes = {}

            self.lite = YLeaf(YType.empty, "lite")

            self.statistics = Native.Memory.Statistics()
            self.statistics.parent = self
            self._children_name_map["statistics"] = "statistics"
            self._children_yang_names.add("statistics")

            self.chunk = Native.Memory.Chunk()
            self.chunk.parent = self
            self._children_name_map["chunk"] = "chunk"
            self._children_yang_names.add("chunk")

            self.free = Native.Memory.Free()
            self.free.parent = self
            self._children_name_map["free"] = "free"
            self._children_yang_names.add("free")

            self.reserve = Native.Memory.Reserve()
            self.reserve.parent = self
            self._children_name_map["reserve"] = "reserve"
            self._children_yang_names.add("reserve")

            self.sanity = None
            self._children_name_map["sanity"] = "sanity"
            self._children_yang_names.add("sanity")
            self._segment_path = lambda: "memory"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Memory, ['lite'], name, value)


        class Statistics(Entity):
            """
            Configure statistics history table
            
            .. attribute:: history
            
            	Configure statistics history table
            	**type**\:  :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Statistics.History>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Memory.Statistics, self).__init__()

                self.yang_name = "statistics"
                self.yang_parent_name = "memory"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"history" : ("history", Native.Memory.Statistics.History)}
                self._child_list_classes = {}

                self.history = Native.Memory.Statistics.History()
                self.history.parent = self
                self._children_name_map["history"] = "history"
                self._children_yang_names.add("history")
                self._segment_path = lambda: "statistics"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/memory/%s" % self._segment_path()


            class History(Entity):
                """
                Configure statistics history table
                
                .. attribute:: table
                
                	Configure statistics history table
                	**type**\: int
                
                	**range:** 12..72
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Memory.Statistics.History, self).__init__()

                    self.yang_name = "history"
                    self.yang_parent_name = "statistics"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.table = YLeaf(YType.uint8, "table")
                    self._segment_path = lambda: "history"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/memory/statistics/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Memory.Statistics.History, ['table'], name, value)


        class Chunk(Entity):
            """
            chunk related configuration
            
            .. attribute:: siblings
            
            	chunk siblings related configuration
            	**type**\:  :py:class:`Siblings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Chunk.Siblings>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Memory.Chunk, self).__init__()

                self.yang_name = "chunk"
                self.yang_parent_name = "memory"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"siblings" : ("siblings", Native.Memory.Chunk.Siblings)}
                self._child_list_classes = {}

                self.siblings = Native.Memory.Chunk.Siblings()
                self.siblings.parent = self
                self._children_name_map["siblings"] = "siblings"
                self._children_yang_names.add("siblings")
                self._segment_path = lambda: "chunk"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/memory/%s" % self._segment_path()


            class Siblings(Entity):
                """
                chunk siblings related configuration
                
                .. attribute:: threshold
                
                	Default is platform dependent
                	**type**\: int
                
                	**range:** 2..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Memory.Chunk.Siblings, self).__init__()

                    self.yang_name = "siblings"
                    self.yang_parent_name = "chunk"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.threshold = YLeaf(YType.uint32, "threshold")
                    self._segment_path = lambda: "siblings"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/memory/chunk/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Memory.Chunk.Siblings, ['threshold'], name, value)


        class Free(Entity):
            """
            free memory low water mark
            
            .. attribute:: low_watermark
            
            	low water mark for notifications
            	**type**\:  :py:class:`LowWatermark <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Free.LowWatermark>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Memory.Free, self).__init__()

                self.yang_name = "free"
                self.yang_parent_name = "memory"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"low-watermark" : ("low_watermark", Native.Memory.Free.LowWatermark)}
                self._child_list_classes = {}

                self.low_watermark = Native.Memory.Free.LowWatermark()
                self.low_watermark.parent = self
                self._children_name_map["low_watermark"] = "low-watermark"
                self._children_yang_names.add("low-watermark")
                self._segment_path = lambda: "free"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/memory/%s" % self._segment_path()


            class LowWatermark(Entity):
                """
                low water mark for notifications
                
                .. attribute:: io
                
                	low water mark of memory in KB
                	**type**\: int
                
                	**range:** 1..3994575
                
                .. attribute:: processor
                
                	low water mark of memory in KB
                	**type**\: int
                
                	**range:** 1..3994575
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Memory.Free.LowWatermark, self).__init__()

                    self.yang_name = "low-watermark"
                    self.yang_parent_name = "free"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.io = YLeaf(YType.uint32, "IO")

                    self.processor = YLeaf(YType.uint32, "processor")
                    self._segment_path = lambda: "low-watermark"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/memory/free/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Memory.Free.LowWatermark, ['io', 'processor'], name, value)


        class Reserve(Entity):
            """
            reserve memory
            
            .. attribute:: critical
            
            	Reserve Critical Memory
            	**type**\:  :py:class:`Critical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Memory.Reserve.Critical>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Memory.Reserve, self).__init__()

                self.yang_name = "reserve"
                self.yang_parent_name = "memory"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"critical" : ("critical", Native.Memory.Reserve.Critical)}
                self._child_list_classes = {}

                self.critical = None
                self._children_name_map["critical"] = "critical"
                self._children_yang_names.add("critical")
                self._segment_path = lambda: "reserve"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/memory/%s" % self._segment_path()


            class Critical(Entity):
                """
                Reserve Critical Memory
                
                .. attribute:: memory_range
                
                	total amount of memory to be reserved in kilobytes
                	**type**\: int
                
                	**range:** 1..4294967295
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Memory.Reserve.Critical, self).__init__()

                    self.yang_name = "critical"
                    self.yang_parent_name = "reserve"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.memory_range = YLeaf(YType.uint32, "memory-range")
                    self._segment_path = lambda: "critical"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/memory/reserve/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Memory.Reserve.Critical, ['memory_range'], name, value)


        class Sanity(Entity):
            """
            Enable memory sanity
            
            .. attribute:: all
            
            	Enable memory sanity all
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: buffer
            
            	Enable memory sanity buffer
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: queue
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Memory.Sanity, self).__init__()

                self.yang_name = "sanity"
                self.yang_parent_name = "memory"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.all = YLeaf(YType.empty, "all")

                self.buffer = YLeaf(YType.empty, "buffer")

                self.queue = YLeaf(YType.empty, "queue")
                self._segment_path = lambda: "sanity"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/memory/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Memory.Sanity, ['all', 'buffer', 'queue'], name, value)


    class Location(Entity):
        """
        Global location configuration commands
        
        .. attribute:: civic_location
        
        	Civic location information
        	**type**\:  :py:class:`CivicLocation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Location.CivicLocation>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Location, self).__init__()

            self.yang_name = "location"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"civic-location" : ("civic_location", Native.Location.CivicLocation)}
            self._child_list_classes = {}

            self.civic_location = Native.Location.CivicLocation()
            self.civic_location.parent = self
            self._children_name_map["civic_location"] = "civic-location"
            self._children_yang_names.add("civic-location")
            self._segment_path = lambda: "location"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class CivicLocation(Entity):
            """
            Civic location information
            
            .. attribute:: identifier
            
            	Set the identifier
            	**type**\: list of  		 :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Location.CivicLocation.Identifier>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Location.CivicLocation, self).__init__()

                self.yang_name = "civic-location"
                self.yang_parent_name = "location"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"identifier" : ("identifier", Native.Location.CivicLocation.Identifier)}

                self.identifier = YList(self)
                self._segment_path = lambda: "civic-location"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/location/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Location.CivicLocation, [], name, value)


            class Identifier(Entity):
                """
                Set the identifier
                
                .. attribute:: identifier  <key>
                
                	
                	**type**\: str
                
                .. attribute:: building
                
                	Building information
                	**type**\: str
                
                .. attribute:: floor
                
                	Floor number
                	**type**\: str
                
                .. attribute:: landmark
                
                	Landmark
                	**type**\: str
                
                .. attribute:: name
                
                	Resident name
                	**type**\: str
                
                .. attribute:: number
                
                	Street number
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Location.CivicLocation.Identifier, self).__init__()

                    self.yang_name = "identifier"
                    self.yang_parent_name = "civic-location"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.identifier = YLeaf(YType.str, "identifier")

                    self.building = YLeaf(YType.str, "building")

                    self.floor = YLeaf(YType.str, "floor")

                    self.landmark = YLeaf(YType.str, "landmark")

                    self.name = YLeaf(YType.str, "name")

                    self.number = YLeaf(YType.str, "number")
                    self._segment_path = lambda: "identifier" + "[identifier='" + self.identifier.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/location/civic-location/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Location.CivicLocation.Identifier, ['identifier', 'building', 'floor', 'landmark', 'name', 'number'], name, value)


    class CallHome(Entity):
        """
        Enter call\-home configuration mode
        
        .. attribute:: contact_email_addr
        
        	Use email address
        	**type**\: str
        
        .. attribute:: source_interface
        
        	Source interface name to send call\-home messages using email
        	**type**\:  :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.SourceInterface>`
        
        .. attribute:: http_proxy
        
        	Specify proxy server for http request
        	**type**\:  :py:class:`HttpProxy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.HttpProxy>`
        
        .. attribute:: profile
        
        	Enter call\-home profile configuration mode
        	**type**\: list of  		 :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile>`
        
        

        This class is a :ref:`presence class<presence-class>`

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.CallHome, self).__init__()

            self.yang_name = "call-home"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-call-home:source-interface" : ("source_interface", Native.CallHome.SourceInterface), "Cisco-IOS-XE-call-home:http-proxy" : ("http_proxy", Native.CallHome.HttpProxy)}
            self._child_list_classes = {"Cisco-IOS-XE-call-home:profile" : ("profile", Native.CallHome.Profile)}
            self.is_presence_container = True

            self.contact_email_addr = YLeaf(YType.str, "Cisco-IOS-XE-call-home:contact-email-addr")

            self.source_interface = Native.CallHome.SourceInterface()
            self.source_interface.parent = self
            self._children_name_map["source_interface"] = "source-interface"
            self._children_yang_names.add("source-interface")

            self.http_proxy = Native.CallHome.HttpProxy()
            self.http_proxy.parent = self
            self._children_name_map["http_proxy"] = "http-proxy"
            self._children_yang_names.add("http-proxy")

            self.profile = YList(self)
            self._segment_path = lambda: "call-home"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.CallHome, ['contact_email_addr'], name, value)


        class SourceInterface(Entity):
            """
            Source interface name to send call\-home messages using email
            
            .. attribute:: appnav_compress
            
            	Service\-Context Virtual Interface Compress
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: appnav_uncompress
            
            	Service\-Context Virtual Interface UnCompress
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: atm
            
            	ATM interface
            	**type**\: str
            
            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
            
            .. attribute:: atm_subinterface
            
            	
            	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.SourceInterface.ATMSubinterface>`
            
            .. attribute:: atm_acr
            
            	ATM\-ACR interface
            	**type**\: str
            
            	**pattern:** [0\-9]
            
            .. attribute:: atm_acrsubinterface
            
            	
            	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.SourceInterface.ATMACRsubinterface>`
            
            .. attribute:: bdi
            
            	Bridge\-Domain interface
            	**type**\: str
            
            .. attribute:: cem
            
            	CEM interface
            	**type**\: str
            
            	**pattern:** ([0\-9]/){2}[0\-9]
            
            .. attribute:: cem_acr
            
            	CEM\-ACR interface
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: embedded_service_engine
            
            	cisco embedded service engine module
            	**type**\: str
            
            .. attribute:: fastethernet
            
            	FastEthernet IEEE 802.3
            	**type**\: str
            
            .. attribute:: gigabitethernet
            
            	GigabitEthernet IEEE 802.3z
            	**type**\: str
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\: str
            
            .. attribute:: lisp_subinterface
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.SourceInterface.LISPSubinterface>`
            
            .. attribute:: loopback
            
            	Loopback interface
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: multilink
            
            	Multilink\-group interface
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: nve
            
            	Network virtualization endpoint interface
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: overlay
            
            	Overlay interface
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: port_channel
            
            	Ethernet Channel of interfaces
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: port_channel_subinterface
            
            	
            	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.SourceInterface.PortChannelSubinterface>`
            
            .. attribute:: pseudowire
            
            	Pseudowire Interface
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: sm
            
            	SM Interface
            	**type**\: str
            
            .. attribute:: cellular
            
            	Cellular Interface
            	**type**\: str
            
            .. attribute:: serial
            
            	Serial interface
            	**type**\: str
            
            .. attribute:: tengigabitethernet
            
            	Ten Gigabit Ethernet
            	**type**\: str
            
            .. attribute:: tunnel
            
            	Tunnel interface
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: virtual_template
            
            	Virtual Template interface
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: vlan
            
            	Iosxr Vlans
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: virtualportgroup
            
            	Virtual Port Group
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: vasileft
            
            	vasileft
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: vasiright
            
            	vasiright
            	**type**\: int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'ios-ch'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.CallHome.SourceInterface, self).__init__()

                self.yang_name = "source-interface"
                self.yang_parent_name = "call-home"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.CallHome.SourceInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.CallHome.SourceInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.CallHome.SourceInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.CallHome.SourceInterface.PortChannelSubinterface)}
                self._child_list_classes = {}

                self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                self.atm = YLeaf(YType.str, "ATM")

                self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                self.bdi = YLeaf(YType.str, "BDI")

                self.cem = YLeaf(YType.str, "CEM")

                self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                self.lisp = YLeaf(YType.str, "LISP")

                self.loopback = YLeaf(YType.uint32, "Loopback")

                self.multilink = YLeaf(YType.uint16, "Multilink")

                self.nve = YLeaf(YType.uint16, "nve")

                self.overlay = YLeaf(YType.uint16, "overlay")

                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                self.sm = YLeaf(YType.str, "SM")

                self.cellular = YLeaf(YType.str, "Cellular")

                self.serial = YLeaf(YType.str, "Serial")

                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                self.tunnel = YLeaf(YType.uint32, "Tunnel")

                self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                self.vlan = YLeaf(YType.uint16, "Vlan")

                self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                self.vasileft = YLeaf(YType.uint16, "vasileft")

                self.vasiright = YLeaf(YType.uint16, "vasiright")

                self.atm_subinterface = Native.CallHome.SourceInterface.ATMSubinterface()
                self.atm_subinterface.parent = self
                self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                self._children_yang_names.add("ATM-subinterface")

                self.atm_acrsubinterface = Native.CallHome.SourceInterface.ATMACRsubinterface()
                self.atm_acrsubinterface.parent = self
                self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                self._children_yang_names.add("ATM-ACRsubinterface")

                self.lisp_subinterface = Native.CallHome.SourceInterface.LISPSubinterface()
                self.lisp_subinterface.parent = self
                self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                self._children_yang_names.add("LISP-subinterface")

                self.port_channel_subinterface = Native.CallHome.SourceInterface.PortChannelSubinterface()
                self.port_channel_subinterface.parent = self
                self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                self._children_yang_names.add("Port-channel-subinterface")
                self._segment_path = lambda: "Cisco-IOS-XE-call-home:source-interface"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/call-home/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CallHome.SourceInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


            class ATMSubinterface(Entity):
                """
                
                
                .. attribute:: atm
                
                	
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.CallHome.SourceInterface.ATMSubinterface, self).__init__()

                    self.yang_name = "ATM-subinterface"
                    self.yang_parent_name = "source-interface"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.atm = YLeaf(YType.str, "ATM")
                    self._segment_path = lambda: "ATM-subinterface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/call-home/Cisco-IOS-XE-call-home:source-interface/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CallHome.SourceInterface.ATMSubinterface, ['atm'], name, value)


            class ATMACRsubinterface(Entity):
                """
                
                
                .. attribute:: atm_acr
                
                	
                	**type**\: str
                
                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.CallHome.SourceInterface.ATMACRsubinterface, self).__init__()

                    self.yang_name = "ATM-ACRsubinterface"
                    self.yang_parent_name = "source-interface"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                    self._segment_path = lambda: "ATM-ACRsubinterface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/call-home/Cisco-IOS-XE-call-home:source-interface/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CallHome.SourceInterface.ATMACRsubinterface, ['atm_acr'], name, value)


            class LISPSubinterface(Entity):
                """
                Locator/ID Separation Protocol Virtual Interface
                
                .. attribute:: lisp
                
                	
                	**type**\: str
                
                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.CallHome.SourceInterface.LISPSubinterface, self).__init__()

                    self.yang_name = "LISP-subinterface"
                    self.yang_parent_name = "source-interface"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.lisp = YLeaf(YType.str, "LISP")
                    self._segment_path = lambda: "LISP-subinterface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/call-home/Cisco-IOS-XE-call-home:source-interface/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CallHome.SourceInterface.LISPSubinterface, ['lisp'], name, value)


            class PortChannelSubinterface(Entity):
                """
                
                
                .. attribute:: port_channel
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.CallHome.SourceInterface.PortChannelSubinterface, self).__init__()

                    self.yang_name = "Port-channel-subinterface"
                    self.yang_parent_name = "source-interface"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.port_channel = YLeaf(YType.str, "Port-channel")
                    self._segment_path = lambda: "Port-channel-subinterface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/call-home/Cisco-IOS-XE-call-home:source-interface/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CallHome.SourceInterface.PortChannelSubinterface, ['port_channel'], name, value)


        class HttpProxy(Entity):
            """
            Specify proxy server for http request
            
            .. attribute:: proxy_servers
            
            	
            	**type**\: list of  		 :py:class:`ProxyServers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.HttpProxy.ProxyServers>`
            
            

            """

            _prefix = 'ios-ch'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.CallHome.HttpProxy, self).__init__()

                self.yang_name = "http-proxy"
                self.yang_parent_name = "call-home"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"proxy-servers" : ("proxy_servers", Native.CallHome.HttpProxy.ProxyServers)}

                self.proxy_servers = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-call-home:http-proxy"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/call-home/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CallHome.HttpProxy, [], name, value)


            class ProxyServers(Entity):
                """
                
                
                .. attribute:: proxy_server  <key>
                
                	Http proxy server
                	**type**\: str
                
                .. attribute:: port
                
                	http proxy server port number
                	**type**\: int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.CallHome.HttpProxy.ProxyServers, self).__init__()

                    self.yang_name = "proxy-servers"
                    self.yang_parent_name = "http-proxy"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.proxy_server = YLeaf(YType.str, "proxy-server")

                    self.port = YLeaf(YType.uint16, "port")
                    self._segment_path = lambda: "proxy-servers" + "[proxy-server='" + self.proxy_server.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/call-home/Cisco-IOS-XE-call-home:http-proxy/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CallHome.HttpProxy.ProxyServers, ['proxy_server', 'port'], name, value)


        class Profile(Entity):
            """
            Enter call\-home profile configuration mode
            
            .. attribute:: profile_name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: active
            
            	Activate the current profile
            	**type**\: bool
            
            .. attribute:: destination
            
            	Message destination related configuration
            	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.Destination>`
            
            .. attribute:: subscribe_to_alert_group
            
            	Subscribe to alert\-group
            	**type**\:  :py:class:`SubscribeToAlertGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup>`
            
            

            """

            _prefix = 'ios-ch'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.CallHome.Profile, self).__init__()

                self.yang_name = "profile"
                self.yang_parent_name = "call-home"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"destination" : ("destination", Native.CallHome.Profile.Destination), "subscribe-to-alert-group" : ("subscribe_to_alert_group", Native.CallHome.Profile.SubscribeToAlertGroup)}
                self._child_list_classes = {}

                self.profile_name = YLeaf(YType.str, "profile-name")

                self.active = YLeaf(YType.boolean, "active")

                self.destination = Native.CallHome.Profile.Destination()
                self.destination.parent = self
                self._children_name_map["destination"] = "destination"
                self._children_yang_names.add("destination")

                self.subscribe_to_alert_group = Native.CallHome.Profile.SubscribeToAlertGroup()
                self.subscribe_to_alert_group.parent = self
                self._children_name_map["subscribe_to_alert_group"] = "subscribe-to-alert-group"
                self._children_yang_names.add("subscribe-to-alert-group")
                self._segment_path = lambda: "Cisco-IOS-XE-call-home:profile" + "[profile-name='" + self.profile_name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/call-home/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CallHome.Profile, ['profile_name', 'active'], name, value)


            class Destination(Entity):
                """
                Message destination related configuration
                
                .. attribute:: transport_method
                
                	To specify transport method for this profile
                	**type**\:  :py:class:`TransportMethod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.Destination.TransportMethod>`
                
                .. attribute:: address
                
                	To add destination address to this profile
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.Destination.Address>`
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.CallHome.Profile.Destination, self).__init__()

                    self.yang_name = "destination"
                    self.yang_parent_name = "profile"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"address" : ("address", Native.CallHome.Profile.Destination.Address)}
                    self._child_list_classes = {}

                    self.transport_method = YLeaf(YType.enumeration, "transport-method")

                    self.address = Native.CallHome.Profile.Destination.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")
                    self._segment_path = lambda: "destination"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CallHome.Profile.Destination, ['transport_method'], name, value)

                class TransportMethod(Enum):
                    """
                    TransportMethod

                    To specify transport method for this profile

                    .. data:: http = 0

                    .. data:: email = 1

                    """

                    http = Enum.YLeaf(0, "http")

                    email = Enum.YLeaf(1, "email")



                class Address(Entity):
                    """
                    To add destination address to this profile
                    
                    .. attribute:: email
                    
                    	Use email address
                    	**type**\: str
                    
                    .. attribute:: http
                    
                    	To add http address to this profile
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-ch'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.CallHome.Profile.Destination.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "destination"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.email = YLeaf(YType.str, "email")

                        self.http = YLeaf(YType.str, "http")
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CallHome.Profile.Destination.Address, ['email', 'http'], name, value)


            class SubscribeToAlertGroup(Entity):
                """
                Subscribe to alert\-group
                
                .. attribute:: diagnostic
                
                	diagnostic info
                	**type**\:  :py:class:`Diagnostic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic>`
                
                	**presence node**\: True
                
                .. attribute:: environment
                
                	environmental info
                	**type**\:  :py:class:`Environment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Environment>`
                
                	**presence node**\: True
                
                .. attribute:: inventory
                
                	inventory info
                	**type**\:  :py:class:`Inventory <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Inventory>`
                
                	**presence node**\: True
                
                .. attribute:: syslog
                
                	syslog info
                	**type**\:  :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Syslog>`
                
                	**presence node**\: True
                
                .. attribute:: configuration
                
                	configuration info
                	**type**\:  :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Configuration>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ch'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.CallHome.Profile.SubscribeToAlertGroup, self).__init__()

                    self.yang_name = "subscribe-to-alert-group"
                    self.yang_parent_name = "profile"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"diagnostic" : ("diagnostic", Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic), "environment" : ("environment", Native.CallHome.Profile.SubscribeToAlertGroup.Environment), "inventory" : ("inventory", Native.CallHome.Profile.SubscribeToAlertGroup.Inventory), "syslog" : ("syslog", Native.CallHome.Profile.SubscribeToAlertGroup.Syslog), "configuration" : ("configuration", Native.CallHome.Profile.SubscribeToAlertGroup.Configuration)}
                    self._child_list_classes = {}

                    self.diagnostic = None
                    self._children_name_map["diagnostic"] = "diagnostic"
                    self._children_yang_names.add("diagnostic")

                    self.environment = None
                    self._children_name_map["environment"] = "environment"
                    self._children_yang_names.add("environment")

                    self.inventory = None
                    self._children_name_map["inventory"] = "inventory"
                    self._children_yang_names.add("inventory")

                    self.syslog = None
                    self._children_name_map["syslog"] = "syslog"
                    self._children_yang_names.add("syslog")

                    self.configuration = None
                    self._children_name_map["configuration"] = "configuration"
                    self._children_yang_names.add("configuration")
                    self._segment_path = lambda: "subscribe-to-alert-group"


                class Diagnostic(Entity):
                    """
                    diagnostic info
                    
                    .. attribute:: severity
                    
                    	Severity
                    	**type**\:  :py:class:`Severity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic.Severity>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ch'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic, self).__init__()

                        self.yang_name = "diagnostic"
                        self.yang_parent_name = "subscribe-to-alert-group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.severity = YLeaf(YType.enumeration, "severity")
                        self._segment_path = lambda: "diagnostic"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CallHome.Profile.SubscribeToAlertGroup.Diagnostic, ['severity'], name, value)

                    class Severity(Enum):
                        """
                        Severity

                        Severity

                        .. data:: catastrophic = 0

                        .. data:: critical = 1

                        .. data:: debugging = 2

                        .. data:: disaster = 3

                        .. data:: fatal = 4

                        .. data:: major = 5

                        .. data:: minor = 6

                        .. data:: normal = 7

                        .. data:: notification = 8

                        .. data:: warning = 9

                        """

                        catastrophic = Enum.YLeaf(0, "catastrophic")

                        critical = Enum.YLeaf(1, "critical")

                        debugging = Enum.YLeaf(2, "debugging")

                        disaster = Enum.YLeaf(3, "disaster")

                        fatal = Enum.YLeaf(4, "fatal")

                        major = Enum.YLeaf(5, "major")

                        minor = Enum.YLeaf(6, "minor")

                        normal = Enum.YLeaf(7, "normal")

                        notification = Enum.YLeaf(8, "notification")

                        warning = Enum.YLeaf(9, "warning")



                class Environment(Entity):
                    """
                    environmental info
                    
                    .. attribute:: severity
                    
                    	Severity
                    	**type**\:  :py:class:`Severity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Environment.Severity>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ch'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.CallHome.Profile.SubscribeToAlertGroup.Environment, self).__init__()

                        self.yang_name = "environment"
                        self.yang_parent_name = "subscribe-to-alert-group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.severity = YLeaf(YType.enumeration, "severity")
                        self._segment_path = lambda: "environment"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CallHome.Profile.SubscribeToAlertGroup.Environment, ['severity'], name, value)

                    class Severity(Enum):
                        """
                        Severity

                        Severity

                        .. data:: catastrophic = 0

                        .. data:: critical = 1

                        .. data:: debugging = 2

                        .. data:: disaster = 3

                        .. data:: fatal = 4

                        .. data:: major = 5

                        .. data:: minor = 6

                        .. data:: normal = 7

                        .. data:: notification = 8

                        .. data:: warning = 9

                        """

                        catastrophic = Enum.YLeaf(0, "catastrophic")

                        critical = Enum.YLeaf(1, "critical")

                        debugging = Enum.YLeaf(2, "debugging")

                        disaster = Enum.YLeaf(3, "disaster")

                        fatal = Enum.YLeaf(4, "fatal")

                        major = Enum.YLeaf(5, "major")

                        minor = Enum.YLeaf(6, "minor")

                        normal = Enum.YLeaf(7, "normal")

                        notification = Enum.YLeaf(8, "notification")

                        warning = Enum.YLeaf(9, "warning")



                class Inventory(Entity):
                    """
                    inventory info
                    
                    .. attribute:: periodic
                    
                    	
                    	**type**\:  :py:class:`Periodic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ch'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.CallHome.Profile.SubscribeToAlertGroup.Inventory, self).__init__()

                        self.yang_name = "inventory"
                        self.yang_parent_name = "subscribe-to-alert-group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"periodic" : ("periodic", Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.periodic = Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic()
                        self.periodic.parent = self
                        self._children_name_map["periodic"] = "periodic"
                        self._children_yang_names.add("periodic")
                        self._segment_path = lambda: "inventory"


                    class Periodic(Entity):
                        """
                        
                        
                        .. attribute:: daily
                        
                        	Daily call\-home message
                        	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Daily>`
                        
                        .. attribute:: monthly
                        
                        	Monthly call\-home message
                        	**type**\:  :py:class:`Monthly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Monthly>`
                        
                        .. attribute:: weekly
                        
                        	Weekly call\-home message
                        	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Weekly>`
                        
                        

                        """

                        _prefix = 'ios-ch'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic, self).__init__()

                            self.yang_name = "periodic"
                            self.yang_parent_name = "inventory"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"daily" : ("daily", Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Daily), "monthly" : ("monthly", Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Monthly), "weekly" : ("weekly", Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Weekly)}
                            self._child_list_classes = {}

                            self.daily = Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Daily()
                            self.daily.parent = self
                            self._children_name_map["daily"] = "daily"
                            self._children_yang_names.add("daily")

                            self.monthly = Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Monthly()
                            self.monthly.parent = self
                            self._children_name_map["monthly"] = "monthly"
                            self._children_yang_names.add("monthly")

                            self.weekly = Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Weekly()
                            self.weekly.parent = self
                            self._children_name_map["weekly"] = "weekly"
                            self._children_yang_names.add("weekly")
                            self._segment_path = lambda: "periodic"


                        class Daily(Entity):
                            """
                            Daily call\-home message
                            
                            .. attribute:: begin_time
                            
                            	Begin time
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-ch'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Daily, self).__init__()

                                self.yang_name = "daily"
                                self.yang_parent_name = "periodic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.begin_time = YLeaf(YType.str, "begin-time")
                                self._segment_path = lambda: "daily"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Daily, ['begin_time'], name, value)


                        class Monthly(Entity):
                            """
                            Monthly call\-home message
                            
                            .. attribute:: date
                            
                            	Day of month
                            	**type**\: int
                            
                            	**range:** 1..31
                            
                            .. attribute:: begin_time
                            
                            	Begin time
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-ch'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Monthly, self).__init__()

                                self.yang_name = "monthly"
                                self.yang_parent_name = "periodic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.date = YLeaf(YType.uint8, "date")

                                self.begin_time = YLeaf(YType.str, "begin-time")
                                self._segment_path = lambda: "monthly"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Monthly, ['date', 'begin_time'], name, value)


                        class Weekly(Entity):
                            """
                            Weekly call\-home message
                            
                            .. attribute:: day
                            
                            	Day of the week
                            	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                            
                            .. attribute:: begin_time
                            
                            	Begin time
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-ch'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Weekly, self).__init__()

                                self.yang_name = "weekly"
                                self.yang_parent_name = "periodic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.day = YLeaf(YType.enumeration, "day")

                                self.begin_time = YLeaf(YType.str, "begin-time")
                                self._segment_path = lambda: "weekly"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CallHome.Profile.SubscribeToAlertGroup.Inventory.Periodic.Weekly, ['day', 'begin_time'], name, value)


                class Syslog(Entity):
                    """
                    syslog info
                    
                    .. attribute:: severity
                    
                    	severity
                    	**type**\: list of  		 :py:class:`Severity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ch'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.CallHome.Profile.SubscribeToAlertGroup.Syslog, self).__init__()

                        self.yang_name = "syslog"
                        self.yang_parent_name = "subscribe-to-alert-group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"severity" : ("severity", Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity)}
                        self.is_presence_container = True

                        self.severity = YList(self)
                        self._segment_path = lambda: "syslog"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CallHome.Profile.SubscribeToAlertGroup.Syslog, [], name, value)


                    class Severity(Entity):
                        """
                        severity
                        
                        .. attribute:: value  <key>
                        
                        	
                        	**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity.Value>`
                        
                        .. attribute:: pattern
                        
                        	Syslog message pattern
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ch'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity, self).__init__()

                            self.yang_name = "severity"
                            self.yang_parent_name = "syslog"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.enumeration, "value")

                            self.pattern = YLeaf(YType.str, "pattern")
                            self._segment_path = lambda: "severity" + "[value='" + self.value.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CallHome.Profile.SubscribeToAlertGroup.Syslog.Severity, ['value', 'pattern'], name, value)

                        class Value(Enum):
                            """
                            Value

                            .. data:: catastrophic = 0

                            .. data:: critical = 1

                            .. data:: debugging = 2

                            .. data:: disaster = 3

                            .. data:: fatal = 4

                            .. data:: major = 5

                            .. data:: minor = 6

                            .. data:: normal = 7

                            .. data:: notification = 8

                            .. data:: warning = 9

                            """

                            catastrophic = Enum.YLeaf(0, "catastrophic")

                            critical = Enum.YLeaf(1, "critical")

                            debugging = Enum.YLeaf(2, "debugging")

                            disaster = Enum.YLeaf(3, "disaster")

                            fatal = Enum.YLeaf(4, "fatal")

                            major = Enum.YLeaf(5, "major")

                            minor = Enum.YLeaf(6, "minor")

                            normal = Enum.YLeaf(7, "normal")

                            notification = Enum.YLeaf(8, "notification")

                            warning = Enum.YLeaf(9, "warning")



                class Configuration(Entity):
                    """
                    configuration info
                    
                    .. attribute:: periodic
                    
                    	
                    	**type**\:  :py:class:`Periodic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ch'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.CallHome.Profile.SubscribeToAlertGroup.Configuration, self).__init__()

                        self.yang_name = "configuration"
                        self.yang_parent_name = "subscribe-to-alert-group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"periodic" : ("periodic", Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.periodic = Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic()
                        self.periodic.parent = self
                        self._children_name_map["periodic"] = "periodic"
                        self._children_yang_names.add("periodic")
                        self._segment_path = lambda: "configuration"


                    class Periodic(Entity):
                        """
                        
                        
                        .. attribute:: daily
                        
                        	Daily call\-home message
                        	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Daily>`
                        
                        .. attribute:: monthly
                        
                        	Monthly call\-home message
                        	**type**\:  :py:class:`Monthly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Monthly>`
                        
                        .. attribute:: weekly
                        
                        	Weekly call\-home message
                        	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Weekly>`
                        
                        

                        """

                        _prefix = 'ios-ch'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic, self).__init__()

                            self.yang_name = "periodic"
                            self.yang_parent_name = "configuration"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"daily" : ("daily", Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Daily), "monthly" : ("monthly", Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Monthly), "weekly" : ("weekly", Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Weekly)}
                            self._child_list_classes = {}

                            self.daily = Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Daily()
                            self.daily.parent = self
                            self._children_name_map["daily"] = "daily"
                            self._children_yang_names.add("daily")

                            self.monthly = Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Monthly()
                            self.monthly.parent = self
                            self._children_name_map["monthly"] = "monthly"
                            self._children_yang_names.add("monthly")

                            self.weekly = Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Weekly()
                            self.weekly.parent = self
                            self._children_name_map["weekly"] = "weekly"
                            self._children_yang_names.add("weekly")
                            self._segment_path = lambda: "periodic"


                        class Daily(Entity):
                            """
                            Daily call\-home message
                            
                            .. attribute:: begin_time
                            
                            	Begin time
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-ch'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Daily, self).__init__()

                                self.yang_name = "daily"
                                self.yang_parent_name = "periodic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.begin_time = YLeaf(YType.str, "begin-time")
                                self._segment_path = lambda: "daily"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Daily, ['begin_time'], name, value)


                        class Monthly(Entity):
                            """
                            Monthly call\-home message
                            
                            .. attribute:: date
                            
                            	Day of month
                            	**type**\: int
                            
                            	**range:** 1..31
                            
                            .. attribute:: begin_time
                            
                            	Begin time
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-ch'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Monthly, self).__init__()

                                self.yang_name = "monthly"
                                self.yang_parent_name = "periodic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.date = YLeaf(YType.uint8, "date")

                                self.begin_time = YLeaf(YType.str, "begin-time")
                                self._segment_path = lambda: "monthly"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Monthly, ['date', 'begin_time'], name, value)


                        class Weekly(Entity):
                            """
                            Weekly call\-home message
                            
                            .. attribute:: day
                            
                            	Day of the week
                            	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                            
                            .. attribute:: begin_time
                            
                            	Begin time
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-ch'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Weekly, self).__init__()

                                self.yang_name = "weekly"
                                self.yang_parent_name = "periodic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.day = YLeaf(YType.enumeration, "day")

                                self.begin_time = YLeaf(YType.str, "begin-time")
                                self._segment_path = lambda: "weekly"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CallHome.Profile.SubscribeToAlertGroup.Configuration.Periodic.Weekly, ['day', 'begin_time'], name, value)


    class HwModule(Entity):
        """
        Control of individual components in the system
        
        .. attribute:: uplink
        
        	Uplink control
        	**type**\:  :py:class:`Uplink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwModule.Uplink>`
        
        .. attribute:: sm
        
        	
        	**type**\: int
        
        	**range:** 0..255
        
        .. attribute:: pvdm
        
        	
        	**type**\: str
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.HwModule, self).__init__()

            self.yang_name = "hw-module"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"uplink" : ("uplink", Native.HwModule.Uplink)}
            self._child_list_classes = {}

            self.sm = YLeaf(YType.uint8, "sm")

            self.pvdm = YLeaf(YType.str, "pvdm")

            self.uplink = Native.HwModule.Uplink()
            self.uplink.parent = self
            self._children_name_map["uplink"] = "uplink"
            self._children_yang_names.add("uplink")
            self._segment_path = lambda: "hw-module"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.HwModule, ['sm', 'pvdm'], name, value)


        class Uplink(Entity):
            """
            Uplink control
            
            .. attribute:: select
            
            	Select uplink interface
            	**type**\: str
            
            .. attribute:: mode
            
            	Uplink mode
            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwModule.Uplink.Mode>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.HwModule.Uplink, self).__init__()

                self.yang_name = "uplink"
                self.yang_parent_name = "hw-module"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.select = YLeaf(YType.str, "select")

                self.mode = YLeaf(YType.enumeration, "mode")
                self._segment_path = lambda: "uplink"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/hw-module/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.HwModule.Uplink, ['select', 'mode'], name, value)

            class Mode(Enum):
                """
                Mode

                Uplink mode

                .. data:: shared_backplane = 0

                """

                shared_backplane = Enum.YLeaf(0, "shared-backplane")



    class Cisp(Entity):
        """
        Set CISP parameters
        
        .. attribute:: enable
        
        	Enable CISP
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Cisp, self).__init__()

            self.yang_name = "cisp"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.enable = YLeaf(YType.empty, "enable")
            self._segment_path = lambda: "cisp"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Cisp, ['enable'], name, value)


    class Module(Entity):
        """
        Module
        
        .. attribute:: provision
        
        	Configure module provision status
        	**type**\:  :py:class:`Provision <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Module.Provision>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Module, self).__init__()

            self.yang_name = "module"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-switch:provision" : ("provision", Native.Module.Provision)}
            self._child_list_classes = {}

            self.provision = Native.Module.Provision()
            self.provision.parent = self
            self._children_name_map["provision"] = "provision"
            self._children_yang_names.add("provision")
            self._segment_path = lambda: "module"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Provision(Entity):
            """
            Configure module provision status
            
            .. attribute:: switch
            
            	
            	**type**\: list of  		 :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Module.Provision.Switch>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.Module.Provision, self).__init__()

                self.yang_name = "provision"
                self.yang_parent_name = "module"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"switch" : ("switch", Native.Module.Provision.Switch)}

                self.switch = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-switch:provision"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/module/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Module.Provision, [], name, value)


            class Switch(Entity):
                """
                
                
                .. attribute:: number  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: chassis
                
                	
                	**type**\:  :py:class:`Chassis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Module.Provision.Switch.Chassis>`
                
                .. attribute:: slot
                
                	
                	**type**\: list of  		 :py:class:`Slot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Module.Provision.Switch.Slot>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Module.Provision.Switch, self).__init__()

                    self.yang_name = "switch"
                    self.yang_parent_name = "provision"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"chassis" : ("chassis", Native.Module.Provision.Switch.Chassis)}
                    self._child_list_classes = {"slot" : ("slot", Native.Module.Provision.Switch.Slot)}

                    self.number = YLeaf(YType.uint8, "number")

                    self.chassis = Native.Module.Provision.Switch.Chassis()
                    self.chassis.parent = self
                    self._children_name_map["chassis"] = "chassis"
                    self._children_yang_names.add("chassis")

                    self.slot = YList(self)
                    self._segment_path = lambda: "switch" + "[number='" + self.number.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/module/Cisco-IOS-XE-switch:provision/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Module.Provision.Switch, ['number'], name, value)


                class Chassis(Entity):
                    """
                    
                    
                    .. attribute:: chassis_type
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: base_mac
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Module.Provision.Switch.Chassis, self).__init__()

                        self.yang_name = "chassis"
                        self.yang_parent_name = "switch"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.chassis_type = YLeaf(YType.uint32, "chassis-type")

                        self.base_mac = YLeaf(YType.str, "base-mac")
                        self._segment_path = lambda: "chassis"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Module.Provision.Switch.Chassis, ['chassis_type', 'base_mac'], name, value)


                class Slot(Entity):
                    """
                    
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: slot_type
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: base_mac
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Module.Provision.Switch.Slot, self).__init__()

                        self.yang_name = "slot"
                        self.yang_parent_name = "switch"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint8, "number")

                        self.slot_type = YLeaf(YType.uint32, "slot-type")

                        self.base_mac = YLeaf(YType.str, "base-mac")
                        self._segment_path = lambda: "slot" + "[number='" + self.number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Module.Provision.Switch.Slot, ['number', 'slot_type', 'base_mac'], name, value)


    class Domain(Entity):
        """
        Domain Configuration Commands
        
        .. attribute:: name  <key>
        
        	
        	**type**\: str
        
        .. attribute:: vrf
        
        	Specify vrf for domain
        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Domain, self).__init__()

            self.yang_name = "domain"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"vrf" : ("vrf", Native.Domain.Vrf)}

            self.name = YLeaf(YType.str, "name")

            self.vrf = YList(self)
            self._segment_path = lambda: "domain" + "[name='" + self.name.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Domain, ['name'], name, value)


        class Vrf(Entity):
            """
            Specify vrf for domain
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: border
            
            	Enter border router configuration submode
            	**type**\:  :py:class:`Border <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Border>`
            
            .. attribute:: master
            
            	Enter master controller configuration submode
            	**type**\:  :py:class:`Master <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Domain.Vrf, self).__init__()

                self.yang_name = "vrf"
                self.yang_parent_name = "domain"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"border" : ("border", Native.Domain.Vrf.Border), "master" : ("master", Native.Domain.Vrf.Master)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.border = Native.Domain.Vrf.Border()
                self.border.parent = self
                self._children_name_map["border"] = "border"
                self._children_yang_names.add("border")

                self.master = Native.Domain.Vrf.Master()
                self.master.parent = self
                self._children_name_map["master"] = "master"
                self._children_yang_names.add("master")
                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Domain.Vrf, ['name'], name, value)


            class Border(Entity):
                """
                Enter border router configuration submode
                
                .. attribute:: source_interface
                
                	Source Interface for border
                	**type**\:  :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Border.SourceInterface>`
                
                .. attribute:: master
                
                	Specify IP address of Domain master controller
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\:  :py:class:`Master <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Border.Master>`
                
                .. attribute:: password
                
                	MD5 password to be used with MC
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Border.Password>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Domain.Vrf.Border, self).__init__()

                    self.yang_name = "border"
                    self.yang_parent_name = "vrf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"source-interface" : ("source_interface", Native.Domain.Vrf.Border.SourceInterface), "password" : ("password", Native.Domain.Vrf.Border.Password)}
                    self._child_list_classes = {}

                    self.master = YLeaf(YType.str, "master")

                    self.source_interface = Native.Domain.Vrf.Border.SourceInterface()
                    self.source_interface.parent = self
                    self._children_name_map["source_interface"] = "source-interface"
                    self._children_yang_names.add("source-interface")

                    self.password = Native.Domain.Vrf.Border.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")
                    self._segment_path = lambda: "border"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Domain.Vrf.Border, ['master'], name, value)

                class Master(Enum):
                    """
                    Master

                    Specify IP address of Domain master controller

                    .. data:: local = 0

                    """

                    local = Enum.YLeaf(0, "local")



                class SourceInterface(Entity):
                    """
                    Source Interface for border
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Domain.Vrf.Border.SourceInterface, self).__init__()

                        self.yang_name = "source-interface"
                        self.yang_parent_name = "border"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.loopback = YLeaf(YType.uint32, "Loopback")
                        self._segment_path = lambda: "source-interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Domain.Vrf.Border.SourceInterface, ['loopback'], name, value)


                class Password(Entity):
                    """
                    MD5 password to be used with MC
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Border.Password.Encryption>`
                    
                    .. attribute:: clear_key
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Domain.Vrf.Border.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "border"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.encryption = YLeaf(YType.enumeration, "encryption")

                        self.clear_key = YLeaf(YType.str, "clear-key")
                        self._segment_path = lambda: "password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Domain.Vrf.Border.Password, ['encryption', 'clear_key'], name, value)

                    class Encryption(Enum):
                        """
                        Encryption

                        .. data:: Y_0 = 0

                        .. data:: Y_7 = 1

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        Y_7 = Enum.YLeaf(1, "7")



            class Master(Entity):
                """
                Enter master controller configuration submode
                
                .. attribute:: branch
                
                	Set master type as branch hub
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hub
                
                	Set master type as hub
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transit
                
                	Set master type as transit
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: advanced
                
                	Advanced configuration submode
                	**type**\:  :py:class:`Advanced <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced>`
                
                .. attribute:: collector
                
                	NMS/v9 collector configuration
                	**type**\:  :py:class:`Collector <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Collector>`
                
                .. attribute:: enterprise_prefix
                
                	Enterprise prefix configuration
                	**type**\:  :py:class:`EnterprisePrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.EnterprisePrefix>`
                
                .. attribute:: load_balance
                
                	load balance non\-policy traffic
                	**type**\:  :py:class:`LoadBalance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.LoadBalance>`
                
                	**presence node**\: True
                
                .. attribute:: password
                
                	MD5 password to be used with BRs
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Password>`
                
                .. attribute:: site_prefixes
                
                	site\-prefixes configuration
                	**type**\:  :py:class:`SitePrefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.SitePrefixes>`
                
                .. attribute:: source_interface
                
                	Source Interface for master controller
                	**type**\:  :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.SourceInterface>`
                
                .. attribute:: class_
                
                	Create domain class and enter domain class command mode
                	**type**\: list of  		 :py:class:`Class_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Class_>`
                
                .. attribute:: hub_ip
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Domain.Vrf.Master, self).__init__()

                    self.yang_name = "master"
                    self.yang_parent_name = "vrf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"advanced" : ("advanced", Native.Domain.Vrf.Master.Advanced), "collector" : ("collector", Native.Domain.Vrf.Master.Collector), "enterprise-prefix" : ("enterprise_prefix", Native.Domain.Vrf.Master.EnterprisePrefix), "load-balance" : ("load_balance", Native.Domain.Vrf.Master.LoadBalance), "password" : ("password", Native.Domain.Vrf.Master.Password), "site-prefixes" : ("site_prefixes", Native.Domain.Vrf.Master.SitePrefixes), "source-interface" : ("source_interface", Native.Domain.Vrf.Master.SourceInterface)}
                    self._child_list_classes = {"class" : ("class_", Native.Domain.Vrf.Master.Class_)}

                    self.branch = YLeaf(YType.empty, "branch")

                    self.hub = YLeaf(YType.empty, "hub")

                    self.transit = YLeaf(YType.empty, "transit")

                    self.hub_ip = YLeaf(YType.str, "hub-ip")

                    self.advanced = Native.Domain.Vrf.Master.Advanced()
                    self.advanced.parent = self
                    self._children_name_map["advanced"] = "advanced"
                    self._children_yang_names.add("advanced")

                    self.collector = Native.Domain.Vrf.Master.Collector()
                    self.collector.parent = self
                    self._children_name_map["collector"] = "collector"
                    self._children_yang_names.add("collector")

                    self.enterprise_prefix = Native.Domain.Vrf.Master.EnterprisePrefix()
                    self.enterprise_prefix.parent = self
                    self._children_name_map["enterprise_prefix"] = "enterprise-prefix"
                    self._children_yang_names.add("enterprise-prefix")

                    self.load_balance = None
                    self._children_name_map["load_balance"] = "load-balance"
                    self._children_yang_names.add("load-balance")

                    self.password = Native.Domain.Vrf.Master.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")

                    self.site_prefixes = Native.Domain.Vrf.Master.SitePrefixes()
                    self.site_prefixes.parent = self
                    self._children_name_map["site_prefixes"] = "site-prefixes"
                    self._children_yang_names.add("site-prefixes")

                    self.source_interface = Native.Domain.Vrf.Master.SourceInterface()
                    self.source_interface.parent = self
                    self._children_name_map["source_interface"] = "source-interface"
                    self._children_yang_names.add("source-interface")

                    self.class_ = YList(self)
                    self._segment_path = lambda: "master"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Domain.Vrf.Master, ['branch', 'hub', 'transit', 'hub_ip'], name, value)


                class Advanced(Entity):
                    """
                    Advanced configuration submode
                    
                    .. attribute:: byte_loss_threshold
                    
                    	Specify minimum byte loss calculation threshold
                    	**type**\: int
                    
                    	**range:** 0..5600
                    
                    .. attribute:: channel_unreachable_timer
                    
                    	Unreach interval detection
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: load_sharing
                    
                    	Enable load\-sharing
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: minimum_mask_length
                    
                    	Specify minimum mask length
                    	**type**\: int
                    
                    	**range:** 1..32
                    
                    .. attribute:: mitigation_mode
                    
                    	Enable brownout detection in domain
                    	**type**\:  :py:class:`MitigationMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced.MitigationMode>`
                    
                    .. attribute:: packet_loss_threshold
                    
                    	Specify minimum packet loss calculation threshold
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    .. attribute:: smart_probes
                    
                    	Smart probes configuration
                    	**type**\:  :py:class:`SmartProbes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced.SmartProbes>`
                    
                    .. attribute:: syslog
                    
                    	Specify syslog minimim time between tca
                    	**type**\:  :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced.Syslog>`
                    
                    .. attribute:: tcp
                    
                    	Specify tcp port numbers for mc\-br communication
                    	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced.Tcp>`
                    
                    .. attribute:: threshold_variance
                    
                    	Policy decision Threshold variance
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    .. attribute:: traffic_class_ageout_timer
                    
                    	Traffic\-class DB age timer
                    	**type**\:  :py:class:`TrafficClassAgeoutTimer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer>`
                    
                    .. attribute:: transit_site_affinity
                    
                    	Enable Transit Site Affinity
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Domain.Vrf.Master.Advanced, self).__init__()

                        self.yang_name = "advanced"
                        self.yang_parent_name = "master"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"smart-probes" : ("smart_probes", Native.Domain.Vrf.Master.Advanced.SmartProbes), "syslog" : ("syslog", Native.Domain.Vrf.Master.Advanced.Syslog), "tcp" : ("tcp", Native.Domain.Vrf.Master.Advanced.Tcp), "traffic-class-ageout-timer" : ("traffic_class_ageout_timer", Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer)}
                        self._child_list_classes = {}

                        self.byte_loss_threshold = YLeaf(YType.uint16, "byte-loss-threshold")

                        self.channel_unreachable_timer = YLeaf(YType.uint16, "channel-unreachable-timer")

                        self.load_sharing = YLeaf(YType.empty, "load-sharing")

                        self.minimum_mask_length = YLeaf(YType.uint8, "minimum-mask-length")

                        self.mitigation_mode = YLeaf(YType.enumeration, "mitigation-mode")

                        self.packet_loss_threshold = YLeaf(YType.uint8, "packet-loss-threshold")

                        self.threshold_variance = YLeaf(YType.uint8, "threshold-variance")

                        self.transit_site_affinity = YLeaf(YType.empty, "transit-site-affinity")

                        self.smart_probes = Native.Domain.Vrf.Master.Advanced.SmartProbes()
                        self.smart_probes.parent = self
                        self._children_name_map["smart_probes"] = "smart-probes"
                        self._children_yang_names.add("smart-probes")

                        self.syslog = Native.Domain.Vrf.Master.Advanced.Syslog()
                        self.syslog.parent = self
                        self._children_name_map["syslog"] = "syslog"
                        self._children_yang_names.add("syslog")

                        self.tcp = Native.Domain.Vrf.Master.Advanced.Tcp()
                        self.tcp.parent = self
                        self._children_name_map["tcp"] = "tcp"
                        self._children_yang_names.add("tcp")

                        self.traffic_class_ageout_timer = Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer()
                        self.traffic_class_ageout_timer.parent = self
                        self._children_name_map["traffic_class_ageout_timer"] = "traffic-class-ageout-timer"
                        self._children_yang_names.add("traffic-class-ageout-timer")
                        self._segment_path = lambda: "advanced"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Domain.Vrf.Master.Advanced, ['byte_loss_threshold', 'channel_unreachable_timer', 'load_sharing', 'minimum_mask_length', 'mitigation_mode', 'packet_loss_threshold', 'threshold_variance', 'transit_site_affinity'], name, value)

                    class MitigationMode(Enum):
                        """
                        MitigationMode

                        Enable brownout detection in domain

                        .. data:: aggressive = 0

                        """

                        aggressive = Enum.YLeaf(0, "aggressive")



                    class SmartProbes(Entity):
                        """
                        Smart probes configuration
                        
                        .. attribute:: destination_port
                        
                        	Specify smart probes destination port number
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: source_port
                        
                        	Specify smart probes source port number
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Domain.Vrf.Master.Advanced.SmartProbes, self).__init__()

                            self.yang_name = "smart-probes"
                            self.yang_parent_name = "advanced"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.destination_port = YLeaf(YType.uint16, "destination-port")

                            self.source_port = YLeaf(YType.uint16, "source-port")
                            self._segment_path = lambda: "smart-probes"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Domain.Vrf.Master.Advanced.SmartProbes, ['destination_port', 'source_port'], name, value)


                    class Syslog(Entity):
                        """
                        Specify syslog minimim time between tca
                        
                        .. attribute:: tca_time_min
                        
                        	Specify time between syslog tcas in seconds
                        	**type**\: int
                        
                        	**range:** 30..36000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Domain.Vrf.Master.Advanced.Syslog, self).__init__()

                            self.yang_name = "syslog"
                            self.yang_parent_name = "advanced"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tca_time_min = YLeaf(YType.uint32, "tca-time-min")
                            self._segment_path = lambda: "syslog"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Domain.Vrf.Master.Advanced.Syslog, ['tca_time_min'], name, value)


                    class Tcp(Entity):
                        """
                        Specify tcp port numbers for mc\-br communication
                        
                        .. attribute:: mc_port
                        
                        	Specify tcp MC self port for mc\-br communication
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Domain.Vrf.Master.Advanced.Tcp, self).__init__()

                            self.yang_name = "tcp"
                            self.yang_parent_name = "advanced"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.mc_port = YLeaf(YType.uint16, "mc-port")
                            self._segment_path = lambda: "tcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Domain.Vrf.Master.Advanced.Tcp, ['mc_port'], name, value)


                    class TrafficClassAgeoutTimer(Entity):
                        """
                        Traffic\-class DB age timer
                        
                        .. attribute:: interval
                        
                        	Specify new timer interval value mins/hours
                        	**type**\: int
                        
                        	**range:** 5..65535
                        
                        .. attribute:: interval_unit
                        
                        	
                        	**type**\:  :py:class:`IntervalUnit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer.IntervalUnit>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer, self).__init__()

                            self.yang_name = "traffic-class-ageout-timer"
                            self.yang_parent_name = "advanced"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint16, "interval")

                            self.interval_unit = YLeaf(YType.enumeration, "interval-unit")
                            self._segment_path = lambda: "traffic-class-ageout-timer"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Domain.Vrf.Master.Advanced.TrafficClassAgeoutTimer, ['interval', 'interval_unit'], name, value)

                        class IntervalUnit(Enum):
                            """
                            IntervalUnit

                            .. data:: hours = 0

                            .. data:: minutes = 1

                            """

                            hours = Enum.YLeaf(0, "hours")

                            minutes = Enum.YLeaf(1, "minutes")



                class Collector(Entity):
                    """
                    NMS/v9 collector configuration
                    
                    .. attribute:: ip
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: port
                    
                    	Specify collector port number
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Domain.Vrf.Master.Collector, self).__init__()

                        self.yang_name = "collector"
                        self.yang_parent_name = "master"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ip = YLeaf(YType.str, "ip")

                        self.port = YLeaf(YType.uint16, "port")
                        self._segment_path = lambda: "collector"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Domain.Vrf.Master.Collector, ['ip', 'port'], name, value)


                class EnterprisePrefix(Entity):
                    """
                    Enterprise prefix configuration
                    
                    .. attribute:: prefix_list
                    
                    	Specify prefix\-list with static site targets
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Domain.Vrf.Master.EnterprisePrefix, self).__init__()

                        self.yang_name = "enterprise-prefix"
                        self.yang_parent_name = "master"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.prefix_list = YLeaf(YType.str, "prefix-list")
                        self._segment_path = lambda: "enterprise-prefix"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Domain.Vrf.Master.EnterprisePrefix, ['prefix_list'], name, value)


                class LoadBalance(Entity):
                    """
                    load balance non\-policy traffic
                    
                    .. attribute:: advanced
                    
                    	Load balancing configuration mode
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Domain.Vrf.Master.LoadBalance, self).__init__()

                        self.yang_name = "load-balance"
                        self.yang_parent_name = "master"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.advanced = YLeaf(YType.empty, "advanced")
                        self._segment_path = lambda: "load-balance"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Domain.Vrf.Master.LoadBalance, ['advanced'], name, value)


                class Password(Entity):
                    """
                    MD5 password to be used with BRs
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Password.Encryption>`
                    
                    .. attribute:: clear_key
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Domain.Vrf.Master.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "master"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.encryption = YLeaf(YType.enumeration, "encryption")

                        self.clear_key = YLeaf(YType.str, "clear-key")
                        self._segment_path = lambda: "password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Domain.Vrf.Master.Password, ['encryption', 'clear_key'], name, value)

                    class Encryption(Enum):
                        """
                        Encryption

                        .. data:: Y_0 = 0

                        .. data:: Y_7 = 1

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        Y_7 = Enum.YLeaf(1, "7")



                class SitePrefixes(Entity):
                    """
                    site\-prefixes configuration
                    
                    .. attribute:: prefix_list
                    
                    	Specify prefix\-list with static site targets
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Domain.Vrf.Master.SitePrefixes, self).__init__()

                        self.yang_name = "site-prefixes"
                        self.yang_parent_name = "master"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.prefix_list = YLeaf(YType.str, "prefix-list")
                        self._segment_path = lambda: "site-prefixes"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Domain.Vrf.Master.SitePrefixes, ['prefix_list'], name, value)


                class SourceInterface(Entity):
                    """
                    Source Interface for master controller
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Domain.Vrf.Master.SourceInterface, self).__init__()

                        self.yang_name = "source-interface"
                        self.yang_parent_name = "master"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.loopback = YLeaf(YType.uint32, "Loopback")
                        self._segment_path = lambda: "source-interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Domain.Vrf.Master.SourceInterface, ['loopback'], name, value)


                class Class_(Entity):
                    """
                    Create domain class and enter domain class command mode
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: sequence  <key>
                    
                    	Set the Sequence for the class
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: match
                    
                    	Specify the applications the policy applies to
                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Class_.Match>`
                    
                    .. attribute:: path_preference
                    
                    	Specify the preferred provider
                    	**type**\:  :py:class:`PathPreference <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Class_.PathPreference>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Domain.Vrf.Master.Class_, self).__init__()

                        self.yang_name = "class"
                        self.yang_parent_name = "master"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"match" : ("match", Native.Domain.Vrf.Master.Class_.Match), "path-preference" : ("path_preference", Native.Domain.Vrf.Master.Class_.PathPreference)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.sequence = YLeaf(YType.uint16, "sequence")

                        self.match = Native.Domain.Vrf.Master.Class_.Match()
                        self.match.parent = self
                        self._children_name_map["match"] = "match"
                        self._children_yang_names.add("match")

                        self.path_preference = Native.Domain.Vrf.Master.Class_.PathPreference()
                        self.path_preference.parent = self
                        self._children_name_map["path_preference"] = "path-preference"
                        self._children_yang_names.add("path-preference")
                        self._segment_path = lambda: "class" + "[name='" + self.name.get() + "']" + "[sequence='" + self.sequence.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Domain.Vrf.Master.Class_, ['name', 'sequence'], name, value)


                    class Match(Entity):
                        """
                        Specify the applications the policy applies to
                        
                        .. attribute:: dscp
                        
                        	specify DSCP
                        	**type**\: list of  		 :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Class_.Match.Dscp>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Domain.Vrf.Master.Class_.Match, self).__init__()

                            self.yang_name = "match"
                            self.yang_parent_name = "class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"dscp" : ("dscp", Native.Domain.Vrf.Master.Class_.Match.Dscp)}

                            self.dscp = YList(self)
                            self._segment_path = lambda: "match"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Domain.Vrf.Master.Class_.Match, [], name, value)


                        class Dscp(Entity):
                            """
                            specify DSCP
                            
                            .. attribute:: value  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..63
                            
                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                            
                            .. attribute:: policy
                            
                            	Specify the policy (user defined/predefined)
                            	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Domain.Vrf.Master.Class_.Match.Dscp.Policy>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Domain.Vrf.Master.Class_.Match.Dscp, self).__init__()

                                self.yang_name = "dscp"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.str, "value")

                                self.policy = YLeaf(YType.enumeration, "policy")
                                self._segment_path = lambda: "dscp" + "[value='" + self.value.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Domain.Vrf.Master.Class_.Match.Dscp, ['value', 'policy'], name, value)

                            class Policy(Enum):
                                """
                                Policy

                                Specify the policy (user defined/predefined)

                                .. data:: best_effort = 0

                                .. data:: bulk_data = 1

                                .. data:: custom = 2

                                .. data:: low_latency_data = 3

                                .. data:: real_time_video = 4

                                .. data:: scavenger = 5

                                .. data:: voice = 6

                                """

                                best_effort = Enum.YLeaf(0, "best-effort")

                                bulk_data = Enum.YLeaf(1, "bulk-data")

                                custom = Enum.YLeaf(2, "custom")

                                low_latency_data = Enum.YLeaf(3, "low-latency-data")

                                real_time_video = Enum.YLeaf(4, "real-time-video")

                                scavenger = Enum.YLeaf(5, "scavenger")

                                voice = Enum.YLeaf(6, "voice")



                    class PathPreference(Entity):
                        """
                        Specify the preferred provider
                        
                        .. attribute:: primary
                        
                        	Primary service provider
                        	**type**\: list of str
                        
                        .. attribute:: fallback
                        
                        	Specify the fallback provider
                        	**type**\: list of str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Domain.Vrf.Master.Class_.PathPreference, self).__init__()

                            self.yang_name = "path-preference"
                            self.yang_parent_name = "class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary = YLeafList(YType.str, "primary")

                            self.fallback = YLeafList(YType.str, "fallback")
                            self._segment_path = lambda: "path-preference"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Domain.Vrf.Master.Class_.PathPreference, ['primary', 'fallback'], name, value)


    class Parser(Entity):
        """
        Configure parser
        
        .. attribute:: config
        
        	Configure config generation
        	**type**\:  :py:class:`Config <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Parser.Config>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Parser, self).__init__()

            self.yang_name = "parser"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"config" : ("config", Native.Parser.Config)}
            self._child_list_classes = {}

            self.config = Native.Parser.Config()
            self.config.parent = self
            self._children_name_map["config"] = "config"
            self._children_yang_names.add("config")
            self._segment_path = lambda: "parser"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Config(Entity):
            """
            Configure config generation
            
            .. attribute:: cache
            
            	Cache the configuration
            	**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Parser.Config.Cache>`
            
            .. attribute:: partition
            
            	Enable configuration Partitioning
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Parser.Config, self).__init__()

                self.yang_name = "config"
                self.yang_parent_name = "parser"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.cache = YLeaf(YType.enumeration, "cache")

                self.partition = YLeaf(YType.empty, "partition")
                self._segment_path = lambda: "config"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/parser/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Parser.Config, ['cache', 'partition'], name, value)

            class Cache(Enum):
                """
                Cache

                Cache the configuration

                .. data:: interface = 0

                """

                interface = Enum.YLeaf(0, "interface")



    class Service(Entity):
        """
        Modify use of network based services
        
        .. attribute:: internal
        
        	Enable/Disable Internal commands
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: pad_conf
        
        	
        	**type**\:  :py:class:`PadConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.PadConf>`
        
        .. attribute:: pad
        
        	Enable PAD commands
        	**type**\:  :py:class:`Pad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Pad>`
        
        	**presence node**\: True
        
        .. attribute:: password_encryption
        
        	Encrypt system passwords
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: password_recovery
        
        	Enable password recovery
        	**type**\: bool
        
        .. attribute:: timestamps
        
        	Timestamp debug/log messages
        	**type**\:  :py:class:`Timestamps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps>`
        
        	**presence node**\: True
        
        .. attribute:: alignment
        
        	Control alignment correction and logging
        	**type**\:  :py:class:`Alignment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Alignment>`
        
        .. attribute:: call_home
        
        	Enable call\-home service
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: compress_config
        
        	Compress the configuration file
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: config
        
        	TFTP load config files
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: counters
        
        	Control aging of interface counters
        	**type**\:  :py:class:`Counters <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Counters>`
        
        .. attribute:: dhcp
        
        	Enable DHCP server and relay agent
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: disable_ip_fast_frag
        
        	Disable IP particle\-based fast fragmentation
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: exec_callback
        
        	Enable exec callback
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: exec_wait
        
        	Delay EXEC startup on noisy lines
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: finger
        
        	Allow responses to finger requests
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: heartbeat
        
        	Enable heartbeat processing
        	**type**\:  :py:class:`Heartbeat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Heartbeat>`
        
        .. attribute:: hide_telnet_addresses
        
        	Hide destination addresses in telnet command
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: linenumber
        
        	enable line number banner for each exec
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: log_hidden
        
        	Enable syslog msgs for hidden/internal commands
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: nagle
        
        	Enable Nagle's congestion control algorithm
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: old_slip_prompts
        
        	Allow old scripts to operate with slip/ppp
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: prompt
        
        	Enable mode specific prompt
        	**type**\:  :py:class:`Prompt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Prompt>`
        
        .. attribute:: pt_vty_logging
        
        	Log significant VTY\-Async events
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: sequence_numbers
        
        	Stamp logger messages with a sequence number
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: slave_log
        
        	Enable log capability of slave IPs
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: tcp_keepalives_in
        
        	Generate keepalives on idle incoming network connections
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: tcp_keepalives_out
        
        	Generate keepalives on idle outgoing network connections
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: telnet_zeroidle
        
        	Set TCP window 0 when connection is idle
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: tcp_small_servers
        
        	Enable small TCP servers (e.g., ECHO)
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: udp_small_servers
        
        	Enable small UDP servers (e.g., ECHO)
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: unsupported_transceiver
        
        	Enable support for third\-party transceivers
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Service, self).__init__()

            self.yang_name = "service"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"pad-conf" : ("pad_conf", Native.Service.PadConf), "pad" : ("pad", Native.Service.Pad), "timestamps" : ("timestamps", Native.Service.Timestamps), "alignment" : ("alignment", Native.Service.Alignment), "counters" : ("counters", Native.Service.Counters), "heartbeat" : ("heartbeat", Native.Service.Heartbeat), "prompt" : ("prompt", Native.Service.Prompt)}
            self._child_list_classes = {}

            self.internal = YLeaf(YType.empty, "internal")

            self.password_encryption = YLeaf(YType.empty, "password-encryption")

            self.password_recovery = YLeaf(YType.boolean, "password-recovery")

            self.call_home = YLeaf(YType.empty, "call-home")

            self.compress_config = YLeaf(YType.empty, "compress-config")

            self.config = YLeaf(YType.empty, "config")

            self.dhcp = YLeaf(YType.empty, "dhcp")

            self.disable_ip_fast_frag = YLeaf(YType.empty, "disable-ip-fast-frag")

            self.exec_callback = YLeaf(YType.empty, "exec-callback")

            self.exec_wait = YLeaf(YType.empty, "exec-wait")

            self.finger = YLeaf(YType.empty, "finger")

            self.hide_telnet_addresses = YLeaf(YType.empty, "hide-telnet-addresses")

            self.linenumber = YLeaf(YType.empty, "linenumber")

            self.log_hidden = YLeaf(YType.empty, "log-hidden")

            self.nagle = YLeaf(YType.empty, "nagle")

            self.old_slip_prompts = YLeaf(YType.empty, "old-slip-prompts")

            self.pt_vty_logging = YLeaf(YType.empty, "pt-vty-logging")

            self.sequence_numbers = YLeaf(YType.empty, "sequence-numbers")

            self.slave_log = YLeaf(YType.empty, "slave-log")

            self.tcp_keepalives_in = YLeaf(YType.empty, "tcp-keepalives-in")

            self.tcp_keepalives_out = YLeaf(YType.empty, "tcp-keepalives-out")

            self.telnet_zeroidle = YLeaf(YType.empty, "telnet-zeroidle")

            self.tcp_small_servers = YLeaf(YType.empty, "tcp-small-servers")

            self.udp_small_servers = YLeaf(YType.empty, "udp-small-servers")

            self.unsupported_transceiver = YLeaf(YType.empty, "unsupported-transceiver")

            self.pad_conf = Native.Service.PadConf()
            self.pad_conf.parent = self
            self._children_name_map["pad_conf"] = "pad-conf"
            self._children_yang_names.add("pad-conf")

            self.pad = None
            self._children_name_map["pad"] = "pad"
            self._children_yang_names.add("pad")

            self.timestamps = None
            self._children_name_map["timestamps"] = "timestamps"
            self._children_yang_names.add("timestamps")

            self.alignment = Native.Service.Alignment()
            self.alignment.parent = self
            self._children_name_map["alignment"] = "alignment"
            self._children_yang_names.add("alignment")

            self.counters = Native.Service.Counters()
            self.counters.parent = self
            self._children_name_map["counters"] = "counters"
            self._children_yang_names.add("counters")

            self.heartbeat = Native.Service.Heartbeat()
            self.heartbeat.parent = self
            self._children_name_map["heartbeat"] = "heartbeat"
            self._children_yang_names.add("heartbeat")

            self.prompt = Native.Service.Prompt()
            self.prompt.parent = self
            self._children_name_map["prompt"] = "prompt"
            self._children_yang_names.add("prompt")
            self._segment_path = lambda: "service"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Service, ['internal', 'password_encryption', 'password_recovery', 'call_home', 'compress_config', 'config', 'dhcp', 'disable_ip_fast_frag', 'exec_callback', 'exec_wait', 'finger', 'hide_telnet_addresses', 'linenumber', 'log_hidden', 'nagle', 'old_slip_prompts', 'pt_vty_logging', 'sequence_numbers', 'slave_log', 'tcp_keepalives_in', 'tcp_keepalives_out', 'telnet_zeroidle', 'tcp_small_servers', 'udp_small_servers', 'unsupported_transceiver'], name, value)


        class PadConf(Entity):
            """
            
            
            .. attribute:: pad
            
            	Enable PAD commands
            	**type**\: bool
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Service.PadConf, self).__init__()

                self.yang_name = "pad-conf"
                self.yang_parent_name = "service"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.pad = YLeaf(YType.boolean, "pad")
                self._segment_path = lambda: "pad-conf"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Service.PadConf, ['pad'], name, value)


        class Pad(Entity):
            """
            Enable PAD commands
            
            .. attribute:: cmns
            
            	Enable PAD over CMNS connections
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: from_xot
            
            	Accept XOT to PAD connections
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: to_xot
            
            	Allow outgoing PAD over XOT connections
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Service.Pad, self).__init__()

                self.yang_name = "pad"
                self.yang_parent_name = "service"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.cmns = YLeaf(YType.empty, "cmns")

                self.from_xot = YLeaf(YType.empty, "from-xot")

                self.to_xot = YLeaf(YType.empty, "to-xot")
                self._segment_path = lambda: "pad"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Service.Pad, ['cmns', 'from_xot', 'to_xot'], name, value)


        class Timestamps(Entity):
            """
            Timestamp debug/log messages
            
            .. attribute:: debug
            
            	Timestamp debug messages
            	**type**\:  :py:class:`Debug <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug>`
            
            .. attribute:: log
            
            	Timestamp log messages
            	**type**\:  :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Service.Timestamps, self).__init__()

                self.yang_name = "timestamps"
                self.yang_parent_name = "service"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"debug" : ("debug", Native.Service.Timestamps.Debug), "log" : ("log", Native.Service.Timestamps.Log)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.debug = Native.Service.Timestamps.Debug()
                self.debug.parent = self
                self._children_name_map["debug"] = "debug"
                self._children_yang_names.add("debug")

                self.log = Native.Service.Timestamps.Log()
                self.log.parent = self
                self._children_name_map["log"] = "log"
                self._children_yang_names.add("log")
                self._segment_path = lambda: "timestamps"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/%s" % self._segment_path()


            class Debug(Entity):
                """
                Timestamp debug messages
                
                .. attribute:: datetime
                
                	Timestamp with date and time
                	**type**\:  :py:class:`Datetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime>`
                
                	**presence node**\: True
                
                .. attribute:: uptime
                
                	Timestamp with system uptime
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Service.Timestamps.Debug, self).__init__()

                    self.yang_name = "debug"
                    self.yang_parent_name = "timestamps"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"datetime" : ("datetime", Native.Service.Timestamps.Debug.Datetime)}
                    self._child_list_classes = {}

                    self.uptime = YLeaf(YType.empty, "uptime")

                    self.datetime = None
                    self._children_name_map["datetime"] = "datetime"
                    self._children_yang_names.add("datetime")
                    self._segment_path = lambda: "debug"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Service.Timestamps.Debug, ['uptime'], name, value)


                class Datetime(Entity):
                    """
                    Timestamp with date and time
                    
                    .. attribute:: localtime
                    
                    	Use local time zone for timestamps
                    	**type**\:  :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: msec
                    
                    	Include milliseconds in timestamp
                    	**type**\:  :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: show_timezone
                    
                    	Add time zone information to timestamp
                    	**type**\:  :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: year
                    
                    	Include year in timestamp
                    	**type**\:  :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year>`
                    
                    	**presence node**\: True
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Service.Timestamps.Debug.Datetime, self).__init__()

                        self.yang_name = "datetime"
                        self.yang_parent_name = "debug"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"localtime" : ("localtime", Native.Service.Timestamps.Debug.Datetime.Localtime), "msec" : ("msec", Native.Service.Timestamps.Debug.Datetime.Msec), "show-timezone" : ("show_timezone", Native.Service.Timestamps.Debug.Datetime.ShowTimezone), "year" : ("year", Native.Service.Timestamps.Debug.Datetime.Year)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.localtime = None
                        self._children_name_map["localtime"] = "localtime"
                        self._children_yang_names.add("localtime")

                        self.msec = None
                        self._children_name_map["msec"] = "msec"
                        self._children_yang_names.add("msec")

                        self.show_timezone = None
                        self._children_name_map["show_timezone"] = "show-timezone"
                        self._children_yang_names.add("show-timezone")

                        self.year = None
                        self._children_name_map["year"] = "year"
                        self._children_yang_names.add("year")
                        self._segment_path = lambda: "datetime"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/%s" % self._segment_path()


                    class Localtime(Entity):
                        """
                        Use local time zone for timestamps
                        
                        .. attribute:: msec
                        
                        	Include milliseconds in timestamp
                        	**type**\:  :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime.Msec>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: show_timezone
                        
                        	Add time zone information to timestamp
                        	**type**\:  :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: year
                        
                        	Include year in timestamp
                        	**type**\:  :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Localtime.Year>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Service.Timestamps.Debug.Datetime.Localtime, self).__init__()

                            self.yang_name = "localtime"
                            self.yang_parent_name = "datetime"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"msec" : ("msec", Native.Service.Timestamps.Debug.Datetime.Localtime.Msec), "show-timezone" : ("show_timezone", Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone), "year" : ("year", Native.Service.Timestamps.Debug.Datetime.Localtime.Year)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.msec = None
                            self._children_name_map["msec"] = "msec"
                            self._children_yang_names.add("msec")

                            self.show_timezone = None
                            self._children_name_map["show_timezone"] = "show-timezone"
                            self._children_yang_names.add("show-timezone")

                            self.year = None
                            self._children_name_map["year"] = "year"
                            self._children_yang_names.add("year")
                            self._segment_path = lambda: "localtime"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/%s" % self._segment_path()


                        class Msec(Entity):
                            """
                            Include milliseconds in timestamp
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Service.Timestamps.Debug.Datetime.Localtime.Msec, self).__init__()

                                self.yang_name = "msec"
                                self.yang_parent_name = "localtime"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.show_timezone = YLeaf(YType.empty, "show-timezone")

                                self.year = YLeaf(YType.empty, "year")
                                self._segment_path = lambda: "msec"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/localtime/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Service.Timestamps.Debug.Datetime.Localtime.Msec, ['show_timezone', 'year'], name, value)


                        class ShowTimezone(Entity):
                            """
                            Add time zone information to timestamp
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone, self).__init__()

                                self.yang_name = "show-timezone"
                                self.yang_parent_name = "localtime"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.msec = YLeaf(YType.empty, "msec")

                                self.year = YLeaf(YType.empty, "year")
                                self._segment_path = lambda: "show-timezone"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/localtime/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Service.Timestamps.Debug.Datetime.Localtime.ShowTimezone, ['msec', 'year'], name, value)


                        class Year(Entity):
                            """
                            Include year in timestamp
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Service.Timestamps.Debug.Datetime.Localtime.Year, self).__init__()

                                self.yang_name = "year"
                                self.yang_parent_name = "localtime"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.msec = YLeaf(YType.empty, "msec")

                                self.show_timezone = YLeaf(YType.empty, "show-timezone")
                                self._segment_path = lambda: "year"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/localtime/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Service.Timestamps.Debug.Datetime.Localtime.Year, ['msec', 'show_timezone'], name, value)


                    class Msec(Entity):
                        """
                        Include milliseconds in timestamp
                        
                        .. attribute:: localtime
                        
                        	Use local time zone for timestamps
                        	**type**\:  :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec.Localtime>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: show_timezone
                        
                        	Add time zone information to timestamp
                        	**type**\:  :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: year
                        
                        	Include year in timestamp
                        	**type**\:  :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Msec.Year>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Service.Timestamps.Debug.Datetime.Msec, self).__init__()

                            self.yang_name = "msec"
                            self.yang_parent_name = "datetime"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"localtime" : ("localtime", Native.Service.Timestamps.Debug.Datetime.Msec.Localtime), "show-timezone" : ("show_timezone", Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone), "year" : ("year", Native.Service.Timestamps.Debug.Datetime.Msec.Year)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.localtime = None
                            self._children_name_map["localtime"] = "localtime"
                            self._children_yang_names.add("localtime")

                            self.show_timezone = None
                            self._children_name_map["show_timezone"] = "show-timezone"
                            self._children_yang_names.add("show-timezone")

                            self.year = None
                            self._children_name_map["year"] = "year"
                            self._children_yang_names.add("year")
                            self._segment_path = lambda: "msec"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/%s" % self._segment_path()


                        class Localtime(Entity):
                            """
                            Use local time zone for timestamps
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Service.Timestamps.Debug.Datetime.Msec.Localtime, self).__init__()

                                self.yang_name = "localtime"
                                self.yang_parent_name = "msec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.show_timezone = YLeaf(YType.empty, "show-timezone")

                                self.year = YLeaf(YType.empty, "year")
                                self._segment_path = lambda: "localtime"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/msec/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Service.Timestamps.Debug.Datetime.Msec.Localtime, ['show_timezone', 'year'], name, value)


                        class ShowTimezone(Entity):
                            """
                            Add time zone information to timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone, self).__init__()

                                self.yang_name = "show-timezone"
                                self.yang_parent_name = "msec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.localtime = YLeaf(YType.empty, "localtime")

                                self.year = YLeaf(YType.empty, "year")
                                self._segment_path = lambda: "show-timezone"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/msec/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Service.Timestamps.Debug.Datetime.Msec.ShowTimezone, ['localtime', 'year'], name, value)


                        class Year(Entity):
                            """
                            Include year in timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Service.Timestamps.Debug.Datetime.Msec.Year, self).__init__()

                                self.yang_name = "year"
                                self.yang_parent_name = "msec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.localtime = YLeaf(YType.empty, "localtime")

                                self.show_timezone = YLeaf(YType.empty, "show-timezone")
                                self._segment_path = lambda: "year"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/msec/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Service.Timestamps.Debug.Datetime.Msec.Year, ['localtime', 'show_timezone'], name, value)


                    class ShowTimezone(Entity):
                        """
                        Add time zone information to timestamp
                        
                        .. attribute:: localtime
                        
                        	Use local time zone for timestamps
                        	**type**\:  :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: msec
                        
                        	Include milliseconds in timestamp
                        	**type**\:  :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: year
                        
                        	Include year in timestamp
                        	**type**\:  :py:class:`Year <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Service.Timestamps.Debug.Datetime.ShowTimezone, self).__init__()

                            self.yang_name = "show-timezone"
                            self.yang_parent_name = "datetime"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"localtime" : ("localtime", Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime), "msec" : ("msec", Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec), "year" : ("year", Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.localtime = None
                            self._children_name_map["localtime"] = "localtime"
                            self._children_yang_names.add("localtime")

                            self.msec = None
                            self._children_name_map["msec"] = "msec"
                            self._children_yang_names.add("msec")

                            self.year = None
                            self._children_name_map["year"] = "year"
                            self._children_yang_names.add("year")
                            self._segment_path = lambda: "show-timezone"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/%s" % self._segment_path()


                        class Localtime(Entity):
                            """
                            Use local time zone for timestamps
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime, self).__init__()

                                self.yang_name = "localtime"
                                self.yang_parent_name = "show-timezone"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.msec = YLeaf(YType.empty, "msec")

                                self.year = YLeaf(YType.empty, "year")
                                self._segment_path = lambda: "localtime"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/show-timezone/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Localtime, ['msec', 'year'], name, value)


                        class Msec(Entity):
                            """
                            Include milliseconds in timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: year
                            
                            	Include year in timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec, self).__init__()

                                self.yang_name = "msec"
                                self.yang_parent_name = "show-timezone"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.localtime = YLeaf(YType.empty, "localtime")

                                self.year = YLeaf(YType.empty, "year")
                                self._segment_path = lambda: "msec"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/show-timezone/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Msec, ['localtime', 'year'], name, value)


                        class Year(Entity):
                            """
                            Include year in timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year, self).__init__()

                                self.yang_name = "year"
                                self.yang_parent_name = "show-timezone"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.localtime = YLeaf(YType.empty, "localtime")

                                self.msec = YLeaf(YType.empty, "msec")
                                self._segment_path = lambda: "year"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/show-timezone/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Service.Timestamps.Debug.Datetime.ShowTimezone.Year, ['localtime', 'msec'], name, value)


                    class Year(Entity):
                        """
                        Include year in timestamp
                        
                        .. attribute:: localtime
                        
                        	Use local time zone for timestamps
                        	**type**\:  :py:class:`Localtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year.Localtime>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: msec
                        
                        	Include milliseconds in timestamp
                        	**type**\:  :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year.Msec>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: show_timezone
                        
                        	Add time zone information to timestamp
                        	**type**\:  :py:class:`ShowTimezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Service.Timestamps.Debug.Datetime.Year, self).__init__()

                            self.yang_name = "year"
                            self.yang_parent_name = "datetime"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"localtime" : ("localtime", Native.Service.Timestamps.Debug.Datetime.Year.Localtime), "msec" : ("msec", Native.Service.Timestamps.Debug.Datetime.Year.Msec), "show-timezone" : ("show_timezone", Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.localtime = None
                            self._children_name_map["localtime"] = "localtime"
                            self._children_yang_names.add("localtime")

                            self.msec = None
                            self._children_name_map["msec"] = "msec"
                            self._children_yang_names.add("msec")

                            self.show_timezone = None
                            self._children_name_map["show_timezone"] = "show-timezone"
                            self._children_yang_names.add("show-timezone")
                            self._segment_path = lambda: "year"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/%s" % self._segment_path()


                        class Localtime(Entity):
                            """
                            Use local time zone for timestamps
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Service.Timestamps.Debug.Datetime.Year.Localtime, self).__init__()

                                self.yang_name = "localtime"
                                self.yang_parent_name = "year"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.msec = YLeaf(YType.empty, "msec")

                                self.show_timezone = YLeaf(YType.empty, "show-timezone")
                                self._segment_path = lambda: "localtime"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/year/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Service.Timestamps.Debug.Datetime.Year.Localtime, ['msec', 'show_timezone'], name, value)


                        class Msec(Entity):
                            """
                            Include milliseconds in timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: show_timezone
                            
                            	Add time zone information to timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Service.Timestamps.Debug.Datetime.Year.Msec, self).__init__()

                                self.yang_name = "msec"
                                self.yang_parent_name = "year"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.localtime = YLeaf(YType.empty, "localtime")

                                self.show_timezone = YLeaf(YType.empty, "show-timezone")
                                self._segment_path = lambda: "msec"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/year/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Service.Timestamps.Debug.Datetime.Year.Msec, ['localtime', 'show_timezone'], name, value)


                        class ShowTimezone(Entity):
                            """
                            Add time zone information to timestamp
                            
                            .. attribute:: localtime
                            
                            	Use local time zone for timestamps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: msec
                            
                            	Include milliseconds in timestamp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone, self).__init__()

                                self.yang_name = "show-timezone"
                                self.yang_parent_name = "year"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.localtime = YLeaf(YType.empty, "localtime")

                                self.msec = YLeaf(YType.empty, "msec")
                                self._segment_path = lambda: "show-timezone"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/debug/datetime/year/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Service.Timestamps.Debug.Datetime.Year.ShowTimezone, ['localtime', 'msec'], name, value)


            class Log(Entity):
                """
                Timestamp log messages
                
                .. attribute:: datetime
                
                	Timestamp with date and time
                	**type**\:  :py:class:`Datetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Timestamps.Log.Datetime>`
                
                	**presence node**\: True
                
                .. attribute:: uptime
                
                	Timestamp with system uptime
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Service.Timestamps.Log, self).__init__()

                    self.yang_name = "log"
                    self.yang_parent_name = "timestamps"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"datetime" : ("datetime", Native.Service.Timestamps.Log.Datetime)}
                    self._child_list_classes = {}

                    self.uptime = YLeaf(YType.empty, "uptime")

                    self.datetime = None
                    self._children_name_map["datetime"] = "datetime"
                    self._children_yang_names.add("datetime")
                    self._segment_path = lambda: "log"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Service.Timestamps.Log, ['uptime'], name, value)


                class Datetime(Entity):
                    """
                    Timestamp with date and time
                    
                    .. attribute:: msec
                    
                    	Include milliseconds in timestamp
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: localtime
                    
                    	Use local time zone for timestamps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: show_timezone
                    
                    	Add time zone information to timestamp
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: year
                    
                    	Include year in timestamp
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Service.Timestamps.Log.Datetime, self).__init__()

                        self.yang_name = "datetime"
                        self.yang_parent_name = "log"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.msec = YLeaf(YType.empty, "msec")

                        self.localtime = YLeaf(YType.empty, "localtime")

                        self.show_timezone = YLeaf(YType.empty, "show-timezone")

                        self.year = YLeaf(YType.empty, "year")
                        self._segment_path = lambda: "datetime"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/timestamps/log/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Service.Timestamps.Log.Datetime, ['msec', 'localtime', 'show_timezone', 'year'], name, value)


        class Alignment(Entity):
            """
            Control alignment correction and logging
            
            .. attribute:: detection
            
            	Enable detection of alignment issues
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: logging
            
            	Enable logging of alignment issues
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Service.Alignment, self).__init__()

                self.yang_name = "alignment"
                self.yang_parent_name = "service"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.detection = YLeaf(YType.empty, "detection")

                self.logging = YLeaf(YType.empty, "logging")
                self._segment_path = lambda: "alignment"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Service.Alignment, ['detection', 'logging'], name, value)


        class Counters(Entity):
            """
            Control aging of interface counters
            
            .. attribute:: max
            
            	Maximum counter aging threshold
            	**type**\:  :py:class:`Max <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Service.Counters.Max>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Service.Counters, self).__init__()

                self.yang_name = "counters"
                self.yang_parent_name = "service"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"max" : ("max", Native.Service.Counters.Max)}
                self._child_list_classes = {}

                self.max = Native.Service.Counters.Max()
                self.max.parent = self
                self._children_name_map["max"] = "max"
                self._children_yang_names.add("max")
                self._segment_path = lambda: "counters"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/%s" % self._segment_path()


            class Max(Entity):
                """
                Maximum counter aging threshold
                
                .. attribute:: age
                
                	Aging threshold
                	**type**\: int
                
                	**range:** 0..60
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Service.Counters.Max, self).__init__()

                    self.yang_name = "max"
                    self.yang_parent_name = "counters"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.age = YLeaf(YType.uint8, "age")
                    self._segment_path = lambda: "max"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/counters/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Service.Counters.Max, ['age'], name, value)


        class Heartbeat(Entity):
            """
            Enable heartbeat processing
            
            .. attribute:: fatal_count
            
            	Set heartbeat fatal count
            	**type**\: int
            
            	**range:** 1..60
            
            .. attribute:: interrupt_interval
            
            	Set heartbeat interrupt test interval
            	**type**\: int
            
            	**range:** 0..60
            
            .. attribute:: interrupt_max
            
            	Set maximum message count from interrupt test
            	**type**\: int
            
            	**range:** 0..60
            
            .. attribute:: transmit_interval
            
            	Set heartbeat transmit interval
            	**type**\: int
            
            	**range:** 1..30
            
            .. attribute:: warning_timeout
            
            	Set heartbeat warning timeout interval
            	**type**\: int
            
            	**range:** 5..60
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Service.Heartbeat, self).__init__()

                self.yang_name = "heartbeat"
                self.yang_parent_name = "service"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.fatal_count = YLeaf(YType.uint8, "fatal-count")

                self.interrupt_interval = YLeaf(YType.uint8, "interrupt-interval")

                self.interrupt_max = YLeaf(YType.uint8, "interrupt-max")

                self.transmit_interval = YLeaf(YType.uint8, "transmit-interval")

                self.warning_timeout = YLeaf(YType.uint8, "warning-timeout")
                self._segment_path = lambda: "heartbeat"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Service.Heartbeat, ['fatal_count', 'interrupt_interval', 'interrupt_max', 'transmit_interval', 'warning_timeout'], name, value)


        class Prompt(Entity):
            """
            Enable mode specific prompt
            
            .. attribute:: config
            
            	Enable configuration mode prompt
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Service.Prompt, self).__init__()

                self.yang_name = "prompt"
                self.yang_parent_name = "service"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.config = YLeaf(YType.empty, "config")
                self._segment_path = lambda: "prompt"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Service.Prompt, ['config'], name, value)


    class Platform(Entity):
        """
        platform specific configuration
        
        .. attribute:: atm_cdvt
        
        	Configure platform atm cdvt
        	**type**\: bool
        
        .. attribute:: cfm
        
        	Configure Multi\-NNI CFM feature
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: icmp
        
        	Configure platform icmp
        	**type**\:  :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Icmp>`
        
        .. attribute:: ip_ports
        
        	Configure Kernel IP ephemeral ports
        	**type**\:  :py:class:`IpPorts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.IpPorts>`
        
        .. attribute:: bfd
        
        	Platform specific BFD commands
        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Bfd>`
        
        .. attribute:: bfd_debug_trace
        
        	
        	**type**\: int
        
        	**range:** 0..255
        
        .. attribute:: console
        
        	Direct IOS output to console
        	**type**\:  :py:class:`Console <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Console>`
        
        	**presence node**\: True
        
        .. attribute:: enable
        
        	
        	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Enable>`
        
        .. attribute:: external_alarm
        
        	
        	**type**\:  :py:class:`ExternalAlarm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.ExternalAlarm>`
        
        .. attribute:: hardware
        
        	Configure platform hardware
        	**type**\:  :py:class:`Hardware <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware>`
        
        .. attribute:: ipsec
        
        	Platform specific ipsec command
        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Ipsec>`
        
        .. attribute:: l2vpn
        
        	Configure platform l2vpn global configurtion
        	**type**\:  :py:class:`L2Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.L2Vpn>`
        
        .. attribute:: multicast
        
        	Configure multicast
        	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Multicast>`
        
        .. attribute:: punt_keepalive
        
        	punt\-keepalive messages
        	**type**\:  :py:class:`PuntKeepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.PuntKeepalive>`
        
        	**presence node**\: True
        
        .. attribute:: punt_policer
        
        	Configures punt policers
        	**type**\:  :py:class:`PuntPolicer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.PuntPolicer>`
        
        .. attribute:: qos
        
        	Platform specific qos configuration
        	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Qos>`
        
        .. attribute:: reload
        
        	Platform specific reload command
        	**type**\:  :py:class:`Reload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Reload>`
        
        .. attribute:: shell
        
        	Control platform shell access command availability
        	**type**\: bool
        
        .. attribute:: tcam_parity_error
        
        	
        	**type**\:  :py:class:`TcamParityError <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.TcamParityError>`
        
        .. attribute:: urpf
        
        	Platform specific urpf commands
        	**type**\:  :py:class:`Urpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf>`
        
        .. attribute:: tcam_threshold
        
        	
        	**type**\:  :py:class:`TcamThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.TcamThreshold>`
        
        .. attribute:: trace
        
        	
        	**type**\:  :py:class:`Trace <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Trace>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Platform, self).__init__()

            self.yang_name = "platform"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-platform:icmp" : ("icmp", Native.Platform.Icmp), "Cisco-IOS-XE-platform:ip-ports" : ("ip_ports", Native.Platform.IpPorts), "Cisco-IOS-XE-platform:bfd" : ("bfd", Native.Platform.Bfd), "Cisco-IOS-XE-platform:console" : ("console", Native.Platform.Console), "Cisco-IOS-XE-platform:enable" : ("enable", Native.Platform.Enable), "Cisco-IOS-XE-platform:external-alarm" : ("external_alarm", Native.Platform.ExternalAlarm), "Cisco-IOS-XE-platform:hardware" : ("hardware", Native.Platform.Hardware), "Cisco-IOS-XE-platform:ipsec" : ("ipsec", Native.Platform.Ipsec), "Cisco-IOS-XE-platform:l2vpn" : ("l2vpn", Native.Platform.L2Vpn), "Cisco-IOS-XE-platform:multicast" : ("multicast", Native.Platform.Multicast), "Cisco-IOS-XE-platform:punt-keepalive" : ("punt_keepalive", Native.Platform.PuntKeepalive), "Cisco-IOS-XE-platform:punt-policer" : ("punt_policer", Native.Platform.PuntPolicer), "Cisco-IOS-XE-platform:qos" : ("qos", Native.Platform.Qos), "Cisco-IOS-XE-platform:reload" : ("reload", Native.Platform.Reload), "Cisco-IOS-XE-platform:urpf" : ("urpf", Native.Platform.Urpf), "Cisco-IOS-XE-platform:tcam-threshold" : ("tcam_threshold", Native.Platform.TcamThreshold), "Cisco-IOS-XE-platform:trace" : ("trace", Native.Platform.Trace)}
            self._child_list_classes = {}

            self.atm_cdvt = YLeaf(YType.boolean, "Cisco-IOS-XE-platform:atm-cdvt")

            self.cfm = YLeaf(YType.empty, "Cisco-IOS-XE-platform:cfm")

            self.bfd_debug_trace = YLeaf(YType.uint8, "Cisco-IOS-XE-platform:bfd-debug-trace")

            self.shell = YLeaf(YType.boolean, "Cisco-IOS-XE-platform:shell")

            self.tcam_parity_error = YLeaf(YType.enumeration, "Cisco-IOS-XE-platform:tcam-parity-error")

            self.icmp = Native.Platform.Icmp()
            self.icmp.parent = self
            self._children_name_map["icmp"] = "icmp"
            self._children_yang_names.add("icmp")

            self.ip_ports = Native.Platform.IpPorts()
            self.ip_ports.parent = self
            self._children_name_map["ip_ports"] = "ip-ports"
            self._children_yang_names.add("ip-ports")

            self.bfd = Native.Platform.Bfd()
            self.bfd.parent = self
            self._children_name_map["bfd"] = "bfd"
            self._children_yang_names.add("bfd")

            self.console = None
            self._children_name_map["console"] = "console"
            self._children_yang_names.add("console")

            self.enable = Native.Platform.Enable()
            self.enable.parent = self
            self._children_name_map["enable"] = "enable"
            self._children_yang_names.add("enable")

            self.external_alarm = Native.Platform.ExternalAlarm()
            self.external_alarm.parent = self
            self._children_name_map["external_alarm"] = "external-alarm"
            self._children_yang_names.add("external-alarm")

            self.hardware = Native.Platform.Hardware()
            self.hardware.parent = self
            self._children_name_map["hardware"] = "hardware"
            self._children_yang_names.add("hardware")

            self.ipsec = Native.Platform.Ipsec()
            self.ipsec.parent = self
            self._children_name_map["ipsec"] = "ipsec"
            self._children_yang_names.add("ipsec")

            self.l2vpn = Native.Platform.L2Vpn()
            self.l2vpn.parent = self
            self._children_name_map["l2vpn"] = "l2vpn"
            self._children_yang_names.add("l2vpn")

            self.multicast = Native.Platform.Multicast()
            self.multicast.parent = self
            self._children_name_map["multicast"] = "multicast"
            self._children_yang_names.add("multicast")

            self.punt_keepalive = None
            self._children_name_map["punt_keepalive"] = "punt-keepalive"
            self._children_yang_names.add("punt-keepalive")

            self.punt_policer = Native.Platform.PuntPolicer()
            self.punt_policer.parent = self
            self._children_name_map["punt_policer"] = "punt-policer"
            self._children_yang_names.add("punt-policer")

            self.qos = Native.Platform.Qos()
            self.qos.parent = self
            self._children_name_map["qos"] = "qos"
            self._children_yang_names.add("qos")

            self.reload = Native.Platform.Reload()
            self.reload.parent = self
            self._children_name_map["reload"] = "reload"
            self._children_yang_names.add("reload")

            self.urpf = Native.Platform.Urpf()
            self.urpf.parent = self
            self._children_name_map["urpf"] = "urpf"
            self._children_yang_names.add("urpf")

            self.tcam_threshold = Native.Platform.TcamThreshold()
            self.tcam_threshold.parent = self
            self._children_name_map["tcam_threshold"] = "tcam-threshold"
            self._children_yang_names.add("tcam-threshold")

            self.trace = Native.Platform.Trace()
            self.trace.parent = self
            self._children_name_map["trace"] = "trace"
            self._children_yang_names.add("trace")
            self._segment_path = lambda: "platform"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Platform, ['atm_cdvt', 'cfm', 'bfd_debug_trace', 'shell', 'tcam_parity_error'], name, value)

        class TcamParityError(Enum):
            """
            TcamParityError

            .. data:: enable = 0

            .. data:: disable = 1

            """

            enable = Enum.YLeaf(0, "enable")

            disable = Enum.YLeaf(1, "disable")



        class Icmp(Entity):
            """
            Configure platform icmp
            
            .. attribute:: rate_limit
            
            	Rate limit of each ICMP types which are generated by data path
            	**type**\:  :py:class:`RateLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Icmp.RateLimit>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.Icmp, self).__init__()

                self.yang_name = "icmp"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"rate-limit" : ("rate_limit", Native.Platform.Icmp.RateLimit)}
                self._child_list_classes = {}

                self.rate_limit = Native.Platform.Icmp.RateLimit()
                self.rate_limit.parent = self
                self._children_name_map["rate_limit"] = "rate-limit"
                self._children_yang_names.add("rate-limit")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:icmp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()


            class RateLimit(Entity):
                """
                Rate limit of each ICMP types which are generated by data path
                
                .. attribute:: packet
                
                	Maximum # of packets allowed given a duration
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: duration
                
                	Duration in seconds (default value is 1 second)
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.Icmp.RateLimit, self).__init__()

                    self.yang_name = "rate-limit"
                    self.yang_parent_name = "icmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.packet = YLeaf(YType.uint32, "packet")

                    self.duration = YLeaf(YType.uint32, "duration")
                    self._segment_path = lambda: "rate-limit"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:icmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Platform.Icmp.RateLimit, ['packet', 'duration'], name, value)


        class IpPorts(Entity):
            """
            Configure Kernel IP ephemeral ports
            
            .. attribute:: ephemeral_max
            
            	Maximum value for ephemeral ports for IOS
            	**type**\: int
            
            	**range:** 49152..65534
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.IpPorts, self).__init__()

                self.yang_name = "ip-ports"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.ephemeral_max = YLeaf(YType.uint16, "ephemeral-max")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:ip-ports"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Platform.IpPorts, ['ephemeral_max'], name, value)


        class Bfd(Entity):
            """
            Platform specific BFD commands
            
            .. attribute:: disable_offload
            
            	Disable bfd hw offload
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: allow_svi
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: enable_offload
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.Bfd, self).__init__()

                self.yang_name = "bfd"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.disable_offload = YLeaf(YType.empty, "disable-offload")

                self.allow_svi = YLeaf(YType.empty, "allow-svi")

                self.enable_offload = YLeaf(YType.empty, "enable-offload")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:bfd"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Platform.Bfd, ['disable_offload', 'allow_svi', 'enable_offload'], name, value)


        class Console(Entity):
            """
            Direct IOS output to console
            
            .. attribute:: output
            
            	
            	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Console.Output>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.Console, self).__init__()

                self.yang_name = "console"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.output = YLeaf(YType.enumeration, "output")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:console"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Platform.Console, ['output'], name, value)

            class Output(Enum):
                """
                Output

                .. data:: auto = 0

                .. data:: serial = 1

                .. data:: virtual = 2

                """

                auto = Enum.YLeaf(0, "auto")

                serial = Enum.YLeaf(1, "serial")

                virtual = Enum.YLeaf(2, "virtual")



        class Enable(Entity):
            """
            
            
            .. attribute:: controller
            
            	
            	**type**\: list of  		 :py:class:`Controller <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Enable.Controller>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.Enable, self).__init__()

                self.yang_name = "enable"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"controller" : ("controller", Native.Platform.Enable.Controller)}

                self.controller = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-platform:enable"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Platform.Enable, [], name, value)


            class Controller(Entity):
                """
                
                
                .. attribute:: sonet  <key>
                
                	SONET
                	**type**\: str
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.Enable.Controller, self).__init__()

                    self.yang_name = "controller"
                    self.yang_parent_name = "enable"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.sonet = YLeaf(YType.str, "SONET")
                    self._segment_path = lambda: "controller" + "[SONET='" + self.sonet.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:enable/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Platform.Enable.Controller, ['sonet'], name, value)


        class ExternalAlarm(Entity):
            """
            
            
            .. attribute:: line
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: alarm
            
            	
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..7
            
            		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.ExternalAlarm, self).__init__()

                self.yang_name = "external-alarm"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.line = YLeaf(YType.uint32, "line")

                self.alarm = YLeaf(YType.str, "alarm")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:external-alarm"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Platform.ExternalAlarm, ['line', 'alarm'], name, value)


        class Hardware(Entity):
            """
            Configure platform hardware
            
            .. attribute:: lite
            
            	
            	**type**\:  :py:class:`Lite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware.Lite>`
            
            .. attribute:: throughput
            
            	Configure throughput
            	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware.Throughput>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.Hardware, self).__init__()

                self.yang_name = "hardware"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"lite" : ("lite", Native.Platform.Hardware.Lite), "throughput" : ("throughput", Native.Platform.Hardware.Throughput)}
                self._child_list_classes = {}

                self.lite = Native.Platform.Hardware.Lite()
                self.lite.parent = self
                self._children_name_map["lite"] = "lite"
                self._children_yang_names.add("lite")

                self.throughput = Native.Platform.Hardware.Throughput()
                self.throughput.parent = self
                self._children_name_map["throughput"] = "throughput"
                self._children_yang_names.add("throughput")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:hardware"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()


            class Lite(Entity):
                """
                
                
                .. attribute:: license
                
                	
                	**type**\:  :py:class:`License <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware.Lite.License>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.Hardware.Lite, self).__init__()

                    self.yang_name = "lite"
                    self.yang_parent_name = "hardware"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.license = YLeaf(YType.enumeration, "license")
                    self._segment_path = lambda: "lite"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:hardware/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Platform.Hardware.Lite, ['license'], name, value)

                class License(Enum):
                    """
                    License

                    .. data:: enable = 0

                    """

                    enable = Enum.YLeaf(0, "enable")



            class Throughput(Entity):
                """
                Configure throughput
                
                .. attribute:: disable
                
                	Disable throughput upgrade licenses
                	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware.Throughput.Disable>`
                
                .. attribute:: level
                
                	Configure the current traffic throughput level
                	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware.Throughput.Level>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.Hardware.Throughput, self).__init__()

                    self.yang_name = "throughput"
                    self.yang_parent_name = "hardware"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"level" : ("level", Native.Platform.Hardware.Throughput.Level)}
                    self._child_list_classes = {}

                    self.disable = YLeaf(YType.enumeration, "disable")

                    self.level = Native.Platform.Hardware.Throughput.Level()
                    self.level.parent = self
                    self._children_name_map["level"] = "level"
                    self._children_yang_names.add("level")
                    self._segment_path = lambda: "throughput"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:hardware/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Platform.Hardware.Throughput, ['disable'], name, value)

                class Disable(Enum):
                    """
                    Disable

                    Disable throughput upgrade licenses

                    .. data:: internal_license = 0

                    """

                    internal_license = Enum.YLeaf(0, "internal-license")



                class Level(Entity):
                    """
                    Configure the current traffic throughput level
                    
                    .. attribute:: kbps
                    
                    	
                    	**type**\:  :py:class:`Kbps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Hardware.Throughput.Level.Kbps>`
                    
                    .. attribute:: eval_only
                    
                    	Use only evaluation license
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-plt'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Platform.Hardware.Throughput.Level, self).__init__()

                        self.yang_name = "level"
                        self.yang_parent_name = "throughput"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kbps = YLeaf(YType.enumeration, "kbps")

                        self.eval_only = YLeaf(YType.empty, "eval-only")
                        self._segment_path = lambda: "level"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:hardware/throughput/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Platform.Hardware.Throughput.Level, ['kbps', 'eval_only'], name, value)

                    class Kbps(Enum):
                        """
                        Kbps

                        .. data:: Y_10000 = 0

                        .. data:: Y_25000 = 1

                        .. data:: Y_50000 = 2

                        """

                        Y_10000 = Enum.YLeaf(0, "10000")

                        Y_25000 = Enum.YLeaf(1, "25000")

                        Y_50000 = Enum.YLeaf(2, "50000")



        class Ipsec(Entity):
            """
            Platform specific ipsec command
            
            .. attribute:: arlog_supress
            
            	supress anti\-replay error log
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: fips_mode
            
            	enable FIPS mode
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: gdoi
            
            	gdoi
            	**type**\:  :py:class:`Gdoi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Ipsec.Gdoi>`
            
            .. attribute:: llq
            
            	config LLQ
            	**type**\:  :py:class:`Llq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Ipsec.Llq>`
            
            .. attribute:: reassemble
            
            	reassemble packets
            	**type**\:  :py:class:`Reassemble <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Ipsec.Reassemble>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.Ipsec, self).__init__()

                self.yang_name = "ipsec"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"llq" : ("llq", Native.Platform.Ipsec.Llq), "reassemble" : ("reassemble", Native.Platform.Ipsec.Reassemble)}
                self._child_list_classes = {}

                self.arlog_supress = YLeaf(YType.empty, "arlog-supress")

                self.fips_mode = YLeaf(YType.empty, "fips-mode")

                self.gdoi = YLeaf(YType.enumeration, "gdoi")

                self.llq = Native.Platform.Ipsec.Llq()
                self.llq.parent = self
                self._children_name_map["llq"] = "llq"
                self._children_yang_names.add("llq")

                self.reassemble = Native.Platform.Ipsec.Reassemble()
                self.reassemble.parent = self
                self._children_name_map["reassemble"] = "reassemble"
                self._children_yang_names.add("reassemble")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:ipsec"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Platform.Ipsec, ['arlog_supress', 'fips_mode', 'gdoi'], name, value)

            class Gdoi(Enum):
                """
                Gdoi

                gdoi

                .. data:: accept_both = 0

                """

                accept_both = Enum.YLeaf(0, "accept-both")



            class Llq(Entity):
                """
                config LLQ
                
                .. attribute:: qos_group
                
                	config LLQ QoS Group
                	**type**\: int
                
                	**range:** 1..99
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.Ipsec.Llq, self).__init__()

                    self.yang_name = "llq"
                    self.yang_parent_name = "ipsec"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.qos_group = YLeaf(YType.uint8, "qos-group")
                    self._segment_path = lambda: "llq"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:ipsec/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Platform.Ipsec.Llq, ['qos_group'], name, value)


            class Reassemble(Entity):
                """
                reassemble packets
                
                .. attribute:: transit
                
                	transit IPSEC packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.Ipsec.Reassemble, self).__init__()

                    self.yang_name = "reassemble"
                    self.yang_parent_name = "ipsec"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.transit = YLeaf(YType.empty, "transit")
                    self._segment_path = lambda: "reassemble"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:ipsec/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Platform.Ipsec.Reassemble, ['transit'], name, value)


        class L2Vpn(Entity):
            """
            Configure platform l2vpn global configurtion
            
            .. attribute:: hdlc_pass_through
            
            	l2vpn HDLC force pass through
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: statistics
            
            	l2vpn statistics
            	**type**\:  :py:class:`Statistics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.L2Vpn.Statistics>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.L2Vpn, self).__init__()

                self.yang_name = "l2vpn"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"statistics" : ("statistics", Native.Platform.L2Vpn.Statistics)}
                self._child_list_classes = {}

                self.hdlc_pass_through = YLeaf(YType.empty, "hdlc-pass-through")

                self.statistics = Native.Platform.L2Vpn.Statistics()
                self.statistics.parent = self
                self._children_name_map["statistics"] = "statistics"
                self._children_yang_names.add("statistics")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:l2vpn"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Platform.L2Vpn, ['hdlc_pass_through'], name, value)


            class Statistics(Entity):
                """
                l2vpn statistics
                
                .. attribute:: enable
                
                	enable the stats
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.L2Vpn.Statistics, self).__init__()

                    self.yang_name = "statistics"
                    self.yang_parent_name = "l2vpn"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enable = YLeaf(YType.empty, "enable")
                    self._segment_path = lambda: "statistics"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:l2vpn/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Platform.L2Vpn.Statistics, ['enable'], name, value)


        class Multicast(Entity):
            """
            Configure multicast
            
            .. attribute:: mgre
            
            	Multi\-point GRE tunnel
            	**type**\:  :py:class:`Mgre <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Multicast.Mgre>`
            
            .. attribute:: oce
            
            	multicast oce
            	**type**\:  :py:class:`Oce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Multicast.Oce>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.Multicast, self).__init__()

                self.yang_name = "multicast"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"mgre" : ("mgre", Native.Platform.Multicast.Mgre), "oce" : ("oce", Native.Platform.Multicast.Oce)}
                self._child_list_classes = {}

                self.mgre = Native.Platform.Multicast.Mgre()
                self.mgre.parent = self
                self._children_name_map["mgre"] = "mgre"
                self._children_yang_names.add("mgre")

                self.oce = Native.Platform.Multicast.Oce()
                self.oce.parent = self
                self._children_name_map["oce"] = "oce"
                self._children_yang_names.add("oce")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:multicast"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()


            class Mgre(Entity):
                """
                Multi\-point GRE tunnel
                
                .. attribute:: injection
                
                	Enable packet injection
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.Multicast.Mgre, self).__init__()

                    self.yang_name = "mgre"
                    self.yang_parent_name = "multicast"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.injection = YLeaf(YType.empty, "injection")
                    self._segment_path = lambda: "mgre"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:multicast/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Platform.Multicast.Mgre, ['injection'], name, value)


            class Oce(Entity):
                """
                multicast oce
                
                .. attribute:: flag
                
                	multicast oce flag
                	**type**\:  :py:class:`Flag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Multicast.Oce.Flag>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.Multicast.Oce, self).__init__()

                    self.yang_name = "oce"
                    self.yang_parent_name = "multicast"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"flag" : ("flag", Native.Platform.Multicast.Oce.Flag)}
                    self._child_list_classes = {}

                    self.flag = Native.Platform.Multicast.Oce.Flag()
                    self.flag.parent = self
                    self._children_name_map["flag"] = "flag"
                    self._children_yang_names.add("flag")
                    self._segment_path = lambda: "oce"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:multicast/%s" % self._segment_path()


                class Flag(Entity):
                    """
                    multicast oce flag
                    
                    .. attribute:: suppress
                    
                    	Enable oce flag suppress
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-plt'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Platform.Multicast.Oce.Flag, self).__init__()

                        self.yang_name = "flag"
                        self.yang_parent_name = "oce"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.suppress = YLeaf(YType.empty, "suppress")
                        self._segment_path = lambda: "flag"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:multicast/oce/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Platform.Multicast.Oce.Flag, ['suppress'], name, value)


        class PuntKeepalive(Entity):
            """
            punt\-keepalive messages
            
            .. attribute:: disable_kernel_core
            
            	Disable IOSXE kernel core generation for keepalive fault
            	**type**\: bool
            
            .. attribute:: settings
            
            	Set the keepalive parameters
            	**type**\:  :py:class:`Settings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.PuntKeepalive.Settings>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.PuntKeepalive, self).__init__()

                self.yang_name = "punt-keepalive"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"settings" : ("settings", Native.Platform.PuntKeepalive.Settings)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.disable_kernel_core = YLeaf(YType.boolean, "disable-kernel-core")

                self.settings = Native.Platform.PuntKeepalive.Settings()
                self.settings.parent = self
                self._children_name_map["settings"] = "settings"
                self._children_yang_names.add("settings")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:punt-keepalive"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Platform.PuntKeepalive, ['disable_kernel_core'], name, value)


            class Settings(Entity):
                """
                Set the keepalive parameters
                
                .. attribute:: fatal_count
                
                	Set punt\-inject keepalive fatal count
                	**type**\: int
                
                	**range:** 15..60
                
                .. attribute:: transmit_interval
                
                	Set punt\-inject keepalive transmit interval
                	**type**\: int
                
                	**range:** 2..30
                
                .. attribute:: warning_count
                
                	Set punt\-inject keepalive warning count
                	**type**\: int
                
                	**range:** 10..60
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.PuntKeepalive.Settings, self).__init__()

                    self.yang_name = "settings"
                    self.yang_parent_name = "punt-keepalive"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fatal_count = YLeaf(YType.uint16, "fatal-count")

                    self.transmit_interval = YLeaf(YType.uint16, "transmit-interval")

                    self.warning_count = YLeaf(YType.uint16, "warning-count")
                    self._segment_path = lambda: "settings"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:punt-keepalive/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Platform.PuntKeepalive.Settings, ['fatal_count', 'transmit_interval', 'warning_count'], name, value)


        class PuntPolicer(Entity):
            """
            Configures punt policers
            
            .. attribute:: punt_num
            
            	Configure punt cause to be policed
            	**type**\: list of  		 :py:class:`PuntNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.PuntPolicer.PuntNum>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.PuntPolicer, self).__init__()

                self.yang_name = "punt-policer"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"punt-num" : ("punt_num", Native.Platform.PuntPolicer.PuntNum)}

                self.punt_num = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-platform:punt-policer"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Platform.PuntPolicer, [], name, value)


            class PuntNum(Entity):
                """
                Configure punt cause to be policed
                
                .. attribute:: cause  <key>
                
                	
                	**type**\: int
                
                	**range:** 1..89
                
                .. attribute:: max_rate
                
                	
                	**type**\: int
                
                	**range:** 10..32000
                
                .. attribute:: high
                
                	High priority traffic only
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.PuntPolicer.PuntNum, self).__init__()

                    self.yang_name = "punt-num"
                    self.yang_parent_name = "punt-policer"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.cause = YLeaf(YType.uint8, "cause")

                    self.max_rate = YLeaf(YType.uint16, "max-rate")

                    self.high = YLeaf(YType.empty, "high")
                    self._segment_path = lambda: "punt-num" + "[cause='" + self.cause.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:punt-policer/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Platform.PuntPolicer.PuntNum, ['cause', 'max_rate', 'high'], name, value)


        class Qos(Entity):
            """
            Platform specific qos configuration
            
            .. attribute:: cac_policer
            
            	packet per second
            	**type**\: int
            
            	**range:** 1..10000
            
            .. attribute:: marker_statistics
            
            	Configure marking statistics
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: match_statistics
            
            	Configure match stats
            	**type**\:  :py:class:`MatchStatistics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Qos.MatchStatistics>`
            
            .. attribute:: performance_monitor
            
            	Configure performance\-monitor statistics
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: punt_path_matching
            
            	Configure punt\-path matching on input interface (PPPoE\-Discovery, PPPoE\-PPP\-LCP)
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.Qos, self).__init__()

                self.yang_name = "qos"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"match-statistics" : ("match_statistics", Native.Platform.Qos.MatchStatistics)}
                self._child_list_classes = {}

                self.cac_policer = YLeaf(YType.uint16, "cac-policer")

                self.marker_statistics = YLeaf(YType.empty, "marker-statistics")

                self.performance_monitor = YLeaf(YType.empty, "performance-monitor")

                self.punt_path_matching = YLeaf(YType.empty, "punt-path-matching")

                self.match_statistics = Native.Platform.Qos.MatchStatistics()
                self.match_statistics.parent = self
                self._children_name_map["match_statistics"] = "match-statistics"
                self._children_yang_names.add("match-statistics")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:qos"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Platform.Qos, ['cac_policer', 'marker_statistics', 'performance_monitor', 'punt_path_matching'], name, value)


            class MatchStatistics(Entity):
                """
                Configure match stats
                
                .. attribute:: per_filter
                
                	Configure per\-filter match statistics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: per_ace
                
                	Configure per\-ace match statistics (per\-filter must be enabled first)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.Qos.MatchStatistics, self).__init__()

                    self.yang_name = "match-statistics"
                    self.yang_parent_name = "qos"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.per_filter = YLeaf(YType.empty, "per-filter")

                    self.per_ace = YLeaf(YType.empty, "per-ace")
                    self._segment_path = lambda: "match-statistics"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:qos/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Platform.Qos.MatchStatistics, ['per_filter', 'per_ace'], name, value)


        class Reload(Entity):
            """
            Platform specific reload command
            
            .. attribute:: immediate
            
            	Immediately stop forwarding traffic
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.Reload, self).__init__()

                self.yang_name = "reload"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.immediate = YLeaf(YType.empty, "immediate")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:reload"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Platform.Reload, ['immediate'], name, value)


        class Urpf(Entity):
            """
            Platform specific urpf commands
            
            .. attribute:: loose
            
            	uRPF loose mode
            	**type**\:  :py:class:`Loose <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf.Loose>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.Urpf, self).__init__()

                self.yang_name = "urpf"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"loose" : ("loose", Native.Platform.Urpf.Loose)}
                self._child_list_classes = {}

                self.loose = Native.Platform.Urpf.Loose()
                self.loose.parent = self
                self._children_name_map["loose"] = "loose"
                self._children_yang_names.add("loose")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:urpf"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()


            class Loose(Entity):
                """
                uRPF loose mode
                
                .. attribute:: counter
                
                	drop counter
                	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf.Loose.Counter>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.Urpf.Loose, self).__init__()

                    self.yang_name = "loose"
                    self.yang_parent_name = "urpf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"counter" : ("counter", Native.Platform.Urpf.Loose.Counter)}
                    self._child_list_classes = {}

                    self.counter = Native.Platform.Urpf.Loose.Counter()
                    self.counter.parent = self
                    self._children_name_map["counter"] = "counter"
                    self._children_yang_names.add("counter")
                    self._segment_path = lambda: "loose"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:urpf/%s" % self._segment_path()


                class Counter(Entity):
                    """
                    drop counter
                    
                    .. attribute:: ipv4
                    
                    	ipv4 protocol
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf.Loose.Counter.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	ipv6 protocol
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf.Loose.Counter.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-plt'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Platform.Urpf.Loose.Counter, self).__init__()

                        self.yang_name = "counter"
                        self.yang_parent_name = "loose"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"ipv4" : ("ipv4", Native.Platform.Urpf.Loose.Counter.Ipv4), "ipv6" : ("ipv6", Native.Platform.Urpf.Loose.Counter.Ipv6)}
                        self._child_list_classes = {}

                        self.ipv4 = Native.Platform.Urpf.Loose.Counter.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = Native.Platform.Urpf.Loose.Counter.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")
                        self._segment_path = lambda: "counter"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:urpf/loose/%s" % self._segment_path()


                    class Ipv4(Entity):
                        """
                        ipv4 protocol
                        
                        .. attribute:: supress
                        
                        	supress drop
                        	**type**\:  :py:class:`Supress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf.Loose.Counter.Ipv4.Supress>`
                        
                        

                        """

                        _prefix = 'ios-plt'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Platform.Urpf.Loose.Counter.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "counter"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"supress" : ("supress", Native.Platform.Urpf.Loose.Counter.Ipv4.Supress)}
                            self._child_list_classes = {}

                            self.supress = Native.Platform.Urpf.Loose.Counter.Ipv4.Supress()
                            self.supress.parent = self
                            self._children_name_map["supress"] = "supress"
                            self._children_yang_names.add("supress")
                            self._segment_path = lambda: "ipv4"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:urpf/loose/counter/%s" % self._segment_path()


                        class Supress(Entity):
                            """
                            supress drop
                            
                            .. attribute:: asymmetric_only
                            
                            	it works only for asymmetric traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-plt'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Platform.Urpf.Loose.Counter.Ipv4.Supress, self).__init__()

                                self.yang_name = "supress"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.asymmetric_only = YLeaf(YType.empty, "asymmetric_only")
                                self._segment_path = lambda: "supress"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:urpf/loose/counter/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Platform.Urpf.Loose.Counter.Ipv4.Supress, ['asymmetric_only'], name, value)


                    class Ipv6(Entity):
                        """
                        ipv6 protocol
                        
                        .. attribute:: supress
                        
                        	supress drop
                        	**type**\:  :py:class:`Supress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Urpf.Loose.Counter.Ipv6.Supress>`
                        
                        

                        """

                        _prefix = 'ios-plt'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Platform.Urpf.Loose.Counter.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "counter"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"supress" : ("supress", Native.Platform.Urpf.Loose.Counter.Ipv6.Supress)}
                            self._child_list_classes = {}

                            self.supress = Native.Platform.Urpf.Loose.Counter.Ipv6.Supress()
                            self.supress.parent = self
                            self._children_name_map["supress"] = "supress"
                            self._children_yang_names.add("supress")
                            self._segment_path = lambda: "ipv6"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:urpf/loose/counter/%s" % self._segment_path()


                        class Supress(Entity):
                            """
                            supress drop
                            
                            .. attribute:: asymmetric_only
                            
                            	it works only for asymmetric traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-plt'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Platform.Urpf.Loose.Counter.Ipv6.Supress, self).__init__()

                                self.yang_name = "supress"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.asymmetric_only = YLeaf(YType.empty, "asymmetric_only")
                                self._segment_path = lambda: "supress"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:urpf/loose/counter/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Platform.Urpf.Loose.Counter.Ipv6.Supress, ['asymmetric_only'], name, value)


        class TcamThreshold(Entity):
            """
            
            
            .. attribute:: alarm_frequency
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.TcamThreshold, self).__init__()

                self.yang_name = "tcam-threshold"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.alarm_frequency = YLeaf(YType.uint32, "alarm-frequency")
                self._segment_path = lambda: "Cisco-IOS-XE-platform:tcam-threshold"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Platform.TcamThreshold, ['alarm_frequency'], name, value)


        class Trace(Entity):
            """
            
            
            .. attribute:: runtime
            
            	
            	**type**\: list of  		 :py:class:`Runtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Trace.Runtime>`
            
            

            """

            _prefix = 'ios-plt'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Platform.Trace, self).__init__()

                self.yang_name = "trace"
                self.yang_parent_name = "platform"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"runtime" : ("runtime", Native.Platform.Trace.Runtime)}

                self.runtime = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-platform:trace"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Platform.Trace, [], name, value)


            class Runtime(Entity):
                """
                
                
                .. attribute:: slot  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: bay  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: process
                
                	
                	**type**\:  :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Trace.Runtime.Process>`
                
                .. attribute:: module
                
                	
                	**type**\:  :py:class:`Module <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Trace.Runtime.Module>`
                
                .. attribute:: level
                
                	
                	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Platform.Trace.Runtime.Level>`
                
                

                """

                _prefix = 'ios-plt'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Platform.Trace.Runtime, self).__init__()

                    self.yang_name = "runtime"
                    self.yang_parent_name = "trace"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.slot = YLeaf(YType.uint8, "slot")

                    self.bay = YLeaf(YType.uint8, "bay")

                    self.process = YLeaf(YType.enumeration, "process")

                    self.module = YLeaf(YType.enumeration, "module")

                    self.level = YLeaf(YType.enumeration, "level")
                    self._segment_path = lambda: "runtime" + "[slot='" + self.slot.get() + "']" + "[bay='" + self.bay.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/platform/Cisco-IOS-XE-platform:trace/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Platform.Trace.Runtime, ['slot', 'bay', 'process', 'module', 'level'], name, value)

                class Level(Enum):
                    """
                    Level

                    .. data:: info = 0

                    """

                    info = Enum.YLeaf(0, "info")


                class Module(Enum):
                    """
                    Module

                    .. data:: all_modules = 0

                    """

                    all_modules = Enum.YLeaf(0, "all-modules")


                class Process(Enum):
                    """
                    Process

                    .. data:: iomd = 0

                    """

                    iomd = Enum.YLeaf(0, "iomd")



    class Enable(Entity):
        """
        Modify enable password parameters
        
        .. attribute:: password
        
        	Assign the privileged level password (MAX of 25 characters)
        	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Enable.Password>`
        
        .. attribute:: last_resort
        
        	Define enable action if no TACACS servers respond
        	**type**\:  :py:class:`LastResort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Enable.LastResort>`
        
        .. attribute:: secret
        
        	Assign the privileged level secret
        	**type**\:  :py:class:`Secret <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Enable.Secret>`
        
        .. attribute:: use_tacacs
        
        	Use TACACS to check enable passwords
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Enable, self).__init__()

            self.yang_name = "enable"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"password" : ("password", Native.Enable.Password), "secret" : ("secret", Native.Enable.Secret)}
            self._child_list_classes = {}

            self.last_resort = YLeaf(YType.enumeration, "last-resort")

            self.use_tacacs = YLeaf(YType.empty, "use-tacacs")

            self.password = Native.Enable.Password()
            self.password.parent = self
            self._children_name_map["password"] = "password"
            self._children_yang_names.add("password")

            self.secret = Native.Enable.Secret()
            self.secret.parent = self
            self._children_name_map["secret"] = "secret"
            self._children_yang_names.add("secret")
            self._segment_path = lambda: "enable"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Enable, ['last_resort', 'use_tacacs'], name, value)

        class LastResort(Enum):
            """
            LastResort

            Define enable action if no TACACS servers respond

            .. data:: password = 0

            .. data:: succeed = 1

            """

            password = Enum.YLeaf(0, "password")

            succeed = Enum.YLeaf(1, "succeed")



        class Password(Entity):
            """
            Assign the privileged level password (MAX of 25 characters)
            
            .. attribute:: level
            
            	Set exec level password
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: type
            
            	
            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Enable.Password.Type>`
            
            .. attribute:: secret
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Enable.Password, self).__init__()

                self.yang_name = "password"
                self.yang_parent_name = "enable"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.level = YLeaf(YType.uint8, "level")

                self.type = YLeaf(YType.enumeration, "type")

                self.secret = YLeaf(YType.str, "secret")
                self._segment_path = lambda: "password"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/enable/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Enable.Password, ['level', 'type', 'secret'], name, value)

            class Type(Enum):
                """
                Type

                .. data:: Y_0 = 0

                .. data:: Y_7 = 1

                """

                Y_0 = Enum.YLeaf(0, "0")

                Y_7 = Enum.YLeaf(1, "7")



        class Secret(Entity):
            """
            Assign the privileged level secret
            
            .. attribute:: level
            
            	Set exec level password
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: type
            
            	
            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Enable.Secret.Type>`
            
            .. attribute:: secret
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Enable.Secret, self).__init__()

                self.yang_name = "secret"
                self.yang_parent_name = "enable"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.level = YLeaf(YType.uint8, "level")

                self.type = YLeaf(YType.enumeration, "type")

                self.secret = YLeaf(YType.str, "secret")
                self._segment_path = lambda: "secret"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/enable/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Enable.Secret, ['level', 'type', 'secret'], name, value)

            class Type(Enum):
                """
                Type

                .. data:: Y_0 = 0

                .. data:: Y_4 = 1

                .. data:: Y_5 = 2

                """

                Y_0 = Enum.YLeaf(0, "0")

                Y_4 = Enum.YLeaf(1, "4")

                Y_5 = Enum.YLeaf(2, "5")



    class Password(Entity):
        """
        Configure encryption password (key)
        
        .. attribute:: encryption
        
        	Encrypt system passwords
        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Password.Encryption>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Password, self).__init__()

            self.yang_name = "password"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"encryption" : ("encryption", Native.Password.Encryption)}
            self._child_list_classes = {}

            self.encryption = Native.Password.Encryption()
            self.encryption.parent = self
            self._children_name_map["encryption"] = "encryption"
            self._children_yang_names.add("encryption")
            self._segment_path = lambda: "password"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Encryption(Entity):
            """
            Encrypt system passwords
            
            .. attribute:: aes
            
            	Enable stronger (AES) password encryption
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Password.Encryption, self).__init__()

                self.yang_name = "encryption"
                self.yang_parent_name = "password"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.aes = YLeaf(YType.empty, "aes")
                self._segment_path = lambda: "encryption"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/password/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Password.Encryption, ['aes'], name, value)


    class Eap(Entity):
        """
        Configure EAP authenticator parameters
        
        .. attribute:: profile
        
        	EAP authenticator profile configuration
        	**type**\: list of  		 :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Eap.Profile>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Eap, self).__init__()

            self.yang_name = "eap"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"profile" : ("profile", Native.Eap.Profile)}

            self.profile = YList(self)
            self._segment_path = lambda: "eap"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Eap, [], name, value)


        class Profile(Entity):
            """
            EAP authenticator profile configuration
            
            .. attribute:: name  <key>
            
            	WORD;;EAP authenticator profile name
            	**type**\: str
            
            .. attribute:: method
            
            	Add an allowed method
            	**type**\:  :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Eap.Profile.Method>`
            
            .. attribute:: pki_trustpoint
            
            	Set the default pki trustpoint
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Eap.Profile, self).__init__()

                self.yang_name = "profile"
                self.yang_parent_name = "eap"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"method" : ("method", Native.Eap.Profile.Method)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.pki_trustpoint = YLeaf(YType.str, "pki-trustpoint")

                self.method = Native.Eap.Profile.Method()
                self.method.parent = self
                self._children_name_map["method"] = "method"
                self._children_yang_names.add("method")
                self._segment_path = lambda: "profile" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/eap/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Eap.Profile, ['name', 'pki_trustpoint'], name, value)


            class Method(Entity):
                """
                Add an allowed method
                
                .. attribute:: fast
                
                	EAP\-FAST method allowed
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: gtc
                
                	EAP\-GTC method allowed
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: leap
                
                	EAP\-LEAP method allowed
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mschapv2
                
                	EAP\-MSCHAPV2 method allowed
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: peap
                
                	EAP\-PEAP method allowed
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: md5
                
                	EAP\-MD5 method allowed
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: tls
                
                	EAP\-TLS method allowed
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Eap.Profile.Method, self).__init__()

                    self.yang_name = "method"
                    self.yang_parent_name = "profile"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fast = YLeaf(YType.empty, "fast")

                    self.gtc = YLeaf(YType.empty, "gtc")

                    self.leap = YLeaf(YType.empty, "leap")

                    self.mschapv2 = YLeaf(YType.empty, "mschapv2")

                    self.peap = YLeaf(YType.empty, "peap")

                    self.md5 = YLeaf(YType.empty, "md5")

                    self.tls = YLeaf(YType.empty, "tls")
                    self._segment_path = lambda: "method"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Eap.Profile.Method, ['fast', 'gtc', 'leap', 'mschapv2', 'peap', 'md5', 'tls'], name, value)


    class Archive(Entity):
        """
        Archive the configuration
        
        .. attribute:: log
        
        	Logging commands
        	**type**\:  :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log>`
        
        .. attribute:: path
        
        	path for backups
        	**type**\: union of the below types:
        
        		**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Path>`
        
        		**type**\: str
        
        .. attribute:: maximum
        
        	maximum number of backup copies
        	**type**\: int
        
        	**range:** 1..14
        
        .. attribute:: write_memory
        
        	Enable automatic backup generation during write memory
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: time_period
        
        	Period of time in minutes to automatically archive the running\-config
        	**type**\: int
        
        	**range:** 1..525600
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Archive, self).__init__()

            self.yang_name = "archive"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"log" : ("log", Native.Archive.Log)}
            self._child_list_classes = {}

            self.path = YLeaf(YType.str, "path")

            self.maximum = YLeaf(YType.uint8, "maximum")

            self.write_memory = YLeaf(YType.empty, "write-memory")

            self.time_period = YLeaf(YType.uint32, "time-period")

            self.log = Native.Archive.Log()
            self.log.parent = self
            self._children_name_map["log"] = "log"
            self._children_yang_names.add("log")
            self._segment_path = lambda: "archive"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Archive, ['path', 'maximum', 'write_memory', 'time_period'], name, value)

        class Path(Enum):
            """
            Path

            path for backups

            .. data:: bootflash__COLON__ = 0

            .. data:: flash__COLON__ = 1

            .. data:: ftp__COLON__ = 2

            .. data:: harddisk__COLON__ = 3

            .. data:: http__COLON__ = 4

            .. data:: https__COLON__ = 5

            .. data:: pram__COLON__ = 6

            .. data:: rcp__COLON__ = 7

            .. data:: scp__COLON__ = 8

            .. data:: tftp__COLON__ = 9

            """

            bootflash__COLON__ = Enum.YLeaf(0, "bootflash:")

            flash__COLON__ = Enum.YLeaf(1, "flash:")

            ftp__COLON__ = Enum.YLeaf(2, "ftp:")

            harddisk__COLON__ = Enum.YLeaf(3, "harddisk:")

            http__COLON__ = Enum.YLeaf(4, "http:")

            https__COLON__ = Enum.YLeaf(5, "https:")

            pram__COLON__ = Enum.YLeaf(6, "pram:")

            rcp__COLON__ = Enum.YLeaf(7, "rcp:")

            scp__COLON__ = Enum.YLeaf(8, "scp:")

            tftp__COLON__ = Enum.YLeaf(9, "tftp:")



        class Log(Entity):
            """
            Logging commands
            
            .. attribute:: config
            
            	Logging changes to the running configuration
            	**type**\:  :py:class:`Config <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log.Config>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Archive.Log, self).__init__()

                self.yang_name = "log"
                self.yang_parent_name = "archive"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"config" : ("config", Native.Archive.Log.Config)}
                self._child_list_classes = {}

                self.config = Native.Archive.Log.Config()
                self.config.parent = self
                self._children_name_map["config"] = "config"
                self._children_yang_names.add("config")
                self._segment_path = lambda: "log"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/archive/%s" % self._segment_path()


            class Config(Entity):
                """
                Logging changes to the running configuration
                
                .. attribute:: hidekeys
                
                	suppress output (e.g. passwords) when displaying logged commands
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: logging
                
                	Modify config logging parameters
                	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log.Config.Logging>`
                
                .. attribute:: notify
                
                	Send logged commands to target applications
                	**type**\:  :py:class:`Notify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log.Config.Notify>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Archive.Log.Config, self).__init__()

                    self.yang_name = "config"
                    self.yang_parent_name = "log"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"logging" : ("logging", Native.Archive.Log.Config.Logging), "notify" : ("notify", Native.Archive.Log.Config.Notify)}
                    self._child_list_classes = {}

                    self.hidekeys = YLeaf(YType.empty, "hidekeys")

                    self.logging = Native.Archive.Log.Config.Logging()
                    self.logging.parent = self
                    self._children_name_map["logging"] = "logging"
                    self._children_yang_names.add("logging")

                    self.notify = Native.Archive.Log.Config.Notify()
                    self.notify.parent = self
                    self._children_name_map["notify"] = "notify"
                    self._children_yang_names.add("notify")
                    self._segment_path = lambda: "config"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/archive/log/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Archive.Log.Config, ['hidekeys'], name, value)


                class Logging(Entity):
                    """
                    Modify config logging parameters
                    
                    .. attribute:: enable
                    
                    	Enable the config logger
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: size
                    
                    	Maximum number of logged commands that will be kept by the config log
                    	**type**\: int
                    
                    	**range:** 1..1000
                    
                    .. attribute:: persistent
                    
                    	Log configuration persistent
                    	**type**\:  :py:class:`Persistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log.Config.Logging.Persistent>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Archive.Log.Config.Logging, self).__init__()

                        self.yang_name = "logging"
                        self.yang_parent_name = "config"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"persistent" : ("persistent", Native.Archive.Log.Config.Logging.Persistent)}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")

                        self.size = YLeaf(YType.uint16, "size")

                        self.persistent = None
                        self._children_name_map["persistent"] = "persistent"
                        self._children_yang_names.add("persistent")
                        self._segment_path = lambda: "logging"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/archive/log/config/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Archive.Log.Config.Logging, ['enable', 'size'], name, value)


                    class Persistent(Entity):
                        """
                        Log configuration persistent
                        
                        .. attribute:: auto
                        
                        	Log configuration commands automatically
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: reload
                        
                        	Apply persisted commands on reload
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Archive.Log.Config.Logging.Persistent, self).__init__()

                            self.yang_name = "persistent"
                            self.yang_parent_name = "logging"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.auto = YLeaf(YType.empty, "auto")

                            self.reload = YLeaf(YType.empty, "reload")
                            self._segment_path = lambda: "persistent"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/archive/log/config/logging/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Archive.Log.Config.Logging.Persistent, ['auto', 'reload'], name, value)


                class Notify(Entity):
                    """
                    Send logged commands to target applications
                    
                    .. attribute:: syslog
                    
                    	Send logged commands as syslog messages
                    	**type**\:  :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log.Config.Notify.Syslog>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Archive.Log.Config.Notify, self).__init__()

                        self.yang_name = "notify"
                        self.yang_parent_name = "config"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"syslog" : ("syslog", Native.Archive.Log.Config.Notify.Syslog)}
                        self._child_list_classes = {}

                        self.syslog = None
                        self._children_name_map["syslog"] = "syslog"
                        self._children_yang_names.add("syslog")
                        self._segment_path = lambda: "notify"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/archive/log/config/%s" % self._segment_path()


                    class Syslog(Entity):
                        """
                        Send logged commands as syslog messages
                        
                        .. attribute:: contenttype
                        
                        	Type of the syslog message content
                        	**type**\:  :py:class:`Contenttype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Archive.Log.Config.Notify.Syslog.Contenttype>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Archive.Log.Config.Notify.Syslog, self).__init__()

                            self.yang_name = "syslog"
                            self.yang_parent_name = "notify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.contenttype = YLeaf(YType.enumeration, "contenttype")
                            self._segment_path = lambda: "syslog"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/archive/log/config/notify/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Archive.Log.Config.Notify.Syslog, ['contenttype'], name, value)

                        class Contenttype(Enum):
                            """
                            Contenttype

                            Type of the syslog message content

                            .. data:: plaintext = 0

                            .. data:: xml = 1

                            """

                            plaintext = Enum.YLeaf(0, "plaintext")

                            xml = Enum.YLeaf(1, "xml")



    class Username(Entity):
        """
        Establish User Name Authentication
        
        .. attribute:: name  <key>
        
        	
        	**type**\: str
        
        .. attribute:: privilege
        
        	Set user privilege level
        	**type**\: int
        
        	**range:** 0..15
        
        .. attribute:: one_time
        
        	Specify that the username/password is valid for only one time
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: password
        
        	Specify the password for the user
        	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Username.Password>`
        
        .. attribute:: secret
        
        	Specify the secret for the user
        	**type**\:  :py:class:`Secret <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Username.Secret>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Username, self).__init__()

            self.yang_name = "username"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"password" : ("password", Native.Username.Password), "secret" : ("secret", Native.Username.Secret)}
            self._child_list_classes = {}

            self.name = YLeaf(YType.str, "name")

            self.privilege = YLeaf(YType.uint8, "privilege")

            self.one_time = YLeaf(YType.empty, "one-time")

            self.password = Native.Username.Password()
            self.password.parent = self
            self._children_name_map["password"] = "password"
            self._children_yang_names.add("password")

            self.secret = Native.Username.Secret()
            self.secret.parent = self
            self._children_name_map["secret"] = "secret"
            self._children_yang_names.add("secret")
            self._segment_path = lambda: "username" + "[name='" + self.name.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Username, ['name', 'privilege', 'one_time'], name, value)


        class Password(Entity):
            """
            Specify the password for the user
            
            .. attribute:: encryption
            
            	
            	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Username.Password.Encryption>`
            
            .. attribute:: password
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Username.Password, self).__init__()

                self.yang_name = "password"
                self.yang_parent_name = "username"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.encryption = YLeaf(YType.enumeration, "encryption")

                self.password = YLeaf(YType.str, "password")
                self._segment_path = lambda: "password"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Username.Password, ['encryption', 'password'], name, value)

            class Encryption(Enum):
                """
                Encryption

                .. data:: Y_0 = 0

                .. data:: Y_7 = 1

                """

                Y_0 = Enum.YLeaf(0, "0")

                Y_7 = Enum.YLeaf(1, "7")



        class Secret(Entity):
            """
            Specify the secret for the user
            
            .. attribute:: encryption
            
            	
            	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Username.Secret.Encryption>`
            
            .. attribute:: secret
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Username.Secret, self).__init__()

                self.yang_name = "secret"
                self.yang_parent_name = "username"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.encryption = YLeaf(YType.enumeration, "encryption")

                self.secret = YLeaf(YType.str, "secret")
                self._segment_path = lambda: "secret"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Username.Secret, ['encryption', 'secret'], name, value)

            class Encryption(Enum):
                """
                Encryption

                .. data:: Y_0 = 0

                .. data:: Y_5 = 1

                """

                Y_0 = Enum.YLeaf(0, "0")

                Y_5 = Enum.YLeaf(1, "5")



    class Controller(Entity):
        """
        Configure controller
        
        .. attribute:: controller_tx_ex_list
        
        	
        	**type**\: list of  		 :py:class:`ControllerTxExList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList>`
        
        .. attribute:: cellular
        
        	
        	**type**\: list of  		 :py:class:`Cellular <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Cellular>`
        
        .. attribute:: sonet
        
        	SONET
        	**type**\: list of  		 :py:class:`SONET <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET>`
        
        .. attribute:: sonet_acr
        
        	SONET\-ACR
        	**type**\: list of  		 :py:class:`SONETACR <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR>`
        
        .. attribute:: wanphy
        
        	wanphy
        	**type**\: list of  		 :py:class:`Wanphy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Wanphy>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Controller, self).__init__()

            self.yang_name = "controller"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-controller:controller-tx-ex-list" : ("controller_tx_ex_list", Native.Controller.ControllerTxExList), "Cisco-IOS-XE-controller:Cellular" : ("cellular", Native.Controller.Cellular), "Cisco-IOS-XE-controller:SONET" : ("sonet", Native.Controller.SONET), "Cisco-IOS-XE-controller:SONET-ACR" : ("sonet_acr", Native.Controller.SONETACR), "Cisco-IOS-XE-controller:wanphy" : ("wanphy", Native.Controller.Wanphy)}

            self.controller_tx_ex_list = YList(self)
            self.cellular = YList(self)
            self.sonet = YList(self)
            self.sonet_acr = YList(self)
            self.wanphy = YList(self)
            self._segment_path = lambda: "controller"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Controller, [], name, value)


        class ControllerTxExList(Entity):
            """
            
            
            .. attribute:: name  <key>
            
            	
            	**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.Name>`
            
            .. attribute:: number  <key>
            
            	
            	**type**\: str
            
            .. attribute:: atm
            
            	Specify atm
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: framing
            
            	
            	**type**\: str
            
            .. attribute:: clock
            
            	
            	**type**\:  :py:class:`Clock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.Clock>`
            
            .. attribute:: linecode
            
            	
            	**type**\:  :py:class:`Linecode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.Linecode>`
            
            .. attribute:: cablelength
            
            	
            	**type**\:  :py:class:`Cablelength <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.Cablelength>`
            
            .. attribute:: channel_group
            
            	
            	**type**\: list of  		 :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.ChannelGroup>`
            
            

            """

            _prefix = 'ios-ctrl'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Controller.ControllerTxExList, self).__init__()

                self.yang_name = "controller-tx-ex-list"
                self.yang_parent_name = "controller"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"clock" : ("clock", Native.Controller.ControllerTxExList.Clock), "cablelength" : ("cablelength", Native.Controller.ControllerTxExList.Cablelength)}
                self._child_list_classes = {"channel-group" : ("channel_group", Native.Controller.ControllerTxExList.ChannelGroup)}

                self.name = YLeaf(YType.enumeration, "name")

                self.number = YLeaf(YType.str, "number")

                self.atm = YLeaf(YType.empty, "atm")

                self.framing = YLeaf(YType.str, "framing")

                self.linecode = YLeaf(YType.enumeration, "linecode")

                self.clock = Native.Controller.ControllerTxExList.Clock()
                self.clock.parent = self
                self._children_name_map["clock"] = "clock"
                self._children_yang_names.add("clock")

                self.cablelength = Native.Controller.ControllerTxExList.Cablelength()
                self.cablelength.parent = self
                self._children_name_map["cablelength"] = "cablelength"
                self._children_yang_names.add("cablelength")

                self.channel_group = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-controller:controller-tx-ex-list" + "[name='" + self.name.get() + "']" + "[number='" + self.number.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/controller/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Controller.ControllerTxExList, ['name', 'number', 'atm', 'framing', 'linecode'], name, value)

            class Linecode(Enum):
                """
                Linecode

                .. data:: ami = 0

                .. data:: b8zs = 1

                .. data:: hdb3 = 2

                """

                ami = Enum.YLeaf(0, "ami")

                b8zs = Enum.YLeaf(1, "b8zs")

                hdb3 = Enum.YLeaf(2, "hdb3")


            class Name(Enum):
                """
                Name

                .. data:: t1 = 0

                .. data:: e1 = 1

                .. data:: t3 = 2

                .. data:: T1 = 3

                .. data:: E1 = 4

                .. data:: T3 = 5

                """

                t1 = Enum.YLeaf(0, "t1")

                e1 = Enum.YLeaf(1, "e1")

                t3 = Enum.YLeaf(2, "t3")

                T1 = Enum.YLeaf(3, "T1")

                E1 = Enum.YLeaf(4, "E1")

                T3 = Enum.YLeaf(5, "T3")



            class Clock(Entity):
                """
                
                
                .. attribute:: source
                
                	
                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.Clock.Source>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.ControllerTxExList.Clock, self).__init__()

                    self.yang_name = "clock"
                    self.yang_parent_name = "controller-tx-ex-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"source" : ("source", Native.Controller.ControllerTxExList.Clock.Source)}
                    self._child_list_classes = {}

                    self.source = Native.Controller.ControllerTxExList.Clock.Source()
                    self.source.parent = self
                    self._children_name_map["source"] = "source"
                    self._children_yang_names.add("source")
                    self._segment_path = lambda: "clock"


                class Source(Entity):
                    """
                    
                    
                    .. attribute:: line
                    
                    	
                    	**type**\:  :py:class:`Line <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.Clock.Source.Line>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: internal
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: loop_timed
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.ControllerTxExList.Clock.Source, self).__init__()

                        self.yang_name = "source"
                        self.yang_parent_name = "clock"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"line" : ("line", Native.Controller.ControllerTxExList.Clock.Source.Line)}
                        self._child_list_classes = {}

                        self.internal = YLeaf(YType.empty, "internal")

                        self.loop_timed = YLeaf(YType.empty, "loop-timed")

                        self.line = None
                        self._children_name_map["line"] = "line"
                        self._children_yang_names.add("line")
                        self._segment_path = lambda: "source"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.ControllerTxExList.Clock.Source, ['internal', 'loop_timed'], name, value)


                    class Line(Entity):
                        """
                        
                        
                        .. attribute:: line_mode
                        
                        	
                        	**type**\:  :py:class:`LineMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.ControllerTxExList.Clock.Source.Line.LineMode>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.ControllerTxExList.Clock.Source.Line, self).__init__()

                            self.yang_name = "line"
                            self.yang_parent_name = "source"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.line_mode = YLeaf(YType.enumeration, "line-mode")
                            self._segment_path = lambda: "line"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.ControllerTxExList.Clock.Source.Line, ['line_mode'], name, value)

                        class LineMode(Enum):
                            """
                            LineMode

                            .. data:: primary = 0

                            .. data:: secondary = 1

                            """

                            primary = Enum.YLeaf(0, "primary")

                            secondary = Enum.YLeaf(1, "secondary")



            class Cablelength(Entity):
                """
                
                
                .. attribute:: long
                
                	
                	**type**\: str
                
                .. attribute:: short
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.ControllerTxExList.Cablelength, self).__init__()

                    self.yang_name = "cablelength"
                    self.yang_parent_name = "controller-tx-ex-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.long = YLeaf(YType.str, "long")

                    self.short = YLeaf(YType.str, "short")
                    self._segment_path = lambda: "cablelength"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Controller.ControllerTxExList.Cablelength, ['long', 'short'], name, value)


            class ChannelGroup(Entity):
                """
                
                
                .. attribute:: number  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..30
                
                .. attribute:: timeslots
                
                	
                	**type**\: union of the below types:
                
                		**type**\: list of int
                
                			**range:** 0..65535
                
                		**type**\: list of str
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.ControllerTxExList.ChannelGroup, self).__init__()

                    self.yang_name = "channel-group"
                    self.yang_parent_name = "controller-tx-ex-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint8, "number")

                    self.timeslots = YLeafList(YType.str, "timeslots")
                    self._segment_path = lambda: "channel-group" + "[number='" + self.number.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Controller.ControllerTxExList.ChannelGroup, ['number', 'timeslots'], name, value)


        class Cellular(Entity):
            """
            
            
            .. attribute:: id  <key>
            
            	
            	**type**\: str
            
            .. attribute:: lte
            
            	
            	**type**\:  :py:class:`Lte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Cellular.Lte>`
            
            

            """

            _prefix = 'ios-ctrl'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Controller.Cellular, self).__init__()

                self.yang_name = "Cellular"
                self.yang_parent_name = "controller"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"lte" : ("lte", Native.Controller.Cellular.Lte)}
                self._child_list_classes = {}

                self.id = YLeaf(YType.str, "id")

                self.lte = Native.Controller.Cellular.Lte()
                self.lte.parent = self
                self._children_name_map["lte"] = "lte"
                self._children_yang_names.add("lte")
                self._segment_path = lambda: "Cisco-IOS-XE-controller:Cellular" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/controller/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Controller.Cellular, ['id'], name, value)


            class Lte(Entity):
                """
                
                
                .. attribute:: modem
                
                	
                	**type**\:  :py:class:`Modem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Cellular.Lte.Modem>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.Cellular.Lte, self).__init__()

                    self.yang_name = "lte"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"modem" : ("modem", Native.Controller.Cellular.Lte.Modem)}
                    self._child_list_classes = {}

                    self.modem = Native.Controller.Cellular.Lte.Modem()
                    self.modem.parent = self
                    self._children_name_map["modem"] = "modem"
                    self._children_yang_names.add("modem")
                    self._segment_path = lambda: "lte"


                class Modem(Entity):
                    """
                    
                    
                    .. attribute:: link_recovery
                    
                    	
                    	**type**\:  :py:class:`LinkRecovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Cellular.Lte.Modem.LinkRecovery>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.Cellular.Lte.Modem, self).__init__()

                        self.yang_name = "modem"
                        self.yang_parent_name = "lte"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-recovery" : ("link_recovery", Native.Controller.Cellular.Lte.Modem.LinkRecovery)}
                        self._child_list_classes = {}

                        self.link_recovery = Native.Controller.Cellular.Lte.Modem.LinkRecovery()
                        self.link_recovery.parent = self
                        self._children_name_map["link_recovery"] = "link-recovery"
                        self._children_yang_names.add("link-recovery")
                        self._segment_path = lambda: "modem"


                    class LinkRecovery(Entity):
                        """
                        
                        
                        .. attribute:: rssi
                        
                        	
                        	**type**\:  :py:class:`Rssi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.Cellular.Lte.Modem.LinkRecovery.Rssi>`
                        
                        .. attribute:: monitor_timer
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: wait_timer
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: debounce_count
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.Cellular.Lte.Modem.LinkRecovery, self).__init__()

                            self.yang_name = "link-recovery"
                            self.yang_parent_name = "modem"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rssi" : ("rssi", Native.Controller.Cellular.Lte.Modem.LinkRecovery.Rssi)}
                            self._child_list_classes = {}

                            self.monitor_timer = YLeaf(YType.uint32, "monitor-timer")

                            self.wait_timer = YLeaf(YType.uint32, "wait-timer")

                            self.debounce_count = YLeaf(YType.uint32, "debounce-count")

                            self.rssi = Native.Controller.Cellular.Lte.Modem.LinkRecovery.Rssi()
                            self.rssi.parent = self
                            self._children_name_map["rssi"] = "rssi"
                            self._children_yang_names.add("rssi")
                            self._segment_path = lambda: "link-recovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.Cellular.Lte.Modem.LinkRecovery, ['monitor_timer', 'wait_timer', 'debounce_count'], name, value)


                        class Rssi(Entity):
                            """
                            
                            
                            .. attribute:: onset_threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-2147483648..2147483647
                            
                            

                            """

                            _prefix = 'ios-ctrl'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Controller.Cellular.Lte.Modem.LinkRecovery.Rssi, self).__init__()

                                self.yang_name = "rssi"
                                self.yang_parent_name = "link-recovery"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.onset_threshold = YLeaf(YType.int32, "onset-threshold")
                                self._segment_path = lambda: "rssi"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Controller.Cellular.Lte.Modem.LinkRecovery.Rssi, ['onset_threshold'], name, value)


        class SONET(Entity):
            """
            SONET
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: framing
            
            	SONET framing
            	**type**\:  :py:class:`Framing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Framing>`
            
            .. attribute:: shutdown
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: clock
            
            	SONET clock
            	**type**\:  :py:class:`Clock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Clock>`
            
            .. attribute:: aug
            
            	AUG
            	**type**\:  :py:class:`Aug <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Aug>`
            
            .. attribute:: au_3
            
            	AU\-3
            	**type**\: list of  		 :py:class:`Au3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au3>`
            
            .. attribute:: au_4_atm
            
            	
            	**type**\:  :py:class:`Au4Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4Atm>`
            
            .. attribute:: au_4
            
            	AU\-4
            	**type**\: list of  		 :py:class:`Au4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4>`
            
            .. attribute:: aps
            
            	SONET APS
            	**type**\:  :py:class:`Aps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Aps>`
            
            

            """

            _prefix = 'ios-ctrl'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Controller.SONET, self).__init__()

                self.yang_name = "SONET"
                self.yang_parent_name = "controller"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"clock" : ("clock", Native.Controller.SONET.Clock), "aug" : ("aug", Native.Controller.SONET.Aug), "au-4-atm" : ("au_4_atm", Native.Controller.SONET.Au4Atm), "aps" : ("aps", Native.Controller.SONET.Aps)}
                self._child_list_classes = {"au-3" : ("au_3", Native.Controller.SONET.Au3), "au-4" : ("au_4", Native.Controller.SONET.Au4)}

                self.name = YLeaf(YType.str, "name")

                self.framing = YLeaf(YType.enumeration, "framing")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.clock = Native.Controller.SONET.Clock()
                self.clock.parent = self
                self._children_name_map["clock"] = "clock"
                self._children_yang_names.add("clock")

                self.aug = Native.Controller.SONET.Aug()
                self.aug.parent = self
                self._children_name_map["aug"] = "aug"
                self._children_yang_names.add("aug")

                self.au_4_atm = Native.Controller.SONET.Au4Atm()
                self.au_4_atm.parent = self
                self._children_name_map["au_4_atm"] = "au-4-atm"
                self._children_yang_names.add("au-4-atm")

                self.aps = Native.Controller.SONET.Aps()
                self.aps.parent = self
                self._children_name_map["aps"] = "aps"
                self._children_yang_names.add("aps")

                self.au_3 = YList(self)
                self.au_4 = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-controller:SONET" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/controller/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Controller.SONET, ['name', 'framing', 'shutdown'], name, value)

            class Framing(Enum):
                """
                Framing

                SONET framing

                .. data:: sonet = 0

                .. data:: sdh = 1

                """

                sonet = Enum.YLeaf(0, "sonet")

                sdh = Enum.YLeaf(1, "sdh")



            class Clock(Entity):
                """
                SONET clock
                
                .. attribute:: source
                
                	SONET clock source
                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Clock.Source>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.SONET.Clock, self).__init__()

                    self.yang_name = "clock"
                    self.yang_parent_name = "SONET"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.source = YLeaf(YType.enumeration, "source")
                    self._segment_path = lambda: "clock"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Controller.SONET.Clock, ['source'], name, value)

                class Source(Enum):
                    """
                    Source

                    SONET clock source

                    .. data:: internal = 0

                    .. data:: line = 1

                    """

                    internal = Enum.YLeaf(0, "internal")

                    line = Enum.YLeaf(1, "line")



            class Aug(Entity):
                """
                AUG
                
                .. attribute:: mapping
                
                	
                	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Aug.Mapping>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.SONET.Aug, self).__init__()

                    self.yang_name = "aug"
                    self.yang_parent_name = "SONET"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mapping = YLeaf(YType.enumeration, "mapping")
                    self._segment_path = lambda: "aug"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Controller.SONET.Aug, ['mapping'], name, value)

                class Mapping(Enum):
                    """
                    Mapping

                    .. data:: au_3 = 0

                    .. data:: au_4 = 1

                    """

                    au_3 = Enum.YLeaf(0, "au-3")

                    au_4 = Enum.YLeaf(1, "au-4")



            class Au3(Entity):
                """
                AU\-3
                
                .. attribute:: number  <key>
                
                	AU\-3 number
                	**type**\: int
                
                	**range:** 1..3
                
                .. attribute:: overhead
                
                	overhead
                	**type**\:  :py:class:`Overhead <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au3.Overhead>`
                
                .. attribute:: mode
                
                	mode
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au3.Mode>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.SONET.Au3, self).__init__()

                    self.yang_name = "au-3"
                    self.yang_parent_name = "SONET"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"overhead" : ("overhead", Native.Controller.SONET.Au3.Overhead), "mode" : ("mode", Native.Controller.SONET.Au3.Mode)}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.int8, "number")

                    self.overhead = Native.Controller.SONET.Au3.Overhead()
                    self.overhead.parent = self
                    self._children_name_map["overhead"] = "overhead"
                    self._children_yang_names.add("overhead")

                    self.mode = Native.Controller.SONET.Au3.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")
                    self._segment_path = lambda: "au-3" + "[number='" + self.number.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Controller.SONET.Au3, ['number'], name, value)


                class Overhead(Entity):
                    """
                    overhead
                    
                    .. attribute:: byte
                    
                    	
                    	**type**\:  :py:class:`Byte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au3.Overhead.Byte>`
                    
                    .. attribute:: length
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONET.Au3.Overhead, self).__init__()

                        self.yang_name = "overhead"
                        self.yang_parent_name = "au-3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.byte = YLeaf(YType.enumeration, "byte")

                        self.length = YLeaf(YType.uint8, "length")
                        self._segment_path = lambda: "overhead"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONET.Au3.Overhead, ['byte', 'length'], name, value)

                    class Byte(Enum):
                        """
                        Byte

                        .. data:: j1 = 0

                        """

                        j1 = Enum.YLeaf(0, "j1")



                class Mode(Entity):
                    """
                    mode
                    
                    .. attribute:: mapping
                    
                    	
                    	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au3.Mode.Mapping>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONET.Au3.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "au-3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.mapping = YLeaf(YType.enumeration, "mapping")
                        self._segment_path = lambda: "mode"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONET.Au3.Mode, ['mapping'], name, value)

                    class Mapping(Enum):
                        """
                        Mapping

                        .. data:: c_11 = 0

                        .. data:: c_12 = 1

                        .. data:: c_2 = 2

                        """

                        c_11 = Enum.YLeaf(0, "c-11")

                        c_12 = Enum.YLeaf(1, "c-12")

                        c_2 = Enum.YLeaf(2, "c-2")



            class Au4Atm(Entity):
                """
                
                
                .. attribute:: au_4
                
                	AU\-4
                	**type**\:  :py:class:`Au4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4Atm.Au4>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.SONET.Au4Atm, self).__init__()

                    self.yang_name = "au-4-atm"
                    self.yang_parent_name = "SONET"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"au-4" : ("au_4", Native.Controller.SONET.Au4Atm.Au4)}
                    self._child_list_classes = {}

                    self.au_4 = Native.Controller.SONET.Au4Atm.Au4()
                    self.au_4.parent = self
                    self._children_name_map["au_4"] = "au-4"
                    self._children_yang_names.add("au-4")
                    self._segment_path = lambda: "au-4-atm"


                class Au4(Entity):
                    """
                    AU\-4
                    
                    .. attribute:: number
                    
                    	AU\-4 number
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONET.Au4Atm.Au4, self).__init__()

                        self.yang_name = "au-4"
                        self.yang_parent_name = "au-4-atm"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.int8, "number")

                        self.atm = YLeaf(YType.empty, "atm")
                        self._segment_path = lambda: "au-4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONET.Au4Atm.Au4, ['number', 'atm'], name, value)


            class Au4(Entity):
                """
                AU\-4
                
                .. attribute:: number  <key>
                
                	AU\-4 number
                	**type**\: int
                
                	**range:** 1..3
                
                .. attribute:: tug_3  <key>
                
                	TUG\-3
                	**type**\: int
                
                	**range:** 1..3
                
                .. attribute:: mode
                
                	mode
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.Mode>`
                
                .. attribute:: cem_group
                
                	CEM group
                	**type**\: int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: unframed
                
                	Unframed
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: framing
                
                	
                	**type**\:  :py:class:`Framing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.Framing>`
                
                .. attribute:: cem_group_timeslots
                
                	
                	**type**\:  :py:class:`CemGroupTimeslots <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.CemGroupTimeslots>`
                
                .. attribute:: channel_group_timeslots
                
                	
                	**type**\:  :py:class:`ChannelGroupTimeslots <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.ChannelGroupTimeslots>`
                
                .. attribute:: cem_group_unframed
                
                	
                	**type**\:  :py:class:`CemGroupUnframed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.CemGroupUnframed>`
                
                .. attribute:: framing_unframed
                
                	
                	**type**\:  :py:class:`FramingUnframed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.FramingUnframed>`
                
                .. attribute:: cem_group_atm
                
                	
                	**type**\:  :py:class:`CemGroupAtm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.CemGroupAtm>`
                
                .. attribute:: ima_group
                
                	
                	**type**\:  :py:class:`ImaGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.ImaGroup>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.SONET.Au4, self).__init__()

                    self.yang_name = "au-4"
                    self.yang_parent_name = "SONET"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cem-group-timeslots" : ("cem_group_timeslots", Native.Controller.SONET.Au4.CemGroupTimeslots), "channel-group-timeslots" : ("channel_group_timeslots", Native.Controller.SONET.Au4.ChannelGroupTimeslots), "cem-group-unframed" : ("cem_group_unframed", Native.Controller.SONET.Au4.CemGroupUnframed), "framing-unframed" : ("framing_unframed", Native.Controller.SONET.Au4.FramingUnframed), "cem-group-atm" : ("cem_group_atm", Native.Controller.SONET.Au4.CemGroupAtm), "ima-group" : ("ima_group", Native.Controller.SONET.Au4.ImaGroup)}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.int8, "number")

                    self.tug_3 = YLeaf(YType.int8, "tug-3")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.cem_group = YLeaf(YType.int32, "cem-group")

                    self.unframed = YLeaf(YType.empty, "unframed")

                    self.framing = YLeaf(YType.enumeration, "framing")

                    self.cem_group_timeslots = Native.Controller.SONET.Au4.CemGroupTimeslots()
                    self.cem_group_timeslots.parent = self
                    self._children_name_map["cem_group_timeslots"] = "cem-group-timeslots"
                    self._children_yang_names.add("cem-group-timeslots")

                    self.channel_group_timeslots = Native.Controller.SONET.Au4.ChannelGroupTimeslots()
                    self.channel_group_timeslots.parent = self
                    self._children_name_map["channel_group_timeslots"] = "channel-group-timeslots"
                    self._children_yang_names.add("channel-group-timeslots")

                    self.cem_group_unframed = Native.Controller.SONET.Au4.CemGroupUnframed()
                    self.cem_group_unframed.parent = self
                    self._children_name_map["cem_group_unframed"] = "cem-group-unframed"
                    self._children_yang_names.add("cem-group-unframed")

                    self.framing_unframed = Native.Controller.SONET.Au4.FramingUnframed()
                    self.framing_unframed.parent = self
                    self._children_name_map["framing_unframed"] = "framing-unframed"
                    self._children_yang_names.add("framing-unframed")

                    self.cem_group_atm = Native.Controller.SONET.Au4.CemGroupAtm()
                    self.cem_group_atm.parent = self
                    self._children_name_map["cem_group_atm"] = "cem-group-atm"
                    self._children_yang_names.add("cem-group-atm")

                    self.ima_group = Native.Controller.SONET.Au4.ImaGroup()
                    self.ima_group.parent = self
                    self._children_name_map["ima_group"] = "ima-group"
                    self._children_yang_names.add("ima-group")
                    self._segment_path = lambda: "au-4" + "[number='" + self.number.get() + "']" + "[tug-3='" + self.tug_3.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Controller.SONET.Au4, ['number', 'tug_3', 'mode', 'cem_group', 'unframed', 'framing'], name, value)

                class Framing(Enum):
                    """
                    Framing

                    .. data:: unframed = 0

                    """

                    unframed = Enum.YLeaf(0, "unframed")


                class Mode(Enum):
                    """
                    Mode

                    mode

                    .. data:: c_11 = 0

                    .. data:: c_12 = 1

                    .. data:: c_2 = 2

                    .. data:: c_3 = 3

                    .. data:: c_4 = 4

                    .. data:: e3 = 5

                    """

                    c_11 = Enum.YLeaf(0, "c-11")

                    c_12 = Enum.YLeaf(1, "c-12")

                    c_2 = Enum.YLeaf(2, "c-2")

                    c_3 = Enum.YLeaf(3, "c-3")

                    c_4 = Enum.YLeaf(4, "c-4")

                    e3 = Enum.YLeaf(5, "e3")



                class CemGroupTimeslots(Entity):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of  		 :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.CemGroupTimeslots.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONET.Au4.CemGroupTimeslots, self).__init__()

                        self.yang_name = "cem-group-timeslots"
                        self.yang_parent_name = "au-4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"tug-2" : ("tug_2", Native.Controller.SONET.Au4.CemGroupTimeslots.Tug2)}

                        self.tug_2 = YList(self)
                        self._segment_path = lambda: "cem-group-timeslots"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONET.Au4.CemGroupTimeslots, [], name, value)


                    class Tug2(Entity):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: cem_group  <key>
                        
                        	CEM group
                        	**type**\: int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: timeslots
                        
                        	Time slots
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.SONET.Au4.CemGroupTimeslots.Tug2, self).__init__()

                            self.yang_name = "tug-2"
                            self.yang_parent_name = "cem-group-timeslots"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.int8, "number")

                            self.e1 = YLeaf(YType.int8, "e1")

                            self.cem_group = YLeaf(YType.int32, "cem-group")

                            self.timeslots = YLeaf(YType.str, "timeslots")
                            self._segment_path = lambda: "tug-2" + "[number='" + self.number.get() + "']" + "[e1='" + self.e1.get() + "']" + "[cem-group='" + self.cem_group.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.SONET.Au4.CemGroupTimeslots.Tug2, ['number', 'e1', 'cem_group', 'timeslots'], name, value)


                class ChannelGroupTimeslots(Entity):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of  		 :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.ChannelGroupTimeslots.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONET.Au4.ChannelGroupTimeslots, self).__init__()

                        self.yang_name = "channel-group-timeslots"
                        self.yang_parent_name = "au-4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"tug-2" : ("tug_2", Native.Controller.SONET.Au4.ChannelGroupTimeslots.Tug2)}

                        self.tug_2 = YList(self)
                        self._segment_path = lambda: "channel-group-timeslots"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONET.Au4.ChannelGroupTimeslots, [], name, value)


                    class Tug2(Entity):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: channel_group  <key>
                        
                        	Channel group
                        	**type**\: int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: timeslots
                        
                        	Time slots
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.SONET.Au4.ChannelGroupTimeslots.Tug2, self).__init__()

                            self.yang_name = "tug-2"
                            self.yang_parent_name = "channel-group-timeslots"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.int8, "number")

                            self.e1 = YLeaf(YType.int8, "e1")

                            self.channel_group = YLeaf(YType.int32, "channel-group")

                            self.timeslots = YLeaf(YType.str, "timeslots")
                            self._segment_path = lambda: "tug-2" + "[number='" + self.number.get() + "']" + "[e1='" + self.e1.get() + "']" + "[channel-group='" + self.channel_group.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.SONET.Au4.ChannelGroupTimeslots.Tug2, ['number', 'e1', 'channel_group', 'timeslots'], name, value)


                class CemGroupUnframed(Entity):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of  		 :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.CemGroupUnframed.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONET.Au4.CemGroupUnframed, self).__init__()

                        self.yang_name = "cem-group-unframed"
                        self.yang_parent_name = "au-4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"tug-2" : ("tug_2", Native.Controller.SONET.Au4.CemGroupUnframed.Tug2)}

                        self.tug_2 = YList(self)
                        self._segment_path = lambda: "cem-group-unframed"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONET.Au4.CemGroupUnframed, [], name, value)


                    class Tug2(Entity):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: cem_group  <key>
                        
                        	CEM group
                        	**type**\: int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: unframed
                        
                        	Unframed
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.SONET.Au4.CemGroupUnframed.Tug2, self).__init__()

                            self.yang_name = "tug-2"
                            self.yang_parent_name = "cem-group-unframed"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.int8, "number")

                            self.e1 = YLeaf(YType.int8, "e1")

                            self.cem_group = YLeaf(YType.int32, "cem-group")

                            self.unframed = YLeaf(YType.empty, "unframed")
                            self._segment_path = lambda: "tug-2" + "[number='" + self.number.get() + "']" + "[e1='" + self.e1.get() + "']" + "[cem-group='" + self.cem_group.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.SONET.Au4.CemGroupUnframed.Tug2, ['number', 'e1', 'cem_group', 'unframed'], name, value)


                class FramingUnframed(Entity):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of  		 :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.FramingUnframed.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONET.Au4.FramingUnframed, self).__init__()

                        self.yang_name = "framing-unframed"
                        self.yang_parent_name = "au-4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"tug-2" : ("tug_2", Native.Controller.SONET.Au4.FramingUnframed.Tug2)}

                        self.tug_2 = YList(self)
                        self._segment_path = lambda: "framing-unframed"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONET.Au4.FramingUnframed, [], name, value)


                    class Tug2(Entity):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: framing
                        
                        	
                        	**type**\:  :py:class:`Framing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.FramingUnframed.Tug2.Framing>`
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.SONET.Au4.FramingUnframed.Tug2, self).__init__()

                            self.yang_name = "tug-2"
                            self.yang_parent_name = "framing-unframed"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.int8, "number")

                            self.e1 = YLeaf(YType.int8, "e1")

                            self.framing = YLeaf(YType.enumeration, "framing")
                            self._segment_path = lambda: "tug-2" + "[number='" + self.number.get() + "']" + "[e1='" + self.e1.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.SONET.Au4.FramingUnframed.Tug2, ['number', 'e1', 'framing'], name, value)

                        class Framing(Enum):
                            """
                            Framing

                            .. data:: unframed = 0

                            """

                            unframed = Enum.YLeaf(0, "unframed")



                class CemGroupAtm(Entity):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of  		 :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.CemGroupAtm.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONET.Au4.CemGroupAtm, self).__init__()

                        self.yang_name = "cem-group-atm"
                        self.yang_parent_name = "au-4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"tug-2" : ("tug_2", Native.Controller.SONET.Au4.CemGroupAtm.Tug2)}

                        self.tug_2 = YList(self)
                        self._segment_path = lambda: "cem-group-atm"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONET.Au4.CemGroupAtm, [], name, value)


                    class Tug2(Entity):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.SONET.Au4.CemGroupAtm.Tug2, self).__init__()

                            self.yang_name = "tug-2"
                            self.yang_parent_name = "cem-group-atm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.int8, "number")

                            self.e1 = YLeaf(YType.int8, "e1")

                            self.atm = YLeaf(YType.empty, "atm")
                            self._segment_path = lambda: "tug-2" + "[number='" + self.number.get() + "']" + "[e1='" + self.e1.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.SONET.Au4.CemGroupAtm.Tug2, ['number', 'e1', 'atm'], name, value)


                class ImaGroup(Entity):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of  		 :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Au4.ImaGroup.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONET.Au4.ImaGroup, self).__init__()

                        self.yang_name = "ima-group"
                        self.yang_parent_name = "au-4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"tug-2" : ("tug_2", Native.Controller.SONET.Au4.ImaGroup.Tug2)}

                        self.tug_2 = YList(self)
                        self._segment_path = lambda: "ima-group"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONET.Au4.ImaGroup, [], name, value)


                    class Tug2(Entity):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: ima_group  <key>
                        
                        	IMA group
                        	**type**\: int
                        
                        	**range:** \-2147483648..2147483647
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.SONET.Au4.ImaGroup.Tug2, self).__init__()

                            self.yang_name = "tug-2"
                            self.yang_parent_name = "ima-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.int8, "number")

                            self.e1 = YLeaf(YType.int8, "e1")

                            self.ima_group = YLeaf(YType.int32, "ima-group")
                            self._segment_path = lambda: "tug-2" + "[number='" + self.number.get() + "']" + "[e1='" + self.e1.get() + "']" + "[ima-group='" + self.ima_group.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.SONET.Au4.ImaGroup.Tug2, ['number', 'e1', 'ima_group'], name, value)


            class Aps(Entity):
                """
                SONET APS
                
                .. attribute:: group
                
                	SONET APS group
                	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Aps.Group>`
                
                .. attribute:: working
                
                	Working line
                	**type**\: int
                
                	**range:** \-128..127
                
                .. attribute:: protect
                
                	Protect line
                	**type**\:  :py:class:`Protect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Aps.Protect>`
                
                .. attribute:: hspw_icrm_grp
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: interchassis
                
                	
                	**type**\:  :py:class:`Interchassis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONET.Aps.Interchassis>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.SONET.Aps, self).__init__()

                    self.yang_name = "aps"
                    self.yang_parent_name = "SONET"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"group" : ("group", Native.Controller.SONET.Aps.Group), "protect" : ("protect", Native.Controller.SONET.Aps.Protect), "interchassis" : ("interchassis", Native.Controller.SONET.Aps.Interchassis)}
                    self._child_list_classes = {}

                    self.working = YLeaf(YType.int8, "working")

                    self.hspw_icrm_grp = YLeaf(YType.uint8, "hspw-icrm-grp")

                    self.group = Native.Controller.SONET.Aps.Group()
                    self.group.parent = self
                    self._children_name_map["group"] = "group"
                    self._children_yang_names.add("group")

                    self.protect = Native.Controller.SONET.Aps.Protect()
                    self.protect.parent = self
                    self._children_name_map["protect"] = "protect"
                    self._children_yang_names.add("protect")

                    self.interchassis = Native.Controller.SONET.Aps.Interchassis()
                    self.interchassis.parent = self
                    self._children_name_map["interchassis"] = "interchassis"
                    self._children_yang_names.add("interchassis")
                    self._segment_path = lambda: "aps"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Controller.SONET.Aps, ['working', 'hspw_icrm_grp'], name, value)


                class Group(Entity):
                    """
                    SONET APS group
                    
                    .. attribute:: group_number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: acr
                    
                    	ACR
                    	**type**\: int
                    
                    	**range:** \-128..127
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONET.Aps.Group, self).__init__()

                        self.yang_name = "group"
                        self.yang_parent_name = "aps"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group_number = YLeaf(YType.uint8, "group-number")

                        self.acr = YLeaf(YType.int8, "acr")
                        self._segment_path = lambda: "group"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONET.Aps.Group, ['group_number', 'acr'], name, value)


                class Protect(Entity):
                    """
                    Protect line
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-128..127
                    
                    .. attribute:: ip_addr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONET.Aps.Protect, self).__init__()

                        self.yang_name = "protect"
                        self.yang_parent_name = "aps"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.int8, "number")

                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                        self._segment_path = lambda: "protect"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONET.Aps.Protect, ['number', 'ip_addr'], name, value)


                class Interchassis(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONET.Aps.Interchassis, self).__init__()

                        self.yang_name = "interchassis"
                        self.yang_parent_name = "aps"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.uint8, "group")
                        self._segment_path = lambda: "interchassis"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONET.Aps.Interchassis, ['group'], name, value)


        class SONETACR(Entity):
            """
            SONET\-ACR
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            	**pattern:** ([0\-9\\.])+
            
            .. attribute:: framing
            
            	SONET framing
            	**type**\:  :py:class:`Framing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Framing>`
            
            .. attribute:: shutdown
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: clock
            
            	SONET clock
            	**type**\:  :py:class:`Clock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Clock>`
            
            .. attribute:: aug
            
            	AUG
            	**type**\:  :py:class:`Aug <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Aug>`
            
            .. attribute:: au_3
            
            	AU\-3
            	**type**\: list of  		 :py:class:`Au3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au3>`
            
            .. attribute:: au_4_atm
            
            	
            	**type**\:  :py:class:`Au4Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4Atm>`
            
            .. attribute:: au_4
            
            	AU\-4
            	**type**\: list of  		 :py:class:`Au4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4>`
            
            .. attribute:: aps
            
            	SONET APS
            	**type**\:  :py:class:`Aps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Aps>`
            
            

            """

            _prefix = 'ios-ctrl'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Controller.SONETACR, self).__init__()

                self.yang_name = "SONET-ACR"
                self.yang_parent_name = "controller"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"clock" : ("clock", Native.Controller.SONETACR.Clock), "aug" : ("aug", Native.Controller.SONETACR.Aug), "au-4-atm" : ("au_4_atm", Native.Controller.SONETACR.Au4Atm), "aps" : ("aps", Native.Controller.SONETACR.Aps)}
                self._child_list_classes = {"au-3" : ("au_3", Native.Controller.SONETACR.Au3), "au-4" : ("au_4", Native.Controller.SONETACR.Au4)}

                self.name = YLeaf(YType.str, "name")

                self.framing = YLeaf(YType.enumeration, "framing")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.clock = Native.Controller.SONETACR.Clock()
                self.clock.parent = self
                self._children_name_map["clock"] = "clock"
                self._children_yang_names.add("clock")

                self.aug = Native.Controller.SONETACR.Aug()
                self.aug.parent = self
                self._children_name_map["aug"] = "aug"
                self._children_yang_names.add("aug")

                self.au_4_atm = Native.Controller.SONETACR.Au4Atm()
                self.au_4_atm.parent = self
                self._children_name_map["au_4_atm"] = "au-4-atm"
                self._children_yang_names.add("au-4-atm")

                self.aps = Native.Controller.SONETACR.Aps()
                self.aps.parent = self
                self._children_name_map["aps"] = "aps"
                self._children_yang_names.add("aps")

                self.au_3 = YList(self)
                self.au_4 = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-controller:SONET-ACR" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/controller/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Controller.SONETACR, ['name', 'framing', 'shutdown'], name, value)

            class Framing(Enum):
                """
                Framing

                SONET framing

                .. data:: sonet = 0

                .. data:: sdh = 1

                """

                sonet = Enum.YLeaf(0, "sonet")

                sdh = Enum.YLeaf(1, "sdh")



            class Clock(Entity):
                """
                SONET clock
                
                .. attribute:: source
                
                	SONET clock source
                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Clock.Source>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.SONETACR.Clock, self).__init__()

                    self.yang_name = "clock"
                    self.yang_parent_name = "SONET-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.source = YLeaf(YType.enumeration, "source")
                    self._segment_path = lambda: "clock"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Controller.SONETACR.Clock, ['source'], name, value)

                class Source(Enum):
                    """
                    Source

                    SONET clock source

                    .. data:: internal = 0

                    .. data:: line = 1

                    """

                    internal = Enum.YLeaf(0, "internal")

                    line = Enum.YLeaf(1, "line")



            class Aug(Entity):
                """
                AUG
                
                .. attribute:: mapping
                
                	
                	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Aug.Mapping>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.SONETACR.Aug, self).__init__()

                    self.yang_name = "aug"
                    self.yang_parent_name = "SONET-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mapping = YLeaf(YType.enumeration, "mapping")
                    self._segment_path = lambda: "aug"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Controller.SONETACR.Aug, ['mapping'], name, value)

                class Mapping(Enum):
                    """
                    Mapping

                    .. data:: au_3 = 0

                    .. data:: au_4 = 1

                    """

                    au_3 = Enum.YLeaf(0, "au-3")

                    au_4 = Enum.YLeaf(1, "au-4")



            class Au3(Entity):
                """
                AU\-3
                
                .. attribute:: number  <key>
                
                	AU\-3 number
                	**type**\: int
                
                	**range:** 1..3
                
                .. attribute:: overhead
                
                	overhead
                	**type**\:  :py:class:`Overhead <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au3.Overhead>`
                
                .. attribute:: mode
                
                	mode
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au3.Mode>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.SONETACR.Au3, self).__init__()

                    self.yang_name = "au-3"
                    self.yang_parent_name = "SONET-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"overhead" : ("overhead", Native.Controller.SONETACR.Au3.Overhead), "mode" : ("mode", Native.Controller.SONETACR.Au3.Mode)}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.int8, "number")

                    self.overhead = Native.Controller.SONETACR.Au3.Overhead()
                    self.overhead.parent = self
                    self._children_name_map["overhead"] = "overhead"
                    self._children_yang_names.add("overhead")

                    self.mode = Native.Controller.SONETACR.Au3.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")
                    self._segment_path = lambda: "au-3" + "[number='" + self.number.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Controller.SONETACR.Au3, ['number'], name, value)


                class Overhead(Entity):
                    """
                    overhead
                    
                    .. attribute:: byte
                    
                    	
                    	**type**\:  :py:class:`Byte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au3.Overhead.Byte>`
                    
                    .. attribute:: length
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONETACR.Au3.Overhead, self).__init__()

                        self.yang_name = "overhead"
                        self.yang_parent_name = "au-3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.byte = YLeaf(YType.enumeration, "byte")

                        self.length = YLeaf(YType.uint8, "length")
                        self._segment_path = lambda: "overhead"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONETACR.Au3.Overhead, ['byte', 'length'], name, value)

                    class Byte(Enum):
                        """
                        Byte

                        .. data:: j1 = 0

                        """

                        j1 = Enum.YLeaf(0, "j1")



                class Mode(Entity):
                    """
                    mode
                    
                    .. attribute:: mapping
                    
                    	
                    	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au3.Mode.Mapping>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONETACR.Au3.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "au-3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.mapping = YLeaf(YType.enumeration, "mapping")
                        self._segment_path = lambda: "mode"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONETACR.Au3.Mode, ['mapping'], name, value)

                    class Mapping(Enum):
                        """
                        Mapping

                        .. data:: c_11 = 0

                        .. data:: c_12 = 1

                        .. data:: c_2 = 2

                        """

                        c_11 = Enum.YLeaf(0, "c-11")

                        c_12 = Enum.YLeaf(1, "c-12")

                        c_2 = Enum.YLeaf(2, "c-2")



            class Au4Atm(Entity):
                """
                
                
                .. attribute:: au_4
                
                	AU\-4
                	**type**\:  :py:class:`Au4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4Atm.Au4>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.SONETACR.Au4Atm, self).__init__()

                    self.yang_name = "au-4-atm"
                    self.yang_parent_name = "SONET-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"au-4" : ("au_4", Native.Controller.SONETACR.Au4Atm.Au4)}
                    self._child_list_classes = {}

                    self.au_4 = Native.Controller.SONETACR.Au4Atm.Au4()
                    self.au_4.parent = self
                    self._children_name_map["au_4"] = "au-4"
                    self._children_yang_names.add("au-4")
                    self._segment_path = lambda: "au-4-atm"


                class Au4(Entity):
                    """
                    AU\-4
                    
                    .. attribute:: number
                    
                    	AU\-4 number
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONETACR.Au4Atm.Au4, self).__init__()

                        self.yang_name = "au-4"
                        self.yang_parent_name = "au-4-atm"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.int8, "number")

                        self.atm = YLeaf(YType.empty, "atm")
                        self._segment_path = lambda: "au-4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONETACR.Au4Atm.Au4, ['number', 'atm'], name, value)


            class Au4(Entity):
                """
                AU\-4
                
                .. attribute:: number  <key>
                
                	AU\-4 number
                	**type**\: int
                
                	**range:** 1..3
                
                .. attribute:: tug_3  <key>
                
                	TUG\-3
                	**type**\: int
                
                	**range:** 1..3
                
                .. attribute:: mode
                
                	mode
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.Mode>`
                
                .. attribute:: cem_group
                
                	CEM group
                	**type**\: int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: unframed
                
                	Unframed
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: framing
                
                	
                	**type**\:  :py:class:`Framing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.Framing>`
                
                .. attribute:: cem_group_timeslots
                
                	
                	**type**\:  :py:class:`CemGroupTimeslots <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.CemGroupTimeslots>`
                
                .. attribute:: channel_group_timeslots
                
                	
                	**type**\:  :py:class:`ChannelGroupTimeslots <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.ChannelGroupTimeslots>`
                
                .. attribute:: cem_group_unframed
                
                	
                	**type**\:  :py:class:`CemGroupUnframed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.CemGroupUnframed>`
                
                .. attribute:: framing_unframed
                
                	
                	**type**\:  :py:class:`FramingUnframed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.FramingUnframed>`
                
                .. attribute:: cem_group_atm
                
                	
                	**type**\:  :py:class:`CemGroupAtm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.CemGroupAtm>`
                
                .. attribute:: ima_group
                
                	
                	**type**\:  :py:class:`ImaGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.ImaGroup>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.SONETACR.Au4, self).__init__()

                    self.yang_name = "au-4"
                    self.yang_parent_name = "SONET-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cem-group-timeslots" : ("cem_group_timeslots", Native.Controller.SONETACR.Au4.CemGroupTimeslots), "channel-group-timeslots" : ("channel_group_timeslots", Native.Controller.SONETACR.Au4.ChannelGroupTimeslots), "cem-group-unframed" : ("cem_group_unframed", Native.Controller.SONETACR.Au4.CemGroupUnframed), "framing-unframed" : ("framing_unframed", Native.Controller.SONETACR.Au4.FramingUnframed), "cem-group-atm" : ("cem_group_atm", Native.Controller.SONETACR.Au4.CemGroupAtm), "ima-group" : ("ima_group", Native.Controller.SONETACR.Au4.ImaGroup)}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.int8, "number")

                    self.tug_3 = YLeaf(YType.int8, "tug-3")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.cem_group = YLeaf(YType.int32, "cem-group")

                    self.unframed = YLeaf(YType.empty, "unframed")

                    self.framing = YLeaf(YType.enumeration, "framing")

                    self.cem_group_timeslots = Native.Controller.SONETACR.Au4.CemGroupTimeslots()
                    self.cem_group_timeslots.parent = self
                    self._children_name_map["cem_group_timeslots"] = "cem-group-timeslots"
                    self._children_yang_names.add("cem-group-timeslots")

                    self.channel_group_timeslots = Native.Controller.SONETACR.Au4.ChannelGroupTimeslots()
                    self.channel_group_timeslots.parent = self
                    self._children_name_map["channel_group_timeslots"] = "channel-group-timeslots"
                    self._children_yang_names.add("channel-group-timeslots")

                    self.cem_group_unframed = Native.Controller.SONETACR.Au4.CemGroupUnframed()
                    self.cem_group_unframed.parent = self
                    self._children_name_map["cem_group_unframed"] = "cem-group-unframed"
                    self._children_yang_names.add("cem-group-unframed")

                    self.framing_unframed = Native.Controller.SONETACR.Au4.FramingUnframed()
                    self.framing_unframed.parent = self
                    self._children_name_map["framing_unframed"] = "framing-unframed"
                    self._children_yang_names.add("framing-unframed")

                    self.cem_group_atm = Native.Controller.SONETACR.Au4.CemGroupAtm()
                    self.cem_group_atm.parent = self
                    self._children_name_map["cem_group_atm"] = "cem-group-atm"
                    self._children_yang_names.add("cem-group-atm")

                    self.ima_group = Native.Controller.SONETACR.Au4.ImaGroup()
                    self.ima_group.parent = self
                    self._children_name_map["ima_group"] = "ima-group"
                    self._children_yang_names.add("ima-group")
                    self._segment_path = lambda: "au-4" + "[number='" + self.number.get() + "']" + "[tug-3='" + self.tug_3.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Controller.SONETACR.Au4, ['number', 'tug_3', 'mode', 'cem_group', 'unframed', 'framing'], name, value)

                class Framing(Enum):
                    """
                    Framing

                    .. data:: unframed = 0

                    """

                    unframed = Enum.YLeaf(0, "unframed")


                class Mode(Enum):
                    """
                    Mode

                    mode

                    .. data:: c_11 = 0

                    .. data:: c_12 = 1

                    .. data:: c_2 = 2

                    .. data:: c_3 = 3

                    .. data:: c_4 = 4

                    .. data:: e3 = 5

                    """

                    c_11 = Enum.YLeaf(0, "c-11")

                    c_12 = Enum.YLeaf(1, "c-12")

                    c_2 = Enum.YLeaf(2, "c-2")

                    c_3 = Enum.YLeaf(3, "c-3")

                    c_4 = Enum.YLeaf(4, "c-4")

                    e3 = Enum.YLeaf(5, "e3")



                class CemGroupTimeslots(Entity):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of  		 :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.CemGroupTimeslots.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONETACR.Au4.CemGroupTimeslots, self).__init__()

                        self.yang_name = "cem-group-timeslots"
                        self.yang_parent_name = "au-4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"tug-2" : ("tug_2", Native.Controller.SONETACR.Au4.CemGroupTimeslots.Tug2)}

                        self.tug_2 = YList(self)
                        self._segment_path = lambda: "cem-group-timeslots"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONETACR.Au4.CemGroupTimeslots, [], name, value)


                    class Tug2(Entity):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: cem_group  <key>
                        
                        	CEM group
                        	**type**\: int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: timeslots
                        
                        	Time slots
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.SONETACR.Au4.CemGroupTimeslots.Tug2, self).__init__()

                            self.yang_name = "tug-2"
                            self.yang_parent_name = "cem-group-timeslots"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.int8, "number")

                            self.e1 = YLeaf(YType.int8, "e1")

                            self.cem_group = YLeaf(YType.int32, "cem-group")

                            self.timeslots = YLeaf(YType.str, "timeslots")
                            self._segment_path = lambda: "tug-2" + "[number='" + self.number.get() + "']" + "[e1='" + self.e1.get() + "']" + "[cem-group='" + self.cem_group.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.SONETACR.Au4.CemGroupTimeslots.Tug2, ['number', 'e1', 'cem_group', 'timeslots'], name, value)


                class ChannelGroupTimeslots(Entity):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of  		 :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.ChannelGroupTimeslots.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONETACR.Au4.ChannelGroupTimeslots, self).__init__()

                        self.yang_name = "channel-group-timeslots"
                        self.yang_parent_name = "au-4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"tug-2" : ("tug_2", Native.Controller.SONETACR.Au4.ChannelGroupTimeslots.Tug2)}

                        self.tug_2 = YList(self)
                        self._segment_path = lambda: "channel-group-timeslots"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONETACR.Au4.ChannelGroupTimeslots, [], name, value)


                    class Tug2(Entity):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: channel_group  <key>
                        
                        	Channel group
                        	**type**\: int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: timeslots
                        
                        	Time slots
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.SONETACR.Au4.ChannelGroupTimeslots.Tug2, self).__init__()

                            self.yang_name = "tug-2"
                            self.yang_parent_name = "channel-group-timeslots"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.int8, "number")

                            self.e1 = YLeaf(YType.int8, "e1")

                            self.channel_group = YLeaf(YType.int32, "channel-group")

                            self.timeslots = YLeaf(YType.str, "timeslots")
                            self._segment_path = lambda: "tug-2" + "[number='" + self.number.get() + "']" + "[e1='" + self.e1.get() + "']" + "[channel-group='" + self.channel_group.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.SONETACR.Au4.ChannelGroupTimeslots.Tug2, ['number', 'e1', 'channel_group', 'timeslots'], name, value)


                class CemGroupUnframed(Entity):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of  		 :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.CemGroupUnframed.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONETACR.Au4.CemGroupUnframed, self).__init__()

                        self.yang_name = "cem-group-unframed"
                        self.yang_parent_name = "au-4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"tug-2" : ("tug_2", Native.Controller.SONETACR.Au4.CemGroupUnframed.Tug2)}

                        self.tug_2 = YList(self)
                        self._segment_path = lambda: "cem-group-unframed"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONETACR.Au4.CemGroupUnframed, [], name, value)


                    class Tug2(Entity):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: cem_group  <key>
                        
                        	CEM group
                        	**type**\: int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: unframed
                        
                        	Unframed
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.SONETACR.Au4.CemGroupUnframed.Tug2, self).__init__()

                            self.yang_name = "tug-2"
                            self.yang_parent_name = "cem-group-unframed"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.int8, "number")

                            self.e1 = YLeaf(YType.int8, "e1")

                            self.cem_group = YLeaf(YType.int32, "cem-group")

                            self.unframed = YLeaf(YType.empty, "unframed")
                            self._segment_path = lambda: "tug-2" + "[number='" + self.number.get() + "']" + "[e1='" + self.e1.get() + "']" + "[cem-group='" + self.cem_group.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.SONETACR.Au4.CemGroupUnframed.Tug2, ['number', 'e1', 'cem_group', 'unframed'], name, value)


                class FramingUnframed(Entity):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of  		 :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.FramingUnframed.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONETACR.Au4.FramingUnframed, self).__init__()

                        self.yang_name = "framing-unframed"
                        self.yang_parent_name = "au-4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"tug-2" : ("tug_2", Native.Controller.SONETACR.Au4.FramingUnframed.Tug2)}

                        self.tug_2 = YList(self)
                        self._segment_path = lambda: "framing-unframed"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONETACR.Au4.FramingUnframed, [], name, value)


                    class Tug2(Entity):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: framing
                        
                        	
                        	**type**\:  :py:class:`Framing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.FramingUnframed.Tug2.Framing>`
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.SONETACR.Au4.FramingUnframed.Tug2, self).__init__()

                            self.yang_name = "tug-2"
                            self.yang_parent_name = "framing-unframed"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.int8, "number")

                            self.e1 = YLeaf(YType.int8, "e1")

                            self.framing = YLeaf(YType.enumeration, "framing")
                            self._segment_path = lambda: "tug-2" + "[number='" + self.number.get() + "']" + "[e1='" + self.e1.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.SONETACR.Au4.FramingUnframed.Tug2, ['number', 'e1', 'framing'], name, value)

                        class Framing(Enum):
                            """
                            Framing

                            .. data:: unframed = 0

                            """

                            unframed = Enum.YLeaf(0, "unframed")



                class CemGroupAtm(Entity):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of  		 :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.CemGroupAtm.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONETACR.Au4.CemGroupAtm, self).__init__()

                        self.yang_name = "cem-group-atm"
                        self.yang_parent_name = "au-4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"tug-2" : ("tug_2", Native.Controller.SONETACR.Au4.CemGroupAtm.Tug2)}

                        self.tug_2 = YList(self)
                        self._segment_path = lambda: "cem-group-atm"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONETACR.Au4.CemGroupAtm, [], name, value)


                    class Tug2(Entity):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.SONETACR.Au4.CemGroupAtm.Tug2, self).__init__()

                            self.yang_name = "tug-2"
                            self.yang_parent_name = "cem-group-atm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.int8, "number")

                            self.e1 = YLeaf(YType.int8, "e1")

                            self.atm = YLeaf(YType.empty, "atm")
                            self._segment_path = lambda: "tug-2" + "[number='" + self.number.get() + "']" + "[e1='" + self.e1.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.SONETACR.Au4.CemGroupAtm.Tug2, ['number', 'e1', 'atm'], name, value)


                class ImaGroup(Entity):
                    """
                    
                    
                    .. attribute:: tug_2
                    
                    	TUG\-2
                    	**type**\: list of  		 :py:class:`Tug2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Au4.ImaGroup.Tug2>`
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONETACR.Au4.ImaGroup, self).__init__()

                        self.yang_name = "ima-group"
                        self.yang_parent_name = "au-4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"tug-2" : ("tug_2", Native.Controller.SONETACR.Au4.ImaGroup.Tug2)}

                        self.tug_2 = YList(self)
                        self._segment_path = lambda: "ima-group"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONETACR.Au4.ImaGroup, [], name, value)


                    class Tug2(Entity):
                        """
                        TUG\-2
                        
                        .. attribute:: number  <key>
                        
                        	TUG\-2 number
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: e1  <key>
                        
                        	E1
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: ima_group  <key>
                        
                        	IMA group
                        	**type**\: int
                        
                        	**range:** \-2147483648..2147483647
                        
                        

                        """

                        _prefix = 'ios-ctrl'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Controller.SONETACR.Au4.ImaGroup.Tug2, self).__init__()

                            self.yang_name = "tug-2"
                            self.yang_parent_name = "ima-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.int8, "number")

                            self.e1 = YLeaf(YType.int8, "e1")

                            self.ima_group = YLeaf(YType.int32, "ima-group")
                            self._segment_path = lambda: "tug-2" + "[number='" + self.number.get() + "']" + "[e1='" + self.e1.get() + "']" + "[ima-group='" + self.ima_group.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Controller.SONETACR.Au4.ImaGroup.Tug2, ['number', 'e1', 'ima_group'], name, value)


            class Aps(Entity):
                """
                SONET APS
                
                .. attribute:: group
                
                	SONET APS group
                	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Aps.Group>`
                
                .. attribute:: working
                
                	Working line
                	**type**\: int
                
                	**range:** \-128..127
                
                .. attribute:: protect
                
                	Protect line
                	**type**\:  :py:class:`Protect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Aps.Protect>`
                
                .. attribute:: hspw_icrm_grp
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: interchassis
                
                	
                	**type**\:  :py:class:`Interchassis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Controller.SONETACR.Aps.Interchassis>`
                
                

                """

                _prefix = 'ios-ctrl'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Controller.SONETACR.Aps, self).__init__()

                    self.yang_name = "aps"
                    self.yang_parent_name = "SONET-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"group" : ("group", Native.Controller.SONETACR.Aps.Group), "protect" : ("protect", Native.Controller.SONETACR.Aps.Protect), "interchassis" : ("interchassis", Native.Controller.SONETACR.Aps.Interchassis)}
                    self._child_list_classes = {}

                    self.working = YLeaf(YType.int8, "working")

                    self.hspw_icrm_grp = YLeaf(YType.uint8, "hspw-icrm-grp")

                    self.group = Native.Controller.SONETACR.Aps.Group()
                    self.group.parent = self
                    self._children_name_map["group"] = "group"
                    self._children_yang_names.add("group")

                    self.protect = Native.Controller.SONETACR.Aps.Protect()
                    self.protect.parent = self
                    self._children_name_map["protect"] = "protect"
                    self._children_yang_names.add("protect")

                    self.interchassis = Native.Controller.SONETACR.Aps.Interchassis()
                    self.interchassis.parent = self
                    self._children_name_map["interchassis"] = "interchassis"
                    self._children_yang_names.add("interchassis")
                    self._segment_path = lambda: "aps"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Controller.SONETACR.Aps, ['working', 'hspw_icrm_grp'], name, value)


                class Group(Entity):
                    """
                    SONET APS group
                    
                    .. attribute:: group_number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: acr
                    
                    	ACR
                    	**type**\: int
                    
                    	**range:** \-128..127
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONETACR.Aps.Group, self).__init__()

                        self.yang_name = "group"
                        self.yang_parent_name = "aps"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group_number = YLeaf(YType.uint8, "group-number")

                        self.acr = YLeaf(YType.int8, "acr")
                        self._segment_path = lambda: "group"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONETACR.Aps.Group, ['group_number', 'acr'], name, value)


                class Protect(Entity):
                    """
                    Protect line
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: int
                    
                    	**range:** \-128..127
                    
                    .. attribute:: ip_addr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONETACR.Aps.Protect, self).__init__()

                        self.yang_name = "protect"
                        self.yang_parent_name = "aps"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.int8, "number")

                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                        self._segment_path = lambda: "protect"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONETACR.Aps.Protect, ['number', 'ip_addr'], name, value)


                class Interchassis(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ctrl'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Controller.SONETACR.Aps.Interchassis, self).__init__()

                        self.yang_name = "interchassis"
                        self.yang_parent_name = "aps"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.uint8, "group")
                        self._segment_path = lambda: "interchassis"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Controller.SONETACR.Aps.Interchassis, ['group'], name, value)


        class Wanphy(Entity):
            """
            wanphy
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'ios-ctrl'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Controller.Wanphy, self).__init__()

                self.yang_name = "wanphy"
                self.yang_parent_name = "controller"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")
                self._segment_path = lambda: "Cisco-IOS-XE-controller:wanphy" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/controller/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Controller.Wanphy, ['name'], name, value)


    class Vrf(Entity):
        """
        VRF commands
        
        .. attribute:: definition
        
        	VRF definition mode
        	**type**\: list of  		 :py:class:`Definition <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Vrf, self).__init__()

            self.yang_name = "vrf"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"definition" : ("definition", Native.Vrf.Definition)}

            self.definition = YList(self)
            self._segment_path = lambda: "vrf"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Vrf, [], name, value)


        class Definition(Entity):
            """
            VRF definition mode
            
            .. attribute:: name  <key>
            
            	WORD;;VRF name
            	**type**\: str
            
            .. attribute:: description
            
            	VRF specific description
            	**type**\: str
            
            	**length:** 1..244
            
            .. attribute:: rd
            
            	Specify Route Distinguisher
            	**type**\: union of the below types:
            
            		**type**\: str
            
            			**pattern:** [0\-9]+\:[0\-9]+
            
            		**type**\: str
            
            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            		**type**\: str
            
            			**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
            
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily>`
            
            .. attribute:: route_target
            
            	Specify Target VPN Extended Communities
            	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.RouteTarget>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Vrf.Definition, self).__init__()

                self.yang_name = "definition"
                self.yang_parent_name = "vrf"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"address-family" : ("address_family", Native.Vrf.Definition.AddressFamily), "route-target" : ("route_target", Native.Vrf.Definition.RouteTarget)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.description = YLeaf(YType.str, "description")

                self.rd = YLeaf(YType.str, "rd")

                self.address_family = Native.Vrf.Definition.AddressFamily()
                self.address_family.parent = self
                self._children_name_map["address_family"] = "address-family"
                self._children_yang_names.add("address-family")

                self.route_target = Native.Vrf.Definition.RouteTarget()
                self.route_target.parent = self
                self._children_name_map["route_target"] = "route-target"
                self._children_yang_names.add("route-target")
                self._segment_path = lambda: "definition" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vrf/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Vrf.Definition, ['name', 'description', 'rd'], name, value)


            class AddressFamily(Entity):
                """
                Enter Address Family command mode
                
                .. attribute:: ipv4
                
                	Address family
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4>`
                
                	**presence node**\: True
                
                .. attribute:: ipv6
                
                	Address family
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Vrf.Definition.AddressFamily, self).__init__()

                    self.yang_name = "address-family"
                    self.yang_parent_name = "definition"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Vrf.Definition.AddressFamily.Ipv4), "ipv6" : ("ipv6", Native.Vrf.Definition.AddressFamily.Ipv6)}
                    self._child_list_classes = {}

                    self.ipv4 = None
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")

                    self.ipv6 = None
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")
                    self._segment_path = lambda: "address-family"


                class Ipv4(Entity):
                    """
                    Address family
                    
                    .. attribute:: export
                    
                    	VRF export
                    	**type**\:  :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Export>`
                    
                    .. attribute:: maximum
                    
                    	Maximum number of routes allowed in this routing table
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Maximum>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: mdt
                    
                    	Backbone Multicast Distribution Tree
                    	**type**\:  :py:class:`Mdt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Mdt>`
                    
                    .. attribute:: route_target
                    
                    	Specify Target VPN Extended Communities
                    	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget>`
                    
                    .. attribute:: bgp
                    
                    	Commands pertaining to BGP
                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Bgp>`
                    
                    .. attribute:: import_
                    
                    	VRF import
                    	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Import_>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Vrf.Definition.AddressFamily.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "address-family"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"export" : ("export", Native.Vrf.Definition.AddressFamily.Ipv4.Export), "maximum" : ("maximum", Native.Vrf.Definition.AddressFamily.Ipv4.Maximum), "mdt" : ("mdt", Native.Vrf.Definition.AddressFamily.Ipv4.Mdt), "route-target" : ("route_target", Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget), "bgp" : ("bgp", Native.Vrf.Definition.AddressFamily.Ipv4.Bgp), "import" : ("import_", Native.Vrf.Definition.AddressFamily.Ipv4.Import_)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.export = Native.Vrf.Definition.AddressFamily.Ipv4.Export()
                        self.export.parent = self
                        self._children_name_map["export"] = "export"
                        self._children_yang_names.add("export")

                        self.maximum = None
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")

                        self.mdt = Native.Vrf.Definition.AddressFamily.Ipv4.Mdt()
                        self.mdt.parent = self
                        self._children_name_map["mdt"] = "mdt"
                        self._children_yang_names.add("mdt")

                        self.route_target = Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget()
                        self.route_target.parent = self
                        self._children_name_map["route_target"] = "route-target"
                        self._children_yang_names.add("route-target")

                        self.bgp = Native.Vrf.Definition.AddressFamily.Ipv4.Bgp()
                        self.bgp.parent = self
                        self._children_name_map["bgp"] = "bgp"
                        self._children_yang_names.add("bgp")

                        self.import_ = Native.Vrf.Definition.AddressFamily.Ipv4.Import_()
                        self.import_.parent = self
                        self._children_name_map["import_"] = "import"
                        self._children_yang_names.add("import")
                        self._segment_path = lambda: "ipv4"


                    class Export(Entity):
                        """
                        VRF export
                        
                        .. attribute:: map
                        
                        	WORD;;Route\-map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Vrf.Definition.AddressFamily.Ipv4.Export, self).__init__()

                            self.yang_name = "export"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.map = YLeaf(YType.str, "map")
                            self._segment_path = lambda: "export"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv4.Export, ['map'], name, value)


                    class Maximum(Entity):
                        """
                        Maximum number of routes allowed in this routing table
                        
                        .. attribute:: routes
                        
                        	Maximum number of routes allowed in this routing table
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: threshold
                        
                        	Threshold
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: reinstall
                        
                        	Reinstall previous rejected route due to over maximum route limit
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: warning_only
                        
                        	Only give a warning message if is limit exceeded
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Vrf.Definition.AddressFamily.Ipv4.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.routes = YLeaf(YType.uint32, "routes")

                            self.threshold = YLeaf(YType.uint16, "threshold")

                            self.reinstall = YLeaf(YType.uint16, "reinstall")

                            self.warning_only = YLeaf(YType.empty, "warning-only")
                            self._segment_path = lambda: "maximum"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv4.Maximum, ['routes', 'threshold', 'reinstall', 'warning_only'], name, value)


                    class Mdt(Entity):
                        """
                        Backbone Multicast Distribution Tree
                        
                        .. attribute:: default
                        
                        	The default group
                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default>`
                        
                        .. attribute:: data
                        
                        	MDT data trees
                        	**type**\:  :py:class:`Data <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data>`
                        
                        .. attribute:: log_reuse
                        
                        	Event logging for data MDT reuse
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mtu
                        
                        	The MTU
                        	**type**\: int
                        
                        	**range:** 576..18010
                        
                        .. attribute:: preference
                        
                        	MDT preference (default pim mldp)
                        	**type**\: list of   :py:class:`Preference <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Preference>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Vrf.Definition.AddressFamily.Ipv4.Mdt, self).__init__()

                            self.yang_name = "mdt"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"default" : ("default", Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default), "data" : ("data", Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data)}
                            self._child_list_classes = {}

                            self.log_reuse = YLeaf(YType.empty, "log-reuse")

                            self.mtu = YLeaf(YType.uint16, "mtu")

                            self.preference = YLeafList(YType.enumeration, "preference")

                            self.default = Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default()
                            self.default.parent = self
                            self._children_name_map["default"] = "default"
                            self._children_yang_names.add("default")

                            self.data = Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data()
                            self.data.parent = self
                            self._children_name_map["data"] = "data"
                            self._children_yang_names.add("data")
                            self._segment_path = lambda: "mdt"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv4.Mdt, ['log_reuse', 'mtu', 'preference'], name, value)

                        class Preference(Enum):
                            """
                            Preference

                            MDT preference (default pim mldp)

                            .. data:: mldp = 0

                            .. data:: pim = 1

                            """

                            mldp = Enum.YLeaf(0, "mldp")

                            pim = Enum.YLeaf(1, "pim")



                        class Default(Entity):
                            """
                            The default group
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mpls
                            
                            	MPLS tunnel options
                            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default.Mpls>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default, self).__init__()

                                self.yang_name = "default"
                                self.yang_parent_name = "mdt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mpls" : ("mpls", Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default.Mpls)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.mpls = Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default.Mpls()
                                self.mpls.parent = self
                                self._children_name_map["mpls"] = "mpls"
                                self._children_yang_names.add("mpls")
                                self._segment_path = lambda: "default"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default, ['address'], name, value)


                            class Mpls(Entity):
                                """
                                MPLS tunnel options
                                
                                .. attribute:: mldp
                                
                                	Use a MLDP LSP to create the default MDT
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default.Mpls, self).__init__()

                                    self.yang_name = "mpls"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mldp = YLeaf(YType.str, "mldp")
                                    self._segment_path = lambda: "mpls"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Default.Mpls, ['mldp'], name, value)


                        class Data(Entity):
                            """
                            MDT data trees
                            
                            .. attribute:: multicast
                            
                            	
                            	**type**\: list of  		 :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data.Multicast>`
                            
                            .. attribute:: list
                            
                            	Access\-list
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 100..199
                            
                            		**type**\: int
                            
                            			**range:** 2000..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: threshold
                            
                            	MDT switching threshold
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data, self).__init__()

                                self.yang_name = "data"
                                self.yang_parent_name = "mdt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"multicast" : ("multicast", Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data.Multicast)}

                                self.list = YLeaf(YType.str, "list")

                                self.threshold = YLeaf(YType.uint32, "threshold")

                                self.multicast = YList(self)
                                self._segment_path = lambda: "data"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data, ['list', 'threshold'], name, value)


                            class Multicast(Entity):
                                """
                                
                                
                                .. attribute:: address  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildcard  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data.Multicast, self).__init__()

                                    self.yang_name = "multicast"
                                    self.yang_parent_name = "data"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.str, "address")

                                    self.wildcard = YLeaf(YType.str, "wildcard")
                                    self._segment_path = lambda: "multicast" + "[address='" + self.address.get() + "']" + "[wildcard='" + self.wildcard.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv4.Mdt.Data.Multicast, ['address', 'wildcard'], name, value)


                    class RouteTarget(Entity):
                        """
                        Specify Target VPN Extended Communities
                        
                        .. attribute:: export
                        
                        	Export Target\-VPN community
                        	**type**\: list of  		 :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Export>`
                        
                        .. attribute:: import_
                        
                        	Import Target\-VPN community
                        	**type**\: list of  		 :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Import_>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget, self).__init__()

                            self.yang_name = "route-target"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"export" : ("export", Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Export), "import" : ("import_", Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Import_)}

                            self.export = YList(self)
                            self.import_ = YList(self)
                            self._segment_path = lambda: "route-target"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget, [], name, value)


                        class Export(Entity):
                            """
                            Export Target\-VPN community
                            
                            .. attribute:: asn_ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Export, self).__init__()

                                self.yang_name = "export"
                                self.yang_parent_name = "route-target"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.asn_ip = YLeaf(YType.str, "asn-ip")
                                self._segment_path = lambda: "export" + "[asn-ip='" + self.asn_ip.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Export, ['asn_ip'], name, value)


                        class Import_(Entity):
                            """
                            Import Target\-VPN community
                            
                            .. attribute:: asn_ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Import_, self).__init__()

                                self.yang_name = "import"
                                self.yang_parent_name = "route-target"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.asn_ip = YLeaf(YType.str, "asn-ip")
                                self._segment_path = lambda: "import" + "[asn-ip='" + self.asn_ip.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv4.RouteTarget.Import_, ['asn_ip'], name, value)


                    class Bgp(Entity):
                        """
                        Commands pertaining to BGP
                        
                        .. attribute:: next_hop
                        
                        	Next\-hop for the routes of a VRF in the backbone
                        	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv4.Bgp.NextHop>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Vrf.Definition.AddressFamily.Ipv4.Bgp, self).__init__()

                            self.yang_name = "bgp"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"next-hop" : ("next_hop", Native.Vrf.Definition.AddressFamily.Ipv4.Bgp.NextHop)}
                            self._child_list_classes = {}

                            self.next_hop = Native.Vrf.Definition.AddressFamily.Ipv4.Bgp.NextHop()
                            self.next_hop.parent = self
                            self._children_name_map["next_hop"] = "next-hop"
                            self._children_yang_names.add("next-hop")
                            self._segment_path = lambda: "bgp"


                        class NextHop(Entity):
                            """
                            Next\-hop for the routes of a VRF in the backbone
                            
                            .. attribute:: loopback
                            
                            	Loopback interface number
                            	**type**\: int
                            
                            	**range:** 0..2147483647
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Vrf.Definition.AddressFamily.Ipv4.Bgp.NextHop, self).__init__()

                                self.yang_name = "next-hop"
                                self.yang_parent_name = "bgp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.loopback = YLeaf(YType.uint32, "Loopback")
                                self._segment_path = lambda: "next-hop"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv4.Bgp.NextHop, ['loopback'], name, value)


                    class Import_(Entity):
                        """
                        VRF import
                        
                        .. attribute:: map
                        
                        	Route\-map based VRF import
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Vrf.Definition.AddressFamily.Ipv4.Import_, self).__init__()

                            self.yang_name = "import"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.map = YLeaf(YType.str, "map")
                            self._segment_path = lambda: "import"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv4.Import_, ['map'], name, value)


                class Ipv6(Entity):
                    """
                    Address family
                    
                    .. attribute:: mdt
                    
                    	Backbone Multicast Distribution Tree
                    	**type**\:  :py:class:`Mdt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6.Mdt>`
                    
                    .. attribute:: route_target
                    
                    	Specify Target VPN Extended Communities
                    	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget>`
                    
                    .. attribute:: bgp
                    
                    	Commands pertaining to BGP
                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6.Bgp>`
                    
                    .. attribute:: import_
                    
                    	VRF import
                    	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6.Import_>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Vrf.Definition.AddressFamily.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "address-family"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mdt" : ("mdt", Native.Vrf.Definition.AddressFamily.Ipv6.Mdt), "route-target" : ("route_target", Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget), "bgp" : ("bgp", Native.Vrf.Definition.AddressFamily.Ipv6.Bgp), "import" : ("import_", Native.Vrf.Definition.AddressFamily.Ipv6.Import_)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.mdt = Native.Vrf.Definition.AddressFamily.Ipv6.Mdt()
                        self.mdt.parent = self
                        self._children_name_map["mdt"] = "mdt"
                        self._children_yang_names.add("mdt")

                        self.route_target = Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget()
                        self.route_target.parent = self
                        self._children_name_map["route_target"] = "route-target"
                        self._children_yang_names.add("route-target")

                        self.bgp = Native.Vrf.Definition.AddressFamily.Ipv6.Bgp()
                        self.bgp.parent = self
                        self._children_name_map["bgp"] = "bgp"
                        self._children_yang_names.add("bgp")

                        self.import_ = Native.Vrf.Definition.AddressFamily.Ipv6.Import_()
                        self.import_.parent = self
                        self._children_name_map["import_"] = "import"
                        self._children_yang_names.add("import")
                        self._segment_path = lambda: "ipv6"


                    class Mdt(Entity):
                        """
                        Backbone Multicast Distribution Tree
                        
                        .. attribute:: mtu
                        
                        	The MTU
                        	**type**\: int
                        
                        	**range:** 576..18010
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Vrf.Definition.AddressFamily.Ipv6.Mdt, self).__init__()

                            self.yang_name = "mdt"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.mtu = YLeaf(YType.uint16, "mtu")
                            self._segment_path = lambda: "mdt"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv6.Mdt, ['mtu'], name, value)


                    class RouteTarget(Entity):
                        """
                        Specify Target VPN Extended Communities
                        
                        .. attribute:: export
                        
                        	Export Target\-VPN community
                        	**type**\: list of  		 :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Export>`
                        
                        .. attribute:: import_
                        
                        	Import Target\-VPN community
                        	**type**\: list of  		 :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Import_>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget, self).__init__()

                            self.yang_name = "route-target"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"export" : ("export", Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Export), "import" : ("import_", Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Import_)}

                            self.export = YList(self)
                            self.import_ = YList(self)
                            self._segment_path = lambda: "route-target"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget, [], name, value)


                        class Export(Entity):
                            """
                            Export Target\-VPN community
                            
                            .. attribute:: asn_ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Export, self).__init__()

                                self.yang_name = "export"
                                self.yang_parent_name = "route-target"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.asn_ip = YLeaf(YType.str, "asn-ip")
                                self._segment_path = lambda: "export" + "[asn-ip='" + self.asn_ip.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Export, ['asn_ip'], name, value)


                        class Import_(Entity):
                            """
                            Import Target\-VPN community
                            
                            .. attribute:: asn_ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Import_, self).__init__()

                                self.yang_name = "import"
                                self.yang_parent_name = "route-target"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.asn_ip = YLeaf(YType.str, "asn-ip")
                                self._segment_path = lambda: "import" + "[asn-ip='" + self.asn_ip.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv6.RouteTarget.Import_, ['asn_ip'], name, value)


                    class Bgp(Entity):
                        """
                        Commands pertaining to BGP
                        
                        .. attribute:: next_hop
                        
                        	Next\-hop for the routes of a VRF in the backbone
                        	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Vrf.Definition.AddressFamily.Ipv6.Bgp, self).__init__()

                            self.yang_name = "bgp"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"next-hop" : ("next_hop", Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop)}
                            self._child_list_classes = {}

                            self.next_hop = Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop()
                            self.next_hop.parent = self
                            self._children_name_map["next_hop"] = "next-hop"
                            self._children_yang_names.add("next-hop")
                            self._segment_path = lambda: "bgp"


                        class NextHop(Entity):
                            """
                            Next\-hop for the routes of a VRF in the backbone
                            
                            .. attribute:: ipv4
                            
                            	Use ipv4 address of the Loopback
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	Use ipv6 address of the Loopback
                            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop.Ipv6>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop, self).__init__()

                                self.yang_name = "next-hop"
                                self.yang_parent_name = "bgp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipv4" : ("ipv4", Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop.Ipv4), "ipv6" : ("ipv6", Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop.Ipv6)}
                                self._child_list_classes = {}

                                self.ipv4 = Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop.Ipv4()
                                self.ipv4.parent = self
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")

                                self.ipv6 = Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop.Ipv6()
                                self.ipv6.parent = self
                                self._children_name_map["ipv6"] = "ipv6"
                                self._children_yang_names.add("ipv6")
                                self._segment_path = lambda: "next-hop"


                            class Ipv4(Entity):
                                """
                                Use ipv4 address of the Loopback
                                
                                .. attribute:: loopback
                                
                                	Loopback interface number
                                	**type**\: int
                                
                                	**range:** 0..2147483647
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "next-hop"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.loopback = YLeaf(YType.uint32, "Loopback")
                                    self._segment_path = lambda: "ipv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop.Ipv4, ['loopback'], name, value)


                            class Ipv6(Entity):
                                """
                                Use ipv6 address of the Loopback
                                
                                .. attribute:: loopback
                                
                                	Loopback interface number
                                	**type**\: int
                                
                                	**range:** 0..2147483647
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "next-hop"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.loopback = YLeaf(YType.uint32, "Loopback")
                                    self._segment_path = lambda: "ipv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv6.Bgp.NextHop.Ipv6, ['loopback'], name, value)


                    class Import_(Entity):
                        """
                        VRF import
                        
                        .. attribute:: map
                        
                        	Route\-map based VRF import
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Vrf.Definition.AddressFamily.Ipv6.Import_, self).__init__()

                            self.yang_name = "import"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.map = YLeaf(YType.str, "map")
                            self._segment_path = lambda: "import"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Vrf.Definition.AddressFamily.Ipv6.Import_, ['map'], name, value)


            class RouteTarget(Entity):
                """
                Specify Target VPN Extended Communities
                
                .. attribute:: export
                
                	Export Target\-VPN community
                	**type**\: list of  		 :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.RouteTarget.Export>`
                
                .. attribute:: import_
                
                	Import Target\-VPN community
                	**type**\: list of  		 :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vrf.Definition.RouteTarget.Import_>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Vrf.Definition.RouteTarget, self).__init__()

                    self.yang_name = "route-target"
                    self.yang_parent_name = "definition"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"export" : ("export", Native.Vrf.Definition.RouteTarget.Export), "import" : ("import_", Native.Vrf.Definition.RouteTarget.Import_)}

                    self.export = YList(self)
                    self.import_ = YList(self)
                    self._segment_path = lambda: "route-target"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Vrf.Definition.RouteTarget, [], name, value)


                class Export(Entity):
                    """
                    Export Target\-VPN community
                    
                    .. attribute:: asn_ip  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Vrf.Definition.RouteTarget.Export, self).__init__()

                        self.yang_name = "export"
                        self.yang_parent_name = "route-target"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.asn_ip = YLeaf(YType.str, "asn-ip")
                        self._segment_path = lambda: "export" + "[asn-ip='" + self.asn_ip.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Vrf.Definition.RouteTarget.Export, ['asn_ip'], name, value)


                class Import_(Entity):
                    """
                    Import Target\-VPN community
                    
                    .. attribute:: asn_ip  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Vrf.Definition.RouteTarget.Import_, self).__init__()

                        self.yang_name = "import"
                        self.yang_parent_name = "route-target"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.asn_ip = YLeaf(YType.str, "asn-ip")
                        self._segment_path = lambda: "import" + "[asn-ip='" + self.asn_ip.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Vrf.Definition.RouteTarget.Import_, ['asn_ip'], name, value)


    class Rmon(Entity):
        """
        Remote Monitoring
        
        .. attribute:: alarm
        
        	Configure an RMON alarm
        	**type**\: list of  		 :py:class:`Alarm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rmon.Alarm>`
        
        .. attribute:: event
        
        	Configure an RMON event
        	**type**\: list of  		 :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rmon.Event>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Rmon, self).__init__()

            self.yang_name = "rmon"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"alarm" : ("alarm", Native.Rmon.Alarm), "event" : ("event", Native.Rmon.Event)}

            self.alarm = YList(self)
            self.event = YList(self)
            self._segment_path = lambda: "rmon"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Rmon, [], name, value)


        class Alarm(Entity):
            """
            Configure an RMON alarm
            
            .. attribute:: number  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: mib_object
            
            	
            	**type**\: str
            
            .. attribute:: sample_interval
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: test_mode
            
            	
            	**type**\:  :py:class:`TestMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rmon.Alarm.TestMode>`
            
            .. attribute:: rising_threshold
            
            	Configure the rising threshold
            	**type**\: int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: rising_event
            
            	
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: falling_threshold
            
            	Configure the falling threshold
            	**type**\: int
            
            	**range:** \-2147483648..2147483647
            
            .. attribute:: falling_event
            
            	
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: owner
            
            	Specify an owner for the alarm
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Rmon.Alarm, self).__init__()

                self.yang_name = "alarm"
                self.yang_parent_name = "rmon"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.number = YLeaf(YType.uint16, "number")

                self.mib_object = YLeaf(YType.str, "mib-object")

                self.sample_interval = YLeaf(YType.uint32, "sample-interval")

                self.test_mode = YLeaf(YType.enumeration, "test-mode")

                self.rising_threshold = YLeaf(YType.int32, "rising-threshold")

                self.rising_event = YLeaf(YType.uint16, "rising-event")

                self.falling_threshold = YLeaf(YType.int32, "falling-threshold")

                self.falling_event = YLeaf(YType.uint16, "falling-event")

                self.owner = YLeaf(YType.str, "owner")
                self._segment_path = lambda: "alarm" + "[number='" + self.number.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/rmon/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Rmon.Alarm, ['number', 'mib_object', 'sample_interval', 'test_mode', 'rising_threshold', 'rising_event', 'falling_threshold', 'falling_event', 'owner'], name, value)

            class TestMode(Enum):
                """
                TestMode

                .. data:: absolute = 0

                .. data:: delta = 1

                """

                absolute = Enum.YLeaf(0, "absolute")

                delta = Enum.YLeaf(1, "delta")



        class Event(Entity):
            """
            Configure an RMON event
            
            .. attribute:: number  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: log
            
            	Generate RMON log when the event fires
            	**type**\:  :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rmon.Event.Log>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Rmon.Event, self).__init__()

                self.yang_name = "event"
                self.yang_parent_name = "rmon"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"log" : ("log", Native.Rmon.Event.Log)}
                self._child_list_classes = {}

                self.number = YLeaf(YType.uint16, "number")

                self.log = None
                self._children_name_map["log"] = "log"
                self._children_yang_names.add("log")
                self._segment_path = lambda: "event" + "[number='" + self.number.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/rmon/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Rmon.Event, ['number'], name, value)


            class Log(Entity):
                """
                Generate RMON log when the event fires
                
                .. attribute:: trap
                
                	Generate SNMP trap when the event fires
                	**type**\: str
                
                .. attribute:: description
                
                	Specify a description of the event
                	**type**\: str
                
                .. attribute:: owner
                
                	Specify an owner for the event
                	**type**\: str
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Rmon.Event.Log, self).__init__()

                    self.yang_name = "log"
                    self.yang_parent_name = "event"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.trap = YLeaf(YType.str, "trap")

                    self.description = YLeaf(YType.str, "description")

                    self.owner = YLeaf(YType.str, "owner")
                    self._segment_path = lambda: "log"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Rmon.Event.Log, ['trap', 'description', 'owner'], name, value)


    class Sampler(Entity):
        """
        Define a Sampler
        
        .. attribute:: name  <key>
        
        	
        	**type**\: str
        
        .. attribute:: description
        
        	Provide a description for this Sampler
        	**type**\: str
        
        .. attribute:: mode
        
        	Sampling mode
        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sampler.Mode>`
        
        .. attribute:: granularity
        
        	Specify sampler granularity
        	**type**\:  :py:class:`Granularity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sampler.Granularity>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Sampler, self).__init__()

            self.yang_name = "sampler"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-flow:mode" : ("mode", Native.Sampler.Mode), "Cisco-IOS-XE-flow:granularity" : ("granularity", Native.Sampler.Granularity)}
            self._child_list_classes = {}

            self.name = YLeaf(YType.str, "name")

            self.description = YLeaf(YType.str, "Cisco-IOS-XE-flow:description")

            self.mode = Native.Sampler.Mode()
            self.mode.parent = self
            self._children_name_map["mode"] = "mode"
            self._children_yang_names.add("mode")

            self.granularity = Native.Sampler.Granularity()
            self.granularity.parent = self
            self._children_name_map["granularity"] = "granularity"
            self._children_yang_names.add("granularity")
            self._segment_path = lambda: "sampler" + "[name='" + self.name.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Sampler, ['name', 'description'], name, value)


        class Mode(Entity):
            """
            Sampling mode
            
            .. attribute:: deterministic
            
            	Deterministic mode of sampling
            	**type**\:  :py:class:`Deterministic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sampler.Mode.Deterministic>`
            
            .. attribute:: hash
            
            	Hash mode of sampling
            	**type**\:  :py:class:`Hash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sampler.Mode.Hash>`
            
            .. attribute:: random
            
            	Random mode of sampling
            	**type**\:  :py:class:`Random <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sampler.Mode.Random>`
            
            

            """

            _prefix = 'ios-flow'
            _revision = '2017-04-19'

            def __init__(self):
                super(Native.Sampler.Mode, self).__init__()

                self.yang_name = "mode"
                self.yang_parent_name = "sampler"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"deterministic" : ("deterministic", Native.Sampler.Mode.Deterministic), "hash" : ("hash", Native.Sampler.Mode.Hash), "random" : ("random", Native.Sampler.Mode.Random)}
                self._child_list_classes = {}

                self.deterministic = Native.Sampler.Mode.Deterministic()
                self.deterministic.parent = self
                self._children_name_map["deterministic"] = "deterministic"
                self._children_yang_names.add("deterministic")

                self.hash = Native.Sampler.Mode.Hash()
                self.hash.parent = self
                self._children_name_map["hash"] = "hash"
                self._children_yang_names.add("hash")

                self.random = Native.Sampler.Mode.Random()
                self.random.parent = self
                self._children_name_map["random"] = "random"
                self._children_yang_names.add("random")
                self._segment_path = lambda: "Cisco-IOS-XE-flow:mode"


            class Deterministic(Entity):
                """
                Deterministic mode of sampling
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: out_of
                
                	Select M packets out of an N packet window
                	**type**\: int
                
                	**range:** 2..32768
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Sampler.Mode.Deterministic, self).__init__()

                    self.yang_name = "deterministic"
                    self.yang_parent_name = "mode"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint8, "number")

                    self.out_of = YLeaf(YType.uint16, "out-of")
                    self._segment_path = lambda: "deterministic"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Sampler.Mode.Deterministic, ['number', 'out_of'], name, value)


            class Hash(Entity):
                """
                Hash mode of sampling
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: out_of
                
                	Select 1 packets out of an N packets based on hash of ip\-id and udp / tcp checksum
                	**type**\: int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Sampler.Mode.Hash, self).__init__()

                    self.yang_name = "hash"
                    self.yang_parent_name = "mode"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint8, "number")

                    self.out_of = YLeaf(YType.uint16, "out-of")
                    self._segment_path = lambda: "hash"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Sampler.Mode.Hash, ['number', 'out_of'], name, value)


            class Random(Entity):
                """
                Random mode of sampling
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: out_of
                
                	Select M packets out of an N packet window
                	**type**\: int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Sampler.Mode.Random, self).__init__()

                    self.yang_name = "random"
                    self.yang_parent_name = "mode"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint8, "number")

                    self.out_of = YLeaf(YType.uint16, "out-of")
                    self._segment_path = lambda: "random"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Sampler.Mode.Random, ['number', 'out_of'], name, value)


        class Granularity(Entity):
            """
            Specify sampler granularity
            
            .. attribute:: connection
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: packet
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-flow'
            _revision = '2017-04-19'

            def __init__(self):
                super(Native.Sampler.Granularity, self).__init__()

                self.yang_name = "granularity"
                self.yang_parent_name = "sampler"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.connection = YLeaf(YType.empty, "connection")

                self.packet = YLeaf(YType.empty, "packet")
                self._segment_path = lambda: "Cisco-IOS-XE-flow:granularity"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Sampler.Granularity, ['connection', 'packet'], name, value)


    class Flow(Entity):
        """
        Global Flow configuration subcommands
        
        .. attribute:: record
        
        	Define a Flow Record
        	**type**\: list of  		 :py:class:`Record <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record>`
        
        .. attribute:: exporter
        
        	Define a Flow Exporter
        	**type**\: list of  		 :py:class:`Exporter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter>`
        
        .. attribute:: monitor
        
        	Define a Flow Monitor
        	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Flow, self).__init__()

            self.yang_name = "flow"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-flow:record" : ("record", Native.Flow.Record), "Cisco-IOS-XE-flow:exporter" : ("exporter", Native.Flow.Exporter), "Cisco-IOS-XE-flow:monitor" : ("monitor", Native.Flow.Monitor)}

            self.record = YList(self)
            self.exporter = YList(self)
            self.monitor = YList(self)
            self._segment_path = lambda: "flow"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Flow, [], name, value)


        class Record(Entity):
            """
            Define a Flow Record
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: type
            
            	Type of the Flow Record
            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Type>`
            
            .. attribute:: collect
            
            	Specify a non\-key field
            	**type**\:  :py:class:`Collect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect>`
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default>`
            
            .. attribute:: description
            
            	Provide a description for this Flow Record
            	**type**\: str
            
            .. attribute:: match
            
            	Specify a key field
            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match>`
            
            

            """

            _prefix = 'ios-flow'
            _revision = '2017-04-19'

            def __init__(self):
                super(Native.Flow.Record, self).__init__()

                self.yang_name = "record"
                self.yang_parent_name = "flow"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"collect" : ("collect", Native.Flow.Record.Collect), "default" : ("default", Native.Flow.Record.Default), "match" : ("match", Native.Flow.Record.Match)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.type = YLeaf(YType.enumeration, "type")

                self.description = YLeaf(YType.str, "description")

                self.collect = Native.Flow.Record.Collect()
                self.collect.parent = self
                self._children_name_map["collect"] = "collect"
                self._children_yang_names.add("collect")

                self.default = Native.Flow.Record.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.match = Native.Flow.Record.Match()
                self.match.parent = self
                self._children_name_map["match"] = "match"
                self._children_yang_names.add("match")
                self._segment_path = lambda: "Cisco-IOS-XE-flow:record" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/flow/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Flow.Record, ['name', 'type', 'description'], name, value)

            class Type(Enum):
                """
                Type

                Type of the Flow Record

                .. data:: performance_monitor = 0

                """

                performance_monitor = Enum.YLeaf(0, "performance-monitor")



            class Collect(Entity):
                """
                Specify a non\-key field
                
                .. attribute:: application
                
                	Application fields
                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application>`
                
                .. attribute:: connection
                
                	Connection fields
                	**type**\:  :py:class:`Connection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection>`
                
                .. attribute:: counter
                
                	Counter fields
                	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter>`
                
                .. attribute:: datalink
                
                	Datalink (layer2) fields
                	**type**\:  :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink>`
                
                .. attribute:: flow
                
                	Flow identifying fields
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Flow>`
                
                .. attribute:: interface
                
                	Interface fields
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Interface>`
                
                .. attribute:: ipv4
                
                	IPv4 fields
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4>`
                
                .. attribute:: ipv6
                
                	IPv6 fields
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6>`
                
                .. attribute:: metadata
                
                	Metadata fields
                	**type**\:  :py:class:`Metadata <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Metadata>`
                
                .. attribute:: monitor
                
                	monitor fields
                	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Monitor>`
                
                .. attribute:: mpls
                
                	MPLS fields
                	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls>`
                
                .. attribute:: network
                
                	network metrics
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Network>`
                
                .. attribute:: pfr
                
                	PfR metrics
                	**type**\:  :py:class:`Pfr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr>`
                
                .. attribute:: policy
                
                	policy fields
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Policy>`
                
                .. attribute:: routing
                
                	Routing attributes
                	**type**\:  :py:class:`Routing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing>`
                
                .. attribute:: services
                
                	Services fields
                	**type**\:  :py:class:`Services <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Services>`
                
                .. attribute:: timestamp
                
                	Timestamp fields
                	**type**\:  :py:class:`Timestamp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Timestamp>`
                
                .. attribute:: transport
                
                	Transport layer fields
                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Record.Collect, self).__init__()

                    self.yang_name = "collect"
                    self.yang_parent_name = "record"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"application" : ("application", Native.Flow.Record.Collect.Application), "connection" : ("connection", Native.Flow.Record.Collect.Connection), "counter" : ("counter", Native.Flow.Record.Collect.Counter), "datalink" : ("datalink", Native.Flow.Record.Collect.Datalink), "flow" : ("flow", Native.Flow.Record.Collect.Flow), "interface" : ("interface", Native.Flow.Record.Collect.Interface), "ipv4" : ("ipv4", Native.Flow.Record.Collect.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Collect.Ipv6), "metadata" : ("metadata", Native.Flow.Record.Collect.Metadata), "monitor" : ("monitor", Native.Flow.Record.Collect.Monitor), "mpls" : ("mpls", Native.Flow.Record.Collect.Mpls), "network" : ("network", Native.Flow.Record.Collect.Network), "pfr" : ("pfr", Native.Flow.Record.Collect.Pfr), "policy" : ("policy", Native.Flow.Record.Collect.Policy), "routing" : ("routing", Native.Flow.Record.Collect.Routing), "services" : ("services", Native.Flow.Record.Collect.Services), "timestamp" : ("timestamp", Native.Flow.Record.Collect.Timestamp), "transport" : ("transport", Native.Flow.Record.Collect.Transport)}
                    self._child_list_classes = {}

                    self.application = Native.Flow.Record.Collect.Application()
                    self.application.parent = self
                    self._children_name_map["application"] = "application"
                    self._children_yang_names.add("application")

                    self.connection = Native.Flow.Record.Collect.Connection()
                    self.connection.parent = self
                    self._children_name_map["connection"] = "connection"
                    self._children_yang_names.add("connection")

                    self.counter = Native.Flow.Record.Collect.Counter()
                    self.counter.parent = self
                    self._children_name_map["counter"] = "counter"
                    self._children_yang_names.add("counter")

                    self.datalink = Native.Flow.Record.Collect.Datalink()
                    self.datalink.parent = self
                    self._children_name_map["datalink"] = "datalink"
                    self._children_yang_names.add("datalink")

                    self.flow = Native.Flow.Record.Collect.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.interface = Native.Flow.Record.Collect.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.ipv4 = Native.Flow.Record.Collect.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")

                    self.ipv6 = Native.Flow.Record.Collect.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.metadata = Native.Flow.Record.Collect.Metadata()
                    self.metadata.parent = self
                    self._children_name_map["metadata"] = "metadata"
                    self._children_yang_names.add("metadata")

                    self.monitor = Native.Flow.Record.Collect.Monitor()
                    self.monitor.parent = self
                    self._children_name_map["monitor"] = "monitor"
                    self._children_yang_names.add("monitor")

                    self.mpls = Native.Flow.Record.Collect.Mpls()
                    self.mpls.parent = self
                    self._children_name_map["mpls"] = "mpls"
                    self._children_yang_names.add("mpls")

                    self.network = Native.Flow.Record.Collect.Network()
                    self.network.parent = self
                    self._children_name_map["network"] = "network"
                    self._children_yang_names.add("network")

                    self.pfr = Native.Flow.Record.Collect.Pfr()
                    self.pfr.parent = self
                    self._children_name_map["pfr"] = "pfr"
                    self._children_yang_names.add("pfr")

                    self.policy = Native.Flow.Record.Collect.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.routing = Native.Flow.Record.Collect.Routing()
                    self.routing.parent = self
                    self._children_name_map["routing"] = "routing"
                    self._children_yang_names.add("routing")

                    self.services = Native.Flow.Record.Collect.Services()
                    self.services.parent = self
                    self._children_name_map["services"] = "services"
                    self._children_yang_names.add("services")

                    self.timestamp = Native.Flow.Record.Collect.Timestamp()
                    self.timestamp.parent = self
                    self._children_name_map["timestamp"] = "timestamp"
                    self._children_yang_names.add("timestamp")

                    self.transport = Native.Flow.Record.Collect.Transport()
                    self.transport.parent = self
                    self._children_name_map["transport"] = "transport"
                    self._children_yang_names.add("transport")
                    self._segment_path = lambda: "collect"


                class Application(Entity):
                    """
                    Application fields
                    
                    .. attribute:: dns
                    
                    	Domain Name Server lookup
                    	**type**\:  :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Dns>`
                    
                    .. attribute:: http
                    
                    	World Wide Web traffic
                    	**type**\:  :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Http>`
                    
                    .. attribute:: media
                    
                    	Media fields
                    	**type**\:  :py:class:`Media <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media>`
                    
                    .. attribute:: name
                    
                    	Application name
                    	**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Name>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: nntp
                    
                    	Network news transfer protocol
                    	**type**\:  :py:class:`Nntp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Nntp>`
                    
                    .. attribute:: pop3
                    
                    	Post Office Protocol 3
                    	**type**\:  :py:class:`Pop3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Pop3>`
                    
                    .. attribute:: rtmp
                    
                    	Real Time Messaging Protocol
                    	**type**\:  :py:class:`Rtmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Rtmp>`
                    
                    .. attribute:: rtsp
                    
                    	Real Time Streaming Protocol
                    	**type**\:  :py:class:`Rtsp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Rtsp>`
                    
                    .. attribute:: sip
                    
                    	Session Initiation Protocol
                    	**type**\:  :py:class:`Sip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Sip>`
                    
                    .. attribute:: smtp
                    
                    	Simple Mail Transfer Protocol
                    	**type**\:  :py:class:`Smtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Smtp>`
                    
                    .. attribute:: ssl
                    
                    	Secure Socket Layer Protocol
                    	**type**\:  :py:class:`Ssl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Ssl>`
                    
                    .. attribute:: vendor
                    
                    	Application vendor id
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: version
                    
                    	Application version id
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Application, self).__init__()

                        self.yang_name = "application"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dns" : ("dns", Native.Flow.Record.Collect.Application.Dns), "http" : ("http", Native.Flow.Record.Collect.Application.Http), "media" : ("media", Native.Flow.Record.Collect.Application.Media), "name" : ("name", Native.Flow.Record.Collect.Application.Name), "nntp" : ("nntp", Native.Flow.Record.Collect.Application.Nntp), "pop3" : ("pop3", Native.Flow.Record.Collect.Application.Pop3), "rtmp" : ("rtmp", Native.Flow.Record.Collect.Application.Rtmp), "rtsp" : ("rtsp", Native.Flow.Record.Collect.Application.Rtsp), "sip" : ("sip", Native.Flow.Record.Collect.Application.Sip), "smtp" : ("smtp", Native.Flow.Record.Collect.Application.Smtp), "ssl" : ("ssl", Native.Flow.Record.Collect.Application.Ssl)}
                        self._child_list_classes = {}

                        self.vendor = YLeaf(YType.empty, "vendor")

                        self.version = YLeaf(YType.empty, "version")

                        self.dns = Native.Flow.Record.Collect.Application.Dns()
                        self.dns.parent = self
                        self._children_name_map["dns"] = "dns"
                        self._children_yang_names.add("dns")

                        self.http = Native.Flow.Record.Collect.Application.Http()
                        self.http.parent = self
                        self._children_name_map["http"] = "http"
                        self._children_yang_names.add("http")

                        self.media = Native.Flow.Record.Collect.Application.Media()
                        self.media.parent = self
                        self._children_name_map["media"] = "media"
                        self._children_yang_names.add("media")

                        self.name = None
                        self._children_name_map["name"] = "name"
                        self._children_yang_names.add("name")

                        self.nntp = Native.Flow.Record.Collect.Application.Nntp()
                        self.nntp.parent = self
                        self._children_name_map["nntp"] = "nntp"
                        self._children_yang_names.add("nntp")

                        self.pop3 = Native.Flow.Record.Collect.Application.Pop3()
                        self.pop3.parent = self
                        self._children_name_map["pop3"] = "pop3"
                        self._children_yang_names.add("pop3")

                        self.rtmp = Native.Flow.Record.Collect.Application.Rtmp()
                        self.rtmp.parent = self
                        self._children_name_map["rtmp"] = "rtmp"
                        self._children_yang_names.add("rtmp")

                        self.rtsp = Native.Flow.Record.Collect.Application.Rtsp()
                        self.rtsp.parent = self
                        self._children_name_map["rtsp"] = "rtsp"
                        self._children_yang_names.add("rtsp")

                        self.sip = Native.Flow.Record.Collect.Application.Sip()
                        self.sip.parent = self
                        self._children_name_map["sip"] = "sip"
                        self._children_yang_names.add("sip")

                        self.smtp = Native.Flow.Record.Collect.Application.Smtp()
                        self.smtp.parent = self
                        self._children_name_map["smtp"] = "smtp"
                        self._children_yang_names.add("smtp")

                        self.ssl = Native.Flow.Record.Collect.Application.Ssl()
                        self.ssl.parent = self
                        self._children_name_map["ssl"] = "ssl"
                        self._children_yang_names.add("ssl")
                        self._segment_path = lambda: "application"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Collect.Application, ['vendor', 'version'], name, value)


                    class Dns(Entity):
                        """
                        Domain Name Server lookup
                        
                        .. attribute:: domain_name
                        
                        	Domain name
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Application.Dns, self).__init__()

                            self.yang_name = "dns"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.domain_name = YLeaf(YType.empty, "domain-name")
                            self._segment_path = lambda: "dns"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Application.Dns, ['domain_name'], name, value)


                    class Http(Entity):
                        """
                        World Wide Web traffic
                        
                        .. attribute:: host
                        
                        	Host name of Origin Server containing resource
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: referer
                        
                        	Address the resource request was obtained from
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: uri
                        
                        	List of URIs and associated hit counts
                        	**type**\:  :py:class:`Uri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Http.Uri>`
                        
                        .. attribute:: url
                        
                        	Uniform Resource Locator path
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: user_agent
                        
                        	Software used by agent sending the request
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Application.Http, self).__init__()

                            self.yang_name = "http"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"uri" : ("uri", Native.Flow.Record.Collect.Application.Http.Uri)}
                            self._child_list_classes = {}

                            self.host = YLeaf(YType.empty, "host")

                            self.referer = YLeaf(YType.empty, "referer")

                            self.url = YLeaf(YType.empty, "url")

                            self.user_agent = YLeaf(YType.empty, "user-agent")

                            self.uri = Native.Flow.Record.Collect.Application.Http.Uri()
                            self.uri.parent = self
                            self._children_name_map["uri"] = "uri"
                            self._children_yang_names.add("uri")
                            self._segment_path = lambda: "http"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Application.Http, ['host', 'referer', 'url', 'user_agent'], name, value)


                        class Uri(Entity):
                            """
                            List of URIs and associated hit counts
                            
                            .. attribute:: statistics
                            
                            	Collect URI statistics
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Application.Http.Uri, self).__init__()

                                self.yang_name = "uri"
                                self.yang_parent_name = "http"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.statistics = YLeaf(YType.empty, "statistics")
                                self._segment_path = lambda: "uri"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Application.Http.Uri, ['statistics'], name, value)


                    class Media(Entity):
                        """
                        Media fields
                        
                        .. attribute:: bytes
                        
                        	Media fields
                        	**type**\:  :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Bytes>`
                        
                        .. attribute:: event
                        
                        	Flags indicating media events
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: packets
                        
                        	Media fields
                        	**type**\:  :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Packets>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Application.Media, self).__init__()

                            self.yang_name = "media"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bytes" : ("bytes", Native.Flow.Record.Collect.Application.Media.Bytes), "packets" : ("packets", Native.Flow.Record.Collect.Application.Media.Packets)}
                            self._child_list_classes = {}

                            self.event = YLeaf(YType.empty, "event")

                            self.bytes = Native.Flow.Record.Collect.Application.Media.Bytes()
                            self.bytes.parent = self
                            self._children_name_map["bytes"] = "bytes"
                            self._children_yang_names.add("bytes")

                            self.packets = Native.Flow.Record.Collect.Application.Media.Packets()
                            self.packets.parent = self
                            self._children_name_map["packets"] = "packets"
                            self._children_yang_names.add("packets")
                            self._segment_path = lambda: "media"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Application.Media, ['event'], name, value)


                        class Bytes(Entity):
                            """
                            Media fields
                            
                            .. attribute:: counter
                            
                            	A count of the number of bytes of media payload
                            	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Bytes.Counter>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: rate
                            
                            	Byte rate for the media stream
                            	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Bytes.Rate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Application.Media.Bytes, self).__init__()

                                self.yang_name = "bytes"
                                self.yang_parent_name = "media"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Collect.Application.Media.Bytes.Counter), "rate" : ("rate", Native.Flow.Record.Collect.Application.Media.Bytes.Rate)}
                                self._child_list_classes = {}

                                self.counter = None
                                self._children_name_map["counter"] = "counter"
                                self._children_yang_names.add("counter")

                                self.rate = None
                                self._children_name_map["rate"] = "rate"
                                self._children_yang_names.add("rate")
                                self._segment_path = lambda: "bytes"


                            class Counter(Entity):
                                """
                                A count of the number of bytes of media payload
                                
                                .. attribute:: long
                                
                                	A count of the number of bytes of media payload (64 bit counter)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Application.Media.Bytes.Counter, self).__init__()

                                    self.yang_name = "counter"
                                    self.yang_parent_name = "bytes"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.long = YLeaf(YType.empty, "long")
                                    self._segment_path = lambda: "counter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Application.Media.Bytes.Counter, ['long'], name, value)


                            class Rate(Entity):
                                """
                                Byte rate for the media stream
                                
                                .. attribute:: per_flow
                                
                                	Average media byte rate across flows
                                	**type**\:  :py:class:`PerFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Bytes.Rate.PerFlow>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Application.Media.Bytes.Rate, self).__init__()

                                    self.yang_name = "rate"
                                    self.yang_parent_name = "bytes"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"per-flow" : ("per_flow", Native.Flow.Record.Collect.Application.Media.Bytes.Rate.PerFlow)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.per_flow = None
                                    self._children_name_map["per_flow"] = "per-flow"
                                    self._children_yang_names.add("per-flow")
                                    self._segment_path = lambda: "rate"


                                class PerFlow(Entity):
                                    """
                                    Average media byte rate across flows
                                    
                                    .. attribute:: max
                                    
                                    	Maximum byte rate in the media stream
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minumun byte rate in the media stream
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Collect.Application.Media.Bytes.Rate.PerFlow, self).__init__()

                                        self.yang_name = "per-flow"
                                        self.yang_parent_name = "rate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.max = YLeaf(YType.empty, "max")

                                        self.min = YLeaf(YType.empty, "min")
                                        self._segment_path = lambda: "per-flow"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Collect.Application.Media.Bytes.Rate.PerFlow, ['max', 'min'], name, value)


                        class Packets(Entity):
                            """
                            Media fields
                            
                            .. attribute:: counter
                            
                            	A count of the number of packets with a media payload
                            	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Packets.Counter>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: rate
                            
                            	Packet rate for the media stream
                            	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Packets.Rate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Application.Media.Packets, self).__init__()

                                self.yang_name = "packets"
                                self.yang_parent_name = "media"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Collect.Application.Media.Packets.Counter), "rate" : ("rate", Native.Flow.Record.Collect.Application.Media.Packets.Rate)}
                                self._child_list_classes = {}

                                self.counter = None
                                self._children_name_map["counter"] = "counter"
                                self._children_yang_names.add("counter")

                                self.rate = None
                                self._children_name_map["rate"] = "rate"
                                self._children_yang_names.add("rate")
                                self._segment_path = lambda: "packets"


                            class Counter(Entity):
                                """
                                A count of the number of packets with a media payload
                                
                                .. attribute:: long
                                
                                	A count of the number of packets with a media payload (64 bit counter)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Application.Media.Packets.Counter, self).__init__()

                                    self.yang_name = "counter"
                                    self.yang_parent_name = "packets"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.long = YLeaf(YType.empty, "long")
                                    self._segment_path = lambda: "counter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Application.Media.Packets.Counter, ['long'], name, value)


                            class Rate(Entity):
                                """
                                Packet rate for the media stream
                                
                                .. attribute:: variation
                                
                                	Variation in packet rate from configured expected rate
                                	**type**\:  :py:class:`Variation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Application.Media.Packets.Rate.Variation>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Application.Media.Packets.Rate, self).__init__()

                                    self.yang_name = "rate"
                                    self.yang_parent_name = "packets"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"variation" : ("variation", Native.Flow.Record.Collect.Application.Media.Packets.Rate.Variation)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.variation = None
                                    self._children_name_map["variation"] = "variation"
                                    self._children_yang_names.add("variation")
                                    self._segment_path = lambda: "rate"


                                class Variation(Entity):
                                    """
                                    Variation in packet rate from configured expected rate
                                    
                                    .. attribute:: max
                                    
                                    	Max variation in packet rate from configured expected rate
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Variation in packet rate from configured expected rate
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sum
                                    
                                    	The sum of media rate variation from the configured rate for the RTP stream
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Collect.Application.Media.Packets.Rate.Variation, self).__init__()

                                        self.yang_name = "variation"
                                        self.yang_parent_name = "rate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.max = YLeaf(YType.empty, "max")

                                        self.min = YLeaf(YType.empty, "min")

                                        self.sum = YLeaf(YType.empty, "sum")
                                        self._segment_path = lambda: "variation"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Collect.Application.Media.Packets.Rate.Variation, ['max', 'min', 'sum'], name, value)


                    class Name(Entity):
                        """
                        Application name
                        
                        .. attribute:: account_on_resolution
                        
                        	Account on resolution
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Application.Name, self).__init__()

                            self.yang_name = "name"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.account_on_resolution = YLeaf(YType.empty, "account-on-resolution")
                            self._segment_path = lambda: "name"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Application.Name, ['account_on_resolution'], name, value)


                    class Nntp(Entity):
                        """
                        Network news transfer protocol
                        
                        .. attribute:: group_name
                        
                        	NNTP Group name
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Application.Nntp, self).__init__()

                            self.yang_name = "nntp"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.group_name = YLeaf(YType.empty, "group-name")
                            self._segment_path = lambda: "nntp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Application.Nntp, ['group_name'], name, value)


                    class Pop3(Entity):
                        """
                        Post Office Protocol 3
                        
                        .. attribute:: server
                        
                        	POP3 Server Name
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Application.Pop3, self).__init__()

                            self.yang_name = "pop3"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.server = YLeaf(YType.empty, "server")
                            self._segment_path = lambda: "pop3"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Application.Pop3, ['server'], name, value)


                    class Rtmp(Entity):
                        """
                        Real Time Messaging Protocol
                        
                        .. attribute:: pageurl
                        
                        	RTMP page url address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Application.Rtmp, self).__init__()

                            self.yang_name = "rtmp"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.pageurl = YLeaf(YType.empty, "pageUrl")
                            self._segment_path = lambda: "rtmp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Application.Rtmp, ['pageurl'], name, value)


                    class Rtsp(Entity):
                        """
                        Real Time Streaming Protocol
                        
                        .. attribute:: host
                        
                        	RTSP Host Name
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Application.Rtsp, self).__init__()

                            self.yang_name = "rtsp"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.host = YLeaf(YType.empty, "host")
                            self._segment_path = lambda: "rtsp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Application.Rtsp, ['host'], name, value)


                    class Sip(Entity):
                        """
                        Session Initiation Protocol
                        
                        .. attribute:: destination
                        
                        	The destination domain of SIP transactions
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source
                        
                        	The source domain of SIP transactions
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Application.Sip, self).__init__()

                            self.yang_name = "sip"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.destination = YLeaf(YType.empty, "destination")

                            self.source = YLeaf(YType.empty, "source")
                            self._segment_path = lambda: "sip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Application.Sip, ['destination', 'source'], name, value)


                    class Smtp(Entity):
                        """
                        Simple Mail Transfer Protocol
                        
                        .. attribute:: sender
                        
                        	SMTP Sender Mail Address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: server
                        
                        	SMTP Server Name
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Application.Smtp, self).__init__()

                            self.yang_name = "smtp"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sender = YLeaf(YType.empty, "sender")

                            self.server = YLeaf(YType.empty, "server")
                            self._segment_path = lambda: "smtp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Application.Smtp, ['sender', 'server'], name, value)


                    class Ssl(Entity):
                        """
                        Secure Socket Layer Protocol
                        
                        .. attribute:: common_name
                        
                        	Certificate Common Name (CN)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Application.Ssl, self).__init__()

                            self.yang_name = "ssl"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.common_name = YLeaf(YType.empty, "common-name")
                            self._segment_path = lambda: "ssl"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Application.Ssl, ['common_name'], name, value)


                class Connection(Entity):
                    """
                    Connection fields
                    
                    .. attribute:: client
                    
                    	Client side (flow initiator) related metrics
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client>`
                    
                    .. attribute:: delay
                    
                    	Connection delay metrics
                    	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay>`
                    
                    .. attribute:: id
                    
                    	An identifier for a connection between client and server
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: initiator
                    
                    	The direction of the flow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: new_connections
                    
                    	The number of connection initiations observed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: server
                    
                    	Server side (flow responder) related metrics
                    	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server>`
                    
                    .. attribute:: sum_duration
                    
                    	The overall time in seconds for all connections
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transaction
                    
                    	Transaction related metrics
                    	**type**\:  :py:class:`Transaction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Transaction>`
                    
                    .. attribute:: transaction_id
                    
                    	An identifier for a transaction between client and server
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Connection, self).__init__()

                        self.yang_name = "connection"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"client" : ("client", Native.Flow.Record.Collect.Connection.Client), "delay" : ("delay", Native.Flow.Record.Collect.Connection.Delay), "server" : ("server", Native.Flow.Record.Collect.Connection.Server), "transaction" : ("transaction", Native.Flow.Record.Collect.Connection.Transaction)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.empty, "id")

                        self.initiator = YLeaf(YType.empty, "initiator")

                        self.new_connections = YLeaf(YType.empty, "new-connections")

                        self.sum_duration = YLeaf(YType.empty, "sum-duration")

                        self.transaction_id = YLeaf(YType.empty, "transaction-id")

                        self.client = Native.Flow.Record.Collect.Connection.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.delay = Native.Flow.Record.Collect.Connection.Delay()
                        self.delay.parent = self
                        self._children_name_map["delay"] = "delay"
                        self._children_yang_names.add("delay")

                        self.server = Native.Flow.Record.Collect.Connection.Server()
                        self.server.parent = self
                        self._children_name_map["server"] = "server"
                        self._children_yang_names.add("server")

                        self.transaction = Native.Flow.Record.Collect.Connection.Transaction()
                        self.transaction.parent = self
                        self._children_name_map["transaction"] = "transaction"
                        self._children_yang_names.add("transaction")
                        self._segment_path = lambda: "connection"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Collect.Connection, ['id', 'initiator', 'new_connections', 'sum_duration', 'transaction_id'], name, value)


                    class Client(Entity):
                        """
                        Client side (flow initiator) related metrics
                        
                        .. attribute:: all
                        
                        	All non\-key client metrics
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: counter
                        
                        	Client side counter metrics
                        	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Counter>`
                        
                        .. attribute:: ipv4
                        
                        	Client side IPv4 metrics
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	Client side IPv6 metrics
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Ipv6>`
                        
                        .. attribute:: transport
                        
                        	Client side transport metrics
                        	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Transport>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Connection.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "connection"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Collect.Connection.Client.Counter), "ipv4" : ("ipv4", Native.Flow.Record.Collect.Connection.Client.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Collect.Connection.Client.Ipv6), "transport" : ("transport", Native.Flow.Record.Collect.Connection.Client.Transport)}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.empty, "all")

                            self.counter = Native.Flow.Record.Collect.Connection.Client.Counter()
                            self.counter.parent = self
                            self._children_name_map["counter"] = "counter"
                            self._children_yang_names.add("counter")

                            self.ipv4 = Native.Flow.Record.Collect.Connection.Client.Ipv4()
                            self.ipv4.parent = self
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv6 = Native.Flow.Record.Collect.Connection.Client.Ipv6()
                            self.ipv6.parent = self
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")

                            self.transport = Native.Flow.Record.Collect.Connection.Client.Transport()
                            self.transport.parent = self
                            self._children_name_map["transport"] = "transport"
                            self._children_yang_names.add("transport")
                            self._segment_path = lambda: "client"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Connection.Client, ['all'], name, value)


                        class Counter(Entity):
                            """
                            Client side counter metrics
                            
                            .. attribute:: bytes
                            
                            	Number of bytes sent by the client
                            	**type**\:  :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Counter.Bytes>`
                            
                            .. attribute:: packets
                            
                            	Number of packets sent by the client
                            	**type**\:  :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Counter.Packets>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Connection.Client.Counter, self).__init__()

                                self.yang_name = "counter"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bytes" : ("bytes", Native.Flow.Record.Collect.Connection.Client.Counter.Bytes), "packets" : ("packets", Native.Flow.Record.Collect.Connection.Client.Counter.Packets)}
                                self._child_list_classes = {}

                                self.bytes = Native.Flow.Record.Collect.Connection.Client.Counter.Bytes()
                                self.bytes.parent = self
                                self._children_name_map["bytes"] = "bytes"
                                self._children_yang_names.add("bytes")

                                self.packets = Native.Flow.Record.Collect.Connection.Client.Counter.Packets()
                                self.packets.parent = self
                                self._children_name_map["packets"] = "packets"
                                self._children_yang_names.add("packets")
                                self._segment_path = lambda: "counter"


                            class Bytes(Entity):
                                """
                                Number of bytes sent by the client
                                
                                .. attribute:: long
                                
                                	64 bits counter
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: network
                                
                                	Number of bytes sent by the client
                                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Network>`
                                
                                .. attribute:: retransmitted
                                
                                	Number of bytes retransmitted by the client
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: transport
                                
                                	Number of bytes sent by the client
                                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Transport>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Connection.Client.Counter.Bytes, self).__init__()

                                    self.yang_name = "bytes"
                                    self.yang_parent_name = "counter"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"network" : ("network", Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Network), "transport" : ("transport", Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Transport)}
                                    self._child_list_classes = {}

                                    self.long = YLeaf(YType.empty, "long")

                                    self.retransmitted = YLeaf(YType.empty, "retransmitted")

                                    self.network = Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Network()
                                    self.network.parent = self
                                    self._children_name_map["network"] = "network"
                                    self._children_yang_names.add("network")

                                    self.transport = Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Transport()
                                    self.transport.parent = self
                                    self._children_name_map["transport"] = "transport"
                                    self._children_yang_names.add("transport")
                                    self._segment_path = lambda: "bytes"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Connection.Client.Counter.Bytes, ['long', 'retransmitted'], name, value)


                                class Network(Entity):
                                    """
                                    Number of bytes sent by the client
                                    
                                    .. attribute:: long
                                    
                                    	Total number of bytes transmitted by the client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "bytes"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.long = YLeaf(YType.empty, "long")
                                        self._segment_path = lambda: "network"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Network, ['long'], name, value)


                                class Transport(Entity):
                                    """
                                    Number of bytes sent by the client
                                    
                                    .. attribute:: long
                                    
                                    	64 bit counter
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Transport, self).__init__()

                                        self.yang_name = "transport"
                                        self.yang_parent_name = "bytes"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.long = YLeaf(YType.empty, "long")
                                        self._segment_path = lambda: "transport"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Collect.Connection.Client.Counter.Bytes.Transport, ['long'], name, value)


                            class Packets(Entity):
                                """
                                Number of packets sent by the client
                                
                                .. attribute:: long
                                
                                	64 bits counter
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: retransmitted
                                
                                	Number of packets retransmitted by the client
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Connection.Client.Counter.Packets, self).__init__()

                                    self.yang_name = "packets"
                                    self.yang_parent_name = "counter"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.long = YLeaf(YType.empty, "long")

                                    self.retransmitted = YLeaf(YType.empty, "retransmitted")
                                    self._segment_path = lambda: "packets"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Connection.Client.Counter.Packets, ['long', 'retransmitted'], name, value)


                        class Ipv4(Entity):
                            """
                            Client side IPv4 metrics
                            
                            .. attribute:: address
                            
                            	IPv4 address of the flow initiator
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Connection.Client.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")
                                self._segment_path = lambda: "ipv4"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Connection.Client.Ipv4, ['address'], name, value)


                        class Ipv6(Entity):
                            """
                            Client side IPv6 metrics
                            
                            .. attribute:: address
                            
                            	IPv6 address of the flow initiator
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Connection.Client.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Connection.Client.Ipv6, ['address'], name, value)


                        class Transport(Entity):
                            """
                            Client side transport metrics
                            
                            .. attribute:: port
                            
                            	Transport port of the flow initiator
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Connection.Client.Transport, self).__init__()

                                self.yang_name = "transport"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port = YLeaf(YType.empty, "port")
                                self._segment_path = lambda: "transport"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Connection.Client.Transport, ['port'], name, value)


                    class Delay(Entity):
                        """
                        Connection delay metrics
                        
                        .. attribute:: all
                        
                        	All non\-key client metrics
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: application
                        
                        	Application time metrics
                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Application>`
                        
                        .. attribute:: network
                        
                        	Network time metrics
                        	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network>`
                        
                        .. attribute:: response
                        
                        	Response time metrics
                        	**type**\:  :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Response>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Connection.Delay, self).__init__()

                            self.yang_name = "delay"
                            self.yang_parent_name = "connection"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"application" : ("application", Native.Flow.Record.Collect.Connection.Delay.Application), "network" : ("network", Native.Flow.Record.Collect.Connection.Delay.Network), "response" : ("response", Native.Flow.Record.Collect.Connection.Delay.Response)}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.empty, "all")

                            self.application = Native.Flow.Record.Collect.Connection.Delay.Application()
                            self.application.parent = self
                            self._children_name_map["application"] = "application"
                            self._children_yang_names.add("application")

                            self.network = Native.Flow.Record.Collect.Connection.Delay.Network()
                            self.network.parent = self
                            self._children_name_map["network"] = "network"
                            self._children_yang_names.add("network")

                            self.response = Native.Flow.Record.Collect.Connection.Delay.Response()
                            self.response.parent = self
                            self._children_name_map["response"] = "response"
                            self._children_yang_names.add("response")
                            self._segment_path = lambda: "delay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Connection.Delay, ['all'], name, value)


                        class Application(Entity):
                            """
                            Application time metrics
                            
                            .. attribute:: max
                            
                            	Maximum application response time
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: min
                            
                            	Minimum application response time
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	Total application response time
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Connection.Delay.Application, self).__init__()

                                self.yang_name = "application"
                                self.yang_parent_name = "delay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max = YLeaf(YType.empty, "max")

                                self.min = YLeaf(YType.empty, "min")

                                self.sum = YLeaf(YType.empty, "sum")
                                self._segment_path = lambda: "application"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Connection.Delay.Application, ['max', 'min', 'sum'], name, value)


                        class Network(Entity):
                            """
                            Network time metrics
                            
                            .. attribute:: client_to_server
                            
                            	RTT between the client and the server
                            	**type**\:  :py:class:`ClientToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.ClientToServer>`
                            
                            .. attribute:: long_lived
                            
                            	Long\-lived network delay metrics
                            	**type**\:  :py:class:`LongLived <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.LongLived>`
                            
                            .. attribute:: to_client
                            
                            	RTT from observation point to the client
                            	**type**\:  :py:class:`ToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.ToClient>`
                            
                            .. attribute:: to_server
                            
                            	RTT from observation point to the server
                            	**type**\:  :py:class:`ToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.ToServer>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Connection.Delay.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "delay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"client-to-server" : ("client_to_server", Native.Flow.Record.Collect.Connection.Delay.Network.ClientToServer), "long-lived" : ("long_lived", Native.Flow.Record.Collect.Connection.Delay.Network.LongLived), "to-client" : ("to_client", Native.Flow.Record.Collect.Connection.Delay.Network.ToClient), "to-server" : ("to_server", Native.Flow.Record.Collect.Connection.Delay.Network.ToServer)}
                                self._child_list_classes = {}

                                self.client_to_server = Native.Flow.Record.Collect.Connection.Delay.Network.ClientToServer()
                                self.client_to_server.parent = self
                                self._children_name_map["client_to_server"] = "client-to-server"
                                self._children_yang_names.add("client-to-server")

                                self.long_lived = Native.Flow.Record.Collect.Connection.Delay.Network.LongLived()
                                self.long_lived.parent = self
                                self._children_name_map["long_lived"] = "long-lived"
                                self._children_yang_names.add("long-lived")

                                self.to_client = Native.Flow.Record.Collect.Connection.Delay.Network.ToClient()
                                self.to_client.parent = self
                                self._children_name_map["to_client"] = "to-client"
                                self._children_yang_names.add("to-client")

                                self.to_server = Native.Flow.Record.Collect.Connection.Delay.Network.ToServer()
                                self.to_server.parent = self
                                self._children_name_map["to_server"] = "to-server"
                                self._children_yang_names.add("to-server")
                                self._segment_path = lambda: "network"


                            class ClientToServer(Entity):
                                """
                                RTT between the client and the server
                                
                                .. attribute:: max
                                
                                	Maximum network time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum network time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: num_samples
                                
                                	The number of CSND samples
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total network time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Connection.Delay.Network.ClientToServer, self).__init__()

                                    self.yang_name = "client-to-server"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.empty, "max")

                                    self.min = YLeaf(YType.empty, "min")

                                    self.num_samples = YLeaf(YType.empty, "num-samples")

                                    self.sum = YLeaf(YType.empty, "sum")
                                    self._segment_path = lambda: "client-to-server"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Connection.Delay.Network.ClientToServer, ['max', 'min', 'num_samples', 'sum'], name, value)


                            class LongLived(Entity):
                                """
                                Long\-lived network delay metrics
                                
                                .. attribute:: client_to_serve
                                
                                	Long\-lived network delay client\-to\-server metrics
                                	**type**\:  :py:class:`ClientToServe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ClientToServe>`
                                
                                .. attribute:: to_client
                                
                                	Long\-lived network delay to\-client metrics
                                	**type**\:  :py:class:`ToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToClient>`
                                
                                .. attribute:: to_serve
                                
                                	Long\-lived network delay to\-server metrics
                                	**type**\:  :py:class:`ToServe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToServe>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Connection.Delay.Network.LongLived, self).__init__()

                                    self.yang_name = "long-lived"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"client-to-serve" : ("client_to_serve", Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ClientToServe), "to-client" : ("to_client", Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToClient), "to-serve" : ("to_serve", Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToServe)}
                                    self._child_list_classes = {}

                                    self.client_to_serve = Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ClientToServe()
                                    self.client_to_serve.parent = self
                                    self._children_name_map["client_to_serve"] = "client-to-serve"
                                    self._children_yang_names.add("client-to-serve")

                                    self.to_client = Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToClient()
                                    self.to_client.parent = self
                                    self._children_name_map["to_client"] = "to-client"
                                    self._children_yang_names.add("to-client")

                                    self.to_serve = Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToServe()
                                    self.to_serve.parent = self
                                    self._children_name_map["to_serve"] = "to-serve"
                                    self._children_yang_names.add("to-serve")
                                    self._segment_path = lambda: "long-lived"


                                class ClientToServe(Entity):
                                    """
                                    Long\-lived network delay client\-to\-server metrics
                                    
                                    .. attribute:: sum
                                    
                                    	Total network time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ClientToServe, self).__init__()

                                        self.yang_name = "client-to-serve"
                                        self.yang_parent_name = "long-lived"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.sum = YLeaf(YType.empty, "sum")
                                        self._segment_path = lambda: "client-to-serve"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ClientToServe, ['sum'], name, value)


                                class ToClient(Entity):
                                    """
                                    Long\-lived network delay to\-client metrics
                                    
                                    .. attribute:: sum
                                    
                                    	Total network time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToClient, self).__init__()

                                        self.yang_name = "to-client"
                                        self.yang_parent_name = "long-lived"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.sum = YLeaf(YType.empty, "sum")
                                        self._segment_path = lambda: "to-client"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToClient, ['sum'], name, value)


                                class ToServe(Entity):
                                    """
                                    Long\-lived network delay to\-server metrics
                                    
                                    .. attribute:: sum
                                    
                                    	Total network time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToServe, self).__init__()

                                        self.yang_name = "to-serve"
                                        self.yang_parent_name = "long-lived"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.sum = YLeaf(YType.empty, "sum")
                                        self._segment_path = lambda: "to-serve"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Collect.Connection.Delay.Network.LongLived.ToServe, ['sum'], name, value)


                            class ToClient(Entity):
                                """
                                RTT from observation point to the client
                                
                                .. attribute:: max
                                
                                	Maximum network time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum network time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: num_samples
                                
                                	The number of CND samples
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total network time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Connection.Delay.Network.ToClient, self).__init__()

                                    self.yang_name = "to-client"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.empty, "max")

                                    self.min = YLeaf(YType.empty, "min")

                                    self.num_samples = YLeaf(YType.empty, "num-samples")

                                    self.sum = YLeaf(YType.empty, "sum")
                                    self._segment_path = lambda: "to-client"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Connection.Delay.Network.ToClient, ['max', 'min', 'num_samples', 'sum'], name, value)


                            class ToServer(Entity):
                                """
                                RTT from observation point to the server
                                
                                .. attribute:: max
                                
                                	Maximum network time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum network time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: num_samples
                                
                                	The number of SND samples
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total network time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Connection.Delay.Network.ToServer, self).__init__()

                                    self.yang_name = "to-server"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.empty, "max")

                                    self.min = YLeaf(YType.empty, "min")

                                    self.num_samples = YLeaf(YType.empty, "num-samples")

                                    self.sum = YLeaf(YType.empty, "sum")
                                    self._segment_path = lambda: "to-server"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Connection.Delay.Network.ToServer, ['max', 'min', 'num_samples', 'sum'], name, value)


                        class Response(Entity):
                            """
                            Response time metrics
                            
                            .. attribute:: client_to_server
                            
                            	Response time as seen by the client
                            	**type**\:  :py:class:`ClientToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Response.ClientToServer>`
                            
                            .. attribute:: to_server
                            
                            	Response time as seen from observation point
                            	**type**\:  :py:class:`ToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Delay.Response.ToServer>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Connection.Delay.Response, self).__init__()

                                self.yang_name = "response"
                                self.yang_parent_name = "delay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"client-to-server" : ("client_to_server", Native.Flow.Record.Collect.Connection.Delay.Response.ClientToServer), "to-server" : ("to_server", Native.Flow.Record.Collect.Connection.Delay.Response.ToServer)}
                                self._child_list_classes = {}

                                self.client_to_server = Native.Flow.Record.Collect.Connection.Delay.Response.ClientToServer()
                                self.client_to_server.parent = self
                                self._children_name_map["client_to_server"] = "client-to-server"
                                self._children_yang_names.add("client-to-server")

                                self.to_server = Native.Flow.Record.Collect.Connection.Delay.Response.ToServer()
                                self.to_server.parent = self
                                self._children_name_map["to_server"] = "to-server"
                                self._children_yang_names.add("to-server")
                                self._segment_path = lambda: "response"


                            class ClientToServer(Entity):
                                """
                                Response time as seen by the client
                                
                                .. attribute:: max
                                
                                	Maximum response time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum response time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total response time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Connection.Delay.Response.ClientToServer, self).__init__()

                                    self.yang_name = "client-to-server"
                                    self.yang_parent_name = "response"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.empty, "max")

                                    self.min = YLeaf(YType.empty, "min")

                                    self.sum = YLeaf(YType.empty, "sum")
                                    self._segment_path = lambda: "client-to-server"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Connection.Delay.Response.ClientToServer, ['max', 'min', 'sum'], name, value)


                            class ToServer(Entity):
                                """
                                Response time as seen from observation point
                                
                                .. attribute:: histogram
                                
                                	Histogram for response time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max
                                
                                	Maximum response time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum response time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total response time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Connection.Delay.Response.ToServer, self).__init__()

                                    self.yang_name = "to-server"
                                    self.yang_parent_name = "response"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.histogram = YLeaf(YType.empty, "histogram")

                                    self.max = YLeaf(YType.empty, "max")

                                    self.min = YLeaf(YType.empty, "min")

                                    self.sum = YLeaf(YType.empty, "sum")
                                    self._segment_path = lambda: "to-server"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Connection.Delay.Response.ToServer, ['histogram', 'max', 'min', 'sum'], name, value)


                    class Server(Entity):
                        """
                        Server side (flow responder) related metrics
                        
                        .. attribute:: all
                        
                        	All non\-key server metrics
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: counter
                        
                        	Server side counter metrics
                        	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Counter>`
                        
                        .. attribute:: ipv4
                        
                        	Server side IPv4 metrics
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	Server side IPv6 metrics
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Ipv6>`
                        
                        .. attribute:: transport
                        
                        	Server side transport metrics
                        	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Transport>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Connection.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "connection"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Collect.Connection.Server.Counter), "ipv4" : ("ipv4", Native.Flow.Record.Collect.Connection.Server.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Collect.Connection.Server.Ipv6), "transport" : ("transport", Native.Flow.Record.Collect.Connection.Server.Transport)}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.empty, "all")

                            self.counter = Native.Flow.Record.Collect.Connection.Server.Counter()
                            self.counter.parent = self
                            self._children_name_map["counter"] = "counter"
                            self._children_yang_names.add("counter")

                            self.ipv4 = Native.Flow.Record.Collect.Connection.Server.Ipv4()
                            self.ipv4.parent = self
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv6 = Native.Flow.Record.Collect.Connection.Server.Ipv6()
                            self.ipv6.parent = self
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")

                            self.transport = Native.Flow.Record.Collect.Connection.Server.Transport()
                            self.transport.parent = self
                            self._children_name_map["transport"] = "transport"
                            self._children_yang_names.add("transport")
                            self._segment_path = lambda: "server"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Connection.Server, ['all'], name, value)


                        class Counter(Entity):
                            """
                            Server side counter metrics
                            
                            .. attribute:: bytes
                            
                            	Number of bytes sent by the server
                            	**type**\:  :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Counter.Bytes>`
                            
                            .. attribute:: packets
                            
                            	Number of packets sent by the server
                            	**type**\:  :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Counter.Packets>`
                            
                            .. attribute:: responses
                            
                            	Number of responses sent by the server
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Connection.Server.Counter, self).__init__()

                                self.yang_name = "counter"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bytes" : ("bytes", Native.Flow.Record.Collect.Connection.Server.Counter.Bytes), "packets" : ("packets", Native.Flow.Record.Collect.Connection.Server.Counter.Packets)}
                                self._child_list_classes = {}

                                self.responses = YLeaf(YType.empty, "responses")

                                self.bytes = Native.Flow.Record.Collect.Connection.Server.Counter.Bytes()
                                self.bytes.parent = self
                                self._children_name_map["bytes"] = "bytes"
                                self._children_yang_names.add("bytes")

                                self.packets = Native.Flow.Record.Collect.Connection.Server.Counter.Packets()
                                self.packets.parent = self
                                self._children_name_map["packets"] = "packets"
                                self._children_yang_names.add("packets")
                                self._segment_path = lambda: "counter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Connection.Server.Counter, ['responses'], name, value)


                            class Bytes(Entity):
                                """
                                Number of bytes sent by the server
                                
                                .. attribute:: long
                                
                                	64 bits counter
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: network
                                
                                	Number of bytes sent by the server
                                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Network>`
                                
                                .. attribute:: retransmitted
                                
                                	Number of bytes retransmitted by the server
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: transport
                                
                                	Number of bytes sent by the server
                                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Transport>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Connection.Server.Counter.Bytes, self).__init__()

                                    self.yang_name = "bytes"
                                    self.yang_parent_name = "counter"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"network" : ("network", Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Network), "transport" : ("transport", Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Transport)}
                                    self._child_list_classes = {}

                                    self.long = YLeaf(YType.empty, "long")

                                    self.retransmitted = YLeaf(YType.empty, "retransmitted")

                                    self.network = Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Network()
                                    self.network.parent = self
                                    self._children_name_map["network"] = "network"
                                    self._children_yang_names.add("network")

                                    self.transport = Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Transport()
                                    self.transport.parent = self
                                    self._children_name_map["transport"] = "transport"
                                    self._children_yang_names.add("transport")
                                    self._segment_path = lambda: "bytes"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Connection.Server.Counter.Bytes, ['long', 'retransmitted'], name, value)


                                class Network(Entity):
                                    """
                                    Number of bytes sent by the server
                                    
                                    .. attribute:: long
                                    
                                    	Total number of bytes transmitted by the server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "bytes"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.long = YLeaf(YType.empty, "long")
                                        self._segment_path = lambda: "network"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Network, ['long'], name, value)


                                class Transport(Entity):
                                    """
                                    Number of bytes sent by the server
                                    
                                    .. attribute:: long
                                    
                                    	64 bit counter
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Transport, self).__init__()

                                        self.yang_name = "transport"
                                        self.yang_parent_name = "bytes"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.long = YLeaf(YType.empty, "long")
                                        self._segment_path = lambda: "transport"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Collect.Connection.Server.Counter.Bytes.Transport, ['long'], name, value)


                            class Packets(Entity):
                                """
                                Number of packets sent by the server
                                
                                .. attribute:: long
                                
                                	64 bits counter
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: retransmitted
                                
                                	Number of packets retransmitted by the server
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Connection.Server.Counter.Packets, self).__init__()

                                    self.yang_name = "packets"
                                    self.yang_parent_name = "counter"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.long = YLeaf(YType.empty, "long")

                                    self.retransmitted = YLeaf(YType.empty, "retransmitted")
                                    self._segment_path = lambda: "packets"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Connection.Server.Counter.Packets, ['long', 'retransmitted'], name, value)


                        class Ipv4(Entity):
                            """
                            Server side IPv4 metrics
                            
                            .. attribute:: address
                            
                            	IPv4 address of the flow responder
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Connection.Server.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")
                                self._segment_path = lambda: "ipv4"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Connection.Server.Ipv4, ['address'], name, value)


                        class Ipv6(Entity):
                            """
                            Server side IPv6 metrics
                            
                            .. attribute:: address
                            
                            	IPv6 address of the flow responder
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Connection.Server.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Connection.Server.Ipv6, ['address'], name, value)


                        class Transport(Entity):
                            """
                            Server side transport metrics
                            
                            .. attribute:: port
                            
                            	Transport port of the flow responder
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Connection.Server.Transport, self).__init__()

                                self.yang_name = "transport"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port = YLeaf(YType.empty, "port")
                                self._segment_path = lambda: "transport"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Connection.Server.Transport, ['port'], name, value)


                    class Transaction(Entity):
                        """
                        Transaction related metrics
                        
                        .. attribute:: all
                        
                        	All non\-key transaction metrics
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: counter
                        
                        	Transaction counter metrics
                        	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Transaction.Counter>`
                        
                        .. attribute:: duration
                        
                        	Transaction duration metrics
                        	**type**\:  :py:class:`Duration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Connection.Transaction.Duration>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Connection.Transaction, self).__init__()

                            self.yang_name = "transaction"
                            self.yang_parent_name = "connection"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Collect.Connection.Transaction.Counter), "duration" : ("duration", Native.Flow.Record.Collect.Connection.Transaction.Duration)}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.empty, "all")

                            self.counter = Native.Flow.Record.Collect.Connection.Transaction.Counter()
                            self.counter.parent = self
                            self._children_name_map["counter"] = "counter"
                            self._children_yang_names.add("counter")

                            self.duration = Native.Flow.Record.Collect.Connection.Transaction.Duration()
                            self.duration.parent = self
                            self._children_name_map["duration"] = "duration"
                            self._children_yang_names.add("duration")
                            self._segment_path = lambda: "transaction"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Connection.Transaction, ['all'], name, value)


                        class Counter(Entity):
                            """
                            Transaction counter metrics
                            
                            .. attribute:: complete
                            
                            	Number of completed transactions
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Connection.Transaction.Counter, self).__init__()

                                self.yang_name = "counter"
                                self.yang_parent_name = "transaction"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.complete = YLeaf(YType.empty, "complete")
                                self._segment_path = lambda: "counter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Connection.Transaction.Counter, ['complete'], name, value)


                        class Duration(Entity):
                            """
                            Transaction duration metrics
                            
                            .. attribute:: max
                            
                            	Maximum transaction time
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: min
                            
                            	Minimum transaction time
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	Total transaction time
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Connection.Transaction.Duration, self).__init__()

                                self.yang_name = "duration"
                                self.yang_parent_name = "transaction"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max = YLeaf(YType.empty, "max")

                                self.min = YLeaf(YType.empty, "min")

                                self.sum = YLeaf(YType.empty, "sum")
                                self._segment_path = lambda: "duration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Connection.Transaction.Duration, ['max', 'min', 'sum'], name, value)


                class Counter(Entity):
                    """
                    Counter fields
                    
                    .. attribute:: bytes
                    
                    	Total number of bytes
                    	**type**\:  :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Bytes>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flows
                    
                    	Total number of flows
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: packets
                    
                    	Total number of packets
                    	**type**\:  :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Packets>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Counter, self).__init__()

                        self.yang_name = "counter"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bytes" : ("bytes", Native.Flow.Record.Collect.Counter.Bytes), "packets" : ("packets", Native.Flow.Record.Collect.Counter.Packets)}
                        self._child_list_classes = {}

                        self.flows = YLeaf(YType.empty, "flows")

                        self.bytes = None
                        self._children_name_map["bytes"] = "bytes"
                        self._children_yang_names.add("bytes")

                        self.packets = None
                        self._children_name_map["packets"] = "packets"
                        self._children_yang_names.add("packets")
                        self._segment_path = lambda: "counter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Collect.Counter, ['flows'], name, value)


                    class Bytes(Entity):
                        """
                        Total number of bytes
                        
                        .. attribute:: long
                        
                        	Total number of bytes (64 bit counter)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rate
                        
                        	Byte rate for the flow
                        	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Bytes.Rate>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: squared
                        
                        	Total of the square of the number of bytes
                        	**type**\:  :py:class:`Squared <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Bytes.Squared>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Counter.Bytes, self).__init__()

                            self.yang_name = "bytes"
                            self.yang_parent_name = "counter"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rate" : ("rate", Native.Flow.Record.Collect.Counter.Bytes.Rate), "squared" : ("squared", Native.Flow.Record.Collect.Counter.Bytes.Squared)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.long = YLeaf(YType.empty, "long")

                            self.rate = None
                            self._children_name_map["rate"] = "rate"
                            self._children_yang_names.add("rate")

                            self.squared = Native.Flow.Record.Collect.Counter.Bytes.Squared()
                            self.squared.parent = self
                            self._children_name_map["squared"] = "squared"
                            self._children_yang_names.add("squared")
                            self._segment_path = lambda: "bytes"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Counter.Bytes, ['long'], name, value)


                        class Rate(Entity):
                            """
                            Byte rate for the flow
                            
                            .. attribute:: per_flow
                            
                            	Average byte rate for the flow
                            	**type**\:  :py:class:`PerFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Bytes.Rate.PerFlow>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Counter.Bytes.Rate, self).__init__()

                                self.yang_name = "rate"
                                self.yang_parent_name = "bytes"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"per-flow" : ("per_flow", Native.Flow.Record.Collect.Counter.Bytes.Rate.PerFlow)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.per_flow = None
                                self._children_name_map["per_flow"] = "per-flow"
                                self._children_yang_names.add("per-flow")
                                self._segment_path = lambda: "rate"


                            class PerFlow(Entity):
                                """
                                Average byte rate for the flow
                                
                                .. attribute:: max
                                
                                	Maximum byte rate among the aggregated flows
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum byte rate among the aggregated flows
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Counter.Bytes.Rate.PerFlow, self).__init__()

                                    self.yang_name = "per-flow"
                                    self.yang_parent_name = "rate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max = YLeaf(YType.empty, "max")

                                    self.min = YLeaf(YType.empty, "min")
                                    self._segment_path = lambda: "per-flow"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Counter.Bytes.Rate.PerFlow, ['max', 'min'], name, value)


                        class Squared(Entity):
                            """
                            Total of the square of the number of bytes
                            
                            .. attribute:: long
                            
                            	Total of the square of the packet length in bytes (64 bit counter)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Counter.Bytes.Squared, self).__init__()

                                self.yang_name = "squared"
                                self.yang_parent_name = "bytes"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.long = YLeaf(YType.empty, "long")
                                self._segment_path = lambda: "squared"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Counter.Bytes.Squared, ['long'], name, value)


                    class Packets(Entity):
                        """
                        Total number of packets
                        
                        .. attribute:: dropped
                        
                        	Dropped packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: long
                        
                        	Total number of packets (64 bit counter)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rate
                        
                        	Packet rate for the flow
                        	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Packets.Rate>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Counter.Packets, self).__init__()

                            self.yang_name = "packets"
                            self.yang_parent_name = "counter"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rate" : ("rate", Native.Flow.Record.Collect.Counter.Packets.Rate)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.dropped = YLeaf(YType.empty, "dropped")

                            self.long = YLeaf(YType.empty, "long")

                            self.rate = None
                            self._children_name_map["rate"] = "rate"
                            self._children_yang_names.add("rate")
                            self._segment_path = lambda: "packets"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Counter.Packets, ['dropped', 'long'], name, value)


                        class Rate(Entity):
                            """
                            Packet rate for the flow
                            
                            .. attribute:: per_flow
                            
                            	Average packet rate for aggregated flows
                            	**type**\:  :py:class:`PerFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Counter.Packets.Rate.PerFlow>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Counter.Packets.Rate, self).__init__()

                                self.yang_name = "rate"
                                self.yang_parent_name = "packets"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"per-flow" : ("per_flow", Native.Flow.Record.Collect.Counter.Packets.Rate.PerFlow)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.per_flow = None
                                self._children_name_map["per_flow"] = "per-flow"
                                self._children_yang_names.add("per-flow")
                                self._segment_path = lambda: "rate"


                            class PerFlow(Entity):
                                """
                                Average packet rate for aggregated flows
                                
                                .. attribute:: max
                                
                                	Maximum packet rate in the aggregated flows
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum packet rate in the aggregated flows
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Counter.Packets.Rate.PerFlow, self).__init__()

                                    self.yang_name = "per-flow"
                                    self.yang_parent_name = "rate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max = YLeaf(YType.empty, "max")

                                    self.min = YLeaf(YType.empty, "min")
                                    self._segment_path = lambda: "per-flow"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Counter.Packets.Rate.PerFlow, ['max', 'min'], name, value)


                class Datalink(Entity):
                    """
                    Datalink (layer2) fields
                    
                    .. attribute:: destination_vlan_id
                    
                    	ID of the VLAN that the packet is going to
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dot1q
                    
                    	dot1q field
                    	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Dot1Q>`
                    
                    .. attribute:: ethertype
                    
                    	The Ethertype of the packet
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mac
                    
                    	MAC fields
                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Mac>`
                    
                    .. attribute:: source_vlan_id
                    
                    	ID of the VLAN that the packet came from
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Datalink, self).__init__()

                        self.yang_name = "datalink"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dot1q" : ("dot1q", Native.Flow.Record.Collect.Datalink.Dot1Q), "mac" : ("mac", Native.Flow.Record.Collect.Datalink.Mac)}
                        self._child_list_classes = {}

                        self.destination_vlan_id = YLeaf(YType.empty, "destination-vlan-id")

                        self.ethertype = YLeaf(YType.empty, "ethertype")

                        self.source_vlan_id = YLeaf(YType.empty, "source-vlan-id")

                        self.dot1q = Native.Flow.Record.Collect.Datalink.Dot1Q()
                        self.dot1q.parent = self
                        self._children_name_map["dot1q"] = "dot1q"
                        self._children_yang_names.add("dot1q")

                        self.mac = Native.Flow.Record.Collect.Datalink.Mac()
                        self.mac.parent = self
                        self._children_name_map["mac"] = "mac"
                        self._children_yang_names.add("mac")
                        self._segment_path = lambda: "datalink"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Collect.Datalink, ['destination_vlan_id', 'ethertype', 'source_vlan_id'], name, value)


                    class Dot1Q(Entity):
                        """
                        dot1q field
                        
                        .. attribute:: priority
                        
                        	The CoS field out of the dot1q header
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	The VLAN the packet is on
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Dot1Q.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Datalink.Dot1Q, self).__init__()

                            self.yang_name = "dot1q"
                            self.yang_parent_name = "datalink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Flow.Record.Collect.Datalink.Dot1Q.Vlan)}
                            self._child_list_classes = {}

                            self.priority = YLeaf(YType.empty, "priority")

                            self.vlan = Native.Flow.Record.Collect.Datalink.Dot1Q.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "dot1q"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Datalink.Dot1Q, ['priority'], name, value)


                        class Vlan(Entity):
                            """
                            The VLAN the packet is on
                            
                            .. attribute:: input
                            
                            	The VLAN the packet is on at input
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: output
                            
                            	The VLAN the packet is on at output
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Datalink.Dot1Q.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "dot1q"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.input = YLeaf(YType.empty, "input")

                                self.output = YLeaf(YType.empty, "output")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Datalink.Dot1Q.Vlan, ['input', 'output'], name, value)


                    class Mac(Entity):
                        """
                        MAC fields
                        
                        .. attribute:: destination
                        
                        	destination MAC fields
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Mac.Destination>`
                        
                        .. attribute:: source
                        
                        	source MAC fields
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Mac.Source>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Datalink.Mac, self).__init__()

                            self.yang_name = "mac"
                            self.yang_parent_name = "datalink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Collect.Datalink.Mac.Destination), "source" : ("source", Native.Flow.Record.Collect.Datalink.Mac.Source)}
                            self._child_list_classes = {}

                            self.destination = Native.Flow.Record.Collect.Datalink.Mac.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.source = Native.Flow.Record.Collect.Datalink.Mac.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "mac"


                        class Destination(Entity):
                            """
                            destination MAC fields
                            
                            .. attribute:: address
                            
                            	Destination MAC address from packet
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Mac.Destination.Address>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Datalink.Mac.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "mac"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Flow.Record.Collect.Datalink.Mac.Destination.Address)}
                                self._child_list_classes = {}

                                self.address = Native.Flow.Record.Collect.Datalink.Mac.Destination.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")
                                self._segment_path = lambda: "destination"


                            class Address(Entity):
                                """
                                Destination MAC address from packet
                                
                                .. attribute:: input
                                
                                	Destination MAC address from packet at input
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: output
                                
                                	Destination MAC address from packet at output
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Datalink.Mac.Destination.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.input = YLeaf(YType.empty, "input")

                                    self.output = YLeaf(YType.empty, "output")
                                    self._segment_path = lambda: "address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Datalink.Mac.Destination.Address, ['input', 'output'], name, value)


                        class Source(Entity):
                            """
                            source MAC fields
                            
                            .. attribute:: address
                            
                            	Source MAC address from packet
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Datalink.Mac.Source.Address>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Datalink.Mac.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "mac"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Flow.Record.Collect.Datalink.Mac.Source.Address)}
                                self._child_list_classes = {}

                                self.address = Native.Flow.Record.Collect.Datalink.Mac.Source.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")
                                self._segment_path = lambda: "source"


                            class Address(Entity):
                                """
                                Source MAC address from packet
                                
                                .. attribute:: input
                                
                                	Source MAC address from packet at input
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: output
                                
                                	Source MAC address from packet at output
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Datalink.Mac.Source.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.input = YLeaf(YType.empty, "input")

                                    self.output = YLeaf(YType.empty, "output")
                                    self._segment_path = lambda: "address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Datalink.Mac.Source.Address, ['input', 'output'], name, value)


                class Flow(Entity):
                    """
                    Flow identifying fields
                    
                    .. attribute:: cts
                    
                    	Cisco Trusted Security fields
                    	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Flow.Cts>`
                    
                    .. attribute:: direction
                    
                    	Direction the flow was monitored in
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: observation
                    
                    	Flow observation metrics
                    	**type**\:  :py:class:`Observation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Flow.Observation>`
                    
                    .. attribute:: sampler
                    
                    	ID of the sampler
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: end_reason
                    
                    	The reason for a flow ending
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"cts" : ("cts", Native.Flow.Record.Collect.Flow.Cts), "observation" : ("observation", Native.Flow.Record.Collect.Flow.Observation)}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.empty, "direction")

                        self.sampler = YLeaf(YType.empty, "sampler")

                        self.end_reason = YLeaf(YType.empty, "end-reason")

                        self.cts = Native.Flow.Record.Collect.Flow.Cts()
                        self.cts.parent = self
                        self._children_name_map["cts"] = "cts"
                        self._children_yang_names.add("cts")

                        self.observation = Native.Flow.Record.Collect.Flow.Observation()
                        self.observation.parent = self
                        self._children_name_map["observation"] = "observation"
                        self._children_yang_names.add("observation")
                        self._segment_path = lambda: "flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Collect.Flow, ['direction', 'sampler', 'end_reason'], name, value)


                    class Cts(Entity):
                        """
                        Cisco Trusted Security fields
                        
                        .. attribute:: destination
                        
                        	Cisco Trusted Security destination fields
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Flow.Cts.Destination>`
                        
                        .. attribute:: source
                        
                        	Cisco Trusted Security source fields
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Flow.Cts.Source>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Flow.Cts, self).__init__()

                            self.yang_name = "cts"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Collect.Flow.Cts.Destination), "source" : ("source", Native.Flow.Record.Collect.Flow.Cts.Source)}
                            self._child_list_classes = {}

                            self.destination = Native.Flow.Record.Collect.Flow.Cts.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.source = Native.Flow.Record.Collect.Flow.Cts.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "cts"


                        class Destination(Entity):
                            """
                            Cisco Trusted Security destination fields
                            
                            .. attribute:: group_tag
                            
                            	destination group\-tag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Flow.Cts.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "cts"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group_tag = YLeaf(YType.empty, "group-tag")
                                self._segment_path = lambda: "destination"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Flow.Cts.Destination, ['group_tag'], name, value)


                        class Source(Entity):
                            """
                            Cisco Trusted Security source fields
                            
                            .. attribute:: group_tag
                            
                            	source group\-tag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Flow.Cts.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "cts"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group_tag = YLeaf(YType.empty, "group-tag")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Flow.Cts.Source, ['group_tag'], name, value)


                    class Observation(Entity):
                        """
                        Flow observation metrics
                        
                        .. attribute:: point
                        
                        	Observation point ID
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Flow.Observation, self).__init__()

                            self.yang_name = "observation"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.point = YLeaf(YType.empty, "point")
                            self._segment_path = lambda: "observation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Flow.Observation, ['point'], name, value)


                class Interface(Entity):
                    """
                    Interface fields
                    
                    .. attribute:: input
                    
                    	The input interface
                    	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Interface.Input>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: output
                    
                    	The output interface
                    	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Interface.Output>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"input" : ("input", Native.Flow.Record.Collect.Interface.Input), "output" : ("output", Native.Flow.Record.Collect.Interface.Output)}
                        self._child_list_classes = {}

                        self.input = None
                        self._children_name_map["input"] = "input"
                        self._children_yang_names.add("input")

                        self.output = None
                        self._children_name_map["output"] = "output"
                        self._children_yang_names.add("output")
                        self._segment_path = lambda: "interface"


                    class Input(Entity):
                        """
                        The input interface
                        
                        .. attribute:: snmp
                        
                        	SNMP Index of the input interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Interface.Input, self).__init__()

                            self.yang_name = "input"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.snmp = YLeaf(YType.empty, "snmp")
                            self._segment_path = lambda: "input"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Interface.Input, ['snmp'], name, value)


                    class Output(Entity):
                        """
                        The output interface
                        
                        .. attribute:: snmp
                        
                        	SNMP Index of the output interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Interface.Output, self).__init__()

                            self.yang_name = "output"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.snmp = YLeaf(YType.empty, "snmp")
                            self._segment_path = lambda: "output"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Interface.Output, ['snmp'], name, value)


                class Ipv4(Entity):
                    """
                    IPv4 fields
                    
                    .. attribute:: destination
                    
                    	IPv4 destination address based fields
                    	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Destination>`
                    
                    .. attribute:: dscp
                    
                    	IPv4 DSCP (part of TOS)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fragmentation
                    
                    	IPv4 fragmentation fields
                    	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Fragmentation>`
                    
                    .. attribute:: header_length
                    
                    	IPv4 header length (IHL in 32 bit words)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: id
                    
                    	IPv4 ID
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: length
                    
                    	IPv4 length fields
                    	**type**\:  :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Length>`
                    
                    .. attribute:: option
                    
                    	IPv4 option fields
                    	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Option>`
                    
                    .. attribute:: precedence
                    
                    	IPv4 precedence (part of TOS)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protocol
                    
                    	IPv4 protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: section
                    
                    	Part of the packet
                    	**type**\:  :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Section>`
                    
                    .. attribute:: source
                    
                    	IPv4 source address based fields
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Source>`
                    
                    .. attribute:: tos
                    
                    	IPv4 type of service
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: total_length
                    
                    	IPv4 total length
                    	**type**\:  :py:class:`TotalLength <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.TotalLength>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ttl
                    
                    	IPv4 TTL
                    	**type**\:  :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Ttl>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: version
                    
                    	IP version from IPv4 header
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Collect.Ipv4.Destination), "fragmentation" : ("fragmentation", Native.Flow.Record.Collect.Ipv4.Fragmentation), "length" : ("length", Native.Flow.Record.Collect.Ipv4.Length), "option" : ("option", Native.Flow.Record.Collect.Ipv4.Option), "section" : ("section", Native.Flow.Record.Collect.Ipv4.Section), "source" : ("source", Native.Flow.Record.Collect.Ipv4.Source), "total-length" : ("total_length", Native.Flow.Record.Collect.Ipv4.TotalLength), "ttl" : ("ttl", Native.Flow.Record.Collect.Ipv4.Ttl)}
                        self._child_list_classes = {}

                        self.dscp = YLeaf(YType.empty, "dscp")

                        self.header_length = YLeaf(YType.empty, "header-length")

                        self.id = YLeaf(YType.empty, "id")

                        self.precedence = YLeaf(YType.empty, "precedence")

                        self.protocol = YLeaf(YType.empty, "protocol")

                        self.tos = YLeaf(YType.empty, "tos")

                        self.version = YLeaf(YType.empty, "version")

                        self.destination = Native.Flow.Record.Collect.Ipv4.Destination()
                        self.destination.parent = self
                        self._children_name_map["destination"] = "destination"
                        self._children_yang_names.add("destination")

                        self.fragmentation = Native.Flow.Record.Collect.Ipv4.Fragmentation()
                        self.fragmentation.parent = self
                        self._children_name_map["fragmentation"] = "fragmentation"
                        self._children_yang_names.add("fragmentation")

                        self.length = Native.Flow.Record.Collect.Ipv4.Length()
                        self.length.parent = self
                        self._children_name_map["length"] = "length"
                        self._children_yang_names.add("length")

                        self.option = Native.Flow.Record.Collect.Ipv4.Option()
                        self.option.parent = self
                        self._children_name_map["option"] = "option"
                        self._children_yang_names.add("option")

                        self.section = Native.Flow.Record.Collect.Ipv4.Section()
                        self.section.parent = self
                        self._children_name_map["section"] = "section"
                        self._children_yang_names.add("section")

                        self.source = Native.Flow.Record.Collect.Ipv4.Source()
                        self.source.parent = self
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.total_length = None
                        self._children_name_map["total_length"] = "total-length"
                        self._children_yang_names.add("total-length")

                        self.ttl = None
                        self._children_name_map["ttl"] = "ttl"
                        self._children_yang_names.add("ttl")
                        self._segment_path = lambda: "ipv4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Collect.Ipv4, ['dscp', 'header_length', 'id', 'precedence', 'protocol', 'tos', 'version'], name, value)


                    class Destination(Entity):
                        """
                        IPv4 destination address based fields
                        
                        .. attribute:: address
                        
                        	IPv4 destination address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv4 address mask for the IPv4 destination address
                        	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Destination.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv4 address prefix for the IPv4 destination address
                        	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Destination.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv4.Destination, self).__init__()

                            self.yang_name = "destination"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Collect.Ipv4.Destination.Mask), "prefix" : ("prefix", Native.Flow.Record.Collect.Ipv4.Destination.Prefix)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.empty, "address")

                            self.mask = None
                            self._children_name_map["mask"] = "mask"
                            self._children_yang_names.add("mask")

                            self.prefix = None
                            self._children_name_map["prefix"] = "prefix"
                            self._children_yang_names.add("prefix")
                            self._segment_path = lambda: "destination"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Ipv4.Destination, ['address'], name, value)


                        class Mask(Entity):
                            """
                            IPv4 address mask for the IPv4 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv4.Destination.Mask, self).__init__()

                                self.yang_name = "mask"
                                self.yang_parent_name = "destination"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "mask"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv4.Destination.Mask, ['minimum_mask'], name, value)


                        class Prefix(Entity):
                            """
                            IPv4 address prefix for the IPv4 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv4.Destination.Prefix, self).__init__()

                                self.yang_name = "prefix"
                                self.yang_parent_name = "destination"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv4.Destination.Prefix, ['minimum_mask'], name, value)


                    class Fragmentation(Entity):
                        """
                        IPv4 fragmentation fields
                        
                        .. attribute:: flags
                        
                        	IPv4 fragmentation flags
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: offset
                        
                        	IPv4 fragmentation offset
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv4.Fragmentation, self).__init__()

                            self.yang_name = "fragmentation"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.flags = YLeaf(YType.empty, "flags")

                            self.offset = YLeaf(YType.empty, "offset")
                            self._segment_path = lambda: "fragmentation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Ipv4.Fragmentation, ['flags', 'offset'], name, value)


                    class Length(Entity):
                        """
                        IPv4 length fields
                        
                        .. attribute:: header
                        
                        	Length of the IPv4 header in bytes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload
                        
                        	Length of the IPv4 payload in bytes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: total
                        
                        	Total length of the IPv4 header and payload in bytes
                        	**type**\:  :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Length.Total>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv4.Length, self).__init__()

                            self.yang_name = "length"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"total" : ("total", Native.Flow.Record.Collect.Ipv4.Length.Total)}
                            self._child_list_classes = {}

                            self.header = YLeaf(YType.empty, "header")

                            self.payload = YLeaf(YType.empty, "payload")

                            self.total = None
                            self._children_name_map["total"] = "total"
                            self._children_yang_names.add("total")
                            self._segment_path = lambda: "length"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Ipv4.Length, ['header', 'payload'], name, value)


                        class Total(Entity):
                            """
                            Total length of the IPv4 header and payload in bytes
                            
                            .. attribute:: maximum
                            
                            	Maximum total length in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Minimum total length in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv4.Length.Total, self).__init__()

                                self.yang_name = "total"
                                self.yang_parent_name = "length"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum = YLeaf(YType.empty, "maximum")

                                self.minimum = YLeaf(YType.empty, "minimum")
                                self._segment_path = lambda: "total"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv4.Length.Total, ['maximum', 'minimum'], name, value)


                    class Option(Entity):
                        """
                        IPv4 option fields
                        
                        .. attribute:: map
                        
                        	Bitmap of IPv4 options
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv4.Option, self).__init__()

                            self.yang_name = "option"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.map = YLeaf(YType.empty, "map")
                            self._segment_path = lambda: "option"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Ipv4.Option, ['map'], name, value)


                    class Section(Entity):
                        """
                        Part of the packet
                        
                        .. attribute:: header
                        
                        	Raw data starting at the IPv4 header
                        	**type**\:  :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Section.Header>`
                        
                        .. attribute:: payload
                        
                        	Raw data starting at the IPv4 payload
                        	**type**\:  :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Section.Payload>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv4.Section, self).__init__()

                            self.yang_name = "section"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"header" : ("header", Native.Flow.Record.Collect.Ipv4.Section.Header), "payload" : ("payload", Native.Flow.Record.Collect.Ipv4.Section.Payload)}
                            self._child_list_classes = {}

                            self.header = Native.Flow.Record.Collect.Ipv4.Section.Header()
                            self.header.parent = self
                            self._children_name_map["header"] = "header"
                            self._children_yang_names.add("header")

                            self.payload = Native.Flow.Record.Collect.Ipv4.Section.Payload()
                            self.payload.parent = self
                            self._children_name_map["payload"] = "payload"
                            self._children_yang_names.add("payload")
                            self._segment_path = lambda: "section"


                        class Header(Entity):
                            """
                            Raw data starting at the IPv4 header
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\: int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv4.Section.Header, self).__init__()

                                self.yang_name = "header"
                                self.yang_parent_name = "section"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.size = YLeaf(YType.uint16, "size")
                                self._segment_path = lambda: "header"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv4.Section.Header, ['size'], name, value)


                        class Payload(Entity):
                            """
                            Raw data starting at the IPv4 payload
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\: int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv4.Section.Payload, self).__init__()

                                self.yang_name = "payload"
                                self.yang_parent_name = "section"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.size = YLeaf(YType.uint16, "size")
                                self._segment_path = lambda: "payload"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv4.Section.Payload, ['size'], name, value)


                    class Source(Entity):
                        """
                        IPv4 source address based fields
                        
                        .. attribute:: address
                        
                        	IPv4 source address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv4 address mask for the IPv4 source address
                        	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Source.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv4 address prefix for the IPv4 source address
                        	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv4.Source.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv4.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Collect.Ipv4.Source.Mask), "prefix" : ("prefix", Native.Flow.Record.Collect.Ipv4.Source.Prefix)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.empty, "address")

                            self.mask = None
                            self._children_name_map["mask"] = "mask"
                            self._children_yang_names.add("mask")

                            self.prefix = None
                            self._children_name_map["prefix"] = "prefix"
                            self._children_yang_names.add("prefix")
                            self._segment_path = lambda: "source"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Ipv4.Source, ['address'], name, value)


                        class Mask(Entity):
                            """
                            IPv4 address mask for the IPv4 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv4.Source.Mask, self).__init__()

                                self.yang_name = "mask"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "mask"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv4.Source.Mask, ['minimum_mask'], name, value)


                        class Prefix(Entity):
                            """
                            IPv4 address prefix for the IPv4 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv4.Source.Prefix, self).__init__()

                                self.yang_name = "prefix"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv4.Source.Prefix, ['minimum_mask'], name, value)


                    class TotalLength(Entity):
                        """
                        IPv4 total length
                        
                        .. attribute:: maximum
                        
                        	Largest value for IPv4 length seen in the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: minimum
                        
                        	Smallest value for IPv4 length seen in the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv4.TotalLength, self).__init__()

                            self.yang_name = "total-length"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.maximum = YLeaf(YType.empty, "maximum")

                            self.minimum = YLeaf(YType.empty, "minimum")
                            self._segment_path = lambda: "total-length"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Ipv4.TotalLength, ['maximum', 'minimum'], name, value)


                    class Ttl(Entity):
                        """
                        IPv4 TTL
                        
                        .. attribute:: maximum
                        
                        	Largest value seen for TTL in the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: minimum
                        
                        	Smallest value seen for TTL in the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv4.Ttl, self).__init__()

                            self.yang_name = "ttl"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.maximum = YLeaf(YType.empty, "maximum")

                            self.minimum = YLeaf(YType.empty, "minimum")
                            self._segment_path = lambda: "ttl"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Ipv4.Ttl, ['maximum', 'minimum'], name, value)


                class Ipv6(Entity):
                    """
                    IPv6 fields
                    
                    .. attribute:: destination
                    
                    	IPv6 destination address based fields
                    	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Destination>`
                    
                    .. attribute:: dscp
                    
                    	IPv6 DSCP (part of Traffic Class)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: extension
                    
                    	IPv6 extension header fields
                    	**type**\:  :py:class:`Extension <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Extension>`
                    
                    .. attribute:: flow_label
                    
                    	IPv6 flow label
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fragmentation
                    
                    	IPv6 fragmentation fields
                    	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Fragmentation>`
                    
                    .. attribute:: hop_limit
                    
                    	IPv6 hop limit
                    	**type**\:  :py:class:`HopLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.HopLimit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: length
                    
                    	IPv6 length fields
                    	**type**\:  :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Length>`
                    
                    .. attribute:: next_header
                    
                    	The value of the next\-header field in the IPv6 header
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: payload_length
                    
                    	Length of the IPv6 payload in bytes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: precedence
                    
                    	IPv6 precedence (part of Traffic Class)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protocol
                    
                    	IPv6 payload protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: section
                    
                    	Part of the packet
                    	**type**\:  :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Section>`
                    
                    .. attribute:: source
                    
                    	IPv6 source address based fields
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Source>`
                    
                    .. attribute:: traffic_class
                    
                    	IPv6 traffic class
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: version
                    
                    	IP version from IPv6 header
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Collect.Ipv6.Destination), "extension" : ("extension", Native.Flow.Record.Collect.Ipv6.Extension), "fragmentation" : ("fragmentation", Native.Flow.Record.Collect.Ipv6.Fragmentation), "hop-limit" : ("hop_limit", Native.Flow.Record.Collect.Ipv6.HopLimit), "length" : ("length", Native.Flow.Record.Collect.Ipv6.Length), "section" : ("section", Native.Flow.Record.Collect.Ipv6.Section), "source" : ("source", Native.Flow.Record.Collect.Ipv6.Source)}
                        self._child_list_classes = {}

                        self.dscp = YLeaf(YType.empty, "dscp")

                        self.flow_label = YLeaf(YType.empty, "flow-label")

                        self.next_header = YLeaf(YType.empty, "next-header")

                        self.payload_length = YLeaf(YType.empty, "payload-length")

                        self.precedence = YLeaf(YType.empty, "precedence")

                        self.protocol = YLeaf(YType.empty, "protocol")

                        self.traffic_class = YLeaf(YType.empty, "traffic-class")

                        self.version = YLeaf(YType.empty, "version")

                        self.destination = Native.Flow.Record.Collect.Ipv6.Destination()
                        self.destination.parent = self
                        self._children_name_map["destination"] = "destination"
                        self._children_yang_names.add("destination")

                        self.extension = Native.Flow.Record.Collect.Ipv6.Extension()
                        self.extension.parent = self
                        self._children_name_map["extension"] = "extension"
                        self._children_yang_names.add("extension")

                        self.fragmentation = Native.Flow.Record.Collect.Ipv6.Fragmentation()
                        self.fragmentation.parent = self
                        self._children_name_map["fragmentation"] = "fragmentation"
                        self._children_yang_names.add("fragmentation")

                        self.hop_limit = None
                        self._children_name_map["hop_limit"] = "hop-limit"
                        self._children_yang_names.add("hop-limit")

                        self.length = Native.Flow.Record.Collect.Ipv6.Length()
                        self.length.parent = self
                        self._children_name_map["length"] = "length"
                        self._children_yang_names.add("length")

                        self.section = Native.Flow.Record.Collect.Ipv6.Section()
                        self.section.parent = self
                        self._children_name_map["section"] = "section"
                        self._children_yang_names.add("section")

                        self.source = Native.Flow.Record.Collect.Ipv6.Source()
                        self.source.parent = self
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")
                        self._segment_path = lambda: "ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Collect.Ipv6, ['dscp', 'flow_label', 'next_header', 'payload_length', 'precedence', 'protocol', 'traffic_class', 'version'], name, value)


                    class Destination(Entity):
                        """
                        IPv6 destination address based fields
                        
                        .. attribute:: address
                        
                        	IPv6 destination address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv6 address mask for the IPv6 destination address
                        	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Destination.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv6 address prefix for the IPv6 destination address
                        	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Destination.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv6.Destination, self).__init__()

                            self.yang_name = "destination"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Collect.Ipv6.Destination.Mask), "prefix" : ("prefix", Native.Flow.Record.Collect.Ipv6.Destination.Prefix)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.empty, "address")

                            self.mask = None
                            self._children_name_map["mask"] = "mask"
                            self._children_yang_names.add("mask")

                            self.prefix = None
                            self._children_name_map["prefix"] = "prefix"
                            self._children_yang_names.add("prefix")
                            self._segment_path = lambda: "destination"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Ipv6.Destination, ['address'], name, value)


                        class Mask(Entity):
                            """
                            IPv6 address mask for the IPv6 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..128
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv6.Destination.Mask, self).__init__()

                                self.yang_name = "mask"
                                self.yang_parent_name = "destination"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "mask"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv6.Destination.Mask, ['minimum_mask'], name, value)


                        class Prefix(Entity):
                            """
                            IPv6 address prefix for the IPv6 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..128
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv6.Destination.Prefix, self).__init__()

                                self.yang_name = "prefix"
                                self.yang_parent_name = "destination"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv6.Destination.Prefix, ['minimum_mask'], name, value)


                    class Extension(Entity):
                        """
                        IPv6 extension header fields
                        
                        .. attribute:: map
                        
                        	Bitmap of IPv6 extension headers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv6.Extension, self).__init__()

                            self.yang_name = "extension"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.map = YLeaf(YType.empty, "map")
                            self._segment_path = lambda: "extension"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Ipv6.Extension, ['map'], name, value)


                    class Fragmentation(Entity):
                        """
                        IPv6 fragmentation fields
                        
                        .. attribute:: flags
                        
                        	IPv6 fragmentation flags
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	IPv6 fragmentation ID
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: offset
                        
                        	IPv6 fragmentation offset
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv6.Fragmentation, self).__init__()

                            self.yang_name = "fragmentation"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.flags = YLeaf(YType.empty, "flags")

                            self.id = YLeaf(YType.empty, "id")

                            self.offset = YLeaf(YType.empty, "offset")
                            self._segment_path = lambda: "fragmentation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Ipv6.Fragmentation, ['flags', 'id', 'offset'], name, value)


                    class HopLimit(Entity):
                        """
                        IPv6 hop limit
                        
                        .. attribute:: maximum
                        
                        	Largest value seen for hop\-limit in the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: minimum
                        
                        	Smallest value seen for hop\-limit in the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv6.HopLimit, self).__init__()

                            self.yang_name = "hop-limit"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.maximum = YLeaf(YType.empty, "maximum")

                            self.minimum = YLeaf(YType.empty, "minimum")
                            self._segment_path = lambda: "hop-limit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Ipv6.HopLimit, ['maximum', 'minimum'], name, value)


                    class Length(Entity):
                        """
                        IPv6 length fields
                        
                        .. attribute:: header
                        
                        	Length of the IPv6 header, not including any extension headers, in bytes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload
                        
                        	Length of the IPv6 payload, including any extension headers, in bytes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: total
                        
                        	Total length of the IPv6 header and payload in bytes
                        	**type**\:  :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Length.Total>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv6.Length, self).__init__()

                            self.yang_name = "length"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"total" : ("total", Native.Flow.Record.Collect.Ipv6.Length.Total)}
                            self._child_list_classes = {}

                            self.header = YLeaf(YType.empty, "header")

                            self.payload = YLeaf(YType.empty, "payload")

                            self.total = None
                            self._children_name_map["total"] = "total"
                            self._children_yang_names.add("total")
                            self._segment_path = lambda: "length"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Ipv6.Length, ['header', 'payload'], name, value)


                        class Total(Entity):
                            """
                            Total length of the IPv6 header and payload in bytes
                            
                            .. attribute:: maximum
                            
                            	Maximum total length in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Minimum total length in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv6.Length.Total, self).__init__()

                                self.yang_name = "total"
                                self.yang_parent_name = "length"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum = YLeaf(YType.empty, "maximum")

                                self.minimum = YLeaf(YType.empty, "minimum")
                                self._segment_path = lambda: "total"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv6.Length.Total, ['maximum', 'minimum'], name, value)


                    class Section(Entity):
                        """
                        Part of the packet
                        
                        .. attribute:: header
                        
                        	Raw data starting at the IPv6 header
                        	**type**\:  :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Section.Header>`
                        
                        .. attribute:: payload
                        
                        	Raw data starting at the IPv6 payload
                        	**type**\:  :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Section.Payload>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv6.Section, self).__init__()

                            self.yang_name = "section"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"header" : ("header", Native.Flow.Record.Collect.Ipv6.Section.Header), "payload" : ("payload", Native.Flow.Record.Collect.Ipv6.Section.Payload)}
                            self._child_list_classes = {}

                            self.header = Native.Flow.Record.Collect.Ipv6.Section.Header()
                            self.header.parent = self
                            self._children_name_map["header"] = "header"
                            self._children_yang_names.add("header")

                            self.payload = Native.Flow.Record.Collect.Ipv6.Section.Payload()
                            self.payload.parent = self
                            self._children_name_map["payload"] = "payload"
                            self._children_yang_names.add("payload")
                            self._segment_path = lambda: "section"


                        class Header(Entity):
                            """
                            Raw data starting at the IPv6 header
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\: int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv6.Section.Header, self).__init__()

                                self.yang_name = "header"
                                self.yang_parent_name = "section"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.size = YLeaf(YType.uint16, "size")
                                self._segment_path = lambda: "header"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv6.Section.Header, ['size'], name, value)


                        class Payload(Entity):
                            """
                            Raw data starting at the IPv6 payload
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\: int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv6.Section.Payload, self).__init__()

                                self.yang_name = "payload"
                                self.yang_parent_name = "section"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.size = YLeaf(YType.uint16, "size")
                                self._segment_path = lambda: "payload"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv6.Section.Payload, ['size'], name, value)


                    class Source(Entity):
                        """
                        IPv6 source address based fields
                        
                        .. attribute:: address
                        
                        	IPv6 source address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv6 address mask for the IPv6 source address
                        	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Source.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv6 address prefix for the IPv6 source address
                        	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Ipv6.Source.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Ipv6.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Collect.Ipv6.Source.Mask), "prefix" : ("prefix", Native.Flow.Record.Collect.Ipv6.Source.Prefix)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.empty, "address")

                            self.mask = None
                            self._children_name_map["mask"] = "mask"
                            self._children_yang_names.add("mask")

                            self.prefix = None
                            self._children_name_map["prefix"] = "prefix"
                            self._children_yang_names.add("prefix")
                            self._segment_path = lambda: "source"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Ipv6.Source, ['address'], name, value)


                        class Mask(Entity):
                            """
                            IPv6 address mask for the IPv6 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..128
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv6.Source.Mask, self).__init__()

                                self.yang_name = "mask"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "mask"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv6.Source.Mask, ['minimum_mask'], name, value)


                        class Prefix(Entity):
                            """
                            IPv6 address prefix for the IPv6 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..128
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Ipv6.Source.Prefix, self).__init__()

                                self.yang_name = "prefix"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Ipv6.Source.Prefix, ['minimum_mask'], name, value)


                class Metadata(Entity):
                    """
                    Metadata fields
                    
                    .. attribute:: clock_rate
                    
                    	Metadata clock\-rate
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: global_session_id
                    
                    	Metadata global\-session\-id
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_party_session_id
                    
                    	Metadata multi\-party\-session\-id
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Metadata, self).__init__()

                        self.yang_name = "metadata"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.clock_rate = YLeaf(YType.empty, "clock-rate")

                        self.global_session_id = YLeaf(YType.empty, "global-session-id")

                        self.multi_party_session_id = YLeaf(YType.empty, "multi-party-session-id")
                        self._segment_path = lambda: "metadata"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Collect.Metadata, ['clock_rate', 'global_session_id', 'multi_party_session_id'], name, value)


                class Monitor(Entity):
                    """
                    monitor fields
                    
                    .. attribute:: event
                    
                    	Flags indicating monitor events
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Monitor, self).__init__()

                        self.yang_name = "monitor"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.event = YLeaf(YType.empty, "event")
                        self._segment_path = lambda: "monitor"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Collect.Monitor, ['event'], name, value)


                class Mpls(Entity):
                    """
                    MPLS fields
                    
                    .. attribute:: label
                    
                    	MPLS label details
                    	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Mpls, self).__init__()

                        self.yang_name = "mpls"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"label" : ("label", Native.Flow.Record.Collect.Mpls.Label)}
                        self._child_list_classes = {}

                        self.label = Native.Flow.Record.Collect.Mpls.Label()
                        self.label.parent = self
                        self._children_name_map["label"] = "label"
                        self._children_yang_names.add("label")
                        self._segment_path = lambda: "mpls"


                    class Label(Entity):
                        """
                        MPLS label details
                        
                        .. attribute:: one
                        
                        	MPLS label 1 information
                        	**type**\:  :py:class:`One <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label.One>`
                        
                        .. attribute:: two
                        
                        	MPLS label 2 information
                        	**type**\:  :py:class:`Two <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label.Two>`
                        
                        .. attribute:: three
                        
                        	MPLS label 3 information
                        	**type**\:  :py:class:`Three <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label.Three>`
                        
                        .. attribute:: four
                        
                        	MPLS label 4 information
                        	**type**\:  :py:class:`Four <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label.Four>`
                        
                        .. attribute:: five
                        
                        	MPLS label 5 information
                        	**type**\:  :py:class:`Five <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label.Five>`
                        
                        .. attribute:: six
                        
                        	MPLS label 6 information
                        	**type**\:  :py:class:`Six <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Mpls.Label.Six>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Mpls.Label, self).__init__()

                            self.yang_name = "label"
                            self.yang_parent_name = "mpls"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"one" : ("one", Native.Flow.Record.Collect.Mpls.Label.One), "two" : ("two", Native.Flow.Record.Collect.Mpls.Label.Two), "three" : ("three", Native.Flow.Record.Collect.Mpls.Label.Three), "four" : ("four", Native.Flow.Record.Collect.Mpls.Label.Four), "five" : ("five", Native.Flow.Record.Collect.Mpls.Label.Five), "six" : ("six", Native.Flow.Record.Collect.Mpls.Label.Six)}
                            self._child_list_classes = {}

                            self.one = Native.Flow.Record.Collect.Mpls.Label.One()
                            self.one.parent = self
                            self._children_name_map["one"] = "one"
                            self._children_yang_names.add("one")

                            self.two = Native.Flow.Record.Collect.Mpls.Label.Two()
                            self.two.parent = self
                            self._children_name_map["two"] = "two"
                            self._children_yang_names.add("two")

                            self.three = Native.Flow.Record.Collect.Mpls.Label.Three()
                            self.three.parent = self
                            self._children_name_map["three"] = "three"
                            self._children_yang_names.add("three")

                            self.four = Native.Flow.Record.Collect.Mpls.Label.Four()
                            self.four.parent = self
                            self._children_name_map["four"] = "four"
                            self._children_yang_names.add("four")

                            self.five = Native.Flow.Record.Collect.Mpls.Label.Five()
                            self.five.parent = self
                            self._children_name_map["five"] = "five"
                            self._children_yang_names.add("five")

                            self.six = Native.Flow.Record.Collect.Mpls.Label.Six()
                            self.six.parent = self
                            self._children_name_map["six"] = "six"
                            self._children_yang_names.add("six")
                            self._segment_path = lambda: "label"


                        class One(Entity):
                            """
                            MPLS label 1 information
                            
                            .. attribute:: details
                            
                            	MPLS label 1 details
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: exp
                            
                            	MPLS EXP field from the last label that was pushed
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ttl
                            
                            	MPLS TTL field from the last label that was pushed
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	MPLS label type of the last label that was pushed
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Mpls.Label.One, self).__init__()

                                self.yang_name = "one"
                                self.yang_parent_name = "label"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.details = YLeaf(YType.empty, "details")

                                self.exp = YLeaf(YType.empty, "exp")

                                self.ttl = YLeaf(YType.empty, "ttl")

                                self.type = YLeaf(YType.empty, "type")
                                self._segment_path = lambda: "one"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Mpls.Label.One, ['details', 'exp', 'ttl', 'type'], name, value)


                        class Two(Entity):
                            """
                            MPLS label 2 information
                            
                            .. attribute:: details
                            
                            	MPLS label 2 details
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Mpls.Label.Two, self).__init__()

                                self.yang_name = "two"
                                self.yang_parent_name = "label"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.details = YLeaf(YType.empty, "details")
                                self._segment_path = lambda: "two"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Mpls.Label.Two, ['details'], name, value)


                        class Three(Entity):
                            """
                            MPLS label 3 information
                            
                            .. attribute:: details
                            
                            	MPLS label 3 details
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Mpls.Label.Three, self).__init__()

                                self.yang_name = "three"
                                self.yang_parent_name = "label"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.details = YLeaf(YType.empty, "details")
                                self._segment_path = lambda: "three"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Mpls.Label.Three, ['details'], name, value)


                        class Four(Entity):
                            """
                            MPLS label 4 information
                            
                            .. attribute:: details
                            
                            	MPLS label 4 details
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Mpls.Label.Four, self).__init__()

                                self.yang_name = "four"
                                self.yang_parent_name = "label"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.details = YLeaf(YType.empty, "details")
                                self._segment_path = lambda: "four"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Mpls.Label.Four, ['details'], name, value)


                        class Five(Entity):
                            """
                            MPLS label 5 information
                            
                            .. attribute:: details
                            
                            	MPLS label 5 details
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Mpls.Label.Five, self).__init__()

                                self.yang_name = "five"
                                self.yang_parent_name = "label"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.details = YLeaf(YType.empty, "details")
                                self._segment_path = lambda: "five"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Mpls.Label.Five, ['details'], name, value)


                        class Six(Entity):
                            """
                            MPLS label 6 information
                            
                            .. attribute:: details
                            
                            	MPLS label 6 details
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Mpls.Label.Six, self).__init__()

                                self.yang_name = "six"
                                self.yang_parent_name = "label"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.details = YLeaf(YType.empty, "details")
                                self._segment_path = lambda: "six"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Mpls.Label.Six, ['details'], name, value)


                class Network(Entity):
                    """
                    network metrics
                    
                    .. attribute:: delay
                    
                    	network delay metrics
                    	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Network.Delay>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Network, self).__init__()

                        self.yang_name = "network"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"delay" : ("delay", Native.Flow.Record.Collect.Network.Delay)}
                        self._child_list_classes = {}

                        self.delay = Native.Flow.Record.Collect.Network.Delay()
                        self.delay.parent = self
                        self._children_name_map["delay"] = "delay"
                        self._children_yang_names.add("delay")
                        self._segment_path = lambda: "network"


                    class Delay(Entity):
                        """
                        network delay metrics
                        
                        .. attribute:: sample
                        
                        	The number of samples of roundtrip delay
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sum
                        
                        	The sum of roundtrip delay
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Network.Delay, self).__init__()

                            self.yang_name = "delay"
                            self.yang_parent_name = "network"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sample = YLeaf(YType.empty, "sample")

                            self.sum = YLeaf(YType.empty, "sum")
                            self._segment_path = lambda: "delay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Network.Delay, ['sample', 'sum'], name, value)


                class Pfr(Entity):
                    """
                    PfR metrics
                    
                    .. attribute:: label
                    
                    	PfR label metrics
                    	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Label>`
                    
                    .. attribute:: one_way_delay
                    
                    	The packet transmission delay between specified nodes
                    	**type**\:  :py:class:`OneWayDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.OneWayDelay>`
                    
                    .. attribute:: service
                    
                    	PfR service metrics
                    	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Service>`
                    
                    .. attribute:: site
                    
                    	PfR site  metrics
                    	**type**\:  :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Pfr, self).__init__()

                        self.yang_name = "pfr"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"label" : ("label", Native.Flow.Record.Collect.Pfr.Label), "one-way-delay" : ("one_way_delay", Native.Flow.Record.Collect.Pfr.OneWayDelay), "service" : ("service", Native.Flow.Record.Collect.Pfr.Service), "site" : ("site", Native.Flow.Record.Collect.Pfr.Site)}
                        self._child_list_classes = {}

                        self.label = Native.Flow.Record.Collect.Pfr.Label()
                        self.label.parent = self
                        self._children_name_map["label"] = "label"
                        self._children_yang_names.add("label")

                        self.one_way_delay = Native.Flow.Record.Collect.Pfr.OneWayDelay()
                        self.one_way_delay.parent = self
                        self._children_name_map["one_way_delay"] = "one-way-delay"
                        self._children_yang_names.add("one-way-delay")

                        self.service = Native.Flow.Record.Collect.Pfr.Service()
                        self.service.parent = self
                        self._children_name_map["service"] = "service"
                        self._children_yang_names.add("service")

                        self.site = Native.Flow.Record.Collect.Pfr.Site()
                        self.site.parent = self
                        self._children_name_map["site"] = "site"
                        self._children_yang_names.add("site")
                        self._segment_path = lambda: "pfr"


                    class Label(Entity):
                        """
                        PfR label metrics
                        
                        .. attribute:: identifier
                        
                        	pfr label id
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Pfr.Label, self).__init__()

                            self.yang_name = "label"
                            self.yang_parent_name = "pfr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.identifier = YLeaf(YType.empty, "identifier")
                            self._segment_path = lambda: "label"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Pfr.Label, ['identifier'], name, value)


                    class OneWayDelay(Entity):
                        """
                        The packet transmission delay between specified nodes
                        
                        .. attribute:: samples
                        
                        	Total number of one\-way\-delay samples
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sum
                        
                        	The packet transmission delay sum between specified nodes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Pfr.OneWayDelay, self).__init__()

                            self.yang_name = "one-way-delay"
                            self.yang_parent_name = "pfr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.samples = YLeaf(YType.empty, "samples")

                            self.sum = YLeaf(YType.empty, "sum")
                            self._segment_path = lambda: "one-way-delay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Pfr.OneWayDelay, ['samples', 'sum'], name, value)


                    class Service(Entity):
                        """
                        PfR service metrics
                        
                        .. attribute:: provider
                        
                        	PfR service provider metrics
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	PfR service provider tag metrics
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: identifier
                        
                        	PfR service provider tag
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Pfr.Service, self).__init__()

                            self.yang_name = "service"
                            self.yang_parent_name = "pfr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.provider = YLeaf(YType.empty, "provider")

                            self.tag = YLeaf(YType.empty, "tag")

                            self.identifier = YLeaf(YType.empty, "identifier")
                            self._segment_path = lambda: "service"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Pfr.Service, ['provider', 'tag', 'identifier'], name, value)


                    class Site(Entity):
                        """
                        PfR site  metrics
                        
                        .. attribute:: destination
                        
                        	PfR site destination metrics
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Destination>`
                        
                        .. attribute:: source
                        
                        	PfR site source metrics
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Source>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Pfr.Site, self).__init__()

                            self.yang_name = "site"
                            self.yang_parent_name = "pfr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Collect.Pfr.Site.Destination), "source" : ("source", Native.Flow.Record.Collect.Pfr.Site.Source)}
                            self._child_list_classes = {}

                            self.destination = Native.Flow.Record.Collect.Pfr.Site.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.source = Native.Flow.Record.Collect.Pfr.Site.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "site"


                        class Destination(Entity):
                            """
                            PfR site destination metrics
                            
                            .. attribute:: id
                            
                            	PfR site destination ID metrics
                            	**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Destination.Id>`
                            
                            .. attribute:: prefix
                            
                            	PfR site prefix of the packet destination
                            	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Pfr.Site.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "site"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"id" : ("id", Native.Flow.Record.Collect.Pfr.Site.Destination.Id), "prefix" : ("prefix", Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix)}
                                self._child_list_classes = {}

                                self.id = Native.Flow.Record.Collect.Pfr.Site.Destination.Id()
                                self.id.parent = self
                                self._children_name_map["id"] = "id"
                                self._children_yang_names.add("id")

                                self.prefix = Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix()
                                self.prefix.parent = self
                                self._children_name_map["prefix"] = "prefix"
                                self._children_yang_names.add("prefix")
                                self._segment_path = lambda: "destination"


                            class Id(Entity):
                                """
                                PfR site destination ID metrics
                                
                                .. attribute:: ipv4
                                
                                	site ID of the packet destination
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Pfr.Site.Destination.Id, self).__init__()

                                    self.yang_name = "id"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.empty, "ipv4")
                                    self._segment_path = lambda: "id"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Pfr.Site.Destination.Id, ['ipv4'], name, value)


                            class Prefix(Entity):
                                """
                                PfR site prefix of the packet destination
                                
                                .. attribute:: ipv4
                                
                                	site prefix of the packet destination
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	PfR site prefix mask of the packet destination
                                	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix.Mask>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix, self).__init__()

                                    self.yang_name = "prefix"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix.Mask)}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.empty, "ipv4")

                                    self.mask = Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix.Mask()
                                    self.mask.parent = self
                                    self._children_name_map["mask"] = "mask"
                                    self._children_yang_names.add("mask")
                                    self._segment_path = lambda: "prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix, ['ipv4'], name, value)


                                class Mask(Entity):
                                    """
                                    PfR site prefix mask of the packet destination
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix mask of the packet destination
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix.Mask, self).__init__()

                                        self.yang_name = "mask"
                                        self.yang_parent_name = "prefix"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")
                                        self._segment_path = lambda: "mask"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Collect.Pfr.Site.Destination.Prefix.Mask, ['ipv4'], name, value)


                        class Source(Entity):
                            """
                            PfR site source metrics
                            
                            .. attribute:: id
                            
                            	PfR site source ID metrics
                            	**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Source.Id>`
                            
                            .. attribute:: prefix
                            
                            	PfR site prefix of the packet source
                            	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Source.Prefix>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Pfr.Site.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "site"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"id" : ("id", Native.Flow.Record.Collect.Pfr.Site.Source.Id), "prefix" : ("prefix", Native.Flow.Record.Collect.Pfr.Site.Source.Prefix)}
                                self._child_list_classes = {}

                                self.id = Native.Flow.Record.Collect.Pfr.Site.Source.Id()
                                self.id.parent = self
                                self._children_name_map["id"] = "id"
                                self._children_yang_names.add("id")

                                self.prefix = Native.Flow.Record.Collect.Pfr.Site.Source.Prefix()
                                self.prefix.parent = self
                                self._children_name_map["prefix"] = "prefix"
                                self._children_yang_names.add("prefix")
                                self._segment_path = lambda: "source"


                            class Id(Entity):
                                """
                                PfR site source ID metrics
                                
                                .. attribute:: ipv4
                                
                                	site ID of the packet source
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Pfr.Site.Source.Id, self).__init__()

                                    self.yang_name = "id"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.empty, "ipv4")
                                    self._segment_path = lambda: "id"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Pfr.Site.Source.Id, ['ipv4'], name, value)


                            class Prefix(Entity):
                                """
                                PfR site prefix of the packet source
                                
                                .. attribute:: ipv4
                                
                                	site prefix of the packet source
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	PfR site prefix mask of the packet source
                                	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Pfr.Site.Source.Prefix.Mask>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Pfr.Site.Source.Prefix, self).__init__()

                                    self.yang_name = "prefix"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Collect.Pfr.Site.Source.Prefix.Mask)}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.empty, "ipv4")

                                    self.mask = Native.Flow.Record.Collect.Pfr.Site.Source.Prefix.Mask()
                                    self.mask.parent = self
                                    self._children_name_map["mask"] = "mask"
                                    self._children_yang_names.add("mask")
                                    self._segment_path = lambda: "prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Pfr.Site.Source.Prefix, ['ipv4'], name, value)


                                class Mask(Entity):
                                    """
                                    PfR site prefix mask of the packet source
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix mask of the packet source
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Collect.Pfr.Site.Source.Prefix.Mask, self).__init__()

                                        self.yang_name = "mask"
                                        self.yang_parent_name = "prefix"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")
                                        self._segment_path = lambda: "mask"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Collect.Pfr.Site.Source.Prefix.Mask, ['ipv4'], name, value)


                class Policy(Entity):
                    """
                    policy fields
                    
                    .. attribute:: performance_monitor
                    
                    	Performance\-monitor policy related metrics
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Policy.PerformanceMonitor>`
                    
                    .. attribute:: qos
                    
                    	QoS policy related metrics
                    	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Policy.Qos>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"performance-monitor" : ("performance_monitor", Native.Flow.Record.Collect.Policy.PerformanceMonitor), "qos" : ("qos", Native.Flow.Record.Collect.Policy.Qos)}
                        self._child_list_classes = {}

                        self.performance_monitor = Native.Flow.Record.Collect.Policy.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.qos = Native.Flow.Record.Collect.Policy.Qos()
                        self.qos.parent = self
                        self._children_name_map["qos"] = "qos"
                        self._children_yang_names.add("qos")
                        self._segment_path = lambda: "policy"


                    class PerformanceMonitor(Entity):
                        """
                        Performance\-monitor policy related metrics
                        
                        .. attribute:: classification
                        
                        	Classification metrics
                        	**type**\:  :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Policy.PerformanceMonitor.Classification>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Policy.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"classification" : ("classification", Native.Flow.Record.Collect.Policy.PerformanceMonitor.Classification)}
                            self._child_list_classes = {}

                            self.classification = Native.Flow.Record.Collect.Policy.PerformanceMonitor.Classification()
                            self.classification.parent = self
                            self._children_name_map["classification"] = "classification"
                            self._children_yang_names.add("classification")
                            self._segment_path = lambda: "performance-monitor"


                        class Classification(Entity):
                            """
                            Classification metrics
                            
                            .. attribute:: hierarchy
                            
                            	Performance\-monitor class hierarchy
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Policy.PerformanceMonitor.Classification, self).__init__()

                                self.yang_name = "classification"
                                self.yang_parent_name = "performance-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hierarchy = YLeaf(YType.empty, "hierarchy")
                                self._segment_path = lambda: "classification"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Policy.PerformanceMonitor.Classification, ['hierarchy'], name, value)


                    class Qos(Entity):
                        """
                        QoS policy related metrics
                        
                        .. attribute:: classification
                        
                        	Classification metrics
                        	**type**\:  :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Policy.Qos.Classification>`
                        
                        .. attribute:: queue
                        
                        	Queue metrics
                        	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Policy.Qos.Queue>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Policy.Qos, self).__init__()

                            self.yang_name = "qos"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"classification" : ("classification", Native.Flow.Record.Collect.Policy.Qos.Classification), "queue" : ("queue", Native.Flow.Record.Collect.Policy.Qos.Queue)}
                            self._child_list_classes = {}

                            self.classification = Native.Flow.Record.Collect.Policy.Qos.Classification()
                            self.classification.parent = self
                            self._children_name_map["classification"] = "classification"
                            self._children_yang_names.add("classification")

                            self.queue = Native.Flow.Record.Collect.Policy.Qos.Queue()
                            self.queue.parent = self
                            self._children_name_map["queue"] = "queue"
                            self._children_yang_names.add("queue")
                            self._segment_path = lambda: "qos"


                        class Classification(Entity):
                            """
                            Classification metrics
                            
                            .. attribute:: hierarchy
                            
                            	QoS class hierarchy
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Policy.Qos.Classification, self).__init__()

                                self.yang_name = "classification"
                                self.yang_parent_name = "qos"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hierarchy = YLeaf(YType.empty, "hierarchy")
                                self._segment_path = lambda: "classification"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Policy.Qos.Classification, ['hierarchy'], name, value)


                        class Queue(Entity):
                            """
                            Queue metrics
                            
                            .. attribute:: drops
                            
                            	QoS queue drops
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: index
                            
                            	QoS queue index
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Policy.Qos.Queue, self).__init__()

                                self.yang_name = "queue"
                                self.yang_parent_name = "qos"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.drops = YLeaf(YType.empty, "drops")

                                self.index = YLeaf(YType.empty, "index")
                                self._segment_path = lambda: "queue"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Policy.Qos.Queue, ['drops', 'index'], name, value)


                class Routing(Entity):
                    """
                    Routing attributes
                    
                    .. attribute:: destination
                    
                    	Destination routing attributes
                    	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Destination>`
                    
                    .. attribute:: forwarding_status
                    
                    	Forwarding status of the packet
                    	**type**\:  :py:class:`ForwardingStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.ForwardingStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: is_multicast
                    
                    	Indicates if this is multicast
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: next_hop
                    
                    	Information regarding the next hop
                    	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.NextHop>`
                    
                    .. attribute:: pw
                    
                    	Pseudowire fields
                    	**type**\:  :py:class:`Pw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Pw>`
                    
                    .. attribute:: source
                    
                    	Source routing attributes
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Source>`
                    
                    .. attribute:: vrf
                    
                    	VRF routing attributes
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Routing, self).__init__()

                        self.yang_name = "routing"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Collect.Routing.Destination), "forwarding-status" : ("forwarding_status", Native.Flow.Record.Collect.Routing.ForwardingStatus), "next-hop" : ("next_hop", Native.Flow.Record.Collect.Routing.NextHop), "pw" : ("pw", Native.Flow.Record.Collect.Routing.Pw), "source" : ("source", Native.Flow.Record.Collect.Routing.Source), "vrf" : ("vrf", Native.Flow.Record.Collect.Routing.Vrf)}
                        self._child_list_classes = {}

                        self.is_multicast = YLeaf(YType.empty, "is-multicast")

                        self.destination = Native.Flow.Record.Collect.Routing.Destination()
                        self.destination.parent = self
                        self._children_name_map["destination"] = "destination"
                        self._children_yang_names.add("destination")

                        self.forwarding_status = None
                        self._children_name_map["forwarding_status"] = "forwarding-status"
                        self._children_yang_names.add("forwarding-status")

                        self.next_hop = Native.Flow.Record.Collect.Routing.NextHop()
                        self.next_hop.parent = self
                        self._children_name_map["next_hop"] = "next-hop"
                        self._children_yang_names.add("next-hop")

                        self.pw = Native.Flow.Record.Collect.Routing.Pw()
                        self.pw.parent = self
                        self._children_name_map["pw"] = "pw"
                        self._children_yang_names.add("pw")

                        self.source = Native.Flow.Record.Collect.Routing.Source()
                        self.source.parent = self
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.vrf = Native.Flow.Record.Collect.Routing.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "routing"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Collect.Routing, ['is_multicast'], name, value)


                    class Destination(Entity):
                        """
                        Destination routing attributes
                        
                        .. attribute:: as_
                        
                        	AS number of the destination network
                        	**type**\:  :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Destination.As_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: traffic_index
                        
                        	BGP destination traffic index
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Routing.Destination, self).__init__()

                            self.yang_name = "destination"
                            self.yang_parent_name = "routing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"as" : ("as_", Native.Flow.Record.Collect.Routing.Destination.As_)}
                            self._child_list_classes = {}

                            self.traffic_index = YLeaf(YType.empty, "traffic-index")

                            self.as_ = None
                            self._children_name_map["as_"] = "as"
                            self._children_yang_names.add("as")
                            self._segment_path = lambda: "destination"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Routing.Destination, ['traffic_index'], name, value)


                        class As_(Entity):
                            """
                            AS number of the destination network
                            
                            .. attribute:: as4_octet
                            
                            	4 octet AS number of the destination network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: peer
                            
                            	AS number of the peer network we will forward to
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Destination.As_.Peer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Routing.Destination.As_, self).__init__()

                                self.yang_name = "as"
                                self.yang_parent_name = "destination"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Flow.Record.Collect.Routing.Destination.As_.Peer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.as4_octet = YLeaf(YType.empty, "as4-octet")

                                self.peer = None
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")
                                self._segment_path = lambda: "as"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Routing.Destination.As_, ['as4_octet'], name, value)


                            class Peer(Entity):
                                """
                                AS number of the peer network we will forward to
                                
                                .. attribute:: peer4_octet
                                
                                	4 octet AS number of the peer network we will forward to
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Routing.Destination.As_.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "as"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.peer4_octet = YLeaf(YType.empty, "peer4-octet")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Routing.Destination.As_.Peer, ['peer4_octet'], name, value)


                    class ForwardingStatus(Entity):
                        """
                        Forwarding status of the packet
                        
                        .. attribute:: reason
                        
                        	Forwarding status reason of the packet
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Routing.ForwardingStatus, self).__init__()

                            self.yang_name = "forwarding-status"
                            self.yang_parent_name = "routing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.reason = YLeaf(YType.empty, "reason")
                            self._segment_path = lambda: "forwarding-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Routing.ForwardingStatus, ['reason'], name, value)


                    class NextHop(Entity):
                        """
                        Information regarding the next hop
                        
                        .. attribute:: address
                        
                        	IP address of the next hop
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.NextHop.Address>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Routing.NextHop, self).__init__()

                            self.yang_name = "next-hop"
                            self.yang_parent_name = "routing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Flow.Record.Collect.Routing.NextHop.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Flow.Record.Collect.Routing.NextHop.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "next-hop"


                        class Address(Entity):
                            """
                            IP address of the next hop
                            
                            .. attribute:: ipv4
                            
                            	IPv4 address of the next hop
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv4>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv6
                            
                            	IPv6 address of the next hop
                            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv6>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Routing.NextHop.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "next-hop"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipv4" : ("ipv4", Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv6)}
                                self._child_list_classes = {}

                                self.ipv4 = None
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")

                                self.ipv6 = None
                                self._children_name_map["ipv6"] = "ipv6"
                                self._children_yang_names.add("ipv6")
                                self._segment_path = lambda: "address"


                            class Ipv4(Entity):
                                """
                                IPv4 address of the next hop
                                
                                .. attribute:: bgp
                                
                                	IPv4 address of the BGP next hop
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.bgp = YLeaf(YType.empty, "bgp")
                                    self._segment_path = lambda: "ipv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv4, ['bgp'], name, value)


                            class Ipv6(Entity):
                                """
                                IPv6 address of the next hop
                                
                                .. attribute:: bgp
                                
                                	IPv6 address of the BGP next hop
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.bgp = YLeaf(YType.empty, "bgp")
                                    self._segment_path = lambda: "ipv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Routing.NextHop.Address.Ipv6, ['bgp'], name, value)


                    class Pw(Entity):
                        """
                        Pseudowire fields
                        
                        .. attribute:: destination
                        
                        	Pseudowire destination
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Pw.Destination>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Routing.Pw, self).__init__()

                            self.yang_name = "pw"
                            self.yang_parent_name = "routing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Collect.Routing.Pw.Destination)}
                            self._child_list_classes = {}

                            self.destination = Native.Flow.Record.Collect.Routing.Pw.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")
                            self._segment_path = lambda: "pw"


                        class Destination(Entity):
                            """
                            Pseudowire destination
                            
                            .. attribute:: address
                            
                            	Pseudowire destination address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Routing.Pw.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "pw"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")
                                self._segment_path = lambda: "destination"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Routing.Pw.Destination, ['address'], name, value)


                    class Source(Entity):
                        """
                        Source routing attributes
                        
                        .. attribute:: as_
                        
                        	AS number of the original network
                        	**type**\:  :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Source.As_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: traffic_index
                        
                        	BGP source traffic index
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Routing.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "routing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"as" : ("as_", Native.Flow.Record.Collect.Routing.Source.As_)}
                            self._child_list_classes = {}

                            self.traffic_index = YLeaf(YType.empty, "traffic-index")

                            self.as_ = None
                            self._children_name_map["as_"] = "as"
                            self._children_yang_names.add("as")
                            self._segment_path = lambda: "source"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Routing.Source, ['traffic_index'], name, value)


                        class As_(Entity):
                            """
                            AS number of the original network
                            
                            .. attribute:: as4_octet
                            
                            	4 octet AS number of the original network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: peer
                            
                            	AS number of the peer network where the packet came from
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Routing.Source.As_.Peer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Routing.Source.As_, self).__init__()

                                self.yang_name = "as"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Flow.Record.Collect.Routing.Source.As_.Peer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.as4_octet = YLeaf(YType.empty, "as4-octet")

                                self.peer = None
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")
                                self._segment_path = lambda: "as"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Routing.Source.As_, ['as4_octet'], name, value)


                            class Peer(Entity):
                                """
                                AS number of the peer network where the packet came from
                                
                                .. attribute:: peer4_octet
                                
                                	4 octet AS number of the peer network where the packet came from
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Routing.Source.As_.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "as"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.peer4_octet = YLeaf(YType.empty, "peer4-octet")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Routing.Source.As_.Peer, ['peer4_octet'], name, value)


                    class Vrf(Entity):
                        """
                        VRF routing attributes
                        
                        .. attribute:: input
                        
                        	VRF ID for incoming packet
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	VRF ID for outgoing packet
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Routing.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "routing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Routing.Vrf, ['input', 'output'], name, value)


                class Services(Entity):
                    """
                    Services fields
                    
                    .. attribute:: waas
                    
                    	WAAS (Wide Area Application Services) metrics
                    	**type**\:  :py:class:`Waas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Services.Waas>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Services, self).__init__()

                        self.yang_name = "services"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"waas" : ("waas", Native.Flow.Record.Collect.Services.Waas)}
                        self._child_list_classes = {}

                        self.waas = Native.Flow.Record.Collect.Services.Waas()
                        self.waas.parent = self
                        self._children_name_map["waas"] = "waas"
                        self._children_yang_names.add("waas")
                        self._segment_path = lambda: "services"


                    class Waas(Entity):
                        """
                        WAAS (Wide Area Application Services) metrics
                        
                        .. attribute:: passthrough_reason
                        
                        	WAAS passthrough reason
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: segment
                        
                        	WAAS optimization segment
                        	**type**\:  :py:class:`Segment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Services.Waas.Segment>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Services.Waas, self).__init__()

                            self.yang_name = "waas"
                            self.yang_parent_name = "services"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"segment" : ("segment", Native.Flow.Record.Collect.Services.Waas.Segment)}
                            self._child_list_classes = {}

                            self.passthrough_reason = YLeaf(YType.empty, "passthrough-reason")

                            self.segment = None
                            self._children_name_map["segment"] = "segment"
                            self._children_yang_names.add("segment")
                            self._segment_path = lambda: "waas"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Services.Waas, ['passthrough_reason'], name, value)


                        class Segment(Entity):
                            """
                            WAAS optimization segment
                            
                            .. attribute:: account_on_resolution
                            
                            	Account on resolution
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Services.Waas.Segment, self).__init__()

                                self.yang_name = "segment"
                                self.yang_parent_name = "waas"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.account_on_resolution = YLeaf(YType.empty, "account-on-resolution")
                                self._segment_path = lambda: "segment"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Services.Waas.Segment, ['account_on_resolution'], name, value)


                class Timestamp(Entity):
                    """
                    Timestamp fields
                    
                    .. attribute:: absolute
                    
                    	Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                    	**type**\:  :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Timestamp.Absolute>`
                    
                    .. attribute:: interval
                    
                    	Epoch of a monitoring interval
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sys_uptime
                    
                    	Timestamps based on the sys\-uptime
                    	**type**\:  :py:class:`SysUptime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Timestamp.SysUptime>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Timestamp, self).__init__()

                        self.yang_name = "timestamp"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"absolute" : ("absolute", Native.Flow.Record.Collect.Timestamp.Absolute), "sys-uptime" : ("sys_uptime", Native.Flow.Record.Collect.Timestamp.SysUptime)}
                        self._child_list_classes = {}

                        self.interval = YLeaf(YType.empty, "interval")

                        self.absolute = Native.Flow.Record.Collect.Timestamp.Absolute()
                        self.absolute.parent = self
                        self._children_name_map["absolute"] = "absolute"
                        self._children_yang_names.add("absolute")

                        self.sys_uptime = Native.Flow.Record.Collect.Timestamp.SysUptime()
                        self.sys_uptime.parent = self
                        self._children_name_map["sys_uptime"] = "sys-uptime"
                        self._children_yang_names.add("sys-uptime")
                        self._segment_path = lambda: "timestamp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Collect.Timestamp, ['interval'], name, value)


                    class Absolute(Entity):
                        """
                        Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                        
                        .. attribute:: first
                        
                        	Absolute time the first packet was seen (milliseconds)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: last
                        
                        	Absolute time the most recent packet was seen (milliseconds)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: monitoring_interval
                        
                        	Monitoring interval timestamps
                        	**type**\:  :py:class:`MonitoringInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Timestamp.Absolute.MonitoringInterval>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Timestamp.Absolute, self).__init__()

                            self.yang_name = "absolute"
                            self.yang_parent_name = "timestamp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"monitoring-interval" : ("monitoring_interval", Native.Flow.Record.Collect.Timestamp.Absolute.MonitoringInterval)}
                            self._child_list_classes = {}

                            self.first = YLeaf(YType.empty, "first")

                            self.last = YLeaf(YType.empty, "last")

                            self.monitoring_interval = Native.Flow.Record.Collect.Timestamp.Absolute.MonitoringInterval()
                            self.monitoring_interval.parent = self
                            self._children_name_map["monitoring_interval"] = "monitoring-interval"
                            self._children_yang_names.add("monitoring-interval")
                            self._segment_path = lambda: "absolute"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Timestamp.Absolute, ['first', 'last'], name, value)


                        class MonitoringInterval(Entity):
                            """
                            Monitoring interval timestamps
                            
                            .. attribute:: end
                            
                            	Absolute end time of a monitoring interval (milliseconds)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: start
                            
                            	Absolute start time of a monitoring interval (milliseconds)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Timestamp.Absolute.MonitoringInterval, self).__init__()

                                self.yang_name = "monitoring-interval"
                                self.yang_parent_name = "absolute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.end = YLeaf(YType.empty, "end")

                                self.start = YLeaf(YType.empty, "start")
                                self._segment_path = lambda: "monitoring-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Timestamp.Absolute.MonitoringInterval, ['end', 'start'], name, value)


                    class SysUptime(Entity):
                        """
                        Timestamps based on the sys\-uptime
                        
                        .. attribute:: first
                        
                        	Time the first packet was seen
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: last
                        
                        	Time the most recent packet was seen
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Timestamp.SysUptime, self).__init__()

                            self.yang_name = "sys-uptime"
                            self.yang_parent_name = "timestamp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.first = YLeaf(YType.empty, "first")

                            self.last = YLeaf(YType.empty, "last")
                            self._segment_path = lambda: "sys-uptime"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Timestamp.SysUptime, ['first', 'last'], name, value)


                class Transport(Entity):
                    """
                    Transport layer fields
                    
                    .. attribute:: bytes
                    
                    	Bytes fields
                    	**type**\:  :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Bytes>`
                    
                    .. attribute:: destination_port
                    
                    	Transport destination port
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: icmp
                    
                    	ICMP fields
                    	**type**\:  :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Icmp>`
                    
                    .. attribute:: igmp
                    
                    	IGMP fields
                    	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Igmp>`
                    
                    .. attribute:: source_port
                    
                    	Transport source port
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tcp
                    
                    	TCP fields
                    	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp>`
                    
                    .. attribute:: udp
                    
                    	UDP fields
                    	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Udp>`
                    
                    .. attribute:: event
                    
                    	Transport event fields
                    	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Event>`
                    
                    .. attribute:: packets
                    
                    	Transport packet fields
                    	**type**\:  :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Packets>`
                    
                    .. attribute:: round_trip_time
                    
                    	RTT calculation for flow
                    	**type**\:  :py:class:`RoundTripTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.RoundTripTime>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rtp
                    
                    	RTP fields
                    	**type**\:  :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Rtp>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Collect.Transport, self).__init__()

                        self.yang_name = "transport"
                        self.yang_parent_name = "collect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bytes" : ("bytes", Native.Flow.Record.Collect.Transport.Bytes), "icmp" : ("icmp", Native.Flow.Record.Collect.Transport.Icmp), "igmp" : ("igmp", Native.Flow.Record.Collect.Transport.Igmp), "tcp" : ("tcp", Native.Flow.Record.Collect.Transport.Tcp), "udp" : ("udp", Native.Flow.Record.Collect.Transport.Udp), "event" : ("event", Native.Flow.Record.Collect.Transport.Event), "packets" : ("packets", Native.Flow.Record.Collect.Transport.Packets), "round-trip-time" : ("round_trip_time", Native.Flow.Record.Collect.Transport.RoundTripTime), "rtp" : ("rtp", Native.Flow.Record.Collect.Transport.Rtp)}
                        self._child_list_classes = {}

                        self.destination_port = YLeaf(YType.empty, "destination-port")

                        self.source_port = YLeaf(YType.empty, "source-port")

                        self.bytes = Native.Flow.Record.Collect.Transport.Bytes()
                        self.bytes.parent = self
                        self._children_name_map["bytes"] = "bytes"
                        self._children_yang_names.add("bytes")

                        self.icmp = Native.Flow.Record.Collect.Transport.Icmp()
                        self.icmp.parent = self
                        self._children_name_map["icmp"] = "icmp"
                        self._children_yang_names.add("icmp")

                        self.igmp = Native.Flow.Record.Collect.Transport.Igmp()
                        self.igmp.parent = self
                        self._children_name_map["igmp"] = "igmp"
                        self._children_yang_names.add("igmp")

                        self.tcp = Native.Flow.Record.Collect.Transport.Tcp()
                        self.tcp.parent = self
                        self._children_name_map["tcp"] = "tcp"
                        self._children_yang_names.add("tcp")

                        self.udp = Native.Flow.Record.Collect.Transport.Udp()
                        self.udp.parent = self
                        self._children_name_map["udp"] = "udp"
                        self._children_yang_names.add("udp")

                        self.event = Native.Flow.Record.Collect.Transport.Event()
                        self.event.parent = self
                        self._children_name_map["event"] = "event"
                        self._children_yang_names.add("event")

                        self.packets = Native.Flow.Record.Collect.Transport.Packets()
                        self.packets.parent = self
                        self._children_name_map["packets"] = "packets"
                        self._children_yang_names.add("packets")

                        self.round_trip_time = None
                        self._children_name_map["round_trip_time"] = "round-trip-time"
                        self._children_yang_names.add("round-trip-time")

                        self.rtp = Native.Flow.Record.Collect.Transport.Rtp()
                        self.rtp.parent = self
                        self._children_name_map["rtp"] = "rtp"
                        self._children_yang_names.add("rtp")
                        self._segment_path = lambda: "transport"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Collect.Transport, ['destination_port', 'source_port'], name, value)


                    class Bytes(Entity):
                        """
                        Bytes fields
                        
                        .. attribute:: expected
                        
                        	Transport bytes expected
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: lost
                        
                        	Transport bytes lost
                        	**type**\:  :py:class:`Lost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Bytes.Lost>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: out_of_order
                        
                        	Total number of out\-of\-order bytes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Transport.Bytes, self).__init__()

                            self.yang_name = "bytes"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"lost" : ("lost", Native.Flow.Record.Collect.Transport.Bytes.Lost)}
                            self._child_list_classes = {}

                            self.expected = YLeaf(YType.empty, "expected")

                            self.out_of_order = YLeaf(YType.empty, "out-of-order")

                            self.lost = None
                            self._children_name_map["lost"] = "lost"
                            self._children_yang_names.add("lost")
                            self._segment_path = lambda: "bytes"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Transport.Bytes, ['expected', 'out_of_order'], name, value)


                        class Lost(Entity):
                            """
                            Transport bytes lost
                            
                            .. attribute:: rate
                            
                            	Transport bytes lost rate
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Transport.Bytes.Lost, self).__init__()

                                self.yang_name = "lost"
                                self.yang_parent_name = "bytes"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.rate = YLeaf(YType.empty, "rate")
                                self._segment_path = lambda: "lost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Transport.Bytes.Lost, ['rate'], name, value)


                    class Icmp(Entity):
                        """
                        ICMP fields
                        
                        .. attribute:: ipv4
                        
                        	IPv4 ICMP fields
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Icmp.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 ICMP fields
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Icmp.Ipv6>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Transport.Icmp, self).__init__()

                            self.yang_name = "icmp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Flow.Record.Collect.Transport.Icmp.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Collect.Transport.Icmp.Ipv6)}
                            self._child_list_classes = {}

                            self.ipv4 = Native.Flow.Record.Collect.Transport.Icmp.Ipv4()
                            self.ipv4.parent = self
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv6 = Native.Flow.Record.Collect.Transport.Icmp.Ipv6()
                            self.ipv6.parent = self
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")
                            self._segment_path = lambda: "icmp"


                        class Ipv4(Entity):
                            """
                            IPv4 ICMP fields
                            
                            .. attribute:: code
                            
                            	IPv4 ICMP code
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	IPv4 ICMP type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Transport.Icmp.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "icmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.code = YLeaf(YType.empty, "code")

                                self.type = YLeaf(YType.empty, "type")
                                self._segment_path = lambda: "ipv4"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Transport.Icmp.Ipv4, ['code', 'type'], name, value)


                        class Ipv6(Entity):
                            """
                            IPv6 ICMP fields
                            
                            .. attribute:: code
                            
                            	IPv6 ICMP code
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	IPv6 ICMP type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Transport.Icmp.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "icmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.code = YLeaf(YType.empty, "code")

                                self.type = YLeaf(YType.empty, "type")
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Transport.Icmp.Ipv6, ['code', 'type'], name, value)


                    class Igmp(Entity):
                        """
                        IGMP fields
                        
                        .. attribute:: type
                        
                        	IGMP type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Transport.Igmp, self).__init__()

                            self.yang_name = "igmp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.type = YLeaf(YType.empty, "type")
                            self._segment_path = lambda: "igmp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Transport.Igmp, ['type'], name, value)


                    class Tcp(Entity):
                        """
                        TCP fields
                        
                        .. attribute:: acknowledgement_number
                        
                        	TCP acknowledgement number
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: destination_port
                        
                        	TCP destination port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: flags
                        
                        	TCP flags
                        	**type**\:  :py:class:`Flags <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp.Flags>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flow
                        
                        	TCP flow
                        	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp.Flow>`
                        
                        .. attribute:: header_length
                        
                        	TCP header length (in 32 bit words)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: maximum_segment_size
                        
                        	The maximum size of TCP segment
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: option
                        
                        	TCP option fields
                        	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp.Option>`
                        
                        .. attribute:: sequence_number
                        
                        	TCP sequence number
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_port
                        
                        	TCP source port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: urgent_pointer
                        
                        	TCP urgent pointer
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: window_size
                        
                        	TCP window size
                        	**type**\:  :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp.WindowSize>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Transport.Tcp, self).__init__()

                            self.yang_name = "tcp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"flags" : ("flags", Native.Flow.Record.Collect.Transport.Tcp.Flags), "flow" : ("flow", Native.Flow.Record.Collect.Transport.Tcp.Flow), "option" : ("option", Native.Flow.Record.Collect.Transport.Tcp.Option), "window-size" : ("window_size", Native.Flow.Record.Collect.Transport.Tcp.WindowSize)}
                            self._child_list_classes = {}

                            self.acknowledgement_number = YLeaf(YType.empty, "acknowledgement-number")

                            self.destination_port = YLeaf(YType.empty, "destination-port")

                            self.header_length = YLeaf(YType.empty, "header-length")

                            self.maximum_segment_size = YLeaf(YType.empty, "maximum-segment-size")

                            self.sequence_number = YLeaf(YType.empty, "sequence-number")

                            self.source_port = YLeaf(YType.empty, "source-port")

                            self.urgent_pointer = YLeaf(YType.empty, "urgent-pointer")

                            self.flags = None
                            self._children_name_map["flags"] = "flags"
                            self._children_yang_names.add("flags")

                            self.flow = Native.Flow.Record.Collect.Transport.Tcp.Flow()
                            self.flow.parent = self
                            self._children_name_map["flow"] = "flow"
                            self._children_yang_names.add("flow")

                            self.option = Native.Flow.Record.Collect.Transport.Tcp.Option()
                            self.option.parent = self
                            self._children_name_map["option"] = "option"
                            self._children_yang_names.add("option")

                            self.window_size = None
                            self._children_name_map["window_size"] = "window-size"
                            self._children_yang_names.add("window-size")
                            self._segment_path = lambda: "tcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Transport.Tcp, ['acknowledgement_number', 'destination_port', 'header_length', 'maximum_segment_size', 'sequence_number', 'source_port', 'urgent_pointer'], name, value)


                        class Flags(Entity):
                            """
                            TCP flags
                            
                            .. attribute:: ack
                            
                            	TCP acknowledgement flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: cwr
                            
                            	TCP congestion window reduced flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ece
                            
                            	TCP ECN echo flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fin
                            
                            	TCP finish flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: psh
                            
                            	TCP push flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rst
                            
                            	TCP reset flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: syn
                            
                            	TCP synchronise flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: urg
                            
                            	TCP urgent flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Transport.Tcp.Flags, self).__init__()

                                self.yang_name = "flags"
                                self.yang_parent_name = "tcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ack = YLeaf(YType.empty, "ack")

                                self.cwr = YLeaf(YType.empty, "cwr")

                                self.ece = YLeaf(YType.empty, "ece")

                                self.fin = YLeaf(YType.empty, "fin")

                                self.psh = YLeaf(YType.empty, "psh")

                                self.rst = YLeaf(YType.empty, "rst")

                                self.syn = YLeaf(YType.empty, "syn")

                                self.urg = YLeaf(YType.empty, "urg")
                                self._segment_path = lambda: "flags"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Transport.Tcp.Flags, ['ack', 'cwr', 'ece', 'fin', 'psh', 'rst', 'syn', 'urg'], name, value)


                        class Flow(Entity):
                            """
                            TCP flow
                            
                            .. attribute:: count
                            
                            	Number of tcp flows
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Transport.Tcp.Flow, self).__init__()

                                self.yang_name = "flow"
                                self.yang_parent_name = "tcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.count = YLeaf(YType.empty, "count")
                                self._segment_path = lambda: "flow"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Transport.Tcp.Flow, ['count'], name, value)


                        class Option(Entity):
                            """
                            TCP option fields
                            
                            .. attribute:: map
                            
                            	Bitmap of TCP options
                            	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp.Option.Map>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Transport.Tcp.Option, self).__init__()

                                self.yang_name = "option"
                                self.yang_parent_name = "tcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map" : ("map", Native.Flow.Record.Collect.Transport.Tcp.Option.Map)}
                                self._child_list_classes = {}

                                self.map = None
                                self._children_name_map["map"] = "map"
                                self._children_yang_names.add("map")
                                self._segment_path = lambda: "option"


                            class Map(Entity):
                                """
                                Bitmap of TCP options
                                
                                .. attribute:: long
                                
                                	Extended bitmap of TCP options
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Transport.Tcp.Option.Map, self).__init__()

                                    self.yang_name = "map"
                                    self.yang_parent_name = "option"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.long = YLeaf(YType.empty, "long")
                                    self._segment_path = lambda: "map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Transport.Tcp.Option.Map, ['long'], name, value)


                        class WindowSize(Entity):
                            """
                            TCP window size
                            
                            .. attribute:: average
                            
                            	The average size of TCP window
                            	**type**\:  :py:class:`Average <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Tcp.WindowSize.Average>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum
                            
                            	The maximum size of TCP window
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	The minimum size of TCP window
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	The sum of TCP window size
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Transport.Tcp.WindowSize, self).__init__()

                                self.yang_name = "window-size"
                                self.yang_parent_name = "tcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"average" : ("average", Native.Flow.Record.Collect.Transport.Tcp.WindowSize.Average)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum = YLeaf(YType.empty, "maximum")

                                self.minimum = YLeaf(YType.empty, "minimum")

                                self.sum = YLeaf(YType.empty, "sum")

                                self.average = None
                                self._children_name_map["average"] = "average"
                                self._children_yang_names.add("average")
                                self._segment_path = lambda: "window-size"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Transport.Tcp.WindowSize, ['maximum', 'minimum', 'sum'], name, value)


                            class Average(Entity):
                                """
                                The average size of TCP window
                                
                                .. attribute:: sum
                                
                                	The sum of per flow TCP window average size
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Transport.Tcp.WindowSize.Average, self).__init__()

                                    self.yang_name = "average"
                                    self.yang_parent_name = "window-size"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.sum = YLeaf(YType.empty, "sum")
                                    self._segment_path = lambda: "average"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Transport.Tcp.WindowSize.Average, ['sum'], name, value)


                    class Udp(Entity):
                        """
                        UDP fields
                        
                        .. attribute:: destination_port
                        
                        	UDP destination port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: message_length
                        
                        	UDP message length
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_port
                        
                        	UDP source port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Transport.Udp, self).__init__()

                            self.yang_name = "udp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.destination_port = YLeaf(YType.empty, "destination-port")

                            self.message_length = YLeaf(YType.empty, "message-length")

                            self.source_port = YLeaf(YType.empty, "source-port")
                            self._segment_path = lambda: "udp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Transport.Udp, ['destination_port', 'message_length', 'source_port'], name, value)


                    class Event(Entity):
                        """
                        Transport event fields
                        
                        .. attribute:: packet_loss
                        
                        	Transport event packet\-loss fields
                        	**type**\:  :py:class:`PacketLoss <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Event.PacketLoss>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Transport.Event, self).__init__()

                            self.yang_name = "event"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"packet-loss" : ("packet_loss", Native.Flow.Record.Collect.Transport.Event.PacketLoss)}
                            self._child_list_classes = {}

                            self.packet_loss = Native.Flow.Record.Collect.Transport.Event.PacketLoss()
                            self.packet_loss.parent = self
                            self._children_name_map["packet_loss"] = "packet-loss"
                            self._children_yang_names.add("packet-loss")
                            self._segment_path = lambda: "event"


                        class PacketLoss(Entity):
                            """
                            Transport event packet\-loss fields
                            
                            .. attribute:: counter
                            
                            	Count of sets of packets that were lost
                            	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Event.PacketLoss.Counter>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Transport.Event.PacketLoss, self).__init__()

                                self.yang_name = "packet-loss"
                                self.yang_parent_name = "event"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Collect.Transport.Event.PacketLoss.Counter)}
                                self._child_list_classes = {}

                                self.counter = None
                                self._children_name_map["counter"] = "counter"
                                self._children_yang_names.add("counter")
                                self._segment_path = lambda: "packet-loss"


                            class Counter(Entity):
                                """
                                Count of sets of packets that were lost
                                
                                .. attribute:: max
                                
                                	Highest packet loss counter when multiple flows are aggregated
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Lowest packet loss counter when multiple flows are aggregated
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Transport.Event.PacketLoss.Counter, self).__init__()

                                    self.yang_name = "counter"
                                    self.yang_parent_name = "packet-loss"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max = YLeaf(YType.empty, "max")

                                    self.min = YLeaf(YType.empty, "min")
                                    self._segment_path = lambda: "counter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Transport.Event.PacketLoss.Counter, ['max', 'min'], name, value)


                    class Packets(Entity):
                        """
                        Transport packet fields
                        
                        .. attribute:: expected
                        
                        	Transport packets expected fields
                        	**type**\:  :py:class:`Expected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Packets.Expected>`
                        
                        .. attribute:: lost
                        
                        	Transport packets lost fields
                        	**type**\:  :py:class:`Lost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Packets.Lost>`
                        
                        .. attribute:: out_of_order
                        
                        	Total number of out\-of\-order bytes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Transport.Packets, self).__init__()

                            self.yang_name = "packets"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"expected" : ("expected", Native.Flow.Record.Collect.Transport.Packets.Expected), "lost" : ("lost", Native.Flow.Record.Collect.Transport.Packets.Lost)}
                            self._child_list_classes = {}

                            self.out_of_order = YLeaf(YType.empty, "out-of-order")

                            self.expected = Native.Flow.Record.Collect.Transport.Packets.Expected()
                            self.expected.parent = self
                            self._children_name_map["expected"] = "expected"
                            self._children_yang_names.add("expected")

                            self.lost = Native.Flow.Record.Collect.Transport.Packets.Lost()
                            self.lost.parent = self
                            self._children_name_map["lost"] = "lost"
                            self._children_yang_names.add("lost")
                            self._segment_path = lambda: "packets"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Transport.Packets, ['out_of_order'], name, value)


                        class Expected(Entity):
                            """
                            Transport packets expected fields
                            
                            .. attribute:: counter
                            
                            	Expected number of packets from sequencing information
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Transport.Packets.Expected, self).__init__()

                                self.yang_name = "expected"
                                self.yang_parent_name = "packets"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.counter = YLeaf(YType.empty, "counter")
                                self._segment_path = lambda: "expected"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Transport.Packets.Expected, ['counter'], name, value)


                        class Lost(Entity):
                            """
                            Transport packets lost fields
                            
                            .. attribute:: counter
                            
                            	A count of the number of lost packets from sequencing information
                            	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Packets.Lost.Counter>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: rate
                            
                            	Packet loss rate from sequencing information
                            	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Packets.Lost.Rate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Transport.Packets.Lost, self).__init__()

                                self.yang_name = "lost"
                                self.yang_parent_name = "packets"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Collect.Transport.Packets.Lost.Counter), "rate" : ("rate", Native.Flow.Record.Collect.Transport.Packets.Lost.Rate)}
                                self._child_list_classes = {}

                                self.counter = None
                                self._children_name_map["counter"] = "counter"
                                self._children_yang_names.add("counter")

                                self.rate = None
                                self._children_name_map["rate"] = "rate"
                                self._children_yang_names.add("rate")
                                self._segment_path = lambda: "lost"


                            class Counter(Entity):
                                """
                                A count of the number of lost packets from sequencing information
                                
                                .. attribute:: max
                                
                                	Highest lost packet count seen among the aggregated flows
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Lowest lost packet count seen among the aggregated flows
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Transport.Packets.Lost.Counter, self).__init__()

                                    self.yang_name = "counter"
                                    self.yang_parent_name = "lost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max = YLeaf(YType.empty, "max")

                                    self.min = YLeaf(YType.empty, "min")
                                    self._segment_path = lambda: "counter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Transport.Packets.Lost.Counter, ['max', 'min'], name, value)


                            class Rate(Entity):
                                """
                                Packet loss rate from sequencing information
                                
                                .. attribute:: max
                                
                                	Maximum packet loss rate in the aggregated flows
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum packet loss rate in the aggregated flows
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Transport.Packets.Lost.Rate, self).__init__()

                                    self.yang_name = "rate"
                                    self.yang_parent_name = "lost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max = YLeaf(YType.empty, "max")

                                    self.min = YLeaf(YType.empty, "min")
                                    self._segment_path = lambda: "rate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Transport.Packets.Lost.Rate, ['max', 'min'], name, value)


                    class RoundTripTime(Entity):
                        """
                        RTT calculation for flow
                        
                        .. attribute:: max
                        
                        	Highest RTT among all flows
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: min
                        
                        	Lowest RTT among all flows
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: samples
                        
                        	RTT samples
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sum
                        
                        	Sum RTT for all flows
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Transport.RoundTripTime, self).__init__()

                            self.yang_name = "round-trip-time"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.max = YLeaf(YType.empty, "max")

                            self.min = YLeaf(YType.empty, "min")

                            self.samples = YLeaf(YType.empty, "samples")

                            self.sum = YLeaf(YType.empty, "sum")
                            self._segment_path = lambda: "round-trip-time"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Transport.RoundTripTime, ['max', 'min', 'samples', 'sum'], name, value)


                    class Rtp(Entity):
                        """
                        RTP fields
                        
                        .. attribute:: flow
                        
                        	RTP  flow
                        	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Rtp.Flow>`
                        
                        .. attribute:: jitter
                        
                        	RTP jitter fields
                        	**type**\:  :py:class:`Jitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Rtp.Jitter>`
                        
                        .. attribute:: payload_type
                        
                        	RTP payload type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ssrc
                        
                        	RTP SSRC
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Collect.Transport.Rtp, self).__init__()

                            self.yang_name = "rtp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"flow" : ("flow", Native.Flow.Record.Collect.Transport.Rtp.Flow), "jitter" : ("jitter", Native.Flow.Record.Collect.Transport.Rtp.Jitter)}
                            self._child_list_classes = {}

                            self.payload_type = YLeaf(YType.empty, "payload-type")

                            self.ssrc = YLeaf(YType.empty, "ssrc")

                            self.flow = Native.Flow.Record.Collect.Transport.Rtp.Flow()
                            self.flow.parent = self
                            self._children_name_map["flow"] = "flow"
                            self._children_yang_names.add("flow")

                            self.jitter = Native.Flow.Record.Collect.Transport.Rtp.Jitter()
                            self.jitter.parent = self
                            self._children_name_map["jitter"] = "jitter"
                            self._children_yang_names.add("jitter")
                            self._segment_path = lambda: "rtp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Collect.Transport.Rtp, ['payload_type', 'ssrc'], name, value)


                        class Flow(Entity):
                            """
                            RTP  flow
                            
                            .. attribute:: count
                            
                            	Number of RTP flows
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Transport.Rtp.Flow, self).__init__()

                                self.yang_name = "flow"
                                self.yang_parent_name = "rtp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.count = YLeaf(YType.empty, "count")
                                self._segment_path = lambda: "flow"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Transport.Rtp.Flow, ['count'], name, value)


                        class Jitter(Entity):
                            """
                            RTP jitter fields
                            
                            .. attribute:: maximum
                            
                            	Maximum jitter for the RTP stream
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mean
                            
                            	Mean jitter for the RTP stream
                            	**type**\:  :py:class:`Mean <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Collect.Transport.Rtp.Jitter.Mean>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: minimum
                            
                            	Minimum jitter for the RTP stream
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Collect.Transport.Rtp.Jitter, self).__init__()

                                self.yang_name = "jitter"
                                self.yang_parent_name = "rtp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mean" : ("mean", Native.Flow.Record.Collect.Transport.Rtp.Jitter.Mean)}
                                self._child_list_classes = {}

                                self.maximum = YLeaf(YType.empty, "maximum")

                                self.minimum = YLeaf(YType.empty, "minimum")

                                self.mean = None
                                self._children_name_map["mean"] = "mean"
                                self._children_yang_names.add("mean")
                                self._segment_path = lambda: "jitter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Collect.Transport.Rtp.Jitter, ['maximum', 'minimum'], name, value)


                            class Mean(Entity):
                                """
                                Mean jitter for the RTP stream
                                
                                .. attribute:: sum
                                
                                	The sum of jitter mean for the RTP stream
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Collect.Transport.Rtp.Jitter.Mean, self).__init__()

                                    self.yang_name = "mean"
                                    self.yang_parent_name = "jitter"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.sum = YLeaf(YType.empty, "sum")
                                    self._segment_path = lambda: "mean"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Collect.Transport.Rtp.Jitter.Mean, ['sum'], name, value)


            class Default(Entity):
                """
                Set a command to its defaults
                
                .. attribute:: collect
                
                	Specify a non\-key field
                	**type**\:  :py:class:`Collect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect>`
                
                .. attribute:: description
                
                	Provide a description for this Flow Record
                	**type**\: str
                
                .. attribute:: match
                
                	Specify a key field
                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Record.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "record"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"collect" : ("collect", Native.Flow.Record.Default.Collect), "match" : ("match", Native.Flow.Record.Default.Match)}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.str, "description")

                    self.collect = Native.Flow.Record.Default.Collect()
                    self.collect.parent = self
                    self._children_name_map["collect"] = "collect"
                    self._children_yang_names.add("collect")

                    self.match = Native.Flow.Record.Default.Match()
                    self.match.parent = self
                    self._children_name_map["match"] = "match"
                    self._children_yang_names.add("match")
                    self._segment_path = lambda: "default"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Flow.Record.Default, ['description'], name, value)


                class Collect(Entity):
                    """
                    Specify a non\-key field
                    
                    .. attribute:: application
                    
                    	Application fields
                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application>`
                    
                    .. attribute:: connection
                    
                    	Connection fields
                    	**type**\:  :py:class:`Connection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection>`
                    
                    .. attribute:: counter
                    
                    	Counter fields
                    	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter>`
                    
                    .. attribute:: datalink
                    
                    	Datalink (layer2) fields
                    	**type**\:  :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink>`
                    
                    .. attribute:: flow
                    
                    	Flow identifying fields
                    	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Flow>`
                    
                    .. attribute:: interface
                    
                    	Interface fields
                    	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Interface>`
                    
                    .. attribute:: ipv4
                    
                    	IPv4 fields
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 fields
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6>`
                    
                    .. attribute:: metadata
                    
                    	Metadata fields
                    	**type**\:  :py:class:`Metadata <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Metadata>`
                    
                    .. attribute:: monitor
                    
                    	monitor fields
                    	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Monitor>`
                    
                    .. attribute:: mpls
                    
                    	MPLS fields
                    	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls>`
                    
                    .. attribute:: network
                    
                    	network metrics
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Network>`
                    
                    .. attribute:: pfr
                    
                    	PfR metrics
                    	**type**\:  :py:class:`Pfr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr>`
                    
                    .. attribute:: policy
                    
                    	policy fields
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Policy>`
                    
                    .. attribute:: routing
                    
                    	Routing attributes
                    	**type**\:  :py:class:`Routing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing>`
                    
                    .. attribute:: services
                    
                    	Services fields
                    	**type**\:  :py:class:`Services <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Services>`
                    
                    .. attribute:: timestamp
                    
                    	Timestamp fields
                    	**type**\:  :py:class:`Timestamp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Timestamp>`
                    
                    .. attribute:: transport
                    
                    	Transport layer fields
                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Default.Collect, self).__init__()

                        self.yang_name = "collect"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"application" : ("application", Native.Flow.Record.Default.Collect.Application), "connection" : ("connection", Native.Flow.Record.Default.Collect.Connection), "counter" : ("counter", Native.Flow.Record.Default.Collect.Counter), "datalink" : ("datalink", Native.Flow.Record.Default.Collect.Datalink), "flow" : ("flow", Native.Flow.Record.Default.Collect.Flow), "interface" : ("interface", Native.Flow.Record.Default.Collect.Interface), "ipv4" : ("ipv4", Native.Flow.Record.Default.Collect.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Default.Collect.Ipv6), "metadata" : ("metadata", Native.Flow.Record.Default.Collect.Metadata), "monitor" : ("monitor", Native.Flow.Record.Default.Collect.Monitor), "mpls" : ("mpls", Native.Flow.Record.Default.Collect.Mpls), "network" : ("network", Native.Flow.Record.Default.Collect.Network), "pfr" : ("pfr", Native.Flow.Record.Default.Collect.Pfr), "policy" : ("policy", Native.Flow.Record.Default.Collect.Policy), "routing" : ("routing", Native.Flow.Record.Default.Collect.Routing), "services" : ("services", Native.Flow.Record.Default.Collect.Services), "timestamp" : ("timestamp", Native.Flow.Record.Default.Collect.Timestamp), "transport" : ("transport", Native.Flow.Record.Default.Collect.Transport)}
                        self._child_list_classes = {}

                        self.application = Native.Flow.Record.Default.Collect.Application()
                        self.application.parent = self
                        self._children_name_map["application"] = "application"
                        self._children_yang_names.add("application")

                        self.connection = Native.Flow.Record.Default.Collect.Connection()
                        self.connection.parent = self
                        self._children_name_map["connection"] = "connection"
                        self._children_yang_names.add("connection")

                        self.counter = Native.Flow.Record.Default.Collect.Counter()
                        self.counter.parent = self
                        self._children_name_map["counter"] = "counter"
                        self._children_yang_names.add("counter")

                        self.datalink = Native.Flow.Record.Default.Collect.Datalink()
                        self.datalink.parent = self
                        self._children_name_map["datalink"] = "datalink"
                        self._children_yang_names.add("datalink")

                        self.flow = Native.Flow.Record.Default.Collect.Flow()
                        self.flow.parent = self
                        self._children_name_map["flow"] = "flow"
                        self._children_yang_names.add("flow")

                        self.interface = Native.Flow.Record.Default.Collect.Interface()
                        self.interface.parent = self
                        self._children_name_map["interface"] = "interface"
                        self._children_yang_names.add("interface")

                        self.ipv4 = Native.Flow.Record.Default.Collect.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = Native.Flow.Record.Default.Collect.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.metadata = Native.Flow.Record.Default.Collect.Metadata()
                        self.metadata.parent = self
                        self._children_name_map["metadata"] = "metadata"
                        self._children_yang_names.add("metadata")

                        self.monitor = Native.Flow.Record.Default.Collect.Monitor()
                        self.monitor.parent = self
                        self._children_name_map["monitor"] = "monitor"
                        self._children_yang_names.add("monitor")

                        self.mpls = Native.Flow.Record.Default.Collect.Mpls()
                        self.mpls.parent = self
                        self._children_name_map["mpls"] = "mpls"
                        self._children_yang_names.add("mpls")

                        self.network = Native.Flow.Record.Default.Collect.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.pfr = Native.Flow.Record.Default.Collect.Pfr()
                        self.pfr.parent = self
                        self._children_name_map["pfr"] = "pfr"
                        self._children_yang_names.add("pfr")

                        self.policy = Native.Flow.Record.Default.Collect.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.routing = Native.Flow.Record.Default.Collect.Routing()
                        self.routing.parent = self
                        self._children_name_map["routing"] = "routing"
                        self._children_yang_names.add("routing")

                        self.services = Native.Flow.Record.Default.Collect.Services()
                        self.services.parent = self
                        self._children_name_map["services"] = "services"
                        self._children_yang_names.add("services")

                        self.timestamp = Native.Flow.Record.Default.Collect.Timestamp()
                        self.timestamp.parent = self
                        self._children_name_map["timestamp"] = "timestamp"
                        self._children_yang_names.add("timestamp")

                        self.transport = Native.Flow.Record.Default.Collect.Transport()
                        self.transport.parent = self
                        self._children_name_map["transport"] = "transport"
                        self._children_yang_names.add("transport")
                        self._segment_path = lambda: "collect"


                    class Application(Entity):
                        """
                        Application fields
                        
                        .. attribute:: dns
                        
                        	Domain Name Server lookup
                        	**type**\:  :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Dns>`
                        
                        .. attribute:: http
                        
                        	World Wide Web traffic
                        	**type**\:  :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Http>`
                        
                        .. attribute:: media
                        
                        	Media fields
                        	**type**\:  :py:class:`Media <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media>`
                        
                        .. attribute:: name
                        
                        	Application name
                        	**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Name>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nntp
                        
                        	Network news transfer protocol
                        	**type**\:  :py:class:`Nntp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Nntp>`
                        
                        .. attribute:: pop3
                        
                        	Post Office Protocol 3
                        	**type**\:  :py:class:`Pop3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Pop3>`
                        
                        .. attribute:: rtmp
                        
                        	Real Time Messaging Protocol
                        	**type**\:  :py:class:`Rtmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Rtmp>`
                        
                        .. attribute:: rtsp
                        
                        	Real Time Streaming Protocol
                        	**type**\:  :py:class:`Rtsp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Rtsp>`
                        
                        .. attribute:: sip
                        
                        	Session Initiation Protocol
                        	**type**\:  :py:class:`Sip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Sip>`
                        
                        .. attribute:: smtp
                        
                        	Simple Mail Transfer Protocol
                        	**type**\:  :py:class:`Smtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Smtp>`
                        
                        .. attribute:: ssl
                        
                        	Secure Socket Layer Protocol
                        	**type**\:  :py:class:`Ssl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Ssl>`
                        
                        .. attribute:: vendor
                        
                        	Application vendor id
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: version
                        
                        	Application version id
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Application, self).__init__()

                            self.yang_name = "application"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dns" : ("dns", Native.Flow.Record.Default.Collect.Application.Dns), "http" : ("http", Native.Flow.Record.Default.Collect.Application.Http), "media" : ("media", Native.Flow.Record.Default.Collect.Application.Media), "name" : ("name", Native.Flow.Record.Default.Collect.Application.Name), "nntp" : ("nntp", Native.Flow.Record.Default.Collect.Application.Nntp), "pop3" : ("pop3", Native.Flow.Record.Default.Collect.Application.Pop3), "rtmp" : ("rtmp", Native.Flow.Record.Default.Collect.Application.Rtmp), "rtsp" : ("rtsp", Native.Flow.Record.Default.Collect.Application.Rtsp), "sip" : ("sip", Native.Flow.Record.Default.Collect.Application.Sip), "smtp" : ("smtp", Native.Flow.Record.Default.Collect.Application.Smtp), "ssl" : ("ssl", Native.Flow.Record.Default.Collect.Application.Ssl)}
                            self._child_list_classes = {}

                            self.vendor = YLeaf(YType.empty, "vendor")

                            self.version = YLeaf(YType.empty, "version")

                            self.dns = Native.Flow.Record.Default.Collect.Application.Dns()
                            self.dns.parent = self
                            self._children_name_map["dns"] = "dns"
                            self._children_yang_names.add("dns")

                            self.http = Native.Flow.Record.Default.Collect.Application.Http()
                            self.http.parent = self
                            self._children_name_map["http"] = "http"
                            self._children_yang_names.add("http")

                            self.media = Native.Flow.Record.Default.Collect.Application.Media()
                            self.media.parent = self
                            self._children_name_map["media"] = "media"
                            self._children_yang_names.add("media")

                            self.name = None
                            self._children_name_map["name"] = "name"
                            self._children_yang_names.add("name")

                            self.nntp = Native.Flow.Record.Default.Collect.Application.Nntp()
                            self.nntp.parent = self
                            self._children_name_map["nntp"] = "nntp"
                            self._children_yang_names.add("nntp")

                            self.pop3 = Native.Flow.Record.Default.Collect.Application.Pop3()
                            self.pop3.parent = self
                            self._children_name_map["pop3"] = "pop3"
                            self._children_yang_names.add("pop3")

                            self.rtmp = Native.Flow.Record.Default.Collect.Application.Rtmp()
                            self.rtmp.parent = self
                            self._children_name_map["rtmp"] = "rtmp"
                            self._children_yang_names.add("rtmp")

                            self.rtsp = Native.Flow.Record.Default.Collect.Application.Rtsp()
                            self.rtsp.parent = self
                            self._children_name_map["rtsp"] = "rtsp"
                            self._children_yang_names.add("rtsp")

                            self.sip = Native.Flow.Record.Default.Collect.Application.Sip()
                            self.sip.parent = self
                            self._children_name_map["sip"] = "sip"
                            self._children_yang_names.add("sip")

                            self.smtp = Native.Flow.Record.Default.Collect.Application.Smtp()
                            self.smtp.parent = self
                            self._children_name_map["smtp"] = "smtp"
                            self._children_yang_names.add("smtp")

                            self.ssl = Native.Flow.Record.Default.Collect.Application.Ssl()
                            self.ssl.parent = self
                            self._children_name_map["ssl"] = "ssl"
                            self._children_yang_names.add("ssl")
                            self._segment_path = lambda: "application"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Collect.Application, ['vendor', 'version'], name, value)


                        class Dns(Entity):
                            """
                            Domain Name Server lookup
                            
                            .. attribute:: domain_name
                            
                            	Domain name
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Application.Dns, self).__init__()

                                self.yang_name = "dns"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.domain_name = YLeaf(YType.empty, "domain-name")
                                self._segment_path = lambda: "dns"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Dns, ['domain_name'], name, value)


                        class Http(Entity):
                            """
                            World Wide Web traffic
                            
                            .. attribute:: host
                            
                            	Host name of Origin Server containing resource
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: referer
                            
                            	Address the resource request was obtained from
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: uri
                            
                            	List of URIs and associated hit counts
                            	**type**\:  :py:class:`Uri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Http.Uri>`
                            
                            .. attribute:: url
                            
                            	Uniform Resource Locator path
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: user_agent
                            
                            	Software used by agent sending the request
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Application.Http, self).__init__()

                                self.yang_name = "http"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"uri" : ("uri", Native.Flow.Record.Default.Collect.Application.Http.Uri)}
                                self._child_list_classes = {}

                                self.host = YLeaf(YType.empty, "host")

                                self.referer = YLeaf(YType.empty, "referer")

                                self.url = YLeaf(YType.empty, "url")

                                self.user_agent = YLeaf(YType.empty, "user-agent")

                                self.uri = Native.Flow.Record.Default.Collect.Application.Http.Uri()
                                self.uri.parent = self
                                self._children_name_map["uri"] = "uri"
                                self._children_yang_names.add("uri")
                                self._segment_path = lambda: "http"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Http, ['host', 'referer', 'url', 'user_agent'], name, value)


                            class Uri(Entity):
                                """
                                List of URIs and associated hit counts
                                
                                .. attribute:: statistics
                                
                                	Collect URI statistics
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Application.Http.Uri, self).__init__()

                                    self.yang_name = "uri"
                                    self.yang_parent_name = "http"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.statistics = YLeaf(YType.empty, "statistics")
                                    self._segment_path = lambda: "uri"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Http.Uri, ['statistics'], name, value)


                        class Media(Entity):
                            """
                            Media fields
                            
                            .. attribute:: bytes
                            
                            	Media fields
                            	**type**\:  :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Bytes>`
                            
                            .. attribute:: event
                            
                            	Flags indicating media events
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: packets
                            
                            	Media fields
                            	**type**\:  :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Packets>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Application.Media, self).__init__()

                                self.yang_name = "media"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bytes" : ("bytes", Native.Flow.Record.Default.Collect.Application.Media.Bytes), "packets" : ("packets", Native.Flow.Record.Default.Collect.Application.Media.Packets)}
                                self._child_list_classes = {}

                                self.event = YLeaf(YType.empty, "event")

                                self.bytes = Native.Flow.Record.Default.Collect.Application.Media.Bytes()
                                self.bytes.parent = self
                                self._children_name_map["bytes"] = "bytes"
                                self._children_yang_names.add("bytes")

                                self.packets = Native.Flow.Record.Default.Collect.Application.Media.Packets()
                                self.packets.parent = self
                                self._children_name_map["packets"] = "packets"
                                self._children_yang_names.add("packets")
                                self._segment_path = lambda: "media"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Media, ['event'], name, value)


                            class Bytes(Entity):
                                """
                                Media fields
                                
                                .. attribute:: counter
                                
                                	A count of the number of bytes of media payload
                                	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Bytes.Counter>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: rate
                                
                                	Byte rate for the media stream
                                	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Application.Media.Bytes, self).__init__()

                                    self.yang_name = "bytes"
                                    self.yang_parent_name = "media"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Default.Collect.Application.Media.Bytes.Counter), "rate" : ("rate", Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate)}
                                    self._child_list_classes = {}

                                    self.counter = None
                                    self._children_name_map["counter"] = "counter"
                                    self._children_yang_names.add("counter")

                                    self.rate = None
                                    self._children_name_map["rate"] = "rate"
                                    self._children_yang_names.add("rate")
                                    self._segment_path = lambda: "bytes"


                                class Counter(Entity):
                                    """
                                    A count of the number of bytes of media payload
                                    
                                    .. attribute:: long
                                    
                                    	A count of the number of bytes of media payload (64 bit counter)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Application.Media.Bytes.Counter, self).__init__()

                                        self.yang_name = "counter"
                                        self.yang_parent_name = "bytes"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.long = YLeaf(YType.empty, "long")
                                        self._segment_path = lambda: "counter"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Media.Bytes.Counter, ['long'], name, value)


                                class Rate(Entity):
                                    """
                                    Byte rate for the media stream
                                    
                                    .. attribute:: per_flow
                                    
                                    	Average media byte rate across flows
                                    	**type**\:  :py:class:`PerFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate.PerFlow>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate, self).__init__()

                                        self.yang_name = "rate"
                                        self.yang_parent_name = "bytes"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"per-flow" : ("per_flow", Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate.PerFlow)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.per_flow = None
                                        self._children_name_map["per_flow"] = "per-flow"
                                        self._children_yang_names.add("per-flow")
                                        self._segment_path = lambda: "rate"


                                    class PerFlow(Entity):
                                        """
                                        Average media byte rate across flows
                                        
                                        .. attribute:: max
                                        
                                        	Maximum byte rate in the media stream
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: min
                                        
                                        	Minumun byte rate in the media stream
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-04-19'

                                        def __init__(self):
                                            super(Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate.PerFlow, self).__init__()

                                            self.yang_name = "per-flow"
                                            self.yang_parent_name = "rate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max = YLeaf(YType.empty, "max")

                                            self.min = YLeaf(YType.empty, "min")
                                            self._segment_path = lambda: "per-flow"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Media.Bytes.Rate.PerFlow, ['max', 'min'], name, value)


                            class Packets(Entity):
                                """
                                Media fields
                                
                                .. attribute:: counter
                                
                                	A count of the number of packets with a media payload
                                	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Packets.Counter>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: rate
                                
                                	Packet rate for the media stream
                                	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Application.Media.Packets, self).__init__()

                                    self.yang_name = "packets"
                                    self.yang_parent_name = "media"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Default.Collect.Application.Media.Packets.Counter), "rate" : ("rate", Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate)}
                                    self._child_list_classes = {}

                                    self.counter = None
                                    self._children_name_map["counter"] = "counter"
                                    self._children_yang_names.add("counter")

                                    self.rate = None
                                    self._children_name_map["rate"] = "rate"
                                    self._children_yang_names.add("rate")
                                    self._segment_path = lambda: "packets"


                                class Counter(Entity):
                                    """
                                    A count of the number of packets with a media payload
                                    
                                    .. attribute:: long
                                    
                                    	A count of the number of packets with a media payload (64 bit counter)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Application.Media.Packets.Counter, self).__init__()

                                        self.yang_name = "counter"
                                        self.yang_parent_name = "packets"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.long = YLeaf(YType.empty, "long")
                                        self._segment_path = lambda: "counter"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Media.Packets.Counter, ['long'], name, value)


                                class Rate(Entity):
                                    """
                                    Packet rate for the media stream
                                    
                                    .. attribute:: variation
                                    
                                    	Variation in packet rate from configured expected rate
                                    	**type**\:  :py:class:`Variation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate.Variation>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate, self).__init__()

                                        self.yang_name = "rate"
                                        self.yang_parent_name = "packets"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"variation" : ("variation", Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate.Variation)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.variation = None
                                        self._children_name_map["variation"] = "variation"
                                        self._children_yang_names.add("variation")
                                        self._segment_path = lambda: "rate"


                                    class Variation(Entity):
                                        """
                                        Variation in packet rate from configured expected rate
                                        
                                        .. attribute:: max
                                        
                                        	Max variation in packet rate from configured expected rate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: min
                                        
                                        	Variation in packet rate from configured expected rate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: sum
                                        
                                        	The sum of media rate variation from the configured rate for the RTP stream
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-04-19'

                                        def __init__(self):
                                            super(Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate.Variation, self).__init__()

                                            self.yang_name = "variation"
                                            self.yang_parent_name = "rate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max = YLeaf(YType.empty, "max")

                                            self.min = YLeaf(YType.empty, "min")

                                            self.sum = YLeaf(YType.empty, "sum")
                                            self._segment_path = lambda: "variation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Media.Packets.Rate.Variation, ['max', 'min', 'sum'], name, value)


                        class Name(Entity):
                            """
                            Application name
                            
                            .. attribute:: account_on_resolution
                            
                            	Account on resolution
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Application.Name, self).__init__()

                                self.yang_name = "name"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.account_on_resolution = YLeaf(YType.empty, "account-on-resolution")
                                self._segment_path = lambda: "name"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Name, ['account_on_resolution'], name, value)


                        class Nntp(Entity):
                            """
                            Network news transfer protocol
                            
                            .. attribute:: group_name
                            
                            	NNTP Group name
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Application.Nntp, self).__init__()

                                self.yang_name = "nntp"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group_name = YLeaf(YType.empty, "group-name")
                                self._segment_path = lambda: "nntp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Nntp, ['group_name'], name, value)


                        class Pop3(Entity):
                            """
                            Post Office Protocol 3
                            
                            .. attribute:: server
                            
                            	POP3 Server Name
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Application.Pop3, self).__init__()

                                self.yang_name = "pop3"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.server = YLeaf(YType.empty, "server")
                                self._segment_path = lambda: "pop3"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Pop3, ['server'], name, value)


                        class Rtmp(Entity):
                            """
                            Real Time Messaging Protocol
                            
                            .. attribute:: pageurl
                            
                            	RTMP page url address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Application.Rtmp, self).__init__()

                                self.yang_name = "rtmp"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.pageurl = YLeaf(YType.empty, "pageUrl")
                                self._segment_path = lambda: "rtmp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Rtmp, ['pageurl'], name, value)


                        class Rtsp(Entity):
                            """
                            Real Time Streaming Protocol
                            
                            .. attribute:: host
                            
                            	RTSP Host Name
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Application.Rtsp, self).__init__()

                                self.yang_name = "rtsp"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.host = YLeaf(YType.empty, "host")
                                self._segment_path = lambda: "rtsp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Rtsp, ['host'], name, value)


                        class Sip(Entity):
                            """
                            Session Initiation Protocol
                            
                            .. attribute:: destination
                            
                            	The destination domain of SIP transactions
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source
                            
                            	The source domain of SIP transactions
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Application.Sip, self).__init__()

                                self.yang_name = "sip"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.destination = YLeaf(YType.empty, "destination")

                                self.source = YLeaf(YType.empty, "source")
                                self._segment_path = lambda: "sip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Sip, ['destination', 'source'], name, value)


                        class Smtp(Entity):
                            """
                            Simple Mail Transfer Protocol
                            
                            .. attribute:: sender
                            
                            	SMTP Sender Mail Address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: server
                            
                            	SMTP Server Name
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Application.Smtp, self).__init__()

                                self.yang_name = "smtp"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sender = YLeaf(YType.empty, "sender")

                                self.server = YLeaf(YType.empty, "server")
                                self._segment_path = lambda: "smtp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Smtp, ['sender', 'server'], name, value)


                        class Ssl(Entity):
                            """
                            Secure Socket Layer Protocol
                            
                            .. attribute:: common_name
                            
                            	Certificate Common Name (CN)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Application.Ssl, self).__init__()

                                self.yang_name = "ssl"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common_name = YLeaf(YType.empty, "common-name")
                                self._segment_path = lambda: "ssl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Application.Ssl, ['common_name'], name, value)


                    class Connection(Entity):
                        """
                        Connection fields
                        
                        .. attribute:: client
                        
                        	Client side (flow initiator) related metrics
                        	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client>`
                        
                        .. attribute:: delay
                        
                        	Connection delay metrics
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay>`
                        
                        .. attribute:: id
                        
                        	An identifier for a connection between client and server
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: initiator
                        
                        	The direction of the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: new_connections
                        
                        	The number of connection initiations observed
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: server
                        
                        	Server side (flow responder) related metrics
                        	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server>`
                        
                        .. attribute:: sum_duration
                        
                        	The overall time in seconds for all connections
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: transaction
                        
                        	Transaction related metrics
                        	**type**\:  :py:class:`Transaction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Transaction>`
                        
                        .. attribute:: transaction_id
                        
                        	An identifier for a transaction between client and server
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Connection, self).__init__()

                            self.yang_name = "connection"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client" : ("client", Native.Flow.Record.Default.Collect.Connection.Client), "delay" : ("delay", Native.Flow.Record.Default.Collect.Connection.Delay), "server" : ("server", Native.Flow.Record.Default.Collect.Connection.Server), "transaction" : ("transaction", Native.Flow.Record.Default.Collect.Connection.Transaction)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.empty, "id")

                            self.initiator = YLeaf(YType.empty, "initiator")

                            self.new_connections = YLeaf(YType.empty, "new-connections")

                            self.sum_duration = YLeaf(YType.empty, "sum-duration")

                            self.transaction_id = YLeaf(YType.empty, "transaction-id")

                            self.client = Native.Flow.Record.Default.Collect.Connection.Client()
                            self.client.parent = self
                            self._children_name_map["client"] = "client"
                            self._children_yang_names.add("client")

                            self.delay = Native.Flow.Record.Default.Collect.Connection.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")

                            self.server = Native.Flow.Record.Default.Collect.Connection.Server()
                            self.server.parent = self
                            self._children_name_map["server"] = "server"
                            self._children_yang_names.add("server")

                            self.transaction = Native.Flow.Record.Default.Collect.Connection.Transaction()
                            self.transaction.parent = self
                            self._children_name_map["transaction"] = "transaction"
                            self._children_yang_names.add("transaction")
                            self._segment_path = lambda: "connection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Collect.Connection, ['id', 'initiator', 'new_connections', 'sum_duration', 'transaction_id'], name, value)


                        class Client(Entity):
                            """
                            Client side (flow initiator) related metrics
                            
                            .. attribute:: all
                            
                            	All non\-key client metrics
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: counter
                            
                            	Client side counter metrics
                            	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Counter>`
                            
                            .. attribute:: ipv4
                            
                            	Client side IPv4 metrics
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	Client side IPv6 metrics
                            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Ipv6>`
                            
                            .. attribute:: transport
                            
                            	Client side transport metrics
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Transport>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Connection.Client, self).__init__()

                                self.yang_name = "client"
                                self.yang_parent_name = "connection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Default.Collect.Connection.Client.Counter), "ipv4" : ("ipv4", Native.Flow.Record.Default.Collect.Connection.Client.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Default.Collect.Connection.Client.Ipv6), "transport" : ("transport", Native.Flow.Record.Default.Collect.Connection.Client.Transport)}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.empty, "all")

                                self.counter = Native.Flow.Record.Default.Collect.Connection.Client.Counter()
                                self.counter.parent = self
                                self._children_name_map["counter"] = "counter"
                                self._children_yang_names.add("counter")

                                self.ipv4 = Native.Flow.Record.Default.Collect.Connection.Client.Ipv4()
                                self.ipv4.parent = self
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")

                                self.ipv6 = Native.Flow.Record.Default.Collect.Connection.Client.Ipv6()
                                self.ipv6.parent = self
                                self._children_name_map["ipv6"] = "ipv6"
                                self._children_yang_names.add("ipv6")

                                self.transport = Native.Flow.Record.Default.Collect.Connection.Client.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")
                                self._segment_path = lambda: "client"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Client, ['all'], name, value)


                            class Counter(Entity):
                                """
                                Client side counter metrics
                                
                                .. attribute:: bytes
                                
                                	Number of bytes sent by the client
                                	**type**\:  :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes>`
                                
                                .. attribute:: packets
                                
                                	Number of packets sent by the client
                                	**type**\:  :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Counter.Packets>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Connection.Client.Counter, self).__init__()

                                    self.yang_name = "counter"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"bytes" : ("bytes", Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes), "packets" : ("packets", Native.Flow.Record.Default.Collect.Connection.Client.Counter.Packets)}
                                    self._child_list_classes = {}

                                    self.bytes = Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes()
                                    self.bytes.parent = self
                                    self._children_name_map["bytes"] = "bytes"
                                    self._children_yang_names.add("bytes")

                                    self.packets = Native.Flow.Record.Default.Collect.Connection.Client.Counter.Packets()
                                    self.packets.parent = self
                                    self._children_name_map["packets"] = "packets"
                                    self._children_yang_names.add("packets")
                                    self._segment_path = lambda: "counter"


                                class Bytes(Entity):
                                    """
                                    Number of bytes sent by the client
                                    
                                    .. attribute:: long
                                    
                                    	64 bits counter
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: network
                                    
                                    	Number of bytes sent by the client
                                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Network>`
                                    
                                    .. attribute:: retransmitted
                                    
                                    	Number of bytes retransmitted by the client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Number of bytes sent by the client
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Transport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes, self).__init__()

                                        self.yang_name = "bytes"
                                        self.yang_parent_name = "counter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"network" : ("network", Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Network), "transport" : ("transport", Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Transport)}
                                        self._child_list_classes = {}

                                        self.long = YLeaf(YType.empty, "long")

                                        self.retransmitted = YLeaf(YType.empty, "retransmitted")

                                        self.network = Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Network()
                                        self.network.parent = self
                                        self._children_name_map["network"] = "network"
                                        self._children_yang_names.add("network")

                                        self.transport = Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")
                                        self._segment_path = lambda: "bytes"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes, ['long', 'retransmitted'], name, value)


                                    class Network(Entity):
                                        """
                                        Number of bytes sent by the client
                                        
                                        .. attribute:: long
                                        
                                        	Total number of bytes transmitted by the client
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-04-19'

                                        def __init__(self):
                                            super(Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Network, self).__init__()

                                            self.yang_name = "network"
                                            self.yang_parent_name = "bytes"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.long = YLeaf(YType.empty, "long")
                                            self._segment_path = lambda: "network"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Network, ['long'], name, value)


                                    class Transport(Entity):
                                        """
                                        Number of bytes sent by the client
                                        
                                        .. attribute:: long
                                        
                                        	64 bit counter
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-04-19'

                                        def __init__(self):
                                            super(Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bytes"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.long = YLeaf(YType.empty, "long")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Client.Counter.Bytes.Transport, ['long'], name, value)


                                class Packets(Entity):
                                    """
                                    Number of packets sent by the client
                                    
                                    .. attribute:: long
                                    
                                    	64 bits counter
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: retransmitted
                                    
                                    	Number of packets retransmitted by the client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Connection.Client.Counter.Packets, self).__init__()

                                        self.yang_name = "packets"
                                        self.yang_parent_name = "counter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.long = YLeaf(YType.empty, "long")

                                        self.retransmitted = YLeaf(YType.empty, "retransmitted")
                                        self._segment_path = lambda: "packets"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Client.Counter.Packets, ['long', 'retransmitted'], name, value)


                            class Ipv4(Entity):
                                """
                                Client side IPv4 metrics
                                
                                .. attribute:: address
                                
                                	IPv4 address of the flow initiator
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Connection.Client.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.empty, "address")
                                    self._segment_path = lambda: "ipv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Client.Ipv4, ['address'], name, value)


                            class Ipv6(Entity):
                                """
                                Client side IPv6 metrics
                                
                                .. attribute:: address
                                
                                	IPv6 address of the flow initiator
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Connection.Client.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.empty, "address")
                                    self._segment_path = lambda: "ipv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Client.Ipv6, ['address'], name, value)


                            class Transport(Entity):
                                """
                                Client side transport metrics
                                
                                .. attribute:: port
                                
                                	Transport port of the flow initiator
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Connection.Client.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port = YLeaf(YType.empty, "port")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Client.Transport, ['port'], name, value)


                        class Delay(Entity):
                            """
                            Connection delay metrics
                            
                            .. attribute:: all
                            
                            	All non\-key client metrics
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: application
                            
                            	Application time metrics
                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Application>`
                            
                            .. attribute:: network
                            
                            	Network time metrics
                            	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network>`
                            
                            .. attribute:: response
                            
                            	Response time metrics
                            	**type**\:  :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Response>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Connection.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "connection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"application" : ("application", Native.Flow.Record.Default.Collect.Connection.Delay.Application), "network" : ("network", Native.Flow.Record.Default.Collect.Connection.Delay.Network), "response" : ("response", Native.Flow.Record.Default.Collect.Connection.Delay.Response)}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.empty, "all")

                                self.application = Native.Flow.Record.Default.Collect.Connection.Delay.Application()
                                self.application.parent = self
                                self._children_name_map["application"] = "application"
                                self._children_yang_names.add("application")

                                self.network = Native.Flow.Record.Default.Collect.Connection.Delay.Network()
                                self.network.parent = self
                                self._children_name_map["network"] = "network"
                                self._children_yang_names.add("network")

                                self.response = Native.Flow.Record.Default.Collect.Connection.Delay.Response()
                                self.response.parent = self
                                self._children_name_map["response"] = "response"
                                self._children_yang_names.add("response")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Delay, ['all'], name, value)


                            class Application(Entity):
                                """
                                Application time metrics
                                
                                .. attribute:: max
                                
                                	Maximum application response time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum application response time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total application response time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Connection.Delay.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "delay"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.empty, "max")

                                    self.min = YLeaf(YType.empty, "min")

                                    self.sum = YLeaf(YType.empty, "sum")
                                    self._segment_path = lambda: "application"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Delay.Application, ['max', 'min', 'sum'], name, value)


                            class Network(Entity):
                                """
                                Network time metrics
                                
                                .. attribute:: client_to_server
                                
                                	RTT between the client and the server
                                	**type**\:  :py:class:`ClientToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.ClientToServer>`
                                
                                .. attribute:: long_lived
                                
                                	Long\-lived network delay metrics
                                	**type**\:  :py:class:`LongLived <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived>`
                                
                                .. attribute:: to_client
                                
                                	RTT from observation point to the client
                                	**type**\:  :py:class:`ToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToClient>`
                                
                                .. attribute:: to_server
                                
                                	RTT from observation point to the server
                                	**type**\:  :py:class:`ToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToServer>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Connection.Delay.Network, self).__init__()

                                    self.yang_name = "network"
                                    self.yang_parent_name = "delay"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"client-to-server" : ("client_to_server", Native.Flow.Record.Default.Collect.Connection.Delay.Network.ClientToServer), "long-lived" : ("long_lived", Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived), "to-client" : ("to_client", Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToClient), "to-server" : ("to_server", Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToServer)}
                                    self._child_list_classes = {}

                                    self.client_to_server = Native.Flow.Record.Default.Collect.Connection.Delay.Network.ClientToServer()
                                    self.client_to_server.parent = self
                                    self._children_name_map["client_to_server"] = "client-to-server"
                                    self._children_yang_names.add("client-to-server")

                                    self.long_lived = Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived()
                                    self.long_lived.parent = self
                                    self._children_name_map["long_lived"] = "long-lived"
                                    self._children_yang_names.add("long-lived")

                                    self.to_client = Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToClient()
                                    self.to_client.parent = self
                                    self._children_name_map["to_client"] = "to-client"
                                    self._children_yang_names.add("to-client")

                                    self.to_server = Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToServer()
                                    self.to_server.parent = self
                                    self._children_name_map["to_server"] = "to-server"
                                    self._children_yang_names.add("to-server")
                                    self._segment_path = lambda: "network"


                                class ClientToServer(Entity):
                                    """
                                    RTT between the client and the server
                                    
                                    .. attribute:: max
                                    
                                    	Maximum network time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum network time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: num_samples
                                    
                                    	The number of CSND samples
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sum
                                    
                                    	Total network time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Connection.Delay.Network.ClientToServer, self).__init__()

                                        self.yang_name = "client-to-server"
                                        self.yang_parent_name = "network"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max = YLeaf(YType.empty, "max")

                                        self.min = YLeaf(YType.empty, "min")

                                        self.num_samples = YLeaf(YType.empty, "num-samples")

                                        self.sum = YLeaf(YType.empty, "sum")
                                        self._segment_path = lambda: "client-to-server"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Delay.Network.ClientToServer, ['max', 'min', 'num_samples', 'sum'], name, value)


                                class LongLived(Entity):
                                    """
                                    Long\-lived network delay metrics
                                    
                                    .. attribute:: client_to_serve
                                    
                                    	Long\-lived network delay client\-to\-server metrics
                                    	**type**\:  :py:class:`ClientToServe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ClientToServe>`
                                    
                                    .. attribute:: to_client
                                    
                                    	Long\-lived network delay to\-client metrics
                                    	**type**\:  :py:class:`ToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToClient>`
                                    
                                    .. attribute:: to_serve
                                    
                                    	Long\-lived network delay to\-server metrics
                                    	**type**\:  :py:class:`ToServe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToServe>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived, self).__init__()

                                        self.yang_name = "long-lived"
                                        self.yang_parent_name = "network"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"client-to-serve" : ("client_to_serve", Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ClientToServe), "to-client" : ("to_client", Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToClient), "to-serve" : ("to_serve", Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToServe)}
                                        self._child_list_classes = {}

                                        self.client_to_serve = Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ClientToServe()
                                        self.client_to_serve.parent = self
                                        self._children_name_map["client_to_serve"] = "client-to-serve"
                                        self._children_yang_names.add("client-to-serve")

                                        self.to_client = Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToClient()
                                        self.to_client.parent = self
                                        self._children_name_map["to_client"] = "to-client"
                                        self._children_yang_names.add("to-client")

                                        self.to_serve = Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToServe()
                                        self.to_serve.parent = self
                                        self._children_name_map["to_serve"] = "to-serve"
                                        self._children_yang_names.add("to-serve")
                                        self._segment_path = lambda: "long-lived"


                                    class ClientToServe(Entity):
                                        """
                                        Long\-lived network delay client\-to\-server metrics
                                        
                                        .. attribute:: sum
                                        
                                        	Total network time
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-04-19'

                                        def __init__(self):
                                            super(Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ClientToServe, self).__init__()

                                            self.yang_name = "client-to-serve"
                                            self.yang_parent_name = "long-lived"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.sum = YLeaf(YType.empty, "sum")
                                            self._segment_path = lambda: "client-to-serve"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ClientToServe, ['sum'], name, value)


                                    class ToClient(Entity):
                                        """
                                        Long\-lived network delay to\-client metrics
                                        
                                        .. attribute:: sum
                                        
                                        	Total network time
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-04-19'

                                        def __init__(self):
                                            super(Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToClient, self).__init__()

                                            self.yang_name = "to-client"
                                            self.yang_parent_name = "long-lived"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.sum = YLeaf(YType.empty, "sum")
                                            self._segment_path = lambda: "to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToClient, ['sum'], name, value)


                                    class ToServe(Entity):
                                        """
                                        Long\-lived network delay to\-server metrics
                                        
                                        .. attribute:: sum
                                        
                                        	Total network time
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-04-19'

                                        def __init__(self):
                                            super(Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToServe, self).__init__()

                                            self.yang_name = "to-serve"
                                            self.yang_parent_name = "long-lived"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.sum = YLeaf(YType.empty, "sum")
                                            self._segment_path = lambda: "to-serve"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Delay.Network.LongLived.ToServe, ['sum'], name, value)


                                class ToClient(Entity):
                                    """
                                    RTT from observation point to the client
                                    
                                    .. attribute:: max
                                    
                                    	Maximum network time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum network time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: num_samples
                                    
                                    	The number of CND samples
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sum
                                    
                                    	Total network time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToClient, self).__init__()

                                        self.yang_name = "to-client"
                                        self.yang_parent_name = "network"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max = YLeaf(YType.empty, "max")

                                        self.min = YLeaf(YType.empty, "min")

                                        self.num_samples = YLeaf(YType.empty, "num-samples")

                                        self.sum = YLeaf(YType.empty, "sum")
                                        self._segment_path = lambda: "to-client"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToClient, ['max', 'min', 'num_samples', 'sum'], name, value)


                                class ToServer(Entity):
                                    """
                                    RTT from observation point to the server
                                    
                                    .. attribute:: max
                                    
                                    	Maximum network time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum network time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: num_samples
                                    
                                    	The number of SND samples
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sum
                                    
                                    	Total network time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToServer, self).__init__()

                                        self.yang_name = "to-server"
                                        self.yang_parent_name = "network"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max = YLeaf(YType.empty, "max")

                                        self.min = YLeaf(YType.empty, "min")

                                        self.num_samples = YLeaf(YType.empty, "num-samples")

                                        self.sum = YLeaf(YType.empty, "sum")
                                        self._segment_path = lambda: "to-server"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Delay.Network.ToServer, ['max', 'min', 'num_samples', 'sum'], name, value)


                            class Response(Entity):
                                """
                                Response time metrics
                                
                                .. attribute:: client_to_server
                                
                                	Response time as seen by the client
                                	**type**\:  :py:class:`ClientToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Response.ClientToServer>`
                                
                                .. attribute:: to_server
                                
                                	Response time as seen from observation point
                                	**type**\:  :py:class:`ToServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Delay.Response.ToServer>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Connection.Delay.Response, self).__init__()

                                    self.yang_name = "response"
                                    self.yang_parent_name = "delay"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"client-to-server" : ("client_to_server", Native.Flow.Record.Default.Collect.Connection.Delay.Response.ClientToServer), "to-server" : ("to_server", Native.Flow.Record.Default.Collect.Connection.Delay.Response.ToServer)}
                                    self._child_list_classes = {}

                                    self.client_to_server = Native.Flow.Record.Default.Collect.Connection.Delay.Response.ClientToServer()
                                    self.client_to_server.parent = self
                                    self._children_name_map["client_to_server"] = "client-to-server"
                                    self._children_yang_names.add("client-to-server")

                                    self.to_server = Native.Flow.Record.Default.Collect.Connection.Delay.Response.ToServer()
                                    self.to_server.parent = self
                                    self._children_name_map["to_server"] = "to-server"
                                    self._children_yang_names.add("to-server")
                                    self._segment_path = lambda: "response"


                                class ClientToServer(Entity):
                                    """
                                    Response time as seen by the client
                                    
                                    .. attribute:: max
                                    
                                    	Maximum response time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum response time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sum
                                    
                                    	Total response time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Connection.Delay.Response.ClientToServer, self).__init__()

                                        self.yang_name = "client-to-server"
                                        self.yang_parent_name = "response"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max = YLeaf(YType.empty, "max")

                                        self.min = YLeaf(YType.empty, "min")

                                        self.sum = YLeaf(YType.empty, "sum")
                                        self._segment_path = lambda: "client-to-server"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Delay.Response.ClientToServer, ['max', 'min', 'sum'], name, value)


                                class ToServer(Entity):
                                    """
                                    Response time as seen from observation point
                                    
                                    .. attribute:: histogram
                                    
                                    	Histogram for response time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max
                                    
                                    	Maximum response time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum response time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sum
                                    
                                    	Total response time
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Connection.Delay.Response.ToServer, self).__init__()

                                        self.yang_name = "to-server"
                                        self.yang_parent_name = "response"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.histogram = YLeaf(YType.empty, "histogram")

                                        self.max = YLeaf(YType.empty, "max")

                                        self.min = YLeaf(YType.empty, "min")

                                        self.sum = YLeaf(YType.empty, "sum")
                                        self._segment_path = lambda: "to-server"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Delay.Response.ToServer, ['histogram', 'max', 'min', 'sum'], name, value)


                        class Server(Entity):
                            """
                            Server side (flow responder) related metrics
                            
                            .. attribute:: all
                            
                            	All non\-key server metrics
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: counter
                            
                            	Server side counter metrics
                            	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Counter>`
                            
                            .. attribute:: ipv4
                            
                            	Server side IPv4 metrics
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	Server side IPv6 metrics
                            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Ipv6>`
                            
                            .. attribute:: transport
                            
                            	Server side transport metrics
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Transport>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Connection.Server, self).__init__()

                                self.yang_name = "server"
                                self.yang_parent_name = "connection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Default.Collect.Connection.Server.Counter), "ipv4" : ("ipv4", Native.Flow.Record.Default.Collect.Connection.Server.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Default.Collect.Connection.Server.Ipv6), "transport" : ("transport", Native.Flow.Record.Default.Collect.Connection.Server.Transport)}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.empty, "all")

                                self.counter = Native.Flow.Record.Default.Collect.Connection.Server.Counter()
                                self.counter.parent = self
                                self._children_name_map["counter"] = "counter"
                                self._children_yang_names.add("counter")

                                self.ipv4 = Native.Flow.Record.Default.Collect.Connection.Server.Ipv4()
                                self.ipv4.parent = self
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")

                                self.ipv6 = Native.Flow.Record.Default.Collect.Connection.Server.Ipv6()
                                self.ipv6.parent = self
                                self._children_name_map["ipv6"] = "ipv6"
                                self._children_yang_names.add("ipv6")

                                self.transport = Native.Flow.Record.Default.Collect.Connection.Server.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")
                                self._segment_path = lambda: "server"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Server, ['all'], name, value)


                            class Counter(Entity):
                                """
                                Server side counter metrics
                                
                                .. attribute:: bytes
                                
                                	Number of bytes sent by the server
                                	**type**\:  :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes>`
                                
                                .. attribute:: packets
                                
                                	Number of packets sent by the server
                                	**type**\:  :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Counter.Packets>`
                                
                                .. attribute:: responses
                                
                                	Number of responses sent by the server
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Connection.Server.Counter, self).__init__()

                                    self.yang_name = "counter"
                                    self.yang_parent_name = "server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"bytes" : ("bytes", Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes), "packets" : ("packets", Native.Flow.Record.Default.Collect.Connection.Server.Counter.Packets)}
                                    self._child_list_classes = {}

                                    self.responses = YLeaf(YType.empty, "responses")

                                    self.bytes = Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes()
                                    self.bytes.parent = self
                                    self._children_name_map["bytes"] = "bytes"
                                    self._children_yang_names.add("bytes")

                                    self.packets = Native.Flow.Record.Default.Collect.Connection.Server.Counter.Packets()
                                    self.packets.parent = self
                                    self._children_name_map["packets"] = "packets"
                                    self._children_yang_names.add("packets")
                                    self._segment_path = lambda: "counter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Server.Counter, ['responses'], name, value)


                                class Bytes(Entity):
                                    """
                                    Number of bytes sent by the server
                                    
                                    .. attribute:: long
                                    
                                    	64 bits counter
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: network
                                    
                                    	Number of bytes sent by the server
                                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Network>`
                                    
                                    .. attribute:: retransmitted
                                    
                                    	Number of bytes retransmitted by the server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Number of bytes sent by the server
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Transport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes, self).__init__()

                                        self.yang_name = "bytes"
                                        self.yang_parent_name = "counter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"network" : ("network", Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Network), "transport" : ("transport", Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Transport)}
                                        self._child_list_classes = {}

                                        self.long = YLeaf(YType.empty, "long")

                                        self.retransmitted = YLeaf(YType.empty, "retransmitted")

                                        self.network = Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Network()
                                        self.network.parent = self
                                        self._children_name_map["network"] = "network"
                                        self._children_yang_names.add("network")

                                        self.transport = Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")
                                        self._segment_path = lambda: "bytes"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes, ['long', 'retransmitted'], name, value)


                                    class Network(Entity):
                                        """
                                        Number of bytes sent by the server
                                        
                                        .. attribute:: long
                                        
                                        	Total number of bytes transmitted by the server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-04-19'

                                        def __init__(self):
                                            super(Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Network, self).__init__()

                                            self.yang_name = "network"
                                            self.yang_parent_name = "bytes"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.long = YLeaf(YType.empty, "long")
                                            self._segment_path = lambda: "network"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Network, ['long'], name, value)


                                    class Transport(Entity):
                                        """
                                        Number of bytes sent by the server
                                        
                                        .. attribute:: long
                                        
                                        	64 bit counter
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-04-19'

                                        def __init__(self):
                                            super(Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bytes"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.long = YLeaf(YType.empty, "long")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Server.Counter.Bytes.Transport, ['long'], name, value)


                                class Packets(Entity):
                                    """
                                    Number of packets sent by the server
                                    
                                    .. attribute:: long
                                    
                                    	64 bits counter
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: retransmitted
                                    
                                    	Number of packets retransmitted by the server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Connection.Server.Counter.Packets, self).__init__()

                                        self.yang_name = "packets"
                                        self.yang_parent_name = "counter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.long = YLeaf(YType.empty, "long")

                                        self.retransmitted = YLeaf(YType.empty, "retransmitted")
                                        self._segment_path = lambda: "packets"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Server.Counter.Packets, ['long', 'retransmitted'], name, value)


                            class Ipv4(Entity):
                                """
                                Server side IPv4 metrics
                                
                                .. attribute:: address
                                
                                	IPv4 address of the flow responder
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Connection.Server.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.empty, "address")
                                    self._segment_path = lambda: "ipv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Server.Ipv4, ['address'], name, value)


                            class Ipv6(Entity):
                                """
                                Server side IPv6 metrics
                                
                                .. attribute:: address
                                
                                	IPv6 address of the flow responder
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Connection.Server.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.empty, "address")
                                    self._segment_path = lambda: "ipv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Server.Ipv6, ['address'], name, value)


                            class Transport(Entity):
                                """
                                Server side transport metrics
                                
                                .. attribute:: port
                                
                                	Transport port of the flow responder
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Connection.Server.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port = YLeaf(YType.empty, "port")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Server.Transport, ['port'], name, value)


                        class Transaction(Entity):
                            """
                            Transaction related metrics
                            
                            .. attribute:: all
                            
                            	All non\-key transaction metrics
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: counter
                            
                            	Transaction counter metrics
                            	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Transaction.Counter>`
                            
                            .. attribute:: duration
                            
                            	Transaction duration metrics
                            	**type**\:  :py:class:`Duration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Connection.Transaction.Duration>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Connection.Transaction, self).__init__()

                                self.yang_name = "transaction"
                                self.yang_parent_name = "connection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Default.Collect.Connection.Transaction.Counter), "duration" : ("duration", Native.Flow.Record.Default.Collect.Connection.Transaction.Duration)}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.empty, "all")

                                self.counter = Native.Flow.Record.Default.Collect.Connection.Transaction.Counter()
                                self.counter.parent = self
                                self._children_name_map["counter"] = "counter"
                                self._children_yang_names.add("counter")

                                self.duration = Native.Flow.Record.Default.Collect.Connection.Transaction.Duration()
                                self.duration.parent = self
                                self._children_name_map["duration"] = "duration"
                                self._children_yang_names.add("duration")
                                self._segment_path = lambda: "transaction"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Transaction, ['all'], name, value)


                            class Counter(Entity):
                                """
                                Transaction counter metrics
                                
                                .. attribute:: complete
                                
                                	Number of completed transactions
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Connection.Transaction.Counter, self).__init__()

                                    self.yang_name = "counter"
                                    self.yang_parent_name = "transaction"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.complete = YLeaf(YType.empty, "complete")
                                    self._segment_path = lambda: "counter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Transaction.Counter, ['complete'], name, value)


                            class Duration(Entity):
                                """
                                Transaction duration metrics
                                
                                .. attribute:: max
                                
                                	Maximum transaction time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: min
                                
                                	Minimum transaction time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	Total transaction time
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Connection.Transaction.Duration, self).__init__()

                                    self.yang_name = "duration"
                                    self.yang_parent_name = "transaction"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.empty, "max")

                                    self.min = YLeaf(YType.empty, "min")

                                    self.sum = YLeaf(YType.empty, "sum")
                                    self._segment_path = lambda: "duration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Connection.Transaction.Duration, ['max', 'min', 'sum'], name, value)


                    class Counter(Entity):
                        """
                        Counter fields
                        
                        .. attribute:: bytes
                        
                        	Total number of bytes
                        	**type**\:  :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Bytes>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flows
                        
                        	Total number of flows
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: packets
                        
                        	Total number of packets
                        	**type**\:  :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Packets>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Counter, self).__init__()

                            self.yang_name = "counter"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bytes" : ("bytes", Native.Flow.Record.Default.Collect.Counter.Bytes), "packets" : ("packets", Native.Flow.Record.Default.Collect.Counter.Packets)}
                            self._child_list_classes = {}

                            self.flows = YLeaf(YType.empty, "flows")

                            self.bytes = None
                            self._children_name_map["bytes"] = "bytes"
                            self._children_yang_names.add("bytes")

                            self.packets = None
                            self._children_name_map["packets"] = "packets"
                            self._children_yang_names.add("packets")
                            self._segment_path = lambda: "counter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Collect.Counter, ['flows'], name, value)


                        class Bytes(Entity):
                            """
                            Total number of bytes
                            
                            .. attribute:: long
                            
                            	Total number of bytes (64 bit counter)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Byte rate for the flow
                            	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Bytes.Rate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: squared
                            
                            	Total of the square of the number of bytes
                            	**type**\:  :py:class:`Squared <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Bytes.Squared>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Counter.Bytes, self).__init__()

                                self.yang_name = "bytes"
                                self.yang_parent_name = "counter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rate" : ("rate", Native.Flow.Record.Default.Collect.Counter.Bytes.Rate), "squared" : ("squared", Native.Flow.Record.Default.Collect.Counter.Bytes.Squared)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.long = YLeaf(YType.empty, "long")

                                self.rate = None
                                self._children_name_map["rate"] = "rate"
                                self._children_yang_names.add("rate")

                                self.squared = Native.Flow.Record.Default.Collect.Counter.Bytes.Squared()
                                self.squared.parent = self
                                self._children_name_map["squared"] = "squared"
                                self._children_yang_names.add("squared")
                                self._segment_path = lambda: "bytes"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Counter.Bytes, ['long'], name, value)


                            class Rate(Entity):
                                """
                                Byte rate for the flow
                                
                                .. attribute:: per_flow
                                
                                	Average byte rate for the flow
                                	**type**\:  :py:class:`PerFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Bytes.Rate.PerFlow>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Counter.Bytes.Rate, self).__init__()

                                    self.yang_name = "rate"
                                    self.yang_parent_name = "bytes"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"per-flow" : ("per_flow", Native.Flow.Record.Default.Collect.Counter.Bytes.Rate.PerFlow)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.per_flow = None
                                    self._children_name_map["per_flow"] = "per-flow"
                                    self._children_yang_names.add("per-flow")
                                    self._segment_path = lambda: "rate"


                                class PerFlow(Entity):
                                    """
                                    Average byte rate for the flow
                                    
                                    .. attribute:: max
                                    
                                    	Maximum byte rate among the aggregated flows
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum byte rate among the aggregated flows
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Counter.Bytes.Rate.PerFlow, self).__init__()

                                        self.yang_name = "per-flow"
                                        self.yang_parent_name = "rate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.max = YLeaf(YType.empty, "max")

                                        self.min = YLeaf(YType.empty, "min")
                                        self._segment_path = lambda: "per-flow"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Counter.Bytes.Rate.PerFlow, ['max', 'min'], name, value)


                            class Squared(Entity):
                                """
                                Total of the square of the number of bytes
                                
                                .. attribute:: long
                                
                                	Total of the square of the packet length in bytes (64 bit counter)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Counter.Bytes.Squared, self).__init__()

                                    self.yang_name = "squared"
                                    self.yang_parent_name = "bytes"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.long = YLeaf(YType.empty, "long")
                                    self._segment_path = lambda: "squared"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Counter.Bytes.Squared, ['long'], name, value)


                        class Packets(Entity):
                            """
                            Total number of packets
                            
                            .. attribute:: dropped
                            
                            	Dropped packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: long
                            
                            	Total number of packets (64 bit counter)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Packet rate for the flow
                            	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Packets.Rate>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Counter.Packets, self).__init__()

                                self.yang_name = "packets"
                                self.yang_parent_name = "counter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rate" : ("rate", Native.Flow.Record.Default.Collect.Counter.Packets.Rate)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.dropped = YLeaf(YType.empty, "dropped")

                                self.long = YLeaf(YType.empty, "long")

                                self.rate = None
                                self._children_name_map["rate"] = "rate"
                                self._children_yang_names.add("rate")
                                self._segment_path = lambda: "packets"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Counter.Packets, ['dropped', 'long'], name, value)


                            class Rate(Entity):
                                """
                                Packet rate for the flow
                                
                                .. attribute:: per_flow
                                
                                	Average packet rate for aggregated flows
                                	**type**\:  :py:class:`PerFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Counter.Packets.Rate.PerFlow>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Counter.Packets.Rate, self).__init__()

                                    self.yang_name = "rate"
                                    self.yang_parent_name = "packets"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"per-flow" : ("per_flow", Native.Flow.Record.Default.Collect.Counter.Packets.Rate.PerFlow)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.per_flow = None
                                    self._children_name_map["per_flow"] = "per-flow"
                                    self._children_yang_names.add("per-flow")
                                    self._segment_path = lambda: "rate"


                                class PerFlow(Entity):
                                    """
                                    Average packet rate for aggregated flows
                                    
                                    .. attribute:: max
                                    
                                    	Maximum packet rate in the aggregated flows
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum packet rate in the aggregated flows
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Counter.Packets.Rate.PerFlow, self).__init__()

                                        self.yang_name = "per-flow"
                                        self.yang_parent_name = "rate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.max = YLeaf(YType.empty, "max")

                                        self.min = YLeaf(YType.empty, "min")
                                        self._segment_path = lambda: "per-flow"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Counter.Packets.Rate.PerFlow, ['max', 'min'], name, value)


                    class Datalink(Entity):
                        """
                        Datalink (layer2) fields
                        
                        .. attribute:: destination_vlan_id
                        
                        	ID of the VLAN that the packet is going to
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1q
                        
                        	dot1q field
                        	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Dot1Q>`
                        
                        .. attribute:: ethertype
                        
                        	The Ethertype of the packet
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mac
                        
                        	MAC fields
                        	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Mac>`
                        
                        .. attribute:: source_vlan_id
                        
                        	ID of the VLAN that the packet came from
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Datalink, self).__init__()

                            self.yang_name = "datalink"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dot1q" : ("dot1q", Native.Flow.Record.Default.Collect.Datalink.Dot1Q), "mac" : ("mac", Native.Flow.Record.Default.Collect.Datalink.Mac)}
                            self._child_list_classes = {}

                            self.destination_vlan_id = YLeaf(YType.empty, "destination-vlan-id")

                            self.ethertype = YLeaf(YType.empty, "ethertype")

                            self.source_vlan_id = YLeaf(YType.empty, "source-vlan-id")

                            self.dot1q = Native.Flow.Record.Default.Collect.Datalink.Dot1Q()
                            self.dot1q.parent = self
                            self._children_name_map["dot1q"] = "dot1q"
                            self._children_yang_names.add("dot1q")

                            self.mac = Native.Flow.Record.Default.Collect.Datalink.Mac()
                            self.mac.parent = self
                            self._children_name_map["mac"] = "mac"
                            self._children_yang_names.add("mac")
                            self._segment_path = lambda: "datalink"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Collect.Datalink, ['destination_vlan_id', 'ethertype', 'source_vlan_id'], name, value)


                        class Dot1Q(Entity):
                            """
                            dot1q field
                            
                            .. attribute:: priority
                            
                            	The CoS field out of the dot1q header
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	The VLAN the packet is on
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Dot1Q.Vlan>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Datalink.Dot1Q, self).__init__()

                                self.yang_name = "dot1q"
                                self.yang_parent_name = "datalink"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"vlan" : ("vlan", Native.Flow.Record.Default.Collect.Datalink.Dot1Q.Vlan)}
                                self._child_list_classes = {}

                                self.priority = YLeaf(YType.empty, "priority")

                                self.vlan = Native.Flow.Record.Default.Collect.Datalink.Dot1Q.Vlan()
                                self.vlan.parent = self
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "dot1q"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Datalink.Dot1Q, ['priority'], name, value)


                            class Vlan(Entity):
                                """
                                The VLAN the packet is on
                                
                                .. attribute:: input
                                
                                	The VLAN the packet is on at input
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: output
                                
                                	The VLAN the packet is on at output
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Datalink.Dot1Q.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "dot1q"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.input = YLeaf(YType.empty, "input")

                                    self.output = YLeaf(YType.empty, "output")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Datalink.Dot1Q.Vlan, ['input', 'output'], name, value)


                        class Mac(Entity):
                            """
                            MAC fields
                            
                            .. attribute:: destination
                            
                            	destination MAC fields
                            	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Mac.Destination>`
                            
                            .. attribute:: source
                            
                            	source MAC fields
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Mac.Source>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Datalink.Mac, self).__init__()

                                self.yang_name = "mac"
                                self.yang_parent_name = "datalink"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Collect.Datalink.Mac.Destination), "source" : ("source", Native.Flow.Record.Default.Collect.Datalink.Mac.Source)}
                                self._child_list_classes = {}

                                self.destination = Native.Flow.Record.Default.Collect.Datalink.Mac.Destination()
                                self.destination.parent = self
                                self._children_name_map["destination"] = "destination"
                                self._children_yang_names.add("destination")

                                self.source = Native.Flow.Record.Default.Collect.Datalink.Mac.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "mac"


                            class Destination(Entity):
                                """
                                destination MAC fields
                                
                                .. attribute:: address
                                
                                	Destination MAC address from packet
                                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Mac.Destination.Address>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Datalink.Mac.Destination, self).__init__()

                                    self.yang_name = "destination"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"address" : ("address", Native.Flow.Record.Default.Collect.Datalink.Mac.Destination.Address)}
                                    self._child_list_classes = {}

                                    self.address = Native.Flow.Record.Default.Collect.Datalink.Mac.Destination.Address()
                                    self.address.parent = self
                                    self._children_name_map["address"] = "address"
                                    self._children_yang_names.add("address")
                                    self._segment_path = lambda: "destination"


                                class Address(Entity):
                                    """
                                    Destination MAC address from packet
                                    
                                    .. attribute:: input
                                    
                                    	Destination MAC address from packet at input
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: output
                                    
                                    	Destination MAC address from packet at output
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Datalink.Mac.Destination.Address, self).__init__()

                                        self.yang_name = "address"
                                        self.yang_parent_name = "destination"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.input = YLeaf(YType.empty, "input")

                                        self.output = YLeaf(YType.empty, "output")
                                        self._segment_path = lambda: "address"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Datalink.Mac.Destination.Address, ['input', 'output'], name, value)


                            class Source(Entity):
                                """
                                source MAC fields
                                
                                .. attribute:: address
                                
                                	Source MAC address from packet
                                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Datalink.Mac.Source.Address>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Datalink.Mac.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"address" : ("address", Native.Flow.Record.Default.Collect.Datalink.Mac.Source.Address)}
                                    self._child_list_classes = {}

                                    self.address = Native.Flow.Record.Default.Collect.Datalink.Mac.Source.Address()
                                    self.address.parent = self
                                    self._children_name_map["address"] = "address"
                                    self._children_yang_names.add("address")
                                    self._segment_path = lambda: "source"


                                class Address(Entity):
                                    """
                                    Source MAC address from packet
                                    
                                    .. attribute:: input
                                    
                                    	Source MAC address from packet at input
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: output
                                    
                                    	Source MAC address from packet at output
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Datalink.Mac.Source.Address, self).__init__()

                                        self.yang_name = "address"
                                        self.yang_parent_name = "source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.input = YLeaf(YType.empty, "input")

                                        self.output = YLeaf(YType.empty, "output")
                                        self._segment_path = lambda: "address"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Datalink.Mac.Source.Address, ['input', 'output'], name, value)


                    class Flow(Entity):
                        """
                        Flow identifying fields
                        
                        .. attribute:: cts
                        
                        	Cisco Trusted Security fields
                        	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Flow.Cts>`
                        
                        .. attribute:: direction
                        
                        	Direction the flow was monitored in
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: observation
                        
                        	Flow observation metrics
                        	**type**\:  :py:class:`Observation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Flow.Observation>`
                        
                        .. attribute:: sampler
                        
                        	ID of the sampler
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: end_reason
                        
                        	The reason for a flow ending
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Flow, self).__init__()

                            self.yang_name = "flow"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cts" : ("cts", Native.Flow.Record.Default.Collect.Flow.Cts), "observation" : ("observation", Native.Flow.Record.Default.Collect.Flow.Observation)}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.empty, "direction")

                            self.sampler = YLeaf(YType.empty, "sampler")

                            self.end_reason = YLeaf(YType.empty, "end-reason")

                            self.cts = Native.Flow.Record.Default.Collect.Flow.Cts()
                            self.cts.parent = self
                            self._children_name_map["cts"] = "cts"
                            self._children_yang_names.add("cts")

                            self.observation = Native.Flow.Record.Default.Collect.Flow.Observation()
                            self.observation.parent = self
                            self._children_name_map["observation"] = "observation"
                            self._children_yang_names.add("observation")
                            self._segment_path = lambda: "flow"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Collect.Flow, ['direction', 'sampler', 'end_reason'], name, value)


                        class Cts(Entity):
                            """
                            Cisco Trusted Security fields
                            
                            .. attribute:: destination
                            
                            	Cisco Trusted Security destination fields
                            	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Flow.Cts.Destination>`
                            
                            .. attribute:: source
                            
                            	Cisco Trusted Security source fields
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Flow.Cts.Source>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Flow.Cts, self).__init__()

                                self.yang_name = "cts"
                                self.yang_parent_name = "flow"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Collect.Flow.Cts.Destination), "source" : ("source", Native.Flow.Record.Default.Collect.Flow.Cts.Source)}
                                self._child_list_classes = {}

                                self.destination = Native.Flow.Record.Default.Collect.Flow.Cts.Destination()
                                self.destination.parent = self
                                self._children_name_map["destination"] = "destination"
                                self._children_yang_names.add("destination")

                                self.source = Native.Flow.Record.Default.Collect.Flow.Cts.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "cts"


                            class Destination(Entity):
                                """
                                Cisco Trusted Security destination fields
                                
                                .. attribute:: group_tag
                                
                                	destination group\-tag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Flow.Cts.Destination, self).__init__()

                                    self.yang_name = "destination"
                                    self.yang_parent_name = "cts"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.group_tag = YLeaf(YType.empty, "group-tag")
                                    self._segment_path = lambda: "destination"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Flow.Cts.Destination, ['group_tag'], name, value)


                            class Source(Entity):
                                """
                                Cisco Trusted Security source fields
                                
                                .. attribute:: group_tag
                                
                                	source group\-tag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Flow.Cts.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "cts"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.group_tag = YLeaf(YType.empty, "group-tag")
                                    self._segment_path = lambda: "source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Flow.Cts.Source, ['group_tag'], name, value)


                        class Observation(Entity):
                            """
                            Flow observation metrics
                            
                            .. attribute:: point
                            
                            	Observation point ID
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Flow.Observation, self).__init__()

                                self.yang_name = "observation"
                                self.yang_parent_name = "flow"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.point = YLeaf(YType.empty, "point")
                                self._segment_path = lambda: "observation"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Flow.Observation, ['point'], name, value)


                    class Interface(Entity):
                        """
                        Interface fields
                        
                        .. attribute:: input
                        
                        	The input interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Interface.Input>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: output
                        
                        	The output interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Interface.Output>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Interface, self).__init__()

                            self.yang_name = "interface"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Flow.Record.Default.Collect.Interface.Input), "output" : ("output", Native.Flow.Record.Default.Collect.Interface.Output)}
                            self._child_list_classes = {}

                            self.input = None
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = None
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "interface"


                        class Input(Entity):
                            """
                            The input interface
                            
                            .. attribute:: snmp
                            
                            	SNMP Index of the input interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Interface.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.snmp = YLeaf(YType.empty, "snmp")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Interface.Input, ['snmp'], name, value)


                        class Output(Entity):
                            """
                            The output interface
                            
                            .. attribute:: snmp
                            
                            	SNMP Index of the output interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Interface.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.snmp = YLeaf(YType.empty, "snmp")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Interface.Output, ['snmp'], name, value)


                    class Ipv4(Entity):
                        """
                        IPv4 fields
                        
                        .. attribute:: destination
                        
                        	IPv4 destination address based fields
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Destination>`
                        
                        .. attribute:: dscp
                        
                        	IPv4 DSCP (part of TOS)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fragmentation
                        
                        	IPv4 fragmentation fields
                        	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Fragmentation>`
                        
                        .. attribute:: header_length
                        
                        	IPv4 header length (IHL in 32 bit words)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	IPv4 ID
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: length
                        
                        	IPv4 length fields
                        	**type**\:  :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Length>`
                        
                        .. attribute:: option
                        
                        	IPv4 option fields
                        	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Option>`
                        
                        .. attribute:: precedence
                        
                        	IPv4 precedence (part of TOS)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	IPv4 protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: section
                        
                        	Part of the packet
                        	**type**\:  :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Section>`
                        
                        .. attribute:: source
                        
                        	IPv4 source address based fields
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Source>`
                        
                        .. attribute:: tos
                        
                        	IPv4 type of service
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: total_length
                        
                        	IPv4 total length
                        	**type**\:  :py:class:`TotalLength <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.TotalLength>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ttl
                        
                        	IPv4 TTL
                        	**type**\:  :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Ttl>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: version
                        
                        	IP version from IPv4 header
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Collect.Ipv4.Destination), "fragmentation" : ("fragmentation", Native.Flow.Record.Default.Collect.Ipv4.Fragmentation), "length" : ("length", Native.Flow.Record.Default.Collect.Ipv4.Length), "option" : ("option", Native.Flow.Record.Default.Collect.Ipv4.Option), "section" : ("section", Native.Flow.Record.Default.Collect.Ipv4.Section), "source" : ("source", Native.Flow.Record.Default.Collect.Ipv4.Source), "total-length" : ("total_length", Native.Flow.Record.Default.Collect.Ipv4.TotalLength), "ttl" : ("ttl", Native.Flow.Record.Default.Collect.Ipv4.Ttl)}
                            self._child_list_classes = {}

                            self.dscp = YLeaf(YType.empty, "dscp")

                            self.header_length = YLeaf(YType.empty, "header-length")

                            self.id = YLeaf(YType.empty, "id")

                            self.precedence = YLeaf(YType.empty, "precedence")

                            self.protocol = YLeaf(YType.empty, "protocol")

                            self.tos = YLeaf(YType.empty, "tos")

                            self.version = YLeaf(YType.empty, "version")

                            self.destination = Native.Flow.Record.Default.Collect.Ipv4.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.fragmentation = Native.Flow.Record.Default.Collect.Ipv4.Fragmentation()
                            self.fragmentation.parent = self
                            self._children_name_map["fragmentation"] = "fragmentation"
                            self._children_yang_names.add("fragmentation")

                            self.length = Native.Flow.Record.Default.Collect.Ipv4.Length()
                            self.length.parent = self
                            self._children_name_map["length"] = "length"
                            self._children_yang_names.add("length")

                            self.option = Native.Flow.Record.Default.Collect.Ipv4.Option()
                            self.option.parent = self
                            self._children_name_map["option"] = "option"
                            self._children_yang_names.add("option")

                            self.section = Native.Flow.Record.Default.Collect.Ipv4.Section()
                            self.section.parent = self
                            self._children_name_map["section"] = "section"
                            self._children_yang_names.add("section")

                            self.source = Native.Flow.Record.Default.Collect.Ipv4.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")

                            self.total_length = None
                            self._children_name_map["total_length"] = "total-length"
                            self._children_yang_names.add("total-length")

                            self.ttl = None
                            self._children_name_map["ttl"] = "ttl"
                            self._children_yang_names.add("ttl")
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4, ['dscp', 'header_length', 'id', 'precedence', 'protocol', 'tos', 'version'], name, value)


                        class Destination(Entity):
                            """
                            IPv4 destination address based fields
                            
                            .. attribute:: address
                            
                            	IPv4 destination address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv4 address mask for the IPv4 destination address
                            	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Destination.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv4 address prefix for the IPv4 destination address
                            	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Destination.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv4.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Default.Collect.Ipv4.Destination.Mask), "prefix" : ("prefix", Native.Flow.Record.Default.Collect.Ipv4.Destination.Prefix)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")

                                self.mask = None
                                self._children_name_map["mask"] = "mask"
                                self._children_yang_names.add("mask")

                                self.prefix = None
                                self._children_name_map["prefix"] = "prefix"
                                self._children_yang_names.add("prefix")
                                self._segment_path = lambda: "destination"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.Destination, ['address'], name, value)


                            class Mask(Entity):
                                """
                                IPv4 address mask for the IPv4 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv4.Destination.Mask, self).__init__()

                                    self.yang_name = "mask"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "mask"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.Destination.Mask, ['minimum_mask'], name, value)


                            class Prefix(Entity):
                                """
                                IPv4 address prefix for the IPv4 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv4.Destination.Prefix, self).__init__()

                                    self.yang_name = "prefix"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.Destination.Prefix, ['minimum_mask'], name, value)


                        class Fragmentation(Entity):
                            """
                            IPv4 fragmentation fields
                            
                            .. attribute:: flags
                            
                            	IPv4 fragmentation flags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: offset
                            
                            	IPv4 fragmentation offset
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv4.Fragmentation, self).__init__()

                                self.yang_name = "fragmentation"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.flags = YLeaf(YType.empty, "flags")

                                self.offset = YLeaf(YType.empty, "offset")
                                self._segment_path = lambda: "fragmentation"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.Fragmentation, ['flags', 'offset'], name, value)


                        class Length(Entity):
                            """
                            IPv4 length fields
                            
                            .. attribute:: header
                            
                            	Length of the IPv4 header in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: payload
                            
                            	Length of the IPv4 payload in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: total
                            
                            	Total length of the IPv4 header and payload in bytes
                            	**type**\:  :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Length.Total>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv4.Length, self).__init__()

                                self.yang_name = "length"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"total" : ("total", Native.Flow.Record.Default.Collect.Ipv4.Length.Total)}
                                self._child_list_classes = {}

                                self.header = YLeaf(YType.empty, "header")

                                self.payload = YLeaf(YType.empty, "payload")

                                self.total = None
                                self._children_name_map["total"] = "total"
                                self._children_yang_names.add("total")
                                self._segment_path = lambda: "length"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.Length, ['header', 'payload'], name, value)


                            class Total(Entity):
                                """
                                Total length of the IPv4 header and payload in bytes
                                
                                .. attribute:: maximum
                                
                                	Maximum total length in bytes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minimum
                                
                                	Minimum total length in bytes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv4.Length.Total, self).__init__()

                                    self.yang_name = "total"
                                    self.yang_parent_name = "length"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.maximum = YLeaf(YType.empty, "maximum")

                                    self.minimum = YLeaf(YType.empty, "minimum")
                                    self._segment_path = lambda: "total"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.Length.Total, ['maximum', 'minimum'], name, value)


                        class Option(Entity):
                            """
                            IPv4 option fields
                            
                            .. attribute:: map
                            
                            	Bitmap of IPv4 options
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv4.Option, self).__init__()

                                self.yang_name = "option"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.map = YLeaf(YType.empty, "map")
                                self._segment_path = lambda: "option"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.Option, ['map'], name, value)


                        class Section(Entity):
                            """
                            Part of the packet
                            
                            .. attribute:: header
                            
                            	Raw data starting at the IPv4 header
                            	**type**\:  :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Section.Header>`
                            
                            .. attribute:: payload
                            
                            	Raw data starting at the IPv4 payload
                            	**type**\:  :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Section.Payload>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv4.Section, self).__init__()

                                self.yang_name = "section"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"header" : ("header", Native.Flow.Record.Default.Collect.Ipv4.Section.Header), "payload" : ("payload", Native.Flow.Record.Default.Collect.Ipv4.Section.Payload)}
                                self._child_list_classes = {}

                                self.header = Native.Flow.Record.Default.Collect.Ipv4.Section.Header()
                                self.header.parent = self
                                self._children_name_map["header"] = "header"
                                self._children_yang_names.add("header")

                                self.payload = Native.Flow.Record.Default.Collect.Ipv4.Section.Payload()
                                self.payload.parent = self
                                self._children_name_map["payload"] = "payload"
                                self._children_yang_names.add("payload")
                                self._segment_path = lambda: "section"


                            class Header(Entity):
                                """
                                Raw data starting at the IPv4 header
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\: int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv4.Section.Header, self).__init__()

                                    self.yang_name = "header"
                                    self.yang_parent_name = "section"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.size = YLeaf(YType.uint16, "size")
                                    self._segment_path = lambda: "header"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.Section.Header, ['size'], name, value)


                            class Payload(Entity):
                                """
                                Raw data starting at the IPv4 payload
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\: int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv4.Section.Payload, self).__init__()

                                    self.yang_name = "payload"
                                    self.yang_parent_name = "section"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.size = YLeaf(YType.uint16, "size")
                                    self._segment_path = lambda: "payload"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.Section.Payload, ['size'], name, value)


                        class Source(Entity):
                            """
                            IPv4 source address based fields
                            
                            .. attribute:: address
                            
                            	IPv4 source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv4 address mask for the IPv4 source address
                            	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Source.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv4 address prefix for the IPv4 source address
                            	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv4.Source.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv4.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Default.Collect.Ipv4.Source.Mask), "prefix" : ("prefix", Native.Flow.Record.Default.Collect.Ipv4.Source.Prefix)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")

                                self.mask = None
                                self._children_name_map["mask"] = "mask"
                                self._children_yang_names.add("mask")

                                self.prefix = None
                                self._children_name_map["prefix"] = "prefix"
                                self._children_yang_names.add("prefix")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.Source, ['address'], name, value)


                            class Mask(Entity):
                                """
                                IPv4 address mask for the IPv4 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv4.Source.Mask, self).__init__()

                                    self.yang_name = "mask"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "mask"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.Source.Mask, ['minimum_mask'], name, value)


                            class Prefix(Entity):
                                """
                                IPv4 address prefix for the IPv4 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv4.Source.Prefix, self).__init__()

                                    self.yang_name = "prefix"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.Source.Prefix, ['minimum_mask'], name, value)


                        class TotalLength(Entity):
                            """
                            IPv4 total length
                            
                            .. attribute:: maximum
                            
                            	Largest value for IPv4 length seen in the flow
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Smallest value for IPv4 length seen in the flow
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv4.TotalLength, self).__init__()

                                self.yang_name = "total-length"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum = YLeaf(YType.empty, "maximum")

                                self.minimum = YLeaf(YType.empty, "minimum")
                                self._segment_path = lambda: "total-length"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.TotalLength, ['maximum', 'minimum'], name, value)


                        class Ttl(Entity):
                            """
                            IPv4 TTL
                            
                            .. attribute:: maximum
                            
                            	Largest value seen for TTL in the flow
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Smallest value seen for TTL in the flow
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv4.Ttl, self).__init__()

                                self.yang_name = "ttl"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum = YLeaf(YType.empty, "maximum")

                                self.minimum = YLeaf(YType.empty, "minimum")
                                self._segment_path = lambda: "ttl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv4.Ttl, ['maximum', 'minimum'], name, value)


                    class Ipv6(Entity):
                        """
                        IPv6 fields
                        
                        .. attribute:: destination
                        
                        	IPv6 destination address based fields
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Destination>`
                        
                        .. attribute:: dscp
                        
                        	IPv6 DSCP (part of Traffic Class)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: extension
                        
                        	IPv6 extension header fields
                        	**type**\:  :py:class:`Extension <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Extension>`
                        
                        .. attribute:: flow_label
                        
                        	IPv6 flow label
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fragmentation
                        
                        	IPv6 fragmentation fields
                        	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Fragmentation>`
                        
                        .. attribute:: hop_limit
                        
                        	IPv6 hop limit
                        	**type**\:  :py:class:`HopLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.HopLimit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: length
                        
                        	IPv6 length fields
                        	**type**\:  :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Length>`
                        
                        .. attribute:: next_header
                        
                        	The value of the next\-header field in the IPv6 header
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload_length
                        
                        	Length of the IPv6 payload in bytes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: precedence
                        
                        	IPv6 precedence (part of Traffic Class)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	IPv6 payload protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: section
                        
                        	Part of the packet
                        	**type**\:  :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Section>`
                        
                        .. attribute:: source
                        
                        	IPv6 source address based fields
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Source>`
                        
                        .. attribute:: traffic_class
                        
                        	IPv6 traffic class
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: version
                        
                        	IP version from IPv6 header
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Collect.Ipv6.Destination), "extension" : ("extension", Native.Flow.Record.Default.Collect.Ipv6.Extension), "fragmentation" : ("fragmentation", Native.Flow.Record.Default.Collect.Ipv6.Fragmentation), "hop-limit" : ("hop_limit", Native.Flow.Record.Default.Collect.Ipv6.HopLimit), "length" : ("length", Native.Flow.Record.Default.Collect.Ipv6.Length), "section" : ("section", Native.Flow.Record.Default.Collect.Ipv6.Section), "source" : ("source", Native.Flow.Record.Default.Collect.Ipv6.Source)}
                            self._child_list_classes = {}

                            self.dscp = YLeaf(YType.empty, "dscp")

                            self.flow_label = YLeaf(YType.empty, "flow-label")

                            self.next_header = YLeaf(YType.empty, "next-header")

                            self.payload_length = YLeaf(YType.empty, "payload-length")

                            self.precedence = YLeaf(YType.empty, "precedence")

                            self.protocol = YLeaf(YType.empty, "protocol")

                            self.traffic_class = YLeaf(YType.empty, "traffic-class")

                            self.version = YLeaf(YType.empty, "version")

                            self.destination = Native.Flow.Record.Default.Collect.Ipv6.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.extension = Native.Flow.Record.Default.Collect.Ipv6.Extension()
                            self.extension.parent = self
                            self._children_name_map["extension"] = "extension"
                            self._children_yang_names.add("extension")

                            self.fragmentation = Native.Flow.Record.Default.Collect.Ipv6.Fragmentation()
                            self.fragmentation.parent = self
                            self._children_name_map["fragmentation"] = "fragmentation"
                            self._children_yang_names.add("fragmentation")

                            self.hop_limit = None
                            self._children_name_map["hop_limit"] = "hop-limit"
                            self._children_yang_names.add("hop-limit")

                            self.length = Native.Flow.Record.Default.Collect.Ipv6.Length()
                            self.length.parent = self
                            self._children_name_map["length"] = "length"
                            self._children_yang_names.add("length")

                            self.section = Native.Flow.Record.Default.Collect.Ipv6.Section()
                            self.section.parent = self
                            self._children_name_map["section"] = "section"
                            self._children_yang_names.add("section")

                            self.source = Native.Flow.Record.Default.Collect.Ipv6.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6, ['dscp', 'flow_label', 'next_header', 'payload_length', 'precedence', 'protocol', 'traffic_class', 'version'], name, value)


                        class Destination(Entity):
                            """
                            IPv6 destination address based fields
                            
                            .. attribute:: address
                            
                            	IPv6 destination address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv6 address mask for the IPv6 destination address
                            	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Destination.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv6 address prefix for the IPv6 destination address
                            	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Destination.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv6.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Default.Collect.Ipv6.Destination.Mask), "prefix" : ("prefix", Native.Flow.Record.Default.Collect.Ipv6.Destination.Prefix)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")

                                self.mask = None
                                self._children_name_map["mask"] = "mask"
                                self._children_yang_names.add("mask")

                                self.prefix = None
                                self._children_name_map["prefix"] = "prefix"
                                self._children_yang_names.add("prefix")
                                self._segment_path = lambda: "destination"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6.Destination, ['address'], name, value)


                            class Mask(Entity):
                                """
                                IPv6 address mask for the IPv6 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..128
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv6.Destination.Mask, self).__init__()

                                    self.yang_name = "mask"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "mask"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6.Destination.Mask, ['minimum_mask'], name, value)


                            class Prefix(Entity):
                                """
                                IPv6 address prefix for the IPv6 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..128
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv6.Destination.Prefix, self).__init__()

                                    self.yang_name = "prefix"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6.Destination.Prefix, ['minimum_mask'], name, value)


                        class Extension(Entity):
                            """
                            IPv6 extension header fields
                            
                            .. attribute:: map
                            
                            	Bitmap of IPv6 extension headers
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv6.Extension, self).__init__()

                                self.yang_name = "extension"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.map = YLeaf(YType.empty, "map")
                                self._segment_path = lambda: "extension"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6.Extension, ['map'], name, value)


                        class Fragmentation(Entity):
                            """
                            IPv6 fragmentation fields
                            
                            .. attribute:: flags
                            
                            	IPv6 fragmentation flags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	IPv6 fragmentation ID
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: offset
                            
                            	IPv6 fragmentation offset
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv6.Fragmentation, self).__init__()

                                self.yang_name = "fragmentation"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.flags = YLeaf(YType.empty, "flags")

                                self.id = YLeaf(YType.empty, "id")

                                self.offset = YLeaf(YType.empty, "offset")
                                self._segment_path = lambda: "fragmentation"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6.Fragmentation, ['flags', 'id', 'offset'], name, value)


                        class HopLimit(Entity):
                            """
                            IPv6 hop limit
                            
                            .. attribute:: maximum
                            
                            	Largest value seen for hop\-limit in the flow
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Smallest value seen for hop\-limit in the flow
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv6.HopLimit, self).__init__()

                                self.yang_name = "hop-limit"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum = YLeaf(YType.empty, "maximum")

                                self.minimum = YLeaf(YType.empty, "minimum")
                                self._segment_path = lambda: "hop-limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6.HopLimit, ['maximum', 'minimum'], name, value)


                        class Length(Entity):
                            """
                            IPv6 length fields
                            
                            .. attribute:: header
                            
                            	Length of the IPv6 header, not including any extension headers, in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: payload
                            
                            	Length of the IPv6 payload, including any extension headers, in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: total
                            
                            	Total length of the IPv6 header and payload in bytes
                            	**type**\:  :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Length.Total>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv6.Length, self).__init__()

                                self.yang_name = "length"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"total" : ("total", Native.Flow.Record.Default.Collect.Ipv6.Length.Total)}
                                self._child_list_classes = {}

                                self.header = YLeaf(YType.empty, "header")

                                self.payload = YLeaf(YType.empty, "payload")

                                self.total = None
                                self._children_name_map["total"] = "total"
                                self._children_yang_names.add("total")
                                self._segment_path = lambda: "length"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6.Length, ['header', 'payload'], name, value)


                            class Total(Entity):
                                """
                                Total length of the IPv6 header and payload in bytes
                                
                                .. attribute:: maximum
                                
                                	Maximum total length in bytes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minimum
                                
                                	Minimum total length in bytes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv6.Length.Total, self).__init__()

                                    self.yang_name = "total"
                                    self.yang_parent_name = "length"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.maximum = YLeaf(YType.empty, "maximum")

                                    self.minimum = YLeaf(YType.empty, "minimum")
                                    self._segment_path = lambda: "total"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6.Length.Total, ['maximum', 'minimum'], name, value)


                        class Section(Entity):
                            """
                            Part of the packet
                            
                            .. attribute:: header
                            
                            	Raw data starting at the IPv6 header
                            	**type**\:  :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Section.Header>`
                            
                            .. attribute:: payload
                            
                            	Raw data starting at the IPv6 payload
                            	**type**\:  :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Section.Payload>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv6.Section, self).__init__()

                                self.yang_name = "section"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"header" : ("header", Native.Flow.Record.Default.Collect.Ipv6.Section.Header), "payload" : ("payload", Native.Flow.Record.Default.Collect.Ipv6.Section.Payload)}
                                self._child_list_classes = {}

                                self.header = Native.Flow.Record.Default.Collect.Ipv6.Section.Header()
                                self.header.parent = self
                                self._children_name_map["header"] = "header"
                                self._children_yang_names.add("header")

                                self.payload = Native.Flow.Record.Default.Collect.Ipv6.Section.Payload()
                                self.payload.parent = self
                                self._children_name_map["payload"] = "payload"
                                self._children_yang_names.add("payload")
                                self._segment_path = lambda: "section"


                            class Header(Entity):
                                """
                                Raw data starting at the IPv6 header
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\: int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv6.Section.Header, self).__init__()

                                    self.yang_name = "header"
                                    self.yang_parent_name = "section"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.size = YLeaf(YType.uint16, "size")
                                    self._segment_path = lambda: "header"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6.Section.Header, ['size'], name, value)


                            class Payload(Entity):
                                """
                                Raw data starting at the IPv6 payload
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\: int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv6.Section.Payload, self).__init__()

                                    self.yang_name = "payload"
                                    self.yang_parent_name = "section"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.size = YLeaf(YType.uint16, "size")
                                    self._segment_path = lambda: "payload"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6.Section.Payload, ['size'], name, value)


                        class Source(Entity):
                            """
                            IPv6 source address based fields
                            
                            .. attribute:: address
                            
                            	IPv6 source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv6 address mask for the IPv6 source address
                            	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Source.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv6 address prefix for the IPv6 source address
                            	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Ipv6.Source.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Ipv6.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Default.Collect.Ipv6.Source.Mask), "prefix" : ("prefix", Native.Flow.Record.Default.Collect.Ipv6.Source.Prefix)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")

                                self.mask = None
                                self._children_name_map["mask"] = "mask"
                                self._children_yang_names.add("mask")

                                self.prefix = None
                                self._children_name_map["prefix"] = "prefix"
                                self._children_yang_names.add("prefix")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6.Source, ['address'], name, value)


                            class Mask(Entity):
                                """
                                IPv6 address mask for the IPv6 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..128
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv6.Source.Mask, self).__init__()

                                    self.yang_name = "mask"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "mask"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6.Source.Mask, ['minimum_mask'], name, value)


                            class Prefix(Entity):
                                """
                                IPv6 address prefix for the IPv6 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..128
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Ipv6.Source.Prefix, self).__init__()

                                    self.yang_name = "prefix"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Ipv6.Source.Prefix, ['minimum_mask'], name, value)


                    class Metadata(Entity):
                        """
                        Metadata fields
                        
                        .. attribute:: clock_rate
                        
                        	Metadata clock\-rate
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: global_session_id
                        
                        	Metadata global\-session\-id
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multi_party_session_id
                        
                        	Metadata multi\-party\-session\-id
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Metadata, self).__init__()

                            self.yang_name = "metadata"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.clock_rate = YLeaf(YType.empty, "clock-rate")

                            self.global_session_id = YLeaf(YType.empty, "global-session-id")

                            self.multi_party_session_id = YLeaf(YType.empty, "multi-party-session-id")
                            self._segment_path = lambda: "metadata"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Collect.Metadata, ['clock_rate', 'global_session_id', 'multi_party_session_id'], name, value)


                    class Monitor(Entity):
                        """
                        monitor fields
                        
                        .. attribute:: event
                        
                        	Flags indicating monitor events
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.event = YLeaf(YType.empty, "event")
                            self._segment_path = lambda: "monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Collect.Monitor, ['event'], name, value)


                    class Mpls(Entity):
                        """
                        MPLS fields
                        
                        .. attribute:: label
                        
                        	MPLS label details
                        	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Mpls, self).__init__()

                            self.yang_name = "mpls"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"label" : ("label", Native.Flow.Record.Default.Collect.Mpls.Label)}
                            self._child_list_classes = {}

                            self.label = Native.Flow.Record.Default.Collect.Mpls.Label()
                            self.label.parent = self
                            self._children_name_map["label"] = "label"
                            self._children_yang_names.add("label")
                            self._segment_path = lambda: "mpls"


                        class Label(Entity):
                            """
                            MPLS label details
                            
                            .. attribute:: one
                            
                            	MPLS label 1 information
                            	**type**\:  :py:class:`One <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label.One>`
                            
                            .. attribute:: two
                            
                            	MPLS label 2 information
                            	**type**\:  :py:class:`Two <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label.Two>`
                            
                            .. attribute:: three
                            
                            	MPLS label 3 information
                            	**type**\:  :py:class:`Three <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label.Three>`
                            
                            .. attribute:: four
                            
                            	MPLS label 4 information
                            	**type**\:  :py:class:`Four <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label.Four>`
                            
                            .. attribute:: five
                            
                            	MPLS label 5 information
                            	**type**\:  :py:class:`Five <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label.Five>`
                            
                            .. attribute:: six
                            
                            	MPLS label 6 information
                            	**type**\:  :py:class:`Six <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Mpls.Label.Six>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Mpls.Label, self).__init__()

                                self.yang_name = "label"
                                self.yang_parent_name = "mpls"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"one" : ("one", Native.Flow.Record.Default.Collect.Mpls.Label.One), "two" : ("two", Native.Flow.Record.Default.Collect.Mpls.Label.Two), "three" : ("three", Native.Flow.Record.Default.Collect.Mpls.Label.Three), "four" : ("four", Native.Flow.Record.Default.Collect.Mpls.Label.Four), "five" : ("five", Native.Flow.Record.Default.Collect.Mpls.Label.Five), "six" : ("six", Native.Flow.Record.Default.Collect.Mpls.Label.Six)}
                                self._child_list_classes = {}

                                self.one = Native.Flow.Record.Default.Collect.Mpls.Label.One()
                                self.one.parent = self
                                self._children_name_map["one"] = "one"
                                self._children_yang_names.add("one")

                                self.two = Native.Flow.Record.Default.Collect.Mpls.Label.Two()
                                self.two.parent = self
                                self._children_name_map["two"] = "two"
                                self._children_yang_names.add("two")

                                self.three = Native.Flow.Record.Default.Collect.Mpls.Label.Three()
                                self.three.parent = self
                                self._children_name_map["three"] = "three"
                                self._children_yang_names.add("three")

                                self.four = Native.Flow.Record.Default.Collect.Mpls.Label.Four()
                                self.four.parent = self
                                self._children_name_map["four"] = "four"
                                self._children_yang_names.add("four")

                                self.five = Native.Flow.Record.Default.Collect.Mpls.Label.Five()
                                self.five.parent = self
                                self._children_name_map["five"] = "five"
                                self._children_yang_names.add("five")

                                self.six = Native.Flow.Record.Default.Collect.Mpls.Label.Six()
                                self.six.parent = self
                                self._children_name_map["six"] = "six"
                                self._children_yang_names.add("six")
                                self._segment_path = lambda: "label"


                            class One(Entity):
                                """
                                MPLS label 1 information
                                
                                .. attribute:: details
                                
                                	MPLS label 1 details
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: exp
                                
                                	MPLS EXP field from the last label that was pushed
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ttl
                                
                                	MPLS TTL field from the last label that was pushed
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: type
                                
                                	MPLS label type of the last label that was pushed
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Mpls.Label.One, self).__init__()

                                    self.yang_name = "one"
                                    self.yang_parent_name = "label"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.details = YLeaf(YType.empty, "details")

                                    self.exp = YLeaf(YType.empty, "exp")

                                    self.ttl = YLeaf(YType.empty, "ttl")

                                    self.type = YLeaf(YType.empty, "type")
                                    self._segment_path = lambda: "one"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Mpls.Label.One, ['details', 'exp', 'ttl', 'type'], name, value)


                            class Two(Entity):
                                """
                                MPLS label 2 information
                                
                                .. attribute:: details
                                
                                	MPLS label 2 details
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Mpls.Label.Two, self).__init__()

                                    self.yang_name = "two"
                                    self.yang_parent_name = "label"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.details = YLeaf(YType.empty, "details")
                                    self._segment_path = lambda: "two"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Mpls.Label.Two, ['details'], name, value)


                            class Three(Entity):
                                """
                                MPLS label 3 information
                                
                                .. attribute:: details
                                
                                	MPLS label 3 details
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Mpls.Label.Three, self).__init__()

                                    self.yang_name = "three"
                                    self.yang_parent_name = "label"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.details = YLeaf(YType.empty, "details")
                                    self._segment_path = lambda: "three"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Mpls.Label.Three, ['details'], name, value)


                            class Four(Entity):
                                """
                                MPLS label 4 information
                                
                                .. attribute:: details
                                
                                	MPLS label 4 details
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Mpls.Label.Four, self).__init__()

                                    self.yang_name = "four"
                                    self.yang_parent_name = "label"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.details = YLeaf(YType.empty, "details")
                                    self._segment_path = lambda: "four"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Mpls.Label.Four, ['details'], name, value)


                            class Five(Entity):
                                """
                                MPLS label 5 information
                                
                                .. attribute:: details
                                
                                	MPLS label 5 details
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Mpls.Label.Five, self).__init__()

                                    self.yang_name = "five"
                                    self.yang_parent_name = "label"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.details = YLeaf(YType.empty, "details")
                                    self._segment_path = lambda: "five"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Mpls.Label.Five, ['details'], name, value)


                            class Six(Entity):
                                """
                                MPLS label 6 information
                                
                                .. attribute:: details
                                
                                	MPLS label 6 details
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Mpls.Label.Six, self).__init__()

                                    self.yang_name = "six"
                                    self.yang_parent_name = "label"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.details = YLeaf(YType.empty, "details")
                                    self._segment_path = lambda: "six"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Mpls.Label.Six, ['details'], name, value)


                    class Network(Entity):
                        """
                        network metrics
                        
                        .. attribute:: delay
                        
                        	network delay metrics
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Network.Delay>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Flow.Record.Default.Collect.Network.Delay)}
                            self._child_list_classes = {}

                            self.delay = Native.Flow.Record.Default.Collect.Network.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "network"


                        class Delay(Entity):
                            """
                            network delay metrics
                            
                            .. attribute:: sample
                            
                            	The number of samples of roundtrip delay
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	The sum of roundtrip delay
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Network.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sample = YLeaf(YType.empty, "sample")

                                self.sum = YLeaf(YType.empty, "sum")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Network.Delay, ['sample', 'sum'], name, value)


                    class Pfr(Entity):
                        """
                        PfR metrics
                        
                        .. attribute:: label
                        
                        	PfR label metrics
                        	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Label>`
                        
                        .. attribute:: one_way_delay
                        
                        	The packet transmission delay between specified nodes
                        	**type**\:  :py:class:`OneWayDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.OneWayDelay>`
                        
                        .. attribute:: service
                        
                        	PfR service metrics
                        	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Service>`
                        
                        .. attribute:: site
                        
                        	PfR site  metrics
                        	**type**\:  :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Pfr, self).__init__()

                            self.yang_name = "pfr"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"label" : ("label", Native.Flow.Record.Default.Collect.Pfr.Label), "one-way-delay" : ("one_way_delay", Native.Flow.Record.Default.Collect.Pfr.OneWayDelay), "service" : ("service", Native.Flow.Record.Default.Collect.Pfr.Service), "site" : ("site", Native.Flow.Record.Default.Collect.Pfr.Site)}
                            self._child_list_classes = {}

                            self.label = Native.Flow.Record.Default.Collect.Pfr.Label()
                            self.label.parent = self
                            self._children_name_map["label"] = "label"
                            self._children_yang_names.add("label")

                            self.one_way_delay = Native.Flow.Record.Default.Collect.Pfr.OneWayDelay()
                            self.one_way_delay.parent = self
                            self._children_name_map["one_way_delay"] = "one-way-delay"
                            self._children_yang_names.add("one-way-delay")

                            self.service = Native.Flow.Record.Default.Collect.Pfr.Service()
                            self.service.parent = self
                            self._children_name_map["service"] = "service"
                            self._children_yang_names.add("service")

                            self.site = Native.Flow.Record.Default.Collect.Pfr.Site()
                            self.site.parent = self
                            self._children_name_map["site"] = "site"
                            self._children_yang_names.add("site")
                            self._segment_path = lambda: "pfr"


                        class Label(Entity):
                            """
                            PfR label metrics
                            
                            .. attribute:: identifier
                            
                            	pfr label id
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Pfr.Label, self).__init__()

                                self.yang_name = "label"
                                self.yang_parent_name = "pfr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.identifier = YLeaf(YType.empty, "identifier")
                                self._segment_path = lambda: "label"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Pfr.Label, ['identifier'], name, value)


                        class OneWayDelay(Entity):
                            """
                            The packet transmission delay between specified nodes
                            
                            .. attribute:: samples
                            
                            	Total number of one\-way\-delay samples
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	The packet transmission delay sum between specified nodes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Pfr.OneWayDelay, self).__init__()

                                self.yang_name = "one-way-delay"
                                self.yang_parent_name = "pfr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.samples = YLeaf(YType.empty, "samples")

                                self.sum = YLeaf(YType.empty, "sum")
                                self._segment_path = lambda: "one-way-delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Pfr.OneWayDelay, ['samples', 'sum'], name, value)


                        class Service(Entity):
                            """
                            PfR service metrics
                            
                            .. attribute:: provider
                            
                            	PfR service provider metrics
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	PfR service provider tag metrics
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: identifier
                            
                            	PfR service provider tag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Pfr.Service, self).__init__()

                                self.yang_name = "service"
                                self.yang_parent_name = "pfr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.provider = YLeaf(YType.empty, "provider")

                                self.tag = YLeaf(YType.empty, "tag")

                                self.identifier = YLeaf(YType.empty, "identifier")
                                self._segment_path = lambda: "service"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Pfr.Service, ['provider', 'tag', 'identifier'], name, value)


                        class Site(Entity):
                            """
                            PfR site  metrics
                            
                            .. attribute:: destination
                            
                            	PfR site destination metrics
                            	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Destination>`
                            
                            .. attribute:: source
                            
                            	PfR site source metrics
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Source>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Pfr.Site, self).__init__()

                                self.yang_name = "site"
                                self.yang_parent_name = "pfr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Collect.Pfr.Site.Destination), "source" : ("source", Native.Flow.Record.Default.Collect.Pfr.Site.Source)}
                                self._child_list_classes = {}

                                self.destination = Native.Flow.Record.Default.Collect.Pfr.Site.Destination()
                                self.destination.parent = self
                                self._children_name_map["destination"] = "destination"
                                self._children_yang_names.add("destination")

                                self.source = Native.Flow.Record.Default.Collect.Pfr.Site.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "site"


                            class Destination(Entity):
                                """
                                PfR site destination metrics
                                
                                .. attribute:: id
                                
                                	PfR site destination ID metrics
                                	**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Id>`
                                
                                .. attribute:: prefix
                                
                                	PfR site prefix of the packet destination
                                	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Pfr.Site.Destination, self).__init__()

                                    self.yang_name = "destination"
                                    self.yang_parent_name = "site"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"id" : ("id", Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Id), "prefix" : ("prefix", Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix)}
                                    self._child_list_classes = {}

                                    self.id = Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Id()
                                    self.id.parent = self
                                    self._children_name_map["id"] = "id"
                                    self._children_yang_names.add("id")

                                    self.prefix = Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix()
                                    self.prefix.parent = self
                                    self._children_name_map["prefix"] = "prefix"
                                    self._children_yang_names.add("prefix")
                                    self._segment_path = lambda: "destination"


                                class Id(Entity):
                                    """
                                    PfR site destination ID metrics
                                    
                                    .. attribute:: ipv4
                                    
                                    	site ID of the packet destination
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Id, self).__init__()

                                        self.yang_name = "id"
                                        self.yang_parent_name = "destination"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")
                                        self._segment_path = lambda: "id"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Id, ['ipv4'], name, value)


                                class Prefix(Entity):
                                    """
                                    PfR site prefix of the packet destination
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix of the packet destination
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	PfR site prefix mask of the packet destination
                                    	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix.Mask>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix, self).__init__()

                                        self.yang_name = "prefix"
                                        self.yang_parent_name = "destination"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix.Mask)}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")

                                        self.mask = Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix.Mask()
                                        self.mask.parent = self
                                        self._children_name_map["mask"] = "mask"
                                        self._children_yang_names.add("mask")
                                        self._segment_path = lambda: "prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix, ['ipv4'], name, value)


                                    class Mask(Entity):
                                        """
                                        PfR site prefix mask of the packet destination
                                        
                                        .. attribute:: ipv4
                                        
                                        	site prefix mask of the packet destination
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-04-19'

                                        def __init__(self):
                                            super(Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix.Mask, self).__init__()

                                            self.yang_name = "mask"
                                            self.yang_parent_name = "prefix"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.empty, "ipv4")
                                            self._segment_path = lambda: "mask"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Flow.Record.Default.Collect.Pfr.Site.Destination.Prefix.Mask, ['ipv4'], name, value)


                            class Source(Entity):
                                """
                                PfR site source metrics
                                
                                .. attribute:: id
                                
                                	PfR site source ID metrics
                                	**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Source.Id>`
                                
                                .. attribute:: prefix
                                
                                	PfR site prefix of the packet source
                                	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Pfr.Site.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "site"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"id" : ("id", Native.Flow.Record.Default.Collect.Pfr.Site.Source.Id), "prefix" : ("prefix", Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix)}
                                    self._child_list_classes = {}

                                    self.id = Native.Flow.Record.Default.Collect.Pfr.Site.Source.Id()
                                    self.id.parent = self
                                    self._children_name_map["id"] = "id"
                                    self._children_yang_names.add("id")

                                    self.prefix = Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix()
                                    self.prefix.parent = self
                                    self._children_name_map["prefix"] = "prefix"
                                    self._children_yang_names.add("prefix")
                                    self._segment_path = lambda: "source"


                                class Id(Entity):
                                    """
                                    PfR site source ID metrics
                                    
                                    .. attribute:: ipv4
                                    
                                    	site ID of the packet source
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Pfr.Site.Source.Id, self).__init__()

                                        self.yang_name = "id"
                                        self.yang_parent_name = "source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")
                                        self._segment_path = lambda: "id"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Pfr.Site.Source.Id, ['ipv4'], name, value)


                                class Prefix(Entity):
                                    """
                                    PfR site prefix of the packet source
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix of the packet source
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	PfR site prefix mask of the packet source
                                    	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix.Mask>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix, self).__init__()

                                        self.yang_name = "prefix"
                                        self.yang_parent_name = "source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix.Mask)}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")

                                        self.mask = Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix.Mask()
                                        self.mask.parent = self
                                        self._children_name_map["mask"] = "mask"
                                        self._children_yang_names.add("mask")
                                        self._segment_path = lambda: "prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix, ['ipv4'], name, value)


                                    class Mask(Entity):
                                        """
                                        PfR site prefix mask of the packet source
                                        
                                        .. attribute:: ipv4
                                        
                                        	site prefix mask of the packet source
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-04-19'

                                        def __init__(self):
                                            super(Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix.Mask, self).__init__()

                                            self.yang_name = "mask"
                                            self.yang_parent_name = "prefix"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.empty, "ipv4")
                                            self._segment_path = lambda: "mask"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Flow.Record.Default.Collect.Pfr.Site.Source.Prefix.Mask, ['ipv4'], name, value)


                    class Policy(Entity):
                        """
                        policy fields
                        
                        .. attribute:: performance_monitor
                        
                        	Performance\-monitor policy related metrics
                        	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor>`
                        
                        .. attribute:: qos
                        
                        	QoS policy related metrics
                        	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Policy.Qos>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"performance-monitor" : ("performance_monitor", Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor), "qos" : ("qos", Native.Flow.Record.Default.Collect.Policy.Qos)}
                            self._child_list_classes = {}

                            self.performance_monitor = Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor()
                            self.performance_monitor.parent = self
                            self._children_name_map["performance_monitor"] = "performance-monitor"
                            self._children_yang_names.add("performance-monitor")

                            self.qos = Native.Flow.Record.Default.Collect.Policy.Qos()
                            self.qos.parent = self
                            self._children_name_map["qos"] = "qos"
                            self._children_yang_names.add("qos")
                            self._segment_path = lambda: "policy"


                        class PerformanceMonitor(Entity):
                            """
                            Performance\-monitor policy related metrics
                            
                            .. attribute:: classification
                            
                            	Classification metrics
                            	**type**\:  :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor.Classification>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor, self).__init__()

                                self.yang_name = "performance-monitor"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"classification" : ("classification", Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor.Classification)}
                                self._child_list_classes = {}

                                self.classification = Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor.Classification()
                                self.classification.parent = self
                                self._children_name_map["classification"] = "classification"
                                self._children_yang_names.add("classification")
                                self._segment_path = lambda: "performance-monitor"


                            class Classification(Entity):
                                """
                                Classification metrics
                                
                                .. attribute:: hierarchy
                                
                                	Performance\-monitor class hierarchy
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor.Classification, self).__init__()

                                    self.yang_name = "classification"
                                    self.yang_parent_name = "performance-monitor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hierarchy = YLeaf(YType.empty, "hierarchy")
                                    self._segment_path = lambda: "classification"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Policy.PerformanceMonitor.Classification, ['hierarchy'], name, value)


                        class Qos(Entity):
                            """
                            QoS policy related metrics
                            
                            .. attribute:: classification
                            
                            	Classification metrics
                            	**type**\:  :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Policy.Qos.Classification>`
                            
                            .. attribute:: queue
                            
                            	Queue metrics
                            	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Policy.Qos.Queue>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Policy.Qos, self).__init__()

                                self.yang_name = "qos"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"classification" : ("classification", Native.Flow.Record.Default.Collect.Policy.Qos.Classification), "queue" : ("queue", Native.Flow.Record.Default.Collect.Policy.Qos.Queue)}
                                self._child_list_classes = {}

                                self.classification = Native.Flow.Record.Default.Collect.Policy.Qos.Classification()
                                self.classification.parent = self
                                self._children_name_map["classification"] = "classification"
                                self._children_yang_names.add("classification")

                                self.queue = Native.Flow.Record.Default.Collect.Policy.Qos.Queue()
                                self.queue.parent = self
                                self._children_name_map["queue"] = "queue"
                                self._children_yang_names.add("queue")
                                self._segment_path = lambda: "qos"


                            class Classification(Entity):
                                """
                                Classification metrics
                                
                                .. attribute:: hierarchy
                                
                                	QoS class hierarchy
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Policy.Qos.Classification, self).__init__()

                                    self.yang_name = "classification"
                                    self.yang_parent_name = "qos"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hierarchy = YLeaf(YType.empty, "hierarchy")
                                    self._segment_path = lambda: "classification"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Policy.Qos.Classification, ['hierarchy'], name, value)


                            class Queue(Entity):
                                """
                                Queue metrics
                                
                                .. attribute:: drops
                                
                                	QoS queue drops
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: index
                                
                                	QoS queue index
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Policy.Qos.Queue, self).__init__()

                                    self.yang_name = "queue"
                                    self.yang_parent_name = "qos"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.drops = YLeaf(YType.empty, "drops")

                                    self.index = YLeaf(YType.empty, "index")
                                    self._segment_path = lambda: "queue"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Policy.Qos.Queue, ['drops', 'index'], name, value)


                    class Routing(Entity):
                        """
                        Routing attributes
                        
                        .. attribute:: destination
                        
                        	Destination routing attributes
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Destination>`
                        
                        .. attribute:: forwarding_status
                        
                        	Forwarding status of the packet
                        	**type**\:  :py:class:`ForwardingStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.ForwardingStatus>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: is_multicast
                        
                        	Indicates if this is multicast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: next_hop
                        
                        	Information regarding the next hop
                        	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.NextHop>`
                        
                        .. attribute:: pw
                        
                        	Pseudowire fields
                        	**type**\:  :py:class:`Pw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Pw>`
                        
                        .. attribute:: source
                        
                        	Source routing attributes
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Source>`
                        
                        .. attribute:: vrf
                        
                        	VRF routing attributes
                        	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Routing, self).__init__()

                            self.yang_name = "routing"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Collect.Routing.Destination), "forwarding-status" : ("forwarding_status", Native.Flow.Record.Default.Collect.Routing.ForwardingStatus), "next-hop" : ("next_hop", Native.Flow.Record.Default.Collect.Routing.NextHop), "pw" : ("pw", Native.Flow.Record.Default.Collect.Routing.Pw), "source" : ("source", Native.Flow.Record.Default.Collect.Routing.Source), "vrf" : ("vrf", Native.Flow.Record.Default.Collect.Routing.Vrf)}
                            self._child_list_classes = {}

                            self.is_multicast = YLeaf(YType.empty, "is-multicast")

                            self.destination = Native.Flow.Record.Default.Collect.Routing.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.forwarding_status = None
                            self._children_name_map["forwarding_status"] = "forwarding-status"
                            self._children_yang_names.add("forwarding-status")

                            self.next_hop = Native.Flow.Record.Default.Collect.Routing.NextHop()
                            self.next_hop.parent = self
                            self._children_name_map["next_hop"] = "next-hop"
                            self._children_yang_names.add("next-hop")

                            self.pw = Native.Flow.Record.Default.Collect.Routing.Pw()
                            self.pw.parent = self
                            self._children_name_map["pw"] = "pw"
                            self._children_yang_names.add("pw")

                            self.source = Native.Flow.Record.Default.Collect.Routing.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")

                            self.vrf = Native.Flow.Record.Default.Collect.Routing.Vrf()
                            self.vrf.parent = self
                            self._children_name_map["vrf"] = "vrf"
                            self._children_yang_names.add("vrf")
                            self._segment_path = lambda: "routing"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Collect.Routing, ['is_multicast'], name, value)


                        class Destination(Entity):
                            """
                            Destination routing attributes
                            
                            .. attribute:: as_
                            
                            	AS number of the destination network
                            	**type**\:  :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Destination.As_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: traffic_index
                            
                            	BGP destination traffic index
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Routing.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "routing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"as" : ("as_", Native.Flow.Record.Default.Collect.Routing.Destination.As_)}
                                self._child_list_classes = {}

                                self.traffic_index = YLeaf(YType.empty, "traffic-index")

                                self.as_ = None
                                self._children_name_map["as_"] = "as"
                                self._children_yang_names.add("as")
                                self._segment_path = lambda: "destination"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Routing.Destination, ['traffic_index'], name, value)


                            class As_(Entity):
                                """
                                AS number of the destination network
                                
                                .. attribute:: as4_octet
                                
                                	4 octet AS number of the destination network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: peer
                                
                                	AS number of the peer network we will forward to
                                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Destination.As_.Peer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Routing.Destination.As_, self).__init__()

                                    self.yang_name = "as"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peer" : ("peer", Native.Flow.Record.Default.Collect.Routing.Destination.As_.Peer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as4_octet = YLeaf(YType.empty, "as4-octet")

                                    self.peer = None
                                    self._children_name_map["peer"] = "peer"
                                    self._children_yang_names.add("peer")
                                    self._segment_path = lambda: "as"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Routing.Destination.As_, ['as4_octet'], name, value)


                                class Peer(Entity):
                                    """
                                    AS number of the peer network we will forward to
                                    
                                    .. attribute:: peer4_octet
                                    
                                    	4 octet AS number of the peer network we will forward to
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Routing.Destination.As_.Peer, self).__init__()

                                        self.yang_name = "peer"
                                        self.yang_parent_name = "as"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.peer4_octet = YLeaf(YType.empty, "peer4-octet")
                                        self._segment_path = lambda: "peer"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Routing.Destination.As_.Peer, ['peer4_octet'], name, value)


                        class ForwardingStatus(Entity):
                            """
                            Forwarding status of the packet
                            
                            .. attribute:: reason
                            
                            	Forwarding status reason of the packet
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Routing.ForwardingStatus, self).__init__()

                                self.yang_name = "forwarding-status"
                                self.yang_parent_name = "routing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.reason = YLeaf(YType.empty, "reason")
                                self._segment_path = lambda: "forwarding-status"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Routing.ForwardingStatus, ['reason'], name, value)


                        class NextHop(Entity):
                            """
                            Information regarding the next hop
                            
                            .. attribute:: address
                            
                            	IP address of the next hop
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.NextHop.Address>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Routing.NextHop, self).__init__()

                                self.yang_name = "next-hop"
                                self.yang_parent_name = "routing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Flow.Record.Default.Collect.Routing.NextHop.Address)}
                                self._child_list_classes = {}

                                self.address = Native.Flow.Record.Default.Collect.Routing.NextHop.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")
                                self._segment_path = lambda: "next-hop"


                            class Address(Entity):
                                """
                                IP address of the next hop
                                
                                .. attribute:: ipv4
                                
                                	IPv4 address of the next hop
                                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv4>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipv6
                                
                                	IPv6 address of the next hop
                                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv6>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Routing.NextHop.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "next-hop"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv6)}
                                    self._child_list_classes = {}

                                    self.ipv4 = None
                                    self._children_name_map["ipv4"] = "ipv4"
                                    self._children_yang_names.add("ipv4")

                                    self.ipv6 = None
                                    self._children_name_map["ipv6"] = "ipv6"
                                    self._children_yang_names.add("ipv6")
                                    self._segment_path = lambda: "address"


                                class Ipv4(Entity):
                                    """
                                    IPv4 address of the next hop
                                    
                                    .. attribute:: bgp
                                    
                                    	IPv4 address of the BGP next hop
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.bgp = YLeaf(YType.empty, "bgp")
                                        self._segment_path = lambda: "ipv4"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv4, ['bgp'], name, value)


                                class Ipv6(Entity):
                                    """
                                    IPv6 address of the next hop
                                    
                                    .. attribute:: bgp
                                    
                                    	IPv6 address of the BGP next hop
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv6, self).__init__()

                                        self.yang_name = "ipv6"
                                        self.yang_parent_name = "address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.bgp = YLeaf(YType.empty, "bgp")
                                        self._segment_path = lambda: "ipv6"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Routing.NextHop.Address.Ipv6, ['bgp'], name, value)


                        class Pw(Entity):
                            """
                            Pseudowire fields
                            
                            .. attribute:: destination
                            
                            	Pseudowire destination
                            	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Pw.Destination>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Routing.Pw, self).__init__()

                                self.yang_name = "pw"
                                self.yang_parent_name = "routing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Collect.Routing.Pw.Destination)}
                                self._child_list_classes = {}

                                self.destination = Native.Flow.Record.Default.Collect.Routing.Pw.Destination()
                                self.destination.parent = self
                                self._children_name_map["destination"] = "destination"
                                self._children_yang_names.add("destination")
                                self._segment_path = lambda: "pw"


                            class Destination(Entity):
                                """
                                Pseudowire destination
                                
                                .. attribute:: address
                                
                                	Pseudowire destination address
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Routing.Pw.Destination, self).__init__()

                                    self.yang_name = "destination"
                                    self.yang_parent_name = "pw"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.empty, "address")
                                    self._segment_path = lambda: "destination"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Routing.Pw.Destination, ['address'], name, value)


                        class Source(Entity):
                            """
                            Source routing attributes
                            
                            .. attribute:: as_
                            
                            	AS number of the original network
                            	**type**\:  :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Source.As_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: traffic_index
                            
                            	BGP source traffic index
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Routing.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "routing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"as" : ("as_", Native.Flow.Record.Default.Collect.Routing.Source.As_)}
                                self._child_list_classes = {}

                                self.traffic_index = YLeaf(YType.empty, "traffic-index")

                                self.as_ = None
                                self._children_name_map["as_"] = "as"
                                self._children_yang_names.add("as")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Routing.Source, ['traffic_index'], name, value)


                            class As_(Entity):
                                """
                                AS number of the original network
                                
                                .. attribute:: as4_octet
                                
                                	4 octet AS number of the original network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: peer
                                
                                	AS number of the peer network where the packet came from
                                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Routing.Source.As_.Peer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Routing.Source.As_, self).__init__()

                                    self.yang_name = "as"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peer" : ("peer", Native.Flow.Record.Default.Collect.Routing.Source.As_.Peer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as4_octet = YLeaf(YType.empty, "as4-octet")

                                    self.peer = None
                                    self._children_name_map["peer"] = "peer"
                                    self._children_yang_names.add("peer")
                                    self._segment_path = lambda: "as"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Routing.Source.As_, ['as4_octet'], name, value)


                                class Peer(Entity):
                                    """
                                    AS number of the peer network where the packet came from
                                    
                                    .. attribute:: peer4_octet
                                    
                                    	4 octet AS number of the peer network where the packet came from
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Routing.Source.As_.Peer, self).__init__()

                                        self.yang_name = "peer"
                                        self.yang_parent_name = "as"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.peer4_octet = YLeaf(YType.empty, "peer4-octet")
                                        self._segment_path = lambda: "peer"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Routing.Source.As_.Peer, ['peer4_octet'], name, value)


                        class Vrf(Entity):
                            """
                            VRF routing attributes
                            
                            .. attribute:: input
                            
                            	VRF ID for incoming packet
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: output
                            
                            	VRF ID for outgoing packet
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Routing.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "routing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.input = YLeaf(YType.empty, "input")

                                self.output = YLeaf(YType.empty, "output")
                                self._segment_path = lambda: "vrf"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Routing.Vrf, ['input', 'output'], name, value)


                    class Services(Entity):
                        """
                        Services fields
                        
                        .. attribute:: waas
                        
                        	WAAS (Wide Area Application Services) metrics
                        	**type**\:  :py:class:`Waas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Services.Waas>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Services, self).__init__()

                            self.yang_name = "services"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"waas" : ("waas", Native.Flow.Record.Default.Collect.Services.Waas)}
                            self._child_list_classes = {}

                            self.waas = Native.Flow.Record.Default.Collect.Services.Waas()
                            self.waas.parent = self
                            self._children_name_map["waas"] = "waas"
                            self._children_yang_names.add("waas")
                            self._segment_path = lambda: "services"


                        class Waas(Entity):
                            """
                            WAAS (Wide Area Application Services) metrics
                            
                            .. attribute:: passthrough_reason
                            
                            	WAAS passthrough reason
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: segment
                            
                            	WAAS optimization segment
                            	**type**\:  :py:class:`Segment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Services.Waas.Segment>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Services.Waas, self).__init__()

                                self.yang_name = "waas"
                                self.yang_parent_name = "services"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"segment" : ("segment", Native.Flow.Record.Default.Collect.Services.Waas.Segment)}
                                self._child_list_classes = {}

                                self.passthrough_reason = YLeaf(YType.empty, "passthrough-reason")

                                self.segment = None
                                self._children_name_map["segment"] = "segment"
                                self._children_yang_names.add("segment")
                                self._segment_path = lambda: "waas"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Services.Waas, ['passthrough_reason'], name, value)


                            class Segment(Entity):
                                """
                                WAAS optimization segment
                                
                                .. attribute:: account_on_resolution
                                
                                	Account on resolution
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Services.Waas.Segment, self).__init__()

                                    self.yang_name = "segment"
                                    self.yang_parent_name = "waas"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.account_on_resolution = YLeaf(YType.empty, "account-on-resolution")
                                    self._segment_path = lambda: "segment"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Services.Waas.Segment, ['account_on_resolution'], name, value)


                    class Timestamp(Entity):
                        """
                        Timestamp fields
                        
                        .. attribute:: absolute
                        
                        	Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                        	**type**\:  :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Timestamp.Absolute>`
                        
                        .. attribute:: interval
                        
                        	Epoch of a monitoring interval
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sys_uptime
                        
                        	Timestamps based on the sys\-uptime
                        	**type**\:  :py:class:`SysUptime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Timestamp.SysUptime>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Timestamp, self).__init__()

                            self.yang_name = "timestamp"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"absolute" : ("absolute", Native.Flow.Record.Default.Collect.Timestamp.Absolute), "sys-uptime" : ("sys_uptime", Native.Flow.Record.Default.Collect.Timestamp.SysUptime)}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.empty, "interval")

                            self.absolute = Native.Flow.Record.Default.Collect.Timestamp.Absolute()
                            self.absolute.parent = self
                            self._children_name_map["absolute"] = "absolute"
                            self._children_yang_names.add("absolute")

                            self.sys_uptime = Native.Flow.Record.Default.Collect.Timestamp.SysUptime()
                            self.sys_uptime.parent = self
                            self._children_name_map["sys_uptime"] = "sys-uptime"
                            self._children_yang_names.add("sys-uptime")
                            self._segment_path = lambda: "timestamp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Collect.Timestamp, ['interval'], name, value)


                        class Absolute(Entity):
                            """
                            Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                            
                            .. attribute:: first
                            
                            	Absolute time the first packet was seen (milliseconds)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: last
                            
                            	Absolute time the most recent packet was seen (milliseconds)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: monitoring_interval
                            
                            	Monitoring interval timestamps
                            	**type**\:  :py:class:`MonitoringInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Timestamp.Absolute.MonitoringInterval>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Timestamp.Absolute, self).__init__()

                                self.yang_name = "absolute"
                                self.yang_parent_name = "timestamp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"monitoring-interval" : ("monitoring_interval", Native.Flow.Record.Default.Collect.Timestamp.Absolute.MonitoringInterval)}
                                self._child_list_classes = {}

                                self.first = YLeaf(YType.empty, "first")

                                self.last = YLeaf(YType.empty, "last")

                                self.monitoring_interval = Native.Flow.Record.Default.Collect.Timestamp.Absolute.MonitoringInterval()
                                self.monitoring_interval.parent = self
                                self._children_name_map["monitoring_interval"] = "monitoring-interval"
                                self._children_yang_names.add("monitoring-interval")
                                self._segment_path = lambda: "absolute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Timestamp.Absolute, ['first', 'last'], name, value)


                            class MonitoringInterval(Entity):
                                """
                                Monitoring interval timestamps
                                
                                .. attribute:: end
                                
                                	Absolute end time of a monitoring interval (milliseconds)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: start
                                
                                	Absolute start time of a monitoring interval (milliseconds)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Timestamp.Absolute.MonitoringInterval, self).__init__()

                                    self.yang_name = "monitoring-interval"
                                    self.yang_parent_name = "absolute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.end = YLeaf(YType.empty, "end")

                                    self.start = YLeaf(YType.empty, "start")
                                    self._segment_path = lambda: "monitoring-interval"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Timestamp.Absolute.MonitoringInterval, ['end', 'start'], name, value)


                        class SysUptime(Entity):
                            """
                            Timestamps based on the sys\-uptime
                            
                            .. attribute:: first
                            
                            	Time the first packet was seen
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: last
                            
                            	Time the most recent packet was seen
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Timestamp.SysUptime, self).__init__()

                                self.yang_name = "sys-uptime"
                                self.yang_parent_name = "timestamp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.first = YLeaf(YType.empty, "first")

                                self.last = YLeaf(YType.empty, "last")
                                self._segment_path = lambda: "sys-uptime"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Timestamp.SysUptime, ['first', 'last'], name, value)


                    class Transport(Entity):
                        """
                        Transport layer fields
                        
                        .. attribute:: bytes
                        
                        	Bytes fields
                        	**type**\:  :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Bytes>`
                        
                        .. attribute:: destination_port
                        
                        	Transport destination port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: icmp
                        
                        	ICMP fields
                        	**type**\:  :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Icmp>`
                        
                        .. attribute:: igmp
                        
                        	IGMP fields
                        	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Igmp>`
                        
                        .. attribute:: source_port
                        
                        	Transport source port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tcp
                        
                        	TCP fields
                        	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp>`
                        
                        .. attribute:: udp
                        
                        	UDP fields
                        	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Udp>`
                        
                        .. attribute:: event
                        
                        	Transport event fields
                        	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Event>`
                        
                        .. attribute:: packets
                        
                        	Transport packet fields
                        	**type**\:  :py:class:`Packets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Packets>`
                        
                        .. attribute:: round_trip_time
                        
                        	RTT calculation for flow
                        	**type**\:  :py:class:`RoundTripTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.RoundTripTime>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: rtp
                        
                        	RTP fields
                        	**type**\:  :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Rtp>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Collect.Transport, self).__init__()

                            self.yang_name = "transport"
                            self.yang_parent_name = "collect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bytes" : ("bytes", Native.Flow.Record.Default.Collect.Transport.Bytes), "icmp" : ("icmp", Native.Flow.Record.Default.Collect.Transport.Icmp), "igmp" : ("igmp", Native.Flow.Record.Default.Collect.Transport.Igmp), "tcp" : ("tcp", Native.Flow.Record.Default.Collect.Transport.Tcp), "udp" : ("udp", Native.Flow.Record.Default.Collect.Transport.Udp), "event" : ("event", Native.Flow.Record.Default.Collect.Transport.Event), "packets" : ("packets", Native.Flow.Record.Default.Collect.Transport.Packets), "round-trip-time" : ("round_trip_time", Native.Flow.Record.Default.Collect.Transport.RoundTripTime), "rtp" : ("rtp", Native.Flow.Record.Default.Collect.Transport.Rtp)}
                            self._child_list_classes = {}

                            self.destination_port = YLeaf(YType.empty, "destination-port")

                            self.source_port = YLeaf(YType.empty, "source-port")

                            self.bytes = Native.Flow.Record.Default.Collect.Transport.Bytes()
                            self.bytes.parent = self
                            self._children_name_map["bytes"] = "bytes"
                            self._children_yang_names.add("bytes")

                            self.icmp = Native.Flow.Record.Default.Collect.Transport.Icmp()
                            self.icmp.parent = self
                            self._children_name_map["icmp"] = "icmp"
                            self._children_yang_names.add("icmp")

                            self.igmp = Native.Flow.Record.Default.Collect.Transport.Igmp()
                            self.igmp.parent = self
                            self._children_name_map["igmp"] = "igmp"
                            self._children_yang_names.add("igmp")

                            self.tcp = Native.Flow.Record.Default.Collect.Transport.Tcp()
                            self.tcp.parent = self
                            self._children_name_map["tcp"] = "tcp"
                            self._children_yang_names.add("tcp")

                            self.udp = Native.Flow.Record.Default.Collect.Transport.Udp()
                            self.udp.parent = self
                            self._children_name_map["udp"] = "udp"
                            self._children_yang_names.add("udp")

                            self.event = Native.Flow.Record.Default.Collect.Transport.Event()
                            self.event.parent = self
                            self._children_name_map["event"] = "event"
                            self._children_yang_names.add("event")

                            self.packets = Native.Flow.Record.Default.Collect.Transport.Packets()
                            self.packets.parent = self
                            self._children_name_map["packets"] = "packets"
                            self._children_yang_names.add("packets")

                            self.round_trip_time = None
                            self._children_name_map["round_trip_time"] = "round-trip-time"
                            self._children_yang_names.add("round-trip-time")

                            self.rtp = Native.Flow.Record.Default.Collect.Transport.Rtp()
                            self.rtp.parent = self
                            self._children_name_map["rtp"] = "rtp"
                            self._children_yang_names.add("rtp")
                            self._segment_path = lambda: "transport"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Collect.Transport, ['destination_port', 'source_port'], name, value)


                        class Bytes(Entity):
                            """
                            Bytes fields
                            
                            .. attribute:: expected
                            
                            	Transport bytes expected
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: lost
                            
                            	Transport bytes lost
                            	**type**\:  :py:class:`Lost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Bytes.Lost>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out_of_order
                            
                            	Total number of out\-of\-order bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Transport.Bytes, self).__init__()

                                self.yang_name = "bytes"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lost" : ("lost", Native.Flow.Record.Default.Collect.Transport.Bytes.Lost)}
                                self._child_list_classes = {}

                                self.expected = YLeaf(YType.empty, "expected")

                                self.out_of_order = YLeaf(YType.empty, "out-of-order")

                                self.lost = None
                                self._children_name_map["lost"] = "lost"
                                self._children_yang_names.add("lost")
                                self._segment_path = lambda: "bytes"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Bytes, ['expected', 'out_of_order'], name, value)


                            class Lost(Entity):
                                """
                                Transport bytes lost
                                
                                .. attribute:: rate
                                
                                	Transport bytes lost rate
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Transport.Bytes.Lost, self).__init__()

                                    self.yang_name = "lost"
                                    self.yang_parent_name = "bytes"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rate = YLeaf(YType.empty, "rate")
                                    self._segment_path = lambda: "lost"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Bytes.Lost, ['rate'], name, value)


                        class Icmp(Entity):
                            """
                            ICMP fields
                            
                            .. attribute:: ipv4
                            
                            	IPv4 ICMP fields
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	IPv6 ICMP fields
                            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv6>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Transport.Icmp, self).__init__()

                                self.yang_name = "icmp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipv4" : ("ipv4", Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv6)}
                                self._child_list_classes = {}

                                self.ipv4 = Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv4()
                                self.ipv4.parent = self
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")

                                self.ipv6 = Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv6()
                                self.ipv6.parent = self
                                self._children_name_map["ipv6"] = "ipv6"
                                self._children_yang_names.add("ipv6")
                                self._segment_path = lambda: "icmp"


                            class Ipv4(Entity):
                                """
                                IPv4 ICMP fields
                                
                                .. attribute:: code
                                
                                	IPv4 ICMP code
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: type
                                
                                	IPv4 ICMP type
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "icmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.code = YLeaf(YType.empty, "code")

                                    self.type = YLeaf(YType.empty, "type")
                                    self._segment_path = lambda: "ipv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv4, ['code', 'type'], name, value)


                            class Ipv6(Entity):
                                """
                                IPv6 ICMP fields
                                
                                .. attribute:: code
                                
                                	IPv6 ICMP code
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: type
                                
                                	IPv6 ICMP type
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "icmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.code = YLeaf(YType.empty, "code")

                                    self.type = YLeaf(YType.empty, "type")
                                    self._segment_path = lambda: "ipv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Icmp.Ipv6, ['code', 'type'], name, value)


                        class Igmp(Entity):
                            """
                            IGMP fields
                            
                            .. attribute:: type
                            
                            	IGMP type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Transport.Igmp, self).__init__()

                                self.yang_name = "igmp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.type = YLeaf(YType.empty, "type")
                                self._segment_path = lambda: "igmp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Igmp, ['type'], name, value)


                        class Tcp(Entity):
                            """
                            TCP fields
                            
                            .. attribute:: acknowledgement_number
                            
                            	TCP acknowledgement number
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: destination_port
                            
                            	TCP destination port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: flags
                            
                            	TCP flags
                            	**type**\:  :py:class:`Flags <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp.Flags>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: flow
                            
                            	TCP flow
                            	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp.Flow>`
                            
                            .. attribute:: header_length
                            
                            	TCP header length (in 32 bit words)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maximum_segment_size
                            
                            	The maximum size of TCP segment
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: option
                            
                            	TCP option fields
                            	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp.Option>`
                            
                            .. attribute:: sequence_number
                            
                            	TCP sequence number
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source_port
                            
                            	TCP source port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: urgent_pointer
                            
                            	TCP urgent pointer
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: window_size
                            
                            	TCP window size
                            	**type**\:  :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Transport.Tcp, self).__init__()

                                self.yang_name = "tcp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"flags" : ("flags", Native.Flow.Record.Default.Collect.Transport.Tcp.Flags), "flow" : ("flow", Native.Flow.Record.Default.Collect.Transport.Tcp.Flow), "option" : ("option", Native.Flow.Record.Default.Collect.Transport.Tcp.Option), "window-size" : ("window_size", Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize)}
                                self._child_list_classes = {}

                                self.acknowledgement_number = YLeaf(YType.empty, "acknowledgement-number")

                                self.destination_port = YLeaf(YType.empty, "destination-port")

                                self.header_length = YLeaf(YType.empty, "header-length")

                                self.maximum_segment_size = YLeaf(YType.empty, "maximum-segment-size")

                                self.sequence_number = YLeaf(YType.empty, "sequence-number")

                                self.source_port = YLeaf(YType.empty, "source-port")

                                self.urgent_pointer = YLeaf(YType.empty, "urgent-pointer")

                                self.flags = None
                                self._children_name_map["flags"] = "flags"
                                self._children_yang_names.add("flags")

                                self.flow = Native.Flow.Record.Default.Collect.Transport.Tcp.Flow()
                                self.flow.parent = self
                                self._children_name_map["flow"] = "flow"
                                self._children_yang_names.add("flow")

                                self.option = Native.Flow.Record.Default.Collect.Transport.Tcp.Option()
                                self.option.parent = self
                                self._children_name_map["option"] = "option"
                                self._children_yang_names.add("option")

                                self.window_size = None
                                self._children_name_map["window_size"] = "window-size"
                                self._children_yang_names.add("window-size")
                                self._segment_path = lambda: "tcp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Tcp, ['acknowledgement_number', 'destination_port', 'header_length', 'maximum_segment_size', 'sequence_number', 'source_port', 'urgent_pointer'], name, value)


                            class Flags(Entity):
                                """
                                TCP flags
                                
                                .. attribute:: ack
                                
                                	TCP acknowledgement flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cwr
                                
                                	TCP congestion window reduced flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ece
                                
                                	TCP ECN echo flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: fin
                                
                                	TCP finish flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: psh
                                
                                	TCP push flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: rst
                                
                                	TCP reset flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: syn
                                
                                	TCP synchronise flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: urg
                                
                                	TCP urgent flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Transport.Tcp.Flags, self).__init__()

                                    self.yang_name = "flags"
                                    self.yang_parent_name = "tcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.ack = YLeaf(YType.empty, "ack")

                                    self.cwr = YLeaf(YType.empty, "cwr")

                                    self.ece = YLeaf(YType.empty, "ece")

                                    self.fin = YLeaf(YType.empty, "fin")

                                    self.psh = YLeaf(YType.empty, "psh")

                                    self.rst = YLeaf(YType.empty, "rst")

                                    self.syn = YLeaf(YType.empty, "syn")

                                    self.urg = YLeaf(YType.empty, "urg")
                                    self._segment_path = lambda: "flags"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Tcp.Flags, ['ack', 'cwr', 'ece', 'fin', 'psh', 'rst', 'syn', 'urg'], name, value)


                            class Flow(Entity):
                                """
                                TCP flow
                                
                                .. attribute:: count
                                
                                	Number of tcp flows
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Transport.Tcp.Flow, self).__init__()

                                    self.yang_name = "flow"
                                    self.yang_parent_name = "tcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.count = YLeaf(YType.empty, "count")
                                    self._segment_path = lambda: "flow"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Tcp.Flow, ['count'], name, value)


                            class Option(Entity):
                                """
                                TCP option fields
                                
                                .. attribute:: map
                                
                                	Bitmap of TCP options
                                	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp.Option.Map>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Transport.Tcp.Option, self).__init__()

                                    self.yang_name = "option"
                                    self.yang_parent_name = "tcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map" : ("map", Native.Flow.Record.Default.Collect.Transport.Tcp.Option.Map)}
                                    self._child_list_classes = {}

                                    self.map = None
                                    self._children_name_map["map"] = "map"
                                    self._children_yang_names.add("map")
                                    self._segment_path = lambda: "option"


                                class Map(Entity):
                                    """
                                    Bitmap of TCP options
                                    
                                    .. attribute:: long
                                    
                                    	Extended bitmap of TCP options
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Transport.Tcp.Option.Map, self).__init__()

                                        self.yang_name = "map"
                                        self.yang_parent_name = "option"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.long = YLeaf(YType.empty, "long")
                                        self._segment_path = lambda: "map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Tcp.Option.Map, ['long'], name, value)


                            class WindowSize(Entity):
                                """
                                TCP window size
                                
                                .. attribute:: average
                                
                                	The average size of TCP window
                                	**type**\:  :py:class:`Average <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize.Average>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: maximum
                                
                                	The maximum size of TCP window
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minimum
                                
                                	The minimum size of TCP window
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	The sum of TCP window size
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize, self).__init__()

                                    self.yang_name = "window-size"
                                    self.yang_parent_name = "tcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"average" : ("average", Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize.Average)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.maximum = YLeaf(YType.empty, "maximum")

                                    self.minimum = YLeaf(YType.empty, "minimum")

                                    self.sum = YLeaf(YType.empty, "sum")

                                    self.average = None
                                    self._children_name_map["average"] = "average"
                                    self._children_yang_names.add("average")
                                    self._segment_path = lambda: "window-size"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize, ['maximum', 'minimum', 'sum'], name, value)


                                class Average(Entity):
                                    """
                                    The average size of TCP window
                                    
                                    .. attribute:: sum
                                    
                                    	The sum of per flow TCP window average size
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize.Average, self).__init__()

                                        self.yang_name = "average"
                                        self.yang_parent_name = "window-size"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.sum = YLeaf(YType.empty, "sum")
                                        self._segment_path = lambda: "average"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Tcp.WindowSize.Average, ['sum'], name, value)


                        class Udp(Entity):
                            """
                            UDP fields
                            
                            .. attribute:: destination_port
                            
                            	UDP destination port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: message_length
                            
                            	UDP message length
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source_port
                            
                            	UDP source port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Transport.Udp, self).__init__()

                                self.yang_name = "udp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.destination_port = YLeaf(YType.empty, "destination-port")

                                self.message_length = YLeaf(YType.empty, "message-length")

                                self.source_port = YLeaf(YType.empty, "source-port")
                                self._segment_path = lambda: "udp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Udp, ['destination_port', 'message_length', 'source_port'], name, value)


                        class Event(Entity):
                            """
                            Transport event fields
                            
                            .. attribute:: packet_loss
                            
                            	Transport event packet\-loss fields
                            	**type**\:  :py:class:`PacketLoss <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Transport.Event, self).__init__()

                                self.yang_name = "event"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"packet-loss" : ("packet_loss", Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss)}
                                self._child_list_classes = {}

                                self.packet_loss = Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss()
                                self.packet_loss.parent = self
                                self._children_name_map["packet_loss"] = "packet-loss"
                                self._children_yang_names.add("packet-loss")
                                self._segment_path = lambda: "event"


                            class PacketLoss(Entity):
                                """
                                Transport event packet\-loss fields
                                
                                .. attribute:: counter
                                
                                	Count of sets of packets that were lost
                                	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss.Counter>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss, self).__init__()

                                    self.yang_name = "packet-loss"
                                    self.yang_parent_name = "event"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss.Counter)}
                                    self._child_list_classes = {}

                                    self.counter = None
                                    self._children_name_map["counter"] = "counter"
                                    self._children_yang_names.add("counter")
                                    self._segment_path = lambda: "packet-loss"


                                class Counter(Entity):
                                    """
                                    Count of sets of packets that were lost
                                    
                                    .. attribute:: max
                                    
                                    	Highest packet loss counter when multiple flows are aggregated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Lowest packet loss counter when multiple flows are aggregated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss.Counter, self).__init__()

                                        self.yang_name = "counter"
                                        self.yang_parent_name = "packet-loss"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.max = YLeaf(YType.empty, "max")

                                        self.min = YLeaf(YType.empty, "min")
                                        self._segment_path = lambda: "counter"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Event.PacketLoss.Counter, ['max', 'min'], name, value)


                        class Packets(Entity):
                            """
                            Transport packet fields
                            
                            .. attribute:: expected
                            
                            	Transport packets expected fields
                            	**type**\:  :py:class:`Expected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Packets.Expected>`
                            
                            .. attribute:: lost
                            
                            	Transport packets lost fields
                            	**type**\:  :py:class:`Lost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Packets.Lost>`
                            
                            .. attribute:: out_of_order
                            
                            	Total number of out\-of\-order bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Transport.Packets, self).__init__()

                                self.yang_name = "packets"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"expected" : ("expected", Native.Flow.Record.Default.Collect.Transport.Packets.Expected), "lost" : ("lost", Native.Flow.Record.Default.Collect.Transport.Packets.Lost)}
                                self._child_list_classes = {}

                                self.out_of_order = YLeaf(YType.empty, "out-of-order")

                                self.expected = Native.Flow.Record.Default.Collect.Transport.Packets.Expected()
                                self.expected.parent = self
                                self._children_name_map["expected"] = "expected"
                                self._children_yang_names.add("expected")

                                self.lost = Native.Flow.Record.Default.Collect.Transport.Packets.Lost()
                                self.lost.parent = self
                                self._children_name_map["lost"] = "lost"
                                self._children_yang_names.add("lost")
                                self._segment_path = lambda: "packets"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Packets, ['out_of_order'], name, value)


                            class Expected(Entity):
                                """
                                Transport packets expected fields
                                
                                .. attribute:: counter
                                
                                	Expected number of packets from sequencing information
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Transport.Packets.Expected, self).__init__()

                                    self.yang_name = "expected"
                                    self.yang_parent_name = "packets"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.counter = YLeaf(YType.empty, "counter")
                                    self._segment_path = lambda: "expected"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Packets.Expected, ['counter'], name, value)


                            class Lost(Entity):
                                """
                                Transport packets lost fields
                                
                                .. attribute:: counter
                                
                                	A count of the number of lost packets from sequencing information
                                	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Counter>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: rate
                                
                                	Packet loss rate from sequencing information
                                	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Rate>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Transport.Packets.Lost, self).__init__()

                                    self.yang_name = "lost"
                                    self.yang_parent_name = "packets"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"counter" : ("counter", Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Counter), "rate" : ("rate", Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Rate)}
                                    self._child_list_classes = {}

                                    self.counter = None
                                    self._children_name_map["counter"] = "counter"
                                    self._children_yang_names.add("counter")

                                    self.rate = None
                                    self._children_name_map["rate"] = "rate"
                                    self._children_yang_names.add("rate")
                                    self._segment_path = lambda: "lost"


                                class Counter(Entity):
                                    """
                                    A count of the number of lost packets from sequencing information
                                    
                                    .. attribute:: max
                                    
                                    	Highest lost packet count seen among the aggregated flows
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Lowest lost packet count seen among the aggregated flows
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Counter, self).__init__()

                                        self.yang_name = "counter"
                                        self.yang_parent_name = "lost"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.max = YLeaf(YType.empty, "max")

                                        self.min = YLeaf(YType.empty, "min")
                                        self._segment_path = lambda: "counter"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Counter, ['max', 'min'], name, value)


                                class Rate(Entity):
                                    """
                                    Packet loss rate from sequencing information
                                    
                                    .. attribute:: max
                                    
                                    	Maximum packet loss rate in the aggregated flows
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: min
                                    
                                    	Minimum packet loss rate in the aggregated flows
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Rate, self).__init__()

                                        self.yang_name = "rate"
                                        self.yang_parent_name = "lost"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.max = YLeaf(YType.empty, "max")

                                        self.min = YLeaf(YType.empty, "min")
                                        self._segment_path = lambda: "rate"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Packets.Lost.Rate, ['max', 'min'], name, value)


                        class RoundTripTime(Entity):
                            """
                            RTT calculation for flow
                            
                            .. attribute:: max
                            
                            	Highest RTT among all flows
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: min
                            
                            	Lowest RTT among all flows
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: samples
                            
                            	RTT samples
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	Sum RTT for all flows
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Transport.RoundTripTime, self).__init__()

                                self.yang_name = "round-trip-time"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.max = YLeaf(YType.empty, "max")

                                self.min = YLeaf(YType.empty, "min")

                                self.samples = YLeaf(YType.empty, "samples")

                                self.sum = YLeaf(YType.empty, "sum")
                                self._segment_path = lambda: "round-trip-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.RoundTripTime, ['max', 'min', 'samples', 'sum'], name, value)


                        class Rtp(Entity):
                            """
                            RTP fields
                            
                            .. attribute:: flow
                            
                            	RTP  flow
                            	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Rtp.Flow>`
                            
                            .. attribute:: jitter
                            
                            	RTP jitter fields
                            	**type**\:  :py:class:`Jitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter>`
                            
                            .. attribute:: payload_type
                            
                            	RTP payload type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ssrc
                            
                            	RTP SSRC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Collect.Transport.Rtp, self).__init__()

                                self.yang_name = "rtp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"flow" : ("flow", Native.Flow.Record.Default.Collect.Transport.Rtp.Flow), "jitter" : ("jitter", Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter)}
                                self._child_list_classes = {}

                                self.payload_type = YLeaf(YType.empty, "payload-type")

                                self.ssrc = YLeaf(YType.empty, "ssrc")

                                self.flow = Native.Flow.Record.Default.Collect.Transport.Rtp.Flow()
                                self.flow.parent = self
                                self._children_name_map["flow"] = "flow"
                                self._children_yang_names.add("flow")

                                self.jitter = Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter()
                                self.jitter.parent = self
                                self._children_name_map["jitter"] = "jitter"
                                self._children_yang_names.add("jitter")
                                self._segment_path = lambda: "rtp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Rtp, ['payload_type', 'ssrc'], name, value)


                            class Flow(Entity):
                                """
                                RTP  flow
                                
                                .. attribute:: count
                                
                                	Number of RTP flows
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Transport.Rtp.Flow, self).__init__()

                                    self.yang_name = "flow"
                                    self.yang_parent_name = "rtp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.count = YLeaf(YType.empty, "count")
                                    self._segment_path = lambda: "flow"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Rtp.Flow, ['count'], name, value)


                            class Jitter(Entity):
                                """
                                RTP jitter fields
                                
                                .. attribute:: maximum
                                
                                	Maximum jitter for the RTP stream
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mean
                                
                                	Mean jitter for the RTP stream
                                	**type**\:  :py:class:`Mean <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter.Mean>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: minimum
                                
                                	Minimum jitter for the RTP stream
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter, self).__init__()

                                    self.yang_name = "jitter"
                                    self.yang_parent_name = "rtp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mean" : ("mean", Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter.Mean)}
                                    self._child_list_classes = {}

                                    self.maximum = YLeaf(YType.empty, "maximum")

                                    self.minimum = YLeaf(YType.empty, "minimum")

                                    self.mean = None
                                    self._children_name_map["mean"] = "mean"
                                    self._children_yang_names.add("mean")
                                    self._segment_path = lambda: "jitter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter, ['maximum', 'minimum'], name, value)


                                class Mean(Entity):
                                    """
                                    Mean jitter for the RTP stream
                                    
                                    .. attribute:: sum
                                    
                                    	The sum of jitter mean for the RTP stream
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter.Mean, self).__init__()

                                        self.yang_name = "mean"
                                        self.yang_parent_name = "jitter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.sum = YLeaf(YType.empty, "sum")
                                        self._segment_path = lambda: "mean"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Collect.Transport.Rtp.Jitter.Mean, ['sum'], name, value)


                class Match(Entity):
                    """
                    Specify a key field
                    
                    .. attribute:: application
                    
                    	Application fields
                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Application>`
                    
                    .. attribute:: connection
                    
                    	Connection fields
                    	**type**\:  :py:class:`Connection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection>`
                    
                    .. attribute:: datalink
                    
                    	Datalink (layer2) fields
                    	**type**\:  :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink>`
                    
                    .. attribute:: flow
                    
                    	Flow identifying fields
                    	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Flow>`
                    
                    .. attribute:: interface
                    
                    	Interface fields
                    	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Interface>`
                    
                    .. attribute:: ipv4
                    
                    	IPv4 fields
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 fields
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6>`
                    
                    .. attribute:: metadata
                    
                    	Metadata fields
                    	**type**\:  :py:class:`Metadata <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Metadata>`
                    
                    .. attribute:: mpls
                    
                    	MPLS fields
                    	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls>`
                    
                    .. attribute:: network
                    
                    	network metrics
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Network>`
                    
                    .. attribute:: pfr
                    
                    	PfR metrics
                    	**type**\:  :py:class:`Pfr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr>`
                    
                    .. attribute:: policy
                    
                    	policy fields
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Policy>`
                    
                    .. attribute:: routing
                    
                    	Routing attributes
                    	**type**\:  :py:class:`Routing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing>`
                    
                    .. attribute:: services
                    
                    	Services fields
                    	**type**\:  :py:class:`Services <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Services>`
                    
                    .. attribute:: timestamp
                    
                    	Timestamp fields
                    	**type**\:  :py:class:`Timestamp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Timestamp>`
                    
                    .. attribute:: transport
                    
                    	Transport layer fields
                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Default.Match, self).__init__()

                        self.yang_name = "match"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"application" : ("application", Native.Flow.Record.Default.Match.Application), "connection" : ("connection", Native.Flow.Record.Default.Match.Connection), "datalink" : ("datalink", Native.Flow.Record.Default.Match.Datalink), "flow" : ("flow", Native.Flow.Record.Default.Match.Flow), "interface" : ("interface", Native.Flow.Record.Default.Match.Interface), "ipv4" : ("ipv4", Native.Flow.Record.Default.Match.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Default.Match.Ipv6), "metadata" : ("metadata", Native.Flow.Record.Default.Match.Metadata), "mpls" : ("mpls", Native.Flow.Record.Default.Match.Mpls), "network" : ("network", Native.Flow.Record.Default.Match.Network), "pfr" : ("pfr", Native.Flow.Record.Default.Match.Pfr), "policy" : ("policy", Native.Flow.Record.Default.Match.Policy), "routing" : ("routing", Native.Flow.Record.Default.Match.Routing), "services" : ("services", Native.Flow.Record.Default.Match.Services), "timestamp" : ("timestamp", Native.Flow.Record.Default.Match.Timestamp), "transport" : ("transport", Native.Flow.Record.Default.Match.Transport)}
                        self._child_list_classes = {}

                        self.application = Native.Flow.Record.Default.Match.Application()
                        self.application.parent = self
                        self._children_name_map["application"] = "application"
                        self._children_yang_names.add("application")

                        self.connection = Native.Flow.Record.Default.Match.Connection()
                        self.connection.parent = self
                        self._children_name_map["connection"] = "connection"
                        self._children_yang_names.add("connection")

                        self.datalink = Native.Flow.Record.Default.Match.Datalink()
                        self.datalink.parent = self
                        self._children_name_map["datalink"] = "datalink"
                        self._children_yang_names.add("datalink")

                        self.flow = Native.Flow.Record.Default.Match.Flow()
                        self.flow.parent = self
                        self._children_name_map["flow"] = "flow"
                        self._children_yang_names.add("flow")

                        self.interface = Native.Flow.Record.Default.Match.Interface()
                        self.interface.parent = self
                        self._children_name_map["interface"] = "interface"
                        self._children_yang_names.add("interface")

                        self.ipv4 = Native.Flow.Record.Default.Match.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = Native.Flow.Record.Default.Match.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.metadata = Native.Flow.Record.Default.Match.Metadata()
                        self.metadata.parent = self
                        self._children_name_map["metadata"] = "metadata"
                        self._children_yang_names.add("metadata")

                        self.mpls = Native.Flow.Record.Default.Match.Mpls()
                        self.mpls.parent = self
                        self._children_name_map["mpls"] = "mpls"
                        self._children_yang_names.add("mpls")

                        self.network = Native.Flow.Record.Default.Match.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.pfr = Native.Flow.Record.Default.Match.Pfr()
                        self.pfr.parent = self
                        self._children_name_map["pfr"] = "pfr"
                        self._children_yang_names.add("pfr")

                        self.policy = Native.Flow.Record.Default.Match.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.routing = Native.Flow.Record.Default.Match.Routing()
                        self.routing.parent = self
                        self._children_name_map["routing"] = "routing"
                        self._children_yang_names.add("routing")

                        self.services = Native.Flow.Record.Default.Match.Services()
                        self.services.parent = self
                        self._children_name_map["services"] = "services"
                        self._children_yang_names.add("services")

                        self.timestamp = Native.Flow.Record.Default.Match.Timestamp()
                        self.timestamp.parent = self
                        self._children_name_map["timestamp"] = "timestamp"
                        self._children_yang_names.add("timestamp")

                        self.transport = Native.Flow.Record.Default.Match.Transport()
                        self.transport.parent = self
                        self._children_name_map["transport"] = "transport"
                        self._children_yang_names.add("transport")
                        self._segment_path = lambda: "match"


                    class Application(Entity):
                        """
                        Application fields
                        
                        .. attribute:: name
                        
                        	Application name
                        	**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Application.Name>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: vendor
                        
                        	Application vendor id
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: version
                        
                        	Application version id
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Application, self).__init__()

                            self.yang_name = "application"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"name" : ("name", Native.Flow.Record.Default.Match.Application.Name)}
                            self._child_list_classes = {}

                            self.vendor = YLeaf(YType.empty, "vendor")

                            self.version = YLeaf(YType.empty, "version")

                            self.name = None
                            self._children_name_map["name"] = "name"
                            self._children_yang_names.add("name")
                            self._segment_path = lambda: "application"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Match.Application, ['vendor', 'version'], name, value)


                        class Name(Entity):
                            """
                            Application name
                            
                            .. attribute:: account_on_resolution
                            
                            	Account on resolution
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Application.Name, self).__init__()

                                self.yang_name = "name"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.account_on_resolution = YLeaf(YType.empty, "account-on-resolution")
                                self._segment_path = lambda: "name"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Application.Name, ['account_on_resolution'], name, value)


                    class Connection(Entity):
                        """
                        Connection fields
                        
                        .. attribute:: client
                        
                        	Client side (flow initiator) related metrics
                        	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Client>`
                        
                        .. attribute:: id
                        
                        	An identifier for a connection between client and server
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: initiator
                        
                        	The direction of the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: server
                        
                        	Server side (flow responder) related metrics
                        	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Server>`
                        
                        .. attribute:: transaction_id
                        
                        	An identifier for a transaction between client and server
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Connection, self).__init__()

                            self.yang_name = "connection"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client" : ("client", Native.Flow.Record.Default.Match.Connection.Client), "server" : ("server", Native.Flow.Record.Default.Match.Connection.Server)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.empty, "id")

                            self.initiator = YLeaf(YType.empty, "initiator")

                            self.transaction_id = YLeaf(YType.empty, "transaction-id")

                            self.client = Native.Flow.Record.Default.Match.Connection.Client()
                            self.client.parent = self
                            self._children_name_map["client"] = "client"
                            self._children_yang_names.add("client")

                            self.server = Native.Flow.Record.Default.Match.Connection.Server()
                            self.server.parent = self
                            self._children_name_map["server"] = "server"
                            self._children_yang_names.add("server")
                            self._segment_path = lambda: "connection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Match.Connection, ['id', 'initiator', 'transaction_id'], name, value)


                        class Client(Entity):
                            """
                            Client side (flow initiator) related metrics
                            
                            .. attribute:: ipv4
                            
                            	Client side IPv4 metrics
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Client.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	Client side IPv6 metrics
                            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Client.Ipv6>`
                            
                            .. attribute:: transport
                            
                            	Client side transport metrics
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Client.Transport>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Connection.Client, self).__init__()

                                self.yang_name = "client"
                                self.yang_parent_name = "connection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipv4" : ("ipv4", Native.Flow.Record.Default.Match.Connection.Client.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Default.Match.Connection.Client.Ipv6), "transport" : ("transport", Native.Flow.Record.Default.Match.Connection.Client.Transport)}
                                self._child_list_classes = {}

                                self.ipv4 = Native.Flow.Record.Default.Match.Connection.Client.Ipv4()
                                self.ipv4.parent = self
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")

                                self.ipv6 = Native.Flow.Record.Default.Match.Connection.Client.Ipv6()
                                self.ipv6.parent = self
                                self._children_name_map["ipv6"] = "ipv6"
                                self._children_yang_names.add("ipv6")

                                self.transport = Native.Flow.Record.Default.Match.Connection.Client.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")
                                self._segment_path = lambda: "client"


                            class Ipv4(Entity):
                                """
                                Client side IPv4 metrics
                                
                                .. attribute:: address
                                
                                	IPv4 address of the flow initiator
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Connection.Client.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.empty, "address")
                                    self._segment_path = lambda: "ipv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Connection.Client.Ipv4, ['address'], name, value)


                            class Ipv6(Entity):
                                """
                                Client side IPv6 metrics
                                
                                .. attribute:: address
                                
                                	IPv6 address of the flow initiator
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Connection.Client.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.empty, "address")
                                    self._segment_path = lambda: "ipv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Connection.Client.Ipv6, ['address'], name, value)


                            class Transport(Entity):
                                """
                                Client side transport metrics
                                
                                .. attribute:: port
                                
                                	Transport port of the flow initiator
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Connection.Client.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port = YLeaf(YType.empty, "port")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Connection.Client.Transport, ['port'], name, value)


                        class Server(Entity):
                            """
                            Server side (flow responder) related metrics
                            
                            .. attribute:: ipv4
                            
                            	Server side IPv4 metrics
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Server.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	Server side IPv6 metrics
                            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Server.Ipv6>`
                            
                            .. attribute:: transport
                            
                            	Server side transport metrics
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Connection.Server.Transport>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Connection.Server, self).__init__()

                                self.yang_name = "server"
                                self.yang_parent_name = "connection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipv4" : ("ipv4", Native.Flow.Record.Default.Match.Connection.Server.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Default.Match.Connection.Server.Ipv6), "transport" : ("transport", Native.Flow.Record.Default.Match.Connection.Server.Transport)}
                                self._child_list_classes = {}

                                self.ipv4 = Native.Flow.Record.Default.Match.Connection.Server.Ipv4()
                                self.ipv4.parent = self
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")

                                self.ipv6 = Native.Flow.Record.Default.Match.Connection.Server.Ipv6()
                                self.ipv6.parent = self
                                self._children_name_map["ipv6"] = "ipv6"
                                self._children_yang_names.add("ipv6")

                                self.transport = Native.Flow.Record.Default.Match.Connection.Server.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")
                                self._segment_path = lambda: "server"


                            class Ipv4(Entity):
                                """
                                Server side IPv4 metrics
                                
                                .. attribute:: address
                                
                                	IPv4 address of the flow responder
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Connection.Server.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.empty, "address")
                                    self._segment_path = lambda: "ipv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Connection.Server.Ipv4, ['address'], name, value)


                            class Ipv6(Entity):
                                """
                                Server side IPv6 metrics
                                
                                .. attribute:: address
                                
                                	IPv6 address of the flow responder
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Connection.Server.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.empty, "address")
                                    self._segment_path = lambda: "ipv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Connection.Server.Ipv6, ['address'], name, value)


                            class Transport(Entity):
                                """
                                Server side transport metrics
                                
                                .. attribute:: port
                                
                                	Transport port of the flow responder
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Connection.Server.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port = YLeaf(YType.empty, "port")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Connection.Server.Transport, ['port'], name, value)


                    class Datalink(Entity):
                        """
                        Datalink (layer2) fields
                        
                        .. attribute:: destination_vlan_id
                        
                        	ID of the VLAN that the packet is going to
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1q
                        
                        	dot1q field
                        	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Dot1Q>`
                        
                        .. attribute:: ethertype
                        
                        	The Ethertype of the packet
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mac
                        
                        	MAC fields
                        	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Mac>`
                        
                        .. attribute:: source_vlan_id
                        
                        	ID of the VLAN that the packet came from
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Datalink, self).__init__()

                            self.yang_name = "datalink"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dot1q" : ("dot1q", Native.Flow.Record.Default.Match.Datalink.Dot1Q), "mac" : ("mac", Native.Flow.Record.Default.Match.Datalink.Mac)}
                            self._child_list_classes = {}

                            self.destination_vlan_id = YLeaf(YType.empty, "destination-vlan-id")

                            self.ethertype = YLeaf(YType.empty, "ethertype")

                            self.source_vlan_id = YLeaf(YType.empty, "source-vlan-id")

                            self.dot1q = Native.Flow.Record.Default.Match.Datalink.Dot1Q()
                            self.dot1q.parent = self
                            self._children_name_map["dot1q"] = "dot1q"
                            self._children_yang_names.add("dot1q")

                            self.mac = Native.Flow.Record.Default.Match.Datalink.Mac()
                            self.mac.parent = self
                            self._children_name_map["mac"] = "mac"
                            self._children_yang_names.add("mac")
                            self._segment_path = lambda: "datalink"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Match.Datalink, ['destination_vlan_id', 'ethertype', 'source_vlan_id'], name, value)


                        class Dot1Q(Entity):
                            """
                            dot1q field
                            
                            .. attribute:: priority
                            
                            	The CoS field out of the dot1q header
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	The VLAN the packet is on
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Dot1Q.Vlan>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Datalink.Dot1Q, self).__init__()

                                self.yang_name = "dot1q"
                                self.yang_parent_name = "datalink"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"vlan" : ("vlan", Native.Flow.Record.Default.Match.Datalink.Dot1Q.Vlan)}
                                self._child_list_classes = {}

                                self.priority = YLeaf(YType.empty, "priority")

                                self.vlan = Native.Flow.Record.Default.Match.Datalink.Dot1Q.Vlan()
                                self.vlan.parent = self
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "dot1q"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Datalink.Dot1Q, ['priority'], name, value)


                            class Vlan(Entity):
                                """
                                The VLAN the packet is on
                                
                                .. attribute:: input
                                
                                	The VLAN the packet is on at input
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: output
                                
                                	The VLAN the packet is on at output
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Datalink.Dot1Q.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "dot1q"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.input = YLeaf(YType.empty, "input")

                                    self.output = YLeaf(YType.empty, "output")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Datalink.Dot1Q.Vlan, ['input', 'output'], name, value)


                        class Mac(Entity):
                            """
                            MAC fields
                            
                            .. attribute:: destination
                            
                            	destination MAC fields
                            	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Mac.Destination>`
                            
                            .. attribute:: source
                            
                            	source MAC fields
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Mac.Source>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Datalink.Mac, self).__init__()

                                self.yang_name = "mac"
                                self.yang_parent_name = "datalink"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Match.Datalink.Mac.Destination), "source" : ("source", Native.Flow.Record.Default.Match.Datalink.Mac.Source)}
                                self._child_list_classes = {}

                                self.destination = Native.Flow.Record.Default.Match.Datalink.Mac.Destination()
                                self.destination.parent = self
                                self._children_name_map["destination"] = "destination"
                                self._children_yang_names.add("destination")

                                self.source = Native.Flow.Record.Default.Match.Datalink.Mac.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "mac"


                            class Destination(Entity):
                                """
                                destination MAC fields
                                
                                .. attribute:: address
                                
                                	Destination MAC address from packet
                                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Mac.Destination.Address>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Datalink.Mac.Destination, self).__init__()

                                    self.yang_name = "destination"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"address" : ("address", Native.Flow.Record.Default.Match.Datalink.Mac.Destination.Address)}
                                    self._child_list_classes = {}

                                    self.address = Native.Flow.Record.Default.Match.Datalink.Mac.Destination.Address()
                                    self.address.parent = self
                                    self._children_name_map["address"] = "address"
                                    self._children_yang_names.add("address")
                                    self._segment_path = lambda: "destination"


                                class Address(Entity):
                                    """
                                    Destination MAC address from packet
                                    
                                    .. attribute:: input
                                    
                                    	Destination MAC address from packet at input
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: output
                                    
                                    	Destination MAC address from packet at output
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Match.Datalink.Mac.Destination.Address, self).__init__()

                                        self.yang_name = "address"
                                        self.yang_parent_name = "destination"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.input = YLeaf(YType.empty, "input")

                                        self.output = YLeaf(YType.empty, "output")
                                        self._segment_path = lambda: "address"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Match.Datalink.Mac.Destination.Address, ['input', 'output'], name, value)


                            class Source(Entity):
                                """
                                source MAC fields
                                
                                .. attribute:: address
                                
                                	Source MAC address from packet
                                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Datalink.Mac.Source.Address>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Datalink.Mac.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"address" : ("address", Native.Flow.Record.Default.Match.Datalink.Mac.Source.Address)}
                                    self._child_list_classes = {}

                                    self.address = Native.Flow.Record.Default.Match.Datalink.Mac.Source.Address()
                                    self.address.parent = self
                                    self._children_name_map["address"] = "address"
                                    self._children_yang_names.add("address")
                                    self._segment_path = lambda: "source"


                                class Address(Entity):
                                    """
                                    Source MAC address from packet
                                    
                                    .. attribute:: input
                                    
                                    	Source MAC address from packet at input
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: output
                                    
                                    	Source MAC address from packet at output
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Match.Datalink.Mac.Source.Address, self).__init__()

                                        self.yang_name = "address"
                                        self.yang_parent_name = "source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.input = YLeaf(YType.empty, "input")

                                        self.output = YLeaf(YType.empty, "output")
                                        self._segment_path = lambda: "address"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Match.Datalink.Mac.Source.Address, ['input', 'output'], name, value)


                    class Flow(Entity):
                        """
                        Flow identifying fields
                        
                        .. attribute:: cts
                        
                        	Cisco Trusted Security fields
                        	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Flow.Cts>`
                        
                        .. attribute:: direction
                        
                        	Direction the flow was monitored in
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: observation
                        
                        	Flow observation metrics
                        	**type**\:  :py:class:`Observation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Flow.Observation>`
                        
                        .. attribute:: sampler
                        
                        	ID of the sampler
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Flow, self).__init__()

                            self.yang_name = "flow"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cts" : ("cts", Native.Flow.Record.Default.Match.Flow.Cts), "observation" : ("observation", Native.Flow.Record.Default.Match.Flow.Observation)}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.empty, "direction")

                            self.sampler = YLeaf(YType.empty, "sampler")

                            self.cts = Native.Flow.Record.Default.Match.Flow.Cts()
                            self.cts.parent = self
                            self._children_name_map["cts"] = "cts"
                            self._children_yang_names.add("cts")

                            self.observation = Native.Flow.Record.Default.Match.Flow.Observation()
                            self.observation.parent = self
                            self._children_name_map["observation"] = "observation"
                            self._children_yang_names.add("observation")
                            self._segment_path = lambda: "flow"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Match.Flow, ['direction', 'sampler'], name, value)


                        class Cts(Entity):
                            """
                            Cisco Trusted Security fields
                            
                            .. attribute:: destination
                            
                            	Cisco Trusted Security destination fields
                            	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Flow.Cts.Destination>`
                            
                            .. attribute:: source
                            
                            	Cisco Trusted Security source fields
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Flow.Cts.Source>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Flow.Cts, self).__init__()

                                self.yang_name = "cts"
                                self.yang_parent_name = "flow"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Match.Flow.Cts.Destination), "source" : ("source", Native.Flow.Record.Default.Match.Flow.Cts.Source)}
                                self._child_list_classes = {}

                                self.destination = Native.Flow.Record.Default.Match.Flow.Cts.Destination()
                                self.destination.parent = self
                                self._children_name_map["destination"] = "destination"
                                self._children_yang_names.add("destination")

                                self.source = Native.Flow.Record.Default.Match.Flow.Cts.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "cts"


                            class Destination(Entity):
                                """
                                Cisco Trusted Security destination fields
                                
                                .. attribute:: group_tag
                                
                                	destination group\-tag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Flow.Cts.Destination, self).__init__()

                                    self.yang_name = "destination"
                                    self.yang_parent_name = "cts"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.group_tag = YLeaf(YType.empty, "group-tag")
                                    self._segment_path = lambda: "destination"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Flow.Cts.Destination, ['group_tag'], name, value)


                            class Source(Entity):
                                """
                                Cisco Trusted Security source fields
                                
                                .. attribute:: group_tag
                                
                                	source group\-tag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Flow.Cts.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "cts"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.group_tag = YLeaf(YType.empty, "group-tag")
                                    self._segment_path = lambda: "source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Flow.Cts.Source, ['group_tag'], name, value)


                        class Observation(Entity):
                            """
                            Flow observation metrics
                            
                            .. attribute:: point
                            
                            	Observation point ID
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Flow.Observation, self).__init__()

                                self.yang_name = "observation"
                                self.yang_parent_name = "flow"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.point = YLeaf(YType.empty, "point")
                                self._segment_path = lambda: "observation"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Flow.Observation, ['point'], name, value)


                    class Interface(Entity):
                        """
                        Interface fields
                        
                        .. attribute:: input
                        
                        	The input interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Interface.Input>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: output
                        
                        	The output interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Interface.Output>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Interface, self).__init__()

                            self.yang_name = "interface"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Flow.Record.Default.Match.Interface.Input), "output" : ("output", Native.Flow.Record.Default.Match.Interface.Output)}
                            self._child_list_classes = {}

                            self.input = None
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = None
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "interface"


                        class Input(Entity):
                            """
                            The input interface
                            
                            .. attribute:: snmp
                            
                            	SNMP Index of the input interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Interface.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.snmp = YLeaf(YType.empty, "snmp")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Interface.Input, ['snmp'], name, value)


                        class Output(Entity):
                            """
                            The output interface
                            
                            .. attribute:: snmp
                            
                            	SNMP Index of the output interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Interface.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.snmp = YLeaf(YType.empty, "snmp")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Interface.Output, ['snmp'], name, value)


                    class Ipv4(Entity):
                        """
                        IPv4 fields
                        
                        .. attribute:: destination
                        
                        	IPv4 destination address based fields
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Destination>`
                        
                        .. attribute:: dscp
                        
                        	IPv4 DSCP (part of TOS)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fragmentation
                        
                        	IPv4 fragmentation fields
                        	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Fragmentation>`
                        
                        .. attribute:: header_length
                        
                        	IPv4 header length (IHL in 32 bit words)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	IPv4 ID
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: length
                        
                        	IPv4 length fields
                        	**type**\:  :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Length>`
                        
                        .. attribute:: option
                        
                        	IPv4 option fields
                        	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Option>`
                        
                        .. attribute:: precedence
                        
                        	IPv4 precedence (part of TOS)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	IPv4 protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: section
                        
                        	Part of the packet
                        	**type**\:  :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Section>`
                        
                        .. attribute:: source
                        
                        	IPv4 source address based fields
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Source>`
                        
                        .. attribute:: tos
                        
                        	IPv4 type of service
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: total_length
                        
                        	IPv4 total length
                        	**type**\:  :py:class:`TotalLength <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.TotalLength>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ttl
                        
                        	IPv4 TTL
                        	**type**\:  :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Ttl>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: version
                        
                        	IP version from IPv4 header
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Match.Ipv4.Destination), "fragmentation" : ("fragmentation", Native.Flow.Record.Default.Match.Ipv4.Fragmentation), "length" : ("length", Native.Flow.Record.Default.Match.Ipv4.Length), "option" : ("option", Native.Flow.Record.Default.Match.Ipv4.Option), "section" : ("section", Native.Flow.Record.Default.Match.Ipv4.Section), "source" : ("source", Native.Flow.Record.Default.Match.Ipv4.Source), "total-length" : ("total_length", Native.Flow.Record.Default.Match.Ipv4.TotalLength), "ttl" : ("ttl", Native.Flow.Record.Default.Match.Ipv4.Ttl)}
                            self._child_list_classes = {}

                            self.dscp = YLeaf(YType.empty, "dscp")

                            self.header_length = YLeaf(YType.empty, "header-length")

                            self.id = YLeaf(YType.empty, "id")

                            self.precedence = YLeaf(YType.empty, "precedence")

                            self.protocol = YLeaf(YType.empty, "protocol")

                            self.tos = YLeaf(YType.empty, "tos")

                            self.version = YLeaf(YType.empty, "version")

                            self.destination = Native.Flow.Record.Default.Match.Ipv4.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.fragmentation = Native.Flow.Record.Default.Match.Ipv4.Fragmentation()
                            self.fragmentation.parent = self
                            self._children_name_map["fragmentation"] = "fragmentation"
                            self._children_yang_names.add("fragmentation")

                            self.length = Native.Flow.Record.Default.Match.Ipv4.Length()
                            self.length.parent = self
                            self._children_name_map["length"] = "length"
                            self._children_yang_names.add("length")

                            self.option = Native.Flow.Record.Default.Match.Ipv4.Option()
                            self.option.parent = self
                            self._children_name_map["option"] = "option"
                            self._children_yang_names.add("option")

                            self.section = Native.Flow.Record.Default.Match.Ipv4.Section()
                            self.section.parent = self
                            self._children_name_map["section"] = "section"
                            self._children_yang_names.add("section")

                            self.source = Native.Flow.Record.Default.Match.Ipv4.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")

                            self.total_length = None
                            self._children_name_map["total_length"] = "total-length"
                            self._children_yang_names.add("total-length")

                            self.ttl = None
                            self._children_name_map["ttl"] = "ttl"
                            self._children_yang_names.add("ttl")
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4, ['dscp', 'header_length', 'id', 'precedence', 'protocol', 'tos', 'version'], name, value)


                        class Destination(Entity):
                            """
                            IPv4 destination address based fields
                            
                            .. attribute:: address
                            
                            	IPv4 destination address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv4 address mask for the IPv4 destination address
                            	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Destination.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv4 address prefix for the IPv4 destination address
                            	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Destination.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv4.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Default.Match.Ipv4.Destination.Mask), "prefix" : ("prefix", Native.Flow.Record.Default.Match.Ipv4.Destination.Prefix)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")

                                self.mask = None
                                self._children_name_map["mask"] = "mask"
                                self._children_yang_names.add("mask")

                                self.prefix = None
                                self._children_name_map["prefix"] = "prefix"
                                self._children_yang_names.add("prefix")
                                self._segment_path = lambda: "destination"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.Destination, ['address'], name, value)


                            class Mask(Entity):
                                """
                                IPv4 address mask for the IPv4 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv4.Destination.Mask, self).__init__()

                                    self.yang_name = "mask"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "mask"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.Destination.Mask, ['minimum_mask'], name, value)


                            class Prefix(Entity):
                                """
                                IPv4 address prefix for the IPv4 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv4.Destination.Prefix, self).__init__()

                                    self.yang_name = "prefix"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.Destination.Prefix, ['minimum_mask'], name, value)


                        class Fragmentation(Entity):
                            """
                            IPv4 fragmentation fields
                            
                            .. attribute:: flags
                            
                            	IPv4 fragmentation flags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: offset
                            
                            	IPv4 fragmentation offset
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv4.Fragmentation, self).__init__()

                                self.yang_name = "fragmentation"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.flags = YLeaf(YType.empty, "flags")

                                self.offset = YLeaf(YType.empty, "offset")
                                self._segment_path = lambda: "fragmentation"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.Fragmentation, ['flags', 'offset'], name, value)


                        class Length(Entity):
                            """
                            IPv4 length fields
                            
                            .. attribute:: header
                            
                            	Length of the IPv4 header in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: payload
                            
                            	Length of the IPv4 payload in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: total
                            
                            	Total length of the IPv4 header and payload in bytes
                            	**type**\:  :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Length.Total>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv4.Length, self).__init__()

                                self.yang_name = "length"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"total" : ("total", Native.Flow.Record.Default.Match.Ipv4.Length.Total)}
                                self._child_list_classes = {}

                                self.header = YLeaf(YType.empty, "header")

                                self.payload = YLeaf(YType.empty, "payload")

                                self.total = None
                                self._children_name_map["total"] = "total"
                                self._children_yang_names.add("total")
                                self._segment_path = lambda: "length"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.Length, ['header', 'payload'], name, value)


                            class Total(Entity):
                                """
                                Total length of the IPv4 header and payload in bytes
                                
                                .. attribute:: maximum
                                
                                	Maximum total length in bytes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minimum
                                
                                	Minimum total length in bytes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv4.Length.Total, self).__init__()

                                    self.yang_name = "total"
                                    self.yang_parent_name = "length"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.maximum = YLeaf(YType.empty, "maximum")

                                    self.minimum = YLeaf(YType.empty, "minimum")
                                    self._segment_path = lambda: "total"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.Length.Total, ['maximum', 'minimum'], name, value)


                        class Option(Entity):
                            """
                            IPv4 option fields
                            
                            .. attribute:: map
                            
                            	Bitmap of IPv4 options
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv4.Option, self).__init__()

                                self.yang_name = "option"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.map = YLeaf(YType.empty, "map")
                                self._segment_path = lambda: "option"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.Option, ['map'], name, value)


                        class Section(Entity):
                            """
                            Part of the packet
                            
                            .. attribute:: header
                            
                            	Raw data starting at the IPv4 header
                            	**type**\:  :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Section.Header>`
                            
                            .. attribute:: payload
                            
                            	Raw data starting at the IPv4 payload
                            	**type**\:  :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Section.Payload>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv4.Section, self).__init__()

                                self.yang_name = "section"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"header" : ("header", Native.Flow.Record.Default.Match.Ipv4.Section.Header), "payload" : ("payload", Native.Flow.Record.Default.Match.Ipv4.Section.Payload)}
                                self._child_list_classes = {}

                                self.header = Native.Flow.Record.Default.Match.Ipv4.Section.Header()
                                self.header.parent = self
                                self._children_name_map["header"] = "header"
                                self._children_yang_names.add("header")

                                self.payload = Native.Flow.Record.Default.Match.Ipv4.Section.Payload()
                                self.payload.parent = self
                                self._children_name_map["payload"] = "payload"
                                self._children_yang_names.add("payload")
                                self._segment_path = lambda: "section"


                            class Header(Entity):
                                """
                                Raw data starting at the IPv4 header
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\: int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv4.Section.Header, self).__init__()

                                    self.yang_name = "header"
                                    self.yang_parent_name = "section"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.size = YLeaf(YType.uint16, "size")
                                    self._segment_path = lambda: "header"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.Section.Header, ['size'], name, value)


                            class Payload(Entity):
                                """
                                Raw data starting at the IPv4 payload
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\: int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv4.Section.Payload, self).__init__()

                                    self.yang_name = "payload"
                                    self.yang_parent_name = "section"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.size = YLeaf(YType.uint16, "size")
                                    self._segment_path = lambda: "payload"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.Section.Payload, ['size'], name, value)


                        class Source(Entity):
                            """
                            IPv4 source address based fields
                            
                            .. attribute:: address
                            
                            	IPv4 source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv4 address mask for the IPv4 source address
                            	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Source.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv4 address prefix for the IPv4 source address
                            	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv4.Source.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv4.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Default.Match.Ipv4.Source.Mask), "prefix" : ("prefix", Native.Flow.Record.Default.Match.Ipv4.Source.Prefix)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")

                                self.mask = None
                                self._children_name_map["mask"] = "mask"
                                self._children_yang_names.add("mask")

                                self.prefix = None
                                self._children_name_map["prefix"] = "prefix"
                                self._children_yang_names.add("prefix")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.Source, ['address'], name, value)


                            class Mask(Entity):
                                """
                                IPv4 address mask for the IPv4 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv4.Source.Mask, self).__init__()

                                    self.yang_name = "mask"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "mask"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.Source.Mask, ['minimum_mask'], name, value)


                            class Prefix(Entity):
                                """
                                IPv4 address prefix for the IPv4 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv4.Source.Prefix, self).__init__()

                                    self.yang_name = "prefix"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.Source.Prefix, ['minimum_mask'], name, value)


                        class TotalLength(Entity):
                            """
                            IPv4 total length
                            
                            .. attribute:: maximum
                            
                            	Largest value for IPv4 length seen in the flow
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Smallest value for IPv4 length seen in the flow
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv4.TotalLength, self).__init__()

                                self.yang_name = "total-length"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum = YLeaf(YType.empty, "maximum")

                                self.minimum = YLeaf(YType.empty, "minimum")
                                self._segment_path = lambda: "total-length"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.TotalLength, ['maximum', 'minimum'], name, value)


                        class Ttl(Entity):
                            """
                            IPv4 TTL
                            
                            .. attribute:: maximum
                            
                            	Largest value seen for TTL in the flow
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Smallest value seen for TTL in the flow
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv4.Ttl, self).__init__()

                                self.yang_name = "ttl"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum = YLeaf(YType.empty, "maximum")

                                self.minimum = YLeaf(YType.empty, "minimum")
                                self._segment_path = lambda: "ttl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Ipv4.Ttl, ['maximum', 'minimum'], name, value)


                    class Ipv6(Entity):
                        """
                        IPv6 fields
                        
                        .. attribute:: destination
                        
                        	IPv6 destination address based fields
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Destination>`
                        
                        .. attribute:: dscp
                        
                        	IPv6 DSCP (part of Traffic Class)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: extension
                        
                        	IPv6 extension header fields
                        	**type**\:  :py:class:`Extension <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Extension>`
                        
                        .. attribute:: flow_label
                        
                        	IPv6 flow label
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fragmentation
                        
                        	IPv6 fragmentation fields
                        	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Fragmentation>`
                        
                        .. attribute:: hop_limit
                        
                        	IPv6 hop limit
                        	**type**\:  :py:class:`HopLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.HopLimit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: length
                        
                        	IPv6 length fields
                        	**type**\:  :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Length>`
                        
                        .. attribute:: next_header
                        
                        	The value of the next\-header field in the IPv6 header
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload_length
                        
                        	Length of the IPv6 payload in bytes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: precedence
                        
                        	IPv6 precedence (part of Traffic Class)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	IPv6 payload protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: section
                        
                        	Part of the packet
                        	**type**\:  :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Section>`
                        
                        .. attribute:: source
                        
                        	IPv6 source address based fields
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Source>`
                        
                        .. attribute:: traffic_class
                        
                        	IPv6 traffic class
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: version
                        
                        	IP version from IPv6 header
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Match.Ipv6.Destination), "extension" : ("extension", Native.Flow.Record.Default.Match.Ipv6.Extension), "fragmentation" : ("fragmentation", Native.Flow.Record.Default.Match.Ipv6.Fragmentation), "hop-limit" : ("hop_limit", Native.Flow.Record.Default.Match.Ipv6.HopLimit), "length" : ("length", Native.Flow.Record.Default.Match.Ipv6.Length), "section" : ("section", Native.Flow.Record.Default.Match.Ipv6.Section), "source" : ("source", Native.Flow.Record.Default.Match.Ipv6.Source)}
                            self._child_list_classes = {}

                            self.dscp = YLeaf(YType.empty, "dscp")

                            self.flow_label = YLeaf(YType.empty, "flow-label")

                            self.next_header = YLeaf(YType.empty, "next-header")

                            self.payload_length = YLeaf(YType.empty, "payload-length")

                            self.precedence = YLeaf(YType.empty, "precedence")

                            self.protocol = YLeaf(YType.empty, "protocol")

                            self.traffic_class = YLeaf(YType.empty, "traffic-class")

                            self.version = YLeaf(YType.empty, "version")

                            self.destination = Native.Flow.Record.Default.Match.Ipv6.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.extension = Native.Flow.Record.Default.Match.Ipv6.Extension()
                            self.extension.parent = self
                            self._children_name_map["extension"] = "extension"
                            self._children_yang_names.add("extension")

                            self.fragmentation = Native.Flow.Record.Default.Match.Ipv6.Fragmentation()
                            self.fragmentation.parent = self
                            self._children_name_map["fragmentation"] = "fragmentation"
                            self._children_yang_names.add("fragmentation")

                            self.hop_limit = None
                            self._children_name_map["hop_limit"] = "hop-limit"
                            self._children_yang_names.add("hop-limit")

                            self.length = Native.Flow.Record.Default.Match.Ipv6.Length()
                            self.length.parent = self
                            self._children_name_map["length"] = "length"
                            self._children_yang_names.add("length")

                            self.section = Native.Flow.Record.Default.Match.Ipv6.Section()
                            self.section.parent = self
                            self._children_name_map["section"] = "section"
                            self._children_yang_names.add("section")

                            self.source = Native.Flow.Record.Default.Match.Ipv6.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6, ['dscp', 'flow_label', 'next_header', 'payload_length', 'precedence', 'protocol', 'traffic_class', 'version'], name, value)


                        class Destination(Entity):
                            """
                            IPv6 destination address based fields
                            
                            .. attribute:: address
                            
                            	IPv6 destination address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv6 address mask for the IPv6 destination address
                            	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Destination.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv6 address prefix for the IPv6 destination address
                            	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Destination.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv6.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Default.Match.Ipv6.Destination.Mask), "prefix" : ("prefix", Native.Flow.Record.Default.Match.Ipv6.Destination.Prefix)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")

                                self.mask = None
                                self._children_name_map["mask"] = "mask"
                                self._children_yang_names.add("mask")

                                self.prefix = None
                                self._children_name_map["prefix"] = "prefix"
                                self._children_yang_names.add("prefix")
                                self._segment_path = lambda: "destination"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6.Destination, ['address'], name, value)


                            class Mask(Entity):
                                """
                                IPv6 address mask for the IPv6 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..128
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv6.Destination.Mask, self).__init__()

                                    self.yang_name = "mask"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "mask"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6.Destination.Mask, ['minimum_mask'], name, value)


                            class Prefix(Entity):
                                """
                                IPv6 address prefix for the IPv6 destination address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..128
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv6.Destination.Prefix, self).__init__()

                                    self.yang_name = "prefix"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6.Destination.Prefix, ['minimum_mask'], name, value)


                        class Extension(Entity):
                            """
                            IPv6 extension header fields
                            
                            .. attribute:: map
                            
                            	Bitmap of IPv6 extension headers
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv6.Extension, self).__init__()

                                self.yang_name = "extension"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.map = YLeaf(YType.empty, "map")
                                self._segment_path = lambda: "extension"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6.Extension, ['map'], name, value)


                        class Fragmentation(Entity):
                            """
                            IPv6 fragmentation fields
                            
                            .. attribute:: flags
                            
                            	IPv6 fragmentation flags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: id
                            
                            	IPv6 fragmentation ID
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: offset
                            
                            	IPv6 fragmentation offset
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv6.Fragmentation, self).__init__()

                                self.yang_name = "fragmentation"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.flags = YLeaf(YType.empty, "flags")

                                self.id = YLeaf(YType.empty, "id")

                                self.offset = YLeaf(YType.empty, "offset")
                                self._segment_path = lambda: "fragmentation"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6.Fragmentation, ['flags', 'id', 'offset'], name, value)


                        class HopLimit(Entity):
                            """
                            IPv6 hop limit
                            
                            .. attribute:: maximum
                            
                            	Largest value seen for hop\-limit in the flow
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Smallest value seen for hop\-limit in the flow
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv6.HopLimit, self).__init__()

                                self.yang_name = "hop-limit"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum = YLeaf(YType.empty, "maximum")

                                self.minimum = YLeaf(YType.empty, "minimum")
                                self._segment_path = lambda: "hop-limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6.HopLimit, ['maximum', 'minimum'], name, value)


                        class Length(Entity):
                            """
                            IPv6 length fields
                            
                            .. attribute:: header
                            
                            	Length of the IPv6 header, not including any extension headers, in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: payload
                            
                            	Length of the IPv6 payload, including any extension headers, in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: total
                            
                            	Total length of the IPv6 header and payload in bytes
                            	**type**\:  :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Length.Total>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv6.Length, self).__init__()

                                self.yang_name = "length"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"total" : ("total", Native.Flow.Record.Default.Match.Ipv6.Length.Total)}
                                self._child_list_classes = {}

                                self.header = YLeaf(YType.empty, "header")

                                self.payload = YLeaf(YType.empty, "payload")

                                self.total = None
                                self._children_name_map["total"] = "total"
                                self._children_yang_names.add("total")
                                self._segment_path = lambda: "length"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6.Length, ['header', 'payload'], name, value)


                            class Total(Entity):
                                """
                                Total length of the IPv6 header and payload in bytes
                                
                                .. attribute:: maximum
                                
                                	Maximum total length in bytes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minimum
                                
                                	Minimum total length in bytes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv6.Length.Total, self).__init__()

                                    self.yang_name = "total"
                                    self.yang_parent_name = "length"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.maximum = YLeaf(YType.empty, "maximum")

                                    self.minimum = YLeaf(YType.empty, "minimum")
                                    self._segment_path = lambda: "total"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6.Length.Total, ['maximum', 'minimum'], name, value)


                        class Section(Entity):
                            """
                            Part of the packet
                            
                            .. attribute:: header
                            
                            	Raw data starting at the IPv6 header
                            	**type**\:  :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Section.Header>`
                            
                            .. attribute:: payload
                            
                            	Raw data starting at the IPv6 payload
                            	**type**\:  :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Section.Payload>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv6.Section, self).__init__()

                                self.yang_name = "section"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"header" : ("header", Native.Flow.Record.Default.Match.Ipv6.Section.Header), "payload" : ("payload", Native.Flow.Record.Default.Match.Ipv6.Section.Payload)}
                                self._child_list_classes = {}

                                self.header = Native.Flow.Record.Default.Match.Ipv6.Section.Header()
                                self.header.parent = self
                                self._children_name_map["header"] = "header"
                                self._children_yang_names.add("header")

                                self.payload = Native.Flow.Record.Default.Match.Ipv6.Section.Payload()
                                self.payload.parent = self
                                self._children_name_map["payload"] = "payload"
                                self._children_yang_names.add("payload")
                                self._segment_path = lambda: "section"


                            class Header(Entity):
                                """
                                Raw data starting at the IPv6 header
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\: int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv6.Section.Header, self).__init__()

                                    self.yang_name = "header"
                                    self.yang_parent_name = "section"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.size = YLeaf(YType.uint16, "size")
                                    self._segment_path = lambda: "header"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6.Section.Header, ['size'], name, value)


                            class Payload(Entity):
                                """
                                Raw data starting at the IPv6 payload
                                
                                .. attribute:: size
                                
                                	Specify the number of bytes to capture
                                	**type**\: int
                                
                                	**range:** 1..1200
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv6.Section.Payload, self).__init__()

                                    self.yang_name = "payload"
                                    self.yang_parent_name = "section"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.size = YLeaf(YType.uint16, "size")
                                    self._segment_path = lambda: "payload"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6.Section.Payload, ['size'], name, value)


                        class Source(Entity):
                            """
                            IPv6 source address based fields
                            
                            .. attribute:: address
                            
                            	IPv6 source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	IPv6 address mask for the IPv6 source address
                            	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Source.Mask>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: prefix
                            
                            	IPv6 address prefix for the IPv6 source address
                            	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Ipv6.Source.Prefix>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Ipv6.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Default.Match.Ipv6.Source.Mask), "prefix" : ("prefix", Native.Flow.Record.Default.Match.Ipv6.Source.Prefix)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")

                                self.mask = None
                                self._children_name_map["mask"] = "mask"
                                self._children_yang_names.add("mask")

                                self.prefix = None
                                self._children_name_map["prefix"] = "prefix"
                                self._children_yang_names.add("prefix")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6.Source, ['address'], name, value)


                            class Mask(Entity):
                                """
                                IPv6 address mask for the IPv6 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..128
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv6.Source.Mask, self).__init__()

                                    self.yang_name = "mask"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "mask"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6.Source.Mask, ['minimum_mask'], name, value)


                            class Prefix(Entity):
                                """
                                IPv6 address prefix for the IPv6 source address
                                
                                .. attribute:: minimum_mask
                                
                                	Provide a minimum mask for this field
                                	**type**\: int
                                
                                	**range:** 1..128
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Ipv6.Source.Prefix, self).__init__()

                                    self.yang_name = "prefix"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                    self._segment_path = lambda: "prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Ipv6.Source.Prefix, ['minimum_mask'], name, value)


                    class Metadata(Entity):
                        """
                        Metadata fields
                        
                        .. attribute:: global_session_id
                        
                        	Metadata global\-session\-id
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multi_party_session_id
                        
                        	Metadata multi\-party\-session\-id
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Metadata, self).__init__()

                            self.yang_name = "metadata"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.global_session_id = YLeaf(YType.empty, "global-session-id")

                            self.multi_party_session_id = YLeaf(YType.empty, "multi-party-session-id")
                            self._segment_path = lambda: "metadata"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Match.Metadata, ['global_session_id', 'multi_party_session_id'], name, value)


                    class Mpls(Entity):
                        """
                        MPLS fields
                        
                        .. attribute:: label
                        
                        	MPLS label details
                        	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Mpls, self).__init__()

                            self.yang_name = "mpls"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"label" : ("label", Native.Flow.Record.Default.Match.Mpls.Label)}
                            self._child_list_classes = {}

                            self.label = Native.Flow.Record.Default.Match.Mpls.Label()
                            self.label.parent = self
                            self._children_name_map["label"] = "label"
                            self._children_yang_names.add("label")
                            self._segment_path = lambda: "mpls"


                        class Label(Entity):
                            """
                            MPLS label details
                            
                            .. attribute:: one
                            
                            	MPLS label 1 information
                            	**type**\:  :py:class:`One <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label.One>`
                            
                            .. attribute:: two
                            
                            	MPLS label 2 information
                            	**type**\:  :py:class:`Two <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label.Two>`
                            
                            .. attribute:: three
                            
                            	MPLS label 3 information
                            	**type**\:  :py:class:`Three <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label.Three>`
                            
                            .. attribute:: four
                            
                            	MPLS label 4 information
                            	**type**\:  :py:class:`Four <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label.Four>`
                            
                            .. attribute:: five
                            
                            	MPLS label 5 information
                            	**type**\:  :py:class:`Five <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label.Five>`
                            
                            .. attribute:: six
                            
                            	MPLS label 6 information
                            	**type**\:  :py:class:`Six <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Mpls.Label.Six>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Mpls.Label, self).__init__()

                                self.yang_name = "label"
                                self.yang_parent_name = "mpls"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"one" : ("one", Native.Flow.Record.Default.Match.Mpls.Label.One), "two" : ("two", Native.Flow.Record.Default.Match.Mpls.Label.Two), "three" : ("three", Native.Flow.Record.Default.Match.Mpls.Label.Three), "four" : ("four", Native.Flow.Record.Default.Match.Mpls.Label.Four), "five" : ("five", Native.Flow.Record.Default.Match.Mpls.Label.Five), "six" : ("six", Native.Flow.Record.Default.Match.Mpls.Label.Six)}
                                self._child_list_classes = {}

                                self.one = Native.Flow.Record.Default.Match.Mpls.Label.One()
                                self.one.parent = self
                                self._children_name_map["one"] = "one"
                                self._children_yang_names.add("one")

                                self.two = Native.Flow.Record.Default.Match.Mpls.Label.Two()
                                self.two.parent = self
                                self._children_name_map["two"] = "two"
                                self._children_yang_names.add("two")

                                self.three = Native.Flow.Record.Default.Match.Mpls.Label.Three()
                                self.three.parent = self
                                self._children_name_map["three"] = "three"
                                self._children_yang_names.add("three")

                                self.four = Native.Flow.Record.Default.Match.Mpls.Label.Four()
                                self.four.parent = self
                                self._children_name_map["four"] = "four"
                                self._children_yang_names.add("four")

                                self.five = Native.Flow.Record.Default.Match.Mpls.Label.Five()
                                self.five.parent = self
                                self._children_name_map["five"] = "five"
                                self._children_yang_names.add("five")

                                self.six = Native.Flow.Record.Default.Match.Mpls.Label.Six()
                                self.six.parent = self
                                self._children_name_map["six"] = "six"
                                self._children_yang_names.add("six")
                                self._segment_path = lambda: "label"


                            class One(Entity):
                                """
                                MPLS label 1 information
                                
                                .. attribute:: details
                                
                                	MPLS label 1 details
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: exp
                                
                                	MPLS EXP field from the last label that was pushed
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ttl
                                
                                	MPLS TTL field from the last label that was pushed
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: type
                                
                                	MPLS label type of the last label that was pushed
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Mpls.Label.One, self).__init__()

                                    self.yang_name = "one"
                                    self.yang_parent_name = "label"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.details = YLeaf(YType.empty, "details")

                                    self.exp = YLeaf(YType.empty, "exp")

                                    self.ttl = YLeaf(YType.empty, "ttl")

                                    self.type = YLeaf(YType.empty, "type")
                                    self._segment_path = lambda: "one"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Mpls.Label.One, ['details', 'exp', 'ttl', 'type'], name, value)


                            class Two(Entity):
                                """
                                MPLS label 2 information
                                
                                .. attribute:: details
                                
                                	MPLS label 2 details
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Mpls.Label.Two, self).__init__()

                                    self.yang_name = "two"
                                    self.yang_parent_name = "label"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.details = YLeaf(YType.empty, "details")
                                    self._segment_path = lambda: "two"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Mpls.Label.Two, ['details'], name, value)


                            class Three(Entity):
                                """
                                MPLS label 3 information
                                
                                .. attribute:: details
                                
                                	MPLS label 3 details
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Mpls.Label.Three, self).__init__()

                                    self.yang_name = "three"
                                    self.yang_parent_name = "label"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.details = YLeaf(YType.empty, "details")
                                    self._segment_path = lambda: "three"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Mpls.Label.Three, ['details'], name, value)


                            class Four(Entity):
                                """
                                MPLS label 4 information
                                
                                .. attribute:: details
                                
                                	MPLS label 4 details
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Mpls.Label.Four, self).__init__()

                                    self.yang_name = "four"
                                    self.yang_parent_name = "label"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.details = YLeaf(YType.empty, "details")
                                    self._segment_path = lambda: "four"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Mpls.Label.Four, ['details'], name, value)


                            class Five(Entity):
                                """
                                MPLS label 5 information
                                
                                .. attribute:: details
                                
                                	MPLS label 5 details
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Mpls.Label.Five, self).__init__()

                                    self.yang_name = "five"
                                    self.yang_parent_name = "label"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.details = YLeaf(YType.empty, "details")
                                    self._segment_path = lambda: "five"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Mpls.Label.Five, ['details'], name, value)


                            class Six(Entity):
                                """
                                MPLS label 6 information
                                
                                .. attribute:: details
                                
                                	MPLS label 6 details
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Mpls.Label.Six, self).__init__()

                                    self.yang_name = "six"
                                    self.yang_parent_name = "label"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.details = YLeaf(YType.empty, "details")
                                    self._segment_path = lambda: "six"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Mpls.Label.Six, ['details'], name, value)


                    class Network(Entity):
                        """
                        network metrics
                        
                        .. attribute:: delay
                        
                        	network delay metrics
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Network.Delay>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Flow.Record.Default.Match.Network.Delay)}
                            self._child_list_classes = {}

                            self.delay = Native.Flow.Record.Default.Match.Network.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "network"


                        class Delay(Entity):
                            """
                            network delay metrics
                            
                            .. attribute:: sample
                            
                            	The number of samples of roundtrip delay
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	The sum of roundtrip delay
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Network.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sample = YLeaf(YType.empty, "sample")

                                self.sum = YLeaf(YType.empty, "sum")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Network.Delay, ['sample', 'sum'], name, value)


                    class Pfr(Entity):
                        """
                        PfR metrics
                        
                        .. attribute:: label
                        
                        	PfR label metrics
                        	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Label>`
                        
                        .. attribute:: one_way_delay
                        
                        	The packet transmission delay between specified nodes
                        	**type**\:  :py:class:`OneWayDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.OneWayDelay>`
                        
                        .. attribute:: service
                        
                        	PfR service metrics
                        	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Service>`
                        
                        .. attribute:: site
                        
                        	PfR site  metrics
                        	**type**\:  :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Pfr, self).__init__()

                            self.yang_name = "pfr"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"label" : ("label", Native.Flow.Record.Default.Match.Pfr.Label), "one-way-delay" : ("one_way_delay", Native.Flow.Record.Default.Match.Pfr.OneWayDelay), "service" : ("service", Native.Flow.Record.Default.Match.Pfr.Service), "site" : ("site", Native.Flow.Record.Default.Match.Pfr.Site)}
                            self._child_list_classes = {}

                            self.label = Native.Flow.Record.Default.Match.Pfr.Label()
                            self.label.parent = self
                            self._children_name_map["label"] = "label"
                            self._children_yang_names.add("label")

                            self.one_way_delay = Native.Flow.Record.Default.Match.Pfr.OneWayDelay()
                            self.one_way_delay.parent = self
                            self._children_name_map["one_way_delay"] = "one-way-delay"
                            self._children_yang_names.add("one-way-delay")

                            self.service = Native.Flow.Record.Default.Match.Pfr.Service()
                            self.service.parent = self
                            self._children_name_map["service"] = "service"
                            self._children_yang_names.add("service")

                            self.site = Native.Flow.Record.Default.Match.Pfr.Site()
                            self.site.parent = self
                            self._children_name_map["site"] = "site"
                            self._children_yang_names.add("site")
                            self._segment_path = lambda: "pfr"


                        class Label(Entity):
                            """
                            PfR label metrics
                            
                            .. attribute:: identifier
                            
                            	pfr label id
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Pfr.Label, self).__init__()

                                self.yang_name = "label"
                                self.yang_parent_name = "pfr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.identifier = YLeaf(YType.empty, "identifier")
                                self._segment_path = lambda: "label"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Pfr.Label, ['identifier'], name, value)


                        class OneWayDelay(Entity):
                            """
                            The packet transmission delay between specified nodes
                            
                            .. attribute:: samples
                            
                            	Total number of one\-way\-delay samples
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	The packet transmission delay sum between specified nodes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Pfr.OneWayDelay, self).__init__()

                                self.yang_name = "one-way-delay"
                                self.yang_parent_name = "pfr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.samples = YLeaf(YType.empty, "samples")

                                self.sum = YLeaf(YType.empty, "sum")
                                self._segment_path = lambda: "one-way-delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Pfr.OneWayDelay, ['samples', 'sum'], name, value)


                        class Service(Entity):
                            """
                            PfR service metrics
                            
                            .. attribute:: provider
                            
                            	PfR service provider metrics
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	PfR service provider tag metrics
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: identifier
                            
                            	PfR service provider tag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Pfr.Service, self).__init__()

                                self.yang_name = "service"
                                self.yang_parent_name = "pfr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.provider = YLeaf(YType.empty, "provider")

                                self.tag = YLeaf(YType.empty, "tag")

                                self.identifier = YLeaf(YType.empty, "identifier")
                                self._segment_path = lambda: "service"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Pfr.Service, ['provider', 'tag', 'identifier'], name, value)


                        class Site(Entity):
                            """
                            PfR site  metrics
                            
                            .. attribute:: destination
                            
                            	PfR site destination metrics
                            	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Destination>`
                            
                            .. attribute:: source
                            
                            	PfR site source metrics
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Source>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Pfr.Site, self).__init__()

                                self.yang_name = "site"
                                self.yang_parent_name = "pfr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Match.Pfr.Site.Destination), "source" : ("source", Native.Flow.Record.Default.Match.Pfr.Site.Source)}
                                self._child_list_classes = {}

                                self.destination = Native.Flow.Record.Default.Match.Pfr.Site.Destination()
                                self.destination.parent = self
                                self._children_name_map["destination"] = "destination"
                                self._children_yang_names.add("destination")

                                self.source = Native.Flow.Record.Default.Match.Pfr.Site.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "site"


                            class Destination(Entity):
                                """
                                PfR site destination metrics
                                
                                .. attribute:: id
                                
                                	PfR site destination ID metrics
                                	**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Destination.Id>`
                                
                                .. attribute:: prefix
                                
                                	PfR site prefix of the packet destination
                                	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Pfr.Site.Destination, self).__init__()

                                    self.yang_name = "destination"
                                    self.yang_parent_name = "site"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"id" : ("id", Native.Flow.Record.Default.Match.Pfr.Site.Destination.Id), "prefix" : ("prefix", Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix)}
                                    self._child_list_classes = {}

                                    self.id = Native.Flow.Record.Default.Match.Pfr.Site.Destination.Id()
                                    self.id.parent = self
                                    self._children_name_map["id"] = "id"
                                    self._children_yang_names.add("id")

                                    self.prefix = Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix()
                                    self.prefix.parent = self
                                    self._children_name_map["prefix"] = "prefix"
                                    self._children_yang_names.add("prefix")
                                    self._segment_path = lambda: "destination"


                                class Id(Entity):
                                    """
                                    PfR site destination ID metrics
                                    
                                    .. attribute:: ipv4
                                    
                                    	site ID of the packet destination
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Match.Pfr.Site.Destination.Id, self).__init__()

                                        self.yang_name = "id"
                                        self.yang_parent_name = "destination"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")
                                        self._segment_path = lambda: "id"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Match.Pfr.Site.Destination.Id, ['ipv4'], name, value)


                                class Prefix(Entity):
                                    """
                                    PfR site prefix of the packet destination
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix of the packet destination
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	PfR site prefix mask of the packet destination
                                    	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix.Mask>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix, self).__init__()

                                        self.yang_name = "prefix"
                                        self.yang_parent_name = "destination"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix.Mask)}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")

                                        self.mask = Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix.Mask()
                                        self.mask.parent = self
                                        self._children_name_map["mask"] = "mask"
                                        self._children_yang_names.add("mask")
                                        self._segment_path = lambda: "prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix, ['ipv4'], name, value)


                                    class Mask(Entity):
                                        """
                                        PfR site prefix mask of the packet destination
                                        
                                        .. attribute:: ipv4
                                        
                                        	site prefix mask of the packet destination
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-04-19'

                                        def __init__(self):
                                            super(Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix.Mask, self).__init__()

                                            self.yang_name = "mask"
                                            self.yang_parent_name = "prefix"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.empty, "ipv4")
                                            self._segment_path = lambda: "mask"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Flow.Record.Default.Match.Pfr.Site.Destination.Prefix.Mask, ['ipv4'], name, value)


                            class Source(Entity):
                                """
                                PfR site source metrics
                                
                                .. attribute:: id
                                
                                	PfR site source ID metrics
                                	**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Source.Id>`
                                
                                .. attribute:: prefix
                                
                                	PfR site prefix of the packet source
                                	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Pfr.Site.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "site"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"id" : ("id", Native.Flow.Record.Default.Match.Pfr.Site.Source.Id), "prefix" : ("prefix", Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix)}
                                    self._child_list_classes = {}

                                    self.id = Native.Flow.Record.Default.Match.Pfr.Site.Source.Id()
                                    self.id.parent = self
                                    self._children_name_map["id"] = "id"
                                    self._children_yang_names.add("id")

                                    self.prefix = Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix()
                                    self.prefix.parent = self
                                    self._children_name_map["prefix"] = "prefix"
                                    self._children_yang_names.add("prefix")
                                    self._segment_path = lambda: "source"


                                class Id(Entity):
                                    """
                                    PfR site source ID metrics
                                    
                                    .. attribute:: ipv4
                                    
                                    	site ID of the packet source
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Match.Pfr.Site.Source.Id, self).__init__()

                                        self.yang_name = "id"
                                        self.yang_parent_name = "source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")
                                        self._segment_path = lambda: "id"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Match.Pfr.Site.Source.Id, ['ipv4'], name, value)


                                class Prefix(Entity):
                                    """
                                    PfR site prefix of the packet source
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix of the packet source
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	PfR site prefix mask of the packet source
                                    	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix.Mask>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix, self).__init__()

                                        self.yang_name = "prefix"
                                        self.yang_parent_name = "source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix.Mask)}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")

                                        self.mask = Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix.Mask()
                                        self.mask.parent = self
                                        self._children_name_map["mask"] = "mask"
                                        self._children_yang_names.add("mask")
                                        self._segment_path = lambda: "prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix, ['ipv4'], name, value)


                                    class Mask(Entity):
                                        """
                                        PfR site prefix mask of the packet source
                                        
                                        .. attribute:: ipv4
                                        
                                        	site prefix mask of the packet source
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-flow'
                                        _revision = '2017-04-19'

                                        def __init__(self):
                                            super(Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix.Mask, self).__init__()

                                            self.yang_name = "mask"
                                            self.yang_parent_name = "prefix"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.empty, "ipv4")
                                            self._segment_path = lambda: "mask"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Flow.Record.Default.Match.Pfr.Site.Source.Prefix.Mask, ['ipv4'], name, value)


                    class Policy(Entity):
                        """
                        policy fields
                        
                        .. attribute:: performance_monitor
                        
                        	Performance\-monitor policy related metrics
                        	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Policy.PerformanceMonitor>`
                        
                        .. attribute:: qos
                        
                        	QoS policy related metrics
                        	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Policy.Qos>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"performance-monitor" : ("performance_monitor", Native.Flow.Record.Default.Match.Policy.PerformanceMonitor), "qos" : ("qos", Native.Flow.Record.Default.Match.Policy.Qos)}
                            self._child_list_classes = {}

                            self.performance_monitor = Native.Flow.Record.Default.Match.Policy.PerformanceMonitor()
                            self.performance_monitor.parent = self
                            self._children_name_map["performance_monitor"] = "performance-monitor"
                            self._children_yang_names.add("performance-monitor")

                            self.qos = Native.Flow.Record.Default.Match.Policy.Qos()
                            self.qos.parent = self
                            self._children_name_map["qos"] = "qos"
                            self._children_yang_names.add("qos")
                            self._segment_path = lambda: "policy"


                        class PerformanceMonitor(Entity):
                            """
                            Performance\-monitor policy related metrics
                            
                            .. attribute:: classification
                            
                            	Classification metrics
                            	**type**\:  :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Policy.PerformanceMonitor.Classification>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Policy.PerformanceMonitor, self).__init__()

                                self.yang_name = "performance-monitor"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"classification" : ("classification", Native.Flow.Record.Default.Match.Policy.PerformanceMonitor.Classification)}
                                self._child_list_classes = {}

                                self.classification = Native.Flow.Record.Default.Match.Policy.PerformanceMonitor.Classification()
                                self.classification.parent = self
                                self._children_name_map["classification"] = "classification"
                                self._children_yang_names.add("classification")
                                self._segment_path = lambda: "performance-monitor"


                            class Classification(Entity):
                                """
                                Classification metrics
                                
                                .. attribute:: hierarchy
                                
                                	Performance\-monitor class hierarchy
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Policy.PerformanceMonitor.Classification, self).__init__()

                                    self.yang_name = "classification"
                                    self.yang_parent_name = "performance-monitor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hierarchy = YLeaf(YType.empty, "hierarchy")
                                    self._segment_path = lambda: "classification"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Policy.PerformanceMonitor.Classification, ['hierarchy'], name, value)


                        class Qos(Entity):
                            """
                            QoS policy related metrics
                            
                            .. attribute:: classification
                            
                            	Classification metrics
                            	**type**\:  :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Policy.Qos.Classification>`
                            
                            .. attribute:: queue
                            
                            	Queue metrics
                            	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Policy.Qos.Queue>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Policy.Qos, self).__init__()

                                self.yang_name = "qos"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"classification" : ("classification", Native.Flow.Record.Default.Match.Policy.Qos.Classification), "queue" : ("queue", Native.Flow.Record.Default.Match.Policy.Qos.Queue)}
                                self._child_list_classes = {}

                                self.classification = Native.Flow.Record.Default.Match.Policy.Qos.Classification()
                                self.classification.parent = self
                                self._children_name_map["classification"] = "classification"
                                self._children_yang_names.add("classification")

                                self.queue = Native.Flow.Record.Default.Match.Policy.Qos.Queue()
                                self.queue.parent = self
                                self._children_name_map["queue"] = "queue"
                                self._children_yang_names.add("queue")
                                self._segment_path = lambda: "qos"


                            class Classification(Entity):
                                """
                                Classification metrics
                                
                                .. attribute:: hierarchy
                                
                                	QoS class hierarchy
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Policy.Qos.Classification, self).__init__()

                                    self.yang_name = "classification"
                                    self.yang_parent_name = "qos"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hierarchy = YLeaf(YType.empty, "hierarchy")
                                    self._segment_path = lambda: "classification"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Policy.Qos.Classification, ['hierarchy'], name, value)


                            class Queue(Entity):
                                """
                                Queue metrics
                                
                                .. attribute:: drops
                                
                                	QoS queue drops
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: index
                                
                                	QoS queue index
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Policy.Qos.Queue, self).__init__()

                                    self.yang_name = "queue"
                                    self.yang_parent_name = "qos"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.drops = YLeaf(YType.empty, "drops")

                                    self.index = YLeaf(YType.empty, "index")
                                    self._segment_path = lambda: "queue"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Policy.Qos.Queue, ['drops', 'index'], name, value)


                    class Routing(Entity):
                        """
                        Routing attributes
                        
                        .. attribute:: destination
                        
                        	Destination routing attributes
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Destination>`
                        
                        .. attribute:: forwarding_status
                        
                        	Forwarding status of the packet
                        	**type**\:  :py:class:`ForwardingStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.ForwardingStatus>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: is_multicast
                        
                        	Indicates if this is multicast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: next_hop
                        
                        	Information regarding the next hop
                        	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.NextHop>`
                        
                        .. attribute:: pw
                        
                        	Pseudowire fields
                        	**type**\:  :py:class:`Pw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Pw>`
                        
                        .. attribute:: source
                        
                        	Source routing attributes
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Source>`
                        
                        .. attribute:: vrf
                        
                        	VRF routing attributes
                        	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Routing, self).__init__()

                            self.yang_name = "routing"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Match.Routing.Destination), "forwarding-status" : ("forwarding_status", Native.Flow.Record.Default.Match.Routing.ForwardingStatus), "next-hop" : ("next_hop", Native.Flow.Record.Default.Match.Routing.NextHop), "pw" : ("pw", Native.Flow.Record.Default.Match.Routing.Pw), "source" : ("source", Native.Flow.Record.Default.Match.Routing.Source), "vrf" : ("vrf", Native.Flow.Record.Default.Match.Routing.Vrf)}
                            self._child_list_classes = {}

                            self.is_multicast = YLeaf(YType.empty, "is-multicast")

                            self.destination = Native.Flow.Record.Default.Match.Routing.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.forwarding_status = None
                            self._children_name_map["forwarding_status"] = "forwarding-status"
                            self._children_yang_names.add("forwarding-status")

                            self.next_hop = Native.Flow.Record.Default.Match.Routing.NextHop()
                            self.next_hop.parent = self
                            self._children_name_map["next_hop"] = "next-hop"
                            self._children_yang_names.add("next-hop")

                            self.pw = Native.Flow.Record.Default.Match.Routing.Pw()
                            self.pw.parent = self
                            self._children_name_map["pw"] = "pw"
                            self._children_yang_names.add("pw")

                            self.source = Native.Flow.Record.Default.Match.Routing.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")

                            self.vrf = Native.Flow.Record.Default.Match.Routing.Vrf()
                            self.vrf.parent = self
                            self._children_name_map["vrf"] = "vrf"
                            self._children_yang_names.add("vrf")
                            self._segment_path = lambda: "routing"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Match.Routing, ['is_multicast'], name, value)


                        class Destination(Entity):
                            """
                            Destination routing attributes
                            
                            .. attribute:: as_
                            
                            	AS number of the destination network
                            	**type**\:  :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Destination.As_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: traffic_index
                            
                            	BGP destination traffic index
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Routing.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "routing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"as" : ("as_", Native.Flow.Record.Default.Match.Routing.Destination.As_)}
                                self._child_list_classes = {}

                                self.traffic_index = YLeaf(YType.empty, "traffic-index")

                                self.as_ = None
                                self._children_name_map["as_"] = "as"
                                self._children_yang_names.add("as")
                                self._segment_path = lambda: "destination"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Routing.Destination, ['traffic_index'], name, value)


                            class As_(Entity):
                                """
                                AS number of the destination network
                                
                                .. attribute:: as4_octet
                                
                                	4 octet AS number of the destination network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: peer
                                
                                	AS number of the peer network we will forward to
                                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Destination.As_.Peer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Routing.Destination.As_, self).__init__()

                                    self.yang_name = "as"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peer" : ("peer", Native.Flow.Record.Default.Match.Routing.Destination.As_.Peer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as4_octet = YLeaf(YType.empty, "as4-octet")

                                    self.peer = None
                                    self._children_name_map["peer"] = "peer"
                                    self._children_yang_names.add("peer")
                                    self._segment_path = lambda: "as"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Routing.Destination.As_, ['as4_octet'], name, value)


                                class Peer(Entity):
                                    """
                                    AS number of the peer network we will forward to
                                    
                                    .. attribute:: peer4_octet
                                    
                                    	4 octet AS number of the peer network we will forward to
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Match.Routing.Destination.As_.Peer, self).__init__()

                                        self.yang_name = "peer"
                                        self.yang_parent_name = "as"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.peer4_octet = YLeaf(YType.empty, "peer4-octet")
                                        self._segment_path = lambda: "peer"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Match.Routing.Destination.As_.Peer, ['peer4_octet'], name, value)


                        class ForwardingStatus(Entity):
                            """
                            Forwarding status of the packet
                            
                            .. attribute:: reason
                            
                            	Forwarding status reason of the packet
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Routing.ForwardingStatus, self).__init__()

                                self.yang_name = "forwarding-status"
                                self.yang_parent_name = "routing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.reason = YLeaf(YType.empty, "reason")
                                self._segment_path = lambda: "forwarding-status"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Routing.ForwardingStatus, ['reason'], name, value)


                        class NextHop(Entity):
                            """
                            Information regarding the next hop
                            
                            .. attribute:: address
                            
                            	IP address of the next hop
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.NextHop.Address>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Routing.NextHop, self).__init__()

                                self.yang_name = "next-hop"
                                self.yang_parent_name = "routing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Flow.Record.Default.Match.Routing.NextHop.Address)}
                                self._child_list_classes = {}

                                self.address = Native.Flow.Record.Default.Match.Routing.NextHop.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")
                                self._segment_path = lambda: "next-hop"


                            class Address(Entity):
                                """
                                IP address of the next hop
                                
                                .. attribute:: ipv4
                                
                                	IPv4 address of the next hop
                                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv4>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipv6
                                
                                	IPv6 address of the next hop
                                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv6>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Routing.NextHop.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "next-hop"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv6)}
                                    self._child_list_classes = {}

                                    self.ipv4 = None
                                    self._children_name_map["ipv4"] = "ipv4"
                                    self._children_yang_names.add("ipv4")

                                    self.ipv6 = None
                                    self._children_name_map["ipv6"] = "ipv6"
                                    self._children_yang_names.add("ipv6")
                                    self._segment_path = lambda: "address"


                                class Ipv4(Entity):
                                    """
                                    IPv4 address of the next hop
                                    
                                    .. attribute:: bgp
                                    
                                    	IPv4 address of the BGP next hop
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.bgp = YLeaf(YType.empty, "bgp")
                                        self._segment_path = lambda: "ipv4"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv4, ['bgp'], name, value)


                                class Ipv6(Entity):
                                    """
                                    IPv6 address of the next hop
                                    
                                    .. attribute:: bgp
                                    
                                    	IPv6 address of the BGP next hop
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv6, self).__init__()

                                        self.yang_name = "ipv6"
                                        self.yang_parent_name = "address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.bgp = YLeaf(YType.empty, "bgp")
                                        self._segment_path = lambda: "ipv6"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Match.Routing.NextHop.Address.Ipv6, ['bgp'], name, value)


                        class Pw(Entity):
                            """
                            Pseudowire fields
                            
                            .. attribute:: destination
                            
                            	Pseudowire destination
                            	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Pw.Destination>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Routing.Pw, self).__init__()

                                self.yang_name = "pw"
                                self.yang_parent_name = "routing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Default.Match.Routing.Pw.Destination)}
                                self._child_list_classes = {}

                                self.destination = Native.Flow.Record.Default.Match.Routing.Pw.Destination()
                                self.destination.parent = self
                                self._children_name_map["destination"] = "destination"
                                self._children_yang_names.add("destination")
                                self._segment_path = lambda: "pw"


                            class Destination(Entity):
                                """
                                Pseudowire destination
                                
                                .. attribute:: address
                                
                                	Pseudowire destination address
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Routing.Pw.Destination, self).__init__()

                                    self.yang_name = "destination"
                                    self.yang_parent_name = "pw"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.empty, "address")
                                    self._segment_path = lambda: "destination"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Routing.Pw.Destination, ['address'], name, value)


                        class Source(Entity):
                            """
                            Source routing attributes
                            
                            .. attribute:: as_
                            
                            	AS number of the original network
                            	**type**\:  :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Source.As_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: traffic_index
                            
                            	BGP source traffic index
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Routing.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "routing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"as" : ("as_", Native.Flow.Record.Default.Match.Routing.Source.As_)}
                                self._child_list_classes = {}

                                self.traffic_index = YLeaf(YType.empty, "traffic-index")

                                self.as_ = None
                                self._children_name_map["as_"] = "as"
                                self._children_yang_names.add("as")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Routing.Source, ['traffic_index'], name, value)


                            class As_(Entity):
                                """
                                AS number of the original network
                                
                                .. attribute:: as4_octet
                                
                                	4 octet AS number of the original network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: peer
                                
                                	AS number of the peer network where the packet came from
                                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Routing.Source.As_.Peer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Routing.Source.As_, self).__init__()

                                    self.yang_name = "as"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peer" : ("peer", Native.Flow.Record.Default.Match.Routing.Source.As_.Peer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as4_octet = YLeaf(YType.empty, "as4-octet")

                                    self.peer = None
                                    self._children_name_map["peer"] = "peer"
                                    self._children_yang_names.add("peer")
                                    self._segment_path = lambda: "as"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Routing.Source.As_, ['as4_octet'], name, value)


                                class Peer(Entity):
                                    """
                                    AS number of the peer network where the packet came from
                                    
                                    .. attribute:: peer4_octet
                                    
                                    	4 octet AS number of the peer network where the packet came from
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Match.Routing.Source.As_.Peer, self).__init__()

                                        self.yang_name = "peer"
                                        self.yang_parent_name = "as"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.peer4_octet = YLeaf(YType.empty, "peer4-octet")
                                        self._segment_path = lambda: "peer"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Match.Routing.Source.As_.Peer, ['peer4_octet'], name, value)


                        class Vrf(Entity):
                            """
                            VRF routing attributes
                            
                            .. attribute:: input
                            
                            	VRF ID for incoming packet
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: output
                            
                            	VRF ID for outgoing packet
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Routing.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "routing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.input = YLeaf(YType.empty, "input")

                                self.output = YLeaf(YType.empty, "output")
                                self._segment_path = lambda: "vrf"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Routing.Vrf, ['input', 'output'], name, value)


                    class Services(Entity):
                        """
                        Services fields
                        
                        .. attribute:: waas
                        
                        	WAAS (Wide Area Application Services) metrics
                        	**type**\:  :py:class:`Waas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Services.Waas>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Services, self).__init__()

                            self.yang_name = "services"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"waas" : ("waas", Native.Flow.Record.Default.Match.Services.Waas)}
                            self._child_list_classes = {}

                            self.waas = Native.Flow.Record.Default.Match.Services.Waas()
                            self.waas.parent = self
                            self._children_name_map["waas"] = "waas"
                            self._children_yang_names.add("waas")
                            self._segment_path = lambda: "services"


                        class Waas(Entity):
                            """
                            WAAS (Wide Area Application Services) metrics
                            
                            .. attribute:: passthrough_reason
                            
                            	WAAS passthrough reason
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: segment
                            
                            	WAAS optimization segment
                            	**type**\:  :py:class:`Segment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Services.Waas.Segment>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Services.Waas, self).__init__()

                                self.yang_name = "waas"
                                self.yang_parent_name = "services"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"segment" : ("segment", Native.Flow.Record.Default.Match.Services.Waas.Segment)}
                                self._child_list_classes = {}

                                self.passthrough_reason = YLeaf(YType.empty, "passthrough-reason")

                                self.segment = None
                                self._children_name_map["segment"] = "segment"
                                self._children_yang_names.add("segment")
                                self._segment_path = lambda: "waas"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Services.Waas, ['passthrough_reason'], name, value)


                            class Segment(Entity):
                                """
                                WAAS optimization segment
                                
                                .. attribute:: account_on_resolution
                                
                                	Account on resolution
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Services.Waas.Segment, self).__init__()

                                    self.yang_name = "segment"
                                    self.yang_parent_name = "waas"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.account_on_resolution = YLeaf(YType.empty, "account-on-resolution")
                                    self._segment_path = lambda: "segment"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Services.Waas.Segment, ['account_on_resolution'], name, value)


                    class Timestamp(Entity):
                        """
                        Timestamp fields
                        
                        .. attribute:: absolute
                        
                        	Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                        	**type**\:  :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Timestamp.Absolute>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Timestamp, self).__init__()

                            self.yang_name = "timestamp"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"absolute" : ("absolute", Native.Flow.Record.Default.Match.Timestamp.Absolute)}
                            self._child_list_classes = {}

                            self.absolute = Native.Flow.Record.Default.Match.Timestamp.Absolute()
                            self.absolute.parent = self
                            self._children_name_map["absolute"] = "absolute"
                            self._children_yang_names.add("absolute")
                            self._segment_path = lambda: "timestamp"


                        class Absolute(Entity):
                            """
                            Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                            
                            .. attribute:: monitoring_interval
                            
                            	Monitoring interval timestamps
                            	**type**\:  :py:class:`MonitoringInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Timestamp.Absolute.MonitoringInterval>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Timestamp.Absolute, self).__init__()

                                self.yang_name = "absolute"
                                self.yang_parent_name = "timestamp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"monitoring-interval" : ("monitoring_interval", Native.Flow.Record.Default.Match.Timestamp.Absolute.MonitoringInterval)}
                                self._child_list_classes = {}

                                self.monitoring_interval = Native.Flow.Record.Default.Match.Timestamp.Absolute.MonitoringInterval()
                                self.monitoring_interval.parent = self
                                self._children_name_map["monitoring_interval"] = "monitoring-interval"
                                self._children_yang_names.add("monitoring-interval")
                                self._segment_path = lambda: "absolute"


                            class MonitoringInterval(Entity):
                                """
                                Monitoring interval timestamps
                                
                                .. attribute:: start
                                
                                	Absolute start time of a monitoring interval (milliseconds)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Timestamp.Absolute.MonitoringInterval, self).__init__()

                                    self.yang_name = "monitoring-interval"
                                    self.yang_parent_name = "absolute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.start = YLeaf(YType.empty, "start")
                                    self._segment_path = lambda: "monitoring-interval"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Timestamp.Absolute.MonitoringInterval, ['start'], name, value)


                    class Transport(Entity):
                        """
                        Transport layer fields
                        
                        .. attribute:: bytes
                        
                        	Bytes fields
                        	**type**\:  :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Bytes>`
                        
                        .. attribute:: rtp
                        
                        	RTP fields
                        	**type**\:  :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Rtp>`
                        
                        .. attribute:: destination_port
                        
                        	Transport destination port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: icmp
                        
                        	ICMP fields
                        	**type**\:  :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Icmp>`
                        
                        .. attribute:: igmp
                        
                        	IGMP fields
                        	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Igmp>`
                        
                        .. attribute:: source_port
                        
                        	Transport source port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tcp
                        
                        	TCP fields
                        	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp>`
                        
                        .. attribute:: udp
                        
                        	UDP fields
                        	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Udp>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Default.Match.Transport, self).__init__()

                            self.yang_name = "transport"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bytes" : ("bytes", Native.Flow.Record.Default.Match.Transport.Bytes), "rtp" : ("rtp", Native.Flow.Record.Default.Match.Transport.Rtp), "icmp" : ("icmp", Native.Flow.Record.Default.Match.Transport.Icmp), "igmp" : ("igmp", Native.Flow.Record.Default.Match.Transport.Igmp), "tcp" : ("tcp", Native.Flow.Record.Default.Match.Transport.Tcp), "udp" : ("udp", Native.Flow.Record.Default.Match.Transport.Udp)}
                            self._child_list_classes = {}

                            self.destination_port = YLeaf(YType.empty, "destination-port")

                            self.source_port = YLeaf(YType.empty, "source-port")

                            self.bytes = Native.Flow.Record.Default.Match.Transport.Bytes()
                            self.bytes.parent = self
                            self._children_name_map["bytes"] = "bytes"
                            self._children_yang_names.add("bytes")

                            self.rtp = Native.Flow.Record.Default.Match.Transport.Rtp()
                            self.rtp.parent = self
                            self._children_name_map["rtp"] = "rtp"
                            self._children_yang_names.add("rtp")

                            self.icmp = Native.Flow.Record.Default.Match.Transport.Icmp()
                            self.icmp.parent = self
                            self._children_name_map["icmp"] = "icmp"
                            self._children_yang_names.add("icmp")

                            self.igmp = Native.Flow.Record.Default.Match.Transport.Igmp()
                            self.igmp.parent = self
                            self._children_name_map["igmp"] = "igmp"
                            self._children_yang_names.add("igmp")

                            self.tcp = Native.Flow.Record.Default.Match.Transport.Tcp()
                            self.tcp.parent = self
                            self._children_name_map["tcp"] = "tcp"
                            self._children_yang_names.add("tcp")

                            self.udp = Native.Flow.Record.Default.Match.Transport.Udp()
                            self.udp.parent = self
                            self._children_name_map["udp"] = "udp"
                            self._children_yang_names.add("udp")
                            self._segment_path = lambda: "transport"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Default.Match.Transport, ['destination_port', 'source_port'], name, value)


                        class Bytes(Entity):
                            """
                            Bytes fields
                            
                            .. attribute:: expected
                            
                            	Transport bytes expected
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: lost
                            
                            	Transport bytes lost
                            	**type**\:  :py:class:`Lost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Bytes.Lost>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Transport.Bytes, self).__init__()

                                self.yang_name = "bytes"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lost" : ("lost", Native.Flow.Record.Default.Match.Transport.Bytes.Lost)}
                                self._child_list_classes = {}

                                self.expected = YLeaf(YType.empty, "expected")

                                self.lost = None
                                self._children_name_map["lost"] = "lost"
                                self._children_yang_names.add("lost")
                                self._segment_path = lambda: "bytes"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Transport.Bytes, ['expected'], name, value)


                            class Lost(Entity):
                                """
                                Transport bytes lost
                                
                                .. attribute:: rate
                                
                                	Transport bytes lost rate
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Transport.Bytes.Lost, self).__init__()

                                    self.yang_name = "lost"
                                    self.yang_parent_name = "bytes"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rate = YLeaf(YType.empty, "rate")
                                    self._segment_path = lambda: "lost"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Transport.Bytes.Lost, ['rate'], name, value)


                        class Rtp(Entity):
                            """
                            RTP fields
                            
                            .. attribute:: ssrc
                            
                            	RTP SSRC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Transport.Rtp, self).__init__()

                                self.yang_name = "rtp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ssrc = YLeaf(YType.empty, "ssrc")
                                self._segment_path = lambda: "rtp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Transport.Rtp, ['ssrc'], name, value)


                        class Icmp(Entity):
                            """
                            ICMP fields
                            
                            .. attribute:: ipv4
                            
                            	IPv4 ICMP fields
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Icmp.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	IPv6 ICMP fields
                            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Icmp.Ipv6>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Transport.Icmp, self).__init__()

                                self.yang_name = "icmp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipv4" : ("ipv4", Native.Flow.Record.Default.Match.Transport.Icmp.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Default.Match.Transport.Icmp.Ipv6)}
                                self._child_list_classes = {}

                                self.ipv4 = Native.Flow.Record.Default.Match.Transport.Icmp.Ipv4()
                                self.ipv4.parent = self
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")

                                self.ipv6 = Native.Flow.Record.Default.Match.Transport.Icmp.Ipv6()
                                self.ipv6.parent = self
                                self._children_name_map["ipv6"] = "ipv6"
                                self._children_yang_names.add("ipv6")
                                self._segment_path = lambda: "icmp"


                            class Ipv4(Entity):
                                """
                                IPv4 ICMP fields
                                
                                .. attribute:: code
                                
                                	IPv4 ICMP code
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: type
                                
                                	IPv4 ICMP type
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Transport.Icmp.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "icmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.code = YLeaf(YType.empty, "code")

                                    self.type = YLeaf(YType.empty, "type")
                                    self._segment_path = lambda: "ipv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Transport.Icmp.Ipv4, ['code', 'type'], name, value)


                            class Ipv6(Entity):
                                """
                                IPv6 ICMP fields
                                
                                .. attribute:: code
                                
                                	IPv6 ICMP code
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: type
                                
                                	IPv6 ICMP type
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Transport.Icmp.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "icmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.code = YLeaf(YType.empty, "code")

                                    self.type = YLeaf(YType.empty, "type")
                                    self._segment_path = lambda: "ipv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Transport.Icmp.Ipv6, ['code', 'type'], name, value)


                        class Igmp(Entity):
                            """
                            IGMP fields
                            
                            .. attribute:: type
                            
                            	IGMP type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Transport.Igmp, self).__init__()

                                self.yang_name = "igmp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.type = YLeaf(YType.empty, "type")
                                self._segment_path = lambda: "igmp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Transport.Igmp, ['type'], name, value)


                        class Tcp(Entity):
                            """
                            TCP fields
                            
                            .. attribute:: acknowledgement_number
                            
                            	TCP acknowledgement number
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: destination_port
                            
                            	TCP destination port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: flags
                            
                            	TCP flags
                            	**type**\:  :py:class:`Flags <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp.Flags>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: flow
                            
                            	TCP flow
                            	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp.Flow>`
                            
                            .. attribute:: header_length
                            
                            	TCP header length (in 32 bit words)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maximum_segment_size
                            
                            	The maximum size of TCP segment
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: option
                            
                            	TCP option fields
                            	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp.Option>`
                            
                            .. attribute:: sequence_number
                            
                            	TCP sequence number
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source_port
                            
                            	TCP source port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: urgent_pointer
                            
                            	TCP urgent pointer
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: window_size
                            
                            	TCP window size
                            	**type**\:  :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Transport.Tcp, self).__init__()

                                self.yang_name = "tcp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"flags" : ("flags", Native.Flow.Record.Default.Match.Transport.Tcp.Flags), "flow" : ("flow", Native.Flow.Record.Default.Match.Transport.Tcp.Flow), "option" : ("option", Native.Flow.Record.Default.Match.Transport.Tcp.Option), "window-size" : ("window_size", Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize)}
                                self._child_list_classes = {}

                                self.acknowledgement_number = YLeaf(YType.empty, "acknowledgement-number")

                                self.destination_port = YLeaf(YType.empty, "destination-port")

                                self.header_length = YLeaf(YType.empty, "header-length")

                                self.maximum_segment_size = YLeaf(YType.empty, "maximum-segment-size")

                                self.sequence_number = YLeaf(YType.empty, "sequence-number")

                                self.source_port = YLeaf(YType.empty, "source-port")

                                self.urgent_pointer = YLeaf(YType.empty, "urgent-pointer")

                                self.flags = None
                                self._children_name_map["flags"] = "flags"
                                self._children_yang_names.add("flags")

                                self.flow = Native.Flow.Record.Default.Match.Transport.Tcp.Flow()
                                self.flow.parent = self
                                self._children_name_map["flow"] = "flow"
                                self._children_yang_names.add("flow")

                                self.option = Native.Flow.Record.Default.Match.Transport.Tcp.Option()
                                self.option.parent = self
                                self._children_name_map["option"] = "option"
                                self._children_yang_names.add("option")

                                self.window_size = None
                                self._children_name_map["window_size"] = "window-size"
                                self._children_yang_names.add("window-size")
                                self._segment_path = lambda: "tcp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Transport.Tcp, ['acknowledgement_number', 'destination_port', 'header_length', 'maximum_segment_size', 'sequence_number', 'source_port', 'urgent_pointer'], name, value)


                            class Flags(Entity):
                                """
                                TCP flags
                                
                                .. attribute:: ack
                                
                                	TCP acknowledgement flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cwr
                                
                                	TCP congestion window reduced flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ece
                                
                                	TCP ECN echo flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: fin
                                
                                	TCP finish flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: psh
                                
                                	TCP push flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: rst
                                
                                	TCP reset flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: syn
                                
                                	TCP synchronise flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: urg
                                
                                	TCP urgent flag
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Transport.Tcp.Flags, self).__init__()

                                    self.yang_name = "flags"
                                    self.yang_parent_name = "tcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.ack = YLeaf(YType.empty, "ack")

                                    self.cwr = YLeaf(YType.empty, "cwr")

                                    self.ece = YLeaf(YType.empty, "ece")

                                    self.fin = YLeaf(YType.empty, "fin")

                                    self.psh = YLeaf(YType.empty, "psh")

                                    self.rst = YLeaf(YType.empty, "rst")

                                    self.syn = YLeaf(YType.empty, "syn")

                                    self.urg = YLeaf(YType.empty, "urg")
                                    self._segment_path = lambda: "flags"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Transport.Tcp.Flags, ['ack', 'cwr', 'ece', 'fin', 'psh', 'rst', 'syn', 'urg'], name, value)


                            class Flow(Entity):
                                """
                                TCP flow
                                
                                .. attribute:: count
                                
                                	Number of tcp flows
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Transport.Tcp.Flow, self).__init__()

                                    self.yang_name = "flow"
                                    self.yang_parent_name = "tcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.count = YLeaf(YType.empty, "count")
                                    self._segment_path = lambda: "flow"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Transport.Tcp.Flow, ['count'], name, value)


                            class Option(Entity):
                                """
                                TCP option fields
                                
                                .. attribute:: map
                                
                                	Bitmap of TCP options
                                	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp.Option.Map>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Transport.Tcp.Option, self).__init__()

                                    self.yang_name = "option"
                                    self.yang_parent_name = "tcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map" : ("map", Native.Flow.Record.Default.Match.Transport.Tcp.Option.Map)}
                                    self._child_list_classes = {}

                                    self.map = None
                                    self._children_name_map["map"] = "map"
                                    self._children_yang_names.add("map")
                                    self._segment_path = lambda: "option"


                                class Map(Entity):
                                    """
                                    Bitmap of TCP options
                                    
                                    .. attribute:: long
                                    
                                    	Extended bitmap of TCP options
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Match.Transport.Tcp.Option.Map, self).__init__()

                                        self.yang_name = "map"
                                        self.yang_parent_name = "option"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.long = YLeaf(YType.empty, "long")
                                        self._segment_path = lambda: "map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Match.Transport.Tcp.Option.Map, ['long'], name, value)


                            class WindowSize(Entity):
                                """
                                TCP window size
                                
                                .. attribute:: average
                                
                                	The average size of TCP window
                                	**type**\:  :py:class:`Average <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize.Average>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: maximum
                                
                                	The maximum size of TCP window
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minimum
                                
                                	The minimum size of TCP window
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sum
                                
                                	The sum of TCP window size
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize, self).__init__()

                                    self.yang_name = "window-size"
                                    self.yang_parent_name = "tcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"average" : ("average", Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize.Average)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.maximum = YLeaf(YType.empty, "maximum")

                                    self.minimum = YLeaf(YType.empty, "minimum")

                                    self.sum = YLeaf(YType.empty, "sum")

                                    self.average = None
                                    self._children_name_map["average"] = "average"
                                    self._children_yang_names.add("average")
                                    self._segment_path = lambda: "window-size"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize, ['maximum', 'minimum', 'sum'], name, value)


                                class Average(Entity):
                                    """
                                    The average size of TCP window
                                    
                                    .. attribute:: sum
                                    
                                    	The sum of per flow TCP window average size
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize.Average, self).__init__()

                                        self.yang_name = "average"
                                        self.yang_parent_name = "window-size"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.sum = YLeaf(YType.empty, "sum")
                                        self._segment_path = lambda: "average"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Default.Match.Transport.Tcp.WindowSize.Average, ['sum'], name, value)


                        class Udp(Entity):
                            """
                            UDP fields
                            
                            .. attribute:: destination_port
                            
                            	UDP destination port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: message_length
                            
                            	UDP message length
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: source_port
                            
                            	UDP source port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Default.Match.Transport.Udp, self).__init__()

                                self.yang_name = "udp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.destination_port = YLeaf(YType.empty, "destination-port")

                                self.message_length = YLeaf(YType.empty, "message-length")

                                self.source_port = YLeaf(YType.empty, "source-port")
                                self._segment_path = lambda: "udp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Default.Match.Transport.Udp, ['destination_port', 'message_length', 'source_port'], name, value)


            class Match(Entity):
                """
                Specify a key field
                
                .. attribute:: application
                
                	Application fields
                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Application>`
                
                .. attribute:: connection
                
                	Connection fields
                	**type**\:  :py:class:`Connection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection>`
                
                .. attribute:: datalink
                
                	Datalink (layer2) fields
                	**type**\:  :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink>`
                
                .. attribute:: flow
                
                	Flow identifying fields
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Flow>`
                
                .. attribute:: interface
                
                	Interface fields
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Interface>`
                
                .. attribute:: ipv4
                
                	IPv4 fields
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4>`
                
                .. attribute:: ipv6
                
                	IPv6 fields
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6>`
                
                .. attribute:: metadata
                
                	Metadata fields
                	**type**\:  :py:class:`Metadata <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Metadata>`
                
                .. attribute:: mpls
                
                	MPLS fields
                	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls>`
                
                .. attribute:: network
                
                	network metrics
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Network>`
                
                .. attribute:: pfr
                
                	PfR metrics
                	**type**\:  :py:class:`Pfr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr>`
                
                .. attribute:: policy
                
                	policy fields
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Policy>`
                
                .. attribute:: routing
                
                	Routing attributes
                	**type**\:  :py:class:`Routing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing>`
                
                .. attribute:: services
                
                	Services fields
                	**type**\:  :py:class:`Services <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Services>`
                
                .. attribute:: timestamp
                
                	Timestamp fields
                	**type**\:  :py:class:`Timestamp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Timestamp>`
                
                .. attribute:: transport
                
                	Transport layer fields
                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Record.Match, self).__init__()

                    self.yang_name = "match"
                    self.yang_parent_name = "record"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"application" : ("application", Native.Flow.Record.Match.Application), "connection" : ("connection", Native.Flow.Record.Match.Connection), "datalink" : ("datalink", Native.Flow.Record.Match.Datalink), "flow" : ("flow", Native.Flow.Record.Match.Flow), "interface" : ("interface", Native.Flow.Record.Match.Interface), "ipv4" : ("ipv4", Native.Flow.Record.Match.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Match.Ipv6), "metadata" : ("metadata", Native.Flow.Record.Match.Metadata), "mpls" : ("mpls", Native.Flow.Record.Match.Mpls), "network" : ("network", Native.Flow.Record.Match.Network), "pfr" : ("pfr", Native.Flow.Record.Match.Pfr), "policy" : ("policy", Native.Flow.Record.Match.Policy), "routing" : ("routing", Native.Flow.Record.Match.Routing), "services" : ("services", Native.Flow.Record.Match.Services), "timestamp" : ("timestamp", Native.Flow.Record.Match.Timestamp), "transport" : ("transport", Native.Flow.Record.Match.Transport)}
                    self._child_list_classes = {}

                    self.application = Native.Flow.Record.Match.Application()
                    self.application.parent = self
                    self._children_name_map["application"] = "application"
                    self._children_yang_names.add("application")

                    self.connection = Native.Flow.Record.Match.Connection()
                    self.connection.parent = self
                    self._children_name_map["connection"] = "connection"
                    self._children_yang_names.add("connection")

                    self.datalink = Native.Flow.Record.Match.Datalink()
                    self.datalink.parent = self
                    self._children_name_map["datalink"] = "datalink"
                    self._children_yang_names.add("datalink")

                    self.flow = Native.Flow.Record.Match.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.interface = Native.Flow.Record.Match.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.ipv4 = Native.Flow.Record.Match.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")

                    self.ipv6 = Native.Flow.Record.Match.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.metadata = Native.Flow.Record.Match.Metadata()
                    self.metadata.parent = self
                    self._children_name_map["metadata"] = "metadata"
                    self._children_yang_names.add("metadata")

                    self.mpls = Native.Flow.Record.Match.Mpls()
                    self.mpls.parent = self
                    self._children_name_map["mpls"] = "mpls"
                    self._children_yang_names.add("mpls")

                    self.network = Native.Flow.Record.Match.Network()
                    self.network.parent = self
                    self._children_name_map["network"] = "network"
                    self._children_yang_names.add("network")

                    self.pfr = Native.Flow.Record.Match.Pfr()
                    self.pfr.parent = self
                    self._children_name_map["pfr"] = "pfr"
                    self._children_yang_names.add("pfr")

                    self.policy = Native.Flow.Record.Match.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.routing = Native.Flow.Record.Match.Routing()
                    self.routing.parent = self
                    self._children_name_map["routing"] = "routing"
                    self._children_yang_names.add("routing")

                    self.services = Native.Flow.Record.Match.Services()
                    self.services.parent = self
                    self._children_name_map["services"] = "services"
                    self._children_yang_names.add("services")

                    self.timestamp = Native.Flow.Record.Match.Timestamp()
                    self.timestamp.parent = self
                    self._children_name_map["timestamp"] = "timestamp"
                    self._children_yang_names.add("timestamp")

                    self.transport = Native.Flow.Record.Match.Transport()
                    self.transport.parent = self
                    self._children_name_map["transport"] = "transport"
                    self._children_yang_names.add("transport")
                    self._segment_path = lambda: "match"


                class Application(Entity):
                    """
                    Application fields
                    
                    .. attribute:: name
                    
                    	Application name
                    	**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Application.Name>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vendor
                    
                    	Application vendor id
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: version
                    
                    	Application version id
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Application, self).__init__()

                        self.yang_name = "application"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"name" : ("name", Native.Flow.Record.Match.Application.Name)}
                        self._child_list_classes = {}

                        self.vendor = YLeaf(YType.empty, "vendor")

                        self.version = YLeaf(YType.empty, "version")

                        self.name = None
                        self._children_name_map["name"] = "name"
                        self._children_yang_names.add("name")
                        self._segment_path = lambda: "application"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Match.Application, ['vendor', 'version'], name, value)


                    class Name(Entity):
                        """
                        Application name
                        
                        .. attribute:: account_on_resolution
                        
                        	Account on resolution
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Application.Name, self).__init__()

                            self.yang_name = "name"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.account_on_resolution = YLeaf(YType.empty, "account-on-resolution")
                            self._segment_path = lambda: "name"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Application.Name, ['account_on_resolution'], name, value)


                class Connection(Entity):
                    """
                    Connection fields
                    
                    .. attribute:: client
                    
                    	Client side (flow initiator) related metrics
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Client>`
                    
                    .. attribute:: id
                    
                    	An identifier for a connection between client and server
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: initiator
                    
                    	The direction of the flow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: server
                    
                    	Server side (flow responder) related metrics
                    	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Server>`
                    
                    .. attribute:: transaction_id
                    
                    	An identifier for a transaction between client and server
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Connection, self).__init__()

                        self.yang_name = "connection"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"client" : ("client", Native.Flow.Record.Match.Connection.Client), "server" : ("server", Native.Flow.Record.Match.Connection.Server)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.empty, "id")

                        self.initiator = YLeaf(YType.empty, "initiator")

                        self.transaction_id = YLeaf(YType.empty, "transaction-id")

                        self.client = Native.Flow.Record.Match.Connection.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.server = Native.Flow.Record.Match.Connection.Server()
                        self.server.parent = self
                        self._children_name_map["server"] = "server"
                        self._children_yang_names.add("server")
                        self._segment_path = lambda: "connection"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Match.Connection, ['id', 'initiator', 'transaction_id'], name, value)


                    class Client(Entity):
                        """
                        Client side (flow initiator) related metrics
                        
                        .. attribute:: ipv4
                        
                        	Client side IPv4 metrics
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Client.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	Client side IPv6 metrics
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Client.Ipv6>`
                        
                        .. attribute:: transport
                        
                        	Client side transport metrics
                        	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Client.Transport>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Connection.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "connection"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Flow.Record.Match.Connection.Client.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Match.Connection.Client.Ipv6), "transport" : ("transport", Native.Flow.Record.Match.Connection.Client.Transport)}
                            self._child_list_classes = {}

                            self.ipv4 = Native.Flow.Record.Match.Connection.Client.Ipv4()
                            self.ipv4.parent = self
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv6 = Native.Flow.Record.Match.Connection.Client.Ipv6()
                            self.ipv6.parent = self
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")

                            self.transport = Native.Flow.Record.Match.Connection.Client.Transport()
                            self.transport.parent = self
                            self._children_name_map["transport"] = "transport"
                            self._children_yang_names.add("transport")
                            self._segment_path = lambda: "client"


                        class Ipv4(Entity):
                            """
                            Client side IPv4 metrics
                            
                            .. attribute:: address
                            
                            	IPv4 address of the flow initiator
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Connection.Client.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")
                                self._segment_path = lambda: "ipv4"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Connection.Client.Ipv4, ['address'], name, value)


                        class Ipv6(Entity):
                            """
                            Client side IPv6 metrics
                            
                            .. attribute:: address
                            
                            	IPv6 address of the flow initiator
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Connection.Client.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Connection.Client.Ipv6, ['address'], name, value)


                        class Transport(Entity):
                            """
                            Client side transport metrics
                            
                            .. attribute:: port
                            
                            	Transport port of the flow initiator
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Connection.Client.Transport, self).__init__()

                                self.yang_name = "transport"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port = YLeaf(YType.empty, "port")
                                self._segment_path = lambda: "transport"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Connection.Client.Transport, ['port'], name, value)


                    class Server(Entity):
                        """
                        Server side (flow responder) related metrics
                        
                        .. attribute:: ipv4
                        
                        	Server side IPv4 metrics
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Server.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	Server side IPv6 metrics
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Server.Ipv6>`
                        
                        .. attribute:: transport
                        
                        	Server side transport metrics
                        	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Connection.Server.Transport>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Connection.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "connection"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Flow.Record.Match.Connection.Server.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Match.Connection.Server.Ipv6), "transport" : ("transport", Native.Flow.Record.Match.Connection.Server.Transport)}
                            self._child_list_classes = {}

                            self.ipv4 = Native.Flow.Record.Match.Connection.Server.Ipv4()
                            self.ipv4.parent = self
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv6 = Native.Flow.Record.Match.Connection.Server.Ipv6()
                            self.ipv6.parent = self
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")

                            self.transport = Native.Flow.Record.Match.Connection.Server.Transport()
                            self.transport.parent = self
                            self._children_name_map["transport"] = "transport"
                            self._children_yang_names.add("transport")
                            self._segment_path = lambda: "server"


                        class Ipv4(Entity):
                            """
                            Server side IPv4 metrics
                            
                            .. attribute:: address
                            
                            	IPv4 address of the flow responder
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Connection.Server.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")
                                self._segment_path = lambda: "ipv4"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Connection.Server.Ipv4, ['address'], name, value)


                        class Ipv6(Entity):
                            """
                            Server side IPv6 metrics
                            
                            .. attribute:: address
                            
                            	IPv6 address of the flow responder
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Connection.Server.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Connection.Server.Ipv6, ['address'], name, value)


                        class Transport(Entity):
                            """
                            Server side transport metrics
                            
                            .. attribute:: port
                            
                            	Transport port of the flow responder
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Connection.Server.Transport, self).__init__()

                                self.yang_name = "transport"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port = YLeaf(YType.empty, "port")
                                self._segment_path = lambda: "transport"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Connection.Server.Transport, ['port'], name, value)


                class Datalink(Entity):
                    """
                    Datalink (layer2) fields
                    
                    .. attribute:: destination_vlan_id
                    
                    	ID of the VLAN that the packet is going to
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dot1q
                    
                    	dot1q field
                    	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Dot1Q>`
                    
                    .. attribute:: ethertype
                    
                    	The Ethertype of the packet
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mac
                    
                    	MAC fields
                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Mac>`
                    
                    .. attribute:: source_vlan_id
                    
                    	ID of the VLAN that the packet came from
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Datalink, self).__init__()

                        self.yang_name = "datalink"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dot1q" : ("dot1q", Native.Flow.Record.Match.Datalink.Dot1Q), "mac" : ("mac", Native.Flow.Record.Match.Datalink.Mac)}
                        self._child_list_classes = {}

                        self.destination_vlan_id = YLeaf(YType.empty, "destination-vlan-id")

                        self.ethertype = YLeaf(YType.empty, "ethertype")

                        self.source_vlan_id = YLeaf(YType.empty, "source-vlan-id")

                        self.dot1q = Native.Flow.Record.Match.Datalink.Dot1Q()
                        self.dot1q.parent = self
                        self._children_name_map["dot1q"] = "dot1q"
                        self._children_yang_names.add("dot1q")

                        self.mac = Native.Flow.Record.Match.Datalink.Mac()
                        self.mac.parent = self
                        self._children_name_map["mac"] = "mac"
                        self._children_yang_names.add("mac")
                        self._segment_path = lambda: "datalink"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Match.Datalink, ['destination_vlan_id', 'ethertype', 'source_vlan_id'], name, value)


                    class Dot1Q(Entity):
                        """
                        dot1q field
                        
                        .. attribute:: priority
                        
                        	The CoS field out of the dot1q header
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	The VLAN the packet is on
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Dot1Q.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Datalink.Dot1Q, self).__init__()

                            self.yang_name = "dot1q"
                            self.yang_parent_name = "datalink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Flow.Record.Match.Datalink.Dot1Q.Vlan)}
                            self._child_list_classes = {}

                            self.priority = YLeaf(YType.empty, "priority")

                            self.vlan = Native.Flow.Record.Match.Datalink.Dot1Q.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "dot1q"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Datalink.Dot1Q, ['priority'], name, value)


                        class Vlan(Entity):
                            """
                            The VLAN the packet is on
                            
                            .. attribute:: input
                            
                            	The VLAN the packet is on at input
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: output
                            
                            	The VLAN the packet is on at output
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Datalink.Dot1Q.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "dot1q"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.input = YLeaf(YType.empty, "input")

                                self.output = YLeaf(YType.empty, "output")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Datalink.Dot1Q.Vlan, ['input', 'output'], name, value)


                    class Mac(Entity):
                        """
                        MAC fields
                        
                        .. attribute:: destination
                        
                        	destination MAC fields
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Mac.Destination>`
                        
                        .. attribute:: source
                        
                        	source MAC fields
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Mac.Source>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Datalink.Mac, self).__init__()

                            self.yang_name = "mac"
                            self.yang_parent_name = "datalink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Match.Datalink.Mac.Destination), "source" : ("source", Native.Flow.Record.Match.Datalink.Mac.Source)}
                            self._child_list_classes = {}

                            self.destination = Native.Flow.Record.Match.Datalink.Mac.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.source = Native.Flow.Record.Match.Datalink.Mac.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "mac"


                        class Destination(Entity):
                            """
                            destination MAC fields
                            
                            .. attribute:: address
                            
                            	Destination MAC address from packet
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Mac.Destination.Address>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Datalink.Mac.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "mac"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Flow.Record.Match.Datalink.Mac.Destination.Address)}
                                self._child_list_classes = {}

                                self.address = Native.Flow.Record.Match.Datalink.Mac.Destination.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")
                                self._segment_path = lambda: "destination"


                            class Address(Entity):
                                """
                                Destination MAC address from packet
                                
                                .. attribute:: input
                                
                                	Destination MAC address from packet at input
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: output
                                
                                	Destination MAC address from packet at output
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Match.Datalink.Mac.Destination.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.input = YLeaf(YType.empty, "input")

                                    self.output = YLeaf(YType.empty, "output")
                                    self._segment_path = lambda: "address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Match.Datalink.Mac.Destination.Address, ['input', 'output'], name, value)


                        class Source(Entity):
                            """
                            source MAC fields
                            
                            .. attribute:: address
                            
                            	Source MAC address from packet
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Datalink.Mac.Source.Address>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Datalink.Mac.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "mac"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Flow.Record.Match.Datalink.Mac.Source.Address)}
                                self._child_list_classes = {}

                                self.address = Native.Flow.Record.Match.Datalink.Mac.Source.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")
                                self._segment_path = lambda: "source"


                            class Address(Entity):
                                """
                                Source MAC address from packet
                                
                                .. attribute:: input
                                
                                	Source MAC address from packet at input
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: output
                                
                                	Source MAC address from packet at output
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Match.Datalink.Mac.Source.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.input = YLeaf(YType.empty, "input")

                                    self.output = YLeaf(YType.empty, "output")
                                    self._segment_path = lambda: "address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Match.Datalink.Mac.Source.Address, ['input', 'output'], name, value)


                class Flow(Entity):
                    """
                    Flow identifying fields
                    
                    .. attribute:: cts
                    
                    	Cisco Trusted Security fields
                    	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Flow.Cts>`
                    
                    .. attribute:: direction
                    
                    	Direction the flow was monitored in
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: observation
                    
                    	Flow observation metrics
                    	**type**\:  :py:class:`Observation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Flow.Observation>`
                    
                    .. attribute:: sampler
                    
                    	ID of the sampler
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"cts" : ("cts", Native.Flow.Record.Match.Flow.Cts), "observation" : ("observation", Native.Flow.Record.Match.Flow.Observation)}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.empty, "direction")

                        self.sampler = YLeaf(YType.empty, "sampler")

                        self.cts = Native.Flow.Record.Match.Flow.Cts()
                        self.cts.parent = self
                        self._children_name_map["cts"] = "cts"
                        self._children_yang_names.add("cts")

                        self.observation = Native.Flow.Record.Match.Flow.Observation()
                        self.observation.parent = self
                        self._children_name_map["observation"] = "observation"
                        self._children_yang_names.add("observation")
                        self._segment_path = lambda: "flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Match.Flow, ['direction', 'sampler'], name, value)


                    class Cts(Entity):
                        """
                        Cisco Trusted Security fields
                        
                        .. attribute:: destination
                        
                        	Cisco Trusted Security destination fields
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Flow.Cts.Destination>`
                        
                        .. attribute:: source
                        
                        	Cisco Trusted Security source fields
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Flow.Cts.Source>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Flow.Cts, self).__init__()

                            self.yang_name = "cts"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Match.Flow.Cts.Destination), "source" : ("source", Native.Flow.Record.Match.Flow.Cts.Source)}
                            self._child_list_classes = {}

                            self.destination = Native.Flow.Record.Match.Flow.Cts.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.source = Native.Flow.Record.Match.Flow.Cts.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "cts"


                        class Destination(Entity):
                            """
                            Cisco Trusted Security destination fields
                            
                            .. attribute:: group_tag
                            
                            	destination group\-tag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Flow.Cts.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "cts"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group_tag = YLeaf(YType.empty, "group-tag")
                                self._segment_path = lambda: "destination"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Flow.Cts.Destination, ['group_tag'], name, value)


                        class Source(Entity):
                            """
                            Cisco Trusted Security source fields
                            
                            .. attribute:: group_tag
                            
                            	source group\-tag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Flow.Cts.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "cts"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group_tag = YLeaf(YType.empty, "group-tag")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Flow.Cts.Source, ['group_tag'], name, value)


                    class Observation(Entity):
                        """
                        Flow observation metrics
                        
                        .. attribute:: point
                        
                        	Observation point ID
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Flow.Observation, self).__init__()

                            self.yang_name = "observation"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.point = YLeaf(YType.empty, "point")
                            self._segment_path = lambda: "observation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Flow.Observation, ['point'], name, value)


                class Interface(Entity):
                    """
                    Interface fields
                    
                    .. attribute:: input
                    
                    	The input interface
                    	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Interface.Input>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: output
                    
                    	The output interface
                    	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Interface.Output>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"input" : ("input", Native.Flow.Record.Match.Interface.Input), "output" : ("output", Native.Flow.Record.Match.Interface.Output)}
                        self._child_list_classes = {}

                        self.input = None
                        self._children_name_map["input"] = "input"
                        self._children_yang_names.add("input")

                        self.output = None
                        self._children_name_map["output"] = "output"
                        self._children_yang_names.add("output")
                        self._segment_path = lambda: "interface"


                    class Input(Entity):
                        """
                        The input interface
                        
                        .. attribute:: snmp
                        
                        	SNMP Index of the input interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Interface.Input, self).__init__()

                            self.yang_name = "input"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.snmp = YLeaf(YType.empty, "snmp")
                            self._segment_path = lambda: "input"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Interface.Input, ['snmp'], name, value)


                    class Output(Entity):
                        """
                        The output interface
                        
                        .. attribute:: snmp
                        
                        	SNMP Index of the output interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Interface.Output, self).__init__()

                            self.yang_name = "output"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.snmp = YLeaf(YType.empty, "snmp")
                            self._segment_path = lambda: "output"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Interface.Output, ['snmp'], name, value)


                class Ipv4(Entity):
                    """
                    IPv4 fields
                    
                    .. attribute:: destination
                    
                    	IPv4 destination address based fields
                    	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Destination>`
                    
                    .. attribute:: dscp
                    
                    	IPv4 DSCP (part of TOS)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fragmentation
                    
                    	IPv4 fragmentation fields
                    	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Fragmentation>`
                    
                    .. attribute:: header_length
                    
                    	IPv4 header length (IHL in 32 bit words)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: id
                    
                    	IPv4 ID
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: length
                    
                    	IPv4 length fields
                    	**type**\:  :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Length>`
                    
                    .. attribute:: option
                    
                    	IPv4 option fields
                    	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Option>`
                    
                    .. attribute:: precedence
                    
                    	IPv4 precedence (part of TOS)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protocol
                    
                    	IPv4 protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: section
                    
                    	Part of the packet
                    	**type**\:  :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Section>`
                    
                    .. attribute:: source
                    
                    	IPv4 source address based fields
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Source>`
                    
                    .. attribute:: tos
                    
                    	IPv4 type of service
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: total_length
                    
                    	IPv4 total length
                    	**type**\:  :py:class:`TotalLength <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.TotalLength>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ttl
                    
                    	IPv4 TTL
                    	**type**\:  :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Ttl>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: version
                    
                    	IP version from IPv4 header
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Match.Ipv4.Destination), "fragmentation" : ("fragmentation", Native.Flow.Record.Match.Ipv4.Fragmentation), "length" : ("length", Native.Flow.Record.Match.Ipv4.Length), "option" : ("option", Native.Flow.Record.Match.Ipv4.Option), "section" : ("section", Native.Flow.Record.Match.Ipv4.Section), "source" : ("source", Native.Flow.Record.Match.Ipv4.Source), "total-length" : ("total_length", Native.Flow.Record.Match.Ipv4.TotalLength), "ttl" : ("ttl", Native.Flow.Record.Match.Ipv4.Ttl)}
                        self._child_list_classes = {}

                        self.dscp = YLeaf(YType.empty, "dscp")

                        self.header_length = YLeaf(YType.empty, "header-length")

                        self.id = YLeaf(YType.empty, "id")

                        self.precedence = YLeaf(YType.empty, "precedence")

                        self.protocol = YLeaf(YType.empty, "protocol")

                        self.tos = YLeaf(YType.empty, "tos")

                        self.version = YLeaf(YType.empty, "version")

                        self.destination = Native.Flow.Record.Match.Ipv4.Destination()
                        self.destination.parent = self
                        self._children_name_map["destination"] = "destination"
                        self._children_yang_names.add("destination")

                        self.fragmentation = Native.Flow.Record.Match.Ipv4.Fragmentation()
                        self.fragmentation.parent = self
                        self._children_name_map["fragmentation"] = "fragmentation"
                        self._children_yang_names.add("fragmentation")

                        self.length = Native.Flow.Record.Match.Ipv4.Length()
                        self.length.parent = self
                        self._children_name_map["length"] = "length"
                        self._children_yang_names.add("length")

                        self.option = Native.Flow.Record.Match.Ipv4.Option()
                        self.option.parent = self
                        self._children_name_map["option"] = "option"
                        self._children_yang_names.add("option")

                        self.section = Native.Flow.Record.Match.Ipv4.Section()
                        self.section.parent = self
                        self._children_name_map["section"] = "section"
                        self._children_yang_names.add("section")

                        self.source = Native.Flow.Record.Match.Ipv4.Source()
                        self.source.parent = self
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.total_length = None
                        self._children_name_map["total_length"] = "total-length"
                        self._children_yang_names.add("total-length")

                        self.ttl = None
                        self._children_name_map["ttl"] = "ttl"
                        self._children_yang_names.add("ttl")
                        self._segment_path = lambda: "ipv4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Match.Ipv4, ['dscp', 'header_length', 'id', 'precedence', 'protocol', 'tos', 'version'], name, value)


                    class Destination(Entity):
                        """
                        IPv4 destination address based fields
                        
                        .. attribute:: address
                        
                        	IPv4 destination address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv4 address mask for the IPv4 destination address
                        	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Destination.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv4 address prefix for the IPv4 destination address
                        	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Destination.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv4.Destination, self).__init__()

                            self.yang_name = "destination"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Match.Ipv4.Destination.Mask), "prefix" : ("prefix", Native.Flow.Record.Match.Ipv4.Destination.Prefix)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.empty, "address")

                            self.mask = None
                            self._children_name_map["mask"] = "mask"
                            self._children_yang_names.add("mask")

                            self.prefix = None
                            self._children_name_map["prefix"] = "prefix"
                            self._children_yang_names.add("prefix")
                            self._segment_path = lambda: "destination"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Ipv4.Destination, ['address'], name, value)


                        class Mask(Entity):
                            """
                            IPv4 address mask for the IPv4 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv4.Destination.Mask, self).__init__()

                                self.yang_name = "mask"
                                self.yang_parent_name = "destination"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "mask"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv4.Destination.Mask, ['minimum_mask'], name, value)


                        class Prefix(Entity):
                            """
                            IPv4 address prefix for the IPv4 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv4.Destination.Prefix, self).__init__()

                                self.yang_name = "prefix"
                                self.yang_parent_name = "destination"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv4.Destination.Prefix, ['minimum_mask'], name, value)


                    class Fragmentation(Entity):
                        """
                        IPv4 fragmentation fields
                        
                        .. attribute:: flags
                        
                        	IPv4 fragmentation flags
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: offset
                        
                        	IPv4 fragmentation offset
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv4.Fragmentation, self).__init__()

                            self.yang_name = "fragmentation"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.flags = YLeaf(YType.empty, "flags")

                            self.offset = YLeaf(YType.empty, "offset")
                            self._segment_path = lambda: "fragmentation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Ipv4.Fragmentation, ['flags', 'offset'], name, value)


                    class Length(Entity):
                        """
                        IPv4 length fields
                        
                        .. attribute:: header
                        
                        	Length of the IPv4 header in bytes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload
                        
                        	Length of the IPv4 payload in bytes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: total
                        
                        	Total length of the IPv4 header and payload in bytes
                        	**type**\:  :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Length.Total>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv4.Length, self).__init__()

                            self.yang_name = "length"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"total" : ("total", Native.Flow.Record.Match.Ipv4.Length.Total)}
                            self._child_list_classes = {}

                            self.header = YLeaf(YType.empty, "header")

                            self.payload = YLeaf(YType.empty, "payload")

                            self.total = None
                            self._children_name_map["total"] = "total"
                            self._children_yang_names.add("total")
                            self._segment_path = lambda: "length"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Ipv4.Length, ['header', 'payload'], name, value)


                        class Total(Entity):
                            """
                            Total length of the IPv4 header and payload in bytes
                            
                            .. attribute:: maximum
                            
                            	Maximum total length in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Minimum total length in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv4.Length.Total, self).__init__()

                                self.yang_name = "total"
                                self.yang_parent_name = "length"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum = YLeaf(YType.empty, "maximum")

                                self.minimum = YLeaf(YType.empty, "minimum")
                                self._segment_path = lambda: "total"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv4.Length.Total, ['maximum', 'minimum'], name, value)


                    class Option(Entity):
                        """
                        IPv4 option fields
                        
                        .. attribute:: map
                        
                        	Bitmap of IPv4 options
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv4.Option, self).__init__()

                            self.yang_name = "option"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.map = YLeaf(YType.empty, "map")
                            self._segment_path = lambda: "option"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Ipv4.Option, ['map'], name, value)


                    class Section(Entity):
                        """
                        Part of the packet
                        
                        .. attribute:: header
                        
                        	Raw data starting at the IPv4 header
                        	**type**\:  :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Section.Header>`
                        
                        .. attribute:: payload
                        
                        	Raw data starting at the IPv4 payload
                        	**type**\:  :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Section.Payload>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv4.Section, self).__init__()

                            self.yang_name = "section"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"header" : ("header", Native.Flow.Record.Match.Ipv4.Section.Header), "payload" : ("payload", Native.Flow.Record.Match.Ipv4.Section.Payload)}
                            self._child_list_classes = {}

                            self.header = Native.Flow.Record.Match.Ipv4.Section.Header()
                            self.header.parent = self
                            self._children_name_map["header"] = "header"
                            self._children_yang_names.add("header")

                            self.payload = Native.Flow.Record.Match.Ipv4.Section.Payload()
                            self.payload.parent = self
                            self._children_name_map["payload"] = "payload"
                            self._children_yang_names.add("payload")
                            self._segment_path = lambda: "section"


                        class Header(Entity):
                            """
                            Raw data starting at the IPv4 header
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\: int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv4.Section.Header, self).__init__()

                                self.yang_name = "header"
                                self.yang_parent_name = "section"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.size = YLeaf(YType.uint16, "size")
                                self._segment_path = lambda: "header"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv4.Section.Header, ['size'], name, value)


                        class Payload(Entity):
                            """
                            Raw data starting at the IPv4 payload
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\: int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv4.Section.Payload, self).__init__()

                                self.yang_name = "payload"
                                self.yang_parent_name = "section"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.size = YLeaf(YType.uint16, "size")
                                self._segment_path = lambda: "payload"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv4.Section.Payload, ['size'], name, value)


                    class Source(Entity):
                        """
                        IPv4 source address based fields
                        
                        .. attribute:: address
                        
                        	IPv4 source address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv4 address mask for the IPv4 source address
                        	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Source.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv4 address prefix for the IPv4 source address
                        	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv4.Source.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv4.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Match.Ipv4.Source.Mask), "prefix" : ("prefix", Native.Flow.Record.Match.Ipv4.Source.Prefix)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.empty, "address")

                            self.mask = None
                            self._children_name_map["mask"] = "mask"
                            self._children_yang_names.add("mask")

                            self.prefix = None
                            self._children_name_map["prefix"] = "prefix"
                            self._children_yang_names.add("prefix")
                            self._segment_path = lambda: "source"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Ipv4.Source, ['address'], name, value)


                        class Mask(Entity):
                            """
                            IPv4 address mask for the IPv4 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv4.Source.Mask, self).__init__()

                                self.yang_name = "mask"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "mask"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv4.Source.Mask, ['minimum_mask'], name, value)


                        class Prefix(Entity):
                            """
                            IPv4 address prefix for the IPv4 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv4.Source.Prefix, self).__init__()

                                self.yang_name = "prefix"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv4.Source.Prefix, ['minimum_mask'], name, value)


                    class TotalLength(Entity):
                        """
                        IPv4 total length
                        
                        .. attribute:: maximum
                        
                        	Largest value for IPv4 length seen in the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: minimum
                        
                        	Smallest value for IPv4 length seen in the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv4.TotalLength, self).__init__()

                            self.yang_name = "total-length"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.maximum = YLeaf(YType.empty, "maximum")

                            self.minimum = YLeaf(YType.empty, "minimum")
                            self._segment_path = lambda: "total-length"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Ipv4.TotalLength, ['maximum', 'minimum'], name, value)


                    class Ttl(Entity):
                        """
                        IPv4 TTL
                        
                        .. attribute:: maximum
                        
                        	Largest value seen for TTL in the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: minimum
                        
                        	Smallest value seen for TTL in the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv4.Ttl, self).__init__()

                            self.yang_name = "ttl"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.maximum = YLeaf(YType.empty, "maximum")

                            self.minimum = YLeaf(YType.empty, "minimum")
                            self._segment_path = lambda: "ttl"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Ipv4.Ttl, ['maximum', 'minimum'], name, value)


                class Ipv6(Entity):
                    """
                    IPv6 fields
                    
                    .. attribute:: destination
                    
                    	IPv6 destination address based fields
                    	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Destination>`
                    
                    .. attribute:: dscp
                    
                    	IPv6 DSCP (part of Traffic Class)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: extension
                    
                    	IPv6 extension header fields
                    	**type**\:  :py:class:`Extension <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Extension>`
                    
                    .. attribute:: flow_label
                    
                    	IPv6 flow label
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fragmentation
                    
                    	IPv6 fragmentation fields
                    	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Fragmentation>`
                    
                    .. attribute:: hop_limit
                    
                    	IPv6 hop limit
                    	**type**\:  :py:class:`HopLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.HopLimit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: length
                    
                    	IPv6 length fields
                    	**type**\:  :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Length>`
                    
                    .. attribute:: next_header
                    
                    	The value of the next\-header field in the IPv6 header
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: payload_length
                    
                    	Length of the IPv6 payload in bytes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: precedence
                    
                    	IPv6 precedence (part of Traffic Class)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protocol
                    
                    	IPv6 payload protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: section
                    
                    	Part of the packet
                    	**type**\:  :py:class:`Section <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Section>`
                    
                    .. attribute:: source
                    
                    	IPv6 source address based fields
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Source>`
                    
                    .. attribute:: traffic_class
                    
                    	IPv6 traffic class
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: version
                    
                    	IP version from IPv6 header
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Match.Ipv6.Destination), "extension" : ("extension", Native.Flow.Record.Match.Ipv6.Extension), "fragmentation" : ("fragmentation", Native.Flow.Record.Match.Ipv6.Fragmentation), "hop-limit" : ("hop_limit", Native.Flow.Record.Match.Ipv6.HopLimit), "length" : ("length", Native.Flow.Record.Match.Ipv6.Length), "section" : ("section", Native.Flow.Record.Match.Ipv6.Section), "source" : ("source", Native.Flow.Record.Match.Ipv6.Source)}
                        self._child_list_classes = {}

                        self.dscp = YLeaf(YType.empty, "dscp")

                        self.flow_label = YLeaf(YType.empty, "flow-label")

                        self.next_header = YLeaf(YType.empty, "next-header")

                        self.payload_length = YLeaf(YType.empty, "payload-length")

                        self.precedence = YLeaf(YType.empty, "precedence")

                        self.protocol = YLeaf(YType.empty, "protocol")

                        self.traffic_class = YLeaf(YType.empty, "traffic-class")

                        self.version = YLeaf(YType.empty, "version")

                        self.destination = Native.Flow.Record.Match.Ipv6.Destination()
                        self.destination.parent = self
                        self._children_name_map["destination"] = "destination"
                        self._children_yang_names.add("destination")

                        self.extension = Native.Flow.Record.Match.Ipv6.Extension()
                        self.extension.parent = self
                        self._children_name_map["extension"] = "extension"
                        self._children_yang_names.add("extension")

                        self.fragmentation = Native.Flow.Record.Match.Ipv6.Fragmentation()
                        self.fragmentation.parent = self
                        self._children_name_map["fragmentation"] = "fragmentation"
                        self._children_yang_names.add("fragmentation")

                        self.hop_limit = None
                        self._children_name_map["hop_limit"] = "hop-limit"
                        self._children_yang_names.add("hop-limit")

                        self.length = Native.Flow.Record.Match.Ipv6.Length()
                        self.length.parent = self
                        self._children_name_map["length"] = "length"
                        self._children_yang_names.add("length")

                        self.section = Native.Flow.Record.Match.Ipv6.Section()
                        self.section.parent = self
                        self._children_name_map["section"] = "section"
                        self._children_yang_names.add("section")

                        self.source = Native.Flow.Record.Match.Ipv6.Source()
                        self.source.parent = self
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")
                        self._segment_path = lambda: "ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Match.Ipv6, ['dscp', 'flow_label', 'next_header', 'payload_length', 'precedence', 'protocol', 'traffic_class', 'version'], name, value)


                    class Destination(Entity):
                        """
                        IPv6 destination address based fields
                        
                        .. attribute:: address
                        
                        	IPv6 destination address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv6 address mask for the IPv6 destination address
                        	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Destination.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv6 address prefix for the IPv6 destination address
                        	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Destination.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv6.Destination, self).__init__()

                            self.yang_name = "destination"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Match.Ipv6.Destination.Mask), "prefix" : ("prefix", Native.Flow.Record.Match.Ipv6.Destination.Prefix)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.empty, "address")

                            self.mask = None
                            self._children_name_map["mask"] = "mask"
                            self._children_yang_names.add("mask")

                            self.prefix = None
                            self._children_name_map["prefix"] = "prefix"
                            self._children_yang_names.add("prefix")
                            self._segment_path = lambda: "destination"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Ipv6.Destination, ['address'], name, value)


                        class Mask(Entity):
                            """
                            IPv6 address mask for the IPv6 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..128
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv6.Destination.Mask, self).__init__()

                                self.yang_name = "mask"
                                self.yang_parent_name = "destination"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "mask"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv6.Destination.Mask, ['minimum_mask'], name, value)


                        class Prefix(Entity):
                            """
                            IPv6 address prefix for the IPv6 destination address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..128
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv6.Destination.Prefix, self).__init__()

                                self.yang_name = "prefix"
                                self.yang_parent_name = "destination"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv6.Destination.Prefix, ['minimum_mask'], name, value)


                    class Extension(Entity):
                        """
                        IPv6 extension header fields
                        
                        .. attribute:: map
                        
                        	Bitmap of IPv6 extension headers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv6.Extension, self).__init__()

                            self.yang_name = "extension"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.map = YLeaf(YType.empty, "map")
                            self._segment_path = lambda: "extension"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Ipv6.Extension, ['map'], name, value)


                    class Fragmentation(Entity):
                        """
                        IPv6 fragmentation fields
                        
                        .. attribute:: flags
                        
                        	IPv6 fragmentation flags
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: id
                        
                        	IPv6 fragmentation ID
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: offset
                        
                        	IPv6 fragmentation offset
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv6.Fragmentation, self).__init__()

                            self.yang_name = "fragmentation"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.flags = YLeaf(YType.empty, "flags")

                            self.id = YLeaf(YType.empty, "id")

                            self.offset = YLeaf(YType.empty, "offset")
                            self._segment_path = lambda: "fragmentation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Ipv6.Fragmentation, ['flags', 'id', 'offset'], name, value)


                    class HopLimit(Entity):
                        """
                        IPv6 hop limit
                        
                        .. attribute:: maximum
                        
                        	Largest value seen for hop\-limit in the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: minimum
                        
                        	Smallest value seen for hop\-limit in the flow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv6.HopLimit, self).__init__()

                            self.yang_name = "hop-limit"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.maximum = YLeaf(YType.empty, "maximum")

                            self.minimum = YLeaf(YType.empty, "minimum")
                            self._segment_path = lambda: "hop-limit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Ipv6.HopLimit, ['maximum', 'minimum'], name, value)


                    class Length(Entity):
                        """
                        IPv6 length fields
                        
                        .. attribute:: header
                        
                        	Length of the IPv6 header, not including any extension headers, in bytes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload
                        
                        	Length of the IPv6 payload, including any extension headers, in bytes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: total
                        
                        	Total length of the IPv6 header and payload in bytes
                        	**type**\:  :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Length.Total>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv6.Length, self).__init__()

                            self.yang_name = "length"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"total" : ("total", Native.Flow.Record.Match.Ipv6.Length.Total)}
                            self._child_list_classes = {}

                            self.header = YLeaf(YType.empty, "header")

                            self.payload = YLeaf(YType.empty, "payload")

                            self.total = None
                            self._children_name_map["total"] = "total"
                            self._children_yang_names.add("total")
                            self._segment_path = lambda: "length"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Ipv6.Length, ['header', 'payload'], name, value)


                        class Total(Entity):
                            """
                            Total length of the IPv6 header and payload in bytes
                            
                            .. attribute:: maximum
                            
                            	Maximum total length in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	Minimum total length in bytes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv6.Length.Total, self).__init__()

                                self.yang_name = "total"
                                self.yang_parent_name = "length"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum = YLeaf(YType.empty, "maximum")

                                self.minimum = YLeaf(YType.empty, "minimum")
                                self._segment_path = lambda: "total"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv6.Length.Total, ['maximum', 'minimum'], name, value)


                    class Section(Entity):
                        """
                        Part of the packet
                        
                        .. attribute:: header
                        
                        	Raw data starting at the IPv6 header
                        	**type**\:  :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Section.Header>`
                        
                        .. attribute:: payload
                        
                        	Raw data starting at the IPv6 payload
                        	**type**\:  :py:class:`Payload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Section.Payload>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv6.Section, self).__init__()

                            self.yang_name = "section"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"header" : ("header", Native.Flow.Record.Match.Ipv6.Section.Header), "payload" : ("payload", Native.Flow.Record.Match.Ipv6.Section.Payload)}
                            self._child_list_classes = {}

                            self.header = Native.Flow.Record.Match.Ipv6.Section.Header()
                            self.header.parent = self
                            self._children_name_map["header"] = "header"
                            self._children_yang_names.add("header")

                            self.payload = Native.Flow.Record.Match.Ipv6.Section.Payload()
                            self.payload.parent = self
                            self._children_name_map["payload"] = "payload"
                            self._children_yang_names.add("payload")
                            self._segment_path = lambda: "section"


                        class Header(Entity):
                            """
                            Raw data starting at the IPv6 header
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\: int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv6.Section.Header, self).__init__()

                                self.yang_name = "header"
                                self.yang_parent_name = "section"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.size = YLeaf(YType.uint16, "size")
                                self._segment_path = lambda: "header"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv6.Section.Header, ['size'], name, value)


                        class Payload(Entity):
                            """
                            Raw data starting at the IPv6 payload
                            
                            .. attribute:: size
                            
                            	Specify the number of bytes to capture
                            	**type**\: int
                            
                            	**range:** 1..1200
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv6.Section.Payload, self).__init__()

                                self.yang_name = "payload"
                                self.yang_parent_name = "section"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.size = YLeaf(YType.uint16, "size")
                                self._segment_path = lambda: "payload"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv6.Section.Payload, ['size'], name, value)


                    class Source(Entity):
                        """
                        IPv6 source address based fields
                        
                        .. attribute:: address
                        
                        	IPv6 source address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mask
                        
                        	IPv6 address mask for the IPv6 source address
                        	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Source.Mask>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	IPv6 address prefix for the IPv6 source address
                        	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Ipv6.Source.Prefix>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Ipv6.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Match.Ipv6.Source.Mask), "prefix" : ("prefix", Native.Flow.Record.Match.Ipv6.Source.Prefix)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.empty, "address")

                            self.mask = None
                            self._children_name_map["mask"] = "mask"
                            self._children_yang_names.add("mask")

                            self.prefix = None
                            self._children_name_map["prefix"] = "prefix"
                            self._children_yang_names.add("prefix")
                            self._segment_path = lambda: "source"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Ipv6.Source, ['address'], name, value)


                        class Mask(Entity):
                            """
                            IPv6 address mask for the IPv6 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..128
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv6.Source.Mask, self).__init__()

                                self.yang_name = "mask"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "mask"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv6.Source.Mask, ['minimum_mask'], name, value)


                        class Prefix(Entity):
                            """
                            IPv6 address prefix for the IPv6 source address
                            
                            .. attribute:: minimum_mask
                            
                            	Provide a minimum mask for this field
                            	**type**\: int
                            
                            	**range:** 1..128
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Ipv6.Source.Prefix, self).__init__()

                                self.yang_name = "prefix"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_mask = YLeaf(YType.uint8, "minimum-mask")
                                self._segment_path = lambda: "prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Ipv6.Source.Prefix, ['minimum_mask'], name, value)


                class Metadata(Entity):
                    """
                    Metadata fields
                    
                    .. attribute:: global_session_id
                    
                    	Metadata global\-session\-id
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_party_session_id
                    
                    	Metadata multi\-party\-session\-id
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Metadata, self).__init__()

                        self.yang_name = "metadata"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.global_session_id = YLeaf(YType.empty, "global-session-id")

                        self.multi_party_session_id = YLeaf(YType.empty, "multi-party-session-id")
                        self._segment_path = lambda: "metadata"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Match.Metadata, ['global_session_id', 'multi_party_session_id'], name, value)


                class Mpls(Entity):
                    """
                    MPLS fields
                    
                    .. attribute:: label
                    
                    	MPLS label details
                    	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Mpls, self).__init__()

                        self.yang_name = "mpls"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"label" : ("label", Native.Flow.Record.Match.Mpls.Label)}
                        self._child_list_classes = {}

                        self.label = Native.Flow.Record.Match.Mpls.Label()
                        self.label.parent = self
                        self._children_name_map["label"] = "label"
                        self._children_yang_names.add("label")
                        self._segment_path = lambda: "mpls"


                    class Label(Entity):
                        """
                        MPLS label details
                        
                        .. attribute:: one
                        
                        	MPLS label 1 information
                        	**type**\:  :py:class:`One <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label.One>`
                        
                        .. attribute:: two
                        
                        	MPLS label 2 information
                        	**type**\:  :py:class:`Two <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label.Two>`
                        
                        .. attribute:: three
                        
                        	MPLS label 3 information
                        	**type**\:  :py:class:`Three <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label.Three>`
                        
                        .. attribute:: four
                        
                        	MPLS label 4 information
                        	**type**\:  :py:class:`Four <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label.Four>`
                        
                        .. attribute:: five
                        
                        	MPLS label 5 information
                        	**type**\:  :py:class:`Five <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label.Five>`
                        
                        .. attribute:: six
                        
                        	MPLS label 6 information
                        	**type**\:  :py:class:`Six <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Mpls.Label.Six>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Mpls.Label, self).__init__()

                            self.yang_name = "label"
                            self.yang_parent_name = "mpls"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"one" : ("one", Native.Flow.Record.Match.Mpls.Label.One), "two" : ("two", Native.Flow.Record.Match.Mpls.Label.Two), "three" : ("three", Native.Flow.Record.Match.Mpls.Label.Three), "four" : ("four", Native.Flow.Record.Match.Mpls.Label.Four), "five" : ("five", Native.Flow.Record.Match.Mpls.Label.Five), "six" : ("six", Native.Flow.Record.Match.Mpls.Label.Six)}
                            self._child_list_classes = {}

                            self.one = Native.Flow.Record.Match.Mpls.Label.One()
                            self.one.parent = self
                            self._children_name_map["one"] = "one"
                            self._children_yang_names.add("one")

                            self.two = Native.Flow.Record.Match.Mpls.Label.Two()
                            self.two.parent = self
                            self._children_name_map["two"] = "two"
                            self._children_yang_names.add("two")

                            self.three = Native.Flow.Record.Match.Mpls.Label.Three()
                            self.three.parent = self
                            self._children_name_map["three"] = "three"
                            self._children_yang_names.add("three")

                            self.four = Native.Flow.Record.Match.Mpls.Label.Four()
                            self.four.parent = self
                            self._children_name_map["four"] = "four"
                            self._children_yang_names.add("four")

                            self.five = Native.Flow.Record.Match.Mpls.Label.Five()
                            self.five.parent = self
                            self._children_name_map["five"] = "five"
                            self._children_yang_names.add("five")

                            self.six = Native.Flow.Record.Match.Mpls.Label.Six()
                            self.six.parent = self
                            self._children_name_map["six"] = "six"
                            self._children_yang_names.add("six")
                            self._segment_path = lambda: "label"


                        class One(Entity):
                            """
                            MPLS label 1 information
                            
                            .. attribute:: details
                            
                            	MPLS label 1 details
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: exp
                            
                            	MPLS EXP field from the last label that was pushed
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ttl
                            
                            	MPLS TTL field from the last label that was pushed
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	MPLS label type of the last label that was pushed
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Mpls.Label.One, self).__init__()

                                self.yang_name = "one"
                                self.yang_parent_name = "label"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.details = YLeaf(YType.empty, "details")

                                self.exp = YLeaf(YType.empty, "exp")

                                self.ttl = YLeaf(YType.empty, "ttl")

                                self.type = YLeaf(YType.empty, "type")
                                self._segment_path = lambda: "one"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Mpls.Label.One, ['details', 'exp', 'ttl', 'type'], name, value)


                        class Two(Entity):
                            """
                            MPLS label 2 information
                            
                            .. attribute:: details
                            
                            	MPLS label 2 details
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Mpls.Label.Two, self).__init__()

                                self.yang_name = "two"
                                self.yang_parent_name = "label"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.details = YLeaf(YType.empty, "details")
                                self._segment_path = lambda: "two"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Mpls.Label.Two, ['details'], name, value)


                        class Three(Entity):
                            """
                            MPLS label 3 information
                            
                            .. attribute:: details
                            
                            	MPLS label 3 details
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Mpls.Label.Three, self).__init__()

                                self.yang_name = "three"
                                self.yang_parent_name = "label"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.details = YLeaf(YType.empty, "details")
                                self._segment_path = lambda: "three"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Mpls.Label.Three, ['details'], name, value)


                        class Four(Entity):
                            """
                            MPLS label 4 information
                            
                            .. attribute:: details
                            
                            	MPLS label 4 details
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Mpls.Label.Four, self).__init__()

                                self.yang_name = "four"
                                self.yang_parent_name = "label"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.details = YLeaf(YType.empty, "details")
                                self._segment_path = lambda: "four"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Mpls.Label.Four, ['details'], name, value)


                        class Five(Entity):
                            """
                            MPLS label 5 information
                            
                            .. attribute:: details
                            
                            	MPLS label 5 details
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Mpls.Label.Five, self).__init__()

                                self.yang_name = "five"
                                self.yang_parent_name = "label"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.details = YLeaf(YType.empty, "details")
                                self._segment_path = lambda: "five"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Mpls.Label.Five, ['details'], name, value)


                        class Six(Entity):
                            """
                            MPLS label 6 information
                            
                            .. attribute:: details
                            
                            	MPLS label 6 details
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Mpls.Label.Six, self).__init__()

                                self.yang_name = "six"
                                self.yang_parent_name = "label"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.details = YLeaf(YType.empty, "details")
                                self._segment_path = lambda: "six"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Mpls.Label.Six, ['details'], name, value)


                class Network(Entity):
                    """
                    network metrics
                    
                    .. attribute:: delay
                    
                    	network delay metrics
                    	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Network.Delay>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Network, self).__init__()

                        self.yang_name = "network"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"delay" : ("delay", Native.Flow.Record.Match.Network.Delay)}
                        self._child_list_classes = {}

                        self.delay = Native.Flow.Record.Match.Network.Delay()
                        self.delay.parent = self
                        self._children_name_map["delay"] = "delay"
                        self._children_yang_names.add("delay")
                        self._segment_path = lambda: "network"


                    class Delay(Entity):
                        """
                        network delay metrics
                        
                        .. attribute:: sample
                        
                        	The number of samples of roundtrip delay
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sum
                        
                        	The sum of roundtrip delay
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Network.Delay, self).__init__()

                            self.yang_name = "delay"
                            self.yang_parent_name = "network"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sample = YLeaf(YType.empty, "sample")

                            self.sum = YLeaf(YType.empty, "sum")
                            self._segment_path = lambda: "delay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Network.Delay, ['sample', 'sum'], name, value)


                class Pfr(Entity):
                    """
                    PfR metrics
                    
                    .. attribute:: label
                    
                    	PfR label metrics
                    	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Label>`
                    
                    .. attribute:: one_way_delay
                    
                    	The packet transmission delay between specified nodes
                    	**type**\:  :py:class:`OneWayDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.OneWayDelay>`
                    
                    .. attribute:: service
                    
                    	PfR service metrics
                    	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Service>`
                    
                    .. attribute:: site
                    
                    	PfR site  metrics
                    	**type**\:  :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Pfr, self).__init__()

                        self.yang_name = "pfr"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"label" : ("label", Native.Flow.Record.Match.Pfr.Label), "one-way-delay" : ("one_way_delay", Native.Flow.Record.Match.Pfr.OneWayDelay), "service" : ("service", Native.Flow.Record.Match.Pfr.Service), "site" : ("site", Native.Flow.Record.Match.Pfr.Site)}
                        self._child_list_classes = {}

                        self.label = Native.Flow.Record.Match.Pfr.Label()
                        self.label.parent = self
                        self._children_name_map["label"] = "label"
                        self._children_yang_names.add("label")

                        self.one_way_delay = Native.Flow.Record.Match.Pfr.OneWayDelay()
                        self.one_way_delay.parent = self
                        self._children_name_map["one_way_delay"] = "one-way-delay"
                        self._children_yang_names.add("one-way-delay")

                        self.service = Native.Flow.Record.Match.Pfr.Service()
                        self.service.parent = self
                        self._children_name_map["service"] = "service"
                        self._children_yang_names.add("service")

                        self.site = Native.Flow.Record.Match.Pfr.Site()
                        self.site.parent = self
                        self._children_name_map["site"] = "site"
                        self._children_yang_names.add("site")
                        self._segment_path = lambda: "pfr"


                    class Label(Entity):
                        """
                        PfR label metrics
                        
                        .. attribute:: identifier
                        
                        	pfr label id
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Pfr.Label, self).__init__()

                            self.yang_name = "label"
                            self.yang_parent_name = "pfr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.identifier = YLeaf(YType.empty, "identifier")
                            self._segment_path = lambda: "label"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Pfr.Label, ['identifier'], name, value)


                    class OneWayDelay(Entity):
                        """
                        The packet transmission delay between specified nodes
                        
                        .. attribute:: samples
                        
                        	Total number of one\-way\-delay samples
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sum
                        
                        	The packet transmission delay sum between specified nodes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Pfr.OneWayDelay, self).__init__()

                            self.yang_name = "one-way-delay"
                            self.yang_parent_name = "pfr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.samples = YLeaf(YType.empty, "samples")

                            self.sum = YLeaf(YType.empty, "sum")
                            self._segment_path = lambda: "one-way-delay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Pfr.OneWayDelay, ['samples', 'sum'], name, value)


                    class Service(Entity):
                        """
                        PfR service metrics
                        
                        .. attribute:: provider
                        
                        	PfR service provider metrics
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	PfR service provider tag metrics
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: identifier
                        
                        	PfR service provider tag
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Pfr.Service, self).__init__()

                            self.yang_name = "service"
                            self.yang_parent_name = "pfr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.provider = YLeaf(YType.empty, "provider")

                            self.tag = YLeaf(YType.empty, "tag")

                            self.identifier = YLeaf(YType.empty, "identifier")
                            self._segment_path = lambda: "service"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Pfr.Service, ['provider', 'tag', 'identifier'], name, value)


                    class Site(Entity):
                        """
                        PfR site  metrics
                        
                        .. attribute:: destination
                        
                        	PfR site destination metrics
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Destination>`
                        
                        .. attribute:: source
                        
                        	PfR site source metrics
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Source>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Pfr.Site, self).__init__()

                            self.yang_name = "site"
                            self.yang_parent_name = "pfr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Match.Pfr.Site.Destination), "source" : ("source", Native.Flow.Record.Match.Pfr.Site.Source)}
                            self._child_list_classes = {}

                            self.destination = Native.Flow.Record.Match.Pfr.Site.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.source = Native.Flow.Record.Match.Pfr.Site.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "site"


                        class Destination(Entity):
                            """
                            PfR site destination metrics
                            
                            .. attribute:: id
                            
                            	PfR site destination ID metrics
                            	**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Destination.Id>`
                            
                            .. attribute:: prefix
                            
                            	PfR site prefix of the packet destination
                            	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Destination.Prefix>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Pfr.Site.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "site"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"id" : ("id", Native.Flow.Record.Match.Pfr.Site.Destination.Id), "prefix" : ("prefix", Native.Flow.Record.Match.Pfr.Site.Destination.Prefix)}
                                self._child_list_classes = {}

                                self.id = Native.Flow.Record.Match.Pfr.Site.Destination.Id()
                                self.id.parent = self
                                self._children_name_map["id"] = "id"
                                self._children_yang_names.add("id")

                                self.prefix = Native.Flow.Record.Match.Pfr.Site.Destination.Prefix()
                                self.prefix.parent = self
                                self._children_name_map["prefix"] = "prefix"
                                self._children_yang_names.add("prefix")
                                self._segment_path = lambda: "destination"


                            class Id(Entity):
                                """
                                PfR site destination ID metrics
                                
                                .. attribute:: ipv4
                                
                                	site ID of the packet destination
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Match.Pfr.Site.Destination.Id, self).__init__()

                                    self.yang_name = "id"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.empty, "ipv4")
                                    self._segment_path = lambda: "id"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Match.Pfr.Site.Destination.Id, ['ipv4'], name, value)


                            class Prefix(Entity):
                                """
                                PfR site prefix of the packet destination
                                
                                .. attribute:: ipv4
                                
                                	site prefix of the packet destination
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	PfR site prefix mask of the packet destination
                                	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Destination.Prefix.Mask>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Match.Pfr.Site.Destination.Prefix, self).__init__()

                                    self.yang_name = "prefix"
                                    self.yang_parent_name = "destination"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Match.Pfr.Site.Destination.Prefix.Mask)}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.empty, "ipv4")

                                    self.mask = Native.Flow.Record.Match.Pfr.Site.Destination.Prefix.Mask()
                                    self.mask.parent = self
                                    self._children_name_map["mask"] = "mask"
                                    self._children_yang_names.add("mask")
                                    self._segment_path = lambda: "prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Match.Pfr.Site.Destination.Prefix, ['ipv4'], name, value)


                                class Mask(Entity):
                                    """
                                    PfR site prefix mask of the packet destination
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix mask of the packet destination
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Match.Pfr.Site.Destination.Prefix.Mask, self).__init__()

                                        self.yang_name = "mask"
                                        self.yang_parent_name = "prefix"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")
                                        self._segment_path = lambda: "mask"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Match.Pfr.Site.Destination.Prefix.Mask, ['ipv4'], name, value)


                        class Source(Entity):
                            """
                            PfR site source metrics
                            
                            .. attribute:: id
                            
                            	PfR site source ID metrics
                            	**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Source.Id>`
                            
                            .. attribute:: prefix
                            
                            	PfR site prefix of the packet source
                            	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Source.Prefix>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Pfr.Site.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "site"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"id" : ("id", Native.Flow.Record.Match.Pfr.Site.Source.Id), "prefix" : ("prefix", Native.Flow.Record.Match.Pfr.Site.Source.Prefix)}
                                self._child_list_classes = {}

                                self.id = Native.Flow.Record.Match.Pfr.Site.Source.Id()
                                self.id.parent = self
                                self._children_name_map["id"] = "id"
                                self._children_yang_names.add("id")

                                self.prefix = Native.Flow.Record.Match.Pfr.Site.Source.Prefix()
                                self.prefix.parent = self
                                self._children_name_map["prefix"] = "prefix"
                                self._children_yang_names.add("prefix")
                                self._segment_path = lambda: "source"


                            class Id(Entity):
                                """
                                PfR site source ID metrics
                                
                                .. attribute:: ipv4
                                
                                	site ID of the packet source
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Match.Pfr.Site.Source.Id, self).__init__()

                                    self.yang_name = "id"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.empty, "ipv4")
                                    self._segment_path = lambda: "id"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Match.Pfr.Site.Source.Id, ['ipv4'], name, value)


                            class Prefix(Entity):
                                """
                                PfR site prefix of the packet source
                                
                                .. attribute:: ipv4
                                
                                	site prefix of the packet source
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	PfR site prefix mask of the packet source
                                	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Pfr.Site.Source.Prefix.Mask>`
                                
                                

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Match.Pfr.Site.Source.Prefix, self).__init__()

                                    self.yang_name = "prefix"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mask" : ("mask", Native.Flow.Record.Match.Pfr.Site.Source.Prefix.Mask)}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.empty, "ipv4")

                                    self.mask = Native.Flow.Record.Match.Pfr.Site.Source.Prefix.Mask()
                                    self.mask.parent = self
                                    self._children_name_map["mask"] = "mask"
                                    self._children_yang_names.add("mask")
                                    self._segment_path = lambda: "prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Match.Pfr.Site.Source.Prefix, ['ipv4'], name, value)


                                class Mask(Entity):
                                    """
                                    PfR site prefix mask of the packet source
                                    
                                    .. attribute:: ipv4
                                    
                                    	site prefix mask of the packet source
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-flow'
                                    _revision = '2017-04-19'

                                    def __init__(self):
                                        super(Native.Flow.Record.Match.Pfr.Site.Source.Prefix.Mask, self).__init__()

                                        self.yang_name = "mask"
                                        self.yang_parent_name = "prefix"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")
                                        self._segment_path = lambda: "mask"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Flow.Record.Match.Pfr.Site.Source.Prefix.Mask, ['ipv4'], name, value)


                class Policy(Entity):
                    """
                    policy fields
                    
                    .. attribute:: performance_monitor
                    
                    	Performance\-monitor policy related metrics
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Policy.PerformanceMonitor>`
                    
                    .. attribute:: qos
                    
                    	QoS policy related metrics
                    	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Policy.Qos>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"performance-monitor" : ("performance_monitor", Native.Flow.Record.Match.Policy.PerformanceMonitor), "qos" : ("qos", Native.Flow.Record.Match.Policy.Qos)}
                        self._child_list_classes = {}

                        self.performance_monitor = Native.Flow.Record.Match.Policy.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.qos = Native.Flow.Record.Match.Policy.Qos()
                        self.qos.parent = self
                        self._children_name_map["qos"] = "qos"
                        self._children_yang_names.add("qos")
                        self._segment_path = lambda: "policy"


                    class PerformanceMonitor(Entity):
                        """
                        Performance\-monitor policy related metrics
                        
                        .. attribute:: classification
                        
                        	Classification metrics
                        	**type**\:  :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Policy.PerformanceMonitor.Classification>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Policy.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"classification" : ("classification", Native.Flow.Record.Match.Policy.PerformanceMonitor.Classification)}
                            self._child_list_classes = {}

                            self.classification = Native.Flow.Record.Match.Policy.PerformanceMonitor.Classification()
                            self.classification.parent = self
                            self._children_name_map["classification"] = "classification"
                            self._children_yang_names.add("classification")
                            self._segment_path = lambda: "performance-monitor"


                        class Classification(Entity):
                            """
                            Classification metrics
                            
                            .. attribute:: hierarchy
                            
                            	Performance\-monitor class hierarchy
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Policy.PerformanceMonitor.Classification, self).__init__()

                                self.yang_name = "classification"
                                self.yang_parent_name = "performance-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hierarchy = YLeaf(YType.empty, "hierarchy")
                                self._segment_path = lambda: "classification"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Policy.PerformanceMonitor.Classification, ['hierarchy'], name, value)


                    class Qos(Entity):
                        """
                        QoS policy related metrics
                        
                        .. attribute:: classification
                        
                        	Classification metrics
                        	**type**\:  :py:class:`Classification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Policy.Qos.Classification>`
                        
                        .. attribute:: queue
                        
                        	Queue metrics
                        	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Policy.Qos.Queue>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Policy.Qos, self).__init__()

                            self.yang_name = "qos"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"classification" : ("classification", Native.Flow.Record.Match.Policy.Qos.Classification), "queue" : ("queue", Native.Flow.Record.Match.Policy.Qos.Queue)}
                            self._child_list_classes = {}

                            self.classification = Native.Flow.Record.Match.Policy.Qos.Classification()
                            self.classification.parent = self
                            self._children_name_map["classification"] = "classification"
                            self._children_yang_names.add("classification")

                            self.queue = Native.Flow.Record.Match.Policy.Qos.Queue()
                            self.queue.parent = self
                            self._children_name_map["queue"] = "queue"
                            self._children_yang_names.add("queue")
                            self._segment_path = lambda: "qos"


                        class Classification(Entity):
                            """
                            Classification metrics
                            
                            .. attribute:: hierarchy
                            
                            	QoS class hierarchy
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Policy.Qos.Classification, self).__init__()

                                self.yang_name = "classification"
                                self.yang_parent_name = "qos"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hierarchy = YLeaf(YType.empty, "hierarchy")
                                self._segment_path = lambda: "classification"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Policy.Qos.Classification, ['hierarchy'], name, value)


                        class Queue(Entity):
                            """
                            Queue metrics
                            
                            .. attribute:: drops
                            
                            	QoS queue drops
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: index
                            
                            	QoS queue index
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Policy.Qos.Queue, self).__init__()

                                self.yang_name = "queue"
                                self.yang_parent_name = "qos"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.drops = YLeaf(YType.empty, "drops")

                                self.index = YLeaf(YType.empty, "index")
                                self._segment_path = lambda: "queue"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Policy.Qos.Queue, ['drops', 'index'], name, value)


                class Routing(Entity):
                    """
                    Routing attributes
                    
                    .. attribute:: destination
                    
                    	Destination routing attributes
                    	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Destination>`
                    
                    .. attribute:: forwarding_status
                    
                    	Forwarding status of the packet
                    	**type**\:  :py:class:`ForwardingStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.ForwardingStatus>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: is_multicast
                    
                    	Indicates if this is multicast
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: next_hop
                    
                    	Information regarding the next hop
                    	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.NextHop>`
                    
                    .. attribute:: pw
                    
                    	Pseudowire fields
                    	**type**\:  :py:class:`Pw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Pw>`
                    
                    .. attribute:: source
                    
                    	Source routing attributes
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Source>`
                    
                    .. attribute:: vrf
                    
                    	VRF routing attributes
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Routing, self).__init__()

                        self.yang_name = "routing"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Match.Routing.Destination), "forwarding-status" : ("forwarding_status", Native.Flow.Record.Match.Routing.ForwardingStatus), "next-hop" : ("next_hop", Native.Flow.Record.Match.Routing.NextHop), "pw" : ("pw", Native.Flow.Record.Match.Routing.Pw), "source" : ("source", Native.Flow.Record.Match.Routing.Source), "vrf" : ("vrf", Native.Flow.Record.Match.Routing.Vrf)}
                        self._child_list_classes = {}

                        self.is_multicast = YLeaf(YType.empty, "is-multicast")

                        self.destination = Native.Flow.Record.Match.Routing.Destination()
                        self.destination.parent = self
                        self._children_name_map["destination"] = "destination"
                        self._children_yang_names.add("destination")

                        self.forwarding_status = None
                        self._children_name_map["forwarding_status"] = "forwarding-status"
                        self._children_yang_names.add("forwarding-status")

                        self.next_hop = Native.Flow.Record.Match.Routing.NextHop()
                        self.next_hop.parent = self
                        self._children_name_map["next_hop"] = "next-hop"
                        self._children_yang_names.add("next-hop")

                        self.pw = Native.Flow.Record.Match.Routing.Pw()
                        self.pw.parent = self
                        self._children_name_map["pw"] = "pw"
                        self._children_yang_names.add("pw")

                        self.source = Native.Flow.Record.Match.Routing.Source()
                        self.source.parent = self
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.vrf = Native.Flow.Record.Match.Routing.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "routing"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Match.Routing, ['is_multicast'], name, value)


                    class Destination(Entity):
                        """
                        Destination routing attributes
                        
                        .. attribute:: as_
                        
                        	AS number of the destination network
                        	**type**\:  :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Destination.As_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: traffic_index
                        
                        	BGP destination traffic index
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Routing.Destination, self).__init__()

                            self.yang_name = "destination"
                            self.yang_parent_name = "routing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"as" : ("as_", Native.Flow.Record.Match.Routing.Destination.As_)}
                            self._child_list_classes = {}

                            self.traffic_index = YLeaf(YType.empty, "traffic-index")

                            self.as_ = None
                            self._children_name_map["as_"] = "as"
                            self._children_yang_names.add("as")
                            self._segment_path = lambda: "destination"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Routing.Destination, ['traffic_index'], name, value)


                        class As_(Entity):
                            """
                            AS number of the destination network
                            
                            .. attribute:: as4_octet
                            
                            	4 octet AS number of the destination network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: peer
                            
                            	AS number of the peer network we will forward to
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Destination.As_.Peer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Routing.Destination.As_, self).__init__()

                                self.yang_name = "as"
                                self.yang_parent_name = "destination"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Flow.Record.Match.Routing.Destination.As_.Peer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.as4_octet = YLeaf(YType.empty, "as4-octet")

                                self.peer = None
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")
                                self._segment_path = lambda: "as"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Routing.Destination.As_, ['as4_octet'], name, value)


                            class Peer(Entity):
                                """
                                AS number of the peer network we will forward to
                                
                                .. attribute:: peer4_octet
                                
                                	4 octet AS number of the peer network we will forward to
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Match.Routing.Destination.As_.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "as"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.peer4_octet = YLeaf(YType.empty, "peer4-octet")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Match.Routing.Destination.As_.Peer, ['peer4_octet'], name, value)


                    class ForwardingStatus(Entity):
                        """
                        Forwarding status of the packet
                        
                        .. attribute:: reason
                        
                        	Forwarding status reason of the packet
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Routing.ForwardingStatus, self).__init__()

                            self.yang_name = "forwarding-status"
                            self.yang_parent_name = "routing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.reason = YLeaf(YType.empty, "reason")
                            self._segment_path = lambda: "forwarding-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Routing.ForwardingStatus, ['reason'], name, value)


                    class NextHop(Entity):
                        """
                        Information regarding the next hop
                        
                        .. attribute:: address
                        
                        	IP address of the next hop
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.NextHop.Address>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Routing.NextHop, self).__init__()

                            self.yang_name = "next-hop"
                            self.yang_parent_name = "routing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Flow.Record.Match.Routing.NextHop.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Flow.Record.Match.Routing.NextHop.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "next-hop"


                        class Address(Entity):
                            """
                            IP address of the next hop
                            
                            .. attribute:: ipv4
                            
                            	IPv4 address of the next hop
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.NextHop.Address.Ipv4>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv6
                            
                            	IPv6 address of the next hop
                            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.NextHop.Address.Ipv6>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Routing.NextHop.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "next-hop"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipv4" : ("ipv4", Native.Flow.Record.Match.Routing.NextHop.Address.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Match.Routing.NextHop.Address.Ipv6)}
                                self._child_list_classes = {}

                                self.ipv4 = None
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")

                                self.ipv6 = None
                                self._children_name_map["ipv6"] = "ipv6"
                                self._children_yang_names.add("ipv6")
                                self._segment_path = lambda: "address"


                            class Ipv4(Entity):
                                """
                                IPv4 address of the next hop
                                
                                .. attribute:: bgp
                                
                                	IPv4 address of the BGP next hop
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Match.Routing.NextHop.Address.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.bgp = YLeaf(YType.empty, "bgp")
                                    self._segment_path = lambda: "ipv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Match.Routing.NextHop.Address.Ipv4, ['bgp'], name, value)


                            class Ipv6(Entity):
                                """
                                IPv6 address of the next hop
                                
                                .. attribute:: bgp
                                
                                	IPv6 address of the BGP next hop
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Match.Routing.NextHop.Address.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.bgp = YLeaf(YType.empty, "bgp")
                                    self._segment_path = lambda: "ipv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Match.Routing.NextHop.Address.Ipv6, ['bgp'], name, value)


                    class Pw(Entity):
                        """
                        Pseudowire fields
                        
                        .. attribute:: destination
                        
                        	Pseudowire destination
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Pw.Destination>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Routing.Pw, self).__init__()

                            self.yang_name = "pw"
                            self.yang_parent_name = "routing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Flow.Record.Match.Routing.Pw.Destination)}
                            self._child_list_classes = {}

                            self.destination = Native.Flow.Record.Match.Routing.Pw.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")
                            self._segment_path = lambda: "pw"


                        class Destination(Entity):
                            """
                            Pseudowire destination
                            
                            .. attribute:: address
                            
                            	Pseudowire destination address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Routing.Pw.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "pw"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")
                                self._segment_path = lambda: "destination"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Routing.Pw.Destination, ['address'], name, value)


                    class Source(Entity):
                        """
                        Source routing attributes
                        
                        .. attribute:: as_
                        
                        	AS number of the original network
                        	**type**\:  :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Source.As_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: traffic_index
                        
                        	BGP source traffic index
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Routing.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "routing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"as" : ("as_", Native.Flow.Record.Match.Routing.Source.As_)}
                            self._child_list_classes = {}

                            self.traffic_index = YLeaf(YType.empty, "traffic-index")

                            self.as_ = None
                            self._children_name_map["as_"] = "as"
                            self._children_yang_names.add("as")
                            self._segment_path = lambda: "source"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Routing.Source, ['traffic_index'], name, value)


                        class As_(Entity):
                            """
                            AS number of the original network
                            
                            .. attribute:: as4_octet
                            
                            	4 octet AS number of the original network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: peer
                            
                            	AS number of the peer network where the packet came from
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Routing.Source.As_.Peer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Routing.Source.As_, self).__init__()

                                self.yang_name = "as"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Flow.Record.Match.Routing.Source.As_.Peer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.as4_octet = YLeaf(YType.empty, "as4-octet")

                                self.peer = None
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")
                                self._segment_path = lambda: "as"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Routing.Source.As_, ['as4_octet'], name, value)


                            class Peer(Entity):
                                """
                                AS number of the peer network where the packet came from
                                
                                .. attribute:: peer4_octet
                                
                                	4 octet AS number of the peer network where the packet came from
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Match.Routing.Source.As_.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "as"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.peer4_octet = YLeaf(YType.empty, "peer4-octet")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Match.Routing.Source.As_.Peer, ['peer4_octet'], name, value)


                    class Vrf(Entity):
                        """
                        VRF routing attributes
                        
                        .. attribute:: input
                        
                        	VRF ID for incoming packet
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	VRF ID for outgoing packet
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Routing.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "routing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Routing.Vrf, ['input', 'output'], name, value)


                class Services(Entity):
                    """
                    Services fields
                    
                    .. attribute:: waas
                    
                    	WAAS (Wide Area Application Services) metrics
                    	**type**\:  :py:class:`Waas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Services.Waas>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Services, self).__init__()

                        self.yang_name = "services"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"waas" : ("waas", Native.Flow.Record.Match.Services.Waas)}
                        self._child_list_classes = {}

                        self.waas = Native.Flow.Record.Match.Services.Waas()
                        self.waas.parent = self
                        self._children_name_map["waas"] = "waas"
                        self._children_yang_names.add("waas")
                        self._segment_path = lambda: "services"


                    class Waas(Entity):
                        """
                        WAAS (Wide Area Application Services) metrics
                        
                        .. attribute:: passthrough_reason
                        
                        	WAAS passthrough reason
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: segment
                        
                        	WAAS optimization segment
                        	**type**\:  :py:class:`Segment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Services.Waas.Segment>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Services.Waas, self).__init__()

                            self.yang_name = "waas"
                            self.yang_parent_name = "services"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"segment" : ("segment", Native.Flow.Record.Match.Services.Waas.Segment)}
                            self._child_list_classes = {}

                            self.passthrough_reason = YLeaf(YType.empty, "passthrough-reason")

                            self.segment = None
                            self._children_name_map["segment"] = "segment"
                            self._children_yang_names.add("segment")
                            self._segment_path = lambda: "waas"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Services.Waas, ['passthrough_reason'], name, value)


                        class Segment(Entity):
                            """
                            WAAS optimization segment
                            
                            .. attribute:: account_on_resolution
                            
                            	Account on resolution
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Services.Waas.Segment, self).__init__()

                                self.yang_name = "segment"
                                self.yang_parent_name = "waas"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.account_on_resolution = YLeaf(YType.empty, "account-on-resolution")
                                self._segment_path = lambda: "segment"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Services.Waas.Segment, ['account_on_resolution'], name, value)


                class Timestamp(Entity):
                    """
                    Timestamp fields
                    
                    .. attribute:: absolute
                    
                    	Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                    	**type**\:  :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Timestamp.Absolute>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Timestamp, self).__init__()

                        self.yang_name = "timestamp"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"absolute" : ("absolute", Native.Flow.Record.Match.Timestamp.Absolute)}
                        self._child_list_classes = {}

                        self.absolute = Native.Flow.Record.Match.Timestamp.Absolute()
                        self.absolute.parent = self
                        self._children_name_map["absolute"] = "absolute"
                        self._children_yang_names.add("absolute")
                        self._segment_path = lambda: "timestamp"


                    class Absolute(Entity):
                        """
                        Timestamps based on the epoch of 00\:00 UTC 1st Jan 1970
                        
                        .. attribute:: monitoring_interval
                        
                        	Monitoring interval timestamps
                        	**type**\:  :py:class:`MonitoringInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Timestamp.Absolute.MonitoringInterval>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Timestamp.Absolute, self).__init__()

                            self.yang_name = "absolute"
                            self.yang_parent_name = "timestamp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"monitoring-interval" : ("monitoring_interval", Native.Flow.Record.Match.Timestamp.Absolute.MonitoringInterval)}
                            self._child_list_classes = {}

                            self.monitoring_interval = Native.Flow.Record.Match.Timestamp.Absolute.MonitoringInterval()
                            self.monitoring_interval.parent = self
                            self._children_name_map["monitoring_interval"] = "monitoring-interval"
                            self._children_yang_names.add("monitoring-interval")
                            self._segment_path = lambda: "absolute"


                        class MonitoringInterval(Entity):
                            """
                            Monitoring interval timestamps
                            
                            .. attribute:: start
                            
                            	Absolute start time of a monitoring interval (milliseconds)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Timestamp.Absolute.MonitoringInterval, self).__init__()

                                self.yang_name = "monitoring-interval"
                                self.yang_parent_name = "absolute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.start = YLeaf(YType.empty, "start")
                                self._segment_path = lambda: "monitoring-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Timestamp.Absolute.MonitoringInterval, ['start'], name, value)


                class Transport(Entity):
                    """
                    Transport layer fields
                    
                    .. attribute:: bytes
                    
                    	Bytes fields
                    	**type**\:  :py:class:`Bytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Bytes>`
                    
                    .. attribute:: rtp
                    
                    	RTP fields
                    	**type**\:  :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Rtp>`
                    
                    .. attribute:: destination_port
                    
                    	Transport destination port
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: icmp
                    
                    	ICMP fields
                    	**type**\:  :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Icmp>`
                    
                    .. attribute:: igmp
                    
                    	IGMP fields
                    	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Igmp>`
                    
                    .. attribute:: source_port
                    
                    	Transport source port
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tcp
                    
                    	TCP fields
                    	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp>`
                    
                    .. attribute:: udp
                    
                    	UDP fields
                    	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Udp>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Record.Match.Transport, self).__init__()

                        self.yang_name = "transport"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bytes" : ("bytes", Native.Flow.Record.Match.Transport.Bytes), "rtp" : ("rtp", Native.Flow.Record.Match.Transport.Rtp), "icmp" : ("icmp", Native.Flow.Record.Match.Transport.Icmp), "igmp" : ("igmp", Native.Flow.Record.Match.Transport.Igmp), "tcp" : ("tcp", Native.Flow.Record.Match.Transport.Tcp), "udp" : ("udp", Native.Flow.Record.Match.Transport.Udp)}
                        self._child_list_classes = {}

                        self.destination_port = YLeaf(YType.empty, "destination-port")

                        self.source_port = YLeaf(YType.empty, "source-port")

                        self.bytes = Native.Flow.Record.Match.Transport.Bytes()
                        self.bytes.parent = self
                        self._children_name_map["bytes"] = "bytes"
                        self._children_yang_names.add("bytes")

                        self.rtp = Native.Flow.Record.Match.Transport.Rtp()
                        self.rtp.parent = self
                        self._children_name_map["rtp"] = "rtp"
                        self._children_yang_names.add("rtp")

                        self.icmp = Native.Flow.Record.Match.Transport.Icmp()
                        self.icmp.parent = self
                        self._children_name_map["icmp"] = "icmp"
                        self._children_yang_names.add("icmp")

                        self.igmp = Native.Flow.Record.Match.Transport.Igmp()
                        self.igmp.parent = self
                        self._children_name_map["igmp"] = "igmp"
                        self._children_yang_names.add("igmp")

                        self.tcp = Native.Flow.Record.Match.Transport.Tcp()
                        self.tcp.parent = self
                        self._children_name_map["tcp"] = "tcp"
                        self._children_yang_names.add("tcp")

                        self.udp = Native.Flow.Record.Match.Transport.Udp()
                        self.udp.parent = self
                        self._children_name_map["udp"] = "udp"
                        self._children_yang_names.add("udp")
                        self._segment_path = lambda: "transport"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Record.Match.Transport, ['destination_port', 'source_port'], name, value)


                    class Bytes(Entity):
                        """
                        Bytes fields
                        
                        .. attribute:: expected
                        
                        	Transport bytes expected
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: lost
                        
                        	Transport bytes lost
                        	**type**\:  :py:class:`Lost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Bytes.Lost>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Transport.Bytes, self).__init__()

                            self.yang_name = "bytes"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"lost" : ("lost", Native.Flow.Record.Match.Transport.Bytes.Lost)}
                            self._child_list_classes = {}

                            self.expected = YLeaf(YType.empty, "expected")

                            self.lost = None
                            self._children_name_map["lost"] = "lost"
                            self._children_yang_names.add("lost")
                            self._segment_path = lambda: "bytes"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Transport.Bytes, ['expected'], name, value)


                        class Lost(Entity):
                            """
                            Transport bytes lost
                            
                            .. attribute:: rate
                            
                            	Transport bytes lost rate
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Transport.Bytes.Lost, self).__init__()

                                self.yang_name = "lost"
                                self.yang_parent_name = "bytes"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.rate = YLeaf(YType.empty, "rate")
                                self._segment_path = lambda: "lost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Transport.Bytes.Lost, ['rate'], name, value)


                    class Rtp(Entity):
                        """
                        RTP fields
                        
                        .. attribute:: ssrc
                        
                        	RTP SSRC
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Transport.Rtp, self).__init__()

                            self.yang_name = "rtp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ssrc = YLeaf(YType.empty, "ssrc")
                            self._segment_path = lambda: "rtp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Transport.Rtp, ['ssrc'], name, value)


                    class Icmp(Entity):
                        """
                        ICMP fields
                        
                        .. attribute:: ipv4
                        
                        	IPv4 ICMP fields
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Icmp.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 ICMP fields
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Icmp.Ipv6>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Transport.Icmp, self).__init__()

                            self.yang_name = "icmp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Flow.Record.Match.Transport.Icmp.Ipv4), "ipv6" : ("ipv6", Native.Flow.Record.Match.Transport.Icmp.Ipv6)}
                            self._child_list_classes = {}

                            self.ipv4 = Native.Flow.Record.Match.Transport.Icmp.Ipv4()
                            self.ipv4.parent = self
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv6 = Native.Flow.Record.Match.Transport.Icmp.Ipv6()
                            self.ipv6.parent = self
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")
                            self._segment_path = lambda: "icmp"


                        class Ipv4(Entity):
                            """
                            IPv4 ICMP fields
                            
                            .. attribute:: code
                            
                            	IPv4 ICMP code
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	IPv4 ICMP type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Transport.Icmp.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "icmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.code = YLeaf(YType.empty, "code")

                                self.type = YLeaf(YType.empty, "type")
                                self._segment_path = lambda: "ipv4"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Transport.Icmp.Ipv4, ['code', 'type'], name, value)


                        class Ipv6(Entity):
                            """
                            IPv6 ICMP fields
                            
                            .. attribute:: code
                            
                            	IPv6 ICMP code
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: type
                            
                            	IPv6 ICMP type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Transport.Icmp.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "icmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.code = YLeaf(YType.empty, "code")

                                self.type = YLeaf(YType.empty, "type")
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Transport.Icmp.Ipv6, ['code', 'type'], name, value)


                    class Igmp(Entity):
                        """
                        IGMP fields
                        
                        .. attribute:: type
                        
                        	IGMP type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Transport.Igmp, self).__init__()

                            self.yang_name = "igmp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.type = YLeaf(YType.empty, "type")
                            self._segment_path = lambda: "igmp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Transport.Igmp, ['type'], name, value)


                    class Tcp(Entity):
                        """
                        TCP fields
                        
                        .. attribute:: acknowledgement_number
                        
                        	TCP acknowledgement number
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: destination_port
                        
                        	TCP destination port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: flags
                        
                        	TCP flags
                        	**type**\:  :py:class:`Flags <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp.Flags>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flow
                        
                        	TCP flow
                        	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp.Flow>`
                        
                        .. attribute:: header_length
                        
                        	TCP header length (in 32 bit words)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: maximum_segment_size
                        
                        	The maximum size of TCP segment
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: option
                        
                        	TCP option fields
                        	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp.Option>`
                        
                        .. attribute:: sequence_number
                        
                        	TCP sequence number
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_port
                        
                        	TCP source port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: urgent_pointer
                        
                        	TCP urgent pointer
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: window_size
                        
                        	TCP window size
                        	**type**\:  :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp.WindowSize>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Transport.Tcp, self).__init__()

                            self.yang_name = "tcp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"flags" : ("flags", Native.Flow.Record.Match.Transport.Tcp.Flags), "flow" : ("flow", Native.Flow.Record.Match.Transport.Tcp.Flow), "option" : ("option", Native.Flow.Record.Match.Transport.Tcp.Option), "window-size" : ("window_size", Native.Flow.Record.Match.Transport.Tcp.WindowSize)}
                            self._child_list_classes = {}

                            self.acknowledgement_number = YLeaf(YType.empty, "acknowledgement-number")

                            self.destination_port = YLeaf(YType.empty, "destination-port")

                            self.header_length = YLeaf(YType.empty, "header-length")

                            self.maximum_segment_size = YLeaf(YType.empty, "maximum-segment-size")

                            self.sequence_number = YLeaf(YType.empty, "sequence-number")

                            self.source_port = YLeaf(YType.empty, "source-port")

                            self.urgent_pointer = YLeaf(YType.empty, "urgent-pointer")

                            self.flags = None
                            self._children_name_map["flags"] = "flags"
                            self._children_yang_names.add("flags")

                            self.flow = Native.Flow.Record.Match.Transport.Tcp.Flow()
                            self.flow.parent = self
                            self._children_name_map["flow"] = "flow"
                            self._children_yang_names.add("flow")

                            self.option = Native.Flow.Record.Match.Transport.Tcp.Option()
                            self.option.parent = self
                            self._children_name_map["option"] = "option"
                            self._children_yang_names.add("option")

                            self.window_size = None
                            self._children_name_map["window_size"] = "window-size"
                            self._children_yang_names.add("window-size")
                            self._segment_path = lambda: "tcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Transport.Tcp, ['acknowledgement_number', 'destination_port', 'header_length', 'maximum_segment_size', 'sequence_number', 'source_port', 'urgent_pointer'], name, value)


                        class Flags(Entity):
                            """
                            TCP flags
                            
                            .. attribute:: ack
                            
                            	TCP acknowledgement flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: cwr
                            
                            	TCP congestion window reduced flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ece
                            
                            	TCP ECN echo flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fin
                            
                            	TCP finish flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: psh
                            
                            	TCP push flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rst
                            
                            	TCP reset flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: syn
                            
                            	TCP synchronise flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: urg
                            
                            	TCP urgent flag
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Transport.Tcp.Flags, self).__init__()

                                self.yang_name = "flags"
                                self.yang_parent_name = "tcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ack = YLeaf(YType.empty, "ack")

                                self.cwr = YLeaf(YType.empty, "cwr")

                                self.ece = YLeaf(YType.empty, "ece")

                                self.fin = YLeaf(YType.empty, "fin")

                                self.psh = YLeaf(YType.empty, "psh")

                                self.rst = YLeaf(YType.empty, "rst")

                                self.syn = YLeaf(YType.empty, "syn")

                                self.urg = YLeaf(YType.empty, "urg")
                                self._segment_path = lambda: "flags"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Transport.Tcp.Flags, ['ack', 'cwr', 'ece', 'fin', 'psh', 'rst', 'syn', 'urg'], name, value)


                        class Flow(Entity):
                            """
                            TCP flow
                            
                            .. attribute:: count
                            
                            	Number of tcp flows
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Transport.Tcp.Flow, self).__init__()

                                self.yang_name = "flow"
                                self.yang_parent_name = "tcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.count = YLeaf(YType.empty, "count")
                                self._segment_path = lambda: "flow"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Transport.Tcp.Flow, ['count'], name, value)


                        class Option(Entity):
                            """
                            TCP option fields
                            
                            .. attribute:: map
                            
                            	Bitmap of TCP options
                            	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp.Option.Map>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Transport.Tcp.Option, self).__init__()

                                self.yang_name = "option"
                                self.yang_parent_name = "tcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map" : ("map", Native.Flow.Record.Match.Transport.Tcp.Option.Map)}
                                self._child_list_classes = {}

                                self.map = None
                                self._children_name_map["map"] = "map"
                                self._children_yang_names.add("map")
                                self._segment_path = lambda: "option"


                            class Map(Entity):
                                """
                                Bitmap of TCP options
                                
                                .. attribute:: long
                                
                                	Extended bitmap of TCP options
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Match.Transport.Tcp.Option.Map, self).__init__()

                                    self.yang_name = "map"
                                    self.yang_parent_name = "option"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.long = YLeaf(YType.empty, "long")
                                    self._segment_path = lambda: "map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Match.Transport.Tcp.Option.Map, ['long'], name, value)


                        class WindowSize(Entity):
                            """
                            TCP window size
                            
                            .. attribute:: average
                            
                            	The average size of TCP window
                            	**type**\:  :py:class:`Average <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Record.Match.Transport.Tcp.WindowSize.Average>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum
                            
                            	The maximum size of TCP window
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minimum
                            
                            	The minimum size of TCP window
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sum
                            
                            	The sum of TCP window size
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Record.Match.Transport.Tcp.WindowSize, self).__init__()

                                self.yang_name = "window-size"
                                self.yang_parent_name = "tcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"average" : ("average", Native.Flow.Record.Match.Transport.Tcp.WindowSize.Average)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum = YLeaf(YType.empty, "maximum")

                                self.minimum = YLeaf(YType.empty, "minimum")

                                self.sum = YLeaf(YType.empty, "sum")

                                self.average = None
                                self._children_name_map["average"] = "average"
                                self._children_yang_names.add("average")
                                self._segment_path = lambda: "window-size"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Record.Match.Transport.Tcp.WindowSize, ['maximum', 'minimum', 'sum'], name, value)


                            class Average(Entity):
                                """
                                The average size of TCP window
                                
                                .. attribute:: sum
                                
                                	The sum of per flow TCP window average size
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-flow'
                                _revision = '2017-04-19'

                                def __init__(self):
                                    super(Native.Flow.Record.Match.Transport.Tcp.WindowSize.Average, self).__init__()

                                    self.yang_name = "average"
                                    self.yang_parent_name = "window-size"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.sum = YLeaf(YType.empty, "sum")
                                    self._segment_path = lambda: "average"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Flow.Record.Match.Transport.Tcp.WindowSize.Average, ['sum'], name, value)


                    class Udp(Entity):
                        """
                        UDP fields
                        
                        .. attribute:: destination_port
                        
                        	UDP destination port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: message_length
                        
                        	UDP message length
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_port
                        
                        	UDP source port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Record.Match.Transport.Udp, self).__init__()

                            self.yang_name = "udp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.destination_port = YLeaf(YType.empty, "destination-port")

                            self.message_length = YLeaf(YType.empty, "message-length")

                            self.source_port = YLeaf(YType.empty, "source-port")
                            self._segment_path = lambda: "udp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Record.Match.Transport.Udp, ['destination_port', 'message_length', 'source_port'], name, value)


        class Exporter(Entity):
            """
            Define a Flow Exporter
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: description
            
            	Provide a description for this Flow Exporter
            	**type**\: str
            
            .. attribute:: destination
            
            	Export destination configuration
            	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Destination>`
            
            .. attribute:: dscp
            
            	Optional DSCP
            	**type**\: int
            
            	**range:** 0..63
            
            .. attribute:: export_protocol
            
            	Export protocol version
            	**type**\:  :py:class:`ExportProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.ExportProtocol>`
            
            .. attribute:: option
            
            	Select an option for exporting
            	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option>`
            
            .. attribute:: output_features
            
            	
            	**type**\:  :py:class:`OutputFeatures <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.OutputFeatures>`
            
            	**presence node**\: True
            
            .. attribute:: source
            
            	Originating interface
            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Source>`
            
            .. attribute:: template
            
            	Flow Exporter template configuration
            	**type**\:  :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Template>`
            
            .. attribute:: transport
            
            	Transport protocol
            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Transport>`
            
            .. attribute:: ttl
            
            	Optional TTL or hop limit
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default>`
            
            

            """

            _prefix = 'ios-flow'
            _revision = '2017-04-19'

            def __init__(self):
                super(Native.Flow.Exporter, self).__init__()

                self.yang_name = "exporter"
                self.yang_parent_name = "flow"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"destination" : ("destination", Native.Flow.Exporter.Destination), "option" : ("option", Native.Flow.Exporter.Option), "output-features" : ("output_features", Native.Flow.Exporter.OutputFeatures), "source" : ("source", Native.Flow.Exporter.Source), "template" : ("template", Native.Flow.Exporter.Template), "transport" : ("transport", Native.Flow.Exporter.Transport), "default" : ("default", Native.Flow.Exporter.Default)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.description = YLeaf(YType.str, "description")

                self.dscp = YLeaf(YType.uint8, "dscp")

                self.export_protocol = YLeaf(YType.enumeration, "export-protocol")

                self.ttl = YLeaf(YType.uint8, "ttl")

                self.destination = Native.Flow.Exporter.Destination()
                self.destination.parent = self
                self._children_name_map["destination"] = "destination"
                self._children_yang_names.add("destination")

                self.option = Native.Flow.Exporter.Option()
                self.option.parent = self
                self._children_name_map["option"] = "option"
                self._children_yang_names.add("option")

                self.output_features = None
                self._children_name_map["output_features"] = "output-features"
                self._children_yang_names.add("output-features")

                self.source = Native.Flow.Exporter.Source()
                self.source.parent = self
                self._children_name_map["source"] = "source"
                self._children_yang_names.add("source")

                self.template = Native.Flow.Exporter.Template()
                self.template.parent = self
                self._children_name_map["template"] = "template"
                self._children_yang_names.add("template")

                self.transport = Native.Flow.Exporter.Transport()
                self.transport.parent = self
                self._children_name_map["transport"] = "transport"
                self._children_yang_names.add("transport")

                self.default = Native.Flow.Exporter.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")
                self._segment_path = lambda: "Cisco-IOS-XE-flow:exporter" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/flow/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Flow.Exporter, ['name', 'description', 'dscp', 'export_protocol', 'ttl'], name, value)

            class ExportProtocol(Enum):
                """
                ExportProtocol

                Export protocol version

                .. data:: ipfix = 0

                .. data:: netflow_v5 = 1

                .. data:: netflow_v9 = 2

                """

                ipfix = Enum.YLeaf(0, "ipfix")

                netflow_v5 = Enum.YLeaf(1, "netflow-v5")

                netflow_v9 = Enum.YLeaf(2, "netflow-v9")



            class Destination(Entity):
                """
                Export destination configuration
                
                .. attribute:: ip
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: vrf
                
                	Optional VRF label
                	**type**\: str
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Exporter.Destination, self).__init__()

                    self.yang_name = "destination"
                    self.yang_parent_name = "exporter"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.str, "ip")

                    self.vrf = YLeaf(YType.str, "vrf")
                    self._segment_path = lambda: "destination"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Flow.Exporter.Destination, ['ip', 'vrf'], name, value)


            class Option(Entity):
                """
                Select an option for exporting
                
                .. attribute:: application_attributes
                
                	Application Attributes Table Option
                	**type**\:  :py:class:`ApplicationAttributes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.ApplicationAttributes>`
                
                	**presence node**\: True
                
                .. attribute:: application_table
                
                	Application Table Option
                	**type**\:  :py:class:`ApplicationTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.ApplicationTable>`
                
                	**presence node**\: True
                
                .. attribute:: c3pl_class_table
                
                	C3PL class cce\-id table
                	**type**\:  :py:class:`C3PlClassTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.C3PlClassTable>`
                
                	**presence node**\: True
                
                .. attribute:: c3pl_policy_table
                
                	C3PL policy cce\-id table
                	**type**\:  :py:class:`C3PlPolicyTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.C3PlPolicyTable>`
                
                	**presence node**\: True
                
                .. attribute:: exporter_stats
                
                	Exporter Statistics Option
                	**type**\:  :py:class:`ExporterStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.ExporterStats>`
                
                	**presence node**\: True
                
                .. attribute:: interface_table
                
                	Interface SNMP\-index\-to\-name Table Option
                	**type**\:  :py:class:`InterfaceTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.InterfaceTable>`
                
                	**presence node**\: True
                
                .. attribute:: metadata_version_table
                
                	Metadata Version Table Option
                	**type**\:  :py:class:`MetadataVersionTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.MetadataVersionTable>`
                
                	**presence node**\: True
                
                .. attribute:: sampler_table
                
                	Export Sampler Option
                	**type**\:  :py:class:`SamplerTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.SamplerTable>`
                
                	**presence node**\: True
                
                .. attribute:: sub_application_table
                
                	Sub Application Table Option
                	**type**\:  :py:class:`SubApplicationTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.SubApplicationTable>`
                
                	**presence node**\: True
                
                .. attribute:: vrf_table
                
                	VRF ID\-to\-name Table Option
                	**type**\:  :py:class:`VrfTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Option.VrfTable>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Exporter.Option, self).__init__()

                    self.yang_name = "option"
                    self.yang_parent_name = "exporter"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"application-attributes" : ("application_attributes", Native.Flow.Exporter.Option.ApplicationAttributes), "application-table" : ("application_table", Native.Flow.Exporter.Option.ApplicationTable), "c3pl-class-table" : ("c3pl_class_table", Native.Flow.Exporter.Option.C3PlClassTable), "c3pl-policy-table" : ("c3pl_policy_table", Native.Flow.Exporter.Option.C3PlPolicyTable), "exporter-stats" : ("exporter_stats", Native.Flow.Exporter.Option.ExporterStats), "interface-table" : ("interface_table", Native.Flow.Exporter.Option.InterfaceTable), "metadata-version-table" : ("metadata_version_table", Native.Flow.Exporter.Option.MetadataVersionTable), "sampler-table" : ("sampler_table", Native.Flow.Exporter.Option.SamplerTable), "sub-application-table" : ("sub_application_table", Native.Flow.Exporter.Option.SubApplicationTable), "vrf-table" : ("vrf_table", Native.Flow.Exporter.Option.VrfTable)}
                    self._child_list_classes = {}

                    self.application_attributes = None
                    self._children_name_map["application_attributes"] = "application-attributes"
                    self._children_yang_names.add("application-attributes")

                    self.application_table = None
                    self._children_name_map["application_table"] = "application-table"
                    self._children_yang_names.add("application-table")

                    self.c3pl_class_table = None
                    self._children_name_map["c3pl_class_table"] = "c3pl-class-table"
                    self._children_yang_names.add("c3pl-class-table")

                    self.c3pl_policy_table = None
                    self._children_name_map["c3pl_policy_table"] = "c3pl-policy-table"
                    self._children_yang_names.add("c3pl-policy-table")

                    self.exporter_stats = None
                    self._children_name_map["exporter_stats"] = "exporter-stats"
                    self._children_yang_names.add("exporter-stats")

                    self.interface_table = None
                    self._children_name_map["interface_table"] = "interface-table"
                    self._children_yang_names.add("interface-table")

                    self.metadata_version_table = None
                    self._children_name_map["metadata_version_table"] = "metadata-version-table"
                    self._children_yang_names.add("metadata-version-table")

                    self.sampler_table = None
                    self._children_name_map["sampler_table"] = "sampler-table"
                    self._children_yang_names.add("sampler-table")

                    self.sub_application_table = None
                    self._children_name_map["sub_application_table"] = "sub-application-table"
                    self._children_yang_names.add("sub-application-table")

                    self.vrf_table = None
                    self._children_name_map["vrf_table"] = "vrf-table"
                    self._children_yang_names.add("vrf-table")
                    self._segment_path = lambda: "option"


                class ApplicationAttributes(Entity):
                    """
                    Application Attributes Table Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\: int
                    
                    	**range:** 1..86400
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Option.ApplicationAttributes, self).__init__()

                        self.yang_name = "application-attributes"
                        self.yang_parent_name = "option"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "application-attributes"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Option.ApplicationAttributes, ['timeout'], name, value)


                class ApplicationTable(Entity):
                    """
                    Application Table Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\: int
                    
                    	**range:** 1..86400
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Option.ApplicationTable, self).__init__()

                        self.yang_name = "application-table"
                        self.yang_parent_name = "option"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "application-table"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Option.ApplicationTable, ['timeout'], name, value)


                class C3PlClassTable(Entity):
                    """
                    C3PL class cce\-id table
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\: int
                    
                    	**range:** 1..86400
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Option.C3PlClassTable, self).__init__()

                        self.yang_name = "c3pl-class-table"
                        self.yang_parent_name = "option"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "c3pl-class-table"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Option.C3PlClassTable, ['timeout'], name, value)


                class C3PlPolicyTable(Entity):
                    """
                    C3PL policy cce\-id table
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\: int
                    
                    	**range:** 1..86400
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Option.C3PlPolicyTable, self).__init__()

                        self.yang_name = "c3pl-policy-table"
                        self.yang_parent_name = "option"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "c3pl-policy-table"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Option.C3PlPolicyTable, ['timeout'], name, value)


                class ExporterStats(Entity):
                    """
                    Exporter Statistics Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\: int
                    
                    	**range:** 1..86400
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Option.ExporterStats, self).__init__()

                        self.yang_name = "exporter-stats"
                        self.yang_parent_name = "option"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "exporter-stats"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Option.ExporterStats, ['timeout'], name, value)


                class InterfaceTable(Entity):
                    """
                    Interface SNMP\-index\-to\-name Table Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\: int
                    
                    	**range:** 1..86400
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Option.InterfaceTable, self).__init__()

                        self.yang_name = "interface-table"
                        self.yang_parent_name = "option"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "interface-table"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Option.InterfaceTable, ['timeout'], name, value)


                class MetadataVersionTable(Entity):
                    """
                    Metadata Version Table Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\: int
                    
                    	**range:** 1..86400
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Option.MetadataVersionTable, self).__init__()

                        self.yang_name = "metadata-version-table"
                        self.yang_parent_name = "option"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "metadata-version-table"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Option.MetadataVersionTable, ['timeout'], name, value)


                class SamplerTable(Entity):
                    """
                    Export Sampler Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\: int
                    
                    	**range:** 1..86400
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Option.SamplerTable, self).__init__()

                        self.yang_name = "sampler-table"
                        self.yang_parent_name = "option"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "sampler-table"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Option.SamplerTable, ['timeout'], name, value)


                class SubApplicationTable(Entity):
                    """
                    Sub Application Table Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\: int
                    
                    	**range:** 1..86400
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Option.SubApplicationTable, self).__init__()

                        self.yang_name = "sub-application-table"
                        self.yang_parent_name = "option"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "sub-application-table"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Option.SubApplicationTable, ['timeout'], name, value)


                class VrfTable(Entity):
                    """
                    VRF ID\-to\-name Table Option
                    
                    .. attribute:: timeout
                    
                    	Option resend time
                    	**type**\: int
                    
                    	**range:** 1..86400
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Option.VrfTable, self).__init__()

                        self.yang_name = "vrf-table"
                        self.yang_parent_name = "option"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "vrf-table"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Option.VrfTable, ['timeout'], name, value)


            class OutputFeatures(Entity):
                """
                
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Exporter.OutputFeatures, self).__init__()

                    self.yang_name = "output-features"
                    self.yang_parent_name = "exporter"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True
                    self._segment_path = lambda: "output-features"


            class Source(Entity):
                """
                Originating interface
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Source.ATMSubinterface>`
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\: str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Source.ATMACRsubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\: str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\: str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\: str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\: str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\: str
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Source.LISPSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Source.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\: str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\: str
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\: str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\: str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Exporter.Source, self).__init__()

                    self.yang_name = "source"
                    self.yang_parent_name = "exporter"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Flow.Exporter.Source.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Flow.Exporter.Source.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Flow.Exporter.Source.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Flow.Exporter.Source.PortChannelSubinterface)}
                    self._child_list_classes = {}

                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                    self.atm = YLeaf(YType.str, "ATM")

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                    self.bdi = YLeaf(YType.str, "BDI")

                    self.cem = YLeaf(YType.str, "CEM")

                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                    self.lisp = YLeaf(YType.str, "LISP")

                    self.loopback = YLeaf(YType.uint32, "Loopback")

                    self.multilink = YLeaf(YType.uint16, "Multilink")

                    self.nve = YLeaf(YType.uint16, "nve")

                    self.overlay = YLeaf(YType.uint16, "overlay")

                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                    self.sm = YLeaf(YType.str, "SM")

                    self.cellular = YLeaf(YType.str, "Cellular")

                    self.serial = YLeaf(YType.str, "Serial")

                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                    self.vlan = YLeaf(YType.uint16, "Vlan")

                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                    self.atm_subinterface = Native.Flow.Exporter.Source.ATMSubinterface()
                    self.atm_subinterface.parent = self
                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                    self._children_yang_names.add("ATM-subinterface")

                    self.atm_acrsubinterface = Native.Flow.Exporter.Source.ATMACRsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                    self._children_yang_names.add("ATM-ACRsubinterface")

                    self.lisp_subinterface = Native.Flow.Exporter.Source.LISPSubinterface()
                    self.lisp_subinterface.parent = self
                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                    self._children_yang_names.add("LISP-subinterface")

                    self.port_channel_subinterface = Native.Flow.Exporter.Source.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                    self._children_yang_names.add("Port-channel-subinterface")
                    self._segment_path = lambda: "source"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Flow.Exporter.Source, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                class ATMSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Source.ATMSubinterface, self).__init__()

                        self.yang_name = "ATM-subinterface"
                        self.yang_parent_name = "source"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm = YLeaf(YType.str, "ATM")
                        self._segment_path = lambda: "ATM-subinterface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Source.ATMSubinterface, ['atm'], name, value)


                class ATMACRsubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Source.ATMACRsubinterface, self).__init__()

                        self.yang_name = "ATM-ACRsubinterface"
                        self.yang_parent_name = "source"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                        self._segment_path = lambda: "ATM-ACRsubinterface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Source.ATMACRsubinterface, ['atm_acr'], name, value)


                class LISPSubinterface(Entity):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Source.LISPSubinterface, self).__init__()

                        self.yang_name = "LISP-subinterface"
                        self.yang_parent_name = "source"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.lisp = YLeaf(YType.str, "LISP")
                        self._segment_path = lambda: "LISP-subinterface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Source.LISPSubinterface, ['lisp'], name, value)


                class PortChannelSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Source.PortChannelSubinterface, self).__init__()

                        self.yang_name = "Port-channel-subinterface"
                        self.yang_parent_name = "source"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_channel = YLeaf(YType.str, "Port-channel")
                        self._segment_path = lambda: "Port-channel-subinterface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Source.PortChannelSubinterface, ['port_channel'], name, value)


            class Template(Entity):
                """
                Flow Exporter template configuration
                
                .. attribute:: data
                
                	Flow Exporter data configuration
                	**type**\:  :py:class:`Data <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Template.Data>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Exporter.Template, self).__init__()

                    self.yang_name = "template"
                    self.yang_parent_name = "exporter"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"data" : ("data", Native.Flow.Exporter.Template.Data)}
                    self._child_list_classes = {}

                    self.data = Native.Flow.Exporter.Template.Data()
                    self.data.parent = self
                    self._children_name_map["data"] = "data"
                    self._children_yang_names.add("data")
                    self._segment_path = lambda: "template"


                class Data(Entity):
                    """
                    Flow Exporter data configuration
                    
                    .. attribute:: timeout
                    
                    	Resend data based on a timeout
                    	**type**\: int
                    
                    	**range:** 1..86400
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Template.Data, self).__init__()

                        self.yang_name = "data"
                        self.yang_parent_name = "template"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "data"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Exporter.Template.Data, ['timeout'], name, value)


            class Transport(Entity):
                """
                Transport protocol
                
                .. attribute:: udp
                
                	UDP transport protocol
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Exporter.Transport, self).__init__()

                    self.yang_name = "transport"
                    self.yang_parent_name = "exporter"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.udp = YLeaf(YType.uint16, "udp")
                    self._segment_path = lambda: "transport"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Flow.Exporter.Transport, ['udp'], name, value)


            class Default(Entity):
                """
                Set a command to its defaults
                
                .. attribute:: description
                
                	Provide a description for this Flow Exporter
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dscp
                
                	Optional DSCP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: export_protocol
                
                	Export protocol version
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: option
                
                	Select an option for exporting
                	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option>`
                
                .. attribute:: template
                
                	Flow Exporter template configuration
                	**type**\:  :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Template>`
                
                .. attribute:: transport
                
                	Transport protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ttl
                
                	Optional TTL or hop limit
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Exporter.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "exporter"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"option" : ("option", Native.Flow.Exporter.Default.Option), "template" : ("template", Native.Flow.Exporter.Default.Template)}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.empty, "description")

                    self.dscp = YLeaf(YType.empty, "dscp")

                    self.export_protocol = YLeaf(YType.empty, "export-protocol")

                    self.transport = YLeaf(YType.empty, "transport")

                    self.ttl = YLeaf(YType.empty, "ttl")

                    self.option = Native.Flow.Exporter.Default.Option()
                    self.option.parent = self
                    self._children_name_map["option"] = "option"
                    self._children_yang_names.add("option")

                    self.template = Native.Flow.Exporter.Default.Template()
                    self.template.parent = self
                    self._children_name_map["template"] = "template"
                    self._children_yang_names.add("template")
                    self._segment_path = lambda: "default"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Flow.Exporter.Default, ['description', 'dscp', 'export_protocol', 'transport', 'ttl'], name, value)


                class Option(Entity):
                    """
                    Select an option for exporting
                    
                    .. attribute:: application_attributes
                    
                    	Application Attributes Table Option
                    	**type**\:  :py:class:`ApplicationAttributes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.ApplicationAttributes>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: c3pl_class_table
                    
                    	C3PL class cce\-id table
                    	**type**\:  :py:class:`C3PlClassTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.C3PlClassTable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: c3pl_policy_table
                    
                    	C3PL policy cce\-id table
                    	**type**\:  :py:class:`C3PlPolicyTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.C3PlPolicyTable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: exporter_stats
                    
                    	Exporter Statistics Option
                    	**type**\:  :py:class:`ExporterStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.ExporterStats>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: interface_table
                    
                    	Interface SNMP\-index\-to\-name Table Option
                    	**type**\:  :py:class:`InterfaceTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.InterfaceTable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: metadata_version_table
                    
                    	Metadata Version Table Option
                    	**type**\:  :py:class:`MetadataVersionTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.MetadataVersionTable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: sampler_table
                    
                    	Export Sampler Option
                    	**type**\:  :py:class:`SamplerTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.SamplerTable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: sub_application_table
                    
                    	Sub Application Table Option
                    	**type**\:  :py:class:`SubApplicationTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.SubApplicationTable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vrf_table
                    
                    	VRF ID\-to\-name Table Option
                    	**type**\:  :py:class:`VrfTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Option.VrfTable>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Default.Option, self).__init__()

                        self.yang_name = "option"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"application-attributes" : ("application_attributes", Native.Flow.Exporter.Default.Option.ApplicationAttributes), "c3pl-class-table" : ("c3pl_class_table", Native.Flow.Exporter.Default.Option.C3PlClassTable), "c3pl-policy-table" : ("c3pl_policy_table", Native.Flow.Exporter.Default.Option.C3PlPolicyTable), "exporter-stats" : ("exporter_stats", Native.Flow.Exporter.Default.Option.ExporterStats), "interface-table" : ("interface_table", Native.Flow.Exporter.Default.Option.InterfaceTable), "metadata-version-table" : ("metadata_version_table", Native.Flow.Exporter.Default.Option.MetadataVersionTable), "sampler-table" : ("sampler_table", Native.Flow.Exporter.Default.Option.SamplerTable), "sub-application-table" : ("sub_application_table", Native.Flow.Exporter.Default.Option.SubApplicationTable), "vrf-table" : ("vrf_table", Native.Flow.Exporter.Default.Option.VrfTable)}
                        self._child_list_classes = {}

                        self.application_attributes = None
                        self._children_name_map["application_attributes"] = "application-attributes"
                        self._children_yang_names.add("application-attributes")

                        self.c3pl_class_table = None
                        self._children_name_map["c3pl_class_table"] = "c3pl-class-table"
                        self._children_yang_names.add("c3pl-class-table")

                        self.c3pl_policy_table = None
                        self._children_name_map["c3pl_policy_table"] = "c3pl-policy-table"
                        self._children_yang_names.add("c3pl-policy-table")

                        self.exporter_stats = None
                        self._children_name_map["exporter_stats"] = "exporter-stats"
                        self._children_yang_names.add("exporter-stats")

                        self.interface_table = None
                        self._children_name_map["interface_table"] = "interface-table"
                        self._children_yang_names.add("interface-table")

                        self.metadata_version_table = None
                        self._children_name_map["metadata_version_table"] = "metadata-version-table"
                        self._children_yang_names.add("metadata-version-table")

                        self.sampler_table = None
                        self._children_name_map["sampler_table"] = "sampler-table"
                        self._children_yang_names.add("sampler-table")

                        self.sub_application_table = None
                        self._children_name_map["sub_application_table"] = "sub-application-table"
                        self._children_yang_names.add("sub-application-table")

                        self.vrf_table = None
                        self._children_name_map["vrf_table"] = "vrf-table"
                        self._children_yang_names.add("vrf-table")
                        self._segment_path = lambda: "option"


                    class ApplicationAttributes(Entity):
                        """
                        Application Attributes Table Option
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Exporter.Default.Option.ApplicationAttributes, self).__init__()

                            self.yang_name = "application-attributes"
                            self.yang_parent_name = "option"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "application-attributes"


                    class C3PlClassTable(Entity):
                        """
                        C3PL class cce\-id table
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Exporter.Default.Option.C3PlClassTable, self).__init__()

                            self.yang_name = "c3pl-class-table"
                            self.yang_parent_name = "option"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "c3pl-class-table"


                    class C3PlPolicyTable(Entity):
                        """
                        C3PL policy cce\-id table
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Exporter.Default.Option.C3PlPolicyTable, self).__init__()

                            self.yang_name = "c3pl-policy-table"
                            self.yang_parent_name = "option"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "c3pl-policy-table"


                    class ExporterStats(Entity):
                        """
                        Exporter Statistics Option
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Exporter.Default.Option.ExporterStats, self).__init__()

                            self.yang_name = "exporter-stats"
                            self.yang_parent_name = "option"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "exporter-stats"


                    class InterfaceTable(Entity):
                        """
                        Interface SNMP\-index\-to\-name Table Option
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Exporter.Default.Option.InterfaceTable, self).__init__()

                            self.yang_name = "interface-table"
                            self.yang_parent_name = "option"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "interface-table"


                    class MetadataVersionTable(Entity):
                        """
                        Metadata Version Table Option
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Exporter.Default.Option.MetadataVersionTable, self).__init__()

                            self.yang_name = "metadata-version-table"
                            self.yang_parent_name = "option"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "metadata-version-table"


                    class SamplerTable(Entity):
                        """
                        Export Sampler Option
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Exporter.Default.Option.SamplerTable, self).__init__()

                            self.yang_name = "sampler-table"
                            self.yang_parent_name = "option"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "sampler-table"


                    class SubApplicationTable(Entity):
                        """
                        Sub Application Table Option
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Exporter.Default.Option.SubApplicationTable, self).__init__()

                            self.yang_name = "sub-application-table"
                            self.yang_parent_name = "option"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "sub-application-table"


                    class VrfTable(Entity):
                        """
                        VRF ID\-to\-name Table Option
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Exporter.Default.Option.VrfTable, self).__init__()

                            self.yang_name = "vrf-table"
                            self.yang_parent_name = "option"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "vrf-table"


                class Template(Entity):
                    """
                    Flow Exporter template configuration
                    
                    .. attribute:: data
                    
                    	Flow Exporter data configuration
                    	**type**\:  :py:class:`Data <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Exporter.Default.Template.Data>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Exporter.Default.Template, self).__init__()

                        self.yang_name = "template"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"data" : ("data", Native.Flow.Exporter.Default.Template.Data)}
                        self._child_list_classes = {}

                        self.data = Native.Flow.Exporter.Default.Template.Data()
                        self.data.parent = self
                        self._children_name_map["data"] = "data"
                        self._children_yang_names.add("data")
                        self._segment_path = lambda: "template"


                    class Data(Entity):
                        """
                        Flow Exporter data configuration
                        
                        .. attribute:: timeout
                        
                        	Resend data based on a timeout
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Exporter.Default.Template.Data, self).__init__()

                            self.yang_name = "data"
                            self.yang_parent_name = "template"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.timeout = YLeaf(YType.empty, "timeout")
                            self._segment_path = lambda: "data"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Exporter.Default.Template.Data, ['timeout'], name, value)


        class Monitor(Entity):
            """
            Define a Flow Monitor
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: type
            
            	Type of the Flow Record
            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Type>`
            
            .. attribute:: cache
            
            	Monitor cache entries
            	**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Cache>`
            
            .. attribute:: description
            
            	Provide a description for this Flow Monitor
            	**type**\: str
            
            .. attribute:: exporter
            
            	Add an Exporter to use to export records
            	**type**\: list of  		 :py:class:`Exporter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Exporter>`
            
            .. attribute:: history
            
            	Monitor history intervals
            	**type**\:  :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.History>`
            
            .. attribute:: record
            
            	Specify Flow Record to use to define Cache
            	**type**\:  :py:class:`Record <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record>`
            
            .. attribute:: statistics
            
            	Collect statistics
            	**type**\:  :py:class:`Statistics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Statistics>`
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Default>`
            
            

            """

            _prefix = 'ios-flow'
            _revision = '2017-04-19'

            def __init__(self):
                super(Native.Flow.Monitor, self).__init__()

                self.yang_name = "monitor"
                self.yang_parent_name = "flow"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"cache" : ("cache", Native.Flow.Monitor.Cache), "history" : ("history", Native.Flow.Monitor.History), "record" : ("record", Native.Flow.Monitor.Record), "statistics" : ("statistics", Native.Flow.Monitor.Statistics), "default" : ("default", Native.Flow.Monitor.Default)}
                self._child_list_classes = {"exporter" : ("exporter", Native.Flow.Monitor.Exporter)}

                self.name = YLeaf(YType.str, "name")

                self.type = YLeaf(YType.enumeration, "type")

                self.description = YLeaf(YType.str, "description")

                self.cache = Native.Flow.Monitor.Cache()
                self.cache.parent = self
                self._children_name_map["cache"] = "cache"
                self._children_yang_names.add("cache")

                self.history = Native.Flow.Monitor.History()
                self.history.parent = self
                self._children_name_map["history"] = "history"
                self._children_yang_names.add("history")

                self.record = Native.Flow.Monitor.Record()
                self.record.parent = self
                self._children_name_map["record"] = "record"
                self._children_yang_names.add("record")

                self.statistics = Native.Flow.Monitor.Statistics()
                self.statistics.parent = self
                self._children_name_map["statistics"] = "statistics"
                self._children_yang_names.add("statistics")

                self.default = Native.Flow.Monitor.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.exporter = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-flow:monitor" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/flow/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Flow.Monitor, ['name', 'type', 'description'], name, value)

            class Type(Enum):
                """
                Type

                Type of the Flow Record

                .. data:: performance_monitor = 0

                """

                performance_monitor = Enum.YLeaf(0, "performance-monitor")



            class Cache(Entity):
                """
                Monitor cache entries
                
                .. attribute:: entries
                
                	Number of cache entries
                	**type**\: int
                
                	**range:** 16..2000000
                
                .. attribute:: timeout
                
                	Cache timeout
                	**type**\:  :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Cache.Timeout>`
                
                .. attribute:: type
                
                	Cache type
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Cache.Type>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Monitor.Cache, self).__init__()

                    self.yang_name = "cache"
                    self.yang_parent_name = "monitor"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"timeout" : ("timeout", Native.Flow.Monitor.Cache.Timeout)}
                    self._child_list_classes = {}

                    self.entries = YLeaf(YType.uint32, "entries")

                    self.type = YLeaf(YType.enumeration, "type")

                    self.timeout = Native.Flow.Monitor.Cache.Timeout()
                    self.timeout.parent = self
                    self._children_name_map["timeout"] = "timeout"
                    self._children_yang_names.add("timeout")
                    self._segment_path = lambda: "cache"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Flow.Monitor.Cache, ['entries', 'type'], name, value)

                class Type(Enum):
                    """
                    Type

                    Cache type

                    .. data:: immediate = 0

                    .. data:: normal = 1

                    .. data:: permanent = 2

                    .. data:: synchronized = 3

                    """

                    immediate = Enum.YLeaf(0, "immediate")

                    normal = Enum.YLeaf(1, "normal")

                    permanent = Enum.YLeaf(2, "permanent")

                    synchronized = Enum.YLeaf(3, "synchronized")



                class Timeout(Entity):
                    """
                    Cache timeout
                    
                    .. attribute:: active
                    
                    	Active timeout
                    	**type**\: int
                    
                    	**range:** 1..604800
                    
                    .. attribute:: event
                    
                    	Timeout event
                    	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Cache.Timeout.Event>`
                    
                    .. attribute:: inactive
                    
                    	Inactive timeout
                    	**type**\: int
                    
                    	**range:** 1..604800
                    
                    .. attribute:: synchronized
                    
                    	Synchronized timeout
                    	**type**\: int
                    
                    	**range:** 1..300
                    
                    .. attribute:: update
                    
                    	Update timeout
                    	**type**\: int
                    
                    	**range:** 1..604800
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Monitor.Cache.Timeout, self).__init__()

                        self.yang_name = "timeout"
                        self.yang_parent_name = "cache"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"event" : ("event", Native.Flow.Monitor.Cache.Timeout.Event)}
                        self._child_list_classes = {}

                        self.active = YLeaf(YType.uint32, "active")

                        self.inactive = YLeaf(YType.uint32, "inactive")

                        self.synchronized = YLeaf(YType.uint16, "synchronized")

                        self.update = YLeaf(YType.uint32, "update")

                        self.event = Native.Flow.Monitor.Cache.Timeout.Event()
                        self.event.parent = self
                        self._children_name_map["event"] = "event"
                        self._children_yang_names.add("event")
                        self._segment_path = lambda: "timeout"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Monitor.Cache.Timeout, ['active', 'inactive', 'synchronized', 'update'], name, value)


                    class Event(Entity):
                        """
                        Timeout event
                        
                        .. attribute:: transaction_end
                        
                        	Transaction\-end event
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Monitor.Cache.Timeout.Event, self).__init__()

                            self.yang_name = "event"
                            self.yang_parent_name = "timeout"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.transaction_end = YLeaf(YType.empty, "transaction-end")
                            self._segment_path = lambda: "event"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Monitor.Cache.Timeout.Event, ['transaction_end'], name, value)


            class Exporter(Entity):
                """
                Add an Exporter to use to export records
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Monitor.Exporter, self).__init__()

                    self.yang_name = "exporter"
                    self.yang_parent_name = "monitor"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")
                    self._segment_path = lambda: "exporter" + "[name='" + self.name.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Flow.Monitor.Exporter, ['name'], name, value)


            class History(Entity):
                """
                Monitor history intervals
                
                .. attribute:: size
                
                	History size
                	**type**\: int
                
                	**range:** 0..60
                
                .. attribute:: timeout
                
                	Specify timeout interval
                	**type**\: int
                
                	**range:** 1..30
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Monitor.History, self).__init__()

                    self.yang_name = "history"
                    self.yang_parent_name = "monitor"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.size = YLeaf(YType.uint8, "size")

                    self.timeout = YLeaf(YType.uint8, "timeout")
                    self._segment_path = lambda: "history"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Flow.Monitor.History, ['size', 'timeout'], name, value)


            class Record(Entity):
                """
                Specify Flow Record to use to define Cache
                
                .. attribute:: type
                
                	
                	**type**\: union of the below types:
                
                		**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Type>`
                
                		**type**\: str
                
                .. attribute:: netflow
                
                	Traditional NetFlow collection schemes
                	**type**\:  :py:class:`Netflow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Monitor.Record, self).__init__()

                    self.yang_name = "record"
                    self.yang_parent_name = "monitor"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"netflow" : ("netflow", Native.Flow.Monitor.Record.Netflow)}
                    self._child_list_classes = {}

                    self.type = YLeaf(YType.str, "type")

                    self.netflow = Native.Flow.Monitor.Record.Netflow()
                    self.netflow.parent = self
                    self._children_name_map["netflow"] = "netflow"
                    self._children_yang_names.add("netflow")
                    self._segment_path = lambda: "record"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Flow.Monitor.Record, ['type'], name, value)

                class Type(Enum):
                    """
                    Type

                    .. data:: default_rtp = 0

                    .. data:: default_tcp = 1

                    .. data:: netflow_original = 2

                    """

                    default_rtp = Enum.YLeaf(0, "default-rtp")

                    default_tcp = Enum.YLeaf(1, "default-tcp")

                    netflow_original = Enum.YLeaf(2, "netflow-original")



                class Netflow(Entity):
                    """
                    Traditional NetFlow collection schemes
                    
                    .. attribute:: ipv4
                    
                    	Traditional IPv4 NetFlow collection schemes
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Traditional IPv6 NetFlow collection schemes
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Monitor.Record.Netflow, self).__init__()

                        self.yang_name = "netflow"
                        self.yang_parent_name = "record"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipv4" : ("ipv4", Native.Flow.Monitor.Record.Netflow.Ipv4), "ipv6" : ("ipv6", Native.Flow.Monitor.Record.Netflow.Ipv6)}
                        self._child_list_classes = {}

                        self.ipv4 = Native.Flow.Monitor.Record.Netflow.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = Native.Flow.Monitor.Record.Netflow.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")
                        self._segment_path = lambda: "netflow"


                    class Ipv4(Entity):
                        """
                        Traditional IPv4 NetFlow collection schemes
                        
                        .. attribute:: as_
                        
                        	AS aggregation schemes
                        	**type**\:  :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.As_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: destination_prefix
                        
                        	Destination Prefix aggregation schemes
                        	**type**\:  :py:class:`DestinationPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefix>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: original_input
                        
                        	Traditional IPv6 input NetFlow with ASs
                        	**type**\:  :py:class:`OriginalInput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalInput>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: original_output
                        
                        	Traditional IPv6 output NetFlow with ASs
                        	**type**\:  :py:class:`OriginalOutput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalOutput>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	Source and Destination Prefixes aggregation schemes
                        	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.Prefix>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: protocol_port
                        
                        	Protocol and Ports aggregation scheme
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_prefix
                        
                        	Source AS and Prefix aggregation schemes
                        	**type**\:  :py:class:`SourcePrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefix>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: as_tos
                        
                        	AS and TOS aggregation schemes
                        	**type**\:  :py:class:`AsTos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.AsTos>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bgp_nexthop_tos
                        
                        	BGP next\-hop and TOS aggregation schemes
                        	**type**\:  :py:class:`BgpNexthopTos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.BgpNexthopTos>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: destination_prefix_tos
                        
                        	Destination Prefix and TOS  aggregation schemes
                        	**type**\:  :py:class:`DestinationPrefixTos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefixTos>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix_port
                        
                        	Prefixes and Ports aggregation scheme
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix_tos
                        
                        	Prefixes and TOS aggregation schemes
                        	**type**\:  :py:class:`PrefixTos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.PrefixTos>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: protocol_port_tos
                        
                        	Protocol, Ports and TOS aggregation scheme
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_prefix_tos
                        
                        	Source Prefix and TOS aggregation schemes
                        	**type**\:  :py:class:`SourcePrefixTos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefixTos>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Monitor.Record.Netflow.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "netflow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"as" : ("as_", Native.Flow.Monitor.Record.Netflow.Ipv4.As_), "destination-prefix" : ("destination_prefix", Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefix), "original-input" : ("original_input", Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalInput), "original-output" : ("original_output", Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalOutput), "prefix" : ("prefix", Native.Flow.Monitor.Record.Netflow.Ipv4.Prefix), "source-prefix" : ("source_prefix", Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefix), "as-tos" : ("as_tos", Native.Flow.Monitor.Record.Netflow.Ipv4.AsTos), "bgp-nexthop-tos" : ("bgp_nexthop_tos", Native.Flow.Monitor.Record.Netflow.Ipv4.BgpNexthopTos), "destination-prefix-tos" : ("destination_prefix_tos", Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefixTos), "prefix-tos" : ("prefix_tos", Native.Flow.Monitor.Record.Netflow.Ipv4.PrefixTos), "source-prefix-tos" : ("source_prefix_tos", Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefixTos)}
                            self._child_list_classes = {}

                            self.protocol_port = YLeaf(YType.empty, "protocol-port")

                            self.prefix_port = YLeaf(YType.empty, "prefix-port")

                            self.protocol_port_tos = YLeaf(YType.empty, "protocol-port-tos")

                            self.as_ = None
                            self._children_name_map["as_"] = "as"
                            self._children_yang_names.add("as")

                            self.destination_prefix = None
                            self._children_name_map["destination_prefix"] = "destination-prefix"
                            self._children_yang_names.add("destination-prefix")

                            self.original_input = None
                            self._children_name_map["original_input"] = "original-input"
                            self._children_yang_names.add("original-input")

                            self.original_output = None
                            self._children_name_map["original_output"] = "original-output"
                            self._children_yang_names.add("original-output")

                            self.prefix = None
                            self._children_name_map["prefix"] = "prefix"
                            self._children_yang_names.add("prefix")

                            self.source_prefix = None
                            self._children_name_map["source_prefix"] = "source-prefix"
                            self._children_yang_names.add("source-prefix")

                            self.as_tos = None
                            self._children_name_map["as_tos"] = "as-tos"
                            self._children_yang_names.add("as-tos")

                            self.bgp_nexthop_tos = None
                            self._children_name_map["bgp_nexthop_tos"] = "bgp-nexthop-tos"
                            self._children_yang_names.add("bgp-nexthop-tos")

                            self.destination_prefix_tos = None
                            self._children_name_map["destination_prefix_tos"] = "destination-prefix-tos"
                            self._children_yang_names.add("destination-prefix-tos")

                            self.prefix_tos = None
                            self._children_name_map["prefix_tos"] = "prefix-tos"
                            self._children_yang_names.add("prefix-tos")

                            self.source_prefix_tos = None
                            self._children_name_map["source_prefix_tos"] = "source-prefix-tos"
                            self._children_yang_names.add("source-prefix-tos")
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv4, ['protocol_port', 'prefix_port', 'protocol_port_tos'], name, value)


                        class As_(Entity):
                            """
                            AS aggregation schemes
                            
                            .. attribute:: peer
                            
                            	AS aggregation scheme with peer ASs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv4.As_, self).__init__()

                                self.yang_name = "as"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "as"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv4.As_, ['peer'], name, value)


                        class DestinationPrefix(Entity):
                            """
                            Destination Prefix aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Destination Prefix aggregation scheme with peer AS
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefix, self).__init__()

                                self.yang_name = "destination-prefix"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "destination-prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefix, ['peer'], name, value)


                        class OriginalInput(Entity):
                            """
                            Traditional IPv6 input NetFlow with ASs
                            
                            .. attribute:: peer
                            
                            	Traditional IPv6 input NetFlow with peer ASs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalInput, self).__init__()

                                self.yang_name = "original-input"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "original-input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalInput, ['peer'], name, value)


                        class OriginalOutput(Entity):
                            """
                            Traditional IPv6 output NetFlow with ASs
                            
                            .. attribute:: peer
                            
                            	Traditional IPv6 output NetFlow with peer ASs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalOutput, self).__init__()

                                self.yang_name = "original-output"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "original-output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv4.OriginalOutput, ['peer'], name, value)


                        class Prefix(Entity):
                            """
                            Source and Destination Prefixes aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Source and Destination Prefixes aggregation scheme with peer ASs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv4.Prefix, self).__init__()

                                self.yang_name = "prefix"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv4.Prefix, ['peer'], name, value)


                        class SourcePrefix(Entity):
                            """
                            Source AS and Prefix aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Source AS and Prefix aggregation scheme with peer AS
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefix, self).__init__()

                                self.yang_name = "source-prefix"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "source-prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefix, ['peer'], name, value)


                        class AsTos(Entity):
                            """
                            AS and TOS aggregation schemes
                            
                            .. attribute:: peer
                            
                            	AS and TOS aggregation scheme with peer ASs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv4.AsTos, self).__init__()

                                self.yang_name = "as-tos"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "as-tos"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv4.AsTos, ['peer'], name, value)


                        class BgpNexthopTos(Entity):
                            """
                            BGP next\-hop and TOS aggregation schemes
                            
                            .. attribute:: peer
                            
                            	BGP next\-hop and TOS aggregation scheme with peer ASs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv4.BgpNexthopTos, self).__init__()

                                self.yang_name = "bgp-nexthop-tos"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "bgp-nexthop-tos"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv4.BgpNexthopTos, ['peer'], name, value)


                        class DestinationPrefixTos(Entity):
                            """
                            Destination Prefix and TOS  aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Destination Prefix and TOS aggregation scheme with peer AS
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefixTos, self).__init__()

                                self.yang_name = "destination-prefix-tos"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "destination-prefix-tos"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv4.DestinationPrefixTos, ['peer'], name, value)


                        class PrefixTos(Entity):
                            """
                            Prefixes and TOS aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Prefixes and TOS aggregation scheme with peer ASs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv4.PrefixTos, self).__init__()

                                self.yang_name = "prefix-tos"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "prefix-tos"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv4.PrefixTos, ['peer'], name, value)


                        class SourcePrefixTos(Entity):
                            """
                            Source Prefix and TOS aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Source Prefix and TOS aggregation scheme with peer AS
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefixTos, self).__init__()

                                self.yang_name = "source-prefix-tos"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "source-prefix-tos"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv4.SourcePrefixTos, ['peer'], name, value)


                    class Ipv6(Entity):
                        """
                        Traditional IPv6 NetFlow collection schemes
                        
                        .. attribute:: as_
                        
                        	AS aggregation schemes
                        	**type**\:  :py:class:`As_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.As_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: destination_prefix
                        
                        	Destination Prefix aggregation schemes
                        	**type**\:  :py:class:`DestinationPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.DestinationPrefix>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: original_input
                        
                        	Traditional IPv6 input NetFlow with ASs
                        	**type**\:  :py:class:`OriginalInput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalInput>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: original_output
                        
                        	Traditional IPv6 output NetFlow with ASs
                        	**type**\:  :py:class:`OriginalOutput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalOutput>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix
                        
                        	Source and Destination Prefixes aggregation schemes
                        	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.Prefix>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: protocol_port
                        
                        	Protocol and Ports aggregation scheme
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: source_prefix
                        
                        	Source AS and Prefix aggregation schemes
                        	**type**\:  :py:class:`SourcePrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.SourcePrefix>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bgp_nexthop
                        
                        	BGP next\-hop aggregation schemes
                        	**type**\:  :py:class:`BgpNexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Record.Netflow.Ipv6.BgpNexthop>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Monitor.Record.Netflow.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "netflow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"as" : ("as_", Native.Flow.Monitor.Record.Netflow.Ipv6.As_), "destination-prefix" : ("destination_prefix", Native.Flow.Monitor.Record.Netflow.Ipv6.DestinationPrefix), "original-input" : ("original_input", Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalInput), "original-output" : ("original_output", Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalOutput), "prefix" : ("prefix", Native.Flow.Monitor.Record.Netflow.Ipv6.Prefix), "source-prefix" : ("source_prefix", Native.Flow.Monitor.Record.Netflow.Ipv6.SourcePrefix), "bgp-nexthop" : ("bgp_nexthop", Native.Flow.Monitor.Record.Netflow.Ipv6.BgpNexthop)}
                            self._child_list_classes = {}

                            self.protocol_port = YLeaf(YType.empty, "protocol-port")

                            self.as_ = None
                            self._children_name_map["as_"] = "as"
                            self._children_yang_names.add("as")

                            self.destination_prefix = None
                            self._children_name_map["destination_prefix"] = "destination-prefix"
                            self._children_yang_names.add("destination-prefix")

                            self.original_input = None
                            self._children_name_map["original_input"] = "original-input"
                            self._children_yang_names.add("original-input")

                            self.original_output = None
                            self._children_name_map["original_output"] = "original-output"
                            self._children_yang_names.add("original-output")

                            self.prefix = None
                            self._children_name_map["prefix"] = "prefix"
                            self._children_yang_names.add("prefix")

                            self.source_prefix = None
                            self._children_name_map["source_prefix"] = "source-prefix"
                            self._children_yang_names.add("source-prefix")

                            self.bgp_nexthop = None
                            self._children_name_map["bgp_nexthop"] = "bgp-nexthop"
                            self._children_yang_names.add("bgp-nexthop")
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv6, ['protocol_port'], name, value)


                        class As_(Entity):
                            """
                            AS aggregation schemes
                            
                            .. attribute:: peer
                            
                            	AS aggregation scheme with peer ASs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv6.As_, self).__init__()

                                self.yang_name = "as"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "as"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv6.As_, ['peer'], name, value)


                        class DestinationPrefix(Entity):
                            """
                            Destination Prefix aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Destination Prefix aggregation scheme with peer AS
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv6.DestinationPrefix, self).__init__()

                                self.yang_name = "destination-prefix"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "destination-prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv6.DestinationPrefix, ['peer'], name, value)


                        class OriginalInput(Entity):
                            """
                            Traditional IPv6 input NetFlow with ASs
                            
                            .. attribute:: peer
                            
                            	Traditional IPv6 input NetFlow with peer ASs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalInput, self).__init__()

                                self.yang_name = "original-input"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "original-input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalInput, ['peer'], name, value)


                        class OriginalOutput(Entity):
                            """
                            Traditional IPv6 output NetFlow with ASs
                            
                            .. attribute:: peer
                            
                            	Traditional IPv6 output NetFlow with peer ASs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalOutput, self).__init__()

                                self.yang_name = "original-output"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "original-output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv6.OriginalOutput, ['peer'], name, value)


                        class Prefix(Entity):
                            """
                            Source and Destination Prefixes aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Source and Destination Prefixes aggregation scheme with peer ASs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv6.Prefix, self).__init__()

                                self.yang_name = "prefix"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv6.Prefix, ['peer'], name, value)


                        class SourcePrefix(Entity):
                            """
                            Source AS and Prefix aggregation schemes
                            
                            .. attribute:: peer
                            
                            	Source AS and Prefix aggregation scheme with peer AS
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv6.SourcePrefix, self).__init__()

                                self.yang_name = "source-prefix"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "source-prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv6.SourcePrefix, ['peer'], name, value)


                        class BgpNexthop(Entity):
                            """
                            BGP next\-hop aggregation schemes
                            
                            .. attribute:: peer
                            
                            	BGP next\-hop aggregation scheme with peer ASs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Record.Netflow.Ipv6.BgpNexthop, self).__init__()

                                self.yang_name = "bgp-nexthop"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer = YLeaf(YType.empty, "peer")
                                self._segment_path = lambda: "bgp-nexthop"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Record.Netflow.Ipv6.BgpNexthop, ['peer'], name, value)


            class Statistics(Entity):
                """
                Collect statistics
                
                .. attribute:: packet
                
                	Collect packet statistics
                	**type**\:  :py:class:`Packet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Statistics.Packet>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Monitor.Statistics, self).__init__()

                    self.yang_name = "statistics"
                    self.yang_parent_name = "monitor"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"packet" : ("packet", Native.Flow.Monitor.Statistics.Packet)}
                    self._child_list_classes = {}

                    self.packet = Native.Flow.Monitor.Statistics.Packet()
                    self.packet.parent = self
                    self._children_name_map["packet"] = "packet"
                    self._children_yang_names.add("packet")
                    self._segment_path = lambda: "statistics"


                class Packet(Entity):
                    """
                    Collect packet statistics
                    
                    .. attribute:: protocol
                    
                    	Collect packet protocol distribution statistics
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: size
                    
                    	Collect packet size distribution statistics
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Monitor.Statistics.Packet, self).__init__()

                        self.yang_name = "packet"
                        self.yang_parent_name = "statistics"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.protocol = YLeaf(YType.empty, "protocol")

                        self.size = YLeaf(YType.empty, "size")
                        self._segment_path = lambda: "packet"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Monitor.Statistics.Packet, ['protocol', 'size'], name, value)


            class Default(Entity):
                """
                Set a command to its defaults
                
                .. attribute:: cache
                
                	Monitor cache entries
                	**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Default.Cache>`
                
                .. attribute:: description
                
                	Provide a description for this Flow Monitor
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: exporter
                
                	Add an Exporter to use to export records
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: record
                
                	Specify Flow Record to use to define Cache
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: statistics
                
                	Collect statistics
                	**type**\:  :py:class:`Statistics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Default.Statistics>`
                
                

                """

                _prefix = 'ios-flow'
                _revision = '2017-04-19'

                def __init__(self):
                    super(Native.Flow.Monitor.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "monitor"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cache" : ("cache", Native.Flow.Monitor.Default.Cache), "statistics" : ("statistics", Native.Flow.Monitor.Default.Statistics)}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.empty, "description")

                    self.exporter = YLeaf(YType.empty, "exporter")

                    self.record = YLeaf(YType.empty, "record")

                    self.cache = Native.Flow.Monitor.Default.Cache()
                    self.cache.parent = self
                    self._children_name_map["cache"] = "cache"
                    self._children_yang_names.add("cache")

                    self.statistics = Native.Flow.Monitor.Default.Statistics()
                    self.statistics.parent = self
                    self._children_name_map["statistics"] = "statistics"
                    self._children_yang_names.add("statistics")
                    self._segment_path = lambda: "default"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Flow.Monitor.Default, ['description', 'exporter', 'record'], name, value)


                class Cache(Entity):
                    """
                    Monitor cache entries
                    
                    .. attribute:: entries
                    
                    	Maximum flow entries in the Flow Cache
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: timeout
                    
                    	Configure flow cache timeout parameters
                    	**type**\:  :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Default.Cache.Timeout>`
                    
                    .. attribute:: type
                    
                    	Set the type of the Flow Cache
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Monitor.Default.Cache, self).__init__()

                        self.yang_name = "cache"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"timeout" : ("timeout", Native.Flow.Monitor.Default.Cache.Timeout)}
                        self._child_list_classes = {}

                        self.entries = YLeaf(YType.empty, "entries")

                        self.type = YLeaf(YType.empty, "type")

                        self.timeout = Native.Flow.Monitor.Default.Cache.Timeout()
                        self.timeout.parent = self
                        self._children_name_map["timeout"] = "timeout"
                        self._children_yang_names.add("timeout")
                        self._segment_path = lambda: "cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Flow.Monitor.Default.Cache, ['entries', 'type'], name, value)


                    class Timeout(Entity):
                        """
                        Configure flow cache timeout parameters
                        
                        .. attribute:: active
                        
                        	Specify the active flow timeout
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: event
                        
                        	Event\-based export
                        	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Default.Cache.Timeout.Event>`
                        
                        .. attribute:: inactive
                        
                        	Specify the inactive flow timeout
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: synchronized
                        
                        	Specify the timeout for a synchronized Flow Cache
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: update
                        
                        	Specify the update timeout for a permanent Flow Cache
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Monitor.Default.Cache.Timeout, self).__init__()

                            self.yang_name = "timeout"
                            self.yang_parent_name = "cache"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"event" : ("event", Native.Flow.Monitor.Default.Cache.Timeout.Event)}
                            self._child_list_classes = {}

                            self.active = YLeaf(YType.empty, "active")

                            self.inactive = YLeaf(YType.empty, "inactive")

                            self.synchronized = YLeaf(YType.empty, "synchronized")

                            self.update = YLeaf(YType.empty, "update")

                            self.event = Native.Flow.Monitor.Default.Cache.Timeout.Event()
                            self.event.parent = self
                            self._children_name_map["event"] = "event"
                            self._children_yang_names.add("event")
                            self._segment_path = lambda: "timeout"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Monitor.Default.Cache.Timeout, ['active', 'inactive', 'synchronized', 'update'], name, value)


                        class Event(Entity):
                            """
                            Event\-based export
                            
                            .. attribute:: transaction_end
                            
                            	Export on transaction end event
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Flow.Monitor.Default.Cache.Timeout.Event, self).__init__()

                                self.yang_name = "event"
                                self.yang_parent_name = "timeout"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.transaction_end = YLeaf(YType.empty, "transaction-end")
                                self._segment_path = lambda: "event"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Flow.Monitor.Default.Cache.Timeout.Event, ['transaction_end'], name, value)


                class Statistics(Entity):
                    """
                    Collect statistics
                    
                    .. attribute:: packet
                    
                    	Collect packet statistics
                    	**type**\:  :py:class:`Packet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Flow.Monitor.Default.Statistics.Packet>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Flow.Monitor.Default.Statistics, self).__init__()

                        self.yang_name = "statistics"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"packet" : ("packet", Native.Flow.Monitor.Default.Statistics.Packet)}
                        self._child_list_classes = {}

                        self.packet = Native.Flow.Monitor.Default.Statistics.Packet()
                        self.packet.parent = self
                        self._children_name_map["packet"] = "packet"
                        self._children_yang_names.add("packet")
                        self._segment_path = lambda: "statistics"


                    class Packet(Entity):
                        """
                        Collect packet statistics
                        
                        .. attribute:: protocol
                        
                        	Collect packet protocol distribution statistics
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: size
                        
                        	Collect packet size distribution statistics
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Flow.Monitor.Default.Statistics.Packet, self).__init__()

                            self.yang_name = "packet"
                            self.yang_parent_name = "statistics"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.protocol = YLeaf(YType.empty, "protocol")

                            self.size = YLeaf(YType.empty, "size")
                            self._segment_path = lambda: "packet"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Flow.Monitor.Default.Statistics.Packet, ['protocol', 'size'], name, value)


    class Ip(Entity):
        """
        Global IP configuration subcommands
        
        .. attribute:: admission
        
        	Network Admission Control (NAC)
        	**type**\:  :py:class:`Admission <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Admission>`
        
        .. attribute:: arp
        
        	IP ARP global configuration
        	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp>`
        
        .. attribute:: domain_list
        
        	Domain name to complete unqualified host names
        	**type**\:  :py:class:`DomainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainList>`
        
        .. attribute:: finger
        
        	finger server
        	**type**\:  :py:class:`Finger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Finger>`
        
        	**presence node**\: True
        
        .. attribute:: rcmd
        
        	Rcmd commands
        	**type**\:  :py:class:`Rcmd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rcmd>`
        
        .. attribute:: subnet_zero
        
        	Allow 'subnet zero' subnets
        	**type**\: bool
        
        .. attribute:: bgp_community
        
        	format for BGP community
        	**type**\:  :py:class:`BgpCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.BgpCommunity>`
        
        .. attribute:: host_routing
        
        	Enable host\-based routing (proxy ARP and redirect)
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: vrf
        
        	Configure an IP VPN Routing/Forwarding instance
        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf>`
        
        .. attribute:: as_path
        
        	BGP autonomous system path filter
        	**type**\:  :py:class:`AsPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AsPath>`
        
        .. attribute:: local
        
        	Specify local options
        	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Local>`
        
        .. attribute:: cef
        
        	Cisco Express Forwarding
        	**type**\:  :py:class:`Cef <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef>`
        
        	**presence node**\: True
        
        .. attribute:: classless
        
        	Follow classless routing forwarding rules
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: domain
        
        	IP DNS Resolver
        	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain>`
        
        .. attribute:: domain_lookup_conf
        
        	
        	**type**\:  :py:class:`DomainLookupConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookupConf>`
        
        .. attribute:: domain_lookup
        
        	Enable IP Domain Name System hostname translation
        	**type**\:  :py:class:`DomainLookup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookup>`
        
        	**presence node**\: True
        
        .. attribute:: domain_name
        
        	Define the default domain name
        	**type**\: str
        
        .. attribute:: dns
        
        	Configure DNS server for a zone
        	**type**\:  :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dns>`
        
        .. attribute:: default_gateway
        
        	Specify default gateway (if not routing IP)
        	**type**\: str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: dhcp
        
        	Configure DHCP server and relay parameters
        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp>`
        
        .. attribute:: forward_protocol
        
        	Controls forwarding of physical and directed IP broadcasts
        	**type**\:  :py:class:`ForwardProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ForwardProtocol>`
        
        .. attribute:: gratuitous_arps_conf
        
        	
        	**type**\:  :py:class:`GratuitousArpsConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.GratuitousArpsConf>`
        
        .. attribute:: ftp
        
        	FTP configuration commands
        	**type**\:  :py:class:`Ftp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp>`
        
        .. attribute:: telnet
        
        	Specify telnet options
        	**type**\:  :py:class:`Telnet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Telnet>`
        
        .. attribute:: host
        
        	Add an entry to the ip hostname table
        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Host>`
        
        .. attribute:: multicast
        
        	Global IP Multicast Commands
        	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Multicast>`
        
        .. attribute:: name_server
        
        	
        	**type**\:  :py:class:`NameServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.NameServer>`
        
        .. attribute:: pim
        
        	PIM global commands
        	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim>`
        
        .. attribute:: prefix_list
        
        	Build a prefix list
        	**type**\:  :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList>`
        
        .. attribute:: route
        
        	Establish static routes
        	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route>`
        
        .. attribute:: routing
        
        	Enable IP routing
        	**type**\:  :py:class:`Routing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Routing>`
        
        	**presence node**\: True
        
        .. attribute:: explicit_path
        
        	Configure explicit\-path
        	**type**\:  :py:class:`ExplicitPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExplicitPath>`
        
        .. attribute:: scp
        
        	Scp commands
        	**type**\:  :py:class:`Scp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Scp>`
        
        .. attribute:: spd
        
        	spd
        	**type**\:  :py:class:`Spd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Spd>`
        
        .. attribute:: bootp
        
        	Config BOOTP services
        	**type**\:  :py:class:`Bootp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Bootp>`
        
        .. attribute:: source_route
        
        	Process packets with source routing header options
        	**type**\: bool
        
        .. attribute:: ssh
        
        	Configure ssh options
        	**type**\:  :py:class:`Ssh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh>`
        
        .. attribute:: tcp
        
        	Global TCP parameters
        	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tcp>`
        
        .. attribute:: tftp
        
        	tftp configuration commands
        	**type**\:  :py:class:`Tftp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp>`
        
        .. attribute:: access_list
        
        	IOS Named access list
        	**type**\:  :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList>`
        
        .. attribute:: device
        
        	Device tracking
        	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Device>`
        
        .. attribute:: radius
        
        	RADIUS configuration commands
        	**type**\:  :py:class:`Radius <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Radius>`
        
        .. attribute:: tacacs
        
        	TACACS configuration commands
        	**type**\:  :py:class:`Tacacs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tacacs>`
        
        .. attribute:: community_list
        
        	Add a community list entry
        	**type**\:  :py:class:`CommunityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList>`
        
        .. attribute:: extcommunity_list
        
        	Extended a community list entry
        	**type**\:  :py:class:`ExtcommunityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList>`
        
        .. attribute:: http
        
        	HTTP server configuration
        	**type**\:  :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Http>`
        
        .. attribute:: icmp
        
        	ICMP options
        	**type**\:  :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Icmp>`
        
        .. attribute:: igmp
        
        	IGMP global configuration
        	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp>`
        
        .. attribute:: msdp
        
        	MSDP global commands
        	**type**\:  :py:class:`Msdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp>`
        
        .. attribute:: mcr_conf
        
        	
        	**type**\:  :py:class:`McrConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.McrConf>`
        
        .. attribute:: multicast_routing
        
        	Enable IP multicast forwarding
        	**type**\:  :py:class:`MulticastRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.MulticastRouting>`
        
        	**presence node**\: True
        
        .. attribute:: mroute
        
        	Configure static multicast routes
        	**type**\:  :py:class:`Mroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Mroute>`
        
        .. attribute:: nat
        
        	NAT configuration commands
        	**type**\:  :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat>`
        
        .. attribute:: nbar
        
        	NBAR \- Network Based Application Recognition
        	**type**\:  :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar>`
        
        .. attribute:: rsvp
        
        	IP RSVP
        	**type**\:  :py:class:`Rsvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp>`
        
        .. attribute:: sla
        
        	IP Service Level Agreement
        	**type**\:  :py:class:`Sla <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla>`
        
        .. attribute:: wccp
        
        	Web\-Cache Coordination Protocol IPv4 Commands
        	**type**\:  :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Ip, self).__init__()

            self.yang_name = "ip"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"admission" : ("admission", Native.Ip.Admission), "arp" : ("arp", Native.Ip.Arp), "domain-list" : ("domain_list", Native.Ip.DomainList), "finger" : ("finger", Native.Ip.Finger), "rcmd" : ("rcmd", Native.Ip.Rcmd), "bgp-community" : ("bgp_community", Native.Ip.BgpCommunity), "as-path" : ("as_path", Native.Ip.AsPath), "local" : ("local", Native.Ip.Local), "cef" : ("cef", Native.Ip.Cef), "domain" : ("domain", Native.Ip.Domain), "domain-lookup-conf" : ("domain_lookup_conf", Native.Ip.DomainLookupConf), "domain-lookup" : ("domain_lookup", Native.Ip.DomainLookup), "dns" : ("dns", Native.Ip.Dns), "dhcp" : ("dhcp", Native.Ip.Dhcp), "forward-protocol" : ("forward_protocol", Native.Ip.ForwardProtocol), "gratuitous-arps-conf" : ("gratuitous_arps_conf", Native.Ip.GratuitousArpsConf), "ftp" : ("ftp", Native.Ip.Ftp), "telnet" : ("telnet", Native.Ip.Telnet), "host" : ("host", Native.Ip.Host), "multicast" : ("multicast", Native.Ip.Multicast), "name-server" : ("name_server", Native.Ip.NameServer), "pim" : ("pim", Native.Ip.Pim), "prefix-list" : ("prefix_list", Native.Ip.PrefixList), "route" : ("route", Native.Ip.Route), "routing" : ("routing", Native.Ip.Routing), "explicit-path" : ("explicit_path", Native.Ip.ExplicitPath), "scp" : ("scp", Native.Ip.Scp), "spd" : ("spd", Native.Ip.Spd), "bootp" : ("bootp", Native.Ip.Bootp), "ssh" : ("ssh", Native.Ip.Ssh), "tcp" : ("tcp", Native.Ip.Tcp), "tftp" : ("tftp", Native.Ip.Tftp), "access-list" : ("access_list", Native.Ip.AccessList), "device" : ("device", Native.Ip.Device), "Cisco-IOS-XE-aaa:radius" : ("radius", Native.Ip.Radius), "Cisco-IOS-XE-aaa:tacacs" : ("tacacs", Native.Ip.Tacacs), "Cisco-IOS-XE-bgp:community-list" : ("community_list", Native.Ip.CommunityList), "Cisco-IOS-XE-bgp:extcommunity-list" : ("extcommunity_list", Native.Ip.ExtcommunityList), "Cisco-IOS-XE-http:http" : ("http", Native.Ip.Http), "Cisco-IOS-XE-icmp:icmp" : ("icmp", Native.Ip.Icmp), "Cisco-IOS-XE-igmp:igmp" : ("igmp", Native.Ip.Igmp), "Cisco-IOS-XE-multicast:msdp" : ("msdp", Native.Ip.Msdp), "Cisco-IOS-XE-multicast:mcr-conf" : ("mcr_conf", Native.Ip.McrConf), "Cisco-IOS-XE-multicast:multicast-routing" : ("multicast_routing", Native.Ip.MulticastRouting), "Cisco-IOS-XE-multicast:mroute" : ("mroute", Native.Ip.Mroute), "Cisco-IOS-XE-nat:nat" : ("nat", Native.Ip.Nat), "Cisco-IOS-XE-nbar:nbar" : ("nbar", Native.Ip.Nbar), "Cisco-IOS-XE-rsvp:rsvp" : ("rsvp", Native.Ip.Rsvp), "Cisco-IOS-XE-sla:sla" : ("sla", Native.Ip.Sla), "Cisco-IOS-XE-wccp:wccp" : ("wccp", Native.Ip.Wccp)}
            self._child_list_classes = {"vrf" : ("vrf", Native.Ip.Vrf)}

            self.subnet_zero = YLeaf(YType.boolean, "subnet-zero")

            self.host_routing = YLeaf(YType.empty, "host-routing")

            self.classless = YLeaf(YType.empty, "classless")

            self.domain_name = YLeaf(YType.str, "domain-name")

            self.default_gateway = YLeaf(YType.str, "default-gateway")

            self.source_route = YLeaf(YType.boolean, "source-route")

            self.admission = Native.Ip.Admission()
            self.admission.parent = self
            self._children_name_map["admission"] = "admission"
            self._children_yang_names.add("admission")

            self.arp = Native.Ip.Arp()
            self.arp.parent = self
            self._children_name_map["arp"] = "arp"
            self._children_yang_names.add("arp")

            self.domain_list = Native.Ip.DomainList()
            self.domain_list.parent = self
            self._children_name_map["domain_list"] = "domain-list"
            self._children_yang_names.add("domain-list")

            self.finger = None
            self._children_name_map["finger"] = "finger"
            self._children_yang_names.add("finger")

            self.rcmd = Native.Ip.Rcmd()
            self.rcmd.parent = self
            self._children_name_map["rcmd"] = "rcmd"
            self._children_yang_names.add("rcmd")

            self.bgp_community = Native.Ip.BgpCommunity()
            self.bgp_community.parent = self
            self._children_name_map["bgp_community"] = "bgp-community"
            self._children_yang_names.add("bgp-community")

            self.as_path = Native.Ip.AsPath()
            self.as_path.parent = self
            self._children_name_map["as_path"] = "as-path"
            self._children_yang_names.add("as-path")

            self.local = Native.Ip.Local()
            self.local.parent = self
            self._children_name_map["local"] = "local"
            self._children_yang_names.add("local")

            self.cef = None
            self._children_name_map["cef"] = "cef"
            self._children_yang_names.add("cef")

            self.domain = Native.Ip.Domain()
            self.domain.parent = self
            self._children_name_map["domain"] = "domain"
            self._children_yang_names.add("domain")

            self.domain_lookup_conf = Native.Ip.DomainLookupConf()
            self.domain_lookup_conf.parent = self
            self._children_name_map["domain_lookup_conf"] = "domain-lookup-conf"
            self._children_yang_names.add("domain-lookup-conf")

            self.domain_lookup = None
            self._children_name_map["domain_lookup"] = "domain-lookup"
            self._children_yang_names.add("domain-lookup")

            self.dns = Native.Ip.Dns()
            self.dns.parent = self
            self._children_name_map["dns"] = "dns"
            self._children_yang_names.add("dns")

            self.dhcp = Native.Ip.Dhcp()
            self.dhcp.parent = self
            self._children_name_map["dhcp"] = "dhcp"
            self._children_yang_names.add("dhcp")

            self.forward_protocol = Native.Ip.ForwardProtocol()
            self.forward_protocol.parent = self
            self._children_name_map["forward_protocol"] = "forward-protocol"
            self._children_yang_names.add("forward-protocol")

            self.gratuitous_arps_conf = Native.Ip.GratuitousArpsConf()
            self.gratuitous_arps_conf.parent = self
            self._children_name_map["gratuitous_arps_conf"] = "gratuitous-arps-conf"
            self._children_yang_names.add("gratuitous-arps-conf")

            self.ftp = Native.Ip.Ftp()
            self.ftp.parent = self
            self._children_name_map["ftp"] = "ftp"
            self._children_yang_names.add("ftp")

            self.telnet = Native.Ip.Telnet()
            self.telnet.parent = self
            self._children_name_map["telnet"] = "telnet"
            self._children_yang_names.add("telnet")

            self.host = Native.Ip.Host()
            self.host.parent = self
            self._children_name_map["host"] = "host"
            self._children_yang_names.add("host")

            self.multicast = Native.Ip.Multicast()
            self.multicast.parent = self
            self._children_name_map["multicast"] = "multicast"
            self._children_yang_names.add("multicast")

            self.name_server = Native.Ip.NameServer()
            self.name_server.parent = self
            self._children_name_map["name_server"] = "name-server"
            self._children_yang_names.add("name-server")

            self.pim = Native.Ip.Pim()
            self.pim.parent = self
            self._children_name_map["pim"] = "pim"
            self._children_yang_names.add("pim")

            self.prefix_list = Native.Ip.PrefixList()
            self.prefix_list.parent = self
            self._children_name_map["prefix_list"] = "prefix-list"
            self._children_yang_names.add("prefix-list")

            self.route = Native.Ip.Route()
            self.route.parent = self
            self._children_name_map["route"] = "route"
            self._children_yang_names.add("route")

            self.routing = None
            self._children_name_map["routing"] = "routing"
            self._children_yang_names.add("routing")

            self.explicit_path = Native.Ip.ExplicitPath()
            self.explicit_path.parent = self
            self._children_name_map["explicit_path"] = "explicit-path"
            self._children_yang_names.add("explicit-path")

            self.scp = Native.Ip.Scp()
            self.scp.parent = self
            self._children_name_map["scp"] = "scp"
            self._children_yang_names.add("scp")

            self.spd = Native.Ip.Spd()
            self.spd.parent = self
            self._children_name_map["spd"] = "spd"
            self._children_yang_names.add("spd")

            self.bootp = Native.Ip.Bootp()
            self.bootp.parent = self
            self._children_name_map["bootp"] = "bootp"
            self._children_yang_names.add("bootp")

            self.ssh = Native.Ip.Ssh()
            self.ssh.parent = self
            self._children_name_map["ssh"] = "ssh"
            self._children_yang_names.add("ssh")

            self.tcp = Native.Ip.Tcp()
            self.tcp.parent = self
            self._children_name_map["tcp"] = "tcp"
            self._children_yang_names.add("tcp")

            self.tftp = Native.Ip.Tftp()
            self.tftp.parent = self
            self._children_name_map["tftp"] = "tftp"
            self._children_yang_names.add("tftp")

            self.access_list = Native.Ip.AccessList()
            self.access_list.parent = self
            self._children_name_map["access_list"] = "access-list"
            self._children_yang_names.add("access-list")

            self.device = Native.Ip.Device()
            self.device.parent = self
            self._children_name_map["device"] = "device"
            self._children_yang_names.add("device")

            self.radius = Native.Ip.Radius()
            self.radius.parent = self
            self._children_name_map["radius"] = "radius"
            self._children_yang_names.add("radius")

            self.tacacs = Native.Ip.Tacacs()
            self.tacacs.parent = self
            self._children_name_map["tacacs"] = "tacacs"
            self._children_yang_names.add("tacacs")

            self.community_list = Native.Ip.CommunityList()
            self.community_list.parent = self
            self._children_name_map["community_list"] = "community-list"
            self._children_yang_names.add("community-list")

            self.extcommunity_list = Native.Ip.ExtcommunityList()
            self.extcommunity_list.parent = self
            self._children_name_map["extcommunity_list"] = "extcommunity-list"
            self._children_yang_names.add("extcommunity-list")

            self.http = Native.Ip.Http()
            self.http.parent = self
            self._children_name_map["http"] = "http"
            self._children_yang_names.add("http")

            self.icmp = Native.Ip.Icmp()
            self.icmp.parent = self
            self._children_name_map["icmp"] = "icmp"
            self._children_yang_names.add("icmp")

            self.igmp = Native.Ip.Igmp()
            self.igmp.parent = self
            self._children_name_map["igmp"] = "igmp"
            self._children_yang_names.add("igmp")

            self.msdp = Native.Ip.Msdp()
            self.msdp.parent = self
            self._children_name_map["msdp"] = "msdp"
            self._children_yang_names.add("msdp")

            self.mcr_conf = Native.Ip.McrConf()
            self.mcr_conf.parent = self
            self._children_name_map["mcr_conf"] = "mcr-conf"
            self._children_yang_names.add("mcr-conf")

            self.multicast_routing = None
            self._children_name_map["multicast_routing"] = "multicast-routing"
            self._children_yang_names.add("multicast-routing")

            self.mroute = Native.Ip.Mroute()
            self.mroute.parent = self
            self._children_name_map["mroute"] = "mroute"
            self._children_yang_names.add("mroute")

            self.nat = Native.Ip.Nat()
            self.nat.parent = self
            self._children_name_map["nat"] = "nat"
            self._children_yang_names.add("nat")

            self.nbar = Native.Ip.Nbar()
            self.nbar.parent = self
            self._children_name_map["nbar"] = "nbar"
            self._children_yang_names.add("nbar")

            self.rsvp = Native.Ip.Rsvp()
            self.rsvp.parent = self
            self._children_name_map["rsvp"] = "rsvp"
            self._children_yang_names.add("rsvp")

            self.sla = Native.Ip.Sla()
            self.sla.parent = self
            self._children_name_map["sla"] = "sla"
            self._children_yang_names.add("sla")

            self.wccp = Native.Ip.Wccp()
            self.wccp.parent = self
            self._children_name_map["wccp"] = "wccp"
            self._children_yang_names.add("wccp")

            self.vrf = YList(self)
            self._segment_path = lambda: "ip"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Ip, ['subnet_zero', 'host_routing', 'classless', 'domain_name', 'default_gateway', 'source_route'], name, value)


        class Admission(Entity):
            """
            Network Admission Control (NAC)
            
            .. attribute:: watch_list
            
            	Watch\-list
            	**type**\:  :py:class:`WatchList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Admission.WatchList>`
            
            .. attribute:: name
            
            	Specify an Authentication Proxy Rule
            	**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Admission.Name>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Admission, self).__init__()

                self.yang_name = "admission"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"watch-list" : ("watch_list", Native.Ip.Admission.WatchList), "name" : ("name", Native.Ip.Admission.Name)}
                self._child_list_classes = {}

                self.watch_list = Native.Ip.Admission.WatchList()
                self.watch_list.parent = self
                self._children_name_map["watch_list"] = "watch-list"
                self._children_yang_names.add("watch-list")

                self.name = Native.Ip.Admission.Name()
                self.name.parent = self
                self._children_name_map["name"] = "name"
                self._children_yang_names.add("name")
                self._segment_path = lambda: "admission"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()


            class WatchList(Entity):
                """
                Watch\-list
                
                .. attribute:: expiry_time
                
                	Configure expiry time for watch\-list entries
                	**type**\: int
                
                	**range:** 0..35791
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Admission.WatchList, self).__init__()

                    self.yang_name = "watch-list"
                    self.yang_parent_name = "admission"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.expiry_time = YLeaf(YType.uint16, "expiry-time")
                    self._segment_path = lambda: "watch-list"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/admission/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Admission.WatchList, ['expiry_time'], name, value)


            class Name(Entity):
                """
                Specify an Authentication Proxy Rule
                
                .. attribute:: webauth
                
                	help
                	**type**\:  :py:class:`Webauth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Admission.Name.Webauth>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Admission.Name, self).__init__()

                    self.yang_name = "name"
                    self.yang_parent_name = "admission"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"webauth" : ("webauth", Native.Ip.Admission.Name.Webauth)}
                    self._child_list_classes = {}

                    self.webauth = Native.Ip.Admission.Name.Webauth()
                    self.webauth.parent = self
                    self._children_name_map["webauth"] = "webauth"
                    self._children_yang_names.add("webauth")
                    self._segment_path = lambda: "name"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/admission/%s" % self._segment_path()


                class Webauth(Entity):
                    """
                    help
                    
                    .. attribute:: proxy
                    
                    	Authentication Proxy Protocol
                    	**type**\:  :py:class:`Proxy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Admission.Name.Webauth.Proxy>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Admission.Name.Webauth, self).__init__()

                        self.yang_name = "webauth"
                        self.yang_parent_name = "name"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"proxy" : ("proxy", Native.Ip.Admission.Name.Webauth.Proxy)}
                        self._child_list_classes = {}

                        self.proxy = Native.Ip.Admission.Name.Webauth.Proxy()
                        self.proxy.parent = self
                        self._children_name_map["proxy"] = "proxy"
                        self._children_yang_names.add("proxy")
                        self._segment_path = lambda: "webauth"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/admission/name/%s" % self._segment_path()


                    class Proxy(Entity):
                        """
                        Authentication Proxy Protocol
                        
                        .. attribute:: http
                        
                        	HTTP Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.Admission.Name.Webauth.Proxy, self).__init__()

                            self.yang_name = "proxy"
                            self.yang_parent_name = "webauth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.http = YLeaf(YType.empty, "http")
                            self._segment_path = lambda: "proxy"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/admission/name/webauth/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Admission.Name.Webauth.Proxy, ['http'], name, value)


        class Arp(Entity):
            """
            IP ARP global configuration
            
            .. attribute:: incomplete
            
            	Fine\-tune the ARP Retry parameters
            	**type**\:  :py:class:`Incomplete <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Incomplete>`
            
            .. attribute:: inspection
            
            	Arp Inspection configuration
            	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection>`
            
            .. attribute:: proxy
            
            	Gratuitous ARP control
            	**type**\:  :py:class:`Proxy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Proxy>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Arp, self).__init__()

                self.yang_name = "arp"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"incomplete" : ("incomplete", Native.Ip.Arp.Incomplete), "inspection" : ("inspection", Native.Ip.Arp.Inspection), "proxy" : ("proxy", Native.Ip.Arp.Proxy)}
                self._child_list_classes = {}

                self.incomplete = Native.Ip.Arp.Incomplete()
                self.incomplete.parent = self
                self._children_name_map["incomplete"] = "incomplete"
                self._children_yang_names.add("incomplete")

                self.inspection = Native.Ip.Arp.Inspection()
                self.inspection.parent = self
                self._children_name_map["inspection"] = "inspection"
                self._children_yang_names.add("inspection")

                self.proxy = Native.Ip.Arp.Proxy()
                self.proxy.parent = self
                self._children_name_map["proxy"] = "proxy"
                self._children_yang_names.add("proxy")
                self._segment_path = lambda: "arp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()


            class Incomplete(Entity):
                """
                Fine\-tune the ARP Retry parameters
                
                .. attribute:: entries
                
                	Specify the number of IP addresses to resolve
                	**type**\: int
                
                	**range:** 1..2147483647
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Arp.Incomplete, self).__init__()

                    self.yang_name = "incomplete"
                    self.yang_parent_name = "arp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.entries = YLeaf(YType.uint32, "entries")
                    self._segment_path = lambda: "incomplete"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/arp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Arp.Incomplete, ['entries'], name, value)


            class Inspection(Entity):
                """
                Arp Inspection configuration
                
                .. attribute:: filter
                
                	Specify ARP acl to be applied
                	**type**\: list of  		 :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection.Filter>`
                
                .. attribute:: validate
                
                	Validate addresses
                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection.Validate>`
                
                .. attribute:: log_buffer
                
                	Log Buffer Configuration
                	**type**\:  :py:class:`LogBuffer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection.LogBuffer>`
                
                .. attribute:: vlan
                
                	Enable/Disable ARP Inspection on vlans
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Arp.Inspection, self).__init__()

                    self.yang_name = "inspection"
                    self.yang_parent_name = "arp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"validate" : ("validate", Native.Ip.Arp.Inspection.Validate), "log-buffer" : ("log_buffer", Native.Ip.Arp.Inspection.LogBuffer)}
                    self._child_list_classes = {"filter" : ("filter", Native.Ip.Arp.Inspection.Filter)}

                    self.vlan = YLeaf(YType.str, "vlan")

                    self.validate = Native.Ip.Arp.Inspection.Validate()
                    self.validate.parent = self
                    self._children_name_map["validate"] = "validate"
                    self._children_yang_names.add("validate")

                    self.log_buffer = Native.Ip.Arp.Inspection.LogBuffer()
                    self.log_buffer.parent = self
                    self._children_name_map["log_buffer"] = "log-buffer"
                    self._children_yang_names.add("log-buffer")

                    self.filter = YList(self)
                    self._segment_path = lambda: "inspection"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/arp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Arp.Inspection, ['vlan'], name, value)


                class Filter(Entity):
                    """
                    Specify ARP acl to be applied
                    
                    .. attribute:: arpacl  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: vlan
                    
                    	Vlans to apply the filter
                    	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection.Filter.Vlan>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Arp.Inspection.Filter, self).__init__()

                        self.yang_name = "filter"
                        self.yang_parent_name = "inspection"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"vlan" : ("vlan", Native.Ip.Arp.Inspection.Filter.Vlan)}

                        self.arpacl = YLeaf(YType.str, "arpacl")

                        self.vlan = YList(self)
                        self._segment_path = lambda: "filter" + "[arpacl='" + self.arpacl.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/arp/inspection/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Arp.Inspection.Filter, ['arpacl'], name, value)


                    class Vlan(Entity):
                        """
                        Vlans to apply the filter
                        
                        .. attribute:: vlan_range  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: static
                        
                        	Apply the ACL statically
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.Arp.Inspection.Filter.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "filter"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan_range = YLeaf(YType.str, "vlan-range")

                            self.static = YLeaf(YType.empty, "static")
                            self._segment_path = lambda: "vlan" + "[vlan-range='" + self.vlan_range.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Arp.Inspection.Filter.Vlan, ['vlan_range', 'static'], name, value)


                class Validate(Entity):
                    """
                    Validate addresses
                    
                    .. attribute:: src_mac
                    
                    	Validate source MAC address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dst_mac
                    
                    	Validate destination MAC address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ip
                    
                    	Validate IP addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: allow
                    
                    	
                    	**type**\:  :py:class:`Allow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection.Validate.Allow>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Arp.Inspection.Validate, self).__init__()

                        self.yang_name = "validate"
                        self.yang_parent_name = "inspection"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"allow" : ("allow", Native.Ip.Arp.Inspection.Validate.Allow)}
                        self._child_list_classes = {}

                        self.src_mac = YLeaf(YType.empty, "src-mac")

                        self.dst_mac = YLeaf(YType.empty, "dst-mac")

                        self.ip = YLeaf(YType.empty, "ip")

                        self.allow = Native.Ip.Arp.Inspection.Validate.Allow()
                        self.allow.parent = self
                        self._children_name_map["allow"] = "allow"
                        self._children_yang_names.add("allow")
                        self._segment_path = lambda: "validate"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/arp/inspection/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Arp.Inspection.Validate, ['src_mac', 'dst_mac', 'ip'], name, value)


                    class Allow(Entity):
                        """
                        
                        
                        .. attribute:: zeros
                        
                        	Allow 0.0.0.0 sender IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.Arp.Inspection.Validate.Allow, self).__init__()

                            self.yang_name = "allow"
                            self.yang_parent_name = "validate"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.zeros = YLeaf(YType.empty, "zeros")
                            self._segment_path = lambda: "allow"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/arp/inspection/validate/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Arp.Inspection.Validate.Allow, ['zeros'], name, value)


                class LogBuffer(Entity):
                    """
                    Log Buffer Configuration
                    
                    .. attribute:: entries
                    
                    	Number of entries for log buffer
                    	**type**\: int
                    
                    	**range:** 0..1024
                    
                    .. attribute:: logs
                    
                    	Number of logs per interval
                    	**type**\:  :py:class:`Logs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Arp.Inspection.LogBuffer.Logs>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Arp.Inspection.LogBuffer, self).__init__()

                        self.yang_name = "log-buffer"
                        self.yang_parent_name = "inspection"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"logs" : ("logs", Native.Ip.Arp.Inspection.LogBuffer.Logs)}
                        self._child_list_classes = {}

                        self.entries = YLeaf(YType.uint16, "entries")

                        self.logs = Native.Ip.Arp.Inspection.LogBuffer.Logs()
                        self.logs.parent = self
                        self._children_name_map["logs"] = "logs"
                        self._children_yang_names.add("logs")
                        self._segment_path = lambda: "log-buffer"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/arp/inspection/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Arp.Inspection.LogBuffer, ['entries'], name, value)


                    class Logs(Entity):
                        """
                        Number of logs per interval
                        
                        .. attribute:: entries
                        
                        	Number of entries for log buffer
                        	**type**\: int
                        
                        	**range:** 0..1024
                        
                        .. attribute:: interval
                        
                        	Interval for controlling logging rate
                        	**type**\: int
                        
                        	**range:** 0..86400
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.Arp.Inspection.LogBuffer.Logs, self).__init__()

                            self.yang_name = "logs"
                            self.yang_parent_name = "log-buffer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.entries = YLeaf(YType.uint16, "entries")

                            self.interval = YLeaf(YType.uint32, "interval")
                            self._segment_path = lambda: "logs"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/arp/inspection/log-buffer/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Arp.Inspection.LogBuffer.Logs, ['entries', 'interval'], name, value)


            class Proxy(Entity):
                """
                Gratuitous ARP control
                
                .. attribute:: disable
                
                	Disable proxy ARP on all interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Arp.Proxy, self).__init__()

                    self.yang_name = "proxy"
                    self.yang_parent_name = "arp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.disable = YLeaf(YType.empty, "disable")
                    self._segment_path = lambda: "proxy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/arp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Arp.Proxy, ['disable'], name, value)


        class DomainList(Entity):
            """
            Domain name to complete unqualified host names
            
            .. attribute:: domain_name
            
            	
            	**type**\: str
            
            .. attribute:: vrf
            
            	Specify VRF
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainList.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.DomainList, self).__init__()

                self.yang_name = "domain-list"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"vrf" : ("vrf", Native.Ip.DomainList.Vrf)}
                self._child_list_classes = {}

                self.domain_name = YLeaf(YType.str, "domain-name")

                self.vrf = Native.Ip.DomainList.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")
                self._segment_path = lambda: "domain-list"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.DomainList, ['domain_name'], name, value)


            class Vrf(Entity):
                """
                Specify VRF
                
                .. attribute:: vrf_name
                
                	
                	**type**\: str
                
                .. attribute:: domain_name
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.DomainList.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "domain-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.vrf_name = YLeaf(YType.str, "vrf-name")

                    self.domain_name = YLeaf(YType.str, "domain-name")
                    self._segment_path = lambda: "vrf"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.DomainList.Vrf, ['vrf_name', 'domain_name'], name, value)


        class Finger(Entity):
            """
            finger server
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Finger, self).__init__()

                self.yang_name = "finger"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True
                self._segment_path = lambda: "finger"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()


        class Rcmd(Entity):
            """
            Rcmd commands
            
            .. attribute:: rcp_enable
            
            	Enable server side of RCP
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: rsh_enable
            
            	Enable server side of RSh
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Rcmd, self).__init__()

                self.yang_name = "rcmd"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.rcp_enable = YLeaf(YType.empty, "rcp-enable")

                self.rsh_enable = YLeaf(YType.empty, "rsh-enable")
                self._segment_path = lambda: "rcmd"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Rcmd, ['rcp_enable', 'rsh_enable'], name, value)


        class BgpCommunity(Entity):
            """
            format for BGP community
            
            .. attribute:: new_format
            
            	select aa\:nn format for BGP community
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.BgpCommunity, self).__init__()

                self.yang_name = "bgp-community"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.new_format = YLeaf(YType.empty, "new-format")
                self._segment_path = lambda: "bgp-community"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.BgpCommunity, ['new_format'], name, value)


        class Vrf(Entity):
            """
            Configure an IP VPN Routing/Forwarding instance
            
            .. attribute:: name  <key>
            
            	WORD;;VPN Routing/Forwarding instance name
            	**type**\: str
            
            .. attribute:: bgp
            
            	Commands pertaining to BGP
            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Bgp>`
            
            .. attribute:: context
            
            	Associate SNMP context with this vrf
            	**type**\: str
            
            .. attribute:: description
            
            	VRF specific description
            	**type**\: str
            
            	**length:** 1..244
            
            .. attribute:: rd
            
            	Specify Route Distinguisher
            	**type**\: str
            
            	**pattern:** (\\d\*(.\\d\*)\*)?\:(\\d\*(.\\d\*)\*)?
            
            .. attribute:: export
            
            	VRF export
            	**type**\:  :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Export>`
            
            .. attribute:: import_
            
            	VRF import
            	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Import_>`
            
            .. attribute:: maximum
            
            	Maximum number of routes allowed in this routing table
            	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Maximum>`
            
            	**presence node**\: True
            
            .. attribute:: mdt
            
            	Backbone Multicast Distribution Tree
            	**type**\:  :py:class:`Mdt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Mdt>`
            
            	**presence node**\: True
            
            .. attribute:: route_target
            
            	Specify Target VPN Extended Communities
            	**type**\: list of  		 :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.RouteTarget>`
            
            .. attribute:: vpn
            
            	Configure VPN ID as specified in rfc2685
            	**type**\:  :py:class:`Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Vpn>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Vrf, self).__init__()

                self.yang_name = "vrf"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"bgp" : ("bgp", Native.Ip.Vrf.Bgp), "export" : ("export", Native.Ip.Vrf.Export), "import" : ("import_", Native.Ip.Vrf.Import_), "maximum" : ("maximum", Native.Ip.Vrf.Maximum), "mdt" : ("mdt", Native.Ip.Vrf.Mdt), "vpn" : ("vpn", Native.Ip.Vrf.Vpn)}
                self._child_list_classes = {"route-target" : ("route_target", Native.Ip.Vrf.RouteTarget)}

                self.name = YLeaf(YType.str, "name")

                self.context = YLeaf(YType.str, "context")

                self.description = YLeaf(YType.str, "description")

                self.rd = YLeaf(YType.str, "rd")

                self.bgp = Native.Ip.Vrf.Bgp()
                self.bgp.parent = self
                self._children_name_map["bgp"] = "bgp"
                self._children_yang_names.add("bgp")

                self.export = Native.Ip.Vrf.Export()
                self.export.parent = self
                self._children_name_map["export"] = "export"
                self._children_yang_names.add("export")

                self.import_ = Native.Ip.Vrf.Import_()
                self.import_.parent = self
                self._children_name_map["import_"] = "import"
                self._children_yang_names.add("import")

                self.maximum = None
                self._children_name_map["maximum"] = "maximum"
                self._children_yang_names.add("maximum")

                self.mdt = None
                self._children_name_map["mdt"] = "mdt"
                self._children_yang_names.add("mdt")

                self.vpn = Native.Ip.Vrf.Vpn()
                self.vpn.parent = self
                self._children_name_map["vpn"] = "vpn"
                self._children_yang_names.add("vpn")

                self.route_target = YList(self)
                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Vrf, ['name', 'context', 'description', 'rd'], name, value)


            class Bgp(Entity):
                """
                Commands pertaining to BGP
                
                .. attribute:: next_hop
                
                	Next\-hop for the routes of a VRF in the backbone
                	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Bgp.NextHop>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Vrf.Bgp, self).__init__()

                    self.yang_name = "bgp"
                    self.yang_parent_name = "vrf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"next-hop" : ("next_hop", Native.Ip.Vrf.Bgp.NextHop)}
                    self._child_list_classes = {}

                    self.next_hop = Native.Ip.Vrf.Bgp.NextHop()
                    self.next_hop.parent = self
                    self._children_name_map["next_hop"] = "next-hop"
                    self._children_yang_names.add("next-hop")
                    self._segment_path = lambda: "bgp"


                class NextHop(Entity):
                    """
                    Next\-hop for the routes of a VRF in the backbone
                    
                    .. attribute:: loopback
                    
                    	Loopback interface number
                    	**type**\: int
                    
                    	**range:** 0..2147483647
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Vrf.Bgp.NextHop, self).__init__()

                        self.yang_name = "next-hop"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.loopback = YLeaf(YType.uint32, "Loopback")
                        self._segment_path = lambda: "next-hop"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Vrf.Bgp.NextHop, ['loopback'], name, value)


            class Export(Entity):
                """
                VRF export
                
                .. attribute:: map
                
                	Route\-map based VRF export
                	**type**\: str
                
                .. attribute:: ipv4
                
                	Address family based VRF export
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Export.Ipv4>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Vrf.Export, self).__init__()

                    self.yang_name = "export"
                    self.yang_parent_name = "vrf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Ip.Vrf.Export.Ipv4)}
                    self._child_list_classes = {}

                    self.map = YLeaf(YType.str, "map")

                    self.ipv4 = Native.Ip.Vrf.Export.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")
                    self._segment_path = lambda: "export"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Vrf.Export, ['map'], name, value)


                class Ipv4(Entity):
                    """
                    Address family based VRF export
                    
                    .. attribute:: ipv4_type
                    
                    	
                    	**type**\:  :py:class:`Ipv4Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Export.Ipv4.Ipv4Type>`
                    
                    .. attribute:: upper_limit
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: map
                    
                    	Route\-map based VRF export
                    	**type**\: str
                    
                    .. attribute:: map_only
                    
                    	Route\-map based VRF export
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Vrf.Export.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "export"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ipv4_type = YLeaf(YType.enumeration, "ipv4-type")

                        self.upper_limit = YLeaf(YType.uint32, "upper-limit")

                        self.map = YLeaf(YType.str, "map")

                        self.map_only = YLeaf(YType.str, "map-only")
                        self._segment_path = lambda: "ipv4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Vrf.Export.Ipv4, ['ipv4_type', 'upper_limit', 'map', 'map_only'], name, value)

                    class Ipv4Type(Enum):
                        """
                        Ipv4Type

                        .. data:: unicast = 0

                        .. data:: multicast = 1

                        """

                        unicast = Enum.YLeaf(0, "unicast")

                        multicast = Enum.YLeaf(1, "multicast")



            class Import_(Entity):
                """
                VRF import
                
                .. attribute:: map
                
                	Route\-map based VRF import
                	**type**\: str
                
                .. attribute:: ipv4
                
                	Address family based VRF import
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Import_.Ipv4>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Vrf.Import_, self).__init__()

                    self.yang_name = "import"
                    self.yang_parent_name = "vrf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Ip.Vrf.Import_.Ipv4)}
                    self._child_list_classes = {}

                    self.map = YLeaf(YType.str, "map")

                    self.ipv4 = Native.Ip.Vrf.Import_.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")
                    self._segment_path = lambda: "import"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Vrf.Import_, ['map'], name, value)


                class Ipv4(Entity):
                    """
                    Address family based VRF import
                    
                    .. attribute:: ipv4_type
                    
                    	
                    	**type**\:  :py:class:`Ipv4Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Import_.Ipv4.Ipv4Type>`
                    
                    .. attribute:: upper_limit
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: map
                    
                    	Route\-map based VRF import
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Vrf.Import_.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "import"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ipv4_type = YLeaf(YType.enumeration, "ipv4-type")

                        self.upper_limit = YLeaf(YType.uint32, "upper-limit")

                        self.map = YLeaf(YType.str, "map")
                        self._segment_path = lambda: "ipv4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Vrf.Import_.Ipv4, ['ipv4_type', 'upper_limit', 'map'], name, value)

                    class Ipv4Type(Enum):
                        """
                        Ipv4Type

                        .. data:: unicast = 0

                        .. data:: multicast = 1

                        """

                        unicast = Enum.YLeaf(0, "unicast")

                        multicast = Enum.YLeaf(1, "multicast")



            class Maximum(Entity):
                """
                Maximum number of routes allowed in this routing table
                
                .. attribute:: routes
                
                	Maximum number of routes allowed in this routing table
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: threshold
                
                	Threshold
                	**type**\: int
                
                	**range:** 1..100
                
                .. attribute:: reinstall
                
                	Reinstall previous rejected route due to over maximum route limit
                	**type**\: int
                
                	**range:** 1..100
                
                .. attribute:: warning_only
                
                	Only give a warning message if is limit exceeded
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Vrf.Maximum, self).__init__()

                    self.yang_name = "maximum"
                    self.yang_parent_name = "vrf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.routes = YLeaf(YType.uint32, "routes")

                    self.threshold = YLeaf(YType.uint16, "threshold")

                    self.reinstall = YLeaf(YType.uint16, "reinstall")

                    self.warning_only = YLeaf(YType.empty, "warning-only")
                    self._segment_path = lambda: "maximum"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Vrf.Maximum, ['routes', 'threshold', 'reinstall', 'warning_only'], name, value)


            class Mdt(Entity):
                """
                Backbone Multicast Distribution Tree
                
                .. attribute:: default
                
                	The default group
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: log_reuse
                
                	Event logging for data MDT reuse
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: data
                
                	MDT data group range
                	**type**\:  :py:class:`Data <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.Mdt.Data>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Vrf.Mdt, self).__init__()

                    self.yang_name = "mdt"
                    self.yang_parent_name = "vrf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"data" : ("data", Native.Ip.Vrf.Mdt.Data)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.default = YLeaf(YType.str, "default")

                    self.log_reuse = YLeaf(YType.empty, "log-reuse")

                    self.data = Native.Ip.Vrf.Mdt.Data()
                    self.data.parent = self
                    self._children_name_map["data"] = "data"
                    self._children_yang_names.add("data")
                    self._segment_path = lambda: "mdt"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Vrf.Mdt, ['default', 'log_reuse'], name, value)


                class Data(Entity):
                    """
                    MDT data group range
                    
                    .. attribute:: mulicast_address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: wildcard_bits
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: threshold
                    
                    	MDT switching threshold
                    	**type**\: int
                    
                    	**range:** 1..4294967
                    
                    .. attribute:: threshold_list
                    
                    	Access\-list
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 100..199
                    
                    		**type**\: int
                    
                    			**range:** 2000..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-fA\-F].\*
                    
                    .. attribute:: list
                    
                    	Access\-list
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 100..199
                    
                    		**type**\: int
                    
                    			**range:** 2000..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-fA\-F].\*
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Vrf.Mdt.Data, self).__init__()

                        self.yang_name = "data"
                        self.yang_parent_name = "mdt"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.mulicast_address = YLeaf(YType.str, "mulicast-address")

                        self.wildcard_bits = YLeaf(YType.str, "wildcard-bits")

                        self.threshold = YLeaf(YType.uint32, "threshold")

                        self.threshold_list = YLeaf(YType.str, "threshold-list")

                        self.list = YLeaf(YType.str, "list")
                        self._segment_path = lambda: "data"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Vrf.Mdt.Data, ['mulicast_address', 'wildcard_bits', 'threshold', 'threshold_list', 'list'], name, value)


            class RouteTarget(Entity):
                """
                Specify Target VPN Extended Communities
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Vrf.RouteTarget.Direction>`
                
                .. attribute:: target  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (\\d\*(.\\d\*)\*)?\:(\\d\*(.\\d\*)\*)?
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Vrf.RouteTarget, self).__init__()

                    self.yang_name = "route-target"
                    self.yang_parent_name = "vrf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.target = YLeaf(YType.str, "target")
                    self._segment_path = lambda: "route-target" + "[direction='" + self.direction.get() + "']" + "[target='" + self.target.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Vrf.RouteTarget, ['direction', 'target'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: both = 0

                    .. data:: export = 1

                    .. data:: import_ = 2

                    """

                    both = Enum.YLeaf(0, "both")

                    export = Enum.YLeaf(1, "export")

                    import_ = Enum.YLeaf(2, "import")



            class Vpn(Entity):
                """
                Configure VPN ID as specified in rfc2685
                
                .. attribute:: id
                
                	Configure VPN ID in rfc2685 format
                	**type**\: str
                
                	**pattern:** [0\-9a\-fA\-F][0\-9a\-fA\-F]?[0\-9a\-fA\-F]?\:[0\-9a\-fA\-F][0\-9a\-fA\-F]?[0\-9a\-fA\-F]?[0\-9a\-fA\-F]?
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Vrf.Vpn, self).__init__()

                    self.yang_name = "vpn"
                    self.yang_parent_name = "vrf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")
                    self._segment_path = lambda: "vpn"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Vrf.Vpn, ['id'], name, value)


        class AsPath(Entity):
            """
            BGP autonomous system path filter
            
            .. attribute:: access_list
            
            	Specify an access list number
            	**type**\: list of  		 :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AsPath.AccessList>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.AsPath, self).__init__()

                self.yang_name = "as-path"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"Cisco-IOS-XE-bgp:access-list" : ("access_list", Native.Ip.AsPath.AccessList)}

                self.access_list = YList(self)
                self._segment_path = lambda: "as-path"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.AsPath, [], name, value)


            class AccessList(Entity):
                """
                Specify an access list number
                
                .. attribute:: name  <key>
                
                	
                	**type**\: int
                
                	**range:** 1..500
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AsPath.AccessList.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AsPath.AccessList.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.AsPath.AccessList, self).__init__()

                    self.yang_name = "access-list"
                    self.yang_parent_name = "as-path"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"deny" : ("deny", Native.Ip.AsPath.AccessList.Deny), "permit" : ("permit", Native.Ip.AsPath.AccessList.Permit)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.uint16, "name")

                    self.deny = Native.Ip.AsPath.AccessList.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")

                    self.permit = Native.Ip.AsPath.AccessList.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")
                    self._segment_path = lambda: "Cisco-IOS-XE-bgp:access-list" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/as-path/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.AsPath.AccessList, ['name'], name, value)


                class Deny(Entity):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.AsPath.AccessList.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "access-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.deny_list = YLeafList(YType.str, "deny-list")
                        self._segment_path = lambda: "deny"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.AsPath.AccessList.Deny, ['deny_list'], name, value)


                class Permit(Entity):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.AsPath.AccessList.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "access-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.permit_list = YLeafList(YType.str, "permit-list")
                        self._segment_path = lambda: "permit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.AsPath.AccessList.Permit, ['permit_list'], name, value)


        class Local(Entity):
            """
            Specify local options
            
            .. attribute:: pool
            
            	IP Local address pool lists
            	**type**\: list of  		 :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Local.Pool>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Local, self).__init__()

                self.yang_name = "local"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"pool" : ("pool", Native.Ip.Local.Pool)}

                self.pool = YList(self)
                self._segment_path = lambda: "local"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Local, [], name, value)


            class Pool(Entity):
                """
                IP Local address pool lists
                
                .. attribute:: id  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Local.Pool.Id>`
                
                .. attribute:: start
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: last
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: group
                
                	Create ip local pool group
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Local.Pool, self).__init__()

                    self.yang_name = "pool"
                    self.yang_parent_name = "local"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.start = YLeaf(YType.str, "start")

                    self.last = YLeaf(YType.str, "last")

                    self.group = YLeaf(YType.str, "group")
                    self._segment_path = lambda: "pool" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/local/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Local.Pool, ['id', 'start', 'last', 'group'], name, value)

                class Id(Enum):
                    """
                    Id

                    .. data:: default = 0

                    """

                    default = Enum.YLeaf(0, "default")



        class Cef(Entity):
            """
            Cisco Express Forwarding
            
            .. attribute:: accounting
            
            	Enable CEF accounting
            	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.Accounting>`
            
            .. attribute:: distributed
            
            	Distributed Cisco Express Forwarding
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: optimize
            
            	Optimizations
            	**type**\:  :py:class:`Optimize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.Optimize>`
            
            .. attribute:: traffic_statistics
            
            	Enable collection of traffic statistics
            	**type**\:  :py:class:`TrafficStatistics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.TrafficStatistics>`
            
            .. attribute:: load_sharing
            
            	Load sharing
            	**type**\:  :py:class:`LoadSharing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Cef, self).__init__()

                self.yang_name = "cef"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-cef:accounting" : ("accounting", Native.Ip.Cef.Accounting), "Cisco-IOS-XE-cef:optimize" : ("optimize", Native.Ip.Cef.Optimize), "Cisco-IOS-XE-cef:traffic-statistics" : ("traffic_statistics", Native.Ip.Cef.TrafficStatistics), "Cisco-IOS-XE-cef:load-sharing" : ("load_sharing", Native.Ip.Cef.LoadSharing)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.distributed = YLeaf(YType.empty, "Cisco-IOS-XE-cef:distributed")

                self.accounting = Native.Ip.Cef.Accounting()
                self.accounting.parent = self
                self._children_name_map["accounting"] = "accounting"
                self._children_yang_names.add("accounting")

                self.optimize = Native.Ip.Cef.Optimize()
                self.optimize.parent = self
                self._children_name_map["optimize"] = "optimize"
                self._children_yang_names.add("optimize")

                self.traffic_statistics = Native.Ip.Cef.TrafficStatistics()
                self.traffic_statistics.parent = self
                self._children_name_map["traffic_statistics"] = "traffic-statistics"
                self._children_yang_names.add("traffic-statistics")

                self.load_sharing = Native.Ip.Cef.LoadSharing()
                self.load_sharing.parent = self
                self._children_name_map["load_sharing"] = "load-sharing"
                self._children_yang_names.add("load-sharing")
                self._segment_path = lambda: "cef"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Cef, ['distributed'], name, value)


            class Accounting(Entity):
                """
                Enable CEF accounting
                
                .. attribute:: per_prefix
                
                	Enable per prefix accounting
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: non_recursive
                
                	Enable accounting for traffic through non\-recursive prefixes
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: prefix_length
                
                	Enable prefix length accounting
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: load_balance_hash
                
                	Enable load balance hash accounting
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-05-19'

                def __init__(self):
                    super(Native.Ip.Cef.Accounting, self).__init__()

                    self.yang_name = "accounting"
                    self.yang_parent_name = "cef"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.per_prefix = YLeaf(YType.empty, "per-prefix")

                    self.non_recursive = YLeaf(YType.empty, "non-recursive")

                    self.prefix_length = YLeaf(YType.empty, "prefix-length")

                    self.load_balance_hash = YLeaf(YType.empty, "load-balance-hash")
                    self._segment_path = lambda: "Cisco-IOS-XE-cef:accounting"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Cef.Accounting, ['per_prefix', 'non_recursive', 'prefix_length', 'load_balance_hash'], name, value)


            class Optimize(Entity):
                """
                Optimizations
                
                .. attribute:: neighbor
                
                	Optimizations for directly connected neighbors
                	**type**\:  :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.Optimize.Neighbor>`
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-05-19'

                def __init__(self):
                    super(Native.Ip.Cef.Optimize, self).__init__()

                    self.yang_name = "optimize"
                    self.yang_parent_name = "cef"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"neighbor" : ("neighbor", Native.Ip.Cef.Optimize.Neighbor)}
                    self._child_list_classes = {}

                    self.neighbor = Native.Ip.Cef.Optimize.Neighbor()
                    self.neighbor.parent = self
                    self._children_name_map["neighbor"] = "neighbor"
                    self._children_yang_names.add("neighbor")
                    self._segment_path = lambda: "Cisco-IOS-XE-cef:optimize"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/%s" % self._segment_path()


                class Neighbor(Entity):
                    """
                    Optimizations for directly connected neighbors
                    
                    .. attribute:: resolution
                    
                    	Trigger layer 2 address resolution directly from CEF
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Ip.Cef.Optimize.Neighbor, self).__init__()

                        self.yang_name = "neighbor"
                        self.yang_parent_name = "optimize"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.resolution = YLeaf(YType.empty, "resolution")
                        self._segment_path = lambda: "neighbor"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/Cisco-IOS-XE-cef:optimize/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Cef.Optimize.Neighbor, ['resolution'], name, value)


            class TrafficStatistics(Entity):
                """
                Enable collection of traffic statistics
                
                .. attribute:: load_interval
                
                	Specify interval for load calculation
                	**type**\: int
                
                	**range:** 30..600
                
                .. attribute:: update_rate
                
                	Specify update rate for non\-recursive prefix stats
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-05-19'

                def __init__(self):
                    super(Native.Ip.Cef.TrafficStatistics, self).__init__()

                    self.yang_name = "traffic-statistics"
                    self.yang_parent_name = "cef"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.load_interval = YLeaf(YType.uint16, "load-interval")

                    self.update_rate = YLeaf(YType.uint16, "update-rate")
                    self._segment_path = lambda: "Cisco-IOS-XE-cef:traffic-statistics"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Cef.TrafficStatistics, ['load_interval', 'update_rate'], name, value)


            class LoadSharing(Entity):
                """
                Load sharing
                
                .. attribute:: algorithm
                
                	Per\-destination load sharing algorithm selection
                	**type**\:  :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm>`
                
                .. attribute:: key_control
                
                	Configure algorithm control values
                	**type**\:  :py:class:`KeyControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.KeyControl>`
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-05-19'

                def __init__(self):
                    super(Native.Ip.Cef.LoadSharing, self).__init__()

                    self.yang_name = "load-sharing"
                    self.yang_parent_name = "cef"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"algorithm" : ("algorithm", Native.Ip.Cef.LoadSharing.Algorithm), "key-control" : ("key_control", Native.Ip.Cef.LoadSharing.KeyControl)}
                    self._child_list_classes = {}

                    self.algorithm = Native.Ip.Cef.LoadSharing.Algorithm()
                    self.algorithm.parent = self
                    self._children_name_map["algorithm"] = "algorithm"
                    self._children_yang_names.add("algorithm")

                    self.key_control = Native.Ip.Cef.LoadSharing.KeyControl()
                    self.key_control.parent = self
                    self._children_name_map["key_control"] = "key-control"
                    self._children_yang_names.add("key-control")
                    self._segment_path = lambda: "Cisco-IOS-XE-cef:load-sharing"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/%s" % self._segment_path()


                class Algorithm(Entity):
                    """
                    Per\-destination load sharing algorithm selection
                    
                    .. attribute:: universal
                    
                    	Algorithm for use in most environments
                    	**type**\:  :py:class:`Universal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm.Universal>`
                    
                    .. attribute:: tunnel
                    
                    	Algorithm for use in tunnel only environments
                    	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm.Tunnel>`
                    
                    .. attribute:: original
                    
                    	Original algorithm
                    	**type**\:  :py:class:`Original <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm.Original>`
                    
                    .. attribute:: include_ports
                    
                    	Algorithm that includes layer 4 ports
                    	**type**\:  :py:class:`IncludePorts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Ip.Cef.LoadSharing.Algorithm, self).__init__()

                        self.yang_name = "algorithm"
                        self.yang_parent_name = "load-sharing"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"universal" : ("universal", Native.Ip.Cef.LoadSharing.Algorithm.Universal), "tunnel" : ("tunnel", Native.Ip.Cef.LoadSharing.Algorithm.Tunnel), "original" : ("original", Native.Ip.Cef.LoadSharing.Algorithm.Original), "include-ports" : ("include_ports", Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts)}
                        self._child_list_classes = {}

                        self.universal = Native.Ip.Cef.LoadSharing.Algorithm.Universal()
                        self.universal.parent = self
                        self._children_name_map["universal"] = "universal"
                        self._children_yang_names.add("universal")

                        self.tunnel = Native.Ip.Cef.LoadSharing.Algorithm.Tunnel()
                        self.tunnel.parent = self
                        self._children_name_map["tunnel"] = "tunnel"
                        self._children_yang_names.add("tunnel")

                        self.original = Native.Ip.Cef.LoadSharing.Algorithm.Original()
                        self.original.parent = self
                        self._children_name_map["original"] = "original"
                        self._children_yang_names.add("original")

                        self.include_ports = None
                        self._children_name_map["include_ports"] = "include-ports"
                        self._children_yang_names.add("include-ports")
                        self._segment_path = lambda: "algorithm"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/Cisco-IOS-XE-cef:load-sharing/%s" % self._segment_path()


                    class Universal(Entity):
                        """
                        Algorithm for use in most environments
                        
                        .. attribute:: universal
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fixed_id
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9a\-fA\-F]{1,8}
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Ip.Cef.LoadSharing.Algorithm.Universal, self).__init__()

                            self.yang_name = "universal"
                            self.yang_parent_name = "algorithm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.universal = YLeaf(YType.empty, "universal")

                            self.fixed_id = YLeaf(YType.str, "fixed-id")
                            self._segment_path = lambda: "universal"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Cef.LoadSharing.Algorithm.Universal, ['universal', 'fixed_id'], name, value)


                    class Tunnel(Entity):
                        """
                        Algorithm for use in tunnel only environments
                        
                        .. attribute:: tunnel
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fixed_id
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9a\-fA\-F]{1,8}
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Ip.Cef.LoadSharing.Algorithm.Tunnel, self).__init__()

                            self.yang_name = "tunnel"
                            self.yang_parent_name = "algorithm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tunnel = YLeaf(YType.empty, "tunnel")

                            self.fixed_id = YLeaf(YType.str, "fixed-id")
                            self._segment_path = lambda: "tunnel"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Cef.LoadSharing.Algorithm.Tunnel, ['tunnel', 'fixed_id'], name, value)


                    class Original(Entity):
                        """
                        Original algorithm
                        
                        .. attribute:: original
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Ip.Cef.LoadSharing.Algorithm.Original, self).__init__()

                            self.yang_name = "original"
                            self.yang_parent_name = "algorithm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.original = YLeaf(YType.empty, "original")
                            self._segment_path = lambda: "original"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Cef.LoadSharing.Algorithm.Original, ['original'], name, value)


                    class IncludePorts(Entity):
                        """
                        Algorithm that includes layer 4 ports
                        
                        .. attribute:: destination
                        
                        	Use destination port in hash function
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Destination>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Use source port in hash function
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts, self).__init__()

                            self.yang_name = "include-ports"
                            self.yang_parent_name = "algorithm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"destination" : ("destination", Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Destination), "source" : ("source", Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.destination = None
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.source = None
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "include-ports"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/%s" % self._segment_path()


                        class Destination(Entity):
                            """
                            Use destination port in hash function
                            
                            .. attribute:: fixed_id
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9a\-fA\-F]{1,8}
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-cef'
                            _revision = '2017-05-19'

                            def __init__(self):
                                super(Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "include-ports"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.fixed_id = YLeaf(YType.str, "fixed-id")
                                self._segment_path = lambda: "destination"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/include-ports/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Destination, ['fixed_id'], name, value)


                        class Source(Entity):
                            """
                            Use source port in hash function
                            
                            .. attribute:: destination
                            
                            	Use source and destination ports in hash function
                            	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fixed_id
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9a\-fA\-F]{1,8}
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-cef'
                            _revision = '2017-05-19'

                            def __init__(self):
                                super(Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "include-ports"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"destination" : ("destination", Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.fixed_id = YLeaf(YType.str, "fixed-id")

                                self.destination = None
                                self._children_name_map["destination"] = "destination"
                                self._children_yang_names.add("destination")
                                self._segment_path = lambda: "source"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/include-ports/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source, ['fixed_id'], name, value)


                            class Destination(Entity):
                                """
                                Use source and destination ports in hash function
                                
                                .. attribute:: gtp
                                
                                	Use GTP te\-id as source and destination ports in hash function
                                	**type**\:  :py:class:`Gtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: fixed_id
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9a\-fA\-F]{1,8}
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-cef'
                                _revision = '2017-05-19'

                                def __init__(self):
                                    super(Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination, self).__init__()

                                    self.yang_name = "destination"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"gtp" : ("gtp", Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.fixed_id = YLeaf(YType.str, "fixed-id")

                                    self.gtp = None
                                    self._children_name_map["gtp"] = "gtp"
                                    self._children_yang_names.add("gtp")
                                    self._segment_path = lambda: "destination"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/include-ports/source/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination, ['fixed_id'], name, value)


                                class Gtp(Entity):
                                    """
                                    Use GTP te\-id as source and destination ports in hash function
                                    
                                    .. attribute:: fixed_id
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9a\-fA\-F]{1,8}
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cef'
                                    _revision = '2017-05-19'

                                    def __init__(self):
                                        super(Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp, self).__init__()

                                        self.yang_name = "gtp"
                                        self.yang_parent_name = "destination"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.fixed_id = YLeaf(YType.str, "fixed-id")
                                        self._segment_path = lambda: "gtp"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/include-ports/source/destination/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ip.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp, ['fixed_id'], name, value)


                class KeyControl(Entity):
                    """
                    Configure algorithm control values
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Ip.Cef.LoadSharing.KeyControl, self).__init__()

                        self.yang_name = "key-control"
                        self.yang_parent_name = "load-sharing"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "key-control"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/cef/Cisco-IOS-XE-cef:load-sharing/%s" % self._segment_path()


        class Domain(Entity):
            """
            IP DNS Resolver
            
            .. attribute:: list
            
            	Domain name to complete unqualified host names
            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.List>`
            
            .. attribute:: lookup
            
            	Enable IP Domain Name System hostname translation
            	**type**\: bool
            
            .. attribute:: lookup_settings
            
            	
            	**type**\:  :py:class:`LookupSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings>`
            
            .. attribute:: name
            
            	Define the default domain name
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Domain, self).__init__()

                self.yang_name = "domain"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"list" : ("list", Native.Ip.Domain.List), "lookup-settings" : ("lookup_settings", Native.Ip.Domain.LookupSettings)}
                self._child_list_classes = {}

                self.lookup = YLeaf(YType.boolean, "lookup")

                self.name = YLeaf(YType.str, "name")

                self.list = Native.Ip.Domain.List()
                self.list.parent = self
                self._children_name_map["list"] = "list"
                self._children_yang_names.add("list")

                self.lookup_settings = Native.Ip.Domain.LookupSettings()
                self.lookup_settings.parent = self
                self._children_name_map["lookup_settings"] = "lookup-settings"
                self._children_yang_names.add("lookup-settings")
                self._segment_path = lambda: "domain"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Domain, ['lookup', 'name'], name, value)


            class List(Entity):
                """
                Domain name to complete unqualified host names
                
                .. attribute:: domain_name
                
                	
                	**type**\: str
                
                .. attribute:: vrf
                
                	Specify VRF
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.List.Vrf>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Domain.List, self).__init__()

                    self.yang_name = "list"
                    self.yang_parent_name = "domain"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"vrf" : ("vrf", Native.Ip.Domain.List.Vrf)}
                    self._child_list_classes = {}

                    self.domain_name = YLeaf(YType.str, "domain-name")

                    self.vrf = Native.Ip.Domain.List.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")
                    self._segment_path = lambda: "list"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Domain.List, ['domain_name'], name, value)


                class Vrf(Entity):
                    """
                    Specify VRF
                    
                    .. attribute:: vrf_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: domain_name
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Domain.List.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                        self.domain_name = YLeaf(YType.str, "domain-name")
                        self._segment_path = lambda: "vrf"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain/list/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Domain.List.Vrf, ['vrf_name', 'domain_name'], name, value)


            class LookupSettings(Entity):
                """
                
                
                .. attribute:: lookup
                
                	Enable IP Domain Name System hostname translation
                	**type**\:  :py:class:`Lookup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings.Lookup>`
                
                .. attribute:: name
                
                	Define the default domain name
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Domain.LookupSettings, self).__init__()

                    self.yang_name = "lookup-settings"
                    self.yang_parent_name = "domain"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"lookup" : ("lookup", Native.Ip.Domain.LookupSettings.Lookup)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.lookup = Native.Ip.Domain.LookupSettings.Lookup()
                    self.lookup.parent = self
                    self._children_name_map["lookup"] = "lookup"
                    self._children_yang_names.add("lookup")
                    self._segment_path = lambda: "lookup-settings"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Domain.LookupSettings, ['name'], name, value)


                class Lookup(Entity):
                    """
                    Enable IP Domain Name System hostname translation
                    
                    .. attribute:: nsap
                    
                    	Enable IP DNS queries for CLNS NSAP addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source_interface
                    
                    	Specify source interface for DNS resolver
                    	**type**\:  :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings.Lookup.SourceInterface>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Domain.LookupSettings.Lookup, self).__init__()

                        self.yang_name = "lookup"
                        self.yang_parent_name = "lookup-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"source-interface" : ("source_interface", Native.Ip.Domain.LookupSettings.Lookup.SourceInterface)}
                        self._child_list_classes = {}

                        self.nsap = YLeaf(YType.empty, "nsap")

                        self.source_interface = Native.Ip.Domain.LookupSettings.Lookup.SourceInterface()
                        self.source_interface.parent = self
                        self._children_name_map["source_interface"] = "source-interface"
                        self._children_yang_names.add("source-interface")
                        self._segment_path = lambda: "lookup"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain/lookup-settings/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Domain.LookupSettings.Lookup, ['nsap'], name, value)


                    class SourceInterface(Entity):
                        """
                        Specify source interface for DNS resolver
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.ATMSubinterface>`
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\: str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.ATMACRsubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\: str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\: str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\: str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\: str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\: str
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.LISPSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\: str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\: str
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\: str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\: str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.Domain.LookupSettings.Lookup.SourceInterface, self).__init__()

                            self.yang_name = "source-interface"
                            self.yang_parent_name = "lookup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.PortChannelSubinterface)}
                            self._child_list_classes = {}

                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                            self.atm = YLeaf(YType.str, "ATM")

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                            self.bdi = YLeaf(YType.str, "BDI")

                            self.cem = YLeaf(YType.str, "CEM")

                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                            self.lisp = YLeaf(YType.str, "LISP")

                            self.loopback = YLeaf(YType.uint32, "Loopback")

                            self.multilink = YLeaf(YType.uint16, "Multilink")

                            self.nve = YLeaf(YType.uint16, "nve")

                            self.overlay = YLeaf(YType.uint16, "overlay")

                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                            self.sm = YLeaf(YType.str, "SM")

                            self.cellular = YLeaf(YType.str, "Cellular")

                            self.serial = YLeaf(YType.str, "Serial")

                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                            self.atm_subinterface = Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.ATMSubinterface()
                            self.atm_subinterface.parent = self
                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                            self._children_yang_names.add("ATM-subinterface")

                            self.atm_acrsubinterface = Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.ATMACRsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                            self._children_yang_names.add("ATM-ACRsubinterface")

                            self.lisp_subinterface = Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.LISPSubinterface()
                            self.lisp_subinterface.parent = self
                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                            self._children_yang_names.add("LISP-subinterface")

                            self.port_channel_subinterface = Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                            self._children_yang_names.add("Port-channel-subinterface")
                            self._segment_path = lambda: "source-interface"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain/lookup-settings/lookup/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Domain.LookupSettings.Lookup.SourceInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                        class ATMSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.ATMSubinterface, self).__init__()

                                self.yang_name = "ATM-subinterface"
                                self.yang_parent_name = "source-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm = YLeaf(YType.str, "ATM")
                                self._segment_path = lambda: "ATM-subinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain/lookup-settings/lookup/source-interface/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.ATMSubinterface, ['atm'], name, value)


                        class ATMACRsubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.ATMACRsubinterface, self).__init__()

                                self.yang_name = "ATM-ACRsubinterface"
                                self.yang_parent_name = "source-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                self._segment_path = lambda: "ATM-ACRsubinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain/lookup-settings/lookup/source-interface/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                        class LISPSubinterface(Entity):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.LISPSubinterface, self).__init__()

                                self.yang_name = "LISP-subinterface"
                                self.yang_parent_name = "source-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lisp = YLeaf(YType.str, "LISP")
                                self._segment_path = lambda: "LISP-subinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain/lookup-settings/lookup/source-interface/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.LISPSubinterface, ['lisp'], name, value)


                        class PortChannelSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.PortChannelSubinterface, self).__init__()

                                self.yang_name = "Port-channel-subinterface"
                                self.yang_parent_name = "source-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                self._segment_path = lambda: "Port-channel-subinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain/lookup-settings/lookup/source-interface/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Domain.LookupSettings.Lookup.SourceInterface.PortChannelSubinterface, ['port_channel'], name, value)


        class DomainLookupConf(Entity):
            """
            
            
            .. attribute:: domain_lookup
            
            	
            	**type**\: bool
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.DomainLookupConf, self).__init__()

                self.yang_name = "domain-lookup-conf"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.domain_lookup = YLeaf(YType.boolean, "domain-lookup")
                self._segment_path = lambda: "domain-lookup-conf"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.DomainLookupConf, ['domain_lookup'], name, value)


        class DomainLookup(Entity):
            """
            Enable IP Domain Name System hostname translation
            
            .. attribute:: nsap
            
            	Enable IP DNS queries for CLNS NSAP addresses
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: source_interface
            
            	Specify source interface for DNS resolver
            	**type**\:  :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookup.SourceInterface>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.DomainLookup, self).__init__()

                self.yang_name = "domain-lookup"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"source-interface" : ("source_interface", Native.Ip.DomainLookup.SourceInterface)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.nsap = YLeaf(YType.empty, "nsap")

                self.source_interface = Native.Ip.DomainLookup.SourceInterface()
                self.source_interface.parent = self
                self._children_name_map["source_interface"] = "source-interface"
                self._children_yang_names.add("source-interface")
                self._segment_path = lambda: "domain-lookup"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.DomainLookup, ['nsap'], name, value)


            class SourceInterface(Entity):
                """
                Specify source interface for DNS resolver
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookup.SourceInterface.ATMSubinterface>`
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\: str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookup.SourceInterface.ATMACRsubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\: str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\: str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\: str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\: str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\: str
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookup.SourceInterface.LISPSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.DomainLookup.SourceInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\: str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\: str
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\: str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\: str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.DomainLookup.SourceInterface, self).__init__()

                    self.yang_name = "source-interface"
                    self.yang_parent_name = "domain-lookup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Ip.DomainLookup.SourceInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Ip.DomainLookup.SourceInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Ip.DomainLookup.SourceInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Ip.DomainLookup.SourceInterface.PortChannelSubinterface)}
                    self._child_list_classes = {}

                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                    self.atm = YLeaf(YType.str, "ATM")

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                    self.bdi = YLeaf(YType.str, "BDI")

                    self.cem = YLeaf(YType.str, "CEM")

                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                    self.lisp = YLeaf(YType.str, "LISP")

                    self.loopback = YLeaf(YType.uint32, "Loopback")

                    self.multilink = YLeaf(YType.uint16, "Multilink")

                    self.nve = YLeaf(YType.uint16, "nve")

                    self.overlay = YLeaf(YType.uint16, "overlay")

                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                    self.sm = YLeaf(YType.str, "SM")

                    self.cellular = YLeaf(YType.str, "Cellular")

                    self.serial = YLeaf(YType.str, "Serial")

                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                    self.vlan = YLeaf(YType.uint16, "Vlan")

                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                    self.atm_subinterface = Native.Ip.DomainLookup.SourceInterface.ATMSubinterface()
                    self.atm_subinterface.parent = self
                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                    self._children_yang_names.add("ATM-subinterface")

                    self.atm_acrsubinterface = Native.Ip.DomainLookup.SourceInterface.ATMACRsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                    self._children_yang_names.add("ATM-ACRsubinterface")

                    self.lisp_subinterface = Native.Ip.DomainLookup.SourceInterface.LISPSubinterface()
                    self.lisp_subinterface.parent = self
                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                    self._children_yang_names.add("LISP-subinterface")

                    self.port_channel_subinterface = Native.Ip.DomainLookup.SourceInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                    self._children_yang_names.add("Port-channel-subinterface")
                    self._segment_path = lambda: "source-interface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain-lookup/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.DomainLookup.SourceInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                class ATMSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.DomainLookup.SourceInterface.ATMSubinterface, self).__init__()

                        self.yang_name = "ATM-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm = YLeaf(YType.str, "ATM")
                        self._segment_path = lambda: "ATM-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain-lookup/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.DomainLookup.SourceInterface.ATMSubinterface, ['atm'], name, value)


                class ATMACRsubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.DomainLookup.SourceInterface.ATMACRsubinterface, self).__init__()

                        self.yang_name = "ATM-ACRsubinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                        self._segment_path = lambda: "ATM-ACRsubinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain-lookup/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.DomainLookup.SourceInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                class LISPSubinterface(Entity):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.DomainLookup.SourceInterface.LISPSubinterface, self).__init__()

                        self.yang_name = "LISP-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.lisp = YLeaf(YType.str, "LISP")
                        self._segment_path = lambda: "LISP-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain-lookup/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.DomainLookup.SourceInterface.LISPSubinterface, ['lisp'], name, value)


                class PortChannelSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.DomainLookup.SourceInterface.PortChannelSubinterface, self).__init__()

                        self.yang_name = "Port-channel-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_channel = YLeaf(YType.str, "Port-channel")
                        self._segment_path = lambda: "Port-channel-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/domain-lookup/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.DomainLookup.SourceInterface.PortChannelSubinterface, ['port_channel'], name, value)


        class Dns(Entity):
            """
            Configure DNS server for a zone
            
            .. attribute:: server
            
            	Enable DNS server
            	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dns.Server>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Dns, self).__init__()

                self.yang_name = "dns"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"server" : ("server", Native.Ip.Dns.Server)}
                self._child_list_classes = {}

                self.server = None
                self._children_name_map["server"] = "server"
                self._children_yang_names.add("server")
                self._segment_path = lambda: "dns"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()


            class Server(Entity):
                """
                Enable DNS server
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Dns.Server, self).__init__()

                    self.yang_name = "server"
                    self.yang_parent_name = "dns"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True
                    self._segment_path = lambda: "server"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dns/%s" % self._segment_path()


        class Dhcp(Entity):
            """
            Configure DHCP server and relay parameters
            
            .. attribute:: bootp
            
            	BOOTP specific configuration
            	**type**\:  :py:class:`Bootp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Bootp>`
            
            .. attribute:: class_
            
            	Configure DHCP classes
            	**type**\: list of  		 :py:class:`Class_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Class_>`
            
            .. attribute:: conflict
            
            	DHCP address conflict parameters
            	**type**\:  :py:class:`Conflict <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Conflict>`
            
            .. attribute:: excluded_address
            
            	Prevent DHCP from assigning certain addresses
            	**type**\: list of  		 :py:class:`ExcludedAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.ExcludedAddress>`
            
            .. attribute:: relay
            
            	DHCP relay agent parameters
            	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Relay>`
            
            .. attribute:: pool
            
            	Configure DHCP address pools
            	**type**\: list of  		 :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool>`
            
            .. attribute:: smart_relay
            
            	Enable Smart Relay feature
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: snooping_conf
            
            	
            	**type**\:  :py:class:`SnoopingConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.SnoopingConf>`
            
            .. attribute:: snooping
            
            	DHCP Snooping
            	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Dhcp, self).__init__()

                self.yang_name = "dhcp"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-dhcp:bootp" : ("bootp", Native.Ip.Dhcp.Bootp), "Cisco-IOS-XE-dhcp:conflict" : ("conflict", Native.Ip.Dhcp.Conflict), "Cisco-IOS-XE-dhcp:relay" : ("relay", Native.Ip.Dhcp.Relay), "Cisco-IOS-XE-dhcp:snooping-conf" : ("snooping_conf", Native.Ip.Dhcp.SnoopingConf), "Cisco-IOS-XE-dhcp:snooping" : ("snooping", Native.Ip.Dhcp.Snooping)}
                self._child_list_classes = {"Cisco-IOS-XE-dhcp:class" : ("class_", Native.Ip.Dhcp.Class_), "Cisco-IOS-XE-dhcp:excluded-address" : ("excluded_address", Native.Ip.Dhcp.ExcludedAddress), "Cisco-IOS-XE-dhcp:pool" : ("pool", Native.Ip.Dhcp.Pool)}

                self.smart_relay = YLeaf(YType.empty, "Cisco-IOS-XE-dhcp:smart-relay")

                self.bootp = Native.Ip.Dhcp.Bootp()
                self.bootp.parent = self
                self._children_name_map["bootp"] = "bootp"
                self._children_yang_names.add("bootp")

                self.conflict = Native.Ip.Dhcp.Conflict()
                self.conflict.parent = self
                self._children_name_map["conflict"] = "conflict"
                self._children_yang_names.add("conflict")

                self.relay = Native.Ip.Dhcp.Relay()
                self.relay.parent = self
                self._children_name_map["relay"] = "relay"
                self._children_yang_names.add("relay")

                self.snooping_conf = Native.Ip.Dhcp.SnoopingConf()
                self.snooping_conf.parent = self
                self._children_name_map["snooping_conf"] = "snooping-conf"
                self._children_yang_names.add("snooping-conf")

                self.snooping = Native.Ip.Dhcp.Snooping()
                self.snooping.parent = self
                self._children_name_map["snooping"] = "snooping"
                self._children_yang_names.add("snooping")

                self.class_ = YList(self)
                self.excluded_address = YList(self)
                self.pool = YList(self)
                self._segment_path = lambda: "dhcp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Dhcp, ['smart_relay'], name, value)


            class Bootp(Entity):
                """
                BOOTP specific configuration
                
                .. attribute:: ignore
                
                	Configure this DHCP server to ignore to BOOTP requests
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.Dhcp.Bootp, self).__init__()

                    self.yang_name = "bootp"
                    self.yang_parent_name = "dhcp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ignore = YLeaf(YType.empty, "ignore")
                    self._segment_path = lambda: "Cisco-IOS-XE-dhcp:bootp"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Dhcp.Bootp, ['ignore'], name, value)


            class Class_(Entity):
                """
                Configure DHCP classes
                
                .. attribute:: id  <key>
                
                	
                	**type**\: str
                
                .. attribute:: relay
                
                	Enter relay agent information option configuration submode
                	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Class_.Relay>`
                
                .. attribute:: remark
                
                	Specify a remark for this class
                	**type**\: str
                
                	**length:** 1..240
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.Dhcp.Class_, self).__init__()

                    self.yang_name = "class"
                    self.yang_parent_name = "dhcp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"relay" : ("relay", Native.Ip.Dhcp.Class_.Relay)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.remark = YLeaf(YType.str, "remark")

                    self.relay = Native.Ip.Dhcp.Class_.Relay()
                    self.relay.parent = self
                    self._children_name_map["relay"] = "relay"
                    self._children_yang_names.add("relay")
                    self._segment_path = lambda: "Cisco-IOS-XE-dhcp:class" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Dhcp.Class_, ['id', 'remark'], name, value)


                class Relay(Entity):
                    """
                    Enter relay agent information option configuration submode
                    
                    .. attribute:: agent
                    
                    	Enter relay agent information option configuration submode
                    	**type**\:  :py:class:`Agent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Class_.Relay.Agent>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.Dhcp.Class_.Relay, self).__init__()

                        self.yang_name = "relay"
                        self.yang_parent_name = "class"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"agent" : ("agent", Native.Ip.Dhcp.Class_.Relay.Agent)}
                        self._child_list_classes = {}

                        self.agent = Native.Ip.Dhcp.Class_.Relay.Agent()
                        self.agent.parent = self
                        self._children_name_map["agent"] = "agent"
                        self._children_yang_names.add("agent")
                        self._segment_path = lambda: "relay"


                    class Agent(Entity):
                        """
                        Enter relay agent information option configuration submode
                        
                        .. attribute:: information
                        
                        	Enter relay agent information option configuration submode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.Dhcp.Class_.Relay.Agent, self).__init__()

                            self.yang_name = "agent"
                            self.yang_parent_name = "relay"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.information = YLeaf(YType.empty, "information")
                            self._segment_path = lambda: "agent"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Dhcp.Class_.Relay.Agent, ['information'], name, value)


            class Conflict(Entity):
                """
                DHCP address conflict parameters
                
                .. attribute:: logging
                
                	Record address conflicts in a log file
                	**type**\: bool
                
                .. attribute:: resolution
                
                	DHCP address conflict resolution
                	**type**\:  :py:class:`Resolution <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Conflict.Resolution>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.Dhcp.Conflict, self).__init__()

                    self.yang_name = "conflict"
                    self.yang_parent_name = "dhcp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"resolution" : ("resolution", Native.Ip.Dhcp.Conflict.Resolution)}
                    self._child_list_classes = {}

                    self.logging = YLeaf(YType.boolean, "logging")

                    self.resolution = None
                    self._children_name_map["resolution"] = "resolution"
                    self._children_yang_names.add("resolution")
                    self._segment_path = lambda: "Cisco-IOS-XE-dhcp:conflict"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Dhcp.Conflict, ['logging'], name, value)


                class Resolution(Entity):
                    """
                    DHCP address conflict resolution
                    
                    .. attribute:: interval
                    
                    	Time in Minutes
                    	**type**\: int
                    
                    	**range:** 5..1440
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.Dhcp.Conflict.Resolution, self).__init__()

                        self.yang_name = "resolution"
                        self.yang_parent_name = "conflict"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.interval = YLeaf(YType.uint32, "interval")
                        self._segment_path = lambda: "resolution"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/Cisco-IOS-XE-dhcp:conflict/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Dhcp.Conflict.Resolution, ['interval'], name, value)


            class ExcludedAddress(Entity):
                """
                Prevent DHCP from assigning certain addresses
                
                .. attribute:: low_address  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: vrf
                
                	VRF name for excluded address range
                	**type**\: str
                
                .. attribute:: high_address
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.Dhcp.ExcludedAddress, self).__init__()

                    self.yang_name = "excluded-address"
                    self.yang_parent_name = "dhcp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.low_address = YLeaf(YType.str, "low-address")

                    self.vrf = YLeaf(YType.str, "vrf")

                    self.high_address = YLeaf(YType.str, "high-address")
                    self._segment_path = lambda: "Cisco-IOS-XE-dhcp:excluded-address" + "[low-address='" + self.low_address.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Dhcp.ExcludedAddress, ['low_address', 'vrf', 'high_address'], name, value)


            class Relay(Entity):
                """
                DHCP relay agent parameters
                
                .. attribute:: information
                
                	Relay agent information option
                	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Relay.Information>`
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.Dhcp.Relay, self).__init__()

                    self.yang_name = "relay"
                    self.yang_parent_name = "dhcp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"information" : ("information", Native.Ip.Dhcp.Relay.Information)}
                    self._child_list_classes = {}

                    self.information = Native.Ip.Dhcp.Relay.Information()
                    self.information.parent = self
                    self._children_name_map["information"] = "information"
                    self._children_yang_names.add("information")
                    self._segment_path = lambda: "Cisco-IOS-XE-dhcp:relay"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/%s" % self._segment_path()


                class Information(Entity):
                    """
                    Relay agent information option
                    
                    .. attribute:: trust_all
                    
                    	Received DHCP packets may contain relay info option with zero giaddr
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: option
                    
                    	Insert relay information in BOOTREQUEST
                    	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Relay.Information.Option>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.Dhcp.Relay.Information, self).__init__()

                        self.yang_name = "information"
                        self.yang_parent_name = "relay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"option" : ("option", Native.Ip.Dhcp.Relay.Information.Option)}
                        self._child_list_classes = {}

                        self.trust_all = YLeaf(YType.empty, "trust-all")

                        self.option = Native.Ip.Dhcp.Relay.Information.Option()
                        self.option.parent = self
                        self._children_name_map["option"] = "option"
                        self._children_yang_names.add("option")
                        self._segment_path = lambda: "information"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/Cisco-IOS-XE-dhcp:relay/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Dhcp.Relay.Information, ['trust_all'], name, value)


                    class Option(Entity):
                        """
                        Insert relay information in BOOTREQUEST
                        
                        .. attribute:: option_default
                        
                        	Default option, no vpn
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vpn
                        
                        	Insert VPN sub\-options and change the giaddr to the outgoing interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.Dhcp.Relay.Information.Option, self).__init__()

                            self.yang_name = "option"
                            self.yang_parent_name = "information"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.option_default = YLeaf(YType.empty, "option-default")

                            self.vpn = YLeaf(YType.empty, "vpn")
                            self._segment_path = lambda: "option"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/Cisco-IOS-XE-dhcp:relay/information/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Dhcp.Relay.Information.Option, ['option_default', 'vpn'], name, value)


            class Pool(Entity):
                """
                Configure DHCP address pools
                
                .. attribute:: id  <key>
                
                	
                	**type**\: str
                
                .. attribute:: option
                
                	Raw DHCP options
                	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool.Option>`
                
                .. attribute:: class_
                
                	Specify a DHCP class
                	**type**\: list of  		 :py:class:`Class_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool.Class_>`
                
                .. attribute:: vrf
                
                	Associate this pool with a VRF
                	**type**\: str
                
                .. attribute:: lease
                
                	Address lease time
                	**type**\: list of  		 :py:class:`Lease <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool.Lease>`
                
                .. attribute:: default_router
                
                	Default routers
                	**type**\: union of the below types:
                
                		**type**\: list of str
                
                		**type**\: list of str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: dns_server
                
                	DNS servers
                	**type**\: union of the below types:
                
                		**type**\: list of str
                
                		**type**\: list of str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: domain_name
                
                	Domain name
                	**type**\: str
                
                .. attribute:: network
                
                	Network number and mask
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool.Network>`
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.Dhcp.Pool, self).__init__()

                    self.yang_name = "pool"
                    self.yang_parent_name = "dhcp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"option" : ("option", Native.Ip.Dhcp.Pool.Option), "network" : ("network", Native.Ip.Dhcp.Pool.Network)}
                    self._child_list_classes = {"class" : ("class_", Native.Ip.Dhcp.Pool.Class_), "lease" : ("lease", Native.Ip.Dhcp.Pool.Lease)}

                    self.id = YLeaf(YType.str, "id")

                    self.vrf = YLeaf(YType.str, "vrf")

                    self.default_router = YLeafList(YType.str, "default-router")

                    self.dns_server = YLeafList(YType.str, "dns-server")

                    self.domain_name = YLeaf(YType.str, "domain-name")

                    self.option = Native.Ip.Dhcp.Pool.Option()
                    self.option.parent = self
                    self._children_name_map["option"] = "option"
                    self._children_yang_names.add("option")

                    self.network = Native.Ip.Dhcp.Pool.Network()
                    self.network.parent = self
                    self._children_name_map["network"] = "network"
                    self._children_yang_names.add("network")

                    self.class_ = YList(self)
                    self.lease = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-dhcp:pool" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Dhcp.Pool, ['id', 'vrf', 'default_router', 'dns_server', 'domain_name'], name, value)


                class Option(Entity):
                    """
                    Raw DHCP options
                    
                    .. attribute:: option_range
                    
                    	
                    	**type**\: list of  		 :py:class:`OptionRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool.Option.OptionRange>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.Dhcp.Pool.Option, self).__init__()

                        self.yang_name = "option"
                        self.yang_parent_name = "pool"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"option-range" : ("option_range", Native.Ip.Dhcp.Pool.Option.OptionRange)}

                        self.option_range = YList(self)
                        self._segment_path = lambda: "option"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Dhcp.Pool.Option, [], name, value)


                    class OptionRange(Entity):
                        """
                        
                        
                        .. attribute:: option_range  <key>
                        
                        	DHCP option code
                        	**type**\: int
                        
                        	**range:** 0..254
                        
                        .. attribute:: ascii
                        
                        	Data is an NVT ASCII string
                        	**type**\: str
                        
                        .. attribute:: hex
                        
                        	Data is a hexadecimal string
                        	**type**\:  :py:class:`Hex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool.Option.OptionRange.Hex>`
                        
                        .. attribute:: ip
                        
                        	Data is one or more IP addresses
                        	**type**\: union of the below types:
                        
                        		**type**\: list of str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: list of str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: list of str
                        
                        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.Dhcp.Pool.Option.OptionRange, self).__init__()

                            self.yang_name = "option-range"
                            self.yang_parent_name = "option"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hex" : ("hex", Native.Ip.Dhcp.Pool.Option.OptionRange.Hex)}
                            self._child_list_classes = {}

                            self.option_range = YLeaf(YType.uint8, "option-range")

                            self.ascii = YLeaf(YType.str, "ascii")

                            self.ip = YLeafList(YType.str, "ip")

                            self.hex = Native.Ip.Dhcp.Pool.Option.OptionRange.Hex()
                            self.hex.parent = self
                            self._children_name_map["hex"] = "hex"
                            self._children_yang_names.add("hex")
                            self._segment_path = lambda: "option-range" + "[option-range='" + self.option_range.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Dhcp.Pool.Option.OptionRange, ['option_range', 'ascii', 'ip'], name, value)


                        class Hex(Entity):
                            """
                            Data is a hexadecimal string
                            
                            .. attribute:: hex_line
                            
                            	Hexadecimal string, truncated to 180 hex characters entered
                            	**type**\: str
                            
                            .. attribute:: none
                            
                            	No data
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Ip.Dhcp.Pool.Option.OptionRange.Hex, self).__init__()

                                self.yang_name = "hex"
                                self.yang_parent_name = "option-range"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hex_line = YLeaf(YType.str, "hex-line")

                                self.none = YLeaf(YType.empty, "none")
                                self._segment_path = lambda: "hex"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Dhcp.Pool.Option.OptionRange.Hex, ['hex_line', 'none'], name, value)


                class Class_(Entity):
                    """
                    Specify a DHCP class
                    
                    .. attribute:: name  <key>
                    
                    	DHCP class name
                    	**type**\: str
                    
                    .. attribute:: address
                    
                    	Specify an address range for this class
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool.Class_.Address>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.Dhcp.Pool.Class_, self).__init__()

                        self.yang_name = "class"
                        self.yang_parent_name = "pool"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.Ip.Dhcp.Pool.Class_.Address)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.address = Native.Ip.Dhcp.Pool.Class_.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")
                        self._segment_path = lambda: "class" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Dhcp.Pool.Class_, ['name'], name, value)


                    class Address(Entity):
                        """
                        Specify an address range for this class
                        
                        .. attribute:: range
                        
                        	
                        	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Pool.Class_.Address.Range>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.Dhcp.Pool.Class_.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"range" : ("range", Native.Ip.Dhcp.Pool.Class_.Address.Range)}
                            self._child_list_classes = {}

                            self.range = Native.Ip.Dhcp.Pool.Class_.Address.Range()
                            self.range.parent = self
                            self._children_name_map["range"] = "range"
                            self._children_yang_names.add("range")
                            self._segment_path = lambda: "address"


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: ipv4_start
                            
                            	Start IP address
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_end
                            
                            	End IP address
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Ip.Dhcp.Pool.Class_.Address.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_start = YLeaf(YType.str, "ipv4-start")

                                self.ipv4_end = YLeaf(YType.str, "ipv4-end")
                                self._segment_path = lambda: "range"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Dhcp.Pool.Class_.Address.Range, ['ipv4_start', 'ipv4_end'], name, value)


                class Lease(Entity):
                    """
                    Address lease time
                    
                    .. attribute:: days  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..365
                    
                    .. attribute:: hours
                    
                    	Hours
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: minutes
                    
                    	Minutes
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.Dhcp.Pool.Lease, self).__init__()

                        self.yang_name = "lease"
                        self.yang_parent_name = "pool"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.days = YLeaf(YType.uint16, "Days")

                        self.hours = YLeaf(YType.uint8, "Hours")

                        self.minutes = YLeaf(YType.uint8, "Minutes")
                        self._segment_path = lambda: "lease" + "[Days='" + self.days.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Dhcp.Pool.Lease, ['days', 'hours', 'minutes'], name, value)


                class Network(Entity):
                    """
                    Network number and mask
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: secondary
                    
                    	Configure as secondary subnet
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.Dhcp.Pool.Network, self).__init__()

                        self.yang_name = "network"
                        self.yang_parent_name = "pool"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.str, "number")

                        self.mask = YLeaf(YType.str, "mask")

                        self.secondary = YLeaf(YType.empty, "secondary")
                        self._segment_path = lambda: "network"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Dhcp.Pool.Network, ['number', 'mask', 'secondary'], name, value)


            class SnoopingConf(Entity):
                """
                
                
                .. attribute:: snooping
                
                	DHCP Snooping
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.Dhcp.SnoopingConf, self).__init__()

                    self.yang_name = "snooping-conf"
                    self.yang_parent_name = "dhcp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.snooping = YLeaf(YType.empty, "snooping")
                    self._segment_path = lambda: "Cisco-IOS-XE-dhcp:snooping-conf"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Dhcp.SnoopingConf, ['snooping'], name, value)


            class Snooping(Entity):
                """
                DHCP Snooping
                
                .. attribute:: database
                
                	DHCP snooping database agent
                	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Database>`
                
                .. attribute:: information
                
                	DHCP Snooping information
                	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Information>`
                
                .. attribute:: track
                
                	DHCP snooping track
                	**type**\:  :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Track>`
                
                .. attribute:: verify
                
                	DHCP snooping verify
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Verify>`
                
                .. attribute:: vlan
                
                	DHCP Snooping vlan
                	**type**\: str
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.Dhcp.Snooping, self).__init__()

                    self.yang_name = "snooping"
                    self.yang_parent_name = "dhcp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"database" : ("database", Native.Ip.Dhcp.Snooping.Database), "information" : ("information", Native.Ip.Dhcp.Snooping.Information), "track" : ("track", Native.Ip.Dhcp.Snooping.Track), "verify" : ("verify", Native.Ip.Dhcp.Snooping.Verify)}
                    self._child_list_classes = {}

                    self.vlan = YLeaf(YType.str, "vlan")

                    self.database = Native.Ip.Dhcp.Snooping.Database()
                    self.database.parent = self
                    self._children_name_map["database"] = "database"
                    self._children_yang_names.add("database")

                    self.information = Native.Ip.Dhcp.Snooping.Information()
                    self.information.parent = self
                    self._children_name_map["information"] = "information"
                    self._children_yang_names.add("information")

                    self.track = Native.Ip.Dhcp.Snooping.Track()
                    self.track.parent = self
                    self._children_name_map["track"] = "track"
                    self._children_yang_names.add("track")

                    self.verify = Native.Ip.Dhcp.Snooping.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")
                    self._segment_path = lambda: "Cisco-IOS-XE-dhcp:snooping"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Dhcp.Snooping, ['vlan'], name, value)


                class Database(Entity):
                    """
                    DHCP snooping database agent
                    
                    .. attribute:: url
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: timeout
                    
                    	Configure abort timeout interval
                    	**type**\: int
                    
                    	**range:** 0..86400
                    
                    .. attribute:: write_delay
                    
                    	Configure delay timer for writes to URL
                    	**type**\: int
                    
                    	**range:** 15..86400
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.Dhcp.Snooping.Database, self).__init__()

                        self.yang_name = "database"
                        self.yang_parent_name = "snooping"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.url = YLeaf(YType.str, "url")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.write_delay = YLeaf(YType.uint32, "write-delay")
                        self._segment_path = lambda: "database"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/Cisco-IOS-XE-dhcp:snooping/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Dhcp.Snooping.Database, ['url', 'timeout', 'write_delay'], name, value)


                class Information(Entity):
                    """
                    DHCP Snooping information
                    
                    .. attribute:: option_conf
                    
                    	
                    	**type**\: bool
                    
                    .. attribute:: option
                    
                    	DHCP Snooping information option
                    	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Information.Option>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.Dhcp.Snooping.Information, self).__init__()

                        self.yang_name = "information"
                        self.yang_parent_name = "snooping"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"option" : ("option", Native.Ip.Dhcp.Snooping.Information.Option)}
                        self._child_list_classes = {}

                        self.option_conf = YLeaf(YType.boolean, "option-conf")

                        self.option = None
                        self._children_name_map["option"] = "option"
                        self._children_yang_names.add("option")
                        self._segment_path = lambda: "information"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/Cisco-IOS-XE-dhcp:snooping/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Dhcp.Snooping.Information, ['option_conf'], name, value)


                    class Option(Entity):
                        """
                        DHCP Snooping information option
                        
                        .. attribute:: allow_untrusted
                        
                        	DHCP Snooping information option allow\-untrusted
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: format
                        
                        	Option 82 information format
                        	**type**\:  :py:class:`Format <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Information.Option.Format>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.Dhcp.Snooping.Information.Option, self).__init__()

                            self.yang_name = "option"
                            self.yang_parent_name = "information"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"format" : ("format", Native.Ip.Dhcp.Snooping.Information.Option.Format)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.allow_untrusted = YLeaf(YType.empty, "allow-untrusted")

                            self.format = Native.Ip.Dhcp.Snooping.Information.Option.Format()
                            self.format.parent = self
                            self._children_name_map["format"] = "format"
                            self._children_yang_names.add("format")
                            self._segment_path = lambda: "option"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/Cisco-IOS-XE-dhcp:snooping/information/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Dhcp.Snooping.Information.Option, ['allow_untrusted'], name, value)


                        class Format(Entity):
                            """
                            Option 82 information format
                            
                            .. attribute:: remote_id
                            
                            	Remote id option 82 format
                            	**type**\:  :py:class:`RemoteId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Dhcp.Snooping.Information.Option.Format.RemoteId>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Ip.Dhcp.Snooping.Information.Option.Format, self).__init__()

                                self.yang_name = "format"
                                self.yang_parent_name = "option"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"remote-id" : ("remote_id", Native.Ip.Dhcp.Snooping.Information.Option.Format.RemoteId)}
                                self._child_list_classes = {}

                                self.remote_id = Native.Ip.Dhcp.Snooping.Information.Option.Format.RemoteId()
                                self.remote_id.parent = self
                                self._children_name_map["remote_id"] = "remote-id"
                                self._children_yang_names.add("remote-id")
                                self._segment_path = lambda: "format"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/Cisco-IOS-XE-dhcp:snooping/information/option/%s" % self._segment_path()


                            class RemoteId(Entity):
                                """
                                Remote id option 82 format
                                
                                .. attribute:: hostname
                                
                                	Use configured hostname for remote id
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: string
                                
                                	User defined string for remote id
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Ip.Dhcp.Snooping.Information.Option.Format.RemoteId, self).__init__()

                                    self.yang_name = "remote-id"
                                    self.yang_parent_name = "format"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hostname = YLeaf(YType.empty, "hostname")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "remote-id"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/Cisco-IOS-XE-dhcp:snooping/information/option/format/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Dhcp.Snooping.Information.Option.Format.RemoteId, ['hostname', 'string'], name, value)


                class Track(Entity):
                    """
                    DHCP snooping track
                    
                    .. attribute:: host
                    
                    	DHCP snooping track host
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.Dhcp.Snooping.Track, self).__init__()

                        self.yang_name = "track"
                        self.yang_parent_name = "snooping"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.host = YLeaf(YType.empty, "host")
                        self._segment_path = lambda: "track"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/Cisco-IOS-XE-dhcp:snooping/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Dhcp.Snooping.Track, ['host'], name, value)


                class Verify(Entity):
                    """
                    DHCP snooping verify
                    
                    .. attribute:: mac_address
                    
                    	DHCP snooping verify mac\-address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_relay_agent_address
                    
                    	DHCP snooping verify giaddr
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.Dhcp.Snooping.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "snooping"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.mac_address = YLeaf(YType.empty, "mac-address")

                        self.no_relay_agent_address = YLeaf(YType.empty, "no-relay-agent-address")
                        self._segment_path = lambda: "verify"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/dhcp/Cisco-IOS-XE-dhcp:snooping/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Dhcp.Snooping.Verify, ['mac_address', 'no_relay_agent_address'], name, value)


        class ForwardProtocol(Entity):
            """
            Controls forwarding of physical and directed IP broadcasts
            
            .. attribute:: protocol
            
            	
            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ForwardProtocol.Protocol>`
            
            .. attribute:: spanning_tree
            
            	Use transparent bridging to flood UDP broadcasts
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ForwardProtocol.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: udp
            
            	Packets to a specific UDP port
            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ForwardProtocol.Udp>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.ForwardProtocol, self).__init__()

                self.yang_name = "forward-protocol"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Ip.ForwardProtocol.SpanningTree), "udp" : ("udp", Native.Ip.ForwardProtocol.Udp)}
                self._child_list_classes = {}

                self.protocol = YLeaf(YType.enumeration, "protocol")

                self.spanning_tree = None
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.udp = Native.Ip.ForwardProtocol.Udp()
                self.udp.parent = self
                self._children_name_map["udp"] = "udp"
                self._children_yang_names.add("udp")
                self._segment_path = lambda: "forward-protocol"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.ForwardProtocol, ['protocol'], name, value)

            class Protocol(Enum):
                """
                Protocol

                .. data:: nd = 0

                .. data:: sdns = 1

                .. data:: turbo_flood = 2

                """

                nd = Enum.YLeaf(0, "nd")

                sdns = Enum.YLeaf(1, "sdns")

                turbo_flood = Enum.YLeaf(2, "turbo-flood")



            class SpanningTree(Entity):
                """
                Use transparent bridging to flood UDP broadcasts
                
                .. attribute:: any_local_broadcast
                
                	Accept any local broadcast when flooding
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.ForwardProtocol.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "forward-protocol"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.any_local_broadcast = YLeaf(YType.empty, "any-local-broadcast")
                    self._segment_path = lambda: "spanning-tree"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/forward-protocol/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.ForwardProtocol.SpanningTree, ['any_local_broadcast'], name, value)


            class Udp(Entity):
                """
                Packets to a specific UDP port
                
                .. attribute:: biff
                
                	Biff (mail notification, comsat, 512)
                	**type**\: bool
                
                .. attribute:: bootpc
                
                	Bootstrap Protocol (BOOTP) client (68)
                	**type**\: bool
                
                .. attribute:: bootps
                
                	Bootstrap Protocol (BOOTP) server (67)
                	**type**\: bool
                
                .. attribute:: discard
                
                	Discard (9)
                	**type**\: bool
                
                .. attribute:: dnsix
                
                	DNSIX security protocol auditing (195)
                	**type**\: bool
                
                .. attribute:: domain
                
                	Domain Name Service (DNS, 53)
                	**type**\: bool
                
                .. attribute:: echo
                
                	Echo (7)
                	**type**\: bool
                
                .. attribute:: isakmp
                
                	Internet Security Association and Key Management Protocol(500)
                	**type**\: bool
                
                .. attribute:: mobile_ip
                
                	Mobile IP registration (434)
                	**type**\: bool
                
                .. attribute:: nameserver
                
                	IEN116 name service (obsolete, 42)
                	**type**\: bool
                
                .. attribute:: netbios_dgm
                
                	NetBios datagram service (138)
                	**type**\: bool
                
                .. attribute:: netbios_ns
                
                	NetBios name service (137)
                	**type**\: bool
                
                .. attribute:: netbios_ss
                
                	NetBios session service (139)
                	**type**\: bool
                
                .. attribute:: non500_isakmp
                
                	Internet Security Association and Key Management Protocol(4500)
                	**type**\: bool
                
                .. attribute:: ntp
                
                	Network Time Protocol (123)
                	**type**\: bool
                
                .. attribute:: pim_auto_rp
                
                	PIM Auto\-RP (496)
                	**type**\: bool
                
                .. attribute:: rip
                
                	Routing Information Protocol (router, in.routed, 520)
                	**type**\: bool
                
                .. attribute:: snmp
                
                	Simple Network Management Protocol (161)
                	**type**\: bool
                
                .. attribute:: snmptrap
                
                	SNMP Traps (162)
                	**type**\: bool
                
                .. attribute:: sunrpc
                
                	Sun Remote Procedure Call (111)
                	**type**\: bool
                
                .. attribute:: syslog
                
                	System Logger (514)
                	**type**\: bool
                
                .. attribute:: tacacs
                
                	TAC Access Control System (49)
                	**type**\: bool
                
                .. attribute:: talk
                
                	Talk (517)
                	**type**\: bool
                
                .. attribute:: tftp
                
                	Trivial File Transfer Protocol (69)
                	**type**\: bool
                
                .. attribute:: time
                
                	Time (37)
                	**type**\: bool
                
                .. attribute:: who
                
                	Who service (rwho, 513)
                	**type**\: bool
                
                .. attribute:: xdmcp
                
                	X Display Manager Control Protocol (177)
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.ForwardProtocol.Udp, self).__init__()

                    self.yang_name = "udp"
                    self.yang_parent_name = "forward-protocol"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.biff = YLeaf(YType.boolean, "biff")

                    self.bootpc = YLeaf(YType.boolean, "bootpc")

                    self.bootps = YLeaf(YType.boolean, "bootps")

                    self.discard = YLeaf(YType.boolean, "discard")

                    self.dnsix = YLeaf(YType.boolean, "dnsix")

                    self.domain = YLeaf(YType.boolean, "domain")

                    self.echo = YLeaf(YType.boolean, "echo")

                    self.isakmp = YLeaf(YType.boolean, "isakmp")

                    self.mobile_ip = YLeaf(YType.boolean, "mobile-ip")

                    self.nameserver = YLeaf(YType.boolean, "nameserver")

                    self.netbios_dgm = YLeaf(YType.boolean, "netbios-dgm")

                    self.netbios_ns = YLeaf(YType.boolean, "netbios-ns")

                    self.netbios_ss = YLeaf(YType.boolean, "netbios-ss")

                    self.non500_isakmp = YLeaf(YType.boolean, "non500-isakmp")

                    self.ntp = YLeaf(YType.boolean, "ntp")

                    self.pim_auto_rp = YLeaf(YType.boolean, "pim-auto-rp")

                    self.rip = YLeaf(YType.boolean, "rip")

                    self.snmp = YLeaf(YType.boolean, "snmp")

                    self.snmptrap = YLeaf(YType.boolean, "snmptrap")

                    self.sunrpc = YLeaf(YType.boolean, "sunrpc")

                    self.syslog = YLeaf(YType.boolean, "syslog")

                    self.tacacs = YLeaf(YType.boolean, "tacacs")

                    self.talk = YLeaf(YType.boolean, "talk")

                    self.tftp = YLeaf(YType.boolean, "tftp")

                    self.time = YLeaf(YType.boolean, "time")

                    self.who = YLeaf(YType.boolean, "who")

                    self.xdmcp = YLeaf(YType.boolean, "xdmcp")
                    self._segment_path = lambda: "udp"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/forward-protocol/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.ForwardProtocol.Udp, ['biff', 'bootpc', 'bootps', 'discard', 'dnsix', 'domain', 'echo', 'isakmp', 'mobile_ip', 'nameserver', 'netbios_dgm', 'netbios_ns', 'netbios_ss', 'non500_isakmp', 'ntp', 'pim_auto_rp', 'rip', 'snmp', 'snmptrap', 'sunrpc', 'syslog', 'tacacs', 'talk', 'tftp', 'time', 'who', 'xdmcp'], name, value)


        class GratuitousArpsConf(Entity):
            """
            
            
            .. attribute:: gratuitous_arps
            
            	
            	**type**\: bool
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.GratuitousArpsConf, self).__init__()

                self.yang_name = "gratuitous-arps-conf"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.gratuitous_arps = YLeaf(YType.boolean, "gratuitous-arps")
                self._segment_path = lambda: "gratuitous-arps-conf"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.GratuitousArpsConf, ['gratuitous_arps'], name, value)


        class Ftp(Entity):
            """
            FTP configuration commands
            
            .. attribute:: source_interface
            
            	Specify interface for source address in FTP connections
            	**type**\:  :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.SourceInterface>`
            
            .. attribute:: passive
            
            	Connect using passive mode
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: password
            
            	Specify password for FTP connections;
            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.Password>`
            
            .. attribute:: username
            
            	Specify username for FTP connections
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Ftp, self).__init__()

                self.yang_name = "ftp"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"source-interface" : ("source_interface", Native.Ip.Ftp.SourceInterface), "password" : ("password", Native.Ip.Ftp.Password)}
                self._child_list_classes = {}

                self.passive = YLeaf(YType.empty, "passive")

                self.username = YLeaf(YType.str, "username")

                self.source_interface = Native.Ip.Ftp.SourceInterface()
                self.source_interface.parent = self
                self._children_name_map["source_interface"] = "source-interface"
                self._children_yang_names.add("source-interface")

                self.password = Native.Ip.Ftp.Password()
                self.password.parent = self
                self._children_name_map["password"] = "password"
                self._children_yang_names.add("password")
                self._segment_path = lambda: "ftp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Ftp, ['passive', 'username'], name, value)


            class SourceInterface(Entity):
                """
                Specify interface for source address in FTP connections
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.SourceInterface.ATMSubinterface>`
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\: str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.SourceInterface.ATMACRsubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\: str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\: str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\: str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\: str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\: str
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.SourceInterface.LISPSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.SourceInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\: str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\: str
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\: str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\: str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Ftp.SourceInterface, self).__init__()

                    self.yang_name = "source-interface"
                    self.yang_parent_name = "ftp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Ip.Ftp.SourceInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Ip.Ftp.SourceInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Ip.Ftp.SourceInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Ip.Ftp.SourceInterface.PortChannelSubinterface)}
                    self._child_list_classes = {}

                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                    self.atm = YLeaf(YType.str, "ATM")

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                    self.bdi = YLeaf(YType.str, "BDI")

                    self.cem = YLeaf(YType.str, "CEM")

                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                    self.lisp = YLeaf(YType.str, "LISP")

                    self.loopback = YLeaf(YType.uint32, "Loopback")

                    self.multilink = YLeaf(YType.uint16, "Multilink")

                    self.nve = YLeaf(YType.uint16, "nve")

                    self.overlay = YLeaf(YType.uint16, "overlay")

                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                    self.sm = YLeaf(YType.str, "SM")

                    self.cellular = YLeaf(YType.str, "Cellular")

                    self.serial = YLeaf(YType.str, "Serial")

                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                    self.vlan = YLeaf(YType.uint16, "Vlan")

                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                    self.atm_subinterface = Native.Ip.Ftp.SourceInterface.ATMSubinterface()
                    self.atm_subinterface.parent = self
                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                    self._children_yang_names.add("ATM-subinterface")

                    self.atm_acrsubinterface = Native.Ip.Ftp.SourceInterface.ATMACRsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                    self._children_yang_names.add("ATM-ACRsubinterface")

                    self.lisp_subinterface = Native.Ip.Ftp.SourceInterface.LISPSubinterface()
                    self.lisp_subinterface.parent = self
                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                    self._children_yang_names.add("LISP-subinterface")

                    self.port_channel_subinterface = Native.Ip.Ftp.SourceInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                    self._children_yang_names.add("Port-channel-subinterface")
                    self._segment_path = lambda: "source-interface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ftp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Ftp.SourceInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                class ATMSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Ftp.SourceInterface.ATMSubinterface, self).__init__()

                        self.yang_name = "ATM-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm = YLeaf(YType.str, "ATM")
                        self._segment_path = lambda: "ATM-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ftp/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Ftp.SourceInterface.ATMSubinterface, ['atm'], name, value)


                class ATMACRsubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Ftp.SourceInterface.ATMACRsubinterface, self).__init__()

                        self.yang_name = "ATM-ACRsubinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                        self._segment_path = lambda: "ATM-ACRsubinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ftp/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Ftp.SourceInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                class LISPSubinterface(Entity):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Ftp.SourceInterface.LISPSubinterface, self).__init__()

                        self.yang_name = "LISP-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.lisp = YLeaf(YType.str, "LISP")
                        self._segment_path = lambda: "LISP-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ftp/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Ftp.SourceInterface.LISPSubinterface, ['lisp'], name, value)


                class PortChannelSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Ftp.SourceInterface.PortChannelSubinterface, self).__init__()

                        self.yang_name = "Port-channel-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_channel = YLeaf(YType.str, "Port-channel")
                        self._segment_path = lambda: "Port-channel-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ftp/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Ftp.SourceInterface.PortChannelSubinterface, ['port_channel'], name, value)


            class Password(Entity):
                """
                Specify password for FTP connections;
                
                .. attribute:: password_container
                
                	
                	**type**\:  :py:class:`PasswordContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ftp.Password.PasswordContainer>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Ftp.Password, self).__init__()

                    self.yang_name = "password"
                    self.yang_parent_name = "ftp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"password-container" : ("password_container", Native.Ip.Ftp.Password.PasswordContainer)}
                    self._child_list_classes = {}

                    self.password_container = Native.Ip.Ftp.Password.PasswordContainer()
                    self.password_container.parent = self
                    self._children_name_map["password_container"] = "password-container"
                    self._children_yang_names.add("password-container")
                    self._segment_path = lambda: "password"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ftp/%s" % self._segment_path()


                class PasswordContainer(Entity):
                    """
                    
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..7
                    
                    .. attribute:: password
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ([1\-680\-9a\-zA\-Z].\*)\|(0.+)\|(7.+)
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Ftp.Password.PasswordContainer, self).__init__()

                        self.yang_name = "password-container"
                        self.yang_parent_name = "password"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.encryption = YLeaf(YType.uint8, "encryption")

                        self.password = YLeaf(YType.str, "password")
                        self._segment_path = lambda: "password-container"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ftp/password/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Ftp.Password.PasswordContainer, ['encryption', 'password'], name, value)


        class Telnet(Entity):
            """
            Specify telnet options
            
            .. attribute:: source_interface
            
            	Specify source interface
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Telnet, self).__init__()

                self.yang_name = "telnet"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.source_interface = YLeaf(YType.str, "source-interface")
                self._segment_path = lambda: "telnet"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Telnet, ['source_interface'], name, value)


        class Host(Entity):
            """
            Add an entry to the ip hostname table
            
            .. attribute:: host_list
            
            	
            	**type**\: list of  		 :py:class:`HostList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Host.HostList>`
            
            .. attribute:: vrf
            
            	Specify VRF
            	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Host.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Host, self).__init__()

                self.yang_name = "host"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"host-list" : ("host_list", Native.Ip.Host.HostList), "vrf" : ("vrf", Native.Ip.Host.Vrf)}

                self.host_list = YList(self)
                self.vrf = YList(self)
                self._segment_path = lambda: "host"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Host, [], name, value)


            class HostList(Entity):
                """
                
                
                .. attribute:: name  <key>
                
                	Name of host
                	**type**\: str
                
                .. attribute:: ip
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Host.HostList, self).__init__()

                    self.yang_name = "host-list"
                    self.yang_parent_name = "host"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.ip = YLeaf(YType.str, "ip")
                    self._segment_path = lambda: "host-list" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/host/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Host.HostList, ['name', 'ip'], name, value)


            class Vrf(Entity):
                """
                Specify VRF
                
                .. attribute:: vrf_name  <key>
                
                	VRF name
                	**type**\: str
                
                .. attribute:: host_name
                
                	Name of host
                	**type**\: list of  		 :py:class:`HostName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Host.Vrf.HostName>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Host.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "host"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"host-name" : ("host_name", Native.Ip.Host.Vrf.HostName)}

                    self.vrf_name = YLeaf(YType.str, "vrf-name")

                    self.host_name = YList(self)
                    self._segment_path = lambda: "vrf" + "[vrf-name='" + self.vrf_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/host/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Host.Vrf, ['vrf_name'], name, value)


                class HostName(Entity):
                    """
                    Name of host
                    
                    .. attribute:: host_name  <key>
                    
                    	Name of host
                    	**type**\: str
                    
                    .. attribute:: ipv4_address
                    
                    	Host IP address
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Host.Vrf.HostName, self).__init__()

                        self.yang_name = "host-name"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.host_name = YLeaf(YType.str, "host-name")

                        self.ipv4_address = YLeaf(YType.str, "ipv4-address")
                        self._segment_path = lambda: "host-name" + "[host-name='" + self.host_name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Host.Vrf.HostName, ['host_name', 'ipv4_address'], name, value)


        class Multicast(Entity):
            """
            Global IP Multicast Commands
            
            .. attribute:: route_limit
            
            	Maximum number of multicast routes
            	**type**\: int
            
            	**range:** 1..2147483647
            
            .. attribute:: multipath
            
            	RPF across equal\-cost paths
            	**type**\:  :py:class:`Multipath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Multicast.Multipath>`
            
            	**presence node**\: True
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Multicast.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Multicast, self).__init__()

                self.yang_name = "multicast"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-multicast:multipath" : ("multipath", Native.Ip.Multicast.Multipath)}
                self._child_list_classes = {"Cisco-IOS-XE-multicast:vrf" : ("vrf", Native.Ip.Multicast.Vrf)}

                self.route_limit = YLeaf(YType.uint32, "Cisco-IOS-XE-multicast:route-limit")

                self.multipath = None
                self._children_name_map["multipath"] = "multipath"
                self._children_yang_names.add("multipath")

                self.vrf = YList(self)
                self._segment_path = lambda: "multicast"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Multicast, ['route_limit'], name, value)


            class Multipath(Entity):
                """
                RPF across equal\-cost paths
                
                .. attribute:: s_g_hash
                
                	Per\-(source, group) load sharing algorithm selection
                	**type**\:  :py:class:`SGHash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Multicast.Multipath.SGHash>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Multicast.Multipath, self).__init__()

                    self.yang_name = "multipath"
                    self.yang_parent_name = "multicast"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.s_g_hash = YLeaf(YType.enumeration, "s-g-hash")
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:multipath"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/multicast/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Multicast.Multipath, ['s_g_hash'], name, value)

                class SGHash(Enum):
                    """
                    SGHash

                    Per\-(source, group) load sharing algorithm selection

                    .. data:: basic = 0

                    .. data:: next_hop_based = 1

                    """

                    basic = Enum.YLeaf(0, "basic")

                    next_hop_based = Enum.YLeaf(1, "next-hop-based")



            class Vrf(Entity):
                """
                Select VPN Routing/Forwarding instance
                
                .. attribute:: name  <key>
                
                	VPN Routing/Forwarding instance name
                	**type**\: str
                
                .. attribute:: multipath
                
                	RPF across equal\-cost paths
                	**type**\:  :py:class:`Multipath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Multicast.Vrf.Multipath>`
                
                	**presence node**\: True
                
                .. attribute:: route_limit
                
                	Maximum number of multicast routes
                	**type**\:  :py:class:`RouteLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Multicast.Vrf.RouteLimit>`
                
                .. attribute:: rpf
                
                	RPF check configuration
                	**type**\:  :py:class:`Rpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Multicast.Vrf.Rpf>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Multicast.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "multicast"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"multipath" : ("multipath", Native.Ip.Multicast.Vrf.Multipath), "route-limit" : ("route_limit", Native.Ip.Multicast.Vrf.RouteLimit), "rpf" : ("rpf", Native.Ip.Multicast.Vrf.Rpf)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.multipath = None
                    self._children_name_map["multipath"] = "multipath"
                    self._children_yang_names.add("multipath")

                    self.route_limit = Native.Ip.Multicast.Vrf.RouteLimit()
                    self.route_limit.parent = self
                    self._children_name_map["route_limit"] = "route-limit"
                    self._children_yang_names.add("route-limit")

                    self.rpf = Native.Ip.Multicast.Vrf.Rpf()
                    self.rpf.parent = self
                    self._children_name_map["rpf"] = "rpf"
                    self._children_yang_names.add("rpf")
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:vrf" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/multicast/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Multicast.Vrf, ['name'], name, value)


                class Multipath(Entity):
                    """
                    RPF across equal\-cost paths
                    
                    .. attribute:: s_g_hash
                    
                    	Per\-(source, group) load sharing algorithm selection
                    	**type**\:  :py:class:`SGHash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Multicast.Vrf.Multipath.SGHash>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Multicast.Vrf.Multipath, self).__init__()

                        self.yang_name = "multipath"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.s_g_hash = YLeaf(YType.enumeration, "s-g-hash")
                        self._segment_path = lambda: "multipath"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Multicast.Vrf.Multipath, ['s_g_hash'], name, value)

                    class SGHash(Enum):
                        """
                        SGHash

                        Per\-(source, group) load sharing algorithm selection

                        .. data:: basic = 0

                        .. data:: next_hop_based = 1

                        """

                        basic = Enum.YLeaf(0, "basic")

                        next_hop_based = Enum.YLeaf(1, "next-hop-based")



                class RouteLimit(Entity):
                    """
                    Maximum number of multicast routes
                    
                    .. attribute:: no_routes
                    
                    	Number of routes
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: warning_threshold
                    
                    	Threshold at which to generate warning message
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Multicast.Vrf.RouteLimit, self).__init__()

                        self.yang_name = "route-limit"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.no_routes = YLeaf(YType.uint32, "no-routes")

                        self.warning_threshold = YLeaf(YType.uint32, "warning-threshold")
                        self._segment_path = lambda: "route-limit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Multicast.Vrf.RouteLimit, ['no_routes', 'warning_threshold'], name, value)


                class Rpf(Entity):
                    """
                    RPF check configuration
                    
                    .. attribute:: select
                    
                    	Select table for RPF check
                    	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Multicast.Vrf.Rpf.Select>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Multicast.Vrf.Rpf, self).__init__()

                        self.yang_name = "rpf"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"select" : ("select", Native.Ip.Multicast.Vrf.Rpf.Select)}
                        self._child_list_classes = {}

                        self.select = Native.Ip.Multicast.Vrf.Rpf.Select()
                        self.select.parent = self
                        self._children_name_map["select"] = "select"
                        self._children_yang_names.add("select")
                        self._segment_path = lambda: "rpf"


                    class Select(Entity):
                        """
                        Select table for RPF check
                        
                        .. attribute:: vrf
                        
                        	Select VPN Routing/Forwarding instance
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Multicast.Vrf.Rpf.Select.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Ip.Multicast.Vrf.Rpf.Select, self).__init__()

                            self.yang_name = "select"
                            self.yang_parent_name = "rpf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Ip.Multicast.Vrf.Rpf.Select.Vrf)}

                            self.vrf = YList(self)
                            self._segment_path = lambda: "select"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Multicast.Vrf.Rpf.Select, [], name, value)


                        class Vrf(Entity):
                            """
                            Select VPN Routing/Forwarding instance
                            
                            .. attribute:: name  <key>
                            
                            	VPN Routing/Forwarding instance name
                            	**type**\: str
                            
                            .. attribute:: group_list
                            
                            	Group access\-list
                            	**type**\: list of  		 :py:class:`GroupList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Multicast.Vrf.Rpf.Select.Vrf.GroupList>`
                            
                            

                            """

                            _prefix = 'ios-mc'
                            _revision = '2017-06-01'

                            def __init__(self):
                                super(Native.Ip.Multicast.Vrf.Rpf.Select.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "select"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"group-list" : ("group_list", Native.Ip.Multicast.Vrf.Rpf.Select.Vrf.GroupList)}

                                self.name = YLeaf(YType.str, "name")

                                self.group_list = YList(self)
                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Multicast.Vrf.Rpf.Select.Vrf, ['name'], name, value)


                            class GroupList(Entity):
                                """
                                Group access\-list
                                
                                .. attribute:: group_list_name  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'ios-mc'
                                _revision = '2017-06-01'

                                def __init__(self):
                                    super(Native.Ip.Multicast.Vrf.Rpf.Select.Vrf.GroupList, self).__init__()

                                    self.yang_name = "group-list"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.group_list_name = YLeaf(YType.str, "group-list-name")
                                    self._segment_path = lambda: "group-list" + "[group-list-name='" + self.group_list_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Multicast.Vrf.Rpf.Select.Vrf.GroupList, ['group_list_name'], name, value)


        class NameServer(Entity):
            """
            
            
            .. attribute:: no_vrf
            
            	
            	**type**\: union of the below types:
            
            		**type**\: list of str
            
            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            		**type**\: list of str
            
            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: vrf
            
            	
            	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.NameServer.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.NameServer, self).__init__()

                self.yang_name = "name-server"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"vrf" : ("vrf", Native.Ip.NameServer.Vrf)}

                self.no_vrf = YLeafList(YType.str, "no-vrf")

                self.vrf = YList(self)
                self._segment_path = lambda: "name-server"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.NameServer, ['no_vrf'], name, value)


            class Vrf(Entity):
                """
                
                
                .. attribute:: word  <key>
                
                	
                	**type**\: str
                
                .. attribute:: server_ip
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.NameServer.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "name-server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.word = YLeaf(YType.str, "word")

                    self.server_ip = YLeaf(YType.str, "server-ip")
                    self._segment_path = lambda: "vrf" + "[word='" + self.word.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/name-server/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.NameServer.Vrf, ['word', 'server_ip'], name, value)


        class Pim(Entity):
            """
            PIM global commands
            
            .. attribute:: accept_register
            
            	Registers accept filter
            	**type**\:  :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.AcceptRegister>`
            
            .. attribute:: autorp
            
            	Configure AutoRP global operations
            	**type**\:  :py:class:`Autorp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Autorp>`
            
            	**presence node**\: True
            
            .. attribute:: register_source
            
            	Source address for PIM Register
            	**type**\: str
            
            .. attribute:: rp_address
            
            	PIM RP\-address (Rendezvous Point)
            	**type**\: list of  		 :py:class:`RpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.RpAddress>`
            
            .. attribute:: spt_threshold
            
            	Source\-tree switching threshold
            	**type**\: list of  		 :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SptThreshold>`
            
            .. attribute:: spt_threshold_container
            
            	
            	**type**\:  :py:class:`SptThresholdContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SptThresholdContainer>`
            
            .. attribute:: send_rp_announce
            
            	Auto\-RP send RP announcement
            	**type**\:  :py:class:`SendRpAnnounce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SendRpAnnounce>`
            
            .. attribute:: send_rp_discovery
            
            	Auto\-RP send RP discovery message (as RP\-mapping agent)
            	**type**\:  :py:class:`SendRpDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SendRpDiscovery>`
            
            .. attribute:: ssm
            
            	Configure Source Specific Multicast
            	**type**\:  :py:class:`Ssm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Ssm>`
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Pim, self).__init__()

                self.yang_name = "pim"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-multicast:accept-register" : ("accept_register", Native.Ip.Pim.AcceptRegister), "Cisco-IOS-XE-multicast:autorp" : ("autorp", Native.Ip.Pim.Autorp), "Cisco-IOS-XE-multicast:spt-threshold-container" : ("spt_threshold_container", Native.Ip.Pim.SptThresholdContainer), "Cisco-IOS-XE-multicast:send-rp-announce" : ("send_rp_announce", Native.Ip.Pim.SendRpAnnounce), "Cisco-IOS-XE-multicast:send-rp-discovery" : ("send_rp_discovery", Native.Ip.Pim.SendRpDiscovery), "Cisco-IOS-XE-multicast:ssm" : ("ssm", Native.Ip.Pim.Ssm)}
                self._child_list_classes = {"Cisco-IOS-XE-multicast:rp-address" : ("rp_address", Native.Ip.Pim.RpAddress), "Cisco-IOS-XE-multicast:spt-threshold" : ("spt_threshold", Native.Ip.Pim.SptThreshold), "Cisco-IOS-XE-multicast:vrf" : ("vrf", Native.Ip.Pim.Vrf)}

                self.register_source = YLeaf(YType.str, "Cisco-IOS-XE-multicast:register-source")

                self.accept_register = Native.Ip.Pim.AcceptRegister()
                self.accept_register.parent = self
                self._children_name_map["accept_register"] = "accept-register"
                self._children_yang_names.add("accept-register")

                self.autorp = None
                self._children_name_map["autorp"] = "autorp"
                self._children_yang_names.add("autorp")

                self.spt_threshold_container = Native.Ip.Pim.SptThresholdContainer()
                self.spt_threshold_container.parent = self
                self._children_name_map["spt_threshold_container"] = "spt-threshold-container"
                self._children_yang_names.add("spt-threshold-container")

                self.send_rp_announce = Native.Ip.Pim.SendRpAnnounce()
                self.send_rp_announce.parent = self
                self._children_name_map["send_rp_announce"] = "send-rp-announce"
                self._children_yang_names.add("send-rp-announce")

                self.send_rp_discovery = Native.Ip.Pim.SendRpDiscovery()
                self.send_rp_discovery.parent = self
                self._children_name_map["send_rp_discovery"] = "send-rp-discovery"
                self._children_yang_names.add("send-rp-discovery")

                self.ssm = Native.Ip.Pim.Ssm()
                self.ssm.parent = self
                self._children_name_map["ssm"] = "ssm"
                self._children_yang_names.add("ssm")

                self.rp_address = YList(self)
                self.spt_threshold = YList(self)
                self.vrf = YList(self)
                self._segment_path = lambda: "pim"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Pim, ['register_source'], name, value)


            class AcceptRegister(Entity):
                """
                Registers accept filter
                
                .. attribute:: list
                
                	Access list
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 100..199
                
                		**type**\: int
                
                			**range:** 2000..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Pim.AcceptRegister, self).__init__()

                    self.yang_name = "accept-register"
                    self.yang_parent_name = "pim"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.list = YLeaf(YType.str, "list")
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:accept-register"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/pim/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Pim.AcceptRegister, ['list'], name, value)


            class Autorp(Entity):
                """
                Configure AutoRP global operations
                
                .. attribute:: listener
                
                	Allow AutoRP packets across sparse mode interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Pim.Autorp, self).__init__()

                    self.yang_name = "autorp"
                    self.yang_parent_name = "pim"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.listener = YLeaf(YType.empty, "listener")
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:autorp"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/pim/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Pim.Autorp, ['listener'], name, value)


            class RpAddress(Entity):
                """
                PIM RP\-address (Rendezvous Point)
                
                .. attribute:: address  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: access_list
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..99
                
                		**type**\: int
                
                			**range:** 1300..1999
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: override
                
                	Overrides dynamically learnt RP mappings
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Pim.RpAddress, self).__init__()

                    self.yang_name = "rp-address"
                    self.yang_parent_name = "pim"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.str, "address")

                    self.access_list = YLeaf(YType.str, "access-list")

                    self.override = YLeaf(YType.empty, "override")
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:rp-address" + "[address='" + self.address.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/pim/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Pim.RpAddress, ['address', 'access_list', 'override'], name, value)


            class SptThreshold(Entity):
                """
                Source\-tree switching threshold
                
                .. attribute:: how  <key>
                
                	
                	**type**\:  :py:class:`How <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SptThreshold.How>`
                
                .. attribute:: group_list  <key>
                
                	Group address access\-list
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..99
                
                		**type**\: int
                
                			**range:** 1300..1999
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Pim.SptThreshold, self).__init__()

                    self.yang_name = "spt-threshold"
                    self.yang_parent_name = "pim"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.how = YLeaf(YType.enumeration, "how")

                    self.group_list = YLeaf(YType.str, "group-list")
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:spt-threshold" + "[how='" + self.how.get() + "']" + "[group-list='" + self.group_list.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/pim/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Pim.SptThreshold, ['how', 'group_list'], name, value)

                class How(Enum):
                    """
                    How

                    .. data:: Y_0 = 0

                    .. data:: infinity = 1

                    """

                    Y_0 = Enum.YLeaf(0, "0")

                    infinity = Enum.YLeaf(1, "infinity")



            class SptThresholdContainer(Entity):
                """
                
                
                .. attribute:: spt_threshold
                
                	Source\-tree switching threshold
                	**type**\:  :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SptThresholdContainer.SptThreshold>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Pim.SptThresholdContainer, self).__init__()

                    self.yang_name = "spt-threshold-container"
                    self.yang_parent_name = "pim"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"spt-threshold" : ("spt_threshold", Native.Ip.Pim.SptThresholdContainer.SptThreshold)}
                    self._child_list_classes = {}

                    self.spt_threshold = Native.Ip.Pim.SptThresholdContainer.SptThreshold()
                    self.spt_threshold.parent = self
                    self._children_name_map["spt_threshold"] = "spt-threshold"
                    self._children_yang_names.add("spt-threshold")
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:spt-threshold-container"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/pim/%s" % self._segment_path()


                class SptThreshold(Entity):
                    """
                    Source\-tree switching threshold
                    
                    .. attribute:: how
                    
                    	
                    	**type**\:  :py:class:`How <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SptThresholdContainer.SptThreshold.How>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Pim.SptThresholdContainer.SptThreshold, self).__init__()

                        self.yang_name = "spt-threshold"
                        self.yang_parent_name = "spt-threshold-container"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.how = YLeaf(YType.enumeration, "how")
                        self._segment_path = lambda: "spt-threshold"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/pim/Cisco-IOS-XE-multicast:spt-threshold-container/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Pim.SptThresholdContainer.SptThreshold, ['how'], name, value)

                    class How(Enum):
                        """
                        How

                        .. data:: Y_0 = 0

                        .. data:: infinity = 1

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        infinity = Enum.YLeaf(1, "infinity")



            class SendRpAnnounce(Entity):
                """
                Auto\-RP send RP announcement
                
                .. attribute:: interface_list
                
                	
                	**type**\: list of  		 :py:class:`InterfaceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SendRpAnnounce.InterfaceList>`
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: list of  		 :py:class:`PortChannel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SendRpAnnounce.PortChannel>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Pim.SendRpAnnounce, self).__init__()

                    self.yang_name = "send-rp-announce"
                    self.yang_parent_name = "pim"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"interface_list" : ("interface_list", Native.Ip.Pim.SendRpAnnounce.InterfaceList), "Port-channel" : ("port_channel", Native.Ip.Pim.SendRpAnnounce.PortChannel)}

                    self.interface_list = YList(self)
                    self.port_channel = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:send-rp-announce"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/pim/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Pim.SendRpAnnounce, [], name, value)


                class InterfaceList(Entity):
                    """
                    
                    
                    .. attribute:: if_name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: scope
                    
                    	RP announcement scope
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SendRpAnnounce.InterfaceList.Scope>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Pim.SendRpAnnounce.InterfaceList, self).__init__()

                        self.yang_name = "interface_list"
                        self.yang_parent_name = "send-rp-announce"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"scope" : ("scope", Native.Ip.Pim.SendRpAnnounce.InterfaceList.Scope)}
                        self._child_list_classes = {}

                        self.if_name = YLeaf(YType.str, "if-name")

                        self.scope = Native.Ip.Pim.SendRpAnnounce.InterfaceList.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "interface_list" + "[if-name='" + self.if_name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/pim/Cisco-IOS-XE-multicast:send-rp-announce/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Pim.SendRpAnnounce.InterfaceList, ['if_name'], name, value)


                    class Scope(Entity):
                        """
                        RP announcement scope
                        
                        .. attribute:: pkt_ttl
                        
                        	TTL of the RP announce packet
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: group_list
                        
                        	Group access\-list
                        	**type**\:  :py:class:`GroupList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.SendRpAnnounce.InterfaceList.Scope.GroupList>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Ip.Pim.SendRpAnnounce.InterfaceList.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "interface_list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"group-list" : ("group_list", Native.Ip.Pim.SendRpAnnounce.InterfaceList.Scope.GroupList)}
                            self._child_list_classes = {}

                            self.pkt_ttl = YLeaf(YType.uint8, "pkt-ttl")

                            self.group_list = Native.Ip.Pim.SendRpAnnounce.InterfaceList.Scope.GroupList()
                            self.group_list.parent = self
                            self._children_name_map["group_list"] = "group-list"
                            self._children_yang_names.add("group-list")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Pim.SendRpAnnounce.InterfaceList.Scope, ['pkt_ttl'], name, value)


                        class GroupList(Entity):
                            """
                            Group access\-list
                            
                            .. attribute:: acl_ref
                            
                            	Access\-list reference for multicast groups
                            	**type**\: int
                            
                            	**range:** 1..99
                            
                            .. attribute:: std_acl
                            
                            	IP Named Standard Access list
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-mc'
                            _revision = '2017-06-01'

                            def __init__(self):
                                super(Native.Ip.Pim.SendRpAnnounce.InterfaceList.Scope.GroupList, self).__init__()

                                self.yang_name = "group-list"
                                self.yang_parent_name = "scope"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_ref = YLeaf(YType.uint8, "acl-ref")

                                self.std_acl = YLeaf(YType.str, "std-acl")
                                self._segment_path = lambda: "group-list"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Pim.SendRpAnnounce.InterfaceList.Scope.GroupList, ['acl_ref', 'std_acl'], name, value)


                class PortChannel(Entity):
                    """
                    Ethernet Channel of interfaces
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..512
                    
                    .. attribute:: scope
                    
                    	RP announcement scope
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Pim.SendRpAnnounce.PortChannel, self).__init__()

                        self.yang_name = "Port-channel"
                        self.yang_parent_name = "send-rp-announce"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.uint32, "name")

                        self.scope = YLeaf(YType.uint8, "scope")
                        self._segment_path = lambda: "Port-channel" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/pim/Cisco-IOS-XE-multicast:send-rp-announce/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Pim.SendRpAnnounce.PortChannel, ['name', 'scope'], name, value)


            class SendRpDiscovery(Entity):
                """
                Auto\-RP send RP discovery message (as RP\-mapping agent)
                
                .. attribute:: scope
                
                	Scope of the RP discovery packets\: TTL
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Pim.SendRpDiscovery, self).__init__()

                    self.yang_name = "send-rp-discovery"
                    self.yang_parent_name = "pim"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.scope = YLeaf(YType.uint8, "scope")
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:send-rp-discovery"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/pim/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Pim.SendRpDiscovery, ['scope'], name, value)


            class Ssm(Entity):
                """
                Configure Source Specific Multicast
                
                .. attribute:: range
                
                	ACL for group range to be used for SSM
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..99
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: default
                
                	Use 232/8 group range for SSM
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Pim.Ssm, self).__init__()

                    self.yang_name = "ssm"
                    self.yang_parent_name = "pim"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.range = YLeaf(YType.str, "range")

                    self.default = YLeaf(YType.empty, "default")
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:ssm"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/pim/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Pim.Ssm, ['range', 'default'], name, value)


            class Vrf(Entity):
                """
                Select VPN Routing/Forwarding instance
                
                .. attribute:: id  <key>
                
                	
                	**type**\: str
                
                .. attribute:: accept_register
                
                	Registers accept filter
                	**type**\:  :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.AcceptRegister>`
                
                .. attribute:: autorp
                
                	Configure AutoRP global operations
                	**type**\:  :py:class:`Autorp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.Autorp>`
                
                	**presence node**\: True
                
                .. attribute:: register_source
                
                	Source address for PIM Register
                	**type**\: str
                
                .. attribute:: rp_address
                
                	PIM RP\-address (Rendezvous Point)
                	**type**\: list of  		 :py:class:`RpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.RpAddress>`
                
                .. attribute:: spt_threshold
                
                	Source\-tree switching threshold
                	**type**\: list of  		 :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SptThreshold>`
                
                .. attribute:: spt_threshold_container
                
                	
                	**type**\:  :py:class:`SptThresholdContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SptThresholdContainer>`
                
                .. attribute:: send_rp_announce
                
                	Auto\-RP send RP announcement
                	**type**\:  :py:class:`SendRpAnnounce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SendRpAnnounce>`
                
                .. attribute:: send_rp_discovery
                
                	Auto\-RP send RP discovery message (as RP\-mapping agent)
                	**type**\:  :py:class:`SendRpDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SendRpDiscovery>`
                
                .. attribute:: ssm
                
                	Configure Source Specific Multicast
                	**type**\:  :py:class:`Ssm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.Ssm>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Pim.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "pim"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"accept-register" : ("accept_register", Native.Ip.Pim.Vrf.AcceptRegister), "autorp" : ("autorp", Native.Ip.Pim.Vrf.Autorp), "spt-threshold-container" : ("spt_threshold_container", Native.Ip.Pim.Vrf.SptThresholdContainer), "send-rp-announce" : ("send_rp_announce", Native.Ip.Pim.Vrf.SendRpAnnounce), "send-rp-discovery" : ("send_rp_discovery", Native.Ip.Pim.Vrf.SendRpDiscovery), "ssm" : ("ssm", Native.Ip.Pim.Vrf.Ssm)}
                    self._child_list_classes = {"rp-address" : ("rp_address", Native.Ip.Pim.Vrf.RpAddress), "spt-threshold" : ("spt_threshold", Native.Ip.Pim.Vrf.SptThreshold)}

                    self.id = YLeaf(YType.str, "id")

                    self.register_source = YLeaf(YType.str, "register-source")

                    self.accept_register = Native.Ip.Pim.Vrf.AcceptRegister()
                    self.accept_register.parent = self
                    self._children_name_map["accept_register"] = "accept-register"
                    self._children_yang_names.add("accept-register")

                    self.autorp = None
                    self._children_name_map["autorp"] = "autorp"
                    self._children_yang_names.add("autorp")

                    self.spt_threshold_container = Native.Ip.Pim.Vrf.SptThresholdContainer()
                    self.spt_threshold_container.parent = self
                    self._children_name_map["spt_threshold_container"] = "spt-threshold-container"
                    self._children_yang_names.add("spt-threshold-container")

                    self.send_rp_announce = Native.Ip.Pim.Vrf.SendRpAnnounce()
                    self.send_rp_announce.parent = self
                    self._children_name_map["send_rp_announce"] = "send-rp-announce"
                    self._children_yang_names.add("send-rp-announce")

                    self.send_rp_discovery = Native.Ip.Pim.Vrf.SendRpDiscovery()
                    self.send_rp_discovery.parent = self
                    self._children_name_map["send_rp_discovery"] = "send-rp-discovery"
                    self._children_yang_names.add("send-rp-discovery")

                    self.ssm = Native.Ip.Pim.Vrf.Ssm()
                    self.ssm.parent = self
                    self._children_name_map["ssm"] = "ssm"
                    self._children_yang_names.add("ssm")

                    self.rp_address = YList(self)
                    self.spt_threshold = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:vrf" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/pim/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Pim.Vrf, ['id', 'register_source'], name, value)


                class AcceptRegister(Entity):
                    """
                    Registers accept filter
                    
                    .. attribute:: list
                    
                    	Access list
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 100..199
                    
                    		**type**\: int
                    
                    			**range:** 2000..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Pim.Vrf.AcceptRegister, self).__init__()

                        self.yang_name = "accept-register"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.list = YLeaf(YType.str, "list")
                        self._segment_path = lambda: "accept-register"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Pim.Vrf.AcceptRegister, ['list'], name, value)


                class Autorp(Entity):
                    """
                    Configure AutoRP global operations
                    
                    .. attribute:: listener
                    
                    	Allow AutoRP packets across sparse mode interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Pim.Vrf.Autorp, self).__init__()

                        self.yang_name = "autorp"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.listener = YLeaf(YType.empty, "listener")
                        self._segment_path = lambda: "autorp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Pim.Vrf.Autorp, ['listener'], name, value)


                class RpAddress(Entity):
                    """
                    PIM RP\-address (Rendezvous Point)
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: override
                    
                    	Overrides dynamically learnt RP mappings
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Pim.Vrf.RpAddress, self).__init__()

                        self.yang_name = "rp-address"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.access_list = YLeaf(YType.str, "access-list")

                        self.override = YLeaf(YType.empty, "override")
                        self._segment_path = lambda: "rp-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Pim.Vrf.RpAddress, ['address', 'access_list', 'override'], name, value)


                class SptThreshold(Entity):
                    """
                    Source\-tree switching threshold
                    
                    .. attribute:: how  <key>
                    
                    	
                    	**type**\:  :py:class:`How <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SptThreshold.How>`
                    
                    .. attribute:: group_list  <key>
                    
                    	Group address access\-list
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Pim.Vrf.SptThreshold, self).__init__()

                        self.yang_name = "spt-threshold"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.how = YLeaf(YType.enumeration, "how")

                        self.group_list = YLeaf(YType.str, "group-list")
                        self._segment_path = lambda: "spt-threshold" + "[how='" + self.how.get() + "']" + "[group-list='" + self.group_list.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Pim.Vrf.SptThreshold, ['how', 'group_list'], name, value)

                    class How(Enum):
                        """
                        How

                        .. data:: Y_0 = 0

                        .. data:: infinity = 1

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        infinity = Enum.YLeaf(1, "infinity")



                class SptThresholdContainer(Entity):
                    """
                    
                    
                    .. attribute:: spt_threshold
                    
                    	Source\-tree switching threshold
                    	**type**\:  :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Pim.Vrf.SptThresholdContainer, self).__init__()

                        self.yang_name = "spt-threshold-container"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spt-threshold" : ("spt_threshold", Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold)}
                        self._child_list_classes = {}

                        self.spt_threshold = Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold()
                        self.spt_threshold.parent = self
                        self._children_name_map["spt_threshold"] = "spt-threshold"
                        self._children_yang_names.add("spt-threshold")
                        self._segment_path = lambda: "spt-threshold-container"


                    class SptThreshold(Entity):
                        """
                        Source\-tree switching threshold
                        
                        .. attribute:: how
                        
                        	
                        	**type**\:  :py:class:`How <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold.How>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold, self).__init__()

                            self.yang_name = "spt-threshold"
                            self.yang_parent_name = "spt-threshold-container"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.how = YLeaf(YType.enumeration, "how")
                            self._segment_path = lambda: "spt-threshold"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Pim.Vrf.SptThresholdContainer.SptThreshold, ['how'], name, value)

                        class How(Enum):
                            """
                            How

                            .. data:: Y_0 = 0

                            .. data:: infinity = 1

                            """

                            Y_0 = Enum.YLeaf(0, "0")

                            infinity = Enum.YLeaf(1, "infinity")



                class SendRpAnnounce(Entity):
                    """
                    Auto\-RP send RP announcement
                    
                    .. attribute:: interface_list
                    
                    	
                    	**type**\: list of  		 :py:class:`InterfaceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList>`
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: list of  		 :py:class:`PortChannel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SendRpAnnounce.PortChannel>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Pim.Vrf.SendRpAnnounce, self).__init__()

                        self.yang_name = "send-rp-announce"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"interface_list" : ("interface_list", Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList), "Port-channel" : ("port_channel", Native.Ip.Pim.Vrf.SendRpAnnounce.PortChannel)}

                        self.interface_list = YList(self)
                        self.port_channel = YList(self)
                        self._segment_path = lambda: "send-rp-announce"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Pim.Vrf.SendRpAnnounce, [], name, value)


                    class InterfaceList(Entity):
                        """
                        
                        
                        .. attribute:: if_name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: scope
                        
                        	RP announcement scope
                        	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList.Scope>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList, self).__init__()

                            self.yang_name = "interface_list"
                            self.yang_parent_name = "send-rp-announce"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"scope" : ("scope", Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList.Scope)}
                            self._child_list_classes = {}

                            self.if_name = YLeaf(YType.str, "if-name")

                            self.scope = Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList.Scope()
                            self.scope.parent = self
                            self._children_name_map["scope"] = "scope"
                            self._children_yang_names.add("scope")
                            self._segment_path = lambda: "interface_list" + "[if-name='" + self.if_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList, ['if_name'], name, value)


                        class Scope(Entity):
                            """
                            RP announcement scope
                            
                            .. attribute:: pkt_ttl
                            
                            	TTL of the RP announce packet
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: group_list
                            
                            	Group access\-list
                            	**type**\:  :py:class:`GroupList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList.Scope.GroupList>`
                            
                            

                            """

                            _prefix = 'ios-mc'
                            _revision = '2017-06-01'

                            def __init__(self):
                                super(Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList.Scope, self).__init__()

                                self.yang_name = "scope"
                                self.yang_parent_name = "interface_list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"group-list" : ("group_list", Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList.Scope.GroupList)}
                                self._child_list_classes = {}

                                self.pkt_ttl = YLeaf(YType.uint8, "pkt-ttl")

                                self.group_list = Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList.Scope.GroupList()
                                self.group_list.parent = self
                                self._children_name_map["group_list"] = "group-list"
                                self._children_yang_names.add("group-list")
                                self._segment_path = lambda: "scope"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList.Scope, ['pkt_ttl'], name, value)


                            class GroupList(Entity):
                                """
                                Group access\-list
                                
                                .. attribute:: acl_ref
                                
                                	Access\-list reference for multicast groups
                                	**type**\: int
                                
                                	**range:** 1..99
                                
                                .. attribute:: std_acl
                                
                                	IP Named Standard Access list
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-mc'
                                _revision = '2017-06-01'

                                def __init__(self):
                                    super(Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList.Scope.GroupList, self).__init__()

                                    self.yang_name = "group-list"
                                    self.yang_parent_name = "scope"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.acl_ref = YLeaf(YType.uint8, "acl-ref")

                                    self.std_acl = YLeaf(YType.str, "std-acl")
                                    self._segment_path = lambda: "group-list"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Pim.Vrf.SendRpAnnounce.InterfaceList.Scope.GroupList, ['acl_ref', 'std_acl'], name, value)


                    class PortChannel(Entity):
                        """
                        Ethernet Channel of interfaces
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..512
                        
                        .. attribute:: scope
                        
                        	RP announcement scope
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Ip.Pim.Vrf.SendRpAnnounce.PortChannel, self).__init__()

                            self.yang_name = "Port-channel"
                            self.yang_parent_name = "send-rp-announce"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.uint32, "name")

                            self.scope = YLeaf(YType.uint8, "scope")
                            self._segment_path = lambda: "Port-channel" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Pim.Vrf.SendRpAnnounce.PortChannel, ['name', 'scope'], name, value)


                class SendRpDiscovery(Entity):
                    """
                    Auto\-RP send RP discovery message (as RP\-mapping agent)
                    
                    .. attribute:: scope
                    
                    	Scope of the RP discovery packets\: TTL
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Pim.Vrf.SendRpDiscovery, self).__init__()

                        self.yang_name = "send-rp-discovery"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.scope = YLeaf(YType.uint8, "scope")
                        self._segment_path = lambda: "send-rp-discovery"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Pim.Vrf.SendRpDiscovery, ['scope'], name, value)


                class Ssm(Entity):
                    """
                    Configure Source Specific Multicast
                    
                    .. attribute:: range
                    
                    	ACL for group range to be used for SSM
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: default
                    
                    	Use 232/8 group range for SSM
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Pim.Vrf.Ssm, self).__init__()

                        self.yang_name = "ssm"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.range = YLeaf(YType.str, "range")

                        self.default = YLeaf(YType.empty, "default")
                        self._segment_path = lambda: "ssm"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Pim.Vrf.Ssm, ['range', 'default'], name, value)


        class PrefixList(Entity):
            """
            Build a prefix list
            
            .. attribute:: prefixes
            
            	
            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes>`
            
            .. attribute:: sequence_number
            
            	Include/exclude sequence numbers in NVGEN
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.PrefixList, self).__init__()

                self.yang_name = "prefix-list"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"prefixes" : ("prefixes", Native.Ip.PrefixList.Prefixes)}

                self.sequence_number = YLeaf(YType.empty, "sequence-number")

                self.prefixes = YList(self)
                self._segment_path = lambda: "prefix-list"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.PrefixList, ['sequence_number'], name, value)


            class Prefixes(Entity):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                	**pattern:** ([^s].\*)\|(s[^e].\*)\|(se[^q].\*)(seq[^u].\*)\|(sequ[^e].\*)\|(seque[^n].\*)\|(sequen[^c].\*)\|(sequenc[^e].\*)\|(sequence[^\\\-].\*)\|(sequence\\\-[^n].\*)\|(sequence\\\-n[^u].\*)\|(sequence\\\-nu[^m].\*)\|(sequence\\\-num[^b].\*)\|(sequence\\\-numb[^e].\*)\|(sequence\\\-numbe[^r].\*)\|(sequence\\\-number..\*)
                
                .. attribute:: description
                
                	Prefix\-list specific description
                	**type**\: str
                
                	**length:** 1..80
                
                .. attribute:: permit
                
                	Specify packets to forward
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Permit>`
                
                .. attribute:: deny
                
                	Specify packets to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Deny>`
                
                .. attribute:: seq
                
                	sequence number of an entry
                	**type**\: list of  		 :py:class:`Seq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Seq>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.PrefixList.Prefixes, self).__init__()

                    self.yang_name = "prefixes"
                    self.yang_parent_name = "prefix-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"permit" : ("permit", Native.Ip.PrefixList.Prefixes.Permit), "deny" : ("deny", Native.Ip.PrefixList.Prefixes.Deny)}
                    self._child_list_classes = {"seq" : ("seq", Native.Ip.PrefixList.Prefixes.Seq)}

                    self.name = YLeaf(YType.str, "name")

                    self.description = YLeaf(YType.str, "description")

                    self.permit = Native.Ip.PrefixList.Prefixes.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")

                    self.deny = Native.Ip.PrefixList.Prefixes.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")

                    self.seq = YList(self)
                    self._segment_path = lambda: "prefixes" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/prefix-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.PrefixList.Prefixes, ['name', 'description'], name, value)


                class Permit(Entity):
                    """
                    Specify packets to forward
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PermitList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Permit.PermitList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.PrefixList.Prefixes.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "prefixes"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"permit-list" : ("permit_list", Native.Ip.PrefixList.Prefixes.Permit.PermitList)}

                        self.permit_list = YList(self)
                        self._segment_path = lambda: "permit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.PrefixList.Prefixes.Permit, [], name, value)


                    class PermitList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        .. attribute:: ge
                        
                        	Minimum prefix length to be matched
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        .. attribute:: le
                        
                        	Maximum prefix length to be matched
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.PrefixList.Prefixes.Permit.PermitList, self).__init__()

                            self.yang_name = "permit-list"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.ge = YLeaf(YType.uint8, "ge")

                            self.le = YLeaf(YType.uint8, "le")
                            self._segment_path = lambda: "permit-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.PrefixList.Prefixes.Permit.PermitList, ['prefix', 'ge', 'le'], name, value)


                class Deny(Entity):
                    """
                    Specify packets to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DenyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Deny.DenyList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.PrefixList.Prefixes.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "prefixes"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"deny-list" : ("deny_list", Native.Ip.PrefixList.Prefixes.Deny.DenyList)}

                        self.deny_list = YList(self)
                        self._segment_path = lambda: "deny"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.PrefixList.Prefixes.Deny, [], name, value)


                    class DenyList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        .. attribute:: ge
                        
                        	Minimum prefix length to be matched
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        .. attribute:: le
                        
                        	Maximum prefix length to be matched
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.PrefixList.Prefixes.Deny.DenyList, self).__init__()

                            self.yang_name = "deny-list"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.ge = YLeaf(YType.uint8, "ge")

                            self.le = YLeaf(YType.uint8, "le")
                            self._segment_path = lambda: "deny-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.PrefixList.Prefixes.Deny.DenyList, ['prefix', 'ge', 'le'], name, value)


                class Seq(Entity):
                    """
                    sequence number of an entry
                    
                    .. attribute:: no  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967294
                    
                    .. attribute:: deny
                    
                    	Specify packets to reject
                    	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Seq.Deny>`
                    
                    .. attribute:: permit
                    
                    	Specify packets to forward
                    	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.PrefixList.Prefixes.Seq.Permit>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.PrefixList.Prefixes.Seq, self).__init__()

                        self.yang_name = "seq"
                        self.yang_parent_name = "prefixes"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"deny" : ("deny", Native.Ip.PrefixList.Prefixes.Seq.Deny), "permit" : ("permit", Native.Ip.PrefixList.Prefixes.Seq.Permit)}
                        self._child_list_classes = {}

                        self.no = YLeaf(YType.uint32, "no")

                        self.deny = Native.Ip.PrefixList.Prefixes.Seq.Deny()
                        self.deny.parent = self
                        self._children_name_map["deny"] = "deny"
                        self._children_yang_names.add("deny")

                        self.permit = Native.Ip.PrefixList.Prefixes.Seq.Permit()
                        self.permit.parent = self
                        self._children_name_map["permit"] = "permit"
                        self._children_yang_names.add("permit")
                        self._segment_path = lambda: "seq" + "[no='" + self.no.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.PrefixList.Prefixes.Seq, ['no'], name, value)


                    class Deny(Entity):
                        """
                        Specify packets to reject
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        .. attribute:: ge
                        
                        	Minimum prefix length to be matched
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        .. attribute:: le
                        
                        	Maximum prefix length to be matched
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.PrefixList.Prefixes.Seq.Deny, self).__init__()

                            self.yang_name = "deny"
                            self.yang_parent_name = "seq"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.str, "ip")

                            self.ge = YLeaf(YType.uint8, "ge")

                            self.le = YLeaf(YType.uint8, "le")
                            self._segment_path = lambda: "deny"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.PrefixList.Prefixes.Seq.Deny, ['ip', 'ge', 'le'], name, value)


                    class Permit(Entity):
                        """
                        Specify packets to forward
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        .. attribute:: ge
                        
                        	Minimum prefix length to be matched
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        .. attribute:: le
                        
                        	Maximum prefix length to be matched
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.PrefixList.Prefixes.Seq.Permit, self).__init__()

                            self.yang_name = "permit"
                            self.yang_parent_name = "seq"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.str, "ip")

                            self.ge = YLeaf(YType.uint8, "ge")

                            self.le = YLeaf(YType.uint8, "le")
                            self._segment_path = lambda: "permit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.PrefixList.Prefixes.Seq.Permit, ['ip', 'ge', 'le'], name, value)


        class Route(Entity):
            """
            Establish static routes
            
            .. attribute:: ip_route_interface_forwarding_list
            
            	
            	**type**\: list of  		 :py:class:`IpRouteInterfaceForwardingList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.IpRouteInterfaceForwardingList>`
            
            .. attribute:: profile
            
            	Enable IP routing table profile
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: static
            
            	Allow static routes
            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Static>`
            
            .. attribute:: vrf
            
            	Configure static route for a VPN Routing/Forwarding instance
            	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Route, self).__init__()

                self.yang_name = "route"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"static" : ("static", Native.Ip.Route.Static)}
                self._child_list_classes = {"ip-route-interface-forwarding-list" : ("ip_route_interface_forwarding_list", Native.Ip.Route.IpRouteInterfaceForwardingList), "vrf" : ("vrf", Native.Ip.Route.Vrf)}

                self.profile = YLeaf(YType.empty, "profile")

                self.static = Native.Ip.Route.Static()
                self.static.parent = self
                self._children_name_map["static"] = "static"
                self._children_yang_names.add("static")

                self.ip_route_interface_forwarding_list = YList(self)
                self.vrf = YList(self)
                self._segment_path = lambda: "route"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Route, ['profile'], name, value)


            class IpRouteInterfaceForwardingList(Entity):
                """
                
                
                .. attribute:: prefix  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: mask  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: fwd_list
                
                	
                	**type**\: list of  		 :py:class:`FwdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.IpRouteInterfaceForwardingList.FwdList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Route.IpRouteInterfaceForwardingList, self).__init__()

                    self.yang_name = "ip-route-interface-forwarding-list"
                    self.yang_parent_name = "route"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"fwd-list" : ("fwd_list", Native.Ip.Route.IpRouteInterfaceForwardingList.FwdList)}

                    self.prefix = YLeaf(YType.str, "prefix")

                    self.mask = YLeaf(YType.str, "mask")

                    self.fwd_list = YList(self)
                    self._segment_path = lambda: "ip-route-interface-forwarding-list" + "[prefix='" + self.prefix.get() + "']" + "[mask='" + self.mask.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/route/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Route.IpRouteInterfaceForwardingList, ['prefix', 'mask'], name, value)


                class FwdList(Entity):
                    """
                    
                    
                    .. attribute:: fwd  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\:  :py:class:`Fwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList.Fwd>`
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    .. attribute:: metric
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: forwarding_router_adr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Next hop address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	Specify name of the next hop
                    	**type**\: str
                    
                    .. attribute:: permanent
                    
                    	permanent route
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multicast
                    
                    	multicast route
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dhcp
                    
                    	Default Gateway obtained from DHCP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tag
                    
                    	Set tag for this route
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: track
                    
                    	Install route depending on tracked item
                    	**type**\: int
                    
                    	**range:** 1..1000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Route.IpRouteInterfaceForwardingList.FwdList, self).__init__()

                        self.yang_name = "fwd-list"
                        self.yang_parent_name = "ip-route-interface-forwarding-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.fwd = YLeaf(YType.str, "fwd")

                        self.metric = YLeaf(YType.uint8, "metric")

                        self.forwarding_router_adr = YLeaf(YType.str, "forwarding-router-adr")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.name = YLeaf(YType.str, "name")

                        self.permanent = YLeaf(YType.empty, "permanent")

                        self.multicast = YLeaf(YType.empty, "multicast")

                        self.dhcp = YLeaf(YType.empty, "dhcp")

                        self.tag = YLeaf(YType.uint32, "tag")

                        self.track = YLeaf(YType.uint16, "track")
                        self._segment_path = lambda: "fwd-list" + "[fwd='" + self.fwd.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Route.IpRouteInterfaceForwardingList.FwdList, ['fwd', 'metric', 'forwarding_router_adr', 'global_', 'name', 'permanent', 'multicast', 'dhcp', 'tag', 'track'], name, value)

                    class Fwd(Enum):
                        """
                        Fwd

                        .. data:: Null0 = 0

                        """

                        Null0 = Enum.YLeaf(0, "Null0")



            class Static(Entity):
                """
                Allow static routes
                
                .. attribute:: adjust_time
                
                	Time period for adjusting static routes
                	**type**\: int
                
                	**range:** 1..60
                
                .. attribute:: bfd
                
                	BFD tracked
                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Static.Bfd>`
                
                .. attribute:: install_routes_recurse_via_nexthop
                
                	installing recursive route next hop
                	**type**\:  :py:class:`InstallRoutesRecurseViaNexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Static.InstallRoutesRecurseViaNexthop>`
                
                .. attribute:: inter_vrf
                
                	Across VRF interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Route.Static, self).__init__()

                    self.yang_name = "static"
                    self.yang_parent_name = "route"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bfd" : ("bfd", Native.Ip.Route.Static.Bfd), "install-routes-recurse-via-nexthop" : ("install_routes_recurse_via_nexthop", Native.Ip.Route.Static.InstallRoutesRecurseViaNexthop)}
                    self._child_list_classes = {}

                    self.adjust_time = YLeaf(YType.uint8, "adjust-time")

                    self.inter_vrf = YLeaf(YType.empty, "inter-vrf")

                    self.bfd = Native.Ip.Route.Static.Bfd()
                    self.bfd.parent = self
                    self._children_name_map["bfd"] = "bfd"
                    self._children_yang_names.add("bfd")

                    self.install_routes_recurse_via_nexthop = Native.Ip.Route.Static.InstallRoutesRecurseViaNexthop()
                    self.install_routes_recurse_via_nexthop.parent = self
                    self._children_name_map["install_routes_recurse_via_nexthop"] = "install-routes-recurse-via-nexthop"
                    self._children_yang_names.add("install-routes-recurse-via-nexthop")
                    self._segment_path = lambda: "static"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/route/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Route.Static, ['adjust_time', 'inter_vrf'], name, value)


                class Bfd(Entity):
                    """
                    BFD tracked
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: gateway_ip
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Route.Static.Bfd, self).__init__()

                        self.yang_name = "bfd"
                        self.yang_parent_name = "static"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interface = YLeaf(YType.str, "interface")

                        self.gateway_ip = YLeaf(YType.str, "gateway-ip")
                        self._segment_path = lambda: "bfd"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/route/static/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Route.Static.Bfd, ['interface', 'gateway_ip'], name, value)


                class InstallRoutesRecurseViaNexthop(Entity):
                    """
                    installing recursive route next hop
                    
                    .. attribute:: vrf
                    
                    	Configure static route for a VPN Routing/Forwarding instance
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Route.Static.InstallRoutesRecurseViaNexthop, self).__init__()

                        self.yang_name = "install-routes-recurse-via-nexthop"
                        self.yang_parent_name = "static"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "install-routes-recurse-via-nexthop"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/route/static/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Route.Static.InstallRoutesRecurseViaNexthop, ['vrf'], name, value)


            class Vrf(Entity):
                """
                Configure static route for a VPN Routing/Forwarding instance
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: ip_route_interface_forwarding_list
                
                	
                	**type**\: list of  		 :py:class:`IpRouteInterfaceForwardingList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Route.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "route"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"ip-route-interface-forwarding-list" : ("ip_route_interface_forwarding_list", Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList)}

                    self.name = YLeaf(YType.str, "name")

                    self.ip_route_interface_forwarding_list = YList(self)
                    self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/route/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Route.Vrf, ['name'], name, value)


                class IpRouteInterfaceForwardingList(Entity):
                    """
                    
                    
                    .. attribute:: prefix  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: fwd_list
                    
                    	
                    	**type**\: list of  		 :py:class:`FwdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList, self).__init__()

                        self.yang_name = "ip-route-interface-forwarding-list"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"fwd-list" : ("fwd_list", Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList)}

                        self.prefix = YLeaf(YType.str, "prefix")

                        self.mask = YLeaf(YType.str, "mask")

                        self.fwd_list = YList(self)
                        self._segment_path = lambda: "ip-route-interface-forwarding-list" + "[prefix='" + self.prefix.get() + "']" + "[mask='" + self.mask.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList, ['prefix', 'mask'], name, value)


                    class FwdList(Entity):
                        """
                        
                        
                        .. attribute:: fwd  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`Fwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList.Fwd>`
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: forwarding_router_adr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: global_
                        
                        	Next hop address is global
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: name
                        
                        	Specify name of the next hop
                        	**type**\: str
                        
                        .. attribute:: permanent
                        
                        	permanent route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	multicast route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dhcp
                        
                        	Default Gateway obtained from DHCP
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Set tag for this route
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: track
                        
                        	Install route depending on tracked item
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList, self).__init__()

                            self.yang_name = "fwd-list"
                            self.yang_parent_name = "ip-route-interface-forwarding-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.fwd = YLeaf(YType.str, "fwd")

                            self.metric = YLeaf(YType.uint8, "metric")

                            self.forwarding_router_adr = YLeaf(YType.str, "forwarding-router-adr")

                            self.global_ = YLeaf(YType.empty, "global")

                            self.name = YLeaf(YType.str, "name")

                            self.permanent = YLeaf(YType.empty, "permanent")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.dhcp = YLeaf(YType.empty, "dhcp")

                            self.tag = YLeaf(YType.uint32, "tag")

                            self.track = YLeaf(YType.uint16, "track")
                            self._segment_path = lambda: "fwd-list" + "[fwd='" + self.fwd.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Route.Vrf.IpRouteInterfaceForwardingList.FwdList, ['fwd', 'metric', 'forwarding_router_adr', 'global_', 'name', 'permanent', 'multicast', 'dhcp', 'tag', 'track'], name, value)

                        class Fwd(Enum):
                            """
                            Fwd

                            .. data:: Null0 = 0

                            """

                            Null0 = Enum.YLeaf(0, "Null0")



        class Routing(Entity):
            """
            Enable IP routing
            
            .. attribute:: protocol
            
            	IP routing protocol
            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Routing.Protocol>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Routing, self).__init__()

                self.yang_name = "routing"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"protocol" : ("protocol", Native.Ip.Routing.Protocol)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.protocol = Native.Ip.Routing.Protocol()
                self.protocol.parent = self
                self._children_name_map["protocol"] = "protocol"
                self._children_yang_names.add("protocol")
                self._segment_path = lambda: "routing"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()


            class Protocol(Entity):
                """
                IP routing protocol
                
                .. attribute:: purge
                
                	routes purge
                	**type**\:  :py:class:`Purge <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Routing.Protocol.Purge>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Routing.Protocol, self).__init__()

                    self.yang_name = "protocol"
                    self.yang_parent_name = "routing"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"purge" : ("purge", Native.Ip.Routing.Protocol.Purge)}
                    self._child_list_classes = {}

                    self.purge = Native.Ip.Routing.Protocol.Purge()
                    self.purge.parent = self
                    self._children_name_map["purge"] = "purge"
                    self._children_yang_names.add("purge")
                    self._segment_path = lambda: "protocol"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/routing/%s" % self._segment_path()


                class Purge(Entity):
                    """
                    routes purge
                    
                    .. attribute:: interface
                    
                    	Perform IP routing protocol routes purge on link failures
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Routing.Protocol.Purge, self).__init__()

                        self.yang_name = "purge"
                        self.yang_parent_name = "protocol"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interface = YLeaf(YType.boolean, "interface")
                        self._segment_path = lambda: "purge"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/routing/protocol/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Routing.Protocol.Purge, ['interface'], name, value)


        class ExplicitPath(Entity):
            """
            Configure explicit\-path
            
            .. attribute:: identifier
            
            	Specify explicit path by number\: <1..65535>
            	**type**\: list of  		 :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExplicitPath.Identifier>`
            
            .. attribute:: name
            
            	Specify explicit path by name
            	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExplicitPath.Name>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.ExplicitPath, self).__init__()

                self.yang_name = "explicit-path"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"identifier" : ("identifier", Native.Ip.ExplicitPath.Identifier), "name" : ("name", Native.Ip.ExplicitPath.Name)}

                self.identifier = YList(self)
                self.name = YList(self)
                self._segment_path = lambda: "explicit-path"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.ExplicitPath, [], name, value)


            class Identifier(Entity):
                """
                Specify explicit path by number\: <1..65535>
                
                .. attribute:: pnum  <key>
                
                	
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: mode
                
                	
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExplicitPath.Identifier.Mode>`
                
                .. attribute:: index
                
                	Specify the next entry index to add, edit (or delete)\: <1..65535>
                	**type**\: list of  		 :py:class:`Index <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExplicitPath.Identifier.Index>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.ExplicitPath.Identifier, self).__init__()

                    self.yang_name = "identifier"
                    self.yang_parent_name = "explicit-path"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"index" : ("index", Native.Ip.ExplicitPath.Identifier.Index)}

                    self.pnum = YLeaf(YType.uint16, "pnum")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.index = YList(self)
                    self._segment_path = lambda: "identifier" + "[pnum='" + self.pnum.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/explicit-path/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.ExplicitPath.Identifier, ['pnum', 'mode'], name, value)

                class Mode(Enum):
                    """
                    Mode

                    .. data:: enable = 0

                    .. data:: disable = 1

                    """

                    enable = Enum.YLeaf(0, "enable")

                    disable = Enum.YLeaf(1, "disable")



                class Index(Entity):
                    """
                    Specify the next entry index to add, edit (or delete)\: <1..65535>
                    
                    .. attribute:: idx  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: next_address
                    
                    	Specify the next address in the path
                    	**type**\:  :py:class:`NextAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExplicitPath.Identifier.Index.NextAddress>`
                    
                    .. attribute:: next_label
                    
                    	Specify the next MPLS label in the path\: <0..1048575>
                    	**type**\: int
                    
                    	**range:** 0..1048575
                    
                    .. attribute:: exclude_address
                    
                    	Exclude an address from subsequent partial path segments
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: exclude_srlg
                    
                    	Specify an address to get SRLGs from for exclusion
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.ExplicitPath.Identifier.Index, self).__init__()

                        self.yang_name = "index"
                        self.yang_parent_name = "identifier"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"next-address" : ("next_address", Native.Ip.ExplicitPath.Identifier.Index.NextAddress)}
                        self._child_list_classes = {}

                        self.idx = YLeaf(YType.uint32, "idx")

                        self.next_label = YLeaf(YType.uint32, "next-label")

                        self.exclude_address = YLeaf(YType.str, "exclude-address")

                        self.exclude_srlg = YLeaf(YType.str, "exclude-srlg")

                        self.next_address = Native.Ip.ExplicitPath.Identifier.Index.NextAddress()
                        self.next_address.parent = self
                        self._children_name_map["next_address"] = "next-address"
                        self._children_yang_names.add("next-address")
                        self._segment_path = lambda: "index" + "[idx='" + self.idx.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.ExplicitPath.Identifier.Index, ['idx', 'next_label', 'exclude_address', 'exclude_srlg'], name, value)


                    class NextAddress(Entity):
                        """
                        Specify the next address in the path
                        
                        .. attribute:: loose
                        
                        	Target IPv4 address is loose
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv4
                        
                        	Target IPv4 address (strict)
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.ExplicitPath.Identifier.Index.NextAddress, self).__init__()

                            self.yang_name = "next-address"
                            self.yang_parent_name = "index"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.loose = YLeaf(YType.empty, "loose")

                            self.ipv4 = YLeaf(YType.str, "ipv4")
                            self._segment_path = lambda: "next-address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExplicitPath.Identifier.Index.NextAddress, ['loose', 'ipv4'], name, value)


            class Name(Entity):
                """
                Specify explicit path by name
                
                .. attribute:: pname  <key>
                
                	
                	**type**\: str
                
                .. attribute:: mode
                
                	
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExplicitPath.Name.Mode>`
                
                .. attribute:: index
                
                	Specify the next entry index to add, edit (or delete)\: <1..65535>
                	**type**\: list of  		 :py:class:`Index <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExplicitPath.Name.Index>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.ExplicitPath.Name, self).__init__()

                    self.yang_name = "name"
                    self.yang_parent_name = "explicit-path"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"index" : ("index", Native.Ip.ExplicitPath.Name.Index)}

                    self.pname = YLeaf(YType.str, "pname")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.index = YList(self)
                    self._segment_path = lambda: "name" + "[pname='" + self.pname.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/explicit-path/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.ExplicitPath.Name, ['pname', 'mode'], name, value)

                class Mode(Enum):
                    """
                    Mode

                    .. data:: enable = 0

                    .. data:: disable = 1

                    """

                    enable = Enum.YLeaf(0, "enable")

                    disable = Enum.YLeaf(1, "disable")



                class Index(Entity):
                    """
                    Specify the next entry index to add, edit (or delete)\: <1..65535>
                    
                    .. attribute:: idx  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: next_address
                    
                    	Specify the next address in the path
                    	**type**\:  :py:class:`NextAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExplicitPath.Name.Index.NextAddress>`
                    
                    .. attribute:: next_label
                    
                    	Specify the next MPLS label in the path\: <0..1048575>
                    	**type**\: int
                    
                    	**range:** 0..1048575
                    
                    .. attribute:: exclude_address
                    
                    	Exclude an address from subsequent partial path segments
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: exclude_srlg
                    
                    	Specify an address to get SRLGs from for exclusion
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.ExplicitPath.Name.Index, self).__init__()

                        self.yang_name = "index"
                        self.yang_parent_name = "name"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"next-address" : ("next_address", Native.Ip.ExplicitPath.Name.Index.NextAddress)}
                        self._child_list_classes = {}

                        self.idx = YLeaf(YType.uint32, "idx")

                        self.next_label = YLeaf(YType.uint32, "next-label")

                        self.exclude_address = YLeaf(YType.str, "exclude-address")

                        self.exclude_srlg = YLeaf(YType.str, "exclude-srlg")

                        self.next_address = Native.Ip.ExplicitPath.Name.Index.NextAddress()
                        self.next_address.parent = self
                        self._children_name_map["next_address"] = "next-address"
                        self._children_yang_names.add("next-address")
                        self._segment_path = lambda: "index" + "[idx='" + self.idx.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.ExplicitPath.Name.Index, ['idx', 'next_label', 'exclude_address', 'exclude_srlg'], name, value)


                    class NextAddress(Entity):
                        """
                        Specify the next address in the path
                        
                        .. attribute:: loose
                        
                        	Target IPv4 address is loose
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv4
                        
                        	Target IPv4 address (strict)
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.ExplicitPath.Name.Index.NextAddress, self).__init__()

                            self.yang_name = "next-address"
                            self.yang_parent_name = "index"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.loose = YLeaf(YType.empty, "loose")

                            self.ipv4 = YLeaf(YType.str, "ipv4")
                            self._segment_path = lambda: "next-address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExplicitPath.Name.Index.NextAddress, ['loose', 'ipv4'], name, value)


        class Scp(Entity):
            """
            Scp commands
            
            .. attribute:: server
            
            	Configure SCP server\-side functionality
            	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Scp.Server>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Scp, self).__init__()

                self.yang_name = "scp"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"server" : ("server", Native.Ip.Scp.Server)}
                self._child_list_classes = {}

                self.server = Native.Ip.Scp.Server()
                self.server.parent = self
                self._children_name_map["server"] = "server"
                self._children_yang_names.add("server")
                self._segment_path = lambda: "scp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()


            class Server(Entity):
                """
                Configure SCP server\-side functionality
                
                .. attribute:: enable
                
                	Enable server side of SCP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Scp.Server, self).__init__()

                    self.yang_name = "server"
                    self.yang_parent_name = "scp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enable = YLeaf(YType.empty, "enable")
                    self._segment_path = lambda: "server"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/scp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Scp.Server, ['enable'], name, value)


        class Spd(Entity):
            """
            spd
            
            .. attribute:: mode
            
            	
            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Spd.Mode>`
            
            .. attribute:: queue
            
            	queue
            	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Spd.Queue>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Spd, self).__init__()

                self.yang_name = "spd"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"queue" : ("queue", Native.Ip.Spd.Queue)}
                self._child_list_classes = {}

                self.mode = YLeaf(YType.enumeration, "mode")

                self.queue = Native.Ip.Spd.Queue()
                self.queue.parent = self
                self._children_name_map["queue"] = "queue"
                self._children_yang_names.add("queue")
                self._segment_path = lambda: "spd"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Spd, ['mode'], name, value)

            class Mode(Enum):
                """
                Mode

                .. data:: aggressive = 0

                """

                aggressive = Enum.YLeaf(0, "aggressive")



            class Queue(Entity):
                """
                queue
                
                .. attribute:: max_threshold
                
                	Max threshold
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: min_threshold
                
                	Min threshold
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Spd.Queue, self).__init__()

                    self.yang_name = "queue"
                    self.yang_parent_name = "spd"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.max_threshold = YLeaf(YType.uint16, "max-threshold")

                    self.min_threshold = YLeaf(YType.uint16, "min-threshold")
                    self._segment_path = lambda: "queue"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/spd/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Spd.Queue, ['max_threshold', 'min_threshold'], name, value)


        class Bootp(Entity):
            """
            Config BOOTP services
            
            .. attribute:: server
            
            	Enable BOOTP server
            	**type**\: bool
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Bootp, self).__init__()

                self.yang_name = "bootp"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.server = YLeaf(YType.boolean, "server")
                self._segment_path = lambda: "bootp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Bootp, ['server'], name, value)


        class Ssh(Entity):
            """
            Configure ssh options
            
            .. attribute:: authentication_retries
            
            	Specify number of authentication retries
            	**type**\: int
            
            	**range:** 0..5
            
            .. attribute:: client
            
            	Configuration for client
            	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.Client>`
            
            .. attribute:: dscp
            
            	IP DSCP value for SSH traffic
            	**type**\: int
            
            	**range:** 0..63
            
            .. attribute:: logging
            
            	Configure logging for SSH
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.Logging>`
            
            .. attribute:: pubkey_chain
            
            	Configure public key\-chain parameters
            	**type**\:  :py:class:`PubkeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.PubkeyChain>`
            
            .. attribute:: precedence
            
            	IP Precedence value for SSH traffic
            	**type**\: int
            
            	**range:** 0..7
            
            .. attribute:: rsa
            
            	Configure RSA keypair name for SSH
            	**type**\:  :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.Rsa>`
            
            .. attribute:: server
            
            	Configuration for server
            	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.Server>`
            
            .. attribute:: source_interface
            
            	Specify interface for source address in SSH connections
            	**type**\: str
            
            .. attribute:: time_out
            
            	Specify SSH time\-out interval
            	**type**\: int
            
            	**range:** 1..120
            
            .. attribute:: version
            
            	Specify protocol version supported
            	**type**\: int
            
            	**range:** 1..2
            
            .. attribute:: port
            
            	Starting (or only) Port number to listen on
            	**type**\: list of  		 :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.Port>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Ssh, self).__init__()

                self.yang_name = "ssh"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"client" : ("client", Native.Ip.Ssh.Client), "logging" : ("logging", Native.Ip.Ssh.Logging), "pubkey-chain" : ("pubkey_chain", Native.Ip.Ssh.PubkeyChain), "rsa" : ("rsa", Native.Ip.Ssh.Rsa), "server" : ("server", Native.Ip.Ssh.Server)}
                self._child_list_classes = {"port" : ("port", Native.Ip.Ssh.Port)}

                self.authentication_retries = YLeaf(YType.uint8, "authentication-retries")

                self.dscp = YLeaf(YType.uint8, "dscp")

                self.precedence = YLeaf(YType.uint8, "precedence")

                self.source_interface = YLeaf(YType.str, "source-interface")

                self.time_out = YLeaf(YType.uint8, "time-out")

                self.version = YLeaf(YType.uint8, "version")

                self.client = Native.Ip.Ssh.Client()
                self.client.parent = self
                self._children_name_map["client"] = "client"
                self._children_yang_names.add("client")

                self.logging = Native.Ip.Ssh.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.pubkey_chain = Native.Ip.Ssh.PubkeyChain()
                self.pubkey_chain.parent = self
                self._children_name_map["pubkey_chain"] = "pubkey-chain"
                self._children_yang_names.add("pubkey-chain")

                self.rsa = Native.Ip.Ssh.Rsa()
                self.rsa.parent = self
                self._children_name_map["rsa"] = "rsa"
                self._children_yang_names.add("rsa")

                self.server = Native.Ip.Ssh.Server()
                self.server.parent = self
                self._children_name_map["server"] = "server"
                self._children_yang_names.add("server")

                self.port = YList(self)
                self._segment_path = lambda: "ssh"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Ssh, ['authentication_retries', 'dscp', 'precedence', 'source_interface', 'time_out', 'version'], name, value)


            class Client(Entity):
                """
                Configuration for client
                
                .. attribute:: algorithm
                
                	Configure different algorithms used in SSH
                	**type**\:  :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.Client.Algorithm>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Ssh.Client, self).__init__()

                    self.yang_name = "client"
                    self.yang_parent_name = "ssh"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"algorithm" : ("algorithm", Native.Ip.Ssh.Client.Algorithm)}
                    self._child_list_classes = {}

                    self.algorithm = Native.Ip.Ssh.Client.Algorithm()
                    self.algorithm.parent = self
                    self._children_name_map["algorithm"] = "algorithm"
                    self._children_yang_names.add("algorithm")
                    self._segment_path = lambda: "client"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ssh/%s" % self._segment_path()


                class Algorithm(Entity):
                    """
                    Configure different algorithms used in SSH
                    
                    .. attribute:: encryption
                    
                    	Encryption algorithms advertised to other party
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.Client.Algorithm.Encryption>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Ssh.Client.Algorithm, self).__init__()

                        self.yang_name = "algorithm"
                        self.yang_parent_name = "client"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"encryption" : ("encryption", Native.Ip.Ssh.Client.Algorithm.Encryption)}
                        self._child_list_classes = {}

                        self.encryption = Native.Ip.Ssh.Client.Algorithm.Encryption()
                        self.encryption.parent = self
                        self._children_name_map["encryption"] = "encryption"
                        self._children_yang_names.add("encryption")
                        self._segment_path = lambda: "algorithm"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ssh/client/%s" % self._segment_path()


                    class Encryption(Entity):
                        """
                        Encryption algorithms advertised to other party
                        
                        .. attribute:: aes128_ctr
                        
                        	AES with 128\-bit key in CTR mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: aes192_ctr
                        
                        	AEC with 192\-bit key in CTR mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: aes256_ctr
                        
                        	AEC with 256\-bit key in CTR mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.Ssh.Client.Algorithm.Encryption, self).__init__()

                            self.yang_name = "encryption"
                            self.yang_parent_name = "algorithm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.aes128_ctr = YLeaf(YType.empty, "aes128-ctr")

                            self.aes192_ctr = YLeaf(YType.empty, "aes192-ctr")

                            self.aes256_ctr = YLeaf(YType.empty, "aes256-ctr")
                            self._segment_path = lambda: "encryption"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ssh/client/algorithm/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Ssh.Client.Algorithm.Encryption, ['aes128_ctr', 'aes192_ctr', 'aes256_ctr'], name, value)


            class Logging(Entity):
                """
                Configure logging for SSH
                
                .. attribute:: events
                
                	Log SSH events
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Ssh.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "ssh"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.events = YLeaf(YType.empty, "events")
                    self._segment_path = lambda: "logging"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ssh/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Ssh.Logging, ['events'], name, value)


            class PubkeyChain(Entity):
                """
                Configure public key\-chain parameters
                
                .. attribute:: username
                
                	
                	**type**\: list of  		 :py:class:`Username <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.PubkeyChain.Username>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Ssh.PubkeyChain, self).__init__()

                    self.yang_name = "pubkey-chain"
                    self.yang_parent_name = "ssh"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"username" : ("username", Native.Ip.Ssh.PubkeyChain.Username)}

                    self.username = YList(self)
                    self._segment_path = lambda: "pubkey-chain"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ssh/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Ssh.PubkeyChain, [], name, value)


                class Username(Entity):
                    """
                    
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: key_hash
                    
                    	
                    	**type**\: list of  		 :py:class:`KeyHash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.PubkeyChain.Username.KeyHash>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Ssh.PubkeyChain.Username, self).__init__()

                        self.yang_name = "username"
                        self.yang_parent_name = "pubkey-chain"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"key-hash" : ("key_hash", Native.Ip.Ssh.PubkeyChain.Username.KeyHash)}

                        self.name = YLeaf(YType.str, "name")

                        self.key_hash = YList(self)
                        self._segment_path = lambda: "username" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ssh/pubkey-chain/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Ssh.PubkeyChain.Username, ['name'], name, value)


                    class KeyHash(Entity):
                        """
                        
                        
                        .. attribute:: key_type  <key>
                        
                        	
                        	**type**\:  :py:class:`KeyType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.PubkeyChain.Username.KeyHash.KeyType>`
                        
                        .. attribute:: key_hash_value  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.Ssh.PubkeyChain.Username.KeyHash, self).__init__()

                            self.yang_name = "key-hash"
                            self.yang_parent_name = "username"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key_type = YLeaf(YType.enumeration, "key-type")

                            self.key_hash_value = YLeaf(YType.str, "key-hash-value")
                            self._segment_path = lambda: "key-hash" + "[key-type='" + self.key_type.get() + "']" + "[key-hash-value='" + self.key_hash_value.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Ssh.PubkeyChain.Username.KeyHash, ['key_type', 'key_hash_value'], name, value)

                        class KeyType(Enum):
                            """
                            KeyType

                            .. data:: ssh_rsa = 0

                            """

                            ssh_rsa = Enum.YLeaf(0, "ssh-rsa")



            class Rsa(Entity):
                """
                Configure RSA keypair name for SSH
                
                .. attribute:: keypair_name
                
                	keypair\-name
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Ssh.Rsa, self).__init__()

                    self.yang_name = "rsa"
                    self.yang_parent_name = "ssh"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.keypair_name = YLeaf(YType.str, "keypair-name")
                    self._segment_path = lambda: "rsa"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ssh/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Ssh.Rsa, ['keypair_name'], name, value)


            class Server(Entity):
                """
                Configuration for server
                
                .. attribute:: algorithm
                
                	Configure different algorithms used in SSH
                	**type**\:  :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.Server.Algorithm>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Ssh.Server, self).__init__()

                    self.yang_name = "server"
                    self.yang_parent_name = "ssh"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"algorithm" : ("algorithm", Native.Ip.Ssh.Server.Algorithm)}
                    self._child_list_classes = {}

                    self.algorithm = Native.Ip.Ssh.Server.Algorithm()
                    self.algorithm.parent = self
                    self._children_name_map["algorithm"] = "algorithm"
                    self._children_yang_names.add("algorithm")
                    self._segment_path = lambda: "server"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ssh/%s" % self._segment_path()


                class Algorithm(Entity):
                    """
                    Configure different algorithms used in SSH
                    
                    .. attribute:: encryption
                    
                    	Encryption algorithms advertised to other party
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Ssh.Server.Algorithm.Encryption>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Ssh.Server.Algorithm, self).__init__()

                        self.yang_name = "algorithm"
                        self.yang_parent_name = "server"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"encryption" : ("encryption", Native.Ip.Ssh.Server.Algorithm.Encryption)}
                        self._child_list_classes = {}

                        self.encryption = Native.Ip.Ssh.Server.Algorithm.Encryption()
                        self.encryption.parent = self
                        self._children_name_map["encryption"] = "encryption"
                        self._children_yang_names.add("encryption")
                        self._segment_path = lambda: "algorithm"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ssh/server/%s" % self._segment_path()


                    class Encryption(Entity):
                        """
                        Encryption algorithms advertised to other party
                        
                        .. attribute:: aes128_ctr
                        
                        	AES with 128\-bit key in CTR mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: aes192_ctr
                        
                        	AEC with 192\-bit key in CTR mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: aes256_ctr
                        
                        	AEC with 256\-bit key in CTR mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ip.Ssh.Server.Algorithm.Encryption, self).__init__()

                            self.yang_name = "encryption"
                            self.yang_parent_name = "algorithm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.aes128_ctr = YLeaf(YType.empty, "aes128-ctr")

                            self.aes192_ctr = YLeaf(YType.empty, "aes192-ctr")

                            self.aes256_ctr = YLeaf(YType.empty, "aes256-ctr")
                            self._segment_path = lambda: "encryption"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ssh/server/algorithm/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Ssh.Server.Algorithm.Encryption, ['aes128_ctr', 'aes192_ctr', 'aes256_ctr'], name, value)


            class Port(Entity):
                """
                Starting (or only) Port number to listen on
                
                .. attribute:: port_no  <key>
                
                	Starting Port number
                	**type**\: int
                
                	**range:** 2000..10000
                
                .. attribute:: low_rotary
                
                	Starting (or only) rotary group number
                	**type**\: int
                
                	**range:** 1..127
                
                .. attribute:: high_rotary
                
                	Starting (or only) rotary group number
                	**type**\: int
                
                	**range:** 1..127
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Ssh.Port, self).__init__()

                    self.yang_name = "port"
                    self.yang_parent_name = "ssh"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.port_no = YLeaf(YType.uint16, "port-no")

                    self.low_rotary = YLeaf(YType.uint8, "low-rotary")

                    self.high_rotary = YLeaf(YType.uint8, "high-rotary")
                    self._segment_path = lambda: "port" + "[port-no='" + self.port_no.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/ssh/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Ssh.Port, ['port_no', 'low_rotary', 'high_rotary'], name, value)


        class Tcp(Entity):
            """
            Global TCP parameters
            
            .. attribute:: path_mtu_discovery
            
            	Enable path\-MTU discovery on new TCP connections
            	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tcp.PathMtuDiscovery>`
            
            	**presence node**\: True
            
            .. attribute:: selective_ack
            
            	Enable TCP selective\-ACK
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: synwait_time
            
            	Set time to wait on new TCP connections
            	**type**\: int
            
            	**range:** 5..300
            
            .. attribute:: timestamp
            
            	Enable TCP timestamp option
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: window_size
            
            	TCP window size
            	**type**\: int
            
            	**range:** 0..1073741823
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Tcp, self).__init__()

                self.yang_name = "tcp"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Ip.Tcp.PathMtuDiscovery)}
                self._child_list_classes = {}

                self.selective_ack = YLeaf(YType.empty, "selective-ack")

                self.synwait_time = YLeaf(YType.uint16, "synwait-time")

                self.timestamp = YLeaf(YType.empty, "timestamp")

                self.window_size = YLeaf(YType.uint32, "window-size")

                self.path_mtu_discovery = None
                self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                self._children_yang_names.add("path-mtu-discovery")
                self._segment_path = lambda: "tcp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Tcp, ['selective_ack', 'synwait_time', 'timestamp', 'window_size'], name, value)


            class PathMtuDiscovery(Entity):
                """
                Enable path\-MTU discovery on new TCP connections
                
                .. attribute:: age_timer
                
                	Set PMTU aging timer
                	**type**\: union of the below types:
                
                		**type**\:  :py:class:`AgeTimer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tcp.PathMtuDiscovery.AgeTimer>`
                
                		**type**\: int
                
                			**range:** 10..30
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Tcp.PathMtuDiscovery, self).__init__()

                    self.yang_name = "path-mtu-discovery"
                    self.yang_parent_name = "tcp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.age_timer = YLeaf(YType.str, "age-timer")
                    self._segment_path = lambda: "path-mtu-discovery"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/tcp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Tcp.PathMtuDiscovery, ['age_timer'], name, value)

                class AgeTimer(Enum):
                    """
                    AgeTimer

                    Set PMTU aging timer

                    .. data:: infinite = 0

                    """

                    infinite = Enum.YLeaf(0, "infinite")



        class Tftp(Entity):
            """
            tftp configuration commands
            
            .. attribute:: boot_interface
            
            	Force interface to use for TFTP booting
            	**type**\:  :py:class:`BootInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.BootInterface>`
            
            .. attribute:: source_interface
            
            	Specify interface for source address in TFTP connections
            	**type**\:  :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.SourceInterface>`
            
            .. attribute:: blocksize
            
            	Specify TFTP client blocksize
            	**type**\: int
            
            	**range:** 512..8192
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Tftp, self).__init__()

                self.yang_name = "tftp"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"boot-interface" : ("boot_interface", Native.Ip.Tftp.BootInterface), "source-interface" : ("source_interface", Native.Ip.Tftp.SourceInterface)}
                self._child_list_classes = {}

                self.blocksize = YLeaf(YType.uint16, "blocksize")

                self.boot_interface = Native.Ip.Tftp.BootInterface()
                self.boot_interface.parent = self
                self._children_name_map["boot_interface"] = "boot-interface"
                self._children_yang_names.add("boot-interface")

                self.source_interface = Native.Ip.Tftp.SourceInterface()
                self.source_interface.parent = self
                self._children_name_map["source_interface"] = "source-interface"
                self._children_yang_names.add("source-interface")
                self._segment_path = lambda: "tftp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Tftp, ['blocksize'], name, value)


            class BootInterface(Entity):
                """
                Force interface to use for TFTP booting
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.BootInterface.ATMSubinterface>`
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\: str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.BootInterface.ATMACRsubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\: str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\: str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\: str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\: str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\: str
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.BootInterface.LISPSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.BootInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\: str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\: str
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\: str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\: str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Tftp.BootInterface, self).__init__()

                    self.yang_name = "boot-interface"
                    self.yang_parent_name = "tftp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Ip.Tftp.BootInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Ip.Tftp.BootInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Ip.Tftp.BootInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Ip.Tftp.BootInterface.PortChannelSubinterface)}
                    self._child_list_classes = {}

                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                    self.atm = YLeaf(YType.str, "ATM")

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                    self.bdi = YLeaf(YType.str, "BDI")

                    self.cem = YLeaf(YType.str, "CEM")

                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                    self.lisp = YLeaf(YType.str, "LISP")

                    self.loopback = YLeaf(YType.uint32, "Loopback")

                    self.multilink = YLeaf(YType.uint16, "Multilink")

                    self.nve = YLeaf(YType.uint16, "nve")

                    self.overlay = YLeaf(YType.uint16, "overlay")

                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                    self.sm = YLeaf(YType.str, "SM")

                    self.cellular = YLeaf(YType.str, "Cellular")

                    self.serial = YLeaf(YType.str, "Serial")

                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                    self.vlan = YLeaf(YType.uint16, "Vlan")

                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                    self.atm_subinterface = Native.Ip.Tftp.BootInterface.ATMSubinterface()
                    self.atm_subinterface.parent = self
                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                    self._children_yang_names.add("ATM-subinterface")

                    self.atm_acrsubinterface = Native.Ip.Tftp.BootInterface.ATMACRsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                    self._children_yang_names.add("ATM-ACRsubinterface")

                    self.lisp_subinterface = Native.Ip.Tftp.BootInterface.LISPSubinterface()
                    self.lisp_subinterface.parent = self
                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                    self._children_yang_names.add("LISP-subinterface")

                    self.port_channel_subinterface = Native.Ip.Tftp.BootInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                    self._children_yang_names.add("Port-channel-subinterface")
                    self._segment_path = lambda: "boot-interface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/tftp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Tftp.BootInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                class ATMSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Tftp.BootInterface.ATMSubinterface, self).__init__()

                        self.yang_name = "ATM-subinterface"
                        self.yang_parent_name = "boot-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm = YLeaf(YType.str, "ATM")
                        self._segment_path = lambda: "ATM-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/tftp/boot-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Tftp.BootInterface.ATMSubinterface, ['atm'], name, value)


                class ATMACRsubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Tftp.BootInterface.ATMACRsubinterface, self).__init__()

                        self.yang_name = "ATM-ACRsubinterface"
                        self.yang_parent_name = "boot-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                        self._segment_path = lambda: "ATM-ACRsubinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/tftp/boot-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Tftp.BootInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                class LISPSubinterface(Entity):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Tftp.BootInterface.LISPSubinterface, self).__init__()

                        self.yang_name = "LISP-subinterface"
                        self.yang_parent_name = "boot-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.lisp = YLeaf(YType.str, "LISP")
                        self._segment_path = lambda: "LISP-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/tftp/boot-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Tftp.BootInterface.LISPSubinterface, ['lisp'], name, value)


                class PortChannelSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Tftp.BootInterface.PortChannelSubinterface, self).__init__()

                        self.yang_name = "Port-channel-subinterface"
                        self.yang_parent_name = "boot-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_channel = YLeaf(YType.str, "Port-channel")
                        self._segment_path = lambda: "Port-channel-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/tftp/boot-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Tftp.BootInterface.PortChannelSubinterface, ['port_channel'], name, value)


            class SourceInterface(Entity):
                """
                Specify interface for source address in TFTP connections
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.SourceInterface.ATMSubinterface>`
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\: str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.SourceInterface.ATMACRsubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\: str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\: str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\: str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\: str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\: str
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.SourceInterface.LISPSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tftp.SourceInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\: str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\: str
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\: str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\: str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ip.Tftp.SourceInterface, self).__init__()

                    self.yang_name = "source-interface"
                    self.yang_parent_name = "tftp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Ip.Tftp.SourceInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Ip.Tftp.SourceInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Ip.Tftp.SourceInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Ip.Tftp.SourceInterface.PortChannelSubinterface)}
                    self._child_list_classes = {}

                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                    self.atm = YLeaf(YType.str, "ATM")

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                    self.bdi = YLeaf(YType.str, "BDI")

                    self.cem = YLeaf(YType.str, "CEM")

                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                    self.lisp = YLeaf(YType.str, "LISP")

                    self.loopback = YLeaf(YType.uint32, "Loopback")

                    self.multilink = YLeaf(YType.uint16, "Multilink")

                    self.nve = YLeaf(YType.uint16, "nve")

                    self.overlay = YLeaf(YType.uint16, "overlay")

                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                    self.sm = YLeaf(YType.str, "SM")

                    self.cellular = YLeaf(YType.str, "Cellular")

                    self.serial = YLeaf(YType.str, "Serial")

                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                    self.vlan = YLeaf(YType.uint16, "Vlan")

                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                    self.atm_subinterface = Native.Ip.Tftp.SourceInterface.ATMSubinterface()
                    self.atm_subinterface.parent = self
                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                    self._children_yang_names.add("ATM-subinterface")

                    self.atm_acrsubinterface = Native.Ip.Tftp.SourceInterface.ATMACRsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                    self._children_yang_names.add("ATM-ACRsubinterface")

                    self.lisp_subinterface = Native.Ip.Tftp.SourceInterface.LISPSubinterface()
                    self.lisp_subinterface.parent = self
                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                    self._children_yang_names.add("LISP-subinterface")

                    self.port_channel_subinterface = Native.Ip.Tftp.SourceInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                    self._children_yang_names.add("Port-channel-subinterface")
                    self._segment_path = lambda: "source-interface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/tftp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Tftp.SourceInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                class ATMSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Tftp.SourceInterface.ATMSubinterface, self).__init__()

                        self.yang_name = "ATM-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm = YLeaf(YType.str, "ATM")
                        self._segment_path = lambda: "ATM-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/tftp/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Tftp.SourceInterface.ATMSubinterface, ['atm'], name, value)


                class ATMACRsubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Tftp.SourceInterface.ATMACRsubinterface, self).__init__()

                        self.yang_name = "ATM-ACRsubinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                        self._segment_path = lambda: "ATM-ACRsubinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/tftp/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Tftp.SourceInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                class LISPSubinterface(Entity):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Tftp.SourceInterface.LISPSubinterface, self).__init__()

                        self.yang_name = "LISP-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.lisp = YLeaf(YType.str, "LISP")
                        self._segment_path = lambda: "LISP-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/tftp/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Tftp.SourceInterface.LISPSubinterface, ['lisp'], name, value)


                class PortChannelSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ip.Tftp.SourceInterface.PortChannelSubinterface, self).__init__()

                        self.yang_name = "Port-channel-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_channel = YLeaf(YType.str, "Port-channel")
                        self._segment_path = lambda: "Port-channel-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/tftp/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Tftp.SourceInterface.PortChannelSubinterface, ['port_channel'], name, value)


        class AccessList(Entity):
            """
            IOS Named access list
            
            .. attribute:: standard
            
            	Standard Access List
            	**type**\: list of  		 :py:class:`Standard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard>`
            
            .. attribute:: role_based
            
            	Role\-based Access List
            	**type**\: list of  		 :py:class:`RoleBased <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased>`
            
            .. attribute:: extended
            
            	Extended Access List
            	**type**\: list of  		 :py:class:`Extended <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended>`
            
            .. attribute:: helper
            
            	Access List acts on helper\-address
            	**type**\:  :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Helper>`
            
            .. attribute:: log_update
            
            	Control access list log updates
            	**type**\:  :py:class:`LogUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.LogUpdate>`
            
            .. attribute:: logging
            
            	Control access list logging
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Logging>`
            
            .. attribute:: match_local_traffic
            
            	Enable ACL matching for locally generated traffic
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: persistent
            
            	enable persistency across reload
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: resequence
            
            	Resequence Access List
            	**type**\:  :py:class:`Resequence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Resequence>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.AccessList, self).__init__()

                self.yang_name = "access-list"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-acl:helper" : ("helper", Native.Ip.AccessList.Helper), "Cisco-IOS-XE-acl:log-update" : ("log_update", Native.Ip.AccessList.LogUpdate), "Cisco-IOS-XE-acl:logging" : ("logging", Native.Ip.AccessList.Logging), "Cisco-IOS-XE-acl:resequence" : ("resequence", Native.Ip.AccessList.Resequence)}
                self._child_list_classes = {"Cisco-IOS-XE-acl:standard" : ("standard", Native.Ip.AccessList.Standard), "Cisco-IOS-XE-acl:role-based" : ("role_based", Native.Ip.AccessList.RoleBased), "Cisco-IOS-XE-acl:extended" : ("extended", Native.Ip.AccessList.Extended)}

                self.match_local_traffic = YLeaf(YType.empty, "Cisco-IOS-XE-acl:match-local-traffic")

                self.persistent = YLeaf(YType.empty, "Cisco-IOS-XE-acl:persistent")

                self.helper = Native.Ip.AccessList.Helper()
                self.helper.parent = self
                self._children_name_map["helper"] = "helper"
                self._children_yang_names.add("helper")

                self.log_update = Native.Ip.AccessList.LogUpdate()
                self.log_update.parent = self
                self._children_name_map["log_update"] = "log-update"
                self._children_yang_names.add("log-update")

                self.logging = Native.Ip.AccessList.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.resequence = Native.Ip.AccessList.Resequence()
                self.resequence.parent = self
                self._children_name_map["resequence"] = "resequence"
                self._children_yang_names.add("resequence")

                self.standard = YList(self)
                self.role_based = YList(self)
                self.extended = YList(self)
                self._segment_path = lambda: "access-list"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.AccessList, ['match_local_traffic', 'persistent'], name, value)


            class Standard(Entity):
                """
                Standard Access List
                
                .. attribute:: name  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..99
                
                		**type**\: int
                
                			**range:** 1300..1999
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: access_list_seq_rule
                
                	
                	**type**\: list of  		 :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.AccessListSeqRule>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.Default>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-08-01'

                def __init__(self):
                    super(Native.Ip.AccessList.Standard, self).__init__()

                    self.yang_name = "standard"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Ip.AccessList.Standard.Default)}
                    self._child_list_classes = {"access-list-seq-rule" : ("access_list_seq_rule", Native.Ip.AccessList.Standard.AccessListSeqRule)}

                    self.name = YLeaf(YType.str, "name")

                    self.default = Native.Ip.AccessList.Standard.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.access_list_seq_rule = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-acl:standard" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/access-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.AccessList.Standard, ['name'], name, value)


                class AccessListSeqRule(Entity):
                    """
                    
                    
                    .. attribute:: sequence  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: deny
                    
                    	Specify packets to reject
                    	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.AccessListSeqRule.Deny>`
                    
                    .. attribute:: permit
                    
                    	Specify packets to forward
                    	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.AccessListSeqRule.Permit>`
                    
                    .. attribute:: remark
                    
                    	Access list entry comment
                    	**type**\: str
                    
                    	**length:** 1..100
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-08-01'

                    def __init__(self):
                        super(Native.Ip.AccessList.Standard.AccessListSeqRule, self).__init__()

                        self.yang_name = "access-list-seq-rule"
                        self.yang_parent_name = "standard"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"deny" : ("deny", Native.Ip.AccessList.Standard.AccessListSeqRule.Deny), "permit" : ("permit", Native.Ip.AccessList.Standard.AccessListSeqRule.Permit)}
                        self._child_list_classes = {}

                        self.sequence = YLeaf(YType.uint64, "sequence")

                        self.remark = YLeaf(YType.str, "remark")

                        self.deny = Native.Ip.AccessList.Standard.AccessListSeqRule.Deny()
                        self.deny.parent = self
                        self._children_name_map["deny"] = "deny"
                        self._children_yang_names.add("deny")

                        self.permit = Native.Ip.AccessList.Standard.AccessListSeqRule.Permit()
                        self.permit.parent = self
                        self._children_name_map["permit"] = "permit"
                        self._children_yang_names.add("permit")
                        self._segment_path = lambda: "access-list-seq-rule" + "[sequence='" + self.sequence.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.AccessList.Standard.AccessListSeqRule, ['sequence', 'remark'], name, value)


                    class Deny(Entity):
                        """
                        Specify packets to reject
                        
                        .. attribute:: std_ace
                        
                        	
                        	**type**\:  :py:class:`StdAce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.AccessListSeqRule.Deny.StdAce>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Ip.AccessList.Standard.AccessListSeqRule.Deny, self).__init__()

                            self.yang_name = "deny"
                            self.yang_parent_name = "access-list-seq-rule"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"std-ace" : ("std_ace", Native.Ip.AccessList.Standard.AccessListSeqRule.Deny.StdAce)}
                            self._child_list_classes = {}

                            self.std_ace = Native.Ip.AccessList.Standard.AccessListSeqRule.Deny.StdAce()
                            self.std_ace.parent = self
                            self._children_name_map["std_ace"] = "std-ace"
                            self._children_yang_names.add("std-ace")
                            self._segment_path = lambda: "deny"


                        class StdAce(Entity):
                            """
                            
                            
                            .. attribute:: ipv4_prefix
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: any
                            
                            	Any source prefix
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: host
                            
                            	A single source host
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: log
                            
                            	Log matches against this entry
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ip.AccessList.Standard.AccessListSeqRule.Deny.StdAce, self).__init__()

                                self.yang_name = "std-ace"
                                self.yang_parent_name = "deny"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_prefix = YLeaf(YType.str, "ipv4-prefix")

                                self.mask = YLeaf(YType.str, "mask")

                                self.any = YLeaf(YType.empty, "any")

                                self.host = YLeaf(YType.str, "host")

                                self.log = YLeaf(YType.empty, "log")
                                self._segment_path = lambda: "std-ace"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.AccessList.Standard.AccessListSeqRule.Deny.StdAce, ['ipv4_prefix', 'mask', 'any', 'host', 'log'], name, value)


                    class Permit(Entity):
                        """
                        Specify packets to forward
                        
                        .. attribute:: std_ace
                        
                        	
                        	**type**\:  :py:class:`StdAce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.AccessListSeqRule.Permit.StdAce>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Ip.AccessList.Standard.AccessListSeqRule.Permit, self).__init__()

                            self.yang_name = "permit"
                            self.yang_parent_name = "access-list-seq-rule"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"std-ace" : ("std_ace", Native.Ip.AccessList.Standard.AccessListSeqRule.Permit.StdAce)}
                            self._child_list_classes = {}

                            self.std_ace = Native.Ip.AccessList.Standard.AccessListSeqRule.Permit.StdAce()
                            self.std_ace.parent = self
                            self._children_name_map["std_ace"] = "std-ace"
                            self._children_yang_names.add("std-ace")
                            self._segment_path = lambda: "permit"


                        class StdAce(Entity):
                            """
                            
                            
                            .. attribute:: ipv4_prefix
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: any
                            
                            	Any source prefix
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: host
                            
                            	A single source host
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: log
                            
                            	Log matches against this entry
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ip.AccessList.Standard.AccessListSeqRule.Permit.StdAce, self).__init__()

                                self.yang_name = "std-ace"
                                self.yang_parent_name = "permit"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_prefix = YLeaf(YType.str, "ipv4-prefix")

                                self.mask = YLeaf(YType.str, "mask")

                                self.any = YLeaf(YType.empty, "any")

                                self.host = YLeaf(YType.str, "host")

                                self.log = YLeaf(YType.empty, "log")
                                self._segment_path = lambda: "std-ace"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.AccessList.Standard.AccessListSeqRule.Permit.StdAce, ['ipv4_prefix', 'mask', 'any', 'host', 'log'], name, value)


                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: access_list_seq_rule
                    
                    	
                    	**type**\: list of  		 :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.Default.AccessListSeqRule>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-08-01'

                    def __init__(self):
                        super(Native.Ip.AccessList.Standard.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "standard"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"access-list-seq-rule" : ("access_list_seq_rule", Native.Ip.AccessList.Standard.Default.AccessListSeqRule)}

                        self.access_list_seq_rule = YList(self)
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.AccessList.Standard.Default, [], name, value)


                    class AccessListSeqRule(Entity):
                        """
                        
                        
                        .. attribute:: sequence  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..2147483647
                        
                        .. attribute:: deny
                        
                        	Specify packets to reject
                        	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny>`
                        
                        .. attribute:: permit
                        
                        	Specify packets to forward
                        	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit>`
                        
                        .. attribute:: remark
                        
                        	Access list entry comment
                        	**type**\: str
                        
                        	**length:** 1..100
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Ip.AccessList.Standard.Default.AccessListSeqRule, self).__init__()

                            self.yang_name = "access-list-seq-rule"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"deny" : ("deny", Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny), "permit" : ("permit", Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit)}
                            self._child_list_classes = {}

                            self.sequence = YLeaf(YType.uint64, "sequence")

                            self.remark = YLeaf(YType.str, "remark")

                            self.deny = Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny()
                            self.deny.parent = self
                            self._children_name_map["deny"] = "deny"
                            self._children_yang_names.add("deny")

                            self.permit = Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit()
                            self.permit.parent = self
                            self._children_name_map["permit"] = "permit"
                            self._children_yang_names.add("permit")
                            self._segment_path = lambda: "access-list-seq-rule" + "[sequence='" + self.sequence.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.AccessList.Standard.Default.AccessListSeqRule, ['sequence', 'remark'], name, value)


                        class Deny(Entity):
                            """
                            Specify packets to reject
                            
                            .. attribute:: std_ace
                            
                            	
                            	**type**\:  :py:class:`StdAce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny.StdAce>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny, self).__init__()

                                self.yang_name = "deny"
                                self.yang_parent_name = "access-list-seq-rule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"std-ace" : ("std_ace", Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny.StdAce)}
                                self._child_list_classes = {}

                                self.std_ace = Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny.StdAce()
                                self.std_ace.parent = self
                                self._children_name_map["std_ace"] = "std-ace"
                                self._children_yang_names.add("std-ace")
                                self._segment_path = lambda: "deny"


                            class StdAce(Entity):
                                """
                                
                                
                                .. attribute:: ipv4_prefix
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                                
                                .. attribute:: mask
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: any
                                
                                	Any source prefix
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: host
                                
                                	A single source host
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                                
                                .. attribute:: log
                                
                                	Log matches against this entry
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-08-01'

                                def __init__(self):
                                    super(Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny.StdAce, self).__init__()

                                    self.yang_name = "std-ace"
                                    self.yang_parent_name = "deny"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_prefix = YLeaf(YType.str, "ipv4-prefix")

                                    self.mask = YLeaf(YType.str, "mask")

                                    self.any = YLeaf(YType.empty, "any")

                                    self.host = YLeaf(YType.str, "host")

                                    self.log = YLeaf(YType.empty, "log")
                                    self._segment_path = lambda: "std-ace"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Deny.StdAce, ['ipv4_prefix', 'mask', 'any', 'host', 'log'], name, value)


                        class Permit(Entity):
                            """
                            Specify packets to forward
                            
                            .. attribute:: std_ace
                            
                            	
                            	**type**\:  :py:class:`StdAce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit.StdAce>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit, self).__init__()

                                self.yang_name = "permit"
                                self.yang_parent_name = "access-list-seq-rule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"std-ace" : ("std_ace", Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit.StdAce)}
                                self._child_list_classes = {}

                                self.std_ace = Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit.StdAce()
                                self.std_ace.parent = self
                                self._children_name_map["std_ace"] = "std-ace"
                                self._children_yang_names.add("std-ace")
                                self._segment_path = lambda: "permit"


                            class StdAce(Entity):
                                """
                                
                                
                                .. attribute:: ipv4_prefix
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                                
                                .. attribute:: mask
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: any
                                
                                	Any source prefix
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: host
                                
                                	A single source host
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                                
                                .. attribute:: log
                                
                                	Log matches against this entry
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-08-01'

                                def __init__(self):
                                    super(Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit.StdAce, self).__init__()

                                    self.yang_name = "std-ace"
                                    self.yang_parent_name = "permit"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_prefix = YLeaf(YType.str, "ipv4-prefix")

                                    self.mask = YLeaf(YType.str, "mask")

                                    self.any = YLeaf(YType.empty, "any")

                                    self.host = YLeaf(YType.str, "host")

                                    self.log = YLeaf(YType.empty, "log")
                                    self._segment_path = lambda: "std-ace"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.AccessList.Standard.Default.AccessListSeqRule.Permit.StdAce, ['ipv4_prefix', 'mask', 'any', 'host', 'log'], name, value)


            class RoleBased(Entity):
                """
                Role\-based Access List
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: access_list_seq_rule
                
                	
                	**type**\: list of  		 :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-08-01'

                def __init__(self):
                    super(Native.Ip.AccessList.RoleBased, self).__init__()

                    self.yang_name = "role-based"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Ip.AccessList.RoleBased.Default)}
                    self._child_list_classes = {"access-list-seq-rule" : ("access_list_seq_rule", Native.Ip.AccessList.RoleBased.AccessListSeqRule)}

                    self.name = YLeaf(YType.str, "name")

                    self.default = Native.Ip.AccessList.RoleBased.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.access_list_seq_rule = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-acl:role-based" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/access-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.AccessList.RoleBased, ['name'], name, value)


                class AccessListSeqRule(Entity):
                    """
                    
                    
                    .. attribute:: sequence  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: ace_rule
                    
                    	
                    	**type**\:  :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule>`
                    
                    .. attribute:: remark
                    
                    	Access list entry comment
                    	**type**\: str
                    
                    	**length:** 1..100
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-08-01'

                    def __init__(self):
                        super(Native.Ip.AccessList.RoleBased.AccessListSeqRule, self).__init__()

                        self.yang_name = "access-list-seq-rule"
                        self.yang_parent_name = "role-based"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ace-rule" : ("ace_rule", Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule)}
                        self._child_list_classes = {}

                        self.sequence = YLeaf(YType.uint64, "sequence")

                        self.remark = YLeaf(YType.str, "remark")

                        self.ace_rule = Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule()
                        self.ace_rule.parent = self
                        self._children_name_map["ace_rule"] = "ace-rule"
                        self._children_yang_names.add("ace-rule")
                        self._segment_path = lambda: "access-list-seq-rule" + "[sequence='" + self.sequence.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.AccessList.RoleBased.AccessListSeqRule, ['sequence', 'remark'], name, value)


                    class AceRule(Entity):
                        """
                        
                        
                        .. attribute:: action
                        
                        	
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Action>`
                        
                        .. attribute:: protocol
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..255
                        
                        		**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Protocol>`
                        
                        .. attribute:: object_group_str
                        
                        	Service object group name
                        	**type**\: str
                        
                        .. attribute:: dscp
                        
                        	Match packets with given dscp value
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..63
                        
                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                        
                        .. attribute:: fragments
                        
                        	Check non\-initial fragments
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log
                        
                        	Log matches against this entry
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log_input
                        
                        	Log matches against this entry, including input interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: option
                        
                        	Match packets with given IP Options value
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..255
                        
                        		**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Option>`
                        
                        .. attribute:: precedence
                        
                        	Match packets with given precedence value
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..7
                        
                        		**type**\:  :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Precedence>`
                        
                        .. attribute:: time_range
                        
                        	Specify a time\-range
                        	**type**\: str
                        
                        .. attribute:: tos
                        
                        	Match packets with given TOS value
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..15
                        
                        		**type**\:  :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Tos>`
                        
                        .. attribute:: ttl
                        
                        	Match packets with given TTL value
                        	**type**\:  :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl>`
                        
                        .. attribute:: match_all
                        
                        	Match if all specified flags are present
                        	**type**\:  :py:class:`MatchAll <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAll>`
                        
                        .. attribute:: match_any
                        
                        	Match if any specified flags is present
                        	**type**\:  :py:class:`MatchAny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAny>`
                        
                        .. attribute:: ack
                        
                        	Match on the ACK bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fin
                        
                        	Match on the FIN bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: psh
                        
                        	Match on the PSH bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rst
                        
                        	Match on the RST bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: syn
                        
                        	Match on the SYN bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: urg
                        
                        	Match on the URG bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: established
                        
                        	Match established connections
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: msg_type
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: msg_code
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: named_msg_type
                        
                        	
                        	**type**\:  :py:class:`NamedMsgType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.NamedMsgType>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule, self).__init__()

                            self.yang_name = "ace-rule"
                            self.yang_parent_name = "access-list-seq-rule"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ttl" : ("ttl", Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl), "match-all" : ("match_all", Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAll), "match-any" : ("match_any", Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAny)}
                            self._child_list_classes = {}

                            self.action = YLeaf(YType.enumeration, "action")

                            self.protocol = YLeaf(YType.str, "protocol")

                            self.object_group_str = YLeaf(YType.str, "object-group-str")

                            self.dscp = YLeaf(YType.str, "dscp")

                            self.fragments = YLeaf(YType.empty, "fragments")

                            self.log = YLeaf(YType.empty, "log")

                            self.log_input = YLeaf(YType.empty, "log-input")

                            self.option = YLeaf(YType.str, "option")

                            self.precedence = YLeaf(YType.str, "precedence")

                            self.time_range = YLeaf(YType.str, "time-range")

                            self.tos = YLeaf(YType.str, "tos")

                            self.ack = YLeaf(YType.empty, "ack")

                            self.fin = YLeaf(YType.empty, "fin")

                            self.psh = YLeaf(YType.empty, "psh")

                            self.rst = YLeaf(YType.empty, "rst")

                            self.syn = YLeaf(YType.empty, "syn")

                            self.urg = YLeaf(YType.empty, "urg")

                            self.established = YLeaf(YType.empty, "established")

                            self.msg_type = YLeaf(YType.uint8, "msg-type")

                            self.msg_code = YLeaf(YType.uint8, "msg-code")

                            self.named_msg_type = YLeaf(YType.enumeration, "named-msg-type")

                            self.ttl = Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl()
                            self.ttl.parent = self
                            self._children_name_map["ttl"] = "ttl"
                            self._children_yang_names.add("ttl")

                            self.match_all = Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAll()
                            self.match_all.parent = self
                            self._children_name_map["match_all"] = "match-all"
                            self._children_yang_names.add("match-all")

                            self.match_any = Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAny()
                            self.match_any.parent = self
                            self._children_name_map["match_any"] = "match-any"
                            self._children_yang_names.add("match-any")
                            self._segment_path = lambda: "ace-rule"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule, ['action', 'protocol', 'object_group_str', 'dscp', 'fragments', 'log', 'log_input', 'option', 'precedence', 'time_range', 'tos', 'ack', 'fin', 'psh', 'rst', 'syn', 'urg', 'established', 'msg_type', 'msg_code', 'named_msg_type'], name, value)

                        class Action(Enum):
                            """
                            Action

                            .. data:: deny = 0

                            .. data:: permit = 1

                            """

                            deny = Enum.YLeaf(0, "deny")

                            permit = Enum.YLeaf(1, "permit")


                        class NamedMsgType(Enum):
                            """
                            NamedMsgType

                            .. data:: administratively_prohibited = 0

                            .. data:: alternate_address = 1

                            .. data:: conversion_error = 2

                            .. data:: dod_host_prohibited = 3

                            .. data:: dod_net_prohibited = 4

                            .. data:: echo = 5

                            .. data:: echo_reply = 6

                            .. data:: general_parameter_problem = 7

                            .. data:: host_isolated = 8

                            .. data:: host_precedence_unreachable = 9

                            .. data:: host_redirect = 10

                            .. data:: host_tos_redirect = 11

                            .. data:: host_tos_unreachable = 12

                            .. data:: host_unknown = 13

                            .. data:: host_unreachable = 14

                            .. data:: information_reply = 15

                            .. data:: information_request = 16

                            .. data:: mask_reply = 17

                            .. data:: mask_request = 18

                            .. data:: mobile_redirect = 19

                            .. data:: net_redirect = 20

                            .. data:: net_tos_redirect = 21

                            .. data:: net_tos_unreachable = 22

                            .. data:: net_unreachable = 23

                            .. data:: network_unknown = 24

                            .. data:: no_room_for_option = 25

                            .. data:: option_missing = 26

                            .. data:: packet_too_big = 27

                            .. data:: parameter_problem = 28

                            .. data:: port_unreachable = 29

                            .. data:: precedence_unreachable = 30

                            .. data:: protocol_unreachable = 31

                            .. data:: reassembly_timeout = 32

                            .. data:: redirect = 33

                            .. data:: router_advertisement = 34

                            .. data:: router_solicitation = 35

                            .. data:: source_quench = 36

                            .. data:: source_route_failed = 37

                            .. data:: time_exceeded = 38

                            .. data:: timestamp_reply = 39

                            .. data:: timestamp_request = 40

                            .. data:: traceroute = 41

                            .. data:: ttl_exceeded = 42

                            .. data:: unreachable = 43

                            """

                            administratively_prohibited = Enum.YLeaf(0, "administratively-prohibited")

                            alternate_address = Enum.YLeaf(1, "alternate-address")

                            conversion_error = Enum.YLeaf(2, "conversion-error")

                            dod_host_prohibited = Enum.YLeaf(3, "dod-host-prohibited")

                            dod_net_prohibited = Enum.YLeaf(4, "dod-net-prohibited")

                            echo = Enum.YLeaf(5, "echo")

                            echo_reply = Enum.YLeaf(6, "echo-reply")

                            general_parameter_problem = Enum.YLeaf(7, "general-parameter-problem")

                            host_isolated = Enum.YLeaf(8, "host-isolated")

                            host_precedence_unreachable = Enum.YLeaf(9, "host-precedence-unreachable")

                            host_redirect = Enum.YLeaf(10, "host-redirect")

                            host_tos_redirect = Enum.YLeaf(11, "host-tos-redirect")

                            host_tos_unreachable = Enum.YLeaf(12, "host-tos-unreachable")

                            host_unknown = Enum.YLeaf(13, "host-unknown")

                            host_unreachable = Enum.YLeaf(14, "host-unreachable")

                            information_reply = Enum.YLeaf(15, "information-reply")

                            information_request = Enum.YLeaf(16, "information-request")

                            mask_reply = Enum.YLeaf(17, "mask-reply")

                            mask_request = Enum.YLeaf(18, "mask-request")

                            mobile_redirect = Enum.YLeaf(19, "mobile-redirect")

                            net_redirect = Enum.YLeaf(20, "net-redirect")

                            net_tos_redirect = Enum.YLeaf(21, "net-tos-redirect")

                            net_tos_unreachable = Enum.YLeaf(22, "net-tos-unreachable")

                            net_unreachable = Enum.YLeaf(23, "net-unreachable")

                            network_unknown = Enum.YLeaf(24, "network-unknown")

                            no_room_for_option = Enum.YLeaf(25, "no-room-for-option")

                            option_missing = Enum.YLeaf(26, "option-missing")

                            packet_too_big = Enum.YLeaf(27, "packet-too-big")

                            parameter_problem = Enum.YLeaf(28, "parameter-problem")

                            port_unreachable = Enum.YLeaf(29, "port-unreachable")

                            precedence_unreachable = Enum.YLeaf(30, "precedence-unreachable")

                            protocol_unreachable = Enum.YLeaf(31, "protocol-unreachable")

                            reassembly_timeout = Enum.YLeaf(32, "reassembly-timeout")

                            redirect = Enum.YLeaf(33, "redirect")

                            router_advertisement = Enum.YLeaf(34, "router-advertisement")

                            router_solicitation = Enum.YLeaf(35, "router-solicitation")

                            source_quench = Enum.YLeaf(36, "source-quench")

                            source_route_failed = Enum.YLeaf(37, "source-route-failed")

                            time_exceeded = Enum.YLeaf(38, "time-exceeded")

                            timestamp_reply = Enum.YLeaf(39, "timestamp-reply")

                            timestamp_request = Enum.YLeaf(40, "timestamp-request")

                            traceroute = Enum.YLeaf(41, "traceroute")

                            ttl_exceeded = Enum.YLeaf(42, "ttl-exceeded")

                            unreachable = Enum.YLeaf(43, "unreachable")


                        class Option(Enum):
                            """
                            Option

                            Match packets with given IP Options value

                            .. data:: add_ext = 0

                            .. data:: any_options = 1

                            .. data:: com_security = 2

                            .. data:: dps = 3

                            .. data:: encode = 4

                            .. data:: eool = 5

                            .. data:: ext_ip = 6

                            .. data:: ext_security = 7

                            .. data:: finn = 8

                            .. data:: imitd = 9

                            .. data:: lsr = 10

                            .. data:: mtup = 11

                            .. data:: mtur = 12

                            .. data:: no_op = 13

                            .. data:: nsapa = 14

                            .. data:: record_route = 15

                            .. data:: router_alert = 16

                            .. data:: sdb = 17

                            .. data:: security = 18

                            .. data:: ssr = 19

                            .. data:: stream_id = 20

                            .. data:: timestamp = 21

                            .. data:: traceroute = 22

                            .. data:: ump = 23

                            .. data:: visa = 24

                            .. data:: zsu = 25

                            """

                            add_ext = Enum.YLeaf(0, "add-ext")

                            any_options = Enum.YLeaf(1, "any-options")

                            com_security = Enum.YLeaf(2, "com-security")

                            dps = Enum.YLeaf(3, "dps")

                            encode = Enum.YLeaf(4, "encode")

                            eool = Enum.YLeaf(5, "eool")

                            ext_ip = Enum.YLeaf(6, "ext-ip")

                            ext_security = Enum.YLeaf(7, "ext-security")

                            finn = Enum.YLeaf(8, "finn")

                            imitd = Enum.YLeaf(9, "imitd")

                            lsr = Enum.YLeaf(10, "lsr")

                            mtup = Enum.YLeaf(11, "mtup")

                            mtur = Enum.YLeaf(12, "mtur")

                            no_op = Enum.YLeaf(13, "no-op")

                            nsapa = Enum.YLeaf(14, "nsapa")

                            record_route = Enum.YLeaf(15, "record-route")

                            router_alert = Enum.YLeaf(16, "router-alert")

                            sdb = Enum.YLeaf(17, "sdb")

                            security = Enum.YLeaf(18, "security")

                            ssr = Enum.YLeaf(19, "ssr")

                            stream_id = Enum.YLeaf(20, "stream-id")

                            timestamp = Enum.YLeaf(21, "timestamp")

                            traceroute = Enum.YLeaf(22, "traceroute")

                            ump = Enum.YLeaf(23, "ump")

                            visa = Enum.YLeaf(24, "visa")

                            zsu = Enum.YLeaf(25, "zsu")


                        class Precedence(Enum):
                            """
                            Precedence

                            Match packets with given precedence value

                            .. data:: critical = 0

                            .. data:: flash = 1

                            .. data:: flash_override = 2

                            .. data:: immediate = 3

                            .. data:: internet = 4

                            .. data:: network = 5

                            .. data:: priority = 6

                            .. data:: routine = 7

                            """

                            critical = Enum.YLeaf(0, "critical")

                            flash = Enum.YLeaf(1, "flash")

                            flash_override = Enum.YLeaf(2, "flash-override")

                            immediate = Enum.YLeaf(3, "immediate")

                            internet = Enum.YLeaf(4, "internet")

                            network = Enum.YLeaf(5, "network")

                            priority = Enum.YLeaf(6, "priority")

                            routine = Enum.YLeaf(7, "routine")


                        class Protocol(Enum):
                            """
                            Protocol

                            .. data:: ahp = 0

                            .. data:: eigrp = 1

                            .. data:: esp = 2

                            .. data:: gre = 3

                            .. data:: icmp = 4

                            .. data:: igmp = 5

                            .. data:: ip = 6

                            .. data:: ipinip = 7

                            .. data:: nos = 8

                            .. data:: object_group = 9

                            .. data:: ospf = 10

                            .. data:: pcp = 11

                            .. data:: pim = 12

                            .. data:: tcp = 13

                            .. data:: udp = 14

                            """

                            ahp = Enum.YLeaf(0, "ahp")

                            eigrp = Enum.YLeaf(1, "eigrp")

                            esp = Enum.YLeaf(2, "esp")

                            gre = Enum.YLeaf(3, "gre")

                            icmp = Enum.YLeaf(4, "icmp")

                            igmp = Enum.YLeaf(5, "igmp")

                            ip = Enum.YLeaf(6, "ip")

                            ipinip = Enum.YLeaf(7, "ipinip")

                            nos = Enum.YLeaf(8, "nos")

                            object_group = Enum.YLeaf(9, "object-group")

                            ospf = Enum.YLeaf(10, "ospf")

                            pcp = Enum.YLeaf(11, "pcp")

                            pim = Enum.YLeaf(12, "pim")

                            tcp = Enum.YLeaf(13, "tcp")

                            udp = Enum.YLeaf(14, "udp")


                        class Tos(Enum):
                            """
                            Tos

                            Match packets with given TOS value

                            .. data:: max_reliability = 0

                            .. data:: max_throughput = 1

                            .. data:: min_delay = 2

                            .. data:: min_monetary_cost = 3

                            .. data:: normal = 4

                            """

                            max_reliability = Enum.YLeaf(0, "max-reliability")

                            max_throughput = Enum.YLeaf(1, "max-throughput")

                            min_delay = Enum.YLeaf(2, "min-delay")

                            min_monetary_cost = Enum.YLeaf(3, "min-monetary-cost")

                            normal = Enum.YLeaf(4, "normal")



                        class Ttl(Entity):
                            """
                            Match packets with given TTL value
                            
                            .. attribute:: eq
                            
                            	Match only packets on a given TTL number
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: gt
                            
                            	Match only packets on a given TTL number
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: lt
                            
                            	Match only packets on a given TTL number
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: neq
                            
                            	Match only packets on a given TTL number
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: range
                            
                            	Match only packets in the range of TTLs
                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl.Range>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl, self).__init__()

                                self.yang_name = "ttl"
                                self.yang_parent_name = "ace-rule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"range" : ("range", Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl.Range)}
                                self._child_list_classes = {}

                                self.eq = YLeaf(YType.uint8, "eq")

                                self.gt = YLeaf(YType.uint8, "gt")

                                self.lt = YLeaf(YType.uint8, "lt")

                                self.neq = YLeaf(YType.uint8, "neq")

                                self.range = Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl.Range()
                                self.range.parent = self
                                self._children_name_map["range"] = "range"
                                self._children_yang_names.add("range")
                                self._segment_path = lambda: "ttl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl, ['eq', 'gt', 'lt', 'neq'], name, value)


                            class Range(Entity):
                                """
                                Match only packets in the range of TTLs
                                
                                .. attribute:: value1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: value2
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-08-01'

                                def __init__(self):
                                    super(Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl.Range, self).__init__()

                                    self.yang_name = "range"
                                    self.yang_parent_name = "ttl"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.value1 = YLeaf(YType.uint8, "value1")

                                    self.value2 = YLeaf(YType.uint8, "value2")
                                    self._segment_path = lambda: "range"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.Ttl.Range, ['value1', 'value2'], name, value)


                        class MatchAll(Entity):
                            """
                            Match if all specified flags are present
                            
                            .. attribute:: plusack
                            
                            	Match on ACK set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusfin
                            
                            	Match on FIN set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pluspsh
                            
                            	Match on PSH set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusrst
                            
                            	Match on RST set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plussyn
                            
                            	Match on SYN set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusurg
                            
                            	Match on URG set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusack
                            
                            	Match on ACK not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusfin
                            
                            	Match on FIN not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minuspsh
                            
                            	Match on PSH not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusrst
                            
                            	Match on RST not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minussyn
                            
                            	Match on SYN not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusurg
                            
                            	Match on URG not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAll, self).__init__()

                                self.yang_name = "match-all"
                                self.yang_parent_name = "ace-rule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.plusack = YLeaf(YType.empty, "plusack")

                                self.plusfin = YLeaf(YType.empty, "plusfin")

                                self.pluspsh = YLeaf(YType.empty, "pluspsh")

                                self.plusrst = YLeaf(YType.empty, "plusrst")

                                self.plussyn = YLeaf(YType.empty, "plussyn")

                                self.plusurg = YLeaf(YType.empty, "plusurg")

                                self.minusack = YLeaf(YType.empty, "minusack")

                                self.minusfin = YLeaf(YType.empty, "minusfin")

                                self.minuspsh = YLeaf(YType.empty, "minuspsh")

                                self.minusrst = YLeaf(YType.empty, "minusrst")

                                self.minussyn = YLeaf(YType.empty, "minussyn")

                                self.minusurg = YLeaf(YType.empty, "minusurg")
                                self._segment_path = lambda: "match-all"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAll, ['plusack', 'plusfin', 'pluspsh', 'plusrst', 'plussyn', 'plusurg', 'minusack', 'minusfin', 'minuspsh', 'minusrst', 'minussyn', 'minusurg'], name, value)


                        class MatchAny(Entity):
                            """
                            Match if any specified flags is present
                            
                            .. attribute:: plusack
                            
                            	Match on ACK set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusfin
                            
                            	Match on FIN set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pluspsh
                            
                            	Match on PSH set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusrst
                            
                            	Match on RST set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plussyn
                            
                            	Match on SYN set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusurg
                            
                            	Match on URG set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusack
                            
                            	Match on ACK not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusfin
                            
                            	Match on FIN not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minuspsh
                            
                            	Match on PSH not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusrst
                            
                            	Match on RST not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minussyn
                            
                            	Match on SYN not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusurg
                            
                            	Match on URG not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAny, self).__init__()

                                self.yang_name = "match-any"
                                self.yang_parent_name = "ace-rule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.plusack = YLeaf(YType.empty, "plusack")

                                self.plusfin = YLeaf(YType.empty, "plusfin")

                                self.pluspsh = YLeaf(YType.empty, "pluspsh")

                                self.plusrst = YLeaf(YType.empty, "plusrst")

                                self.plussyn = YLeaf(YType.empty, "plussyn")

                                self.plusurg = YLeaf(YType.empty, "plusurg")

                                self.minusack = YLeaf(YType.empty, "minusack")

                                self.minusfin = YLeaf(YType.empty, "minusfin")

                                self.minuspsh = YLeaf(YType.empty, "minuspsh")

                                self.minusrst = YLeaf(YType.empty, "minusrst")

                                self.minussyn = YLeaf(YType.empty, "minussyn")

                                self.minusurg = YLeaf(YType.empty, "minusurg")
                                self._segment_path = lambda: "match-any"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.AccessList.RoleBased.AccessListSeqRule.AceRule.MatchAny, ['plusack', 'plusfin', 'pluspsh', 'plusrst', 'plussyn', 'plusurg', 'minusack', 'minusfin', 'minuspsh', 'minusrst', 'minussyn', 'minusurg'], name, value)


                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: access_list_seq_rule
                    
                    	
                    	**type**\: list of  		 :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-08-01'

                    def __init__(self):
                        super(Native.Ip.AccessList.RoleBased.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "role-based"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"access-list-seq-rule" : ("access_list_seq_rule", Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule)}

                        self.access_list_seq_rule = YList(self)
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.AccessList.RoleBased.Default, [], name, value)


                    class AccessListSeqRule(Entity):
                        """
                        
                        
                        .. attribute:: sequence  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..2147483647
                        
                        .. attribute:: ace_rule
                        
                        	
                        	**type**\:  :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule>`
                        
                        .. attribute:: remark
                        
                        	Access list entry comment
                        	**type**\: str
                        
                        	**length:** 1..100
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule, self).__init__()

                            self.yang_name = "access-list-seq-rule"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ace-rule" : ("ace_rule", Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule)}
                            self._child_list_classes = {}

                            self.sequence = YLeaf(YType.uint64, "sequence")

                            self.remark = YLeaf(YType.str, "remark")

                            self.ace_rule = Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule()
                            self.ace_rule.parent = self
                            self._children_name_map["ace_rule"] = "ace-rule"
                            self._children_yang_names.add("ace-rule")
                            self._segment_path = lambda: "access-list-seq-rule" + "[sequence='" + self.sequence.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule, ['sequence', 'remark'], name, value)


                        class AceRule(Entity):
                            """
                            
                            
                            .. attribute:: action
                            
                            	
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Action>`
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..255
                            
                            		**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Protocol>`
                            
                            .. attribute:: object_group_str
                            
                            	Service object group name
                            	**type**\: str
                            
                            .. attribute:: dscp
                            
                            	Match packets with given dscp value
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..63
                            
                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                            
                            .. attribute:: fragments
                            
                            	Check non\-initial fragments
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log
                            
                            	Log matches against this entry
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log_input
                            
                            	Log matches against this entry, including input interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: option
                            
                            	Match packets with given IP Options value
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..255
                            
                            		**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Option>`
                            
                            .. attribute:: precedence
                            
                            	Match packets with given precedence value
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..7
                            
                            		**type**\:  :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Precedence>`
                            
                            .. attribute:: time_range
                            
                            	Specify a time\-range
                            	**type**\: str
                            
                            .. attribute:: tos
                            
                            	Match packets with given TOS value
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..15
                            
                            		**type**\:  :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Tos>`
                            
                            .. attribute:: ttl
                            
                            	Match packets with given TTL value
                            	**type**\:  :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl>`
                            
                            .. attribute:: match_all
                            
                            	Match if all specified flags are present
                            	**type**\:  :py:class:`MatchAll <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAll>`
                            
                            .. attribute:: match_any
                            
                            	Match if any specified flags is present
                            	**type**\:  :py:class:`MatchAny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAny>`
                            
                            .. attribute:: ack
                            
                            	Match on the ACK bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fin
                            
                            	Match on the FIN bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: psh
                            
                            	Match on the PSH bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rst
                            
                            	Match on the RST bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: syn
                            
                            	Match on the SYN bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: urg
                            
                            	Match on the URG bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: established
                            
                            	Match established connections
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: msg_type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: msg_code
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: named_msg_type
                            
                            	
                            	**type**\:  :py:class:`NamedMsgType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.NamedMsgType>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule, self).__init__()

                                self.yang_name = "ace-rule"
                                self.yang_parent_name = "access-list-seq-rule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ttl" : ("ttl", Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl), "match-all" : ("match_all", Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAll), "match-any" : ("match_any", Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAny)}
                                self._child_list_classes = {}

                                self.action = YLeaf(YType.enumeration, "action")

                                self.protocol = YLeaf(YType.str, "protocol")

                                self.object_group_str = YLeaf(YType.str, "object-group-str")

                                self.dscp = YLeaf(YType.str, "dscp")

                                self.fragments = YLeaf(YType.empty, "fragments")

                                self.log = YLeaf(YType.empty, "log")

                                self.log_input = YLeaf(YType.empty, "log-input")

                                self.option = YLeaf(YType.str, "option")

                                self.precedence = YLeaf(YType.str, "precedence")

                                self.time_range = YLeaf(YType.str, "time-range")

                                self.tos = YLeaf(YType.str, "tos")

                                self.ack = YLeaf(YType.empty, "ack")

                                self.fin = YLeaf(YType.empty, "fin")

                                self.psh = YLeaf(YType.empty, "psh")

                                self.rst = YLeaf(YType.empty, "rst")

                                self.syn = YLeaf(YType.empty, "syn")

                                self.urg = YLeaf(YType.empty, "urg")

                                self.established = YLeaf(YType.empty, "established")

                                self.msg_type = YLeaf(YType.uint8, "msg-type")

                                self.msg_code = YLeaf(YType.uint8, "msg-code")

                                self.named_msg_type = YLeaf(YType.enumeration, "named-msg-type")

                                self.ttl = Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl()
                                self.ttl.parent = self
                                self._children_name_map["ttl"] = "ttl"
                                self._children_yang_names.add("ttl")

                                self.match_all = Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAll()
                                self.match_all.parent = self
                                self._children_name_map["match_all"] = "match-all"
                                self._children_yang_names.add("match-all")

                                self.match_any = Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAny()
                                self.match_any.parent = self
                                self._children_name_map["match_any"] = "match-any"
                                self._children_yang_names.add("match-any")
                                self._segment_path = lambda: "ace-rule"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule, ['action', 'protocol', 'object_group_str', 'dscp', 'fragments', 'log', 'log_input', 'option', 'precedence', 'time_range', 'tos', 'ack', 'fin', 'psh', 'rst', 'syn', 'urg', 'established', 'msg_type', 'msg_code', 'named_msg_type'], name, value)

                            class Action(Enum):
                                """
                                Action

                                .. data:: deny = 0

                                .. data:: permit = 1

                                """

                                deny = Enum.YLeaf(0, "deny")

                                permit = Enum.YLeaf(1, "permit")


                            class NamedMsgType(Enum):
                                """
                                NamedMsgType

                                .. data:: administratively_prohibited = 0

                                .. data:: alternate_address = 1

                                .. data:: conversion_error = 2

                                .. data:: dod_host_prohibited = 3

                                .. data:: dod_net_prohibited = 4

                                .. data:: echo = 5

                                .. data:: echo_reply = 6

                                .. data:: general_parameter_problem = 7

                                .. data:: host_isolated = 8

                                .. data:: host_precedence_unreachable = 9

                                .. data:: host_redirect = 10

                                .. data:: host_tos_redirect = 11

                                .. data:: host_tos_unreachable = 12

                                .. data:: host_unknown = 13

                                .. data:: host_unreachable = 14

                                .. data:: information_reply = 15

                                .. data:: information_request = 16

                                .. data:: mask_reply = 17

                                .. data:: mask_request = 18

                                .. data:: mobile_redirect = 19

                                .. data:: net_redirect = 20

                                .. data:: net_tos_redirect = 21

                                .. data:: net_tos_unreachable = 22

                                .. data:: net_unreachable = 23

                                .. data:: network_unknown = 24

                                .. data:: no_room_for_option = 25

                                .. data:: option_missing = 26

                                .. data:: packet_too_big = 27

                                .. data:: parameter_problem = 28

                                .. data:: port_unreachable = 29

                                .. data:: precedence_unreachable = 30

                                .. data:: protocol_unreachable = 31

                                .. data:: reassembly_timeout = 32

                                .. data:: redirect = 33

                                .. data:: router_advertisement = 34

                                .. data:: router_solicitation = 35

                                .. data:: source_quench = 36

                                .. data:: source_route_failed = 37

                                .. data:: time_exceeded = 38

                                .. data:: timestamp_reply = 39

                                .. data:: timestamp_request = 40

                                .. data:: traceroute = 41

                                .. data:: ttl_exceeded = 42

                                .. data:: unreachable = 43

                                """

                                administratively_prohibited = Enum.YLeaf(0, "administratively-prohibited")

                                alternate_address = Enum.YLeaf(1, "alternate-address")

                                conversion_error = Enum.YLeaf(2, "conversion-error")

                                dod_host_prohibited = Enum.YLeaf(3, "dod-host-prohibited")

                                dod_net_prohibited = Enum.YLeaf(4, "dod-net-prohibited")

                                echo = Enum.YLeaf(5, "echo")

                                echo_reply = Enum.YLeaf(6, "echo-reply")

                                general_parameter_problem = Enum.YLeaf(7, "general-parameter-problem")

                                host_isolated = Enum.YLeaf(8, "host-isolated")

                                host_precedence_unreachable = Enum.YLeaf(9, "host-precedence-unreachable")

                                host_redirect = Enum.YLeaf(10, "host-redirect")

                                host_tos_redirect = Enum.YLeaf(11, "host-tos-redirect")

                                host_tos_unreachable = Enum.YLeaf(12, "host-tos-unreachable")

                                host_unknown = Enum.YLeaf(13, "host-unknown")

                                host_unreachable = Enum.YLeaf(14, "host-unreachable")

                                information_reply = Enum.YLeaf(15, "information-reply")

                                information_request = Enum.YLeaf(16, "information-request")

                                mask_reply = Enum.YLeaf(17, "mask-reply")

                                mask_request = Enum.YLeaf(18, "mask-request")

                                mobile_redirect = Enum.YLeaf(19, "mobile-redirect")

                                net_redirect = Enum.YLeaf(20, "net-redirect")

                                net_tos_redirect = Enum.YLeaf(21, "net-tos-redirect")

                                net_tos_unreachable = Enum.YLeaf(22, "net-tos-unreachable")

                                net_unreachable = Enum.YLeaf(23, "net-unreachable")

                                network_unknown = Enum.YLeaf(24, "network-unknown")

                                no_room_for_option = Enum.YLeaf(25, "no-room-for-option")

                                option_missing = Enum.YLeaf(26, "option-missing")

                                packet_too_big = Enum.YLeaf(27, "packet-too-big")

                                parameter_problem = Enum.YLeaf(28, "parameter-problem")

                                port_unreachable = Enum.YLeaf(29, "port-unreachable")

                                precedence_unreachable = Enum.YLeaf(30, "precedence-unreachable")

                                protocol_unreachable = Enum.YLeaf(31, "protocol-unreachable")

                                reassembly_timeout = Enum.YLeaf(32, "reassembly-timeout")

                                redirect = Enum.YLeaf(33, "redirect")

                                router_advertisement = Enum.YLeaf(34, "router-advertisement")

                                router_solicitation = Enum.YLeaf(35, "router-solicitation")

                                source_quench = Enum.YLeaf(36, "source-quench")

                                source_route_failed = Enum.YLeaf(37, "source-route-failed")

                                time_exceeded = Enum.YLeaf(38, "time-exceeded")

                                timestamp_reply = Enum.YLeaf(39, "timestamp-reply")

                                timestamp_request = Enum.YLeaf(40, "timestamp-request")

                                traceroute = Enum.YLeaf(41, "traceroute")

                                ttl_exceeded = Enum.YLeaf(42, "ttl-exceeded")

                                unreachable = Enum.YLeaf(43, "unreachable")


                            class Option(Enum):
                                """
                                Option

                                Match packets with given IP Options value

                                .. data:: add_ext = 0

                                .. data:: any_options = 1

                                .. data:: com_security = 2

                                .. data:: dps = 3

                                .. data:: encode = 4

                                .. data:: eool = 5

                                .. data:: ext_ip = 6

                                .. data:: ext_security = 7

                                .. data:: finn = 8

                                .. data:: imitd = 9

                                .. data:: lsr = 10

                                .. data:: mtup = 11

                                .. data:: mtur = 12

                                .. data:: no_op = 13

                                .. data:: nsapa = 14

                                .. data:: record_route = 15

                                .. data:: router_alert = 16

                                .. data:: sdb = 17

                                .. data:: security = 18

                                .. data:: ssr = 19

                                .. data:: stream_id = 20

                                .. data:: timestamp = 21

                                .. data:: traceroute = 22

                                .. data:: ump = 23

                                .. data:: visa = 24

                                .. data:: zsu = 25

                                """

                                add_ext = Enum.YLeaf(0, "add-ext")

                                any_options = Enum.YLeaf(1, "any-options")

                                com_security = Enum.YLeaf(2, "com-security")

                                dps = Enum.YLeaf(3, "dps")

                                encode = Enum.YLeaf(4, "encode")

                                eool = Enum.YLeaf(5, "eool")

                                ext_ip = Enum.YLeaf(6, "ext-ip")

                                ext_security = Enum.YLeaf(7, "ext-security")

                                finn = Enum.YLeaf(8, "finn")

                                imitd = Enum.YLeaf(9, "imitd")

                                lsr = Enum.YLeaf(10, "lsr")

                                mtup = Enum.YLeaf(11, "mtup")

                                mtur = Enum.YLeaf(12, "mtur")

                                no_op = Enum.YLeaf(13, "no-op")

                                nsapa = Enum.YLeaf(14, "nsapa")

                                record_route = Enum.YLeaf(15, "record-route")

                                router_alert = Enum.YLeaf(16, "router-alert")

                                sdb = Enum.YLeaf(17, "sdb")

                                security = Enum.YLeaf(18, "security")

                                ssr = Enum.YLeaf(19, "ssr")

                                stream_id = Enum.YLeaf(20, "stream-id")

                                timestamp = Enum.YLeaf(21, "timestamp")

                                traceroute = Enum.YLeaf(22, "traceroute")

                                ump = Enum.YLeaf(23, "ump")

                                visa = Enum.YLeaf(24, "visa")

                                zsu = Enum.YLeaf(25, "zsu")


                            class Precedence(Enum):
                                """
                                Precedence

                                Match packets with given precedence value

                                .. data:: critical = 0

                                .. data:: flash = 1

                                .. data:: flash_override = 2

                                .. data:: immediate = 3

                                .. data:: internet = 4

                                .. data:: network = 5

                                .. data:: priority = 6

                                .. data:: routine = 7

                                """

                                critical = Enum.YLeaf(0, "critical")

                                flash = Enum.YLeaf(1, "flash")

                                flash_override = Enum.YLeaf(2, "flash-override")

                                immediate = Enum.YLeaf(3, "immediate")

                                internet = Enum.YLeaf(4, "internet")

                                network = Enum.YLeaf(5, "network")

                                priority = Enum.YLeaf(6, "priority")

                                routine = Enum.YLeaf(7, "routine")


                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: ahp = 0

                                .. data:: eigrp = 1

                                .. data:: esp = 2

                                .. data:: gre = 3

                                .. data:: icmp = 4

                                .. data:: igmp = 5

                                .. data:: ip = 6

                                .. data:: ipinip = 7

                                .. data:: nos = 8

                                .. data:: object_group = 9

                                .. data:: ospf = 10

                                .. data:: pcp = 11

                                .. data:: pim = 12

                                .. data:: tcp = 13

                                .. data:: udp = 14

                                """

                                ahp = Enum.YLeaf(0, "ahp")

                                eigrp = Enum.YLeaf(1, "eigrp")

                                esp = Enum.YLeaf(2, "esp")

                                gre = Enum.YLeaf(3, "gre")

                                icmp = Enum.YLeaf(4, "icmp")

                                igmp = Enum.YLeaf(5, "igmp")

                                ip = Enum.YLeaf(6, "ip")

                                ipinip = Enum.YLeaf(7, "ipinip")

                                nos = Enum.YLeaf(8, "nos")

                                object_group = Enum.YLeaf(9, "object-group")

                                ospf = Enum.YLeaf(10, "ospf")

                                pcp = Enum.YLeaf(11, "pcp")

                                pim = Enum.YLeaf(12, "pim")

                                tcp = Enum.YLeaf(13, "tcp")

                                udp = Enum.YLeaf(14, "udp")


                            class Tos(Enum):
                                """
                                Tos

                                Match packets with given TOS value

                                .. data:: max_reliability = 0

                                .. data:: max_throughput = 1

                                .. data:: min_delay = 2

                                .. data:: min_monetary_cost = 3

                                .. data:: normal = 4

                                """

                                max_reliability = Enum.YLeaf(0, "max-reliability")

                                max_throughput = Enum.YLeaf(1, "max-throughput")

                                min_delay = Enum.YLeaf(2, "min-delay")

                                min_monetary_cost = Enum.YLeaf(3, "min-monetary-cost")

                                normal = Enum.YLeaf(4, "normal")



                            class Ttl(Entity):
                                """
                                Match packets with given TTL value
                                
                                .. attribute:: eq
                                
                                	Match only packets on a given TTL number
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: gt
                                
                                	Match only packets on a given TTL number
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: lt
                                
                                	Match only packets on a given TTL number
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: neq
                                
                                	Match only packets on a given TTL number
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: range
                                
                                	Match only packets in the range of TTLs
                                	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl.Range>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-08-01'

                                def __init__(self):
                                    super(Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl, self).__init__()

                                    self.yang_name = "ttl"
                                    self.yang_parent_name = "ace-rule"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"range" : ("range", Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl.Range)}
                                    self._child_list_classes = {}

                                    self.eq = YLeaf(YType.uint8, "eq")

                                    self.gt = YLeaf(YType.uint8, "gt")

                                    self.lt = YLeaf(YType.uint8, "lt")

                                    self.neq = YLeaf(YType.uint8, "neq")

                                    self.range = Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl.Range()
                                    self.range.parent = self
                                    self._children_name_map["range"] = "range"
                                    self._children_yang_names.add("range")
                                    self._segment_path = lambda: "ttl"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl, ['eq', 'gt', 'lt', 'neq'], name, value)


                                class Range(Entity):
                                    """
                                    Match only packets in the range of TTLs
                                    
                                    .. attribute:: value1
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: value2
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-acl'
                                    _revision = '2017-08-01'

                                    def __init__(self):
                                        super(Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "ttl"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.value1 = YLeaf(YType.uint8, "value1")

                                        self.value2 = YLeaf(YType.uint8, "value2")
                                        self._segment_path = lambda: "range"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.Ttl.Range, ['value1', 'value2'], name, value)


                            class MatchAll(Entity):
                                """
                                Match if all specified flags are present
                                
                                .. attribute:: plusack
                                
                                	Match on ACK set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusfin
                                
                                	Match on FIN set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: pluspsh
                                
                                	Match on PSH set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusrst
                                
                                	Match on RST set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plussyn
                                
                                	Match on SYN set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusurg
                                
                                	Match on URG set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusack
                                
                                	Match on ACK not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusfin
                                
                                	Match on FIN not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minuspsh
                                
                                	Match on PSH not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusrst
                                
                                	Match on RST not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minussyn
                                
                                	Match on SYN not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusurg
                                
                                	Match on URG not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-08-01'

                                def __init__(self):
                                    super(Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAll, self).__init__()

                                    self.yang_name = "match-all"
                                    self.yang_parent_name = "ace-rule"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.plusack = YLeaf(YType.empty, "plusack")

                                    self.plusfin = YLeaf(YType.empty, "plusfin")

                                    self.pluspsh = YLeaf(YType.empty, "pluspsh")

                                    self.plusrst = YLeaf(YType.empty, "plusrst")

                                    self.plussyn = YLeaf(YType.empty, "plussyn")

                                    self.plusurg = YLeaf(YType.empty, "plusurg")

                                    self.minusack = YLeaf(YType.empty, "minusack")

                                    self.minusfin = YLeaf(YType.empty, "minusfin")

                                    self.minuspsh = YLeaf(YType.empty, "minuspsh")

                                    self.minusrst = YLeaf(YType.empty, "minusrst")

                                    self.minussyn = YLeaf(YType.empty, "minussyn")

                                    self.minusurg = YLeaf(YType.empty, "minusurg")
                                    self._segment_path = lambda: "match-all"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAll, ['plusack', 'plusfin', 'pluspsh', 'plusrst', 'plussyn', 'plusurg', 'minusack', 'minusfin', 'minuspsh', 'minusrst', 'minussyn', 'minusurg'], name, value)


                            class MatchAny(Entity):
                                """
                                Match if any specified flags is present
                                
                                .. attribute:: plusack
                                
                                	Match on ACK set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusfin
                                
                                	Match on FIN set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: pluspsh
                                
                                	Match on PSH set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusrst
                                
                                	Match on RST set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plussyn
                                
                                	Match on SYN set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusurg
                                
                                	Match on URG set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusack
                                
                                	Match on ACK not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusfin
                                
                                	Match on FIN not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minuspsh
                                
                                	Match on PSH not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusrst
                                
                                	Match on RST not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minussyn
                                
                                	Match on SYN not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusurg
                                
                                	Match on URG not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-08-01'

                                def __init__(self):
                                    super(Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAny, self).__init__()

                                    self.yang_name = "match-any"
                                    self.yang_parent_name = "ace-rule"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.plusack = YLeaf(YType.empty, "plusack")

                                    self.plusfin = YLeaf(YType.empty, "plusfin")

                                    self.pluspsh = YLeaf(YType.empty, "pluspsh")

                                    self.plusrst = YLeaf(YType.empty, "plusrst")

                                    self.plussyn = YLeaf(YType.empty, "plussyn")

                                    self.plusurg = YLeaf(YType.empty, "plusurg")

                                    self.minusack = YLeaf(YType.empty, "minusack")

                                    self.minusfin = YLeaf(YType.empty, "minusfin")

                                    self.minuspsh = YLeaf(YType.empty, "minuspsh")

                                    self.minusrst = YLeaf(YType.empty, "minusrst")

                                    self.minussyn = YLeaf(YType.empty, "minussyn")

                                    self.minusurg = YLeaf(YType.empty, "minusurg")
                                    self._segment_path = lambda: "match-any"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.AccessList.RoleBased.Default.AccessListSeqRule.AceRule.MatchAny, ['plusack', 'plusfin', 'pluspsh', 'plusrst', 'plussyn', 'plusurg', 'minusack', 'minusfin', 'minuspsh', 'minusrst', 'minussyn', 'minusurg'], name, value)


            class Extended(Entity):
                """
                Extended Access List
                
                .. attribute:: name  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 100..199
                
                		**type**\: int
                
                			**range:** 2000..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: access_list_seq_rule
                
                	
                	**type**\: list of  		 :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-08-01'

                def __init__(self):
                    super(Native.Ip.AccessList.Extended, self).__init__()

                    self.yang_name = "extended"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Ip.AccessList.Extended.Default)}
                    self._child_list_classes = {"access-list-seq-rule" : ("access_list_seq_rule", Native.Ip.AccessList.Extended.AccessListSeqRule)}

                    self.name = YLeaf(YType.str, "name")

                    self.default = Native.Ip.AccessList.Extended.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.access_list_seq_rule = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-acl:extended" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/access-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.AccessList.Extended, ['name'], name, value)


                class AccessListSeqRule(Entity):
                    """
                    
                    
                    .. attribute:: sequence  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: ace_rule
                    
                    	
                    	**type**\:  :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule>`
                    
                    .. attribute:: remark
                    
                    	Access list entry comment
                    	**type**\: str
                    
                    	**length:** 1..100
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-08-01'

                    def __init__(self):
                        super(Native.Ip.AccessList.Extended.AccessListSeqRule, self).__init__()

                        self.yang_name = "access-list-seq-rule"
                        self.yang_parent_name = "extended"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ace-rule" : ("ace_rule", Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule)}
                        self._child_list_classes = {}

                        self.sequence = YLeaf(YType.uint64, "sequence")

                        self.remark = YLeaf(YType.str, "remark")

                        self.ace_rule = Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule()
                        self.ace_rule.parent = self
                        self._children_name_map["ace_rule"] = "ace-rule"
                        self._children_yang_names.add("ace-rule")
                        self._segment_path = lambda: "access-list-seq-rule" + "[sequence='" + self.sequence.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.AccessList.Extended.AccessListSeqRule, ['sequence', 'remark'], name, value)


                    class AceRule(Entity):
                        """
                        
                        
                        .. attribute:: action
                        
                        	
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Action>`
                        
                        .. attribute:: protocol
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..255
                        
                        		**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Protocol>`
                        
                        .. attribute:: object_group_str
                        
                        	Service object group name
                        	**type**\: str
                        
                        .. attribute:: ipv4_address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: any
                        
                        	Any source host
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: host
                        
                        	A single source host
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        .. attribute:: object_group
                        
                        	Source network object group
                        	**type**\: str
                        
                        .. attribute:: src_eq
                        
                        	Match only packets on a given port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_gt
                        
                        	Match only packets with a greater port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_lt
                        
                        	Match only packets with a lower port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_neq
                        
                        	Match only packets not on a given port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_range1
                        
                        	Match only packets in the range of port numbers
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_range2
                        
                        	Match only packets in the range of port numbers
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dest_ipv4_address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: dest_mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: dst_any
                        
                        	Any destination host
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dst_host
                        
                        	A single destination host
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        .. attribute:: dst_object_group
                        
                        	Destination network object group
                        	**type**\: str
                        
                        .. attribute:: dst_eq
                        
                        	Match only packets on a given port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_gt
                        
                        	Match only packets with a greater port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_lt
                        
                        	Match only packets with a lower port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_neq
                        
                        	Match only packets not on a given port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_range1
                        
                        	Match only packets in the range of port numbers
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_range2
                        
                        	Match only packets in the range of port numbers
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dscp
                        
                        	Match packets with given dscp value
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..63
                        
                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                        
                        .. attribute:: fragments
                        
                        	Check non\-initial fragments
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log
                        
                        	Log matches against this entry
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log_input
                        
                        	Log matches against this entry, including input interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: option
                        
                        	Match packets with given IP Options value
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..255
                        
                        		**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Option>`
                        
                        .. attribute:: precedence
                        
                        	Match packets with given precedence value
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..7
                        
                        		**type**\:  :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Precedence>`
                        
                        .. attribute:: time_range
                        
                        	Specify a time\-range
                        	**type**\: str
                        
                        .. attribute:: tos
                        
                        	Match packets with given TOS value
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..15
                        
                        		**type**\:  :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Tos>`
                        
                        .. attribute:: ttl
                        
                        	Match packets with given TTL value
                        	**type**\:  :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl>`
                        
                        .. attribute:: match_all
                        
                        	Match if all specified flags are present
                        	**type**\:  :py:class:`MatchAll <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAll>`
                        
                        .. attribute:: match_any
                        
                        	Match if any specified flags is present
                        	**type**\:  :py:class:`MatchAny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAny>`
                        
                        .. attribute:: ack
                        
                        	Match on the ACK bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fin
                        
                        	Match on the FIN bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: psh
                        
                        	Match on the PSH bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rst
                        
                        	Match on the RST bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: syn
                        
                        	Match on the SYN bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: urg
                        
                        	Match on the URG bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: established
                        
                        	Match established connections
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: msg_type
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: msg_code
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: named_msg_type
                        
                        	
                        	**type**\:  :py:class:`NamedMsgType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.NamedMsgType>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule, self).__init__()

                            self.yang_name = "ace-rule"
                            self.yang_parent_name = "access-list-seq-rule"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ttl" : ("ttl", Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl), "match-all" : ("match_all", Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAll), "match-any" : ("match_any", Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAny)}
                            self._child_list_classes = {}

                            self.action = YLeaf(YType.enumeration, "action")

                            self.protocol = YLeaf(YType.str, "protocol")

                            self.object_group_str = YLeaf(YType.str, "object-group-str")

                            self.ipv4_address = YLeaf(YType.str, "ipv4-address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.any = YLeaf(YType.empty, "any")

                            self.host = YLeaf(YType.str, "host")

                            self.object_group = YLeaf(YType.str, "object-group")

                            self.src_eq = YLeaf(YType.str, "src-eq")

                            self.src_gt = YLeaf(YType.str, "src-gt")

                            self.src_lt = YLeaf(YType.str, "src-lt")

                            self.src_neq = YLeaf(YType.str, "src-neq")

                            self.src_range1 = YLeaf(YType.str, "src-range1")

                            self.src_range2 = YLeaf(YType.str, "src-range2")

                            self.dest_ipv4_address = YLeaf(YType.str, "dest-ipv4-address")

                            self.dest_mask = YLeaf(YType.str, "dest-mask")

                            self.dst_any = YLeaf(YType.empty, "dst-any")

                            self.dst_host = YLeaf(YType.str, "dst-host")

                            self.dst_object_group = YLeaf(YType.str, "dst-object-group")

                            self.dst_eq = YLeaf(YType.str, "dst-eq")

                            self.dst_gt = YLeaf(YType.str, "dst-gt")

                            self.dst_lt = YLeaf(YType.str, "dst-lt")

                            self.dst_neq = YLeaf(YType.str, "dst-neq")

                            self.dst_range1 = YLeaf(YType.str, "dst-range1")

                            self.dst_range2 = YLeaf(YType.str, "dst-range2")

                            self.dscp = YLeaf(YType.str, "dscp")

                            self.fragments = YLeaf(YType.empty, "fragments")

                            self.log = YLeaf(YType.empty, "log")

                            self.log_input = YLeaf(YType.empty, "log-input")

                            self.option = YLeaf(YType.str, "option")

                            self.precedence = YLeaf(YType.str, "precedence")

                            self.time_range = YLeaf(YType.str, "time-range")

                            self.tos = YLeaf(YType.str, "tos")

                            self.ack = YLeaf(YType.empty, "ack")

                            self.fin = YLeaf(YType.empty, "fin")

                            self.psh = YLeaf(YType.empty, "psh")

                            self.rst = YLeaf(YType.empty, "rst")

                            self.syn = YLeaf(YType.empty, "syn")

                            self.urg = YLeaf(YType.empty, "urg")

                            self.established = YLeaf(YType.empty, "established")

                            self.msg_type = YLeaf(YType.uint8, "msg-type")

                            self.msg_code = YLeaf(YType.uint8, "msg-code")

                            self.named_msg_type = YLeaf(YType.enumeration, "named-msg-type")

                            self.ttl = Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl()
                            self.ttl.parent = self
                            self._children_name_map["ttl"] = "ttl"
                            self._children_yang_names.add("ttl")

                            self.match_all = Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAll()
                            self.match_all.parent = self
                            self._children_name_map["match_all"] = "match-all"
                            self._children_yang_names.add("match-all")

                            self.match_any = Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAny()
                            self.match_any.parent = self
                            self._children_name_map["match_any"] = "match-any"
                            self._children_yang_names.add("match-any")
                            self._segment_path = lambda: "ace-rule"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule, ['action', 'protocol', 'object_group_str', 'ipv4_address', 'mask', 'any', 'host', 'object_group', 'src_eq', 'src_gt', 'src_lt', 'src_neq', 'src_range1', 'src_range2', 'dest_ipv4_address', 'dest_mask', 'dst_any', 'dst_host', 'dst_object_group', 'dst_eq', 'dst_gt', 'dst_lt', 'dst_neq', 'dst_range1', 'dst_range2', 'dscp', 'fragments', 'log', 'log_input', 'option', 'precedence', 'time_range', 'tos', 'ack', 'fin', 'psh', 'rst', 'syn', 'urg', 'established', 'msg_type', 'msg_code', 'named_msg_type'], name, value)

                        class Action(Enum):
                            """
                            Action

                            .. data:: deny = 0

                            .. data:: permit = 1

                            """

                            deny = Enum.YLeaf(0, "deny")

                            permit = Enum.YLeaf(1, "permit")


                        class NamedMsgType(Enum):
                            """
                            NamedMsgType

                            .. data:: administratively_prohibited = 0

                            .. data:: alternate_address = 1

                            .. data:: conversion_error = 2

                            .. data:: dod_host_prohibited = 3

                            .. data:: dod_net_prohibited = 4

                            .. data:: echo = 5

                            .. data:: echo_reply = 6

                            .. data:: general_parameter_problem = 7

                            .. data:: host_isolated = 8

                            .. data:: host_precedence_unreachable = 9

                            .. data:: host_redirect = 10

                            .. data:: host_tos_redirect = 11

                            .. data:: host_tos_unreachable = 12

                            .. data:: host_unknown = 13

                            .. data:: host_unreachable = 14

                            .. data:: information_reply = 15

                            .. data:: information_request = 16

                            .. data:: mask_reply = 17

                            .. data:: mask_request = 18

                            .. data:: mobile_redirect = 19

                            .. data:: net_redirect = 20

                            .. data:: net_tos_redirect = 21

                            .. data:: net_tos_unreachable = 22

                            .. data:: net_unreachable = 23

                            .. data:: network_unknown = 24

                            .. data:: no_room_for_option = 25

                            .. data:: option_missing = 26

                            .. data:: packet_too_big = 27

                            .. data:: parameter_problem = 28

                            .. data:: port_unreachable = 29

                            .. data:: precedence_unreachable = 30

                            .. data:: protocol_unreachable = 31

                            .. data:: reassembly_timeout = 32

                            .. data:: redirect = 33

                            .. data:: router_advertisement = 34

                            .. data:: router_solicitation = 35

                            .. data:: source_quench = 36

                            .. data:: source_route_failed = 37

                            .. data:: time_exceeded = 38

                            .. data:: timestamp_reply = 39

                            .. data:: timestamp_request = 40

                            .. data:: traceroute = 41

                            .. data:: ttl_exceeded = 42

                            .. data:: unreachable = 43

                            """

                            administratively_prohibited = Enum.YLeaf(0, "administratively-prohibited")

                            alternate_address = Enum.YLeaf(1, "alternate-address")

                            conversion_error = Enum.YLeaf(2, "conversion-error")

                            dod_host_prohibited = Enum.YLeaf(3, "dod-host-prohibited")

                            dod_net_prohibited = Enum.YLeaf(4, "dod-net-prohibited")

                            echo = Enum.YLeaf(5, "echo")

                            echo_reply = Enum.YLeaf(6, "echo-reply")

                            general_parameter_problem = Enum.YLeaf(7, "general-parameter-problem")

                            host_isolated = Enum.YLeaf(8, "host-isolated")

                            host_precedence_unreachable = Enum.YLeaf(9, "host-precedence-unreachable")

                            host_redirect = Enum.YLeaf(10, "host-redirect")

                            host_tos_redirect = Enum.YLeaf(11, "host-tos-redirect")

                            host_tos_unreachable = Enum.YLeaf(12, "host-tos-unreachable")

                            host_unknown = Enum.YLeaf(13, "host-unknown")

                            host_unreachable = Enum.YLeaf(14, "host-unreachable")

                            information_reply = Enum.YLeaf(15, "information-reply")

                            information_request = Enum.YLeaf(16, "information-request")

                            mask_reply = Enum.YLeaf(17, "mask-reply")

                            mask_request = Enum.YLeaf(18, "mask-request")

                            mobile_redirect = Enum.YLeaf(19, "mobile-redirect")

                            net_redirect = Enum.YLeaf(20, "net-redirect")

                            net_tos_redirect = Enum.YLeaf(21, "net-tos-redirect")

                            net_tos_unreachable = Enum.YLeaf(22, "net-tos-unreachable")

                            net_unreachable = Enum.YLeaf(23, "net-unreachable")

                            network_unknown = Enum.YLeaf(24, "network-unknown")

                            no_room_for_option = Enum.YLeaf(25, "no-room-for-option")

                            option_missing = Enum.YLeaf(26, "option-missing")

                            packet_too_big = Enum.YLeaf(27, "packet-too-big")

                            parameter_problem = Enum.YLeaf(28, "parameter-problem")

                            port_unreachable = Enum.YLeaf(29, "port-unreachable")

                            precedence_unreachable = Enum.YLeaf(30, "precedence-unreachable")

                            protocol_unreachable = Enum.YLeaf(31, "protocol-unreachable")

                            reassembly_timeout = Enum.YLeaf(32, "reassembly-timeout")

                            redirect = Enum.YLeaf(33, "redirect")

                            router_advertisement = Enum.YLeaf(34, "router-advertisement")

                            router_solicitation = Enum.YLeaf(35, "router-solicitation")

                            source_quench = Enum.YLeaf(36, "source-quench")

                            source_route_failed = Enum.YLeaf(37, "source-route-failed")

                            time_exceeded = Enum.YLeaf(38, "time-exceeded")

                            timestamp_reply = Enum.YLeaf(39, "timestamp-reply")

                            timestamp_request = Enum.YLeaf(40, "timestamp-request")

                            traceroute = Enum.YLeaf(41, "traceroute")

                            ttl_exceeded = Enum.YLeaf(42, "ttl-exceeded")

                            unreachable = Enum.YLeaf(43, "unreachable")


                        class Option(Enum):
                            """
                            Option

                            Match packets with given IP Options value

                            .. data:: add_ext = 0

                            .. data:: any_options = 1

                            .. data:: com_security = 2

                            .. data:: dps = 3

                            .. data:: encode = 4

                            .. data:: eool = 5

                            .. data:: ext_ip = 6

                            .. data:: ext_security = 7

                            .. data:: finn = 8

                            .. data:: imitd = 9

                            .. data:: lsr = 10

                            .. data:: mtup = 11

                            .. data:: mtur = 12

                            .. data:: no_op = 13

                            .. data:: nsapa = 14

                            .. data:: record_route = 15

                            .. data:: router_alert = 16

                            .. data:: sdb = 17

                            .. data:: security = 18

                            .. data:: ssr = 19

                            .. data:: stream_id = 20

                            .. data:: timestamp = 21

                            .. data:: traceroute = 22

                            .. data:: ump = 23

                            .. data:: visa = 24

                            .. data:: zsu = 25

                            """

                            add_ext = Enum.YLeaf(0, "add-ext")

                            any_options = Enum.YLeaf(1, "any-options")

                            com_security = Enum.YLeaf(2, "com-security")

                            dps = Enum.YLeaf(3, "dps")

                            encode = Enum.YLeaf(4, "encode")

                            eool = Enum.YLeaf(5, "eool")

                            ext_ip = Enum.YLeaf(6, "ext-ip")

                            ext_security = Enum.YLeaf(7, "ext-security")

                            finn = Enum.YLeaf(8, "finn")

                            imitd = Enum.YLeaf(9, "imitd")

                            lsr = Enum.YLeaf(10, "lsr")

                            mtup = Enum.YLeaf(11, "mtup")

                            mtur = Enum.YLeaf(12, "mtur")

                            no_op = Enum.YLeaf(13, "no-op")

                            nsapa = Enum.YLeaf(14, "nsapa")

                            record_route = Enum.YLeaf(15, "record-route")

                            router_alert = Enum.YLeaf(16, "router-alert")

                            sdb = Enum.YLeaf(17, "sdb")

                            security = Enum.YLeaf(18, "security")

                            ssr = Enum.YLeaf(19, "ssr")

                            stream_id = Enum.YLeaf(20, "stream-id")

                            timestamp = Enum.YLeaf(21, "timestamp")

                            traceroute = Enum.YLeaf(22, "traceroute")

                            ump = Enum.YLeaf(23, "ump")

                            visa = Enum.YLeaf(24, "visa")

                            zsu = Enum.YLeaf(25, "zsu")


                        class Precedence(Enum):
                            """
                            Precedence

                            Match packets with given precedence value

                            .. data:: critical = 0

                            .. data:: flash = 1

                            .. data:: flash_override = 2

                            .. data:: immediate = 3

                            .. data:: internet = 4

                            .. data:: network = 5

                            .. data:: priority = 6

                            .. data:: routine = 7

                            """

                            critical = Enum.YLeaf(0, "critical")

                            flash = Enum.YLeaf(1, "flash")

                            flash_override = Enum.YLeaf(2, "flash-override")

                            immediate = Enum.YLeaf(3, "immediate")

                            internet = Enum.YLeaf(4, "internet")

                            network = Enum.YLeaf(5, "network")

                            priority = Enum.YLeaf(6, "priority")

                            routine = Enum.YLeaf(7, "routine")


                        class Protocol(Enum):
                            """
                            Protocol

                            .. data:: ahp = 0

                            .. data:: eigrp = 1

                            .. data:: esp = 2

                            .. data:: gre = 3

                            .. data:: icmp = 4

                            .. data:: igmp = 5

                            .. data:: ip = 6

                            .. data:: ipinip = 7

                            .. data:: nos = 8

                            .. data:: object_group = 9

                            .. data:: ospf = 10

                            .. data:: pcp = 11

                            .. data:: pim = 12

                            .. data:: tcp = 13

                            .. data:: udp = 14

                            """

                            ahp = Enum.YLeaf(0, "ahp")

                            eigrp = Enum.YLeaf(1, "eigrp")

                            esp = Enum.YLeaf(2, "esp")

                            gre = Enum.YLeaf(3, "gre")

                            icmp = Enum.YLeaf(4, "icmp")

                            igmp = Enum.YLeaf(5, "igmp")

                            ip = Enum.YLeaf(6, "ip")

                            ipinip = Enum.YLeaf(7, "ipinip")

                            nos = Enum.YLeaf(8, "nos")

                            object_group = Enum.YLeaf(9, "object-group")

                            ospf = Enum.YLeaf(10, "ospf")

                            pcp = Enum.YLeaf(11, "pcp")

                            pim = Enum.YLeaf(12, "pim")

                            tcp = Enum.YLeaf(13, "tcp")

                            udp = Enum.YLeaf(14, "udp")


                        class Tos(Enum):
                            """
                            Tos

                            Match packets with given TOS value

                            .. data:: max_reliability = 0

                            .. data:: max_throughput = 1

                            .. data:: min_delay = 2

                            .. data:: min_monetary_cost = 3

                            .. data:: normal = 4

                            """

                            max_reliability = Enum.YLeaf(0, "max-reliability")

                            max_throughput = Enum.YLeaf(1, "max-throughput")

                            min_delay = Enum.YLeaf(2, "min-delay")

                            min_monetary_cost = Enum.YLeaf(3, "min-monetary-cost")

                            normal = Enum.YLeaf(4, "normal")



                        class Ttl(Entity):
                            """
                            Match packets with given TTL value
                            
                            .. attribute:: eq
                            
                            	Match only packets on a given TTL number
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: gt
                            
                            	Match only packets on a given TTL number
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: lt
                            
                            	Match only packets on a given TTL number
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: neq
                            
                            	Match only packets on a given TTL number
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: range
                            
                            	Match only packets in the range of TTLs
                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl.Range>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl, self).__init__()

                                self.yang_name = "ttl"
                                self.yang_parent_name = "ace-rule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"range" : ("range", Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl.Range)}
                                self._child_list_classes = {}

                                self.eq = YLeaf(YType.uint8, "eq")

                                self.gt = YLeaf(YType.uint8, "gt")

                                self.lt = YLeaf(YType.uint8, "lt")

                                self.neq = YLeaf(YType.uint8, "neq")

                                self.range = Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl.Range()
                                self.range.parent = self
                                self._children_name_map["range"] = "range"
                                self._children_yang_names.add("range")
                                self._segment_path = lambda: "ttl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl, ['eq', 'gt', 'lt', 'neq'], name, value)


                            class Range(Entity):
                                """
                                Match only packets in the range of TTLs
                                
                                .. attribute:: value1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: value2
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-08-01'

                                def __init__(self):
                                    super(Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl.Range, self).__init__()

                                    self.yang_name = "range"
                                    self.yang_parent_name = "ttl"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.value1 = YLeaf(YType.uint8, "value1")

                                    self.value2 = YLeaf(YType.uint8, "value2")
                                    self._segment_path = lambda: "range"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.Ttl.Range, ['value1', 'value2'], name, value)


                        class MatchAll(Entity):
                            """
                            Match if all specified flags are present
                            
                            .. attribute:: plusack
                            
                            	Match on ACK set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusfin
                            
                            	Match on FIN set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pluspsh
                            
                            	Match on PSH set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusrst
                            
                            	Match on RST set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plussyn
                            
                            	Match on SYN set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusurg
                            
                            	Match on URG set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusack
                            
                            	Match on ACK not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusfin
                            
                            	Match on FIN not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minuspsh
                            
                            	Match on PSH not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusrst
                            
                            	Match on RST not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minussyn
                            
                            	Match on SYN not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusurg
                            
                            	Match on URG not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAll, self).__init__()

                                self.yang_name = "match-all"
                                self.yang_parent_name = "ace-rule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.plusack = YLeaf(YType.empty, "plusack")

                                self.plusfin = YLeaf(YType.empty, "plusfin")

                                self.pluspsh = YLeaf(YType.empty, "pluspsh")

                                self.plusrst = YLeaf(YType.empty, "plusrst")

                                self.plussyn = YLeaf(YType.empty, "plussyn")

                                self.plusurg = YLeaf(YType.empty, "plusurg")

                                self.minusack = YLeaf(YType.empty, "minusack")

                                self.minusfin = YLeaf(YType.empty, "minusfin")

                                self.minuspsh = YLeaf(YType.empty, "minuspsh")

                                self.minusrst = YLeaf(YType.empty, "minusrst")

                                self.minussyn = YLeaf(YType.empty, "minussyn")

                                self.minusurg = YLeaf(YType.empty, "minusurg")
                                self._segment_path = lambda: "match-all"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAll, ['plusack', 'plusfin', 'pluspsh', 'plusrst', 'plussyn', 'plusurg', 'minusack', 'minusfin', 'minuspsh', 'minusrst', 'minussyn', 'minusurg'], name, value)


                        class MatchAny(Entity):
                            """
                            Match if any specified flags is present
                            
                            .. attribute:: plusack
                            
                            	Match on ACK set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusfin
                            
                            	Match on FIN set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pluspsh
                            
                            	Match on PSH set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusrst
                            
                            	Match on RST set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plussyn
                            
                            	Match on SYN set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: plusurg
                            
                            	Match on URG set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusack
                            
                            	Match on ACK not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusfin
                            
                            	Match on FIN not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minuspsh
                            
                            	Match on PSH not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusrst
                            
                            	Match on RST not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minussyn
                            
                            	Match on SYN not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: minusurg
                            
                            	Match on URG not set
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAny, self).__init__()

                                self.yang_name = "match-any"
                                self.yang_parent_name = "ace-rule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.plusack = YLeaf(YType.empty, "plusack")

                                self.plusfin = YLeaf(YType.empty, "plusfin")

                                self.pluspsh = YLeaf(YType.empty, "pluspsh")

                                self.plusrst = YLeaf(YType.empty, "plusrst")

                                self.plussyn = YLeaf(YType.empty, "plussyn")

                                self.plusurg = YLeaf(YType.empty, "plusurg")

                                self.minusack = YLeaf(YType.empty, "minusack")

                                self.minusfin = YLeaf(YType.empty, "minusfin")

                                self.minuspsh = YLeaf(YType.empty, "minuspsh")

                                self.minusrst = YLeaf(YType.empty, "minusrst")

                                self.minussyn = YLeaf(YType.empty, "minussyn")

                                self.minusurg = YLeaf(YType.empty, "minusurg")
                                self._segment_path = lambda: "match-any"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.AccessList.Extended.AccessListSeqRule.AceRule.MatchAny, ['plusack', 'plusfin', 'pluspsh', 'plusrst', 'plussyn', 'plusurg', 'minusack', 'minusfin', 'minuspsh', 'minusrst', 'minussyn', 'minusurg'], name, value)


                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: access_list_seq_rule
                    
                    	
                    	**type**\: list of  		 :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-08-01'

                    def __init__(self):
                        super(Native.Ip.AccessList.Extended.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "extended"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"access-list-seq-rule" : ("access_list_seq_rule", Native.Ip.AccessList.Extended.Default.AccessListSeqRule)}

                        self.access_list_seq_rule = YList(self)
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.AccessList.Extended.Default, [], name, value)


                    class AccessListSeqRule(Entity):
                        """
                        
                        
                        .. attribute:: sequence  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..2147483647
                        
                        .. attribute:: ace_rule
                        
                        	
                        	**type**\:  :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule>`
                        
                        .. attribute:: remark
                        
                        	Access list entry comment
                        	**type**\: str
                        
                        	**length:** 1..100
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Ip.AccessList.Extended.Default.AccessListSeqRule, self).__init__()

                            self.yang_name = "access-list-seq-rule"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ace-rule" : ("ace_rule", Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule)}
                            self._child_list_classes = {}

                            self.sequence = YLeaf(YType.uint64, "sequence")

                            self.remark = YLeaf(YType.str, "remark")

                            self.ace_rule = Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule()
                            self.ace_rule.parent = self
                            self._children_name_map["ace_rule"] = "ace-rule"
                            self._children_yang_names.add("ace-rule")
                            self._segment_path = lambda: "access-list-seq-rule" + "[sequence='" + self.sequence.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.AccessList.Extended.Default.AccessListSeqRule, ['sequence', 'remark'], name, value)


                        class AceRule(Entity):
                            """
                            
                            
                            .. attribute:: action
                            
                            	
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Action>`
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..255
                            
                            		**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Protocol>`
                            
                            .. attribute:: object_group_str
                            
                            	Service object group name
                            	**type**\: str
                            
                            .. attribute:: ipv4_address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            	**mandatory**\: True
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            	**mandatory**\: True
                            
                            .. attribute:: any
                            
                            	Any source host
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: host
                            
                            	A single source host
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: object_group
                            
                            	Source network object group
                            	**type**\: str
                            
                            .. attribute:: src_eq
                            
                            	Match only packets on a given port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_gt
                            
                            	Match only packets with a greater port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_lt
                            
                            	Match only packets with a lower port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_neq
                            
                            	Match only packets not on a given port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_range1
                            
                            	Match only packets in the range of port numbers
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_range2
                            
                            	Match only packets in the range of port numbers
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dest_ipv4_address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            	**mandatory**\: True
                            
                            .. attribute:: dest_mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            	**mandatory**\: True
                            
                            .. attribute:: dst_any
                            
                            	Any destination host
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dst_host
                            
                            	A single destination host
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: dst_object_group
                            
                            	Destination network object group
                            	**type**\: str
                            
                            .. attribute:: dst_eq
                            
                            	Match only packets on a given port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_gt
                            
                            	Match only packets with a greater port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_lt
                            
                            	Match only packets with a lower port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_neq
                            
                            	Match only packets not on a given port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_range1
                            
                            	Match only packets in the range of port numbers
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_range2
                            
                            	Match only packets in the range of port numbers
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dscp
                            
                            	Match packets with given dscp value
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..63
                            
                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                            
                            .. attribute:: fragments
                            
                            	Check non\-initial fragments
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log
                            
                            	Log matches against this entry
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log_input
                            
                            	Log matches against this entry, including input interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: option
                            
                            	Match packets with given IP Options value
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..255
                            
                            		**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Option>`
                            
                            .. attribute:: precedence
                            
                            	Match packets with given precedence value
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..7
                            
                            		**type**\:  :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Precedence>`
                            
                            .. attribute:: time_range
                            
                            	Specify a time\-range
                            	**type**\: str
                            
                            .. attribute:: tos
                            
                            	Match packets with given TOS value
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..15
                            
                            		**type**\:  :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Tos>`
                            
                            .. attribute:: ttl
                            
                            	Match packets with given TTL value
                            	**type**\:  :py:class:`Ttl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl>`
                            
                            .. attribute:: match_all
                            
                            	Match if all specified flags are present
                            	**type**\:  :py:class:`MatchAll <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAll>`
                            
                            .. attribute:: match_any
                            
                            	Match if any specified flags is present
                            	**type**\:  :py:class:`MatchAny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAny>`
                            
                            .. attribute:: ack
                            
                            	Match on the ACK bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fin
                            
                            	Match on the FIN bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: psh
                            
                            	Match on the PSH bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rst
                            
                            	Match on the RST bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: syn
                            
                            	Match on the SYN bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: urg
                            
                            	Match on the URG bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: established
                            
                            	Match established connections
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: msg_type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: msg_code
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: named_msg_type
                            
                            	
                            	**type**\:  :py:class:`NamedMsgType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.NamedMsgType>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule, self).__init__()

                                self.yang_name = "ace-rule"
                                self.yang_parent_name = "access-list-seq-rule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ttl" : ("ttl", Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl), "match-all" : ("match_all", Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAll), "match-any" : ("match_any", Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAny)}
                                self._child_list_classes = {}

                                self.action = YLeaf(YType.enumeration, "action")

                                self.protocol = YLeaf(YType.str, "protocol")

                                self.object_group_str = YLeaf(YType.str, "object-group-str")

                                self.ipv4_address = YLeaf(YType.str, "ipv4-address")

                                self.mask = YLeaf(YType.str, "mask")

                                self.any = YLeaf(YType.empty, "any")

                                self.host = YLeaf(YType.str, "host")

                                self.object_group = YLeaf(YType.str, "object-group")

                                self.src_eq = YLeaf(YType.str, "src-eq")

                                self.src_gt = YLeaf(YType.str, "src-gt")

                                self.src_lt = YLeaf(YType.str, "src-lt")

                                self.src_neq = YLeaf(YType.str, "src-neq")

                                self.src_range1 = YLeaf(YType.str, "src-range1")

                                self.src_range2 = YLeaf(YType.str, "src-range2")

                                self.dest_ipv4_address = YLeaf(YType.str, "dest-ipv4-address")

                                self.dest_mask = YLeaf(YType.str, "dest-mask")

                                self.dst_any = YLeaf(YType.empty, "dst-any")

                                self.dst_host = YLeaf(YType.str, "dst-host")

                                self.dst_object_group = YLeaf(YType.str, "dst-object-group")

                                self.dst_eq = YLeaf(YType.str, "dst-eq")

                                self.dst_gt = YLeaf(YType.str, "dst-gt")

                                self.dst_lt = YLeaf(YType.str, "dst-lt")

                                self.dst_neq = YLeaf(YType.str, "dst-neq")

                                self.dst_range1 = YLeaf(YType.str, "dst-range1")

                                self.dst_range2 = YLeaf(YType.str, "dst-range2")

                                self.dscp = YLeaf(YType.str, "dscp")

                                self.fragments = YLeaf(YType.empty, "fragments")

                                self.log = YLeaf(YType.empty, "log")

                                self.log_input = YLeaf(YType.empty, "log-input")

                                self.option = YLeaf(YType.str, "option")

                                self.precedence = YLeaf(YType.str, "precedence")

                                self.time_range = YLeaf(YType.str, "time-range")

                                self.tos = YLeaf(YType.str, "tos")

                                self.ack = YLeaf(YType.empty, "ack")

                                self.fin = YLeaf(YType.empty, "fin")

                                self.psh = YLeaf(YType.empty, "psh")

                                self.rst = YLeaf(YType.empty, "rst")

                                self.syn = YLeaf(YType.empty, "syn")

                                self.urg = YLeaf(YType.empty, "urg")

                                self.established = YLeaf(YType.empty, "established")

                                self.msg_type = YLeaf(YType.uint8, "msg-type")

                                self.msg_code = YLeaf(YType.uint8, "msg-code")

                                self.named_msg_type = YLeaf(YType.enumeration, "named-msg-type")

                                self.ttl = Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl()
                                self.ttl.parent = self
                                self._children_name_map["ttl"] = "ttl"
                                self._children_yang_names.add("ttl")

                                self.match_all = Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAll()
                                self.match_all.parent = self
                                self._children_name_map["match_all"] = "match-all"
                                self._children_yang_names.add("match-all")

                                self.match_any = Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAny()
                                self.match_any.parent = self
                                self._children_name_map["match_any"] = "match-any"
                                self._children_yang_names.add("match-any")
                                self._segment_path = lambda: "ace-rule"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule, ['action', 'protocol', 'object_group_str', 'ipv4_address', 'mask', 'any', 'host', 'object_group', 'src_eq', 'src_gt', 'src_lt', 'src_neq', 'src_range1', 'src_range2', 'dest_ipv4_address', 'dest_mask', 'dst_any', 'dst_host', 'dst_object_group', 'dst_eq', 'dst_gt', 'dst_lt', 'dst_neq', 'dst_range1', 'dst_range2', 'dscp', 'fragments', 'log', 'log_input', 'option', 'precedence', 'time_range', 'tos', 'ack', 'fin', 'psh', 'rst', 'syn', 'urg', 'established', 'msg_type', 'msg_code', 'named_msg_type'], name, value)

                            class Action(Enum):
                                """
                                Action

                                .. data:: deny = 0

                                .. data:: permit = 1

                                """

                                deny = Enum.YLeaf(0, "deny")

                                permit = Enum.YLeaf(1, "permit")


                            class NamedMsgType(Enum):
                                """
                                NamedMsgType

                                .. data:: administratively_prohibited = 0

                                .. data:: alternate_address = 1

                                .. data:: conversion_error = 2

                                .. data:: dod_host_prohibited = 3

                                .. data:: dod_net_prohibited = 4

                                .. data:: echo = 5

                                .. data:: echo_reply = 6

                                .. data:: general_parameter_problem = 7

                                .. data:: host_isolated = 8

                                .. data:: host_precedence_unreachable = 9

                                .. data:: host_redirect = 10

                                .. data:: host_tos_redirect = 11

                                .. data:: host_tos_unreachable = 12

                                .. data:: host_unknown = 13

                                .. data:: host_unreachable = 14

                                .. data:: information_reply = 15

                                .. data:: information_request = 16

                                .. data:: mask_reply = 17

                                .. data:: mask_request = 18

                                .. data:: mobile_redirect = 19

                                .. data:: net_redirect = 20

                                .. data:: net_tos_redirect = 21

                                .. data:: net_tos_unreachable = 22

                                .. data:: net_unreachable = 23

                                .. data:: network_unknown = 24

                                .. data:: no_room_for_option = 25

                                .. data:: option_missing = 26

                                .. data:: packet_too_big = 27

                                .. data:: parameter_problem = 28

                                .. data:: port_unreachable = 29

                                .. data:: precedence_unreachable = 30

                                .. data:: protocol_unreachable = 31

                                .. data:: reassembly_timeout = 32

                                .. data:: redirect = 33

                                .. data:: router_advertisement = 34

                                .. data:: router_solicitation = 35

                                .. data:: source_quench = 36

                                .. data:: source_route_failed = 37

                                .. data:: time_exceeded = 38

                                .. data:: timestamp_reply = 39

                                .. data:: timestamp_request = 40

                                .. data:: traceroute = 41

                                .. data:: ttl_exceeded = 42

                                .. data:: unreachable = 43

                                """

                                administratively_prohibited = Enum.YLeaf(0, "administratively-prohibited")

                                alternate_address = Enum.YLeaf(1, "alternate-address")

                                conversion_error = Enum.YLeaf(2, "conversion-error")

                                dod_host_prohibited = Enum.YLeaf(3, "dod-host-prohibited")

                                dod_net_prohibited = Enum.YLeaf(4, "dod-net-prohibited")

                                echo = Enum.YLeaf(5, "echo")

                                echo_reply = Enum.YLeaf(6, "echo-reply")

                                general_parameter_problem = Enum.YLeaf(7, "general-parameter-problem")

                                host_isolated = Enum.YLeaf(8, "host-isolated")

                                host_precedence_unreachable = Enum.YLeaf(9, "host-precedence-unreachable")

                                host_redirect = Enum.YLeaf(10, "host-redirect")

                                host_tos_redirect = Enum.YLeaf(11, "host-tos-redirect")

                                host_tos_unreachable = Enum.YLeaf(12, "host-tos-unreachable")

                                host_unknown = Enum.YLeaf(13, "host-unknown")

                                host_unreachable = Enum.YLeaf(14, "host-unreachable")

                                information_reply = Enum.YLeaf(15, "information-reply")

                                information_request = Enum.YLeaf(16, "information-request")

                                mask_reply = Enum.YLeaf(17, "mask-reply")

                                mask_request = Enum.YLeaf(18, "mask-request")

                                mobile_redirect = Enum.YLeaf(19, "mobile-redirect")

                                net_redirect = Enum.YLeaf(20, "net-redirect")

                                net_tos_redirect = Enum.YLeaf(21, "net-tos-redirect")

                                net_tos_unreachable = Enum.YLeaf(22, "net-tos-unreachable")

                                net_unreachable = Enum.YLeaf(23, "net-unreachable")

                                network_unknown = Enum.YLeaf(24, "network-unknown")

                                no_room_for_option = Enum.YLeaf(25, "no-room-for-option")

                                option_missing = Enum.YLeaf(26, "option-missing")

                                packet_too_big = Enum.YLeaf(27, "packet-too-big")

                                parameter_problem = Enum.YLeaf(28, "parameter-problem")

                                port_unreachable = Enum.YLeaf(29, "port-unreachable")

                                precedence_unreachable = Enum.YLeaf(30, "precedence-unreachable")

                                protocol_unreachable = Enum.YLeaf(31, "protocol-unreachable")

                                reassembly_timeout = Enum.YLeaf(32, "reassembly-timeout")

                                redirect = Enum.YLeaf(33, "redirect")

                                router_advertisement = Enum.YLeaf(34, "router-advertisement")

                                router_solicitation = Enum.YLeaf(35, "router-solicitation")

                                source_quench = Enum.YLeaf(36, "source-quench")

                                source_route_failed = Enum.YLeaf(37, "source-route-failed")

                                time_exceeded = Enum.YLeaf(38, "time-exceeded")

                                timestamp_reply = Enum.YLeaf(39, "timestamp-reply")

                                timestamp_request = Enum.YLeaf(40, "timestamp-request")

                                traceroute = Enum.YLeaf(41, "traceroute")

                                ttl_exceeded = Enum.YLeaf(42, "ttl-exceeded")

                                unreachable = Enum.YLeaf(43, "unreachable")


                            class Option(Enum):
                                """
                                Option

                                Match packets with given IP Options value

                                .. data:: add_ext = 0

                                .. data:: any_options = 1

                                .. data:: com_security = 2

                                .. data:: dps = 3

                                .. data:: encode = 4

                                .. data:: eool = 5

                                .. data:: ext_ip = 6

                                .. data:: ext_security = 7

                                .. data:: finn = 8

                                .. data:: imitd = 9

                                .. data:: lsr = 10

                                .. data:: mtup = 11

                                .. data:: mtur = 12

                                .. data:: no_op = 13

                                .. data:: nsapa = 14

                                .. data:: record_route = 15

                                .. data:: router_alert = 16

                                .. data:: sdb = 17

                                .. data:: security = 18

                                .. data:: ssr = 19

                                .. data:: stream_id = 20

                                .. data:: timestamp = 21

                                .. data:: traceroute = 22

                                .. data:: ump = 23

                                .. data:: visa = 24

                                .. data:: zsu = 25

                                """

                                add_ext = Enum.YLeaf(0, "add-ext")

                                any_options = Enum.YLeaf(1, "any-options")

                                com_security = Enum.YLeaf(2, "com-security")

                                dps = Enum.YLeaf(3, "dps")

                                encode = Enum.YLeaf(4, "encode")

                                eool = Enum.YLeaf(5, "eool")

                                ext_ip = Enum.YLeaf(6, "ext-ip")

                                ext_security = Enum.YLeaf(7, "ext-security")

                                finn = Enum.YLeaf(8, "finn")

                                imitd = Enum.YLeaf(9, "imitd")

                                lsr = Enum.YLeaf(10, "lsr")

                                mtup = Enum.YLeaf(11, "mtup")

                                mtur = Enum.YLeaf(12, "mtur")

                                no_op = Enum.YLeaf(13, "no-op")

                                nsapa = Enum.YLeaf(14, "nsapa")

                                record_route = Enum.YLeaf(15, "record-route")

                                router_alert = Enum.YLeaf(16, "router-alert")

                                sdb = Enum.YLeaf(17, "sdb")

                                security = Enum.YLeaf(18, "security")

                                ssr = Enum.YLeaf(19, "ssr")

                                stream_id = Enum.YLeaf(20, "stream-id")

                                timestamp = Enum.YLeaf(21, "timestamp")

                                traceroute = Enum.YLeaf(22, "traceroute")

                                ump = Enum.YLeaf(23, "ump")

                                visa = Enum.YLeaf(24, "visa")

                                zsu = Enum.YLeaf(25, "zsu")


                            class Precedence(Enum):
                                """
                                Precedence

                                Match packets with given precedence value

                                .. data:: critical = 0

                                .. data:: flash = 1

                                .. data:: flash_override = 2

                                .. data:: immediate = 3

                                .. data:: internet = 4

                                .. data:: network = 5

                                .. data:: priority = 6

                                .. data:: routine = 7

                                """

                                critical = Enum.YLeaf(0, "critical")

                                flash = Enum.YLeaf(1, "flash")

                                flash_override = Enum.YLeaf(2, "flash-override")

                                immediate = Enum.YLeaf(3, "immediate")

                                internet = Enum.YLeaf(4, "internet")

                                network = Enum.YLeaf(5, "network")

                                priority = Enum.YLeaf(6, "priority")

                                routine = Enum.YLeaf(7, "routine")


                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: ahp = 0

                                .. data:: eigrp = 1

                                .. data:: esp = 2

                                .. data:: gre = 3

                                .. data:: icmp = 4

                                .. data:: igmp = 5

                                .. data:: ip = 6

                                .. data:: ipinip = 7

                                .. data:: nos = 8

                                .. data:: object_group = 9

                                .. data:: ospf = 10

                                .. data:: pcp = 11

                                .. data:: pim = 12

                                .. data:: tcp = 13

                                .. data:: udp = 14

                                """

                                ahp = Enum.YLeaf(0, "ahp")

                                eigrp = Enum.YLeaf(1, "eigrp")

                                esp = Enum.YLeaf(2, "esp")

                                gre = Enum.YLeaf(3, "gre")

                                icmp = Enum.YLeaf(4, "icmp")

                                igmp = Enum.YLeaf(5, "igmp")

                                ip = Enum.YLeaf(6, "ip")

                                ipinip = Enum.YLeaf(7, "ipinip")

                                nos = Enum.YLeaf(8, "nos")

                                object_group = Enum.YLeaf(9, "object-group")

                                ospf = Enum.YLeaf(10, "ospf")

                                pcp = Enum.YLeaf(11, "pcp")

                                pim = Enum.YLeaf(12, "pim")

                                tcp = Enum.YLeaf(13, "tcp")

                                udp = Enum.YLeaf(14, "udp")


                            class Tos(Enum):
                                """
                                Tos

                                Match packets with given TOS value

                                .. data:: max_reliability = 0

                                .. data:: max_throughput = 1

                                .. data:: min_delay = 2

                                .. data:: min_monetary_cost = 3

                                .. data:: normal = 4

                                """

                                max_reliability = Enum.YLeaf(0, "max-reliability")

                                max_throughput = Enum.YLeaf(1, "max-throughput")

                                min_delay = Enum.YLeaf(2, "min-delay")

                                min_monetary_cost = Enum.YLeaf(3, "min-monetary-cost")

                                normal = Enum.YLeaf(4, "normal")



                            class Ttl(Entity):
                                """
                                Match packets with given TTL value
                                
                                .. attribute:: eq
                                
                                	Match only packets on a given TTL number
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: gt
                                
                                	Match only packets on a given TTL number
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: lt
                                
                                	Match only packets on a given TTL number
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: neq
                                
                                	Match only packets on a given TTL number
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: range
                                
                                	Match only packets in the range of TTLs
                                	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl.Range>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-08-01'

                                def __init__(self):
                                    super(Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl, self).__init__()

                                    self.yang_name = "ttl"
                                    self.yang_parent_name = "ace-rule"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"range" : ("range", Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl.Range)}
                                    self._child_list_classes = {}

                                    self.eq = YLeaf(YType.uint8, "eq")

                                    self.gt = YLeaf(YType.uint8, "gt")

                                    self.lt = YLeaf(YType.uint8, "lt")

                                    self.neq = YLeaf(YType.uint8, "neq")

                                    self.range = Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl.Range()
                                    self.range.parent = self
                                    self._children_name_map["range"] = "range"
                                    self._children_yang_names.add("range")
                                    self._segment_path = lambda: "ttl"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl, ['eq', 'gt', 'lt', 'neq'], name, value)


                                class Range(Entity):
                                    """
                                    Match only packets in the range of TTLs
                                    
                                    .. attribute:: value1
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: value2
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-acl'
                                    _revision = '2017-08-01'

                                    def __init__(self):
                                        super(Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "ttl"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.value1 = YLeaf(YType.uint8, "value1")

                                        self.value2 = YLeaf(YType.uint8, "value2")
                                        self._segment_path = lambda: "range"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.Ttl.Range, ['value1', 'value2'], name, value)


                            class MatchAll(Entity):
                                """
                                Match if all specified flags are present
                                
                                .. attribute:: plusack
                                
                                	Match on ACK set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusfin
                                
                                	Match on FIN set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: pluspsh
                                
                                	Match on PSH set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusrst
                                
                                	Match on RST set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plussyn
                                
                                	Match on SYN set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusurg
                                
                                	Match on URG set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusack
                                
                                	Match on ACK not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusfin
                                
                                	Match on FIN not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minuspsh
                                
                                	Match on PSH not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusrst
                                
                                	Match on RST not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minussyn
                                
                                	Match on SYN not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusurg
                                
                                	Match on URG not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-08-01'

                                def __init__(self):
                                    super(Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAll, self).__init__()

                                    self.yang_name = "match-all"
                                    self.yang_parent_name = "ace-rule"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.plusack = YLeaf(YType.empty, "plusack")

                                    self.plusfin = YLeaf(YType.empty, "plusfin")

                                    self.pluspsh = YLeaf(YType.empty, "pluspsh")

                                    self.plusrst = YLeaf(YType.empty, "plusrst")

                                    self.plussyn = YLeaf(YType.empty, "plussyn")

                                    self.plusurg = YLeaf(YType.empty, "plusurg")

                                    self.minusack = YLeaf(YType.empty, "minusack")

                                    self.minusfin = YLeaf(YType.empty, "minusfin")

                                    self.minuspsh = YLeaf(YType.empty, "minuspsh")

                                    self.minusrst = YLeaf(YType.empty, "minusrst")

                                    self.minussyn = YLeaf(YType.empty, "minussyn")

                                    self.minusurg = YLeaf(YType.empty, "minusurg")
                                    self._segment_path = lambda: "match-all"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAll, ['plusack', 'plusfin', 'pluspsh', 'plusrst', 'plussyn', 'plusurg', 'minusack', 'minusfin', 'minuspsh', 'minusrst', 'minussyn', 'minusurg'], name, value)


                            class MatchAny(Entity):
                                """
                                Match if any specified flags is present
                                
                                .. attribute:: plusack
                                
                                	Match on ACK set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusfin
                                
                                	Match on FIN set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: pluspsh
                                
                                	Match on PSH set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusrst
                                
                                	Match on RST set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plussyn
                                
                                	Match on SYN set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: plusurg
                                
                                	Match on URG set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusack
                                
                                	Match on ACK not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusfin
                                
                                	Match on FIN not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minuspsh
                                
                                	Match on PSH not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusrst
                                
                                	Match on RST not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minussyn
                                
                                	Match on SYN not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: minusurg
                                
                                	Match on URG not set
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-acl'
                                _revision = '2017-08-01'

                                def __init__(self):
                                    super(Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAny, self).__init__()

                                    self.yang_name = "match-any"
                                    self.yang_parent_name = "ace-rule"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.plusack = YLeaf(YType.empty, "plusack")

                                    self.plusfin = YLeaf(YType.empty, "plusfin")

                                    self.pluspsh = YLeaf(YType.empty, "pluspsh")

                                    self.plusrst = YLeaf(YType.empty, "plusrst")

                                    self.plussyn = YLeaf(YType.empty, "plussyn")

                                    self.plusurg = YLeaf(YType.empty, "plusurg")

                                    self.minusack = YLeaf(YType.empty, "minusack")

                                    self.minusfin = YLeaf(YType.empty, "minusfin")

                                    self.minuspsh = YLeaf(YType.empty, "minuspsh")

                                    self.minusrst = YLeaf(YType.empty, "minusrst")

                                    self.minussyn = YLeaf(YType.empty, "minussyn")

                                    self.minusurg = YLeaf(YType.empty, "minusurg")
                                    self._segment_path = lambda: "match-any"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.AccessList.Extended.Default.AccessListSeqRule.AceRule.MatchAny, ['plusack', 'plusfin', 'pluspsh', 'plusrst', 'plussyn', 'plusurg', 'minusack', 'minusfin', 'minuspsh', 'minusrst', 'minussyn', 'minusurg'], name, value)


            class Helper(Entity):
                """
                Access List acts on helper\-address
                
                .. attribute:: egress
                
                	Outbound
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: check
                
                	Enable filtering on helper\-address destined
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-08-01'

                def __init__(self):
                    super(Native.Ip.AccessList.Helper, self).__init__()

                    self.yang_name = "helper"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.egress = YLeaf(YType.empty, "egress")

                    self.check = YLeaf(YType.empty, "check")
                    self._segment_path = lambda: "Cisco-IOS-XE-acl:helper"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/access-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.AccessList.Helper, ['egress', 'check'], name, value)


            class LogUpdate(Entity):
                """
                Control access list log updates
                
                .. attribute:: threshold
                
                	Set access\-list logging threshold
                	**type**\: int
                
                	**range:** 0..2147483647
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-08-01'

                def __init__(self):
                    super(Native.Ip.AccessList.LogUpdate, self).__init__()

                    self.yang_name = "log-update"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.threshold = YLeaf(YType.uint64, "threshold")
                    self._segment_path = lambda: "Cisco-IOS-XE-acl:log-update"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/access-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.AccessList.LogUpdate, ['threshold'], name, value)


            class Logging(Entity):
                """
                Control access list logging
                
                .. attribute:: hash_generation
                
                	Enable syslog hash code generation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interval
                
                	Set access list logging interval
                	**type**\: int
                
                	**range:** 0..2147483647
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-08-01'

                def __init__(self):
                    super(Native.Ip.AccessList.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.hash_generation = YLeaf(YType.empty, "hash-generation")

                    self.interval = YLeaf(YType.uint64, "interval")
                    self._segment_path = lambda: "Cisco-IOS-XE-acl:logging"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/access-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.AccessList.Logging, ['hash_generation', 'interval'], name, value)


            class Resequence(Entity):
                """
                Resequence Access List
                
                .. attribute:: numbers
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..99
                
                		**type**\: int
                
                			**range:** 1300..1999
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                		**type**\: int
                
                			**range:** 100..199
                
                		**type**\: int
                
                			**range:** 2000..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: start_seq_no
                
                	
                	**type**\: int
                
                	**range:** 1..2147483647
                
                .. attribute:: step_seq_no
                
                	
                	**type**\: int
                
                	**range:** 1..2147483647
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-08-01'

                def __init__(self):
                    super(Native.Ip.AccessList.Resequence, self).__init__()

                    self.yang_name = "resequence"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.numbers = YLeaf(YType.str, "numbers")

                    self.start_seq_no = YLeaf(YType.uint64, "start-seq-no")

                    self.step_seq_no = YLeaf(YType.uint64, "step-seq-no")
                    self._segment_path = lambda: "Cisco-IOS-XE-acl:resequence"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/access-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.AccessList.Resequence, ['numbers', 'start_seq_no', 'step_seq_no'], name, value)


        class Device(Entity):
            """
            Device tracking
            
            .. attribute:: tracking
            
            	Device tracking
            	**type**\:  :py:class:`Tracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Device.Tracking>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ip.Device, self).__init__()

                self.yang_name = "device"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-device-tracking:tracking" : ("tracking", Native.Ip.Device.Tracking)}
                self._child_list_classes = {}

                self.tracking = None
                self._children_name_map["tracking"] = "tracking"
                self._children_yang_names.add("tracking")
                self._segment_path = lambda: "device"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()


            class Tracking(Entity):
                """
                Device tracking
                
                .. attribute:: probe
                
                	Probe
                	**type**\:  :py:class:`Probe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Device.Tracking.Probe>`
                
                .. attribute:: trace_buffer
                
                	Enable Tracing Support
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-dt'
                _revision = '2017-06-07'

                def __init__(self):
                    super(Native.Ip.Device.Tracking, self).__init__()

                    self.yang_name = "tracking"
                    self.yang_parent_name = "device"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"probe" : ("probe", Native.Ip.Device.Tracking.Probe)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.trace_buffer = YLeaf(YType.empty, "trace-buffer")

                    self.probe = Native.Ip.Device.Tracking.Probe()
                    self.probe.parent = self
                    self._children_name_map["probe"] = "probe"
                    self._children_yang_names.add("probe")
                    self._segment_path = lambda: "Cisco-IOS-XE-device-tracking:tracking"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/device/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Device.Tracking, ['trace_buffer'], name, value)


                class Probe(Entity):
                    """
                    Probe
                    
                    .. attribute:: auto_source
                    
                    	Probe source selection algorithm
                    	**type**\:  :py:class:`AutoSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Device.Tracking.Probe.AutoSource>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: count
                    
                    	Probe count
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: delay
                    
                    	Probe delay
                    	**type**\: int
                    
                    	**range:** 1..120
                    
                    .. attribute:: interval
                    
                    	Probe interval
                    	**type**\: int
                    
                    	**range:** 30..1814400
                    
                    

                    """

                    _prefix = 'ios-dt'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.Ip.Device.Tracking.Probe, self).__init__()

                        self.yang_name = "probe"
                        self.yang_parent_name = "tracking"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"auto-source" : ("auto_source", Native.Ip.Device.Tracking.Probe.AutoSource)}
                        self._child_list_classes = {}

                        self.count = YLeaf(YType.uint8, "count")

                        self.delay = YLeaf(YType.uint8, "delay")

                        self.interval = YLeaf(YType.uint32, "interval")

                        self.auto_source = None
                        self._children_name_map["auto_source"] = "auto-source"
                        self._children_yang_names.add("auto-source")
                        self._segment_path = lambda: "probe"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/device/Cisco-IOS-XE-device-tracking:tracking/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Device.Tracking.Probe, ['count', 'delay', 'interval'], name, value)


                    class AutoSource(Entity):
                        """
                        Probe source selection algorithm
                        
                        .. attribute:: fallback
                        
                        	Specify IP and MASK to use as last resort
                        	**type**\:  :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Device.Tracking.Probe.AutoSource.Fallback>`
                        
                        .. attribute:: override
                        
                        	Do not select source address from device track table
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dt'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.Ip.Device.Tracking.Probe.AutoSource, self).__init__()

                            self.yang_name = "auto-source"
                            self.yang_parent_name = "probe"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"fallback" : ("fallback", Native.Ip.Device.Tracking.Probe.AutoSource.Fallback)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.override = YLeaf(YType.empty, "override")

                            self.fallback = Native.Ip.Device.Tracking.Probe.AutoSource.Fallback()
                            self.fallback.parent = self
                            self._children_name_map["fallback"] = "fallback"
                            self._children_yang_names.add("fallback")
                            self._segment_path = lambda: "auto-source"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/device/Cisco-IOS-XE-device-tracking:tracking/probe/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Device.Tracking.Probe.AutoSource, ['override'], name, value)


                        class Fallback(Entity):
                            """
                            Specify IP and MASK to use as last resort
                            
                            .. attribute:: src_ip
                            
                            	IP and MASK of fallback source
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	IP prefix mask
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-dt'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.Ip.Device.Tracking.Probe.AutoSource.Fallback, self).__init__()

                                self.yang_name = "fallback"
                                self.yang_parent_name = "auto-source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.src_ip = YLeaf(YType.str, "src-ip")

                                self.mask = YLeaf(YType.str, "mask")
                                self._segment_path = lambda: "fallback"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/device/Cisco-IOS-XE-device-tracking:tracking/probe/auto-source/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Device.Tracking.Probe.AutoSource.Fallback, ['src_ip', 'mask'], name, value)


        class Radius(Entity):
            """
            RADIUS configuration commands
            
            .. attribute:: source_interface
            
            	Specify interface for source address in RADIUS packets
            	**type**\:  :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Radius.SourceInterface>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Ip.Radius, self).__init__()

                self.yang_name = "radius"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"source-interface" : ("source_interface", Native.Ip.Radius.SourceInterface)}
                self._child_list_classes = {}

                self.source_interface = Native.Ip.Radius.SourceInterface()
                self.source_interface.parent = self
                self._children_name_map["source_interface"] = "source-interface"
                self._children_yang_names.add("source-interface")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:radius"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()


            class SourceInterface(Entity):
                """
                Specify interface for source address in RADIUS packets
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Radius.SourceInterface.ATMSubinterface>`
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\: str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Radius.SourceInterface.ATMACRsubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\: str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\: str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\: str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\: str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\: str
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Radius.SourceInterface.LISPSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Radius.SourceInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\: str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\: str
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\: str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\: str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Ip.Radius.SourceInterface, self).__init__()

                    self.yang_name = "source-interface"
                    self.yang_parent_name = "radius"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Ip.Radius.SourceInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Ip.Radius.SourceInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Ip.Radius.SourceInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Ip.Radius.SourceInterface.PortChannelSubinterface)}
                    self._child_list_classes = {}

                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                    self.atm = YLeaf(YType.str, "ATM")

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                    self.bdi = YLeaf(YType.str, "BDI")

                    self.cem = YLeaf(YType.str, "CEM")

                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                    self.lisp = YLeaf(YType.str, "LISP")

                    self.loopback = YLeaf(YType.uint32, "Loopback")

                    self.multilink = YLeaf(YType.uint16, "Multilink")

                    self.nve = YLeaf(YType.uint16, "nve")

                    self.overlay = YLeaf(YType.uint16, "overlay")

                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                    self.sm = YLeaf(YType.str, "SM")

                    self.cellular = YLeaf(YType.str, "Cellular")

                    self.serial = YLeaf(YType.str, "Serial")

                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                    self.vlan = YLeaf(YType.uint16, "Vlan")

                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                    self.atm_subinterface = Native.Ip.Radius.SourceInterface.ATMSubinterface()
                    self.atm_subinterface.parent = self
                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                    self._children_yang_names.add("ATM-subinterface")

                    self.atm_acrsubinterface = Native.Ip.Radius.SourceInterface.ATMACRsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                    self._children_yang_names.add("ATM-ACRsubinterface")

                    self.lisp_subinterface = Native.Ip.Radius.SourceInterface.LISPSubinterface()
                    self.lisp_subinterface.parent = self
                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                    self._children_yang_names.add("LISP-subinterface")

                    self.port_channel_subinterface = Native.Ip.Radius.SourceInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                    self._children_yang_names.add("Port-channel-subinterface")
                    self._segment_path = lambda: "source-interface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-aaa:radius/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Radius.SourceInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                class ATMSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Ip.Radius.SourceInterface.ATMSubinterface, self).__init__()

                        self.yang_name = "ATM-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm = YLeaf(YType.str, "ATM")
                        self._segment_path = lambda: "ATM-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-aaa:radius/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Radius.SourceInterface.ATMSubinterface, ['atm'], name, value)


                class ATMACRsubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Ip.Radius.SourceInterface.ATMACRsubinterface, self).__init__()

                        self.yang_name = "ATM-ACRsubinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                        self._segment_path = lambda: "ATM-ACRsubinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-aaa:radius/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Radius.SourceInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                class LISPSubinterface(Entity):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Ip.Radius.SourceInterface.LISPSubinterface, self).__init__()

                        self.yang_name = "LISP-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.lisp = YLeaf(YType.str, "LISP")
                        self._segment_path = lambda: "LISP-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-aaa:radius/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Radius.SourceInterface.LISPSubinterface, ['lisp'], name, value)


                class PortChannelSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Ip.Radius.SourceInterface.PortChannelSubinterface, self).__init__()

                        self.yang_name = "Port-channel-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_channel = YLeaf(YType.str, "Port-channel")
                        self._segment_path = lambda: "Port-channel-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-aaa:radius/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Radius.SourceInterface.PortChannelSubinterface, ['port_channel'], name, value)


        class Tacacs(Entity):
            """
            TACACS configuration commands
            
            .. attribute:: source_interface
            
            	Specify interface for source address in TACACS packets
            	**type**\:  :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tacacs.SourceInterface>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Ip.Tacacs, self).__init__()

                self.yang_name = "tacacs"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"source-interface" : ("source_interface", Native.Ip.Tacacs.SourceInterface)}
                self._child_list_classes = {}

                self.source_interface = Native.Ip.Tacacs.SourceInterface()
                self.source_interface.parent = self
                self._children_name_map["source_interface"] = "source-interface"
                self._children_yang_names.add("source-interface")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:tacacs"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()


            class SourceInterface(Entity):
                """
                Specify interface for source address in TACACS packets
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tacacs.SourceInterface.ATMSubinterface>`
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\: str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tacacs.SourceInterface.ATMACRsubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\: str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\: str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\: str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\: str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\: str
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tacacs.SourceInterface.LISPSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Tacacs.SourceInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\: str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\: str
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\: str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\: str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Ip.Tacacs.SourceInterface, self).__init__()

                    self.yang_name = "source-interface"
                    self.yang_parent_name = "tacacs"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Ip.Tacacs.SourceInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Ip.Tacacs.SourceInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Ip.Tacacs.SourceInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Ip.Tacacs.SourceInterface.PortChannelSubinterface)}
                    self._child_list_classes = {}

                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                    self.atm = YLeaf(YType.str, "ATM")

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                    self.bdi = YLeaf(YType.str, "BDI")

                    self.cem = YLeaf(YType.str, "CEM")

                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                    self.lisp = YLeaf(YType.str, "LISP")

                    self.loopback = YLeaf(YType.uint32, "Loopback")

                    self.multilink = YLeaf(YType.uint16, "Multilink")

                    self.nve = YLeaf(YType.uint16, "nve")

                    self.overlay = YLeaf(YType.uint16, "overlay")

                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                    self.sm = YLeaf(YType.str, "SM")

                    self.cellular = YLeaf(YType.str, "Cellular")

                    self.serial = YLeaf(YType.str, "Serial")

                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                    self.vlan = YLeaf(YType.uint16, "Vlan")

                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                    self.atm_subinterface = Native.Ip.Tacacs.SourceInterface.ATMSubinterface()
                    self.atm_subinterface.parent = self
                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                    self._children_yang_names.add("ATM-subinterface")

                    self.atm_acrsubinterface = Native.Ip.Tacacs.SourceInterface.ATMACRsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                    self._children_yang_names.add("ATM-ACRsubinterface")

                    self.lisp_subinterface = Native.Ip.Tacacs.SourceInterface.LISPSubinterface()
                    self.lisp_subinterface.parent = self
                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                    self._children_yang_names.add("LISP-subinterface")

                    self.port_channel_subinterface = Native.Ip.Tacacs.SourceInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                    self._children_yang_names.add("Port-channel-subinterface")
                    self._segment_path = lambda: "source-interface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-aaa:tacacs/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Tacacs.SourceInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                class ATMSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Ip.Tacacs.SourceInterface.ATMSubinterface, self).__init__()

                        self.yang_name = "ATM-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm = YLeaf(YType.str, "ATM")
                        self._segment_path = lambda: "ATM-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-aaa:tacacs/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Tacacs.SourceInterface.ATMSubinterface, ['atm'], name, value)


                class ATMACRsubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Ip.Tacacs.SourceInterface.ATMACRsubinterface, self).__init__()

                        self.yang_name = "ATM-ACRsubinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                        self._segment_path = lambda: "ATM-ACRsubinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-aaa:tacacs/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Tacacs.SourceInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                class LISPSubinterface(Entity):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Ip.Tacacs.SourceInterface.LISPSubinterface, self).__init__()

                        self.yang_name = "LISP-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.lisp = YLeaf(YType.str, "LISP")
                        self._segment_path = lambda: "LISP-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-aaa:tacacs/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Tacacs.SourceInterface.LISPSubinterface, ['lisp'], name, value)


                class PortChannelSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Ip.Tacacs.SourceInterface.PortChannelSubinterface, self).__init__()

                        self.yang_name = "Port-channel-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_channel = YLeaf(YType.str, "Port-channel")
                        self._segment_path = lambda: "Port-channel-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-aaa:tacacs/source-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Tacacs.SourceInterface.PortChannelSubinterface, ['port_channel'], name, value)


        class CommunityList(Entity):
            """
            Add a community list entry
            
            .. attribute:: number_standard
            
            	
            	**type**\: list of  		 :py:class:`NumberStandard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.NumberStandard>`
            
            .. attribute:: number_expanded
            
            	
            	**type**\: list of  		 :py:class:`NumberExpanded <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.NumberExpanded>`
            
            .. attribute:: expanded
            
            	Add an expanded community\-list entry
            	**type**\: list of  		 :py:class:`Expanded <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.Expanded>`
            
            .. attribute:: standard
            
            	Add a standard community\-list entry
            	**type**\: list of  		 :py:class:`Standard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.Standard>`
            
            

            """

            _prefix = 'ios-bgp'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.Ip.CommunityList, self).__init__()

                self.yang_name = "community-list"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"number-standard" : ("number_standard", Native.Ip.CommunityList.NumberStandard), "number-expanded" : ("number_expanded", Native.Ip.CommunityList.NumberExpanded), "expanded" : ("expanded", Native.Ip.CommunityList.Expanded), "standard" : ("standard", Native.Ip.CommunityList.Standard)}

                self.number_standard = YList(self)
                self.number_expanded = YList(self)
                self.expanded = YList(self)
                self.standard = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-bgp:community-list"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.CommunityList, [], name, value)


            class NumberStandard(Entity):
                """
                
                
                .. attribute:: no  <key>
                
                	
                	**type**\: int
                
                	**range:** 1..99
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.NumberStandard.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.NumberStandard.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.CommunityList.NumberStandard, self).__init__()

                    self.yang_name = "number-standard"
                    self.yang_parent_name = "community-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"deny" : ("deny", Native.Ip.CommunityList.NumberStandard.Deny), "permit" : ("permit", Native.Ip.CommunityList.NumberStandard.Permit)}
                    self._child_list_classes = {}

                    self.no = YLeaf(YType.uint16, "no")

                    self.deny = Native.Ip.CommunityList.NumberStandard.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")

                    self.permit = Native.Ip.CommunityList.NumberStandard.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")
                    self._segment_path = lambda: "number-standard" + "[no='" + self.no.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-bgp:community-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.CommunityList.NumberStandard, ['no'], name, value)


                class Deny(Entity):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 1..4294967295
                    
                    		**type**\: list of str
                    
                    			**pattern:** (\\d+\:\\d+)
                    
                    		**type**\: list of   :py:class:`CommunityWellKnownType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CommunityWellKnownType>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.CommunityList.NumberStandard.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "number-standard"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.deny_list = YLeafList(YType.str, "deny-list")
                        self._segment_path = lambda: "deny"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.CommunityList.NumberStandard.Deny, ['deny_list'], name, value)


                class Permit(Entity):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 1..4294967295
                    
                    		**type**\: list of str
                    
                    			**pattern:** (\\d+\:\\d+)
                    
                    		**type**\: list of   :py:class:`CommunityWellKnownType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CommunityWellKnownType>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.CommunityList.NumberStandard.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "number-standard"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.permit_list = YLeafList(YType.str, "permit-list")
                        self._segment_path = lambda: "permit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.CommunityList.NumberStandard.Permit, ['permit_list'], name, value)


            class NumberExpanded(Entity):
                """
                
                
                .. attribute:: no  <key>
                
                	
                	**type**\: int
                
                	**range:** 100..500
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.NumberExpanded.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.NumberExpanded.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.CommunityList.NumberExpanded, self).__init__()

                    self.yang_name = "number-expanded"
                    self.yang_parent_name = "community-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"deny" : ("deny", Native.Ip.CommunityList.NumberExpanded.Deny), "permit" : ("permit", Native.Ip.CommunityList.NumberExpanded.Permit)}
                    self._child_list_classes = {}

                    self.no = YLeaf(YType.uint16, "no")

                    self.deny = Native.Ip.CommunityList.NumberExpanded.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")

                    self.permit = Native.Ip.CommunityList.NumberExpanded.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")
                    self._segment_path = lambda: "number-expanded" + "[no='" + self.no.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-bgp:community-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.CommunityList.NumberExpanded, ['no'], name, value)


                class Deny(Entity):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.CommunityList.NumberExpanded.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "number-expanded"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.deny_list = YLeafList(YType.str, "deny-list")
                        self._segment_path = lambda: "deny"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.CommunityList.NumberExpanded.Deny, ['deny_list'], name, value)


                class Permit(Entity):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.CommunityList.NumberExpanded.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "number-expanded"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.permit_list = YLeafList(YType.str, "permit-list")
                        self._segment_path = lambda: "permit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.CommunityList.NumberExpanded.Permit, ['permit_list'], name, value)


            class Expanded(Entity):
                """
                Add an expanded community\-list entry
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.Expanded.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.Expanded.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.CommunityList.Expanded, self).__init__()

                    self.yang_name = "expanded"
                    self.yang_parent_name = "community-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"deny" : ("deny", Native.Ip.CommunityList.Expanded.Deny), "permit" : ("permit", Native.Ip.CommunityList.Expanded.Permit)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.deny = Native.Ip.CommunityList.Expanded.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")

                    self.permit = Native.Ip.CommunityList.Expanded.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")
                    self._segment_path = lambda: "expanded" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-bgp:community-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.CommunityList.Expanded, ['name'], name, value)


                class Deny(Entity):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.CommunityList.Expanded.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "expanded"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.deny_list = YLeafList(YType.str, "deny-list")
                        self._segment_path = lambda: "deny"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.CommunityList.Expanded.Deny, ['deny_list'], name, value)


                class Permit(Entity):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.CommunityList.Expanded.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "expanded"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.permit_list = YLeafList(YType.str, "permit-list")
                        self._segment_path = lambda: "permit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.CommunityList.Expanded.Permit, ['permit_list'], name, value)


            class Standard(Entity):
                """
                Add a standard community\-list entry
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.Standard.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.CommunityList.Standard.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.CommunityList.Standard, self).__init__()

                    self.yang_name = "standard"
                    self.yang_parent_name = "community-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"deny" : ("deny", Native.Ip.CommunityList.Standard.Deny), "permit" : ("permit", Native.Ip.CommunityList.Standard.Permit)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.deny = Native.Ip.CommunityList.Standard.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")

                    self.permit = Native.Ip.CommunityList.Standard.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")
                    self._segment_path = lambda: "standard" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-bgp:community-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.CommunityList.Standard, ['name'], name, value)


                class Deny(Entity):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 1..4294967295
                    
                    		**type**\: list of str
                    
                    			**pattern:** (\\d+\:\\d+)
                    
                    		**type**\: list of   :py:class:`CommunityWellKnownType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CommunityWellKnownType>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.CommunityList.Standard.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "standard"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.deny_list = YLeafList(YType.str, "deny-list")
                        self._segment_path = lambda: "deny"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.CommunityList.Standard.Deny, ['deny_list'], name, value)


                class Permit(Entity):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 1..4294967295
                    
                    		**type**\: list of str
                    
                    			**pattern:** (\\d+\:\\d+)
                    
                    		**type**\: list of   :py:class:`CommunityWellKnownType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CommunityWellKnownType>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.CommunityList.Standard.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "standard"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.permit_list = YLeafList(YType.str, "permit-list")
                        self._segment_path = lambda: "permit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.CommunityList.Standard.Permit, ['permit_list'], name, value)


        class ExtcommunityList(Entity):
            """
            Extended a community list entry
            
            .. attribute:: number_standard
            
            	
            	**type**\: list of  		 :py:class:`NumberStandard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard>`
            
            .. attribute:: number_expanded
            
            	
            	**type**\: list of  		 :py:class:`NumberExpanded <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberExpanded>`
            
            .. attribute:: expanded
            
            	Extended an expanded community\-list entry
            	**type**\: list of  		 :py:class:`Expanded <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Expanded>`
            
            .. attribute:: standard
            
            	Extended a standard community\-list entry
            	**type**\: list of  		 :py:class:`Standard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard>`
            
            

            """

            _prefix = 'ios-bgp'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.Ip.ExtcommunityList, self).__init__()

                self.yang_name = "extcommunity-list"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"number-standard" : ("number_standard", Native.Ip.ExtcommunityList.NumberStandard), "number-expanded" : ("number_expanded", Native.Ip.ExtcommunityList.NumberExpanded), "expanded" : ("expanded", Native.Ip.ExtcommunityList.Expanded), "standard" : ("standard", Native.Ip.ExtcommunityList.Standard)}

                self.number_standard = YList(self)
                self.number_expanded = YList(self)
                self.expanded = YList(self)
                self.standard = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-bgp:extcommunity-list"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.ExtcommunityList, [], name, value)


            class NumberStandard(Entity):
                """
                
                
                .. attribute:: no  <key>
                
                	
                	**type**\: int
                
                	**range:** 1..99
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.ExtcommunityList.NumberStandard, self).__init__()

                    self.yang_name = "number-standard"
                    self.yang_parent_name = "extcommunity-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"deny" : ("deny", Native.Ip.ExtcommunityList.NumberStandard.Deny), "permit" : ("permit", Native.Ip.ExtcommunityList.NumberStandard.Permit)}
                    self._child_list_classes = {}

                    self.no = YLeaf(YType.uint16, "no")

                    self.deny = Native.Ip.ExtcommunityList.NumberStandard.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")

                    self.permit = Native.Ip.ExtcommunityList.NumberStandard.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")
                    self._segment_path = lambda: "number-standard" + "[no='" + self.no.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-bgp:extcommunity-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.ExtcommunityList.NumberStandard, ['no'], name, value)


                class Deny(Entity):
                    """
                    Specify community to reject
                    
                    .. attribute:: rt
                    
                    	Route Target extended community
                    	**type**\: list of  		 :py:class:`Rt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Deny.Rt>`
                    
                    .. attribute:: soo
                    
                    	Site\-of\-Origin extended community
                    	**type**\: list of  		 :py:class:`Soo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Deny.Soo>`
                    
                    .. attribute:: vpn_distinguisher
                    
                    	VPN Distinguisher extcomm
                    	**type**\: list of  		 :py:class:`VpnDistinguisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Deny.VpnDistinguisher>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.ExtcommunityList.NumberStandard.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "number-standard"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"rt" : ("rt", Native.Ip.ExtcommunityList.NumberStandard.Deny.Rt), "soo" : ("soo", Native.Ip.ExtcommunityList.NumberStandard.Deny.Soo), "vpn-distinguisher" : ("vpn_distinguisher", Native.Ip.ExtcommunityList.NumberStandard.Deny.VpnDistinguisher)}

                        self.rt = YList(self)
                        self.soo = YList(self)
                        self.vpn_distinguisher = YList(self)
                        self._segment_path = lambda: "deny"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.ExtcommunityList.NumberStandard.Deny, [], name, value)


                    class Rt(Entity):
                        """
                        Route Target extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.ExtcommunityList.NumberStandard.Deny.Rt, self).__init__()

                            self.yang_name = "rt"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "rt" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExtcommunityList.NumberStandard.Deny.Rt, ['name'], name, value)


                    class Soo(Entity):
                        """
                        Site\-of\-Origin extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.ExtcommunityList.NumberStandard.Deny.Soo, self).__init__()

                            self.yang_name = "soo"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "soo" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExtcommunityList.NumberStandard.Deny.Soo, ['name'], name, value)


                    class VpnDistinguisher(Entity):
                        """
                        VPN Distinguisher extcomm
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.ExtcommunityList.NumberStandard.Deny.VpnDistinguisher, self).__init__()

                            self.yang_name = "vpn-distinguisher"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vpn-distinguisher" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExtcommunityList.NumberStandard.Deny.VpnDistinguisher, ['name'], name, value)


                class Permit(Entity):
                    """
                    Specify community to accept
                    
                    .. attribute:: rt
                    
                    	Route Target extended community
                    	**type**\: list of  		 :py:class:`Rt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Permit.Rt>`
                    
                    .. attribute:: soo
                    
                    	Site\-of\-Origin extended community
                    	**type**\: list of  		 :py:class:`Soo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Permit.Soo>`
                    
                    .. attribute:: vpn_distinguisher
                    
                    	VPN Distinguisher extcomm
                    	**type**\: list of  		 :py:class:`VpnDistinguisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberStandard.Permit.VpnDistinguisher>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.ExtcommunityList.NumberStandard.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "number-standard"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"rt" : ("rt", Native.Ip.ExtcommunityList.NumberStandard.Permit.Rt), "soo" : ("soo", Native.Ip.ExtcommunityList.NumberStandard.Permit.Soo), "vpn-distinguisher" : ("vpn_distinguisher", Native.Ip.ExtcommunityList.NumberStandard.Permit.VpnDistinguisher)}

                        self.rt = YList(self)
                        self.soo = YList(self)
                        self.vpn_distinguisher = YList(self)
                        self._segment_path = lambda: "permit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.ExtcommunityList.NumberStandard.Permit, [], name, value)


                    class Rt(Entity):
                        """
                        Route Target extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.ExtcommunityList.NumberStandard.Permit.Rt, self).__init__()

                            self.yang_name = "rt"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "rt" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExtcommunityList.NumberStandard.Permit.Rt, ['name'], name, value)


                    class Soo(Entity):
                        """
                        Site\-of\-Origin extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.ExtcommunityList.NumberStandard.Permit.Soo, self).__init__()

                            self.yang_name = "soo"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "soo" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExtcommunityList.NumberStandard.Permit.Soo, ['name'], name, value)


                    class VpnDistinguisher(Entity):
                        """
                        VPN Distinguisher extcomm
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.ExtcommunityList.NumberStandard.Permit.VpnDistinguisher, self).__init__()

                            self.yang_name = "vpn-distinguisher"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vpn-distinguisher" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExtcommunityList.NumberStandard.Permit.VpnDistinguisher, ['name'], name, value)


            class NumberExpanded(Entity):
                """
                
                
                .. attribute:: no  <key>
                
                	
                	**type**\: int
                
                	**range:** 100..500
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberExpanded.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.NumberExpanded.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.ExtcommunityList.NumberExpanded, self).__init__()

                    self.yang_name = "number-expanded"
                    self.yang_parent_name = "extcommunity-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"deny" : ("deny", Native.Ip.ExtcommunityList.NumberExpanded.Deny), "permit" : ("permit", Native.Ip.ExtcommunityList.NumberExpanded.Permit)}
                    self._child_list_classes = {}

                    self.no = YLeaf(YType.uint16, "no")

                    self.deny = Native.Ip.ExtcommunityList.NumberExpanded.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")

                    self.permit = Native.Ip.ExtcommunityList.NumberExpanded.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")
                    self._segment_path = lambda: "number-expanded" + "[no='" + self.no.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-bgp:extcommunity-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.ExtcommunityList.NumberExpanded, ['no'], name, value)


                class Deny(Entity):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.ExtcommunityList.NumberExpanded.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "number-expanded"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.deny_list = YLeafList(YType.str, "deny-list")
                        self._segment_path = lambda: "deny"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.ExtcommunityList.NumberExpanded.Deny, ['deny_list'], name, value)


                class Permit(Entity):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.ExtcommunityList.NumberExpanded.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "number-expanded"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.permit_list = YLeafList(YType.str, "permit-list")
                        self._segment_path = lambda: "permit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.ExtcommunityList.NumberExpanded.Permit, ['permit_list'], name, value)


            class Expanded(Entity):
                """
                Extended an expanded community\-list entry
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Expanded.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Expanded.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.ExtcommunityList.Expanded, self).__init__()

                    self.yang_name = "expanded"
                    self.yang_parent_name = "extcommunity-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"deny" : ("deny", Native.Ip.ExtcommunityList.Expanded.Deny), "permit" : ("permit", Native.Ip.ExtcommunityList.Expanded.Permit)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.deny = Native.Ip.ExtcommunityList.Expanded.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")

                    self.permit = Native.Ip.ExtcommunityList.Expanded.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")
                    self._segment_path = lambda: "expanded" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-bgp:extcommunity-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.ExtcommunityList.Expanded, ['name'], name, value)


                class Deny(Entity):
                    """
                    Specify community to reject
                    
                    .. attribute:: deny_list
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.ExtcommunityList.Expanded.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "expanded"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.deny_list = YLeafList(YType.str, "deny-list")
                        self._segment_path = lambda: "deny"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.ExtcommunityList.Expanded.Deny, ['deny_list'], name, value)


                class Permit(Entity):
                    """
                    Specify community to accept
                    
                    .. attribute:: permit_list
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.ExtcommunityList.Expanded.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "expanded"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.permit_list = YLeafList(YType.str, "permit-list")
                        self._segment_path = lambda: "permit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.ExtcommunityList.Expanded.Permit, ['permit_list'], name, value)


            class Standard(Entity):
                """
                Extended a standard community\-list entry
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: deny
                
                	Specify community to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Deny>`
                
                .. attribute:: permit
                
                	Specify community to accept
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Permit>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ip.ExtcommunityList.Standard, self).__init__()

                    self.yang_name = "standard"
                    self.yang_parent_name = "extcommunity-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"deny" : ("deny", Native.Ip.ExtcommunityList.Standard.Deny), "permit" : ("permit", Native.Ip.ExtcommunityList.Standard.Permit)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.deny = Native.Ip.ExtcommunityList.Standard.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")

                    self.permit = Native.Ip.ExtcommunityList.Standard.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")
                    self._segment_path = lambda: "standard" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-bgp:extcommunity-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.ExtcommunityList.Standard, ['name'], name, value)


                class Deny(Entity):
                    """
                    Specify community to reject
                    
                    .. attribute:: rt
                    
                    	Route Target extended community
                    	**type**\: list of  		 :py:class:`Rt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Deny.Rt>`
                    
                    .. attribute:: soo
                    
                    	Site\-of\-Origin extended community
                    	**type**\: list of  		 :py:class:`Soo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Deny.Soo>`
                    
                    .. attribute:: vpn_distinguisher
                    
                    	VPN Distinguisher extcomm
                    	**type**\: list of  		 :py:class:`VpnDistinguisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Deny.VpnDistinguisher>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.ExtcommunityList.Standard.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "standard"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"rt" : ("rt", Native.Ip.ExtcommunityList.Standard.Deny.Rt), "soo" : ("soo", Native.Ip.ExtcommunityList.Standard.Deny.Soo), "vpn-distinguisher" : ("vpn_distinguisher", Native.Ip.ExtcommunityList.Standard.Deny.VpnDistinguisher)}

                        self.rt = YList(self)
                        self.soo = YList(self)
                        self.vpn_distinguisher = YList(self)
                        self._segment_path = lambda: "deny"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.ExtcommunityList.Standard.Deny, [], name, value)


                    class Rt(Entity):
                        """
                        Route Target extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.ExtcommunityList.Standard.Deny.Rt, self).__init__()

                            self.yang_name = "rt"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "rt" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExtcommunityList.Standard.Deny.Rt, ['name'], name, value)


                    class Soo(Entity):
                        """
                        Site\-of\-Origin extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.ExtcommunityList.Standard.Deny.Soo, self).__init__()

                            self.yang_name = "soo"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "soo" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExtcommunityList.Standard.Deny.Soo, ['name'], name, value)


                    class VpnDistinguisher(Entity):
                        """
                        VPN Distinguisher extcomm
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.ExtcommunityList.Standard.Deny.VpnDistinguisher, self).__init__()

                            self.yang_name = "vpn-distinguisher"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vpn-distinguisher" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExtcommunityList.Standard.Deny.VpnDistinguisher, ['name'], name, value)


                class Permit(Entity):
                    """
                    Specify community to accept
                    
                    .. attribute:: rt
                    
                    	Route Target extended community
                    	**type**\: list of  		 :py:class:`Rt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Permit.Rt>`
                    
                    .. attribute:: soo
                    
                    	Site\-of\-Origin extended community
                    	**type**\: list of  		 :py:class:`Soo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Permit.Soo>`
                    
                    .. attribute:: vpn_distinguisher
                    
                    	VPN Distinguisher extcomm
                    	**type**\: list of  		 :py:class:`VpnDistinguisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.ExtcommunityList.Standard.Permit.VpnDistinguisher>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ip.ExtcommunityList.Standard.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "standard"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"rt" : ("rt", Native.Ip.ExtcommunityList.Standard.Permit.Rt), "soo" : ("soo", Native.Ip.ExtcommunityList.Standard.Permit.Soo), "vpn-distinguisher" : ("vpn_distinguisher", Native.Ip.ExtcommunityList.Standard.Permit.VpnDistinguisher)}

                        self.rt = YList(self)
                        self.soo = YList(self)
                        self.vpn_distinguisher = YList(self)
                        self._segment_path = lambda: "permit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.ExtcommunityList.Standard.Permit, [], name, value)


                    class Rt(Entity):
                        """
                        Route Target extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.ExtcommunityList.Standard.Permit.Rt, self).__init__()

                            self.yang_name = "rt"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "rt" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExtcommunityList.Standard.Permit.Rt, ['name'], name, value)


                    class Soo(Entity):
                        """
                        Site\-of\-Origin extended community
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.ExtcommunityList.Standard.Permit.Soo, self).__init__()

                            self.yang_name = "soo"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "soo" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExtcommunityList.Standard.Permit.Soo, ['name'], name, value)


                    class VpnDistinguisher(Entity):
                        """
                        VPN Distinguisher extcomm
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ip.ExtcommunityList.Standard.Permit.VpnDistinguisher, self).__init__()

                            self.yang_name = "vpn-distinguisher"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vpn-distinguisher" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.ExtcommunityList.Standard.Permit.VpnDistinguisher, ['name'], name, value)


        class Http(Entity):
            """
            HTTP server configuration
            
            .. attribute:: access_class
            
            	Restrict http server access by access\-class
            	**type**\: int
            
            	**range:** 1..99
            
            .. attribute:: authentication
            
            	Set http server authentication method
            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Http.Authentication>`
            
            .. attribute:: server
            
            	Enable http server
            	**type**\: bool
            
            .. attribute:: secure_server
            
            	Enable HTTP secure server
            	**type**\: bool
            
            .. attribute:: secure_trustpoint
            
            	Set http secure server certificate trustpoint
            	**type**\: str
            
            .. attribute:: timeout_policy
            
            	Set http server time\-out policy parameters
            	**type**\:  :py:class:`TimeoutPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Http.TimeoutPolicy>`
            
            .. attribute:: client
            
            	Set http client parameters
            	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Http.Client>`
            
            .. attribute:: secure_client_auth
            
            	Set http secure server with client authentication
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-http'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ip.Http, self).__init__()

                self.yang_name = "http"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"authentication" : ("authentication", Native.Ip.Http.Authentication), "timeout-policy" : ("timeout_policy", Native.Ip.Http.TimeoutPolicy), "client" : ("client", Native.Ip.Http.Client)}
                self._child_list_classes = {}

                self.access_class = YLeaf(YType.uint8, "access-class")

                self.server = YLeaf(YType.boolean, "server")

                self.secure_server = YLeaf(YType.boolean, "secure-server")

                self.secure_trustpoint = YLeaf(YType.str, "secure-trustpoint")

                self.secure_client_auth = YLeaf(YType.empty, "secure-client-auth")

                self.authentication = Native.Ip.Http.Authentication()
                self.authentication.parent = self
                self._children_name_map["authentication"] = "authentication"
                self._children_yang_names.add("authentication")

                self.timeout_policy = Native.Ip.Http.TimeoutPolicy()
                self.timeout_policy.parent = self
                self._children_name_map["timeout_policy"] = "timeout-policy"
                self._children_yang_names.add("timeout-policy")

                self.client = Native.Ip.Http.Client()
                self.client.parent = self
                self._children_name_map["client"] = "client"
                self._children_yang_names.add("client")
                self._segment_path = lambda: "Cisco-IOS-XE-http:http"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Http, ['access_class', 'server', 'secure_server', 'secure_trustpoint', 'secure_client_auth'], name, value)


            class Authentication(Entity):
                """
                Set http server authentication method
                
                .. attribute:: aaa
                
                	Use AAA access control methods
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: local
                
                	Use local username and passwords
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-http'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Http.Authentication, self).__init__()

                    self.yang_name = "authentication"
                    self.yang_parent_name = "http"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.aaa = YLeaf(YType.empty, "aaa")

                    self.local = YLeaf(YType.empty, "local")
                    self._segment_path = lambda: "authentication"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-http:http/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Http.Authentication, ['aaa', 'local'], name, value)


            class TimeoutPolicy(Entity):
                """
                Set http server time\-out policy parameters
                
                .. attribute:: idle
                
                	Idle time\-out of a http server connection in seconds
                	**type**\: int
                
                	**range:** 1..600
                
                .. attribute:: life
                
                	Life time of a http server connection in seconds
                	**type**\: int
                
                	**range:** 1..86400
                
                .. attribute:: requests
                
                	Maximum number of requests allowed on a http server connection
                	**type**\: int
                
                	**range:** 1..86400
                
                

                """

                _prefix = 'ios-http'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Http.TimeoutPolicy, self).__init__()

                    self.yang_name = "timeout-policy"
                    self.yang_parent_name = "http"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.idle = YLeaf(YType.uint16, "idle")

                    self.life = YLeaf(YType.uint32, "life")

                    self.requests = YLeaf(YType.uint32, "requests")
                    self._segment_path = lambda: "timeout-policy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-http:http/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Http.TimeoutPolicy, ['idle', 'life', 'requests'], name, value)


            class Client(Entity):
                """
                Set http client parameters
                
                .. attribute:: secure_trustpoint
                
                	Set http client certificate secure trustpoint
                	**type**\: str
                
                .. attribute:: source_interface
                
                	Specify interface for source address in all HTTP(S) client connections
                	**type**\: str
                
                .. attribute:: proxy_server
                
                	Specify proxy server name for HTTP file system client connections
                	**type**\:  :py:class:`ProxyServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Http.Client.ProxyServer>`
                
                

                """

                _prefix = 'ios-http'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Http.Client, self).__init__()

                    self.yang_name = "client"
                    self.yang_parent_name = "http"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"proxy-server" : ("proxy_server", Native.Ip.Http.Client.ProxyServer)}
                    self._child_list_classes = {}

                    self.secure_trustpoint = YLeaf(YType.str, "secure-trustpoint")

                    self.source_interface = YLeaf(YType.str, "source-interface")

                    self.proxy_server = Native.Ip.Http.Client.ProxyServer()
                    self.proxy_server.parent = self
                    self._children_name_map["proxy_server"] = "proxy-server"
                    self._children_yang_names.add("proxy-server")
                    self._segment_path = lambda: "client"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-http:http/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Http.Client, ['secure_trustpoint', 'source_interface'], name, value)


                class ProxyServer(Entity):
                    """
                    Specify proxy server name for HTTP file system client connections
                    
                    .. attribute:: proxy_server_name
                    
                    	Proxy server name
                    	**type**\: str
                    
                    .. attribute:: proxy_port
                    
                    	Proxy port number
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-http'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Http.Client.ProxyServer, self).__init__()

                        self.yang_name = "proxy-server"
                        self.yang_parent_name = "client"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.proxy_server_name = YLeaf(YType.str, "proxy-server-name")

                        self.proxy_port = YLeaf(YType.uint16, "proxy-port")
                        self._segment_path = lambda: "proxy-server"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-http:http/client/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Http.Client.ProxyServer, ['proxy_server_name', 'proxy_port'], name, value)


        class Icmp(Entity):
            """
            ICMP options
            
            .. attribute:: rate_limit
            
            	rate limit ICMP messages generated
            	**type**\:  :py:class:`RateLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Icmp.RateLimit>`
            
            

            """

            _prefix = 'ios-icmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ip.Icmp, self).__init__()

                self.yang_name = "icmp"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"rate-limit" : ("rate_limit", Native.Ip.Icmp.RateLimit)}
                self._child_list_classes = {}

                self.rate_limit = Native.Ip.Icmp.RateLimit()
                self.rate_limit.parent = self
                self._children_name_map["rate_limit"] = "rate-limit"
                self._children_yang_names.add("rate-limit")
                self._segment_path = lambda: "Cisco-IOS-XE-icmp:icmp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()


            class RateLimit(Entity):
                """
                rate limit ICMP messages generated
                
                .. attribute:: unreachable
                
                	ICMP type 3, Destination Unreachable
                	**type**\:  :py:class:`Unreachable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Icmp.RateLimit.Unreachable>`
                
                .. attribute:: redirect
                
                	description
                	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Icmp.RateLimit.Redirect>`
                
                

                """

                _prefix = 'ios-icmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Icmp.RateLimit, self).__init__()

                    self.yang_name = "rate-limit"
                    self.yang_parent_name = "icmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"unreachable" : ("unreachable", Native.Ip.Icmp.RateLimit.Unreachable)}
                    self._child_list_classes = {}

                    self.redirect = YLeaf(YType.enumeration, "redirect")

                    self.unreachable = Native.Ip.Icmp.RateLimit.Unreachable()
                    self.unreachable.parent = self
                    self._children_name_map["unreachable"] = "unreachable"
                    self._children_yang_names.add("unreachable")
                    self._segment_path = lambda: "rate-limit"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-icmp:icmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Icmp.RateLimit, ['redirect'], name, value)

                class Redirect(Enum):
                    """
                    Redirect

                    description

                    .. data:: host = 0

                    .. data:: subnet = 1

                    """

                    host = Enum.YLeaf(0, "host")

                    subnet = Enum.YLeaf(1, "subnet")



                class Unreachable(Entity):
                    """
                    ICMP type 3, Destination Unreachable
                    
                    .. attribute:: time
                    
                    	Once per milliseconds
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: df
                    
                    	code 4, fragmentation needed and DF set
                    	**type**\:  :py:class:`DF <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Icmp.RateLimit.Unreachable.DF>`
                    
                    .. attribute:: log
                    
                    	log message if rate limiting is excessive
                    	**type**\:  :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Icmp.RateLimit.Unreachable.Log>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-icmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Icmp.RateLimit.Unreachable, self).__init__()

                        self.yang_name = "unreachable"
                        self.yang_parent_name = "rate-limit"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"DF" : ("df", Native.Ip.Icmp.RateLimit.Unreachable.DF), "log" : ("log", Native.Ip.Icmp.RateLimit.Unreachable.Log)}
                        self._child_list_classes = {}

                        self.time = YLeaf(YType.uint32, "time")

                        self.df = Native.Ip.Icmp.RateLimit.Unreachable.DF()
                        self.df.parent = self
                        self._children_name_map["df"] = "DF"
                        self._children_yang_names.add("DF")

                        self.log = None
                        self._children_name_map["log"] = "log"
                        self._children_yang_names.add("log")
                        self._segment_path = lambda: "unreachable"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-icmp:icmp/rate-limit/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Icmp.RateLimit.Unreachable, ['time'], name, value)


                    class DF(Entity):
                        """
                        code 4, fragmentation needed and DF set
                        
                        .. attribute:: time
                        
                        	Once per milliseconds
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-icmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Icmp.RateLimit.Unreachable.DF, self).__init__()

                            self.yang_name = "DF"
                            self.yang_parent_name = "unreachable"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.time = YLeaf(YType.uint32, "time")
                            self._segment_path = lambda: "DF"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-icmp:icmp/rate-limit/unreachable/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Icmp.RateLimit.Unreachable.DF, ['time'], name, value)


                    class Log(Entity):
                        """
                        log message if rate limiting is excessive
                        
                        .. attribute:: number_unreachables
                        
                        	number of unreachables within interval to trigger a message
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: log_message
                        
                        	log message once per milliseconds
                        	**type**\: int
                        
                        	**range:** 10000..4294967295
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-icmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Icmp.RateLimit.Unreachable.Log, self).__init__()

                            self.yang_name = "log"
                            self.yang_parent_name = "unreachable"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.number_unreachables = YLeaf(YType.uint32, "number-unreachables")

                            self.log_message = YLeaf(YType.uint32, "log-message")
                            self._segment_path = lambda: "log"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-icmp:icmp/rate-limit/unreachable/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Icmp.RateLimit.Unreachable.Log, ['number_unreachables', 'log_message'], name, value)


        class Igmp(Entity):
            """
            IGMP global configuration
            
            .. attribute:: snooping_conf
            
            	
            	**type**\:  :py:class:`SnoopingConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.SnoopingConf>`
            
            .. attribute:: snooping
            
            	Global IGMP Snooping enable for Catalyst Vlans
            	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping>`
            
            .. attribute:: ssm_map
            
            	SSM mapping commands
            	**type**\:  :py:class:`SsmMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.SsmMap>`
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Vrf>`
            
            

            """

            _prefix = 'ios-igmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ip.Igmp, self).__init__()

                self.yang_name = "igmp"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"snooping-conf" : ("snooping_conf", Native.Ip.Igmp.SnoopingConf), "snooping" : ("snooping", Native.Ip.Igmp.Snooping), "ssm-map" : ("ssm_map", Native.Ip.Igmp.SsmMap)}
                self._child_list_classes = {"vrf" : ("vrf", Native.Ip.Igmp.Vrf)}

                self.snooping_conf = Native.Ip.Igmp.SnoopingConf()
                self.snooping_conf.parent = self
                self._children_name_map["snooping_conf"] = "snooping-conf"
                self._children_yang_names.add("snooping-conf")

                self.snooping = Native.Ip.Igmp.Snooping()
                self.snooping.parent = self
                self._children_name_map["snooping"] = "snooping"
                self._children_yang_names.add("snooping")

                self.ssm_map = Native.Ip.Igmp.SsmMap()
                self.ssm_map.parent = self
                self._children_name_map["ssm_map"] = "ssm-map"
                self._children_yang_names.add("ssm-map")

                self.vrf = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-igmp:igmp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Igmp, [], name, value)


            class SnoopingConf(Entity):
                """
                
                
                .. attribute:: snooping
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios-igmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Igmp.SnoopingConf, self).__init__()

                    self.yang_name = "snooping-conf"
                    self.yang_parent_name = "igmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.snooping = YLeaf(YType.boolean, "snooping")
                    self._segment_path = lambda: "snooping-conf"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Igmp.SnoopingConf, ['snooping'], name, value)


            class Snooping(Entity):
                """
                Global IGMP Snooping enable for Catalyst Vlans
                
                .. attribute:: check
                
                	enforce TTL or Rtr\-Alert Option checking
                	**type**\:  :py:class:`Check <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Check>`
                
                .. attribute:: explicit_tracking
                
                	Explicit tracking DB configuration
                	**type**\:  :py:class:`ExplicitTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.ExplicitTracking>`
                
                .. attribute:: l2_entry_limit
                
                	limit on the l2 entry that can be installed by IGMP snooping
                	**type**\: int
                
                	**range:** 1..100000
                
                .. attribute:: last_member_query_count
                
                	Last member query count
                	**type**\: int
                
                	**range:** 1..7
                
                .. attribute:: last_member_query_interval
                
                	Interval (milliseconds)
                	**type**\: int
                
                	**range:** 100..32767
                
                .. attribute:: querier
                
                	IGMP querier configuration
                	**type**\:  :py:class:`Querier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Querier>`
                
                	**presence node**\: True
                
                .. attribute:: report_suppression
                
                	Report suppression
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: robustness_variable
                
                	Robustness Variable number
                	**type**\: int
                
                	**range:** 1..3
                
                .. attribute:: tcn
                
                	Topology change notification configuration
                	**type**\:  :py:class:`Tcn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Tcn>`
                
                .. attribute:: vlan
                
                	IGMP Snooping enable for Catalyst VLAN
                	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan>`
                
                

                """

                _prefix = 'ios-igmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Igmp.Snooping, self).__init__()

                    self.yang_name = "snooping"
                    self.yang_parent_name = "igmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"check" : ("check", Native.Ip.Igmp.Snooping.Check), "explicit-tracking" : ("explicit_tracking", Native.Ip.Igmp.Snooping.ExplicitTracking), "querier" : ("querier", Native.Ip.Igmp.Snooping.Querier), "tcn" : ("tcn", Native.Ip.Igmp.Snooping.Tcn), "Cisco-IOS-XE-switch:vlan" : ("vlan", Native.Ip.Igmp.Snooping.Vlan)}
                    self._child_list_classes = {}

                    self.l2_entry_limit = YLeaf(YType.uint32, "l2-entry-limit")

                    self.last_member_query_count = YLeaf(YType.uint8, "last-member-query-count")

                    self.last_member_query_interval = YLeaf(YType.uint16, "last-member-query-interval")

                    self.report_suppression = YLeaf(YType.empty, "report-suppression")

                    self.robustness_variable = YLeaf(YType.uint8, "robustness-variable")

                    self.check = Native.Ip.Igmp.Snooping.Check()
                    self.check.parent = self
                    self._children_name_map["check"] = "check"
                    self._children_yang_names.add("check")

                    self.explicit_tracking = Native.Ip.Igmp.Snooping.ExplicitTracking()
                    self.explicit_tracking.parent = self
                    self._children_name_map["explicit_tracking"] = "explicit-tracking"
                    self._children_yang_names.add("explicit-tracking")

                    self.querier = None
                    self._children_name_map["querier"] = "querier"
                    self._children_yang_names.add("querier")

                    self.tcn = Native.Ip.Igmp.Snooping.Tcn()
                    self.tcn.parent = self
                    self._children_name_map["tcn"] = "tcn"
                    self._children_yang_names.add("tcn")

                    self.vlan = Native.Ip.Igmp.Snooping.Vlan()
                    self.vlan.parent = self
                    self._children_name_map["vlan"] = "vlan"
                    self._children_yang_names.add("vlan")
                    self._segment_path = lambda: "snooping"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Igmp.Snooping, ['l2_entry_limit', 'last_member_query_count', 'last_member_query_interval', 'report_suppression', 'robustness_variable'], name, value)


                class Check(Entity):
                    """
                    enforce TTL or Rtr\-Alert Option checking
                    
                    .. attribute:: rtr_alert_option
                    
                    	Only accept IGMP packets with router\-alert option
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ttl
                    
                    	Only accept IGMP packets with TTL=1
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Igmp.Snooping.Check, self).__init__()

                        self.yang_name = "check"
                        self.yang_parent_name = "snooping"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.rtr_alert_option = YLeaf(YType.empty, "rtr-alert-option")

                        self.ttl = YLeaf(YType.empty, "ttl")
                        self._segment_path = lambda: "check"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/snooping/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Igmp.Snooping.Check, ['rtr_alert_option', 'ttl'], name, value)


                class ExplicitTracking(Entity):
                    """
                    Explicit tracking DB configuration
                    
                    .. attribute:: limit
                    
                    	Explicit tracking DB limit
                    	**type**\: int
                    
                    	**range:** 0..128000
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Igmp.Snooping.ExplicitTracking, self).__init__()

                        self.yang_name = "explicit-tracking"
                        self.yang_parent_name = "snooping"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.limit = YLeaf(YType.uint32, "limit")
                        self._segment_path = lambda: "explicit-tracking"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/snooping/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Igmp.Snooping.ExplicitTracking, ['limit'], name, value)


                class Querier(Entity):
                    """
                    IGMP querier configuration
                    
                    .. attribute:: address
                    
                    	IGMP querier source IP address
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: max_response_time
                    
                    	IGMP querier maximum response time (sec)
                    	**type**\: int
                    
                    	**range:** 1..25
                    
                    .. attribute:: query_interval
                    
                    	IGMP querier query interval (sec)
                    	**type**\: int
                    
                    	**range:** 1..18000
                    
                    .. attribute:: tcn
                    
                    	IGMP querier TCN related parameters
                    	**type**\:  :py:class:`Tcn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Querier.Tcn>`
                    
                    .. attribute:: timer
                    
                    	IGMP other querier timer
                    	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Querier.Timer>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\: int
                    
                    	**range:** 1..2
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Igmp.Snooping.Querier, self).__init__()

                        self.yang_name = "querier"
                        self.yang_parent_name = "snooping"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"tcn" : ("tcn", Native.Ip.Igmp.Snooping.Querier.Tcn), "timer" : ("timer", Native.Ip.Igmp.Snooping.Querier.Timer)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.address = YLeaf(YType.str, "address")

                        self.max_response_time = YLeaf(YType.uint8, "max-response-time")

                        self.query_interval = YLeaf(YType.uint16, "query-interval")

                        self.version = YLeaf(YType.uint8, "version")

                        self.tcn = Native.Ip.Igmp.Snooping.Querier.Tcn()
                        self.tcn.parent = self
                        self._children_name_map["tcn"] = "tcn"
                        self._children_yang_names.add("tcn")

                        self.timer = Native.Ip.Igmp.Snooping.Querier.Timer()
                        self.timer.parent = self
                        self._children_name_map["timer"] = "timer"
                        self._children_yang_names.add("timer")
                        self._segment_path = lambda: "querier"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/snooping/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Igmp.Snooping.Querier, ['address', 'max_response_time', 'query_interval', 'version'], name, value)


                    class Tcn(Entity):
                        """
                        IGMP querier TCN related parameters
                        
                        .. attribute:: query
                        
                        	
                        	**type**\:  :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Querier.Tcn.Query>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Igmp.Snooping.Querier.Tcn, self).__init__()

                            self.yang_name = "tcn"
                            self.yang_parent_name = "querier"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"query" : ("query", Native.Ip.Igmp.Snooping.Querier.Tcn.Query)}
                            self._child_list_classes = {}

                            self.query = Native.Ip.Igmp.Snooping.Querier.Tcn.Query()
                            self.query.parent = self
                            self._children_name_map["query"] = "query"
                            self._children_yang_names.add("query")
                            self._segment_path = lambda: "tcn"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/snooping/querier/%s" % self._segment_path()


                        class Query(Entity):
                            """
                            
                            
                            .. attribute:: count
                            
                            	IGMP querier TCN query count
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            .. attribute:: interval
                            
                            	IGMP querier TCN query interval (sec)
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ip.Igmp.Snooping.Querier.Tcn.Query, self).__init__()

                                self.yang_name = "query"
                                self.yang_parent_name = "tcn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.count = YLeaf(YType.uint8, "count")

                                self.interval = YLeaf(YType.uint8, "interval")
                                self._segment_path = lambda: "query"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/snooping/querier/tcn/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Igmp.Snooping.Querier.Tcn.Query, ['count', 'interval'], name, value)


                    class Timer(Entity):
                        """
                        IGMP other querier timer
                        
                        .. attribute:: expiry
                        
                        	IGMP querier other querier time out (sec)
                        	**type**\: int
                        
                        	**range:** 60..300
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Igmp.Snooping.Querier.Timer, self).__init__()

                            self.yang_name = "timer"
                            self.yang_parent_name = "querier"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.expiry = YLeaf(YType.uint16, "expiry")
                            self._segment_path = lambda: "timer"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/snooping/querier/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Igmp.Snooping.Querier.Timer, ['expiry'], name, value)


                class Tcn(Entity):
                    """
                    Topology change notification configuration
                    
                    .. attribute:: flood
                    
                    	TCN flooding configuration
                    	**type**\:  :py:class:`Flood <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Tcn.Flood>`
                    
                    .. attribute:: query
                    
                    	TCN query configuration
                    	**type**\:  :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Tcn.Query>`
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Igmp.Snooping.Tcn, self).__init__()

                        self.yang_name = "tcn"
                        self.yang_parent_name = "snooping"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"flood" : ("flood", Native.Ip.Igmp.Snooping.Tcn.Flood), "query" : ("query", Native.Ip.Igmp.Snooping.Tcn.Query)}
                        self._child_list_classes = {}

                        self.flood = Native.Ip.Igmp.Snooping.Tcn.Flood()
                        self.flood.parent = self
                        self._children_name_map["flood"] = "flood"
                        self._children_yang_names.add("flood")

                        self.query = Native.Ip.Igmp.Snooping.Tcn.Query()
                        self.query.parent = self
                        self._children_name_map["query"] = "query"
                        self._children_yang_names.add("query")
                        self._segment_path = lambda: "tcn"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/snooping/%s" % self._segment_path()


                    class Flood(Entity):
                        """
                        TCN flooding configuration
                        
                        .. attribute:: query
                        
                        	TCN flooding query configuration
                        	**type**\:  :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Tcn.Flood.Query>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Igmp.Snooping.Tcn.Flood, self).__init__()

                            self.yang_name = "flood"
                            self.yang_parent_name = "tcn"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"query" : ("query", Native.Ip.Igmp.Snooping.Tcn.Flood.Query)}
                            self._child_list_classes = {}

                            self.query = Native.Ip.Igmp.Snooping.Tcn.Flood.Query()
                            self.query.parent = self
                            self._children_name_map["query"] = "query"
                            self._children_yang_names.add("query")
                            self._segment_path = lambda: "flood"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/snooping/tcn/%s" % self._segment_path()


                        class Query(Entity):
                            """
                            TCN flooding query configuration
                            
                            .. attribute:: count
                            
                            	Count
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ip.Igmp.Snooping.Tcn.Flood.Query, self).__init__()

                                self.yang_name = "query"
                                self.yang_parent_name = "flood"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.count = YLeaf(YType.uint8, "count")
                                self._segment_path = lambda: "query"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/snooping/tcn/flood/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Igmp.Snooping.Tcn.Flood.Query, ['count'], name, value)


                    class Query(Entity):
                        """
                        TCN query configuration
                        
                        .. attribute:: solicit
                        
                        	Solicit an IGMP general query
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Igmp.Snooping.Tcn.Query, self).__init__()

                            self.yang_name = "query"
                            self.yang_parent_name = "tcn"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.solicit = YLeaf(YType.empty, "solicit")
                            self._segment_path = lambda: "query"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/snooping/tcn/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Igmp.Snooping.Tcn.Query, ['solicit'], name, value)


                class Vlan(Entity):
                    """
                    IGMP Snooping enable for Catalyst VLAN
                    
                    .. attribute:: range
                    
                    	
                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Ip.Igmp.Snooping.Vlan, self).__init__()

                        self.yang_name = "vlan"
                        self.yang_parent_name = "snooping"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"range" : ("range", Native.Ip.Igmp.Snooping.Vlan.Range)}

                        self.range = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:vlan"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/snooping/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Igmp.Snooping.Vlan, [], name, value)


                    class Range(Entity):
                        """
                        
                        
                        .. attribute:: range  <key>
                        
                        	Vlan number
                        	**type**\: int
                        
                        	**range:** 1..1001 \| 1006..4094
                        
                        .. attribute:: immediate_leave
                        
                        	Enable IGMPv2 immediate leave processing
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: last_member_query_count
                        
                        	Interval (milliseconds)
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: last_member_query_interval
                        
                        	Interval (milliseconds)
                        	**type**\: int
                        
                        	**range:** 100..32767
                        
                        .. attribute:: mrouter
                        
                        	Configure an L2 port as a multicast router port
                        	**type**\:  :py:class:`Mrouter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter>`
                        
                        .. attribute:: querier
                        
                        	Enable IGMP querier for this Vlan
                        	**type**\:  :py:class:`Querier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Querier>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: robustness_variable
                        
                        	Robustness variable
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: static
                        
                        	Configure an L2 port as a member of a group
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Static>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Ip.Igmp.Snooping.Vlan.Range, self).__init__()

                            self.yang_name = "range"
                            self.yang_parent_name = "vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"mrouter" : ("mrouter", Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter), "querier" : ("querier", Native.Ip.Igmp.Snooping.Vlan.Range.Querier), "static" : ("static", Native.Ip.Igmp.Snooping.Vlan.Range.Static)}
                            self._child_list_classes = {}

                            self.range = YLeaf(YType.uint16, "range")

                            self.immediate_leave = YLeaf(YType.empty, "immediate-leave")

                            self.last_member_query_count = YLeaf(YType.uint8, "last-member-query-count")

                            self.last_member_query_interval = YLeaf(YType.uint16, "last-member-query-interval")

                            self.robustness_variable = YLeaf(YType.uint8, "robustness-variable")

                            self.mrouter = Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter()
                            self.mrouter.parent = self
                            self._children_name_map["mrouter"] = "mrouter"
                            self._children_yang_names.add("mrouter")

                            self.querier = None
                            self._children_name_map["querier"] = "querier"
                            self._children_yang_names.add("querier")

                            self.static = Native.Ip.Igmp.Snooping.Vlan.Range.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")
                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/snooping/Cisco-IOS-XE-switch:vlan/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Igmp.Snooping.Vlan.Range, ['range', 'immediate_leave', 'last_member_query_count', 'last_member_query_interval', 'robustness_variable'], name, value)


                        class Mrouter(Entity):
                            """
                            Configure an L2 port as a multicast router port
                            
                            .. attribute:: interface
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: learn
                            
                            	Set the multicast router learning method
                            	**type**\:  :py:class:`Learn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter.Learn>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter, self).__init__()

                                self.yang_name = "mrouter"
                                self.yang_parent_name = "range"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"learn" : ("learn", Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter.Learn)}
                                self._child_list_classes = {}

                                self.interface = YLeaf(YType.str, "interface")

                                self.learn = Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter.Learn()
                                self.learn.parent = self
                                self._children_name_map["learn"] = "learn"
                                self._children_yang_names.add("learn")
                                self._segment_path = lambda: "mrouter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter, ['interface'], name, value)


                            class Learn(Entity):
                                """
                                Set the multicast router learning method
                                
                                .. attribute:: cgmp
                                
                                	Learn the multicast router snooping CGMP packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: pim_dvmrp
                                
                                	Learn the multicast router snooping PIM\-DVMRP packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter.Learn, self).__init__()

                                    self.yang_name = "learn"
                                    self.yang_parent_name = "mrouter"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cgmp = YLeaf(YType.empty, "cgmp")

                                    self.pim_dvmrp = YLeaf(YType.empty, "pim-dvmrp")
                                    self._segment_path = lambda: "learn"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Igmp.Snooping.Vlan.Range.Mrouter.Learn, ['cgmp', 'pim_dvmrp'], name, value)


                        class Querier(Entity):
                            """
                            Enable IGMP querier for this Vlan
                            
                            .. attribute:: address
                            
                            	IGMP querier source IP address
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: max_response_time
                            
                            	IGMP querier maximum response time (sec)
                            	**type**\: int
                            
                            	**range:** 1..25
                            
                            .. attribute:: query_interval
                            
                            	IGMP querier query interval (sec)
                            	**type**\: int
                            
                            	**range:** 1..18000
                            
                            .. attribute:: tcn
                            
                            	IGMP querier TCN related parameters
                            	**type**\:  :py:class:`Tcn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn>`
                            
                            .. attribute:: timer
                            
                            	IGMP other querier timer
                            	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Timer>`
                            
                            .. attribute:: version
                            
                            	IGMP version
                            	**type**\: int
                            
                            	**range:** 1..2
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Ip.Igmp.Snooping.Vlan.Range.Querier, self).__init__()

                                self.yang_name = "querier"
                                self.yang_parent_name = "range"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"tcn" : ("tcn", Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn), "timer" : ("timer", Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Timer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.address = YLeaf(YType.str, "address")

                                self.max_response_time = YLeaf(YType.uint8, "max-response-time")

                                self.query_interval = YLeaf(YType.uint16, "query-interval")

                                self.version = YLeaf(YType.uint8, "version")

                                self.tcn = Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn()
                                self.tcn.parent = self
                                self._children_name_map["tcn"] = "tcn"
                                self._children_yang_names.add("tcn")

                                self.timer = Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Timer()
                                self.timer.parent = self
                                self._children_name_map["timer"] = "timer"
                                self._children_yang_names.add("timer")
                                self._segment_path = lambda: "querier"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Igmp.Snooping.Vlan.Range.Querier, ['address', 'max_response_time', 'query_interval', 'version'], name, value)


                            class Tcn(Entity):
                                """
                                IGMP querier TCN related parameters
                                
                                .. attribute:: query
                                
                                	IGMP querier TCN query related parameters
                                	**type**\:  :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn.Query>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn, self).__init__()

                                    self.yang_name = "tcn"
                                    self.yang_parent_name = "querier"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"query" : ("query", Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn.Query)}
                                    self._child_list_classes = {}

                                    self.query = Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn.Query()
                                    self.query.parent = self
                                    self._children_name_map["query"] = "query"
                                    self._children_yang_names.add("query")
                                    self._segment_path = lambda: "tcn"


                                class Query(Entity):
                                    """
                                    IGMP querier TCN query related parameters
                                    
                                    .. attribute:: count
                                    
                                    	IGMP querier TCN query count
                                    	**type**\: int
                                    
                                    	**range:** 1..10
                                    
                                    .. attribute:: interval
                                    
                                    	IGMP querier TCN query interval (sec)
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn.Query, self).__init__()

                                        self.yang_name = "query"
                                        self.yang_parent_name = "tcn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.count = YLeaf(YType.uint8, "count")

                                        self.interval = YLeaf(YType.uint8, "interval")
                                        self._segment_path = lambda: "query"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Tcn.Query, ['count', 'interval'], name, value)


                            class Timer(Entity):
                                """
                                IGMP other querier timer
                                
                                .. attribute:: expiry
                                
                                	IGMP querier other querier time out (sec)
                                	**type**\: int
                                
                                	**range:** 60..300
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Timer, self).__init__()

                                    self.yang_name = "timer"
                                    self.yang_parent_name = "querier"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.expiry = YLeaf(YType.uint16, "expiry")
                                    self._segment_path = lambda: "timer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Igmp.Snooping.Vlan.Range.Querier.Timer, ['expiry'], name, value)


                        class Static(Entity):
                            """
                            Configure an L2 port as a member of a group
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Snooping.Vlan.Range.Static.Ipv4>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Ip.Igmp.Snooping.Vlan.Range.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "range"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ipv4" : ("ipv4", Native.Ip.Igmp.Snooping.Vlan.Range.Static.Ipv4)}

                                self.ipv4 = YList(self)
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Igmp.Snooping.Vlan.Range.Static, [], name, value)


                            class Ipv4(Entity):
                                """
                                
                                
                                .. attribute:: ipv4  <key>
                                
                                	IP address of the group
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Ip.Igmp.Snooping.Vlan.Range.Static.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Igmp.Snooping.Vlan.Range.Static.Ipv4, ['ipv4', 'interface'], name, value)


            class SsmMap(Entity):
                """
                SSM mapping commands
                
                .. attribute:: enable
                
                	Enable SSM group to source mapping
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: query
                
                	Which database should we query for the source
                	**type**\:  :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.SsmMap.Query>`
                
                .. attribute:: static
                
                	SSM static group to source mapping
                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.SsmMap.Static>`
                
                

                """

                _prefix = 'ios-igmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Igmp.SsmMap, self).__init__()

                    self.yang_name = "ssm-map"
                    self.yang_parent_name = "igmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"query" : ("query", Native.Ip.Igmp.SsmMap.Query), "static" : ("static", Native.Ip.Igmp.SsmMap.Static)}
                    self._child_list_classes = {}

                    self.enable = YLeaf(YType.empty, "enable")

                    self.query = Native.Ip.Igmp.SsmMap.Query()
                    self.query.parent = self
                    self._children_name_map["query"] = "query"
                    self._children_yang_names.add("query")

                    self.static = Native.Ip.Igmp.SsmMap.Static()
                    self.static.parent = self
                    self._children_name_map["static"] = "static"
                    self._children_yang_names.add("static")
                    self._segment_path = lambda: "ssm-map"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Igmp.SsmMap, ['enable'], name, value)


                class Query(Entity):
                    """
                    Which database should we query for the source
                    
                    .. attribute:: dns
                    
                    	Use DNS for source lookup
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Igmp.SsmMap.Query, self).__init__()

                        self.yang_name = "query"
                        self.yang_parent_name = "ssm-map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dns = YLeaf(YType.empty, "dns")
                        self._segment_path = lambda: "query"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/ssm-map/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Igmp.SsmMap.Query, ['dns'], name, value)


                class Static(Entity):
                    """
                    SSM static group to source mapping
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: str
                    
                    .. attribute:: source_ip
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Igmp.SsmMap.Static, self).__init__()

                        self.yang_name = "static"
                        self.yang_parent_name = "ssm-map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acl = YLeaf(YType.str, "acl")

                        self.source_ip = YLeaf(YType.str, "source-ip")
                        self._segment_path = lambda: "static"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/ssm-map/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Igmp.SsmMap.Static, ['acl', 'source_ip'], name, value)


            class Vrf(Entity):
                """
                Select VPN Routing/Forwarding instance
                
                .. attribute:: name  <key>
                
                	VPN Routing/Forwarding instance name
                	**type**\: str
                
                .. attribute:: ssm_map
                
                	SSM mapping commands
                	**type**\:  :py:class:`SsmMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Vrf.SsmMap>`
                
                

                """

                _prefix = 'ios-igmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Igmp.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "igmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ssm-map" : ("ssm_map", Native.Ip.Igmp.Vrf.SsmMap)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.ssm_map = Native.Ip.Igmp.Vrf.SsmMap()
                    self.ssm_map.parent = self
                    self._children_name_map["ssm_map"] = "ssm-map"
                    self._children_yang_names.add("ssm-map")
                    self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-igmp:igmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Igmp.Vrf, ['name'], name, value)


                class SsmMap(Entity):
                    """
                    SSM mapping commands
                    
                    .. attribute:: enable
                    
                    	Enable SSM group to source mapping
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: static
                    
                    	SSM static group to source mapping
                    	**type**\: list of  		 :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Igmp.Vrf.SsmMap.Static>`
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Igmp.Vrf.SsmMap, self).__init__()

                        self.yang_name = "ssm-map"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"static" : ("static", Native.Ip.Igmp.Vrf.SsmMap.Static)}

                        self.enable = YLeaf(YType.empty, "enable")

                        self.static = YList(self)
                        self._segment_path = lambda: "ssm-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Igmp.Vrf.SsmMap, ['enable'], name, value)


                    class Static(Entity):
                        """
                        SSM static group to source mapping
                        
                        .. attribute:: srcaddress  <key>
                        
                        	SSM source address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: aclname
                        
                        	SSM group named access list
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Igmp.Vrf.SsmMap.Static, self).__init__()

                            self.yang_name = "static"
                            self.yang_parent_name = "ssm-map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.srcaddress = YLeaf(YType.str, "srcaddress")

                            self.aclname = YLeaf(YType.str, "aclname")
                            self._segment_path = lambda: "static" + "[srcaddress='" + self.srcaddress.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Igmp.Vrf.SsmMap.Static, ['srcaddress', 'aclname'], name, value)


        class Msdp(Entity):
            """
            MSDP global commands
            
            .. attribute:: peer
            
            	Configure an MSDP peer
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Peer>`
            
            .. attribute:: cache_rejected_sa
            
            	Store rejected SAs from all peers
            	**type**\: int
            
            	**range:** 1..32766
            
            .. attribute:: cache_sa_state
            
            	Configure this system to cache SA state
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: default_peer
            
            	Default MSDP peer to accept SA messages from
            	**type**\:  :py:class:`DefaultPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.DefaultPeer>`
            
            .. attribute:: description
            
            	Peer specific description
            	**type**\:  :py:class:`Description <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Description>`
            
            .. attribute:: filter_sa_request
            
            	Filter SA\-Requests from peer
            	**type**\:  :py:class:`FilterSaRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.FilterSaRequest>`
            
            .. attribute:: keepalive
            
            	Configure keepalive parameters for a peer
            	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Keepalive>`
            
            .. attribute:: mesh_group
            
            	Configure an MSDP mesh\-group
            	**type**\:  :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.MeshGroup>`
            
            .. attribute:: originator_id
            
            	Configure MSDP Originator ID
            	**type**\: str
            
            .. attribute:: password
            
            	Configure an MSDP password
            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Password>`
            
            .. attribute:: redistribute
            
            	Inject multicast route entries into MSDP
            	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Redistribute>`
            
            .. attribute:: rpf
            
            	MSDP rpf
            	**type**\:  :py:class:`Rpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Rpf>`
            
            .. attribute:: sa_filter
            
            	Filter SA messages from peer
            	**type**\:  :py:class:`SaFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.SaFilter>`
            
            .. attribute:: sa_limit
            
            	Configure SA limit for a peer
            	**type**\:  :py:class:`SaLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.SaLimit>`
            
            .. attribute:: shutdown
            
            	Administratively shutdown MSDP peer
            	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Shutdown>`
            
            .. attribute:: timer
            
            	MSDP timer
            	**type**\: int
            
            	**range:** 1..60
            
            .. attribute:: ttl_threshold
            
            	Configure TTL Threshold for MSDP Peer
            	**type**\:  :py:class:`TtlThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.TtlThreshold>`
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf>`
            
            

            """

            _prefix = 'ios-mc'
            _revision = '2017-06-01'

            def __init__(self):
                super(Native.Ip.Msdp, self).__init__()

                self.yang_name = "msdp"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"peer" : ("peer", Native.Ip.Msdp.Peer), "default-peer" : ("default_peer", Native.Ip.Msdp.DefaultPeer), "description" : ("description", Native.Ip.Msdp.Description), "filter-sa-request" : ("filter_sa_request", Native.Ip.Msdp.FilterSaRequest), "keepalive" : ("keepalive", Native.Ip.Msdp.Keepalive), "mesh-group" : ("mesh_group", Native.Ip.Msdp.MeshGroup), "password" : ("password", Native.Ip.Msdp.Password), "redistribute" : ("redistribute", Native.Ip.Msdp.Redistribute), "sa-filter" : ("sa_filter", Native.Ip.Msdp.SaFilter), "sa-limit" : ("sa_limit", Native.Ip.Msdp.SaLimit), "shutdown" : ("shutdown", Native.Ip.Msdp.Shutdown), "ttl-threshold" : ("ttl_threshold", Native.Ip.Msdp.TtlThreshold)}
                self._child_list_classes = {"vrf" : ("vrf", Native.Ip.Msdp.Vrf)}

                self.cache_rejected_sa = YLeaf(YType.uint32, "cache-rejected-sa")

                self.cache_sa_state = YLeaf(YType.empty, "cache-sa-state")

                self.originator_id = YLeaf(YType.str, "originator-id")

                self.rpf = YLeaf(YType.enumeration, "rpf")

                self.timer = YLeaf(YType.uint8, "timer")

                self.peer = Native.Ip.Msdp.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.default_peer = Native.Ip.Msdp.DefaultPeer()
                self.default_peer.parent = self
                self._children_name_map["default_peer"] = "default-peer"
                self._children_yang_names.add("default-peer")

                self.description = Native.Ip.Msdp.Description()
                self.description.parent = self
                self._children_name_map["description"] = "description"
                self._children_yang_names.add("description")

                self.filter_sa_request = Native.Ip.Msdp.FilterSaRequest()
                self.filter_sa_request.parent = self
                self._children_name_map["filter_sa_request"] = "filter-sa-request"
                self._children_yang_names.add("filter-sa-request")

                self.keepalive = Native.Ip.Msdp.Keepalive()
                self.keepalive.parent = self
                self._children_name_map["keepalive"] = "keepalive"
                self._children_yang_names.add("keepalive")

                self.mesh_group = Native.Ip.Msdp.MeshGroup()
                self.mesh_group.parent = self
                self._children_name_map["mesh_group"] = "mesh-group"
                self._children_yang_names.add("mesh-group")

                self.password = Native.Ip.Msdp.Password()
                self.password.parent = self
                self._children_name_map["password"] = "password"
                self._children_yang_names.add("password")

                self.redistribute = Native.Ip.Msdp.Redistribute()
                self.redistribute.parent = self
                self._children_name_map["redistribute"] = "redistribute"
                self._children_yang_names.add("redistribute")

                self.sa_filter = Native.Ip.Msdp.SaFilter()
                self.sa_filter.parent = self
                self._children_name_map["sa_filter"] = "sa-filter"
                self._children_yang_names.add("sa-filter")

                self.sa_limit = Native.Ip.Msdp.SaLimit()
                self.sa_limit.parent = self
                self._children_name_map["sa_limit"] = "sa-limit"
                self._children_yang_names.add("sa-limit")

                self.shutdown = Native.Ip.Msdp.Shutdown()
                self.shutdown.parent = self
                self._children_name_map["shutdown"] = "shutdown"
                self._children_yang_names.add("shutdown")

                self.ttl_threshold = Native.Ip.Msdp.TtlThreshold()
                self.ttl_threshold.parent = self
                self._children_name_map["ttl_threshold"] = "ttl-threshold"
                self._children_yang_names.add("ttl-threshold")

                self.vrf = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-multicast:msdp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Msdp, ['cache_rejected_sa', 'cache_sa_state', 'originator_id', 'rpf', 'timer'], name, value)

            class Rpf(Enum):
                """
                Rpf

                MSDP rpf

                .. data:: rfc3618 = 0

                """

                rfc3618 = Enum.YLeaf(0, "rfc3618")



            class Peer(Entity):
                """
                Configure an MSDP peer
                
                .. attribute:: addr
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: connect_source
                
                	Configure source address used for MSDP connection
                	**type**\: str
                
                .. attribute:: remote_as
                
                	Configured AS number
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Msdp.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "msdp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.addr = YLeaf(YType.str, "addr")

                    self.connect_source = YLeaf(YType.str, "connect-source")

                    self.remote_as = YLeaf(YType.uint16, "remote-as")
                    self._segment_path = lambda: "peer"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Msdp.Peer, ['addr', 'connect_source', 'remote_as'], name, value)


            class DefaultPeer(Entity):
                """
                Default MSDP peer to accept SA messages from
                
                .. attribute:: name_addr
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: prefix_list
                
                	Prefix list
                	**type**\: str
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Msdp.DefaultPeer, self).__init__()

                    self.yang_name = "default-peer"
                    self.yang_parent_name = "msdp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name_addr = YLeaf(YType.str, "name-addr")

                    self.prefix_list = YLeaf(YType.str, "prefix-list")
                    self._segment_path = lambda: "default-peer"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Msdp.DefaultPeer, ['name_addr', 'prefix_list'], name, value)


            class Description(Entity):
                """
                Peer specific description
                
                .. attribute:: name_addr
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: description
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Msdp.Description, self).__init__()

                    self.yang_name = "description"
                    self.yang_parent_name = "msdp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name_addr = YLeaf(YType.str, "name-addr")

                    self.description = YLeaf(YType.str, "description")
                    self._segment_path = lambda: "description"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Msdp.Description, ['name_addr', 'description'], name, value)


            class FilterSaRequest(Entity):
                """
                Filter SA\-Requests from peer
                
                .. attribute:: name_addr
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: list
                
                	Access\-list
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..99
                
                		**type**\: int
                
                			**range:** 1300..1999
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Msdp.FilterSaRequest, self).__init__()

                    self.yang_name = "filter-sa-request"
                    self.yang_parent_name = "msdp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name_addr = YLeaf(YType.str, "name-addr")

                    self.list = YLeaf(YType.str, "list")
                    self._segment_path = lambda: "filter-sa-request"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Msdp.FilterSaRequest, ['name_addr', 'list'], name, value)


            class Keepalive(Entity):
                """
                Configure keepalive parameters for a peer
                
                .. attribute:: name_addr
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: keepalive
                
                	Send keepalive period in seconds
                	**type**\: int
                
                	**range:** 1..60
                
                .. attribute:: max_wait
                
                	Maximum time in seconds to wait for a message
                	**type**\: int
                
                	**range:** 1..75
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Msdp.Keepalive, self).__init__()

                    self.yang_name = "keepalive"
                    self.yang_parent_name = "msdp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name_addr = YLeaf(YType.str, "name-addr")

                    self.keepalive = YLeaf(YType.uint8, "keepalive")

                    self.max_wait = YLeaf(YType.uint8, "max-wait")
                    self._segment_path = lambda: "keepalive"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Msdp.Keepalive, ['name_addr', 'keepalive', 'max_wait'], name, value)


            class MeshGroup(Entity):
                """
                Configure an MSDP mesh\-group
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: addr
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Msdp.MeshGroup, self).__init__()

                    self.yang_name = "mesh-group"
                    self.yang_parent_name = "msdp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.addr = YLeaf(YType.str, "addr")
                    self._segment_path = lambda: "mesh-group"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Msdp.MeshGroup, ['name', 'addr'], name, value)


            class Password(Entity):
                """
                Configure an MSDP password
                
                .. attribute:: peer
                
                	MSDP peer on which the password is to be set
                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Password.Peer>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Msdp.Password, self).__init__()

                    self.yang_name = "password"
                    self.yang_parent_name = "msdp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"peer" : ("peer", Native.Ip.Msdp.Password.Peer)}
                    self._child_list_classes = {}

                    self.peer = Native.Ip.Msdp.Password.Peer()
                    self.peer.parent = self
                    self._children_name_map["peer"] = "peer"
                    self._children_yang_names.add("peer")
                    self._segment_path = lambda: "password"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/%s" % self._segment_path()


                class Peer(Entity):
                    """
                    MSDP peer on which the password is to be set
                    
                    .. attribute:: addr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: password
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.Password.Peer, self).__init__()

                        self.yang_name = "peer"
                        self.yang_parent_name = "password"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.addr = YLeaf(YType.str, "addr")

                        self.encryption = YLeaf(YType.uint8, "encryption")

                        self.password = YLeaf(YType.str, "password")
                        self._segment_path = lambda: "peer"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/password/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Msdp.Password.Peer, ['addr', 'encryption', 'password'], name, value)


            class Redistribute(Entity):
                """
                Inject multicast route entries into MSDP
                
                .. attribute:: list
                
                	Access\-list
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 100..199
                
                		**type**\: int
                
                			**range:** 2000..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: asn
                
                	AS access\-list
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: route_map
                
                	Route\-map
                	**type**\: str
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Msdp.Redistribute, self).__init__()

                    self.yang_name = "redistribute"
                    self.yang_parent_name = "msdp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.list = YLeaf(YType.str, "list")

                    self.asn = YLeaf(YType.uint16, "asn")

                    self.route_map = YLeaf(YType.str, "route-map")
                    self._segment_path = lambda: "redistribute"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Msdp.Redistribute, ['list', 'asn', 'route_map'], name, value)


            class SaFilter(Entity):
                """
                Filter SA messages from peer
                
                .. attribute:: in_
                
                	Enable incoming SA filtering
                	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.SaFilter.In_>`
                
                .. attribute:: out
                
                	Enable outgoing SA filtering
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.SaFilter.Out>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Msdp.SaFilter, self).__init__()

                    self.yang_name = "sa-filter"
                    self.yang_parent_name = "msdp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"in" : ("in_", Native.Ip.Msdp.SaFilter.In_), "out" : ("out", Native.Ip.Msdp.SaFilter.Out)}
                    self._child_list_classes = {}

                    self.in_ = Native.Ip.Msdp.SaFilter.In_()
                    self.in_.parent = self
                    self._children_name_map["in_"] = "in"
                    self._children_yang_names.add("in")

                    self.out = Native.Ip.Msdp.SaFilter.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "sa-filter"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/%s" % self._segment_path()


                class In_(Entity):
                    """
                    Enable incoming SA filtering
                    
                    .. attribute:: addr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: list
                    
                    	Access list
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 100..199
                    
                    		**type**\: int
                    
                    			**range:** 2000..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: route_map
                    
                    	Route map
                    	**type**\: str
                    
                    .. attribute:: rp_list
                    
                    	Access\-list for originating RP
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: str
                    
                    .. attribute:: rp_route_map
                    
                    	Route map for originating RP
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.SaFilter.In_, self).__init__()

                        self.yang_name = "in"
                        self.yang_parent_name = "sa-filter"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.addr = YLeaf(YType.str, "addr")

                        self.list = YLeaf(YType.str, "list")

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.rp_list = YLeaf(YType.str, "rp-list")

                        self.rp_route_map = YLeaf(YType.str, "rp-route-map")
                        self._segment_path = lambda: "in"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/sa-filter/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Msdp.SaFilter.In_, ['addr', 'list', 'route_map', 'rp_list', 'rp_route_map'], name, value)


                class Out(Entity):
                    """
                    Enable outgoing SA filtering
                    
                    .. attribute:: addr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: list
                    
                    	Access list
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 100..199
                    
                    		**type**\: int
                    
                    			**range:** 2000..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: route_map
                    
                    	Route map
                    	**type**\: str
                    
                    .. attribute:: rp_list
                    
                    	Access\-list for originating RP
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: str
                    
                    .. attribute:: rp_route_map
                    
                    	Route map for originating RP
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.SaFilter.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "sa-filter"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.addr = YLeaf(YType.str, "addr")

                        self.list = YLeaf(YType.str, "list")

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.rp_list = YLeaf(YType.str, "rp-list")

                        self.rp_route_map = YLeaf(YType.str, "rp-route-map")
                        self._segment_path = lambda: "out"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/sa-filter/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Msdp.SaFilter.Out, ['addr', 'list', 'route_map', 'rp_list', 'rp_route_map'], name, value)


            class SaLimit(Entity):
                """
                Configure SA limit for a peer
                
                .. attribute:: name_addr
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: limit
                
                	Limit of SAs
                	**type**\: int
                
                	**range:** 1..2147483646
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Msdp.SaLimit, self).__init__()

                    self.yang_name = "sa-limit"
                    self.yang_parent_name = "msdp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name_addr = YLeaf(YType.str, "name-addr")

                    self.limit = YLeaf(YType.uint32, "limit")
                    self._segment_path = lambda: "sa-limit"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Msdp.SaLimit, ['name_addr', 'limit'], name, value)


            class Shutdown(Entity):
                """
                Administratively shutdown MSDP peer
                
                .. attribute:: name_addr
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Msdp.Shutdown, self).__init__()

                    self.yang_name = "shutdown"
                    self.yang_parent_name = "msdp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name_addr = YLeaf(YType.str, "name-addr")
                    self._segment_path = lambda: "shutdown"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Msdp.Shutdown, ['name_addr'], name, value)


            class TtlThreshold(Entity):
                """
                Configure TTL Threshold for MSDP Peer
                
                .. attribute:: name_addr
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: threshold
                
                	TTL Threshold Value
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Msdp.TtlThreshold, self).__init__()

                    self.yang_name = "ttl-threshold"
                    self.yang_parent_name = "msdp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name_addr = YLeaf(YType.str, "name-addr")

                    self.threshold = YLeaf(YType.uint8, "threshold")
                    self._segment_path = lambda: "ttl-threshold"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Msdp.TtlThreshold, ['name_addr', 'threshold'], name, value)


            class Vrf(Entity):
                """
                Select VPN Routing/Forwarding instance
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: peer
                
                	Configure an MSDP peer
                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Peer>`
                
                .. attribute:: cache_rejected_sa
                
                	Store rejected SAs from all peers
                	**type**\: int
                
                	**range:** 1..32766
                
                .. attribute:: cache_sa_state
                
                	Configure this system to cache SA state
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: default_peer
                
                	Default MSDP peer to accept SA messages from
                	**type**\:  :py:class:`DefaultPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.DefaultPeer>`
                
                .. attribute:: description
                
                	Peer specific description
                	**type**\:  :py:class:`Description <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Description>`
                
                .. attribute:: filter_sa_request
                
                	Filter SA\-Requests from peer
                	**type**\:  :py:class:`FilterSaRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.FilterSaRequest>`
                
                .. attribute:: keepalive
                
                	Configure keepalive parameters for a peer
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Keepalive>`
                
                .. attribute:: mesh_group
                
                	Configure an MSDP mesh\-group
                	**type**\:  :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.MeshGroup>`
                
                .. attribute:: originator_id
                
                	Configure MSDP Originator ID
                	**type**\: str
                
                .. attribute:: password
                
                	Configure an MSDP password
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Password>`
                
                .. attribute:: redistribute
                
                	Inject multicast route entries into MSDP
                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Redistribute>`
                
                .. attribute:: rpf
                
                	MSDP rpf
                	**type**\:  :py:class:`Rpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Rpf>`
                
                .. attribute:: sa_filter
                
                	Filter SA messages from peer
                	**type**\:  :py:class:`SaFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.SaFilter>`
                
                .. attribute:: sa_limit
                
                	Configure SA limit for a peer
                	**type**\:  :py:class:`SaLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.SaLimit>`
                
                .. attribute:: shutdown
                
                	Administratively shutdown MSDP peer
                	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Shutdown>`
                
                .. attribute:: timer
                
                	MSDP timer
                	**type**\: int
                
                	**range:** 1..60
                
                .. attribute:: ttl_threshold
                
                	Configure TTL Threshold for MSDP Peer
                	**type**\:  :py:class:`TtlThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.TtlThreshold>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.Msdp.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "msdp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"peer" : ("peer", Native.Ip.Msdp.Vrf.Peer), "default-peer" : ("default_peer", Native.Ip.Msdp.Vrf.DefaultPeer), "description" : ("description", Native.Ip.Msdp.Vrf.Description), "filter-sa-request" : ("filter_sa_request", Native.Ip.Msdp.Vrf.FilterSaRequest), "keepalive" : ("keepalive", Native.Ip.Msdp.Vrf.Keepalive), "mesh-group" : ("mesh_group", Native.Ip.Msdp.Vrf.MeshGroup), "password" : ("password", Native.Ip.Msdp.Vrf.Password), "redistribute" : ("redistribute", Native.Ip.Msdp.Vrf.Redistribute), "sa-filter" : ("sa_filter", Native.Ip.Msdp.Vrf.SaFilter), "sa-limit" : ("sa_limit", Native.Ip.Msdp.Vrf.SaLimit), "shutdown" : ("shutdown", Native.Ip.Msdp.Vrf.Shutdown), "ttl-threshold" : ("ttl_threshold", Native.Ip.Msdp.Vrf.TtlThreshold)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.cache_rejected_sa = YLeaf(YType.uint32, "cache-rejected-sa")

                    self.cache_sa_state = YLeaf(YType.empty, "cache-sa-state")

                    self.originator_id = YLeaf(YType.str, "originator-id")

                    self.rpf = YLeaf(YType.enumeration, "rpf")

                    self.timer = YLeaf(YType.uint8, "timer")

                    self.peer = Native.Ip.Msdp.Vrf.Peer()
                    self.peer.parent = self
                    self._children_name_map["peer"] = "peer"
                    self._children_yang_names.add("peer")

                    self.default_peer = Native.Ip.Msdp.Vrf.DefaultPeer()
                    self.default_peer.parent = self
                    self._children_name_map["default_peer"] = "default-peer"
                    self._children_yang_names.add("default-peer")

                    self.description = Native.Ip.Msdp.Vrf.Description()
                    self.description.parent = self
                    self._children_name_map["description"] = "description"
                    self._children_yang_names.add("description")

                    self.filter_sa_request = Native.Ip.Msdp.Vrf.FilterSaRequest()
                    self.filter_sa_request.parent = self
                    self._children_name_map["filter_sa_request"] = "filter-sa-request"
                    self._children_yang_names.add("filter-sa-request")

                    self.keepalive = Native.Ip.Msdp.Vrf.Keepalive()
                    self.keepalive.parent = self
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")

                    self.mesh_group = Native.Ip.Msdp.Vrf.MeshGroup()
                    self.mesh_group.parent = self
                    self._children_name_map["mesh_group"] = "mesh-group"
                    self._children_yang_names.add("mesh-group")

                    self.password = Native.Ip.Msdp.Vrf.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")

                    self.redistribute = Native.Ip.Msdp.Vrf.Redistribute()
                    self.redistribute.parent = self
                    self._children_name_map["redistribute"] = "redistribute"
                    self._children_yang_names.add("redistribute")

                    self.sa_filter = Native.Ip.Msdp.Vrf.SaFilter()
                    self.sa_filter.parent = self
                    self._children_name_map["sa_filter"] = "sa-filter"
                    self._children_yang_names.add("sa-filter")

                    self.sa_limit = Native.Ip.Msdp.Vrf.SaLimit()
                    self.sa_limit.parent = self
                    self._children_name_map["sa_limit"] = "sa-limit"
                    self._children_yang_names.add("sa-limit")

                    self.shutdown = Native.Ip.Msdp.Vrf.Shutdown()
                    self.shutdown.parent = self
                    self._children_name_map["shutdown"] = "shutdown"
                    self._children_yang_names.add("shutdown")

                    self.ttl_threshold = Native.Ip.Msdp.Vrf.TtlThreshold()
                    self.ttl_threshold.parent = self
                    self._children_name_map["ttl_threshold"] = "ttl-threshold"
                    self._children_yang_names.add("ttl-threshold")
                    self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:msdp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Msdp.Vrf, ['name', 'cache_rejected_sa', 'cache_sa_state', 'originator_id', 'rpf', 'timer'], name, value)

                class Rpf(Enum):
                    """
                    Rpf

                    MSDP rpf

                    .. data:: rfc3618 = 0

                    """

                    rfc3618 = Enum.YLeaf(0, "rfc3618")



                class Peer(Entity):
                    """
                    Configure an MSDP peer
                    
                    .. attribute:: addr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: connect_source
                    
                    	Configure source address used for MSDP connection
                    	**type**\: str
                    
                    .. attribute:: remote_as
                    
                    	Configured AS number
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.Vrf.Peer, self).__init__()

                        self.yang_name = "peer"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.addr = YLeaf(YType.str, "addr")

                        self.connect_source = YLeaf(YType.str, "connect-source")

                        self.remote_as = YLeaf(YType.uint16, "remote-as")
                        self._segment_path = lambda: "peer"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Msdp.Vrf.Peer, ['addr', 'connect_source', 'remote_as'], name, value)


                class DefaultPeer(Entity):
                    """
                    Default MSDP peer to accept SA messages from
                    
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: prefix_list
                    
                    	Prefix list
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.Vrf.DefaultPeer, self).__init__()

                        self.yang_name = "default-peer"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name_addr = YLeaf(YType.str, "name-addr")

                        self.prefix_list = YLeaf(YType.str, "prefix-list")
                        self._segment_path = lambda: "default-peer"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Msdp.Vrf.DefaultPeer, ['name_addr', 'prefix_list'], name, value)


                class Description(Entity):
                    """
                    Peer specific description
                    
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: description
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.Vrf.Description, self).__init__()

                        self.yang_name = "description"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name_addr = YLeaf(YType.str, "name-addr")

                        self.description = YLeaf(YType.str, "description")
                        self._segment_path = lambda: "description"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Msdp.Vrf.Description, ['name_addr', 'description'], name, value)


                class FilterSaRequest(Entity):
                    """
                    Filter SA\-Requests from peer
                    
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: list
                    
                    	Access\-list
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.Vrf.FilterSaRequest, self).__init__()

                        self.yang_name = "filter-sa-request"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name_addr = YLeaf(YType.str, "name-addr")

                        self.list = YLeaf(YType.str, "list")
                        self._segment_path = lambda: "filter-sa-request"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Msdp.Vrf.FilterSaRequest, ['name_addr', 'list'], name, value)


                class Keepalive(Entity):
                    """
                    Configure keepalive parameters for a peer
                    
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: keepalive
                    
                    	Send keepalive period in seconds
                    	**type**\: int
                    
                    	**range:** 1..60
                    
                    .. attribute:: max_wait
                    
                    	Maximum time in seconds to wait for a message
                    	**type**\: int
                    
                    	**range:** 1..75
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.Vrf.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name_addr = YLeaf(YType.str, "name-addr")

                        self.keepalive = YLeaf(YType.uint8, "keepalive")

                        self.max_wait = YLeaf(YType.uint8, "max-wait")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Msdp.Vrf.Keepalive, ['name_addr', 'keepalive', 'max_wait'], name, value)


                class MeshGroup(Entity):
                    """
                    Configure an MSDP mesh\-group
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: addr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.Vrf.MeshGroup, self).__init__()

                        self.yang_name = "mesh-group"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.addr = YLeaf(YType.str, "addr")
                        self._segment_path = lambda: "mesh-group"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Msdp.Vrf.MeshGroup, ['name', 'addr'], name, value)


                class Password(Entity):
                    """
                    Configure an MSDP password
                    
                    .. attribute:: peer
                    
                    	MSDP peer on which the password is to be set
                    	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.Password.Peer>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.Vrf.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"peer" : ("peer", Native.Ip.Msdp.Vrf.Password.Peer)}
                        self._child_list_classes = {}

                        self.peer = Native.Ip.Msdp.Vrf.Password.Peer()
                        self.peer.parent = self
                        self._children_name_map["peer"] = "peer"
                        self._children_yang_names.add("peer")
                        self._segment_path = lambda: "password"


                    class Peer(Entity):
                        """
                        MSDP peer on which the password is to be set
                        
                        .. attribute:: addr
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: password
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Ip.Msdp.Vrf.Password.Peer, self).__init__()

                            self.yang_name = "peer"
                            self.yang_parent_name = "password"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.addr = YLeaf(YType.str, "addr")

                            self.encryption = YLeaf(YType.uint8, "encryption")

                            self.password = YLeaf(YType.str, "password")
                            self._segment_path = lambda: "peer"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Msdp.Vrf.Password.Peer, ['addr', 'encryption', 'password'], name, value)


                class Redistribute(Entity):
                    """
                    Inject multicast route entries into MSDP
                    
                    .. attribute:: list
                    
                    	Access\-list
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 100..199
                    
                    		**type**\: int
                    
                    			**range:** 2000..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: asn
                    
                    	AS access\-list
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: route_map
                    
                    	Route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.Vrf.Redistribute, self).__init__()

                        self.yang_name = "redistribute"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.list = YLeaf(YType.str, "list")

                        self.asn = YLeaf(YType.uint16, "asn")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "redistribute"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Msdp.Vrf.Redistribute, ['list', 'asn', 'route_map'], name, value)


                class SaFilter(Entity):
                    """
                    Filter SA messages from peer
                    
                    .. attribute:: in_
                    
                    	Enable incoming SA filtering
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.SaFilter.In_>`
                    
                    .. attribute:: out
                    
                    	Enable outgoing SA filtering
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Msdp.Vrf.SaFilter.Out>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.Vrf.SaFilter, self).__init__()

                        self.yang_name = "sa-filter"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Ip.Msdp.Vrf.SaFilter.In_), "out" : ("out", Native.Ip.Msdp.Vrf.SaFilter.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Ip.Msdp.Vrf.SaFilter.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Ip.Msdp.Vrf.SaFilter.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "sa-filter"


                    class In_(Entity):
                        """
                        Enable incoming SA filtering
                        
                        .. attribute:: addr
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: list
                        
                        	Access list
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 100..199
                        
                        		**type**\: int
                        
                        			**range:** 2000..2699
                        
                        		**type**\: str
                        
                        			**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: route_map
                        
                        	Route map
                        	**type**\: str
                        
                        .. attribute:: rp_list
                        
                        	Access\-list for originating RP
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..99
                        
                        		**type**\: str
                        
                        .. attribute:: rp_route_map
                        
                        	Route map for originating RP
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Ip.Msdp.Vrf.SaFilter.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "sa-filter"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.addr = YLeaf(YType.str, "addr")

                            self.list = YLeaf(YType.str, "list")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.rp_list = YLeaf(YType.str, "rp-list")

                            self.rp_route_map = YLeaf(YType.str, "rp-route-map")
                            self._segment_path = lambda: "in"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Msdp.Vrf.SaFilter.In_, ['addr', 'list', 'route_map', 'rp_list', 'rp_route_map'], name, value)


                    class Out(Entity):
                        """
                        Enable outgoing SA filtering
                        
                        .. attribute:: addr
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: list
                        
                        	Access list
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 100..199
                        
                        		**type**\: int
                        
                        			**range:** 2000..2699
                        
                        		**type**\: str
                        
                        			**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: route_map
                        
                        	Route map
                        	**type**\: str
                        
                        .. attribute:: rp_list
                        
                        	Access\-list for originating RP
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..99
                        
                        		**type**\: str
                        
                        .. attribute:: rp_route_map
                        
                        	Route map for originating RP
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Ip.Msdp.Vrf.SaFilter.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "sa-filter"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.addr = YLeaf(YType.str, "addr")

                            self.list = YLeaf(YType.str, "list")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.rp_list = YLeaf(YType.str, "rp-list")

                            self.rp_route_map = YLeaf(YType.str, "rp-route-map")
                            self._segment_path = lambda: "out"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Msdp.Vrf.SaFilter.Out, ['addr', 'list', 'route_map', 'rp_list', 'rp_route_map'], name, value)


                class SaLimit(Entity):
                    """
                    Configure SA limit for a peer
                    
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: limit
                    
                    	Limit of SAs
                    	**type**\: int
                    
                    	**range:** 1..2147483646
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.Vrf.SaLimit, self).__init__()

                        self.yang_name = "sa-limit"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name_addr = YLeaf(YType.str, "name-addr")

                        self.limit = YLeaf(YType.uint32, "limit")
                        self._segment_path = lambda: "sa-limit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Msdp.Vrf.SaLimit, ['name_addr', 'limit'], name, value)


                class Shutdown(Entity):
                    """
                    Administratively shutdown MSDP peer
                    
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.Vrf.Shutdown, self).__init__()

                        self.yang_name = "shutdown"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name_addr = YLeaf(YType.str, "name-addr")
                        self._segment_path = lambda: "shutdown"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Msdp.Vrf.Shutdown, ['name_addr'], name, value)


                class TtlThreshold(Entity):
                    """
                    Configure TTL Threshold for MSDP Peer
                    
                    .. attribute:: name_addr
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: threshold
                    
                    	TTL Threshold Value
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ip.Msdp.Vrf.TtlThreshold, self).__init__()

                        self.yang_name = "ttl-threshold"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name_addr = YLeaf(YType.str, "name-addr")

                        self.threshold = YLeaf(YType.uint8, "threshold")
                        self._segment_path = lambda: "ttl-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Msdp.Vrf.TtlThreshold, ['name_addr', 'threshold'], name, value)


        class McrConf(Entity):
            """
            
            
            .. attribute:: multicast_routing
            
            	Enable IP multicast forwarding
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-mc'
            _revision = '2017-06-01'

            def __init__(self):
                super(Native.Ip.McrConf, self).__init__()

                self.yang_name = "mcr-conf"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.multicast_routing = YLeaf(YType.empty, "multicast-routing")
                self._segment_path = lambda: "Cisco-IOS-XE-multicast:mcr-conf"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.McrConf, ['multicast_routing'], name, value)


        class MulticastRouting(Entity):
            """
            Enable IP multicast forwarding
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.MulticastRouting.Vrf>`
            
            .. attribute:: distributed
            
            	Distributed multicast switching
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-mc'
            _revision = '2017-06-01'

            def __init__(self):
                super(Native.Ip.MulticastRouting, self).__init__()

                self.yang_name = "multicast-routing"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"vrf" : ("vrf", Native.Ip.MulticastRouting.Vrf)}
                self.is_presence_container = True

                self.distributed = YLeaf(YType.empty, "distributed")

                self.vrf = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-multicast:multicast-routing"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.MulticastRouting, ['distributed'], name, value)


            class Vrf(Entity):
                """
                Select VPN Routing/Forwarding instance
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: distributed
                
                	Distributed multicast switching
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ip.MulticastRouting.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "multicast-routing"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.distributed = YLeaf(YType.empty, "distributed")
                    self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-multicast:multicast-routing/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.MulticastRouting.Vrf, ['name', 'distributed'], name, value)


        class Mroute(Entity):
            """
            Configure static multicast routes
            
            .. attribute:: source_address
            
            	
            	**type**\: str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: subnet_mask
            
            	
            	**type**\: str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: tunnel
            
            	Tunnel interface
            	**type**\: int
            
            	**range:** 0..2147483647
            
            

            """

            _prefix = 'ios-mc'
            _revision = '2017-06-01'

            def __init__(self):
                super(Native.Ip.Mroute, self).__init__()

                self.yang_name = "mroute"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.source_address = YLeaf(YType.str, "source-address")

                self.subnet_mask = YLeaf(YType.str, "subnet-mask")

                self.tunnel = YLeaf(YType.int32, "Tunnel")
                self._segment_path = lambda: "Cisco-IOS-XE-multicast:mroute"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Mroute, ['source_address', 'subnet_mask', 'tunnel'], name, value)


        class Nat(Entity):
            """
            NAT configuration commands
            
            .. attribute:: pool
            
            	Define pool of addresses
            	**type**\: list of  		 :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Pool>`
            
            .. attribute:: inside
            
            	Inside address translation
            	**type**\:  :py:class:`Inside <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside>`
            
            .. attribute:: outside
            
            	Outside address translation
            	**type**\:  :py:class:`Outside <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Outside>`
            
            

            """

            _prefix = 'ios-nat'
            _revision = '2017-08-03'

            def __init__(self):
                super(Native.Ip.Nat, self).__init__()

                self.yang_name = "nat"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"inside" : ("inside", Native.Ip.Nat.Inside), "outside" : ("outside", Native.Ip.Nat.Outside)}
                self._child_list_classes = {"pool" : ("pool", Native.Ip.Nat.Pool)}

                self.inside = Native.Ip.Nat.Inside()
                self.inside.parent = self
                self._children_name_map["inside"] = "inside"
                self._children_yang_names.add("inside")

                self.outside = Native.Ip.Nat.Outside()
                self.outside.parent = self
                self._children_name_map["outside"] = "outside"
                self._children_yang_names.add("outside")

                self.pool = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-nat:nat"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Nat, [], name, value)


            class Pool(Entity):
                """
                Define pool of addresses
                
                .. attribute:: id  <key>
                
                	
                	**type**\: str
                
                .. attribute:: start_address
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: end_address
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: netmask
                
                	Specify the network mask
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: prefix_length
                
                	Specify the prefix length
                	**type**\: int
                
                	**range:** 1..32
                
                .. attribute:: accounting
                
                	Specify the accounting
                	**type**\: str
                
                .. attribute:: arp_ping
                
                	WLAN ARP Ping
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: type
                
                	Specify the pool type
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Pool.Type>`
                
                .. attribute:: add_route
                
                	Add special route to Virtual Interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-nat'
                _revision = '2017-08-03'

                def __init__(self):
                    super(Native.Ip.Nat.Pool, self).__init__()

                    self.yang_name = "pool"
                    self.yang_parent_name = "nat"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.start_address = YLeaf(YType.str, "start-address")

                    self.end_address = YLeaf(YType.str, "end-address")

                    self.netmask = YLeaf(YType.str, "netmask")

                    self.prefix_length = YLeaf(YType.uint8, "prefix-length")

                    self.accounting = YLeaf(YType.str, "accounting")

                    self.arp_ping = YLeaf(YType.empty, "arp-ping")

                    self.type = YLeaf(YType.enumeration, "type")

                    self.add_route = YLeaf(YType.empty, "add-route")
                    self._segment_path = lambda: "pool" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Nat.Pool, ['id', 'start_address', 'end_address', 'netmask', 'prefix_length', 'accounting', 'arp_ping', 'type', 'add_route'], name, value)

                class Type(Enum):
                    """
                    Type

                    Specify the pool type

                    .. data:: match_host = 0

                    .. data:: rotary = 1

                    """

                    match_host = Enum.YLeaf(0, "match-host")

                    rotary = Enum.YLeaf(1, "rotary")



            class Inside(Entity):
                """
                Inside address translation
                
                .. attribute:: source
                
                	Source address translation
                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source>`
                
                .. attribute:: destination
                
                	Destination address translation
                	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Destination>`
                
                

                """

                _prefix = 'ios-nat'
                _revision = '2017-08-03'

                def __init__(self):
                    super(Native.Ip.Nat.Inside, self).__init__()

                    self.yang_name = "inside"
                    self.yang_parent_name = "nat"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"source" : ("source", Native.Ip.Nat.Inside.Source), "destination" : ("destination", Native.Ip.Nat.Inside.Destination)}
                    self._child_list_classes = {}

                    self.source = Native.Ip.Nat.Inside.Source()
                    self.source.parent = self
                    self._children_name_map["source"] = "source"
                    self._children_yang_names.add("source")

                    self.destination = Native.Ip.Nat.Inside.Destination()
                    self.destination.parent = self
                    self._children_name_map["destination"] = "destination"
                    self._children_yang_names.add("destination")
                    self._segment_path = lambda: "inside"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/%s" % self._segment_path()


                class Source(Entity):
                    """
                    Source address translation
                    
                    .. attribute:: list
                    
                    	Specify access list describing local addresses
                    	**type**\: list of  		 :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.List>`
                    
                    .. attribute:: route_map
                    
                    	Specify route\-map
                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap>`
                    
                    .. attribute:: static
                    
                    	Specify static local\->global mapping
                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-08-03'

                    def __init__(self):
                        super(Native.Ip.Nat.Inside.Source, self).__init__()

                        self.yang_name = "source"
                        self.yang_parent_name = "inside"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"static" : ("static", Native.Ip.Nat.Inside.Source.Static)}
                        self._child_list_classes = {"list" : ("list", Native.Ip.Nat.Inside.Source.List), "route-map" : ("route_map", Native.Ip.Nat.Inside.Source.RouteMap)}

                        self.static = Native.Ip.Nat.Inside.Source.Static()
                        self.static.parent = self
                        self._children_name_map["static"] = "static"
                        self._children_yang_names.add("static")

                        self.list = YList(self)
                        self.route_map = YList(self)
                        self._segment_path = lambda: "source"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/inside/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Nat.Inside.Source, [], name, value)


                    class List(Entity):
                        """
                        Specify access list describing local addresses
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..2699
                        
                        		**type**\: str
                        
                        .. attribute:: pool
                        
                        	Name pool of global addresses
                        	**type**\: str
                        
                        .. attribute:: redundancy
                        
                        	NAT redundancy operation
                        	**type**\: int
                        
                        	**range:** 1..2
                        
                        .. attribute:: mapping_id
                        
                        	Associate a mapping id to this mapping
                        	**type**\: int
                        
                        	**range:** 1..2147483647
                        
                        .. attribute:: interface
                        
                        	Specify interface for global address
                        	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.List.Interface>`
                        
                        .. attribute:: no_payload
                        
                        	No translation of embedded address/port in the payload
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: reversible
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	Specify vrf
                        	**type**\: str
                        
                        .. attribute:: match_in_vrf
                        
                        	Match incoming vrf
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: overload
                        
                        	Overload an address translation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: oer
                        
                        	Use with vtemplate only. On new translation, if OER BR is UP, OER will select IP from outgoing Interface. All packets matching translation are forwarded over Interface for duration of translation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nat'
                        _revision = '2017-08-03'

                        def __init__(self):
                            super(Native.Ip.Nat.Inside.Source.List, self).__init__()

                            self.yang_name = "list"
                            self.yang_parent_name = "source"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"interface" : ("interface", Native.Ip.Nat.Inside.Source.List.Interface)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.pool = YLeaf(YType.str, "pool")

                            self.redundancy = YLeaf(YType.uint8, "redundancy")

                            self.mapping_id = YLeaf(YType.uint32, "mapping-id")

                            self.no_payload = YLeaf(YType.empty, "no-payload")

                            self.reversible = YLeaf(YType.empty, "reversible")

                            self.vrf = YLeaf(YType.str, "vrf")

                            self.match_in_vrf = YLeaf(YType.empty, "match-in-vrf")

                            self.overload = YLeaf(YType.empty, "overload")

                            self.oer = YLeaf(YType.empty, "oer")

                            self.interface = Native.Ip.Nat.Inside.Source.List.Interface()
                            self.interface.parent = self
                            self._children_name_map["interface"] = "interface"
                            self._children_yang_names.add("interface")
                            self._segment_path = lambda: "list" + "[id='" + self.id.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/inside/source/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Nat.Inside.Source.List, ['id', 'pool', 'redundancy', 'mapping_id', 'no_payload', 'reversible', 'vrf', 'match_in_vrf', 'overload', 'oer'], name, value)


                        class Interface(Entity):
                            """
                            Specify interface for global address
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.List.Interface.ATMSubinterface>`
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\: str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.List.Interface.ATMACRsubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\: str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\: str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\: str
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.List.Interface.LISPSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.List.Interface.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\: str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\: str
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\: str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-08-03'

                            def __init__(self):
                                super(Native.Ip.Nat.Inside.Source.List.Interface, self).__init__()

                                self.yang_name = "interface"
                                self.yang_parent_name = "list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Ip.Nat.Inside.Source.List.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Ip.Nat.Inside.Source.List.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Ip.Nat.Inside.Source.List.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Ip.Nat.Inside.Source.List.Interface.PortChannelSubinterface)}
                                self._child_list_classes = {}

                                self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                self.atm = YLeaf(YType.str, "ATM")

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                self.bdi = YLeaf(YType.str, "BDI")

                                self.cem = YLeaf(YType.str, "CEM")

                                self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.lisp = YLeaf(YType.str, "LISP")

                                self.loopback = YLeaf(YType.uint32, "Loopback")

                                self.multilink = YLeaf(YType.uint16, "Multilink")

                                self.nve = YLeaf(YType.uint16, "nve")

                                self.overlay = YLeaf(YType.uint16, "overlay")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                self.sm = YLeaf(YType.str, "SM")

                                self.cellular = YLeaf(YType.str, "Cellular")

                                self.serial = YLeaf(YType.str, "Serial")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                self.vlan = YLeaf(YType.uint16, "Vlan")

                                self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                self.vasileft = YLeaf(YType.uint16, "vasileft")

                                self.vasiright = YLeaf(YType.uint16, "vasiright")

                                self.atm_subinterface = Native.Ip.Nat.Inside.Source.List.Interface.ATMSubinterface()
                                self.atm_subinterface.parent = self
                                self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                self._children_yang_names.add("ATM-subinterface")

                                self.atm_acrsubinterface = Native.Ip.Nat.Inside.Source.List.Interface.ATMACRsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                self._children_yang_names.add("ATM-ACRsubinterface")

                                self.lisp_subinterface = Native.Ip.Nat.Inside.Source.List.Interface.LISPSubinterface()
                                self.lisp_subinterface.parent = self
                                self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                self._children_yang_names.add("LISP-subinterface")

                                self.port_channel_subinterface = Native.Ip.Nat.Inside.Source.List.Interface.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                self._children_yang_names.add("Port-channel-subinterface")
                                self._segment_path = lambda: "interface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Nat.Inside.Source.List.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                            class ATMSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-08-03'

                                def __init__(self):
                                    super(Native.Ip.Nat.Inside.Source.List.Interface.ATMSubinterface, self).__init__()

                                    self.yang_name = "ATM-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm = YLeaf(YType.str, "ATM")
                                    self._segment_path = lambda: "ATM-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Nat.Inside.Source.List.Interface.ATMSubinterface, ['atm'], name, value)


                            class ATMACRsubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-08-03'

                                def __init__(self):
                                    super(Native.Ip.Nat.Inside.Source.List.Interface.ATMACRsubinterface, self).__init__()

                                    self.yang_name = "ATM-ACRsubinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                    self._segment_path = lambda: "ATM-ACRsubinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Nat.Inside.Source.List.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                            class LISPSubinterface(Entity):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-08-03'

                                def __init__(self):
                                    super(Native.Ip.Nat.Inside.Source.List.Interface.LISPSubinterface, self).__init__()

                                    self.yang_name = "LISP-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.lisp = YLeaf(YType.str, "LISP")
                                    self._segment_path = lambda: "LISP-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Nat.Inside.Source.List.Interface.LISPSubinterface, ['lisp'], name, value)


                            class PortChannelSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-08-03'

                                def __init__(self):
                                    super(Native.Ip.Nat.Inside.Source.List.Interface.PortChannelSubinterface, self).__init__()

                                    self.yang_name = "Port-channel-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port_channel = YLeaf(YType.str, "Port-channel")
                                    self._segment_path = lambda: "Port-channel-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Nat.Inside.Source.List.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                    class RouteMap(Entity):
                        """
                        Specify route\-map
                        
                        .. attribute:: route_map_name  <key>
                        
                        	Route\-map name
                        	**type**\: str
                        
                        .. attribute:: pool
                        
                        	Name pool of global addresses
                        	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Pool>`
                        
                        .. attribute:: interface
                        
                        	Specify interface for global address
                        	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Interface>`
                        
                        .. attribute:: oer
                        
                        	Use with vtemplate only.  On new translation, if OER BR is UP, OER will select IP from outgoing Interface. All packets matching translation are forwarded over Interface for duration of translation
                        	**type**\:  :py:class:`Oer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Oer>`
                        
                        .. attribute:: overload
                        
                        	Overload an address translation
                        	**type**\:  :py:class:`Overload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Overload>`
                        
                        .. attribute:: vrf
                        
                        	Specify vrf
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-nat'
                        _revision = '2017-08-03'

                        def __init__(self):
                            super(Native.Ip.Nat.Inside.Source.RouteMap, self).__init__()

                            self.yang_name = "route-map"
                            self.yang_parent_name = "source"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pool" : ("pool", Native.Ip.Nat.Inside.Source.RouteMap.Pool), "interface" : ("interface", Native.Ip.Nat.Inside.Source.RouteMap.Interface), "oer" : ("oer", Native.Ip.Nat.Inside.Source.RouteMap.Oer), "overload" : ("overload", Native.Ip.Nat.Inside.Source.RouteMap.Overload)}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Ip.Nat.Inside.Source.RouteMap.Vrf)}

                            self.route_map_name = YLeaf(YType.str, "route-map-name")

                            self.pool = Native.Ip.Nat.Inside.Source.RouteMap.Pool()
                            self.pool.parent = self
                            self._children_name_map["pool"] = "pool"
                            self._children_yang_names.add("pool")

                            self.interface = Native.Ip.Nat.Inside.Source.RouteMap.Interface()
                            self.interface.parent = self
                            self._children_name_map["interface"] = "interface"
                            self._children_yang_names.add("interface")

                            self.oer = Native.Ip.Nat.Inside.Source.RouteMap.Oer()
                            self.oer.parent = self
                            self._children_name_map["oer"] = "oer"
                            self._children_yang_names.add("oer")

                            self.overload = Native.Ip.Nat.Inside.Source.RouteMap.Overload()
                            self.overload.parent = self
                            self._children_name_map["overload"] = "overload"
                            self._children_yang_names.add("overload")

                            self.vrf = YList(self)
                            self._segment_path = lambda: "route-map" + "[route-map-name='" + self.route_map_name.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/inside/source/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Nat.Inside.Source.RouteMap, ['route_map_name'], name, value)


                        class Pool(Entity):
                            """
                            Name pool of global addresses
                            
                            .. attribute:: pool_name
                            
                            	Pool name for global addresses
                            	**type**\: str
                            
                            .. attribute:: vrf
                            
                            	Specify vrf
                            	**type**\: str
                            
                            .. attribute:: match_in_vrf
                            
                            	Match incoming vrf
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-08-03'

                            def __init__(self):
                                super(Native.Ip.Nat.Inside.Source.RouteMap.Pool, self).__init__()

                                self.yang_name = "pool"
                                self.yang_parent_name = "route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.pool_name = YLeaf(YType.str, "pool-name")

                                self.vrf = YLeaf(YType.str, "vrf")

                                self.match_in_vrf = YLeaf(YType.empty, "match-in-vrf")
                                self._segment_path = lambda: "pool"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Nat.Inside.Source.RouteMap.Pool, ['pool_name', 'vrf', 'match_in_vrf'], name, value)


                        class Interface(Entity):
                            """
                            Specify interface for global address
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Interface.ATMSubinterface>`
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\: str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Interface.ATMACRsubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\: str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\: str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\: str
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Interface.LISPSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Interface.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\: str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\: str
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\: str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-08-03'

                            def __init__(self):
                                super(Native.Ip.Nat.Inside.Source.RouteMap.Interface, self).__init__()

                                self.yang_name = "interface"
                                self.yang_parent_name = "route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Ip.Nat.Inside.Source.RouteMap.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Ip.Nat.Inside.Source.RouteMap.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Ip.Nat.Inside.Source.RouteMap.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Ip.Nat.Inside.Source.RouteMap.Interface.PortChannelSubinterface)}
                                self._child_list_classes = {}

                                self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                self.atm = YLeaf(YType.str, "ATM")

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                self.bdi = YLeaf(YType.str, "BDI")

                                self.cem = YLeaf(YType.str, "CEM")

                                self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.lisp = YLeaf(YType.str, "LISP")

                                self.loopback = YLeaf(YType.uint32, "Loopback")

                                self.multilink = YLeaf(YType.uint16, "Multilink")

                                self.nve = YLeaf(YType.uint16, "nve")

                                self.overlay = YLeaf(YType.uint16, "overlay")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                self.sm = YLeaf(YType.str, "SM")

                                self.cellular = YLeaf(YType.str, "Cellular")

                                self.serial = YLeaf(YType.str, "Serial")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                self.vlan = YLeaf(YType.uint16, "Vlan")

                                self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                self.vasileft = YLeaf(YType.uint16, "vasileft")

                                self.vasiright = YLeaf(YType.uint16, "vasiright")

                                self.atm_subinterface = Native.Ip.Nat.Inside.Source.RouteMap.Interface.ATMSubinterface()
                                self.atm_subinterface.parent = self
                                self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                self._children_yang_names.add("ATM-subinterface")

                                self.atm_acrsubinterface = Native.Ip.Nat.Inside.Source.RouteMap.Interface.ATMACRsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                self._children_yang_names.add("ATM-ACRsubinterface")

                                self.lisp_subinterface = Native.Ip.Nat.Inside.Source.RouteMap.Interface.LISPSubinterface()
                                self.lisp_subinterface.parent = self
                                self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                self._children_yang_names.add("LISP-subinterface")

                                self.port_channel_subinterface = Native.Ip.Nat.Inside.Source.RouteMap.Interface.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                self._children_yang_names.add("Port-channel-subinterface")
                                self._segment_path = lambda: "interface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Nat.Inside.Source.RouteMap.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                            class ATMSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-08-03'

                                def __init__(self):
                                    super(Native.Ip.Nat.Inside.Source.RouteMap.Interface.ATMSubinterface, self).__init__()

                                    self.yang_name = "ATM-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm = YLeaf(YType.str, "ATM")
                                    self._segment_path = lambda: "ATM-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Nat.Inside.Source.RouteMap.Interface.ATMSubinterface, ['atm'], name, value)


                            class ATMACRsubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-08-03'

                                def __init__(self):
                                    super(Native.Ip.Nat.Inside.Source.RouteMap.Interface.ATMACRsubinterface, self).__init__()

                                    self.yang_name = "ATM-ACRsubinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                    self._segment_path = lambda: "ATM-ACRsubinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Nat.Inside.Source.RouteMap.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                            class LISPSubinterface(Entity):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-08-03'

                                def __init__(self):
                                    super(Native.Ip.Nat.Inside.Source.RouteMap.Interface.LISPSubinterface, self).__init__()

                                    self.yang_name = "LISP-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.lisp = YLeaf(YType.str, "LISP")
                                    self._segment_path = lambda: "LISP-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Nat.Inside.Source.RouteMap.Interface.LISPSubinterface, ['lisp'], name, value)


                            class PortChannelSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-08-03'

                                def __init__(self):
                                    super(Native.Ip.Nat.Inside.Source.RouteMap.Interface.PortChannelSubinterface, self).__init__()

                                    self.yang_name = "Port-channel-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port_channel = YLeaf(YType.str, "Port-channel")
                                    self._segment_path = lambda: "Port-channel-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Nat.Inside.Source.RouteMap.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                        class Oer(Entity):
                            """
                            Use with vtemplate only.  On new translation,
                            if OER BR is UP, OER will select IP from outgoing Interface.
                            All packets matching translation are forwarded over
                            Interface for duration of translation.
                            
                            .. attribute:: overload
                            
                            	Overload an address translation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: extended
                            
                            	Overload extended
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-08-03'

                            def __init__(self):
                                super(Native.Ip.Nat.Inside.Source.RouteMap.Oer, self).__init__()

                                self.yang_name = "oer"
                                self.yang_parent_name = "route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.overload = YLeaf(YType.empty, "overload")

                                self.extended = YLeaf(YType.empty, "extended")
                                self._segment_path = lambda: "oer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Nat.Inside.Source.RouteMap.Oer, ['overload', 'extended'], name, value)


                        class Overload(Entity):
                            """
                            Overload an address translation
                            
                            .. attribute:: extended
                            
                            	Overload extended
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: oer
                            
                            	Use with vtemplate only.  On new translation, if OER BR is UP, OER will select IP from outgoing Interface.  All packets matching translation are forwarded over Interface for duration of translation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-08-03'

                            def __init__(self):
                                super(Native.Ip.Nat.Inside.Source.RouteMap.Overload, self).__init__()

                                self.yang_name = "overload"
                                self.yang_parent_name = "route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.extended = YLeaf(YType.empty, "extended")

                                self.oer = YLeaf(YType.empty, "oer")
                                self._segment_path = lambda: "overload"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Nat.Inside.Source.RouteMap.Overload, ['extended', 'oer'], name, value)


                        class Vrf(Entity):
                            """
                            Specify vrf
                            
                            .. attribute:: vrf_name  <key>
                            
                            	vrf name
                            	**type**\: str
                            
                            .. attribute:: oer
                            
                            	Use with vtemplate only.  On new translation, if OER BR is UP, OER will select IP from outgoing Interface.  All packets matching translation are forwarded over Interface for duration of translation
                            	**type**\:  :py:class:`Oer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Oer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: overload
                            
                            	Overload an address translation
                            	**type**\:  :py:class:`Overload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Overload>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-08-03'

                            def __init__(self):
                                super(Native.Ip.Nat.Inside.Source.RouteMap.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"oer" : ("oer", Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Oer), "overload" : ("overload", Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Overload)}
                                self._child_list_classes = {}

                                self.vrf_name = YLeaf(YType.str, "vrf-name")

                                self.oer = None
                                self._children_name_map["oer"] = "oer"
                                self._children_yang_names.add("oer")

                                self.overload = None
                                self._children_name_map["overload"] = "overload"
                                self._children_yang_names.add("overload")
                                self._segment_path = lambda: "vrf" + "[vrf-name='" + self.vrf_name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Nat.Inside.Source.RouteMap.Vrf, ['vrf_name'], name, value)


                            class Oer(Entity):
                                """
                                Use with vtemplate only.  On new translation,
                                if OER BR is UP, OER will select IP from outgoing
                                Interface.  All packets matching translation are
                                forwarded over Interface for duration of translation.
                                
                                .. attribute:: overload
                                
                                	Overload an address translation
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-08-03'

                                def __init__(self):
                                    super(Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Oer, self).__init__()

                                    self.yang_name = "oer"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.overload = YLeaf(YType.empty, "overload")
                                    self._segment_path = lambda: "oer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Oer, ['overload'], name, value)


                            class Overload(Entity):
                                """
                                Overload an address translation
                                
                                .. attribute:: oer
                                
                                	Use with vtemplate only.  On new translation, if OER BR is UP, OER will select IP from outgoing Interface.  All packets matching translation are forwarded over Interface for duration of translation
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-08-03'

                                def __init__(self):
                                    super(Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Overload, self).__init__()

                                    self.yang_name = "overload"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.oer = YLeaf(YType.empty, "oer")
                                    self._segment_path = lambda: "overload"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Nat.Inside.Source.RouteMap.Vrf.Overload, ['oer'], name, value)


                    class Static(Entity):
                        """
                        Specify static local\->global mapping
                        
                        .. attribute:: nat_static_transport_list
                        
                        	
                        	**type**\: list of  		 :py:class:`NatStaticTransportList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList>`
                        
                        .. attribute:: nat_static_transport_interface_list
                        
                        	
                        	**type**\: list of  		 :py:class:`NatStaticTransportInterfaceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList>`
                        
                        

                        """

                        _prefix = 'ios-nat'
                        _revision = '2017-08-03'

                        def __init__(self):
                            super(Native.Ip.Nat.Inside.Source.Static, self).__init__()

                            self.yang_name = "static"
                            self.yang_parent_name = "source"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"nat-static-transport-list" : ("nat_static_transport_list", Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList), "nat-static-transport-interface-list" : ("nat_static_transport_interface_list", Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList)}

                            self.nat_static_transport_list = YList(self)
                            self.nat_static_transport_interface_list = YList(self)
                            self._segment_path = lambda: "static"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/inside/source/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Nat.Inside.Source.Static, [], name, value)


                        class NatStaticTransportList(Entity):
                            """
                            
                            
                            .. attribute:: local_ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: global_ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: proto
                            
                            	
                            	**type**\:  :py:class:`Proto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList.Proto>`
                            
                            .. attribute:: network
                            
                            	Subnet translation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: local_port
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: global_port
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: vrf
                            
                            	Specify vrf
                            	**type**\: str
                            
                            .. attribute:: extendable
                            
                            	Extend this translation when used
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: no_alias
                            
                            	Do not create an alias for the global address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: no_payload
                            
                            	No translation of embedded address/port in the payload
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Specify route\-map
                            	**type**\: str
                            
                            .. attribute:: reversible
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redundancy
                            
                            	NAT redundancy operation
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..255
                            
                            		**type**\: str
                            
                            .. attribute:: mapping_id
                            
                            	Associate a mapping id to this mapping
                            	**type**\: int
                            
                            	**range:** 1..2147483647
                            
                            .. attribute:: match_in_vrf
                            
                            	Match incoming vrf
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: forced
                            
                            	Delete this entry and its children, even if in use
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: overload
                            
                            	Overload an address translation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-08-03'

                            def __init__(self):
                                super(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList, self).__init__()

                                self.yang_name = "nat-static-transport-list"
                                self.yang_parent_name = "static"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.local_ip = YLeaf(YType.str, "local-ip")

                                self.global_ip = YLeaf(YType.str, "global-ip")

                                self.proto = YLeaf(YType.enumeration, "proto")

                                self.network = YLeaf(YType.empty, "network")

                                self.local_port = YLeaf(YType.uint16, "local-port")

                                self.mask = YLeaf(YType.str, "mask")

                                self.global_port = YLeaf(YType.uint16, "global-port")

                                self.vrf = YLeaf(YType.str, "vrf")

                                self.extendable = YLeaf(YType.empty, "extendable")

                                self.no_alias = YLeaf(YType.empty, "no-alias")

                                self.no_payload = YLeaf(YType.empty, "no-payload")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.reversible = YLeaf(YType.empty, "reversible")

                                self.redundancy = YLeaf(YType.str, "redundancy")

                                self.mapping_id = YLeaf(YType.uint32, "mapping-id")

                                self.match_in_vrf = YLeaf(YType.empty, "match-in-vrf")

                                self.forced = YLeaf(YType.empty, "forced")

                                self.overload = YLeaf(YType.empty, "overload")
                                self._segment_path = lambda: "nat-static-transport-list" + "[local-ip='" + self.local_ip.get() + "']" + "[global-ip='" + self.global_ip.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/inside/source/static/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportList, ['local_ip', 'global_ip', 'proto', 'network', 'local_port', 'mask', 'global_port', 'vrf', 'extendable', 'no_alias', 'no_payload', 'route_map', 'reversible', 'redundancy', 'mapping_id', 'match_in_vrf', 'forced', 'overload'], name, value)

                            class Proto(Enum):
                                """
                                Proto

                                .. data:: tcp = 0

                                .. data:: udp = 1

                                """

                                tcp = Enum.YLeaf(0, "tcp")

                                udp = Enum.YLeaf(1, "udp")



                        class NatStaticTransportInterfaceList(Entity):
                            """
                            
                            
                            .. attribute:: proto  <key>
                            
                            	
                            	**type**\:  :py:class:`Proto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Proto>`
                            
                            .. attribute:: local_ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: local_port  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: interface
                            
                            	Specify interface for global address
                            	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface>`
                            
                            .. attribute:: global_port
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-08-03'

                            def __init__(self):
                                super(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList, self).__init__()

                                self.yang_name = "nat-static-transport-interface-list"
                                self.yang_parent_name = "static"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"interface" : ("interface", Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface)}
                                self._child_list_classes = {}

                                self.proto = YLeaf(YType.enumeration, "proto")

                                self.local_ip = YLeaf(YType.str, "local-ip")

                                self.local_port = YLeaf(YType.uint16, "local-port")

                                self.global_port = YLeaf(YType.uint16, "global-port")

                                self.interface = Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface()
                                self.interface.parent = self
                                self._children_name_map["interface"] = "interface"
                                self._children_yang_names.add("interface")
                                self._segment_path = lambda: "nat-static-transport-interface-list" + "[proto='" + self.proto.get() + "']" + "[local-ip='" + self.local_ip.get() + "']" + "[local-port='" + self.local_port.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/inside/source/static/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList, ['proto', 'local_ip', 'local_port', 'global_port'], name, value)

                            class Proto(Enum):
                                """
                                Proto

                                .. data:: tcp = 0

                                .. data:: udp = 1

                                """

                                tcp = Enum.YLeaf(0, "tcp")

                                udp = Enum.YLeaf(1, "udp")



                            class Interface(Entity):
                                """
                                Specify interface for global address
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-nat'
                                _revision = '2017-08-03'

                                def __init__(self):
                                    super(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface, self).__init__()

                                    self.yang_name = "interface"
                                    self.yang_parent_name = "nat-static-transport-interface-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "interface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-nat'
                                    _revision = '2017-08-03'

                                    def __init__(self):
                                        super(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-nat'
                                    _revision = '2017-08-03'

                                    def __init__(self):
                                        super(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-nat'
                                    _revision = '2017-08-03'

                                    def __init__(self):
                                        super(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-nat'
                                    _revision = '2017-08-03'

                                    def __init__(self):
                                        super(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ip.Nat.Inside.Source.Static.NatStaticTransportInterfaceList.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Destination(Entity):
                    """
                    Destination address translation
                    
                    .. attribute:: list
                    
                    	Specify access list describing global addresses
                    	**type**\: list of  		 :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Inside.Destination.List>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-08-03'

                    def __init__(self):
                        super(Native.Ip.Nat.Inside.Destination, self).__init__()

                        self.yang_name = "destination"
                        self.yang_parent_name = "inside"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"list" : ("list", Native.Ip.Nat.Inside.Destination.List)}

                        self.list = YList(self)
                        self._segment_path = lambda: "destination"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/inside/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Nat.Inside.Destination, [], name, value)


                    class List(Entity):
                        """
                        Specify access list describing global addresses
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..2699
                        
                        		**type**\: str
                        
                        .. attribute:: pool
                        
                        	Name pool of local addresses
                        	**type**\: str
                        
                        .. attribute:: redundancy
                        
                        	NAT redundancy operation
                        	**type**\: int
                        
                        	**range:** 1..2
                        
                        .. attribute:: mapping_id
                        
                        	Associate a mapping id to this mapping
                        	**type**\: int
                        
                        	**range:** 1..2147483647
                        
                        

                        """

                        _prefix = 'ios-nat'
                        _revision = '2017-08-03'

                        def __init__(self):
                            super(Native.Ip.Nat.Inside.Destination.List, self).__init__()

                            self.yang_name = "list"
                            self.yang_parent_name = "destination"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.pool = YLeaf(YType.str, "pool")

                            self.redundancy = YLeaf(YType.uint8, "redundancy")

                            self.mapping_id = YLeaf(YType.uint32, "mapping-id")
                            self._segment_path = lambda: "list" + "[id='" + self.id.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/inside/destination/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Nat.Inside.Destination.List, ['id', 'pool', 'redundancy', 'mapping_id'], name, value)


            class Outside(Entity):
                """
                Outside address translation
                
                .. attribute:: source
                
                	Source address translation
                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Outside.Source>`
                
                .. attribute:: list
                
                	Specify access list describing global addresses
                	**type**\: list of  		 :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Outside.List>`
                
                .. attribute:: route_map
                
                	Specify route\-map
                	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Outside.RouteMap>`
                
                

                """

                _prefix = 'ios-nat'
                _revision = '2017-08-03'

                def __init__(self):
                    super(Native.Ip.Nat.Outside, self).__init__()

                    self.yang_name = "outside"
                    self.yang_parent_name = "nat"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"source" : ("source", Native.Ip.Nat.Outside.Source)}
                    self._child_list_classes = {"list" : ("list", Native.Ip.Nat.Outside.List), "route-map" : ("route_map", Native.Ip.Nat.Outside.RouteMap)}

                    self.source = Native.Ip.Nat.Outside.Source()
                    self.source.parent = self
                    self._children_name_map["source"] = "source"
                    self._children_yang_names.add("source")

                    self.list = YList(self)
                    self.route_map = YList(self)
                    self._segment_path = lambda: "outside"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Nat.Outside, [], name, value)


                class Source(Entity):
                    """
                    Source address translation
                    
                    .. attribute:: static
                    
                    	Specify static global\->local mapping
                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Outside.Source.Static>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-08-03'

                    def __init__(self):
                        super(Native.Ip.Nat.Outside.Source, self).__init__()

                        self.yang_name = "source"
                        self.yang_parent_name = "outside"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"static" : ("static", Native.Ip.Nat.Outside.Source.Static)}
                        self._child_list_classes = {}

                        self.static = Native.Ip.Nat.Outside.Source.Static()
                        self.static.parent = self
                        self._children_name_map["static"] = "static"
                        self._children_yang_names.add("static")
                        self._segment_path = lambda: "source"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/outside/%s" % self._segment_path()


                    class Static(Entity):
                        """
                        Specify static global\->local mapping
                        
                        .. attribute:: nat_static_transport_list
                        
                        	
                        	**type**\: list of  		 :py:class:`NatStaticTransportList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nat.Outside.Source.Static.NatStaticTransportList>`
                        
                        

                        """

                        _prefix = 'ios-nat'
                        _revision = '2017-08-03'

                        def __init__(self):
                            super(Native.Ip.Nat.Outside.Source.Static, self).__init__()

                            self.yang_name = "static"
                            self.yang_parent_name = "source"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"nat-static-transport-list" : ("nat_static_transport_list", Native.Ip.Nat.Outside.Source.Static.NatStaticTransportList)}

                            self.nat_static_transport_list = YList(self)
                            self._segment_path = lambda: "static"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/outside/source/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Nat.Outside.Source.Static, [], name, value)


                        class NatStaticTransportList(Entity):
                            """
                            
                            
                            .. attribute:: global_ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: local_ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vrf
                            
                            	Specify vrf
                            	**type**\: str
                            
                            .. attribute:: extendable
                            
                            	Extend this translation when used
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: no_payload
                            
                            	No translation of embedded address/port in the payload
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-nat'
                            _revision = '2017-08-03'

                            def __init__(self):
                                super(Native.Ip.Nat.Outside.Source.Static.NatStaticTransportList, self).__init__()

                                self.yang_name = "nat-static-transport-list"
                                self.yang_parent_name = "static"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.global_ip = YLeaf(YType.str, "global-ip")

                                self.local_ip = YLeaf(YType.str, "local-ip")

                                self.vrf = YLeaf(YType.str, "vrf")

                                self.extendable = YLeaf(YType.empty, "extendable")

                                self.no_payload = YLeaf(YType.empty, "no-payload")
                                self._segment_path = lambda: "nat-static-transport-list" + "[global-ip='" + self.global_ip.get() + "']" + "[local-ip='" + self.local_ip.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/outside/source/static/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Nat.Outside.Source.Static.NatStaticTransportList, ['global_ip', 'local_ip', 'vrf', 'extendable', 'no_payload'], name, value)


                class List(Entity):
                    """
                    Specify access list describing global addresses
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..2699
                    
                    		**type**\: str
                    
                    .. attribute:: pool
                    
                    	Name pool of local addresses
                    	**type**\: str
                    
                    .. attribute:: mapping_id
                    
                    	Associate a mapping id to this mapping
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: vrf
                    
                    	Specify vrf
                    	**type**\: str
                    
                    .. attribute:: add_route
                    
                    	Add a static route for outside local address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-08-03'

                    def __init__(self):
                        super(Native.Ip.Nat.Outside.List, self).__init__()

                        self.yang_name = "list"
                        self.yang_parent_name = "outside"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.pool = YLeaf(YType.str, "pool")

                        self.mapping_id = YLeaf(YType.uint32, "mapping-id")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.add_route = YLeaf(YType.empty, "add-route")
                        self._segment_path = lambda: "list" + "[id='" + self.id.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/outside/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Nat.Outside.List, ['id', 'pool', 'mapping_id', 'vrf', 'add_route'], name, value)


                class RouteMap(Entity):
                    """
                    Specify route\-map
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: pool
                    
                    	Name pool of local addresses
                    	**type**\: str
                    
                    .. attribute:: mapping_id
                    
                    	Associate a mapping id to this mapping
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: vrf
                    
                    	Specify vrf
                    	**type**\: str
                    
                    .. attribute:: add_route
                    
                    	Add a static route for outside local address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-08-03'

                    def __init__(self):
                        super(Native.Ip.Nat.Outside.RouteMap, self).__init__()

                        self.yang_name = "route-map"
                        self.yang_parent_name = "outside"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.pool = YLeaf(YType.str, "pool")

                        self.mapping_id = YLeaf(YType.uint32, "mapping-id")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.add_route = YLeaf(YType.empty, "add-route")
                        self._segment_path = lambda: "route-map" + "[id='" + self.id.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nat:nat/outside/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Nat.Outside.RouteMap, ['id', 'pool', 'mapping_id', 'vrf', 'add_route'], name, value)


        class Nbar(Entity):
            """
            NBAR \- Network Based Application Recognition
            
            .. attribute:: attribute
            
            	Attribute for which custom group value can be created
            	**type**\:  :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute>`
            
            .. attribute:: attribute_map
            
            	Attribute Map
            	**type**\: list of  		 :py:class:`AttributeMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap>`
            
            .. attribute:: attribute_set
            
            	Set attribute Map
            	**type**\: list of  		 :py:class:`AttributeSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeSet>`
            
            .. attribute:: custom
            
            	Custom PDL (protocol description language) Module
            	**type**\: list of  		 :py:class:`Custom <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Custom>`
            
            

            """

            _prefix = 'ios-nbar'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ip.Nbar, self).__init__()

                self.yang_name = "nbar"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"attribute" : ("attribute", Native.Ip.Nbar.Attribute)}
                self._child_list_classes = {"attribute-map" : ("attribute_map", Native.Ip.Nbar.AttributeMap), "attribute-set" : ("attribute_set", Native.Ip.Nbar.AttributeSet), "custom" : ("custom", Native.Ip.Nbar.Custom)}

                self.attribute = Native.Ip.Nbar.Attribute()
                self.attribute.parent = self
                self._children_name_map["attribute"] = "attribute"
                self._children_yang_names.add("attribute")

                self.attribute_map = YList(self)
                self.attribute_set = YList(self)
                self.custom = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-nbar:nbar"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Nbar, [], name, value)


            class Attribute(Entity):
                """
                Attribute for which custom group value can be created
                
                .. attribute:: application_group
                
                	Application\-group attribute
                	**type**\:  :py:class:`ApplicationGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute.ApplicationGroup>`
                
                .. attribute:: category
                
                	Category attribute
                	**type**\:  :py:class:`Category <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute.Category>`
                
                .. attribute:: sub_category
                
                	Sub\-category attribute
                	**type**\:  :py:class:`SubCategory <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute.SubCategory>`
                
                

                """

                _prefix = 'ios-nbar'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Nbar.Attribute, self).__init__()

                    self.yang_name = "attribute"
                    self.yang_parent_name = "nbar"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"application-group" : ("application_group", Native.Ip.Nbar.Attribute.ApplicationGroup), "category" : ("category", Native.Ip.Nbar.Attribute.Category), "sub-category" : ("sub_category", Native.Ip.Nbar.Attribute.SubCategory)}
                    self._child_list_classes = {}

                    self.application_group = Native.Ip.Nbar.Attribute.ApplicationGroup()
                    self.application_group.parent = self
                    self._children_name_map["application_group"] = "application-group"
                    self._children_yang_names.add("application-group")

                    self.category = Native.Ip.Nbar.Attribute.Category()
                    self.category.parent = self
                    self._children_name_map["category"] = "category"
                    self._children_yang_names.add("category")

                    self.sub_category = Native.Ip.Nbar.Attribute.SubCategory()
                    self.sub_category.parent = self
                    self._children_name_map["sub_category"] = "sub-category"
                    self._children_yang_names.add("sub-category")
                    self._segment_path = lambda: "attribute"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nbar:nbar/%s" % self._segment_path()


                class ApplicationGroup(Entity):
                    """
                    Application\-group attribute
                    
                    .. attribute:: custom
                    
                    	custom group value to be created for attribute
                    	**type**\: list of  		 :py:class:`Custom <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute.ApplicationGroup.Custom>`
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Nbar.Attribute.ApplicationGroup, self).__init__()

                        self.yang_name = "application-group"
                        self.yang_parent_name = "attribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"custom" : ("custom", Native.Ip.Nbar.Attribute.ApplicationGroup.Custom)}

                        self.custom = YList(self)
                        self._segment_path = lambda: "application-group"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nbar:nbar/attribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Nbar.Attribute.ApplicationGroup, [], name, value)


                    class Custom(Entity):
                        """
                        custom group value to be created for attribute
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: help
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Nbar.Attribute.ApplicationGroup.Custom, self).__init__()

                            self.yang_name = "custom"
                            self.yang_parent_name = "application-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.help = YLeaf(YType.str, "help")
                            self._segment_path = lambda: "custom" + "[name='" + self.name.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nbar:nbar/attribute/application-group/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Nbar.Attribute.ApplicationGroup.Custom, ['name', 'help'], name, value)


                class Category(Entity):
                    """
                    Category attribute
                    
                    .. attribute:: custom
                    
                    	custom group value to be created for attribute
                    	**type**\: list of  		 :py:class:`Custom <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute.Category.Custom>`
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Nbar.Attribute.Category, self).__init__()

                        self.yang_name = "category"
                        self.yang_parent_name = "attribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"custom" : ("custom", Native.Ip.Nbar.Attribute.Category.Custom)}

                        self.custom = YList(self)
                        self._segment_path = lambda: "category"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nbar:nbar/attribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Nbar.Attribute.Category, [], name, value)


                    class Custom(Entity):
                        """
                        custom group value to be created for attribute
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: help
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Nbar.Attribute.Category.Custom, self).__init__()

                            self.yang_name = "custom"
                            self.yang_parent_name = "category"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.help = YLeaf(YType.str, "help")
                            self._segment_path = lambda: "custom" + "[name='" + self.name.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nbar:nbar/attribute/category/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Nbar.Attribute.Category.Custom, ['name', 'help'], name, value)


                class SubCategory(Entity):
                    """
                    Sub\-category attribute
                    
                    .. attribute:: custom
                    
                    	custom group value to be created for attribute
                    	**type**\: list of  		 :py:class:`Custom <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Attribute.SubCategory.Custom>`
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Nbar.Attribute.SubCategory, self).__init__()

                        self.yang_name = "sub-category"
                        self.yang_parent_name = "attribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"custom" : ("custom", Native.Ip.Nbar.Attribute.SubCategory.Custom)}

                        self.custom = YList(self)
                        self._segment_path = lambda: "sub-category"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nbar:nbar/attribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Nbar.Attribute.SubCategory, [], name, value)


                    class Custom(Entity):
                        """
                        custom group value to be created for attribute
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: help
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Nbar.Attribute.SubCategory.Custom, self).__init__()

                            self.yang_name = "custom"
                            self.yang_parent_name = "sub-category"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.help = YLeaf(YType.str, "help")
                            self._segment_path = lambda: "custom" + "[name='" + self.name.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nbar:nbar/attribute/sub-category/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Nbar.Attribute.SubCategory.Custom, ['name', 'help'], name, value)


            class AttributeMap(Entity):
                """
                Attribute Map
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: attribute
                
                	Attribute Name
                	**type**\:  :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute>`
                
                

                """

                _prefix = 'ios-nbar'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Nbar.AttributeMap, self).__init__()

                    self.yang_name = "attribute-map"
                    self.yang_parent_name = "nbar"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"attribute" : ("attribute", Native.Ip.Nbar.AttributeMap.Attribute)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.attribute = Native.Ip.Nbar.AttributeMap.Attribute()
                    self.attribute.parent = self
                    self._children_name_map["attribute"] = "attribute"
                    self._children_yang_names.add("attribute")
                    self._segment_path = lambda: "attribute-map" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nbar:nbar/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Nbar.AttributeMap, ['name'], name, value)


                class Attribute(Entity):
                    """
                    Attribute Name
                    
                    .. attribute:: application_group
                    
                    	Application\-group attribute
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`ApplicationGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.ApplicationGroup>`
                    
                    .. attribute:: business_relevance
                    
                    	Application business\-relevance
                    	**type**\:  :py:class:`BusinessRelevance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.BusinessRelevance>`
                    
                    .. attribute:: category
                    
                    	Category attribute
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Category <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.Category>`
                    
                    .. attribute:: encrypted
                    
                    	Encrypted applications
                    	**type**\:  :py:class:`Encrypted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.Encrypted>`
                    
                    .. attribute:: sub_category
                    
                    	Sub\-category attribute
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`SubCategory <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.SubCategory>`
                    
                    .. attribute:: traffic_class
                    
                    	SRND class
                    	**type**\:  :py:class:`TrafficClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.TrafficClass>`
                    
                    .. attribute:: tunnel
                    
                    	Tunnelled applications
                    	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.AttributeMap.Attribute.Tunnel>`
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Nbar.AttributeMap.Attribute, self).__init__()

                        self.yang_name = "attribute"
                        self.yang_parent_name = "attribute-map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.application_group = YLeaf(YType.str, "application-group")

                        self.business_relevance = YLeaf(YType.enumeration, "business-relevance")

                        self.category = YLeaf(YType.str, "category")

                        self.encrypted = YLeaf(YType.enumeration, "encrypted")

                        self.sub_category = YLeaf(YType.str, "sub-category")

                        self.traffic_class = YLeaf(YType.enumeration, "traffic-class")

                        self.tunnel = YLeaf(YType.enumeration, "tunnel")
                        self._segment_path = lambda: "attribute"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Nbar.AttributeMap.Attribute, ['application_group', 'business_relevance', 'category', 'encrypted', 'sub_category', 'traffic_class', 'tunnel'], name, value)

                    class ApplicationGroup(Enum):
                        """
                        ApplicationGroup

                        Application\-group attribute

                        .. data:: aol_group = 0

                        .. data:: apple_group = 1

                        .. data:: apple_talk_group = 2

                        .. data:: banyan_group = 3

                        .. data:: bittorrent_group = 4

                        .. data:: capwap_group = 5

                        .. data:: cisco_jabber_group = 6

                        .. data:: cisco_phone_group = 7

                        .. data:: corba_group = 8

                        .. data:: dameware_group = 9

                        .. data:: edonkey_emule_group = 10

                        .. data:: espn_group = 11

                        .. data:: fasttrack_group = 12

                        .. data:: flash_group = 13

                        .. data:: fring_group = 14

                        .. data:: ftp_group = 15

                        .. data:: gnutella_group = 16

                        .. data:: google_group = 17

                        .. data:: gtalk_group = 18

                        .. data:: icq_group = 19

                        .. data:: imap_group = 20

                        .. data:: ipsec_group = 21

                        .. data:: irc_group = 22

                        .. data:: kakao_group = 23

                        .. data:: kerberos_group = 24

                        .. data:: ldap_group = 25

                        .. data:: ms_cloud_group = 26

                        .. data:: ms_crm_group = 27

                        .. data:: ms_lync_group = 28

                        .. data:: msn_messenger_group = 29

                        .. data:: netbios_group = 30

                        .. data:: nntp_group = 31

                        .. data:: npmp_group = 32

                        .. data:: other = 33

                        .. data:: pop3_group = 34

                        .. data:: prm_group = 35

                        .. data:: qq_group = 36

                        .. data:: skype_group = 37

                        .. data:: smtp_group = 38

                        .. data:: snmp_group = 39

                        .. data:: sqlsvr_group = 40

                        .. data:: stun_group = 41

                        .. data:: telepresence_group = 42

                        .. data:: tftp_group = 43

                        .. data:: vmware_group = 44

                        .. data:: vnc_group = 45

                        .. data:: wap_group = 46

                        .. data:: webex_group = 47

                        .. data:: xns_xerox_group = 48

                        .. data:: xunlei_group = 49

                        .. data:: yahoo_group = 50

                        .. data:: yahoo_messenger_group = 51

                        """

                        aol_group = Enum.YLeaf(0, "aol-group")

                        apple_group = Enum.YLeaf(1, "apple-group")

                        apple_talk_group = Enum.YLeaf(2, "apple-talk-group")

                        banyan_group = Enum.YLeaf(3, "banyan-group")

                        bittorrent_group = Enum.YLeaf(4, "bittorrent-group")

                        capwap_group = Enum.YLeaf(5, "capwap-group")

                        cisco_jabber_group = Enum.YLeaf(6, "cisco-jabber-group")

                        cisco_phone_group = Enum.YLeaf(7, "cisco-phone-group")

                        corba_group = Enum.YLeaf(8, "corba-group")

                        dameware_group = Enum.YLeaf(9, "dameware-group")

                        edonkey_emule_group = Enum.YLeaf(10, "edonkey-emule-group")

                        espn_group = Enum.YLeaf(11, "espn-group")

                        fasttrack_group = Enum.YLeaf(12, "fasttrack-group")

                        flash_group = Enum.YLeaf(13, "flash-group")

                        fring_group = Enum.YLeaf(14, "fring-group")

                        ftp_group = Enum.YLeaf(15, "ftp-group")

                        gnutella_group = Enum.YLeaf(16, "gnutella-group")

                        google_group = Enum.YLeaf(17, "google-group")

                        gtalk_group = Enum.YLeaf(18, "gtalk-group")

                        icq_group = Enum.YLeaf(19, "icq-group")

                        imap_group = Enum.YLeaf(20, "imap-group")

                        ipsec_group = Enum.YLeaf(21, "ipsec-group")

                        irc_group = Enum.YLeaf(22, "irc-group")

                        kakao_group = Enum.YLeaf(23, "kakao-group")

                        kerberos_group = Enum.YLeaf(24, "kerberos-group")

                        ldap_group = Enum.YLeaf(25, "ldap-group")

                        ms_cloud_group = Enum.YLeaf(26, "ms-cloud-group")

                        ms_crm_group = Enum.YLeaf(27, "ms-crm-group")

                        ms_lync_group = Enum.YLeaf(28, "ms-lync-group")

                        msn_messenger_group = Enum.YLeaf(29, "msn-messenger-group")

                        netbios_group = Enum.YLeaf(30, "netbios-group")

                        nntp_group = Enum.YLeaf(31, "nntp-group")

                        npmp_group = Enum.YLeaf(32, "npmp-group")

                        other = Enum.YLeaf(33, "other")

                        pop3_group = Enum.YLeaf(34, "pop3-group")

                        prm_group = Enum.YLeaf(35, "prm-group")

                        qq_group = Enum.YLeaf(36, "qq-group")

                        skype_group = Enum.YLeaf(37, "skype-group")

                        smtp_group = Enum.YLeaf(38, "smtp-group")

                        snmp_group = Enum.YLeaf(39, "snmp-group")

                        sqlsvr_group = Enum.YLeaf(40, "sqlsvr-group")

                        stun_group = Enum.YLeaf(41, "stun-group")

                        telepresence_group = Enum.YLeaf(42, "telepresence-group")

                        tftp_group = Enum.YLeaf(43, "tftp-group")

                        vmware_group = Enum.YLeaf(44, "vmware-group")

                        vnc_group = Enum.YLeaf(45, "vnc-group")

                        wap_group = Enum.YLeaf(46, "wap-group")

                        webex_group = Enum.YLeaf(47, "webex-group")

                        xns_xerox_group = Enum.YLeaf(48, "xns-xerox-group")

                        xunlei_group = Enum.YLeaf(49, "xunlei-group")

                        yahoo_group = Enum.YLeaf(50, "yahoo-group")

                        yahoo_messenger_group = Enum.YLeaf(51, "yahoo-messenger-group")


                    class BusinessRelevance(Enum):
                        """
                        BusinessRelevance

                        Application business\-relevance

                        .. data:: business_irrelevant = 0

                        .. data:: business_relevant = 1

                        .. data:: default = 2

                        """

                        business_irrelevant = Enum.YLeaf(0, "business-irrelevant")

                        business_relevant = Enum.YLeaf(1, "business-relevant")

                        default = Enum.YLeaf(2, "default")


                    class Category(Enum):
                        """
                        Category

                        Category attribute

                        .. data:: anonymizers = 0

                        .. data:: backup_and_storage = 1

                        .. data:: browsing = 2

                        .. data:: business_and_productivity_tools = 3

                        .. data:: consumer_file_sharing = 4

                        .. data:: consumer_internet = 5

                        .. data:: consumer_messaging = 6

                        .. data:: consumer_streaming = 7

                        .. data:: database = 8

                        .. data:: email = 9

                        .. data:: epayement = 10

                        .. data:: file_sharing = 11

                        .. data:: gaming = 12

                        .. data:: industrial_protocols = 13

                        .. data:: instant_messaging = 14

                        .. data:: inter_process_rpc = 15

                        .. data:: internet_security = 16

                        .. data:: layer3_over_ip = 17

                        .. data:: location_based_services = 18

                        .. data:: net_admin = 19

                        .. data:: newsgroup = 20

                        .. data:: other = 21

                        .. data:: social_networking = 22

                        .. data:: software_updates = 23

                        .. data:: trojan = 24

                        .. data:: voice_and_video = 25

                        """

                        anonymizers = Enum.YLeaf(0, "anonymizers")

                        backup_and_storage = Enum.YLeaf(1, "backup-and-storage")

                        browsing = Enum.YLeaf(2, "browsing")

                        business_and_productivity_tools = Enum.YLeaf(3, "business-and-productivity-tools")

                        consumer_file_sharing = Enum.YLeaf(4, "consumer-file-sharing")

                        consumer_internet = Enum.YLeaf(5, "consumer-internet")

                        consumer_messaging = Enum.YLeaf(6, "consumer-messaging")

                        consumer_streaming = Enum.YLeaf(7, "consumer-streaming")

                        database = Enum.YLeaf(8, "database")

                        email = Enum.YLeaf(9, "email")

                        epayement = Enum.YLeaf(10, "epayement")

                        file_sharing = Enum.YLeaf(11, "file-sharing")

                        gaming = Enum.YLeaf(12, "gaming")

                        industrial_protocols = Enum.YLeaf(13, "industrial-protocols")

                        instant_messaging = Enum.YLeaf(14, "instant-messaging")

                        inter_process_rpc = Enum.YLeaf(15, "inter-process-rpc")

                        internet_security = Enum.YLeaf(16, "internet-security")

                        layer3_over_ip = Enum.YLeaf(17, "layer3-over-ip")

                        location_based_services = Enum.YLeaf(18, "location-based-services")

                        net_admin = Enum.YLeaf(19, "net-admin")

                        newsgroup = Enum.YLeaf(20, "newsgroup")

                        other = Enum.YLeaf(21, "other")

                        social_networking = Enum.YLeaf(22, "social-networking")

                        software_updates = Enum.YLeaf(23, "software-updates")

                        trojan = Enum.YLeaf(24, "trojan")

                        voice_and_video = Enum.YLeaf(25, "voice-and-video")


                    class Encrypted(Enum):
                        """
                        Encrypted

                        Encrypted applications

                        .. data:: encrypted_no = 0

                        .. data:: encrypted_unassigned = 1

                        .. data:: encrypted_yes = 2

                        """

                        encrypted_no = Enum.YLeaf(0, "encrypted-no")

                        encrypted_unassigned = Enum.YLeaf(1, "encrypted-unassigned")

                        encrypted_yes = Enum.YLeaf(2, "encrypted-yes")


                    class SubCategory(Enum):
                        """
                        SubCategory

                        Sub\-category attribute

                        .. data:: authentication_services = 0

                        .. data:: backup_systems = 1

                        .. data:: consumer_audio_streaming = 2

                        .. data:: consumer_cloud_storage = 3

                        .. data:: consumer_multimedia_messaging = 4

                        .. data:: consumer_video_streaming = 5

                        .. data:: consumer_web_browsing = 6

                        .. data:: control_and_signaling = 7

                        .. data:: desktop_virtualization = 8

                        .. data:: enterprise_cloud_data_storage = 9

                        .. data:: enterprise_cloud_services = 10

                        .. data:: enterprise_data_center_storage = 11

                        .. data:: enterprise_media_conferencing = 12

                        .. data:: enterprise_realtime_apps = 13

                        .. data:: enterprise_rich_media_content = 14

                        .. data:: enterprise_sw_deployment_tools = 15

                        .. data:: enterprise_transactional_apps = 16

                        .. data:: enterprise_video_broadcast = 17

                        .. data:: enterprise_voice_collaboration = 18

                        .. data:: file_transfer = 19

                        .. data:: naming_services = 20

                        .. data:: network_management = 21

                        .. data:: os_updates = 22

                        .. data:: other = 23

                        .. data:: p2p_file_transfer = 24

                        .. data:: p2p_networking = 25

                        .. data:: remote_access_terminal = 26

                        .. data:: routing_protocol = 27

                        .. data:: tunneling_protocols = 28

                        """

                        authentication_services = Enum.YLeaf(0, "authentication-services")

                        backup_systems = Enum.YLeaf(1, "backup-systems")

                        consumer_audio_streaming = Enum.YLeaf(2, "consumer-audio-streaming")

                        consumer_cloud_storage = Enum.YLeaf(3, "consumer-cloud-storage")

                        consumer_multimedia_messaging = Enum.YLeaf(4, "consumer-multimedia-messaging")

                        consumer_video_streaming = Enum.YLeaf(5, "consumer-video-streaming")

                        consumer_web_browsing = Enum.YLeaf(6, "consumer-web-browsing")

                        control_and_signaling = Enum.YLeaf(7, "control-and-signaling")

                        desktop_virtualization = Enum.YLeaf(8, "desktop-virtualization")

                        enterprise_cloud_data_storage = Enum.YLeaf(9, "enterprise-cloud-data-storage")

                        enterprise_cloud_services = Enum.YLeaf(10, "enterprise-cloud-services")

                        enterprise_data_center_storage = Enum.YLeaf(11, "enterprise-data-center-storage")

                        enterprise_media_conferencing = Enum.YLeaf(12, "enterprise-media-conferencing")

                        enterprise_realtime_apps = Enum.YLeaf(13, "enterprise-realtime-apps")

                        enterprise_rich_media_content = Enum.YLeaf(14, "enterprise-rich-media-content")

                        enterprise_sw_deployment_tools = Enum.YLeaf(15, "enterprise-sw-deployment-tools")

                        enterprise_transactional_apps = Enum.YLeaf(16, "enterprise-transactional-apps")

                        enterprise_video_broadcast = Enum.YLeaf(17, "enterprise-video-broadcast")

                        enterprise_voice_collaboration = Enum.YLeaf(18, "enterprise-voice-collaboration")

                        file_transfer = Enum.YLeaf(19, "file-transfer")

                        naming_services = Enum.YLeaf(20, "naming-services")

                        network_management = Enum.YLeaf(21, "network-management")

                        os_updates = Enum.YLeaf(22, "os-updates")

                        other = Enum.YLeaf(23, "other")

                        p2p_file_transfer = Enum.YLeaf(24, "p2p-file-transfer")

                        p2p_networking = Enum.YLeaf(25, "p2p-networking")

                        remote_access_terminal = Enum.YLeaf(26, "remote-access-terminal")

                        routing_protocol = Enum.YLeaf(27, "routing-protocol")

                        tunneling_protocols = Enum.YLeaf(28, "tunneling-protocols")


                    class TrafficClass(Enum):
                        """
                        TrafficClass

                        SRND class

                        .. data:: broadcast_video = 0

                        .. data:: bulk_data = 1

                        .. data:: multimedia_conferencing = 2

                        .. data:: multimedia_streaming = 3

                        .. data:: network_control = 4

                        .. data:: ops_admin_mgmt = 5

                        .. data:: real_time_interactive = 6

                        .. data:: signaling = 7

                        .. data:: transactional_data = 8

                        .. data:: voip_telephony = 9

                        """

                        broadcast_video = Enum.YLeaf(0, "broadcast-video")

                        bulk_data = Enum.YLeaf(1, "bulk-data")

                        multimedia_conferencing = Enum.YLeaf(2, "multimedia-conferencing")

                        multimedia_streaming = Enum.YLeaf(3, "multimedia-streaming")

                        network_control = Enum.YLeaf(4, "network-control")

                        ops_admin_mgmt = Enum.YLeaf(5, "ops-admin-mgmt")

                        real_time_interactive = Enum.YLeaf(6, "real-time-interactive")

                        signaling = Enum.YLeaf(7, "signaling")

                        transactional_data = Enum.YLeaf(8, "transactional-data")

                        voip_telephony = Enum.YLeaf(9, "voip-telephony")


                    class Tunnel(Enum):
                        """
                        Tunnel

                        Tunnelled applications

                        .. data:: tunnel_no = 0

                        .. data:: tunnel_unassigned = 1

                        .. data:: tunnel_yes = 2

                        """

                        tunnel_no = Enum.YLeaf(0, "tunnel-no")

                        tunnel_unassigned = Enum.YLeaf(1, "tunnel-unassigned")

                        tunnel_yes = Enum.YLeaf(2, "tunnel-yes")



            class AttributeSet(Entity):
                """
                Set attribute Map
                
                .. attribute:: protocol_name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: profile_name
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-nbar'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Nbar.AttributeSet, self).__init__()

                    self.yang_name = "attribute-set"
                    self.yang_parent_name = "nbar"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.protocol_name = YLeaf(YType.str, "protocol-name")

                    self.profile_name = YLeaf(YType.str, "profile-name")
                    self._segment_path = lambda: "attribute-set" + "[protocol-name='" + self.protocol_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nbar:nbar/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Nbar.AttributeSet, ['protocol_name', 'profile_name'], name, value)


            class Custom(Entity):
                """
                Custom PDL (protocol description language) Module
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: http
                
                	Custom protocols based on http parameters
                	**type**\:  :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Nbar.Custom.Http>`
                
                

                """

                _prefix = 'ios-nbar'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Nbar.Custom, self).__init__()

                    self.yang_name = "custom"
                    self.yang_parent_name = "nbar"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"http" : ("http", Native.Ip.Nbar.Custom.Http)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.http = Native.Ip.Nbar.Custom.Http()
                    self.http.parent = self
                    self._children_name_map["http"] = "http"
                    self._children_yang_names.add("http")
                    self._segment_path = lambda: "custom" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-nbar:nbar/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Nbar.Custom, ['name'], name, value)


                class Http(Entity):
                    """
                    Custom protocols based on http parameters
                    
                    .. attribute:: cookie
                    
                    	HTTP Cookie
                    	**type**\: str
                    
                    .. attribute:: host
                    
                    	Host name of Origin Server containing resource
                    	**type**\: str
                    
                    .. attribute:: method
                    
                    	HTTP method
                    	**type**\: str
                    
                    .. attribute:: referer
                    
                    	Address the resource request was obtained from
                    	**type**\: str
                    
                    .. attribute:: url
                    
                    	Uniform Resource Locator path
                    	**type**\: str
                    
                    .. attribute:: user_agent
                    
                    	Software used by agent sending the request
                    	**type**\: str
                    
                    .. attribute:: version
                    
                    	HTTP version
                    	**type**\: str
                    
                    .. attribute:: via
                    
                    	HTTP via field
                    	**type**\: str
                    
                    .. attribute:: id
                    
                    	Selector ID
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Nbar.Custom.Http, self).__init__()

                        self.yang_name = "http"
                        self.yang_parent_name = "custom"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.cookie = YLeaf(YType.str, "cookie")

                        self.host = YLeaf(YType.str, "host")

                        self.method = YLeaf(YType.str, "method")

                        self.referer = YLeaf(YType.str, "referer")

                        self.url = YLeaf(YType.str, "url")

                        self.user_agent = YLeaf(YType.str, "user-agent")

                        self.version = YLeaf(YType.str, "version")

                        self.via = YLeaf(YType.str, "via")

                        self.id = YLeaf(YType.uint16, "id")
                        self._segment_path = lambda: "http"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Nbar.Custom.Http, ['cookie', 'host', 'method', 'referer', 'url', 'user_agent', 'version', 'via', 'id'], name, value)


        class Rsvp(Entity):
            """
            IP RSVP
            
            .. attribute:: authentication
            
            	Enables RSVP neighbor authentication (RFC 2747)
            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication>`
            
            	**presence node**\: True
            
            .. attribute:: signalling
            
            	IP RSVP signalling
            	**type**\:  :py:class:`Signalling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Signalling>`
            
            

            """

            _prefix = 'ios-rsvp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ip.Rsvp, self).__init__()

                self.yang_name = "rsvp"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"authentication" : ("authentication", Native.Ip.Rsvp.Authentication), "signalling" : ("signalling", Native.Ip.Rsvp.Signalling)}
                self._child_list_classes = {}

                self.authentication = None
                self._children_name_map["authentication"] = "authentication"
                self._children_yang_names.add("authentication")

                self.signalling = Native.Ip.Rsvp.Signalling()
                self.signalling.parent = self
                self._children_name_map["signalling"] = "signalling"
                self._children_yang_names.add("signalling")
                self._segment_path = lambda: "Cisco-IOS-XE-rsvp:rsvp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()


            class Authentication(Entity):
                """
                Enables RSVP neighbor authentication (RFC 2747)
                
                .. attribute:: neighbor
                
                	Specific neighbor(s) to authenticate
                	**type**\:  :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Neighbor>`
                
                .. attribute:: challenge
                
                	Perform challenge/response handshake with new neighbor(s)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: key_chain
                
                	Name of key chain to use (as created by global 'key chain' command)
                	**type**\: str
                
                .. attribute:: lifetime
                
                	Maximum lifetime of neighbor authentication state
                	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Lifetime>`
                
                .. attribute:: type
                
                	Type of authentication algorithm (default = md5)
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Type>`
                
                .. attribute:: window_size
                
                	Maximum number of messages allowed in receive window (default = 1)
                	**type**\: int
                
                	**range:** 1..64
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-rsvp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Rsvp.Authentication, self).__init__()

                    self.yang_name = "authentication"
                    self.yang_parent_name = "rsvp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"neighbor" : ("neighbor", Native.Ip.Rsvp.Authentication.Neighbor), "lifetime" : ("lifetime", Native.Ip.Rsvp.Authentication.Lifetime)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.challenge = YLeaf(YType.empty, "challenge")

                    self.key_chain = YLeaf(YType.str, "key-chain")

                    self.type = YLeaf(YType.enumeration, "type")

                    self.window_size = YLeaf(YType.uint8, "window-size")

                    self.neighbor = Native.Ip.Rsvp.Authentication.Neighbor()
                    self.neighbor.parent = self
                    self._children_name_map["neighbor"] = "neighbor"
                    self._children_yang_names.add("neighbor")

                    self.lifetime = Native.Ip.Rsvp.Authentication.Lifetime()
                    self.lifetime.parent = self
                    self._children_name_map["lifetime"] = "lifetime"
                    self._children_yang_names.add("lifetime")
                    self._segment_path = lambda: "authentication"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Rsvp.Authentication, ['challenge', 'key_chain', 'type', 'window_size'], name, value)

                class Type(Enum):
                    """
                    Type

                    Type of authentication algorithm (default = md5)

                    .. data:: md5 = 0

                    .. data:: sha_1 = 1

                    """

                    md5 = Enum.YLeaf(0, "md5")

                    sha_1 = Enum.YLeaf(1, "sha-1")



                class Neighbor(Entity):
                    """
                    Specific neighbor(s) to authenticate
                    
                    .. attribute:: access_list
                    
                    	Specify neighbor by IP access list
                    	**type**\:  :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Neighbor.AccessList>`
                    
                    .. attribute:: address
                    
                    	Specify neighbor by IP address
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Neighbor.Address>`
                    
                    

                    """

                    _prefix = 'ios-rsvp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Rsvp.Authentication.Neighbor, self).__init__()

                        self.yang_name = "neighbor"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"access-list" : ("access_list", Native.Ip.Rsvp.Authentication.Neighbor.AccessList), "address" : ("address", Native.Ip.Rsvp.Authentication.Neighbor.Address)}
                        self._child_list_classes = {}

                        self.access_list = Native.Ip.Rsvp.Authentication.Neighbor.AccessList()
                        self.access_list.parent = self
                        self._children_name_map["access_list"] = "access-list"
                        self._children_yang_names.add("access-list")

                        self.address = Native.Ip.Rsvp.Authentication.Neighbor.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")
                        self._segment_path = lambda: "neighbor"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/authentication/%s" % self._segment_path()


                    class AccessList(Entity):
                        """
                        Specify neighbor by IP access list
                        
                        .. attribute:: number
                        
                        	
                        	**type**\: list of  		 :py:class:`Number <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Number>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Name>`
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Rsvp.Authentication.Neighbor.AccessList, self).__init__()

                            self.yang_name = "access-list"
                            self.yang_parent_name = "neighbor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"number" : ("number", Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Number), "name" : ("name", Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Name)}

                            self.number = YList(self)
                            self.name = YList(self)
                            self._segment_path = lambda: "access-list"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/authentication/neighbor/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Rsvp.Authentication.Neighbor.AccessList, [], name, value)


                        class Number(Entity):
                            """
                            
                            
                            .. attribute:: acl_number  <key>
                            
                            	standard IP access list number
                            	**type**\: int
                            
                            	**range:** 1..99
                            
                            .. attribute:: challenge
                            
                            	Perform challenge/response handshake with new neighbor(s)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: key_chain
                            
                            	Name of key chain to use (as created by global 'key chain' command)
                            	**type**\: str
                            
                            .. attribute:: lifetime
                            
                            	Maximum lifetime of neighbor authentication state
                            	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Number.Lifetime>`
                            
                            .. attribute:: type
                            
                            	Type of authentication algorithm (default = md5)
                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Number.Type>`
                            
                            .. attribute:: window_size
                            
                            	Maximum number of messages allowed in receive window (default = 1)
                            	**type**\: int
                            
                            	**range:** 1..64
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Number, self).__init__()

                                self.yang_name = "number"
                                self.yang_parent_name = "access-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lifetime" : ("lifetime", Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Number.Lifetime)}
                                self._child_list_classes = {}

                                self.acl_number = YLeaf(YType.uint8, "acl-number")

                                self.challenge = YLeaf(YType.empty, "challenge")

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.type = YLeaf(YType.enumeration, "type")

                                self.window_size = YLeaf(YType.uint8, "window-size")

                                self.lifetime = Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Number.Lifetime()
                                self.lifetime.parent = self
                                self._children_name_map["lifetime"] = "lifetime"
                                self._children_yang_names.add("lifetime")
                                self._segment_path = lambda: "number" + "[acl-number='" + self.acl_number.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/authentication/neighbor/access-list/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Number, ['acl_number', 'challenge', 'key_chain', 'type', 'window_size'], name, value)

                            class Type(Enum):
                                """
                                Type

                                Type of authentication algorithm (default = md5)

                                .. data:: md5 = 0

                                .. data:: sha_1 = 1

                                """

                                md5 = Enum.YLeaf(0, "md5")

                                sha_1 = Enum.YLeaf(1, "sha-1")



                            class Lifetime(Entity):
                                """
                                Maximum lifetime of neighbor authentication state
                                
                                .. attribute:: hh_mm_ss
                                
                                	Lifetime (default = 30 mins) in hh\:mm\:ss format
                                	**type**\: str
                                
                                	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])\:([0\-5][0\-9])
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Number.Lifetime, self).__init__()

                                    self.yang_name = "lifetime"
                                    self.yang_parent_name = "number"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hh_mm_ss = YLeaf(YType.str, "hh-mm-ss")
                                    self._segment_path = lambda: "lifetime"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Number.Lifetime, ['hh_mm_ss'], name, value)


                        class Name(Entity):
                            """
                            
                            
                            .. attribute:: acl_name  <key>
                            
                            	standard IP access list name
                            	**type**\: str
                            
                            .. attribute:: challenge
                            
                            	Perform challenge/response handshake with new neighbor(s)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: key_chain
                            
                            	Name of key chain to use (as created by global 'key chain' command)
                            	**type**\: str
                            
                            .. attribute:: lifetime
                            
                            	Maximum lifetime of neighbor authentication state
                            	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Name.Lifetime>`
                            
                            .. attribute:: type
                            
                            	Type of authentication algorithm (default = md5)
                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Name.Type>`
                            
                            .. attribute:: window_size
                            
                            	Maximum number of messages allowed in receive window (default = 1)
                            	**type**\: int
                            
                            	**range:** 1..64
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Name, self).__init__()

                                self.yang_name = "name"
                                self.yang_parent_name = "access-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lifetime" : ("lifetime", Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Name.Lifetime)}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.challenge = YLeaf(YType.empty, "challenge")

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.type = YLeaf(YType.enumeration, "type")

                                self.window_size = YLeaf(YType.uint8, "window-size")

                                self.lifetime = Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Name.Lifetime()
                                self.lifetime.parent = self
                                self._children_name_map["lifetime"] = "lifetime"
                                self._children_yang_names.add("lifetime")
                                self._segment_path = lambda: "name" + "[acl-name='" + self.acl_name.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/authentication/neighbor/access-list/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Name, ['acl_name', 'challenge', 'key_chain', 'type', 'window_size'], name, value)

                            class Type(Enum):
                                """
                                Type

                                Type of authentication algorithm (default = md5)

                                .. data:: md5 = 0

                                .. data:: sha_1 = 1

                                """

                                md5 = Enum.YLeaf(0, "md5")

                                sha_1 = Enum.YLeaf(1, "sha-1")



                            class Lifetime(Entity):
                                """
                                Maximum lifetime of neighbor authentication state
                                
                                .. attribute:: hh_mm_ss
                                
                                	Lifetime (default = 30 mins) in hh\:mm\:ss format
                                	**type**\: str
                                
                                	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])\:([0\-5][0\-9])
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Name.Lifetime, self).__init__()

                                    self.yang_name = "lifetime"
                                    self.yang_parent_name = "name"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hh_mm_ss = YLeaf(YType.str, "hh-mm-ss")
                                    self._segment_path = lambda: "lifetime"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Rsvp.Authentication.Neighbor.AccessList.Name.Lifetime, ['hh_mm_ss'], name, value)


                    class Address(Entity):
                        """
                        Specify neighbor by IP address
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Neighbor.Address.Ipv4>`
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Rsvp.Authentication.Neighbor.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "neighbor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"ipv4" : ("ipv4", Native.Ip.Rsvp.Authentication.Neighbor.Address.Ipv4)}

                            self.ipv4 = YList(self)
                            self._segment_path = lambda: "address"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/authentication/neighbor/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Rsvp.Authentication.Neighbor.Address, [], name, value)


                        class Ipv4(Entity):
                            """
                            
                            
                            .. attribute:: ipv4_address  <key>
                            
                            	Neighbor's IP address
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: challenge
                            
                            	Perform challenge/response handshake with new neighbor(s)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: key_chain
                            
                            	Name of key chain to use (as created by global 'key chain' command)
                            	**type**\: str
                            
                            .. attribute:: lifetime
                            
                            	Maximum lifetime of neighbor authentication state
                            	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Neighbor.Address.Ipv4.Lifetime>`
                            
                            .. attribute:: type
                            
                            	Type of authentication algorithm (default = md5)
                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Authentication.Neighbor.Address.Ipv4.Type>`
                            
                            .. attribute:: window_size
                            
                            	Maximum number of messages allowed in receive window (default = 1)
                            	**type**\: int
                            
                            	**range:** 1..64
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ip.Rsvp.Authentication.Neighbor.Address.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lifetime" : ("lifetime", Native.Ip.Rsvp.Authentication.Neighbor.Address.Ipv4.Lifetime)}
                                self._child_list_classes = {}

                                self.ipv4_address = YLeaf(YType.str, "ipv4-address")

                                self.challenge = YLeaf(YType.empty, "challenge")

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.type = YLeaf(YType.enumeration, "type")

                                self.window_size = YLeaf(YType.uint8, "window-size")

                                self.lifetime = Native.Ip.Rsvp.Authentication.Neighbor.Address.Ipv4.Lifetime()
                                self.lifetime.parent = self
                                self._children_name_map["lifetime"] = "lifetime"
                                self._children_yang_names.add("lifetime")
                                self._segment_path = lambda: "ipv4" + "[ipv4-address='" + self.ipv4_address.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/authentication/neighbor/address/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Rsvp.Authentication.Neighbor.Address.Ipv4, ['ipv4_address', 'challenge', 'key_chain', 'type', 'window_size'], name, value)

                            class Type(Enum):
                                """
                                Type

                                Type of authentication algorithm (default = md5)

                                .. data:: md5 = 0

                                .. data:: sha_1 = 1

                                """

                                md5 = Enum.YLeaf(0, "md5")

                                sha_1 = Enum.YLeaf(1, "sha-1")



                            class Lifetime(Entity):
                                """
                                Maximum lifetime of neighbor authentication state
                                
                                .. attribute:: hh_mm_ss
                                
                                	Lifetime (default = 30 mins) in hh\:mm\:ss format
                                	**type**\: str
                                
                                	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])\:([0\-5][0\-9])
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Ip.Rsvp.Authentication.Neighbor.Address.Ipv4.Lifetime, self).__init__()

                                    self.yang_name = "lifetime"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hh_mm_ss = YLeaf(YType.str, "hh-mm-ss")
                                    self._segment_path = lambda: "lifetime"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Rsvp.Authentication.Neighbor.Address.Ipv4.Lifetime, ['hh_mm_ss'], name, value)


                class Lifetime(Entity):
                    """
                    Maximum lifetime of neighbor authentication state
                    
                    .. attribute:: hh_mm_ss
                    
                    	Lifetime (default = 30 mins) in hh\:mm\:ss format
                    	**type**\: str
                    
                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])\:([0\-5][0\-9])
                    
                    

                    """

                    _prefix = 'ios-rsvp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Rsvp.Authentication.Lifetime, self).__init__()

                        self.yang_name = "lifetime"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.hh_mm_ss = YLeaf(YType.str, "hh-mm-ss")
                        self._segment_path = lambda: "lifetime"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/authentication/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Rsvp.Authentication.Lifetime, ['hh_mm_ss'], name, value)


            class Signalling(Entity):
                """
                IP RSVP signalling
                
                .. attribute:: fast_local_repair
                
                	Configure RSVP Fast Local Repair
                	**type**\:  :py:class:`FastLocalRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Signalling.FastLocalRepair>`
                
                .. attribute:: hello
                
                	Enable neighbor\-down detection
                	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Signalling.Hello>`
                
                	**presence node**\: True
                
                .. attribute:: initial_retransmit_delay
                
                	Initial retransmit delay (msecs)
                	**type**\: int
                
                	**range:** 500..30000
                
                .. attribute:: patherr
                
                	Path Error State Removal for LSP sessions
                	**type**\:  :py:class:`Patherr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Signalling.Patherr>`
                
                .. attribute:: rate_limit
                
                	Limit rate at which RSVP msgs are sent to neighbors
                	**type**\:  :py:class:`RateLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Signalling.RateLimit>`
                
                	**presence node**\: True
                
                .. attribute:: refresh
                
                	Configure RSVP refresh behavior
                	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Signalling.Refresh>`
                
                

                """

                _prefix = 'ios-rsvp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Rsvp.Signalling, self).__init__()

                    self.yang_name = "signalling"
                    self.yang_parent_name = "rsvp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"fast-local-repair" : ("fast_local_repair", Native.Ip.Rsvp.Signalling.FastLocalRepair), "hello" : ("hello", Native.Ip.Rsvp.Signalling.Hello), "patherr" : ("patherr", Native.Ip.Rsvp.Signalling.Patherr), "rate-limit" : ("rate_limit", Native.Ip.Rsvp.Signalling.RateLimit), "refresh" : ("refresh", Native.Ip.Rsvp.Signalling.Refresh)}
                    self._child_list_classes = {}

                    self.initial_retransmit_delay = YLeaf(YType.uint16, "initial-retransmit-delay")

                    self.fast_local_repair = Native.Ip.Rsvp.Signalling.FastLocalRepair()
                    self.fast_local_repair.parent = self
                    self._children_name_map["fast_local_repair"] = "fast-local-repair"
                    self._children_yang_names.add("fast-local-repair")

                    self.hello = None
                    self._children_name_map["hello"] = "hello"
                    self._children_yang_names.add("hello")

                    self.patherr = Native.Ip.Rsvp.Signalling.Patherr()
                    self.patherr.parent = self
                    self._children_name_map["patherr"] = "patherr"
                    self._children_yang_names.add("patherr")

                    self.rate_limit = None
                    self._children_name_map["rate_limit"] = "rate-limit"
                    self._children_yang_names.add("rate-limit")

                    self.refresh = Native.Ip.Rsvp.Signalling.Refresh()
                    self.refresh.parent = self
                    self._children_name_map["refresh"] = "refresh"
                    self._children_yang_names.add("refresh")
                    self._segment_path = lambda: "signalling"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Rsvp.Signalling, ['initial_retransmit_delay'], name, value)


                class FastLocalRepair(Entity):
                    """
                    Configure RSVP Fast Local Repair
                    
                    .. attribute:: notifications
                    
                    	Number of notifications to process before suspend
                    	**type**\: int
                    
                    	**range:** 10..10000
                    
                    .. attribute:: rate
                    
                    	Fast Local Repair state refresh/repair rate in messages/sec
                    	**type**\: int
                    
                    	**range:** 1..2500
                    
                    

                    """

                    _prefix = 'ios-rsvp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Rsvp.Signalling.FastLocalRepair, self).__init__()

                        self.yang_name = "fast-local-repair"
                        self.yang_parent_name = "signalling"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.notifications = YLeaf(YType.uint16, "notifications")

                        self.rate = YLeaf(YType.uint16, "rate")
                        self._segment_path = lambda: "fast-local-repair"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/signalling/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Rsvp.Signalling.FastLocalRepair, ['notifications', 'rate'], name, value)


                class Hello(Entity):
                    """
                    Enable neighbor\-down detection
                    
                    .. attribute:: bfd
                    
                    	Enable BFD detection for fast\-reroute
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: graceful_restart
                    
                    	Configure RSVP Graceful Restart
                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Signalling.Hello.GracefulRestart>`
                    
                    .. attribute:: statistics
                    
                    	Enables Hello extensions statistics
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rsvp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Rsvp.Signalling.Hello, self).__init__()

                        self.yang_name = "hello"
                        self.yang_parent_name = "signalling"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Ip.Rsvp.Signalling.Hello.GracefulRestart)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.statistics = YLeaf(YType.empty, "statistics")

                        self.graceful_restart = Native.Ip.Rsvp.Signalling.Hello.GracefulRestart()
                        self.graceful_restart.parent = self
                        self._children_name_map["graceful_restart"] = "graceful-restart"
                        self._children_yang_names.add("graceful-restart")
                        self._segment_path = lambda: "hello"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/signalling/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Rsvp.Signalling.Hello, ['bfd', 'statistics'], name, value)


                    class GracefulRestart(Entity):
                        """
                        Configure RSVP Graceful Restart
                        
                        .. attribute:: dscp
                        
                        	RSVP Graceful Restart Hello Messages DSCP value
                        	**type**\: int
                        
                        	**range:** 0..63
                        
                        .. attribute:: mode
                        
                        	Select Graceful Restart capabilities
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Mode>`
                        
                        .. attribute:: refresh
                        
                        	Configure RSVP Hello refresh behavior for Graceful Restart
                        	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Refresh>`
                        
                        .. attribute:: send
                        
                        	Configure parameters in outgoing Hello msgs
                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Send>`
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Rsvp.Signalling.Hello.GracefulRestart, self).__init__()

                            self.yang_name = "graceful-restart"
                            self.yang_parent_name = "hello"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"mode" : ("mode", Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Mode), "refresh" : ("refresh", Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Refresh), "send" : ("send", Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Send)}
                            self._child_list_classes = {}

                            self.dscp = YLeaf(YType.uint8, "dscp")

                            self.mode = Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")

                            self.refresh = Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Refresh()
                            self.refresh.parent = self
                            self._children_name_map["refresh"] = "refresh"
                            self._children_yang_names.add("refresh")

                            self.send = Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Send()
                            self.send.parent = self
                            self._children_name_map["send"] = "send"
                            self._children_yang_names.add("send")
                            self._segment_path = lambda: "graceful-restart"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/signalling/hello/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Rsvp.Signalling.Hello.GracefulRestart, ['dscp'], name, value)


                        class Mode(Entity):
                            """
                            Select Graceful Restart capabilities
                            
                            .. attribute:: full
                            
                            	Capable of recovering self, and helping neighbor recover
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: help_neighbor
                            
                            	Capable of helping neighbor recover
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "graceful-restart"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.full = YLeaf(YType.empty, "full")

                                self.help_neighbor = YLeaf(YType.empty, "help-neighbor")
                                self._segment_path = lambda: "mode"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/signalling/hello/graceful-restart/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Mode, ['full', 'help_neighbor'], name, value)


                        class Refresh(Entity):
                            """
                            Configure RSVP Hello refresh behavior for Graceful Restart
                            
                            .. attribute:: interval
                            
                            	Hello interval in msec
                            	**type**\: int
                            
                            	**range:** 1000..30000
                            
                            .. attribute:: misses
                            
                            	Number of missed Hello Acks which triggers neighbor down
                            	**type**\: int
                            
                            	**range:** 4..10
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Refresh, self).__init__()

                                self.yang_name = "refresh"
                                self.yang_parent_name = "graceful-restart"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")

                                self.misses = YLeaf(YType.uint8, "misses")
                                self._segment_path = lambda: "refresh"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/signalling/hello/graceful-restart/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Refresh, ['interval', 'misses'], name, value)


                        class Send(Entity):
                            """
                            Configure parameters in outgoing Hello msgs
                            
                            .. attribute:: recovery_time
                            
                            	recovery\-time in msec
                            	**type**\: int
                            
                            	**range:** 0..3600000
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Send, self).__init__()

                                self.yang_name = "send"
                                self.yang_parent_name = "graceful-restart"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.recovery_time = YLeaf(YType.uint32, "recovery-time")
                                self._segment_path = lambda: "send"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/signalling/hello/graceful-restart/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Rsvp.Signalling.Hello.GracefulRestart.Send, ['recovery_time'], name, value)


                class Patherr(Entity):
                    """
                    Path Error State Removal for LSP sessions
                    
                    .. attribute:: state_removal
                    
                    	Enable state removal
                    	**type**\:  :py:class:`StateRemoval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Signalling.Patherr.StateRemoval>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-rsvp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Rsvp.Signalling.Patherr, self).__init__()

                        self.yang_name = "patherr"
                        self.yang_parent_name = "signalling"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"state-removal" : ("state_removal", Native.Ip.Rsvp.Signalling.Patherr.StateRemoval)}
                        self._child_list_classes = {}

                        self.state_removal = None
                        self._children_name_map["state_removal"] = "state-removal"
                        self._children_yang_names.add("state-removal")
                        self._segment_path = lambda: "patherr"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/signalling/%s" % self._segment_path()


                    class StateRemoval(Entity):
                        """
                        Enable state removal
                        
                        .. attribute:: neighbor
                        
                        	Access list number identifying neighbor(s)
                        	**type**\: int
                        
                        	**range:** 1..99
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Rsvp.Signalling.Patherr.StateRemoval, self).__init__()

                            self.yang_name = "state-removal"
                            self.yang_parent_name = "patherr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.neighbor = YLeaf(YType.uint8, "neighbor")
                            self._segment_path = lambda: "state-removal"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/signalling/patherr/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Rsvp.Signalling.Patherr.StateRemoval, ['neighbor'], name, value)


                class RateLimit(Entity):
                    """
                    Limit rate at which RSVP msgs are sent to neighbors
                    
                    .. attribute:: burst
                    
                    	Number of messages sent each period from the queue, normally
                    	**type**\: int
                    
                    	**range:** 1..5000
                    
                    .. attribute:: limit
                    
                    	Max number of msgs sent each period from the queue, when behind
                    	**type**\: int
                    
                    	**range:** 1..5000
                    
                    .. attribute:: maxsize
                    
                    	Maximum queue depth
                    	**type**\: int
                    
                    	**range:** 1..5000
                    
                    .. attribute:: period
                    
                    	Every interval (msec) send burst number of messages
                    	**type**\: int
                    
                    	**range:** 10..5000
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rsvp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Rsvp.Signalling.RateLimit, self).__init__()

                        self.yang_name = "rate-limit"
                        self.yang_parent_name = "signalling"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.burst = YLeaf(YType.uint16, "burst")

                        self.limit = YLeaf(YType.uint16, "limit")

                        self.maxsize = YLeaf(YType.uint16, "maxsize")

                        self.period = YLeaf(YType.uint16, "period")
                        self._segment_path = lambda: "rate-limit"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/signalling/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Rsvp.Signalling.RateLimit, ['burst', 'limit', 'maxsize', 'period'], name, value)


                class Refresh(Entity):
                    """
                    Configure RSVP refresh behavior
                    
                    .. attribute:: interval
                    
                    	Refresh interval in milliseconds
                    	**type**\: int
                    
                    	**range:** 5000..4294967295
                    
                    .. attribute:: misses
                    
                    	Number of missed refreshes which trigger state timeout
                    	**type**\: int
                    
                    	**range:** 2..10
                    
                    .. attribute:: reduction
                    
                    	Configure refresh reduction
                    	**type**\:  :py:class:`Reduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Rsvp.Signalling.Refresh.Reduction>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-rsvp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Rsvp.Signalling.Refresh, self).__init__()

                        self.yang_name = "refresh"
                        self.yang_parent_name = "signalling"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"reduction" : ("reduction", Native.Ip.Rsvp.Signalling.Refresh.Reduction)}
                        self._child_list_classes = {}

                        self.interval = YLeaf(YType.uint32, "interval")

                        self.misses = YLeaf(YType.uint8, "misses")

                        self.reduction = None
                        self._children_name_map["reduction"] = "reduction"
                        self._children_yang_names.add("reduction")
                        self._segment_path = lambda: "refresh"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/signalling/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Rsvp.Signalling.Refresh, ['interval', 'misses'], name, value)


                    class Reduction(Entity):
                        """
                        Configure refresh reduction
                        
                        .. attribute:: ack_delay
                        
                        	Time to wait to accumulate ACKs (msecs)
                        	**type**\: int
                        
                        	**range:** 100..10000
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Rsvp.Signalling.Refresh.Reduction, self).__init__()

                            self.yang_name = "reduction"
                            self.yang_parent_name = "refresh"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ack_delay = YLeaf(YType.uint16, "ack-delay")
                            self._segment_path = lambda: "reduction"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-rsvp:rsvp/signalling/refresh/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Rsvp.Signalling.Refresh.Reduction, ['ack_delay'], name, value)


        class Sla(Entity):
            """
            IP Service Level Agreement
            
            .. attribute:: entry
            
            	
            	**type**\: list of  		 :py:class:`Entry <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry>`
            
            .. attribute:: enable
            
            	
            	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Enable>`
            
            .. attribute:: responder
            
            	Enable IP SLAs Responder
            	**type**\:  :py:class:`Responder <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Responder>`
            
            	**presence node**\: True
            
            .. attribute:: logging
            
            	low\-memory
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Logging>`
            
            .. attribute:: group
            
            	Group Configuration or Group Scheduling
            	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group>`
            
            .. attribute:: schedule
            
            	Entry Scheduling
            	**type**\: list of  		 :py:class:`Schedule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Schedule>`
            
            .. attribute:: reaction_configuration
            
            	IP SLA's reaction configuration
            	**type**\: list of  		 :py:class:`ReactionConfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration>`
            
            .. attribute:: server
            
            	IPPM server configuration
            	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Server>`
            
            

            """

            _prefix = 'ios-sla'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ip.Sla, self).__init__()

                self.yang_name = "sla"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"enable" : ("enable", Native.Ip.Sla.Enable), "responder" : ("responder", Native.Ip.Sla.Responder), "logging" : ("logging", Native.Ip.Sla.Logging), "group" : ("group", Native.Ip.Sla.Group), "server" : ("server", Native.Ip.Sla.Server)}
                self._child_list_classes = {"entry" : ("entry", Native.Ip.Sla.Entry), "schedule" : ("schedule", Native.Ip.Sla.Schedule), "reaction-configuration" : ("reaction_configuration", Native.Ip.Sla.ReactionConfiguration)}

                self.enable = Native.Ip.Sla.Enable()
                self.enable.parent = self
                self._children_name_map["enable"] = "enable"
                self._children_yang_names.add("enable")

                self.responder = None
                self._children_name_map["responder"] = "responder"
                self._children_yang_names.add("responder")

                self.logging = Native.Ip.Sla.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.group = Native.Ip.Sla.Group()
                self.group.parent = self
                self._children_name_map["group"] = "group"
                self._children_yang_names.add("group")

                self.server = Native.Ip.Sla.Server()
                self.server.parent = self
                self._children_name_map["server"] = "server"
                self._children_yang_names.add("server")

                self.entry = YList(self)
                self.schedule = YList(self)
                self.reaction_configuration = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-sla:sla"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Sla, [], name, value)


            class Entry(Entity):
                """
                
                
                .. attribute:: number  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: icmp_echo
                
                	ICMP Echo Operation
                	**type**\:  :py:class:`IcmpEcho <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.IcmpEcho>`
                
                .. attribute:: path_echo
                
                	Path Discovered ICMP Echo Operation
                	**type**\:  :py:class:`PathEcho <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.PathEcho>`
                
                .. attribute:: path_jitter
                
                	Path Discovered ICMP Jitter Operation
                	**type**\:  :py:class:`PathJitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.PathJitter>`
                
                .. attribute:: udp_echo
                
                	UDP echo operation
                	**type**\:  :py:class:`UdpEcho <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.UdpEcho>`
                
                .. attribute:: udp_jitter
                
                	UDP jitter operation
                	**type**\:  :py:class:`UdpJitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.UdpJitter>`
                
                .. attribute:: http
                
                	HTTP Operation
                	**type**\:  :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.Http>`
                
                .. attribute:: dhcp
                
                	DHCP Operation
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.Dhcp>`
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Sla.Entry, self).__init__()

                    self.yang_name = "entry"
                    self.yang_parent_name = "sla"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"icmp-echo" : ("icmp_echo", Native.Ip.Sla.Entry.IcmpEcho), "path-echo" : ("path_echo", Native.Ip.Sla.Entry.PathEcho), "path-jitter" : ("path_jitter", Native.Ip.Sla.Entry.PathJitter), "udp-echo" : ("udp_echo", Native.Ip.Sla.Entry.UdpEcho), "udp-jitter" : ("udp_jitter", Native.Ip.Sla.Entry.UdpJitter), "http" : ("http", Native.Ip.Sla.Entry.Http), "dhcp" : ("dhcp", Native.Ip.Sla.Entry.Dhcp)}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint32, "number")

                    self.icmp_echo = Native.Ip.Sla.Entry.IcmpEcho()
                    self.icmp_echo.parent = self
                    self._children_name_map["icmp_echo"] = "icmp-echo"
                    self._children_yang_names.add("icmp-echo")

                    self.path_echo = Native.Ip.Sla.Entry.PathEcho()
                    self.path_echo.parent = self
                    self._children_name_map["path_echo"] = "path-echo"
                    self._children_yang_names.add("path-echo")

                    self.path_jitter = Native.Ip.Sla.Entry.PathJitter()
                    self.path_jitter.parent = self
                    self._children_name_map["path_jitter"] = "path-jitter"
                    self._children_yang_names.add("path-jitter")

                    self.udp_echo = Native.Ip.Sla.Entry.UdpEcho()
                    self.udp_echo.parent = self
                    self._children_name_map["udp_echo"] = "udp-echo"
                    self._children_yang_names.add("udp-echo")

                    self.udp_jitter = Native.Ip.Sla.Entry.UdpJitter()
                    self.udp_jitter.parent = self
                    self._children_name_map["udp_jitter"] = "udp-jitter"
                    self._children_yang_names.add("udp-jitter")

                    self.http = Native.Ip.Sla.Entry.Http()
                    self.http.parent = self
                    self._children_name_map["http"] = "http"
                    self._children_yang_names.add("http")

                    self.dhcp = Native.Ip.Sla.Entry.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")
                    self._segment_path = lambda: "entry" + "[number='" + self.number.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Sla.Entry, ['number'], name, value)


                class IcmpEcho(Entity):
                    """
                    ICMP Echo Operation
                    
                    .. attribute:: destination
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: source_interface
                    
                    	Source Interface (ingress icmp packet interface)
                    	**type**\: str
                    
                    .. attribute:: source_ip
                    
                    	Source Address
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: data_pattern
                    
                    	Data Pattern
                    	**type**\: str
                    
                    .. attribute:: frequency
                    
                    	Frequency of an operation
                    	**type**\: int
                    
                    	**range:** 1..604800
                    
                    .. attribute:: history
                    
                    	History and Distribution Data
                    	**type**\:  :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.IcmpEcho.History>`
                    
                    .. attribute:: owner
                    
                    	Owner of Entry
                    	**type**\: str
                    
                    .. attribute:: request_data_size
                    
                    	Request data size
                    	**type**\: int
                    
                    	**range:** 0..16384
                    
                    .. attribute:: tag
                    
                    	User defined tag
                    	**type**\: str
                    
                    .. attribute:: threshold
                    
                    	Operation threshold in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..60000
                    
                    .. attribute:: timeout
                    
                    	Timeout of an operation
                    	**type**\: int
                    
                    	**range:** 0..604800000
                    
                    .. attribute:: tos
                    
                    	Type Of Service
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: verify_data
                    
                    	Verify data
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	Configure IP SLAs for a VPN Routing/Forwarding instance
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Sla.Entry.IcmpEcho, self).__init__()

                        self.yang_name = "icmp-echo"
                        self.yang_parent_name = "entry"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"history" : ("history", Native.Ip.Sla.Entry.IcmpEcho.History)}
                        self._child_list_classes = {}

                        self.destination = YLeaf(YType.str, "destination")

                        self.source_interface = YLeaf(YType.str, "source-interface")

                        self.source_ip = YLeaf(YType.str, "source-ip")

                        self.data_pattern = YLeaf(YType.str, "data-pattern")

                        self.frequency = YLeaf(YType.uint32, "frequency")

                        self.owner = YLeaf(YType.str, "owner")

                        self.request_data_size = YLeaf(YType.uint32, "request-data-size")

                        self.tag = YLeaf(YType.str, "tag")

                        self.threshold = YLeaf(YType.uint32, "threshold")

                        self.timeout = YLeaf(YType.uint64, "timeout")

                        self.tos = YLeaf(YType.uint8, "tos")

                        self.verify_data = YLeaf(YType.empty, "verify-data")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.history = Native.Ip.Sla.Entry.IcmpEcho.History()
                        self.history.parent = self
                        self._children_name_map["history"] = "history"
                        self._children_yang_names.add("history")
                        self._segment_path = lambda: "icmp-echo"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Sla.Entry.IcmpEcho, ['destination', 'source_interface', 'source_ip', 'data_pattern', 'frequency', 'owner', 'request_data_size', 'tag', 'threshold', 'timeout', 'tos', 'verify_data', 'vrf'], name, value)


                    class History(Entity):
                        """
                        History and Distribution Data
                        
                        .. attribute:: buckets_kept
                        
                        	Maximum number of history buckets to collect
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: distributions_of_statistics_kept
                        
                        	Maximum number of statistics distribution buckets to capture
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: enhanced
                        
                        	Enable enhanced history collection
                        	**type**\:  :py:class:`Enhanced <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.IcmpEcho.History.Enhanced>`
                        
                        .. attribute:: filter
                        
                        	Add operation to History when..
                        	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.IcmpEcho.History.Filter>`
                        
                        .. attribute:: hours_of_statistics_kept
                        
                        	Maximum number of statistics hour groups to capture
                        	**type**\: int
                        
                        	**range:** 0..25
                        
                        .. attribute:: lives_kept
                        
                        	Maximum number of history lives to collect
                        	**type**\: int
                        
                        	**range:** 0..2
                        
                        .. attribute:: statistics_distribution_interval
                        
                        	Statistics distribution interval size
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Sla.Entry.IcmpEcho.History, self).__init__()

                            self.yang_name = "history"
                            self.yang_parent_name = "icmp-echo"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"enhanced" : ("enhanced", Native.Ip.Sla.Entry.IcmpEcho.History.Enhanced)}
                            self._child_list_classes = {}

                            self.buckets_kept = YLeaf(YType.uint8, "buckets-kept")

                            self.distributions_of_statistics_kept = YLeaf(YType.uint8, "distributions-of-statistics-kept")

                            self.filter = YLeaf(YType.enumeration, "filter")

                            self.hours_of_statistics_kept = YLeaf(YType.uint8, "hours-of-statistics-kept")

                            self.lives_kept = YLeaf(YType.uint8, "lives-kept")

                            self.statistics_distribution_interval = YLeaf(YType.uint8, "statistics-distribution-interval")

                            self.enhanced = Native.Ip.Sla.Entry.IcmpEcho.History.Enhanced()
                            self.enhanced.parent = self
                            self._children_name_map["enhanced"] = "enhanced"
                            self._children_yang_names.add("enhanced")
                            self._segment_path = lambda: "history"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Sla.Entry.IcmpEcho.History, ['buckets_kept', 'distributions_of_statistics_kept', 'filter', 'hours_of_statistics_kept', 'lives_kept', 'statistics_distribution_interval'], name, value)

                        class Filter(Enum):
                            """
                            Filter

                            Add operation to History when...

                            .. data:: all = 0

                            .. data:: failures = 1

                            .. data:: none = 2

                            .. data:: overThreshold = 3

                            """

                            all = Enum.YLeaf(0, "all")

                            failures = Enum.YLeaf(1, "failures")

                            none = Enum.YLeaf(2, "none")

                            overThreshold = Enum.YLeaf(3, "overThreshold")



                        class Enhanced(Entity):
                            """
                            Enable enhanced history collection
                            
                            .. attribute:: interval
                            
                            	Aggregation interval
                            	**type**\: int
                            
                            	**range:** 1..3600
                            
                            .. attribute:: buckets
                            
                            	Number of buckets to collect data
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-sla'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ip.Sla.Entry.IcmpEcho.History.Enhanced, self).__init__()

                                self.yang_name = "enhanced"
                                self.yang_parent_name = "history"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint32, "interval")

                                self.buckets = YLeaf(YType.uint8, "buckets")
                                self._segment_path = lambda: "enhanced"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Sla.Entry.IcmpEcho.History.Enhanced, ['interval', 'buckets'], name, value)


                class PathEcho(Entity):
                    """
                    Path Discovered ICMP Echo Operation
                    
                    .. attribute:: dst_ip
                    
                    	Destination IP address or hostname, broadcast disallowed
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: source_ip
                    
                    	IP address or hostname, broadcast disallowed
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: paths_of_statistics_kept
                    
                    	Maximum number of statistics paths to capture
                    	**type**\: int
                    
                    	**range:** 1..128
                    
                    .. attribute:: samples_of_history_kept
                    
                    	Maximum number of history samples to collect
                    	**type**\: int
                    
                    	**range:** 1..30
                    
                    .. attribute:: hops_of_statistics_kept
                    
                    	Maximum number of statistics hops to capture
                    	**type**\: int
                    
                    	**range:** 1..30
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Sla.Entry.PathEcho, self).__init__()

                        self.yang_name = "path-echo"
                        self.yang_parent_name = "entry"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dst_ip = YLeaf(YType.str, "dst-ip")

                        self.source_ip = YLeaf(YType.str, "source-ip")

                        self.paths_of_statistics_kept = YLeaf(YType.uint8, "paths-of-statistics-kept")

                        self.samples_of_history_kept = YLeaf(YType.uint8, "samples-of-history-kept")

                        self.hops_of_statistics_kept = YLeaf(YType.uint8, "hops-of-statistics-kept")
                        self._segment_path = lambda: "path-echo"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Sla.Entry.PathEcho, ['dst_ip', 'source_ip', 'paths_of_statistics_kept', 'samples_of_history_kept', 'hops_of_statistics_kept'], name, value)


                class PathJitter(Entity):
                    """
                    Path Discovered ICMP Jitter Operation
                    
                    .. attribute:: dst_ip
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: source_ip
                    
                    	Source IP Address
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: default
                    
                    	Set a command to its defaults
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.PathJitter.Default>`
                    
                    .. attribute:: frequency
                    
                    	Frequency of an operation
                    	**type**\: int
                    
                    	**range:** 1..604800
                    
                    .. attribute:: lsr_path
                    
                    	Loose Source Routing Path
                    	**type**\: union of the below types:
                    
                    		**type**\: list of str
                    
                    		**type**\: list of str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: owner
                    
                    	Owner of Entry
                    	**type**\: str
                    
                    .. attribute:: request_data_size
                    
                    	Request data size
                    	**type**\: int
                    
                    	**range:** 0..16384
                    
                    .. attribute:: tag
                    
                    	User defined tag
                    	**type**\: str
                    
                    .. attribute:: threshold
                    
                    	Operation threshold in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..60000
                    
                    .. attribute:: timeout
                    
                    	Timeout of an operation
                    	**type**\: int
                    
                    	**range:** 0..604800000
                    
                    .. attribute:: tos
                    
                    	Type Of Service
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: verify_data
                    
                    	Verify data
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	Configure IP SLAs for a VPN Routing/Forwarding instance
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Sla.Entry.PathJitter, self).__init__()

                        self.yang_name = "path-jitter"
                        self.yang_parent_name = "entry"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default" : ("default", Native.Ip.Sla.Entry.PathJitter.Default)}
                        self._child_list_classes = {}

                        self.dst_ip = YLeaf(YType.str, "dst-ip")

                        self.source_ip = YLeaf(YType.str, "source-ip")

                        self.frequency = YLeaf(YType.uint32, "frequency")

                        self.lsr_path = YLeafList(YType.str, "lsr-path")

                        self.owner = YLeaf(YType.str, "owner")

                        self.request_data_size = YLeaf(YType.uint32, "request-data-size")

                        self.tag = YLeaf(YType.str, "tag")

                        self.threshold = YLeaf(YType.uint32, "threshold")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.tos = YLeaf(YType.uint8, "tos")

                        self.verify_data = YLeaf(YType.empty, "verify-data")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.default = Native.Ip.Sla.Entry.PathJitter.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")
                        self._segment_path = lambda: "path-jitter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Sla.Entry.PathJitter, ['dst_ip', 'source_ip', 'frequency', 'lsr_path', 'owner', 'request_data_size', 'tag', 'threshold', 'timeout', 'tos', 'verify_data', 'vrf'], name, value)


                    class Default(Entity):
                        """
                        Set a command to its defaults
                        
                        .. attribute:: frequency
                        
                        	Frequency of an operation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: lsr_path
                        
                        	Loose Source Routing Path
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: owner
                        
                        	Owner of Entry
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: request_data_size
                        
                        	Request data size
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	User defined tag
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: threshold
                        
                        	Operation threshold in milliseconds
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Timeout of an operation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tos
                        
                        	Type Of Service
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: verify_data
                        
                        	Verify data
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	Configure IP SLAs for a VPN Routing/Forwarding instance
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Sla.Entry.PathJitter.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "path-jitter"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.frequency = YLeaf(YType.empty, "frequency")

                            self.lsr_path = YLeaf(YType.empty, "lsr-path")

                            self.owner = YLeaf(YType.empty, "owner")

                            self.request_data_size = YLeaf(YType.empty, "request-data-size")

                            self.tag = YLeaf(YType.empty, "tag")

                            self.threshold = YLeaf(YType.empty, "threshold")

                            self.timeout = YLeaf(YType.empty, "timeout")

                            self.tos = YLeaf(YType.empty, "tos")

                            self.verify_data = YLeaf(YType.empty, "verify-data")

                            self.vrf = YLeaf(YType.empty, "vrf")
                            self._segment_path = lambda: "default"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Sla.Entry.PathJitter.Default, ['frequency', 'lsr_path', 'owner', 'request_data_size', 'tag', 'threshold', 'timeout', 'tos', 'verify_data', 'vrf'], name, value)


                class UdpEcho(Entity):
                    """
                    UDP echo operation
                    
                    .. attribute:: dest_addr
                    
                    	Hostname or A.B.C.D  Destination IP address or hostname, broadcast disallowed
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    .. attribute:: dest_port
                    
                    	Port Number (Recommended ports greater than 1023)
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: source_ip
                    
                    	Source address\: Hostname or A.B.C.D IP address or hostname, broadcast disallowed
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    .. attribute:: source_port
                    
                    	Source Port\: Port Number (Recommended ports greater than 1023)
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Sla.Entry.UdpEcho, self).__init__()

                        self.yang_name = "udp-echo"
                        self.yang_parent_name = "entry"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dest_addr = YLeaf(YType.str, "dest-addr")

                        self.dest_port = YLeaf(YType.uint16, "dest-port")

                        self.source_ip = YLeaf(YType.str, "source-ip")

                        self.source_port = YLeaf(YType.uint16, "source-port")
                        self._segment_path = lambda: "udp-echo"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Sla.Entry.UdpEcho, ['dest_addr', 'dest_port', 'source_ip', 'source_port'], name, value)


                class UdpJitter(Entity):
                    """
                    UDP jitter operation
                    
                    .. attribute:: dest_addr
                    
                    	Hostname or A.B.C.D  Destination IP address or hostname
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    .. attribute:: portno
                    
                    	Port Number
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: source_ip
                    
                    	Hostname or A.B.C.D  IP address or hostname, broadcast disallowed
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    .. attribute:: num_packets
                    
                    	Number of Packets (default 10)
                    	**type**\: int
                    
                    	**range:** 1..60000
                    
                    .. attribute:: interval
                    
                    	Delay (default 20)
                    	**type**\: int
                    
                    	**range:** 4..60000
                    
                    .. attribute:: history
                    
                    	History and Distribution Data
                    	**type**\:  :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.UdpJitter.History>`
                    
                    .. attribute:: owner
                    
                    	Owner of Entry
                    	**type**\: str
                    
                    .. attribute:: request_data_size
                    
                    	Number of bytes in payload
                    	**type**\: int
                    
                    	**range:** 16..17512
                    
                    .. attribute:: tag
                    
                    	User defined tag
                    	**type**\: str
                    
                    .. attribute:: threshold
                    
                    	Operation threshold in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..60000
                    
                    .. attribute:: timeout
                    
                    	Timeout of an operation
                    	**type**\: int
                    
                    	**range:** 0..604800000
                    
                    .. attribute:: tos
                    
                    	Type Of Service
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: traffic_class
                    
                    	Traffic class
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: vrf
                    
                    	Configure IP SLAs for a VPN Routing/Forwarding instance
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Sla.Entry.UdpJitter, self).__init__()

                        self.yang_name = "udp-jitter"
                        self.yang_parent_name = "entry"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"history" : ("history", Native.Ip.Sla.Entry.UdpJitter.History)}
                        self._child_list_classes = {}

                        self.dest_addr = YLeaf(YType.str, "dest-addr")

                        self.portno = YLeaf(YType.uint16, "portno")

                        self.source_ip = YLeaf(YType.str, "source-ip")

                        self.num_packets = YLeaf(YType.uint16, "num-packets")

                        self.interval = YLeaf(YType.uint16, "interval")

                        self.owner = YLeaf(YType.str, "owner")

                        self.request_data_size = YLeaf(YType.uint16, "request-data-size")

                        self.tag = YLeaf(YType.str, "tag")

                        self.threshold = YLeaf(YType.uint16, "threshold")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.tos = YLeaf(YType.uint8, "tos")

                        self.traffic_class = YLeaf(YType.uint8, "traffic-class")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.history = Native.Ip.Sla.Entry.UdpJitter.History()
                        self.history.parent = self
                        self._children_name_map["history"] = "history"
                        self._children_yang_names.add("history")
                        self._segment_path = lambda: "udp-jitter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Sla.Entry.UdpJitter, ['dest_addr', 'portno', 'source_ip', 'num_packets', 'interval', 'owner', 'request_data_size', 'tag', 'threshold', 'timeout', 'tos', 'traffic_class', 'vrf'], name, value)


                    class History(Entity):
                        """
                        History and Distribution Data
                        
                        .. attribute:: distributions_of_statistics_kept
                        
                        	Maximum number of statistics distribution buckets to capture
                        	**type**\: int
                        
                        	**range:** 1..20
                        
                        .. attribute:: enhanced
                        
                        	Enable enhanced history collection
                        	**type**\:  :py:class:`Enhanced <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.UdpJitter.History.Enhanced>`
                        
                        .. attribute:: hours_of_statistics_kept
                        
                        	Maximum number of statistics hour groups to capture
                        	**type**\: int
                        
                        	**range:** 0..25
                        
                        .. attribute:: statistics_distribution_interval
                        
                        	Statistics distribution interval size
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Sla.Entry.UdpJitter.History, self).__init__()

                            self.yang_name = "history"
                            self.yang_parent_name = "udp-jitter"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"enhanced" : ("enhanced", Native.Ip.Sla.Entry.UdpJitter.History.Enhanced)}
                            self._child_list_classes = {}

                            self.distributions_of_statistics_kept = YLeaf(YType.uint8, "distributions-of-statistics-kept")

                            self.hours_of_statistics_kept = YLeaf(YType.uint8, "hours-of-statistics-kept")

                            self.statistics_distribution_interval = YLeaf(YType.uint8, "statistics-distribution-interval")

                            self.enhanced = Native.Ip.Sla.Entry.UdpJitter.History.Enhanced()
                            self.enhanced.parent = self
                            self._children_name_map["enhanced"] = "enhanced"
                            self._children_yang_names.add("enhanced")
                            self._segment_path = lambda: "history"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Sla.Entry.UdpJitter.History, ['distributions_of_statistics_kept', 'hours_of_statistics_kept', 'statistics_distribution_interval'], name, value)


                        class Enhanced(Entity):
                            """
                            Enable enhanced history collection
                            
                            .. attribute:: interval
                            
                            	Aggregation interval
                            	**type**\: int
                            
                            	**range:** 1..3600
                            
                            .. attribute:: buckets
                            
                            	Number of buckets to collect data
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-sla'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ip.Sla.Entry.UdpJitter.History.Enhanced, self).__init__()

                                self.yang_name = "enhanced"
                                self.yang_parent_name = "history"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")

                                self.buckets = YLeaf(YType.uint8, "buckets")
                                self._segment_path = lambda: "enhanced"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Sla.Entry.UdpJitter.History.Enhanced, ['interval', 'buckets'], name, value)


                class Http(Entity):
                    """
                    HTTP Operation
                    
                    .. attribute:: get
                    
                    	HTTP get operation
                    	**type**\:  :py:class:`Get <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.Http.Get>`
                    
                    .. attribute:: raw
                    
                    	HTTP raw operation
                    	**type**\:  :py:class:`Raw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Entry.Http.Raw>`
                    
                    .. attribute:: owner
                    
                    	Owner of Entry
                    	**type**\: str
                    
                    .. attribute:: tag
                    
                    	User defined tag
                    	**type**\: str
                    
                    .. attribute:: vrf
                    
                    	Configure IP SLAs for a new VPN Routing/Forwarding instance
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Sla.Entry.Http, self).__init__()

                        self.yang_name = "http"
                        self.yang_parent_name = "entry"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"get" : ("get", Native.Ip.Sla.Entry.Http.Get), "raw" : ("raw", Native.Ip.Sla.Entry.Http.Raw)}
                        self._child_list_classes = {}

                        self.owner = YLeaf(YType.str, "owner")

                        self.tag = YLeaf(YType.str, "tag")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.get = Native.Ip.Sla.Entry.Http.Get()
                        self.get.parent = self
                        self._children_name_map["get"] = "get"
                        self._children_yang_names.add("get")

                        self.raw = Native.Ip.Sla.Entry.Http.Raw()
                        self.raw.parent = self
                        self._children_name_map["raw"] = "raw"
                        self._children_yang_names.add("raw")
                        self._segment_path = lambda: "http"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Sla.Entry.Http, ['owner', 'tag', 'vrf'], name, value)


                    class Get(Entity):
                        """
                        HTTP get operation
                        
                        .. attribute:: url
                        
                        	URL
                        	**type**\: str
                        
                        .. attribute:: source_ip
                        
                        	Source Address
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        .. attribute:: source_port
                        
                        	Source port
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: name_server
                        
                        	Name server
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Sla.Entry.Http.Get, self).__init__()

                            self.yang_name = "get"
                            self.yang_parent_name = "http"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.url = YLeaf(YType.str, "url")

                            self.source_ip = YLeaf(YType.str, "source-ip")

                            self.source_port = YLeaf(YType.uint16, "source-port")

                            self.name_server = YLeaf(YType.str, "name-server")
                            self._segment_path = lambda: "get"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Sla.Entry.Http.Get, ['url', 'source_ip', 'source_port', 'name_server'], name, value)


                    class Raw(Entity):
                        """
                        HTTP raw operation
                        
                        .. attribute:: url
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: source_ip
                        
                        	Source Address
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        .. attribute:: source_port
                        
                        	Source port
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: name_server
                        
                        	Name server
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Sla.Entry.Http.Raw, self).__init__()

                            self.yang_name = "raw"
                            self.yang_parent_name = "http"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.url = YLeaf(YType.str, "url")

                            self.source_ip = YLeaf(YType.str, "source-ip")

                            self.source_port = YLeaf(YType.uint16, "source-port")

                            self.name_server = YLeaf(YType.str, "name-server")
                            self._segment_path = lambda: "raw"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Sla.Entry.Http.Raw, ['url', 'source_ip', 'source_port', 'name_server'], name, value)


                class Dhcp(Entity):
                    """
                    DHCP Operation
                    
                    .. attribute:: dst_ip
                    
                    	Destination IP address or hostname, broadcast disallowed
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: source_ip
                    
                    	IP address or hostname, broadcast disallowed
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Sla.Entry.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "entry"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dst_ip = YLeaf(YType.str, "dst-ip")

                        self.source_ip = YLeaf(YType.str, "source-ip")
                        self._segment_path = lambda: "dhcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Sla.Entry.Dhcp, ['dst_ip', 'source_ip'], name, value)


            class Enable(Entity):
                """
                
                
                .. attribute:: reaction_alerts
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Sla.Enable, self).__init__()

                    self.yang_name = "enable"
                    self.yang_parent_name = "sla"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.reaction_alerts = YLeaf(YType.empty, "reaction-alerts")
                    self._segment_path = lambda: "enable"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Sla.Enable, ['reaction_alerts'], name, value)


            class Responder(Entity):
                """
                Enable IP SLAs Responder
                
                .. attribute:: udp_echo
                
                	Setup udp\-echo responder
                	**type**\:  :py:class:`UdpEcho <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Responder.UdpEcho>`
                
                .. attribute:: tcp_connect
                
                	Setup tcp\-connect responder
                	**type**\:  :py:class:`TcpConnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Responder.TcpConnect>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Sla.Responder, self).__init__()

                    self.yang_name = "responder"
                    self.yang_parent_name = "sla"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"udp-echo" : ("udp_echo", Native.Ip.Sla.Responder.UdpEcho), "tcp-connect" : ("tcp_connect", Native.Ip.Sla.Responder.TcpConnect)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.udp_echo = Native.Ip.Sla.Responder.UdpEcho()
                    self.udp_echo.parent = self
                    self._children_name_map["udp_echo"] = "udp-echo"
                    self._children_yang_names.add("udp-echo")

                    self.tcp_connect = Native.Ip.Sla.Responder.TcpConnect()
                    self.tcp_connect.parent = self
                    self._children_name_map["tcp_connect"] = "tcp-connect"
                    self._children_yang_names.add("tcp-connect")
                    self._segment_path = lambda: "responder"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/%s" % self._segment_path()


                class UdpEcho(Entity):
                    """
                    Setup udp\-echo responder
                    
                    .. attribute:: port
                    
                    	Permanent port
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipaddress
                    
                    	Permanent address
                    	**type**\: list of  		 :py:class:`Ipaddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Responder.UdpEcho.Ipaddress>`
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Sla.Responder.UdpEcho, self).__init__()

                        self.yang_name = "udp-echo"
                        self.yang_parent_name = "responder"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipaddress" : ("ipaddress", Native.Ip.Sla.Responder.UdpEcho.Ipaddress)}

                        self.port = YLeaf(YType.uint16, "port")

                        self.ipaddress = YList(self)
                        self._segment_path = lambda: "udp-echo"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/responder/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Sla.Responder.UdpEcho, ['port'], name, value)


                    class Ipaddress(Entity):
                        """
                        Permanent address
                        
                        .. attribute:: host  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: port
                        
                        	Permanent port
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Sla.Responder.UdpEcho.Ipaddress, self).__init__()

                            self.yang_name = "ipaddress"
                            self.yang_parent_name = "udp-echo"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.host = YLeaf(YType.str, "host")

                            self.port = YLeaf(YType.uint16, "port")
                            self._segment_path = lambda: "ipaddress" + "[host='" + self.host.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/responder/udp-echo/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Sla.Responder.UdpEcho.Ipaddress, ['host', 'port'], name, value)


                class TcpConnect(Entity):
                    """
                    Setup tcp\-connect responder
                    
                    .. attribute:: port
                    
                    	Permanent port
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipaddress
                    
                    	Permanent address
                    	**type**\: list of  		 :py:class:`Ipaddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Responder.TcpConnect.Ipaddress>`
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Sla.Responder.TcpConnect, self).__init__()

                        self.yang_name = "tcp-connect"
                        self.yang_parent_name = "responder"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipaddress" : ("ipaddress", Native.Ip.Sla.Responder.TcpConnect.Ipaddress)}

                        self.port = YLeaf(YType.uint16, "port")

                        self.ipaddress = YList(self)
                        self._segment_path = lambda: "tcp-connect"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/responder/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Sla.Responder.TcpConnect, ['port'], name, value)


                    class Ipaddress(Entity):
                        """
                        Permanent address
                        
                        .. attribute:: host  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: port
                        
                        	Permanent port
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Sla.Responder.TcpConnect.Ipaddress, self).__init__()

                            self.yang_name = "ipaddress"
                            self.yang_parent_name = "tcp-connect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.host = YLeaf(YType.str, "host")

                            self.port = YLeaf(YType.uint16, "port")
                            self._segment_path = lambda: "ipaddress" + "[host='" + self.host.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/responder/tcp-connect/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Sla.Responder.TcpConnect.Ipaddress, ['host', 'port'], name, value)


            class Logging(Entity):
                """
                low\-memory
                
                .. attribute:: traps
                
                	Enable syslog traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Sla.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "sla"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.traps = YLeaf(YType.empty, "traps")
                    self._segment_path = lambda: "logging"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Sla.Logging, ['traps'], name, value)


            class Group(Entity):
                """
                Group Configuration or Group Scheduling
                
                .. attribute:: schedule
                
                	Group scheduling
                	**type**\: list of  		 :py:class:`Schedule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group.Schedule>`
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Sla.Group, self).__init__()

                    self.yang_name = "group"
                    self.yang_parent_name = "sla"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"schedule" : ("schedule", Native.Ip.Sla.Group.Schedule)}

                    self.schedule = YList(self)
                    self._segment_path = lambda: "group"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Sla.Group, [], name, value)


                class Schedule(Entity):
                    """
                    Group scheduling
                    
                    .. attribute:: entry_number  <key>
                    
                    	Group schedule entry number
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: probe_ids
                    
                    	
                    	**type**\: list of  		 :py:class:`ProbeIds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group.Schedule.ProbeIds>`
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Sla.Group.Schedule, self).__init__()

                        self.yang_name = "schedule"
                        self.yang_parent_name = "group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"probe-ids" : ("probe_ids", Native.Ip.Sla.Group.Schedule.ProbeIds)}

                        self.entry_number = YLeaf(YType.uint32, "entry-number")

                        self.probe_ids = YList(self)
                        self._segment_path = lambda: "schedule" + "[entry-number='" + self.entry_number.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/group/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Sla.Group.Schedule, ['entry_number'], name, value)


                    class ProbeIds(Entity):
                        """
                        
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: schedule_period
                        
                        	Group schedule period range
                        	**type**\:  :py:class:`SchedulePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod>`
                        
                        

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Sla.Group.Schedule.ProbeIds, self).__init__()

                            self.yang_name = "probe-ids"
                            self.yang_parent_name = "schedule"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"schedule-period" : ("schedule_period", Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.schedule_period = Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod()
                            self.schedule_period.parent = self
                            self._children_name_map["schedule_period"] = "schedule-period"
                            self._children_yang_names.add("schedule-period")
                            self._segment_path = lambda: "probe-ids" + "[word='" + self.word.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Sla.Group.Schedule.ProbeIds, ['word'], name, value)


                        class SchedulePeriod(Entity):
                            """
                            Group schedule period range
                            
                            .. attribute:: seconds
                            
                            	seconds
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: frequency
                            
                            	Group operation frequency
                            	**type**\:  :py:class:`Frequency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.Frequency>`
                            
                            .. attribute:: start_time
                            
                            	When to start this entry
                            	**type**\:  :py:class:`StartTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.StartTime>`
                            
                            .. attribute:: life
                            
                            	Length of time to execute in seconds
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\:  :py:class:`Life <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.Life>`
                            
                            

                            """

                            _prefix = 'ios-sla'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod, self).__init__()

                                self.yang_name = "schedule-period"
                                self.yang_parent_name = "probe-ids"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"frequency" : ("frequency", Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.Frequency), "start-time" : ("start_time", Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.StartTime)}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint32, "seconds")

                                self.life = YLeaf(YType.str, "life")

                                self.frequency = Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.Frequency()
                                self.frequency.parent = self
                                self._children_name_map["frequency"] = "frequency"
                                self._children_yang_names.add("frequency")

                                self.start_time = Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.StartTime()
                                self.start_time.parent = self
                                self._children_name_map["start_time"] = "start-time"
                                self._children_yang_names.add("start-time")
                                self._segment_path = lambda: "schedule-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod, ['seconds', 'life'], name, value)

                            class Life(Enum):
                                """
                                Life

                                Length of time to execute in seconds

                                .. data:: forever = 0

                                """

                                forever = Enum.YLeaf(0, "forever")



                            class Frequency(Entity):
                                """
                                Group operation frequency
                                
                                .. attribute:: frequency_val
                                
                                	Specify frequency in seconds
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: range
                                
                                	Group operation frequency\-range for random scheduling
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-sla'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.Frequency, self).__init__()

                                    self.yang_name = "frequency"
                                    self.yang_parent_name = "schedule-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.frequency_val = YLeaf(YType.uint32, "frequency-val")

                                    self.range = YLeaf(YType.str, "range")
                                    self._segment_path = lambda: "frequency"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.Frequency, ['frequency_val', 'range'], name, value)


                            class StartTime(Entity):
                                """
                                When to start this entry
                                
                                .. attribute:: now
                                
                                	Start now
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sla'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.StartTime, self).__init__()

                                    self.yang_name = "start-time"
                                    self.yang_parent_name = "schedule-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.now = YLeaf(YType.empty, "now")
                                    self._segment_path = lambda: "start-time"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Sla.Group.Schedule.ProbeIds.SchedulePeriod.StartTime, ['now'], name, value)


            class Schedule(Entity):
                """
                Entry Scheduling
                
                .. attribute:: entry_number  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: ageout
                
                	How long to keep this Entry when inactive
                	**type**\: int
                
                	**range:** 0..2073600
                
                .. attribute:: life
                
                	Length of time to execute in seconds
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..4294967295
                
                		**type**\:  :py:class:`Life <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Schedule.Life>`
                
                .. attribute:: recurring
                
                	Probe to be scheduled automatically every day
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: start_time
                
                	When to start this entry
                	**type**\:  :py:class:`StartTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Schedule.StartTime>`
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Sla.Schedule, self).__init__()

                    self.yang_name = "schedule"
                    self.yang_parent_name = "sla"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"start-time" : ("start_time", Native.Ip.Sla.Schedule.StartTime)}
                    self._child_list_classes = {}

                    self.entry_number = YLeaf(YType.uint32, "entry-number")

                    self.ageout = YLeaf(YType.uint32, "ageout")

                    self.life = YLeaf(YType.str, "life")

                    self.recurring = YLeaf(YType.empty, "recurring")

                    self.start_time = Native.Ip.Sla.Schedule.StartTime()
                    self.start_time.parent = self
                    self._children_name_map["start_time"] = "start-time"
                    self._children_yang_names.add("start-time")
                    self._segment_path = lambda: "schedule" + "[entry-number='" + self.entry_number.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Sla.Schedule, ['entry_number', 'ageout', 'life', 'recurring'], name, value)

                class Life(Enum):
                    """
                    Life

                    Length of time to execute in seconds

                    .. data:: forever = 0

                    """

                    forever = Enum.YLeaf(0, "forever")



                class StartTime(Entity):
                    """
                    When to start this entry
                    
                    .. attribute:: after
                    
                    	Start after a certain amount of time from now
                    	**type**\: str
                    
                    .. attribute:: hour_min
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: hour_min_sec
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: now
                    
                    	Start now
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pending
                    
                    	Start pending
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: random
                    
                    	Start after random time (range)
                    	**type**\: int
                    
                    	**range:** 500..10000
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Sla.Schedule.StartTime, self).__init__()

                        self.yang_name = "start-time"
                        self.yang_parent_name = "schedule"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.after = YLeaf(YType.str, "after")

                        self.hour_min = YLeaf(YType.str, "hour-min")

                        self.hour_min_sec = YLeaf(YType.str, "hour-min-sec")

                        self.now = YLeaf(YType.empty, "now")

                        self.pending = YLeaf(YType.empty, "pending")

                        self.random = YLeaf(YType.uint32, "random")
                        self._segment_path = lambda: "start-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Sla.Schedule.StartTime, ['after', 'hour_min', 'hour_min_sec', 'now', 'pending', 'random'], name, value)


            class ReactionConfiguration(Entity):
                """
                IP SLA's reaction configuration
                
                .. attribute:: entry_number  <key>
                
                	Entry number
                	**type**\: int
                
                	**range:** 1..2147483647
                
                .. attribute:: react
                
                	
                	**type**\:  :py:class:`React <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React>`
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Sla.ReactionConfiguration, self).__init__()

                    self.yang_name = "reaction-configuration"
                    self.yang_parent_name = "sla"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"react" : ("react", Native.Ip.Sla.ReactionConfiguration.React)}
                    self._child_list_classes = {}

                    self.entry_number = YLeaf(YType.uint64, "entry-number")

                    self.react = Native.Ip.Sla.ReactionConfiguration.React()
                    self.react.parent = self
                    self._children_name_map["react"] = "react"
                    self._children_yang_names.add("react")
                    self._segment_path = lambda: "reaction-configuration" + "[entry-number='" + self.entry_number.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Sla.ReactionConfiguration, ['entry_number'], name, value)


                class React(Entity):
                    """
                    
                    
                    .. attribute:: connectionloss
                    
                    	
                    	**type**\:  :py:class:`Connectionloss <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Connectionloss>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rtt
                    
                    	
                    	**type**\:  :py:class:`Rtt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Rtt>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Sla.ReactionConfiguration.React, self).__init__()

                        self.yang_name = "react"
                        self.yang_parent_name = "reaction-configuration"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"connectionLoss" : ("connectionloss", Native.Ip.Sla.ReactionConfiguration.React.Connectionloss), "rtt" : ("rtt", Native.Ip.Sla.ReactionConfiguration.React.Rtt)}
                        self._child_list_classes = {}

                        self.connectionloss = None
                        self._children_name_map["connectionloss"] = "connectionLoss"
                        self._children_yang_names.add("connectionLoss")

                        self.rtt = None
                        self._children_name_map["rtt"] = "rtt"
                        self._children_yang_names.add("rtt")
                        self._segment_path = lambda: "react"


                    class Connectionloss(Entity):
                        """
                        
                        
                        .. attribute:: threshold_type
                        
                        	
                        	**type**\:  :py:class:`ThresholdType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Sla.ReactionConfiguration.React.Connectionloss, self).__init__()

                            self.yang_name = "connectionLoss"
                            self.yang_parent_name = "react"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold-type" : ("threshold_type", Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.threshold_type = Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType()
                            self.threshold_type.parent = self
                            self._children_name_map["threshold_type"] = "threshold-type"
                            self._children_yang_names.add("threshold-type")
                            self._segment_path = lambda: "connectionLoss"


                        class ThresholdType(Entity):
                            """
                            
                            
                            .. attribute:: xofy
                            
                            	
                            	**type**\:  :py:class:`Xofy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy>`
                            
                            

                            """

                            _prefix = 'ios-sla'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType, self).__init__()

                                self.yang_name = "threshold-type"
                                self.yang_parent_name = "connectionLoss"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"xOfy" : ("xofy", Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy)}
                                self._child_list_classes = {}

                                self.xofy = Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy()
                                self.xofy.parent = self
                                self._children_name_map["xofy"] = "xOfy"
                                self._children_yang_names.add("xOfy")
                                self._segment_path = lambda: "threshold-type"


                            class Xofy(Entity):
                                """
                                
                                
                                .. attribute:: x_val
                                
                                	X value
                                	**type**\: int
                                
                                	**range:** 1..16
                                
                                .. attribute:: y_val
                                
                                	Y value
                                	**type**\: int
                                
                                	**range:** 1..16
                                
                                .. attribute:: action_type
                                
                                	
                                	**type**\:  :py:class:`ActionType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy.ActionType>`
                                
                                

                                """

                                _prefix = 'ios-sla'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy, self).__init__()

                                    self.yang_name = "xOfy"
                                    self.yang_parent_name = "threshold-type"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.x_val = YLeaf(YType.uint8, "x-val")

                                    self.y_val = YLeaf(YType.uint8, "y-val")

                                    self.action_type = YLeaf(YType.enumeration, "action-type")
                                    self._segment_path = lambda: "xOfy"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ip.Sla.ReactionConfiguration.React.Connectionloss.ThresholdType.Xofy, ['x_val', 'y_val', 'action_type'], name, value)

                                class ActionType(Enum):
                                    """
                                    ActionType

                                    .. data:: none = 0

                                    .. data:: trapAndTrigger = 1

                                    .. data:: trapOnly = 2

                                    .. data:: triggerOnly = 3

                                    """

                                    none = Enum.YLeaf(0, "none")

                                    trapAndTrigger = Enum.YLeaf(1, "trapAndTrigger")

                                    trapOnly = Enum.YLeaf(2, "trapOnly")

                                    triggerOnly = Enum.YLeaf(3, "triggerOnly")



                    class Rtt(Entity):
                        """
                        
                        
                        .. attribute:: threshold_value
                        
                        	
                        	**type**\:  :py:class:`ThresholdValue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sla'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Sla.ReactionConfiguration.React.Rtt, self).__init__()

                            self.yang_name = "rtt"
                            self.yang_parent_name = "react"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold-value" : ("threshold_value", Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.threshold_value = Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue()
                            self.threshold_value.parent = self
                            self._children_name_map["threshold_value"] = "threshold-value"
                            self._children_yang_names.add("threshold-value")
                            self._segment_path = lambda: "rtt"


                        class ThresholdValue(Entity):
                            """
                            
                            
                            .. attribute:: upper_limit_val
                            
                            	Upper limit
                            	**type**\: int
                            
                            	**range:** 1..60000
                            
                            .. attribute:: lower_limit_val
                            
                            	Lower limit
                            	**type**\: int
                            
                            	**range:** 1..60000
                            
                            .. attribute:: threshold_type
                            
                            	Threshold type
                            	**type**\:  :py:class:`ThresholdType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue.ThresholdType>`
                            
                            .. attribute:: action_type
                            
                            	
                            	**type**\:  :py:class:`ActionType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue.ActionType>`
                            
                            

                            """

                            _prefix = 'ios-sla'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue, self).__init__()

                                self.yang_name = "threshold-value"
                                self.yang_parent_name = "rtt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.upper_limit_val = YLeaf(YType.uint32, "upper-limit-val")

                                self.lower_limit_val = YLeaf(YType.uint32, "lower-limit-val")

                                self.threshold_type = YLeaf(YType.enumeration, "threshold-type")

                                self.action_type = YLeaf(YType.enumeration, "action-type")
                                self._segment_path = lambda: "threshold-value"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ip.Sla.ReactionConfiguration.React.Rtt.ThresholdValue, ['upper_limit_val', 'lower_limit_val', 'threshold_type', 'action_type'], name, value)

                            class ActionType(Enum):
                                """
                                ActionType

                                .. data:: none = 0

                                .. data:: trapAndTrigger = 1

                                .. data:: trapOnly = 2

                                .. data:: triggerOnly = 3

                                """

                                none = Enum.YLeaf(0, "none")

                                trapAndTrigger = Enum.YLeaf(1, "trapAndTrigger")

                                trapOnly = Enum.YLeaf(2, "trapOnly")

                                triggerOnly = Enum.YLeaf(3, "triggerOnly")


                            class ThresholdType(Enum):
                                """
                                ThresholdType

                                Threshold type

                                .. data:: immediate = 0

                                """

                                immediate = Enum.YLeaf(0, "immediate")



            class Server(Entity):
                """
                IPPM server configuration
                
                .. attribute:: twamp
                
                	IPPM TWAMP server configuration
                	**type**\:  :py:class:`Twamp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Sla.Server.Twamp>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-sla'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Sla.Server, self).__init__()

                    self.yang_name = "server"
                    self.yang_parent_name = "sla"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"twamp" : ("twamp", Native.Ip.Sla.Server.Twamp)}
                    self._child_list_classes = {}

                    self.twamp = None
                    self._children_name_map["twamp"] = "twamp"
                    self._children_yang_names.add("twamp")
                    self._segment_path = lambda: "server"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/%s" % self._segment_path()


                class Twamp(Entity):
                    """
                    IPPM TWAMP server configuration
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sla'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Sla.Server.Twamp, self).__init__()

                        self.yang_name = "twamp"
                        self.yang_parent_name = "server"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "twamp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-sla:sla/server/%s" % self._segment_path()


        class Wccp(Entity):
            """
            Web\-Cache Coordination Protocol IPv4 Commands
            
            .. attribute:: wccp_list
            
            	
            	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WccpList>`
            
            .. attribute:: source_interface
            
            	Set source interface for Router ID
            	**type**\: str
            
            .. attribute:: web_cache
            
            	Standard web caching service
            	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WebCache>`
            
            .. attribute:: check
            
            	Enable a WCCP check
            	**type**\:  :py:class:`Check <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Check>`
            
            .. attribute:: vrf
            
            	Configure WCCP for a VRF
            	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf>`
            
            

            """

            _prefix = 'ios-wccp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ip.Wccp, self).__init__()

                self.yang_name = "wccp"
                self.yang_parent_name = "ip"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"web-cache" : ("web_cache", Native.Ip.Wccp.WebCache), "check" : ("check", Native.Ip.Wccp.Check)}
                self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Ip.Wccp.WccpList), "vrf" : ("vrf", Native.Ip.Wccp.Vrf)}

                self.source_interface = YLeaf(YType.str, "source-interface")

                self.web_cache = Native.Ip.Wccp.WebCache()
                self.web_cache.parent = self
                self._children_name_map["web_cache"] = "web-cache"
                self._children_yang_names.add("web-cache")

                self.check = Native.Ip.Wccp.Check()
                self.check.parent = self
                self._children_name_map["check"] = "check"
                self._children_yang_names.add("check")

                self.wccp_list = YList(self)
                self.vrf = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-wccp:wccp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ip.Wccp, ['source_interface'], name, value)


            class WccpList(Entity):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..254
                
                .. attribute:: group_address
                
                	Set the multicast group
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: group_list
                
                	Set the access\-list used to permit group membership
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: mode
                
                	Set the service mode
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WccpList.Mode>`
                
                .. attribute:: password
                
                	Set the authentication password
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WccpList.Password>`
                
                .. attribute:: redirect_list
                
                	Set the access\-list used to permit redirection
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: snmp_disabled
                
                	Disable SNMP for WCCP GRE Tunnel
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-wccp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Wccp.WccpList, self).__init__()

                    self.yang_name = "wccp-list"
                    self.yang_parent_name = "wccp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"password" : ("password", Native.Ip.Wccp.WccpList.Password)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.uint8, "id")

                    self.group_address = YLeaf(YType.str, "group-address")

                    self.group_list = YLeaf(YType.str, "group-list")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.redirect_list = YLeaf(YType.str, "redirect-list")

                    self.snmp_disabled = YLeaf(YType.empty, "snmp-disabled")

                    self.password = Native.Ip.Wccp.WccpList.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")
                    self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-wccp:wccp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Wccp.WccpList, ['id', 'group_address', 'group_list', 'mode', 'redirect_list', 'snmp_disabled'], name, value)

                class Mode(Enum):
                    """
                    Mode

                    Set the service mode

                    .. data:: closed = 0

                    .. data:: open = 1

                    """

                    closed = Enum.YLeaf(0, "closed")

                    open = Enum.YLeaf(1, "open")



                class Password(Entity):
                    """
                    Set the authentication password
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WccpList.Password.Encryption>`
                    
                    .. attribute:: clear_key
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Wccp.WccpList.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "wccp-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.encryption = YLeaf(YType.enumeration, "encryption")

                        self.clear_key = YLeaf(YType.str, "clear-key")
                        self._segment_path = lambda: "password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Wccp.WccpList.Password, ['encryption', 'clear_key'], name, value)

                    class Encryption(Enum):
                        """
                        Encryption

                        .. data:: Y_0 = 0

                        .. data:: Y_7 = 1

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        Y_7 = Enum.YLeaf(1, "7")



            class WebCache(Entity):
                """
                Standard web caching service
                
                .. attribute:: group_address
                
                	Set the multicast group
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: group_list
                
                	Set the access\-list used to permit group membership
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: mode
                
                	Set the service mode
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WebCache.Mode>`
                
                .. attribute:: password
                
                	Set the authentication password
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WebCache.Password>`
                
                .. attribute:: redirect_list
                
                	Set the access\-list used to permit redirection
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: snmp_disabled
                
                	Disable SNMP for WCCP GRE Tunnel
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-wccp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Wccp.WebCache, self).__init__()

                    self.yang_name = "web-cache"
                    self.yang_parent_name = "wccp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"password" : ("password", Native.Ip.Wccp.WebCache.Password)}
                    self._child_list_classes = {}

                    self.group_address = YLeaf(YType.str, "group-address")

                    self.group_list = YLeaf(YType.str, "group-list")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.redirect_list = YLeaf(YType.str, "redirect-list")

                    self.snmp_disabled = YLeaf(YType.empty, "snmp-disabled")

                    self.password = Native.Ip.Wccp.WebCache.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")
                    self._segment_path = lambda: "web-cache"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-wccp:wccp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Wccp.WebCache, ['group_address', 'group_list', 'mode', 'redirect_list', 'snmp_disabled'], name, value)

                class Mode(Enum):
                    """
                    Mode

                    Set the service mode

                    .. data:: closed = 0

                    .. data:: open = 1

                    """

                    closed = Enum.YLeaf(0, "closed")

                    open = Enum.YLeaf(1, "open")



                class Password(Entity):
                    """
                    Set the authentication password
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.WebCache.Password.Encryption>`
                    
                    .. attribute:: clear_key
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Wccp.WebCache.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "web-cache"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.encryption = YLeaf(YType.enumeration, "encryption")

                        self.clear_key = YLeaf(YType.str, "clear-key")
                        self._segment_path = lambda: "password"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-wccp:wccp/web-cache/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Wccp.WebCache.Password, ['encryption', 'clear_key'], name, value)

                    class Encryption(Enum):
                        """
                        Encryption

                        .. data:: Y_0 = 0

                        .. data:: Y_7 = 1

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        Y_7 = Enum.YLeaf(1, "7")



            class Check(Entity):
                """
                Enable a WCCP check
                
                .. attribute:: acl
                
                	Enable acl check
                	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Check.Acl>`
                
                .. attribute:: services
                
                	Enable services check
                	**type**\:  :py:class:`Services <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Check.Services>`
                
                

                """

                _prefix = 'ios-wccp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Wccp.Check, self).__init__()

                    self.yang_name = "check"
                    self.yang_parent_name = "wccp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"acl" : ("acl", Native.Ip.Wccp.Check.Acl), "services" : ("services", Native.Ip.Wccp.Check.Services)}
                    self._child_list_classes = {}

                    self.acl = Native.Ip.Wccp.Check.Acl()
                    self.acl.parent = self
                    self._children_name_map["acl"] = "acl"
                    self._children_yang_names.add("acl")

                    self.services = Native.Ip.Wccp.Check.Services()
                    self.services.parent = self
                    self._children_name_map["services"] = "services"
                    self._children_yang_names.add("services")
                    self._segment_path = lambda: "check"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-wccp:wccp/%s" % self._segment_path()


                class Acl(Entity):
                    """
                    Enable acl check
                    
                    .. attribute:: outbound
                    
                    	Enable acl check on original outbound interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Wccp.Check.Acl, self).__init__()

                        self.yang_name = "acl"
                        self.yang_parent_name = "check"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.outbound = YLeaf(YType.empty, "outbound")
                        self._segment_path = lambda: "acl"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-wccp:wccp/check/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Wccp.Check.Acl, ['outbound'], name, value)


                class Services(Entity):
                    """
                    Enable services check
                    
                    .. attribute:: all
                    
                    	Enable all services check for redirection
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Wccp.Check.Services, self).__init__()

                        self.yang_name = "services"
                        self.yang_parent_name = "check"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.all = YLeaf(YType.empty, "all")
                        self._segment_path = lambda: "services"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-wccp:wccp/check/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Wccp.Check.Services, ['all'], name, value)


            class Vrf(Entity):
                """
                Configure WCCP for a VRF
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: wccp_list
                
                	
                	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WccpList>`
                
                .. attribute:: source_interface
                
                	Set source interface for Router ID
                	**type**\: str
                
                .. attribute:: web_cache
                
                	Standard web caching service
                	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WebCache>`
                
                

                """

                _prefix = 'ios-wccp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ip.Wccp.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "wccp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"web-cache" : ("web_cache", Native.Ip.Wccp.Vrf.WebCache)}
                    self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Ip.Wccp.Vrf.WccpList)}

                    self.name = YLeaf(YType.str, "name")

                    self.source_interface = YLeaf(YType.str, "source-interface")

                    self.web_cache = Native.Ip.Wccp.Vrf.WebCache()
                    self.web_cache.parent = self
                    self._children_name_map["web_cache"] = "web-cache"
                    self._children_yang_names.add("web-cache")

                    self.wccp_list = YList(self)
                    self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ip/Cisco-IOS-XE-wccp:wccp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ip.Wccp.Vrf, ['name', 'source_interface'], name, value)


                class WccpList(Entity):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..254
                    
                    .. attribute:: group_address
                    
                    	Set the multicast group
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: group_list
                    
                    	Set the access\-list used to permit group membership
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199 \| 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: mode
                    
                    	Set the service mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WccpList.Mode>`
                    
                    .. attribute:: password
                    
                    	Set the authentication password
                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WccpList.Password>`
                    
                    .. attribute:: redirect_list
                    
                    	Set the access\-list used to permit redirection
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199 \| 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: snmp_disabled
                    
                    	Disable SNMP for WCCP GRE Tunnel
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Wccp.Vrf.WccpList, self).__init__()

                        self.yang_name = "wccp-list"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"password" : ("password", Native.Ip.Wccp.Vrf.WccpList.Password)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.group_address = YLeaf(YType.str, "group-address")

                        self.group_list = YLeaf(YType.str, "group-list")

                        self.mode = YLeaf(YType.enumeration, "mode")

                        self.redirect_list = YLeaf(YType.str, "redirect-list")

                        self.snmp_disabled = YLeaf(YType.empty, "snmp-disabled")

                        self.password = Native.Ip.Wccp.Vrf.WccpList.Password()
                        self.password.parent = self
                        self._children_name_map["password"] = "password"
                        self._children_yang_names.add("password")
                        self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Wccp.Vrf.WccpList, ['id', 'group_address', 'group_list', 'mode', 'redirect_list', 'snmp_disabled'], name, value)

                    class Mode(Enum):
                        """
                        Mode

                        Set the service mode

                        .. data:: closed = 0

                        .. data:: open = 1

                        """

                        closed = Enum.YLeaf(0, "closed")

                        open = Enum.YLeaf(1, "open")



                    class Password(Entity):
                        """
                        Set the authentication password
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WccpList.Password.Encryption>`
                        
                        .. attribute:: clear_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Wccp.Vrf.WccpList.Password, self).__init__()

                            self.yang_name = "password"
                            self.yang_parent_name = "wccp-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.encryption = YLeaf(YType.enumeration, "encryption")

                            self.clear_key = YLeaf(YType.str, "clear-key")
                            self._segment_path = lambda: "password"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Wccp.Vrf.WccpList.Password, ['encryption', 'clear_key'], name, value)

                        class Encryption(Enum):
                            """
                            Encryption

                            .. data:: Y_0 = 0

                            .. data:: Y_7 = 1

                            """

                            Y_0 = Enum.YLeaf(0, "0")

                            Y_7 = Enum.YLeaf(1, "7")



                class WebCache(Entity):
                    """
                    Standard web caching service
                    
                    .. attribute:: group_address
                    
                    	Set the multicast group
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: group_list
                    
                    	Set the access\-list used to permit group membership
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199 \| 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: mode
                    
                    	Set the service mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WebCache.Mode>`
                    
                    .. attribute:: password
                    
                    	Set the authentication password
                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WebCache.Password>`
                    
                    .. attribute:: redirect_list
                    
                    	Set the access\-list used to permit redirection
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199 \| 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: snmp_disabled
                    
                    	Disable SNMP for WCCP GRE Tunnel
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ip.Wccp.Vrf.WebCache, self).__init__()

                        self.yang_name = "web-cache"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"password" : ("password", Native.Ip.Wccp.Vrf.WebCache.Password)}
                        self._child_list_classes = {}

                        self.group_address = YLeaf(YType.str, "group-address")

                        self.group_list = YLeaf(YType.str, "group-list")

                        self.mode = YLeaf(YType.enumeration, "mode")

                        self.redirect_list = YLeaf(YType.str, "redirect-list")

                        self.snmp_disabled = YLeaf(YType.empty, "snmp-disabled")

                        self.password = Native.Ip.Wccp.Vrf.WebCache.Password()
                        self.password.parent = self
                        self._children_name_map["password"] = "password"
                        self._children_yang_names.add("password")
                        self._segment_path = lambda: "web-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ip.Wccp.Vrf.WebCache, ['group_address', 'group_list', 'mode', 'redirect_list', 'snmp_disabled'], name, value)

                    class Mode(Enum):
                        """
                        Mode

                        Set the service mode

                        .. data:: closed = 0

                        .. data:: open = 1

                        """

                        closed = Enum.YLeaf(0, "closed")

                        open = Enum.YLeaf(1, "open")



                    class Password(Entity):
                        """
                        Set the authentication password
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ip.Wccp.Vrf.WebCache.Password.Encryption>`
                        
                        .. attribute:: clear_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ip.Wccp.Vrf.WebCache.Password, self).__init__()

                            self.yang_name = "password"
                            self.yang_parent_name = "web-cache"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.encryption = YLeaf(YType.enumeration, "encryption")

                            self.clear_key = YLeaf(YType.str, "clear-key")
                            self._segment_path = lambda: "password"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ip.Wccp.Vrf.WebCache.Password, ['encryption', 'clear_key'], name, value)

                        class Encryption(Enum):
                            """
                            Encryption

                            .. data:: Y_0 = 0

                            .. data:: Y_7 = 1

                            """

                            Y_0 = Enum.YLeaf(0, "0")

                            Y_7 = Enum.YLeaf(1, "7")



    class Mka(Entity):
        """
        MACsec Key Agreement (MKA) configuration
        
        .. attribute:: policy
        
        	Configure MKA Policy
        	**type**\: list of  		 :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mka.Policy>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Mka, self).__init__()

            self.yang_name = "mka"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-mka:policy" : ("policy", Native.Mka.Policy)}

            self.policy = YList(self)
            self._segment_path = lambda: "mka"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Mka, [], name, value)


        class Policy(Entity):
            """
            Configure MKA Policy
            
            .. attribute:: name  <key>
            
            	MKA Policy NAME
            	**type**\: str
            
            .. attribute:: macsec_cipher_suite
            
            	Cipher Suite for SAK derivation
            	**type**\:  :py:class:`MacsecCipherSuite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mka.Policy.MacsecCipherSuite>`
            
            

            """

            _prefix = 'ios-mka'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Mka.Policy, self).__init__()

                self.yang_name = "policy"
                self.yang_parent_name = "mka"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"macsec-cipher-suite" : ("macsec_cipher_suite", Native.Mka.Policy.MacsecCipherSuite)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.macsec_cipher_suite = Native.Mka.Policy.MacsecCipherSuite()
                self.macsec_cipher_suite.parent = self
                self._children_name_map["macsec_cipher_suite"] = "macsec-cipher-suite"
                self._children_yang_names.add("macsec-cipher-suite")
                self._segment_path = lambda: "Cisco-IOS-XE-mka:policy" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mka/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Mka.Policy, ['name'], name, value)


            class MacsecCipherSuite(Entity):
                """
                Cipher Suite for SAK derivation
                
                .. attribute:: gcm_aes_128
                
                	GCM\-AES\-128 Cipher Suite
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: gcm_aes_256
                
                	GCM\-AES\-256 Cipher Suite
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mka'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Mka.Policy.MacsecCipherSuite, self).__init__()

                    self.yang_name = "macsec-cipher-suite"
                    self.yang_parent_name = "policy"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.gcm_aes_128 = YLeaf(YType.empty, "gcm-aes-128")

                    self.gcm_aes_256 = YLeaf(YType.empty, "gcm-aes-256")
                    self._segment_path = lambda: "macsec-cipher-suite"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mka.Policy.MacsecCipherSuite, ['gcm_aes_128', 'gcm_aes_256'], name, value)


    class Macro(Entity):
        """
        Macro configuration
        
        .. attribute:: global_
        
        	Enter global macro configuration
        	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro.Global_>`
        
        .. attribute:: auto
        
        	Macro autoexecution settings
        	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro.Auto>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Macro, self).__init__()

            self.yang_name = "macro"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"global" : ("global_", Native.Macro.Global_), "auto" : ("auto", Native.Macro.Auto)}
            self._child_list_classes = {}

            self.global_ = Native.Macro.Global_()
            self.global_.parent = self
            self._children_name_map["global_"] = "global"
            self._children_yang_names.add("global")

            self.auto = Native.Macro.Auto()
            self.auto.parent = self
            self._children_name_map["auto"] = "auto"
            self._children_yang_names.add("auto")
            self._segment_path = lambda: "macro"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Global_(Entity):
            """
            Enter global macro configuration
            
            .. attribute:: description
            
            	Macro description of this device
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Macro.Global_, self).__init__()

                self.yang_name = "global"
                self.yang_parent_name = "macro"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.description = YLeaf(YType.str, "description")
                self._segment_path = lambda: "global"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/macro/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Macro.Global_, ['description'], name, value)


        class Auto(Entity):
            """
            Macro autoexecution settings
            
            .. attribute:: execute
            
            	Map event trigger to macro
            	**type**\: list of  		 :py:class:`Execute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro.Auto.Execute>`
            
            .. attribute:: global_
            
            	Macro auto execution configuration
            	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro.Auto.Global_>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Macro.Auto, self).__init__()

                self.yang_name = "auto"
                self.yang_parent_name = "macro"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-switch:global" : ("global_", Native.Macro.Auto.Global_)}
                self._child_list_classes = {"Cisco-IOS-XE-switch:execute" : ("execute", Native.Macro.Auto.Execute)}

                self.global_ = Native.Macro.Auto.Global_()
                self.global_.parent = self
                self._children_name_map["global_"] = "global"
                self._children_yang_names.add("global")

                self.execute = YList(self)
                self._segment_path = lambda: "auto"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/macro/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Macro.Auto, [], name, value)


            class Execute(Entity):
                """
                Map event trigger to macro
                
                .. attribute:: trigger_event  <key>
                
                	
                	**type**\: str
                
                .. attribute:: builtin
                
                	Display builtin shell functions
                	**type**\:  :py:class:`Builtin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro.Auto.Execute.Builtin>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Macro.Auto.Execute, self).__init__()

                    self.yang_name = "execute"
                    self.yang_parent_name = "auto"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"builtin" : ("builtin", Native.Macro.Auto.Execute.Builtin)}
                    self._child_list_classes = {}

                    self.trigger_event = YLeaf(YType.str, "trigger-event")

                    self.builtin = Native.Macro.Auto.Execute.Builtin()
                    self.builtin.parent = self
                    self._children_name_map["builtin"] = "builtin"
                    self._children_yang_names.add("builtin")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:execute" + "[trigger-event='" + self.trigger_event.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/macro/auto/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Macro.Auto.Execute, ['trigger_event'], name, value)


                class Builtin(Entity):
                    """
                    Display builtin shell functions
                    
                    .. attribute:: smart_port_configuration
                    
                    	
                    	**type**\:  :py:class:`SmartPortConfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Macro.Auto.Execute.Builtin.SmartPortConfiguration>`
                    
                    .. attribute:: parameters
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Macro.Auto.Execute.Builtin, self).__init__()

                        self.yang_name = "builtin"
                        self.yang_parent_name = "execute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.smart_port_configuration = YLeaf(YType.enumeration, "smart-port-configuration")

                        self.parameters = YLeaf(YType.str, "parameters")
                        self._segment_path = lambda: "builtin"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Macro.Auto.Execute.Builtin, ['smart_port_configuration', 'parameters'], name, value)

                    class SmartPortConfiguration(Enum):
                        """
                        SmartPortConfiguration

                        .. data:: CISCO_AP_AUTO_SMARTPORT = 0

                        .. data:: CISCO_DMP_AUTO_SMARTPORT = 1

                        .. data:: CISCO_DMP_AUTO_SMARTPORT_V1 = 2

                        .. data:: CISCO_IP_CAMERA_AUTO_SMARTPORT = 3

                        .. data:: CISCO_LAST_RESORT_SMARTPORT = 4

                        .. data:: CISCO_LIGHT_AUTO_SMARTPORT = 5

                        .. data:: CISCO_LWAP_AUTO_SMARTPORT = 6

                        .. data:: CISCO_PHONE_AUTO_SMARTPORT = 7

                        .. data:: CISCO_PHONE_AUTO_SMARTPORT_V1 = 8

                        .. data:: CISCO_ROUTER_AUTO_SMARTPORT = 9

                        .. data:: CISCO_SWITCH_AUTO_SMARTPORT = 10

                        .. data:: MS_IP_CAMERA_AUTO_SMARTPORT = 11

                        .. data:: MS_VIDEO_CONF_AUTO_SMARTPORT = 12

                        """

                        CISCO_AP_AUTO_SMARTPORT = Enum.YLeaf(0, "CISCO_AP_AUTO_SMARTPORT")

                        CISCO_DMP_AUTO_SMARTPORT = Enum.YLeaf(1, "CISCO_DMP_AUTO_SMARTPORT")

                        CISCO_DMP_AUTO_SMARTPORT_V1 = Enum.YLeaf(2, "CISCO_DMP_AUTO_SMARTPORT_V1")

                        CISCO_IP_CAMERA_AUTO_SMARTPORT = Enum.YLeaf(3, "CISCO_IP_CAMERA_AUTO_SMARTPORT")

                        CISCO_LAST_RESORT_SMARTPORT = Enum.YLeaf(4, "CISCO_LAST_RESORT_SMARTPORT")

                        CISCO_LIGHT_AUTO_SMARTPORT = Enum.YLeaf(5, "CISCO_LIGHT_AUTO_SMARTPORT")

                        CISCO_LWAP_AUTO_SMARTPORT = Enum.YLeaf(6, "CISCO_LWAP_AUTO_SMARTPORT")

                        CISCO_PHONE_AUTO_SMARTPORT = Enum.YLeaf(7, "CISCO_PHONE_AUTO_SMARTPORT")

                        CISCO_PHONE_AUTO_SMARTPORT_V1 = Enum.YLeaf(8, "CISCO_PHONE_AUTO_SMARTPORT_V1")

                        CISCO_ROUTER_AUTO_SMARTPORT = Enum.YLeaf(9, "CISCO_ROUTER_AUTO_SMARTPORT")

                        CISCO_SWITCH_AUTO_SMARTPORT = Enum.YLeaf(10, "CISCO_SWITCH_AUTO_SMARTPORT")

                        MS_IP_CAMERA_AUTO_SMARTPORT = Enum.YLeaf(11, "MS_IP_CAMERA_AUTO_SMARTPORT")

                        MS_VIDEO_CONF_AUTO_SMARTPORT = Enum.YLeaf(12, "MS_VIDEO_CONF_AUTO_SMARTPORT")



            class Global_(Entity):
                """
                Macro auto execution configuration
                
                .. attribute:: processing
                
                	Enable auto smartports, all ports enabled by default
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Macro.Auto.Global_, self).__init__()

                    self.yang_name = "global"
                    self.yang_parent_name = "auto"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.processing = YLeaf(YType.empty, "processing")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:global"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/macro/auto/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Macro.Auto.Global_, ['processing'], name, value)


    class Ipv6(Entity):
        """
        Global IPv6 configuration commands
        
        .. attribute:: source_guard
        
        	Configure IPv6 sourceguard
        	**type**\:  :py:class:`SourceGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.SourceGuard>`
        
        .. attribute:: destination_guard
        
        	Configure Destination guard
        	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.DestinationGuard>`
        
        .. attribute:: dhcp
        
        	IPv6 DHCP
        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp>`
        
        .. attribute:: access_list
        
        	Configure access lists
        	**type**\:  :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList>`
        
        .. attribute:: flowset
        
        	Set flow label random for originated packets
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: unicast_routing
        
        	Enable unicast routing
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: multicast
        
        	Configure multicast related commands
        	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Multicast>`
        
        .. attribute:: cef
        
        	Cisco Express Forwarding
        	**type**\:  :py:class:`Cef <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef>`
        
        	**presence node**\: True
        
        .. attribute:: nd
        
        	Configure IPv6 ND
        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd>`
        
        .. attribute:: pim
        
        	Configure Protocol Independent Multicast
        	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Pim>`
        
        .. attribute:: route
        
        	Configure static routes
        	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route>`
        
        .. attribute:: router
        
        	Enable an IPV6 routing process
        	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router>`
        
        .. attribute:: source_route
        
        	Process packets with source routing header options
        	**type**\: bool
        
        .. attribute:: spd
        
        	spd
        	**type**\:  :py:class:`Spd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Spd>`
        
        .. attribute:: prefix_list
        
        	Build a prefix list
        	**type**\:  :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList>`
        
        .. attribute:: neighbor
        
        	Neighbor
        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Neighbor>`
        
        .. attribute:: mld
        
        	Global mld commands
        	**type**\:  :py:class:`Mld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Mld>`
        
        .. attribute:: multicast_routing
        
        	Enable IPv6 multicast
        	**type**\:  :py:class:`MulticastRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.MulticastRouting>`
        
        	**presence node**\: True
        
        .. attribute:: rip
        
        	Configure ipv6 RIP settings
        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Rip>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Ipv6, self).__init__()

            self.yang_name = "ipv6"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"source-guard" : ("source_guard", Native.Ipv6.SourceGuard), "destination-guard" : ("destination_guard", Native.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Ipv6.Dhcp), "access-list" : ("access_list", Native.Ipv6.AccessList), "multicast" : ("multicast", Native.Ipv6.Multicast), "cef" : ("cef", Native.Ipv6.Cef), "nd" : ("nd", Native.Ipv6.Nd), "pim" : ("pim", Native.Ipv6.Pim), "route" : ("route", Native.Ipv6.Route), "router" : ("router", Native.Ipv6.Router), "spd" : ("spd", Native.Ipv6.Spd), "prefix-list" : ("prefix_list", Native.Ipv6.PrefixList), "Cisco-IOS-XE-mld:mld" : ("mld", Native.Ipv6.Mld), "Cisco-IOS-XE-multicast:multicast-routing" : ("multicast_routing", Native.Ipv6.MulticastRouting), "Cisco-IOS-XE-rip:rip" : ("rip", Native.Ipv6.Rip)}
            self._child_list_classes = {"neighbor" : ("neighbor", Native.Ipv6.Neighbor)}

            self.flowset = YLeaf(YType.empty, "flowset")

            self.unicast_routing = YLeaf(YType.empty, "unicast-routing")

            self.source_route = YLeaf(YType.boolean, "source-route")

            self.source_guard = Native.Ipv6.SourceGuard()
            self.source_guard.parent = self
            self._children_name_map["source_guard"] = "source-guard"
            self._children_yang_names.add("source-guard")

            self.destination_guard = Native.Ipv6.DestinationGuard()
            self.destination_guard.parent = self
            self._children_name_map["destination_guard"] = "destination-guard"
            self._children_yang_names.add("destination-guard")

            self.dhcp = Native.Ipv6.Dhcp()
            self.dhcp.parent = self
            self._children_name_map["dhcp"] = "dhcp"
            self._children_yang_names.add("dhcp")

            self.access_list = Native.Ipv6.AccessList()
            self.access_list.parent = self
            self._children_name_map["access_list"] = "access-list"
            self._children_yang_names.add("access-list")

            self.multicast = Native.Ipv6.Multicast()
            self.multicast.parent = self
            self._children_name_map["multicast"] = "multicast"
            self._children_yang_names.add("multicast")

            self.cef = None
            self._children_name_map["cef"] = "cef"
            self._children_yang_names.add("cef")

            self.nd = Native.Ipv6.Nd()
            self.nd.parent = self
            self._children_name_map["nd"] = "nd"
            self._children_yang_names.add("nd")

            self.pim = Native.Ipv6.Pim()
            self.pim.parent = self
            self._children_name_map["pim"] = "pim"
            self._children_yang_names.add("pim")

            self.route = Native.Ipv6.Route()
            self.route.parent = self
            self._children_name_map["route"] = "route"
            self._children_yang_names.add("route")

            self.router = Native.Ipv6.Router()
            self.router.parent = self
            self._children_name_map["router"] = "router"
            self._children_yang_names.add("router")

            self.spd = Native.Ipv6.Spd()
            self.spd.parent = self
            self._children_name_map["spd"] = "spd"
            self._children_yang_names.add("spd")

            self.prefix_list = Native.Ipv6.PrefixList()
            self.prefix_list.parent = self
            self._children_name_map["prefix_list"] = "prefix-list"
            self._children_yang_names.add("prefix-list")

            self.mld = Native.Ipv6.Mld()
            self.mld.parent = self
            self._children_name_map["mld"] = "mld"
            self._children_yang_names.add("mld")

            self.multicast_routing = None
            self._children_name_map["multicast_routing"] = "multicast-routing"
            self._children_yang_names.add("multicast-routing")

            self.rip = Native.Ipv6.Rip()
            self.rip.parent = self
            self._children_name_map["rip"] = "rip"
            self._children_yang_names.add("rip")

            self.neighbor = YList(self)
            self._segment_path = lambda: "ipv6"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Ipv6, ['flowset', 'unicast_routing', 'source_route'], name, value)


        class SourceGuard(Entity):
            """
            Configure IPv6 sourceguard
            
            .. attribute:: policy
            
            	Configure a policy for feature sourceguard
            	**type**\: list of  		 :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.SourceGuard.Policy>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ipv6.SourceGuard, self).__init__()

                self.yang_name = "source-guard"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"policy" : ("policy", Native.Ipv6.SourceGuard.Policy)}

                self.policy = YList(self)
                self._segment_path = lambda: "source-guard"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.SourceGuard, [], name, value)


            class Policy(Entity):
                """
                Configure a policy for feature sourceguard
                
                .. attribute:: source_guard_policy_name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: validate
                
                	Validate the src of the received data traffic
                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.SourceGuard.Policy.Validate>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ipv6.SourceGuard.Policy, self).__init__()

                    self.yang_name = "policy"
                    self.yang_parent_name = "source-guard"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"validate" : ("validate", Native.Ipv6.SourceGuard.Policy.Validate)}
                    self._child_list_classes = {}

                    self.source_guard_policy_name = YLeaf(YType.str, "source-guard-policy-name")

                    self.validate = Native.Ipv6.SourceGuard.Policy.Validate()
                    self.validate.parent = self
                    self._children_name_map["validate"] = "validate"
                    self._children_yang_names.add("validate")
                    self._segment_path = lambda: "policy" + "[source-guard-policy-name='" + self.source_guard_policy_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/source-guard/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.SourceGuard.Policy, ['source_guard_policy_name'], name, value)


                class Validate(Entity):
                    """
                    Validate the src of the received data traffic
                    
                    .. attribute:: address
                    
                    	Validate against addresses learned in NDP/DHCP traffic (default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: prefix
                    
                    	Validate against prefixes learned in RA or DHCP\-PD traffic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ipv6.SourceGuard.Policy.Validate, self).__init__()

                        self.yang_name = "validate"
                        self.yang_parent_name = "policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.empty, "address")

                        self.prefix = YLeaf(YType.empty, "prefix")
                        self._segment_path = lambda: "validate"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.SourceGuard.Policy.Validate, ['address', 'prefix'], name, value)


        class DestinationGuard(Entity):
            """
            Configure Destination guard
            
            .. attribute:: policy
            
            	Configure a policy for feature destguard
            	**type**\: list of  		 :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.DestinationGuard.Policy>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ipv6.DestinationGuard, self).__init__()

                self.yang_name = "destination-guard"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"policy" : ("policy", Native.Ipv6.DestinationGuard.Policy)}

                self.policy = YList(self)
                self._segment_path = lambda: "destination-guard"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.DestinationGuard, [], name, value)


            class Policy(Entity):
                """
                Configure a policy for feature destguard
                
                .. attribute:: destination_guard_policy_name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: enforcement
                
                	Sets the enforcement level
                	**type**\:  :py:class:`Enforcement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.DestinationGuard.Policy.Enforcement>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ipv6.DestinationGuard.Policy, self).__init__()

                    self.yang_name = "policy"
                    self.yang_parent_name = "destination-guard"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"enforcement" : ("enforcement", Native.Ipv6.DestinationGuard.Policy.Enforcement)}
                    self._child_list_classes = {}

                    self.destination_guard_policy_name = YLeaf(YType.str, "destination-guard-policy-name")

                    self.enforcement = Native.Ipv6.DestinationGuard.Policy.Enforcement()
                    self.enforcement.parent = self
                    self._children_name_map["enforcement"] = "enforcement"
                    self._children_yang_names.add("enforcement")
                    self._segment_path = lambda: "policy" + "[destination-guard-policy-name='" + self.destination_guard_policy_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/destination-guard/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.DestinationGuard.Policy, ['destination_guard_policy_name'], name, value)


                class Enforcement(Entity):
                    """
                    Sets the enforcement level
                    
                    .. attribute:: always
                    
                    	Enforced under all conditions (default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: stressed
                    
                    	Enforced when system is under stress
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ipv6.DestinationGuard.Policy.Enforcement, self).__init__()

                        self.yang_name = "enforcement"
                        self.yang_parent_name = "policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.always = YLeaf(YType.empty, "always")

                        self.stressed = YLeaf(YType.empty, "stressed")
                        self._segment_path = lambda: "enforcement"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.DestinationGuard.Policy.Enforcement, ['always', 'stressed'], name, value)


        class Dhcp(Entity):
            """
            IPv6 DHCP
            
            .. attribute:: server
            
            	Configure IPv6 DHCP server
            	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Server>`
            
            .. attribute:: guard
            
            	Configure IPv6 DHCP guard
            	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Guard>`
            
            .. attribute:: pool
            
            	Configure IPv6 DHCP pool
            	**type**\: list of  		 :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Pool>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ipv6.Dhcp, self).__init__()

                self.yang_name = "dhcp"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-dhcp:server" : ("server", Native.Ipv6.Dhcp.Server), "Cisco-IOS-XE-dhcp:guard" : ("guard", Native.Ipv6.Dhcp.Guard)}
                self._child_list_classes = {"Cisco-IOS-XE-dhcp:pool" : ("pool", Native.Ipv6.Dhcp.Pool)}

                self.server = Native.Ipv6.Dhcp.Server()
                self.server.parent = self
                self._children_name_map["server"] = "server"
                self._children_yang_names.add("server")

                self.guard = Native.Ipv6.Dhcp.Guard()
                self.guard.parent = self
                self._children_name_map["guard"] = "guard"
                self._children_yang_names.add("guard")

                self.pool = YList(self)
                self._segment_path = lambda: "dhcp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.Dhcp, [], name, value)


            class Server(Entity):
                """
                Configure IPv6 DHCP server
                
                .. attribute:: vrf
                
                	Enable VRF Awareness on server
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Server.Vrf>`
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ipv6.Dhcp.Server, self).__init__()

                    self.yang_name = "server"
                    self.yang_parent_name = "dhcp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"vrf" : ("vrf", Native.Ipv6.Dhcp.Server.Vrf)}
                    self._child_list_classes = {}

                    self.vrf = Native.Ipv6.Dhcp.Server.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")
                    self._segment_path = lambda: "Cisco-IOS-XE-dhcp:server"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/dhcp/%s" % self._segment_path()


                class Vrf(Entity):
                    """
                    Enable VRF Awareness on server
                    
                    .. attribute:: enable
                    
                    	Enable Address/PD allocation based on VRF
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ipv6.Dhcp.Server.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "server"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "vrf"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/dhcp/Cisco-IOS-XE-dhcp:server/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Dhcp.Server.Vrf, ['enable'], name, value)


            class Guard(Entity):
                """
                Configure IPv6 DHCP guard
                
                .. attribute:: policy
                
                	Configure a policy for feature dhcp guard
                	**type**\: list of  		 :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Guard.Policy>`
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ipv6.Dhcp.Guard, self).__init__()

                    self.yang_name = "guard"
                    self.yang_parent_name = "dhcp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"policy" : ("policy", Native.Ipv6.Dhcp.Guard.Policy)}

                    self.policy = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-dhcp:guard"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/dhcp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Dhcp.Guard, [], name, value)


                class Policy(Entity):
                    """
                    Configure a policy for feature dhcp guard
                    
                    .. attribute:: dhcp_guard_policy_name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: device_role
                    
                    	Sets the role of the device attached to the port
                    	**type**\:  :py:class:`DeviceRole <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Guard.Policy.DeviceRole>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ipv6.Dhcp.Guard.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "guard"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"device-role" : ("device_role", Native.Ipv6.Dhcp.Guard.Policy.DeviceRole)}
                        self._child_list_classes = {}

                        self.dhcp_guard_policy_name = YLeaf(YType.str, "dhcp-guard-policy-name")

                        self.device_role = Native.Ipv6.Dhcp.Guard.Policy.DeviceRole()
                        self.device_role.parent = self
                        self._children_name_map["device_role"] = "device-role"
                        self._children_yang_names.add("device-role")
                        self._segment_path = lambda: "policy" + "[dhcp-guard-policy-name='" + self.dhcp_guard_policy_name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/dhcp/Cisco-IOS-XE-dhcp:guard/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Dhcp.Guard.Policy, ['dhcp_guard_policy_name'], name, value)


                    class DeviceRole(Entity):
                        """
                        Sets the role of the device attached to the port
                        
                        .. attribute:: server
                        
                        	Attached device is a dhcp server
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: client
                        
                        	Attached device is a client (default)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ipv6.Dhcp.Guard.Policy.DeviceRole, self).__init__()

                            self.yang_name = "device-role"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.server = YLeaf(YType.empty, "server")

                            self.client = YLeaf(YType.empty, "client")
                            self._segment_path = lambda: "device-role"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Dhcp.Guard.Policy.DeviceRole, ['server', 'client'], name, value)


            class Pool(Entity):
                """
                Configure IPv6 DHCP pool
                
                .. attribute:: name  <key>
                
                	DHCP pool name
                	**type**\: str
                
                .. attribute:: vrf
                
                	VRF name
                	**type**\: str
                
                .. attribute:: address
                
                	IPv6 address allocation
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Pool.Address>`
                
                .. attribute:: dns_server
                
                	Server's name or IPv6 addres
                	**type**\: union of the below types:
                
                		**type**\: list of str
                
                		**type**\: list of str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: domain_name
                
                	Domain name to complete unqualified host names
                	**type**\: str
                
                .. attribute:: link_address
                
                	Link\-address to match
                	**type**\: list of  		 :py:class:`LinkAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Pool.LinkAddress>`
                
                

                """

                _prefix = 'ios-dhcp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Ipv6.Dhcp.Pool, self).__init__()

                    self.yang_name = "pool"
                    self.yang_parent_name = "dhcp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"address" : ("address", Native.Ipv6.Dhcp.Pool.Address)}
                    self._child_list_classes = {"link-address" : ("link_address", Native.Ipv6.Dhcp.Pool.LinkAddress)}

                    self.name = YLeaf(YType.str, "name")

                    self.vrf = YLeaf(YType.str, "vrf")

                    self.dns_server = YLeafList(YType.str, "dns-server")

                    self.domain_name = YLeaf(YType.str, "domain-name")

                    self.address = Native.Ipv6.Dhcp.Pool.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.link_address = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-dhcp:pool" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/dhcp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Dhcp.Pool, ['name', 'vrf', 'dns_server', 'domain_name'], name, value)


                class Address(Entity):
                    """
                    IPv6 address allocation
                    
                    .. attribute:: prefix
                    
                    	IPv6 address allocation prefix
                    	**type**\: list of  		 :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Pool.Address.Prefix>`
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ipv6.Dhcp.Pool.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "pool"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"prefix" : ("prefix", Native.Ipv6.Dhcp.Pool.Address.Prefix)}

                        self.prefix = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Dhcp.Pool.Address, [], name, value)


                    class Prefix(Entity):
                        """
                        IPv6 address allocation prefix
                        
                        .. attribute:: ipv6_address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: lifetime
                        
                        	Configure prefix lifetimes
                        	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Ipv6.Dhcp.Pool.Address.Prefix, self).__init__()

                            self.yang_name = "prefix"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"lifetime" : ("lifetime", Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime)}
                            self._child_list_classes = {}

                            self.ipv6_address = YLeaf(YType.str, "ipv6-address")

                            self.lifetime = Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime()
                            self.lifetime.parent = self
                            self._children_name_map["lifetime"] = "lifetime"
                            self._children_yang_names.add("lifetime")
                            self._segment_path = lambda: "prefix" + "[ipv6-address='" + self.ipv6_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Dhcp.Pool.Address.Prefix, ['ipv6_address'], name, value)


                        class Lifetime(Entity):
                            """
                            Configure prefix lifetimes
                            
                            .. attribute:: valid_lifetime
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\:  :py:class:`ValidLifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime.ValidLifetime>`
                            
                            .. attribute:: preferred_lifetime
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\:  :py:class:`PreferredLifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime.PreferredLifetime>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime, self).__init__()

                                self.yang_name = "lifetime"
                                self.yang_parent_name = "prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.valid_lifetime = YLeaf(YType.str, "valid-lifetime")

                                self.preferred_lifetime = YLeaf(YType.str, "preferred-lifetime")
                                self._segment_path = lambda: "lifetime"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Dhcp.Pool.Address.Prefix.Lifetime, ['valid_lifetime', 'preferred_lifetime'], name, value)

                            class PreferredLifetime(Enum):
                                """
                                PreferredLifetime

                                .. data:: infinite = 0

                                """

                                infinite = Enum.YLeaf(0, "infinite")


                            class ValidLifetime(Enum):
                                """
                                ValidLifetime

                                .. data:: infinite = 0

                                """

                                infinite = Enum.YLeaf(0, "infinite")



                class LinkAddress(Entity):
                    """
                    Link\-address to match
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    

                    """

                    _prefix = 'ios-dhcp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Ipv6.Dhcp.Pool.LinkAddress, self).__init__()

                        self.yang_name = "link-address"
                        self.yang_parent_name = "pool"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")
                        self._segment_path = lambda: "link-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Dhcp.Pool.LinkAddress, ['address'], name, value)


        class AccessList(Entity):
            """
            Configure access lists
            
            .. attribute:: named_acl
            
            	
            	**type**\: list of  		 :py:class:`NamedAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl>`
            
            .. attribute:: named_rb_acl
            
            	
            	**type**\: list of  		 :py:class:`NamedRbAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl>`
            
            .. attribute:: log_update
            
            	Control access list log updates
            	**type**\:  :py:class:`LogUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.LogUpdate>`
            
            .. attribute:: match_local_traffic
            
            	Match locally\-generated traffic
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ipv6.AccessList, self).__init__()

                self.yang_name = "access-list"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-acl:log-update" : ("log_update", Native.Ipv6.AccessList.LogUpdate)}
                self._child_list_classes = {"Cisco-IOS-XE-acl:named-acl" : ("named_acl", Native.Ipv6.AccessList.NamedAcl), "Cisco-IOS-XE-acl:named-rb-acl" : ("named_rb_acl", Native.Ipv6.AccessList.NamedRbAcl)}

                self.match_local_traffic = YLeaf(YType.empty, "Cisco-IOS-XE-acl:match-local-traffic")

                self.log_update = Native.Ipv6.AccessList.LogUpdate()
                self.log_update.parent = self
                self._children_name_map["log_update"] = "log-update"
                self._children_yang_names.add("log-update")

                self.named_acl = YList(self)
                self.named_rb_acl = YList(self)
                self._segment_path = lambda: "access-list"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.AccessList, ['match_local_traffic'], name, value)


            class NamedAcl(Entity):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: access_list_seq_rule
                
                	
                	**type**\: list of  		 :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.Default>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-08-01'

                def __init__(self):
                    super(Native.Ipv6.AccessList.NamedAcl, self).__init__()

                    self.yang_name = "named-acl"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Ipv6.AccessList.NamedAcl.Default)}
                    self._child_list_classes = {"access-list-seq-rule" : ("access_list_seq_rule", Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule)}

                    self.name = YLeaf(YType.str, "name")

                    self.default = Native.Ipv6.AccessList.NamedAcl.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.access_list_seq_rule = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-acl:named-acl" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/access-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.AccessList.NamedAcl, ['name'], name, value)


                class AccessListSeqRule(Entity):
                    """
                    
                    
                    .. attribute:: sequence  <key>
                    
                    	Sequence number for this entry
                    	**type**\: int
                    
                    	**range:** 1..4294967294
                    
                    .. attribute:: ace_rule
                    
                    	
                    	**type**\:  :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule>`
                    
                    .. attribute:: remark
                    
                    	Access list entry comment
                    	**type**\: str
                    
                    	**length:** 1..100
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-08-01'

                    def __init__(self):
                        super(Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule, self).__init__()

                        self.yang_name = "access-list-seq-rule"
                        self.yang_parent_name = "named-acl"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ace-rule" : ("ace_rule", Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule)}
                        self._child_list_classes = {}

                        self.sequence = YLeaf(YType.uint64, "sequence")

                        self.remark = YLeaf(YType.str, "remark")

                        self.ace_rule = Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule()
                        self.ace_rule.parent = self
                        self._children_name_map["ace_rule"] = "ace-rule"
                        self._children_yang_names.add("ace-rule")
                        self._segment_path = lambda: "access-list-seq-rule" + "[sequence='" + self.sequence.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule, ['sequence', 'remark'], name, value)


                    class AceRule(Entity):
                        """
                        
                        
                        .. attribute:: action
                        
                        	
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule.Action>`
                        
                        .. attribute:: protocol
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..255
                        
                        		**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.Protocol>`
                        
                        .. attribute:: source_host
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        .. attribute:: source_address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source_wildcard_bits
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source_prefix
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: any
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: src_eq
                        
                        	Match only packets on a given port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_gt
                        
                        	Match only packets with a greater port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_lt
                        
                        	Match only packets with a lower port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_neq
                        
                        	Match only packets not on a given port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_range1
                        
                        	Match only packets in the range of port numbers
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_range2
                        
                        	Match only packets in the range of port numbers
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: destination_host
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        .. attribute:: destination_address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: destination_wildcard_bits
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: destination_prefix
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: destination_any
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dst_eq
                        
                        	Match only packets on a given port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_gt
                        
                        	Match only packets with a greater port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_lt
                        
                        	Match only packets with a lower port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_neq
                        
                        	Match only packets not on a given port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_range1
                        
                        	Match only packets in the range of port numbers
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_range2
                        
                        	Match only packets in the range of port numbers
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: auth
                        
                        	Match on authentication header
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dest_option
                        
                        	Destination Option header (all types)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	Match packets with given dscp value
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..63
                        
                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                        
                        .. attribute:: flow_label
                        
                        	Flow label
                        	**type**\: int
                        
                        	**range:** 0..1048575
                        
                        .. attribute:: fragments
                        
                        	Check non\-initial fragments
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hbh
                        
                        	Match on hop\-by\-hop option
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log
                        
                        	Log matches against this entry
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log_input
                        
                        	Log matches against this entry, including input
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mobility
                        
                        	Mobility header (all types)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mobility_type
                        
                        	Mobility header with type
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..255
                        
                        		**type**\:  :py:class:`MobilityType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MobilityType>`
                        
                        .. attribute:: routing
                        
                        	Routing header (all types)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: routing_type
                        
                        	Routing header with type
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: time_range
                        
                        	Specify a time\-range
                        	**type**\: str
                        
                        .. attribute:: ack
                        
                        	Match on the ACK bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fin
                        
                        	Match on the FIN bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: psh
                        
                        	Match on the PSH bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rst
                        
                        	Match on the RST bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: syn
                        
                        	Match on the SYN bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: urg
                        
                        	Match on the URG bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: established
                        
                        	Match established connections
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: msg_type_case
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: msg_code
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: named_msg_type
                        
                        	
                        	**type**\:  :py:class:`NamedMsgType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule.NamedMsgType>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule, self).__init__()

                            self.yang_name = "ace-rule"
                            self.yang_parent_name = "access-list-seq-rule"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.action = YLeaf(YType.enumeration, "action")

                            self.protocol = YLeaf(YType.str, "protocol")

                            self.source_host = YLeaf(YType.str, "source-host")

                            self.source_address = YLeaf(YType.str, "source-address")

                            self.source_wildcard_bits = YLeaf(YType.str, "source-wildcard-bits")

                            self.source_prefix = YLeaf(YType.str, "source-prefix")

                            self.any = YLeaf(YType.empty, "any")

                            self.src_eq = YLeaf(YType.str, "src-eq")

                            self.src_gt = YLeaf(YType.str, "src-gt")

                            self.src_lt = YLeaf(YType.str, "src-lt")

                            self.src_neq = YLeaf(YType.str, "src-neq")

                            self.src_range1 = YLeaf(YType.str, "src-range1")

                            self.src_range2 = YLeaf(YType.str, "src-range2")

                            self.destination_host = YLeaf(YType.str, "destination-host")

                            self.destination_address = YLeaf(YType.str, "destination-address")

                            self.destination_wildcard_bits = YLeaf(YType.str, "destination-wildcard-bits")

                            self.destination_prefix = YLeaf(YType.str, "destination-prefix")

                            self.destination_any = YLeaf(YType.empty, "destination-any")

                            self.dst_eq = YLeaf(YType.str, "dst-eq")

                            self.dst_gt = YLeaf(YType.str, "dst-gt")

                            self.dst_lt = YLeaf(YType.str, "dst-lt")

                            self.dst_neq = YLeaf(YType.str, "dst-neq")

                            self.dst_range1 = YLeaf(YType.str, "dst-range1")

                            self.dst_range2 = YLeaf(YType.str, "dst-range2")

                            self.auth = YLeaf(YType.empty, "auth")

                            self.dest_option = YLeaf(YType.empty, "dest-option")

                            self.dscp = YLeaf(YType.str, "dscp")

                            self.flow_label = YLeaf(YType.uint32, "flow-label")

                            self.fragments = YLeaf(YType.empty, "fragments")

                            self.hbh = YLeaf(YType.empty, "hbh")

                            self.log = YLeaf(YType.empty, "log")

                            self.log_input = YLeaf(YType.empty, "log-input")

                            self.mobility = YLeaf(YType.empty, "mobility")

                            self.mobility_type = YLeaf(YType.str, "mobility-type")

                            self.routing = YLeaf(YType.empty, "routing")

                            self.routing_type = YLeaf(YType.uint8, "routing-type")

                            self.time_range = YLeaf(YType.str, "time-range")

                            self.ack = YLeaf(YType.empty, "ack")

                            self.fin = YLeaf(YType.empty, "fin")

                            self.psh = YLeaf(YType.empty, "psh")

                            self.rst = YLeaf(YType.empty, "rst")

                            self.syn = YLeaf(YType.empty, "syn")

                            self.urg = YLeaf(YType.empty, "urg")

                            self.established = YLeaf(YType.empty, "established")

                            self.msg_type_case = YLeaf(YType.uint8, "msg-type-case")

                            self.msg_code = YLeaf(YType.uint8, "msg-code")

                            self.named_msg_type = YLeaf(YType.enumeration, "named-msg-type")
                            self._segment_path = lambda: "ace-rule"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.AccessList.NamedAcl.AccessListSeqRule.AceRule, ['action', 'protocol', 'source_host', 'source_address', 'source_wildcard_bits', 'source_prefix', 'any', 'src_eq', 'src_gt', 'src_lt', 'src_neq', 'src_range1', 'src_range2', 'destination_host', 'destination_address', 'destination_wildcard_bits', 'destination_prefix', 'destination_any', 'dst_eq', 'dst_gt', 'dst_lt', 'dst_neq', 'dst_range1', 'dst_range2', 'auth', 'dest_option', 'dscp', 'flow_label', 'fragments', 'hbh', 'log', 'log_input', 'mobility', 'mobility_type', 'routing', 'routing_type', 'time_range', 'ack', 'fin', 'psh', 'rst', 'syn', 'urg', 'established', 'msg_type_case', 'msg_code', 'named_msg_type'], name, value)

                        class Action(Enum):
                            """
                            Action

                            .. data:: deny = 0

                            .. data:: permit = 1

                            """

                            deny = Enum.YLeaf(0, "deny")

                            permit = Enum.YLeaf(1, "permit")


                        class NamedMsgType(Enum):
                            """
                            NamedMsgType

                            .. data:: beyond_scope = 0

                            .. data:: destination_unreachable = 1

                            .. data:: dhaad_reply = 2

                            .. data:: dhaad_request = 3

                            .. data:: echo_reply = 4

                            .. data:: echo_request = 5

                            .. data:: header = 6

                            .. data:: hop_limit = 7

                            .. data:: mld_query = 8

                            .. data:: mld_reduction = 9

                            .. data:: mld_report = 10

                            .. data:: mpd_advertisement = 11

                            .. data:: mpd_solicitation = 12

                            .. data:: nd_na = 13

                            .. data:: nd_ns = 14

                            .. data:: next_header = 15

                            .. data:: no_admin = 16

                            .. data:: no_route = 17

                            .. data:: packet_too_big = 18

                            .. data:: parameter_option = 19

                            .. data:: parameter_problem = 20

                            .. data:: port_unreachable = 21

                            .. data:: reassembly_timeout = 22

                            .. data:: redirect = 23

                            .. data:: reject_route = 24

                            .. data:: renum_command = 25

                            .. data:: renum_result = 26

                            .. data:: renum_seq_number = 27

                            .. data:: router_advertisement = 28

                            .. data:: router_renumbering = 29

                            .. data:: router_solicitation = 30

                            .. data:: source_policy = 31

                            .. data:: time_exceeded = 32

                            .. data:: unreachable = 33

                            """

                            beyond_scope = Enum.YLeaf(0, "beyond-scope")

                            destination_unreachable = Enum.YLeaf(1, "destination-unreachable")

                            dhaad_reply = Enum.YLeaf(2, "dhaad-reply")

                            dhaad_request = Enum.YLeaf(3, "dhaad-request")

                            echo_reply = Enum.YLeaf(4, "echo-reply")

                            echo_request = Enum.YLeaf(5, "echo-request")

                            header = Enum.YLeaf(6, "header")

                            hop_limit = Enum.YLeaf(7, "hop-limit")

                            mld_query = Enum.YLeaf(8, "mld-query")

                            mld_reduction = Enum.YLeaf(9, "mld-reduction")

                            mld_report = Enum.YLeaf(10, "mld-report")

                            mpd_advertisement = Enum.YLeaf(11, "mpd-advertisement")

                            mpd_solicitation = Enum.YLeaf(12, "mpd-solicitation")

                            nd_na = Enum.YLeaf(13, "nd-na")

                            nd_ns = Enum.YLeaf(14, "nd-ns")

                            next_header = Enum.YLeaf(15, "next-header")

                            no_admin = Enum.YLeaf(16, "no-admin")

                            no_route = Enum.YLeaf(17, "no-route")

                            packet_too_big = Enum.YLeaf(18, "packet-too-big")

                            parameter_option = Enum.YLeaf(19, "parameter-option")

                            parameter_problem = Enum.YLeaf(20, "parameter-problem")

                            port_unreachable = Enum.YLeaf(21, "port-unreachable")

                            reassembly_timeout = Enum.YLeaf(22, "reassembly-timeout")

                            redirect = Enum.YLeaf(23, "redirect")

                            reject_route = Enum.YLeaf(24, "reject-route")

                            renum_command = Enum.YLeaf(25, "renum-command")

                            renum_result = Enum.YLeaf(26, "renum-result")

                            renum_seq_number = Enum.YLeaf(27, "renum-seq-number")

                            router_advertisement = Enum.YLeaf(28, "router-advertisement")

                            router_renumbering = Enum.YLeaf(29, "router-renumbering")

                            router_solicitation = Enum.YLeaf(30, "router-solicitation")

                            source_policy = Enum.YLeaf(31, "source-policy")

                            time_exceeded = Enum.YLeaf(32, "time-exceeded")

                            unreachable = Enum.YLeaf(33, "unreachable")


                        class Protocol(Enum):
                            """
                            Protocol

                            .. data:: ahp = 0

                            .. data:: esp = 1

                            .. data:: hbh = 2

                            .. data:: icmp = 3

                            .. data:: ipv6 = 4

                            .. data:: pcp = 5

                            .. data:: sctp = 6

                            .. data:: tcp = 7

                            .. data:: udp = 8

                            """

                            ahp = Enum.YLeaf(0, "ahp")

                            esp = Enum.YLeaf(1, "esp")

                            hbh = Enum.YLeaf(2, "hbh")

                            icmp = Enum.YLeaf(3, "icmp")

                            ipv6 = Enum.YLeaf(4, "ipv6")

                            pcp = Enum.YLeaf(5, "pcp")

                            sctp = Enum.YLeaf(6, "sctp")

                            tcp = Enum.YLeaf(7, "tcp")

                            udp = Enum.YLeaf(8, "udp")



                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: access_list_seq_rule
                    
                    	
                    	**type**\: list of  		 :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-08-01'

                    def __init__(self):
                        super(Native.Ipv6.AccessList.NamedAcl.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "named-acl"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"access-list-seq-rule" : ("access_list_seq_rule", Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule)}

                        self.access_list_seq_rule = YList(self)
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.AccessList.NamedAcl.Default, [], name, value)


                    class AccessListSeqRule(Entity):
                        """
                        
                        
                        .. attribute:: sequence  <key>
                        
                        	Sequence number for this entry
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        .. attribute:: ace_rule
                        
                        	
                        	**type**\:  :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule>`
                        
                        .. attribute:: remark
                        
                        	Access list entry comment
                        	**type**\: str
                        
                        	**length:** 1..100
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule, self).__init__()

                            self.yang_name = "access-list-seq-rule"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ace-rule" : ("ace_rule", Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule)}
                            self._child_list_classes = {}

                            self.sequence = YLeaf(YType.uint64, "sequence")

                            self.remark = YLeaf(YType.str, "remark")

                            self.ace_rule = Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule()
                            self.ace_rule.parent = self
                            self._children_name_map["ace_rule"] = "ace-rule"
                            self._children_yang_names.add("ace-rule")
                            self._segment_path = lambda: "access-list-seq-rule" + "[sequence='" + self.sequence.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule, ['sequence', 'remark'], name, value)


                        class AceRule(Entity):
                            """
                            
                            
                            .. attribute:: action
                            
                            	
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule.Action>`
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..255
                            
                            		**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.Protocol>`
                            
                            .. attribute:: source_host
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: source_address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: source_wildcard_bits
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: source_prefix
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: any
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: src_eq
                            
                            	Match only packets on a given port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_gt
                            
                            	Match only packets with a greater port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_lt
                            
                            	Match only packets with a lower port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_neq
                            
                            	Match only packets not on a given port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_range1
                            
                            	Match only packets in the range of port numbers
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_range2
                            
                            	Match only packets in the range of port numbers
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: destination_host
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: destination_address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: destination_wildcard_bits
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: destination_prefix
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: destination_any
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dst_eq
                            
                            	Match only packets on a given port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_gt
                            
                            	Match only packets with a greater port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_lt
                            
                            	Match only packets with a lower port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_neq
                            
                            	Match only packets not on a given port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_range1
                            
                            	Match only packets in the range of port numbers
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_range2
                            
                            	Match only packets in the range of port numbers
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: auth
                            
                            	Match on authentication header
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dest_option
                            
                            	Destination Option header (all types)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp
                            
                            	Match packets with given dscp value
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..63
                            
                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                            
                            .. attribute:: flow_label
                            
                            	Flow label
                            	**type**\: int
                            
                            	**range:** 0..1048575
                            
                            .. attribute:: fragments
                            
                            	Check non\-initial fragments
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: hbh
                            
                            	Match on hop\-by\-hop option
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log
                            
                            	Log matches against this entry
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log_input
                            
                            	Log matches against this entry, including input
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mobility
                            
                            	Mobility header (all types)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mobility_type
                            
                            	Mobility header with type
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..255
                            
                            		**type**\:  :py:class:`MobilityType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MobilityType>`
                            
                            .. attribute:: routing
                            
                            	Routing header (all types)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: routing_type
                            
                            	Routing header with type
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: time_range
                            
                            	Specify a time\-range
                            	**type**\: str
                            
                            .. attribute:: ack
                            
                            	Match on the ACK bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fin
                            
                            	Match on the FIN bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: psh
                            
                            	Match on the PSH bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rst
                            
                            	Match on the RST bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: syn
                            
                            	Match on the SYN bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: urg
                            
                            	Match on the URG bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: established
                            
                            	Match established connections
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: msg_type_case
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: msg_code
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: named_msg_type
                            
                            	
                            	**type**\:  :py:class:`NamedMsgType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule.NamedMsgType>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule, self).__init__()

                                self.yang_name = "ace-rule"
                                self.yang_parent_name = "access-list-seq-rule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.action = YLeaf(YType.enumeration, "action")

                                self.protocol = YLeaf(YType.str, "protocol")

                                self.source_host = YLeaf(YType.str, "source-host")

                                self.source_address = YLeaf(YType.str, "source-address")

                                self.source_wildcard_bits = YLeaf(YType.str, "source-wildcard-bits")

                                self.source_prefix = YLeaf(YType.str, "source-prefix")

                                self.any = YLeaf(YType.empty, "any")

                                self.src_eq = YLeaf(YType.str, "src-eq")

                                self.src_gt = YLeaf(YType.str, "src-gt")

                                self.src_lt = YLeaf(YType.str, "src-lt")

                                self.src_neq = YLeaf(YType.str, "src-neq")

                                self.src_range1 = YLeaf(YType.str, "src-range1")

                                self.src_range2 = YLeaf(YType.str, "src-range2")

                                self.destination_host = YLeaf(YType.str, "destination-host")

                                self.destination_address = YLeaf(YType.str, "destination-address")

                                self.destination_wildcard_bits = YLeaf(YType.str, "destination-wildcard-bits")

                                self.destination_prefix = YLeaf(YType.str, "destination-prefix")

                                self.destination_any = YLeaf(YType.empty, "destination-any")

                                self.dst_eq = YLeaf(YType.str, "dst-eq")

                                self.dst_gt = YLeaf(YType.str, "dst-gt")

                                self.dst_lt = YLeaf(YType.str, "dst-lt")

                                self.dst_neq = YLeaf(YType.str, "dst-neq")

                                self.dst_range1 = YLeaf(YType.str, "dst-range1")

                                self.dst_range2 = YLeaf(YType.str, "dst-range2")

                                self.auth = YLeaf(YType.empty, "auth")

                                self.dest_option = YLeaf(YType.empty, "dest-option")

                                self.dscp = YLeaf(YType.str, "dscp")

                                self.flow_label = YLeaf(YType.uint32, "flow-label")

                                self.fragments = YLeaf(YType.empty, "fragments")

                                self.hbh = YLeaf(YType.empty, "hbh")

                                self.log = YLeaf(YType.empty, "log")

                                self.log_input = YLeaf(YType.empty, "log-input")

                                self.mobility = YLeaf(YType.empty, "mobility")

                                self.mobility_type = YLeaf(YType.str, "mobility-type")

                                self.routing = YLeaf(YType.empty, "routing")

                                self.routing_type = YLeaf(YType.uint8, "routing-type")

                                self.time_range = YLeaf(YType.str, "time-range")

                                self.ack = YLeaf(YType.empty, "ack")

                                self.fin = YLeaf(YType.empty, "fin")

                                self.psh = YLeaf(YType.empty, "psh")

                                self.rst = YLeaf(YType.empty, "rst")

                                self.syn = YLeaf(YType.empty, "syn")

                                self.urg = YLeaf(YType.empty, "urg")

                                self.established = YLeaf(YType.empty, "established")

                                self.msg_type_case = YLeaf(YType.uint8, "msg-type-case")

                                self.msg_code = YLeaf(YType.uint8, "msg-code")

                                self.named_msg_type = YLeaf(YType.enumeration, "named-msg-type")
                                self._segment_path = lambda: "ace-rule"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.AccessList.NamedAcl.Default.AccessListSeqRule.AceRule, ['action', 'protocol', 'source_host', 'source_address', 'source_wildcard_bits', 'source_prefix', 'any', 'src_eq', 'src_gt', 'src_lt', 'src_neq', 'src_range1', 'src_range2', 'destination_host', 'destination_address', 'destination_wildcard_bits', 'destination_prefix', 'destination_any', 'dst_eq', 'dst_gt', 'dst_lt', 'dst_neq', 'dst_range1', 'dst_range2', 'auth', 'dest_option', 'dscp', 'flow_label', 'fragments', 'hbh', 'log', 'log_input', 'mobility', 'mobility_type', 'routing', 'routing_type', 'time_range', 'ack', 'fin', 'psh', 'rst', 'syn', 'urg', 'established', 'msg_type_case', 'msg_code', 'named_msg_type'], name, value)

                            class Action(Enum):
                                """
                                Action

                                .. data:: deny = 0

                                .. data:: permit = 1

                                """

                                deny = Enum.YLeaf(0, "deny")

                                permit = Enum.YLeaf(1, "permit")


                            class NamedMsgType(Enum):
                                """
                                NamedMsgType

                                .. data:: beyond_scope = 0

                                .. data:: destination_unreachable = 1

                                .. data:: dhaad_reply = 2

                                .. data:: dhaad_request = 3

                                .. data:: echo_reply = 4

                                .. data:: echo_request = 5

                                .. data:: header = 6

                                .. data:: hop_limit = 7

                                .. data:: mld_query = 8

                                .. data:: mld_reduction = 9

                                .. data:: mld_report = 10

                                .. data:: mpd_advertisement = 11

                                .. data:: mpd_solicitation = 12

                                .. data:: nd_na = 13

                                .. data:: nd_ns = 14

                                .. data:: next_header = 15

                                .. data:: no_admin = 16

                                .. data:: no_route = 17

                                .. data:: packet_too_big = 18

                                .. data:: parameter_option = 19

                                .. data:: parameter_problem = 20

                                .. data:: port_unreachable = 21

                                .. data:: reassembly_timeout = 22

                                .. data:: redirect = 23

                                .. data:: reject_route = 24

                                .. data:: renum_command = 25

                                .. data:: renum_result = 26

                                .. data:: renum_seq_number = 27

                                .. data:: router_advertisement = 28

                                .. data:: router_renumbering = 29

                                .. data:: router_solicitation = 30

                                .. data:: source_policy = 31

                                .. data:: time_exceeded = 32

                                .. data:: unreachable = 33

                                """

                                beyond_scope = Enum.YLeaf(0, "beyond-scope")

                                destination_unreachable = Enum.YLeaf(1, "destination-unreachable")

                                dhaad_reply = Enum.YLeaf(2, "dhaad-reply")

                                dhaad_request = Enum.YLeaf(3, "dhaad-request")

                                echo_reply = Enum.YLeaf(4, "echo-reply")

                                echo_request = Enum.YLeaf(5, "echo-request")

                                header = Enum.YLeaf(6, "header")

                                hop_limit = Enum.YLeaf(7, "hop-limit")

                                mld_query = Enum.YLeaf(8, "mld-query")

                                mld_reduction = Enum.YLeaf(9, "mld-reduction")

                                mld_report = Enum.YLeaf(10, "mld-report")

                                mpd_advertisement = Enum.YLeaf(11, "mpd-advertisement")

                                mpd_solicitation = Enum.YLeaf(12, "mpd-solicitation")

                                nd_na = Enum.YLeaf(13, "nd-na")

                                nd_ns = Enum.YLeaf(14, "nd-ns")

                                next_header = Enum.YLeaf(15, "next-header")

                                no_admin = Enum.YLeaf(16, "no-admin")

                                no_route = Enum.YLeaf(17, "no-route")

                                packet_too_big = Enum.YLeaf(18, "packet-too-big")

                                parameter_option = Enum.YLeaf(19, "parameter-option")

                                parameter_problem = Enum.YLeaf(20, "parameter-problem")

                                port_unreachable = Enum.YLeaf(21, "port-unreachable")

                                reassembly_timeout = Enum.YLeaf(22, "reassembly-timeout")

                                redirect = Enum.YLeaf(23, "redirect")

                                reject_route = Enum.YLeaf(24, "reject-route")

                                renum_command = Enum.YLeaf(25, "renum-command")

                                renum_result = Enum.YLeaf(26, "renum-result")

                                renum_seq_number = Enum.YLeaf(27, "renum-seq-number")

                                router_advertisement = Enum.YLeaf(28, "router-advertisement")

                                router_renumbering = Enum.YLeaf(29, "router-renumbering")

                                router_solicitation = Enum.YLeaf(30, "router-solicitation")

                                source_policy = Enum.YLeaf(31, "source-policy")

                                time_exceeded = Enum.YLeaf(32, "time-exceeded")

                                unreachable = Enum.YLeaf(33, "unreachable")


                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: ahp = 0

                                .. data:: esp = 1

                                .. data:: hbh = 2

                                .. data:: icmp = 3

                                .. data:: ipv6 = 4

                                .. data:: pcp = 5

                                .. data:: sctp = 6

                                .. data:: tcp = 7

                                .. data:: udp = 8

                                """

                                ahp = Enum.YLeaf(0, "ahp")

                                esp = Enum.YLeaf(1, "esp")

                                hbh = Enum.YLeaf(2, "hbh")

                                icmp = Enum.YLeaf(3, "icmp")

                                ipv6 = Enum.YLeaf(4, "ipv6")

                                pcp = Enum.YLeaf(5, "pcp")

                                sctp = Enum.YLeaf(6, "sctp")

                                tcp = Enum.YLeaf(7, "tcp")

                                udp = Enum.YLeaf(8, "udp")



            class NamedRbAcl(Entity):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: role_based
                
                	Role\-based Access List
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: access_list_seq_rule
                
                	
                	**type**\: list of  		 :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-08-01'

                def __init__(self):
                    super(Native.Ipv6.AccessList.NamedRbAcl, self).__init__()

                    self.yang_name = "named-rb-acl"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Ipv6.AccessList.NamedRbAcl.Default)}
                    self._child_list_classes = {"access-list-seq-rule" : ("access_list_seq_rule", Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule)}

                    self.name = YLeaf(YType.str, "name")

                    self.role_based = YLeaf(YType.empty, "role-based")

                    self.default = Native.Ipv6.AccessList.NamedRbAcl.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.access_list_seq_rule = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-acl:named-rb-acl" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/access-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.AccessList.NamedRbAcl, ['name', 'role_based'], name, value)


                class AccessListSeqRule(Entity):
                    """
                    
                    
                    .. attribute:: sequence  <key>
                    
                    	Sequence number for this entry
                    	**type**\: int
                    
                    	**range:** 1..4294967294
                    
                    .. attribute:: ace_rule
                    
                    	
                    	**type**\:  :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule>`
                    
                    .. attribute:: remark
                    
                    	Access list entry comment
                    	**type**\: str
                    
                    	**length:** 1..100
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-08-01'

                    def __init__(self):
                        super(Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule, self).__init__()

                        self.yang_name = "access-list-seq-rule"
                        self.yang_parent_name = "named-rb-acl"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ace-rule" : ("ace_rule", Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule)}
                        self._child_list_classes = {}

                        self.sequence = YLeaf(YType.uint64, "sequence")

                        self.remark = YLeaf(YType.str, "remark")

                        self.ace_rule = Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule()
                        self.ace_rule.parent = self
                        self._children_name_map["ace_rule"] = "ace-rule"
                        self._children_yang_names.add("ace-rule")
                        self._segment_path = lambda: "access-list-seq-rule" + "[sequence='" + self.sequence.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule, ['sequence', 'remark'], name, value)


                    class AceRule(Entity):
                        """
                        
                        
                        .. attribute:: action
                        
                        	
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule.Action>`
                        
                        .. attribute:: protocol
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..255
                        
                        		**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.Protocol>`
                        
                        .. attribute:: source_host
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        .. attribute:: source_address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source_wildcard_bits
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source_prefix
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: any
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: src_eq
                        
                        	Match only packets on a given port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_gt
                        
                        	Match only packets with a greater port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_lt
                        
                        	Match only packets with a lower port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_neq
                        
                        	Match only packets not on a given port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_range1
                        
                        	Match only packets in the range of port numbers
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: src_range2
                        
                        	Match only packets in the range of port numbers
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: destination_host
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        .. attribute:: destination_address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: destination_wildcard_bits
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: destination_prefix
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: destination_any
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dst_eq
                        
                        	Match only packets on a given port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_gt
                        
                        	Match only packets with a greater port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_lt
                        
                        	Match only packets with a lower port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_neq
                        
                        	Match only packets not on a given port number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_range1
                        
                        	Match only packets in the range of port numbers
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: dst_range2
                        
                        	Match only packets in the range of port numbers
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..65535
                        
                        		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                        
                        .. attribute:: auth
                        
                        	Match on authentication header
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dest_option
                        
                        	Destination Option header (all types)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	Match packets with given dscp value
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..63
                        
                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                        
                        .. attribute:: flow_label
                        
                        	Flow label
                        	**type**\: int
                        
                        	**range:** 0..1048575
                        
                        .. attribute:: fragments
                        
                        	Check non\-initial fragments
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hbh
                        
                        	Match on hop\-by\-hop option
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log
                        
                        	Log matches against this entry
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: log_input
                        
                        	Log matches against this entry, including input
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mobility
                        
                        	Mobility header (all types)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mobility_type
                        
                        	Mobility header with type
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..255
                        
                        		**type**\:  :py:class:`MobilityType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MobilityType>`
                        
                        .. attribute:: routing
                        
                        	Routing header (all types)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: routing_type
                        
                        	Routing header with type
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: time_range
                        
                        	Specify a time\-range
                        	**type**\: str
                        
                        .. attribute:: ack
                        
                        	Match on the ACK bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fin
                        
                        	Match on the FIN bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: psh
                        
                        	Match on the PSH bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rst
                        
                        	Match on the RST bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: syn
                        
                        	Match on the SYN bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: urg
                        
                        	Match on the URG bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: established
                        
                        	Match established connections
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: msg_type_case
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: msg_code
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: named_msg_type
                        
                        	
                        	**type**\:  :py:class:`NamedMsgType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule.NamedMsgType>`
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule, self).__init__()

                            self.yang_name = "ace-rule"
                            self.yang_parent_name = "access-list-seq-rule"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.action = YLeaf(YType.enumeration, "action")

                            self.protocol = YLeaf(YType.str, "protocol")

                            self.source_host = YLeaf(YType.str, "source-host")

                            self.source_address = YLeaf(YType.str, "source-address")

                            self.source_wildcard_bits = YLeaf(YType.str, "source-wildcard-bits")

                            self.source_prefix = YLeaf(YType.str, "source-prefix")

                            self.any = YLeaf(YType.empty, "any")

                            self.src_eq = YLeaf(YType.str, "src-eq")

                            self.src_gt = YLeaf(YType.str, "src-gt")

                            self.src_lt = YLeaf(YType.str, "src-lt")

                            self.src_neq = YLeaf(YType.str, "src-neq")

                            self.src_range1 = YLeaf(YType.str, "src-range1")

                            self.src_range2 = YLeaf(YType.str, "src-range2")

                            self.destination_host = YLeaf(YType.str, "destination-host")

                            self.destination_address = YLeaf(YType.str, "destination-address")

                            self.destination_wildcard_bits = YLeaf(YType.str, "destination-wildcard-bits")

                            self.destination_prefix = YLeaf(YType.str, "destination-prefix")

                            self.destination_any = YLeaf(YType.empty, "destination-any")

                            self.dst_eq = YLeaf(YType.str, "dst-eq")

                            self.dst_gt = YLeaf(YType.str, "dst-gt")

                            self.dst_lt = YLeaf(YType.str, "dst-lt")

                            self.dst_neq = YLeaf(YType.str, "dst-neq")

                            self.dst_range1 = YLeaf(YType.str, "dst-range1")

                            self.dst_range2 = YLeaf(YType.str, "dst-range2")

                            self.auth = YLeaf(YType.empty, "auth")

                            self.dest_option = YLeaf(YType.empty, "dest-option")

                            self.dscp = YLeaf(YType.str, "dscp")

                            self.flow_label = YLeaf(YType.uint32, "flow-label")

                            self.fragments = YLeaf(YType.empty, "fragments")

                            self.hbh = YLeaf(YType.empty, "hbh")

                            self.log = YLeaf(YType.empty, "log")

                            self.log_input = YLeaf(YType.empty, "log-input")

                            self.mobility = YLeaf(YType.empty, "mobility")

                            self.mobility_type = YLeaf(YType.str, "mobility-type")

                            self.routing = YLeaf(YType.empty, "routing")

                            self.routing_type = YLeaf(YType.uint8, "routing-type")

                            self.time_range = YLeaf(YType.str, "time-range")

                            self.ack = YLeaf(YType.empty, "ack")

                            self.fin = YLeaf(YType.empty, "fin")

                            self.psh = YLeaf(YType.empty, "psh")

                            self.rst = YLeaf(YType.empty, "rst")

                            self.syn = YLeaf(YType.empty, "syn")

                            self.urg = YLeaf(YType.empty, "urg")

                            self.established = YLeaf(YType.empty, "established")

                            self.msg_type_case = YLeaf(YType.uint8, "msg-type-case")

                            self.msg_code = YLeaf(YType.uint8, "msg-code")

                            self.named_msg_type = YLeaf(YType.enumeration, "named-msg-type")
                            self._segment_path = lambda: "ace-rule"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.AccessList.NamedRbAcl.AccessListSeqRule.AceRule, ['action', 'protocol', 'source_host', 'source_address', 'source_wildcard_bits', 'source_prefix', 'any', 'src_eq', 'src_gt', 'src_lt', 'src_neq', 'src_range1', 'src_range2', 'destination_host', 'destination_address', 'destination_wildcard_bits', 'destination_prefix', 'destination_any', 'dst_eq', 'dst_gt', 'dst_lt', 'dst_neq', 'dst_range1', 'dst_range2', 'auth', 'dest_option', 'dscp', 'flow_label', 'fragments', 'hbh', 'log', 'log_input', 'mobility', 'mobility_type', 'routing', 'routing_type', 'time_range', 'ack', 'fin', 'psh', 'rst', 'syn', 'urg', 'established', 'msg_type_case', 'msg_code', 'named_msg_type'], name, value)

                        class Action(Enum):
                            """
                            Action

                            .. data:: deny = 0

                            .. data:: permit = 1

                            """

                            deny = Enum.YLeaf(0, "deny")

                            permit = Enum.YLeaf(1, "permit")


                        class NamedMsgType(Enum):
                            """
                            NamedMsgType

                            .. data:: beyond_scope = 0

                            .. data:: destination_unreachable = 1

                            .. data:: dhaad_reply = 2

                            .. data:: dhaad_request = 3

                            .. data:: echo_reply = 4

                            .. data:: echo_request = 5

                            .. data:: header = 6

                            .. data:: hop_limit = 7

                            .. data:: mld_query = 8

                            .. data:: mld_reduction = 9

                            .. data:: mld_report = 10

                            .. data:: mpd_advertisement = 11

                            .. data:: mpd_solicitation = 12

                            .. data:: nd_na = 13

                            .. data:: nd_ns = 14

                            .. data:: next_header = 15

                            .. data:: no_admin = 16

                            .. data:: no_route = 17

                            .. data:: packet_too_big = 18

                            .. data:: parameter_option = 19

                            .. data:: parameter_problem = 20

                            .. data:: port_unreachable = 21

                            .. data:: reassembly_timeout = 22

                            .. data:: redirect = 23

                            .. data:: reject_route = 24

                            .. data:: renum_command = 25

                            .. data:: renum_result = 26

                            .. data:: renum_seq_number = 27

                            .. data:: router_advertisement = 28

                            .. data:: router_renumbering = 29

                            .. data:: router_solicitation = 30

                            .. data:: source_policy = 31

                            .. data:: time_exceeded = 32

                            .. data:: unreachable = 33

                            """

                            beyond_scope = Enum.YLeaf(0, "beyond-scope")

                            destination_unreachable = Enum.YLeaf(1, "destination-unreachable")

                            dhaad_reply = Enum.YLeaf(2, "dhaad-reply")

                            dhaad_request = Enum.YLeaf(3, "dhaad-request")

                            echo_reply = Enum.YLeaf(4, "echo-reply")

                            echo_request = Enum.YLeaf(5, "echo-request")

                            header = Enum.YLeaf(6, "header")

                            hop_limit = Enum.YLeaf(7, "hop-limit")

                            mld_query = Enum.YLeaf(8, "mld-query")

                            mld_reduction = Enum.YLeaf(9, "mld-reduction")

                            mld_report = Enum.YLeaf(10, "mld-report")

                            mpd_advertisement = Enum.YLeaf(11, "mpd-advertisement")

                            mpd_solicitation = Enum.YLeaf(12, "mpd-solicitation")

                            nd_na = Enum.YLeaf(13, "nd-na")

                            nd_ns = Enum.YLeaf(14, "nd-ns")

                            next_header = Enum.YLeaf(15, "next-header")

                            no_admin = Enum.YLeaf(16, "no-admin")

                            no_route = Enum.YLeaf(17, "no-route")

                            packet_too_big = Enum.YLeaf(18, "packet-too-big")

                            parameter_option = Enum.YLeaf(19, "parameter-option")

                            parameter_problem = Enum.YLeaf(20, "parameter-problem")

                            port_unreachable = Enum.YLeaf(21, "port-unreachable")

                            reassembly_timeout = Enum.YLeaf(22, "reassembly-timeout")

                            redirect = Enum.YLeaf(23, "redirect")

                            reject_route = Enum.YLeaf(24, "reject-route")

                            renum_command = Enum.YLeaf(25, "renum-command")

                            renum_result = Enum.YLeaf(26, "renum-result")

                            renum_seq_number = Enum.YLeaf(27, "renum-seq-number")

                            router_advertisement = Enum.YLeaf(28, "router-advertisement")

                            router_renumbering = Enum.YLeaf(29, "router-renumbering")

                            router_solicitation = Enum.YLeaf(30, "router-solicitation")

                            source_policy = Enum.YLeaf(31, "source-policy")

                            time_exceeded = Enum.YLeaf(32, "time-exceeded")

                            unreachable = Enum.YLeaf(33, "unreachable")


                        class Protocol(Enum):
                            """
                            Protocol

                            .. data:: ahp = 0

                            .. data:: esp = 1

                            .. data:: hbh = 2

                            .. data:: icmp = 3

                            .. data:: ipv6 = 4

                            .. data:: pcp = 5

                            .. data:: sctp = 6

                            .. data:: tcp = 7

                            .. data:: udp = 8

                            """

                            ahp = Enum.YLeaf(0, "ahp")

                            esp = Enum.YLeaf(1, "esp")

                            hbh = Enum.YLeaf(2, "hbh")

                            icmp = Enum.YLeaf(3, "icmp")

                            ipv6 = Enum.YLeaf(4, "ipv6")

                            pcp = Enum.YLeaf(5, "pcp")

                            sctp = Enum.YLeaf(6, "sctp")

                            tcp = Enum.YLeaf(7, "tcp")

                            udp = Enum.YLeaf(8, "udp")



                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: access_list_seq_rule
                    
                    	
                    	**type**\: list of  		 :py:class:`AccessListSeqRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule>`
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-08-01'

                    def __init__(self):
                        super(Native.Ipv6.AccessList.NamedRbAcl.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "named-rb-acl"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"access-list-seq-rule" : ("access_list_seq_rule", Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule)}

                        self.access_list_seq_rule = YList(self)
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.AccessList.NamedRbAcl.Default, [], name, value)


                    class AccessListSeqRule(Entity):
                        """
                        
                        
                        .. attribute:: sequence  <key>
                        
                        	Sequence number for this entry
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        .. attribute:: ace_rule
                        
                        	
                        	**type**\:  :py:class:`AceRule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule>`
                        
                        .. attribute:: remark
                        
                        	Access list entry comment
                        	**type**\: str
                        
                        	**length:** 1..100
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule, self).__init__()

                            self.yang_name = "access-list-seq-rule"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ace-rule" : ("ace_rule", Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule)}
                            self._child_list_classes = {}

                            self.sequence = YLeaf(YType.uint64, "sequence")

                            self.remark = YLeaf(YType.str, "remark")

                            self.ace_rule = Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule()
                            self.ace_rule.parent = self
                            self._children_name_map["ace_rule"] = "ace-rule"
                            self._children_yang_names.add("ace-rule")
                            self._segment_path = lambda: "access-list-seq-rule" + "[sequence='" + self.sequence.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule, ['sequence', 'remark'], name, value)


                        class AceRule(Entity):
                            """
                            
                            
                            .. attribute:: action
                            
                            	
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.Action>`
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..255
                            
                            		**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.Protocol>`
                            
                            .. attribute:: source_host
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: source_address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: source_wildcard_bits
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: source_prefix
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: any
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: src_eq
                            
                            	Match only packets on a given port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_gt
                            
                            	Match only packets with a greater port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_lt
                            
                            	Match only packets with a lower port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_neq
                            
                            	Match only packets not on a given port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_range1
                            
                            	Match only packets in the range of port numbers
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: src_range2
                            
                            	Match only packets in the range of port numbers
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: destination_host
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: destination_address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: destination_wildcard_bits
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: destination_prefix
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: destination_any
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dst_eq
                            
                            	Match only packets on a given port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_gt
                            
                            	Match only packets with a greater port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_lt
                            
                            	Match only packets with a lower port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_neq
                            
                            	Match only packets not on a given port number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_range1
                            
                            	Match only packets in the range of port numbers
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: dst_range2
                            
                            	Match only packets in the range of port numbers
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\:  :py:class:`AclPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_acl.AclPortType>`
                            
                            .. attribute:: auth
                            
                            	Match on authentication header
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dest_option
                            
                            	Destination Option header (all types)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp
                            
                            	Match packets with given dscp value
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..63
                            
                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                            
                            .. attribute:: flow_label
                            
                            	Flow label
                            	**type**\: int
                            
                            	**range:** 0..1048575
                            
                            .. attribute:: fragments
                            
                            	Check non\-initial fragments
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: hbh
                            
                            	Match on hop\-by\-hop option
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log
                            
                            	Log matches against this entry
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log_input
                            
                            	Log matches against this entry, including input
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mobility
                            
                            	Mobility header (all types)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mobility_type
                            
                            	Mobility header with type
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..255
                            
                            		**type**\:  :py:class:`MobilityType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MobilityType>`
                            
                            .. attribute:: routing
                            
                            	Routing header (all types)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: routing_type
                            
                            	Routing header with type
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: time_range
                            
                            	Specify a time\-range
                            	**type**\: str
                            
                            .. attribute:: ack
                            
                            	Match on the ACK bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fin
                            
                            	Match on the FIN bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: psh
                            
                            	Match on the PSH bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rst
                            
                            	Match on the RST bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: syn
                            
                            	Match on the SYN bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: urg
                            
                            	Match on the URG bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: established
                            
                            	Match established connections
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: msg_type_case
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: msg_code
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: named_msg_type
                            
                            	
                            	**type**\:  :py:class:`NamedMsgType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule.NamedMsgType>`
                            
                            

                            """

                            _prefix = 'ios-acl'
                            _revision = '2017-08-01'

                            def __init__(self):
                                super(Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule, self).__init__()

                                self.yang_name = "ace-rule"
                                self.yang_parent_name = "access-list-seq-rule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.action = YLeaf(YType.enumeration, "action")

                                self.protocol = YLeaf(YType.str, "protocol")

                                self.source_host = YLeaf(YType.str, "source-host")

                                self.source_address = YLeaf(YType.str, "source-address")

                                self.source_wildcard_bits = YLeaf(YType.str, "source-wildcard-bits")

                                self.source_prefix = YLeaf(YType.str, "source-prefix")

                                self.any = YLeaf(YType.empty, "any")

                                self.src_eq = YLeaf(YType.str, "src-eq")

                                self.src_gt = YLeaf(YType.str, "src-gt")

                                self.src_lt = YLeaf(YType.str, "src-lt")

                                self.src_neq = YLeaf(YType.str, "src-neq")

                                self.src_range1 = YLeaf(YType.str, "src-range1")

                                self.src_range2 = YLeaf(YType.str, "src-range2")

                                self.destination_host = YLeaf(YType.str, "destination-host")

                                self.destination_address = YLeaf(YType.str, "destination-address")

                                self.destination_wildcard_bits = YLeaf(YType.str, "destination-wildcard-bits")

                                self.destination_prefix = YLeaf(YType.str, "destination-prefix")

                                self.destination_any = YLeaf(YType.empty, "destination-any")

                                self.dst_eq = YLeaf(YType.str, "dst-eq")

                                self.dst_gt = YLeaf(YType.str, "dst-gt")

                                self.dst_lt = YLeaf(YType.str, "dst-lt")

                                self.dst_neq = YLeaf(YType.str, "dst-neq")

                                self.dst_range1 = YLeaf(YType.str, "dst-range1")

                                self.dst_range2 = YLeaf(YType.str, "dst-range2")

                                self.auth = YLeaf(YType.empty, "auth")

                                self.dest_option = YLeaf(YType.empty, "dest-option")

                                self.dscp = YLeaf(YType.str, "dscp")

                                self.flow_label = YLeaf(YType.uint32, "flow-label")

                                self.fragments = YLeaf(YType.empty, "fragments")

                                self.hbh = YLeaf(YType.empty, "hbh")

                                self.log = YLeaf(YType.empty, "log")

                                self.log_input = YLeaf(YType.empty, "log-input")

                                self.mobility = YLeaf(YType.empty, "mobility")

                                self.mobility_type = YLeaf(YType.str, "mobility-type")

                                self.routing = YLeaf(YType.empty, "routing")

                                self.routing_type = YLeaf(YType.uint8, "routing-type")

                                self.time_range = YLeaf(YType.str, "time-range")

                                self.ack = YLeaf(YType.empty, "ack")

                                self.fin = YLeaf(YType.empty, "fin")

                                self.psh = YLeaf(YType.empty, "psh")

                                self.rst = YLeaf(YType.empty, "rst")

                                self.syn = YLeaf(YType.empty, "syn")

                                self.urg = YLeaf(YType.empty, "urg")

                                self.established = YLeaf(YType.empty, "established")

                                self.msg_type_case = YLeaf(YType.uint8, "msg-type-case")

                                self.msg_code = YLeaf(YType.uint8, "msg-code")

                                self.named_msg_type = YLeaf(YType.enumeration, "named-msg-type")
                                self._segment_path = lambda: "ace-rule"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.AccessList.NamedRbAcl.Default.AccessListSeqRule.AceRule, ['action', 'protocol', 'source_host', 'source_address', 'source_wildcard_bits', 'source_prefix', 'any', 'src_eq', 'src_gt', 'src_lt', 'src_neq', 'src_range1', 'src_range2', 'destination_host', 'destination_address', 'destination_wildcard_bits', 'destination_prefix', 'destination_any', 'dst_eq', 'dst_gt', 'dst_lt', 'dst_neq', 'dst_range1', 'dst_range2', 'auth', 'dest_option', 'dscp', 'flow_label', 'fragments', 'hbh', 'log', 'log_input', 'mobility', 'mobility_type', 'routing', 'routing_type', 'time_range', 'ack', 'fin', 'psh', 'rst', 'syn', 'urg', 'established', 'msg_type_case', 'msg_code', 'named_msg_type'], name, value)

                            class Action(Enum):
                                """
                                Action

                                .. data:: deny = 0

                                .. data:: permit = 1

                                """

                                deny = Enum.YLeaf(0, "deny")

                                permit = Enum.YLeaf(1, "permit")


                            class NamedMsgType(Enum):
                                """
                                NamedMsgType

                                .. data:: beyond_scope = 0

                                .. data:: destination_unreachable = 1

                                .. data:: dhaad_reply = 2

                                .. data:: dhaad_request = 3

                                .. data:: echo_reply = 4

                                .. data:: echo_request = 5

                                .. data:: header = 6

                                .. data:: hop_limit = 7

                                .. data:: mld_query = 8

                                .. data:: mld_reduction = 9

                                .. data:: mld_report = 10

                                .. data:: mpd_advertisement = 11

                                .. data:: mpd_solicitation = 12

                                .. data:: nd_na = 13

                                .. data:: nd_ns = 14

                                .. data:: next_header = 15

                                .. data:: no_admin = 16

                                .. data:: no_route = 17

                                .. data:: packet_too_big = 18

                                .. data:: parameter_option = 19

                                .. data:: parameter_problem = 20

                                .. data:: port_unreachable = 21

                                .. data:: reassembly_timeout = 22

                                .. data:: redirect = 23

                                .. data:: reject_route = 24

                                .. data:: renum_command = 25

                                .. data:: renum_result = 26

                                .. data:: renum_seq_number = 27

                                .. data:: router_advertisement = 28

                                .. data:: router_renumbering = 29

                                .. data:: router_solicitation = 30

                                .. data:: source_policy = 31

                                .. data:: time_exceeded = 32

                                .. data:: unreachable = 33

                                """

                                beyond_scope = Enum.YLeaf(0, "beyond-scope")

                                destination_unreachable = Enum.YLeaf(1, "destination-unreachable")

                                dhaad_reply = Enum.YLeaf(2, "dhaad-reply")

                                dhaad_request = Enum.YLeaf(3, "dhaad-request")

                                echo_reply = Enum.YLeaf(4, "echo-reply")

                                echo_request = Enum.YLeaf(5, "echo-request")

                                header = Enum.YLeaf(6, "header")

                                hop_limit = Enum.YLeaf(7, "hop-limit")

                                mld_query = Enum.YLeaf(8, "mld-query")

                                mld_reduction = Enum.YLeaf(9, "mld-reduction")

                                mld_report = Enum.YLeaf(10, "mld-report")

                                mpd_advertisement = Enum.YLeaf(11, "mpd-advertisement")

                                mpd_solicitation = Enum.YLeaf(12, "mpd-solicitation")

                                nd_na = Enum.YLeaf(13, "nd-na")

                                nd_ns = Enum.YLeaf(14, "nd-ns")

                                next_header = Enum.YLeaf(15, "next-header")

                                no_admin = Enum.YLeaf(16, "no-admin")

                                no_route = Enum.YLeaf(17, "no-route")

                                packet_too_big = Enum.YLeaf(18, "packet-too-big")

                                parameter_option = Enum.YLeaf(19, "parameter-option")

                                parameter_problem = Enum.YLeaf(20, "parameter-problem")

                                port_unreachable = Enum.YLeaf(21, "port-unreachable")

                                reassembly_timeout = Enum.YLeaf(22, "reassembly-timeout")

                                redirect = Enum.YLeaf(23, "redirect")

                                reject_route = Enum.YLeaf(24, "reject-route")

                                renum_command = Enum.YLeaf(25, "renum-command")

                                renum_result = Enum.YLeaf(26, "renum-result")

                                renum_seq_number = Enum.YLeaf(27, "renum-seq-number")

                                router_advertisement = Enum.YLeaf(28, "router-advertisement")

                                router_renumbering = Enum.YLeaf(29, "router-renumbering")

                                router_solicitation = Enum.YLeaf(30, "router-solicitation")

                                source_policy = Enum.YLeaf(31, "source-policy")

                                time_exceeded = Enum.YLeaf(32, "time-exceeded")

                                unreachable = Enum.YLeaf(33, "unreachable")


                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: ahp = 0

                                .. data:: esp = 1

                                .. data:: hbh = 2

                                .. data:: icmp = 3

                                .. data:: ipv6 = 4

                                .. data:: pcp = 5

                                .. data:: sctp = 6

                                .. data:: tcp = 7

                                .. data:: udp = 8

                                """

                                ahp = Enum.YLeaf(0, "ahp")

                                esp = Enum.YLeaf(1, "esp")

                                hbh = Enum.YLeaf(2, "hbh")

                                icmp = Enum.YLeaf(3, "icmp")

                                ipv6 = Enum.YLeaf(4, "ipv6")

                                pcp = Enum.YLeaf(5, "pcp")

                                sctp = Enum.YLeaf(6, "sctp")

                                tcp = Enum.YLeaf(7, "tcp")

                                udp = Enum.YLeaf(8, "udp")



            class LogUpdate(Entity):
                """
                Control access list log updates
                
                .. attribute:: threshold
                
                	Set access\-list logging threshold
                	**type**\: int
                
                	**range:** 0..2147483647
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-08-01'

                def __init__(self):
                    super(Native.Ipv6.AccessList.LogUpdate, self).__init__()

                    self.yang_name = "log-update"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.threshold = YLeaf(YType.uint64, "threshold")
                    self._segment_path = lambda: "Cisco-IOS-XE-acl:log-update"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/access-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.AccessList.LogUpdate, ['threshold'], name, value)


        class Multicast(Entity):
            """
            Configure multicast related commands
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: str
            
            .. attribute:: rpf
            
            	Configure multicast RPF related commands
            	**type**\:  :py:class:`Rpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Multicast.Rpf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ipv6.Multicast, self).__init__()

                self.yang_name = "multicast"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-multicast:rpf" : ("rpf", Native.Ipv6.Multicast.Rpf)}
                self._child_list_classes = {}

                self.vrf = YLeaf(YType.str, "Cisco-IOS-XE-multicast:vrf")

                self.rpf = Native.Ipv6.Multicast.Rpf()
                self.rpf.parent = self
                self._children_name_map["rpf"] = "rpf"
                self._children_yang_names.add("rpf")
                self._segment_path = lambda: "multicast"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.Multicast, ['vrf'], name, value)


            class Rpf(Entity):
                """
                Configure multicast RPF related commands
                
                .. attribute:: backoff
                
                	Backoff delay after unicast routing change
                	**type**\:  :py:class:`Backoff <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Multicast.Rpf.Backoff>`
                
                .. attribute:: use_bgp
                
                	Use BGP routes for multicast RPF lookup
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ipv6.Multicast.Rpf, self).__init__()

                    self.yang_name = "rpf"
                    self.yang_parent_name = "multicast"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"backoff" : ("backoff", Native.Ipv6.Multicast.Rpf.Backoff)}
                    self._child_list_classes = {}

                    self.use_bgp = YLeaf(YType.empty, "use-bgp")

                    self.backoff = Native.Ipv6.Multicast.Rpf.Backoff()
                    self.backoff.parent = self
                    self._children_name_map["backoff"] = "backoff"
                    self._children_yang_names.add("backoff")
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:rpf"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/multicast/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Multicast.Rpf, ['use_bgp'], name, value)


                class Backoff(Entity):
                    """
                    Backoff delay after unicast routing change
                    
                    .. attribute:: initial_delay
                    
                    	
                    	**type**\: int
                    
                    	**range:** 200..65535
                    
                    .. attribute:: max_delay
                    
                    	
                    	**type**\: int
                    
                    	**range:** 200..65535
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ipv6.Multicast.Rpf.Backoff, self).__init__()

                        self.yang_name = "backoff"
                        self.yang_parent_name = "rpf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.initial_delay = YLeaf(YType.uint16, "initial-delay")

                        self.max_delay = YLeaf(YType.uint16, "max-delay")
                        self._segment_path = lambda: "backoff"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/multicast/Cisco-IOS-XE-multicast:rpf/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Multicast.Rpf.Backoff, ['initial_delay', 'max_delay'], name, value)


        class Cef(Entity):
            """
            Cisco Express Forwarding
            
            .. attribute:: accounting
            
            	Enable CEF accounting
            	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.Accounting>`
            
            .. attribute:: distributed
            
            	Distributed Cisco Express Forwarding
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: optimize
            
            	Optimizations
            	**type**\:  :py:class:`Optimize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.Optimize>`
            
            .. attribute:: traffic_statistics
            
            	Enable collection of traffic statistics
            	**type**\:  :py:class:`TrafficStatistics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.TrafficStatistics>`
            
            .. attribute:: load_sharing
            
            	Load sharing
            	**type**\:  :py:class:`LoadSharing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.LoadSharing>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ipv6.Cef, self).__init__()

                self.yang_name = "cef"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-cef:accounting" : ("accounting", Native.Ipv6.Cef.Accounting), "Cisco-IOS-XE-cef:optimize" : ("optimize", Native.Ipv6.Cef.Optimize), "Cisco-IOS-XE-cef:traffic-statistics" : ("traffic_statistics", Native.Ipv6.Cef.TrafficStatistics), "Cisco-IOS-XE-cef:load-sharing" : ("load_sharing", Native.Ipv6.Cef.LoadSharing)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.distributed = YLeaf(YType.empty, "Cisco-IOS-XE-cef:distributed")

                self.accounting = Native.Ipv6.Cef.Accounting()
                self.accounting.parent = self
                self._children_name_map["accounting"] = "accounting"
                self._children_yang_names.add("accounting")

                self.optimize = Native.Ipv6.Cef.Optimize()
                self.optimize.parent = self
                self._children_name_map["optimize"] = "optimize"
                self._children_yang_names.add("optimize")

                self.traffic_statistics = Native.Ipv6.Cef.TrafficStatistics()
                self.traffic_statistics.parent = self
                self._children_name_map["traffic_statistics"] = "traffic-statistics"
                self._children_yang_names.add("traffic-statistics")

                self.load_sharing = Native.Ipv6.Cef.LoadSharing()
                self.load_sharing.parent = self
                self._children_name_map["load_sharing"] = "load-sharing"
                self._children_yang_names.add("load-sharing")
                self._segment_path = lambda: "cef"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.Cef, ['distributed'], name, value)


            class Accounting(Entity):
                """
                Enable CEF accounting
                
                .. attribute:: per_prefix
                
                	Enable per prefix accounting
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: non_recursive
                
                	Enable accounting for traffic through non\-recursive prefixes
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: prefix_length
                
                	Enable prefix length accounting
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: load_balance_hash
                
                	Enable load balance hash accounting
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-05-19'

                def __init__(self):
                    super(Native.Ipv6.Cef.Accounting, self).__init__()

                    self.yang_name = "accounting"
                    self.yang_parent_name = "cef"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.per_prefix = YLeaf(YType.empty, "per-prefix")

                    self.non_recursive = YLeaf(YType.empty, "non-recursive")

                    self.prefix_length = YLeaf(YType.empty, "prefix-length")

                    self.load_balance_hash = YLeaf(YType.empty, "load-balance-hash")
                    self._segment_path = lambda: "Cisco-IOS-XE-cef:accounting"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Cef.Accounting, ['per_prefix', 'non_recursive', 'prefix_length', 'load_balance_hash'], name, value)


            class Optimize(Entity):
                """
                Optimizations
                
                .. attribute:: neighbor
                
                	Optimizations for directly connected neighbors
                	**type**\:  :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.Optimize.Neighbor>`
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-05-19'

                def __init__(self):
                    super(Native.Ipv6.Cef.Optimize, self).__init__()

                    self.yang_name = "optimize"
                    self.yang_parent_name = "cef"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"neighbor" : ("neighbor", Native.Ipv6.Cef.Optimize.Neighbor)}
                    self._child_list_classes = {}

                    self.neighbor = Native.Ipv6.Cef.Optimize.Neighbor()
                    self.neighbor.parent = self
                    self._children_name_map["neighbor"] = "neighbor"
                    self._children_yang_names.add("neighbor")
                    self._segment_path = lambda: "Cisco-IOS-XE-cef:optimize"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/%s" % self._segment_path()


                class Neighbor(Entity):
                    """
                    Optimizations for directly connected neighbors
                    
                    .. attribute:: resolution
                    
                    	Trigger layer 2 address resolution directly from CEF
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Ipv6.Cef.Optimize.Neighbor, self).__init__()

                        self.yang_name = "neighbor"
                        self.yang_parent_name = "optimize"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.resolution = YLeaf(YType.empty, "resolution")
                        self._segment_path = lambda: "neighbor"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/Cisco-IOS-XE-cef:optimize/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Cef.Optimize.Neighbor, ['resolution'], name, value)


            class TrafficStatistics(Entity):
                """
                Enable collection of traffic statistics
                
                .. attribute:: load_interval
                
                	Specify interval for load calculation
                	**type**\: int
                
                	**range:** 30..600
                
                .. attribute:: update_rate
                
                	Specify update rate for non\-recursive prefix stats
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-05-19'

                def __init__(self):
                    super(Native.Ipv6.Cef.TrafficStatistics, self).__init__()

                    self.yang_name = "traffic-statistics"
                    self.yang_parent_name = "cef"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.load_interval = YLeaf(YType.uint16, "load-interval")

                    self.update_rate = YLeaf(YType.uint16, "update-rate")
                    self._segment_path = lambda: "Cisco-IOS-XE-cef:traffic-statistics"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Cef.TrafficStatistics, ['load_interval', 'update_rate'], name, value)


            class LoadSharing(Entity):
                """
                Load sharing
                
                .. attribute:: algorithm
                
                	Per\-destination load sharing algorithm selection
                	**type**\:  :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.LoadSharing.Algorithm>`
                
                .. attribute:: key_control
                
                	Configure algorithm control values
                	**type**\:  :py:class:`KeyControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.LoadSharing.KeyControl>`
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-05-19'

                def __init__(self):
                    super(Native.Ipv6.Cef.LoadSharing, self).__init__()

                    self.yang_name = "load-sharing"
                    self.yang_parent_name = "cef"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"algorithm" : ("algorithm", Native.Ipv6.Cef.LoadSharing.Algorithm), "key-control" : ("key_control", Native.Ipv6.Cef.LoadSharing.KeyControl)}
                    self._child_list_classes = {}

                    self.algorithm = Native.Ipv6.Cef.LoadSharing.Algorithm()
                    self.algorithm.parent = self
                    self._children_name_map["algorithm"] = "algorithm"
                    self._children_yang_names.add("algorithm")

                    self.key_control = Native.Ipv6.Cef.LoadSharing.KeyControl()
                    self.key_control.parent = self
                    self._children_name_map["key_control"] = "key-control"
                    self._children_yang_names.add("key-control")
                    self._segment_path = lambda: "Cisco-IOS-XE-cef:load-sharing"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/%s" % self._segment_path()


                class Algorithm(Entity):
                    """
                    Per\-destination load sharing algorithm selection
                    
                    .. attribute:: tunnel
                    
                    	Algorithm for use in tunnel only environments
                    	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.LoadSharing.Algorithm.Tunnel>`
                    
                    .. attribute:: universal
                    
                    	Algorithm for use in most environments
                    	**type**\:  :py:class:`Universal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.LoadSharing.Algorithm.Universal>`
                    
                    .. attribute:: original
                    
                    	Original algorithm
                    	**type**\:  :py:class:`Original <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.LoadSharing.Algorithm.Original>`
                    
                    .. attribute:: include_ports
                    
                    	Algorithm that includes layer 4 ports
                    	**type**\:  :py:class:`IncludePorts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Ipv6.Cef.LoadSharing.Algorithm, self).__init__()

                        self.yang_name = "algorithm"
                        self.yang_parent_name = "load-sharing"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"tunnel" : ("tunnel", Native.Ipv6.Cef.LoadSharing.Algorithm.Tunnel), "universal" : ("universal", Native.Ipv6.Cef.LoadSharing.Algorithm.Universal), "original" : ("original", Native.Ipv6.Cef.LoadSharing.Algorithm.Original), "include-ports" : ("include_ports", Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts)}
                        self._child_list_classes = {}

                        self.tunnel = Native.Ipv6.Cef.LoadSharing.Algorithm.Tunnel()
                        self.tunnel.parent = self
                        self._children_name_map["tunnel"] = "tunnel"
                        self._children_yang_names.add("tunnel")

                        self.universal = Native.Ipv6.Cef.LoadSharing.Algorithm.Universal()
                        self.universal.parent = self
                        self._children_name_map["universal"] = "universal"
                        self._children_yang_names.add("universal")

                        self.original = Native.Ipv6.Cef.LoadSharing.Algorithm.Original()
                        self.original.parent = self
                        self._children_name_map["original"] = "original"
                        self._children_yang_names.add("original")

                        self.include_ports = None
                        self._children_name_map["include_ports"] = "include-ports"
                        self._children_yang_names.add("include-ports")
                        self._segment_path = lambda: "algorithm"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/Cisco-IOS-XE-cef:load-sharing/%s" % self._segment_path()


                    class Tunnel(Entity):
                        """
                        Algorithm for use in tunnel only environments
                        
                        .. attribute:: tunnel
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fixed_id
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9a\-fA\-F]{1,8}
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Ipv6.Cef.LoadSharing.Algorithm.Tunnel, self).__init__()

                            self.yang_name = "tunnel"
                            self.yang_parent_name = "algorithm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tunnel = YLeaf(YType.empty, "tunnel")

                            self.fixed_id = YLeaf(YType.str, "fixed-id")
                            self._segment_path = lambda: "tunnel"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Cef.LoadSharing.Algorithm.Tunnel, ['tunnel', 'fixed_id'], name, value)


                    class Universal(Entity):
                        """
                        Algorithm for use in most environments
                        
                        .. attribute:: universal
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fixed_id
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9a\-fA\-F]{1,8}
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Ipv6.Cef.LoadSharing.Algorithm.Universal, self).__init__()

                            self.yang_name = "universal"
                            self.yang_parent_name = "algorithm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.universal = YLeaf(YType.empty, "universal")

                            self.fixed_id = YLeaf(YType.str, "fixed-id")
                            self._segment_path = lambda: "universal"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Cef.LoadSharing.Algorithm.Universal, ['universal', 'fixed_id'], name, value)


                    class Original(Entity):
                        """
                        Original algorithm
                        
                        .. attribute:: original
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Ipv6.Cef.LoadSharing.Algorithm.Original, self).__init__()

                            self.yang_name = "original"
                            self.yang_parent_name = "algorithm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.original = YLeaf(YType.empty, "original")
                            self._segment_path = lambda: "original"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Cef.LoadSharing.Algorithm.Original, ['original'], name, value)


                    class IncludePorts(Entity):
                        """
                        Algorithm that includes layer 4 ports
                        
                        .. attribute:: destination
                        
                        	Use destination port in hash function
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Destination>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Use source port in hash function
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Source>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts, self).__init__()

                            self.yang_name = "include-ports"
                            self.yang_parent_name = "algorithm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"destination" : ("destination", Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Destination), "source" : ("source", Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Source)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.destination = None
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.source = None
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "include-ports"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/%s" % self._segment_path()


                        class Destination(Entity):
                            """
                            Use destination port in hash function
                            
                            .. attribute:: fixed_id
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9a\-fA\-F]{1,8}
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-cef'
                            _revision = '2017-05-19'

                            def __init__(self):
                                super(Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "include-ports"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.fixed_id = YLeaf(YType.str, "fixed-id")
                                self._segment_path = lambda: "destination"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/include-ports/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Destination, ['fixed_id'], name, value)


                        class Source(Entity):
                            """
                            Use source port in hash function
                            
                            .. attribute:: destination
                            
                            	Use source and destination ports in hash function
                            	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fixed_id
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9a\-fA\-F]{1,8}
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-cef'
                            _revision = '2017-05-19'

                            def __init__(self):
                                super(Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "include-ports"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"destination" : ("destination", Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.fixed_id = YLeaf(YType.str, "fixed-id")

                                self.destination = None
                                self._children_name_map["destination"] = "destination"
                                self._children_yang_names.add("destination")
                                self._segment_path = lambda: "source"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/include-ports/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Source, ['fixed_id'], name, value)


                            class Destination(Entity):
                                """
                                Use source and destination ports in hash function
                                
                                .. attribute:: gtp
                                
                                	Use GTP te\-id as source and destination ports in hash function
                                	**type**\:  :py:class:`Gtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: fixed_id
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9a\-fA\-F]{1,8}
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-cef'
                                _revision = '2017-05-19'

                                def __init__(self):
                                    super(Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination, self).__init__()

                                    self.yang_name = "destination"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"gtp" : ("gtp", Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.fixed_id = YLeaf(YType.str, "fixed-id")

                                    self.gtp = None
                                    self._children_name_map["gtp"] = "gtp"
                                    self._children_yang_names.add("gtp")
                                    self._segment_path = lambda: "destination"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/include-ports/source/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination, ['fixed_id'], name, value)


                                class Gtp(Entity):
                                    """
                                    Use GTP te\-id as source and destination ports in hash function
                                    
                                    .. attribute:: fixed_id
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9a\-fA\-F]{1,8}
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cef'
                                    _revision = '2017-05-19'

                                    def __init__(self):
                                        super(Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp, self).__init__()

                                        self.yang_name = "gtp"
                                        self.yang_parent_name = "destination"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.fixed_id = YLeaf(YType.str, "fixed-id")
                                        self._segment_path = lambda: "gtp"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/Cisco-IOS-XE-cef:load-sharing/algorithm/include-ports/source/destination/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Cef.LoadSharing.Algorithm.IncludePorts.Source.Destination.Gtp, ['fixed_id'], name, value)


                class KeyControl(Entity):
                    """
                    Configure algorithm control values
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Ipv6.Cef.LoadSharing.KeyControl, self).__init__()

                        self.yang_name = "key-control"
                        self.yang_parent_name = "load-sharing"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "key-control"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/cef/Cisco-IOS-XE-cef:load-sharing/%s" % self._segment_path()


        class Nd(Entity):
            """
            Configure IPv6 ND
            
            .. attribute:: inspection
            
            	Configure NDP Inspection
            	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection>`
            
            .. attribute:: cache
            
            	Cache entry
            	**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Cache>`
            
            .. attribute:: raguard
            
            	Configure RA guard
            	**type**\:  :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Raguard>`
            
            .. attribute:: default_route
            
            	
            	**type**\:  :py:class:`DefaultRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.DefaultRoute>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ipv6.Nd, self).__init__()

                self.yang_name = "nd"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-nd:inspection" : ("inspection", Native.Ipv6.Nd.Inspection), "Cisco-IOS-XE-nd:cache" : ("cache", Native.Ipv6.Nd.Cache), "Cisco-IOS-XE-nd:raguard" : ("raguard", Native.Ipv6.Nd.Raguard), "Cisco-IOS-XE-nd:default-route" : ("default_route", Native.Ipv6.Nd.DefaultRoute)}
                self._child_list_classes = {}

                self.inspection = Native.Ipv6.Nd.Inspection()
                self.inspection.parent = self
                self._children_name_map["inspection"] = "inspection"
                self._children_yang_names.add("inspection")

                self.cache = Native.Ipv6.Nd.Cache()
                self.cache.parent = self
                self._children_name_map["cache"] = "cache"
                self._children_yang_names.add("cache")

                self.raguard = Native.Ipv6.Nd.Raguard()
                self.raguard.parent = self
                self._children_name_map["raguard"] = "raguard"
                self._children_yang_names.add("raguard")

                self.default_route = Native.Ipv6.Nd.DefaultRoute()
                self.default_route.parent = self
                self._children_name_map["default_route"] = "default-route"
                self._children_yang_names.add("default-route")
                self._segment_path = lambda: "nd"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()


            class Inspection(Entity):
                """
                Configure NDP Inspection
                
                .. attribute:: policy
                
                	Configure a policy for feature NDP inspection
                	**type**\: list of  		 :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy>`
                
                

                """

                _prefix = 'ios-nd'
                _revision = '2017-04-07'

                def __init__(self):
                    super(Native.Ipv6.Nd.Inspection, self).__init__()

                    self.yang_name = "inspection"
                    self.yang_parent_name = "nd"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"policy" : ("policy", Native.Ipv6.Nd.Inspection.Policy)}

                    self.policy = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-nd:inspection"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/nd/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Nd.Inspection, [], name, value)


                class Policy(Entity):
                    """
                    Configure a policy for feature NDP inspection
                    
                    .. attribute:: name_nd_inspection_policy  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: device_role
                    
                    	Sets the role of the device attached to the port
                    	**type**\:  :py:class:`DeviceRole <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.DeviceRole>`
                    
                    .. attribute:: drop_unsecure
                    
                    	drop unsecure (3971) messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: limit
                    
                    	Specifies a limit
                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Limit>`
                    
                    .. attribute:: sec_level
                    
                    	Specifies a minimum sec\-level
                    	**type**\:  :py:class:`SecLevel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.SecLevel>`
                    
                    .. attribute:: tracking
                    
                    	Override default tracking behavior
                    	**type**\:  :py:class:`Tracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Tracking>`
                    
                    .. attribute:: trusted_port
                    
                    	setup trusted port
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: validate
                    
                    	specific validation
                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Validate>`
                    
                    

                    """

                    _prefix = 'ios-nd'
                    _revision = '2017-04-07'

                    def __init__(self):
                        super(Native.Ipv6.Nd.Inspection.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "inspection"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"device-role" : ("device_role", Native.Ipv6.Nd.Inspection.Policy.DeviceRole), "limit" : ("limit", Native.Ipv6.Nd.Inspection.Policy.Limit), "sec-level" : ("sec_level", Native.Ipv6.Nd.Inspection.Policy.SecLevel), "tracking" : ("tracking", Native.Ipv6.Nd.Inspection.Policy.Tracking), "validate" : ("validate", Native.Ipv6.Nd.Inspection.Policy.Validate)}
                        self._child_list_classes = {}

                        self.name_nd_inspection_policy = YLeaf(YType.str, "name-nd-inspection-policy")

                        self.drop_unsecure = YLeaf(YType.empty, "drop-unsecure")

                        self.trusted_port = YLeaf(YType.empty, "trusted-port")

                        self.device_role = Native.Ipv6.Nd.Inspection.Policy.DeviceRole()
                        self.device_role.parent = self
                        self._children_name_map["device_role"] = "device-role"
                        self._children_yang_names.add("device-role")

                        self.limit = Native.Ipv6.Nd.Inspection.Policy.Limit()
                        self.limit.parent = self
                        self._children_name_map["limit"] = "limit"
                        self._children_yang_names.add("limit")

                        self.sec_level = Native.Ipv6.Nd.Inspection.Policy.SecLevel()
                        self.sec_level.parent = self
                        self._children_name_map["sec_level"] = "sec-level"
                        self._children_yang_names.add("sec-level")

                        self.tracking = Native.Ipv6.Nd.Inspection.Policy.Tracking()
                        self.tracking.parent = self
                        self._children_name_map["tracking"] = "tracking"
                        self._children_yang_names.add("tracking")

                        self.validate = Native.Ipv6.Nd.Inspection.Policy.Validate()
                        self.validate.parent = self
                        self._children_name_map["validate"] = "validate"
                        self._children_yang_names.add("validate")
                        self._segment_path = lambda: "policy" + "[name-nd-inspection-policy='" + self.name_nd_inspection_policy.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/nd/Cisco-IOS-XE-nd:inspection/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Nd.Inspection.Policy, ['name_nd_inspection_policy', 'drop_unsecure', 'trusted_port'], name, value)


                    class DeviceRole(Entity):
                        """
                        Sets the role of the device attached to the port
                        
                        .. attribute:: host
                        
                        	Attached device is a host (default)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: monitor
                        
                        	Attached device is a monitor/sniffer
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: router
                        
                        	Attached device is a route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: switch
                        
                        	Attached device is a switch
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Ipv6.Nd.Inspection.Policy.DeviceRole, self).__init__()

                            self.yang_name = "device-role"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.host = YLeaf(YType.empty, "host")

                            self.monitor = YLeaf(YType.empty, "monitor")

                            self.router = YLeaf(YType.empty, "router")

                            self.switch = YLeaf(YType.empty, "switch")
                            self._segment_path = lambda: "device-role"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Nd.Inspection.Policy.DeviceRole, ['host', 'monitor', 'router', 'switch'], name, value)


                    class Limit(Entity):
                        """
                        Specifies a limit
                        
                        .. attribute:: address_count
                        
                        	Configure maximum address per port
                        	**type**\: int
                        
                        	**range:** 1..10000
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Ipv6.Nd.Inspection.Policy.Limit, self).__init__()

                            self.yang_name = "limit"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address_count = YLeaf(YType.uint16, "address-count")
                            self._segment_path = lambda: "limit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Nd.Inspection.Policy.Limit, ['address_count'], name, value)


                    class SecLevel(Entity):
                        """
                        Specifies a minimum sec\-level
                        
                        .. attribute:: minimum
                        
                        	Configure minimum sec\-level
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Ipv6.Nd.Inspection.Policy.SecLevel, self).__init__()

                            self.yang_name = "sec-level"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.minimum = YLeaf(YType.uint8, "minimum")
                            self._segment_path = lambda: "sec-level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Nd.Inspection.Policy.SecLevel, ['minimum'], name, value)


                    class Tracking(Entity):
                        """
                        Override default tracking behavior
                        
                        .. attribute:: disable
                        
                        	Tracking off
                        	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: enable
                        
                        	Tracking on
                        	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Ipv6.Nd.Inspection.Policy.Tracking, self).__init__()

                            self.yang_name = "tracking"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"disable" : ("disable", Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable), "enable" : ("enable", Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable)}
                            self._child_list_classes = {}

                            self.disable = None
                            self._children_name_map["disable"] = "disable"
                            self._children_yang_names.add("disable")

                            self.enable = None
                            self._children_name_map["enable"] = "enable"
                            self._children_yang_names.add("enable")
                            self._segment_path = lambda: "tracking"


                        class Disable(Entity):
                            """
                            Tracking off
                            
                            .. attribute:: stale_lifetime
                            
                            	Time entry is kept inactive before delete
                            	**type**\:  :py:class:`StaleLifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable.StaleLifetime>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-04-07'

                            def __init__(self):
                                super(Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable, self).__init__()

                                self.yang_name = "disable"
                                self.yang_parent_name = "tracking"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"stale-lifetime" : ("stale_lifetime", Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable.StaleLifetime)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.stale_lifetime = Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable.StaleLifetime()
                                self.stale_lifetime.parent = self
                                self._children_name_map["stale_lifetime"] = "stale-lifetime"
                                self._children_yang_names.add("stale-lifetime")
                                self._segment_path = lambda: "disable"


                            class StaleLifetime(Entity):
                                """
                                Time entry is kept inactive before delete
                                
                                .. attribute:: seconds
                                
                                	Seconds
                                	**type**\: int
                                
                                	**range:** 1..86400
                                
                                .. attribute:: infinite
                                
                                	Keep in STALE forever
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-nd'
                                _revision = '2017-04-07'

                                def __init__(self):
                                    super(Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable.StaleLifetime, self).__init__()

                                    self.yang_name = "stale-lifetime"
                                    self.yang_parent_name = "disable"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.seconds = YLeaf(YType.uint32, "seconds")

                                    self.infinite = YLeaf(YType.empty, "infinite")
                                    self._segment_path = lambda: "stale-lifetime"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Nd.Inspection.Policy.Tracking.Disable.StaleLifetime, ['seconds', 'infinite'], name, value)


                        class Enable(Entity):
                            """
                            Tracking on
                            
                            .. attribute:: reachable_lifetime
                            
                            	Time entry is kept REACHABLE
                            	**type**\:  :py:class:`ReachableLifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable.ReachableLifetime>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-04-07'

                            def __init__(self):
                                super(Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable, self).__init__()

                                self.yang_name = "enable"
                                self.yang_parent_name = "tracking"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"reachable-lifetime" : ("reachable_lifetime", Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable.ReachableLifetime)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.reachable_lifetime = Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable.ReachableLifetime()
                                self.reachable_lifetime.parent = self
                                self._children_name_map["reachable_lifetime"] = "reachable-lifetime"
                                self._children_yang_names.add("reachable-lifetime")
                                self._segment_path = lambda: "enable"


                            class ReachableLifetime(Entity):
                                """
                                Time entry is kept REACHABLE
                                
                                .. attribute:: seconds
                                
                                	Seconds
                                	**type**\: int
                                
                                	**range:** 1..86400
                                
                                .. attribute:: infinite
                                
                                	Keep in REACHABLE forever
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-nd'
                                _revision = '2017-04-07'

                                def __init__(self):
                                    super(Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable.ReachableLifetime, self).__init__()

                                    self.yang_name = "reachable-lifetime"
                                    self.yang_parent_name = "enable"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.seconds = YLeaf(YType.uint32, "seconds")

                                    self.infinite = YLeaf(YType.empty, "infinite")
                                    self._segment_path = lambda: "reachable-lifetime"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Nd.Inspection.Policy.Tracking.Enable.ReachableLifetime, ['seconds', 'infinite'], name, value)


                    class Validate(Entity):
                        """
                        specific validation
                        
                        .. attribute:: source_mac
                        
                        	check source mac against link\-layer\-address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Ipv6.Nd.Inspection.Policy.Validate, self).__init__()

                            self.yang_name = "validate"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.source_mac = YLeaf(YType.empty, "source-mac")
                            self._segment_path = lambda: "validate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Nd.Inspection.Policy.Validate, ['source_mac'], name, value)


            class Cache(Entity):
                """
                Cache entry
                
                .. attribute:: expire
                
                	Expiry time for ND entries
                	**type**\:  :py:class:`Expire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Cache.Expire>`
                
                

                """

                _prefix = 'ios-nd'
                _revision = '2017-04-07'

                def __init__(self):
                    super(Native.Ipv6.Nd.Cache, self).__init__()

                    self.yang_name = "cache"
                    self.yang_parent_name = "nd"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"expire" : ("expire", Native.Ipv6.Nd.Cache.Expire)}
                    self._child_list_classes = {}

                    self.expire = Native.Ipv6.Nd.Cache.Expire()
                    self.expire.parent = self
                    self._children_name_map["expire"] = "expire"
                    self._children_yang_names.add("expire")
                    self._segment_path = lambda: "Cisco-IOS-XE-nd:cache"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/nd/%s" % self._segment_path()


                class Expire(Entity):
                    """
                    Expiry time for ND entries
                    
                    .. attribute:: time
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: refresh
                    
                    	Automatically refresh entry
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nd'
                    _revision = '2017-04-07'

                    def __init__(self):
                        super(Native.Ipv6.Nd.Cache.Expire, self).__init__()

                        self.yang_name = "expire"
                        self.yang_parent_name = "cache"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.time = YLeaf(YType.uint16, "time")

                        self.refresh = YLeaf(YType.empty, "refresh")
                        self._segment_path = lambda: "expire"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/nd/Cisco-IOS-XE-nd:cache/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Nd.Cache.Expire, ['time', 'refresh'], name, value)


            class Raguard(Entity):
                """
                Configure RA guard
                
                .. attribute:: policy
                
                	Configure a policy for feature RA guard
                	**type**\: list of  		 :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Raguard.Policy>`
                
                .. attribute:: attach_policy
                
                	Configure a policy for feature RA guard
                	**type**\: str
                
                

                """

                _prefix = 'ios-nd'
                _revision = '2017-04-07'

                def __init__(self):
                    super(Native.Ipv6.Nd.Raguard, self).__init__()

                    self.yang_name = "raguard"
                    self.yang_parent_name = "nd"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"policy" : ("policy", Native.Ipv6.Nd.Raguard.Policy)}

                    self.attach_policy = YLeaf(YType.str, "attach-policy")

                    self.policy = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-nd:raguard"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/nd/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Nd.Raguard, ['attach_policy'], name, value)


                class Policy(Entity):
                    """
                    Configure a policy for feature RA guard
                    
                    .. attribute:: raguard_policy_name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: device_role
                    
                    	Sets the role of the device attached to the port
                    	**type**\:  :py:class:`DeviceRole <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Raguard.Policy.DeviceRole>`
                    
                    .. attribute:: hop_limit
                    
                    	Enable verification of the advertised Hop count limit
                    	**type**\:  :py:class:`HopLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.Raguard.Policy.HopLimit>`
                    
                    .. attribute:: trusted_port
                    
                    	setup trusted port
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nd'
                    _revision = '2017-04-07'

                    def __init__(self):
                        super(Native.Ipv6.Nd.Raguard.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "raguard"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"device-role" : ("device_role", Native.Ipv6.Nd.Raguard.Policy.DeviceRole), "hop-limit" : ("hop_limit", Native.Ipv6.Nd.Raguard.Policy.HopLimit)}
                        self._child_list_classes = {}

                        self.raguard_policy_name = YLeaf(YType.str, "raguard-policy-name")

                        self.trusted_port = YLeaf(YType.empty, "trusted-port")

                        self.device_role = Native.Ipv6.Nd.Raguard.Policy.DeviceRole()
                        self.device_role.parent = self
                        self._children_name_map["device_role"] = "device-role"
                        self._children_yang_names.add("device-role")

                        self.hop_limit = Native.Ipv6.Nd.Raguard.Policy.HopLimit()
                        self.hop_limit.parent = self
                        self._children_name_map["hop_limit"] = "hop-limit"
                        self._children_yang_names.add("hop-limit")
                        self._segment_path = lambda: "policy" + "[raguard-policy-name='" + self.raguard_policy_name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/nd/Cisco-IOS-XE-nd:raguard/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Nd.Raguard.Policy, ['raguard_policy_name', 'trusted_port'], name, value)


                    class DeviceRole(Entity):
                        """
                        Sets the role of the device attached to the port
                        
                        .. attribute:: host
                        
                        	Attached device is a host (default)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: monitor
                        
                        	Attached device is a monitor/sniffer
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: router
                        
                        	Attached device is a router
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: switch
                        
                        	Attached device is a switch
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Ipv6.Nd.Raguard.Policy.DeviceRole, self).__init__()

                            self.yang_name = "device-role"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.host = YLeaf(YType.empty, "host")

                            self.monitor = YLeaf(YType.empty, "monitor")

                            self.router = YLeaf(YType.empty, "router")

                            self.switch = YLeaf(YType.empty, "switch")
                            self._segment_path = lambda: "device-role"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Nd.Raguard.Policy.DeviceRole, ['host', 'monitor', 'router', 'switch'], name, value)


                    class HopLimit(Entity):
                        """
                        Enable verification of the advertised Hop count limit
                        
                        .. attribute:: maximum
                        
                        	Maximum hop count value allowed
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: minimum
                        
                        	Minimum hop count value allowed
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Ipv6.Nd.Raguard.Policy.HopLimit, self).__init__()

                            self.yang_name = "hop-limit"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.maximum = YLeaf(YType.uint8, "maximum")

                            self.minimum = YLeaf(YType.uint8, "minimum")
                            self._segment_path = lambda: "hop-limit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Nd.Raguard.Policy.HopLimit, ['maximum', 'minimum'], name, value)


            class DefaultRoute(Entity):
                """
                
                
                .. attribute:: vrf
                
                	
                	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Nd.DefaultRoute.Vrf>`
                
                .. attribute:: limit
                
                	
                	**type**\: int
                
                	**range:** 0..5
                
                

                """

                _prefix = 'ios-nd'
                _revision = '2017-04-07'

                def __init__(self):
                    super(Native.Ipv6.Nd.DefaultRoute, self).__init__()

                    self.yang_name = "default-route"
                    self.yang_parent_name = "nd"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"vrf" : ("vrf", Native.Ipv6.Nd.DefaultRoute.Vrf)}

                    self.limit = YLeaf(YType.uint8, "limit")

                    self.vrf = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-nd:default-route"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/nd/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Nd.DefaultRoute, ['limit'], name, value)


                class Vrf(Entity):
                    """
                    
                    
                    .. attribute:: word  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: limit
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..5
                    
                    

                    """

                    _prefix = 'ios-nd'
                    _revision = '2017-04-07'

                    def __init__(self):
                        super(Native.Ipv6.Nd.DefaultRoute.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "default-route"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.word = YLeaf(YType.str, "word")

                        self.limit = YLeaf(YType.uint8, "limit")
                        self._segment_path = lambda: "vrf" + "[word='" + self.word.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/nd/Cisco-IOS-XE-nd:default-route/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Nd.DefaultRoute.Vrf, ['word', 'limit'], name, value)


        class Pim(Entity):
            """
            Configure Protocol Independent Multicast
            
            .. attribute:: rp_address
            
            	Configure Sparse\-Mode Rendezvous Point
            	**type**\:  :py:class:`RpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Pim.RpAddress>`
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Pim.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ipv6.Pim, self).__init__()

                self.yang_name = "pim"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-multicast:rp-address" : ("rp_address", Native.Ipv6.Pim.RpAddress)}
                self._child_list_classes = {"Cisco-IOS-XE-multicast:vrf" : ("vrf", Native.Ipv6.Pim.Vrf)}

                self.rp_address = Native.Ipv6.Pim.RpAddress()
                self.rp_address.parent = self
                self._children_name_map["rp_address"] = "rp-address"
                self._children_yang_names.add("rp-address")

                self.vrf = YList(self)
                self._segment_path = lambda: "pim"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.Pim, [], name, value)


            class RpAddress(Entity):
                """
                Configure Sparse\-Mode Rendezvous Point
                
                .. attribute:: address
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: access_list
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                .. attribute:: bidir
                
                	Specify keyword bidir to configure a bidir RP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ipv6.Pim.RpAddress, self).__init__()

                    self.yang_name = "rp-address"
                    self.yang_parent_name = "pim"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.str, "address")

                    self.access_list = YLeaf(YType.str, "access-list")

                    self.bidir = YLeaf(YType.empty, "bidir")
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:rp-address"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/pim/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Pim.RpAddress, ['address', 'access_list', 'bidir'], name, value)


            class Vrf(Entity):
                """
                Select VPN Routing/Forwarding instance
                
                .. attribute:: id  <key>
                
                	
                	**type**\: str
                
                .. attribute:: rp_address
                
                	Configure Sparse\-Mode Rendezvous Point
                	**type**\:  :py:class:`RpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Pim.Vrf.RpAddress>`
                
                

                """

                _prefix = 'ios-mc'
                _revision = '2017-06-01'

                def __init__(self):
                    super(Native.Ipv6.Pim.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "pim"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"rp-address" : ("rp_address", Native.Ipv6.Pim.Vrf.RpAddress)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.rp_address = Native.Ipv6.Pim.Vrf.RpAddress()
                    self.rp_address.parent = self
                    self._children_name_map["rp_address"] = "rp-address"
                    self._children_yang_names.add("rp-address")
                    self._segment_path = lambda: "Cisco-IOS-XE-multicast:vrf" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/pim/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Pim.Vrf, ['id'], name, value)


                class RpAddress(Entity):
                    """
                    Configure Sparse\-Mode Rendezvous Point
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    .. attribute:: bidir
                    
                    	Specify keyword bidir to configure a bidir RP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Ipv6.Pim.Vrf.RpAddress, self).__init__()

                        self.yang_name = "rp-address"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.access_list = YLeaf(YType.str, "access-list")

                        self.bidir = YLeaf(YType.empty, "bidir")
                        self._segment_path = lambda: "rp-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Pim.Vrf.RpAddress, ['address', 'access_list', 'bidir'], name, value)


        class Route(Entity):
            """
            Configure static routes
            
            .. attribute:: ipv6_route_list
            
            	
            	**type**\: list of  		 :py:class:`Ipv6RouteList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Ipv6RouteList>`
            
            .. attribute:: vrf
            
            	Configure static route for a VPN Routing/Forwarding instance
            	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Vrf>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ipv6.Route, self).__init__()

                self.yang_name = "route"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"ipv6-route-list" : ("ipv6_route_list", Native.Ipv6.Route.Ipv6RouteList), "vrf" : ("vrf", Native.Ipv6.Route.Vrf)}

                self.ipv6_route_list = YList(self)
                self.vrf = YList(self)
                self._segment_path = lambda: "route"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.Route, [], name, value)


            class Ipv6RouteList(Entity):
                """
                
                
                .. attribute:: prefix  <key>
                
                	
                	**type**\: str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                
                .. attribute:: ipv6_fwd_list
                
                	
                	**type**\: list of  		 :py:class:`Ipv6FwdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Ipv6RouteList.Ipv6FwdList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ipv6.Route.Ipv6RouteList, self).__init__()

                    self.yang_name = "ipv6-route-list"
                    self.yang_parent_name = "route"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"ipv6-fwd-list" : ("ipv6_fwd_list", Native.Ipv6.Route.Ipv6RouteList.Ipv6FwdList)}

                    self.prefix = YLeaf(YType.str, "prefix")

                    self.ipv6_fwd_list = YList(self)
                    self._segment_path = lambda: "ipv6-route-list" + "[prefix='" + self.prefix.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/route/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Route.Ipv6RouteList, ['prefix'], name, value)


                class Ipv6FwdList(Entity):
                    """
                    
                    
                    .. attribute:: fwd  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\:  :py:class:`Fwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList.Fwd>`
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    .. attribute:: next_hop
                    
                    	IPv6 address of next\-hop
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: distance
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: name
                    
                    	Specify name of the next hop
                    	**type**\: str
                    
                    .. attribute:: multicast
                    
                    	Route only usable by multicast
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unicast
                    
                    	Route only usable by unicast
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tag
                    
                    	Tag value
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: track
                    
                    	Tracked
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ipv6.Route.Ipv6RouteList.Ipv6FwdList, self).__init__()

                        self.yang_name = "ipv6-fwd-list"
                        self.yang_parent_name = "ipv6-route-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.fwd = YLeaf(YType.str, "fwd")

                        self.next_hop = YLeaf(YType.str, "next-hop")

                        self.distance = YLeaf(YType.uint8, "distance")

                        self.name = YLeaf(YType.str, "name")

                        self.multicast = YLeaf(YType.empty, "multicast")

                        self.unicast = YLeaf(YType.empty, "unicast")

                        self.tag = YLeaf(YType.uint32, "tag")

                        self.track = YLeaf(YType.uint32, "track")
                        self._segment_path = lambda: "ipv6-fwd-list" + "[fwd='" + self.fwd.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Route.Ipv6RouteList.Ipv6FwdList, ['fwd', 'next_hop', 'distance', 'name', 'multicast', 'unicast', 'tag', 'track'], name, value)

                    class Fwd(Enum):
                        """
                        Fwd

                        .. data:: Null0 = 0

                        """

                        Null0 = Enum.YLeaf(0, "Null0")



            class Vrf(Entity):
                """
                Configure static route for a VPN Routing/Forwarding instance
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: ipv6_route_list
                
                	
                	**type**\: list of  		 :py:class:`Ipv6RouteList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Vrf.Ipv6RouteList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ipv6.Route.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "route"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"ipv6-route-list" : ("ipv6_route_list", Native.Ipv6.Route.Vrf.Ipv6RouteList)}

                    self.name = YLeaf(YType.str, "name")

                    self.ipv6_route_list = YList(self)
                    self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/route/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Route.Vrf, ['name'], name, value)


                class Ipv6RouteList(Entity):
                    """
                    
                    
                    .. attribute:: prefix  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: ipv6_fwd_list
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv6FwdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ipv6.Route.Vrf.Ipv6RouteList, self).__init__()

                        self.yang_name = "ipv6-route-list"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv6-fwd-list" : ("ipv6_fwd_list", Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList)}

                        self.prefix = YLeaf(YType.str, "prefix")

                        self.ipv6_fwd_list = YList(self)
                        self._segment_path = lambda: "ipv6-route-list" + "[prefix='" + self.prefix.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Route.Vrf.Ipv6RouteList, ['prefix'], name, value)


                    class Ipv6FwdList(Entity):
                        """
                        
                        
                        .. attribute:: fwd  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`Fwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList.Fwd>`
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        .. attribute:: next_hop
                        
                        	IPv6 address of next\-hop
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: distance
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: name
                        
                        	Specify name of the next hop
                        	**type**\: str
                        
                        .. attribute:: multicast
                        
                        	Route only usable by multicast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	Route only usable by unicast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tag
                        
                        	Tag value
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: track
                        
                        	Tracked
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList, self).__init__()

                            self.yang_name = "ipv6-fwd-list"
                            self.yang_parent_name = "ipv6-route-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.fwd = YLeaf(YType.str, "fwd")

                            self.next_hop = YLeaf(YType.str, "next-hop")

                            self.distance = YLeaf(YType.uint8, "distance")

                            self.name = YLeaf(YType.str, "name")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.tag = YLeaf(YType.uint32, "tag")

                            self.track = YLeaf(YType.uint32, "track")
                            self._segment_path = lambda: "ipv6-fwd-list" + "[fwd='" + self.fwd.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Route.Vrf.Ipv6RouteList.Ipv6FwdList, ['fwd', 'next_hop', 'distance', 'name', 'multicast', 'unicast', 'tag', 'track'], name, value)

                        class Fwd(Enum):
                            """
                            Fwd

                            .. data:: Null0 = 0

                            """

                            Null0 = Enum.YLeaf(0, "Null0")



        class Router(Entity):
            """
            Enable an IPV6 routing process
            
            .. attribute:: eigrp
            
            	Enhanced Interior Gateway Routing Protocol (EIGRP)
            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp>`
            
            .. attribute:: ospf
            
            	Open Shortest Path First (OSPFv3)
            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Ospf>`
            
            .. attribute:: rip
            
            	IPv6 Routing Information Protocol (RIPv6)
            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ipv6.Router, self).__init__()

                self.yang_name = "router"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"eigrp" : ("eigrp", Native.Ipv6.Router.Eigrp), "ospf" : ("ospf", Native.Ipv6.Router.Ospf), "Cisco-IOS-XE-rip:rip" : ("rip", Native.Ipv6.Router.Rip)}

                self.eigrp = YList(self)
                self.ospf = YList(self)
                self.rip = YList(self)
                self._segment_path = lambda: "router"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.Router, [], name, value)


            class Eigrp(Entity):
                """
                Enhanced Interior Gateway Routing Protocol (EIGRP)
                
                .. attribute:: id  <key>
                
                	Autonomous System ID
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: default_metric
                
                	Set metric of redistributed routes
                	**type**\:  :py:class:`DefaultMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.DefaultMetric>`
                
                .. attribute:: distance
                
                	Define an administrative distance
                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.Distance>`
                
                .. attribute:: distribute_list
                
                	Filter networks in routing updates
                	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.DistributeList>`
                
                .. attribute:: eigrp
                
                	EIGRP specific commands
                	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.Eigrp>`
                
                .. attribute:: passive_interface
                
                	Suppress routing updates on an interface
                	**type**\: list of  		 :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.PassiveInterface>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ipv6.Router.Eigrp, self).__init__()

                    self.yang_name = "eigrp"
                    self.yang_parent_name = "router"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"Cisco-IOS-XE-eigrp:default-metric" : ("default_metric", Native.Ipv6.Router.Eigrp.DefaultMetric), "Cisco-IOS-XE-eigrp:distance" : ("distance", Native.Ipv6.Router.Eigrp.Distance), "Cisco-IOS-XE-eigrp:distribute-list" : ("distribute_list", Native.Ipv6.Router.Eigrp.DistributeList), "Cisco-IOS-XE-eigrp:eigrp" : ("eigrp", Native.Ipv6.Router.Eigrp.Eigrp)}
                    self._child_list_classes = {"Cisco-IOS-XE-eigrp:passive-interface" : ("passive_interface", Native.Ipv6.Router.Eigrp.PassiveInterface)}

                    self.id = YLeaf(YType.uint16, "id")

                    self.default_metric = Native.Ipv6.Router.Eigrp.DefaultMetric()
                    self.default_metric.parent = self
                    self._children_name_map["default_metric"] = "default-metric"
                    self._children_yang_names.add("default-metric")

                    self.distance = Native.Ipv6.Router.Eigrp.Distance()
                    self.distance.parent = self
                    self._children_name_map["distance"] = "distance"
                    self._children_yang_names.add("distance")

                    self.distribute_list = Native.Ipv6.Router.Eigrp.DistributeList()
                    self.distribute_list.parent = self
                    self._children_name_map["distribute_list"] = "distribute-list"
                    self._children_yang_names.add("distribute-list")

                    self.eigrp = Native.Ipv6.Router.Eigrp.Eigrp()
                    self.eigrp.parent = self
                    self._children_name_map["eigrp"] = "eigrp"
                    self._children_yang_names.add("eigrp")

                    self.passive_interface = YList(self)
                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/router/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Router.Eigrp, ['id'], name, value)


                class DefaultMetric(Entity):
                    """
                    Set metric of redistributed routes
                    
                    .. attribute:: dm_rdr
                    
                    	Bandwidth in Kbits per second
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: dm_rdr0
                    
                    	delay metric in 10 microsecond units
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: dm_rdr_pct
                    
                    	Reliability metric where 255 is 100% reliable
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: effective_bandwith_metric
                    
                    	Effective bandwidth metric (Loading) where 255 is 100% loaded
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: mtu
                    
                    	Maximum Transmission Unit metric of the path 
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ipv6.Router.Eigrp.DefaultMetric, self).__init__()

                        self.yang_name = "default-metric"
                        self.yang_parent_name = "eigrp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dm_rdr = YLeaf(YType.uint32, "dm-rdr")

                        self.dm_rdr0 = YLeaf(YType.uint32, "dm-rdr0")

                        self.dm_rdr_pct = YLeaf(YType.uint8, "dm-rdr-pct")

                        self.effective_bandwith_metric = YLeaf(YType.uint8, "effective-bandwith-metric")

                        self.mtu = YLeaf(YType.uint16, "mtu")
                        self._segment_path = lambda: "Cisco-IOS-XE-eigrp:default-metric"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Router.Eigrp.DefaultMetric, ['dm_rdr', 'dm_rdr0', 'dm_rdr_pct', 'effective_bandwith_metric', 'mtu'], name, value)


                class Distance(Entity):
                    """
                    Define an administrative distance
                    
                    .. attribute:: eigrp
                    
                    	EIGRP\-IPV6 distance
                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.Distance.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ipv6.Router.Eigrp.Distance, self).__init__()

                        self.yang_name = "distance"
                        self.yang_parent_name = "eigrp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"eigrp" : ("eigrp", Native.Ipv6.Router.Eigrp.Distance.Eigrp)}
                        self._child_list_classes = {}

                        self.eigrp = Native.Ipv6.Router.Eigrp.Distance.Eigrp()
                        self.eigrp.parent = self
                        self._children_name_map["eigrp"] = "eigrp"
                        self._children_yang_names.add("eigrp")
                        self._segment_path = lambda: "Cisco-IOS-XE-eigrp:distance"


                    class Eigrp(Entity):
                        """
                        EIGRP\-IPV6 distance
                        
                        .. attribute:: internal_route
                        
                        	Distance for internal routes
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: external_route
                        
                        	Distance for external routes
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ipv6.Router.Eigrp.Distance.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "distance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.internal_route = YLeaf(YType.uint8, "internal-route")

                            self.external_route = YLeaf(YType.uint8, "external-route")
                            self._segment_path = lambda: "eigrp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Router.Eigrp.Distance.Eigrp, ['internal_route', 'external_route'], name, value)


                class DistributeList(Entity):
                    """
                    Filter networks in routing updates
                    
                    .. attribute:: prefix_list
                    
                    	Filter connections based on an IPv6 prefix\-list
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.DistributeList.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ipv6.Router.Eigrp.DistributeList, self).__init__()

                        self.yang_name = "distribute-list"
                        self.yang_parent_name = "eigrp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Ipv6.Router.Eigrp.DistributeList.PrefixList)}

                        self.prefix_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-eigrp:distribute-list"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Router.Eigrp.DistributeList, [], name, value)


                    class PrefixList(Entity):
                        """
                        Filter connections based on an IPv6 prefix\-list
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: in_
                        
                        	Filter incoming routing updates
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Filter outgoing routing updates
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ipv6.Router.Eigrp.DistributeList.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "distribute-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "prefix-list" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Router.Eigrp.DistributeList.PrefixList, ['name', 'in_', 'out'], name, value)


                class Eigrp(Entity):
                    """
                    EIGRP specific commands
                    
                    .. attribute:: router_id
                    
                    	router id for this EIGRP process
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ipv6.Router.Eigrp.Eigrp, self).__init__()

                        self.yang_name = "eigrp"
                        self.yang_parent_name = "eigrp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.router_id = YLeaf(YType.str, "router-id")
                        self._segment_path = lambda: "Cisco-IOS-XE-eigrp:eigrp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Router.Eigrp.Eigrp, ['router_id'], name, value)


                class PassiveInterface(Entity):
                    """
                    Suppress routing updates on an interface
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Eigrp.PassiveInterface.Name>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ipv6.Router.Eigrp.PassiveInterface, self).__init__()

                        self.yang_name = "passive-interface"
                        self.yang_parent_name = "eigrp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")
                        self._segment_path = lambda: "Cisco-IOS-XE-eigrp:passive-interface" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Router.Eigrp.PassiveInterface, ['name'], name, value)

                    class Name(Enum):
                        """
                        Name

                        .. data:: default = 0

                        """

                        default = Enum.YLeaf(0, "default")



            class Ospf(Entity):
                """
                Open Shortest Path First (OSPFv3)
                
                .. attribute:: id  <key>
                
                	Process ID
                	**type**\: int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ipv6.Router.Ospf, self).__init__()

                    self.yang_name = "ospf"
                    self.yang_parent_name = "router"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.uint16, "id")
                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/router/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Router.Ospf, ['id'], name, value)


            class Rip(Entity):
                """
                IPv6 Routing Information Protocol (RIPv6)
                
                .. attribute:: id  <key>
                
                	
                	**type**\: str
                
                .. attribute:: address_family
                
                	Enter Address Family command mode
                	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily>`
                
                .. attribute:: distance
                
                	Administrative distance
                	**type**\: int
                
                	**range:** 1..254
                
                .. attribute:: distribute_list
                
                	Filter networks in routing updates
                	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.DistributeList>`
                
                .. attribute:: maximum_paths
                
                	Forward packets over multiple paths
                	**type**\: int
                
                	**range:** 1..32
                
                .. attribute:: poison_reverse
                
                	Poison reverse updates
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: redistribute
                
                	Redistribute IPv6 prefixes from another routing protocol
                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute>`
                
                .. attribute:: split_horizon
                
                	Split horizon updates
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: timers
                
                	Adjust routing timers
                	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Timers>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Ipv6.Router.Rip, self).__init__()

                    self.yang_name = "rip"
                    self.yang_parent_name = "router"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"address-family" : ("address_family", Native.Ipv6.Router.Rip.AddressFamily), "distribute-list" : ("distribute_list", Native.Ipv6.Router.Rip.DistributeList), "redistribute" : ("redistribute", Native.Ipv6.Router.Rip.Redistribute), "timers" : ("timers", Native.Ipv6.Router.Rip.Timers)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.distance = YLeaf(YType.uint8, "distance")

                    self.maximum_paths = YLeaf(YType.uint32, "maximum-paths")

                    self.poison_reverse = YLeaf(YType.empty, "poison-reverse")

                    self.split_horizon = YLeaf(YType.empty, "split-horizon")

                    self.address_family = Native.Ipv6.Router.Rip.AddressFamily()
                    self.address_family.parent = self
                    self._children_name_map["address_family"] = "address-family"
                    self._children_yang_names.add("address-family")

                    self.distribute_list = Native.Ipv6.Router.Rip.DistributeList()
                    self.distribute_list.parent = self
                    self._children_name_map["distribute_list"] = "distribute-list"
                    self._children_yang_names.add("distribute-list")

                    self.redistribute = Native.Ipv6.Router.Rip.Redistribute()
                    self.redistribute.parent = self
                    self._children_name_map["redistribute"] = "redistribute"
                    self._children_yang_names.add("redistribute")

                    self.timers = Native.Ipv6.Router.Rip.Timers()
                    self.timers.parent = self
                    self._children_name_map["timers"] = "timers"
                    self._children_yang_names.add("timers")
                    self._segment_path = lambda: "Cisco-IOS-XE-rip:rip" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/router/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Router.Rip, ['id', 'distance', 'maximum_paths', 'poison_reverse', 'split_horizon'], name, value)


                class AddressFamily(Entity):
                    """
                    Enter Address Family command mode
                    
                    .. attribute:: ipv6
                    
                    	Address family
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Ipv6.Router.Rip.AddressFamily, self).__init__()

                        self.yang_name = "address-family"
                        self.yang_parent_name = "rip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipv6" : ("ipv6", Native.Ipv6.Router.Rip.AddressFamily.Ipv6)}
                        self._child_list_classes = {}

                        self.ipv6 = Native.Ipv6.Router.Rip.AddressFamily.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")
                        self._segment_path = lambda: "address-family"


                    class Ipv6(Entity):
                        """
                        Address family
                        
                        .. attribute:: vrf
                        
                        	Specify parameters for a VPN Routing/Forwarding instance
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "address-family"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf)}

                            self.vrf = YList(self)
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6, [], name, value)


                        class Vrf(Entity):
                            """
                            Specify parameters for a VPN Routing/Forwarding instance
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: distance
                            
                            	Administrative distance
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: distribute_list
                            
                            	Filter networks in routing updates
                            	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.DistributeList>`
                            
                            .. attribute:: maximum_paths
                            
                            	Forward packets over multiple paths
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            .. attribute:: poison_reverse
                            
                            	Poison reverse updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redistribute
                            
                            	Redistribute IPv6 prefixes from another routing protocol
                            	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute>`
                            
                            .. attribute:: split_horizon
                            
                            	Split horizon updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: timers
                            
                            	Adjust routing timers
                            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Timers>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"distribute-list" : ("distribute_list", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.DistributeList), "redistribute" : ("redistribute", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute), "timers" : ("timers", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Timers)}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.distance = YLeaf(YType.uint8, "distance")

                                self.maximum_paths = YLeaf(YType.uint32, "maximum-paths")

                                self.poison_reverse = YLeaf(YType.empty, "poison-reverse")

                                self.split_horizon = YLeaf(YType.empty, "split-horizon")

                                self.distribute_list = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.DistributeList()
                                self.distribute_list.parent = self
                                self._children_name_map["distribute_list"] = "distribute-list"
                                self._children_yang_names.add("distribute-list")

                                self.redistribute = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute()
                                self.redistribute.parent = self
                                self._children_name_map["redistribute"] = "redistribute"
                                self._children_yang_names.add("redistribute")

                                self.timers = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Timers()
                                self.timers.parent = self
                                self._children_name_map["timers"] = "timers"
                                self._children_yang_names.add("timers")
                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf, ['name', 'distance', 'maximum_paths', 'poison_reverse', 'split_horizon'], name, value)


                            class DistributeList(Entity):
                                """
                                Filter networks in routing updates
                                
                                .. attribute:: prefix_list
                                
                                	Filter connections based on an IPv6 prefix\-list
                                	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.DistributeList.PrefixList>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.DistributeList, self).__init__()

                                    self.yang_name = "distribute-list"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.DistributeList.PrefixList)}

                                    self.prefix_list = YList(self)
                                    self._segment_path = lambda: "distribute-list"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.DistributeList, [], name, value)


                                class PrefixList(Entity):
                                    """
                                    Filter connections based on an IPv6 prefix\-list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.DistributeList.PrefixList, self).__init__()

                                        self.yang_name = "prefix-list"
                                        self.yang_parent_name = "distribute-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.in_ = YLeaf(YType.empty, "in")

                                        self.out = YLeaf(YType.empty, "out")
                                        self._segment_path = lambda: "prefix-list" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.DistributeList.PrefixList, ['name', 'in_', 'out'], name, value)


                            class Redistribute(Entity):
                                """
                                Redistribute IPv6 prefixes from another routing protocol
                                
                                .. attribute:: application
                                
                                	Application Protocol
                                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Application>`
                                
                                .. attribute:: lisp
                                
                                	Locator ID Separation Protocol (LISP)
                                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Lisp>`
                                
                                .. attribute:: nd
                                
                                	Neighbor Discovery
                                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Nd>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp>`
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: iso_igrp
                                
                                	IGRP for OSI networks
                                	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: mobile
                                
                                	Mobile routes
                                	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Mobile>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: odr
                                
                                	On Demand stub Routes
                                	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Odr>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf>`
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Static>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Rip>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute, self).__init__()

                                    self.yang_name = "redistribute"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"application" : ("application", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Application), "lisp" : ("lisp", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Lisp), "nd" : ("nd", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Nd), "connected" : ("connected", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Connected), "isis" : ("isis", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Mobile), "odr" : ("odr", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Odr), "static" : ("static", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Static), "rip" : ("rip", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Rip)}
                                    self._child_list_classes = {"bgp" : ("bgp", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp), "eigrp" : ("eigrp", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp), "ospf" : ("ospf", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf)}

                                    self.application = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Application()
                                    self.application.parent = self
                                    self._children_name_map["application"] = "application"
                                    self._children_yang_names.add("application")

                                    self.lisp = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Lisp()
                                    self.lisp.parent = self
                                    self._children_name_map["lisp"] = "lisp"
                                    self._children_yang_names.add("lisp")

                                    self.nd = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Nd()
                                    self.nd.parent = self
                                    self._children_name_map["nd"] = "nd"
                                    self._children_yang_names.add("nd")

                                    self.connected = None
                                    self._children_name_map["connected"] = "connected"
                                    self._children_yang_names.add("connected")

                                    self.isis = None
                                    self._children_name_map["isis"] = "isis"
                                    self._children_yang_names.add("isis")

                                    self.iso_igrp = None
                                    self._children_name_map["iso_igrp"] = "iso-igrp"
                                    self._children_yang_names.add("iso-igrp")

                                    self.mobile = None
                                    self._children_name_map["mobile"] = "mobile"
                                    self._children_yang_names.add("mobile")

                                    self.odr = None
                                    self._children_name_map["odr"] = "odr"
                                    self._children_yang_names.add("odr")

                                    self.static = None
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")

                                    self.rip = None
                                    self._children_name_map["rip"] = "rip"
                                    self._children_yang_names.add("rip")

                                    self.bgp = YList(self)
                                    self.eigrp = YList(self)
                                    self.ospf = YList(self)
                                    self._segment_path = lambda: "redistribute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute, [], name, value)


                                class Application(Entity):
                                    """
                                    Application Protocol
                                    
                                    .. attribute:: include_connected
                                    
                                    	Include connected
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Application, self).__init__()

                                        self.yang_name = "application"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.include_connected = YLeaf(YType.empty, "include-connected")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "application"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Application, ['include_connected', 'metric', 'route_map'], name, value)


                                class Lisp(Entity):
                                    """
                                    Locator ID Separation Protocol (LISP)
                                    
                                    .. attribute:: include_connected
                                    
                                    	Include connected
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Lisp, self).__init__()

                                        self.yang_name = "lisp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.include_connected = YLeaf(YType.empty, "include-connected")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "lisp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                class Nd(Entity):
                                    """
                                    Neighbor Discovery
                                    
                                    .. attribute:: include_connected
                                    
                                    	Include connected
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Nd, self).__init__()

                                        self.yang_name = "nd"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.include_connected = YLeaf(YType.empty, "include-connected")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "nd"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Nd, ['include_connected', 'metric', 'route_map'], name, value)


                                class Connected(Entity):
                                    """
                                    Connected
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RipMetricRouteMap>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Connected, self).__init__()

                                        self.yang_name = "connected"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RipMetricRouteMap)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self
                                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                        self._children_yang_names.add("rip-metric-route-map")
                                        self._segment_path = lambda: "connected"


                                    class RipMetricRouteMap(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RipMetricRouteMap, self).__init__()

                                            self.yang_name = "rip-metric-route-map"
                                            self.yang_parent_name = "connected"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self._children_name_map["metric"] = "metric"
                                            self._children_yang_names.add("metric")
                                            self._segment_path = lambda: "rip-metric-route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RipMetricRouteMap, ['route_map'], name, value)


                                        class Metric(Entity):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric, self).__init__()

                                                self.yang_name = "metric"
                                                self.yang_parent_name = "rip-metric-route-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                self.transparent = YLeaf(YType.empty, "transparent")
                                                self._segment_path = lambda: "metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class Bgp(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: as_number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RipMetricRouteMap>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RipMetricRouteMap)}
                                        self._child_list_classes = {}

                                        self.as_number = YLeaf(YType.str, "as-number")

                                        self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self
                                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                        self._children_yang_names.add("rip-metric-route-map")
                                        self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp, ['as_number'], name, value)


                                    class RipMetricRouteMap(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RipMetricRouteMap, self).__init__()

                                            self.yang_name = "rip-metric-route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self._children_name_map["metric"] = "metric"
                                            self._children_yang_names.add("metric")
                                            self._segment_path = lambda: "rip-metric-route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RipMetricRouteMap, ['route_map'], name, value)


                                        class Metric(Entity):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric, self).__init__()

                                                self.yang_name = "metric"
                                                self.yang_parent_name = "rip-metric-route-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                self.transparent = YLeaf(YType.empty, "transparent")
                                                self._segment_path = lambda: "metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: as_number  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RipMetricRouteMap>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RipMetricRouteMap)}
                                        self._child_list_classes = {}

                                        self.as_number = YLeaf(YType.uint16, "as-number")

                                        self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self
                                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                        self._children_yang_names.add("rip-metric-route-map")
                                        self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp, ['as_number'], name, value)


                                    class RipMetricRouteMap(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RipMetricRouteMap, self).__init__()

                                            self.yang_name = "rip-metric-route-map"
                                            self.yang_parent_name = "eigrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self._children_name_map["metric"] = "metric"
                                            self._children_yang_names.add("metric")
                                            self._segment_path = lambda: "rip-metric-route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RipMetricRouteMap, ['route_map'], name, value)


                                        class Metric(Entity):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric, self).__init__()

                                                self.yang_name = "metric"
                                                self.yang_parent_name = "rip-metric-route-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                self.transparent = YLeaf(YType.empty, "transparent")
                                                self._segment_path = lambda: "metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class Isis(Entity):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: isis_area
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea>`
                                    
                                    .. attribute:: rip_isis_redist
                                    
                                    	
                                    	**type**\:  :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis, self).__init__()

                                        self.yang_name = "isis"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rip-isis-redist" : ("rip_isis_redist", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist)}
                                        self._child_list_classes = {"isis-area" : ("isis_area", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea)}
                                        self.is_presence_container = True

                                        self.rip_isis_redist = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist()
                                        self.rip_isis_redist.parent = self
                                        self._children_name_map["rip_isis_redist"] = "rip-isis-redist"
                                        self._children_yang_names.add("rip-isis-redist")

                                        self.isis_area = YList(self)
                                        self._segment_path = lambda: "isis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis, [], name, value)


                                    class IsisArea(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: rip_isis_redist
                                        
                                        	
                                        	**type**\:  :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea, self).__init__()

                                            self.yang_name = "isis-area"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rip-isis-redist" : ("rip_isis_redist", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.rip_isis_redist = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist()
                                            self.rip_isis_redist.parent = self
                                            self._children_name_map["rip_isis_redist"] = "rip-isis-redist"
                                            self._children_yang_names.add("rip-isis-redist")
                                            self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea, ['name'], name, value)


                                        class RipIsisRedist(Entity):
                                            """
                                            
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutes>`
                                            
                                            .. attribute:: rip_metric_route_map
                                            
                                            	
                                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist, self).__init__()

                                                self.yang_name = "rip-isis-redist"
                                                self.yang_parent_name = "isis-area"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap)}
                                                self._child_list_classes = {}

                                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                                self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap()
                                                self.rip_metric_route_map.parent = self
                                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                                self._children_yang_names.add("rip-metric-route-map")
                                                self._segment_path = lambda: "rip-isis-redist"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist, ['isis_level_routes'], name, value)

                                            class IsisLevelRoutes(Enum):
                                                """
                                                IsisLevelRoutes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                            class RipMetricRouteMap(Entity):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap, self).__init__()

                                                    self.yang_name = "rip-metric-route-map"
                                                    self.yang_parent_name = "rip-isis-redist"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric)}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric()
                                                    self.metric.parent = self
                                                    self._children_name_map["metric"] = "metric"
                                                    self._children_yang_names.add("metric")
                                                    self._segment_path = lambda: "rip-metric-route-map"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap, ['route_map'], name, value)


                                                class Metric(Entity):
                                                    """
                                                    Metric for redistributed routes
                                                    
                                                    .. attribute:: metric_value
                                                    
                                                    	Metric for redistributed routes
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..16
                                                    
                                                    .. attribute:: transparent
                                                    
                                                    	Transparently redistribute metric
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-rip'
                                                    _revision = '2017-04-12'

                                                    def __init__(self):
                                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric, self).__init__()

                                                        self.yang_name = "metric"
                                                        self.yang_parent_name = "rip-metric-route-map"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                        self.transparent = YLeaf(YType.empty, "transparent")
                                                        self._segment_path = lambda: "metric"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                    class RipIsisRedist(Entity):
                                        """
                                        
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist.IsisLevelRoutes>`
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist, self).__init__()

                                            self.yang_name = "rip-isis-redist"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap)}
                                            self._child_list_classes = {}

                                            self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self
                                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                            self._children_yang_names.add("rip-metric-route-map")
                                            self._segment_path = lambda: "rip-isis-redist"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist, ['isis_level_routes'], name, value)

                                        class IsisLevelRoutes(Enum):
                                            """
                                            IsisLevelRoutes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class RipMetricRouteMap(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap, self).__init__()

                                                self.yang_name = "rip-metric-route-map"
                                                self.yang_parent_name = "rip-isis-redist"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric)}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self._children_name_map["metric"] = "metric"
                                                self._children_yang_names.add("metric")
                                                self._segment_path = lambda: "rip-metric-route-map"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap, ['route_map'], name, value)


                                            class Metric(Entity):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric, self).__init__()

                                                    self.yang_name = "metric"
                                                    self.yang_parent_name = "rip-metric-route-map"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                    self.transparent = YLeaf(YType.empty, "transparent")
                                                    self._segment_path = lambda: "metric"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class IsoIgrp(Entity):
                                    """
                                    IGRP for OSI networks
                                    
                                    .. attribute:: isoigrp_list
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`IsoigrpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList>`
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp, self).__init__()

                                        self.yang_name = "iso-igrp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap)}
                                        self._child_list_classes = {"isoigrp-list" : ("isoigrp_list", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList)}
                                        self.is_presence_container = True

                                        self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self
                                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                        self._children_yang_names.add("rip-metric-route-map")

                                        self.isoigrp_list = YList(self)
                                        self._segment_path = lambda: "iso-igrp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp, [], name, value)


                                    class IsoigrpList(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: iso_area_tag  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList, self).__init__()

                                            self.yang_name = "isoigrp-list"
                                            self.yang_parent_name = "iso-igrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap)}
                                            self._child_list_classes = {}

                                            self.iso_area_tag = YLeaf(YType.str, "iso-area-tag")

                                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self
                                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                            self._children_yang_names.add("rip-metric-route-map")
                                            self._segment_path = lambda: "isoigrp-list" + "[iso-area-tag='" + self.iso_area_tag.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList, ['iso_area_tag'], name, value)


                                        class RipMetricRouteMap(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap, self).__init__()

                                                self.yang_name = "rip-metric-route-map"
                                                self.yang_parent_name = "isoigrp-list"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric)}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self._children_name_map["metric"] = "metric"
                                                self._children_yang_names.add("metric")
                                                self._segment_path = lambda: "rip-metric-route-map"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap, ['route_map'], name, value)


                                            class Metric(Entity):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric, self).__init__()

                                                    self.yang_name = "metric"
                                                    self.yang_parent_name = "rip-metric-route-map"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                    self.transparent = YLeaf(YType.empty, "transparent")
                                                    self._segment_path = lambda: "metric"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                    class RipMetricRouteMap(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap, self).__init__()

                                            self.yang_name = "rip-metric-route-map"
                                            self.yang_parent_name = "iso-igrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self._children_name_map["metric"] = "metric"
                                            self._children_yang_names.add("metric")
                                            self._segment_path = lambda: "rip-metric-route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap, ['route_map'], name, value)


                                        class Metric(Entity):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric, self).__init__()

                                                self.yang_name = "metric"
                                                self.yang_parent_name = "rip-metric-route-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                self.transparent = YLeaf(YType.empty, "transparent")
                                                self._segment_path = lambda: "metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class Mobile(Entity):
                                    """
                                    Mobile routes
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RipMetricRouteMap>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Mobile, self).__init__()

                                        self.yang_name = "mobile"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RipMetricRouteMap)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self
                                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                        self._children_yang_names.add("rip-metric-route-map")
                                        self._segment_path = lambda: "mobile"


                                    class RipMetricRouteMap(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RipMetricRouteMap, self).__init__()

                                            self.yang_name = "rip-metric-route-map"
                                            self.yang_parent_name = "mobile"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self._children_name_map["metric"] = "metric"
                                            self._children_yang_names.add("metric")
                                            self._segment_path = lambda: "rip-metric-route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RipMetricRouteMap, ['route_map'], name, value)


                                        class Metric(Entity):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric, self).__init__()

                                                self.yang_name = "metric"
                                                self.yang_parent_name = "rip-metric-route-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                self.transparent = YLeaf(YType.empty, "transparent")
                                                self._segment_path = lambda: "metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class Odr(Entity):
                                    """
                                    On Demand stub Routes
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RipMetricRouteMap>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Odr, self).__init__()

                                        self.yang_name = "odr"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RipMetricRouteMap)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self
                                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                        self._children_yang_names.add("rip-metric-route-map")
                                        self._segment_path = lambda: "odr"


                                    class RipMetricRouteMap(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RipMetricRouteMap, self).__init__()

                                            self.yang_name = "rip-metric-route-map"
                                            self.yang_parent_name = "odr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self._children_name_map["metric"] = "metric"
                                            self._children_yang_names.add("metric")
                                            self._segment_path = lambda: "rip-metric-route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RipMetricRouteMap, ['route_map'], name, value)


                                        class Metric(Entity):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric, self).__init__()

                                                self.yang_name = "metric"
                                                self.yang_parent_name = "rip-metric-route-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                self.transparent = YLeaf(YType.empty, "transparent")
                                                self._segment_path = lambda: "metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: process_id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: vrf
                                    
                                    	VPN Routing/Forwarding Instance
                                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Vrf>`
                                    
                                    .. attribute:: match
                                    
                                    	Redistribution of OSPF routes
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match>`
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.RipMetricRouteMap>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match), "rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.RipMetricRouteMap)}
                                        self._child_list_classes = {"vrf" : ("vrf", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Vrf)}

                                        self.process_id = YLeaf(YType.uint16, "process-id")

                                        self.match = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")

                                        self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self
                                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                        self._children_yang_names.add("rip-metric-route-map")

                                        self.vrf = YList(self)
                                        self._segment_path = lambda: "ospf" + "[process-id='" + self.process_id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf, ['process_id'], name, value)


                                    class Vrf(Entity):
                                        """
                                        VPN Routing/Forwarding Instance
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Vrf, self).__init__()

                                            self.yang_name = "vrf"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Vrf, ['name'], name, value)


                                    class Match(Entity):
                                        """
                                        Redistribution of OSPF routes
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"internal" : ("internal", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal)}
                                            self._child_list_classes = {}

                                            self.internal = None
                                            self._children_name_map["internal"] = "internal"
                                            self._children_yang_names.add("internal")

                                            self.external = None
                                            self._children_name_map["external"] = "external"
                                            self._children_yang_names.add("external")

                                            self.nssa_external = None
                                            self._children_name_map["nssa_external"] = "nssa-external"
                                            self._children_yang_names.add("nssa-external")
                                            self._segment_path = lambda: "match"


                                        class Internal(Entity):
                                            """
                                            Redistribute OSPF internal routes
                                            
                                            .. attribute:: rip_metric_route_map
                                            
                                            	
                                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal, self).__init__()

                                                self.yang_name = "internal"
                                                self.yang_parent_name = "match"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap()
                                                self.rip_metric_route_map.parent = self
                                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                                self._children_yang_names.add("rip-metric-route-map")
                                                self._segment_path = lambda: "internal"


                                            class RipMetricRouteMap(Entity):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap, self).__init__()

                                                    self.yang_name = "rip-metric-route-map"
                                                    self.yang_parent_name = "internal"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric)}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric()
                                                    self.metric.parent = self
                                                    self._children_name_map["metric"] = "metric"
                                                    self._children_yang_names.add("metric")
                                                    self._segment_path = lambda: "rip-metric-route-map"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap, ['route_map'], name, value)


                                                class Metric(Entity):
                                                    """
                                                    Metric for redistributed routes
                                                    
                                                    .. attribute:: metric_value
                                                    
                                                    	Metric for redistributed routes
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..16
                                                    
                                                    .. attribute:: transparent
                                                    
                                                    	Transparently redistribute metric
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-rip'
                                                    _revision = '2017-04-12'

                                                    def __init__(self):
                                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric, self).__init__()

                                                        self.yang_name = "metric"
                                                        self.yang_parent_name = "rip-metric-route-map"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                        self.transparent = YLeaf(YType.empty, "transparent")
                                                        self._segment_path = lambda: "metric"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                        class External(Entity):
                                            """
                                            Redistribute OSPF external routes
                                            
                                            .. attribute:: external_routes
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                            
                                            .. attribute:: rip_metric_route_map
                                            
                                            	
                                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External, self).__init__()

                                                self.yang_name = "external"
                                                self.yang_parent_name = "match"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap()
                                                self.rip_metric_route_map.parent = self
                                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                                self._children_yang_names.add("rip-metric-route-map")
                                                self._segment_path = lambda: "external"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External, ['external_routes'], name, value)


                                            class RipMetricRouteMap(Entity):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap, self).__init__()

                                                    self.yang_name = "rip-metric-route-map"
                                                    self.yang_parent_name = "external"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric)}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric()
                                                    self.metric.parent = self
                                                    self._children_name_map["metric"] = "metric"
                                                    self._children_yang_names.add("metric")
                                                    self._segment_path = lambda: "rip-metric-route-map"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap, ['route_map'], name, value)


                                                class Metric(Entity):
                                                    """
                                                    Metric for redistributed routes
                                                    
                                                    .. attribute:: metric_value
                                                    
                                                    	Metric for redistributed routes
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..16
                                                    
                                                    .. attribute:: transparent
                                                    
                                                    	Transparently redistribute metric
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-rip'
                                                    _revision = '2017-04-12'

                                                    def __init__(self):
                                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric, self).__init__()

                                                        self.yang_name = "metric"
                                                        self.yang_parent_name = "rip-metric-route-map"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                        self.transparent = YLeaf(YType.empty, "transparent")
                                                        self._segment_path = lambda: "metric"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                        class NssaExternal(Entity):
                                            """
                                            Redistribute OSPF NSSA external routes
                                            
                                            .. attribute:: nssa_external_routes
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                            
                                            .. attribute:: rip_metric_route_map
                                            
                                            	
                                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                                self.yang_name = "nssa-external"
                                                self.yang_parent_name = "match"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap()
                                                self.rip_metric_route_map.parent = self
                                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                                self._children_yang_names.add("rip-metric-route-map")
                                                self._segment_path = lambda: "nssa-external"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes'], name, value)


                                            class RipMetricRouteMap(Entity):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap, self).__init__()

                                                    self.yang_name = "rip-metric-route-map"
                                                    self.yang_parent_name = "nssa-external"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric)}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric()
                                                    self.metric.parent = self
                                                    self._children_name_map["metric"] = "metric"
                                                    self._children_yang_names.add("metric")
                                                    self._segment_path = lambda: "rip-metric-route-map"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap, ['route_map'], name, value)


                                                class Metric(Entity):
                                                    """
                                                    Metric for redistributed routes
                                                    
                                                    .. attribute:: metric_value
                                                    
                                                    	Metric for redistributed routes
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..16
                                                    
                                                    .. attribute:: transparent
                                                    
                                                    	Transparently redistribute metric
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-rip'
                                                    _revision = '2017-04-12'

                                                    def __init__(self):
                                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric, self).__init__()

                                                        self.yang_name = "metric"
                                                        self.yang_parent_name = "rip-metric-route-map"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                        self.transparent = YLeaf(YType.empty, "transparent")
                                                        self._segment_path = lambda: "metric"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                    class RipMetricRouteMap(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.RipMetricRouteMap, self).__init__()

                                            self.yang_name = "rip-metric-route-map"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self._children_name_map["metric"] = "metric"
                                            self._children_yang_names.add("metric")
                                            self._segment_path = lambda: "rip-metric-route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.RipMetricRouteMap, ['route_map'], name, value)


                                        class Metric(Entity):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric, self).__init__()

                                                self.yang_name = "metric"
                                                self.yang_parent_name = "rip-metric-route-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                self.transparent = YLeaf(YType.empty, "transparent")
                                                self._segment_path = lambda: "metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class Static(Entity):
                                    """
                                    Static routes
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Static.RipMetricRouteMap>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Static.RipMetricRouteMap)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Static.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self
                                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                        self._children_yang_names.add("rip-metric-route-map")
                                        self._segment_path = lambda: "static"


                                    class RipMetricRouteMap(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Static.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Static.RipMetricRouteMap, self).__init__()

                                            self.yang_name = "rip-metric-route-map"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Static.RipMetricRouteMap.Metric)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Static.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self._children_name_map["metric"] = "metric"
                                            self._children_yang_names.add("metric")
                                            self._segment_path = lambda: "rip-metric-route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Static.RipMetricRouteMap, ['route_map'], name, value)


                                        class Metric(Entity):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Static.RipMetricRouteMap.Metric, self).__init__()

                                                self.yang_name = "metric"
                                                self.yang_parent_name = "rip-metric-route-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                self.transparent = YLeaf(YType.empty, "transparent")
                                                self._segment_path = lambda: "metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Static.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class Rip(Entity):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RipMetricRouteMap>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Rip, self).__init__()

                                        self.yang_name = "rip"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RipMetricRouteMap)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.rip_metric_route_map = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self
                                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                        self._children_yang_names.add("rip-metric-route-map")
                                        self._segment_path = lambda: "rip"


                                    class RipMetricRouteMap(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RipMetricRouteMap, self).__init__()

                                            self.yang_name = "rip-metric-route-map"
                                            self.yang_parent_name = "rip"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RipMetricRouteMap.Metric)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self._children_name_map["metric"] = "metric"
                                            self._children_yang_names.add("metric")
                                            self._segment_path = lambda: "rip-metric-route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RipMetricRouteMap, ['route_map'], name, value)


                                        class Metric(Entity):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RipMetricRouteMap.Metric, self).__init__()

                                                self.yang_name = "metric"
                                                self.yang_parent_name = "rip-metric-route-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                self.transparent = YLeaf(YType.empty, "transparent")
                                                self._segment_path = lambda: "metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Timers(Entity):
                                """
                                Adjust routing timers
                                
                                .. attribute:: update
                                
                                	Update period
                                	**type**\: int
                                
                                	**range:** 5..65535
                                
                                .. attribute:: timeout
                                
                                	Route timeout period
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: holddown
                                
                                	Route holddown period
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: garbage_collection
                                
                                	Route garbage collection period
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Timers, self).__init__()

                                    self.yang_name = "timers"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.update = YLeaf(YType.uint16, "update")

                                    self.timeout = YLeaf(YType.uint16, "timeout")

                                    self.holddown = YLeaf(YType.uint16, "holddown")

                                    self.garbage_collection = YLeaf(YType.uint16, "garbage-collection")
                                    self._segment_path = lambda: "timers"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.AddressFamily.Ipv6.Vrf.Timers, ['update', 'timeout', 'holddown', 'garbage_collection'], name, value)


                class DistributeList(Entity):
                    """
                    Filter networks in routing updates
                    
                    .. attribute:: prefix_list
                    
                    	Filter connections based on an IPv6 prefix\-list
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.DistributeList.PrefixList>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Ipv6.Router.Rip.DistributeList, self).__init__()

                        self.yang_name = "distribute-list"
                        self.yang_parent_name = "rip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Ipv6.Router.Rip.DistributeList.PrefixList)}

                        self.prefix_list = YList(self)
                        self._segment_path = lambda: "distribute-list"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Router.Rip.DistributeList, [], name, value)


                    class PrefixList(Entity):
                        """
                        Filter connections based on an IPv6 prefix\-list
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: in_
                        
                        	Filter incoming routing updates
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Filter outgoing routing updates
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.DistributeList.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "distribute-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "prefix-list" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Router.Rip.DistributeList.PrefixList, ['name', 'in_', 'out'], name, value)


                class Redistribute(Entity):
                    """
                    Redistribute IPv6 prefixes from another routing protocol
                    
                    .. attribute:: application
                    
                    	Application Protocol
                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Application>`
                    
                    .. attribute:: lisp
                    
                    	Locator ID Separation Protocol (LISP)
                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Lisp>`
                    
                    .. attribute:: nd
                    
                    	Neighbor Discovery
                    	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Nd>`
                    
                    .. attribute:: connected
                    
                    	Connected
                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Connected>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: bgp
                    
                    	Border Gateway Protocol (BGP)
                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Bgp>`
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Eigrp>`
                    
                    .. attribute:: isis
                    
                    	ISO IS\-IS
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: iso_igrp
                    
                    	IGRP for OSI networks
                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.IsoIgrp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: mobile
                    
                    	Mobile routes
                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Mobile>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: odr
                    
                    	On Demand stub Routes
                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Odr>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ospf
                    
                    	Open Shortest Path First (OSPF)
                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf>`
                    
                    .. attribute:: static
                    
                    	Static routes
                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Static>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rip
                    
                    	Routing Information Protocol (RIP)
                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Rip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Ipv6.Router.Rip.Redistribute, self).__init__()

                        self.yang_name = "redistribute"
                        self.yang_parent_name = "rip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"application" : ("application", Native.Ipv6.Router.Rip.Redistribute.Application), "lisp" : ("lisp", Native.Ipv6.Router.Rip.Redistribute.Lisp), "nd" : ("nd", Native.Ipv6.Router.Rip.Redistribute.Nd), "connected" : ("connected", Native.Ipv6.Router.Rip.Redistribute.Connected), "isis" : ("isis", Native.Ipv6.Router.Rip.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Ipv6.Router.Rip.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Ipv6.Router.Rip.Redistribute.Mobile), "odr" : ("odr", Native.Ipv6.Router.Rip.Redistribute.Odr), "static" : ("static", Native.Ipv6.Router.Rip.Redistribute.Static), "rip" : ("rip", Native.Ipv6.Router.Rip.Redistribute.Rip)}
                        self._child_list_classes = {"bgp" : ("bgp", Native.Ipv6.Router.Rip.Redistribute.Bgp), "eigrp" : ("eigrp", Native.Ipv6.Router.Rip.Redistribute.Eigrp), "ospf" : ("ospf", Native.Ipv6.Router.Rip.Redistribute.Ospf)}

                        self.application = Native.Ipv6.Router.Rip.Redistribute.Application()
                        self.application.parent = self
                        self._children_name_map["application"] = "application"
                        self._children_yang_names.add("application")

                        self.lisp = Native.Ipv6.Router.Rip.Redistribute.Lisp()
                        self.lisp.parent = self
                        self._children_name_map["lisp"] = "lisp"
                        self._children_yang_names.add("lisp")

                        self.nd = Native.Ipv6.Router.Rip.Redistribute.Nd()
                        self.nd.parent = self
                        self._children_name_map["nd"] = "nd"
                        self._children_yang_names.add("nd")

                        self.connected = None
                        self._children_name_map["connected"] = "connected"
                        self._children_yang_names.add("connected")

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")

                        self.iso_igrp = None
                        self._children_name_map["iso_igrp"] = "iso-igrp"
                        self._children_yang_names.add("iso-igrp")

                        self.mobile = None
                        self._children_name_map["mobile"] = "mobile"
                        self._children_yang_names.add("mobile")

                        self.odr = None
                        self._children_name_map["odr"] = "odr"
                        self._children_yang_names.add("odr")

                        self.static = None
                        self._children_name_map["static"] = "static"
                        self._children_yang_names.add("static")

                        self.rip = None
                        self._children_name_map["rip"] = "rip"
                        self._children_yang_names.add("rip")

                        self.bgp = YList(self)
                        self.eigrp = YList(self)
                        self.ospf = YList(self)
                        self._segment_path = lambda: "redistribute"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute, [], name, value)


                    class Application(Entity):
                        """
                        Application Protocol
                        
                        .. attribute:: include_connected
                        
                        	Include connected
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.Redistribute.Application, self).__init__()

                            self.yang_name = "application"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.include_connected = YLeaf(YType.empty, "include-connected")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "application"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Application, ['include_connected', 'metric', 'route_map'], name, value)


                    class Lisp(Entity):
                        """
                        Locator ID Separation Protocol (LISP)
                        
                        .. attribute:: include_connected
                        
                        	Include connected
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.Redistribute.Lisp, self).__init__()

                            self.yang_name = "lisp"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.include_connected = YLeaf(YType.empty, "include-connected")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "lisp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                    class Nd(Entity):
                        """
                        Neighbor Discovery
                        
                        .. attribute:: include_connected
                        
                        	Include connected
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.Redistribute.Nd, self).__init__()

                            self.yang_name = "nd"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.include_connected = YLeaf(YType.empty, "include-connected")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "nd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Nd, ['include_connected', 'metric', 'route_map'], name, value)


                    class Connected(Entity):
                        """
                        Connected
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.Redistribute.Connected, self).__init__()

                            self.yang_name = "connected"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "connected"


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "connected"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Bgp(Entity):
                        """
                        Border Gateway Protocol (BGP)
                        
                        .. attribute:: as_number  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..4294967295
                        
                        		**type**\: str
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.Redistribute.Bgp, self).__init__()

                            self.yang_name = "bgp"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap)}
                            self._child_list_classes = {}

                            self.as_number = YLeaf(YType.str, "as-number")

                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Bgp, ['as_number'], name, value)


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "bgp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Eigrp(Entity):
                        """
                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                        
                        .. attribute:: as_number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.Redistribute.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap)}
                            self._child_list_classes = {}

                            self.as_number = YLeaf(YType.uint16, "as-number")

                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Eigrp, ['as_number'], name, value)


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "eigrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Isis(Entity):
                        """
                        ISO IS\-IS
                        
                        .. attribute:: isis_area
                        
                        	
                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea>`
                        
                        .. attribute:: rip_isis_redist
                        
                        	
                        	**type**\:  :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.Redistribute.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rip-isis-redist" : ("rip_isis_redist", Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist)}
                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea)}
                            self.is_presence_container = True

                            self.rip_isis_redist = Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist()
                            self.rip_isis_redist.parent = self
                            self._children_name_map["rip_isis_redist"] = "rip-isis-redist"
                            self._children_yang_names.add("rip-isis-redist")

                            self.isis_area = YList(self)
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Isis, [], name, value)


                        class IsisArea(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: rip_isis_redist
                            
                            	
                            	**type**\:  :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea, self).__init__()

                                self.yang_name = "isis-area"
                                self.yang_parent_name = "isis"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rip-isis-redist" : ("rip_isis_redist", Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist)}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.rip_isis_redist = Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist()
                                self.rip_isis_redist.parent = self
                                self._children_name_map["rip_isis_redist"] = "rip-isis-redist"
                                self._children_yang_names.add("rip-isis-redist")
                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea, ['name'], name, value)


                            class RipIsisRedist(Entity):
                                """
                                
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutes>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist, self).__init__()

                                    self.yang_name = "rip-isis-redist"
                                    self.yang_parent_name = "isis-area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap)}
                                    self._child_list_classes = {}

                                    self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                    self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "rip-isis-redist"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist, ['isis_level_routes'], name, value)

                                class IsisLevelRoutes(Enum):
                                    """
                                    IsisLevelRoutes

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")

                                    level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "rip-isis-redist"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                        class RipIsisRedist(Entity):
                            """
                            
                            
                            .. attribute:: isis_level_routes
                            
                            	
                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.IsisLevelRoutes>`
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist, self).__init__()

                                self.yang_name = "rip-isis-redist"
                                self.yang_parent_name = "isis"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap)}
                                self._child_list_classes = {}

                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self
                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                self._children_yang_names.add("rip-metric-route-map")
                                self._segment_path = lambda: "rip-isis-redist"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist, ['isis_level_routes'], name, value)

                            class IsisLevelRoutes(Enum):
                                """
                                IsisLevelRoutes

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                .. data:: level_1_2 = 2

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")

                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                            class RipMetricRouteMap(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap, self).__init__()

                                    self.yang_name = "rip-metric-route-map"
                                    self.yang_parent_name = "rip-isis-redist"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self._children_name_map["metric"] = "metric"
                                    self._children_yang_names.add("metric")
                                    self._segment_path = lambda: "rip-metric-route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap, ['route_map'], name, value)


                                class Metric(Entity):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric, self).__init__()

                                        self.yang_name = "metric"
                                        self.yang_parent_name = "rip-metric-route-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                        self.transparent = YLeaf(YType.empty, "transparent")
                                        self._segment_path = lambda: "metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class IsoIgrp(Entity):
                        """
                        IGRP for OSI networks
                        
                        .. attribute:: isoigrp_list
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`IsoigrpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList>`
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.Redistribute.IsoIgrp, self).__init__()

                            self.yang_name = "iso-igrp"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap)}
                            self._child_list_classes = {"isoigrp-list" : ("isoigrp_list", Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList)}
                            self.is_presence_container = True

                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")

                            self.isoigrp_list = YList(self)
                            self._segment_path = lambda: "iso-igrp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.IsoIgrp, [], name, value)


                        class IsoigrpList(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: iso_area_tag  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList, self).__init__()

                                self.yang_name = "isoigrp-list"
                                self.yang_parent_name = "iso-igrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap)}
                                self._child_list_classes = {}

                                self.iso_area_tag = YLeaf(YType.str, "iso-area-tag")

                                self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self
                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                self._children_yang_names.add("rip-metric-route-map")
                                self._segment_path = lambda: "isoigrp-list" + "[iso-area-tag='" + self.iso_area_tag.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList, ['iso_area_tag'], name, value)


                            class RipMetricRouteMap(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap, self).__init__()

                                    self.yang_name = "rip-metric-route-map"
                                    self.yang_parent_name = "isoigrp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self._children_name_map["metric"] = "metric"
                                    self._children_yang_names.add("metric")
                                    self._segment_path = lambda: "rip-metric-route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap, ['route_map'], name, value)


                                class Metric(Entity):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric, self).__init__()

                                        self.yang_name = "metric"
                                        self.yang_parent_name = "rip-metric-route-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                        self.transparent = YLeaf(YType.empty, "transparent")
                                        self._segment_path = lambda: "metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "iso-igrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Mobile(Entity):
                        """
                        Mobile routes
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.Redistribute.Mobile, self).__init__()

                            self.yang_name = "mobile"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "mobile"


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "mobile"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Odr(Entity):
                        """
                        On Demand stub Routes
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.Redistribute.Odr, self).__init__()

                            self.yang_name = "odr"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "odr"


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "odr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Ospf(Entity):
                        """
                        Open Shortest Path First (OSPF)
                        
                        .. attribute:: process_id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: vrf
                        
                        	VPN Routing/Forwarding Instance
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Vrf>`
                        
                        .. attribute:: match
                        
                        	Redistribution of OSPF routes
                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match>`
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.Redistribute.Ospf, self).__init__()

                            self.yang_name = "ospf"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"match" : ("match", Native.Ipv6.Router.Rip.Redistribute.Ospf.Match), "rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap)}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Ipv6.Router.Rip.Redistribute.Ospf.Vrf)}

                            self.process_id = YLeaf(YType.uint16, "process-id")

                            self.match = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match()
                            self.match.parent = self
                            self._children_name_map["match"] = "match"
                            self._children_yang_names.add("match")

                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")

                            self.vrf = YList(self)
                            self._segment_path = lambda: "ospf" + "[process-id='" + self.process_id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Ospf, ['process_id'], name, value)


                        class Vrf(Entity):
                            """
                            VPN Routing/Forwarding Instance
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.Ospf.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "ospf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Ospf.Vrf, ['name'], name, value)


                        class Match(Entity):
                            """
                            Redistribution of OSPF routes
                            
                            .. attribute:: internal
                            
                            	Redistribute OSPF internal routes
                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: external
                            
                            	Redistribute OSPF external routes
                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: nssa_external
                            
                            	Redistribute OSPF NSSA external routes
                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match, self).__init__()

                                self.yang_name = "match"
                                self.yang_parent_name = "ospf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"internal" : ("internal", Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal)}
                                self._child_list_classes = {}

                                self.internal = None
                                self._children_name_map["internal"] = "internal"
                                self._children_yang_names.add("internal")

                                self.external = None
                                self._children_name_map["external"] = "external"
                                self._children_yang_names.add("external")

                                self.nssa_external = None
                                self._children_name_map["nssa_external"] = "nssa-external"
                                self._children_yang_names.add("nssa-external")
                                self._segment_path = lambda: "match"


                            class Internal(Entity):
                                """
                                Redistribute OSPF internal routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal, self).__init__()

                                    self.yang_name = "internal"
                                    self.yang_parent_name = "match"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "internal"


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "internal"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class External(Entity):
                                """
                                Redistribute OSPF external routes
                                
                                .. attribute:: external_routes
                                
                                	
                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External, self).__init__()

                                    self.yang_name = "external"
                                    self.yang_parent_name = "match"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                    self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "external"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External, ['external_routes'], name, value)


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "external"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class NssaExternal(Entity):
                                """
                                Redistribute OSPF NSSA external routes
                                
                                .. attribute:: nssa_external_routes
                                
                                	
                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                    self.yang_name = "nssa-external"
                                    self.yang_parent_name = "match"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                    self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "nssa-external"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes'], name, value)


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "nssa-external"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "ospf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Static(Entity):
                        """
                        Static routes
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.Redistribute.Static, self).__init__()

                            self.yang_name = "static"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "static"


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "static"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Rip(Entity):
                        """
                        Routing Information Protocol (RIP)
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Rip.RipMetricRouteMap>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Ipv6.Router.Rip.Redistribute.Rip, self).__init__()

                            self.yang_name = "rip"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Ipv6.Router.Rip.Redistribute.Rip.RipMetricRouteMap)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rip_metric_route_map = Native.Ipv6.Router.Rip.Redistribute.Rip.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "rip"


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Router.Rip.Redistribute.Rip.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Ipv6.Router.Rip.Redistribute.Rip.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "rip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Ipv6.Router.Rip.Redistribute.Rip.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Ipv6.Router.Rip.Redistribute.Rip.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Rip.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Ipv6.Router.Rip.Redistribute.Rip.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ipv6.Router.Rip.Redistribute.Rip.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                class Timers(Entity):
                    """
                    Adjust routing timers
                    
                    .. attribute:: update
                    
                    	Update period
                    	**type**\: int
                    
                    	**range:** 5..65535
                    
                    .. attribute:: timeout
                    
                    	Route timeout period
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: holddown
                    
                    	Route holddown period
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: garbage_collection
                    
                    	Route garbage collection period
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Ipv6.Router.Rip.Timers, self).__init__()

                        self.yang_name = "timers"
                        self.yang_parent_name = "rip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.update = YLeaf(YType.uint16, "update")

                        self.timeout = YLeaf(YType.uint16, "timeout")

                        self.holddown = YLeaf(YType.uint16, "holddown")

                        self.garbage_collection = YLeaf(YType.uint16, "garbage-collection")
                        self._segment_path = lambda: "timers"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Router.Rip.Timers, ['update', 'timeout', 'holddown', 'garbage_collection'], name, value)


        class Spd(Entity):
            """
            spd
            
            .. attribute:: mode
            
            	
            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Spd.Mode>`
            
            .. attribute:: queue
            
            	queue
            	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Spd.Queue>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ipv6.Spd, self).__init__()

                self.yang_name = "spd"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"queue" : ("queue", Native.Ipv6.Spd.Queue)}
                self._child_list_classes = {}

                self.mode = YLeaf(YType.enumeration, "mode")

                self.queue = Native.Ipv6.Spd.Queue()
                self.queue.parent = self
                self._children_name_map["queue"] = "queue"
                self._children_yang_names.add("queue")
                self._segment_path = lambda: "spd"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.Spd, ['mode'], name, value)

            class Mode(Enum):
                """
                Mode

                .. data:: aggressive = 0

                """

                aggressive = Enum.YLeaf(0, "aggressive")



            class Queue(Entity):
                """
                queue
                
                .. attribute:: max_threshold
                
                	Max threshold
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: min_threshold
                
                	Min threshold
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ipv6.Spd.Queue, self).__init__()

                    self.yang_name = "queue"
                    self.yang_parent_name = "spd"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.max_threshold = YLeaf(YType.uint16, "max-threshold")

                    self.min_threshold = YLeaf(YType.uint16, "min-threshold")
                    self._segment_path = lambda: "queue"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/spd/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Spd.Queue, ['max_threshold', 'min_threshold'], name, value)


        class PrefixList(Entity):
            """
            Build a prefix list
            
            .. attribute:: prefixes
            
            	
            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList.Prefixes>`
            
            .. attribute:: sequence_number
            
            	Include/exclude sequence numbers in NVGEN
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ipv6.PrefixList, self).__init__()

                self.yang_name = "prefix-list"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"prefixes" : ("prefixes", Native.Ipv6.PrefixList.Prefixes)}

                self.sequence_number = YLeaf(YType.empty, "sequence-number")

                self.prefixes = YList(self)
                self._segment_path = lambda: "prefix-list"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.PrefixList, ['sequence_number'], name, value)


            class Prefixes(Entity):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                	**pattern:** ([^s].\*)\|(s[^e].\*)\|(se[^q].\*)(seq[^u].\*)\|(sequ[^e].\*)\|(seque[^n].\*)\|(sequen[^c].\*)\|(sequenc[^e].\*)\|(sequence[^\\\-].\*)\|(sequence\\\-[^n].\*)\|(sequence\\\-n[^u].\*)\|(sequence\\\-nu[^m].\*)\|(sequence\\\-num[^b].\*)\|(sequence\\\-numb[^e].\*)\|(sequence\\\-numbe[^r].\*)\|(sequence\\\-number..\*)
                
                .. attribute:: description
                
                	Prefix\-list specific description
                	**type**\: str
                
                	**length:** 1..80
                
                .. attribute:: permit
                
                	Specify packets to forward
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList.Prefixes.Permit>`
                
                .. attribute:: deny
                
                	Specify packets to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList.Prefixes.Deny>`
                
                .. attribute:: seq
                
                	sequence number of an entry
                	**type**\: list of  		 :py:class:`Seq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList.Prefixes.Seq>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Ipv6.PrefixList.Prefixes, self).__init__()

                    self.yang_name = "prefixes"
                    self.yang_parent_name = "prefix-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"permit" : ("permit", Native.Ipv6.PrefixList.Prefixes.Permit), "deny" : ("deny", Native.Ipv6.PrefixList.Prefixes.Deny)}
                    self._child_list_classes = {"seq" : ("seq", Native.Ipv6.PrefixList.Prefixes.Seq)}

                    self.name = YLeaf(YType.str, "name")

                    self.description = YLeaf(YType.str, "description")

                    self.permit = Native.Ipv6.PrefixList.Prefixes.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")

                    self.deny = Native.Ipv6.PrefixList.Prefixes.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")

                    self.seq = YList(self)
                    self._segment_path = lambda: "prefixes" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/prefix-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.PrefixList.Prefixes, ['name', 'description'], name, value)


                class Permit(Entity):
                    """
                    Specify packets to forward
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: ge
                    
                    	Minimum prefix length to be matched
                    	**type**\: int
                    
                    	**range:** 0..128
                    
                    .. attribute:: le
                    
                    	Maximum prefix length to be matched
                    	**type**\: int
                    
                    	**range:** 0..128
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ipv6.PrefixList.Prefixes.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "prefixes"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.ge = YLeaf(YType.uint8, "ge")

                        self.le = YLeaf(YType.uint8, "le")
                        self._segment_path = lambda: "permit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.PrefixList.Prefixes.Permit, ['address', 'ge', 'le'], name, value)


                class Deny(Entity):
                    """
                    Specify packets to reject
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: ge
                    
                    	Minimum prefix length to be matched
                    	**type**\: int
                    
                    	**range:** 0..128
                    
                    .. attribute:: le
                    
                    	Maximum prefix length to be matched
                    	**type**\: int
                    
                    	**range:** 0..128
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ipv6.PrefixList.Prefixes.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "prefixes"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.ge = YLeaf(YType.uint8, "ge")

                        self.le = YLeaf(YType.uint8, "le")
                        self._segment_path = lambda: "deny"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.PrefixList.Prefixes.Deny, ['address', 'ge', 'le'], name, value)


                class Seq(Entity):
                    """
                    sequence number of an entry
                    
                    .. attribute:: no  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967294
                    
                    .. attribute:: deny
                    
                    	Specify packets to reject
                    	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList.Prefixes.Seq.Deny>`
                    
                    .. attribute:: permit
                    
                    	Specify packets to forward
                    	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.PrefixList.Prefixes.Seq.Permit>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Ipv6.PrefixList.Prefixes.Seq, self).__init__()

                        self.yang_name = "seq"
                        self.yang_parent_name = "prefixes"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"deny" : ("deny", Native.Ipv6.PrefixList.Prefixes.Seq.Deny), "permit" : ("permit", Native.Ipv6.PrefixList.Prefixes.Seq.Permit)}
                        self._child_list_classes = {}

                        self.no = YLeaf(YType.uint32, "no")

                        self.deny = Native.Ipv6.PrefixList.Prefixes.Seq.Deny()
                        self.deny.parent = self
                        self._children_name_map["deny"] = "deny"
                        self._children_yang_names.add("deny")

                        self.permit = Native.Ipv6.PrefixList.Prefixes.Seq.Permit()
                        self.permit.parent = self
                        self._children_name_map["permit"] = "permit"
                        self._children_yang_names.add("permit")
                        self._segment_path = lambda: "seq" + "[no='" + self.no.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.PrefixList.Prefixes.Seq, ['no'], name, value)


                    class Deny(Entity):
                        """
                        Specify packets to reject
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: ge
                        
                        	Minimum prefix length to be matched
                        	**type**\: int
                        
                        	**range:** 1..128
                        
                        .. attribute:: le
                        
                        	Maximum prefix length to be matched
                        	**type**\: int
                        
                        	**range:** 1..128
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ipv6.PrefixList.Prefixes.Seq.Deny, self).__init__()

                            self.yang_name = "deny"
                            self.yang_parent_name = "seq"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.str, "ip")

                            self.ge = YLeaf(YType.uint16, "ge")

                            self.le = YLeaf(YType.uint16, "le")
                            self._segment_path = lambda: "deny"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.PrefixList.Prefixes.Seq.Deny, ['ip', 'ge', 'le'], name, value)


                    class Permit(Entity):
                        """
                        Specify packets to forward
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: ge
                        
                        	Minimum prefix length to be matched
                        	**type**\: int
                        
                        	**range:** 1..128
                        
                        .. attribute:: le
                        
                        	Maximum prefix length to be matched
                        	**type**\: int
                        
                        	**range:** 1..128
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Ipv6.PrefixList.Prefixes.Seq.Permit, self).__init__()

                            self.yang_name = "permit"
                            self.yang_parent_name = "seq"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.str, "ip")

                            self.ge = YLeaf(YType.uint16, "ge")

                            self.le = YLeaf(YType.uint16, "le")
                            self._segment_path = lambda: "permit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ipv6.PrefixList.Prefixes.Seq.Permit, ['ip', 'ge', 'le'], name, value)


        class Neighbor(Entity):
            """
            Neighbor
            
            .. attribute:: address  <key>
            
            	X\:X\:X\:X\:\:X  IPv6 address
            	**type**\: str
            
            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: interface  <key>
            
            	
            	**type**\: str
            
            .. attribute:: hardware_address
            
            	H.H.H  48\-bit hardware address
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Ipv6.Neighbor, self).__init__()

                self.yang_name = "neighbor"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.address = YLeaf(YType.str, "address")

                self.interface = YLeaf(YType.str, "interface")

                self.hardware_address = YLeaf(YType.str, "hardware-address")
                self._segment_path = lambda: "neighbor" + "[address='" + self.address.get() + "']" + "[interface='" + self.interface.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.Neighbor, ['address', 'interface', 'hardware_address'], name, value)


        class Mld(Entity):
            """
            Global mld commands
            
            .. attribute:: ssm_map
            
            	SSM mapping commands
            	**type**\:  :py:class:`SsmMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Mld.SsmMap>`
            
            

            """

            _prefix = 'ios-mld'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ipv6.Mld, self).__init__()

                self.yang_name = "mld"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ssm-map" : ("ssm_map", Native.Ipv6.Mld.SsmMap)}
                self._child_list_classes = {}

                self.ssm_map = Native.Ipv6.Mld.SsmMap()
                self.ssm_map.parent = self
                self._children_name_map["ssm_map"] = "ssm-map"
                self._children_yang_names.add("ssm-map")
                self._segment_path = lambda: "Cisco-IOS-XE-mld:mld"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()


            class SsmMap(Entity):
                """
                SSM mapping commands
                
                .. attribute:: enable
                
                	Enable SSM mapping
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: query
                
                	Which database should we query for the source
                	**type**\:  :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Mld.SsmMap.Query>`
                
                .. attribute:: static
                
                	SSM static group to source mapping
                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Mld.SsmMap.Static>`
                
                

                """

                _prefix = 'ios-mld'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ipv6.Mld.SsmMap, self).__init__()

                    self.yang_name = "ssm-map"
                    self.yang_parent_name = "mld"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"query" : ("query", Native.Ipv6.Mld.SsmMap.Query), "static" : ("static", Native.Ipv6.Mld.SsmMap.Static)}
                    self._child_list_classes = {}

                    self.enable = YLeaf(YType.empty, "enable")

                    self.query = Native.Ipv6.Mld.SsmMap.Query()
                    self.query.parent = self
                    self._children_name_map["query"] = "query"
                    self._children_yang_names.add("query")

                    self.static = Native.Ipv6.Mld.SsmMap.Static()
                    self.static.parent = self
                    self._children_name_map["static"] = "static"
                    self._children_yang_names.add("static")
                    self._segment_path = lambda: "ssm-map"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/Cisco-IOS-XE-mld:mld/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ipv6.Mld.SsmMap, ['enable'], name, value)


                class Query(Entity):
                    """
                    Which database should we query for the source
                    
                    .. attribute:: dns
                    
                    	Use DNS for source lookup
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ipv6.Mld.SsmMap.Query, self).__init__()

                        self.yang_name = "query"
                        self.yang_parent_name = "ssm-map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dns = YLeaf(YType.empty, "dns")
                        self._segment_path = lambda: "query"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/Cisco-IOS-XE-mld:mld/ssm-map/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Mld.SsmMap.Query, ['dns'], name, value)


                class Static(Entity):
                    """
                    SSM static group to source mapping
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: source_ip
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-mld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ipv6.Mld.SsmMap.Static, self).__init__()

                        self.yang_name = "static"
                        self.yang_parent_name = "ssm-map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acl = YLeaf(YType.str, "acl")

                        self.source_ip = YLeaf(YType.str, "source-ip")
                        self._segment_path = lambda: "static"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/Cisco-IOS-XE-mld:mld/ssm-map/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ipv6.Mld.SsmMap.Static, ['acl', 'source_ip'], name, value)


        class MulticastRouting(Entity):
            """
            Enable IPv6 multicast
            
            .. attribute:: vrf
            
            	Select VPN Routing/Forwarding instance
            	**type**\: str
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-mc'
            _revision = '2017-06-01'

            def __init__(self):
                super(Native.Ipv6.MulticastRouting, self).__init__()

                self.yang_name = "multicast-routing"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.vrf = YLeaf(YType.str, "vrf")
                self._segment_path = lambda: "Cisco-IOS-XE-multicast:multicast-routing"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.MulticastRouting, ['vrf'], name, value)


        class Rip(Entity):
            """
            Configure ipv6 RIP settings
            
            .. attribute:: vrf_mode
            
            	Enable RIPng VRF support
            	**type**\:  :py:class:`VrfMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ipv6.Rip.VrfMode>`
            
            

            """

            _prefix = 'ios-rip'
            _revision = '2017-04-12'

            def __init__(self):
                super(Native.Ipv6.Rip, self).__init__()

                self.yang_name = "rip"
                self.yang_parent_name = "ipv6"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.vrf_mode = YLeaf(YType.enumeration, "vrf-mode")
                self._segment_path = lambda: "Cisco-IOS-XE-rip:rip"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ipv6/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ipv6.Rip, ['vrf_mode'], name, value)

            class VrfMode(Enum):
                """
                VrfMode

                Enable RIPng VRF support

                .. data:: enable = 0

                """

                enable = Enum.YLeaf(0, "enable")



    class Vlan(Entity):
        """
        Global vlan configuration
        
        .. attribute:: access_map
        
        	Create vlan access\-map or enter vlan access\-map command mode
        	**type**\: list of  		 :py:class:`AccessMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.AccessMap>`
        
        .. attribute:: configuration
        
        	vlan feature configuration mode
        	**type**\: list of  		 :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Configuration>`
        
        .. attribute:: filter
        
        	Apply a VLAN Map
        	**type**\: list of  		 :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Filter>`
        
        .. attribute:: accounting
        
        	VLAN accounting configuration
        	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Accounting>`
        
        	**presence node**\: True
        
        .. attribute:: internal
        
        	internal VLAN
        	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Internal>`
        
        .. attribute:: dot1q
        
        	dot1q parameters
        	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Dot1Q>`
        
        .. attribute:: access_log
        
        	Configure VACL logging
        	**type**\:  :py:class:`AccessLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.AccessLog>`
        
        .. attribute:: vlan_list
        
        	
        	**type**\: list of  		 :py:class:`VlanList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.VlanList>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Vlan, self).__init__()

            self.yang_name = "vlan"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-vlan:accounting" : ("accounting", Native.Vlan.Accounting), "Cisco-IOS-XE-vlan:internal" : ("internal", Native.Vlan.Internal), "Cisco-IOS-XE-vlan:dot1q" : ("dot1q", Native.Vlan.Dot1Q), "Cisco-IOS-XE-vlan:access-log" : ("access_log", Native.Vlan.AccessLog)}
            self._child_list_classes = {"Cisco-IOS-XE-vlan:access-map" : ("access_map", Native.Vlan.AccessMap), "Cisco-IOS-XE-vlan:configuration" : ("configuration", Native.Vlan.Configuration), "Cisco-IOS-XE-vlan:filter" : ("filter", Native.Vlan.Filter), "Cisco-IOS-XE-vlan:vlan-list" : ("vlan_list", Native.Vlan.VlanList)}

            self.accounting = None
            self._children_name_map["accounting"] = "accounting"
            self._children_yang_names.add("accounting")

            self.internal = Native.Vlan.Internal()
            self.internal.parent = self
            self._children_name_map["internal"] = "internal"
            self._children_yang_names.add("internal")

            self.dot1q = Native.Vlan.Dot1Q()
            self.dot1q.parent = self
            self._children_name_map["dot1q"] = "dot1q"
            self._children_yang_names.add("dot1q")

            self.access_log = Native.Vlan.AccessLog()
            self.access_log.parent = self
            self._children_name_map["access_log"] = "access-log"
            self._children_yang_names.add("access-log")

            self.access_map = YList(self)
            self.configuration = YList(self)
            self.filter = YList(self)
            self.vlan_list = YList(self)
            self._segment_path = lambda: "vlan"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Vlan, [], name, value)


        class AccessMap(Entity):
            """
            Create vlan access\-map or enter vlan access\-map command mode
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: value
            
            	
            	**type**\: int
            
            	**range:** 1..65535
            
            .. attribute:: action
            
            	Take the action
            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.AccessMap.Action>`
            
            .. attribute:: match
            
            	Match values
            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.AccessMap.Match>`
            
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-05-31'

            def __init__(self):
                super(Native.Vlan.AccessMap, self).__init__()

                self.yang_name = "access-map"
                self.yang_parent_name = "vlan"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"match" : ("match", Native.Vlan.AccessMap.Match)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.value = YLeaf(YType.uint16, "value")

                self.action = YLeaf(YType.enumeration, "action")

                self.match = Native.Vlan.AccessMap.Match()
                self.match.parent = self
                self._children_name_map["match"] = "match"
                self._children_yang_names.add("match")
                self._segment_path = lambda: "Cisco-IOS-XE-vlan:access-map" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vlan/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Vlan.AccessMap, ['name', 'value', 'action'], name, value)

            class Action(Enum):
                """
                Action

                Take the action

                .. data:: drop = 0

                .. data:: forward = 1

                """

                drop = Enum.YLeaf(0, "drop")

                forward = Enum.YLeaf(1, "forward")



            class Match(Entity):
                """
                Match values.
                
                .. attribute:: ipv6
                
                	IPv6 based match
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.AccessMap.Match.Ipv6>`
                
                .. attribute:: ip
                
                	IP based match
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.AccessMap.Match.Ip>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Vlan.AccessMap.Match, self).__init__()

                    self.yang_name = "match"
                    self.yang_parent_name = "access-map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ipv6" : ("ipv6", Native.Vlan.AccessMap.Match.Ipv6), "ip" : ("ip", Native.Vlan.AccessMap.Match.Ip)}
                    self._child_list_classes = {}

                    self.ipv6 = Native.Vlan.AccessMap.Match.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.ip = Native.Vlan.AccessMap.Match.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "match"


                class Ipv6(Entity):
                    """
                    IPv6 based match
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Vlan.AccessMap.Match.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeafList(YType.str, "address")
                        self._segment_path = lambda: "ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Vlan.AccessMap.Match.Ipv6, ['address'], name, value)


                class Ip(Entity):
                    """
                    IP based match
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Vlan.AccessMap.Match.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeafList(YType.str, "address")
                        self._segment_path = lambda: "ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Vlan.AccessMap.Match.Ip, ['address'], name, value)


        class Configuration(Entity):
            """
            vlan feature configuration mode
            
            .. attribute:: vlan_id  <key>
            
            	VLAN ID List Eg. 1\-10,15
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 1..4096
            
            		**type**\: str
            
            .. attribute:: ip
            
            	ip root chain
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Configuration.Ip>`
            
            .. attribute:: ipv6
            
            	Configure ipv6 dhcp guard
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Configuration.Ipv6>`
            
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-05-31'

            def __init__(self):
                super(Native.Vlan.Configuration, self).__init__()

                self.yang_name = "configuration"
                self.yang_parent_name = "vlan"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ip" : ("ip", Native.Vlan.Configuration.Ip), "ipv6" : ("ipv6", Native.Vlan.Configuration.Ipv6)}
                self._child_list_classes = {}

                self.vlan_id = YLeaf(YType.str, "vlan-id")

                self.ip = Native.Vlan.Configuration.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Vlan.Configuration.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")
                self._segment_path = lambda: "Cisco-IOS-XE-vlan:configuration" + "[vlan-id='" + self.vlan_id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vlan/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Vlan.Configuration, ['vlan_id'], name, value)


            class Ip(Entity):
                """
                ip root chain
                
                .. attribute:: flow
                
                	vlan NetFlow configuration commands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Configuration.Ip.Flow>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Vlan.Configuration.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "configuration"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"flow" : ("flow", Native.Vlan.Configuration.Ip.Flow)}
                    self._child_list_classes = {}

                    self.flow = Native.Vlan.Configuration.Ip.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")
                    self._segment_path = lambda: "ip"


                class Flow(Entity):
                    """
                    vlan NetFlow configuration commands
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Configuration.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Vlan.Configuration.Ip.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"monitor" : ("monitor", Native.Vlan.Configuration.Ip.Flow.Monitor)}

                        self.monitor = YList(self)
                        self._segment_path = lambda: "flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Vlan.Configuration.Ip.Flow, [], name, value)


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: flow_monitor  <key>
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: input
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Vlan.Configuration.Ip.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.flow_monitor = YLeaf(YType.str, "flow-monitor")

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")
                            self._segment_path = lambda: "monitor" + "[flow-monitor='" + self.flow_monitor.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Vlan.Configuration.Ip.Flow.Monitor, ['flow_monitor', 'input', 'output'], name, value)


            class Ipv6(Entity):
                """
                Configure ipv6 dhcp guard
                
                .. attribute:: dhcp
                
                	dhcp feature
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Configuration.Ipv6.Dhcp>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Vlan.Configuration.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "configuration"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dhcp" : ("dhcp", Native.Vlan.Configuration.Ipv6.Dhcp)}
                    self._child_list_classes = {}

                    self.dhcp = Native.Vlan.Configuration.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")
                    self._segment_path = lambda: "ipv6"


                class Dhcp(Entity):
                    """
                    dhcp feature
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard for vlan configuration
                    	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Configuration.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Vlan.Configuration.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"guard" : ("guard", Native.Vlan.Configuration.Ipv6.Dhcp.Guard)}
                        self._child_list_classes = {}

                        self.guard = None
                        self._children_name_map["guard"] = "guard"
                        self._children_yang_names.add("guard")
                        self._segment_path = lambda: "dhcp"


                    class Guard(Entity):
                        """
                        Configure IPv6 DHCP guard for vlan configuration
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Vlan.Configuration.Ipv6.Dhcp.Guard, self).__init__()

                            self.yang_name = "guard"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "guard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Vlan.Configuration.Ipv6.Dhcp.Guard, ['attach_policy'], name, value)


        class Filter(Entity):
            """
            Apply a VLAN Map
            
            .. attribute:: word  <key>
            
            	
            	**type**\: str
            
            .. attribute:: vlan_list
            
            	VLANs to apply filter to
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 1..4094
            
            		**type**\: str
            
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-05-31'

            def __init__(self):
                super(Native.Vlan.Filter, self).__init__()

                self.yang_name = "filter"
                self.yang_parent_name = "vlan"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.word = YLeaf(YType.str, "word")

                self.vlan_list = YLeaf(YType.str, "vlan-list")
                self._segment_path = lambda: "Cisco-IOS-XE-vlan:filter" + "[word='" + self.word.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vlan/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Vlan.Filter, ['word', 'vlan_list'], name, value)


        class Accounting(Entity):
            """
            VLAN accounting configuration
            
            .. attribute:: input
            
            	Input accounting
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: output
            
            	Output accounting
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-vlan'
            _revision = '2017-05-31'

            def __init__(self):
                super(Native.Vlan.Accounting, self).__init__()

                self.yang_name = "accounting"
                self.yang_parent_name = "vlan"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.input = YLeaf(YType.empty, "input")

                self.output = YLeaf(YType.empty, "output")
                self._segment_path = lambda: "Cisco-IOS-XE-vlan:accounting"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vlan/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Vlan.Accounting, ['input', 'output'], name, value)


        class Internal(Entity):
            """
            internal VLAN
            
            .. attribute:: allocation
            
            	internal VLAN allocation
            	**type**\:  :py:class:`Allocation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Internal.Allocation>`
            
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-05-31'

            def __init__(self):
                super(Native.Vlan.Internal, self).__init__()

                self.yang_name = "internal"
                self.yang_parent_name = "vlan"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"allocation" : ("allocation", Native.Vlan.Internal.Allocation)}
                self._child_list_classes = {}

                self.allocation = Native.Vlan.Internal.Allocation()
                self.allocation.parent = self
                self._children_name_map["allocation"] = "allocation"
                self._children_yang_names.add("allocation")
                self._segment_path = lambda: "Cisco-IOS-XE-vlan:internal"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vlan/%s" % self._segment_path()


            class Allocation(Entity):
                """
                internal VLAN allocation
                
                .. attribute:: policy
                
                	
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Internal.Allocation.Policy>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Vlan.Internal.Allocation, self).__init__()

                    self.yang_name = "allocation"
                    self.yang_parent_name = "internal"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.policy = YLeaf(YType.enumeration, "policy")
                    self._segment_path = lambda: "allocation"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vlan/Cisco-IOS-XE-vlan:internal/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Vlan.Internal.Allocation, ['policy'], name, value)

                class Policy(Enum):
                    """
                    Policy

                    .. data:: ascending = 0

                    .. data:: descending = 1

                    """

                    ascending = Enum.YLeaf(0, "ascending")

                    descending = Enum.YLeaf(1, "descending")



        class Dot1Q(Entity):
            """
            dot1q parameters
            
            .. attribute:: tag
            
            	tag parameters
            	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.Dot1Q.Tag>`
            
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-05-31'

            def __init__(self):
                super(Native.Vlan.Dot1Q, self).__init__()

                self.yang_name = "dot1q"
                self.yang_parent_name = "vlan"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"tag" : ("tag", Native.Vlan.Dot1Q.Tag)}
                self._child_list_classes = {}

                self.tag = Native.Vlan.Dot1Q.Tag()
                self.tag.parent = self
                self._children_name_map["tag"] = "tag"
                self._children_yang_names.add("tag")
                self._segment_path = lambda: "Cisco-IOS-XE-vlan:dot1q"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vlan/%s" % self._segment_path()


            class Tag(Entity):
                """
                tag parameters
                
                .. attribute:: native
                
                	tag native vlan
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Vlan.Dot1Q.Tag, self).__init__()

                    self.yang_name = "tag"
                    self.yang_parent_name = "dot1q"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.native = YLeaf(YType.empty, "native")
                    self._segment_path = lambda: "tag"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vlan/Cisco-IOS-XE-vlan:dot1q/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Vlan.Dot1Q.Tag, ['native'], name, value)


        class AccessLog(Entity):
            """
            Configure VACL logging
            
            .. attribute:: maxflow
            
            	Set vacl logging maximum flow number
            	**type**\: int
            
            	**range:** 0..2048
            
            .. attribute:: ratelimit
            
            	Set vacl logging rate limiter
            	**type**\: int
            
            	**range:** 10..5000
            
            .. attribute:: threshold
            
            	Set vacl log\-update threshold
            	**type**\: int
            
            	**range:** 0..2147483647
            
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-05-31'

            def __init__(self):
                super(Native.Vlan.AccessLog, self).__init__()

                self.yang_name = "access-log"
                self.yang_parent_name = "vlan"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.maxflow = YLeaf(YType.uint16, "maxflow")

                self.ratelimit = YLeaf(YType.uint16, "ratelimit")

                self.threshold = YLeaf(YType.uint32, "threshold")
                self._segment_path = lambda: "Cisco-IOS-XE-vlan:access-log"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vlan/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Vlan.AccessLog, ['maxflow', 'ratelimit', 'threshold'], name, value)


        class VlanList(Entity):
            """
            
            
            .. attribute:: id  <key>
            
            	
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 1..4094
            
            		**type**\: str
            
            .. attribute:: remote_span
            
            	Configure as Remote SPAN VLAN
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: private_vlan
            
            	Configure a private VLAN
            	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.VlanList.PrivateVlan>`
            
            .. attribute:: name
            
            	Ascii name of the VLAN
            	**type**\: str
            
            	**length:** 1..100
            
            .. attribute:: state
            
            	Operational state of the VLAN
            	**type**\:  :py:class:`State <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.VlanList.State>`
            
            .. attribute:: lldp
            
            	
            	**type**\:  :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.VlanList.Lldp>`
            
            .. attribute:: uni_vlan
            
            	Configure a UNI VLAN
            	**type**\:  :py:class:`UniVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vlan.VlanList.UniVlan>`
            
            

            """

            _prefix = 'ios-vlan'
            _revision = '2017-05-31'

            def __init__(self):
                super(Native.Vlan.VlanList, self).__init__()

                self.yang_name = "vlan-list"
                self.yang_parent_name = "vlan"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"private-vlan" : ("private_vlan", Native.Vlan.VlanList.PrivateVlan), "lldp" : ("lldp", Native.Vlan.VlanList.Lldp)}
                self._child_list_classes = {}

                self.id = YLeaf(YType.str, "id")

                self.remote_span = YLeaf(YType.empty, "remote-span")

                self.name = YLeaf(YType.str, "name")

                self.state = YLeaf(YType.enumeration, "state")

                self.uni_vlan = YLeaf(YType.enumeration, "uni-vlan")

                self.private_vlan = Native.Vlan.VlanList.PrivateVlan()
                self.private_vlan.parent = self
                self._children_name_map["private_vlan"] = "private-vlan"
                self._children_yang_names.add("private-vlan")

                self.lldp = Native.Vlan.VlanList.Lldp()
                self.lldp.parent = self
                self._children_name_map["lldp"] = "lldp"
                self._children_yang_names.add("lldp")
                self._segment_path = lambda: "Cisco-IOS-XE-vlan:vlan-list" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vlan/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Vlan.VlanList, ['id', 'remote_span', 'name', 'state', 'uni_vlan'], name, value)

            class State(Enum):
                """
                State

                Operational state of the VLAN

                .. data:: active = 0

                .. data:: suspend = 1

                """

                active = Enum.YLeaf(0, "active")

                suspend = Enum.YLeaf(1, "suspend")


            class UniVlan(Enum):
                """
                UniVlan

                Configure a UNI VLAN

                .. data:: community = 0

                .. data:: isolated = 1

                """

                community = Enum.YLeaf(0, "community")

                isolated = Enum.YLeaf(1, "isolated")



            class PrivateVlan(Entity):
                """
                Configure a private VLAN
                
                .. attribute:: primary
                
                	Configure the VLAN as a primary private VLAN
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: association
                
                	Configure association between private VLANs
                	**type**\: str
                
                .. attribute:: community
                
                	Configure the VLAN as a community private VLAN
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: isolated
                
                	Configure the VLAN as an isolated private VLAN
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Vlan.VlanList.PrivateVlan, self).__init__()

                    self.yang_name = "private-vlan"
                    self.yang_parent_name = "vlan-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.primary = YLeaf(YType.empty, "primary")

                    self.association = YLeaf(YType.str, "association")

                    self.community = YLeaf(YType.empty, "community")

                    self.isolated = YLeaf(YType.empty, "isolated")
                    self._segment_path = lambda: "private-vlan"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Vlan.VlanList.PrivateVlan, ['primary', 'association', 'community', 'isolated'], name, value)


            class Lldp(Entity):
                """
                
                
                .. attribute:: run
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Vlan.VlanList.Lldp, self).__init__()

                    self.yang_name = "lldp"
                    self.yang_parent_name = "vlan-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.run = YLeaf(YType.empty, "run")
                    self._segment_path = lambda: "lldp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Vlan.VlanList.Lldp, ['run'], name, value)


    class Cdp(Entity):
        """
        Global CDP configuration subcommands
        
        .. attribute:: run
        
        	Enable CDP
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Cdp, self).__init__()

            self.yang_name = "cdp"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.run = YLeaf(YType.empty, "Cisco-IOS-XE-cdp:run")
            self._segment_path = lambda: "cdp"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Cdp, ['run'], name, value)


    class Policy(Entity):
        """
        
        
        .. attribute:: class_map
        
        	configure qos class map
        	**type**\: list of  		 :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
        
        .. attribute:: policy_map
        
        	Configure QoS Policy Map
        	**type**\: list of  		 :py:class:`PolicyMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Policy, self).__init__()

            self.yang_name = "policy"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-policy:class-map" : ("class_map", Native.Policy.ClassMap), "Cisco-IOS-XE-policy:policy-map" : ("policy_map", Native.Policy.PolicyMap)}

            self.class_map = YList(self)
            self.policy_map = YList(self)
            self._segment_path = lambda: "policy"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Policy, [], name, value)


        class ClassMap(Entity):
            """
            configure qos class map
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: type
            
            	type of the class\-map
            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Type>`
            
            .. attribute:: subscriber
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: protocol
            
            	
            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Protocol>`
            
            .. attribute:: prematch
            
            	
            	**type**\:  :py:class:`Prematch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Prematch>`
            
            	**mandatory**\: True
            
            .. attribute:: description
            
            	Class\-Map description
            	**type**\: str
            
            .. attribute:: match
            
            	classification criteria
            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match>`
            
            .. attribute:: no_match
            
            	no\-match filter
            	**type**\:  :py:class:`NoMatch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.Policy.ClassMap, self).__init__()

                self.yang_name = "class-map"
                self.yang_parent_name = "policy"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"match" : ("match", Native.Policy.ClassMap.Match), "no-match" : ("no_match", Native.Policy.ClassMap.NoMatch)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.type = YLeaf(YType.enumeration, "type")

                self.subscriber = YLeaf(YType.empty, "subscriber")

                self.protocol = YLeaf(YType.enumeration, "protocol")

                self.prematch = YLeaf(YType.enumeration, "prematch")

                self.description = YLeaf(YType.str, "description")

                self.match = Native.Policy.ClassMap.Match()
                self.match.parent = self
                self._children_name_map["match"] = "match"
                self._children_yang_names.add("match")

                self.no_match = Native.Policy.ClassMap.NoMatch()
                self.no_match.parent = self
                self._children_name_map["no_match"] = "no-match"
                self._children_yang_names.add("no-match")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:class-map" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/policy/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Policy.ClassMap, ['name', 'type', 'subscriber', 'protocol', 'prematch', 'description'], name, value)

            class Prematch(Enum):
                """
                Prematch

                .. data:: match_all = 0

                .. data:: match_any = 1

                .. data:: match_none = 2

                """

                match_all = Enum.YLeaf(0, "match-all")

                match_any = Enum.YLeaf(1, "match-any")

                match_none = Enum.YLeaf(2, "match-none")


            class Protocol(Enum):
                """
                Protocol

                .. data:: aol = 0

                .. data:: edonkey = 1

                .. data:: fasttrack = 2

                .. data:: gnutella = 3

                .. data:: http = 4

                .. data:: imap = 5

                .. data:: kazaa2 = 6

                .. data:: msnmsgr = 7

                .. data:: pop3 = 8

                .. data:: smtp = 9

                .. data:: sunrpc = 10

                .. data:: ymsgr = 11

                """

                aol = Enum.YLeaf(0, "aol")

                edonkey = Enum.YLeaf(1, "edonkey")

                fasttrack = Enum.YLeaf(2, "fasttrack")

                gnutella = Enum.YLeaf(3, "gnutella")

                http = Enum.YLeaf(4, "http")

                imap = Enum.YLeaf(5, "imap")

                kazaa2 = Enum.YLeaf(6, "kazaa2")

                msnmsgr = Enum.YLeaf(7, "msnmsgr")

                pop3 = Enum.YLeaf(8, "pop3")

                smtp = Enum.YLeaf(9, "smtp")

                sunrpc = Enum.YLeaf(10, "sunrpc")

                ymsgr = Enum.YLeaf(11, "ymsgr")


            class Type(Enum):
                """
                Type

                type of the class\-map

                .. data:: access_control = 0

                .. data:: appnav = 1

                .. data:: control = 2

                .. data:: inspect = 3

                .. data:: multicast_flows = 4

                .. data:: stack = 5

                .. data:: traffic = 6

                """

                access_control = Enum.YLeaf(0, "access-control")

                appnav = Enum.YLeaf(1, "appnav")

                control = Enum.YLeaf(2, "control")

                inspect = Enum.YLeaf(3, "inspect")

                multicast_flows = Enum.YLeaf(4, "multicast-flows")

                stack = Enum.YLeaf(5, "stack")

                traffic = Enum.YLeaf(6, "traffic")



            class Match(Entity):
                """
                classification criteria
                
                .. attribute:: current_method_priority
                
                	match the priority against the current method's priority
                	**type**\:  :py:class:`CurrentMethodPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.CurrentMethodPriority>`
                
                .. attribute:: application
                
                	Application to match
                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Application>`
                
                .. attribute:: access_group
                
                	Access group
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.AccessGroup>`
                
                .. attribute:: any
                
                	Any packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: class_map
                
                	Class map
                	**type**\: list of str
                
                .. attribute:: cos
                
                	IEEE 802.1Q/ISL class of service/user priority values
                	**type**\: list of int
                
                	**range:** 0..7
                
                .. attribute:: destination_address
                
                	Destination address
                	**type**\:  :py:class:`DestinationAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.DestinationAddress>`
                
                .. attribute:: discard_class
                
                	Discard behavior identifier
                	**type**\: list of int
                
                	**range:** 0..7
                
                .. attribute:: dscp
                
                	Match DSCP in IP(v4) and IPv6 packets
                	**type**\: union of the below types:
                
                		**type**\: list of int
                
                			**range:** 0..63
                
                		**type**\: list of   :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                
                .. attribute:: fr_de
                
                	Match on Frame\-relay DE bit
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: fr_dlci
                
                	Match on fr\-dlci
                	**type**\: list of int
                
                	**range:** 16..1007
                
                .. attribute:: group_object
                
                	Match object\-group
                	**type**\:  :py:class:`GroupObject <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.GroupObject>`
                
                .. attribute:: input_interface
                
                	Select an input interface to match
                	**type**\: list of str
                
                .. attribute:: ip
                
                	IP specific values
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Ip>`
                
                .. attribute:: non_client_nrt
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mpls
                
                	Multi Protocol Label Switching specific values
                	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Mpls>`
                
                .. attribute:: packet
                
                	Layer 3 Packet length
                	**type**\:  :py:class:`Packet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Packet>`
                
                .. attribute:: precedence
                
                	Match Precedence in IP(v4) and IPv6 packets
                	**type**\: union of the below types:
                
                		**type**\: list of int
                
                			**range:** 0..7
                
                		**type**\: list of   :py:class:`PrecedenceType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecedenceType>`
                
                .. attribute:: protocol
                
                	Protocol
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol>`
                
                .. attribute:: qos_group
                
                	Qos\-group
                	**type**\: list of int
                
                	**range:** 0..99
                
                .. attribute:: security_group
                
                	Security group
                	**type**\:  :py:class:`SecurityGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.SecurityGroup>`
                
                .. attribute:: source_address
                
                	Source address
                	**type**\:  :py:class:`SourceAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.SourceAddress>`
                
                .. attribute:: vlan
                
                	VLANs to match
                	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Vlan>`
                
                .. attribute:: peer
                
                	APPNAV Peer Filter
                	**type**\: str
                
                .. attribute:: activated_service_template
                
                	match name of service template activated on session
                	**type**\: list of  		 :py:class:`ActivatedServiceTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.ActivatedServiceTemplate>`
                
                .. attribute:: authorization_status
                
                	match the authorization status of the session
                	**type**\:  :py:class:`AuthorizationStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.AuthorizationStatus>`
                
                .. attribute:: authorizing_method_priority
                
                	match the priority against the authorizing method's priority
                	**type**\:  :py:class:`AuthorizingMethodPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.AuthorizingMethodPriority>`
                
                .. attribute:: method
                
                	match the type of authentication method from an event
                	**type**\:  :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Method>`
                
                .. attribute:: result_type
                
                	match the result type, optionally for a specific method
                	**type**\:  :py:class:`ResultType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.ResultType>`
                
                .. attribute:: not_
                
                	Negate this match result
                	**type**\:  :py:class:`Not_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Policy.ClassMap.Match, self).__init__()

                    self.yang_name = "match"
                    self.yang_parent_name = "class-map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"current-method-priority" : ("current_method_priority", Native.Policy.ClassMap.Match.CurrentMethodPriority), "application" : ("application", Native.Policy.ClassMap.Match.Application), "access-group" : ("access_group", Native.Policy.ClassMap.Match.AccessGroup), "destination-address" : ("destination_address", Native.Policy.ClassMap.Match.DestinationAddress), "group-object" : ("group_object", Native.Policy.ClassMap.Match.GroupObject), "ip" : ("ip", Native.Policy.ClassMap.Match.Ip), "mpls" : ("mpls", Native.Policy.ClassMap.Match.Mpls), "packet" : ("packet", Native.Policy.ClassMap.Match.Packet), "protocol" : ("protocol", Native.Policy.ClassMap.Match.Protocol), "security-group" : ("security_group", Native.Policy.ClassMap.Match.SecurityGroup), "source-address" : ("source_address", Native.Policy.ClassMap.Match.SourceAddress), "vlan" : ("vlan", Native.Policy.ClassMap.Match.Vlan), "authorization-status" : ("authorization_status", Native.Policy.ClassMap.Match.AuthorizationStatus), "authorizing-method-priority" : ("authorizing_method_priority", Native.Policy.ClassMap.Match.AuthorizingMethodPriority), "method" : ("method", Native.Policy.ClassMap.Match.Method), "result-type" : ("result_type", Native.Policy.ClassMap.Match.ResultType), "not" : ("not_", Native.Policy.ClassMap.Match.Not_)}
                    self._child_list_classes = {"activated-service-template" : ("activated_service_template", Native.Policy.ClassMap.Match.ActivatedServiceTemplate)}

                    self.any = YLeaf(YType.empty, "any")

                    self.class_map = YLeafList(YType.str, "class-map")

                    self.cos = YLeafList(YType.uint8, "cos")

                    self.discard_class = YLeafList(YType.uint8, "discard-class")

                    self.dscp = YLeafList(YType.str, "dscp")

                    self.fr_de = YLeaf(YType.empty, "fr-de")

                    self.fr_dlci = YLeafList(YType.uint16, "fr-dlci")

                    self.input_interface = YLeafList(YType.str, "input-interface")

                    self.non_client_nrt = YLeaf(YType.empty, "non-client-nrt")

                    self.precedence = YLeafList(YType.str, "precedence")

                    self.qos_group = YLeafList(YType.uint16, "qos-group")

                    self.peer = YLeaf(YType.str, "peer")

                    self.current_method_priority = Native.Policy.ClassMap.Match.CurrentMethodPriority()
                    self.current_method_priority.parent = self
                    self._children_name_map["current_method_priority"] = "current-method-priority"
                    self._children_yang_names.add("current-method-priority")

                    self.application = Native.Policy.ClassMap.Match.Application()
                    self.application.parent = self
                    self._children_name_map["application"] = "application"
                    self._children_yang_names.add("application")

                    self.access_group = Native.Policy.ClassMap.Match.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.destination_address = Native.Policy.ClassMap.Match.DestinationAddress()
                    self.destination_address.parent = self
                    self._children_name_map["destination_address"] = "destination-address"
                    self._children_yang_names.add("destination-address")

                    self.group_object = Native.Policy.ClassMap.Match.GroupObject()
                    self.group_object.parent = self
                    self._children_name_map["group_object"] = "group-object"
                    self._children_yang_names.add("group-object")

                    self.ip = Native.Policy.ClassMap.Match.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")

                    self.mpls = Native.Policy.ClassMap.Match.Mpls()
                    self.mpls.parent = self
                    self._children_name_map["mpls"] = "mpls"
                    self._children_yang_names.add("mpls")

                    self.packet = Native.Policy.ClassMap.Match.Packet()
                    self.packet.parent = self
                    self._children_name_map["packet"] = "packet"
                    self._children_yang_names.add("packet")

                    self.protocol = Native.Policy.ClassMap.Match.Protocol()
                    self.protocol.parent = self
                    self._children_name_map["protocol"] = "protocol"
                    self._children_yang_names.add("protocol")

                    self.security_group = Native.Policy.ClassMap.Match.SecurityGroup()
                    self.security_group.parent = self
                    self._children_name_map["security_group"] = "security-group"
                    self._children_yang_names.add("security-group")

                    self.source_address = Native.Policy.ClassMap.Match.SourceAddress()
                    self.source_address.parent = self
                    self._children_name_map["source_address"] = "source-address"
                    self._children_yang_names.add("source-address")

                    self.vlan = Native.Policy.ClassMap.Match.Vlan()
                    self.vlan.parent = self
                    self._children_name_map["vlan"] = "vlan"
                    self._children_yang_names.add("vlan")

                    self.authorization_status = Native.Policy.ClassMap.Match.AuthorizationStatus()
                    self.authorization_status.parent = self
                    self._children_name_map["authorization_status"] = "authorization-status"
                    self._children_yang_names.add("authorization-status")

                    self.authorizing_method_priority = Native.Policy.ClassMap.Match.AuthorizingMethodPriority()
                    self.authorizing_method_priority.parent = self
                    self._children_name_map["authorizing_method_priority"] = "authorizing-method-priority"
                    self._children_yang_names.add("authorizing-method-priority")

                    self.method = Native.Policy.ClassMap.Match.Method()
                    self.method.parent = self
                    self._children_name_map["method"] = "method"
                    self._children_yang_names.add("method")

                    self.result_type = Native.Policy.ClassMap.Match.ResultType()
                    self.result_type.parent = self
                    self._children_name_map["result_type"] = "result-type"
                    self._children_yang_names.add("result-type")

                    self.not_ = Native.Policy.ClassMap.Match.Not_()
                    self.not_.parent = self
                    self._children_name_map["not_"] = "not"
                    self._children_yang_names.add("not")

                    self.activated_service_template = YList(self)
                    self._segment_path = lambda: "match"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Policy.ClassMap.Match, ['any', 'class_map', 'cos', 'discard_class', 'dscp', 'fr_de', 'fr_dlci', 'input_interface', 'non_client_nrt', 'precedence', 'qos_group', 'peer'], name, value)


                class CurrentMethodPriority(Entity):
                    """
                    match the priority against the current method's priority
                    
                    .. attribute:: eq
                    
                    	equal to
                    	**type**\: int
                    
                    	**range:** 1..254
                    
                    .. attribute:: gt
                    
                    	greater than
                    	**type**\: int
                    
                    	**range:** 1..254
                    
                    .. attribute:: lt
                    
                    	less than
                    	**type**\: int
                    
                    	**range:** 1..254
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.CurrentMethodPriority, self).__init__()

                        self.yang_name = "current-method-priority"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eq = YLeaf(YType.uint8, "eq")

                        self.gt = YLeaf(YType.uint8, "gt")

                        self.lt = YLeaf(YType.uint8, "lt")
                        self._segment_path = lambda: "current-method-priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.Match.CurrentMethodPriority, ['eq', 'gt', 'lt'], name, value)


                class Application(Entity):
                    """
                    Application to match
                    
                    .. attribute:: application_group
                    
                    	Application Group to match
                    	**type**\:  :py:class:`ApplicationGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Application.ApplicationGroup>`
                    
                    .. attribute:: attribute
                    
                    	Application attribute to match
                    	**type**\:  :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Application.Attribute>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.Application, self).__init__()

                        self.yang_name = "application"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"application-group" : ("application_group", Native.Policy.ClassMap.Match.Application.ApplicationGroup), "attribute" : ("attribute", Native.Policy.ClassMap.Match.Application.Attribute)}
                        self._child_list_classes = {}

                        self.application_group = Native.Policy.ClassMap.Match.Application.ApplicationGroup()
                        self.application_group.parent = self
                        self._children_name_map["application_group"] = "application-group"
                        self._children_yang_names.add("application-group")

                        self.attribute = Native.Policy.ClassMap.Match.Application.Attribute()
                        self.attribute.parent = self
                        self._children_name_map["attribute"] = "attribute"
                        self._children_yang_names.add("attribute")
                        self._segment_path = lambda: "application"


                    class ApplicationGroup(Entity):
                        """
                        Application Group to match
                        
                        .. attribute:: telepresence_group
                        
                        	Telepresence Group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vmware_group
                        
                        	VMWARE Group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: webex_group
                        
                        	WebEx Group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Application.ApplicationGroup, self).__init__()

                            self.yang_name = "application-group"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.telepresence_group = YLeaf(YType.empty, "telepresence-group")

                            self.vmware_group = YLeaf(YType.empty, "vmware-group")

                            self.webex_group = YLeaf(YType.empty, "webex-group")
                            self._segment_path = lambda: "application-group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Application.ApplicationGroup, ['telepresence_group', 'vmware_group', 'webex_group'], name, value)


                    class Attribute(Entity):
                        """
                        Application attribute to match
                        
                        .. attribute:: media_type
                        
                        	Media type attribute to match
                        	**type**\:  :py:class:`MediaType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Application.Attribute.MediaType>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Application.Attribute, self).__init__()

                            self.yang_name = "attribute"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.media_type = YLeaf(YType.enumeration, "media-type")
                            self._segment_path = lambda: "attribute"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Application.Attribute, ['media_type'], name, value)

                        class MediaType(Enum):
                            """
                            MediaType

                            Media type attribute to match

                            .. data:: audio = 0

                            .. data:: audio_video = 1

                            .. data:: control = 2

                            .. data:: data = 3

                            .. data:: video = 4

                            """

                            audio = Enum.YLeaf(0, "audio")

                            audio_video = Enum.YLeaf(1, "audio-video")

                            control = Enum.YLeaf(2, "control")

                            data = Enum.YLeaf(3, "data")

                            video = Enum.YLeaf(4, "video")



                class AccessGroup(Entity):
                    """
                    Access group
                    
                    .. attribute:: index
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..2699
                    
                    .. attribute:: name
                    
                    	Named Access List
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.index = YLeaf(YType.uint32, "index")

                        self.name = YLeafList(YType.str, "name")
                        self._segment_path = lambda: "access-group"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.Match.AccessGroup, ['index', 'name'], name, value)


                class DestinationAddress(Entity):
                    """
                    Destination address
                    
                    .. attribute:: mac
                    
                    	MAC address
                    	**type**\: list of str
                    
                    	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.DestinationAddress, self).__init__()

                        self.yang_name = "destination-address"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.mac = YLeafList(YType.str, "mac")
                        self._segment_path = lambda: "destination-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.Match.DestinationAddress, ['mac'], name, value)


                class GroupObject(Entity):
                    """
                    Match object\-group
                    
                    .. attribute:: security
                    
                    	Match object\-group security
                    	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.GroupObject.Security>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.GroupObject, self).__init__()

                        self.yang_name = "group-object"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"security" : ("security", Native.Policy.ClassMap.Match.GroupObject.Security)}
                        self._child_list_classes = {}

                        self.security = Native.Policy.ClassMap.Match.GroupObject.Security()
                        self.security.parent = self
                        self._children_name_map["security"] = "security"
                        self._children_yang_names.add("security")
                        self._segment_path = lambda: "group-object"


                    class Security(Entity):
                        """
                        Match object\-group security
                        
                        .. attribute:: source
                        
                        	Match source object\-group security
                        	**type**\: list of str
                        
                        .. attribute:: destination
                        
                        	Match destination object\-group security
                        	**type**\: list of str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.GroupObject.Security, self).__init__()

                            self.yang_name = "security"
                            self.yang_parent_name = "group-object"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.source = YLeafList(YType.str, "source")

                            self.destination = YLeafList(YType.str, "destination")
                            self._segment_path = lambda: "security"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.GroupObject.Security, ['source', 'destination'], name, value)


                class Ip(Entity):
                    """
                    IP specific values
                    
                    .. attribute:: dscp
                    
                    	Match IP DSCP (DiffServ CodePoints)
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 0..63
                    
                    		**type**\: list of   :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                    
                    .. attribute:: precedence
                    
                    	Match IP precedence
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 0..7
                    
                    		**type**\: list of   :py:class:`PrecedenceType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecedenceType>`
                    
                    .. attribute:: rtp
                    
                    	Match RTP port nos
                    	**type**\: list of  		 :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Ip.Rtp>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"rtp" : ("rtp", Native.Policy.ClassMap.Match.Ip.Rtp)}

                        self.dscp = YLeafList(YType.str, "dscp")

                        self.precedence = YLeafList(YType.str, "precedence")

                        self.rtp = YList(self)
                        self._segment_path = lambda: "ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.Match.Ip, ['dscp', 'precedence'], name, value)


                    class Rtp(Entity):
                        """
                        Match RTP port nos
                        
                        .. attribute:: port1  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 2000..65535
                        
                        .. attribute:: port2  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..16383
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Ip.Rtp, self).__init__()

                            self.yang_name = "rtp"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port1 = YLeaf(YType.uint16, "port1")

                            self.port2 = YLeaf(YType.uint16, "port2")
                            self._segment_path = lambda: "rtp" + "[port1='" + self.port1.get() + "']" + "[port2='" + self.port2.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Ip.Rtp, ['port1', 'port2'], name, value)


                class Mpls(Entity):
                    """
                    Multi Protocol Label Switching specific values
                    
                    .. attribute:: experimental
                    
                    	Match MPLS experimental
                    	**type**\:  :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Mpls.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.Mpls, self).__init__()

                        self.yang_name = "mpls"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"experimental" : ("experimental", Native.Policy.ClassMap.Match.Mpls.Experimental)}
                        self._child_list_classes = {}

                        self.experimental = Native.Policy.ClassMap.Match.Mpls.Experimental()
                        self.experimental.parent = self
                        self._children_name_map["experimental"] = "experimental"
                        self._children_yang_names.add("experimental")
                        self._segment_path = lambda: "mpls"


                    class Experimental(Entity):
                        """
                        Match MPLS experimental
                        
                        .. attribute:: topmost
                        
                        	Match MPLS experimental value on topmost label
                        	**type**\: list of int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Mpls.Experimental, self).__init__()

                            self.yang_name = "experimental"
                            self.yang_parent_name = "mpls"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.topmost = YLeafList(YType.uint8, "topmost")
                            self._segment_path = lambda: "experimental"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Mpls.Experimental, ['topmost'], name, value)


                class Packet(Entity):
                    """
                    Layer 3 Packet length
                    
                    .. attribute:: length
                    
                    	Layer 3 Packet length
                    	**type**\:  :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Packet.Length>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.Packet, self).__init__()

                        self.yang_name = "packet"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"length" : ("length", Native.Policy.ClassMap.Match.Packet.Length)}
                        self._child_list_classes = {}

                        self.length = Native.Policy.ClassMap.Match.Packet.Length()
                        self.length.parent = self
                        self._children_name_map["length"] = "length"
                        self._children_yang_names.add("length")
                        self._segment_path = lambda: "packet"


                    class Length(Entity):
                        """
                        Layer 3 Packet length
                        
                        .. attribute:: max
                        
                        	Maximum length of packet
                        	**type**\: int
                        
                        	**range:** 1..2000
                        
                        .. attribute:: min
                        
                        	Minimum length of packet
                        	**type**\: int
                        
                        	**range:** 1..2000
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Packet.Length, self).__init__()

                            self.yang_name = "length"
                            self.yang_parent_name = "packet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max = YLeaf(YType.uint16, "max")

                            self.min = YLeaf(YType.uint16, "min")
                            self._segment_path = lambda: "length"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Packet.Length, ['max', 'min'], name, value)


                class Protocol(Entity):
                    """
                    Protocol
                    
                    .. attribute:: protocols
                    
                    	
                    	**type**\:  :py:class:`Protocols <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Protocols>`
                    
                    .. attribute:: citrix
                    
                    	Citrix Systems ICA protocol
                    	**type**\:  :py:class:`Citrix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Citrix>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: clns
                    
                    	ISO CLNS
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: clns_es
                    
                    	ISO CLNS End System
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: clns_is
                    
                    	ISO CLNS Intermediate System
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cmns
                    
                    	ISO CMNS
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: compressedtcp
                    
                    	Compressed TCP (VJ
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cuseeme
                    
                    	CU\-SeeMe desktop video conference
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: decnet
                    
                    	DECnet
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: decnet_node
                    
                    	DECnet Node
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: decnet_router_l1
                    
                    	DECnet Router L1
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: decnet_router_l2
                    
                    	DECnet Router L2
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dhcp
                    
                    	Dynamic Host Configuration
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dlsw
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dns
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edonkey
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egp
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: exchange
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fasttrack
                    
                    	FastTrack Traffic \- KaZaA, Morpheus, Grokster
                    	**type**\:  :py:class:`Fasttrack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Fasttrack>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: finger
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ftp
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gnutella
                    
                    	Gnutella Version2 Traffic \- BearShare, Shareeza, Morpheus
                    	**type**\:  :py:class:`Gnutella <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Gnutella>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: gopher
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gre
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: h323
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: http
                    
                    	World Wide Web traffic
                    	**type**\:  :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Http>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: icmp
                    
                    	Internet Control Message
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: imap
                    
                    	Internet Message Access Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ip
                    
                    	IP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipinip
                    
                    	IP in IP (encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	IP Security Protocol (ESP/AH
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipv6
                    
                    	IPV6
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipx
                    
                    	Novell IPX
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: irc
                    
                    	Internet Relay Chat
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kazaa2
                    
                    	Kazaa Version 2
                    	**type**\:  :py:class:`Kazaa2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Kazaa2>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: kerberos
                    
                    	Kerberos
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: l2tp
                    
                    	L2F/L2TP tunnel
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ldap
                    
                    	Lightweight Directory Access Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: llc2
                    
                    	llc2
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mgcp
                    
                    	Media Gateway Control Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: napster
                    
                    	Napster Traffic
                    	**type**\:  :py:class:`Napster <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Napster>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: netbios
                    
                    	NetBIOS
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: netshow
                    
                    	Microsoft Netshow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfs
                    
                    	Network File System
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nntp
                    
                    	Network News Transfer Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: notes
                    
                    	Lotus Notes(R
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: novadigm
                    
                    	Novadigm EDM
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ntp
                    
                    	Network Time Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ospf
                    
                    	Open Shortest Path First
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pad
                    
                    	PAD links
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pcanywhere
                    
                    	Symantec pcANYWHERE
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pop3
                    
                    	Post Office Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pppoe
                    
                    	PPP over Ethernet
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pptp
                    
                    	Point\-to\-Point Tunneling Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: printer
                    
                    	print spooler/lpd
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: qllc
                    
                    	qllc protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rcmd
                    
                    	BSD r\-commands (rsh, rlogin, rexec
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rip
                    
                    	Routing Information Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rsrb
                    
                    	Remote Source\-Route Bridging
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rsvp
                    
                    	Resource Reservation Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rtcp
                    
                    	Real Time Control Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rtp
                    
                    	Real Time Protocol
                    	**type**\:  :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Rtp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rtsp
                    
                    	Real Time Streaming Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_ftp
                    
                    	FTP over TLS/SSL
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_http
                    
                    	Secured HTTP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_imap
                    
                    	Internet Message Access Protocol over TLS/SSL
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_irc
                    
                    	Internet Relay Chat over TLS/SSL
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_ldap
                    
                    	Lightweight Directory Access Protocol over TLS/SSL
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_nntp
                    
                    	Network News Transfer Protocol over TLS/SSL
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_pop3
                    
                    	Post Office Protocol over TLS/SSL
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: secure_telnet
                    
                    	Telnet over TLS/SSL
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sip
                    
                    	Session Initiation Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: skinny
                    
                    	Skinny Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: smtp
                    
                    	Simple Mail Transfer Protocol
                    	**type**\:  :py:class:`Smtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Smtp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: snapshot
                    
                    	Snapshot routing support
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snmp
                    
                    	Simple Network Management Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: socks
                    
                    	SOCKS
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sqlnet
                    
                    	SQL\*NET for Oracle
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sqlserver
                    
                    	MS SQL Server
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ssh
                    
                    	Secured Shell
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: streamwork
                    
                    	Xing Technology StreamWorks player
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: stun
                    
                    	Serial Tunnel
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sunrpc
                    
                    	Sun RPC
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: syslog
                    
                    	System Logging Utility
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: telnet
                    
                    	Telnet
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: tftp
                    
                    	Trivial File Transfer Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vdolive
                    
                    	VDOLive streaming video
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vofr
                    
                    	voice over Frame Relay packets
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: winmx
                    
                    	WinMx file\-sharing application
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xwindows
                    
                    	X\-Windows remote access
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: attribute
                    
                    	Attribute based protocol match
                    	**type**\:  :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Attribute>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.Protocol, self).__init__()

                        self.yang_name = "protocol"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"citrix" : ("citrix", Native.Policy.ClassMap.Match.Protocol.Citrix), "fasttrack" : ("fasttrack", Native.Policy.ClassMap.Match.Protocol.Fasttrack), "gnutella" : ("gnutella", Native.Policy.ClassMap.Match.Protocol.Gnutella), "http" : ("http", Native.Policy.ClassMap.Match.Protocol.Http), "kazaa2" : ("kazaa2", Native.Policy.ClassMap.Match.Protocol.Kazaa2), "napster" : ("napster", Native.Policy.ClassMap.Match.Protocol.Napster), "rtp" : ("rtp", Native.Policy.ClassMap.Match.Protocol.Rtp), "smtp" : ("smtp", Native.Policy.ClassMap.Match.Protocol.Smtp), "attribute" : ("attribute", Native.Policy.ClassMap.Match.Protocol.Attribute)}
                        self._child_list_classes = {}

                        self.protocols = YLeaf(YType.enumeration, "protocols")

                        self.clns = YLeaf(YType.empty, "clns")

                        self.clns_es = YLeaf(YType.empty, "clns_es")

                        self.clns_is = YLeaf(YType.empty, "clns_is")

                        self.cmns = YLeaf(YType.empty, "cmns")

                        self.compressedtcp = YLeaf(YType.empty, "compressedtcp")

                        self.cuseeme = YLeaf(YType.empty, "cuseeme")

                        self.decnet = YLeaf(YType.empty, "decnet")

                        self.decnet_node = YLeaf(YType.empty, "decnet_node")

                        self.decnet_router_l1 = YLeaf(YType.empty, "decnet_router-l1")

                        self.decnet_router_l2 = YLeaf(YType.empty, "decnet_router-l2")

                        self.dhcp = YLeaf(YType.empty, "dhcp")

                        self.dlsw = YLeaf(YType.empty, "dlsw")

                        self.dns = YLeaf(YType.empty, "dns")

                        self.edonkey = YLeaf(YType.empty, "edonkey")

                        self.egp = YLeaf(YType.empty, "egp")

                        self.eigrp = YLeaf(YType.empty, "eigrp")

                        self.exchange = YLeaf(YType.empty, "exchange")

                        self.finger = YLeaf(YType.empty, "finger")

                        self.ftp = YLeaf(YType.empty, "ftp")

                        self.gopher = YLeaf(YType.empty, "gopher")

                        self.gre = YLeaf(YType.empty, "gre")

                        self.h323 = YLeaf(YType.empty, "h323")

                        self.icmp = YLeaf(YType.empty, "icmp")

                        self.imap = YLeaf(YType.empty, "imap")

                        self.ip = YLeaf(YType.empty, "ip")

                        self.ipinip = YLeaf(YType.empty, "ipinip")

                        self.ipsec = YLeaf(YType.empty, "ipsec")

                        self.ipv6 = YLeaf(YType.empty, "ipv6")

                        self.ipx = YLeaf(YType.empty, "ipx")

                        self.irc = YLeaf(YType.empty, "irc")

                        self.kerberos = YLeaf(YType.empty, "kerberos")

                        self.l2tp = YLeaf(YType.empty, "l2tp")

                        self.ldap = YLeaf(YType.empty, "ldap")

                        self.llc2 = YLeaf(YType.empty, "llc2")

                        self.mgcp = YLeaf(YType.empty, "mgcp")

                        self.netbios = YLeaf(YType.empty, "netbios")

                        self.netshow = YLeaf(YType.empty, "netshow")

                        self.nfs = YLeaf(YType.empty, "nfs")

                        self.nntp = YLeaf(YType.empty, "nntp")

                        self.notes = YLeaf(YType.empty, "notes")

                        self.novadigm = YLeaf(YType.empty, "novadigm")

                        self.ntp = YLeaf(YType.empty, "ntp")

                        self.ospf = YLeaf(YType.empty, "ospf")

                        self.pad = YLeaf(YType.empty, "pad")

                        self.pcanywhere = YLeaf(YType.empty, "pcanywhere")

                        self.pop3 = YLeaf(YType.empty, "pop3")

                        self.pppoe = YLeaf(YType.empty, "pppoe")

                        self.pptp = YLeaf(YType.empty, "pptp")

                        self.printer = YLeaf(YType.empty, "printer")

                        self.qllc = YLeaf(YType.empty, "qllc")

                        self.rcmd = YLeaf(YType.empty, "rcmd")

                        self.rip = YLeaf(YType.empty, "rip")

                        self.rsrb = YLeaf(YType.empty, "rsrb")

                        self.rsvp = YLeaf(YType.empty, "rsvp")

                        self.rtcp = YLeaf(YType.empty, "rtcp")

                        self.rtsp = YLeaf(YType.empty, "rtsp")

                        self.secure_ftp = YLeaf(YType.empty, "secure-ftp")

                        self.secure_http = YLeaf(YType.empty, "secure-http")

                        self.secure_imap = YLeaf(YType.empty, "secure-imap")

                        self.secure_irc = YLeaf(YType.empty, "secure-irc")

                        self.secure_ldap = YLeaf(YType.empty, "secure-ldap")

                        self.secure_nntp = YLeaf(YType.empty, "secure-nntp")

                        self.secure_pop3 = YLeaf(YType.empty, "secure-pop3")

                        self.secure_telnet = YLeaf(YType.empty, "secure-telnet")

                        self.sip = YLeaf(YType.empty, "sip")

                        self.skinny = YLeaf(YType.empty, "skinny")

                        self.snapshot = YLeaf(YType.empty, "snapshot")

                        self.snmp = YLeaf(YType.empty, "snmp")

                        self.socks = YLeaf(YType.empty, "socks")

                        self.sqlnet = YLeaf(YType.empty, "sqlnet")

                        self.sqlserver = YLeaf(YType.empty, "sqlserver")

                        self.ssh = YLeaf(YType.empty, "ssh")

                        self.streamwork = YLeaf(YType.empty, "streamwork")

                        self.stun = YLeaf(YType.empty, "stun")

                        self.sunrpc = YLeaf(YType.empty, "sunrpc")

                        self.syslog = YLeaf(YType.empty, "syslog")

                        self.telnet = YLeaf(YType.empty, "telnet")

                        self.tftp = YLeaf(YType.empty, "tftp")

                        self.vdolive = YLeaf(YType.empty, "vdolive")

                        self.vofr = YLeaf(YType.empty, "vofr")

                        self.winmx = YLeaf(YType.empty, "winmx")

                        self.xwindows = YLeaf(YType.empty, "xwindows")

                        self.citrix = None
                        self._children_name_map["citrix"] = "citrix"
                        self._children_yang_names.add("citrix")

                        self.fasttrack = None
                        self._children_name_map["fasttrack"] = "fasttrack"
                        self._children_yang_names.add("fasttrack")

                        self.gnutella = None
                        self._children_name_map["gnutella"] = "gnutella"
                        self._children_yang_names.add("gnutella")

                        self.http = None
                        self._children_name_map["http"] = "http"
                        self._children_yang_names.add("http")

                        self.kazaa2 = None
                        self._children_name_map["kazaa2"] = "kazaa2"
                        self._children_yang_names.add("kazaa2")

                        self.napster = None
                        self._children_name_map["napster"] = "napster"
                        self._children_yang_names.add("napster")

                        self.rtp = None
                        self._children_name_map["rtp"] = "rtp"
                        self._children_yang_names.add("rtp")

                        self.smtp = None
                        self._children_name_map["smtp"] = "smtp"
                        self._children_yang_names.add("smtp")

                        self.attribute = Native.Policy.ClassMap.Match.Protocol.Attribute()
                        self.attribute.parent = self
                        self._children_name_map["attribute"] = "attribute"
                        self._children_yang_names.add("attribute")
                        self._segment_path = lambda: "protocol"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.Match.Protocol, ['protocols', 'clns', 'clns_es', 'clns_is', 'cmns', 'compressedtcp', 'cuseeme', 'decnet', 'decnet_node', 'decnet_router_l1', 'decnet_router_l2', 'dhcp', 'dlsw', 'dns', 'edonkey', 'egp', 'eigrp', 'exchange', 'finger', 'ftp', 'gopher', 'gre', 'h323', 'icmp', 'imap', 'ip', 'ipinip', 'ipsec', 'ipv6', 'ipx', 'irc', 'kerberos', 'l2tp', 'ldap', 'llc2', 'mgcp', 'netbios', 'netshow', 'nfs', 'nntp', 'notes', 'novadigm', 'ntp', 'ospf', 'pad', 'pcanywhere', 'pop3', 'pppoe', 'pptp', 'printer', 'qllc', 'rcmd', 'rip', 'rsrb', 'rsvp', 'rtcp', 'rtsp', 'secure_ftp', 'secure_http', 'secure_imap', 'secure_irc', 'secure_ldap', 'secure_nntp', 'secure_pop3', 'secure_telnet', 'sip', 'skinny', 'snapshot', 'snmp', 'socks', 'sqlnet', 'sqlserver', 'ssh', 'streamwork', 'stun', 'sunrpc', 'syslog', 'telnet', 'tftp', 'vdolive', 'vofr', 'winmx', 'xwindows'], name, value)

                    class Protocols(Enum):
                        """
                        Protocols

                        .. data:: x802_11_iapp = 0

                        .. data:: ace_svr = 1

                        .. data:: aol = 2

                        .. data:: appleqtc = 3

                        .. data:: biff = 4

                        .. data:: bittorrent = 5

                        .. data:: bootpc = 6

                        .. data:: bootps = 7

                        .. data:: cddbp = 8

                        .. data:: cifs = 9

                        .. data:: cisco_fna = 10

                        .. data:: cisco_net_mgmt = 11

                        .. data:: cisco_svcs = 12

                        .. data:: cisco_sys = 13

                        .. data:: cisco_tdp = 14

                        .. data:: cisco_tna = 15

                        .. data:: citriximaclient = 16

                        .. data:: clp = 17

                        .. data:: creativepartnr = 18

                        .. data:: creativeserver = 19

                        .. data:: daytime = 20

                        .. data:: dbase = 21

                        .. data:: dbcontrol_agent = 22

                        .. data:: ddns_v3 = 23

                        .. data:: dhcp_failover = 24

                        .. data:: directconnect = 25

                        .. data:: discard = 26

                        .. data:: dnsix = 27

                        .. data:: echo = 28

                        .. data:: entrust_svc_hdlr = 29

                        .. data:: entrust_svcs = 30

                        .. data:: exec_ = 31

                        .. data:: fcip_port = 32

                        .. data:: ftps = 33

                        .. data:: gdoi = 34

                        .. data:: giop = 35

                        .. data:: gtpv0 = 36

                        .. data:: gtpv1 = 37

                        .. data:: h225ras = 38

                        .. data:: h323callsigalt = 39

                        .. data:: hp_alarm_mgr = 40

                        .. data:: hp_collector = 41

                        .. data:: hp_managed_node = 42

                        .. data:: hsrp = 43

                        .. data:: https = 44

                        .. data:: ica = 45

                        .. data:: icabrowser = 46

                        .. data:: ident = 47

                        .. data:: igmpv3lite = 48

                        .. data:: imap3 = 49

                        .. data:: imaps = 50

                        .. data:: ipass = 51

                        .. data:: ipsec_msft = 52

                        .. data:: irc_serv = 53

                        .. data:: ircs = 54

                        .. data:: ircu = 55

                        .. data:: isakmp = 56

                        .. data:: iscsi = 57

                        .. data:: iscsi_target = 58

                        .. data:: kermit = 59

                        .. data:: ldap_admin = 60

                        .. data:: ldaps = 61

                        .. data:: login = 62

                        .. data:: lotusmtap = 63

                        .. data:: lotusnote = 64

                        .. data:: mapi = 65

                        .. data:: ms_ad_rep = 66

                        .. data:: ms_exch_nspi = 67

                        .. data:: ms_frs = 68

                        .. data:: ms_frsapi = 69

                        .. data:: ms_rfr = 70

                        .. data:: msn_messenger = 71

                        .. data:: netlogon = 72

                        .. data:: microsoft_ds = 73

                        .. data:: ms_cluster_net = 74

                        .. data:: ms_dotnetster = 75

                        .. data:: ms_sna = 76

                        .. data:: ms_sql = 77

                        .. data:: ms_sql_m = 78

                        .. data:: msexch_routing = 79

                        .. data:: msnmsgr = 80

                        .. data:: msrpc = 81

                        .. data:: mysql = 82

                        .. data:: n2h2server = 83

                        .. data:: ncp = 84

                        .. data:: net8_cman = 85

                        .. data:: netbios_dgm = 86

                        .. data:: netbios_ns = 87

                        .. data:: netbios_ssn = 88

                        .. data:: netstat = 89

                        .. data:: oem_agent = 90

                        .. data:: oracle = 91

                        .. data:: oracle_em_vp = 92

                        .. data:: oraclenames = 93

                        .. data:: orasrv = 94

                        .. data:: pcanywheredata = 95

                        .. data:: pcanywherestat = 96

                        .. data:: pop3s = 97

                        .. data:: pwdgen = 98

                        .. data:: qmtp = 99

                        .. data:: r_winsock = 100

                        .. data:: radius = 101

                        .. data:: rdb_dbs_disp = 102

                        .. data:: realmedia = 103

                        .. data:: realsecure = 104

                        .. data:: router = 105

                        .. data:: rsvp_encap = 106

                        .. data:: rsvp_tunnel = 107

                        .. data:: rtc_pm_port = 108

                        .. data:: rtelnet = 109

                        .. data:: send = 110

                        .. data:: shell = 111

                        .. data:: sip_tls = 112

                        .. data:: sms = 113

                        .. data:: smtp = 114

                        .. data:: snmptrap = 115

                        .. data:: sql_net = 116

                        .. data:: sqlserv = 117

                        .. data:: sqlsrv = 118

                        .. data:: sshell = 119

                        .. data:: ssp = 120

                        .. data:: syslog_conn = 121

                        .. data:: tacacs = 122

                        .. data:: tacacs_ds = 123

                        .. data:: tarantella = 124

                        .. data:: tcp = 125

                        .. data:: telnets = 126

                        .. data:: time = 127

                        .. data:: timed = 128

                        .. data:: tr_rsrb = 129

                        .. data:: ttc = 130

                        .. data:: udp = 131

                        .. data:: uucp = 132

                        .. data:: vqp = 133

                        .. data:: webster = 134

                        .. data:: who = 135

                        .. data:: wins = 136

                        .. data:: x11 = 137

                        .. data:: xdmcp = 138

                        .. data:: ymsgr = 139

                        .. data:: aarp = 140

                        .. data:: appletalk = 141

                        .. data:: arp = 142

                        .. data:: bgp = 143

                        .. data:: bridge = 144

                        .. data:: bstun = 145

                        .. data:: cdp = 146

                        """

                        x802_11_iapp = Enum.YLeaf(0, "x802-11-iapp")

                        ace_svr = Enum.YLeaf(1, "ace-svr")

                        aol = Enum.YLeaf(2, "aol")

                        appleqtc = Enum.YLeaf(3, "appleqtc")

                        biff = Enum.YLeaf(4, "biff")

                        bittorrent = Enum.YLeaf(5, "bittorrent")

                        bootpc = Enum.YLeaf(6, "bootpc")

                        bootps = Enum.YLeaf(7, "bootps")

                        cddbp = Enum.YLeaf(8, "cddbp")

                        cifs = Enum.YLeaf(9, "cifs")

                        cisco_fna = Enum.YLeaf(10, "cisco-fna")

                        cisco_net_mgmt = Enum.YLeaf(11, "cisco-net-mgmt")

                        cisco_svcs = Enum.YLeaf(12, "cisco-svcs")

                        cisco_sys = Enum.YLeaf(13, "cisco-sys")

                        cisco_tdp = Enum.YLeaf(14, "cisco-tdp")

                        cisco_tna = Enum.YLeaf(15, "cisco-tna")

                        citriximaclient = Enum.YLeaf(16, "citriximaclient")

                        clp = Enum.YLeaf(17, "clp")

                        creativepartnr = Enum.YLeaf(18, "creativepartnr")

                        creativeserver = Enum.YLeaf(19, "creativeserver")

                        daytime = Enum.YLeaf(20, "daytime")

                        dbase = Enum.YLeaf(21, "dbase")

                        dbcontrol_agent = Enum.YLeaf(22, "dbcontrol_agent")

                        ddns_v3 = Enum.YLeaf(23, "ddns-v3")

                        dhcp_failover = Enum.YLeaf(24, "dhcp-failover")

                        directconnect = Enum.YLeaf(25, "directconnect")

                        discard = Enum.YLeaf(26, "discard")

                        dnsix = Enum.YLeaf(27, "dnsix")

                        echo = Enum.YLeaf(28, "echo")

                        entrust_svc_hdlr = Enum.YLeaf(29, "entrust-svc-hdlr")

                        entrust_svcs = Enum.YLeaf(30, "entrust-svcs")

                        exec_ = Enum.YLeaf(31, "exec")

                        fcip_port = Enum.YLeaf(32, "fcip-port")

                        ftps = Enum.YLeaf(33, "ftps")

                        gdoi = Enum.YLeaf(34, "gdoi")

                        giop = Enum.YLeaf(35, "giop")

                        gtpv0 = Enum.YLeaf(36, "gtpv0")

                        gtpv1 = Enum.YLeaf(37, "gtpv1")

                        h225ras = Enum.YLeaf(38, "h225ras")

                        h323callsigalt = Enum.YLeaf(39, "h323callsigalt")

                        hp_alarm_mgr = Enum.YLeaf(40, "hp-alarm-mgr")

                        hp_collector = Enum.YLeaf(41, "hp-collector")

                        hp_managed_node = Enum.YLeaf(42, "hp-managed-node")

                        hsrp = Enum.YLeaf(43, "hsrp")

                        https = Enum.YLeaf(44, "https")

                        ica = Enum.YLeaf(45, "ica")

                        icabrowser = Enum.YLeaf(46, "icabrowser")

                        ident = Enum.YLeaf(47, "ident")

                        igmpv3lite = Enum.YLeaf(48, "igmpv3lite")

                        imap3 = Enum.YLeaf(49, "imap3")

                        imaps = Enum.YLeaf(50, "imaps")

                        ipass = Enum.YLeaf(51, "ipass")

                        ipsec_msft = Enum.YLeaf(52, "ipsec-msft")

                        irc_serv = Enum.YLeaf(53, "irc-serv")

                        ircs = Enum.YLeaf(54, "ircs")

                        ircu = Enum.YLeaf(55, "ircu")

                        isakmp = Enum.YLeaf(56, "isakmp")

                        iscsi = Enum.YLeaf(57, "iscsi")

                        iscsi_target = Enum.YLeaf(58, "iscsi-target")

                        kermit = Enum.YLeaf(59, "kermit")

                        ldap_admin = Enum.YLeaf(60, "ldap-admin")

                        ldaps = Enum.YLeaf(61, "ldaps")

                        login = Enum.YLeaf(62, "login")

                        lotusmtap = Enum.YLeaf(63, "lotusmtap")

                        lotusnote = Enum.YLeaf(64, "lotusnote")

                        mapi = Enum.YLeaf(65, "mapi")

                        ms_ad_rep = Enum.YLeaf(66, "ms-ad-rep")

                        ms_exch_nspi = Enum.YLeaf(67, "ms-exch-nspi")

                        ms_frs = Enum.YLeaf(68, "ms-frs")

                        ms_frsapi = Enum.YLeaf(69, "ms-frsapi")

                        ms_rfr = Enum.YLeaf(70, "ms-rfr")

                        msn_messenger = Enum.YLeaf(71, "msn-messenger")

                        netlogon = Enum.YLeaf(72, "netlogon")

                        microsoft_ds = Enum.YLeaf(73, "microsoft-ds")

                        ms_cluster_net = Enum.YLeaf(74, "ms-cluster-net")

                        ms_dotnetster = Enum.YLeaf(75, "ms-dotnetster")

                        ms_sna = Enum.YLeaf(76, "ms-sna")

                        ms_sql = Enum.YLeaf(77, "ms-sql")

                        ms_sql_m = Enum.YLeaf(78, "ms-sql-m")

                        msexch_routing = Enum.YLeaf(79, "msexch-routing")

                        msnmsgr = Enum.YLeaf(80, "msnmsgr")

                        msrpc = Enum.YLeaf(81, "msrpc")

                        mysql = Enum.YLeaf(82, "mysql")

                        n2h2server = Enum.YLeaf(83, "n2h2server")

                        ncp = Enum.YLeaf(84, "ncp")

                        net8_cman = Enum.YLeaf(85, "net8-cman")

                        netbios_dgm = Enum.YLeaf(86, "netbios-dgm")

                        netbios_ns = Enum.YLeaf(87, "netbios-ns")

                        netbios_ssn = Enum.YLeaf(88, "netbios-ssn")

                        netstat = Enum.YLeaf(89, "netstat")

                        oem_agent = Enum.YLeaf(90, "oem-agent")

                        oracle = Enum.YLeaf(91, "oracle")

                        oracle_em_vp = Enum.YLeaf(92, "oracle-em-vp")

                        oraclenames = Enum.YLeaf(93, "oraclenames")

                        orasrv = Enum.YLeaf(94, "orasrv")

                        pcanywheredata = Enum.YLeaf(95, "pcanywheredata")

                        pcanywherestat = Enum.YLeaf(96, "pcanywherestat")

                        pop3s = Enum.YLeaf(97, "pop3s")

                        pwdgen = Enum.YLeaf(98, "pwdgen")

                        qmtp = Enum.YLeaf(99, "qmtp")

                        r_winsock = Enum.YLeaf(100, "r-winsock")

                        radius = Enum.YLeaf(101, "radius")

                        rdb_dbs_disp = Enum.YLeaf(102, "rdb-dbs-disp")

                        realmedia = Enum.YLeaf(103, "realmedia")

                        realsecure = Enum.YLeaf(104, "realsecure")

                        router = Enum.YLeaf(105, "router")

                        rsvp_encap = Enum.YLeaf(106, "rsvp-encap")

                        rsvp_tunnel = Enum.YLeaf(107, "rsvp_tunnel")

                        rtc_pm_port = Enum.YLeaf(108, "rtc-pm-port")

                        rtelnet = Enum.YLeaf(109, "rtelnet")

                        send = Enum.YLeaf(110, "send")

                        shell = Enum.YLeaf(111, "shell")

                        sip_tls = Enum.YLeaf(112, "sip-tls")

                        sms = Enum.YLeaf(113, "sms")

                        smtp = Enum.YLeaf(114, "smtp")

                        snmptrap = Enum.YLeaf(115, "snmptrap")

                        sql_net = Enum.YLeaf(116, "sql-net")

                        sqlserv = Enum.YLeaf(117, "sqlserv")

                        sqlsrv = Enum.YLeaf(118, "sqlsrv")

                        sshell = Enum.YLeaf(119, "sshell")

                        ssp = Enum.YLeaf(120, "ssp")

                        syslog_conn = Enum.YLeaf(121, "syslog-conn")

                        tacacs = Enum.YLeaf(122, "tacacs")

                        tacacs_ds = Enum.YLeaf(123, "tacacs-ds")

                        tarantella = Enum.YLeaf(124, "tarantella")

                        tcp = Enum.YLeaf(125, "tcp")

                        telnets = Enum.YLeaf(126, "telnets")

                        time = Enum.YLeaf(127, "time")

                        timed = Enum.YLeaf(128, "timed")

                        tr_rsrb = Enum.YLeaf(129, "tr-rsrb")

                        ttc = Enum.YLeaf(130, "ttc")

                        udp = Enum.YLeaf(131, "udp")

                        uucp = Enum.YLeaf(132, "uucp")

                        vqp = Enum.YLeaf(133, "vqp")

                        webster = Enum.YLeaf(134, "webster")

                        who = Enum.YLeaf(135, "who")

                        wins = Enum.YLeaf(136, "wins")

                        x11 = Enum.YLeaf(137, "x11")

                        xdmcp = Enum.YLeaf(138, "xdmcp")

                        ymsgr = Enum.YLeaf(139, "ymsgr")

                        aarp = Enum.YLeaf(140, "aarp")

                        appletalk = Enum.YLeaf(141, "appletalk")

                        arp = Enum.YLeaf(142, "arp")

                        bgp = Enum.YLeaf(143, "bgp")

                        bridge = Enum.YLeaf(144, "bridge")

                        bstun = Enum.YLeaf(145, "bstun")

                        cdp = Enum.YLeaf(146, "cdp")



                    class Citrix(Entity):
                        """
                        Citrix Systems ICA protocol
                        
                        .. attribute:: ica_tag
                        
                        	Citrix ICA tag 0\-high 1\-medium 2\-low 3\-background
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Protocol.Citrix, self).__init__()

                            self.yang_name = "citrix"
                            self.yang_parent_name = "protocol"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ica_tag = YLeaf(YType.str, "ica-tag")
                            self._segment_path = lambda: "citrix"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Protocol.Citrix, ['ica_tag'], name, value)


                    class Fasttrack(Entity):
                        """
                        FastTrack Traffic \- KaZaA, Morpheus, Grokster
                        
                        .. attribute:: file_transfer
                        
                        	File transfer stream
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Protocol.Fasttrack, self).__init__()

                            self.yang_name = "fasttrack"
                            self.yang_parent_name = "protocol"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.file_transfer = YLeaf(YType.str, "file-transfer")
                            self._segment_path = lambda: "fasttrack"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Protocol.Fasttrack, ['file_transfer'], name, value)


                    class Gnutella(Entity):
                        """
                        Gnutella Version2 Traffic \- BearShare, Shareeza, Morpheus
                        
                        .. attribute:: file_transfer
                        
                        	File transfer stream
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Protocol.Gnutella, self).__init__()

                            self.yang_name = "gnutella"
                            self.yang_parent_name = "protocol"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.file_transfer = YLeaf(YType.str, "file-transfer")
                            self._segment_path = lambda: "gnutella"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Protocol.Gnutella, ['file_transfer'], name, value)


                    class Http(Entity):
                        """
                        World Wide Web traffic
                        
                        .. attribute:: c_header_field
                        
                        	Client general Header Field
                        	**type**\: str
                        
                        .. attribute:: host
                        
                        	Server Host Name
                        	**type**\: str
                        
                        .. attribute:: mime
                        
                        	Match MIME Type
                        	**type**\: str
                        
                        .. attribute:: s_header_field
                        
                        	Server general Header Field
                        	**type**\: str
                        
                        .. attribute:: url
                        
                        	Match URL String
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Protocol.Http, self).__init__()

                            self.yang_name = "http"
                            self.yang_parent_name = "protocol"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.c_header_field = YLeaf(YType.str, "c-header-field")

                            self.host = YLeaf(YType.str, "host")

                            self.mime = YLeaf(YType.str, "mime")

                            self.s_header_field = YLeaf(YType.str, "s-header-field")

                            self.url = YLeaf(YType.str, "url")
                            self._segment_path = lambda: "http"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Protocol.Http, ['c_header_field', 'host', 'mime', 's_header_field', 'url'], name, value)


                    class Kazaa2(Entity):
                        """
                        Kazaa Version 2
                        
                        .. attribute:: file_transfer
                        
                        	File transfer stream
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Protocol.Kazaa2, self).__init__()

                            self.yang_name = "kazaa2"
                            self.yang_parent_name = "protocol"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.file_transfer = YLeaf(YType.str, "file-transfer")
                            self._segment_path = lambda: "kazaa2"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Protocol.Kazaa2, ['file_transfer'], name, value)


                    class Napster(Entity):
                        """
                        Napster Traffic
                        
                        .. attribute:: non_std
                        
                        	Non\-standard port advertizements
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Protocol.Napster, self).__init__()

                            self.yang_name = "napster"
                            self.yang_parent_name = "protocol"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.non_std = YLeaf(YType.empty, "non-std")
                            self._segment_path = lambda: "napster"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Protocol.Napster, ['non_std'], name, value)


                    class Rtp(Entity):
                        """
                        Real Time Protocol
                        
                        .. attribute:: audio
                        
                        	Match voice packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: payload_type
                        
                        	Match an explicit PT
                        	**type**\: str
                        
                        .. attribute:: video
                        
                        	Match video packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Protocol.Rtp, self).__init__()

                            self.yang_name = "rtp"
                            self.yang_parent_name = "protocol"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.audio = YLeaf(YType.empty, "audio")

                            self.payload_type = YLeaf(YType.str, "payload-type")

                            self.video = YLeaf(YType.empty, "video")
                            self._segment_path = lambda: "rtp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Protocol.Rtp, ['audio', 'payload_type', 'video'], name, value)


                    class Smtp(Entity):
                        """
                        Simple Mail Transfer Protocol
                        
                        .. attribute:: extended
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Protocol.Smtp, self).__init__()

                            self.yang_name = "smtp"
                            self.yang_parent_name = "protocol"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.extended = YLeaf(YType.empty, "extended")
                            self._segment_path = lambda: "smtp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Protocol.Smtp, ['extended'], name, value)


                    class Attribute(Entity):
                        """
                        Attribute based protocol match
                        
                        .. attribute:: business_relevance
                        
                        	Application business\-relevance
                        	**type**\:  :py:class:`BusinessRelevance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Attribute.BusinessRelevance>`
                        
                        .. attribute:: traffic_class
                        
                        	SRND class
                        	**type**\:  :py:class:`TrafficClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Protocol.Attribute.TrafficClass>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Protocol.Attribute, self).__init__()

                            self.yang_name = "attribute"
                            self.yang_parent_name = "protocol"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"business-relevance" : ("business_relevance", Native.Policy.ClassMap.Match.Protocol.Attribute.BusinessRelevance), "traffic-class" : ("traffic_class", Native.Policy.ClassMap.Match.Protocol.Attribute.TrafficClass)}
                            self._child_list_classes = {}

                            self.business_relevance = Native.Policy.ClassMap.Match.Protocol.Attribute.BusinessRelevance()
                            self.business_relevance.parent = self
                            self._children_name_map["business_relevance"] = "business-relevance"
                            self._children_yang_names.add("business-relevance")

                            self.traffic_class = Native.Policy.ClassMap.Match.Protocol.Attribute.TrafficClass()
                            self.traffic_class.parent = self
                            self._children_name_map["traffic_class"] = "traffic-class"
                            self._children_yang_names.add("traffic-class")
                            self._segment_path = lambda: "attribute"


                        class BusinessRelevance(Entity):
                            """
                            Application business\-relevance
                            
                            .. attribute:: business_irrelevant
                            
                            	Undesirable business traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: business_relevant
                            
                            	Business critical applications
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: default
                            
                            	Related business applications
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Protocol.Attribute.BusinessRelevance, self).__init__()

                                self.yang_name = "business-relevance"
                                self.yang_parent_name = "attribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.business_irrelevant = YLeaf(YType.empty, "business-irrelevant")

                                self.business_relevant = YLeaf(YType.empty, "business-relevant")

                                self.default = YLeaf(YType.empty, "default")
                                self._segment_path = lambda: "business-relevance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Protocol.Attribute.BusinessRelevance, ['business_irrelevant', 'business_relevant', 'default'], name, value)


                        class TrafficClass(Entity):
                            """
                            SRND class
                            
                            .. attribute:: broadcast_video
                            
                            	Broadcast TV, live events, video surveillance
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: bulk_data
                            
                            	Non\-interactive data applications
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: multimedia_conferencing
                            
                            	Desktop software multimedia collaboration applications
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: multimedia_streaming
                            
                            	Video\-on\-Demand (VoD) streaming video
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: network_control
                            
                            	Network control plane traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ops_admin_mgmt
                            
                            	Network operations, administration, and management traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: real_time_interactive
                            
                            	High\-definition interactive video applications
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: signaling
                            
                            	Signaling traffic that supports IP voice and video telephony
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transactional_data
                            
                            	Interactive data applications
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: voip_telephony
                            
                            	VoIP telephony (bearer\-only) traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Protocol.Attribute.TrafficClass, self).__init__()

                                self.yang_name = "traffic-class"
                                self.yang_parent_name = "attribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.broadcast_video = YLeaf(YType.empty, "broadcast-video")

                                self.bulk_data = YLeaf(YType.empty, "bulk-data")

                                self.multimedia_conferencing = YLeaf(YType.empty, "multimedia-conferencing")

                                self.multimedia_streaming = YLeaf(YType.empty, "multimedia-streaming")

                                self.network_control = YLeaf(YType.empty, "network-control")

                                self.ops_admin_mgmt = YLeaf(YType.empty, "ops-admin-mgmt")

                                self.real_time_interactive = YLeaf(YType.empty, "real-time-interactive")

                                self.signaling = YLeaf(YType.empty, "signaling")

                                self.transactional_data = YLeaf(YType.empty, "transactional-data")

                                self.voip_telephony = YLeaf(YType.empty, "voip-telephony")
                                self._segment_path = lambda: "traffic-class"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Protocol.Attribute.TrafficClass, ['broadcast_video', 'bulk_data', 'multimedia_conferencing', 'multimedia_streaming', 'network_control', 'ops_admin_mgmt', 'real_time_interactive', 'signaling', 'transactional_data', 'voip_telephony'], name, value)


                class SecurityGroup(Entity):
                    """
                    Security group
                    
                    .. attribute:: destination
                    
                    	Destination security group
                    	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.SecurityGroup.Destination>`
                    
                    .. attribute:: source
                    
                    	Source security group
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.SecurityGroup.Source>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.SecurityGroup, self).__init__()

                        self.yang_name = "security-group"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"destination" : ("destination", Native.Policy.ClassMap.Match.SecurityGroup.Destination), "source" : ("source", Native.Policy.ClassMap.Match.SecurityGroup.Source)}
                        self._child_list_classes = {}

                        self.destination = Native.Policy.ClassMap.Match.SecurityGroup.Destination()
                        self.destination.parent = self
                        self._children_name_map["destination"] = "destination"
                        self._children_yang_names.add("destination")

                        self.source = Native.Policy.ClassMap.Match.SecurityGroup.Source()
                        self.source.parent = self
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")
                        self._segment_path = lambda: "security-group"


                    class Destination(Entity):
                        """
                        Destination security group
                        
                        .. attribute:: tag
                        
                        	Security group tag
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.SecurityGroup.Destination, self).__init__()

                            self.yang_name = "destination"
                            self.yang_parent_name = "security-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tag = YLeaf(YType.uint16, "tag")
                            self._segment_path = lambda: "destination"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.SecurityGroup.Destination, ['tag'], name, value)


                    class Source(Entity):
                        """
                        Source security group
                        
                        .. attribute:: tag
                        
                        	Security group tag
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.SecurityGroup.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "security-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tag = YLeaf(YType.uint16, "tag")
                            self._segment_path = lambda: "source"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.SecurityGroup.Source, ['tag'], name, value)


                class SourceAddress(Entity):
                    """
                    Source address
                    
                    .. attribute:: mac
                    
                    	MAC address
                    	**type**\: list of str
                    
                    	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.SourceAddress, self).__init__()

                        self.yang_name = "source-address"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.mac = YLeafList(YType.str, "mac")
                        self._segment_path = lambda: "source-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.Match.SourceAddress, ['mac'], name, value)


                class Vlan(Entity):
                    """
                    VLANs to match
                    
                    .. attribute:: inner
                    
                    	Inner tag to match
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 1..4094
                    
                    		**type**\: list of str
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 1..4094
                    
                    		**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.Vlan, self).__init__()

                        self.yang_name = "vlan"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inner = YLeafList(YType.str, "inner")

                        self.value = YLeafList(YType.str, "value")
                        self._segment_path = lambda: "vlan"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.Match.Vlan, ['inner', 'value'], name, value)


                class ActivatedServiceTemplate(Entity):
                    """
                    match name of service template activated on session
                    
                    .. attribute:: service_name  <key>
                    
                    	Enter service name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.ActivatedServiceTemplate, self).__init__()

                        self.yang_name = "activated-service-template"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.service_name = YLeaf(YType.str, "service-name")
                        self._segment_path = lambda: "activated-service-template" + "[service-name='" + self.service_name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.Match.ActivatedServiceTemplate, ['service_name'], name, value)


                class AuthorizationStatus(Entity):
                    """
                    match the authorization status of the session
                    
                    .. attribute:: authorized
                    
                    	authorized
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unauthorized
                    
                    	unauthorized
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.AuthorizationStatus, self).__init__()

                        self.yang_name = "authorization-status"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.authorized = YLeaf(YType.empty, "authorized")

                        self.unauthorized = YLeaf(YType.empty, "unauthorized")
                        self._segment_path = lambda: "authorization-status"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.Match.AuthorizationStatus, ['authorized', 'unauthorized'], name, value)


                class AuthorizingMethodPriority(Entity):
                    """
                    match the priority against the authorizing method's priority
                    
                    .. attribute:: eq
                    
                    	equal to
                    	**type**\: int
                    
                    	**range:** 1..254
                    
                    .. attribute:: gt
                    
                    	greater than
                    	**type**\: int
                    
                    	**range:** 1..254
                    
                    .. attribute:: lt
                    
                    	less than
                    	**type**\: int
                    
                    	**range:** 1..254
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.AuthorizingMethodPriority, self).__init__()

                        self.yang_name = "authorizing-method-priority"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eq = YLeaf(YType.uint8, "eq")

                        self.gt = YLeaf(YType.uint8, "gt")

                        self.lt = YLeaf(YType.uint8, "lt")
                        self._segment_path = lambda: "authorizing-method-priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.Match.AuthorizingMethodPriority, ['eq', 'gt', 'lt'], name, value)


                class Method(Entity):
                    """
                    match the type of authentication method from an event
                    
                    .. attribute:: dot1x
                    
                    	dot1x
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	mab
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	webauth
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.Method, self).__init__()

                        self.yang_name = "method"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dot1x = YLeaf(YType.empty, "dot1x")

                        self.mab = YLeaf(YType.empty, "mab")

                        self.webauth = YLeaf(YType.empty, "webauth")
                        self._segment_path = lambda: "method"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.Match.Method, ['dot1x', 'mab', 'webauth'], name, value)


                class ResultType(Entity):
                    """
                    match the result type, optionally for a specific method
                    
                    .. attribute:: method
                    
                    	match the result of a particular method
                    	**type**\:  :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.ResultType.Method>`
                    
                    .. attribute:: aaa_timeout
                    
                    	aaa timeout type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: agent_not_found
                    
                    	agent not found type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: authoritative
                    
                    	failure type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: method_timeout
                    
                    	method\_timeout type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	no type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: success
                    
                    	success type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.ResultType, self).__init__()

                        self.yang_name = "result-type"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"method" : ("method", Native.Policy.ClassMap.Match.ResultType.Method)}
                        self._child_list_classes = {}

                        self.aaa_timeout = YLeaf(YType.empty, "aaa-timeout")

                        self.agent_not_found = YLeaf(YType.empty, "agent-not-found")

                        self.authoritative = YLeaf(YType.empty, "authoritative")

                        self.method_timeout = YLeaf(YType.empty, "method-timeout")

                        self.none = YLeaf(YType.empty, "none")

                        self.success = YLeaf(YType.empty, "success")

                        self.method = Native.Policy.ClassMap.Match.ResultType.Method()
                        self.method.parent = self
                        self._children_name_map["method"] = "method"
                        self._children_yang_names.add("method")
                        self._segment_path = lambda: "result-type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.Match.ResultType, ['aaa_timeout', 'agent_not_found', 'authoritative', 'method_timeout', 'none', 'success'], name, value)


                    class Method(Entity):
                        """
                        match the result of a particular method
                        
                        .. attribute:: dot1x
                        
                        	dot1x result
                        	**type**\:  :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.ResultType.Method.Dot1X>`
                        
                        .. attribute:: mab
                        
                        	mab result
                        	**type**\:  :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.ResultType.Method.Mab>`
                        
                        .. attribute:: webauth
                        
                        	webauth result
                        	**type**\:  :py:class:`Webauth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.ResultType.Method.Webauth>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.ResultType.Method, self).__init__()

                            self.yang_name = "method"
                            self.yang_parent_name = "result-type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dot1x" : ("dot1x", Native.Policy.ClassMap.Match.ResultType.Method.Dot1X), "mab" : ("mab", Native.Policy.ClassMap.Match.ResultType.Method.Mab), "webauth" : ("webauth", Native.Policy.ClassMap.Match.ResultType.Method.Webauth)}
                            self._child_list_classes = {}

                            self.dot1x = Native.Policy.ClassMap.Match.ResultType.Method.Dot1X()
                            self.dot1x.parent = self
                            self._children_name_map["dot1x"] = "dot1x"
                            self._children_yang_names.add("dot1x")

                            self.mab = Native.Policy.ClassMap.Match.ResultType.Method.Mab()
                            self.mab.parent = self
                            self._children_name_map["mab"] = "mab"
                            self._children_yang_names.add("mab")

                            self.webauth = Native.Policy.ClassMap.Match.ResultType.Method.Webauth()
                            self.webauth.parent = self
                            self._children_name_map["webauth"] = "webauth"
                            self._children_yang_names.add("webauth")
                            self._segment_path = lambda: "method"


                        class Dot1X(Entity):
                            """
                            dot1x result
                            
                            .. attribute:: aaa_timeout
                            
                            	aaa timeout type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: agent_not_found
                            
                            	agent not found type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: authoritative
                            
                            	failure type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: method_timeout
                            
                            	method\_timeout type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: none
                            
                            	no type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: success
                            
                            	success type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.ResultType.Method.Dot1X, self).__init__()

                                self.yang_name = "dot1x"
                                self.yang_parent_name = "method"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.aaa_timeout = YLeaf(YType.empty, "aaa-timeout")

                                self.agent_not_found = YLeaf(YType.empty, "agent-not-found")

                                self.authoritative = YLeaf(YType.empty, "authoritative")

                                self.method_timeout = YLeaf(YType.empty, "method-timeout")

                                self.none = YLeaf(YType.empty, "none")

                                self.success = YLeaf(YType.empty, "success")
                                self._segment_path = lambda: "dot1x"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.ResultType.Method.Dot1X, ['aaa_timeout', 'agent_not_found', 'authoritative', 'method_timeout', 'none', 'success'], name, value)


                        class Mab(Entity):
                            """
                            mab result
                            
                            .. attribute:: aaa_timeout
                            
                            	aaa timeout type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: agent_not_found
                            
                            	agent not found type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: authoritative
                            
                            	failure type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: method_timeout
                            
                            	method\_timeout type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: none
                            
                            	no type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: success
                            
                            	success type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.ResultType.Method.Mab, self).__init__()

                                self.yang_name = "mab"
                                self.yang_parent_name = "method"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.aaa_timeout = YLeaf(YType.empty, "aaa-timeout")

                                self.agent_not_found = YLeaf(YType.empty, "agent-not-found")

                                self.authoritative = YLeaf(YType.empty, "authoritative")

                                self.method_timeout = YLeaf(YType.empty, "method-timeout")

                                self.none = YLeaf(YType.empty, "none")

                                self.success = YLeaf(YType.empty, "success")
                                self._segment_path = lambda: "mab"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.ResultType.Method.Mab, ['aaa_timeout', 'agent_not_found', 'authoritative', 'method_timeout', 'none', 'success'], name, value)


                        class Webauth(Entity):
                            """
                            webauth result
                            
                            .. attribute:: aaa_timeout
                            
                            	aaa timeout type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: agent_not_found
                            
                            	agent not found type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: authoritative
                            
                            	failure type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: method_timeout
                            
                            	method\_timeout type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: none
                            
                            	no type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: success
                            
                            	success type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.ResultType.Method.Webauth, self).__init__()

                                self.yang_name = "webauth"
                                self.yang_parent_name = "method"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.aaa_timeout = YLeaf(YType.empty, "aaa-timeout")

                                self.agent_not_found = YLeaf(YType.empty, "agent-not-found")

                                self.authoritative = YLeaf(YType.empty, "authoritative")

                                self.method_timeout = YLeaf(YType.empty, "method-timeout")

                                self.none = YLeaf(YType.empty, "none")

                                self.success = YLeaf(YType.empty, "success")
                                self._segment_path = lambda: "webauth"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.ResultType.Method.Webauth, ['aaa_timeout', 'agent_not_found', 'authoritative', 'method_timeout', 'none', 'success'], name, value)


                class Not_(Entity):
                    """
                    Negate this match result
                    
                    .. attribute:: current_method_priority
                    
                    	match the priority against the current method's priority
                    	**type**\:  :py:class:`CurrentMethodPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.CurrentMethodPriority>`
                    
                    .. attribute:: application
                    
                    	Application to match
                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Application>`
                    
                    .. attribute:: access_group
                    
                    	Access group
                    	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.AccessGroup>`
                    
                    .. attribute:: any
                    
                    	Any packets
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: class_map
                    
                    	Class map
                    	**type**\: list of str
                    
                    .. attribute:: cos
                    
                    	IEEE 802.1Q/ISL class of service/user priority values
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: destination_address
                    
                    	Destination address
                    	**type**\:  :py:class:`DestinationAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.DestinationAddress>`
                    
                    .. attribute:: discard_class
                    
                    	Discard behavior identifier
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    .. attribute:: dscp
                    
                    	Match DSCP in IP(v4) and IPv6 packets
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 0..63
                    
                    		**type**\: list of   :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                    
                    .. attribute:: fr_de
                    
                    	Match on Frame\-relay DE bit
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fr_dlci
                    
                    	Match on fr\-dlci
                    	**type**\: list of int
                    
                    	**range:** 16..1007
                    
                    .. attribute:: group_object
                    
                    	Match object\-group
                    	**type**\:  :py:class:`GroupObject <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.GroupObject>`
                    
                    .. attribute:: input_interface
                    
                    	Select an input interface to match
                    	**type**\: list of str
                    
                    .. attribute:: ip
                    
                    	IP specific values
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Ip>`
                    
                    .. attribute:: non_client_nrt
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mpls
                    
                    	Multi Protocol Label Switching specific values
                    	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Mpls>`
                    
                    .. attribute:: packet
                    
                    	Layer 3 Packet length
                    	**type**\:  :py:class:`Packet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Packet>`
                    
                    .. attribute:: precedence
                    
                    	Match Precedence in IP(v4) and IPv6 packets
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 0..7
                    
                    		**type**\: list of   :py:class:`PrecedenceType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecedenceType>`
                    
                    .. attribute:: protocol
                    
                    	Protocol
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol>`
                    
                    .. attribute:: qos_group
                    
                    	Qos\-group
                    	**type**\: list of int
                    
                    	**range:** 0..99
                    
                    .. attribute:: security_group
                    
                    	Security group
                    	**type**\:  :py:class:`SecurityGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.SecurityGroup>`
                    
                    .. attribute:: source_address
                    
                    	Source address
                    	**type**\:  :py:class:`SourceAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.SourceAddress>`
                    
                    .. attribute:: vlan
                    
                    	VLANs to match
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Vlan>`
                    
                    .. attribute:: peer
                    
                    	APPNAV Peer Filter
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.Match.Not_, self).__init__()

                        self.yang_name = "not"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"current-method-priority" : ("current_method_priority", Native.Policy.ClassMap.Match.Not_.CurrentMethodPriority), "application" : ("application", Native.Policy.ClassMap.Match.Not_.Application), "access-group" : ("access_group", Native.Policy.ClassMap.Match.Not_.AccessGroup), "destination-address" : ("destination_address", Native.Policy.ClassMap.Match.Not_.DestinationAddress), "group-object" : ("group_object", Native.Policy.ClassMap.Match.Not_.GroupObject), "ip" : ("ip", Native.Policy.ClassMap.Match.Not_.Ip), "mpls" : ("mpls", Native.Policy.ClassMap.Match.Not_.Mpls), "packet" : ("packet", Native.Policy.ClassMap.Match.Not_.Packet), "protocol" : ("protocol", Native.Policy.ClassMap.Match.Not_.Protocol), "security-group" : ("security_group", Native.Policy.ClassMap.Match.Not_.SecurityGroup), "source-address" : ("source_address", Native.Policy.ClassMap.Match.Not_.SourceAddress), "vlan" : ("vlan", Native.Policy.ClassMap.Match.Not_.Vlan)}
                        self._child_list_classes = {}

                        self.any = YLeaf(YType.empty, "any")

                        self.class_map = YLeafList(YType.str, "class-map")

                        self.cos = YLeafList(YType.uint8, "cos")

                        self.discard_class = YLeafList(YType.uint8, "discard-class")

                        self.dscp = YLeafList(YType.str, "dscp")

                        self.fr_de = YLeaf(YType.empty, "fr-de")

                        self.fr_dlci = YLeafList(YType.uint16, "fr-dlci")

                        self.input_interface = YLeafList(YType.str, "input-interface")

                        self.non_client_nrt = YLeaf(YType.empty, "non-client-nrt")

                        self.precedence = YLeafList(YType.str, "precedence")

                        self.qos_group = YLeafList(YType.uint16, "qos-group")

                        self.peer = YLeaf(YType.str, "peer")

                        self.current_method_priority = Native.Policy.ClassMap.Match.Not_.CurrentMethodPriority()
                        self.current_method_priority.parent = self
                        self._children_name_map["current_method_priority"] = "current-method-priority"
                        self._children_yang_names.add("current-method-priority")

                        self.application = Native.Policy.ClassMap.Match.Not_.Application()
                        self.application.parent = self
                        self._children_name_map["application"] = "application"
                        self._children_yang_names.add("application")

                        self.access_group = Native.Policy.ClassMap.Match.Not_.AccessGroup()
                        self.access_group.parent = self
                        self._children_name_map["access_group"] = "access-group"
                        self._children_yang_names.add("access-group")

                        self.destination_address = Native.Policy.ClassMap.Match.Not_.DestinationAddress()
                        self.destination_address.parent = self
                        self._children_name_map["destination_address"] = "destination-address"
                        self._children_yang_names.add("destination-address")

                        self.group_object = Native.Policy.ClassMap.Match.Not_.GroupObject()
                        self.group_object.parent = self
                        self._children_name_map["group_object"] = "group-object"
                        self._children_yang_names.add("group-object")

                        self.ip = Native.Policy.ClassMap.Match.Not_.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.mpls = Native.Policy.ClassMap.Match.Not_.Mpls()
                        self.mpls.parent = self
                        self._children_name_map["mpls"] = "mpls"
                        self._children_yang_names.add("mpls")

                        self.packet = Native.Policy.ClassMap.Match.Not_.Packet()
                        self.packet.parent = self
                        self._children_name_map["packet"] = "packet"
                        self._children_yang_names.add("packet")

                        self.protocol = Native.Policy.ClassMap.Match.Not_.Protocol()
                        self.protocol.parent = self
                        self._children_name_map["protocol"] = "protocol"
                        self._children_yang_names.add("protocol")

                        self.security_group = Native.Policy.ClassMap.Match.Not_.SecurityGroup()
                        self.security_group.parent = self
                        self._children_name_map["security_group"] = "security-group"
                        self._children_yang_names.add("security-group")

                        self.source_address = Native.Policy.ClassMap.Match.Not_.SourceAddress()
                        self.source_address.parent = self
                        self._children_name_map["source_address"] = "source-address"
                        self._children_yang_names.add("source-address")

                        self.vlan = Native.Policy.ClassMap.Match.Not_.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "not"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.Match.Not_, ['any', 'class_map', 'cos', 'discard_class', 'dscp', 'fr_de', 'fr_dlci', 'input_interface', 'non_client_nrt', 'precedence', 'qos_group', 'peer'], name, value)


                    class CurrentMethodPriority(Entity):
                        """
                        match the priority against the current method's priority
                        
                        .. attribute:: eq
                        
                        	equal to
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        .. attribute:: gt
                        
                        	greater than
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        .. attribute:: lt
                        
                        	less than
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Not_.CurrentMethodPriority, self).__init__()

                            self.yang_name = "current-method-priority"
                            self.yang_parent_name = "not"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eq = YLeaf(YType.uint8, "eq")

                            self.gt = YLeaf(YType.uint8, "gt")

                            self.lt = YLeaf(YType.uint8, "lt")
                            self._segment_path = lambda: "current-method-priority"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Not_.CurrentMethodPriority, ['eq', 'gt', 'lt'], name, value)


                    class Application(Entity):
                        """
                        Application to match
                        
                        .. attribute:: application_group
                        
                        	Application Group to match
                        	**type**\:  :py:class:`ApplicationGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Application.ApplicationGroup>`
                        
                        .. attribute:: attribute
                        
                        	Application attribute to match
                        	**type**\:  :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Application.Attribute>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Not_.Application, self).__init__()

                            self.yang_name = "application"
                            self.yang_parent_name = "not"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"application-group" : ("application_group", Native.Policy.ClassMap.Match.Not_.Application.ApplicationGroup), "attribute" : ("attribute", Native.Policy.ClassMap.Match.Not_.Application.Attribute)}
                            self._child_list_classes = {}

                            self.application_group = Native.Policy.ClassMap.Match.Not_.Application.ApplicationGroup()
                            self.application_group.parent = self
                            self._children_name_map["application_group"] = "application-group"
                            self._children_yang_names.add("application-group")

                            self.attribute = Native.Policy.ClassMap.Match.Not_.Application.Attribute()
                            self.attribute.parent = self
                            self._children_name_map["attribute"] = "attribute"
                            self._children_yang_names.add("attribute")
                            self._segment_path = lambda: "application"


                        class ApplicationGroup(Entity):
                            """
                            Application Group to match
                            
                            .. attribute:: telepresence_group
                            
                            	Telepresence Group
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vmware_group
                            
                            	VMWARE Group
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: webex_group
                            
                            	WebEx Group
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Application.ApplicationGroup, self).__init__()

                                self.yang_name = "application-group"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.telepresence_group = YLeaf(YType.empty, "telepresence-group")

                                self.vmware_group = YLeaf(YType.empty, "vmware-group")

                                self.webex_group = YLeaf(YType.empty, "webex-group")
                                self._segment_path = lambda: "application-group"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Application.ApplicationGroup, ['telepresence_group', 'vmware_group', 'webex_group'], name, value)


                        class Attribute(Entity):
                            """
                            Application attribute to match
                            
                            .. attribute:: media_type
                            
                            	Media type attribute to match
                            	**type**\:  :py:class:`MediaType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Application.Attribute.MediaType>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Application.Attribute, self).__init__()

                                self.yang_name = "attribute"
                                self.yang_parent_name = "application"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.media_type = YLeaf(YType.enumeration, "media-type")
                                self._segment_path = lambda: "attribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Application.Attribute, ['media_type'], name, value)

                            class MediaType(Enum):
                                """
                                MediaType

                                Media type attribute to match

                                .. data:: audio = 0

                                .. data:: audio_video = 1

                                .. data:: control = 2

                                .. data:: data = 3

                                .. data:: video = 4

                                """

                                audio = Enum.YLeaf(0, "audio")

                                audio_video = Enum.YLeaf(1, "audio-video")

                                control = Enum.YLeaf(2, "control")

                                data = Enum.YLeaf(3, "data")

                                video = Enum.YLeaf(4, "video")



                    class AccessGroup(Entity):
                        """
                        Access group
                        
                        .. attribute:: index
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..2699
                        
                        .. attribute:: name
                        
                        	Named Access List
                        	**type**\: list of str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Not_.AccessGroup, self).__init__()

                            self.yang_name = "access-group"
                            self.yang_parent_name = "not"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.index = YLeaf(YType.uint32, "index")

                            self.name = YLeafList(YType.str, "name")
                            self._segment_path = lambda: "access-group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Not_.AccessGroup, ['index', 'name'], name, value)


                    class DestinationAddress(Entity):
                        """
                        Destination address
                        
                        .. attribute:: mac
                        
                        	MAC address
                        	**type**\: list of str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Not_.DestinationAddress, self).__init__()

                            self.yang_name = "destination-address"
                            self.yang_parent_name = "not"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.mac = YLeafList(YType.str, "mac")
                            self._segment_path = lambda: "destination-address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Not_.DestinationAddress, ['mac'], name, value)


                    class GroupObject(Entity):
                        """
                        Match object\-group
                        
                        .. attribute:: security
                        
                        	Match object\-group security
                        	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.GroupObject.Security>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Not_.GroupObject, self).__init__()

                            self.yang_name = "group-object"
                            self.yang_parent_name = "not"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"security" : ("security", Native.Policy.ClassMap.Match.Not_.GroupObject.Security)}
                            self._child_list_classes = {}

                            self.security = Native.Policy.ClassMap.Match.Not_.GroupObject.Security()
                            self.security.parent = self
                            self._children_name_map["security"] = "security"
                            self._children_yang_names.add("security")
                            self._segment_path = lambda: "group-object"


                        class Security(Entity):
                            """
                            Match object\-group security
                            
                            .. attribute:: source
                            
                            	Match source object\-group security
                            	**type**\: list of str
                            
                            .. attribute:: destination
                            
                            	Match destination object\-group security
                            	**type**\: list of str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.GroupObject.Security, self).__init__()

                                self.yang_name = "security"
                                self.yang_parent_name = "group-object"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.source = YLeafList(YType.str, "source")

                                self.destination = YLeafList(YType.str, "destination")
                                self._segment_path = lambda: "security"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.GroupObject.Security, ['source', 'destination'], name, value)


                    class Ip(Entity):
                        """
                        IP specific values
                        
                        .. attribute:: dscp
                        
                        	Match IP DSCP (DiffServ CodePoints)
                        	**type**\: union of the below types:
                        
                        		**type**\: list of int
                        
                        			**range:** 0..63
                        
                        		**type**\: list of   :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                        
                        .. attribute:: precedence
                        
                        	Match IP precedence
                        	**type**\: union of the below types:
                        
                        		**type**\: list of int
                        
                        			**range:** 0..7
                        
                        		**type**\: list of   :py:class:`PrecedenceType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecedenceType>`
                        
                        .. attribute:: rtp
                        
                        	Match RTP port nos
                        	**type**\: list of  		 :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Ip.Rtp>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Not_.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "not"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"rtp" : ("rtp", Native.Policy.ClassMap.Match.Not_.Ip.Rtp)}

                            self.dscp = YLeafList(YType.str, "dscp")

                            self.precedence = YLeafList(YType.str, "precedence")

                            self.rtp = YList(self)
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Ip, ['dscp', 'precedence'], name, value)


                        class Rtp(Entity):
                            """
                            Match RTP port nos
                            
                            .. attribute:: port1  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 2000..65535
                            
                            .. attribute:: port2  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..16383
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Ip.Rtp, self).__init__()

                                self.yang_name = "rtp"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port1 = YLeaf(YType.uint16, "port1")

                                self.port2 = YLeaf(YType.uint16, "port2")
                                self._segment_path = lambda: "rtp" + "[port1='" + self.port1.get() + "']" + "[port2='" + self.port2.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Ip.Rtp, ['port1', 'port2'], name, value)


                    class Mpls(Entity):
                        """
                        Multi Protocol Label Switching specific values
                        
                        .. attribute:: experimental
                        
                        	Match MPLS experimental
                        	**type**\:  :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Mpls.Experimental>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Not_.Mpls, self).__init__()

                            self.yang_name = "mpls"
                            self.yang_parent_name = "not"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"experimental" : ("experimental", Native.Policy.ClassMap.Match.Not_.Mpls.Experimental)}
                            self._child_list_classes = {}

                            self.experimental = Native.Policy.ClassMap.Match.Not_.Mpls.Experimental()
                            self.experimental.parent = self
                            self._children_name_map["experimental"] = "experimental"
                            self._children_yang_names.add("experimental")
                            self._segment_path = lambda: "mpls"


                        class Experimental(Entity):
                            """
                            Match MPLS experimental
                            
                            .. attribute:: topmost
                            
                            	Match MPLS experimental value on topmost label
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Mpls.Experimental, self).__init__()

                                self.yang_name = "experimental"
                                self.yang_parent_name = "mpls"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.topmost = YLeafList(YType.uint8, "topmost")
                                self._segment_path = lambda: "experimental"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Mpls.Experimental, ['topmost'], name, value)


                    class Packet(Entity):
                        """
                        Layer 3 Packet length
                        
                        .. attribute:: length
                        
                        	Layer 3 Packet length
                        	**type**\:  :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Packet.Length>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Not_.Packet, self).__init__()

                            self.yang_name = "packet"
                            self.yang_parent_name = "not"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"length" : ("length", Native.Policy.ClassMap.Match.Not_.Packet.Length)}
                            self._child_list_classes = {}

                            self.length = Native.Policy.ClassMap.Match.Not_.Packet.Length()
                            self.length.parent = self
                            self._children_name_map["length"] = "length"
                            self._children_yang_names.add("length")
                            self._segment_path = lambda: "packet"


                        class Length(Entity):
                            """
                            Layer 3 Packet length
                            
                            .. attribute:: max
                            
                            	Maximum length of packet
                            	**type**\: int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: min
                            
                            	Minimum length of packet
                            	**type**\: int
                            
                            	**range:** 1..2000
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Packet.Length, self).__init__()

                                self.yang_name = "length"
                                self.yang_parent_name = "packet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max = YLeaf(YType.uint16, "max")

                                self.min = YLeaf(YType.uint16, "min")
                                self._segment_path = lambda: "length"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Packet.Length, ['max', 'min'], name, value)


                    class Protocol(Entity):
                        """
                        Protocol
                        
                        .. attribute:: protocols
                        
                        	
                        	**type**\:  :py:class:`Protocols <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Protocols>`
                        
                        .. attribute:: citrix
                        
                        	Citrix Systems ICA protocol
                        	**type**\:  :py:class:`Citrix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Citrix>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: clns
                        
                        	ISO CLNS
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: clns_es
                        
                        	ISO CLNS End System
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: clns_is
                        
                        	ISO CLNS Intermediate System
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cmns
                        
                        	ISO CMNS
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: compressedtcp
                        
                        	Compressed TCP (VJ
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cuseeme
                        
                        	CU\-SeeMe desktop video conference
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: decnet
                        
                        	DECnet
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: decnet_node
                        
                        	DECnet Node
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: decnet_router_l1
                        
                        	DECnet Router L1
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: decnet_router_l2
                        
                        	DECnet Router L2
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dhcp
                        
                        	Dynamic Host Configuration
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dlsw
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dns
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: edonkey
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: egp
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eigrp
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: exchange
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fasttrack
                        
                        	FastTrack Traffic \- KaZaA, Morpheus, Grokster
                        	**type**\:  :py:class:`Fasttrack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Fasttrack>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: finger
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ftp
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gnutella
                        
                        	Gnutella Version2 Traffic \- BearShare, Shareeza, Morpheus
                        	**type**\:  :py:class:`Gnutella <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Gnutella>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: gopher
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gre
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: h323
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: http
                        
                        	World Wide Web traffic
                        	**type**\:  :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Http>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: icmp
                        
                        	Internet Control Message
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: imap
                        
                        	Internet Message Access Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip
                        
                        	IP
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipinip
                        
                        	IP in IP (encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	IP Security Protocol (ESP/AH
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	IPV6
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipx
                        
                        	Novell IPX
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: irc
                        
                        	Internet Relay Chat
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: kazaa2
                        
                        	Kazaa Version 2
                        	**type**\:  :py:class:`Kazaa2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Kazaa2>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: kerberos
                        
                        	Kerberos
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: l2tp
                        
                        	L2F/L2TP tunnel
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ldap
                        
                        	Lightweight Directory Access Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: llc2
                        
                        	llc2
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgcp
                        
                        	Media Gateway Control Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: napster
                        
                        	Napster Traffic
                        	**type**\:  :py:class:`Napster <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Napster>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: netbios
                        
                        	NetBIOS
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: netshow
                        
                        	Microsoft Netshow
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: nfs
                        
                        	Network File System
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: nntp
                        
                        	Network News Transfer Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: notes
                        
                        	Lotus Notes(R
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: novadigm
                        
                        	Novadigm EDM
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ntp
                        
                        	Network Time Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pad
                        
                        	PAD links
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pcanywhere
                        
                        	Symantec pcANYWHERE
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pop3
                        
                        	Post Office Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pppoe
                        
                        	PPP over Ethernet
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pptp
                        
                        	Point\-to\-Point Tunneling Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: printer
                        
                        	print spooler/lpd
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: qllc
                        
                        	qllc protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rcmd
                        
                        	BSD r\-commands (rsh, rlogin, rexec
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rsrb
                        
                        	Remote Source\-Route Bridging
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rsvp
                        
                        	Resource Reservation Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rtcp
                        
                        	Real Time Control Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rtp
                        
                        	Real Time Protocol
                        	**type**\:  :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Rtp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: rtsp
                        
                        	Real Time Streaming Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_ftp
                        
                        	FTP over TLS/SSL
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_http
                        
                        	Secured HTTP
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_imap
                        
                        	Internet Message Access Protocol over TLS/SSL
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_irc
                        
                        	Internet Relay Chat over TLS/SSL
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_ldap
                        
                        	Lightweight Directory Access Protocol over TLS/SSL
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_nntp
                        
                        	Network News Transfer Protocol over TLS/SSL
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_pop3
                        
                        	Post Office Protocol over TLS/SSL
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: secure_telnet
                        
                        	Telnet over TLS/SSL
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sip
                        
                        	Session Initiation Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: skinny
                        
                        	Skinny Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: smtp
                        
                        	Simple Mail Transfer Protocol
                        	**type**\:  :py:class:`Smtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Smtp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: snapshot
                        
                        	Snapshot routing support
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: snmp
                        
                        	Simple Network Management Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: socks
                        
                        	SOCKS
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sqlnet
                        
                        	SQL\*NET for Oracle
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sqlserver
                        
                        	MS SQL Server
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ssh
                        
                        	Secured Shell
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: streamwork
                        
                        	Xing Technology StreamWorks player
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: stun
                        
                        	Serial Tunnel
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sunrpc
                        
                        	Sun RPC
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: syslog
                        
                        	System Logging Utility
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: telnet
                        
                        	Telnet
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tftp
                        
                        	Trivial File Transfer Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vdolive
                        
                        	VDOLive streaming video
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vofr
                        
                        	voice over Frame Relay packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: winmx
                        
                        	WinMx file\-sharing application
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: xwindows
                        
                        	X\-Windows remote access
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: attribute
                        
                        	Attribute based protocol match
                        	**type**\:  :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Attribute>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Not_.Protocol, self).__init__()

                            self.yang_name = "protocol"
                            self.yang_parent_name = "not"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"citrix" : ("citrix", Native.Policy.ClassMap.Match.Not_.Protocol.Citrix), "fasttrack" : ("fasttrack", Native.Policy.ClassMap.Match.Not_.Protocol.Fasttrack), "gnutella" : ("gnutella", Native.Policy.ClassMap.Match.Not_.Protocol.Gnutella), "http" : ("http", Native.Policy.ClassMap.Match.Not_.Protocol.Http), "kazaa2" : ("kazaa2", Native.Policy.ClassMap.Match.Not_.Protocol.Kazaa2), "napster" : ("napster", Native.Policy.ClassMap.Match.Not_.Protocol.Napster), "rtp" : ("rtp", Native.Policy.ClassMap.Match.Not_.Protocol.Rtp), "smtp" : ("smtp", Native.Policy.ClassMap.Match.Not_.Protocol.Smtp), "attribute" : ("attribute", Native.Policy.ClassMap.Match.Not_.Protocol.Attribute)}
                            self._child_list_classes = {}

                            self.protocols = YLeaf(YType.enumeration, "protocols")

                            self.clns = YLeaf(YType.empty, "clns")

                            self.clns_es = YLeaf(YType.empty, "clns_es")

                            self.clns_is = YLeaf(YType.empty, "clns_is")

                            self.cmns = YLeaf(YType.empty, "cmns")

                            self.compressedtcp = YLeaf(YType.empty, "compressedtcp")

                            self.cuseeme = YLeaf(YType.empty, "cuseeme")

                            self.decnet = YLeaf(YType.empty, "decnet")

                            self.decnet_node = YLeaf(YType.empty, "decnet_node")

                            self.decnet_router_l1 = YLeaf(YType.empty, "decnet_router-l1")

                            self.decnet_router_l2 = YLeaf(YType.empty, "decnet_router-l2")

                            self.dhcp = YLeaf(YType.empty, "dhcp")

                            self.dlsw = YLeaf(YType.empty, "dlsw")

                            self.dns = YLeaf(YType.empty, "dns")

                            self.edonkey = YLeaf(YType.empty, "edonkey")

                            self.egp = YLeaf(YType.empty, "egp")

                            self.eigrp = YLeaf(YType.empty, "eigrp")

                            self.exchange = YLeaf(YType.empty, "exchange")

                            self.finger = YLeaf(YType.empty, "finger")

                            self.ftp = YLeaf(YType.empty, "ftp")

                            self.gopher = YLeaf(YType.empty, "gopher")

                            self.gre = YLeaf(YType.empty, "gre")

                            self.h323 = YLeaf(YType.empty, "h323")

                            self.icmp = YLeaf(YType.empty, "icmp")

                            self.imap = YLeaf(YType.empty, "imap")

                            self.ip = YLeaf(YType.empty, "ip")

                            self.ipinip = YLeaf(YType.empty, "ipinip")

                            self.ipsec = YLeaf(YType.empty, "ipsec")

                            self.ipv6 = YLeaf(YType.empty, "ipv6")

                            self.ipx = YLeaf(YType.empty, "ipx")

                            self.irc = YLeaf(YType.empty, "irc")

                            self.kerberos = YLeaf(YType.empty, "kerberos")

                            self.l2tp = YLeaf(YType.empty, "l2tp")

                            self.ldap = YLeaf(YType.empty, "ldap")

                            self.llc2 = YLeaf(YType.empty, "llc2")

                            self.mgcp = YLeaf(YType.empty, "mgcp")

                            self.netbios = YLeaf(YType.empty, "netbios")

                            self.netshow = YLeaf(YType.empty, "netshow")

                            self.nfs = YLeaf(YType.empty, "nfs")

                            self.nntp = YLeaf(YType.empty, "nntp")

                            self.notes = YLeaf(YType.empty, "notes")

                            self.novadigm = YLeaf(YType.empty, "novadigm")

                            self.ntp = YLeaf(YType.empty, "ntp")

                            self.ospf = YLeaf(YType.empty, "ospf")

                            self.pad = YLeaf(YType.empty, "pad")

                            self.pcanywhere = YLeaf(YType.empty, "pcanywhere")

                            self.pop3 = YLeaf(YType.empty, "pop3")

                            self.pppoe = YLeaf(YType.empty, "pppoe")

                            self.pptp = YLeaf(YType.empty, "pptp")

                            self.printer = YLeaf(YType.empty, "printer")

                            self.qllc = YLeaf(YType.empty, "qllc")

                            self.rcmd = YLeaf(YType.empty, "rcmd")

                            self.rip = YLeaf(YType.empty, "rip")

                            self.rsrb = YLeaf(YType.empty, "rsrb")

                            self.rsvp = YLeaf(YType.empty, "rsvp")

                            self.rtcp = YLeaf(YType.empty, "rtcp")

                            self.rtsp = YLeaf(YType.empty, "rtsp")

                            self.secure_ftp = YLeaf(YType.empty, "secure-ftp")

                            self.secure_http = YLeaf(YType.empty, "secure-http")

                            self.secure_imap = YLeaf(YType.empty, "secure-imap")

                            self.secure_irc = YLeaf(YType.empty, "secure-irc")

                            self.secure_ldap = YLeaf(YType.empty, "secure-ldap")

                            self.secure_nntp = YLeaf(YType.empty, "secure-nntp")

                            self.secure_pop3 = YLeaf(YType.empty, "secure-pop3")

                            self.secure_telnet = YLeaf(YType.empty, "secure-telnet")

                            self.sip = YLeaf(YType.empty, "sip")

                            self.skinny = YLeaf(YType.empty, "skinny")

                            self.snapshot = YLeaf(YType.empty, "snapshot")

                            self.snmp = YLeaf(YType.empty, "snmp")

                            self.socks = YLeaf(YType.empty, "socks")

                            self.sqlnet = YLeaf(YType.empty, "sqlnet")

                            self.sqlserver = YLeaf(YType.empty, "sqlserver")

                            self.ssh = YLeaf(YType.empty, "ssh")

                            self.streamwork = YLeaf(YType.empty, "streamwork")

                            self.stun = YLeaf(YType.empty, "stun")

                            self.sunrpc = YLeaf(YType.empty, "sunrpc")

                            self.syslog = YLeaf(YType.empty, "syslog")

                            self.telnet = YLeaf(YType.empty, "telnet")

                            self.tftp = YLeaf(YType.empty, "tftp")

                            self.vdolive = YLeaf(YType.empty, "vdolive")

                            self.vofr = YLeaf(YType.empty, "vofr")

                            self.winmx = YLeaf(YType.empty, "winmx")

                            self.xwindows = YLeaf(YType.empty, "xwindows")

                            self.citrix = None
                            self._children_name_map["citrix"] = "citrix"
                            self._children_yang_names.add("citrix")

                            self.fasttrack = None
                            self._children_name_map["fasttrack"] = "fasttrack"
                            self._children_yang_names.add("fasttrack")

                            self.gnutella = None
                            self._children_name_map["gnutella"] = "gnutella"
                            self._children_yang_names.add("gnutella")

                            self.http = None
                            self._children_name_map["http"] = "http"
                            self._children_yang_names.add("http")

                            self.kazaa2 = None
                            self._children_name_map["kazaa2"] = "kazaa2"
                            self._children_yang_names.add("kazaa2")

                            self.napster = None
                            self._children_name_map["napster"] = "napster"
                            self._children_yang_names.add("napster")

                            self.rtp = None
                            self._children_name_map["rtp"] = "rtp"
                            self._children_yang_names.add("rtp")

                            self.smtp = None
                            self._children_name_map["smtp"] = "smtp"
                            self._children_yang_names.add("smtp")

                            self.attribute = Native.Policy.ClassMap.Match.Not_.Protocol.Attribute()
                            self.attribute.parent = self
                            self._children_name_map["attribute"] = "attribute"
                            self._children_yang_names.add("attribute")
                            self._segment_path = lambda: "protocol"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Protocol, ['protocols', 'clns', 'clns_es', 'clns_is', 'cmns', 'compressedtcp', 'cuseeme', 'decnet', 'decnet_node', 'decnet_router_l1', 'decnet_router_l2', 'dhcp', 'dlsw', 'dns', 'edonkey', 'egp', 'eigrp', 'exchange', 'finger', 'ftp', 'gopher', 'gre', 'h323', 'icmp', 'imap', 'ip', 'ipinip', 'ipsec', 'ipv6', 'ipx', 'irc', 'kerberos', 'l2tp', 'ldap', 'llc2', 'mgcp', 'netbios', 'netshow', 'nfs', 'nntp', 'notes', 'novadigm', 'ntp', 'ospf', 'pad', 'pcanywhere', 'pop3', 'pppoe', 'pptp', 'printer', 'qllc', 'rcmd', 'rip', 'rsrb', 'rsvp', 'rtcp', 'rtsp', 'secure_ftp', 'secure_http', 'secure_imap', 'secure_irc', 'secure_ldap', 'secure_nntp', 'secure_pop3', 'secure_telnet', 'sip', 'skinny', 'snapshot', 'snmp', 'socks', 'sqlnet', 'sqlserver', 'ssh', 'streamwork', 'stun', 'sunrpc', 'syslog', 'telnet', 'tftp', 'vdolive', 'vofr', 'winmx', 'xwindows'], name, value)

                        class Protocols(Enum):
                            """
                            Protocols

                            .. data:: x802_11_iapp = 0

                            .. data:: ace_svr = 1

                            .. data:: aol = 2

                            .. data:: appleqtc = 3

                            .. data:: biff = 4

                            .. data:: bittorrent = 5

                            .. data:: bootpc = 6

                            .. data:: bootps = 7

                            .. data:: cddbp = 8

                            .. data:: cifs = 9

                            .. data:: cisco_fna = 10

                            .. data:: cisco_net_mgmt = 11

                            .. data:: cisco_svcs = 12

                            .. data:: cisco_sys = 13

                            .. data:: cisco_tdp = 14

                            .. data:: cisco_tna = 15

                            .. data:: citriximaclient = 16

                            .. data:: clp = 17

                            .. data:: creativepartnr = 18

                            .. data:: creativeserver = 19

                            .. data:: daytime = 20

                            .. data:: dbase = 21

                            .. data:: dbcontrol_agent = 22

                            .. data:: ddns_v3 = 23

                            .. data:: dhcp_failover = 24

                            .. data:: directconnect = 25

                            .. data:: discard = 26

                            .. data:: dnsix = 27

                            .. data:: echo = 28

                            .. data:: entrust_svc_hdlr = 29

                            .. data:: entrust_svcs = 30

                            .. data:: exec_ = 31

                            .. data:: fcip_port = 32

                            .. data:: ftps = 33

                            .. data:: gdoi = 34

                            .. data:: giop = 35

                            .. data:: gtpv0 = 36

                            .. data:: gtpv1 = 37

                            .. data:: h225ras = 38

                            .. data:: h323callsigalt = 39

                            .. data:: hp_alarm_mgr = 40

                            .. data:: hp_collector = 41

                            .. data:: hp_managed_node = 42

                            .. data:: hsrp = 43

                            .. data:: https = 44

                            .. data:: ica = 45

                            .. data:: icabrowser = 46

                            .. data:: ident = 47

                            .. data:: igmpv3lite = 48

                            .. data:: imap3 = 49

                            .. data:: imaps = 50

                            .. data:: ipass = 51

                            .. data:: ipsec_msft = 52

                            .. data:: irc_serv = 53

                            .. data:: ircs = 54

                            .. data:: ircu = 55

                            .. data:: isakmp = 56

                            .. data:: iscsi = 57

                            .. data:: iscsi_target = 58

                            .. data:: kermit = 59

                            .. data:: ldap_admin = 60

                            .. data:: ldaps = 61

                            .. data:: login = 62

                            .. data:: lotusmtap = 63

                            .. data:: lotusnote = 64

                            .. data:: mapi = 65

                            .. data:: ms_ad_rep = 66

                            .. data:: ms_exch_nspi = 67

                            .. data:: ms_frs = 68

                            .. data:: ms_frsapi = 69

                            .. data:: ms_rfr = 70

                            .. data:: msn_messenger = 71

                            .. data:: netlogon = 72

                            .. data:: microsoft_ds = 73

                            .. data:: ms_cluster_net = 74

                            .. data:: ms_dotnetster = 75

                            .. data:: ms_sna = 76

                            .. data:: ms_sql = 77

                            .. data:: ms_sql_m = 78

                            .. data:: msexch_routing = 79

                            .. data:: msnmsgr = 80

                            .. data:: msrpc = 81

                            .. data:: mysql = 82

                            .. data:: n2h2server = 83

                            .. data:: ncp = 84

                            .. data:: net8_cman = 85

                            .. data:: netbios_dgm = 86

                            .. data:: netbios_ns = 87

                            .. data:: netbios_ssn = 88

                            .. data:: netstat = 89

                            .. data:: oem_agent = 90

                            .. data:: oracle = 91

                            .. data:: oracle_em_vp = 92

                            .. data:: oraclenames = 93

                            .. data:: orasrv = 94

                            .. data:: pcanywheredata = 95

                            .. data:: pcanywherestat = 96

                            .. data:: pop3s = 97

                            .. data:: pwdgen = 98

                            .. data:: qmtp = 99

                            .. data:: r_winsock = 100

                            .. data:: radius = 101

                            .. data:: rdb_dbs_disp = 102

                            .. data:: realmedia = 103

                            .. data:: realsecure = 104

                            .. data:: router = 105

                            .. data:: rsvp_encap = 106

                            .. data:: rsvp_tunnel = 107

                            .. data:: rtc_pm_port = 108

                            .. data:: rtelnet = 109

                            .. data:: send = 110

                            .. data:: shell = 111

                            .. data:: sip_tls = 112

                            .. data:: sms = 113

                            .. data:: smtp = 114

                            .. data:: snmptrap = 115

                            .. data:: sql_net = 116

                            .. data:: sqlserv = 117

                            .. data:: sqlsrv = 118

                            .. data:: sshell = 119

                            .. data:: ssp = 120

                            .. data:: syslog_conn = 121

                            .. data:: tacacs = 122

                            .. data:: tacacs_ds = 123

                            .. data:: tarantella = 124

                            .. data:: tcp = 125

                            .. data:: telnets = 126

                            .. data:: time = 127

                            .. data:: timed = 128

                            .. data:: tr_rsrb = 129

                            .. data:: ttc = 130

                            .. data:: udp = 131

                            .. data:: uucp = 132

                            .. data:: vqp = 133

                            .. data:: webster = 134

                            .. data:: who = 135

                            .. data:: wins = 136

                            .. data:: x11 = 137

                            .. data:: xdmcp = 138

                            .. data:: ymsgr = 139

                            .. data:: aarp = 140

                            .. data:: appletalk = 141

                            .. data:: arp = 142

                            .. data:: bgp = 143

                            .. data:: bridge = 144

                            .. data:: bstun = 145

                            .. data:: cdp = 146

                            """

                            x802_11_iapp = Enum.YLeaf(0, "x802-11-iapp")

                            ace_svr = Enum.YLeaf(1, "ace-svr")

                            aol = Enum.YLeaf(2, "aol")

                            appleqtc = Enum.YLeaf(3, "appleqtc")

                            biff = Enum.YLeaf(4, "biff")

                            bittorrent = Enum.YLeaf(5, "bittorrent")

                            bootpc = Enum.YLeaf(6, "bootpc")

                            bootps = Enum.YLeaf(7, "bootps")

                            cddbp = Enum.YLeaf(8, "cddbp")

                            cifs = Enum.YLeaf(9, "cifs")

                            cisco_fna = Enum.YLeaf(10, "cisco-fna")

                            cisco_net_mgmt = Enum.YLeaf(11, "cisco-net-mgmt")

                            cisco_svcs = Enum.YLeaf(12, "cisco-svcs")

                            cisco_sys = Enum.YLeaf(13, "cisco-sys")

                            cisco_tdp = Enum.YLeaf(14, "cisco-tdp")

                            cisco_tna = Enum.YLeaf(15, "cisco-tna")

                            citriximaclient = Enum.YLeaf(16, "citriximaclient")

                            clp = Enum.YLeaf(17, "clp")

                            creativepartnr = Enum.YLeaf(18, "creativepartnr")

                            creativeserver = Enum.YLeaf(19, "creativeserver")

                            daytime = Enum.YLeaf(20, "daytime")

                            dbase = Enum.YLeaf(21, "dbase")

                            dbcontrol_agent = Enum.YLeaf(22, "dbcontrol_agent")

                            ddns_v3 = Enum.YLeaf(23, "ddns-v3")

                            dhcp_failover = Enum.YLeaf(24, "dhcp-failover")

                            directconnect = Enum.YLeaf(25, "directconnect")

                            discard = Enum.YLeaf(26, "discard")

                            dnsix = Enum.YLeaf(27, "dnsix")

                            echo = Enum.YLeaf(28, "echo")

                            entrust_svc_hdlr = Enum.YLeaf(29, "entrust-svc-hdlr")

                            entrust_svcs = Enum.YLeaf(30, "entrust-svcs")

                            exec_ = Enum.YLeaf(31, "exec")

                            fcip_port = Enum.YLeaf(32, "fcip-port")

                            ftps = Enum.YLeaf(33, "ftps")

                            gdoi = Enum.YLeaf(34, "gdoi")

                            giop = Enum.YLeaf(35, "giop")

                            gtpv0 = Enum.YLeaf(36, "gtpv0")

                            gtpv1 = Enum.YLeaf(37, "gtpv1")

                            h225ras = Enum.YLeaf(38, "h225ras")

                            h323callsigalt = Enum.YLeaf(39, "h323callsigalt")

                            hp_alarm_mgr = Enum.YLeaf(40, "hp-alarm-mgr")

                            hp_collector = Enum.YLeaf(41, "hp-collector")

                            hp_managed_node = Enum.YLeaf(42, "hp-managed-node")

                            hsrp = Enum.YLeaf(43, "hsrp")

                            https = Enum.YLeaf(44, "https")

                            ica = Enum.YLeaf(45, "ica")

                            icabrowser = Enum.YLeaf(46, "icabrowser")

                            ident = Enum.YLeaf(47, "ident")

                            igmpv3lite = Enum.YLeaf(48, "igmpv3lite")

                            imap3 = Enum.YLeaf(49, "imap3")

                            imaps = Enum.YLeaf(50, "imaps")

                            ipass = Enum.YLeaf(51, "ipass")

                            ipsec_msft = Enum.YLeaf(52, "ipsec-msft")

                            irc_serv = Enum.YLeaf(53, "irc-serv")

                            ircs = Enum.YLeaf(54, "ircs")

                            ircu = Enum.YLeaf(55, "ircu")

                            isakmp = Enum.YLeaf(56, "isakmp")

                            iscsi = Enum.YLeaf(57, "iscsi")

                            iscsi_target = Enum.YLeaf(58, "iscsi-target")

                            kermit = Enum.YLeaf(59, "kermit")

                            ldap_admin = Enum.YLeaf(60, "ldap-admin")

                            ldaps = Enum.YLeaf(61, "ldaps")

                            login = Enum.YLeaf(62, "login")

                            lotusmtap = Enum.YLeaf(63, "lotusmtap")

                            lotusnote = Enum.YLeaf(64, "lotusnote")

                            mapi = Enum.YLeaf(65, "mapi")

                            ms_ad_rep = Enum.YLeaf(66, "ms-ad-rep")

                            ms_exch_nspi = Enum.YLeaf(67, "ms-exch-nspi")

                            ms_frs = Enum.YLeaf(68, "ms-frs")

                            ms_frsapi = Enum.YLeaf(69, "ms-frsapi")

                            ms_rfr = Enum.YLeaf(70, "ms-rfr")

                            msn_messenger = Enum.YLeaf(71, "msn-messenger")

                            netlogon = Enum.YLeaf(72, "netlogon")

                            microsoft_ds = Enum.YLeaf(73, "microsoft-ds")

                            ms_cluster_net = Enum.YLeaf(74, "ms-cluster-net")

                            ms_dotnetster = Enum.YLeaf(75, "ms-dotnetster")

                            ms_sna = Enum.YLeaf(76, "ms-sna")

                            ms_sql = Enum.YLeaf(77, "ms-sql")

                            ms_sql_m = Enum.YLeaf(78, "ms-sql-m")

                            msexch_routing = Enum.YLeaf(79, "msexch-routing")

                            msnmsgr = Enum.YLeaf(80, "msnmsgr")

                            msrpc = Enum.YLeaf(81, "msrpc")

                            mysql = Enum.YLeaf(82, "mysql")

                            n2h2server = Enum.YLeaf(83, "n2h2server")

                            ncp = Enum.YLeaf(84, "ncp")

                            net8_cman = Enum.YLeaf(85, "net8-cman")

                            netbios_dgm = Enum.YLeaf(86, "netbios-dgm")

                            netbios_ns = Enum.YLeaf(87, "netbios-ns")

                            netbios_ssn = Enum.YLeaf(88, "netbios-ssn")

                            netstat = Enum.YLeaf(89, "netstat")

                            oem_agent = Enum.YLeaf(90, "oem-agent")

                            oracle = Enum.YLeaf(91, "oracle")

                            oracle_em_vp = Enum.YLeaf(92, "oracle-em-vp")

                            oraclenames = Enum.YLeaf(93, "oraclenames")

                            orasrv = Enum.YLeaf(94, "orasrv")

                            pcanywheredata = Enum.YLeaf(95, "pcanywheredata")

                            pcanywherestat = Enum.YLeaf(96, "pcanywherestat")

                            pop3s = Enum.YLeaf(97, "pop3s")

                            pwdgen = Enum.YLeaf(98, "pwdgen")

                            qmtp = Enum.YLeaf(99, "qmtp")

                            r_winsock = Enum.YLeaf(100, "r-winsock")

                            radius = Enum.YLeaf(101, "radius")

                            rdb_dbs_disp = Enum.YLeaf(102, "rdb-dbs-disp")

                            realmedia = Enum.YLeaf(103, "realmedia")

                            realsecure = Enum.YLeaf(104, "realsecure")

                            router = Enum.YLeaf(105, "router")

                            rsvp_encap = Enum.YLeaf(106, "rsvp-encap")

                            rsvp_tunnel = Enum.YLeaf(107, "rsvp_tunnel")

                            rtc_pm_port = Enum.YLeaf(108, "rtc-pm-port")

                            rtelnet = Enum.YLeaf(109, "rtelnet")

                            send = Enum.YLeaf(110, "send")

                            shell = Enum.YLeaf(111, "shell")

                            sip_tls = Enum.YLeaf(112, "sip-tls")

                            sms = Enum.YLeaf(113, "sms")

                            smtp = Enum.YLeaf(114, "smtp")

                            snmptrap = Enum.YLeaf(115, "snmptrap")

                            sql_net = Enum.YLeaf(116, "sql-net")

                            sqlserv = Enum.YLeaf(117, "sqlserv")

                            sqlsrv = Enum.YLeaf(118, "sqlsrv")

                            sshell = Enum.YLeaf(119, "sshell")

                            ssp = Enum.YLeaf(120, "ssp")

                            syslog_conn = Enum.YLeaf(121, "syslog-conn")

                            tacacs = Enum.YLeaf(122, "tacacs")

                            tacacs_ds = Enum.YLeaf(123, "tacacs-ds")

                            tarantella = Enum.YLeaf(124, "tarantella")

                            tcp = Enum.YLeaf(125, "tcp")

                            telnets = Enum.YLeaf(126, "telnets")

                            time = Enum.YLeaf(127, "time")

                            timed = Enum.YLeaf(128, "timed")

                            tr_rsrb = Enum.YLeaf(129, "tr-rsrb")

                            ttc = Enum.YLeaf(130, "ttc")

                            udp = Enum.YLeaf(131, "udp")

                            uucp = Enum.YLeaf(132, "uucp")

                            vqp = Enum.YLeaf(133, "vqp")

                            webster = Enum.YLeaf(134, "webster")

                            who = Enum.YLeaf(135, "who")

                            wins = Enum.YLeaf(136, "wins")

                            x11 = Enum.YLeaf(137, "x11")

                            xdmcp = Enum.YLeaf(138, "xdmcp")

                            ymsgr = Enum.YLeaf(139, "ymsgr")

                            aarp = Enum.YLeaf(140, "aarp")

                            appletalk = Enum.YLeaf(141, "appletalk")

                            arp = Enum.YLeaf(142, "arp")

                            bgp = Enum.YLeaf(143, "bgp")

                            bridge = Enum.YLeaf(144, "bridge")

                            bstun = Enum.YLeaf(145, "bstun")

                            cdp = Enum.YLeaf(146, "cdp")



                        class Citrix(Entity):
                            """
                            Citrix Systems ICA protocol
                            
                            .. attribute:: ica_tag
                            
                            	Citrix ICA tag 0\-high 1\-medium 2\-low 3\-background
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Protocol.Citrix, self).__init__()

                                self.yang_name = "citrix"
                                self.yang_parent_name = "protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ica_tag = YLeaf(YType.str, "ica-tag")
                                self._segment_path = lambda: "citrix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Protocol.Citrix, ['ica_tag'], name, value)


                        class Fasttrack(Entity):
                            """
                            FastTrack Traffic \- KaZaA, Morpheus, Grokster
                            
                            .. attribute:: file_transfer
                            
                            	File transfer stream
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Protocol.Fasttrack, self).__init__()

                                self.yang_name = "fasttrack"
                                self.yang_parent_name = "protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.file_transfer = YLeaf(YType.str, "file-transfer")
                                self._segment_path = lambda: "fasttrack"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Protocol.Fasttrack, ['file_transfer'], name, value)


                        class Gnutella(Entity):
                            """
                            Gnutella Version2 Traffic \- BearShare, Shareeza, Morpheus
                            
                            .. attribute:: file_transfer
                            
                            	File transfer stream
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Protocol.Gnutella, self).__init__()

                                self.yang_name = "gnutella"
                                self.yang_parent_name = "protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.file_transfer = YLeaf(YType.str, "file-transfer")
                                self._segment_path = lambda: "gnutella"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Protocol.Gnutella, ['file_transfer'], name, value)


                        class Http(Entity):
                            """
                            World Wide Web traffic
                            
                            .. attribute:: c_header_field
                            
                            	Client general Header Field
                            	**type**\: str
                            
                            .. attribute:: host
                            
                            	Server Host Name
                            	**type**\: str
                            
                            .. attribute:: mime
                            
                            	Match MIME Type
                            	**type**\: str
                            
                            .. attribute:: s_header_field
                            
                            	Server general Header Field
                            	**type**\: str
                            
                            .. attribute:: url
                            
                            	Match URL String
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Protocol.Http, self).__init__()

                                self.yang_name = "http"
                                self.yang_parent_name = "protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.c_header_field = YLeaf(YType.str, "c-header-field")

                                self.host = YLeaf(YType.str, "host")

                                self.mime = YLeaf(YType.str, "mime")

                                self.s_header_field = YLeaf(YType.str, "s-header-field")

                                self.url = YLeaf(YType.str, "url")
                                self._segment_path = lambda: "http"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Protocol.Http, ['c_header_field', 'host', 'mime', 's_header_field', 'url'], name, value)


                        class Kazaa2(Entity):
                            """
                            Kazaa Version 2
                            
                            .. attribute:: file_transfer
                            
                            	File transfer stream
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Protocol.Kazaa2, self).__init__()

                                self.yang_name = "kazaa2"
                                self.yang_parent_name = "protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.file_transfer = YLeaf(YType.str, "file-transfer")
                                self._segment_path = lambda: "kazaa2"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Protocol.Kazaa2, ['file_transfer'], name, value)


                        class Napster(Entity):
                            """
                            Napster Traffic
                            
                            .. attribute:: non_std
                            
                            	Non\-standard port advertizements
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Protocol.Napster, self).__init__()

                                self.yang_name = "napster"
                                self.yang_parent_name = "protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.non_std = YLeaf(YType.empty, "non-std")
                                self._segment_path = lambda: "napster"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Protocol.Napster, ['non_std'], name, value)


                        class Rtp(Entity):
                            """
                            Real Time Protocol
                            
                            .. attribute:: audio
                            
                            	Match voice packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: payload_type
                            
                            	Match an explicit PT
                            	**type**\: str
                            
                            .. attribute:: video
                            
                            	Match video packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Protocol.Rtp, self).__init__()

                                self.yang_name = "rtp"
                                self.yang_parent_name = "protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.audio = YLeaf(YType.empty, "audio")

                                self.payload_type = YLeaf(YType.str, "payload-type")

                                self.video = YLeaf(YType.empty, "video")
                                self._segment_path = lambda: "rtp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Protocol.Rtp, ['audio', 'payload_type', 'video'], name, value)


                        class Smtp(Entity):
                            """
                            Simple Mail Transfer Protocol
                            
                            .. attribute:: extended
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Protocol.Smtp, self).__init__()

                                self.yang_name = "smtp"
                                self.yang_parent_name = "protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.extended = YLeaf(YType.empty, "extended")
                                self._segment_path = lambda: "smtp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Protocol.Smtp, ['extended'], name, value)


                        class Attribute(Entity):
                            """
                            Attribute based protocol match
                            
                            .. attribute:: business_relevance
                            
                            	Application business\-relevance
                            	**type**\:  :py:class:`BusinessRelevance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.BusinessRelevance>`
                            
                            .. attribute:: traffic_class
                            
                            	SRND class
                            	**type**\:  :py:class:`TrafficClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.TrafficClass>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.Protocol.Attribute, self).__init__()

                                self.yang_name = "attribute"
                                self.yang_parent_name = "protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"business-relevance" : ("business_relevance", Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.BusinessRelevance), "traffic-class" : ("traffic_class", Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.TrafficClass)}
                                self._child_list_classes = {}

                                self.business_relevance = Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.BusinessRelevance()
                                self.business_relevance.parent = self
                                self._children_name_map["business_relevance"] = "business-relevance"
                                self._children_yang_names.add("business-relevance")

                                self.traffic_class = Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.TrafficClass()
                                self.traffic_class.parent = self
                                self._children_name_map["traffic_class"] = "traffic-class"
                                self._children_yang_names.add("traffic-class")
                                self._segment_path = lambda: "attribute"


                            class BusinessRelevance(Entity):
                                """
                                Application business\-relevance
                                
                                .. attribute:: business_irrelevant
                                
                                	Undesirable business traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: business_relevant
                                
                                	Business critical applications
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: default
                                
                                	Related business applications
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.BusinessRelevance, self).__init__()

                                    self.yang_name = "business-relevance"
                                    self.yang_parent_name = "attribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.business_irrelevant = YLeaf(YType.empty, "business-irrelevant")

                                    self.business_relevant = YLeaf(YType.empty, "business-relevant")

                                    self.default = YLeaf(YType.empty, "default")
                                    self._segment_path = lambda: "business-relevance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.BusinessRelevance, ['business_irrelevant', 'business_relevant', 'default'], name, value)


                            class TrafficClass(Entity):
                                """
                                SRND class
                                
                                .. attribute:: broadcast_video
                                
                                	Broadcast TV, live events, video surveillance
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: bulk_data
                                
                                	Non\-interactive data applications
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: multimedia_conferencing
                                
                                	Desktop software multimedia collaboration applications
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: multimedia_streaming
                                
                                	Video\-on\-Demand (VoD) streaming video
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: network_control
                                
                                	Network control plane traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ops_admin_mgmt
                                
                                	Network operations, administration, and management traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: real_time_interactive
                                
                                	High\-definition interactive video applications
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: signaling
                                
                                	Signaling traffic that supports IP voice and video telephony
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: transactional_data
                                
                                	Interactive data applications
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: voip_telephony
                                
                                	VoIP telephony (bearer\-only) traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.TrafficClass, self).__init__()

                                    self.yang_name = "traffic-class"
                                    self.yang_parent_name = "attribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.broadcast_video = YLeaf(YType.empty, "broadcast-video")

                                    self.bulk_data = YLeaf(YType.empty, "bulk-data")

                                    self.multimedia_conferencing = YLeaf(YType.empty, "multimedia-conferencing")

                                    self.multimedia_streaming = YLeaf(YType.empty, "multimedia-streaming")

                                    self.network_control = YLeaf(YType.empty, "network-control")

                                    self.ops_admin_mgmt = YLeaf(YType.empty, "ops-admin-mgmt")

                                    self.real_time_interactive = YLeaf(YType.empty, "real-time-interactive")

                                    self.signaling = YLeaf(YType.empty, "signaling")

                                    self.transactional_data = YLeaf(YType.empty, "transactional-data")

                                    self.voip_telephony = YLeaf(YType.empty, "voip-telephony")
                                    self._segment_path = lambda: "traffic-class"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Protocol.Attribute.TrafficClass, ['broadcast_video', 'bulk_data', 'multimedia_conferencing', 'multimedia_streaming', 'network_control', 'ops_admin_mgmt', 'real_time_interactive', 'signaling', 'transactional_data', 'voip_telephony'], name, value)


                    class SecurityGroup(Entity):
                        """
                        Security group
                        
                        .. attribute:: destination
                        
                        	Destination security group
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.SecurityGroup.Destination>`
                        
                        .. attribute:: source
                        
                        	Source security group
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.Match.Not_.SecurityGroup.Source>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Not_.SecurityGroup, self).__init__()

                            self.yang_name = "security-group"
                            self.yang_parent_name = "not"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.Policy.ClassMap.Match.Not_.SecurityGroup.Destination), "source" : ("source", Native.Policy.ClassMap.Match.Not_.SecurityGroup.Source)}
                            self._child_list_classes = {}

                            self.destination = Native.Policy.ClassMap.Match.Not_.SecurityGroup.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")

                            self.source = Native.Policy.ClassMap.Match.Not_.SecurityGroup.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "security-group"


                        class Destination(Entity):
                            """
                            Destination security group
                            
                            .. attribute:: tag
                            
                            	Security group tag
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.SecurityGroup.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "security-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.tag = YLeaf(YType.uint16, "tag")
                                self._segment_path = lambda: "destination"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.SecurityGroup.Destination, ['tag'], name, value)


                        class Source(Entity):
                            """
                            Source security group
                            
                            .. attribute:: tag
                            
                            	Security group tag
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.Match.Not_.SecurityGroup.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "security-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.tag = YLeaf(YType.uint16, "tag")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.Match.Not_.SecurityGroup.Source, ['tag'], name, value)


                    class SourceAddress(Entity):
                        """
                        Source address
                        
                        .. attribute:: mac
                        
                        	MAC address
                        	**type**\: list of str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Not_.SourceAddress, self).__init__()

                            self.yang_name = "source-address"
                            self.yang_parent_name = "not"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.mac = YLeafList(YType.str, "mac")
                            self._segment_path = lambda: "source-address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Not_.SourceAddress, ['mac'], name, value)


                    class Vlan(Entity):
                        """
                        VLANs to match
                        
                        .. attribute:: inner
                        
                        	Inner tag to match
                        	**type**\: union of the below types:
                        
                        		**type**\: list of int
                        
                        			**range:** 1..4094
                        
                        		**type**\: list of str
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: list of int
                        
                        			**range:** 1..4094
                        
                        		**type**\: list of str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.Match.Not_.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "not"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.inner = YLeafList(YType.str, "inner")

                            self.value = YLeafList(YType.str, "value")
                            self._segment_path = lambda: "vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.ClassMap.Match.Not_.Vlan, ['inner', 'value'], name, value)


            class NoMatch(Entity):
                """
                no\-match filter
                
                .. attribute:: activated_service_template
                
                	match name of service template activated on session
                	**type**\: list of  		 :py:class:`ActivatedServiceTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.ActivatedServiceTemplate>`
                
                .. attribute:: authorization_status
                
                	match the authorization status of the session
                	**type**\:  :py:class:`AuthorizationStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.AuthorizationStatus>`
                
                .. attribute:: authorizing_method_priority
                
                	match the priority against the authorizing method's priority
                	**type**\:  :py:class:`AuthorizingMethodPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.AuthorizingMethodPriority>`
                
                .. attribute:: method
                
                	match the type of authentication method from an event
                	**type**\:  :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.Method>`
                
                .. attribute:: result_type
                
                	match the result type, optionally for a specific method
                	**type**\:  :py:class:`ResultType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.ResultType>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Policy.ClassMap.NoMatch, self).__init__()

                    self.yang_name = "no-match"
                    self.yang_parent_name = "class-map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authorization-status" : ("authorization_status", Native.Policy.ClassMap.NoMatch.AuthorizationStatus), "authorizing-method-priority" : ("authorizing_method_priority", Native.Policy.ClassMap.NoMatch.AuthorizingMethodPriority), "method" : ("method", Native.Policy.ClassMap.NoMatch.Method), "result-type" : ("result_type", Native.Policy.ClassMap.NoMatch.ResultType)}
                    self._child_list_classes = {"activated-service-template" : ("activated_service_template", Native.Policy.ClassMap.NoMatch.ActivatedServiceTemplate)}

                    self.authorization_status = Native.Policy.ClassMap.NoMatch.AuthorizationStatus()
                    self.authorization_status.parent = self
                    self._children_name_map["authorization_status"] = "authorization-status"
                    self._children_yang_names.add("authorization-status")

                    self.authorizing_method_priority = Native.Policy.ClassMap.NoMatch.AuthorizingMethodPriority()
                    self.authorizing_method_priority.parent = self
                    self._children_name_map["authorizing_method_priority"] = "authorizing-method-priority"
                    self._children_yang_names.add("authorizing-method-priority")

                    self.method = Native.Policy.ClassMap.NoMatch.Method()
                    self.method.parent = self
                    self._children_name_map["method"] = "method"
                    self._children_yang_names.add("method")

                    self.result_type = Native.Policy.ClassMap.NoMatch.ResultType()
                    self.result_type.parent = self
                    self._children_name_map["result_type"] = "result-type"
                    self._children_yang_names.add("result-type")

                    self.activated_service_template = YList(self)
                    self._segment_path = lambda: "no-match"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Policy.ClassMap.NoMatch, [], name, value)


                class ActivatedServiceTemplate(Entity):
                    """
                    match name of service template activated on session
                    
                    .. attribute:: service_name  <key>
                    
                    	Enter service name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.NoMatch.ActivatedServiceTemplate, self).__init__()

                        self.yang_name = "activated-service-template"
                        self.yang_parent_name = "no-match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.service_name = YLeaf(YType.str, "service-name")
                        self._segment_path = lambda: "activated-service-template" + "[service-name='" + self.service_name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.NoMatch.ActivatedServiceTemplate, ['service_name'], name, value)


                class AuthorizationStatus(Entity):
                    """
                    match the authorization status of the session
                    
                    .. attribute:: authorized
                    
                    	authorized
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unauthorized
                    
                    	unauthorized
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.NoMatch.AuthorizationStatus, self).__init__()

                        self.yang_name = "authorization-status"
                        self.yang_parent_name = "no-match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.authorized = YLeaf(YType.empty, "authorized")

                        self.unauthorized = YLeaf(YType.empty, "unauthorized")
                        self._segment_path = lambda: "authorization-status"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.NoMatch.AuthorizationStatus, ['authorized', 'unauthorized'], name, value)


                class AuthorizingMethodPriority(Entity):
                    """
                    match the priority against the authorizing method's priority
                    
                    .. attribute:: eq
                    
                    	equal to
                    	**type**\: int
                    
                    	**range:** 1..254
                    
                    .. attribute:: gt
                    
                    	greater than
                    	**type**\: int
                    
                    	**range:** 1..254
                    
                    .. attribute:: lt
                    
                    	less than
                    	**type**\: int
                    
                    	**range:** 1..254
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.NoMatch.AuthorizingMethodPriority, self).__init__()

                        self.yang_name = "authorizing-method-priority"
                        self.yang_parent_name = "no-match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eq = YLeaf(YType.uint8, "eq")

                        self.gt = YLeaf(YType.uint8, "gt")

                        self.lt = YLeaf(YType.uint8, "lt")
                        self._segment_path = lambda: "authorizing-method-priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.NoMatch.AuthorizingMethodPriority, ['eq', 'gt', 'lt'], name, value)


                class Method(Entity):
                    """
                    match the type of authentication method from an event
                    
                    .. attribute:: dot1x
                    
                    	dot1x
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	mab
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	webauth
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.NoMatch.Method, self).__init__()

                        self.yang_name = "method"
                        self.yang_parent_name = "no-match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dot1x = YLeaf(YType.empty, "dot1x")

                        self.mab = YLeaf(YType.empty, "mab")

                        self.webauth = YLeaf(YType.empty, "webauth")
                        self._segment_path = lambda: "method"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.NoMatch.Method, ['dot1x', 'mab', 'webauth'], name, value)


                class ResultType(Entity):
                    """
                    match the result type, optionally for a specific method
                    
                    .. attribute:: method
                    
                    	match the result of a particular method
                    	**type**\:  :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.ResultType.Method>`
                    
                    .. attribute:: aaa_timeout
                    
                    	aaa timeout type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: agent_not_found
                    
                    	agent not found type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: authoritative
                    
                    	failure type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: method_timeout
                    
                    	method\_timeout type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	no type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: success
                    
                    	success type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.ClassMap.NoMatch.ResultType, self).__init__()

                        self.yang_name = "result-type"
                        self.yang_parent_name = "no-match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"method" : ("method", Native.Policy.ClassMap.NoMatch.ResultType.Method)}
                        self._child_list_classes = {}

                        self.aaa_timeout = YLeaf(YType.empty, "aaa-timeout")

                        self.agent_not_found = YLeaf(YType.empty, "agent-not-found")

                        self.authoritative = YLeaf(YType.empty, "authoritative")

                        self.method_timeout = YLeaf(YType.empty, "method-timeout")

                        self.none = YLeaf(YType.empty, "none")

                        self.success = YLeaf(YType.empty, "success")

                        self.method = Native.Policy.ClassMap.NoMatch.ResultType.Method()
                        self.method.parent = self
                        self._children_name_map["method"] = "method"
                        self._children_yang_names.add("method")
                        self._segment_path = lambda: "result-type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.ClassMap.NoMatch.ResultType, ['aaa_timeout', 'agent_not_found', 'authoritative', 'method_timeout', 'none', 'success'], name, value)


                    class Method(Entity):
                        """
                        match the result of a particular method
                        
                        .. attribute:: dot1x
                        
                        	dot1x result
                        	**type**\:  :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.ResultType.Method.Dot1X>`
                        
                        .. attribute:: mab
                        
                        	mab result
                        	**type**\:  :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.ResultType.Method.Mab>`
                        
                        .. attribute:: webauth
                        
                        	webauth result
                        	**type**\:  :py:class:`Webauth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap.NoMatch.ResultType.Method.Webauth>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.ClassMap.NoMatch.ResultType.Method, self).__init__()

                            self.yang_name = "method"
                            self.yang_parent_name = "result-type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dot1x" : ("dot1x", Native.Policy.ClassMap.NoMatch.ResultType.Method.Dot1X), "mab" : ("mab", Native.Policy.ClassMap.NoMatch.ResultType.Method.Mab), "webauth" : ("webauth", Native.Policy.ClassMap.NoMatch.ResultType.Method.Webauth)}
                            self._child_list_classes = {}

                            self.dot1x = Native.Policy.ClassMap.NoMatch.ResultType.Method.Dot1X()
                            self.dot1x.parent = self
                            self._children_name_map["dot1x"] = "dot1x"
                            self._children_yang_names.add("dot1x")

                            self.mab = Native.Policy.ClassMap.NoMatch.ResultType.Method.Mab()
                            self.mab.parent = self
                            self._children_name_map["mab"] = "mab"
                            self._children_yang_names.add("mab")

                            self.webauth = Native.Policy.ClassMap.NoMatch.ResultType.Method.Webauth()
                            self.webauth.parent = self
                            self._children_name_map["webauth"] = "webauth"
                            self._children_yang_names.add("webauth")
                            self._segment_path = lambda: "method"


                        class Dot1X(Entity):
                            """
                            dot1x result
                            
                            .. attribute:: aaa_timeout
                            
                            	aaa timeout type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: agent_not_found
                            
                            	agent not found type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: authoritative
                            
                            	failure type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: method_timeout
                            
                            	method\_timeout type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: none
                            
                            	no type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: success
                            
                            	success type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.NoMatch.ResultType.Method.Dot1X, self).__init__()

                                self.yang_name = "dot1x"
                                self.yang_parent_name = "method"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.aaa_timeout = YLeaf(YType.empty, "aaa-timeout")

                                self.agent_not_found = YLeaf(YType.empty, "agent-not-found")

                                self.authoritative = YLeaf(YType.empty, "authoritative")

                                self.method_timeout = YLeaf(YType.empty, "method-timeout")

                                self.none = YLeaf(YType.empty, "none")

                                self.success = YLeaf(YType.empty, "success")
                                self._segment_path = lambda: "dot1x"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.NoMatch.ResultType.Method.Dot1X, ['aaa_timeout', 'agent_not_found', 'authoritative', 'method_timeout', 'none', 'success'], name, value)


                        class Mab(Entity):
                            """
                            mab result
                            
                            .. attribute:: aaa_timeout
                            
                            	aaa timeout type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: agent_not_found
                            
                            	agent not found type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: authoritative
                            
                            	failure type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: method_timeout
                            
                            	method\_timeout type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: none
                            
                            	no type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: success
                            
                            	success type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.NoMatch.ResultType.Method.Mab, self).__init__()

                                self.yang_name = "mab"
                                self.yang_parent_name = "method"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.aaa_timeout = YLeaf(YType.empty, "aaa-timeout")

                                self.agent_not_found = YLeaf(YType.empty, "agent-not-found")

                                self.authoritative = YLeaf(YType.empty, "authoritative")

                                self.method_timeout = YLeaf(YType.empty, "method-timeout")

                                self.none = YLeaf(YType.empty, "none")

                                self.success = YLeaf(YType.empty, "success")
                                self._segment_path = lambda: "mab"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.NoMatch.ResultType.Method.Mab, ['aaa_timeout', 'agent_not_found', 'authoritative', 'method_timeout', 'none', 'success'], name, value)


                        class Webauth(Entity):
                            """
                            webauth result
                            
                            .. attribute:: aaa_timeout
                            
                            	aaa timeout type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: agent_not_found
                            
                            	agent not found type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: authoritative
                            
                            	failure type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: method_timeout
                            
                            	method\_timeout type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: none
                            
                            	no type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: success
                            
                            	success type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.ClassMap.NoMatch.ResultType.Method.Webauth, self).__init__()

                                self.yang_name = "webauth"
                                self.yang_parent_name = "method"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.aaa_timeout = YLeaf(YType.empty, "aaa-timeout")

                                self.agent_not_found = YLeaf(YType.empty, "agent-not-found")

                                self.authoritative = YLeaf(YType.empty, "authoritative")

                                self.method_timeout = YLeaf(YType.empty, "method-timeout")

                                self.none = YLeaf(YType.empty, "none")

                                self.success = YLeaf(YType.empty, "success")
                                self._segment_path = lambda: "webauth"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.ClassMap.NoMatch.ResultType.Method.Webauth, ['aaa_timeout', 'agent_not_found', 'authoritative', 'method_timeout', 'none', 'success'], name, value)


        class PolicyMap(Entity):
            """
            Configure QoS Policy Map
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: type
            
            	type of the policy\-map
            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Type>`
            
            .. attribute:: subscriber
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: protocol
            
            	
            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Protocol>`
            
            .. attribute:: event
            
            	The event type this control class\-map triggers upon
            	**type**\: list of  		 :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event>`
            
            .. attribute:: class_
            
            	policy criteria
            	**type**\: list of  		 :py:class:`Class_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_>`
            
            .. attribute:: description
            
            	Policy\-Map description
            	**type**\: str
            
            	**length:** 1..200
            
            .. attribute:: sequence_interval
            
            	Enable sequence number capability
            	**type**\: int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.Policy.PolicyMap, self).__init__()

                self.yang_name = "policy-map"
                self.yang_parent_name = "policy"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"event" : ("event", Native.Policy.PolicyMap.Event), "class" : ("class_", Native.Policy.PolicyMap.Class_)}

                self.name = YLeaf(YType.str, "name")

                self.type = YLeaf(YType.enumeration, "type")

                self.subscriber = YLeaf(YType.empty, "subscriber")

                self.protocol = YLeaf(YType.enumeration, "protocol")

                self.description = YLeaf(YType.str, "description")

                self.sequence_interval = YLeaf(YType.uint16, "sequence-interval")

                self.event = YList(self)
                self.class_ = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-policy:policy-map" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/policy/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Policy.PolicyMap, ['name', 'type', 'subscriber', 'protocol', 'description', 'sequence_interval'], name, value)

            class Protocol(Enum):
                """
                Protocol

                .. data:: http = 0

                .. data:: im = 1

                .. data:: imap = 2

                .. data:: p2p = 3

                .. data:: pop3 = 4

                .. data:: smtp = 5

                .. data:: sunrpc = 6

                """

                http = Enum.YLeaf(0, "http")

                im = Enum.YLeaf(1, "im")

                imap = Enum.YLeaf(2, "imap")

                p2p = Enum.YLeaf(3, "p2p")

                pop3 = Enum.YLeaf(4, "pop3")

                smtp = Enum.YLeaf(5, "smtp")

                sunrpc = Enum.YLeaf(6, "sunrpc")


            class Type(Enum):
                """
                Type

                type of the policy\-map

                .. data:: access_control = 0

                .. data:: appnav = 1

                .. data:: inspect = 2

                .. data:: control = 3

                .. data:: packet_service = 4

                .. data:: performance_monitor = 5

                .. data:: service = 6

                .. data:: service_chain = 7

                """

                access_control = Enum.YLeaf(0, "access-control")

                appnav = Enum.YLeaf(1, "appnav")

                inspect = Enum.YLeaf(2, "inspect")

                control = Enum.YLeaf(3, "control")

                packet_service = Enum.YLeaf(4, "packet-service")

                performance_monitor = Enum.YLeaf(5, "performance-monitor")

                service = Enum.YLeaf(6, "service")

                service_chain = Enum.YLeaf(7, "service-chain")



            class Event(Entity):
                """
                The event type this control class\-map triggers upon
                
                .. attribute:: event_type  <key>
                
                	
                	**type**\:  :py:class:`EventType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.EventType>`
                
                .. attribute:: match_type
                
                	
                	**type**\:  :py:class:`MatchType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.MatchType>`
                
                .. attribute:: class_number
                
                	class number, 1 for 1st class, 2 for 2nd..
                	**type**\: list of  		 :py:class:`ClassNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Policy.PolicyMap.Event, self).__init__()

                    self.yang_name = "event"
                    self.yang_parent_name = "policy-map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"class-number" : ("class_number", Native.Policy.PolicyMap.Event.ClassNumber)}

                    self.event_type = YLeaf(YType.enumeration, "event-type")

                    self.match_type = YLeaf(YType.enumeration, "match-type")

                    self.class_number = YList(self)
                    self._segment_path = lambda: "event" + "[event-type='" + self.event_type.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Policy.PolicyMap.Event, ['event_type', 'match_type'], name, value)

                class EventType(Enum):
                    """
                    EventType

                    .. data:: aaa_available = 0

                    .. data:: absolute_timeout = 1

                    .. data:: agent_found = 2

                    .. data:: authentication_failure = 3

                    .. data:: authentication_success = 4

                    .. data:: authorization_failure = 5

                    .. data:: authorization_success = 6

                    .. data:: identity_update = 7

                    .. data:: inactivity_timeout = 8

                    .. data:: remote_authentication_failure = 9

                    .. data:: remote_authentication_success = 10

                    .. data:: session_disconnected = 11

                    .. data:: session_started = 12

                    .. data:: tag_added = 13

                    .. data:: tag_removed = 14

                    .. data:: template_activated = 15

                    .. data:: template_activation_failed = 16

                    .. data:: template_deactivated = 17

                    .. data:: template_deactivation_failed = 18

                    .. data:: timer_expiry = 19

                    .. data:: violation = 20

                    """

                    aaa_available = Enum.YLeaf(0, "aaa-available")

                    absolute_timeout = Enum.YLeaf(1, "absolute-timeout")

                    agent_found = Enum.YLeaf(2, "agent-found")

                    authentication_failure = Enum.YLeaf(3, "authentication-failure")

                    authentication_success = Enum.YLeaf(4, "authentication-success")

                    authorization_failure = Enum.YLeaf(5, "authorization-failure")

                    authorization_success = Enum.YLeaf(6, "authorization-success")

                    identity_update = Enum.YLeaf(7, "identity-update")

                    inactivity_timeout = Enum.YLeaf(8, "inactivity-timeout")

                    remote_authentication_failure = Enum.YLeaf(9, "remote-authentication-failure")

                    remote_authentication_success = Enum.YLeaf(10, "remote-authentication-success")

                    session_disconnected = Enum.YLeaf(11, "session-disconnected")

                    session_started = Enum.YLeaf(12, "session-started")

                    tag_added = Enum.YLeaf(13, "tag-added")

                    tag_removed = Enum.YLeaf(14, "tag-removed")

                    template_activated = Enum.YLeaf(15, "template-activated")

                    template_activation_failed = Enum.YLeaf(16, "template-activation-failed")

                    template_deactivated = Enum.YLeaf(17, "template-deactivated")

                    template_deactivation_failed = Enum.YLeaf(18, "template-deactivation-failed")

                    timer_expiry = Enum.YLeaf(19, "timer-expiry")

                    violation = Enum.YLeaf(20, "violation")


                class MatchType(Enum):
                    """
                    MatchType

                    .. data:: match_all = 0

                    .. data:: match_first = 1

                    """

                    match_all = Enum.YLeaf(0, "match-all")

                    match_first = Enum.YLeaf(1, "match-first")



                class ClassNumber(Entity):
                    """
                    class number, 1 for 1st class, 2 for 2nd...
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..254
                    
                    .. attribute:: class_
                    
                    	The class type this control policy\-map triggers upon
                    	**type**\: union of the below types:
                    
                    		**type**\:  :py:class:`Class_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.Class_>`
                    
                    		**type**\: str
                    
                    .. attribute:: execution_type
                    
                    	
                    	**type**\:  :py:class:`ExecutionType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ExecutionType>`
                    
                    .. attribute:: action_number
                    
                    	action number, 1 for 1st class, 2 for 2nd..
                    	**type**\: list of  		 :py:class:`ActionNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.PolicyMap.Event.ClassNumber, self).__init__()

                        self.yang_name = "class-number"
                        self.yang_parent_name = "event"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"action-number" : ("action_number", Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber)}

                        self.number = YLeaf(YType.uint8, "number")

                        self.class_ = YLeaf(YType.str, "class")

                        self.execution_type = YLeaf(YType.enumeration, "execution-type")

                        self.action_number = YList(self)
                        self._segment_path = lambda: "class-number" + "[number='" + self.number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.PolicyMap.Event.ClassNumber, ['number', 'class_', 'execution_type'], name, value)

                    class Class_(Enum):
                        """
                        Class\_

                        The class type this control policy\-map triggers upon

                        .. data:: always = 0

                        """

                        always = Enum.YLeaf(0, "always")


                    class ExecutionType(Enum):
                        """
                        ExecutionType

                        .. data:: do_all = 0

                        .. data:: do_until_failure = 1

                        .. data:: do_until_success = 2

                        """

                        do_all = Enum.YLeaf(0, "do-all")

                        do_until_failure = Enum.YLeaf(1, "do-until-failure")

                        do_until_success = Enum.YLeaf(2, "do-until-success")



                    class ActionNumber(Entity):
                        """
                        action number, 1 for 1st class, 2 for 2nd...
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        .. attribute:: terminate
                        
                        	terminate auth method
                        	**type**\:  :py:class:`Terminate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Terminate>`
                        
                        .. attribute:: clear_session
                        
                        	clears an active session
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: resume
                        
                        	resume operation to be specified
                        	**type**\:  :py:class:`Resume <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Resume>`
                        
                        .. attribute:: authentication_restart
                        
                        	restarts the auth sequence after the specified number of sec
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: pause
                        
                        	pause operation to be specified
                        	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Pause>`
                        
                        .. attribute:: authorize
                        
                        	authorize session
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: activate
                        
                        	activate template or policy
                        	**type**\:  :py:class:`Activate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Activate>`
                        
                        .. attribute:: authenticate
                        
                        	authenticate a session
                        	**type**\:  :py:class:`Authenticate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber, self).__init__()

                            self.yang_name = "action-number"
                            self.yang_parent_name = "class-number"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"terminate" : ("terminate", Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Terminate), "resume" : ("resume", Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Resume), "pause" : ("pause", Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Pause), "activate" : ("activate", Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Activate), "authenticate" : ("authenticate", Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate)}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint8, "number")

                            self.clear_session = YLeaf(YType.empty, "clear-session")

                            self.authentication_restart = YLeaf(YType.uint16, "authentication-restart")

                            self.authorize = YLeaf(YType.empty, "authorize")

                            self.terminate = Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Terminate()
                            self.terminate.parent = self
                            self._children_name_map["terminate"] = "terminate"
                            self._children_yang_names.add("terminate")

                            self.resume = Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Resume()
                            self.resume.parent = self
                            self._children_name_map["resume"] = "resume"
                            self._children_yang_names.add("resume")

                            self.pause = Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Pause()
                            self.pause.parent = self
                            self._children_name_map["pause"] = "pause"
                            self._children_yang_names.add("pause")

                            self.activate = Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Activate()
                            self.activate.parent = self
                            self._children_name_map["activate"] = "activate"
                            self._children_yang_names.add("activate")

                            self.authenticate = Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate()
                            self.authenticate.parent = self
                            self._children_name_map["authenticate"] = "authenticate"
                            self._children_yang_names.add("authenticate")
                            self._segment_path = lambda: "action-number" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber, ['number', 'clear_session', 'authentication_restart', 'authorize'], name, value)


                        class Terminate(Entity):
                            """
                            terminate auth method
                            
                            .. attribute:: dot1x
                            
                            	dot1x method
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mab
                            
                            	mab method
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: webauth
                            
                            	webauth method
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Terminate, self).__init__()

                                self.yang_name = "terminate"
                                self.yang_parent_name = "action-number"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dot1x = YLeaf(YType.empty, "dot1x")

                                self.mab = YLeaf(YType.empty, "mab")

                                self.webauth = YLeaf(YType.empty, "webauth")
                                self._segment_path = lambda: "terminate"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Terminate, ['dot1x', 'mab', 'webauth'], name, value)


                        class Resume(Entity):
                            """
                            resume operation to be specified
                            
                            .. attribute:: reauthentication
                            
                            	resume reauthentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Resume, self).__init__()

                                self.yang_name = "resume"
                                self.yang_parent_name = "action-number"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reauthentication = YLeaf(YType.empty, "reauthentication")
                                self._segment_path = lambda: "resume"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Resume, ['reauthentication'], name, value)


                        class Pause(Entity):
                            """
                            pause operation to be specified
                            
                            .. attribute:: reauthentication
                            
                            	pause reauthentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Pause, self).__init__()

                                self.yang_name = "pause"
                                self.yang_parent_name = "action-number"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reauthentication = YLeaf(YType.empty, "reauthentication")
                                self._segment_path = lambda: "pause"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Pause, ['reauthentication'], name, value)


                        class Activate(Entity):
                            """
                            activate template or policy
                            
                            .. attribute:: service_template
                            
                            	activate service template
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Activate, self).__init__()

                                self.yang_name = "activate"
                                self.yang_parent_name = "action-number"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.service_template = YLeaf(YType.str, "service-template")
                                self._segment_path = lambda: "activate"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Activate, ['service_template'], name, value)


                        class Authenticate(Entity):
                            """
                            authenticate a session
                            
                            .. attribute:: using
                            
                            	authenticate a session
                            	**type**\:  :py:class:`Using <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate, self).__init__()

                                self.yang_name = "authenticate"
                                self.yang_parent_name = "action-number"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"using" : ("using", Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using)}
                                self._child_list_classes = {}

                                self.using = Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using()
                                self.using.parent = self
                                self._children_name_map["using"] = "using"
                                self._children_yang_names.add("using")
                                self._segment_path = lambda: "authenticate"


                            class Using(Entity):
                                """
                                authenticate a session
                                
                                .. attribute:: method
                                
                                	
                                	**type**\:  :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using.Method>`
                                
                                .. attribute:: both
                                
                                	Enabling Dot1x Authenticator & Supplicant
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: retries
                                
                                	Number of times to retry failed authentications
                                	**type**\: int
                                
                                	**range:** 1..5
                                
                                .. attribute:: retry_time
                                
                                	Time interval between retries
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: priority
                                
                                	Method priority
                                	**type**\: int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using, self).__init__()

                                    self.yang_name = "using"
                                    self.yang_parent_name = "authenticate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.method = YLeaf(YType.enumeration, "method")

                                    self.both = YLeaf(YType.empty, "both")

                                    self.retries = YLeaf(YType.uint8, "retries")

                                    self.retry_time = YLeaf(YType.uint16, "retry-time")

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "using"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Event.ClassNumber.ActionNumber.Authenticate.Using, ['method', 'both', 'retries', 'retry_time', 'priority'], name, value)

                                class Method(Enum):
                                    """
                                    Method

                                    .. data:: dot1x = 0

                                    .. data:: mab = 1

                                    .. data:: webauth = 2

                                    """

                                    dot1x = Enum.YLeaf(0, "dot1x")

                                    mab = Enum.YLeaf(1, "mab")

                                    webauth = Enum.YLeaf(2, "webauth")



            class Class_(Entity):
                """
                policy criteria
                
                .. attribute:: name  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\:  :py:class:`ClassNameType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.ClassNameType>`
                
                .. attribute:: type
                
                	type of the class\-map
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.Type>`
                
                .. attribute:: insert_before
                
                	Insert the class before a specified class
                	**type**\: str
                
                .. attribute:: appnav_policy
                
                	
                	**type**\:  :py:class:`AppnavPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.AppnavPolicy>`
                
                .. attribute:: policy
                
                	
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.Policy>`
                
                .. attribute:: pm_policy
                
                	
                	**type**\:  :py:class:`PmPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy>`
                
                .. attribute:: inspect_police
                
                	
                	**type**\:  :py:class:`InspectPolice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.InspectPolice>`
                
                .. attribute:: action_list
                
                	
                	**type**\: list of  		 :py:class:`ActionList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Policy.PolicyMap.Class_, self).__init__()

                    self.yang_name = "class"
                    self.yang_parent_name = "policy-map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"appnav-policy" : ("appnav_policy", Native.Policy.PolicyMap.Class_.AppnavPolicy), "policy" : ("policy", Native.Policy.PolicyMap.Class_.Policy), "pm-policy" : ("pm_policy", Native.Policy.PolicyMap.Class_.PmPolicy), "inspect-police" : ("inspect_police", Native.Policy.PolicyMap.Class_.InspectPolice)}
                    self._child_list_classes = {"action-list" : ("action_list", Native.Policy.PolicyMap.Class_.ActionList)}

                    self.name = YLeaf(YType.str, "name")

                    self.type = YLeaf(YType.enumeration, "type")

                    self.insert_before = YLeaf(YType.str, "insert-before")

                    self.appnav_policy = Native.Policy.PolicyMap.Class_.AppnavPolicy()
                    self.appnav_policy.parent = self
                    self._children_name_map["appnav_policy"] = "appnav-policy"
                    self._children_yang_names.add("appnav-policy")

                    self.policy = Native.Policy.PolicyMap.Class_.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.pm_policy = Native.Policy.PolicyMap.Class_.PmPolicy()
                    self.pm_policy.parent = self
                    self._children_name_map["pm_policy"] = "pm-policy"
                    self._children_yang_names.add("pm-policy")

                    self.inspect_police = Native.Policy.PolicyMap.Class_.InspectPolice()
                    self.inspect_police.parent = self
                    self._children_name_map["inspect_police"] = "inspect-police"
                    self._children_yang_names.add("inspect-police")

                    self.action_list = YList(self)
                    self._segment_path = lambda: "class" + "[name='" + self.name.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Policy.PolicyMap.Class_, ['name', 'type', 'insert_before'], name, value)

                class Type(Enum):
                    """
                    Type

                    type of the class\-map

                    .. data:: inspect = 0

                    """

                    inspect = Enum.YLeaf(0, "inspect")



                class AppnavPolicy(Entity):
                    """
                    
                    
                    .. attribute:: distribute
                    
                    	Distribute action
                    	**type**\: list of  		 :py:class:`Distribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.AppnavPolicy.Distribute>`
                    
                    .. attribute:: monitor_load
                    
                    	Monitor AO
                    	**type**\:  :py:class:`MonitorLoad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.AppnavPolicy.MonitorLoad>`
                    
                    .. attribute:: pass_through
                    
                    	pass\-through action
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.PolicyMap.Class_.AppnavPolicy, self).__init__()

                        self.yang_name = "appnav-policy"
                        self.yang_parent_name = "class"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"distribute" : ("distribute", Native.Policy.PolicyMap.Class_.AppnavPolicy.Distribute)}

                        self.monitor_load = YLeaf(YType.enumeration, "monitor-load")

                        self.pass_through = YLeaf(YType.empty, "pass-through")

                        self.distribute = YList(self)
                        self._segment_path = lambda: "appnav-policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.PolicyMap.Class_.AppnavPolicy, ['monitor_load', 'pass_through'], name, value)

                    class MonitorLoad(Enum):
                        """
                        MonitorLoad

                        Monitor AO

                        .. data:: MS_port_mapper = 0

                        .. data:: cifs = 1

                        .. data:: http = 2

                        .. data:: ica = 3

                        .. data:: mapi = 4

                        .. data:: nfs = 5

                        .. data:: ssl = 6

                        .. data:: video = 7

                        """

                        MS_port_mapper = Enum.YLeaf(0, "MS-port-mapper")

                        cifs = Enum.YLeaf(1, "cifs")

                        http = Enum.YLeaf(2, "http")

                        ica = Enum.YLeaf(3, "ica")

                        mapi = Enum.YLeaf(4, "mapi")

                        nfs = Enum.YLeaf(5, "nfs")

                        ssl = Enum.YLeaf(6, "ssl")

                        video = Enum.YLeaf(7, "video")



                    class Distribute(Entity):
                        """
                        Distribute action
                        
                        .. attribute:: service_node_group  <key>
                        
                        	Distribute to service\-node\-group
                        	**type**\: str
                        
                        .. attribute:: insert_before
                        
                        	Insert before specific node
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.AppnavPolicy.Distribute, self).__init__()

                            self.yang_name = "distribute"
                            self.yang_parent_name = "appnav-policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.service_node_group = YLeaf(YType.str, "service-node-group")

                            self.insert_before = YLeaf(YType.str, "insert-before")
                            self._segment_path = lambda: "distribute" + "[service-node-group='" + self.service_node_group.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.AppnavPolicy.Distribute, ['service_node_group', 'insert_before'], name, value)


                class Policy(Entity):
                    """
                    
                    
                    .. attribute:: action
                    
                    	
                    	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.Policy.Action>`
                    
                    .. attribute:: log
                    
                    	Send logging message for drop or pass
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: parameter_map
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`ParameterMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.Policy.ParameterMap>`
                    
                    .. attribute:: dpi
                    
                    	
                    	**type**\:  :py:class:`Dpi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.Policy.Dpi>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.PolicyMap.Class_.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "class"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dpi" : ("dpi", Native.Policy.PolicyMap.Class_.Policy.Dpi)}
                        self._child_list_classes = {}

                        self.action = YLeaf(YType.enumeration, "action")

                        self.log = YLeaf(YType.empty, "log")

                        self.parameter_map = YLeaf(YType.str, "parameter-map")

                        self.dpi = Native.Policy.PolicyMap.Class_.Policy.Dpi()
                        self.dpi.parent = self
                        self._children_name_map["dpi"] = "dpi"
                        self._children_yang_names.add("dpi")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.PolicyMap.Class_.Policy, ['action', 'log', 'parameter_map'], name, value)

                    class Action(Enum):
                        """
                        Action

                        .. data:: cxsc = 0

                        .. data:: drop = 1

                        .. data:: inspect = 2

                        .. data:: pass_ = 3

                        .. data:: service_policy = 4

                        """

                        cxsc = Enum.YLeaf(0, "cxsc")

                        drop = Enum.YLeaf(1, "drop")

                        inspect = Enum.YLeaf(2, "inspect")

                        pass_ = Enum.YLeaf(3, "pass")

                        service_policy = Enum.YLeaf(4, "service-policy")


                    class ParameterMap(Enum):
                        """
                        ParameterMap

                        .. data:: global_ = 0

                        .. data:: gtp = 1

                        """

                        global_ = Enum.YLeaf(0, "global")

                        gtp = Enum.YLeaf(1, "gtp")



                    class Dpi(Entity):
                        """
                        
                        
                        .. attribute:: type
                        
                        	
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.Policy.Dpi.Type>`
                        
                        .. attribute:: policy_map
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.Policy.Dpi, self).__init__()

                            self.yang_name = "dpi"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.type = YLeaf(YType.enumeration, "type")

                            self.policy_map = YLeaf(YType.str, "policy-map")
                            self._segment_path = lambda: "dpi"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.Policy.Dpi, ['type', 'policy_map'], name, value)

                        class Type(Enum):
                            """
                            Type

                            .. data:: gtpv0 = 0

                            .. data:: gtpv1 = 1

                            .. data:: imap = 2

                            .. data:: pop3 = 3

                            .. data:: smtp = 4

                            .. data:: sunrpc = 5

                            """

                            gtpv0 = Enum.YLeaf(0, "gtpv0")

                            gtpv1 = Enum.YLeaf(1, "gtpv1")

                            imap = Enum.YLeaf(2, "imap")

                            pop3 = Enum.YLeaf(3, "pop3")

                            smtp = Enum.YLeaf(4, "smtp")

                            sunrpc = Enum.YLeaf(5, "sunrpc")



                class PmPolicy(Entity):
                    """
                    
                    
                    .. attribute:: flow
                    
                    	Flow subcommands
                    	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.Flow>`
                    
                    .. attribute:: monitor
                    
                    	Monitor related parameters
                    	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.Monitor>`
                    
                    .. attribute:: react
                    
                    	Configure threshold crossing actions
                    	**type**\: list of  		 :py:class:`React <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.PolicyMap.Class_.PmPolicy, self).__init__()

                        self.yang_name = "pm-policy"
                        self.yang_parent_name = "class"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"flow" : ("flow", Native.Policy.PolicyMap.Class_.PmPolicy.Flow), "monitor" : ("monitor", Native.Policy.PolicyMap.Class_.PmPolicy.Monitor)}
                        self._child_list_classes = {"react" : ("react", Native.Policy.PolicyMap.Class_.PmPolicy.React)}

                        self.flow = Native.Policy.PolicyMap.Class_.PmPolicy.Flow()
                        self.flow.parent = self
                        self._children_name_map["flow"] = "flow"
                        self._children_yang_names.add("flow")

                        self.monitor = Native.Policy.PolicyMap.Class_.PmPolicy.Monitor()
                        self.monitor.parent = self
                        self._children_name_map["monitor"] = "monitor"
                        self._children_yang_names.add("monitor")

                        self.react = YList(self)
                        self._segment_path = lambda: "pm-policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.PolicyMap.Class_.PmPolicy, [], name, value)


                    class Flow(Entity):
                        """
                        Flow subcommands
                        
                        .. attribute:: monitor
                        
                        	Apply a Flow Monitor
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.PmPolicy.Flow, self).__init__()

                            self.yang_name = "flow"
                            self.yang_parent_name = "pm-policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.monitor = YLeaf(YType.str, "monitor")
                            self._segment_path = lambda: "flow"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.PmPolicy.Flow, ['monitor'], name, value)


                    class Monitor(Entity):
                        """
                        Monitor related parameters
                        
                        .. attribute:: metric
                        
                        	Monitor metric
                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.PmPolicy.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "pm-policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"metric" : ("metric", Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric)}
                            self._child_list_classes = {}

                            self.metric = Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric()
                            self.metric.parent = self
                            self._children_name_map["metric"] = "metric"
                            self._children_yang_names.add("metric")
                            self._segment_path = lambda: "monitor"


                        class Metric(Entity):
                            """
                            Monitor metric
                            
                            .. attribute:: rtp
                            
                            	RTP metrics parameters
                            	**type**\:  :py:class:`Rtp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric, self).__init__()

                                self.yang_name = "metric"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rtp" : ("rtp", Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp)}
                                self._child_list_classes = {}

                                self.rtp = Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp()
                                self.rtp.parent = self
                                self._children_name_map["rtp"] = "rtp"
                                self._children_yang_names.add("rtp")
                                self._segment_path = lambda: "metric"


                            class Rtp(Entity):
                                """
                                RTP metrics parameters
                                
                                .. attribute:: clock_rate
                                
                                	RTP timestamp field's sampling frequency
                                	**type**\: list of  		 :py:class:`ClockRate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp, self).__init__()

                                    self.yang_name = "rtp"
                                    self.yang_parent_name = "metric"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"clock-rate" : ("clock_rate", Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate)}

                                    self.clock_rate = YList(self)
                                    self._segment_path = lambda: "rtp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp, [], name, value)


                                class ClockRate(Entity):
                                    """
                                    RTP timestamp field's sampling frequency
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 0..127
                                    
                                    		**type**\:  :py:class:`Number <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate.Number>`
                                    
                                    .. attribute:: frequency
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1000..192000
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate, self).__init__()

                                        self.yang_name = "clock-rate"
                                        self.yang_parent_name = "rtp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.frequency = YLeaf(YType.uint32, "frequency")
                                        self._segment_path = lambda: "clock-rate" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Policy.PolicyMap.Class_.PmPolicy.Monitor.Metric.Rtp.ClockRate, ['number', 'frequency'], name, value)

                                    class Number(Enum):
                                        """
                                        Number

                                        .. data:: celb = 0

                                        .. data:: cn = 1

                                        .. data:: default = 2

                                        .. data:: dvi4 = 3

                                        .. data:: dvi4_2 = 4

                                        .. data:: dvi4_3 = 5

                                        .. data:: dvi4_4 = 6

                                        .. data:: g722 = 7

                                        .. data:: g723 = 8

                                        .. data:: g728 = 9

                                        .. data:: g729 = 10

                                        .. data:: gsm = 11

                                        .. data:: h261 = 12

                                        .. data:: h263 = 13

                                        .. data:: jpeg = 14

                                        .. data:: l16 = 15

                                        .. data:: l16_2 = 16

                                        .. data:: lpc = 17

                                        .. data:: mp2t = 18

                                        .. data:: mpa = 19

                                        .. data:: mpv = 20

                                        .. data:: nv = 21

                                        .. data:: pcma = 22

                                        .. data:: pcmu = 23

                                        .. data:: qcelp = 24

                                        """

                                        celb = Enum.YLeaf(0, "celb")

                                        cn = Enum.YLeaf(1, "cn")

                                        default = Enum.YLeaf(2, "default")

                                        dvi4 = Enum.YLeaf(3, "dvi4")

                                        dvi4_2 = Enum.YLeaf(4, "dvi4-2")

                                        dvi4_3 = Enum.YLeaf(5, "dvi4-3")

                                        dvi4_4 = Enum.YLeaf(6, "dvi4-4")

                                        g722 = Enum.YLeaf(7, "g722")

                                        g723 = Enum.YLeaf(8, "g723")

                                        g728 = Enum.YLeaf(9, "g728")

                                        g729 = Enum.YLeaf(10, "g729")

                                        gsm = Enum.YLeaf(11, "gsm")

                                        h261 = Enum.YLeaf(12, "h261")

                                        h263 = Enum.YLeaf(13, "h263")

                                        jpeg = Enum.YLeaf(14, "jpeg")

                                        l16 = Enum.YLeaf(15, "l16")

                                        l16_2 = Enum.YLeaf(16, "l16-2")

                                        lpc = Enum.YLeaf(17, "lpc")

                                        mp2t = Enum.YLeaf(18, "mp2t")

                                        mpa = Enum.YLeaf(19, "mpa")

                                        mpv = Enum.YLeaf(20, "mpv")

                                        nv = Enum.YLeaf(21, "nv")

                                        pcma = Enum.YLeaf(22, "pcma")

                                        pcmu = Enum.YLeaf(23, "pcmu")

                                        qcelp = Enum.YLeaf(24, "qcelp")



                    class React(Entity):
                        """
                        Configure threshold crossing actions
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: mode
                        
                        	
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Mode>`
                        
                        .. attribute:: description
                        
                        	Description for the instance
                        	**type**\: str
                        
                        .. attribute:: action
                        
                        	Config react action
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Action>`
                        
                        .. attribute:: alarm
                        
                        	Config react alarm
                        	**type**\:  :py:class:`Alarm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm>`
                        
                        .. attribute:: threshold
                        
                        	Config react threshold
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.PmPolicy.React, self).__init__()

                            self.yang_name = "react"
                            self.yang_parent_name = "pm-policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"action" : ("action", Native.Policy.PolicyMap.Class_.PmPolicy.React.Action), "alarm" : ("alarm", Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm), "threshold" : ("threshold", Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint16, "id")

                            self.mode = YLeaf(YType.enumeration, "mode")

                            self.description = YLeaf(YType.str, "description")

                            self.action = Native.Policy.PolicyMap.Class_.PmPolicy.React.Action()
                            self.action.parent = self
                            self._children_name_map["action"] = "action"
                            self._children_yang_names.add("action")

                            self.alarm = Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm()
                            self.alarm.parent = self
                            self._children_name_map["alarm"] = "alarm"
                            self._children_yang_names.add("alarm")

                            self.threshold = Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")
                            self._segment_path = lambda: "react" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.PmPolicy.React, ['id', 'mode', 'description'], name, value)

                        class Mode(Enum):
                            """
                            Mode

                            .. data:: media_stop = 0

                            .. data:: mrv = 1

                            .. data:: rtp_jitter_average = 2

                            .. data:: transport_packets_lost_rate = 3

                            """

                            media_stop = Enum.YLeaf(0, "media-stop")

                            mrv = Enum.YLeaf(1, "mrv")

                            rtp_jitter_average = Enum.YLeaf(2, "rtp-jitter-average")

                            transport_packets_lost_rate = Enum.YLeaf(3, "transport-packets-lost-rate")



                        class Action(Entity):
                            """
                            Config react action
                            
                            .. attribute:: snmp
                            
                            	SNMP is notified of the event
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: syslog
                            
                            	The threshold\-crossing event is logged to syslog
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.PmPolicy.React.Action, self).__init__()

                                self.yang_name = "action"
                                self.yang_parent_name = "react"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.snmp = YLeaf(YType.empty, "snmp")

                                self.syslog = YLeaf(YType.empty, "syslog")
                                self._segment_path = lambda: "action"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.PmPolicy.React.Action, ['snmp', 'syslog'], name, value)


                        class Alarm(Entity):
                            """
                            Config react alarm
                            
                            .. attribute:: severity
                            
                            	Alarm severity \- default level none
                            	**type**\:  :py:class:`Severity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Severity>`
                            
                            .. attribute:: type
                            
                            	Alarm raised type \- for each flow or a group
                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm, self).__init__()

                                self.yang_name = "alarm"
                                self.yang_parent_name = "react"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"type" : ("type", Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type)}
                                self._child_list_classes = {}

                                self.severity = YLeaf(YType.enumeration, "severity")

                                self.type = Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type()
                                self.type.parent = self
                                self._children_name_map["type"] = "type"
                                self._children_yang_names.add("type")
                                self._segment_path = lambda: "alarm"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm, ['severity'], name, value)

                            class Severity(Enum):
                                """
                                Severity

                                Alarm severity \- default level none

                                .. data:: alert = 0

                                .. data:: critical = 1

                                .. data:: emergency = 2

                                .. data:: error = 3

                                .. data:: info = 4

                                """

                                alert = Enum.YLeaf(0, "alert")

                                critical = Enum.YLeaf(1, "critical")

                                emergency = Enum.YLeaf(2, "emergency")

                                error = Enum.YLeaf(3, "error")

                                info = Enum.YLeaf(4, "info")



                            class Type(Entity):
                                """
                                Alarm raised type \- for each flow or a group
                                
                                .. attribute:: discrete
                                
                                	Alert for each flow within the class
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: grouped
                                
                                	Alert if more than one flow cross the threshold
                                	**type**\:  :py:class:`Grouped <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type.Grouped>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type, self).__init__()

                                    self.yang_name = "type"
                                    self.yang_parent_name = "alarm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"grouped" : ("grouped", Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type.Grouped)}
                                    self._child_list_classes = {}

                                    self.discrete = YLeaf(YType.empty, "discrete")

                                    self.grouped = Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type.Grouped()
                                    self.grouped.parent = self
                                    self._children_name_map["grouped"] = "grouped"
                                    self._children_yang_names.add("grouped")
                                    self._segment_path = lambda: "type"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type, ['discrete'], name, value)


                                class Grouped(Entity):
                                    """
                                    Alert if more than one flow cross the threshold
                                    
                                    .. attribute:: count
                                    
                                    	Number of flows in the group cross the threshold
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: percent
                                    
                                    	Percent of flows in the group cross the threshold
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type.Grouped, self).__init__()

                                        self.yang_name = "grouped"
                                        self.yang_parent_name = "type"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.count = YLeaf(YType.uint16, "count")

                                        self.percent = YLeaf(YType.uint8, "percent")
                                        self._segment_path = lambda: "grouped"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Policy.PolicyMap.Class_.PmPolicy.React.Alarm.Type.Grouped, ['count', 'percent'], name, value)


                        class Threshold(Entity):
                            """
                            Config react threshold
                            
                            .. attribute:: value
                            
                            	Range of percentage loss that would trigger the alarm
                            	**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "react"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"value" : ("value", Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value)}
                                self._child_list_classes = {}

                                self.value = Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value()
                                self.value.parent = self
                                self._children_name_map["value"] = "value"
                                self._children_yang_names.add("value")
                                self._segment_path = lambda: "threshold"


                            class Value(Entity):
                                """
                                Range of percentage loss that would trigger the alarm
                                
                                .. attribute:: ge
                                
                                	greater and equal to
                                	**type**\: str
                                
                                .. attribute:: gt
                                
                                	greater than
                                	**type**\: str
                                
                                .. attribute:: le
                                
                                	less and equal to
                                	**type**\: str
                                
                                .. attribute:: lt
                                
                                	less than
                                	**type**\: str
                                
                                .. attribute:: range
                                
                                	threshold within the range of
                                	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value.Range>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value, self).__init__()

                                    self.yang_name = "value"
                                    self.yang_parent_name = "threshold"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"range" : ("range", Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value.Range)}
                                    self._child_list_classes = {}

                                    self.ge = YLeaf(YType.str, "ge")

                                    self.gt = YLeaf(YType.str, "gt")

                                    self.le = YLeaf(YType.str, "le")

                                    self.lt = YLeaf(YType.str, "lt")

                                    self.range = Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value.Range()
                                    self.range.parent = self
                                    self._children_name_map["range"] = "range"
                                    self._children_yang_names.add("range")
                                    self._segment_path = lambda: "value"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value, ['ge', 'gt', 'le', 'lt'], name, value)


                                class Range(Entity):
                                    """
                                    threshold within the range of
                                    
                                    .. attribute:: low
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: high
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "value"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.low = YLeaf(YType.str, "low")

                                        self.high = YLeaf(YType.str, "high")
                                        self._segment_path = lambda: "range"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Policy.PolicyMap.Class_.PmPolicy.React.Threshold.Value.Range, ['low', 'high'], name, value)


                class InspectPolice(Entity):
                    """
                    
                    
                    .. attribute:: police
                    
                    	Police
                    	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.InspectPolice.Police>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.PolicyMap.Class_.InspectPolice, self).__init__()

                        self.yang_name = "inspect-police"
                        self.yang_parent_name = "class"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"police" : ("police", Native.Policy.PolicyMap.Class_.InspectPolice.Police)}
                        self._child_list_classes = {}

                        self.police = Native.Policy.PolicyMap.Class_.InspectPolice.Police()
                        self.police.parent = self
                        self._children_name_map["police"] = "police"
                        self._children_yang_names.add("police")
                        self._segment_path = lambda: "inspect-police"


                    class Police(Entity):
                        """
                        Police
                        
                        .. attribute:: rate
                        
                        	Specify police rate
                        	**type**\: int
                        
                        	**range:** 8000..2000000000
                        
                        .. attribute:: burst
                        
                        	Specify 'burst' parameter
                        	**type**\: int
                        
                        	**range:** 1000..512000000
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.InspectPolice.Police, self).__init__()

                            self.yang_name = "police"
                            self.yang_parent_name = "inspect-police"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.rate = YLeaf(YType.uint32, "rate")

                            self.burst = YLeaf(YType.uint32, "burst")
                            self._segment_path = lambda: "police"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.InspectPolice.Police, ['rate', 'burst'], name, value)


                class ActionList(Entity):
                    """
                    
                    
                    .. attribute:: action_type  <key>
                    
                    	
                    	**type**\:  :py:class:`PolicyActionType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.PolicyActionType>`
                    
                    .. attribute:: bandwidth
                    
                    	
                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Bandwidth>`
                    
                    .. attribute:: compression
                    
                    	
                    	**type**\:  :py:class:`Compression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Compression>`
                    
                    .. attribute:: estimate
                    
                    	
                    	**type**\:  :py:class:`Estimate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Estimate>`
                    
                    .. attribute:: forward
                    
                    	
                    	**type**\:  :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Forward>`
                    
                    .. attribute:: fair_queue
                    
                    	
                    	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.FairQueue>`
                    
                    .. attribute:: netflow_sampler
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: police_aggregate
                    
                    	
                    	**type**\:  :py:class:`PoliceAggregate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate>`
                    
                    .. attribute:: police_policy_map
                    
                    	
                    	**type**\:  :py:class:`PolicePolicyMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap>`
                    
                    .. attribute:: police_cir_percent
                    
                    	
                    	**type**\:  :py:class:`PoliceCirPercent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent>`
                    
                    .. attribute:: police_rate_unit
                    
                    	
                    	**type**\:  :py:class:`PoliceRateUnit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit>`
                    
                    .. attribute:: police_rate_percent
                    
                    	
                    	**type**\:  :py:class:`PoliceRatePercent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent>`
                    
                    .. attribute:: police_rate_pdp
                    
                    	
                    	**type**\:  :py:class:`PoliceRatePdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp>`
                    
                    .. attribute:: police_target_bitrate
                    
                    	
                    	**type**\:  :py:class:`PoliceTargetBitrate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate>`
                    
                    .. attribute:: police_flow
                    
                    	
                    	**type**\:  :py:class:`PoliceFlow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow>`
                    
                    .. attribute:: police_catalyst
                    
                    	
                    	**type**\:  :py:class:`PoliceCatalyst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst>`
                    
                    .. attribute:: police_switch
                    
                    	
                    	**type**\:  :py:class:`PoliceSwitch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch>`
                    
                    .. attribute:: priority
                    
                    	
                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Priority>`
                    
                    .. attribute:: queue_buffers
                    
                    	
                    	**type**\:  :py:class:`QueueBuffers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.QueueBuffers>`
                    
                    .. attribute:: queue_limit
                    
                    	
                    	**type**\:  :py:class:`QueueLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.QueueLimit>`
                    
                    .. attribute:: queue_limit_dscp
                    
                    	
                    	**type**\:  :py:class:`QueueLimitDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp>`
                    
                    .. attribute:: random_detect
                    
                    	
                    	**type**\:  :py:class:`RandomDetect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.RandomDetect>`
                    
                    .. attribute:: service_policy
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: set
                    
                    	
                    	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set>`
                    
                    .. attribute:: shape
                    
                    	
                    	**type**\:  :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Shape>`
                    
                    .. attribute:: trust
                    
                    	
                    	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Trust>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Policy.PolicyMap.Class_.ActionList, self).__init__()

                        self.yang_name = "action-list"
                        self.yang_parent_name = "class"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Policy.PolicyMap.Class_.ActionList.Bandwidth), "compression" : ("compression", Native.Policy.PolicyMap.Class_.ActionList.Compression), "estimate" : ("estimate", Native.Policy.PolicyMap.Class_.ActionList.Estimate), "forward" : ("forward", Native.Policy.PolicyMap.Class_.ActionList.Forward), "fair-queue" : ("fair_queue", Native.Policy.PolicyMap.Class_.ActionList.FairQueue), "police-aggregate" : ("police_aggregate", Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate), "police-policy-map" : ("police_policy_map", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap), "police-cir-percent" : ("police_cir_percent", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent), "police-rate-unit" : ("police_rate_unit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit), "police-rate-percent" : ("police_rate_percent", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent), "police-rate-pdp" : ("police_rate_pdp", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp), "police-target-bitrate" : ("police_target_bitrate", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate), "police-flow" : ("police_flow", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow), "police-catalyst" : ("police_catalyst", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst), "police-switch" : ("police_switch", Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch), "priority" : ("priority", Native.Policy.PolicyMap.Class_.ActionList.Priority), "queue-buffers" : ("queue_buffers", Native.Policy.PolicyMap.Class_.ActionList.QueueBuffers), "queue-limit" : ("queue_limit", Native.Policy.PolicyMap.Class_.ActionList.QueueLimit), "queue-limit-dscp" : ("queue_limit_dscp", Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp), "random-detect" : ("random_detect", Native.Policy.PolicyMap.Class_.ActionList.RandomDetect), "set" : ("set", Native.Policy.PolicyMap.Class_.ActionList.Set), "shape" : ("shape", Native.Policy.PolicyMap.Class_.ActionList.Shape)}
                        self._child_list_classes = {}

                        self.action_type = YLeaf(YType.enumeration, "action-type")

                        self.netflow_sampler = YLeaf(YType.str, "netflow-sampler")

                        self.service_policy = YLeaf(YType.str, "service-policy")

                        self.trust = YLeaf(YType.enumeration, "trust")

                        self.bandwidth = Native.Policy.PolicyMap.Class_.ActionList.Bandwidth()
                        self.bandwidth.parent = self
                        self._children_name_map["bandwidth"] = "bandwidth"
                        self._children_yang_names.add("bandwidth")

                        self.compression = Native.Policy.PolicyMap.Class_.ActionList.Compression()
                        self.compression.parent = self
                        self._children_name_map["compression"] = "compression"
                        self._children_yang_names.add("compression")

                        self.estimate = Native.Policy.PolicyMap.Class_.ActionList.Estimate()
                        self.estimate.parent = self
                        self._children_name_map["estimate"] = "estimate"
                        self._children_yang_names.add("estimate")

                        self.forward = Native.Policy.PolicyMap.Class_.ActionList.Forward()
                        self.forward.parent = self
                        self._children_name_map["forward"] = "forward"
                        self._children_yang_names.add("forward")

                        self.fair_queue = Native.Policy.PolicyMap.Class_.ActionList.FairQueue()
                        self.fair_queue.parent = self
                        self._children_name_map["fair_queue"] = "fair-queue"
                        self._children_yang_names.add("fair-queue")

                        self.police_aggregate = Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate()
                        self.police_aggregate.parent = self
                        self._children_name_map["police_aggregate"] = "police-aggregate"
                        self._children_yang_names.add("police-aggregate")

                        self.police_policy_map = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap()
                        self.police_policy_map.parent = self
                        self._children_name_map["police_policy_map"] = "police-policy-map"
                        self._children_yang_names.add("police-policy-map")

                        self.police_cir_percent = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent()
                        self.police_cir_percent.parent = self
                        self._children_name_map["police_cir_percent"] = "police-cir-percent"
                        self._children_yang_names.add("police-cir-percent")

                        self.police_rate_unit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit()
                        self.police_rate_unit.parent = self
                        self._children_name_map["police_rate_unit"] = "police-rate-unit"
                        self._children_yang_names.add("police-rate-unit")

                        self.police_rate_percent = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent()
                        self.police_rate_percent.parent = self
                        self._children_name_map["police_rate_percent"] = "police-rate-percent"
                        self._children_yang_names.add("police-rate-percent")

                        self.police_rate_pdp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp()
                        self.police_rate_pdp.parent = self
                        self._children_name_map["police_rate_pdp"] = "police-rate-pdp"
                        self._children_yang_names.add("police-rate-pdp")

                        self.police_target_bitrate = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate()
                        self.police_target_bitrate.parent = self
                        self._children_name_map["police_target_bitrate"] = "police-target-bitrate"
                        self._children_yang_names.add("police-target-bitrate")

                        self.police_flow = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow()
                        self.police_flow.parent = self
                        self._children_name_map["police_flow"] = "police-flow"
                        self._children_yang_names.add("police-flow")

                        self.police_catalyst = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst()
                        self.police_catalyst.parent = self
                        self._children_name_map["police_catalyst"] = "police-catalyst"
                        self._children_yang_names.add("police-catalyst")

                        self.police_switch = Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch()
                        self.police_switch.parent = self
                        self._children_name_map["police_switch"] = "police-switch"
                        self._children_yang_names.add("police-switch")

                        self.priority = Native.Policy.PolicyMap.Class_.ActionList.Priority()
                        self.priority.parent = self
                        self._children_name_map["priority"] = "priority"
                        self._children_yang_names.add("priority")

                        self.queue_buffers = Native.Policy.PolicyMap.Class_.ActionList.QueueBuffers()
                        self.queue_buffers.parent = self
                        self._children_name_map["queue_buffers"] = "queue-buffers"
                        self._children_yang_names.add("queue-buffers")

                        self.queue_limit = Native.Policy.PolicyMap.Class_.ActionList.QueueLimit()
                        self.queue_limit.parent = self
                        self._children_name_map["queue_limit"] = "queue-limit"
                        self._children_yang_names.add("queue-limit")

                        self.queue_limit_dscp = Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp()
                        self.queue_limit_dscp.parent = self
                        self._children_name_map["queue_limit_dscp"] = "queue-limit-dscp"
                        self._children_yang_names.add("queue-limit-dscp")

                        self.random_detect = Native.Policy.PolicyMap.Class_.ActionList.RandomDetect()
                        self.random_detect.parent = self
                        self._children_name_map["random_detect"] = "random-detect"
                        self._children_yang_names.add("random-detect")

                        self.set = Native.Policy.PolicyMap.Class_.ActionList.Set()
                        self.set.parent = self
                        self._children_name_map["set"] = "set"
                        self._children_yang_names.add("set")

                        self.shape = Native.Policy.PolicyMap.Class_.ActionList.Shape()
                        self.shape.parent = self
                        self._children_name_map["shape"] = "shape"
                        self._children_yang_names.add("shape")
                        self._segment_path = lambda: "action-list" + "[action-type='" + self.action_type.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList, ['action_type', 'netflow_sampler', 'service_policy', 'trust'], name, value)

                    class Trust(Enum):
                        """
                        Trust

                        .. data:: cos = 0

                        .. data:: dscp = 1

                        .. data:: ip_precedence = 2

                        """

                        cos = Enum.YLeaf(0, "cos")

                        dscp = Enum.YLeaf(1, "dscp")

                        ip_precedence = Enum.YLeaf(2, "ip-precedence")



                    class Bandwidth(Entity):
                        """
                        
                        
                        .. attribute:: bits
                        
                        	
                        	**type**\: int
                        
                        	**range:** 8..2000000
                        
                        .. attribute:: percent
                        
                        	% of total Bandwidth
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        .. attribute:: remaining
                        
                        	% of the remaining bandwidth
                        	**type**\:  :py:class:`Remaining <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.Bandwidth, self).__init__()

                            self.yang_name = "bandwidth"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"remaining" : ("remaining", Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining)}
                            self._child_list_classes = {}

                            self.bits = YLeaf(YType.uint32, "bits")

                            self.percent = YLeaf(YType.uint8, "percent")

                            self.remaining = Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining()
                            self.remaining.parent = self
                            self._children_name_map["remaining"] = "remaining"
                            self._children_yang_names.add("remaining")
                            self._segment_path = lambda: "bandwidth"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Bandwidth, ['bits', 'percent'], name, value)


                        class Remaining(Entity):
                            """
                            % of the remaining bandwidth
                            
                            .. attribute:: rem_option
                            
                            	
                            	**type**\:  :py:class:`RemOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.RemOption>`
                            
                            .. attribute:: percent
                            
                            	% of the remaining bandwidth
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            .. attribute:: ratio
                            
                            	ratio for sharing excess bandwidth
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: account
                            
                            	Overhead Accounting
                            	**type**\:  :py:class:`Account <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.Account>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining, self).__init__()

                                self.yang_name = "remaining"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"account" : ("account", Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.Account)}
                                self._child_list_classes = {}

                                self.rem_option = YLeaf(YType.enumeration, "rem-option")

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.ratio = YLeaf(YType.uint16, "ratio")

                                self.account = Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.Account()
                                self.account.parent = self
                                self._children_name_map["account"] = "account"
                                self._children_yang_names.add("account")
                                self._segment_path = lambda: "remaining"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining, ['rem_option', 'percent', 'ratio'], name, value)

                            class RemOption(Enum):
                                """
                                RemOption

                                .. data:: percent = 0

                                .. data:: ratio = 1

                                """

                                percent = Enum.YLeaf(0, "percent")

                                ratio = Enum.YLeaf(1, "ratio")



                            class Account(Entity):
                                """
                                Overhead Accounting
                                
                                .. attribute:: user_defined
                                
                                	Offset Size
                                	**type**\: int
                                
                                	**range:** \-1000000..1000000
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.Account, self).__init__()

                                    self.yang_name = "account"
                                    self.yang_parent_name = "remaining"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.user_defined = YLeaf(YType.int32, "user-defined")
                                    self._segment_path = lambda: "account"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Bandwidth.Remaining.Account, ['user_defined'], name, value)


                    class Compression(Entity):
                        """
                        
                        
                        .. attribute:: header
                        
                        	configure header compression
                        	**type**\:  :py:class:`Header <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Compression.Header>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.Compression, self).__init__()

                            self.yang_name = "compression"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"header" : ("header", Native.Policy.PolicyMap.Class_.ActionList.Compression.Header)}
                            self._child_list_classes = {}

                            self.header = None
                            self._children_name_map["header"] = "header"
                            self._children_yang_names.add("header")
                            self._segment_path = lambda: "compression"


                        class Header(Entity):
                            """
                            configure header compression
                            
                            .. attribute:: ip
                            
                            	configure ip header compression
                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Compression.Header.Ip>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.Compression.Header, self).__init__()

                                self.yang_name = "header"
                                self.yang_parent_name = "compression"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ip = YLeaf(YType.enumeration, "ip")
                                self._segment_path = lambda: "header"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Compression.Header, ['ip'], name, value)

                            class Ip(Enum):
                                """
                                Ip

                                configure ip header compression

                                .. data:: rtp = 0

                                .. data:: tcp = 1

                                """

                                rtp = Enum.YLeaf(0, "rtp")

                                tcp = Enum.YLeaf(1, "tcp")



                    class Estimate(Entity):
                        """
                        
                        
                        .. attribute:: bandwidth
                        
                        	bandwidth required to service this class
                        	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.Estimate, self).__init__()

                            self.yang_name = "estimate"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth)}
                            self._child_list_classes = {}

                            self.bandwidth = None
                            self._children_name_map["bandwidth"] = "bandwidth"
                            self._children_yang_names.add("bandwidth")
                            self._segment_path = lambda: "estimate"


                        class Bandwidth(Entity):
                            """
                            bandwidth required to service this class
                            
                            .. attribute:: delay_one_in
                            
                            	specify QoS target delay
                            	**type**\:  :py:class:`DelayOneIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth.DelayOneIn>`
                            
                            .. attribute:: drop_one_in
                            
                            	specify QoS target loss rate
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth, self).__init__()

                                self.yang_name = "bandwidth"
                                self.yang_parent_name = "estimate"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"delay-one-in" : ("delay_one_in", Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth.DelayOneIn)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.drop_one_in = YLeaf(YType.uint32, "drop-one-in")

                                self.delay_one_in = Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth.DelayOneIn()
                                self.delay_one_in.parent = self
                                self._children_name_map["delay_one_in"] = "delay-one-in"
                                self._children_yang_names.add("delay-one-in")
                                self._segment_path = lambda: "bandwidth"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth, ['drop_one_in'], name, value)


                            class DelayOneIn(Entity):
                                """
                                specify QoS target delay
                                
                                .. attribute:: doi
                                
                                	
                                	**type**\: int
                                
                                	**range:** 50..1000000
                                
                                .. attribute:: milliseconds
                                
                                	
                                	**type**\: int
                                
                                	**range:** 8..1000
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth.DelayOneIn, self).__init__()

                                    self.yang_name = "delay-one-in"
                                    self.yang_parent_name = "bandwidth"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.doi = YLeaf(YType.uint32, "doi")

                                    self.milliseconds = YLeaf(YType.uint32, "milliseconds")
                                    self._segment_path = lambda: "delay-one-in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Estimate.Bandwidth.DelayOneIn, ['doi', 'milliseconds'], name, value)


                    class Forward(Entity):
                        """
                        
                        
                        .. attribute:: service_path
                        
                        	Service Path Entries
                        	**type**\: int
                        
                        	**range:** 0..16777215
                        
                        .. attribute:: service_index
                        
                        	Service Index
                        	**type**\: int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.Forward, self).__init__()

                            self.yang_name = "forward"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.service_path = YLeaf(YType.uint32, "service-path")

                            self.service_index = YLeaf(YType.uint8, "service-index")
                            self._segment_path = lambda: "forward"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Forward, ['service_path', 'service_index'], name, value)


                    class FairQueue(Entity):
                        """
                        
                        
                        .. attribute:: dynamic_queues
                        
                        	
                        	**type**\: int
                        
                        	**range:** 16..None \| 32..None \| 64..None \| 128..None \| 256..None \| 512..None \| 1024..None \| 2048..None \| 4096..None
                        
                        .. attribute:: queue_limit
                        
                        	per flow queue limit
                        	**type**\: int
                        
                        	**range:** 1..32768
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.FairQueue, self).__init__()

                            self.yang_name = "fair-queue"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dynamic_queues = YLeaf(YType.uint32, "dynamic-queues")

                            self.queue_limit = YLeaf(YType.uint16, "queue-limit")
                            self._segment_path = lambda: "fair-queue"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.FairQueue, ['dynamic_queues', 'queue_limit'], name, value)


                    class PoliceAggregate(Entity):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate, self).__init__()

                            self.yang_name = "police-aggregate"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"police" : ("police", Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate.Police)}
                            self._child_list_classes = {}

                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate.Police()
                            self.police.parent = self
                            self._children_name_map["police"] = "police"
                            self._children_yang_names.add("police")
                            self._segment_path = lambda: "police-aggregate"


                        class Police(Entity):
                            """
                            
                            
                            .. attribute:: aggregate
                            
                            	Choose aggregate policer for current class
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate.Police, self).__init__()

                                self.yang_name = "police"
                                self.yang_parent_name = "police-aggregate"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.aggregate = YLeaf(YType.str, "aggregate")
                                self._segment_path = lambda: "police"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceAggregate.Police, ['aggregate'], name, value)


                    class PolicePolicyMap(Entity):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap, self).__init__()

                            self.yang_name = "police-policy-map"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"police" : ("police", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police)}
                            self._child_list_classes = {}

                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police()
                            self.police.parent = self
                            self._children_name_map["police"] = "police"
                            self._children_yang_names.add("police")
                            self._segment_path = lambda: "police-policy-map"


                        class Police(Entity):
                            """
                            
                            
                            .. attribute:: cir
                            
                            	Committed information rate
                            	**type**\: int
                            
                            	**range:** 8000..64000000000
                            
                            .. attribute:: bc
                            
                            	Conform burst
                            	**type**\: int
                            
                            	**range:** 1000..512000000
                            
                            .. attribute:: be
                            
                            	Excess burst
                            	**type**\: int
                            
                            	**range:** 1000..512000000
                            
                            .. attribute:: pir
                            
                            	Peak Information Rate
                            	**type**\: int
                            
                            	**range:** 8000..64000000000
                            
                            .. attribute:: pir_be
                            
                            	
                            	**type**\:  :py:class:`PirBe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.PirBe>`
                            
                            .. attribute:: actions
                            
                            	
                            	**type**\:  :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police, self).__init__()

                                self.yang_name = "police"
                                self.yang_parent_name = "police-policy-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"pir-be" : ("pir_be", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.PirBe), "actions" : ("actions", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions)}
                                self._child_list_classes = {}

                                self.cir = YLeaf(YType.uint64, "cir")

                                self.bc = YLeaf(YType.uint32, "bc")

                                self.be = YLeaf(YType.uint32, "be")

                                self.pir = YLeaf(YType.uint64, "pir")

                                self.pir_be = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.PirBe()
                                self.pir_be.parent = self
                                self._children_name_map["pir_be"] = "pir-be"
                                self._children_yang_names.add("pir-be")

                                self.actions = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions()
                                self.actions.parent = self
                                self._children_name_map["actions"] = "actions"
                                self._children_yang_names.add("actions")
                                self._segment_path = lambda: "police"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police, ['cir', 'bc', 'be', 'pir'], name, value)


                            class PirBe(Entity):
                                """
                                
                                
                                .. attribute:: be
                                
                                	Excess burst
                                	**type**\: int
                                
                                	**range:** 1000..512000000
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.PirBe, self).__init__()

                                    self.yang_name = "pir-be"
                                    self.yang_parent_name = "police"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.be = YLeaf(YType.uint32, "be")
                                    self._segment_path = lambda: "pir-be"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.PirBe, ['be'], name, value)


                            class Actions(Entity):
                                """
                                
                                
                                .. attribute:: conform_set_clp_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit>`
                                
                                .. attribute:: conform_set_cos_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit>`
                                
                                .. attribute:: conform_set_cos_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable>`
                                
                                .. attribute:: conform_set_discard_class_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit>`
                                
                                .. attribute:: conform_set_dscp_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit>`
                                
                                .. attribute:: conform_set_dscp_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable>`
                                
                                .. attribute:: conform_set_frde_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                
                                .. attribute:: conform_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                
                                .. attribute:: conform_set_prec_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit>`
                                
                                .. attribute:: conform_set_prec_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable>`
                                
                                .. attribute:: conform_set_qos_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit>`
                                
                                .. attribute:: conform_set_qos_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable>`
                                
                                .. attribute:: conform_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit>`
                                
                                .. attribute:: conform_drop
                                
                                	
                                	**type**\:  :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop>`
                                
                                .. attribute:: exceed_dscp
                                
                                	
                                	**type**\:  :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp>`
                                
                                .. attribute:: exceed_set_clp_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit>`
                                
                                .. attribute:: exceed_set_cos_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit>`
                                
                                .. attribute:: exceed_set_discard_class_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit>`
                                
                                .. attribute:: exceed_set_dscp_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit>`
                                
                                .. attribute:: exceed_set_dscp_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable>`
                                
                                .. attribute:: exceed_set_frde_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit>`
                                
                                .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: exceed_set_prec_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit>`
                                
                                .. attribute:: exceed_set_qos_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit>`
                                
                                .. attribute:: exceed_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit>`
                                
                                .. attribute:: exceed_drop
                                
                                	
                                	**type**\:  :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop>`
                                
                                .. attribute:: violate_set_clp_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit>`
                                
                                .. attribute:: violate_set_cos_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit>`
                                
                                .. attribute:: violate_set_discard_class_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit>`
                                
                                .. attribute:: violate_set_dscp_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit>`
                                
                                .. attribute:: violate_set_frde_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit>`
                                
                                .. attribute:: violate_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: violate_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: violate_set_prec_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit>`
                                
                                .. attribute:: violate_set_qos_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit>`
                                
                                .. attribute:: violate_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit>`
                                
                                .. attribute:: violate_drop
                                
                                	
                                	**type**\:  :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions, self).__init__()

                                    self.yang_name = "actions"
                                    self.yang_parent_name = "police"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"conform-set-clp-transmit" : ("conform_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit), "conform-set-cos-transmit" : ("conform_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit), "conform-set-cos-transmit-table" : ("conform_set_cos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable), "conform-set-discard-class-transmit" : ("conform_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit), "conform-set-dscp-transmit" : ("conform_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit), "conform-set-dscp-transmit-table" : ("conform_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable), "conform-set-frde-transmit" : ("conform_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit), "conform-set-mpls-exp-imposition-transmit" : ("conform_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit), "conform-set-mpls-exp-imposition-transmit-table" : ("conform_set_mpls_exp_imposition_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable), "conform-set-mpls-exp-topmost-transmit" : ("conform_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit), "conform-set-mpls-exp-topmost-transmit-table" : ("conform_set_mpls_exp_topmost_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable), "conform-set-prec-transmit" : ("conform_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit), "conform-set-prec-transmit-table" : ("conform_set_prec_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable), "conform-set-qos-transmit" : ("conform_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit), "conform-set-qos-transmit-table" : ("conform_set_qos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable), "conform-transmit" : ("conform_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit), "conform-drop" : ("conform_drop", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop), "exceed-dscp" : ("exceed_dscp", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp), "exceed-set-clp-transmit" : ("exceed_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit), "exceed-set-cos-transmit" : ("exceed_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit), "exceed-set-discard-class-transmit" : ("exceed_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit), "exceed-set-dscp-transmit" : ("exceed_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit), "exceed-set-dscp-transmit-table" : ("exceed_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable), "exceed-set-frde-transmit" : ("exceed_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit), "exceed-set-mpls-exp-imposition-transmit" : ("exceed_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit), "exceed-set-mpls-exp-topmost-transmit" : ("exceed_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit), "exceed-set-prec-transmit" : ("exceed_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit), "exceed-set-qos-transmit" : ("exceed_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit), "exceed-transmit" : ("exceed_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit), "exceed-drop" : ("exceed_drop", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop), "violate-set-clp-transmit" : ("violate_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit), "violate-set-cos-transmit" : ("violate_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit), "violate-set-discard-class-transmit" : ("violate_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit), "violate-set-dscp-transmit" : ("violate_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit), "violate-set-frde-transmit" : ("violate_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit), "violate-set-mpls-exp-imposition-transmit" : ("violate_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit), "violate-set-mpls-exp-topmost-transmit" : ("violate_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit), "violate-set-prec-transmit" : ("violate_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit), "violate-set-qos-transmit" : ("violate_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit), "violate-transmit" : ("violate_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit), "violate-drop" : ("violate_drop", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop)}
                                    self._child_list_classes = {}

                                    self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit()
                                    self.conform_set_clp_transmit.parent = self
                                    self._children_name_map["conform_set_clp_transmit"] = "conform-set-clp-transmit"
                                    self._children_yang_names.add("conform-set-clp-transmit")

                                    self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit()
                                    self.conform_set_cos_transmit.parent = self
                                    self._children_name_map["conform_set_cos_transmit"] = "conform-set-cos-transmit"
                                    self._children_yang_names.add("conform-set-cos-transmit")

                                    self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable()
                                    self.conform_set_cos_transmit_table.parent = self
                                    self._children_name_map["conform_set_cos_transmit_table"] = "conform-set-cos-transmit-table"
                                    self._children_yang_names.add("conform-set-cos-transmit-table")

                                    self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit()
                                    self.conform_set_discard_class_transmit.parent = self
                                    self._children_name_map["conform_set_discard_class_transmit"] = "conform-set-discard-class-transmit"
                                    self._children_yang_names.add("conform-set-discard-class-transmit")

                                    self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit()
                                    self.conform_set_dscp_transmit.parent = self
                                    self._children_name_map["conform_set_dscp_transmit"] = "conform-set-dscp-transmit"
                                    self._children_yang_names.add("conform-set-dscp-transmit")

                                    self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable()
                                    self.conform_set_dscp_transmit_table.parent = self
                                    self._children_name_map["conform_set_dscp_transmit_table"] = "conform-set-dscp-transmit-table"
                                    self._children_yang_names.add("conform-set-dscp-transmit-table")

                                    self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit()
                                    self.conform_set_frde_transmit.parent = self
                                    self._children_name_map["conform_set_frde_transmit"] = "conform-set-frde-transmit"
                                    self._children_yang_names.add("conform-set-frde-transmit")

                                    self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit()
                                    self.conform_set_mpls_exp_imposition_transmit.parent = self
                                    self._children_name_map["conform_set_mpls_exp_imposition_transmit"] = "conform-set-mpls-exp-imposition-transmit"
                                    self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit")

                                    self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable()
                                    self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                    self._children_name_map["conform_set_mpls_exp_imposition_transmit_table"] = "conform-set-mpls-exp-imposition-transmit-table"
                                    self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit-table")

                                    self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit()
                                    self.conform_set_mpls_exp_topmost_transmit.parent = self
                                    self._children_name_map["conform_set_mpls_exp_topmost_transmit"] = "conform-set-mpls-exp-topmost-transmit"
                                    self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit")

                                    self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable()
                                    self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                    self._children_name_map["conform_set_mpls_exp_topmost_transmit_table"] = "conform-set-mpls-exp-topmost-transmit-table"
                                    self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit-table")

                                    self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit()
                                    self.conform_set_prec_transmit.parent = self
                                    self._children_name_map["conform_set_prec_transmit"] = "conform-set-prec-transmit"
                                    self._children_yang_names.add("conform-set-prec-transmit")

                                    self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable()
                                    self.conform_set_prec_transmit_table.parent = self
                                    self._children_name_map["conform_set_prec_transmit_table"] = "conform-set-prec-transmit-table"
                                    self._children_yang_names.add("conform-set-prec-transmit-table")

                                    self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit()
                                    self.conform_set_qos_transmit.parent = self
                                    self._children_name_map["conform_set_qos_transmit"] = "conform-set-qos-transmit"
                                    self._children_yang_names.add("conform-set-qos-transmit")

                                    self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable()
                                    self.conform_set_qos_transmit_table.parent = self
                                    self._children_name_map["conform_set_qos_transmit_table"] = "conform-set-qos-transmit-table"
                                    self._children_yang_names.add("conform-set-qos-transmit-table")

                                    self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit()
                                    self.conform_transmit.parent = self
                                    self._children_name_map["conform_transmit"] = "conform-transmit"
                                    self._children_yang_names.add("conform-transmit")

                                    self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop()
                                    self.conform_drop.parent = self
                                    self._children_name_map["conform_drop"] = "conform-drop"
                                    self._children_yang_names.add("conform-drop")

                                    self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp()
                                    self.exceed_dscp.parent = self
                                    self._children_name_map["exceed_dscp"] = "exceed-dscp"
                                    self._children_yang_names.add("exceed-dscp")

                                    self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit()
                                    self.exceed_set_clp_transmit.parent = self
                                    self._children_name_map["exceed_set_clp_transmit"] = "exceed-set-clp-transmit"
                                    self._children_yang_names.add("exceed-set-clp-transmit")

                                    self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit()
                                    self.exceed_set_cos_transmit.parent = self
                                    self._children_name_map["exceed_set_cos_transmit"] = "exceed-set-cos-transmit"
                                    self._children_yang_names.add("exceed-set-cos-transmit")

                                    self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit()
                                    self.exceed_set_discard_class_transmit.parent = self
                                    self._children_name_map["exceed_set_discard_class_transmit"] = "exceed-set-discard-class-transmit"
                                    self._children_yang_names.add("exceed-set-discard-class-transmit")

                                    self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit()
                                    self.exceed_set_dscp_transmit.parent = self
                                    self._children_name_map["exceed_set_dscp_transmit"] = "exceed-set-dscp-transmit"
                                    self._children_yang_names.add("exceed-set-dscp-transmit")

                                    self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable()
                                    self.exceed_set_dscp_transmit_table.parent = self
                                    self._children_name_map["exceed_set_dscp_transmit_table"] = "exceed-set-dscp-transmit-table"
                                    self._children_yang_names.add("exceed-set-dscp-transmit-table")

                                    self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit()
                                    self.exceed_set_frde_transmit.parent = self
                                    self._children_name_map["exceed_set_frde_transmit"] = "exceed-set-frde-transmit"
                                    self._children_yang_names.add("exceed-set-frde-transmit")

                                    self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit()
                                    self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                    self._children_name_map["exceed_set_mpls_exp_imposition_transmit"] = "exceed-set-mpls-exp-imposition-transmit"
                                    self._children_yang_names.add("exceed-set-mpls-exp-imposition-transmit")

                                    self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit()
                                    self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                    self._children_name_map["exceed_set_mpls_exp_topmost_transmit"] = "exceed-set-mpls-exp-topmost-transmit"
                                    self._children_yang_names.add("exceed-set-mpls-exp-topmost-transmit")

                                    self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit()
                                    self.exceed_set_prec_transmit.parent = self
                                    self._children_name_map["exceed_set_prec_transmit"] = "exceed-set-prec-transmit"
                                    self._children_yang_names.add("exceed-set-prec-transmit")

                                    self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit()
                                    self.exceed_set_qos_transmit.parent = self
                                    self._children_name_map["exceed_set_qos_transmit"] = "exceed-set-qos-transmit"
                                    self._children_yang_names.add("exceed-set-qos-transmit")

                                    self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit()
                                    self.exceed_transmit.parent = self
                                    self._children_name_map["exceed_transmit"] = "exceed-transmit"
                                    self._children_yang_names.add("exceed-transmit")

                                    self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop()
                                    self.exceed_drop.parent = self
                                    self._children_name_map["exceed_drop"] = "exceed-drop"
                                    self._children_yang_names.add("exceed-drop")

                                    self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit()
                                    self.violate_set_clp_transmit.parent = self
                                    self._children_name_map["violate_set_clp_transmit"] = "violate-set-clp-transmit"
                                    self._children_yang_names.add("violate-set-clp-transmit")

                                    self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit()
                                    self.violate_set_cos_transmit.parent = self
                                    self._children_name_map["violate_set_cos_transmit"] = "violate-set-cos-transmit"
                                    self._children_yang_names.add("violate-set-cos-transmit")

                                    self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit()
                                    self.violate_set_discard_class_transmit.parent = self
                                    self._children_name_map["violate_set_discard_class_transmit"] = "violate-set-discard-class-transmit"
                                    self._children_yang_names.add("violate-set-discard-class-transmit")

                                    self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit()
                                    self.violate_set_dscp_transmit.parent = self
                                    self._children_name_map["violate_set_dscp_transmit"] = "violate-set-dscp-transmit"
                                    self._children_yang_names.add("violate-set-dscp-transmit")

                                    self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit()
                                    self.violate_set_frde_transmit.parent = self
                                    self._children_name_map["violate_set_frde_transmit"] = "violate-set-frde-transmit"
                                    self._children_yang_names.add("violate-set-frde-transmit")

                                    self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit()
                                    self.violate_set_mpls_exp_imposition_transmit.parent = self
                                    self._children_name_map["violate_set_mpls_exp_imposition_transmit"] = "violate-set-mpls-exp-imposition-transmit"
                                    self._children_yang_names.add("violate-set-mpls-exp-imposition-transmit")

                                    self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit()
                                    self.violate_set_mpls_exp_topmost_transmit.parent = self
                                    self._children_name_map["violate_set_mpls_exp_topmost_transmit"] = "violate-set-mpls-exp-topmost-transmit"
                                    self._children_yang_names.add("violate-set-mpls-exp-topmost-transmit")

                                    self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit()
                                    self.violate_set_prec_transmit.parent = self
                                    self._children_name_map["violate_set_prec_transmit"] = "violate-set-prec-transmit"
                                    self._children_yang_names.add("violate-set-prec-transmit")

                                    self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit()
                                    self.violate_set_qos_transmit.parent = self
                                    self._children_name_map["violate_set_qos_transmit"] = "violate-set-qos-transmit"
                                    self._children_yang_names.add("violate-set-qos-transmit")

                                    self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit()
                                    self.violate_transmit.parent = self
                                    self._children_name_map["violate_transmit"] = "violate-transmit"
                                    self._children_yang_names.add("violate-transmit")

                                    self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop()
                                    self.violate_drop.parent = self
                                    self._children_name_map["violate_drop"] = "violate-drop"
                                    self._children_yang_names.add("violate-drop")
                                    self._segment_path = lambda: "actions"


                                class ConformSetClpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit, self).__init__()

                                        self.yang_name = "conform-set-clp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-clp-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-clp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetClpTransmit.ConformAction, ['set_clp_transmit'], name, value)


                                class ConformSetCosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit, self).__init__()

                                        self.yang_name = "conform-set-cos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-cos-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-cos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmit.ConformAction, ['set_cos_transmit'], name, value)


                                class ConformSetCosTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-cos-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-cos-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-cos-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetCosTransmitTable.ConformAction, ['set_cos_transmit', 'table'], name, value)


                                class ConformSetDiscardClassTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit, self).__init__()

                                        self.yang_name = "conform-set-discard-class-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-discard-class-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-discard-class-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDiscardClassTransmit.ConformAction, ['set_discard_class_transmit'], name, value)


                                class ConformSetDscpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit, self).__init__()

                                        self.yang_name = "conform-set-dscp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-dscp-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-dscp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmit.ConformAction, ['set_dscp_transmit'], name, value)


                                class ConformSetDscpTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-dscp-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-dscp-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-dscp-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetDscpTransmitTable.ConformAction, ['set_dscp_transmit', 'table'], name, value)


                                class ConformSetFrdeTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit, self).__init__()

                                        self.yang_name = "conform-set-frde-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-frde-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-frde-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetFrdeTransmit.ConformAction, ['set_frde_transmit'], name, value)


                                class ConformSetMplsExpImpositionTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit, self).__init__()

                                        self.yang_name = "conform-set-mpls-exp-imposition-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                class ConformSetMplsExpImpositionTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-mpls-exp-imposition-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, ['set_mpls_exp_imposition_transmit', 'table'], name, value)


                                class ConformSetMplsExpTopmostTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit, self).__init__()

                                        self.yang_name = "conform-set-mpls-exp-topmost-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                class ConformSetMplsExpTopmostTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-mpls-exp-topmost-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, ['set_mpls_exp_topmost_transmit', 'table'], name, value)


                                class ConformSetPrecTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit, self).__init__()

                                        self.yang_name = "conform-set-prec-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-prec-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-prec-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmit.ConformAction, ['set_prec_transmit'], name, value)


                                class ConformSetPrecTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-prec-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-prec-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-prec-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetPrecTransmitTable.ConformAction, ['set_prec_transmit', 'table'], name, value)


                                class ConformSetQosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit, self).__init__()

                                        self.yang_name = "conform-set-qos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-qos-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..99
                                        
                                        		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-qos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmit.ConformAction, ['set_qos_transmit'], name, value)


                                class ConformSetQosTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-qos-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-qos-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..99
                                        
                                        		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-qos-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformSetQosTransmitTable.ConformAction, ['set_qos_transmit', 'table'], name, value)


                                class ConformTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit, self).__init__()

                                        self.yang_name = "conform-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.transmit = YLeaf(YType.empty, "transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformTransmit.ConformAction, ['transmit'], name, value)


                                class ConformDrop(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop, self).__init__()

                                        self.yang_name = "conform-drop"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-drop"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-drop"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.drop = YLeaf(YType.empty, "drop")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ConformDrop.ConformAction, ['drop'], name, value)


                                class ExceedDscp(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp, self).__init__()

                                        self.yang_name = "exceed-dscp"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-dscp"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: dscp
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-dscp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dscp = YLeaf(YType.str, "dscp")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDscp.ExceedAction, ['dscp'], name, value)


                                class ExceedSetClpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit, self).__init__()

                                        self.yang_name = "exceed-set-clp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-clp-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-clp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetClpTransmit.ExceedAction, ['set_clp_transmit'], name, value)


                                class ExceedSetCosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit, self).__init__()

                                        self.yang_name = "exceed-set-cos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-cos-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-cos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetCosTransmit.ExceedAction, ['set_cos_transmit', 'table'], name, value)


                                class ExceedSetDiscardClassTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit, self).__init__()

                                        self.yang_name = "exceed-set-discard-class-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-discard-class-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-discard-class-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction, ['set_discard_class_transmit'], name, value)


                                class ExceedSetDscpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit, self).__init__()

                                        self.yang_name = "exceed-set-dscp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-dscp-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-dscp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"set-dscp-transmit" : ("set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit)}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                            self.set_dscp_transmit.parent = self
                                            self._children_name_map["set_dscp_transmit"] = "set-dscp-transmit"
                                            self._children_yang_names.add("set-dscp-transmit")
                                            self._segment_path = lambda: "exceed-action"


                                        class SetDscpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: dscp
                                            
                                            	
                                            	**type**\:  :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit, self).__init__()

                                                self.yang_name = "set-dscp-transmit"
                                                self.yang_parent_name = "exceed-action"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dscp" : ("dscp", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp)}
                                                self._child_list_classes = {}

                                                self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                self.dscp.parent = self
                                                self._children_name_map["dscp"] = "dscp"
                                                self._children_yang_names.add("dscp")
                                                self._segment_path = lambda: "set-dscp-transmit"


                                            class Dscp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: table
                                                
                                                	
                                                	**type**\:  :py:class:`Table <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.Table>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, self).__init__()

                                                    self.yang_name = "dscp"
                                                    self.yang_parent_name = "set-dscp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.table = YLeaf(YType.enumeration, "table")
                                                    self._segment_path = lambda: "dscp"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, ['table'], name, value)

                                                class Table(Enum):
                                                    """
                                                    Table

                                                    .. data:: policed_dscp = 0

                                                    """

                                                    policed_dscp = Enum.YLeaf(0, "policed-dscp")



                                class ExceedSetDscpTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable, self).__init__()

                                        self.yang_name = "exceed-set-dscp-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-dscp-transmit-table"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-dscp-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction, ['set_dscp_transmit', 'table'], name, value)


                                class ExceedSetFrdeTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit, self).__init__()

                                        self.yang_name = "exceed-set-frde-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-frde-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-frde-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetFrdeTransmit.ExceedAction, ['set_frde_transmit'], name, value)


                                class ExceedSetMplsExpImpositionTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit, self).__init__()

                                        self.yang_name = "exceed-set-mpls-exp-imposition-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-mpls-exp-imposition-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-mpls-exp-imposition-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                class ExceedSetMplsExpTopmostTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit, self).__init__()

                                        self.yang_name = "exceed-set-mpls-exp-topmost-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-mpls-exp-topmost-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-mpls-exp-topmost-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                class ExceedSetPrecTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit, self).__init__()

                                        self.yang_name = "exceed-set-prec-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-prec-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-prec-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetPrecTransmit.ExceedAction, ['set_prec_transmit', 'table'], name, value)


                                class ExceedSetQosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit, self).__init__()

                                        self.yang_name = "exceed-set-qos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-qos-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..99
                                        
                                        		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-qos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedSetQosTransmit.ExceedAction, ['set_qos_transmit'], name, value)


                                class ExceedTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit, self).__init__()

                                        self.yang_name = "exceed-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.transmit = YLeaf(YType.empty, "transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedTransmit.ExceedAction, ['transmit'], name, value)


                                class ExceedDrop(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop, self).__init__()

                                        self.yang_name = "exceed-drop"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-drop"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-drop"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.drop = YLeaf(YType.empty, "drop")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ExceedDrop.ExceedAction, ['drop'], name, value)


                                class ViolateSetClpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit, self).__init__()

                                        self.yang_name = "violate-set-clp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-clp-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-clp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetClpTransmit.ViolateAction, ['set_clp_transmit'], name, value)


                                class ViolateSetCosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit, self).__init__()

                                        self.yang_name = "violate-set-cos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-cos-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-cos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetCosTransmit.ViolateAction, ['set_cos_transmit', 'table'], name, value)


                                class ViolateSetDiscardClassTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit, self).__init__()

                                        self.yang_name = "violate-set-discard-class-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-discard-class-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-discard-class-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction, ['set_discard_class_transmit'], name, value)


                                class ViolateSetDscpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit, self).__init__()

                                        self.yang_name = "violate-set-dscp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-dscp-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-dscp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetDscpTransmit.ViolateAction, ['set_dscp_transmit', 'table'], name, value)


                                class ViolateSetFrdeTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit, self).__init__()

                                        self.yang_name = "violate-set-frde-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-frde-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-frde-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetFrdeTransmit.ViolateAction, ['set_frde_transmit'], name, value)


                                class ViolateSetMplsExpImpositionTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit, self).__init__()

                                        self.yang_name = "violate-set-mpls-exp-imposition-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-mpls-exp-imposition-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-mpls-exp-imposition-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                class ViolateSetMplsExpTopmostTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit, self).__init__()

                                        self.yang_name = "violate-set-mpls-exp-topmost-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-mpls-exp-topmost-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-mpls-exp-topmost-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                class ViolateSetPrecTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit, self).__init__()

                                        self.yang_name = "violate-set-prec-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-prec-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-prec-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetPrecTransmit.ViolateAction, ['set_prec_transmit', 'table'], name, value)


                                class ViolateSetQosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit, self).__init__()

                                        self.yang_name = "violate-set-qos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-qos-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..99
                                        
                                        		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-qos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateSetQosTransmit.ViolateAction, ['set_qos_transmit'], name, value)


                                class ViolateTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit, self).__init__()

                                        self.yang_name = "violate-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.transmit = YLeaf(YType.empty, "transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateTransmit.ViolateAction, ['transmit'], name, value)


                                class ViolateDrop(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop, self).__init__()

                                        self.yang_name = "violate-drop"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-drop"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-drop"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.drop = YLeaf(YType.empty, "drop")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PolicePolicyMap.Police.Actions.ViolateDrop.ViolateAction, ['drop'], name, value)


                    class PoliceCirPercent(Entity):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent, self).__init__()

                            self.yang_name = "police-cir-percent"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"police" : ("police", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police)}
                            self._child_list_classes = {}

                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police()
                            self.police.parent = self
                            self._children_name_map["police"] = "police"
                            self._children_yang_names.add("police")
                            self._segment_path = lambda: "police-cir-percent"


                        class Police(Entity):
                            """
                            
                            
                            .. attribute:: cir
                            
                            	Committed information rate
                            	**type**\:  :py:class:`Cir <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police, self).__init__()

                                self.yang_name = "police"
                                self.yang_parent_name = "police-cir-percent"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cir" : ("cir", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir)}
                                self._child_list_classes = {}

                                self.cir = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir()
                                self.cir.parent = self
                                self._children_name_map["cir"] = "cir"
                                self._children_yang_names.add("cir")
                                self._segment_path = lambda: "police"


                            class Cir(Entity):
                                """
                                Committed information rate
                                
                                .. attribute:: percent
                                
                                	% of interface bandwidth for Committed information rate
                                	**type**\:  :py:class:`Percent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir, self).__init__()

                                    self.yang_name = "cir"
                                    self.yang_parent_name = "police"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"percent" : ("percent", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent)}
                                    self._child_list_classes = {}

                                    self.percent = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent()
                                    self.percent.parent = self
                                    self._children_name_map["percent"] = "percent"
                                    self._children_yang_names.add("percent")
                                    self._segment_path = lambda: "cir"


                                class Percent(Entity):
                                    """
                                    % of interface bandwidth for Committed information rate
                                    
                                    .. attribute:: percentage
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: bc
                                    
                                    	Conform burst
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: bc_ms
                                    
                                    	
                                    	**type**\:  :py:class:`BcMs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BcMs>`
                                    
                                    .. attribute:: be
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: be_ms
                                    
                                    	
                                    	**type**\:  :py:class:`BeMs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BeMs>`
                                    
                                    .. attribute:: pir
                                    
                                    	Peak Information Rate
                                    	**type**\:  :py:class:`Pir <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Pir>`
                                    
                                    .. attribute:: pir_be
                                    
                                    	
                                    	**type**\:  :py:class:`PirBe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBe>`
                                    
                                    .. attribute:: pir_be_ms
                                    
                                    	
                                    	**type**\:  :py:class:`PirBeMs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBeMs>`
                                    
                                    .. attribute:: actions
                                    
                                    	
                                    	**type**\:  :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent, self).__init__()

                                        self.yang_name = "percent"
                                        self.yang_parent_name = "cir"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bc-ms" : ("bc_ms", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BcMs), "be-ms" : ("be_ms", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BeMs), "pir" : ("pir", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Pir), "pir-be" : ("pir_be", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBe), "pir-be-ms" : ("pir_be_ms", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBeMs), "actions" : ("actions", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions)}
                                        self._child_list_classes = {}

                                        self.percentage = YLeaf(YType.uint8, "percentage")

                                        self.bc = YLeaf(YType.uint16, "bc")

                                        self.be = YLeaf(YType.uint16, "be")

                                        self.bc_ms = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BcMs()
                                        self.bc_ms.parent = self
                                        self._children_name_map["bc_ms"] = "bc-ms"
                                        self._children_yang_names.add("bc-ms")

                                        self.be_ms = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BeMs()
                                        self.be_ms.parent = self
                                        self._children_name_map["be_ms"] = "be-ms"
                                        self._children_yang_names.add("be-ms")

                                        self.pir = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Pir()
                                        self.pir.parent = self
                                        self._children_name_map["pir"] = "pir"
                                        self._children_yang_names.add("pir")

                                        self.pir_be = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBe()
                                        self.pir_be.parent = self
                                        self._children_name_map["pir_be"] = "pir-be"
                                        self._children_yang_names.add("pir-be")

                                        self.pir_be_ms = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBeMs()
                                        self.pir_be_ms.parent = self
                                        self._children_name_map["pir_be_ms"] = "pir-be-ms"
                                        self._children_yang_names.add("pir-be-ms")

                                        self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions()
                                        self.actions.parent = self
                                        self._children_name_map["actions"] = "actions"
                                        self._children_yang_names.add("actions")
                                        self._segment_path = lambda: "percent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent, ['percentage', 'bc', 'be'], name, value)


                                    class BcMs(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ms
                                        
                                        	Milli seconds
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BcMs, self).__init__()

                                            self.yang_name = "bc-ms"
                                            self.yang_parent_name = "percent"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ms = YLeaf(YType.empty, "ms")
                                            self._segment_path = lambda: "bc-ms"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BcMs, ['ms'], name, value)


                                    class BeMs(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ms
                                        
                                        	Milli seconds
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BeMs, self).__init__()

                                            self.yang_name = "be-ms"
                                            self.yang_parent_name = "percent"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ms = YLeaf(YType.empty, "ms")
                                            self._segment_path = lambda: "be-ms"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.BeMs, ['ms'], name, value)


                                    class Pir(Entity):
                                        """
                                        Peak Information Rate
                                        
                                        .. attribute:: percent
                                        
                                        	% of interface bandwidth for Peak Information Rate
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Pir, self).__init__()

                                            self.yang_name = "pir"
                                            self.yang_parent_name = "percent"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.percent = YLeaf(YType.uint8, "percent")
                                            self._segment_path = lambda: "pir"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Pir, ['percent'], name, value)


                                    class PirBe(Entity):
                                        """
                                        
                                        
                                        .. attribute:: be
                                        
                                        	Excess burst
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBe, self).__init__()

                                            self.yang_name = "pir-be"
                                            self.yang_parent_name = "percent"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.be = YLeaf(YType.uint16, "be")
                                            self._segment_path = lambda: "pir-be"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBe, ['be'], name, value)


                                    class PirBeMs(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ms
                                        
                                        	Milli seconds
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBeMs, self).__init__()

                                            self.yang_name = "pir-be-ms"
                                            self.yang_parent_name = "percent"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ms = YLeaf(YType.empty, "ms")
                                            self._segment_path = lambda: "pir-be-ms"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.PirBeMs, ['ms'], name, value)


                                    class Actions(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_set_clp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit>`
                                        
                                        .. attribute:: conform_set_cos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit>`
                                        
                                        .. attribute:: conform_set_cos_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable>`
                                        
                                        .. attribute:: conform_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit>`
                                        
                                        .. attribute:: conform_set_dscp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit>`
                                        
                                        .. attribute:: conform_set_dscp_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable>`
                                        
                                        .. attribute:: conform_set_frde_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                        
                                        .. attribute:: conform_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                        
                                        .. attribute:: conform_set_prec_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit>`
                                        
                                        .. attribute:: conform_set_prec_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable>`
                                        
                                        .. attribute:: conform_set_qos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit>`
                                        
                                        .. attribute:: conform_set_qos_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable>`
                                        
                                        .. attribute:: conform_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit>`
                                        
                                        .. attribute:: conform_drop
                                        
                                        	
                                        	**type**\:  :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop>`
                                        
                                        .. attribute:: exceed_dscp
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp>`
                                        
                                        .. attribute:: exceed_set_clp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit>`
                                        
                                        .. attribute:: exceed_set_cos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit>`
                                        
                                        .. attribute:: exceed_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit>`
                                        
                                        .. attribute:: exceed_set_dscp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit>`
                                        
                                        .. attribute:: exceed_set_dscp_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable>`
                                        
                                        .. attribute:: exceed_set_frde_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit>`
                                        
                                        .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: exceed_set_prec_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit>`
                                        
                                        .. attribute:: exceed_set_qos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit>`
                                        
                                        .. attribute:: exceed_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit>`
                                        
                                        .. attribute:: exceed_drop
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop>`
                                        
                                        .. attribute:: violate_set_clp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit>`
                                        
                                        .. attribute:: violate_set_cos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit>`
                                        
                                        .. attribute:: violate_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit>`
                                        
                                        .. attribute:: violate_set_dscp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit>`
                                        
                                        .. attribute:: violate_set_frde_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit>`
                                        
                                        .. attribute:: violate_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: violate_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: violate_set_prec_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit>`
                                        
                                        .. attribute:: violate_set_qos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit>`
                                        
                                        .. attribute:: violate_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit>`
                                        
                                        .. attribute:: violate_drop
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions, self).__init__()

                                            self.yang_name = "actions"
                                            self.yang_parent_name = "percent"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-set-clp-transmit" : ("conform_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit), "conform-set-cos-transmit" : ("conform_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit), "conform-set-cos-transmit-table" : ("conform_set_cos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable), "conform-set-discard-class-transmit" : ("conform_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit), "conform-set-dscp-transmit" : ("conform_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit), "conform-set-dscp-transmit-table" : ("conform_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable), "conform-set-frde-transmit" : ("conform_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit), "conform-set-mpls-exp-imposition-transmit" : ("conform_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit), "conform-set-mpls-exp-imposition-transmit-table" : ("conform_set_mpls_exp_imposition_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable), "conform-set-mpls-exp-topmost-transmit" : ("conform_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit), "conform-set-mpls-exp-topmost-transmit-table" : ("conform_set_mpls_exp_topmost_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable), "conform-set-prec-transmit" : ("conform_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit), "conform-set-prec-transmit-table" : ("conform_set_prec_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable), "conform-set-qos-transmit" : ("conform_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit), "conform-set-qos-transmit-table" : ("conform_set_qos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable), "conform-transmit" : ("conform_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit), "conform-drop" : ("conform_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop), "exceed-dscp" : ("exceed_dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp), "exceed-set-clp-transmit" : ("exceed_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit), "exceed-set-cos-transmit" : ("exceed_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit), "exceed-set-discard-class-transmit" : ("exceed_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit), "exceed-set-dscp-transmit" : ("exceed_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit), "exceed-set-dscp-transmit-table" : ("exceed_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable), "exceed-set-frde-transmit" : ("exceed_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit), "exceed-set-mpls-exp-imposition-transmit" : ("exceed_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit), "exceed-set-mpls-exp-topmost-transmit" : ("exceed_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit), "exceed-set-prec-transmit" : ("exceed_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit), "exceed-set-qos-transmit" : ("exceed_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit), "exceed-transmit" : ("exceed_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit), "exceed-drop" : ("exceed_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop), "violate-set-clp-transmit" : ("violate_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit), "violate-set-cos-transmit" : ("violate_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit), "violate-set-discard-class-transmit" : ("violate_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit), "violate-set-dscp-transmit" : ("violate_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit), "violate-set-frde-transmit" : ("violate_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit), "violate-set-mpls-exp-imposition-transmit" : ("violate_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit), "violate-set-mpls-exp-topmost-transmit" : ("violate_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit), "violate-set-prec-transmit" : ("violate_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit), "violate-set-qos-transmit" : ("violate_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit), "violate-transmit" : ("violate_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit), "violate-drop" : ("violate_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop)}
                                            self._child_list_classes = {}

                                            self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit()
                                            self.conform_set_clp_transmit.parent = self
                                            self._children_name_map["conform_set_clp_transmit"] = "conform-set-clp-transmit"
                                            self._children_yang_names.add("conform-set-clp-transmit")

                                            self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit()
                                            self.conform_set_cos_transmit.parent = self
                                            self._children_name_map["conform_set_cos_transmit"] = "conform-set-cos-transmit"
                                            self._children_yang_names.add("conform-set-cos-transmit")

                                            self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable()
                                            self.conform_set_cos_transmit_table.parent = self
                                            self._children_name_map["conform_set_cos_transmit_table"] = "conform-set-cos-transmit-table"
                                            self._children_yang_names.add("conform-set-cos-transmit-table")

                                            self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit()
                                            self.conform_set_discard_class_transmit.parent = self
                                            self._children_name_map["conform_set_discard_class_transmit"] = "conform-set-discard-class-transmit"
                                            self._children_yang_names.add("conform-set-discard-class-transmit")

                                            self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit()
                                            self.conform_set_dscp_transmit.parent = self
                                            self._children_name_map["conform_set_dscp_transmit"] = "conform-set-dscp-transmit"
                                            self._children_yang_names.add("conform-set-dscp-transmit")

                                            self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable()
                                            self.conform_set_dscp_transmit_table.parent = self
                                            self._children_name_map["conform_set_dscp_transmit_table"] = "conform-set-dscp-transmit-table"
                                            self._children_yang_names.add("conform-set-dscp-transmit-table")

                                            self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit()
                                            self.conform_set_frde_transmit.parent = self
                                            self._children_name_map["conform_set_frde_transmit"] = "conform-set-frde-transmit"
                                            self._children_yang_names.add("conform-set-frde-transmit")

                                            self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit()
                                            self.conform_set_mpls_exp_imposition_transmit.parent = self
                                            self._children_name_map["conform_set_mpls_exp_imposition_transmit"] = "conform-set-mpls-exp-imposition-transmit"
                                            self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit")

                                            self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable()
                                            self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                            self._children_name_map["conform_set_mpls_exp_imposition_transmit_table"] = "conform-set-mpls-exp-imposition-transmit-table"
                                            self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit-table")

                                            self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit()
                                            self.conform_set_mpls_exp_topmost_transmit.parent = self
                                            self._children_name_map["conform_set_mpls_exp_topmost_transmit"] = "conform-set-mpls-exp-topmost-transmit"
                                            self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit")

                                            self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable()
                                            self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                            self._children_name_map["conform_set_mpls_exp_topmost_transmit_table"] = "conform-set-mpls-exp-topmost-transmit-table"
                                            self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit-table")

                                            self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit()
                                            self.conform_set_prec_transmit.parent = self
                                            self._children_name_map["conform_set_prec_transmit"] = "conform-set-prec-transmit"
                                            self._children_yang_names.add("conform-set-prec-transmit")

                                            self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable()
                                            self.conform_set_prec_transmit_table.parent = self
                                            self._children_name_map["conform_set_prec_transmit_table"] = "conform-set-prec-transmit-table"
                                            self._children_yang_names.add("conform-set-prec-transmit-table")

                                            self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit()
                                            self.conform_set_qos_transmit.parent = self
                                            self._children_name_map["conform_set_qos_transmit"] = "conform-set-qos-transmit"
                                            self._children_yang_names.add("conform-set-qos-transmit")

                                            self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable()
                                            self.conform_set_qos_transmit_table.parent = self
                                            self._children_name_map["conform_set_qos_transmit_table"] = "conform-set-qos-transmit-table"
                                            self._children_yang_names.add("conform-set-qos-transmit-table")

                                            self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit()
                                            self.conform_transmit.parent = self
                                            self._children_name_map["conform_transmit"] = "conform-transmit"
                                            self._children_yang_names.add("conform-transmit")

                                            self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop()
                                            self.conform_drop.parent = self
                                            self._children_name_map["conform_drop"] = "conform-drop"
                                            self._children_yang_names.add("conform-drop")

                                            self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp()
                                            self.exceed_dscp.parent = self
                                            self._children_name_map["exceed_dscp"] = "exceed-dscp"
                                            self._children_yang_names.add("exceed-dscp")

                                            self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit()
                                            self.exceed_set_clp_transmit.parent = self
                                            self._children_name_map["exceed_set_clp_transmit"] = "exceed-set-clp-transmit"
                                            self._children_yang_names.add("exceed-set-clp-transmit")

                                            self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit()
                                            self.exceed_set_cos_transmit.parent = self
                                            self._children_name_map["exceed_set_cos_transmit"] = "exceed-set-cos-transmit"
                                            self._children_yang_names.add("exceed-set-cos-transmit")

                                            self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit()
                                            self.exceed_set_discard_class_transmit.parent = self
                                            self._children_name_map["exceed_set_discard_class_transmit"] = "exceed-set-discard-class-transmit"
                                            self._children_yang_names.add("exceed-set-discard-class-transmit")

                                            self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit()
                                            self.exceed_set_dscp_transmit.parent = self
                                            self._children_name_map["exceed_set_dscp_transmit"] = "exceed-set-dscp-transmit"
                                            self._children_yang_names.add("exceed-set-dscp-transmit")

                                            self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable()
                                            self.exceed_set_dscp_transmit_table.parent = self
                                            self._children_name_map["exceed_set_dscp_transmit_table"] = "exceed-set-dscp-transmit-table"
                                            self._children_yang_names.add("exceed-set-dscp-transmit-table")

                                            self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit()
                                            self.exceed_set_frde_transmit.parent = self
                                            self._children_name_map["exceed_set_frde_transmit"] = "exceed-set-frde-transmit"
                                            self._children_yang_names.add("exceed-set-frde-transmit")

                                            self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit()
                                            self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                            self._children_name_map["exceed_set_mpls_exp_imposition_transmit"] = "exceed-set-mpls-exp-imposition-transmit"
                                            self._children_yang_names.add("exceed-set-mpls-exp-imposition-transmit")

                                            self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit()
                                            self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                            self._children_name_map["exceed_set_mpls_exp_topmost_transmit"] = "exceed-set-mpls-exp-topmost-transmit"
                                            self._children_yang_names.add("exceed-set-mpls-exp-topmost-transmit")

                                            self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit()
                                            self.exceed_set_prec_transmit.parent = self
                                            self._children_name_map["exceed_set_prec_transmit"] = "exceed-set-prec-transmit"
                                            self._children_yang_names.add("exceed-set-prec-transmit")

                                            self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit()
                                            self.exceed_set_qos_transmit.parent = self
                                            self._children_name_map["exceed_set_qos_transmit"] = "exceed-set-qos-transmit"
                                            self._children_yang_names.add("exceed-set-qos-transmit")

                                            self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit()
                                            self.exceed_transmit.parent = self
                                            self._children_name_map["exceed_transmit"] = "exceed-transmit"
                                            self._children_yang_names.add("exceed-transmit")

                                            self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop()
                                            self.exceed_drop.parent = self
                                            self._children_name_map["exceed_drop"] = "exceed-drop"
                                            self._children_yang_names.add("exceed-drop")

                                            self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit()
                                            self.violate_set_clp_transmit.parent = self
                                            self._children_name_map["violate_set_clp_transmit"] = "violate-set-clp-transmit"
                                            self._children_yang_names.add("violate-set-clp-transmit")

                                            self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit()
                                            self.violate_set_cos_transmit.parent = self
                                            self._children_name_map["violate_set_cos_transmit"] = "violate-set-cos-transmit"
                                            self._children_yang_names.add("violate-set-cos-transmit")

                                            self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit()
                                            self.violate_set_discard_class_transmit.parent = self
                                            self._children_name_map["violate_set_discard_class_transmit"] = "violate-set-discard-class-transmit"
                                            self._children_yang_names.add("violate-set-discard-class-transmit")

                                            self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit()
                                            self.violate_set_dscp_transmit.parent = self
                                            self._children_name_map["violate_set_dscp_transmit"] = "violate-set-dscp-transmit"
                                            self._children_yang_names.add("violate-set-dscp-transmit")

                                            self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit()
                                            self.violate_set_frde_transmit.parent = self
                                            self._children_name_map["violate_set_frde_transmit"] = "violate-set-frde-transmit"
                                            self._children_yang_names.add("violate-set-frde-transmit")

                                            self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit()
                                            self.violate_set_mpls_exp_imposition_transmit.parent = self
                                            self._children_name_map["violate_set_mpls_exp_imposition_transmit"] = "violate-set-mpls-exp-imposition-transmit"
                                            self._children_yang_names.add("violate-set-mpls-exp-imposition-transmit")

                                            self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit()
                                            self.violate_set_mpls_exp_topmost_transmit.parent = self
                                            self._children_name_map["violate_set_mpls_exp_topmost_transmit"] = "violate-set-mpls-exp-topmost-transmit"
                                            self._children_yang_names.add("violate-set-mpls-exp-topmost-transmit")

                                            self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit()
                                            self.violate_set_prec_transmit.parent = self
                                            self._children_name_map["violate_set_prec_transmit"] = "violate-set-prec-transmit"
                                            self._children_yang_names.add("violate-set-prec-transmit")

                                            self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit()
                                            self.violate_set_qos_transmit.parent = self
                                            self._children_name_map["violate_set_qos_transmit"] = "violate-set-qos-transmit"
                                            self._children_yang_names.add("violate-set-qos-transmit")

                                            self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit()
                                            self.violate_transmit.parent = self
                                            self._children_name_map["violate_transmit"] = "violate-transmit"
                                            self._children_yang_names.add("violate-transmit")

                                            self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop()
                                            self.violate_drop.parent = self
                                            self._children_name_map["violate_drop"] = "violate-drop"
                                            self._children_yang_names.add("violate-drop")
                                            self._segment_path = lambda: "actions"


                                        class ConformSetClpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit, self).__init__()

                                                self.yang_name = "conform-set-clp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-clp-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-clp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetClpTransmit.ConformAction, ['set_clp_transmit'], name, value)


                                        class ConformSetCosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit, self).__init__()

                                                self.yang_name = "conform-set-cos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-cos-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-cos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmit.ConformAction, ['set_cos_transmit'], name, value)


                                        class ConformSetCosTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-cos-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-cos-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-cos-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetCosTransmitTable.ConformAction, ['set_cos_transmit', 'table'], name, value)


                                        class ConformSetDiscardClassTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit, self).__init__()

                                                self.yang_name = "conform-set-discard-class-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-discard-class-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-discard-class-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction, ['set_discard_class_transmit'], name, value)


                                        class ConformSetDscpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit, self).__init__()

                                                self.yang_name = "conform-set-dscp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-dscp-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-dscp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmit.ConformAction, ['set_dscp_transmit'], name, value)


                                        class ConformSetDscpTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-dscp-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-dscp-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-dscp-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetDscpTransmitTable.ConformAction, ['set_dscp_transmit', 'table'], name, value)


                                        class ConformSetFrdeTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit, self).__init__()

                                                self.yang_name = "conform-set-frde-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-frde-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-frde-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetFrdeTransmit.ConformAction, ['set_frde_transmit'], name, value)


                                        class ConformSetMplsExpImpositionTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit, self).__init__()

                                                self.yang_name = "conform-set-mpls-exp-imposition-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                        class ConformSetMplsExpImpositionTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-mpls-exp-imposition-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, ['set_mpls_exp_imposition_transmit', 'table'], name, value)


                                        class ConformSetMplsExpTopmostTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit, self).__init__()

                                                self.yang_name = "conform-set-mpls-exp-topmost-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                        class ConformSetMplsExpTopmostTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-mpls-exp-topmost-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, ['set_mpls_exp_topmost_transmit', 'table'], name, value)


                                        class ConformSetPrecTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit, self).__init__()

                                                self.yang_name = "conform-set-prec-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-prec-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-prec-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmit.ConformAction, ['set_prec_transmit'], name, value)


                                        class ConformSetPrecTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-prec-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-prec-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-prec-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetPrecTransmitTable.ConformAction, ['set_prec_transmit', 'table'], name, value)


                                        class ConformSetQosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit, self).__init__()

                                                self.yang_name = "conform-set-qos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-qos-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..99
                                                
                                                		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-qos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmit.ConformAction, ['set_qos_transmit'], name, value)


                                        class ConformSetQosTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-qos-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-qos-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..99
                                                
                                                		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-qos-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformSetQosTransmitTable.ConformAction, ['set_qos_transmit', 'table'], name, value)


                                        class ConformTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit, self).__init__()

                                                self.yang_name = "conform-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.transmit = YLeaf(YType.empty, "transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformTransmit.ConformAction, ['transmit'], name, value)


                                        class ConformDrop(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop, self).__init__()

                                                self.yang_name = "conform-drop"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-drop"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-drop"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.drop = YLeaf(YType.empty, "drop")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ConformDrop.ConformAction, ['drop'], name, value)


                                        class ExceedDscp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp, self).__init__()

                                                self.yang_name = "exceed-dscp"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-dscp"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: dscp
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-dscp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.dscp = YLeaf(YType.str, "dscp")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDscp.ExceedAction, ['dscp'], name, value)


                                        class ExceedSetClpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit, self).__init__()

                                                self.yang_name = "exceed-set-clp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-clp-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-clp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetClpTransmit.ExceedAction, ['set_clp_transmit'], name, value)


                                        class ExceedSetCosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit, self).__init__()

                                                self.yang_name = "exceed-set-cos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-cos-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-cos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetCosTransmit.ExceedAction, ['set_cos_transmit', 'table'], name, value)


                                        class ExceedSetDiscardClassTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit, self).__init__()

                                                self.yang_name = "exceed-set-discard-class-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-discard-class-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-discard-class-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction, ['set_discard_class_transmit'], name, value)


                                        class ExceedSetDscpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit, self).__init__()

                                                self.yang_name = "exceed-set-dscp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-dscp-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	
                                                	**type**\:  :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-dscp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"set-dscp-transmit" : ("set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit)}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                                    self.set_dscp_transmit.parent = self
                                                    self._children_name_map["set_dscp_transmit"] = "set-dscp-transmit"
                                                    self._children_yang_names.add("set-dscp-transmit")
                                                    self._segment_path = lambda: "exceed-action"


                                                class SetDscpTransmit(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: dscp
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-policy'
                                                    _revision = '2017-08-21'

                                                    def __init__(self):
                                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit, self).__init__()

                                                        self.yang_name = "set-dscp-transmit"
                                                        self.yang_parent_name = "exceed-action"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"dscp" : ("dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp)}
                                                        self._child_list_classes = {}

                                                        self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                        self.dscp.parent = self
                                                        self._children_name_map["dscp"] = "dscp"
                                                        self._children_yang_names.add("dscp")
                                                        self._segment_path = lambda: "set-dscp-transmit"


                                                    class Dscp(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: table
                                                        
                                                        	
                                                        	**type**\:  :py:class:`Table <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.Table>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-policy'
                                                        _revision = '2017-08-21'

                                                        def __init__(self):
                                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, self).__init__()

                                                            self.yang_name = "dscp"
                                                            self.yang_parent_name = "set-dscp-transmit"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.table = YLeaf(YType.enumeration, "table")
                                                            self._segment_path = lambda: "dscp"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, ['table'], name, value)

                                                        class Table(Enum):
                                                            """
                                                            Table

                                                            .. data:: policed_dscp = 0

                                                            """

                                                            policed_dscp = Enum.YLeaf(0, "policed-dscp")



                                        class ExceedSetDscpTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable, self).__init__()

                                                self.yang_name = "exceed-set-dscp-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-dscp-transmit-table"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-dscp-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction, ['set_dscp_transmit', 'table'], name, value)


                                        class ExceedSetFrdeTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit, self).__init__()

                                                self.yang_name = "exceed-set-frde-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-frde-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-frde-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction, ['set_frde_transmit'], name, value)


                                        class ExceedSetMplsExpImpositionTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit, self).__init__()

                                                self.yang_name = "exceed-set-mpls-exp-imposition-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-mpls-exp-imposition-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-mpls-exp-imposition-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                        class ExceedSetMplsExpTopmostTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit, self).__init__()

                                                self.yang_name = "exceed-set-mpls-exp-topmost-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-mpls-exp-topmost-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-mpls-exp-topmost-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                        class ExceedSetPrecTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit, self).__init__()

                                                self.yang_name = "exceed-set-prec-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-prec-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-prec-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetPrecTransmit.ExceedAction, ['set_prec_transmit', 'table'], name, value)


                                        class ExceedSetQosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit, self).__init__()

                                                self.yang_name = "exceed-set-qos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-qos-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..99
                                                
                                                		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-qos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedSetQosTransmit.ExceedAction, ['set_qos_transmit'], name, value)


                                        class ExceedTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit, self).__init__()

                                                self.yang_name = "exceed-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.transmit = YLeaf(YType.empty, "transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedTransmit.ExceedAction, ['transmit'], name, value)


                                        class ExceedDrop(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop, self).__init__()

                                                self.yang_name = "exceed-drop"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-drop"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-drop"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.drop = YLeaf(YType.empty, "drop")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ExceedDrop.ExceedAction, ['drop'], name, value)


                                        class ViolateSetClpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit, self).__init__()

                                                self.yang_name = "violate-set-clp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-clp-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-clp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetClpTransmit.ViolateAction, ['set_clp_transmit'], name, value)


                                        class ViolateSetCosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit, self).__init__()

                                                self.yang_name = "violate-set-cos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-cos-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-cos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetCosTransmit.ViolateAction, ['set_cos_transmit', 'table'], name, value)


                                        class ViolateSetDiscardClassTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit, self).__init__()

                                                self.yang_name = "violate-set-discard-class-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-discard-class-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-discard-class-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction, ['set_discard_class_transmit'], name, value)


                                        class ViolateSetDscpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit, self).__init__()

                                                self.yang_name = "violate-set-dscp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-dscp-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-dscp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetDscpTransmit.ViolateAction, ['set_dscp_transmit', 'table'], name, value)


                                        class ViolateSetFrdeTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit, self).__init__()

                                                self.yang_name = "violate-set-frde-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-frde-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-frde-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction, ['set_frde_transmit'], name, value)


                                        class ViolateSetMplsExpImpositionTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit, self).__init__()

                                                self.yang_name = "violate-set-mpls-exp-imposition-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-mpls-exp-imposition-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-mpls-exp-imposition-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                        class ViolateSetMplsExpTopmostTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit, self).__init__()

                                                self.yang_name = "violate-set-mpls-exp-topmost-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-mpls-exp-topmost-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-mpls-exp-topmost-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                        class ViolateSetPrecTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit, self).__init__()

                                                self.yang_name = "violate-set-prec-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-prec-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-prec-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetPrecTransmit.ViolateAction, ['set_prec_transmit', 'table'], name, value)


                                        class ViolateSetQosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit, self).__init__()

                                                self.yang_name = "violate-set-qos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-qos-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..99
                                                
                                                		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-qos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateSetQosTransmit.ViolateAction, ['set_qos_transmit'], name, value)


                                        class ViolateTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit, self).__init__()

                                                self.yang_name = "violate-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.transmit = YLeaf(YType.empty, "transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateTransmit.ViolateAction, ['transmit'], name, value)


                                        class ViolateDrop(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop, self).__init__()

                                                self.yang_name = "violate-drop"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-drop"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-drop"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.drop = YLeaf(YType.empty, "drop")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCirPercent.Police.Cir.Percent.Actions.ViolateDrop.ViolateAction, ['drop'], name, value)


                    class PoliceRateUnit(Entity):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit, self).__init__()

                            self.yang_name = "police-rate-unit"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"police" : ("police", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police)}
                            self._child_list_classes = {}

                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police()
                            self.police.parent = self
                            self._children_name_map["police"] = "police"
                            self._children_yang_names.add("police")
                            self._segment_path = lambda: "police-rate-unit"


                        class Police(Entity):
                            """
                            
                            
                            .. attribute:: rate
                            
                            	Specify police rate
                            	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police, self).__init__()

                                self.yang_name = "police"
                                self.yang_parent_name = "police-rate-unit"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rate" : ("rate", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate)}
                                self._child_list_classes = {}

                                self.rate = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate()
                                self.rate.parent = self
                                self._children_name_map["rate"] = "rate"
                                self._children_yang_names.add("rate")
                                self._segment_path = lambda: "police"


                            class Rate(Entity):
                                """
                                Specify police rate
                                
                                .. attribute:: units
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..18446744073709551615
                                
                                .. attribute:: xps
                                
                                	
                                	**type**\:  :py:class:`PolicePpsBpsType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.PolicePpsBpsType>`
                                
                                .. attribute:: burst
                                
                                	Specify 'burst' parameter
                                	**type**\:  :py:class:`Burst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Burst>`
                                
                                .. attribute:: peak_rate
                                
                                	Specify peak rate
                                	**type**\:  :py:class:`PeakRate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakRate>`
                                
                                .. attribute:: peak_burst
                                
                                	Specify 'peak\-burst' parameter for peak\-rate
                                	**type**\:  :py:class:`PeakBurst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakBurst>`
                                
                                .. attribute:: actions
                                
                                	
                                	**type**\:  :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate, self).__init__()

                                    self.yang_name = "rate"
                                    self.yang_parent_name = "police"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"burst" : ("burst", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Burst), "peak-rate" : ("peak_rate", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakRate), "peak-burst" : ("peak_burst", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakBurst), "actions" : ("actions", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions)}
                                    self._child_list_classes = {}

                                    self.units = YLeaf(YType.uint64, "units")

                                    self.xps = YLeaf(YType.enumeration, "xps")

                                    self.burst = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Burst()
                                    self.burst.parent = self
                                    self._children_name_map["burst"] = "burst"
                                    self._children_yang_names.add("burst")

                                    self.peak_rate = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakRate()
                                    self.peak_rate.parent = self
                                    self._children_name_map["peak_rate"] = "peak-rate"
                                    self._children_yang_names.add("peak-rate")

                                    self.peak_burst = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakBurst()
                                    self.peak_burst.parent = self
                                    self._children_name_map["peak_burst"] = "peak-burst"
                                    self._children_yang_names.add("peak-burst")

                                    self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions()
                                    self.actions.parent = self
                                    self._children_name_map["actions"] = "actions"
                                    self._children_yang_names.add("actions")
                                    self._segment_path = lambda: "rate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate, ['units', 'xps'], name, value)


                                class Burst(Entity):
                                    """
                                    Specify 'burst' parameter
                                    
                                    .. attribute:: burst_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: burst_type
                                    
                                    	
                                    	**type**\:  :py:class:`PolicePacketsBytesType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.PolicePacketsBytesType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Burst, self).__init__()

                                        self.yang_name = "burst"
                                        self.yang_parent_name = "rate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.burst_value = YLeaf(YType.uint32, "burst-value")

                                        self.burst_type = YLeaf(YType.enumeration, "burst-type")
                                        self._segment_path = lambda: "burst"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Burst, ['burst_value', 'burst_type'], name, value)


                                class PeakRate(Entity):
                                    """
                                    Specify peak rate
                                    
                                    .. attribute:: peak_rate_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..512000000
                                    
                                    .. attribute:: xps
                                    
                                    	
                                    	**type**\:  :py:class:`PolicePpsBpsType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.PolicePpsBpsType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakRate, self).__init__()

                                        self.yang_name = "peak-rate"
                                        self.yang_parent_name = "rate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.peak_rate_value = YLeaf(YType.uint32, "peak-rate-value")

                                        self.xps = YLeaf(YType.enumeration, "xps")
                                        self._segment_path = lambda: "peak-rate"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakRate, ['peak_rate_value', 'xps'], name, value)


                                class PeakBurst(Entity):
                                    """
                                    Specify 'peak\-burst' parameter for peak\-rate
                                    
                                    .. attribute:: burst_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: burst_type
                                    
                                    	
                                    	**type**\:  :py:class:`PolicePacketsBytesType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.PolicePacketsBytesType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakBurst, self).__init__()

                                        self.yang_name = "peak-burst"
                                        self.yang_parent_name = "rate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.burst_value = YLeaf(YType.uint32, "burst-value")

                                        self.burst_type = YLeaf(YType.enumeration, "burst-type")
                                        self._segment_path = lambda: "peak-burst"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.PeakBurst, ['burst_value', 'burst_type'], name, value)


                                class Actions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_set_clp_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit>`
                                    
                                    .. attribute:: conform_set_cos_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit>`
                                    
                                    .. attribute:: conform_set_cos_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable>`
                                    
                                    .. attribute:: conform_set_discard_class_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit>`
                                    
                                    .. attribute:: conform_set_dscp_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit>`
                                    
                                    .. attribute:: conform_set_dscp_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable>`
                                    
                                    .. attribute:: conform_set_frde_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit>`
                                    
                                    .. attribute:: conform_set_mpls_exp_imposition_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit>`
                                    
                                    .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                    
                                    .. attribute:: conform_set_mpls_exp_topmost_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit>`
                                    
                                    .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                    
                                    .. attribute:: conform_set_prec_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit>`
                                    
                                    .. attribute:: conform_set_prec_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable>`
                                    
                                    .. attribute:: conform_set_qos_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit>`
                                    
                                    .. attribute:: conform_set_qos_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable>`
                                    
                                    .. attribute:: conform_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit>`
                                    
                                    .. attribute:: conform_drop
                                    
                                    	
                                    	**type**\:  :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop>`
                                    
                                    .. attribute:: exceed_dscp
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp>`
                                    
                                    .. attribute:: exceed_set_clp_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit>`
                                    
                                    .. attribute:: exceed_set_cos_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit>`
                                    
                                    .. attribute:: exceed_set_discard_class_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit>`
                                    
                                    .. attribute:: exceed_set_dscp_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit>`
                                    
                                    .. attribute:: exceed_set_dscp_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable>`
                                    
                                    .. attribute:: exceed_set_frde_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit>`
                                    
                                    .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit>`
                                    
                                    .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit>`
                                    
                                    .. attribute:: exceed_set_prec_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit>`
                                    
                                    .. attribute:: exceed_set_qos_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit>`
                                    
                                    .. attribute:: exceed_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit>`
                                    
                                    .. attribute:: exceed_drop
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop>`
                                    
                                    .. attribute:: violate_set_clp_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit>`
                                    
                                    .. attribute:: violate_set_cos_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit>`
                                    
                                    .. attribute:: violate_set_discard_class_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit>`
                                    
                                    .. attribute:: violate_set_dscp_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit>`
                                    
                                    .. attribute:: violate_set_frde_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit>`
                                    
                                    .. attribute:: violate_set_mpls_exp_imposition_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit>`
                                    
                                    .. attribute:: violate_set_mpls_exp_topmost_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit>`
                                    
                                    .. attribute:: violate_set_prec_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit>`
                                    
                                    .. attribute:: violate_set_qos_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit>`
                                    
                                    .. attribute:: violate_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit>`
                                    
                                    .. attribute:: violate_drop
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions, self).__init__()

                                        self.yang_name = "actions"
                                        self.yang_parent_name = "rate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-set-clp-transmit" : ("conform_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit), "conform-set-cos-transmit" : ("conform_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit), "conform-set-cos-transmit-table" : ("conform_set_cos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable), "conform-set-discard-class-transmit" : ("conform_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit), "conform-set-dscp-transmit" : ("conform_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit), "conform-set-dscp-transmit-table" : ("conform_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable), "conform-set-frde-transmit" : ("conform_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit), "conform-set-mpls-exp-imposition-transmit" : ("conform_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit), "conform-set-mpls-exp-imposition-transmit-table" : ("conform_set_mpls_exp_imposition_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable), "conform-set-mpls-exp-topmost-transmit" : ("conform_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit), "conform-set-mpls-exp-topmost-transmit-table" : ("conform_set_mpls_exp_topmost_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable), "conform-set-prec-transmit" : ("conform_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit), "conform-set-prec-transmit-table" : ("conform_set_prec_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable), "conform-set-qos-transmit" : ("conform_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit), "conform-set-qos-transmit-table" : ("conform_set_qos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable), "conform-transmit" : ("conform_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit), "conform-drop" : ("conform_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop), "exceed-dscp" : ("exceed_dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp), "exceed-set-clp-transmit" : ("exceed_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit), "exceed-set-cos-transmit" : ("exceed_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit), "exceed-set-discard-class-transmit" : ("exceed_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit), "exceed-set-dscp-transmit" : ("exceed_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit), "exceed-set-dscp-transmit-table" : ("exceed_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable), "exceed-set-frde-transmit" : ("exceed_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit), "exceed-set-mpls-exp-imposition-transmit" : ("exceed_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit), "exceed-set-mpls-exp-topmost-transmit" : ("exceed_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit), "exceed-set-prec-transmit" : ("exceed_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit), "exceed-set-qos-transmit" : ("exceed_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit), "exceed-transmit" : ("exceed_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit), "exceed-drop" : ("exceed_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop), "violate-set-clp-transmit" : ("violate_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit), "violate-set-cos-transmit" : ("violate_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit), "violate-set-discard-class-transmit" : ("violate_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit), "violate-set-dscp-transmit" : ("violate_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit), "violate-set-frde-transmit" : ("violate_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit), "violate-set-mpls-exp-imposition-transmit" : ("violate_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit), "violate-set-mpls-exp-topmost-transmit" : ("violate_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit), "violate-set-prec-transmit" : ("violate_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit), "violate-set-qos-transmit" : ("violate_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit), "violate-transmit" : ("violate_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit), "violate-drop" : ("violate_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop)}
                                        self._child_list_classes = {}

                                        self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit()
                                        self.conform_set_clp_transmit.parent = self
                                        self._children_name_map["conform_set_clp_transmit"] = "conform-set-clp-transmit"
                                        self._children_yang_names.add("conform-set-clp-transmit")

                                        self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit()
                                        self.conform_set_cos_transmit.parent = self
                                        self._children_name_map["conform_set_cos_transmit"] = "conform-set-cos-transmit"
                                        self._children_yang_names.add("conform-set-cos-transmit")

                                        self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable()
                                        self.conform_set_cos_transmit_table.parent = self
                                        self._children_name_map["conform_set_cos_transmit_table"] = "conform-set-cos-transmit-table"
                                        self._children_yang_names.add("conform-set-cos-transmit-table")

                                        self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit()
                                        self.conform_set_discard_class_transmit.parent = self
                                        self._children_name_map["conform_set_discard_class_transmit"] = "conform-set-discard-class-transmit"
                                        self._children_yang_names.add("conform-set-discard-class-transmit")

                                        self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit()
                                        self.conform_set_dscp_transmit.parent = self
                                        self._children_name_map["conform_set_dscp_transmit"] = "conform-set-dscp-transmit"
                                        self._children_yang_names.add("conform-set-dscp-transmit")

                                        self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable()
                                        self.conform_set_dscp_transmit_table.parent = self
                                        self._children_name_map["conform_set_dscp_transmit_table"] = "conform-set-dscp-transmit-table"
                                        self._children_yang_names.add("conform-set-dscp-transmit-table")

                                        self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit()
                                        self.conform_set_frde_transmit.parent = self
                                        self._children_name_map["conform_set_frde_transmit"] = "conform-set-frde-transmit"
                                        self._children_yang_names.add("conform-set-frde-transmit")

                                        self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit()
                                        self.conform_set_mpls_exp_imposition_transmit.parent = self
                                        self._children_name_map["conform_set_mpls_exp_imposition_transmit"] = "conform-set-mpls-exp-imposition-transmit"
                                        self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit")

                                        self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable()
                                        self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                        self._children_name_map["conform_set_mpls_exp_imposition_transmit_table"] = "conform-set-mpls-exp-imposition-transmit-table"
                                        self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit-table")

                                        self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit()
                                        self.conform_set_mpls_exp_topmost_transmit.parent = self
                                        self._children_name_map["conform_set_mpls_exp_topmost_transmit"] = "conform-set-mpls-exp-topmost-transmit"
                                        self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit")

                                        self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable()
                                        self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                        self._children_name_map["conform_set_mpls_exp_topmost_transmit_table"] = "conform-set-mpls-exp-topmost-transmit-table"
                                        self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit-table")

                                        self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit()
                                        self.conform_set_prec_transmit.parent = self
                                        self._children_name_map["conform_set_prec_transmit"] = "conform-set-prec-transmit"
                                        self._children_yang_names.add("conform-set-prec-transmit")

                                        self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable()
                                        self.conform_set_prec_transmit_table.parent = self
                                        self._children_name_map["conform_set_prec_transmit_table"] = "conform-set-prec-transmit-table"
                                        self._children_yang_names.add("conform-set-prec-transmit-table")

                                        self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit()
                                        self.conform_set_qos_transmit.parent = self
                                        self._children_name_map["conform_set_qos_transmit"] = "conform-set-qos-transmit"
                                        self._children_yang_names.add("conform-set-qos-transmit")

                                        self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable()
                                        self.conform_set_qos_transmit_table.parent = self
                                        self._children_name_map["conform_set_qos_transmit_table"] = "conform-set-qos-transmit-table"
                                        self._children_yang_names.add("conform-set-qos-transmit-table")

                                        self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit()
                                        self.conform_transmit.parent = self
                                        self._children_name_map["conform_transmit"] = "conform-transmit"
                                        self._children_yang_names.add("conform-transmit")

                                        self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop()
                                        self.conform_drop.parent = self
                                        self._children_name_map["conform_drop"] = "conform-drop"
                                        self._children_yang_names.add("conform-drop")

                                        self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp()
                                        self.exceed_dscp.parent = self
                                        self._children_name_map["exceed_dscp"] = "exceed-dscp"
                                        self._children_yang_names.add("exceed-dscp")

                                        self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit()
                                        self.exceed_set_clp_transmit.parent = self
                                        self._children_name_map["exceed_set_clp_transmit"] = "exceed-set-clp-transmit"
                                        self._children_yang_names.add("exceed-set-clp-transmit")

                                        self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit()
                                        self.exceed_set_cos_transmit.parent = self
                                        self._children_name_map["exceed_set_cos_transmit"] = "exceed-set-cos-transmit"
                                        self._children_yang_names.add("exceed-set-cos-transmit")

                                        self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit()
                                        self.exceed_set_discard_class_transmit.parent = self
                                        self._children_name_map["exceed_set_discard_class_transmit"] = "exceed-set-discard-class-transmit"
                                        self._children_yang_names.add("exceed-set-discard-class-transmit")

                                        self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit()
                                        self.exceed_set_dscp_transmit.parent = self
                                        self._children_name_map["exceed_set_dscp_transmit"] = "exceed-set-dscp-transmit"
                                        self._children_yang_names.add("exceed-set-dscp-transmit")

                                        self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable()
                                        self.exceed_set_dscp_transmit_table.parent = self
                                        self._children_name_map["exceed_set_dscp_transmit_table"] = "exceed-set-dscp-transmit-table"
                                        self._children_yang_names.add("exceed-set-dscp-transmit-table")

                                        self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit()
                                        self.exceed_set_frde_transmit.parent = self
                                        self._children_name_map["exceed_set_frde_transmit"] = "exceed-set-frde-transmit"
                                        self._children_yang_names.add("exceed-set-frde-transmit")

                                        self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit()
                                        self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                        self._children_name_map["exceed_set_mpls_exp_imposition_transmit"] = "exceed-set-mpls-exp-imposition-transmit"
                                        self._children_yang_names.add("exceed-set-mpls-exp-imposition-transmit")

                                        self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit()
                                        self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                        self._children_name_map["exceed_set_mpls_exp_topmost_transmit"] = "exceed-set-mpls-exp-topmost-transmit"
                                        self._children_yang_names.add("exceed-set-mpls-exp-topmost-transmit")

                                        self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit()
                                        self.exceed_set_prec_transmit.parent = self
                                        self._children_name_map["exceed_set_prec_transmit"] = "exceed-set-prec-transmit"
                                        self._children_yang_names.add("exceed-set-prec-transmit")

                                        self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit()
                                        self.exceed_set_qos_transmit.parent = self
                                        self._children_name_map["exceed_set_qos_transmit"] = "exceed-set-qos-transmit"
                                        self._children_yang_names.add("exceed-set-qos-transmit")

                                        self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit()
                                        self.exceed_transmit.parent = self
                                        self._children_name_map["exceed_transmit"] = "exceed-transmit"
                                        self._children_yang_names.add("exceed-transmit")

                                        self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop()
                                        self.exceed_drop.parent = self
                                        self._children_name_map["exceed_drop"] = "exceed-drop"
                                        self._children_yang_names.add("exceed-drop")

                                        self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit()
                                        self.violate_set_clp_transmit.parent = self
                                        self._children_name_map["violate_set_clp_transmit"] = "violate-set-clp-transmit"
                                        self._children_yang_names.add("violate-set-clp-transmit")

                                        self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit()
                                        self.violate_set_cos_transmit.parent = self
                                        self._children_name_map["violate_set_cos_transmit"] = "violate-set-cos-transmit"
                                        self._children_yang_names.add("violate-set-cos-transmit")

                                        self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit()
                                        self.violate_set_discard_class_transmit.parent = self
                                        self._children_name_map["violate_set_discard_class_transmit"] = "violate-set-discard-class-transmit"
                                        self._children_yang_names.add("violate-set-discard-class-transmit")

                                        self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit()
                                        self.violate_set_dscp_transmit.parent = self
                                        self._children_name_map["violate_set_dscp_transmit"] = "violate-set-dscp-transmit"
                                        self._children_yang_names.add("violate-set-dscp-transmit")

                                        self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit()
                                        self.violate_set_frde_transmit.parent = self
                                        self._children_name_map["violate_set_frde_transmit"] = "violate-set-frde-transmit"
                                        self._children_yang_names.add("violate-set-frde-transmit")

                                        self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit()
                                        self.violate_set_mpls_exp_imposition_transmit.parent = self
                                        self._children_name_map["violate_set_mpls_exp_imposition_transmit"] = "violate-set-mpls-exp-imposition-transmit"
                                        self._children_yang_names.add("violate-set-mpls-exp-imposition-transmit")

                                        self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit()
                                        self.violate_set_mpls_exp_topmost_transmit.parent = self
                                        self._children_name_map["violate_set_mpls_exp_topmost_transmit"] = "violate-set-mpls-exp-topmost-transmit"
                                        self._children_yang_names.add("violate-set-mpls-exp-topmost-transmit")

                                        self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit()
                                        self.violate_set_prec_transmit.parent = self
                                        self._children_name_map["violate_set_prec_transmit"] = "violate-set-prec-transmit"
                                        self._children_yang_names.add("violate-set-prec-transmit")

                                        self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit()
                                        self.violate_set_qos_transmit.parent = self
                                        self._children_name_map["violate_set_qos_transmit"] = "violate-set-qos-transmit"
                                        self._children_yang_names.add("violate-set-qos-transmit")

                                        self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit()
                                        self.violate_transmit.parent = self
                                        self._children_name_map["violate_transmit"] = "violate-transmit"
                                        self._children_yang_names.add("violate-transmit")

                                        self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop()
                                        self.violate_drop.parent = self
                                        self._children_name_map["violate_drop"] = "violate-drop"
                                        self._children_yang_names.add("violate-drop")
                                        self._segment_path = lambda: "actions"


                                    class ConformSetClpTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit, self).__init__()

                                            self.yang_name = "conform-set-clp-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-clp-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_clp_transmit
                                            
                                            	set atm clp and send it
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-clp-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetClpTransmit.ConformAction, ['set_clp_transmit'], name, value)


                                    class ConformSetCosTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit, self).__init__()

                                            self.yang_name = "conform-set-cos-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-cos-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-cos-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmit.ConformAction, ['set_cos_transmit'], name, value)


                                    class ConformSetCosTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable, self).__init__()

                                            self.yang_name = "conform-set-cos-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-cos-transmit-table"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-cos-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetCosTransmitTable.ConformAction, ['set_cos_transmit', 'table'], name, value)


                                    class ConformSetDiscardClassTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit, self).__init__()

                                            self.yang_name = "conform-set-discard-class-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-discard-class-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_discard_class_transmit
                                            
                                            	set discard\-class and send it
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-discard-class-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDiscardClassTransmit.ConformAction, ['set_discard_class_transmit'], name, value)


                                    class ConformSetDscpTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit, self).__init__()

                                            self.yang_name = "conform-set-dscp-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-dscp-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..63
                                            
                                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-dscp-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmit.ConformAction, ['set_dscp_transmit'], name, value)


                                    class ConformSetDscpTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable, self).__init__()

                                            self.yang_name = "conform-set-dscp-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-dscp-transmit-table"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..63
                                            
                                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-dscp-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetDscpTransmitTable.ConformAction, ['set_dscp_transmit', 'table'], name, value)


                                    class ConformSetFrdeTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit, self).__init__()

                                            self.yang_name = "conform-set-frde-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-frde-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_frde_transmit
                                            
                                            	set FR DE and send it
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-frde-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetFrdeTransmit.ConformAction, ['set_frde_transmit'], name, value)


                                    class ConformSetMplsExpImpositionTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit, self).__init__()

                                            self.yang_name = "conform-set-mpls-exp-imposition-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                    class ConformSetMplsExpImpositionTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable, self).__init__()

                                            self.yang_name = "conform-set-mpls-exp-imposition-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit-table"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, ['set_mpls_exp_imposition_transmit', 'table'], name, value)


                                    class ConformSetMplsExpTopmostTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit, self).__init__()

                                            self.yang_name = "conform-set-mpls-exp-topmost-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                    class ConformSetMplsExpTopmostTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable, self).__init__()

                                            self.yang_name = "conform-set-mpls-exp-topmost-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit-table"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, ['set_mpls_exp_topmost_transmit', 'table'], name, value)


                                    class ConformSetPrecTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit, self).__init__()

                                            self.yang_name = "conform-set-prec-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-prec-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-prec-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmit.ConformAction, ['set_prec_transmit'], name, value)


                                    class ConformSetPrecTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable, self).__init__()

                                            self.yang_name = "conform-set-prec-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-prec-transmit-table"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-prec-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetPrecTransmitTable.ConformAction, ['set_prec_transmit', 'table'], name, value)


                                    class ConformSetQosTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit, self).__init__()

                                            self.yang_name = "conform-set-qos-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-qos-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..99
                                            
                                            		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-qos-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmit.ConformAction, ['set_qos_transmit'], name, value)


                                    class ConformSetQosTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable, self).__init__()

                                            self.yang_name = "conform-set-qos-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-qos-transmit-table"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..99
                                            
                                            		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-qos-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformSetQosTransmitTable.ConformAction, ['set_qos_transmit', 'table'], name, value)


                                    class ConformTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit, self).__init__()

                                            self.yang_name = "conform-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: transmit
                                            
                                            	transmit packet
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.transmit = YLeaf(YType.empty, "transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformTransmit.ConformAction, ['transmit'], name, value)


                                    class ConformDrop(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop, self).__init__()

                                            self.yang_name = "conform-drop"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-drop"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: drop
                                            
                                            	drop packet
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-drop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.drop = YLeaf(YType.empty, "drop")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ConformDrop.ConformAction, ['drop'], name, value)


                                    class ExceedDscp(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp, self).__init__()

                                            self.yang_name = "exceed-dscp"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-dscp"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: dscp
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..63
                                            
                                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-dscp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dscp = YLeaf(YType.str, "dscp")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDscp.ExceedAction, ['dscp'], name, value)


                                    class ExceedSetClpTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit, self).__init__()

                                            self.yang_name = "exceed-set-clp-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-clp-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_clp_transmit
                                            
                                            	set atm clp and send it
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-clp-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetClpTransmit.ExceedAction, ['set_clp_transmit'], name, value)


                                    class ExceedSetCosTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit, self).__init__()

                                            self.yang_name = "exceed-set-cos-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-cos-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-cos-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetCosTransmit.ExceedAction, ['set_cos_transmit', 'table'], name, value)


                                    class ExceedSetDiscardClassTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit, self).__init__()

                                            self.yang_name = "exceed-set-discard-class-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-discard-class-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_discard_class_transmit
                                            
                                            	set discard\-class and send it
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-discard-class-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDiscardClassTransmit.ExceedAction, ['set_discard_class_transmit'], name, value)


                                    class ExceedSetDscpTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit, self).__init__()

                                            self.yang_name = "exceed-set-dscp-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-dscp-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	
                                            	**type**\:  :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-dscp-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"set-dscp-transmit" : ("set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit)}
                                                self._child_list_classes = {}

                                                self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                                self.set_dscp_transmit.parent = self
                                                self._children_name_map["set_dscp_transmit"] = "set-dscp-transmit"
                                                self._children_yang_names.add("set-dscp-transmit")
                                                self._segment_path = lambda: "exceed-action"


                                            class SetDscpTransmit(Entity):
                                                """
                                                
                                                
                                                .. attribute:: dscp
                                                
                                                	
                                                	**type**\:  :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit, self).__init__()

                                                    self.yang_name = "set-dscp-transmit"
                                                    self.yang_parent_name = "exceed-action"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"dscp" : ("dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp)}
                                                    self._child_list_classes = {}

                                                    self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                    self.dscp.parent = self
                                                    self._children_name_map["dscp"] = "dscp"
                                                    self._children_yang_names.add("dscp")
                                                    self._segment_path = lambda: "set-dscp-transmit"


                                                class Dscp(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: table
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Table <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.Table>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-policy'
                                                    _revision = '2017-08-21'

                                                    def __init__(self):
                                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, self).__init__()

                                                        self.yang_name = "dscp"
                                                        self.yang_parent_name = "set-dscp-transmit"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.table = YLeaf(YType.enumeration, "table")
                                                        self._segment_path = lambda: "dscp"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, ['table'], name, value)

                                                    class Table(Enum):
                                                        """
                                                        Table

                                                        .. data:: policed_dscp = 0

                                                        """

                                                        policed_dscp = Enum.YLeaf(0, "policed-dscp")



                                    class ExceedSetDscpTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable, self).__init__()

                                            self.yang_name = "exceed-set-dscp-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-dscp-transmit-table"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..63
                                            
                                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-dscp-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetDscpTransmitTable.ExceedAction, ['set_dscp_transmit', 'table'], name, value)


                                    class ExceedSetFrdeTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit, self).__init__()

                                            self.yang_name = "exceed-set-frde-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-frde-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_frde_transmit
                                            
                                            	set FR DE and send it
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-frde-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetFrdeTransmit.ExceedAction, ['set_frde_transmit'], name, value)


                                    class ExceedSetMplsExpImpositionTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit, self).__init__()

                                            self.yang_name = "exceed-set-mpls-exp-imposition-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-mpls-exp-imposition-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-mpls-exp-imposition-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                    class ExceedSetMplsExpTopmostTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit, self).__init__()

                                            self.yang_name = "exceed-set-mpls-exp-topmost-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-mpls-exp-topmost-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-mpls-exp-topmost-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                    class ExceedSetPrecTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit, self).__init__()

                                            self.yang_name = "exceed-set-prec-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-prec-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-prec-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetPrecTransmit.ExceedAction, ['set_prec_transmit', 'table'], name, value)


                                    class ExceedSetQosTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit, self).__init__()

                                            self.yang_name = "exceed-set-qos-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-qos-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..99
                                            
                                            		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-qos-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedSetQosTransmit.ExceedAction, ['set_qos_transmit'], name, value)


                                    class ExceedTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit, self).__init__()

                                            self.yang_name = "exceed-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: transmit
                                            
                                            	transmit packet
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.transmit = YLeaf(YType.empty, "transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedTransmit.ExceedAction, ['transmit'], name, value)


                                    class ExceedDrop(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop, self).__init__()

                                            self.yang_name = "exceed-drop"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-drop"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: drop
                                            
                                            	drop packet
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-drop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.drop = YLeaf(YType.empty, "drop")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ExceedDrop.ExceedAction, ['drop'], name, value)


                                    class ViolateSetClpTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit, self).__init__()

                                            self.yang_name = "violate-set-clp-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-clp-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_clp_transmit
                                            
                                            	set atm clp and send it
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-clp-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetClpTransmit.ViolateAction, ['set_clp_transmit'], name, value)


                                    class ViolateSetCosTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit, self).__init__()

                                            self.yang_name = "violate-set-cos-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-cos-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-cos-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetCosTransmit.ViolateAction, ['set_cos_transmit', 'table'], name, value)


                                    class ViolateSetDiscardClassTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit, self).__init__()

                                            self.yang_name = "violate-set-discard-class-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-discard-class-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_discard_class_transmit
                                            
                                            	set discard\-class and send it
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-discard-class-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDiscardClassTransmit.ViolateAction, ['set_discard_class_transmit'], name, value)


                                    class ViolateSetDscpTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit, self).__init__()

                                            self.yang_name = "violate-set-dscp-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-dscp-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..63
                                            
                                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-dscp-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetDscpTransmit.ViolateAction, ['set_dscp_transmit', 'table'], name, value)


                                    class ViolateSetFrdeTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit, self).__init__()

                                            self.yang_name = "violate-set-frde-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-frde-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_frde_transmit
                                            
                                            	set FR DE and send it
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-frde-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetFrdeTransmit.ViolateAction, ['set_frde_transmit'], name, value)


                                    class ViolateSetMplsExpImpositionTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit, self).__init__()

                                            self.yang_name = "violate-set-mpls-exp-imposition-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-mpls-exp-imposition-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-mpls-exp-imposition-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                    class ViolateSetMplsExpTopmostTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit, self).__init__()

                                            self.yang_name = "violate-set-mpls-exp-topmost-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-mpls-exp-topmost-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-mpls-exp-topmost-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                    class ViolateSetPrecTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit, self).__init__()

                                            self.yang_name = "violate-set-prec-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-prec-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-prec-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetPrecTransmit.ViolateAction, ['set_prec_transmit', 'table'], name, value)


                                    class ViolateSetQosTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit, self).__init__()

                                            self.yang_name = "violate-set-qos-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-qos-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..99
                                            
                                            		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-qos-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateSetQosTransmit.ViolateAction, ['set_qos_transmit'], name, value)


                                    class ViolateTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit, self).__init__()

                                            self.yang_name = "violate-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: transmit
                                            
                                            	transmit packet
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.transmit = YLeaf(YType.empty, "transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateTransmit.ViolateAction, ['transmit'], name, value)


                                    class ViolateDrop(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop, self).__init__()

                                            self.yang_name = "violate-drop"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-drop"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: drop
                                            
                                            	drop packet
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-drop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.drop = YLeaf(YType.empty, "drop")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRateUnit.Police.Rate.Actions.ViolateDrop.ViolateAction, ['drop'], name, value)


                    class PoliceRatePercent(Entity):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent, self).__init__()

                            self.yang_name = "police-rate-percent"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"police" : ("police", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police)}
                            self._child_list_classes = {}

                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police()
                            self.police.parent = self
                            self._children_name_map["police"] = "police"
                            self._children_yang_names.add("police")
                            self._segment_path = lambda: "police-rate-percent"


                        class Police(Entity):
                            """
                            
                            
                            .. attribute:: rate
                            
                            	Specify police rate
                            	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police, self).__init__()

                                self.yang_name = "police"
                                self.yang_parent_name = "police-rate-percent"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rate" : ("rate", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate)}
                                self._child_list_classes = {}

                                self.rate = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate()
                                self.rate.parent = self
                                self._children_name_map["rate"] = "rate"
                                self._children_yang_names.add("rate")
                                self._segment_path = lambda: "police"


                            class Rate(Entity):
                                """
                                Specify police rate
                                
                                .. attribute:: percent
                                
                                	% of interface bandwidth for rate
                                	**type**\:  :py:class:`Percent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate, self).__init__()

                                    self.yang_name = "rate"
                                    self.yang_parent_name = "police"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"percent" : ("percent", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent)}
                                    self._child_list_classes = {}

                                    self.percent = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent()
                                    self.percent.parent = self
                                    self._children_name_map["percent"] = "percent"
                                    self._children_yang_names.add("percent")
                                    self._segment_path = lambda: "rate"


                                class Percent(Entity):
                                    """
                                    % of interface bandwidth for rate
                                    
                                    .. attribute:: percentage
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: burst
                                    
                                    	Specify 'burst' parameter
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ms
                                    
                                    	Treat 'burst' value in milliseconds
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: peak_rate
                                    
                                    	Specify peak rate
                                    	**type**\:  :py:class:`PeakRate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakRate>`
                                    
                                    .. attribute:: peak_burst
                                    
                                    	Specify 'peak\-burst' parameter for 'peak\-rate'
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: peak_burst_ms
                                    
                                    	
                                    	**type**\:  :py:class:`PeakBurstMs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakBurstMs>`
                                    
                                    .. attribute:: actions
                                    
                                    	
                                    	**type**\:  :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent, self).__init__()

                                        self.yang_name = "percent"
                                        self.yang_parent_name = "rate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peak-rate" : ("peak_rate", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakRate), "peak-burst-ms" : ("peak_burst_ms", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakBurstMs), "actions" : ("actions", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions)}
                                        self._child_list_classes = {}

                                        self.percentage = YLeaf(YType.uint8, "percentage")

                                        self.burst = YLeaf(YType.uint16, "burst")

                                        self.ms = YLeaf(YType.empty, "ms")

                                        self.peak_burst = YLeaf(YType.uint16, "peak-burst")

                                        self.peak_rate = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakRate()
                                        self.peak_rate.parent = self
                                        self._children_name_map["peak_rate"] = "peak-rate"
                                        self._children_yang_names.add("peak-rate")

                                        self.peak_burst_ms = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakBurstMs()
                                        self.peak_burst_ms.parent = self
                                        self._children_name_map["peak_burst_ms"] = "peak-burst-ms"
                                        self._children_yang_names.add("peak-burst-ms")

                                        self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions()
                                        self.actions.parent = self
                                        self._children_name_map["actions"] = "actions"
                                        self._children_yang_names.add("actions")
                                        self._segment_path = lambda: "percent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent, ['percentage', 'burst', 'ms', 'peak_burst'], name, value)


                                    class PeakRate(Entity):
                                        """
                                        Specify peak rate
                                        
                                        .. attribute:: percent
                                        
                                        	% of interface bandwidth for peak\-rate
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakRate, self).__init__()

                                            self.yang_name = "peak-rate"
                                            self.yang_parent_name = "percent"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.percent = YLeaf(YType.uint8, "percent")
                                            self._segment_path = lambda: "peak-rate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakRate, ['percent'], name, value)


                                    class PeakBurstMs(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ms
                                        
                                        	Milli seconds
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakBurstMs, self).__init__()

                                            self.yang_name = "peak-burst-ms"
                                            self.yang_parent_name = "percent"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ms = YLeaf(YType.empty, "ms")
                                            self._segment_path = lambda: "peak-burst-ms"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.PeakBurstMs, ['ms'], name, value)


                                    class Actions(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_set_clp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit>`
                                        
                                        .. attribute:: conform_set_cos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit>`
                                        
                                        .. attribute:: conform_set_cos_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable>`
                                        
                                        .. attribute:: conform_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit>`
                                        
                                        .. attribute:: conform_set_dscp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit>`
                                        
                                        .. attribute:: conform_set_dscp_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable>`
                                        
                                        .. attribute:: conform_set_frde_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                        
                                        .. attribute:: conform_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                        
                                        .. attribute:: conform_set_prec_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit>`
                                        
                                        .. attribute:: conform_set_prec_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable>`
                                        
                                        .. attribute:: conform_set_qos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit>`
                                        
                                        .. attribute:: conform_set_qos_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable>`
                                        
                                        .. attribute:: conform_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit>`
                                        
                                        .. attribute:: conform_drop
                                        
                                        	
                                        	**type**\:  :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop>`
                                        
                                        .. attribute:: exceed_dscp
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp>`
                                        
                                        .. attribute:: exceed_set_clp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit>`
                                        
                                        .. attribute:: exceed_set_cos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit>`
                                        
                                        .. attribute:: exceed_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit>`
                                        
                                        .. attribute:: exceed_set_dscp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit>`
                                        
                                        .. attribute:: exceed_set_dscp_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable>`
                                        
                                        .. attribute:: exceed_set_frde_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit>`
                                        
                                        .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: exceed_set_prec_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit>`
                                        
                                        .. attribute:: exceed_set_qos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit>`
                                        
                                        .. attribute:: exceed_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit>`
                                        
                                        .. attribute:: exceed_drop
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop>`
                                        
                                        .. attribute:: violate_set_clp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit>`
                                        
                                        .. attribute:: violate_set_cos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit>`
                                        
                                        .. attribute:: violate_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit>`
                                        
                                        .. attribute:: violate_set_dscp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit>`
                                        
                                        .. attribute:: violate_set_frde_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit>`
                                        
                                        .. attribute:: violate_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: violate_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: violate_set_prec_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit>`
                                        
                                        .. attribute:: violate_set_qos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit>`
                                        
                                        .. attribute:: violate_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit>`
                                        
                                        .. attribute:: violate_drop
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions, self).__init__()

                                            self.yang_name = "actions"
                                            self.yang_parent_name = "percent"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-set-clp-transmit" : ("conform_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit), "conform-set-cos-transmit" : ("conform_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit), "conform-set-cos-transmit-table" : ("conform_set_cos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable), "conform-set-discard-class-transmit" : ("conform_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit), "conform-set-dscp-transmit" : ("conform_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit), "conform-set-dscp-transmit-table" : ("conform_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable), "conform-set-frde-transmit" : ("conform_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit), "conform-set-mpls-exp-imposition-transmit" : ("conform_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit), "conform-set-mpls-exp-imposition-transmit-table" : ("conform_set_mpls_exp_imposition_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable), "conform-set-mpls-exp-topmost-transmit" : ("conform_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit), "conform-set-mpls-exp-topmost-transmit-table" : ("conform_set_mpls_exp_topmost_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable), "conform-set-prec-transmit" : ("conform_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit), "conform-set-prec-transmit-table" : ("conform_set_prec_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable), "conform-set-qos-transmit" : ("conform_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit), "conform-set-qos-transmit-table" : ("conform_set_qos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable), "conform-transmit" : ("conform_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit), "conform-drop" : ("conform_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop), "exceed-dscp" : ("exceed_dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp), "exceed-set-clp-transmit" : ("exceed_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit), "exceed-set-cos-transmit" : ("exceed_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit), "exceed-set-discard-class-transmit" : ("exceed_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit), "exceed-set-dscp-transmit" : ("exceed_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit), "exceed-set-dscp-transmit-table" : ("exceed_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable), "exceed-set-frde-transmit" : ("exceed_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit), "exceed-set-mpls-exp-imposition-transmit" : ("exceed_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit), "exceed-set-mpls-exp-topmost-transmit" : ("exceed_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit), "exceed-set-prec-transmit" : ("exceed_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit), "exceed-set-qos-transmit" : ("exceed_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit), "exceed-transmit" : ("exceed_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit), "exceed-drop" : ("exceed_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop), "violate-set-clp-transmit" : ("violate_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit), "violate-set-cos-transmit" : ("violate_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit), "violate-set-discard-class-transmit" : ("violate_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit), "violate-set-dscp-transmit" : ("violate_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit), "violate-set-frde-transmit" : ("violate_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit), "violate-set-mpls-exp-imposition-transmit" : ("violate_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit), "violate-set-mpls-exp-topmost-transmit" : ("violate_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit), "violate-set-prec-transmit" : ("violate_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit), "violate-set-qos-transmit" : ("violate_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit), "violate-transmit" : ("violate_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit), "violate-drop" : ("violate_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop)}
                                            self._child_list_classes = {}

                                            self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit()
                                            self.conform_set_clp_transmit.parent = self
                                            self._children_name_map["conform_set_clp_transmit"] = "conform-set-clp-transmit"
                                            self._children_yang_names.add("conform-set-clp-transmit")

                                            self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit()
                                            self.conform_set_cos_transmit.parent = self
                                            self._children_name_map["conform_set_cos_transmit"] = "conform-set-cos-transmit"
                                            self._children_yang_names.add("conform-set-cos-transmit")

                                            self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable()
                                            self.conform_set_cos_transmit_table.parent = self
                                            self._children_name_map["conform_set_cos_transmit_table"] = "conform-set-cos-transmit-table"
                                            self._children_yang_names.add("conform-set-cos-transmit-table")

                                            self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit()
                                            self.conform_set_discard_class_transmit.parent = self
                                            self._children_name_map["conform_set_discard_class_transmit"] = "conform-set-discard-class-transmit"
                                            self._children_yang_names.add("conform-set-discard-class-transmit")

                                            self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit()
                                            self.conform_set_dscp_transmit.parent = self
                                            self._children_name_map["conform_set_dscp_transmit"] = "conform-set-dscp-transmit"
                                            self._children_yang_names.add("conform-set-dscp-transmit")

                                            self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable()
                                            self.conform_set_dscp_transmit_table.parent = self
                                            self._children_name_map["conform_set_dscp_transmit_table"] = "conform-set-dscp-transmit-table"
                                            self._children_yang_names.add("conform-set-dscp-transmit-table")

                                            self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit()
                                            self.conform_set_frde_transmit.parent = self
                                            self._children_name_map["conform_set_frde_transmit"] = "conform-set-frde-transmit"
                                            self._children_yang_names.add("conform-set-frde-transmit")

                                            self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit()
                                            self.conform_set_mpls_exp_imposition_transmit.parent = self
                                            self._children_name_map["conform_set_mpls_exp_imposition_transmit"] = "conform-set-mpls-exp-imposition-transmit"
                                            self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit")

                                            self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable()
                                            self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                            self._children_name_map["conform_set_mpls_exp_imposition_transmit_table"] = "conform-set-mpls-exp-imposition-transmit-table"
                                            self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit-table")

                                            self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit()
                                            self.conform_set_mpls_exp_topmost_transmit.parent = self
                                            self._children_name_map["conform_set_mpls_exp_topmost_transmit"] = "conform-set-mpls-exp-topmost-transmit"
                                            self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit")

                                            self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable()
                                            self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                            self._children_name_map["conform_set_mpls_exp_topmost_transmit_table"] = "conform-set-mpls-exp-topmost-transmit-table"
                                            self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit-table")

                                            self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit()
                                            self.conform_set_prec_transmit.parent = self
                                            self._children_name_map["conform_set_prec_transmit"] = "conform-set-prec-transmit"
                                            self._children_yang_names.add("conform-set-prec-transmit")

                                            self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable()
                                            self.conform_set_prec_transmit_table.parent = self
                                            self._children_name_map["conform_set_prec_transmit_table"] = "conform-set-prec-transmit-table"
                                            self._children_yang_names.add("conform-set-prec-transmit-table")

                                            self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit()
                                            self.conform_set_qos_transmit.parent = self
                                            self._children_name_map["conform_set_qos_transmit"] = "conform-set-qos-transmit"
                                            self._children_yang_names.add("conform-set-qos-transmit")

                                            self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable()
                                            self.conform_set_qos_transmit_table.parent = self
                                            self._children_name_map["conform_set_qos_transmit_table"] = "conform-set-qos-transmit-table"
                                            self._children_yang_names.add("conform-set-qos-transmit-table")

                                            self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit()
                                            self.conform_transmit.parent = self
                                            self._children_name_map["conform_transmit"] = "conform-transmit"
                                            self._children_yang_names.add("conform-transmit")

                                            self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop()
                                            self.conform_drop.parent = self
                                            self._children_name_map["conform_drop"] = "conform-drop"
                                            self._children_yang_names.add("conform-drop")

                                            self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp()
                                            self.exceed_dscp.parent = self
                                            self._children_name_map["exceed_dscp"] = "exceed-dscp"
                                            self._children_yang_names.add("exceed-dscp")

                                            self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit()
                                            self.exceed_set_clp_transmit.parent = self
                                            self._children_name_map["exceed_set_clp_transmit"] = "exceed-set-clp-transmit"
                                            self._children_yang_names.add("exceed-set-clp-transmit")

                                            self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit()
                                            self.exceed_set_cos_transmit.parent = self
                                            self._children_name_map["exceed_set_cos_transmit"] = "exceed-set-cos-transmit"
                                            self._children_yang_names.add("exceed-set-cos-transmit")

                                            self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit()
                                            self.exceed_set_discard_class_transmit.parent = self
                                            self._children_name_map["exceed_set_discard_class_transmit"] = "exceed-set-discard-class-transmit"
                                            self._children_yang_names.add("exceed-set-discard-class-transmit")

                                            self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit()
                                            self.exceed_set_dscp_transmit.parent = self
                                            self._children_name_map["exceed_set_dscp_transmit"] = "exceed-set-dscp-transmit"
                                            self._children_yang_names.add("exceed-set-dscp-transmit")

                                            self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable()
                                            self.exceed_set_dscp_transmit_table.parent = self
                                            self._children_name_map["exceed_set_dscp_transmit_table"] = "exceed-set-dscp-transmit-table"
                                            self._children_yang_names.add("exceed-set-dscp-transmit-table")

                                            self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit()
                                            self.exceed_set_frde_transmit.parent = self
                                            self._children_name_map["exceed_set_frde_transmit"] = "exceed-set-frde-transmit"
                                            self._children_yang_names.add("exceed-set-frde-transmit")

                                            self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit()
                                            self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                            self._children_name_map["exceed_set_mpls_exp_imposition_transmit"] = "exceed-set-mpls-exp-imposition-transmit"
                                            self._children_yang_names.add("exceed-set-mpls-exp-imposition-transmit")

                                            self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit()
                                            self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                            self._children_name_map["exceed_set_mpls_exp_topmost_transmit"] = "exceed-set-mpls-exp-topmost-transmit"
                                            self._children_yang_names.add("exceed-set-mpls-exp-topmost-transmit")

                                            self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit()
                                            self.exceed_set_prec_transmit.parent = self
                                            self._children_name_map["exceed_set_prec_transmit"] = "exceed-set-prec-transmit"
                                            self._children_yang_names.add("exceed-set-prec-transmit")

                                            self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit()
                                            self.exceed_set_qos_transmit.parent = self
                                            self._children_name_map["exceed_set_qos_transmit"] = "exceed-set-qos-transmit"
                                            self._children_yang_names.add("exceed-set-qos-transmit")

                                            self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit()
                                            self.exceed_transmit.parent = self
                                            self._children_name_map["exceed_transmit"] = "exceed-transmit"
                                            self._children_yang_names.add("exceed-transmit")

                                            self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop()
                                            self.exceed_drop.parent = self
                                            self._children_name_map["exceed_drop"] = "exceed-drop"
                                            self._children_yang_names.add("exceed-drop")

                                            self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit()
                                            self.violate_set_clp_transmit.parent = self
                                            self._children_name_map["violate_set_clp_transmit"] = "violate-set-clp-transmit"
                                            self._children_yang_names.add("violate-set-clp-transmit")

                                            self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit()
                                            self.violate_set_cos_transmit.parent = self
                                            self._children_name_map["violate_set_cos_transmit"] = "violate-set-cos-transmit"
                                            self._children_yang_names.add("violate-set-cos-transmit")

                                            self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit()
                                            self.violate_set_discard_class_transmit.parent = self
                                            self._children_name_map["violate_set_discard_class_transmit"] = "violate-set-discard-class-transmit"
                                            self._children_yang_names.add("violate-set-discard-class-transmit")

                                            self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit()
                                            self.violate_set_dscp_transmit.parent = self
                                            self._children_name_map["violate_set_dscp_transmit"] = "violate-set-dscp-transmit"
                                            self._children_yang_names.add("violate-set-dscp-transmit")

                                            self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit()
                                            self.violate_set_frde_transmit.parent = self
                                            self._children_name_map["violate_set_frde_transmit"] = "violate-set-frde-transmit"
                                            self._children_yang_names.add("violate-set-frde-transmit")

                                            self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit()
                                            self.violate_set_mpls_exp_imposition_transmit.parent = self
                                            self._children_name_map["violate_set_mpls_exp_imposition_transmit"] = "violate-set-mpls-exp-imposition-transmit"
                                            self._children_yang_names.add("violate-set-mpls-exp-imposition-transmit")

                                            self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit()
                                            self.violate_set_mpls_exp_topmost_transmit.parent = self
                                            self._children_name_map["violate_set_mpls_exp_topmost_transmit"] = "violate-set-mpls-exp-topmost-transmit"
                                            self._children_yang_names.add("violate-set-mpls-exp-topmost-transmit")

                                            self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit()
                                            self.violate_set_prec_transmit.parent = self
                                            self._children_name_map["violate_set_prec_transmit"] = "violate-set-prec-transmit"
                                            self._children_yang_names.add("violate-set-prec-transmit")

                                            self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit()
                                            self.violate_set_qos_transmit.parent = self
                                            self._children_name_map["violate_set_qos_transmit"] = "violate-set-qos-transmit"
                                            self._children_yang_names.add("violate-set-qos-transmit")

                                            self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit()
                                            self.violate_transmit.parent = self
                                            self._children_name_map["violate_transmit"] = "violate-transmit"
                                            self._children_yang_names.add("violate-transmit")

                                            self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop()
                                            self.violate_drop.parent = self
                                            self._children_name_map["violate_drop"] = "violate-drop"
                                            self._children_yang_names.add("violate-drop")
                                            self._segment_path = lambda: "actions"


                                        class ConformSetClpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit, self).__init__()

                                                self.yang_name = "conform-set-clp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-clp-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-clp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetClpTransmit.ConformAction, ['set_clp_transmit'], name, value)


                                        class ConformSetCosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit, self).__init__()

                                                self.yang_name = "conform-set-cos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-cos-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-cos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmit.ConformAction, ['set_cos_transmit'], name, value)


                                        class ConformSetCosTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-cos-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-cos-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-cos-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetCosTransmitTable.ConformAction, ['set_cos_transmit', 'table'], name, value)


                                        class ConformSetDiscardClassTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit, self).__init__()

                                                self.yang_name = "conform-set-discard-class-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-discard-class-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-discard-class-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDiscardClassTransmit.ConformAction, ['set_discard_class_transmit'], name, value)


                                        class ConformSetDscpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit, self).__init__()

                                                self.yang_name = "conform-set-dscp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-dscp-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-dscp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmit.ConformAction, ['set_dscp_transmit'], name, value)


                                        class ConformSetDscpTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-dscp-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-dscp-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-dscp-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetDscpTransmitTable.ConformAction, ['set_dscp_transmit', 'table'], name, value)


                                        class ConformSetFrdeTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit, self).__init__()

                                                self.yang_name = "conform-set-frde-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-frde-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-frde-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetFrdeTransmit.ConformAction, ['set_frde_transmit'], name, value)


                                        class ConformSetMplsExpImpositionTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit, self).__init__()

                                                self.yang_name = "conform-set-mpls-exp-imposition-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                        class ConformSetMplsExpImpositionTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-mpls-exp-imposition-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, ['set_mpls_exp_imposition_transmit', 'table'], name, value)


                                        class ConformSetMplsExpTopmostTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit, self).__init__()

                                                self.yang_name = "conform-set-mpls-exp-topmost-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                        class ConformSetMplsExpTopmostTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-mpls-exp-topmost-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, ['set_mpls_exp_topmost_transmit', 'table'], name, value)


                                        class ConformSetPrecTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit, self).__init__()

                                                self.yang_name = "conform-set-prec-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-prec-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-prec-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmit.ConformAction, ['set_prec_transmit'], name, value)


                                        class ConformSetPrecTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-prec-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-prec-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-prec-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetPrecTransmitTable.ConformAction, ['set_prec_transmit', 'table'], name, value)


                                        class ConformSetQosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit, self).__init__()

                                                self.yang_name = "conform-set-qos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-qos-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..99
                                                
                                                		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-qos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmit.ConformAction, ['set_qos_transmit'], name, value)


                                        class ConformSetQosTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-qos-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-qos-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..99
                                                
                                                		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-qos-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformSetQosTransmitTable.ConformAction, ['set_qos_transmit', 'table'], name, value)


                                        class ConformTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit, self).__init__()

                                                self.yang_name = "conform-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.transmit = YLeaf(YType.empty, "transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformTransmit.ConformAction, ['transmit'], name, value)


                                        class ConformDrop(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop, self).__init__()

                                                self.yang_name = "conform-drop"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-drop"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-drop"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.drop = YLeaf(YType.empty, "drop")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ConformDrop.ConformAction, ['drop'], name, value)


                                        class ExceedDscp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp, self).__init__()

                                                self.yang_name = "exceed-dscp"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-dscp"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: dscp
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-dscp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.dscp = YLeaf(YType.str, "dscp")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDscp.ExceedAction, ['dscp'], name, value)


                                        class ExceedSetClpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit, self).__init__()

                                                self.yang_name = "exceed-set-clp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-clp-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-clp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetClpTransmit.ExceedAction, ['set_clp_transmit'], name, value)


                                        class ExceedSetCosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit, self).__init__()

                                                self.yang_name = "exceed-set-cos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-cos-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-cos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetCosTransmit.ExceedAction, ['set_cos_transmit', 'table'], name, value)


                                        class ExceedSetDiscardClassTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit, self).__init__()

                                                self.yang_name = "exceed-set-discard-class-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-discard-class-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-discard-class-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDiscardClassTransmit.ExceedAction, ['set_discard_class_transmit'], name, value)


                                        class ExceedSetDscpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit, self).__init__()

                                                self.yang_name = "exceed-set-dscp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-dscp-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	
                                                	**type**\:  :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-dscp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"set-dscp-transmit" : ("set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit)}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                                    self.set_dscp_transmit.parent = self
                                                    self._children_name_map["set_dscp_transmit"] = "set-dscp-transmit"
                                                    self._children_yang_names.add("set-dscp-transmit")
                                                    self._segment_path = lambda: "exceed-action"


                                                class SetDscpTransmit(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: dscp
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-policy'
                                                    _revision = '2017-08-21'

                                                    def __init__(self):
                                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit, self).__init__()

                                                        self.yang_name = "set-dscp-transmit"
                                                        self.yang_parent_name = "exceed-action"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"dscp" : ("dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp)}
                                                        self._child_list_classes = {}

                                                        self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                        self.dscp.parent = self
                                                        self._children_name_map["dscp"] = "dscp"
                                                        self._children_yang_names.add("dscp")
                                                        self._segment_path = lambda: "set-dscp-transmit"


                                                    class Dscp(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: table
                                                        
                                                        	
                                                        	**type**\:  :py:class:`Table <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.Table>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-policy'
                                                        _revision = '2017-08-21'

                                                        def __init__(self):
                                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, self).__init__()

                                                            self.yang_name = "dscp"
                                                            self.yang_parent_name = "set-dscp-transmit"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.table = YLeaf(YType.enumeration, "table")
                                                            self._segment_path = lambda: "dscp"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, ['table'], name, value)

                                                        class Table(Enum):
                                                            """
                                                            Table

                                                            .. data:: policed_dscp = 0

                                                            """

                                                            policed_dscp = Enum.YLeaf(0, "policed-dscp")



                                        class ExceedSetDscpTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable, self).__init__()

                                                self.yang_name = "exceed-set-dscp-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-dscp-transmit-table"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-dscp-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetDscpTransmitTable.ExceedAction, ['set_dscp_transmit', 'table'], name, value)


                                        class ExceedSetFrdeTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit, self).__init__()

                                                self.yang_name = "exceed-set-frde-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-frde-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-frde-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetFrdeTransmit.ExceedAction, ['set_frde_transmit'], name, value)


                                        class ExceedSetMplsExpImpositionTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit, self).__init__()

                                                self.yang_name = "exceed-set-mpls-exp-imposition-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-mpls-exp-imposition-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-mpls-exp-imposition-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                        class ExceedSetMplsExpTopmostTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit, self).__init__()

                                                self.yang_name = "exceed-set-mpls-exp-topmost-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-mpls-exp-topmost-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-mpls-exp-topmost-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                        class ExceedSetPrecTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit, self).__init__()

                                                self.yang_name = "exceed-set-prec-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-prec-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-prec-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetPrecTransmit.ExceedAction, ['set_prec_transmit', 'table'], name, value)


                                        class ExceedSetQosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit, self).__init__()

                                                self.yang_name = "exceed-set-qos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-qos-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..99
                                                
                                                		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-qos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedSetQosTransmit.ExceedAction, ['set_qos_transmit'], name, value)


                                        class ExceedTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit, self).__init__()

                                                self.yang_name = "exceed-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.transmit = YLeaf(YType.empty, "transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedTransmit.ExceedAction, ['transmit'], name, value)


                                        class ExceedDrop(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop, self).__init__()

                                                self.yang_name = "exceed-drop"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-drop"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-drop"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.drop = YLeaf(YType.empty, "drop")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ExceedDrop.ExceedAction, ['drop'], name, value)


                                        class ViolateSetClpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit, self).__init__()

                                                self.yang_name = "violate-set-clp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-clp-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-clp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetClpTransmit.ViolateAction, ['set_clp_transmit'], name, value)


                                        class ViolateSetCosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit, self).__init__()

                                                self.yang_name = "violate-set-cos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-cos-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-cos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetCosTransmit.ViolateAction, ['set_cos_transmit', 'table'], name, value)


                                        class ViolateSetDiscardClassTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit, self).__init__()

                                                self.yang_name = "violate-set-discard-class-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-discard-class-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-discard-class-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDiscardClassTransmit.ViolateAction, ['set_discard_class_transmit'], name, value)


                                        class ViolateSetDscpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit, self).__init__()

                                                self.yang_name = "violate-set-dscp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-dscp-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-dscp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetDscpTransmit.ViolateAction, ['set_dscp_transmit', 'table'], name, value)


                                        class ViolateSetFrdeTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit, self).__init__()

                                                self.yang_name = "violate-set-frde-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-frde-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-frde-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetFrdeTransmit.ViolateAction, ['set_frde_transmit'], name, value)


                                        class ViolateSetMplsExpImpositionTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit, self).__init__()

                                                self.yang_name = "violate-set-mpls-exp-imposition-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-mpls-exp-imposition-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-mpls-exp-imposition-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                        class ViolateSetMplsExpTopmostTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit, self).__init__()

                                                self.yang_name = "violate-set-mpls-exp-topmost-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-mpls-exp-topmost-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-mpls-exp-topmost-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                        class ViolateSetPrecTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit, self).__init__()

                                                self.yang_name = "violate-set-prec-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-prec-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-prec-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetPrecTransmit.ViolateAction, ['set_prec_transmit', 'table'], name, value)


                                        class ViolateSetQosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit, self).__init__()

                                                self.yang_name = "violate-set-qos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-qos-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..99
                                                
                                                		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-qos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateSetQosTransmit.ViolateAction, ['set_qos_transmit'], name, value)


                                        class ViolateTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit, self).__init__()

                                                self.yang_name = "violate-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.transmit = YLeaf(YType.empty, "transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateTransmit.ViolateAction, ['transmit'], name, value)


                                        class ViolateDrop(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop, self).__init__()

                                                self.yang_name = "violate-drop"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-drop"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-drop"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.drop = YLeaf(YType.empty, "drop")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePercent.Police.Rate.Percent.Actions.ViolateDrop.ViolateAction, ['drop'], name, value)


                    class PoliceRatePdp(Entity):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp, self).__init__()

                            self.yang_name = "police-rate-pdp"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"police" : ("police", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police)}
                            self._child_list_classes = {}

                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police()
                            self.police.parent = self
                            self._children_name_map["police"] = "police"
                            self._children_yang_names.add("police")
                            self._segment_path = lambda: "police-rate-pdp"


                        class Police(Entity):
                            """
                            
                            
                            .. attribute:: rate
                            
                            	Specify police rate
                            	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police, self).__init__()

                                self.yang_name = "police"
                                self.yang_parent_name = "police-rate-pdp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rate" : ("rate", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate)}
                                self._child_list_classes = {}

                                self.rate = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate()
                                self.rate.parent = self
                                self._children_name_map["rate"] = "rate"
                                self._children_yang_names.add("rate")
                                self._segment_path = lambda: "police"


                            class Rate(Entity):
                                """
                                Specify police rate
                                
                                .. attribute:: pdp
                                
                                	% of interface bandwidth for rate
                                	**type**\:  :py:class:`Pdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate, self).__init__()

                                    self.yang_name = "rate"
                                    self.yang_parent_name = "police"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pdp" : ("pdp", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp)}
                                    self._child_list_classes = {}

                                    self.pdp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp()
                                    self.pdp.parent = self
                                    self._children_name_map["pdp"] = "pdp"
                                    self._children_yang_names.add("pdp")
                                    self._segment_path = lambda: "rate"


                                class Pdp(Entity):
                                    """
                                    % of interface bandwidth for rate
                                    
                                    .. attribute:: burst
                                    
                                    	Conform burst
                                    	**type**\: int
                                    
                                    	**range:** 1000..512000000
                                    
                                    .. attribute:: peak_rate
                                    
                                    	Specify peak rate
                                    	**type**\:  :py:class:`PeakRate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.PeakRate>`
                                    
                                    .. attribute:: peak_burst
                                    
                                    	Specify 'peak\-burst' parameter for 'peak\-rate'
                                    	**type**\: int
                                    
                                    	**range:** 1000..512000000
                                    
                                    .. attribute:: actions
                                    
                                    	
                                    	**type**\:  :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp, self).__init__()

                                        self.yang_name = "pdp"
                                        self.yang_parent_name = "rate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"actions" : ("actions", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions)}
                                        self._child_list_classes = {}

                                        self.burst = YLeaf(YType.uint32, "burst")

                                        self.peak_rate = YLeaf(YType.enumeration, "peak-rate")

                                        self.peak_burst = YLeaf(YType.uint32, "peak-burst")

                                        self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions()
                                        self.actions.parent = self
                                        self._children_name_map["actions"] = "actions"
                                        self._children_yang_names.add("actions")
                                        self._segment_path = lambda: "pdp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp, ['burst', 'peak_rate', 'peak_burst'], name, value)

                                    class PeakRate(Enum):
                                        """
                                        PeakRate

                                        Specify peak rate

                                        .. data:: pdp = 0

                                        """

                                        pdp = Enum.YLeaf(0, "pdp")



                                    class Actions(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_set_clp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit>`
                                        
                                        .. attribute:: conform_set_cos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit>`
                                        
                                        .. attribute:: conform_set_cos_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable>`
                                        
                                        .. attribute:: conform_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit>`
                                        
                                        .. attribute:: conform_set_dscp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit>`
                                        
                                        .. attribute:: conform_set_dscp_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable>`
                                        
                                        .. attribute:: conform_set_frde_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                        
                                        .. attribute:: conform_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                        
                                        .. attribute:: conform_set_prec_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit>`
                                        
                                        .. attribute:: conform_set_prec_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable>`
                                        
                                        .. attribute:: conform_set_qos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit>`
                                        
                                        .. attribute:: conform_set_qos_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable>`
                                        
                                        .. attribute:: conform_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit>`
                                        
                                        .. attribute:: conform_drop
                                        
                                        	
                                        	**type**\:  :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop>`
                                        
                                        .. attribute:: exceed_dscp
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp>`
                                        
                                        .. attribute:: exceed_set_clp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit>`
                                        
                                        .. attribute:: exceed_set_cos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit>`
                                        
                                        .. attribute:: exceed_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit>`
                                        
                                        .. attribute:: exceed_set_dscp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit>`
                                        
                                        .. attribute:: exceed_set_dscp_transmit_table
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable>`
                                        
                                        .. attribute:: exceed_set_frde_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit>`
                                        
                                        .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: exceed_set_prec_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit>`
                                        
                                        .. attribute:: exceed_set_qos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit>`
                                        
                                        .. attribute:: exceed_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit>`
                                        
                                        .. attribute:: exceed_drop
                                        
                                        	
                                        	**type**\:  :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop>`
                                        
                                        .. attribute:: violate_set_clp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit>`
                                        
                                        .. attribute:: violate_set_cos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit>`
                                        
                                        .. attribute:: violate_set_discard_class_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit>`
                                        
                                        .. attribute:: violate_set_dscp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit>`
                                        
                                        .. attribute:: violate_set_frde_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit>`
                                        
                                        .. attribute:: violate_set_mpls_exp_imposition_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit>`
                                        
                                        .. attribute:: violate_set_mpls_exp_topmost_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit>`
                                        
                                        .. attribute:: violate_set_prec_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit>`
                                        
                                        .. attribute:: violate_set_qos_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit>`
                                        
                                        .. attribute:: violate_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit>`
                                        
                                        .. attribute:: violate_drop
                                        
                                        	
                                        	**type**\:  :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions, self).__init__()

                                            self.yang_name = "actions"
                                            self.yang_parent_name = "pdp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-set-clp-transmit" : ("conform_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit), "conform-set-cos-transmit" : ("conform_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit), "conform-set-cos-transmit-table" : ("conform_set_cos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable), "conform-set-discard-class-transmit" : ("conform_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit), "conform-set-dscp-transmit" : ("conform_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit), "conform-set-dscp-transmit-table" : ("conform_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable), "conform-set-frde-transmit" : ("conform_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit), "conform-set-mpls-exp-imposition-transmit" : ("conform_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit), "conform-set-mpls-exp-imposition-transmit-table" : ("conform_set_mpls_exp_imposition_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable), "conform-set-mpls-exp-topmost-transmit" : ("conform_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit), "conform-set-mpls-exp-topmost-transmit-table" : ("conform_set_mpls_exp_topmost_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable), "conform-set-prec-transmit" : ("conform_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit), "conform-set-prec-transmit-table" : ("conform_set_prec_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable), "conform-set-qos-transmit" : ("conform_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit), "conform-set-qos-transmit-table" : ("conform_set_qos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable), "conform-transmit" : ("conform_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit), "conform-drop" : ("conform_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop), "exceed-dscp" : ("exceed_dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp), "exceed-set-clp-transmit" : ("exceed_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit), "exceed-set-cos-transmit" : ("exceed_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit), "exceed-set-discard-class-transmit" : ("exceed_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit), "exceed-set-dscp-transmit" : ("exceed_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit), "exceed-set-dscp-transmit-table" : ("exceed_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable), "exceed-set-frde-transmit" : ("exceed_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit), "exceed-set-mpls-exp-imposition-transmit" : ("exceed_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit), "exceed-set-mpls-exp-topmost-transmit" : ("exceed_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit), "exceed-set-prec-transmit" : ("exceed_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit), "exceed-set-qos-transmit" : ("exceed_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit), "exceed-transmit" : ("exceed_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit), "exceed-drop" : ("exceed_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop), "violate-set-clp-transmit" : ("violate_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit), "violate-set-cos-transmit" : ("violate_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit), "violate-set-discard-class-transmit" : ("violate_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit), "violate-set-dscp-transmit" : ("violate_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit), "violate-set-frde-transmit" : ("violate_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit), "violate-set-mpls-exp-imposition-transmit" : ("violate_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit), "violate-set-mpls-exp-topmost-transmit" : ("violate_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit), "violate-set-prec-transmit" : ("violate_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit), "violate-set-qos-transmit" : ("violate_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit), "violate-transmit" : ("violate_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit), "violate-drop" : ("violate_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop)}
                                            self._child_list_classes = {}

                                            self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit()
                                            self.conform_set_clp_transmit.parent = self
                                            self._children_name_map["conform_set_clp_transmit"] = "conform-set-clp-transmit"
                                            self._children_yang_names.add("conform-set-clp-transmit")

                                            self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit()
                                            self.conform_set_cos_transmit.parent = self
                                            self._children_name_map["conform_set_cos_transmit"] = "conform-set-cos-transmit"
                                            self._children_yang_names.add("conform-set-cos-transmit")

                                            self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable()
                                            self.conform_set_cos_transmit_table.parent = self
                                            self._children_name_map["conform_set_cos_transmit_table"] = "conform-set-cos-transmit-table"
                                            self._children_yang_names.add("conform-set-cos-transmit-table")

                                            self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit()
                                            self.conform_set_discard_class_transmit.parent = self
                                            self._children_name_map["conform_set_discard_class_transmit"] = "conform-set-discard-class-transmit"
                                            self._children_yang_names.add("conform-set-discard-class-transmit")

                                            self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit()
                                            self.conform_set_dscp_transmit.parent = self
                                            self._children_name_map["conform_set_dscp_transmit"] = "conform-set-dscp-transmit"
                                            self._children_yang_names.add("conform-set-dscp-transmit")

                                            self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable()
                                            self.conform_set_dscp_transmit_table.parent = self
                                            self._children_name_map["conform_set_dscp_transmit_table"] = "conform-set-dscp-transmit-table"
                                            self._children_yang_names.add("conform-set-dscp-transmit-table")

                                            self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit()
                                            self.conform_set_frde_transmit.parent = self
                                            self._children_name_map["conform_set_frde_transmit"] = "conform-set-frde-transmit"
                                            self._children_yang_names.add("conform-set-frde-transmit")

                                            self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit()
                                            self.conform_set_mpls_exp_imposition_transmit.parent = self
                                            self._children_name_map["conform_set_mpls_exp_imposition_transmit"] = "conform-set-mpls-exp-imposition-transmit"
                                            self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit")

                                            self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable()
                                            self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                            self._children_name_map["conform_set_mpls_exp_imposition_transmit_table"] = "conform-set-mpls-exp-imposition-transmit-table"
                                            self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit-table")

                                            self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit()
                                            self.conform_set_mpls_exp_topmost_transmit.parent = self
                                            self._children_name_map["conform_set_mpls_exp_topmost_transmit"] = "conform-set-mpls-exp-topmost-transmit"
                                            self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit")

                                            self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable()
                                            self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                            self._children_name_map["conform_set_mpls_exp_topmost_transmit_table"] = "conform-set-mpls-exp-topmost-transmit-table"
                                            self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit-table")

                                            self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit()
                                            self.conform_set_prec_transmit.parent = self
                                            self._children_name_map["conform_set_prec_transmit"] = "conform-set-prec-transmit"
                                            self._children_yang_names.add("conform-set-prec-transmit")

                                            self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable()
                                            self.conform_set_prec_transmit_table.parent = self
                                            self._children_name_map["conform_set_prec_transmit_table"] = "conform-set-prec-transmit-table"
                                            self._children_yang_names.add("conform-set-prec-transmit-table")

                                            self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit()
                                            self.conform_set_qos_transmit.parent = self
                                            self._children_name_map["conform_set_qos_transmit"] = "conform-set-qos-transmit"
                                            self._children_yang_names.add("conform-set-qos-transmit")

                                            self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable()
                                            self.conform_set_qos_transmit_table.parent = self
                                            self._children_name_map["conform_set_qos_transmit_table"] = "conform-set-qos-transmit-table"
                                            self._children_yang_names.add("conform-set-qos-transmit-table")

                                            self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit()
                                            self.conform_transmit.parent = self
                                            self._children_name_map["conform_transmit"] = "conform-transmit"
                                            self._children_yang_names.add("conform-transmit")

                                            self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop()
                                            self.conform_drop.parent = self
                                            self._children_name_map["conform_drop"] = "conform-drop"
                                            self._children_yang_names.add("conform-drop")

                                            self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp()
                                            self.exceed_dscp.parent = self
                                            self._children_name_map["exceed_dscp"] = "exceed-dscp"
                                            self._children_yang_names.add("exceed-dscp")

                                            self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit()
                                            self.exceed_set_clp_transmit.parent = self
                                            self._children_name_map["exceed_set_clp_transmit"] = "exceed-set-clp-transmit"
                                            self._children_yang_names.add("exceed-set-clp-transmit")

                                            self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit()
                                            self.exceed_set_cos_transmit.parent = self
                                            self._children_name_map["exceed_set_cos_transmit"] = "exceed-set-cos-transmit"
                                            self._children_yang_names.add("exceed-set-cos-transmit")

                                            self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit()
                                            self.exceed_set_discard_class_transmit.parent = self
                                            self._children_name_map["exceed_set_discard_class_transmit"] = "exceed-set-discard-class-transmit"
                                            self._children_yang_names.add("exceed-set-discard-class-transmit")

                                            self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit()
                                            self.exceed_set_dscp_transmit.parent = self
                                            self._children_name_map["exceed_set_dscp_transmit"] = "exceed-set-dscp-transmit"
                                            self._children_yang_names.add("exceed-set-dscp-transmit")

                                            self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable()
                                            self.exceed_set_dscp_transmit_table.parent = self
                                            self._children_name_map["exceed_set_dscp_transmit_table"] = "exceed-set-dscp-transmit-table"
                                            self._children_yang_names.add("exceed-set-dscp-transmit-table")

                                            self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit()
                                            self.exceed_set_frde_transmit.parent = self
                                            self._children_name_map["exceed_set_frde_transmit"] = "exceed-set-frde-transmit"
                                            self._children_yang_names.add("exceed-set-frde-transmit")

                                            self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit()
                                            self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                            self._children_name_map["exceed_set_mpls_exp_imposition_transmit"] = "exceed-set-mpls-exp-imposition-transmit"
                                            self._children_yang_names.add("exceed-set-mpls-exp-imposition-transmit")

                                            self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit()
                                            self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                            self._children_name_map["exceed_set_mpls_exp_topmost_transmit"] = "exceed-set-mpls-exp-topmost-transmit"
                                            self._children_yang_names.add("exceed-set-mpls-exp-topmost-transmit")

                                            self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit()
                                            self.exceed_set_prec_transmit.parent = self
                                            self._children_name_map["exceed_set_prec_transmit"] = "exceed-set-prec-transmit"
                                            self._children_yang_names.add("exceed-set-prec-transmit")

                                            self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit()
                                            self.exceed_set_qos_transmit.parent = self
                                            self._children_name_map["exceed_set_qos_transmit"] = "exceed-set-qos-transmit"
                                            self._children_yang_names.add("exceed-set-qos-transmit")

                                            self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit()
                                            self.exceed_transmit.parent = self
                                            self._children_name_map["exceed_transmit"] = "exceed-transmit"
                                            self._children_yang_names.add("exceed-transmit")

                                            self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop()
                                            self.exceed_drop.parent = self
                                            self._children_name_map["exceed_drop"] = "exceed-drop"
                                            self._children_yang_names.add("exceed-drop")

                                            self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit()
                                            self.violate_set_clp_transmit.parent = self
                                            self._children_name_map["violate_set_clp_transmit"] = "violate-set-clp-transmit"
                                            self._children_yang_names.add("violate-set-clp-transmit")

                                            self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit()
                                            self.violate_set_cos_transmit.parent = self
                                            self._children_name_map["violate_set_cos_transmit"] = "violate-set-cos-transmit"
                                            self._children_yang_names.add("violate-set-cos-transmit")

                                            self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit()
                                            self.violate_set_discard_class_transmit.parent = self
                                            self._children_name_map["violate_set_discard_class_transmit"] = "violate-set-discard-class-transmit"
                                            self._children_yang_names.add("violate-set-discard-class-transmit")

                                            self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit()
                                            self.violate_set_dscp_transmit.parent = self
                                            self._children_name_map["violate_set_dscp_transmit"] = "violate-set-dscp-transmit"
                                            self._children_yang_names.add("violate-set-dscp-transmit")

                                            self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit()
                                            self.violate_set_frde_transmit.parent = self
                                            self._children_name_map["violate_set_frde_transmit"] = "violate-set-frde-transmit"
                                            self._children_yang_names.add("violate-set-frde-transmit")

                                            self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit()
                                            self.violate_set_mpls_exp_imposition_transmit.parent = self
                                            self._children_name_map["violate_set_mpls_exp_imposition_transmit"] = "violate-set-mpls-exp-imposition-transmit"
                                            self._children_yang_names.add("violate-set-mpls-exp-imposition-transmit")

                                            self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit()
                                            self.violate_set_mpls_exp_topmost_transmit.parent = self
                                            self._children_name_map["violate_set_mpls_exp_topmost_transmit"] = "violate-set-mpls-exp-topmost-transmit"
                                            self._children_yang_names.add("violate-set-mpls-exp-topmost-transmit")

                                            self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit()
                                            self.violate_set_prec_transmit.parent = self
                                            self._children_name_map["violate_set_prec_transmit"] = "violate-set-prec-transmit"
                                            self._children_yang_names.add("violate-set-prec-transmit")

                                            self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit()
                                            self.violate_set_qos_transmit.parent = self
                                            self._children_name_map["violate_set_qos_transmit"] = "violate-set-qos-transmit"
                                            self._children_yang_names.add("violate-set-qos-transmit")

                                            self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit()
                                            self.violate_transmit.parent = self
                                            self._children_name_map["violate_transmit"] = "violate-transmit"
                                            self._children_yang_names.add("violate-transmit")

                                            self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop()
                                            self.violate_drop.parent = self
                                            self._children_name_map["violate_drop"] = "violate-drop"
                                            self._children_yang_names.add("violate-drop")
                                            self._segment_path = lambda: "actions"


                                        class ConformSetClpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit, self).__init__()

                                                self.yang_name = "conform-set-clp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-clp-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-clp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetClpTransmit.ConformAction, ['set_clp_transmit'], name, value)


                                        class ConformSetCosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit, self).__init__()

                                                self.yang_name = "conform-set-cos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-cos-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-cos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmit.ConformAction, ['set_cos_transmit'], name, value)


                                        class ConformSetCosTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-cos-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-cos-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-cos-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetCosTransmitTable.ConformAction, ['set_cos_transmit', 'table'], name, value)


                                        class ConformSetDiscardClassTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit, self).__init__()

                                                self.yang_name = "conform-set-discard-class-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-discard-class-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-discard-class-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDiscardClassTransmit.ConformAction, ['set_discard_class_transmit'], name, value)


                                        class ConformSetDscpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit, self).__init__()

                                                self.yang_name = "conform-set-dscp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-dscp-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-dscp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmit.ConformAction, ['set_dscp_transmit'], name, value)


                                        class ConformSetDscpTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-dscp-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-dscp-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-dscp-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetDscpTransmitTable.ConformAction, ['set_dscp_transmit', 'table'], name, value)


                                        class ConformSetFrdeTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit, self).__init__()

                                                self.yang_name = "conform-set-frde-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-frde-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-frde-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetFrdeTransmit.ConformAction, ['set_frde_transmit'], name, value)


                                        class ConformSetMplsExpImpositionTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit, self).__init__()

                                                self.yang_name = "conform-set-mpls-exp-imposition-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                        class ConformSetMplsExpImpositionTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-mpls-exp-imposition-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, ['set_mpls_exp_imposition_transmit', 'table'], name, value)


                                        class ConformSetMplsExpTopmostTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit, self).__init__()

                                                self.yang_name = "conform-set-mpls-exp-topmost-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                        class ConformSetMplsExpTopmostTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-mpls-exp-topmost-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, ['set_mpls_exp_topmost_transmit', 'table'], name, value)


                                        class ConformSetPrecTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit, self).__init__()

                                                self.yang_name = "conform-set-prec-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-prec-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-prec-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmit.ConformAction, ['set_prec_transmit'], name, value)


                                        class ConformSetPrecTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-prec-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-prec-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-prec-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetPrecTransmitTable.ConformAction, ['set_prec_transmit', 'table'], name, value)


                                        class ConformSetQosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit, self).__init__()

                                                self.yang_name = "conform-set-qos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-qos-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..99
                                                
                                                		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-qos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmit.ConformAction, ['set_qos_transmit'], name, value)


                                        class ConformSetQosTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable, self).__init__()

                                                self.yang_name = "conform-set-qos-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-set-qos-transmit-table"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..99
                                                
                                                		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-set-qos-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformSetQosTransmitTable.ConformAction, ['set_qos_transmit', 'table'], name, value)


                                        class ConformTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit, self).__init__()

                                                self.yang_name = "conform-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-transmit"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.transmit = YLeaf(YType.empty, "transmit")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformTransmit.ConformAction, ['transmit'], name, value)


                                        class ConformDrop(Entity):
                                            """
                                            
                                            
                                            .. attribute:: conform_action
                                            
                                            	action when rate is less than conform burst
                                            	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop.ConformAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop, self).__init__()

                                                self.yang_name = "conform-drop"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop.ConformAction)}
                                                self._child_list_classes = {}

                                                self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop.ConformAction()
                                                self.conform_action.parent = self
                                                self._children_name_map["conform_action"] = "conform-action"
                                                self._children_yang_names.add("conform-action")
                                                self._segment_path = lambda: "conform-drop"


                                            class ConformAction(Entity):
                                                """
                                                action when rate is less than conform burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop.ConformAction, self).__init__()

                                                    self.yang_name = "conform-action"
                                                    self.yang_parent_name = "conform-drop"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.drop = YLeaf(YType.empty, "drop")
                                                    self._segment_path = lambda: "conform-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ConformDrop.ConformAction, ['drop'], name, value)


                                        class ExceedDscp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp, self).__init__()

                                                self.yang_name = "exceed-dscp"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-dscp"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: dscp
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-dscp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.dscp = YLeaf(YType.str, "dscp")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDscp.ExceedAction, ['dscp'], name, value)


                                        class ExceedSetClpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit, self).__init__()

                                                self.yang_name = "exceed-set-clp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-clp-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-clp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetClpTransmit.ExceedAction, ['set_clp_transmit'], name, value)


                                        class ExceedSetCosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit, self).__init__()

                                                self.yang_name = "exceed-set-cos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-cos-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-cos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetCosTransmit.ExceedAction, ['set_cos_transmit', 'table'], name, value)


                                        class ExceedSetDiscardClassTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit, self).__init__()

                                                self.yang_name = "exceed-set-discard-class-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-discard-class-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-discard-class-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDiscardClassTransmit.ExceedAction, ['set_discard_class_transmit'], name, value)


                                        class ExceedSetDscpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit, self).__init__()

                                                self.yang_name = "exceed-set-dscp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-dscp-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	
                                                	**type**\:  :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-dscp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"set-dscp-transmit" : ("set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit)}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                                    self.set_dscp_transmit.parent = self
                                                    self._children_name_map["set_dscp_transmit"] = "set-dscp-transmit"
                                                    self._children_yang_names.add("set-dscp-transmit")
                                                    self._segment_path = lambda: "exceed-action"


                                                class SetDscpTransmit(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: dscp
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-policy'
                                                    _revision = '2017-08-21'

                                                    def __init__(self):
                                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit, self).__init__()

                                                        self.yang_name = "set-dscp-transmit"
                                                        self.yang_parent_name = "exceed-action"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"dscp" : ("dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp)}
                                                        self._child_list_classes = {}

                                                        self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                        self.dscp.parent = self
                                                        self._children_name_map["dscp"] = "dscp"
                                                        self._children_yang_names.add("dscp")
                                                        self._segment_path = lambda: "set-dscp-transmit"


                                                    class Dscp(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: table
                                                        
                                                        	
                                                        	**type**\:  :py:class:`Table <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.Table>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-policy'
                                                        _revision = '2017-08-21'

                                                        def __init__(self):
                                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, self).__init__()

                                                            self.yang_name = "dscp"
                                                            self.yang_parent_name = "set-dscp-transmit"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.table = YLeaf(YType.enumeration, "table")
                                                            self._segment_path = lambda: "dscp"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, ['table'], name, value)

                                                        class Table(Enum):
                                                            """
                                                            Table

                                                            .. data:: policed_dscp = 0

                                                            """

                                                            policed_dscp = Enum.YLeaf(0, "policed-dscp")



                                        class ExceedSetDscpTransmitTable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable, self).__init__()

                                                self.yang_name = "exceed-set-dscp-transmit-table"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-dscp-transmit-table"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-dscp-transmit-table"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetDscpTransmitTable.ExceedAction, ['set_dscp_transmit', 'table'], name, value)


                                        class ExceedSetFrdeTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit, self).__init__()

                                                self.yang_name = "exceed-set-frde-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-frde-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-frde-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetFrdeTransmit.ExceedAction, ['set_frde_transmit'], name, value)


                                        class ExceedSetMplsExpImpositionTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit, self).__init__()

                                                self.yang_name = "exceed-set-mpls-exp-imposition-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-mpls-exp-imposition-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-mpls-exp-imposition-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                        class ExceedSetMplsExpTopmostTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit, self).__init__()

                                                self.yang_name = "exceed-set-mpls-exp-topmost-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-mpls-exp-topmost-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-mpls-exp-topmost-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                        class ExceedSetPrecTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit, self).__init__()

                                                self.yang_name = "exceed-set-prec-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-prec-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-prec-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetPrecTransmit.ExceedAction, ['set_prec_transmit', 'table'], name, value)


                                        class ExceedSetQosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit, self).__init__()

                                                self.yang_name = "exceed-set-qos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-set-qos-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..99
                                                
                                                		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-set-qos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedSetQosTransmit.ExceedAction, ['set_qos_transmit'], name, value)


                                        class ExceedTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit, self).__init__()

                                                self.yang_name = "exceed-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-transmit"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.transmit = YLeaf(YType.empty, "transmit")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedTransmit.ExceedAction, ['transmit'], name, value)


                                        class ExceedDrop(Entity):
                                            """
                                            
                                            
                                            .. attribute:: exceed_action
                                            
                                            	action when rate is within conform and conform + exceed burst
                                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop.ExceedAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop, self).__init__()

                                                self.yang_name = "exceed-drop"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop.ExceedAction)}
                                                self._child_list_classes = {}

                                                self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop.ExceedAction()
                                                self.exceed_action.parent = self
                                                self._children_name_map["exceed_action"] = "exceed-action"
                                                self._children_yang_names.add("exceed-action")
                                                self._segment_path = lambda: "exceed-drop"


                                            class ExceedAction(Entity):
                                                """
                                                action when rate is within conform and conform + exceed burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop.ExceedAction, self).__init__()

                                                    self.yang_name = "exceed-action"
                                                    self.yang_parent_name = "exceed-drop"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.drop = YLeaf(YType.empty, "drop")
                                                    self._segment_path = lambda: "exceed-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ExceedDrop.ExceedAction, ['drop'], name, value)


                                        class ViolateSetClpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit, self).__init__()

                                                self.yang_name = "violate-set-clp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-clp-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_clp_transmit
                                                
                                                	set atm clp and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-clp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetClpTransmit.ViolateAction, ['set_clp_transmit'], name, value)


                                        class ViolateSetCosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit, self).__init__()

                                                self.yang_name = "violate-set-cos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-cos-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_cos_transmit
                                                
                                                	rewrite packet cos and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-cos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetCosTransmit.ViolateAction, ['set_cos_transmit', 'table'], name, value)


                                        class ViolateSetDiscardClassTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit, self).__init__()

                                                self.yang_name = "violate-set-discard-class-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-discard-class-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_discard_class_transmit
                                                
                                                	set discard\-class and send it
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-discard-class-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDiscardClassTransmit.ViolateAction, ['set_discard_class_transmit'], name, value)


                                        class ViolateSetDscpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit, self).__init__()

                                                self.yang_name = "violate-set-dscp-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-dscp-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_dscp_transmit
                                                
                                                	set dscp and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..63
                                                
                                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-dscp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetDscpTransmit.ViolateAction, ['set_dscp_transmit', 'table'], name, value)


                                        class ViolateSetFrdeTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit, self).__init__()

                                                self.yang_name = "violate-set-frde-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-frde-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_frde_transmit
                                                
                                                	set FR DE and send it
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-frde-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetFrdeTransmit.ViolateAction, ['set_frde_transmit'], name, value)


                                        class ViolateSetMplsExpImpositionTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit, self).__init__()

                                                self.yang_name = "violate-set-mpls-exp-imposition-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-mpls-exp-imposition-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_imposition_transmit
                                                
                                                	set exp at tag imposition and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-mpls-exp-imposition-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                        class ViolateSetMplsExpTopmostTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit, self).__init__()

                                                self.yang_name = "violate-set-mpls-exp-topmost-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-mpls-exp-topmost-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_mpls_exp_topmost_transmit
                                                
                                                	set exp on topmost label and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-mpls-exp-topmost-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                        class ViolateSetPrecTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit, self).__init__()

                                                self.yang_name = "violate-set-prec-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-prec-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_prec_transmit
                                                
                                                	rewrite packet precedence and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..7
                                                
                                                		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                                
                                                .. attribute:: table
                                                
                                                	Specify table\-map
                                                	**type**\: str
                                                
                                                	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-prec-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                    self.table = YLeaf(YType.str, "table")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetPrecTransmit.ViolateAction, ['set_prec_transmit', 'table'], name, value)


                                        class ViolateSetQosTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit, self).__init__()

                                                self.yang_name = "violate-set-qos-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-set-qos-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: set_qos_transmit
                                                
                                                	set qos\-group and send it
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 0..99
                                                
                                                		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-set-qos-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateSetQosTransmit.ViolateAction, ['set_qos_transmit'], name, value)


                                        class ViolateTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit, self).__init__()

                                                self.yang_name = "violate-transmit"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-transmit"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: transmit
                                                
                                                	transmit packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.transmit = YLeaf(YType.empty, "transmit")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateTransmit.ViolateAction, ['transmit'], name, value)


                                        class ViolateDrop(Entity):
                                            """
                                            
                                            
                                            .. attribute:: violate_action
                                            
                                            	action when rate is greater than conform + exceed burst
                                            	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop.ViolateAction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop, self).__init__()

                                                self.yang_name = "violate-drop"
                                                self.yang_parent_name = "actions"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop.ViolateAction)}
                                                self._child_list_classes = {}

                                                self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop.ViolateAction()
                                                self.violate_action.parent = self
                                                self._children_name_map["violate_action"] = "violate-action"
                                                self._children_yang_names.add("violate-action")
                                                self._segment_path = lambda: "violate-drop"


                                            class ViolateAction(Entity):
                                                """
                                                action when rate is greater than conform + exceed burst
                                                
                                                .. attribute:: drop
                                                
                                                	drop packet
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop.ViolateAction, self).__init__()

                                                    self.yang_name = "violate-action"
                                                    self.yang_parent_name = "violate-drop"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.drop = YLeaf(YType.empty, "drop")
                                                    self._segment_path = lambda: "violate-action"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceRatePdp.Police.Rate.Pdp.Actions.ViolateDrop.ViolateAction, ['drop'], name, value)


                    class PoliceTargetBitrate(Entity):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate, self).__init__()

                            self.yang_name = "police-target-bitrate"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"police" : ("police", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police)}
                            self._child_list_classes = {}

                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police()
                            self.police.parent = self
                            self._children_name_map["police"] = "police"
                            self._children_yang_names.add("police")
                            self._segment_path = lambda: "police-target-bitrate"


                        class Police(Entity):
                            """
                            
                            
                            .. attribute:: bit_rate
                            
                            	Target bit rate (bits per second) (postfix k, m, g optional),decimal point allowed
                            	**type**\: int
                            
                            	**range:** 8000..10000000000
                            
                            .. attribute:: confirm_burst_byte
                            
                            	Burst Byte
                            	**type**\: int
                            
                            	**range:** 100..512000000
                            
                            .. attribute:: excess_burst_byte
                            
                            	Burst Byte
                            	**type**\: int
                            
                            	**range:** 100..512000000
                            
                            .. attribute:: conform_action
                            
                            	action when rate is less than conform burst
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transmit
                            
                            	transmit packet
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: exceed_action
                            
                            	action when rate is within conform and conform + exceed burst
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: drop
                            
                            	drop packet
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: set_dscp_transmit
                            
                            	set dscp and send it
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp
                            
                            	Set packet dscp from dscp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: table
                            
                            	Specify table\-map
                            	**type**\: str
                            
                            .. attribute:: actions
                            
                            	
                            	**type**\:  :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police, self).__init__()

                                self.yang_name = "police"
                                self.yang_parent_name = "police-target-bitrate"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"actions" : ("actions", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions)}
                                self._child_list_classes = {}

                                self.bit_rate = YLeaf(YType.uint64, "bit-rate")

                                self.confirm_burst_byte = YLeaf(YType.uint64, "confirm_burst-byte")

                                self.excess_burst_byte = YLeaf(YType.uint64, "excess_burst-byte")

                                self.conform_action = YLeaf(YType.empty, "conform-action")

                                self.transmit = YLeaf(YType.empty, "transmit")

                                self.exceed_action = YLeaf(YType.empty, "exceed-action")

                                self.drop = YLeaf(YType.empty, "drop")

                                self.set_dscp_transmit = YLeaf(YType.empty, "set-dscp-transmit")

                                self.dscp = YLeaf(YType.empty, "dscp")

                                self.table = YLeaf(YType.str, "table")

                                self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions()
                                self.actions.parent = self
                                self._children_name_map["actions"] = "actions"
                                self._children_yang_names.add("actions")
                                self._segment_path = lambda: "police"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police, ['bit_rate', 'confirm_burst_byte', 'excess_burst_byte', 'conform_action', 'transmit', 'exceed_action', 'drop', 'set_dscp_transmit', 'dscp', 'table'], name, value)


                            class Actions(Entity):
                                """
                                
                                
                                .. attribute:: conform_set_clp_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit>`
                                
                                .. attribute:: conform_set_cos_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit>`
                                
                                .. attribute:: conform_set_cos_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable>`
                                
                                .. attribute:: conform_set_discard_class_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit>`
                                
                                .. attribute:: conform_set_dscp_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit>`
                                
                                .. attribute:: conform_set_dscp_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable>`
                                
                                .. attribute:: conform_set_frde_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                
                                .. attribute:: conform_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                
                                .. attribute:: conform_set_prec_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit>`
                                
                                .. attribute:: conform_set_prec_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable>`
                                
                                .. attribute:: conform_set_qos_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit>`
                                
                                .. attribute:: conform_set_qos_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable>`
                                
                                .. attribute:: conform_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit>`
                                
                                .. attribute:: conform_drop
                                
                                	
                                	**type**\:  :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop>`
                                
                                .. attribute:: exceed_dscp
                                
                                	
                                	**type**\:  :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp>`
                                
                                .. attribute:: exceed_set_clp_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit>`
                                
                                .. attribute:: exceed_set_cos_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit>`
                                
                                .. attribute:: exceed_set_discard_class_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit>`
                                
                                .. attribute:: exceed_set_dscp_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit>`
                                
                                .. attribute:: exceed_set_dscp_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable>`
                                
                                .. attribute:: exceed_set_frde_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit>`
                                
                                .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: exceed_set_prec_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit>`
                                
                                .. attribute:: exceed_set_qos_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit>`
                                
                                .. attribute:: exceed_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit>`
                                
                                .. attribute:: exceed_drop
                                
                                	
                                	**type**\:  :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop>`
                                
                                .. attribute:: violate_set_clp_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit>`
                                
                                .. attribute:: violate_set_cos_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit>`
                                
                                .. attribute:: violate_set_discard_class_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit>`
                                
                                .. attribute:: violate_set_dscp_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit>`
                                
                                .. attribute:: violate_set_frde_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit>`
                                
                                .. attribute:: violate_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: violate_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: violate_set_prec_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit>`
                                
                                .. attribute:: violate_set_qos_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit>`
                                
                                .. attribute:: violate_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit>`
                                
                                .. attribute:: violate_drop
                                
                                	
                                	**type**\:  :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions, self).__init__()

                                    self.yang_name = "actions"
                                    self.yang_parent_name = "police"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"conform-set-clp-transmit" : ("conform_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit), "conform-set-cos-transmit" : ("conform_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit), "conform-set-cos-transmit-table" : ("conform_set_cos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable), "conform-set-discard-class-transmit" : ("conform_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit), "conform-set-dscp-transmit" : ("conform_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit), "conform-set-dscp-transmit-table" : ("conform_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable), "conform-set-frde-transmit" : ("conform_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit), "conform-set-mpls-exp-imposition-transmit" : ("conform_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit), "conform-set-mpls-exp-imposition-transmit-table" : ("conform_set_mpls_exp_imposition_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable), "conform-set-mpls-exp-topmost-transmit" : ("conform_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit), "conform-set-mpls-exp-topmost-transmit-table" : ("conform_set_mpls_exp_topmost_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable), "conform-set-prec-transmit" : ("conform_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit), "conform-set-prec-transmit-table" : ("conform_set_prec_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable), "conform-set-qos-transmit" : ("conform_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit), "conform-set-qos-transmit-table" : ("conform_set_qos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable), "conform-transmit" : ("conform_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit), "conform-drop" : ("conform_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop), "exceed-dscp" : ("exceed_dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp), "exceed-set-clp-transmit" : ("exceed_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit), "exceed-set-cos-transmit" : ("exceed_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit), "exceed-set-discard-class-transmit" : ("exceed_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit), "exceed-set-dscp-transmit" : ("exceed_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit), "exceed-set-dscp-transmit-table" : ("exceed_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable), "exceed-set-frde-transmit" : ("exceed_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit), "exceed-set-mpls-exp-imposition-transmit" : ("exceed_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit), "exceed-set-mpls-exp-topmost-transmit" : ("exceed_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit), "exceed-set-prec-transmit" : ("exceed_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit), "exceed-set-qos-transmit" : ("exceed_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit), "exceed-transmit" : ("exceed_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit), "exceed-drop" : ("exceed_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop), "violate-set-clp-transmit" : ("violate_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit), "violate-set-cos-transmit" : ("violate_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit), "violate-set-discard-class-transmit" : ("violate_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit), "violate-set-dscp-transmit" : ("violate_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit), "violate-set-frde-transmit" : ("violate_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit), "violate-set-mpls-exp-imposition-transmit" : ("violate_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit), "violate-set-mpls-exp-topmost-transmit" : ("violate_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit), "violate-set-prec-transmit" : ("violate_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit), "violate-set-qos-transmit" : ("violate_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit), "violate-transmit" : ("violate_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit), "violate-drop" : ("violate_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop)}
                                    self._child_list_classes = {}

                                    self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit()
                                    self.conform_set_clp_transmit.parent = self
                                    self._children_name_map["conform_set_clp_transmit"] = "conform-set-clp-transmit"
                                    self._children_yang_names.add("conform-set-clp-transmit")

                                    self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit()
                                    self.conform_set_cos_transmit.parent = self
                                    self._children_name_map["conform_set_cos_transmit"] = "conform-set-cos-transmit"
                                    self._children_yang_names.add("conform-set-cos-transmit")

                                    self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable()
                                    self.conform_set_cos_transmit_table.parent = self
                                    self._children_name_map["conform_set_cos_transmit_table"] = "conform-set-cos-transmit-table"
                                    self._children_yang_names.add("conform-set-cos-transmit-table")

                                    self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit()
                                    self.conform_set_discard_class_transmit.parent = self
                                    self._children_name_map["conform_set_discard_class_transmit"] = "conform-set-discard-class-transmit"
                                    self._children_yang_names.add("conform-set-discard-class-transmit")

                                    self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit()
                                    self.conform_set_dscp_transmit.parent = self
                                    self._children_name_map["conform_set_dscp_transmit"] = "conform-set-dscp-transmit"
                                    self._children_yang_names.add("conform-set-dscp-transmit")

                                    self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable()
                                    self.conform_set_dscp_transmit_table.parent = self
                                    self._children_name_map["conform_set_dscp_transmit_table"] = "conform-set-dscp-transmit-table"
                                    self._children_yang_names.add("conform-set-dscp-transmit-table")

                                    self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit()
                                    self.conform_set_frde_transmit.parent = self
                                    self._children_name_map["conform_set_frde_transmit"] = "conform-set-frde-transmit"
                                    self._children_yang_names.add("conform-set-frde-transmit")

                                    self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit()
                                    self.conform_set_mpls_exp_imposition_transmit.parent = self
                                    self._children_name_map["conform_set_mpls_exp_imposition_transmit"] = "conform-set-mpls-exp-imposition-transmit"
                                    self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit")

                                    self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable()
                                    self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                    self._children_name_map["conform_set_mpls_exp_imposition_transmit_table"] = "conform-set-mpls-exp-imposition-transmit-table"
                                    self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit-table")

                                    self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit()
                                    self.conform_set_mpls_exp_topmost_transmit.parent = self
                                    self._children_name_map["conform_set_mpls_exp_topmost_transmit"] = "conform-set-mpls-exp-topmost-transmit"
                                    self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit")

                                    self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable()
                                    self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                    self._children_name_map["conform_set_mpls_exp_topmost_transmit_table"] = "conform-set-mpls-exp-topmost-transmit-table"
                                    self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit-table")

                                    self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit()
                                    self.conform_set_prec_transmit.parent = self
                                    self._children_name_map["conform_set_prec_transmit"] = "conform-set-prec-transmit"
                                    self._children_yang_names.add("conform-set-prec-transmit")

                                    self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable()
                                    self.conform_set_prec_transmit_table.parent = self
                                    self._children_name_map["conform_set_prec_transmit_table"] = "conform-set-prec-transmit-table"
                                    self._children_yang_names.add("conform-set-prec-transmit-table")

                                    self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit()
                                    self.conform_set_qos_transmit.parent = self
                                    self._children_name_map["conform_set_qos_transmit"] = "conform-set-qos-transmit"
                                    self._children_yang_names.add("conform-set-qos-transmit")

                                    self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable()
                                    self.conform_set_qos_transmit_table.parent = self
                                    self._children_name_map["conform_set_qos_transmit_table"] = "conform-set-qos-transmit-table"
                                    self._children_yang_names.add("conform-set-qos-transmit-table")

                                    self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit()
                                    self.conform_transmit.parent = self
                                    self._children_name_map["conform_transmit"] = "conform-transmit"
                                    self._children_yang_names.add("conform-transmit")

                                    self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop()
                                    self.conform_drop.parent = self
                                    self._children_name_map["conform_drop"] = "conform-drop"
                                    self._children_yang_names.add("conform-drop")

                                    self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp()
                                    self.exceed_dscp.parent = self
                                    self._children_name_map["exceed_dscp"] = "exceed-dscp"
                                    self._children_yang_names.add("exceed-dscp")

                                    self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit()
                                    self.exceed_set_clp_transmit.parent = self
                                    self._children_name_map["exceed_set_clp_transmit"] = "exceed-set-clp-transmit"
                                    self._children_yang_names.add("exceed-set-clp-transmit")

                                    self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit()
                                    self.exceed_set_cos_transmit.parent = self
                                    self._children_name_map["exceed_set_cos_transmit"] = "exceed-set-cos-transmit"
                                    self._children_yang_names.add("exceed-set-cos-transmit")

                                    self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit()
                                    self.exceed_set_discard_class_transmit.parent = self
                                    self._children_name_map["exceed_set_discard_class_transmit"] = "exceed-set-discard-class-transmit"
                                    self._children_yang_names.add("exceed-set-discard-class-transmit")

                                    self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit()
                                    self.exceed_set_dscp_transmit.parent = self
                                    self._children_name_map["exceed_set_dscp_transmit"] = "exceed-set-dscp-transmit"
                                    self._children_yang_names.add("exceed-set-dscp-transmit")

                                    self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable()
                                    self.exceed_set_dscp_transmit_table.parent = self
                                    self._children_name_map["exceed_set_dscp_transmit_table"] = "exceed-set-dscp-transmit-table"
                                    self._children_yang_names.add("exceed-set-dscp-transmit-table")

                                    self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit()
                                    self.exceed_set_frde_transmit.parent = self
                                    self._children_name_map["exceed_set_frde_transmit"] = "exceed-set-frde-transmit"
                                    self._children_yang_names.add("exceed-set-frde-transmit")

                                    self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit()
                                    self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                    self._children_name_map["exceed_set_mpls_exp_imposition_transmit"] = "exceed-set-mpls-exp-imposition-transmit"
                                    self._children_yang_names.add("exceed-set-mpls-exp-imposition-transmit")

                                    self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit()
                                    self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                    self._children_name_map["exceed_set_mpls_exp_topmost_transmit"] = "exceed-set-mpls-exp-topmost-transmit"
                                    self._children_yang_names.add("exceed-set-mpls-exp-topmost-transmit")

                                    self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit()
                                    self.exceed_set_prec_transmit.parent = self
                                    self._children_name_map["exceed_set_prec_transmit"] = "exceed-set-prec-transmit"
                                    self._children_yang_names.add("exceed-set-prec-transmit")

                                    self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit()
                                    self.exceed_set_qos_transmit.parent = self
                                    self._children_name_map["exceed_set_qos_transmit"] = "exceed-set-qos-transmit"
                                    self._children_yang_names.add("exceed-set-qos-transmit")

                                    self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit()
                                    self.exceed_transmit.parent = self
                                    self._children_name_map["exceed_transmit"] = "exceed-transmit"
                                    self._children_yang_names.add("exceed-transmit")

                                    self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop()
                                    self.exceed_drop.parent = self
                                    self._children_name_map["exceed_drop"] = "exceed-drop"
                                    self._children_yang_names.add("exceed-drop")

                                    self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit()
                                    self.violate_set_clp_transmit.parent = self
                                    self._children_name_map["violate_set_clp_transmit"] = "violate-set-clp-transmit"
                                    self._children_yang_names.add("violate-set-clp-transmit")

                                    self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit()
                                    self.violate_set_cos_transmit.parent = self
                                    self._children_name_map["violate_set_cos_transmit"] = "violate-set-cos-transmit"
                                    self._children_yang_names.add("violate-set-cos-transmit")

                                    self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit()
                                    self.violate_set_discard_class_transmit.parent = self
                                    self._children_name_map["violate_set_discard_class_transmit"] = "violate-set-discard-class-transmit"
                                    self._children_yang_names.add("violate-set-discard-class-transmit")

                                    self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit()
                                    self.violate_set_dscp_transmit.parent = self
                                    self._children_name_map["violate_set_dscp_transmit"] = "violate-set-dscp-transmit"
                                    self._children_yang_names.add("violate-set-dscp-transmit")

                                    self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit()
                                    self.violate_set_frde_transmit.parent = self
                                    self._children_name_map["violate_set_frde_transmit"] = "violate-set-frde-transmit"
                                    self._children_yang_names.add("violate-set-frde-transmit")

                                    self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit()
                                    self.violate_set_mpls_exp_imposition_transmit.parent = self
                                    self._children_name_map["violate_set_mpls_exp_imposition_transmit"] = "violate-set-mpls-exp-imposition-transmit"
                                    self._children_yang_names.add("violate-set-mpls-exp-imposition-transmit")

                                    self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit()
                                    self.violate_set_mpls_exp_topmost_transmit.parent = self
                                    self._children_name_map["violate_set_mpls_exp_topmost_transmit"] = "violate-set-mpls-exp-topmost-transmit"
                                    self._children_yang_names.add("violate-set-mpls-exp-topmost-transmit")

                                    self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit()
                                    self.violate_set_prec_transmit.parent = self
                                    self._children_name_map["violate_set_prec_transmit"] = "violate-set-prec-transmit"
                                    self._children_yang_names.add("violate-set-prec-transmit")

                                    self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit()
                                    self.violate_set_qos_transmit.parent = self
                                    self._children_name_map["violate_set_qos_transmit"] = "violate-set-qos-transmit"
                                    self._children_yang_names.add("violate-set-qos-transmit")

                                    self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit()
                                    self.violate_transmit.parent = self
                                    self._children_name_map["violate_transmit"] = "violate-transmit"
                                    self._children_yang_names.add("violate-transmit")

                                    self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop()
                                    self.violate_drop.parent = self
                                    self._children_name_map["violate_drop"] = "violate-drop"
                                    self._children_yang_names.add("violate-drop")
                                    self._segment_path = lambda: "actions"


                                class ConformSetClpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit, self).__init__()

                                        self.yang_name = "conform-set-clp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-clp-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-clp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetClpTransmit.ConformAction, ['set_clp_transmit'], name, value)


                                class ConformSetCosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit, self).__init__()

                                        self.yang_name = "conform-set-cos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-cos-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-cos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmit.ConformAction, ['set_cos_transmit'], name, value)


                                class ConformSetCosTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-cos-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-cos-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-cos-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetCosTransmitTable.ConformAction, ['set_cos_transmit', 'table'], name, value)


                                class ConformSetDiscardClassTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit, self).__init__()

                                        self.yang_name = "conform-set-discard-class-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-discard-class-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-discard-class-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDiscardClassTransmit.ConformAction, ['set_discard_class_transmit'], name, value)


                                class ConformSetDscpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit, self).__init__()

                                        self.yang_name = "conform-set-dscp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-dscp-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-dscp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmit.ConformAction, ['set_dscp_transmit'], name, value)


                                class ConformSetDscpTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-dscp-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-dscp-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-dscp-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetDscpTransmitTable.ConformAction, ['set_dscp_transmit', 'table'], name, value)


                                class ConformSetFrdeTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit, self).__init__()

                                        self.yang_name = "conform-set-frde-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-frde-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-frde-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetFrdeTransmit.ConformAction, ['set_frde_transmit'], name, value)


                                class ConformSetMplsExpImpositionTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit, self).__init__()

                                        self.yang_name = "conform-set-mpls-exp-imposition-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                class ConformSetMplsExpImpositionTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-mpls-exp-imposition-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, ['set_mpls_exp_imposition_transmit', 'table'], name, value)


                                class ConformSetMplsExpTopmostTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit, self).__init__()

                                        self.yang_name = "conform-set-mpls-exp-topmost-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                class ConformSetMplsExpTopmostTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-mpls-exp-topmost-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, ['set_mpls_exp_topmost_transmit', 'table'], name, value)


                                class ConformSetPrecTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit, self).__init__()

                                        self.yang_name = "conform-set-prec-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-prec-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-prec-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmit.ConformAction, ['set_prec_transmit'], name, value)


                                class ConformSetPrecTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-prec-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-prec-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-prec-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetPrecTransmitTable.ConformAction, ['set_prec_transmit', 'table'], name, value)


                                class ConformSetQosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit, self).__init__()

                                        self.yang_name = "conform-set-qos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-qos-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..99
                                        
                                        		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-qos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmit.ConformAction, ['set_qos_transmit'], name, value)


                                class ConformSetQosTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-qos-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-qos-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..99
                                        
                                        		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-qos-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformSetQosTransmitTable.ConformAction, ['set_qos_transmit', 'table'], name, value)


                                class ConformTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit, self).__init__()

                                        self.yang_name = "conform-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.transmit = YLeaf(YType.empty, "transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformTransmit.ConformAction, ['transmit'], name, value)


                                class ConformDrop(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop, self).__init__()

                                        self.yang_name = "conform-drop"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-drop"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-drop"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.drop = YLeaf(YType.empty, "drop")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ConformDrop.ConformAction, ['drop'], name, value)


                                class ExceedDscp(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp, self).__init__()

                                        self.yang_name = "exceed-dscp"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-dscp"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: dscp
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-dscp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dscp = YLeaf(YType.str, "dscp")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDscp.ExceedAction, ['dscp'], name, value)


                                class ExceedSetClpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit, self).__init__()

                                        self.yang_name = "exceed-set-clp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-clp-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-clp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetClpTransmit.ExceedAction, ['set_clp_transmit'], name, value)


                                class ExceedSetCosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit, self).__init__()

                                        self.yang_name = "exceed-set-cos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-cos-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-cos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetCosTransmit.ExceedAction, ['set_cos_transmit', 'table'], name, value)


                                class ExceedSetDiscardClassTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit, self).__init__()

                                        self.yang_name = "exceed-set-discard-class-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-discard-class-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-discard-class-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction, ['set_discard_class_transmit'], name, value)


                                class ExceedSetDscpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit, self).__init__()

                                        self.yang_name = "exceed-set-dscp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-dscp-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-dscp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"set-dscp-transmit" : ("set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit)}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                            self.set_dscp_transmit.parent = self
                                            self._children_name_map["set_dscp_transmit"] = "set-dscp-transmit"
                                            self._children_yang_names.add("set-dscp-transmit")
                                            self._segment_path = lambda: "exceed-action"


                                        class SetDscpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: dscp
                                            
                                            	
                                            	**type**\:  :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit, self).__init__()

                                                self.yang_name = "set-dscp-transmit"
                                                self.yang_parent_name = "exceed-action"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dscp" : ("dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp)}
                                                self._child_list_classes = {}

                                                self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                self.dscp.parent = self
                                                self._children_name_map["dscp"] = "dscp"
                                                self._children_yang_names.add("dscp")
                                                self._segment_path = lambda: "set-dscp-transmit"


                                            class Dscp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: table
                                                
                                                	
                                                	**type**\:  :py:class:`Table <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.Table>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, self).__init__()

                                                    self.yang_name = "dscp"
                                                    self.yang_parent_name = "set-dscp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.table = YLeaf(YType.enumeration, "table")
                                                    self._segment_path = lambda: "dscp"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, ['table'], name, value)

                                                class Table(Enum):
                                                    """
                                                    Table

                                                    .. data:: policed_dscp = 0

                                                    """

                                                    policed_dscp = Enum.YLeaf(0, "policed-dscp")



                                class ExceedSetDscpTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable, self).__init__()

                                        self.yang_name = "exceed-set-dscp-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-dscp-transmit-table"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-dscp-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction, ['set_dscp_transmit', 'table'], name, value)


                                class ExceedSetFrdeTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit, self).__init__()

                                        self.yang_name = "exceed-set-frde-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-frde-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-frde-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetFrdeTransmit.ExceedAction, ['set_frde_transmit'], name, value)


                                class ExceedSetMplsExpImpositionTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit, self).__init__()

                                        self.yang_name = "exceed-set-mpls-exp-imposition-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-mpls-exp-imposition-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-mpls-exp-imposition-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                class ExceedSetMplsExpTopmostTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit, self).__init__()

                                        self.yang_name = "exceed-set-mpls-exp-topmost-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-mpls-exp-topmost-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-mpls-exp-topmost-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                class ExceedSetPrecTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit, self).__init__()

                                        self.yang_name = "exceed-set-prec-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-prec-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-prec-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetPrecTransmit.ExceedAction, ['set_prec_transmit', 'table'], name, value)


                                class ExceedSetQosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit, self).__init__()

                                        self.yang_name = "exceed-set-qos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-qos-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..99
                                        
                                        		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-qos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedSetQosTransmit.ExceedAction, ['set_qos_transmit'], name, value)


                                class ExceedTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit, self).__init__()

                                        self.yang_name = "exceed-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.transmit = YLeaf(YType.empty, "transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedTransmit.ExceedAction, ['transmit'], name, value)


                                class ExceedDrop(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop, self).__init__()

                                        self.yang_name = "exceed-drop"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-drop"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-drop"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.drop = YLeaf(YType.empty, "drop")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ExceedDrop.ExceedAction, ['drop'], name, value)


                                class ViolateSetClpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit, self).__init__()

                                        self.yang_name = "violate-set-clp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-clp-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-clp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetClpTransmit.ViolateAction, ['set_clp_transmit'], name, value)


                                class ViolateSetCosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit, self).__init__()

                                        self.yang_name = "violate-set-cos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-cos-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-cos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetCosTransmit.ViolateAction, ['set_cos_transmit', 'table'], name, value)


                                class ViolateSetDiscardClassTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit, self).__init__()

                                        self.yang_name = "violate-set-discard-class-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-discard-class-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-discard-class-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction, ['set_discard_class_transmit'], name, value)


                                class ViolateSetDscpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit, self).__init__()

                                        self.yang_name = "violate-set-dscp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-dscp-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-dscp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetDscpTransmit.ViolateAction, ['set_dscp_transmit', 'table'], name, value)


                                class ViolateSetFrdeTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit, self).__init__()

                                        self.yang_name = "violate-set-frde-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-frde-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-frde-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetFrdeTransmit.ViolateAction, ['set_frde_transmit'], name, value)


                                class ViolateSetMplsExpImpositionTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit, self).__init__()

                                        self.yang_name = "violate-set-mpls-exp-imposition-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-mpls-exp-imposition-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-mpls-exp-imposition-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                class ViolateSetMplsExpTopmostTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit, self).__init__()

                                        self.yang_name = "violate-set-mpls-exp-topmost-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-mpls-exp-topmost-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-mpls-exp-topmost-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                class ViolateSetPrecTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit, self).__init__()

                                        self.yang_name = "violate-set-prec-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-prec-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-prec-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetPrecTransmit.ViolateAction, ['set_prec_transmit', 'table'], name, value)


                                class ViolateSetQosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit, self).__init__()

                                        self.yang_name = "violate-set-qos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-qos-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..99
                                        
                                        		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-qos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateSetQosTransmit.ViolateAction, ['set_qos_transmit'], name, value)


                                class ViolateTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit, self).__init__()

                                        self.yang_name = "violate-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.transmit = YLeaf(YType.empty, "transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateTransmit.ViolateAction, ['transmit'], name, value)


                                class ViolateDrop(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop, self).__init__()

                                        self.yang_name = "violate-drop"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-drop"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-drop"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.drop = YLeaf(YType.empty, "drop")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceTargetBitrate.Police.Actions.ViolateDrop.ViolateAction, ['drop'], name, value)


                    class PoliceFlow(Entity):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow, self).__init__()

                            self.yang_name = "police-flow"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"police" : ("police", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police)}
                            self._child_list_classes = {}

                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police()
                            self.police.parent = self
                            self._children_name_map["police"] = "police"
                            self._children_yang_names.add("police")
                            self._segment_path = lambda: "police-flow"


                        class Police(Entity):
                            """
                            
                            
                            .. attribute:: flow
                            
                            	police each flow
                            	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police, self).__init__()

                                self.yang_name = "police"
                                self.yang_parent_name = "police-flow"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"flow" : ("flow", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow)}
                                self._child_list_classes = {}

                                self.flow = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow()
                                self.flow.parent = self
                                self._children_name_map["flow"] = "flow"
                                self._children_yang_names.add("flow")
                                self._segment_path = lambda: "police"


                            class Flow(Entity):
                                """
                                police each flow
                                
                                .. attribute:: mask
                                
                                	flow mask to be used for policing
                                	**type**\:  :py:class:`Mask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Mask>`
                                
                                .. attribute:: bps
                                
                                	
                                	**type**\: int
                                
                                	**range:** 8000..64000000000
                                
                                .. attribute:: burst_normal
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1000..512000000
                                
                                .. attribute:: actions
                                
                                	
                                	**type**\:  :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow, self).__init__()

                                    self.yang_name = "flow"
                                    self.yang_parent_name = "police"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"actions" : ("actions", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions)}
                                    self._child_list_classes = {}

                                    self.mask = YLeaf(YType.enumeration, "mask")

                                    self.bps = YLeaf(YType.uint64, "bps")

                                    self.burst_normal = YLeaf(YType.uint32, "burst-normal")

                                    self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions()
                                    self.actions.parent = self
                                    self._children_name_map["actions"] = "actions"
                                    self._children_yang_names.add("actions")
                                    self._segment_path = lambda: "flow"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow, ['mask', 'bps', 'burst_normal'], name, value)

                                class Mask(Enum):
                                    """
                                    Mask

                                    flow mask to be used for policing

                                    .. data:: dest_only = 0

                                    .. data:: full_flow = 1

                                    .. data:: src_only = 2

                                    """

                                    dest_only = Enum.YLeaf(0, "dest-only")

                                    full_flow = Enum.YLeaf(1, "full-flow")

                                    src_only = Enum.YLeaf(2, "src-only")



                                class Actions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_set_clp_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit>`
                                    
                                    .. attribute:: conform_set_cos_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit>`
                                    
                                    .. attribute:: conform_set_cos_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable>`
                                    
                                    .. attribute:: conform_set_discard_class_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit>`
                                    
                                    .. attribute:: conform_set_dscp_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit>`
                                    
                                    .. attribute:: conform_set_dscp_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable>`
                                    
                                    .. attribute:: conform_set_frde_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit>`
                                    
                                    .. attribute:: conform_set_mpls_exp_imposition_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit>`
                                    
                                    .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                    
                                    .. attribute:: conform_set_mpls_exp_topmost_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit>`
                                    
                                    .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                    
                                    .. attribute:: conform_set_prec_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit>`
                                    
                                    .. attribute:: conform_set_prec_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable>`
                                    
                                    .. attribute:: conform_set_qos_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit>`
                                    
                                    .. attribute:: conform_set_qos_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable>`
                                    
                                    .. attribute:: conform_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit>`
                                    
                                    .. attribute:: conform_drop
                                    
                                    	
                                    	**type**\:  :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop>`
                                    
                                    .. attribute:: exceed_dscp
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp>`
                                    
                                    .. attribute:: exceed_set_clp_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit>`
                                    
                                    .. attribute:: exceed_set_cos_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit>`
                                    
                                    .. attribute:: exceed_set_discard_class_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit>`
                                    
                                    .. attribute:: exceed_set_dscp_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit>`
                                    
                                    .. attribute:: exceed_set_dscp_transmit_table
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable>`
                                    
                                    .. attribute:: exceed_set_frde_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit>`
                                    
                                    .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit>`
                                    
                                    .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit>`
                                    
                                    .. attribute:: exceed_set_prec_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit>`
                                    
                                    .. attribute:: exceed_set_qos_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit>`
                                    
                                    .. attribute:: exceed_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit>`
                                    
                                    .. attribute:: exceed_drop
                                    
                                    	
                                    	**type**\:  :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop>`
                                    
                                    .. attribute:: violate_set_clp_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit>`
                                    
                                    .. attribute:: violate_set_cos_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit>`
                                    
                                    .. attribute:: violate_set_discard_class_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit>`
                                    
                                    .. attribute:: violate_set_dscp_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit>`
                                    
                                    .. attribute:: violate_set_frde_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit>`
                                    
                                    .. attribute:: violate_set_mpls_exp_imposition_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit>`
                                    
                                    .. attribute:: violate_set_mpls_exp_topmost_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit>`
                                    
                                    .. attribute:: violate_set_prec_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit>`
                                    
                                    .. attribute:: violate_set_qos_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit>`
                                    
                                    .. attribute:: violate_transmit
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit>`
                                    
                                    .. attribute:: violate_drop
                                    
                                    	
                                    	**type**\:  :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions, self).__init__()

                                        self.yang_name = "actions"
                                        self.yang_parent_name = "flow"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-set-clp-transmit" : ("conform_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit), "conform-set-cos-transmit" : ("conform_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit), "conform-set-cos-transmit-table" : ("conform_set_cos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable), "conform-set-discard-class-transmit" : ("conform_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit), "conform-set-dscp-transmit" : ("conform_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit), "conform-set-dscp-transmit-table" : ("conform_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable), "conform-set-frde-transmit" : ("conform_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit), "conform-set-mpls-exp-imposition-transmit" : ("conform_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit), "conform-set-mpls-exp-imposition-transmit-table" : ("conform_set_mpls_exp_imposition_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable), "conform-set-mpls-exp-topmost-transmit" : ("conform_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit), "conform-set-mpls-exp-topmost-transmit-table" : ("conform_set_mpls_exp_topmost_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable), "conform-set-prec-transmit" : ("conform_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit), "conform-set-prec-transmit-table" : ("conform_set_prec_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable), "conform-set-qos-transmit" : ("conform_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit), "conform-set-qos-transmit-table" : ("conform_set_qos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable), "conform-transmit" : ("conform_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit), "conform-drop" : ("conform_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop), "exceed-dscp" : ("exceed_dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp), "exceed-set-clp-transmit" : ("exceed_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit), "exceed-set-cos-transmit" : ("exceed_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit), "exceed-set-discard-class-transmit" : ("exceed_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit), "exceed-set-dscp-transmit" : ("exceed_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit), "exceed-set-dscp-transmit-table" : ("exceed_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable), "exceed-set-frde-transmit" : ("exceed_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit), "exceed-set-mpls-exp-imposition-transmit" : ("exceed_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit), "exceed-set-mpls-exp-topmost-transmit" : ("exceed_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit), "exceed-set-prec-transmit" : ("exceed_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit), "exceed-set-qos-transmit" : ("exceed_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit), "exceed-transmit" : ("exceed_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit), "exceed-drop" : ("exceed_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop), "violate-set-clp-transmit" : ("violate_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit), "violate-set-cos-transmit" : ("violate_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit), "violate-set-discard-class-transmit" : ("violate_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit), "violate-set-dscp-transmit" : ("violate_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit), "violate-set-frde-transmit" : ("violate_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit), "violate-set-mpls-exp-imposition-transmit" : ("violate_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit), "violate-set-mpls-exp-topmost-transmit" : ("violate_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit), "violate-set-prec-transmit" : ("violate_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit), "violate-set-qos-transmit" : ("violate_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit), "violate-transmit" : ("violate_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit), "violate-drop" : ("violate_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop)}
                                        self._child_list_classes = {}

                                        self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit()
                                        self.conform_set_clp_transmit.parent = self
                                        self._children_name_map["conform_set_clp_transmit"] = "conform-set-clp-transmit"
                                        self._children_yang_names.add("conform-set-clp-transmit")

                                        self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit()
                                        self.conform_set_cos_transmit.parent = self
                                        self._children_name_map["conform_set_cos_transmit"] = "conform-set-cos-transmit"
                                        self._children_yang_names.add("conform-set-cos-transmit")

                                        self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable()
                                        self.conform_set_cos_transmit_table.parent = self
                                        self._children_name_map["conform_set_cos_transmit_table"] = "conform-set-cos-transmit-table"
                                        self._children_yang_names.add("conform-set-cos-transmit-table")

                                        self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit()
                                        self.conform_set_discard_class_transmit.parent = self
                                        self._children_name_map["conform_set_discard_class_transmit"] = "conform-set-discard-class-transmit"
                                        self._children_yang_names.add("conform-set-discard-class-transmit")

                                        self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit()
                                        self.conform_set_dscp_transmit.parent = self
                                        self._children_name_map["conform_set_dscp_transmit"] = "conform-set-dscp-transmit"
                                        self._children_yang_names.add("conform-set-dscp-transmit")

                                        self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable()
                                        self.conform_set_dscp_transmit_table.parent = self
                                        self._children_name_map["conform_set_dscp_transmit_table"] = "conform-set-dscp-transmit-table"
                                        self._children_yang_names.add("conform-set-dscp-transmit-table")

                                        self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit()
                                        self.conform_set_frde_transmit.parent = self
                                        self._children_name_map["conform_set_frde_transmit"] = "conform-set-frde-transmit"
                                        self._children_yang_names.add("conform-set-frde-transmit")

                                        self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit()
                                        self.conform_set_mpls_exp_imposition_transmit.parent = self
                                        self._children_name_map["conform_set_mpls_exp_imposition_transmit"] = "conform-set-mpls-exp-imposition-transmit"
                                        self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit")

                                        self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable()
                                        self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                        self._children_name_map["conform_set_mpls_exp_imposition_transmit_table"] = "conform-set-mpls-exp-imposition-transmit-table"
                                        self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit-table")

                                        self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit()
                                        self.conform_set_mpls_exp_topmost_transmit.parent = self
                                        self._children_name_map["conform_set_mpls_exp_topmost_transmit"] = "conform-set-mpls-exp-topmost-transmit"
                                        self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit")

                                        self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable()
                                        self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                        self._children_name_map["conform_set_mpls_exp_topmost_transmit_table"] = "conform-set-mpls-exp-topmost-transmit-table"
                                        self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit-table")

                                        self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit()
                                        self.conform_set_prec_transmit.parent = self
                                        self._children_name_map["conform_set_prec_transmit"] = "conform-set-prec-transmit"
                                        self._children_yang_names.add("conform-set-prec-transmit")

                                        self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable()
                                        self.conform_set_prec_transmit_table.parent = self
                                        self._children_name_map["conform_set_prec_transmit_table"] = "conform-set-prec-transmit-table"
                                        self._children_yang_names.add("conform-set-prec-transmit-table")

                                        self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit()
                                        self.conform_set_qos_transmit.parent = self
                                        self._children_name_map["conform_set_qos_transmit"] = "conform-set-qos-transmit"
                                        self._children_yang_names.add("conform-set-qos-transmit")

                                        self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable()
                                        self.conform_set_qos_transmit_table.parent = self
                                        self._children_name_map["conform_set_qos_transmit_table"] = "conform-set-qos-transmit-table"
                                        self._children_yang_names.add("conform-set-qos-transmit-table")

                                        self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit()
                                        self.conform_transmit.parent = self
                                        self._children_name_map["conform_transmit"] = "conform-transmit"
                                        self._children_yang_names.add("conform-transmit")

                                        self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop()
                                        self.conform_drop.parent = self
                                        self._children_name_map["conform_drop"] = "conform-drop"
                                        self._children_yang_names.add("conform-drop")

                                        self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp()
                                        self.exceed_dscp.parent = self
                                        self._children_name_map["exceed_dscp"] = "exceed-dscp"
                                        self._children_yang_names.add("exceed-dscp")

                                        self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit()
                                        self.exceed_set_clp_transmit.parent = self
                                        self._children_name_map["exceed_set_clp_transmit"] = "exceed-set-clp-transmit"
                                        self._children_yang_names.add("exceed-set-clp-transmit")

                                        self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit()
                                        self.exceed_set_cos_transmit.parent = self
                                        self._children_name_map["exceed_set_cos_transmit"] = "exceed-set-cos-transmit"
                                        self._children_yang_names.add("exceed-set-cos-transmit")

                                        self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit()
                                        self.exceed_set_discard_class_transmit.parent = self
                                        self._children_name_map["exceed_set_discard_class_transmit"] = "exceed-set-discard-class-transmit"
                                        self._children_yang_names.add("exceed-set-discard-class-transmit")

                                        self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit()
                                        self.exceed_set_dscp_transmit.parent = self
                                        self._children_name_map["exceed_set_dscp_transmit"] = "exceed-set-dscp-transmit"
                                        self._children_yang_names.add("exceed-set-dscp-transmit")

                                        self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable()
                                        self.exceed_set_dscp_transmit_table.parent = self
                                        self._children_name_map["exceed_set_dscp_transmit_table"] = "exceed-set-dscp-transmit-table"
                                        self._children_yang_names.add("exceed-set-dscp-transmit-table")

                                        self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit()
                                        self.exceed_set_frde_transmit.parent = self
                                        self._children_name_map["exceed_set_frde_transmit"] = "exceed-set-frde-transmit"
                                        self._children_yang_names.add("exceed-set-frde-transmit")

                                        self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit()
                                        self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                        self._children_name_map["exceed_set_mpls_exp_imposition_transmit"] = "exceed-set-mpls-exp-imposition-transmit"
                                        self._children_yang_names.add("exceed-set-mpls-exp-imposition-transmit")

                                        self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit()
                                        self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                        self._children_name_map["exceed_set_mpls_exp_topmost_transmit"] = "exceed-set-mpls-exp-topmost-transmit"
                                        self._children_yang_names.add("exceed-set-mpls-exp-topmost-transmit")

                                        self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit()
                                        self.exceed_set_prec_transmit.parent = self
                                        self._children_name_map["exceed_set_prec_transmit"] = "exceed-set-prec-transmit"
                                        self._children_yang_names.add("exceed-set-prec-transmit")

                                        self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit()
                                        self.exceed_set_qos_transmit.parent = self
                                        self._children_name_map["exceed_set_qos_transmit"] = "exceed-set-qos-transmit"
                                        self._children_yang_names.add("exceed-set-qos-transmit")

                                        self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit()
                                        self.exceed_transmit.parent = self
                                        self._children_name_map["exceed_transmit"] = "exceed-transmit"
                                        self._children_yang_names.add("exceed-transmit")

                                        self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop()
                                        self.exceed_drop.parent = self
                                        self._children_name_map["exceed_drop"] = "exceed-drop"
                                        self._children_yang_names.add("exceed-drop")

                                        self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit()
                                        self.violate_set_clp_transmit.parent = self
                                        self._children_name_map["violate_set_clp_transmit"] = "violate-set-clp-transmit"
                                        self._children_yang_names.add("violate-set-clp-transmit")

                                        self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit()
                                        self.violate_set_cos_transmit.parent = self
                                        self._children_name_map["violate_set_cos_transmit"] = "violate-set-cos-transmit"
                                        self._children_yang_names.add("violate-set-cos-transmit")

                                        self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit()
                                        self.violate_set_discard_class_transmit.parent = self
                                        self._children_name_map["violate_set_discard_class_transmit"] = "violate-set-discard-class-transmit"
                                        self._children_yang_names.add("violate-set-discard-class-transmit")

                                        self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit()
                                        self.violate_set_dscp_transmit.parent = self
                                        self._children_name_map["violate_set_dscp_transmit"] = "violate-set-dscp-transmit"
                                        self._children_yang_names.add("violate-set-dscp-transmit")

                                        self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit()
                                        self.violate_set_frde_transmit.parent = self
                                        self._children_name_map["violate_set_frde_transmit"] = "violate-set-frde-transmit"
                                        self._children_yang_names.add("violate-set-frde-transmit")

                                        self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit()
                                        self.violate_set_mpls_exp_imposition_transmit.parent = self
                                        self._children_name_map["violate_set_mpls_exp_imposition_transmit"] = "violate-set-mpls-exp-imposition-transmit"
                                        self._children_yang_names.add("violate-set-mpls-exp-imposition-transmit")

                                        self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit()
                                        self.violate_set_mpls_exp_topmost_transmit.parent = self
                                        self._children_name_map["violate_set_mpls_exp_topmost_transmit"] = "violate-set-mpls-exp-topmost-transmit"
                                        self._children_yang_names.add("violate-set-mpls-exp-topmost-transmit")

                                        self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit()
                                        self.violate_set_prec_transmit.parent = self
                                        self._children_name_map["violate_set_prec_transmit"] = "violate-set-prec-transmit"
                                        self._children_yang_names.add("violate-set-prec-transmit")

                                        self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit()
                                        self.violate_set_qos_transmit.parent = self
                                        self._children_name_map["violate_set_qos_transmit"] = "violate-set-qos-transmit"
                                        self._children_yang_names.add("violate-set-qos-transmit")

                                        self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit()
                                        self.violate_transmit.parent = self
                                        self._children_name_map["violate_transmit"] = "violate-transmit"
                                        self._children_yang_names.add("violate-transmit")

                                        self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop()
                                        self.violate_drop.parent = self
                                        self._children_name_map["violate_drop"] = "violate-drop"
                                        self._children_yang_names.add("violate-drop")
                                        self._segment_path = lambda: "actions"


                                    class ConformSetClpTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit, self).__init__()

                                            self.yang_name = "conform-set-clp-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-clp-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_clp_transmit
                                            
                                            	set atm clp and send it
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-clp-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetClpTransmit.ConformAction, ['set_clp_transmit'], name, value)


                                    class ConformSetCosTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit, self).__init__()

                                            self.yang_name = "conform-set-cos-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-cos-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-cos-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmit.ConformAction, ['set_cos_transmit'], name, value)


                                    class ConformSetCosTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable, self).__init__()

                                            self.yang_name = "conform-set-cos-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-cos-transmit-table"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-cos-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetCosTransmitTable.ConformAction, ['set_cos_transmit', 'table'], name, value)


                                    class ConformSetDiscardClassTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit, self).__init__()

                                            self.yang_name = "conform-set-discard-class-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-discard-class-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_discard_class_transmit
                                            
                                            	set discard\-class and send it
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-discard-class-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDiscardClassTransmit.ConformAction, ['set_discard_class_transmit'], name, value)


                                    class ConformSetDscpTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit, self).__init__()

                                            self.yang_name = "conform-set-dscp-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-dscp-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..63
                                            
                                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-dscp-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmit.ConformAction, ['set_dscp_transmit'], name, value)


                                    class ConformSetDscpTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable, self).__init__()

                                            self.yang_name = "conform-set-dscp-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-dscp-transmit-table"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..63
                                            
                                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-dscp-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetDscpTransmitTable.ConformAction, ['set_dscp_transmit', 'table'], name, value)


                                    class ConformSetFrdeTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit, self).__init__()

                                            self.yang_name = "conform-set-frde-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-frde-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_frde_transmit
                                            
                                            	set FR DE and send it
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-frde-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetFrdeTransmit.ConformAction, ['set_frde_transmit'], name, value)


                                    class ConformSetMplsExpImpositionTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit, self).__init__()

                                            self.yang_name = "conform-set-mpls-exp-imposition-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                    class ConformSetMplsExpImpositionTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable, self).__init__()

                                            self.yang_name = "conform-set-mpls-exp-imposition-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit-table"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, ['set_mpls_exp_imposition_transmit', 'table'], name, value)


                                    class ConformSetMplsExpTopmostTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit, self).__init__()

                                            self.yang_name = "conform-set-mpls-exp-topmost-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                    class ConformSetMplsExpTopmostTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable, self).__init__()

                                            self.yang_name = "conform-set-mpls-exp-topmost-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit-table"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, ['set_mpls_exp_topmost_transmit', 'table'], name, value)


                                    class ConformSetPrecTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit, self).__init__()

                                            self.yang_name = "conform-set-prec-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-prec-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-prec-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmit.ConformAction, ['set_prec_transmit'], name, value)


                                    class ConformSetPrecTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable, self).__init__()

                                            self.yang_name = "conform-set-prec-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-prec-transmit-table"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-prec-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetPrecTransmitTable.ConformAction, ['set_prec_transmit', 'table'], name, value)


                                    class ConformSetQosTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit, self).__init__()

                                            self.yang_name = "conform-set-qos-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-qos-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..99
                                            
                                            		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-qos-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmit.ConformAction, ['set_qos_transmit'], name, value)


                                    class ConformSetQosTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable, self).__init__()

                                            self.yang_name = "conform-set-qos-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-set-qos-transmit-table"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..99
                                            
                                            		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-set-qos-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformSetQosTransmitTable.ConformAction, ['set_qos_transmit', 'table'], name, value)


                                    class ConformTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit, self).__init__()

                                            self.yang_name = "conform-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-transmit"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: transmit
                                            
                                            	transmit packet
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.transmit = YLeaf(YType.empty, "transmit")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformTransmit.ConformAction, ['transmit'], name, value)


                                    class ConformDrop(Entity):
                                        """
                                        
                                        
                                        .. attribute:: conform_action
                                        
                                        	action when rate is less than conform burst
                                        	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop.ConformAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop, self).__init__()

                                            self.yang_name = "conform-drop"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop.ConformAction)}
                                            self._child_list_classes = {}

                                            self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop.ConformAction()
                                            self.conform_action.parent = self
                                            self._children_name_map["conform_action"] = "conform-action"
                                            self._children_yang_names.add("conform-action")
                                            self._segment_path = lambda: "conform-drop"


                                        class ConformAction(Entity):
                                            """
                                            action when rate is less than conform burst
                                            
                                            .. attribute:: drop
                                            
                                            	drop packet
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop.ConformAction, self).__init__()

                                                self.yang_name = "conform-action"
                                                self.yang_parent_name = "conform-drop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.drop = YLeaf(YType.empty, "drop")
                                                self._segment_path = lambda: "conform-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ConformDrop.ConformAction, ['drop'], name, value)


                                    class ExceedDscp(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp, self).__init__()

                                            self.yang_name = "exceed-dscp"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-dscp"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: dscp
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..63
                                            
                                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-dscp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dscp = YLeaf(YType.str, "dscp")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDscp.ExceedAction, ['dscp'], name, value)


                                    class ExceedSetClpTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit, self).__init__()

                                            self.yang_name = "exceed-set-clp-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-clp-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_clp_transmit
                                            
                                            	set atm clp and send it
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-clp-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetClpTransmit.ExceedAction, ['set_clp_transmit'], name, value)


                                    class ExceedSetCosTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit, self).__init__()

                                            self.yang_name = "exceed-set-cos-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-cos-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-cos-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetCosTransmit.ExceedAction, ['set_cos_transmit', 'table'], name, value)


                                    class ExceedSetDiscardClassTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit, self).__init__()

                                            self.yang_name = "exceed-set-discard-class-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-discard-class-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_discard_class_transmit
                                            
                                            	set discard\-class and send it
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-discard-class-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDiscardClassTransmit.ExceedAction, ['set_discard_class_transmit'], name, value)


                                    class ExceedSetDscpTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit, self).__init__()

                                            self.yang_name = "exceed-set-dscp-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-dscp-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	
                                            	**type**\:  :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-dscp-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"set-dscp-transmit" : ("set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit)}
                                                self._child_list_classes = {}

                                                self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                                self.set_dscp_transmit.parent = self
                                                self._children_name_map["set_dscp_transmit"] = "set-dscp-transmit"
                                                self._children_yang_names.add("set-dscp-transmit")
                                                self._segment_path = lambda: "exceed-action"


                                            class SetDscpTransmit(Entity):
                                                """
                                                
                                                
                                                .. attribute:: dscp
                                                
                                                	
                                                	**type**\:  :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit, self).__init__()

                                                    self.yang_name = "set-dscp-transmit"
                                                    self.yang_parent_name = "exceed-action"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"dscp" : ("dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp)}
                                                    self._child_list_classes = {}

                                                    self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                    self.dscp.parent = self
                                                    self._children_name_map["dscp"] = "dscp"
                                                    self._children_yang_names.add("dscp")
                                                    self._segment_path = lambda: "set-dscp-transmit"


                                                class Dscp(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: table
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Table <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.Table>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-policy'
                                                    _revision = '2017-08-21'

                                                    def __init__(self):
                                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, self).__init__()

                                                        self.yang_name = "dscp"
                                                        self.yang_parent_name = "set-dscp-transmit"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.table = YLeaf(YType.enumeration, "table")
                                                        self._segment_path = lambda: "dscp"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, ['table'], name, value)

                                                    class Table(Enum):
                                                        """
                                                        Table

                                                        .. data:: policed_dscp = 0

                                                        """

                                                        policed_dscp = Enum.YLeaf(0, "policed-dscp")



                                    class ExceedSetDscpTransmitTable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable, self).__init__()

                                            self.yang_name = "exceed-set-dscp-transmit-table"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-dscp-transmit-table"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..63
                                            
                                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-dscp-transmit-table"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetDscpTransmitTable.ExceedAction, ['set_dscp_transmit', 'table'], name, value)


                                    class ExceedSetFrdeTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit, self).__init__()

                                            self.yang_name = "exceed-set-frde-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-frde-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_frde_transmit
                                            
                                            	set FR DE and send it
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-frde-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetFrdeTransmit.ExceedAction, ['set_frde_transmit'], name, value)


                                    class ExceedSetMplsExpImpositionTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit, self).__init__()

                                            self.yang_name = "exceed-set-mpls-exp-imposition-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-mpls-exp-imposition-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-mpls-exp-imposition-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                    class ExceedSetMplsExpTopmostTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit, self).__init__()

                                            self.yang_name = "exceed-set-mpls-exp-topmost-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-mpls-exp-topmost-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-mpls-exp-topmost-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                    class ExceedSetPrecTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit, self).__init__()

                                            self.yang_name = "exceed-set-prec-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-prec-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-prec-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetPrecTransmit.ExceedAction, ['set_prec_transmit', 'table'], name, value)


                                    class ExceedSetQosTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit, self).__init__()

                                            self.yang_name = "exceed-set-qos-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-set-qos-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..99
                                            
                                            		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-set-qos-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedSetQosTransmit.ExceedAction, ['set_qos_transmit'], name, value)


                                    class ExceedTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit, self).__init__()

                                            self.yang_name = "exceed-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-transmit"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: transmit
                                            
                                            	transmit packet
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.transmit = YLeaf(YType.empty, "transmit")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedTransmit.ExceedAction, ['transmit'], name, value)


                                    class ExceedDrop(Entity):
                                        """
                                        
                                        
                                        .. attribute:: exceed_action
                                        
                                        	action when rate is within conform and conform + exceed burst
                                        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop.ExceedAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop, self).__init__()

                                            self.yang_name = "exceed-drop"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop.ExceedAction)}
                                            self._child_list_classes = {}

                                            self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop.ExceedAction()
                                            self.exceed_action.parent = self
                                            self._children_name_map["exceed_action"] = "exceed-action"
                                            self._children_yang_names.add("exceed-action")
                                            self._segment_path = lambda: "exceed-drop"


                                        class ExceedAction(Entity):
                                            """
                                            action when rate is within conform and conform + exceed burst
                                            
                                            .. attribute:: drop
                                            
                                            	drop packet
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop.ExceedAction, self).__init__()

                                                self.yang_name = "exceed-action"
                                                self.yang_parent_name = "exceed-drop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.drop = YLeaf(YType.empty, "drop")
                                                self._segment_path = lambda: "exceed-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ExceedDrop.ExceedAction, ['drop'], name, value)


                                    class ViolateSetClpTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit, self).__init__()

                                            self.yang_name = "violate-set-clp-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-clp-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_clp_transmit
                                            
                                            	set atm clp and send it
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-clp-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetClpTransmit.ViolateAction, ['set_clp_transmit'], name, value)


                                    class ViolateSetCosTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit, self).__init__()

                                            self.yang_name = "violate-set-cos-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-cos-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_cos_transmit
                                            
                                            	rewrite packet cos and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-cos-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetCosTransmit.ViolateAction, ['set_cos_transmit', 'table'], name, value)


                                    class ViolateSetDiscardClassTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit, self).__init__()

                                            self.yang_name = "violate-set-discard-class-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-discard-class-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_discard_class_transmit
                                            
                                            	set discard\-class and send it
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-discard-class-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDiscardClassTransmit.ViolateAction, ['set_discard_class_transmit'], name, value)


                                    class ViolateSetDscpTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit, self).__init__()

                                            self.yang_name = "violate-set-dscp-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-dscp-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_dscp_transmit
                                            
                                            	set dscp and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..63
                                            
                                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-dscp-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetDscpTransmit.ViolateAction, ['set_dscp_transmit', 'table'], name, value)


                                    class ViolateSetFrdeTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit, self).__init__()

                                            self.yang_name = "violate-set-frde-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-frde-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_frde_transmit
                                            
                                            	set FR DE and send it
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-frde-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetFrdeTransmit.ViolateAction, ['set_frde_transmit'], name, value)


                                    class ViolateSetMplsExpImpositionTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit, self).__init__()

                                            self.yang_name = "violate-set-mpls-exp-imposition-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-mpls-exp-imposition-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_imposition_transmit
                                            
                                            	set exp at tag imposition and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-mpls-exp-imposition-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                    class ViolateSetMplsExpTopmostTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit, self).__init__()

                                            self.yang_name = "violate-set-mpls-exp-topmost-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-mpls-exp-topmost-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_mpls_exp_topmost_transmit
                                            
                                            	set exp on topmost label and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-mpls-exp-topmost-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                    class ViolateSetPrecTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit, self).__init__()

                                            self.yang_name = "violate-set-prec-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-prec-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_prec_transmit
                                            
                                            	rewrite packet precedence and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..7
                                            
                                            		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                            
                                            .. attribute:: table
                                            
                                            	Specify table\-map
                                            	**type**\: str
                                            
                                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-prec-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                                self.table = YLeaf(YType.str, "table")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetPrecTransmit.ViolateAction, ['set_prec_transmit', 'table'], name, value)


                                    class ViolateSetQosTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit, self).__init__()

                                            self.yang_name = "violate-set-qos-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-set-qos-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: set_qos_transmit
                                            
                                            	set qos\-group and send it
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 0..99
                                            
                                            		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-set-qos-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateSetQosTransmit.ViolateAction, ['set_qos_transmit'], name, value)


                                    class ViolateTransmit(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit, self).__init__()

                                            self.yang_name = "violate-transmit"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-transmit"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: transmit
                                            
                                            	transmit packet
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-transmit"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.transmit = YLeaf(YType.empty, "transmit")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateTransmit.ViolateAction, ['transmit'], name, value)


                                    class ViolateDrop(Entity):
                                        """
                                        
                                        
                                        .. attribute:: violate_action
                                        
                                        	action when rate is greater than conform + exceed burst
                                        	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop.ViolateAction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop, self).__init__()

                                            self.yang_name = "violate-drop"
                                            self.yang_parent_name = "actions"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop.ViolateAction)}
                                            self._child_list_classes = {}

                                            self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop.ViolateAction()
                                            self.violate_action.parent = self
                                            self._children_name_map["violate_action"] = "violate-action"
                                            self._children_yang_names.add("violate-action")
                                            self._segment_path = lambda: "violate-drop"


                                        class ViolateAction(Entity):
                                            """
                                            action when rate is greater than conform + exceed burst
                                            
                                            .. attribute:: drop
                                            
                                            	drop packet
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop.ViolateAction, self).__init__()

                                                self.yang_name = "violate-action"
                                                self.yang_parent_name = "violate-drop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.drop = YLeaf(YType.empty, "drop")
                                                self._segment_path = lambda: "violate-action"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceFlow.Police.Flow.Actions.ViolateDrop.ViolateAction, ['drop'], name, value)


                    class PoliceCatalyst(Entity):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst, self).__init__()

                            self.yang_name = "police-catalyst"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"police" : ("police", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police)}
                            self._child_list_classes = {}

                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police()
                            self.police.parent = self
                            self._children_name_map["police"] = "police"
                            self._children_yang_names.add("police")
                            self._segment_path = lambda: "police-catalyst"


                        class Police(Entity):
                            """
                            
                            
                            .. attribute:: bps_value
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: bps
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: byte_value
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: byte
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: actions
                            
                            	
                            	**type**\:  :py:class:`Actions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police, self).__init__()

                                self.yang_name = "police"
                                self.yang_parent_name = "police-catalyst"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"actions" : ("actions", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions)}
                                self._child_list_classes = {}

                                self.bps_value = YLeaf(YType.str, "bps-value")

                                self.bps = YLeaf(YType.empty, "bps")

                                self.byte_value = YLeaf(YType.str, "byte-value")

                                self.byte = YLeaf(YType.empty, "byte")

                                self.actions = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions()
                                self.actions.parent = self
                                self._children_name_map["actions"] = "actions"
                                self._children_yang_names.add("actions")
                                self._segment_path = lambda: "police"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police, ['bps_value', 'bps', 'byte_value', 'byte'], name, value)


                            class Actions(Entity):
                                """
                                
                                
                                .. attribute:: conform_set_clp_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit>`
                                
                                .. attribute:: conform_set_cos_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit>`
                                
                                .. attribute:: conform_set_cos_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetCosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable>`
                                
                                .. attribute:: conform_set_discard_class_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit>`
                                
                                .. attribute:: conform_set_dscp_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit>`
                                
                                .. attribute:: conform_set_dscp_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable>`
                                
                                .. attribute:: conform_set_frde_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_imposition_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetMplsExpImpositionTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable>`
                                
                                .. attribute:: conform_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: conform_set_mpls_exp_topmost_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetMplsExpTopmostTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable>`
                                
                                .. attribute:: conform_set_prec_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit>`
                                
                                .. attribute:: conform_set_prec_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetPrecTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable>`
                                
                                .. attribute:: conform_set_qos_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit>`
                                
                                .. attribute:: conform_set_qos_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ConformSetQosTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable>`
                                
                                .. attribute:: conform_transmit
                                
                                	
                                	**type**\:  :py:class:`ConformTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit>`
                                
                                .. attribute:: conform_drop
                                
                                	
                                	**type**\:  :py:class:`ConformDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop>`
                                
                                .. attribute:: exceed_dscp
                                
                                	
                                	**type**\:  :py:class:`ExceedDscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp>`
                                
                                .. attribute:: exceed_set_clp_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit>`
                                
                                .. attribute:: exceed_set_cos_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit>`
                                
                                .. attribute:: exceed_set_discard_class_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit>`
                                
                                .. attribute:: exceed_set_dscp_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit>`
                                
                                .. attribute:: exceed_set_dscp_transmit_table
                                
                                	
                                	**type**\:  :py:class:`ExceedSetDscpTransmitTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable>`
                                
                                .. attribute:: exceed_set_frde_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit>`
                                
                                .. attribute:: exceed_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: exceed_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: exceed_set_prec_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit>`
                                
                                .. attribute:: exceed_set_qos_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit>`
                                
                                .. attribute:: exceed_transmit
                                
                                	
                                	**type**\:  :py:class:`ExceedTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit>`
                                
                                .. attribute:: exceed_drop
                                
                                	
                                	**type**\:  :py:class:`ExceedDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop>`
                                
                                .. attribute:: violate_set_clp_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetClpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit>`
                                
                                .. attribute:: violate_set_cos_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetCosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit>`
                                
                                .. attribute:: violate_set_discard_class_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetDiscardClassTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit>`
                                
                                .. attribute:: violate_set_dscp_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit>`
                                
                                .. attribute:: violate_set_frde_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetFrdeTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit>`
                                
                                .. attribute:: violate_set_mpls_exp_imposition_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetMplsExpImpositionTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit>`
                                
                                .. attribute:: violate_set_mpls_exp_topmost_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetMplsExpTopmostTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit>`
                                
                                .. attribute:: violate_set_prec_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetPrecTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit>`
                                
                                .. attribute:: violate_set_qos_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateSetQosTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit>`
                                
                                .. attribute:: violate_transmit
                                
                                	
                                	**type**\:  :py:class:`ViolateTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit>`
                                
                                .. attribute:: violate_drop
                                
                                	
                                	**type**\:  :py:class:`ViolateDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions, self).__init__()

                                    self.yang_name = "actions"
                                    self.yang_parent_name = "police"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"conform-set-clp-transmit" : ("conform_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit), "conform-set-cos-transmit" : ("conform_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit), "conform-set-cos-transmit-table" : ("conform_set_cos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable), "conform-set-discard-class-transmit" : ("conform_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit), "conform-set-dscp-transmit" : ("conform_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit), "conform-set-dscp-transmit-table" : ("conform_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable), "conform-set-frde-transmit" : ("conform_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit), "conform-set-mpls-exp-imposition-transmit" : ("conform_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit), "conform-set-mpls-exp-imposition-transmit-table" : ("conform_set_mpls_exp_imposition_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable), "conform-set-mpls-exp-topmost-transmit" : ("conform_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit), "conform-set-mpls-exp-topmost-transmit-table" : ("conform_set_mpls_exp_topmost_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable), "conform-set-prec-transmit" : ("conform_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit), "conform-set-prec-transmit-table" : ("conform_set_prec_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable), "conform-set-qos-transmit" : ("conform_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit), "conform-set-qos-transmit-table" : ("conform_set_qos_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable), "conform-transmit" : ("conform_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit), "conform-drop" : ("conform_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop), "exceed-dscp" : ("exceed_dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp), "exceed-set-clp-transmit" : ("exceed_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit), "exceed-set-cos-transmit" : ("exceed_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit), "exceed-set-discard-class-transmit" : ("exceed_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit), "exceed-set-dscp-transmit" : ("exceed_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit), "exceed-set-dscp-transmit-table" : ("exceed_set_dscp_transmit_table", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable), "exceed-set-frde-transmit" : ("exceed_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit), "exceed-set-mpls-exp-imposition-transmit" : ("exceed_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit), "exceed-set-mpls-exp-topmost-transmit" : ("exceed_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit), "exceed-set-prec-transmit" : ("exceed_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit), "exceed-set-qos-transmit" : ("exceed_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit), "exceed-transmit" : ("exceed_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit), "exceed-drop" : ("exceed_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop), "violate-set-clp-transmit" : ("violate_set_clp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit), "violate-set-cos-transmit" : ("violate_set_cos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit), "violate-set-discard-class-transmit" : ("violate_set_discard_class_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit), "violate-set-dscp-transmit" : ("violate_set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit), "violate-set-frde-transmit" : ("violate_set_frde_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit), "violate-set-mpls-exp-imposition-transmit" : ("violate_set_mpls_exp_imposition_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit), "violate-set-mpls-exp-topmost-transmit" : ("violate_set_mpls_exp_topmost_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit), "violate-set-prec-transmit" : ("violate_set_prec_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit), "violate-set-qos-transmit" : ("violate_set_qos_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit), "violate-transmit" : ("violate_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit), "violate-drop" : ("violate_drop", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop)}
                                    self._child_list_classes = {}

                                    self.conform_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit()
                                    self.conform_set_clp_transmit.parent = self
                                    self._children_name_map["conform_set_clp_transmit"] = "conform-set-clp-transmit"
                                    self._children_yang_names.add("conform-set-clp-transmit")

                                    self.conform_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit()
                                    self.conform_set_cos_transmit.parent = self
                                    self._children_name_map["conform_set_cos_transmit"] = "conform-set-cos-transmit"
                                    self._children_yang_names.add("conform-set-cos-transmit")

                                    self.conform_set_cos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable()
                                    self.conform_set_cos_transmit_table.parent = self
                                    self._children_name_map["conform_set_cos_transmit_table"] = "conform-set-cos-transmit-table"
                                    self._children_yang_names.add("conform-set-cos-transmit-table")

                                    self.conform_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit()
                                    self.conform_set_discard_class_transmit.parent = self
                                    self._children_name_map["conform_set_discard_class_transmit"] = "conform-set-discard-class-transmit"
                                    self._children_yang_names.add("conform-set-discard-class-transmit")

                                    self.conform_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit()
                                    self.conform_set_dscp_transmit.parent = self
                                    self._children_name_map["conform_set_dscp_transmit"] = "conform-set-dscp-transmit"
                                    self._children_yang_names.add("conform-set-dscp-transmit")

                                    self.conform_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable()
                                    self.conform_set_dscp_transmit_table.parent = self
                                    self._children_name_map["conform_set_dscp_transmit_table"] = "conform-set-dscp-transmit-table"
                                    self._children_yang_names.add("conform-set-dscp-transmit-table")

                                    self.conform_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit()
                                    self.conform_set_frde_transmit.parent = self
                                    self._children_name_map["conform_set_frde_transmit"] = "conform-set-frde-transmit"
                                    self._children_yang_names.add("conform-set-frde-transmit")

                                    self.conform_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit()
                                    self.conform_set_mpls_exp_imposition_transmit.parent = self
                                    self._children_name_map["conform_set_mpls_exp_imposition_transmit"] = "conform-set-mpls-exp-imposition-transmit"
                                    self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit")

                                    self.conform_set_mpls_exp_imposition_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable()
                                    self.conform_set_mpls_exp_imposition_transmit_table.parent = self
                                    self._children_name_map["conform_set_mpls_exp_imposition_transmit_table"] = "conform-set-mpls-exp-imposition-transmit-table"
                                    self._children_yang_names.add("conform-set-mpls-exp-imposition-transmit-table")

                                    self.conform_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit()
                                    self.conform_set_mpls_exp_topmost_transmit.parent = self
                                    self._children_name_map["conform_set_mpls_exp_topmost_transmit"] = "conform-set-mpls-exp-topmost-transmit"
                                    self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit")

                                    self.conform_set_mpls_exp_topmost_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable()
                                    self.conform_set_mpls_exp_topmost_transmit_table.parent = self
                                    self._children_name_map["conform_set_mpls_exp_topmost_transmit_table"] = "conform-set-mpls-exp-topmost-transmit-table"
                                    self._children_yang_names.add("conform-set-mpls-exp-topmost-transmit-table")

                                    self.conform_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit()
                                    self.conform_set_prec_transmit.parent = self
                                    self._children_name_map["conform_set_prec_transmit"] = "conform-set-prec-transmit"
                                    self._children_yang_names.add("conform-set-prec-transmit")

                                    self.conform_set_prec_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable()
                                    self.conform_set_prec_transmit_table.parent = self
                                    self._children_name_map["conform_set_prec_transmit_table"] = "conform-set-prec-transmit-table"
                                    self._children_yang_names.add("conform-set-prec-transmit-table")

                                    self.conform_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit()
                                    self.conform_set_qos_transmit.parent = self
                                    self._children_name_map["conform_set_qos_transmit"] = "conform-set-qos-transmit"
                                    self._children_yang_names.add("conform-set-qos-transmit")

                                    self.conform_set_qos_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable()
                                    self.conform_set_qos_transmit_table.parent = self
                                    self._children_name_map["conform_set_qos_transmit_table"] = "conform-set-qos-transmit-table"
                                    self._children_yang_names.add("conform-set-qos-transmit-table")

                                    self.conform_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit()
                                    self.conform_transmit.parent = self
                                    self._children_name_map["conform_transmit"] = "conform-transmit"
                                    self._children_yang_names.add("conform-transmit")

                                    self.conform_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop()
                                    self.conform_drop.parent = self
                                    self._children_name_map["conform_drop"] = "conform-drop"
                                    self._children_yang_names.add("conform-drop")

                                    self.exceed_dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp()
                                    self.exceed_dscp.parent = self
                                    self._children_name_map["exceed_dscp"] = "exceed-dscp"
                                    self._children_yang_names.add("exceed-dscp")

                                    self.exceed_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit()
                                    self.exceed_set_clp_transmit.parent = self
                                    self._children_name_map["exceed_set_clp_transmit"] = "exceed-set-clp-transmit"
                                    self._children_yang_names.add("exceed-set-clp-transmit")

                                    self.exceed_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit()
                                    self.exceed_set_cos_transmit.parent = self
                                    self._children_name_map["exceed_set_cos_transmit"] = "exceed-set-cos-transmit"
                                    self._children_yang_names.add("exceed-set-cos-transmit")

                                    self.exceed_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit()
                                    self.exceed_set_discard_class_transmit.parent = self
                                    self._children_name_map["exceed_set_discard_class_transmit"] = "exceed-set-discard-class-transmit"
                                    self._children_yang_names.add("exceed-set-discard-class-transmit")

                                    self.exceed_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit()
                                    self.exceed_set_dscp_transmit.parent = self
                                    self._children_name_map["exceed_set_dscp_transmit"] = "exceed-set-dscp-transmit"
                                    self._children_yang_names.add("exceed-set-dscp-transmit")

                                    self.exceed_set_dscp_transmit_table = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable()
                                    self.exceed_set_dscp_transmit_table.parent = self
                                    self._children_name_map["exceed_set_dscp_transmit_table"] = "exceed-set-dscp-transmit-table"
                                    self._children_yang_names.add("exceed-set-dscp-transmit-table")

                                    self.exceed_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit()
                                    self.exceed_set_frde_transmit.parent = self
                                    self._children_name_map["exceed_set_frde_transmit"] = "exceed-set-frde-transmit"
                                    self._children_yang_names.add("exceed-set-frde-transmit")

                                    self.exceed_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit()
                                    self.exceed_set_mpls_exp_imposition_transmit.parent = self
                                    self._children_name_map["exceed_set_mpls_exp_imposition_transmit"] = "exceed-set-mpls-exp-imposition-transmit"
                                    self._children_yang_names.add("exceed-set-mpls-exp-imposition-transmit")

                                    self.exceed_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit()
                                    self.exceed_set_mpls_exp_topmost_transmit.parent = self
                                    self._children_name_map["exceed_set_mpls_exp_topmost_transmit"] = "exceed-set-mpls-exp-topmost-transmit"
                                    self._children_yang_names.add("exceed-set-mpls-exp-topmost-transmit")

                                    self.exceed_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit()
                                    self.exceed_set_prec_transmit.parent = self
                                    self._children_name_map["exceed_set_prec_transmit"] = "exceed-set-prec-transmit"
                                    self._children_yang_names.add("exceed-set-prec-transmit")

                                    self.exceed_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit()
                                    self.exceed_set_qos_transmit.parent = self
                                    self._children_name_map["exceed_set_qos_transmit"] = "exceed-set-qos-transmit"
                                    self._children_yang_names.add("exceed-set-qos-transmit")

                                    self.exceed_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit()
                                    self.exceed_transmit.parent = self
                                    self._children_name_map["exceed_transmit"] = "exceed-transmit"
                                    self._children_yang_names.add("exceed-transmit")

                                    self.exceed_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop()
                                    self.exceed_drop.parent = self
                                    self._children_name_map["exceed_drop"] = "exceed-drop"
                                    self._children_yang_names.add("exceed-drop")

                                    self.violate_set_clp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit()
                                    self.violate_set_clp_transmit.parent = self
                                    self._children_name_map["violate_set_clp_transmit"] = "violate-set-clp-transmit"
                                    self._children_yang_names.add("violate-set-clp-transmit")

                                    self.violate_set_cos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit()
                                    self.violate_set_cos_transmit.parent = self
                                    self._children_name_map["violate_set_cos_transmit"] = "violate-set-cos-transmit"
                                    self._children_yang_names.add("violate-set-cos-transmit")

                                    self.violate_set_discard_class_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit()
                                    self.violate_set_discard_class_transmit.parent = self
                                    self._children_name_map["violate_set_discard_class_transmit"] = "violate-set-discard-class-transmit"
                                    self._children_yang_names.add("violate-set-discard-class-transmit")

                                    self.violate_set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit()
                                    self.violate_set_dscp_transmit.parent = self
                                    self._children_name_map["violate_set_dscp_transmit"] = "violate-set-dscp-transmit"
                                    self._children_yang_names.add("violate-set-dscp-transmit")

                                    self.violate_set_frde_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit()
                                    self.violate_set_frde_transmit.parent = self
                                    self._children_name_map["violate_set_frde_transmit"] = "violate-set-frde-transmit"
                                    self._children_yang_names.add("violate-set-frde-transmit")

                                    self.violate_set_mpls_exp_imposition_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit()
                                    self.violate_set_mpls_exp_imposition_transmit.parent = self
                                    self._children_name_map["violate_set_mpls_exp_imposition_transmit"] = "violate-set-mpls-exp-imposition-transmit"
                                    self._children_yang_names.add("violate-set-mpls-exp-imposition-transmit")

                                    self.violate_set_mpls_exp_topmost_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit()
                                    self.violate_set_mpls_exp_topmost_transmit.parent = self
                                    self._children_name_map["violate_set_mpls_exp_topmost_transmit"] = "violate-set-mpls-exp-topmost-transmit"
                                    self._children_yang_names.add("violate-set-mpls-exp-topmost-transmit")

                                    self.violate_set_prec_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit()
                                    self.violate_set_prec_transmit.parent = self
                                    self._children_name_map["violate_set_prec_transmit"] = "violate-set-prec-transmit"
                                    self._children_yang_names.add("violate-set-prec-transmit")

                                    self.violate_set_qos_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit()
                                    self.violate_set_qos_transmit.parent = self
                                    self._children_name_map["violate_set_qos_transmit"] = "violate-set-qos-transmit"
                                    self._children_yang_names.add("violate-set-qos-transmit")

                                    self.violate_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit()
                                    self.violate_transmit.parent = self
                                    self._children_name_map["violate_transmit"] = "violate-transmit"
                                    self._children_yang_names.add("violate-transmit")

                                    self.violate_drop = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop()
                                    self.violate_drop.parent = self
                                    self._children_name_map["violate_drop"] = "violate-drop"
                                    self._children_yang_names.add("violate-drop")
                                    self._segment_path = lambda: "actions"


                                class ConformSetClpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit, self).__init__()

                                        self.yang_name = "conform-set-clp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-clp-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-clp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetClpTransmit.ConformAction, ['set_clp_transmit'], name, value)


                                class ConformSetCosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit, self).__init__()

                                        self.yang_name = "conform-set-cos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-cos-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-cos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmit.ConformAction, ['set_cos_transmit'], name, value)


                                class ConformSetCosTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-cos-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-cos-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-cos-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetCosTransmitTable.ConformAction, ['set_cos_transmit', 'table'], name, value)


                                class ConformSetDiscardClassTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit, self).__init__()

                                        self.yang_name = "conform-set-discard-class-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-discard-class-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-discard-class-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDiscardClassTransmit.ConformAction, ['set_discard_class_transmit'], name, value)


                                class ConformSetDscpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit, self).__init__()

                                        self.yang_name = "conform-set-dscp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-dscp-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-dscp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmit.ConformAction, ['set_dscp_transmit'], name, value)


                                class ConformSetDscpTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-dscp-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-dscp-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-dscp-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetDscpTransmitTable.ConformAction, ['set_dscp_transmit', 'table'], name, value)


                                class ConformSetFrdeTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit, self).__init__()

                                        self.yang_name = "conform-set-frde-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-frde-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-frde-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetFrdeTransmit.ConformAction, ['set_frde_transmit'], name, value)


                                class ConformSetMplsExpImpositionTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit, self).__init__()

                                        self.yang_name = "conform-set-mpls-exp-imposition-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmit.ConformAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                class ConformSetMplsExpImpositionTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-mpls-exp-imposition-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-mpls-exp-imposition-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-mpls-exp-imposition-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpImpositionTransmitTable.ConformAction, ['set_mpls_exp_imposition_transmit', 'table'], name, value)


                                class ConformSetMplsExpTopmostTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit, self).__init__()

                                        self.yang_name = "conform-set-mpls-exp-topmost-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmit.ConformAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                class ConformSetMplsExpTopmostTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-mpls-exp-topmost-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-mpls-exp-topmost-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-mpls-exp-topmost-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetMplsExpTopmostTransmitTable.ConformAction, ['set_mpls_exp_topmost_transmit', 'table'], name, value)


                                class ConformSetPrecTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit, self).__init__()

                                        self.yang_name = "conform-set-prec-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-prec-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-prec-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmit.ConformAction, ['set_prec_transmit'], name, value)


                                class ConformSetPrecTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-prec-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-prec-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-prec-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetPrecTransmitTable.ConformAction, ['set_prec_transmit', 'table'], name, value)


                                class ConformSetQosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit, self).__init__()

                                        self.yang_name = "conform-set-qos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-qos-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..99
                                        
                                        		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-qos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmit.ConformAction, ['set_qos_transmit'], name, value)


                                class ConformSetQosTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable, self).__init__()

                                        self.yang_name = "conform-set-qos-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-set-qos-transmit-table"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..99
                                        
                                        		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-set-qos-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformSetQosTransmitTable.ConformAction, ['set_qos_transmit', 'table'], name, value)


                                class ConformTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit, self).__init__()

                                        self.yang_name = "conform-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-transmit"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.transmit = YLeaf(YType.empty, "transmit")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformTransmit.ConformAction, ['transmit'], name, value)


                                class ConformDrop(Entity):
                                    """
                                    
                                    
                                    .. attribute:: conform_action
                                    
                                    	action when rate is less than conform burst
                                    	**type**\:  :py:class:`ConformAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop.ConformAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop, self).__init__()

                                        self.yang_name = "conform-drop"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"conform-action" : ("conform_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop.ConformAction)}
                                        self._child_list_classes = {}

                                        self.conform_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop.ConformAction()
                                        self.conform_action.parent = self
                                        self._children_name_map["conform_action"] = "conform-action"
                                        self._children_yang_names.add("conform-action")
                                        self._segment_path = lambda: "conform-drop"


                                    class ConformAction(Entity):
                                        """
                                        action when rate is less than conform burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop.ConformAction, self).__init__()

                                            self.yang_name = "conform-action"
                                            self.yang_parent_name = "conform-drop"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.drop = YLeaf(YType.empty, "drop")
                                            self._segment_path = lambda: "conform-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ConformDrop.ConformAction, ['drop'], name, value)


                                class ExceedDscp(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp, self).__init__()

                                        self.yang_name = "exceed-dscp"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-dscp"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: dscp
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-dscp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dscp = YLeaf(YType.str, "dscp")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDscp.ExceedAction, ['dscp'], name, value)


                                class ExceedSetClpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit, self).__init__()

                                        self.yang_name = "exceed-set-clp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-clp-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-clp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetClpTransmit.ExceedAction, ['set_clp_transmit'], name, value)


                                class ExceedSetCosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit, self).__init__()

                                        self.yang_name = "exceed-set-cos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-cos-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-cos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetCosTransmit.ExceedAction, ['set_cos_transmit', 'table'], name, value)


                                class ExceedSetDiscardClassTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit, self).__init__()

                                        self.yang_name = "exceed-set-discard-class-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-discard-class-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-discard-class-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDiscardClassTransmit.ExceedAction, ['set_discard_class_transmit'], name, value)


                                class ExceedSetDscpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit, self).__init__()

                                        self.yang_name = "exceed-set-dscp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-dscp-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	
                                        	**type**\:  :py:class:`SetDscpTransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-dscp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"set-dscp-transmit" : ("set_dscp_transmit", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit)}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit()
                                            self.set_dscp_transmit.parent = self
                                            self._children_name_map["set_dscp_transmit"] = "set-dscp-transmit"
                                            self._children_yang_names.add("set-dscp-transmit")
                                            self._segment_path = lambda: "exceed-action"


                                        class SetDscpTransmit(Entity):
                                            """
                                            
                                            
                                            .. attribute:: dscp
                                            
                                            	
                                            	**type**\:  :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-policy'
                                            _revision = '2017-08-21'

                                            def __init__(self):
                                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit, self).__init__()

                                                self.yang_name = "set-dscp-transmit"
                                                self.yang_parent_name = "exceed-action"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dscp" : ("dscp", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp)}
                                                self._child_list_classes = {}

                                                self.dscp = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp()
                                                self.dscp.parent = self
                                                self._children_name_map["dscp"] = "dscp"
                                                self._children_yang_names.add("dscp")
                                                self._segment_path = lambda: "set-dscp-transmit"


                                            class Dscp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: table
                                                
                                                	
                                                	**type**\:  :py:class:`Table <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp.Table>`
                                                
                                                

                                                """

                                                _prefix = 'ios-policy'
                                                _revision = '2017-08-21'

                                                def __init__(self):
                                                    super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, self).__init__()

                                                    self.yang_name = "dscp"
                                                    self.yang_parent_name = "set-dscp-transmit"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.table = YLeaf(YType.enumeration, "table")
                                                    self._segment_path = lambda: "dscp"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmit.ExceedAction.SetDscpTransmit.Dscp, ['table'], name, value)

                                                class Table(Enum):
                                                    """
                                                    Table

                                                    .. data:: policed_dscp = 0

                                                    """

                                                    policed_dscp = Enum.YLeaf(0, "policed-dscp")



                                class ExceedSetDscpTransmitTable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable, self).__init__()

                                        self.yang_name = "exceed-set-dscp-transmit-table"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-dscp-transmit-table"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-dscp-transmit-table"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetDscpTransmitTable.ExceedAction, ['set_dscp_transmit', 'table'], name, value)


                                class ExceedSetFrdeTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit, self).__init__()

                                        self.yang_name = "exceed-set-frde-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-frde-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-frde-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetFrdeTransmit.ExceedAction, ['set_frde_transmit'], name, value)


                                class ExceedSetMplsExpImpositionTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit, self).__init__()

                                        self.yang_name = "exceed-set-mpls-exp-imposition-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-mpls-exp-imposition-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-mpls-exp-imposition-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpImpositionTransmit.ExceedAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                class ExceedSetMplsExpTopmostTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit, self).__init__()

                                        self.yang_name = "exceed-set-mpls-exp-topmost-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-mpls-exp-topmost-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-mpls-exp-topmost-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetMplsExpTopmostTransmit.ExceedAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                class ExceedSetPrecTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit, self).__init__()

                                        self.yang_name = "exceed-set-prec-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-prec-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-prec-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetPrecTransmit.ExceedAction, ['set_prec_transmit', 'table'], name, value)


                                class ExceedSetQosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit, self).__init__()

                                        self.yang_name = "exceed-set-qos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-set-qos-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..99
                                        
                                        		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-set-qos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedSetQosTransmit.ExceedAction, ['set_qos_transmit'], name, value)


                                class ExceedTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit, self).__init__()

                                        self.yang_name = "exceed-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-transmit"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.transmit = YLeaf(YType.empty, "transmit")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedTransmit.ExceedAction, ['transmit'], name, value)


                                class ExceedDrop(Entity):
                                    """
                                    
                                    
                                    .. attribute:: exceed_action
                                    
                                    	action when rate is within conform and conform + exceed burst
                                    	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop.ExceedAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop, self).__init__()

                                        self.yang_name = "exceed-drop"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"exceed-action" : ("exceed_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop.ExceedAction)}
                                        self._child_list_classes = {}

                                        self.exceed_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop.ExceedAction()
                                        self.exceed_action.parent = self
                                        self._children_name_map["exceed_action"] = "exceed-action"
                                        self._children_yang_names.add("exceed-action")
                                        self._segment_path = lambda: "exceed-drop"


                                    class ExceedAction(Entity):
                                        """
                                        action when rate is within conform and conform + exceed burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop.ExceedAction, self).__init__()

                                            self.yang_name = "exceed-action"
                                            self.yang_parent_name = "exceed-drop"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.drop = YLeaf(YType.empty, "drop")
                                            self._segment_path = lambda: "exceed-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ExceedDrop.ExceedAction, ['drop'], name, value)


                                class ViolateSetClpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit, self).__init__()

                                        self.yang_name = "violate-set-clp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-clp-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_clp_transmit
                                        
                                        	set atm clp and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-clp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_clp_transmit = YLeaf(YType.empty, "set-clp-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetClpTransmit.ViolateAction, ['set_clp_transmit'], name, value)


                                class ViolateSetCosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit, self).__init__()

                                        self.yang_name = "violate-set-cos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-cos-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_cos_transmit
                                        
                                        	rewrite packet cos and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`CosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CosValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-cos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_cos_transmit = YLeaf(YType.str, "set-cos-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetCosTransmit.ViolateAction, ['set_cos_transmit', 'table'], name, value)


                                class ViolateSetDiscardClassTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit, self).__init__()

                                        self.yang_name = "violate-set-discard-class-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-discard-class-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_discard_class_transmit
                                        
                                        	set discard\-class and send it
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-discard-class-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_discard_class_transmit = YLeaf(YType.uint8, "set-discard-class-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDiscardClassTransmit.ViolateAction, ['set_discard_class_transmit'], name, value)


                                class ViolateSetDscpTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit, self).__init__()

                                        self.yang_name = "violate-set-dscp-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-dscp-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_dscp_transmit
                                        
                                        	set dscp and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..63
                                        
                                        		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-dscp-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_dscp_transmit = YLeaf(YType.str, "set-dscp-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetDscpTransmit.ViolateAction, ['set_dscp_transmit', 'table'], name, value)


                                class ViolateSetFrdeTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit, self).__init__()

                                        self.yang_name = "violate-set-frde-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-frde-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_frde_transmit
                                        
                                        	set FR DE and send it
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-frde-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_frde_transmit = YLeaf(YType.empty, "set-frde-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetFrdeTransmit.ViolateAction, ['set_frde_transmit'], name, value)


                                class ViolateSetMplsExpImpositionTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit, self).__init__()

                                        self.yang_name = "violate-set-mpls-exp-imposition-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-mpls-exp-imposition-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_imposition_transmit
                                        
                                        	set exp at tag imposition and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-mpls-exp-imposition-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_imposition_transmit = YLeaf(YType.str, "set-mpls-exp-imposition-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpImpositionTransmit.ViolateAction, ['set_mpls_exp_imposition_transmit'], name, value)


                                class ViolateSetMplsExpTopmostTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit, self).__init__()

                                        self.yang_name = "violate-set-mpls-exp-topmost-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-mpls-exp-topmost-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_mpls_exp_topmost_transmit
                                        
                                        	set exp on topmost label and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`ExpValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.ExpValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-mpls-exp-topmost-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_mpls_exp_topmost_transmit = YLeaf(YType.str, "set-mpls-exp-topmost-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetMplsExpTopmostTransmit.ViolateAction, ['set_mpls_exp_topmost_transmit'], name, value)


                                class ViolateSetPrecTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit, self).__init__()

                                        self.yang_name = "violate-set-prec-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-prec-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_prec_transmit
                                        
                                        	rewrite packet precedence and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..7
                                        
                                        		**type**\:  :py:class:`PrecValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecValueType>`
                                        
                                        .. attribute:: table
                                        
                                        	Specify table\-map
                                        	**type**\: str
                                        
                                        	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-prec-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_prec_transmit = YLeaf(YType.str, "set-prec-transmit")

                                            self.table = YLeaf(YType.str, "table")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetPrecTransmit.ViolateAction, ['set_prec_transmit', 'table'], name, value)


                                class ViolateSetQosTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit, self).__init__()

                                        self.yang_name = "violate-set-qos-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-set-qos-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: set_qos_transmit
                                        
                                        	set qos\-group and send it
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 0..99
                                        
                                        		**type**\:  :py:class:`QosValueType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.QosValueType>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-set-qos-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.set_qos_transmit = YLeaf(YType.str, "set-qos-transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateSetQosTransmit.ViolateAction, ['set_qos_transmit'], name, value)


                                class ViolateTransmit(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit, self).__init__()

                                        self.yang_name = "violate-transmit"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-transmit"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: transmit
                                        
                                        	transmit packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-transmit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.transmit = YLeaf(YType.empty, "transmit")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateTransmit.ViolateAction, ['transmit'], name, value)


                                class ViolateDrop(Entity):
                                    """
                                    
                                    
                                    .. attribute:: violate_action
                                    
                                    	action when rate is greater than conform + exceed burst
                                    	**type**\:  :py:class:`ViolateAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop.ViolateAction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop, self).__init__()

                                        self.yang_name = "violate-drop"
                                        self.yang_parent_name = "actions"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"violate-action" : ("violate_action", Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop.ViolateAction)}
                                        self._child_list_classes = {}

                                        self.violate_action = Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop.ViolateAction()
                                        self.violate_action.parent = self
                                        self._children_name_map["violate_action"] = "violate-action"
                                        self._children_yang_names.add("violate-action")
                                        self._segment_path = lambda: "violate-drop"


                                    class ViolateAction(Entity):
                                        """
                                        action when rate is greater than conform + exceed burst
                                        
                                        .. attribute:: drop
                                        
                                        	drop packet
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-policy'
                                        _revision = '2017-08-21'

                                        def __init__(self):
                                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop.ViolateAction, self).__init__()

                                            self.yang_name = "violate-action"
                                            self.yang_parent_name = "violate-drop"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.drop = YLeaf(YType.empty, "drop")
                                            self._segment_path = lambda: "violate-action"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceCatalyst.Police.Actions.ViolateDrop.ViolateAction, ['drop'], name, value)


                    class PoliceSwitch(Entity):
                        """
                        
                        
                        .. attribute:: police
                        
                        	
                        	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch, self).__init__()

                            self.yang_name = "police-switch"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"police" : ("police", Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police)}
                            self._child_list_classes = {}

                            self.police = Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police()
                            self.police.parent = self
                            self._children_name_map["police"] = "police"
                            self._children_yang_names.add("police")
                            self._segment_path = lambda: "police-switch"


                        class Police(Entity):
                            """
                            
                            
                            .. attribute:: cir
                            
                            	
                            	**type**\: int
                            
                            	**range:** 8000..1000000000
                            
                            .. attribute:: bc
                            
                            	
                            	**type**\: int
                            
                            	**range:** 8000..2000000
                            
                            .. attribute:: exceed_action
                            
                            	action when rate is exceeded
                            	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police.ExceedAction>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police, self).__init__()

                                self.yang_name = "police"
                                self.yang_parent_name = "police-switch"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.cir = YLeaf(YType.uint32, "cir")

                                self.bc = YLeaf(YType.uint32, "bc")

                                self.exceed_action = YLeaf(YType.enumeration, "exceed-action")
                                self._segment_path = lambda: "police"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.PoliceSwitch.Police, ['cir', 'bc', 'exceed_action'], name, value)

                            class ExceedAction(Enum):
                                """
                                ExceedAction

                                action when rate is exceeded

                                .. data:: drop = 0

                                .. data:: policed_dscp_transmit = 1

                                """

                                drop = Enum.YLeaf(0, "drop")

                                policed_dscp_transmit = Enum.YLeaf(1, "policed-dscp-transmit")



                    class Priority(Entity):
                        """
                        
                        
                        .. attribute:: level
                        
                        	Multi\-Level Priority Queue
                        	**type**\: int
                        
                        	**range:** 1..2
                        
                        .. attribute:: kilo_bits
                        
                        	
                        	**type**\: int
                        
                        	**range:** 8..2000000
                        
                        .. attribute:: percent
                        
                        	% of total bandwidth
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: burst
                        
                        	
                        	**type**\: int
                        
                        	**range:** 32..64000000
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.Priority, self).__init__()

                            self.yang_name = "priority"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.level = YLeaf(YType.uint8, "level")

                            self.kilo_bits = YLeaf(YType.uint32, "kilo-bits")

                            self.percent = YLeaf(YType.uint16, "percent")

                            self.burst = YLeaf(YType.uint32, "burst")
                            self._segment_path = lambda: "priority"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Priority, ['level', 'kilo_bits', 'percent', 'burst'], name, value)


                    class QueueBuffers(Entity):
                        """
                        
                        
                        .. attribute:: ratio
                        
                        	Relative buffer size for queue
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.QueueBuffers, self).__init__()

                            self.yang_name = "queue-buffers"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ratio = YLeaf(YType.uint8, "ratio")
                            self._segment_path = lambda: "queue-buffers"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.QueueBuffers, ['ratio'], name, value)


                    class QueueLimit(Entity):
                        """
                        
                        
                        .. attribute:: queue_limit_value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..8192000
                        
                        .. attribute:: queue_limit_type
                        
                        	
                        	**type**\:  :py:class:`QueueLimitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.QueueLimit.QueueLimitType>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.QueueLimit, self).__init__()

                            self.yang_name = "queue-limit"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.queue_limit_value = YLeaf(YType.uint32, "queue-limit-value")

                            self.queue_limit_type = YLeaf(YType.enumeration, "queue-limit-type")
                            self._segment_path = lambda: "queue-limit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.QueueLimit, ['queue_limit_value', 'queue_limit_type'], name, value)

                        class QueueLimitType(Enum):
                            """
                            QueueLimitType

                            .. data:: bytes = 0

                            .. data:: ms = 1

                            .. data:: packets = 2

                            .. data:: us = 3

                            """

                            bytes = Enum.YLeaf(0, "bytes")

                            ms = Enum.YLeaf(1, "ms")

                            packets = Enum.YLeaf(2, "packets")

                            us = Enum.YLeaf(3, "us")



                    class QueueLimitDscp(Entity):
                        """
                        
                        
                        .. attribute:: dscp
                        
                        	parameters for each dscp value
                        	**type**\: list of  		 :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp.Dscp>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp, self).__init__()

                            self.yang_name = "queue-limit-dscp"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"dscp" : ("dscp", Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp.Dscp)}

                            self.dscp = YList(self)
                            self._segment_path = lambda: "queue-limit-dscp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp, [], name, value)


                        class Dscp(Entity):
                            """
                            parameters for each dscp value
                            
                            .. attribute:: dscp_val  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..63
                            
                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                            
                            .. attribute:: values
                            
                            	dscp values
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp_val1
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..63
                            
                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                            
                            .. attribute:: percent
                            
                            	% of threshold
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp.Dscp, self).__init__()

                                self.yang_name = "dscp"
                                self.yang_parent_name = "queue-limit-dscp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dscp_val = YLeaf(YType.str, "dscp-val")

                                self.values = YLeaf(YType.empty, "values")

                                self.dscp_val1 = YLeaf(YType.str, "dscp-val1")

                                self.percent = YLeaf(YType.uint8, "percent")
                                self._segment_path = lambda: "dscp" + "[dscp-val='" + self.dscp_val.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.QueueLimitDscp.Dscp, ['dscp_val', 'values', 'dscp_val1', 'percent'], name, value)


                    class RandomDetect(Entity):
                        """
                        
                        
                        .. attribute:: aggregate
                        
                        	aggregate subclasses
                        	**type**\:  :py:class:`Aggregate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Aggregate>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: discard_class
                        
                        	parameters for each discard\-class value
                        	**type**\:  :py:class:`DiscardClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.DiscardClass>`
                        
                        .. attribute:: discard_class_based
                        
                        	Enable discard\-class\-based WRED as drop policy
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp_based
                        
                        	Enable dscp\-based WRED as drop policy
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	parameters for each dscp value
                        	**type**\: list of  		 :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Dscp>`
                        
                        .. attribute:: ecn
                        
                        	explicit congestion notification
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: exponential_weighting_constant
                        
                        	weight for mean queue depth calculation
                        	**type**\: int
                        
                        	**range:** 1..16
                        
                        .. attribute:: prec_based
                        
                        	Enable precedence\-based WRED as drop policy
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: precedence
                        
                        	parameters for each precedence value
                        	**type**\:  :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Precedence>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.RandomDetect, self).__init__()

                            self.yang_name = "random-detect"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"aggregate" : ("aggregate", Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Aggregate), "discard-class" : ("discard_class", Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.DiscardClass), "precedence" : ("precedence", Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Precedence)}
                            self._child_list_classes = {"dscp" : ("dscp", Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Dscp)}

                            self.discard_class_based = YLeaf(YType.empty, "discard-class-based")

                            self.dscp_based = YLeaf(YType.empty, "dscp-based")

                            self.ecn = YLeaf(YType.empty, "ecn")

                            self.exponential_weighting_constant = YLeaf(YType.uint16, "exponential-weighting-constant")

                            self.prec_based = YLeaf(YType.empty, "prec-based")

                            self.aggregate = None
                            self._children_name_map["aggregate"] = "aggregate"
                            self._children_yang_names.add("aggregate")

                            self.discard_class = Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.DiscardClass()
                            self.discard_class.parent = self
                            self._children_name_map["discard_class"] = "discard-class"
                            self._children_yang_names.add("discard-class")

                            self.precedence = Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Precedence()
                            self.precedence.parent = self
                            self._children_name_map["precedence"] = "precedence"
                            self._children_yang_names.add("precedence")

                            self.dscp = YList(self)
                            self._segment_path = lambda: "random-detect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.RandomDetect, ['discard_class_based', 'dscp_based', 'ecn', 'exponential_weighting_constant', 'prec_based'], name, value)


                        class Aggregate(Entity):
                            """
                            aggregate subclasses
                            
                            .. attribute:: minimum_thresh
                            
                            	minimum threshold for red aggregate
                            	**type**\: int
                            
                            	**range:** 0..1000000
                            
                            .. attribute:: maximum_thresh
                            
                            	maximum threshold for red aggregate
                            	**type**\: int
                            
                            	**range:** 0..1000000
                            
                            .. attribute:: mark_probability
                            
                            	mark\-probability for red aggregate
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: denominator
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Aggregate, self).__init__()

                                self.yang_name = "aggregate"
                                self.yang_parent_name = "random-detect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.minimum_thresh = YLeaf(YType.uint32, "minimum-thresh")

                                self.maximum_thresh = YLeaf(YType.uint32, "maximum-thresh")

                                self.mark_probability = YLeaf(YType.empty, "mark-probability")

                                self.denominator = YLeaf(YType.uint32, "denominator")
                                self._segment_path = lambda: "aggregate"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Aggregate, ['minimum_thresh', 'maximum_thresh', 'mark_probability', 'denominator'], name, value)


                        class DiscardClass(Entity):
                            """
                            parameters for each discard\-class value
                            
                            .. attribute:: dclass
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: min_threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4096
                            
                            .. attribute:: max_threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4096
                            
                            .. attribute:: denominator
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.DiscardClass, self).__init__()

                                self.yang_name = "discard-class"
                                self.yang_parent_name = "random-detect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dclass = YLeaf(YType.uint16, "dclass")

                                self.min_threshold = YLeaf(YType.uint16, "min-threshold")

                                self.max_threshold = YLeaf(YType.uint16, "max-threshold")

                                self.denominator = YLeaf(YType.uint32, "denominator")
                                self._segment_path = lambda: "discard-class"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.DiscardClass, ['dclass', 'min_threshold', 'max_threshold', 'denominator'], name, value)


                        class Dscp(Entity):
                            """
                            parameters for each dscp value
                            
                            .. attribute:: dscp_val  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..63
                            
                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                            
                            .. attribute:: min_threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4096
                            
                            .. attribute:: max_threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4096
                            
                            .. attribute:: denominator
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Dscp, self).__init__()

                                self.yang_name = "dscp"
                                self.yang_parent_name = "random-detect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dscp_val = YLeaf(YType.str, "dscp-val")

                                self.min_threshold = YLeaf(YType.uint16, "min-threshold")

                                self.max_threshold = YLeaf(YType.uint16, "max-threshold")

                                self.denominator = YLeaf(YType.uint32, "denominator")
                                self._segment_path = lambda: "dscp" + "[dscp-val='" + self.dscp_val.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Dscp, ['dscp_val', 'min_threshold', 'max_threshold', 'denominator'], name, value)


                        class Precedence(Entity):
                            """
                            parameters for each precedence value
                            
                            .. attribute:: prec
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..7
                            
                            		**type**\:  :py:class:`PrecedenceType2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_policy.PrecedenceType2>`
                            
                            .. attribute:: min_threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4096
                            
                            .. attribute:: max_threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4096
                            
                            .. attribute:: denominator
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Precedence, self).__init__()

                                self.yang_name = "precedence"
                                self.yang_parent_name = "random-detect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prec = YLeaf(YType.str, "prec")

                                self.min_threshold = YLeaf(YType.uint16, "min-threshold")

                                self.max_threshold = YLeaf(YType.uint16, "max-threshold")

                                self.denominator = YLeaf(YType.uint32, "denominator")
                                self._segment_path = lambda: "precedence"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.RandomDetect.Precedence, ['prec', 'min_threshold', 'max_threshold', 'denominator'], name, value)


                    class Set(Entity):
                        """
                        
                        
                        .. attribute:: atm_clp
                        
                        	Set ATM CLP bit to 1
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cos
                        
                        	Set IEEE 802.1Q/ISL class of service/user priority
                        	**type**\:  :py:class:`Cos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Cos>`
                        
                        .. attribute:: discard_class
                        
                        	Discard behavior identifier
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: dscp
                        
                        	Set DSCP in IP(v4) and IPv6 packets
                        	**type**\:  :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp>`
                        
                        .. attribute:: fr_de
                        
                        	Set FR DE bit to 1
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip
                        
                        	Set IP specific values
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Ip>`
                        
                        .. attribute:: mpls
                        
                        	Set MPLS specific values
                        	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls>`
                        
                        .. attribute:: qos_group
                        
                        	Set QoS Group
                        	**type**\:  :py:class:`QosGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.QosGroup>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.Set, self).__init__()

                            self.yang_name = "set"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cos" : ("cos", Native.Policy.PolicyMap.Class_.ActionList.Set.Cos), "dscp" : ("dscp", Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp), "ip" : ("ip", Native.Policy.PolicyMap.Class_.ActionList.Set.Ip), "mpls" : ("mpls", Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls), "qos-group" : ("qos_group", Native.Policy.PolicyMap.Class_.ActionList.Set.QosGroup)}
                            self._child_list_classes = {}

                            self.atm_clp = YLeaf(YType.empty, "atm-clp")

                            self.discard_class = YLeaf(YType.uint16, "discard-class")

                            self.fr_de = YLeaf(YType.empty, "fr-de")

                            self.cos = Native.Policy.PolicyMap.Class_.ActionList.Set.Cos()
                            self.cos.parent = self
                            self._children_name_map["cos"] = "cos"
                            self._children_yang_names.add("cos")

                            self.dscp = Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp()
                            self.dscp.parent = self
                            self._children_name_map["dscp"] = "dscp"
                            self._children_yang_names.add("dscp")

                            self.ip = Native.Policy.PolicyMap.Class_.ActionList.Set.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")

                            self.mpls = Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls()
                            self.mpls.parent = self
                            self._children_name_map["mpls"] = "mpls"
                            self._children_yang_names.add("mpls")

                            self.qos_group = Native.Policy.PolicyMap.Class_.ActionList.Set.QosGroup()
                            self.qos_group.parent = self
                            self._children_name_map["qos_group"] = "qos-group"
                            self._children_yang_names.add("qos-group")
                            self._segment_path = lambda: "set"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Set, ['atm_clp', 'discard_class', 'fr_de'], name, value)


                        class Cos(Entity):
                            """
                            Set IEEE 802.1Q/ISL class of service/user priority
                            
                            .. attribute:: val
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: pack
                            
                            	
                            	**type**\:  :py:class:`Pack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Cos.Pack>`
                            
                            .. attribute:: user_priority
                            
                            	Set value from WLAN user\-priority
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: table
                            
                            	Set codepoint value based on tablemap
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.Set.Cos, self).__init__()

                                self.yang_name = "cos"
                                self.yang_parent_name = "set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.val = YLeaf(YType.uint16, "val")

                                self.pack = YLeaf(YType.enumeration, "pack")

                                self.user_priority = YLeaf(YType.empty, "user-priority")

                                self.table = YLeaf(YType.str, "table")
                                self._segment_path = lambda: "cos"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Set.Cos, ['val', 'pack', 'user_priority', 'table'], name, value)

                            class Pack(Enum):
                                """
                                Pack

                                .. data:: dscp = 0

                                .. data:: precedence = 1

                                .. data:: cos = 2

                                .. data:: qos_group = 3

                                .. data:: wlan = 4

                                """

                                dscp = Enum.YLeaf(0, "dscp")

                                precedence = Enum.YLeaf(1, "precedence")

                                cos = Enum.YLeaf(2, "cos")

                                qos_group = Enum.YLeaf(3, "qos-group")

                                wlan = Enum.YLeaf(4, "wlan")



                        class Dscp(Entity):
                            """
                            Set DSCP in IP(v4) and IPv6 packets
                            
                            .. attribute:: dscp
                            
                            	Set packet dscp from dscp
                            	**type**\:  :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp.Dscp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: tunnel
                            
                            	set tunnel packet dscp
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp_val
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..63
                            
                            		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp, self).__init__()

                                self.yang_name = "dscp"
                                self.yang_parent_name = "set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dscp" : ("dscp", Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp.Dscp)}
                                self._child_list_classes = {}

                                self.tunnel = YLeaf(YType.empty, "tunnel")

                                self.dscp_val = YLeaf(YType.str, "dscp-val")

                                self.dscp = None
                                self._children_name_map["dscp"] = "dscp"
                                self._children_yang_names.add("dscp")
                                self._segment_path = lambda: "dscp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp, ['tunnel', 'dscp_val'], name, value)


                            class Dscp(Entity):
                                """
                                Set packet dscp from dscp
                                
                                .. attribute:: table
                                
                                	Set packet dscp from dscp based on table map
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp.Dscp, self).__init__()

                                    self.yang_name = "dscp"
                                    self.yang_parent_name = "dscp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.table = YLeaf(YType.str, "table")
                                    self._segment_path = lambda: "dscp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Set.Dscp.Dscp, ['table'], name, value)


                        class Ip(Entity):
                            """
                            Set IP specific values
                            
                            .. attribute:: dscp
                            
                            	Set IP DSCP (DiffServ CodePointint)
                            	**type**\:  :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Dscp>`
                            
                            .. attribute:: precedence
                            
                            	Set IP precedence
                            	**type**\:  :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Precedence>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.Set.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dscp" : ("dscp", Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Dscp), "precedence" : ("precedence", Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Precedence)}
                                self._child_list_classes = {}

                                self.dscp = Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Dscp()
                                self.dscp.parent = self
                                self._children_name_map["dscp"] = "dscp"
                                self._children_yang_names.add("dscp")

                                self.precedence = None
                                self._children_name_map["precedence"] = "precedence"
                                self._children_yang_names.add("precedence")
                                self._segment_path = lambda: "ip"


                            class Dscp(Entity):
                                """
                                Set IP DSCP (DiffServ CodePointint)
                                
                                .. attribute:: tunnel
                                
                                	set tunnel packet dscp
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dscp_val
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 0..63
                                
                                		**type**\:  :py:class:`DscpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.DscpType>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Dscp, self).__init__()

                                    self.yang_name = "dscp"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.tunnel = YLeaf(YType.empty, "tunnel")

                                    self.dscp_val = YLeaf(YType.str, "dscp-val")
                                    self._segment_path = lambda: "dscp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Dscp, ['tunnel', 'dscp_val'], name, value)


                            class Precedence(Entity):
                                """
                                Set IP precedence
                                
                                .. attribute:: precedence_val
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 0..7
                                
                                		**type**\:  :py:class:`PrecedenceType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.PrecedenceType>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Precedence, self).__init__()

                                    self.yang_name = "precedence"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.precedence_val = YLeaf(YType.str, "precedence-val")
                                    self._segment_path = lambda: "precedence"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Set.Ip.Precedence, ['precedence_val'], name, value)


                        class Mpls(Entity):
                            """
                            Set MPLS specific values
                            
                            .. attribute:: experimental
                            
                            	Set Experimental value
                            	**type**\:  :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls, self).__init__()

                                self.yang_name = "mpls"
                                self.yang_parent_name = "set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"experimental" : ("experimental", Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental)}
                                self._child_list_classes = {}

                                self.experimental = Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental()
                                self.experimental.parent = self
                                self._children_name_map["experimental"] = "experimental"
                                self._children_yang_names.add("experimental")
                                self._segment_path = lambda: "mpls"


                            class Experimental(Entity):
                                """
                                Set Experimental value
                                
                                .. attribute:: imposition
                                
                                	Set Experimental value at tag imposition
                                	**type**\:  :py:class:`Imposition <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Imposition>`
                                
                                .. attribute:: topmost
                                
                                	Set Experimental value  on topmost label
                                	**type**\:  :py:class:`Topmost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Topmost>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental, self).__init__()

                                    self.yang_name = "experimental"
                                    self.yang_parent_name = "mpls"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"imposition" : ("imposition", Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Imposition), "topmost" : ("topmost", Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Topmost)}
                                    self._child_list_classes = {}

                                    self.imposition = Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Imposition()
                                    self.imposition.parent = self
                                    self._children_name_map["imposition"] = "imposition"
                                    self._children_yang_names.add("imposition")

                                    self.topmost = Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Topmost()
                                    self.topmost.parent = self
                                    self._children_name_map["topmost"] = "topmost"
                                    self._children_yang_names.add("topmost")
                                    self._segment_path = lambda: "experimental"


                                class Imposition(Entity):
                                    """
                                    Set Experimental value at tag imposition
                                    
                                    .. attribute:: exp_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Imposition, self).__init__()

                                        self.yang_name = "imposition"
                                        self.yang_parent_name = "experimental"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.exp_value = YLeaf(YType.uint8, "exp-value")
                                        self._segment_path = lambda: "imposition"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Imposition, ['exp_value'], name, value)


                                class Topmost(Entity):
                                    """
                                    Set Experimental value  on topmost label
                                    
                                    .. attribute:: exp_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-policy'
                                    _revision = '2017-08-21'

                                    def __init__(self):
                                        super(Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Topmost, self).__init__()

                                        self.yang_name = "topmost"
                                        self.yang_parent_name = "experimental"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.exp_value = YLeaf(YType.uint8, "exp-value")
                                        self._segment_path = lambda: "topmost"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Set.Mpls.Experimental.Topmost, ['exp_value'], name, value)


                        class QosGroup(Entity):
                            """
                            Set QoS Group
                            
                            .. attribute:: qos_group_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..99
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.Set.QosGroup, self).__init__()

                                self.yang_name = "qos-group"
                                self.yang_parent_name = "set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.qos_group_value = YLeaf(YType.uint8, "qos-group-value")
                                self._segment_path = lambda: "qos-group"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Set.QosGroup, ['qos_group_value'], name, value)


                    class Shape(Entity):
                        """
                        
                        
                        .. attribute:: adaptive
                        
                        	Enable Traffic Shaping adaptation to BECN
                        	**type**\: int
                        
                        	**range:** 8000..154400000
                        
                        .. attribute:: average
                        
                        	configure token bucket\: CIR (bps) [Bc (bits) [Be (bits)]], send out Bc only per interval
                        	**type**\:  :py:class:`Average <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Shape.Average>`
                        
                        .. attribute:: fecn_adapt
                        
                        	Enable Traffic Shaping reflection of FECN as BECN
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fr_voice_adapt
                        
                        	Enable rate adjustment depending on voice presence
                        	**type**\:  :py:class:`FrVoiceAdapt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Shape.FrVoiceAdapt>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: max_buffers
                        
                        	Set Maximum Buffer Limit
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Policy.PolicyMap.Class_.ActionList.Shape, self).__init__()

                            self.yang_name = "shape"
                            self.yang_parent_name = "action-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"average" : ("average", Native.Policy.PolicyMap.Class_.ActionList.Shape.Average), "fr-voice-adapt" : ("fr_voice_adapt", Native.Policy.PolicyMap.Class_.ActionList.Shape.FrVoiceAdapt)}
                            self._child_list_classes = {}

                            self.adaptive = YLeaf(YType.uint32, "adaptive")

                            self.fecn_adapt = YLeaf(YType.empty, "fecn-adapt")

                            self.max_buffers = YLeaf(YType.uint16, "max-buffers")

                            self.average = Native.Policy.PolicyMap.Class_.ActionList.Shape.Average()
                            self.average.parent = self
                            self._children_name_map["average"] = "average"
                            self._children_yang_names.add("average")

                            self.fr_voice_adapt = None
                            self._children_name_map["fr_voice_adapt"] = "fr-voice-adapt"
                            self._children_yang_names.add("fr-voice-adapt")
                            self._segment_path = lambda: "shape"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Shape, ['adaptive', 'fecn_adapt', 'max_buffers'], name, value)


                        class Average(Entity):
                            """
                            configure token bucket\: CIR (bps) [Bc (bits) [Be (bits)]], send out Bc only per interval
                            
                            .. attribute:: bit_rate
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: bits_per_interval_sustained
                            
                            	
                            	**type**\: int
                            
                            	**range:** 256..154400000
                            
                            .. attribute:: bits_per_interval_excess
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..154400000
                            
                            .. attribute:: account
                            
                            	Overhead Accounting
                            	**type**\:  :py:class:`Account <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Account>`
                            
                            .. attribute:: percent
                            
                            	% of interface bandwidth for Committed information rate
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            .. attribute:: burst_size_sustained
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..2000
                            
                            .. attribute:: ms
                            
                            	milliseconds
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: bse
                            
                            	
                            	**type**\:  :py:class:`Bse <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Bse>`
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.Shape.Average, self).__init__()

                                self.yang_name = "average"
                                self.yang_parent_name = "shape"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"account" : ("account", Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Account), "bse" : ("bse", Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Bse)}
                                self._child_list_classes = {}

                                self.bit_rate = YLeaf(YType.uint64, "bit-rate")

                                self.bits_per_interval_sustained = YLeaf(YType.uint32, "bits-per-interval-sustained")

                                self.bits_per_interval_excess = YLeaf(YType.uint32, "bits-per-interval-excess")

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.burst_size_sustained = YLeaf(YType.uint16, "burst-size-sustained")

                                self.ms = YLeaf(YType.empty, "ms")

                                self.account = Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Account()
                                self.account.parent = self
                                self._children_name_map["account"] = "account"
                                self._children_yang_names.add("account")

                                self.bse = Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Bse()
                                self.bse.parent = self
                                self._children_name_map["bse"] = "bse"
                                self._children_yang_names.add("bse")
                                self._segment_path = lambda: "average"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Shape.Average, ['bit_rate', 'bits_per_interval_sustained', 'bits_per_interval_excess', 'percent', 'burst_size_sustained', 'ms'], name, value)


                            class Account(Entity):
                                """
                                Overhead Accounting
                                
                                .. attribute:: user_defined
                                
                                	Offset Size
                                	**type**\: int
                                
                                	**range:** \-1000000..1000000
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Account, self).__init__()

                                    self.yang_name = "account"
                                    self.yang_parent_name = "average"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.user_defined = YLeaf(YType.int32, "user-defined")
                                    self._segment_path = lambda: "account"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Account, ['user_defined'], name, value)


                            class Bse(Entity):
                                """
                                
                                
                                .. attribute:: burst_size_excess
                                
                                	
                                	**type**\: int
                                
                                	**range:** 10..2000
                                
                                .. attribute:: ms
                                
                                	milliseconds
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-policy'
                                _revision = '2017-08-21'

                                def __init__(self):
                                    super(Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Bse, self).__init__()

                                    self.yang_name = "bse"
                                    self.yang_parent_name = "average"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.burst_size_excess = YLeaf(YType.uint16, "burst-size-excess")

                                    self.ms = YLeaf(YType.empty, "ms")
                                    self._segment_path = lambda: "bse"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Shape.Average.Bse, ['burst_size_excess', 'ms'], name, value)


                        class FrVoiceAdapt(Entity):
                            """
                            Enable rate adjustment depending on voice presence
                            
                            .. attribute:: deactivation
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..10000
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Policy.PolicyMap.Class_.ActionList.Shape.FrVoiceAdapt, self).__init__()

                                self.yang_name = "fr-voice-adapt"
                                self.yang_parent_name = "shape"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.deactivation = YLeaf(YType.uint16, "deactivation")
                                self._segment_path = lambda: "fr-voice-adapt"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Policy.PolicyMap.Class_.ActionList.Shape.FrVoiceAdapt, ['deactivation'], name, value)


    class Interface(Entity):
        """
        Configure Interfaces
        
        .. attribute:: appnav_compress
        
        	Service\-Context Virtual Interface Compress
        	**type**\: list of  		 :py:class:`AppNavCompress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress>`
        
        .. attribute:: appnav_uncompress
        
        	Service\-Context Virtual Interface UnCompress
        	**type**\: list of  		 :py:class:`AppNavUnCompress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress>`
        
        .. attribute:: atm
        
        	ATM interface
        	**type**\: list of  		 :py:class:`ATM <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM>`
        
        .. attribute:: atm_subinterface
        
        	
        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface>`
        
        .. attribute:: atm_acr
        
        	ATM\-ACR interface
        	**type**\: list of  		 :py:class:`ATMACR <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR>`
        
        .. attribute:: atm_acrsubinterface
        
        	
        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface>`
        
        .. attribute:: bdi
        
        	Bridge\-Domain interface
        	**type**\: list of  		 :py:class:`BDI <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI>`
        
        .. attribute:: cem
        
        	Circuit Emulation interface
        	**type**\: list of  		 :py:class:`CEM <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM>`
        
        .. attribute:: cem_acr
        
        	Circuit Emulation interface
        	**type**\: list of  		 :py:class:`CEMACR <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR>`
        
        .. attribute:: embedded_service_engine
        
        	cisco embedded service engine module
        	**type**\: list of  		 :py:class:`EmbeddedServiceEngine <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine>`
        
        .. attribute:: fastethernet
        
        	FastEthernet IEEE 802.3
        	**type**\: list of  		 :py:class:`FastEthernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet>`
        
        .. attribute:: gigabitethernet
        
        	GigabitEthernet IEEE 802.3z
        	**type**\: list of  		 :py:class:`GigabitEthernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet>`
        
        .. attribute:: tengigabitethernet
        
        	Ten Gigabit Ethernet
        	**type**\: list of  		 :py:class:`TenGigabitEthernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet>`
        
        .. attribute:: fortygigabitethernet
        
        	Forty Gigabit Ethernet
        	**type**\: list of  		 :py:class:`FortyGigabitEthernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet>`
        
        .. attribute:: loopback
        
        	Loopback interface
        	**type**\: list of  		 :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback>`
        
        .. attribute:: lisp
        
        	Locator/ID Separation Protocol Virtual Interface
        	**type**\: list of  		 :py:class:`LISP <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP>`
        
        .. attribute:: lisp_subinterface
        
        	Locator/ID Separation Protocol Virtual Interface
        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface>`
        
        .. attribute:: nve
        
        	Network virtualization endpoint interface
        	**type**\: list of  		 :py:class:`Nve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve>`
        
        .. attribute:: overlay
        
        	Overlay interface
        	**type**\: list of  		 :py:class:`Overlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay>`
        
        .. attribute:: port_channel
        
        	Ethernet Channel of interfaces
        	**type**\: list of  		 :py:class:`PortChannel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel>`
        
        .. attribute:: port_channel_subinterface
        
        	
        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface>`
        
        .. attribute:: pseudowire
        
        	Pseudowire Interface
        	**type**\: list of  		 :py:class:`Pseudowire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire>`
        
        .. attribute:: sm
        
        	SM Interface
        	**type**\: list of  		 :py:class:`SM <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM>`
        
        .. attribute:: cellular
        
        	Cellular Interface
        	**type**\: list of  		 :py:class:`Cellular <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular>`
        
        .. attribute:: vlan
        
        	Catalyst Vlans
        	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan>`
        
        .. attribute:: group_async
        
        	Async Group interface
        	**type**\: list of  		 :py:class:`GroupAsync <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync>`
        
        .. attribute:: multilink
        
        	Multilink\-group interface
        	**type**\: list of  		 :py:class:`Multilink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink>`
        
        .. attribute:: serial
        
        	Serial interface
        	**type**\: list of  		 :py:class:`Serial <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial>`
        
        .. attribute:: tunnel
        
        	Tunnel interface
        	**type**\: list of  		 :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel>`
        
        .. attribute:: virtual_template
        
        	Virtual Template interface
        	**type**\: list of  		 :py:class:`VirtualTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate>`
        
        .. attribute:: virtualportgroup
        
        	Virtual Port Group
        	**type**\: list of  		 :py:class:`VirtualPortGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup>`
        
        .. attribute:: vasileft
        
        	vasileft
        	**type**\: list of  		 :py:class:`Vasileft <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft>`
        
        .. attribute:: vasiright
        
        	vasiright
        	**type**\: list of  		 :py:class:`Vasiright <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Interface, self).__init__()

            self.yang_name = "interface"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.PortChannelSubinterface)}
            self._child_list_classes = {"AppNav-Compress" : ("appnav_compress", Native.Interface.AppNavCompress), "AppNav-UnCompress" : ("appnav_uncompress", Native.Interface.AppNavUnCompress), "ATM" : ("atm", Native.Interface.ATM), "ATM-ACR" : ("atm_acr", Native.Interface.ATMACR), "BDI" : ("bdi", Native.Interface.BDI), "CEM" : ("cem", Native.Interface.CEM), "CEM-ACR" : ("cem_acr", Native.Interface.CEMACR), "Embedded-Service-Engine" : ("embedded_service_engine", Native.Interface.EmbeddedServiceEngine), "FastEthernet" : ("fastethernet", Native.Interface.FastEthernet), "GigabitEthernet" : ("gigabitethernet", Native.Interface.GigabitEthernet), "TenGigabitEthernet" : ("tengigabitethernet", Native.Interface.TenGigabitEthernet), "FortyGigabitEthernet" : ("fortygigabitethernet", Native.Interface.FortyGigabitEthernet), "Loopback" : ("loopback", Native.Interface.Loopback), "LISP" : ("lisp", Native.Interface.LISP), "nve" : ("nve", Native.Interface.Nve), "overlay" : ("overlay", Native.Interface.Overlay), "Port-channel" : ("port_channel", Native.Interface.PortChannel), "pseudowire" : ("pseudowire", Native.Interface.Pseudowire), "SM" : ("sm", Native.Interface.SM), "Cellular" : ("cellular", Native.Interface.Cellular), "Vlan" : ("vlan", Native.Interface.Vlan), "Group-Async" : ("group_async", Native.Interface.GroupAsync), "Multilink" : ("multilink", Native.Interface.Multilink), "Serial" : ("serial", Native.Interface.Serial), "Tunnel" : ("tunnel", Native.Interface.Tunnel), "Virtual-Template" : ("virtual_template", Native.Interface.VirtualTemplate), "VirtualPortGroup" : ("virtualportgroup", Native.Interface.VirtualPortGroup), "vasileft" : ("vasileft", Native.Interface.Vasileft), "vasiright" : ("vasiright", Native.Interface.Vasiright)}

            self.atm_subinterface = Native.Interface.ATMSubinterface()
            self.atm_subinterface.parent = self
            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
            self._children_yang_names.add("ATM-subinterface")

            self.atm_acrsubinterface = Native.Interface.ATMACRsubinterface()
            self.atm_acrsubinterface.parent = self
            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
            self._children_yang_names.add("ATM-ACRsubinterface")

            self.lisp_subinterface = Native.Interface.LISPSubinterface()
            self.lisp_subinterface.parent = self
            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
            self._children_yang_names.add("LISP-subinterface")

            self.port_channel_subinterface = Native.Interface.PortChannelSubinterface()
            self.port_channel_subinterface.parent = self
            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
            self._children_yang_names.add("Port-channel-subinterface")

            self.appnav_compress = YList(self)
            self.appnav_uncompress = YList(self)
            self.atm = YList(self)
            self.atm_acr = YList(self)
            self.bdi = YList(self)
            self.cem = YList(self)
            self.cem_acr = YList(self)
            self.embedded_service_engine = YList(self)
            self.fastethernet = YList(self)
            self.gigabitethernet = YList(self)
            self.tengigabitethernet = YList(self)
            self.fortygigabitethernet = YList(self)
            self.loopback = YList(self)
            self.lisp = YList(self)
            self.nve = YList(self)
            self.overlay = YList(self)
            self.port_channel = YList(self)
            self.pseudowire = YList(self)
            self.sm = YList(self)
            self.cellular = YList(self)
            self.vlan = YList(self)
            self.group_async = YList(self)
            self.multilink = YList(self)
            self.serial = YList(self)
            self.tunnel = YList(self)
            self.virtual_template = YList(self)
            self.virtualportgroup = YList(self)
            self.vasileft = YList(self)
            self.vasiright = YList(self)
            self._segment_path = lambda: "interface"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Interface, [], name, value)


        class AppNavCompress(Entity):
            """
            Service\-Context Virtual Interface Compress
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..1000
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.PmPath>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.AppNavCompress, self).__init__()

                self.yang_name = "AppNav-Compress"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.AppNavCompress.SwitchportConf), "switchport" : ("switchport", Native.Interface.AppNavCompress.Switchport), "arp" : ("arp", Native.Interface.AppNavCompress.Arp), "backup" : ("backup", Native.Interface.AppNavCompress.Backup), "cemoudp" : ("cemoudp", Native.Interface.AppNavCompress.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.AppNavCompress.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.AppNavCompress.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.AppNavCompress.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.AppNavCompress.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.AppNavCompress.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.AppNavCompress.Flowcontrol), "isis" : ("isis", Native.Interface.AppNavCompress.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.AppNavCompress.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.AppNavCompress.Bfd), "bandwidth" : ("bandwidth", Native.Interface.AppNavCompress.Bandwidth), "dampening" : ("dampening", Native.Interface.AppNavCompress.Dampening), "domain" : ("domain", Native.Interface.AppNavCompress.Domain), "mpls" : ("mpls", Native.Interface.AppNavCompress.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.AppNavCompress.IpVrf), "vrf" : ("vrf", Native.Interface.AppNavCompress.Vrf), "ip" : ("ip", Native.Interface.AppNavCompress.Ip), "ipv6" : ("ipv6", Native.Interface.AppNavCompress.Ipv6), "logging" : ("logging", Native.Interface.AppNavCompress.Logging), "mdix" : ("mdix", Native.Interface.AppNavCompress.Mdix), "mop" : ("mop", Native.Interface.AppNavCompress.Mop), "interface_qos" : ("interface_qos", Native.Interface.AppNavCompress.InterfaceQos), "standby" : ("standby", Native.Interface.AppNavCompress.Standby), "access-session" : ("access_session", Native.Interface.AppNavCompress.AccessSession), "storm-control" : ("storm_control", Native.Interface.AppNavCompress.StormControl), "trust" : ("trust", Native.Interface.AppNavCompress.Trust), "priority-queue" : ("priority_queue", Native.Interface.AppNavCompress.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.AppNavCompress.RcvQueue), "peer" : ("peer", Native.Interface.AppNavCompress.Peer), "pm-path" : ("pm_path", Native.Interface.AppNavCompress.PmPath)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.AppNavCompress.HoldQueue)}

                self.name = YLeaf(YType.uint16, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.switchport_conf = Native.Interface.AppNavCompress.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.AppNavCompress.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.AppNavCompress.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.AppNavCompress.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.AppNavCompress.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.AppNavCompress.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.AppNavCompress.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.AppNavCompress.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.AppNavCompress.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.AppNavCompress.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.AppNavCompress.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.AppNavCompress.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.AppNavCompress.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.AppNavCompress.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.AppNavCompress.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.AppNavCompress.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.AppNavCompress.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.AppNavCompress.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.AppNavCompress.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.AppNavCompress.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.AppNavCompress.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.AppNavCompress.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.AppNavCompress.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.AppNavCompress.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.AppNavCompress.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.AppNavCompress.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.AppNavCompress.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.AppNavCompress.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.AppNavCompress.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.AppNavCompress.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.AppNavCompress.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.AppNavCompress.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.AppNavCompress.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "AppNav-Compress" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.AppNavCompress, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.AppNavCompress.Backup.Delay), "interface" : ("interface", Native.Interface.AppNavCompress.Backup.Interface), "load" : ("load", Native.Interface.AppNavCompress.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.AppNavCompress.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.AppNavCompress.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.AppNavCompress.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.AppNavCompress.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.AppNavCompress.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.AppNavCompress.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.AppNavCompress.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.AppNavCompress.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.AppNavCompress.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.AppNavCompress.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.AppNavCompress.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.AppNavCompress.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.AppNavCompress.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.AppNavCompress.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.AppNavCompress.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.AppNavCompress.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.AppNavCompress.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.AppNavCompress.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.AppNavCompress.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.AppNavCompress.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.AppNavCompress.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.AppNavCompress.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.AppNavCompress.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.AppNavCompress.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.AppNavCompress.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.AppNavCompress.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.AppNavCompress.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.AppNavCompress.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.AppNavCompress.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.AppNavCompress.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.AppNavCompress.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.AppNavCompress.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.AppNavCompress.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.AppNavCompress.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.AppNavCompress.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.AppNavCompress.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Verify>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.AppNavCompress.Ip.AccessGroup), "arp" : ("arp", Native.Interface.AppNavCompress.Ip.Arp), "vrf" : ("vrf", Native.Interface.AppNavCompress.Ip.Vrf), "no-address" : ("no_address", Native.Interface.AppNavCompress.Ip.NoAddress), "address" : ("address", Native.Interface.AppNavCompress.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.AppNavCompress.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.AppNavCompress.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.AppNavCompress.Ip.HoldTime), "pim" : ("pim", Native.Interface.AppNavCompress.Ip.Pim), "policy" : ("policy", Native.Interface.AppNavCompress.Ip.Policy), "rip" : ("rip", Native.Interface.AppNavCompress.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.AppNavCompress.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.AppNavCompress.Ip.RouteCache), "router" : ("router", Native.Interface.AppNavCompress.Ip.Router), "tcp" : ("tcp", Native.Interface.AppNavCompress.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.AppNavCompress.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.AppNavCompress.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.AppNavCompress.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.AppNavCompress.Ip.Verify)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.AppNavCompress.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.AppNavCompress.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.AppNavCompress.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.AppNavCompress.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.AppNavCompress.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.AppNavCompress.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.AppNavCompress.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.AppNavCompress.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.AppNavCompress.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.AppNavCompress.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.AppNavCompress.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.AppNavCompress.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.AppNavCompress.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.AppNavCompress.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.AppNavCompress.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.AppNavCompress.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.AppNavCompress.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.AppNavCompress.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.AppNavCompress.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.AppNavCompress.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.AppNavCompress.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.AppNavCompress.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.AppNavCompress.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.AppNavCompress.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.AppNavCompress.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.AppNavCompress.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.AppNavCompress.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.AppNavCompress.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.AppNavCompress.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.AppNavCompress.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.AppNavCompress.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.AppNavCompress.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.AppNavCompress.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.AppNavCompress.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.AppNavCompress.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.AppNavCompress.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.AppNavCompress.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.AppNavCompress.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.AppNavCompress.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.AppNavCompress.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.AppNavCompress.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.AppNavCompress.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.AppNavCompress.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.AppNavCompress.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.AppNavCompress.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.AppNavCompress.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.AppNavCompress.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.AppNavCompress.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.AppNavCompress.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.AppNavCompress.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.AppNavCompress.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.AppNavCompress.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.AppNavCompress.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.AppNavCompress.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.AppNavCompress.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.AppNavCompress.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.AppNavCompress.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.AppNavCompress.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.AppNavCompress.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.AppNavCompress.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.AppNavCompress.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.AppNavCompress.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.AppNavCompress.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.AppNavCompress.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.AppNavCompress.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.AppNavCompress.Ipv6.Dhcp), "address" : ("address", Native.Interface.AppNavCompress.Ipv6.Address), "nd" : ("nd", Native.Interface.AppNavCompress.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.AppNavCompress.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.AppNavCompress.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.AppNavCompress.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.AppNavCompress.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.AppNavCompress.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.AppNavCompress.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.AppNavCompress.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.AppNavCompress.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.AppNavCompress.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.AppNavCompress.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.AppNavCompress.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.AppNavCompress.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.AppNavCompress.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.AppNavCompress.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.AppNavCompress.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.AppNavCompress.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.AppNavCompress.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.AppNavCompress.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.AppNavCompress.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.AppNavCompress.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.AppNavCompress.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.AppNavCompress.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.AppNavCompress.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.AppNavCompress.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.AppNavCompress.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.AppNavCompress.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.AppNavCompress.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.AppNavCompress.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.AppNavCompress.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.AppNavCompress.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.AppNavCompress.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.AppNavCompress.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.AppNavCompress.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.AppNavCompress.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.AppNavCompress.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.AppNavCompress.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.AppNavCompress.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.AppNavCompress.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.AppNavCompress.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.AppNavCompress.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.AppNavCompress.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.AppNavCompress.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.AppNavCompress.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.AppNavCompress.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.AppNavCompress.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.AppNavCompress.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.AppNavCompress.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.AppNavCompress.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.AppNavCompress.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.AppNavCompress.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.AppNavCompress.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.AppNavCompress.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.AppNavCompress.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.AppNavCompress.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.AppNavCompress.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.AppNavCompress.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.AppNavCompress.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.AppNavCompress.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.AppNavCompress.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.AppNavCompress.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.AppNavCompress.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.AppNavCompress.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.AppNavCompress.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.AppNavCompress.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.AppNavCompress.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.AppNavCompress.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.AppNavCompress.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavCompress.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.AppNavCompress.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.AppNavCompress.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.AppNavCompress.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.AppNavCompress.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.AppNavCompress.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.AppNavCompress.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.AppNavCompress.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.AppNavCompress.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.AppNavCompress.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.AppNavCompress.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.AppNavCompress.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavCompress.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.AppNavCompress.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.AppNavCompress.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavCompress.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.AppNavCompress.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.AppNavCompress.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavCompress.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.AppNavCompress.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.AppNavCompress.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavCompress.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavCompress.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.AppNavCompress.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.AppNavCompress.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavCompress.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.AppNavCompress.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.AppNavCompress.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.AppNavCompress.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.AppNavCompress.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavCompress.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "AppNav-Compress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavCompress.PmPath, ['name', 'interface_id'], name, value)


        class AppNavUnCompress(Entity):
            """
            Service\-Context Virtual Interface UnCompress
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..1000
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.PmPath>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.AppNavUnCompress, self).__init__()

                self.yang_name = "AppNav-UnCompress"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.AppNavUnCompress.SwitchportConf), "switchport" : ("switchport", Native.Interface.AppNavUnCompress.Switchport), "arp" : ("arp", Native.Interface.AppNavUnCompress.Arp), "backup" : ("backup", Native.Interface.AppNavUnCompress.Backup), "cemoudp" : ("cemoudp", Native.Interface.AppNavUnCompress.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.AppNavUnCompress.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.AppNavUnCompress.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.AppNavUnCompress.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.AppNavUnCompress.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.AppNavUnCompress.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.AppNavUnCompress.Flowcontrol), "isis" : ("isis", Native.Interface.AppNavUnCompress.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.AppNavUnCompress.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.AppNavUnCompress.Bfd), "bandwidth" : ("bandwidth", Native.Interface.AppNavUnCompress.Bandwidth), "dampening" : ("dampening", Native.Interface.AppNavUnCompress.Dampening), "domain" : ("domain", Native.Interface.AppNavUnCompress.Domain), "mpls" : ("mpls", Native.Interface.AppNavUnCompress.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.AppNavUnCompress.IpVrf), "vrf" : ("vrf", Native.Interface.AppNavUnCompress.Vrf), "ip" : ("ip", Native.Interface.AppNavUnCompress.Ip), "ipv6" : ("ipv6", Native.Interface.AppNavUnCompress.Ipv6), "logging" : ("logging", Native.Interface.AppNavUnCompress.Logging), "mdix" : ("mdix", Native.Interface.AppNavUnCompress.Mdix), "mop" : ("mop", Native.Interface.AppNavUnCompress.Mop), "interface_qos" : ("interface_qos", Native.Interface.AppNavUnCompress.InterfaceQos), "standby" : ("standby", Native.Interface.AppNavUnCompress.Standby), "access-session" : ("access_session", Native.Interface.AppNavUnCompress.AccessSession), "storm-control" : ("storm_control", Native.Interface.AppNavUnCompress.StormControl), "trust" : ("trust", Native.Interface.AppNavUnCompress.Trust), "priority-queue" : ("priority_queue", Native.Interface.AppNavUnCompress.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.AppNavUnCompress.RcvQueue), "peer" : ("peer", Native.Interface.AppNavUnCompress.Peer), "pm-path" : ("pm_path", Native.Interface.AppNavUnCompress.PmPath)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.AppNavUnCompress.HoldQueue)}

                self.name = YLeaf(YType.uint16, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.switchport_conf = Native.Interface.AppNavUnCompress.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.AppNavUnCompress.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.AppNavUnCompress.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.AppNavUnCompress.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.AppNavUnCompress.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.AppNavUnCompress.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.AppNavUnCompress.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.AppNavUnCompress.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.AppNavUnCompress.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.AppNavUnCompress.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.AppNavUnCompress.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.AppNavUnCompress.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.AppNavUnCompress.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.AppNavUnCompress.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.AppNavUnCompress.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.AppNavUnCompress.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.AppNavUnCompress.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.AppNavUnCompress.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.AppNavUnCompress.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.AppNavUnCompress.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.AppNavUnCompress.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.AppNavUnCompress.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.AppNavUnCompress.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.AppNavUnCompress.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.AppNavUnCompress.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.AppNavUnCompress.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.AppNavUnCompress.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.AppNavUnCompress.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.AppNavUnCompress.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.AppNavUnCompress.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.AppNavUnCompress.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.AppNavUnCompress.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.AppNavUnCompress.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "AppNav-UnCompress" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.AppNavUnCompress, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.AppNavUnCompress.Backup.Delay), "interface" : ("interface", Native.Interface.AppNavUnCompress.Backup.Interface), "load" : ("load", Native.Interface.AppNavUnCompress.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.AppNavUnCompress.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.AppNavUnCompress.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.AppNavUnCompress.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.AppNavUnCompress.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.AppNavUnCompress.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.AppNavUnCompress.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.AppNavUnCompress.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.AppNavUnCompress.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.AppNavUnCompress.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.AppNavUnCompress.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.AppNavUnCompress.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.AppNavUnCompress.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.AppNavUnCompress.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.AppNavUnCompress.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.AppNavUnCompress.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.AppNavUnCompress.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.AppNavUnCompress.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.AppNavUnCompress.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.AppNavUnCompress.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.AppNavUnCompress.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.AppNavUnCompress.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.AppNavUnCompress.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.AppNavUnCompress.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.AppNavUnCompress.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.AppNavUnCompress.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.AppNavUnCompress.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.AppNavUnCompress.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.AppNavUnCompress.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.AppNavUnCompress.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.AppNavUnCompress.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.AppNavUnCompress.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.AppNavUnCompress.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.AppNavUnCompress.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.AppNavUnCompress.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.AppNavUnCompress.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.AppNavUnCompress.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Verify>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.AppNavUnCompress.Ip.AccessGroup), "arp" : ("arp", Native.Interface.AppNavUnCompress.Ip.Arp), "vrf" : ("vrf", Native.Interface.AppNavUnCompress.Ip.Vrf), "no-address" : ("no_address", Native.Interface.AppNavUnCompress.Ip.NoAddress), "address" : ("address", Native.Interface.AppNavUnCompress.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.AppNavUnCompress.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.AppNavUnCompress.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.AppNavUnCompress.Ip.HoldTime), "pim" : ("pim", Native.Interface.AppNavUnCompress.Ip.Pim), "policy" : ("policy", Native.Interface.AppNavUnCompress.Ip.Policy), "rip" : ("rip", Native.Interface.AppNavUnCompress.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.AppNavUnCompress.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.AppNavUnCompress.Ip.RouteCache), "router" : ("router", Native.Interface.AppNavUnCompress.Ip.Router), "tcp" : ("tcp", Native.Interface.AppNavUnCompress.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.AppNavUnCompress.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.AppNavUnCompress.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.AppNavUnCompress.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.AppNavUnCompress.Ip.Verify)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.AppNavUnCompress.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.AppNavUnCompress.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.AppNavUnCompress.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.AppNavUnCompress.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.AppNavUnCompress.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.AppNavUnCompress.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.AppNavUnCompress.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.AppNavUnCompress.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.AppNavUnCompress.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.AppNavUnCompress.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.AppNavUnCompress.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.AppNavUnCompress.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.AppNavUnCompress.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.AppNavUnCompress.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.AppNavUnCompress.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.AppNavUnCompress.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.AppNavUnCompress.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.AppNavUnCompress.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.AppNavUnCompress.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.AppNavUnCompress.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.AppNavUnCompress.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.AppNavUnCompress.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.AppNavUnCompress.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.AppNavUnCompress.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.AppNavUnCompress.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.AppNavUnCompress.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.AppNavUnCompress.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.AppNavUnCompress.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.AppNavUnCompress.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.AppNavUnCompress.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.AppNavUnCompress.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.AppNavUnCompress.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.AppNavUnCompress.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.AppNavUnCompress.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.AppNavUnCompress.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.AppNavUnCompress.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.AppNavUnCompress.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.AppNavUnCompress.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.AppNavUnCompress.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.AppNavUnCompress.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.AppNavUnCompress.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.AppNavUnCompress.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.AppNavUnCompress.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.AppNavUnCompress.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.AppNavUnCompress.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.AppNavUnCompress.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.AppNavUnCompress.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.AppNavUnCompress.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.AppNavUnCompress.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.AppNavUnCompress.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.AppNavUnCompress.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.AppNavUnCompress.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.AppNavUnCompress.Ipv6.Dhcp), "address" : ("address", Native.Interface.AppNavUnCompress.Ipv6.Address), "nd" : ("nd", Native.Interface.AppNavUnCompress.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.AppNavUnCompress.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.AppNavUnCompress.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.AppNavUnCompress.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.AppNavUnCompress.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.AppNavUnCompress.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.AppNavUnCompress.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.AppNavUnCompress.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.AppNavUnCompress.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.AppNavUnCompress.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.AppNavUnCompress.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.AppNavUnCompress.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.AppNavUnCompress.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.AppNavUnCompress.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.AppNavUnCompress.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.AppNavUnCompress.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.AppNavUnCompress.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.AppNavUnCompress.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.AppNavUnCompress.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.AppNavUnCompress.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.AppNavUnCompress.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.AppNavUnCompress.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.AppNavUnCompress.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.AppNavUnCompress.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.AppNavUnCompress.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.AppNavUnCompress.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.AppNavUnCompress.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.AppNavUnCompress.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.AppNavUnCompress.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.AppNavUnCompress.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.AppNavUnCompress.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.AppNavUnCompress.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.AppNavUnCompress.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.AppNavUnCompress.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.AppNavUnCompress.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.AppNavUnCompress.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.AppNavUnCompress.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.AppNavUnCompress.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.AppNavUnCompress.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.AppNavUnCompress.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.AppNavUnCompress.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.AppNavUnCompress.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.AppNavUnCompress.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.AppNavUnCompress.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.AppNavUnCompress.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.AppNavUnCompress.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.AppNavUnCompress.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.AppNavUnCompress.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.AppNavUnCompress.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.AppNavUnCompress.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.AppNavUnCompress.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.AppNavUnCompress.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.AppNavUnCompress.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.AppNavUnCompress.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.AppNavUnCompress.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.AppNavUnCompress.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.AppNavUnCompress.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.AppNavUnCompress.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.AppNavUnCompress.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.AppNavUnCompress.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.AppNavUnCompress.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.AppNavUnCompress.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.AppNavUnCompress.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.AppNavUnCompress.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.AppNavUnCompress.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.AppNavUnCompress.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.AppNavUnCompress.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.AppNavUnCompress.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.AppNavUnCompress.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.AppNavUnCompress.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.AppNavUnCompress.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "AppNav-UnCompress"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.AppNavUnCompress.PmPath, ['name', 'interface_id'], name, value)


        class ATM(Entity):
            """
            ATM interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
            
            .. attribute:: ip
            
            	IP address
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Ip>`
            
            .. attribute:: atm
            
            	ATM
            	**type**\:  :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Atm>`
            
            .. attribute:: load_interval
            
            	Load interval
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: cem
            
            	CEM
            	**type**\: list of  		 :py:class:`Cem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Cem>`
            
            .. attribute:: pvc
            
            	PVC
            	**type**\: list of  		 :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Pvc>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.ATM, self).__init__()

                self.yang_name = "ATM"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-atm:ip" : ("ip", Native.Interface.ATM.Ip), "Cisco-IOS-XE-atm:atm" : ("atm", Native.Interface.ATM.Atm)}
                self._child_list_classes = {"Cisco-IOS-XE-atm:cem" : ("cem", Native.Interface.ATM.Cem), "Cisco-IOS-XE-atm:pvc" : ("pvc", Native.Interface.ATM.Pvc)}

                self.name = YLeaf(YType.str, "name")

                self.load_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-atm:load-interval")

                self.ip = Native.Interface.ATM.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.atm = Native.Interface.ATM.Atm()
                self.atm.parent = self
                self._children_name_map["atm"] = "atm"
                self._children_yang_names.add("atm")

                self.cem = YList(self)
                self.pvc = YList(self)
                self._segment_path = lambda: "ATM" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.ATM, ['name', 'load_interval'], name, value)


            class Ip(Entity):
                """
                IP address
                
                .. attribute:: address
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.ATM.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "ATM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.str, "address")
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.ATM.Ip, ['address'], name, value)


            class Atm(Entity):
                """
                ATM
                
                .. attribute:: bandwidth
                
                	ATM bandwith
                	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Atm.Bandwidth>`
                
                .. attribute:: enable_ilmi_trap
                
                	Enable\-ilmi\-trap
                	**type**\: bool
                
                .. attribute:: pvp
                
                	PVP
                	**type**\: list of  		 :py:class:`Pvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Atm.Pvp>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.ATM.Atm, self).__init__()

                    self.yang_name = "atm"
                    self.yang_parent_name = "ATM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"pvp" : ("pvp", Native.Interface.ATM.Atm.Pvp)}

                    self.bandwidth = YLeaf(YType.enumeration, "bandwidth")

                    self.enable_ilmi_trap = YLeaf(YType.boolean, "enable-ilmi-trap")

                    self.pvp = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:atm"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.ATM.Atm, ['bandwidth', 'enable_ilmi_trap'], name, value)

                class Bandwidth(Enum):
                    """
                    Bandwidth

                    ATM bandwith

                    .. data:: dynamic = 0

                    """

                    dynamic = Enum.YLeaf(0, "dynamic")



                class Pvp(Entity):
                    """
                    PVP
                    
                    .. attribute:: pvp_number  <key>
                    
                    	PVP number
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: l2transport
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Atm.Pvp.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Atm.Pvp.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATM.Atm.Pvp, self).__init__()

                        self.yang_name = "pvp"
                        self.yang_parent_name = "atm"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATM.Atm.Pvp.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.ATM.Atm.Pvp.XconnectPwClass)}
                        self._child_list_classes = {}

                        self.pvp_number = YLeaf(YType.uint16, "pvp-number")

                        self.l2transport = YLeaf(YType.empty, "l2transport")

                        self.xconnect = Native.Interface.ATM.Atm.Pvp.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")

                        self.xconnect_pw_class = Native.Interface.ATM.Atm.Pvp.XconnectPwClass()
                        self.xconnect_pw_class.parent = self
                        self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                        self._children_yang_names.add("xconnect-pw-class")
                        self._segment_path = lambda: "pvp" + "[pvp-number='" + self.pvp_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATM.Atm.Pvp, ['pvp_number', 'l2transport'], name, value)


                    class Xconnect(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Atm.Pvp.Xconnect.Encapsulation>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\: str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Atm.Pvp.Xconnect.Sequencing>`
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Atm.Pvp.Xconnect.Backup>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATM.Atm.Pvp.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "pvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"backup" : ("backup", Native.Interface.ATM.Atm.Pvp.Xconnect.Backup)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.manual = YLeaf(YType.empty, "manual")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.sequencing = YLeaf(YType.enumeration, "sequencing")

                            self.mtu = YLeaf(YType.uint32, "mtu")

                            self.backup = Native.Interface.ATM.Atm.Pvp.Xconnect.Backup()
                            self.backup.parent = self
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.ATM.Atm.Pvp.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = Enum.YLeaf(0, "mpls")

                            l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                        class Sequencing(Enum):
                            """
                            Sequencing

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = Enum.YLeaf(0, "both")

                            receive = Enum.YLeaf(1, "receive")

                            transmit = Enum.YLeaf(2, "transmit")



                        class Backup(Entity):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Atm.Pvp.Xconnect.Backup.Peer>`
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Atm.Pvp.Xconnect.Backup.Delay>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATM.Atm.Pvp.Xconnect.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Interface.ATM.Atm.Pvp.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.ATM.Atm.Pvp.Xconnect.Backup.Delay)}
                                self._child_list_classes = {}

                                self.peer = Native.Interface.ATM.Atm.Pvp.Xconnect.Backup.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.delay = Native.Interface.ATM.Atm.Pvp.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "backup"


                            class Peer(Entity):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATM.Atm.Pvp.Xconnect.Backup.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATM.Atm.Pvp.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                            class Delay(Entity):
                                """
                                backup delay time
                                
                                .. attribute:: min
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATM.Atm.Pvp.Xconnect.Backup.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.min = YLeaf(YType.uint32, "min")

                                    self.max = YLeaf(YType.uint32, "max")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATM.Atm.Pvp.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                    class XconnectPwClass(Entity):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATM.Atm.Pvp.XconnectPwClass, self).__init__()

                            self.yang_name = "xconnect-pw-class"
                            self.yang_parent_name = "pvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect)}
                            self._child_list_classes = {}

                            self.xconnect = Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")
                            self._segment_path = lambda: "xconnect-pw-class"


                        class Xconnect(Entity):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\: str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "xconnect-pw-class"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"udp" : ("udp", Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.udp = Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self._children_name_map["udp"] = "udp"
                                self._children_yang_names.add("udp")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                            class Udp(Entity):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp, self).__init__()

                                    self.yang_name = "udp"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"port" : ("port", Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port)}
                                    self._child_list_classes = {}

                                    self.port = Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self
                                    self._children_name_map["port"] = "port"
                                    self._children_yang_names.add("port")
                                    self._segment_path = lambda: "udp"


                                class Port(Entity):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                        self.yang_name = "port"
                                        self.yang_parent_name = "udp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.local = YLeaf(YType.uint32, "local")

                                        self.remote = YLeaf(YType.uint32, "remote")
                                        self._segment_path = lambda: "port"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


            class Cem(Entity):
                """
                CEM
                
                .. attribute:: number  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Cem.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Cem.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.ATM.Cem, self).__init__()

                    self.yang_name = "cem"
                    self.yang_parent_name = "ATM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATM.Cem.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.ATM.Cem.XconnectPwClass)}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint32, "number")

                    self.xconnect = Native.Interface.ATM.Cem.Xconnect()
                    self.xconnect.parent = self
                    self._children_name_map["xconnect"] = "xconnect"
                    self._children_yang_names.add("xconnect")

                    self.xconnect_pw_class = Native.Interface.ATM.Cem.XconnectPwClass()
                    self.xconnect_pw_class.parent = self
                    self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                    self._children_yang_names.add("xconnect-pw-class")
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:cem" + "[number='" + self.number.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.ATM.Cem, ['number'], name, value)


                class Xconnect(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Cem.Xconnect.Encapsulation>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\: str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Cem.Xconnect.Sequencing>`
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Cem.Xconnect.Backup>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATM.Cem.Xconnect, self).__init__()

                        self.yang_name = "xconnect"
                        self.yang_parent_name = "cem"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup" : ("backup", Native.Interface.ATM.Cem.Xconnect.Backup)}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.vcid = YLeaf(YType.uint32, "vcid")

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.manual = YLeaf(YType.empty, "manual")

                        self.pw_class = YLeaf(YType.str, "pw-class")

                        self.sequencing = YLeaf(YType.enumeration, "sequencing")

                        self.mtu = YLeaf(YType.uint32, "mtu")

                        self.backup = Native.Interface.ATM.Cem.Xconnect.Backup()
                        self.backup.parent = self
                        self._children_name_map["backup"] = "backup"
                        self._children_yang_names.add("backup")
                        self._segment_path = lambda: "xconnect"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATM.Cem.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = Enum.YLeaf(0, "mpls")

                        l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                    class Sequencing(Enum):
                        """
                        Sequencing

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        receive = Enum.YLeaf(1, "receive")

                        transmit = Enum.YLeaf(2, "transmit")



                    class Backup(Entity):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Cem.Xconnect.Backup.Peer>`
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Cem.Xconnect.Backup.Delay>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATM.Cem.Xconnect.Backup, self).__init__()

                            self.yang_name = "backup"
                            self.yang_parent_name = "xconnect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.ATM.Cem.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.ATM.Cem.Xconnect.Backup.Delay)}
                            self._child_list_classes = {}

                            self.peer = Native.Interface.ATM.Cem.Xconnect.Backup.Peer()
                            self.peer.parent = self
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.delay = Native.Interface.ATM.Cem.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "backup"


                        class Peer(Entity):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATM.Cem.Xconnect.Backup.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.priority = YLeaf(YType.uint8, "priority")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATM.Cem.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                        class Delay(Entity):
                            """
                            backup delay time
                            
                            .. attribute:: min
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: max
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATM.Cem.Xconnect.Backup.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.uint32, "min")

                                self.max = YLeaf(YType.uint32, "max")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATM.Cem.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                class XconnectPwClass(Entity):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Cem.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATM.Cem.XconnectPwClass, self).__init__()

                        self.yang_name = "xconnect-pw-class"
                        self.yang_parent_name = "cem"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATM.Cem.XconnectPwClass.Xconnect)}
                        self._child_list_classes = {}

                        self.xconnect = Native.Interface.ATM.Cem.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")
                        self._segment_path = lambda: "xconnect-pw-class"


                    class Xconnect(Entity):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\: str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Cem.XconnectPwClass.Xconnect.Udp>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATM.Cem.XconnectPwClass.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "xconnect-pw-class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"udp" : ("udp", Native.Interface.ATM.Cem.XconnectPwClass.Xconnect.Udp)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.udp = Native.Interface.ATM.Cem.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self._children_name_map["udp"] = "udp"
                            self._children_yang_names.add("udp")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.ATM.Cem.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                        class Udp(Entity):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Cem.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATM.Cem.XconnectPwClass.Xconnect.Udp, self).__init__()

                                self.yang_name = "udp"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"port" : ("port", Native.Interface.ATM.Cem.XconnectPwClass.Xconnect.Udp.Port)}
                                self._child_list_classes = {}

                                self.port = Native.Interface.ATM.Cem.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self
                                self._children_name_map["port"] = "port"
                                self._children_yang_names.add("port")
                                self._segment_path = lambda: "udp"


                            class Port(Entity):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATM.Cem.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                    self.yang_name = "port"
                                    self.yang_parent_name = "udp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.local = YLeaf(YType.uint32, "local")

                                    self.remote = YLeaf(YType.uint32, "remote")
                                    self._segment_path = lambda: "port"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATM.Cem.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


            class Pvc(Entity):
                """
                PVC
                
                .. attribute:: local_vpi_vci  <key>
                
                	Vpi and vci
                	**type**\: str
                
                .. attribute:: remote_vpi_vci
                
                	Vpi and vci
                	**type**\: str
                
                .. attribute:: l2transport
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ubr
                
                	UBR
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Pvc.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Pvc.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.ATM.Pvc, self).__init__()

                    self.yang_name = "pvc"
                    self.yang_parent_name = "ATM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATM.Pvc.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.ATM.Pvc.XconnectPwClass)}
                    self._child_list_classes = {}

                    self.local_vpi_vci = YLeaf(YType.str, "local-vpi-vci")

                    self.remote_vpi_vci = YLeaf(YType.str, "remote-vpi-vci")

                    self.l2transport = YLeaf(YType.empty, "l2transport")

                    self.ubr = YLeaf(YType.uint32, "ubr")

                    self.xconnect = Native.Interface.ATM.Pvc.Xconnect()
                    self.xconnect.parent = self
                    self._children_name_map["xconnect"] = "xconnect"
                    self._children_yang_names.add("xconnect")

                    self.xconnect_pw_class = Native.Interface.ATM.Pvc.XconnectPwClass()
                    self.xconnect_pw_class.parent = self
                    self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                    self._children_yang_names.add("xconnect-pw-class")
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:pvc" + "[local-vpi-vci='" + self.local_vpi_vci.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.ATM.Pvc, ['local_vpi_vci', 'remote_vpi_vci', 'l2transport', 'ubr'], name, value)


                class Xconnect(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Pvc.Xconnect.Encapsulation>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\: str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Pvc.Xconnect.Sequencing>`
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Pvc.Xconnect.Backup>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATM.Pvc.Xconnect, self).__init__()

                        self.yang_name = "xconnect"
                        self.yang_parent_name = "pvc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup" : ("backup", Native.Interface.ATM.Pvc.Xconnect.Backup)}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.vcid = YLeaf(YType.uint32, "vcid")

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.manual = YLeaf(YType.empty, "manual")

                        self.pw_class = YLeaf(YType.str, "pw-class")

                        self.sequencing = YLeaf(YType.enumeration, "sequencing")

                        self.mtu = YLeaf(YType.uint32, "mtu")

                        self.backup = Native.Interface.ATM.Pvc.Xconnect.Backup()
                        self.backup.parent = self
                        self._children_name_map["backup"] = "backup"
                        self._children_yang_names.add("backup")
                        self._segment_path = lambda: "xconnect"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATM.Pvc.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = Enum.YLeaf(0, "mpls")

                        l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                    class Sequencing(Enum):
                        """
                        Sequencing

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        receive = Enum.YLeaf(1, "receive")

                        transmit = Enum.YLeaf(2, "transmit")



                    class Backup(Entity):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Pvc.Xconnect.Backup.Peer>`
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Pvc.Xconnect.Backup.Delay>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATM.Pvc.Xconnect.Backup, self).__init__()

                            self.yang_name = "backup"
                            self.yang_parent_name = "xconnect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.ATM.Pvc.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.ATM.Pvc.Xconnect.Backup.Delay)}
                            self._child_list_classes = {}

                            self.peer = Native.Interface.ATM.Pvc.Xconnect.Backup.Peer()
                            self.peer.parent = self
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.delay = Native.Interface.ATM.Pvc.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "backup"


                        class Peer(Entity):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATM.Pvc.Xconnect.Backup.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.priority = YLeaf(YType.uint8, "priority")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATM.Pvc.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                        class Delay(Entity):
                            """
                            backup delay time
                            
                            .. attribute:: min
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: max
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATM.Pvc.Xconnect.Backup.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.uint32, "min")

                                self.max = YLeaf(YType.uint32, "max")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATM.Pvc.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                class XconnectPwClass(Entity):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATM.Pvc.XconnectPwClass, self).__init__()

                        self.yang_name = "xconnect-pw-class"
                        self.yang_parent_name = "pvc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect)}
                        self._child_list_classes = {}

                        self.xconnect = Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")
                        self._segment_path = lambda: "xconnect-pw-class"


                    class Xconnect(Entity):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\: str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect.Udp>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "xconnect-pw-class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"udp" : ("udp", Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect.Udp)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.udp = Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self._children_name_map["udp"] = "udp"
                            self._children_yang_names.add("udp")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                        class Udp(Entity):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect.Udp, self).__init__()

                                self.yang_name = "udp"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"port" : ("port", Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect.Udp.Port)}
                                self._child_list_classes = {}

                                self.port = Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self
                                self._children_name_map["port"] = "port"
                                self._children_yang_names.add("port")
                                self._segment_path = lambda: "udp"


                            class Port(Entity):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                    self.yang_name = "port"
                                    self.yang_parent_name = "udp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.local = YLeaf(YType.uint32, "local")

                                    self.remote = YLeaf(YType.uint32, "remote")
                                    self._segment_path = lambda: "port"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATM.Pvc.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


        class ATMSubinterface(Entity):
            """
            
            
            .. attribute:: atm
            
            	
            	**type**\: list of  		 :py:class:`ATM <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.ATMSubinterface, self).__init__()

                self.yang_name = "ATM-subinterface"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"ATM" : ("atm", Native.Interface.ATMSubinterface.ATM)}

                self.atm = YList(self)
                self._segment_path = lambda: "ATM-subinterface"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.ATMSubinterface, [], name, value)


            class ATM(Entity):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                
                .. attribute:: ip
                
                	IP address
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Ip>`
                
                .. attribute:: atm
                
                	ATM
                	**type**\:  :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Atm>`
                
                .. attribute:: load_interval
                
                	Load interval
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: cem
                
                	CEM
                	**type**\: list of  		 :py:class:`Cem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Cem>`
                
                .. attribute:: pvc
                
                	PVC
                	**type**\: list of  		 :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Pvc>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.ATMSubinterface.ATM, self).__init__()

                    self.yang_name = "ATM"
                    self.yang_parent_name = "ATM-subinterface"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"Cisco-IOS-XE-atm:ip" : ("ip", Native.Interface.ATMSubinterface.ATM.Ip), "Cisco-IOS-XE-atm:atm" : ("atm", Native.Interface.ATMSubinterface.ATM.Atm)}
                    self._child_list_classes = {"Cisco-IOS-XE-atm:cem" : ("cem", Native.Interface.ATMSubinterface.ATM.Cem), "Cisco-IOS-XE-atm:pvc" : ("pvc", Native.Interface.ATMSubinterface.ATM.Pvc)}

                    self.name = YLeaf(YType.str, "name")

                    self.load_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-atm:load-interval")

                    self.ip = Native.Interface.ATMSubinterface.ATM.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")

                    self.atm = Native.Interface.ATMSubinterface.ATM.Atm()
                    self.atm.parent = self
                    self._children_name_map["atm"] = "atm"
                    self._children_yang_names.add("atm")

                    self.cem = YList(self)
                    self.pvc = YList(self)
                    self._segment_path = lambda: "ATM" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/ATM-subinterface/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.ATMSubinterface.ATM, ['name', 'load_interval'], name, value)


                class Ip(Entity):
                    """
                    IP address
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATMSubinterface.ATM.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ATM"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")
                        self._segment_path = lambda: "Cisco-IOS-XE-atm:ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Ip, ['address'], name, value)


                class Atm(Entity):
                    """
                    ATM
                    
                    .. attribute:: bandwidth
                    
                    	ATM bandwith
                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Atm.Bandwidth>`
                    
                    .. attribute:: enable_ilmi_trap
                    
                    	Enable\-ilmi\-trap
                    	**type**\: bool
                    
                    .. attribute:: pvp
                    
                    	PVP
                    	**type**\: list of  		 :py:class:`Pvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Atm.Pvp>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATMSubinterface.ATM.Atm, self).__init__()

                        self.yang_name = "atm"
                        self.yang_parent_name = "ATM"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"pvp" : ("pvp", Native.Interface.ATMSubinterface.ATM.Atm.Pvp)}

                        self.bandwidth = YLeaf(YType.enumeration, "bandwidth")

                        self.enable_ilmi_trap = YLeaf(YType.boolean, "enable-ilmi-trap")

                        self.pvp = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-atm:atm"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Atm, ['bandwidth', 'enable_ilmi_trap'], name, value)

                    class Bandwidth(Enum):
                        """
                        Bandwidth

                        ATM bandwith

                        .. data:: dynamic = 0

                        """

                        dynamic = Enum.YLeaf(0, "dynamic")



                    class Pvp(Entity):
                        """
                        PVP
                        
                        .. attribute:: pvp_number  <key>
                        
                        	PVP number
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: l2transport
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: xconnect
                        
                        	
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect>`
                        
                        .. attribute:: xconnect_pw_class
                        
                        	
                        	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMSubinterface.ATM.Atm.Pvp, self).__init__()

                            self.yang_name = "pvp"
                            self.yang_parent_name = "atm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass)}
                            self._child_list_classes = {}

                            self.pvp_number = YLeaf(YType.uint16, "pvp-number")

                            self.l2transport = YLeaf(YType.empty, "l2transport")

                            self.xconnect = Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")

                            self.xconnect_pw_class = Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass()
                            self.xconnect_pw_class.parent = self
                            self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                            self._children_yang_names.add("xconnect-pw-class")
                            self._segment_path = lambda: "pvp" + "[pvp-number='" + self.pvp_number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Atm.Pvp, ['pvp_number', 'l2transport'], name, value)


                        class Xconnect(Entity):
                            """
                            
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: encapsulation
                            
                            	Data encapsulation method
                            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Encapsulation>`
                            
                            .. attribute:: manual
                            
                            	Manually configure L2TP session parameters
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pw_class
                            
                            	Optional pseudowire\-class to use for advanced configuration
                            	**type**\: str
                            
                            .. attribute:: sequencing
                            
                            	Configure sequencing options for xconnect
                            	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Sequencing>`
                            
                            .. attribute:: backup
                            
                            	Xconnect backup configuration commands
                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup>`
                            
                            .. attribute:: mtu
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "pvp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"backup" : ("backup", Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                                self.manual = YLeaf(YType.empty, "manual")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.sequencing = YLeaf(YType.enumeration, "sequencing")

                                self.mtu = YLeaf(YType.uint32, "mtu")

                                self.backup = Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup()
                                self.backup.parent = self
                                self._children_name_map["backup"] = "backup"
                                self._children_yang_names.add("backup")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                            class Encapsulation(Enum):
                                """
                                Encapsulation

                                Data encapsulation method

                                .. data:: mpls = 0

                                .. data:: l2tpv3 = 1

                                """

                                mpls = Enum.YLeaf(0, "mpls")

                                l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                            class Sequencing(Enum):
                                """
                                Sequencing

                                Configure sequencing options for xconnect

                                .. data:: both = 0

                                .. data:: receive = 1

                                .. data:: transmit = 2

                                """

                                both = Enum.YLeaf(0, "both")

                                receive = Enum.YLeaf(1, "receive")

                                transmit = Enum.YLeaf(2, "transmit")



                            class Backup(Entity):
                                """
                                Xconnect backup configuration commands
                                
                                .. attribute:: peer
                                
                                	Backup pseudowire
                                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup.Peer>`
                                
                                .. attribute:: delay
                                
                                	backup delay time
                                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup.Delay>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup, self).__init__()

                                    self.yang_name = "backup"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peer" : ("peer", Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup.Delay)}
                                    self._child_list_classes = {}

                                    self.peer = Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup.Peer()
                                    self.peer.parent = self
                                    self._children_name_map["peer"] = "peer"
                                    self._children_yang_names.add("peer")

                                    self.delay = Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup.Delay()
                                    self.delay.parent = self
                                    self._children_name_map["delay"] = "delay"
                                    self._children_yang_names.add("delay")
                                    self._segment_path = lambda: "backup"


                                class Peer(Entity):
                                    """
                                    Backup pseudowire
                                    
                                    .. attribute:: peer_router_ip_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: vcid
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: pw_class
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: priority
                                    
                                    	Optional priority to use for backup pseudowire
                                    	**type**\: int
                                    
                                    	**range:** 1..10
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup.Peer, self).__init__()

                                        self.yang_name = "peer"
                                        self.yang_parent_name = "backup"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                        self.vcid = YLeaf(YType.uint32, "vcid")

                                        self.pw_class = YLeaf(YType.str, "pw-class")

                                        self.priority = YLeaf(YType.uint8, "priority")
                                        self._segment_path = lambda: "peer"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                                class Delay(Entity):
                                    """
                                    backup delay time
                                    
                                    .. attribute:: min
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup.Delay, self).__init__()

                                        self.yang_name = "delay"
                                        self.yang_parent_name = "backup"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.min = YLeaf(YType.uint32, "min")

                                        self.max = YLeaf(YType.uint32, "max")
                                        self._segment_path = lambda: "delay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Atm.Pvp.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                        class XconnectPwClass(Entity):
                            """
                            
                            
                            .. attribute:: xconnect
                            
                            	Xconnect commands
                            	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass, self).__init__()

                                self.yang_name = "xconnect-pw-class"
                                self.yang_parent_name = "pvp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect)}
                                self._child_list_classes = {}

                                self.xconnect = Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect()
                                self.xconnect.parent = self
                                self._children_name_map["xconnect"] = "xconnect"
                                self._children_yang_names.add("xconnect")
                                self._segment_path = lambda: "xconnect-pw-class"


                            class Xconnect(Entity):
                                """
                                Xconnect commands
                                
                                .. attribute:: address
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	Pseudowire\-class to use for encapsulation and protocol configuration
                                	**type**\: str
                                
                                .. attribute:: udp
                                
                                	UDP
                                	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect, self).__init__()

                                    self.yang_name = "xconnect"
                                    self.yang_parent_name = "xconnect-pw-class"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"udp" : ("udp", Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp)}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.str, "address")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.udp = Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp()
                                    self.udp.parent = self
                                    self._children_name_map["udp"] = "udp"
                                    self._children_yang_names.add("udp")
                                    self._segment_path = lambda: "xconnect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                                class Udp(Entity):
                                    """
                                    UDP
                                    
                                    .. attribute:: port
                                    
                                    	UDP ports
                                    	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port>`
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp, self).__init__()

                                        self.yang_name = "udp"
                                        self.yang_parent_name = "xconnect"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"port" : ("port", Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port)}
                                        self._child_list_classes = {}

                                        self.port = Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port()
                                        self.port.parent = self
                                        self._children_name_map["port"] = "port"
                                        self._children_yang_names.add("port")
                                        self._segment_path = lambda: "udp"


                                    class Port(Entity):
                                        """
                                        UDP ports
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: remote
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-atm'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                            self.yang_name = "port"
                                            self.yang_parent_name = "udp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.local = YLeaf(YType.uint32, "local")

                                            self.remote = YLeaf(YType.uint32, "remote")
                                            self._segment_path = lambda: "port"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


                class Cem(Entity):
                    """
                    CEM
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Cem.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATMSubinterface.ATM.Cem, self).__init__()

                        self.yang_name = "cem"
                        self.yang_parent_name = "ATM"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMSubinterface.ATM.Cem.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass)}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint32, "number")

                        self.xconnect = Native.Interface.ATMSubinterface.ATM.Cem.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")

                        self.xconnect_pw_class = Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass()
                        self.xconnect_pw_class.parent = self
                        self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                        self._children_yang_names.add("xconnect-pw-class")
                        self._segment_path = lambda: "Cisco-IOS-XE-atm:cem" + "[number='" + self.number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Cem, ['number'], name, value)


                    class Xconnect(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Encapsulation>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\: str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Sequencing>`
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMSubinterface.ATM.Cem.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "cem"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"backup" : ("backup", Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.manual = YLeaf(YType.empty, "manual")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.sequencing = YLeaf(YType.enumeration, "sequencing")

                            self.mtu = YLeaf(YType.uint32, "mtu")

                            self.backup = Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup()
                            self.backup.parent = self
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Cem.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = Enum.YLeaf(0, "mpls")

                            l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                        class Sequencing(Enum):
                            """
                            Sequencing

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = Enum.YLeaf(0, "both")

                            receive = Enum.YLeaf(1, "receive")

                            transmit = Enum.YLeaf(2, "transmit")



                        class Backup(Entity):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup.Peer>`
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup.Delay>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup.Delay)}
                                self._child_list_classes = {}

                                self.peer = Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.delay = Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "backup"


                            class Peer(Entity):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                            class Delay(Entity):
                                """
                                backup delay time
                                
                                .. attribute:: min
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.min = YLeaf(YType.uint32, "min")

                                    self.max = YLeaf(YType.uint32, "max")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Cem.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                    class XconnectPwClass(Entity):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass, self).__init__()

                            self.yang_name = "xconnect-pw-class"
                            self.yang_parent_name = "cem"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect)}
                            self._child_list_classes = {}

                            self.xconnect = Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")
                            self._segment_path = lambda: "xconnect-pw-class"


                        class Xconnect(Entity):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\: str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect.Udp>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "xconnect-pw-class"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"udp" : ("udp", Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect.Udp)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.udp = Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self._children_name_map["udp"] = "udp"
                                self._children_yang_names.add("udp")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                            class Udp(Entity):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect.Udp, self).__init__()

                                    self.yang_name = "udp"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"port" : ("port", Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect.Udp.Port)}
                                    self._child_list_classes = {}

                                    self.port = Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self
                                    self._children_name_map["port"] = "port"
                                    self._children_yang_names.add("port")
                                    self._segment_path = lambda: "udp"


                                class Port(Entity):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                        self.yang_name = "port"
                                        self.yang_parent_name = "udp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.local = YLeaf(YType.uint32, "local")

                                        self.remote = YLeaf(YType.uint32, "remote")
                                        self._segment_path = lambda: "port"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Cem.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


                class Pvc(Entity):
                    """
                    PVC
                    
                    .. attribute:: local_vpi_vci  <key>
                    
                    	Vpi and vci
                    	**type**\: str
                    
                    .. attribute:: remote_vpi_vci
                    
                    	Vpi and vci
                    	**type**\: str
                    
                    .. attribute:: l2transport
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ubr
                    
                    	UBR
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATMSubinterface.ATM.Pvc, self).__init__()

                        self.yang_name = "pvc"
                        self.yang_parent_name = "ATM"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass)}
                        self._child_list_classes = {}

                        self.local_vpi_vci = YLeaf(YType.str, "local-vpi-vci")

                        self.remote_vpi_vci = YLeaf(YType.str, "remote-vpi-vci")

                        self.l2transport = YLeaf(YType.empty, "l2transport")

                        self.ubr = YLeaf(YType.uint32, "ubr")

                        self.xconnect = Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")

                        self.xconnect_pw_class = Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass()
                        self.xconnect_pw_class.parent = self
                        self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                        self._children_yang_names.add("xconnect-pw-class")
                        self._segment_path = lambda: "Cisco-IOS-XE-atm:pvc" + "[local-vpi-vci='" + self.local_vpi_vci.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Pvc, ['local_vpi_vci', 'remote_vpi_vci', 'l2transport', 'ubr'], name, value)


                    class Xconnect(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Encapsulation>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\: str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Sequencing>`
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "pvc"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"backup" : ("backup", Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.manual = YLeaf(YType.empty, "manual")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.sequencing = YLeaf(YType.enumeration, "sequencing")

                            self.mtu = YLeaf(YType.uint32, "mtu")

                            self.backup = Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup()
                            self.backup.parent = self
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = Enum.YLeaf(0, "mpls")

                            l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                        class Sequencing(Enum):
                            """
                            Sequencing

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = Enum.YLeaf(0, "both")

                            receive = Enum.YLeaf(1, "receive")

                            transmit = Enum.YLeaf(2, "transmit")



                        class Backup(Entity):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup.Peer>`
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup.Delay>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup.Delay)}
                                self._child_list_classes = {}

                                self.peer = Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.delay = Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "backup"


                            class Peer(Entity):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                            class Delay(Entity):
                                """
                                backup delay time
                                
                                .. attribute:: min
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.min = YLeaf(YType.uint32, "min")

                                    self.max = YLeaf(YType.uint32, "max")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Pvc.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                    class XconnectPwClass(Entity):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass, self).__init__()

                            self.yang_name = "xconnect-pw-class"
                            self.yang_parent_name = "pvc"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect)}
                            self._child_list_classes = {}

                            self.xconnect = Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")
                            self._segment_path = lambda: "xconnect-pw-class"


                        class Xconnect(Entity):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\: str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect.Udp>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "xconnect-pw-class"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"udp" : ("udp", Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect.Udp)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.udp = Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self._children_name_map["udp"] = "udp"
                                self._children_yang_names.add("udp")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                            class Udp(Entity):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect.Udp, self).__init__()

                                    self.yang_name = "udp"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"port" : ("port", Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect.Udp.Port)}
                                    self._child_list_classes = {}

                                    self.port = Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self
                                    self._children_name_map["port"] = "port"
                                    self._children_yang_names.add("port")
                                    self._segment_path = lambda: "udp"


                                class Port(Entity):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                        self.yang_name = "port"
                                        self.yang_parent_name = "udp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.local = YLeaf(YType.uint32, "local")

                                        self.remote = YLeaf(YType.uint32, "remote")
                                        self._segment_path = lambda: "port"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.ATMSubinterface.ATM.Pvc.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


        class ATMACR(Entity):
            """
            ATM\-ACR interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            	**pattern:** [0\-9]
            
            .. attribute:: ip
            
            	IP address
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Ip>`
            
            .. attribute:: atm
            
            	ATM
            	**type**\:  :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Atm>`
            
            .. attribute:: load_interval
            
            	Load interval
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: cem
            
            	CEM
            	**type**\: list of  		 :py:class:`Cem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Cem>`
            
            .. attribute:: pvc
            
            	PVC
            	**type**\: list of  		 :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Pvc>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.ATMACR, self).__init__()

                self.yang_name = "ATM-ACR"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-atm:ip" : ("ip", Native.Interface.ATMACR.Ip), "Cisco-IOS-XE-atm:atm" : ("atm", Native.Interface.ATMACR.Atm)}
                self._child_list_classes = {"Cisco-IOS-XE-atm:cem" : ("cem", Native.Interface.ATMACR.Cem), "Cisco-IOS-XE-atm:pvc" : ("pvc", Native.Interface.ATMACR.Pvc)}

                self.name = YLeaf(YType.str, "name")

                self.load_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-atm:load-interval")

                self.ip = Native.Interface.ATMACR.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.atm = Native.Interface.ATMACR.Atm()
                self.atm.parent = self
                self._children_name_map["atm"] = "atm"
                self._children_yang_names.add("atm")

                self.cem = YList(self)
                self.pvc = YList(self)
                self._segment_path = lambda: "ATM-ACR" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.ATMACR, ['name', 'load_interval'], name, value)


            class Ip(Entity):
                """
                IP address
                
                .. attribute:: address
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.ATMACR.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "ATM-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.str, "address")
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.ATMACR.Ip, ['address'], name, value)


            class Atm(Entity):
                """
                ATM
                
                .. attribute:: bandwidth
                
                	ATM bandwith
                	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Atm.Bandwidth>`
                
                .. attribute:: enable_ilmi_trap
                
                	Enable\-ilmi\-trap
                	**type**\: bool
                
                .. attribute:: pvp
                
                	PVP
                	**type**\: list of  		 :py:class:`Pvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Atm.Pvp>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.ATMACR.Atm, self).__init__()

                    self.yang_name = "atm"
                    self.yang_parent_name = "ATM-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"pvp" : ("pvp", Native.Interface.ATMACR.Atm.Pvp)}

                    self.bandwidth = YLeaf(YType.enumeration, "bandwidth")

                    self.enable_ilmi_trap = YLeaf(YType.boolean, "enable-ilmi-trap")

                    self.pvp = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:atm"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.ATMACR.Atm, ['bandwidth', 'enable_ilmi_trap'], name, value)

                class Bandwidth(Enum):
                    """
                    Bandwidth

                    ATM bandwith

                    .. data:: dynamic = 0

                    """

                    dynamic = Enum.YLeaf(0, "dynamic")



                class Pvp(Entity):
                    """
                    PVP
                    
                    .. attribute:: pvp_number  <key>
                    
                    	PVP number
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: l2transport
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Atm.Pvp.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATMACR.Atm.Pvp, self).__init__()

                        self.yang_name = "pvp"
                        self.yang_parent_name = "atm"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMACR.Atm.Pvp.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass)}
                        self._child_list_classes = {}

                        self.pvp_number = YLeaf(YType.uint16, "pvp-number")

                        self.l2transport = YLeaf(YType.empty, "l2transport")

                        self.xconnect = Native.Interface.ATMACR.Atm.Pvp.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")

                        self.xconnect_pw_class = Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass()
                        self.xconnect_pw_class.parent = self
                        self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                        self._children_yang_names.add("xconnect-pw-class")
                        self._segment_path = lambda: "pvp" + "[pvp-number='" + self.pvp_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATMACR.Atm.Pvp, ['pvp_number', 'l2transport'], name, value)


                    class Xconnect(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Atm.Pvp.Xconnect.Encapsulation>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\: str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Atm.Pvp.Xconnect.Sequencing>`
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMACR.Atm.Pvp.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "pvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"backup" : ("backup", Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.manual = YLeaf(YType.empty, "manual")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.sequencing = YLeaf(YType.enumeration, "sequencing")

                            self.mtu = YLeaf(YType.uint32, "mtu")

                            self.backup = Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup()
                            self.backup.parent = self
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.ATMACR.Atm.Pvp.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = Enum.YLeaf(0, "mpls")

                            l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                        class Sequencing(Enum):
                            """
                            Sequencing

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = Enum.YLeaf(0, "both")

                            receive = Enum.YLeaf(1, "receive")

                            transmit = Enum.YLeaf(2, "transmit")



                        class Backup(Entity):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup.Peer>`
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup.Delay>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup.Delay)}
                                self._child_list_classes = {}

                                self.peer = Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.delay = Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "backup"


                            class Peer(Entity):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                            class Delay(Entity):
                                """
                                backup delay time
                                
                                .. attribute:: min
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.min = YLeaf(YType.uint32, "min")

                                    self.max = YLeaf(YType.uint32, "max")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMACR.Atm.Pvp.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                    class XconnectPwClass(Entity):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass, self).__init__()

                            self.yang_name = "xconnect-pw-class"
                            self.yang_parent_name = "pvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect)}
                            self._child_list_classes = {}

                            self.xconnect = Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")
                            self._segment_path = lambda: "xconnect-pw-class"


                        class Xconnect(Entity):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\: str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "xconnect-pw-class"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"udp" : ("udp", Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.udp = Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self._children_name_map["udp"] = "udp"
                                self._children_yang_names.add("udp")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                            class Udp(Entity):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp, self).__init__()

                                    self.yang_name = "udp"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"port" : ("port", Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port)}
                                    self._child_list_classes = {}

                                    self.port = Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self
                                    self._children_name_map["port"] = "port"
                                    self._children_yang_names.add("port")
                                    self._segment_path = lambda: "udp"


                                class Port(Entity):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                        self.yang_name = "port"
                                        self.yang_parent_name = "udp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.local = YLeaf(YType.uint32, "local")

                                        self.remote = YLeaf(YType.uint32, "remote")
                                        self._segment_path = lambda: "port"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


            class Cem(Entity):
                """
                CEM
                
                .. attribute:: number  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Cem.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Cem.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.ATMACR.Cem, self).__init__()

                    self.yang_name = "cem"
                    self.yang_parent_name = "ATM-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMACR.Cem.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.ATMACR.Cem.XconnectPwClass)}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint32, "number")

                    self.xconnect = Native.Interface.ATMACR.Cem.Xconnect()
                    self.xconnect.parent = self
                    self._children_name_map["xconnect"] = "xconnect"
                    self._children_yang_names.add("xconnect")

                    self.xconnect_pw_class = Native.Interface.ATMACR.Cem.XconnectPwClass()
                    self.xconnect_pw_class.parent = self
                    self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                    self._children_yang_names.add("xconnect-pw-class")
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:cem" + "[number='" + self.number.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.ATMACR.Cem, ['number'], name, value)


                class Xconnect(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Cem.Xconnect.Encapsulation>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\: str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Cem.Xconnect.Sequencing>`
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Cem.Xconnect.Backup>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATMACR.Cem.Xconnect, self).__init__()

                        self.yang_name = "xconnect"
                        self.yang_parent_name = "cem"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup" : ("backup", Native.Interface.ATMACR.Cem.Xconnect.Backup)}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.vcid = YLeaf(YType.uint32, "vcid")

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.manual = YLeaf(YType.empty, "manual")

                        self.pw_class = YLeaf(YType.str, "pw-class")

                        self.sequencing = YLeaf(YType.enumeration, "sequencing")

                        self.mtu = YLeaf(YType.uint32, "mtu")

                        self.backup = Native.Interface.ATMACR.Cem.Xconnect.Backup()
                        self.backup.parent = self
                        self._children_name_map["backup"] = "backup"
                        self._children_yang_names.add("backup")
                        self._segment_path = lambda: "xconnect"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATMACR.Cem.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = Enum.YLeaf(0, "mpls")

                        l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                    class Sequencing(Enum):
                        """
                        Sequencing

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        receive = Enum.YLeaf(1, "receive")

                        transmit = Enum.YLeaf(2, "transmit")



                    class Backup(Entity):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Cem.Xconnect.Backup.Peer>`
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Cem.Xconnect.Backup.Delay>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMACR.Cem.Xconnect.Backup, self).__init__()

                            self.yang_name = "backup"
                            self.yang_parent_name = "xconnect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.ATMACR.Cem.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.ATMACR.Cem.Xconnect.Backup.Delay)}
                            self._child_list_classes = {}

                            self.peer = Native.Interface.ATMACR.Cem.Xconnect.Backup.Peer()
                            self.peer.parent = self
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.delay = Native.Interface.ATMACR.Cem.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "backup"


                        class Peer(Entity):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACR.Cem.Xconnect.Backup.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.priority = YLeaf(YType.uint8, "priority")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATMACR.Cem.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                        class Delay(Entity):
                            """
                            backup delay time
                            
                            .. attribute:: min
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: max
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACR.Cem.Xconnect.Backup.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.uint32, "min")

                                self.max = YLeaf(YType.uint32, "max")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATMACR.Cem.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                class XconnectPwClass(Entity):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATMACR.Cem.XconnectPwClass, self).__init__()

                        self.yang_name = "xconnect-pw-class"
                        self.yang_parent_name = "cem"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect)}
                        self._child_list_classes = {}

                        self.xconnect = Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")
                        self._segment_path = lambda: "xconnect-pw-class"


                    class Xconnect(Entity):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\: str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "xconnect-pw-class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"udp" : ("udp", Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.udp = Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self._children_name_map["udp"] = "udp"
                            self._children_yang_names.add("udp")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                        class Udp(Entity):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp, self).__init__()

                                self.yang_name = "udp"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"port" : ("port", Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp.Port)}
                                self._child_list_classes = {}

                                self.port = Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self
                                self._children_name_map["port"] = "port"
                                self._children_yang_names.add("port")
                                self._segment_path = lambda: "udp"


                            class Port(Entity):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                    self.yang_name = "port"
                                    self.yang_parent_name = "udp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.local = YLeaf(YType.uint32, "local")

                                    self.remote = YLeaf(YType.uint32, "remote")
                                    self._segment_path = lambda: "port"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


            class Pvc(Entity):
                """
                PVC
                
                .. attribute:: local_vpi_vci  <key>
                
                	Vpi and vci
                	**type**\: str
                
                .. attribute:: remote_vpi_vci
                
                	Vpi and vci
                	**type**\: str
                
                .. attribute:: l2transport
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ubr
                
                	UBR
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Pvc.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Pvc.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.ATMACR.Pvc, self).__init__()

                    self.yang_name = "pvc"
                    self.yang_parent_name = "ATM-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMACR.Pvc.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.ATMACR.Pvc.XconnectPwClass)}
                    self._child_list_classes = {}

                    self.local_vpi_vci = YLeaf(YType.str, "local-vpi-vci")

                    self.remote_vpi_vci = YLeaf(YType.str, "remote-vpi-vci")

                    self.l2transport = YLeaf(YType.empty, "l2transport")

                    self.ubr = YLeaf(YType.uint32, "ubr")

                    self.xconnect = Native.Interface.ATMACR.Pvc.Xconnect()
                    self.xconnect.parent = self
                    self._children_name_map["xconnect"] = "xconnect"
                    self._children_yang_names.add("xconnect")

                    self.xconnect_pw_class = Native.Interface.ATMACR.Pvc.XconnectPwClass()
                    self.xconnect_pw_class.parent = self
                    self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                    self._children_yang_names.add("xconnect-pw-class")
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:pvc" + "[local-vpi-vci='" + self.local_vpi_vci.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.ATMACR.Pvc, ['local_vpi_vci', 'remote_vpi_vci', 'l2transport', 'ubr'], name, value)


                class Xconnect(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Pvc.Xconnect.Encapsulation>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\: str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Pvc.Xconnect.Sequencing>`
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Pvc.Xconnect.Backup>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATMACR.Pvc.Xconnect, self).__init__()

                        self.yang_name = "xconnect"
                        self.yang_parent_name = "pvc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup" : ("backup", Native.Interface.ATMACR.Pvc.Xconnect.Backup)}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.vcid = YLeaf(YType.uint32, "vcid")

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.manual = YLeaf(YType.empty, "manual")

                        self.pw_class = YLeaf(YType.str, "pw-class")

                        self.sequencing = YLeaf(YType.enumeration, "sequencing")

                        self.mtu = YLeaf(YType.uint32, "mtu")

                        self.backup = Native.Interface.ATMACR.Pvc.Xconnect.Backup()
                        self.backup.parent = self
                        self._children_name_map["backup"] = "backup"
                        self._children_yang_names.add("backup")
                        self._segment_path = lambda: "xconnect"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATMACR.Pvc.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = Enum.YLeaf(0, "mpls")

                        l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                    class Sequencing(Enum):
                        """
                        Sequencing

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        receive = Enum.YLeaf(1, "receive")

                        transmit = Enum.YLeaf(2, "transmit")



                    class Backup(Entity):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Pvc.Xconnect.Backup.Peer>`
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Pvc.Xconnect.Backup.Delay>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMACR.Pvc.Xconnect.Backup, self).__init__()

                            self.yang_name = "backup"
                            self.yang_parent_name = "xconnect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.ATMACR.Pvc.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.ATMACR.Pvc.Xconnect.Backup.Delay)}
                            self._child_list_classes = {}

                            self.peer = Native.Interface.ATMACR.Pvc.Xconnect.Backup.Peer()
                            self.peer.parent = self
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.delay = Native.Interface.ATMACR.Pvc.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "backup"


                        class Peer(Entity):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACR.Pvc.Xconnect.Backup.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.priority = YLeaf(YType.uint8, "priority")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATMACR.Pvc.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                        class Delay(Entity):
                            """
                            backup delay time
                            
                            .. attribute:: min
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: max
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACR.Pvc.Xconnect.Backup.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.uint32, "min")

                                self.max = YLeaf(YType.uint32, "max")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATMACR.Pvc.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                class XconnectPwClass(Entity):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATMACR.Pvc.XconnectPwClass, self).__init__()

                        self.yang_name = "xconnect-pw-class"
                        self.yang_parent_name = "pvc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect)}
                        self._child_list_classes = {}

                        self.xconnect = Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")
                        self._segment_path = lambda: "xconnect-pw-class"


                    class Xconnect(Entity):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\: str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "xconnect-pw-class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"udp" : ("udp", Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.udp = Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self._children_name_map["udp"] = "udp"
                            self._children_yang_names.add("udp")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                        class Udp(Entity):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp, self).__init__()

                                self.yang_name = "udp"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"port" : ("port", Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port)}
                                self._child_list_classes = {}

                                self.port = Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self
                                self._children_name_map["port"] = "port"
                                self._children_yang_names.add("port")
                                self._segment_path = lambda: "udp"


                            class Port(Entity):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                    self.yang_name = "port"
                                    self.yang_parent_name = "udp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.local = YLeaf(YType.uint32, "local")

                                    self.remote = YLeaf(YType.uint32, "remote")
                                    self._segment_path = lambda: "port"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


        class ATMACRsubinterface(Entity):
            """
            
            
            .. attribute:: atm_acr
            
            	
            	**type**\: list of  		 :py:class:`ATMACR <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.ATMACRsubinterface, self).__init__()

                self.yang_name = "ATM-ACRsubinterface"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"ATM-ACR" : ("atm_acr", Native.Interface.ATMACRsubinterface.ATMACR)}

                self.atm_acr = YList(self)
                self._segment_path = lambda: "ATM-ACRsubinterface"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.ATMACRsubinterface, [], name, value)


            class ATMACR(Entity):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                
                .. attribute:: ip
                
                	IP address
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Ip>`
                
                .. attribute:: atm
                
                	ATM
                	**type**\:  :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Atm>`
                
                .. attribute:: load_interval
                
                	Load interval
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: cem
                
                	CEM
                	**type**\: list of  		 :py:class:`Cem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Cem>`
                
                .. attribute:: pvc
                
                	PVC
                	**type**\: list of  		 :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Pvc>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.ATMACRsubinterface.ATMACR, self).__init__()

                    self.yang_name = "ATM-ACR"
                    self.yang_parent_name = "ATM-ACRsubinterface"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"Cisco-IOS-XE-atm:ip" : ("ip", Native.Interface.ATMACRsubinterface.ATMACR.Ip), "Cisco-IOS-XE-atm:atm" : ("atm", Native.Interface.ATMACRsubinterface.ATMACR.Atm)}
                    self._child_list_classes = {"Cisco-IOS-XE-atm:cem" : ("cem", Native.Interface.ATMACRsubinterface.ATMACR.Cem), "Cisco-IOS-XE-atm:pvc" : ("pvc", Native.Interface.ATMACRsubinterface.ATMACR.Pvc)}

                    self.name = YLeaf(YType.str, "name")

                    self.load_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-atm:load-interval")

                    self.ip = Native.Interface.ATMACRsubinterface.ATMACR.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")

                    self.atm = Native.Interface.ATMACRsubinterface.ATMACR.Atm()
                    self.atm.parent = self
                    self._children_name_map["atm"] = "atm"
                    self._children_yang_names.add("atm")

                    self.cem = YList(self)
                    self.pvc = YList(self)
                    self._segment_path = lambda: "ATM-ACR" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/ATM-ACRsubinterface/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR, ['name', 'load_interval'], name, value)


                class Ip(Entity):
                    """
                    IP address
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATMACRsubinterface.ATMACR.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ATM-ACR"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")
                        self._segment_path = lambda: "Cisco-IOS-XE-atm:ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Ip, ['address'], name, value)


                class Atm(Entity):
                    """
                    ATM
                    
                    .. attribute:: bandwidth
                    
                    	ATM bandwith
                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Atm.Bandwidth>`
                    
                    .. attribute:: enable_ilmi_trap
                    
                    	Enable\-ilmi\-trap
                    	**type**\: bool
                    
                    .. attribute:: pvp
                    
                    	PVP
                    	**type**\: list of  		 :py:class:`Pvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATMACRsubinterface.ATMACR.Atm, self).__init__()

                        self.yang_name = "atm"
                        self.yang_parent_name = "ATM-ACR"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"pvp" : ("pvp", Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp)}

                        self.bandwidth = YLeaf(YType.enumeration, "bandwidth")

                        self.enable_ilmi_trap = YLeaf(YType.boolean, "enable-ilmi-trap")

                        self.pvp = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-atm:atm"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Atm, ['bandwidth', 'enable_ilmi_trap'], name, value)

                    class Bandwidth(Enum):
                        """
                        Bandwidth

                        ATM bandwith

                        .. data:: dynamic = 0

                        """

                        dynamic = Enum.YLeaf(0, "dynamic")



                    class Pvp(Entity):
                        """
                        PVP
                        
                        .. attribute:: pvp_number  <key>
                        
                        	PVP number
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: l2transport
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: xconnect
                        
                        	
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect>`
                        
                        .. attribute:: xconnect_pw_class
                        
                        	
                        	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp, self).__init__()

                            self.yang_name = "pvp"
                            self.yang_parent_name = "atm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass)}
                            self._child_list_classes = {}

                            self.pvp_number = YLeaf(YType.uint16, "pvp-number")

                            self.l2transport = YLeaf(YType.empty, "l2transport")

                            self.xconnect = Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")

                            self.xconnect_pw_class = Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass()
                            self.xconnect_pw_class.parent = self
                            self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                            self._children_yang_names.add("xconnect-pw-class")
                            self._segment_path = lambda: "pvp" + "[pvp-number='" + self.pvp_number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp, ['pvp_number', 'l2transport'], name, value)


                        class Xconnect(Entity):
                            """
                            
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: encapsulation
                            
                            	Data encapsulation method
                            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Encapsulation>`
                            
                            .. attribute:: manual
                            
                            	Manually configure L2TP session parameters
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pw_class
                            
                            	Optional pseudowire\-class to use for advanced configuration
                            	**type**\: str
                            
                            .. attribute:: sequencing
                            
                            	Configure sequencing options for xconnect
                            	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Sequencing>`
                            
                            .. attribute:: backup
                            
                            	Xconnect backup configuration commands
                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup>`
                            
                            .. attribute:: mtu
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "pvp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"backup" : ("backup", Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                                self.manual = YLeaf(YType.empty, "manual")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.sequencing = YLeaf(YType.enumeration, "sequencing")

                                self.mtu = YLeaf(YType.uint32, "mtu")

                                self.backup = Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup()
                                self.backup.parent = self
                                self._children_name_map["backup"] = "backup"
                                self._children_yang_names.add("backup")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                            class Encapsulation(Enum):
                                """
                                Encapsulation

                                Data encapsulation method

                                .. data:: mpls = 0

                                .. data:: l2tpv3 = 1

                                """

                                mpls = Enum.YLeaf(0, "mpls")

                                l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                            class Sequencing(Enum):
                                """
                                Sequencing

                                Configure sequencing options for xconnect

                                .. data:: both = 0

                                .. data:: receive = 1

                                .. data:: transmit = 2

                                """

                                both = Enum.YLeaf(0, "both")

                                receive = Enum.YLeaf(1, "receive")

                                transmit = Enum.YLeaf(2, "transmit")



                            class Backup(Entity):
                                """
                                Xconnect backup configuration commands
                                
                                .. attribute:: peer
                                
                                	Backup pseudowire
                                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup.Peer>`
                                
                                .. attribute:: delay
                                
                                	backup delay time
                                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup.Delay>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup, self).__init__()

                                    self.yang_name = "backup"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peer" : ("peer", Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup.Delay)}
                                    self._child_list_classes = {}

                                    self.peer = Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup.Peer()
                                    self.peer.parent = self
                                    self._children_name_map["peer"] = "peer"
                                    self._children_yang_names.add("peer")

                                    self.delay = Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup.Delay()
                                    self.delay.parent = self
                                    self._children_name_map["delay"] = "delay"
                                    self._children_yang_names.add("delay")
                                    self._segment_path = lambda: "backup"


                                class Peer(Entity):
                                    """
                                    Backup pseudowire
                                    
                                    .. attribute:: peer_router_ip_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: vcid
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: pw_class
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: priority
                                    
                                    	Optional priority to use for backup pseudowire
                                    	**type**\: int
                                    
                                    	**range:** 1..10
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup.Peer, self).__init__()

                                        self.yang_name = "peer"
                                        self.yang_parent_name = "backup"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                        self.vcid = YLeaf(YType.uint32, "vcid")

                                        self.pw_class = YLeaf(YType.str, "pw-class")

                                        self.priority = YLeaf(YType.uint8, "priority")
                                        self._segment_path = lambda: "peer"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                                class Delay(Entity):
                                    """
                                    backup delay time
                                    
                                    .. attribute:: min
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup.Delay, self).__init__()

                                        self.yang_name = "delay"
                                        self.yang_parent_name = "backup"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.min = YLeaf(YType.uint32, "min")

                                        self.max = YLeaf(YType.uint32, "max")
                                        self._segment_path = lambda: "delay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                        class XconnectPwClass(Entity):
                            """
                            
                            
                            .. attribute:: xconnect
                            
                            	Xconnect commands
                            	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass, self).__init__()

                                self.yang_name = "xconnect-pw-class"
                                self.yang_parent_name = "pvp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect)}
                                self._child_list_classes = {}

                                self.xconnect = Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect()
                                self.xconnect.parent = self
                                self._children_name_map["xconnect"] = "xconnect"
                                self._children_yang_names.add("xconnect")
                                self._segment_path = lambda: "xconnect-pw-class"


                            class Xconnect(Entity):
                                """
                                Xconnect commands
                                
                                .. attribute:: address
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	Pseudowire\-class to use for encapsulation and protocol configuration
                                	**type**\: str
                                
                                .. attribute:: udp
                                
                                	UDP
                                	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect, self).__init__()

                                    self.yang_name = "xconnect"
                                    self.yang_parent_name = "xconnect-pw-class"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"udp" : ("udp", Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp)}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.str, "address")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.udp = Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp()
                                    self.udp.parent = self
                                    self._children_name_map["udp"] = "udp"
                                    self._children_yang_names.add("udp")
                                    self._segment_path = lambda: "xconnect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                                class Udp(Entity):
                                    """
                                    UDP
                                    
                                    .. attribute:: port
                                    
                                    	UDP ports
                                    	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port>`
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp, self).__init__()

                                        self.yang_name = "udp"
                                        self.yang_parent_name = "xconnect"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"port" : ("port", Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port)}
                                        self._child_list_classes = {}

                                        self.port = Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port()
                                        self.port.parent = self
                                        self._children_name_map["port"] = "port"
                                        self._children_yang_names.add("port")
                                        self._segment_path = lambda: "udp"


                                    class Port(Entity):
                                        """
                                        UDP ports
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: remote
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-atm'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                            self.yang_name = "port"
                                            self.yang_parent_name = "udp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.local = YLeaf(YType.uint32, "local")

                                            self.remote = YLeaf(YType.uint32, "remote")
                                            self._segment_path = lambda: "port"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


                class Cem(Entity):
                    """
                    CEM
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATMACRsubinterface.ATMACR.Cem, self).__init__()

                        self.yang_name = "cem"
                        self.yang_parent_name = "ATM-ACR"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass)}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint32, "number")

                        self.xconnect = Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")

                        self.xconnect_pw_class = Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass()
                        self.xconnect_pw_class.parent = self
                        self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                        self._children_yang_names.add("xconnect-pw-class")
                        self._segment_path = lambda: "Cisco-IOS-XE-atm:cem" + "[number='" + self.number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Cem, ['number'], name, value)


                    class Xconnect(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Encapsulation>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\: str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Sequencing>`
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "cem"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"backup" : ("backup", Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.manual = YLeaf(YType.empty, "manual")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.sequencing = YLeaf(YType.enumeration, "sequencing")

                            self.mtu = YLeaf(YType.uint32, "mtu")

                            self.backup = Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup()
                            self.backup.parent = self
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = Enum.YLeaf(0, "mpls")

                            l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                        class Sequencing(Enum):
                            """
                            Sequencing

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = Enum.YLeaf(0, "both")

                            receive = Enum.YLeaf(1, "receive")

                            transmit = Enum.YLeaf(2, "transmit")



                        class Backup(Entity):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup.Peer>`
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup.Delay>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup.Delay)}
                                self._child_list_classes = {}

                                self.peer = Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.delay = Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "backup"


                            class Peer(Entity):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                            class Delay(Entity):
                                """
                                backup delay time
                                
                                .. attribute:: min
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.min = YLeaf(YType.uint32, "min")

                                    self.max = YLeaf(YType.uint32, "max")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Cem.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                    class XconnectPwClass(Entity):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass, self).__init__()

                            self.yang_name = "xconnect-pw-class"
                            self.yang_parent_name = "cem"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect)}
                            self._child_list_classes = {}

                            self.xconnect = Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")
                            self._segment_path = lambda: "xconnect-pw-class"


                        class Xconnect(Entity):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\: str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "xconnect-pw-class"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"udp" : ("udp", Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.udp = Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self._children_name_map["udp"] = "udp"
                                self._children_yang_names.add("udp")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                            class Udp(Entity):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp, self).__init__()

                                    self.yang_name = "udp"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"port" : ("port", Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp.Port)}
                                    self._child_list_classes = {}

                                    self.port = Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self
                                    self._children_name_map["port"] = "port"
                                    self._children_yang_names.add("port")
                                    self._segment_path = lambda: "udp"


                                class Port(Entity):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                        self.yang_name = "port"
                                        self.yang_parent_name = "udp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.local = YLeaf(YType.uint32, "local")

                                        self.remote = YLeaf(YType.uint32, "remote")
                                        self._segment_path = lambda: "port"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Cem.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


                class Pvc(Entity):
                    """
                    PVC
                    
                    .. attribute:: local_vpi_vci  <key>
                    
                    	Vpi and vci
                    	**type**\: str
                    
                    .. attribute:: remote_vpi_vci
                    
                    	Vpi and vci
                    	**type**\: str
                    
                    .. attribute:: l2transport
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ubr
                    
                    	UBR
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.ATMACRsubinterface.ATMACR.Pvc, self).__init__()

                        self.yang_name = "pvc"
                        self.yang_parent_name = "ATM-ACR"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass)}
                        self._child_list_classes = {}

                        self.local_vpi_vci = YLeaf(YType.str, "local-vpi-vci")

                        self.remote_vpi_vci = YLeaf(YType.str, "remote-vpi-vci")

                        self.l2transport = YLeaf(YType.empty, "l2transport")

                        self.ubr = YLeaf(YType.uint32, "ubr")

                        self.xconnect = Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")

                        self.xconnect_pw_class = Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass()
                        self.xconnect_pw_class.parent = self
                        self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                        self._children_yang_names.add("xconnect-pw-class")
                        self._segment_path = lambda: "Cisco-IOS-XE-atm:pvc" + "[local-vpi-vci='" + self.local_vpi_vci.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Pvc, ['local_vpi_vci', 'remote_vpi_vci', 'l2transport', 'ubr'], name, value)


                    class Xconnect(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Encapsulation>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\: str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Sequencing>`
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "pvc"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"backup" : ("backup", Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.manual = YLeaf(YType.empty, "manual")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.sequencing = YLeaf(YType.enumeration, "sequencing")

                            self.mtu = YLeaf(YType.uint32, "mtu")

                            self.backup = Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup()
                            self.backup.parent = self
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = Enum.YLeaf(0, "mpls")

                            l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                        class Sequencing(Enum):
                            """
                            Sequencing

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = Enum.YLeaf(0, "both")

                            receive = Enum.YLeaf(1, "receive")

                            transmit = Enum.YLeaf(2, "transmit")



                        class Backup(Entity):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup.Peer>`
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup.Delay>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup.Delay)}
                                self._child_list_classes = {}

                                self.peer = Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.delay = Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "backup"


                            class Peer(Entity):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                            class Delay(Entity):
                                """
                                backup delay time
                                
                                .. attribute:: min
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.min = YLeaf(YType.uint32, "min")

                                    self.max = YLeaf(YType.uint32, "max")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Pvc.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                    class XconnectPwClass(Entity):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass, self).__init__()

                            self.yang_name = "xconnect-pw-class"
                            self.yang_parent_name = "pvc"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect)}
                            self._child_list_classes = {}

                            self.xconnect = Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")
                            self._segment_path = lambda: "xconnect-pw-class"


                        class Xconnect(Entity):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\: str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "xconnect-pw-class"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"udp" : ("udp", Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.udp = Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self._children_name_map["udp"] = "udp"
                                self._children_yang_names.add("udp")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                            class Udp(Entity):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp, self).__init__()

                                    self.yang_name = "udp"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"port" : ("port", Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port)}
                                    self._child_list_classes = {}

                                    self.port = Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self
                                    self._children_name_map["port"] = "port"
                                    self._children_yang_names.add("port")
                                    self._segment_path = lambda: "udp"


                                class Port(Entity):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                        self.yang_name = "port"
                                        self.yang_parent_name = "udp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.local = YLeaf(YType.uint32, "local")

                                        self.remote = YLeaf(YType.uint32, "remote")
                                        self._segment_path = lambda: "port"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.ATMACRsubinterface.ATMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


        class BDI(Entity):
            """
            Bridge\-Domain interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.PmPath>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.ServicePolicy>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.BDI, self).__init__()

                self.yang_name = "BDI"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.BDI.SwitchportConf), "switchport" : ("switchport", Native.Interface.BDI.Switchport), "arp" : ("arp", Native.Interface.BDI.Arp), "backup" : ("backup", Native.Interface.BDI.Backup), "cemoudp" : ("cemoudp", Native.Interface.BDI.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.BDI.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.BDI.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.BDI.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.BDI.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.BDI.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.BDI.Flowcontrol), "isis" : ("isis", Native.Interface.BDI.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.BDI.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.BDI.Bfd), "bandwidth" : ("bandwidth", Native.Interface.BDI.Bandwidth), "dampening" : ("dampening", Native.Interface.BDI.Dampening), "domain" : ("domain", Native.Interface.BDI.Domain), "mpls" : ("mpls", Native.Interface.BDI.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.BDI.IpVrf), "vrf" : ("vrf", Native.Interface.BDI.Vrf), "ip" : ("ip", Native.Interface.BDI.Ip), "ipv6" : ("ipv6", Native.Interface.BDI.Ipv6), "logging" : ("logging", Native.Interface.BDI.Logging), "mdix" : ("mdix", Native.Interface.BDI.Mdix), "mop" : ("mop", Native.Interface.BDI.Mop), "interface_qos" : ("interface_qos", Native.Interface.BDI.InterfaceQos), "standby" : ("standby", Native.Interface.BDI.Standby), "access-session" : ("access_session", Native.Interface.BDI.AccessSession), "storm-control" : ("storm_control", Native.Interface.BDI.StormControl), "trust" : ("trust", Native.Interface.BDI.Trust), "priority-queue" : ("priority_queue", Native.Interface.BDI.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.BDI.RcvQueue), "peer" : ("peer", Native.Interface.BDI.Peer), "pm-path" : ("pm_path", Native.Interface.BDI.PmPath), "Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.Interface.BDI.ServicePolicy)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.BDI.HoldQueue)}

                self.name = YLeaf(YType.str, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.switchport_conf = Native.Interface.BDI.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.BDI.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.BDI.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.BDI.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.BDI.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.BDI.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.BDI.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.BDI.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.BDI.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.BDI.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.BDI.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.BDI.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.BDI.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.BDI.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.BDI.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.BDI.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.BDI.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.BDI.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.BDI.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.BDI.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.BDI.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.BDI.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.BDI.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.BDI.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.BDI.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.BDI.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.BDI.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.BDI.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.BDI.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.BDI.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.BDI.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.BDI.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.BDI.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.service_policy = Native.Interface.BDI.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "BDI" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.BDI, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.BDI.Backup.Delay), "interface" : ("interface", Native.Interface.BDI.Backup.Interface), "load" : ("load", Native.Interface.BDI.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.BDI.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.BDI.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.BDI.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.BDI.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.BDI.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.BDI.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.BDI.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.BDI.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.BDI.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.BDI.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.BDI.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.BDI.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.BDI.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.BDI.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.BDI.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.BDI.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.BDI.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.BDI.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.BDI.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.BDI.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.BDI.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.BDI.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.BDI.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.BDI.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.BDI.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.BDI.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.BDI.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.BDI.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.BDI.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.BDI.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.BDI.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.BDI.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.BDI.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.BDI.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.BDI.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.BDI.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Verify>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.BDI.Ip.AccessGroup), "arp" : ("arp", Native.Interface.BDI.Ip.Arp), "vrf" : ("vrf", Native.Interface.BDI.Ip.Vrf), "no-address" : ("no_address", Native.Interface.BDI.Ip.NoAddress), "address" : ("address", Native.Interface.BDI.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.BDI.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.BDI.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.BDI.Ip.HoldTime), "pim" : ("pim", Native.Interface.BDI.Ip.Pim), "policy" : ("policy", Native.Interface.BDI.Ip.Policy), "rip" : ("rip", Native.Interface.BDI.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.BDI.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.BDI.Ip.RouteCache), "router" : ("router", Native.Interface.BDI.Ip.Router), "tcp" : ("tcp", Native.Interface.BDI.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.BDI.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.BDI.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.BDI.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.BDI.Ip.Verify)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.BDI.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.BDI.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.BDI.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.BDI.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.BDI.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.BDI.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.BDI.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.BDI.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.BDI.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.BDI.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.BDI.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.BDI.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.BDI.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.BDI.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.BDI.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.BDI.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.BDI.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.BDI.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.BDI.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.BDI.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.BDI.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.BDI.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.BDI.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.BDI.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.BDI.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.BDI.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.BDI.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.BDI.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.BDI.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.BDI.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.BDI.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.BDI.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.BDI.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.BDI.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.BDI.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.BDI.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.BDI.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.BDI.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.BDI.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.BDI.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.BDI.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.BDI.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.BDI.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.BDI.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.BDI.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.BDI.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.BDI.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.BDI.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.BDI.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.BDI.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.BDI.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.BDI.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.BDI.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.BDI.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.BDI.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.BDI.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.BDI.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.BDI.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.BDI.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.BDI.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.BDI.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.BDI.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.BDI.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.BDI.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.BDI.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.BDI.Ipv6.Dhcp), "address" : ("address", Native.Interface.BDI.Ipv6.Address), "nd" : ("nd", Native.Interface.BDI.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.BDI.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.BDI.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.BDI.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.BDI.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.BDI.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.BDI.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.BDI.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.BDI.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.BDI.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.BDI.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.BDI.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.BDI.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.BDI.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.BDI.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.BDI.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.BDI.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.BDI.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.BDI.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.BDI.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.BDI.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.BDI.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.BDI.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.BDI.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.BDI.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.BDI.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.BDI.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.BDI.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.BDI.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.BDI.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.BDI.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.BDI.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.BDI.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.BDI.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.BDI.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.BDI.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.BDI.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.BDI.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.BDI.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.BDI.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.BDI.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.BDI.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.BDI.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.BDI.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.BDI.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.BDI.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.BDI.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.BDI.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.BDI.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.BDI.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.BDI.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.BDI.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.BDI.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.BDI.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.BDI.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.BDI.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.BDI.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.BDI.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.BDI.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.BDI.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.BDI.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.BDI.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.BDI.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.BDI.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.BDI.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.BDI.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.BDI.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.BDI.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.BDI.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.BDI.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.BDI.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.BDI.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.BDI.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.BDI.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.BDI.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.BDI.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.BDI.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.BDI.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.BDI.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.BDI.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.BDI.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.BDI.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.BDI.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.BDI.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.BDI.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.BDI.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.BDI.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.BDI.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.BDI.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.BDI.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.BDI.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.BDI.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.BDI.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.BDI.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.BDI.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.BDI.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.BDI.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.BDI.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.BDI.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.PmPath, ['name', 'interface_id'], name, value)


            class ServicePolicy(Entity):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\: str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\: str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Interface.BDI.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "BDI"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.Interface.BDI.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.history = YLeaf(YType.empty, "history")

                    self.input = YLeaf(YType.str, "input")

                    self.output = YLeaf(YType.str, "output")

                    self.type = Native.Interface.BDI.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.BDI.ServicePolicy, ['history', 'input', 'output'], name, value)


                class Type(Entity):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Interface.BDI.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"control" : ("control", Native.Interface.BDI.ServicePolicy.Type.Control), "performance-monitor" : ("performance_monitor", Native.Interface.BDI.ServicePolicy.Type.PerformanceMonitor), "service-chain" : ("service_chain", Native.Interface.BDI.ServicePolicy.Type.ServiceChain)}
                        self._child_list_classes = {}

                        self.control = Native.Interface.BDI.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self._children_name_map["control"] = "control"
                        self._children_yang_names.add("control")

                        self.performance_monitor = Native.Interface.BDI.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.service_chain = Native.Interface.BDI.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self
                        self._children_name_map["service_chain"] = "service-chain"
                        self._children_yang_names.add("service-chain")
                        self._segment_path = lambda: "type"


                    class Control(Entity):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.BDI.ServicePolicy.Type.Control, self).__init__()

                            self.yang_name = "control"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.subscriber = YLeaf(YType.str, "subscriber")
                            self._segment_path = lambda: "control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.ServicePolicy.Type.Control, ['subscriber'], name, value)


                    class PerformanceMonitor(Entity):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.ServicePolicy.Type.PerformanceMonitor.Direction>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.BDI.ServicePolicy.Type.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "performance-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.BDI.ServicePolicy.Type.PerformanceMonitor, ['direction', 'name'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



                    class ServiceChain(Entity):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.BDI.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.BDI.ServicePolicy.Type.ServiceChain, self).__init__()

                            self.yang_name = "service-chain"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.BDI.ServicePolicy.Type.ServiceChain.Input), "output" : ("output", Native.Interface.BDI.ServicePolicy.Type.ServiceChain.Output)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.BDI.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Interface.BDI.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "service-chain"


                        class Input(Entity):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.BDI.ServicePolicy.Type.ServiceChain.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.ServicePolicy.Type.ServiceChain.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.BDI.ServicePolicy.Type.ServiceChain.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.BDI.ServicePolicy.Type.ServiceChain.Output, ['name'], name, value)


        class CEM(Entity):
            """
            Circuit Emulation interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            	**pattern:** ([0\-9]/){2}[0\-9]
            
            .. attribute:: ip
            
            	IP address
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Ip>`
            
            .. attribute:: atm
            
            	ATM
            	**type**\:  :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Atm>`
            
            .. attribute:: load_interval
            
            	Load interval
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: cem
            
            	CEM
            	**type**\: list of  		 :py:class:`Cem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Cem>`
            
            .. attribute:: pvc
            
            	PVC
            	**type**\: list of  		 :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Pvc>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.CEM, self).__init__()

                self.yang_name = "CEM"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-atm:ip" : ("ip", Native.Interface.CEM.Ip), "Cisco-IOS-XE-atm:atm" : ("atm", Native.Interface.CEM.Atm)}
                self._child_list_classes = {"Cisco-IOS-XE-atm:cem" : ("cem", Native.Interface.CEM.Cem), "Cisco-IOS-XE-atm:pvc" : ("pvc", Native.Interface.CEM.Pvc)}

                self.name = YLeaf(YType.str, "name")

                self.load_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-atm:load-interval")

                self.ip = Native.Interface.CEM.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.atm = Native.Interface.CEM.Atm()
                self.atm.parent = self
                self._children_name_map["atm"] = "atm"
                self._children_yang_names.add("atm")

                self.cem = YList(self)
                self.pvc = YList(self)
                self._segment_path = lambda: "CEM" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.CEM, ['name', 'load_interval'], name, value)


            class Ip(Entity):
                """
                IP address
                
                .. attribute:: address
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.CEM.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "CEM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.str, "address")
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.CEM.Ip, ['address'], name, value)


            class Atm(Entity):
                """
                ATM
                
                .. attribute:: bandwidth
                
                	ATM bandwith
                	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Atm.Bandwidth>`
                
                .. attribute:: enable_ilmi_trap
                
                	Enable\-ilmi\-trap
                	**type**\: bool
                
                .. attribute:: pvp
                
                	PVP
                	**type**\: list of  		 :py:class:`Pvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Atm.Pvp>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.CEM.Atm, self).__init__()

                    self.yang_name = "atm"
                    self.yang_parent_name = "CEM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"pvp" : ("pvp", Native.Interface.CEM.Atm.Pvp)}

                    self.bandwidth = YLeaf(YType.enumeration, "bandwidth")

                    self.enable_ilmi_trap = YLeaf(YType.boolean, "enable-ilmi-trap")

                    self.pvp = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:atm"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.CEM.Atm, ['bandwidth', 'enable_ilmi_trap'], name, value)

                class Bandwidth(Enum):
                    """
                    Bandwidth

                    ATM bandwith

                    .. data:: dynamic = 0

                    """

                    dynamic = Enum.YLeaf(0, "dynamic")



                class Pvp(Entity):
                    """
                    PVP
                    
                    .. attribute:: pvp_number  <key>
                    
                    	PVP number
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: l2transport
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Atm.Pvp.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Atm.Pvp.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.CEM.Atm.Pvp, self).__init__()

                        self.yang_name = "pvp"
                        self.yang_parent_name = "atm"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.CEM.Atm.Pvp.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.CEM.Atm.Pvp.XconnectPwClass)}
                        self._child_list_classes = {}

                        self.pvp_number = YLeaf(YType.uint16, "pvp-number")

                        self.l2transport = YLeaf(YType.empty, "l2transport")

                        self.xconnect = Native.Interface.CEM.Atm.Pvp.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")

                        self.xconnect_pw_class = Native.Interface.CEM.Atm.Pvp.XconnectPwClass()
                        self.xconnect_pw_class.parent = self
                        self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                        self._children_yang_names.add("xconnect-pw-class")
                        self._segment_path = lambda: "pvp" + "[pvp-number='" + self.pvp_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.CEM.Atm.Pvp, ['pvp_number', 'l2transport'], name, value)


                    class Xconnect(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Atm.Pvp.Xconnect.Encapsulation>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\: str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Atm.Pvp.Xconnect.Sequencing>`
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Atm.Pvp.Xconnect.Backup>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.CEM.Atm.Pvp.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "pvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"backup" : ("backup", Native.Interface.CEM.Atm.Pvp.Xconnect.Backup)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.manual = YLeaf(YType.empty, "manual")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.sequencing = YLeaf(YType.enumeration, "sequencing")

                            self.mtu = YLeaf(YType.uint32, "mtu")

                            self.backup = Native.Interface.CEM.Atm.Pvp.Xconnect.Backup()
                            self.backup.parent = self
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.CEM.Atm.Pvp.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = Enum.YLeaf(0, "mpls")

                            l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                        class Sequencing(Enum):
                            """
                            Sequencing

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = Enum.YLeaf(0, "both")

                            receive = Enum.YLeaf(1, "receive")

                            transmit = Enum.YLeaf(2, "transmit")



                        class Backup(Entity):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Atm.Pvp.Xconnect.Backup.Peer>`
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Atm.Pvp.Xconnect.Backup.Delay>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEM.Atm.Pvp.Xconnect.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Interface.CEM.Atm.Pvp.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.CEM.Atm.Pvp.Xconnect.Backup.Delay)}
                                self._child_list_classes = {}

                                self.peer = Native.Interface.CEM.Atm.Pvp.Xconnect.Backup.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.delay = Native.Interface.CEM.Atm.Pvp.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "backup"


                            class Peer(Entity):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.CEM.Atm.Pvp.Xconnect.Backup.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.CEM.Atm.Pvp.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                            class Delay(Entity):
                                """
                                backup delay time
                                
                                .. attribute:: min
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.CEM.Atm.Pvp.Xconnect.Backup.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.min = YLeaf(YType.uint32, "min")

                                    self.max = YLeaf(YType.uint32, "max")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.CEM.Atm.Pvp.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                    class XconnectPwClass(Entity):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.CEM.Atm.Pvp.XconnectPwClass, self).__init__()

                            self.yang_name = "xconnect-pw-class"
                            self.yang_parent_name = "pvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect)}
                            self._child_list_classes = {}

                            self.xconnect = Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")
                            self._segment_path = lambda: "xconnect-pw-class"


                        class Xconnect(Entity):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\: str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect.Udp>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "xconnect-pw-class"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"udp" : ("udp", Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect.Udp)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.udp = Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self._children_name_map["udp"] = "udp"
                                self._children_yang_names.add("udp")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                            class Udp(Entity):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect.Udp, self).__init__()

                                    self.yang_name = "udp"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"port" : ("port", Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port)}
                                    self._child_list_classes = {}

                                    self.port = Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self
                                    self._children_name_map["port"] = "port"
                                    self._children_yang_names.add("port")
                                    self._segment_path = lambda: "udp"


                                class Port(Entity):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                        self.yang_name = "port"
                                        self.yang_parent_name = "udp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.local = YLeaf(YType.uint32, "local")

                                        self.remote = YLeaf(YType.uint32, "remote")
                                        self._segment_path = lambda: "port"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.CEM.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


            class Cem(Entity):
                """
                CEM
                
                .. attribute:: number  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Cem.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Cem.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.CEM.Cem, self).__init__()

                    self.yang_name = "cem"
                    self.yang_parent_name = "CEM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.CEM.Cem.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.CEM.Cem.XconnectPwClass)}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint32, "number")

                    self.xconnect = Native.Interface.CEM.Cem.Xconnect()
                    self.xconnect.parent = self
                    self._children_name_map["xconnect"] = "xconnect"
                    self._children_yang_names.add("xconnect")

                    self.xconnect_pw_class = Native.Interface.CEM.Cem.XconnectPwClass()
                    self.xconnect_pw_class.parent = self
                    self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                    self._children_yang_names.add("xconnect-pw-class")
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:cem" + "[number='" + self.number.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.CEM.Cem, ['number'], name, value)


                class Xconnect(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Cem.Xconnect.Encapsulation>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\: str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Cem.Xconnect.Sequencing>`
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Cem.Xconnect.Backup>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.CEM.Cem.Xconnect, self).__init__()

                        self.yang_name = "xconnect"
                        self.yang_parent_name = "cem"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup" : ("backup", Native.Interface.CEM.Cem.Xconnect.Backup)}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.vcid = YLeaf(YType.uint32, "vcid")

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.manual = YLeaf(YType.empty, "manual")

                        self.pw_class = YLeaf(YType.str, "pw-class")

                        self.sequencing = YLeaf(YType.enumeration, "sequencing")

                        self.mtu = YLeaf(YType.uint32, "mtu")

                        self.backup = Native.Interface.CEM.Cem.Xconnect.Backup()
                        self.backup.parent = self
                        self._children_name_map["backup"] = "backup"
                        self._children_yang_names.add("backup")
                        self._segment_path = lambda: "xconnect"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.CEM.Cem.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = Enum.YLeaf(0, "mpls")

                        l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                    class Sequencing(Enum):
                        """
                        Sequencing

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        receive = Enum.YLeaf(1, "receive")

                        transmit = Enum.YLeaf(2, "transmit")



                    class Backup(Entity):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Cem.Xconnect.Backup.Peer>`
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Cem.Xconnect.Backup.Delay>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.CEM.Cem.Xconnect.Backup, self).__init__()

                            self.yang_name = "backup"
                            self.yang_parent_name = "xconnect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.CEM.Cem.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.CEM.Cem.Xconnect.Backup.Delay)}
                            self._child_list_classes = {}

                            self.peer = Native.Interface.CEM.Cem.Xconnect.Backup.Peer()
                            self.peer.parent = self
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.delay = Native.Interface.CEM.Cem.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "backup"


                        class Peer(Entity):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEM.Cem.Xconnect.Backup.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.priority = YLeaf(YType.uint8, "priority")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.CEM.Cem.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                        class Delay(Entity):
                            """
                            backup delay time
                            
                            .. attribute:: min
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: max
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEM.Cem.Xconnect.Backup.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.uint32, "min")

                                self.max = YLeaf(YType.uint32, "max")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.CEM.Cem.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                class XconnectPwClass(Entity):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Cem.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.CEM.Cem.XconnectPwClass, self).__init__()

                        self.yang_name = "xconnect-pw-class"
                        self.yang_parent_name = "cem"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.CEM.Cem.XconnectPwClass.Xconnect)}
                        self._child_list_classes = {}

                        self.xconnect = Native.Interface.CEM.Cem.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")
                        self._segment_path = lambda: "xconnect-pw-class"


                    class Xconnect(Entity):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\: str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Cem.XconnectPwClass.Xconnect.Udp>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.CEM.Cem.XconnectPwClass.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "xconnect-pw-class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"udp" : ("udp", Native.Interface.CEM.Cem.XconnectPwClass.Xconnect.Udp)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.udp = Native.Interface.CEM.Cem.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self._children_name_map["udp"] = "udp"
                            self._children_yang_names.add("udp")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.CEM.Cem.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                        class Udp(Entity):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Cem.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEM.Cem.XconnectPwClass.Xconnect.Udp, self).__init__()

                                self.yang_name = "udp"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"port" : ("port", Native.Interface.CEM.Cem.XconnectPwClass.Xconnect.Udp.Port)}
                                self._child_list_classes = {}

                                self.port = Native.Interface.CEM.Cem.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self
                                self._children_name_map["port"] = "port"
                                self._children_yang_names.add("port")
                                self._segment_path = lambda: "udp"


                            class Port(Entity):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.CEM.Cem.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                    self.yang_name = "port"
                                    self.yang_parent_name = "udp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.local = YLeaf(YType.uint32, "local")

                                    self.remote = YLeaf(YType.uint32, "remote")
                                    self._segment_path = lambda: "port"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.CEM.Cem.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


            class Pvc(Entity):
                """
                PVC
                
                .. attribute:: local_vpi_vci  <key>
                
                	Vpi and vci
                	**type**\: str
                
                .. attribute:: remote_vpi_vci
                
                	Vpi and vci
                	**type**\: str
                
                .. attribute:: l2transport
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ubr
                
                	UBR
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Pvc.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Pvc.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.CEM.Pvc, self).__init__()

                    self.yang_name = "pvc"
                    self.yang_parent_name = "CEM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.CEM.Pvc.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.CEM.Pvc.XconnectPwClass)}
                    self._child_list_classes = {}

                    self.local_vpi_vci = YLeaf(YType.str, "local-vpi-vci")

                    self.remote_vpi_vci = YLeaf(YType.str, "remote-vpi-vci")

                    self.l2transport = YLeaf(YType.empty, "l2transport")

                    self.ubr = YLeaf(YType.uint32, "ubr")

                    self.xconnect = Native.Interface.CEM.Pvc.Xconnect()
                    self.xconnect.parent = self
                    self._children_name_map["xconnect"] = "xconnect"
                    self._children_yang_names.add("xconnect")

                    self.xconnect_pw_class = Native.Interface.CEM.Pvc.XconnectPwClass()
                    self.xconnect_pw_class.parent = self
                    self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                    self._children_yang_names.add("xconnect-pw-class")
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:pvc" + "[local-vpi-vci='" + self.local_vpi_vci.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.CEM.Pvc, ['local_vpi_vci', 'remote_vpi_vci', 'l2transport', 'ubr'], name, value)


                class Xconnect(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Pvc.Xconnect.Encapsulation>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\: str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Pvc.Xconnect.Sequencing>`
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Pvc.Xconnect.Backup>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.CEM.Pvc.Xconnect, self).__init__()

                        self.yang_name = "xconnect"
                        self.yang_parent_name = "pvc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup" : ("backup", Native.Interface.CEM.Pvc.Xconnect.Backup)}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.vcid = YLeaf(YType.uint32, "vcid")

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.manual = YLeaf(YType.empty, "manual")

                        self.pw_class = YLeaf(YType.str, "pw-class")

                        self.sequencing = YLeaf(YType.enumeration, "sequencing")

                        self.mtu = YLeaf(YType.uint32, "mtu")

                        self.backup = Native.Interface.CEM.Pvc.Xconnect.Backup()
                        self.backup.parent = self
                        self._children_name_map["backup"] = "backup"
                        self._children_yang_names.add("backup")
                        self._segment_path = lambda: "xconnect"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.CEM.Pvc.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = Enum.YLeaf(0, "mpls")

                        l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                    class Sequencing(Enum):
                        """
                        Sequencing

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        receive = Enum.YLeaf(1, "receive")

                        transmit = Enum.YLeaf(2, "transmit")



                    class Backup(Entity):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Pvc.Xconnect.Backup.Peer>`
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Pvc.Xconnect.Backup.Delay>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.CEM.Pvc.Xconnect.Backup, self).__init__()

                            self.yang_name = "backup"
                            self.yang_parent_name = "xconnect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.CEM.Pvc.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.CEM.Pvc.Xconnect.Backup.Delay)}
                            self._child_list_classes = {}

                            self.peer = Native.Interface.CEM.Pvc.Xconnect.Backup.Peer()
                            self.peer.parent = self
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.delay = Native.Interface.CEM.Pvc.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "backup"


                        class Peer(Entity):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEM.Pvc.Xconnect.Backup.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.priority = YLeaf(YType.uint8, "priority")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.CEM.Pvc.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                        class Delay(Entity):
                            """
                            backup delay time
                            
                            .. attribute:: min
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: max
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEM.Pvc.Xconnect.Backup.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.uint32, "min")

                                self.max = YLeaf(YType.uint32, "max")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.CEM.Pvc.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                class XconnectPwClass(Entity):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.CEM.Pvc.XconnectPwClass, self).__init__()

                        self.yang_name = "xconnect-pw-class"
                        self.yang_parent_name = "pvc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect)}
                        self._child_list_classes = {}

                        self.xconnect = Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")
                        self._segment_path = lambda: "xconnect-pw-class"


                    class Xconnect(Entity):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\: str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect.Udp>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "xconnect-pw-class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"udp" : ("udp", Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect.Udp)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.udp = Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self._children_name_map["udp"] = "udp"
                            self._children_yang_names.add("udp")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                        class Udp(Entity):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect.Udp, self).__init__()

                                self.yang_name = "udp"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"port" : ("port", Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect.Udp.Port)}
                                self._child_list_classes = {}

                                self.port = Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self
                                self._children_name_map["port"] = "port"
                                self._children_yang_names.add("port")
                                self._segment_path = lambda: "udp"


                            class Port(Entity):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                    self.yang_name = "port"
                                    self.yang_parent_name = "udp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.local = YLeaf(YType.uint32, "local")

                                    self.remote = YLeaf(YType.uint32, "remote")
                                    self._segment_path = lambda: "port"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.CEM.Pvc.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


        class CEMACR(Entity):
            """
            Circuit Emulation interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: ip
            
            	IP address
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Ip>`
            
            .. attribute:: atm
            
            	ATM
            	**type**\:  :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Atm>`
            
            .. attribute:: load_interval
            
            	Load interval
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: cem
            
            	CEM
            	**type**\: list of  		 :py:class:`Cem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Cem>`
            
            .. attribute:: pvc
            
            	PVC
            	**type**\: list of  		 :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Pvc>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.CEMACR, self).__init__()

                self.yang_name = "CEM-ACR"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-atm:ip" : ("ip", Native.Interface.CEMACR.Ip), "Cisco-IOS-XE-atm:atm" : ("atm", Native.Interface.CEMACR.Atm)}
                self._child_list_classes = {"Cisco-IOS-XE-atm:cem" : ("cem", Native.Interface.CEMACR.Cem), "Cisco-IOS-XE-atm:pvc" : ("pvc", Native.Interface.CEMACR.Pvc)}

                self.name = YLeaf(YType.uint8, "name")

                self.load_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-atm:load-interval")

                self.ip = Native.Interface.CEMACR.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.atm = Native.Interface.CEMACR.Atm()
                self.atm.parent = self
                self._children_name_map["atm"] = "atm"
                self._children_yang_names.add("atm")

                self.cem = YList(self)
                self.pvc = YList(self)
                self._segment_path = lambda: "CEM-ACR" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.CEMACR, ['name', 'load_interval'], name, value)


            class Ip(Entity):
                """
                IP address
                
                .. attribute:: address
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.CEMACR.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "CEM-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.str, "address")
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.CEMACR.Ip, ['address'], name, value)


            class Atm(Entity):
                """
                ATM
                
                .. attribute:: bandwidth
                
                	ATM bandwith
                	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Atm.Bandwidth>`
                
                .. attribute:: enable_ilmi_trap
                
                	Enable\-ilmi\-trap
                	**type**\: bool
                
                .. attribute:: pvp
                
                	PVP
                	**type**\: list of  		 :py:class:`Pvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Atm.Pvp>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.CEMACR.Atm, self).__init__()

                    self.yang_name = "atm"
                    self.yang_parent_name = "CEM-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"pvp" : ("pvp", Native.Interface.CEMACR.Atm.Pvp)}

                    self.bandwidth = YLeaf(YType.enumeration, "bandwidth")

                    self.enable_ilmi_trap = YLeaf(YType.boolean, "enable-ilmi-trap")

                    self.pvp = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:atm"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.CEMACR.Atm, ['bandwidth', 'enable_ilmi_trap'], name, value)

                class Bandwidth(Enum):
                    """
                    Bandwidth

                    ATM bandwith

                    .. data:: dynamic = 0

                    """

                    dynamic = Enum.YLeaf(0, "dynamic")



                class Pvp(Entity):
                    """
                    PVP
                    
                    .. attribute:: pvp_number  <key>
                    
                    	PVP number
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: l2transport
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Atm.Pvp.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.CEMACR.Atm.Pvp, self).__init__()

                        self.yang_name = "pvp"
                        self.yang_parent_name = "atm"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.CEMACR.Atm.Pvp.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass)}
                        self._child_list_classes = {}

                        self.pvp_number = YLeaf(YType.uint16, "pvp-number")

                        self.l2transport = YLeaf(YType.empty, "l2transport")

                        self.xconnect = Native.Interface.CEMACR.Atm.Pvp.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")

                        self.xconnect_pw_class = Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass()
                        self.xconnect_pw_class.parent = self
                        self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                        self._children_yang_names.add("xconnect-pw-class")
                        self._segment_path = lambda: "pvp" + "[pvp-number='" + self.pvp_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.CEMACR.Atm.Pvp, ['pvp_number', 'l2transport'], name, value)


                    class Xconnect(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Atm.Pvp.Xconnect.Encapsulation>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\: str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Atm.Pvp.Xconnect.Sequencing>`
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.CEMACR.Atm.Pvp.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "pvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"backup" : ("backup", Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.manual = YLeaf(YType.empty, "manual")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.sequencing = YLeaf(YType.enumeration, "sequencing")

                            self.mtu = YLeaf(YType.uint32, "mtu")

                            self.backup = Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup()
                            self.backup.parent = self
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.CEMACR.Atm.Pvp.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = Enum.YLeaf(0, "mpls")

                            l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                        class Sequencing(Enum):
                            """
                            Sequencing

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = Enum.YLeaf(0, "both")

                            receive = Enum.YLeaf(1, "receive")

                            transmit = Enum.YLeaf(2, "transmit")



                        class Backup(Entity):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup.Peer>`
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup.Delay>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup.Delay)}
                                self._child_list_classes = {}

                                self.peer = Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.delay = Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "backup"


                            class Peer(Entity):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                            class Delay(Entity):
                                """
                                backup delay time
                                
                                .. attribute:: min
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.min = YLeaf(YType.uint32, "min")

                                    self.max = YLeaf(YType.uint32, "max")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.CEMACR.Atm.Pvp.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                    class XconnectPwClass(Entity):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass, self).__init__()

                            self.yang_name = "xconnect-pw-class"
                            self.yang_parent_name = "pvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect)}
                            self._child_list_classes = {}

                            self.xconnect = Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")
                            self._segment_path = lambda: "xconnect-pw-class"


                        class Xconnect(Entity):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\: str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "xconnect-pw-class"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"udp" : ("udp", Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.udp = Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self._children_name_map["udp"] = "udp"
                                self._children_yang_names.add("udp")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                            class Udp(Entity):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp, self).__init__()

                                    self.yang_name = "udp"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"port" : ("port", Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port)}
                                    self._child_list_classes = {}

                                    self.port = Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self
                                    self._children_name_map["port"] = "port"
                                    self._children_yang_names.add("port")
                                    self._segment_path = lambda: "udp"


                                class Port(Entity):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-atm'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                        self.yang_name = "port"
                                        self.yang_parent_name = "udp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.local = YLeaf(YType.uint32, "local")

                                        self.remote = YLeaf(YType.uint32, "remote")
                                        self._segment_path = lambda: "port"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.CEMACR.Atm.Pvp.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


            class Cem(Entity):
                """
                CEM
                
                .. attribute:: number  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Cem.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Cem.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.CEMACR.Cem, self).__init__()

                    self.yang_name = "cem"
                    self.yang_parent_name = "CEM-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.CEMACR.Cem.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.CEMACR.Cem.XconnectPwClass)}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint32, "number")

                    self.xconnect = Native.Interface.CEMACR.Cem.Xconnect()
                    self.xconnect.parent = self
                    self._children_name_map["xconnect"] = "xconnect"
                    self._children_yang_names.add("xconnect")

                    self.xconnect_pw_class = Native.Interface.CEMACR.Cem.XconnectPwClass()
                    self.xconnect_pw_class.parent = self
                    self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                    self._children_yang_names.add("xconnect-pw-class")
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:cem" + "[number='" + self.number.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.CEMACR.Cem, ['number'], name, value)


                class Xconnect(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Cem.Xconnect.Encapsulation>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\: str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Cem.Xconnect.Sequencing>`
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Cem.Xconnect.Backup>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.CEMACR.Cem.Xconnect, self).__init__()

                        self.yang_name = "xconnect"
                        self.yang_parent_name = "cem"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup" : ("backup", Native.Interface.CEMACR.Cem.Xconnect.Backup)}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.vcid = YLeaf(YType.uint32, "vcid")

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.manual = YLeaf(YType.empty, "manual")

                        self.pw_class = YLeaf(YType.str, "pw-class")

                        self.sequencing = YLeaf(YType.enumeration, "sequencing")

                        self.mtu = YLeaf(YType.uint32, "mtu")

                        self.backup = Native.Interface.CEMACR.Cem.Xconnect.Backup()
                        self.backup.parent = self
                        self._children_name_map["backup"] = "backup"
                        self._children_yang_names.add("backup")
                        self._segment_path = lambda: "xconnect"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.CEMACR.Cem.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = Enum.YLeaf(0, "mpls")

                        l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                    class Sequencing(Enum):
                        """
                        Sequencing

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        receive = Enum.YLeaf(1, "receive")

                        transmit = Enum.YLeaf(2, "transmit")



                    class Backup(Entity):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Cem.Xconnect.Backup.Peer>`
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Cem.Xconnect.Backup.Delay>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.CEMACR.Cem.Xconnect.Backup, self).__init__()

                            self.yang_name = "backup"
                            self.yang_parent_name = "xconnect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.CEMACR.Cem.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.CEMACR.Cem.Xconnect.Backup.Delay)}
                            self._child_list_classes = {}

                            self.peer = Native.Interface.CEMACR.Cem.Xconnect.Backup.Peer()
                            self.peer.parent = self
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.delay = Native.Interface.CEMACR.Cem.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "backup"


                        class Peer(Entity):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEMACR.Cem.Xconnect.Backup.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.priority = YLeaf(YType.uint8, "priority")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.CEMACR.Cem.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                        class Delay(Entity):
                            """
                            backup delay time
                            
                            .. attribute:: min
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: max
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEMACR.Cem.Xconnect.Backup.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.uint32, "min")

                                self.max = YLeaf(YType.uint32, "max")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.CEMACR.Cem.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                class XconnectPwClass(Entity):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.CEMACR.Cem.XconnectPwClass, self).__init__()

                        self.yang_name = "xconnect-pw-class"
                        self.yang_parent_name = "cem"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect)}
                        self._child_list_classes = {}

                        self.xconnect = Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")
                        self._segment_path = lambda: "xconnect-pw-class"


                    class Xconnect(Entity):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\: str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect.Udp>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "xconnect-pw-class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"udp" : ("udp", Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect.Udp)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.udp = Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self._children_name_map["udp"] = "udp"
                            self._children_yang_names.add("udp")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                        class Udp(Entity):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect.Udp, self).__init__()

                                self.yang_name = "udp"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"port" : ("port", Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect.Udp.Port)}
                                self._child_list_classes = {}

                                self.port = Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self
                                self._children_name_map["port"] = "port"
                                self._children_yang_names.add("port")
                                self._segment_path = lambda: "udp"


                            class Port(Entity):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                    self.yang_name = "port"
                                    self.yang_parent_name = "udp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.local = YLeaf(YType.uint32, "local")

                                    self.remote = YLeaf(YType.uint32, "remote")
                                    self._segment_path = lambda: "port"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.CEMACR.Cem.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


            class Pvc(Entity):
                """
                PVC
                
                .. attribute:: local_vpi_vci  <key>
                
                	Vpi and vci
                	**type**\: str
                
                .. attribute:: remote_vpi_vci
                
                	Vpi and vci
                	**type**\: str
                
                .. attribute:: l2transport
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ubr
                
                	UBR
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: xconnect
                
                	
                	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Pvc.Xconnect>`
                
                .. attribute:: xconnect_pw_class
                
                	
                	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Pvc.XconnectPwClass>`
                
                

                """

                _prefix = 'ios-atm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.CEMACR.Pvc, self).__init__()

                    self.yang_name = "pvc"
                    self.yang_parent_name = "CEM-ACR"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.CEMACR.Pvc.Xconnect), "xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.CEMACR.Pvc.XconnectPwClass)}
                    self._child_list_classes = {}

                    self.local_vpi_vci = YLeaf(YType.str, "local-vpi-vci")

                    self.remote_vpi_vci = YLeaf(YType.str, "remote-vpi-vci")

                    self.l2transport = YLeaf(YType.empty, "l2transport")

                    self.ubr = YLeaf(YType.uint32, "ubr")

                    self.xconnect = Native.Interface.CEMACR.Pvc.Xconnect()
                    self.xconnect.parent = self
                    self._children_name_map["xconnect"] = "xconnect"
                    self._children_yang_names.add("xconnect")

                    self.xconnect_pw_class = Native.Interface.CEMACR.Pvc.XconnectPwClass()
                    self.xconnect_pw_class.parent = self
                    self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                    self._children_yang_names.add("xconnect-pw-class")
                    self._segment_path = lambda: "Cisco-IOS-XE-atm:pvc" + "[local-vpi-vci='" + self.local_vpi_vci.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.CEMACR.Pvc, ['local_vpi_vci', 'remote_vpi_vci', 'l2transport', 'ubr'], name, value)


                class Xconnect(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: vcid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Pvc.Xconnect.Encapsulation>`
                    
                    .. attribute:: manual
                    
                    	Manually configure L2TP session parameters
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pw_class
                    
                    	Optional pseudowire\-class to use for advanced configuration
                    	**type**\: str
                    
                    .. attribute:: sequencing
                    
                    	Configure sequencing options for xconnect
                    	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Pvc.Xconnect.Sequencing>`
                    
                    .. attribute:: backup
                    
                    	Xconnect backup configuration commands
                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Pvc.Xconnect.Backup>`
                    
                    .. attribute:: mtu
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.CEMACR.Pvc.Xconnect, self).__init__()

                        self.yang_name = "xconnect"
                        self.yang_parent_name = "pvc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup" : ("backup", Native.Interface.CEMACR.Pvc.Xconnect.Backup)}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.vcid = YLeaf(YType.uint32, "vcid")

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.manual = YLeaf(YType.empty, "manual")

                        self.pw_class = YLeaf(YType.str, "pw-class")

                        self.sequencing = YLeaf(YType.enumeration, "sequencing")

                        self.mtu = YLeaf(YType.uint32, "mtu")

                        self.backup = Native.Interface.CEMACR.Pvc.Xconnect.Backup()
                        self.backup.parent = self
                        self._children_name_map["backup"] = "backup"
                        self._children_yang_names.add("backup")
                        self._segment_path = lambda: "xconnect"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.CEMACR.Pvc.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Data encapsulation method

                        .. data:: mpls = 0

                        .. data:: l2tpv3 = 1

                        """

                        mpls = Enum.YLeaf(0, "mpls")

                        l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                    class Sequencing(Enum):
                        """
                        Sequencing

                        Configure sequencing options for xconnect

                        .. data:: both = 0

                        .. data:: receive = 1

                        .. data:: transmit = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        receive = Enum.YLeaf(1, "receive")

                        transmit = Enum.YLeaf(2, "transmit")



                    class Backup(Entity):
                        """
                        Xconnect backup configuration commands
                        
                        .. attribute:: peer
                        
                        	Backup pseudowire
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Pvc.Xconnect.Backup.Peer>`
                        
                        .. attribute:: delay
                        
                        	backup delay time
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Pvc.Xconnect.Backup.Delay>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.CEMACR.Pvc.Xconnect.Backup, self).__init__()

                            self.yang_name = "backup"
                            self.yang_parent_name = "xconnect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.CEMACR.Pvc.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.CEMACR.Pvc.Xconnect.Backup.Delay)}
                            self._child_list_classes = {}

                            self.peer = Native.Interface.CEMACR.Pvc.Xconnect.Backup.Peer()
                            self.peer.parent = self
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.delay = Native.Interface.CEMACR.Pvc.Xconnect.Backup.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "backup"


                        class Peer(Entity):
                            """
                            Backup pseudowire
                            
                            .. attribute:: peer_router_ip_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: priority
                            
                            	Optional priority to use for backup pseudowire
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEMACR.Pvc.Xconnect.Backup.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.priority = YLeaf(YType.uint8, "priority")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.CEMACR.Pvc.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                        class Delay(Entity):
                            """
                            backup delay time
                            
                            .. attribute:: min
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: max
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEMACR.Pvc.Xconnect.Backup.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "backup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.uint32, "min")

                                self.max = YLeaf(YType.uint32, "max")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.CEMACR.Pvc.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                class XconnectPwClass(Entity):
                    """
                    
                    
                    .. attribute:: xconnect
                    
                    	Xconnect commands
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect>`
                    
                    

                    """

                    _prefix = 'ios-atm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.CEMACR.Pvc.XconnectPwClass, self).__init__()

                        self.yang_name = "xconnect-pw-class"
                        self.yang_parent_name = "pvc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect)}
                        self._child_list_classes = {}

                        self.xconnect = Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")
                        self._segment_path = lambda: "xconnect-pw-class"


                    class Xconnect(Entity):
                        """
                        Xconnect commands
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: pw_class
                        
                        	Pseudowire\-class to use for encapsulation and protocol configuration
                        	**type**\: str
                        
                        .. attribute:: udp
                        
                        	UDP
                        	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect.Udp>`
                        
                        

                        """

                        _prefix = 'ios-atm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "xconnect-pw-class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"udp" : ("udp", Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect.Udp)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.udp = Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect.Udp()
                            self.udp.parent = self
                            self._children_name_map["udp"] = "udp"
                            self._children_yang_names.add("udp")
                            self._segment_path = lambda: "xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                        class Udp(Entity):
                            """
                            UDP
                            
                            .. attribute:: port
                            
                            	UDP ports
                            	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port>`
                            
                            

                            """

                            _prefix = 'ios-atm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect.Udp, self).__init__()

                                self.yang_name = "udp"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"port" : ("port", Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port)}
                                self._child_list_classes = {}

                                self.port = Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port()
                                self.port.parent = self
                                self._children_name_map["port"] = "port"
                                self._children_yang_names.add("port")
                                self._segment_path = lambda: "udp"


                            class Port(Entity):
                                """
                                UDP ports
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: remote
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-atm'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                    self.yang_name = "port"
                                    self.yang_parent_name = "udp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.local = YLeaf(YType.uint32, "local")

                                    self.remote = YLeaf(YType.uint32, "remote")
                                    self._segment_path = lambda: "port"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.CEMACR.Pvc.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


        class EmbeddedServiceEngine(Entity):
            """
            cisco embedded service engine module
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.PmPath>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.EmbeddedServiceEngine, self).__init__()

                self.yang_name = "Embedded-Service-Engine"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.EmbeddedServiceEngine.SwitchportConf), "switchport" : ("switchport", Native.Interface.EmbeddedServiceEngine.Switchport), "arp" : ("arp", Native.Interface.EmbeddedServiceEngine.Arp), "backup" : ("backup", Native.Interface.EmbeddedServiceEngine.Backup), "cemoudp" : ("cemoudp", Native.Interface.EmbeddedServiceEngine.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.EmbeddedServiceEngine.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.EmbeddedServiceEngine.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.EmbeddedServiceEngine.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.EmbeddedServiceEngine.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.EmbeddedServiceEngine.Flowcontrol), "isis" : ("isis", Native.Interface.EmbeddedServiceEngine.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.EmbeddedServiceEngine.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.EmbeddedServiceEngine.Bfd), "bandwidth" : ("bandwidth", Native.Interface.EmbeddedServiceEngine.Bandwidth), "dampening" : ("dampening", Native.Interface.EmbeddedServiceEngine.Dampening), "domain" : ("domain", Native.Interface.EmbeddedServiceEngine.Domain), "mpls" : ("mpls", Native.Interface.EmbeddedServiceEngine.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.EmbeddedServiceEngine.IpVrf), "vrf" : ("vrf", Native.Interface.EmbeddedServiceEngine.Vrf), "ip" : ("ip", Native.Interface.EmbeddedServiceEngine.Ip), "ipv6" : ("ipv6", Native.Interface.EmbeddedServiceEngine.Ipv6), "logging" : ("logging", Native.Interface.EmbeddedServiceEngine.Logging), "mdix" : ("mdix", Native.Interface.EmbeddedServiceEngine.Mdix), "mop" : ("mop", Native.Interface.EmbeddedServiceEngine.Mop), "interface_qos" : ("interface_qos", Native.Interface.EmbeddedServiceEngine.InterfaceQos), "standby" : ("standby", Native.Interface.EmbeddedServiceEngine.Standby), "access-session" : ("access_session", Native.Interface.EmbeddedServiceEngine.AccessSession), "storm-control" : ("storm_control", Native.Interface.EmbeddedServiceEngine.StormControl), "trust" : ("trust", Native.Interface.EmbeddedServiceEngine.Trust), "priority-queue" : ("priority_queue", Native.Interface.EmbeddedServiceEngine.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.EmbeddedServiceEngine.RcvQueue), "peer" : ("peer", Native.Interface.EmbeddedServiceEngine.Peer), "pm-path" : ("pm_path", Native.Interface.EmbeddedServiceEngine.PmPath)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.EmbeddedServiceEngine.HoldQueue)}

                self.name = YLeaf(YType.str, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.switchport_conf = Native.Interface.EmbeddedServiceEngine.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.EmbeddedServiceEngine.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.EmbeddedServiceEngine.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.EmbeddedServiceEngine.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.EmbeddedServiceEngine.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.EmbeddedServiceEngine.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.EmbeddedServiceEngine.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.EmbeddedServiceEngine.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.EmbeddedServiceEngine.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.EmbeddedServiceEngine.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.EmbeddedServiceEngine.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.EmbeddedServiceEngine.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.EmbeddedServiceEngine.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.EmbeddedServiceEngine.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.EmbeddedServiceEngine.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.EmbeddedServiceEngine.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.EmbeddedServiceEngine.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.EmbeddedServiceEngine.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.EmbeddedServiceEngine.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.EmbeddedServiceEngine.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.EmbeddedServiceEngine.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.EmbeddedServiceEngine.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.EmbeddedServiceEngine.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.EmbeddedServiceEngine.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.EmbeddedServiceEngine.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.EmbeddedServiceEngine.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.EmbeddedServiceEngine.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.EmbeddedServiceEngine.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.EmbeddedServiceEngine.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.EmbeddedServiceEngine.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.EmbeddedServiceEngine.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.EmbeddedServiceEngine.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.EmbeddedServiceEngine.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "Embedded-Service-Engine" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.EmbeddedServiceEngine, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.EmbeddedServiceEngine.Backup.Delay), "interface" : ("interface", Native.Interface.EmbeddedServiceEngine.Backup.Interface), "load" : ("load", Native.Interface.EmbeddedServiceEngine.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.EmbeddedServiceEngine.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.EmbeddedServiceEngine.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.EmbeddedServiceEngine.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.EmbeddedServiceEngine.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.EmbeddedServiceEngine.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.EmbeddedServiceEngine.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.EmbeddedServiceEngine.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.EmbeddedServiceEngine.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.EmbeddedServiceEngine.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.EmbeddedServiceEngine.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.EmbeddedServiceEngine.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.EmbeddedServiceEngine.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.EmbeddedServiceEngine.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.EmbeddedServiceEngine.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.EmbeddedServiceEngine.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.EmbeddedServiceEngine.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.EmbeddedServiceEngine.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.EmbeddedServiceEngine.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.EmbeddedServiceEngine.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.EmbeddedServiceEngine.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.EmbeddedServiceEngine.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.EmbeddedServiceEngine.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.EmbeddedServiceEngine.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.EmbeddedServiceEngine.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.EmbeddedServiceEngine.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.EmbeddedServiceEngine.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.EmbeddedServiceEngine.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.EmbeddedServiceEngine.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.EmbeddedServiceEngine.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.EmbeddedServiceEngine.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.EmbeddedServiceEngine.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.EmbeddedServiceEngine.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup), "arp" : ("arp", Native.Interface.EmbeddedServiceEngine.Ip.Arp), "vrf" : ("vrf", Native.Interface.EmbeddedServiceEngine.Ip.Vrf), "no-address" : ("no_address", Native.Interface.EmbeddedServiceEngine.Ip.NoAddress), "address" : ("address", Native.Interface.EmbeddedServiceEngine.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.EmbeddedServiceEngine.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.EmbeddedServiceEngine.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.EmbeddedServiceEngine.Ip.HoldTime), "pim" : ("pim", Native.Interface.EmbeddedServiceEngine.Ip.Pim), "policy" : ("policy", Native.Interface.EmbeddedServiceEngine.Ip.Policy), "rip" : ("rip", Native.Interface.EmbeddedServiceEngine.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.EmbeddedServiceEngine.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.EmbeddedServiceEngine.Ip.RouteCache), "router" : ("router", Native.Interface.EmbeddedServiceEngine.Ip.Router), "tcp" : ("tcp", Native.Interface.EmbeddedServiceEngine.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.EmbeddedServiceEngine.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.EmbeddedServiceEngine.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.EmbeddedServiceEngine.Ip.Verify)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.EmbeddedServiceEngine.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.EmbeddedServiceEngine.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.EmbeddedServiceEngine.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.EmbeddedServiceEngine.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.EmbeddedServiceEngine.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.EmbeddedServiceEngine.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.EmbeddedServiceEngine.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.EmbeddedServiceEngine.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.EmbeddedServiceEngine.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.EmbeddedServiceEngine.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.EmbeddedServiceEngine.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.EmbeddedServiceEngine.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.EmbeddedServiceEngine.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.EmbeddedServiceEngine.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.EmbeddedServiceEngine.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.EmbeddedServiceEngine.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.EmbeddedServiceEngine.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.EmbeddedServiceEngine.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.EmbeddedServiceEngine.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.EmbeddedServiceEngine.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.EmbeddedServiceEngine.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.EmbeddedServiceEngine.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.EmbeddedServiceEngine.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.EmbeddedServiceEngine.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.EmbeddedServiceEngine.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.EmbeddedServiceEngine.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.EmbeddedServiceEngine.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.EmbeddedServiceEngine.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.EmbeddedServiceEngine.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.EmbeddedServiceEngine.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.EmbeddedServiceEngine.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.EmbeddedServiceEngine.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.EmbeddedServiceEngine.Ipv6.Dhcp), "address" : ("address", Native.Interface.EmbeddedServiceEngine.Ipv6.Address), "nd" : ("nd", Native.Interface.EmbeddedServiceEngine.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.EmbeddedServiceEngine.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.EmbeddedServiceEngine.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.EmbeddedServiceEngine.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.EmbeddedServiceEngine.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.EmbeddedServiceEngine.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.EmbeddedServiceEngine.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.EmbeddedServiceEngine.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.EmbeddedServiceEngine.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.EmbeddedServiceEngine.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.EmbeddedServiceEngine.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.EmbeddedServiceEngine.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.EmbeddedServiceEngine.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.EmbeddedServiceEngine.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.EmbeddedServiceEngine.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.EmbeddedServiceEngine.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.EmbeddedServiceEngine.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.EmbeddedServiceEngine.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.EmbeddedServiceEngine.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.EmbeddedServiceEngine.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.EmbeddedServiceEngine.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.EmbeddedServiceEngine.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.EmbeddedServiceEngine.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.EmbeddedServiceEngine.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.EmbeddedServiceEngine.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.EmbeddedServiceEngine.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.EmbeddedServiceEngine.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.EmbeddedServiceEngine.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.EmbeddedServiceEngine.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.EmbeddedServiceEngine.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.EmbeddedServiceEngine.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.EmbeddedServiceEngine.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.EmbeddedServiceEngine.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.EmbeddedServiceEngine.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.EmbeddedServiceEngine.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "Embedded-Service-Engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.EmbeddedServiceEngine.PmPath, ['name', 'interface_id'], name, value)


        class FastEthernet(Entity):
            """
            FastEthernet IEEE 802.3
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            	**pattern:** ([0\-9]/)([0\-9]/)([1\-3][0\-9]\|4[0\-8]\|[0\-9])
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.PmPath>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:  :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.CarrierDelay>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:  :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:  :py:class:`ChannelProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.ChannelProtocol>`
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet>`
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:  :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Negotiation>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:  :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Synchronous>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:  :py:class:`Duplex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Duplex>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:  :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Speed>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:  :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Plim>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:  :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Pppoe>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service>`
            
            .. attribute:: xconnect
            
            	Xconnect commands
            	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Xconnect>`
            
            .. attribute:: cdp
            
            	CDP interface subcommands
            	**type**\:  :py:class:`Cdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cdp>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Snmp>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts>`
            
            .. attribute:: dot1x
            
            	Interface Config Commands for IEEE 802.1X
            	**type**\:  :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Dot1X>`
            
            .. attribute:: performance
            
            	Global performance monitor configuration
            	**type**\:  :py:class:`Performance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Performance>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.ServicePolicy>`
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Lisp>`
            
            .. attribute:: lldp
            
            	LLDP interface subcommands
            	**type**\:  :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Lldp>`
            
            .. attribute:: mka
            
            	MACsec Key Agreement (MKA) interface configuration
            	**type**\:  :py:class:`Mka <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mka>`
            
            .. attribute:: nat66
            
            	NAT66 interface commands
            	**type**\:  :py:class:`Nat66 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Nat66>`
            
            .. attribute:: ospfv3
            
            	OSPFv3 interface commands
            	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3>`
            
            .. attribute:: power
            
            	
            	**type**\:  :py:class:`Power <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Power>`
            
            .. attribute:: authentication
            
            	Auth Manager Interface Configuration Commands
            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication>`
            
            .. attribute:: mab
            
            	
            	**type**\:  :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mab>`
            
            	**presence node**\: True
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SpanningTree>`
            
            .. attribute:: auto
            
            	Configure Automation
            	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Auto>`
            
            .. attribute:: datalink
            
            	Interface Datalink commands
            	**type**\:  :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Datalink>`
            
            .. attribute:: energywise
            
            	EnergyWise interface configurations
            	**type**\:  :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Energywise>`
            
            	**presence node**\: True
            
            .. attribute:: location
            
            	Interface location information
            	**type**\:  :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Location>`
            
            .. attribute:: mac
            
            	MAC interface commands
            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mac>`
            
            .. attribute:: macro
            
            	Command macro
            	**type**\:  :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Macro>`
            
            .. attribute:: dual_active
            
            	
            	**type**\:  :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.DualActive>`
            
            .. attribute:: load_balancing
            
            	Etherchannel Load\-Balancing
            	**type**\:  :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.LoadBalancing>`
            
            .. attribute:: vlan_range
            
            	
            	**type**\: list of  		 :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.VlanRange>`
            
            .. attribute:: switch
            
            	
            	**type**\:  :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switch>`
            
            .. attribute:: srr_queue
            
            	
            	**type**\:  :py:class:`SrrQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SrrQueue>`
            
            .. attribute:: macsec
            
            	Enable macsec on the interface
            	**type**\:  :py:class:`Macsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Macsec>`
            
            	**presence node**\: True
            
            .. attribute:: device_tracking
            
            	Configure device\-tracking on the interface
            	**type**\:  :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.DeviceTracking>`
            
            .. attribute:: udld
            
            	Configure UDLD enabled or disabled and ignore global UDLD setting
            	**type**\:  :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Udld>`
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:  :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.FastEthernet, self).__init__()

                self.yang_name = "FastEthernet"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.FastEthernet.SwitchportConf), "switchport" : ("switchport", Native.Interface.FastEthernet.Switchport), "arp" : ("arp", Native.Interface.FastEthernet.Arp), "backup" : ("backup", Native.Interface.FastEthernet.Backup), "cemoudp" : ("cemoudp", Native.Interface.FastEthernet.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.FastEthernet.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.FastEthernet.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.FastEthernet.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.FastEthernet.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.FastEthernet.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.FastEthernet.Flowcontrol), "isis" : ("isis", Native.Interface.FastEthernet.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.FastEthernet.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.FastEthernet.Bfd), "bandwidth" : ("bandwidth", Native.Interface.FastEthernet.Bandwidth), "dampening" : ("dampening", Native.Interface.FastEthernet.Dampening), "domain" : ("domain", Native.Interface.FastEthernet.Domain), "mpls" : ("mpls", Native.Interface.FastEthernet.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.FastEthernet.IpVrf), "vrf" : ("vrf", Native.Interface.FastEthernet.Vrf), "ip" : ("ip", Native.Interface.FastEthernet.Ip), "ipv6" : ("ipv6", Native.Interface.FastEthernet.Ipv6), "logging" : ("logging", Native.Interface.FastEthernet.Logging), "mdix" : ("mdix", Native.Interface.FastEthernet.Mdix), "mop" : ("mop", Native.Interface.FastEthernet.Mop), "interface_qos" : ("interface_qos", Native.Interface.FastEthernet.InterfaceQos), "standby" : ("standby", Native.Interface.FastEthernet.Standby), "access-session" : ("access_session", Native.Interface.FastEthernet.AccessSession), "storm-control" : ("storm_control", Native.Interface.FastEthernet.StormControl), "trust" : ("trust", Native.Interface.FastEthernet.Trust), "priority-queue" : ("priority_queue", Native.Interface.FastEthernet.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.FastEthernet.RcvQueue), "peer" : ("peer", Native.Interface.FastEthernet.Peer), "pm-path" : ("pm_path", Native.Interface.FastEthernet.PmPath), "Cisco-IOS-XE-ethernet:carrier-delay" : ("carrier_delay", Native.Interface.FastEthernet.CarrierDelay), "Cisco-IOS-XE-ethernet:channel-group" : ("channel_group", Native.Interface.FastEthernet.ChannelGroup), "Cisco-IOS-XE-ethernet:ethernet" : ("ethernet", Native.Interface.FastEthernet.Ethernet), "Cisco-IOS-XE-ethernet:negotiation" : ("negotiation", Native.Interface.FastEthernet.Negotiation), "Cisco-IOS-XE-ethernet:synchronous" : ("synchronous", Native.Interface.FastEthernet.Synchronous), "Cisco-IOS-XE-ethernet:speed" : ("speed", Native.Interface.FastEthernet.Speed), "Cisco-IOS-XE-ethernet:plim" : ("plim", Native.Interface.FastEthernet.Plim), "Cisco-IOS-XE-ethernet:pppoe" : ("pppoe", Native.Interface.FastEthernet.Pppoe), "Cisco-IOS-XE-ethernet:service" : ("service", Native.Interface.FastEthernet.Service), "Cisco-IOS-XE-l2vpn:xconnect" : ("xconnect", Native.Interface.FastEthernet.Xconnect), "Cisco-IOS-XE-cdp:cdp" : ("cdp", Native.Interface.FastEthernet.Cdp), "Cisco-IOS-XE-snmp:snmp" : ("snmp", Native.Interface.FastEthernet.Snmp), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.FastEthernet.Crypto), "Cisco-IOS-XE-cts:cts" : ("cts", Native.Interface.FastEthernet.Cts), "Cisco-IOS-XE-dot1x:dot1x" : ("dot1x", Native.Interface.FastEthernet.Dot1X), "Cisco-IOS-XE-ezpm:performance" : ("performance", Native.Interface.FastEthernet.Performance), "Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.Interface.FastEthernet.ServicePolicy), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Interface.FastEthernet.Lisp), "Cisco-IOS-XE-lldp:lldp" : ("lldp", Native.Interface.FastEthernet.Lldp), "Cisco-IOS-XE-mka:mka" : ("mka", Native.Interface.FastEthernet.Mka), "Cisco-IOS-XE-ospfv3:ospfv3" : ("ospfv3", Native.Interface.FastEthernet.Ospfv3), "Cisco-IOS-XE-power:power" : ("power", Native.Interface.FastEthernet.Power), "Cisco-IOS-XE-sanet:authentication" : ("authentication", Native.Interface.FastEthernet.Authentication), "Cisco-IOS-XE-sanet:mab" : ("mab", Native.Interface.FastEthernet.Mab), "Cisco-IOS-XE-spanning-tree:spanning-tree" : ("spanning_tree", Native.Interface.FastEthernet.SpanningTree), "Cisco-IOS-XE-switch:auto" : ("auto", Native.Interface.FastEthernet.Auto), "Cisco-IOS-XE-switch:datalink" : ("datalink", Native.Interface.FastEthernet.Datalink), "Cisco-IOS-XE-switch:energywise" : ("energywise", Native.Interface.FastEthernet.Energywise), "Cisco-IOS-XE-switch:location" : ("location", Native.Interface.FastEthernet.Location), "Cisco-IOS-XE-switch:mac" : ("mac", Native.Interface.FastEthernet.Mac), "Cisco-IOS-XE-switch:macro" : ("macro", Native.Interface.FastEthernet.Macro), "Cisco-IOS-XE-switch:dual-active" : ("dual_active", Native.Interface.FastEthernet.DualActive), "Cisco-IOS-XE-switch:load-balancing" : ("load_balancing", Native.Interface.FastEthernet.LoadBalancing), "Cisco-IOS-XE-switch:switch" : ("switch", Native.Interface.FastEthernet.Switch), "Cisco-IOS-XE-switch:srr-queue" : ("srr_queue", Native.Interface.FastEthernet.SrrQueue), "Cisco-IOS-XE-switch:macsec" : ("macsec", Native.Interface.FastEthernet.Macsec), "Cisco-IOS-XE-switch:device-tracking" : ("device_tracking", Native.Interface.FastEthernet.DeviceTracking), "Cisco-IOS-XE-udld:udld" : ("udld", Native.Interface.FastEthernet.Udld), "Cisco-IOS-XE-zone:zone-member" : ("zone_member", Native.Interface.FastEthernet.ZoneMember)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.FastEthernet.HoldQueue), "Cisco-IOS-XE-switch:vlan-range" : ("vlan_range", Native.Interface.FastEthernet.VlanRange)}

                self.name = YLeaf(YType.str, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.channel_protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:channel-protocol")

                self.duplex = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:duplex")

                self.nat66 = YLeaf(YType.enumeration, "Cisco-IOS-XE-nat:nat66")

                self.switchport_conf = Native.Interface.FastEthernet.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.FastEthernet.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.FastEthernet.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.FastEthernet.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.FastEthernet.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.FastEthernet.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.FastEthernet.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.FastEthernet.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.FastEthernet.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.FastEthernet.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.FastEthernet.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.FastEthernet.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.FastEthernet.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.FastEthernet.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.FastEthernet.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.FastEthernet.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.FastEthernet.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.FastEthernet.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.FastEthernet.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.FastEthernet.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.FastEthernet.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.FastEthernet.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.FastEthernet.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.FastEthernet.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.FastEthernet.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.FastEthernet.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.FastEthernet.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.FastEthernet.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.FastEthernet.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.FastEthernet.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.FastEthernet.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.FastEthernet.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.FastEthernet.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.carrier_delay = Native.Interface.FastEthernet.CarrierDelay()
                self.carrier_delay.parent = self
                self._children_name_map["carrier_delay"] = "carrier-delay"
                self._children_yang_names.add("carrier-delay")

                self.channel_group = Native.Interface.FastEthernet.ChannelGroup()
                self.channel_group.parent = self
                self._children_name_map["channel_group"] = "channel-group"
                self._children_yang_names.add("channel-group")

                self.ethernet = Native.Interface.FastEthernet.Ethernet()
                self.ethernet.parent = self
                self._children_name_map["ethernet"] = "ethernet"
                self._children_yang_names.add("ethernet")

                self.negotiation = Native.Interface.FastEthernet.Negotiation()
                self.negotiation.parent = self
                self._children_name_map["negotiation"] = "negotiation"
                self._children_yang_names.add("negotiation")

                self.synchronous = Native.Interface.FastEthernet.Synchronous()
                self.synchronous.parent = self
                self._children_name_map["synchronous"] = "synchronous"
                self._children_yang_names.add("synchronous")

                self.speed = Native.Interface.FastEthernet.Speed()
                self.speed.parent = self
                self._children_name_map["speed"] = "speed"
                self._children_yang_names.add("speed")

                self.plim = Native.Interface.FastEthernet.Plim()
                self.plim.parent = self
                self._children_name_map["plim"] = "plim"
                self._children_yang_names.add("plim")

                self.pppoe = Native.Interface.FastEthernet.Pppoe()
                self.pppoe.parent = self
                self._children_name_map["pppoe"] = "pppoe"
                self._children_yang_names.add("pppoe")

                self.service = Native.Interface.FastEthernet.Service()
                self.service.parent = self
                self._children_name_map["service"] = "service"
                self._children_yang_names.add("service")

                self.xconnect = Native.Interface.FastEthernet.Xconnect()
                self.xconnect.parent = self
                self._children_name_map["xconnect"] = "xconnect"
                self._children_yang_names.add("xconnect")

                self.cdp = Native.Interface.FastEthernet.Cdp()
                self.cdp.parent = self
                self._children_name_map["cdp"] = "cdp"
                self._children_yang_names.add("cdp")

                self.snmp = Native.Interface.FastEthernet.Snmp()
                self.snmp.parent = self
                self._children_name_map["snmp"] = "snmp"
                self._children_yang_names.add("snmp")

                self.crypto = Native.Interface.FastEthernet.Crypto()
                self.crypto.parent = self
                self._children_name_map["crypto"] = "crypto"
                self._children_yang_names.add("crypto")

                self.cts = Native.Interface.FastEthernet.Cts()
                self.cts.parent = self
                self._children_name_map["cts"] = "cts"
                self._children_yang_names.add("cts")

                self.dot1x = Native.Interface.FastEthernet.Dot1X()
                self.dot1x.parent = self
                self._children_name_map["dot1x"] = "dot1x"
                self._children_yang_names.add("dot1x")

                self.performance = Native.Interface.FastEthernet.Performance()
                self.performance.parent = self
                self._children_name_map["performance"] = "performance"
                self._children_yang_names.add("performance")

                self.service_policy = Native.Interface.FastEthernet.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.lisp = Native.Interface.FastEthernet.Lisp()
                self.lisp.parent = self
                self._children_name_map["lisp"] = "lisp"
                self._children_yang_names.add("lisp")

                self.lldp = Native.Interface.FastEthernet.Lldp()
                self.lldp.parent = self
                self._children_name_map["lldp"] = "lldp"
                self._children_yang_names.add("lldp")

                self.mka = Native.Interface.FastEthernet.Mka()
                self.mka.parent = self
                self._children_name_map["mka"] = "mka"
                self._children_yang_names.add("mka")

                self.ospfv3 = Native.Interface.FastEthernet.Ospfv3()
                self.ospfv3.parent = self
                self._children_name_map["ospfv3"] = "ospfv3"
                self._children_yang_names.add("ospfv3")

                self.power = Native.Interface.FastEthernet.Power()
                self.power.parent = self
                self._children_name_map["power"] = "power"
                self._children_yang_names.add("power")

                self.authentication = Native.Interface.FastEthernet.Authentication()
                self.authentication.parent = self
                self._children_name_map["authentication"] = "authentication"
                self._children_yang_names.add("authentication")

                self.mab = None
                self._children_name_map["mab"] = "mab"
                self._children_yang_names.add("mab")

                self.spanning_tree = Native.Interface.FastEthernet.SpanningTree()
                self.spanning_tree.parent = self
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.auto = Native.Interface.FastEthernet.Auto()
                self.auto.parent = self
                self._children_name_map["auto"] = "auto"
                self._children_yang_names.add("auto")

                self.datalink = Native.Interface.FastEthernet.Datalink()
                self.datalink.parent = self
                self._children_name_map["datalink"] = "datalink"
                self._children_yang_names.add("datalink")

                self.energywise = None
                self._children_name_map["energywise"] = "energywise"
                self._children_yang_names.add("energywise")

                self.location = Native.Interface.FastEthernet.Location()
                self.location.parent = self
                self._children_name_map["location"] = "location"
                self._children_yang_names.add("location")

                self.mac = Native.Interface.FastEthernet.Mac()
                self.mac.parent = self
                self._children_name_map["mac"] = "mac"
                self._children_yang_names.add("mac")

                self.macro = Native.Interface.FastEthernet.Macro()
                self.macro.parent = self
                self._children_name_map["macro"] = "macro"
                self._children_yang_names.add("macro")

                self.dual_active = Native.Interface.FastEthernet.DualActive()
                self.dual_active.parent = self
                self._children_name_map["dual_active"] = "dual-active"
                self._children_yang_names.add("dual-active")

                self.load_balancing = Native.Interface.FastEthernet.LoadBalancing()
                self.load_balancing.parent = self
                self._children_name_map["load_balancing"] = "load-balancing"
                self._children_yang_names.add("load-balancing")

                self.switch = Native.Interface.FastEthernet.Switch()
                self.switch.parent = self
                self._children_name_map["switch"] = "switch"
                self._children_yang_names.add("switch")

                self.srr_queue = Native.Interface.FastEthernet.SrrQueue()
                self.srr_queue.parent = self
                self._children_name_map["srr_queue"] = "srr-queue"
                self._children_yang_names.add("srr-queue")

                self.macsec = None
                self._children_name_map["macsec"] = "macsec"
                self._children_yang_names.add("macsec")

                self.device_tracking = Native.Interface.FastEthernet.DeviceTracking()
                self.device_tracking.parent = self
                self._children_name_map["device_tracking"] = "device-tracking"
                self._children_yang_names.add("device-tracking")

                self.udld = Native.Interface.FastEthernet.Udld()
                self.udld.parent = self
                self._children_name_map["udld"] = "udld"
                self._children_yang_names.add("udld")

                self.zone_member = Native.Interface.FastEthernet.ZoneMember()
                self.zone_member.parent = self
                self._children_name_map["zone_member"] = "zone-member"
                self._children_yang_names.add("zone-member")

                self.hold_queue = YList(self)
                self.vlan_range = YList(self)
                self._segment_path = lambda: "FastEthernet" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.FastEthernet, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion', 'channel_protocol', 'duplex', 'nat66'], name, value)

            class ChannelProtocol(Enum):
                """
                ChannelProtocol

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = Enum.YLeaf(0, "lacp")

                pagp = Enum.YLeaf(1, "pagp")


            class Duplex(Enum):
                """
                Duplex

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = Enum.YLeaf(0, "auto")

                full = Enum.YLeaf(1, "full")

                half = Enum.YLeaf(2, "half")


            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class Nat66(Enum):
                """
                Nat66

                NAT66 interface commands

                .. data:: inside = 0

                .. data:: outside = 1

                """

                inside = Enum.YLeaf(0, "inside")

                outside = Enum.YLeaf(1, "outside")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: trunk
                
                	Set trunking characteristics of the interface
                	**type**\:  :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Trunk>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Voice>`
                
                .. attribute:: priority
                
                	Set appliance 802.1p priority
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Priority>`
                
                .. attribute:: autostate
                
                	Include or exclude this port from vlan link up calculation
                	**type**\:  :py:class:`Autostate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Autostate>`
                
                .. attribute:: protected
                
                	Configure an interface to be a protected port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host
                
                	Set port host
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: private_vlan
                
                	Set the private VLAN configuration
                	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.PrivateVlan>`
                
                .. attribute:: device_tracking
                
                	Configure device\-tracking on the interface
                	**type**\:  :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.DeviceTracking>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-switch:access" : ("access", Native.Interface.FastEthernet.Switchport.Access), "Cisco-IOS-XE-switch:block" : ("block", Native.Interface.FastEthernet.Switchport.Block), "Cisco-IOS-XE-switch:mode" : ("mode", Native.Interface.FastEthernet.Switchport.Mode), "Cisco-IOS-XE-switch:port-security" : ("port_security", Native.Interface.FastEthernet.Switchport.PortSecurity), "Cisco-IOS-XE-switch:trunk" : ("trunk", Native.Interface.FastEthernet.Switchport.Trunk), "Cisco-IOS-XE-switch:voice" : ("voice", Native.Interface.FastEthernet.Switchport.Voice), "Cisco-IOS-XE-switch:priority" : ("priority", Native.Interface.FastEthernet.Switchport.Priority), "Cisco-IOS-XE-switch:autostate" : ("autostate", Native.Interface.FastEthernet.Switchport.Autostate), "Cisco-IOS-XE-switch:private-vlan" : ("private_vlan", Native.Interface.FastEthernet.Switchport.PrivateVlan), "Cisco-IOS-XE-switch:device-tracking" : ("device_tracking", Native.Interface.FastEthernet.Switchport.DeviceTracking)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "Cisco-IOS-XE-switch:nonegotiate")

                    self.protected = YLeaf(YType.empty, "Cisco-IOS-XE-switch:protected")

                    self.host = YLeaf(YType.empty, "Cisco-IOS-XE-switch:host")

                    self.access = Native.Interface.FastEthernet.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.block = Native.Interface.FastEthernet.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.mode = Native.Interface.FastEthernet.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.trunk = Native.Interface.FastEthernet.Switchport.Trunk()
                    self.trunk.parent = self
                    self._children_name_map["trunk"] = "trunk"
                    self._children_yang_names.add("trunk")

                    self.voice = Native.Interface.FastEthernet.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")

                    self.priority = Native.Interface.FastEthernet.Switchport.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.autostate = Native.Interface.FastEthernet.Switchport.Autostate()
                    self.autostate.parent = self
                    self._children_name_map["autostate"] = "autostate"
                    self._children_yang_names.add("autostate")

                    self.private_vlan = Native.Interface.FastEthernet.Switchport.PrivateVlan()
                    self.private_vlan.parent = self
                    self._children_name_map["private_vlan"] = "private-vlan"
                    self._children_yang_names.add("private-vlan")

                    self.device_tracking = Native.Interface.FastEthernet.Switchport.DeviceTracking()
                    self.device_tracking.parent = self
                    self._children_name_map["device_tracking"] = "device-tracking"
                    self._children_yang_names.add("device-tracking")
                    self._segment_path = lambda: "switchport"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Switchport, ['nonegotiate', 'protected', 'host'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	Set VLAN when interface is in access mode
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Access.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.FastEthernet.Switchport.Access.Vlan)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.FastEthernet.Switchport.Access.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:access"


                    class Vlan(Entity):
                        """
                        Set VLAN when interface is in access mode
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.Vlan>`
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.Access.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "access"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Switchport.Access.Vlan, ['vlan', 'name'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            .. data:: dynamic = 0

                            """

                            dynamic = Enum.YLeaf(0, "dynamic")



                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: multicast
                    
                    	Block unknown multicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.multicast = YLeaf(YType.empty, "multicast")

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:block"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Switchport.Block, ['multicast', 'unicast'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Mode.Access>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dot1q_tunnel
                    
                    	set trunking mode to TUNNEL unconditionally
                    	**type**\:  :py:class:`Dot1QTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Mode.Dot1QTunnel>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dynamic
                    
                    	Set trunking mode to dynamically negotiate access or trunk mode
                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Mode.Dynamic>`
                    
                    .. attribute:: private_vlan
                    
                    	Set private\-vlan mode
                    	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Mode.PrivateVlan>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Mode.Trunk>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"access" : ("access", Native.Interface.FastEthernet.Switchport.Mode.Access), "dot1q-tunnel" : ("dot1q_tunnel", Native.Interface.FastEthernet.Switchport.Mode.Dot1QTunnel), "private-vlan" : ("private_vlan", Native.Interface.FastEthernet.Switchport.Mode.PrivateVlan), "trunk" : ("trunk", Native.Interface.FastEthernet.Switchport.Mode.Trunk)}
                        self._child_list_classes = {}

                        self.dynamic = YLeaf(YType.enumeration, "dynamic")

                        self.access = None
                        self._children_name_map["access"] = "access"
                        self._children_yang_names.add("access")

                        self.dot1q_tunnel = None
                        self._children_name_map["dot1q_tunnel"] = "dot1q-tunnel"
                        self._children_yang_names.add("dot1q-tunnel")

                        self.private_vlan = Native.Interface.FastEthernet.Switchport.Mode.PrivateVlan()
                        self.private_vlan.parent = self
                        self._children_name_map["private_vlan"] = "private-vlan"
                        self._children_yang_names.add("private-vlan")

                        self.trunk = None
                        self._children_name_map["trunk"] = "trunk"
                        self._children_yang_names.add("trunk")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:mode"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Switchport.Mode, ['dynamic'], name, value)

                    class Dynamic(Enum):
                        """
                        Dynamic

                        Set trunking mode to dynamically negotiate access or trunk mode

                        .. data:: auto = 0

                        .. data:: desirable = 1

                        """

                        auto = Enum.YLeaf(0, "auto")

                        desirable = Enum.YLeaf(1, "desirable")



                    class Access(Entity):
                        """
                        Set trunking mode to ACCESS unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.Mode.Access, self).__init__()

                            self.yang_name = "access"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "access"


                    class Dot1QTunnel(Entity):
                        """
                        set trunking mode to TUNNEL unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.Mode.Dot1QTunnel, self).__init__()

                            self.yang_name = "dot1q-tunnel"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "dot1q-tunnel"


                    class PrivateVlan(Entity):
                        """
                        Set private\-vlan mode
                        
                        .. attribute:: host
                        
                        	Set the mode to private\-vlan host
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: promiscuous
                        
                        	Set the mode to private\-vlan promiscuous
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.Mode.PrivateVlan, self).__init__()

                            self.yang_name = "private-vlan"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.host = YLeaf(YType.empty, "host")

                            self.promiscuous = YLeaf(YType.empty, "promiscuous")
                            self._segment_path = lambda: "private-vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Switchport.Mode.PrivateVlan, ['host', 'promiscuous'], name, value)


                    class Trunk(Entity):
                        """
                        Set trunking mode to TRUNK unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.Mode.Trunk, self).__init__()

                            self.yang_name = "trunk"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "trunk"


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: mac_address
                    
                    	Secure mac address
                    	**type**\:  :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.PortSecurity.MacAddress>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"aging" : ("aging", Native.Interface.FastEthernet.Switchport.PortSecurity.Aging), "mac-address" : ("mac_address", Native.Interface.FastEthernet.Switchport.PortSecurity.MacAddress), "maximum" : ("maximum", Native.Interface.FastEthernet.Switchport.PortSecurity.Maximum)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.violation = YLeaf(YType.enumeration, "violation")

                        self.aging = Native.Interface.FastEthernet.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.mac_address = Native.Interface.FastEthernet.Switchport.PortSecurity.MacAddress()
                        self.mac_address.parent = self
                        self._children_name_map["mac_address"] = "mac-address"
                        self._children_yang_names.add("mac-address")

                        self.maximum = Native.Interface.FastEthernet.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:port-security"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Switchport.PortSecurity, ['violation'], name, value)

                    class Violation(Enum):
                        """
                        Violation

                        Security violation mode

                        .. data:: protect = 0

                        .. data:: restrict = 1

                        .. data:: shutdown = 2

                        """

                        protect = Enum.YLeaf(0, "protect")

                        restrict = Enum.YLeaf(1, "restrict")

                        shutdown = Enum.YLeaf(2, "shutdown")



                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.PortSecurity.Aging.Type>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = YLeaf(YType.enumeration, "type")
                            self._segment_path = lambda: "aging"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Switchport.PortSecurity.Aging, ['static', 'time', 'type'], name, value)

                        class Type(Enum):
                            """
                            Type

                            Port\-security aging type

                            .. data:: absolute = 0

                            .. data:: inactivity = 1

                            """

                            absolute = Enum.YLeaf(0, "absolute")

                            inactivity = Enum.YLeaf(1, "inactivity")



                    class MacAddress(Entity):
                        """
                        Secure mac address
                        
                        .. attribute:: sticky
                        
                        	Configure dynamic secure addresses as sticky
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hw_address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        .. attribute:: vlan
                        
                        	set VLAN ID of the VLAN on which this address can be learned
                        	**type**\: int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.PortSecurity.MacAddress, self).__init__()

                            self.yang_name = "mac-address"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sticky = YLeaf(YType.empty, "sticky")

                            self.hw_address = YLeaf(YType.str, "hw-address")

                            self.vlan = YLeaf(YType.uint16, "vlan")
                            self._segment_path = lambda: "mac-address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Switchport.PortSecurity.MacAddress, ['sticky', 'hw_address', 'vlan'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: max_addresses
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4097
                        
                        .. attribute:: vlan
                        
                        	Max secure addresses per vlan
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_addresses = YLeaf(YType.uint16, "max-addresses")

                            self.vlan = YLeaf(YType.str, "vlan")
                            self._segment_path = lambda: "maximum"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Switchport.PortSecurity.Maximum, ['max_addresses', 'vlan'], name, value)


                class Trunk(Entity):
                    """
                    Set trunking characteristics of the interface
                    
                    .. attribute:: allowed
                    
                    	Set allowed VLAN characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Allowed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Trunk.Allowed>`
                    
                    .. attribute:: encapsulation
                    
                    	Set encapsulation format on trunk port
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Trunk.Encapsulation>`
                    
                    .. attribute:: native
                    
                    	Set trunking native characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Native <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Trunk.Native>`
                    
                    .. attribute:: pruning
                    
                    	Set pruning VLAN characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Pruning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Trunk.Pruning>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Switchport.Trunk, self).__init__()

                        self.yang_name = "trunk"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"allowed" : ("allowed", Native.Interface.FastEthernet.Switchport.Trunk.Allowed), "native" : ("native", Native.Interface.FastEthernet.Switchport.Trunk.Native), "pruning" : ("pruning", Native.Interface.FastEthernet.Switchport.Trunk.Pruning)}
                        self._child_list_classes = {}

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.allowed = Native.Interface.FastEthernet.Switchport.Trunk.Allowed()
                        self.allowed.parent = self
                        self._children_name_map["allowed"] = "allowed"
                        self._children_yang_names.add("allowed")

                        self.native = Native.Interface.FastEthernet.Switchport.Trunk.Native()
                        self.native.parent = self
                        self._children_name_map["native"] = "native"
                        self._children_yang_names.add("native")

                        self.pruning = Native.Interface.FastEthernet.Switchport.Trunk.Pruning()
                        self.pruning.parent = self
                        self._children_name_map["pruning"] = "pruning"
                        self._children_yang_names.add("pruning")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:trunk"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Switchport.Trunk, ['encapsulation'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Set encapsulation format on trunk port

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: negotiate = 2

                        """

                        dot1q = Enum.YLeaf(0, "dot1q")

                        isl = Enum.YLeaf(1, "isl")

                        negotiate = Enum.YLeaf(2, "negotiate")



                    class Allowed(Entity):
                        """
                        Set allowed VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set allowed VLANs when interface is in trunking mode
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Trunk.Allowed.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.Trunk.Allowed, self).__init__()

                            self.yang_name = "allowed"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.FastEthernet.Switchport.Trunk.Allowed.Vlan)}
                            self._child_list_classes = {}

                            self.vlan = Native.Interface.FastEthernet.Switchport.Trunk.Allowed.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "allowed"


                        class Vlan(Entity):
                            """
                            Set allowed VLANs when interface is in trunking mode
                            
                            .. attribute:: vlans
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            .. attribute:: all
                            
                            	all VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Switchport.Trunk.Allowed.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "allowed"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vlans = YLeaf(YType.str, "vlans")

                                self.add = YLeaf(YType.str, "add")

                                self.all = YLeaf(YType.empty, "all")

                                self.except_ = YLeafList(YType.str, "except")

                                self.none = YLeaf(YType.empty, "none")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Switchport.Trunk.Allowed.Vlan, ['vlans', 'add', 'all', 'except_', 'none', 'remove'], name, value)


                    class Native(Entity):
                        """
                        Set trunking native characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set native VLAN when interface is in trunking mode
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native.Vlan>`
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.Trunk.Native, self).__init__()

                            self.yang_name = "native"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")
                            self._segment_path = lambda: "native"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Switchport.Trunk.Native, ['vlan'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            Set native VLAN when interface is in trunking mode

                            .. data:: tag = 0

                            """

                            tag = Enum.YLeaf(0, "tag")



                    class Pruning(Entity):
                        """
                        Set pruning VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set VLANs enabled for pruning when interface is in trunking mode
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Trunk.Pruning.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.Trunk.Pruning, self).__init__()

                            self.yang_name = "pruning"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.FastEthernet.Switchport.Trunk.Pruning.Vlan)}
                            self._child_list_classes = {}

                            self.vlan = Native.Interface.FastEthernet.Switchport.Trunk.Pruning.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "pruning"


                        class Vlan(Entity):
                            """
                            Set VLANs enabled for pruning when interface is in trunking mode
                            
                            .. attribute:: vlans
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Switchport.Trunk.Pruning.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "pruning"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vlans = YLeafList(YType.str, "vlans")

                                self.add = YLeaf(YType.str, "add")

                                self.except_ = YLeafList(YType.str, "except")

                                self.none = YLeaf(YType.empty, "none")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Switchport.Trunk.Pruning.Vlan, ['vlans', 'add', 'except_', 'none', 'remove'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Voice.Vlan>`
                    
                    .. attribute:: detect
                    
                    	detection enhancement keyword
                    	**type**\:  :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Voice.Detect>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.FastEthernet.Switchport.Voice.Vlan), "detect" : ("detect", Native.Interface.FastEthernet.Switchport.Voice.Detect)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.FastEthernet.Switchport.Voice.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")

                        self.detect = Native.Interface.FastEthernet.Switchport.Voice.Detect()
                        self.detect.parent = self
                        self._children_name_map["detect"] = "detect"
                        self._children_yang_names.add("detect")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:voice"


                    class Vlan(Entity):
                        """
                        Vlan for voice traffic
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.Vlan>`
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        		**type**\: str
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.Voice.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "voice"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Switchport.Voice.Vlan, ['vlan', 'name'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            .. data:: dot1p = 0

                            .. data:: none = 1

                            .. data:: untagged = 2

                            """

                            dot1p = Enum.YLeaf(0, "dot1p")

                            none = Enum.YLeaf(1, "none")

                            untagged = Enum.YLeaf(2, "untagged")



                    class Detect(Entity):
                        """
                        detection enhancement keyword
                        
                        .. attribute:: cisco_phone
                        
                        	Cisco IP phone
                        	**type**\:  :py:class:`CiscoPhone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Voice.Detect.CiscoPhone>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.Voice.Detect, self).__init__()

                            self.yang_name = "detect"
                            self.yang_parent_name = "voice"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cisco-phone" : ("cisco_phone", Native.Interface.FastEthernet.Switchport.Voice.Detect.CiscoPhone)}
                            self._child_list_classes = {}

                            self.cisco_phone = None
                            self._children_name_map["cisco_phone"] = "cisco-phone"
                            self._children_yang_names.add("cisco-phone")
                            self._segment_path = lambda: "detect"


                        class CiscoPhone(Entity):
                            """
                            Cisco IP phone
                            
                            .. attribute:: full_duplex
                            
                            	full duplex keyword
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Switchport.Voice.Detect.CiscoPhone, self).__init__()

                                self.yang_name = "cisco-phone"
                                self.yang_parent_name = "detect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.full_duplex = YLeaf(YType.empty, "full-duplex")
                                self._segment_path = lambda: "cisco-phone"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Switchport.Voice.Detect.CiscoPhone, ['full_duplex'], name, value)


                class Priority(Entity):
                    """
                    Set appliance 802.1p priority
                    
                    .. attribute:: extend
                    
                    	Set appliance 802.1p priority
                    	**type**\:  :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.Priority.Extend>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Switchport.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"extend" : ("extend", Native.Interface.FastEthernet.Switchport.Priority.Extend)}
                        self._child_list_classes = {}

                        self.extend = Native.Interface.FastEthernet.Switchport.Priority.Extend()
                        self.extend.parent = self
                        self._children_name_map["extend"] = "extend"
                        self._children_yang_names.add("extend")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:priority"


                    class Extend(Entity):
                        """
                        Set appliance 802.1p priority
                        
                        .. attribute:: trust
                        
                        	Trust 802.1p priorities of devices on appliance
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cos
                        
                        	Override 802.1p priority of devices on appliance
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.Priority.Extend, self).__init__()

                            self.yang_name = "extend"
                            self.yang_parent_name = "priority"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.cos = YLeaf(YType.uint8, "cos")
                            self._segment_path = lambda: "extend"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Switchport.Priority.Extend, ['trust', 'cos'], name, value)


                class Autostate(Entity):
                    """
                    Include or exclude this port from vlan link up calculation
                    
                    .. attribute:: exclude
                    
                    	Exclude this port from vlan link up calculation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Switchport.Autostate, self).__init__()

                        self.yang_name = "autostate"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.exclude = YLeaf(YType.empty, "exclude")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:autostate"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Switchport.Autostate, ['exclude'], name, value)


                class PrivateVlan(Entity):
                    """
                    Set the private VLAN configuration
                    
                    .. attribute:: association
                    
                    	Set the private VLAN association
                    	**type**\:  :py:class:`Association <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.PrivateVlan.Association>`
                    
                    .. attribute:: host_association
                    
                    	Set the private VLAN host association
                    	**type**\:  :py:class:`HostAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.PrivateVlan.HostAssociation>`
                    
                    .. attribute:: mapping
                    
                    	Set the private VLAN promiscuous mapping
                    	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.PrivateVlan.Mapping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Switchport.PrivateVlan, self).__init__()

                        self.yang_name = "private-vlan"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"association" : ("association", Native.Interface.FastEthernet.Switchport.PrivateVlan.Association), "host-association" : ("host_association", Native.Interface.FastEthernet.Switchport.PrivateVlan.HostAssociation), "mapping" : ("mapping", Native.Interface.FastEthernet.Switchport.PrivateVlan.Mapping)}
                        self._child_list_classes = {}

                        self.association = Native.Interface.FastEthernet.Switchport.PrivateVlan.Association()
                        self.association.parent = self
                        self._children_name_map["association"] = "association"
                        self._children_yang_names.add("association")

                        self.host_association = Native.Interface.FastEthernet.Switchport.PrivateVlan.HostAssociation()
                        self.host_association.parent = self
                        self._children_name_map["host_association"] = "host-association"
                        self._children_yang_names.add("host-association")

                        self.mapping = Native.Interface.FastEthernet.Switchport.PrivateVlan.Mapping()
                        self.mapping.parent = self
                        self._children_name_map["mapping"] = "mapping"
                        self._children_yang_names.add("mapping")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:private-vlan"


                    class Association(Entity):
                        """
                        Set the private VLAN association
                        
                        .. attribute:: host
                        
                        	Set the private VLAN host association
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.PrivateVlan.Association.Host>`
                        
                        .. attribute:: mapping
                        
                        	Set the private VLAN promiscuous mapping
                        	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switchport.PrivateVlan.Association.Mapping>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.PrivateVlan.Association, self).__init__()

                            self.yang_name = "association"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"host" : ("host", Native.Interface.FastEthernet.Switchport.PrivateVlan.Association.Host), "mapping" : ("mapping", Native.Interface.FastEthernet.Switchport.PrivateVlan.Association.Mapping)}
                            self._child_list_classes = {}

                            self.host = Native.Interface.FastEthernet.Switchport.PrivateVlan.Association.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.mapping = Native.Interface.FastEthernet.Switchport.PrivateVlan.Association.Mapping()
                            self.mapping.parent = self
                            self._children_name_map["mapping"] = "mapping"
                            self._children_yang_names.add("mapping")
                            self._segment_path = lambda: "association"


                        class Host(Entity):
                            """
                            Set the private VLAN host association
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN port association
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary normal range VLAN ID of the private VLAN host port association
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Switchport.PrivateVlan.Association.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary_range = YLeaf(YType.uint16, "primary-range")

                                self.secondary_range = YLeaf(YType.uint16, "secondary-range")
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Switchport.PrivateVlan.Association.Host, ['primary_range', 'secondary_range'], name, value)


                        class Mapping(Entity):
                            """
                            Set the private VLAN promiscuous mapping
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            .. attribute:: add
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            .. attribute:: remove
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Switchport.PrivateVlan.Association.Mapping, self).__init__()

                                self.yang_name = "mapping"
                                self.yang_parent_name = "association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary_range = YLeaf(YType.uint16, "primary-range")

                                self.secondary_range = YLeaf(YType.str, "secondary-range")

                                self.add = YLeaf(YType.str, "add")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "mapping"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Switchport.PrivateVlan.Association.Mapping, ['primary_range', 'secondary_range', 'add', 'remove'], name, value)


                    class HostAssociation(Entity):
                        """
                        Set the private VLAN host association
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN port association
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary normal range VLAN ID of the private VLAN host port association
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.PrivateVlan.HostAssociation, self).__init__()

                            self.yang_name = "host-association"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary_range = YLeaf(YType.uint16, "primary-range")

                            self.secondary_range = YLeaf(YType.uint16, "secondary-range")
                            self._segment_path = lambda: "host-association"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Switchport.PrivateVlan.HostAssociation, ['primary_range', 'secondary_range'], name, value)


                    class Mapping(Entity):
                        """
                        Set the private VLAN promiscuous mapping
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        .. attribute:: add
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        .. attribute:: remove
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Switchport.PrivateVlan.Mapping, self).__init__()

                            self.yang_name = "mapping"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary_range = YLeaf(YType.uint16, "primary-range")

                            self.secondary_range = YLeaf(YType.str, "secondary-range")

                            self.add = YLeaf(YType.str, "add")

                            self.remove = YLeaf(YType.str, "remove")
                            self._segment_path = lambda: "mapping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Switchport.PrivateVlan.Mapping, ['primary_range', 'secondary_range', 'add', 'remove'], name, value)


                class DeviceTracking(Entity):
                    """
                    Configure device\-tracking on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature device\-tracking
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Switchport.DeviceTracking, self).__init__()

                        self.yang_name = "device-tracking"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:device-tracking"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Switchport.DeviceTracking, ['attach_policy'], name, value)


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.FastEthernet.Backup.Delay), "interface" : ("interface", Native.Interface.FastEthernet.Backup.Interface), "load" : ("load", Native.Interface.FastEthernet.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.FastEthernet.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.FastEthernet.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.FastEthernet.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.FastEthernet.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.FastEthernet.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.FastEthernet.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.FastEthernet.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.FastEthernet.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.FastEthernet.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.FastEthernet.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.FastEthernet.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.FastEthernet.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.FastEthernet.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.FastEthernet.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.FastEthernet.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.FastEthernet.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.FastEthernet.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.FastEthernet.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.FastEthernet.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.FastEthernet.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.FastEthernet.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.FastEthernet.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.FastEthernet.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.FastEthernet.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.FastEthernet.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.FastEthernet.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:  :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:  :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:  :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:  :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4294967295
                
                		**type**\:  :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroup>`
                
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Network>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Protocol>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:  :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-isis:adjacency-filter" : ("adjacency_filter", Native.Interface.FastEthernet.Isis.AdjacencyFilter), "Cisco-IOS-XE-isis:advertise" : ("advertise", Native.Interface.FastEthernet.Isis.Advertise), "Cisco-IOS-XE-isis:authentication" : ("authentication", Native.Interface.FastEthernet.Isis.Authentication), "Cisco-IOS-XE-isis:circuit-type" : ("circuit_type", Native.Interface.FastEthernet.Isis.CircuitType), "Cisco-IOS-XE-isis:csnp-interval" : ("csnp_interval", Native.Interface.FastEthernet.Isis.CsnpInterval), "Cisco-IOS-XE-isis:hello" : ("hello", Native.Interface.FastEthernet.Isis.Hello), "Cisco-IOS-XE-isis:hello-interval" : ("hello_interval", Native.Interface.FastEthernet.Isis.HelloInterval), "Cisco-IOS-XE-isis:hello-multiplier" : ("hello_multiplier", Native.Interface.FastEthernet.Isis.HelloMultiplier), "Cisco-IOS-XE-isis:ipv6" : ("ipv6", Native.Interface.FastEthernet.Isis.Ipv6), "Cisco-IOS-XE-isis:metric" : ("metric", Native.Interface.FastEthernet.Isis.Metric), "Cisco-IOS-XE-isis:password" : ("password", Native.Interface.FastEthernet.Isis.Password), "Cisco-IOS-XE-isis:priority" : ("priority", Native.Interface.FastEthernet.Isis.Priority), "Cisco-IOS-XE-isis:three-way-handshake" : ("three_way_handshake", Native.Interface.FastEthernet.Isis.ThreeWayHandshake)}
                    self._child_list_classes = {}

                    self.lsp_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:lsp-interval")

                    self.mesh_group = YLeaf(YType.str, "Cisco-IOS-XE-isis:mesh-group")

                    self.network = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:network")

                    self.protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:protocol")

                    self.retransmit_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-interval")

                    self.retransmit_throttle_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-throttle-interval")

                    self.tag = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:tag")

                    self.adjacency_filter = Native.Interface.FastEthernet.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self._children_name_map["adjacency_filter"] = "adjacency-filter"
                    self._children_yang_names.add("adjacency-filter")

                    self.advertise = Native.Interface.FastEthernet.Isis.Advertise()
                    self.advertise.parent = self
                    self._children_name_map["advertise"] = "advertise"
                    self._children_yang_names.add("advertise")

                    self.authentication = Native.Interface.FastEthernet.Isis.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.circuit_type = None
                    self._children_name_map["circuit_type"] = "circuit-type"
                    self._children_yang_names.add("circuit-type")

                    self.csnp_interval = Native.Interface.FastEthernet.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self._children_name_map["csnp_interval"] = "csnp-interval"
                    self._children_yang_names.add("csnp-interval")

                    self.hello = Native.Interface.FastEthernet.Isis.Hello()
                    self.hello.parent = self
                    self._children_name_map["hello"] = "hello"
                    self._children_yang_names.add("hello")

                    self.hello_interval = Native.Interface.FastEthernet.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.hello_multiplier = Native.Interface.FastEthernet.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self._children_name_map["hello_multiplier"] = "hello-multiplier"
                    self._children_yang_names.add("hello-multiplier")

                    self.ipv6 = Native.Interface.FastEthernet.Isis.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.metric = Native.Interface.FastEthernet.Isis.Metric()
                    self.metric.parent = self
                    self._children_name_map["metric"] = "metric"
                    self._children_yang_names.add("metric")

                    self.password = Native.Interface.FastEthernet.Isis.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")

                    self.priority = Native.Interface.FastEthernet.Isis.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.three_way_handshake = None
                    self._children_name_map["three_way_handshake"] = "three-way-handshake"
                    self._children_yang_names.add("three-way-handshake")
                    self._segment_path = lambda: "isis"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Isis, ['lsp_interval', 'mesh_group', 'network', 'protocol', 'retransmit_interval', 'retransmit_throttle_interval', 'tag'], name, value)

                class MeshGroup(Enum):
                    """
                    MeshGroup

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = Enum.YLeaf(0, "blocked")


                class Network(Enum):
                    """
                    Network

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = Enum.YLeaf(0, "point-to-point")


                class Protocol(Enum):
                    """
                    Protocol

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = Enum.YLeaf(0, "shutdown")



                class AdjacencyFilter(Entity):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Isis.AdjacencyFilter, self).__init__()

                        self.yang_name = "adjacency-filter"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.match_all = YLeaf(YType.empty, "match-all")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:adjacency-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Isis.AdjacencyFilter, ['name', 'match_all'], name, value)


                class Advertise(Entity):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Isis.Advertise, self).__init__()

                        self.yang_name = "advertise"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.prefix = YLeaf(YType.empty, "prefix")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:advertise"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Isis.Advertise, ['prefix'], name, value)


                class Authentication(Entity):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Authentication.Mode>`
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:  :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Isis.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mode" : ("mode", Native.Interface.FastEthernet.Isis.Authentication.Mode), "key-chain" : ("key_chain", Native.Interface.FastEthernet.Isis.Authentication.KeyChain), "send-only" : ("send_only", Native.Interface.FastEthernet.Isis.Authentication.SendOnly)}
                        self._child_list_classes = {}

                        self.mode = Native.Interface.FastEthernet.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")

                        self.key_chain = Native.Interface.FastEthernet.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.send_only = None
                        self._children_name_map["send_only"] = "send-only"
                        self._children_yang_names.add("send-only")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:authentication"


                    class Mode(Entity):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:  :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Isis.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.FastEthernet.Isis.Authentication.Mode.Md5), "text" : ("text", Native.Interface.FastEthernet.Isis.Authentication.Mode.Text)}
                            self._child_list_classes = {}

                            self.md5 = None
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.text = None
                            self._children_name_map["text"] = "text"
                            self._children_yang_names.add("text")
                            self._segment_path = lambda: "mode"


                        class Md5(Entity):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Isis.Authentication.Mode.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Isis.Authentication.Mode.Md5, ['levels'], name, value)


                        class Text(Entity):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Isis.Authentication.Mode.Text, self).__init__()

                                self.yang_name = "text"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "text"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Isis.Authentication.Mode.Text, ['levels'], name, value)


                    class KeyChain(Entity):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of  		 :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Isis.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"key-chain-list" : ("key_chain_list", Native.Interface.FastEthernet.Isis.Authentication.KeyChain.KeyChainList)}

                            self.name = YLeaf(YType.str, "name")

                            self.key_chain_list = YList(self)
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Isis.Authentication.KeyChain, ['name'], name, value)


                        class KeyChainList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Isis.Authentication.KeyChain.KeyChainList, self).__init__()

                                self.yang_name = "key-chain-list"
                                self.yang_parent_name = "key-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Isis.Authentication.KeyChain.KeyChainList, ['levels', 'name'], name, value)


                    class SendOnly(Entity):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Isis.Authentication.SendOnly, self).__init__()

                            self.yang_name = "send-only"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")
                            self._segment_path = lambda: "send-only"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Isis.Authentication.SendOnly, ['levels'], name, value)


                class CircuitType(Entity):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.CircuitType.Levels>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Isis.CircuitType, self).__init__()

                        self.yang_name = "circuit-type"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.levels = YLeaf(YType.enumeration, "levels")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:circuit-type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Isis.CircuitType, ['levels'], name, value)

                    class Levels(Enum):
                        """
                        Levels

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = Enum.YLeaf(0, "level-1")

                        level_1_2 = Enum.YLeaf(1, "level-1-2")

                        level_2_only = Enum.YLeaf(2, "level-2-only")



                class CsnpInterval(Entity):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Isis.CsnpInterval, self).__init__()

                        self.yang_name = "csnp-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"csnp-interval-list" : ("csnp_interval_list", Native.Interface.FastEthernet.Isis.CsnpInterval.CsnpIntervalList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.csnp_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:csnp-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Isis.CsnpInterval, ['value'], name, value)


                    class CsnpIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.CsnpInterval.CsnpIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Isis.CsnpInterval.CsnpIntervalList, self).__init__()

                            self.yang_name = "csnp-interval-list"
                            self.yang_parent_name = "csnp-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "csnp-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Isis.CsnpInterval.CsnpIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Hello(Entity):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Isis.Hello, self).__init__()

                        self.yang_name = "hello"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"padding" : ("padding", Native.Interface.FastEthernet.Isis.Hello.Padding)}
                        self._child_list_classes = {}

                        self.padding = None
                        self._children_name_map["padding"] = "padding"
                        self._children_yang_names.add("padding")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello"


                    class Padding(Entity):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Isis.Hello.Padding, self).__init__()

                            self.yang_name = "padding"
                            self.yang_parent_name = "hello"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.always = YLeaf(YType.empty, "always")
                            self._segment_path = lambda: "padding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Isis.Hello.Padding, ['always'], name, value)


                class HelloInterval(Entity):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..65535
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Isis.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-interval-list" : ("hello_interval_list", Native.Interface.FastEthernet.Isis.HelloInterval.HelloIntervalList)}

                        self.value = YLeaf(YType.str, "value")

                        self.hello_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Isis.HelloInterval, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: minimal = 0

                        """

                        minimal = Enum.YLeaf(0, "minimal")



                    class HelloIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.HelloInterval.HelloIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..65535
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Isis.HelloInterval.HelloIntervalList, self).__init__()

                            self.yang_name = "hello-interval-list"
                            self.yang_parent_name = "hello-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "hello-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Isis.HelloInterval.HelloIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: minimal = 0

                            """

                            minimal = Enum.YLeaf(0, "minimal")



                class HelloMultiplier(Entity):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Isis.HelloMultiplier, self).__init__()

                        self.yang_name = "hello-multiplier"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-multiplier-list" : ("hello_multiplier_list", Native.Interface.FastEthernet.Isis.HelloMultiplier.HelloMultiplierList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.hello_multiplier_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-multiplier"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Isis.HelloMultiplier, ['value'], name, value)


                    class HelloMultiplierList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.HelloMultiplier.HelloMultiplierList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Isis.HelloMultiplier.HelloMultiplierList, self).__init__()

                            self.yang_name = "hello-multiplier-list"
                            self.yang_parent_name = "hello-multiplier"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "hello-multiplier-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Isis.HelloMultiplier.HelloMultiplierList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Ipv6(Entity):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Isis.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"metric" : ("metric", Native.Interface.FastEthernet.Isis.Ipv6.Metric)}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.uint32, "tag")

                        self.metric = Native.Interface.FastEthernet.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Isis.Ipv6, ['tag'], name, value)


                    class Metric(Entity):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Isis.Ipv6.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.FastEthernet.Isis.Ipv6.Metric.MetricList)}

                            self.value = YLeaf(YType.str, "value")

                            self.metric_list = YList(self)
                            self._segment_path = lambda: "metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Isis.Ipv6.Metric, ['value'], name, value)

                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                        class MetricList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Ipv6.Metric.MetricList.Levels>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..16777214
                            
                            		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Isis.Ipv6.Metric.MetricList, self).__init__()

                                self.yang_name = "metric-list"
                                self.yang_parent_name = "metric"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.value = YLeaf(YType.str, "value")
                                self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Isis.Ipv6.Metric.MetricList, ['levels', 'value'], name, value)

                            class Levels(Enum):
                                """
                                Levels

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")


                            class Value(Enum):
                                """
                                Value

                                .. data:: maximum = 0

                                """

                                maximum = Enum.YLeaf(0, "maximum")



                class Metric(Entity):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..16777214
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Isis.Metric, self).__init__()

                        self.yang_name = "metric"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.FastEthernet.Isis.Metric.MetricList)}

                        self.value = YLeaf(YType.str, "value")

                        self.metric_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:metric"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Isis.Metric, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: maximum = 0

                        """

                        maximum = Enum.YLeaf(0, "maximum")



                    class MetricList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Metric.MetricList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Isis.Metric.MetricList, self).__init__()

                            self.yang_name = "metric-list"
                            self.yang_parent_name = "metric"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Isis.Metric.MetricList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                class Password(Entity):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Password.PasswordList>`
                    
                    .. attribute:: password
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Isis.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"password-list" : ("password_list", Native.Interface.FastEthernet.Isis.Password.PasswordList)}

                        self.password = YLeaf(YType.str, "password")

                        self.password_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Isis.Password, ['password'], name, value)


                    class PasswordList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Password.PasswordList.Levels>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Isis.Password.PasswordList, self).__init__()

                            self.yang_name = "password-list"
                            self.yang_parent_name = "password"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.password = YLeaf(YType.str, "password")
                            self._segment_path = lambda: "password-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Isis.Password.PasswordList, ['levels', 'password'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Priority(Entity):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Isis.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"priority-list" : ("priority_list", Native.Interface.FastEthernet.Isis.Priority.PriorityList)}

                        self.value = YLeaf(YType.uint8, "value")

                        self.priority_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Isis.Priority, ['value'], name, value)


                    class PriorityList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.Priority.PriorityList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Isis.Priority.PriorityList, self).__init__()

                            self.yang_name = "priority-list"
                            self.yang_parent_name = "priority"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint8, "value")
                            self._segment_path = lambda: "priority-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Isis.Priority.PriorityList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class ThreeWayHandshake(Entity):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:  :py:class:`Implementor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Isis.ThreeWayHandshake.Implementor>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Isis.ThreeWayHandshake, self).__init__()

                        self.yang_name = "three-way-handshake"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.implementor = YLeaf(YType.enumeration, "implementor")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:three-way-handshake"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Isis.ThreeWayHandshake, ['implementor'], name, value)

                    class Implementor(Enum):
                        """
                        Implementor

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = Enum.YLeaf(0, "cisco")

                        ietf = Enum.YLeaf(1, "ietf")



            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.FastEthernet.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                .. attribute:: template
                
                	BFD template
                	**type**\: str
                
                .. attribute:: interval
                
                	Transmit interval between BFD packets
                	**type**\:  :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Bfd.Interval>`
                
                .. attribute:: echo
                
                	Use echo adjunct as bfd detection mechanism
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-bfd:interval" : ("interval", Native.Interface.FastEthernet.Bfd.Interval)}
                    self._child_list_classes = {}

                    self.template = YLeaf(YType.str, "Cisco-IOS-XE-bfd:template")

                    self.echo = YLeaf(YType.boolean, "Cisco-IOS-XE-bfd:echo")

                    self.interval = Native.Interface.FastEthernet.Bfd.Interval()
                    self.interval.parent = self
                    self._children_name_map["interval"] = "interval"
                    self._children_yang_names.add("interval")
                    self._segment_path = lambda: "bfd"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Bfd, ['template', 'echo'], name, value)


                class Interval(Entity):
                    """
                    Transmit interval between BFD packets
                    
                    .. attribute:: msecs
                    
                    	
                    	**type**\: int
                    
                    	**range:** 50..9999
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\: int
                    
                    	**range:** 50..9999
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\: int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Bfd.Interval, self).__init__()

                        self.yang_name = "interval"
                        self.yang_parent_name = "bfd"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.msecs = YLeaf(YType.uint16, "msecs")

                        self.min_rx = YLeaf(YType.uint16, "min_rx")

                        self.multiplier = YLeaf(YType.uint8, "multiplier")
                        self._segment_path = lambda: "Cisco-IOS-XE-bfd:interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Bfd.Interval, ['msecs', 'min_rx', 'multiplier'], name, value)


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.FastEthernet.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.FastEthernet.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.FastEthernet.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.FastEthernet.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.FastEthernet.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                .. attribute:: accounting
                
                	Enable MPLS accounting on this interface
                	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls.Accounting>`
                
                .. attribute:: bgp
                
                	MPLS BGP
                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls.Bgp>`
                
                .. attribute:: ip
                
                	Configure dynamic MPLS forwarding for IP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: label
                
                	Label properties
                	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls.Label>`
                
                .. attribute:: ldp
                
                	Configure Label Distribution Protocol (LDP) parameters
                	**type**\:  :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls.Ldp>`
                
                .. attribute:: mtu
                
                	Set MPLS Maximum Transmission Unit
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1501..1524
                
                		**type**\: int
                
                			**range:** 64..1500
                
                		**type**\: int
                
                			**range:** 64..9216
                
                .. attribute:: traffic_eng
                
                	Configure Traffic Engineering parameters
                	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-mpls:accounting" : ("accounting", Native.Interface.FastEthernet.Mpls.Accounting), "Cisco-IOS-XE-mpls:bgp" : ("bgp", Native.Interface.FastEthernet.Mpls.Bgp), "Cisco-IOS-XE-mpls:label" : ("label", Native.Interface.FastEthernet.Mpls.Label), "Cisco-IOS-XE-mpls:ldp" : ("ldp", Native.Interface.FastEthernet.Mpls.Ldp), "Cisco-IOS-XE-mpls:traffic-eng" : ("traffic_eng", Native.Interface.FastEthernet.Mpls.TrafficEng)}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.empty, "Cisco-IOS-XE-mpls:ip")

                    self.mtu = YLeaf(YType.str, "Cisco-IOS-XE-mpls:mtu")

                    self.accounting = Native.Interface.FastEthernet.Mpls.Accounting()
                    self.accounting.parent = self
                    self._children_name_map["accounting"] = "accounting"
                    self._children_yang_names.add("accounting")

                    self.bgp = Native.Interface.FastEthernet.Mpls.Bgp()
                    self.bgp.parent = self
                    self._children_name_map["bgp"] = "bgp"
                    self._children_yang_names.add("bgp")

                    self.label = Native.Interface.FastEthernet.Mpls.Label()
                    self.label.parent = self
                    self._children_name_map["label"] = "label"
                    self._children_yang_names.add("label")

                    self.ldp = Native.Interface.FastEthernet.Mpls.Ldp()
                    self.ldp.parent = self
                    self._children_name_map["ldp"] = "ldp"
                    self._children_yang_names.add("ldp")

                    self.traffic_eng = Native.Interface.FastEthernet.Mpls.TrafficEng()
                    self.traffic_eng.parent = self
                    self._children_name_map["traffic_eng"] = "traffic-eng"
                    self._children_yang_names.add("traffic-eng")
                    self._segment_path = lambda: "mpls"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Mpls, ['ip', 'mtu'], name, value)


                class Accounting(Entity):
                    """
                    Enable MPLS accounting on this interface
                    
                    .. attribute:: experimental
                    
                    	Count packets by MPLS experimental value on this interface
                    	**type**\:  :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls.Accounting.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Mpls.Accounting, self).__init__()

                        self.yang_name = "accounting"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"experimental" : ("experimental", Native.Interface.FastEthernet.Mpls.Accounting.Experimental)}
                        self._child_list_classes = {}

                        self.experimental = Native.Interface.FastEthernet.Mpls.Accounting.Experimental()
                        self.experimental.parent = self
                        self._children_name_map["experimental"] = "experimental"
                        self._children_yang_names.add("experimental")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:accounting"


                    class Experimental(Entity):
                        """
                        Count packets by MPLS experimental value on this interface
                        
                        .. attribute:: input
                        
                        	received packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	transmitted packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Mpls.Accounting.Experimental, self).__init__()

                            self.yang_name = "experimental"
                            self.yang_parent_name = "accounting"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")
                            self._segment_path = lambda: "experimental"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Mpls.Accounting.Experimental, ['input', 'output'], name, value)


                class Bgp(Entity):
                    """
                    MPLS BGP
                    
                    .. attribute:: forwarding
                    
                    	Configure MPLS forwarding for directly connected BGP peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Mpls.Bgp, self).__init__()

                        self.yang_name = "bgp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.forwarding = YLeaf(YType.empty, "forwarding")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:bgp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Mpls.Bgp, ['forwarding'], name, value)


                class Label(Entity):
                    """
                    Label properties
                    
                    .. attribute:: protocol
                    
                    	Configure label/tag distribution protocol (LDP/TDP)
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls.Label.Protocol>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Mpls.Label, self).__init__()

                        self.yang_name = "label"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.protocol = YLeaf(YType.enumeration, "protocol")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:label"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Mpls.Label, ['protocol'], name, value)

                    class Protocol(Enum):
                        """
                        Protocol

                        Configure label/tag distribution protocol (LDP/TDP)

                        .. data:: both = 0

                        .. data:: ldp = 1

                        .. data:: tdp = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        ldp = Enum.YLeaf(1, "ldp")

                        tdp = Enum.YLeaf(2, "tdp")



                class Ldp(Entity):
                    """
                    Configure Label Distribution Protocol (LDP) parameters
                    
                    .. attribute:: discovery
                    
                    	Configure interface LDP Discovery parameters
                    	**type**\:  :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls.Ldp.Discovery>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Mpls.Ldp, self).__init__()

                        self.yang_name = "ldp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"discovery" : ("discovery", Native.Interface.FastEthernet.Mpls.Ldp.Discovery)}
                        self._child_list_classes = {}

                        self.discovery = Native.Interface.FastEthernet.Mpls.Ldp.Discovery()
                        self.discovery.parent = self
                        self._children_name_map["discovery"] = "discovery"
                        self._children_yang_names.add("discovery")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:ldp"


                    class Discovery(Entity):
                        """
                        Configure interface LDP Discovery parameters
                        
                        .. attribute:: transport_address
                        
                        	Specify interface LDP transport address
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`LdpDiscoveryAddressType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.LdpDiscoveryAddressType>`
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Mpls.Ldp.Discovery, self).__init__()

                            self.yang_name = "discovery"
                            self.yang_parent_name = "ldp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.transport_address = YLeaf(YType.str, "transport-address")
                            self._segment_path = lambda: "discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Mpls.Ldp.Discovery, ['transport_address'], name, value)


                class TrafficEng(Entity):
                    """
                    Configure Traffic Engineering parameters
                    
                    .. attribute:: administrative_weight
                    
                    	Set the administrative weight for the interface\: <0..4294967295>
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_flags
                    
                    	Set user\-defined interface attibute flags\:  <0x0\-0xFFFFFFFF>
                    	**type**\: str
                    
                    	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                    
                    .. attribute:: backup_path
                    
                    	Configure an MPLS TE backup for this interface
                    	**type**\:  :py:class:`BackupPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls.TrafficEng.BackupPath>`
                    
                    .. attribute:: flooding
                    
                    	Set flooding parameters
                    	**type**\:  :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls.TrafficEng.Flooding>`
                    
                    .. attribute:: passive_interface
                    
                    	Force a flood of non\-IGP link
                    	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls.TrafficEng.PassiveInterface>`
                    
                    .. attribute:: tunnels
                    
                    	enable MPLS Traffic Engineering tunnels
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Mpls.TrafficEng, self).__init__()

                        self.yang_name = "traffic-eng"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup-path" : ("backup_path", Native.Interface.FastEthernet.Mpls.TrafficEng.BackupPath), "flooding" : ("flooding", Native.Interface.FastEthernet.Mpls.TrafficEng.Flooding), "passive-interface" : ("passive_interface", Native.Interface.FastEthernet.Mpls.TrafficEng.PassiveInterface)}
                        self._child_list_classes = {}

                        self.administrative_weight = YLeaf(YType.uint32, "administrative-weight")

                        self.attribute_flags = YLeaf(YType.str, "attribute-flags")

                        self.tunnels = YLeaf(YType.empty, "tunnels")

                        self.backup_path = Native.Interface.FastEthernet.Mpls.TrafficEng.BackupPath()
                        self.backup_path.parent = self
                        self._children_name_map["backup_path"] = "backup-path"
                        self._children_yang_names.add("backup-path")

                        self.flooding = Native.Interface.FastEthernet.Mpls.TrafficEng.Flooding()
                        self.flooding.parent = self
                        self._children_name_map["flooding"] = "flooding"
                        self._children_yang_names.add("flooding")

                        self.passive_interface = Native.Interface.FastEthernet.Mpls.TrafficEng.PassiveInterface()
                        self.passive_interface.parent = self
                        self._children_name_map["passive_interface"] = "passive-interface"
                        self._children_yang_names.add("passive-interface")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:traffic-eng"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Mpls.TrafficEng, ['administrative_weight', 'attribute_flags', 'tunnels'], name, value)


                    class BackupPath(Entity):
                        """
                        Configure an MPLS TE backup for this interface
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface number\: <0..2147483647>
                        	**type**\: int
                        
                        	**range:** 0..2147483647
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Mpls.TrafficEng.BackupPath, self).__init__()

                            self.yang_name = "backup-path"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")
                            self._segment_path = lambda: "backup-path"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Mpls.TrafficEng.BackupPath, ['tunnel'], name, value)


                    class Flooding(Entity):
                        """
                        Set flooding parameters
                        
                        .. attribute:: thresholds
                        
                        	Set flooding thresholds
                        	**type**\:  :py:class:`Thresholds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls.TrafficEng.Flooding.Thresholds>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Mpls.TrafficEng.Flooding, self).__init__()

                            self.yang_name = "flooding"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"thresholds" : ("thresholds", Native.Interface.FastEthernet.Mpls.TrafficEng.Flooding.Thresholds)}
                            self._child_list_classes = {}

                            self.thresholds = Native.Interface.FastEthernet.Mpls.TrafficEng.Flooding.Thresholds()
                            self.thresholds.parent = self
                            self._children_name_map["thresholds"] = "thresholds"
                            self._children_yang_names.add("thresholds")
                            self._segment_path = lambda: "flooding"


                        class Thresholds(Entity):
                            """
                            Set flooding thresholds
                            
                            .. attribute:: down
                            
                            	Set the thresholds for decreased resource availability in percentage\: <0..100>
                            	**type**\: list of int
                            
                            	**range:** 0..100
                            
                            .. attribute:: up
                            
                            	Set the thresholds for increased resource availability in percentage\: <0..100>
                            	**type**\: list of int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Mpls.TrafficEng.Flooding.Thresholds, self).__init__()

                                self.yang_name = "thresholds"
                                self.yang_parent_name = "flooding"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.down = YLeafList(YType.uint8, "down")

                                self.up = YLeafList(YType.uint8, "up")
                                self._segment_path = lambda: "thresholds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Mpls.TrafficEng.Flooding.Thresholds, ['down', 'up'], name, value)


                    class PassiveInterface(Entity):
                        """
                        Force a flood of non\-IGP link
                        
                        .. attribute:: nbr_te_id
                        
                        	Set the neighbor TE ID (router\-id)
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nbr_if_addr
                        
                        	Set the Neighbor IP interface address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nbr_igp_id
                        
                        	Set the Neighbor IGP ID (system\-id)
                        	**type**\:  :py:class:`NbrIgpId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Mpls.TrafficEng.PassiveInterface, self).__init__()

                            self.yang_name = "passive-interface"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"nbr-igp-id" : ("nbr_igp_id", Native.Interface.FastEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId)}
                            self._child_list_classes = {}

                            self.nbr_te_id = YLeaf(YType.str, "nbr-te-id")

                            self.nbr_if_addr = YLeaf(YType.str, "nbr-if-addr")

                            self.nbr_igp_id = Native.Interface.FastEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId()
                            self.nbr_igp_id.parent = self
                            self._children_name_map["nbr_igp_id"] = "nbr-igp-id"
                            self._children_yang_names.add("nbr-igp-id")
                            self._segment_path = lambda: "passive-interface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Mpls.TrafficEng.PassiveInterface, ['nbr_te_id', 'nbr_if_addr'], name, value)


                        class NbrIgpId(Entity):
                            """
                            Set the Neighbor IGP ID (system\-id)
                            
                            .. attribute:: isis
                            
                            	Set the neighbor ISIS node ID
                            	**type**\: str
                            
                            .. attribute:: ospf
                            
                            	Set the neighbor OSPF node ID
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId, self).__init__()

                                self.yang_name = "nbr-igp-id"
                                self.yang_parent_name = "passive-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.isis = YLeaf(YType.str, "isis")

                                self.ospf = YLeaf(YType.str, "ospf")
                                self._segment_path = lambda: "nbr-igp-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId, ['isis', 'ospf'], name, value)


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.FastEthernet.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.FastEthernet.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.FastEthernet.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.FastEthernet.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Verify>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Flow>`
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\: bool
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Igmp>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Lisp>`
                
                .. attribute:: nat
                
                	NAT interface commands
                	**type**\:  :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Nat>`
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:  :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Nbar>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf>`
                
                .. attribute:: rsvp
                
                	RSVP Interface Commands
                	**type**\:  :py:class:`Rsvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:  :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.FastEthernet.Ip.AccessGroup), "arp" : ("arp", Native.Interface.FastEthernet.Ip.Arp), "vrf" : ("vrf", Native.Interface.FastEthernet.Ip.Vrf), "no-address" : ("no_address", Native.Interface.FastEthernet.Ip.NoAddress), "address" : ("address", Native.Interface.FastEthernet.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.FastEthernet.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.FastEthernet.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.FastEthernet.Ip.HoldTime), "pim" : ("pim", Native.Interface.FastEthernet.Ip.Pim), "policy" : ("policy", Native.Interface.FastEthernet.Ip.Policy), "rip" : ("rip", Native.Interface.FastEthernet.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.FastEthernet.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.FastEthernet.Ip.RouteCache), "router" : ("router", Native.Interface.FastEthernet.Ip.Router), "tcp" : ("tcp", Native.Interface.FastEthernet.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.FastEthernet.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.FastEthernet.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.FastEthernet.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.FastEthernet.Ip.Verify), "Cisco-IOS-XE-flow:flow" : ("flow", Native.Interface.FastEthernet.Ip.Flow), "Cisco-IOS-XE-igmp:igmp" : ("igmp", Native.Interface.FastEthernet.Ip.Igmp), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Interface.FastEthernet.Ip.Lisp), "Cisco-IOS-XE-nat:nat" : ("nat", Native.Interface.FastEthernet.Ip.Nat), "Cisco-IOS-XE-nbar:nbar" : ("nbar", Native.Interface.FastEthernet.Ip.Nbar), "Cisco-IOS-XE-ospf:ospf" : ("ospf", Native.Interface.FastEthernet.Ip.Ospf), "Cisco-IOS-XE-rsvp:rsvp" : ("rsvp", Native.Interface.FastEthernet.Ip.Rsvp), "Cisco-IOS-XE-wccp:wccp" : ("wccp", Native.Interface.FastEthernet.Ip.Wccp)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.FastEthernet.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.unreachables = YLeaf(YType.boolean, "Cisco-IOS-XE-icmp:unreachables")

                    self.access_group = Native.Interface.FastEthernet.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.FastEthernet.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.FastEthernet.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.FastEthernet.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.FastEthernet.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.FastEthernet.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.FastEthernet.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.FastEthernet.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.FastEthernet.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.FastEthernet.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.FastEthernet.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.FastEthernet.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.FastEthernet.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.FastEthernet.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.FastEthernet.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.FastEthernet.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.FastEthernet.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.FastEthernet.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.flow = Native.Interface.FastEthernet.Ip.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.igmp = Native.Interface.FastEthernet.Ip.Igmp()
                    self.igmp.parent = self
                    self._children_name_map["igmp"] = "igmp"
                    self._children_yang_names.add("igmp")

                    self.lisp = Native.Interface.FastEthernet.Ip.Lisp()
                    self.lisp.parent = self
                    self._children_name_map["lisp"] = "lisp"
                    self._children_yang_names.add("lisp")

                    self.nat = Native.Interface.FastEthernet.Ip.Nat()
                    self.nat.parent = self
                    self._children_name_map["nat"] = "nat"
                    self._children_yang_names.add("nat")

                    self.nbar = Native.Interface.FastEthernet.Ip.Nbar()
                    self.nbar.parent = self
                    self._children_name_map["nbar"] = "nbar"
                    self._children_yang_names.add("nbar")

                    self.ospf = Native.Interface.FastEthernet.Ip.Ospf()
                    self.ospf.parent = self
                    self._children_name_map["ospf"] = "ospf"
                    self._children_yang_names.add("ospf")

                    self.rsvp = Native.Interface.FastEthernet.Ip.Rsvp()
                    self.rsvp.parent = self
                    self._children_name_map["rsvp"] = "rsvp"
                    self._children_yang_names.add("rsvp")

                    self.wccp = Native.Interface.FastEthernet.Ip.Wccp()
                    self.wccp.parent = self
                    self._children_name_map["wccp"] = "wccp"
                    self._children_yang_names.add("wccp")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache', 'unreachables'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.FastEthernet.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.FastEthernet.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.FastEthernet.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.FastEthernet.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.FastEthernet.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.FastEthernet.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.FastEthernet.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.FastEthernet.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.FastEthernet.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.FastEthernet.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.FastEthernet.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.FastEthernet.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.FastEthernet.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.FastEthernet.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.FastEthernet.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.FastEthernet.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.FastEthernet.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.FastEthernet.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.FastEthernet.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.FastEthernet.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.FastEthernet.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.FastEthernet.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.FastEthernet.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.FastEthernet.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.FastEthernet.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.FastEthernet.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.FastEthernet.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.FastEthernet.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:  :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:  :py:class:`SparseMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Pim.SparseMode>`
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:  :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Pim.QueryInterval>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:  :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Pim.SptThreshold>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-multicast:accept-register" : ("accept_register", Native.Interface.FastEthernet.Ip.Pim.AcceptRegister), "Cisco-IOS-XE-multicast:query-interval" : ("query_interval", Native.Interface.FastEthernet.Ip.Pim.QueryInterval)}
                        self._child_list_classes = {}

                        self.sparse_mode = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:sparse-mode")

                        self.nbma_mode = YLeaf(YType.empty, "Cisco-IOS-XE-multicast:nbma-mode")

                        self.dr_priority = YLeaf(YType.uint32, "Cisco-IOS-XE-multicast:dr-priority")

                        self.spt_threshold = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:spt-threshold")

                        self.accept_register = Native.Interface.FastEthernet.Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self._children_name_map["accept_register"] = "accept-register"
                        self._children_yang_names.add("accept-register")

                        self.query_interval = Native.Interface.FastEthernet.Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self._children_name_map["query_interval"] = "query-interval"
                        self._children_yang_names.add("query-interval")
                        self._segment_path = lambda: "pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.Pim, ['sparse_mode', 'nbma_mode', 'dr_priority', 'spt_threshold'], name, value)

                    class SparseMode(Enum):
                        """
                        SparseMode

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = Enum.YLeaf(0, "sparse-dense-mode")

                        sparse_mode = Enum.YLeaf(1, "sparse-mode")


                    class SptThreshold(Enum):
                        """
                        SptThreshold

                        .. data:: infinity = 0

                        """

                        infinity = Enum.YLeaf(0, "infinity")



                    class AcceptRegister(Entity):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Pim.AcceptRegister, self).__init__()

                            self.yang_name = "accept-register"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.list = YLeaf(YType.str, "list")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:accept-register"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Pim.AcceptRegister, ['list'], name, value)


                    class QueryInterval(Entity):
                        """
                        PIM router query interval
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..18725
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Pim.QueryInterval, self).__init__()

                            self.yang_name = "query-interval"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.seconds_interval = YLeaf(YType.uint16, "seconds-interval")

                            self.milliseconds_interval = YLeaf(YType.uint16, "milliseconds-interval")

                            self.msec = YLeaf(YType.empty, "msec")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:query-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Pim.QueryInterval, ['seconds_interval', 'milliseconds_interval', 'msec'], name, value)


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.FastEthernet.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.FastEthernet.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.FastEthernet.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.FastEthernet.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.FastEthernet.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.FastEthernet.Ip.Dhcp.Client), "Cisco-IOS-XE-dhcp:relay" : ("relay", Native.Interface.FastEthernet.Ip.Dhcp.Relay), "Cisco-IOS-XE-dhcp:snooping" : ("snooping", Native.Interface.FastEthernet.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.client = Native.Interface.FastEthernet.Ip.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.relay = Native.Interface.FastEthernet.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self._children_name_map["relay"] = "relay"
                        self._children_yang_names.add("relay")

                        self.snooping = Native.Interface.FastEthernet.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"


                    class Client(Entity):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hostname = YLeaf(YType.str, "hostname")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Dhcp.Client, ['hostname'], name, value)


                    class Relay(Entity):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Dhcp.Relay, self).__init__()

                            self.yang_name = "relay"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"information" : ("information", Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information)}
                            self._child_list_classes = {}

                            self.source_interface = YLeaf(YType.str, "source-interface")

                            self.information = Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self._children_name_map["information"] = "information"
                            self._children_yang_names.add("information")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:relay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Dhcp.Relay, ['source_interface'], name, value)


                        class Information(Entity):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:  :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:  :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:  :py:class:`PolicyAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.PolicyAction>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information, self).__init__()

                                self.yang_name = "information"
                                self.yang_parent_name = "relay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"check-reply" : ("check_reply", Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.CheckReply), "option" : ("option", Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.Option), "option-insert" : ("option_insert", Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.OptionInsert)}
                                self._child_list_classes = {}

                                self.policy_action = YLeaf(YType.enumeration, "policy-action")

                                self.trusted = YLeaf(YType.empty, "trusted")

                                self.check_reply = None
                                self._children_name_map["check_reply"] = "check-reply"
                                self._children_yang_names.add("check-reply")

                                self.option = Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self._children_name_map["option"] = "option"
                                self._children_yang_names.add("option")

                                self.option_insert = None
                                self._children_name_map["option_insert"] = "option-insert"
                                self._children_yang_names.add("option-insert")
                                self._segment_path = lambda: "information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information, ['policy_action', 'trusted'], name, value)

                            class PolicyAction(Enum):
                                """
                                PolicyAction

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = Enum.YLeaf(0, "drop")

                                encapsulate = Enum.YLeaf(1, "encapsulate")

                                keep = Enum.YLeaf(2, "keep")

                                replace = Enum.YLeaf(3, "replace")



                            class CheckReply(Entity):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.CheckReply, self).__init__()

                                    self.yang_name = "check-reply"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "check-reply"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.CheckReply, ['none'], name, value)


                            class Option(Entity):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                    self.yang_name = "option"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                    self._segment_path = lambda: "option"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                            class OptionInsert(Entity):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.OptionInsert, self).__init__()

                                    self.yang_name = "option-insert"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "option-insert"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ip.Dhcp.Relay.Information.OptionInsert, ['none'], name, value)


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {"vlan" : ("vlan", Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan)}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")

                            self.vlan = YList(self)
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:snooping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Dhcp.Snooping, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


                        class Vlan(Entity):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"information" : ("information", Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.information = Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self
                                self._children_name_map["information"] = "information"
                                self._children_yang_names.add("information")
                                self._segment_path = lambda: "vlan" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan, ['id'], name, value)


                            class Information(Entity):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information, self).__init__()

                                    self.yang_name = "information"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"option" : ("option", Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option)}
                                    self._child_list_classes = {}

                                    self.option = Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self
                                    self._children_name_map["option"] = "option"
                                    self._children_yang_names.add("option")
                                    self._segment_path = lambda: "information"


                                class Option(Entity):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:  :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option, self).__init__()

                                        self.yang_name = "option"
                                        self.yang_parent_name = "information"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"format-type" : ("format_type", Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType)}
                                        self._child_list_classes = {}

                                        self.format_type = Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self
                                        self._children_name_map["format_type"] = "format-type"
                                        self._children_yang_names.add("format-type")
                                        self._segment_path = lambda: "option"


                                    class FormatType(Entity):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:  :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType, self).__init__()

                                            self.yang_name = "format-type"
                                            self.yang_parent_name = "option"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"circuit-id" : ("circuit_id", Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId)}
                                            self._child_list_classes = {}

                                            self.circuit_id = Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self
                                            self._children_name_map["circuit_id"] = "circuit-id"
                                            self._children_yang_names.add("circuit-id")
                                            self._segment_path = lambda: "format-type"


                                        class CircuitId(Entity):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\: str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, self).__init__()

                                                self.yang_name = "circuit-id"
                                                self.yang_parent_name = "format-type"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.string = YLeaf(YType.str, "string")
                                                self._segment_path = lambda: "circuit-id"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, ['string'], name, value)


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.FastEthernet.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.FastEthernet.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.FastEthernet.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.FastEthernet.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.FastEthernet.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.FastEthernet.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.FastEthernet.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.FastEthernet.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.FastEthernet.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.FastEthernet.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



                class Flow(Entity):
                    """
                    NetFlow related commands
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"monitor" : ("monitor", Native.Interface.FastEthernet.Ip.Flow.Monitor)}

                        self.ingress = YLeaf(YType.empty, "ingress")

                        self.egress = YLeaf(YType.empty, "egress")

                        self.monitor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-flow:flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.Flow, ['ingress', 'egress'], name, value)


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of  		 :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Flow.Monitor.Sampler>`
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"sampler" : ("sampler", Native.Interface.FastEthernet.Ip.Flow.Monitor.Sampler)}

                            self.name = YLeaf(YType.str, "name")

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.sampler = YList(self)
                            self._segment_path = lambda: "monitor" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Flow.Monitor, ['name', 'input', 'output', 'multicast', 'unicast'], name, value)


                        class Sampler(Entity):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Flow.Monitor.Sampler.Direction>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Flow.Monitor.Sampler, self).__init__()

                                self.yang_name = "sampler"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.direction = YLeaf(YType.enumeration, "direction")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "sampler" + "[direction='" + self.direction.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Flow.Monitor.Sampler, ['direction', 'name'], name, value)

                            class Direction(Enum):
                                """
                                Direction

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = Enum.YLeaf(0, "input")

                                output = Enum.YLeaf(1, "output")



                class Igmp(Entity):
                    """
                    IGMP interface commands
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:  :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of  		 :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Igmp, self).__init__()

                        self.yang_name = "igmp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"static-group" : ("static_group", Native.Interface.FastEthernet.Ip.Igmp.StaticGroup)}
                        self._child_list_classes = {"join-group" : ("join_group", Native.Interface.FastEthernet.Ip.Igmp.JoinGroup)}

                        self.version = YLeaf(YType.uint8, "version")

                        self.static_group = Native.Interface.FastEthernet.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self._children_name_map["static_group"] = "static-group"
                        self._children_yang_names.add("static-group")

                        self.join_group = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-igmp:igmp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.Igmp, ['version'], name, value)


                    class StaticGroup(Entity):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of  		 :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Igmp.StaticGroup.Groups>`
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of  		 :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Igmp.StaticGroup, self).__init__()

                            self.yang_name = "static-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"groups" : ("groups", Native.Interface.FastEthernet.Ip.Igmp.StaticGroup.Groups), "class-map" : ("class_map", Native.Interface.FastEthernet.Ip.Igmp.StaticGroup.ClassMap)}

                            self.groups = YList(self)
                            self.class_map = YList(self)
                            self._segment_path = lambda: "static-group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Igmp.StaticGroup, [], name, value)


                        class Groups(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.Groups.Name>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Igmp.StaticGroup.Groups, self).__init__()

                                self.yang_name = "groups"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "groups" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Igmp.StaticGroup.Groups, ['name'], name, value)

                            class Name(Enum):
                                """
                                Name

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = Enum.YLeaf(0, "*")



                        class ClassMap(Entity):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Igmp.StaticGroup.ClassMap, self).__init__()

                                self.yang_name = "class-map"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")
                                self._segment_path = lambda: "class-map" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Igmp.StaticGroup.ClassMap, ['id'], name, value)


                    class JoinGroup(Entity):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Igmp.JoinGroup, self).__init__()

                            self.yang_name = "join-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip_group_address = YLeaf(YType.str, "ip-group-address")

                            self.source = YLeaf(YType.str, "source")
                            self._segment_path = lambda: "join-group" + "[ip-group-address='" + self.ip_group_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Igmp.JoinGroup, ['ip_group_address', 'source'], name, value)


                class Lisp(Entity):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: source_locator
                    
                    	Choose IP source address for LISP packets egressing this interface
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Lisp, self).__init__()

                        self.yang_name = "lisp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.source_locator = YLeaf(YType.str, "source-locator")
                        self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.Lisp, ['source_locator'], name, value)


                class Nat(Entity):
                    """
                    NAT interface commands
                    
                    .. attribute:: allow_static_host
                    
                    	Allow static\-ip clients
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable Address Translation (NVI)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: inside
                    
                    	Inside interface for address translation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: outside
                    
                    	Outside interface for address translation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-08-03'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Nat, self).__init__()

                        self.yang_name = "nat"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.allow_static_host = YLeaf(YType.empty, "allow-static-host")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.inside = YLeaf(YType.empty, "inside")

                        self.outside = YLeaf(YType.empty, "outside")
                        self._segment_path = lambda: "Cisco-IOS-XE-nat:nat"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.Nat, ['allow_static_host', 'enable', 'inside', 'outside'], name, value)


                class Nbar(Entity):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:  :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Nbar, self).__init__()

                        self.yang_name = "nbar"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"protocol-discovery" : ("protocol_discovery", Native.Interface.FastEthernet.Ip.Nbar.ProtocolDiscovery)}
                        self._child_list_classes = {}

                        self.protocol_discovery = None
                        self._children_name_map["protocol_discovery"] = "protocol-discovery"
                        self._children_yang_names.add("protocol-discovery")
                        self._segment_path = lambda: "Cisco-IOS-XE-nbar:nbar"


                    class ProtocolDiscovery(Entity):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:  :py:class:`Ipv4Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Nbar.ProtocolDiscovery, self).__init__()

                            self.yang_name = "protocol-discovery"
                            self.yang_parent_name = "nbar"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ipv4_ipv6 = YLeaf(YType.enumeration, "ipv4-ipv6")
                            self._segment_path = lambda: "protocol-discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Nbar.ProtocolDiscovery, ['ipv4_ipv6'], name, value)

                        class Ipv4Ipv6(Enum):
                            """
                            Ipv4Ipv6

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = Enum.YLeaf(0, "ipv4")

                            ipv6 = Enum.YLeaf(1, "ipv6")



                class Ospf(Entity):
                    """
                    OSPF interface commands
                    
                    .. attribute:: process_id
                    
                    	
                    	**type**\: list of  		 :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.ProcessId>`
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.AuthenticationKey>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.Network>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.DeadInterval>`
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF Demand Circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fast_reroute
                    
                    	LFA FastReroute parameters
                    	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.FastReroute>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: lls
                    
                    	Link\-local Signaling (LLS) support
                    	**type**\:  :py:class:`Lls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.Lls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.MessageDigestKey>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.MultiArea>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: resync_timeout
                    
                    	Interval after which adjacency is reset if oob\-resync is not started
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Set OSPF protocol's state to disable under current interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.TtlSecurity>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.FastEthernet.Ip.Ospf.Authentication), "authentication-key" : ("authentication_key", Native.Interface.FastEthernet.Ip.Ospf.AuthenticationKey), "bfd" : ("bfd", Native.Interface.FastEthernet.Ip.Ospf.Bfd), "database-filter" : ("database_filter", Native.Interface.FastEthernet.Ip.Ospf.DatabaseFilter), "dead-interval" : ("dead_interval", Native.Interface.FastEthernet.Ip.Ospf.DeadInterval), "demand-circuit" : ("demand_circuit", Native.Interface.FastEthernet.Ip.Ospf.DemandCircuit), "fast-reroute" : ("fast_reroute", Native.Interface.FastEthernet.Ip.Ospf.FastReroute), "lls" : ("lls", Native.Interface.FastEthernet.Ip.Ospf.Lls), "multi-area" : ("multi_area", Native.Interface.FastEthernet.Ip.Ospf.MultiArea), "prefix-suppression" : ("prefix_suppression", Native.Interface.FastEthernet.Ip.Ospf.PrefixSuppression), "ttl-security" : ("ttl_security", Native.Interface.FastEthernet.Ip.Ospf.TtlSecurity)}
                        self._child_list_classes = {"process-id" : ("process_id", Native.Interface.FastEthernet.Ip.Ospf.ProcessId), "message-digest-key" : ("message_digest_key", Native.Interface.FastEthernet.Ip.Ospf.MessageDigestKey)}

                        self.network = YLeaf(YType.enumeration, "network")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.flood_reduction = YLeaf(YType.empty, "flood-reduction")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.mtu_ignore = YLeaf(YType.empty, "mtu-ignore")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.resync_timeout = YLeaf(YType.uint32, "resync-timeout")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = None
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.authentication_key = Native.Interface.FastEthernet.Ip.Ospf.AuthenticationKey()
                        self.authentication_key.parent = self
                        self._children_name_map["authentication_key"] = "authentication-key"
                        self._children_yang_names.add("authentication-key")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.database_filter = Native.Interface.FastEthernet.Ip.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.dead_interval = Native.Interface.FastEthernet.Ip.Ospf.DeadInterval()
                        self.dead_interval.parent = self
                        self._children_name_map["dead_interval"] = "dead-interval"
                        self._children_yang_names.add("dead-interval")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.fast_reroute = Native.Interface.FastEthernet.Ip.Ospf.FastReroute()
                        self.fast_reroute.parent = self
                        self._children_name_map["fast_reroute"] = "fast-reroute"
                        self._children_yang_names.add("fast-reroute")

                        self.lls = None
                        self._children_name_map["lls"] = "lls"
                        self._children_yang_names.add("lls")

                        self.multi_area = Native.Interface.FastEthernet.Ip.Ospf.MultiArea()
                        self.multi_area.parent = self
                        self._children_name_map["multi_area"] = "multi-area"
                        self._children_yang_names.add("multi-area")

                        self.prefix_suppression = None
                        self._children_name_map["prefix_suppression"] = "prefix-suppression"
                        self._children_yang_names.add("prefix-suppression")

                        self.ttl_security = None
                        self._children_name_map["ttl_security"] = "ttl-security"
                        self._children_yang_names.add("ttl-security")

                        self.process_id = YList(self)
                        self.message_digest_key = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-ospf:ospf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf, ['network', 'cost', 'flood_reduction', 'hello_interval', 'mtu_ignore', 'priority', 'resync_timeout', 'retransmit_interval', 'shutdown', 'transmit_delay'], name, value)

                    class Network(Enum):
                        """
                        Network

                        Network type

                        .. data:: broadcast = 0

                        .. data:: non_broadcast = 1

                        .. data:: point_to_multipoint = 2

                        .. data:: point_to_point = 3

                        """

                        broadcast = Enum.YLeaf(0, "broadcast")

                        non_broadcast = Enum.YLeaf(1, "non-broadcast")

                        point_to_multipoint = Enum.YLeaf(2, "point-to-multipoint")

                        point_to_point = Enum.YLeaf(3, "point-to-point")



                    class ProcessId(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: area
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondaries
                        
                        	Include or exclude secondary IP addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: none
                        
                        	Do not include secondary IP addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Ospf.ProcessId, self).__init__()

                            self.yang_name = "process-id"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint16, "id")

                            self.area = YLeaf(YType.str, "area")

                            self.secondaries = YLeaf(YType.empty, "secondaries")

                            self.none = YLeaf(YType.empty, "none")
                            self._segment_path = lambda: "process-id" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.ProcessId, ['id', 'area', 'secondaries', 'none'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Use message\-digest authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Ospf.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.FastEthernet.Ip.Ospf.Authentication.KeyChain)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.message_digest = YLeaf(YType.empty, "message-digest")

                            self.null = YLeaf(YType.empty, "null")

                            self.key_chain = Native.Interface.FastEthernet.Ip.Ospf.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self._children_name_map["key_chain"] = "key-chain"
                            self._children_yang_names.add("key-chain")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.Authentication, ['message_digest', 'null'], name, value)


                        class KeyChain(Entity):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Ospf.Authentication.KeyChain, self).__init__()

                                self.yang_name = "key-chain"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.Authentication.KeyChain, ['name'], name, value)


                    class AuthenticationKey(Entity):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Ospf.AuthenticationKey, self).__init__()

                            self.yang_name = "authentication-key"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                            self.auth_key = YLeaf(YType.str, "auth-key")
                            self._segment_path = lambda: "authentication-key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Ospf.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.Bfd, ['disable'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Ospf.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.empty, "all")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.DatabaseFilter, ['all', 'out'], name, value)


                    class DeadInterval(Entity):
                        """
                        Interval after which a neighbor is declared dead
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: minimal
                        
                        	Set to 1 second
                        	**type**\:  :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.DeadInterval.Minimal>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Ospf.DeadInterval, self).__init__()

                            self.yang_name = "dead-interval"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"minimal" : ("minimal", Native.Interface.FastEthernet.Ip.Ospf.DeadInterval.Minimal)}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint32, "value")

                            self.minimal = Native.Interface.FastEthernet.Ip.Ospf.DeadInterval.Minimal()
                            self.minimal.parent = self
                            self._children_name_map["minimal"] = "minimal"
                            self._children_yang_names.add("minimal")
                            self._segment_path = lambda: "dead-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.DeadInterval, ['value'], name, value)


                        class Minimal(Entity):
                            """
                            Set to 1 second
                            
                            .. attribute:: hello_multiplier
                            
                            	Set multiplier for Hellos
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Ospf.DeadInterval.Minimal, self).__init__()

                                self.yang_name = "minimal"
                                self.yang_parent_name = "dead-interval"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hello_multiplier = YLeaf(YType.uint8, "hello-multiplier")
                                self._segment_path = lambda: "minimal"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.DeadInterval.Minimal, ['hello_multiplier'], name, value)


                    class DemandCircuit(Entity):
                        """
                        OSPF Demand Circuit
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Ospf.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.DemandCircuit, ['ignore'], name, value)


                    class FastReroute(Entity):
                        """
                        LFA FastReroute parameters
                        
                        .. attribute:: per_prefix
                        
                        	Per\-prefix LFA FRR parameters
                        	**type**\:  :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.FastReroute.PerPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Ospf.FastReroute, self).__init__()

                            self.yang_name = "fast-reroute"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"per-prefix" : ("per_prefix", Native.Interface.FastEthernet.Ip.Ospf.FastReroute.PerPrefix)}
                            self._child_list_classes = {}

                            self.per_prefix = Native.Interface.FastEthernet.Ip.Ospf.FastReroute.PerPrefix()
                            self.per_prefix.parent = self
                            self._children_name_map["per_prefix"] = "per-prefix"
                            self._children_yang_names.add("per-prefix")
                            self._segment_path = lambda: "fast-reroute"


                        class PerPrefix(Entity):
                            """
                            Per\-prefix LFA FRR parameters
                            
                            .. attribute:: candidate
                            
                            	If interface can be protecting
                            	**type**\:  :py:class:`Candidate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.FastReroute.PerPrefix.Candidate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: protection
                            
                            	If interface can be protected
                            	**type**\:  :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.FastReroute.PerPrefix.Protection>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Ospf.FastReroute.PerPrefix, self).__init__()

                                self.yang_name = "per-prefix"
                                self.yang_parent_name = "fast-reroute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"candidate" : ("candidate", Native.Interface.FastEthernet.Ip.Ospf.FastReroute.PerPrefix.Candidate), "protection" : ("protection", Native.Interface.FastEthernet.Ip.Ospf.FastReroute.PerPrefix.Protection)}
                                self._child_list_classes = {}

                                self.candidate = None
                                self._children_name_map["candidate"] = "candidate"
                                self._children_yang_names.add("candidate")

                                self.protection = None
                                self._children_name_map["protection"] = "protection"
                                self._children_yang_names.add("protection")
                                self._segment_path = lambda: "per-prefix"


                            class Candidate(Entity):
                                """
                                If interface can be protecting
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ip.Ospf.FastReroute.PerPrefix.Candidate, self).__init__()

                                    self.yang_name = "candidate"
                                    self.yang_parent_name = "per-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "candidate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.FastReroute.PerPrefix.Candidate, ['disable'], name, value)


                            class Protection(Entity):
                                """
                                If interface can be protected
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ip.Ospf.FastReroute.PerPrefix.Protection, self).__init__()

                                    self.yang_name = "protection"
                                    self.yang_parent_name = "per-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "protection"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.FastReroute.PerPrefix.Protection, ['disable'], name, value)


                    class Lls(Entity):
                        """
                        Link\-local Signaling (LLS) support
                        
                        .. attribute:: disable
                        
                        	disable LLS
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Ospf.Lls, self).__init__()

                            self.yang_name = "lls"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "lls"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.Lls, ['disable'], name, value)


                    class MessageDigestKey(Entity):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Ospf.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Ospf.MessageDigestKey, self).__init__()

                            self.yang_name = "message-digest-key"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.FastEthernet.Ip.Ospf.MessageDigestKey.Md5)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.md5 = Native.Interface.FastEthernet.Ip.Ospf.MessageDigestKey.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.MessageDigestKey, ['id'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Ospf.MessageDigestKey.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "message-digest-key"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                self.auth_key = YLeaf(YType.str, "auth-key")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                    class MultiArea(Entity):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Ospf.MultiArea, self).__init__()

                            self.yang_name = "multi-area"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint32, "cost")
                            self._segment_path = lambda: "multi-area"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.MultiArea, ['id', 'cost'], name, value)


                    class PrefixSuppression(Entity):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Ospf.PrefixSuppression, self).__init__()

                            self.yang_name = "prefix-suppression"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "prefix-suppression"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.PrefixSuppression, ['disable'], name, value)


                    class TtlSecurity(Entity):
                        """
                        TTL security check
                        
                        .. attribute:: diable
                        
                        	disable TTL security check
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Ospf.TtlSecurity, self).__init__()

                            self.yang_name = "ttl-security"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.diable = YLeaf(YType.empty, "diable")

                            self.hops = YLeaf(YType.uint8, "hops")
                            self._segment_path = lambda: "ttl-security"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Ospf.TtlSecurity, ['diable', 'hops'], name, value)


                class Rsvp(Entity):
                    """
                    RSVP Interface Commands
                    
                    .. attribute:: authentication
                    
                    	Enables RSVP neighbor authentication (RFC 2747)
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: bandwidth
                    
                    	RSVP Reservable Bandwidth (kbps)
                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	Select permissible RSVP neighbors
                    	**type**\:  :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Neighbor>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: precedence
                    
                    	RSVP precedence setting
                    	**type**\:  :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Precedence>`
                    
                    .. attribute:: signalling
                    
                    	RSVP signalling
                    	**type**\:  :py:class:`Signalling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Signalling>`
                    
                    .. attribute:: tos
                    
                    	RSVP TOS setting
                    	**type**\:  :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Tos>`
                    
                    

                    """

                    _prefix = 'ios-rsvp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Rsvp, self).__init__()

                        self.yang_name = "rsvp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.FastEthernet.Ip.Rsvp.Authentication), "bandwidth" : ("bandwidth", Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth), "neighbor" : ("neighbor", Native.Interface.FastEthernet.Ip.Rsvp.Neighbor), "precedence" : ("precedence", Native.Interface.FastEthernet.Ip.Rsvp.Precedence), "signalling" : ("signalling", Native.Interface.FastEthernet.Ip.Rsvp.Signalling), "tos" : ("tos", Native.Interface.FastEthernet.Ip.Rsvp.Tos)}
                        self._child_list_classes = {}

                        self.authentication = None
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bandwidth = None
                        self._children_name_map["bandwidth"] = "bandwidth"
                        self._children_yang_names.add("bandwidth")

                        self.neighbor = None
                        self._children_name_map["neighbor"] = "neighbor"
                        self._children_yang_names.add("neighbor")

                        self.precedence = Native.Interface.FastEthernet.Ip.Rsvp.Precedence()
                        self.precedence.parent = self
                        self._children_name_map["precedence"] = "precedence"
                        self._children_yang_names.add("precedence")

                        self.signalling = Native.Interface.FastEthernet.Ip.Rsvp.Signalling()
                        self.signalling.parent = self
                        self._children_name_map["signalling"] = "signalling"
                        self._children_yang_names.add("signalling")

                        self.tos = Native.Interface.FastEthernet.Ip.Rsvp.Tos()
                        self.tos.parent = self
                        self._children_name_map["tos"] = "tos"
                        self._children_yang_names.add("tos")
                        self._segment_path = lambda: "Cisco-IOS-XE-rsvp:rsvp"


                    class Authentication(Entity):
                        """
                        Enables RSVP neighbor authentication (RFC 2747)
                        
                        .. attribute:: key
                        
                        	Password (8 to 40 characters, spaces allowed)
                        	**type**\: str
                        
                        .. attribute:: challenge
                        
                        	Perform challenge/response handshake with new neighbor(s)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: key_chain
                        
                        	Name of key chain to use (as created by global 'key chain' command)
                        	**type**\: str
                        
                        .. attribute:: lifetime
                        
                        	Maximum lifetime of neighbor authentication state
                        	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Authentication.Lifetime>`
                        
                        .. attribute:: type
                        
                        	Type of authentication algorithm (default = md5)
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Authentication.Type>`
                        
                        .. attribute:: window_size
                        
                        	Maximum number of messages allowed in receive window (default = 1)
                        	**type**\: int
                        
                        	**range:** 1..64
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Rsvp.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"lifetime" : ("lifetime", Native.Interface.FastEthernet.Ip.Rsvp.Authentication.Lifetime)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.key = YLeaf(YType.str, "key")

                            self.challenge = YLeaf(YType.empty, "challenge")

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.type = YLeaf(YType.enumeration, "type")

                            self.window_size = YLeaf(YType.uint8, "window-size")

                            self.lifetime = Native.Interface.FastEthernet.Ip.Rsvp.Authentication.Lifetime()
                            self.lifetime.parent = self
                            self._children_name_map["lifetime"] = "lifetime"
                            self._children_yang_names.add("lifetime")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Authentication, ['key', 'challenge', 'key_chain', 'type', 'window_size'], name, value)

                        class Type(Enum):
                            """
                            Type

                            Type of authentication algorithm (default = md5)

                            .. data:: md5 = 0

                            .. data:: sha_1 = 1

                            """

                            md5 = Enum.YLeaf(0, "md5")

                            sha_1 = Enum.YLeaf(1, "sha-1")



                        class Lifetime(Entity):
                            """
                            Maximum lifetime of neighbor authentication state
                            
                            .. attribute:: hh_mm_ss
                            
                            	Lifetime (default = 30 mins) in hh\:mm\:ss format
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])\:([0\-5][0\-9])
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Rsvp.Authentication.Lifetime, self).__init__()

                                self.yang_name = "lifetime"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hh_mm_ss = YLeaf(YType.str, "hh-mm-ss")
                                self._segment_path = lambda: "lifetime"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Authentication.Lifetime, ['hh_mm_ss'], name, value)


                    class Bandwidth(Entity):
                        """
                        RSVP Reservable Bandwidth (kbps)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth.Value>`
                        
                        .. attribute:: percent
                        
                        	Percentage of interface bandwidth. Values higher than 100 represent overbooking
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: mam
                        
                        	Use bandwidth with MAM model of DSTE
                        	**type**\:  :py:class:`Mam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth.Mam>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth, self).__init__()

                            self.yang_name = "bandwidth"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"value" : ("value", Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth.Value), "mam" : ("mam", Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth.Mam)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.percent = YLeaf(YType.uint16, "percent")

                            self.value = Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth.Value()
                            self.value.parent = self
                            self._children_name_map["value"] = "value"
                            self._children_yang_names.add("value")

                            self.mam = Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth.Mam()
                            self.mam.parent = self
                            self._children_name_map["mam"] = "mam"
                            self._children_yang_names.add("mam")
                            self._segment_path = lambda: "bandwidth"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth, ['percent'], name, value)


                        class Value(Entity):
                            """
                            
                            
                            .. attribute:: value
                            
                            	Reservable Bandwidth (kbps)
                            	**type**\: int
                            
                            	**range:** 1..10000000
                            
                            .. attribute:: sub_pool
                            
                            	Reservable Bandwidth for Tunnel using sub (BC1) pool (kbps)
                            	**type**\: int
                            
                            	**range:** 1..10000000
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth.Value, self).__init__()

                                self.yang_name = "value"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                self._segment_path = lambda: "value"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth.Value, ['value', 'sub_pool'], name, value)


                        class Mam(Entity):
                            """
                            Use bandwidth with MAM model of DSTE
                            
                            .. attribute:: max_reservable_bw
                            
                            	Maximum Reservable bandwidth for MAM
                            	**type**\:  :py:class:`MaxReservableBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth.Mam, self).__init__()

                                self.yang_name = "mam"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"max-reservable-bw" : ("max_reservable_bw", Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw)}
                                self._child_list_classes = {}

                                self.max_reservable_bw = None
                                self._children_name_map["max_reservable_bw"] = "max-reservable-bw"
                                self._children_yang_names.add("max-reservable-bw")
                                self._segment_path = lambda: "mam"


                            class MaxReservableBw(Entity):
                                """
                                Maximum Reservable bandwidth for MAM
                                
                                .. attribute:: value
                                
                                	Reservable Bandwidth (kbps)
                                	**type**\: int
                                
                                	**range:** 1..10000000
                                
                                .. attribute:: bc0
                                
                                	Reservable Bandwidth from global (BC0) pool (kbps)
                                	**type**\: int
                                
                                	**range:** 0..10000000
                                
                                .. attribute:: bc1
                                
                                	Reservable Bandwidth from sub pool (kbps)
                                	**type**\: int
                                
                                	**range:** 0..10000000
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw, self).__init__()

                                    self.yang_name = "max-reservable-bw"
                                    self.yang_parent_name = "mam"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint32, "value")

                                    self.bc0 = YLeaf(YType.uint32, "bc0")

                                    self.bc1 = YLeaf(YType.uint32, "bc1")
                                    self._segment_path = lambda: "max-reservable-bw"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw, ['value', 'bc0', 'bc1'], name, value)


                    class Neighbor(Entity):
                        """
                        Select permissible RSVP neighbors
                        
                        .. attribute:: acl_number
                        
                        	Access list
                        	**type**\: int
                        
                        	**range:** 1..199
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Rsvp.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.acl_number = YLeaf(YType.uint8, "acl-number")
                            self._segment_path = lambda: "neighbor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Neighbor, ['acl_number'], name, value)


                    class Precedence(Entity):
                        """
                        RSVP precedence setting
                        
                        .. attribute:: conform
                        
                        	Precedence for packets conforming to RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: exceed
                        
                        	Precedence for packets over RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Rsvp.Precedence, self).__init__()

                            self.yang_name = "precedence"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.conform = YLeaf(YType.uint8, "conform")

                            self.exceed = YLeaf(YType.uint8, "exceed")
                            self._segment_path = lambda: "precedence"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Precedence, ['conform', 'exceed'], name, value)


                    class Signalling(Entity):
                        """
                        RSVP signalling
                        
                        .. attribute:: dscp
                        
                        	DSCP for RSVP signalling messages
                        	**type**\: int
                        
                        	**range:** 0..63
                        
                        .. attribute:: fast_local_repair
                        
                        	Fast Local Repair parameters
                        	**type**\:  :py:class:`FastLocalRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Signalling.FastLocalRepair>`
                        
                        .. attribute:: hello
                        
                        	Enable neighbor\-down detection
                        	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Rsvp.Signalling, self).__init__()

                            self.yang_name = "signalling"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"fast-local-repair" : ("fast_local_repair", Native.Interface.FastEthernet.Ip.Rsvp.Signalling.FastLocalRepair), "hello" : ("hello", Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello)}
                            self._child_list_classes = {}

                            self.dscp = YLeaf(YType.uint8, "dscp")

                            self.fast_local_repair = Native.Interface.FastEthernet.Ip.Rsvp.Signalling.FastLocalRepair()
                            self.fast_local_repair.parent = self
                            self._children_name_map["fast_local_repair"] = "fast-local-repair"
                            self._children_yang_names.add("fast-local-repair")

                            self.hello = None
                            self._children_name_map["hello"] = "hello"
                            self._children_yang_names.add("hello")
                            self._segment_path = lambda: "signalling"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Signalling, ['dscp'], name, value)


                        class FastLocalRepair(Entity):
                            """
                            Fast Local Repair parameters
                            
                            .. attribute:: wait_time
                            
                            	Wait Time for start of Fast Local Repair in msec
                            	**type**\: int
                            
                            	**range:** 0..5000
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Rsvp.Signalling.FastLocalRepair, self).__init__()

                                self.yang_name = "fast-local-repair"
                                self.yang_parent_name = "signalling"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.wait_time = YLeaf(YType.uint16, "wait-time")
                                self._segment_path = lambda: "fast-local-repair"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Signalling.FastLocalRepair, ['wait_time'], name, value)


                        class Hello(Entity):
                            """
                            Enable neighbor\-down detection
                            
                            .. attribute:: bfd
                            
                            	Configure BFD trigger for MPLS/TE FRR
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp
                            
                            	DSCP for RSVP Hello messages
                            	**type**\: int
                            
                            	**range:** 0..63
                            
                            .. attribute:: graceful_restart
                            
                            	Configure RSVP Graceful Restart
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: refresh
                            
                            	Configure RSVP Hello refresh behavior for Fast\-Reroute
                            	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Refresh>`
                            
                            .. attribute:: reroute
                            
                            	Configure RSVP Hello refresh behavior for Reroute
                            	**type**\:  :py:class:`Reroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Reroute>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello, self).__init__()

                                self.yang_name = "hello"
                                self.yang_parent_name = "signalling"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"refresh" : ("refresh", Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Refresh), "reroute" : ("reroute", Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Reroute)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.bfd = YLeaf(YType.empty, "bfd")

                                self.dscp = YLeaf(YType.uint8, "dscp")

                                self.graceful_restart = YLeaf(YType.empty, "graceful-restart")

                                self.refresh = Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Refresh()
                                self.refresh.parent = self
                                self._children_name_map["refresh"] = "refresh"
                                self._children_yang_names.add("refresh")

                                self.reroute = Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Reroute()
                                self.reroute.parent = self
                                self._children_name_map["reroute"] = "reroute"
                                self._children_yang_names.add("reroute")
                                self._segment_path = lambda: "hello"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello, ['bfd', 'dscp', 'graceful_restart'], name, value)


                            class Refresh(Entity):
                                """
                                Configure RSVP Hello refresh behavior for Fast\-Reroute
                                
                                .. attribute:: interval
                                
                                	Hello interval in msec
                                	**type**\: int
                                
                                	**range:** 10..30000
                                
                                .. attribute:: misses
                                
                                	Number of missed Hello Acks which triggers neighbor down
                                	**type**\: int
                                
                                	**range:** 4..10
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Refresh, self).__init__()

                                    self.yang_name = "refresh"
                                    self.yang_parent_name = "hello"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")

                                    self.misses = YLeaf(YType.uint8, "misses")
                                    self._segment_path = lambda: "refresh"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Refresh, ['interval', 'misses'], name, value)


                            class Reroute(Entity):
                                """
                                Configure RSVP Hello refresh behavior for Reroute
                                
                                .. attribute:: dscp
                                
                                	DSCP for RSVP Hello messages
                                	**type**\: int
                                
                                	**range:** 0..63
                                
                                .. attribute:: refresh
                                
                                	Configure RSVP Reroute Hello refresh behavior
                                	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh>`
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Reroute, self).__init__()

                                    self.yang_name = "reroute"
                                    self.yang_parent_name = "hello"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"refresh" : ("refresh", Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh)}
                                    self._child_list_classes = {}

                                    self.dscp = YLeaf(YType.uint8, "dscp")

                                    self.refresh = Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh()
                                    self.refresh.parent = self
                                    self._children_name_map["refresh"] = "refresh"
                                    self._children_yang_names.add("refresh")
                                    self._segment_path = lambda: "reroute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Reroute, ['dscp'], name, value)


                                class Refresh(Entity):
                                    """
                                    Configure RSVP Reroute Hello refresh behavior
                                    
                                    .. attribute:: interval
                                    
                                    	Hello Reroute interval in msec
                                    	**type**\: int
                                    
                                    	**range:** 1000..30000
                                    
                                    .. attribute:: misses
                                    
                                    	Number of missed Hello Acks which triggers neighbor down
                                    	**type**\: int
                                    
                                    	**range:** 4..10
                                    
                                    

                                    """

                                    _prefix = 'ios-rsvp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh, self).__init__()

                                        self.yang_name = "refresh"
                                        self.yang_parent_name = "reroute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")

                                        self.misses = YLeaf(YType.uint8, "misses")
                                        self._segment_path = lambda: "refresh"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh, ['interval', 'misses'], name, value)


                    class Tos(Entity):
                        """
                        RSVP TOS setting
                        
                        .. attribute:: conform
                        
                        	TOS for packets conforming to RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..31
                        
                        .. attribute:: exceed
                        
                        	TOS for packets over RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..31
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Rsvp.Tos, self).__init__()

                            self.yang_name = "tos"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.conform = YLeaf(YType.uint8, "conform")

                            self.exceed = YLeaf(YType.uint8, "exceed")
                            self._segment_path = lambda: "tos"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Rsvp.Tos, ['conform', 'exceed'], name, value)


                class Wccp(Entity):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Wccp.WebCache>`
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Wccp.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ip.Wccp, self).__init__()

                        self.yang_name = "wccp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.FastEthernet.Ip.Wccp.WebCache), "redirect" : ("redirect", Native.Interface.FastEthernet.Ip.Wccp.Redirect)}
                        self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.FastEthernet.Ip.Wccp.WccpList), "vrf" : ("vrf", Native.Interface.FastEthernet.Ip.Wccp.Vrf)}

                        self.web_cache = Native.Interface.FastEthernet.Ip.Wccp.WebCache()
                        self.web_cache.parent = self
                        self._children_name_map["web_cache"] = "web-cache"
                        self._children_yang_names.add("web-cache")

                        self.redirect = Native.Interface.FastEthernet.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.wccp_list = YList(self)
                        self.vrf = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-wccp:wccp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ip.Wccp, [], name, value)


                    class WccpList(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Wccp.WccpList, self).__init__()

                            self.yang_name = "wccp-list"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.FastEthernet.Ip.Wccp.WccpList.Redirect)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.FastEthernet.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Wccp.WccpList, ['id', 'group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Wccp.WccpList.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "wccp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Wccp.WccpList.Redirect, ['in_', 'out'], name, value)


                    class WebCache(Entity):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Wccp.WebCache, self).__init__()

                            self.yang_name = "web-cache"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.FastEthernet.Ip.Wccp.WebCache.Redirect)}
                            self._child_list_classes = {}

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.FastEthernet.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "web-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Wccp.WebCache, ['group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Wccp.WebCache.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "web-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Wccp.WebCache.Redirect, ['in_', 'out'], name, value)


                    class Redirect(Entity):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:  :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Wccp.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"exclude" : ("exclude", Native.Interface.FastEthernet.Ip.Wccp.Redirect.Exclude)}
                            self._child_list_classes = {}

                            self.exclude = Native.Interface.FastEthernet.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self
                            self._children_name_map["exclude"] = "exclude"
                            self._children_yang_names.add("exclude")
                            self._segment_path = lambda: "redirect"


                        class Exclude(Entity):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Wccp.Redirect.Exclude, self).__init__()

                                self.yang_name = "exclude"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "exclude"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Wccp.Redirect.Exclude, ['in_'], name, value)


                    class Vrf(Entity):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ip.Wccp.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.FastEthernet.Ip.Wccp.Vrf.WebCache)}
                            self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.FastEthernet.Ip.Wccp.Vrf.WccpList)}

                            self.name = YLeaf(YType.str, "name")

                            self.web_cache = Native.Interface.FastEthernet.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self
                            self._children_name_map["web_cache"] = "web-cache"
                            self._children_yang_names.add("web-cache")

                            self.wccp_list = YList(self)
                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ip.Wccp.Vrf, ['name'], name, value)


                        class WccpList(Entity):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Wccp.Vrf.WccpList, self).__init__()

                                self.yang_name = "wccp-list"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.FastEthernet.Ip.Wccp.Vrf.WccpList.Redirect)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint8, "id")

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.FastEthernet.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Wccp.Vrf.WccpList, ['id', 'group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ip.Wccp.Vrf.WccpList.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "wccp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ip.Wccp.Vrf.WccpList.Redirect, ['in_', 'out'], name, value)


                        class WebCache(Entity):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ip.Wccp.Vrf.WebCache, self).__init__()

                                self.yang_name = "web-cache"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.FastEthernet.Ip.Wccp.Vrf.WebCache.Redirect)}
                                self._child_list_classes = {}

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.FastEthernet.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "web-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ip.Wccp.Vrf.WebCache, ['group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ip.Wccp.Vrf.WebCache.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "web-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ip.Wccp.Vrf.WebCache.Redirect, ['in_', 'out'], name, value)


            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.TrafficFilter>`
                
                .. attribute:: crypto
                
                	Encryption/Decryption commands
                	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Crypto>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Flow>`
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\: bool
                
                .. attribute:: no_pim
                
                	
                	**type**\:  :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.NoPim>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Pim>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf>`
                
                .. attribute:: rip
                
                	Configure RIP routing protocol
                	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Rip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.FastEthernet.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.FastEthernet.Ipv6.Dhcp), "address" : ("address", Native.Interface.FastEthernet.Ipv6.Address), "nd" : ("nd", Native.Interface.FastEthernet.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.FastEthernet.Ipv6.Tcp), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.FastEthernet.Ipv6.Crypto), "Cisco-IOS-XE-flow:flow" : ("flow", Native.Interface.FastEthernet.Ipv6.Flow), "Cisco-IOS-XE-multicast:no-pim" : ("no_pim", Native.Interface.FastEthernet.Ipv6.NoPim), "Cisco-IOS-XE-multicast:pim" : ("pim", Native.Interface.FastEthernet.Ipv6.Pim), "Cisco-IOS-XE-ospf:ospf" : ("ospf", Native.Interface.FastEthernet.Ipv6.Ospf)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.FastEthernet.Ipv6.TrafficFilter), "Cisco-IOS-XE-rip:rip" : ("rip", Native.Interface.FastEthernet.Ipv6.Rip)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.unreachables = YLeaf(YType.boolean, "Cisco-IOS-XE-icmp:unreachables")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.FastEthernet.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.FastEthernet.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.FastEthernet.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.FastEthernet.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.crypto = Native.Interface.FastEthernet.Ipv6.Crypto()
                    self.crypto.parent = self
                    self._children_name_map["crypto"] = "crypto"
                    self._children_yang_names.add("crypto")

                    self.flow = Native.Interface.FastEthernet.Ipv6.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.no_pim = Native.Interface.FastEthernet.Ipv6.NoPim()
                    self.no_pim.parent = self
                    self._children_name_map["no_pim"] = "no-pim"
                    self._children_yang_names.add("no-pim")

                    self.pim = Native.Interface.FastEthernet.Ipv6.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.ospf = Native.Interface.FastEthernet.Ipv6.Ospf()
                    self.ospf.parent = self
                    self._children_name_map["ospf"] = "ospf"
                    self._children_yang_names.add("ospf")

                    self.traffic_filter = YList(self)
                    self.rip = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects', 'unreachables'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: client
                    
                    	Act as an IPv6 DHCP client
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Dhcp.Client>`
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of  		 :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Dhcp.Server>`
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.FastEthernet.Ipv6.Dhcp.Client), "Cisco-IOS-XE-dhcp:guard" : ("guard", Native.Interface.FastEthernet.Ipv6.Dhcp.Guard)}
                        self._child_list_classes = {"Cisco-IOS-XE-dhcp:server" : ("server", Native.Interface.FastEthernet.Ipv6.Dhcp.Server)}

                        self.client = Native.Interface.FastEthernet.Ipv6.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.guard = None
                        self._children_name_map["guard"] = "guard"
                        self._children_yang_names.add("guard")

                        self.server = YList(self)
                        self._segment_path = lambda: "dhcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Dhcp, [], name, value)


                    class Client(Entity):
                        """
                        Act as an IPv6 DHCP client
                        
                        .. attribute:: request
                        
                        	Request
                        	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Dhcp.Client.Request>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"request" : ("request", Native.Interface.FastEthernet.Ipv6.Dhcp.Client.Request)}
                            self._child_list_classes = {}

                            self.request = Native.Interface.FastEthernet.Ipv6.Dhcp.Client.Request()
                            self.request.parent = self
                            self._children_name_map["request"] = "request"
                            self._children_yang_names.add("request")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"


                        class Request(Entity):
                            """
                            Request
                            
                            .. attribute:: vendor
                            
                            	Request Vendor specific options
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ipv6.Dhcp.Client.Request, self).__init__()

                                self.yang_name = "request"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vendor = YLeaf(YType.empty, "vendor")
                                self._segment_path = lambda: "request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Dhcp.Client.Request, ['vendor'], name, value)


                    class Server(Entity):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Dhcp.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.preference = YLeaf(YType.uint8, "preference")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:server" + "[word='" + self.word.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Dhcp.Server, ['word', 'preference'], name, value)


                    class Guard(Entity):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Dhcp.Guard, self).__init__()

                            self.yang_name = "guard"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:guard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Dhcp.Guard, ['attach_policy'], name, value)


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.FastEthernet.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.FastEthernet.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.FastEthernet.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.FastEthernet.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:  :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Nd.Raguard>`
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:  :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Nd.Ra>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-nd:raguard" : ("raguard", Native.Interface.FastEthernet.Ipv6.Nd.Raguard), "Cisco-IOS-XE-nd:autoconfig" : ("autoconfig", Native.Interface.FastEthernet.Ipv6.Nd.Autoconfig), "Cisco-IOS-XE-nd:ra" : ("ra", Native.Interface.FastEthernet.Ipv6.Nd.Ra)}
                        self._child_list_classes = {}

                        self.managed_config_flag = YLeaf(YType.empty, "Cisco-IOS-XE-nd:managed-config-flag")

                        self.raguard = Native.Interface.FastEthernet.Ipv6.Nd.Raguard()
                        self.raguard.parent = self
                        self._children_name_map["raguard"] = "raguard"
                        self._children_yang_names.add("raguard")

                        self.autoconfig = Native.Interface.FastEthernet.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.ra = Native.Interface.FastEthernet.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self._children_name_map["ra"] = "ra"
                        self._children_yang_names.add("ra")
                        self._segment_path = lambda: "nd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Nd, ['managed_config_flag'], name, value)


                    class Raguard(Entity):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Nd.Raguard, self).__init__()

                            self.yang_name = "raguard"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:raguard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Nd.Raguard, ['attach_policy'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Nd.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.default_route = YLeaf(YType.empty, "default-route")

                            self.prefix = YLeaf(YType.empty, "prefix")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Nd.Autoconfig, ['default_route', 'prefix'], name, value)


                    class Ra(Entity):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Nd.Ra, self).__init__()

                            self.yang_name = "ra"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"suppress" : ("suppress", Native.Interface.FastEthernet.Ipv6.Nd.Ra.Suppress)}
                            self._child_list_classes = {}

                            self.suppress = None
                            self._children_name_map["suppress"] = "suppress"
                            self._children_yang_names.add("suppress")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:ra"


                        class Suppress(Entity):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-04-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ipv6.Nd.Ra.Suppress, self).__init__()

                                self.yang_name = "suppress"
                                self.yang_parent_name = "ra"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.all = YLeaf(YType.empty, "all")
                                self._segment_path = lambda: "suppress"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Nd.Ra.Suppress, ['all'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class Crypto(Entity):
                    """
                    Encryption/Decryption commands
                    
                    .. attribute:: map
                    
                    	Assign an IPv6  Crypto Map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ipv6.Crypto, self).__init__()

                        self.yang_name = "crypto"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.map = YLeaf(YType.str, "map")
                        self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Crypto, ['map'], name, value)


                class Flow(Entity):
                    """
                    NetFlow related commands
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ipv6.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"monitor" : ("monitor", Native.Interface.FastEthernet.Ipv6.Flow.Monitor)}

                        self.ingress = YLeaf(YType.empty, "ingress")

                        self.egress = YLeaf(YType.empty, "egress")

                        self.monitor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-flow:flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Flow, ['ingress', 'egress'], name, value)


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of  		 :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Flow.Monitor.Sampler>`
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"sampler" : ("sampler", Native.Interface.FastEthernet.Ipv6.Flow.Monitor.Sampler)}

                            self.name = YLeaf(YType.str, "name")

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.sampler = YList(self)
                            self._segment_path = lambda: "monitor" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Flow.Monitor, ['name', 'input', 'output', 'multicast', 'unicast'], name, value)


                        class Sampler(Entity):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Flow.Monitor.Sampler.Direction>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ipv6.Flow.Monitor.Sampler, self).__init__()

                                self.yang_name = "sampler"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.direction = YLeaf(YType.enumeration, "direction")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "sampler" + "[direction='" + self.direction.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Flow.Monitor.Sampler, ['direction', 'name'], name, value)

                            class Direction(Enum):
                                """
                                Direction

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = Enum.YLeaf(0, "input")

                                output = Enum.YLeaf(1, "output")



                class NoPim(Entity):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ipv6.NoPim, self).__init__()

                        self.yang_name = "no-pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pim = YLeaf(YType.boolean, "pim")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:no-pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.NoPim, ['pim'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:  :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ipv6.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bsr" : ("bsr", Native.Interface.FastEthernet.Ipv6.Pim.Bsr)}
                        self._child_list_classes = {}

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.dr_priority = YLeaf(YType.uint32, "dr-priority")

                        self.bsr = Native.Interface.FastEthernet.Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self._children_name_map["bsr"] = "bsr"
                        self._children_yang_names.add("bsr")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Pim, ['bfd', 'dr_priority'], name, value)


                    class Bsr(Entity):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Pim.Bsr, self).__init__()

                            self.yang_name = "bsr"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.border = YLeaf(YType.empty, "border")
                            self._segment_path = lambda: "bsr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Pim.Bsr, ['border'], name, value)


                class Ospf(Entity):
                    """
                    OSPF interface commands
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: list of  		 :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Process>`
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: encryption
                    
                    	Enable encryption
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Network>`
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ipv6.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.FastEthernet.Ipv6.Ospf.Authentication), "bfd" : ("bfd", Native.Interface.FastEthernet.Ipv6.Ospf.Bfd), "database-filter" : ("database_filter", Native.Interface.FastEthernet.Ipv6.Ospf.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.FastEthernet.Ipv6.Ospf.DemandCircuit), "encryption" : ("encryption", Native.Interface.FastEthernet.Ipv6.Ospf.Encryption), "flood-reduction" : ("flood_reduction", Native.Interface.FastEthernet.Ipv6.Ospf.FloodReduction), "mtu-ignore" : ("mtu_ignore", Native.Interface.FastEthernet.Ipv6.Ospf.MtuIgnore), "network" : ("network", Native.Interface.FastEthernet.Ipv6.Ospf.Network), "shutdown" : ("shutdown", Native.Interface.FastEthernet.Ipv6.Ospf.Shutdown)}
                        self._child_list_classes = {"process" : ("process", Native.Interface.FastEthernet.Ipv6.Ospf.Process), "neighbor" : ("neighbor", Native.Interface.FastEthernet.Ipv6.Ospf.Neighbor)}

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = Native.Interface.FastEthernet.Ipv6.Ospf.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.database_filter = Native.Interface.FastEthernet.Ipv6.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.encryption = Native.Interface.FastEthernet.Ipv6.Ospf.Encryption()
                        self.encryption.parent = self
                        self._children_name_map["encryption"] = "encryption"
                        self._children_yang_names.add("encryption")

                        self.flood_reduction = None
                        self._children_name_map["flood_reduction"] = "flood-reduction"
                        self._children_yang_names.add("flood-reduction")

                        self.mtu_ignore = None
                        self._children_name_map["mtu_ignore"] = "mtu-ignore"
                        self._children_yang_names.add("mtu-ignore")

                        self.network = Native.Interface.FastEthernet.Ipv6.Ospf.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.shutdown = None
                        self._children_name_map["shutdown"] = "shutdown"
                        self._children_yang_names.add("shutdown")

                        self.process = YList(self)
                        self.neighbor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-ospf:ospf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf, ['cost', 'dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                    class Process(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: instance
                        
                        	Set the OSPF instance
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..31
                        
                        		**type**\: int
                        
                        			**range:** 32..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Ospf.Process, self).__init__()

                            self.yang_name = "process"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint16, "id")

                            self.area = YLeaf(YType.str, "area")

                            self.instance = YLeaf(YType.str, "instance")
                            self._segment_path = lambda: "process" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Process, ['id', 'area', 'instance'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec authentication
                        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Ospf.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec)}
                            self._child_list_classes = {}

                            self.null = YLeaf(YType.empty, "null")

                            self.ipsec = Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec()
                            self.ipsec.parent = self
                            self._children_name_map["ipsec"] = "ipsec"
                            self._children_yang_names.add("ipsec")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Authentication, ['null'], name, value)


                        class Ipsec(Entity):
                            """
                            Use IPsec authentication
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\: int
                            
                            	**range:** 256..4294967295
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5>`
                            
                            .. attribute:: sha1
                            
                            	Use SHA\-1 authentication
                            	**type**\:  :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec, self).__init__()

                                self.yang_name = "ipsec"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"md5" : ("md5", Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5), "sha1" : ("sha1", Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1)}
                                self._child_list_classes = {}

                                self.spi = YLeaf(YType.uint64, "spi")

                                self.md5 = Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5()
                                self.md5.parent = self
                                self._children_name_map["md5"] = "md5"
                                self._children_yang_names.add("md5")

                                self.sha1 = Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1()
                                self.sha1.parent = self
                                self._children_name_map["sha1"] = "sha1"
                                self._children_yang_names.add("sha1")
                                self._segment_path = lambda: "ipsec"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec, ['spi'], name, value)


                            class Md5(Entity):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5, self).__init__()

                                    self.yang_name = "md5"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "md5"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "md5"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Sha1(Entity):
                                """
                                Use SHA\-1 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1, self).__init__()

                                    self.yang_name = "sha1"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "sha1"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "sha1"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Ospf.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Bfd, ['disable'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.DatabaseFilter.All>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Ospf.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.DatabaseFilter, ['all', 'disable'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                    class DemandCircuit(Entity):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Ospf.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.DemandCircuit, ['disable', 'ignore'], name, value)


                    class Encryption(Entity):
                        """
                        Enable encryption
                        
                        .. attribute:: null
                        
                        	No IPsec encryption on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec encryption
                        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption, self).__init__()

                            self.yang_name = "encryption"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec)}
                            self._child_list_classes = {}

                            self.null = YLeaf(YType.empty, "null")

                            self.ipsec = Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec()
                            self.ipsec.parent = self
                            self._children_name_map["ipsec"] = "ipsec"
                            self._children_yang_names.add("ipsec")
                            self._segment_path = lambda: "encryption"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption, ['null'], name, value)


                        class Ipsec(Entity):
                            """
                            Use IPsec encryption
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: esp
                            
                            	Use ESP encapsulation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipsec_3des
                            
                            	Use 3DES encryption
                            	**type**\:  :py:class:`Ipsec3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des>`
                            
                            .. attribute:: aes_cbc
                            
                            	Use AES\-CBC encryption
                            	**type**\:  :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec, self).__init__()

                                self.yang_name = "ipsec"
                                self.yang_parent_name = "encryption"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipsec_3des" : ("ipsec_3des", Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des), "aes-cbc" : ("aes_cbc", Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc)}
                                self._child_list_classes = {}

                                self.spi = YLeaf(YType.uint64, "spi")

                                self.esp = YLeaf(YType.empty, "esp")

                                self.ipsec_3des = Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des()
                                self.ipsec_3des.parent = self
                                self._children_name_map["ipsec_3des"] = "ipsec_3des"
                                self._children_yang_names.add("ipsec_3des")

                                self.aes_cbc = Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc()
                                self.aes_cbc.parent = self
                                self._children_name_map["aes_cbc"] = "aes-cbc"
                                self._children_yang_names.add("aes-cbc")
                                self._segment_path = lambda: "ipsec"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec, ['spi', 'esp'], name, value)


                            class Ipsec3Des(Entity):
                                """
                                Use 3DES encryption
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des, self).__init__()

                                    self.yang_name = "ipsec_3des"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "ipsec_3des"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "ipsec_3des"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class AesCbc(Entity):
                                """
                                Use AES\-CBC encryption
                                
                                .. attribute:: aes_cbc_128
                                
                                	Use 128 bit key
                                	**type**\:  :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128>`
                                
                                .. attribute:: aes_192
                                
                                	Use 192 bit key
                                	**type**\:  :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192>`
                                
                                .. attribute:: aes_256
                                
                                	Use 256 bit key
                                	**type**\:  :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc, self).__init__()

                                    self.yang_name = "aes-cbc"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"aes-cbc-128" : ("aes_cbc_128", Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128), "aes-192" : ("aes_192", Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192), "aes-256" : ("aes_256", Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256)}
                                    self._child_list_classes = {}

                                    self.aes_cbc_128 = Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128()
                                    self.aes_cbc_128.parent = self
                                    self._children_name_map["aes_cbc_128"] = "aes-cbc-128"
                                    self._children_yang_names.add("aes-cbc-128")

                                    self.aes_192 = Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192()
                                    self.aes_192.parent = self
                                    self._children_name_map["aes_192"] = "aes-192"
                                    self._children_yang_names.add("aes-192")

                                    self.aes_256 = Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256()
                                    self.aes_256.parent = self
                                    self._children_name_map["aes_256"] = "aes-256"
                                    self._children_yang_names.add("aes-256")
                                    self._segment_path = lambda: "aes-cbc"


                                class AesCbc128(Entity):
                                    """
                                    Use 128 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128, self).__init__()

                                        self.yang_name = "aes-cbc-128"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-cbc-128"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-cbc-128"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                                class Aes192(Entity):
                                    """
                                    Use 192 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192, self).__init__()

                                        self.yang_name = "aes-192"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-192"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-192"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                                class Aes256(Entity):
                                    """
                                    Use 256 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256, self).__init__()

                                        self.yang_name = "aes-256"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-256"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-256"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                    class FloodReduction(Entity):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	Disable Flood Reduction on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Ospf.FloodReduction, self).__init__()

                            self.yang_name = "flood-reduction"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "flood-reduction"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.FloodReduction, ['disable'], name, value)


                    class MtuIgnore(Entity):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Ospf.MtuIgnore, self).__init__()

                            self.yang_name = "mtu-ignore"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "mtu-ignore"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.MtuIgnore, ['disable'], name, value)


                    class Neighbor(Entity):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Ospf.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.FastEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint16, "cost")

                            self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.database_filter = Native.Interface.FastEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter.All>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter, ['all'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                    class Network(Entity):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Ospf.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Ospf.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.FastEthernet.Ipv6.Ospf.Network.PointToMultipoint)}
                            self._child_list_classes = {}

                            self.broadcast = YLeaf(YType.empty, "broadcast")

                            self.manet = YLeaf(YType.empty, "manet")

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                            self.point_to_point = YLeaf(YType.empty, "point-to-point")

                            self.point_to_multipoint = None
                            self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                            self._children_yang_names.add("point-to-multipoint")
                            self._segment_path = lambda: "network"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                        class PointToMultipoint(Entity):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ipv6.Ospf.Network.PointToMultipoint, self).__init__()

                                self.yang_name = "point-to-multipoint"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                self._segment_path = lambda: "point-to-multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Network.PointToMultipoint, ['non_broadcast'], name, value)


                    class Shutdown(Entity):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Ospf.Shutdown, self).__init__()

                            self.yang_name = "shutdown"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "shutdown"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Ospf.Shutdown, ['disable'], name, value)


                class Rip(Entity):
                    """
                    Configure RIP routing protocol
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: enable
                    
                    	Enable/disable RIP routing
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: default_information
                    
                    	Configure handling of default route
                    	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Rip.DefaultInformation>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ipv6.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default-information" : ("default_information", Native.Interface.FastEthernet.Ipv6.Rip.DefaultInformation)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.default_information = Native.Interface.FastEthernet.Ipv6.Rip.DefaultInformation()
                        self.default_information.parent = self
                        self._children_name_map["default_information"] = "default-information"
                        self._children_yang_names.add("default-information")
                        self._segment_path = lambda: "Cisco-IOS-XE-rip:rip" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Rip, ['id', 'enable'], name, value)


                    class DefaultInformation(Entity):
                        """
                        Configure handling of default route
                        
                        .. attribute:: route
                        
                        	
                        	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ipv6.Rip.DefaultInformation.Route>`
                        
                        .. attribute:: metric
                        
                        	Default route metric
                        	**type**\: int
                        
                        	**range:** 1..15
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ipv6.Rip.DefaultInformation, self).__init__()

                            self.yang_name = "default-information"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.route = YLeaf(YType.enumeration, "route")

                            self.metric = YLeaf(YType.uint8, "metric")
                            self._segment_path = lambda: "default-information"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ipv6.Rip.DefaultInformation, ['route', 'metric'], name, value)

                        class Route(Enum):
                            """
                            Route

                            .. data:: only = 0

                            .. data:: originate = 1

                            """

                            only = Enum.YLeaf(0, "only")

                            originate = Enum.YLeaf(1, "originate")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.FastEthernet.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.FastEthernet.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.FastEthernet.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.FastEthernet.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.FastEthernet.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.FastEthernet.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.FastEthernet.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.FastEthernet.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.FastEthernet.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.FastEthernet.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.FastEthernet.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.FastEthernet.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.FastEthernet.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.FastEthernet.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.FastEthernet.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.FastEthernet.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.FastEthernet.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.FastEthernet.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.FastEthernet.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.FastEthernet.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.FastEthernet.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.FastEthernet.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.FastEthernet.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.FastEthernet.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.FastEthernet.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.FastEthernet.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.FastEthernet.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.FastEthernet.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.FastEthernet.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.FastEthernet.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.FastEthernet.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.FastEthernet.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.FastEthernet.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.FastEthernet.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.FastEthernet.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.FastEthernet.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.FastEthernet.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.FastEthernet.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.FastEthernet.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.FastEthernet.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.FastEthernet.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.FastEthernet.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.FastEthernet.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.FastEthernet.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.FastEthernet.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.FastEthernet.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.FastEthernet.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.FastEthernet.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.FastEthernet.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.FastEthernet.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.FastEthernet.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.FastEthernet.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.FastEthernet.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.FastEthernet.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.FastEthernet.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.FastEthernet.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.FastEthernet.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.FastEthernet.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.FastEthernet.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.FastEthernet.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.FastEthernet.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.FastEthernet.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.FastEthernet.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.FastEthernet.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.FastEthernet.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.FastEthernet.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.FastEthernet.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.FastEthernet.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.FastEthernet.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.FastEthernet.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.FastEthernet.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.FastEthernet.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.FastEthernet.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FastEthernet.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.PmPath, ['name', 'interface_id'], name, value)


            class CarrierDelay(Entity):
                """
                Specify delay for interface transitions
                
                .. attribute:: seconds
                
                	
                	**type**\: int
                
                	**range:** 0..60
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\: int
                
                	**range:** 0..1000
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:  :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.CarrierDelay.Down>`
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:  :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.CarrierDelay, self).__init__()

                    self.yang_name = "carrier-delay"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"down" : ("down", Native.Interface.FastEthernet.CarrierDelay.Down), "up" : ("up", Native.Interface.FastEthernet.CarrierDelay.Up)}
                    self._child_list_classes = {}

                    self.seconds = YLeaf(YType.uint8, "seconds")

                    self.msec = YLeaf(YType.uint16, "msec")

                    self.down = Native.Interface.FastEthernet.CarrierDelay.Down()
                    self.down.parent = self
                    self._children_name_map["down"] = "down"
                    self._children_yang_names.add("down")

                    self.up = Native.Interface.FastEthernet.CarrierDelay.Up()
                    self.up.parent = self
                    self._children_name_map["up"] = "up"
                    self._children_yang_names.add("up")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:carrier-delay"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.CarrierDelay, ['seconds', 'msec'], name, value)


                class Down(Entity):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.CarrierDelay.Down, self).__init__()

                        self.yang_name = "down"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "down"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.CarrierDelay.Down, ['seconds', 'msec'], name, value)


                class Up(Entity):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.CarrierDelay.Up, self).__init__()

                        self.yang_name = "up"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "up"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.CarrierDelay.Up, ['seconds', 'msec'], name, value)


            class ChannelGroup(Entity):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 1..512
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.ChannelGroup.Mode>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\: int
                
                	**range:** 1..4
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.ChannelGroup, self).__init__()

                    self.yang_name = "channel-group"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint16, "number")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.non_silent = YLeaf(YType.empty, "non-silent")

                    self.link = YLeaf(YType.uint8, "link")

                    self.auto = YLeaf(YType.empty, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:channel-group"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.ChannelGroup, ['number', 'mode', 'non_silent', 'link', 'auto'], name, value)

                class Mode(Enum):
                    """
                    Mode

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = Enum.YLeaf(0, "active")

                    auto = Enum.YLeaf(1, "auto")

                    desirable = Enum.YLeaf(2, "desirable")

                    on = Enum.YLeaf(3, "on")

                    passive = Enum.YLeaf(4, "passive")



            class Ethernet(Entity):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:  :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Ethernet, self).__init__()

                    self.yang_name = "ethernet"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"oam" : ("oam", Native.Interface.FastEthernet.Ethernet.Oam)}
                    self._child_list_classes = {}

                    self.oam = None
                    self._children_name_map["oam"] = "oam"
                    self._children_yang_names.add("oam")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:ethernet"


                class Oam(Entity):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:  :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.Mode>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:  :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:  :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 2..30
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ethernet.Oam, self).__init__()

                        self.yang_name = "oam"
                        self.yang_parent_name = "ethernet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-monitor" : ("link_monitor", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor), "remote-failure" : ("remote_failure", Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure), "remote-loopback" : ("remote_loopback", Native.Interface.FastEthernet.Ethernet.Oam.RemoteLoopback)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max_rate = YLeaf(YType.uint8, "max-rate")

                        self.min_rate = YLeaf(YType.uint8, "min-rate")

                        self.mode = YLeaf(YType.enumeration, "mode")

                        self.timeout = YLeaf(YType.uint8, "timeout")

                        self.link_monitor = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self._children_name_map["link_monitor"] = "link-monitor"
                        self._children_yang_names.add("link-monitor")

                        self.remote_failure = Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self._children_name_map["remote_failure"] = "remote-failure"
                        self._children_yang_names.add("remote-failure")

                        self.remote_loopback = Native.Interface.FastEthernet.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self._children_name_map["remote_loopback"] = "remote-loopback"
                        self._children_yang_names.add("remote-loopback")
                        self._segment_path = lambda: "oam"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam, ['max_rate', 'min_rate', 'mode', 'timeout'], name, value)

                    class Mode(Enum):
                        """
                        Mode

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = Enum.YLeaf(0, "active")

                        passive = Enum.YLeaf(1, "passive")



                    class LinkMonitor(Entity):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:  :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:  :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:  :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:  :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:  :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:  :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor, self).__init__()

                            self.yang_name = "link-monitor"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"frame" : ("frame", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame), "frame-period" : ("frame_period", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod), "frame-seconds" : ("frame_seconds", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds), "high-threshold" : ("high_threshold", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.HighThreshold), "receive-crc" : ("receive_crc", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc), "symbol-period" : ("symbol_period", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod)}
                            self._child_list_classes = {}

                            self.on = YLeaf(YType.empty, "on")

                            self.supported = YLeaf(YType.empty, "supported")

                            self.frame = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self._children_name_map["frame"] = "frame"
                            self._children_yang_names.add("frame")

                            self.frame_period = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self._children_name_map["frame_period"] = "frame-period"
                            self._children_yang_names.add("frame-period")

                            self.frame_seconds = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self._children_name_map["frame_seconds"] = "frame-seconds"
                            self._children_yang_names.add("frame-seconds")

                            self.high_threshold = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self._children_name_map["high_threshold"] = "high-threshold"
                            self._children_yang_names.add("high-threshold")

                            self.receive_crc = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self._children_name_map["receive_crc"] = "receive-crc"
                            self._children_yang_names.add("receive-crc")

                            self.symbol_period = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self
                            self._children_name_map["symbol_period"] = "symbol-period"
                            self._children_yang_names.add("symbol-period")
                            self._segment_path = lambda: "link-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor, ['on', 'supported'], name, value)


                        class Frame(Entity):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame, self).__init__()

                                self.yang_name = "frame"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.thresh = YLeaf(YType.uint16, "thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, ['thresh', 'none'], name, value)


                        class FramePeriod(Entity):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod, self).__init__()

                                self.yang_name = "frame-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.f_thresh = YLeaf(YType.uint16, "f-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, ['f_thresh', 'none'], name, value)


                        class FrameSeconds(Entity):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds, self).__init__()

                                self.yang_name = "frame-seconds"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-seconds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\: int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-seconds"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.e_thresh = YLeaf(YType.uint16, "e-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, ['e_thresh', 'none'], name, value)


                        class HighThreshold(Entity):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.HighThreshold, self).__init__()

                                self.yang_name = "high-threshold"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "high-threshold"


                            class Action(Entity):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "high-threshold"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action, ['error_disable_interface'], name, value)


                        class ReceiveCrc(Entity):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc, self).__init__()

                                self.yang_name = "receive-crc"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "receive-crc"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "receive-crc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.crc_thresh = YLeaf(YType.uint16, "crc-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, ['crc_thresh', 'none'], name, value)


                        class SymbolPeriod(Entity):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod, self).__init__()

                                self.yang_name = "symbol-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "symbol-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "symbol-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.err_thresh = YLeaf(YType.uint16, "err-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, ['err_thresh', 'none'], name, value)


                    class RemoteFailure(Entity):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:  :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:  :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:  :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure, self).__init__()

                            self.yang_name = "remote-failure"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"critical-event" : ("critical_event", Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent), "dying-gasp" : ("dying_gasp", Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.DyingGasp), "link-fault" : ("link_fault", Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.LinkFault)}
                            self._child_list_classes = {}

                            self.critical_event = Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self._children_name_map["critical_event"] = "critical-event"
                            self._children_yang_names.add("critical-event")

                            self.dying_gasp = Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self._children_name_map["dying_gasp"] = "dying-gasp"
                            self._children_yang_names.add("dying-gasp")

                            self.link_fault = Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self
                            self._children_name_map["link_fault"] = "link-fault"
                            self._children_yang_names.add("link-fault")
                            self._segment_path = lambda: "remote-failure"


                        class CriticalEvent(Entity):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent, self).__init__()

                                self.yang_name = "critical-event"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "critical-event"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "critical-event"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, ['error_disable_interface'], name, value)


                        class DyingGasp(Entity):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.DyingGasp, self).__init__()

                                self.yang_name = "dying-gasp"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "dying-gasp"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "dying-gasp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action, ['error_disable_interface'], name, value)


                        class LinkFault(Entity):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.LinkFault, self).__init__()

                                self.yang_name = "link-fault"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "link-fault"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "link-fault"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action, ['error_disable_interface'], name, value)


                    class RemoteLoopback(Entity):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ethernet.Oam.RemoteLoopback, self).__init__()

                            self.yang_name = "remote-loopback"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.supported = YLeaf(YType.empty, "supported")

                            self.timeout = YLeaf(YType.uint8, "timeout")
                            self._segment_path = lambda: "remote-loopback"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ethernet.Oam.RemoteLoopback, ['supported', 'timeout'], name, value)


            class Negotiation(Entity):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\: bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Negotiation, self).__init__()

                    self.yang_name = "negotiation"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:negotiation"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Negotiation, ['auto'], name, value)


            class Synchronous(Entity):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Synchronous, self).__init__()

                    self.yang_name = "synchronous"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mode = YLeaf(YType.empty, "mode")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:synchronous"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Synchronous, ['mode'], name, value)


            class Speed(Entity):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Speed, self).__init__()

                    self.yang_name = "speed"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.empty, "auto")

                    self.value_10 = YLeaf(YType.empty, "value-10")

                    self.value_100 = YLeaf(YType.empty, "value-100")

                    self.value_1000 = YLeaf(YType.empty, "value-1000")

                    self.value_10000 = YLeaf(YType.empty, "value-10000")

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:speed"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Speed, ['auto', 'value_10', 'value_100', 'value_1000', 'value_10000', 'nonegotiate'], name, value)


            class Plim(Entity):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Plim, self).__init__()

                    self.yang_name = "plim"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.FastEthernet.Plim.Ethernet), "qos" : ("qos", Native.Interface.FastEthernet.Plim.Qos)}
                    self._child_list_classes = {}

                    self.ethernet = Native.Interface.FastEthernet.Plim.Ethernet()
                    self.ethernet.parent = self
                    self._children_name_map["ethernet"] = "ethernet"
                    self._children_yang_names.add("ethernet")

                    self.qos = Native.Interface.FastEthernet.Plim.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:plim"


                class Ethernet(Entity):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Plim.Ethernet, self).__init__()

                        self.yang_name = "ethernet"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.FastEthernet.Plim.Ethernet.Vlan)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.FastEthernet.Plim.Ethernet.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "ethernet"


                    class Vlan(Entity):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Plim.Ethernet.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"filter" : ("filter", Native.Interface.FastEthernet.Plim.Ethernet.Vlan.Filter)}
                            self._child_list_classes = {}

                            self.filter = Native.Interface.FastEthernet.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self
                            self._children_name_map["filter"] = "filter"
                            self._children_yang_names.add("filter")
                            self._segment_path = lambda: "vlan"


                        class Filter(Entity):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Plim.Ethernet.Vlan.Filter, self).__init__()

                                self.yang_name = "filter"
                                self.yang_parent_name = "vlan"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Plim.Ethernet.Vlan.Filter, ['disable'], name, value)


                class Qos(Entity):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Plim.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"input" : ("input", Native.Interface.FastEthernet.Plim.Qos.Input)}
                        self._child_list_classes = {}

                        self.input = Native.Interface.FastEthernet.Plim.Qos.Input()
                        self.input.parent = self
                        self._children_name_map["input"] = "input"
                        self._children_yang_names.add("input")
                        self._segment_path = lambda: "qos"


                    class Input(Entity):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Plim.Qos.Input, self).__init__()

                            self.yang_name = "input"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"queue" : ("queue", Native.Interface.FastEthernet.Plim.Qos.Input.Queue)}
                            self._child_list_classes = {}

                            self.queue = Native.Interface.FastEthernet.Plim.Qos.Input.Queue()
                            self.queue.parent = self
                            self._children_name_map["queue"] = "queue"
                            self._children_yang_names.add("queue")
                            self._segment_path = lambda: "input"


                        class Queue(Entity):
                            """
                            Queue number
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:  :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Plim.Qos.Input.Queue.Zero>`
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:  :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Plim.Qos.Input.Queue, self).__init__()

                                self.yang_name = "queue"
                                self.yang_parent_name = "input"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"zero" : ("zero", Native.Interface.FastEthernet.Plim.Qos.Input.Queue.Zero), "strict-priority" : ("strict_priority", Native.Interface.FastEthernet.Plim.Qos.Input.Queue.StrictPriority)}
                                self._child_list_classes = {}

                                self.zero = Native.Interface.FastEthernet.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self
                                self._children_name_map["zero"] = "zero"
                                self._children_yang_names.add("zero")

                                self.strict_priority = Native.Interface.FastEthernet.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self._children_name_map["strict_priority"] = "strict-priority"
                                self._children_yang_names.add("strict-priority")
                                self._segment_path = lambda: "queue"


                            class Zero(Entity):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Plim.Qos.Input.Queue.Zero, self).__init__()

                                    self.yang_name = "zero"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.FastEthernet.Plim.Qos.Input.Queue.Zero.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.FastEthernet.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "zero"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Plim.Qos.Input.Queue.Zero.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "zero"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Plim.Qos.Input.Queue.Zero.Pause, ['enable', 'threshold'], name, value)


                            class StrictPriority(Entity):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Plim.Qos.Input.Queue.StrictPriority, self).__init__()

                                    self.yang_name = "strict-priority"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.FastEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.FastEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "strict-priority"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "strict-priority"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause, ['enable', 'threshold'], name, value)


            class Pppoe(Entity):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\: int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Pppoe, self).__init__()

                    self.yang_name = "pppoe"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"enable" : ("enable", Native.Interface.FastEthernet.Pppoe.Enable)}
                    self._child_list_classes = {}

                    self.max_sessions = YLeaf(YType.uint16, "max-sessions")

                    self.enable = None
                    self._children_name_map["enable"] = "enable"
                    self._children_yang_names.add("enable")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:pppoe"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Pppoe, ['max_sessions'], name, value)


                class Enable(Entity):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Pppoe.Enable.Group>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Pppoe.Enable, self).__init__()

                        self.yang_name = "enable"
                        self.yang_parent_name = "pppoe"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "enable"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Pppoe.Enable, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = Enum.YLeaf(0, "global")



            class Service(Entity):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of  		 :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Service, self).__init__()

                    self.yang_name = "service"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"instance" : ("instance", Native.Interface.FastEthernet.Service.Instance)}

                    self.instance = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:service"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Service, [], name, value)


                class Instance(Entity):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\: str
                    
                    	**length:** 0..240
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\: str
                    
                    	**length:** 1..100
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Encapsulation>`
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Ipv6>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:  :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:  :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:  :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Snmp>`
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:  :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Mac>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:  :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Cfm>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:  :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.L2Protocol>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Service.Instance, self).__init__()

                        self.yang_name = "instance"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.FastEthernet.Service.Instance.Encapsulation), "ip" : ("ip", Native.Interface.FastEthernet.Service.Instance.Ip), "ipv6" : ("ipv6", Native.Interface.FastEthernet.Service.Instance.Ipv6), "rewrite" : ("rewrite", Native.Interface.FastEthernet.Service.Instance.Rewrite), "errdisable" : ("errdisable", Native.Interface.FastEthernet.Service.Instance.Errdisable), "ethernet-container" : ("ethernet_container", Native.Interface.FastEthernet.Service.Instance.EthernetContainer), "snmp" : ("snmp", Native.Interface.FastEthernet.Service.Instance.Snmp), "bridge-domain" : ("bridge_domain", Native.Interface.FastEthernet.Service.Instance.BridgeDomain), "mac" : ("mac", Native.Interface.FastEthernet.Service.Instance.Mac), "service-policy" : ("service_policy", Native.Interface.FastEthernet.Service.Instance.ServicePolicy), "cfm" : ("cfm", Native.Interface.FastEthernet.Service.Instance.Cfm), "l2protocol" : ("l2protocol", Native.Interface.FastEthernet.Service.Instance.L2Protocol), "Cisco-IOS-XE-l2vpn:xconnect" : ("xconnect", Native.Interface.FastEthernet.Service.Instance.Xconnect), "Cisco-IOS-XE-l2vpn:xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.FastEthernet.Service.Instance.XconnectPwClass)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint32, "id")

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.gigabitethernet = YLeaf(YType.empty, "GigabitEthernet")

                        self.ethernet = YLeaf(YType.empty, "ethernet")

                        self.ethernet_evc_name = YLeaf(YType.str, "ethernet-evc-name")

                        self.description = YLeaf(YType.str, "description")

                        self.evc_name = YLeaf(YType.str, "evc-name")

                        self.group = YLeaf(YType.uint32, "group")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.encapsulation = Native.Interface.FastEthernet.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self._children_name_map["encapsulation"] = "encapsulation"
                        self._children_yang_names.add("encapsulation")

                        self.ip = Native.Interface.FastEthernet.Service.Instance.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.ipv6 = Native.Interface.FastEthernet.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.rewrite = Native.Interface.FastEthernet.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self._children_name_map["rewrite"] = "rewrite"
                        self._children_yang_names.add("rewrite")

                        self.errdisable = Native.Interface.FastEthernet.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self._children_name_map["errdisable"] = "errdisable"
                        self._children_yang_names.add("errdisable")

                        self.ethernet_container = Native.Interface.FastEthernet.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self._children_name_map["ethernet_container"] = "ethernet-container"
                        self._children_yang_names.add("ethernet-container")

                        self.snmp = Native.Interface.FastEthernet.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self._children_name_map["snmp"] = "snmp"
                        self._children_yang_names.add("snmp")

                        self.bridge_domain = Native.Interface.FastEthernet.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self._children_name_map["bridge_domain"] = "bridge-domain"
                        self._children_yang_names.add("bridge-domain")

                        self.mac = Native.Interface.FastEthernet.Service.Instance.Mac()
                        self.mac.parent = self
                        self._children_name_map["mac"] = "mac"
                        self._children_yang_names.add("mac")

                        self.service_policy = Native.Interface.FastEthernet.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self._children_name_map["service_policy"] = "service-policy"
                        self._children_yang_names.add("service-policy")

                        self.cfm = Native.Interface.FastEthernet.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self._children_name_map["cfm"] = "cfm"
                        self._children_yang_names.add("cfm")

                        self.l2protocol = Native.Interface.FastEthernet.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self._children_name_map["l2protocol"] = "l2protocol"
                        self._children_yang_names.add("l2protocol")

                        self.xconnect = Native.Interface.FastEthernet.Service.Instance.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")

                        self.xconnect_pw_class = Native.Interface.FastEthernet.Service.Instance.XconnectPwClass()
                        self.xconnect_pw_class.parent = self
                        self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                        self._children_yang_names.add("xconnect-pw-class")
                        self._segment_path = lambda: "instance" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Service.Instance, ['id', 'trunk', 'gigabitethernet', 'ethernet', 'ethernet_evc_name', 'description', 'evc_name', 'group', 'shutdown'], name, value)


                    class Encapsulation(Entity):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:  :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:  :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.Encapsulation, self).__init__()

                            self.yang_name = "encapsulation"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Q), "priority-tagged" : ("priority_tagged", Native.Interface.FastEthernet.Service.Instance.Encapsulation.PriorityTagged), "untagged" : ("untagged", Native.Interface.FastEthernet.Service.Instance.Encapsulation.Untagged)}
                            self._child_list_classes = {}

                            self.default = YLeaf(YType.empty, "default")

                            self.dot1ad = Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self._children_name_map["dot1ad"] = "dot1ad"
                            self._children_yang_names.add("dot1ad")

                            self.dot1q = Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self._children_name_map["dot1q"] = "dot1q"
                            self._children_yang_names.add("dot1q")

                            self.priority_tagged = Native.Interface.FastEthernet.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self._children_name_map["priority_tagged"] = "priority-tagged"
                            self._children_yang_names.add("priority-tagged")

                            self.untagged = None
                            self._children_name_map["untagged"] = "untagged"
                            self._children_yang_names.add("untagged")
                            self._segment_path = lambda: "encapsulation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Encapsulation, ['default'], name, value)


                        class Dot1Ad(Entity):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Dot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Ad.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Ad, self).__init__()

                                self.yang_name = "dot1ad"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.dot1q = YLeafList(YType.str, "dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.cos2 = Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1ad"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Ad, ['id', 'cos', 'dot1q', 'etype', 'exact'], name, value)

                            class Dot1Q(Enum):
                                """
                                Dot1Q

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1ad"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2, ['cos'], name, value)


                        class Dot1Q(Entity):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`SecondDot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Q.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:  :py:class:`VlanType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Q.VlanType>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Q, self).__init__()

                                self.yang_name = "dot1q"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.second_dot1q = YLeafList(YType.str, "second-dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.vlan_type = YLeaf(YType.enumeration, "vlan-type")

                                self.cos2 = Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1q"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Q, ['id', 'cos', 'second_dot1q', 'etype', 'exact', 'vlan_type'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class SecondDot1Q(Enum):
                                """
                                SecondDot1Q

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class VlanType(Enum):
                                """
                                VlanType

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = Enum.YLeaf(0, "0x88A8")

                                Y_0x9100 = Enum.YLeaf(1, "0x9100")

                                Y_0x9200 = Enum.YLeaf(2, "0x9200")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1q"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2, ['cos'], name, value)


                        class PriorityTagged(Entity):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:  :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Encapsulation.PriorityTagged.Etype>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Encapsulation.PriorityTagged, self).__init__()

                                self.yang_name = "priority-tagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos-container" : ("cos_container", Native.Interface.FastEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer)}
                                self._child_list_classes = {}

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.cos_container = Native.Interface.FastEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self._children_name_map["cos_container"] = "cos-container"
                                self._children_yang_names.add("cos-container")
                                self._segment_path = lambda: "priority-tagged"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Encapsulation.PriorityTagged, ['etype'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")



                            class CosContainer(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer, self).__init__()

                                    self.yang_name = "cos-container"
                                    self.yang_parent_name = "priority-tagged"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer, ['cos'], name, value)


                        class Untagged(Entity):
                            """
                            Untagged encapsulation
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Encapsulation.Untagged, self).__init__()

                                self.yang_name = "untagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "untagged"


                    class Ip(Entity):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"acl" : ("acl", Native.Interface.FastEthernet.Service.Instance.Ip.Acl), "dhcp" : ("dhcp", Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp), "verify" : ("verify", Native.Interface.FastEthernet.Service.Instance.Ip.Verify)}
                            self._child_list_classes = {}

                            self.acl = Native.Interface.FastEthernet.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")

                            self.dhcp = Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self._children_name_map["dhcp"] = "dhcp"
                            self._children_yang_names.add("dhcp")

                            self.verify = Native.Interface.FastEthernet.Service.Instance.Ip.Verify()
                            self.verify.parent = self
                            self._children_name_map["verify"] = "verify"
                            self._children_yang_names.add("verify")
                            self._segment_path = lambda: "ip"


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Ip.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.access_group = YLeaf(YType.str, "access-group")

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Ip.Acl, ['access_group', 'in_', 'out'], name, value)


                        class Dhcp(Entity):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp, self).__init__()

                                self.yang_name = "dhcp"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"relay" : ("relay", Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp.Relay)}
                                self._child_list_classes = {}

                                self.relay = Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self
                                self._children_name_map["relay"] = "relay"
                                self._children_yang_names.add("relay")
                                self._segment_path = lambda: "dhcp"


                            class Relay(Entity):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp.Relay, self).__init__()

                                    self.yang_name = "relay"
                                    self.yang_parent_name = "dhcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"information" : ("information", Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp.Relay.Information)}
                                    self._child_list_classes = {}

                                    self.information = Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self
                                    self._children_name_map["information"] = "information"
                                    self._children_yang_names.add("information")
                                    self._segment_path = lambda: "relay"


                                class Information(Entity):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp.Relay.Information, self).__init__()

                                        self.yang_name = "information"
                                        self.yang_parent_name = "relay"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"option" : ("option", Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option)}
                                        self._child_list_classes = {}

                                        self.option = Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self
                                        self._children_name_map["option"] = "option"
                                        self._children_yang_names.add("option")
                                        self._segment_path = lambda: "information"


                                    class Option(Entity):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                            self.yang_name = "option"
                                            self.yang_parent_name = "information"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                            self._segment_path = lambda: "option"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                        class Verify(Entity):
                            """
                            verify
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Ip.Verify, self).__init__()

                                self.yang_name = "verify"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.source = YLeaf(YType.empty, "source")

                                self.vlan = YLeaf(YType.empty, "vlan")

                                self.dhcp_snooping = YLeaf(YType.empty, "dhcp-snooping")

                                self.port_security = YLeaf(YType.empty, "port-security")
                                self._segment_path = lambda: "verify"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Ip.Verify, ['source', 'vlan', 'dhcp_snooping', 'port_security'], name, value)


                    class Ipv6(Entity):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\: str
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.traffic_filter = YLeaf(YType.str, "traffic-filter")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Ipv6, ['traffic_filter', 'in_', 'out'], name, value)


                    class Rewrite(Entity):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:  :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.Rewrite, self).__init__()

                            self.yang_name = "rewrite"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ingress" : ("ingress", Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress)}
                            self._child_list_classes = {}

                            self.ingress = Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self
                            self._children_name_map["ingress"] = "ingress"
                            self._children_yang_names.add("ingress")
                            self._segment_path = lambda: "rewrite"


                        class Ingress(Entity):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress, self).__init__()

                                self.yang_name = "ingress"
                                self.yang_parent_name = "rewrite"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"tag" : ("tag", Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag)}
                                self._child_list_classes = {}

                                self.tag = Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self
                                self._children_name_map["tag"] = "tag"
                                self._children_yang_names.add("tag")
                                self._segment_path = lambda: "ingress"


                            class Tag(Entity):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:  :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:  :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag, self).__init__()

                                    self.yang_name = "tag"
                                    self.yang_parent_name = "ingress"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pop" : ("pop", Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop), "push" : ("push", Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Push), "translate" : ("translate", Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate)}
                                    self._child_list_classes = {}

                                    self.pop = Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self._children_name_map["pop"] = "pop"
                                    self._children_yang_names.add("pop")

                                    self.push = Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self._children_name_map["push"] = "push"
                                    self._children_yang_names.add("push")

                                    self.translate = Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self
                                    self._children_name_map["translate"] = "translate"
                                    self._children_yang_names.add("translate")
                                    self._segment_path = lambda: "tag"


                                class Pop(Entity):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:  :py:class:`Way <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop.Way>`
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop, self).__init__()

                                        self.yang_name = "pop"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.way = YLeaf(YType.enumeration, "way")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "pop"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop, ['way', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")


                                    class Way(Enum):
                                        """
                                        Way

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class Push(Entity):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Push.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Push, self).__init__()

                                        self.yang_name = "push"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dot1q = YLeaf(YType.uint16, "dot1q")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "push"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Push, ['dot1q', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")



                                class Translate(Entity):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:  :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:  :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:  :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:  :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate, self).__init__()

                                        self.yang_name = "translate"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"t1-to-1" : ("t1_to_1", Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1), "t1-to-2" : ("t1_to_2", Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2), "t2-to-1" : ("t2_to_1", Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1), "t2-to-2" : ("t2_to_2", Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2)}
                                        self._child_list_classes = {}

                                        self.t1_to_1 = Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self._children_name_map["t1_to_1"] = "t1-to-1"
                                        self._children_yang_names.add("t1-to-1")

                                        self.t1_to_2 = Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self._children_name_map["t1_to_2"] = "t1-to-2"
                                        self._children_yang_names.add("t1-to-2")

                                        self.t2_to_1 = Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self._children_name_map["t2_to_1"] = "t2-to-1"
                                        self._children_yang_names.add("t2-to-1")

                                        self.t2_to_2 = Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self
                                        self._children_name_map["t2_to_2"] = "t2-to-2"
                                        self._children_yang_names.add("t2-to-2")
                                        self._segment_path = lambda: "translate"


                                    class T1To1(Entity):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, self).__init__()

                                            self.yang_name = "t1-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T1To2(Entity):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, self).__init__()

                                            self.yang_name = "t1-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To1(Entity):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, self).__init__()

                                            self.yang_name = "t2-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To2(Entity):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, self).__init__()

                                            self.yang_name = "t2-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                    class Errdisable(Entity):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.Errdisable, self).__init__()

                            self.yang_name = "errdisable"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"recovery" : ("recovery", Native.Interface.FastEthernet.Service.Instance.Errdisable.Recovery)}
                            self._child_list_classes = {}

                            self.recovery = Native.Interface.FastEthernet.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self
                            self._children_name_map["recovery"] = "recovery"
                            self._children_yang_names.add("recovery")
                            self._segment_path = lambda: "errdisable"


                        class Recovery(Entity):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:  :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Errdisable.Recovery, self).__init__()

                                self.yang_name = "recovery"
                                self.yang_parent_name = "errdisable"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cause" : ("cause", Native.Interface.FastEthernet.Service.Instance.Errdisable.Recovery.Cause)}
                                self._child_list_classes = {}

                                self.cause = Native.Interface.FastEthernet.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self
                                self._children_name_map["cause"] = "cause"
                                self._children_yang_names.add("cause")
                                self._segment_path = lambda: "recovery"


                            class Cause(Entity):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\: int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.Errdisable.Recovery.Cause, self).__init__()

                                    self.yang_name = "cause"
                                    self.yang_parent_name = "recovery"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mac_security = YLeaf(YType.uint32, "mac-security")
                                    self._segment_path = lambda: "cause"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Errdisable.Recovery.Cause, ['mac_security'], name, value)


                    class EthernetContainer(Entity):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.EthernetContainer, self).__init__()

                            self.yang_name = "ethernet-container"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet)}
                            self._child_list_classes = {}

                            self.ethernet = Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self
                            self._children_name_map["ethernet"] = "ethernet"
                            self._children_yang_names.add("ethernet")
                            self._segment_path = lambda: "ethernet-container"


                        class Ethernet(Entity):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:  :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:  :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet, self).__init__()

                                self.yang_name = "ethernet"
                                self.yang_parent_name = "ethernet-container"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lmi" : ("lmi", Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi), "loopback" : ("loopback", Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback)}
                                self._child_list_classes = {}

                                self.lmi = Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self._children_name_map["lmi"] = "lmi"
                                self._children_yang_names.add("lmi")

                                self.loopback = Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self
                                self._children_name_map["loopback"] = "loopback"
                                self._children_yang_names.add("loopback")
                                self._segment_path = lambda: "ethernet"


                            class Lmi(Entity):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:  :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi, self).__init__()

                                    self.yang_name = "lmi"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ce-vlan" : ("ce_vlan", Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan)}
                                    self._child_list_classes = {}

                                    self.ce_vlan = Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self
                                    self._children_name_map["ce_vlan"] = "ce-vlan"
                                    self._children_yang_names.add("ce-vlan")
                                    self._segment_path = lambda: "lmi"


                                class CeVlan(Entity):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan, self).__init__()

                                        self.yang_name = "ce-vlan"
                                        self.yang_parent_name = "lmi"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map" : ("map", Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map)}
                                        self._child_list_classes = {}

                                        self.map = Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self
                                        self._children_name_map["map"] = "map"
                                        self._children_yang_names.add("map")
                                        self._segment_path = lambda: "ce-vlan"


                                    class Map(Entity):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:  :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, self).__init__()

                                            self.yang_name = "map"
                                            self.yang_parent_name = "ce-vlan"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"vlan-range" : ("vlan_range", Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange)}
                                            self._child_list_classes = {}

                                            self.any = YLeaf(YType.empty, "any")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.untagged = YLeaf(YType.empty, "untagged")

                                            self.vlan_range = Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self
                                            self._children_name_map["vlan_range"] = "vlan-range"
                                            self._children_yang_names.add("vlan-range")
                                            self._segment_path = lambda: "map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, ['any', 'default', 'untagged'], name, value)


                                        class VlanRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, self).__init__()

                                                self.yang_name = "vlan-range"
                                                self.yang_parent_name = "map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                                self.comma = YLeaf(YType.uint16, "comma")

                                                self.hyphen = YLeaf(YType.uint16, "hyphen")
                                                self._segment_path = lambda: "vlan-range"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, ['vlan_id', 'comma', 'hyphen'], name, value)


                            class Loopback(Entity):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback, self).__init__()

                                    self.yang_name = "loopback"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"permit" : ("permit", Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit)}
                                    self._child_list_classes = {}

                                    self.permit = Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self
                                    self._children_name_map["permit"] = "permit"
                                    self._children_yang_names.add("permit")
                                    self._segment_path = lambda: "loopback"


                                class Permit(Entity):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, self).__init__()

                                        self.yang_name = "permit"
                                        self.yang_parent_name = "loopback"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.external = YLeaf(YType.empty, "external")

                                        self.internal = YLeaf(YType.empty, "internal")
                                        self._segment_path = lambda: "permit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, ['external', 'internal'], name, value)


                    class Snmp(Entity):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Snmp.Trap>`
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Snmp.Ifindex>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.Snmp, self).__init__()

                            self.yang_name = "snmp"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"trap" : ("trap", Native.Interface.FastEthernet.Service.Instance.Snmp.Trap), "ifindex" : ("ifindex", Native.Interface.FastEthernet.Service.Instance.Snmp.Ifindex)}
                            self._child_list_classes = {}

                            self.trap = Native.Interface.FastEthernet.Service.Instance.Snmp.Trap()
                            self.trap.parent = self
                            self._children_name_map["trap"] = "trap"
                            self._children_yang_names.add("trap")

                            self.ifindex = Native.Interface.FastEthernet.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self._children_name_map["ifindex"] = "ifindex"
                            self._children_yang_names.add("ifindex")
                            self._segment_path = lambda: "snmp"


                        class Trap(Entity):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Snmp.Trap, self).__init__()

                                self.yang_name = "trap"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.link_status = YLeaf(YType.empty, "link-status")
                                self._segment_path = lambda: "trap"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Snmp.Trap, ['link_status'], name, value)


                        class Ifindex(Entity):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Snmp.Ifindex, self).__init__()

                                self.yang_name = "ifindex"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.persist = YLeaf(YType.empty, "persist")
                                self._segment_path = lambda: "ifindex"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Snmp.Ifindex, ['persist'], name, value)


                    class BridgeDomain(Entity):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:  :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.BridgeDomain, self).__init__()

                            self.yang_name = "bridge-domain"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"split-horizon" : ("split_horizon", Native.Interface.FastEthernet.Service.Instance.BridgeDomain.SplitHorizon)}
                            self._child_list_classes = {}

                            self.bridge_id = YLeaf(YType.uint16, "bridge-id")

                            self.from_encapsulation = YLeaf(YType.empty, "from-encapsulation")

                            self.split_horizon = Native.Interface.FastEthernet.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self
                            self._children_name_map["split_horizon"] = "split-horizon"
                            self._children_yang_names.add("split-horizon")
                            self._segment_path = lambda: "bridge-domain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.BridgeDomain, ['bridge_id', 'from_encapsulation'], name, value)


                        class SplitHorizon(Entity):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\: int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.BridgeDomain.SplitHorizon, self).__init__()

                                self.yang_name = "split-horizon"
                                self.yang_parent_name = "bridge-domain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group = YLeaf(YType.uint8, "group")
                                self._segment_path = lambda: "split-horizon"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.BridgeDomain.SplitHorizon, ['group'], name, value)


                    class Mac(Entity):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.Mac, self).__init__()

                            self.yang_name = "mac"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"security" : ("security", Native.Interface.FastEthernet.Service.Instance.Mac.Security)}
                            self._child_list_classes = {}

                            self.security = None
                            self._children_name_map["security"] = "security"
                            self._children_yang_names.add("security")
                            self._segment_path = lambda: "mac"


                        class Security(Entity):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Mac.Security.Violation>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Mac.Security, self).__init__()

                                self.yang_name = "security"
                                self.yang_parent_name = "mac"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"maximum" : ("maximum", Native.Interface.FastEthernet.Service.Instance.Mac.Security.Maximum)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.violation = YLeaf(YType.enumeration, "violation")

                                self.maximum = Native.Interface.FastEthernet.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self._children_name_map["maximum"] = "maximum"
                                self._children_yang_names.add("maximum")
                                self._segment_path = lambda: "security"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Mac.Security, ['violation'], name, value)

                            class Violation(Enum):
                                """
                                Violation

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = Enum.YLeaf(0, "protect")

                                restrict = Enum.YLeaf(1, "restrict")



                            class Maximum(Entity):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\: int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.Mac.Security.Maximum, self).__init__()

                                    self.yang_name = "maximum"
                                    self.yang_parent_name = "security"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.addresses = YLeaf(YType.uint16, "addresses")
                                    self._segment_path = lambda: "maximum"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Mac.Security.Maximum, ['addresses'], name, value)


                    class ServicePolicy(Entity):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of  		 :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of  		 :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.ServicePolicy, self).__init__()

                            self.yang_name = "service-policy"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"input" : ("input", Native.Interface.FastEthernet.Service.Instance.ServicePolicy.Input), "output" : ("output", Native.Interface.FastEthernet.Service.Instance.ServicePolicy.Output)}

                            self.input = YList(self)
                            self.output = YList(self)
                            self._segment_path = lambda: "service-policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.ServicePolicy, [], name, value)


                        class Input(Entity):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.ServicePolicy.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.ServicePolicy.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.ServicePolicy.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.ServicePolicy.Output, ['name'], name, value)


                    class Cfm(Entity):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:  :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:  :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.Cfm, self).__init__()

                            self.yang_name = "cfm"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation), "mep" : ("mep", Native.Interface.FastEthernet.Service.Instance.Cfm.Mep), "mip" : ("mip", Native.Interface.FastEthernet.Service.Instance.Cfm.Mip)}
                            self._child_list_classes = {}

                            self.encapsulation = Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.mep = Native.Interface.FastEthernet.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self._children_name_map["mep"] = "mep"
                            self._children_yang_names.add("mep")

                            self.mip = Native.Interface.FastEthernet.Service.Instance.Cfm.Mip()
                            self.mip.parent = self
                            self._children_name_map["mip"] = "mip"
                            self._children_yang_names.add("mip")
                            self._segment_path = lambda: "cfm"


                        class Encapsulation(Entity):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q)}
                                self._child_list_classes = {}

                                self.dot1ad = Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self._children_name_map["dot1ad"] = "dot1ad"
                                self._children_yang_names.add("dot1ad")

                                self.dot1q = Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self
                                self._children_name_map["dot1q"] = "dot1q"
                                self._children_yang_names.add("dot1q")
                                self._segment_path = lambda: "encapsulation"


                            class Dot1Ad(Entity):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad, self).__init__()

                                    self.yang_name = "dot1ad"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.dot1q = YLeaf(YType.uint16, "dot1q")
                                    self._segment_path = lambda: "dot1ad"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad, ['vlan_id', 'cos', 'dot1q'], name, value)


                            class Dot1Q(Entity):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q, self).__init__()

                                    self.yang_name = "dot1q"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")
                                    self._segment_path = lambda: "dot1q"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q, ['vlan_id', 'cos', 'second_dot1q'], name, value)


                        class Mep(Entity):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\: str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\: int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Cfm.Mep, self).__init__()

                                self.yang_name = "mep"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.domain = YLeaf(YType.str, "domain")

                                self.mpid = YLeaf(YType.uint16, "mpid")
                                self._segment_path = lambda: "mep"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Cfm.Mep, ['domain', 'mpid'], name, value)


                        class Mip(Entity):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Cfm.Mip, self).__init__()

                                self.yang_name = "mip"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level = YLeaf(YType.uint8, "level")
                                self._segment_path = lambda: "mip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Cfm.Mip, ['level'], name, value)


                    class L2Protocol(Entity):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:  :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.L2Protocol, self).__init__()

                            self.yang_name = "l2protocol"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.FastEthernet.Service.Instance.L2Protocol.Peer), "forward" : ("forward", Native.Interface.FastEthernet.Service.Instance.L2Protocol.Forward), "tunnel" : ("tunnel", Native.Interface.FastEthernet.Service.Instance.L2Protocol.Tunnel)}
                            self._child_list_classes = {}

                            self.peer = None
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.forward = None
                            self._children_name_map["forward"] = "forward"
                            self._children_yang_names.add("forward")

                            self.tunnel = None
                            self._children_name_map["tunnel"] = "tunnel"
                            self._children_yang_names.add("tunnel")
                            self._segment_path = lambda: "l2protocol"


                        class Peer(Entity):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.L2Protocol.Peer.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.L2Protocol.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.L2Protocol.Peer, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Forward(Entity):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.L2Protocol.Forward.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.L2Protocol.Forward, self).__init__()

                                self.yang_name = "forward"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "forward"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.L2Protocol.Forward, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Tunnel(Entity):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.L2Protocol.Tunnel.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.L2Protocol.Tunnel, self).__init__()

                                self.yang_name = "tunnel"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "tunnel"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.L2Protocol.Tunnel, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                    class Xconnect(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Xconnect.Encapsulation>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\: str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Xconnect.Sequencing>`
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"backup" : ("backup", Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.manual = YLeaf(YType.empty, "manual")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.sequencing = YLeaf(YType.enumeration, "sequencing")

                            self.mtu = YLeaf(YType.uint32, "mtu")

                            self.backup = Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup()
                            self.backup.parent = self
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")
                            self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = Enum.YLeaf(0, "mpls")

                            l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                        class Sequencing(Enum):
                            """
                            Sequencing

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = Enum.YLeaf(0, "both")

                            receive = Enum.YLeaf(1, "receive")

                            transmit = Enum.YLeaf(2, "transmit")



                        class Backup(Entity):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup.Peer>`
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup.Delay>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup.Delay)}
                                self._child_list_classes = {}

                                self.peer = Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.delay = Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "backup"


                            class Peer(Entity):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                            class Delay(Entity):
                                """
                                backup delay time
                                
                                .. attribute:: min
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.min = YLeaf(YType.uint32, "min")

                                    self.max = YLeaf(YType.uint32, "max")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                    class XconnectPwClass(Entity):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Service.Instance.XconnectPwClass, self).__init__()

                            self.yang_name = "xconnect-pw-class"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect)}
                            self._child_list_classes = {}

                            self.xconnect = Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")
                            self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:xconnect-pw-class"


                        class Xconnect(Entity):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\: str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "xconnect-pw-class"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"udp" : ("udp", Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.udp = Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self._children_name_map["udp"] = "udp"
                                self._children_yang_names.add("udp")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                            class Udp(Entity):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp, self).__init__()

                                    self.yang_name = "udp"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"port" : ("port", Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port)}
                                    self._child_list_classes = {}

                                    self.port = Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self
                                    self._children_name_map["port"] = "port"
                                    self._children_yang_names.add("port")
                                    self._segment_path = lambda: "udp"


                                class Port(Entity):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                        self.yang_name = "port"
                                        self.yang_parent_name = "udp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.local = YLeaf(YType.uint32, "local")

                                        self.remote = YLeaf(YType.uint32, "remote")
                                        self._segment_path = lambda: "port"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


            class Xconnect(Entity):
                """
                Xconnect commands
                
                .. attribute:: address
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: vcid
                
                	
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: encapsulation
                
                	Data encapsulation method
                	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Xconnect.Encapsulation>`
                
                .. attribute:: manual
                
                	Manually configure L2TP session parameters
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: sequence
                
                	Configure sequencing options for xconnect
                	**type**\:  :py:class:`Sequence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Xconnect.Sequence>`
                
                .. attribute:: pw_class
                
                	Pseudowire\-class to use for encapsulation and protocol configuration
                	**type**\: str
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Xconnect, self).__init__()

                    self.yang_name = "xconnect"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.str, "address")

                    self.vcid = YLeaf(YType.uint32, "vcid")

                    self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                    self.manual = YLeaf(YType.empty, "manual")

                    self.sequence = YLeaf(YType.enumeration, "sequence")

                    self.pw_class = YLeaf(YType.str, "pw-class")
                    self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:xconnect"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'sequence', 'pw_class'], name, value)

                class Encapsulation(Enum):
                    """
                    Encapsulation

                    Data encapsulation method

                    .. data:: mpls = 0

                    .. data:: l2tpv3 = 1

                    """

                    mpls = Enum.YLeaf(0, "mpls")

                    l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                class Sequence(Enum):
                    """
                    Sequence

                    Configure sequencing options for xconnect

                    .. data:: both = 0

                    .. data:: receive = 1

                    .. data:: transmit = 2

                    """

                    both = Enum.YLeaf(0, "both")

                    receive = Enum.YLeaf(1, "receive")

                    transmit = Enum.YLeaf(2, "transmit")



            class Cdp(Entity):
                """
                CDP interface subcommands
                
                .. attribute:: enable
                
                	Enable CDP on interface
                	**type**\: bool
                
                .. attribute:: tlv
                
                	Enable exchange of specific tlv information
                	**type**\:  :py:class:`Tlv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cdp.Tlv>`
                
                

                """

                _prefix = 'ios-cdp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Cdp, self).__init__()

                    self.yang_name = "cdp"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"tlv" : ("tlv", Native.Interface.FastEthernet.Cdp.Tlv)}
                    self._child_list_classes = {}

                    self.enable = YLeaf(YType.boolean, "enable")

                    self.tlv = Native.Interface.FastEthernet.Cdp.Tlv()
                    self.tlv.parent = self
                    self._children_name_map["tlv"] = "tlv"
                    self._children_yang_names.add("tlv")
                    self._segment_path = lambda: "Cisco-IOS-XE-cdp:cdp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Cdp, ['enable'], name, value)


                class Tlv(Entity):
                    """
                    Enable exchange of specific tlv information
                    
                    .. attribute:: app
                    
                    	Enable/Configure Application TLV
                    	**type**\:  :py:class:`App <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cdp.Tlv.App>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server_location
                    
                    	Enable CDP location server on interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: location
                    
                    	Exchange location information
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cdp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Cdp.Tlv, self).__init__()

                        self.yang_name = "tlv"
                        self.yang_parent_name = "cdp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"app" : ("app", Native.Interface.FastEthernet.Cdp.Tlv.App)}
                        self._child_list_classes = {}

                        self.server_location = YLeaf(YType.empty, "server-location")

                        self.location = YLeaf(YType.empty, "location")

                        self.app = None
                        self._children_name_map["app"] = "app"
                        self._children_yang_names.add("app")
                        self._segment_path = lambda: "tlv"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Cdp.Tlv, ['server_location', 'location'], name, value)


                    class App(Entity):
                        """
                        Enable/Configure Application TLV
                        
                        .. attribute:: tlvtype
                        
                        	Configure APP TLV
                        	**type**\: int
                        
                        	**range:** 1001..65535
                        
                        .. attribute:: value
                        
                        	Configure App TLV Value information
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cdp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Cdp.Tlv.App, self).__init__()

                            self.yang_name = "app"
                            self.yang_parent_name = "tlv"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tlvtype = YLeaf(YType.uint16, "tlvtype")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "app"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Cdp.Tlv.App, ['tlvtype', 'value'], name, value)


            class Snmp(Entity):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Snmp, self).__init__()

                    self.yang_name = "snmp"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ifindex" : ("ifindex", Native.Interface.FastEthernet.Snmp.Ifindex), "trap" : ("trap", Native.Interface.FastEthernet.Snmp.Trap)}
                    self._child_list_classes = {}

                    self.ifindex = Native.Interface.FastEthernet.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self._children_name_map["ifindex"] = "ifindex"
                    self._children_yang_names.add("ifindex")

                    self.trap = Native.Interface.FastEthernet.Snmp.Trap()
                    self.trap.parent = self
                    self._children_name_map["trap"] = "trap"
                    self._children_yang_names.add("trap")
                    self._segment_path = lambda: "Cisco-IOS-XE-snmp:snmp"


                class Ifindex(Entity):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Snmp.Ifindex, self).__init__()

                        self.yang_name = "ifindex"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.persist = YLeaf(YType.empty, "persist")

                        self.clear = YLeaf(YType.boolean, "clear")
                        self._segment_path = lambda: "ifindex"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Snmp.Ifindex, ['persist', 'clear'], name, value)


                class Trap(Entity):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\: bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:  :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Snmp.Trap, self).__init__()

                        self.yang_name = "trap"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-status-capas" : ("link_status_capas", Native.Interface.FastEthernet.Snmp.Trap.LinkStatusCapas)}
                        self._child_list_classes = {}

                        self.link_status = YLeaf(YType.boolean, "link-status")

                        self.link_status_capas = Native.Interface.FastEthernet.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self
                        self._children_name_map["link_status_capas"] = "link-status-capas"
                        self._children_yang_names.add("link-status-capas")
                        self._segment_path = lambda: "trap"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Snmp.Trap, ['link_status'], name, value)


                    class LinkStatusCapas(Entity):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:  :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Snmp.Trap.LinkStatusCapas, self).__init__()

                            self.yang_name = "link-status-capas"
                            self.yang_parent_name = "trap"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"link-status" : ("link_status", Native.Interface.FastEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus)}
                            self._child_list_classes = {}

                            self.link_status = Native.Interface.FastEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self
                            self._children_name_map["link_status"] = "link-status"
                            self._children_yang_names.add("link-status")
                            self._segment_path = lambda: "link-status-capas"


                        class LinkStatus(Entity):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus, self).__init__()

                                self.yang_name = "link-status"
                                self.yang_parent_name = "link-status-capas"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"permit" : ("permit", Native.Interface.FastEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit)}
                                self._child_list_classes = {}

                                self.permit = Native.Interface.FastEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self
                                self._children_name_map["permit"] = "permit"
                                self._children_yang_names.add("permit")
                                self._segment_path = lambda: "link-status"


                            class Permit(Entity):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, self).__init__()

                                    self.yang_name = "permit"
                                    self.yang_parent_name = "link-status"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.duplicates = YLeaf(YType.empty, "duplicates")
                                    self._segment_path = lambda: "permit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, ['duplicates'], name, value)


            class Crypto(Entity):
                """
                Encryption/Decryption commands
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Crypto.Map>`
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Crypto.Ipsec>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Crypto, self).__init__()

                    self.yang_name = "crypto"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"map" : ("map", Native.Interface.FastEthernet.Crypto.Map), "ipsec" : ("ipsec", Native.Interface.FastEthernet.Crypto.Ipsec)}
                    self._child_list_classes = {}

                    self.map = Native.Interface.FastEthernet.Crypto.Map()
                    self.map.parent = self
                    self._children_name_map["map"] = "map"
                    self._children_yang_names.add("map")

                    self.ipsec = Native.Interface.FastEthernet.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self._children_name_map["ipsec"] = "ipsec"
                    self._children_yang_names.add("ipsec")
                    self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"


                class Map(Entity):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\: str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Crypto.Map, self).__init__()

                        self.yang_name = "map"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.str, "tag")

                        self.redundancy = YLeaf(YType.str, "redundancy")

                        self.stateful = YLeaf(YType.empty, "stateful")
                        self._segment_path = lambda: "map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Crypto.Map, ['tag', 'redundancy', 'stateful'], name, value)


                class Ipsec(Entity):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:  :py:class:`DfBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Crypto.Ipsec.DfBit>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Crypto.Ipsec.Fragmentation>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Crypto.Ipsec, self).__init__()

                        self.yang_name = "ipsec"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.df_bit = YLeaf(YType.enumeration, "df-bit")

                        self.fragmentation = YLeaf(YType.enumeration, "fragmentation")
                        self._segment_path = lambda: "ipsec"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Crypto.Ipsec, ['df_bit', 'fragmentation'], name, value)

                    class DfBit(Enum):
                        """
                        DfBit

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = Enum.YLeaf(0, "clear")

                        copy = Enum.YLeaf(1, "copy")

                        set = Enum.YLeaf(2, "set")


                    class Fragmentation(Enum):
                        """
                        Fragmentation

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = Enum.YLeaf(0, "after-encryption")

                        before_encryption = Enum.YLeaf(1, "before-encryption")



            class Cts(Entity):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:  :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.Manual>`
                
                	**presence node**\: True
                
                .. attribute:: role_based
                
                	Role\-based Access Control per\-port config commands
                	**type**\:  :py:class:`RoleBased <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.RoleBased>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Cts, self).__init__()

                    self.yang_name = "cts"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"manual" : ("manual", Native.Interface.FastEthernet.Cts.Manual), "role-based" : ("role_based", Native.Interface.FastEthernet.Cts.RoleBased)}
                    self._child_list_classes = {}

                    self.manual = None
                    self._children_name_map["manual"] = "manual"
                    self._children_yang_names.add("manual")

                    self.role_based = Native.Interface.FastEthernet.Cts.RoleBased()
                    self.role_based.parent = self
                    self._children_name_map["role_based"] = "role-based"
                    self._children_yang_names.add("role-based")
                    self._segment_path = lambda: "Cisco-IOS-XE-cts:cts"


                class Manual(Entity):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.Manual.Policy>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:  :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.Manual.Sap>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:  :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.Manual.Propagate>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Cts.Manual, self).__init__()

                        self.yang_name = "manual"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"policy" : ("policy", Native.Interface.FastEthernet.Cts.Manual.Policy), "sap" : ("sap", Native.Interface.FastEthernet.Cts.Manual.Sap), "propagate" : ("propagate", Native.Interface.FastEthernet.Cts.Manual.Propagate)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.policy = Native.Interface.FastEthernet.Cts.Manual.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.sap = Native.Interface.FastEthernet.Cts.Manual.Sap()
                        self.sap.parent = self
                        self._children_name_map["sap"] = "sap"
                        self._children_yang_names.add("sap")

                        self.propagate = Native.Interface.FastEthernet.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self._children_name_map["propagate"] = "propagate"
                        self._children_yang_names.add("propagate")
                        self._segment_path = lambda: "manual"


                    class Policy(Entity):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Cts.Manual.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"static" : ("static", Native.Interface.FastEthernet.Cts.Manual.Policy.Static)}
                            self._child_list_classes = {}

                            self.static = Native.Interface.FastEthernet.Cts.Manual.Policy.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")
                            self._segment_path = lambda: "policy"


                        class Static(Entity):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted  incoming traffic
                            	**type**\: int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for  sending
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Cts.Manual.Policy.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sgt = YLeaf(YType.uint16, "sgt")

                                self.trusted = YLeaf(YType.empty, "trusted")
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Cts.Manual.Policy.Static, ['sgt', 'trusted'], name, value)


                    class Sap(Entity):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of  		 :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Cts.Manual.Sap, self).__init__()

                            self.yang_name = "sap"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"pmk" : ("pmk", Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk)}

                            self.pmk = YList(self)
                            self._segment_path = lambda: "sap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Cts.Manual.Sap, [], name, value)


                        class Pmk(Entity):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:  :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk, self).__init__()

                                self.yang_name = "pmk"
                                self.yang_parent_name = "sap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode-list" : ("mode_list", Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList)}
                                self._child_list_classes = {}

                                self.word = YLeaf(YType.str, "word")

                                self.mode_list = Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self
                                self._children_name_map["mode_list"] = "mode-list"
                                self._children_yang_names.add("mode-list")
                                self._segment_path = lambda: "pmk" + "[word='" + self.word.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk, ['word'], name, value)


                            class ModeList(Entity):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:  :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:  :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-06-29'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList, self).__init__()

                                    self.yang_name = "mode-list"
                                    self.yang_parent_name = "pmk"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"gcm-encrypt" : ("gcm_encrypt", Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt), "no-encap" : ("no_encap", Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap)}
                                    self._child_list_classes = {}

                                    self.gcm_encrypt = None
                                    self._children_name_map["gcm_encrypt"] = "gcm-encrypt"
                                    self._children_yang_names.add("gcm-encrypt")

                                    self.no_encap = None
                                    self._children_name_map["no_encap"] = "no-encap"
                                    self._children_yang_names.add("no-encap")
                                    self._segment_path = lambda: "mode-list"


                                class GcmEncrypt(Entity):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt, self).__init__()

                                        self.yang_name = "gcm-encrypt"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "gcm-encrypt"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,  no encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "gcm-encrypt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.null = YLeaf(YType.empty, "null")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, ['null'], name, value)


                                class NoEncap(Entity):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap, self).__init__()

                                        self.yang_name = "no-encap"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "no-encap"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "no-encap"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.gcm_encrypt = YLeaf(YType.empty, "gcm-encrypt")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, ['gcm_encrypt'], name, value)


                    class Propagate(Entity):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Cts.Manual.Propagate, self).__init__()

                            self.yang_name = "propagate"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sgt = YLeaf(YType.boolean, "sgt")
                            self._segment_path = lambda: "propagate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Cts.Manual.Propagate, ['sgt'], name, value)


                class RoleBased(Entity):
                    """
                    Role\-based Access Control per\-port config commands
                    
                    .. attribute:: sgt_cache
                    
                    	Enable SGT caching on the interface
                    	**type**\: list of   :py:class:`SgtCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.RoleBased.SgtCache>`
                    
                    .. attribute:: enforcement
                    
                    	Enable Role\-based Access Control enforcement
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sgt_map
                    
                    	Assign Security Group Tag (SGT) to IP host or network address
                    	**type**\:  :py:class:`SgtMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Cts.RoleBased.SgtMap>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Cts.RoleBased, self).__init__()

                        self.yang_name = "role-based"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"sgt-map" : ("sgt_map", Native.Interface.FastEthernet.Cts.RoleBased.SgtMap)}
                        self._child_list_classes = {}

                        self.sgt_cache = YLeafList(YType.enumeration, "sgt-cache")

                        self.enforcement = YLeaf(YType.empty, "enforcement")

                        self.sgt_map = Native.Interface.FastEthernet.Cts.RoleBased.SgtMap()
                        self.sgt_map.parent = self
                        self._children_name_map["sgt_map"] = "sgt-map"
                        self._children_yang_names.add("sgt-map")
                        self._segment_path = lambda: "role-based"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Cts.RoleBased, ['sgt_cache', 'enforcement'], name, value)

                    class SgtCache(Enum):
                        """
                        SgtCache

                        Enable SGT caching on the interface

                        .. data:: egress = 0

                        .. data:: ingress = 1

                        """

                        egress = Enum.YLeaf(0, "egress")

                        ingress = Enum.YLeaf(1, "ingress")



                    class SgtMap(Entity):
                        """
                        Assign Security Group Tag (SGT) to IP host or network address
                        
                        .. attribute:: security_group
                        
                        	Security Group Name
                        	**type**\: str
                        
                        .. attribute:: sgt
                        
                        	Security Group Tag (SGT)
                        	**type**\: int
                        
                        	**range:** 2..65519
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Cts.RoleBased.SgtMap, self).__init__()

                            self.yang_name = "sgt-map"
                            self.yang_parent_name = "role-based"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.security_group = YLeaf(YType.str, "security-group")

                            self.sgt = YLeaf(YType.uint16, "sgt")
                            self._segment_path = lambda: "sgt-map"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Cts.RoleBased.SgtMap, ['security_group', 'sgt'], name, value)


            class Dot1X(Entity):
                """
                Interface Config Commands for IEEE 802.1X
                
                .. attribute:: authenticator
                
                	Configure authenticator parameters
                	**type**\:  :py:class:`Authenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Dot1X.Authenticator>`
                
                .. attribute:: credentials
                
                	Credentials profile configuration
                	**type**\: str
                
                .. attribute:: max_reauth_req
                
                	Max No. of Reauthentication Attempts
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: max_req
                
                	Max No. of Retries
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: max_start
                
                	Max No. of EAPOL\-Start requests
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: pae
                
                	Set 802.1x interface pae type
                	**type**\:  :py:class:`Pae <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Dot1X.Pae>`
                
                .. attribute:: supplicant
                
                	Configure supplicant parameters
                	**type**\:  :py:class:`Supplicant <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Dot1X.Supplicant>`
                
                .. attribute:: timeout
                
                	Various Timeouts
                	**type**\:  :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Dot1X.Timeout>`
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Dot1X, self).__init__()

                    self.yang_name = "dot1x"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authenticator" : ("authenticator", Native.Interface.FastEthernet.Dot1X.Authenticator), "supplicant" : ("supplicant", Native.Interface.FastEthernet.Dot1X.Supplicant), "timeout" : ("timeout", Native.Interface.FastEthernet.Dot1X.Timeout)}
                    self._child_list_classes = {}

                    self.credentials = YLeaf(YType.str, "credentials")

                    self.max_reauth_req = YLeaf(YType.uint8, "max-reauth-req")

                    self.max_req = YLeaf(YType.uint8, "max-req")

                    self.max_start = YLeaf(YType.uint8, "max-start")

                    self.pae = YLeaf(YType.enumeration, "pae")

                    self.authenticator = Native.Interface.FastEthernet.Dot1X.Authenticator()
                    self.authenticator.parent = self
                    self._children_name_map["authenticator"] = "authenticator"
                    self._children_yang_names.add("authenticator")

                    self.supplicant = Native.Interface.FastEthernet.Dot1X.Supplicant()
                    self.supplicant.parent = self
                    self._children_name_map["supplicant"] = "supplicant"
                    self._children_yang_names.add("supplicant")

                    self.timeout = Native.Interface.FastEthernet.Dot1X.Timeout()
                    self.timeout.parent = self
                    self._children_name_map["timeout"] = "timeout"
                    self._children_yang_names.add("timeout")
                    self._segment_path = lambda: "Cisco-IOS-XE-dot1x:dot1x"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Dot1X, ['credentials', 'max_reauth_req', 'max_req', 'max_start', 'pae'], name, value)

                class Pae(Enum):
                    """
                    Pae

                    Set 802.1x interface pae type

                    .. data:: authenticator = 0

                    .. data:: supplicant = 1

                    .. data:: both = 2

                    """

                    authenticator = Enum.YLeaf(0, "authenticator")

                    supplicant = Enum.YLeaf(1, "supplicant")

                    both = Enum.YLeaf(2, "both")



                class Authenticator(Entity):
                    """
                    Configure authenticator parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP authenticator parameters
                    	**type**\:  :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Dot1X.Authenticator.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Dot1X.Authenticator, self).__init__()

                        self.yang_name = "authenticator"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"eap" : ("eap", Native.Interface.FastEthernet.Dot1X.Authenticator.Eap)}
                        self._child_list_classes = {}

                        self.eap = Native.Interface.FastEthernet.Dot1X.Authenticator.Eap()
                        self.eap.parent = self
                        self._children_name_map["eap"] = "eap"
                        self._children_yang_names.add("eap")
                        self._segment_path = lambda: "authenticator"


                    class Eap(Entity):
                        """
                        Configure EAP authenticator parameters
                        
                        .. attribute:: profile
                        
                        	EAP authenticator profile configuration
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Dot1X.Authenticator.Eap, self).__init__()

                            self.yang_name = "eap"
                            self.yang_parent_name = "authenticator"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.profile = YLeaf(YType.str, "profile")
                            self._segment_path = lambda: "eap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Dot1X.Authenticator.Eap, ['profile'], name, value)


                class Supplicant(Entity):
                    """
                    Configure supplicant parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP supplicant parameters
                    	**type**\:  :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Dot1X.Supplicant.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Dot1X.Supplicant, self).__init__()

                        self.yang_name = "supplicant"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"eap" : ("eap", Native.Interface.FastEthernet.Dot1X.Supplicant.Eap)}
                        self._child_list_classes = {}

                        self.eap = Native.Interface.FastEthernet.Dot1X.Supplicant.Eap()
                        self.eap.parent = self
                        self._children_name_map["eap"] = "eap"
                        self._children_yang_names.add("eap")
                        self._segment_path = lambda: "supplicant"


                    class Eap(Entity):
                        """
                        Configure EAP supplicant parameters
                        
                        .. attribute:: profile
                        
                        	EAP supplicant profile configuration
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Dot1X.Supplicant.Eap, self).__init__()

                            self.yang_name = "eap"
                            self.yang_parent_name = "supplicant"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.profile = YLeaf(YType.str, "profile")
                            self._segment_path = lambda: "eap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Dot1X.Supplicant.Eap, ['profile'], name, value)


                class Timeout(Entity):
                    """
                    Various Timeouts
                    
                    .. attribute:: auth_period
                    
                    	Timeout for authenticator reply
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: held_period
                    
                    	Timeout for authentication retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: quiet_period
                    
                    	QuietPeriod in Seconds
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: ratelimit_period
                    
                    	Ratelimit Period in seconds
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: server_timeout
                    
                    	Timeout for Radius Retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: start_period
                    
                    	Timeout for EAPOL\-start retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: supp_timeout
                    
                    	Timeout for supplicant reply
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tx_period
                    
                    	Timeout for supplicant retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Dot1X.Timeout, self).__init__()

                        self.yang_name = "timeout"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auth_period = YLeaf(YType.uint16, "auth-period")

                        self.held_period = YLeaf(YType.uint16, "held-period")

                        self.quiet_period = YLeaf(YType.uint16, "quiet-period")

                        self.ratelimit_period = YLeaf(YType.uint16, "ratelimit-period")

                        self.server_timeout = YLeaf(YType.uint16, "server-timeout")

                        self.start_period = YLeaf(YType.uint16, "start-period")

                        self.supp_timeout = YLeaf(YType.uint16, "supp-timeout")

                        self.tx_period = YLeaf(YType.uint16, "tx-period")
                        self._segment_path = lambda: "timeout"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Dot1X.Timeout, ['auth_period', 'held_period', 'quiet_period', 'ratelimit_period', 'server_timeout', 'start_period', 'supp_timeout', 'tx_period'], name, value)


            class Performance(Entity):
                """
                Global performance monitor configuration
                
                .. attribute:: monitor
                
                	monitor
                	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Performance.Monitor>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Performance, self).__init__()

                    self.yang_name = "performance"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"monitor" : ("monitor", Native.Interface.FastEthernet.Performance.Monitor)}
                    self._child_list_classes = {}

                    self.monitor = Native.Interface.FastEthernet.Performance.Monitor()
                    self.monitor.parent = self
                    self._children_name_map["monitor"] = "monitor"
                    self._children_yang_names.add("monitor")
                    self._segment_path = lambda: "Cisco-IOS-XE-ezpm:performance"


                class Monitor(Entity):
                    """
                    monitor
                    
                    .. attribute:: context
                    
                    	Select ezPM context
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Performance.Monitor, self).__init__()

                        self.yang_name = "monitor"
                        self.yang_parent_name = "performance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.context = YLeafList(YType.str, "context")
                        self._segment_path = lambda: "monitor"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Performance.Monitor, ['context'], name, value)


            class ServicePolicy(Entity):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\: str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\: str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Interface.FastEthernet.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.Interface.FastEthernet.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.history = YLeaf(YType.empty, "history")

                    self.input = YLeaf(YType.str, "input")

                    self.output = YLeaf(YType.str, "output")

                    self.type = Native.Interface.FastEthernet.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.ServicePolicy, ['history', 'input', 'output'], name, value)


                class Type(Entity):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"control" : ("control", Native.Interface.FastEthernet.ServicePolicy.Type.Control), "performance-monitor" : ("performance_monitor", Native.Interface.FastEthernet.ServicePolicy.Type.PerformanceMonitor), "service-chain" : ("service_chain", Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain)}
                        self._child_list_classes = {}

                        self.control = Native.Interface.FastEthernet.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self._children_name_map["control"] = "control"
                        self._children_yang_names.add("control")

                        self.performance_monitor = Native.Interface.FastEthernet.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.service_chain = Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self
                        self._children_name_map["service_chain"] = "service-chain"
                        self._children_yang_names.add("service-chain")
                        self._segment_path = lambda: "type"


                    class Control(Entity):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.ServicePolicy.Type.Control, self).__init__()

                            self.yang_name = "control"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.subscriber = YLeaf(YType.str, "subscriber")
                            self._segment_path = lambda: "control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.ServicePolicy.Type.Control, ['subscriber'], name, value)


                    class PerformanceMonitor(Entity):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.ServicePolicy.Type.PerformanceMonitor.Direction>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.ServicePolicy.Type.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "performance-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.ServicePolicy.Type.PerformanceMonitor, ['direction', 'name'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



                    class ServiceChain(Entity):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain, self).__init__()

                            self.yang_name = "service-chain"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain.Input), "output" : ("output", Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain.Output)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "service-chain"


                        class Input(Entity):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.ServicePolicy.Type.ServiceChain.Output, ['name'], name, value)


            class Lisp(Entity):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:  :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Lisp, self).__init__()

                    self.yang_name = "lisp"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"mobility" : ("mobility", Native.Interface.FastEthernet.Lisp.Mobility)}
                    self._child_list_classes = {}

                    self.extended_subnet_mode = YLeaf(YType.empty, "extended-subnet-mode")

                    self.mobility = Native.Interface.FastEthernet.Lisp.Mobility()
                    self.mobility.parent = self
                    self._children_name_map["mobility"] = "mobility"
                    self._children_yang_names.add("mobility")
                    self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Lisp, ['extended_subnet_mode'], name, value)


                class Mobility(Entity):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:  :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:  :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Lisp.Mobility.Discover>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:  :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Lisp.Mobility, self).__init__()

                        self.yang_name = "mobility"
                        self.yang_parent_name = "lisp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dynamic-eid" : ("dynamic_eid", Native.Interface.FastEthernet.Lisp.Mobility.DynamicEid), "discover" : ("discover", Native.Interface.FastEthernet.Lisp.Mobility.Discover), "liveness" : ("liveness", Native.Interface.FastEthernet.Lisp.Mobility.Liveness)}
                        self._child_list_classes = {}

                        self.dynamic_eid = Native.Interface.FastEthernet.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self._children_name_map["dynamic_eid"] = "dynamic-eid"
                        self._children_yang_names.add("dynamic-eid")

                        self.discover = Native.Interface.FastEthernet.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self._children_name_map["discover"] = "discover"
                        self._children_yang_names.add("discover")

                        self.liveness = Native.Interface.FastEthernet.Lisp.Mobility.Liveness()
                        self.liveness.parent = self
                        self._children_name_map["liveness"] = "liveness"
                        self._children_yang_names.add("liveness")
                        self._segment_path = lambda: "mobility"


                    class DynamicEid(Entity):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\: int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Lisp.Mobility.DynamicEid, self).__init__()

                            self.yang_name = "dynamic-eid"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dynamic_eid_name = YLeaf(YType.str, "dynamic-eid-name")

                            self.nbr_proxy_reply = YLeaf(YType.empty, "nbr-proxy-reply")

                            self.requests = YLeaf(YType.uint8, "requests")
                            self._segment_path = lambda: "dynamic-eid"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Lisp.Mobility.DynamicEid, ['dynamic_eid_name', 'nbr_proxy_reply', 'requests'], name, value)


                    class Discover(Entity):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Lisp.Mobility.Discover, self).__init__()

                            self.yang_name = "discover"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.arp = YLeaf(YType.boolean, "arp")
                            self._segment_path = lambda: "discover"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Lisp.Mobility.Discover, ['arp'], name, value)


                    class Liveness(Entity):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\: bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\: int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Lisp.Mobility.Liveness, self).__init__()

                            self.yang_name = "liveness"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.test = YLeaf(YType.boolean, "test")

                            self.ttl = YLeaf(YType.uint8, "ttl")
                            self._segment_path = lambda: "liveness"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Lisp.Mobility.Liveness, ['test', 'ttl'], name, value)


            class Lldp(Entity):
                """
                LLDP interface subcommands
                
                .. attribute:: receive
                
                	Enable LLDP reception on interface
                	**type**\: bool
                
                .. attribute:: transmit
                
                	Enable LLDP transmission on interface
                	**type**\: bool
                
                

                """

                _prefix = 'ios-lldp'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Lldp, self).__init__()

                    self.yang_name = "lldp"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.boolean, "receive")

                    self.transmit = YLeaf(YType.boolean, "transmit")
                    self._segment_path = lambda: "Cisco-IOS-XE-lldp:lldp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Lldp, ['receive', 'transmit'], name, value)


            class Mka(Entity):
                """
                MACsec Key Agreement (MKA) interface configuration
                
                .. attribute:: pre_shared_key
                
                	Configure MKA Pre\-Shared\-Key
                	**type**\:  :py:class:`PreSharedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mka.PreSharedKey>`
                
                

                """

                _prefix = 'ios-mka'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Mka, self).__init__()

                    self.yang_name = "mka"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"pre-shared-key" : ("pre_shared_key", Native.Interface.FastEthernet.Mka.PreSharedKey)}
                    self._child_list_classes = {}

                    self.pre_shared_key = Native.Interface.FastEthernet.Mka.PreSharedKey()
                    self.pre_shared_key.parent = self
                    self._children_name_map["pre_shared_key"] = "pre-shared-key"
                    self._children_yang_names.add("pre-shared-key")
                    self._segment_path = lambda: "Cisco-IOS-XE-mka:mka"


                class PreSharedKey(Entity):
                    """
                    Configure MKA Pre\-Shared\-Key
                    
                    .. attribute:: key_chain
                    
                    	Configure the key\-chain name
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mka.PreSharedKey.KeyChain>`
                    
                    

                    """

                    _prefix = 'ios-mka'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Mka.PreSharedKey, self).__init__()

                        self.yang_name = "pre-shared-key"
                        self.yang_parent_name = "mka"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.FastEthernet.Mka.PreSharedKey.KeyChain)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.FastEthernet.Mka.PreSharedKey.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")
                        self._segment_path = lambda: "pre-shared-key"


                    class KeyChain(Entity):
                        """
                        Configure the key\-chain name
                        
                        .. attribute:: name
                        
                        	Name of key\-chain to be used to get keys
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mka'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Mka.PreSharedKey.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "pre-shared-key"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Mka.PreSharedKey.KeyChain, ['name'], name, value)


            class Ospfv3(Entity):
                """
                OSPFv3 interface commands
                
                .. attribute:: process_id
                
                	
                	**type**\: list of  		 :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId>`
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Authentication>`
                
                .. attribute:: bfd
                
                	Enable BFD on this interface
                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Bfd>`
                
                	**presence node**\: True
                
                .. attribute:: cost
                
                	Route cost of this interface
                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Cost>`
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding
                	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.DatabaseFilter>`
                
                .. attribute:: dead_interval
                
                	Interval after which a neighbor is declared dead
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: demand_circuit
                
                	OSPF Demand Circuit
                	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.DemandCircuit>`
                
                	**presence node**\: True
                
                .. attribute:: encryption
                
                	Enable encryption
                	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption>`
                
                .. attribute:: flood_reduction
                
                	OSPF Flood Reduction
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hello_interval
                
                	Time between HELLO packets
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: manet
                
                	Mobile Adhoc Networking options
                	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Manet>`
                
                .. attribute:: mtu_ignore
                
                	Ignores the MTU in DBD packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: multi_area
                
                	Set the OSPF multi\-area ID
                	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.MultiArea>`
                
                .. attribute:: neighbor
                
                	OSPF neighbor
                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Neighbor>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Network>`
                
                .. attribute:: prefix_suppression
                
                	OSPF prefix suppression
                	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.PrefixSuppression>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Router priority
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: retransmit_interval
                
                	Time between retransmitting lost link state advertisements
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Shut down the interface in OSPFv3
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transmit_delay
                
                	Link state transmit delay
                	**type**\: int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Ospfv3, self).__init__()

                    self.yang_name = "ospfv3"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authentication" : ("authentication", Native.Interface.FastEthernet.Ospfv3.Authentication), "bfd" : ("bfd", Native.Interface.FastEthernet.Ospfv3.Bfd), "cost" : ("cost", Native.Interface.FastEthernet.Ospfv3.Cost), "database-filter" : ("database_filter", Native.Interface.FastEthernet.Ospfv3.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.FastEthernet.Ospfv3.DemandCircuit), "encryption" : ("encryption", Native.Interface.FastEthernet.Ospfv3.Encryption), "manet" : ("manet", Native.Interface.FastEthernet.Ospfv3.Manet), "multi-area" : ("multi_area", Native.Interface.FastEthernet.Ospfv3.MultiArea), "network" : ("network", Native.Interface.FastEthernet.Ospfv3.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.FastEthernet.Ospfv3.PrefixSuppression)}
                    self._child_list_classes = {"process-id" : ("process_id", Native.Interface.FastEthernet.Ospfv3.ProcessId), "neighbor" : ("neighbor", Native.Interface.FastEthernet.Ospfv3.Neighbor)}

                    self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                    self.flood_reduction = YLeaf(YType.empty, "flood-reduction")

                    self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                    self.mtu_ignore = YLeaf(YType.empty, "mtu-ignore")

                    self.priority = YLeaf(YType.uint8, "priority")

                    self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                    self.shutdown = YLeaf(YType.empty, "shutdown")

                    self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                    self.authentication = Native.Interface.FastEthernet.Ospfv3.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.bfd = None
                    self._children_name_map["bfd"] = "bfd"
                    self._children_yang_names.add("bfd")

                    self.cost = Native.Interface.FastEthernet.Ospfv3.Cost()
                    self.cost.parent = self
                    self._children_name_map["cost"] = "cost"
                    self._children_yang_names.add("cost")

                    self.database_filter = Native.Interface.FastEthernet.Ospfv3.DatabaseFilter()
                    self.database_filter.parent = self
                    self._children_name_map["database_filter"] = "database-filter"
                    self._children_yang_names.add("database-filter")

                    self.demand_circuit = None
                    self._children_name_map["demand_circuit"] = "demand-circuit"
                    self._children_yang_names.add("demand-circuit")

                    self.encryption = Native.Interface.FastEthernet.Ospfv3.Encryption()
                    self.encryption.parent = self
                    self._children_name_map["encryption"] = "encryption"
                    self._children_yang_names.add("encryption")

                    self.manet = Native.Interface.FastEthernet.Ospfv3.Manet()
                    self.manet.parent = self
                    self._children_name_map["manet"] = "manet"
                    self._children_yang_names.add("manet")

                    self.multi_area = Native.Interface.FastEthernet.Ospfv3.MultiArea()
                    self.multi_area.parent = self
                    self._children_name_map["multi_area"] = "multi-area"
                    self._children_yang_names.add("multi-area")

                    self.network = Native.Interface.FastEthernet.Ospfv3.Network()
                    self.network.parent = self
                    self._children_name_map["network"] = "network"
                    self._children_yang_names.add("network")

                    self.prefix_suppression = None
                    self._children_name_map["prefix_suppression"] = "prefix-suppression"
                    self._children_yang_names.add("prefix-suppression")

                    self.process_id = YList(self)
                    self.neighbor = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-ospfv3:ospfv3"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3, ['dead_interval', 'flood_reduction', 'hello_interval', 'mtu_ignore', 'priority', 'retransmit_interval', 'shutdown', 'transmit_delay'], name, value)


                class ProcessId(Entity):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost>`
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: manet
                    
                    	Mobile Adhoc Networking options
                    	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.MultiArea>`
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Network>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipv4
                    
                    	Specify parameters for IPv4
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Specify parameters for IPv6
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ospfv3.ProcessId, self).__init__()

                        self.yang_name = "process-id"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.FastEthernet.Ospfv3.ProcessId.Authentication), "bfd" : ("bfd", Native.Interface.FastEthernet.Ospfv3.ProcessId.Bfd), "cost" : ("cost", Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost), "database-filter" : ("database_filter", Native.Interface.FastEthernet.Ospfv3.ProcessId.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.FastEthernet.Ospfv3.ProcessId.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.FastEthernet.Ospfv3.ProcessId.FloodReduction), "manet" : ("manet", Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.FastEthernet.Ospfv3.ProcessId.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.FastEthernet.Ospfv3.ProcessId.MultiArea), "network" : ("network", Native.Interface.FastEthernet.Ospfv3.ProcessId.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.FastEthernet.Ospfv3.ProcessId.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.FastEthernet.Ospfv3.ProcessId.Shutdown), "ipv4" : ("ipv4", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4), "ipv6" : ("ipv6", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6)}
                        self._child_list_classes = {"neighbor" : ("neighbor", Native.Interface.FastEthernet.Ospfv3.ProcessId.Neighbor)}

                        self.id = YLeaf(YType.uint16, "id")

                        self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = Native.Interface.FastEthernet.Ospfv3.ProcessId.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.cost = Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost()
                        self.cost.parent = self
                        self._children_name_map["cost"] = "cost"
                        self._children_yang_names.add("cost")

                        self.database_filter = Native.Interface.FastEthernet.Ospfv3.ProcessId.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.flood_reduction = None
                        self._children_name_map["flood_reduction"] = "flood-reduction"
                        self._children_yang_names.add("flood-reduction")

                        self.manet = Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet()
                        self.manet.parent = self
                        self._children_name_map["manet"] = "manet"
                        self._children_yang_names.add("manet")

                        self.mtu_ignore = None
                        self._children_name_map["mtu_ignore"] = "mtu-ignore"
                        self._children_yang_names.add("mtu-ignore")

                        self.multi_area = Native.Interface.FastEthernet.Ospfv3.ProcessId.MultiArea()
                        self.multi_area.parent = self
                        self._children_name_map["multi_area"] = "multi-area"
                        self._children_yang_names.add("multi-area")

                        self.network = Native.Interface.FastEthernet.Ospfv3.ProcessId.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.prefix_suppression = None
                        self._children_name_map["prefix_suppression"] = "prefix-suppression"
                        self._children_yang_names.add("prefix-suppression")

                        self.shutdown = None
                        self._children_name_map["shutdown"] = "shutdown"
                        self._children_yang_names.add("shutdown")

                        self.ipv4 = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.neighbor = YList(self)
                        self._segment_path = lambda: "process-id" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId, ['id', 'dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\: str
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.null = YLeaf(YType.empty, "null")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Authentication, ['key_chain', 'null'], name, value)


                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Bfd, ['disable'], name, value)


                    class Cost(Entity):
                        """
                        Route cost of this interface
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: dynamic
                        
                        	Specify dynamic cost options
                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost, self).__init__()

                            self.yang_name = "cost"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic)}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint32, "value")

                            self.dynamic = None
                            self._children_name_map["dynamic"] = "dynamic"
                            self._children_yang_names.add("dynamic")
                            self._segment_path = lambda: "cost"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost, ['value'], name, value)


                        class Dynamic(Entity):
                            """
                            Specify dynamic cost options
                            
                            .. attribute:: default
                            
                            	Specify default link metric value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: hysteresis
                            
                            	Specify hysteresis value for LSA dampening
                            	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: weight
                            
                            	Specify weight to be placed on individual metrics
                            	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic, self).__init__()

                                self.yang_name = "dynamic"
                                self.yang_parent_name = "cost"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.default = YLeaf(YType.uint32, "default")

                                self.hysteresis = None
                                self._children_name_map["hysteresis"] = "hysteresis"
                                self._children_yang_names.add("hysteresis")

                                self.weight = Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight()
                                self.weight.parent = self
                                self._children_name_map["weight"] = "weight"
                                self._children_yang_names.add("weight")
                                self._segment_path = lambda: "dynamic"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic, ['default'], name, value)


                            class Hysteresis(Entity):
                                """
                                Specify hysteresis value for LSA dampening
                                
                                .. attribute:: percent
                                
                                	Specify hysteresis percent changed
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold
                                
                                	Specify hysteresis threshold value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis, self).__init__()

                                    self.yang_name = "hysteresis"
                                    self.yang_parent_name = "dynamic"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.percent = YLeaf(YType.uint8, "percent")

                                    self.threshold = YLeaf(YType.uint32, "threshold")
                                    self._segment_path = lambda: "hysteresis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                            class Weight(Entity):
                                """
                                Specify weight to be placed on individual metrics
                                
                                .. attribute:: l2_factor
                                
                                	Specify weight to be given to L2\-factor metric
                                	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: latency
                                
                                	Specify weight to be given to latency metric
                                	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: resources
                                
                                	Specify weight to be given to resources metric
                                	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: throughput
                                
                                	Specify weight to be given to throughput metric
                                	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight, self).__init__()

                                    self.yang_name = "weight"
                                    self.yang_parent_name = "dynamic"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput)}
                                    self._child_list_classes = {}

                                    self.l2_factor = None
                                    self._children_name_map["l2_factor"] = "L2-factor"
                                    self._children_yang_names.add("L2-factor")

                                    self.latency = None
                                    self._children_name_map["latency"] = "latency"
                                    self._children_yang_names.add("latency")

                                    self.resources = None
                                    self._children_name_map["resources"] = "resources"
                                    self._children_yang_names.add("resources")

                                    self.throughput = None
                                    self._children_name_map["throughput"] = "throughput"
                                    self._children_yang_names.add("throughput")
                                    self._segment_path = lambda: "weight"


                                class L2Factor(Entity):
                                    """
                                    Specify weight to be given to L2\-factor metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                        self.yang_name = "L2-factor"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "L2-factor"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                class Latency(Entity):
                                    """
                                    Specify weight to be given to latency metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency, self).__init__()

                                        self.yang_name = "latency"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "latency"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                class Resources(Entity):
                                    """
                                    Specify weight to be given to resources metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources, self).__init__()

                                        self.yang_name = "resources"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "resources"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                class Throughput(Entity):
                                    """
                                    Specify weight to be given to throughput metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput, self).__init__()

                                        self.yang_name = "throughput"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "throughput"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.DatabaseFilter.All>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.DatabaseFilter, ['all', 'disable'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                    class DemandCircuit(Entity):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.DemandCircuit, ['disable', 'ignore'], name, value)


                    class FloodReduction(Entity):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.FloodReduction, self).__init__()

                            self.yang_name = "flood-reduction"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "flood-reduction"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.FloodReduction, ['disable'], name, value)


                    class Manet(Entity):
                        """
                        Mobile Adhoc Networking options
                        
                        .. attribute:: peering
                        
                        	MANET Peering options
                        	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet.Peering>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet, self).__init__()

                            self.yang_name = "manet"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peering" : ("peering", Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet.Peering)}
                            self._child_list_classes = {}

                            self.peering = Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet.Peering()
                            self.peering.parent = self
                            self._children_name_map["peering"] = "peering"
                            self._children_yang_names.add("peering")
                            self._segment_path = lambda: "manet"


                        class Peering(Entity):
                            """
                            MANET Peering options
                            
                            .. attribute:: cost
                            
                            	Redundant path cost improvement required to peer
                            	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet.Peering.Cost>`
                            
                            .. attribute:: link_metrics
                            
                            	Require link metrics
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet.Peering, self).__init__()

                                self.yang_name = "peering"
                                self.yang_parent_name = "manet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cost" : ("cost", Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet.Peering.Cost)}
                                self._child_list_classes = {}

                                self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                self.cost = Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet.Peering.Cost()
                                self.cost.parent = self
                                self._children_name_map["cost"] = "cost"
                                self._children_yang_names.add("cost")
                                self._segment_path = lambda: "peering"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet.Peering, ['link_metrics'], name, value)


                            class Cost(Entity):
                                """
                                Redundant path cost improvement required to peer
                                
                                .. attribute:: percent
                                
                                	Relative incremental path cost
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                .. attribute:: threshold
                                
                                	Absolute incremental path cost
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet.Peering.Cost, self).__init__()

                                    self.yang_name = "cost"
                                    self.yang_parent_name = "peering"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.percent = YLeaf(YType.uint8, "percent")

                                    self.threshold = YLeaf(YType.uint32, "threshold")
                                    self._segment_path = lambda: "cost"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                    class MtuIgnore(Entity):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.MtuIgnore, self).__init__()

                            self.yang_name = "mtu-ignore"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "mtu-ignore"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.MtuIgnore, ['disable'], name, value)


                    class MultiArea(Entity):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: disable
                        
                        	disable OSPF multi\-area
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.MultiArea, self).__init__()

                            self.yang_name = "multi-area"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint32, "cost")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "multi-area"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.MultiArea, ['id', 'cost', 'disable'], name, value)


                    class Neighbor(Entity):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.FastEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint16, "cost")

                            self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.database_filter = Native.Interface.FastEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.All>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter, ['all'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                    class Network(Entity):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.FastEthernet.Ospfv3.ProcessId.Network.PointToMultipoint)}
                            self._child_list_classes = {}

                            self.broadcast = YLeaf(YType.empty, "broadcast")

                            self.manet = YLeaf(YType.empty, "manet")

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                            self.point_to_point = YLeaf(YType.empty, "point-to-point")

                            self.point_to_multipoint = None
                            self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                            self._children_yang_names.add("point-to-multipoint")
                            self._segment_path = lambda: "network"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                        class PointToMultipoint(Entity):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Network.PointToMultipoint, self).__init__()

                                self.yang_name = "point-to-multipoint"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                self._segment_path = lambda: "point-to-multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Network.PointToMultipoint, ['non_broadcast'], name, value)


                    class PrefixSuppression(Entity):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.PrefixSuppression, self).__init__()

                            self.yang_name = "prefix-suppression"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "prefix-suppression"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.PrefixSuppression, ['disable'], name, value)


                    class Shutdown(Entity):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Shutdown, self).__init__()

                            self.yang_name = "shutdown"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "shutdown"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Shutdown, ['disable'], name, value)


                    class Ipv4(Entity):
                        """
                        Specify parameters for IPv4
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Authentication), "bfd" : ("bfd", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Bfd), "cost" : ("cost", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost), "database-filter" : ("database_filter", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.FloodReduction), "manet" : ("manet", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.MultiArea), "network" : ("network", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Shutdown)}
                            self._child_list_classes = {"area" : ("area", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Area), "neighbor" : ("neighbor", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Neighbor)}

                            self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                            self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                            self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                            self.authentication = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.bfd = None
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.cost = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")

                            self.database_filter = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")

                            self.demand_circuit = None
                            self._children_name_map["demand_circuit"] = "demand-circuit"
                            self._children_yang_names.add("demand-circuit")

                            self.flood_reduction = None
                            self._children_name_map["flood_reduction"] = "flood-reduction"
                            self._children_yang_names.add("flood-reduction")

                            self.manet = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.mtu_ignore = None
                            self._children_name_map["mtu_ignore"] = "mtu-ignore"
                            self._children_yang_names.add("mtu-ignore")

                            self.multi_area = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.MultiArea()
                            self.multi_area.parent = self
                            self._children_name_map["multi_area"] = "multi-area"
                            self._children_yang_names.add("multi-area")

                            self.network = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Network()
                            self.network.parent = self
                            self._children_name_map["network"] = "network"
                            self._children_yang_names.add("network")

                            self.prefix_suppression = None
                            self._children_name_map["prefix_suppression"] = "prefix-suppression"
                            self._children_yang_names.add("prefix-suppression")

                            self.shutdown = None
                            self._children_name_map["shutdown"] = "shutdown"
                            self._children_yang_names.add("shutdown")

                            self.area = YList(self)
                            self.neighbor = YList(self)
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4, ['dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                        class Area(Entity):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\: int
                            
                            	**range:** 64..95
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.instance = YLeaf(YType.uint8, "instance")
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Area, ['id', 'instance'], name, value)


                        class Authentication(Entity):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\: str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.null = YLeaf(YType.empty, "null")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Authentication, ['key_chain', 'null'], name, value)


                        class Bfd(Entity):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Bfd, ['disable'], name, value)


                        class Cost(Entity):
                            """
                            Route cost of this interface
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.dynamic = None
                                self._children_name_map["dynamic"] = "dynamic"
                                self._children_yang_names.add("dynamic")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost, ['value'], name, value)


                            class Dynamic(Entity):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic, self).__init__()

                                    self.yang_name = "dynamic"
                                    self.yang_parent_name = "cost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.default = YLeaf(YType.uint32, "default")

                                    self.hysteresis = None
                                    self._children_name_map["hysteresis"] = "hysteresis"
                                    self._children_yang_names.add("hysteresis")

                                    self.weight = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight()
                                    self.weight.parent = self
                                    self._children_name_map["weight"] = "weight"
                                    self._children_yang_names.add("weight")
                                    self._segment_path = lambda: "dynamic"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic, ['default'], name, value)


                                class Hysteresis(Entity):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis, self).__init__()

                                        self.yang_name = "hysteresis"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "hysteresis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                                class Weight(Entity):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight, self).__init__()

                                        self.yang_name = "weight"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput)}
                                        self._child_list_classes = {}

                                        self.l2_factor = None
                                        self._children_name_map["l2_factor"] = "L2-factor"
                                        self._children_yang_names.add("L2-factor")

                                        self.latency = None
                                        self._children_name_map["latency"] = "latency"
                                        self._children_yang_names.add("latency")

                                        self.resources = None
                                        self._children_name_map["resources"] = "resources"
                                        self._children_yang_names.add("resources")

                                        self.throughput = None
                                        self._children_name_map["throughput"] = "throughput"
                                        self._children_yang_names.add("throughput")
                                        self._segment_path = lambda: "weight"


                                    class L2Factor(Entity):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                            self.yang_name = "L2-factor"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "L2-factor"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                    class Latency(Entity):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency, self).__init__()

                                            self.yang_name = "latency"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "latency"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                    class Resources(Entity):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources, self).__init__()

                                            self.yang_name = "resources"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "resources"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                    class Throughput(Entity):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput, self).__init__()

                                            self.yang_name = "throughput"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "throughput"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.All>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter, ['all', 'disable'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                        class DemandCircuit(Entity):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.DemandCircuit, self).__init__()

                                self.yang_name = "demand-circuit"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "demand-circuit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.DemandCircuit, ['disable', 'ignore'], name, value)


                        class FloodReduction(Entity):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.FloodReduction, self).__init__()

                                self.yang_name = "flood-reduction"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "flood-reduction"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.FloodReduction, ['disable'], name, value)


                        class Manet(Entity):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peering" : ("peering", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering)}
                                self._child_list_classes = {}

                                self.peering = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"


                            class Peering(Entity):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost" : ("cost", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost)}
                                    self._child_list_classes = {}

                                    self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                    self.cost = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self._children_name_map["cost"] = "cost"
                                    self._children_yang_names.add("cost")
                                    self._segment_path = lambda: "peering"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering, ['link_metrics'], name, value)


                                class Cost(Entity):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost, self).__init__()

                                        self.yang_name = "cost"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "cost"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                        class MtuIgnore(Entity):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.MtuIgnore, self).__init__()

                                self.yang_name = "mtu-ignore"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "mtu-ignore"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.MtuIgnore, ['disable'], name, value)


                        class MultiArea(Entity):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.MultiArea, self).__init__()

                                self.yang_name = "multi-area"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint32, "cost")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "multi-area"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.MultiArea, ['id', 'cost', 'disable'], name, value)


                        class Neighbor(Entity):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint16, "cost")

                                self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.database_filter = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self._children_name_map["database_filter"] = "database-filter"
                                self._children_yang_names.add("database-filter")
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                            class DatabaseFilter(Entity):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.All>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter, self).__init__()

                                    self.yang_name = "database-filter"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.all = YLeaf(YType.enumeration, "all")
                                    self._segment_path = lambda: "database-filter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter, ['all'], name, value)

                                class All(Enum):
                                    """
                                    All

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = Enum.YLeaf(0, "out")



                        class Network(Entity):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint)}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.manet = YLeaf(YType.empty, "manet")

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                                self.point_to_point = YLeaf(YType.empty, "point-to-point")

                                self.point_to_multipoint = None
                                self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                                self._children_yang_names.add("point-to-multipoint")
                                self._segment_path = lambda: "network"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                            class PointToMultipoint(Entity):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint, self).__init__()

                                    self.yang_name = "point-to-multipoint"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                    self._segment_path = lambda: "point-to-multipoint"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint, ['non_broadcast'], name, value)


                        class PrefixSuppression(Entity):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression, self).__init__()

                                self.yang_name = "prefix-suppression"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "prefix-suppression"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression, ['disable'], name, value)


                        class Shutdown(Entity):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Shutdown, self).__init__()

                                self.yang_name = "shutdown"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "shutdown"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv4.Shutdown, ['disable'], name, value)


                    class Ipv6(Entity):
                        """
                        Specify parameters for IPv6
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Authentication), "bfd" : ("bfd", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Bfd), "cost" : ("cost", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost), "database-filter" : ("database_filter", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.FloodReduction), "manet" : ("manet", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.MultiArea), "network" : ("network", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Shutdown)}
                            self._child_list_classes = {"area" : ("area", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Area), "neighbor" : ("neighbor", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Neighbor)}

                            self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                            self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                            self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                            self.authentication = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.bfd = None
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.cost = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")

                            self.database_filter = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")

                            self.demand_circuit = None
                            self._children_name_map["demand_circuit"] = "demand-circuit"
                            self._children_yang_names.add("demand-circuit")

                            self.flood_reduction = None
                            self._children_name_map["flood_reduction"] = "flood-reduction"
                            self._children_yang_names.add("flood-reduction")

                            self.manet = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.mtu_ignore = None
                            self._children_name_map["mtu_ignore"] = "mtu-ignore"
                            self._children_yang_names.add("mtu-ignore")

                            self.multi_area = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.MultiArea()
                            self.multi_area.parent = self
                            self._children_name_map["multi_area"] = "multi-area"
                            self._children_yang_names.add("multi-area")

                            self.network = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Network()
                            self.network.parent = self
                            self._children_name_map["network"] = "network"
                            self._children_yang_names.add("network")

                            self.prefix_suppression = None
                            self._children_name_map["prefix_suppression"] = "prefix-suppression"
                            self._children_yang_names.add("prefix-suppression")

                            self.shutdown = None
                            self._children_name_map["shutdown"] = "shutdown"
                            self._children_yang_names.add("shutdown")

                            self.area = YList(self)
                            self.neighbor = YList(self)
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6, ['dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                        class Area(Entity):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\: int
                            
                            	**range:** 0..31
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.instance = YLeaf(YType.uint8, "instance")
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Area, ['id', 'instance'], name, value)


                        class Authentication(Entity):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\: str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.null = YLeaf(YType.empty, "null")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Authentication, ['key_chain', 'null'], name, value)


                        class Bfd(Entity):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Bfd, ['disable'], name, value)


                        class Cost(Entity):
                            """
                            Route cost of this interface
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.dynamic = None
                                self._children_name_map["dynamic"] = "dynamic"
                                self._children_yang_names.add("dynamic")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost, ['value'], name, value)


                            class Dynamic(Entity):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic, self).__init__()

                                    self.yang_name = "dynamic"
                                    self.yang_parent_name = "cost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.default = YLeaf(YType.uint32, "default")

                                    self.hysteresis = None
                                    self._children_name_map["hysteresis"] = "hysteresis"
                                    self._children_yang_names.add("hysteresis")

                                    self.weight = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight()
                                    self.weight.parent = self
                                    self._children_name_map["weight"] = "weight"
                                    self._children_yang_names.add("weight")
                                    self._segment_path = lambda: "dynamic"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic, ['default'], name, value)


                                class Hysteresis(Entity):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis, self).__init__()

                                        self.yang_name = "hysteresis"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "hysteresis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                                class Weight(Entity):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight, self).__init__()

                                        self.yang_name = "weight"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput)}
                                        self._child_list_classes = {}

                                        self.l2_factor = None
                                        self._children_name_map["l2_factor"] = "L2-factor"
                                        self._children_yang_names.add("L2-factor")

                                        self.latency = None
                                        self._children_name_map["latency"] = "latency"
                                        self._children_yang_names.add("latency")

                                        self.resources = None
                                        self._children_name_map["resources"] = "resources"
                                        self._children_yang_names.add("resources")

                                        self.throughput = None
                                        self._children_name_map["throughput"] = "throughput"
                                        self._children_yang_names.add("throughput")
                                        self._segment_path = lambda: "weight"


                                    class L2Factor(Entity):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                            self.yang_name = "L2-factor"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "L2-factor"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                    class Latency(Entity):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency, self).__init__()

                                            self.yang_name = "latency"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "latency"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                    class Resources(Entity):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources, self).__init__()

                                            self.yang_name = "resources"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "resources"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                    class Throughput(Entity):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput, self).__init__()

                                            self.yang_name = "throughput"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "throughput"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.All>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter, ['all', 'disable'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                        class DemandCircuit(Entity):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.DemandCircuit, self).__init__()

                                self.yang_name = "demand-circuit"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "demand-circuit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.DemandCircuit, ['disable', 'ignore'], name, value)


                        class FloodReduction(Entity):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.FloodReduction, self).__init__()

                                self.yang_name = "flood-reduction"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "flood-reduction"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.FloodReduction, ['disable'], name, value)


                        class Manet(Entity):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peering" : ("peering", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering)}
                                self._child_list_classes = {}

                                self.peering = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"


                            class Peering(Entity):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost" : ("cost", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost)}
                                    self._child_list_classes = {}

                                    self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                    self.cost = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self._children_name_map["cost"] = "cost"
                                    self._children_yang_names.add("cost")
                                    self._segment_path = lambda: "peering"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering, ['link_metrics'], name, value)


                                class Cost(Entity):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost, self).__init__()

                                        self.yang_name = "cost"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "cost"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                        class MtuIgnore(Entity):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.MtuIgnore, self).__init__()

                                self.yang_name = "mtu-ignore"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "mtu-ignore"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.MtuIgnore, ['disable'], name, value)


                        class MultiArea(Entity):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.MultiArea, self).__init__()

                                self.yang_name = "multi-area"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint32, "cost")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "multi-area"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.MultiArea, ['id', 'cost', 'disable'], name, value)


                        class Neighbor(Entity):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint16, "cost")

                                self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.database_filter = Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self._children_name_map["database_filter"] = "database-filter"
                                self._children_yang_names.add("database-filter")
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                            class DatabaseFilter(Entity):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.All>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter, self).__init__()

                                    self.yang_name = "database-filter"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.all = YLeaf(YType.enumeration, "all")
                                    self._segment_path = lambda: "database-filter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter, ['all'], name, value)

                                class All(Enum):
                                    """
                                    All

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = Enum.YLeaf(0, "out")



                        class Network(Entity):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint)}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.manet = YLeaf(YType.empty, "manet")

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                                self.point_to_point = YLeaf(YType.empty, "point-to-point")

                                self.point_to_multipoint = None
                                self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                                self._children_yang_names.add("point-to-multipoint")
                                self._segment_path = lambda: "network"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                            class PointToMultipoint(Entity):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint, self).__init__()

                                    self.yang_name = "point-to-multipoint"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                    self._segment_path = lambda: "point-to-multipoint"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint, ['non_broadcast'], name, value)


                        class PrefixSuppression(Entity):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression, self).__init__()

                                self.yang_name = "prefix-suppression"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "prefix-suppression"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression, ['disable'], name, value)


                        class Shutdown(Entity):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Shutdown, self).__init__()

                                self.yang_name = "shutdown"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "shutdown"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.ProcessId.Ipv6.Shutdown, ['disable'], name, value)


                class Authentication(Entity):
                    """
                    Enable authentication
                    
                    .. attribute:: key_chain
                    
                    	Use a key\-chain for cryptographic authentication keys
                    	**type**\: str
                    
                    .. attribute:: null
                    
                    	Use no authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec authentication
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ospfv3.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec)}
                        self._child_list_classes = {}

                        self.key_chain = YLeaf(YType.str, "key-chain")

                        self.null = YLeaf(YType.empty, "null")

                        self.ipsec = Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Authentication, ['key_chain', 'null'], name, value)


                    class Ipsec(Entity):
                        """
                        Use IPsec authentication
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\: int
                        
                        	**range:** 256..4294967295
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Md5>`
                        
                        .. attribute:: sha1
                        
                        	Use SHA\-1 authentication
                        	**type**\:  :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Sha1>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Md5), "sha1" : ("sha1", Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Sha1)}
                            self._child_list_classes = {}

                            self.spi = YLeaf(YType.uint64, "spi")

                            self.md5 = Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.sha1 = Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Sha1()
                            self.sha1.parent = self
                            self._children_name_map["sha1"] = "sha1"
                            self._children_yang_names.add("sha1")
                            self._segment_path = lambda: "ipsec"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec, ['spi'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                        class Sha1(Entity):
                            """
                            Use SHA\-1 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Sha1, self).__init__()

                                self.yang_name = "sha1"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "sha1"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "sha1"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                class Bfd(Entity):
                    """
                    Enable BFD on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BFD on this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ospfv3.Bfd, self).__init__()

                        self.yang_name = "bfd"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "bfd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Bfd, ['disable'], name, value)


                class Cost(Entity):
                    """
                    Route cost of this interface
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: dynamic
                    
                    	Specify dynamic cost options
                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ospfv3.Cost, self).__init__()

                        self.yang_name = "cost"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic)}
                        self._child_list_classes = {}

                        self.value = YLeaf(YType.uint32, "value")

                        self.dynamic = None
                        self._children_name_map["dynamic"] = "dynamic"
                        self._children_yang_names.add("dynamic")
                        self._segment_path = lambda: "cost"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Cost, ['value'], name, value)


                    class Dynamic(Entity):
                        """
                        Specify dynamic cost options
                        
                        .. attribute:: default
                        
                        	Specify default link metric value
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hysteresis
                        
                        	Specify hysteresis value for LSA dampening
                        	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Hysteresis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: weight
                        
                        	Specify weight to be placed on individual metrics
                        	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic, self).__init__()

                            self.yang_name = "dynamic"
                            self.yang_parent_name = "cost"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.uint32, "default")

                            self.hysteresis = None
                            self._children_name_map["hysteresis"] = "hysteresis"
                            self._children_yang_names.add("hysteresis")

                            self.weight = Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight()
                            self.weight.parent = self
                            self._children_name_map["weight"] = "weight"
                            self._children_yang_names.add("weight")
                            self._segment_path = lambda: "dynamic"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic, ['default'], name, value)


                        class Hysteresis(Entity):
                            """
                            Specify hysteresis value for LSA dampening
                            
                            .. attribute:: percent
                            
                            	Specify hysteresis percent changed
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold
                            
                            	Specify hysteresis threshold value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Hysteresis, self).__init__()

                                self.yang_name = "hysteresis"
                                self.yang_parent_name = "dynamic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.threshold = YLeaf(YType.uint32, "threshold")
                                self._segment_path = lambda: "hysteresis"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                        class Weight(Entity):
                            """
                            Specify weight to be placed on individual metrics
                            
                            .. attribute:: l2_factor
                            
                            	Specify weight to be given to L2\-factor metric
                            	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.L2Factor>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: latency
                            
                            	Specify weight to be given to latency metric
                            	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.Latency>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: resources
                            
                            	Specify weight to be given to resources metric
                            	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.Resources>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: throughput
                            
                            	Specify weight to be given to throughput metric
                            	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.Throughput>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight, self).__init__()

                                self.yang_name = "weight"
                                self.yang_parent_name = "dynamic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.Throughput)}
                                self._child_list_classes = {}

                                self.l2_factor = None
                                self._children_name_map["l2_factor"] = "L2-factor"
                                self._children_yang_names.add("L2-factor")

                                self.latency = None
                                self._children_name_map["latency"] = "latency"
                                self._children_yang_names.add("latency")

                                self.resources = None
                                self._children_name_map["resources"] = "resources"
                                self._children_yang_names.add("resources")

                                self.throughput = None
                                self._children_name_map["throughput"] = "throughput"
                                self._children_yang_names.add("throughput")
                                self._segment_path = lambda: "weight"


                            class L2Factor(Entity):
                                """
                                Specify weight to be given to L2\-factor metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                    self.yang_name = "L2-factor"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "L2-factor"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                            class Latency(Entity):
                                """
                                Specify weight to be given to latency metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.Latency, self).__init__()

                                    self.yang_name = "latency"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "latency"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                            class Resources(Entity):
                                """
                                Specify weight to be given to resources metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.Resources, self).__init__()

                                    self.yang_name = "resources"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "resources"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                            class Throughput(Entity):
                                """
                                Specify weight to be given to throughput metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.Throughput, self).__init__()

                                    self.yang_name = "throughput"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "throughput"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                class DatabaseFilter(Entity):
                    """
                    Filter OSPF LSA during synchronization and flooding
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.DatabaseFilter.All>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ospfv3.DatabaseFilter, self).__init__()

                        self.yang_name = "database-filter"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.all = YLeaf(YType.enumeration, "all")
                        self._segment_path = lambda: "database-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.DatabaseFilter, ['all'], name, value)

                    class All(Enum):
                        """
                        All

                        Filter all LSA

                        .. data:: out = 0

                        """

                        out = Enum.YLeaf(0, "out")



                class DemandCircuit(Entity):
                    """
                    OSPF Demand Circuit
                    
                    .. attribute:: ignore
                    
                    	Ignore demand circuit auto\-negotiation requests
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ospfv3.DemandCircuit, self).__init__()

                        self.yang_name = "demand-circuit"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ignore = YLeaf(YType.empty, "ignore")
                        self._segment_path = lambda: "demand-circuit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.DemandCircuit, ['ignore'], name, value)


                class Encryption(Entity):
                    """
                    Enable encryption
                    
                    .. attribute:: null
                    
                    	No IPsec encryption on this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec encryption
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ospfv3.Encryption, self).__init__()

                        self.yang_name = "encryption"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec)}
                        self._child_list_classes = {}

                        self.null = YLeaf(YType.empty, "null")

                        self.ipsec = Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "encryption"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Encryption, ['null'], name, value)


                    class Ipsec(Entity):
                        """
                        Use IPsec encryption
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: esp
                        
                        	Use ESP encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec_3des
                        
                        	Use 3DES encryption
                        	**type**\:  :py:class:`Ipsec3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des>`
                        
                        .. attribute:: aes_cbc
                        
                        	Use AES\-CBC encryption
                        	**type**\:  :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "encryption"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec_3des" : ("ipsec_3des", Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des), "aes-cbc" : ("aes_cbc", Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc)}
                            self._child_list_classes = {}

                            self.spi = YLeaf(YType.uint64, "spi")

                            self.esp = YLeaf(YType.empty, "esp")

                            self.ipsec_3des = Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des()
                            self.ipsec_3des.parent = self
                            self._children_name_map["ipsec_3des"] = "ipsec_3des"
                            self._children_yang_names.add("ipsec_3des")

                            self.aes_cbc = Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc()
                            self.aes_cbc.parent = self
                            self._children_name_map["aes_cbc"] = "aes-cbc"
                            self._children_yang_names.add("aes-cbc")
                            self._segment_path = lambda: "ipsec"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec, ['spi', 'esp'], name, value)


                        class Ipsec3Des(Entity):
                            """
                            Use 3DES encryption
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des, self).__init__()

                                self.yang_name = "ipsec_3des"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "ipsec_3des"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "ipsec_3des"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                        class AesCbc(Entity):
                            """
                            Use AES\-CBC encryption
                            
                            .. attribute:: aes_cbc_128
                            
                            	Use 128 bit key
                            	**type**\:  :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128>`
                            
                            .. attribute:: aes_192
                            
                            	Use 192 bit key
                            	**type**\:  :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192>`
                            
                            .. attribute:: aes_256
                            
                            	Use 256 bit key
                            	**type**\:  :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc, self).__init__()

                                self.yang_name = "aes-cbc"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"aes-cbc-128" : ("aes_cbc_128", Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128), "aes-192" : ("aes_192", Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192), "aes-256" : ("aes_256", Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256)}
                                self._child_list_classes = {}

                                self.aes_cbc_128 = Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128()
                                self.aes_cbc_128.parent = self
                                self._children_name_map["aes_cbc_128"] = "aes-cbc-128"
                                self._children_yang_names.add("aes-cbc-128")

                                self.aes_192 = Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192()
                                self.aes_192.parent = self
                                self._children_name_map["aes_192"] = "aes-192"
                                self._children_yang_names.add("aes-192")

                                self.aes_256 = Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256()
                                self.aes_256.parent = self
                                self._children_name_map["aes_256"] = "aes-256"
                                self._children_yang_names.add("aes-256")
                                self._segment_path = lambda: "aes-cbc"


                            class AesCbc128(Entity):
                                """
                                Use 128 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128, self).__init__()

                                    self.yang_name = "aes-cbc-128"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-cbc-128"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-cbc-128"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Aes192(Entity):
                                """
                                Use 192 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192, self).__init__()

                                    self.yang_name = "aes-192"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-192"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-192"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Aes256(Entity):
                                """
                                Use 256 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256, self).__init__()

                                    self.yang_name = "aes-256"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-256"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-256"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                class Manet(Entity):
                    """
                    Mobile Adhoc Networking options
                    
                    .. attribute:: peering
                    
                    	MANET Peering options
                    	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Manet.Peering>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ospfv3.Manet, self).__init__()

                        self.yang_name = "manet"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"peering" : ("peering", Native.Interface.FastEthernet.Ospfv3.Manet.Peering)}
                        self._child_list_classes = {}

                        self.peering = Native.Interface.FastEthernet.Ospfv3.Manet.Peering()
                        self.peering.parent = self
                        self._children_name_map["peering"] = "peering"
                        self._children_yang_names.add("peering")
                        self._segment_path = lambda: "manet"


                    class Peering(Entity):
                        """
                        MANET Peering options
                        
                        .. attribute:: cost
                        
                        	Redundant path cost improvement required to peer
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Manet.Peering.Cost>`
                        
                        .. attribute:: link_metrics
                        
                        	Require link metrics
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.Manet.Peering, self).__init__()

                            self.yang_name = "peering"
                            self.yang_parent_name = "manet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cost" : ("cost", Native.Interface.FastEthernet.Ospfv3.Manet.Peering.Cost)}
                            self._child_list_classes = {}

                            self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                            self.cost = Native.Interface.FastEthernet.Ospfv3.Manet.Peering.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")
                            self._segment_path = lambda: "peering"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Manet.Peering, ['link_metrics'], name, value)


                        class Cost(Entity):
                            """
                            Redundant path cost improvement required to peer
                            
                            .. attribute:: percent
                            
                            	Relative incremental path cost
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            .. attribute:: threshold
                            
                            	Absolute incremental path cost
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Ospfv3.Manet.Peering.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "peering"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.threshold = YLeaf(YType.uint32, "threshold")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                class MultiArea(Entity):
                    """
                    Set the OSPF multi\-area ID
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967295
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ospfv3.MultiArea, self).__init__()

                        self.yang_name = "multi-area"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.cost = YLeaf(YType.uint32, "cost")
                        self._segment_path = lambda: "multi-area"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.MultiArea, ['id', 'cost'], name, value)


                class Neighbor(Entity):
                    """
                    OSPF neighbor
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	OSPF cost for point\-to\-multipoint neighbor
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Neighbor.DatabaseFilter>`
                    
                    .. attribute:: poll_interval
                    
                    	OSPF dead\-router polling interval
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: priority
                    
                    	OSPF priority of non\-broadcast neighbor
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ospfv3.Neighbor, self).__init__()

                        self.yang_name = "neighbor"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.FastEthernet.Ospfv3.Neighbor.DatabaseFilter)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.database_filter = Native.Interface.FastEthernet.Ospfv3.Neighbor.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")
                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Neighbor.DatabaseFilter.All>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.Neighbor.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "neighbor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Neighbor.DatabaseFilter, ['all'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                class Network(Entity):
                    """
                    Network type
                    
                    .. attribute:: broadcast
                    
                    	Specify OSPF broadcast multi\-access network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: manet
                    
                    	Specify MANET OSPF interface type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: non_broadcast
                    
                    	Specify OSPF NBMA network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: point_to_multipoint
                    
                    	Specify OSPF point\-to\-multipoint network
                    	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Ospfv3.Network.PointToMultipoint>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: point_to_point
                    
                    	Specify OSPF point\-to\-point network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ospfv3.Network, self).__init__()

                        self.yang_name = "network"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.FastEthernet.Ospfv3.Network.PointToMultipoint)}
                        self._child_list_classes = {}

                        self.broadcast = YLeaf(YType.empty, "broadcast")

                        self.manet = YLeaf(YType.empty, "manet")

                        self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                        self.point_to_point = YLeaf(YType.empty, "point-to-point")

                        self.point_to_multipoint = None
                        self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                        self._children_yang_names.add("point-to-multipoint")
                        self._segment_path = lambda: "network"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                    class PointToMultipoint(Entity):
                        """
                        Specify OSPF point\-to\-multipoint network
                        
                        .. attribute:: non_broadcast
                        
                        	Specify non\-broadcast point\-to\-mpoint network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Ospfv3.Network.PointToMultipoint, self).__init__()

                            self.yang_name = "point-to-multipoint"
                            self.yang_parent_name = "network"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                            self._segment_path = lambda: "point-to-multipoint"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.Network.PointToMultipoint, ['non_broadcast'], name, value)


                class PrefixSuppression(Entity):
                    """
                    OSPF prefix suppression
                    
                    .. attribute:: disable
                    
                    	Disable prefix suppression
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Ospfv3.PrefixSuppression, self).__init__()

                        self.yang_name = "prefix-suppression"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "prefix-suppression"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Ospfv3.PrefixSuppression, ['disable'], name, value)


            class Power(Entity):
                """
                
                
                .. attribute:: inline
                
                	
                	**type**\:  :py:class:`Inline <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Power.Inline>`
                
                

                """

                _prefix = 'ios-power'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Power, self).__init__()

                    self.yang_name = "power"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"inline" : ("inline", Native.Interface.FastEthernet.Power.Inline)}
                    self._child_list_classes = {}

                    self.inline = Native.Interface.FastEthernet.Power.Inline()
                    self.inline.parent = self
                    self._children_name_map["inline"] = "inline"
                    self._children_yang_names.add("inline")
                    self._segment_path = lambda: "Cisco-IOS-XE-power:power"


                class Inline(Entity):
                    """
                    
                    
                    .. attribute:: consumption
                    
                    	
                    	**type**\: int
                    
                    	**range:** 4000..15400
                    
                    .. attribute:: never
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: auto
                    
                    	Automatically detect and power inline devices
                    	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Power.Inline.Auto>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: four_pair
                    
                    	Four\-pair PoE power
                    	**type**\:  :py:class:`FourPair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Power.Inline.FourPair>`
                    
                    .. attribute:: police
                    
                    	Police the power drawn on the port
                    	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Power.Inline.Police>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: port
                    
                    	Configure Port Power Level
                    	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Power.Inline.Port>`
                    
                    .. attribute:: static
                    
                    	High priority inline power interface
                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Power.Inline.Static>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-power'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Power.Inline, self).__init__()

                        self.yang_name = "inline"
                        self.yang_parent_name = "power"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"auto" : ("auto", Native.Interface.FastEthernet.Power.Inline.Auto), "four-pair" : ("four_pair", Native.Interface.FastEthernet.Power.Inline.FourPair), "police" : ("police", Native.Interface.FastEthernet.Power.Inline.Police), "port" : ("port", Native.Interface.FastEthernet.Power.Inline.Port), "static" : ("static", Native.Interface.FastEthernet.Power.Inline.Static)}
                        self._child_list_classes = {}

                        self.consumption = YLeaf(YType.uint16, "consumption")

                        self.never = YLeaf(YType.empty, "never")

                        self.auto = None
                        self._children_name_map["auto"] = "auto"
                        self._children_yang_names.add("auto")

                        self.four_pair = Native.Interface.FastEthernet.Power.Inline.FourPair()
                        self.four_pair.parent = self
                        self._children_name_map["four_pair"] = "four-pair"
                        self._children_yang_names.add("four-pair")

                        self.police = None
                        self._children_name_map["police"] = "police"
                        self._children_yang_names.add("police")

                        self.port = Native.Interface.FastEthernet.Power.Inline.Port()
                        self.port.parent = self
                        self._children_name_map["port"] = "port"
                        self._children_yang_names.add("port")

                        self.static = None
                        self._children_name_map["static"] = "static"
                        self._children_yang_names.add("static")
                        self._segment_path = lambda: "inline"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Power.Inline, ['consumption', 'never'], name, value)


                    class Auto(Entity):
                        """
                        Automatically detect and power inline devices
                        
                        .. attribute:: max
                        
                        	Maximum power allowed on this interface
                        	**type**\: int
                        
                        	**range:** 4000..60000
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Power.Inline.Auto, self).__init__()

                            self.yang_name = "auto"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.max = YLeaf(YType.int32, "max")
                            self._segment_path = lambda: "auto"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Power.Inline.Auto, ['max'], name, value)


                    class FourPair(Entity):
                        """
                        Four\-pair PoE power
                        
                        .. attribute:: forced
                        
                        	Enable Four\-pair PoE without L2 negotiation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Power.Inline.FourPair, self).__init__()

                            self.yang_name = "four-pair"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forced = YLeaf(YType.empty, "forced")
                            self._segment_path = lambda: "four-pair"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Power.Inline.FourPair, ['forced'], name, value)


                    class Police(Entity):
                        """
                        Police the power drawn on the port
                        
                        .. attribute:: action
                        
                        	Action to be taken when power is overdrawn on the port
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Power.Inline.Police.Action>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Power.Inline.Police, self).__init__()

                            self.yang_name = "police"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"action" : ("action", Native.Interface.FastEthernet.Power.Inline.Police.Action)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.action = Native.Interface.FastEthernet.Power.Inline.Police.Action()
                            self.action.parent = self
                            self._children_name_map["action"] = "action"
                            self._children_yang_names.add("action")
                            self._segment_path = lambda: "police"


                        class Action(Entity):
                            """
                            Action to be taken when power is overdrawn on the port
                            
                            .. attribute:: errdisable
                            
                            	Error\-disable the port when power is overdrawn on the port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log
                            
                            	Log a message when power is overdrawn on the port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-power'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Power.Inline.Police.Action, self).__init__()

                                self.yang_name = "action"
                                self.yang_parent_name = "police"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.errdisable = YLeaf(YType.empty, "errdisable")

                                self.log = YLeaf(YType.empty, "log")
                                self._segment_path = lambda: "action"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Power.Inline.Police.Action, ['errdisable', 'log'], name, value)


                    class Port(Entity):
                        """
                        Configure Port Power Level
                        
                        .. attribute:: poe_ha
                        
                        	Apply poe\-ha to the port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: two_event
                        
                        	Enable 2\-event classification
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Power.Inline.Port, self).__init__()

                            self.yang_name = "port"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.poe_ha = YLeaf(YType.empty, "poe-ha")

                            self.two_event = YLeaf(YType.empty, "two-event")
                            self._segment_path = lambda: "port"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Power.Inline.Port, ['poe_ha', 'two_event'], name, value)


                    class Static(Entity):
                        """
                        High priority inline power interface
                        
                        .. attribute:: max
                        
                        	Maximum power allowed on this interface
                        	**type**\: int
                        
                        	**range:** 4000..60000
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Power.Inline.Static, self).__init__()

                            self.yang_name = "static"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.max = YLeaf(YType.int32, "max")
                            self._segment_path = lambda: "static"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Power.Inline.Static, ['max'], name, value)


            class Authentication(Entity):
                """
                Auth Manager Interface Configuration Commands
                
                .. attribute:: control_direction
                
                	Set the control\-direction on the interface
                	**type**\:  :py:class:`ControlDirection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.ControlDirection>`
                
                .. attribute:: event
                
                	Set action for authentication events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event>`
                
                .. attribute:: fallback
                
                	Enable the Webauth fallback mechanism
                	**type**\: str
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.HostMode>`
                
                .. attribute:: open
                
                	Enable or Disable open access on this port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: order
                
                	Add an authentication method to the order list
                	**type**\:  :py:class:`Order <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Order>`
                
                .. attribute:: priority
                
                	Add an authentication method to the priority list
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Priority>`
                
                .. attribute:: port_control
                
                	set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.PortControl>`
                
                .. attribute:: periodic
                
                	Enable or Disable Reauthentication for this port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: timer
                
                	Set authentication timer values
                	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Timer>`
                
                .. attribute:: violation
                
                	Configure action to take on security violations
                	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Violation>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Authentication, self).__init__()

                    self.yang_name = "authentication"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.FastEthernet.Authentication.Event), "order" : ("order", Native.Interface.FastEthernet.Authentication.Order), "priority" : ("priority", Native.Interface.FastEthernet.Authentication.Priority), "timer" : ("timer", Native.Interface.FastEthernet.Authentication.Timer)}
                    self._child_list_classes = {}

                    self.control_direction = YLeaf(YType.enumeration, "control-direction")

                    self.fallback = YLeaf(YType.str, "fallback")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.open = YLeaf(YType.empty, "open")

                    self.port_control = YLeaf(YType.enumeration, "port-control")

                    self.periodic = YLeaf(YType.empty, "periodic")

                    self.violation = YLeaf(YType.enumeration, "violation")

                    self.event = Native.Interface.FastEthernet.Authentication.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")

                    self.order = Native.Interface.FastEthernet.Authentication.Order()
                    self.order.parent = self
                    self._children_name_map["order"] = "order"
                    self._children_yang_names.add("order")

                    self.priority = Native.Interface.FastEthernet.Authentication.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.timer = Native.Interface.FastEthernet.Authentication.Timer()
                    self.timer.parent = self
                    self._children_name_map["timer"] = "timer"
                    self._children_yang_names.add("timer")
                    self._segment_path = lambda: "Cisco-IOS-XE-sanet:authentication"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Authentication, ['control_direction', 'fallback', 'host_mode', 'open', 'port_control', 'periodic', 'violation'], name, value)

                class ControlDirection(Enum):
                    """
                    ControlDirection

                    Set the control\-direction on the interface

                    .. data:: both = 0

                    .. data:: in_ = 1

                    """

                    both = Enum.YLeaf(0, "both")

                    in_ = Enum.YLeaf(1, "in")


                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")


                class PortControl(Enum):
                    """
                    PortControl

                    set the port\-control value

                    .. data:: auto = 0

                    .. data:: force_authorized = 1

                    .. data:: force_unauthorized = 2

                    """

                    auto = Enum.YLeaf(0, "auto")

                    force_authorized = Enum.YLeaf(1, "force-authorized")

                    force_unauthorized = Enum.YLeaf(2, "force-unauthorized")


                class Violation(Enum):
                    """
                    Violation

                    Configure action to take on security violations

                    .. data:: protect = 0

                    .. data:: replace = 1

                    .. data:: restrict = 2

                    .. data:: shutdown = 3

                    """

                    protect = Enum.YLeaf(0, "protect")

                    replace = Enum.YLeaf(1, "replace")

                    restrict = Enum.YLeaf(2, "restrict")

                    shutdown = Enum.YLeaf(3, "shutdown")



                class Event(Entity):
                    """
                    Set action for authentication events
                    
                    .. attribute:: server
                    
                    	Configure actions for AAA server events
                    	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event.Server>`
                    
                    .. attribute:: fail
                    
                    	Configure actions for AAA fail events
                    	**type**\:  :py:class:`Fail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event.Fail>`
                    
                    .. attribute:: no_response
                    
                    	Configure actions for AAA no\-response events
                    	**type**\:  :py:class:`NoResponse <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event.NoResponse>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Authentication.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"server" : ("server", Native.Interface.FastEthernet.Authentication.Event.Server), "fail" : ("fail", Native.Interface.FastEthernet.Authentication.Event.Fail), "no-response" : ("no_response", Native.Interface.FastEthernet.Authentication.Event.NoResponse)}
                        self._child_list_classes = {}

                        self.server = Native.Interface.FastEthernet.Authentication.Event.Server()
                        self.server.parent = self
                        self._children_name_map["server"] = "server"
                        self._children_yang_names.add("server")

                        self.fail = Native.Interface.FastEthernet.Authentication.Event.Fail()
                        self.fail.parent = self
                        self._children_name_map["fail"] = "fail"
                        self._children_yang_names.add("fail")

                        self.no_response = Native.Interface.FastEthernet.Authentication.Event.NoResponse()
                        self.no_response.parent = self
                        self._children_name_map["no_response"] = "no-response"
                        self._children_yang_names.add("no-response")
                        self._segment_path = lambda: "event"


                    class Server(Entity):
                        """
                        Configure actions for AAA server events
                        
                        .. attribute:: alive
                        
                        	Configure AAA server alive action
                        	**type**\:  :py:class:`Alive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event.Server.Alive>`
                        
                        .. attribute:: dead
                        
                        	Configure AAA server dead action
                        	**type**\:  :py:class:`Dead <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event.Server.Dead>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Authentication.Event.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"alive" : ("alive", Native.Interface.FastEthernet.Authentication.Event.Server.Alive), "dead" : ("dead", Native.Interface.FastEthernet.Authentication.Event.Server.Dead)}
                            self._child_list_classes = {}

                            self.alive = Native.Interface.FastEthernet.Authentication.Event.Server.Alive()
                            self.alive.parent = self
                            self._children_name_map["alive"] = "alive"
                            self._children_yang_names.add("alive")

                            self.dead = Native.Interface.FastEthernet.Authentication.Event.Server.Dead()
                            self.dead.parent = self
                            self._children_name_map["dead"] = "dead"
                            self._children_yang_names.add("dead")
                            self._segment_path = lambda: "server"


                        class Alive(Entity):
                            """
                            Configure AAA server alive action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event.Server.Alive.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Authentication.Event.Server.Alive, self).__init__()

                                self.yang_name = "alive"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.FastEthernet.Authentication.Event.Server.Alive.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.FastEthernet.Authentication.Event.Server.Alive.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "alive"


                            class Action(Entity):
                                """
                                Required action for authentication event
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all authorized clients
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Authentication.Event.Server.Alive.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "alive"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reinitialize = YLeaf(YType.empty, "reinitialize")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Authentication.Event.Server.Alive.Action, ['reinitialize'], name, value)


                        class Dead(Entity):
                            """
                            Configure AAA server dead action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event.Server.Dead.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Authentication.Event.Server.Dead, self).__init__()

                                self.yang_name = "dead"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.FastEthernet.Authentication.Event.Server.Dead.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.FastEthernet.Authentication.Event.Server.Dead.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "dead"


                            class Action(Entity):
                                """
                                Required action for authentication event
                                
                                .. attribute:: authorize
                                
                                	Authorize the port
                                	**type**\:  :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event.Server.Dead.Action.Authorize>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all client on the port
                                	**type**\:  :py:class:`Reinitialize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event.Server.Dead.Action.Reinitialize>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Authentication.Event.Server.Dead.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "dead"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authorize" : ("authorize", Native.Interface.FastEthernet.Authentication.Event.Server.Dead.Action.Authorize), "reinitialize" : ("reinitialize", Native.Interface.FastEthernet.Authentication.Event.Server.Dead.Action.Reinitialize)}
                                    self._child_list_classes = {}

                                    self.authorize = None
                                    self._children_name_map["authorize"] = "authorize"
                                    self._children_yang_names.add("authorize")

                                    self.reinitialize = Native.Interface.FastEthernet.Authentication.Event.Server.Dead.Action.Reinitialize()
                                    self.reinitialize.parent = self
                                    self._children_name_map["reinitialize"] = "reinitialize"
                                    self._children_yang_names.add("reinitialize")
                                    self._segment_path = lambda: "action"


                                class Authorize(Entity):
                                    """
                                    Authorize the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: voice
                                    
                                    	Authorize the port for VOICE traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Authentication.Event.Server.Dead.Action.Authorize, self).__init__()

                                        self.yang_name = "authorize"
                                        self.yang_parent_name = "action"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.vlan = YLeaf(YType.uint16, "vlan")

                                        self.voice = YLeaf(YType.empty, "voice")
                                        self._segment_path = lambda: "authorize"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Authentication.Event.Server.Dead.Action.Authorize, ['vlan', 'voice'], name, value)


                                class Reinitialize(Entity):
                                    """
                                    Reinitialize all client on the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FastEthernet.Authentication.Event.Server.Dead.Action.Reinitialize, self).__init__()

                                        self.yang_name = "reinitialize"
                                        self.yang_parent_name = "action"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vlan = YLeaf(YType.uint16, "vlan")
                                        self._segment_path = lambda: "reinitialize"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FastEthernet.Authentication.Event.Server.Dead.Action.Reinitialize, ['vlan'], name, value)


                    class Fail(Entity):
                        """
                        Configure actions for AAA fail events
                        
                        .. attribute:: action
                        
                        	Required action for fail event
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event.Fail.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Authentication.Event.Fail, self).__init__()

                            self.yang_name = "fail"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"action" : ("action", Native.Interface.FastEthernet.Authentication.Event.Fail.Action)}
                            self._child_list_classes = {}

                            self.action = Native.Interface.FastEthernet.Authentication.Event.Fail.Action()
                            self.action.parent = self
                            self._children_name_map["action"] = "action"
                            self._children_yang_names.add("action")
                            self._segment_path = lambda: "fail"


                        class Action(Entity):
                            """
                            Required action for fail event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:  :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event.Fail.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Authentication.Event.Fail.Action, self).__init__()

                                self.yang_name = "action"
                                self.yang_parent_name = "fail"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authorize" : ("authorize", Native.Interface.FastEthernet.Authentication.Event.Fail.Action.Authorize)}
                                self._child_list_classes = {}

                                self.authorize = Native.Interface.FastEthernet.Authentication.Event.Fail.Action.Authorize()
                                self.authorize.parent = self
                                self._children_name_map["authorize"] = "authorize"
                                self._children_yang_names.add("authorize")
                                self._segment_path = lambda: "action"


                            class Authorize(Entity):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Authentication.Event.Fail.Action.Authorize, self).__init__()

                                    self.yang_name = "authorize"
                                    self.yang_parent_name = "action"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan = YLeaf(YType.uint16, "vlan")
                                    self._segment_path = lambda: "authorize"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Authentication.Event.Fail.Action.Authorize, ['vlan'], name, value)


                    class NoResponse(Entity):
                        """
                        Configure actions for AAA no\-response events
                        
                        .. attribute:: action
                        
                        	Required action for no\-response event
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event.NoResponse.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Authentication.Event.NoResponse, self).__init__()

                            self.yang_name = "no-response"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"action" : ("action", Native.Interface.FastEthernet.Authentication.Event.NoResponse.Action)}
                            self._child_list_classes = {}

                            self.action = Native.Interface.FastEthernet.Authentication.Event.NoResponse.Action()
                            self.action.parent = self
                            self._children_name_map["action"] = "action"
                            self._children_yang_names.add("action")
                            self._segment_path = lambda: "no-response"


                        class Action(Entity):
                            """
                            Required action for no\-response event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:  :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Event.NoResponse.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Authentication.Event.NoResponse.Action, self).__init__()

                                self.yang_name = "action"
                                self.yang_parent_name = "no-response"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authorize" : ("authorize", Native.Interface.FastEthernet.Authentication.Event.NoResponse.Action.Authorize)}
                                self._child_list_classes = {}

                                self.authorize = Native.Interface.FastEthernet.Authentication.Event.NoResponse.Action.Authorize()
                                self.authorize.parent = self
                                self._children_name_map["authorize"] = "authorize"
                                self._children_yang_names.add("authorize")
                                self._segment_path = lambda: "action"


                            class Authorize(Entity):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FastEthernet.Authentication.Event.NoResponse.Action.Authorize, self).__init__()

                                    self.yang_name = "authorize"
                                    self.yang_parent_name = "action"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan = YLeaf(YType.uint16, "vlan")
                                    self._segment_path = lambda: "authorize"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FastEthernet.Authentication.Event.NoResponse.Action.Authorize, ['vlan'], name, value)


                class Order(Entity):
                    """
                    Add an authentication method to the order list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Authentication.Order, self).__init__()

                        self.yang_name = "order"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dot1x = YLeaf(YType.empty, "dot1x")

                        self.mab = YLeaf(YType.empty, "mab")

                        self.webauth = YLeaf(YType.empty, "webauth")
                        self._segment_path = lambda: "order"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Authentication.Order, ['dot1x', 'mab', 'webauth'], name, value)


                class Priority(Entity):
                    """
                    Add an authentication method to the priority list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Authentication.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dot1x = YLeaf(YType.empty, "dot1x")

                        self.mab = YLeaf(YType.empty, "mab")

                        self.webauth = YLeaf(YType.empty, "webauth")
                        self._segment_path = lambda: "priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Authentication.Priority, ['dot1x', 'mab', 'webauth'], name, value)


                class Timer(Entity):
                    """
                    Set authentication timer values
                    
                    .. attribute:: reauthenticate
                    
                    	Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                    	**type**\:  :py:class:`Reauthenticate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Timer.Reauthenticate>`
                    
                    .. attribute:: inactivity
                    
                    	Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                    	**type**\:  :py:class:`Inactivity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Timer.Inactivity>`
                    
                    .. attribute:: restart
                    
                    	Interval in seconds after which an attempt should be made toauthenticate an unauthorized port (default 60 sec)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Authentication.Timer, self).__init__()

                        self.yang_name = "timer"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"reauthenticate" : ("reauthenticate", Native.Interface.FastEthernet.Authentication.Timer.Reauthenticate), "inactivity" : ("inactivity", Native.Interface.FastEthernet.Authentication.Timer.Inactivity)}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.uint16, "restart")

                        self.reauthenticate = Native.Interface.FastEthernet.Authentication.Timer.Reauthenticate()
                        self.reauthenticate.parent = self
                        self._children_name_map["reauthenticate"] = "reauthenticate"
                        self._children_yang_names.add("reauthenticate")

                        self.inactivity = Native.Interface.FastEthernet.Authentication.Timer.Inactivity()
                        self.inactivity.parent = self
                        self._children_name_map["inactivity"] = "inactivity"
                        self._children_yang_names.add("inactivity")
                        self._segment_path = lambda: "timer"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Authentication.Timer, ['restart'], name, value)


                    class Reauthenticate(Entity):
                        """
                        Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: server
                        
                        	Obtain re\-authentication timeout value from the server
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Authentication.Timer.Reauthenticate, self).__init__()

                            self.yang_name = "reauthenticate"
                            self.yang_parent_name = "timer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint16, "value")

                            self.server = YLeaf(YType.empty, "server")
                            self._segment_path = lambda: "reauthenticate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Authentication.Timer.Reauthenticate, ['value', 'server'], name, value)


                    class Inactivity(Entity):
                        """
                        Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Timer.Inactivity.Value>`
                        
                        .. attribute:: server
                        
                        	Obtain inactivity timeout value from the server
                        	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Authentication.Timer.Inactivity.Server>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Authentication.Timer.Inactivity, self).__init__()

                            self.yang_name = "inactivity"
                            self.yang_parent_name = "timer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"value" : ("value", Native.Interface.FastEthernet.Authentication.Timer.Inactivity.Value), "server" : ("server", Native.Interface.FastEthernet.Authentication.Timer.Inactivity.Server)}
                            self._child_list_classes = {}

                            self.value = Native.Interface.FastEthernet.Authentication.Timer.Inactivity.Value()
                            self.value.parent = self
                            self._children_name_map["value"] = "value"
                            self._children_yang_names.add("value")

                            self.server = None
                            self._children_name_map["server"] = "server"
                            self._children_yang_names.add("server")
                            self._segment_path = lambda: "inactivity"


                        class Value(Entity):
                            """
                            
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Authentication.Timer.Inactivity.Value, self).__init__()

                                self.yang_name = "value"
                                self.yang_parent_name = "inactivity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint16, "value")

                                self.dynamic = YLeaf(YType.empty, "dynamic")
                                self._segment_path = lambda: "value"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Authentication.Timer.Inactivity.Value, ['value', 'dynamic'], name, value)


                        class Server(Entity):
                            """
                            Obtain inactivity timeout value from the server
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FastEthernet.Authentication.Timer.Inactivity.Server, self).__init__()

                                self.yang_name = "server"
                                self.yang_parent_name = "inactivity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.dynamic = YLeaf(YType.empty, "dynamic")
                                self._segment_path = lambda: "server"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FastEthernet.Authentication.Timer.Inactivity.Server, ['dynamic'], name, value)


            class Mab(Entity):
                """
                
                
                .. attribute:: eap
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Mab, self).__init__()

                    self.yang_name = "mab"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.eap = YLeaf(YType.empty, "eap")
                    self._segment_path = lambda: "Cisco-IOS-XE-sanet:mab"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Mab, ['eap'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpdufilter
                
                	Don't send or receive BPDUs on this interface
                	**type**\:  :py:class:`Bpdufilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SpanningTree.Bpdufilter>`
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SpanningTree.Bpduguard>`
                
                .. attribute:: cost
                
                	To set the path cost of the interface
                	**type**\: int
                
                	**range:** 1..200000000
                
                .. attribute:: guard
                
                	Change an interface's spanning tree guard mode
                	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SpanningTree.Guard>`
                
                .. attribute:: link_type
                
                	Specify a link type for spanning tree tree protocol use
                	**type**\:  :py:class:`LinkType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SpanningTree.LinkType>`
                
                .. attribute:: portfast
                
                	Spanning tree portfast options
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SpanningTree.Portfast>`
                
                	**presence node**\: True
                
                .. attribute:: port_priority
                
                	Spanning tree port\-priority options
                	**type**\: int
                
                	**range:** 0..240
                
                .. attribute:: vlan
                
                	VLAN Switch Spanning Tree
                	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SpanningTree.Vlan>`
                
                .. attribute:: loopguard
                
                	Spanning tree loopguard options
                	**type**\:  :py:class:`Loopguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SpanningTree.Loopguard>`
                
                .. attribute:: mst
                
                	Per interface MST configurations
                	**type**\:  :py:class:`Mst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SpanningTree.Mst>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.Interface.FastEthernet.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.Interface.FastEthernet.SpanningTree.Portfast), "vlan" : ("vlan", Native.Interface.FastEthernet.SpanningTree.Vlan), "loopguard" : ("loopguard", Native.Interface.FastEthernet.SpanningTree.Loopguard), "mst" : ("mst", Native.Interface.FastEthernet.SpanningTree.Mst)}
                    self._child_list_classes = {}

                    self.bpdufilter = YLeaf(YType.enumeration, "bpdufilter")

                    self.cost = YLeaf(YType.uint32, "cost")

                    self.guard = YLeaf(YType.enumeration, "guard")

                    self.link_type = YLeaf(YType.enumeration, "link-type")

                    self.port_priority = YLeaf(YType.uint8, "port-priority")

                    self.bpduguard = Native.Interface.FastEthernet.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = None
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")

                    self.vlan = Native.Interface.FastEthernet.SpanningTree.Vlan()
                    self.vlan.parent = self
                    self._children_name_map["vlan"] = "vlan"
                    self._children_yang_names.add("vlan")

                    self.loopguard = Native.Interface.FastEthernet.SpanningTree.Loopguard()
                    self.loopguard.parent = self
                    self._children_name_map["loopguard"] = "loopguard"
                    self._children_yang_names.add("loopguard")

                    self.mst = Native.Interface.FastEthernet.SpanningTree.Mst()
                    self.mst.parent = self
                    self._children_name_map["mst"] = "mst"
                    self._children_yang_names.add("mst")
                    self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:spanning-tree"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.SpanningTree, ['bpdufilter', 'cost', 'guard', 'link_type', 'port_priority'], name, value)

                class Bpdufilter(Enum):
                    """
                    Bpdufilter

                    Don't send or receive BPDUs on this interface

                    .. data:: disable = 0

                    .. data:: enable = 1

                    """

                    disable = Enum.YLeaf(0, "disable")

                    enable = Enum.YLeaf(1, "enable")


                class Guard(Enum):
                    """
                    Guard

                    Change an interface's spanning tree guard mode

                    .. data:: loop = 0

                    .. data:: none = 1

                    .. data:: root = 2

                    """

                    loop = Enum.YLeaf(0, "loop")

                    none = Enum.YLeaf(1, "none")

                    root = Enum.YLeaf(2, "root")


                class LinkType(Enum):
                    """
                    LinkType

                    Specify a link type for spanning tree tree protocol use

                    .. data:: auto = 0

                    .. data:: none = 1

                    .. data:: point_to_point = 2

                    .. data:: root = 3

                    .. data:: shared = 4

                    """

                    auto = Enum.YLeaf(0, "auto")

                    none = Enum.YLeaf(1, "none")

                    point_to_point = Enum.YLeaf(2, "point-to-point")

                    root = Enum.YLeaf(3, "root")

                    shared = Enum.YLeaf(4, "shared")



                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.SpanningTree.Bpduguard, ['disable', 'enable'], name, value)


                class Portfast(Entity):
                    """
                    Spanning tree portfast options
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Enable portfast on the interface even in trunk mode
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.edge = YLeaf(YType.empty, "edge")
                        self._segment_path = lambda: "portfast"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.SpanningTree.Portfast, ['disable', 'trunk', 'edge'], name, value)


                class Vlan(Entity):
                    """
                    VLAN Switch Spanning Tree
                    
                    .. attribute:: vlan_ids
                    
                    	vlan range, example\: 1,3\-5,7,9\-11
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 1..4095
                    
                    		**type**\: list of str
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\: int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\: int
                    
                    	**range:** 0..240
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.SpanningTree.Vlan, self).__init__()

                        self.yang_name = "vlan"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_ids = YLeafList(YType.str, "vlan-ids")

                        self.cost = YLeaf(YType.uint32, "cost")

                        self.port_priority = YLeaf(YType.uint16, "port-priority")
                        self._segment_path = lambda: "vlan"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.SpanningTree.Vlan, ['vlan_ids', 'cost', 'port_priority'], name, value)


                class Loopguard(Entity):
                    """
                    Spanning tree loopguard options
                    
                    .. attribute:: default
                    
                    	Enable loopguard by default on all ports
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.SpanningTree.Loopguard, self).__init__()

                        self.yang_name = "loopguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.default = YLeaf(YType.empty, "default")
                        self._segment_path = lambda: "loopguard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.SpanningTree.Loopguard, ['default'], name, value)


                class Mst(Entity):
                    """
                    Per interface MST configurations
                    
                    .. attribute:: instance
                    
                    	MST instance list, example 0,2\-4,6,8\-12
                    	**type**\: str
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\: int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\: int
                    
                    	**range:** 0..240
                    
                    .. attribute:: pre_standard
                    
                    	Force pre\-standard MST BPDU transmission on port
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.SpanningTree.Mst, self).__init__()

                        self.yang_name = "mst"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.instance = YLeaf(YType.str, "instance")

                        self.cost = YLeaf(YType.uint32, "cost")

                        self.port_priority = YLeaf(YType.uint16, "port-priority")

                        self.pre_standard = YLeaf(YType.empty, "pre-standard")
                        self._segment_path = lambda: "mst"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.SpanningTree.Mst, ['instance', 'cost', 'port_priority', 'pre_standard'], name, value)


            class Auto(Entity):
                """
                Configure Automation
                
                .. attribute:: qos
                
                	Configure AutoQoS
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Auto.Qos>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Auto, self).__init__()

                    self.yang_name = "auto"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"qos" : ("qos", Native.Interface.FastEthernet.Auto.Qos)}
                    self._child_list_classes = {}

                    self.qos = Native.Interface.FastEthernet.Auto.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:auto"


                class Qos(Entity):
                    """
                    Configure AutoQoS
                    
                    .. attribute:: classify
                    
                    	Configure classification for untrusted devices
                    	**type**\:  :py:class:`Classify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Auto.Qos.Classify>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trust
                    
                    	Trust the DSCP/CoS marking
                    	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Auto.Qos.Trust>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: video
                    
                    	Configure AutoQoS for video devices
                    	**type**\:  :py:class:`Video <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Auto.Qos.Video>`
                    
                    .. attribute:: voip
                    
                    	Configure AutoQoS for VoIP
                    	**type**\:  :py:class:`Voip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Auto.Qos.Voip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Auto.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "auto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"classify" : ("classify", Native.Interface.FastEthernet.Auto.Qos.Classify), "trust" : ("trust", Native.Interface.FastEthernet.Auto.Qos.Trust), "video" : ("video", Native.Interface.FastEthernet.Auto.Qos.Video), "voip" : ("voip", Native.Interface.FastEthernet.Auto.Qos.Voip)}
                        self._child_list_classes = {}

                        self.classify = None
                        self._children_name_map["classify"] = "classify"
                        self._children_yang_names.add("classify")

                        self.trust = None
                        self._children_name_map["trust"] = "trust"
                        self._children_yang_names.add("trust")

                        self.video = Native.Interface.FastEthernet.Auto.Qos.Video()
                        self.video.parent = self
                        self._children_name_map["video"] = "video"
                        self._children_yang_names.add("video")

                        self.voip = None
                        self._children_name_map["voip"] = "voip"
                        self._children_yang_names.add("voip")
                        self._segment_path = lambda: "qos"


                    class Classify(Entity):
                        """
                        Configure classification for untrusted devices
                        
                        .. attribute:: police
                        
                        	Configure QoS policing for untrusted devices
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Auto.Qos.Classify, self).__init__()

                            self.yang_name = "classify"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.police = YLeaf(YType.empty, "police")
                            self._segment_path = lambda: "classify"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Auto.Qos.Classify, ['police'], name, value)


                    class Trust(Entity):
                        """
                        Trust the DSCP/CoS marking
                        
                        .. attribute:: cos
                        
                        	Trust the CoS marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	Trust the DSCP marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Auto.Qos.Trust, self).__init__()

                            self.yang_name = "trust"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cos = YLeaf(YType.empty, "cos")

                            self.dscp = YLeaf(YType.empty, "dscp")
                            self._segment_path = lambda: "trust"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Auto.Qos.Trust, ['cos', 'dscp'], name, value)


                    class Video(Entity):
                        """
                        Configure AutoQoS for video devices
                        
                        .. attribute:: cts
                        
                        	Trust the QoS marking of the Cisco Telepresence System
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip_camera
                        
                        	Trust the QoS marking of the Ip Video Surveillance camera
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: media_player
                        
                        	Trust the Qos marking of the Cisco Media Player
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Auto.Qos.Video, self).__init__()

                            self.yang_name = "video"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.cts = YLeaf(YType.empty, "cts")

                            self.ip_camera = YLeaf(YType.empty, "ip-camera")

                            self.media_player = YLeaf(YType.empty, "media-player")
                            self._segment_path = lambda: "video"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Auto.Qos.Video, ['cts', 'ip_camera', 'media_player'], name, value)


                    class Voip(Entity):
                        """
                        Configure AutoQoS for VoIP
                        
                        .. attribute:: cisco_phone
                        
                        	Trust the QoS marking of Cisco IP Phone
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cisco_softphone
                        
                        	Trust the QoS marking of Cisco IP SoftPhone
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trust
                        
                        	Trust the DSCP/CoS marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Auto.Qos.Voip, self).__init__()

                            self.yang_name = "voip"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cisco_phone = YLeaf(YType.empty, "cisco-phone")

                            self.cisco_softphone = YLeaf(YType.empty, "cisco-softphone")

                            self.trust = YLeaf(YType.empty, "trust")
                            self._segment_path = lambda: "voip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Auto.Qos.Voip, ['cisco_phone', 'cisco_softphone', 'trust'], name, value)


            class Datalink(Entity):
                """
                Interface Datalink commands
                
                .. attribute:: flow
                
                	Interface Flow configuration subcommands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Datalink.Flow>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Datalink, self).__init__()

                    self.yang_name = "datalink"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"flow" : ("flow", Native.Interface.FastEthernet.Datalink.Flow)}
                    self._child_list_classes = {}

                    self.flow = Native.Interface.FastEthernet.Datalink.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:datalink"


                class Flow(Entity):
                    """
                    Interface Flow configuration subcommands
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Datalink.Flow.Monitor>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Datalink.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "datalink"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"monitor" : ("monitor", Native.Interface.FastEthernet.Datalink.Flow.Monitor)}
                        self._child_list_classes = {}

                        self.monitor = None
                        self._children_name_map["monitor"] = "monitor"
                        self._children_yang_names.add("monitor")
                        self._segment_path = lambda: "flow"


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: user_defined_flow
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: input_output
                        
                        	Apply Flow Monitor on input/output traffic
                        	**type**\:  :py:class:`InputOutput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Datalink.Flow.Monitor.InputOutput>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Datalink.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.user_defined_flow = YLeaf(YType.str, "User-defined-flow")

                            self.input_output = YLeaf(YType.enumeration, "input-output")
                            self._segment_path = lambda: "monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Datalink.Flow.Monitor, ['user_defined_flow', 'input_output'], name, value)

                        class InputOutput(Enum):
                            """
                            InputOutput

                            Apply Flow Monitor on input/output traffic

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



            class Energywise(Entity):
                """
                EnergyWise interface configurations
                
                .. attribute:: activitycheck
                
                	Apply an activity check before turning off power    to this PoE port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Energywise, self).__init__()

                    self.yang_name = "energywise"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.activitycheck = YLeaf(YType.empty, "activitycheck")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:energywise"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Energywise, ['activitycheck'], name, value)


            class Location(Entity):
                """
                Interface location information
                
                .. attribute:: civic_location_id
                
                	Civic location information
                	**type**\:  :py:class:`CivicLocationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Location.CivicLocationId>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Location, self).__init__()

                    self.yang_name = "location"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"civic-location-id" : ("civic_location_id", Native.Interface.FastEthernet.Location.CivicLocationId)}
                    self._child_list_classes = {}

                    self.civic_location_id = Native.Interface.FastEthernet.Location.CivicLocationId()
                    self.civic_location_id.parent = self
                    self._children_name_map["civic_location_id"] = "civic-location-id"
                    self._children_yang_names.add("civic-location-id")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:location"


                class CivicLocationId(Entity):
                    """
                    Civic location information
                    
                    .. attribute:: location_identifier
                    
                    	civic location identifier string
                    	**type**\: str
                    
                    .. attribute:: host
                    
                    	Globally defined host location identifer
                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Location.CivicLocationId.Host>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: none
                    
                    	No globally defined location identifer
                    	**type**\:  :py:class:`None_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Location.CivicLocationId.None_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Location.CivicLocationId, self).__init__()

                        self.yang_name = "civic-location-id"
                        self.yang_parent_name = "location"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"host" : ("host", Native.Interface.FastEthernet.Location.CivicLocationId.Host), "none" : ("none", Native.Interface.FastEthernet.Location.CivicLocationId.None_)}
                        self._child_list_classes = {}

                        self.location_identifier = YLeaf(YType.str, "location-identifier")

                        self.host = None
                        self._children_name_map["host"] = "host"
                        self._children_yang_names.add("host")

                        self.none = None
                        self._children_name_map["none"] = "none"
                        self._children_yang_names.add("none")
                        self._segment_path = lambda: "civic-location-id"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Location.CivicLocationId, ['location_identifier'], name, value)


                    class Host(Entity):
                        """
                        Globally defined host location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Location.CivicLocationId.Host, self).__init__()

                            self.yang_name = "host"
                            self.yang_parent_name = "civic-location-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.port_location = YLeaf(YType.str, "port-location")
                            self._segment_path = lambda: "host"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Location.CivicLocationId.Host, ['port_location'], name, value)


                    class None_(Entity):
                        """
                        No globally defined location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Location.CivicLocationId.None_, self).__init__()

                            self.yang_name = "none"
                            self.yang_parent_name = "civic-location-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.port_location = YLeaf(YType.str, "port-location")
                            self._segment_path = lambda: "none"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Location.CivicLocationId.None_, ['port_location'], name, value)


            class Mac(Entity):
                """
                MAC interface commands
                
                .. attribute:: access_group
                
                	MAC access\-group configuration commands
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mac.AccessGroup>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Mac, self).__init__()

                    self.yang_name = "mac"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.FastEthernet.Mac.AccessGroup)}
                    self._child_list_classes = {}

                    self.access_group = Native.Interface.FastEthernet.Mac.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:mac"


                class AccessGroup(Entity):
                    """
                    MAC access\-group configuration commands
                    
                    .. attribute:: acl_name
                    
                    	ACL name
                    	**type**\:  :py:class:`ACLName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mac.AccessGroup.ACLName>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Mac.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "mac"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ACL-name" : ("acl_name", Native.Interface.FastEthernet.Mac.AccessGroup.ACLName)}
                        self._child_list_classes = {}

                        self.acl_name = Native.Interface.FastEthernet.Mac.AccessGroup.ACLName()
                        self.acl_name.parent = self
                        self._children_name_map["acl_name"] = "ACL-name"
                        self._children_yang_names.add("ACL-name")
                        self._segment_path = lambda: "access-group"


                    class ACLName(Entity):
                        """
                        ACL name
                        
                        .. attribute:: acl_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: apply_to
                        
                        	
                        	**type**\:  :py:class:`ApplyTo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Mac.AccessGroup.ACLName.ApplyTo>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.Mac.AccessGroup.ACLName, self).__init__()

                            self.yang_name = "ACL-name"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.acl_name = YLeaf(YType.str, "acl-name")

                            self.apply_to = YLeaf(YType.enumeration, "apply-to")
                            self._segment_path = lambda: "ACL-name"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.Mac.AccessGroup.ACLName, ['acl_name', 'apply_to'], name, value)

                        class ApplyTo(Enum):
                            """
                            ApplyTo

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = Enum.YLeaf(0, "in")

                            out = Enum.YLeaf(1, "out")



            class Macro(Entity):
                """
                Command macro
                
                .. attribute:: description
                
                	Macro description for this interface
                	**type**\: str
                
                .. attribute:: auto
                
                	Smartport interface macro configurations
                	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Macro.Auto>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Macro, self).__init__()

                    self.yang_name = "macro"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"auto" : ("auto", Native.Interface.FastEthernet.Macro.Auto)}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.str, "description")

                    self.auto = Native.Interface.FastEthernet.Macro.Auto()
                    self.auto.parent = self
                    self._children_name_map["auto"] = "auto"
                    self._children_yang_names.add("auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:macro"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Macro, ['description'], name, value)


                class Auto(Entity):
                    """
                    Smartport interface macro configurations
                    
                    .. attribute:: processing
                    
                    	Enable smartport macro auto execution on this interface
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Macro.Auto, self).__init__()

                        self.yang_name = "auto"
                        self.yang_parent_name = "macro"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.processing = YLeaf(YType.boolean, "processing")
                        self._segment_path = lambda: "auto"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Macro.Auto, ['processing'], name, value)


            class DualActive(Entity):
                """
                
                
                .. attribute:: fast_hello
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.DualActive, self).__init__()

                    self.yang_name = "dual-active"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fast_hello = YLeaf(YType.empty, "fast-hello")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:dual-active"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.DualActive, ['fast_hello'], name, value)


            class LoadBalancing(Entity):
                """
                Etherchannel Load\-Balancing
                
                .. attribute:: flow
                
                	Based on the traffic flows identified by the packet headers
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Based on the VLAN to member links manual configuration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.LoadBalancing, self).__init__()

                    self.yang_name = "load-balancing"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.flow = YLeaf(YType.empty, "flow")

                    self.vlan = YLeaf(YType.empty, "vlan")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:load-balancing"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.LoadBalancing, ['flow', 'vlan'], name, value)


            class VlanRange(Entity):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4096
                
                		**type**\: str
                
                .. attribute:: service_policy
                
                	Configure QoS Service Policy
                	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.VlanRange.ServicePolicy>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.VlanRange, self).__init__()

                    self.yang_name = "vlan-range"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"service-policy" : ("service_policy", Native.Interface.FastEthernet.VlanRange.ServicePolicy)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.service_policy = Native.Interface.FastEthernet.VlanRange.ServicePolicy()
                    self.service_policy.parent = self
                    self._children_name_map["service_policy"] = "service-policy"
                    self._children_yang_names.add("service-policy")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:vlan-range" + "[id='" + self.id.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.VlanRange, ['id'], name, value)


                class ServicePolicy(Entity):
                    """
                    Configure QoS Service Policy
                    
                    .. attribute:: input
                    
                    	Assign policy\-map to the input of an interface
                    	**type**\: str
                    
                    .. attribute:: output
                    
                    	Assign policy\-map to the output of an interface
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.VlanRange.ServicePolicy, self).__init__()

                        self.yang_name = "service-policy"
                        self.yang_parent_name = "vlan-range"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.input = YLeaf(YType.str, "input")

                        self.output = YLeaf(YType.str, "output")
                        self._segment_path = lambda: "service-policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.VlanRange.ServicePolicy, ['input', 'output'], name, value)


            class Switch(Entity):
                """
                
                
                .. attribute:: virtual
                
                	
                	**type**\:  :py:class:`Virtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Switch.Virtual>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Switch, self).__init__()

                    self.yang_name = "switch"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"virtual" : ("virtual", Native.Interface.FastEthernet.Switch.Virtual)}
                    self._child_list_classes = {}

                    self.virtual = Native.Interface.FastEthernet.Switch.Virtual()
                    self.virtual.parent = self
                    self._children_name_map["virtual"] = "virtual"
                    self._children_yang_names.add("virtual")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:switch"


                class Virtual(Entity):
                    """
                    
                    
                    .. attribute:: link
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Switch.Virtual, self).__init__()

                        self.yang_name = "virtual"
                        self.yang_parent_name = "switch"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.link = YLeaf(YType.uint8, "link")
                        self._segment_path = lambda: "virtual"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Switch.Virtual, ['link'], name, value)


            class SrrQueue(Entity):
                """
                
                
                .. attribute:: bandwidth
                
                	
                	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SrrQueue.Bandwidth>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.SrrQueue, self).__init__()

                    self.yang_name = "srr-queue"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.FastEthernet.SrrQueue.Bandwidth)}
                    self._child_list_classes = {}

                    self.bandwidth = Native.Interface.FastEthernet.SrrQueue.Bandwidth()
                    self.bandwidth.parent = self
                    self._children_name_map["bandwidth"] = "bandwidth"
                    self._children_yang_names.add("bandwidth")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:srr-queue"


                class Bandwidth(Entity):
                    """
                    
                    
                    .. attribute:: shape
                    
                    	
                    	**type**\:  :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SrrQueue.Bandwidth.Shape>`
                    
                    .. attribute:: share
                    
                    	
                    	**type**\:  :py:class:`Share <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.SrrQueue.Bandwidth.Share>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.SrrQueue.Bandwidth, self).__init__()

                        self.yang_name = "bandwidth"
                        self.yang_parent_name = "srr-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"shape" : ("shape", Native.Interface.FastEthernet.SrrQueue.Bandwidth.Shape), "share" : ("share", Native.Interface.FastEthernet.SrrQueue.Bandwidth.Share)}
                        self._child_list_classes = {}

                        self.shape = Native.Interface.FastEthernet.SrrQueue.Bandwidth.Shape()
                        self.shape.parent = self
                        self._children_name_map["shape"] = "shape"
                        self._children_yang_names.add("shape")

                        self.share = Native.Interface.FastEthernet.SrrQueue.Bandwidth.Share()
                        self.share.parent = self
                        self._children_name_map["share"] = "share"
                        self._children_yang_names.add("share")
                        self._segment_path = lambda: "bandwidth"


                    class Shape(Entity):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.SrrQueue.Bandwidth.Shape, self).__init__()

                            self.yang_name = "shape"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.weight1 = YLeaf(YType.uint16, "weight1")

                            self.weight2 = YLeaf(YType.uint16, "weight2")

                            self.weight3 = YLeaf(YType.uint16, "weight3")

                            self.weight4 = YLeaf(YType.uint16, "weight4")
                            self._segment_path = lambda: "shape"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.SrrQueue.Bandwidth.Shape, ['weight1', 'weight2', 'weight3', 'weight4'], name, value)


                    class Share(Entity):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FastEthernet.SrrQueue.Bandwidth.Share, self).__init__()

                            self.yang_name = "share"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.weight1 = YLeaf(YType.uint8, "weight1")

                            self.weight2 = YLeaf(YType.uint8, "weight2")

                            self.weight3 = YLeaf(YType.uint8, "weight3")

                            self.weight4 = YLeaf(YType.uint8, "weight4")
                            self._segment_path = lambda: "share"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FastEthernet.SrrQueue.Bandwidth.Share, ['weight1', 'weight2', 'weight3', 'weight4'], name, value)


            class Macsec(Entity):
                """
                Enable macsec on the interface
                
                .. attribute:: network_link
                
                	Enable macsec on switch connected interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Macsec, self).__init__()

                    self.yang_name = "macsec"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.network_link = YLeaf(YType.empty, "network-link")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:macsec"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.Macsec, ['network_link'], name, value)


            class DeviceTracking(Entity):
                """
                Configure device\-tracking on the interface
                
                .. attribute:: attach_policy
                
                	Apply a policy for feature device\-tracking
                	**type**\: str
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FastEthernet.DeviceTracking, self).__init__()

                    self.yang_name = "device-tracking"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.attach_policy = YLeaf(YType.str, "attach-policy")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:device-tracking"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.DeviceTracking, ['attach_policy'], name, value)


            class Udld(Entity):
                """
                Configure UDLD enabled or disabled and ignore global UDLD setting
                
                .. attribute:: port
                
                	Enable UDLD protocol on this interface despite global UDLD setting
                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FastEthernet.Udld.Port>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-udld'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.Udld, self).__init__()

                    self.yang_name = "udld"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port" : ("port", Native.Interface.FastEthernet.Udld.Port)}
                    self._child_list_classes = {}

                    self.port = None
                    self._children_name_map["port"] = "port"
                    self._children_yang_names.add("port")
                    self._segment_path = lambda: "Cisco-IOS-XE-udld:udld"


                class Port(Entity):
                    """
                    Enable UDLD protocol on this interface despite global UDLD setting
                    
                    .. attribute:: aggressive
                    
                    	Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disable
                    
                    	Disable UDLD protocol on this interface despite global UDLD setting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-udld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FastEthernet.Udld.Port, self).__init__()

                        self.yang_name = "port"
                        self.yang_parent_name = "udld"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aggressive = YLeaf(YType.empty, "aggressive")

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "port"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FastEthernet.Udld.Port, ['aggressive', 'disable'], name, value)


            class ZoneMember(Entity):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\: str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FastEthernet.ZoneMember, self).__init__()

                    self.yang_name = "zone-member"
                    self.yang_parent_name = "FastEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.security = YLeaf(YType.str, "security")
                    self._segment_path = lambda: "Cisco-IOS-XE-zone:zone-member"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FastEthernet.ZoneMember, ['security'], name, value)


        class GigabitEthernet(Entity):
            """
            GigabitEthernet IEEE 802.3z
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: media_type
            
            	Media type
            	**type**\:  :py:class:`MediaType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.MediaType>`
            
            .. attribute:: port_type
            
            	
            	**type**\:  :py:class:`PortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.PortType>`
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.PmPath>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:  :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.CarrierDelay>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:  :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:  :py:class:`ChannelProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.ChannelProtocol>`
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet>`
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:  :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Negotiation>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:  :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Synchronous>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:  :py:class:`Duplex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Duplex>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:  :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Speed>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:  :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Plim>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:  :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Pppoe>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service>`
            
            .. attribute:: xconnect
            
            	Xconnect commands
            	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Xconnect>`
            
            .. attribute:: cdp
            
            	CDP interface subcommands
            	**type**\:  :py:class:`Cdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cdp>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Snmp>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts>`
            
            .. attribute:: dot1x
            
            	Interface Config Commands for IEEE 802.1X
            	**type**\:  :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Dot1X>`
            
            .. attribute:: performance
            
            	Global performance monitor configuration
            	**type**\:  :py:class:`Performance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Performance>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.ServicePolicy>`
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Lisp>`
            
            .. attribute:: lldp
            
            	LLDP interface subcommands
            	**type**\:  :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Lldp>`
            
            .. attribute:: mka
            
            	MACsec Key Agreement (MKA) interface configuration
            	**type**\:  :py:class:`Mka <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mka>`
            
            .. attribute:: nat66
            
            	NAT66 interface commands
            	**type**\:  :py:class:`Nat66 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Nat66>`
            
            .. attribute:: ospfv3
            
            	OSPFv3 interface commands
            	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3>`
            
            .. attribute:: power
            
            	
            	**type**\:  :py:class:`Power <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Power>`
            
            .. attribute:: authentication
            
            	Auth Manager Interface Configuration Commands
            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication>`
            
            .. attribute:: mab
            
            	
            	**type**\:  :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mab>`
            
            	**presence node**\: True
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SpanningTree>`
            
            .. attribute:: auto
            
            	Configure Automation
            	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Auto>`
            
            .. attribute:: datalink
            
            	Interface Datalink commands
            	**type**\:  :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Datalink>`
            
            .. attribute:: energywise
            
            	EnergyWise interface configurations
            	**type**\:  :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Energywise>`
            
            	**presence node**\: True
            
            .. attribute:: location
            
            	Interface location information
            	**type**\:  :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Location>`
            
            .. attribute:: mac
            
            	MAC interface commands
            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mac>`
            
            .. attribute:: macro
            
            	Command macro
            	**type**\:  :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Macro>`
            
            .. attribute:: dual_active
            
            	
            	**type**\:  :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.DualActive>`
            
            .. attribute:: load_balancing
            
            	Etherchannel Load\-Balancing
            	**type**\:  :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.LoadBalancing>`
            
            .. attribute:: vlan_range
            
            	
            	**type**\: list of  		 :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.VlanRange>`
            
            .. attribute:: switch
            
            	
            	**type**\:  :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switch>`
            
            .. attribute:: srr_queue
            
            	
            	**type**\:  :py:class:`SrrQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SrrQueue>`
            
            .. attribute:: macsec
            
            	Enable macsec on the interface
            	**type**\:  :py:class:`Macsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Macsec>`
            
            	**presence node**\: True
            
            .. attribute:: device_tracking
            
            	Configure device\-tracking on the interface
            	**type**\:  :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.DeviceTracking>`
            
            .. attribute:: udld
            
            	Configure UDLD enabled or disabled and ignore global UDLD setting
            	**type**\:  :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Udld>`
            
            .. attribute:: umbrella
            
            	Umbrella interface commands
            	**type**\:  :py:class:`Umbrella <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Umbrella>`
            
            .. attribute:: utd
            
            	UTD support on this interface
            	**type**\:  :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Utd>`
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:  :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.GigabitEthernet, self).__init__()

                self.yang_name = "GigabitEthernet"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.GigabitEthernet.SwitchportConf), "switchport" : ("switchport", Native.Interface.GigabitEthernet.Switchport), "arp" : ("arp", Native.Interface.GigabitEthernet.Arp), "backup" : ("backup", Native.Interface.GigabitEthernet.Backup), "cemoudp" : ("cemoudp", Native.Interface.GigabitEthernet.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.GigabitEthernet.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.GigabitEthernet.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.GigabitEthernet.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.GigabitEthernet.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.GigabitEthernet.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.GigabitEthernet.Flowcontrol), "isis" : ("isis", Native.Interface.GigabitEthernet.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.GigabitEthernet.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.GigabitEthernet.Bfd), "bandwidth" : ("bandwidth", Native.Interface.GigabitEthernet.Bandwidth), "dampening" : ("dampening", Native.Interface.GigabitEthernet.Dampening), "domain" : ("domain", Native.Interface.GigabitEthernet.Domain), "mpls" : ("mpls", Native.Interface.GigabitEthernet.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.GigabitEthernet.IpVrf), "vrf" : ("vrf", Native.Interface.GigabitEthernet.Vrf), "ip" : ("ip", Native.Interface.GigabitEthernet.Ip), "ipv6" : ("ipv6", Native.Interface.GigabitEthernet.Ipv6), "logging" : ("logging", Native.Interface.GigabitEthernet.Logging), "mdix" : ("mdix", Native.Interface.GigabitEthernet.Mdix), "mop" : ("mop", Native.Interface.GigabitEthernet.Mop), "interface_qos" : ("interface_qos", Native.Interface.GigabitEthernet.InterfaceQos), "standby" : ("standby", Native.Interface.GigabitEthernet.Standby), "access-session" : ("access_session", Native.Interface.GigabitEthernet.AccessSession), "storm-control" : ("storm_control", Native.Interface.GigabitEthernet.StormControl), "trust" : ("trust", Native.Interface.GigabitEthernet.Trust), "priority-queue" : ("priority_queue", Native.Interface.GigabitEthernet.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.GigabitEthernet.RcvQueue), "peer" : ("peer", Native.Interface.GigabitEthernet.Peer), "pm-path" : ("pm_path", Native.Interface.GigabitEthernet.PmPath), "Cisco-IOS-XE-ethernet:carrier-delay" : ("carrier_delay", Native.Interface.GigabitEthernet.CarrierDelay), "Cisco-IOS-XE-ethernet:channel-group" : ("channel_group", Native.Interface.GigabitEthernet.ChannelGroup), "Cisco-IOS-XE-ethernet:ethernet" : ("ethernet", Native.Interface.GigabitEthernet.Ethernet), "Cisco-IOS-XE-ethernet:negotiation" : ("negotiation", Native.Interface.GigabitEthernet.Negotiation), "Cisco-IOS-XE-ethernet:synchronous" : ("synchronous", Native.Interface.GigabitEthernet.Synchronous), "Cisco-IOS-XE-ethernet:speed" : ("speed", Native.Interface.GigabitEthernet.Speed), "Cisco-IOS-XE-ethernet:plim" : ("plim", Native.Interface.GigabitEthernet.Plim), "Cisco-IOS-XE-ethernet:pppoe" : ("pppoe", Native.Interface.GigabitEthernet.Pppoe), "Cisco-IOS-XE-ethernet:service" : ("service", Native.Interface.GigabitEthernet.Service), "Cisco-IOS-XE-l2vpn:xconnect" : ("xconnect", Native.Interface.GigabitEthernet.Xconnect), "Cisco-IOS-XE-cdp:cdp" : ("cdp", Native.Interface.GigabitEthernet.Cdp), "Cisco-IOS-XE-snmp:snmp" : ("snmp", Native.Interface.GigabitEthernet.Snmp), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.GigabitEthernet.Crypto), "Cisco-IOS-XE-cts:cts" : ("cts", Native.Interface.GigabitEthernet.Cts), "Cisco-IOS-XE-dot1x:dot1x" : ("dot1x", Native.Interface.GigabitEthernet.Dot1X), "Cisco-IOS-XE-ezpm:performance" : ("performance", Native.Interface.GigabitEthernet.Performance), "Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.Interface.GigabitEthernet.ServicePolicy), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Interface.GigabitEthernet.Lisp), "Cisco-IOS-XE-lldp:lldp" : ("lldp", Native.Interface.GigabitEthernet.Lldp), "Cisco-IOS-XE-mka:mka" : ("mka", Native.Interface.GigabitEthernet.Mka), "Cisco-IOS-XE-ospfv3:ospfv3" : ("ospfv3", Native.Interface.GigabitEthernet.Ospfv3), "Cisco-IOS-XE-power:power" : ("power", Native.Interface.GigabitEthernet.Power), "Cisco-IOS-XE-sanet:authentication" : ("authentication", Native.Interface.GigabitEthernet.Authentication), "Cisco-IOS-XE-sanet:mab" : ("mab", Native.Interface.GigabitEthernet.Mab), "Cisco-IOS-XE-spanning-tree:spanning-tree" : ("spanning_tree", Native.Interface.GigabitEthernet.SpanningTree), "Cisco-IOS-XE-switch:auto" : ("auto", Native.Interface.GigabitEthernet.Auto), "Cisco-IOS-XE-switch:datalink" : ("datalink", Native.Interface.GigabitEthernet.Datalink), "Cisco-IOS-XE-switch:energywise" : ("energywise", Native.Interface.GigabitEthernet.Energywise), "Cisco-IOS-XE-switch:location" : ("location", Native.Interface.GigabitEthernet.Location), "Cisco-IOS-XE-switch:mac" : ("mac", Native.Interface.GigabitEthernet.Mac), "Cisco-IOS-XE-switch:macro" : ("macro", Native.Interface.GigabitEthernet.Macro), "Cisco-IOS-XE-switch:dual-active" : ("dual_active", Native.Interface.GigabitEthernet.DualActive), "Cisco-IOS-XE-switch:load-balancing" : ("load_balancing", Native.Interface.GigabitEthernet.LoadBalancing), "Cisco-IOS-XE-switch:switch" : ("switch", Native.Interface.GigabitEthernet.Switch), "Cisco-IOS-XE-switch:srr-queue" : ("srr_queue", Native.Interface.GigabitEthernet.SrrQueue), "Cisco-IOS-XE-switch:macsec" : ("macsec", Native.Interface.GigabitEthernet.Macsec), "Cisco-IOS-XE-switch:device-tracking" : ("device_tracking", Native.Interface.GigabitEthernet.DeviceTracking), "Cisco-IOS-XE-udld:udld" : ("udld", Native.Interface.GigabitEthernet.Udld), "Cisco-IOS-XE-umbrella:umbrella" : ("umbrella", Native.Interface.GigabitEthernet.Umbrella), "Cisco-IOS-XE-utd:utd" : ("utd", Native.Interface.GigabitEthernet.Utd), "Cisco-IOS-XE-zone:zone-member" : ("zone_member", Native.Interface.GigabitEthernet.ZoneMember)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.GigabitEthernet.HoldQueue), "Cisco-IOS-XE-switch:vlan-range" : ("vlan_range", Native.Interface.GigabitEthernet.VlanRange)}

                self.name = YLeaf(YType.str, "name")

                self.media_type = YLeaf(YType.enumeration, "media-type")

                self.port_type = YLeaf(YType.enumeration, "port-type")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.channel_protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:channel-protocol")

                self.duplex = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:duplex")

                self.nat66 = YLeaf(YType.enumeration, "Cisco-IOS-XE-nat:nat66")

                self.switchport_conf = Native.Interface.GigabitEthernet.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.GigabitEthernet.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.GigabitEthernet.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.GigabitEthernet.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.GigabitEthernet.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.GigabitEthernet.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.GigabitEthernet.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.GigabitEthernet.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.GigabitEthernet.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.GigabitEthernet.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.GigabitEthernet.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.GigabitEthernet.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.GigabitEthernet.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.GigabitEthernet.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.GigabitEthernet.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.GigabitEthernet.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.GigabitEthernet.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.GigabitEthernet.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.GigabitEthernet.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.GigabitEthernet.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.GigabitEthernet.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.GigabitEthernet.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.GigabitEthernet.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.GigabitEthernet.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.GigabitEthernet.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.GigabitEthernet.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.GigabitEthernet.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.GigabitEthernet.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.GigabitEthernet.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.GigabitEthernet.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.GigabitEthernet.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.GigabitEthernet.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.GigabitEthernet.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.carrier_delay = Native.Interface.GigabitEthernet.CarrierDelay()
                self.carrier_delay.parent = self
                self._children_name_map["carrier_delay"] = "carrier-delay"
                self._children_yang_names.add("carrier-delay")

                self.channel_group = Native.Interface.GigabitEthernet.ChannelGroup()
                self.channel_group.parent = self
                self._children_name_map["channel_group"] = "channel-group"
                self._children_yang_names.add("channel-group")

                self.ethernet = Native.Interface.GigabitEthernet.Ethernet()
                self.ethernet.parent = self
                self._children_name_map["ethernet"] = "ethernet"
                self._children_yang_names.add("ethernet")

                self.negotiation = Native.Interface.GigabitEthernet.Negotiation()
                self.negotiation.parent = self
                self._children_name_map["negotiation"] = "negotiation"
                self._children_yang_names.add("negotiation")

                self.synchronous = Native.Interface.GigabitEthernet.Synchronous()
                self.synchronous.parent = self
                self._children_name_map["synchronous"] = "synchronous"
                self._children_yang_names.add("synchronous")

                self.speed = Native.Interface.GigabitEthernet.Speed()
                self.speed.parent = self
                self._children_name_map["speed"] = "speed"
                self._children_yang_names.add("speed")

                self.plim = Native.Interface.GigabitEthernet.Plim()
                self.plim.parent = self
                self._children_name_map["plim"] = "plim"
                self._children_yang_names.add("plim")

                self.pppoe = Native.Interface.GigabitEthernet.Pppoe()
                self.pppoe.parent = self
                self._children_name_map["pppoe"] = "pppoe"
                self._children_yang_names.add("pppoe")

                self.service = Native.Interface.GigabitEthernet.Service()
                self.service.parent = self
                self._children_name_map["service"] = "service"
                self._children_yang_names.add("service")

                self.xconnect = Native.Interface.GigabitEthernet.Xconnect()
                self.xconnect.parent = self
                self._children_name_map["xconnect"] = "xconnect"
                self._children_yang_names.add("xconnect")

                self.cdp = Native.Interface.GigabitEthernet.Cdp()
                self.cdp.parent = self
                self._children_name_map["cdp"] = "cdp"
                self._children_yang_names.add("cdp")

                self.snmp = Native.Interface.GigabitEthernet.Snmp()
                self.snmp.parent = self
                self._children_name_map["snmp"] = "snmp"
                self._children_yang_names.add("snmp")

                self.crypto = Native.Interface.GigabitEthernet.Crypto()
                self.crypto.parent = self
                self._children_name_map["crypto"] = "crypto"
                self._children_yang_names.add("crypto")

                self.cts = Native.Interface.GigabitEthernet.Cts()
                self.cts.parent = self
                self._children_name_map["cts"] = "cts"
                self._children_yang_names.add("cts")

                self.dot1x = Native.Interface.GigabitEthernet.Dot1X()
                self.dot1x.parent = self
                self._children_name_map["dot1x"] = "dot1x"
                self._children_yang_names.add("dot1x")

                self.performance = Native.Interface.GigabitEthernet.Performance()
                self.performance.parent = self
                self._children_name_map["performance"] = "performance"
                self._children_yang_names.add("performance")

                self.service_policy = Native.Interface.GigabitEthernet.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.lisp = Native.Interface.GigabitEthernet.Lisp()
                self.lisp.parent = self
                self._children_name_map["lisp"] = "lisp"
                self._children_yang_names.add("lisp")

                self.lldp = Native.Interface.GigabitEthernet.Lldp()
                self.lldp.parent = self
                self._children_name_map["lldp"] = "lldp"
                self._children_yang_names.add("lldp")

                self.mka = Native.Interface.GigabitEthernet.Mka()
                self.mka.parent = self
                self._children_name_map["mka"] = "mka"
                self._children_yang_names.add("mka")

                self.ospfv3 = Native.Interface.GigabitEthernet.Ospfv3()
                self.ospfv3.parent = self
                self._children_name_map["ospfv3"] = "ospfv3"
                self._children_yang_names.add("ospfv3")

                self.power = Native.Interface.GigabitEthernet.Power()
                self.power.parent = self
                self._children_name_map["power"] = "power"
                self._children_yang_names.add("power")

                self.authentication = Native.Interface.GigabitEthernet.Authentication()
                self.authentication.parent = self
                self._children_name_map["authentication"] = "authentication"
                self._children_yang_names.add("authentication")

                self.mab = None
                self._children_name_map["mab"] = "mab"
                self._children_yang_names.add("mab")

                self.spanning_tree = Native.Interface.GigabitEthernet.SpanningTree()
                self.spanning_tree.parent = self
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.auto = Native.Interface.GigabitEthernet.Auto()
                self.auto.parent = self
                self._children_name_map["auto"] = "auto"
                self._children_yang_names.add("auto")

                self.datalink = Native.Interface.GigabitEthernet.Datalink()
                self.datalink.parent = self
                self._children_name_map["datalink"] = "datalink"
                self._children_yang_names.add("datalink")

                self.energywise = None
                self._children_name_map["energywise"] = "energywise"
                self._children_yang_names.add("energywise")

                self.location = Native.Interface.GigabitEthernet.Location()
                self.location.parent = self
                self._children_name_map["location"] = "location"
                self._children_yang_names.add("location")

                self.mac = Native.Interface.GigabitEthernet.Mac()
                self.mac.parent = self
                self._children_name_map["mac"] = "mac"
                self._children_yang_names.add("mac")

                self.macro = Native.Interface.GigabitEthernet.Macro()
                self.macro.parent = self
                self._children_name_map["macro"] = "macro"
                self._children_yang_names.add("macro")

                self.dual_active = Native.Interface.GigabitEthernet.DualActive()
                self.dual_active.parent = self
                self._children_name_map["dual_active"] = "dual-active"
                self._children_yang_names.add("dual-active")

                self.load_balancing = Native.Interface.GigabitEthernet.LoadBalancing()
                self.load_balancing.parent = self
                self._children_name_map["load_balancing"] = "load-balancing"
                self._children_yang_names.add("load-balancing")

                self.switch = Native.Interface.GigabitEthernet.Switch()
                self.switch.parent = self
                self._children_name_map["switch"] = "switch"
                self._children_yang_names.add("switch")

                self.srr_queue = Native.Interface.GigabitEthernet.SrrQueue()
                self.srr_queue.parent = self
                self._children_name_map["srr_queue"] = "srr-queue"
                self._children_yang_names.add("srr-queue")

                self.macsec = None
                self._children_name_map["macsec"] = "macsec"
                self._children_yang_names.add("macsec")

                self.device_tracking = Native.Interface.GigabitEthernet.DeviceTracking()
                self.device_tracking.parent = self
                self._children_name_map["device_tracking"] = "device-tracking"
                self._children_yang_names.add("device-tracking")

                self.udld = Native.Interface.GigabitEthernet.Udld()
                self.udld.parent = self
                self._children_name_map["udld"] = "udld"
                self._children_yang_names.add("udld")

                self.umbrella = Native.Interface.GigabitEthernet.Umbrella()
                self.umbrella.parent = self
                self._children_name_map["umbrella"] = "umbrella"
                self._children_yang_names.add("umbrella")

                self.utd = Native.Interface.GigabitEthernet.Utd()
                self.utd.parent = self
                self._children_name_map["utd"] = "utd"
                self._children_yang_names.add("utd")

                self.zone_member = Native.Interface.GigabitEthernet.ZoneMember()
                self.zone_member.parent = self
                self._children_name_map["zone_member"] = "zone-member"
                self._children_yang_names.add("zone-member")

                self.hold_queue = YList(self)
                self.vlan_range = YList(self)
                self._segment_path = lambda: "GigabitEthernet" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.GigabitEthernet, ['name', 'media_type', 'port_type', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion', 'channel_protocol', 'duplex', 'nat66'], name, value)

            class ChannelProtocol(Enum):
                """
                ChannelProtocol

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = Enum.YLeaf(0, "lacp")

                pagp = Enum.YLeaf(1, "pagp")


            class Duplex(Enum):
                """
                Duplex

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = Enum.YLeaf(0, "auto")

                full = Enum.YLeaf(1, "full")

                half = Enum.YLeaf(2, "half")


            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class MediaType(Enum):
                """
                MediaType

                Media type

                .. data:: auto_select = 0

                .. data:: rj45 = 1

                .. data:: sfp = 2

                """

                auto_select = Enum.YLeaf(0, "auto-select")

                rj45 = Enum.YLeaf(1, "rj45")

                sfp = Enum.YLeaf(2, "sfp")


            class Nat66(Enum):
                """
                Nat66

                NAT66 interface commands

                .. data:: inside = 0

                .. data:: outside = 1

                """

                inside = Enum.YLeaf(0, "inside")

                outside = Enum.YLeaf(1, "outside")


            class PortType(Enum):
                """
                PortType

                .. data:: nni = 0

                """

                nni = Enum.YLeaf(0, "nni")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: trunk
                
                	Set trunking characteristics of the interface
                	**type**\:  :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Trunk>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Voice>`
                
                .. attribute:: priority
                
                	Set appliance 802.1p priority
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Priority>`
                
                .. attribute:: autostate
                
                	Include or exclude this port from vlan link up calculation
                	**type**\:  :py:class:`Autostate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Autostate>`
                
                .. attribute:: protected
                
                	Configure an interface to be a protected port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host
                
                	Set port host
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: private_vlan
                
                	Set the private VLAN configuration
                	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.PrivateVlan>`
                
                .. attribute:: device_tracking
                
                	Configure device\-tracking on the interface
                	**type**\:  :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.DeviceTracking>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-switch:access" : ("access", Native.Interface.GigabitEthernet.Switchport.Access), "Cisco-IOS-XE-switch:block" : ("block", Native.Interface.GigabitEthernet.Switchport.Block), "Cisco-IOS-XE-switch:mode" : ("mode", Native.Interface.GigabitEthernet.Switchport.Mode), "Cisco-IOS-XE-switch:port-security" : ("port_security", Native.Interface.GigabitEthernet.Switchport.PortSecurity), "Cisco-IOS-XE-switch:trunk" : ("trunk", Native.Interface.GigabitEthernet.Switchport.Trunk), "Cisco-IOS-XE-switch:voice" : ("voice", Native.Interface.GigabitEthernet.Switchport.Voice), "Cisco-IOS-XE-switch:priority" : ("priority", Native.Interface.GigabitEthernet.Switchport.Priority), "Cisco-IOS-XE-switch:autostate" : ("autostate", Native.Interface.GigabitEthernet.Switchport.Autostate), "Cisco-IOS-XE-switch:private-vlan" : ("private_vlan", Native.Interface.GigabitEthernet.Switchport.PrivateVlan), "Cisco-IOS-XE-switch:device-tracking" : ("device_tracking", Native.Interface.GigabitEthernet.Switchport.DeviceTracking)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "Cisco-IOS-XE-switch:nonegotiate")

                    self.protected = YLeaf(YType.empty, "Cisco-IOS-XE-switch:protected")

                    self.host = YLeaf(YType.empty, "Cisco-IOS-XE-switch:host")

                    self.access = Native.Interface.GigabitEthernet.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.block = Native.Interface.GigabitEthernet.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.mode = Native.Interface.GigabitEthernet.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.trunk = Native.Interface.GigabitEthernet.Switchport.Trunk()
                    self.trunk.parent = self
                    self._children_name_map["trunk"] = "trunk"
                    self._children_yang_names.add("trunk")

                    self.voice = Native.Interface.GigabitEthernet.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")

                    self.priority = Native.Interface.GigabitEthernet.Switchport.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.autostate = Native.Interface.GigabitEthernet.Switchport.Autostate()
                    self.autostate.parent = self
                    self._children_name_map["autostate"] = "autostate"
                    self._children_yang_names.add("autostate")

                    self.private_vlan = Native.Interface.GigabitEthernet.Switchport.PrivateVlan()
                    self.private_vlan.parent = self
                    self._children_name_map["private_vlan"] = "private-vlan"
                    self._children_yang_names.add("private-vlan")

                    self.device_tracking = Native.Interface.GigabitEthernet.Switchport.DeviceTracking()
                    self.device_tracking.parent = self
                    self._children_name_map["device_tracking"] = "device-tracking"
                    self._children_yang_names.add("device-tracking")
                    self._segment_path = lambda: "switchport"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Switchport, ['nonegotiate', 'protected', 'host'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	Set VLAN when interface is in access mode
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Access.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.GigabitEthernet.Switchport.Access.Vlan)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.GigabitEthernet.Switchport.Access.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:access"


                    class Vlan(Entity):
                        """
                        Set VLAN when interface is in access mode
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.Vlan>`
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.Access.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "access"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.Access.Vlan, ['vlan', 'name'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            .. data:: dynamic = 0

                            """

                            dynamic = Enum.YLeaf(0, "dynamic")



                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: multicast
                    
                    	Block unknown multicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.multicast = YLeaf(YType.empty, "multicast")

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:block"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.Block, ['multicast', 'unicast'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Mode.Access>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dot1q_tunnel
                    
                    	set trunking mode to TUNNEL unconditionally
                    	**type**\:  :py:class:`Dot1QTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Mode.Dot1QTunnel>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dynamic
                    
                    	Set trunking mode to dynamically negotiate access or trunk mode
                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Mode.Dynamic>`
                    
                    .. attribute:: private_vlan
                    
                    	Set private\-vlan mode
                    	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Mode.PrivateVlan>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Mode.Trunk>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"access" : ("access", Native.Interface.GigabitEthernet.Switchport.Mode.Access), "dot1q-tunnel" : ("dot1q_tunnel", Native.Interface.GigabitEthernet.Switchport.Mode.Dot1QTunnel), "private-vlan" : ("private_vlan", Native.Interface.GigabitEthernet.Switchport.Mode.PrivateVlan), "trunk" : ("trunk", Native.Interface.GigabitEthernet.Switchport.Mode.Trunk)}
                        self._child_list_classes = {}

                        self.dynamic = YLeaf(YType.enumeration, "dynamic")

                        self.access = None
                        self._children_name_map["access"] = "access"
                        self._children_yang_names.add("access")

                        self.dot1q_tunnel = None
                        self._children_name_map["dot1q_tunnel"] = "dot1q-tunnel"
                        self._children_yang_names.add("dot1q-tunnel")

                        self.private_vlan = Native.Interface.GigabitEthernet.Switchport.Mode.PrivateVlan()
                        self.private_vlan.parent = self
                        self._children_name_map["private_vlan"] = "private-vlan"
                        self._children_yang_names.add("private-vlan")

                        self.trunk = None
                        self._children_name_map["trunk"] = "trunk"
                        self._children_yang_names.add("trunk")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:mode"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.Mode, ['dynamic'], name, value)

                    class Dynamic(Enum):
                        """
                        Dynamic

                        Set trunking mode to dynamically negotiate access or trunk mode

                        .. data:: auto = 0

                        .. data:: desirable = 1

                        """

                        auto = Enum.YLeaf(0, "auto")

                        desirable = Enum.YLeaf(1, "desirable")



                    class Access(Entity):
                        """
                        Set trunking mode to ACCESS unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.Mode.Access, self).__init__()

                            self.yang_name = "access"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "access"


                    class Dot1QTunnel(Entity):
                        """
                        set trunking mode to TUNNEL unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.Mode.Dot1QTunnel, self).__init__()

                            self.yang_name = "dot1q-tunnel"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "dot1q-tunnel"


                    class PrivateVlan(Entity):
                        """
                        Set private\-vlan mode
                        
                        .. attribute:: host
                        
                        	Set the mode to private\-vlan host
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: promiscuous
                        
                        	Set the mode to private\-vlan promiscuous
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.Mode.PrivateVlan, self).__init__()

                            self.yang_name = "private-vlan"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.host = YLeaf(YType.empty, "host")

                            self.promiscuous = YLeaf(YType.empty, "promiscuous")
                            self._segment_path = lambda: "private-vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.Mode.PrivateVlan, ['host', 'promiscuous'], name, value)


                    class Trunk(Entity):
                        """
                        Set trunking mode to TRUNK unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.Mode.Trunk, self).__init__()

                            self.yang_name = "trunk"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "trunk"


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: mac_address
                    
                    	Secure mac address
                    	**type**\:  :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.PortSecurity.MacAddress>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"aging" : ("aging", Native.Interface.GigabitEthernet.Switchport.PortSecurity.Aging), "mac-address" : ("mac_address", Native.Interface.GigabitEthernet.Switchport.PortSecurity.MacAddress), "maximum" : ("maximum", Native.Interface.GigabitEthernet.Switchport.PortSecurity.Maximum)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.violation = YLeaf(YType.enumeration, "violation")

                        self.aging = Native.Interface.GigabitEthernet.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.mac_address = Native.Interface.GigabitEthernet.Switchport.PortSecurity.MacAddress()
                        self.mac_address.parent = self
                        self._children_name_map["mac_address"] = "mac-address"
                        self._children_yang_names.add("mac-address")

                        self.maximum = Native.Interface.GigabitEthernet.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:port-security"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.PortSecurity, ['violation'], name, value)

                    class Violation(Enum):
                        """
                        Violation

                        Security violation mode

                        .. data:: protect = 0

                        .. data:: restrict = 1

                        .. data:: shutdown = 2

                        """

                        protect = Enum.YLeaf(0, "protect")

                        restrict = Enum.YLeaf(1, "restrict")

                        shutdown = Enum.YLeaf(2, "shutdown")



                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.PortSecurity.Aging.Type>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = YLeaf(YType.enumeration, "type")
                            self._segment_path = lambda: "aging"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.PortSecurity.Aging, ['static', 'time', 'type'], name, value)

                        class Type(Enum):
                            """
                            Type

                            Port\-security aging type

                            .. data:: absolute = 0

                            .. data:: inactivity = 1

                            """

                            absolute = Enum.YLeaf(0, "absolute")

                            inactivity = Enum.YLeaf(1, "inactivity")



                    class MacAddress(Entity):
                        """
                        Secure mac address
                        
                        .. attribute:: sticky
                        
                        	Configure dynamic secure addresses as sticky
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hw_address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        .. attribute:: vlan
                        
                        	set VLAN ID of the VLAN on which this address can be learned
                        	**type**\: int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.PortSecurity.MacAddress, self).__init__()

                            self.yang_name = "mac-address"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sticky = YLeaf(YType.empty, "sticky")

                            self.hw_address = YLeaf(YType.str, "hw-address")

                            self.vlan = YLeaf(YType.uint16, "vlan")
                            self._segment_path = lambda: "mac-address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.PortSecurity.MacAddress, ['sticky', 'hw_address', 'vlan'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: max_addresses
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4097
                        
                        .. attribute:: vlan
                        
                        	Max secure addresses per vlan
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_addresses = YLeaf(YType.uint16, "max-addresses")

                            self.vlan = YLeaf(YType.str, "vlan")
                            self._segment_path = lambda: "maximum"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.PortSecurity.Maximum, ['max_addresses', 'vlan'], name, value)


                class Trunk(Entity):
                    """
                    Set trunking characteristics of the interface
                    
                    .. attribute:: allowed
                    
                    	Set allowed VLAN characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Allowed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Trunk.Allowed>`
                    
                    .. attribute:: encapsulation
                    
                    	Set encapsulation format on trunk port
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Trunk.Encapsulation>`
                    
                    .. attribute:: native
                    
                    	Set trunking native characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Native <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Trunk.Native>`
                    
                    .. attribute:: pruning
                    
                    	Set pruning VLAN characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Pruning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Trunk.Pruning>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Switchport.Trunk, self).__init__()

                        self.yang_name = "trunk"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"allowed" : ("allowed", Native.Interface.GigabitEthernet.Switchport.Trunk.Allowed), "native" : ("native", Native.Interface.GigabitEthernet.Switchport.Trunk.Native), "pruning" : ("pruning", Native.Interface.GigabitEthernet.Switchport.Trunk.Pruning)}
                        self._child_list_classes = {}

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.allowed = Native.Interface.GigabitEthernet.Switchport.Trunk.Allowed()
                        self.allowed.parent = self
                        self._children_name_map["allowed"] = "allowed"
                        self._children_yang_names.add("allowed")

                        self.native = Native.Interface.GigabitEthernet.Switchport.Trunk.Native()
                        self.native.parent = self
                        self._children_name_map["native"] = "native"
                        self._children_yang_names.add("native")

                        self.pruning = Native.Interface.GigabitEthernet.Switchport.Trunk.Pruning()
                        self.pruning.parent = self
                        self._children_name_map["pruning"] = "pruning"
                        self._children_yang_names.add("pruning")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:trunk"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.Trunk, ['encapsulation'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Set encapsulation format on trunk port

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: negotiate = 2

                        """

                        dot1q = Enum.YLeaf(0, "dot1q")

                        isl = Enum.YLeaf(1, "isl")

                        negotiate = Enum.YLeaf(2, "negotiate")



                    class Allowed(Entity):
                        """
                        Set allowed VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set allowed VLANs when interface is in trunking mode
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Trunk.Allowed.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.Trunk.Allowed, self).__init__()

                            self.yang_name = "allowed"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.GigabitEthernet.Switchport.Trunk.Allowed.Vlan)}
                            self._child_list_classes = {}

                            self.vlan = Native.Interface.GigabitEthernet.Switchport.Trunk.Allowed.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "allowed"


                        class Vlan(Entity):
                            """
                            Set allowed VLANs when interface is in trunking mode
                            
                            .. attribute:: vlans
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            .. attribute:: all
                            
                            	all VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Switchport.Trunk.Allowed.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "allowed"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vlans = YLeaf(YType.str, "vlans")

                                self.add = YLeaf(YType.str, "add")

                                self.all = YLeaf(YType.empty, "all")

                                self.except_ = YLeafList(YType.str, "except")

                                self.none = YLeaf(YType.empty, "none")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.Trunk.Allowed.Vlan, ['vlans', 'add', 'all', 'except_', 'none', 'remove'], name, value)


                    class Native(Entity):
                        """
                        Set trunking native characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set native VLAN when interface is in trunking mode
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native.Vlan>`
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.Trunk.Native, self).__init__()

                            self.yang_name = "native"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")
                            self._segment_path = lambda: "native"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.Trunk.Native, ['vlan'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            Set native VLAN when interface is in trunking mode

                            .. data:: tag = 0

                            """

                            tag = Enum.YLeaf(0, "tag")



                    class Pruning(Entity):
                        """
                        Set pruning VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set VLANs enabled for pruning when interface is in trunking mode
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Trunk.Pruning.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.Trunk.Pruning, self).__init__()

                            self.yang_name = "pruning"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.GigabitEthernet.Switchport.Trunk.Pruning.Vlan)}
                            self._child_list_classes = {}

                            self.vlan = Native.Interface.GigabitEthernet.Switchport.Trunk.Pruning.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "pruning"


                        class Vlan(Entity):
                            """
                            Set VLANs enabled for pruning when interface is in trunking mode
                            
                            .. attribute:: vlans
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Switchport.Trunk.Pruning.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "pruning"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vlans = YLeafList(YType.str, "vlans")

                                self.add = YLeaf(YType.str, "add")

                                self.except_ = YLeafList(YType.str, "except")

                                self.none = YLeaf(YType.empty, "none")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.Trunk.Pruning.Vlan, ['vlans', 'add', 'except_', 'none', 'remove'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Voice.Vlan>`
                    
                    .. attribute:: detect
                    
                    	detection enhancement keyword
                    	**type**\:  :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Voice.Detect>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.GigabitEthernet.Switchport.Voice.Vlan), "detect" : ("detect", Native.Interface.GigabitEthernet.Switchport.Voice.Detect)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.GigabitEthernet.Switchport.Voice.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")

                        self.detect = Native.Interface.GigabitEthernet.Switchport.Voice.Detect()
                        self.detect.parent = self
                        self._children_name_map["detect"] = "detect"
                        self._children_yang_names.add("detect")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:voice"


                    class Vlan(Entity):
                        """
                        Vlan for voice traffic
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.Vlan>`
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        		**type**\: str
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.Voice.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "voice"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.Voice.Vlan, ['vlan', 'name'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            .. data:: dot1p = 0

                            .. data:: none = 1

                            .. data:: untagged = 2

                            """

                            dot1p = Enum.YLeaf(0, "dot1p")

                            none = Enum.YLeaf(1, "none")

                            untagged = Enum.YLeaf(2, "untagged")



                    class Detect(Entity):
                        """
                        detection enhancement keyword
                        
                        .. attribute:: cisco_phone
                        
                        	Cisco IP phone
                        	**type**\:  :py:class:`CiscoPhone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Voice.Detect.CiscoPhone>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.Voice.Detect, self).__init__()

                            self.yang_name = "detect"
                            self.yang_parent_name = "voice"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cisco-phone" : ("cisco_phone", Native.Interface.GigabitEthernet.Switchport.Voice.Detect.CiscoPhone)}
                            self._child_list_classes = {}

                            self.cisco_phone = None
                            self._children_name_map["cisco_phone"] = "cisco-phone"
                            self._children_yang_names.add("cisco-phone")
                            self._segment_path = lambda: "detect"


                        class CiscoPhone(Entity):
                            """
                            Cisco IP phone
                            
                            .. attribute:: full_duplex
                            
                            	full duplex keyword
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Switchport.Voice.Detect.CiscoPhone, self).__init__()

                                self.yang_name = "cisco-phone"
                                self.yang_parent_name = "detect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.full_duplex = YLeaf(YType.empty, "full-duplex")
                                self._segment_path = lambda: "cisco-phone"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.Voice.Detect.CiscoPhone, ['full_duplex'], name, value)


                class Priority(Entity):
                    """
                    Set appliance 802.1p priority
                    
                    .. attribute:: extend
                    
                    	Set appliance 802.1p priority
                    	**type**\:  :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.Priority.Extend>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Switchport.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"extend" : ("extend", Native.Interface.GigabitEthernet.Switchport.Priority.Extend)}
                        self._child_list_classes = {}

                        self.extend = Native.Interface.GigabitEthernet.Switchport.Priority.Extend()
                        self.extend.parent = self
                        self._children_name_map["extend"] = "extend"
                        self._children_yang_names.add("extend")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:priority"


                    class Extend(Entity):
                        """
                        Set appliance 802.1p priority
                        
                        .. attribute:: trust
                        
                        	Trust 802.1p priorities of devices on appliance
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cos
                        
                        	Override 802.1p priority of devices on appliance
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.Priority.Extend, self).__init__()

                            self.yang_name = "extend"
                            self.yang_parent_name = "priority"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.cos = YLeaf(YType.uint8, "cos")
                            self._segment_path = lambda: "extend"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.Priority.Extend, ['trust', 'cos'], name, value)


                class Autostate(Entity):
                    """
                    Include or exclude this port from vlan link up calculation
                    
                    .. attribute:: exclude
                    
                    	Exclude this port from vlan link up calculation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Switchport.Autostate, self).__init__()

                        self.yang_name = "autostate"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.exclude = YLeaf(YType.empty, "exclude")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:autostate"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.Autostate, ['exclude'], name, value)


                class PrivateVlan(Entity):
                    """
                    Set the private VLAN configuration
                    
                    .. attribute:: association
                    
                    	Set the private VLAN association
                    	**type**\:  :py:class:`Association <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association>`
                    
                    .. attribute:: host_association
                    
                    	Set the private VLAN host association
                    	**type**\:  :py:class:`HostAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.PrivateVlan.HostAssociation>`
                    
                    .. attribute:: mapping
                    
                    	Set the private VLAN promiscuous mapping
                    	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Mapping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Switchport.PrivateVlan, self).__init__()

                        self.yang_name = "private-vlan"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"association" : ("association", Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association), "host-association" : ("host_association", Native.Interface.GigabitEthernet.Switchport.PrivateVlan.HostAssociation), "mapping" : ("mapping", Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Mapping)}
                        self._child_list_classes = {}

                        self.association = Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association()
                        self.association.parent = self
                        self._children_name_map["association"] = "association"
                        self._children_yang_names.add("association")

                        self.host_association = Native.Interface.GigabitEthernet.Switchport.PrivateVlan.HostAssociation()
                        self.host_association.parent = self
                        self._children_name_map["host_association"] = "host-association"
                        self._children_yang_names.add("host-association")

                        self.mapping = Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Mapping()
                        self.mapping.parent = self
                        self._children_name_map["mapping"] = "mapping"
                        self._children_yang_names.add("mapping")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:private-vlan"


                    class Association(Entity):
                        """
                        Set the private VLAN association
                        
                        .. attribute:: host
                        
                        	Set the private VLAN host association
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association.Host>`
                        
                        .. attribute:: mapping
                        
                        	Set the private VLAN promiscuous mapping
                        	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association.Mapping>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association, self).__init__()

                            self.yang_name = "association"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"host" : ("host", Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association.Host), "mapping" : ("mapping", Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association.Mapping)}
                            self._child_list_classes = {}

                            self.host = Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.mapping = Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association.Mapping()
                            self.mapping.parent = self
                            self._children_name_map["mapping"] = "mapping"
                            self._children_yang_names.add("mapping")
                            self._segment_path = lambda: "association"


                        class Host(Entity):
                            """
                            Set the private VLAN host association
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN port association
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary normal range VLAN ID of the private VLAN host port association
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary_range = YLeaf(YType.uint16, "primary-range")

                                self.secondary_range = YLeaf(YType.uint16, "secondary-range")
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association.Host, ['primary_range', 'secondary_range'], name, value)


                        class Mapping(Entity):
                            """
                            Set the private VLAN promiscuous mapping
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            .. attribute:: add
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            .. attribute:: remove
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association.Mapping, self).__init__()

                                self.yang_name = "mapping"
                                self.yang_parent_name = "association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary_range = YLeaf(YType.uint16, "primary-range")

                                self.secondary_range = YLeaf(YType.str, "secondary-range")

                                self.add = YLeaf(YType.str, "add")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "mapping"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Association.Mapping, ['primary_range', 'secondary_range', 'add', 'remove'], name, value)


                    class HostAssociation(Entity):
                        """
                        Set the private VLAN host association
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN port association
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary normal range VLAN ID of the private VLAN host port association
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.PrivateVlan.HostAssociation, self).__init__()

                            self.yang_name = "host-association"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary_range = YLeaf(YType.uint16, "primary-range")

                            self.secondary_range = YLeaf(YType.uint16, "secondary-range")
                            self._segment_path = lambda: "host-association"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.PrivateVlan.HostAssociation, ['primary_range', 'secondary_range'], name, value)


                    class Mapping(Entity):
                        """
                        Set the private VLAN promiscuous mapping
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        .. attribute:: add
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        .. attribute:: remove
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Mapping, self).__init__()

                            self.yang_name = "mapping"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary_range = YLeaf(YType.uint16, "primary-range")

                            self.secondary_range = YLeaf(YType.str, "secondary-range")

                            self.add = YLeaf(YType.str, "add")

                            self.remove = YLeaf(YType.str, "remove")
                            self._segment_path = lambda: "mapping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.PrivateVlan.Mapping, ['primary_range', 'secondary_range', 'add', 'remove'], name, value)


                class DeviceTracking(Entity):
                    """
                    Configure device\-tracking on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature device\-tracking
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Switchport.DeviceTracking, self).__init__()

                        self.yang_name = "device-tracking"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:device-tracking"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Switchport.DeviceTracking, ['attach_policy'], name, value)


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.GigabitEthernet.Backup.Delay), "interface" : ("interface", Native.Interface.GigabitEthernet.Backup.Interface), "load" : ("load", Native.Interface.GigabitEthernet.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.GigabitEthernet.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.GigabitEthernet.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.GigabitEthernet.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.GigabitEthernet.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.GigabitEthernet.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.GigabitEthernet.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.GigabitEthernet.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.GigabitEthernet.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.GigabitEthernet.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.GigabitEthernet.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.GigabitEthernet.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.GigabitEthernet.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.GigabitEthernet.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.GigabitEthernet.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.GigabitEthernet.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.GigabitEthernet.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.GigabitEthernet.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.GigabitEthernet.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.GigabitEthernet.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.GigabitEthernet.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.GigabitEthernet.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.GigabitEthernet.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.GigabitEthernet.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.GigabitEthernet.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.GigabitEthernet.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.GigabitEthernet.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:  :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:  :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:  :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:  :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4294967295
                
                		**type**\:  :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroup>`
                
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Network>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Protocol>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:  :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-isis:adjacency-filter" : ("adjacency_filter", Native.Interface.GigabitEthernet.Isis.AdjacencyFilter), "Cisco-IOS-XE-isis:advertise" : ("advertise", Native.Interface.GigabitEthernet.Isis.Advertise), "Cisco-IOS-XE-isis:authentication" : ("authentication", Native.Interface.GigabitEthernet.Isis.Authentication), "Cisco-IOS-XE-isis:circuit-type" : ("circuit_type", Native.Interface.GigabitEthernet.Isis.CircuitType), "Cisco-IOS-XE-isis:csnp-interval" : ("csnp_interval", Native.Interface.GigabitEthernet.Isis.CsnpInterval), "Cisco-IOS-XE-isis:hello" : ("hello", Native.Interface.GigabitEthernet.Isis.Hello), "Cisco-IOS-XE-isis:hello-interval" : ("hello_interval", Native.Interface.GigabitEthernet.Isis.HelloInterval), "Cisco-IOS-XE-isis:hello-multiplier" : ("hello_multiplier", Native.Interface.GigabitEthernet.Isis.HelloMultiplier), "Cisco-IOS-XE-isis:ipv6" : ("ipv6", Native.Interface.GigabitEthernet.Isis.Ipv6), "Cisco-IOS-XE-isis:metric" : ("metric", Native.Interface.GigabitEthernet.Isis.Metric), "Cisco-IOS-XE-isis:password" : ("password", Native.Interface.GigabitEthernet.Isis.Password), "Cisco-IOS-XE-isis:priority" : ("priority", Native.Interface.GigabitEthernet.Isis.Priority), "Cisco-IOS-XE-isis:three-way-handshake" : ("three_way_handshake", Native.Interface.GigabitEthernet.Isis.ThreeWayHandshake)}
                    self._child_list_classes = {}

                    self.lsp_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:lsp-interval")

                    self.mesh_group = YLeaf(YType.str, "Cisco-IOS-XE-isis:mesh-group")

                    self.network = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:network")

                    self.protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:protocol")

                    self.retransmit_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-interval")

                    self.retransmit_throttle_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-throttle-interval")

                    self.tag = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:tag")

                    self.adjacency_filter = Native.Interface.GigabitEthernet.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self._children_name_map["adjacency_filter"] = "adjacency-filter"
                    self._children_yang_names.add("adjacency-filter")

                    self.advertise = Native.Interface.GigabitEthernet.Isis.Advertise()
                    self.advertise.parent = self
                    self._children_name_map["advertise"] = "advertise"
                    self._children_yang_names.add("advertise")

                    self.authentication = Native.Interface.GigabitEthernet.Isis.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.circuit_type = None
                    self._children_name_map["circuit_type"] = "circuit-type"
                    self._children_yang_names.add("circuit-type")

                    self.csnp_interval = Native.Interface.GigabitEthernet.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self._children_name_map["csnp_interval"] = "csnp-interval"
                    self._children_yang_names.add("csnp-interval")

                    self.hello = Native.Interface.GigabitEthernet.Isis.Hello()
                    self.hello.parent = self
                    self._children_name_map["hello"] = "hello"
                    self._children_yang_names.add("hello")

                    self.hello_interval = Native.Interface.GigabitEthernet.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.hello_multiplier = Native.Interface.GigabitEthernet.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self._children_name_map["hello_multiplier"] = "hello-multiplier"
                    self._children_yang_names.add("hello-multiplier")

                    self.ipv6 = Native.Interface.GigabitEthernet.Isis.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.metric = Native.Interface.GigabitEthernet.Isis.Metric()
                    self.metric.parent = self
                    self._children_name_map["metric"] = "metric"
                    self._children_yang_names.add("metric")

                    self.password = Native.Interface.GigabitEthernet.Isis.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")

                    self.priority = Native.Interface.GigabitEthernet.Isis.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.three_way_handshake = None
                    self._children_name_map["three_way_handshake"] = "three-way-handshake"
                    self._children_yang_names.add("three-way-handshake")
                    self._segment_path = lambda: "isis"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Isis, ['lsp_interval', 'mesh_group', 'network', 'protocol', 'retransmit_interval', 'retransmit_throttle_interval', 'tag'], name, value)

                class MeshGroup(Enum):
                    """
                    MeshGroup

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = Enum.YLeaf(0, "blocked")


                class Network(Enum):
                    """
                    Network

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = Enum.YLeaf(0, "point-to-point")


                class Protocol(Enum):
                    """
                    Protocol

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = Enum.YLeaf(0, "shutdown")



                class AdjacencyFilter(Entity):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Isis.AdjacencyFilter, self).__init__()

                        self.yang_name = "adjacency-filter"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.match_all = YLeaf(YType.empty, "match-all")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:adjacency-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Isis.AdjacencyFilter, ['name', 'match_all'], name, value)


                class Advertise(Entity):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Isis.Advertise, self).__init__()

                        self.yang_name = "advertise"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.prefix = YLeaf(YType.empty, "prefix")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:advertise"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Advertise, ['prefix'], name, value)


                class Authentication(Entity):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Authentication.Mode>`
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:  :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Isis.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mode" : ("mode", Native.Interface.GigabitEthernet.Isis.Authentication.Mode), "key-chain" : ("key_chain", Native.Interface.GigabitEthernet.Isis.Authentication.KeyChain), "send-only" : ("send_only", Native.Interface.GigabitEthernet.Isis.Authentication.SendOnly)}
                        self._child_list_classes = {}

                        self.mode = Native.Interface.GigabitEthernet.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")

                        self.key_chain = Native.Interface.GigabitEthernet.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.send_only = None
                        self._children_name_map["send_only"] = "send-only"
                        self._children_yang_names.add("send-only")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:authentication"


                    class Mode(Entity):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:  :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Isis.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.GigabitEthernet.Isis.Authentication.Mode.Md5), "text" : ("text", Native.Interface.GigabitEthernet.Isis.Authentication.Mode.Text)}
                            self._child_list_classes = {}

                            self.md5 = None
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.text = None
                            self._children_name_map["text"] = "text"
                            self._children_yang_names.add("text")
                            self._segment_path = lambda: "mode"


                        class Md5(Entity):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Isis.Authentication.Mode.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Authentication.Mode.Md5, ['levels'], name, value)


                        class Text(Entity):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Isis.Authentication.Mode.Text, self).__init__()

                                self.yang_name = "text"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "text"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Authentication.Mode.Text, ['levels'], name, value)


                    class KeyChain(Entity):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of  		 :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Isis.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"key-chain-list" : ("key_chain_list", Native.Interface.GigabitEthernet.Isis.Authentication.KeyChain.KeyChainList)}

                            self.name = YLeaf(YType.str, "name")

                            self.key_chain_list = YList(self)
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Authentication.KeyChain, ['name'], name, value)


                        class KeyChainList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Isis.Authentication.KeyChain.KeyChainList, self).__init__()

                                self.yang_name = "key-chain-list"
                                self.yang_parent_name = "key-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Authentication.KeyChain.KeyChainList, ['levels', 'name'], name, value)


                    class SendOnly(Entity):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Isis.Authentication.SendOnly, self).__init__()

                            self.yang_name = "send-only"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")
                            self._segment_path = lambda: "send-only"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Authentication.SendOnly, ['levels'], name, value)


                class CircuitType(Entity):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.CircuitType.Levels>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Isis.CircuitType, self).__init__()

                        self.yang_name = "circuit-type"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.levels = YLeaf(YType.enumeration, "levels")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:circuit-type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Isis.CircuitType, ['levels'], name, value)

                    class Levels(Enum):
                        """
                        Levels

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = Enum.YLeaf(0, "level-1")

                        level_1_2 = Enum.YLeaf(1, "level-1-2")

                        level_2_only = Enum.YLeaf(2, "level-2-only")



                class CsnpInterval(Entity):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Isis.CsnpInterval, self).__init__()

                        self.yang_name = "csnp-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"csnp-interval-list" : ("csnp_interval_list", Native.Interface.GigabitEthernet.Isis.CsnpInterval.CsnpIntervalList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.csnp_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:csnp-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Isis.CsnpInterval, ['value'], name, value)


                    class CsnpIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.CsnpInterval.CsnpIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Isis.CsnpInterval.CsnpIntervalList, self).__init__()

                            self.yang_name = "csnp-interval-list"
                            self.yang_parent_name = "csnp-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "csnp-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Isis.CsnpInterval.CsnpIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Hello(Entity):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Isis.Hello, self).__init__()

                        self.yang_name = "hello"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"padding" : ("padding", Native.Interface.GigabitEthernet.Isis.Hello.Padding)}
                        self._child_list_classes = {}

                        self.padding = None
                        self._children_name_map["padding"] = "padding"
                        self._children_yang_names.add("padding")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello"


                    class Padding(Entity):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Isis.Hello.Padding, self).__init__()

                            self.yang_name = "padding"
                            self.yang_parent_name = "hello"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.always = YLeaf(YType.empty, "always")
                            self._segment_path = lambda: "padding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Hello.Padding, ['always'], name, value)


                class HelloInterval(Entity):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..65535
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Isis.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-interval-list" : ("hello_interval_list", Native.Interface.GigabitEthernet.Isis.HelloInterval.HelloIntervalList)}

                        self.value = YLeaf(YType.str, "value")

                        self.hello_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Isis.HelloInterval, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: minimal = 0

                        """

                        minimal = Enum.YLeaf(0, "minimal")



                    class HelloIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.HelloInterval.HelloIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..65535
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Isis.HelloInterval.HelloIntervalList, self).__init__()

                            self.yang_name = "hello-interval-list"
                            self.yang_parent_name = "hello-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "hello-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Isis.HelloInterval.HelloIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: minimal = 0

                            """

                            minimal = Enum.YLeaf(0, "minimal")



                class HelloMultiplier(Entity):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Isis.HelloMultiplier, self).__init__()

                        self.yang_name = "hello-multiplier"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-multiplier-list" : ("hello_multiplier_list", Native.Interface.GigabitEthernet.Isis.HelloMultiplier.HelloMultiplierList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.hello_multiplier_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-multiplier"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Isis.HelloMultiplier, ['value'], name, value)


                    class HelloMultiplierList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.HelloMultiplier.HelloMultiplierList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Isis.HelloMultiplier.HelloMultiplierList, self).__init__()

                            self.yang_name = "hello-multiplier-list"
                            self.yang_parent_name = "hello-multiplier"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "hello-multiplier-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Isis.HelloMultiplier.HelloMultiplierList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Ipv6(Entity):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Isis.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"metric" : ("metric", Native.Interface.GigabitEthernet.Isis.Ipv6.Metric)}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.uint32, "tag")

                        self.metric = Native.Interface.GigabitEthernet.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Ipv6, ['tag'], name, value)


                    class Metric(Entity):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Isis.Ipv6.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.GigabitEthernet.Isis.Ipv6.Metric.MetricList)}

                            self.value = YLeaf(YType.str, "value")

                            self.metric_list = YList(self)
                            self._segment_path = lambda: "metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Ipv6.Metric, ['value'], name, value)

                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                        class MetricList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Ipv6.Metric.MetricList.Levels>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..16777214
                            
                            		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Isis.Ipv6.Metric.MetricList, self).__init__()

                                self.yang_name = "metric-list"
                                self.yang_parent_name = "metric"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.value = YLeaf(YType.str, "value")
                                self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Ipv6.Metric.MetricList, ['levels', 'value'], name, value)

                            class Levels(Enum):
                                """
                                Levels

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")


                            class Value(Enum):
                                """
                                Value

                                .. data:: maximum = 0

                                """

                                maximum = Enum.YLeaf(0, "maximum")



                class Metric(Entity):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..16777214
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Isis.Metric, self).__init__()

                        self.yang_name = "metric"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.GigabitEthernet.Isis.Metric.MetricList)}

                        self.value = YLeaf(YType.str, "value")

                        self.metric_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:metric"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Metric, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: maximum = 0

                        """

                        maximum = Enum.YLeaf(0, "maximum")



                    class MetricList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Metric.MetricList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Isis.Metric.MetricList, self).__init__()

                            self.yang_name = "metric-list"
                            self.yang_parent_name = "metric"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Metric.MetricList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                class Password(Entity):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Password.PasswordList>`
                    
                    .. attribute:: password
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Isis.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"password-list" : ("password_list", Native.Interface.GigabitEthernet.Isis.Password.PasswordList)}

                        self.password = YLeaf(YType.str, "password")

                        self.password_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Password, ['password'], name, value)


                    class PasswordList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Password.PasswordList.Levels>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Isis.Password.PasswordList, self).__init__()

                            self.yang_name = "password-list"
                            self.yang_parent_name = "password"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.password = YLeaf(YType.str, "password")
                            self._segment_path = lambda: "password-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Password.PasswordList, ['levels', 'password'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Priority(Entity):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Isis.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"priority-list" : ("priority_list", Native.Interface.GigabitEthernet.Isis.Priority.PriorityList)}

                        self.value = YLeaf(YType.uint8, "value")

                        self.priority_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Priority, ['value'], name, value)


                    class PriorityList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.Priority.PriorityList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Isis.Priority.PriorityList, self).__init__()

                            self.yang_name = "priority-list"
                            self.yang_parent_name = "priority"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint8, "value")
                            self._segment_path = lambda: "priority-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Isis.Priority.PriorityList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class ThreeWayHandshake(Entity):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:  :py:class:`Implementor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Isis.ThreeWayHandshake.Implementor>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Isis.ThreeWayHandshake, self).__init__()

                        self.yang_name = "three-way-handshake"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.implementor = YLeaf(YType.enumeration, "implementor")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:three-way-handshake"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Isis.ThreeWayHandshake, ['implementor'], name, value)

                    class Implementor(Enum):
                        """
                        Implementor

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = Enum.YLeaf(0, "cisco")

                        ietf = Enum.YLeaf(1, "ietf")



            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.GigabitEthernet.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                .. attribute:: template
                
                	BFD template
                	**type**\: str
                
                .. attribute:: interval
                
                	Transmit interval between BFD packets
                	**type**\:  :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Bfd.Interval>`
                
                .. attribute:: echo
                
                	Use echo adjunct as bfd detection mechanism
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-bfd:interval" : ("interval", Native.Interface.GigabitEthernet.Bfd.Interval)}
                    self._child_list_classes = {}

                    self.template = YLeaf(YType.str, "Cisco-IOS-XE-bfd:template")

                    self.echo = YLeaf(YType.boolean, "Cisco-IOS-XE-bfd:echo")

                    self.interval = Native.Interface.GigabitEthernet.Bfd.Interval()
                    self.interval.parent = self
                    self._children_name_map["interval"] = "interval"
                    self._children_yang_names.add("interval")
                    self._segment_path = lambda: "bfd"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Bfd, ['template', 'echo'], name, value)


                class Interval(Entity):
                    """
                    Transmit interval between BFD packets
                    
                    .. attribute:: msecs
                    
                    	
                    	**type**\: int
                    
                    	**range:** 50..9999
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\: int
                    
                    	**range:** 50..9999
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\: int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Bfd.Interval, self).__init__()

                        self.yang_name = "interval"
                        self.yang_parent_name = "bfd"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.msecs = YLeaf(YType.uint16, "msecs")

                        self.min_rx = YLeaf(YType.uint16, "min_rx")

                        self.multiplier = YLeaf(YType.uint8, "multiplier")
                        self._segment_path = lambda: "Cisco-IOS-XE-bfd:interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Bfd.Interval, ['msecs', 'min_rx', 'multiplier'], name, value)


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.GigabitEthernet.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.GigabitEthernet.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.GigabitEthernet.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.GigabitEthernet.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.GigabitEthernet.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                .. attribute:: accounting
                
                	Enable MPLS accounting on this interface
                	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls.Accounting>`
                
                .. attribute:: bgp
                
                	MPLS BGP
                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls.Bgp>`
                
                .. attribute:: ip
                
                	Configure dynamic MPLS forwarding for IP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: label
                
                	Label properties
                	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls.Label>`
                
                .. attribute:: ldp
                
                	Configure Label Distribution Protocol (LDP) parameters
                	**type**\:  :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls.Ldp>`
                
                .. attribute:: mtu
                
                	Set MPLS Maximum Transmission Unit
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1501..1524
                
                		**type**\: int
                
                			**range:** 64..1500
                
                		**type**\: int
                
                			**range:** 64..9216
                
                .. attribute:: traffic_eng
                
                	Configure Traffic Engineering parameters
                	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-mpls:accounting" : ("accounting", Native.Interface.GigabitEthernet.Mpls.Accounting), "Cisco-IOS-XE-mpls:bgp" : ("bgp", Native.Interface.GigabitEthernet.Mpls.Bgp), "Cisco-IOS-XE-mpls:label" : ("label", Native.Interface.GigabitEthernet.Mpls.Label), "Cisco-IOS-XE-mpls:ldp" : ("ldp", Native.Interface.GigabitEthernet.Mpls.Ldp), "Cisco-IOS-XE-mpls:traffic-eng" : ("traffic_eng", Native.Interface.GigabitEthernet.Mpls.TrafficEng)}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.empty, "Cisco-IOS-XE-mpls:ip")

                    self.mtu = YLeaf(YType.str, "Cisco-IOS-XE-mpls:mtu")

                    self.accounting = Native.Interface.GigabitEthernet.Mpls.Accounting()
                    self.accounting.parent = self
                    self._children_name_map["accounting"] = "accounting"
                    self._children_yang_names.add("accounting")

                    self.bgp = Native.Interface.GigabitEthernet.Mpls.Bgp()
                    self.bgp.parent = self
                    self._children_name_map["bgp"] = "bgp"
                    self._children_yang_names.add("bgp")

                    self.label = Native.Interface.GigabitEthernet.Mpls.Label()
                    self.label.parent = self
                    self._children_name_map["label"] = "label"
                    self._children_yang_names.add("label")

                    self.ldp = Native.Interface.GigabitEthernet.Mpls.Ldp()
                    self.ldp.parent = self
                    self._children_name_map["ldp"] = "ldp"
                    self._children_yang_names.add("ldp")

                    self.traffic_eng = Native.Interface.GigabitEthernet.Mpls.TrafficEng()
                    self.traffic_eng.parent = self
                    self._children_name_map["traffic_eng"] = "traffic-eng"
                    self._children_yang_names.add("traffic-eng")
                    self._segment_path = lambda: "mpls"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Mpls, ['ip', 'mtu'], name, value)


                class Accounting(Entity):
                    """
                    Enable MPLS accounting on this interface
                    
                    .. attribute:: experimental
                    
                    	Count packets by MPLS experimental value on this interface
                    	**type**\:  :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls.Accounting.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Mpls.Accounting, self).__init__()

                        self.yang_name = "accounting"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"experimental" : ("experimental", Native.Interface.GigabitEthernet.Mpls.Accounting.Experimental)}
                        self._child_list_classes = {}

                        self.experimental = Native.Interface.GigabitEthernet.Mpls.Accounting.Experimental()
                        self.experimental.parent = self
                        self._children_name_map["experimental"] = "experimental"
                        self._children_yang_names.add("experimental")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:accounting"


                    class Experimental(Entity):
                        """
                        Count packets by MPLS experimental value on this interface
                        
                        .. attribute:: input
                        
                        	received packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	transmitted packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Mpls.Accounting.Experimental, self).__init__()

                            self.yang_name = "experimental"
                            self.yang_parent_name = "accounting"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")
                            self._segment_path = lambda: "experimental"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Mpls.Accounting.Experimental, ['input', 'output'], name, value)


                class Bgp(Entity):
                    """
                    MPLS BGP
                    
                    .. attribute:: forwarding
                    
                    	Configure MPLS forwarding for directly connected BGP peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Mpls.Bgp, self).__init__()

                        self.yang_name = "bgp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.forwarding = YLeaf(YType.empty, "forwarding")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:bgp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Mpls.Bgp, ['forwarding'], name, value)


                class Label(Entity):
                    """
                    Label properties
                    
                    .. attribute:: protocol
                    
                    	Configure label/tag distribution protocol (LDP/TDP)
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls.Label.Protocol>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Mpls.Label, self).__init__()

                        self.yang_name = "label"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.protocol = YLeaf(YType.enumeration, "protocol")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:label"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Mpls.Label, ['protocol'], name, value)

                    class Protocol(Enum):
                        """
                        Protocol

                        Configure label/tag distribution protocol (LDP/TDP)

                        .. data:: both = 0

                        .. data:: ldp = 1

                        .. data:: tdp = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        ldp = Enum.YLeaf(1, "ldp")

                        tdp = Enum.YLeaf(2, "tdp")



                class Ldp(Entity):
                    """
                    Configure Label Distribution Protocol (LDP) parameters
                    
                    .. attribute:: discovery
                    
                    	Configure interface LDP Discovery parameters
                    	**type**\:  :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls.Ldp.Discovery>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Mpls.Ldp, self).__init__()

                        self.yang_name = "ldp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"discovery" : ("discovery", Native.Interface.GigabitEthernet.Mpls.Ldp.Discovery)}
                        self._child_list_classes = {}

                        self.discovery = Native.Interface.GigabitEthernet.Mpls.Ldp.Discovery()
                        self.discovery.parent = self
                        self._children_name_map["discovery"] = "discovery"
                        self._children_yang_names.add("discovery")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:ldp"


                    class Discovery(Entity):
                        """
                        Configure interface LDP Discovery parameters
                        
                        .. attribute:: transport_address
                        
                        	Specify interface LDP transport address
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`LdpDiscoveryAddressType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.LdpDiscoveryAddressType>`
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Mpls.Ldp.Discovery, self).__init__()

                            self.yang_name = "discovery"
                            self.yang_parent_name = "ldp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.transport_address = YLeaf(YType.str, "transport-address")
                            self._segment_path = lambda: "discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Mpls.Ldp.Discovery, ['transport_address'], name, value)


                class TrafficEng(Entity):
                    """
                    Configure Traffic Engineering parameters
                    
                    .. attribute:: administrative_weight
                    
                    	Set the administrative weight for the interface\: <0..4294967295>
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_flags
                    
                    	Set user\-defined interface attibute flags\:  <0x0\-0xFFFFFFFF>
                    	**type**\: str
                    
                    	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                    
                    .. attribute:: backup_path
                    
                    	Configure an MPLS TE backup for this interface
                    	**type**\:  :py:class:`BackupPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls.TrafficEng.BackupPath>`
                    
                    .. attribute:: flooding
                    
                    	Set flooding parameters
                    	**type**\:  :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls.TrafficEng.Flooding>`
                    
                    .. attribute:: passive_interface
                    
                    	Force a flood of non\-IGP link
                    	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls.TrafficEng.PassiveInterface>`
                    
                    .. attribute:: tunnels
                    
                    	enable MPLS Traffic Engineering tunnels
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Mpls.TrafficEng, self).__init__()

                        self.yang_name = "traffic-eng"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup-path" : ("backup_path", Native.Interface.GigabitEthernet.Mpls.TrafficEng.BackupPath), "flooding" : ("flooding", Native.Interface.GigabitEthernet.Mpls.TrafficEng.Flooding), "passive-interface" : ("passive_interface", Native.Interface.GigabitEthernet.Mpls.TrafficEng.PassiveInterface)}
                        self._child_list_classes = {}

                        self.administrative_weight = YLeaf(YType.uint32, "administrative-weight")

                        self.attribute_flags = YLeaf(YType.str, "attribute-flags")

                        self.tunnels = YLeaf(YType.empty, "tunnels")

                        self.backup_path = Native.Interface.GigabitEthernet.Mpls.TrafficEng.BackupPath()
                        self.backup_path.parent = self
                        self._children_name_map["backup_path"] = "backup-path"
                        self._children_yang_names.add("backup-path")

                        self.flooding = Native.Interface.GigabitEthernet.Mpls.TrafficEng.Flooding()
                        self.flooding.parent = self
                        self._children_name_map["flooding"] = "flooding"
                        self._children_yang_names.add("flooding")

                        self.passive_interface = Native.Interface.GigabitEthernet.Mpls.TrafficEng.PassiveInterface()
                        self.passive_interface.parent = self
                        self._children_name_map["passive_interface"] = "passive-interface"
                        self._children_yang_names.add("passive-interface")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:traffic-eng"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Mpls.TrafficEng, ['administrative_weight', 'attribute_flags', 'tunnels'], name, value)


                    class BackupPath(Entity):
                        """
                        Configure an MPLS TE backup for this interface
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface number\: <0..2147483647>
                        	**type**\: int
                        
                        	**range:** 0..2147483647
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Mpls.TrafficEng.BackupPath, self).__init__()

                            self.yang_name = "backup-path"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")
                            self._segment_path = lambda: "backup-path"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Mpls.TrafficEng.BackupPath, ['tunnel'], name, value)


                    class Flooding(Entity):
                        """
                        Set flooding parameters
                        
                        .. attribute:: thresholds
                        
                        	Set flooding thresholds
                        	**type**\:  :py:class:`Thresholds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls.TrafficEng.Flooding.Thresholds>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Mpls.TrafficEng.Flooding, self).__init__()

                            self.yang_name = "flooding"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"thresholds" : ("thresholds", Native.Interface.GigabitEthernet.Mpls.TrafficEng.Flooding.Thresholds)}
                            self._child_list_classes = {}

                            self.thresholds = Native.Interface.GigabitEthernet.Mpls.TrafficEng.Flooding.Thresholds()
                            self.thresholds.parent = self
                            self._children_name_map["thresholds"] = "thresholds"
                            self._children_yang_names.add("thresholds")
                            self._segment_path = lambda: "flooding"


                        class Thresholds(Entity):
                            """
                            Set flooding thresholds
                            
                            .. attribute:: down
                            
                            	Set the thresholds for decreased resource availability in percentage\: <0..100>
                            	**type**\: list of int
                            
                            	**range:** 0..100
                            
                            .. attribute:: up
                            
                            	Set the thresholds for increased resource availability in percentage\: <0..100>
                            	**type**\: list of int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Mpls.TrafficEng.Flooding.Thresholds, self).__init__()

                                self.yang_name = "thresholds"
                                self.yang_parent_name = "flooding"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.down = YLeafList(YType.uint8, "down")

                                self.up = YLeafList(YType.uint8, "up")
                                self._segment_path = lambda: "thresholds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Mpls.TrafficEng.Flooding.Thresholds, ['down', 'up'], name, value)


                    class PassiveInterface(Entity):
                        """
                        Force a flood of non\-IGP link
                        
                        .. attribute:: nbr_te_id
                        
                        	Set the neighbor TE ID (router\-id)
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nbr_if_addr
                        
                        	Set the Neighbor IP interface address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nbr_igp_id
                        
                        	Set the Neighbor IGP ID (system\-id)
                        	**type**\:  :py:class:`NbrIgpId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Mpls.TrafficEng.PassiveInterface, self).__init__()

                            self.yang_name = "passive-interface"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"nbr-igp-id" : ("nbr_igp_id", Native.Interface.GigabitEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId)}
                            self._child_list_classes = {}

                            self.nbr_te_id = YLeaf(YType.str, "nbr-te-id")

                            self.nbr_if_addr = YLeaf(YType.str, "nbr-if-addr")

                            self.nbr_igp_id = Native.Interface.GigabitEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId()
                            self.nbr_igp_id.parent = self
                            self._children_name_map["nbr_igp_id"] = "nbr-igp-id"
                            self._children_yang_names.add("nbr-igp-id")
                            self._segment_path = lambda: "passive-interface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Mpls.TrafficEng.PassiveInterface, ['nbr_te_id', 'nbr_if_addr'], name, value)


                        class NbrIgpId(Entity):
                            """
                            Set the Neighbor IGP ID (system\-id)
                            
                            .. attribute:: isis
                            
                            	Set the neighbor ISIS node ID
                            	**type**\: str
                            
                            .. attribute:: ospf
                            
                            	Set the neighbor OSPF node ID
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId, self).__init__()

                                self.yang_name = "nbr-igp-id"
                                self.yang_parent_name = "passive-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.isis = YLeaf(YType.str, "isis")

                                self.ospf = YLeaf(YType.str, "ospf")
                                self._segment_path = lambda: "nbr-igp-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId, ['isis', 'ospf'], name, value)


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.GigabitEthernet.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.GigabitEthernet.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.GigabitEthernet.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.GigabitEthernet.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Verify>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Flow>`
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\: bool
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Igmp>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Lisp>`
                
                .. attribute:: nat
                
                	NAT interface commands
                	**type**\:  :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Nat>`
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:  :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Nbar>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf>`
                
                .. attribute:: rsvp
                
                	RSVP Interface Commands
                	**type**\:  :py:class:`Rsvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:  :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.GigabitEthernet.Ip.AccessGroup), "arp" : ("arp", Native.Interface.GigabitEthernet.Ip.Arp), "vrf" : ("vrf", Native.Interface.GigabitEthernet.Ip.Vrf), "no-address" : ("no_address", Native.Interface.GigabitEthernet.Ip.NoAddress), "address" : ("address", Native.Interface.GigabitEthernet.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.GigabitEthernet.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.GigabitEthernet.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.GigabitEthernet.Ip.HoldTime), "pim" : ("pim", Native.Interface.GigabitEthernet.Ip.Pim), "policy" : ("policy", Native.Interface.GigabitEthernet.Ip.Policy), "rip" : ("rip", Native.Interface.GigabitEthernet.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.GigabitEthernet.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.GigabitEthernet.Ip.RouteCache), "router" : ("router", Native.Interface.GigabitEthernet.Ip.Router), "tcp" : ("tcp", Native.Interface.GigabitEthernet.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.GigabitEthernet.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.GigabitEthernet.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.GigabitEthernet.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.GigabitEthernet.Ip.Verify), "Cisco-IOS-XE-flow:flow" : ("flow", Native.Interface.GigabitEthernet.Ip.Flow), "Cisco-IOS-XE-igmp:igmp" : ("igmp", Native.Interface.GigabitEthernet.Ip.Igmp), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Interface.GigabitEthernet.Ip.Lisp), "Cisco-IOS-XE-nat:nat" : ("nat", Native.Interface.GigabitEthernet.Ip.Nat), "Cisco-IOS-XE-nbar:nbar" : ("nbar", Native.Interface.GigabitEthernet.Ip.Nbar), "Cisco-IOS-XE-ospf:ospf" : ("ospf", Native.Interface.GigabitEthernet.Ip.Ospf), "Cisco-IOS-XE-rsvp:rsvp" : ("rsvp", Native.Interface.GigabitEthernet.Ip.Rsvp), "Cisco-IOS-XE-wccp:wccp" : ("wccp", Native.Interface.GigabitEthernet.Ip.Wccp)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.GigabitEthernet.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.unreachables = YLeaf(YType.boolean, "Cisco-IOS-XE-icmp:unreachables")

                    self.access_group = Native.Interface.GigabitEthernet.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.GigabitEthernet.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.GigabitEthernet.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.GigabitEthernet.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.GigabitEthernet.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.GigabitEthernet.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.GigabitEthernet.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.GigabitEthernet.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.GigabitEthernet.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.GigabitEthernet.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.GigabitEthernet.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.GigabitEthernet.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.GigabitEthernet.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.GigabitEthernet.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.GigabitEthernet.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.GigabitEthernet.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.GigabitEthernet.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.GigabitEthernet.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.flow = Native.Interface.GigabitEthernet.Ip.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.igmp = Native.Interface.GigabitEthernet.Ip.Igmp()
                    self.igmp.parent = self
                    self._children_name_map["igmp"] = "igmp"
                    self._children_yang_names.add("igmp")

                    self.lisp = Native.Interface.GigabitEthernet.Ip.Lisp()
                    self.lisp.parent = self
                    self._children_name_map["lisp"] = "lisp"
                    self._children_yang_names.add("lisp")

                    self.nat = Native.Interface.GigabitEthernet.Ip.Nat()
                    self.nat.parent = self
                    self._children_name_map["nat"] = "nat"
                    self._children_yang_names.add("nat")

                    self.nbar = Native.Interface.GigabitEthernet.Ip.Nbar()
                    self.nbar.parent = self
                    self._children_name_map["nbar"] = "nbar"
                    self._children_yang_names.add("nbar")

                    self.ospf = Native.Interface.GigabitEthernet.Ip.Ospf()
                    self.ospf.parent = self
                    self._children_name_map["ospf"] = "ospf"
                    self._children_yang_names.add("ospf")

                    self.rsvp = Native.Interface.GigabitEthernet.Ip.Rsvp()
                    self.rsvp.parent = self
                    self._children_name_map["rsvp"] = "rsvp"
                    self._children_yang_names.add("rsvp")

                    self.wccp = Native.Interface.GigabitEthernet.Ip.Wccp()
                    self.wccp.parent = self
                    self._children_name_map["wccp"] = "wccp"
                    self._children_yang_names.add("wccp")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache', 'unreachables'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.GigabitEthernet.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.GigabitEthernet.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.GigabitEthernet.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.GigabitEthernet.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.GigabitEthernet.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.GigabitEthernet.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.GigabitEthernet.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.GigabitEthernet.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.GigabitEthernet.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.GigabitEthernet.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.GigabitEthernet.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.GigabitEthernet.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.GigabitEthernet.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.GigabitEthernet.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.GigabitEthernet.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.GigabitEthernet.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.GigabitEthernet.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.GigabitEthernet.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.GigabitEthernet.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.GigabitEthernet.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.GigabitEthernet.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.GigabitEthernet.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.GigabitEthernet.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.GigabitEthernet.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.GigabitEthernet.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.GigabitEthernet.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.GigabitEthernet.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.GigabitEthernet.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:  :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:  :py:class:`SparseMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Pim.SparseMode>`
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:  :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Pim.QueryInterval>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:  :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Pim.SptThreshold>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-multicast:accept-register" : ("accept_register", Native.Interface.GigabitEthernet.Ip.Pim.AcceptRegister), "Cisco-IOS-XE-multicast:query-interval" : ("query_interval", Native.Interface.GigabitEthernet.Ip.Pim.QueryInterval)}
                        self._child_list_classes = {}

                        self.sparse_mode = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:sparse-mode")

                        self.nbma_mode = YLeaf(YType.empty, "Cisco-IOS-XE-multicast:nbma-mode")

                        self.dr_priority = YLeaf(YType.uint32, "Cisco-IOS-XE-multicast:dr-priority")

                        self.spt_threshold = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:spt-threshold")

                        self.accept_register = Native.Interface.GigabitEthernet.Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self._children_name_map["accept_register"] = "accept-register"
                        self._children_yang_names.add("accept-register")

                        self.query_interval = Native.Interface.GigabitEthernet.Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self._children_name_map["query_interval"] = "query-interval"
                        self._children_yang_names.add("query-interval")
                        self._segment_path = lambda: "pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Pim, ['sparse_mode', 'nbma_mode', 'dr_priority', 'spt_threshold'], name, value)

                    class SparseMode(Enum):
                        """
                        SparseMode

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = Enum.YLeaf(0, "sparse-dense-mode")

                        sparse_mode = Enum.YLeaf(1, "sparse-mode")


                    class SptThreshold(Enum):
                        """
                        SptThreshold

                        .. data:: infinity = 0

                        """

                        infinity = Enum.YLeaf(0, "infinity")



                    class AcceptRegister(Entity):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Pim.AcceptRegister, self).__init__()

                            self.yang_name = "accept-register"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.list = YLeaf(YType.str, "list")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:accept-register"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Pim.AcceptRegister, ['list'], name, value)


                    class QueryInterval(Entity):
                        """
                        PIM router query interval
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..18725
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Pim.QueryInterval, self).__init__()

                            self.yang_name = "query-interval"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.seconds_interval = YLeaf(YType.uint16, "seconds-interval")

                            self.milliseconds_interval = YLeaf(YType.uint16, "milliseconds-interval")

                            self.msec = YLeaf(YType.empty, "msec")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:query-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Pim.QueryInterval, ['seconds_interval', 'milliseconds_interval', 'msec'], name, value)


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.GigabitEthernet.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.GigabitEthernet.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.GigabitEthernet.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.GigabitEthernet.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.GigabitEthernet.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.GigabitEthernet.Ip.Dhcp.Client), "Cisco-IOS-XE-dhcp:relay" : ("relay", Native.Interface.GigabitEthernet.Ip.Dhcp.Relay), "Cisco-IOS-XE-dhcp:snooping" : ("snooping", Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.client = Native.Interface.GigabitEthernet.Ip.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.relay = Native.Interface.GigabitEthernet.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self._children_name_map["relay"] = "relay"
                        self._children_yang_names.add("relay")

                        self.snooping = Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"


                    class Client(Entity):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hostname = YLeaf(YType.str, "hostname")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Dhcp.Client, ['hostname'], name, value)


                    class Relay(Entity):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Dhcp.Relay, self).__init__()

                            self.yang_name = "relay"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"information" : ("information", Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information)}
                            self._child_list_classes = {}

                            self.source_interface = YLeaf(YType.str, "source-interface")

                            self.information = Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self._children_name_map["information"] = "information"
                            self._children_yang_names.add("information")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:relay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Dhcp.Relay, ['source_interface'], name, value)


                        class Information(Entity):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:  :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:  :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:  :py:class:`PolicyAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.PolicyAction>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information, self).__init__()

                                self.yang_name = "information"
                                self.yang_parent_name = "relay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"check-reply" : ("check_reply", Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.CheckReply), "option" : ("option", Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.Option), "option-insert" : ("option_insert", Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.OptionInsert)}
                                self._child_list_classes = {}

                                self.policy_action = YLeaf(YType.enumeration, "policy-action")

                                self.trusted = YLeaf(YType.empty, "trusted")

                                self.check_reply = None
                                self._children_name_map["check_reply"] = "check-reply"
                                self._children_yang_names.add("check-reply")

                                self.option = Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self._children_name_map["option"] = "option"
                                self._children_yang_names.add("option")

                                self.option_insert = None
                                self._children_name_map["option_insert"] = "option-insert"
                                self._children_yang_names.add("option-insert")
                                self._segment_path = lambda: "information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information, ['policy_action', 'trusted'], name, value)

                            class PolicyAction(Enum):
                                """
                                PolicyAction

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = Enum.YLeaf(0, "drop")

                                encapsulate = Enum.YLeaf(1, "encapsulate")

                                keep = Enum.YLeaf(2, "keep")

                                replace = Enum.YLeaf(3, "replace")



                            class CheckReply(Entity):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.CheckReply, self).__init__()

                                    self.yang_name = "check-reply"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "check-reply"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.CheckReply, ['none'], name, value)


                            class Option(Entity):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                    self.yang_name = "option"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                    self._segment_path = lambda: "option"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                            class OptionInsert(Entity):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.OptionInsert, self).__init__()

                                    self.yang_name = "option-insert"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "option-insert"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Dhcp.Relay.Information.OptionInsert, ['none'], name, value)


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {"vlan" : ("vlan", Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan)}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")

                            self.vlan = YList(self)
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:snooping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


                        class Vlan(Entity):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"information" : ("information", Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.information = Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self
                                self._children_name_map["information"] = "information"
                                self._children_yang_names.add("information")
                                self._segment_path = lambda: "vlan" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan, ['id'], name, value)


                            class Information(Entity):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information, self).__init__()

                                    self.yang_name = "information"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"option" : ("option", Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option)}
                                    self._child_list_classes = {}

                                    self.option = Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self
                                    self._children_name_map["option"] = "option"
                                    self._children_yang_names.add("option")
                                    self._segment_path = lambda: "information"


                                class Option(Entity):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:  :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option, self).__init__()

                                        self.yang_name = "option"
                                        self.yang_parent_name = "information"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"format-type" : ("format_type", Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType)}
                                        self._child_list_classes = {}

                                        self.format_type = Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self
                                        self._children_name_map["format_type"] = "format-type"
                                        self._children_yang_names.add("format-type")
                                        self._segment_path = lambda: "option"


                                    class FormatType(Entity):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:  :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType, self).__init__()

                                            self.yang_name = "format-type"
                                            self.yang_parent_name = "option"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"circuit-id" : ("circuit_id", Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId)}
                                            self._child_list_classes = {}

                                            self.circuit_id = Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self
                                            self._children_name_map["circuit_id"] = "circuit-id"
                                            self._children_yang_names.add("circuit-id")
                                            self._segment_path = lambda: "format-type"


                                        class CircuitId(Entity):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\: str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, self).__init__()

                                                self.yang_name = "circuit-id"
                                                self.yang_parent_name = "format-type"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.string = YLeaf(YType.str, "string")
                                                self._segment_path = lambda: "circuit-id"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, ['string'], name, value)


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.GigabitEthernet.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.GigabitEthernet.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.GigabitEthernet.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.GigabitEthernet.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.GigabitEthernet.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.GigabitEthernet.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.GigabitEthernet.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.GigabitEthernet.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.GigabitEthernet.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.GigabitEthernet.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



                class Flow(Entity):
                    """
                    NetFlow related commands
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"monitor" : ("monitor", Native.Interface.GigabitEthernet.Ip.Flow.Monitor)}

                        self.ingress = YLeaf(YType.empty, "ingress")

                        self.egress = YLeaf(YType.empty, "egress")

                        self.monitor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-flow:flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Flow, ['ingress', 'egress'], name, value)


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of  		 :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Flow.Monitor.Sampler>`
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"sampler" : ("sampler", Native.Interface.GigabitEthernet.Ip.Flow.Monitor.Sampler)}

                            self.name = YLeaf(YType.str, "name")

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.sampler = YList(self)
                            self._segment_path = lambda: "monitor" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Flow.Monitor, ['name', 'input', 'output', 'multicast', 'unicast'], name, value)


                        class Sampler(Entity):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Flow.Monitor.Sampler.Direction>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Flow.Monitor.Sampler, self).__init__()

                                self.yang_name = "sampler"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.direction = YLeaf(YType.enumeration, "direction")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "sampler" + "[direction='" + self.direction.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Flow.Monitor.Sampler, ['direction', 'name'], name, value)

                            class Direction(Enum):
                                """
                                Direction

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = Enum.YLeaf(0, "input")

                                output = Enum.YLeaf(1, "output")



                class Igmp(Entity):
                    """
                    IGMP interface commands
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:  :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of  		 :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Igmp, self).__init__()

                        self.yang_name = "igmp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"static-group" : ("static_group", Native.Interface.GigabitEthernet.Ip.Igmp.StaticGroup)}
                        self._child_list_classes = {"join-group" : ("join_group", Native.Interface.GigabitEthernet.Ip.Igmp.JoinGroup)}

                        self.version = YLeaf(YType.uint8, "version")

                        self.static_group = Native.Interface.GigabitEthernet.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self._children_name_map["static_group"] = "static-group"
                        self._children_yang_names.add("static-group")

                        self.join_group = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-igmp:igmp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Igmp, ['version'], name, value)


                    class StaticGroup(Entity):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of  		 :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Igmp.StaticGroup.Groups>`
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of  		 :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Igmp.StaticGroup, self).__init__()

                            self.yang_name = "static-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"groups" : ("groups", Native.Interface.GigabitEthernet.Ip.Igmp.StaticGroup.Groups), "class-map" : ("class_map", Native.Interface.GigabitEthernet.Ip.Igmp.StaticGroup.ClassMap)}

                            self.groups = YList(self)
                            self.class_map = YList(self)
                            self._segment_path = lambda: "static-group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Igmp.StaticGroup, [], name, value)


                        class Groups(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.Groups.Name>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Igmp.StaticGroup.Groups, self).__init__()

                                self.yang_name = "groups"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "groups" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Igmp.StaticGroup.Groups, ['name'], name, value)

                            class Name(Enum):
                                """
                                Name

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = Enum.YLeaf(0, "*")



                        class ClassMap(Entity):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Igmp.StaticGroup.ClassMap, self).__init__()

                                self.yang_name = "class-map"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")
                                self._segment_path = lambda: "class-map" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Igmp.StaticGroup.ClassMap, ['id'], name, value)


                    class JoinGroup(Entity):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Igmp.JoinGroup, self).__init__()

                            self.yang_name = "join-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip_group_address = YLeaf(YType.str, "ip-group-address")

                            self.source = YLeaf(YType.str, "source")
                            self._segment_path = lambda: "join-group" + "[ip-group-address='" + self.ip_group_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Igmp.JoinGroup, ['ip_group_address', 'source'], name, value)


                class Lisp(Entity):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: source_locator
                    
                    	Choose IP source address for LISP packets egressing this interface
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Lisp, self).__init__()

                        self.yang_name = "lisp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.source_locator = YLeaf(YType.str, "source-locator")
                        self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Lisp, ['source_locator'], name, value)


                class Nat(Entity):
                    """
                    NAT interface commands
                    
                    .. attribute:: allow_static_host
                    
                    	Allow static\-ip clients
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable Address Translation (NVI)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: inside
                    
                    	Inside interface for address translation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: outside
                    
                    	Outside interface for address translation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-08-03'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Nat, self).__init__()

                        self.yang_name = "nat"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.allow_static_host = YLeaf(YType.empty, "allow-static-host")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.inside = YLeaf(YType.empty, "inside")

                        self.outside = YLeaf(YType.empty, "outside")
                        self._segment_path = lambda: "Cisco-IOS-XE-nat:nat"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Nat, ['allow_static_host', 'enable', 'inside', 'outside'], name, value)


                class Nbar(Entity):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:  :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Nbar, self).__init__()

                        self.yang_name = "nbar"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"protocol-discovery" : ("protocol_discovery", Native.Interface.GigabitEthernet.Ip.Nbar.ProtocolDiscovery)}
                        self._child_list_classes = {}

                        self.protocol_discovery = None
                        self._children_name_map["protocol_discovery"] = "protocol-discovery"
                        self._children_yang_names.add("protocol-discovery")
                        self._segment_path = lambda: "Cisco-IOS-XE-nbar:nbar"


                    class ProtocolDiscovery(Entity):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:  :py:class:`Ipv4Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Nbar.ProtocolDiscovery, self).__init__()

                            self.yang_name = "protocol-discovery"
                            self.yang_parent_name = "nbar"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ipv4_ipv6 = YLeaf(YType.enumeration, "ipv4-ipv6")
                            self._segment_path = lambda: "protocol-discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Nbar.ProtocolDiscovery, ['ipv4_ipv6'], name, value)

                        class Ipv4Ipv6(Enum):
                            """
                            Ipv4Ipv6

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = Enum.YLeaf(0, "ipv4")

                            ipv6 = Enum.YLeaf(1, "ipv6")



                class Ospf(Entity):
                    """
                    OSPF interface commands
                    
                    .. attribute:: process_id
                    
                    	
                    	**type**\: list of  		 :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.ProcessId>`
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.AuthenticationKey>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.Network>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.DeadInterval>`
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF Demand Circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fast_reroute
                    
                    	LFA FastReroute parameters
                    	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: lls
                    
                    	Link\-local Signaling (LLS) support
                    	**type**\:  :py:class:`Lls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.Lls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.MessageDigestKey>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.MultiArea>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: resync_timeout
                    
                    	Interval after which adjacency is reset if oob\-resync is not started
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Set OSPF protocol's state to disable under current interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.TtlSecurity>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.GigabitEthernet.Ip.Ospf.Authentication), "authentication-key" : ("authentication_key", Native.Interface.GigabitEthernet.Ip.Ospf.AuthenticationKey), "bfd" : ("bfd", Native.Interface.GigabitEthernet.Ip.Ospf.Bfd), "database-filter" : ("database_filter", Native.Interface.GigabitEthernet.Ip.Ospf.DatabaseFilter), "dead-interval" : ("dead_interval", Native.Interface.GigabitEthernet.Ip.Ospf.DeadInterval), "demand-circuit" : ("demand_circuit", Native.Interface.GigabitEthernet.Ip.Ospf.DemandCircuit), "fast-reroute" : ("fast_reroute", Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute), "lls" : ("lls", Native.Interface.GigabitEthernet.Ip.Ospf.Lls), "multi-area" : ("multi_area", Native.Interface.GigabitEthernet.Ip.Ospf.MultiArea), "prefix-suppression" : ("prefix_suppression", Native.Interface.GigabitEthernet.Ip.Ospf.PrefixSuppression), "ttl-security" : ("ttl_security", Native.Interface.GigabitEthernet.Ip.Ospf.TtlSecurity)}
                        self._child_list_classes = {"process-id" : ("process_id", Native.Interface.GigabitEthernet.Ip.Ospf.ProcessId), "message-digest-key" : ("message_digest_key", Native.Interface.GigabitEthernet.Ip.Ospf.MessageDigestKey)}

                        self.network = YLeaf(YType.enumeration, "network")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.flood_reduction = YLeaf(YType.empty, "flood-reduction")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.mtu_ignore = YLeaf(YType.empty, "mtu-ignore")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.resync_timeout = YLeaf(YType.uint32, "resync-timeout")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = None
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.authentication_key = Native.Interface.GigabitEthernet.Ip.Ospf.AuthenticationKey()
                        self.authentication_key.parent = self
                        self._children_name_map["authentication_key"] = "authentication-key"
                        self._children_yang_names.add("authentication-key")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.database_filter = Native.Interface.GigabitEthernet.Ip.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.dead_interval = Native.Interface.GigabitEthernet.Ip.Ospf.DeadInterval()
                        self.dead_interval.parent = self
                        self._children_name_map["dead_interval"] = "dead-interval"
                        self._children_yang_names.add("dead-interval")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.fast_reroute = Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute()
                        self.fast_reroute.parent = self
                        self._children_name_map["fast_reroute"] = "fast-reroute"
                        self._children_yang_names.add("fast-reroute")

                        self.lls = None
                        self._children_name_map["lls"] = "lls"
                        self._children_yang_names.add("lls")

                        self.multi_area = Native.Interface.GigabitEthernet.Ip.Ospf.MultiArea()
                        self.multi_area.parent = self
                        self._children_name_map["multi_area"] = "multi-area"
                        self._children_yang_names.add("multi-area")

                        self.prefix_suppression = None
                        self._children_name_map["prefix_suppression"] = "prefix-suppression"
                        self._children_yang_names.add("prefix-suppression")

                        self.ttl_security = None
                        self._children_name_map["ttl_security"] = "ttl-security"
                        self._children_yang_names.add("ttl-security")

                        self.process_id = YList(self)
                        self.message_digest_key = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-ospf:ospf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf, ['network', 'cost', 'flood_reduction', 'hello_interval', 'mtu_ignore', 'priority', 'resync_timeout', 'retransmit_interval', 'shutdown', 'transmit_delay'], name, value)

                    class Network(Enum):
                        """
                        Network

                        Network type

                        .. data:: broadcast = 0

                        .. data:: non_broadcast = 1

                        .. data:: point_to_multipoint = 2

                        .. data:: point_to_point = 3

                        """

                        broadcast = Enum.YLeaf(0, "broadcast")

                        non_broadcast = Enum.YLeaf(1, "non-broadcast")

                        point_to_multipoint = Enum.YLeaf(2, "point-to-multipoint")

                        point_to_point = Enum.YLeaf(3, "point-to-point")



                    class ProcessId(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: area
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondaries
                        
                        	Include or exclude secondary IP addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: none
                        
                        	Do not include secondary IP addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Ospf.ProcessId, self).__init__()

                            self.yang_name = "process-id"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint16, "id")

                            self.area = YLeaf(YType.str, "area")

                            self.secondaries = YLeaf(YType.empty, "secondaries")

                            self.none = YLeaf(YType.empty, "none")
                            self._segment_path = lambda: "process-id" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.ProcessId, ['id', 'area', 'secondaries', 'none'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Use message\-digest authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Ospf.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.GigabitEthernet.Ip.Ospf.Authentication.KeyChain)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.message_digest = YLeaf(YType.empty, "message-digest")

                            self.null = YLeaf(YType.empty, "null")

                            self.key_chain = Native.Interface.GigabitEthernet.Ip.Ospf.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self._children_name_map["key_chain"] = "key-chain"
                            self._children_yang_names.add("key-chain")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.Authentication, ['message_digest', 'null'], name, value)


                        class KeyChain(Entity):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Ospf.Authentication.KeyChain, self).__init__()

                                self.yang_name = "key-chain"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.Authentication.KeyChain, ['name'], name, value)


                    class AuthenticationKey(Entity):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Ospf.AuthenticationKey, self).__init__()

                            self.yang_name = "authentication-key"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                            self.auth_key = YLeaf(YType.str, "auth-key")
                            self._segment_path = lambda: "authentication-key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Ospf.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.Bfd, ['disable'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Ospf.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.empty, "all")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.DatabaseFilter, ['all', 'out'], name, value)


                    class DeadInterval(Entity):
                        """
                        Interval after which a neighbor is declared dead
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: minimal
                        
                        	Set to 1 second
                        	**type**\:  :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.DeadInterval.Minimal>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Ospf.DeadInterval, self).__init__()

                            self.yang_name = "dead-interval"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"minimal" : ("minimal", Native.Interface.GigabitEthernet.Ip.Ospf.DeadInterval.Minimal)}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint32, "value")

                            self.minimal = Native.Interface.GigabitEthernet.Ip.Ospf.DeadInterval.Minimal()
                            self.minimal.parent = self
                            self._children_name_map["minimal"] = "minimal"
                            self._children_yang_names.add("minimal")
                            self._segment_path = lambda: "dead-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.DeadInterval, ['value'], name, value)


                        class Minimal(Entity):
                            """
                            Set to 1 second
                            
                            .. attribute:: hello_multiplier
                            
                            	Set multiplier for Hellos
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Ospf.DeadInterval.Minimal, self).__init__()

                                self.yang_name = "minimal"
                                self.yang_parent_name = "dead-interval"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hello_multiplier = YLeaf(YType.uint8, "hello-multiplier")
                                self._segment_path = lambda: "minimal"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.DeadInterval.Minimal, ['hello_multiplier'], name, value)


                    class DemandCircuit(Entity):
                        """
                        OSPF Demand Circuit
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Ospf.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.DemandCircuit, ['ignore'], name, value)


                    class FastReroute(Entity):
                        """
                        LFA FastReroute parameters
                        
                        .. attribute:: per_prefix
                        
                        	Per\-prefix LFA FRR parameters
                        	**type**\:  :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute.PerPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute, self).__init__()

                            self.yang_name = "fast-reroute"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"per-prefix" : ("per_prefix", Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute.PerPrefix)}
                            self._child_list_classes = {}

                            self.per_prefix = Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute.PerPrefix()
                            self.per_prefix.parent = self
                            self._children_name_map["per_prefix"] = "per-prefix"
                            self._children_yang_names.add("per-prefix")
                            self._segment_path = lambda: "fast-reroute"


                        class PerPrefix(Entity):
                            """
                            Per\-prefix LFA FRR parameters
                            
                            .. attribute:: candidate
                            
                            	If interface can be protecting
                            	**type**\:  :py:class:`Candidate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Candidate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: protection
                            
                            	If interface can be protected
                            	**type**\:  :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Protection>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute.PerPrefix, self).__init__()

                                self.yang_name = "per-prefix"
                                self.yang_parent_name = "fast-reroute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"candidate" : ("candidate", Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Candidate), "protection" : ("protection", Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Protection)}
                                self._child_list_classes = {}

                                self.candidate = None
                                self._children_name_map["candidate"] = "candidate"
                                self._children_yang_names.add("candidate")

                                self.protection = None
                                self._children_name_map["protection"] = "protection"
                                self._children_yang_names.add("protection")
                                self._segment_path = lambda: "per-prefix"


                            class Candidate(Entity):
                                """
                                If interface can be protecting
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Candidate, self).__init__()

                                    self.yang_name = "candidate"
                                    self.yang_parent_name = "per-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "candidate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Candidate, ['disable'], name, value)


                            class Protection(Entity):
                                """
                                If interface can be protected
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Protection, self).__init__()

                                    self.yang_name = "protection"
                                    self.yang_parent_name = "per-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "protection"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Protection, ['disable'], name, value)


                    class Lls(Entity):
                        """
                        Link\-local Signaling (LLS) support
                        
                        .. attribute:: disable
                        
                        	disable LLS
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Ospf.Lls, self).__init__()

                            self.yang_name = "lls"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "lls"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.Lls, ['disable'], name, value)


                    class MessageDigestKey(Entity):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Ospf.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Ospf.MessageDigestKey, self).__init__()

                            self.yang_name = "message-digest-key"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.GigabitEthernet.Ip.Ospf.MessageDigestKey.Md5)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.md5 = Native.Interface.GigabitEthernet.Ip.Ospf.MessageDigestKey.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.MessageDigestKey, ['id'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Ospf.MessageDigestKey.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "message-digest-key"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                self.auth_key = YLeaf(YType.str, "auth-key")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                    class MultiArea(Entity):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Ospf.MultiArea, self).__init__()

                            self.yang_name = "multi-area"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint32, "cost")
                            self._segment_path = lambda: "multi-area"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.MultiArea, ['id', 'cost'], name, value)


                    class PrefixSuppression(Entity):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Ospf.PrefixSuppression, self).__init__()

                            self.yang_name = "prefix-suppression"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "prefix-suppression"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.PrefixSuppression, ['disable'], name, value)


                    class TtlSecurity(Entity):
                        """
                        TTL security check
                        
                        .. attribute:: diable
                        
                        	disable TTL security check
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Ospf.TtlSecurity, self).__init__()

                            self.yang_name = "ttl-security"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.diable = YLeaf(YType.empty, "diable")

                            self.hops = YLeaf(YType.uint8, "hops")
                            self._segment_path = lambda: "ttl-security"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Ospf.TtlSecurity, ['diable', 'hops'], name, value)


                class Rsvp(Entity):
                    """
                    RSVP Interface Commands
                    
                    .. attribute:: authentication
                    
                    	Enables RSVP neighbor authentication (RFC 2747)
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: bandwidth
                    
                    	RSVP Reservable Bandwidth (kbps)
                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	Select permissible RSVP neighbors
                    	**type**\:  :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Neighbor>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: precedence
                    
                    	RSVP precedence setting
                    	**type**\:  :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Precedence>`
                    
                    .. attribute:: signalling
                    
                    	RSVP signalling
                    	**type**\:  :py:class:`Signalling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling>`
                    
                    .. attribute:: tos
                    
                    	RSVP TOS setting
                    	**type**\:  :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Tos>`
                    
                    

                    """

                    _prefix = 'ios-rsvp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Rsvp, self).__init__()

                        self.yang_name = "rsvp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.GigabitEthernet.Ip.Rsvp.Authentication), "bandwidth" : ("bandwidth", Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth), "neighbor" : ("neighbor", Native.Interface.GigabitEthernet.Ip.Rsvp.Neighbor), "precedence" : ("precedence", Native.Interface.GigabitEthernet.Ip.Rsvp.Precedence), "signalling" : ("signalling", Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling), "tos" : ("tos", Native.Interface.GigabitEthernet.Ip.Rsvp.Tos)}
                        self._child_list_classes = {}

                        self.authentication = None
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bandwidth = None
                        self._children_name_map["bandwidth"] = "bandwidth"
                        self._children_yang_names.add("bandwidth")

                        self.neighbor = None
                        self._children_name_map["neighbor"] = "neighbor"
                        self._children_yang_names.add("neighbor")

                        self.precedence = Native.Interface.GigabitEthernet.Ip.Rsvp.Precedence()
                        self.precedence.parent = self
                        self._children_name_map["precedence"] = "precedence"
                        self._children_yang_names.add("precedence")

                        self.signalling = Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling()
                        self.signalling.parent = self
                        self._children_name_map["signalling"] = "signalling"
                        self._children_yang_names.add("signalling")

                        self.tos = Native.Interface.GigabitEthernet.Ip.Rsvp.Tos()
                        self.tos.parent = self
                        self._children_name_map["tos"] = "tos"
                        self._children_yang_names.add("tos")
                        self._segment_path = lambda: "Cisco-IOS-XE-rsvp:rsvp"


                    class Authentication(Entity):
                        """
                        Enables RSVP neighbor authentication (RFC 2747)
                        
                        .. attribute:: key
                        
                        	Password (8 to 40 characters, spaces allowed)
                        	**type**\: str
                        
                        .. attribute:: challenge
                        
                        	Perform challenge/response handshake with new neighbor(s)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: key_chain
                        
                        	Name of key chain to use (as created by global 'key chain' command)
                        	**type**\: str
                        
                        .. attribute:: lifetime
                        
                        	Maximum lifetime of neighbor authentication state
                        	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Authentication.Lifetime>`
                        
                        .. attribute:: type
                        
                        	Type of authentication algorithm (default = md5)
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Authentication.Type>`
                        
                        .. attribute:: window_size
                        
                        	Maximum number of messages allowed in receive window (default = 1)
                        	**type**\: int
                        
                        	**range:** 1..64
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Rsvp.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"lifetime" : ("lifetime", Native.Interface.GigabitEthernet.Ip.Rsvp.Authentication.Lifetime)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.key = YLeaf(YType.str, "key")

                            self.challenge = YLeaf(YType.empty, "challenge")

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.type = YLeaf(YType.enumeration, "type")

                            self.window_size = YLeaf(YType.uint8, "window-size")

                            self.lifetime = Native.Interface.GigabitEthernet.Ip.Rsvp.Authentication.Lifetime()
                            self.lifetime.parent = self
                            self._children_name_map["lifetime"] = "lifetime"
                            self._children_yang_names.add("lifetime")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Authentication, ['key', 'challenge', 'key_chain', 'type', 'window_size'], name, value)

                        class Type(Enum):
                            """
                            Type

                            Type of authentication algorithm (default = md5)

                            .. data:: md5 = 0

                            .. data:: sha_1 = 1

                            """

                            md5 = Enum.YLeaf(0, "md5")

                            sha_1 = Enum.YLeaf(1, "sha-1")



                        class Lifetime(Entity):
                            """
                            Maximum lifetime of neighbor authentication state
                            
                            .. attribute:: hh_mm_ss
                            
                            	Lifetime (default = 30 mins) in hh\:mm\:ss format
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])\:([0\-5][0\-9])
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Rsvp.Authentication.Lifetime, self).__init__()

                                self.yang_name = "lifetime"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hh_mm_ss = YLeaf(YType.str, "hh-mm-ss")
                                self._segment_path = lambda: "lifetime"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Authentication.Lifetime, ['hh_mm_ss'], name, value)


                    class Bandwidth(Entity):
                        """
                        RSVP Reservable Bandwidth (kbps)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth.Value>`
                        
                        .. attribute:: percent
                        
                        	Percentage of interface bandwidth. Values higher than 100 represent overbooking
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: mam
                        
                        	Use bandwidth with MAM model of DSTE
                        	**type**\:  :py:class:`Mam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth.Mam>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth, self).__init__()

                            self.yang_name = "bandwidth"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"value" : ("value", Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth.Value), "mam" : ("mam", Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth.Mam)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.percent = YLeaf(YType.uint16, "percent")

                            self.value = Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth.Value()
                            self.value.parent = self
                            self._children_name_map["value"] = "value"
                            self._children_yang_names.add("value")

                            self.mam = Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth.Mam()
                            self.mam.parent = self
                            self._children_name_map["mam"] = "mam"
                            self._children_yang_names.add("mam")
                            self._segment_path = lambda: "bandwidth"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth, ['percent'], name, value)


                        class Value(Entity):
                            """
                            
                            
                            .. attribute:: value
                            
                            	Reservable Bandwidth (kbps)
                            	**type**\: int
                            
                            	**range:** 1..10000000
                            
                            .. attribute:: sub_pool
                            
                            	Reservable Bandwidth for Tunnel using sub (BC1) pool (kbps)
                            	**type**\: int
                            
                            	**range:** 1..10000000
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth.Value, self).__init__()

                                self.yang_name = "value"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                self._segment_path = lambda: "value"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth.Value, ['value', 'sub_pool'], name, value)


                        class Mam(Entity):
                            """
                            Use bandwidth with MAM model of DSTE
                            
                            .. attribute:: max_reservable_bw
                            
                            	Maximum Reservable bandwidth for MAM
                            	**type**\:  :py:class:`MaxReservableBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth.Mam, self).__init__()

                                self.yang_name = "mam"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"max-reservable-bw" : ("max_reservable_bw", Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw)}
                                self._child_list_classes = {}

                                self.max_reservable_bw = None
                                self._children_name_map["max_reservable_bw"] = "max-reservable-bw"
                                self._children_yang_names.add("max-reservable-bw")
                                self._segment_path = lambda: "mam"


                            class MaxReservableBw(Entity):
                                """
                                Maximum Reservable bandwidth for MAM
                                
                                .. attribute:: value
                                
                                	Reservable Bandwidth (kbps)
                                	**type**\: int
                                
                                	**range:** 1..10000000
                                
                                .. attribute:: bc0
                                
                                	Reservable Bandwidth from global (BC0) pool (kbps)
                                	**type**\: int
                                
                                	**range:** 0..10000000
                                
                                .. attribute:: bc1
                                
                                	Reservable Bandwidth from sub pool (kbps)
                                	**type**\: int
                                
                                	**range:** 0..10000000
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw, self).__init__()

                                    self.yang_name = "max-reservable-bw"
                                    self.yang_parent_name = "mam"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint32, "value")

                                    self.bc0 = YLeaf(YType.uint32, "bc0")

                                    self.bc1 = YLeaf(YType.uint32, "bc1")
                                    self._segment_path = lambda: "max-reservable-bw"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw, ['value', 'bc0', 'bc1'], name, value)


                    class Neighbor(Entity):
                        """
                        Select permissible RSVP neighbors
                        
                        .. attribute:: acl_number
                        
                        	Access list
                        	**type**\: int
                        
                        	**range:** 1..199
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Rsvp.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.acl_number = YLeaf(YType.uint8, "acl-number")
                            self._segment_path = lambda: "neighbor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Neighbor, ['acl_number'], name, value)


                    class Precedence(Entity):
                        """
                        RSVP precedence setting
                        
                        .. attribute:: conform
                        
                        	Precedence for packets conforming to RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: exceed
                        
                        	Precedence for packets over RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Rsvp.Precedence, self).__init__()

                            self.yang_name = "precedence"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.conform = YLeaf(YType.uint8, "conform")

                            self.exceed = YLeaf(YType.uint8, "exceed")
                            self._segment_path = lambda: "precedence"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Precedence, ['conform', 'exceed'], name, value)


                    class Signalling(Entity):
                        """
                        RSVP signalling
                        
                        .. attribute:: dscp
                        
                        	DSCP for RSVP signalling messages
                        	**type**\: int
                        
                        	**range:** 0..63
                        
                        .. attribute:: fast_local_repair
                        
                        	Fast Local Repair parameters
                        	**type**\:  :py:class:`FastLocalRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.FastLocalRepair>`
                        
                        .. attribute:: hello
                        
                        	Enable neighbor\-down detection
                        	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling, self).__init__()

                            self.yang_name = "signalling"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"fast-local-repair" : ("fast_local_repair", Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.FastLocalRepair), "hello" : ("hello", Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello)}
                            self._child_list_classes = {}

                            self.dscp = YLeaf(YType.uint8, "dscp")

                            self.fast_local_repair = Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.FastLocalRepair()
                            self.fast_local_repair.parent = self
                            self._children_name_map["fast_local_repair"] = "fast-local-repair"
                            self._children_yang_names.add("fast-local-repair")

                            self.hello = None
                            self._children_name_map["hello"] = "hello"
                            self._children_yang_names.add("hello")
                            self._segment_path = lambda: "signalling"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling, ['dscp'], name, value)


                        class FastLocalRepair(Entity):
                            """
                            Fast Local Repair parameters
                            
                            .. attribute:: wait_time
                            
                            	Wait Time for start of Fast Local Repair in msec
                            	**type**\: int
                            
                            	**range:** 0..5000
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.FastLocalRepair, self).__init__()

                                self.yang_name = "fast-local-repair"
                                self.yang_parent_name = "signalling"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.wait_time = YLeaf(YType.uint16, "wait-time")
                                self._segment_path = lambda: "fast-local-repair"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.FastLocalRepair, ['wait_time'], name, value)


                        class Hello(Entity):
                            """
                            Enable neighbor\-down detection
                            
                            .. attribute:: bfd
                            
                            	Configure BFD trigger for MPLS/TE FRR
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp
                            
                            	DSCP for RSVP Hello messages
                            	**type**\: int
                            
                            	**range:** 0..63
                            
                            .. attribute:: graceful_restart
                            
                            	Configure RSVP Graceful Restart
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: refresh
                            
                            	Configure RSVP Hello refresh behavior for Fast\-Reroute
                            	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Refresh>`
                            
                            .. attribute:: reroute
                            
                            	Configure RSVP Hello refresh behavior for Reroute
                            	**type**\:  :py:class:`Reroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello, self).__init__()

                                self.yang_name = "hello"
                                self.yang_parent_name = "signalling"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"refresh" : ("refresh", Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Refresh), "reroute" : ("reroute", Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.bfd = YLeaf(YType.empty, "bfd")

                                self.dscp = YLeaf(YType.uint8, "dscp")

                                self.graceful_restart = YLeaf(YType.empty, "graceful-restart")

                                self.refresh = Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Refresh()
                                self.refresh.parent = self
                                self._children_name_map["refresh"] = "refresh"
                                self._children_yang_names.add("refresh")

                                self.reroute = Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute()
                                self.reroute.parent = self
                                self._children_name_map["reroute"] = "reroute"
                                self._children_yang_names.add("reroute")
                                self._segment_path = lambda: "hello"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello, ['bfd', 'dscp', 'graceful_restart'], name, value)


                            class Refresh(Entity):
                                """
                                Configure RSVP Hello refresh behavior for Fast\-Reroute
                                
                                .. attribute:: interval
                                
                                	Hello interval in msec
                                	**type**\: int
                                
                                	**range:** 10..30000
                                
                                .. attribute:: misses
                                
                                	Number of missed Hello Acks which triggers neighbor down
                                	**type**\: int
                                
                                	**range:** 4..10
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Refresh, self).__init__()

                                    self.yang_name = "refresh"
                                    self.yang_parent_name = "hello"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")

                                    self.misses = YLeaf(YType.uint8, "misses")
                                    self._segment_path = lambda: "refresh"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Refresh, ['interval', 'misses'], name, value)


                            class Reroute(Entity):
                                """
                                Configure RSVP Hello refresh behavior for Reroute
                                
                                .. attribute:: dscp
                                
                                	DSCP for RSVP Hello messages
                                	**type**\: int
                                
                                	**range:** 0..63
                                
                                .. attribute:: refresh
                                
                                	Configure RSVP Reroute Hello refresh behavior
                                	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh>`
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute, self).__init__()

                                    self.yang_name = "reroute"
                                    self.yang_parent_name = "hello"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"refresh" : ("refresh", Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh)}
                                    self._child_list_classes = {}

                                    self.dscp = YLeaf(YType.uint8, "dscp")

                                    self.refresh = Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh()
                                    self.refresh.parent = self
                                    self._children_name_map["refresh"] = "refresh"
                                    self._children_yang_names.add("refresh")
                                    self._segment_path = lambda: "reroute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute, ['dscp'], name, value)


                                class Refresh(Entity):
                                    """
                                    Configure RSVP Reroute Hello refresh behavior
                                    
                                    .. attribute:: interval
                                    
                                    	Hello Reroute interval in msec
                                    	**type**\: int
                                    
                                    	**range:** 1000..30000
                                    
                                    .. attribute:: misses
                                    
                                    	Number of missed Hello Acks which triggers neighbor down
                                    	**type**\: int
                                    
                                    	**range:** 4..10
                                    
                                    

                                    """

                                    _prefix = 'ios-rsvp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh, self).__init__()

                                        self.yang_name = "refresh"
                                        self.yang_parent_name = "reroute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")

                                        self.misses = YLeaf(YType.uint8, "misses")
                                        self._segment_path = lambda: "refresh"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh, ['interval', 'misses'], name, value)


                    class Tos(Entity):
                        """
                        RSVP TOS setting
                        
                        .. attribute:: conform
                        
                        	TOS for packets conforming to RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..31
                        
                        .. attribute:: exceed
                        
                        	TOS for packets over RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..31
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Rsvp.Tos, self).__init__()

                            self.yang_name = "tos"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.conform = YLeaf(YType.uint8, "conform")

                            self.exceed = YLeaf(YType.uint8, "exceed")
                            self._segment_path = lambda: "tos"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Rsvp.Tos, ['conform', 'exceed'], name, value)


                class Wccp(Entity):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Wccp.WebCache>`
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Wccp.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ip.Wccp, self).__init__()

                        self.yang_name = "wccp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.GigabitEthernet.Ip.Wccp.WebCache), "redirect" : ("redirect", Native.Interface.GigabitEthernet.Ip.Wccp.Redirect)}
                        self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.GigabitEthernet.Ip.Wccp.WccpList), "vrf" : ("vrf", Native.Interface.GigabitEthernet.Ip.Wccp.Vrf)}

                        self.web_cache = Native.Interface.GigabitEthernet.Ip.Wccp.WebCache()
                        self.web_cache.parent = self
                        self._children_name_map["web_cache"] = "web-cache"
                        self._children_yang_names.add("web-cache")

                        self.redirect = Native.Interface.GigabitEthernet.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.wccp_list = YList(self)
                        self.vrf = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-wccp:wccp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Wccp, [], name, value)


                    class WccpList(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Wccp.WccpList, self).__init__()

                            self.yang_name = "wccp-list"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.GigabitEthernet.Ip.Wccp.WccpList.Redirect)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.GigabitEthernet.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Wccp.WccpList, ['id', 'group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Wccp.WccpList.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "wccp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Wccp.WccpList.Redirect, ['in_', 'out'], name, value)


                    class WebCache(Entity):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Wccp.WebCache, self).__init__()

                            self.yang_name = "web-cache"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.GigabitEthernet.Ip.Wccp.WebCache.Redirect)}
                            self._child_list_classes = {}

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.GigabitEthernet.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "web-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Wccp.WebCache, ['group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Wccp.WebCache.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "web-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Wccp.WebCache.Redirect, ['in_', 'out'], name, value)


                    class Redirect(Entity):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:  :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Wccp.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"exclude" : ("exclude", Native.Interface.GigabitEthernet.Ip.Wccp.Redirect.Exclude)}
                            self._child_list_classes = {}

                            self.exclude = Native.Interface.GigabitEthernet.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self
                            self._children_name_map["exclude"] = "exclude"
                            self._children_yang_names.add("exclude")
                            self._segment_path = lambda: "redirect"


                        class Exclude(Entity):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Wccp.Redirect.Exclude, self).__init__()

                                self.yang_name = "exclude"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "exclude"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Wccp.Redirect.Exclude, ['in_'], name, value)


                    class Vrf(Entity):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ip.Wccp.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WebCache)}
                            self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WccpList)}

                            self.name = YLeaf(YType.str, "name")

                            self.web_cache = Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self
                            self._children_name_map["web_cache"] = "web-cache"
                            self._children_yang_names.add("web-cache")

                            self.wccp_list = YList(self)
                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Wccp.Vrf, ['name'], name, value)


                        class WccpList(Entity):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WccpList, self).__init__()

                                self.yang_name = "wccp-list"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WccpList.Redirect)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint8, "id")

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WccpList, ['id', 'group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WccpList.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "wccp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WccpList.Redirect, ['in_', 'out'], name, value)


                        class WebCache(Entity):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WebCache, self).__init__()

                                self.yang_name = "web-cache"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WebCache.Redirect)}
                                self._child_list_classes = {}

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "web-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WebCache, ['group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WebCache.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "web-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ip.Wccp.Vrf.WebCache.Redirect, ['in_', 'out'], name, value)


            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.TrafficFilter>`
                
                .. attribute:: crypto
                
                	Encryption/Decryption commands
                	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Crypto>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Flow>`
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\: bool
                
                .. attribute:: no_pim
                
                	
                	**type**\:  :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.NoPim>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Pim>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf>`
                
                .. attribute:: rip
                
                	Configure RIP routing protocol
                	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Rip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.GigabitEthernet.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.GigabitEthernet.Ipv6.Dhcp), "address" : ("address", Native.Interface.GigabitEthernet.Ipv6.Address), "nd" : ("nd", Native.Interface.GigabitEthernet.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.GigabitEthernet.Ipv6.Tcp), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.GigabitEthernet.Ipv6.Crypto), "Cisco-IOS-XE-flow:flow" : ("flow", Native.Interface.GigabitEthernet.Ipv6.Flow), "Cisco-IOS-XE-multicast:no-pim" : ("no_pim", Native.Interface.GigabitEthernet.Ipv6.NoPim), "Cisco-IOS-XE-multicast:pim" : ("pim", Native.Interface.GigabitEthernet.Ipv6.Pim), "Cisco-IOS-XE-ospf:ospf" : ("ospf", Native.Interface.GigabitEthernet.Ipv6.Ospf)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.GigabitEthernet.Ipv6.TrafficFilter), "Cisco-IOS-XE-rip:rip" : ("rip", Native.Interface.GigabitEthernet.Ipv6.Rip)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.unreachables = YLeaf(YType.boolean, "Cisco-IOS-XE-icmp:unreachables")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.GigabitEthernet.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.GigabitEthernet.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.GigabitEthernet.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.GigabitEthernet.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.crypto = Native.Interface.GigabitEthernet.Ipv6.Crypto()
                    self.crypto.parent = self
                    self._children_name_map["crypto"] = "crypto"
                    self._children_yang_names.add("crypto")

                    self.flow = Native.Interface.GigabitEthernet.Ipv6.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.no_pim = Native.Interface.GigabitEthernet.Ipv6.NoPim()
                    self.no_pim.parent = self
                    self._children_name_map["no_pim"] = "no-pim"
                    self._children_yang_names.add("no-pim")

                    self.pim = Native.Interface.GigabitEthernet.Ipv6.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.ospf = Native.Interface.GigabitEthernet.Ipv6.Ospf()
                    self.ospf.parent = self
                    self._children_name_map["ospf"] = "ospf"
                    self._children_yang_names.add("ospf")

                    self.traffic_filter = YList(self)
                    self.rip = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects', 'unreachables'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: client
                    
                    	Act as an IPv6 DHCP client
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Dhcp.Client>`
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of  		 :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Dhcp.Server>`
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.GigabitEthernet.Ipv6.Dhcp.Client), "Cisco-IOS-XE-dhcp:guard" : ("guard", Native.Interface.GigabitEthernet.Ipv6.Dhcp.Guard)}
                        self._child_list_classes = {"Cisco-IOS-XE-dhcp:server" : ("server", Native.Interface.GigabitEthernet.Ipv6.Dhcp.Server)}

                        self.client = Native.Interface.GigabitEthernet.Ipv6.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.guard = None
                        self._children_name_map["guard"] = "guard"
                        self._children_yang_names.add("guard")

                        self.server = YList(self)
                        self._segment_path = lambda: "dhcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Dhcp, [], name, value)


                    class Client(Entity):
                        """
                        Act as an IPv6 DHCP client
                        
                        .. attribute:: request
                        
                        	Request
                        	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Dhcp.Client.Request>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"request" : ("request", Native.Interface.GigabitEthernet.Ipv6.Dhcp.Client.Request)}
                            self._child_list_classes = {}

                            self.request = Native.Interface.GigabitEthernet.Ipv6.Dhcp.Client.Request()
                            self.request.parent = self
                            self._children_name_map["request"] = "request"
                            self._children_yang_names.add("request")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"


                        class Request(Entity):
                            """
                            Request
                            
                            .. attribute:: vendor
                            
                            	Request Vendor specific options
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ipv6.Dhcp.Client.Request, self).__init__()

                                self.yang_name = "request"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vendor = YLeaf(YType.empty, "vendor")
                                self._segment_path = lambda: "request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Dhcp.Client.Request, ['vendor'], name, value)


                    class Server(Entity):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Dhcp.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.preference = YLeaf(YType.uint8, "preference")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:server" + "[word='" + self.word.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Dhcp.Server, ['word', 'preference'], name, value)


                    class Guard(Entity):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Dhcp.Guard, self).__init__()

                            self.yang_name = "guard"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:guard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Dhcp.Guard, ['attach_policy'], name, value)


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.GigabitEthernet.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.GigabitEthernet.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.GigabitEthernet.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.GigabitEthernet.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:  :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Nd.Raguard>`
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:  :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Nd.Ra>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-nd:raguard" : ("raguard", Native.Interface.GigabitEthernet.Ipv6.Nd.Raguard), "Cisco-IOS-XE-nd:autoconfig" : ("autoconfig", Native.Interface.GigabitEthernet.Ipv6.Nd.Autoconfig), "Cisco-IOS-XE-nd:ra" : ("ra", Native.Interface.GigabitEthernet.Ipv6.Nd.Ra)}
                        self._child_list_classes = {}

                        self.managed_config_flag = YLeaf(YType.empty, "Cisco-IOS-XE-nd:managed-config-flag")

                        self.raguard = Native.Interface.GigabitEthernet.Ipv6.Nd.Raguard()
                        self.raguard.parent = self
                        self._children_name_map["raguard"] = "raguard"
                        self._children_yang_names.add("raguard")

                        self.autoconfig = Native.Interface.GigabitEthernet.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.ra = Native.Interface.GigabitEthernet.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self._children_name_map["ra"] = "ra"
                        self._children_yang_names.add("ra")
                        self._segment_path = lambda: "nd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Nd, ['managed_config_flag'], name, value)


                    class Raguard(Entity):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Nd.Raguard, self).__init__()

                            self.yang_name = "raguard"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:raguard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Nd.Raguard, ['attach_policy'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Nd.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.default_route = YLeaf(YType.empty, "default-route")

                            self.prefix = YLeaf(YType.empty, "prefix")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Nd.Autoconfig, ['default_route', 'prefix'], name, value)


                    class Ra(Entity):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Nd.Ra, self).__init__()

                            self.yang_name = "ra"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"suppress" : ("suppress", Native.Interface.GigabitEthernet.Ipv6.Nd.Ra.Suppress)}
                            self._child_list_classes = {}

                            self.suppress = None
                            self._children_name_map["suppress"] = "suppress"
                            self._children_yang_names.add("suppress")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:ra"


                        class Suppress(Entity):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-04-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ipv6.Nd.Ra.Suppress, self).__init__()

                                self.yang_name = "suppress"
                                self.yang_parent_name = "ra"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.all = YLeaf(YType.empty, "all")
                                self._segment_path = lambda: "suppress"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Nd.Ra.Suppress, ['all'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class Crypto(Entity):
                    """
                    Encryption/Decryption commands
                    
                    .. attribute:: map
                    
                    	Assign an IPv6  Crypto Map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ipv6.Crypto, self).__init__()

                        self.yang_name = "crypto"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.map = YLeaf(YType.str, "map")
                        self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Crypto, ['map'], name, value)


                class Flow(Entity):
                    """
                    NetFlow related commands
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ipv6.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"monitor" : ("monitor", Native.Interface.GigabitEthernet.Ipv6.Flow.Monitor)}

                        self.ingress = YLeaf(YType.empty, "ingress")

                        self.egress = YLeaf(YType.empty, "egress")

                        self.monitor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-flow:flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Flow, ['ingress', 'egress'], name, value)


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of  		 :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Flow.Monitor.Sampler>`
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"sampler" : ("sampler", Native.Interface.GigabitEthernet.Ipv6.Flow.Monitor.Sampler)}

                            self.name = YLeaf(YType.str, "name")

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.sampler = YList(self)
                            self._segment_path = lambda: "monitor" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Flow.Monitor, ['name', 'input', 'output', 'multicast', 'unicast'], name, value)


                        class Sampler(Entity):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Flow.Monitor.Sampler.Direction>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ipv6.Flow.Monitor.Sampler, self).__init__()

                                self.yang_name = "sampler"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.direction = YLeaf(YType.enumeration, "direction")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "sampler" + "[direction='" + self.direction.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Flow.Monitor.Sampler, ['direction', 'name'], name, value)

                            class Direction(Enum):
                                """
                                Direction

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = Enum.YLeaf(0, "input")

                                output = Enum.YLeaf(1, "output")



                class NoPim(Entity):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ipv6.NoPim, self).__init__()

                        self.yang_name = "no-pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pim = YLeaf(YType.boolean, "pim")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:no-pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.NoPim, ['pim'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:  :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ipv6.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bsr" : ("bsr", Native.Interface.GigabitEthernet.Ipv6.Pim.Bsr)}
                        self._child_list_classes = {}

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.dr_priority = YLeaf(YType.uint32, "dr-priority")

                        self.bsr = Native.Interface.GigabitEthernet.Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self._children_name_map["bsr"] = "bsr"
                        self._children_yang_names.add("bsr")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Pim, ['bfd', 'dr_priority'], name, value)


                    class Bsr(Entity):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Pim.Bsr, self).__init__()

                            self.yang_name = "bsr"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.border = YLeaf(YType.empty, "border")
                            self._segment_path = lambda: "bsr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Pim.Bsr, ['border'], name, value)


                class Ospf(Entity):
                    """
                    OSPF interface commands
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: list of  		 :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Process>`
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: encryption
                    
                    	Enable encryption
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Network>`
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ipv6.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication), "bfd" : ("bfd", Native.Interface.GigabitEthernet.Ipv6.Ospf.Bfd), "database-filter" : ("database_filter", Native.Interface.GigabitEthernet.Ipv6.Ospf.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.GigabitEthernet.Ipv6.Ospf.DemandCircuit), "encryption" : ("encryption", Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption), "flood-reduction" : ("flood_reduction", Native.Interface.GigabitEthernet.Ipv6.Ospf.FloodReduction), "mtu-ignore" : ("mtu_ignore", Native.Interface.GigabitEthernet.Ipv6.Ospf.MtuIgnore), "network" : ("network", Native.Interface.GigabitEthernet.Ipv6.Ospf.Network), "shutdown" : ("shutdown", Native.Interface.GigabitEthernet.Ipv6.Ospf.Shutdown)}
                        self._child_list_classes = {"process" : ("process", Native.Interface.GigabitEthernet.Ipv6.Ospf.Process), "neighbor" : ("neighbor", Native.Interface.GigabitEthernet.Ipv6.Ospf.Neighbor)}

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.database_filter = Native.Interface.GigabitEthernet.Ipv6.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.encryption = Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption()
                        self.encryption.parent = self
                        self._children_name_map["encryption"] = "encryption"
                        self._children_yang_names.add("encryption")

                        self.flood_reduction = None
                        self._children_name_map["flood_reduction"] = "flood-reduction"
                        self._children_yang_names.add("flood-reduction")

                        self.mtu_ignore = None
                        self._children_name_map["mtu_ignore"] = "mtu-ignore"
                        self._children_yang_names.add("mtu-ignore")

                        self.network = Native.Interface.GigabitEthernet.Ipv6.Ospf.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.shutdown = None
                        self._children_name_map["shutdown"] = "shutdown"
                        self._children_yang_names.add("shutdown")

                        self.process = YList(self)
                        self.neighbor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-ospf:ospf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf, ['cost', 'dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                    class Process(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: instance
                        
                        	Set the OSPF instance
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..31
                        
                        		**type**\: int
                        
                        			**range:** 32..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Process, self).__init__()

                            self.yang_name = "process"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint16, "id")

                            self.area = YLeaf(YType.str, "area")

                            self.instance = YLeaf(YType.str, "instance")
                            self._segment_path = lambda: "process" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Process, ['id', 'area', 'instance'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec authentication
                        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec)}
                            self._child_list_classes = {}

                            self.null = YLeaf(YType.empty, "null")

                            self.ipsec = Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec()
                            self.ipsec.parent = self
                            self._children_name_map["ipsec"] = "ipsec"
                            self._children_yang_names.add("ipsec")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication, ['null'], name, value)


                        class Ipsec(Entity):
                            """
                            Use IPsec authentication
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\: int
                            
                            	**range:** 256..4294967295
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5>`
                            
                            .. attribute:: sha1
                            
                            	Use SHA\-1 authentication
                            	**type**\:  :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec, self).__init__()

                                self.yang_name = "ipsec"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"md5" : ("md5", Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5), "sha1" : ("sha1", Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1)}
                                self._child_list_classes = {}

                                self.spi = YLeaf(YType.uint64, "spi")

                                self.md5 = Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5()
                                self.md5.parent = self
                                self._children_name_map["md5"] = "md5"
                                self._children_yang_names.add("md5")

                                self.sha1 = Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1()
                                self.sha1.parent = self
                                self._children_name_map["sha1"] = "sha1"
                                self._children_yang_names.add("sha1")
                                self._segment_path = lambda: "ipsec"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec, ['spi'], name, value)


                            class Md5(Entity):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5, self).__init__()

                                    self.yang_name = "md5"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "md5"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "md5"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Sha1(Entity):
                                """
                                Use SHA\-1 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1, self).__init__()

                                    self.yang_name = "sha1"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "sha1"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "sha1"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Bfd, ['disable'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.DatabaseFilter.All>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.DatabaseFilter, ['all', 'disable'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                    class DemandCircuit(Entity):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.DemandCircuit, ['disable', 'ignore'], name, value)


                    class Encryption(Entity):
                        """
                        Enable encryption
                        
                        .. attribute:: null
                        
                        	No IPsec encryption on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec encryption
                        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption, self).__init__()

                            self.yang_name = "encryption"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec)}
                            self._child_list_classes = {}

                            self.null = YLeaf(YType.empty, "null")

                            self.ipsec = Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec()
                            self.ipsec.parent = self
                            self._children_name_map["ipsec"] = "ipsec"
                            self._children_yang_names.add("ipsec")
                            self._segment_path = lambda: "encryption"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption, ['null'], name, value)


                        class Ipsec(Entity):
                            """
                            Use IPsec encryption
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: esp
                            
                            	Use ESP encapsulation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipsec_3des
                            
                            	Use 3DES encryption
                            	**type**\:  :py:class:`Ipsec3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des>`
                            
                            .. attribute:: aes_cbc
                            
                            	Use AES\-CBC encryption
                            	**type**\:  :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec, self).__init__()

                                self.yang_name = "ipsec"
                                self.yang_parent_name = "encryption"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipsec_3des" : ("ipsec_3des", Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des), "aes-cbc" : ("aes_cbc", Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc)}
                                self._child_list_classes = {}

                                self.spi = YLeaf(YType.uint64, "spi")

                                self.esp = YLeaf(YType.empty, "esp")

                                self.ipsec_3des = Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des()
                                self.ipsec_3des.parent = self
                                self._children_name_map["ipsec_3des"] = "ipsec_3des"
                                self._children_yang_names.add("ipsec_3des")

                                self.aes_cbc = Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc()
                                self.aes_cbc.parent = self
                                self._children_name_map["aes_cbc"] = "aes-cbc"
                                self._children_yang_names.add("aes-cbc")
                                self._segment_path = lambda: "ipsec"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec, ['spi', 'esp'], name, value)


                            class Ipsec3Des(Entity):
                                """
                                Use 3DES encryption
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des, self).__init__()

                                    self.yang_name = "ipsec_3des"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "ipsec_3des"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "ipsec_3des"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class AesCbc(Entity):
                                """
                                Use AES\-CBC encryption
                                
                                .. attribute:: aes_cbc_128
                                
                                	Use 128 bit key
                                	**type**\:  :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128>`
                                
                                .. attribute:: aes_192
                                
                                	Use 192 bit key
                                	**type**\:  :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192>`
                                
                                .. attribute:: aes_256
                                
                                	Use 256 bit key
                                	**type**\:  :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc, self).__init__()

                                    self.yang_name = "aes-cbc"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"aes-cbc-128" : ("aes_cbc_128", Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128), "aes-192" : ("aes_192", Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192), "aes-256" : ("aes_256", Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256)}
                                    self._child_list_classes = {}

                                    self.aes_cbc_128 = Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128()
                                    self.aes_cbc_128.parent = self
                                    self._children_name_map["aes_cbc_128"] = "aes-cbc-128"
                                    self._children_yang_names.add("aes-cbc-128")

                                    self.aes_192 = Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192()
                                    self.aes_192.parent = self
                                    self._children_name_map["aes_192"] = "aes-192"
                                    self._children_yang_names.add("aes-192")

                                    self.aes_256 = Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256()
                                    self.aes_256.parent = self
                                    self._children_name_map["aes_256"] = "aes-256"
                                    self._children_yang_names.add("aes-256")
                                    self._segment_path = lambda: "aes-cbc"


                                class AesCbc128(Entity):
                                    """
                                    Use 128 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128, self).__init__()

                                        self.yang_name = "aes-cbc-128"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-cbc-128"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-cbc-128"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                                class Aes192(Entity):
                                    """
                                    Use 192 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192, self).__init__()

                                        self.yang_name = "aes-192"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-192"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-192"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                                class Aes256(Entity):
                                    """
                                    Use 256 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256, self).__init__()

                                        self.yang_name = "aes-256"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-256"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-256"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                    class FloodReduction(Entity):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	Disable Flood Reduction on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.FloodReduction, self).__init__()

                            self.yang_name = "flood-reduction"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "flood-reduction"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.FloodReduction, ['disable'], name, value)


                    class MtuIgnore(Entity):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.MtuIgnore, self).__init__()

                            self.yang_name = "mtu-ignore"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "mtu-ignore"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.MtuIgnore, ['disable'], name, value)


                    class Neighbor(Entity):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.GigabitEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint16, "cost")

                            self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.database_filter = Native.Interface.GigabitEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter.All>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter, ['all'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                    class Network(Entity):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Ospf.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.GigabitEthernet.Ipv6.Ospf.Network.PointToMultipoint)}
                            self._child_list_classes = {}

                            self.broadcast = YLeaf(YType.empty, "broadcast")

                            self.manet = YLeaf(YType.empty, "manet")

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                            self.point_to_point = YLeaf(YType.empty, "point-to-point")

                            self.point_to_multipoint = None
                            self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                            self._children_yang_names.add("point-to-multipoint")
                            self._segment_path = lambda: "network"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                        class PointToMultipoint(Entity):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Network.PointToMultipoint, self).__init__()

                                self.yang_name = "point-to-multipoint"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                self._segment_path = lambda: "point-to-multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Network.PointToMultipoint, ['non_broadcast'], name, value)


                    class Shutdown(Entity):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Ospf.Shutdown, self).__init__()

                            self.yang_name = "shutdown"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "shutdown"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Ospf.Shutdown, ['disable'], name, value)


                class Rip(Entity):
                    """
                    Configure RIP routing protocol
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: enable
                    
                    	Enable/disable RIP routing
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: default_information
                    
                    	Configure handling of default route
                    	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Rip.DefaultInformation>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ipv6.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default-information" : ("default_information", Native.Interface.GigabitEthernet.Ipv6.Rip.DefaultInformation)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.default_information = Native.Interface.GigabitEthernet.Ipv6.Rip.DefaultInformation()
                        self.default_information.parent = self
                        self._children_name_map["default_information"] = "default-information"
                        self._children_yang_names.add("default-information")
                        self._segment_path = lambda: "Cisco-IOS-XE-rip:rip" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Rip, ['id', 'enable'], name, value)


                    class DefaultInformation(Entity):
                        """
                        Configure handling of default route
                        
                        .. attribute:: route
                        
                        	
                        	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ipv6.Rip.DefaultInformation.Route>`
                        
                        .. attribute:: metric
                        
                        	Default route metric
                        	**type**\: int
                        
                        	**range:** 1..15
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ipv6.Rip.DefaultInformation, self).__init__()

                            self.yang_name = "default-information"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.route = YLeaf(YType.enumeration, "route")

                            self.metric = YLeaf(YType.uint8, "metric")
                            self._segment_path = lambda: "default-information"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ipv6.Rip.DefaultInformation, ['route', 'metric'], name, value)

                        class Route(Enum):
                            """
                            Route

                            .. data:: only = 0

                            .. data:: originate = 1

                            """

                            only = Enum.YLeaf(0, "only")

                            originate = Enum.YLeaf(1, "originate")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.GigabitEthernet.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.GigabitEthernet.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.GigabitEthernet.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.GigabitEthernet.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.GigabitEthernet.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.GigabitEthernet.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.GigabitEthernet.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.GigabitEthernet.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.GigabitEthernet.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.GigabitEthernet.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.GigabitEthernet.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.GigabitEthernet.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.GigabitEthernet.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.GigabitEthernet.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.GigabitEthernet.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.GigabitEthernet.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.GigabitEthernet.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.GigabitEthernet.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.GigabitEthernet.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.GigabitEthernet.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.GigabitEthernet.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.GigabitEthernet.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.GigabitEthernet.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.GigabitEthernet.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.GigabitEthernet.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.GigabitEthernet.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.GigabitEthernet.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.GigabitEthernet.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.GigabitEthernet.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.GigabitEthernet.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.GigabitEthernet.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.GigabitEthernet.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.GigabitEthernet.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.GigabitEthernet.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.GigabitEthernet.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.GigabitEthernet.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.GigabitEthernet.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.GigabitEthernet.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.GigabitEthernet.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.GigabitEthernet.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.GigabitEthernet.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.GigabitEthernet.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.GigabitEthernet.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.GigabitEthernet.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.GigabitEthernet.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.GigabitEthernet.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.GigabitEthernet.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.GigabitEthernet.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.GigabitEthernet.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.GigabitEthernet.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.GigabitEthernet.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.GigabitEthernet.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.GigabitEthernet.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.GigabitEthernet.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.GigabitEthernet.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.GigabitEthernet.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.GigabitEthernet.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.GigabitEthernet.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.GigabitEthernet.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.GigabitEthernet.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.PmPath, ['name', 'interface_id'], name, value)


            class CarrierDelay(Entity):
                """
                Specify delay for interface transitions
                
                .. attribute:: seconds
                
                	
                	**type**\: int
                
                	**range:** 0..60
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\: int
                
                	**range:** 0..1000
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:  :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.CarrierDelay.Down>`
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:  :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.CarrierDelay, self).__init__()

                    self.yang_name = "carrier-delay"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"down" : ("down", Native.Interface.GigabitEthernet.CarrierDelay.Down), "up" : ("up", Native.Interface.GigabitEthernet.CarrierDelay.Up)}
                    self._child_list_classes = {}

                    self.seconds = YLeaf(YType.uint8, "seconds")

                    self.msec = YLeaf(YType.uint16, "msec")

                    self.down = Native.Interface.GigabitEthernet.CarrierDelay.Down()
                    self.down.parent = self
                    self._children_name_map["down"] = "down"
                    self._children_yang_names.add("down")

                    self.up = Native.Interface.GigabitEthernet.CarrierDelay.Up()
                    self.up.parent = self
                    self._children_name_map["up"] = "up"
                    self._children_yang_names.add("up")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:carrier-delay"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.CarrierDelay, ['seconds', 'msec'], name, value)


                class Down(Entity):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.CarrierDelay.Down, self).__init__()

                        self.yang_name = "down"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "down"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.CarrierDelay.Down, ['seconds', 'msec'], name, value)


                class Up(Entity):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.CarrierDelay.Up, self).__init__()

                        self.yang_name = "up"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "up"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.CarrierDelay.Up, ['seconds', 'msec'], name, value)


            class ChannelGroup(Entity):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 1..512
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.ChannelGroup.Mode>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\: int
                
                	**range:** 1..4
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.ChannelGroup, self).__init__()

                    self.yang_name = "channel-group"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint16, "number")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.non_silent = YLeaf(YType.empty, "non-silent")

                    self.link = YLeaf(YType.uint8, "link")

                    self.auto = YLeaf(YType.empty, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:channel-group"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.ChannelGroup, ['number', 'mode', 'non_silent', 'link', 'auto'], name, value)

                class Mode(Enum):
                    """
                    Mode

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = Enum.YLeaf(0, "active")

                    auto = Enum.YLeaf(1, "auto")

                    desirable = Enum.YLeaf(2, "desirable")

                    on = Enum.YLeaf(3, "on")

                    passive = Enum.YLeaf(4, "passive")



            class Ethernet(Entity):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:  :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Ethernet, self).__init__()

                    self.yang_name = "ethernet"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"oam" : ("oam", Native.Interface.GigabitEthernet.Ethernet.Oam)}
                    self._child_list_classes = {}

                    self.oam = None
                    self._children_name_map["oam"] = "oam"
                    self._children_yang_names.add("oam")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:ethernet"


                class Oam(Entity):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:  :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.Mode>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:  :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:  :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 2..30
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ethernet.Oam, self).__init__()

                        self.yang_name = "oam"
                        self.yang_parent_name = "ethernet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-monitor" : ("link_monitor", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor), "remote-failure" : ("remote_failure", Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure), "remote-loopback" : ("remote_loopback", Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteLoopback)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max_rate = YLeaf(YType.uint8, "max-rate")

                        self.min_rate = YLeaf(YType.uint8, "min-rate")

                        self.mode = YLeaf(YType.enumeration, "mode")

                        self.timeout = YLeaf(YType.uint8, "timeout")

                        self.link_monitor = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self._children_name_map["link_monitor"] = "link-monitor"
                        self._children_yang_names.add("link-monitor")

                        self.remote_failure = Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self._children_name_map["remote_failure"] = "remote-failure"
                        self._children_yang_names.add("remote-failure")

                        self.remote_loopback = Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self._children_name_map["remote_loopback"] = "remote-loopback"
                        self._children_yang_names.add("remote-loopback")
                        self._segment_path = lambda: "oam"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam, ['max_rate', 'min_rate', 'mode', 'timeout'], name, value)

                    class Mode(Enum):
                        """
                        Mode

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = Enum.YLeaf(0, "active")

                        passive = Enum.YLeaf(1, "passive")



                    class LinkMonitor(Entity):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:  :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:  :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:  :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:  :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:  :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:  :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor, self).__init__()

                            self.yang_name = "link-monitor"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"frame" : ("frame", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame), "frame-period" : ("frame_period", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod), "frame-seconds" : ("frame_seconds", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds), "high-threshold" : ("high_threshold", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold), "receive-crc" : ("receive_crc", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc), "symbol-period" : ("symbol_period", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod)}
                            self._child_list_classes = {}

                            self.on = YLeaf(YType.empty, "on")

                            self.supported = YLeaf(YType.empty, "supported")

                            self.frame = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self._children_name_map["frame"] = "frame"
                            self._children_yang_names.add("frame")

                            self.frame_period = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self._children_name_map["frame_period"] = "frame-period"
                            self._children_yang_names.add("frame-period")

                            self.frame_seconds = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self._children_name_map["frame_seconds"] = "frame-seconds"
                            self._children_yang_names.add("frame-seconds")

                            self.high_threshold = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self._children_name_map["high_threshold"] = "high-threshold"
                            self._children_yang_names.add("high-threshold")

                            self.receive_crc = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self._children_name_map["receive_crc"] = "receive-crc"
                            self._children_yang_names.add("receive-crc")

                            self.symbol_period = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self
                            self._children_name_map["symbol_period"] = "symbol-period"
                            self._children_yang_names.add("symbol-period")
                            self._segment_path = lambda: "link-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor, ['on', 'supported'], name, value)


                        class Frame(Entity):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame, self).__init__()

                                self.yang_name = "frame"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.thresh = YLeaf(YType.uint16, "thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, ['thresh', 'none'], name, value)


                        class FramePeriod(Entity):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod, self).__init__()

                                self.yang_name = "frame-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.f_thresh = YLeaf(YType.uint16, "f-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, ['f_thresh', 'none'], name, value)


                        class FrameSeconds(Entity):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds, self).__init__()

                                self.yang_name = "frame-seconds"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-seconds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\: int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-seconds"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.e_thresh = YLeaf(YType.uint16, "e-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, ['e_thresh', 'none'], name, value)


                        class HighThreshold(Entity):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold, self).__init__()

                                self.yang_name = "high-threshold"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "high-threshold"


                            class Action(Entity):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "high-threshold"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action, ['error_disable_interface'], name, value)


                        class ReceiveCrc(Entity):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc, self).__init__()

                                self.yang_name = "receive-crc"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "receive-crc"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "receive-crc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.crc_thresh = YLeaf(YType.uint16, "crc-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, ['crc_thresh', 'none'], name, value)


                        class SymbolPeriod(Entity):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod, self).__init__()

                                self.yang_name = "symbol-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "symbol-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "symbol-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.err_thresh = YLeaf(YType.uint16, "err-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, ['err_thresh', 'none'], name, value)


                    class RemoteFailure(Entity):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:  :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:  :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:  :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure, self).__init__()

                            self.yang_name = "remote-failure"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"critical-event" : ("critical_event", Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent), "dying-gasp" : ("dying_gasp", Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp), "link-fault" : ("link_fault", Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault)}
                            self._child_list_classes = {}

                            self.critical_event = Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self._children_name_map["critical_event"] = "critical-event"
                            self._children_yang_names.add("critical-event")

                            self.dying_gasp = Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self._children_name_map["dying_gasp"] = "dying-gasp"
                            self._children_yang_names.add("dying-gasp")

                            self.link_fault = Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self
                            self._children_name_map["link_fault"] = "link-fault"
                            self._children_yang_names.add("link-fault")
                            self._segment_path = lambda: "remote-failure"


                        class CriticalEvent(Entity):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent, self).__init__()

                                self.yang_name = "critical-event"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "critical-event"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "critical-event"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, ['error_disable_interface'], name, value)


                        class DyingGasp(Entity):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp, self).__init__()

                                self.yang_name = "dying-gasp"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "dying-gasp"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "dying-gasp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action, ['error_disable_interface'], name, value)


                        class LinkFault(Entity):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault, self).__init__()

                                self.yang_name = "link-fault"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "link-fault"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "link-fault"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action, ['error_disable_interface'], name, value)


                    class RemoteLoopback(Entity):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteLoopback, self).__init__()

                            self.yang_name = "remote-loopback"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.supported = YLeaf(YType.empty, "supported")

                            self.timeout = YLeaf(YType.uint8, "timeout")
                            self._segment_path = lambda: "remote-loopback"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ethernet.Oam.RemoteLoopback, ['supported', 'timeout'], name, value)


            class Negotiation(Entity):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\: bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Negotiation, self).__init__()

                    self.yang_name = "negotiation"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:negotiation"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Negotiation, ['auto'], name, value)


            class Synchronous(Entity):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Synchronous, self).__init__()

                    self.yang_name = "synchronous"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mode = YLeaf(YType.empty, "mode")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:synchronous"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Synchronous, ['mode'], name, value)


            class Speed(Entity):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Speed, self).__init__()

                    self.yang_name = "speed"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.empty, "auto")

                    self.value_10 = YLeaf(YType.empty, "value-10")

                    self.value_100 = YLeaf(YType.empty, "value-100")

                    self.value_1000 = YLeaf(YType.empty, "value-1000")

                    self.value_10000 = YLeaf(YType.empty, "value-10000")

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:speed"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Speed, ['auto', 'value_10', 'value_100', 'value_1000', 'value_10000', 'nonegotiate'], name, value)


            class Plim(Entity):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Plim, self).__init__()

                    self.yang_name = "plim"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.GigabitEthernet.Plim.Ethernet), "qos" : ("qos", Native.Interface.GigabitEthernet.Plim.Qos)}
                    self._child_list_classes = {}

                    self.ethernet = Native.Interface.GigabitEthernet.Plim.Ethernet()
                    self.ethernet.parent = self
                    self._children_name_map["ethernet"] = "ethernet"
                    self._children_yang_names.add("ethernet")

                    self.qos = Native.Interface.GigabitEthernet.Plim.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:plim"


                class Ethernet(Entity):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Plim.Ethernet, self).__init__()

                        self.yang_name = "ethernet"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.GigabitEthernet.Plim.Ethernet.Vlan)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.GigabitEthernet.Plim.Ethernet.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "ethernet"


                    class Vlan(Entity):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Plim.Ethernet.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"filter" : ("filter", Native.Interface.GigabitEthernet.Plim.Ethernet.Vlan.Filter)}
                            self._child_list_classes = {}

                            self.filter = Native.Interface.GigabitEthernet.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self
                            self._children_name_map["filter"] = "filter"
                            self._children_yang_names.add("filter")
                            self._segment_path = lambda: "vlan"


                        class Filter(Entity):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Plim.Ethernet.Vlan.Filter, self).__init__()

                                self.yang_name = "filter"
                                self.yang_parent_name = "vlan"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Plim.Ethernet.Vlan.Filter, ['disable'], name, value)


                class Qos(Entity):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Plim.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"input" : ("input", Native.Interface.GigabitEthernet.Plim.Qos.Input)}
                        self._child_list_classes = {}

                        self.input = Native.Interface.GigabitEthernet.Plim.Qos.Input()
                        self.input.parent = self
                        self._children_name_map["input"] = "input"
                        self._children_yang_names.add("input")
                        self._segment_path = lambda: "qos"


                    class Input(Entity):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Plim.Qos.Input, self).__init__()

                            self.yang_name = "input"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"queue" : ("queue", Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue)}
                            self._child_list_classes = {}

                            self.queue = Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue()
                            self.queue.parent = self
                            self._children_name_map["queue"] = "queue"
                            self._children_yang_names.add("queue")
                            self._segment_path = lambda: "input"


                        class Queue(Entity):
                            """
                            Queue number
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:  :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.Zero>`
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:  :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue, self).__init__()

                                self.yang_name = "queue"
                                self.yang_parent_name = "input"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"zero" : ("zero", Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.Zero), "strict-priority" : ("strict_priority", Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.StrictPriority)}
                                self._child_list_classes = {}

                                self.zero = Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self
                                self._children_name_map["zero"] = "zero"
                                self._children_yang_names.add("zero")

                                self.strict_priority = Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self._children_name_map["strict_priority"] = "strict-priority"
                                self._children_yang_names.add("strict-priority")
                                self._segment_path = lambda: "queue"


                            class Zero(Entity):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.Zero, self).__init__()

                                    self.yang_name = "zero"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "zero"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "zero"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause, ['enable', 'threshold'], name, value)


                            class StrictPriority(Entity):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.StrictPriority, self).__init__()

                                    self.yang_name = "strict-priority"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "strict-priority"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "strict-priority"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause, ['enable', 'threshold'], name, value)


            class Pppoe(Entity):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\: int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Pppoe, self).__init__()

                    self.yang_name = "pppoe"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"enable" : ("enable", Native.Interface.GigabitEthernet.Pppoe.Enable)}
                    self._child_list_classes = {}

                    self.max_sessions = YLeaf(YType.uint16, "max-sessions")

                    self.enable = None
                    self._children_name_map["enable"] = "enable"
                    self._children_yang_names.add("enable")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:pppoe"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Pppoe, ['max_sessions'], name, value)


                class Enable(Entity):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Pppoe.Enable.Group>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Pppoe.Enable, self).__init__()

                        self.yang_name = "enable"
                        self.yang_parent_name = "pppoe"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "enable"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Pppoe.Enable, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = Enum.YLeaf(0, "global")



            class Service(Entity):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of  		 :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Service, self).__init__()

                    self.yang_name = "service"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"instance" : ("instance", Native.Interface.GigabitEthernet.Service.Instance)}

                    self.instance = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:service"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Service, [], name, value)


                class Instance(Entity):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\: str
                    
                    	**length:** 0..240
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\: str
                    
                    	**length:** 1..100
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Encapsulation>`
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Ipv6>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:  :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:  :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:  :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Snmp>`
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:  :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Mac>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:  :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Cfm>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:  :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.L2Protocol>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Service.Instance, self).__init__()

                        self.yang_name = "instance"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.GigabitEthernet.Service.Instance.Encapsulation), "ip" : ("ip", Native.Interface.GigabitEthernet.Service.Instance.Ip), "ipv6" : ("ipv6", Native.Interface.GigabitEthernet.Service.Instance.Ipv6), "rewrite" : ("rewrite", Native.Interface.GigabitEthernet.Service.Instance.Rewrite), "errdisable" : ("errdisable", Native.Interface.GigabitEthernet.Service.Instance.Errdisable), "ethernet-container" : ("ethernet_container", Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer), "snmp" : ("snmp", Native.Interface.GigabitEthernet.Service.Instance.Snmp), "bridge-domain" : ("bridge_domain", Native.Interface.GigabitEthernet.Service.Instance.BridgeDomain), "mac" : ("mac", Native.Interface.GigabitEthernet.Service.Instance.Mac), "service-policy" : ("service_policy", Native.Interface.GigabitEthernet.Service.Instance.ServicePolicy), "cfm" : ("cfm", Native.Interface.GigabitEthernet.Service.Instance.Cfm), "l2protocol" : ("l2protocol", Native.Interface.GigabitEthernet.Service.Instance.L2Protocol), "Cisco-IOS-XE-l2vpn:xconnect" : ("xconnect", Native.Interface.GigabitEthernet.Service.Instance.Xconnect), "Cisco-IOS-XE-l2vpn:xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint32, "id")

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.gigabitethernet = YLeaf(YType.empty, "GigabitEthernet")

                        self.ethernet = YLeaf(YType.empty, "ethernet")

                        self.ethernet_evc_name = YLeaf(YType.str, "ethernet-evc-name")

                        self.description = YLeaf(YType.str, "description")

                        self.evc_name = YLeaf(YType.str, "evc-name")

                        self.group = YLeaf(YType.uint32, "group")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.encapsulation = Native.Interface.GigabitEthernet.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self._children_name_map["encapsulation"] = "encapsulation"
                        self._children_yang_names.add("encapsulation")

                        self.ip = Native.Interface.GigabitEthernet.Service.Instance.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.ipv6 = Native.Interface.GigabitEthernet.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.rewrite = Native.Interface.GigabitEthernet.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self._children_name_map["rewrite"] = "rewrite"
                        self._children_yang_names.add("rewrite")

                        self.errdisable = Native.Interface.GigabitEthernet.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self._children_name_map["errdisable"] = "errdisable"
                        self._children_yang_names.add("errdisable")

                        self.ethernet_container = Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self._children_name_map["ethernet_container"] = "ethernet-container"
                        self._children_yang_names.add("ethernet-container")

                        self.snmp = Native.Interface.GigabitEthernet.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self._children_name_map["snmp"] = "snmp"
                        self._children_yang_names.add("snmp")

                        self.bridge_domain = Native.Interface.GigabitEthernet.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self._children_name_map["bridge_domain"] = "bridge-domain"
                        self._children_yang_names.add("bridge-domain")

                        self.mac = Native.Interface.GigabitEthernet.Service.Instance.Mac()
                        self.mac.parent = self
                        self._children_name_map["mac"] = "mac"
                        self._children_yang_names.add("mac")

                        self.service_policy = Native.Interface.GigabitEthernet.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self._children_name_map["service_policy"] = "service-policy"
                        self._children_yang_names.add("service-policy")

                        self.cfm = Native.Interface.GigabitEthernet.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self._children_name_map["cfm"] = "cfm"
                        self._children_yang_names.add("cfm")

                        self.l2protocol = Native.Interface.GigabitEthernet.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self._children_name_map["l2protocol"] = "l2protocol"
                        self._children_yang_names.add("l2protocol")

                        self.xconnect = Native.Interface.GigabitEthernet.Service.Instance.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")

                        self.xconnect_pw_class = Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass()
                        self.xconnect_pw_class.parent = self
                        self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                        self._children_yang_names.add("xconnect-pw-class")
                        self._segment_path = lambda: "instance" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance, ['id', 'trunk', 'gigabitethernet', 'ethernet', 'ethernet_evc_name', 'description', 'evc_name', 'group', 'shutdown'], name, value)


                    class Encapsulation(Entity):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:  :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:  :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation, self).__init__()

                            self.yang_name = "encapsulation"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Q), "priority-tagged" : ("priority_tagged", Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.PriorityTagged), "untagged" : ("untagged", Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Untagged)}
                            self._child_list_classes = {}

                            self.default = YLeaf(YType.empty, "default")

                            self.dot1ad = Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self._children_name_map["dot1ad"] = "dot1ad"
                            self._children_yang_names.add("dot1ad")

                            self.dot1q = Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self._children_name_map["dot1q"] = "dot1q"
                            self._children_yang_names.add("dot1q")

                            self.priority_tagged = Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self._children_name_map["priority_tagged"] = "priority-tagged"
                            self._children_yang_names.add("priority-tagged")

                            self.untagged = None
                            self._children_name_map["untagged"] = "untagged"
                            self._children_yang_names.add("untagged")
                            self._segment_path = lambda: "encapsulation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation, ['default'], name, value)


                        class Dot1Ad(Entity):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Dot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Ad, self).__init__()

                                self.yang_name = "dot1ad"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.dot1q = YLeafList(YType.str, "dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.cos2 = Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1ad"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Ad, ['id', 'cos', 'dot1q', 'etype', 'exact'], name, value)

                            class Dot1Q(Enum):
                                """
                                Dot1Q

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1ad"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2, ['cos'], name, value)


                        class Dot1Q(Entity):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`SecondDot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:  :py:class:`VlanType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Q.VlanType>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Q, self).__init__()

                                self.yang_name = "dot1q"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.second_dot1q = YLeafList(YType.str, "second-dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.vlan_type = YLeaf(YType.enumeration, "vlan-type")

                                self.cos2 = Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1q"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Q, ['id', 'cos', 'second_dot1q', 'etype', 'exact', 'vlan_type'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class SecondDot1Q(Enum):
                                """
                                SecondDot1Q

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class VlanType(Enum):
                                """
                                VlanType

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = Enum.YLeaf(0, "0x88A8")

                                Y_0x9100 = Enum.YLeaf(1, "0x9100")

                                Y_0x9200 = Enum.YLeaf(2, "0x9200")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1q"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2, ['cos'], name, value)


                        class PriorityTagged(Entity):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:  :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.Etype>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.PriorityTagged, self).__init__()

                                self.yang_name = "priority-tagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos-container" : ("cos_container", Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer)}
                                self._child_list_classes = {}

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.cos_container = Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self._children_name_map["cos_container"] = "cos-container"
                                self._children_yang_names.add("cos-container")
                                self._segment_path = lambda: "priority-tagged"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.PriorityTagged, ['etype'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")



                            class CosContainer(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer, self).__init__()

                                    self.yang_name = "cos-container"
                                    self.yang_parent_name = "priority-tagged"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer, ['cos'], name, value)


                        class Untagged(Entity):
                            """
                            Untagged encapsulation
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Encapsulation.Untagged, self).__init__()

                                self.yang_name = "untagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "untagged"


                    class Ip(Entity):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"acl" : ("acl", Native.Interface.GigabitEthernet.Service.Instance.Ip.Acl), "dhcp" : ("dhcp", Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp), "verify" : ("verify", Native.Interface.GigabitEthernet.Service.Instance.Ip.Verify)}
                            self._child_list_classes = {}

                            self.acl = Native.Interface.GigabitEthernet.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")

                            self.dhcp = Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self._children_name_map["dhcp"] = "dhcp"
                            self._children_yang_names.add("dhcp")

                            self.verify = Native.Interface.GigabitEthernet.Service.Instance.Ip.Verify()
                            self.verify.parent = self
                            self._children_name_map["verify"] = "verify"
                            self._children_yang_names.add("verify")
                            self._segment_path = lambda: "ip"


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Ip.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.access_group = YLeaf(YType.str, "access-group")

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Ip.Acl, ['access_group', 'in_', 'out'], name, value)


                        class Dhcp(Entity):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp, self).__init__()

                                self.yang_name = "dhcp"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"relay" : ("relay", Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp.Relay)}
                                self._child_list_classes = {}

                                self.relay = Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self
                                self._children_name_map["relay"] = "relay"
                                self._children_yang_names.add("relay")
                                self._segment_path = lambda: "dhcp"


                            class Relay(Entity):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp.Relay, self).__init__()

                                    self.yang_name = "relay"
                                    self.yang_parent_name = "dhcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"information" : ("information", Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information)}
                                    self._child_list_classes = {}

                                    self.information = Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self
                                    self._children_name_map["information"] = "information"
                                    self._children_yang_names.add("information")
                                    self._segment_path = lambda: "relay"


                                class Information(Entity):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information, self).__init__()

                                        self.yang_name = "information"
                                        self.yang_parent_name = "relay"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"option" : ("option", Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option)}
                                        self._child_list_classes = {}

                                        self.option = Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self
                                        self._children_name_map["option"] = "option"
                                        self._children_yang_names.add("option")
                                        self._segment_path = lambda: "information"


                                    class Option(Entity):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                            self.yang_name = "option"
                                            self.yang_parent_name = "information"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                            self._segment_path = lambda: "option"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                        class Verify(Entity):
                            """
                            verify
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Ip.Verify, self).__init__()

                                self.yang_name = "verify"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.source = YLeaf(YType.empty, "source")

                                self.vlan = YLeaf(YType.empty, "vlan")

                                self.dhcp_snooping = YLeaf(YType.empty, "dhcp-snooping")

                                self.port_security = YLeaf(YType.empty, "port-security")
                                self._segment_path = lambda: "verify"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Ip.Verify, ['source', 'vlan', 'dhcp_snooping', 'port_security'], name, value)


                    class Ipv6(Entity):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\: str
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.traffic_filter = YLeaf(YType.str, "traffic-filter")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Ipv6, ['traffic_filter', 'in_', 'out'], name, value)


                    class Rewrite(Entity):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:  :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.Rewrite, self).__init__()

                            self.yang_name = "rewrite"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ingress" : ("ingress", Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress)}
                            self._child_list_classes = {}

                            self.ingress = Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self
                            self._children_name_map["ingress"] = "ingress"
                            self._children_yang_names.add("ingress")
                            self._segment_path = lambda: "rewrite"


                        class Ingress(Entity):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress, self).__init__()

                                self.yang_name = "ingress"
                                self.yang_parent_name = "rewrite"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"tag" : ("tag", Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag)}
                                self._child_list_classes = {}

                                self.tag = Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self
                                self._children_name_map["tag"] = "tag"
                                self._children_yang_names.add("tag")
                                self._segment_path = lambda: "ingress"


                            class Tag(Entity):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:  :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:  :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag, self).__init__()

                                    self.yang_name = "tag"
                                    self.yang_parent_name = "ingress"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pop" : ("pop", Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop), "push" : ("push", Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push), "translate" : ("translate", Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate)}
                                    self._child_list_classes = {}

                                    self.pop = Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self._children_name_map["pop"] = "pop"
                                    self._children_yang_names.add("pop")

                                    self.push = Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self._children_name_map["push"] = "push"
                                    self._children_yang_names.add("push")

                                    self.translate = Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self
                                    self._children_name_map["translate"] = "translate"
                                    self._children_yang_names.add("translate")
                                    self._segment_path = lambda: "tag"


                                class Pop(Entity):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:  :py:class:`Way <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop.Way>`
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop, self).__init__()

                                        self.yang_name = "pop"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.way = YLeaf(YType.enumeration, "way")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "pop"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop, ['way', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")


                                    class Way(Enum):
                                        """
                                        Way

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class Push(Entity):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push, self).__init__()

                                        self.yang_name = "push"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dot1q = YLeaf(YType.uint16, "dot1q")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "push"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push, ['dot1q', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")



                                class Translate(Entity):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:  :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:  :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:  :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:  :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate, self).__init__()

                                        self.yang_name = "translate"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"t1-to-1" : ("t1_to_1", Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1), "t1-to-2" : ("t1_to_2", Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2), "t2-to-1" : ("t2_to_1", Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1), "t2-to-2" : ("t2_to_2", Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2)}
                                        self._child_list_classes = {}

                                        self.t1_to_1 = Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self._children_name_map["t1_to_1"] = "t1-to-1"
                                        self._children_yang_names.add("t1-to-1")

                                        self.t1_to_2 = Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self._children_name_map["t1_to_2"] = "t1-to-2"
                                        self._children_yang_names.add("t1-to-2")

                                        self.t2_to_1 = Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self._children_name_map["t2_to_1"] = "t2-to-1"
                                        self._children_yang_names.add("t2-to-1")

                                        self.t2_to_2 = Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self
                                        self._children_name_map["t2_to_2"] = "t2-to-2"
                                        self._children_yang_names.add("t2-to-2")
                                        self._segment_path = lambda: "translate"


                                    class T1To1(Entity):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, self).__init__()

                                            self.yang_name = "t1-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T1To2(Entity):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, self).__init__()

                                            self.yang_name = "t1-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To1(Entity):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, self).__init__()

                                            self.yang_name = "t2-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To2(Entity):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, self).__init__()

                                            self.yang_name = "t2-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                    class Errdisable(Entity):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.Errdisable, self).__init__()

                            self.yang_name = "errdisable"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"recovery" : ("recovery", Native.Interface.GigabitEthernet.Service.Instance.Errdisable.Recovery)}
                            self._child_list_classes = {}

                            self.recovery = Native.Interface.GigabitEthernet.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self
                            self._children_name_map["recovery"] = "recovery"
                            self._children_yang_names.add("recovery")
                            self._segment_path = lambda: "errdisable"


                        class Recovery(Entity):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:  :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Errdisable.Recovery, self).__init__()

                                self.yang_name = "recovery"
                                self.yang_parent_name = "errdisable"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cause" : ("cause", Native.Interface.GigabitEthernet.Service.Instance.Errdisable.Recovery.Cause)}
                                self._child_list_classes = {}

                                self.cause = Native.Interface.GigabitEthernet.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self
                                self._children_name_map["cause"] = "cause"
                                self._children_yang_names.add("cause")
                                self._segment_path = lambda: "recovery"


                            class Cause(Entity):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\: int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.Errdisable.Recovery.Cause, self).__init__()

                                    self.yang_name = "cause"
                                    self.yang_parent_name = "recovery"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mac_security = YLeaf(YType.uint32, "mac-security")
                                    self._segment_path = lambda: "cause"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Errdisable.Recovery.Cause, ['mac_security'], name, value)


                    class EthernetContainer(Entity):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer, self).__init__()

                            self.yang_name = "ethernet-container"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet)}
                            self._child_list_classes = {}

                            self.ethernet = Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self
                            self._children_name_map["ethernet"] = "ethernet"
                            self._children_yang_names.add("ethernet")
                            self._segment_path = lambda: "ethernet-container"


                        class Ethernet(Entity):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:  :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:  :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet, self).__init__()

                                self.yang_name = "ethernet"
                                self.yang_parent_name = "ethernet-container"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lmi" : ("lmi", Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi), "loopback" : ("loopback", Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback)}
                                self._child_list_classes = {}

                                self.lmi = Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self._children_name_map["lmi"] = "lmi"
                                self._children_yang_names.add("lmi")

                                self.loopback = Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self
                                self._children_name_map["loopback"] = "loopback"
                                self._children_yang_names.add("loopback")
                                self._segment_path = lambda: "ethernet"


                            class Lmi(Entity):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:  :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi, self).__init__()

                                    self.yang_name = "lmi"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ce-vlan" : ("ce_vlan", Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan)}
                                    self._child_list_classes = {}

                                    self.ce_vlan = Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self
                                    self._children_name_map["ce_vlan"] = "ce-vlan"
                                    self._children_yang_names.add("ce-vlan")
                                    self._segment_path = lambda: "lmi"


                                class CeVlan(Entity):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan, self).__init__()

                                        self.yang_name = "ce-vlan"
                                        self.yang_parent_name = "lmi"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map" : ("map", Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map)}
                                        self._child_list_classes = {}

                                        self.map = Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self
                                        self._children_name_map["map"] = "map"
                                        self._children_yang_names.add("map")
                                        self._segment_path = lambda: "ce-vlan"


                                    class Map(Entity):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:  :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, self).__init__()

                                            self.yang_name = "map"
                                            self.yang_parent_name = "ce-vlan"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"vlan-range" : ("vlan_range", Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange)}
                                            self._child_list_classes = {}

                                            self.any = YLeaf(YType.empty, "any")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.untagged = YLeaf(YType.empty, "untagged")

                                            self.vlan_range = Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self
                                            self._children_name_map["vlan_range"] = "vlan-range"
                                            self._children_yang_names.add("vlan-range")
                                            self._segment_path = lambda: "map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, ['any', 'default', 'untagged'], name, value)


                                        class VlanRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, self).__init__()

                                                self.yang_name = "vlan-range"
                                                self.yang_parent_name = "map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                                self.comma = YLeaf(YType.uint16, "comma")

                                                self.hyphen = YLeaf(YType.uint16, "hyphen")
                                                self._segment_path = lambda: "vlan-range"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, ['vlan_id', 'comma', 'hyphen'], name, value)


                            class Loopback(Entity):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback, self).__init__()

                                    self.yang_name = "loopback"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"permit" : ("permit", Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit)}
                                    self._child_list_classes = {}

                                    self.permit = Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self
                                    self._children_name_map["permit"] = "permit"
                                    self._children_yang_names.add("permit")
                                    self._segment_path = lambda: "loopback"


                                class Permit(Entity):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, self).__init__()

                                        self.yang_name = "permit"
                                        self.yang_parent_name = "loopback"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.external = YLeaf(YType.empty, "external")

                                        self.internal = YLeaf(YType.empty, "internal")
                                        self._segment_path = lambda: "permit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, ['external', 'internal'], name, value)


                    class Snmp(Entity):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Snmp.Trap>`
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Snmp.Ifindex>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.Snmp, self).__init__()

                            self.yang_name = "snmp"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"trap" : ("trap", Native.Interface.GigabitEthernet.Service.Instance.Snmp.Trap), "ifindex" : ("ifindex", Native.Interface.GigabitEthernet.Service.Instance.Snmp.Ifindex)}
                            self._child_list_classes = {}

                            self.trap = Native.Interface.GigabitEthernet.Service.Instance.Snmp.Trap()
                            self.trap.parent = self
                            self._children_name_map["trap"] = "trap"
                            self._children_yang_names.add("trap")

                            self.ifindex = Native.Interface.GigabitEthernet.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self._children_name_map["ifindex"] = "ifindex"
                            self._children_yang_names.add("ifindex")
                            self._segment_path = lambda: "snmp"


                        class Trap(Entity):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Snmp.Trap, self).__init__()

                                self.yang_name = "trap"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.link_status = YLeaf(YType.empty, "link-status")
                                self._segment_path = lambda: "trap"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Snmp.Trap, ['link_status'], name, value)


                        class Ifindex(Entity):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Snmp.Ifindex, self).__init__()

                                self.yang_name = "ifindex"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.persist = YLeaf(YType.empty, "persist")
                                self._segment_path = lambda: "ifindex"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Snmp.Ifindex, ['persist'], name, value)


                    class BridgeDomain(Entity):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:  :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.BridgeDomain, self).__init__()

                            self.yang_name = "bridge-domain"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"split-horizon" : ("split_horizon", Native.Interface.GigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon)}
                            self._child_list_classes = {}

                            self.bridge_id = YLeaf(YType.uint16, "bridge-id")

                            self.from_encapsulation = YLeaf(YType.empty, "from-encapsulation")

                            self.split_horizon = Native.Interface.GigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self
                            self._children_name_map["split_horizon"] = "split-horizon"
                            self._children_yang_names.add("split-horizon")
                            self._segment_path = lambda: "bridge-domain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.BridgeDomain, ['bridge_id', 'from_encapsulation'], name, value)


                        class SplitHorizon(Entity):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\: int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon, self).__init__()

                                self.yang_name = "split-horizon"
                                self.yang_parent_name = "bridge-domain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group = YLeaf(YType.uint8, "group")
                                self._segment_path = lambda: "split-horizon"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon, ['group'], name, value)


                    class Mac(Entity):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.Mac, self).__init__()

                            self.yang_name = "mac"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"security" : ("security", Native.Interface.GigabitEthernet.Service.Instance.Mac.Security)}
                            self._child_list_classes = {}

                            self.security = None
                            self._children_name_map["security"] = "security"
                            self._children_yang_names.add("security")
                            self._segment_path = lambda: "mac"


                        class Security(Entity):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Mac.Security.Violation>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Mac.Security, self).__init__()

                                self.yang_name = "security"
                                self.yang_parent_name = "mac"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"maximum" : ("maximum", Native.Interface.GigabitEthernet.Service.Instance.Mac.Security.Maximum)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.violation = YLeaf(YType.enumeration, "violation")

                                self.maximum = Native.Interface.GigabitEthernet.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self._children_name_map["maximum"] = "maximum"
                                self._children_yang_names.add("maximum")
                                self._segment_path = lambda: "security"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Mac.Security, ['violation'], name, value)

                            class Violation(Enum):
                                """
                                Violation

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = Enum.YLeaf(0, "protect")

                                restrict = Enum.YLeaf(1, "restrict")



                            class Maximum(Entity):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\: int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.Mac.Security.Maximum, self).__init__()

                                    self.yang_name = "maximum"
                                    self.yang_parent_name = "security"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.addresses = YLeaf(YType.uint16, "addresses")
                                    self._segment_path = lambda: "maximum"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Mac.Security.Maximum, ['addresses'], name, value)


                    class ServicePolicy(Entity):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of  		 :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of  		 :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.ServicePolicy, self).__init__()

                            self.yang_name = "service-policy"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"input" : ("input", Native.Interface.GigabitEthernet.Service.Instance.ServicePolicy.Input), "output" : ("output", Native.Interface.GigabitEthernet.Service.Instance.ServicePolicy.Output)}

                            self.input = YList(self)
                            self.output = YList(self)
                            self._segment_path = lambda: "service-policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.ServicePolicy, [], name, value)


                        class Input(Entity):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.ServicePolicy.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.ServicePolicy.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.ServicePolicy.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.ServicePolicy.Output, ['name'], name, value)


                    class Cfm(Entity):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:  :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:  :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.Cfm, self).__init__()

                            self.yang_name = "cfm"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation), "mep" : ("mep", Native.Interface.GigabitEthernet.Service.Instance.Cfm.Mep), "mip" : ("mip", Native.Interface.GigabitEthernet.Service.Instance.Cfm.Mip)}
                            self._child_list_classes = {}

                            self.encapsulation = Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.mep = Native.Interface.GigabitEthernet.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self._children_name_map["mep"] = "mep"
                            self._children_yang_names.add("mep")

                            self.mip = Native.Interface.GigabitEthernet.Service.Instance.Cfm.Mip()
                            self.mip.parent = self
                            self._children_name_map["mip"] = "mip"
                            self._children_yang_names.add("mip")
                            self._segment_path = lambda: "cfm"


                        class Encapsulation(Entity):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q)}
                                self._child_list_classes = {}

                                self.dot1ad = Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self._children_name_map["dot1ad"] = "dot1ad"
                                self._children_yang_names.add("dot1ad")

                                self.dot1q = Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self
                                self._children_name_map["dot1q"] = "dot1q"
                                self._children_yang_names.add("dot1q")
                                self._segment_path = lambda: "encapsulation"


                            class Dot1Ad(Entity):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad, self).__init__()

                                    self.yang_name = "dot1ad"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.dot1q = YLeaf(YType.uint16, "dot1q")
                                    self._segment_path = lambda: "dot1ad"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad, ['vlan_id', 'cos', 'dot1q'], name, value)


                            class Dot1Q(Entity):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q, self).__init__()

                                    self.yang_name = "dot1q"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")
                                    self._segment_path = lambda: "dot1q"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q, ['vlan_id', 'cos', 'second_dot1q'], name, value)


                        class Mep(Entity):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\: str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\: int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Cfm.Mep, self).__init__()

                                self.yang_name = "mep"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.domain = YLeaf(YType.str, "domain")

                                self.mpid = YLeaf(YType.uint16, "mpid")
                                self._segment_path = lambda: "mep"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Cfm.Mep, ['domain', 'mpid'], name, value)


                        class Mip(Entity):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Cfm.Mip, self).__init__()

                                self.yang_name = "mip"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level = YLeaf(YType.uint8, "level")
                                self._segment_path = lambda: "mip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Cfm.Mip, ['level'], name, value)


                    class L2Protocol(Entity):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:  :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.L2Protocol, self).__init__()

                            self.yang_name = "l2protocol"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Peer), "forward" : ("forward", Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Forward), "tunnel" : ("tunnel", Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Tunnel)}
                            self._child_list_classes = {}

                            self.peer = None
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.forward = None
                            self._children_name_map["forward"] = "forward"
                            self._children_yang_names.add("forward")

                            self.tunnel = None
                            self._children_name_map["tunnel"] = "tunnel"
                            self._children_yang_names.add("tunnel")
                            self._segment_path = lambda: "l2protocol"


                        class Peer(Entity):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Peer.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Peer, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Forward(Entity):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Forward.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Forward, self).__init__()

                                self.yang_name = "forward"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "forward"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Forward, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Tunnel(Entity):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Tunnel.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Tunnel, self).__init__()

                                self.yang_name = "tunnel"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "tunnel"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.L2Protocol.Tunnel, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                    class Xconnect(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Encapsulation>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\: str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Sequencing>`
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"backup" : ("backup", Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.manual = YLeaf(YType.empty, "manual")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.sequencing = YLeaf(YType.enumeration, "sequencing")

                            self.mtu = YLeaf(YType.uint32, "mtu")

                            self.backup = Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup()
                            self.backup.parent = self
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")
                            self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = Enum.YLeaf(0, "mpls")

                            l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                        class Sequencing(Enum):
                            """
                            Sequencing

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = Enum.YLeaf(0, "both")

                            receive = Enum.YLeaf(1, "receive")

                            transmit = Enum.YLeaf(2, "transmit")



                        class Backup(Entity):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup.Peer>`
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup.Delay>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup.Delay)}
                                self._child_list_classes = {}

                                self.peer = Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.delay = Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "backup"


                            class Peer(Entity):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                            class Delay(Entity):
                                """
                                backup delay time
                                
                                .. attribute:: min
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.min = YLeaf(YType.uint32, "min")

                                    self.max = YLeaf(YType.uint32, "max")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                    class XconnectPwClass(Entity):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass, self).__init__()

                            self.yang_name = "xconnect-pw-class"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect)}
                            self._child_list_classes = {}

                            self.xconnect = Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")
                            self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:xconnect-pw-class"


                        class Xconnect(Entity):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\: str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "xconnect-pw-class"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"udp" : ("udp", Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.udp = Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self._children_name_map["udp"] = "udp"
                                self._children_yang_names.add("udp")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                            class Udp(Entity):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp, self).__init__()

                                    self.yang_name = "udp"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"port" : ("port", Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port)}
                                    self._child_list_classes = {}

                                    self.port = Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self
                                    self._children_name_map["port"] = "port"
                                    self._children_yang_names.add("port")
                                    self._segment_path = lambda: "udp"


                                class Port(Entity):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                        self.yang_name = "port"
                                        self.yang_parent_name = "udp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.local = YLeaf(YType.uint32, "local")

                                        self.remote = YLeaf(YType.uint32, "remote")
                                        self._segment_path = lambda: "port"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


            class Xconnect(Entity):
                """
                Xconnect commands
                
                .. attribute:: address
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: vcid
                
                	
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: encapsulation
                
                	Data encapsulation method
                	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Xconnect.Encapsulation>`
                
                .. attribute:: manual
                
                	Manually configure L2TP session parameters
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: sequence
                
                	Configure sequencing options for xconnect
                	**type**\:  :py:class:`Sequence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Xconnect.Sequence>`
                
                .. attribute:: pw_class
                
                	Pseudowire\-class to use for encapsulation and protocol configuration
                	**type**\: str
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Xconnect, self).__init__()

                    self.yang_name = "xconnect"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.str, "address")

                    self.vcid = YLeaf(YType.uint32, "vcid")

                    self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                    self.manual = YLeaf(YType.empty, "manual")

                    self.sequence = YLeaf(YType.enumeration, "sequence")

                    self.pw_class = YLeaf(YType.str, "pw-class")
                    self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:xconnect"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'sequence', 'pw_class'], name, value)

                class Encapsulation(Enum):
                    """
                    Encapsulation

                    Data encapsulation method

                    .. data:: mpls = 0

                    .. data:: l2tpv3 = 1

                    """

                    mpls = Enum.YLeaf(0, "mpls")

                    l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                class Sequence(Enum):
                    """
                    Sequence

                    Configure sequencing options for xconnect

                    .. data:: both = 0

                    .. data:: receive = 1

                    .. data:: transmit = 2

                    """

                    both = Enum.YLeaf(0, "both")

                    receive = Enum.YLeaf(1, "receive")

                    transmit = Enum.YLeaf(2, "transmit")



            class Cdp(Entity):
                """
                CDP interface subcommands
                
                .. attribute:: enable
                
                	Enable CDP on interface
                	**type**\: bool
                
                .. attribute:: tlv
                
                	Enable exchange of specific tlv information
                	**type**\:  :py:class:`Tlv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cdp.Tlv>`
                
                

                """

                _prefix = 'ios-cdp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Cdp, self).__init__()

                    self.yang_name = "cdp"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"tlv" : ("tlv", Native.Interface.GigabitEthernet.Cdp.Tlv)}
                    self._child_list_classes = {}

                    self.enable = YLeaf(YType.boolean, "enable")

                    self.tlv = Native.Interface.GigabitEthernet.Cdp.Tlv()
                    self.tlv.parent = self
                    self._children_name_map["tlv"] = "tlv"
                    self._children_yang_names.add("tlv")
                    self._segment_path = lambda: "Cisco-IOS-XE-cdp:cdp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Cdp, ['enable'], name, value)


                class Tlv(Entity):
                    """
                    Enable exchange of specific tlv information
                    
                    .. attribute:: app
                    
                    	Enable/Configure Application TLV
                    	**type**\:  :py:class:`App <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cdp.Tlv.App>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server_location
                    
                    	Enable CDP location server on interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: location
                    
                    	Exchange location information
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cdp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Cdp.Tlv, self).__init__()

                        self.yang_name = "tlv"
                        self.yang_parent_name = "cdp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"app" : ("app", Native.Interface.GigabitEthernet.Cdp.Tlv.App)}
                        self._child_list_classes = {}

                        self.server_location = YLeaf(YType.empty, "server-location")

                        self.location = YLeaf(YType.empty, "location")

                        self.app = None
                        self._children_name_map["app"] = "app"
                        self._children_yang_names.add("app")
                        self._segment_path = lambda: "tlv"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Cdp.Tlv, ['server_location', 'location'], name, value)


                    class App(Entity):
                        """
                        Enable/Configure Application TLV
                        
                        .. attribute:: tlvtype
                        
                        	Configure APP TLV
                        	**type**\: int
                        
                        	**range:** 1001..65535
                        
                        .. attribute:: value
                        
                        	Configure App TLV Value information
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cdp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Cdp.Tlv.App, self).__init__()

                            self.yang_name = "app"
                            self.yang_parent_name = "tlv"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tlvtype = YLeaf(YType.uint16, "tlvtype")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "app"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Cdp.Tlv.App, ['tlvtype', 'value'], name, value)


            class Snmp(Entity):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Snmp, self).__init__()

                    self.yang_name = "snmp"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ifindex" : ("ifindex", Native.Interface.GigabitEthernet.Snmp.Ifindex), "trap" : ("trap", Native.Interface.GigabitEthernet.Snmp.Trap)}
                    self._child_list_classes = {}

                    self.ifindex = Native.Interface.GigabitEthernet.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self._children_name_map["ifindex"] = "ifindex"
                    self._children_yang_names.add("ifindex")

                    self.trap = Native.Interface.GigabitEthernet.Snmp.Trap()
                    self.trap.parent = self
                    self._children_name_map["trap"] = "trap"
                    self._children_yang_names.add("trap")
                    self._segment_path = lambda: "Cisco-IOS-XE-snmp:snmp"


                class Ifindex(Entity):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Snmp.Ifindex, self).__init__()

                        self.yang_name = "ifindex"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.persist = YLeaf(YType.empty, "persist")

                        self.clear = YLeaf(YType.boolean, "clear")
                        self._segment_path = lambda: "ifindex"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Snmp.Ifindex, ['persist', 'clear'], name, value)


                class Trap(Entity):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\: bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:  :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Snmp.Trap, self).__init__()

                        self.yang_name = "trap"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-status-capas" : ("link_status_capas", Native.Interface.GigabitEthernet.Snmp.Trap.LinkStatusCapas)}
                        self._child_list_classes = {}

                        self.link_status = YLeaf(YType.boolean, "link-status")

                        self.link_status_capas = Native.Interface.GigabitEthernet.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self
                        self._children_name_map["link_status_capas"] = "link-status-capas"
                        self._children_yang_names.add("link-status-capas")
                        self._segment_path = lambda: "trap"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Snmp.Trap, ['link_status'], name, value)


                    class LinkStatusCapas(Entity):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:  :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Snmp.Trap.LinkStatusCapas, self).__init__()

                            self.yang_name = "link-status-capas"
                            self.yang_parent_name = "trap"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"link-status" : ("link_status", Native.Interface.GigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus)}
                            self._child_list_classes = {}

                            self.link_status = Native.Interface.GigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self
                            self._children_name_map["link_status"] = "link-status"
                            self._children_yang_names.add("link-status")
                            self._segment_path = lambda: "link-status-capas"


                        class LinkStatus(Entity):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus, self).__init__()

                                self.yang_name = "link-status"
                                self.yang_parent_name = "link-status-capas"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"permit" : ("permit", Native.Interface.GigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit)}
                                self._child_list_classes = {}

                                self.permit = Native.Interface.GigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self
                                self._children_name_map["permit"] = "permit"
                                self._children_yang_names.add("permit")
                                self._segment_path = lambda: "link-status"


                            class Permit(Entity):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, self).__init__()

                                    self.yang_name = "permit"
                                    self.yang_parent_name = "link-status"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.duplicates = YLeaf(YType.empty, "duplicates")
                                    self._segment_path = lambda: "permit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, ['duplicates'], name, value)


            class Crypto(Entity):
                """
                Encryption/Decryption commands
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Crypto.Map>`
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Crypto.Ipsec>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Crypto, self).__init__()

                    self.yang_name = "crypto"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"map" : ("map", Native.Interface.GigabitEthernet.Crypto.Map), "ipsec" : ("ipsec", Native.Interface.GigabitEthernet.Crypto.Ipsec)}
                    self._child_list_classes = {}

                    self.map = Native.Interface.GigabitEthernet.Crypto.Map()
                    self.map.parent = self
                    self._children_name_map["map"] = "map"
                    self._children_yang_names.add("map")

                    self.ipsec = Native.Interface.GigabitEthernet.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self._children_name_map["ipsec"] = "ipsec"
                    self._children_yang_names.add("ipsec")
                    self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"


                class Map(Entity):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\: str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Crypto.Map, self).__init__()

                        self.yang_name = "map"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.str, "tag")

                        self.redundancy = YLeaf(YType.str, "redundancy")

                        self.stateful = YLeaf(YType.empty, "stateful")
                        self._segment_path = lambda: "map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Crypto.Map, ['tag', 'redundancy', 'stateful'], name, value)


                class Ipsec(Entity):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:  :py:class:`DfBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Crypto.Ipsec.DfBit>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Crypto.Ipsec.Fragmentation>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Crypto.Ipsec, self).__init__()

                        self.yang_name = "ipsec"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.df_bit = YLeaf(YType.enumeration, "df-bit")

                        self.fragmentation = YLeaf(YType.enumeration, "fragmentation")
                        self._segment_path = lambda: "ipsec"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Crypto.Ipsec, ['df_bit', 'fragmentation'], name, value)

                    class DfBit(Enum):
                        """
                        DfBit

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = Enum.YLeaf(0, "clear")

                        copy = Enum.YLeaf(1, "copy")

                        set = Enum.YLeaf(2, "set")


                    class Fragmentation(Enum):
                        """
                        Fragmentation

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = Enum.YLeaf(0, "after-encryption")

                        before_encryption = Enum.YLeaf(1, "before-encryption")



            class Cts(Entity):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:  :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.Manual>`
                
                	**presence node**\: True
                
                .. attribute:: role_based
                
                	Role\-based Access Control per\-port config commands
                	**type**\:  :py:class:`RoleBased <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.RoleBased>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Cts, self).__init__()

                    self.yang_name = "cts"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"manual" : ("manual", Native.Interface.GigabitEthernet.Cts.Manual), "role-based" : ("role_based", Native.Interface.GigabitEthernet.Cts.RoleBased)}
                    self._child_list_classes = {}

                    self.manual = None
                    self._children_name_map["manual"] = "manual"
                    self._children_yang_names.add("manual")

                    self.role_based = Native.Interface.GigabitEthernet.Cts.RoleBased()
                    self.role_based.parent = self
                    self._children_name_map["role_based"] = "role-based"
                    self._children_yang_names.add("role-based")
                    self._segment_path = lambda: "Cisco-IOS-XE-cts:cts"


                class Manual(Entity):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.Manual.Policy>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:  :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.Manual.Sap>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:  :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.Manual.Propagate>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Cts.Manual, self).__init__()

                        self.yang_name = "manual"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"policy" : ("policy", Native.Interface.GigabitEthernet.Cts.Manual.Policy), "sap" : ("sap", Native.Interface.GigabitEthernet.Cts.Manual.Sap), "propagate" : ("propagate", Native.Interface.GigabitEthernet.Cts.Manual.Propagate)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.policy = Native.Interface.GigabitEthernet.Cts.Manual.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.sap = Native.Interface.GigabitEthernet.Cts.Manual.Sap()
                        self.sap.parent = self
                        self._children_name_map["sap"] = "sap"
                        self._children_yang_names.add("sap")

                        self.propagate = Native.Interface.GigabitEthernet.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self._children_name_map["propagate"] = "propagate"
                        self._children_yang_names.add("propagate")
                        self._segment_path = lambda: "manual"


                    class Policy(Entity):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Cts.Manual.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"static" : ("static", Native.Interface.GigabitEthernet.Cts.Manual.Policy.Static)}
                            self._child_list_classes = {}

                            self.static = Native.Interface.GigabitEthernet.Cts.Manual.Policy.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")
                            self._segment_path = lambda: "policy"


                        class Static(Entity):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted  incoming traffic
                            	**type**\: int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for  sending
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Cts.Manual.Policy.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sgt = YLeaf(YType.uint16, "sgt")

                                self.trusted = YLeaf(YType.empty, "trusted")
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Cts.Manual.Policy.Static, ['sgt', 'trusted'], name, value)


                    class Sap(Entity):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of  		 :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Cts.Manual.Sap, self).__init__()

                            self.yang_name = "sap"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"pmk" : ("pmk", Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk)}

                            self.pmk = YList(self)
                            self._segment_path = lambda: "sap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Cts.Manual.Sap, [], name, value)


                        class Pmk(Entity):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:  :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk, self).__init__()

                                self.yang_name = "pmk"
                                self.yang_parent_name = "sap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode-list" : ("mode_list", Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList)}
                                self._child_list_classes = {}

                                self.word = YLeaf(YType.str, "word")

                                self.mode_list = Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self
                                self._children_name_map["mode_list"] = "mode-list"
                                self._children_yang_names.add("mode-list")
                                self._segment_path = lambda: "pmk" + "[word='" + self.word.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk, ['word'], name, value)


                            class ModeList(Entity):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:  :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:  :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-06-29'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList, self).__init__()

                                    self.yang_name = "mode-list"
                                    self.yang_parent_name = "pmk"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"gcm-encrypt" : ("gcm_encrypt", Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt), "no-encap" : ("no_encap", Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap)}
                                    self._child_list_classes = {}

                                    self.gcm_encrypt = None
                                    self._children_name_map["gcm_encrypt"] = "gcm-encrypt"
                                    self._children_yang_names.add("gcm-encrypt")

                                    self.no_encap = None
                                    self._children_name_map["no_encap"] = "no-encap"
                                    self._children_yang_names.add("no-encap")
                                    self._segment_path = lambda: "mode-list"


                                class GcmEncrypt(Entity):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt, self).__init__()

                                        self.yang_name = "gcm-encrypt"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "gcm-encrypt"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,  no encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "gcm-encrypt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.null = YLeaf(YType.empty, "null")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, ['null'], name, value)


                                class NoEncap(Entity):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap, self).__init__()

                                        self.yang_name = "no-encap"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "no-encap"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "no-encap"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.gcm_encrypt = YLeaf(YType.empty, "gcm-encrypt")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, ['gcm_encrypt'], name, value)


                    class Propagate(Entity):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Cts.Manual.Propagate, self).__init__()

                            self.yang_name = "propagate"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sgt = YLeaf(YType.boolean, "sgt")
                            self._segment_path = lambda: "propagate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Cts.Manual.Propagate, ['sgt'], name, value)


                class RoleBased(Entity):
                    """
                    Role\-based Access Control per\-port config commands
                    
                    .. attribute:: sgt_cache
                    
                    	Enable SGT caching on the interface
                    	**type**\: list of   :py:class:`SgtCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.RoleBased.SgtCache>`
                    
                    .. attribute:: enforcement
                    
                    	Enable Role\-based Access Control enforcement
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sgt_map
                    
                    	Assign Security Group Tag (SGT) to IP host or network address
                    	**type**\:  :py:class:`SgtMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Cts.RoleBased.SgtMap>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Cts.RoleBased, self).__init__()

                        self.yang_name = "role-based"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"sgt-map" : ("sgt_map", Native.Interface.GigabitEthernet.Cts.RoleBased.SgtMap)}
                        self._child_list_classes = {}

                        self.sgt_cache = YLeafList(YType.enumeration, "sgt-cache")

                        self.enforcement = YLeaf(YType.empty, "enforcement")

                        self.sgt_map = Native.Interface.GigabitEthernet.Cts.RoleBased.SgtMap()
                        self.sgt_map.parent = self
                        self._children_name_map["sgt_map"] = "sgt-map"
                        self._children_yang_names.add("sgt-map")
                        self._segment_path = lambda: "role-based"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Cts.RoleBased, ['sgt_cache', 'enforcement'], name, value)

                    class SgtCache(Enum):
                        """
                        SgtCache

                        Enable SGT caching on the interface

                        .. data:: egress = 0

                        .. data:: ingress = 1

                        """

                        egress = Enum.YLeaf(0, "egress")

                        ingress = Enum.YLeaf(1, "ingress")



                    class SgtMap(Entity):
                        """
                        Assign Security Group Tag (SGT) to IP host or network address
                        
                        .. attribute:: security_group
                        
                        	Security Group Name
                        	**type**\: str
                        
                        .. attribute:: sgt
                        
                        	Security Group Tag (SGT)
                        	**type**\: int
                        
                        	**range:** 2..65519
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Cts.RoleBased.SgtMap, self).__init__()

                            self.yang_name = "sgt-map"
                            self.yang_parent_name = "role-based"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.security_group = YLeaf(YType.str, "security-group")

                            self.sgt = YLeaf(YType.uint16, "sgt")
                            self._segment_path = lambda: "sgt-map"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Cts.RoleBased.SgtMap, ['security_group', 'sgt'], name, value)


            class Dot1X(Entity):
                """
                Interface Config Commands for IEEE 802.1X
                
                .. attribute:: authenticator
                
                	Configure authenticator parameters
                	**type**\:  :py:class:`Authenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Dot1X.Authenticator>`
                
                .. attribute:: credentials
                
                	Credentials profile configuration
                	**type**\: str
                
                .. attribute:: max_reauth_req
                
                	Max No. of Reauthentication Attempts
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: max_req
                
                	Max No. of Retries
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: max_start
                
                	Max No. of EAPOL\-Start requests
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: pae
                
                	Set 802.1x interface pae type
                	**type**\:  :py:class:`Pae <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Dot1X.Pae>`
                
                .. attribute:: supplicant
                
                	Configure supplicant parameters
                	**type**\:  :py:class:`Supplicant <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Dot1X.Supplicant>`
                
                .. attribute:: timeout
                
                	Various Timeouts
                	**type**\:  :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Dot1X.Timeout>`
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Dot1X, self).__init__()

                    self.yang_name = "dot1x"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authenticator" : ("authenticator", Native.Interface.GigabitEthernet.Dot1X.Authenticator), "supplicant" : ("supplicant", Native.Interface.GigabitEthernet.Dot1X.Supplicant), "timeout" : ("timeout", Native.Interface.GigabitEthernet.Dot1X.Timeout)}
                    self._child_list_classes = {}

                    self.credentials = YLeaf(YType.str, "credentials")

                    self.max_reauth_req = YLeaf(YType.uint8, "max-reauth-req")

                    self.max_req = YLeaf(YType.uint8, "max-req")

                    self.max_start = YLeaf(YType.uint8, "max-start")

                    self.pae = YLeaf(YType.enumeration, "pae")

                    self.authenticator = Native.Interface.GigabitEthernet.Dot1X.Authenticator()
                    self.authenticator.parent = self
                    self._children_name_map["authenticator"] = "authenticator"
                    self._children_yang_names.add("authenticator")

                    self.supplicant = Native.Interface.GigabitEthernet.Dot1X.Supplicant()
                    self.supplicant.parent = self
                    self._children_name_map["supplicant"] = "supplicant"
                    self._children_yang_names.add("supplicant")

                    self.timeout = Native.Interface.GigabitEthernet.Dot1X.Timeout()
                    self.timeout.parent = self
                    self._children_name_map["timeout"] = "timeout"
                    self._children_yang_names.add("timeout")
                    self._segment_path = lambda: "Cisco-IOS-XE-dot1x:dot1x"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Dot1X, ['credentials', 'max_reauth_req', 'max_req', 'max_start', 'pae'], name, value)

                class Pae(Enum):
                    """
                    Pae

                    Set 802.1x interface pae type

                    .. data:: authenticator = 0

                    .. data:: supplicant = 1

                    .. data:: both = 2

                    """

                    authenticator = Enum.YLeaf(0, "authenticator")

                    supplicant = Enum.YLeaf(1, "supplicant")

                    both = Enum.YLeaf(2, "both")



                class Authenticator(Entity):
                    """
                    Configure authenticator parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP authenticator parameters
                    	**type**\:  :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Dot1X.Authenticator.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Dot1X.Authenticator, self).__init__()

                        self.yang_name = "authenticator"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"eap" : ("eap", Native.Interface.GigabitEthernet.Dot1X.Authenticator.Eap)}
                        self._child_list_classes = {}

                        self.eap = Native.Interface.GigabitEthernet.Dot1X.Authenticator.Eap()
                        self.eap.parent = self
                        self._children_name_map["eap"] = "eap"
                        self._children_yang_names.add("eap")
                        self._segment_path = lambda: "authenticator"


                    class Eap(Entity):
                        """
                        Configure EAP authenticator parameters
                        
                        .. attribute:: profile
                        
                        	EAP authenticator profile configuration
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Dot1X.Authenticator.Eap, self).__init__()

                            self.yang_name = "eap"
                            self.yang_parent_name = "authenticator"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.profile = YLeaf(YType.str, "profile")
                            self._segment_path = lambda: "eap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Dot1X.Authenticator.Eap, ['profile'], name, value)


                class Supplicant(Entity):
                    """
                    Configure supplicant parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP supplicant parameters
                    	**type**\:  :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Dot1X.Supplicant.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Dot1X.Supplicant, self).__init__()

                        self.yang_name = "supplicant"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"eap" : ("eap", Native.Interface.GigabitEthernet.Dot1X.Supplicant.Eap)}
                        self._child_list_classes = {}

                        self.eap = Native.Interface.GigabitEthernet.Dot1X.Supplicant.Eap()
                        self.eap.parent = self
                        self._children_name_map["eap"] = "eap"
                        self._children_yang_names.add("eap")
                        self._segment_path = lambda: "supplicant"


                    class Eap(Entity):
                        """
                        Configure EAP supplicant parameters
                        
                        .. attribute:: profile
                        
                        	EAP supplicant profile configuration
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Dot1X.Supplicant.Eap, self).__init__()

                            self.yang_name = "eap"
                            self.yang_parent_name = "supplicant"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.profile = YLeaf(YType.str, "profile")
                            self._segment_path = lambda: "eap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Dot1X.Supplicant.Eap, ['profile'], name, value)


                class Timeout(Entity):
                    """
                    Various Timeouts
                    
                    .. attribute:: auth_period
                    
                    	Timeout for authenticator reply
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: held_period
                    
                    	Timeout for authentication retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: quiet_period
                    
                    	QuietPeriod in Seconds
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: ratelimit_period
                    
                    	Ratelimit Period in seconds
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: server_timeout
                    
                    	Timeout for Radius Retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: start_period
                    
                    	Timeout for EAPOL\-start retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: supp_timeout
                    
                    	Timeout for supplicant reply
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tx_period
                    
                    	Timeout for supplicant retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Dot1X.Timeout, self).__init__()

                        self.yang_name = "timeout"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auth_period = YLeaf(YType.uint16, "auth-period")

                        self.held_period = YLeaf(YType.uint16, "held-period")

                        self.quiet_period = YLeaf(YType.uint16, "quiet-period")

                        self.ratelimit_period = YLeaf(YType.uint16, "ratelimit-period")

                        self.server_timeout = YLeaf(YType.uint16, "server-timeout")

                        self.start_period = YLeaf(YType.uint16, "start-period")

                        self.supp_timeout = YLeaf(YType.uint16, "supp-timeout")

                        self.tx_period = YLeaf(YType.uint16, "tx-period")
                        self._segment_path = lambda: "timeout"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Dot1X.Timeout, ['auth_period', 'held_period', 'quiet_period', 'ratelimit_period', 'server_timeout', 'start_period', 'supp_timeout', 'tx_period'], name, value)


            class Performance(Entity):
                """
                Global performance monitor configuration
                
                .. attribute:: monitor
                
                	monitor
                	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Performance.Monitor>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Performance, self).__init__()

                    self.yang_name = "performance"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"monitor" : ("monitor", Native.Interface.GigabitEthernet.Performance.Monitor)}
                    self._child_list_classes = {}

                    self.monitor = Native.Interface.GigabitEthernet.Performance.Monitor()
                    self.monitor.parent = self
                    self._children_name_map["monitor"] = "monitor"
                    self._children_yang_names.add("monitor")
                    self._segment_path = lambda: "Cisco-IOS-XE-ezpm:performance"


                class Monitor(Entity):
                    """
                    monitor
                    
                    .. attribute:: context
                    
                    	Select ezPM context
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Performance.Monitor, self).__init__()

                        self.yang_name = "monitor"
                        self.yang_parent_name = "performance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.context = YLeafList(YType.str, "context")
                        self._segment_path = lambda: "monitor"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Performance.Monitor, ['context'], name, value)


            class ServicePolicy(Entity):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\: str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\: str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.Interface.GigabitEthernet.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.history = YLeaf(YType.empty, "history")

                    self.input = YLeaf(YType.str, "input")

                    self.output = YLeaf(YType.str, "output")

                    self.type = Native.Interface.GigabitEthernet.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.ServicePolicy, ['history', 'input', 'output'], name, value)


                class Type(Entity):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"control" : ("control", Native.Interface.GigabitEthernet.ServicePolicy.Type.Control), "performance-monitor" : ("performance_monitor", Native.Interface.GigabitEthernet.ServicePolicy.Type.PerformanceMonitor), "service-chain" : ("service_chain", Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain)}
                        self._child_list_classes = {}

                        self.control = Native.Interface.GigabitEthernet.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self._children_name_map["control"] = "control"
                        self._children_yang_names.add("control")

                        self.performance_monitor = Native.Interface.GigabitEthernet.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.service_chain = Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self
                        self._children_name_map["service_chain"] = "service-chain"
                        self._children_yang_names.add("service-chain")
                        self._segment_path = lambda: "type"


                    class Control(Entity):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.ServicePolicy.Type.Control, self).__init__()

                            self.yang_name = "control"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.subscriber = YLeaf(YType.str, "subscriber")
                            self._segment_path = lambda: "control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.ServicePolicy.Type.Control, ['subscriber'], name, value)


                    class PerformanceMonitor(Entity):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.ServicePolicy.Type.PerformanceMonitor.Direction>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.ServicePolicy.Type.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "performance-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.ServicePolicy.Type.PerformanceMonitor, ['direction', 'name'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



                    class ServiceChain(Entity):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain, self).__init__()

                            self.yang_name = "service-chain"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain.Input), "output" : ("output", Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain.Output)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "service-chain"


                        class Input(Entity):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.ServicePolicy.Type.ServiceChain.Output, ['name'], name, value)


            class Lisp(Entity):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:  :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Lisp, self).__init__()

                    self.yang_name = "lisp"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"mobility" : ("mobility", Native.Interface.GigabitEthernet.Lisp.Mobility)}
                    self._child_list_classes = {}

                    self.extended_subnet_mode = YLeaf(YType.empty, "extended-subnet-mode")

                    self.mobility = Native.Interface.GigabitEthernet.Lisp.Mobility()
                    self.mobility.parent = self
                    self._children_name_map["mobility"] = "mobility"
                    self._children_yang_names.add("mobility")
                    self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Lisp, ['extended_subnet_mode'], name, value)


                class Mobility(Entity):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:  :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:  :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Lisp.Mobility.Discover>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:  :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Lisp.Mobility, self).__init__()

                        self.yang_name = "mobility"
                        self.yang_parent_name = "lisp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dynamic-eid" : ("dynamic_eid", Native.Interface.GigabitEthernet.Lisp.Mobility.DynamicEid), "discover" : ("discover", Native.Interface.GigabitEthernet.Lisp.Mobility.Discover), "liveness" : ("liveness", Native.Interface.GigabitEthernet.Lisp.Mobility.Liveness)}
                        self._child_list_classes = {}

                        self.dynamic_eid = Native.Interface.GigabitEthernet.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self._children_name_map["dynamic_eid"] = "dynamic-eid"
                        self._children_yang_names.add("dynamic-eid")

                        self.discover = Native.Interface.GigabitEthernet.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self._children_name_map["discover"] = "discover"
                        self._children_yang_names.add("discover")

                        self.liveness = Native.Interface.GigabitEthernet.Lisp.Mobility.Liveness()
                        self.liveness.parent = self
                        self._children_name_map["liveness"] = "liveness"
                        self._children_yang_names.add("liveness")
                        self._segment_path = lambda: "mobility"


                    class DynamicEid(Entity):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\: int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Lisp.Mobility.DynamicEid, self).__init__()

                            self.yang_name = "dynamic-eid"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dynamic_eid_name = YLeaf(YType.str, "dynamic-eid-name")

                            self.nbr_proxy_reply = YLeaf(YType.empty, "nbr-proxy-reply")

                            self.requests = YLeaf(YType.uint8, "requests")
                            self._segment_path = lambda: "dynamic-eid"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Lisp.Mobility.DynamicEid, ['dynamic_eid_name', 'nbr_proxy_reply', 'requests'], name, value)


                    class Discover(Entity):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Lisp.Mobility.Discover, self).__init__()

                            self.yang_name = "discover"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.arp = YLeaf(YType.boolean, "arp")
                            self._segment_path = lambda: "discover"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Lisp.Mobility.Discover, ['arp'], name, value)


                    class Liveness(Entity):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\: bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\: int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Lisp.Mobility.Liveness, self).__init__()

                            self.yang_name = "liveness"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.test = YLeaf(YType.boolean, "test")

                            self.ttl = YLeaf(YType.uint8, "ttl")
                            self._segment_path = lambda: "liveness"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Lisp.Mobility.Liveness, ['test', 'ttl'], name, value)


            class Lldp(Entity):
                """
                LLDP interface subcommands
                
                .. attribute:: receive
                
                	Enable LLDP reception on interface
                	**type**\: bool
                
                .. attribute:: transmit
                
                	Enable LLDP transmission on interface
                	**type**\: bool
                
                

                """

                _prefix = 'ios-lldp'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Lldp, self).__init__()

                    self.yang_name = "lldp"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.boolean, "receive")

                    self.transmit = YLeaf(YType.boolean, "transmit")
                    self._segment_path = lambda: "Cisco-IOS-XE-lldp:lldp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Lldp, ['receive', 'transmit'], name, value)


            class Mka(Entity):
                """
                MACsec Key Agreement (MKA) interface configuration
                
                .. attribute:: pre_shared_key
                
                	Configure MKA Pre\-Shared\-Key
                	**type**\:  :py:class:`PreSharedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mka.PreSharedKey>`
                
                

                """

                _prefix = 'ios-mka'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Mka, self).__init__()

                    self.yang_name = "mka"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"pre-shared-key" : ("pre_shared_key", Native.Interface.GigabitEthernet.Mka.PreSharedKey)}
                    self._child_list_classes = {}

                    self.pre_shared_key = Native.Interface.GigabitEthernet.Mka.PreSharedKey()
                    self.pre_shared_key.parent = self
                    self._children_name_map["pre_shared_key"] = "pre-shared-key"
                    self._children_yang_names.add("pre-shared-key")
                    self._segment_path = lambda: "Cisco-IOS-XE-mka:mka"


                class PreSharedKey(Entity):
                    """
                    Configure MKA Pre\-Shared\-Key
                    
                    .. attribute:: key_chain
                    
                    	Configure the key\-chain name
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mka.PreSharedKey.KeyChain>`
                    
                    

                    """

                    _prefix = 'ios-mka'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Mka.PreSharedKey, self).__init__()

                        self.yang_name = "pre-shared-key"
                        self.yang_parent_name = "mka"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.GigabitEthernet.Mka.PreSharedKey.KeyChain)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.GigabitEthernet.Mka.PreSharedKey.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")
                        self._segment_path = lambda: "pre-shared-key"


                    class KeyChain(Entity):
                        """
                        Configure the key\-chain name
                        
                        .. attribute:: name
                        
                        	Name of key\-chain to be used to get keys
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mka'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Mka.PreSharedKey.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "pre-shared-key"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Mka.PreSharedKey.KeyChain, ['name'], name, value)


            class Ospfv3(Entity):
                """
                OSPFv3 interface commands
                
                .. attribute:: process_id
                
                	
                	**type**\: list of  		 :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId>`
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Authentication>`
                
                .. attribute:: bfd
                
                	Enable BFD on this interface
                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Bfd>`
                
                	**presence node**\: True
                
                .. attribute:: cost
                
                	Route cost of this interface
                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Cost>`
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding
                	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.DatabaseFilter>`
                
                .. attribute:: dead_interval
                
                	Interval after which a neighbor is declared dead
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: demand_circuit
                
                	OSPF Demand Circuit
                	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.DemandCircuit>`
                
                	**presence node**\: True
                
                .. attribute:: encryption
                
                	Enable encryption
                	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption>`
                
                .. attribute:: flood_reduction
                
                	OSPF Flood Reduction
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hello_interval
                
                	Time between HELLO packets
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: manet
                
                	Mobile Adhoc Networking options
                	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Manet>`
                
                .. attribute:: mtu_ignore
                
                	Ignores the MTU in DBD packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: multi_area
                
                	Set the OSPF multi\-area ID
                	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.MultiArea>`
                
                .. attribute:: neighbor
                
                	OSPF neighbor
                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Neighbor>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Network>`
                
                .. attribute:: prefix_suppression
                
                	OSPF prefix suppression
                	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.PrefixSuppression>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Router priority
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: retransmit_interval
                
                	Time between retransmitting lost link state advertisements
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Shut down the interface in OSPFv3
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transmit_delay
                
                	Link state transmit delay
                	**type**\: int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Ospfv3, self).__init__()

                    self.yang_name = "ospfv3"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authentication" : ("authentication", Native.Interface.GigabitEthernet.Ospfv3.Authentication), "bfd" : ("bfd", Native.Interface.GigabitEthernet.Ospfv3.Bfd), "cost" : ("cost", Native.Interface.GigabitEthernet.Ospfv3.Cost), "database-filter" : ("database_filter", Native.Interface.GigabitEthernet.Ospfv3.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.GigabitEthernet.Ospfv3.DemandCircuit), "encryption" : ("encryption", Native.Interface.GigabitEthernet.Ospfv3.Encryption), "manet" : ("manet", Native.Interface.GigabitEthernet.Ospfv3.Manet), "multi-area" : ("multi_area", Native.Interface.GigabitEthernet.Ospfv3.MultiArea), "network" : ("network", Native.Interface.GigabitEthernet.Ospfv3.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.GigabitEthernet.Ospfv3.PrefixSuppression)}
                    self._child_list_classes = {"process-id" : ("process_id", Native.Interface.GigabitEthernet.Ospfv3.ProcessId), "neighbor" : ("neighbor", Native.Interface.GigabitEthernet.Ospfv3.Neighbor)}

                    self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                    self.flood_reduction = YLeaf(YType.empty, "flood-reduction")

                    self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                    self.mtu_ignore = YLeaf(YType.empty, "mtu-ignore")

                    self.priority = YLeaf(YType.uint8, "priority")

                    self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                    self.shutdown = YLeaf(YType.empty, "shutdown")

                    self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                    self.authentication = Native.Interface.GigabitEthernet.Ospfv3.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.bfd = None
                    self._children_name_map["bfd"] = "bfd"
                    self._children_yang_names.add("bfd")

                    self.cost = Native.Interface.GigabitEthernet.Ospfv3.Cost()
                    self.cost.parent = self
                    self._children_name_map["cost"] = "cost"
                    self._children_yang_names.add("cost")

                    self.database_filter = Native.Interface.GigabitEthernet.Ospfv3.DatabaseFilter()
                    self.database_filter.parent = self
                    self._children_name_map["database_filter"] = "database-filter"
                    self._children_yang_names.add("database-filter")

                    self.demand_circuit = None
                    self._children_name_map["demand_circuit"] = "demand-circuit"
                    self._children_yang_names.add("demand-circuit")

                    self.encryption = Native.Interface.GigabitEthernet.Ospfv3.Encryption()
                    self.encryption.parent = self
                    self._children_name_map["encryption"] = "encryption"
                    self._children_yang_names.add("encryption")

                    self.manet = Native.Interface.GigabitEthernet.Ospfv3.Manet()
                    self.manet.parent = self
                    self._children_name_map["manet"] = "manet"
                    self._children_yang_names.add("manet")

                    self.multi_area = Native.Interface.GigabitEthernet.Ospfv3.MultiArea()
                    self.multi_area.parent = self
                    self._children_name_map["multi_area"] = "multi-area"
                    self._children_yang_names.add("multi-area")

                    self.network = Native.Interface.GigabitEthernet.Ospfv3.Network()
                    self.network.parent = self
                    self._children_name_map["network"] = "network"
                    self._children_yang_names.add("network")

                    self.prefix_suppression = None
                    self._children_name_map["prefix_suppression"] = "prefix-suppression"
                    self._children_yang_names.add("prefix-suppression")

                    self.process_id = YList(self)
                    self.neighbor = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-ospfv3:ospfv3"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3, ['dead_interval', 'flood_reduction', 'hello_interval', 'mtu_ignore', 'priority', 'retransmit_interval', 'shutdown', 'transmit_delay'], name, value)


                class ProcessId(Entity):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost>`
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: manet
                    
                    	Mobile Adhoc Networking options
                    	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.MultiArea>`
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Network>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipv4
                    
                    	Specify parameters for IPv4
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Specify parameters for IPv6
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId, self).__init__()

                        self.yang_name = "process-id"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Authentication), "bfd" : ("bfd", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Bfd), "cost" : ("cost", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost), "database-filter" : ("database_filter", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.FloodReduction), "manet" : ("manet", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.MultiArea), "network" : ("network", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Shutdown), "ipv4" : ("ipv4", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4), "ipv6" : ("ipv6", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6)}
                        self._child_list_classes = {"neighbor" : ("neighbor", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Neighbor)}

                        self.id = YLeaf(YType.uint16, "id")

                        self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.cost = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost()
                        self.cost.parent = self
                        self._children_name_map["cost"] = "cost"
                        self._children_yang_names.add("cost")

                        self.database_filter = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.flood_reduction = None
                        self._children_name_map["flood_reduction"] = "flood-reduction"
                        self._children_yang_names.add("flood-reduction")

                        self.manet = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet()
                        self.manet.parent = self
                        self._children_name_map["manet"] = "manet"
                        self._children_yang_names.add("manet")

                        self.mtu_ignore = None
                        self._children_name_map["mtu_ignore"] = "mtu-ignore"
                        self._children_yang_names.add("mtu-ignore")

                        self.multi_area = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.MultiArea()
                        self.multi_area.parent = self
                        self._children_name_map["multi_area"] = "multi-area"
                        self._children_yang_names.add("multi-area")

                        self.network = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.prefix_suppression = None
                        self._children_name_map["prefix_suppression"] = "prefix-suppression"
                        self._children_yang_names.add("prefix-suppression")

                        self.shutdown = None
                        self._children_name_map["shutdown"] = "shutdown"
                        self._children_yang_names.add("shutdown")

                        self.ipv4 = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.neighbor = YList(self)
                        self._segment_path = lambda: "process-id" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId, ['id', 'dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\: str
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.null = YLeaf(YType.empty, "null")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Authentication, ['key_chain', 'null'], name, value)


                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Bfd, ['disable'], name, value)


                    class Cost(Entity):
                        """
                        Route cost of this interface
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: dynamic
                        
                        	Specify dynamic cost options
                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost, self).__init__()

                            self.yang_name = "cost"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic)}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint32, "value")

                            self.dynamic = None
                            self._children_name_map["dynamic"] = "dynamic"
                            self._children_yang_names.add("dynamic")
                            self._segment_path = lambda: "cost"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost, ['value'], name, value)


                        class Dynamic(Entity):
                            """
                            Specify dynamic cost options
                            
                            .. attribute:: default
                            
                            	Specify default link metric value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: hysteresis
                            
                            	Specify hysteresis value for LSA dampening
                            	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: weight
                            
                            	Specify weight to be placed on individual metrics
                            	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic, self).__init__()

                                self.yang_name = "dynamic"
                                self.yang_parent_name = "cost"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.default = YLeaf(YType.uint32, "default")

                                self.hysteresis = None
                                self._children_name_map["hysteresis"] = "hysteresis"
                                self._children_yang_names.add("hysteresis")

                                self.weight = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight()
                                self.weight.parent = self
                                self._children_name_map["weight"] = "weight"
                                self._children_yang_names.add("weight")
                                self._segment_path = lambda: "dynamic"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic, ['default'], name, value)


                            class Hysteresis(Entity):
                                """
                                Specify hysteresis value for LSA dampening
                                
                                .. attribute:: percent
                                
                                	Specify hysteresis percent changed
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold
                                
                                	Specify hysteresis threshold value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis, self).__init__()

                                    self.yang_name = "hysteresis"
                                    self.yang_parent_name = "dynamic"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.percent = YLeaf(YType.uint8, "percent")

                                    self.threshold = YLeaf(YType.uint32, "threshold")
                                    self._segment_path = lambda: "hysteresis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                            class Weight(Entity):
                                """
                                Specify weight to be placed on individual metrics
                                
                                .. attribute:: l2_factor
                                
                                	Specify weight to be given to L2\-factor metric
                                	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: latency
                                
                                	Specify weight to be given to latency metric
                                	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: resources
                                
                                	Specify weight to be given to resources metric
                                	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: throughput
                                
                                	Specify weight to be given to throughput metric
                                	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight, self).__init__()

                                    self.yang_name = "weight"
                                    self.yang_parent_name = "dynamic"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput)}
                                    self._child_list_classes = {}

                                    self.l2_factor = None
                                    self._children_name_map["l2_factor"] = "L2-factor"
                                    self._children_yang_names.add("L2-factor")

                                    self.latency = None
                                    self._children_name_map["latency"] = "latency"
                                    self._children_yang_names.add("latency")

                                    self.resources = None
                                    self._children_name_map["resources"] = "resources"
                                    self._children_yang_names.add("resources")

                                    self.throughput = None
                                    self._children_name_map["throughput"] = "throughput"
                                    self._children_yang_names.add("throughput")
                                    self._segment_path = lambda: "weight"


                                class L2Factor(Entity):
                                    """
                                    Specify weight to be given to L2\-factor metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                        self.yang_name = "L2-factor"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "L2-factor"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                class Latency(Entity):
                                    """
                                    Specify weight to be given to latency metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency, self).__init__()

                                        self.yang_name = "latency"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "latency"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                class Resources(Entity):
                                    """
                                    Specify weight to be given to resources metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources, self).__init__()

                                        self.yang_name = "resources"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "resources"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                class Throughput(Entity):
                                    """
                                    Specify weight to be given to throughput metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput, self).__init__()

                                        self.yang_name = "throughput"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "throughput"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.DatabaseFilter.All>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.DatabaseFilter, ['all', 'disable'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                    class DemandCircuit(Entity):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.DemandCircuit, ['disable', 'ignore'], name, value)


                    class FloodReduction(Entity):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.FloodReduction, self).__init__()

                            self.yang_name = "flood-reduction"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "flood-reduction"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.FloodReduction, ['disable'], name, value)


                    class Manet(Entity):
                        """
                        Mobile Adhoc Networking options
                        
                        .. attribute:: peering
                        
                        	MANET Peering options
                        	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet.Peering>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet, self).__init__()

                            self.yang_name = "manet"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peering" : ("peering", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet.Peering)}
                            self._child_list_classes = {}

                            self.peering = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet.Peering()
                            self.peering.parent = self
                            self._children_name_map["peering"] = "peering"
                            self._children_yang_names.add("peering")
                            self._segment_path = lambda: "manet"


                        class Peering(Entity):
                            """
                            MANET Peering options
                            
                            .. attribute:: cost
                            
                            	Redundant path cost improvement required to peer
                            	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet.Peering.Cost>`
                            
                            .. attribute:: link_metrics
                            
                            	Require link metrics
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet.Peering, self).__init__()

                                self.yang_name = "peering"
                                self.yang_parent_name = "manet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cost" : ("cost", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet.Peering.Cost)}
                                self._child_list_classes = {}

                                self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                self.cost = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet.Peering.Cost()
                                self.cost.parent = self
                                self._children_name_map["cost"] = "cost"
                                self._children_yang_names.add("cost")
                                self._segment_path = lambda: "peering"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet.Peering, ['link_metrics'], name, value)


                            class Cost(Entity):
                                """
                                Redundant path cost improvement required to peer
                                
                                .. attribute:: percent
                                
                                	Relative incremental path cost
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                .. attribute:: threshold
                                
                                	Absolute incremental path cost
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet.Peering.Cost, self).__init__()

                                    self.yang_name = "cost"
                                    self.yang_parent_name = "peering"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.percent = YLeaf(YType.uint8, "percent")

                                    self.threshold = YLeaf(YType.uint32, "threshold")
                                    self._segment_path = lambda: "cost"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                    class MtuIgnore(Entity):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.MtuIgnore, self).__init__()

                            self.yang_name = "mtu-ignore"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "mtu-ignore"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.MtuIgnore, ['disable'], name, value)


                    class MultiArea(Entity):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: disable
                        
                        	disable OSPF multi\-area
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.MultiArea, self).__init__()

                            self.yang_name = "multi-area"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint32, "cost")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "multi-area"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.MultiArea, ['id', 'cost', 'disable'], name, value)


                    class Neighbor(Entity):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint16, "cost")

                            self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.database_filter = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.All>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter, ['all'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                    class Network(Entity):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Network.PointToMultipoint)}
                            self._child_list_classes = {}

                            self.broadcast = YLeaf(YType.empty, "broadcast")

                            self.manet = YLeaf(YType.empty, "manet")

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                            self.point_to_point = YLeaf(YType.empty, "point-to-point")

                            self.point_to_multipoint = None
                            self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                            self._children_yang_names.add("point-to-multipoint")
                            self._segment_path = lambda: "network"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                        class PointToMultipoint(Entity):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Network.PointToMultipoint, self).__init__()

                                self.yang_name = "point-to-multipoint"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                self._segment_path = lambda: "point-to-multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Network.PointToMultipoint, ['non_broadcast'], name, value)


                    class PrefixSuppression(Entity):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.PrefixSuppression, self).__init__()

                            self.yang_name = "prefix-suppression"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "prefix-suppression"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.PrefixSuppression, ['disable'], name, value)


                    class Shutdown(Entity):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Shutdown, self).__init__()

                            self.yang_name = "shutdown"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "shutdown"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Shutdown, ['disable'], name, value)


                    class Ipv4(Entity):
                        """
                        Specify parameters for IPv4
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Authentication), "bfd" : ("bfd", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Bfd), "cost" : ("cost", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost), "database-filter" : ("database_filter", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.FloodReduction), "manet" : ("manet", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.MultiArea), "network" : ("network", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Shutdown)}
                            self._child_list_classes = {"area" : ("area", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Area), "neighbor" : ("neighbor", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor)}

                            self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                            self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                            self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                            self.authentication = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.bfd = None
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.cost = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")

                            self.database_filter = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")

                            self.demand_circuit = None
                            self._children_name_map["demand_circuit"] = "demand-circuit"
                            self._children_yang_names.add("demand-circuit")

                            self.flood_reduction = None
                            self._children_name_map["flood_reduction"] = "flood-reduction"
                            self._children_yang_names.add("flood-reduction")

                            self.manet = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.mtu_ignore = None
                            self._children_name_map["mtu_ignore"] = "mtu-ignore"
                            self._children_yang_names.add("mtu-ignore")

                            self.multi_area = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.MultiArea()
                            self.multi_area.parent = self
                            self._children_name_map["multi_area"] = "multi-area"
                            self._children_yang_names.add("multi-area")

                            self.network = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Network()
                            self.network.parent = self
                            self._children_name_map["network"] = "network"
                            self._children_yang_names.add("network")

                            self.prefix_suppression = None
                            self._children_name_map["prefix_suppression"] = "prefix-suppression"
                            self._children_yang_names.add("prefix-suppression")

                            self.shutdown = None
                            self._children_name_map["shutdown"] = "shutdown"
                            self._children_yang_names.add("shutdown")

                            self.area = YList(self)
                            self.neighbor = YList(self)
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4, ['dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                        class Area(Entity):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\: int
                            
                            	**range:** 64..95
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.instance = YLeaf(YType.uint8, "instance")
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Area, ['id', 'instance'], name, value)


                        class Authentication(Entity):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\: str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.null = YLeaf(YType.empty, "null")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Authentication, ['key_chain', 'null'], name, value)


                        class Bfd(Entity):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Bfd, ['disable'], name, value)


                        class Cost(Entity):
                            """
                            Route cost of this interface
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.dynamic = None
                                self._children_name_map["dynamic"] = "dynamic"
                                self._children_yang_names.add("dynamic")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost, ['value'], name, value)


                            class Dynamic(Entity):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic, self).__init__()

                                    self.yang_name = "dynamic"
                                    self.yang_parent_name = "cost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.default = YLeaf(YType.uint32, "default")

                                    self.hysteresis = None
                                    self._children_name_map["hysteresis"] = "hysteresis"
                                    self._children_yang_names.add("hysteresis")

                                    self.weight = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight()
                                    self.weight.parent = self
                                    self._children_name_map["weight"] = "weight"
                                    self._children_yang_names.add("weight")
                                    self._segment_path = lambda: "dynamic"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic, ['default'], name, value)


                                class Hysteresis(Entity):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis, self).__init__()

                                        self.yang_name = "hysteresis"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "hysteresis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                                class Weight(Entity):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight, self).__init__()

                                        self.yang_name = "weight"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput)}
                                        self._child_list_classes = {}

                                        self.l2_factor = None
                                        self._children_name_map["l2_factor"] = "L2-factor"
                                        self._children_yang_names.add("L2-factor")

                                        self.latency = None
                                        self._children_name_map["latency"] = "latency"
                                        self._children_yang_names.add("latency")

                                        self.resources = None
                                        self._children_name_map["resources"] = "resources"
                                        self._children_yang_names.add("resources")

                                        self.throughput = None
                                        self._children_name_map["throughput"] = "throughput"
                                        self._children_yang_names.add("throughput")
                                        self._segment_path = lambda: "weight"


                                    class L2Factor(Entity):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                            self.yang_name = "L2-factor"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "L2-factor"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                    class Latency(Entity):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency, self).__init__()

                                            self.yang_name = "latency"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "latency"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                    class Resources(Entity):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources, self).__init__()

                                            self.yang_name = "resources"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "resources"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                    class Throughput(Entity):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput, self).__init__()

                                            self.yang_name = "throughput"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "throughput"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.All>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter, ['all', 'disable'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                        class DemandCircuit(Entity):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.DemandCircuit, self).__init__()

                                self.yang_name = "demand-circuit"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "demand-circuit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.DemandCircuit, ['disable', 'ignore'], name, value)


                        class FloodReduction(Entity):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.FloodReduction, self).__init__()

                                self.yang_name = "flood-reduction"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "flood-reduction"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.FloodReduction, ['disable'], name, value)


                        class Manet(Entity):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peering" : ("peering", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering)}
                                self._child_list_classes = {}

                                self.peering = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"


                            class Peering(Entity):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost" : ("cost", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost)}
                                    self._child_list_classes = {}

                                    self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                    self.cost = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self._children_name_map["cost"] = "cost"
                                    self._children_yang_names.add("cost")
                                    self._segment_path = lambda: "peering"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering, ['link_metrics'], name, value)


                                class Cost(Entity):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost, self).__init__()

                                        self.yang_name = "cost"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "cost"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                        class MtuIgnore(Entity):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.MtuIgnore, self).__init__()

                                self.yang_name = "mtu-ignore"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "mtu-ignore"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.MtuIgnore, ['disable'], name, value)


                        class MultiArea(Entity):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.MultiArea, self).__init__()

                                self.yang_name = "multi-area"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint32, "cost")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "multi-area"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.MultiArea, ['id', 'cost', 'disable'], name, value)


                        class Neighbor(Entity):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint16, "cost")

                                self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.database_filter = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self._children_name_map["database_filter"] = "database-filter"
                                self._children_yang_names.add("database-filter")
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                            class DatabaseFilter(Entity):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.All>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter, self).__init__()

                                    self.yang_name = "database-filter"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.all = YLeaf(YType.enumeration, "all")
                                    self._segment_path = lambda: "database-filter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter, ['all'], name, value)

                                class All(Enum):
                                    """
                                    All

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = Enum.YLeaf(0, "out")



                        class Network(Entity):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint)}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.manet = YLeaf(YType.empty, "manet")

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                                self.point_to_point = YLeaf(YType.empty, "point-to-point")

                                self.point_to_multipoint = None
                                self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                                self._children_yang_names.add("point-to-multipoint")
                                self._segment_path = lambda: "network"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                            class PointToMultipoint(Entity):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint, self).__init__()

                                    self.yang_name = "point-to-multipoint"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                    self._segment_path = lambda: "point-to-multipoint"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint, ['non_broadcast'], name, value)


                        class PrefixSuppression(Entity):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression, self).__init__()

                                self.yang_name = "prefix-suppression"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "prefix-suppression"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression, ['disable'], name, value)


                        class Shutdown(Entity):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Shutdown, self).__init__()

                                self.yang_name = "shutdown"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "shutdown"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv4.Shutdown, ['disable'], name, value)


                    class Ipv6(Entity):
                        """
                        Specify parameters for IPv6
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Authentication), "bfd" : ("bfd", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Bfd), "cost" : ("cost", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost), "database-filter" : ("database_filter", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.FloodReduction), "manet" : ("manet", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.MultiArea), "network" : ("network", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Shutdown)}
                            self._child_list_classes = {"area" : ("area", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Area), "neighbor" : ("neighbor", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor)}

                            self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                            self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                            self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                            self.authentication = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.bfd = None
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.cost = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")

                            self.database_filter = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")

                            self.demand_circuit = None
                            self._children_name_map["demand_circuit"] = "demand-circuit"
                            self._children_yang_names.add("demand-circuit")

                            self.flood_reduction = None
                            self._children_name_map["flood_reduction"] = "flood-reduction"
                            self._children_yang_names.add("flood-reduction")

                            self.manet = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.mtu_ignore = None
                            self._children_name_map["mtu_ignore"] = "mtu-ignore"
                            self._children_yang_names.add("mtu-ignore")

                            self.multi_area = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.MultiArea()
                            self.multi_area.parent = self
                            self._children_name_map["multi_area"] = "multi-area"
                            self._children_yang_names.add("multi-area")

                            self.network = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Network()
                            self.network.parent = self
                            self._children_name_map["network"] = "network"
                            self._children_yang_names.add("network")

                            self.prefix_suppression = None
                            self._children_name_map["prefix_suppression"] = "prefix-suppression"
                            self._children_yang_names.add("prefix-suppression")

                            self.shutdown = None
                            self._children_name_map["shutdown"] = "shutdown"
                            self._children_yang_names.add("shutdown")

                            self.area = YList(self)
                            self.neighbor = YList(self)
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6, ['dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                        class Area(Entity):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\: int
                            
                            	**range:** 0..31
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.instance = YLeaf(YType.uint8, "instance")
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Area, ['id', 'instance'], name, value)


                        class Authentication(Entity):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\: str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.null = YLeaf(YType.empty, "null")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Authentication, ['key_chain', 'null'], name, value)


                        class Bfd(Entity):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Bfd, ['disable'], name, value)


                        class Cost(Entity):
                            """
                            Route cost of this interface
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.dynamic = None
                                self._children_name_map["dynamic"] = "dynamic"
                                self._children_yang_names.add("dynamic")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost, ['value'], name, value)


                            class Dynamic(Entity):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic, self).__init__()

                                    self.yang_name = "dynamic"
                                    self.yang_parent_name = "cost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.default = YLeaf(YType.uint32, "default")

                                    self.hysteresis = None
                                    self._children_name_map["hysteresis"] = "hysteresis"
                                    self._children_yang_names.add("hysteresis")

                                    self.weight = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight()
                                    self.weight.parent = self
                                    self._children_name_map["weight"] = "weight"
                                    self._children_yang_names.add("weight")
                                    self._segment_path = lambda: "dynamic"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic, ['default'], name, value)


                                class Hysteresis(Entity):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis, self).__init__()

                                        self.yang_name = "hysteresis"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "hysteresis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                                class Weight(Entity):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight, self).__init__()

                                        self.yang_name = "weight"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput)}
                                        self._child_list_classes = {}

                                        self.l2_factor = None
                                        self._children_name_map["l2_factor"] = "L2-factor"
                                        self._children_yang_names.add("L2-factor")

                                        self.latency = None
                                        self._children_name_map["latency"] = "latency"
                                        self._children_yang_names.add("latency")

                                        self.resources = None
                                        self._children_name_map["resources"] = "resources"
                                        self._children_yang_names.add("resources")

                                        self.throughput = None
                                        self._children_name_map["throughput"] = "throughput"
                                        self._children_yang_names.add("throughput")
                                        self._segment_path = lambda: "weight"


                                    class L2Factor(Entity):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                            self.yang_name = "L2-factor"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "L2-factor"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                    class Latency(Entity):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency, self).__init__()

                                            self.yang_name = "latency"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "latency"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                    class Resources(Entity):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources, self).__init__()

                                            self.yang_name = "resources"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "resources"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                    class Throughput(Entity):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput, self).__init__()

                                            self.yang_name = "throughput"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "throughput"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.All>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter, ['all', 'disable'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                        class DemandCircuit(Entity):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.DemandCircuit, self).__init__()

                                self.yang_name = "demand-circuit"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "demand-circuit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.DemandCircuit, ['disable', 'ignore'], name, value)


                        class FloodReduction(Entity):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.FloodReduction, self).__init__()

                                self.yang_name = "flood-reduction"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "flood-reduction"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.FloodReduction, ['disable'], name, value)


                        class Manet(Entity):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peering" : ("peering", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering)}
                                self._child_list_classes = {}

                                self.peering = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"


                            class Peering(Entity):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost" : ("cost", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost)}
                                    self._child_list_classes = {}

                                    self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                    self.cost = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self._children_name_map["cost"] = "cost"
                                    self._children_yang_names.add("cost")
                                    self._segment_path = lambda: "peering"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering, ['link_metrics'], name, value)


                                class Cost(Entity):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost, self).__init__()

                                        self.yang_name = "cost"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "cost"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                        class MtuIgnore(Entity):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.MtuIgnore, self).__init__()

                                self.yang_name = "mtu-ignore"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "mtu-ignore"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.MtuIgnore, ['disable'], name, value)


                        class MultiArea(Entity):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.MultiArea, self).__init__()

                                self.yang_name = "multi-area"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint32, "cost")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "multi-area"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.MultiArea, ['id', 'cost', 'disable'], name, value)


                        class Neighbor(Entity):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint16, "cost")

                                self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.database_filter = Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self._children_name_map["database_filter"] = "database-filter"
                                self._children_yang_names.add("database-filter")
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                            class DatabaseFilter(Entity):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.All>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter, self).__init__()

                                    self.yang_name = "database-filter"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.all = YLeaf(YType.enumeration, "all")
                                    self._segment_path = lambda: "database-filter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter, ['all'], name, value)

                                class All(Enum):
                                    """
                                    All

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = Enum.YLeaf(0, "out")



                        class Network(Entity):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint)}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.manet = YLeaf(YType.empty, "manet")

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                                self.point_to_point = YLeaf(YType.empty, "point-to-point")

                                self.point_to_multipoint = None
                                self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                                self._children_yang_names.add("point-to-multipoint")
                                self._segment_path = lambda: "network"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                            class PointToMultipoint(Entity):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint, self).__init__()

                                    self.yang_name = "point-to-multipoint"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                    self._segment_path = lambda: "point-to-multipoint"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint, ['non_broadcast'], name, value)


                        class PrefixSuppression(Entity):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression, self).__init__()

                                self.yang_name = "prefix-suppression"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "prefix-suppression"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression, ['disable'], name, value)


                        class Shutdown(Entity):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Shutdown, self).__init__()

                                self.yang_name = "shutdown"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "shutdown"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.ProcessId.Ipv6.Shutdown, ['disable'], name, value)


                class Authentication(Entity):
                    """
                    Enable authentication
                    
                    .. attribute:: key_chain
                    
                    	Use a key\-chain for cryptographic authentication keys
                    	**type**\: str
                    
                    .. attribute:: null
                    
                    	Use no authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec authentication
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ospfv3.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec)}
                        self._child_list_classes = {}

                        self.key_chain = YLeaf(YType.str, "key-chain")

                        self.null = YLeaf(YType.empty, "null")

                        self.ipsec = Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Authentication, ['key_chain', 'null'], name, value)


                    class Ipsec(Entity):
                        """
                        Use IPsec authentication
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\: int
                        
                        	**range:** 256..4294967295
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Md5>`
                        
                        .. attribute:: sha1
                        
                        	Use SHA\-1 authentication
                        	**type**\:  :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Md5), "sha1" : ("sha1", Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1)}
                            self._child_list_classes = {}

                            self.spi = YLeaf(YType.uint64, "spi")

                            self.md5 = Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.sha1 = Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1()
                            self.sha1.parent = self
                            self._children_name_map["sha1"] = "sha1"
                            self._children_yang_names.add("sha1")
                            self._segment_path = lambda: "ipsec"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec, ['spi'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                        class Sha1(Entity):
                            """
                            Use SHA\-1 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1, self).__init__()

                                self.yang_name = "sha1"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "sha1"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "sha1"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                class Bfd(Entity):
                    """
                    Enable BFD on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BFD on this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ospfv3.Bfd, self).__init__()

                        self.yang_name = "bfd"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "bfd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Bfd, ['disable'], name, value)


                class Cost(Entity):
                    """
                    Route cost of this interface
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: dynamic
                    
                    	Specify dynamic cost options
                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ospfv3.Cost, self).__init__()

                        self.yang_name = "cost"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic)}
                        self._child_list_classes = {}

                        self.value = YLeaf(YType.uint32, "value")

                        self.dynamic = None
                        self._children_name_map["dynamic"] = "dynamic"
                        self._children_yang_names.add("dynamic")
                        self._segment_path = lambda: "cost"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Cost, ['value'], name, value)


                    class Dynamic(Entity):
                        """
                        Specify dynamic cost options
                        
                        .. attribute:: default
                        
                        	Specify default link metric value
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hysteresis
                        
                        	Specify hysteresis value for LSA dampening
                        	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Hysteresis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: weight
                        
                        	Specify weight to be placed on individual metrics
                        	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic, self).__init__()

                            self.yang_name = "dynamic"
                            self.yang_parent_name = "cost"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.uint32, "default")

                            self.hysteresis = None
                            self._children_name_map["hysteresis"] = "hysteresis"
                            self._children_yang_names.add("hysteresis")

                            self.weight = Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight()
                            self.weight.parent = self
                            self._children_name_map["weight"] = "weight"
                            self._children_yang_names.add("weight")
                            self._segment_path = lambda: "dynamic"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic, ['default'], name, value)


                        class Hysteresis(Entity):
                            """
                            Specify hysteresis value for LSA dampening
                            
                            .. attribute:: percent
                            
                            	Specify hysteresis percent changed
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold
                            
                            	Specify hysteresis threshold value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Hysteresis, self).__init__()

                                self.yang_name = "hysteresis"
                                self.yang_parent_name = "dynamic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.threshold = YLeaf(YType.uint32, "threshold")
                                self._segment_path = lambda: "hysteresis"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                        class Weight(Entity):
                            """
                            Specify weight to be placed on individual metrics
                            
                            .. attribute:: l2_factor
                            
                            	Specify weight to be given to L2\-factor metric
                            	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.L2Factor>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: latency
                            
                            	Specify weight to be given to latency metric
                            	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Latency>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: resources
                            
                            	Specify weight to be given to resources metric
                            	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Resources>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: throughput
                            
                            	Specify weight to be given to throughput metric
                            	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Throughput>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight, self).__init__()

                                self.yang_name = "weight"
                                self.yang_parent_name = "dynamic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Throughput)}
                                self._child_list_classes = {}

                                self.l2_factor = None
                                self._children_name_map["l2_factor"] = "L2-factor"
                                self._children_yang_names.add("L2-factor")

                                self.latency = None
                                self._children_name_map["latency"] = "latency"
                                self._children_yang_names.add("latency")

                                self.resources = None
                                self._children_name_map["resources"] = "resources"
                                self._children_yang_names.add("resources")

                                self.throughput = None
                                self._children_name_map["throughput"] = "throughput"
                                self._children_yang_names.add("throughput")
                                self._segment_path = lambda: "weight"


                            class L2Factor(Entity):
                                """
                                Specify weight to be given to L2\-factor metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                    self.yang_name = "L2-factor"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "L2-factor"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                            class Latency(Entity):
                                """
                                Specify weight to be given to latency metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Latency, self).__init__()

                                    self.yang_name = "latency"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "latency"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                            class Resources(Entity):
                                """
                                Specify weight to be given to resources metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Resources, self).__init__()

                                    self.yang_name = "resources"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "resources"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                            class Throughput(Entity):
                                """
                                Specify weight to be given to throughput metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Throughput, self).__init__()

                                    self.yang_name = "throughput"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "throughput"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                class DatabaseFilter(Entity):
                    """
                    Filter OSPF LSA during synchronization and flooding
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.DatabaseFilter.All>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ospfv3.DatabaseFilter, self).__init__()

                        self.yang_name = "database-filter"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.all = YLeaf(YType.enumeration, "all")
                        self._segment_path = lambda: "database-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.DatabaseFilter, ['all'], name, value)

                    class All(Enum):
                        """
                        All

                        Filter all LSA

                        .. data:: out = 0

                        """

                        out = Enum.YLeaf(0, "out")



                class DemandCircuit(Entity):
                    """
                    OSPF Demand Circuit
                    
                    .. attribute:: ignore
                    
                    	Ignore demand circuit auto\-negotiation requests
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ospfv3.DemandCircuit, self).__init__()

                        self.yang_name = "demand-circuit"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ignore = YLeaf(YType.empty, "ignore")
                        self._segment_path = lambda: "demand-circuit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.DemandCircuit, ['ignore'], name, value)


                class Encryption(Entity):
                    """
                    Enable encryption
                    
                    .. attribute:: null
                    
                    	No IPsec encryption on this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec encryption
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ospfv3.Encryption, self).__init__()

                        self.yang_name = "encryption"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec)}
                        self._child_list_classes = {}

                        self.null = YLeaf(YType.empty, "null")

                        self.ipsec = Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "encryption"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Encryption, ['null'], name, value)


                    class Ipsec(Entity):
                        """
                        Use IPsec encryption
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: esp
                        
                        	Use ESP encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec_3des
                        
                        	Use 3DES encryption
                        	**type**\:  :py:class:`Ipsec3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des>`
                        
                        .. attribute:: aes_cbc
                        
                        	Use AES\-CBC encryption
                        	**type**\:  :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "encryption"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec_3des" : ("ipsec_3des", Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des), "aes-cbc" : ("aes_cbc", Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc)}
                            self._child_list_classes = {}

                            self.spi = YLeaf(YType.uint64, "spi")

                            self.esp = YLeaf(YType.empty, "esp")

                            self.ipsec_3des = Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des()
                            self.ipsec_3des.parent = self
                            self._children_name_map["ipsec_3des"] = "ipsec_3des"
                            self._children_yang_names.add("ipsec_3des")

                            self.aes_cbc = Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc()
                            self.aes_cbc.parent = self
                            self._children_name_map["aes_cbc"] = "aes-cbc"
                            self._children_yang_names.add("aes-cbc")
                            self._segment_path = lambda: "ipsec"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec, ['spi', 'esp'], name, value)


                        class Ipsec3Des(Entity):
                            """
                            Use 3DES encryption
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des, self).__init__()

                                self.yang_name = "ipsec_3des"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "ipsec_3des"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "ipsec_3des"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                        class AesCbc(Entity):
                            """
                            Use AES\-CBC encryption
                            
                            .. attribute:: aes_cbc_128
                            
                            	Use 128 bit key
                            	**type**\:  :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128>`
                            
                            .. attribute:: aes_192
                            
                            	Use 192 bit key
                            	**type**\:  :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192>`
                            
                            .. attribute:: aes_256
                            
                            	Use 256 bit key
                            	**type**\:  :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc, self).__init__()

                                self.yang_name = "aes-cbc"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"aes-cbc-128" : ("aes_cbc_128", Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128), "aes-192" : ("aes_192", Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192), "aes-256" : ("aes_256", Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256)}
                                self._child_list_classes = {}

                                self.aes_cbc_128 = Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128()
                                self.aes_cbc_128.parent = self
                                self._children_name_map["aes_cbc_128"] = "aes-cbc-128"
                                self._children_yang_names.add("aes-cbc-128")

                                self.aes_192 = Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192()
                                self.aes_192.parent = self
                                self._children_name_map["aes_192"] = "aes-192"
                                self._children_yang_names.add("aes-192")

                                self.aes_256 = Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256()
                                self.aes_256.parent = self
                                self._children_name_map["aes_256"] = "aes-256"
                                self._children_yang_names.add("aes-256")
                                self._segment_path = lambda: "aes-cbc"


                            class AesCbc128(Entity):
                                """
                                Use 128 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128, self).__init__()

                                    self.yang_name = "aes-cbc-128"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-cbc-128"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-cbc-128"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Aes192(Entity):
                                """
                                Use 192 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192, self).__init__()

                                    self.yang_name = "aes-192"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-192"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-192"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Aes256(Entity):
                                """
                                Use 256 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256, self).__init__()

                                    self.yang_name = "aes-256"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-256"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-256"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                class Manet(Entity):
                    """
                    Mobile Adhoc Networking options
                    
                    .. attribute:: peering
                    
                    	MANET Peering options
                    	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Manet.Peering>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ospfv3.Manet, self).__init__()

                        self.yang_name = "manet"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"peering" : ("peering", Native.Interface.GigabitEthernet.Ospfv3.Manet.Peering)}
                        self._child_list_classes = {}

                        self.peering = Native.Interface.GigabitEthernet.Ospfv3.Manet.Peering()
                        self.peering.parent = self
                        self._children_name_map["peering"] = "peering"
                        self._children_yang_names.add("peering")
                        self._segment_path = lambda: "manet"


                    class Peering(Entity):
                        """
                        MANET Peering options
                        
                        .. attribute:: cost
                        
                        	Redundant path cost improvement required to peer
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Manet.Peering.Cost>`
                        
                        .. attribute:: link_metrics
                        
                        	Require link metrics
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.Manet.Peering, self).__init__()

                            self.yang_name = "peering"
                            self.yang_parent_name = "manet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cost" : ("cost", Native.Interface.GigabitEthernet.Ospfv3.Manet.Peering.Cost)}
                            self._child_list_classes = {}

                            self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                            self.cost = Native.Interface.GigabitEthernet.Ospfv3.Manet.Peering.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")
                            self._segment_path = lambda: "peering"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Manet.Peering, ['link_metrics'], name, value)


                        class Cost(Entity):
                            """
                            Redundant path cost improvement required to peer
                            
                            .. attribute:: percent
                            
                            	Relative incremental path cost
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            .. attribute:: threshold
                            
                            	Absolute incremental path cost
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Ospfv3.Manet.Peering.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "peering"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.threshold = YLeaf(YType.uint32, "threshold")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                class MultiArea(Entity):
                    """
                    Set the OSPF multi\-area ID
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967295
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ospfv3.MultiArea, self).__init__()

                        self.yang_name = "multi-area"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.cost = YLeaf(YType.uint32, "cost")
                        self._segment_path = lambda: "multi-area"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.MultiArea, ['id', 'cost'], name, value)


                class Neighbor(Entity):
                    """
                    OSPF neighbor
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	OSPF cost for point\-to\-multipoint neighbor
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Neighbor.DatabaseFilter>`
                    
                    .. attribute:: poll_interval
                    
                    	OSPF dead\-router polling interval
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: priority
                    
                    	OSPF priority of non\-broadcast neighbor
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ospfv3.Neighbor, self).__init__()

                        self.yang_name = "neighbor"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.GigabitEthernet.Ospfv3.Neighbor.DatabaseFilter)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.database_filter = Native.Interface.GigabitEthernet.Ospfv3.Neighbor.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")
                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Neighbor.DatabaseFilter.All>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.Neighbor.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "neighbor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Neighbor.DatabaseFilter, ['all'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                class Network(Entity):
                    """
                    Network type
                    
                    .. attribute:: broadcast
                    
                    	Specify OSPF broadcast multi\-access network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: manet
                    
                    	Specify MANET OSPF interface type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: non_broadcast
                    
                    	Specify OSPF NBMA network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: point_to_multipoint
                    
                    	Specify OSPF point\-to\-multipoint network
                    	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Ospfv3.Network.PointToMultipoint>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: point_to_point
                    
                    	Specify OSPF point\-to\-point network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ospfv3.Network, self).__init__()

                        self.yang_name = "network"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.GigabitEthernet.Ospfv3.Network.PointToMultipoint)}
                        self._child_list_classes = {}

                        self.broadcast = YLeaf(YType.empty, "broadcast")

                        self.manet = YLeaf(YType.empty, "manet")

                        self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                        self.point_to_point = YLeaf(YType.empty, "point-to-point")

                        self.point_to_multipoint = None
                        self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                        self._children_yang_names.add("point-to-multipoint")
                        self._segment_path = lambda: "network"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                    class PointToMultipoint(Entity):
                        """
                        Specify OSPF point\-to\-multipoint network
                        
                        .. attribute:: non_broadcast
                        
                        	Specify non\-broadcast point\-to\-mpoint network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Ospfv3.Network.PointToMultipoint, self).__init__()

                            self.yang_name = "point-to-multipoint"
                            self.yang_parent_name = "network"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                            self._segment_path = lambda: "point-to-multipoint"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.Network.PointToMultipoint, ['non_broadcast'], name, value)


                class PrefixSuppression(Entity):
                    """
                    OSPF prefix suppression
                    
                    .. attribute:: disable
                    
                    	Disable prefix suppression
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Ospfv3.PrefixSuppression, self).__init__()

                        self.yang_name = "prefix-suppression"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "prefix-suppression"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Ospfv3.PrefixSuppression, ['disable'], name, value)


            class Power(Entity):
                """
                
                
                .. attribute:: inline
                
                	
                	**type**\:  :py:class:`Inline <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Power.Inline>`
                
                

                """

                _prefix = 'ios-power'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Power, self).__init__()

                    self.yang_name = "power"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"inline" : ("inline", Native.Interface.GigabitEthernet.Power.Inline)}
                    self._child_list_classes = {}

                    self.inline = Native.Interface.GigabitEthernet.Power.Inline()
                    self.inline.parent = self
                    self._children_name_map["inline"] = "inline"
                    self._children_yang_names.add("inline")
                    self._segment_path = lambda: "Cisco-IOS-XE-power:power"


                class Inline(Entity):
                    """
                    
                    
                    .. attribute:: consumption
                    
                    	
                    	**type**\: int
                    
                    	**range:** 4000..15400
                    
                    .. attribute:: never
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: auto
                    
                    	Automatically detect and power inline devices
                    	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Power.Inline.Auto>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: four_pair
                    
                    	Four\-pair PoE power
                    	**type**\:  :py:class:`FourPair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Power.Inline.FourPair>`
                    
                    .. attribute:: police
                    
                    	Police the power drawn on the port
                    	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Power.Inline.Police>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: port
                    
                    	Configure Port Power Level
                    	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Power.Inline.Port>`
                    
                    .. attribute:: static
                    
                    	High priority inline power interface
                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Power.Inline.Static>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-power'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Power.Inline, self).__init__()

                        self.yang_name = "inline"
                        self.yang_parent_name = "power"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"auto" : ("auto", Native.Interface.GigabitEthernet.Power.Inline.Auto), "four-pair" : ("four_pair", Native.Interface.GigabitEthernet.Power.Inline.FourPair), "police" : ("police", Native.Interface.GigabitEthernet.Power.Inline.Police), "port" : ("port", Native.Interface.GigabitEthernet.Power.Inline.Port), "static" : ("static", Native.Interface.GigabitEthernet.Power.Inline.Static)}
                        self._child_list_classes = {}

                        self.consumption = YLeaf(YType.uint16, "consumption")

                        self.never = YLeaf(YType.empty, "never")

                        self.auto = None
                        self._children_name_map["auto"] = "auto"
                        self._children_yang_names.add("auto")

                        self.four_pair = Native.Interface.GigabitEthernet.Power.Inline.FourPair()
                        self.four_pair.parent = self
                        self._children_name_map["four_pair"] = "four-pair"
                        self._children_yang_names.add("four-pair")

                        self.police = None
                        self._children_name_map["police"] = "police"
                        self._children_yang_names.add("police")

                        self.port = Native.Interface.GigabitEthernet.Power.Inline.Port()
                        self.port.parent = self
                        self._children_name_map["port"] = "port"
                        self._children_yang_names.add("port")

                        self.static = None
                        self._children_name_map["static"] = "static"
                        self._children_yang_names.add("static")
                        self._segment_path = lambda: "inline"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Power.Inline, ['consumption', 'never'], name, value)


                    class Auto(Entity):
                        """
                        Automatically detect and power inline devices
                        
                        .. attribute:: max
                        
                        	Maximum power allowed on this interface
                        	**type**\: int
                        
                        	**range:** 4000..60000
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Power.Inline.Auto, self).__init__()

                            self.yang_name = "auto"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.max = YLeaf(YType.int32, "max")
                            self._segment_path = lambda: "auto"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Power.Inline.Auto, ['max'], name, value)


                    class FourPair(Entity):
                        """
                        Four\-pair PoE power
                        
                        .. attribute:: forced
                        
                        	Enable Four\-pair PoE without L2 negotiation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Power.Inline.FourPair, self).__init__()

                            self.yang_name = "four-pair"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forced = YLeaf(YType.empty, "forced")
                            self._segment_path = lambda: "four-pair"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Power.Inline.FourPair, ['forced'], name, value)


                    class Police(Entity):
                        """
                        Police the power drawn on the port
                        
                        .. attribute:: action
                        
                        	Action to be taken when power is overdrawn on the port
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Power.Inline.Police.Action>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Power.Inline.Police, self).__init__()

                            self.yang_name = "police"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"action" : ("action", Native.Interface.GigabitEthernet.Power.Inline.Police.Action)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.action = Native.Interface.GigabitEthernet.Power.Inline.Police.Action()
                            self.action.parent = self
                            self._children_name_map["action"] = "action"
                            self._children_yang_names.add("action")
                            self._segment_path = lambda: "police"


                        class Action(Entity):
                            """
                            Action to be taken when power is overdrawn on the port
                            
                            .. attribute:: errdisable
                            
                            	Error\-disable the port when power is overdrawn on the port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log
                            
                            	Log a message when power is overdrawn on the port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-power'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Power.Inline.Police.Action, self).__init__()

                                self.yang_name = "action"
                                self.yang_parent_name = "police"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.errdisable = YLeaf(YType.empty, "errdisable")

                                self.log = YLeaf(YType.empty, "log")
                                self._segment_path = lambda: "action"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Power.Inline.Police.Action, ['errdisable', 'log'], name, value)


                    class Port(Entity):
                        """
                        Configure Port Power Level
                        
                        .. attribute:: poe_ha
                        
                        	Apply poe\-ha to the port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: two_event
                        
                        	Enable 2\-event classification
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Power.Inline.Port, self).__init__()

                            self.yang_name = "port"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.poe_ha = YLeaf(YType.empty, "poe-ha")

                            self.two_event = YLeaf(YType.empty, "two-event")
                            self._segment_path = lambda: "port"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Power.Inline.Port, ['poe_ha', 'two_event'], name, value)


                    class Static(Entity):
                        """
                        High priority inline power interface
                        
                        .. attribute:: max
                        
                        	Maximum power allowed on this interface
                        	**type**\: int
                        
                        	**range:** 4000..60000
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Power.Inline.Static, self).__init__()

                            self.yang_name = "static"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.max = YLeaf(YType.int32, "max")
                            self._segment_path = lambda: "static"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Power.Inline.Static, ['max'], name, value)


            class Authentication(Entity):
                """
                Auth Manager Interface Configuration Commands
                
                .. attribute:: control_direction
                
                	Set the control\-direction on the interface
                	**type**\:  :py:class:`ControlDirection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.ControlDirection>`
                
                .. attribute:: event
                
                	Set action for authentication events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event>`
                
                .. attribute:: fallback
                
                	Enable the Webauth fallback mechanism
                	**type**\: str
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.HostMode>`
                
                .. attribute:: open
                
                	Enable or Disable open access on this port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: order
                
                	Add an authentication method to the order list
                	**type**\:  :py:class:`Order <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Order>`
                
                .. attribute:: priority
                
                	Add an authentication method to the priority list
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Priority>`
                
                .. attribute:: port_control
                
                	set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.PortControl>`
                
                .. attribute:: periodic
                
                	Enable or Disable Reauthentication for this port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: timer
                
                	Set authentication timer values
                	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Timer>`
                
                .. attribute:: violation
                
                	Configure action to take on security violations
                	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Violation>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Authentication, self).__init__()

                    self.yang_name = "authentication"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.GigabitEthernet.Authentication.Event), "order" : ("order", Native.Interface.GigabitEthernet.Authentication.Order), "priority" : ("priority", Native.Interface.GigabitEthernet.Authentication.Priority), "timer" : ("timer", Native.Interface.GigabitEthernet.Authentication.Timer)}
                    self._child_list_classes = {}

                    self.control_direction = YLeaf(YType.enumeration, "control-direction")

                    self.fallback = YLeaf(YType.str, "fallback")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.open = YLeaf(YType.empty, "open")

                    self.port_control = YLeaf(YType.enumeration, "port-control")

                    self.periodic = YLeaf(YType.empty, "periodic")

                    self.violation = YLeaf(YType.enumeration, "violation")

                    self.event = Native.Interface.GigabitEthernet.Authentication.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")

                    self.order = Native.Interface.GigabitEthernet.Authentication.Order()
                    self.order.parent = self
                    self._children_name_map["order"] = "order"
                    self._children_yang_names.add("order")

                    self.priority = Native.Interface.GigabitEthernet.Authentication.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.timer = Native.Interface.GigabitEthernet.Authentication.Timer()
                    self.timer.parent = self
                    self._children_name_map["timer"] = "timer"
                    self._children_yang_names.add("timer")
                    self._segment_path = lambda: "Cisco-IOS-XE-sanet:authentication"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Authentication, ['control_direction', 'fallback', 'host_mode', 'open', 'port_control', 'periodic', 'violation'], name, value)

                class ControlDirection(Enum):
                    """
                    ControlDirection

                    Set the control\-direction on the interface

                    .. data:: both = 0

                    .. data:: in_ = 1

                    """

                    both = Enum.YLeaf(0, "both")

                    in_ = Enum.YLeaf(1, "in")


                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")


                class PortControl(Enum):
                    """
                    PortControl

                    set the port\-control value

                    .. data:: auto = 0

                    .. data:: force_authorized = 1

                    .. data:: force_unauthorized = 2

                    """

                    auto = Enum.YLeaf(0, "auto")

                    force_authorized = Enum.YLeaf(1, "force-authorized")

                    force_unauthorized = Enum.YLeaf(2, "force-unauthorized")


                class Violation(Enum):
                    """
                    Violation

                    Configure action to take on security violations

                    .. data:: protect = 0

                    .. data:: replace = 1

                    .. data:: restrict = 2

                    .. data:: shutdown = 3

                    """

                    protect = Enum.YLeaf(0, "protect")

                    replace = Enum.YLeaf(1, "replace")

                    restrict = Enum.YLeaf(2, "restrict")

                    shutdown = Enum.YLeaf(3, "shutdown")



                class Event(Entity):
                    """
                    Set action for authentication events
                    
                    .. attribute:: server
                    
                    	Configure actions for AAA server events
                    	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event.Server>`
                    
                    .. attribute:: fail
                    
                    	Configure actions for AAA fail events
                    	**type**\:  :py:class:`Fail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event.Fail>`
                    
                    .. attribute:: no_response
                    
                    	Configure actions for AAA no\-response events
                    	**type**\:  :py:class:`NoResponse <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event.NoResponse>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Authentication.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"server" : ("server", Native.Interface.GigabitEthernet.Authentication.Event.Server), "fail" : ("fail", Native.Interface.GigabitEthernet.Authentication.Event.Fail), "no-response" : ("no_response", Native.Interface.GigabitEthernet.Authentication.Event.NoResponse)}
                        self._child_list_classes = {}

                        self.server = Native.Interface.GigabitEthernet.Authentication.Event.Server()
                        self.server.parent = self
                        self._children_name_map["server"] = "server"
                        self._children_yang_names.add("server")

                        self.fail = Native.Interface.GigabitEthernet.Authentication.Event.Fail()
                        self.fail.parent = self
                        self._children_name_map["fail"] = "fail"
                        self._children_yang_names.add("fail")

                        self.no_response = Native.Interface.GigabitEthernet.Authentication.Event.NoResponse()
                        self.no_response.parent = self
                        self._children_name_map["no_response"] = "no-response"
                        self._children_yang_names.add("no-response")
                        self._segment_path = lambda: "event"


                    class Server(Entity):
                        """
                        Configure actions for AAA server events
                        
                        .. attribute:: alive
                        
                        	Configure AAA server alive action
                        	**type**\:  :py:class:`Alive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event.Server.Alive>`
                        
                        .. attribute:: dead
                        
                        	Configure AAA server dead action
                        	**type**\:  :py:class:`Dead <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Authentication.Event.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"alive" : ("alive", Native.Interface.GigabitEthernet.Authentication.Event.Server.Alive), "dead" : ("dead", Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead)}
                            self._child_list_classes = {}

                            self.alive = Native.Interface.GigabitEthernet.Authentication.Event.Server.Alive()
                            self.alive.parent = self
                            self._children_name_map["alive"] = "alive"
                            self._children_yang_names.add("alive")

                            self.dead = Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead()
                            self.dead.parent = self
                            self._children_name_map["dead"] = "dead"
                            self._children_yang_names.add("dead")
                            self._segment_path = lambda: "server"


                        class Alive(Entity):
                            """
                            Configure AAA server alive action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event.Server.Alive.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Authentication.Event.Server.Alive, self).__init__()

                                self.yang_name = "alive"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.GigabitEthernet.Authentication.Event.Server.Alive.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.GigabitEthernet.Authentication.Event.Server.Alive.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "alive"


                            class Action(Entity):
                                """
                                Required action for authentication event
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all authorized clients
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Authentication.Event.Server.Alive.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "alive"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reinitialize = YLeaf(YType.empty, "reinitialize")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Authentication.Event.Server.Alive.Action, ['reinitialize'], name, value)


                        class Dead(Entity):
                            """
                            Configure AAA server dead action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead, self).__init__()

                                self.yang_name = "dead"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "dead"


                            class Action(Entity):
                                """
                                Required action for authentication event
                                
                                .. attribute:: authorize
                                
                                	Authorize the port
                                	**type**\:  :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead.Action.Authorize>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all client on the port
                                	**type**\:  :py:class:`Reinitialize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead.Action.Reinitialize>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "dead"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authorize" : ("authorize", Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead.Action.Authorize), "reinitialize" : ("reinitialize", Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead.Action.Reinitialize)}
                                    self._child_list_classes = {}

                                    self.authorize = None
                                    self._children_name_map["authorize"] = "authorize"
                                    self._children_yang_names.add("authorize")

                                    self.reinitialize = Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead.Action.Reinitialize()
                                    self.reinitialize.parent = self
                                    self._children_name_map["reinitialize"] = "reinitialize"
                                    self._children_yang_names.add("reinitialize")
                                    self._segment_path = lambda: "action"


                                class Authorize(Entity):
                                    """
                                    Authorize the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: voice
                                    
                                    	Authorize the port for VOICE traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead.Action.Authorize, self).__init__()

                                        self.yang_name = "authorize"
                                        self.yang_parent_name = "action"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.vlan = YLeaf(YType.uint16, "vlan")

                                        self.voice = YLeaf(YType.empty, "voice")
                                        self._segment_path = lambda: "authorize"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead.Action.Authorize, ['vlan', 'voice'], name, value)


                                class Reinitialize(Entity):
                                    """
                                    Reinitialize all client on the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead.Action.Reinitialize, self).__init__()

                                        self.yang_name = "reinitialize"
                                        self.yang_parent_name = "action"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vlan = YLeaf(YType.uint16, "vlan")
                                        self._segment_path = lambda: "reinitialize"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GigabitEthernet.Authentication.Event.Server.Dead.Action.Reinitialize, ['vlan'], name, value)


                    class Fail(Entity):
                        """
                        Configure actions for AAA fail events
                        
                        .. attribute:: action
                        
                        	Required action for fail event
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event.Fail.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Authentication.Event.Fail, self).__init__()

                            self.yang_name = "fail"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"action" : ("action", Native.Interface.GigabitEthernet.Authentication.Event.Fail.Action)}
                            self._child_list_classes = {}

                            self.action = Native.Interface.GigabitEthernet.Authentication.Event.Fail.Action()
                            self.action.parent = self
                            self._children_name_map["action"] = "action"
                            self._children_yang_names.add("action")
                            self._segment_path = lambda: "fail"


                        class Action(Entity):
                            """
                            Required action for fail event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:  :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event.Fail.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Authentication.Event.Fail.Action, self).__init__()

                                self.yang_name = "action"
                                self.yang_parent_name = "fail"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authorize" : ("authorize", Native.Interface.GigabitEthernet.Authentication.Event.Fail.Action.Authorize)}
                                self._child_list_classes = {}

                                self.authorize = Native.Interface.GigabitEthernet.Authentication.Event.Fail.Action.Authorize()
                                self.authorize.parent = self
                                self._children_name_map["authorize"] = "authorize"
                                self._children_yang_names.add("authorize")
                                self._segment_path = lambda: "action"


                            class Authorize(Entity):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Authentication.Event.Fail.Action.Authorize, self).__init__()

                                    self.yang_name = "authorize"
                                    self.yang_parent_name = "action"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan = YLeaf(YType.uint16, "vlan")
                                    self._segment_path = lambda: "authorize"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Authentication.Event.Fail.Action.Authorize, ['vlan'], name, value)


                    class NoResponse(Entity):
                        """
                        Configure actions for AAA no\-response events
                        
                        .. attribute:: action
                        
                        	Required action for no\-response event
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event.NoResponse.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Authentication.Event.NoResponse, self).__init__()

                            self.yang_name = "no-response"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"action" : ("action", Native.Interface.GigabitEthernet.Authentication.Event.NoResponse.Action)}
                            self._child_list_classes = {}

                            self.action = Native.Interface.GigabitEthernet.Authentication.Event.NoResponse.Action()
                            self.action.parent = self
                            self._children_name_map["action"] = "action"
                            self._children_yang_names.add("action")
                            self._segment_path = lambda: "no-response"


                        class Action(Entity):
                            """
                            Required action for no\-response event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:  :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Event.NoResponse.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Authentication.Event.NoResponse.Action, self).__init__()

                                self.yang_name = "action"
                                self.yang_parent_name = "no-response"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authorize" : ("authorize", Native.Interface.GigabitEthernet.Authentication.Event.NoResponse.Action.Authorize)}
                                self._child_list_classes = {}

                                self.authorize = Native.Interface.GigabitEthernet.Authentication.Event.NoResponse.Action.Authorize()
                                self.authorize.parent = self
                                self._children_name_map["authorize"] = "authorize"
                                self._children_yang_names.add("authorize")
                                self._segment_path = lambda: "action"


                            class Authorize(Entity):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.GigabitEthernet.Authentication.Event.NoResponse.Action.Authorize, self).__init__()

                                    self.yang_name = "authorize"
                                    self.yang_parent_name = "action"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan = YLeaf(YType.uint16, "vlan")
                                    self._segment_path = lambda: "authorize"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GigabitEthernet.Authentication.Event.NoResponse.Action.Authorize, ['vlan'], name, value)


                class Order(Entity):
                    """
                    Add an authentication method to the order list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Authentication.Order, self).__init__()

                        self.yang_name = "order"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dot1x = YLeaf(YType.empty, "dot1x")

                        self.mab = YLeaf(YType.empty, "mab")

                        self.webauth = YLeaf(YType.empty, "webauth")
                        self._segment_path = lambda: "order"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Authentication.Order, ['dot1x', 'mab', 'webauth'], name, value)


                class Priority(Entity):
                    """
                    Add an authentication method to the priority list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Authentication.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dot1x = YLeaf(YType.empty, "dot1x")

                        self.mab = YLeaf(YType.empty, "mab")

                        self.webauth = YLeaf(YType.empty, "webauth")
                        self._segment_path = lambda: "priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Authentication.Priority, ['dot1x', 'mab', 'webauth'], name, value)


                class Timer(Entity):
                    """
                    Set authentication timer values
                    
                    .. attribute:: reauthenticate
                    
                    	Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                    	**type**\:  :py:class:`Reauthenticate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Timer.Reauthenticate>`
                    
                    .. attribute:: inactivity
                    
                    	Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                    	**type**\:  :py:class:`Inactivity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Timer.Inactivity>`
                    
                    .. attribute:: restart
                    
                    	Interval in seconds after which an attempt should be made toauthenticate an unauthorized port (default 60 sec)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Authentication.Timer, self).__init__()

                        self.yang_name = "timer"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"reauthenticate" : ("reauthenticate", Native.Interface.GigabitEthernet.Authentication.Timer.Reauthenticate), "inactivity" : ("inactivity", Native.Interface.GigabitEthernet.Authentication.Timer.Inactivity)}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.uint16, "restart")

                        self.reauthenticate = Native.Interface.GigabitEthernet.Authentication.Timer.Reauthenticate()
                        self.reauthenticate.parent = self
                        self._children_name_map["reauthenticate"] = "reauthenticate"
                        self._children_yang_names.add("reauthenticate")

                        self.inactivity = Native.Interface.GigabitEthernet.Authentication.Timer.Inactivity()
                        self.inactivity.parent = self
                        self._children_name_map["inactivity"] = "inactivity"
                        self._children_yang_names.add("inactivity")
                        self._segment_path = lambda: "timer"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Authentication.Timer, ['restart'], name, value)


                    class Reauthenticate(Entity):
                        """
                        Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: server
                        
                        	Obtain re\-authentication timeout value from the server
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Authentication.Timer.Reauthenticate, self).__init__()

                            self.yang_name = "reauthenticate"
                            self.yang_parent_name = "timer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint16, "value")

                            self.server = YLeaf(YType.empty, "server")
                            self._segment_path = lambda: "reauthenticate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Authentication.Timer.Reauthenticate, ['value', 'server'], name, value)


                    class Inactivity(Entity):
                        """
                        Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Timer.Inactivity.Value>`
                        
                        .. attribute:: server
                        
                        	Obtain inactivity timeout value from the server
                        	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Authentication.Timer.Inactivity.Server>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Authentication.Timer.Inactivity, self).__init__()

                            self.yang_name = "inactivity"
                            self.yang_parent_name = "timer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"value" : ("value", Native.Interface.GigabitEthernet.Authentication.Timer.Inactivity.Value), "server" : ("server", Native.Interface.GigabitEthernet.Authentication.Timer.Inactivity.Server)}
                            self._child_list_classes = {}

                            self.value = Native.Interface.GigabitEthernet.Authentication.Timer.Inactivity.Value()
                            self.value.parent = self
                            self._children_name_map["value"] = "value"
                            self._children_yang_names.add("value")

                            self.server = None
                            self._children_name_map["server"] = "server"
                            self._children_yang_names.add("server")
                            self._segment_path = lambda: "inactivity"


                        class Value(Entity):
                            """
                            
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Authentication.Timer.Inactivity.Value, self).__init__()

                                self.yang_name = "value"
                                self.yang_parent_name = "inactivity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint16, "value")

                                self.dynamic = YLeaf(YType.empty, "dynamic")
                                self._segment_path = lambda: "value"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Authentication.Timer.Inactivity.Value, ['value', 'dynamic'], name, value)


                        class Server(Entity):
                            """
                            Obtain inactivity timeout value from the server
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.GigabitEthernet.Authentication.Timer.Inactivity.Server, self).__init__()

                                self.yang_name = "server"
                                self.yang_parent_name = "inactivity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.dynamic = YLeaf(YType.empty, "dynamic")
                                self._segment_path = lambda: "server"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GigabitEthernet.Authentication.Timer.Inactivity.Server, ['dynamic'], name, value)


            class Mab(Entity):
                """
                
                
                .. attribute:: eap
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Mab, self).__init__()

                    self.yang_name = "mab"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.eap = YLeaf(YType.empty, "eap")
                    self._segment_path = lambda: "Cisco-IOS-XE-sanet:mab"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Mab, ['eap'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpdufilter
                
                	Don't send or receive BPDUs on this interface
                	**type**\:  :py:class:`Bpdufilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SpanningTree.Bpdufilter>`
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SpanningTree.Bpduguard>`
                
                .. attribute:: cost
                
                	To set the path cost of the interface
                	**type**\: int
                
                	**range:** 1..200000000
                
                .. attribute:: guard
                
                	Change an interface's spanning tree guard mode
                	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SpanningTree.Guard>`
                
                .. attribute:: link_type
                
                	Specify a link type for spanning tree tree protocol use
                	**type**\:  :py:class:`LinkType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SpanningTree.LinkType>`
                
                .. attribute:: portfast
                
                	Spanning tree portfast options
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SpanningTree.Portfast>`
                
                	**presence node**\: True
                
                .. attribute:: port_priority
                
                	Spanning tree port\-priority options
                	**type**\: int
                
                	**range:** 0..240
                
                .. attribute:: vlan
                
                	VLAN Switch Spanning Tree
                	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SpanningTree.Vlan>`
                
                .. attribute:: loopguard
                
                	Spanning tree loopguard options
                	**type**\:  :py:class:`Loopguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SpanningTree.Loopguard>`
                
                .. attribute:: mst
                
                	Per interface MST configurations
                	**type**\:  :py:class:`Mst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SpanningTree.Mst>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.Interface.GigabitEthernet.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.Interface.GigabitEthernet.SpanningTree.Portfast), "vlan" : ("vlan", Native.Interface.GigabitEthernet.SpanningTree.Vlan), "loopguard" : ("loopguard", Native.Interface.GigabitEthernet.SpanningTree.Loopguard), "mst" : ("mst", Native.Interface.GigabitEthernet.SpanningTree.Mst)}
                    self._child_list_classes = {}

                    self.bpdufilter = YLeaf(YType.enumeration, "bpdufilter")

                    self.cost = YLeaf(YType.uint32, "cost")

                    self.guard = YLeaf(YType.enumeration, "guard")

                    self.link_type = YLeaf(YType.enumeration, "link-type")

                    self.port_priority = YLeaf(YType.uint8, "port-priority")

                    self.bpduguard = Native.Interface.GigabitEthernet.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = None
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")

                    self.vlan = Native.Interface.GigabitEthernet.SpanningTree.Vlan()
                    self.vlan.parent = self
                    self._children_name_map["vlan"] = "vlan"
                    self._children_yang_names.add("vlan")

                    self.loopguard = Native.Interface.GigabitEthernet.SpanningTree.Loopguard()
                    self.loopguard.parent = self
                    self._children_name_map["loopguard"] = "loopguard"
                    self._children_yang_names.add("loopguard")

                    self.mst = Native.Interface.GigabitEthernet.SpanningTree.Mst()
                    self.mst.parent = self
                    self._children_name_map["mst"] = "mst"
                    self._children_yang_names.add("mst")
                    self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:spanning-tree"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.SpanningTree, ['bpdufilter', 'cost', 'guard', 'link_type', 'port_priority'], name, value)

                class Bpdufilter(Enum):
                    """
                    Bpdufilter

                    Don't send or receive BPDUs on this interface

                    .. data:: disable = 0

                    .. data:: enable = 1

                    """

                    disable = Enum.YLeaf(0, "disable")

                    enable = Enum.YLeaf(1, "enable")


                class Guard(Enum):
                    """
                    Guard

                    Change an interface's spanning tree guard mode

                    .. data:: loop = 0

                    .. data:: none = 1

                    .. data:: root = 2

                    """

                    loop = Enum.YLeaf(0, "loop")

                    none = Enum.YLeaf(1, "none")

                    root = Enum.YLeaf(2, "root")


                class LinkType(Enum):
                    """
                    LinkType

                    Specify a link type for spanning tree tree protocol use

                    .. data:: auto = 0

                    .. data:: none = 1

                    .. data:: point_to_point = 2

                    .. data:: root = 3

                    .. data:: shared = 4

                    """

                    auto = Enum.YLeaf(0, "auto")

                    none = Enum.YLeaf(1, "none")

                    point_to_point = Enum.YLeaf(2, "point-to-point")

                    root = Enum.YLeaf(3, "root")

                    shared = Enum.YLeaf(4, "shared")



                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.SpanningTree.Bpduguard, ['disable', 'enable'], name, value)


                class Portfast(Entity):
                    """
                    Spanning tree portfast options
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Enable portfast on the interface even in trunk mode
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.edge = YLeaf(YType.empty, "edge")
                        self._segment_path = lambda: "portfast"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.SpanningTree.Portfast, ['disable', 'trunk', 'edge'], name, value)


                class Vlan(Entity):
                    """
                    VLAN Switch Spanning Tree
                    
                    .. attribute:: vlan_ids
                    
                    	vlan range, example\: 1,3\-5,7,9\-11
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 1..4095
                    
                    		**type**\: list of str
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\: int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\: int
                    
                    	**range:** 0..240
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.SpanningTree.Vlan, self).__init__()

                        self.yang_name = "vlan"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_ids = YLeafList(YType.str, "vlan-ids")

                        self.cost = YLeaf(YType.uint32, "cost")

                        self.port_priority = YLeaf(YType.uint16, "port-priority")
                        self._segment_path = lambda: "vlan"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.SpanningTree.Vlan, ['vlan_ids', 'cost', 'port_priority'], name, value)


                class Loopguard(Entity):
                    """
                    Spanning tree loopguard options
                    
                    .. attribute:: default
                    
                    	Enable loopguard by default on all ports
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.SpanningTree.Loopguard, self).__init__()

                        self.yang_name = "loopguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.default = YLeaf(YType.empty, "default")
                        self._segment_path = lambda: "loopguard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.SpanningTree.Loopguard, ['default'], name, value)


                class Mst(Entity):
                    """
                    Per interface MST configurations
                    
                    .. attribute:: instance
                    
                    	MST instance list, example 0,2\-4,6,8\-12
                    	**type**\: str
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\: int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\: int
                    
                    	**range:** 0..240
                    
                    .. attribute:: pre_standard
                    
                    	Force pre\-standard MST BPDU transmission on port
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.SpanningTree.Mst, self).__init__()

                        self.yang_name = "mst"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.instance = YLeaf(YType.str, "instance")

                        self.cost = YLeaf(YType.uint32, "cost")

                        self.port_priority = YLeaf(YType.uint16, "port-priority")

                        self.pre_standard = YLeaf(YType.empty, "pre-standard")
                        self._segment_path = lambda: "mst"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.SpanningTree.Mst, ['instance', 'cost', 'port_priority', 'pre_standard'], name, value)


            class Auto(Entity):
                """
                Configure Automation
                
                .. attribute:: qos
                
                	Configure AutoQoS
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Auto.Qos>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Auto, self).__init__()

                    self.yang_name = "auto"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"qos" : ("qos", Native.Interface.GigabitEthernet.Auto.Qos)}
                    self._child_list_classes = {}

                    self.qos = Native.Interface.GigabitEthernet.Auto.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:auto"


                class Qos(Entity):
                    """
                    Configure AutoQoS
                    
                    .. attribute:: classify
                    
                    	Configure classification for untrusted devices
                    	**type**\:  :py:class:`Classify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Auto.Qos.Classify>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trust
                    
                    	Trust the DSCP/CoS marking
                    	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Auto.Qos.Trust>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: video
                    
                    	Configure AutoQoS for video devices
                    	**type**\:  :py:class:`Video <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Auto.Qos.Video>`
                    
                    .. attribute:: voip
                    
                    	Configure AutoQoS for VoIP
                    	**type**\:  :py:class:`Voip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Auto.Qos.Voip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Auto.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "auto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"classify" : ("classify", Native.Interface.GigabitEthernet.Auto.Qos.Classify), "trust" : ("trust", Native.Interface.GigabitEthernet.Auto.Qos.Trust), "video" : ("video", Native.Interface.GigabitEthernet.Auto.Qos.Video), "voip" : ("voip", Native.Interface.GigabitEthernet.Auto.Qos.Voip)}
                        self._child_list_classes = {}

                        self.classify = None
                        self._children_name_map["classify"] = "classify"
                        self._children_yang_names.add("classify")

                        self.trust = None
                        self._children_name_map["trust"] = "trust"
                        self._children_yang_names.add("trust")

                        self.video = Native.Interface.GigabitEthernet.Auto.Qos.Video()
                        self.video.parent = self
                        self._children_name_map["video"] = "video"
                        self._children_yang_names.add("video")

                        self.voip = None
                        self._children_name_map["voip"] = "voip"
                        self._children_yang_names.add("voip")
                        self._segment_path = lambda: "qos"


                    class Classify(Entity):
                        """
                        Configure classification for untrusted devices
                        
                        .. attribute:: police
                        
                        	Configure QoS policing for untrusted devices
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Auto.Qos.Classify, self).__init__()

                            self.yang_name = "classify"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.police = YLeaf(YType.empty, "police")
                            self._segment_path = lambda: "classify"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Auto.Qos.Classify, ['police'], name, value)


                    class Trust(Entity):
                        """
                        Trust the DSCP/CoS marking
                        
                        .. attribute:: cos
                        
                        	Trust the CoS marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	Trust the DSCP marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Auto.Qos.Trust, self).__init__()

                            self.yang_name = "trust"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cos = YLeaf(YType.empty, "cos")

                            self.dscp = YLeaf(YType.empty, "dscp")
                            self._segment_path = lambda: "trust"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Auto.Qos.Trust, ['cos', 'dscp'], name, value)


                    class Video(Entity):
                        """
                        Configure AutoQoS for video devices
                        
                        .. attribute:: cts
                        
                        	Trust the QoS marking of the Cisco Telepresence System
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip_camera
                        
                        	Trust the QoS marking of the Ip Video Surveillance camera
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: media_player
                        
                        	Trust the Qos marking of the Cisco Media Player
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Auto.Qos.Video, self).__init__()

                            self.yang_name = "video"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.cts = YLeaf(YType.empty, "cts")

                            self.ip_camera = YLeaf(YType.empty, "ip-camera")

                            self.media_player = YLeaf(YType.empty, "media-player")
                            self._segment_path = lambda: "video"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Auto.Qos.Video, ['cts', 'ip_camera', 'media_player'], name, value)


                    class Voip(Entity):
                        """
                        Configure AutoQoS for VoIP
                        
                        .. attribute:: cisco_phone
                        
                        	Trust the QoS marking of Cisco IP Phone
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cisco_softphone
                        
                        	Trust the QoS marking of Cisco IP SoftPhone
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trust
                        
                        	Trust the DSCP/CoS marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Auto.Qos.Voip, self).__init__()

                            self.yang_name = "voip"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cisco_phone = YLeaf(YType.empty, "cisco-phone")

                            self.cisco_softphone = YLeaf(YType.empty, "cisco-softphone")

                            self.trust = YLeaf(YType.empty, "trust")
                            self._segment_path = lambda: "voip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Auto.Qos.Voip, ['cisco_phone', 'cisco_softphone', 'trust'], name, value)


            class Datalink(Entity):
                """
                Interface Datalink commands
                
                .. attribute:: flow
                
                	Interface Flow configuration subcommands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Datalink.Flow>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Datalink, self).__init__()

                    self.yang_name = "datalink"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"flow" : ("flow", Native.Interface.GigabitEthernet.Datalink.Flow)}
                    self._child_list_classes = {}

                    self.flow = Native.Interface.GigabitEthernet.Datalink.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:datalink"


                class Flow(Entity):
                    """
                    Interface Flow configuration subcommands
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Datalink.Flow.Monitor>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Datalink.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "datalink"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"monitor" : ("monitor", Native.Interface.GigabitEthernet.Datalink.Flow.Monitor)}
                        self._child_list_classes = {}

                        self.monitor = None
                        self._children_name_map["monitor"] = "monitor"
                        self._children_yang_names.add("monitor")
                        self._segment_path = lambda: "flow"


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: user_defined_flow
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: input_output
                        
                        	Apply Flow Monitor on input/output traffic
                        	**type**\:  :py:class:`InputOutput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Datalink.Flow.Monitor.InputOutput>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Datalink.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.user_defined_flow = YLeaf(YType.str, "User-defined-flow")

                            self.input_output = YLeaf(YType.enumeration, "input-output")
                            self._segment_path = lambda: "monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Datalink.Flow.Monitor, ['user_defined_flow', 'input_output'], name, value)

                        class InputOutput(Enum):
                            """
                            InputOutput

                            Apply Flow Monitor on input/output traffic

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



            class Energywise(Entity):
                """
                EnergyWise interface configurations
                
                .. attribute:: activitycheck
                
                	Apply an activity check before turning off power    to this PoE port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Energywise, self).__init__()

                    self.yang_name = "energywise"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.activitycheck = YLeaf(YType.empty, "activitycheck")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:energywise"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Energywise, ['activitycheck'], name, value)


            class Location(Entity):
                """
                Interface location information
                
                .. attribute:: civic_location_id
                
                	Civic location information
                	**type**\:  :py:class:`CivicLocationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Location.CivicLocationId>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Location, self).__init__()

                    self.yang_name = "location"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"civic-location-id" : ("civic_location_id", Native.Interface.GigabitEthernet.Location.CivicLocationId)}
                    self._child_list_classes = {}

                    self.civic_location_id = Native.Interface.GigabitEthernet.Location.CivicLocationId()
                    self.civic_location_id.parent = self
                    self._children_name_map["civic_location_id"] = "civic-location-id"
                    self._children_yang_names.add("civic-location-id")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:location"


                class CivicLocationId(Entity):
                    """
                    Civic location information
                    
                    .. attribute:: location_identifier
                    
                    	civic location identifier string
                    	**type**\: str
                    
                    .. attribute:: host
                    
                    	Globally defined host location identifer
                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Location.CivicLocationId.Host>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: none
                    
                    	No globally defined location identifer
                    	**type**\:  :py:class:`None_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Location.CivicLocationId.None_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Location.CivicLocationId, self).__init__()

                        self.yang_name = "civic-location-id"
                        self.yang_parent_name = "location"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"host" : ("host", Native.Interface.GigabitEthernet.Location.CivicLocationId.Host), "none" : ("none", Native.Interface.GigabitEthernet.Location.CivicLocationId.None_)}
                        self._child_list_classes = {}

                        self.location_identifier = YLeaf(YType.str, "location-identifier")

                        self.host = None
                        self._children_name_map["host"] = "host"
                        self._children_yang_names.add("host")

                        self.none = None
                        self._children_name_map["none"] = "none"
                        self._children_yang_names.add("none")
                        self._segment_path = lambda: "civic-location-id"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Location.CivicLocationId, ['location_identifier'], name, value)


                    class Host(Entity):
                        """
                        Globally defined host location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Location.CivicLocationId.Host, self).__init__()

                            self.yang_name = "host"
                            self.yang_parent_name = "civic-location-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.port_location = YLeaf(YType.str, "port-location")
                            self._segment_path = lambda: "host"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Location.CivicLocationId.Host, ['port_location'], name, value)


                    class None_(Entity):
                        """
                        No globally defined location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Location.CivicLocationId.None_, self).__init__()

                            self.yang_name = "none"
                            self.yang_parent_name = "civic-location-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.port_location = YLeaf(YType.str, "port-location")
                            self._segment_path = lambda: "none"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Location.CivicLocationId.None_, ['port_location'], name, value)


            class Mac(Entity):
                """
                MAC interface commands
                
                .. attribute:: access_group
                
                	MAC access\-group configuration commands
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mac.AccessGroup>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Mac, self).__init__()

                    self.yang_name = "mac"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.GigabitEthernet.Mac.AccessGroup)}
                    self._child_list_classes = {}

                    self.access_group = Native.Interface.GigabitEthernet.Mac.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:mac"


                class AccessGroup(Entity):
                    """
                    MAC access\-group configuration commands
                    
                    .. attribute:: acl_name
                    
                    	ACL name
                    	**type**\:  :py:class:`ACLName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mac.AccessGroup.ACLName>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Mac.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "mac"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ACL-name" : ("acl_name", Native.Interface.GigabitEthernet.Mac.AccessGroup.ACLName)}
                        self._child_list_classes = {}

                        self.acl_name = Native.Interface.GigabitEthernet.Mac.AccessGroup.ACLName()
                        self.acl_name.parent = self
                        self._children_name_map["acl_name"] = "ACL-name"
                        self._children_yang_names.add("ACL-name")
                        self._segment_path = lambda: "access-group"


                    class ACLName(Entity):
                        """
                        ACL name
                        
                        .. attribute:: acl_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: apply_to
                        
                        	
                        	**type**\:  :py:class:`ApplyTo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Mac.AccessGroup.ACLName.ApplyTo>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.Mac.AccessGroup.ACLName, self).__init__()

                            self.yang_name = "ACL-name"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.acl_name = YLeaf(YType.str, "acl-name")

                            self.apply_to = YLeaf(YType.enumeration, "apply-to")
                            self._segment_path = lambda: "ACL-name"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.Mac.AccessGroup.ACLName, ['acl_name', 'apply_to'], name, value)

                        class ApplyTo(Enum):
                            """
                            ApplyTo

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = Enum.YLeaf(0, "in")

                            out = Enum.YLeaf(1, "out")



            class Macro(Entity):
                """
                Command macro
                
                .. attribute:: description
                
                	Macro description for this interface
                	**type**\: str
                
                .. attribute:: auto
                
                	Smartport interface macro configurations
                	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Macro.Auto>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Macro, self).__init__()

                    self.yang_name = "macro"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"auto" : ("auto", Native.Interface.GigabitEthernet.Macro.Auto)}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.str, "description")

                    self.auto = Native.Interface.GigabitEthernet.Macro.Auto()
                    self.auto.parent = self
                    self._children_name_map["auto"] = "auto"
                    self._children_yang_names.add("auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:macro"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Macro, ['description'], name, value)


                class Auto(Entity):
                    """
                    Smartport interface macro configurations
                    
                    .. attribute:: processing
                    
                    	Enable smartport macro auto execution on this interface
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Macro.Auto, self).__init__()

                        self.yang_name = "auto"
                        self.yang_parent_name = "macro"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.processing = YLeaf(YType.boolean, "processing")
                        self._segment_path = lambda: "auto"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Macro.Auto, ['processing'], name, value)


            class DualActive(Entity):
                """
                
                
                .. attribute:: fast_hello
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.DualActive, self).__init__()

                    self.yang_name = "dual-active"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fast_hello = YLeaf(YType.empty, "fast-hello")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:dual-active"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.DualActive, ['fast_hello'], name, value)


            class LoadBalancing(Entity):
                """
                Etherchannel Load\-Balancing
                
                .. attribute:: flow
                
                	Based on the traffic flows identified by the packet headers
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Based on the VLAN to member links manual configuration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.LoadBalancing, self).__init__()

                    self.yang_name = "load-balancing"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.flow = YLeaf(YType.empty, "flow")

                    self.vlan = YLeaf(YType.empty, "vlan")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:load-balancing"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.LoadBalancing, ['flow', 'vlan'], name, value)


            class VlanRange(Entity):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4096
                
                		**type**\: str
                
                .. attribute:: service_policy
                
                	Configure QoS Service Policy
                	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.VlanRange.ServicePolicy>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.VlanRange, self).__init__()

                    self.yang_name = "vlan-range"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"service-policy" : ("service_policy", Native.Interface.GigabitEthernet.VlanRange.ServicePolicy)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.service_policy = Native.Interface.GigabitEthernet.VlanRange.ServicePolicy()
                    self.service_policy.parent = self
                    self._children_name_map["service_policy"] = "service-policy"
                    self._children_yang_names.add("service-policy")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:vlan-range" + "[id='" + self.id.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.VlanRange, ['id'], name, value)


                class ServicePolicy(Entity):
                    """
                    Configure QoS Service Policy
                    
                    .. attribute:: input
                    
                    	Assign policy\-map to the input of an interface
                    	**type**\: str
                    
                    .. attribute:: output
                    
                    	Assign policy\-map to the output of an interface
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.VlanRange.ServicePolicy, self).__init__()

                        self.yang_name = "service-policy"
                        self.yang_parent_name = "vlan-range"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.input = YLeaf(YType.str, "input")

                        self.output = YLeaf(YType.str, "output")
                        self._segment_path = lambda: "service-policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.VlanRange.ServicePolicy, ['input', 'output'], name, value)


            class Switch(Entity):
                """
                
                
                .. attribute:: virtual
                
                	
                	**type**\:  :py:class:`Virtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Switch.Virtual>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Switch, self).__init__()

                    self.yang_name = "switch"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"virtual" : ("virtual", Native.Interface.GigabitEthernet.Switch.Virtual)}
                    self._child_list_classes = {}

                    self.virtual = Native.Interface.GigabitEthernet.Switch.Virtual()
                    self.virtual.parent = self
                    self._children_name_map["virtual"] = "virtual"
                    self._children_yang_names.add("virtual")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:switch"


                class Virtual(Entity):
                    """
                    
                    
                    .. attribute:: link
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Switch.Virtual, self).__init__()

                        self.yang_name = "virtual"
                        self.yang_parent_name = "switch"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.link = YLeaf(YType.uint8, "link")
                        self._segment_path = lambda: "virtual"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Switch.Virtual, ['link'], name, value)


            class SrrQueue(Entity):
                """
                
                
                .. attribute:: bandwidth
                
                	
                	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SrrQueue.Bandwidth>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.SrrQueue, self).__init__()

                    self.yang_name = "srr-queue"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.GigabitEthernet.SrrQueue.Bandwidth)}
                    self._child_list_classes = {}

                    self.bandwidth = Native.Interface.GigabitEthernet.SrrQueue.Bandwidth()
                    self.bandwidth.parent = self
                    self._children_name_map["bandwidth"] = "bandwidth"
                    self._children_yang_names.add("bandwidth")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:srr-queue"


                class Bandwidth(Entity):
                    """
                    
                    
                    .. attribute:: shape
                    
                    	
                    	**type**\:  :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SrrQueue.Bandwidth.Shape>`
                    
                    .. attribute:: share
                    
                    	
                    	**type**\:  :py:class:`Share <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.SrrQueue.Bandwidth.Share>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.SrrQueue.Bandwidth, self).__init__()

                        self.yang_name = "bandwidth"
                        self.yang_parent_name = "srr-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"shape" : ("shape", Native.Interface.GigabitEthernet.SrrQueue.Bandwidth.Shape), "share" : ("share", Native.Interface.GigabitEthernet.SrrQueue.Bandwidth.Share)}
                        self._child_list_classes = {}

                        self.shape = Native.Interface.GigabitEthernet.SrrQueue.Bandwidth.Shape()
                        self.shape.parent = self
                        self._children_name_map["shape"] = "shape"
                        self._children_yang_names.add("shape")

                        self.share = Native.Interface.GigabitEthernet.SrrQueue.Bandwidth.Share()
                        self.share.parent = self
                        self._children_name_map["share"] = "share"
                        self._children_yang_names.add("share")
                        self._segment_path = lambda: "bandwidth"


                    class Shape(Entity):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.SrrQueue.Bandwidth.Shape, self).__init__()

                            self.yang_name = "shape"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.weight1 = YLeaf(YType.uint16, "weight1")

                            self.weight2 = YLeaf(YType.uint16, "weight2")

                            self.weight3 = YLeaf(YType.uint16, "weight3")

                            self.weight4 = YLeaf(YType.uint16, "weight4")
                            self._segment_path = lambda: "shape"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.SrrQueue.Bandwidth.Shape, ['weight1', 'weight2', 'weight3', 'weight4'], name, value)


                    class Share(Entity):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.GigabitEthernet.SrrQueue.Bandwidth.Share, self).__init__()

                            self.yang_name = "share"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.weight1 = YLeaf(YType.uint8, "weight1")

                            self.weight2 = YLeaf(YType.uint8, "weight2")

                            self.weight3 = YLeaf(YType.uint8, "weight3")

                            self.weight4 = YLeaf(YType.uint8, "weight4")
                            self._segment_path = lambda: "share"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GigabitEthernet.SrrQueue.Bandwidth.Share, ['weight1', 'weight2', 'weight3', 'weight4'], name, value)


            class Macsec(Entity):
                """
                Enable macsec on the interface
                
                .. attribute:: network_link
                
                	Enable macsec on switch connected interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Macsec, self).__init__()

                    self.yang_name = "macsec"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.network_link = YLeaf(YType.empty, "network-link")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:macsec"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Macsec, ['network_link'], name, value)


            class DeviceTracking(Entity):
                """
                Configure device\-tracking on the interface
                
                .. attribute:: attach_policy
                
                	Apply a policy for feature device\-tracking
                	**type**\: str
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.DeviceTracking, self).__init__()

                    self.yang_name = "device-tracking"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.attach_policy = YLeaf(YType.str, "attach-policy")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:device-tracking"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.DeviceTracking, ['attach_policy'], name, value)


            class Udld(Entity):
                """
                Configure UDLD enabled or disabled and ignore global UDLD setting
                
                .. attribute:: port
                
                	Enable UDLD protocol on this interface despite global UDLD setting
                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GigabitEthernet.Udld.Port>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-udld'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Udld, self).__init__()

                    self.yang_name = "udld"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port" : ("port", Native.Interface.GigabitEthernet.Udld.Port)}
                    self._child_list_classes = {}

                    self.port = None
                    self._children_name_map["port"] = "port"
                    self._children_yang_names.add("port")
                    self._segment_path = lambda: "Cisco-IOS-XE-udld:udld"


                class Port(Entity):
                    """
                    Enable UDLD protocol on this interface despite global UDLD setting
                    
                    .. attribute:: aggressive
                    
                    	Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disable
                    
                    	Disable UDLD protocol on this interface despite global UDLD setting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-udld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.GigabitEthernet.Udld.Port, self).__init__()

                        self.yang_name = "port"
                        self.yang_parent_name = "udld"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aggressive = YLeaf(YType.empty, "aggressive")

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "port"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GigabitEthernet.Udld.Port, ['aggressive', 'disable'], name, value)


            class Umbrella(Entity):
                """
                Umbrella interface commands
                
                .. attribute:: out
                
                	Umbrella Out direction
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: in_
                
                	Umbrella In direction
                	**type**\: str
                
                

                """

                _prefix = 'ios-umbrella'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Umbrella, self).__init__()

                    self.yang_name = "umbrella"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.in_ = YLeaf(YType.str, "in")
                    self._segment_path = lambda: "Cisco-IOS-XE-umbrella:umbrella"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Umbrella, ['out', 'in_'], name, value)


            class Utd(Entity):
                """
                UTD support on this interface
                
                .. attribute:: enable
                
                	Enable threat defense on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-utd'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.Utd, self).__init__()

                    self.yang_name = "utd"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enable = YLeaf(YType.empty, "enable")
                    self._segment_path = lambda: "Cisco-IOS-XE-utd:utd"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.Utd, ['enable'], name, value)


            class ZoneMember(Entity):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\: str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.GigabitEthernet.ZoneMember, self).__init__()

                    self.yang_name = "zone-member"
                    self.yang_parent_name = "GigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.security = YLeaf(YType.str, "security")
                    self._segment_path = lambda: "Cisco-IOS-XE-zone:zone-member"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GigabitEthernet.ZoneMember, ['security'], name, value)


        class TenGigabitEthernet(Entity):
            """
            Ten Gigabit Ethernet
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: media_type
            
            	Media type
            	**type**\:  :py:class:`MediaType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.MediaType>`
            
            .. attribute:: port_type
            
            	
            	**type**\:  :py:class:`PortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.PortType>`
            
            .. attribute:: lacp
            
            	LACP interface subcommands
            	**type**\:  :py:class:`Lacp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Lacp>`
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.PmPath>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:  :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.CarrierDelay>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:  :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:  :py:class:`ChannelProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.ChannelProtocol>`
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet>`
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:  :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Negotiation>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:  :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Synchronous>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:  :py:class:`Duplex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Duplex>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:  :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Speed>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:  :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Plim>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:  :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Pppoe>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service>`
            
            .. attribute:: xconnect
            
            	Xconnect commands
            	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Xconnect>`
            
            .. attribute:: cdp
            
            	CDP interface subcommands
            	**type**\:  :py:class:`Cdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cdp>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Snmp>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts>`
            
            .. attribute:: dot1x
            
            	Interface Config Commands for IEEE 802.1X
            	**type**\:  :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Dot1X>`
            
            .. attribute:: performance
            
            	Global performance monitor configuration
            	**type**\:  :py:class:`Performance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Performance>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.ServicePolicy>`
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Lisp>`
            
            .. attribute:: lldp
            
            	LLDP interface subcommands
            	**type**\:  :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Lldp>`
            
            .. attribute:: mka
            
            	MACsec Key Agreement (MKA) interface configuration
            	**type**\:  :py:class:`Mka <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mka>`
            
            .. attribute:: nat66
            
            	NAT66 interface commands
            	**type**\:  :py:class:`Nat66 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Nat66>`
            
            .. attribute:: ospfv3
            
            	OSPFv3 interface commands
            	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3>`
            
            .. attribute:: power
            
            	
            	**type**\:  :py:class:`Power <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Power>`
            
            .. attribute:: authentication
            
            	Auth Manager Interface Configuration Commands
            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication>`
            
            .. attribute:: mab
            
            	
            	**type**\:  :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mab>`
            
            	**presence node**\: True
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SpanningTree>`
            
            .. attribute:: auto
            
            	Configure Automation
            	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Auto>`
            
            .. attribute:: datalink
            
            	Interface Datalink commands
            	**type**\:  :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Datalink>`
            
            .. attribute:: energywise
            
            	EnergyWise interface configurations
            	**type**\:  :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Energywise>`
            
            	**presence node**\: True
            
            .. attribute:: location
            
            	Interface location information
            	**type**\:  :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Location>`
            
            .. attribute:: mac
            
            	MAC interface commands
            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mac>`
            
            .. attribute:: macro
            
            	Command macro
            	**type**\:  :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Macro>`
            
            .. attribute:: dual_active
            
            	
            	**type**\:  :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.DualActive>`
            
            .. attribute:: load_balancing
            
            	Etherchannel Load\-Balancing
            	**type**\:  :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.LoadBalancing>`
            
            .. attribute:: vlan_range
            
            	
            	**type**\: list of  		 :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.VlanRange>`
            
            .. attribute:: switch
            
            	
            	**type**\:  :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switch>`
            
            .. attribute:: srr_queue
            
            	
            	**type**\:  :py:class:`SrrQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SrrQueue>`
            
            .. attribute:: macsec
            
            	Enable macsec on the interface
            	**type**\:  :py:class:`Macsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Macsec>`
            
            	**presence node**\: True
            
            .. attribute:: device_tracking
            
            	Configure device\-tracking on the interface
            	**type**\:  :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.DeviceTracking>`
            
            .. attribute:: udld
            
            	Configure UDLD enabled or disabled and ignore global UDLD setting
            	**type**\:  :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Udld>`
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:  :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.TenGigabitEthernet, self).__init__()

                self.yang_name = "TenGigabitEthernet"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"lacp" : ("lacp", Native.Interface.TenGigabitEthernet.Lacp), "switchport-conf" : ("switchport_conf", Native.Interface.TenGigabitEthernet.SwitchportConf), "switchport" : ("switchport", Native.Interface.TenGigabitEthernet.Switchport), "arp" : ("arp", Native.Interface.TenGigabitEthernet.Arp), "backup" : ("backup", Native.Interface.TenGigabitEthernet.Backup), "cemoudp" : ("cemoudp", Native.Interface.TenGigabitEthernet.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.TenGigabitEthernet.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.TenGigabitEthernet.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.TenGigabitEthernet.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.TenGigabitEthernet.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.TenGigabitEthernet.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.TenGigabitEthernet.Flowcontrol), "isis" : ("isis", Native.Interface.TenGigabitEthernet.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.TenGigabitEthernet.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.TenGigabitEthernet.Bfd), "bandwidth" : ("bandwidth", Native.Interface.TenGigabitEthernet.Bandwidth), "dampening" : ("dampening", Native.Interface.TenGigabitEthernet.Dampening), "domain" : ("domain", Native.Interface.TenGigabitEthernet.Domain), "mpls" : ("mpls", Native.Interface.TenGigabitEthernet.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.TenGigabitEthernet.IpVrf), "vrf" : ("vrf", Native.Interface.TenGigabitEthernet.Vrf), "ip" : ("ip", Native.Interface.TenGigabitEthernet.Ip), "ipv6" : ("ipv6", Native.Interface.TenGigabitEthernet.Ipv6), "logging" : ("logging", Native.Interface.TenGigabitEthernet.Logging), "mdix" : ("mdix", Native.Interface.TenGigabitEthernet.Mdix), "mop" : ("mop", Native.Interface.TenGigabitEthernet.Mop), "interface_qos" : ("interface_qos", Native.Interface.TenGigabitEthernet.InterfaceQos), "standby" : ("standby", Native.Interface.TenGigabitEthernet.Standby), "access-session" : ("access_session", Native.Interface.TenGigabitEthernet.AccessSession), "storm-control" : ("storm_control", Native.Interface.TenGigabitEthernet.StormControl), "trust" : ("trust", Native.Interface.TenGigabitEthernet.Trust), "priority-queue" : ("priority_queue", Native.Interface.TenGigabitEthernet.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.TenGigabitEthernet.RcvQueue), "peer" : ("peer", Native.Interface.TenGigabitEthernet.Peer), "pm-path" : ("pm_path", Native.Interface.TenGigabitEthernet.PmPath), "Cisco-IOS-XE-ethernet:carrier-delay" : ("carrier_delay", Native.Interface.TenGigabitEthernet.CarrierDelay), "Cisco-IOS-XE-ethernet:channel-group" : ("channel_group", Native.Interface.TenGigabitEthernet.ChannelGroup), "Cisco-IOS-XE-ethernet:ethernet" : ("ethernet", Native.Interface.TenGigabitEthernet.Ethernet), "Cisco-IOS-XE-ethernet:negotiation" : ("negotiation", Native.Interface.TenGigabitEthernet.Negotiation), "Cisco-IOS-XE-ethernet:synchronous" : ("synchronous", Native.Interface.TenGigabitEthernet.Synchronous), "Cisco-IOS-XE-ethernet:speed" : ("speed", Native.Interface.TenGigabitEthernet.Speed), "Cisco-IOS-XE-ethernet:plim" : ("plim", Native.Interface.TenGigabitEthernet.Plim), "Cisco-IOS-XE-ethernet:pppoe" : ("pppoe", Native.Interface.TenGigabitEthernet.Pppoe), "Cisco-IOS-XE-ethernet:service" : ("service", Native.Interface.TenGigabitEthernet.Service), "Cisco-IOS-XE-l2vpn:xconnect" : ("xconnect", Native.Interface.TenGigabitEthernet.Xconnect), "Cisco-IOS-XE-cdp:cdp" : ("cdp", Native.Interface.TenGigabitEthernet.Cdp), "Cisco-IOS-XE-snmp:snmp" : ("snmp", Native.Interface.TenGigabitEthernet.Snmp), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.TenGigabitEthernet.Crypto), "Cisco-IOS-XE-cts:cts" : ("cts", Native.Interface.TenGigabitEthernet.Cts), "Cisco-IOS-XE-dot1x:dot1x" : ("dot1x", Native.Interface.TenGigabitEthernet.Dot1X), "Cisco-IOS-XE-ezpm:performance" : ("performance", Native.Interface.TenGigabitEthernet.Performance), "Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.Interface.TenGigabitEthernet.ServicePolicy), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Interface.TenGigabitEthernet.Lisp), "Cisco-IOS-XE-lldp:lldp" : ("lldp", Native.Interface.TenGigabitEthernet.Lldp), "Cisco-IOS-XE-mka:mka" : ("mka", Native.Interface.TenGigabitEthernet.Mka), "Cisco-IOS-XE-ospfv3:ospfv3" : ("ospfv3", Native.Interface.TenGigabitEthernet.Ospfv3), "Cisco-IOS-XE-power:power" : ("power", Native.Interface.TenGigabitEthernet.Power), "Cisco-IOS-XE-sanet:authentication" : ("authentication", Native.Interface.TenGigabitEthernet.Authentication), "Cisco-IOS-XE-sanet:mab" : ("mab", Native.Interface.TenGigabitEthernet.Mab), "Cisco-IOS-XE-spanning-tree:spanning-tree" : ("spanning_tree", Native.Interface.TenGigabitEthernet.SpanningTree), "Cisco-IOS-XE-switch:auto" : ("auto", Native.Interface.TenGigabitEthernet.Auto), "Cisco-IOS-XE-switch:datalink" : ("datalink", Native.Interface.TenGigabitEthernet.Datalink), "Cisco-IOS-XE-switch:energywise" : ("energywise", Native.Interface.TenGigabitEthernet.Energywise), "Cisco-IOS-XE-switch:location" : ("location", Native.Interface.TenGigabitEthernet.Location), "Cisco-IOS-XE-switch:mac" : ("mac", Native.Interface.TenGigabitEthernet.Mac), "Cisco-IOS-XE-switch:macro" : ("macro", Native.Interface.TenGigabitEthernet.Macro), "Cisco-IOS-XE-switch:dual-active" : ("dual_active", Native.Interface.TenGigabitEthernet.DualActive), "Cisco-IOS-XE-switch:load-balancing" : ("load_balancing", Native.Interface.TenGigabitEthernet.LoadBalancing), "Cisco-IOS-XE-switch:switch" : ("switch", Native.Interface.TenGigabitEthernet.Switch), "Cisco-IOS-XE-switch:srr-queue" : ("srr_queue", Native.Interface.TenGigabitEthernet.SrrQueue), "Cisco-IOS-XE-switch:macsec" : ("macsec", Native.Interface.TenGigabitEthernet.Macsec), "Cisco-IOS-XE-switch:device-tracking" : ("device_tracking", Native.Interface.TenGigabitEthernet.DeviceTracking), "Cisco-IOS-XE-udld:udld" : ("udld", Native.Interface.TenGigabitEthernet.Udld), "Cisco-IOS-XE-zone:zone-member" : ("zone_member", Native.Interface.TenGigabitEthernet.ZoneMember)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.TenGigabitEthernet.HoldQueue), "Cisco-IOS-XE-switch:vlan-range" : ("vlan_range", Native.Interface.TenGigabitEthernet.VlanRange)}

                self.name = YLeaf(YType.str, "name")

                self.media_type = YLeaf(YType.enumeration, "media-type")

                self.port_type = YLeaf(YType.enumeration, "port-type")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.channel_protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:channel-protocol")

                self.duplex = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:duplex")

                self.nat66 = YLeaf(YType.enumeration, "Cisco-IOS-XE-nat:nat66")

                self.lacp = Native.Interface.TenGigabitEthernet.Lacp()
                self.lacp.parent = self
                self._children_name_map["lacp"] = "lacp"
                self._children_yang_names.add("lacp")

                self.switchport_conf = Native.Interface.TenGigabitEthernet.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.TenGigabitEthernet.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.TenGigabitEthernet.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.TenGigabitEthernet.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.TenGigabitEthernet.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.TenGigabitEthernet.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.TenGigabitEthernet.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.TenGigabitEthernet.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.TenGigabitEthernet.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.TenGigabitEthernet.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.TenGigabitEthernet.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.TenGigabitEthernet.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.TenGigabitEthernet.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.TenGigabitEthernet.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.TenGigabitEthernet.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.TenGigabitEthernet.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.TenGigabitEthernet.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.TenGigabitEthernet.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.TenGigabitEthernet.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.TenGigabitEthernet.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.TenGigabitEthernet.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.TenGigabitEthernet.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.TenGigabitEthernet.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.TenGigabitEthernet.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.TenGigabitEthernet.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.TenGigabitEthernet.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.TenGigabitEthernet.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.TenGigabitEthernet.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.TenGigabitEthernet.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.TenGigabitEthernet.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.TenGigabitEthernet.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.TenGigabitEthernet.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.TenGigabitEthernet.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.carrier_delay = Native.Interface.TenGigabitEthernet.CarrierDelay()
                self.carrier_delay.parent = self
                self._children_name_map["carrier_delay"] = "carrier-delay"
                self._children_yang_names.add("carrier-delay")

                self.channel_group = Native.Interface.TenGigabitEthernet.ChannelGroup()
                self.channel_group.parent = self
                self._children_name_map["channel_group"] = "channel-group"
                self._children_yang_names.add("channel-group")

                self.ethernet = Native.Interface.TenGigabitEthernet.Ethernet()
                self.ethernet.parent = self
                self._children_name_map["ethernet"] = "ethernet"
                self._children_yang_names.add("ethernet")

                self.negotiation = Native.Interface.TenGigabitEthernet.Negotiation()
                self.negotiation.parent = self
                self._children_name_map["negotiation"] = "negotiation"
                self._children_yang_names.add("negotiation")

                self.synchronous = Native.Interface.TenGigabitEthernet.Synchronous()
                self.synchronous.parent = self
                self._children_name_map["synchronous"] = "synchronous"
                self._children_yang_names.add("synchronous")

                self.speed = Native.Interface.TenGigabitEthernet.Speed()
                self.speed.parent = self
                self._children_name_map["speed"] = "speed"
                self._children_yang_names.add("speed")

                self.plim = Native.Interface.TenGigabitEthernet.Plim()
                self.plim.parent = self
                self._children_name_map["plim"] = "plim"
                self._children_yang_names.add("plim")

                self.pppoe = Native.Interface.TenGigabitEthernet.Pppoe()
                self.pppoe.parent = self
                self._children_name_map["pppoe"] = "pppoe"
                self._children_yang_names.add("pppoe")

                self.service = Native.Interface.TenGigabitEthernet.Service()
                self.service.parent = self
                self._children_name_map["service"] = "service"
                self._children_yang_names.add("service")

                self.xconnect = Native.Interface.TenGigabitEthernet.Xconnect()
                self.xconnect.parent = self
                self._children_name_map["xconnect"] = "xconnect"
                self._children_yang_names.add("xconnect")

                self.cdp = Native.Interface.TenGigabitEthernet.Cdp()
                self.cdp.parent = self
                self._children_name_map["cdp"] = "cdp"
                self._children_yang_names.add("cdp")

                self.snmp = Native.Interface.TenGigabitEthernet.Snmp()
                self.snmp.parent = self
                self._children_name_map["snmp"] = "snmp"
                self._children_yang_names.add("snmp")

                self.crypto = Native.Interface.TenGigabitEthernet.Crypto()
                self.crypto.parent = self
                self._children_name_map["crypto"] = "crypto"
                self._children_yang_names.add("crypto")

                self.cts = Native.Interface.TenGigabitEthernet.Cts()
                self.cts.parent = self
                self._children_name_map["cts"] = "cts"
                self._children_yang_names.add("cts")

                self.dot1x = Native.Interface.TenGigabitEthernet.Dot1X()
                self.dot1x.parent = self
                self._children_name_map["dot1x"] = "dot1x"
                self._children_yang_names.add("dot1x")

                self.performance = Native.Interface.TenGigabitEthernet.Performance()
                self.performance.parent = self
                self._children_name_map["performance"] = "performance"
                self._children_yang_names.add("performance")

                self.service_policy = Native.Interface.TenGigabitEthernet.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.lisp = Native.Interface.TenGigabitEthernet.Lisp()
                self.lisp.parent = self
                self._children_name_map["lisp"] = "lisp"
                self._children_yang_names.add("lisp")

                self.lldp = Native.Interface.TenGigabitEthernet.Lldp()
                self.lldp.parent = self
                self._children_name_map["lldp"] = "lldp"
                self._children_yang_names.add("lldp")

                self.mka = Native.Interface.TenGigabitEthernet.Mka()
                self.mka.parent = self
                self._children_name_map["mka"] = "mka"
                self._children_yang_names.add("mka")

                self.ospfv3 = Native.Interface.TenGigabitEthernet.Ospfv3()
                self.ospfv3.parent = self
                self._children_name_map["ospfv3"] = "ospfv3"
                self._children_yang_names.add("ospfv3")

                self.power = Native.Interface.TenGigabitEthernet.Power()
                self.power.parent = self
                self._children_name_map["power"] = "power"
                self._children_yang_names.add("power")

                self.authentication = Native.Interface.TenGigabitEthernet.Authentication()
                self.authentication.parent = self
                self._children_name_map["authentication"] = "authentication"
                self._children_yang_names.add("authentication")

                self.mab = None
                self._children_name_map["mab"] = "mab"
                self._children_yang_names.add("mab")

                self.spanning_tree = Native.Interface.TenGigabitEthernet.SpanningTree()
                self.spanning_tree.parent = self
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.auto = Native.Interface.TenGigabitEthernet.Auto()
                self.auto.parent = self
                self._children_name_map["auto"] = "auto"
                self._children_yang_names.add("auto")

                self.datalink = Native.Interface.TenGigabitEthernet.Datalink()
                self.datalink.parent = self
                self._children_name_map["datalink"] = "datalink"
                self._children_yang_names.add("datalink")

                self.energywise = None
                self._children_name_map["energywise"] = "energywise"
                self._children_yang_names.add("energywise")

                self.location = Native.Interface.TenGigabitEthernet.Location()
                self.location.parent = self
                self._children_name_map["location"] = "location"
                self._children_yang_names.add("location")

                self.mac = Native.Interface.TenGigabitEthernet.Mac()
                self.mac.parent = self
                self._children_name_map["mac"] = "mac"
                self._children_yang_names.add("mac")

                self.macro = Native.Interface.TenGigabitEthernet.Macro()
                self.macro.parent = self
                self._children_name_map["macro"] = "macro"
                self._children_yang_names.add("macro")

                self.dual_active = Native.Interface.TenGigabitEthernet.DualActive()
                self.dual_active.parent = self
                self._children_name_map["dual_active"] = "dual-active"
                self._children_yang_names.add("dual-active")

                self.load_balancing = Native.Interface.TenGigabitEthernet.LoadBalancing()
                self.load_balancing.parent = self
                self._children_name_map["load_balancing"] = "load-balancing"
                self._children_yang_names.add("load-balancing")

                self.switch = Native.Interface.TenGigabitEthernet.Switch()
                self.switch.parent = self
                self._children_name_map["switch"] = "switch"
                self._children_yang_names.add("switch")

                self.srr_queue = Native.Interface.TenGigabitEthernet.SrrQueue()
                self.srr_queue.parent = self
                self._children_name_map["srr_queue"] = "srr-queue"
                self._children_yang_names.add("srr-queue")

                self.macsec = None
                self._children_name_map["macsec"] = "macsec"
                self._children_yang_names.add("macsec")

                self.device_tracking = Native.Interface.TenGigabitEthernet.DeviceTracking()
                self.device_tracking.parent = self
                self._children_name_map["device_tracking"] = "device-tracking"
                self._children_yang_names.add("device-tracking")

                self.udld = Native.Interface.TenGigabitEthernet.Udld()
                self.udld.parent = self
                self._children_name_map["udld"] = "udld"
                self._children_yang_names.add("udld")

                self.zone_member = Native.Interface.TenGigabitEthernet.ZoneMember()
                self.zone_member.parent = self
                self._children_name_map["zone_member"] = "zone-member"
                self._children_yang_names.add("zone-member")

                self.hold_queue = YList(self)
                self.vlan_range = YList(self)
                self._segment_path = lambda: "TenGigabitEthernet" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.TenGigabitEthernet, ['name', 'media_type', 'port_type', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion', 'channel_protocol', 'duplex', 'nat66'], name, value)

            class ChannelProtocol(Enum):
                """
                ChannelProtocol

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = Enum.YLeaf(0, "lacp")

                pagp = Enum.YLeaf(1, "pagp")


            class Duplex(Enum):
                """
                Duplex

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = Enum.YLeaf(0, "auto")

                full = Enum.YLeaf(1, "full")

                half = Enum.YLeaf(2, "half")


            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class MediaType(Enum):
                """
                MediaType

                Media type

                .. data:: auto_select = 0

                .. data:: rj45 = 1

                .. data:: sfp = 2

                """

                auto_select = Enum.YLeaf(0, "auto-select")

                rj45 = Enum.YLeaf(1, "rj45")

                sfp = Enum.YLeaf(2, "sfp")


            class Nat66(Enum):
                """
                Nat66

                NAT66 interface commands

                .. data:: inside = 0

                .. data:: outside = 1

                """

                inside = Enum.YLeaf(0, "inside")

                outside = Enum.YLeaf(1, "outside")


            class PortType(Enum):
                """
                PortType

                .. data:: nni = 0

                """

                nni = Enum.YLeaf(0, "nni")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class Lacp(Entity):
                """
                LACP interface subcommands
                
                .. attribute:: rate
                
                	Rate at which the LACP packets are requested to be ingressed to this interface
                	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Lacp.Rate>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Lacp, self).__init__()

                    self.yang_name = "lacp"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"rate" : ("rate", Native.Interface.TenGigabitEthernet.Lacp.Rate)}
                    self._child_list_classes = {}

                    self.rate = Native.Interface.TenGigabitEthernet.Lacp.Rate()
                    self.rate.parent = self
                    self._children_name_map["rate"] = "rate"
                    self._children_yang_names.add("rate")
                    self._segment_path = lambda: "lacp"


                class Rate(Entity):
                    """
                    Rate at which the LACP packets are requested to be ingressed to this interface
                    
                    .. attribute:: fast
                    
                    	Request LACP packets to be ingressed at the 1 second rate for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Lacp.Rate, self).__init__()

                        self.yang_name = "rate"
                        self.yang_parent_name = "lacp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.fast = YLeaf(YType.empty, "fast")
                        self._segment_path = lambda: "rate"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Lacp.Rate, ['fast'], name, value)


            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: trunk
                
                	Set trunking characteristics of the interface
                	**type**\:  :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Trunk>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Voice>`
                
                .. attribute:: priority
                
                	Set appliance 802.1p priority
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Priority>`
                
                .. attribute:: autostate
                
                	Include or exclude this port from vlan link up calculation
                	**type**\:  :py:class:`Autostate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Autostate>`
                
                .. attribute:: protected
                
                	Configure an interface to be a protected port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host
                
                	Set port host
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: private_vlan
                
                	Set the private VLAN configuration
                	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan>`
                
                .. attribute:: device_tracking
                
                	Configure device\-tracking on the interface
                	**type**\:  :py:class:`DeviceTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.DeviceTracking>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-switch:access" : ("access", Native.Interface.TenGigabitEthernet.Switchport.Access), "Cisco-IOS-XE-switch:block" : ("block", Native.Interface.TenGigabitEthernet.Switchport.Block), "Cisco-IOS-XE-switch:mode" : ("mode", Native.Interface.TenGigabitEthernet.Switchport.Mode), "Cisco-IOS-XE-switch:port-security" : ("port_security", Native.Interface.TenGigabitEthernet.Switchport.PortSecurity), "Cisco-IOS-XE-switch:trunk" : ("trunk", Native.Interface.TenGigabitEthernet.Switchport.Trunk), "Cisco-IOS-XE-switch:voice" : ("voice", Native.Interface.TenGigabitEthernet.Switchport.Voice), "Cisco-IOS-XE-switch:priority" : ("priority", Native.Interface.TenGigabitEthernet.Switchport.Priority), "Cisco-IOS-XE-switch:autostate" : ("autostate", Native.Interface.TenGigabitEthernet.Switchport.Autostate), "Cisco-IOS-XE-switch:private-vlan" : ("private_vlan", Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan), "Cisco-IOS-XE-switch:device-tracking" : ("device_tracking", Native.Interface.TenGigabitEthernet.Switchport.DeviceTracking)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "Cisco-IOS-XE-switch:nonegotiate")

                    self.protected = YLeaf(YType.empty, "Cisco-IOS-XE-switch:protected")

                    self.host = YLeaf(YType.empty, "Cisco-IOS-XE-switch:host")

                    self.access = Native.Interface.TenGigabitEthernet.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.block = Native.Interface.TenGigabitEthernet.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.mode = Native.Interface.TenGigabitEthernet.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.trunk = Native.Interface.TenGigabitEthernet.Switchport.Trunk()
                    self.trunk.parent = self
                    self._children_name_map["trunk"] = "trunk"
                    self._children_yang_names.add("trunk")

                    self.voice = Native.Interface.TenGigabitEthernet.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")

                    self.priority = Native.Interface.TenGigabitEthernet.Switchport.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.autostate = Native.Interface.TenGigabitEthernet.Switchport.Autostate()
                    self.autostate.parent = self
                    self._children_name_map["autostate"] = "autostate"
                    self._children_yang_names.add("autostate")

                    self.private_vlan = Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan()
                    self.private_vlan.parent = self
                    self._children_name_map["private_vlan"] = "private-vlan"
                    self._children_yang_names.add("private-vlan")

                    self.device_tracking = Native.Interface.TenGigabitEthernet.Switchport.DeviceTracking()
                    self.device_tracking.parent = self
                    self._children_name_map["device_tracking"] = "device-tracking"
                    self._children_yang_names.add("device-tracking")
                    self._segment_path = lambda: "switchport"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport, ['nonegotiate', 'protected', 'host'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	Set VLAN when interface is in access mode
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Access.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.TenGigabitEthernet.Switchport.Access.Vlan)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.TenGigabitEthernet.Switchport.Access.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:access"


                    class Vlan(Entity):
                        """
                        Set VLAN when interface is in access mode
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.Vlan>`
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.Access.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "access"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.Access.Vlan, ['vlan', 'name'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            .. data:: dynamic = 0

                            """

                            dynamic = Enum.YLeaf(0, "dynamic")



                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: multicast
                    
                    	Block unknown multicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.multicast = YLeaf(YType.empty, "multicast")

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:block"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.Block, ['multicast', 'unicast'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Mode.Access>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dot1q_tunnel
                    
                    	set trunking mode to TUNNEL unconditionally
                    	**type**\:  :py:class:`Dot1QTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Mode.Dot1QTunnel>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dynamic
                    
                    	Set trunking mode to dynamically negotiate access or trunk mode
                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Mode.Dynamic>`
                    
                    .. attribute:: private_vlan
                    
                    	Set private\-vlan mode
                    	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Mode.PrivateVlan>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Mode.Trunk>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"access" : ("access", Native.Interface.TenGigabitEthernet.Switchport.Mode.Access), "dot1q-tunnel" : ("dot1q_tunnel", Native.Interface.TenGigabitEthernet.Switchport.Mode.Dot1QTunnel), "private-vlan" : ("private_vlan", Native.Interface.TenGigabitEthernet.Switchport.Mode.PrivateVlan), "trunk" : ("trunk", Native.Interface.TenGigabitEthernet.Switchport.Mode.Trunk)}
                        self._child_list_classes = {}

                        self.dynamic = YLeaf(YType.enumeration, "dynamic")

                        self.access = None
                        self._children_name_map["access"] = "access"
                        self._children_yang_names.add("access")

                        self.dot1q_tunnel = None
                        self._children_name_map["dot1q_tunnel"] = "dot1q-tunnel"
                        self._children_yang_names.add("dot1q-tunnel")

                        self.private_vlan = Native.Interface.TenGigabitEthernet.Switchport.Mode.PrivateVlan()
                        self.private_vlan.parent = self
                        self._children_name_map["private_vlan"] = "private-vlan"
                        self._children_yang_names.add("private-vlan")

                        self.trunk = None
                        self._children_name_map["trunk"] = "trunk"
                        self._children_yang_names.add("trunk")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:mode"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.Mode, ['dynamic'], name, value)

                    class Dynamic(Enum):
                        """
                        Dynamic

                        Set trunking mode to dynamically negotiate access or trunk mode

                        .. data:: auto = 0

                        .. data:: desirable = 1

                        """

                        auto = Enum.YLeaf(0, "auto")

                        desirable = Enum.YLeaf(1, "desirable")



                    class Access(Entity):
                        """
                        Set trunking mode to ACCESS unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.Mode.Access, self).__init__()

                            self.yang_name = "access"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "access"


                    class Dot1QTunnel(Entity):
                        """
                        set trunking mode to TUNNEL unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.Mode.Dot1QTunnel, self).__init__()

                            self.yang_name = "dot1q-tunnel"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "dot1q-tunnel"


                    class PrivateVlan(Entity):
                        """
                        Set private\-vlan mode
                        
                        .. attribute:: host
                        
                        	Set the mode to private\-vlan host
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: promiscuous
                        
                        	Set the mode to private\-vlan promiscuous
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.Mode.PrivateVlan, self).__init__()

                            self.yang_name = "private-vlan"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.host = YLeaf(YType.empty, "host")

                            self.promiscuous = YLeaf(YType.empty, "promiscuous")
                            self._segment_path = lambda: "private-vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.Mode.PrivateVlan, ['host', 'promiscuous'], name, value)


                    class Trunk(Entity):
                        """
                        Set trunking mode to TRUNK unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.Mode.Trunk, self).__init__()

                            self.yang_name = "trunk"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "trunk"


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: mac_address
                    
                    	Secure mac address
                    	**type**\:  :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.MacAddress>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"aging" : ("aging", Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.Aging), "mac-address" : ("mac_address", Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.MacAddress), "maximum" : ("maximum", Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.Maximum)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.violation = YLeaf(YType.enumeration, "violation")

                        self.aging = Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.mac_address = Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.MacAddress()
                        self.mac_address.parent = self
                        self._children_name_map["mac_address"] = "mac-address"
                        self._children_yang_names.add("mac-address")

                        self.maximum = Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:port-security"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.PortSecurity, ['violation'], name, value)

                    class Violation(Enum):
                        """
                        Violation

                        Security violation mode

                        .. data:: protect = 0

                        .. data:: restrict = 1

                        .. data:: shutdown = 2

                        """

                        protect = Enum.YLeaf(0, "protect")

                        restrict = Enum.YLeaf(1, "restrict")

                        shutdown = Enum.YLeaf(2, "shutdown")



                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.Aging.Type>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = YLeaf(YType.enumeration, "type")
                            self._segment_path = lambda: "aging"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.Aging, ['static', 'time', 'type'], name, value)

                        class Type(Enum):
                            """
                            Type

                            Port\-security aging type

                            .. data:: absolute = 0

                            .. data:: inactivity = 1

                            """

                            absolute = Enum.YLeaf(0, "absolute")

                            inactivity = Enum.YLeaf(1, "inactivity")



                    class MacAddress(Entity):
                        """
                        Secure mac address
                        
                        .. attribute:: sticky
                        
                        	Configure dynamic secure addresses as sticky
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hw_address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        .. attribute:: vlan
                        
                        	set VLAN ID of the VLAN on which this address can be learned
                        	**type**\: int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.MacAddress, self).__init__()

                            self.yang_name = "mac-address"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sticky = YLeaf(YType.empty, "sticky")

                            self.hw_address = YLeaf(YType.str, "hw-address")

                            self.vlan = YLeaf(YType.uint16, "vlan")
                            self._segment_path = lambda: "mac-address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.MacAddress, ['sticky', 'hw_address', 'vlan'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: max_addresses
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4097
                        
                        .. attribute:: vlan
                        
                        	Max secure addresses per vlan
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_addresses = YLeaf(YType.uint16, "max-addresses")

                            self.vlan = YLeaf(YType.str, "vlan")
                            self._segment_path = lambda: "maximum"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.PortSecurity.Maximum, ['max_addresses', 'vlan'], name, value)


                class Trunk(Entity):
                    """
                    Set trunking characteristics of the interface
                    
                    .. attribute:: allowed
                    
                    	Set allowed VLAN characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Allowed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Trunk.Allowed>`
                    
                    .. attribute:: encapsulation
                    
                    	Set encapsulation format on trunk port
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Trunk.Encapsulation>`
                    
                    .. attribute:: native
                    
                    	Set trunking native characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Native <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Trunk.Native>`
                    
                    .. attribute:: pruning
                    
                    	Set pruning VLAN characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Pruning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Trunk.Pruning>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Switchport.Trunk, self).__init__()

                        self.yang_name = "trunk"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"allowed" : ("allowed", Native.Interface.TenGigabitEthernet.Switchport.Trunk.Allowed), "native" : ("native", Native.Interface.TenGigabitEthernet.Switchport.Trunk.Native), "pruning" : ("pruning", Native.Interface.TenGigabitEthernet.Switchport.Trunk.Pruning)}
                        self._child_list_classes = {}

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.allowed = Native.Interface.TenGigabitEthernet.Switchport.Trunk.Allowed()
                        self.allowed.parent = self
                        self._children_name_map["allowed"] = "allowed"
                        self._children_yang_names.add("allowed")

                        self.native = Native.Interface.TenGigabitEthernet.Switchport.Trunk.Native()
                        self.native.parent = self
                        self._children_name_map["native"] = "native"
                        self._children_yang_names.add("native")

                        self.pruning = Native.Interface.TenGigabitEthernet.Switchport.Trunk.Pruning()
                        self.pruning.parent = self
                        self._children_name_map["pruning"] = "pruning"
                        self._children_yang_names.add("pruning")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:trunk"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.Trunk, ['encapsulation'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Set encapsulation format on trunk port

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: negotiate = 2

                        """

                        dot1q = Enum.YLeaf(0, "dot1q")

                        isl = Enum.YLeaf(1, "isl")

                        negotiate = Enum.YLeaf(2, "negotiate")



                    class Allowed(Entity):
                        """
                        Set allowed VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set allowed VLANs when interface is in trunking mode
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Trunk.Allowed.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.Trunk.Allowed, self).__init__()

                            self.yang_name = "allowed"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.TenGigabitEthernet.Switchport.Trunk.Allowed.Vlan)}
                            self._child_list_classes = {}

                            self.vlan = Native.Interface.TenGigabitEthernet.Switchport.Trunk.Allowed.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "allowed"


                        class Vlan(Entity):
                            """
                            Set allowed VLANs when interface is in trunking mode
                            
                            .. attribute:: vlans
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            .. attribute:: all
                            
                            	all VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Switchport.Trunk.Allowed.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "allowed"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vlans = YLeaf(YType.str, "vlans")

                                self.add = YLeaf(YType.str, "add")

                                self.all = YLeaf(YType.empty, "all")

                                self.except_ = YLeafList(YType.str, "except")

                                self.none = YLeaf(YType.empty, "none")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.Trunk.Allowed.Vlan, ['vlans', 'add', 'all', 'except_', 'none', 'remove'], name, value)


                    class Native(Entity):
                        """
                        Set trunking native characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set native VLAN when interface is in trunking mode
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native.Vlan>`
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.Trunk.Native, self).__init__()

                            self.yang_name = "native"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")
                            self._segment_path = lambda: "native"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.Trunk.Native, ['vlan'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            Set native VLAN when interface is in trunking mode

                            .. data:: tag = 0

                            """

                            tag = Enum.YLeaf(0, "tag")



                    class Pruning(Entity):
                        """
                        Set pruning VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set VLANs enabled for pruning when interface is in trunking mode
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Trunk.Pruning.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.Trunk.Pruning, self).__init__()

                            self.yang_name = "pruning"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.TenGigabitEthernet.Switchport.Trunk.Pruning.Vlan)}
                            self._child_list_classes = {}

                            self.vlan = Native.Interface.TenGigabitEthernet.Switchport.Trunk.Pruning.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "pruning"


                        class Vlan(Entity):
                            """
                            Set VLANs enabled for pruning when interface is in trunking mode
                            
                            .. attribute:: vlans
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Switchport.Trunk.Pruning.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "pruning"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vlans = YLeafList(YType.str, "vlans")

                                self.add = YLeaf(YType.str, "add")

                                self.except_ = YLeafList(YType.str, "except")

                                self.none = YLeaf(YType.empty, "none")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.Trunk.Pruning.Vlan, ['vlans', 'add', 'except_', 'none', 'remove'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Voice.Vlan>`
                    
                    .. attribute:: detect
                    
                    	detection enhancement keyword
                    	**type**\:  :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Voice.Detect>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.TenGigabitEthernet.Switchport.Voice.Vlan), "detect" : ("detect", Native.Interface.TenGigabitEthernet.Switchport.Voice.Detect)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.TenGigabitEthernet.Switchport.Voice.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")

                        self.detect = Native.Interface.TenGigabitEthernet.Switchport.Voice.Detect()
                        self.detect.parent = self
                        self._children_name_map["detect"] = "detect"
                        self._children_yang_names.add("detect")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:voice"


                    class Vlan(Entity):
                        """
                        Vlan for voice traffic
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.Vlan>`
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        		**type**\: str
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.Voice.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "voice"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.Voice.Vlan, ['vlan', 'name'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            .. data:: dot1p = 0

                            .. data:: none = 1

                            .. data:: untagged = 2

                            """

                            dot1p = Enum.YLeaf(0, "dot1p")

                            none = Enum.YLeaf(1, "none")

                            untagged = Enum.YLeaf(2, "untagged")



                    class Detect(Entity):
                        """
                        detection enhancement keyword
                        
                        .. attribute:: cisco_phone
                        
                        	Cisco IP phone
                        	**type**\:  :py:class:`CiscoPhone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Voice.Detect.CiscoPhone>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.Voice.Detect, self).__init__()

                            self.yang_name = "detect"
                            self.yang_parent_name = "voice"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cisco-phone" : ("cisco_phone", Native.Interface.TenGigabitEthernet.Switchport.Voice.Detect.CiscoPhone)}
                            self._child_list_classes = {}

                            self.cisco_phone = None
                            self._children_name_map["cisco_phone"] = "cisco-phone"
                            self._children_yang_names.add("cisco-phone")
                            self._segment_path = lambda: "detect"


                        class CiscoPhone(Entity):
                            """
                            Cisco IP phone
                            
                            .. attribute:: full_duplex
                            
                            	full duplex keyword
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Switchport.Voice.Detect.CiscoPhone, self).__init__()

                                self.yang_name = "cisco-phone"
                                self.yang_parent_name = "detect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.full_duplex = YLeaf(YType.empty, "full-duplex")
                                self._segment_path = lambda: "cisco-phone"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.Voice.Detect.CiscoPhone, ['full_duplex'], name, value)


                class Priority(Entity):
                    """
                    Set appliance 802.1p priority
                    
                    .. attribute:: extend
                    
                    	Set appliance 802.1p priority
                    	**type**\:  :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.Priority.Extend>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Switchport.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"extend" : ("extend", Native.Interface.TenGigabitEthernet.Switchport.Priority.Extend)}
                        self._child_list_classes = {}

                        self.extend = Native.Interface.TenGigabitEthernet.Switchport.Priority.Extend()
                        self.extend.parent = self
                        self._children_name_map["extend"] = "extend"
                        self._children_yang_names.add("extend")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:priority"


                    class Extend(Entity):
                        """
                        Set appliance 802.1p priority
                        
                        .. attribute:: trust
                        
                        	Trust 802.1p priorities of devices on appliance
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cos
                        
                        	Override 802.1p priority of devices on appliance
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.Priority.Extend, self).__init__()

                            self.yang_name = "extend"
                            self.yang_parent_name = "priority"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.cos = YLeaf(YType.uint8, "cos")
                            self._segment_path = lambda: "extend"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.Priority.Extend, ['trust', 'cos'], name, value)


                class Autostate(Entity):
                    """
                    Include or exclude this port from vlan link up calculation
                    
                    .. attribute:: exclude
                    
                    	Exclude this port from vlan link up calculation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Switchport.Autostate, self).__init__()

                        self.yang_name = "autostate"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.exclude = YLeaf(YType.empty, "exclude")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:autostate"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.Autostate, ['exclude'], name, value)


                class PrivateVlan(Entity):
                    """
                    Set the private VLAN configuration
                    
                    .. attribute:: association
                    
                    	Set the private VLAN association
                    	**type**\:  :py:class:`Association <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association>`
                    
                    .. attribute:: host_association
                    
                    	Set the private VLAN host association
                    	**type**\:  :py:class:`HostAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.HostAssociation>`
                    
                    .. attribute:: mapping
                    
                    	Set the private VLAN promiscuous mapping
                    	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Mapping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan, self).__init__()

                        self.yang_name = "private-vlan"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"association" : ("association", Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association), "host-association" : ("host_association", Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.HostAssociation), "mapping" : ("mapping", Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Mapping)}
                        self._child_list_classes = {}

                        self.association = Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association()
                        self.association.parent = self
                        self._children_name_map["association"] = "association"
                        self._children_yang_names.add("association")

                        self.host_association = Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.HostAssociation()
                        self.host_association.parent = self
                        self._children_name_map["host_association"] = "host-association"
                        self._children_yang_names.add("host-association")

                        self.mapping = Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Mapping()
                        self.mapping.parent = self
                        self._children_name_map["mapping"] = "mapping"
                        self._children_yang_names.add("mapping")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:private-vlan"


                    class Association(Entity):
                        """
                        Set the private VLAN association
                        
                        .. attribute:: host
                        
                        	Set the private VLAN host association
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association.Host>`
                        
                        .. attribute:: mapping
                        
                        	Set the private VLAN promiscuous mapping
                        	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association.Mapping>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association, self).__init__()

                            self.yang_name = "association"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"host" : ("host", Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association.Host), "mapping" : ("mapping", Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association.Mapping)}
                            self._child_list_classes = {}

                            self.host = Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.mapping = Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association.Mapping()
                            self.mapping.parent = self
                            self._children_name_map["mapping"] = "mapping"
                            self._children_yang_names.add("mapping")
                            self._segment_path = lambda: "association"


                        class Host(Entity):
                            """
                            Set the private VLAN host association
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN port association
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary normal range VLAN ID of the private VLAN host port association
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary_range = YLeaf(YType.uint16, "primary-range")

                                self.secondary_range = YLeaf(YType.uint16, "secondary-range")
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association.Host, ['primary_range', 'secondary_range'], name, value)


                        class Mapping(Entity):
                            """
                            Set the private VLAN promiscuous mapping
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            .. attribute:: add
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            .. attribute:: remove
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association.Mapping, self).__init__()

                                self.yang_name = "mapping"
                                self.yang_parent_name = "association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary_range = YLeaf(YType.uint16, "primary-range")

                                self.secondary_range = YLeaf(YType.str, "secondary-range")

                                self.add = YLeaf(YType.str, "add")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "mapping"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Association.Mapping, ['primary_range', 'secondary_range', 'add', 'remove'], name, value)


                    class HostAssociation(Entity):
                        """
                        Set the private VLAN host association
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN port association
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary normal range VLAN ID of the private VLAN host port association
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.HostAssociation, self).__init__()

                            self.yang_name = "host-association"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary_range = YLeaf(YType.uint16, "primary-range")

                            self.secondary_range = YLeaf(YType.uint16, "secondary-range")
                            self._segment_path = lambda: "host-association"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.HostAssociation, ['primary_range', 'secondary_range'], name, value)


                    class Mapping(Entity):
                        """
                        Set the private VLAN promiscuous mapping
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        .. attribute:: add
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        .. attribute:: remove
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Mapping, self).__init__()

                            self.yang_name = "mapping"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary_range = YLeaf(YType.uint16, "primary-range")

                            self.secondary_range = YLeaf(YType.str, "secondary-range")

                            self.add = YLeaf(YType.str, "add")

                            self.remove = YLeaf(YType.str, "remove")
                            self._segment_path = lambda: "mapping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.PrivateVlan.Mapping, ['primary_range', 'secondary_range', 'add', 'remove'], name, value)


                class DeviceTracking(Entity):
                    """
                    Configure device\-tracking on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature device\-tracking
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Switchport.DeviceTracking, self).__init__()

                        self.yang_name = "device-tracking"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:device-tracking"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Switchport.DeviceTracking, ['attach_policy'], name, value)


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.TenGigabitEthernet.Backup.Delay), "interface" : ("interface", Native.Interface.TenGigabitEthernet.Backup.Interface), "load" : ("load", Native.Interface.TenGigabitEthernet.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.TenGigabitEthernet.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.TenGigabitEthernet.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.TenGigabitEthernet.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.TenGigabitEthernet.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.TenGigabitEthernet.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.TenGigabitEthernet.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.TenGigabitEthernet.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.TenGigabitEthernet.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.TenGigabitEthernet.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.TenGigabitEthernet.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.TenGigabitEthernet.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.TenGigabitEthernet.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.TenGigabitEthernet.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.TenGigabitEthernet.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.TenGigabitEthernet.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.TenGigabitEthernet.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.TenGigabitEthernet.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.TenGigabitEthernet.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.TenGigabitEthernet.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.TenGigabitEthernet.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.TenGigabitEthernet.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.TenGigabitEthernet.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.TenGigabitEthernet.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.TenGigabitEthernet.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.TenGigabitEthernet.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.TenGigabitEthernet.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:  :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:  :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:  :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:  :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4294967295
                
                		**type**\:  :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroup>`
                
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Network>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Protocol>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:  :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-isis:adjacency-filter" : ("adjacency_filter", Native.Interface.TenGigabitEthernet.Isis.AdjacencyFilter), "Cisco-IOS-XE-isis:advertise" : ("advertise", Native.Interface.TenGigabitEthernet.Isis.Advertise), "Cisco-IOS-XE-isis:authentication" : ("authentication", Native.Interface.TenGigabitEthernet.Isis.Authentication), "Cisco-IOS-XE-isis:circuit-type" : ("circuit_type", Native.Interface.TenGigabitEthernet.Isis.CircuitType), "Cisco-IOS-XE-isis:csnp-interval" : ("csnp_interval", Native.Interface.TenGigabitEthernet.Isis.CsnpInterval), "Cisco-IOS-XE-isis:hello" : ("hello", Native.Interface.TenGigabitEthernet.Isis.Hello), "Cisco-IOS-XE-isis:hello-interval" : ("hello_interval", Native.Interface.TenGigabitEthernet.Isis.HelloInterval), "Cisco-IOS-XE-isis:hello-multiplier" : ("hello_multiplier", Native.Interface.TenGigabitEthernet.Isis.HelloMultiplier), "Cisco-IOS-XE-isis:ipv6" : ("ipv6", Native.Interface.TenGigabitEthernet.Isis.Ipv6), "Cisco-IOS-XE-isis:metric" : ("metric", Native.Interface.TenGigabitEthernet.Isis.Metric), "Cisco-IOS-XE-isis:password" : ("password", Native.Interface.TenGigabitEthernet.Isis.Password), "Cisco-IOS-XE-isis:priority" : ("priority", Native.Interface.TenGigabitEthernet.Isis.Priority), "Cisco-IOS-XE-isis:three-way-handshake" : ("three_way_handshake", Native.Interface.TenGigabitEthernet.Isis.ThreeWayHandshake)}
                    self._child_list_classes = {}

                    self.lsp_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:lsp-interval")

                    self.mesh_group = YLeaf(YType.str, "Cisco-IOS-XE-isis:mesh-group")

                    self.network = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:network")

                    self.protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:protocol")

                    self.retransmit_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-interval")

                    self.retransmit_throttle_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-throttle-interval")

                    self.tag = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:tag")

                    self.adjacency_filter = Native.Interface.TenGigabitEthernet.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self._children_name_map["adjacency_filter"] = "adjacency-filter"
                    self._children_yang_names.add("adjacency-filter")

                    self.advertise = Native.Interface.TenGigabitEthernet.Isis.Advertise()
                    self.advertise.parent = self
                    self._children_name_map["advertise"] = "advertise"
                    self._children_yang_names.add("advertise")

                    self.authentication = Native.Interface.TenGigabitEthernet.Isis.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.circuit_type = None
                    self._children_name_map["circuit_type"] = "circuit-type"
                    self._children_yang_names.add("circuit-type")

                    self.csnp_interval = Native.Interface.TenGigabitEthernet.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self._children_name_map["csnp_interval"] = "csnp-interval"
                    self._children_yang_names.add("csnp-interval")

                    self.hello = Native.Interface.TenGigabitEthernet.Isis.Hello()
                    self.hello.parent = self
                    self._children_name_map["hello"] = "hello"
                    self._children_yang_names.add("hello")

                    self.hello_interval = Native.Interface.TenGigabitEthernet.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.hello_multiplier = Native.Interface.TenGigabitEthernet.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self._children_name_map["hello_multiplier"] = "hello-multiplier"
                    self._children_yang_names.add("hello-multiplier")

                    self.ipv6 = Native.Interface.TenGigabitEthernet.Isis.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.metric = Native.Interface.TenGigabitEthernet.Isis.Metric()
                    self.metric.parent = self
                    self._children_name_map["metric"] = "metric"
                    self._children_yang_names.add("metric")

                    self.password = Native.Interface.TenGigabitEthernet.Isis.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")

                    self.priority = Native.Interface.TenGigabitEthernet.Isis.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.three_way_handshake = None
                    self._children_name_map["three_way_handshake"] = "three-way-handshake"
                    self._children_yang_names.add("three-way-handshake")
                    self._segment_path = lambda: "isis"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis, ['lsp_interval', 'mesh_group', 'network', 'protocol', 'retransmit_interval', 'retransmit_throttle_interval', 'tag'], name, value)

                class MeshGroup(Enum):
                    """
                    MeshGroup

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = Enum.YLeaf(0, "blocked")


                class Network(Enum):
                    """
                    Network

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = Enum.YLeaf(0, "point-to-point")


                class Protocol(Enum):
                    """
                    Protocol

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = Enum.YLeaf(0, "shutdown")



                class AdjacencyFilter(Entity):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Isis.AdjacencyFilter, self).__init__()

                        self.yang_name = "adjacency-filter"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.match_all = YLeaf(YType.empty, "match-all")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:adjacency-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.AdjacencyFilter, ['name', 'match_all'], name, value)


                class Advertise(Entity):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Isis.Advertise, self).__init__()

                        self.yang_name = "advertise"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.prefix = YLeaf(YType.empty, "prefix")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:advertise"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Advertise, ['prefix'], name, value)


                class Authentication(Entity):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Authentication.Mode>`
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:  :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Isis.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mode" : ("mode", Native.Interface.TenGigabitEthernet.Isis.Authentication.Mode), "key-chain" : ("key_chain", Native.Interface.TenGigabitEthernet.Isis.Authentication.KeyChain), "send-only" : ("send_only", Native.Interface.TenGigabitEthernet.Isis.Authentication.SendOnly)}
                        self._child_list_classes = {}

                        self.mode = Native.Interface.TenGigabitEthernet.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")

                        self.key_chain = Native.Interface.TenGigabitEthernet.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.send_only = None
                        self._children_name_map["send_only"] = "send-only"
                        self._children_yang_names.add("send-only")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:authentication"


                    class Mode(Entity):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:  :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Isis.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.TenGigabitEthernet.Isis.Authentication.Mode.Md5), "text" : ("text", Native.Interface.TenGigabitEthernet.Isis.Authentication.Mode.Text)}
                            self._child_list_classes = {}

                            self.md5 = None
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.text = None
                            self._children_name_map["text"] = "text"
                            self._children_yang_names.add("text")
                            self._segment_path = lambda: "mode"


                        class Md5(Entity):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Isis.Authentication.Mode.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Authentication.Mode.Md5, ['levels'], name, value)


                        class Text(Entity):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Isis.Authentication.Mode.Text, self).__init__()

                                self.yang_name = "text"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "text"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Authentication.Mode.Text, ['levels'], name, value)


                    class KeyChain(Entity):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of  		 :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Isis.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"key-chain-list" : ("key_chain_list", Native.Interface.TenGigabitEthernet.Isis.Authentication.KeyChain.KeyChainList)}

                            self.name = YLeaf(YType.str, "name")

                            self.key_chain_list = YList(self)
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Authentication.KeyChain, ['name'], name, value)


                        class KeyChainList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Isis.Authentication.KeyChain.KeyChainList, self).__init__()

                                self.yang_name = "key-chain-list"
                                self.yang_parent_name = "key-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Authentication.KeyChain.KeyChainList, ['levels', 'name'], name, value)


                    class SendOnly(Entity):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Isis.Authentication.SendOnly, self).__init__()

                            self.yang_name = "send-only"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")
                            self._segment_path = lambda: "send-only"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Authentication.SendOnly, ['levels'], name, value)


                class CircuitType(Entity):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.CircuitType.Levels>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Isis.CircuitType, self).__init__()

                        self.yang_name = "circuit-type"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.levels = YLeaf(YType.enumeration, "levels")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:circuit-type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.CircuitType, ['levels'], name, value)

                    class Levels(Enum):
                        """
                        Levels

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = Enum.YLeaf(0, "level-1")

                        level_1_2 = Enum.YLeaf(1, "level-1-2")

                        level_2_only = Enum.YLeaf(2, "level-2-only")



                class CsnpInterval(Entity):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Isis.CsnpInterval, self).__init__()

                        self.yang_name = "csnp-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"csnp-interval-list" : ("csnp_interval_list", Native.Interface.TenGigabitEthernet.Isis.CsnpInterval.CsnpIntervalList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.csnp_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:csnp-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.CsnpInterval, ['value'], name, value)


                    class CsnpIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.CsnpInterval.CsnpIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Isis.CsnpInterval.CsnpIntervalList, self).__init__()

                            self.yang_name = "csnp-interval-list"
                            self.yang_parent_name = "csnp-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "csnp-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.CsnpInterval.CsnpIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Hello(Entity):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Isis.Hello, self).__init__()

                        self.yang_name = "hello"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"padding" : ("padding", Native.Interface.TenGigabitEthernet.Isis.Hello.Padding)}
                        self._child_list_classes = {}

                        self.padding = None
                        self._children_name_map["padding"] = "padding"
                        self._children_yang_names.add("padding")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello"


                    class Padding(Entity):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Isis.Hello.Padding, self).__init__()

                            self.yang_name = "padding"
                            self.yang_parent_name = "hello"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.always = YLeaf(YType.empty, "always")
                            self._segment_path = lambda: "padding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Hello.Padding, ['always'], name, value)


                class HelloInterval(Entity):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..65535
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Isis.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-interval-list" : ("hello_interval_list", Native.Interface.TenGigabitEthernet.Isis.HelloInterval.HelloIntervalList)}

                        self.value = YLeaf(YType.str, "value")

                        self.hello_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.HelloInterval, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: minimal = 0

                        """

                        minimal = Enum.YLeaf(0, "minimal")



                    class HelloIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.HelloInterval.HelloIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..65535
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Isis.HelloInterval.HelloIntervalList, self).__init__()

                            self.yang_name = "hello-interval-list"
                            self.yang_parent_name = "hello-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "hello-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.HelloInterval.HelloIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: minimal = 0

                            """

                            minimal = Enum.YLeaf(0, "minimal")



                class HelloMultiplier(Entity):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Isis.HelloMultiplier, self).__init__()

                        self.yang_name = "hello-multiplier"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-multiplier-list" : ("hello_multiplier_list", Native.Interface.TenGigabitEthernet.Isis.HelloMultiplier.HelloMultiplierList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.hello_multiplier_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-multiplier"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.HelloMultiplier, ['value'], name, value)


                    class HelloMultiplierList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.HelloMultiplier.HelloMultiplierList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Isis.HelloMultiplier.HelloMultiplierList, self).__init__()

                            self.yang_name = "hello-multiplier-list"
                            self.yang_parent_name = "hello-multiplier"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "hello-multiplier-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.HelloMultiplier.HelloMultiplierList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Ipv6(Entity):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Isis.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"metric" : ("metric", Native.Interface.TenGigabitEthernet.Isis.Ipv6.Metric)}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.uint32, "tag")

                        self.metric = Native.Interface.TenGigabitEthernet.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Ipv6, ['tag'], name, value)


                    class Metric(Entity):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Isis.Ipv6.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.TenGigabitEthernet.Isis.Ipv6.Metric.MetricList)}

                            self.value = YLeaf(YType.str, "value")

                            self.metric_list = YList(self)
                            self._segment_path = lambda: "metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Ipv6.Metric, ['value'], name, value)

                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                        class MetricList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Ipv6.Metric.MetricList.Levels>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..16777214
                            
                            		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Isis.Ipv6.Metric.MetricList, self).__init__()

                                self.yang_name = "metric-list"
                                self.yang_parent_name = "metric"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.value = YLeaf(YType.str, "value")
                                self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Ipv6.Metric.MetricList, ['levels', 'value'], name, value)

                            class Levels(Enum):
                                """
                                Levels

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")


                            class Value(Enum):
                                """
                                Value

                                .. data:: maximum = 0

                                """

                                maximum = Enum.YLeaf(0, "maximum")



                class Metric(Entity):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..16777214
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Isis.Metric, self).__init__()

                        self.yang_name = "metric"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.TenGigabitEthernet.Isis.Metric.MetricList)}

                        self.value = YLeaf(YType.str, "value")

                        self.metric_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:metric"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Metric, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: maximum = 0

                        """

                        maximum = Enum.YLeaf(0, "maximum")



                    class MetricList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Metric.MetricList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Isis.Metric.MetricList, self).__init__()

                            self.yang_name = "metric-list"
                            self.yang_parent_name = "metric"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Metric.MetricList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                class Password(Entity):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Password.PasswordList>`
                    
                    .. attribute:: password
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Isis.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"password-list" : ("password_list", Native.Interface.TenGigabitEthernet.Isis.Password.PasswordList)}

                        self.password = YLeaf(YType.str, "password")

                        self.password_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Password, ['password'], name, value)


                    class PasswordList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Password.PasswordList.Levels>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Isis.Password.PasswordList, self).__init__()

                            self.yang_name = "password-list"
                            self.yang_parent_name = "password"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.password = YLeaf(YType.str, "password")
                            self._segment_path = lambda: "password-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Password.PasswordList, ['levels', 'password'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Priority(Entity):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Isis.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"priority-list" : ("priority_list", Native.Interface.TenGigabitEthernet.Isis.Priority.PriorityList)}

                        self.value = YLeaf(YType.uint8, "value")

                        self.priority_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Priority, ['value'], name, value)


                    class PriorityList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.Priority.PriorityList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Isis.Priority.PriorityList, self).__init__()

                            self.yang_name = "priority-list"
                            self.yang_parent_name = "priority"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint8, "value")
                            self._segment_path = lambda: "priority-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.Priority.PriorityList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class ThreeWayHandshake(Entity):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:  :py:class:`Implementor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Isis.ThreeWayHandshake.Implementor>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Isis.ThreeWayHandshake, self).__init__()

                        self.yang_name = "three-way-handshake"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.implementor = YLeaf(YType.enumeration, "implementor")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:three-way-handshake"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Isis.ThreeWayHandshake, ['implementor'], name, value)

                    class Implementor(Enum):
                        """
                        Implementor

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = Enum.YLeaf(0, "cisco")

                        ietf = Enum.YLeaf(1, "ietf")



            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.TenGigabitEthernet.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                .. attribute:: template
                
                	BFD template
                	**type**\: str
                
                .. attribute:: interval
                
                	Transmit interval between BFD packets
                	**type**\:  :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Bfd.Interval>`
                
                .. attribute:: echo
                
                	Use echo adjunct as bfd detection mechanism
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-bfd:interval" : ("interval", Native.Interface.TenGigabitEthernet.Bfd.Interval)}
                    self._child_list_classes = {}

                    self.template = YLeaf(YType.str, "Cisco-IOS-XE-bfd:template")

                    self.echo = YLeaf(YType.boolean, "Cisco-IOS-XE-bfd:echo")

                    self.interval = Native.Interface.TenGigabitEthernet.Bfd.Interval()
                    self.interval.parent = self
                    self._children_name_map["interval"] = "interval"
                    self._children_yang_names.add("interval")
                    self._segment_path = lambda: "bfd"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Bfd, ['template', 'echo'], name, value)


                class Interval(Entity):
                    """
                    Transmit interval between BFD packets
                    
                    .. attribute:: msecs
                    
                    	
                    	**type**\: int
                    
                    	**range:** 50..9999
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\: int
                    
                    	**range:** 50..9999
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\: int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Bfd.Interval, self).__init__()

                        self.yang_name = "interval"
                        self.yang_parent_name = "bfd"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.msecs = YLeaf(YType.uint16, "msecs")

                        self.min_rx = YLeaf(YType.uint16, "min_rx")

                        self.multiplier = YLeaf(YType.uint8, "multiplier")
                        self._segment_path = lambda: "Cisco-IOS-XE-bfd:interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Bfd.Interval, ['msecs', 'min_rx', 'multiplier'], name, value)


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.TenGigabitEthernet.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.TenGigabitEthernet.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.TenGigabitEthernet.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.TenGigabitEthernet.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.TenGigabitEthernet.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                .. attribute:: accounting
                
                	Enable MPLS accounting on this interface
                	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls.Accounting>`
                
                .. attribute:: bgp
                
                	MPLS BGP
                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls.Bgp>`
                
                .. attribute:: ip
                
                	Configure dynamic MPLS forwarding for IP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: label
                
                	Label properties
                	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls.Label>`
                
                .. attribute:: ldp
                
                	Configure Label Distribution Protocol (LDP) parameters
                	**type**\:  :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls.Ldp>`
                
                .. attribute:: mtu
                
                	Set MPLS Maximum Transmission Unit
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1501..1524
                
                		**type**\: int
                
                			**range:** 64..1500
                
                		**type**\: int
                
                			**range:** 64..9216
                
                .. attribute:: traffic_eng
                
                	Configure Traffic Engineering parameters
                	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-mpls:accounting" : ("accounting", Native.Interface.TenGigabitEthernet.Mpls.Accounting), "Cisco-IOS-XE-mpls:bgp" : ("bgp", Native.Interface.TenGigabitEthernet.Mpls.Bgp), "Cisco-IOS-XE-mpls:label" : ("label", Native.Interface.TenGigabitEthernet.Mpls.Label), "Cisco-IOS-XE-mpls:ldp" : ("ldp", Native.Interface.TenGigabitEthernet.Mpls.Ldp), "Cisco-IOS-XE-mpls:traffic-eng" : ("traffic_eng", Native.Interface.TenGigabitEthernet.Mpls.TrafficEng)}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.empty, "Cisco-IOS-XE-mpls:ip")

                    self.mtu = YLeaf(YType.str, "Cisco-IOS-XE-mpls:mtu")

                    self.accounting = Native.Interface.TenGigabitEthernet.Mpls.Accounting()
                    self.accounting.parent = self
                    self._children_name_map["accounting"] = "accounting"
                    self._children_yang_names.add("accounting")

                    self.bgp = Native.Interface.TenGigabitEthernet.Mpls.Bgp()
                    self.bgp.parent = self
                    self._children_name_map["bgp"] = "bgp"
                    self._children_yang_names.add("bgp")

                    self.label = Native.Interface.TenGigabitEthernet.Mpls.Label()
                    self.label.parent = self
                    self._children_name_map["label"] = "label"
                    self._children_yang_names.add("label")

                    self.ldp = Native.Interface.TenGigabitEthernet.Mpls.Ldp()
                    self.ldp.parent = self
                    self._children_name_map["ldp"] = "ldp"
                    self._children_yang_names.add("ldp")

                    self.traffic_eng = Native.Interface.TenGigabitEthernet.Mpls.TrafficEng()
                    self.traffic_eng.parent = self
                    self._children_name_map["traffic_eng"] = "traffic-eng"
                    self._children_yang_names.add("traffic-eng")
                    self._segment_path = lambda: "mpls"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Mpls, ['ip', 'mtu'], name, value)


                class Accounting(Entity):
                    """
                    Enable MPLS accounting on this interface
                    
                    .. attribute:: experimental
                    
                    	Count packets by MPLS experimental value on this interface
                    	**type**\:  :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls.Accounting.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Mpls.Accounting, self).__init__()

                        self.yang_name = "accounting"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"experimental" : ("experimental", Native.Interface.TenGigabitEthernet.Mpls.Accounting.Experimental)}
                        self._child_list_classes = {}

                        self.experimental = Native.Interface.TenGigabitEthernet.Mpls.Accounting.Experimental()
                        self.experimental.parent = self
                        self._children_name_map["experimental"] = "experimental"
                        self._children_yang_names.add("experimental")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:accounting"


                    class Experimental(Entity):
                        """
                        Count packets by MPLS experimental value on this interface
                        
                        .. attribute:: input
                        
                        	received packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	transmitted packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Mpls.Accounting.Experimental, self).__init__()

                            self.yang_name = "experimental"
                            self.yang_parent_name = "accounting"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")
                            self._segment_path = lambda: "experimental"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Mpls.Accounting.Experimental, ['input', 'output'], name, value)


                class Bgp(Entity):
                    """
                    MPLS BGP
                    
                    .. attribute:: forwarding
                    
                    	Configure MPLS forwarding for directly connected BGP peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Mpls.Bgp, self).__init__()

                        self.yang_name = "bgp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.forwarding = YLeaf(YType.empty, "forwarding")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:bgp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Mpls.Bgp, ['forwarding'], name, value)


                class Label(Entity):
                    """
                    Label properties
                    
                    .. attribute:: protocol
                    
                    	Configure label/tag distribution protocol (LDP/TDP)
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls.Label.Protocol>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Mpls.Label, self).__init__()

                        self.yang_name = "label"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.protocol = YLeaf(YType.enumeration, "protocol")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:label"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Mpls.Label, ['protocol'], name, value)

                    class Protocol(Enum):
                        """
                        Protocol

                        Configure label/tag distribution protocol (LDP/TDP)

                        .. data:: both = 0

                        .. data:: ldp = 1

                        .. data:: tdp = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        ldp = Enum.YLeaf(1, "ldp")

                        tdp = Enum.YLeaf(2, "tdp")



                class Ldp(Entity):
                    """
                    Configure Label Distribution Protocol (LDP) parameters
                    
                    .. attribute:: discovery
                    
                    	Configure interface LDP Discovery parameters
                    	**type**\:  :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls.Ldp.Discovery>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Mpls.Ldp, self).__init__()

                        self.yang_name = "ldp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"discovery" : ("discovery", Native.Interface.TenGigabitEthernet.Mpls.Ldp.Discovery)}
                        self._child_list_classes = {}

                        self.discovery = Native.Interface.TenGigabitEthernet.Mpls.Ldp.Discovery()
                        self.discovery.parent = self
                        self._children_name_map["discovery"] = "discovery"
                        self._children_yang_names.add("discovery")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:ldp"


                    class Discovery(Entity):
                        """
                        Configure interface LDP Discovery parameters
                        
                        .. attribute:: transport_address
                        
                        	Specify interface LDP transport address
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`LdpDiscoveryAddressType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.LdpDiscoveryAddressType>`
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Mpls.Ldp.Discovery, self).__init__()

                            self.yang_name = "discovery"
                            self.yang_parent_name = "ldp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.transport_address = YLeaf(YType.str, "transport-address")
                            self._segment_path = lambda: "discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Mpls.Ldp.Discovery, ['transport_address'], name, value)


                class TrafficEng(Entity):
                    """
                    Configure Traffic Engineering parameters
                    
                    .. attribute:: administrative_weight
                    
                    	Set the administrative weight for the interface\: <0..4294967295>
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_flags
                    
                    	Set user\-defined interface attibute flags\:  <0x0\-0xFFFFFFFF>
                    	**type**\: str
                    
                    	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                    
                    .. attribute:: backup_path
                    
                    	Configure an MPLS TE backup for this interface
                    	**type**\:  :py:class:`BackupPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.BackupPath>`
                    
                    .. attribute:: flooding
                    
                    	Set flooding parameters
                    	**type**\:  :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.Flooding>`
                    
                    .. attribute:: passive_interface
                    
                    	Force a flood of non\-IGP link
                    	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.PassiveInterface>`
                    
                    .. attribute:: tunnels
                    
                    	enable MPLS Traffic Engineering tunnels
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Mpls.TrafficEng, self).__init__()

                        self.yang_name = "traffic-eng"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup-path" : ("backup_path", Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.BackupPath), "flooding" : ("flooding", Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.Flooding), "passive-interface" : ("passive_interface", Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.PassiveInterface)}
                        self._child_list_classes = {}

                        self.administrative_weight = YLeaf(YType.uint32, "administrative-weight")

                        self.attribute_flags = YLeaf(YType.str, "attribute-flags")

                        self.tunnels = YLeaf(YType.empty, "tunnels")

                        self.backup_path = Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.BackupPath()
                        self.backup_path.parent = self
                        self._children_name_map["backup_path"] = "backup-path"
                        self._children_yang_names.add("backup-path")

                        self.flooding = Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.Flooding()
                        self.flooding.parent = self
                        self._children_name_map["flooding"] = "flooding"
                        self._children_yang_names.add("flooding")

                        self.passive_interface = Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.PassiveInterface()
                        self.passive_interface.parent = self
                        self._children_name_map["passive_interface"] = "passive-interface"
                        self._children_yang_names.add("passive-interface")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:traffic-eng"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Mpls.TrafficEng, ['administrative_weight', 'attribute_flags', 'tunnels'], name, value)


                    class BackupPath(Entity):
                        """
                        Configure an MPLS TE backup for this interface
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface number\: <0..2147483647>
                        	**type**\: int
                        
                        	**range:** 0..2147483647
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.BackupPath, self).__init__()

                            self.yang_name = "backup-path"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")
                            self._segment_path = lambda: "backup-path"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.BackupPath, ['tunnel'], name, value)


                    class Flooding(Entity):
                        """
                        Set flooding parameters
                        
                        .. attribute:: thresholds
                        
                        	Set flooding thresholds
                        	**type**\:  :py:class:`Thresholds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.Flooding.Thresholds>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.Flooding, self).__init__()

                            self.yang_name = "flooding"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"thresholds" : ("thresholds", Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.Flooding.Thresholds)}
                            self._child_list_classes = {}

                            self.thresholds = Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.Flooding.Thresholds()
                            self.thresholds.parent = self
                            self._children_name_map["thresholds"] = "thresholds"
                            self._children_yang_names.add("thresholds")
                            self._segment_path = lambda: "flooding"


                        class Thresholds(Entity):
                            """
                            Set flooding thresholds
                            
                            .. attribute:: down
                            
                            	Set the thresholds for decreased resource availability in percentage\: <0..100>
                            	**type**\: list of int
                            
                            	**range:** 0..100
                            
                            .. attribute:: up
                            
                            	Set the thresholds for increased resource availability in percentage\: <0..100>
                            	**type**\: list of int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.Flooding.Thresholds, self).__init__()

                                self.yang_name = "thresholds"
                                self.yang_parent_name = "flooding"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.down = YLeafList(YType.uint8, "down")

                                self.up = YLeafList(YType.uint8, "up")
                                self._segment_path = lambda: "thresholds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.Flooding.Thresholds, ['down', 'up'], name, value)


                    class PassiveInterface(Entity):
                        """
                        Force a flood of non\-IGP link
                        
                        .. attribute:: nbr_te_id
                        
                        	Set the neighbor TE ID (router\-id)
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nbr_if_addr
                        
                        	Set the Neighbor IP interface address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nbr_igp_id
                        
                        	Set the Neighbor IGP ID (system\-id)
                        	**type**\:  :py:class:`NbrIgpId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.PassiveInterface, self).__init__()

                            self.yang_name = "passive-interface"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"nbr-igp-id" : ("nbr_igp_id", Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId)}
                            self._child_list_classes = {}

                            self.nbr_te_id = YLeaf(YType.str, "nbr-te-id")

                            self.nbr_if_addr = YLeaf(YType.str, "nbr-if-addr")

                            self.nbr_igp_id = Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId()
                            self.nbr_igp_id.parent = self
                            self._children_name_map["nbr_igp_id"] = "nbr-igp-id"
                            self._children_yang_names.add("nbr-igp-id")
                            self._segment_path = lambda: "passive-interface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.PassiveInterface, ['nbr_te_id', 'nbr_if_addr'], name, value)


                        class NbrIgpId(Entity):
                            """
                            Set the Neighbor IGP ID (system\-id)
                            
                            .. attribute:: isis
                            
                            	Set the neighbor ISIS node ID
                            	**type**\: str
                            
                            .. attribute:: ospf
                            
                            	Set the neighbor OSPF node ID
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId, self).__init__()

                                self.yang_name = "nbr-igp-id"
                                self.yang_parent_name = "passive-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.isis = YLeaf(YType.str, "isis")

                                self.ospf = YLeaf(YType.str, "ospf")
                                self._segment_path = lambda: "nbr-igp-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Mpls.TrafficEng.PassiveInterface.NbrIgpId, ['isis', 'ospf'], name, value)


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.TenGigabitEthernet.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.TenGigabitEthernet.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.TenGigabitEthernet.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.TenGigabitEthernet.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Verify>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Flow>`
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\: bool
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Igmp>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Lisp>`
                
                .. attribute:: nat
                
                	NAT interface commands
                	**type**\:  :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Nat>`
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:  :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Nbar>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf>`
                
                .. attribute:: rsvp
                
                	RSVP Interface Commands
                	**type**\:  :py:class:`Rsvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:  :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.TenGigabitEthernet.Ip.AccessGroup), "arp" : ("arp", Native.Interface.TenGigabitEthernet.Ip.Arp), "vrf" : ("vrf", Native.Interface.TenGigabitEthernet.Ip.Vrf), "no-address" : ("no_address", Native.Interface.TenGigabitEthernet.Ip.NoAddress), "address" : ("address", Native.Interface.TenGigabitEthernet.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.TenGigabitEthernet.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.TenGigabitEthernet.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.TenGigabitEthernet.Ip.HoldTime), "pim" : ("pim", Native.Interface.TenGigabitEthernet.Ip.Pim), "policy" : ("policy", Native.Interface.TenGigabitEthernet.Ip.Policy), "rip" : ("rip", Native.Interface.TenGigabitEthernet.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.TenGigabitEthernet.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.TenGigabitEthernet.Ip.RouteCache), "router" : ("router", Native.Interface.TenGigabitEthernet.Ip.Router), "tcp" : ("tcp", Native.Interface.TenGigabitEthernet.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.TenGigabitEthernet.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.TenGigabitEthernet.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.TenGigabitEthernet.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.TenGigabitEthernet.Ip.Verify), "Cisco-IOS-XE-flow:flow" : ("flow", Native.Interface.TenGigabitEthernet.Ip.Flow), "Cisco-IOS-XE-igmp:igmp" : ("igmp", Native.Interface.TenGigabitEthernet.Ip.Igmp), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Interface.TenGigabitEthernet.Ip.Lisp), "Cisco-IOS-XE-nat:nat" : ("nat", Native.Interface.TenGigabitEthernet.Ip.Nat), "Cisco-IOS-XE-nbar:nbar" : ("nbar", Native.Interface.TenGigabitEthernet.Ip.Nbar), "Cisco-IOS-XE-ospf:ospf" : ("ospf", Native.Interface.TenGigabitEthernet.Ip.Ospf), "Cisco-IOS-XE-rsvp:rsvp" : ("rsvp", Native.Interface.TenGigabitEthernet.Ip.Rsvp), "Cisco-IOS-XE-wccp:wccp" : ("wccp", Native.Interface.TenGigabitEthernet.Ip.Wccp)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.TenGigabitEthernet.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.unreachables = YLeaf(YType.boolean, "Cisco-IOS-XE-icmp:unreachables")

                    self.access_group = Native.Interface.TenGigabitEthernet.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.TenGigabitEthernet.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.TenGigabitEthernet.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.TenGigabitEthernet.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.TenGigabitEthernet.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.TenGigabitEthernet.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.TenGigabitEthernet.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.TenGigabitEthernet.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.TenGigabitEthernet.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.TenGigabitEthernet.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.TenGigabitEthernet.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.TenGigabitEthernet.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.TenGigabitEthernet.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.TenGigabitEthernet.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.TenGigabitEthernet.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.TenGigabitEthernet.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.TenGigabitEthernet.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.TenGigabitEthernet.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.flow = Native.Interface.TenGigabitEthernet.Ip.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.igmp = Native.Interface.TenGigabitEthernet.Ip.Igmp()
                    self.igmp.parent = self
                    self._children_name_map["igmp"] = "igmp"
                    self._children_yang_names.add("igmp")

                    self.lisp = Native.Interface.TenGigabitEthernet.Ip.Lisp()
                    self.lisp.parent = self
                    self._children_name_map["lisp"] = "lisp"
                    self._children_yang_names.add("lisp")

                    self.nat = Native.Interface.TenGigabitEthernet.Ip.Nat()
                    self.nat.parent = self
                    self._children_name_map["nat"] = "nat"
                    self._children_yang_names.add("nat")

                    self.nbar = Native.Interface.TenGigabitEthernet.Ip.Nbar()
                    self.nbar.parent = self
                    self._children_name_map["nbar"] = "nbar"
                    self._children_yang_names.add("nbar")

                    self.ospf = Native.Interface.TenGigabitEthernet.Ip.Ospf()
                    self.ospf.parent = self
                    self._children_name_map["ospf"] = "ospf"
                    self._children_yang_names.add("ospf")

                    self.rsvp = Native.Interface.TenGigabitEthernet.Ip.Rsvp()
                    self.rsvp.parent = self
                    self._children_name_map["rsvp"] = "rsvp"
                    self._children_yang_names.add("rsvp")

                    self.wccp = Native.Interface.TenGigabitEthernet.Ip.Wccp()
                    self.wccp.parent = self
                    self._children_name_map["wccp"] = "wccp"
                    self._children_yang_names.add("wccp")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache', 'unreachables'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.TenGigabitEthernet.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.TenGigabitEthernet.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.TenGigabitEthernet.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.TenGigabitEthernet.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.TenGigabitEthernet.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.TenGigabitEthernet.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.TenGigabitEthernet.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.TenGigabitEthernet.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.TenGigabitEthernet.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.TenGigabitEthernet.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.TenGigabitEthernet.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.TenGigabitEthernet.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.TenGigabitEthernet.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.TenGigabitEthernet.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.TenGigabitEthernet.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.TenGigabitEthernet.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:  :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:  :py:class:`SparseMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Pim.SparseMode>`
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:  :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Pim.QueryInterval>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:  :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Pim.SptThreshold>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-multicast:accept-register" : ("accept_register", Native.Interface.TenGigabitEthernet.Ip.Pim.AcceptRegister), "Cisco-IOS-XE-multicast:query-interval" : ("query_interval", Native.Interface.TenGigabitEthernet.Ip.Pim.QueryInterval)}
                        self._child_list_classes = {}

                        self.sparse_mode = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:sparse-mode")

                        self.nbma_mode = YLeaf(YType.empty, "Cisco-IOS-XE-multicast:nbma-mode")

                        self.dr_priority = YLeaf(YType.uint32, "Cisco-IOS-XE-multicast:dr-priority")

                        self.spt_threshold = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:spt-threshold")

                        self.accept_register = Native.Interface.TenGigabitEthernet.Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self._children_name_map["accept_register"] = "accept-register"
                        self._children_yang_names.add("accept-register")

                        self.query_interval = Native.Interface.TenGigabitEthernet.Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self._children_name_map["query_interval"] = "query-interval"
                        self._children_yang_names.add("query-interval")
                        self._segment_path = lambda: "pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Pim, ['sparse_mode', 'nbma_mode', 'dr_priority', 'spt_threshold'], name, value)

                    class SparseMode(Enum):
                        """
                        SparseMode

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = Enum.YLeaf(0, "sparse-dense-mode")

                        sparse_mode = Enum.YLeaf(1, "sparse-mode")


                    class SptThreshold(Enum):
                        """
                        SptThreshold

                        .. data:: infinity = 0

                        """

                        infinity = Enum.YLeaf(0, "infinity")



                    class AcceptRegister(Entity):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Pim.AcceptRegister, self).__init__()

                            self.yang_name = "accept-register"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.list = YLeaf(YType.str, "list")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:accept-register"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Pim.AcceptRegister, ['list'], name, value)


                    class QueryInterval(Entity):
                        """
                        PIM router query interval
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..18725
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Pim.QueryInterval, self).__init__()

                            self.yang_name = "query-interval"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.seconds_interval = YLeaf(YType.uint16, "seconds-interval")

                            self.milliseconds_interval = YLeaf(YType.uint16, "milliseconds-interval")

                            self.msec = YLeaf(YType.empty, "msec")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:query-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Pim.QueryInterval, ['seconds_interval', 'milliseconds_interval', 'msec'], name, value)


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.TenGigabitEthernet.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.TenGigabitEthernet.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.TenGigabitEthernet.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.TenGigabitEthernet.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.TenGigabitEthernet.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.TenGigabitEthernet.Ip.Dhcp.Client), "Cisco-IOS-XE-dhcp:relay" : ("relay", Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay), "Cisco-IOS-XE-dhcp:snooping" : ("snooping", Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.client = Native.Interface.TenGigabitEthernet.Ip.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.relay = Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self._children_name_map["relay"] = "relay"
                        self._children_yang_names.add("relay")

                        self.snooping = Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"


                    class Client(Entity):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hostname = YLeaf(YType.str, "hostname")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Client, ['hostname'], name, value)


                    class Relay(Entity):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay, self).__init__()

                            self.yang_name = "relay"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"information" : ("information", Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information)}
                            self._child_list_classes = {}

                            self.source_interface = YLeaf(YType.str, "source-interface")

                            self.information = Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self._children_name_map["information"] = "information"
                            self._children_yang_names.add("information")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:relay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay, ['source_interface'], name, value)


                        class Information(Entity):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:  :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:  :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:  :py:class:`PolicyAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.PolicyAction>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information, self).__init__()

                                self.yang_name = "information"
                                self.yang_parent_name = "relay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"check-reply" : ("check_reply", Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.CheckReply), "option" : ("option", Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.Option), "option-insert" : ("option_insert", Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.OptionInsert)}
                                self._child_list_classes = {}

                                self.policy_action = YLeaf(YType.enumeration, "policy-action")

                                self.trusted = YLeaf(YType.empty, "trusted")

                                self.check_reply = None
                                self._children_name_map["check_reply"] = "check-reply"
                                self._children_yang_names.add("check-reply")

                                self.option = Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self._children_name_map["option"] = "option"
                                self._children_yang_names.add("option")

                                self.option_insert = None
                                self._children_name_map["option_insert"] = "option-insert"
                                self._children_yang_names.add("option-insert")
                                self._segment_path = lambda: "information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information, ['policy_action', 'trusted'], name, value)

                            class PolicyAction(Enum):
                                """
                                PolicyAction

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = Enum.YLeaf(0, "drop")

                                encapsulate = Enum.YLeaf(1, "encapsulate")

                                keep = Enum.YLeaf(2, "keep")

                                replace = Enum.YLeaf(3, "replace")



                            class CheckReply(Entity):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.CheckReply, self).__init__()

                                    self.yang_name = "check-reply"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "check-reply"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.CheckReply, ['none'], name, value)


                            class Option(Entity):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                    self.yang_name = "option"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                    self._segment_path = lambda: "option"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                            class OptionInsert(Entity):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.OptionInsert, self).__init__()

                                    self.yang_name = "option-insert"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "option-insert"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Relay.Information.OptionInsert, ['none'], name, value)


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {"vlan" : ("vlan", Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan)}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")

                            self.vlan = YList(self)
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:snooping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


                        class Vlan(Entity):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"information" : ("information", Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.information = Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self
                                self._children_name_map["information"] = "information"
                                self._children_yang_names.add("information")
                                self._segment_path = lambda: "vlan" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan, ['id'], name, value)


                            class Information(Entity):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information, self).__init__()

                                    self.yang_name = "information"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"option" : ("option", Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option)}
                                    self._child_list_classes = {}

                                    self.option = Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self
                                    self._children_name_map["option"] = "option"
                                    self._children_yang_names.add("option")
                                    self._segment_path = lambda: "information"


                                class Option(Entity):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:  :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option, self).__init__()

                                        self.yang_name = "option"
                                        self.yang_parent_name = "information"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"format-type" : ("format_type", Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType)}
                                        self._child_list_classes = {}

                                        self.format_type = Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self
                                        self._children_name_map["format_type"] = "format-type"
                                        self._children_yang_names.add("format-type")
                                        self._segment_path = lambda: "option"


                                    class FormatType(Entity):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:  :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType, self).__init__()

                                            self.yang_name = "format-type"
                                            self.yang_parent_name = "option"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"circuit-id" : ("circuit_id", Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId)}
                                            self._child_list_classes = {}

                                            self.circuit_id = Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self
                                            self._children_name_map["circuit_id"] = "circuit-id"
                                            self._children_yang_names.add("circuit-id")
                                            self._segment_path = lambda: "format-type"


                                        class CircuitId(Entity):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\: str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, self).__init__()

                                                self.yang_name = "circuit-id"
                                                self.yang_parent_name = "format-type"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.string = YLeaf(YType.str, "string")
                                                self._segment_path = lambda: "circuit-id"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, ['string'], name, value)


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.TenGigabitEthernet.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.TenGigabitEthernet.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.TenGigabitEthernet.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.TenGigabitEthernet.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.TenGigabitEthernet.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.TenGigabitEthernet.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.TenGigabitEthernet.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.TenGigabitEthernet.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.TenGigabitEthernet.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.TenGigabitEthernet.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



                class Flow(Entity):
                    """
                    NetFlow related commands
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"monitor" : ("monitor", Native.Interface.TenGigabitEthernet.Ip.Flow.Monitor)}

                        self.ingress = YLeaf(YType.empty, "ingress")

                        self.egress = YLeaf(YType.empty, "egress")

                        self.monitor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-flow:flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Flow, ['ingress', 'egress'], name, value)


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of  		 :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Flow.Monitor.Sampler>`
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"sampler" : ("sampler", Native.Interface.TenGigabitEthernet.Ip.Flow.Monitor.Sampler)}

                            self.name = YLeaf(YType.str, "name")

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.sampler = YList(self)
                            self._segment_path = lambda: "monitor" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Flow.Monitor, ['name', 'input', 'output', 'multicast', 'unicast'], name, value)


                        class Sampler(Entity):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Flow.Monitor.Sampler.Direction>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Flow.Monitor.Sampler, self).__init__()

                                self.yang_name = "sampler"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.direction = YLeaf(YType.enumeration, "direction")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "sampler" + "[direction='" + self.direction.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Flow.Monitor.Sampler, ['direction', 'name'], name, value)

                            class Direction(Enum):
                                """
                                Direction

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = Enum.YLeaf(0, "input")

                                output = Enum.YLeaf(1, "output")



                class Igmp(Entity):
                    """
                    IGMP interface commands
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:  :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of  		 :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Igmp, self).__init__()

                        self.yang_name = "igmp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"static-group" : ("static_group", Native.Interface.TenGigabitEthernet.Ip.Igmp.StaticGroup)}
                        self._child_list_classes = {"join-group" : ("join_group", Native.Interface.TenGigabitEthernet.Ip.Igmp.JoinGroup)}

                        self.version = YLeaf(YType.uint8, "version")

                        self.static_group = Native.Interface.TenGigabitEthernet.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self._children_name_map["static_group"] = "static-group"
                        self._children_yang_names.add("static-group")

                        self.join_group = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-igmp:igmp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Igmp, ['version'], name, value)


                    class StaticGroup(Entity):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of  		 :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Igmp.StaticGroup.Groups>`
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of  		 :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Igmp.StaticGroup, self).__init__()

                            self.yang_name = "static-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"groups" : ("groups", Native.Interface.TenGigabitEthernet.Ip.Igmp.StaticGroup.Groups), "class-map" : ("class_map", Native.Interface.TenGigabitEthernet.Ip.Igmp.StaticGroup.ClassMap)}

                            self.groups = YList(self)
                            self.class_map = YList(self)
                            self._segment_path = lambda: "static-group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Igmp.StaticGroup, [], name, value)


                        class Groups(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.Groups.Name>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Igmp.StaticGroup.Groups, self).__init__()

                                self.yang_name = "groups"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "groups" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Igmp.StaticGroup.Groups, ['name'], name, value)

                            class Name(Enum):
                                """
                                Name

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = Enum.YLeaf(0, "*")



                        class ClassMap(Entity):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Igmp.StaticGroup.ClassMap, self).__init__()

                                self.yang_name = "class-map"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")
                                self._segment_path = lambda: "class-map" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Igmp.StaticGroup.ClassMap, ['id'], name, value)


                    class JoinGroup(Entity):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Igmp.JoinGroup, self).__init__()

                            self.yang_name = "join-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip_group_address = YLeaf(YType.str, "ip-group-address")

                            self.source = YLeaf(YType.str, "source")
                            self._segment_path = lambda: "join-group" + "[ip-group-address='" + self.ip_group_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Igmp.JoinGroup, ['ip_group_address', 'source'], name, value)


                class Lisp(Entity):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: source_locator
                    
                    	Choose IP source address for LISP packets egressing this interface
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Lisp, self).__init__()

                        self.yang_name = "lisp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.source_locator = YLeaf(YType.str, "source-locator")
                        self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Lisp, ['source_locator'], name, value)


                class Nat(Entity):
                    """
                    NAT interface commands
                    
                    .. attribute:: allow_static_host
                    
                    	Allow static\-ip clients
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable Address Translation (NVI)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: inside
                    
                    	Inside interface for address translation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: outside
                    
                    	Outside interface for address translation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-08-03'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Nat, self).__init__()

                        self.yang_name = "nat"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.allow_static_host = YLeaf(YType.empty, "allow-static-host")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.inside = YLeaf(YType.empty, "inside")

                        self.outside = YLeaf(YType.empty, "outside")
                        self._segment_path = lambda: "Cisco-IOS-XE-nat:nat"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Nat, ['allow_static_host', 'enable', 'inside', 'outside'], name, value)


                class Nbar(Entity):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:  :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Nbar, self).__init__()

                        self.yang_name = "nbar"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"protocol-discovery" : ("protocol_discovery", Native.Interface.TenGigabitEthernet.Ip.Nbar.ProtocolDiscovery)}
                        self._child_list_classes = {}

                        self.protocol_discovery = None
                        self._children_name_map["protocol_discovery"] = "protocol-discovery"
                        self._children_yang_names.add("protocol-discovery")
                        self._segment_path = lambda: "Cisco-IOS-XE-nbar:nbar"


                    class ProtocolDiscovery(Entity):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:  :py:class:`Ipv4Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Nbar.ProtocolDiscovery, self).__init__()

                            self.yang_name = "protocol-discovery"
                            self.yang_parent_name = "nbar"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ipv4_ipv6 = YLeaf(YType.enumeration, "ipv4-ipv6")
                            self._segment_path = lambda: "protocol-discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Nbar.ProtocolDiscovery, ['ipv4_ipv6'], name, value)

                        class Ipv4Ipv6(Enum):
                            """
                            Ipv4Ipv6

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = Enum.YLeaf(0, "ipv4")

                            ipv6 = Enum.YLeaf(1, "ipv6")



                class Ospf(Entity):
                    """
                    OSPF interface commands
                    
                    .. attribute:: process_id
                    
                    	
                    	**type**\: list of  		 :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.ProcessId>`
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.AuthenticationKey>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.Network>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.DeadInterval>`
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF Demand Circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fast_reroute
                    
                    	LFA FastReroute parameters
                    	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: lls
                    
                    	Link\-local Signaling (LLS) support
                    	**type**\:  :py:class:`Lls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.Lls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.MessageDigestKey>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.MultiArea>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: resync_timeout
                    
                    	Interval after which adjacency is reset if oob\-resync is not started
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Set OSPF protocol's state to disable under current interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.TtlSecurity>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.TenGigabitEthernet.Ip.Ospf.Authentication), "authentication-key" : ("authentication_key", Native.Interface.TenGigabitEthernet.Ip.Ospf.AuthenticationKey), "bfd" : ("bfd", Native.Interface.TenGigabitEthernet.Ip.Ospf.Bfd), "database-filter" : ("database_filter", Native.Interface.TenGigabitEthernet.Ip.Ospf.DatabaseFilter), "dead-interval" : ("dead_interval", Native.Interface.TenGigabitEthernet.Ip.Ospf.DeadInterval), "demand-circuit" : ("demand_circuit", Native.Interface.TenGigabitEthernet.Ip.Ospf.DemandCircuit), "fast-reroute" : ("fast_reroute", Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute), "lls" : ("lls", Native.Interface.TenGigabitEthernet.Ip.Ospf.Lls), "multi-area" : ("multi_area", Native.Interface.TenGigabitEthernet.Ip.Ospf.MultiArea), "prefix-suppression" : ("prefix_suppression", Native.Interface.TenGigabitEthernet.Ip.Ospf.PrefixSuppression), "ttl-security" : ("ttl_security", Native.Interface.TenGigabitEthernet.Ip.Ospf.TtlSecurity)}
                        self._child_list_classes = {"process-id" : ("process_id", Native.Interface.TenGigabitEthernet.Ip.Ospf.ProcessId), "message-digest-key" : ("message_digest_key", Native.Interface.TenGigabitEthernet.Ip.Ospf.MessageDigestKey)}

                        self.network = YLeaf(YType.enumeration, "network")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.flood_reduction = YLeaf(YType.empty, "flood-reduction")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.mtu_ignore = YLeaf(YType.empty, "mtu-ignore")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.resync_timeout = YLeaf(YType.uint32, "resync-timeout")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = None
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.authentication_key = Native.Interface.TenGigabitEthernet.Ip.Ospf.AuthenticationKey()
                        self.authentication_key.parent = self
                        self._children_name_map["authentication_key"] = "authentication-key"
                        self._children_yang_names.add("authentication-key")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.database_filter = Native.Interface.TenGigabitEthernet.Ip.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.dead_interval = Native.Interface.TenGigabitEthernet.Ip.Ospf.DeadInterval()
                        self.dead_interval.parent = self
                        self._children_name_map["dead_interval"] = "dead-interval"
                        self._children_yang_names.add("dead-interval")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.fast_reroute = Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute()
                        self.fast_reroute.parent = self
                        self._children_name_map["fast_reroute"] = "fast-reroute"
                        self._children_yang_names.add("fast-reroute")

                        self.lls = None
                        self._children_name_map["lls"] = "lls"
                        self._children_yang_names.add("lls")

                        self.multi_area = Native.Interface.TenGigabitEthernet.Ip.Ospf.MultiArea()
                        self.multi_area.parent = self
                        self._children_name_map["multi_area"] = "multi-area"
                        self._children_yang_names.add("multi-area")

                        self.prefix_suppression = None
                        self._children_name_map["prefix_suppression"] = "prefix-suppression"
                        self._children_yang_names.add("prefix-suppression")

                        self.ttl_security = None
                        self._children_name_map["ttl_security"] = "ttl-security"
                        self._children_yang_names.add("ttl-security")

                        self.process_id = YList(self)
                        self.message_digest_key = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-ospf:ospf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf, ['network', 'cost', 'flood_reduction', 'hello_interval', 'mtu_ignore', 'priority', 'resync_timeout', 'retransmit_interval', 'shutdown', 'transmit_delay'], name, value)

                    class Network(Enum):
                        """
                        Network

                        Network type

                        .. data:: broadcast = 0

                        .. data:: non_broadcast = 1

                        .. data:: point_to_multipoint = 2

                        .. data:: point_to_point = 3

                        """

                        broadcast = Enum.YLeaf(0, "broadcast")

                        non_broadcast = Enum.YLeaf(1, "non-broadcast")

                        point_to_multipoint = Enum.YLeaf(2, "point-to-multipoint")

                        point_to_point = Enum.YLeaf(3, "point-to-point")



                    class ProcessId(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: area
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondaries
                        
                        	Include or exclude secondary IP addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: none
                        
                        	Do not include secondary IP addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Ospf.ProcessId, self).__init__()

                            self.yang_name = "process-id"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint16, "id")

                            self.area = YLeaf(YType.str, "area")

                            self.secondaries = YLeaf(YType.empty, "secondaries")

                            self.none = YLeaf(YType.empty, "none")
                            self._segment_path = lambda: "process-id" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.ProcessId, ['id', 'area', 'secondaries', 'none'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Use message\-digest authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Ospf.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.TenGigabitEthernet.Ip.Ospf.Authentication.KeyChain)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.message_digest = YLeaf(YType.empty, "message-digest")

                            self.null = YLeaf(YType.empty, "null")

                            self.key_chain = Native.Interface.TenGigabitEthernet.Ip.Ospf.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self._children_name_map["key_chain"] = "key-chain"
                            self._children_yang_names.add("key-chain")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.Authentication, ['message_digest', 'null'], name, value)


                        class KeyChain(Entity):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Ospf.Authentication.KeyChain, self).__init__()

                                self.yang_name = "key-chain"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.Authentication.KeyChain, ['name'], name, value)


                    class AuthenticationKey(Entity):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Ospf.AuthenticationKey, self).__init__()

                            self.yang_name = "authentication-key"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                            self.auth_key = YLeaf(YType.str, "auth-key")
                            self._segment_path = lambda: "authentication-key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Ospf.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.Bfd, ['disable'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Ospf.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.empty, "all")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.DatabaseFilter, ['all', 'out'], name, value)


                    class DeadInterval(Entity):
                        """
                        Interval after which a neighbor is declared dead
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: minimal
                        
                        	Set to 1 second
                        	**type**\:  :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.DeadInterval.Minimal>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Ospf.DeadInterval, self).__init__()

                            self.yang_name = "dead-interval"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"minimal" : ("minimal", Native.Interface.TenGigabitEthernet.Ip.Ospf.DeadInterval.Minimal)}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint32, "value")

                            self.minimal = Native.Interface.TenGigabitEthernet.Ip.Ospf.DeadInterval.Minimal()
                            self.minimal.parent = self
                            self._children_name_map["minimal"] = "minimal"
                            self._children_yang_names.add("minimal")
                            self._segment_path = lambda: "dead-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.DeadInterval, ['value'], name, value)


                        class Minimal(Entity):
                            """
                            Set to 1 second
                            
                            .. attribute:: hello_multiplier
                            
                            	Set multiplier for Hellos
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Ospf.DeadInterval.Minimal, self).__init__()

                                self.yang_name = "minimal"
                                self.yang_parent_name = "dead-interval"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hello_multiplier = YLeaf(YType.uint8, "hello-multiplier")
                                self._segment_path = lambda: "minimal"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.DeadInterval.Minimal, ['hello_multiplier'], name, value)


                    class DemandCircuit(Entity):
                        """
                        OSPF Demand Circuit
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Ospf.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.DemandCircuit, ['ignore'], name, value)


                    class FastReroute(Entity):
                        """
                        LFA FastReroute parameters
                        
                        .. attribute:: per_prefix
                        
                        	Per\-prefix LFA FRR parameters
                        	**type**\:  :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute.PerPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute, self).__init__()

                            self.yang_name = "fast-reroute"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"per-prefix" : ("per_prefix", Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute.PerPrefix)}
                            self._child_list_classes = {}

                            self.per_prefix = Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute.PerPrefix()
                            self.per_prefix.parent = self
                            self._children_name_map["per_prefix"] = "per-prefix"
                            self._children_yang_names.add("per-prefix")
                            self._segment_path = lambda: "fast-reroute"


                        class PerPrefix(Entity):
                            """
                            Per\-prefix LFA FRR parameters
                            
                            .. attribute:: candidate
                            
                            	If interface can be protecting
                            	**type**\:  :py:class:`Candidate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Candidate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: protection
                            
                            	If interface can be protected
                            	**type**\:  :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Protection>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute.PerPrefix, self).__init__()

                                self.yang_name = "per-prefix"
                                self.yang_parent_name = "fast-reroute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"candidate" : ("candidate", Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Candidate), "protection" : ("protection", Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Protection)}
                                self._child_list_classes = {}

                                self.candidate = None
                                self._children_name_map["candidate"] = "candidate"
                                self._children_yang_names.add("candidate")

                                self.protection = None
                                self._children_name_map["protection"] = "protection"
                                self._children_yang_names.add("protection")
                                self._segment_path = lambda: "per-prefix"


                            class Candidate(Entity):
                                """
                                If interface can be protecting
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Candidate, self).__init__()

                                    self.yang_name = "candidate"
                                    self.yang_parent_name = "per-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "candidate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Candidate, ['disable'], name, value)


                            class Protection(Entity):
                                """
                                If interface can be protected
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Protection, self).__init__()

                                    self.yang_name = "protection"
                                    self.yang_parent_name = "per-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "protection"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.FastReroute.PerPrefix.Protection, ['disable'], name, value)


                    class Lls(Entity):
                        """
                        Link\-local Signaling (LLS) support
                        
                        .. attribute:: disable
                        
                        	disable LLS
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Ospf.Lls, self).__init__()

                            self.yang_name = "lls"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "lls"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.Lls, ['disable'], name, value)


                    class MessageDigestKey(Entity):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Ospf.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Ospf.MessageDigestKey, self).__init__()

                            self.yang_name = "message-digest-key"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.TenGigabitEthernet.Ip.Ospf.MessageDigestKey.Md5)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.md5 = Native.Interface.TenGigabitEthernet.Ip.Ospf.MessageDigestKey.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.MessageDigestKey, ['id'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Ospf.MessageDigestKey.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "message-digest-key"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                self.auth_key = YLeaf(YType.str, "auth-key")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                    class MultiArea(Entity):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Ospf.MultiArea, self).__init__()

                            self.yang_name = "multi-area"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint32, "cost")
                            self._segment_path = lambda: "multi-area"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.MultiArea, ['id', 'cost'], name, value)


                    class PrefixSuppression(Entity):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Ospf.PrefixSuppression, self).__init__()

                            self.yang_name = "prefix-suppression"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "prefix-suppression"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.PrefixSuppression, ['disable'], name, value)


                    class TtlSecurity(Entity):
                        """
                        TTL security check
                        
                        .. attribute:: diable
                        
                        	disable TTL security check
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Ospf.TtlSecurity, self).__init__()

                            self.yang_name = "ttl-security"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.diable = YLeaf(YType.empty, "diable")

                            self.hops = YLeaf(YType.uint8, "hops")
                            self._segment_path = lambda: "ttl-security"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Ospf.TtlSecurity, ['diable', 'hops'], name, value)


                class Rsvp(Entity):
                    """
                    RSVP Interface Commands
                    
                    .. attribute:: authentication
                    
                    	Enables RSVP neighbor authentication (RFC 2747)
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: bandwidth
                    
                    	RSVP Reservable Bandwidth (kbps)
                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	Select permissible RSVP neighbors
                    	**type**\:  :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Neighbor>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: precedence
                    
                    	RSVP precedence setting
                    	**type**\:  :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Precedence>`
                    
                    .. attribute:: signalling
                    
                    	RSVP signalling
                    	**type**\:  :py:class:`Signalling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling>`
                    
                    .. attribute:: tos
                    
                    	RSVP TOS setting
                    	**type**\:  :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Tos>`
                    
                    

                    """

                    _prefix = 'ios-rsvp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Rsvp, self).__init__()

                        self.yang_name = "rsvp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Authentication), "bandwidth" : ("bandwidth", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth), "neighbor" : ("neighbor", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Neighbor), "precedence" : ("precedence", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Precedence), "signalling" : ("signalling", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling), "tos" : ("tos", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Tos)}
                        self._child_list_classes = {}

                        self.authentication = None
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bandwidth = None
                        self._children_name_map["bandwidth"] = "bandwidth"
                        self._children_yang_names.add("bandwidth")

                        self.neighbor = None
                        self._children_name_map["neighbor"] = "neighbor"
                        self._children_yang_names.add("neighbor")

                        self.precedence = Native.Interface.TenGigabitEthernet.Ip.Rsvp.Precedence()
                        self.precedence.parent = self
                        self._children_name_map["precedence"] = "precedence"
                        self._children_yang_names.add("precedence")

                        self.signalling = Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling()
                        self.signalling.parent = self
                        self._children_name_map["signalling"] = "signalling"
                        self._children_yang_names.add("signalling")

                        self.tos = Native.Interface.TenGigabitEthernet.Ip.Rsvp.Tos()
                        self.tos.parent = self
                        self._children_name_map["tos"] = "tos"
                        self._children_yang_names.add("tos")
                        self._segment_path = lambda: "Cisco-IOS-XE-rsvp:rsvp"


                    class Authentication(Entity):
                        """
                        Enables RSVP neighbor authentication (RFC 2747)
                        
                        .. attribute:: key
                        
                        	Password (8 to 40 characters, spaces allowed)
                        	**type**\: str
                        
                        .. attribute:: challenge
                        
                        	Perform challenge/response handshake with new neighbor(s)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: key_chain
                        
                        	Name of key chain to use (as created by global 'key chain' command)
                        	**type**\: str
                        
                        .. attribute:: lifetime
                        
                        	Maximum lifetime of neighbor authentication state
                        	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Authentication.Lifetime>`
                        
                        .. attribute:: type
                        
                        	Type of authentication algorithm (default = md5)
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Authentication.Type>`
                        
                        .. attribute:: window_size
                        
                        	Maximum number of messages allowed in receive window (default = 1)
                        	**type**\: int
                        
                        	**range:** 1..64
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"lifetime" : ("lifetime", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Authentication.Lifetime)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.key = YLeaf(YType.str, "key")

                            self.challenge = YLeaf(YType.empty, "challenge")

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.type = YLeaf(YType.enumeration, "type")

                            self.window_size = YLeaf(YType.uint8, "window-size")

                            self.lifetime = Native.Interface.TenGigabitEthernet.Ip.Rsvp.Authentication.Lifetime()
                            self.lifetime.parent = self
                            self._children_name_map["lifetime"] = "lifetime"
                            self._children_yang_names.add("lifetime")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Authentication, ['key', 'challenge', 'key_chain', 'type', 'window_size'], name, value)

                        class Type(Enum):
                            """
                            Type

                            Type of authentication algorithm (default = md5)

                            .. data:: md5 = 0

                            .. data:: sha_1 = 1

                            """

                            md5 = Enum.YLeaf(0, "md5")

                            sha_1 = Enum.YLeaf(1, "sha-1")



                        class Lifetime(Entity):
                            """
                            Maximum lifetime of neighbor authentication state
                            
                            .. attribute:: hh_mm_ss
                            
                            	Lifetime (default = 30 mins) in hh\:mm\:ss format
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])\:([0\-5][0\-9])
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Authentication.Lifetime, self).__init__()

                                self.yang_name = "lifetime"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hh_mm_ss = YLeaf(YType.str, "hh-mm-ss")
                                self._segment_path = lambda: "lifetime"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Authentication.Lifetime, ['hh_mm_ss'], name, value)


                    class Bandwidth(Entity):
                        """
                        RSVP Reservable Bandwidth (kbps)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth.Value>`
                        
                        .. attribute:: percent
                        
                        	Percentage of interface bandwidth. Values higher than 100 represent overbooking
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: mam
                        
                        	Use bandwidth with MAM model of DSTE
                        	**type**\:  :py:class:`Mam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth.Mam>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth, self).__init__()

                            self.yang_name = "bandwidth"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"value" : ("value", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth.Value), "mam" : ("mam", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth.Mam)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.percent = YLeaf(YType.uint16, "percent")

                            self.value = Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth.Value()
                            self.value.parent = self
                            self._children_name_map["value"] = "value"
                            self._children_yang_names.add("value")

                            self.mam = Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth.Mam()
                            self.mam.parent = self
                            self._children_name_map["mam"] = "mam"
                            self._children_yang_names.add("mam")
                            self._segment_path = lambda: "bandwidth"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth, ['percent'], name, value)


                        class Value(Entity):
                            """
                            
                            
                            .. attribute:: value
                            
                            	Reservable Bandwidth (kbps)
                            	**type**\: int
                            
                            	**range:** 1..10000000
                            
                            .. attribute:: sub_pool
                            
                            	Reservable Bandwidth for Tunnel using sub (BC1) pool (kbps)
                            	**type**\: int
                            
                            	**range:** 1..10000000
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth.Value, self).__init__()

                                self.yang_name = "value"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                self._segment_path = lambda: "value"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth.Value, ['value', 'sub_pool'], name, value)


                        class Mam(Entity):
                            """
                            Use bandwidth with MAM model of DSTE
                            
                            .. attribute:: max_reservable_bw
                            
                            	Maximum Reservable bandwidth for MAM
                            	**type**\:  :py:class:`MaxReservableBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth.Mam, self).__init__()

                                self.yang_name = "mam"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"max-reservable-bw" : ("max_reservable_bw", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw)}
                                self._child_list_classes = {}

                                self.max_reservable_bw = None
                                self._children_name_map["max_reservable_bw"] = "max-reservable-bw"
                                self._children_yang_names.add("max-reservable-bw")
                                self._segment_path = lambda: "mam"


                            class MaxReservableBw(Entity):
                                """
                                Maximum Reservable bandwidth for MAM
                                
                                .. attribute:: value
                                
                                	Reservable Bandwidth (kbps)
                                	**type**\: int
                                
                                	**range:** 1..10000000
                                
                                .. attribute:: bc0
                                
                                	Reservable Bandwidth from global (BC0) pool (kbps)
                                	**type**\: int
                                
                                	**range:** 0..10000000
                                
                                .. attribute:: bc1
                                
                                	Reservable Bandwidth from sub pool (kbps)
                                	**type**\: int
                                
                                	**range:** 0..10000000
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw, self).__init__()

                                    self.yang_name = "max-reservable-bw"
                                    self.yang_parent_name = "mam"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint32, "value")

                                    self.bc0 = YLeaf(YType.uint32, "bc0")

                                    self.bc1 = YLeaf(YType.uint32, "bc1")
                                    self._segment_path = lambda: "max-reservable-bw"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw, ['value', 'bc0', 'bc1'], name, value)


                    class Neighbor(Entity):
                        """
                        Select permissible RSVP neighbors
                        
                        .. attribute:: acl_number
                        
                        	Access list
                        	**type**\: int
                        
                        	**range:** 1..199
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.acl_number = YLeaf(YType.uint8, "acl-number")
                            self._segment_path = lambda: "neighbor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Neighbor, ['acl_number'], name, value)


                    class Precedence(Entity):
                        """
                        RSVP precedence setting
                        
                        .. attribute:: conform
                        
                        	Precedence for packets conforming to RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: exceed
                        
                        	Precedence for packets over RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Precedence, self).__init__()

                            self.yang_name = "precedence"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.conform = YLeaf(YType.uint8, "conform")

                            self.exceed = YLeaf(YType.uint8, "exceed")
                            self._segment_path = lambda: "precedence"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Precedence, ['conform', 'exceed'], name, value)


                    class Signalling(Entity):
                        """
                        RSVP signalling
                        
                        .. attribute:: dscp
                        
                        	DSCP for RSVP signalling messages
                        	**type**\: int
                        
                        	**range:** 0..63
                        
                        .. attribute:: fast_local_repair
                        
                        	Fast Local Repair parameters
                        	**type**\:  :py:class:`FastLocalRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.FastLocalRepair>`
                        
                        .. attribute:: hello
                        
                        	Enable neighbor\-down detection
                        	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling, self).__init__()

                            self.yang_name = "signalling"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"fast-local-repair" : ("fast_local_repair", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.FastLocalRepair), "hello" : ("hello", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello)}
                            self._child_list_classes = {}

                            self.dscp = YLeaf(YType.uint8, "dscp")

                            self.fast_local_repair = Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.FastLocalRepair()
                            self.fast_local_repair.parent = self
                            self._children_name_map["fast_local_repair"] = "fast-local-repair"
                            self._children_yang_names.add("fast-local-repair")

                            self.hello = None
                            self._children_name_map["hello"] = "hello"
                            self._children_yang_names.add("hello")
                            self._segment_path = lambda: "signalling"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling, ['dscp'], name, value)


                        class FastLocalRepair(Entity):
                            """
                            Fast Local Repair parameters
                            
                            .. attribute:: wait_time
                            
                            	Wait Time for start of Fast Local Repair in msec
                            	**type**\: int
                            
                            	**range:** 0..5000
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.FastLocalRepair, self).__init__()

                                self.yang_name = "fast-local-repair"
                                self.yang_parent_name = "signalling"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.wait_time = YLeaf(YType.uint16, "wait-time")
                                self._segment_path = lambda: "fast-local-repair"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.FastLocalRepair, ['wait_time'], name, value)


                        class Hello(Entity):
                            """
                            Enable neighbor\-down detection
                            
                            .. attribute:: bfd
                            
                            	Configure BFD trigger for MPLS/TE FRR
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp
                            
                            	DSCP for RSVP Hello messages
                            	**type**\: int
                            
                            	**range:** 0..63
                            
                            .. attribute:: graceful_restart
                            
                            	Configure RSVP Graceful Restart
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: refresh
                            
                            	Configure RSVP Hello refresh behavior for Fast\-Reroute
                            	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Refresh>`
                            
                            .. attribute:: reroute
                            
                            	Configure RSVP Hello refresh behavior for Reroute
                            	**type**\:  :py:class:`Reroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello, self).__init__()

                                self.yang_name = "hello"
                                self.yang_parent_name = "signalling"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"refresh" : ("refresh", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Refresh), "reroute" : ("reroute", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.bfd = YLeaf(YType.empty, "bfd")

                                self.dscp = YLeaf(YType.uint8, "dscp")

                                self.graceful_restart = YLeaf(YType.empty, "graceful-restart")

                                self.refresh = Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Refresh()
                                self.refresh.parent = self
                                self._children_name_map["refresh"] = "refresh"
                                self._children_yang_names.add("refresh")

                                self.reroute = Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute()
                                self.reroute.parent = self
                                self._children_name_map["reroute"] = "reroute"
                                self._children_yang_names.add("reroute")
                                self._segment_path = lambda: "hello"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello, ['bfd', 'dscp', 'graceful_restart'], name, value)


                            class Refresh(Entity):
                                """
                                Configure RSVP Hello refresh behavior for Fast\-Reroute
                                
                                .. attribute:: interval
                                
                                	Hello interval in msec
                                	**type**\: int
                                
                                	**range:** 10..30000
                                
                                .. attribute:: misses
                                
                                	Number of missed Hello Acks which triggers neighbor down
                                	**type**\: int
                                
                                	**range:** 4..10
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Refresh, self).__init__()

                                    self.yang_name = "refresh"
                                    self.yang_parent_name = "hello"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")

                                    self.misses = YLeaf(YType.uint8, "misses")
                                    self._segment_path = lambda: "refresh"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Refresh, ['interval', 'misses'], name, value)


                            class Reroute(Entity):
                                """
                                Configure RSVP Hello refresh behavior for Reroute
                                
                                .. attribute:: dscp
                                
                                	DSCP for RSVP Hello messages
                                	**type**\: int
                                
                                	**range:** 0..63
                                
                                .. attribute:: refresh
                                
                                	Configure RSVP Reroute Hello refresh behavior
                                	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh>`
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute, self).__init__()

                                    self.yang_name = "reroute"
                                    self.yang_parent_name = "hello"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"refresh" : ("refresh", Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh)}
                                    self._child_list_classes = {}

                                    self.dscp = YLeaf(YType.uint8, "dscp")

                                    self.refresh = Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh()
                                    self.refresh.parent = self
                                    self._children_name_map["refresh"] = "refresh"
                                    self._children_yang_names.add("refresh")
                                    self._segment_path = lambda: "reroute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute, ['dscp'], name, value)


                                class Refresh(Entity):
                                    """
                                    Configure RSVP Reroute Hello refresh behavior
                                    
                                    .. attribute:: interval
                                    
                                    	Hello Reroute interval in msec
                                    	**type**\: int
                                    
                                    	**range:** 1000..30000
                                    
                                    .. attribute:: misses
                                    
                                    	Number of missed Hello Acks which triggers neighbor down
                                    	**type**\: int
                                    
                                    	**range:** 4..10
                                    
                                    

                                    """

                                    _prefix = 'ios-rsvp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh, self).__init__()

                                        self.yang_name = "refresh"
                                        self.yang_parent_name = "reroute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")

                                        self.misses = YLeaf(YType.uint8, "misses")
                                        self._segment_path = lambda: "refresh"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Signalling.Hello.Reroute.Refresh, ['interval', 'misses'], name, value)


                    class Tos(Entity):
                        """
                        RSVP TOS setting
                        
                        .. attribute:: conform
                        
                        	TOS for packets conforming to RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..31
                        
                        .. attribute:: exceed
                        
                        	TOS for packets over RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..31
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Tos, self).__init__()

                            self.yang_name = "tos"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.conform = YLeaf(YType.uint8, "conform")

                            self.exceed = YLeaf(YType.uint8, "exceed")
                            self._segment_path = lambda: "tos"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Rsvp.Tos, ['conform', 'exceed'], name, value)


                class Wccp(Entity):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Wccp.WebCache>`
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ip.Wccp, self).__init__()

                        self.yang_name = "wccp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.TenGigabitEthernet.Ip.Wccp.WebCache), "redirect" : ("redirect", Native.Interface.TenGigabitEthernet.Ip.Wccp.Redirect)}
                        self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.TenGigabitEthernet.Ip.Wccp.WccpList), "vrf" : ("vrf", Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf)}

                        self.web_cache = Native.Interface.TenGigabitEthernet.Ip.Wccp.WebCache()
                        self.web_cache.parent = self
                        self._children_name_map["web_cache"] = "web-cache"
                        self._children_yang_names.add("web-cache")

                        self.redirect = Native.Interface.TenGigabitEthernet.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.wccp_list = YList(self)
                        self.vrf = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-wccp:wccp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Wccp, [], name, value)


                    class WccpList(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Wccp.WccpList, self).__init__()

                            self.yang_name = "wccp-list"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.TenGigabitEthernet.Ip.Wccp.WccpList.Redirect)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.TenGigabitEthernet.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Wccp.WccpList, ['id', 'group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Wccp.WccpList.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "wccp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Wccp.WccpList.Redirect, ['in_', 'out'], name, value)


                    class WebCache(Entity):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Wccp.WebCache, self).__init__()

                            self.yang_name = "web-cache"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.TenGigabitEthernet.Ip.Wccp.WebCache.Redirect)}
                            self._child_list_classes = {}

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.TenGigabitEthernet.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "web-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Wccp.WebCache, ['group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Wccp.WebCache.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "web-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Wccp.WebCache.Redirect, ['in_', 'out'], name, value)


                    class Redirect(Entity):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:  :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Wccp.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"exclude" : ("exclude", Native.Interface.TenGigabitEthernet.Ip.Wccp.Redirect.Exclude)}
                            self._child_list_classes = {}

                            self.exclude = Native.Interface.TenGigabitEthernet.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self
                            self._children_name_map["exclude"] = "exclude"
                            self._children_yang_names.add("exclude")
                            self._segment_path = lambda: "redirect"


                        class Exclude(Entity):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Wccp.Redirect.Exclude, self).__init__()

                                self.yang_name = "exclude"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "exclude"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Wccp.Redirect.Exclude, ['in_'], name, value)


                    class Vrf(Entity):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WebCache)}
                            self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WccpList)}

                            self.name = YLeaf(YType.str, "name")

                            self.web_cache = Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self
                            self._children_name_map["web_cache"] = "web-cache"
                            self._children_yang_names.add("web-cache")

                            self.wccp_list = YList(self)
                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf, ['name'], name, value)


                        class WccpList(Entity):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WccpList, self).__init__()

                                self.yang_name = "wccp-list"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WccpList.Redirect)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint8, "id")

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WccpList, ['id', 'group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WccpList.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "wccp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WccpList.Redirect, ['in_', 'out'], name, value)


                        class WebCache(Entity):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WebCache, self).__init__()

                                self.yang_name = "web-cache"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WebCache.Redirect)}
                                self._child_list_classes = {}

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "web-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WebCache, ['group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WebCache.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "web-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ip.Wccp.Vrf.WebCache.Redirect, ['in_', 'out'], name, value)


            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.TrafficFilter>`
                
                .. attribute:: crypto
                
                	Encryption/Decryption commands
                	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Crypto>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Flow>`
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\: bool
                
                .. attribute:: no_pim
                
                	
                	**type**\:  :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.NoPim>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Pim>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf>`
                
                .. attribute:: rip
                
                	Configure RIP routing protocol
                	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Rip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.TenGigabitEthernet.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.TenGigabitEthernet.Ipv6.Dhcp), "address" : ("address", Native.Interface.TenGigabitEthernet.Ipv6.Address), "nd" : ("nd", Native.Interface.TenGigabitEthernet.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.TenGigabitEthernet.Ipv6.Tcp), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.TenGigabitEthernet.Ipv6.Crypto), "Cisco-IOS-XE-flow:flow" : ("flow", Native.Interface.TenGigabitEthernet.Ipv6.Flow), "Cisco-IOS-XE-multicast:no-pim" : ("no_pim", Native.Interface.TenGigabitEthernet.Ipv6.NoPim), "Cisco-IOS-XE-multicast:pim" : ("pim", Native.Interface.TenGigabitEthernet.Ipv6.Pim), "Cisco-IOS-XE-ospf:ospf" : ("ospf", Native.Interface.TenGigabitEthernet.Ipv6.Ospf)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.TenGigabitEthernet.Ipv6.TrafficFilter), "Cisco-IOS-XE-rip:rip" : ("rip", Native.Interface.TenGigabitEthernet.Ipv6.Rip)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.unreachables = YLeaf(YType.boolean, "Cisco-IOS-XE-icmp:unreachables")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.TenGigabitEthernet.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.TenGigabitEthernet.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.TenGigabitEthernet.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.TenGigabitEthernet.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.crypto = Native.Interface.TenGigabitEthernet.Ipv6.Crypto()
                    self.crypto.parent = self
                    self._children_name_map["crypto"] = "crypto"
                    self._children_yang_names.add("crypto")

                    self.flow = Native.Interface.TenGigabitEthernet.Ipv6.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.no_pim = Native.Interface.TenGigabitEthernet.Ipv6.NoPim()
                    self.no_pim.parent = self
                    self._children_name_map["no_pim"] = "no-pim"
                    self._children_yang_names.add("no-pim")

                    self.pim = Native.Interface.TenGigabitEthernet.Ipv6.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.ospf = Native.Interface.TenGigabitEthernet.Ipv6.Ospf()
                    self.ospf.parent = self
                    self._children_name_map["ospf"] = "ospf"
                    self._children_yang_names.add("ospf")

                    self.traffic_filter = YList(self)
                    self.rip = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects', 'unreachables'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: client
                    
                    	Act as an IPv6 DHCP client
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Client>`
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of  		 :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Server>`
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Client), "Cisco-IOS-XE-dhcp:guard" : ("guard", Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Guard)}
                        self._child_list_classes = {"Cisco-IOS-XE-dhcp:server" : ("server", Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Server)}

                        self.client = Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.guard = None
                        self._children_name_map["guard"] = "guard"
                        self._children_yang_names.add("guard")

                        self.server = YList(self)
                        self._segment_path = lambda: "dhcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Dhcp, [], name, value)


                    class Client(Entity):
                        """
                        Act as an IPv6 DHCP client
                        
                        .. attribute:: request
                        
                        	Request
                        	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Client.Request>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"request" : ("request", Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Client.Request)}
                            self._child_list_classes = {}

                            self.request = Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Client.Request()
                            self.request.parent = self
                            self._children_name_map["request"] = "request"
                            self._children_yang_names.add("request")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"


                        class Request(Entity):
                            """
                            Request
                            
                            .. attribute:: vendor
                            
                            	Request Vendor specific options
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Client.Request, self).__init__()

                                self.yang_name = "request"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vendor = YLeaf(YType.empty, "vendor")
                                self._segment_path = lambda: "request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Client.Request, ['vendor'], name, value)


                    class Server(Entity):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.preference = YLeaf(YType.uint8, "preference")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:server" + "[word='" + self.word.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Server, ['word', 'preference'], name, value)


                    class Guard(Entity):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Guard, self).__init__()

                            self.yang_name = "guard"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:guard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Dhcp.Guard, ['attach_policy'], name, value)


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.TenGigabitEthernet.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.TenGigabitEthernet.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.TenGigabitEthernet.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.TenGigabitEthernet.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:  :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Nd.Raguard>`
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:  :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Nd.Ra>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-nd:raguard" : ("raguard", Native.Interface.TenGigabitEthernet.Ipv6.Nd.Raguard), "Cisco-IOS-XE-nd:autoconfig" : ("autoconfig", Native.Interface.TenGigabitEthernet.Ipv6.Nd.Autoconfig), "Cisco-IOS-XE-nd:ra" : ("ra", Native.Interface.TenGigabitEthernet.Ipv6.Nd.Ra)}
                        self._child_list_classes = {}

                        self.managed_config_flag = YLeaf(YType.empty, "Cisco-IOS-XE-nd:managed-config-flag")

                        self.raguard = Native.Interface.TenGigabitEthernet.Ipv6.Nd.Raguard()
                        self.raguard.parent = self
                        self._children_name_map["raguard"] = "raguard"
                        self._children_yang_names.add("raguard")

                        self.autoconfig = Native.Interface.TenGigabitEthernet.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.ra = Native.Interface.TenGigabitEthernet.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self._children_name_map["ra"] = "ra"
                        self._children_yang_names.add("ra")
                        self._segment_path = lambda: "nd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Nd, ['managed_config_flag'], name, value)


                    class Raguard(Entity):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Nd.Raguard, self).__init__()

                            self.yang_name = "raguard"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:raguard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Nd.Raguard, ['attach_policy'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Nd.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.default_route = YLeaf(YType.empty, "default-route")

                            self.prefix = YLeaf(YType.empty, "prefix")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Nd.Autoconfig, ['default_route', 'prefix'], name, value)


                    class Ra(Entity):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Nd.Ra, self).__init__()

                            self.yang_name = "ra"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"suppress" : ("suppress", Native.Interface.TenGigabitEthernet.Ipv6.Nd.Ra.Suppress)}
                            self._child_list_classes = {}

                            self.suppress = None
                            self._children_name_map["suppress"] = "suppress"
                            self._children_yang_names.add("suppress")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:ra"


                        class Suppress(Entity):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-04-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ipv6.Nd.Ra.Suppress, self).__init__()

                                self.yang_name = "suppress"
                                self.yang_parent_name = "ra"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.all = YLeaf(YType.empty, "all")
                                self._segment_path = lambda: "suppress"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Nd.Ra.Suppress, ['all'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class Crypto(Entity):
                    """
                    Encryption/Decryption commands
                    
                    .. attribute:: map
                    
                    	Assign an IPv6  Crypto Map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ipv6.Crypto, self).__init__()

                        self.yang_name = "crypto"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.map = YLeaf(YType.str, "map")
                        self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Crypto, ['map'], name, value)


                class Flow(Entity):
                    """
                    NetFlow related commands
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ipv6.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"monitor" : ("monitor", Native.Interface.TenGigabitEthernet.Ipv6.Flow.Monitor)}

                        self.ingress = YLeaf(YType.empty, "ingress")

                        self.egress = YLeaf(YType.empty, "egress")

                        self.monitor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-flow:flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Flow, ['ingress', 'egress'], name, value)


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of  		 :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Flow.Monitor.Sampler>`
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"sampler" : ("sampler", Native.Interface.TenGigabitEthernet.Ipv6.Flow.Monitor.Sampler)}

                            self.name = YLeaf(YType.str, "name")

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.sampler = YList(self)
                            self._segment_path = lambda: "monitor" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Flow.Monitor, ['name', 'input', 'output', 'multicast', 'unicast'], name, value)


                        class Sampler(Entity):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Flow.Monitor.Sampler.Direction>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ipv6.Flow.Monitor.Sampler, self).__init__()

                                self.yang_name = "sampler"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.direction = YLeaf(YType.enumeration, "direction")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "sampler" + "[direction='" + self.direction.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Flow.Monitor.Sampler, ['direction', 'name'], name, value)

                            class Direction(Enum):
                                """
                                Direction

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = Enum.YLeaf(0, "input")

                                output = Enum.YLeaf(1, "output")



                class NoPim(Entity):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ipv6.NoPim, self).__init__()

                        self.yang_name = "no-pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pim = YLeaf(YType.boolean, "pim")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:no-pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.NoPim, ['pim'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:  :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ipv6.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bsr" : ("bsr", Native.Interface.TenGigabitEthernet.Ipv6.Pim.Bsr)}
                        self._child_list_classes = {}

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.dr_priority = YLeaf(YType.uint32, "dr-priority")

                        self.bsr = Native.Interface.TenGigabitEthernet.Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self._children_name_map["bsr"] = "bsr"
                        self._children_yang_names.add("bsr")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Pim, ['bfd', 'dr_priority'], name, value)


                    class Bsr(Entity):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Pim.Bsr, self).__init__()

                            self.yang_name = "bsr"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.border = YLeaf(YType.empty, "border")
                            self._segment_path = lambda: "bsr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Pim.Bsr, ['border'], name, value)


                class Ospf(Entity):
                    """
                    OSPF interface commands
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: list of  		 :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Process>`
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: encryption
                    
                    	Enable encryption
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Network>`
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication), "bfd" : ("bfd", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Bfd), "database-filter" : ("database_filter", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.DemandCircuit), "encryption" : ("encryption", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption), "flood-reduction" : ("flood_reduction", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.FloodReduction), "mtu-ignore" : ("mtu_ignore", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.MtuIgnore), "network" : ("network", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Network), "shutdown" : ("shutdown", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Shutdown)}
                        self._child_list_classes = {"process" : ("process", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Process), "neighbor" : ("neighbor", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Neighbor)}

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.database_filter = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.encryption = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption()
                        self.encryption.parent = self
                        self._children_name_map["encryption"] = "encryption"
                        self._children_yang_names.add("encryption")

                        self.flood_reduction = None
                        self._children_name_map["flood_reduction"] = "flood-reduction"
                        self._children_yang_names.add("flood-reduction")

                        self.mtu_ignore = None
                        self._children_name_map["mtu_ignore"] = "mtu-ignore"
                        self._children_yang_names.add("mtu-ignore")

                        self.network = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.shutdown = None
                        self._children_name_map["shutdown"] = "shutdown"
                        self._children_yang_names.add("shutdown")

                        self.process = YList(self)
                        self.neighbor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-ospf:ospf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf, ['cost', 'dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                    class Process(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: instance
                        
                        	Set the OSPF instance
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..31
                        
                        		**type**\: int
                        
                        			**range:** 32..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Process, self).__init__()

                            self.yang_name = "process"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint16, "id")

                            self.area = YLeaf(YType.str, "area")

                            self.instance = YLeaf(YType.str, "instance")
                            self._segment_path = lambda: "process" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Process, ['id', 'area', 'instance'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec authentication
                        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec)}
                            self._child_list_classes = {}

                            self.null = YLeaf(YType.empty, "null")

                            self.ipsec = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec()
                            self.ipsec.parent = self
                            self._children_name_map["ipsec"] = "ipsec"
                            self._children_yang_names.add("ipsec")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication, ['null'], name, value)


                        class Ipsec(Entity):
                            """
                            Use IPsec authentication
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\: int
                            
                            	**range:** 256..4294967295
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5>`
                            
                            .. attribute:: sha1
                            
                            	Use SHA\-1 authentication
                            	**type**\:  :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec, self).__init__()

                                self.yang_name = "ipsec"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"md5" : ("md5", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5), "sha1" : ("sha1", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1)}
                                self._child_list_classes = {}

                                self.spi = YLeaf(YType.uint64, "spi")

                                self.md5 = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5()
                                self.md5.parent = self
                                self._children_name_map["md5"] = "md5"
                                self._children_yang_names.add("md5")

                                self.sha1 = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1()
                                self.sha1.parent = self
                                self._children_name_map["sha1"] = "sha1"
                                self._children_yang_names.add("sha1")
                                self._segment_path = lambda: "ipsec"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec, ['spi'], name, value)


                            class Md5(Entity):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5, self).__init__()

                                    self.yang_name = "md5"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "md5"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "md5"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Sha1(Entity):
                                """
                                Use SHA\-1 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1, self).__init__()

                                    self.yang_name = "sha1"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "sha1"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "sha1"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Bfd, ['disable'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.DatabaseFilter.All>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.DatabaseFilter, ['all', 'disable'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                    class DemandCircuit(Entity):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.DemandCircuit, ['disable', 'ignore'], name, value)


                    class Encryption(Entity):
                        """
                        Enable encryption
                        
                        .. attribute:: null
                        
                        	No IPsec encryption on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec encryption
                        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption, self).__init__()

                            self.yang_name = "encryption"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec)}
                            self._child_list_classes = {}

                            self.null = YLeaf(YType.empty, "null")

                            self.ipsec = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec()
                            self.ipsec.parent = self
                            self._children_name_map["ipsec"] = "ipsec"
                            self._children_yang_names.add("ipsec")
                            self._segment_path = lambda: "encryption"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption, ['null'], name, value)


                        class Ipsec(Entity):
                            """
                            Use IPsec encryption
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: esp
                            
                            	Use ESP encapsulation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipsec_3des
                            
                            	Use 3DES encryption
                            	**type**\:  :py:class:`Ipsec3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des>`
                            
                            .. attribute:: aes_cbc
                            
                            	Use AES\-CBC encryption
                            	**type**\:  :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec, self).__init__()

                                self.yang_name = "ipsec"
                                self.yang_parent_name = "encryption"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipsec_3des" : ("ipsec_3des", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des), "aes-cbc" : ("aes_cbc", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc)}
                                self._child_list_classes = {}

                                self.spi = YLeaf(YType.uint64, "spi")

                                self.esp = YLeaf(YType.empty, "esp")

                                self.ipsec_3des = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des()
                                self.ipsec_3des.parent = self
                                self._children_name_map["ipsec_3des"] = "ipsec_3des"
                                self._children_yang_names.add("ipsec_3des")

                                self.aes_cbc = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc()
                                self.aes_cbc.parent = self
                                self._children_name_map["aes_cbc"] = "aes-cbc"
                                self._children_yang_names.add("aes-cbc")
                                self._segment_path = lambda: "ipsec"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec, ['spi', 'esp'], name, value)


                            class Ipsec3Des(Entity):
                                """
                                Use 3DES encryption
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des, self).__init__()

                                    self.yang_name = "ipsec_3des"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "ipsec_3des"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "ipsec_3des"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class AesCbc(Entity):
                                """
                                Use AES\-CBC encryption
                                
                                .. attribute:: aes_cbc_128
                                
                                	Use 128 bit key
                                	**type**\:  :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128>`
                                
                                .. attribute:: aes_192
                                
                                	Use 192 bit key
                                	**type**\:  :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192>`
                                
                                .. attribute:: aes_256
                                
                                	Use 256 bit key
                                	**type**\:  :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc, self).__init__()

                                    self.yang_name = "aes-cbc"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"aes-cbc-128" : ("aes_cbc_128", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128), "aes-192" : ("aes_192", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192), "aes-256" : ("aes_256", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256)}
                                    self._child_list_classes = {}

                                    self.aes_cbc_128 = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128()
                                    self.aes_cbc_128.parent = self
                                    self._children_name_map["aes_cbc_128"] = "aes-cbc-128"
                                    self._children_yang_names.add("aes-cbc-128")

                                    self.aes_192 = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192()
                                    self.aes_192.parent = self
                                    self._children_name_map["aes_192"] = "aes-192"
                                    self._children_yang_names.add("aes-192")

                                    self.aes_256 = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256()
                                    self.aes_256.parent = self
                                    self._children_name_map["aes_256"] = "aes-256"
                                    self._children_yang_names.add("aes-256")
                                    self._segment_path = lambda: "aes-cbc"


                                class AesCbc128(Entity):
                                    """
                                    Use 128 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128, self).__init__()

                                        self.yang_name = "aes-cbc-128"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-cbc-128"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-cbc-128"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                                class Aes192(Entity):
                                    """
                                    Use 192 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192, self).__init__()

                                        self.yang_name = "aes-192"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-192"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-192"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                                class Aes256(Entity):
                                    """
                                    Use 256 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256, self).__init__()

                                        self.yang_name = "aes-256"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-256"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-256"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                    class FloodReduction(Entity):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	Disable Flood Reduction on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.FloodReduction, self).__init__()

                            self.yang_name = "flood-reduction"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "flood-reduction"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.FloodReduction, ['disable'], name, value)


                    class MtuIgnore(Entity):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.MtuIgnore, self).__init__()

                            self.yang_name = "mtu-ignore"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "mtu-ignore"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.MtuIgnore, ['disable'], name, value)


                    class Neighbor(Entity):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint16, "cost")

                            self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.database_filter = Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter.All>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Neighbor.DatabaseFilter, ['all'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                    class Network(Entity):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Network.PointToMultipoint)}
                            self._child_list_classes = {}

                            self.broadcast = YLeaf(YType.empty, "broadcast")

                            self.manet = YLeaf(YType.empty, "manet")

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                            self.point_to_point = YLeaf(YType.empty, "point-to-point")

                            self.point_to_multipoint = None
                            self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                            self._children_yang_names.add("point-to-multipoint")
                            self._segment_path = lambda: "network"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                        class PointToMultipoint(Entity):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Network.PointToMultipoint, self).__init__()

                                self.yang_name = "point-to-multipoint"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                self._segment_path = lambda: "point-to-multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Network.PointToMultipoint, ['non_broadcast'], name, value)


                    class Shutdown(Entity):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Shutdown, self).__init__()

                            self.yang_name = "shutdown"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "shutdown"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Ospf.Shutdown, ['disable'], name, value)


                class Rip(Entity):
                    """
                    Configure RIP routing protocol
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: enable
                    
                    	Enable/disable RIP routing
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: default_information
                    
                    	Configure handling of default route
                    	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Rip.DefaultInformation>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ipv6.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default-information" : ("default_information", Native.Interface.TenGigabitEthernet.Ipv6.Rip.DefaultInformation)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.default_information = Native.Interface.TenGigabitEthernet.Ipv6.Rip.DefaultInformation()
                        self.default_information.parent = self
                        self._children_name_map["default_information"] = "default-information"
                        self._children_yang_names.add("default-information")
                        self._segment_path = lambda: "Cisco-IOS-XE-rip:rip" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Rip, ['id', 'enable'], name, value)


                    class DefaultInformation(Entity):
                        """
                        Configure handling of default route
                        
                        .. attribute:: route
                        
                        	
                        	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ipv6.Rip.DefaultInformation.Route>`
                        
                        .. attribute:: metric
                        
                        	Default route metric
                        	**type**\: int
                        
                        	**range:** 1..15
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ipv6.Rip.DefaultInformation, self).__init__()

                            self.yang_name = "default-information"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.route = YLeaf(YType.enumeration, "route")

                            self.metric = YLeaf(YType.uint8, "metric")
                            self._segment_path = lambda: "default-information"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ipv6.Rip.DefaultInformation, ['route', 'metric'], name, value)

                        class Route(Enum):
                            """
                            Route

                            .. data:: only = 0

                            .. data:: originate = 1

                            """

                            only = Enum.YLeaf(0, "only")

                            originate = Enum.YLeaf(1, "originate")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.TenGigabitEthernet.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.TenGigabitEthernet.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.TenGigabitEthernet.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.TenGigabitEthernet.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.TenGigabitEthernet.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.TenGigabitEthernet.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.TenGigabitEthernet.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.TenGigabitEthernet.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.TenGigabitEthernet.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.TenGigabitEthernet.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.TenGigabitEthernet.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.TenGigabitEthernet.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.TenGigabitEthernet.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.TenGigabitEthernet.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.TenGigabitEthernet.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.TenGigabitEthernet.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.TenGigabitEthernet.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.TenGigabitEthernet.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.TenGigabitEthernet.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.TenGigabitEthernet.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.TenGigabitEthernet.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.TenGigabitEthernet.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.TenGigabitEthernet.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.TenGigabitEthernet.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.TenGigabitEthernet.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.TenGigabitEthernet.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.TenGigabitEthernet.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.TenGigabitEthernet.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.TenGigabitEthernet.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.TenGigabitEthernet.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.TenGigabitEthernet.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.TenGigabitEthernet.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.TenGigabitEthernet.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.TenGigabitEthernet.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.PmPath, ['name', 'interface_id'], name, value)


            class CarrierDelay(Entity):
                """
                Specify delay for interface transitions
                
                .. attribute:: seconds
                
                	
                	**type**\: int
                
                	**range:** 0..60
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\: int
                
                	**range:** 0..1000
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:  :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.CarrierDelay.Down>`
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:  :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.CarrierDelay, self).__init__()

                    self.yang_name = "carrier-delay"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"down" : ("down", Native.Interface.TenGigabitEthernet.CarrierDelay.Down), "up" : ("up", Native.Interface.TenGigabitEthernet.CarrierDelay.Up)}
                    self._child_list_classes = {}

                    self.seconds = YLeaf(YType.uint8, "seconds")

                    self.msec = YLeaf(YType.uint16, "msec")

                    self.down = Native.Interface.TenGigabitEthernet.CarrierDelay.Down()
                    self.down.parent = self
                    self._children_name_map["down"] = "down"
                    self._children_yang_names.add("down")

                    self.up = Native.Interface.TenGigabitEthernet.CarrierDelay.Up()
                    self.up.parent = self
                    self._children_name_map["up"] = "up"
                    self._children_yang_names.add("up")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:carrier-delay"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.CarrierDelay, ['seconds', 'msec'], name, value)


                class Down(Entity):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.CarrierDelay.Down, self).__init__()

                        self.yang_name = "down"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "down"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.CarrierDelay.Down, ['seconds', 'msec'], name, value)


                class Up(Entity):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.CarrierDelay.Up, self).__init__()

                        self.yang_name = "up"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "up"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.CarrierDelay.Up, ['seconds', 'msec'], name, value)


            class ChannelGroup(Entity):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 1..512
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.ChannelGroup.Mode>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\: int
                
                	**range:** 1..4
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.ChannelGroup, self).__init__()

                    self.yang_name = "channel-group"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint16, "number")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.non_silent = YLeaf(YType.empty, "non-silent")

                    self.link = YLeaf(YType.uint8, "link")

                    self.auto = YLeaf(YType.empty, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:channel-group"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.ChannelGroup, ['number', 'mode', 'non_silent', 'link', 'auto'], name, value)

                class Mode(Enum):
                    """
                    Mode

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = Enum.YLeaf(0, "active")

                    auto = Enum.YLeaf(1, "auto")

                    desirable = Enum.YLeaf(2, "desirable")

                    on = Enum.YLeaf(3, "on")

                    passive = Enum.YLeaf(4, "passive")



            class Ethernet(Entity):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:  :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Ethernet, self).__init__()

                    self.yang_name = "ethernet"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"oam" : ("oam", Native.Interface.TenGigabitEthernet.Ethernet.Oam)}
                    self._child_list_classes = {}

                    self.oam = None
                    self._children_name_map["oam"] = "oam"
                    self._children_yang_names.add("oam")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:ethernet"


                class Oam(Entity):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:  :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.Mode>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:  :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:  :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 2..30
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ethernet.Oam, self).__init__()

                        self.yang_name = "oam"
                        self.yang_parent_name = "ethernet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-monitor" : ("link_monitor", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor), "remote-failure" : ("remote_failure", Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure), "remote-loopback" : ("remote_loopback", Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteLoopback)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max_rate = YLeaf(YType.uint8, "max-rate")

                        self.min_rate = YLeaf(YType.uint8, "min-rate")

                        self.mode = YLeaf(YType.enumeration, "mode")

                        self.timeout = YLeaf(YType.uint8, "timeout")

                        self.link_monitor = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self._children_name_map["link_monitor"] = "link-monitor"
                        self._children_yang_names.add("link-monitor")

                        self.remote_failure = Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self._children_name_map["remote_failure"] = "remote-failure"
                        self._children_yang_names.add("remote-failure")

                        self.remote_loopback = Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self._children_name_map["remote_loopback"] = "remote-loopback"
                        self._children_yang_names.add("remote-loopback")
                        self._segment_path = lambda: "oam"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam, ['max_rate', 'min_rate', 'mode', 'timeout'], name, value)

                    class Mode(Enum):
                        """
                        Mode

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = Enum.YLeaf(0, "active")

                        passive = Enum.YLeaf(1, "passive")



                    class LinkMonitor(Entity):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:  :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:  :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:  :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:  :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:  :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:  :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor, self).__init__()

                            self.yang_name = "link-monitor"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"frame" : ("frame", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame), "frame-period" : ("frame_period", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod), "frame-seconds" : ("frame_seconds", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds), "high-threshold" : ("high_threshold", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold), "receive-crc" : ("receive_crc", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc), "symbol-period" : ("symbol_period", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod)}
                            self._child_list_classes = {}

                            self.on = YLeaf(YType.empty, "on")

                            self.supported = YLeaf(YType.empty, "supported")

                            self.frame = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self._children_name_map["frame"] = "frame"
                            self._children_yang_names.add("frame")

                            self.frame_period = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self._children_name_map["frame_period"] = "frame-period"
                            self._children_yang_names.add("frame-period")

                            self.frame_seconds = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self._children_name_map["frame_seconds"] = "frame-seconds"
                            self._children_yang_names.add("frame-seconds")

                            self.high_threshold = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self._children_name_map["high_threshold"] = "high-threshold"
                            self._children_yang_names.add("high-threshold")

                            self.receive_crc = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self._children_name_map["receive_crc"] = "receive-crc"
                            self._children_yang_names.add("receive-crc")

                            self.symbol_period = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self
                            self._children_name_map["symbol_period"] = "symbol-period"
                            self._children_yang_names.add("symbol-period")
                            self._segment_path = lambda: "link-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor, ['on', 'supported'], name, value)


                        class Frame(Entity):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame, self).__init__()

                                self.yang_name = "frame"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.thresh = YLeaf(YType.uint16, "thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, ['thresh', 'none'], name, value)


                        class FramePeriod(Entity):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod, self).__init__()

                                self.yang_name = "frame-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.f_thresh = YLeaf(YType.uint16, "f-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, ['f_thresh', 'none'], name, value)


                        class FrameSeconds(Entity):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds, self).__init__()

                                self.yang_name = "frame-seconds"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-seconds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\: int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-seconds"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.e_thresh = YLeaf(YType.uint16, "e-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, ['e_thresh', 'none'], name, value)


                        class HighThreshold(Entity):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold, self).__init__()

                                self.yang_name = "high-threshold"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "high-threshold"


                            class Action(Entity):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "high-threshold"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action, ['error_disable_interface'], name, value)


                        class ReceiveCrc(Entity):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc, self).__init__()

                                self.yang_name = "receive-crc"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "receive-crc"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "receive-crc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.crc_thresh = YLeaf(YType.uint16, "crc-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, ['crc_thresh', 'none'], name, value)


                        class SymbolPeriod(Entity):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod, self).__init__()

                                self.yang_name = "symbol-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "symbol-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "symbol-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.err_thresh = YLeaf(YType.uint16, "err-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, ['err_thresh', 'none'], name, value)


                    class RemoteFailure(Entity):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:  :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:  :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:  :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure, self).__init__()

                            self.yang_name = "remote-failure"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"critical-event" : ("critical_event", Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent), "dying-gasp" : ("dying_gasp", Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp), "link-fault" : ("link_fault", Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault)}
                            self._child_list_classes = {}

                            self.critical_event = Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self._children_name_map["critical_event"] = "critical-event"
                            self._children_yang_names.add("critical-event")

                            self.dying_gasp = Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self._children_name_map["dying_gasp"] = "dying-gasp"
                            self._children_yang_names.add("dying-gasp")

                            self.link_fault = Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self
                            self._children_name_map["link_fault"] = "link-fault"
                            self._children_yang_names.add("link-fault")
                            self._segment_path = lambda: "remote-failure"


                        class CriticalEvent(Entity):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent, self).__init__()

                                self.yang_name = "critical-event"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "critical-event"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "critical-event"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, ['error_disable_interface'], name, value)


                        class DyingGasp(Entity):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp, self).__init__()

                                self.yang_name = "dying-gasp"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "dying-gasp"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "dying-gasp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action, ['error_disable_interface'], name, value)


                        class LinkFault(Entity):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault, self).__init__()

                                self.yang_name = "link-fault"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "link-fault"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "link-fault"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action, ['error_disable_interface'], name, value)


                    class RemoteLoopback(Entity):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteLoopback, self).__init__()

                            self.yang_name = "remote-loopback"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.supported = YLeaf(YType.empty, "supported")

                            self.timeout = YLeaf(YType.uint8, "timeout")
                            self._segment_path = lambda: "remote-loopback"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ethernet.Oam.RemoteLoopback, ['supported', 'timeout'], name, value)


            class Negotiation(Entity):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\: bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Negotiation, self).__init__()

                    self.yang_name = "negotiation"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:negotiation"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Negotiation, ['auto'], name, value)


            class Synchronous(Entity):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Synchronous, self).__init__()

                    self.yang_name = "synchronous"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mode = YLeaf(YType.empty, "mode")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:synchronous"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Synchronous, ['mode'], name, value)


            class Speed(Entity):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Speed, self).__init__()

                    self.yang_name = "speed"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.empty, "auto")

                    self.value_10 = YLeaf(YType.empty, "value-10")

                    self.value_100 = YLeaf(YType.empty, "value-100")

                    self.value_1000 = YLeaf(YType.empty, "value-1000")

                    self.value_10000 = YLeaf(YType.empty, "value-10000")

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:speed"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Speed, ['auto', 'value_10', 'value_100', 'value_1000', 'value_10000', 'nonegotiate'], name, value)


            class Plim(Entity):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Plim, self).__init__()

                    self.yang_name = "plim"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.TenGigabitEthernet.Plim.Ethernet), "qos" : ("qos", Native.Interface.TenGigabitEthernet.Plim.Qos)}
                    self._child_list_classes = {}

                    self.ethernet = Native.Interface.TenGigabitEthernet.Plim.Ethernet()
                    self.ethernet.parent = self
                    self._children_name_map["ethernet"] = "ethernet"
                    self._children_yang_names.add("ethernet")

                    self.qos = Native.Interface.TenGigabitEthernet.Plim.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:plim"


                class Ethernet(Entity):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Plim.Ethernet, self).__init__()

                        self.yang_name = "ethernet"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.TenGigabitEthernet.Plim.Ethernet.Vlan)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.TenGigabitEthernet.Plim.Ethernet.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "ethernet"


                    class Vlan(Entity):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Plim.Ethernet.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"filter" : ("filter", Native.Interface.TenGigabitEthernet.Plim.Ethernet.Vlan.Filter)}
                            self._child_list_classes = {}

                            self.filter = Native.Interface.TenGigabitEthernet.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self
                            self._children_name_map["filter"] = "filter"
                            self._children_yang_names.add("filter")
                            self._segment_path = lambda: "vlan"


                        class Filter(Entity):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Plim.Ethernet.Vlan.Filter, self).__init__()

                                self.yang_name = "filter"
                                self.yang_parent_name = "vlan"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Plim.Ethernet.Vlan.Filter, ['disable'], name, value)


                class Qos(Entity):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Plim.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"input" : ("input", Native.Interface.TenGigabitEthernet.Plim.Qos.Input)}
                        self._child_list_classes = {}

                        self.input = Native.Interface.TenGigabitEthernet.Plim.Qos.Input()
                        self.input.parent = self
                        self._children_name_map["input"] = "input"
                        self._children_yang_names.add("input")
                        self._segment_path = lambda: "qos"


                    class Input(Entity):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Plim.Qos.Input, self).__init__()

                            self.yang_name = "input"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"queue" : ("queue", Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue)}
                            self._child_list_classes = {}

                            self.queue = Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue()
                            self.queue.parent = self
                            self._children_name_map["queue"] = "queue"
                            self._children_yang_names.add("queue")
                            self._segment_path = lambda: "input"


                        class Queue(Entity):
                            """
                            Queue number
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:  :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.Zero>`
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:  :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue, self).__init__()

                                self.yang_name = "queue"
                                self.yang_parent_name = "input"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"zero" : ("zero", Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.Zero), "strict-priority" : ("strict_priority", Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority)}
                                self._child_list_classes = {}

                                self.zero = Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self
                                self._children_name_map["zero"] = "zero"
                                self._children_yang_names.add("zero")

                                self.strict_priority = Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self._children_name_map["strict_priority"] = "strict-priority"
                                self._children_yang_names.add("strict-priority")
                                self._segment_path = lambda: "queue"


                            class Zero(Entity):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.Zero, self).__init__()

                                    self.yang_name = "zero"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "zero"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "zero"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause, ['enable', 'threshold'], name, value)


                            class StrictPriority(Entity):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority, self).__init__()

                                    self.yang_name = "strict-priority"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "strict-priority"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "strict-priority"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause, ['enable', 'threshold'], name, value)


            class Pppoe(Entity):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\: int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Pppoe, self).__init__()

                    self.yang_name = "pppoe"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"enable" : ("enable", Native.Interface.TenGigabitEthernet.Pppoe.Enable)}
                    self._child_list_classes = {}

                    self.max_sessions = YLeaf(YType.uint16, "max-sessions")

                    self.enable = None
                    self._children_name_map["enable"] = "enable"
                    self._children_yang_names.add("enable")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:pppoe"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Pppoe, ['max_sessions'], name, value)


                class Enable(Entity):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Pppoe.Enable.Group>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Pppoe.Enable, self).__init__()

                        self.yang_name = "enable"
                        self.yang_parent_name = "pppoe"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "enable"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Pppoe.Enable, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = Enum.YLeaf(0, "global")



            class Service(Entity):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of  		 :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Service, self).__init__()

                    self.yang_name = "service"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"instance" : ("instance", Native.Interface.TenGigabitEthernet.Service.Instance)}

                    self.instance = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:service"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Service, [], name, value)


                class Instance(Entity):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\: str
                    
                    	**length:** 0..240
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\: str
                    
                    	**length:** 1..100
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation>`
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Ipv6>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:  :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:  :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:  :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Snmp>`
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:  :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Mac>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:  :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Cfm>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:  :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Service.Instance, self).__init__()

                        self.yang_name = "instance"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation), "ip" : ("ip", Native.Interface.TenGigabitEthernet.Service.Instance.Ip), "ipv6" : ("ipv6", Native.Interface.TenGigabitEthernet.Service.Instance.Ipv6), "rewrite" : ("rewrite", Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite), "errdisable" : ("errdisable", Native.Interface.TenGigabitEthernet.Service.Instance.Errdisable), "ethernet-container" : ("ethernet_container", Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer), "snmp" : ("snmp", Native.Interface.TenGigabitEthernet.Service.Instance.Snmp), "bridge-domain" : ("bridge_domain", Native.Interface.TenGigabitEthernet.Service.Instance.BridgeDomain), "mac" : ("mac", Native.Interface.TenGigabitEthernet.Service.Instance.Mac), "service-policy" : ("service_policy", Native.Interface.TenGigabitEthernet.Service.Instance.ServicePolicy), "cfm" : ("cfm", Native.Interface.TenGigabitEthernet.Service.Instance.Cfm), "l2protocol" : ("l2protocol", Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol), "Cisco-IOS-XE-l2vpn:xconnect" : ("xconnect", Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect), "Cisco-IOS-XE-l2vpn:xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint32, "id")

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.gigabitethernet = YLeaf(YType.empty, "GigabitEthernet")

                        self.ethernet = YLeaf(YType.empty, "ethernet")

                        self.ethernet_evc_name = YLeaf(YType.str, "ethernet-evc-name")

                        self.description = YLeaf(YType.str, "description")

                        self.evc_name = YLeaf(YType.str, "evc-name")

                        self.group = YLeaf(YType.uint32, "group")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.encapsulation = Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self._children_name_map["encapsulation"] = "encapsulation"
                        self._children_yang_names.add("encapsulation")

                        self.ip = Native.Interface.TenGigabitEthernet.Service.Instance.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.ipv6 = Native.Interface.TenGigabitEthernet.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.rewrite = Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self._children_name_map["rewrite"] = "rewrite"
                        self._children_yang_names.add("rewrite")

                        self.errdisable = Native.Interface.TenGigabitEthernet.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self._children_name_map["errdisable"] = "errdisable"
                        self._children_yang_names.add("errdisable")

                        self.ethernet_container = Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self._children_name_map["ethernet_container"] = "ethernet-container"
                        self._children_yang_names.add("ethernet-container")

                        self.snmp = Native.Interface.TenGigabitEthernet.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self._children_name_map["snmp"] = "snmp"
                        self._children_yang_names.add("snmp")

                        self.bridge_domain = Native.Interface.TenGigabitEthernet.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self._children_name_map["bridge_domain"] = "bridge-domain"
                        self._children_yang_names.add("bridge-domain")

                        self.mac = Native.Interface.TenGigabitEthernet.Service.Instance.Mac()
                        self.mac.parent = self
                        self._children_name_map["mac"] = "mac"
                        self._children_yang_names.add("mac")

                        self.service_policy = Native.Interface.TenGigabitEthernet.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self._children_name_map["service_policy"] = "service-policy"
                        self._children_yang_names.add("service-policy")

                        self.cfm = Native.Interface.TenGigabitEthernet.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self._children_name_map["cfm"] = "cfm"
                        self._children_yang_names.add("cfm")

                        self.l2protocol = Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self._children_name_map["l2protocol"] = "l2protocol"
                        self._children_yang_names.add("l2protocol")

                        self.xconnect = Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")

                        self.xconnect_pw_class = Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass()
                        self.xconnect_pw_class.parent = self
                        self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                        self._children_yang_names.add("xconnect-pw-class")
                        self._segment_path = lambda: "instance" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance, ['id', 'trunk', 'gigabitethernet', 'ethernet', 'ethernet_evc_name', 'description', 'evc_name', 'group', 'shutdown'], name, value)


                    class Encapsulation(Entity):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:  :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:  :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation, self).__init__()

                            self.yang_name = "encapsulation"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Q), "priority-tagged" : ("priority_tagged", Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged), "untagged" : ("untagged", Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Untagged)}
                            self._child_list_classes = {}

                            self.default = YLeaf(YType.empty, "default")

                            self.dot1ad = Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self._children_name_map["dot1ad"] = "dot1ad"
                            self._children_yang_names.add("dot1ad")

                            self.dot1q = Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self._children_name_map["dot1q"] = "dot1q"
                            self._children_yang_names.add("dot1q")

                            self.priority_tagged = Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self._children_name_map["priority_tagged"] = "priority-tagged"
                            self._children_yang_names.add("priority-tagged")

                            self.untagged = None
                            self._children_name_map["untagged"] = "untagged"
                            self._children_yang_names.add("untagged")
                            self._segment_path = lambda: "encapsulation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation, ['default'], name, value)


                        class Dot1Ad(Entity):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Dot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad, self).__init__()

                                self.yang_name = "dot1ad"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.dot1q = YLeafList(YType.str, "dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.cos2 = Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1ad"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad, ['id', 'cos', 'dot1q', 'etype', 'exact'], name, value)

                            class Dot1Q(Enum):
                                """
                                Dot1Q

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1ad"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2, ['cos'], name, value)


                        class Dot1Q(Entity):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`SecondDot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:  :py:class:`VlanType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.VlanType>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Q, self).__init__()

                                self.yang_name = "dot1q"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.second_dot1q = YLeafList(YType.str, "second-dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.vlan_type = YLeaf(YType.enumeration, "vlan-type")

                                self.cos2 = Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1q"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Q, ['id', 'cos', 'second_dot1q', 'etype', 'exact', 'vlan_type'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class SecondDot1Q(Enum):
                                """
                                SecondDot1Q

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class VlanType(Enum):
                                """
                                VlanType

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = Enum.YLeaf(0, "0x88A8")

                                Y_0x9100 = Enum.YLeaf(1, "0x9100")

                                Y_0x9200 = Enum.YLeaf(2, "0x9200")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1q"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2, ['cos'], name, value)


                        class PriorityTagged(Entity):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:  :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.Etype>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged, self).__init__()

                                self.yang_name = "priority-tagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos-container" : ("cos_container", Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer)}
                                self._child_list_classes = {}

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.cos_container = Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self._children_name_map["cos_container"] = "cos-container"
                                self._children_yang_names.add("cos-container")
                                self._segment_path = lambda: "priority-tagged"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged, ['etype'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")



                            class CosContainer(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer, self).__init__()

                                    self.yang_name = "cos-container"
                                    self.yang_parent_name = "priority-tagged"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer, ['cos'], name, value)


                        class Untagged(Entity):
                            """
                            Untagged encapsulation
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Encapsulation.Untagged, self).__init__()

                                self.yang_name = "untagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "untagged"


                    class Ip(Entity):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"acl" : ("acl", Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Acl), "dhcp" : ("dhcp", Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp), "verify" : ("verify", Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Verify)}
                            self._child_list_classes = {}

                            self.acl = Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")

                            self.dhcp = Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self._children_name_map["dhcp"] = "dhcp"
                            self._children_yang_names.add("dhcp")

                            self.verify = Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Verify()
                            self.verify.parent = self
                            self._children_name_map["verify"] = "verify"
                            self._children_yang_names.add("verify")
                            self._segment_path = lambda: "ip"


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.access_group = YLeaf(YType.str, "access-group")

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Acl, ['access_group', 'in_', 'out'], name, value)


                        class Dhcp(Entity):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp, self).__init__()

                                self.yang_name = "dhcp"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"relay" : ("relay", Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp.Relay)}
                                self._child_list_classes = {}

                                self.relay = Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self
                                self._children_name_map["relay"] = "relay"
                                self._children_yang_names.add("relay")
                                self._segment_path = lambda: "dhcp"


                            class Relay(Entity):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp.Relay, self).__init__()

                                    self.yang_name = "relay"
                                    self.yang_parent_name = "dhcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"information" : ("information", Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information)}
                                    self._child_list_classes = {}

                                    self.information = Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self
                                    self._children_name_map["information"] = "information"
                                    self._children_yang_names.add("information")
                                    self._segment_path = lambda: "relay"


                                class Information(Entity):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information, self).__init__()

                                        self.yang_name = "information"
                                        self.yang_parent_name = "relay"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"option" : ("option", Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option)}
                                        self._child_list_classes = {}

                                        self.option = Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self
                                        self._children_name_map["option"] = "option"
                                        self._children_yang_names.add("option")
                                        self._segment_path = lambda: "information"


                                    class Option(Entity):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                            self.yang_name = "option"
                                            self.yang_parent_name = "information"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                            self._segment_path = lambda: "option"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                        class Verify(Entity):
                            """
                            verify
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Verify, self).__init__()

                                self.yang_name = "verify"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.source = YLeaf(YType.empty, "source")

                                self.vlan = YLeaf(YType.empty, "vlan")

                                self.dhcp_snooping = YLeaf(YType.empty, "dhcp-snooping")

                                self.port_security = YLeaf(YType.empty, "port-security")
                                self._segment_path = lambda: "verify"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Ip.Verify, ['source', 'vlan', 'dhcp_snooping', 'port_security'], name, value)


                    class Ipv6(Entity):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\: str
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.traffic_filter = YLeaf(YType.str, "traffic-filter")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Ipv6, ['traffic_filter', 'in_', 'out'], name, value)


                    class Rewrite(Entity):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:  :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite, self).__init__()

                            self.yang_name = "rewrite"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ingress" : ("ingress", Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress)}
                            self._child_list_classes = {}

                            self.ingress = Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self
                            self._children_name_map["ingress"] = "ingress"
                            self._children_yang_names.add("ingress")
                            self._segment_path = lambda: "rewrite"


                        class Ingress(Entity):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress, self).__init__()

                                self.yang_name = "ingress"
                                self.yang_parent_name = "rewrite"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"tag" : ("tag", Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag)}
                                self._child_list_classes = {}

                                self.tag = Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self
                                self._children_name_map["tag"] = "tag"
                                self._children_yang_names.add("tag")
                                self._segment_path = lambda: "ingress"


                            class Tag(Entity):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:  :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:  :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag, self).__init__()

                                    self.yang_name = "tag"
                                    self.yang_parent_name = "ingress"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pop" : ("pop", Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop), "push" : ("push", Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push), "translate" : ("translate", Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate)}
                                    self._child_list_classes = {}

                                    self.pop = Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self._children_name_map["pop"] = "pop"
                                    self._children_yang_names.add("pop")

                                    self.push = Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self._children_name_map["push"] = "push"
                                    self._children_yang_names.add("push")

                                    self.translate = Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self
                                    self._children_name_map["translate"] = "translate"
                                    self._children_yang_names.add("translate")
                                    self._segment_path = lambda: "tag"


                                class Pop(Entity):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:  :py:class:`Way <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop.Way>`
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop, self).__init__()

                                        self.yang_name = "pop"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.way = YLeaf(YType.enumeration, "way")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "pop"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop, ['way', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")


                                    class Way(Enum):
                                        """
                                        Way

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class Push(Entity):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push, self).__init__()

                                        self.yang_name = "push"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dot1q = YLeaf(YType.uint16, "dot1q")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "push"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push, ['dot1q', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")



                                class Translate(Entity):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:  :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:  :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:  :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:  :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate, self).__init__()

                                        self.yang_name = "translate"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"t1-to-1" : ("t1_to_1", Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1), "t1-to-2" : ("t1_to_2", Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2), "t2-to-1" : ("t2_to_1", Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1), "t2-to-2" : ("t2_to_2", Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2)}
                                        self._child_list_classes = {}

                                        self.t1_to_1 = Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self._children_name_map["t1_to_1"] = "t1-to-1"
                                        self._children_yang_names.add("t1-to-1")

                                        self.t1_to_2 = Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self._children_name_map["t1_to_2"] = "t1-to-2"
                                        self._children_yang_names.add("t1-to-2")

                                        self.t2_to_1 = Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self._children_name_map["t2_to_1"] = "t2-to-1"
                                        self._children_yang_names.add("t2-to-1")

                                        self.t2_to_2 = Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self
                                        self._children_name_map["t2_to_2"] = "t2-to-2"
                                        self._children_yang_names.add("t2-to-2")
                                        self._segment_path = lambda: "translate"


                                    class T1To1(Entity):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, self).__init__()

                                            self.yang_name = "t1-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T1To2(Entity):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, self).__init__()

                                            self.yang_name = "t1-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To1(Entity):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, self).__init__()

                                            self.yang_name = "t2-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To2(Entity):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, self).__init__()

                                            self.yang_name = "t2-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                    class Errdisable(Entity):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Errdisable, self).__init__()

                            self.yang_name = "errdisable"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"recovery" : ("recovery", Native.Interface.TenGigabitEthernet.Service.Instance.Errdisable.Recovery)}
                            self._child_list_classes = {}

                            self.recovery = Native.Interface.TenGigabitEthernet.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self
                            self._children_name_map["recovery"] = "recovery"
                            self._children_yang_names.add("recovery")
                            self._segment_path = lambda: "errdisable"


                        class Recovery(Entity):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:  :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Errdisable.Recovery, self).__init__()

                                self.yang_name = "recovery"
                                self.yang_parent_name = "errdisable"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cause" : ("cause", Native.Interface.TenGigabitEthernet.Service.Instance.Errdisable.Recovery.Cause)}
                                self._child_list_classes = {}

                                self.cause = Native.Interface.TenGigabitEthernet.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self
                                self._children_name_map["cause"] = "cause"
                                self._children_yang_names.add("cause")
                                self._segment_path = lambda: "recovery"


                            class Cause(Entity):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\: int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.Errdisable.Recovery.Cause, self).__init__()

                                    self.yang_name = "cause"
                                    self.yang_parent_name = "recovery"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mac_security = YLeaf(YType.uint32, "mac-security")
                                    self._segment_path = lambda: "cause"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Errdisable.Recovery.Cause, ['mac_security'], name, value)


                    class EthernetContainer(Entity):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer, self).__init__()

                            self.yang_name = "ethernet-container"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet)}
                            self._child_list_classes = {}

                            self.ethernet = Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self
                            self._children_name_map["ethernet"] = "ethernet"
                            self._children_yang_names.add("ethernet")
                            self._segment_path = lambda: "ethernet-container"


                        class Ethernet(Entity):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:  :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:  :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet, self).__init__()

                                self.yang_name = "ethernet"
                                self.yang_parent_name = "ethernet-container"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lmi" : ("lmi", Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi), "loopback" : ("loopback", Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback)}
                                self._child_list_classes = {}

                                self.lmi = Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self._children_name_map["lmi"] = "lmi"
                                self._children_yang_names.add("lmi")

                                self.loopback = Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self
                                self._children_name_map["loopback"] = "loopback"
                                self._children_yang_names.add("loopback")
                                self._segment_path = lambda: "ethernet"


                            class Lmi(Entity):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:  :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi, self).__init__()

                                    self.yang_name = "lmi"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ce-vlan" : ("ce_vlan", Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan)}
                                    self._child_list_classes = {}

                                    self.ce_vlan = Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self
                                    self._children_name_map["ce_vlan"] = "ce-vlan"
                                    self._children_yang_names.add("ce-vlan")
                                    self._segment_path = lambda: "lmi"


                                class CeVlan(Entity):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan, self).__init__()

                                        self.yang_name = "ce-vlan"
                                        self.yang_parent_name = "lmi"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map" : ("map", Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map)}
                                        self._child_list_classes = {}

                                        self.map = Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self
                                        self._children_name_map["map"] = "map"
                                        self._children_yang_names.add("map")
                                        self._segment_path = lambda: "ce-vlan"


                                    class Map(Entity):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:  :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, self).__init__()

                                            self.yang_name = "map"
                                            self.yang_parent_name = "ce-vlan"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"vlan-range" : ("vlan_range", Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange)}
                                            self._child_list_classes = {}

                                            self.any = YLeaf(YType.empty, "any")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.untagged = YLeaf(YType.empty, "untagged")

                                            self.vlan_range = Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self
                                            self._children_name_map["vlan_range"] = "vlan-range"
                                            self._children_yang_names.add("vlan-range")
                                            self._segment_path = lambda: "map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, ['any', 'default', 'untagged'], name, value)


                                        class VlanRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, self).__init__()

                                                self.yang_name = "vlan-range"
                                                self.yang_parent_name = "map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                                self.comma = YLeaf(YType.uint16, "comma")

                                                self.hyphen = YLeaf(YType.uint16, "hyphen")
                                                self._segment_path = lambda: "vlan-range"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, ['vlan_id', 'comma', 'hyphen'], name, value)


                            class Loopback(Entity):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback, self).__init__()

                                    self.yang_name = "loopback"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"permit" : ("permit", Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit)}
                                    self._child_list_classes = {}

                                    self.permit = Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self
                                    self._children_name_map["permit"] = "permit"
                                    self._children_yang_names.add("permit")
                                    self._segment_path = lambda: "loopback"


                                class Permit(Entity):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, self).__init__()

                                        self.yang_name = "permit"
                                        self.yang_parent_name = "loopback"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.external = YLeaf(YType.empty, "external")

                                        self.internal = YLeaf(YType.empty, "internal")
                                        self._segment_path = lambda: "permit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, ['external', 'internal'], name, value)


                    class Snmp(Entity):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Snmp.Trap>`
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Snmp.Ifindex>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Snmp, self).__init__()

                            self.yang_name = "snmp"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"trap" : ("trap", Native.Interface.TenGigabitEthernet.Service.Instance.Snmp.Trap), "ifindex" : ("ifindex", Native.Interface.TenGigabitEthernet.Service.Instance.Snmp.Ifindex)}
                            self._child_list_classes = {}

                            self.trap = Native.Interface.TenGigabitEthernet.Service.Instance.Snmp.Trap()
                            self.trap.parent = self
                            self._children_name_map["trap"] = "trap"
                            self._children_yang_names.add("trap")

                            self.ifindex = Native.Interface.TenGigabitEthernet.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self._children_name_map["ifindex"] = "ifindex"
                            self._children_yang_names.add("ifindex")
                            self._segment_path = lambda: "snmp"


                        class Trap(Entity):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Snmp.Trap, self).__init__()

                                self.yang_name = "trap"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.link_status = YLeaf(YType.empty, "link-status")
                                self._segment_path = lambda: "trap"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Snmp.Trap, ['link_status'], name, value)


                        class Ifindex(Entity):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Snmp.Ifindex, self).__init__()

                                self.yang_name = "ifindex"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.persist = YLeaf(YType.empty, "persist")
                                self._segment_path = lambda: "ifindex"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Snmp.Ifindex, ['persist'], name, value)


                    class BridgeDomain(Entity):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:  :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.BridgeDomain, self).__init__()

                            self.yang_name = "bridge-domain"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"split-horizon" : ("split_horizon", Native.Interface.TenGigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon)}
                            self._child_list_classes = {}

                            self.bridge_id = YLeaf(YType.uint16, "bridge-id")

                            self.from_encapsulation = YLeaf(YType.empty, "from-encapsulation")

                            self.split_horizon = Native.Interface.TenGigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self
                            self._children_name_map["split_horizon"] = "split-horizon"
                            self._children_yang_names.add("split-horizon")
                            self._segment_path = lambda: "bridge-domain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.BridgeDomain, ['bridge_id', 'from_encapsulation'], name, value)


                        class SplitHorizon(Entity):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\: int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon, self).__init__()

                                self.yang_name = "split-horizon"
                                self.yang_parent_name = "bridge-domain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group = YLeaf(YType.uint8, "group")
                                self._segment_path = lambda: "split-horizon"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon, ['group'], name, value)


                    class Mac(Entity):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Mac, self).__init__()

                            self.yang_name = "mac"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"security" : ("security", Native.Interface.TenGigabitEthernet.Service.Instance.Mac.Security)}
                            self._child_list_classes = {}

                            self.security = None
                            self._children_name_map["security"] = "security"
                            self._children_yang_names.add("security")
                            self._segment_path = lambda: "mac"


                        class Security(Entity):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Mac.Security.Violation>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Mac.Security, self).__init__()

                                self.yang_name = "security"
                                self.yang_parent_name = "mac"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"maximum" : ("maximum", Native.Interface.TenGigabitEthernet.Service.Instance.Mac.Security.Maximum)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.violation = YLeaf(YType.enumeration, "violation")

                                self.maximum = Native.Interface.TenGigabitEthernet.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self._children_name_map["maximum"] = "maximum"
                                self._children_yang_names.add("maximum")
                                self._segment_path = lambda: "security"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Mac.Security, ['violation'], name, value)

                            class Violation(Enum):
                                """
                                Violation

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = Enum.YLeaf(0, "protect")

                                restrict = Enum.YLeaf(1, "restrict")



                            class Maximum(Entity):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\: int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.Mac.Security.Maximum, self).__init__()

                                    self.yang_name = "maximum"
                                    self.yang_parent_name = "security"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.addresses = YLeaf(YType.uint16, "addresses")
                                    self._segment_path = lambda: "maximum"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Mac.Security.Maximum, ['addresses'], name, value)


                    class ServicePolicy(Entity):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of  		 :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of  		 :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.ServicePolicy, self).__init__()

                            self.yang_name = "service-policy"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"input" : ("input", Native.Interface.TenGigabitEthernet.Service.Instance.ServicePolicy.Input), "output" : ("output", Native.Interface.TenGigabitEthernet.Service.Instance.ServicePolicy.Output)}

                            self.input = YList(self)
                            self.output = YList(self)
                            self._segment_path = lambda: "service-policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.ServicePolicy, [], name, value)


                        class Input(Entity):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.ServicePolicy.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.ServicePolicy.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.ServicePolicy.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.ServicePolicy.Output, ['name'], name, value)


                    class Cfm(Entity):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:  :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:  :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Cfm, self).__init__()

                            self.yang_name = "cfm"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation), "mep" : ("mep", Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Mep), "mip" : ("mip", Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Mip)}
                            self._child_list_classes = {}

                            self.encapsulation = Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.mep = Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self._children_name_map["mep"] = "mep"
                            self._children_yang_names.add("mep")

                            self.mip = Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Mip()
                            self.mip.parent = self
                            self._children_name_map["mip"] = "mip"
                            self._children_yang_names.add("mip")
                            self._segment_path = lambda: "cfm"


                        class Encapsulation(Entity):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q)}
                                self._child_list_classes = {}

                                self.dot1ad = Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self._children_name_map["dot1ad"] = "dot1ad"
                                self._children_yang_names.add("dot1ad")

                                self.dot1q = Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self
                                self._children_name_map["dot1q"] = "dot1q"
                                self._children_yang_names.add("dot1q")
                                self._segment_path = lambda: "encapsulation"


                            class Dot1Ad(Entity):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad, self).__init__()

                                    self.yang_name = "dot1ad"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.dot1q = YLeaf(YType.uint16, "dot1q")
                                    self._segment_path = lambda: "dot1ad"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad, ['vlan_id', 'cos', 'dot1q'], name, value)


                            class Dot1Q(Entity):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q, self).__init__()

                                    self.yang_name = "dot1q"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")
                                    self._segment_path = lambda: "dot1q"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q, ['vlan_id', 'cos', 'second_dot1q'], name, value)


                        class Mep(Entity):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\: str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\: int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Mep, self).__init__()

                                self.yang_name = "mep"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.domain = YLeaf(YType.str, "domain")

                                self.mpid = YLeaf(YType.uint16, "mpid")
                                self._segment_path = lambda: "mep"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Mep, ['domain', 'mpid'], name, value)


                        class Mip(Entity):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Mip, self).__init__()

                                self.yang_name = "mip"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level = YLeaf(YType.uint8, "level")
                                self._segment_path = lambda: "mip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Cfm.Mip, ['level'], name, value)


                    class L2Protocol(Entity):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:  :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol, self).__init__()

                            self.yang_name = "l2protocol"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Peer), "forward" : ("forward", Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Forward), "tunnel" : ("tunnel", Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Tunnel)}
                            self._child_list_classes = {}

                            self.peer = None
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.forward = None
                            self._children_name_map["forward"] = "forward"
                            self._children_yang_names.add("forward")

                            self.tunnel = None
                            self._children_name_map["tunnel"] = "tunnel"
                            self._children_yang_names.add("tunnel")
                            self._segment_path = lambda: "l2protocol"


                        class Peer(Entity):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Peer.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Peer, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Forward(Entity):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Forward.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Forward, self).__init__()

                                self.yang_name = "forward"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "forward"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Forward, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Tunnel(Entity):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Tunnel.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Tunnel, self).__init__()

                                self.yang_name = "tunnel"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "tunnel"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.L2Protocol.Tunnel, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                    class Xconnect(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Encapsulation>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\: str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Sequencing>`
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"backup" : ("backup", Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.manual = YLeaf(YType.empty, "manual")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.sequencing = YLeaf(YType.enumeration, "sequencing")

                            self.mtu = YLeaf(YType.uint32, "mtu")

                            self.backup = Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup()
                            self.backup.parent = self
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")
                            self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = Enum.YLeaf(0, "mpls")

                            l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                        class Sequencing(Enum):
                            """
                            Sequencing

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = Enum.YLeaf(0, "both")

                            receive = Enum.YLeaf(1, "receive")

                            transmit = Enum.YLeaf(2, "transmit")



                        class Backup(Entity):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup.Peer>`
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup.Delay>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup.Delay)}
                                self._child_list_classes = {}

                                self.peer = Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.delay = Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "backup"


                            class Peer(Entity):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                            class Delay(Entity):
                                """
                                backup delay time
                                
                                .. attribute:: min
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.min = YLeaf(YType.uint32, "min")

                                    self.max = YLeaf(YType.uint32, "max")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                    class XconnectPwClass(Entity):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass, self).__init__()

                            self.yang_name = "xconnect-pw-class"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect)}
                            self._child_list_classes = {}

                            self.xconnect = Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")
                            self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:xconnect-pw-class"


                        class Xconnect(Entity):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\: str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "xconnect-pw-class"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"udp" : ("udp", Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.udp = Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self._children_name_map["udp"] = "udp"
                                self._children_yang_names.add("udp")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                            class Udp(Entity):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp, self).__init__()

                                    self.yang_name = "udp"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"port" : ("port", Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port)}
                                    self._child_list_classes = {}

                                    self.port = Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self
                                    self._children_name_map["port"] = "port"
                                    self._children_yang_names.add("port")
                                    self._segment_path = lambda: "udp"


                                class Port(Entity):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                        self.yang_name = "port"
                                        self.yang_parent_name = "udp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.local = YLeaf(YType.uint32, "local")

                                        self.remote = YLeaf(YType.uint32, "remote")
                                        self._segment_path = lambda: "port"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Service.Instance.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


            class Xconnect(Entity):
                """
                Xconnect commands
                
                .. attribute:: address
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: vcid
                
                	
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: encapsulation
                
                	Data encapsulation method
                	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Xconnect.Encapsulation>`
                
                .. attribute:: manual
                
                	Manually configure L2TP session parameters
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: sequence
                
                	Configure sequencing options for xconnect
                	**type**\:  :py:class:`Sequence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Xconnect.Sequence>`
                
                .. attribute:: pw_class
                
                	Pseudowire\-class to use for encapsulation and protocol configuration
                	**type**\: str
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Xconnect, self).__init__()

                    self.yang_name = "xconnect"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.str, "address")

                    self.vcid = YLeaf(YType.uint32, "vcid")

                    self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                    self.manual = YLeaf(YType.empty, "manual")

                    self.sequence = YLeaf(YType.enumeration, "sequence")

                    self.pw_class = YLeaf(YType.str, "pw-class")
                    self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:xconnect"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'sequence', 'pw_class'], name, value)

                class Encapsulation(Enum):
                    """
                    Encapsulation

                    Data encapsulation method

                    .. data:: mpls = 0

                    .. data:: l2tpv3 = 1

                    """

                    mpls = Enum.YLeaf(0, "mpls")

                    l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                class Sequence(Enum):
                    """
                    Sequence

                    Configure sequencing options for xconnect

                    .. data:: both = 0

                    .. data:: receive = 1

                    .. data:: transmit = 2

                    """

                    both = Enum.YLeaf(0, "both")

                    receive = Enum.YLeaf(1, "receive")

                    transmit = Enum.YLeaf(2, "transmit")



            class Cdp(Entity):
                """
                CDP interface subcommands
                
                .. attribute:: enable
                
                	Enable CDP on interface
                	**type**\: bool
                
                .. attribute:: tlv
                
                	Enable exchange of specific tlv information
                	**type**\:  :py:class:`Tlv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cdp.Tlv>`
                
                

                """

                _prefix = 'ios-cdp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Cdp, self).__init__()

                    self.yang_name = "cdp"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"tlv" : ("tlv", Native.Interface.TenGigabitEthernet.Cdp.Tlv)}
                    self._child_list_classes = {}

                    self.enable = YLeaf(YType.boolean, "enable")

                    self.tlv = Native.Interface.TenGigabitEthernet.Cdp.Tlv()
                    self.tlv.parent = self
                    self._children_name_map["tlv"] = "tlv"
                    self._children_yang_names.add("tlv")
                    self._segment_path = lambda: "Cisco-IOS-XE-cdp:cdp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Cdp, ['enable'], name, value)


                class Tlv(Entity):
                    """
                    Enable exchange of specific tlv information
                    
                    .. attribute:: app
                    
                    	Enable/Configure Application TLV
                    	**type**\:  :py:class:`App <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cdp.Tlv.App>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server_location
                    
                    	Enable CDP location server on interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: location
                    
                    	Exchange location information
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cdp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Cdp.Tlv, self).__init__()

                        self.yang_name = "tlv"
                        self.yang_parent_name = "cdp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"app" : ("app", Native.Interface.TenGigabitEthernet.Cdp.Tlv.App)}
                        self._child_list_classes = {}

                        self.server_location = YLeaf(YType.empty, "server-location")

                        self.location = YLeaf(YType.empty, "location")

                        self.app = None
                        self._children_name_map["app"] = "app"
                        self._children_yang_names.add("app")
                        self._segment_path = lambda: "tlv"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Cdp.Tlv, ['server_location', 'location'], name, value)


                    class App(Entity):
                        """
                        Enable/Configure Application TLV
                        
                        .. attribute:: tlvtype
                        
                        	Configure APP TLV
                        	**type**\: int
                        
                        	**range:** 1001..65535
                        
                        .. attribute:: value
                        
                        	Configure App TLV Value information
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cdp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Cdp.Tlv.App, self).__init__()

                            self.yang_name = "app"
                            self.yang_parent_name = "tlv"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tlvtype = YLeaf(YType.uint16, "tlvtype")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "app"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Cdp.Tlv.App, ['tlvtype', 'value'], name, value)


            class Snmp(Entity):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Snmp, self).__init__()

                    self.yang_name = "snmp"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ifindex" : ("ifindex", Native.Interface.TenGigabitEthernet.Snmp.Ifindex), "trap" : ("trap", Native.Interface.TenGigabitEthernet.Snmp.Trap)}
                    self._child_list_classes = {}

                    self.ifindex = Native.Interface.TenGigabitEthernet.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self._children_name_map["ifindex"] = "ifindex"
                    self._children_yang_names.add("ifindex")

                    self.trap = Native.Interface.TenGigabitEthernet.Snmp.Trap()
                    self.trap.parent = self
                    self._children_name_map["trap"] = "trap"
                    self._children_yang_names.add("trap")
                    self._segment_path = lambda: "Cisco-IOS-XE-snmp:snmp"


                class Ifindex(Entity):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Snmp.Ifindex, self).__init__()

                        self.yang_name = "ifindex"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.persist = YLeaf(YType.empty, "persist")

                        self.clear = YLeaf(YType.boolean, "clear")
                        self._segment_path = lambda: "ifindex"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Snmp.Ifindex, ['persist', 'clear'], name, value)


                class Trap(Entity):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\: bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:  :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Snmp.Trap, self).__init__()

                        self.yang_name = "trap"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-status-capas" : ("link_status_capas", Native.Interface.TenGigabitEthernet.Snmp.Trap.LinkStatusCapas)}
                        self._child_list_classes = {}

                        self.link_status = YLeaf(YType.boolean, "link-status")

                        self.link_status_capas = Native.Interface.TenGigabitEthernet.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self
                        self._children_name_map["link_status_capas"] = "link-status-capas"
                        self._children_yang_names.add("link-status-capas")
                        self._segment_path = lambda: "trap"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Snmp.Trap, ['link_status'], name, value)


                    class LinkStatusCapas(Entity):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:  :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Snmp.Trap.LinkStatusCapas, self).__init__()

                            self.yang_name = "link-status-capas"
                            self.yang_parent_name = "trap"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"link-status" : ("link_status", Native.Interface.TenGigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus)}
                            self._child_list_classes = {}

                            self.link_status = Native.Interface.TenGigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self
                            self._children_name_map["link_status"] = "link-status"
                            self._children_yang_names.add("link-status")
                            self._segment_path = lambda: "link-status-capas"


                        class LinkStatus(Entity):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus, self).__init__()

                                self.yang_name = "link-status"
                                self.yang_parent_name = "link-status-capas"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"permit" : ("permit", Native.Interface.TenGigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit)}
                                self._child_list_classes = {}

                                self.permit = Native.Interface.TenGigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self
                                self._children_name_map["permit"] = "permit"
                                self._children_yang_names.add("permit")
                                self._segment_path = lambda: "link-status"


                            class Permit(Entity):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, self).__init__()

                                    self.yang_name = "permit"
                                    self.yang_parent_name = "link-status"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.duplicates = YLeaf(YType.empty, "duplicates")
                                    self._segment_path = lambda: "permit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, ['duplicates'], name, value)


            class Crypto(Entity):
                """
                Encryption/Decryption commands
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Crypto.Map>`
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Crypto.Ipsec>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Crypto, self).__init__()

                    self.yang_name = "crypto"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"map" : ("map", Native.Interface.TenGigabitEthernet.Crypto.Map), "ipsec" : ("ipsec", Native.Interface.TenGigabitEthernet.Crypto.Ipsec)}
                    self._child_list_classes = {}

                    self.map = Native.Interface.TenGigabitEthernet.Crypto.Map()
                    self.map.parent = self
                    self._children_name_map["map"] = "map"
                    self._children_yang_names.add("map")

                    self.ipsec = Native.Interface.TenGigabitEthernet.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self._children_name_map["ipsec"] = "ipsec"
                    self._children_yang_names.add("ipsec")
                    self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"


                class Map(Entity):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\: str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Crypto.Map, self).__init__()

                        self.yang_name = "map"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.str, "tag")

                        self.redundancy = YLeaf(YType.str, "redundancy")

                        self.stateful = YLeaf(YType.empty, "stateful")
                        self._segment_path = lambda: "map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Crypto.Map, ['tag', 'redundancy', 'stateful'], name, value)


                class Ipsec(Entity):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:  :py:class:`DfBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Crypto.Ipsec.DfBit>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Crypto.Ipsec.Fragmentation>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Crypto.Ipsec, self).__init__()

                        self.yang_name = "ipsec"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.df_bit = YLeaf(YType.enumeration, "df-bit")

                        self.fragmentation = YLeaf(YType.enumeration, "fragmentation")
                        self._segment_path = lambda: "ipsec"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Crypto.Ipsec, ['df_bit', 'fragmentation'], name, value)

                    class DfBit(Enum):
                        """
                        DfBit

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = Enum.YLeaf(0, "clear")

                        copy = Enum.YLeaf(1, "copy")

                        set = Enum.YLeaf(2, "set")


                    class Fragmentation(Enum):
                        """
                        Fragmentation

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = Enum.YLeaf(0, "after-encryption")

                        before_encryption = Enum.YLeaf(1, "before-encryption")



            class Cts(Entity):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:  :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.Manual>`
                
                	**presence node**\: True
                
                .. attribute:: role_based
                
                	Role\-based Access Control per\-port config commands
                	**type**\:  :py:class:`RoleBased <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.RoleBased>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Cts, self).__init__()

                    self.yang_name = "cts"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"manual" : ("manual", Native.Interface.TenGigabitEthernet.Cts.Manual), "role-based" : ("role_based", Native.Interface.TenGigabitEthernet.Cts.RoleBased)}
                    self._child_list_classes = {}

                    self.manual = None
                    self._children_name_map["manual"] = "manual"
                    self._children_yang_names.add("manual")

                    self.role_based = Native.Interface.TenGigabitEthernet.Cts.RoleBased()
                    self.role_based.parent = self
                    self._children_name_map["role_based"] = "role-based"
                    self._children_yang_names.add("role-based")
                    self._segment_path = lambda: "Cisco-IOS-XE-cts:cts"


                class Manual(Entity):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.Manual.Policy>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:  :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.Manual.Sap>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:  :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.Manual.Propagate>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Cts.Manual, self).__init__()

                        self.yang_name = "manual"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"policy" : ("policy", Native.Interface.TenGigabitEthernet.Cts.Manual.Policy), "sap" : ("sap", Native.Interface.TenGigabitEthernet.Cts.Manual.Sap), "propagate" : ("propagate", Native.Interface.TenGigabitEthernet.Cts.Manual.Propagate)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.policy = Native.Interface.TenGigabitEthernet.Cts.Manual.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.sap = Native.Interface.TenGigabitEthernet.Cts.Manual.Sap()
                        self.sap.parent = self
                        self._children_name_map["sap"] = "sap"
                        self._children_yang_names.add("sap")

                        self.propagate = Native.Interface.TenGigabitEthernet.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self._children_name_map["propagate"] = "propagate"
                        self._children_yang_names.add("propagate")
                        self._segment_path = lambda: "manual"


                    class Policy(Entity):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Cts.Manual.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"static" : ("static", Native.Interface.TenGigabitEthernet.Cts.Manual.Policy.Static)}
                            self._child_list_classes = {}

                            self.static = Native.Interface.TenGigabitEthernet.Cts.Manual.Policy.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")
                            self._segment_path = lambda: "policy"


                        class Static(Entity):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted  incoming traffic
                            	**type**\: int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for  sending
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Cts.Manual.Policy.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sgt = YLeaf(YType.uint16, "sgt")

                                self.trusted = YLeaf(YType.empty, "trusted")
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Cts.Manual.Policy.Static, ['sgt', 'trusted'], name, value)


                    class Sap(Entity):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of  		 :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Cts.Manual.Sap, self).__init__()

                            self.yang_name = "sap"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"pmk" : ("pmk", Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk)}

                            self.pmk = YList(self)
                            self._segment_path = lambda: "sap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Cts.Manual.Sap, [], name, value)


                        class Pmk(Entity):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:  :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk, self).__init__()

                                self.yang_name = "pmk"
                                self.yang_parent_name = "sap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode-list" : ("mode_list", Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList)}
                                self._child_list_classes = {}

                                self.word = YLeaf(YType.str, "word")

                                self.mode_list = Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self
                                self._children_name_map["mode_list"] = "mode-list"
                                self._children_yang_names.add("mode-list")
                                self._segment_path = lambda: "pmk" + "[word='" + self.word.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk, ['word'], name, value)


                            class ModeList(Entity):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:  :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:  :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-06-29'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList, self).__init__()

                                    self.yang_name = "mode-list"
                                    self.yang_parent_name = "pmk"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"gcm-encrypt" : ("gcm_encrypt", Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt), "no-encap" : ("no_encap", Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap)}
                                    self._child_list_classes = {}

                                    self.gcm_encrypt = None
                                    self._children_name_map["gcm_encrypt"] = "gcm-encrypt"
                                    self._children_yang_names.add("gcm-encrypt")

                                    self.no_encap = None
                                    self._children_name_map["no_encap"] = "no-encap"
                                    self._children_yang_names.add("no-encap")
                                    self._segment_path = lambda: "mode-list"


                                class GcmEncrypt(Entity):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt, self).__init__()

                                        self.yang_name = "gcm-encrypt"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "gcm-encrypt"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,  no encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "gcm-encrypt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.null = YLeaf(YType.empty, "null")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, ['null'], name, value)


                                class NoEncap(Entity):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap, self).__init__()

                                        self.yang_name = "no-encap"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "no-encap"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "no-encap"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.gcm_encrypt = YLeaf(YType.empty, "gcm-encrypt")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, ['gcm_encrypt'], name, value)


                    class Propagate(Entity):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Cts.Manual.Propagate, self).__init__()

                            self.yang_name = "propagate"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sgt = YLeaf(YType.boolean, "sgt")
                            self._segment_path = lambda: "propagate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Cts.Manual.Propagate, ['sgt'], name, value)


                class RoleBased(Entity):
                    """
                    Role\-based Access Control per\-port config commands
                    
                    .. attribute:: sgt_cache
                    
                    	Enable SGT caching on the interface
                    	**type**\: list of   :py:class:`SgtCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.RoleBased.SgtCache>`
                    
                    .. attribute:: enforcement
                    
                    	Enable Role\-based Access Control enforcement
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sgt_map
                    
                    	Assign Security Group Tag (SGT) to IP host or network address
                    	**type**\:  :py:class:`SgtMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Cts.RoleBased.SgtMap>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Cts.RoleBased, self).__init__()

                        self.yang_name = "role-based"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"sgt-map" : ("sgt_map", Native.Interface.TenGigabitEthernet.Cts.RoleBased.SgtMap)}
                        self._child_list_classes = {}

                        self.sgt_cache = YLeafList(YType.enumeration, "sgt-cache")

                        self.enforcement = YLeaf(YType.empty, "enforcement")

                        self.sgt_map = Native.Interface.TenGigabitEthernet.Cts.RoleBased.SgtMap()
                        self.sgt_map.parent = self
                        self._children_name_map["sgt_map"] = "sgt-map"
                        self._children_yang_names.add("sgt-map")
                        self._segment_path = lambda: "role-based"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Cts.RoleBased, ['sgt_cache', 'enforcement'], name, value)

                    class SgtCache(Enum):
                        """
                        SgtCache

                        Enable SGT caching on the interface

                        .. data:: egress = 0

                        .. data:: ingress = 1

                        """

                        egress = Enum.YLeaf(0, "egress")

                        ingress = Enum.YLeaf(1, "ingress")



                    class SgtMap(Entity):
                        """
                        Assign Security Group Tag (SGT) to IP host or network address
                        
                        .. attribute:: security_group
                        
                        	Security Group Name
                        	**type**\: str
                        
                        .. attribute:: sgt
                        
                        	Security Group Tag (SGT)
                        	**type**\: int
                        
                        	**range:** 2..65519
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Cts.RoleBased.SgtMap, self).__init__()

                            self.yang_name = "sgt-map"
                            self.yang_parent_name = "role-based"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.security_group = YLeaf(YType.str, "security-group")

                            self.sgt = YLeaf(YType.uint16, "sgt")
                            self._segment_path = lambda: "sgt-map"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Cts.RoleBased.SgtMap, ['security_group', 'sgt'], name, value)


            class Dot1X(Entity):
                """
                Interface Config Commands for IEEE 802.1X
                
                .. attribute:: authenticator
                
                	Configure authenticator parameters
                	**type**\:  :py:class:`Authenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Dot1X.Authenticator>`
                
                .. attribute:: credentials
                
                	Credentials profile configuration
                	**type**\: str
                
                .. attribute:: max_reauth_req
                
                	Max No. of Reauthentication Attempts
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: max_req
                
                	Max No. of Retries
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: max_start
                
                	Max No. of EAPOL\-Start requests
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: pae
                
                	Set 802.1x interface pae type
                	**type**\:  :py:class:`Pae <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Dot1X.Pae>`
                
                .. attribute:: supplicant
                
                	Configure supplicant parameters
                	**type**\:  :py:class:`Supplicant <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Dot1X.Supplicant>`
                
                .. attribute:: timeout
                
                	Various Timeouts
                	**type**\:  :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Dot1X.Timeout>`
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Dot1X, self).__init__()

                    self.yang_name = "dot1x"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authenticator" : ("authenticator", Native.Interface.TenGigabitEthernet.Dot1X.Authenticator), "supplicant" : ("supplicant", Native.Interface.TenGigabitEthernet.Dot1X.Supplicant), "timeout" : ("timeout", Native.Interface.TenGigabitEthernet.Dot1X.Timeout)}
                    self._child_list_classes = {}

                    self.credentials = YLeaf(YType.str, "credentials")

                    self.max_reauth_req = YLeaf(YType.uint8, "max-reauth-req")

                    self.max_req = YLeaf(YType.uint8, "max-req")

                    self.max_start = YLeaf(YType.uint8, "max-start")

                    self.pae = YLeaf(YType.enumeration, "pae")

                    self.authenticator = Native.Interface.TenGigabitEthernet.Dot1X.Authenticator()
                    self.authenticator.parent = self
                    self._children_name_map["authenticator"] = "authenticator"
                    self._children_yang_names.add("authenticator")

                    self.supplicant = Native.Interface.TenGigabitEthernet.Dot1X.Supplicant()
                    self.supplicant.parent = self
                    self._children_name_map["supplicant"] = "supplicant"
                    self._children_yang_names.add("supplicant")

                    self.timeout = Native.Interface.TenGigabitEthernet.Dot1X.Timeout()
                    self.timeout.parent = self
                    self._children_name_map["timeout"] = "timeout"
                    self._children_yang_names.add("timeout")
                    self._segment_path = lambda: "Cisco-IOS-XE-dot1x:dot1x"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Dot1X, ['credentials', 'max_reauth_req', 'max_req', 'max_start', 'pae'], name, value)

                class Pae(Enum):
                    """
                    Pae

                    Set 802.1x interface pae type

                    .. data:: authenticator = 0

                    .. data:: supplicant = 1

                    .. data:: both = 2

                    """

                    authenticator = Enum.YLeaf(0, "authenticator")

                    supplicant = Enum.YLeaf(1, "supplicant")

                    both = Enum.YLeaf(2, "both")



                class Authenticator(Entity):
                    """
                    Configure authenticator parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP authenticator parameters
                    	**type**\:  :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Dot1X.Authenticator.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Dot1X.Authenticator, self).__init__()

                        self.yang_name = "authenticator"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"eap" : ("eap", Native.Interface.TenGigabitEthernet.Dot1X.Authenticator.Eap)}
                        self._child_list_classes = {}

                        self.eap = Native.Interface.TenGigabitEthernet.Dot1X.Authenticator.Eap()
                        self.eap.parent = self
                        self._children_name_map["eap"] = "eap"
                        self._children_yang_names.add("eap")
                        self._segment_path = lambda: "authenticator"


                    class Eap(Entity):
                        """
                        Configure EAP authenticator parameters
                        
                        .. attribute:: profile
                        
                        	EAP authenticator profile configuration
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Dot1X.Authenticator.Eap, self).__init__()

                            self.yang_name = "eap"
                            self.yang_parent_name = "authenticator"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.profile = YLeaf(YType.str, "profile")
                            self._segment_path = lambda: "eap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Dot1X.Authenticator.Eap, ['profile'], name, value)


                class Supplicant(Entity):
                    """
                    Configure supplicant parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP supplicant parameters
                    	**type**\:  :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Dot1X.Supplicant.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Dot1X.Supplicant, self).__init__()

                        self.yang_name = "supplicant"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"eap" : ("eap", Native.Interface.TenGigabitEthernet.Dot1X.Supplicant.Eap)}
                        self._child_list_classes = {}

                        self.eap = Native.Interface.TenGigabitEthernet.Dot1X.Supplicant.Eap()
                        self.eap.parent = self
                        self._children_name_map["eap"] = "eap"
                        self._children_yang_names.add("eap")
                        self._segment_path = lambda: "supplicant"


                    class Eap(Entity):
                        """
                        Configure EAP supplicant parameters
                        
                        .. attribute:: profile
                        
                        	EAP supplicant profile configuration
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Dot1X.Supplicant.Eap, self).__init__()

                            self.yang_name = "eap"
                            self.yang_parent_name = "supplicant"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.profile = YLeaf(YType.str, "profile")
                            self._segment_path = lambda: "eap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Dot1X.Supplicant.Eap, ['profile'], name, value)


                class Timeout(Entity):
                    """
                    Various Timeouts
                    
                    .. attribute:: auth_period
                    
                    	Timeout for authenticator reply
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: held_period
                    
                    	Timeout for authentication retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: quiet_period
                    
                    	QuietPeriod in Seconds
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: ratelimit_period
                    
                    	Ratelimit Period in seconds
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: server_timeout
                    
                    	Timeout for Radius Retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: start_period
                    
                    	Timeout for EAPOL\-start retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: supp_timeout
                    
                    	Timeout for supplicant reply
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tx_period
                    
                    	Timeout for supplicant retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Dot1X.Timeout, self).__init__()

                        self.yang_name = "timeout"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auth_period = YLeaf(YType.uint16, "auth-period")

                        self.held_period = YLeaf(YType.uint16, "held-period")

                        self.quiet_period = YLeaf(YType.uint16, "quiet-period")

                        self.ratelimit_period = YLeaf(YType.uint16, "ratelimit-period")

                        self.server_timeout = YLeaf(YType.uint16, "server-timeout")

                        self.start_period = YLeaf(YType.uint16, "start-period")

                        self.supp_timeout = YLeaf(YType.uint16, "supp-timeout")

                        self.tx_period = YLeaf(YType.uint16, "tx-period")
                        self._segment_path = lambda: "timeout"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Dot1X.Timeout, ['auth_period', 'held_period', 'quiet_period', 'ratelimit_period', 'server_timeout', 'start_period', 'supp_timeout', 'tx_period'], name, value)


            class Performance(Entity):
                """
                Global performance monitor configuration
                
                .. attribute:: monitor
                
                	monitor
                	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Performance.Monitor>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Performance, self).__init__()

                    self.yang_name = "performance"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"monitor" : ("monitor", Native.Interface.TenGigabitEthernet.Performance.Monitor)}
                    self._child_list_classes = {}

                    self.monitor = Native.Interface.TenGigabitEthernet.Performance.Monitor()
                    self.monitor.parent = self
                    self._children_name_map["monitor"] = "monitor"
                    self._children_yang_names.add("monitor")
                    self._segment_path = lambda: "Cisco-IOS-XE-ezpm:performance"


                class Monitor(Entity):
                    """
                    monitor
                    
                    .. attribute:: context
                    
                    	Select ezPM context
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Performance.Monitor, self).__init__()

                        self.yang_name = "monitor"
                        self.yang_parent_name = "performance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.context = YLeafList(YType.str, "context")
                        self._segment_path = lambda: "monitor"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Performance.Monitor, ['context'], name, value)


            class ServicePolicy(Entity):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\: str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\: str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.Interface.TenGigabitEthernet.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.history = YLeaf(YType.empty, "history")

                    self.input = YLeaf(YType.str, "input")

                    self.output = YLeaf(YType.str, "output")

                    self.type = Native.Interface.TenGigabitEthernet.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.ServicePolicy, ['history', 'input', 'output'], name, value)


                class Type(Entity):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"control" : ("control", Native.Interface.TenGigabitEthernet.ServicePolicy.Type.Control), "performance-monitor" : ("performance_monitor", Native.Interface.TenGigabitEthernet.ServicePolicy.Type.PerformanceMonitor), "service-chain" : ("service_chain", Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain)}
                        self._child_list_classes = {}

                        self.control = Native.Interface.TenGigabitEthernet.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self._children_name_map["control"] = "control"
                        self._children_yang_names.add("control")

                        self.performance_monitor = Native.Interface.TenGigabitEthernet.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.service_chain = Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self
                        self._children_name_map["service_chain"] = "service-chain"
                        self._children_yang_names.add("service-chain")
                        self._segment_path = lambda: "type"


                    class Control(Entity):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.ServicePolicy.Type.Control, self).__init__()

                            self.yang_name = "control"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.subscriber = YLeaf(YType.str, "subscriber")
                            self._segment_path = lambda: "control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.ServicePolicy.Type.Control, ['subscriber'], name, value)


                    class PerformanceMonitor(Entity):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.ServicePolicy.Type.PerformanceMonitor.Direction>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.ServicePolicy.Type.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "performance-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.ServicePolicy.Type.PerformanceMonitor, ['direction', 'name'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



                    class ServiceChain(Entity):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain, self).__init__()

                            self.yang_name = "service-chain"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain.Input), "output" : ("output", Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain.Output)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "service-chain"


                        class Input(Entity):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.ServicePolicy.Type.ServiceChain.Output, ['name'], name, value)


            class Lisp(Entity):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:  :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Lisp, self).__init__()

                    self.yang_name = "lisp"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"mobility" : ("mobility", Native.Interface.TenGigabitEthernet.Lisp.Mobility)}
                    self._child_list_classes = {}

                    self.extended_subnet_mode = YLeaf(YType.empty, "extended-subnet-mode")

                    self.mobility = Native.Interface.TenGigabitEthernet.Lisp.Mobility()
                    self.mobility.parent = self
                    self._children_name_map["mobility"] = "mobility"
                    self._children_yang_names.add("mobility")
                    self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Lisp, ['extended_subnet_mode'], name, value)


                class Mobility(Entity):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:  :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:  :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Lisp.Mobility.Discover>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:  :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Lisp.Mobility, self).__init__()

                        self.yang_name = "mobility"
                        self.yang_parent_name = "lisp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dynamic-eid" : ("dynamic_eid", Native.Interface.TenGigabitEthernet.Lisp.Mobility.DynamicEid), "discover" : ("discover", Native.Interface.TenGigabitEthernet.Lisp.Mobility.Discover), "liveness" : ("liveness", Native.Interface.TenGigabitEthernet.Lisp.Mobility.Liveness)}
                        self._child_list_classes = {}

                        self.dynamic_eid = Native.Interface.TenGigabitEthernet.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self._children_name_map["dynamic_eid"] = "dynamic-eid"
                        self._children_yang_names.add("dynamic-eid")

                        self.discover = Native.Interface.TenGigabitEthernet.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self._children_name_map["discover"] = "discover"
                        self._children_yang_names.add("discover")

                        self.liveness = Native.Interface.TenGigabitEthernet.Lisp.Mobility.Liveness()
                        self.liveness.parent = self
                        self._children_name_map["liveness"] = "liveness"
                        self._children_yang_names.add("liveness")
                        self._segment_path = lambda: "mobility"


                    class DynamicEid(Entity):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\: int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Lisp.Mobility.DynamicEid, self).__init__()

                            self.yang_name = "dynamic-eid"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dynamic_eid_name = YLeaf(YType.str, "dynamic-eid-name")

                            self.nbr_proxy_reply = YLeaf(YType.empty, "nbr-proxy-reply")

                            self.requests = YLeaf(YType.uint8, "requests")
                            self._segment_path = lambda: "dynamic-eid"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Lisp.Mobility.DynamicEid, ['dynamic_eid_name', 'nbr_proxy_reply', 'requests'], name, value)


                    class Discover(Entity):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Lisp.Mobility.Discover, self).__init__()

                            self.yang_name = "discover"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.arp = YLeaf(YType.boolean, "arp")
                            self._segment_path = lambda: "discover"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Lisp.Mobility.Discover, ['arp'], name, value)


                    class Liveness(Entity):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\: bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\: int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Lisp.Mobility.Liveness, self).__init__()

                            self.yang_name = "liveness"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.test = YLeaf(YType.boolean, "test")

                            self.ttl = YLeaf(YType.uint8, "ttl")
                            self._segment_path = lambda: "liveness"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Lisp.Mobility.Liveness, ['test', 'ttl'], name, value)


            class Lldp(Entity):
                """
                LLDP interface subcommands
                
                .. attribute:: receive
                
                	Enable LLDP reception on interface
                	**type**\: bool
                
                .. attribute:: transmit
                
                	Enable LLDP transmission on interface
                	**type**\: bool
                
                

                """

                _prefix = 'ios-lldp'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Lldp, self).__init__()

                    self.yang_name = "lldp"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.boolean, "receive")

                    self.transmit = YLeaf(YType.boolean, "transmit")
                    self._segment_path = lambda: "Cisco-IOS-XE-lldp:lldp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Lldp, ['receive', 'transmit'], name, value)


            class Mka(Entity):
                """
                MACsec Key Agreement (MKA) interface configuration
                
                .. attribute:: pre_shared_key
                
                	Configure MKA Pre\-Shared\-Key
                	**type**\:  :py:class:`PreSharedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mka.PreSharedKey>`
                
                

                """

                _prefix = 'ios-mka'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Mka, self).__init__()

                    self.yang_name = "mka"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"pre-shared-key" : ("pre_shared_key", Native.Interface.TenGigabitEthernet.Mka.PreSharedKey)}
                    self._child_list_classes = {}

                    self.pre_shared_key = Native.Interface.TenGigabitEthernet.Mka.PreSharedKey()
                    self.pre_shared_key.parent = self
                    self._children_name_map["pre_shared_key"] = "pre-shared-key"
                    self._children_yang_names.add("pre-shared-key")
                    self._segment_path = lambda: "Cisco-IOS-XE-mka:mka"


                class PreSharedKey(Entity):
                    """
                    Configure MKA Pre\-Shared\-Key
                    
                    .. attribute:: key_chain
                    
                    	Configure the key\-chain name
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mka.PreSharedKey.KeyChain>`
                    
                    

                    """

                    _prefix = 'ios-mka'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Mka.PreSharedKey, self).__init__()

                        self.yang_name = "pre-shared-key"
                        self.yang_parent_name = "mka"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.TenGigabitEthernet.Mka.PreSharedKey.KeyChain)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.TenGigabitEthernet.Mka.PreSharedKey.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")
                        self._segment_path = lambda: "pre-shared-key"


                    class KeyChain(Entity):
                        """
                        Configure the key\-chain name
                        
                        .. attribute:: name
                        
                        	Name of key\-chain to be used to get keys
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mka'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Mka.PreSharedKey.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "pre-shared-key"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Mka.PreSharedKey.KeyChain, ['name'], name, value)


            class Ospfv3(Entity):
                """
                OSPFv3 interface commands
                
                .. attribute:: process_id
                
                	
                	**type**\: list of  		 :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId>`
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Authentication>`
                
                .. attribute:: bfd
                
                	Enable BFD on this interface
                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Bfd>`
                
                	**presence node**\: True
                
                .. attribute:: cost
                
                	Route cost of this interface
                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Cost>`
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding
                	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.DatabaseFilter>`
                
                .. attribute:: dead_interval
                
                	Interval after which a neighbor is declared dead
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: demand_circuit
                
                	OSPF Demand Circuit
                	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.DemandCircuit>`
                
                	**presence node**\: True
                
                .. attribute:: encryption
                
                	Enable encryption
                	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption>`
                
                .. attribute:: flood_reduction
                
                	OSPF Flood Reduction
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hello_interval
                
                	Time between HELLO packets
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: manet
                
                	Mobile Adhoc Networking options
                	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Manet>`
                
                .. attribute:: mtu_ignore
                
                	Ignores the MTU in DBD packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: multi_area
                
                	Set the OSPF multi\-area ID
                	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.MultiArea>`
                
                .. attribute:: neighbor
                
                	OSPF neighbor
                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Neighbor>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Network>`
                
                .. attribute:: prefix_suppression
                
                	OSPF prefix suppression
                	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.PrefixSuppression>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Router priority
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: retransmit_interval
                
                	Time between retransmitting lost link state advertisements
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Shut down the interface in OSPFv3
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transmit_delay
                
                	Link state transmit delay
                	**type**\: int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Ospfv3, self).__init__()

                    self.yang_name = "ospfv3"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authentication" : ("authentication", Native.Interface.TenGigabitEthernet.Ospfv3.Authentication), "bfd" : ("bfd", Native.Interface.TenGigabitEthernet.Ospfv3.Bfd), "cost" : ("cost", Native.Interface.TenGigabitEthernet.Ospfv3.Cost), "database-filter" : ("database_filter", Native.Interface.TenGigabitEthernet.Ospfv3.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.TenGigabitEthernet.Ospfv3.DemandCircuit), "encryption" : ("encryption", Native.Interface.TenGigabitEthernet.Ospfv3.Encryption), "manet" : ("manet", Native.Interface.TenGigabitEthernet.Ospfv3.Manet), "multi-area" : ("multi_area", Native.Interface.TenGigabitEthernet.Ospfv3.MultiArea), "network" : ("network", Native.Interface.TenGigabitEthernet.Ospfv3.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.TenGigabitEthernet.Ospfv3.PrefixSuppression)}
                    self._child_list_classes = {"process-id" : ("process_id", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId), "neighbor" : ("neighbor", Native.Interface.TenGigabitEthernet.Ospfv3.Neighbor)}

                    self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                    self.flood_reduction = YLeaf(YType.empty, "flood-reduction")

                    self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                    self.mtu_ignore = YLeaf(YType.empty, "mtu-ignore")

                    self.priority = YLeaf(YType.uint8, "priority")

                    self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                    self.shutdown = YLeaf(YType.empty, "shutdown")

                    self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                    self.authentication = Native.Interface.TenGigabitEthernet.Ospfv3.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.bfd = None
                    self._children_name_map["bfd"] = "bfd"
                    self._children_yang_names.add("bfd")

                    self.cost = Native.Interface.TenGigabitEthernet.Ospfv3.Cost()
                    self.cost.parent = self
                    self._children_name_map["cost"] = "cost"
                    self._children_yang_names.add("cost")

                    self.database_filter = Native.Interface.TenGigabitEthernet.Ospfv3.DatabaseFilter()
                    self.database_filter.parent = self
                    self._children_name_map["database_filter"] = "database-filter"
                    self._children_yang_names.add("database-filter")

                    self.demand_circuit = None
                    self._children_name_map["demand_circuit"] = "demand-circuit"
                    self._children_yang_names.add("demand-circuit")

                    self.encryption = Native.Interface.TenGigabitEthernet.Ospfv3.Encryption()
                    self.encryption.parent = self
                    self._children_name_map["encryption"] = "encryption"
                    self._children_yang_names.add("encryption")

                    self.manet = Native.Interface.TenGigabitEthernet.Ospfv3.Manet()
                    self.manet.parent = self
                    self._children_name_map["manet"] = "manet"
                    self._children_yang_names.add("manet")

                    self.multi_area = Native.Interface.TenGigabitEthernet.Ospfv3.MultiArea()
                    self.multi_area.parent = self
                    self._children_name_map["multi_area"] = "multi-area"
                    self._children_yang_names.add("multi-area")

                    self.network = Native.Interface.TenGigabitEthernet.Ospfv3.Network()
                    self.network.parent = self
                    self._children_name_map["network"] = "network"
                    self._children_yang_names.add("network")

                    self.prefix_suppression = None
                    self._children_name_map["prefix_suppression"] = "prefix-suppression"
                    self._children_yang_names.add("prefix-suppression")

                    self.process_id = YList(self)
                    self.neighbor = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-ospfv3:ospfv3"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3, ['dead_interval', 'flood_reduction', 'hello_interval', 'mtu_ignore', 'priority', 'retransmit_interval', 'shutdown', 'transmit_delay'], name, value)


                class ProcessId(Entity):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost>`
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: manet
                    
                    	Mobile Adhoc Networking options
                    	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.MultiArea>`
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Network>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipv4
                    
                    	Specify parameters for IPv4
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Specify parameters for IPv6
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId, self).__init__()

                        self.yang_name = "process-id"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Authentication), "bfd" : ("bfd", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Bfd), "cost" : ("cost", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost), "database-filter" : ("database_filter", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.FloodReduction), "manet" : ("manet", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.MultiArea), "network" : ("network", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Shutdown), "ipv4" : ("ipv4", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4), "ipv6" : ("ipv6", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6)}
                        self._child_list_classes = {"neighbor" : ("neighbor", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Neighbor)}

                        self.id = YLeaf(YType.uint16, "id")

                        self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.cost = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost()
                        self.cost.parent = self
                        self._children_name_map["cost"] = "cost"
                        self._children_yang_names.add("cost")

                        self.database_filter = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.flood_reduction = None
                        self._children_name_map["flood_reduction"] = "flood-reduction"
                        self._children_yang_names.add("flood-reduction")

                        self.manet = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet()
                        self.manet.parent = self
                        self._children_name_map["manet"] = "manet"
                        self._children_yang_names.add("manet")

                        self.mtu_ignore = None
                        self._children_name_map["mtu_ignore"] = "mtu-ignore"
                        self._children_yang_names.add("mtu-ignore")

                        self.multi_area = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.MultiArea()
                        self.multi_area.parent = self
                        self._children_name_map["multi_area"] = "multi-area"
                        self._children_yang_names.add("multi-area")

                        self.network = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.prefix_suppression = None
                        self._children_name_map["prefix_suppression"] = "prefix-suppression"
                        self._children_yang_names.add("prefix-suppression")

                        self.shutdown = None
                        self._children_name_map["shutdown"] = "shutdown"
                        self._children_yang_names.add("shutdown")

                        self.ipv4 = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.neighbor = YList(self)
                        self._segment_path = lambda: "process-id" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId, ['id', 'dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\: str
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.null = YLeaf(YType.empty, "null")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Authentication, ['key_chain', 'null'], name, value)


                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Bfd, ['disable'], name, value)


                    class Cost(Entity):
                        """
                        Route cost of this interface
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: dynamic
                        
                        	Specify dynamic cost options
                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost, self).__init__()

                            self.yang_name = "cost"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic)}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint32, "value")

                            self.dynamic = None
                            self._children_name_map["dynamic"] = "dynamic"
                            self._children_yang_names.add("dynamic")
                            self._segment_path = lambda: "cost"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost, ['value'], name, value)


                        class Dynamic(Entity):
                            """
                            Specify dynamic cost options
                            
                            .. attribute:: default
                            
                            	Specify default link metric value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: hysteresis
                            
                            	Specify hysteresis value for LSA dampening
                            	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: weight
                            
                            	Specify weight to be placed on individual metrics
                            	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic, self).__init__()

                                self.yang_name = "dynamic"
                                self.yang_parent_name = "cost"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.default = YLeaf(YType.uint32, "default")

                                self.hysteresis = None
                                self._children_name_map["hysteresis"] = "hysteresis"
                                self._children_yang_names.add("hysteresis")

                                self.weight = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight()
                                self.weight.parent = self
                                self._children_name_map["weight"] = "weight"
                                self._children_yang_names.add("weight")
                                self._segment_path = lambda: "dynamic"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic, ['default'], name, value)


                            class Hysteresis(Entity):
                                """
                                Specify hysteresis value for LSA dampening
                                
                                .. attribute:: percent
                                
                                	Specify hysteresis percent changed
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold
                                
                                	Specify hysteresis threshold value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis, self).__init__()

                                    self.yang_name = "hysteresis"
                                    self.yang_parent_name = "dynamic"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.percent = YLeaf(YType.uint8, "percent")

                                    self.threshold = YLeaf(YType.uint32, "threshold")
                                    self._segment_path = lambda: "hysteresis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                            class Weight(Entity):
                                """
                                Specify weight to be placed on individual metrics
                                
                                .. attribute:: l2_factor
                                
                                	Specify weight to be given to L2\-factor metric
                                	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: latency
                                
                                	Specify weight to be given to latency metric
                                	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: resources
                                
                                	Specify weight to be given to resources metric
                                	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: throughput
                                
                                	Specify weight to be given to throughput metric
                                	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight, self).__init__()

                                    self.yang_name = "weight"
                                    self.yang_parent_name = "dynamic"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput)}
                                    self._child_list_classes = {}

                                    self.l2_factor = None
                                    self._children_name_map["l2_factor"] = "L2-factor"
                                    self._children_yang_names.add("L2-factor")

                                    self.latency = None
                                    self._children_name_map["latency"] = "latency"
                                    self._children_yang_names.add("latency")

                                    self.resources = None
                                    self._children_name_map["resources"] = "resources"
                                    self._children_yang_names.add("resources")

                                    self.throughput = None
                                    self._children_name_map["throughput"] = "throughput"
                                    self._children_yang_names.add("throughput")
                                    self._segment_path = lambda: "weight"


                                class L2Factor(Entity):
                                    """
                                    Specify weight to be given to L2\-factor metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                        self.yang_name = "L2-factor"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "L2-factor"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                class Latency(Entity):
                                    """
                                    Specify weight to be given to latency metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency, self).__init__()

                                        self.yang_name = "latency"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "latency"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                class Resources(Entity):
                                    """
                                    Specify weight to be given to resources metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources, self).__init__()

                                        self.yang_name = "resources"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "resources"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                class Throughput(Entity):
                                    """
                                    Specify weight to be given to throughput metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput, self).__init__()

                                        self.yang_name = "throughput"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "throughput"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.DatabaseFilter.All>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.DatabaseFilter, ['all', 'disable'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                    class DemandCircuit(Entity):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.DemandCircuit, ['disable', 'ignore'], name, value)


                    class FloodReduction(Entity):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.FloodReduction, self).__init__()

                            self.yang_name = "flood-reduction"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "flood-reduction"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.FloodReduction, ['disable'], name, value)


                    class Manet(Entity):
                        """
                        Mobile Adhoc Networking options
                        
                        .. attribute:: peering
                        
                        	MANET Peering options
                        	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet.Peering>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet, self).__init__()

                            self.yang_name = "manet"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peering" : ("peering", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet.Peering)}
                            self._child_list_classes = {}

                            self.peering = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet.Peering()
                            self.peering.parent = self
                            self._children_name_map["peering"] = "peering"
                            self._children_yang_names.add("peering")
                            self._segment_path = lambda: "manet"


                        class Peering(Entity):
                            """
                            MANET Peering options
                            
                            .. attribute:: cost
                            
                            	Redundant path cost improvement required to peer
                            	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet.Peering.Cost>`
                            
                            .. attribute:: link_metrics
                            
                            	Require link metrics
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet.Peering, self).__init__()

                                self.yang_name = "peering"
                                self.yang_parent_name = "manet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cost" : ("cost", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet.Peering.Cost)}
                                self._child_list_classes = {}

                                self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                self.cost = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet.Peering.Cost()
                                self.cost.parent = self
                                self._children_name_map["cost"] = "cost"
                                self._children_yang_names.add("cost")
                                self._segment_path = lambda: "peering"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet.Peering, ['link_metrics'], name, value)


                            class Cost(Entity):
                                """
                                Redundant path cost improvement required to peer
                                
                                .. attribute:: percent
                                
                                	Relative incremental path cost
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                .. attribute:: threshold
                                
                                	Absolute incremental path cost
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet.Peering.Cost, self).__init__()

                                    self.yang_name = "cost"
                                    self.yang_parent_name = "peering"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.percent = YLeaf(YType.uint8, "percent")

                                    self.threshold = YLeaf(YType.uint32, "threshold")
                                    self._segment_path = lambda: "cost"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                    class MtuIgnore(Entity):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.MtuIgnore, self).__init__()

                            self.yang_name = "mtu-ignore"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "mtu-ignore"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.MtuIgnore, ['disable'], name, value)


                    class MultiArea(Entity):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: disable
                        
                        	disable OSPF multi\-area
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.MultiArea, self).__init__()

                            self.yang_name = "multi-area"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint32, "cost")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "multi-area"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.MultiArea, ['id', 'cost', 'disable'], name, value)


                    class Neighbor(Entity):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint16, "cost")

                            self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.database_filter = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter.All>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Neighbor.DatabaseFilter, ['all'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                    class Network(Entity):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Network.PointToMultipoint)}
                            self._child_list_classes = {}

                            self.broadcast = YLeaf(YType.empty, "broadcast")

                            self.manet = YLeaf(YType.empty, "manet")

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                            self.point_to_point = YLeaf(YType.empty, "point-to-point")

                            self.point_to_multipoint = None
                            self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                            self._children_yang_names.add("point-to-multipoint")
                            self._segment_path = lambda: "network"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                        class PointToMultipoint(Entity):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Network.PointToMultipoint, self).__init__()

                                self.yang_name = "point-to-multipoint"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                self._segment_path = lambda: "point-to-multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Network.PointToMultipoint, ['non_broadcast'], name, value)


                    class PrefixSuppression(Entity):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.PrefixSuppression, self).__init__()

                            self.yang_name = "prefix-suppression"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "prefix-suppression"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.PrefixSuppression, ['disable'], name, value)


                    class Shutdown(Entity):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Shutdown, self).__init__()

                            self.yang_name = "shutdown"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "shutdown"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Shutdown, ['disable'], name, value)


                    class Ipv4(Entity):
                        """
                        Specify parameters for IPv4
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Authentication), "bfd" : ("bfd", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Bfd), "cost" : ("cost", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost), "database-filter" : ("database_filter", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.FloodReduction), "manet" : ("manet", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.MultiArea), "network" : ("network", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Shutdown)}
                            self._child_list_classes = {"area" : ("area", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Area), "neighbor" : ("neighbor", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor)}

                            self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                            self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                            self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                            self.authentication = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.bfd = None
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.cost = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")

                            self.database_filter = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")

                            self.demand_circuit = None
                            self._children_name_map["demand_circuit"] = "demand-circuit"
                            self._children_yang_names.add("demand-circuit")

                            self.flood_reduction = None
                            self._children_name_map["flood_reduction"] = "flood-reduction"
                            self._children_yang_names.add("flood-reduction")

                            self.manet = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.mtu_ignore = None
                            self._children_name_map["mtu_ignore"] = "mtu-ignore"
                            self._children_yang_names.add("mtu-ignore")

                            self.multi_area = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.MultiArea()
                            self.multi_area.parent = self
                            self._children_name_map["multi_area"] = "multi-area"
                            self._children_yang_names.add("multi-area")

                            self.network = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Network()
                            self.network.parent = self
                            self._children_name_map["network"] = "network"
                            self._children_yang_names.add("network")

                            self.prefix_suppression = None
                            self._children_name_map["prefix_suppression"] = "prefix-suppression"
                            self._children_yang_names.add("prefix-suppression")

                            self.shutdown = None
                            self._children_name_map["shutdown"] = "shutdown"
                            self._children_yang_names.add("shutdown")

                            self.area = YList(self)
                            self.neighbor = YList(self)
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4, ['dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                        class Area(Entity):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\: int
                            
                            	**range:** 64..95
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.instance = YLeaf(YType.uint8, "instance")
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Area, ['id', 'instance'], name, value)


                        class Authentication(Entity):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\: str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.null = YLeaf(YType.empty, "null")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Authentication, ['key_chain', 'null'], name, value)


                        class Bfd(Entity):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Bfd, ['disable'], name, value)


                        class Cost(Entity):
                            """
                            Route cost of this interface
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.dynamic = None
                                self._children_name_map["dynamic"] = "dynamic"
                                self._children_yang_names.add("dynamic")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost, ['value'], name, value)


                            class Dynamic(Entity):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic, self).__init__()

                                    self.yang_name = "dynamic"
                                    self.yang_parent_name = "cost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.default = YLeaf(YType.uint32, "default")

                                    self.hysteresis = None
                                    self._children_name_map["hysteresis"] = "hysteresis"
                                    self._children_yang_names.add("hysteresis")

                                    self.weight = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight()
                                    self.weight.parent = self
                                    self._children_name_map["weight"] = "weight"
                                    self._children_yang_names.add("weight")
                                    self._segment_path = lambda: "dynamic"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic, ['default'], name, value)


                                class Hysteresis(Entity):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis, self).__init__()

                                        self.yang_name = "hysteresis"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "hysteresis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                                class Weight(Entity):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight, self).__init__()

                                        self.yang_name = "weight"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput)}
                                        self._child_list_classes = {}

                                        self.l2_factor = None
                                        self._children_name_map["l2_factor"] = "L2-factor"
                                        self._children_yang_names.add("L2-factor")

                                        self.latency = None
                                        self._children_name_map["latency"] = "latency"
                                        self._children_yang_names.add("latency")

                                        self.resources = None
                                        self._children_name_map["resources"] = "resources"
                                        self._children_yang_names.add("resources")

                                        self.throughput = None
                                        self._children_name_map["throughput"] = "throughput"
                                        self._children_yang_names.add("throughput")
                                        self._segment_path = lambda: "weight"


                                    class L2Factor(Entity):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                            self.yang_name = "L2-factor"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "L2-factor"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                    class Latency(Entity):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency, self).__init__()

                                            self.yang_name = "latency"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "latency"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                    class Resources(Entity):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources, self).__init__()

                                            self.yang_name = "resources"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "resources"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                    class Throughput(Entity):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput, self).__init__()

                                            self.yang_name = "throughput"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "throughput"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter.All>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.DatabaseFilter, ['all', 'disable'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                        class DemandCircuit(Entity):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.DemandCircuit, self).__init__()

                                self.yang_name = "demand-circuit"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "demand-circuit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.DemandCircuit, ['disable', 'ignore'], name, value)


                        class FloodReduction(Entity):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.FloodReduction, self).__init__()

                                self.yang_name = "flood-reduction"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "flood-reduction"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.FloodReduction, ['disable'], name, value)


                        class Manet(Entity):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peering" : ("peering", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering)}
                                self._child_list_classes = {}

                                self.peering = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"


                            class Peering(Entity):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost" : ("cost", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost)}
                                    self._child_list_classes = {}

                                    self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                    self.cost = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self._children_name_map["cost"] = "cost"
                                    self._children_yang_names.add("cost")
                                    self._segment_path = lambda: "peering"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering, ['link_metrics'], name, value)


                                class Cost(Entity):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost, self).__init__()

                                        self.yang_name = "cost"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "cost"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                        class MtuIgnore(Entity):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.MtuIgnore, self).__init__()

                                self.yang_name = "mtu-ignore"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "mtu-ignore"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.MtuIgnore, ['disable'], name, value)


                        class MultiArea(Entity):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.MultiArea, self).__init__()

                                self.yang_name = "multi-area"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint32, "cost")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "multi-area"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.MultiArea, ['id', 'cost', 'disable'], name, value)


                        class Neighbor(Entity):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint16, "cost")

                                self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.database_filter = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self._children_name_map["database_filter"] = "database-filter"
                                self._children_yang_names.add("database-filter")
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                            class DatabaseFilter(Entity):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.All>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter, self).__init__()

                                    self.yang_name = "database-filter"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.all = YLeaf(YType.enumeration, "all")
                                    self._segment_path = lambda: "database-filter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter, ['all'], name, value)

                                class All(Enum):
                                    """
                                    All

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = Enum.YLeaf(0, "out")



                        class Network(Entity):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint)}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.manet = YLeaf(YType.empty, "manet")

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                                self.point_to_point = YLeaf(YType.empty, "point-to-point")

                                self.point_to_multipoint = None
                                self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                                self._children_yang_names.add("point-to-multipoint")
                                self._segment_path = lambda: "network"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                            class PointToMultipoint(Entity):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint, self).__init__()

                                    self.yang_name = "point-to-multipoint"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                    self._segment_path = lambda: "point-to-multipoint"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint, ['non_broadcast'], name, value)


                        class PrefixSuppression(Entity):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression, self).__init__()

                                self.yang_name = "prefix-suppression"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "prefix-suppression"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.PrefixSuppression, ['disable'], name, value)


                        class Shutdown(Entity):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Shutdown, self).__init__()

                                self.yang_name = "shutdown"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "shutdown"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv4.Shutdown, ['disable'], name, value)


                    class Ipv6(Entity):
                        """
                        Specify parameters for IPv6
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Authentication), "bfd" : ("bfd", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Bfd), "cost" : ("cost", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost), "database-filter" : ("database_filter", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.FloodReduction), "manet" : ("manet", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.MultiArea), "network" : ("network", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Shutdown)}
                            self._child_list_classes = {"area" : ("area", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Area), "neighbor" : ("neighbor", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor)}

                            self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                            self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                            self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                            self.authentication = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.bfd = None
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.cost = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")

                            self.database_filter = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")

                            self.demand_circuit = None
                            self._children_name_map["demand_circuit"] = "demand-circuit"
                            self._children_yang_names.add("demand-circuit")

                            self.flood_reduction = None
                            self._children_name_map["flood_reduction"] = "flood-reduction"
                            self._children_yang_names.add("flood-reduction")

                            self.manet = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.mtu_ignore = None
                            self._children_name_map["mtu_ignore"] = "mtu-ignore"
                            self._children_yang_names.add("mtu-ignore")

                            self.multi_area = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.MultiArea()
                            self.multi_area.parent = self
                            self._children_name_map["multi_area"] = "multi-area"
                            self._children_yang_names.add("multi-area")

                            self.network = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Network()
                            self.network.parent = self
                            self._children_name_map["network"] = "network"
                            self._children_yang_names.add("network")

                            self.prefix_suppression = None
                            self._children_name_map["prefix_suppression"] = "prefix-suppression"
                            self._children_yang_names.add("prefix-suppression")

                            self.shutdown = None
                            self._children_name_map["shutdown"] = "shutdown"
                            self._children_yang_names.add("shutdown")

                            self.area = YList(self)
                            self.neighbor = YList(self)
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6, ['dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                        class Area(Entity):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\: int
                            
                            	**range:** 0..31
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.instance = YLeaf(YType.uint8, "instance")
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Area, ['id', 'instance'], name, value)


                        class Authentication(Entity):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\: str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.null = YLeaf(YType.empty, "null")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Authentication, ['key_chain', 'null'], name, value)


                        class Bfd(Entity):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Bfd, ['disable'], name, value)


                        class Cost(Entity):
                            """
                            Route cost of this interface
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.dynamic = None
                                self._children_name_map["dynamic"] = "dynamic"
                                self._children_yang_names.add("dynamic")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost, ['value'], name, value)


                            class Dynamic(Entity):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic, self).__init__()

                                    self.yang_name = "dynamic"
                                    self.yang_parent_name = "cost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.default = YLeaf(YType.uint32, "default")

                                    self.hysteresis = None
                                    self._children_name_map["hysteresis"] = "hysteresis"
                                    self._children_yang_names.add("hysteresis")

                                    self.weight = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight()
                                    self.weight.parent = self
                                    self._children_name_map["weight"] = "weight"
                                    self._children_yang_names.add("weight")
                                    self._segment_path = lambda: "dynamic"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic, ['default'], name, value)


                                class Hysteresis(Entity):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis, self).__init__()

                                        self.yang_name = "hysteresis"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "hysteresis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                                class Weight(Entity):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight, self).__init__()

                                        self.yang_name = "weight"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput)}
                                        self._child_list_classes = {}

                                        self.l2_factor = None
                                        self._children_name_map["l2_factor"] = "L2-factor"
                                        self._children_yang_names.add("L2-factor")

                                        self.latency = None
                                        self._children_name_map["latency"] = "latency"
                                        self._children_yang_names.add("latency")

                                        self.resources = None
                                        self._children_name_map["resources"] = "resources"
                                        self._children_yang_names.add("resources")

                                        self.throughput = None
                                        self._children_name_map["throughput"] = "throughput"
                                        self._children_yang_names.add("throughput")
                                        self._segment_path = lambda: "weight"


                                    class L2Factor(Entity):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                            self.yang_name = "L2-factor"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "L2-factor"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                    class Latency(Entity):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency, self).__init__()

                                            self.yang_name = "latency"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "latency"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                    class Resources(Entity):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources, self).__init__()

                                            self.yang_name = "resources"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "resources"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                    class Throughput(Entity):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput, self).__init__()

                                            self.yang_name = "throughput"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "throughput"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter.All>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.DatabaseFilter, ['all', 'disable'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                        class DemandCircuit(Entity):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.DemandCircuit, self).__init__()

                                self.yang_name = "demand-circuit"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "demand-circuit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.DemandCircuit, ['disable', 'ignore'], name, value)


                        class FloodReduction(Entity):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.FloodReduction, self).__init__()

                                self.yang_name = "flood-reduction"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "flood-reduction"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.FloodReduction, ['disable'], name, value)


                        class Manet(Entity):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peering" : ("peering", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering)}
                                self._child_list_classes = {}

                                self.peering = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"


                            class Peering(Entity):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost" : ("cost", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost)}
                                    self._child_list_classes = {}

                                    self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                    self.cost = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self._children_name_map["cost"] = "cost"
                                    self._children_yang_names.add("cost")
                                    self._segment_path = lambda: "peering"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering, ['link_metrics'], name, value)


                                class Cost(Entity):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost, self).__init__()

                                        self.yang_name = "cost"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "cost"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                        class MtuIgnore(Entity):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.MtuIgnore, self).__init__()

                                self.yang_name = "mtu-ignore"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "mtu-ignore"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.MtuIgnore, ['disable'], name, value)


                        class MultiArea(Entity):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.MultiArea, self).__init__()

                                self.yang_name = "multi-area"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint32, "cost")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "multi-area"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.MultiArea, ['id', 'cost', 'disable'], name, value)


                        class Neighbor(Entity):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint16, "cost")

                                self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.database_filter = Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self._children_name_map["database_filter"] = "database-filter"
                                self._children_yang_names.add("database-filter")
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                            class DatabaseFilter(Entity):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.All>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter, self).__init__()

                                    self.yang_name = "database-filter"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.all = YLeaf(YType.enumeration, "all")
                                    self._segment_path = lambda: "database-filter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter, ['all'], name, value)

                                class All(Enum):
                                    """
                                    All

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = Enum.YLeaf(0, "out")



                        class Network(Entity):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint)}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.manet = YLeaf(YType.empty, "manet")

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                                self.point_to_point = YLeaf(YType.empty, "point-to-point")

                                self.point_to_multipoint = None
                                self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                                self._children_yang_names.add("point-to-multipoint")
                                self._segment_path = lambda: "network"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                            class PointToMultipoint(Entity):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint, self).__init__()

                                    self.yang_name = "point-to-multipoint"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                    self._segment_path = lambda: "point-to-multipoint"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint, ['non_broadcast'], name, value)


                        class PrefixSuppression(Entity):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression, self).__init__()

                                self.yang_name = "prefix-suppression"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "prefix-suppression"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.PrefixSuppression, ['disable'], name, value)


                        class Shutdown(Entity):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Shutdown, self).__init__()

                                self.yang_name = "shutdown"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "shutdown"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.ProcessId.Ipv6.Shutdown, ['disable'], name, value)


                class Authentication(Entity):
                    """
                    Enable authentication
                    
                    .. attribute:: key_chain
                    
                    	Use a key\-chain for cryptographic authentication keys
                    	**type**\: str
                    
                    .. attribute:: null
                    
                    	Use no authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec authentication
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ospfv3.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec)}
                        self._child_list_classes = {}

                        self.key_chain = YLeaf(YType.str, "key-chain")

                        self.null = YLeaf(YType.empty, "null")

                        self.ipsec = Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Authentication, ['key_chain', 'null'], name, value)


                    class Ipsec(Entity):
                        """
                        Use IPsec authentication
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\: int
                        
                        	**range:** 256..4294967295
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Md5>`
                        
                        .. attribute:: sha1
                        
                        	Use SHA\-1 authentication
                        	**type**\:  :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Md5), "sha1" : ("sha1", Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1)}
                            self._child_list_classes = {}

                            self.spi = YLeaf(YType.uint64, "spi")

                            self.md5 = Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.sha1 = Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1()
                            self.sha1.parent = self
                            self._children_name_map["sha1"] = "sha1"
                            self._children_yang_names.add("sha1")
                            self._segment_path = lambda: "ipsec"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec, ['spi'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Md5.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                        class Sha1(Entity):
                            """
                            Use SHA\-1 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1, self).__init__()

                                self.yang_name = "sha1"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "sha1"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "sha1"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Authentication.Ipsec.Sha1.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                class Bfd(Entity):
                    """
                    Enable BFD on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BFD on this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ospfv3.Bfd, self).__init__()

                        self.yang_name = "bfd"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "bfd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Bfd, ['disable'], name, value)


                class Cost(Entity):
                    """
                    Route cost of this interface
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: dynamic
                    
                    	Specify dynamic cost options
                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ospfv3.Cost, self).__init__()

                        self.yang_name = "cost"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic)}
                        self._child_list_classes = {}

                        self.value = YLeaf(YType.uint32, "value")

                        self.dynamic = None
                        self._children_name_map["dynamic"] = "dynamic"
                        self._children_yang_names.add("dynamic")
                        self._segment_path = lambda: "cost"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Cost, ['value'], name, value)


                    class Dynamic(Entity):
                        """
                        Specify dynamic cost options
                        
                        .. attribute:: default
                        
                        	Specify default link metric value
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hysteresis
                        
                        	Specify hysteresis value for LSA dampening
                        	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Hysteresis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: weight
                        
                        	Specify weight to be placed on individual metrics
                        	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic, self).__init__()

                            self.yang_name = "dynamic"
                            self.yang_parent_name = "cost"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.uint32, "default")

                            self.hysteresis = None
                            self._children_name_map["hysteresis"] = "hysteresis"
                            self._children_yang_names.add("hysteresis")

                            self.weight = Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight()
                            self.weight.parent = self
                            self._children_name_map["weight"] = "weight"
                            self._children_yang_names.add("weight")
                            self._segment_path = lambda: "dynamic"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic, ['default'], name, value)


                        class Hysteresis(Entity):
                            """
                            Specify hysteresis value for LSA dampening
                            
                            .. attribute:: percent
                            
                            	Specify hysteresis percent changed
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold
                            
                            	Specify hysteresis threshold value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Hysteresis, self).__init__()

                                self.yang_name = "hysteresis"
                                self.yang_parent_name = "dynamic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.threshold = YLeaf(YType.uint32, "threshold")
                                self._segment_path = lambda: "hysteresis"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                        class Weight(Entity):
                            """
                            Specify weight to be placed on individual metrics
                            
                            .. attribute:: l2_factor
                            
                            	Specify weight to be given to L2\-factor metric
                            	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.L2Factor>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: latency
                            
                            	Specify weight to be given to latency metric
                            	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Latency>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: resources
                            
                            	Specify weight to be given to resources metric
                            	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Resources>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: throughput
                            
                            	Specify weight to be given to throughput metric
                            	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Throughput>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight, self).__init__()

                                self.yang_name = "weight"
                                self.yang_parent_name = "dynamic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Throughput)}
                                self._child_list_classes = {}

                                self.l2_factor = None
                                self._children_name_map["l2_factor"] = "L2-factor"
                                self._children_yang_names.add("L2-factor")

                                self.latency = None
                                self._children_name_map["latency"] = "latency"
                                self._children_yang_names.add("latency")

                                self.resources = None
                                self._children_name_map["resources"] = "resources"
                                self._children_yang_names.add("resources")

                                self.throughput = None
                                self._children_name_map["throughput"] = "throughput"
                                self._children_yang_names.add("throughput")
                                self._segment_path = lambda: "weight"


                            class L2Factor(Entity):
                                """
                                Specify weight to be given to L2\-factor metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                    self.yang_name = "L2-factor"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "L2-factor"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                            class Latency(Entity):
                                """
                                Specify weight to be given to latency metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Latency, self).__init__()

                                    self.yang_name = "latency"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "latency"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                            class Resources(Entity):
                                """
                                Specify weight to be given to resources metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Resources, self).__init__()

                                    self.yang_name = "resources"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "resources"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                            class Throughput(Entity):
                                """
                                Specify weight to be given to throughput metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Throughput, self).__init__()

                                    self.yang_name = "throughput"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "throughput"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                class DatabaseFilter(Entity):
                    """
                    Filter OSPF LSA during synchronization and flooding
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.DatabaseFilter.All>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ospfv3.DatabaseFilter, self).__init__()

                        self.yang_name = "database-filter"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.all = YLeaf(YType.enumeration, "all")
                        self._segment_path = lambda: "database-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.DatabaseFilter, ['all'], name, value)

                    class All(Enum):
                        """
                        All

                        Filter all LSA

                        .. data:: out = 0

                        """

                        out = Enum.YLeaf(0, "out")



                class DemandCircuit(Entity):
                    """
                    OSPF Demand Circuit
                    
                    .. attribute:: ignore
                    
                    	Ignore demand circuit auto\-negotiation requests
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ospfv3.DemandCircuit, self).__init__()

                        self.yang_name = "demand-circuit"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ignore = YLeaf(YType.empty, "ignore")
                        self._segment_path = lambda: "demand-circuit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.DemandCircuit, ['ignore'], name, value)


                class Encryption(Entity):
                    """
                    Enable encryption
                    
                    .. attribute:: null
                    
                    	No IPsec encryption on this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec encryption
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption, self).__init__()

                        self.yang_name = "encryption"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec)}
                        self._child_list_classes = {}

                        self.null = YLeaf(YType.empty, "null")

                        self.ipsec = Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "encryption"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption, ['null'], name, value)


                    class Ipsec(Entity):
                        """
                        Use IPsec encryption
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: esp
                        
                        	Use ESP encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec_3des
                        
                        	Use 3DES encryption
                        	**type**\:  :py:class:`Ipsec3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des>`
                        
                        .. attribute:: aes_cbc
                        
                        	Use AES\-CBC encryption
                        	**type**\:  :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "encryption"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec_3des" : ("ipsec_3des", Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des), "aes-cbc" : ("aes_cbc", Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc)}
                            self._child_list_classes = {}

                            self.spi = YLeaf(YType.uint64, "spi")

                            self.esp = YLeaf(YType.empty, "esp")

                            self.ipsec_3des = Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des()
                            self.ipsec_3des.parent = self
                            self._children_name_map["ipsec_3des"] = "ipsec_3des"
                            self._children_yang_names.add("ipsec_3des")

                            self.aes_cbc = Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc()
                            self.aes_cbc.parent = self
                            self._children_name_map["aes_cbc"] = "aes-cbc"
                            self._children_yang_names.add("aes-cbc")
                            self._segment_path = lambda: "ipsec"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec, ['spi', 'esp'], name, value)


                        class Ipsec3Des(Entity):
                            """
                            Use 3DES encryption
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des, self).__init__()

                                self.yang_name = "ipsec_3des"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "ipsec_3des"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "ipsec_3des"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                        class AesCbc(Entity):
                            """
                            Use AES\-CBC encryption
                            
                            .. attribute:: aes_cbc_128
                            
                            	Use 128 bit key
                            	**type**\:  :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128>`
                            
                            .. attribute:: aes_192
                            
                            	Use 192 bit key
                            	**type**\:  :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192>`
                            
                            .. attribute:: aes_256
                            
                            	Use 256 bit key
                            	**type**\:  :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc, self).__init__()

                                self.yang_name = "aes-cbc"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"aes-cbc-128" : ("aes_cbc_128", Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128), "aes-192" : ("aes_192", Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192), "aes-256" : ("aes_256", Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256)}
                                self._child_list_classes = {}

                                self.aes_cbc_128 = Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128()
                                self.aes_cbc_128.parent = self
                                self._children_name_map["aes_cbc_128"] = "aes-cbc-128"
                                self._children_yang_names.add("aes-cbc-128")

                                self.aes_192 = Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192()
                                self.aes_192.parent = self
                                self._children_name_map["aes_192"] = "aes-192"
                                self._children_yang_names.add("aes-192")

                                self.aes_256 = Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256()
                                self.aes_256.parent = self
                                self._children_name_map["aes_256"] = "aes-256"
                                self._children_yang_names.add("aes-256")
                                self._segment_path = lambda: "aes-cbc"


                            class AesCbc128(Entity):
                                """
                                Use 128 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128, self).__init__()

                                    self.yang_name = "aes-cbc-128"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-cbc-128"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-cbc-128"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Aes192(Entity):
                                """
                                Use 192 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192, self).__init__()

                                    self.yang_name = "aes-192"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-192"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-192"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Aes256(Entity):
                                """
                                Use 256 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256, self).__init__()

                                    self.yang_name = "aes-256"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-256"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-256"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                class Manet(Entity):
                    """
                    Mobile Adhoc Networking options
                    
                    .. attribute:: peering
                    
                    	MANET Peering options
                    	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Manet.Peering>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ospfv3.Manet, self).__init__()

                        self.yang_name = "manet"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"peering" : ("peering", Native.Interface.TenGigabitEthernet.Ospfv3.Manet.Peering)}
                        self._child_list_classes = {}

                        self.peering = Native.Interface.TenGigabitEthernet.Ospfv3.Manet.Peering()
                        self.peering.parent = self
                        self._children_name_map["peering"] = "peering"
                        self._children_yang_names.add("peering")
                        self._segment_path = lambda: "manet"


                    class Peering(Entity):
                        """
                        MANET Peering options
                        
                        .. attribute:: cost
                        
                        	Redundant path cost improvement required to peer
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Manet.Peering.Cost>`
                        
                        .. attribute:: link_metrics
                        
                        	Require link metrics
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.Manet.Peering, self).__init__()

                            self.yang_name = "peering"
                            self.yang_parent_name = "manet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cost" : ("cost", Native.Interface.TenGigabitEthernet.Ospfv3.Manet.Peering.Cost)}
                            self._child_list_classes = {}

                            self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                            self.cost = Native.Interface.TenGigabitEthernet.Ospfv3.Manet.Peering.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")
                            self._segment_path = lambda: "peering"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Manet.Peering, ['link_metrics'], name, value)


                        class Cost(Entity):
                            """
                            Redundant path cost improvement required to peer
                            
                            .. attribute:: percent
                            
                            	Relative incremental path cost
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            .. attribute:: threshold
                            
                            	Absolute incremental path cost
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Ospfv3.Manet.Peering.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "peering"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.threshold = YLeaf(YType.uint32, "threshold")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                class MultiArea(Entity):
                    """
                    Set the OSPF multi\-area ID
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967295
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ospfv3.MultiArea, self).__init__()

                        self.yang_name = "multi-area"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.cost = YLeaf(YType.uint32, "cost")
                        self._segment_path = lambda: "multi-area"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.MultiArea, ['id', 'cost'], name, value)


                class Neighbor(Entity):
                    """
                    OSPF neighbor
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	OSPF cost for point\-to\-multipoint neighbor
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Neighbor.DatabaseFilter>`
                    
                    .. attribute:: poll_interval
                    
                    	OSPF dead\-router polling interval
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: priority
                    
                    	OSPF priority of non\-broadcast neighbor
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ospfv3.Neighbor, self).__init__()

                        self.yang_name = "neighbor"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.TenGigabitEthernet.Ospfv3.Neighbor.DatabaseFilter)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.database_filter = Native.Interface.TenGigabitEthernet.Ospfv3.Neighbor.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")
                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Neighbor.DatabaseFilter.All>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.Neighbor.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "neighbor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Neighbor.DatabaseFilter, ['all'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                class Network(Entity):
                    """
                    Network type
                    
                    .. attribute:: broadcast
                    
                    	Specify OSPF broadcast multi\-access network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: manet
                    
                    	Specify MANET OSPF interface type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: non_broadcast
                    
                    	Specify OSPF NBMA network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: point_to_multipoint
                    
                    	Specify OSPF point\-to\-multipoint network
                    	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Ospfv3.Network.PointToMultipoint>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: point_to_point
                    
                    	Specify OSPF point\-to\-point network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ospfv3.Network, self).__init__()

                        self.yang_name = "network"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.TenGigabitEthernet.Ospfv3.Network.PointToMultipoint)}
                        self._child_list_classes = {}

                        self.broadcast = YLeaf(YType.empty, "broadcast")

                        self.manet = YLeaf(YType.empty, "manet")

                        self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                        self.point_to_point = YLeaf(YType.empty, "point-to-point")

                        self.point_to_multipoint = None
                        self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                        self._children_yang_names.add("point-to-multipoint")
                        self._segment_path = lambda: "network"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                    class PointToMultipoint(Entity):
                        """
                        Specify OSPF point\-to\-multipoint network
                        
                        .. attribute:: non_broadcast
                        
                        	Specify non\-broadcast point\-to\-mpoint network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Ospfv3.Network.PointToMultipoint, self).__init__()

                            self.yang_name = "point-to-multipoint"
                            self.yang_parent_name = "network"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                            self._segment_path = lambda: "point-to-multipoint"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.Network.PointToMultipoint, ['non_broadcast'], name, value)


                class PrefixSuppression(Entity):
                    """
                    OSPF prefix suppression
                    
                    .. attribute:: disable
                    
                    	Disable prefix suppression
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Ospfv3.PrefixSuppression, self).__init__()

                        self.yang_name = "prefix-suppression"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "prefix-suppression"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Ospfv3.PrefixSuppression, ['disable'], name, value)


            class Power(Entity):
                """
                
                
                .. attribute:: inline
                
                	
                	**type**\:  :py:class:`Inline <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Power.Inline>`
                
                

                """

                _prefix = 'ios-power'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Power, self).__init__()

                    self.yang_name = "power"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"inline" : ("inline", Native.Interface.TenGigabitEthernet.Power.Inline)}
                    self._child_list_classes = {}

                    self.inline = Native.Interface.TenGigabitEthernet.Power.Inline()
                    self.inline.parent = self
                    self._children_name_map["inline"] = "inline"
                    self._children_yang_names.add("inline")
                    self._segment_path = lambda: "Cisco-IOS-XE-power:power"


                class Inline(Entity):
                    """
                    
                    
                    .. attribute:: consumption
                    
                    	
                    	**type**\: int
                    
                    	**range:** 4000..15400
                    
                    .. attribute:: never
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: auto
                    
                    	Automatically detect and power inline devices
                    	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Power.Inline.Auto>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: four_pair
                    
                    	Four\-pair PoE power
                    	**type**\:  :py:class:`FourPair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Power.Inline.FourPair>`
                    
                    .. attribute:: police
                    
                    	Police the power drawn on the port
                    	**type**\:  :py:class:`Police <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Power.Inline.Police>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: port
                    
                    	Configure Port Power Level
                    	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Power.Inline.Port>`
                    
                    .. attribute:: static
                    
                    	High priority inline power interface
                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Power.Inline.Static>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-power'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Power.Inline, self).__init__()

                        self.yang_name = "inline"
                        self.yang_parent_name = "power"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"auto" : ("auto", Native.Interface.TenGigabitEthernet.Power.Inline.Auto), "four-pair" : ("four_pair", Native.Interface.TenGigabitEthernet.Power.Inline.FourPair), "police" : ("police", Native.Interface.TenGigabitEthernet.Power.Inline.Police), "port" : ("port", Native.Interface.TenGigabitEthernet.Power.Inline.Port), "static" : ("static", Native.Interface.TenGigabitEthernet.Power.Inline.Static)}
                        self._child_list_classes = {}

                        self.consumption = YLeaf(YType.uint16, "consumption")

                        self.never = YLeaf(YType.empty, "never")

                        self.auto = None
                        self._children_name_map["auto"] = "auto"
                        self._children_yang_names.add("auto")

                        self.four_pair = Native.Interface.TenGigabitEthernet.Power.Inline.FourPair()
                        self.four_pair.parent = self
                        self._children_name_map["four_pair"] = "four-pair"
                        self._children_yang_names.add("four-pair")

                        self.police = None
                        self._children_name_map["police"] = "police"
                        self._children_yang_names.add("police")

                        self.port = Native.Interface.TenGigabitEthernet.Power.Inline.Port()
                        self.port.parent = self
                        self._children_name_map["port"] = "port"
                        self._children_yang_names.add("port")

                        self.static = None
                        self._children_name_map["static"] = "static"
                        self._children_yang_names.add("static")
                        self._segment_path = lambda: "inline"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Power.Inline, ['consumption', 'never'], name, value)


                    class Auto(Entity):
                        """
                        Automatically detect and power inline devices
                        
                        .. attribute:: max
                        
                        	Maximum power allowed on this interface
                        	**type**\: int
                        
                        	**range:** 4000..60000
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Power.Inline.Auto, self).__init__()

                            self.yang_name = "auto"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.max = YLeaf(YType.int32, "max")
                            self._segment_path = lambda: "auto"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Power.Inline.Auto, ['max'], name, value)


                    class FourPair(Entity):
                        """
                        Four\-pair PoE power
                        
                        .. attribute:: forced
                        
                        	Enable Four\-pair PoE without L2 negotiation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Power.Inline.FourPair, self).__init__()

                            self.yang_name = "four-pair"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forced = YLeaf(YType.empty, "forced")
                            self._segment_path = lambda: "four-pair"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Power.Inline.FourPair, ['forced'], name, value)


                    class Police(Entity):
                        """
                        Police the power drawn on the port
                        
                        .. attribute:: action
                        
                        	Action to be taken when power is overdrawn on the port
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Power.Inline.Police.Action>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Power.Inline.Police, self).__init__()

                            self.yang_name = "police"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"action" : ("action", Native.Interface.TenGigabitEthernet.Power.Inline.Police.Action)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.action = Native.Interface.TenGigabitEthernet.Power.Inline.Police.Action()
                            self.action.parent = self
                            self._children_name_map["action"] = "action"
                            self._children_yang_names.add("action")
                            self._segment_path = lambda: "police"


                        class Action(Entity):
                            """
                            Action to be taken when power is overdrawn on the port
                            
                            .. attribute:: errdisable
                            
                            	Error\-disable the port when power is overdrawn on the port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: log
                            
                            	Log a message when power is overdrawn on the port
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-power'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Power.Inline.Police.Action, self).__init__()

                                self.yang_name = "action"
                                self.yang_parent_name = "police"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.errdisable = YLeaf(YType.empty, "errdisable")

                                self.log = YLeaf(YType.empty, "log")
                                self._segment_path = lambda: "action"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Power.Inline.Police.Action, ['errdisable', 'log'], name, value)


                    class Port(Entity):
                        """
                        Configure Port Power Level
                        
                        .. attribute:: poe_ha
                        
                        	Apply poe\-ha to the port
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: two_event
                        
                        	Enable 2\-event classification
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Power.Inline.Port, self).__init__()

                            self.yang_name = "port"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.poe_ha = YLeaf(YType.empty, "poe-ha")

                            self.two_event = YLeaf(YType.empty, "two-event")
                            self._segment_path = lambda: "port"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Power.Inline.Port, ['poe_ha', 'two_event'], name, value)


                    class Static(Entity):
                        """
                        High priority inline power interface
                        
                        .. attribute:: max
                        
                        	Maximum power allowed on this interface
                        	**type**\: int
                        
                        	**range:** 4000..60000
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-power'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Power.Inline.Static, self).__init__()

                            self.yang_name = "static"
                            self.yang_parent_name = "inline"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.max = YLeaf(YType.int32, "max")
                            self._segment_path = lambda: "static"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Power.Inline.Static, ['max'], name, value)


            class Authentication(Entity):
                """
                Auth Manager Interface Configuration Commands
                
                .. attribute:: control_direction
                
                	Set the control\-direction on the interface
                	**type**\:  :py:class:`ControlDirection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.ControlDirection>`
                
                .. attribute:: event
                
                	Set action for authentication events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event>`
                
                .. attribute:: fallback
                
                	Enable the Webauth fallback mechanism
                	**type**\: str
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.HostMode>`
                
                .. attribute:: open
                
                	Enable or Disable open access on this port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: order
                
                	Add an authentication method to the order list
                	**type**\:  :py:class:`Order <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Order>`
                
                .. attribute:: priority
                
                	Add an authentication method to the priority list
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Priority>`
                
                .. attribute:: port_control
                
                	set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.PortControl>`
                
                .. attribute:: periodic
                
                	Enable or Disable Reauthentication for this port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: timer
                
                	Set authentication timer values
                	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Timer>`
                
                .. attribute:: violation
                
                	Configure action to take on security violations
                	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Violation>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Authentication, self).__init__()

                    self.yang_name = "authentication"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.TenGigabitEthernet.Authentication.Event), "order" : ("order", Native.Interface.TenGigabitEthernet.Authentication.Order), "priority" : ("priority", Native.Interface.TenGigabitEthernet.Authentication.Priority), "timer" : ("timer", Native.Interface.TenGigabitEthernet.Authentication.Timer)}
                    self._child_list_classes = {}

                    self.control_direction = YLeaf(YType.enumeration, "control-direction")

                    self.fallback = YLeaf(YType.str, "fallback")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.open = YLeaf(YType.empty, "open")

                    self.port_control = YLeaf(YType.enumeration, "port-control")

                    self.periodic = YLeaf(YType.empty, "periodic")

                    self.violation = YLeaf(YType.enumeration, "violation")

                    self.event = Native.Interface.TenGigabitEthernet.Authentication.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")

                    self.order = Native.Interface.TenGigabitEthernet.Authentication.Order()
                    self.order.parent = self
                    self._children_name_map["order"] = "order"
                    self._children_yang_names.add("order")

                    self.priority = Native.Interface.TenGigabitEthernet.Authentication.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.timer = Native.Interface.TenGigabitEthernet.Authentication.Timer()
                    self.timer.parent = self
                    self._children_name_map["timer"] = "timer"
                    self._children_yang_names.add("timer")
                    self._segment_path = lambda: "Cisco-IOS-XE-sanet:authentication"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Authentication, ['control_direction', 'fallback', 'host_mode', 'open', 'port_control', 'periodic', 'violation'], name, value)

                class ControlDirection(Enum):
                    """
                    ControlDirection

                    Set the control\-direction on the interface

                    .. data:: both = 0

                    .. data:: in_ = 1

                    """

                    both = Enum.YLeaf(0, "both")

                    in_ = Enum.YLeaf(1, "in")


                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")


                class PortControl(Enum):
                    """
                    PortControl

                    set the port\-control value

                    .. data:: auto = 0

                    .. data:: force_authorized = 1

                    .. data:: force_unauthorized = 2

                    """

                    auto = Enum.YLeaf(0, "auto")

                    force_authorized = Enum.YLeaf(1, "force-authorized")

                    force_unauthorized = Enum.YLeaf(2, "force-unauthorized")


                class Violation(Enum):
                    """
                    Violation

                    Configure action to take on security violations

                    .. data:: protect = 0

                    .. data:: replace = 1

                    .. data:: restrict = 2

                    .. data:: shutdown = 3

                    """

                    protect = Enum.YLeaf(0, "protect")

                    replace = Enum.YLeaf(1, "replace")

                    restrict = Enum.YLeaf(2, "restrict")

                    shutdown = Enum.YLeaf(3, "shutdown")



                class Event(Entity):
                    """
                    Set action for authentication events
                    
                    .. attribute:: server
                    
                    	Configure actions for AAA server events
                    	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event.Server>`
                    
                    .. attribute:: fail
                    
                    	Configure actions for AAA fail events
                    	**type**\:  :py:class:`Fail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event.Fail>`
                    
                    .. attribute:: no_response
                    
                    	Configure actions for AAA no\-response events
                    	**type**\:  :py:class:`NoResponse <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event.NoResponse>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Authentication.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"server" : ("server", Native.Interface.TenGigabitEthernet.Authentication.Event.Server), "fail" : ("fail", Native.Interface.TenGigabitEthernet.Authentication.Event.Fail), "no-response" : ("no_response", Native.Interface.TenGigabitEthernet.Authentication.Event.NoResponse)}
                        self._child_list_classes = {}

                        self.server = Native.Interface.TenGigabitEthernet.Authentication.Event.Server()
                        self.server.parent = self
                        self._children_name_map["server"] = "server"
                        self._children_yang_names.add("server")

                        self.fail = Native.Interface.TenGigabitEthernet.Authentication.Event.Fail()
                        self.fail.parent = self
                        self._children_name_map["fail"] = "fail"
                        self._children_yang_names.add("fail")

                        self.no_response = Native.Interface.TenGigabitEthernet.Authentication.Event.NoResponse()
                        self.no_response.parent = self
                        self._children_name_map["no_response"] = "no-response"
                        self._children_yang_names.add("no-response")
                        self._segment_path = lambda: "event"


                    class Server(Entity):
                        """
                        Configure actions for AAA server events
                        
                        .. attribute:: alive
                        
                        	Configure AAA server alive action
                        	**type**\:  :py:class:`Alive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Alive>`
                        
                        .. attribute:: dead
                        
                        	Configure AAA server dead action
                        	**type**\:  :py:class:`Dead <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Authentication.Event.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"alive" : ("alive", Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Alive), "dead" : ("dead", Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead)}
                            self._child_list_classes = {}

                            self.alive = Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Alive()
                            self.alive.parent = self
                            self._children_name_map["alive"] = "alive"
                            self._children_yang_names.add("alive")

                            self.dead = Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead()
                            self.dead.parent = self
                            self._children_name_map["dead"] = "dead"
                            self._children_yang_names.add("dead")
                            self._segment_path = lambda: "server"


                        class Alive(Entity):
                            """
                            Configure AAA server alive action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Alive.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Alive, self).__init__()

                                self.yang_name = "alive"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Alive.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Alive.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "alive"


                            class Action(Entity):
                                """
                                Required action for authentication event
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all authorized clients
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Alive.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "alive"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reinitialize = YLeaf(YType.empty, "reinitialize")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Alive.Action, ['reinitialize'], name, value)


                        class Dead(Entity):
                            """
                            Configure AAA server dead action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead, self).__init__()

                                self.yang_name = "dead"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "dead"


                            class Action(Entity):
                                """
                                Required action for authentication event
                                
                                .. attribute:: authorize
                                
                                	Authorize the port
                                	**type**\:  :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead.Action.Authorize>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all client on the port
                                	**type**\:  :py:class:`Reinitialize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead.Action.Reinitialize>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "dead"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authorize" : ("authorize", Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead.Action.Authorize), "reinitialize" : ("reinitialize", Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead.Action.Reinitialize)}
                                    self._child_list_classes = {}

                                    self.authorize = None
                                    self._children_name_map["authorize"] = "authorize"
                                    self._children_yang_names.add("authorize")

                                    self.reinitialize = Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead.Action.Reinitialize()
                                    self.reinitialize.parent = self
                                    self._children_name_map["reinitialize"] = "reinitialize"
                                    self._children_yang_names.add("reinitialize")
                                    self._segment_path = lambda: "action"


                                class Authorize(Entity):
                                    """
                                    Authorize the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: voice
                                    
                                    	Authorize the port for VOICE traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead.Action.Authorize, self).__init__()

                                        self.yang_name = "authorize"
                                        self.yang_parent_name = "action"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.vlan = YLeaf(YType.uint16, "vlan")

                                        self.voice = YLeaf(YType.empty, "voice")
                                        self._segment_path = lambda: "authorize"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead.Action.Authorize, ['vlan', 'voice'], name, value)


                                class Reinitialize(Entity):
                                    """
                                    Reinitialize all client on the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead.Action.Reinitialize, self).__init__()

                                        self.yang_name = "reinitialize"
                                        self.yang_parent_name = "action"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vlan = YLeaf(YType.uint16, "vlan")
                                        self._segment_path = lambda: "reinitialize"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Authentication.Event.Server.Dead.Action.Reinitialize, ['vlan'], name, value)


                    class Fail(Entity):
                        """
                        Configure actions for AAA fail events
                        
                        .. attribute:: action
                        
                        	Required action for fail event
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event.Fail.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Authentication.Event.Fail, self).__init__()

                            self.yang_name = "fail"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"action" : ("action", Native.Interface.TenGigabitEthernet.Authentication.Event.Fail.Action)}
                            self._child_list_classes = {}

                            self.action = Native.Interface.TenGigabitEthernet.Authentication.Event.Fail.Action()
                            self.action.parent = self
                            self._children_name_map["action"] = "action"
                            self._children_yang_names.add("action")
                            self._segment_path = lambda: "fail"


                        class Action(Entity):
                            """
                            Required action for fail event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:  :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event.Fail.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Authentication.Event.Fail.Action, self).__init__()

                                self.yang_name = "action"
                                self.yang_parent_name = "fail"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authorize" : ("authorize", Native.Interface.TenGigabitEthernet.Authentication.Event.Fail.Action.Authorize)}
                                self._child_list_classes = {}

                                self.authorize = Native.Interface.TenGigabitEthernet.Authentication.Event.Fail.Action.Authorize()
                                self.authorize.parent = self
                                self._children_name_map["authorize"] = "authorize"
                                self._children_yang_names.add("authorize")
                                self._segment_path = lambda: "action"


                            class Authorize(Entity):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Authentication.Event.Fail.Action.Authorize, self).__init__()

                                    self.yang_name = "authorize"
                                    self.yang_parent_name = "action"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan = YLeaf(YType.uint16, "vlan")
                                    self._segment_path = lambda: "authorize"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Authentication.Event.Fail.Action.Authorize, ['vlan'], name, value)


                    class NoResponse(Entity):
                        """
                        Configure actions for AAA no\-response events
                        
                        .. attribute:: action
                        
                        	Required action for no\-response event
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event.NoResponse.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Authentication.Event.NoResponse, self).__init__()

                            self.yang_name = "no-response"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"action" : ("action", Native.Interface.TenGigabitEthernet.Authentication.Event.NoResponse.Action)}
                            self._child_list_classes = {}

                            self.action = Native.Interface.TenGigabitEthernet.Authentication.Event.NoResponse.Action()
                            self.action.parent = self
                            self._children_name_map["action"] = "action"
                            self._children_yang_names.add("action")
                            self._segment_path = lambda: "no-response"


                        class Action(Entity):
                            """
                            Required action for no\-response event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:  :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Event.NoResponse.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Authentication.Event.NoResponse.Action, self).__init__()

                                self.yang_name = "action"
                                self.yang_parent_name = "no-response"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authorize" : ("authorize", Native.Interface.TenGigabitEthernet.Authentication.Event.NoResponse.Action.Authorize)}
                                self._child_list_classes = {}

                                self.authorize = Native.Interface.TenGigabitEthernet.Authentication.Event.NoResponse.Action.Authorize()
                                self.authorize.parent = self
                                self._children_name_map["authorize"] = "authorize"
                                self._children_yang_names.add("authorize")
                                self._segment_path = lambda: "action"


                            class Authorize(Entity):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.TenGigabitEthernet.Authentication.Event.NoResponse.Action.Authorize, self).__init__()

                                    self.yang_name = "authorize"
                                    self.yang_parent_name = "action"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan = YLeaf(YType.uint16, "vlan")
                                    self._segment_path = lambda: "authorize"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Authentication.Event.NoResponse.Action.Authorize, ['vlan'], name, value)


                class Order(Entity):
                    """
                    Add an authentication method to the order list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Authentication.Order, self).__init__()

                        self.yang_name = "order"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dot1x = YLeaf(YType.empty, "dot1x")

                        self.mab = YLeaf(YType.empty, "mab")

                        self.webauth = YLeaf(YType.empty, "webauth")
                        self._segment_path = lambda: "order"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Authentication.Order, ['dot1x', 'mab', 'webauth'], name, value)


                class Priority(Entity):
                    """
                    Add an authentication method to the priority list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Authentication.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dot1x = YLeaf(YType.empty, "dot1x")

                        self.mab = YLeaf(YType.empty, "mab")

                        self.webauth = YLeaf(YType.empty, "webauth")
                        self._segment_path = lambda: "priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Authentication.Priority, ['dot1x', 'mab', 'webauth'], name, value)


                class Timer(Entity):
                    """
                    Set authentication timer values
                    
                    .. attribute:: reauthenticate
                    
                    	Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                    	**type**\:  :py:class:`Reauthenticate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Timer.Reauthenticate>`
                    
                    .. attribute:: inactivity
                    
                    	Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                    	**type**\:  :py:class:`Inactivity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Timer.Inactivity>`
                    
                    .. attribute:: restart
                    
                    	Interval in seconds after which an attempt should be made toauthenticate an unauthorized port (default 60 sec)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Authentication.Timer, self).__init__()

                        self.yang_name = "timer"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"reauthenticate" : ("reauthenticate", Native.Interface.TenGigabitEthernet.Authentication.Timer.Reauthenticate), "inactivity" : ("inactivity", Native.Interface.TenGigabitEthernet.Authentication.Timer.Inactivity)}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.uint16, "restart")

                        self.reauthenticate = Native.Interface.TenGigabitEthernet.Authentication.Timer.Reauthenticate()
                        self.reauthenticate.parent = self
                        self._children_name_map["reauthenticate"] = "reauthenticate"
                        self._children_yang_names.add("reauthenticate")

                        self.inactivity = Native.Interface.TenGigabitEthernet.Authentication.Timer.Inactivity()
                        self.inactivity.parent = self
                        self._children_name_map["inactivity"] = "inactivity"
                        self._children_yang_names.add("inactivity")
                        self._segment_path = lambda: "timer"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Authentication.Timer, ['restart'], name, value)


                    class Reauthenticate(Entity):
                        """
                        Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: server
                        
                        	Obtain re\-authentication timeout value from the server
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Authentication.Timer.Reauthenticate, self).__init__()

                            self.yang_name = "reauthenticate"
                            self.yang_parent_name = "timer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint16, "value")

                            self.server = YLeaf(YType.empty, "server")
                            self._segment_path = lambda: "reauthenticate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Authentication.Timer.Reauthenticate, ['value', 'server'], name, value)


                    class Inactivity(Entity):
                        """
                        Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Timer.Inactivity.Value>`
                        
                        .. attribute:: server
                        
                        	Obtain inactivity timeout value from the server
                        	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Authentication.Timer.Inactivity.Server>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Authentication.Timer.Inactivity, self).__init__()

                            self.yang_name = "inactivity"
                            self.yang_parent_name = "timer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"value" : ("value", Native.Interface.TenGigabitEthernet.Authentication.Timer.Inactivity.Value), "server" : ("server", Native.Interface.TenGigabitEthernet.Authentication.Timer.Inactivity.Server)}
                            self._child_list_classes = {}

                            self.value = Native.Interface.TenGigabitEthernet.Authentication.Timer.Inactivity.Value()
                            self.value.parent = self
                            self._children_name_map["value"] = "value"
                            self._children_yang_names.add("value")

                            self.server = None
                            self._children_name_map["server"] = "server"
                            self._children_yang_names.add("server")
                            self._segment_path = lambda: "inactivity"


                        class Value(Entity):
                            """
                            
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Authentication.Timer.Inactivity.Value, self).__init__()

                                self.yang_name = "value"
                                self.yang_parent_name = "inactivity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint16, "value")

                                self.dynamic = YLeaf(YType.empty, "dynamic")
                                self._segment_path = lambda: "value"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Authentication.Timer.Inactivity.Value, ['value', 'dynamic'], name, value)


                        class Server(Entity):
                            """
                            Obtain inactivity timeout value from the server
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.TenGigabitEthernet.Authentication.Timer.Inactivity.Server, self).__init__()

                                self.yang_name = "server"
                                self.yang_parent_name = "inactivity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.dynamic = YLeaf(YType.empty, "dynamic")
                                self._segment_path = lambda: "server"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.TenGigabitEthernet.Authentication.Timer.Inactivity.Server, ['dynamic'], name, value)


            class Mab(Entity):
                """
                
                
                .. attribute:: eap
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Mab, self).__init__()

                    self.yang_name = "mab"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.eap = YLeaf(YType.empty, "eap")
                    self._segment_path = lambda: "Cisco-IOS-XE-sanet:mab"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Mab, ['eap'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpdufilter
                
                	Don't send or receive BPDUs on this interface
                	**type**\:  :py:class:`Bpdufilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SpanningTree.Bpdufilter>`
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SpanningTree.Bpduguard>`
                
                .. attribute:: cost
                
                	To set the path cost of the interface
                	**type**\: int
                
                	**range:** 1..200000000
                
                .. attribute:: guard
                
                	Change an interface's spanning tree guard mode
                	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SpanningTree.Guard>`
                
                .. attribute:: link_type
                
                	Specify a link type for spanning tree tree protocol use
                	**type**\:  :py:class:`LinkType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SpanningTree.LinkType>`
                
                .. attribute:: portfast
                
                	Spanning tree portfast options
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SpanningTree.Portfast>`
                
                	**presence node**\: True
                
                .. attribute:: port_priority
                
                	Spanning tree port\-priority options
                	**type**\: int
                
                	**range:** 0..240
                
                .. attribute:: vlan
                
                	VLAN Switch Spanning Tree
                	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SpanningTree.Vlan>`
                
                .. attribute:: loopguard
                
                	Spanning tree loopguard options
                	**type**\:  :py:class:`Loopguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SpanningTree.Loopguard>`
                
                .. attribute:: mst
                
                	Per interface MST configurations
                	**type**\:  :py:class:`Mst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SpanningTree.Mst>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.Interface.TenGigabitEthernet.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.Interface.TenGigabitEthernet.SpanningTree.Portfast), "vlan" : ("vlan", Native.Interface.TenGigabitEthernet.SpanningTree.Vlan), "loopguard" : ("loopguard", Native.Interface.TenGigabitEthernet.SpanningTree.Loopguard), "mst" : ("mst", Native.Interface.TenGigabitEthernet.SpanningTree.Mst)}
                    self._child_list_classes = {}

                    self.bpdufilter = YLeaf(YType.enumeration, "bpdufilter")

                    self.cost = YLeaf(YType.uint32, "cost")

                    self.guard = YLeaf(YType.enumeration, "guard")

                    self.link_type = YLeaf(YType.enumeration, "link-type")

                    self.port_priority = YLeaf(YType.uint8, "port-priority")

                    self.bpduguard = Native.Interface.TenGigabitEthernet.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = None
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")

                    self.vlan = Native.Interface.TenGigabitEthernet.SpanningTree.Vlan()
                    self.vlan.parent = self
                    self._children_name_map["vlan"] = "vlan"
                    self._children_yang_names.add("vlan")

                    self.loopguard = Native.Interface.TenGigabitEthernet.SpanningTree.Loopguard()
                    self.loopguard.parent = self
                    self._children_name_map["loopguard"] = "loopguard"
                    self._children_yang_names.add("loopguard")

                    self.mst = Native.Interface.TenGigabitEthernet.SpanningTree.Mst()
                    self.mst.parent = self
                    self._children_name_map["mst"] = "mst"
                    self._children_yang_names.add("mst")
                    self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:spanning-tree"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.SpanningTree, ['bpdufilter', 'cost', 'guard', 'link_type', 'port_priority'], name, value)

                class Bpdufilter(Enum):
                    """
                    Bpdufilter

                    Don't send or receive BPDUs on this interface

                    .. data:: disable = 0

                    .. data:: enable = 1

                    """

                    disable = Enum.YLeaf(0, "disable")

                    enable = Enum.YLeaf(1, "enable")


                class Guard(Enum):
                    """
                    Guard

                    Change an interface's spanning tree guard mode

                    .. data:: loop = 0

                    .. data:: none = 1

                    .. data:: root = 2

                    """

                    loop = Enum.YLeaf(0, "loop")

                    none = Enum.YLeaf(1, "none")

                    root = Enum.YLeaf(2, "root")


                class LinkType(Enum):
                    """
                    LinkType

                    Specify a link type for spanning tree tree protocol use

                    .. data:: auto = 0

                    .. data:: none = 1

                    .. data:: point_to_point = 2

                    .. data:: root = 3

                    .. data:: shared = 4

                    """

                    auto = Enum.YLeaf(0, "auto")

                    none = Enum.YLeaf(1, "none")

                    point_to_point = Enum.YLeaf(2, "point-to-point")

                    root = Enum.YLeaf(3, "root")

                    shared = Enum.YLeaf(4, "shared")



                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.SpanningTree.Bpduguard, ['disable', 'enable'], name, value)


                class Portfast(Entity):
                    """
                    Spanning tree portfast options
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Enable portfast on the interface even in trunk mode
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.edge = YLeaf(YType.empty, "edge")
                        self._segment_path = lambda: "portfast"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.SpanningTree.Portfast, ['disable', 'trunk', 'edge'], name, value)


                class Vlan(Entity):
                    """
                    VLAN Switch Spanning Tree
                    
                    .. attribute:: vlan_ids
                    
                    	vlan range, example\: 1,3\-5,7,9\-11
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 1..4095
                    
                    		**type**\: list of str
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\: int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\: int
                    
                    	**range:** 0..240
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.SpanningTree.Vlan, self).__init__()

                        self.yang_name = "vlan"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_ids = YLeafList(YType.str, "vlan-ids")

                        self.cost = YLeaf(YType.uint32, "cost")

                        self.port_priority = YLeaf(YType.uint16, "port-priority")
                        self._segment_path = lambda: "vlan"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.SpanningTree.Vlan, ['vlan_ids', 'cost', 'port_priority'], name, value)


                class Loopguard(Entity):
                    """
                    Spanning tree loopguard options
                    
                    .. attribute:: default
                    
                    	Enable loopguard by default on all ports
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.SpanningTree.Loopguard, self).__init__()

                        self.yang_name = "loopguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.default = YLeaf(YType.empty, "default")
                        self._segment_path = lambda: "loopguard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.SpanningTree.Loopguard, ['default'], name, value)


                class Mst(Entity):
                    """
                    Per interface MST configurations
                    
                    .. attribute:: instance
                    
                    	MST instance list, example 0,2\-4,6,8\-12
                    	**type**\: str
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\: int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\: int
                    
                    	**range:** 0..240
                    
                    .. attribute:: pre_standard
                    
                    	Force pre\-standard MST BPDU transmission on port
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.SpanningTree.Mst, self).__init__()

                        self.yang_name = "mst"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.instance = YLeaf(YType.str, "instance")

                        self.cost = YLeaf(YType.uint32, "cost")

                        self.port_priority = YLeaf(YType.uint16, "port-priority")

                        self.pre_standard = YLeaf(YType.empty, "pre-standard")
                        self._segment_path = lambda: "mst"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.SpanningTree.Mst, ['instance', 'cost', 'port_priority', 'pre_standard'], name, value)


            class Auto(Entity):
                """
                Configure Automation
                
                .. attribute:: qos
                
                	Configure AutoQoS
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Auto.Qos>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Auto, self).__init__()

                    self.yang_name = "auto"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"qos" : ("qos", Native.Interface.TenGigabitEthernet.Auto.Qos)}
                    self._child_list_classes = {}

                    self.qos = Native.Interface.TenGigabitEthernet.Auto.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:auto"


                class Qos(Entity):
                    """
                    Configure AutoQoS
                    
                    .. attribute:: classify
                    
                    	Configure classification for untrusted devices
                    	**type**\:  :py:class:`Classify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Auto.Qos.Classify>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trust
                    
                    	Trust the DSCP/CoS marking
                    	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Auto.Qos.Trust>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: video
                    
                    	Configure AutoQoS for video devices
                    	**type**\:  :py:class:`Video <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Auto.Qos.Video>`
                    
                    .. attribute:: voip
                    
                    	Configure AutoQoS for VoIP
                    	**type**\:  :py:class:`Voip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Auto.Qos.Voip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Auto.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "auto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"classify" : ("classify", Native.Interface.TenGigabitEthernet.Auto.Qos.Classify), "trust" : ("trust", Native.Interface.TenGigabitEthernet.Auto.Qos.Trust), "video" : ("video", Native.Interface.TenGigabitEthernet.Auto.Qos.Video), "voip" : ("voip", Native.Interface.TenGigabitEthernet.Auto.Qos.Voip)}
                        self._child_list_classes = {}

                        self.classify = None
                        self._children_name_map["classify"] = "classify"
                        self._children_yang_names.add("classify")

                        self.trust = None
                        self._children_name_map["trust"] = "trust"
                        self._children_yang_names.add("trust")

                        self.video = Native.Interface.TenGigabitEthernet.Auto.Qos.Video()
                        self.video.parent = self
                        self._children_name_map["video"] = "video"
                        self._children_yang_names.add("video")

                        self.voip = None
                        self._children_name_map["voip"] = "voip"
                        self._children_yang_names.add("voip")
                        self._segment_path = lambda: "qos"


                    class Classify(Entity):
                        """
                        Configure classification for untrusted devices
                        
                        .. attribute:: police
                        
                        	Configure QoS policing for untrusted devices
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Auto.Qos.Classify, self).__init__()

                            self.yang_name = "classify"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.police = YLeaf(YType.empty, "police")
                            self._segment_path = lambda: "classify"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Auto.Qos.Classify, ['police'], name, value)


                    class Trust(Entity):
                        """
                        Trust the DSCP/CoS marking
                        
                        .. attribute:: cos
                        
                        	Trust the CoS marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	Trust the DSCP marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Auto.Qos.Trust, self).__init__()

                            self.yang_name = "trust"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cos = YLeaf(YType.empty, "cos")

                            self.dscp = YLeaf(YType.empty, "dscp")
                            self._segment_path = lambda: "trust"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Auto.Qos.Trust, ['cos', 'dscp'], name, value)


                    class Video(Entity):
                        """
                        Configure AutoQoS for video devices
                        
                        .. attribute:: cts
                        
                        	Trust the QoS marking of the Cisco Telepresence System
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip_camera
                        
                        	Trust the QoS marking of the Ip Video Surveillance camera
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: media_player
                        
                        	Trust the Qos marking of the Cisco Media Player
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Auto.Qos.Video, self).__init__()

                            self.yang_name = "video"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.cts = YLeaf(YType.empty, "cts")

                            self.ip_camera = YLeaf(YType.empty, "ip-camera")

                            self.media_player = YLeaf(YType.empty, "media-player")
                            self._segment_path = lambda: "video"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Auto.Qos.Video, ['cts', 'ip_camera', 'media_player'], name, value)


                    class Voip(Entity):
                        """
                        Configure AutoQoS for VoIP
                        
                        .. attribute:: cisco_phone
                        
                        	Trust the QoS marking of Cisco IP Phone
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cisco_softphone
                        
                        	Trust the QoS marking of Cisco IP SoftPhone
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trust
                        
                        	Trust the DSCP/CoS marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Auto.Qos.Voip, self).__init__()

                            self.yang_name = "voip"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cisco_phone = YLeaf(YType.empty, "cisco-phone")

                            self.cisco_softphone = YLeaf(YType.empty, "cisco-softphone")

                            self.trust = YLeaf(YType.empty, "trust")
                            self._segment_path = lambda: "voip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Auto.Qos.Voip, ['cisco_phone', 'cisco_softphone', 'trust'], name, value)


            class Datalink(Entity):
                """
                Interface Datalink commands
                
                .. attribute:: flow
                
                	Interface Flow configuration subcommands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Datalink.Flow>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Datalink, self).__init__()

                    self.yang_name = "datalink"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"flow" : ("flow", Native.Interface.TenGigabitEthernet.Datalink.Flow)}
                    self._child_list_classes = {}

                    self.flow = Native.Interface.TenGigabitEthernet.Datalink.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:datalink"


                class Flow(Entity):
                    """
                    Interface Flow configuration subcommands
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Datalink.Flow.Monitor>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Datalink.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "datalink"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"monitor" : ("monitor", Native.Interface.TenGigabitEthernet.Datalink.Flow.Monitor)}
                        self._child_list_classes = {}

                        self.monitor = None
                        self._children_name_map["monitor"] = "monitor"
                        self._children_yang_names.add("monitor")
                        self._segment_path = lambda: "flow"


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: user_defined_flow
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: input_output
                        
                        	Apply Flow Monitor on input/output traffic
                        	**type**\:  :py:class:`InputOutput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Datalink.Flow.Monitor.InputOutput>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Datalink.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.user_defined_flow = YLeaf(YType.str, "User-defined-flow")

                            self.input_output = YLeaf(YType.enumeration, "input-output")
                            self._segment_path = lambda: "monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Datalink.Flow.Monitor, ['user_defined_flow', 'input_output'], name, value)

                        class InputOutput(Enum):
                            """
                            InputOutput

                            Apply Flow Monitor on input/output traffic

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



            class Energywise(Entity):
                """
                EnergyWise interface configurations
                
                .. attribute:: activitycheck
                
                	Apply an activity check before turning off power    to this PoE port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Energywise, self).__init__()

                    self.yang_name = "energywise"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.activitycheck = YLeaf(YType.empty, "activitycheck")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:energywise"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Energywise, ['activitycheck'], name, value)


            class Location(Entity):
                """
                Interface location information
                
                .. attribute:: civic_location_id
                
                	Civic location information
                	**type**\:  :py:class:`CivicLocationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Location.CivicLocationId>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Location, self).__init__()

                    self.yang_name = "location"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"civic-location-id" : ("civic_location_id", Native.Interface.TenGigabitEthernet.Location.CivicLocationId)}
                    self._child_list_classes = {}

                    self.civic_location_id = Native.Interface.TenGigabitEthernet.Location.CivicLocationId()
                    self.civic_location_id.parent = self
                    self._children_name_map["civic_location_id"] = "civic-location-id"
                    self._children_yang_names.add("civic-location-id")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:location"


                class CivicLocationId(Entity):
                    """
                    Civic location information
                    
                    .. attribute:: location_identifier
                    
                    	civic location identifier string
                    	**type**\: str
                    
                    .. attribute:: host
                    
                    	Globally defined host location identifer
                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Location.CivicLocationId.Host>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: none
                    
                    	No globally defined location identifer
                    	**type**\:  :py:class:`None_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Location.CivicLocationId.None_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Location.CivicLocationId, self).__init__()

                        self.yang_name = "civic-location-id"
                        self.yang_parent_name = "location"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"host" : ("host", Native.Interface.TenGigabitEthernet.Location.CivicLocationId.Host), "none" : ("none", Native.Interface.TenGigabitEthernet.Location.CivicLocationId.None_)}
                        self._child_list_classes = {}

                        self.location_identifier = YLeaf(YType.str, "location-identifier")

                        self.host = None
                        self._children_name_map["host"] = "host"
                        self._children_yang_names.add("host")

                        self.none = None
                        self._children_name_map["none"] = "none"
                        self._children_yang_names.add("none")
                        self._segment_path = lambda: "civic-location-id"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Location.CivicLocationId, ['location_identifier'], name, value)


                    class Host(Entity):
                        """
                        Globally defined host location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Location.CivicLocationId.Host, self).__init__()

                            self.yang_name = "host"
                            self.yang_parent_name = "civic-location-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.port_location = YLeaf(YType.str, "port-location")
                            self._segment_path = lambda: "host"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Location.CivicLocationId.Host, ['port_location'], name, value)


                    class None_(Entity):
                        """
                        No globally defined location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Location.CivicLocationId.None_, self).__init__()

                            self.yang_name = "none"
                            self.yang_parent_name = "civic-location-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.port_location = YLeaf(YType.str, "port-location")
                            self._segment_path = lambda: "none"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Location.CivicLocationId.None_, ['port_location'], name, value)


            class Mac(Entity):
                """
                MAC interface commands
                
                .. attribute:: access_group
                
                	MAC access\-group configuration commands
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mac.AccessGroup>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Mac, self).__init__()

                    self.yang_name = "mac"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.TenGigabitEthernet.Mac.AccessGroup)}
                    self._child_list_classes = {}

                    self.access_group = Native.Interface.TenGigabitEthernet.Mac.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:mac"


                class AccessGroup(Entity):
                    """
                    MAC access\-group configuration commands
                    
                    .. attribute:: acl_name
                    
                    	ACL name
                    	**type**\:  :py:class:`ACLName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mac.AccessGroup.ACLName>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Mac.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "mac"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ACL-name" : ("acl_name", Native.Interface.TenGigabitEthernet.Mac.AccessGroup.ACLName)}
                        self._child_list_classes = {}

                        self.acl_name = Native.Interface.TenGigabitEthernet.Mac.AccessGroup.ACLName()
                        self.acl_name.parent = self
                        self._children_name_map["acl_name"] = "ACL-name"
                        self._children_yang_names.add("ACL-name")
                        self._segment_path = lambda: "access-group"


                    class ACLName(Entity):
                        """
                        ACL name
                        
                        .. attribute:: acl_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: apply_to
                        
                        	
                        	**type**\:  :py:class:`ApplyTo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Mac.AccessGroup.ACLName.ApplyTo>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.Mac.AccessGroup.ACLName, self).__init__()

                            self.yang_name = "ACL-name"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.acl_name = YLeaf(YType.str, "acl-name")

                            self.apply_to = YLeaf(YType.enumeration, "apply-to")
                            self._segment_path = lambda: "ACL-name"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.Mac.AccessGroup.ACLName, ['acl_name', 'apply_to'], name, value)

                        class ApplyTo(Enum):
                            """
                            ApplyTo

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = Enum.YLeaf(0, "in")

                            out = Enum.YLeaf(1, "out")



            class Macro(Entity):
                """
                Command macro
                
                .. attribute:: description
                
                	Macro description for this interface
                	**type**\: str
                
                .. attribute:: auto
                
                	Smartport interface macro configurations
                	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Macro.Auto>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Macro, self).__init__()

                    self.yang_name = "macro"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"auto" : ("auto", Native.Interface.TenGigabitEthernet.Macro.Auto)}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.str, "description")

                    self.auto = Native.Interface.TenGigabitEthernet.Macro.Auto()
                    self.auto.parent = self
                    self._children_name_map["auto"] = "auto"
                    self._children_yang_names.add("auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:macro"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Macro, ['description'], name, value)


                class Auto(Entity):
                    """
                    Smartport interface macro configurations
                    
                    .. attribute:: processing
                    
                    	Enable smartport macro auto execution on this interface
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Macro.Auto, self).__init__()

                        self.yang_name = "auto"
                        self.yang_parent_name = "macro"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.processing = YLeaf(YType.boolean, "processing")
                        self._segment_path = lambda: "auto"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Macro.Auto, ['processing'], name, value)


            class DualActive(Entity):
                """
                
                
                .. attribute:: fast_hello
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.DualActive, self).__init__()

                    self.yang_name = "dual-active"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fast_hello = YLeaf(YType.empty, "fast-hello")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:dual-active"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.DualActive, ['fast_hello'], name, value)


            class LoadBalancing(Entity):
                """
                Etherchannel Load\-Balancing
                
                .. attribute:: flow
                
                	Based on the traffic flows identified by the packet headers
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Based on the VLAN to member links manual configuration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.LoadBalancing, self).__init__()

                    self.yang_name = "load-balancing"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.flow = YLeaf(YType.empty, "flow")

                    self.vlan = YLeaf(YType.empty, "vlan")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:load-balancing"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.LoadBalancing, ['flow', 'vlan'], name, value)


            class VlanRange(Entity):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4096
                
                		**type**\: str
                
                .. attribute:: service_policy
                
                	Configure QoS Service Policy
                	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.VlanRange.ServicePolicy>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.VlanRange, self).__init__()

                    self.yang_name = "vlan-range"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"service-policy" : ("service_policy", Native.Interface.TenGigabitEthernet.VlanRange.ServicePolicy)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.service_policy = Native.Interface.TenGigabitEthernet.VlanRange.ServicePolicy()
                    self.service_policy.parent = self
                    self._children_name_map["service_policy"] = "service-policy"
                    self._children_yang_names.add("service-policy")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:vlan-range" + "[id='" + self.id.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.VlanRange, ['id'], name, value)


                class ServicePolicy(Entity):
                    """
                    Configure QoS Service Policy
                    
                    .. attribute:: input
                    
                    	Assign policy\-map to the input of an interface
                    	**type**\: str
                    
                    .. attribute:: output
                    
                    	Assign policy\-map to the output of an interface
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.VlanRange.ServicePolicy, self).__init__()

                        self.yang_name = "service-policy"
                        self.yang_parent_name = "vlan-range"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.input = YLeaf(YType.str, "input")

                        self.output = YLeaf(YType.str, "output")
                        self._segment_path = lambda: "service-policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.VlanRange.ServicePolicy, ['input', 'output'], name, value)


            class Switch(Entity):
                """
                
                
                .. attribute:: virtual
                
                	
                	**type**\:  :py:class:`Virtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Switch.Virtual>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Switch, self).__init__()

                    self.yang_name = "switch"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"virtual" : ("virtual", Native.Interface.TenGigabitEthernet.Switch.Virtual)}
                    self._child_list_classes = {}

                    self.virtual = Native.Interface.TenGigabitEthernet.Switch.Virtual()
                    self.virtual.parent = self
                    self._children_name_map["virtual"] = "virtual"
                    self._children_yang_names.add("virtual")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:switch"


                class Virtual(Entity):
                    """
                    
                    
                    .. attribute:: link
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Switch.Virtual, self).__init__()

                        self.yang_name = "virtual"
                        self.yang_parent_name = "switch"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.link = YLeaf(YType.uint8, "link")
                        self._segment_path = lambda: "virtual"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Switch.Virtual, ['link'], name, value)


            class SrrQueue(Entity):
                """
                
                
                .. attribute:: bandwidth
                
                	
                	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.SrrQueue, self).__init__()

                    self.yang_name = "srr-queue"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth)}
                    self._child_list_classes = {}

                    self.bandwidth = Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth()
                    self.bandwidth.parent = self
                    self._children_name_map["bandwidth"] = "bandwidth"
                    self._children_yang_names.add("bandwidth")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:srr-queue"


                class Bandwidth(Entity):
                    """
                    
                    
                    .. attribute:: shape
                    
                    	
                    	**type**\:  :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth.Shape>`
                    
                    .. attribute:: share
                    
                    	
                    	**type**\:  :py:class:`Share <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth.Share>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth, self).__init__()

                        self.yang_name = "bandwidth"
                        self.yang_parent_name = "srr-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"shape" : ("shape", Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth.Shape), "share" : ("share", Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth.Share)}
                        self._child_list_classes = {}

                        self.shape = Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth.Shape()
                        self.shape.parent = self
                        self._children_name_map["shape"] = "shape"
                        self._children_yang_names.add("shape")

                        self.share = Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth.Share()
                        self.share.parent = self
                        self._children_name_map["share"] = "share"
                        self._children_yang_names.add("share")
                        self._segment_path = lambda: "bandwidth"


                    class Shape(Entity):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth.Shape, self).__init__()

                            self.yang_name = "shape"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.weight1 = YLeaf(YType.uint16, "weight1")

                            self.weight2 = YLeaf(YType.uint16, "weight2")

                            self.weight3 = YLeaf(YType.uint16, "weight3")

                            self.weight4 = YLeaf(YType.uint16, "weight4")
                            self._segment_path = lambda: "shape"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth.Shape, ['weight1', 'weight2', 'weight3', 'weight4'], name, value)


                    class Share(Entity):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth.Share, self).__init__()

                            self.yang_name = "share"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.weight1 = YLeaf(YType.uint8, "weight1")

                            self.weight2 = YLeaf(YType.uint8, "weight2")

                            self.weight3 = YLeaf(YType.uint8, "weight3")

                            self.weight4 = YLeaf(YType.uint8, "weight4")
                            self._segment_path = lambda: "share"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.TenGigabitEthernet.SrrQueue.Bandwidth.Share, ['weight1', 'weight2', 'weight3', 'weight4'], name, value)


            class Macsec(Entity):
                """
                Enable macsec on the interface
                
                .. attribute:: network_link
                
                	Enable macsec on switch connected interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Macsec, self).__init__()

                    self.yang_name = "macsec"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.network_link = YLeaf(YType.empty, "network-link")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:macsec"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.Macsec, ['network_link'], name, value)


            class DeviceTracking(Entity):
                """
                Configure device\-tracking on the interface
                
                .. attribute:: attach_policy
                
                	Apply a policy for feature device\-tracking
                	**type**\: str
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.DeviceTracking, self).__init__()

                    self.yang_name = "device-tracking"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.attach_policy = YLeaf(YType.str, "attach-policy")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:device-tracking"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.DeviceTracking, ['attach_policy'], name, value)


            class Udld(Entity):
                """
                Configure UDLD enabled or disabled and ignore global UDLD setting
                
                .. attribute:: port
                
                	Enable UDLD protocol on this interface despite global UDLD setting
                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.TenGigabitEthernet.Udld.Port>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-udld'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.Udld, self).__init__()

                    self.yang_name = "udld"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port" : ("port", Native.Interface.TenGigabitEthernet.Udld.Port)}
                    self._child_list_classes = {}

                    self.port = None
                    self._children_name_map["port"] = "port"
                    self._children_yang_names.add("port")
                    self._segment_path = lambda: "Cisco-IOS-XE-udld:udld"


                class Port(Entity):
                    """
                    Enable UDLD protocol on this interface despite global UDLD setting
                    
                    .. attribute:: aggressive
                    
                    	Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disable
                    
                    	Disable UDLD protocol on this interface despite global UDLD setting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-udld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.TenGigabitEthernet.Udld.Port, self).__init__()

                        self.yang_name = "port"
                        self.yang_parent_name = "udld"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aggressive = YLeaf(YType.empty, "aggressive")

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "port"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.TenGigabitEthernet.Udld.Port, ['aggressive', 'disable'], name, value)


            class ZoneMember(Entity):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\: str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.TenGigabitEthernet.ZoneMember, self).__init__()

                    self.yang_name = "zone-member"
                    self.yang_parent_name = "TenGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.security = YLeaf(YType.str, "security")
                    self._segment_path = lambda: "Cisco-IOS-XE-zone:zone-member"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.TenGigabitEthernet.ZoneMember, ['security'], name, value)


        class FortyGigabitEthernet(Entity):
            """
            Forty Gigabit Ethernet
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: media_type
            
            	Media type
            	**type**\:  :py:class:`MediaType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.MediaType>`
            
            .. attribute:: port_type
            
            	
            	**type**\:  :py:class:`PortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.PortType>`
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.PmPath>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:  :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.CarrierDelay>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:  :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:  :py:class:`ChannelProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.ChannelProtocol>`
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet>`
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:  :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Negotiation>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:  :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Synchronous>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:  :py:class:`Duplex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Duplex>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:  :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Speed>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:  :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Plim>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:  :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Pppoe>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cts>`
            
            .. attribute:: lldp
            
            	LLDP interface subcommands
            	**type**\:  :py:class:`Lldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Lldp>`
            
            .. attribute:: auto
            
            	Configure Automation
            	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Auto>`
            
            .. attribute:: datalink
            
            	Interface Datalink commands
            	**type**\:  :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Datalink>`
            
            .. attribute:: energywise
            
            	EnergyWise interface configurations
            	**type**\:  :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Energywise>`
            
            	**presence node**\: True
            
            .. attribute:: location
            
            	Interface location information
            	**type**\:  :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Location>`
            
            .. attribute:: mac
            
            	MAC interface commands
            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Mac>`
            
            .. attribute:: macro
            
            	Command macro
            	**type**\:  :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Macro>`
            
            .. attribute:: dual_active
            
            	
            	**type**\:  :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.DualActive>`
            
            .. attribute:: load_balancing
            
            	Etherchannel Load\-Balancing
            	**type**\:  :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.LoadBalancing>`
            
            .. attribute:: vlan_range
            
            	
            	**type**\: list of  		 :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.VlanRange>`
            
            .. attribute:: switch
            
            	
            	**type**\:  :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switch>`
            
            .. attribute:: srr_queue
            
            	
            	**type**\:  :py:class:`SrrQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.SrrQueue>`
            
            .. attribute:: macsec
            
            	Enable macsec on the interface
            	**type**\:  :py:class:`Macsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Macsec>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.FortyGigabitEthernet, self).__init__()

                self.yang_name = "FortyGigabitEthernet"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.FortyGigabitEthernet.SwitchportConf), "switchport" : ("switchport", Native.Interface.FortyGigabitEthernet.Switchport), "arp" : ("arp", Native.Interface.FortyGigabitEthernet.Arp), "backup" : ("backup", Native.Interface.FortyGigabitEthernet.Backup), "cemoudp" : ("cemoudp", Native.Interface.FortyGigabitEthernet.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.FortyGigabitEthernet.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.FortyGigabitEthernet.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.FortyGigabitEthernet.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.FortyGigabitEthernet.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.FortyGigabitEthernet.Flowcontrol), "isis" : ("isis", Native.Interface.FortyGigabitEthernet.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.FortyGigabitEthernet.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.FortyGigabitEthernet.Bfd), "bandwidth" : ("bandwidth", Native.Interface.FortyGigabitEthernet.Bandwidth), "dampening" : ("dampening", Native.Interface.FortyGigabitEthernet.Dampening), "domain" : ("domain", Native.Interface.FortyGigabitEthernet.Domain), "mpls" : ("mpls", Native.Interface.FortyGigabitEthernet.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.FortyGigabitEthernet.IpVrf), "vrf" : ("vrf", Native.Interface.FortyGigabitEthernet.Vrf), "ip" : ("ip", Native.Interface.FortyGigabitEthernet.Ip), "ipv6" : ("ipv6", Native.Interface.FortyGigabitEthernet.Ipv6), "logging" : ("logging", Native.Interface.FortyGigabitEthernet.Logging), "mdix" : ("mdix", Native.Interface.FortyGigabitEthernet.Mdix), "mop" : ("mop", Native.Interface.FortyGigabitEthernet.Mop), "interface_qos" : ("interface_qos", Native.Interface.FortyGigabitEthernet.InterfaceQos), "standby" : ("standby", Native.Interface.FortyGigabitEthernet.Standby), "access-session" : ("access_session", Native.Interface.FortyGigabitEthernet.AccessSession), "storm-control" : ("storm_control", Native.Interface.FortyGigabitEthernet.StormControl), "trust" : ("trust", Native.Interface.FortyGigabitEthernet.Trust), "priority-queue" : ("priority_queue", Native.Interface.FortyGigabitEthernet.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.FortyGigabitEthernet.RcvQueue), "peer" : ("peer", Native.Interface.FortyGigabitEthernet.Peer), "pm-path" : ("pm_path", Native.Interface.FortyGigabitEthernet.PmPath), "Cisco-IOS-XE-ethernet:carrier-delay" : ("carrier_delay", Native.Interface.FortyGigabitEthernet.CarrierDelay), "Cisco-IOS-XE-ethernet:channel-group" : ("channel_group", Native.Interface.FortyGigabitEthernet.ChannelGroup), "Cisco-IOS-XE-ethernet:ethernet" : ("ethernet", Native.Interface.FortyGigabitEthernet.Ethernet), "Cisco-IOS-XE-ethernet:negotiation" : ("negotiation", Native.Interface.FortyGigabitEthernet.Negotiation), "Cisco-IOS-XE-ethernet:synchronous" : ("synchronous", Native.Interface.FortyGigabitEthernet.Synchronous), "Cisco-IOS-XE-ethernet:speed" : ("speed", Native.Interface.FortyGigabitEthernet.Speed), "Cisco-IOS-XE-ethernet:plim" : ("plim", Native.Interface.FortyGigabitEthernet.Plim), "Cisco-IOS-XE-ethernet:pppoe" : ("pppoe", Native.Interface.FortyGigabitEthernet.Pppoe), "Cisco-IOS-XE-ethernet:service" : ("service", Native.Interface.FortyGigabitEthernet.Service), "Cisco-IOS-XE-cts:cts" : ("cts", Native.Interface.FortyGigabitEthernet.Cts), "Cisco-IOS-XE-lldp:lldp" : ("lldp", Native.Interface.FortyGigabitEthernet.Lldp), "Cisco-IOS-XE-switch:auto" : ("auto", Native.Interface.FortyGigabitEthernet.Auto), "Cisco-IOS-XE-switch:datalink" : ("datalink", Native.Interface.FortyGigabitEthernet.Datalink), "Cisco-IOS-XE-switch:energywise" : ("energywise", Native.Interface.FortyGigabitEthernet.Energywise), "Cisco-IOS-XE-switch:location" : ("location", Native.Interface.FortyGigabitEthernet.Location), "Cisco-IOS-XE-switch:mac" : ("mac", Native.Interface.FortyGigabitEthernet.Mac), "Cisco-IOS-XE-switch:macro" : ("macro", Native.Interface.FortyGigabitEthernet.Macro), "Cisco-IOS-XE-switch:dual-active" : ("dual_active", Native.Interface.FortyGigabitEthernet.DualActive), "Cisco-IOS-XE-switch:load-balancing" : ("load_balancing", Native.Interface.FortyGigabitEthernet.LoadBalancing), "Cisco-IOS-XE-switch:switch" : ("switch", Native.Interface.FortyGigabitEthernet.Switch), "Cisco-IOS-XE-switch:srr-queue" : ("srr_queue", Native.Interface.FortyGigabitEthernet.SrrQueue), "Cisco-IOS-XE-switch:macsec" : ("macsec", Native.Interface.FortyGigabitEthernet.Macsec)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.FortyGigabitEthernet.HoldQueue), "Cisco-IOS-XE-switch:vlan-range" : ("vlan_range", Native.Interface.FortyGigabitEthernet.VlanRange)}

                self.name = YLeaf(YType.str, "name")

                self.media_type = YLeaf(YType.enumeration, "media-type")

                self.port_type = YLeaf(YType.enumeration, "port-type")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.channel_protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:channel-protocol")

                self.duplex = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:duplex")

                self.switchport_conf = Native.Interface.FortyGigabitEthernet.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.FortyGigabitEthernet.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.FortyGigabitEthernet.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.FortyGigabitEthernet.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.FortyGigabitEthernet.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.FortyGigabitEthernet.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.FortyGigabitEthernet.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.FortyGigabitEthernet.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.FortyGigabitEthernet.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.FortyGigabitEthernet.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.FortyGigabitEthernet.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.FortyGigabitEthernet.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.FortyGigabitEthernet.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.FortyGigabitEthernet.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.FortyGigabitEthernet.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.FortyGigabitEthernet.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.FortyGigabitEthernet.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.FortyGigabitEthernet.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.FortyGigabitEthernet.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.FortyGigabitEthernet.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.FortyGigabitEthernet.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.FortyGigabitEthernet.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.FortyGigabitEthernet.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.FortyGigabitEthernet.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.FortyGigabitEthernet.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.FortyGigabitEthernet.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.FortyGigabitEthernet.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.FortyGigabitEthernet.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.FortyGigabitEthernet.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.FortyGigabitEthernet.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.FortyGigabitEthernet.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.FortyGigabitEthernet.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.FortyGigabitEthernet.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.carrier_delay = Native.Interface.FortyGigabitEthernet.CarrierDelay()
                self.carrier_delay.parent = self
                self._children_name_map["carrier_delay"] = "carrier-delay"
                self._children_yang_names.add("carrier-delay")

                self.channel_group = Native.Interface.FortyGigabitEthernet.ChannelGroup()
                self.channel_group.parent = self
                self._children_name_map["channel_group"] = "channel-group"
                self._children_yang_names.add("channel-group")

                self.ethernet = Native.Interface.FortyGigabitEthernet.Ethernet()
                self.ethernet.parent = self
                self._children_name_map["ethernet"] = "ethernet"
                self._children_yang_names.add("ethernet")

                self.negotiation = Native.Interface.FortyGigabitEthernet.Negotiation()
                self.negotiation.parent = self
                self._children_name_map["negotiation"] = "negotiation"
                self._children_yang_names.add("negotiation")

                self.synchronous = Native.Interface.FortyGigabitEthernet.Synchronous()
                self.synchronous.parent = self
                self._children_name_map["synchronous"] = "synchronous"
                self._children_yang_names.add("synchronous")

                self.speed = Native.Interface.FortyGigabitEthernet.Speed()
                self.speed.parent = self
                self._children_name_map["speed"] = "speed"
                self._children_yang_names.add("speed")

                self.plim = Native.Interface.FortyGigabitEthernet.Plim()
                self.plim.parent = self
                self._children_name_map["plim"] = "plim"
                self._children_yang_names.add("plim")

                self.pppoe = Native.Interface.FortyGigabitEthernet.Pppoe()
                self.pppoe.parent = self
                self._children_name_map["pppoe"] = "pppoe"
                self._children_yang_names.add("pppoe")

                self.service = Native.Interface.FortyGigabitEthernet.Service()
                self.service.parent = self
                self._children_name_map["service"] = "service"
                self._children_yang_names.add("service")

                self.cts = Native.Interface.FortyGigabitEthernet.Cts()
                self.cts.parent = self
                self._children_name_map["cts"] = "cts"
                self._children_yang_names.add("cts")

                self.lldp = Native.Interface.FortyGigabitEthernet.Lldp()
                self.lldp.parent = self
                self._children_name_map["lldp"] = "lldp"
                self._children_yang_names.add("lldp")

                self.auto = Native.Interface.FortyGigabitEthernet.Auto()
                self.auto.parent = self
                self._children_name_map["auto"] = "auto"
                self._children_yang_names.add("auto")

                self.datalink = Native.Interface.FortyGigabitEthernet.Datalink()
                self.datalink.parent = self
                self._children_name_map["datalink"] = "datalink"
                self._children_yang_names.add("datalink")

                self.energywise = None
                self._children_name_map["energywise"] = "energywise"
                self._children_yang_names.add("energywise")

                self.location = Native.Interface.FortyGigabitEthernet.Location()
                self.location.parent = self
                self._children_name_map["location"] = "location"
                self._children_yang_names.add("location")

                self.mac = Native.Interface.FortyGigabitEthernet.Mac()
                self.mac.parent = self
                self._children_name_map["mac"] = "mac"
                self._children_yang_names.add("mac")

                self.macro = Native.Interface.FortyGigabitEthernet.Macro()
                self.macro.parent = self
                self._children_name_map["macro"] = "macro"
                self._children_yang_names.add("macro")

                self.dual_active = Native.Interface.FortyGigabitEthernet.DualActive()
                self.dual_active.parent = self
                self._children_name_map["dual_active"] = "dual-active"
                self._children_yang_names.add("dual-active")

                self.load_balancing = Native.Interface.FortyGigabitEthernet.LoadBalancing()
                self.load_balancing.parent = self
                self._children_name_map["load_balancing"] = "load-balancing"
                self._children_yang_names.add("load-balancing")

                self.switch = Native.Interface.FortyGigabitEthernet.Switch()
                self.switch.parent = self
                self._children_name_map["switch"] = "switch"
                self._children_yang_names.add("switch")

                self.srr_queue = Native.Interface.FortyGigabitEthernet.SrrQueue()
                self.srr_queue.parent = self
                self._children_name_map["srr_queue"] = "srr-queue"
                self._children_yang_names.add("srr-queue")

                self.macsec = None
                self._children_name_map["macsec"] = "macsec"
                self._children_yang_names.add("macsec")

                self.hold_queue = YList(self)
                self.vlan_range = YList(self)
                self._segment_path = lambda: "FortyGigabitEthernet" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.FortyGigabitEthernet, ['name', 'media_type', 'port_type', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion', 'channel_protocol', 'duplex'], name, value)

            class ChannelProtocol(Enum):
                """
                ChannelProtocol

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = Enum.YLeaf(0, "lacp")

                pagp = Enum.YLeaf(1, "pagp")


            class Duplex(Enum):
                """
                Duplex

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = Enum.YLeaf(0, "auto")

                full = Enum.YLeaf(1, "full")

                half = Enum.YLeaf(2, "half")


            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class MediaType(Enum):
                """
                MediaType

                Media type

                .. data:: auto_select = 0

                .. data:: rj45 = 1

                .. data:: sfp = 2

                """

                auto_select = Enum.YLeaf(0, "auto-select")

                rj45 = Enum.YLeaf(1, "rj45")

                sfp = Enum.YLeaf(2, "sfp")


            class PortType(Enum):
                """
                PortType

                .. data:: nni = 0

                """

                nni = Enum.YLeaf(0, "nni")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: trunk
                
                	Set trunking characteristics of the interface
                	**type**\:  :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Trunk>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Voice>`
                
                .. attribute:: priority
                
                	Set appliance 802.1p priority
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Priority>`
                
                .. attribute:: autostate
                
                	Include or exclude this port from vlan link up calculation
                	**type**\:  :py:class:`Autostate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Autostate>`
                
                .. attribute:: protected
                
                	Configure an interface to be a protected port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host
                
                	Set port host
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: private_vlan
                
                	Set the private VLAN configuration
                	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-switch:access" : ("access", Native.Interface.FortyGigabitEthernet.Switchport.Access), "Cisco-IOS-XE-switch:block" : ("block", Native.Interface.FortyGigabitEthernet.Switchport.Block), "Cisco-IOS-XE-switch:mode" : ("mode", Native.Interface.FortyGigabitEthernet.Switchport.Mode), "Cisco-IOS-XE-switch:port-security" : ("port_security", Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity), "Cisco-IOS-XE-switch:trunk" : ("trunk", Native.Interface.FortyGigabitEthernet.Switchport.Trunk), "Cisco-IOS-XE-switch:voice" : ("voice", Native.Interface.FortyGigabitEthernet.Switchport.Voice), "Cisco-IOS-XE-switch:priority" : ("priority", Native.Interface.FortyGigabitEthernet.Switchport.Priority), "Cisco-IOS-XE-switch:autostate" : ("autostate", Native.Interface.FortyGigabitEthernet.Switchport.Autostate), "Cisco-IOS-XE-switch:private-vlan" : ("private_vlan", Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "Cisco-IOS-XE-switch:nonegotiate")

                    self.protected = YLeaf(YType.empty, "Cisco-IOS-XE-switch:protected")

                    self.host = YLeaf(YType.empty, "Cisco-IOS-XE-switch:host")

                    self.access = Native.Interface.FortyGigabitEthernet.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.block = Native.Interface.FortyGigabitEthernet.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.mode = Native.Interface.FortyGigabitEthernet.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.trunk = Native.Interface.FortyGigabitEthernet.Switchport.Trunk()
                    self.trunk.parent = self
                    self._children_name_map["trunk"] = "trunk"
                    self._children_yang_names.add("trunk")

                    self.voice = Native.Interface.FortyGigabitEthernet.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")

                    self.priority = Native.Interface.FortyGigabitEthernet.Switchport.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.autostate = Native.Interface.FortyGigabitEthernet.Switchport.Autostate()
                    self.autostate.parent = self
                    self._children_name_map["autostate"] = "autostate"
                    self._children_yang_names.add("autostate")

                    self.private_vlan = Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan()
                    self.private_vlan.parent = self
                    self._children_name_map["private_vlan"] = "private-vlan"
                    self._children_yang_names.add("private-vlan")
                    self._segment_path = lambda: "switchport"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport, ['nonegotiate', 'protected', 'host'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	Set VLAN when interface is in access mode
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Access.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.FortyGigabitEthernet.Switchport.Access.Vlan)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.FortyGigabitEthernet.Switchport.Access.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:access"


                    class Vlan(Entity):
                        """
                        Set VLAN when interface is in access mode
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.Vlan>`
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.Access.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "access"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.Access.Vlan, ['vlan', 'name'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            .. data:: dynamic = 0

                            """

                            dynamic = Enum.YLeaf(0, "dynamic")



                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: multicast
                    
                    	Block unknown multicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.multicast = YLeaf(YType.empty, "multicast")

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:block"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.Block, ['multicast', 'unicast'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Mode.Access>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dot1q_tunnel
                    
                    	set trunking mode to TUNNEL unconditionally
                    	**type**\:  :py:class:`Dot1QTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Mode.Dot1QTunnel>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dynamic
                    
                    	Set trunking mode to dynamically negotiate access or trunk mode
                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Mode.Dynamic>`
                    
                    .. attribute:: private_vlan
                    
                    	Set private\-vlan mode
                    	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Mode.PrivateVlan>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Mode.Trunk>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"access" : ("access", Native.Interface.FortyGigabitEthernet.Switchport.Mode.Access), "dot1q-tunnel" : ("dot1q_tunnel", Native.Interface.FortyGigabitEthernet.Switchport.Mode.Dot1QTunnel), "private-vlan" : ("private_vlan", Native.Interface.FortyGigabitEthernet.Switchport.Mode.PrivateVlan), "trunk" : ("trunk", Native.Interface.FortyGigabitEthernet.Switchport.Mode.Trunk)}
                        self._child_list_classes = {}

                        self.dynamic = YLeaf(YType.enumeration, "dynamic")

                        self.access = None
                        self._children_name_map["access"] = "access"
                        self._children_yang_names.add("access")

                        self.dot1q_tunnel = None
                        self._children_name_map["dot1q_tunnel"] = "dot1q-tunnel"
                        self._children_yang_names.add("dot1q-tunnel")

                        self.private_vlan = Native.Interface.FortyGigabitEthernet.Switchport.Mode.PrivateVlan()
                        self.private_vlan.parent = self
                        self._children_name_map["private_vlan"] = "private-vlan"
                        self._children_yang_names.add("private-vlan")

                        self.trunk = None
                        self._children_name_map["trunk"] = "trunk"
                        self._children_yang_names.add("trunk")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:mode"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.Mode, ['dynamic'], name, value)

                    class Dynamic(Enum):
                        """
                        Dynamic

                        Set trunking mode to dynamically negotiate access or trunk mode

                        .. data:: auto = 0

                        .. data:: desirable = 1

                        """

                        auto = Enum.YLeaf(0, "auto")

                        desirable = Enum.YLeaf(1, "desirable")



                    class Access(Entity):
                        """
                        Set trunking mode to ACCESS unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.Mode.Access, self).__init__()

                            self.yang_name = "access"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "access"


                    class Dot1QTunnel(Entity):
                        """
                        set trunking mode to TUNNEL unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.Mode.Dot1QTunnel, self).__init__()

                            self.yang_name = "dot1q-tunnel"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "dot1q-tunnel"


                    class PrivateVlan(Entity):
                        """
                        Set private\-vlan mode
                        
                        .. attribute:: host
                        
                        	Set the mode to private\-vlan host
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: promiscuous
                        
                        	Set the mode to private\-vlan promiscuous
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.Mode.PrivateVlan, self).__init__()

                            self.yang_name = "private-vlan"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.host = YLeaf(YType.empty, "host")

                            self.promiscuous = YLeaf(YType.empty, "promiscuous")
                            self._segment_path = lambda: "private-vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.Mode.PrivateVlan, ['host', 'promiscuous'], name, value)


                    class Trunk(Entity):
                        """
                        Set trunking mode to TRUNK unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.Mode.Trunk, self).__init__()

                            self.yang_name = "trunk"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "trunk"


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: mac_address
                    
                    	Secure mac address
                    	**type**\:  :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.MacAddress>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"aging" : ("aging", Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.Aging), "mac-address" : ("mac_address", Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.MacAddress), "maximum" : ("maximum", Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.Maximum)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.violation = YLeaf(YType.enumeration, "violation")

                        self.aging = Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.mac_address = Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.MacAddress()
                        self.mac_address.parent = self
                        self._children_name_map["mac_address"] = "mac-address"
                        self._children_yang_names.add("mac-address")

                        self.maximum = Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:port-security"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity, ['violation'], name, value)

                    class Violation(Enum):
                        """
                        Violation

                        Security violation mode

                        .. data:: protect = 0

                        .. data:: restrict = 1

                        .. data:: shutdown = 2

                        """

                        protect = Enum.YLeaf(0, "protect")

                        restrict = Enum.YLeaf(1, "restrict")

                        shutdown = Enum.YLeaf(2, "shutdown")



                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.Aging.Type>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = YLeaf(YType.enumeration, "type")
                            self._segment_path = lambda: "aging"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.Aging, ['static', 'time', 'type'], name, value)

                        class Type(Enum):
                            """
                            Type

                            Port\-security aging type

                            .. data:: absolute = 0

                            .. data:: inactivity = 1

                            """

                            absolute = Enum.YLeaf(0, "absolute")

                            inactivity = Enum.YLeaf(1, "inactivity")



                    class MacAddress(Entity):
                        """
                        Secure mac address
                        
                        .. attribute:: sticky
                        
                        	Configure dynamic secure addresses as sticky
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hw_address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        .. attribute:: vlan
                        
                        	set VLAN ID of the VLAN on which this address can be learned
                        	**type**\: int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.MacAddress, self).__init__()

                            self.yang_name = "mac-address"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sticky = YLeaf(YType.empty, "sticky")

                            self.hw_address = YLeaf(YType.str, "hw-address")

                            self.vlan = YLeaf(YType.uint16, "vlan")
                            self._segment_path = lambda: "mac-address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.MacAddress, ['sticky', 'hw_address', 'vlan'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: max_addresses
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4097
                        
                        .. attribute:: vlan
                        
                        	Max secure addresses per vlan
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_addresses = YLeaf(YType.uint16, "max-addresses")

                            self.vlan = YLeaf(YType.str, "vlan")
                            self._segment_path = lambda: "maximum"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.PortSecurity.Maximum, ['max_addresses', 'vlan'], name, value)


                class Trunk(Entity):
                    """
                    Set trunking characteristics of the interface
                    
                    .. attribute:: allowed
                    
                    	Set allowed VLAN characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Allowed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Allowed>`
                    
                    .. attribute:: encapsulation
                    
                    	Set encapsulation format on trunk port
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Encapsulation>`
                    
                    .. attribute:: native
                    
                    	Set trunking native characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Native <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Native>`
                    
                    .. attribute:: pruning
                    
                    	Set pruning VLAN characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Pruning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Pruning>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Switchport.Trunk, self).__init__()

                        self.yang_name = "trunk"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"allowed" : ("allowed", Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Allowed), "native" : ("native", Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Native), "pruning" : ("pruning", Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Pruning)}
                        self._child_list_classes = {}

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.allowed = Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Allowed()
                        self.allowed.parent = self
                        self._children_name_map["allowed"] = "allowed"
                        self._children_yang_names.add("allowed")

                        self.native = Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Native()
                        self.native.parent = self
                        self._children_name_map["native"] = "native"
                        self._children_yang_names.add("native")

                        self.pruning = Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Pruning()
                        self.pruning.parent = self
                        self._children_name_map["pruning"] = "pruning"
                        self._children_yang_names.add("pruning")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:trunk"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.Trunk, ['encapsulation'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Set encapsulation format on trunk port

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: negotiate = 2

                        """

                        dot1q = Enum.YLeaf(0, "dot1q")

                        isl = Enum.YLeaf(1, "isl")

                        negotiate = Enum.YLeaf(2, "negotiate")



                    class Allowed(Entity):
                        """
                        Set allowed VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set allowed VLANs when interface is in trunking mode
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Allowed.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Allowed, self).__init__()

                            self.yang_name = "allowed"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Allowed.Vlan)}
                            self._child_list_classes = {}

                            self.vlan = Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Allowed.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "allowed"


                        class Vlan(Entity):
                            """
                            Set allowed VLANs when interface is in trunking mode
                            
                            .. attribute:: vlans
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            .. attribute:: all
                            
                            	all VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Allowed.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "allowed"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vlans = YLeaf(YType.str, "vlans")

                                self.add = YLeaf(YType.str, "add")

                                self.all = YLeaf(YType.empty, "all")

                                self.except_ = YLeafList(YType.str, "except")

                                self.none = YLeaf(YType.empty, "none")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Allowed.Vlan, ['vlans', 'add', 'all', 'except_', 'none', 'remove'], name, value)


                    class Native(Entity):
                        """
                        Set trunking native characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set native VLAN when interface is in trunking mode
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native.Vlan>`
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Native, self).__init__()

                            self.yang_name = "native"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")
                            self._segment_path = lambda: "native"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Native, ['vlan'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            Set native VLAN when interface is in trunking mode

                            .. data:: tag = 0

                            """

                            tag = Enum.YLeaf(0, "tag")



                    class Pruning(Entity):
                        """
                        Set pruning VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set VLANs enabled for pruning when interface is in trunking mode
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Pruning.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Pruning, self).__init__()

                            self.yang_name = "pruning"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Pruning.Vlan)}
                            self._child_list_classes = {}

                            self.vlan = Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Pruning.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "pruning"


                        class Vlan(Entity):
                            """
                            Set VLANs enabled for pruning when interface is in trunking mode
                            
                            .. attribute:: vlans
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Pruning.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "pruning"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vlans = YLeafList(YType.str, "vlans")

                                self.add = YLeaf(YType.str, "add")

                                self.except_ = YLeafList(YType.str, "except")

                                self.none = YLeaf(YType.empty, "none")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.Trunk.Pruning.Vlan, ['vlans', 'add', 'except_', 'none', 'remove'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Voice.Vlan>`
                    
                    .. attribute:: detect
                    
                    	detection enhancement keyword
                    	**type**\:  :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Voice.Detect>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.FortyGigabitEthernet.Switchport.Voice.Vlan), "detect" : ("detect", Native.Interface.FortyGigabitEthernet.Switchport.Voice.Detect)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.FortyGigabitEthernet.Switchport.Voice.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")

                        self.detect = Native.Interface.FortyGigabitEthernet.Switchport.Voice.Detect()
                        self.detect.parent = self
                        self._children_name_map["detect"] = "detect"
                        self._children_yang_names.add("detect")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:voice"


                    class Vlan(Entity):
                        """
                        Vlan for voice traffic
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.Vlan>`
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        		**type**\: str
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.Voice.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "voice"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.Voice.Vlan, ['vlan', 'name'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            .. data:: dot1p = 0

                            .. data:: none = 1

                            .. data:: untagged = 2

                            """

                            dot1p = Enum.YLeaf(0, "dot1p")

                            none = Enum.YLeaf(1, "none")

                            untagged = Enum.YLeaf(2, "untagged")



                    class Detect(Entity):
                        """
                        detection enhancement keyword
                        
                        .. attribute:: cisco_phone
                        
                        	Cisco IP phone
                        	**type**\:  :py:class:`CiscoPhone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Voice.Detect.CiscoPhone>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.Voice.Detect, self).__init__()

                            self.yang_name = "detect"
                            self.yang_parent_name = "voice"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cisco-phone" : ("cisco_phone", Native.Interface.FortyGigabitEthernet.Switchport.Voice.Detect.CiscoPhone)}
                            self._child_list_classes = {}

                            self.cisco_phone = None
                            self._children_name_map["cisco_phone"] = "cisco-phone"
                            self._children_yang_names.add("cisco-phone")
                            self._segment_path = lambda: "detect"


                        class CiscoPhone(Entity):
                            """
                            Cisco IP phone
                            
                            .. attribute:: full_duplex
                            
                            	full duplex keyword
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Switchport.Voice.Detect.CiscoPhone, self).__init__()

                                self.yang_name = "cisco-phone"
                                self.yang_parent_name = "detect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.full_duplex = YLeaf(YType.empty, "full-duplex")
                                self._segment_path = lambda: "cisco-phone"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.Voice.Detect.CiscoPhone, ['full_duplex'], name, value)


                class Priority(Entity):
                    """
                    Set appliance 802.1p priority
                    
                    .. attribute:: extend
                    
                    	Set appliance 802.1p priority
                    	**type**\:  :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.Priority.Extend>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Switchport.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"extend" : ("extend", Native.Interface.FortyGigabitEthernet.Switchport.Priority.Extend)}
                        self._child_list_classes = {}

                        self.extend = Native.Interface.FortyGigabitEthernet.Switchport.Priority.Extend()
                        self.extend.parent = self
                        self._children_name_map["extend"] = "extend"
                        self._children_yang_names.add("extend")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:priority"


                    class Extend(Entity):
                        """
                        Set appliance 802.1p priority
                        
                        .. attribute:: trust
                        
                        	Trust 802.1p priorities of devices on appliance
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cos
                        
                        	Override 802.1p priority of devices on appliance
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.Priority.Extend, self).__init__()

                            self.yang_name = "extend"
                            self.yang_parent_name = "priority"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.cos = YLeaf(YType.uint8, "cos")
                            self._segment_path = lambda: "extend"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.Priority.Extend, ['trust', 'cos'], name, value)


                class Autostate(Entity):
                    """
                    Include or exclude this port from vlan link up calculation
                    
                    .. attribute:: exclude
                    
                    	Exclude this port from vlan link up calculation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Switchport.Autostate, self).__init__()

                        self.yang_name = "autostate"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.exclude = YLeaf(YType.empty, "exclude")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:autostate"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.Autostate, ['exclude'], name, value)


                class PrivateVlan(Entity):
                    """
                    Set the private VLAN configuration
                    
                    .. attribute:: association
                    
                    	Set the private VLAN association
                    	**type**\:  :py:class:`Association <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association>`
                    
                    .. attribute:: host_association
                    
                    	Set the private VLAN host association
                    	**type**\:  :py:class:`HostAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.HostAssociation>`
                    
                    .. attribute:: mapping
                    
                    	Set the private VLAN promiscuous mapping
                    	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Mapping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan, self).__init__()

                        self.yang_name = "private-vlan"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"association" : ("association", Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association), "host-association" : ("host_association", Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.HostAssociation), "mapping" : ("mapping", Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Mapping)}
                        self._child_list_classes = {}

                        self.association = Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association()
                        self.association.parent = self
                        self._children_name_map["association"] = "association"
                        self._children_yang_names.add("association")

                        self.host_association = Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.HostAssociation()
                        self.host_association.parent = self
                        self._children_name_map["host_association"] = "host-association"
                        self._children_yang_names.add("host-association")

                        self.mapping = Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Mapping()
                        self.mapping.parent = self
                        self._children_name_map["mapping"] = "mapping"
                        self._children_yang_names.add("mapping")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:private-vlan"


                    class Association(Entity):
                        """
                        Set the private VLAN association
                        
                        .. attribute:: host
                        
                        	Set the private VLAN host association
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association.Host>`
                        
                        .. attribute:: mapping
                        
                        	Set the private VLAN promiscuous mapping
                        	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association.Mapping>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association, self).__init__()

                            self.yang_name = "association"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"host" : ("host", Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association.Host), "mapping" : ("mapping", Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association.Mapping)}
                            self._child_list_classes = {}

                            self.host = Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.mapping = Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association.Mapping()
                            self.mapping.parent = self
                            self._children_name_map["mapping"] = "mapping"
                            self._children_yang_names.add("mapping")
                            self._segment_path = lambda: "association"


                        class Host(Entity):
                            """
                            Set the private VLAN host association
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN port association
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary normal range VLAN ID of the private VLAN host port association
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary_range = YLeaf(YType.uint16, "primary-range")

                                self.secondary_range = YLeaf(YType.uint16, "secondary-range")
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association.Host, ['primary_range', 'secondary_range'], name, value)


                        class Mapping(Entity):
                            """
                            Set the private VLAN promiscuous mapping
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            .. attribute:: add
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            .. attribute:: remove
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association.Mapping, self).__init__()

                                self.yang_name = "mapping"
                                self.yang_parent_name = "association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary_range = YLeaf(YType.uint16, "primary-range")

                                self.secondary_range = YLeaf(YType.str, "secondary-range")

                                self.add = YLeaf(YType.str, "add")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "mapping"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Association.Mapping, ['primary_range', 'secondary_range', 'add', 'remove'], name, value)


                    class HostAssociation(Entity):
                        """
                        Set the private VLAN host association
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN port association
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary normal range VLAN ID of the private VLAN host port association
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.HostAssociation, self).__init__()

                            self.yang_name = "host-association"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary_range = YLeaf(YType.uint16, "primary-range")

                            self.secondary_range = YLeaf(YType.uint16, "secondary-range")
                            self._segment_path = lambda: "host-association"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.HostAssociation, ['primary_range', 'secondary_range'], name, value)


                    class Mapping(Entity):
                        """
                        Set the private VLAN promiscuous mapping
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        .. attribute:: add
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        .. attribute:: remove
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Mapping, self).__init__()

                            self.yang_name = "mapping"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary_range = YLeaf(YType.uint16, "primary-range")

                            self.secondary_range = YLeaf(YType.str, "secondary-range")

                            self.add = YLeaf(YType.str, "add")

                            self.remove = YLeaf(YType.str, "remove")
                            self._segment_path = lambda: "mapping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switchport.PrivateVlan.Mapping, ['primary_range', 'secondary_range', 'add', 'remove'], name, value)


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.FortyGigabitEthernet.Backup.Delay), "interface" : ("interface", Native.Interface.FortyGigabitEthernet.Backup.Interface), "load" : ("load", Native.Interface.FortyGigabitEthernet.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.FortyGigabitEthernet.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.FortyGigabitEthernet.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.FortyGigabitEthernet.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.FortyGigabitEthernet.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.FortyGigabitEthernet.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.FortyGigabitEthernet.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.FortyGigabitEthernet.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.FortyGigabitEthernet.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.FortyGigabitEthernet.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.FortyGigabitEthernet.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.FortyGigabitEthernet.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.FortyGigabitEthernet.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.FortyGigabitEthernet.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.FortyGigabitEthernet.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.FortyGigabitEthernet.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.FortyGigabitEthernet.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.FortyGigabitEthernet.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.FortyGigabitEthernet.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.FortyGigabitEthernet.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.FortyGigabitEthernet.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.FortyGigabitEthernet.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.FortyGigabitEthernet.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.FortyGigabitEthernet.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.FortyGigabitEthernet.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.FortyGigabitEthernet.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.FortyGigabitEthernet.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.FortyGigabitEthernet.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.FortyGigabitEthernet.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.FortyGigabitEthernet.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.FortyGigabitEthernet.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.FortyGigabitEthernet.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.FortyGigabitEthernet.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Verify>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.FortyGigabitEthernet.Ip.AccessGroup), "arp" : ("arp", Native.Interface.FortyGigabitEthernet.Ip.Arp), "vrf" : ("vrf", Native.Interface.FortyGigabitEthernet.Ip.Vrf), "no-address" : ("no_address", Native.Interface.FortyGigabitEthernet.Ip.NoAddress), "address" : ("address", Native.Interface.FortyGigabitEthernet.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.FortyGigabitEthernet.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.FortyGigabitEthernet.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.FortyGigabitEthernet.Ip.HoldTime), "pim" : ("pim", Native.Interface.FortyGigabitEthernet.Ip.Pim), "policy" : ("policy", Native.Interface.FortyGigabitEthernet.Ip.Policy), "rip" : ("rip", Native.Interface.FortyGigabitEthernet.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.FortyGigabitEthernet.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.FortyGigabitEthernet.Ip.RouteCache), "router" : ("router", Native.Interface.FortyGigabitEthernet.Ip.Router), "tcp" : ("tcp", Native.Interface.FortyGigabitEthernet.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.FortyGigabitEthernet.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.FortyGigabitEthernet.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.FortyGigabitEthernet.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.FortyGigabitEthernet.Ip.Verify)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.FortyGigabitEthernet.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.FortyGigabitEthernet.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.FortyGigabitEthernet.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.FortyGigabitEthernet.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.FortyGigabitEthernet.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.FortyGigabitEthernet.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.FortyGigabitEthernet.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.FortyGigabitEthernet.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.FortyGigabitEthernet.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.FortyGigabitEthernet.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.FortyGigabitEthernet.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.FortyGigabitEthernet.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.FortyGigabitEthernet.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.FortyGigabitEthernet.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.FortyGigabitEthernet.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.FortyGigabitEthernet.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.FortyGigabitEthernet.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.FortyGigabitEthernet.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.FortyGigabitEthernet.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.FortyGigabitEthernet.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.FortyGigabitEthernet.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.FortyGigabitEthernet.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.FortyGigabitEthernet.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.FortyGigabitEthernet.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.FortyGigabitEthernet.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.FortyGigabitEthernet.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.FortyGigabitEthernet.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.FortyGigabitEthernet.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.FortyGigabitEthernet.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.FortyGigabitEthernet.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.FortyGigabitEthernet.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.FortyGigabitEthernet.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.FortyGigabitEthernet.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.FortyGigabitEthernet.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.FortyGigabitEthernet.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:  :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:  :py:class:`SparseMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Pim.SparseMode>`
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:  :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Pim.QueryInterval>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:  :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Pim.SptThreshold>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-multicast:accept-register" : ("accept_register", Native.Interface.FortyGigabitEthernet.Ip.Pim.AcceptRegister), "Cisco-IOS-XE-multicast:query-interval" : ("query_interval", Native.Interface.FortyGigabitEthernet.Ip.Pim.QueryInterval)}
                        self._child_list_classes = {}

                        self.sparse_mode = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:sparse-mode")

                        self.nbma_mode = YLeaf(YType.empty, "Cisco-IOS-XE-multicast:nbma-mode")

                        self.dr_priority = YLeaf(YType.uint32, "Cisco-IOS-XE-multicast:dr-priority")

                        self.spt_threshold = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:spt-threshold")

                        self.accept_register = Native.Interface.FortyGigabitEthernet.Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self._children_name_map["accept_register"] = "accept-register"
                        self._children_yang_names.add("accept-register")

                        self.query_interval = Native.Interface.FortyGigabitEthernet.Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self._children_name_map["query_interval"] = "query-interval"
                        self._children_yang_names.add("query-interval")
                        self._segment_path = lambda: "pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Pim, ['sparse_mode', 'nbma_mode', 'dr_priority', 'spt_threshold'], name, value)

                    class SparseMode(Enum):
                        """
                        SparseMode

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = Enum.YLeaf(0, "sparse-dense-mode")

                        sparse_mode = Enum.YLeaf(1, "sparse-mode")


                    class SptThreshold(Enum):
                        """
                        SptThreshold

                        .. data:: infinity = 0

                        """

                        infinity = Enum.YLeaf(0, "infinity")



                    class AcceptRegister(Entity):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.Pim.AcceptRegister, self).__init__()

                            self.yang_name = "accept-register"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.list = YLeaf(YType.str, "list")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:accept-register"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Pim.AcceptRegister, ['list'], name, value)


                    class QueryInterval(Entity):
                        """
                        PIM router query interval
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..18725
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.Pim.QueryInterval, self).__init__()

                            self.yang_name = "query-interval"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.seconds_interval = YLeaf(YType.uint16, "seconds-interval")

                            self.milliseconds_interval = YLeaf(YType.uint16, "milliseconds-interval")

                            self.msec = YLeaf(YType.empty, "msec")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:query-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Pim.QueryInterval, ['seconds_interval', 'milliseconds_interval', 'msec'], name, value)


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.FortyGigabitEthernet.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.FortyGigabitEthernet.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.FortyGigabitEthernet.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.FortyGigabitEthernet.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.FortyGigabitEthernet.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.FortyGigabitEthernet.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.FortyGigabitEthernet.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.FortyGigabitEthernet.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.FortyGigabitEthernet.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.FortyGigabitEthernet.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.FortyGigabitEthernet.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.FortyGigabitEthernet.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.FortyGigabitEthernet.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.FortyGigabitEthernet.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.FortyGigabitEthernet.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.TrafficFilter>`
                
                .. attribute:: no_pim
                
                	
                	**type**\:  :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.NoPim>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.Pim>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.FortyGigabitEthernet.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.FortyGigabitEthernet.Ipv6.Dhcp), "address" : ("address", Native.Interface.FortyGigabitEthernet.Ipv6.Address), "nd" : ("nd", Native.Interface.FortyGigabitEthernet.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.FortyGigabitEthernet.Ipv6.Tcp), "Cisco-IOS-XE-multicast:no-pim" : ("no_pim", Native.Interface.FortyGigabitEthernet.Ipv6.NoPim), "Cisco-IOS-XE-multicast:pim" : ("pim", Native.Interface.FortyGigabitEthernet.Ipv6.Pim)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.FortyGigabitEthernet.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.FortyGigabitEthernet.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.FortyGigabitEthernet.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.FortyGigabitEthernet.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.FortyGigabitEthernet.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.no_pim = Native.Interface.FortyGigabitEthernet.Ipv6.NoPim()
                    self.no_pim.parent = self
                    self._children_name_map["no_pim"] = "no-pim"
                    self._children_yang_names.add("no-pim")

                    self.pim = Native.Interface.FortyGigabitEthernet.Ipv6.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.FortyGigabitEthernet.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.FortyGigabitEthernet.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.FortyGigabitEthernet.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.FortyGigabitEthernet.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class NoPim(Entity):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ipv6.NoPim, self).__init__()

                        self.yang_name = "no-pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pim = YLeaf(YType.boolean, "pim")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:no-pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ipv6.NoPim, ['pim'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:  :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ipv6.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bsr" : ("bsr", Native.Interface.FortyGigabitEthernet.Ipv6.Pim.Bsr)}
                        self._child_list_classes = {}

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.dr_priority = YLeaf(YType.uint32, "dr-priority")

                        self.bsr = Native.Interface.FortyGigabitEthernet.Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self._children_name_map["bsr"] = "bsr"
                        self._children_yang_names.add("bsr")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ipv6.Pim, ['bfd', 'dr_priority'], name, value)


                    class Bsr(Entity):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ipv6.Pim.Bsr, self).__init__()

                            self.yang_name = "bsr"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.border = YLeaf(YType.empty, "border")
                            self._segment_path = lambda: "bsr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ipv6.Pim.Bsr, ['border'], name, value)


            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.FortyGigabitEthernet.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.FortyGigabitEthernet.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.FortyGigabitEthernet.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.FortyGigabitEthernet.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.FortyGigabitEthernet.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.FortyGigabitEthernet.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.FortyGigabitEthernet.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.FortyGigabitEthernet.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.FortyGigabitEthernet.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.FortyGigabitEthernet.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.FortyGigabitEthernet.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.FortyGigabitEthernet.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.FortyGigabitEthernet.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.FortyGigabitEthernet.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.FortyGigabitEthernet.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.FortyGigabitEthernet.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.FortyGigabitEthernet.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.FortyGigabitEthernet.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.FortyGigabitEthernet.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.FortyGigabitEthernet.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.FortyGigabitEthernet.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.FortyGigabitEthernet.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.FortyGigabitEthernet.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.FortyGigabitEthernet.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.FortyGigabitEthernet.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.FortyGigabitEthernet.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.FortyGigabitEthernet.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.FortyGigabitEthernet.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.FortyGigabitEthernet.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.FortyGigabitEthernet.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.FortyGigabitEthernet.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.FortyGigabitEthernet.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.FortyGigabitEthernet.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.PmPath, ['name', 'interface_id'], name, value)


            class CarrierDelay(Entity):
                """
                Specify delay for interface transitions
                
                .. attribute:: seconds
                
                	
                	**type**\: int
                
                	**range:** 0..60
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\: int
                
                	**range:** 0..1000
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:  :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.CarrierDelay.Down>`
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:  :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.CarrierDelay, self).__init__()

                    self.yang_name = "carrier-delay"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"down" : ("down", Native.Interface.FortyGigabitEthernet.CarrierDelay.Down), "up" : ("up", Native.Interface.FortyGigabitEthernet.CarrierDelay.Up)}
                    self._child_list_classes = {}

                    self.seconds = YLeaf(YType.uint8, "seconds")

                    self.msec = YLeaf(YType.uint16, "msec")

                    self.down = Native.Interface.FortyGigabitEthernet.CarrierDelay.Down()
                    self.down.parent = self
                    self._children_name_map["down"] = "down"
                    self._children_yang_names.add("down")

                    self.up = Native.Interface.FortyGigabitEthernet.CarrierDelay.Up()
                    self.up.parent = self
                    self._children_name_map["up"] = "up"
                    self._children_yang_names.add("up")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:carrier-delay"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.CarrierDelay, ['seconds', 'msec'], name, value)


                class Down(Entity):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.CarrierDelay.Down, self).__init__()

                        self.yang_name = "down"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "down"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.CarrierDelay.Down, ['seconds', 'msec'], name, value)


                class Up(Entity):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.CarrierDelay.Up, self).__init__()

                        self.yang_name = "up"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "up"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.CarrierDelay.Up, ['seconds', 'msec'], name, value)


            class ChannelGroup(Entity):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 1..512
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.ChannelGroup.Mode>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\: int
                
                	**range:** 1..4
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.ChannelGroup, self).__init__()

                    self.yang_name = "channel-group"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint16, "number")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.non_silent = YLeaf(YType.empty, "non-silent")

                    self.link = YLeaf(YType.uint8, "link")

                    self.auto = YLeaf(YType.empty, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:channel-group"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.ChannelGroup, ['number', 'mode', 'non_silent', 'link', 'auto'], name, value)

                class Mode(Enum):
                    """
                    Mode

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = Enum.YLeaf(0, "active")

                    auto = Enum.YLeaf(1, "auto")

                    desirable = Enum.YLeaf(2, "desirable")

                    on = Enum.YLeaf(3, "on")

                    passive = Enum.YLeaf(4, "passive")



            class Ethernet(Entity):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:  :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Ethernet, self).__init__()

                    self.yang_name = "ethernet"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"oam" : ("oam", Native.Interface.FortyGigabitEthernet.Ethernet.Oam)}
                    self._child_list_classes = {}

                    self.oam = None
                    self._children_name_map["oam"] = "oam"
                    self._children_yang_names.add("oam")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:ethernet"


                class Oam(Entity):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:  :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.Mode>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:  :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:  :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 2..30
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam, self).__init__()

                        self.yang_name = "oam"
                        self.yang_parent_name = "ethernet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-monitor" : ("link_monitor", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor), "remote-failure" : ("remote_failure", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure), "remote-loopback" : ("remote_loopback", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteLoopback)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max_rate = YLeaf(YType.uint8, "max-rate")

                        self.min_rate = YLeaf(YType.uint8, "min-rate")

                        self.mode = YLeaf(YType.enumeration, "mode")

                        self.timeout = YLeaf(YType.uint8, "timeout")

                        self.link_monitor = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self._children_name_map["link_monitor"] = "link-monitor"
                        self._children_yang_names.add("link-monitor")

                        self.remote_failure = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self._children_name_map["remote_failure"] = "remote-failure"
                        self._children_yang_names.add("remote-failure")

                        self.remote_loopback = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self._children_name_map["remote_loopback"] = "remote-loopback"
                        self._children_yang_names.add("remote-loopback")
                        self._segment_path = lambda: "oam"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam, ['max_rate', 'min_rate', 'mode', 'timeout'], name, value)

                    class Mode(Enum):
                        """
                        Mode

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = Enum.YLeaf(0, "active")

                        passive = Enum.YLeaf(1, "passive")



                    class LinkMonitor(Entity):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:  :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:  :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:  :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:  :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:  :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:  :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor, self).__init__()

                            self.yang_name = "link-monitor"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"frame" : ("frame", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame), "frame-period" : ("frame_period", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod), "frame-seconds" : ("frame_seconds", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds), "high-threshold" : ("high_threshold", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold), "receive-crc" : ("receive_crc", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc), "symbol-period" : ("symbol_period", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod)}
                            self._child_list_classes = {}

                            self.on = YLeaf(YType.empty, "on")

                            self.supported = YLeaf(YType.empty, "supported")

                            self.frame = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self._children_name_map["frame"] = "frame"
                            self._children_yang_names.add("frame")

                            self.frame_period = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self._children_name_map["frame_period"] = "frame-period"
                            self._children_yang_names.add("frame-period")

                            self.frame_seconds = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self._children_name_map["frame_seconds"] = "frame-seconds"
                            self._children_yang_names.add("frame-seconds")

                            self.high_threshold = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self._children_name_map["high_threshold"] = "high-threshold"
                            self._children_yang_names.add("high-threshold")

                            self.receive_crc = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self._children_name_map["receive_crc"] = "receive-crc"
                            self._children_yang_names.add("receive-crc")

                            self.symbol_period = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self
                            self._children_name_map["symbol_period"] = "symbol-period"
                            self._children_yang_names.add("symbol-period")
                            self._segment_path = lambda: "link-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor, ['on', 'supported'], name, value)


                        class Frame(Entity):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame, self).__init__()

                                self.yang_name = "frame"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.thresh = YLeaf(YType.uint16, "thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, ['thresh', 'none'], name, value)


                        class FramePeriod(Entity):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod, self).__init__()

                                self.yang_name = "frame-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.f_thresh = YLeaf(YType.uint16, "f-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, ['f_thresh', 'none'], name, value)


                        class FrameSeconds(Entity):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds, self).__init__()

                                self.yang_name = "frame-seconds"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-seconds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\: int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-seconds"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.e_thresh = YLeaf(YType.uint16, "e-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, ['e_thresh', 'none'], name, value)


                        class HighThreshold(Entity):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold, self).__init__()

                                self.yang_name = "high-threshold"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "high-threshold"


                            class Action(Entity):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "high-threshold"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.HighThreshold.Action, ['error_disable_interface'], name, value)


                        class ReceiveCrc(Entity):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc, self).__init__()

                                self.yang_name = "receive-crc"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "receive-crc"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "receive-crc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.crc_thresh = YLeaf(YType.uint16, "crc-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, ['crc_thresh', 'none'], name, value)


                        class SymbolPeriod(Entity):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod, self).__init__()

                                self.yang_name = "symbol-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "symbol-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "symbol-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.err_thresh = YLeaf(YType.uint16, "err-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, ['err_thresh', 'none'], name, value)


                    class RemoteFailure(Entity):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:  :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:  :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:  :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure, self).__init__()

                            self.yang_name = "remote-failure"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"critical-event" : ("critical_event", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent), "dying-gasp" : ("dying_gasp", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp), "link-fault" : ("link_fault", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault)}
                            self._child_list_classes = {}

                            self.critical_event = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self._children_name_map["critical_event"] = "critical-event"
                            self._children_yang_names.add("critical-event")

                            self.dying_gasp = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self._children_name_map["dying_gasp"] = "dying-gasp"
                            self._children_yang_names.add("dying-gasp")

                            self.link_fault = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self
                            self._children_name_map["link_fault"] = "link-fault"
                            self._children_yang_names.add("link-fault")
                            self._segment_path = lambda: "remote-failure"


                        class CriticalEvent(Entity):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent, self).__init__()

                                self.yang_name = "critical-event"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "critical-event"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "critical-event"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, ['error_disable_interface'], name, value)


                        class DyingGasp(Entity):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp, self).__init__()

                                self.yang_name = "dying-gasp"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "dying-gasp"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "dying-gasp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.DyingGasp.Action, ['error_disable_interface'], name, value)


                        class LinkFault(Entity):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault, self).__init__()

                                self.yang_name = "link-fault"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "link-fault"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "link-fault"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteFailure.LinkFault.Action, ['error_disable_interface'], name, value)


                    class RemoteLoopback(Entity):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteLoopback, self).__init__()

                            self.yang_name = "remote-loopback"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.supported = YLeaf(YType.empty, "supported")

                            self.timeout = YLeaf(YType.uint8, "timeout")
                            self._segment_path = lambda: "remote-loopback"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Ethernet.Oam.RemoteLoopback, ['supported', 'timeout'], name, value)


            class Negotiation(Entity):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\: bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Negotiation, self).__init__()

                    self.yang_name = "negotiation"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:negotiation"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Negotiation, ['auto'], name, value)


            class Synchronous(Entity):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Synchronous, self).__init__()

                    self.yang_name = "synchronous"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mode = YLeaf(YType.empty, "mode")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:synchronous"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Synchronous, ['mode'], name, value)


            class Speed(Entity):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Speed, self).__init__()

                    self.yang_name = "speed"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.empty, "auto")

                    self.value_10 = YLeaf(YType.empty, "value-10")

                    self.value_100 = YLeaf(YType.empty, "value-100")

                    self.value_1000 = YLeaf(YType.empty, "value-1000")

                    self.value_10000 = YLeaf(YType.empty, "value-10000")

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:speed"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Speed, ['auto', 'value_10', 'value_100', 'value_1000', 'value_10000', 'nonegotiate'], name, value)


            class Plim(Entity):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Plim, self).__init__()

                    self.yang_name = "plim"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.FortyGigabitEthernet.Plim.Ethernet), "qos" : ("qos", Native.Interface.FortyGigabitEthernet.Plim.Qos)}
                    self._child_list_classes = {}

                    self.ethernet = Native.Interface.FortyGigabitEthernet.Plim.Ethernet()
                    self.ethernet.parent = self
                    self._children_name_map["ethernet"] = "ethernet"
                    self._children_yang_names.add("ethernet")

                    self.qos = Native.Interface.FortyGigabitEthernet.Plim.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:plim"


                class Ethernet(Entity):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Plim.Ethernet, self).__init__()

                        self.yang_name = "ethernet"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.FortyGigabitEthernet.Plim.Ethernet.Vlan)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.FortyGigabitEthernet.Plim.Ethernet.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "ethernet"


                    class Vlan(Entity):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Plim.Ethernet.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"filter" : ("filter", Native.Interface.FortyGigabitEthernet.Plim.Ethernet.Vlan.Filter)}
                            self._child_list_classes = {}

                            self.filter = Native.Interface.FortyGigabitEthernet.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self
                            self._children_name_map["filter"] = "filter"
                            self._children_yang_names.add("filter")
                            self._segment_path = lambda: "vlan"


                        class Filter(Entity):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Plim.Ethernet.Vlan.Filter, self).__init__()

                                self.yang_name = "filter"
                                self.yang_parent_name = "vlan"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Plim.Ethernet.Vlan.Filter, ['disable'], name, value)


                class Qos(Entity):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Plim.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"input" : ("input", Native.Interface.FortyGigabitEthernet.Plim.Qos.Input)}
                        self._child_list_classes = {}

                        self.input = Native.Interface.FortyGigabitEthernet.Plim.Qos.Input()
                        self.input.parent = self
                        self._children_name_map["input"] = "input"
                        self._children_yang_names.add("input")
                        self._segment_path = lambda: "qos"


                    class Input(Entity):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Plim.Qos.Input, self).__init__()

                            self.yang_name = "input"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"queue" : ("queue", Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue)}
                            self._child_list_classes = {}

                            self.queue = Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue()
                            self.queue.parent = self
                            self._children_name_map["queue"] = "queue"
                            self._children_yang_names.add("queue")
                            self._segment_path = lambda: "input"


                        class Queue(Entity):
                            """
                            Queue number
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:  :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.Zero>`
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:  :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue, self).__init__()

                                self.yang_name = "queue"
                                self.yang_parent_name = "input"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"zero" : ("zero", Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.Zero), "strict-priority" : ("strict_priority", Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority)}
                                self._child_list_classes = {}

                                self.zero = Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self
                                self._children_name_map["zero"] = "zero"
                                self._children_yang_names.add("zero")

                                self.strict_priority = Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self._children_name_map["strict_priority"] = "strict-priority"
                                self._children_yang_names.add("strict-priority")
                                self._segment_path = lambda: "queue"


                            class Zero(Entity):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.Zero, self).__init__()

                                    self.yang_name = "zero"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "zero"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "zero"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.Zero.Pause, ['enable', 'threshold'], name, value)


                            class StrictPriority(Entity):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority, self).__init__()

                                    self.yang_name = "strict-priority"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "strict-priority"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "strict-priority"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Plim.Qos.Input.Queue.StrictPriority.Pause, ['enable', 'threshold'], name, value)


            class Pppoe(Entity):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\: int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Pppoe, self).__init__()

                    self.yang_name = "pppoe"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"enable" : ("enable", Native.Interface.FortyGigabitEthernet.Pppoe.Enable)}
                    self._child_list_classes = {}

                    self.max_sessions = YLeaf(YType.uint16, "max-sessions")

                    self.enable = None
                    self._children_name_map["enable"] = "enable"
                    self._children_yang_names.add("enable")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:pppoe"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Pppoe, ['max_sessions'], name, value)


                class Enable(Entity):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Pppoe.Enable.Group>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Pppoe.Enable, self).__init__()

                        self.yang_name = "enable"
                        self.yang_parent_name = "pppoe"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "enable"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Pppoe.Enable, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = Enum.YLeaf(0, "global")



            class Service(Entity):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of  		 :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Service, self).__init__()

                    self.yang_name = "service"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"instance" : ("instance", Native.Interface.FortyGigabitEthernet.Service.Instance)}

                    self.instance = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:service"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service, [], name, value)


                class Instance(Entity):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\: str
                    
                    	**length:** 0..240
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\: str
                    
                    	**length:** 1..100
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation>`
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Ipv6>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:  :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:  :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:  :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp>`
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:  :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Mac>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:  :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:  :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Service.Instance, self).__init__()

                        self.yang_name = "instance"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation), "ip" : ("ip", Native.Interface.FortyGigabitEthernet.Service.Instance.Ip), "ipv6" : ("ipv6", Native.Interface.FortyGigabitEthernet.Service.Instance.Ipv6), "rewrite" : ("rewrite", Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite), "errdisable" : ("errdisable", Native.Interface.FortyGigabitEthernet.Service.Instance.Errdisable), "ethernet-container" : ("ethernet_container", Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer), "snmp" : ("snmp", Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp), "bridge-domain" : ("bridge_domain", Native.Interface.FortyGigabitEthernet.Service.Instance.BridgeDomain), "mac" : ("mac", Native.Interface.FortyGigabitEthernet.Service.Instance.Mac), "service-policy" : ("service_policy", Native.Interface.FortyGigabitEthernet.Service.Instance.ServicePolicy), "cfm" : ("cfm", Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm), "l2protocol" : ("l2protocol", Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint32, "id")

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.gigabitethernet = YLeaf(YType.empty, "GigabitEthernet")

                        self.ethernet = YLeaf(YType.empty, "ethernet")

                        self.ethernet_evc_name = YLeaf(YType.str, "ethernet-evc-name")

                        self.description = YLeaf(YType.str, "description")

                        self.evc_name = YLeaf(YType.str, "evc-name")

                        self.group = YLeaf(YType.uint32, "group")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.encapsulation = Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self._children_name_map["encapsulation"] = "encapsulation"
                        self._children_yang_names.add("encapsulation")

                        self.ip = Native.Interface.FortyGigabitEthernet.Service.Instance.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.ipv6 = Native.Interface.FortyGigabitEthernet.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.rewrite = Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self._children_name_map["rewrite"] = "rewrite"
                        self._children_yang_names.add("rewrite")

                        self.errdisable = Native.Interface.FortyGigabitEthernet.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self._children_name_map["errdisable"] = "errdisable"
                        self._children_yang_names.add("errdisable")

                        self.ethernet_container = Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self._children_name_map["ethernet_container"] = "ethernet-container"
                        self._children_yang_names.add("ethernet-container")

                        self.snmp = Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self._children_name_map["snmp"] = "snmp"
                        self._children_yang_names.add("snmp")

                        self.bridge_domain = Native.Interface.FortyGigabitEthernet.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self._children_name_map["bridge_domain"] = "bridge-domain"
                        self._children_yang_names.add("bridge-domain")

                        self.mac = Native.Interface.FortyGigabitEthernet.Service.Instance.Mac()
                        self.mac.parent = self
                        self._children_name_map["mac"] = "mac"
                        self._children_yang_names.add("mac")

                        self.service_policy = Native.Interface.FortyGigabitEthernet.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self._children_name_map["service_policy"] = "service-policy"
                        self._children_yang_names.add("service-policy")

                        self.cfm = Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self._children_name_map["cfm"] = "cfm"
                        self._children_yang_names.add("cfm")

                        self.l2protocol = Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self._children_name_map["l2protocol"] = "l2protocol"
                        self._children_yang_names.add("l2protocol")
                        self._segment_path = lambda: "instance" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance, ['id', 'trunk', 'gigabitethernet', 'ethernet', 'ethernet_evc_name', 'description', 'evc_name', 'group', 'shutdown'], name, value)


                    class Encapsulation(Entity):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:  :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:  :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation, self).__init__()

                            self.yang_name = "encapsulation"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Q), "priority-tagged" : ("priority_tagged", Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged), "untagged" : ("untagged", Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Untagged)}
                            self._child_list_classes = {}

                            self.default = YLeaf(YType.empty, "default")

                            self.dot1ad = Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self._children_name_map["dot1ad"] = "dot1ad"
                            self._children_yang_names.add("dot1ad")

                            self.dot1q = Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self._children_name_map["dot1q"] = "dot1q"
                            self._children_yang_names.add("dot1q")

                            self.priority_tagged = Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self._children_name_map["priority_tagged"] = "priority-tagged"
                            self._children_yang_names.add("priority-tagged")

                            self.untagged = None
                            self._children_name_map["untagged"] = "untagged"
                            self._children_yang_names.add("untagged")
                            self._segment_path = lambda: "encapsulation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation, ['default'], name, value)


                        class Dot1Ad(Entity):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Dot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad, self).__init__()

                                self.yang_name = "dot1ad"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.dot1q = YLeafList(YType.str, "dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.cos2 = Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1ad"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad, ['id', 'cos', 'dot1q', 'etype', 'exact'], name, value)

                            class Dot1Q(Enum):
                                """
                                Dot1Q

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1ad"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Ad.Cos2, ['cos'], name, value)


                        class Dot1Q(Entity):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`SecondDot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:  :py:class:`VlanType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.VlanType>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Q, self).__init__()

                                self.yang_name = "dot1q"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.second_dot1q = YLeafList(YType.str, "second-dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.vlan_type = YLeaf(YType.enumeration, "vlan-type")

                                self.cos2 = Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1q"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Q, ['id', 'cos', 'second_dot1q', 'etype', 'exact', 'vlan_type'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class SecondDot1Q(Enum):
                                """
                                SecondDot1Q

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class VlanType(Enum):
                                """
                                VlanType

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = Enum.YLeaf(0, "0x88A8")

                                Y_0x9100 = Enum.YLeaf(1, "0x9100")

                                Y_0x9200 = Enum.YLeaf(2, "0x9200")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1q"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Dot1Q.Cos2, ['cos'], name, value)


                        class PriorityTagged(Entity):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:  :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.Etype>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged, self).__init__()

                                self.yang_name = "priority-tagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos-container" : ("cos_container", Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer)}
                                self._child_list_classes = {}

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.cos_container = Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self._children_name_map["cos_container"] = "cos-container"
                                self._children_yang_names.add("cos-container")
                                self._segment_path = lambda: "priority-tagged"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged, ['etype'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")



                            class CosContainer(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer, self).__init__()

                                    self.yang_name = "cos-container"
                                    self.yang_parent_name = "priority-tagged"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.PriorityTagged.CosContainer, ['cos'], name, value)


                        class Untagged(Entity):
                            """
                            Untagged encapsulation
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Encapsulation.Untagged, self).__init__()

                                self.yang_name = "untagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "untagged"


                    class Ip(Entity):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"acl" : ("acl", Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Acl), "dhcp" : ("dhcp", Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp), "verify" : ("verify", Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Verify)}
                            self._child_list_classes = {}

                            self.acl = Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")

                            self.dhcp = Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self._children_name_map["dhcp"] = "dhcp"
                            self._children_yang_names.add("dhcp")

                            self.verify = Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Verify()
                            self.verify.parent = self
                            self._children_name_map["verify"] = "verify"
                            self._children_yang_names.add("verify")
                            self._segment_path = lambda: "ip"


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.access_group = YLeaf(YType.str, "access-group")

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Acl, ['access_group', 'in_', 'out'], name, value)


                        class Dhcp(Entity):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp, self).__init__()

                                self.yang_name = "dhcp"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"relay" : ("relay", Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp.Relay)}
                                self._child_list_classes = {}

                                self.relay = Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self
                                self._children_name_map["relay"] = "relay"
                                self._children_yang_names.add("relay")
                                self._segment_path = lambda: "dhcp"


                            class Relay(Entity):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp.Relay, self).__init__()

                                    self.yang_name = "relay"
                                    self.yang_parent_name = "dhcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"information" : ("information", Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information)}
                                    self._child_list_classes = {}

                                    self.information = Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self
                                    self._children_name_map["information"] = "information"
                                    self._children_yang_names.add("information")
                                    self._segment_path = lambda: "relay"


                                class Information(Entity):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information, self).__init__()

                                        self.yang_name = "information"
                                        self.yang_parent_name = "relay"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"option" : ("option", Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option)}
                                        self._child_list_classes = {}

                                        self.option = Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self
                                        self._children_name_map["option"] = "option"
                                        self._children_yang_names.add("option")
                                        self._segment_path = lambda: "information"


                                    class Option(Entity):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                            self.yang_name = "option"
                                            self.yang_parent_name = "information"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                            self._segment_path = lambda: "option"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                        class Verify(Entity):
                            """
                            verify
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Verify, self).__init__()

                                self.yang_name = "verify"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.source = YLeaf(YType.empty, "source")

                                self.vlan = YLeaf(YType.empty, "vlan")

                                self.dhcp_snooping = YLeaf(YType.empty, "dhcp-snooping")

                                self.port_security = YLeaf(YType.empty, "port-security")
                                self._segment_path = lambda: "verify"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Ip.Verify, ['source', 'vlan', 'dhcp_snooping', 'port_security'], name, value)


                    class Ipv6(Entity):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\: str
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.traffic_filter = YLeaf(YType.str, "traffic-filter")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Ipv6, ['traffic_filter', 'in_', 'out'], name, value)


                    class Rewrite(Entity):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:  :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite, self).__init__()

                            self.yang_name = "rewrite"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ingress" : ("ingress", Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress)}
                            self._child_list_classes = {}

                            self.ingress = Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self
                            self._children_name_map["ingress"] = "ingress"
                            self._children_yang_names.add("ingress")
                            self._segment_path = lambda: "rewrite"


                        class Ingress(Entity):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress, self).__init__()

                                self.yang_name = "ingress"
                                self.yang_parent_name = "rewrite"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"tag" : ("tag", Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag)}
                                self._child_list_classes = {}

                                self.tag = Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self
                                self._children_name_map["tag"] = "tag"
                                self._children_yang_names.add("tag")
                                self._segment_path = lambda: "ingress"


                            class Tag(Entity):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:  :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:  :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag, self).__init__()

                                    self.yang_name = "tag"
                                    self.yang_parent_name = "ingress"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pop" : ("pop", Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop), "push" : ("push", Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push), "translate" : ("translate", Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate)}
                                    self._child_list_classes = {}

                                    self.pop = Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self._children_name_map["pop"] = "pop"
                                    self._children_yang_names.add("pop")

                                    self.push = Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self._children_name_map["push"] = "push"
                                    self._children_yang_names.add("push")

                                    self.translate = Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self
                                    self._children_name_map["translate"] = "translate"
                                    self._children_yang_names.add("translate")
                                    self._segment_path = lambda: "tag"


                                class Pop(Entity):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:  :py:class:`Way <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop.Way>`
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop, self).__init__()

                                        self.yang_name = "pop"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.way = YLeaf(YType.enumeration, "way")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "pop"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Pop, ['way', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")


                                    class Way(Enum):
                                        """
                                        Way

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class Push(Entity):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push, self).__init__()

                                        self.yang_name = "push"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dot1q = YLeaf(YType.uint16, "dot1q")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "push"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Push, ['dot1q', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")



                                class Translate(Entity):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:  :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:  :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:  :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:  :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate, self).__init__()

                                        self.yang_name = "translate"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"t1-to-1" : ("t1_to_1", Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1), "t1-to-2" : ("t1_to_2", Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2), "t2-to-1" : ("t2_to_1", Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1), "t2-to-2" : ("t2_to_2", Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2)}
                                        self._child_list_classes = {}

                                        self.t1_to_1 = Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self._children_name_map["t1_to_1"] = "t1-to-1"
                                        self._children_yang_names.add("t1-to-1")

                                        self.t1_to_2 = Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self._children_name_map["t1_to_2"] = "t1-to-2"
                                        self._children_yang_names.add("t1-to-2")

                                        self.t2_to_1 = Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self._children_name_map["t2_to_1"] = "t2-to-1"
                                        self._children_yang_names.add("t2-to-1")

                                        self.t2_to_2 = Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self
                                        self._children_name_map["t2_to_2"] = "t2-to-2"
                                        self._children_yang_names.add("t2-to-2")
                                        self._segment_path = lambda: "translate"


                                    class T1To1(Entity):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, self).__init__()

                                            self.yang_name = "t1-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T1To2(Entity):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, self).__init__()

                                            self.yang_name = "t1-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To1(Entity):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, self).__init__()

                                            self.yang_name = "t2-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To2(Entity):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, self).__init__()

                                            self.yang_name = "t2-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                    class Errdisable(Entity):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.Errdisable, self).__init__()

                            self.yang_name = "errdisable"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"recovery" : ("recovery", Native.Interface.FortyGigabitEthernet.Service.Instance.Errdisable.Recovery)}
                            self._child_list_classes = {}

                            self.recovery = Native.Interface.FortyGigabitEthernet.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self
                            self._children_name_map["recovery"] = "recovery"
                            self._children_yang_names.add("recovery")
                            self._segment_path = lambda: "errdisable"


                        class Recovery(Entity):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:  :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Errdisable.Recovery, self).__init__()

                                self.yang_name = "recovery"
                                self.yang_parent_name = "errdisable"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cause" : ("cause", Native.Interface.FortyGigabitEthernet.Service.Instance.Errdisable.Recovery.Cause)}
                                self._child_list_classes = {}

                                self.cause = Native.Interface.FortyGigabitEthernet.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self
                                self._children_name_map["cause"] = "cause"
                                self._children_yang_names.add("cause")
                                self._segment_path = lambda: "recovery"


                            class Cause(Entity):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\: int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Service.Instance.Errdisable.Recovery.Cause, self).__init__()

                                    self.yang_name = "cause"
                                    self.yang_parent_name = "recovery"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mac_security = YLeaf(YType.uint32, "mac-security")
                                    self._segment_path = lambda: "cause"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Errdisable.Recovery.Cause, ['mac_security'], name, value)


                    class EthernetContainer(Entity):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer, self).__init__()

                            self.yang_name = "ethernet-container"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet)}
                            self._child_list_classes = {}

                            self.ethernet = Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self
                            self._children_name_map["ethernet"] = "ethernet"
                            self._children_yang_names.add("ethernet")
                            self._segment_path = lambda: "ethernet-container"


                        class Ethernet(Entity):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:  :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:  :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet, self).__init__()

                                self.yang_name = "ethernet"
                                self.yang_parent_name = "ethernet-container"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lmi" : ("lmi", Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi), "loopback" : ("loopback", Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback)}
                                self._child_list_classes = {}

                                self.lmi = Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self._children_name_map["lmi"] = "lmi"
                                self._children_yang_names.add("lmi")

                                self.loopback = Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self
                                self._children_name_map["loopback"] = "loopback"
                                self._children_yang_names.add("loopback")
                                self._segment_path = lambda: "ethernet"


                            class Lmi(Entity):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:  :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi, self).__init__()

                                    self.yang_name = "lmi"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ce-vlan" : ("ce_vlan", Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan)}
                                    self._child_list_classes = {}

                                    self.ce_vlan = Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self
                                    self._children_name_map["ce_vlan"] = "ce-vlan"
                                    self._children_yang_names.add("ce-vlan")
                                    self._segment_path = lambda: "lmi"


                                class CeVlan(Entity):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan, self).__init__()

                                        self.yang_name = "ce-vlan"
                                        self.yang_parent_name = "lmi"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map" : ("map", Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map)}
                                        self._child_list_classes = {}

                                        self.map = Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self
                                        self._children_name_map["map"] = "map"
                                        self._children_yang_names.add("map")
                                        self._segment_path = lambda: "ce-vlan"


                                    class Map(Entity):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:  :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, self).__init__()

                                            self.yang_name = "map"
                                            self.yang_parent_name = "ce-vlan"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"vlan-range" : ("vlan_range", Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange)}
                                            self._child_list_classes = {}

                                            self.any = YLeaf(YType.empty, "any")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.untagged = YLeaf(YType.empty, "untagged")

                                            self.vlan_range = Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self
                                            self._children_name_map["vlan_range"] = "vlan-range"
                                            self._children_yang_names.add("vlan-range")
                                            self._segment_path = lambda: "map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, ['any', 'default', 'untagged'], name, value)


                                        class VlanRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, self).__init__()

                                                self.yang_name = "vlan-range"
                                                self.yang_parent_name = "map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                                self.comma = YLeaf(YType.uint16, "comma")

                                                self.hyphen = YLeaf(YType.uint16, "hyphen")
                                                self._segment_path = lambda: "vlan-range"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, ['vlan_id', 'comma', 'hyphen'], name, value)


                            class Loopback(Entity):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback, self).__init__()

                                    self.yang_name = "loopback"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"permit" : ("permit", Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit)}
                                    self._child_list_classes = {}

                                    self.permit = Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self
                                    self._children_name_map["permit"] = "permit"
                                    self._children_yang_names.add("permit")
                                    self._segment_path = lambda: "loopback"


                                class Permit(Entity):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, self).__init__()

                                        self.yang_name = "permit"
                                        self.yang_parent_name = "loopback"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.external = YLeaf(YType.empty, "external")

                                        self.internal = YLeaf(YType.empty, "internal")
                                        self._segment_path = lambda: "permit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, ['external', 'internal'], name, value)


                    class Snmp(Entity):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp.Trap>`
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp.Ifindex>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp, self).__init__()

                            self.yang_name = "snmp"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"trap" : ("trap", Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp.Trap), "ifindex" : ("ifindex", Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp.Ifindex)}
                            self._child_list_classes = {}

                            self.trap = Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp.Trap()
                            self.trap.parent = self
                            self._children_name_map["trap"] = "trap"
                            self._children_yang_names.add("trap")

                            self.ifindex = Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self._children_name_map["ifindex"] = "ifindex"
                            self._children_yang_names.add("ifindex")
                            self._segment_path = lambda: "snmp"


                        class Trap(Entity):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp.Trap, self).__init__()

                                self.yang_name = "trap"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.link_status = YLeaf(YType.empty, "link-status")
                                self._segment_path = lambda: "trap"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp.Trap, ['link_status'], name, value)


                        class Ifindex(Entity):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp.Ifindex, self).__init__()

                                self.yang_name = "ifindex"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.persist = YLeaf(YType.empty, "persist")
                                self._segment_path = lambda: "ifindex"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Snmp.Ifindex, ['persist'], name, value)


                    class BridgeDomain(Entity):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:  :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.BridgeDomain, self).__init__()

                            self.yang_name = "bridge-domain"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"split-horizon" : ("split_horizon", Native.Interface.FortyGigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon)}
                            self._child_list_classes = {}

                            self.bridge_id = YLeaf(YType.uint16, "bridge-id")

                            self.from_encapsulation = YLeaf(YType.empty, "from-encapsulation")

                            self.split_horizon = Native.Interface.FortyGigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self
                            self._children_name_map["split_horizon"] = "split-horizon"
                            self._children_yang_names.add("split-horizon")
                            self._segment_path = lambda: "bridge-domain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.BridgeDomain, ['bridge_id', 'from_encapsulation'], name, value)


                        class SplitHorizon(Entity):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\: int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon, self).__init__()

                                self.yang_name = "split-horizon"
                                self.yang_parent_name = "bridge-domain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group = YLeaf(YType.uint8, "group")
                                self._segment_path = lambda: "split-horizon"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.BridgeDomain.SplitHorizon, ['group'], name, value)


                    class Mac(Entity):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.Mac, self).__init__()

                            self.yang_name = "mac"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"security" : ("security", Native.Interface.FortyGigabitEthernet.Service.Instance.Mac.Security)}
                            self._child_list_classes = {}

                            self.security = None
                            self._children_name_map["security"] = "security"
                            self._children_yang_names.add("security")
                            self._segment_path = lambda: "mac"


                        class Security(Entity):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Mac.Security.Violation>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Mac.Security, self).__init__()

                                self.yang_name = "security"
                                self.yang_parent_name = "mac"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"maximum" : ("maximum", Native.Interface.FortyGigabitEthernet.Service.Instance.Mac.Security.Maximum)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.violation = YLeaf(YType.enumeration, "violation")

                                self.maximum = Native.Interface.FortyGigabitEthernet.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self._children_name_map["maximum"] = "maximum"
                                self._children_yang_names.add("maximum")
                                self._segment_path = lambda: "security"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Mac.Security, ['violation'], name, value)

                            class Violation(Enum):
                                """
                                Violation

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = Enum.YLeaf(0, "protect")

                                restrict = Enum.YLeaf(1, "restrict")



                            class Maximum(Entity):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\: int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Service.Instance.Mac.Security.Maximum, self).__init__()

                                    self.yang_name = "maximum"
                                    self.yang_parent_name = "security"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.addresses = YLeaf(YType.uint16, "addresses")
                                    self._segment_path = lambda: "maximum"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Mac.Security.Maximum, ['addresses'], name, value)


                    class ServicePolicy(Entity):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of  		 :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of  		 :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.ServicePolicy, self).__init__()

                            self.yang_name = "service-policy"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"input" : ("input", Native.Interface.FortyGigabitEthernet.Service.Instance.ServicePolicy.Input), "output" : ("output", Native.Interface.FortyGigabitEthernet.Service.Instance.ServicePolicy.Output)}

                            self.input = YList(self)
                            self.output = YList(self)
                            self._segment_path = lambda: "service-policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.ServicePolicy, [], name, value)


                        class Input(Entity):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.ServicePolicy.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.ServicePolicy.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.ServicePolicy.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.ServicePolicy.Output, ['name'], name, value)


                    class Cfm(Entity):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:  :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:  :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm, self).__init__()

                            self.yang_name = "cfm"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation), "mep" : ("mep", Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Mep), "mip" : ("mip", Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Mip)}
                            self._child_list_classes = {}

                            self.encapsulation = Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.mep = Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self._children_name_map["mep"] = "mep"
                            self._children_yang_names.add("mep")

                            self.mip = Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Mip()
                            self.mip.parent = self
                            self._children_name_map["mip"] = "mip"
                            self._children_yang_names.add("mip")
                            self._segment_path = lambda: "cfm"


                        class Encapsulation(Entity):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q)}
                                self._child_list_classes = {}

                                self.dot1ad = Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self._children_name_map["dot1ad"] = "dot1ad"
                                self._children_yang_names.add("dot1ad")

                                self.dot1q = Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self
                                self._children_name_map["dot1q"] = "dot1q"
                                self._children_yang_names.add("dot1q")
                                self._segment_path = lambda: "encapsulation"


                            class Dot1Ad(Entity):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad, self).__init__()

                                    self.yang_name = "dot1ad"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.dot1q = YLeaf(YType.uint16, "dot1q")
                                    self._segment_path = lambda: "dot1ad"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Ad, ['vlan_id', 'cos', 'dot1q'], name, value)


                            class Dot1Q(Entity):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q, self).__init__()

                                    self.yang_name = "dot1q"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")
                                    self._segment_path = lambda: "dot1q"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Encapsulation.Dot1Q, ['vlan_id', 'cos', 'second_dot1q'], name, value)


                        class Mep(Entity):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\: str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\: int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Mep, self).__init__()

                                self.yang_name = "mep"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.domain = YLeaf(YType.str, "domain")

                                self.mpid = YLeaf(YType.uint16, "mpid")
                                self._segment_path = lambda: "mep"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Mep, ['domain', 'mpid'], name, value)


                        class Mip(Entity):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Mip, self).__init__()

                                self.yang_name = "mip"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level = YLeaf(YType.uint8, "level")
                                self._segment_path = lambda: "mip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.Cfm.Mip, ['level'], name, value)


                    class L2Protocol(Entity):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:  :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol, self).__init__()

                            self.yang_name = "l2protocol"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Peer), "forward" : ("forward", Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Forward), "tunnel" : ("tunnel", Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Tunnel)}
                            self._child_list_classes = {}

                            self.peer = None
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.forward = None
                            self._children_name_map["forward"] = "forward"
                            self._children_yang_names.add("forward")

                            self.tunnel = None
                            self._children_name_map["tunnel"] = "tunnel"
                            self._children_yang_names.add("tunnel")
                            self._segment_path = lambda: "l2protocol"


                        class Peer(Entity):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Peer.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Peer, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Forward(Entity):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Forward.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Forward, self).__init__()

                                self.yang_name = "forward"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "forward"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Forward, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Tunnel(Entity):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Tunnel.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Tunnel, self).__init__()

                                self.yang_name = "tunnel"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "tunnel"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Service.Instance.L2Protocol.Tunnel, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



            class Cts(Entity):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:  :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cts.Manual>`
                
                	**presence node**\: True
                
                .. attribute:: role_based
                
                	Role\-based Access Control per\-port config commands
                	**type**\:  :py:class:`RoleBased <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cts.RoleBased>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Cts, self).__init__()

                    self.yang_name = "cts"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"manual" : ("manual", Native.Interface.FortyGigabitEthernet.Cts.Manual), "role-based" : ("role_based", Native.Interface.FortyGigabitEthernet.Cts.RoleBased)}
                    self._child_list_classes = {}

                    self.manual = None
                    self._children_name_map["manual"] = "manual"
                    self._children_yang_names.add("manual")

                    self.role_based = Native.Interface.FortyGigabitEthernet.Cts.RoleBased()
                    self.role_based.parent = self
                    self._children_name_map["role_based"] = "role-based"
                    self._children_yang_names.add("role-based")
                    self._segment_path = lambda: "Cisco-IOS-XE-cts:cts"


                class Manual(Entity):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cts.Manual.Policy>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:  :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:  :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cts.Manual.Propagate>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Cts.Manual, self).__init__()

                        self.yang_name = "manual"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"policy" : ("policy", Native.Interface.FortyGigabitEthernet.Cts.Manual.Policy), "sap" : ("sap", Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap), "propagate" : ("propagate", Native.Interface.FortyGigabitEthernet.Cts.Manual.Propagate)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.policy = Native.Interface.FortyGigabitEthernet.Cts.Manual.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.sap = Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap()
                        self.sap.parent = self
                        self._children_name_map["sap"] = "sap"
                        self._children_yang_names.add("sap")

                        self.propagate = Native.Interface.FortyGigabitEthernet.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self._children_name_map["propagate"] = "propagate"
                        self._children_yang_names.add("propagate")
                        self._segment_path = lambda: "manual"


                    class Policy(Entity):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Cts.Manual.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"static" : ("static", Native.Interface.FortyGigabitEthernet.Cts.Manual.Policy.Static)}
                            self._child_list_classes = {}

                            self.static = Native.Interface.FortyGigabitEthernet.Cts.Manual.Policy.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")
                            self._segment_path = lambda: "policy"


                        class Static(Entity):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted  incoming traffic
                            	**type**\: int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for  sending
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Cts.Manual.Policy.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sgt = YLeaf(YType.uint16, "sgt")

                                self.trusted = YLeaf(YType.empty, "trusted")
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Cts.Manual.Policy.Static, ['sgt', 'trusted'], name, value)


                    class Sap(Entity):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of  		 :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap, self).__init__()

                            self.yang_name = "sap"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"pmk" : ("pmk", Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk)}

                            self.pmk = YList(self)
                            self._segment_path = lambda: "sap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap, [], name, value)


                        class Pmk(Entity):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:  :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk, self).__init__()

                                self.yang_name = "pmk"
                                self.yang_parent_name = "sap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode-list" : ("mode_list", Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList)}
                                self._child_list_classes = {}

                                self.word = YLeaf(YType.str, "word")

                                self.mode_list = Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self
                                self._children_name_map["mode_list"] = "mode-list"
                                self._children_yang_names.add("mode-list")
                                self._segment_path = lambda: "pmk" + "[word='" + self.word.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk, ['word'], name, value)


                            class ModeList(Entity):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:  :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:  :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-06-29'

                                def __init__(self):
                                    super(Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList, self).__init__()

                                    self.yang_name = "mode-list"
                                    self.yang_parent_name = "pmk"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"gcm-encrypt" : ("gcm_encrypt", Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt), "no-encap" : ("no_encap", Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap)}
                                    self._child_list_classes = {}

                                    self.gcm_encrypt = None
                                    self._children_name_map["gcm_encrypt"] = "gcm-encrypt"
                                    self._children_yang_names.add("gcm-encrypt")

                                    self.no_encap = None
                                    self._children_name_map["no_encap"] = "no-encap"
                                    self._children_yang_names.add("no-encap")
                                    self._segment_path = lambda: "mode-list"


                                class GcmEncrypt(Entity):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt, self).__init__()

                                        self.yang_name = "gcm-encrypt"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "gcm-encrypt"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,  no encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "gcm-encrypt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.null = YLeaf(YType.empty, "null")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, ['null'], name, value)


                                class NoEncap(Entity):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap, self).__init__()

                                        self.yang_name = "no-encap"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "no-encap"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "no-encap"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.gcm_encrypt = YLeaf(YType.empty, "gcm-encrypt")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, ['gcm_encrypt'], name, value)


                    class Propagate(Entity):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Cts.Manual.Propagate, self).__init__()

                            self.yang_name = "propagate"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sgt = YLeaf(YType.boolean, "sgt")
                            self._segment_path = lambda: "propagate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Cts.Manual.Propagate, ['sgt'], name, value)


                class RoleBased(Entity):
                    """
                    Role\-based Access Control per\-port config commands
                    
                    .. attribute:: enforcement
                    
                    	Enable Role\-based Access Control enforcement
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Cts.RoleBased, self).__init__()

                        self.yang_name = "role-based"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enforcement = YLeaf(YType.empty, "enforcement")
                        self._segment_path = lambda: "role-based"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Cts.RoleBased, ['enforcement'], name, value)


            class Lldp(Entity):
                """
                LLDP interface subcommands
                
                .. attribute:: receive
                
                	Enable LLDP reception on interface
                	**type**\: bool
                
                .. attribute:: transmit
                
                	Enable LLDP transmission on interface
                	**type**\: bool
                
                

                """

                _prefix = 'ios-lldp'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Lldp, self).__init__()

                    self.yang_name = "lldp"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.boolean, "receive")

                    self.transmit = YLeaf(YType.boolean, "transmit")
                    self._segment_path = lambda: "Cisco-IOS-XE-lldp:lldp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Lldp, ['receive', 'transmit'], name, value)


            class Auto(Entity):
                """
                Configure Automation
                
                .. attribute:: qos
                
                	Configure AutoQoS
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Auto.Qos>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Auto, self).__init__()

                    self.yang_name = "auto"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"qos" : ("qos", Native.Interface.FortyGigabitEthernet.Auto.Qos)}
                    self._child_list_classes = {}

                    self.qos = Native.Interface.FortyGigabitEthernet.Auto.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:auto"


                class Qos(Entity):
                    """
                    Configure AutoQoS
                    
                    .. attribute:: classify
                    
                    	Configure classification for untrusted devices
                    	**type**\:  :py:class:`Classify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Auto.Qos.Classify>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trust
                    
                    	Trust the DSCP/CoS marking
                    	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Auto.Qos.Trust>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: video
                    
                    	Configure AutoQoS for video devices
                    	**type**\:  :py:class:`Video <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Auto.Qos.Video>`
                    
                    .. attribute:: voip
                    
                    	Configure AutoQoS for VoIP
                    	**type**\:  :py:class:`Voip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Auto.Qos.Voip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Auto.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "auto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"classify" : ("classify", Native.Interface.FortyGigabitEthernet.Auto.Qos.Classify), "trust" : ("trust", Native.Interface.FortyGigabitEthernet.Auto.Qos.Trust), "video" : ("video", Native.Interface.FortyGigabitEthernet.Auto.Qos.Video), "voip" : ("voip", Native.Interface.FortyGigabitEthernet.Auto.Qos.Voip)}
                        self._child_list_classes = {}

                        self.classify = None
                        self._children_name_map["classify"] = "classify"
                        self._children_yang_names.add("classify")

                        self.trust = None
                        self._children_name_map["trust"] = "trust"
                        self._children_yang_names.add("trust")

                        self.video = Native.Interface.FortyGigabitEthernet.Auto.Qos.Video()
                        self.video.parent = self
                        self._children_name_map["video"] = "video"
                        self._children_yang_names.add("video")

                        self.voip = None
                        self._children_name_map["voip"] = "voip"
                        self._children_yang_names.add("voip")
                        self._segment_path = lambda: "qos"


                    class Classify(Entity):
                        """
                        Configure classification for untrusted devices
                        
                        .. attribute:: police
                        
                        	Configure QoS policing for untrusted devices
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Auto.Qos.Classify, self).__init__()

                            self.yang_name = "classify"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.police = YLeaf(YType.empty, "police")
                            self._segment_path = lambda: "classify"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Auto.Qos.Classify, ['police'], name, value)


                    class Trust(Entity):
                        """
                        Trust the DSCP/CoS marking
                        
                        .. attribute:: cos
                        
                        	Trust the CoS marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	Trust the DSCP marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Auto.Qos.Trust, self).__init__()

                            self.yang_name = "trust"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cos = YLeaf(YType.empty, "cos")

                            self.dscp = YLeaf(YType.empty, "dscp")
                            self._segment_path = lambda: "trust"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Auto.Qos.Trust, ['cos', 'dscp'], name, value)


                    class Video(Entity):
                        """
                        Configure AutoQoS for video devices
                        
                        .. attribute:: cts
                        
                        	Trust the QoS marking of the Cisco Telepresence System
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip_camera
                        
                        	Trust the QoS marking of the Ip Video Surveillance camera
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: media_player
                        
                        	Trust the Qos marking of the Cisco Media Player
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Auto.Qos.Video, self).__init__()

                            self.yang_name = "video"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.cts = YLeaf(YType.empty, "cts")

                            self.ip_camera = YLeaf(YType.empty, "ip-camera")

                            self.media_player = YLeaf(YType.empty, "media-player")
                            self._segment_path = lambda: "video"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Auto.Qos.Video, ['cts', 'ip_camera', 'media_player'], name, value)


                    class Voip(Entity):
                        """
                        Configure AutoQoS for VoIP
                        
                        .. attribute:: cisco_phone
                        
                        	Trust the QoS marking of Cisco IP Phone
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cisco_softphone
                        
                        	Trust the QoS marking of Cisco IP SoftPhone
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trust
                        
                        	Trust the DSCP/CoS marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Auto.Qos.Voip, self).__init__()

                            self.yang_name = "voip"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cisco_phone = YLeaf(YType.empty, "cisco-phone")

                            self.cisco_softphone = YLeaf(YType.empty, "cisco-softphone")

                            self.trust = YLeaf(YType.empty, "trust")
                            self._segment_path = lambda: "voip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Auto.Qos.Voip, ['cisco_phone', 'cisco_softphone', 'trust'], name, value)


            class Datalink(Entity):
                """
                Interface Datalink commands
                
                .. attribute:: flow
                
                	Interface Flow configuration subcommands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Datalink.Flow>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Datalink, self).__init__()

                    self.yang_name = "datalink"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"flow" : ("flow", Native.Interface.FortyGigabitEthernet.Datalink.Flow)}
                    self._child_list_classes = {}

                    self.flow = Native.Interface.FortyGigabitEthernet.Datalink.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:datalink"


                class Flow(Entity):
                    """
                    Interface Flow configuration subcommands
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Datalink.Flow.Monitor>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Datalink.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "datalink"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"monitor" : ("monitor", Native.Interface.FortyGigabitEthernet.Datalink.Flow.Monitor)}
                        self._child_list_classes = {}

                        self.monitor = None
                        self._children_name_map["monitor"] = "monitor"
                        self._children_yang_names.add("monitor")
                        self._segment_path = lambda: "flow"


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: user_defined_flow
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: input_output
                        
                        	Apply Flow Monitor on input/output traffic
                        	**type**\:  :py:class:`InputOutput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Datalink.Flow.Monitor.InputOutput>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Datalink.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.user_defined_flow = YLeaf(YType.str, "User-defined-flow")

                            self.input_output = YLeaf(YType.enumeration, "input-output")
                            self._segment_path = lambda: "monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Datalink.Flow.Monitor, ['user_defined_flow', 'input_output'], name, value)

                        class InputOutput(Enum):
                            """
                            InputOutput

                            Apply Flow Monitor on input/output traffic

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



            class Energywise(Entity):
                """
                EnergyWise interface configurations
                
                .. attribute:: activitycheck
                
                	Apply an activity check before turning off power    to this PoE port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Energywise, self).__init__()

                    self.yang_name = "energywise"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.activitycheck = YLeaf(YType.empty, "activitycheck")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:energywise"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Energywise, ['activitycheck'], name, value)


            class Location(Entity):
                """
                Interface location information
                
                .. attribute:: civic_location_id
                
                	Civic location information
                	**type**\:  :py:class:`CivicLocationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Location.CivicLocationId>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Location, self).__init__()

                    self.yang_name = "location"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"civic-location-id" : ("civic_location_id", Native.Interface.FortyGigabitEthernet.Location.CivicLocationId)}
                    self._child_list_classes = {}

                    self.civic_location_id = Native.Interface.FortyGigabitEthernet.Location.CivicLocationId()
                    self.civic_location_id.parent = self
                    self._children_name_map["civic_location_id"] = "civic-location-id"
                    self._children_yang_names.add("civic-location-id")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:location"


                class CivicLocationId(Entity):
                    """
                    Civic location information
                    
                    .. attribute:: location_identifier
                    
                    	civic location identifier string
                    	**type**\: str
                    
                    .. attribute:: host
                    
                    	Globally defined host location identifer
                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Location.CivicLocationId.Host>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: none
                    
                    	No globally defined location identifer
                    	**type**\:  :py:class:`None_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Location.CivicLocationId.None_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Location.CivicLocationId, self).__init__()

                        self.yang_name = "civic-location-id"
                        self.yang_parent_name = "location"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"host" : ("host", Native.Interface.FortyGigabitEthernet.Location.CivicLocationId.Host), "none" : ("none", Native.Interface.FortyGigabitEthernet.Location.CivicLocationId.None_)}
                        self._child_list_classes = {}

                        self.location_identifier = YLeaf(YType.str, "location-identifier")

                        self.host = None
                        self._children_name_map["host"] = "host"
                        self._children_yang_names.add("host")

                        self.none = None
                        self._children_name_map["none"] = "none"
                        self._children_yang_names.add("none")
                        self._segment_path = lambda: "civic-location-id"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Location.CivicLocationId, ['location_identifier'], name, value)


                    class Host(Entity):
                        """
                        Globally defined host location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Location.CivicLocationId.Host, self).__init__()

                            self.yang_name = "host"
                            self.yang_parent_name = "civic-location-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.port_location = YLeaf(YType.str, "port-location")
                            self._segment_path = lambda: "host"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Location.CivicLocationId.Host, ['port_location'], name, value)


                    class None_(Entity):
                        """
                        No globally defined location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Location.CivicLocationId.None_, self).__init__()

                            self.yang_name = "none"
                            self.yang_parent_name = "civic-location-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.port_location = YLeaf(YType.str, "port-location")
                            self._segment_path = lambda: "none"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Location.CivicLocationId.None_, ['port_location'], name, value)


            class Mac(Entity):
                """
                MAC interface commands
                
                .. attribute:: access_group
                
                	MAC access\-group configuration commands
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Mac.AccessGroup>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Mac, self).__init__()

                    self.yang_name = "mac"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.FortyGigabitEthernet.Mac.AccessGroup)}
                    self._child_list_classes = {}

                    self.access_group = Native.Interface.FortyGigabitEthernet.Mac.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:mac"


                class AccessGroup(Entity):
                    """
                    MAC access\-group configuration commands
                    
                    .. attribute:: acl_name
                    
                    	ACL name
                    	**type**\:  :py:class:`ACLName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Mac.AccessGroup.ACLName>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Mac.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "mac"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ACL-name" : ("acl_name", Native.Interface.FortyGigabitEthernet.Mac.AccessGroup.ACLName)}
                        self._child_list_classes = {}

                        self.acl_name = Native.Interface.FortyGigabitEthernet.Mac.AccessGroup.ACLName()
                        self.acl_name.parent = self
                        self._children_name_map["acl_name"] = "ACL-name"
                        self._children_yang_names.add("ACL-name")
                        self._segment_path = lambda: "access-group"


                    class ACLName(Entity):
                        """
                        ACL name
                        
                        .. attribute:: acl_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: apply_to
                        
                        	
                        	**type**\:  :py:class:`ApplyTo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Mac.AccessGroup.ACLName.ApplyTo>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.Mac.AccessGroup.ACLName, self).__init__()

                            self.yang_name = "ACL-name"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.acl_name = YLeaf(YType.str, "acl-name")

                            self.apply_to = YLeaf(YType.enumeration, "apply-to")
                            self._segment_path = lambda: "ACL-name"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.Mac.AccessGroup.ACLName, ['acl_name', 'apply_to'], name, value)

                        class ApplyTo(Enum):
                            """
                            ApplyTo

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = Enum.YLeaf(0, "in")

                            out = Enum.YLeaf(1, "out")



            class Macro(Entity):
                """
                Command macro
                
                .. attribute:: description
                
                	Macro description for this interface
                	**type**\: str
                
                .. attribute:: auto
                
                	Smartport interface macro configurations
                	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Macro.Auto>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Macro, self).__init__()

                    self.yang_name = "macro"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"auto" : ("auto", Native.Interface.FortyGigabitEthernet.Macro.Auto)}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.str, "description")

                    self.auto = Native.Interface.FortyGigabitEthernet.Macro.Auto()
                    self.auto.parent = self
                    self._children_name_map["auto"] = "auto"
                    self._children_yang_names.add("auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:macro"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Macro, ['description'], name, value)


                class Auto(Entity):
                    """
                    Smartport interface macro configurations
                    
                    .. attribute:: processing
                    
                    	Enable smartport macro auto execution on this interface
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Macro.Auto, self).__init__()

                        self.yang_name = "auto"
                        self.yang_parent_name = "macro"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.processing = YLeaf(YType.boolean, "processing")
                        self._segment_path = lambda: "auto"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Macro.Auto, ['processing'], name, value)


            class DualActive(Entity):
                """
                
                
                .. attribute:: fast_hello
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.DualActive, self).__init__()

                    self.yang_name = "dual-active"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fast_hello = YLeaf(YType.empty, "fast-hello")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:dual-active"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.DualActive, ['fast_hello'], name, value)


            class LoadBalancing(Entity):
                """
                Etherchannel Load\-Balancing
                
                .. attribute:: flow
                
                	Based on the traffic flows identified by the packet headers
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Based on the VLAN to member links manual configuration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.LoadBalancing, self).__init__()

                    self.yang_name = "load-balancing"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.flow = YLeaf(YType.empty, "flow")

                    self.vlan = YLeaf(YType.empty, "vlan")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:load-balancing"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.LoadBalancing, ['flow', 'vlan'], name, value)


            class VlanRange(Entity):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4096
                
                		**type**\: str
                
                .. attribute:: service_policy
                
                	Configure QoS Service Policy
                	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.VlanRange.ServicePolicy>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.VlanRange, self).__init__()

                    self.yang_name = "vlan-range"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"service-policy" : ("service_policy", Native.Interface.FortyGigabitEthernet.VlanRange.ServicePolicy)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.service_policy = Native.Interface.FortyGigabitEthernet.VlanRange.ServicePolicy()
                    self.service_policy.parent = self
                    self._children_name_map["service_policy"] = "service-policy"
                    self._children_yang_names.add("service-policy")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:vlan-range" + "[id='" + self.id.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.VlanRange, ['id'], name, value)


                class ServicePolicy(Entity):
                    """
                    Configure QoS Service Policy
                    
                    .. attribute:: input
                    
                    	Assign policy\-map to the input of an interface
                    	**type**\: str
                    
                    .. attribute:: output
                    
                    	Assign policy\-map to the output of an interface
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.VlanRange.ServicePolicy, self).__init__()

                        self.yang_name = "service-policy"
                        self.yang_parent_name = "vlan-range"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.input = YLeaf(YType.str, "input")

                        self.output = YLeaf(YType.str, "output")
                        self._segment_path = lambda: "service-policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.VlanRange.ServicePolicy, ['input', 'output'], name, value)


            class Switch(Entity):
                """
                
                
                .. attribute:: virtual
                
                	
                	**type**\:  :py:class:`Virtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.Switch.Virtual>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Switch, self).__init__()

                    self.yang_name = "switch"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"virtual" : ("virtual", Native.Interface.FortyGigabitEthernet.Switch.Virtual)}
                    self._child_list_classes = {}

                    self.virtual = Native.Interface.FortyGigabitEthernet.Switch.Virtual()
                    self.virtual.parent = self
                    self._children_name_map["virtual"] = "virtual"
                    self._children_yang_names.add("virtual")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:switch"


                class Virtual(Entity):
                    """
                    
                    
                    .. attribute:: link
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.Switch.Virtual, self).__init__()

                        self.yang_name = "virtual"
                        self.yang_parent_name = "switch"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.link = YLeaf(YType.uint8, "link")
                        self._segment_path = lambda: "virtual"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.FortyGigabitEthernet.Switch.Virtual, ['link'], name, value)


            class SrrQueue(Entity):
                """
                
                
                .. attribute:: bandwidth
                
                	
                	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.SrrQueue, self).__init__()

                    self.yang_name = "srr-queue"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth)}
                    self._child_list_classes = {}

                    self.bandwidth = Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth()
                    self.bandwidth.parent = self
                    self._children_name_map["bandwidth"] = "bandwidth"
                    self._children_yang_names.add("bandwidth")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:srr-queue"


                class Bandwidth(Entity):
                    """
                    
                    
                    .. attribute:: shape
                    
                    	
                    	**type**\:  :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth.Shape>`
                    
                    .. attribute:: share
                    
                    	
                    	**type**\:  :py:class:`Share <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth.Share>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth, self).__init__()

                        self.yang_name = "bandwidth"
                        self.yang_parent_name = "srr-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"shape" : ("shape", Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth.Shape), "share" : ("share", Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth.Share)}
                        self._child_list_classes = {}

                        self.shape = Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth.Shape()
                        self.shape.parent = self
                        self._children_name_map["shape"] = "shape"
                        self._children_yang_names.add("shape")

                        self.share = Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth.Share()
                        self.share.parent = self
                        self._children_name_map["share"] = "share"
                        self._children_yang_names.add("share")
                        self._segment_path = lambda: "bandwidth"


                    class Shape(Entity):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth.Shape, self).__init__()

                            self.yang_name = "shape"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.weight1 = YLeaf(YType.uint16, "weight1")

                            self.weight2 = YLeaf(YType.uint16, "weight2")

                            self.weight3 = YLeaf(YType.uint16, "weight3")

                            self.weight4 = YLeaf(YType.uint16, "weight4")
                            self._segment_path = lambda: "shape"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth.Shape, ['weight1', 'weight2', 'weight3', 'weight4'], name, value)


                    class Share(Entity):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth.Share, self).__init__()

                            self.yang_name = "share"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.weight1 = YLeaf(YType.uint8, "weight1")

                            self.weight2 = YLeaf(YType.uint8, "weight2")

                            self.weight3 = YLeaf(YType.uint8, "weight3")

                            self.weight4 = YLeaf(YType.uint8, "weight4")
                            self._segment_path = lambda: "share"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.FortyGigabitEthernet.SrrQueue.Bandwidth.Share, ['weight1', 'weight2', 'weight3', 'weight4'], name, value)


            class Macsec(Entity):
                """
                Enable macsec on the interface
                
                .. attribute:: network_link
                
                	Enable macsec on switch connected interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.FortyGigabitEthernet.Macsec, self).__init__()

                    self.yang_name = "macsec"
                    self.yang_parent_name = "FortyGigabitEthernet"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.network_link = YLeaf(YType.empty, "network-link")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:macsec"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.FortyGigabitEthernet.Macsec, ['network_link'], name, value)


        class Loopback(Entity):
            """
            Loopback interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.PmPath>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Snmp>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts>`
            
            .. attribute:: performance
            
            	Global performance monitor configuration
            	**type**\:  :py:class:`Performance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Performance>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy>`
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Lisp>`
            
            .. attribute:: nat66
            
            	NAT66 interface commands
            	**type**\:  :py:class:`Nat66 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Nat66>`
            
            .. attribute:: ospfv3
            
            	OSPFv3 interface commands
            	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3>`
            
            .. attribute:: udld
            
            	Configure UDLD enabled or disabled and ignore global UDLD setting
            	**type**\:  :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Udld>`
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:  :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.Loopback, self).__init__()

                self.yang_name = "Loopback"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.Loopback.SwitchportConf), "switchport" : ("switchport", Native.Interface.Loopback.Switchport), "arp" : ("arp", Native.Interface.Loopback.Arp), "backup" : ("backup", Native.Interface.Loopback.Backup), "cemoudp" : ("cemoudp", Native.Interface.Loopback.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.Loopback.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.Loopback.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.Loopback.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.Loopback.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.Loopback.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.Loopback.Flowcontrol), "isis" : ("isis", Native.Interface.Loopback.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.Loopback.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.Loopback.Bfd), "bandwidth" : ("bandwidth", Native.Interface.Loopback.Bandwidth), "dampening" : ("dampening", Native.Interface.Loopback.Dampening), "domain" : ("domain", Native.Interface.Loopback.Domain), "mpls" : ("mpls", Native.Interface.Loopback.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.Loopback.IpVrf), "vrf" : ("vrf", Native.Interface.Loopback.Vrf), "ip" : ("ip", Native.Interface.Loopback.Ip), "ipv6" : ("ipv6", Native.Interface.Loopback.Ipv6), "logging" : ("logging", Native.Interface.Loopback.Logging), "mdix" : ("mdix", Native.Interface.Loopback.Mdix), "mop" : ("mop", Native.Interface.Loopback.Mop), "interface_qos" : ("interface_qos", Native.Interface.Loopback.InterfaceQos), "standby" : ("standby", Native.Interface.Loopback.Standby), "access-session" : ("access_session", Native.Interface.Loopback.AccessSession), "storm-control" : ("storm_control", Native.Interface.Loopback.StormControl), "trust" : ("trust", Native.Interface.Loopback.Trust), "priority-queue" : ("priority_queue", Native.Interface.Loopback.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.Loopback.RcvQueue), "peer" : ("peer", Native.Interface.Loopback.Peer), "pm-path" : ("pm_path", Native.Interface.Loopback.PmPath), "Cisco-IOS-XE-snmp:snmp" : ("snmp", Native.Interface.Loopback.Snmp), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.Loopback.Crypto), "Cisco-IOS-XE-cts:cts" : ("cts", Native.Interface.Loopback.Cts), "Cisco-IOS-XE-ezpm:performance" : ("performance", Native.Interface.Loopback.Performance), "Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.Interface.Loopback.ServicePolicy), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Interface.Loopback.Lisp), "Cisco-IOS-XE-ospfv3:ospfv3" : ("ospfv3", Native.Interface.Loopback.Ospfv3), "Cisco-IOS-XE-udld:udld" : ("udld", Native.Interface.Loopback.Udld), "Cisco-IOS-XE-zone:zone-member" : ("zone_member", Native.Interface.Loopback.ZoneMember)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.Loopback.HoldQueue)}

                self.name = YLeaf(YType.uint32, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.nat66 = YLeaf(YType.enumeration, "Cisco-IOS-XE-nat:nat66")

                self.switchport_conf = Native.Interface.Loopback.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.Loopback.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.Loopback.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.Loopback.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.Loopback.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.Loopback.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.Loopback.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.Loopback.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.Loopback.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.Loopback.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.Loopback.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.Loopback.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.Loopback.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.Loopback.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.Loopback.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.Loopback.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.Loopback.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.Loopback.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.Loopback.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.Loopback.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.Loopback.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.Loopback.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.Loopback.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.Loopback.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.Loopback.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.Loopback.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.Loopback.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.Loopback.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.Loopback.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.Loopback.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.Loopback.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.Loopback.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.Loopback.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.snmp = Native.Interface.Loopback.Snmp()
                self.snmp.parent = self
                self._children_name_map["snmp"] = "snmp"
                self._children_yang_names.add("snmp")

                self.crypto = Native.Interface.Loopback.Crypto()
                self.crypto.parent = self
                self._children_name_map["crypto"] = "crypto"
                self._children_yang_names.add("crypto")

                self.cts = Native.Interface.Loopback.Cts()
                self.cts.parent = self
                self._children_name_map["cts"] = "cts"
                self._children_yang_names.add("cts")

                self.performance = Native.Interface.Loopback.Performance()
                self.performance.parent = self
                self._children_name_map["performance"] = "performance"
                self._children_yang_names.add("performance")

                self.service_policy = Native.Interface.Loopback.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.lisp = Native.Interface.Loopback.Lisp()
                self.lisp.parent = self
                self._children_name_map["lisp"] = "lisp"
                self._children_yang_names.add("lisp")

                self.ospfv3 = Native.Interface.Loopback.Ospfv3()
                self.ospfv3.parent = self
                self._children_name_map["ospfv3"] = "ospfv3"
                self._children_yang_names.add("ospfv3")

                self.udld = Native.Interface.Loopback.Udld()
                self.udld.parent = self
                self._children_name_map["udld"] = "udld"
                self._children_yang_names.add("udld")

                self.zone_member = Native.Interface.Loopback.ZoneMember()
                self.zone_member.parent = self
                self._children_name_map["zone_member"] = "zone-member"
                self._children_yang_names.add("zone-member")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "Loopback" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.Loopback, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion', 'nat66'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class Nat66(Enum):
                """
                Nat66

                NAT66 interface commands

                .. data:: inside = 0

                .. data:: outside = 1

                """

                inside = Enum.YLeaf(0, "inside")

                outside = Enum.YLeaf(1, "outside")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Loopback.Backup.Delay), "interface" : ("interface", Native.Interface.Loopback.Backup.Interface), "load" : ("load", Native.Interface.Loopback.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.Loopback.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.Loopback.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.Loopback.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Loopback.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Loopback.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Loopback.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Loopback.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.Loopback.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.Loopback.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.Loopback.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.Loopback.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.Loopback.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.Loopback.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.Loopback.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.Loopback.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.Loopback.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.Loopback.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.Loopback.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.Loopback.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.Loopback.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.Loopback.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.Loopback.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.Loopback.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.Loopback.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.Loopback.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.Loopback.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:  :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:  :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:  :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:  :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4294967295
                
                		**type**\:  :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroup>`
                
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Network>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Protocol>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:  :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-isis:adjacency-filter" : ("adjacency_filter", Native.Interface.Loopback.Isis.AdjacencyFilter), "Cisco-IOS-XE-isis:advertise" : ("advertise", Native.Interface.Loopback.Isis.Advertise), "Cisco-IOS-XE-isis:authentication" : ("authentication", Native.Interface.Loopback.Isis.Authentication), "Cisco-IOS-XE-isis:circuit-type" : ("circuit_type", Native.Interface.Loopback.Isis.CircuitType), "Cisco-IOS-XE-isis:csnp-interval" : ("csnp_interval", Native.Interface.Loopback.Isis.CsnpInterval), "Cisco-IOS-XE-isis:hello" : ("hello", Native.Interface.Loopback.Isis.Hello), "Cisco-IOS-XE-isis:hello-interval" : ("hello_interval", Native.Interface.Loopback.Isis.HelloInterval), "Cisco-IOS-XE-isis:hello-multiplier" : ("hello_multiplier", Native.Interface.Loopback.Isis.HelloMultiplier), "Cisco-IOS-XE-isis:ipv6" : ("ipv6", Native.Interface.Loopback.Isis.Ipv6), "Cisco-IOS-XE-isis:metric" : ("metric", Native.Interface.Loopback.Isis.Metric), "Cisco-IOS-XE-isis:password" : ("password", Native.Interface.Loopback.Isis.Password), "Cisco-IOS-XE-isis:priority" : ("priority", Native.Interface.Loopback.Isis.Priority), "Cisco-IOS-XE-isis:three-way-handshake" : ("three_way_handshake", Native.Interface.Loopback.Isis.ThreeWayHandshake)}
                    self._child_list_classes = {}

                    self.lsp_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:lsp-interval")

                    self.mesh_group = YLeaf(YType.str, "Cisco-IOS-XE-isis:mesh-group")

                    self.network = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:network")

                    self.protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:protocol")

                    self.retransmit_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-interval")

                    self.retransmit_throttle_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-throttle-interval")

                    self.tag = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:tag")

                    self.adjacency_filter = Native.Interface.Loopback.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self._children_name_map["adjacency_filter"] = "adjacency-filter"
                    self._children_yang_names.add("adjacency-filter")

                    self.advertise = Native.Interface.Loopback.Isis.Advertise()
                    self.advertise.parent = self
                    self._children_name_map["advertise"] = "advertise"
                    self._children_yang_names.add("advertise")

                    self.authentication = Native.Interface.Loopback.Isis.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.circuit_type = None
                    self._children_name_map["circuit_type"] = "circuit-type"
                    self._children_yang_names.add("circuit-type")

                    self.csnp_interval = Native.Interface.Loopback.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self._children_name_map["csnp_interval"] = "csnp-interval"
                    self._children_yang_names.add("csnp-interval")

                    self.hello = Native.Interface.Loopback.Isis.Hello()
                    self.hello.parent = self
                    self._children_name_map["hello"] = "hello"
                    self._children_yang_names.add("hello")

                    self.hello_interval = Native.Interface.Loopback.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.hello_multiplier = Native.Interface.Loopback.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self._children_name_map["hello_multiplier"] = "hello-multiplier"
                    self._children_yang_names.add("hello-multiplier")

                    self.ipv6 = Native.Interface.Loopback.Isis.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.metric = Native.Interface.Loopback.Isis.Metric()
                    self.metric.parent = self
                    self._children_name_map["metric"] = "metric"
                    self._children_yang_names.add("metric")

                    self.password = Native.Interface.Loopback.Isis.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")

                    self.priority = Native.Interface.Loopback.Isis.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.three_way_handshake = None
                    self._children_name_map["three_way_handshake"] = "three-way-handshake"
                    self._children_yang_names.add("three-way-handshake")
                    self._segment_path = lambda: "isis"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Isis, ['lsp_interval', 'mesh_group', 'network', 'protocol', 'retransmit_interval', 'retransmit_throttle_interval', 'tag'], name, value)

                class MeshGroup(Enum):
                    """
                    MeshGroup

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = Enum.YLeaf(0, "blocked")


                class Network(Enum):
                    """
                    Network

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = Enum.YLeaf(0, "point-to-point")


                class Protocol(Enum):
                    """
                    Protocol

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = Enum.YLeaf(0, "shutdown")



                class AdjacencyFilter(Entity):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Isis.AdjacencyFilter, self).__init__()

                        self.yang_name = "adjacency-filter"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.match_all = YLeaf(YType.empty, "match-all")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:adjacency-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Isis.AdjacencyFilter, ['name', 'match_all'], name, value)


                class Advertise(Entity):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Isis.Advertise, self).__init__()

                        self.yang_name = "advertise"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.prefix = YLeaf(YType.empty, "prefix")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:advertise"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Isis.Advertise, ['prefix'], name, value)


                class Authentication(Entity):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication.Mode>`
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:  :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Isis.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mode" : ("mode", Native.Interface.Loopback.Isis.Authentication.Mode), "key-chain" : ("key_chain", Native.Interface.Loopback.Isis.Authentication.KeyChain), "send-only" : ("send_only", Native.Interface.Loopback.Isis.Authentication.SendOnly)}
                        self._child_list_classes = {}

                        self.mode = Native.Interface.Loopback.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")

                        self.key_chain = Native.Interface.Loopback.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.send_only = None
                        self._children_name_map["send_only"] = "send-only"
                        self._children_yang_names.add("send-only")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:authentication"


                    class Mode(Entity):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:  :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Isis.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Loopback.Isis.Authentication.Mode.Md5), "text" : ("text", Native.Interface.Loopback.Isis.Authentication.Mode.Text)}
                            self._child_list_classes = {}

                            self.md5 = None
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.text = None
                            self._children_name_map["text"] = "text"
                            self._children_yang_names.add("text")
                            self._segment_path = lambda: "mode"


                        class Md5(Entity):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Isis.Authentication.Mode.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Isis.Authentication.Mode.Md5, ['levels'], name, value)


                        class Text(Entity):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Isis.Authentication.Mode.Text, self).__init__()

                                self.yang_name = "text"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "text"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Isis.Authentication.Mode.Text, ['levels'], name, value)


                    class KeyChain(Entity):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of  		 :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Isis.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"key-chain-list" : ("key_chain_list", Native.Interface.Loopback.Isis.Authentication.KeyChain.KeyChainList)}

                            self.name = YLeaf(YType.str, "name")

                            self.key_chain_list = YList(self)
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Isis.Authentication.KeyChain, ['name'], name, value)


                        class KeyChainList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Isis.Authentication.KeyChain.KeyChainList, self).__init__()

                                self.yang_name = "key-chain-list"
                                self.yang_parent_name = "key-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Isis.Authentication.KeyChain.KeyChainList, ['levels', 'name'], name, value)


                    class SendOnly(Entity):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Isis.Authentication.SendOnly, self).__init__()

                            self.yang_name = "send-only"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")
                            self._segment_path = lambda: "send-only"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Isis.Authentication.SendOnly, ['levels'], name, value)


                class CircuitType(Entity):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.CircuitType.Levels>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Isis.CircuitType, self).__init__()

                        self.yang_name = "circuit-type"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.levels = YLeaf(YType.enumeration, "levels")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:circuit-type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Isis.CircuitType, ['levels'], name, value)

                    class Levels(Enum):
                        """
                        Levels

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = Enum.YLeaf(0, "level-1")

                        level_1_2 = Enum.YLeaf(1, "level-1-2")

                        level_2_only = Enum.YLeaf(2, "level-2-only")



                class CsnpInterval(Entity):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Isis.CsnpInterval, self).__init__()

                        self.yang_name = "csnp-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"csnp-interval-list" : ("csnp_interval_list", Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.csnp_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:csnp-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Isis.CsnpInterval, ['value'], name, value)


                    class CsnpIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList, self).__init__()

                            self.yang_name = "csnp-interval-list"
                            self.yang_parent_name = "csnp-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "csnp-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Isis.CsnpInterval.CsnpIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Hello(Entity):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Isis.Hello, self).__init__()

                        self.yang_name = "hello"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"padding" : ("padding", Native.Interface.Loopback.Isis.Hello.Padding)}
                        self._child_list_classes = {}

                        self.padding = None
                        self._children_name_map["padding"] = "padding"
                        self._children_yang_names.add("padding")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello"


                    class Padding(Entity):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Isis.Hello.Padding, self).__init__()

                            self.yang_name = "padding"
                            self.yang_parent_name = "hello"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.always = YLeaf(YType.empty, "always")
                            self._segment_path = lambda: "padding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Isis.Hello.Padding, ['always'], name, value)


                class HelloInterval(Entity):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..65535
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Isis.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-interval-list" : ("hello_interval_list", Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList)}

                        self.value = YLeaf(YType.str, "value")

                        self.hello_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Isis.HelloInterval, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: minimal = 0

                        """

                        minimal = Enum.YLeaf(0, "minimal")



                    class HelloIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..65535
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList, self).__init__()

                            self.yang_name = "hello-interval-list"
                            self.yang_parent_name = "hello-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "hello-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Isis.HelloInterval.HelloIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: minimal = 0

                            """

                            minimal = Enum.YLeaf(0, "minimal")



                class HelloMultiplier(Entity):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Isis.HelloMultiplier, self).__init__()

                        self.yang_name = "hello-multiplier"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-multiplier-list" : ("hello_multiplier_list", Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.hello_multiplier_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-multiplier"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Isis.HelloMultiplier, ['value'], name, value)


                    class HelloMultiplierList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList, self).__init__()

                            self.yang_name = "hello-multiplier-list"
                            self.yang_parent_name = "hello-multiplier"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "hello-multiplier-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Isis.HelloMultiplier.HelloMultiplierList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Ipv6(Entity):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Isis.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"metric" : ("metric", Native.Interface.Loopback.Isis.Ipv6.Metric)}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.uint32, "tag")

                        self.metric = Native.Interface.Loopback.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Isis.Ipv6, ['tag'], name, value)


                    class Metric(Entity):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Isis.Ipv6.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList)}

                            self.value = YLeaf(YType.str, "value")

                            self.metric_list = YList(self)
                            self._segment_path = lambda: "metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Isis.Ipv6.Metric, ['value'], name, value)

                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                        class MetricList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList.Levels>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..16777214
                            
                            		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList, self).__init__()

                                self.yang_name = "metric-list"
                                self.yang_parent_name = "metric"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.value = YLeaf(YType.str, "value")
                                self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Isis.Ipv6.Metric.MetricList, ['levels', 'value'], name, value)

                            class Levels(Enum):
                                """
                                Levels

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")


                            class Value(Enum):
                                """
                                Value

                                .. data:: maximum = 0

                                """

                                maximum = Enum.YLeaf(0, "maximum")



                class Metric(Entity):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..16777214
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Isis.Metric, self).__init__()

                        self.yang_name = "metric"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.Loopback.Isis.Metric.MetricList)}

                        self.value = YLeaf(YType.str, "value")

                        self.metric_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:metric"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Isis.Metric, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: maximum = 0

                        """

                        maximum = Enum.YLeaf(0, "maximum")



                    class MetricList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Metric.MetricList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Isis.Metric.MetricList, self).__init__()

                            self.yang_name = "metric-list"
                            self.yang_parent_name = "metric"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Isis.Metric.MetricList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                class Password(Entity):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Password.PasswordList>`
                    
                    .. attribute:: password
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Isis.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"password-list" : ("password_list", Native.Interface.Loopback.Isis.Password.PasswordList)}

                        self.password = YLeaf(YType.str, "password")

                        self.password_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Isis.Password, ['password'], name, value)


                    class PasswordList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Password.PasswordList.Levels>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Isis.Password.PasswordList, self).__init__()

                            self.yang_name = "password-list"
                            self.yang_parent_name = "password"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.password = YLeaf(YType.str, "password")
                            self._segment_path = lambda: "password-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Isis.Password.PasswordList, ['levels', 'password'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Priority(Entity):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Isis.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"priority-list" : ("priority_list", Native.Interface.Loopback.Isis.Priority.PriorityList)}

                        self.value = YLeaf(YType.uint8, "value")

                        self.priority_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Isis.Priority, ['value'], name, value)


                    class PriorityList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.Priority.PriorityList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Isis.Priority.PriorityList, self).__init__()

                            self.yang_name = "priority-list"
                            self.yang_parent_name = "priority"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint8, "value")
                            self._segment_path = lambda: "priority-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Isis.Priority.PriorityList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class ThreeWayHandshake(Entity):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:  :py:class:`Implementor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Isis.ThreeWayHandshake.Implementor>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Isis.ThreeWayHandshake, self).__init__()

                        self.yang_name = "three-way-handshake"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.implementor = YLeaf(YType.enumeration, "implementor")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:three-way-handshake"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Isis.ThreeWayHandshake, ['implementor'], name, value)

                    class Implementor(Enum):
                        """
                        Implementor

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = Enum.YLeaf(0, "cisco")

                        ietf = Enum.YLeaf(1, "ietf")



            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.Loopback.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.Loopback.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.Loopback.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.Loopback.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.Loopback.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.Loopback.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                .. attribute:: accounting
                
                	Enable MPLS accounting on this interface
                	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Accounting>`
                
                .. attribute:: bgp
                
                	MPLS BGP
                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Bgp>`
                
                .. attribute:: ip
                
                	Configure dynamic MPLS forwarding for IP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: label
                
                	Label properties
                	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Label>`
                
                .. attribute:: ldp
                
                	Configure Label Distribution Protocol (LDP) parameters
                	**type**\:  :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Ldp>`
                
                .. attribute:: mtu
                
                	Set MPLS Maximum Transmission Unit
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1501..1524
                
                		**type**\: int
                
                			**range:** 64..1500
                
                		**type**\: int
                
                			**range:** 64..9216
                
                .. attribute:: traffic_eng
                
                	Configure Traffic Engineering parameters
                	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-mpls:accounting" : ("accounting", Native.Interface.Loopback.Mpls.Accounting), "Cisco-IOS-XE-mpls:bgp" : ("bgp", Native.Interface.Loopback.Mpls.Bgp), "Cisco-IOS-XE-mpls:label" : ("label", Native.Interface.Loopback.Mpls.Label), "Cisco-IOS-XE-mpls:ldp" : ("ldp", Native.Interface.Loopback.Mpls.Ldp), "Cisco-IOS-XE-mpls:traffic-eng" : ("traffic_eng", Native.Interface.Loopback.Mpls.TrafficEng)}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.empty, "Cisco-IOS-XE-mpls:ip")

                    self.mtu = YLeaf(YType.str, "Cisco-IOS-XE-mpls:mtu")

                    self.accounting = Native.Interface.Loopback.Mpls.Accounting()
                    self.accounting.parent = self
                    self._children_name_map["accounting"] = "accounting"
                    self._children_yang_names.add("accounting")

                    self.bgp = Native.Interface.Loopback.Mpls.Bgp()
                    self.bgp.parent = self
                    self._children_name_map["bgp"] = "bgp"
                    self._children_yang_names.add("bgp")

                    self.label = Native.Interface.Loopback.Mpls.Label()
                    self.label.parent = self
                    self._children_name_map["label"] = "label"
                    self._children_yang_names.add("label")

                    self.ldp = Native.Interface.Loopback.Mpls.Ldp()
                    self.ldp.parent = self
                    self._children_name_map["ldp"] = "ldp"
                    self._children_yang_names.add("ldp")

                    self.traffic_eng = Native.Interface.Loopback.Mpls.TrafficEng()
                    self.traffic_eng.parent = self
                    self._children_name_map["traffic_eng"] = "traffic-eng"
                    self._children_yang_names.add("traffic-eng")
                    self._segment_path = lambda: "mpls"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Mpls, ['ip', 'mtu'], name, value)


                class Accounting(Entity):
                    """
                    Enable MPLS accounting on this interface
                    
                    .. attribute:: experimental
                    
                    	Count packets by MPLS experimental value on this interface
                    	**type**\:  :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Accounting.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.Loopback.Mpls.Accounting, self).__init__()

                        self.yang_name = "accounting"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"experimental" : ("experimental", Native.Interface.Loopback.Mpls.Accounting.Experimental)}
                        self._child_list_classes = {}

                        self.experimental = Native.Interface.Loopback.Mpls.Accounting.Experimental()
                        self.experimental.parent = self
                        self._children_name_map["experimental"] = "experimental"
                        self._children_yang_names.add("experimental")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:accounting"


                    class Experimental(Entity):
                        """
                        Count packets by MPLS experimental value on this interface
                        
                        .. attribute:: input
                        
                        	received packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	transmitted packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.Loopback.Mpls.Accounting.Experimental, self).__init__()

                            self.yang_name = "experimental"
                            self.yang_parent_name = "accounting"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")
                            self._segment_path = lambda: "experimental"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Mpls.Accounting.Experimental, ['input', 'output'], name, value)


                class Bgp(Entity):
                    """
                    MPLS BGP
                    
                    .. attribute:: forwarding
                    
                    	Configure MPLS forwarding for directly connected BGP peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.Loopback.Mpls.Bgp, self).__init__()

                        self.yang_name = "bgp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.forwarding = YLeaf(YType.empty, "forwarding")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:bgp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Mpls.Bgp, ['forwarding'], name, value)


                class Label(Entity):
                    """
                    Label properties
                    
                    .. attribute:: protocol
                    
                    	Configure label/tag distribution protocol (LDP/TDP)
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Label.Protocol>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.Loopback.Mpls.Label, self).__init__()

                        self.yang_name = "label"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.protocol = YLeaf(YType.enumeration, "protocol")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:label"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Mpls.Label, ['protocol'], name, value)

                    class Protocol(Enum):
                        """
                        Protocol

                        Configure label/tag distribution protocol (LDP/TDP)

                        .. data:: both = 0

                        .. data:: ldp = 1

                        .. data:: tdp = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        ldp = Enum.YLeaf(1, "ldp")

                        tdp = Enum.YLeaf(2, "tdp")



                class Ldp(Entity):
                    """
                    Configure Label Distribution Protocol (LDP) parameters
                    
                    .. attribute:: discovery
                    
                    	Configure interface LDP Discovery parameters
                    	**type**\:  :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.Ldp.Discovery>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.Loopback.Mpls.Ldp, self).__init__()

                        self.yang_name = "ldp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"discovery" : ("discovery", Native.Interface.Loopback.Mpls.Ldp.Discovery)}
                        self._child_list_classes = {}

                        self.discovery = Native.Interface.Loopback.Mpls.Ldp.Discovery()
                        self.discovery.parent = self
                        self._children_name_map["discovery"] = "discovery"
                        self._children_yang_names.add("discovery")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:ldp"


                    class Discovery(Entity):
                        """
                        Configure interface LDP Discovery parameters
                        
                        .. attribute:: transport_address
                        
                        	Specify interface LDP transport address
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`LdpDiscoveryAddressType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.LdpDiscoveryAddressType>`
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.Loopback.Mpls.Ldp.Discovery, self).__init__()

                            self.yang_name = "discovery"
                            self.yang_parent_name = "ldp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.transport_address = YLeaf(YType.str, "transport-address")
                            self._segment_path = lambda: "discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Mpls.Ldp.Discovery, ['transport_address'], name, value)


                class TrafficEng(Entity):
                    """
                    Configure Traffic Engineering parameters
                    
                    .. attribute:: administrative_weight
                    
                    	Set the administrative weight for the interface\: <0..4294967295>
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_flags
                    
                    	Set user\-defined interface attibute flags\:  <0x0\-0xFFFFFFFF>
                    	**type**\: str
                    
                    	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                    
                    .. attribute:: backup_path
                    
                    	Configure an MPLS TE backup for this interface
                    	**type**\:  :py:class:`BackupPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.TrafficEng.BackupPath>`
                    
                    .. attribute:: flooding
                    
                    	Set flooding parameters
                    	**type**\:  :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.TrafficEng.Flooding>`
                    
                    .. attribute:: passive_interface
                    
                    	Force a flood of non\-IGP link
                    	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.TrafficEng.PassiveInterface>`
                    
                    .. attribute:: tunnels
                    
                    	enable MPLS Traffic Engineering tunnels
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.Loopback.Mpls.TrafficEng, self).__init__()

                        self.yang_name = "traffic-eng"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup-path" : ("backup_path", Native.Interface.Loopback.Mpls.TrafficEng.BackupPath), "flooding" : ("flooding", Native.Interface.Loopback.Mpls.TrafficEng.Flooding), "passive-interface" : ("passive_interface", Native.Interface.Loopback.Mpls.TrafficEng.PassiveInterface)}
                        self._child_list_classes = {}

                        self.administrative_weight = YLeaf(YType.uint32, "administrative-weight")

                        self.attribute_flags = YLeaf(YType.str, "attribute-flags")

                        self.tunnels = YLeaf(YType.empty, "tunnels")

                        self.backup_path = Native.Interface.Loopback.Mpls.TrafficEng.BackupPath()
                        self.backup_path.parent = self
                        self._children_name_map["backup_path"] = "backup-path"
                        self._children_yang_names.add("backup-path")

                        self.flooding = Native.Interface.Loopback.Mpls.TrafficEng.Flooding()
                        self.flooding.parent = self
                        self._children_name_map["flooding"] = "flooding"
                        self._children_yang_names.add("flooding")

                        self.passive_interface = Native.Interface.Loopback.Mpls.TrafficEng.PassiveInterface()
                        self.passive_interface.parent = self
                        self._children_name_map["passive_interface"] = "passive-interface"
                        self._children_yang_names.add("passive-interface")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:traffic-eng"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Mpls.TrafficEng, ['administrative_weight', 'attribute_flags', 'tunnels'], name, value)


                    class BackupPath(Entity):
                        """
                        Configure an MPLS TE backup for this interface
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface number\: <0..2147483647>
                        	**type**\: int
                        
                        	**range:** 0..2147483647
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.Loopback.Mpls.TrafficEng.BackupPath, self).__init__()

                            self.yang_name = "backup-path"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")
                            self._segment_path = lambda: "backup-path"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Mpls.TrafficEng.BackupPath, ['tunnel'], name, value)


                    class Flooding(Entity):
                        """
                        Set flooding parameters
                        
                        .. attribute:: thresholds
                        
                        	Set flooding thresholds
                        	**type**\:  :py:class:`Thresholds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.TrafficEng.Flooding.Thresholds>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.Loopback.Mpls.TrafficEng.Flooding, self).__init__()

                            self.yang_name = "flooding"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"thresholds" : ("thresholds", Native.Interface.Loopback.Mpls.TrafficEng.Flooding.Thresholds)}
                            self._child_list_classes = {}

                            self.thresholds = Native.Interface.Loopback.Mpls.TrafficEng.Flooding.Thresholds()
                            self.thresholds.parent = self
                            self._children_name_map["thresholds"] = "thresholds"
                            self._children_yang_names.add("thresholds")
                            self._segment_path = lambda: "flooding"


                        class Thresholds(Entity):
                            """
                            Set flooding thresholds
                            
                            .. attribute:: down
                            
                            	Set the thresholds for decreased resource availability in percentage\: <0..100>
                            	**type**\: list of int
                            
                            	**range:** 0..100
                            
                            .. attribute:: up
                            
                            	Set the thresholds for increased resource availability in percentage\: <0..100>
                            	**type**\: list of int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Interface.Loopback.Mpls.TrafficEng.Flooding.Thresholds, self).__init__()

                                self.yang_name = "thresholds"
                                self.yang_parent_name = "flooding"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.down = YLeafList(YType.uint8, "down")

                                self.up = YLeafList(YType.uint8, "up")
                                self._segment_path = lambda: "thresholds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Mpls.TrafficEng.Flooding.Thresholds, ['down', 'up'], name, value)


                    class PassiveInterface(Entity):
                        """
                        Force a flood of non\-IGP link
                        
                        .. attribute:: nbr_te_id
                        
                        	Set the neighbor TE ID (router\-id)
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nbr_if_addr
                        
                        	Set the Neighbor IP interface address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nbr_igp_id
                        
                        	Set the Neighbor IGP ID (system\-id)
                        	**type**\:  :py:class:`NbrIgpId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Mpls.TrafficEng.PassiveInterface.NbrIgpId>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.Loopback.Mpls.TrafficEng.PassiveInterface, self).__init__()

                            self.yang_name = "passive-interface"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"nbr-igp-id" : ("nbr_igp_id", Native.Interface.Loopback.Mpls.TrafficEng.PassiveInterface.NbrIgpId)}
                            self._child_list_classes = {}

                            self.nbr_te_id = YLeaf(YType.str, "nbr-te-id")

                            self.nbr_if_addr = YLeaf(YType.str, "nbr-if-addr")

                            self.nbr_igp_id = Native.Interface.Loopback.Mpls.TrafficEng.PassiveInterface.NbrIgpId()
                            self.nbr_igp_id.parent = self
                            self._children_name_map["nbr_igp_id"] = "nbr-igp-id"
                            self._children_yang_names.add("nbr-igp-id")
                            self._segment_path = lambda: "passive-interface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Mpls.TrafficEng.PassiveInterface, ['nbr_te_id', 'nbr_if_addr'], name, value)


                        class NbrIgpId(Entity):
                            """
                            Set the Neighbor IGP ID (system\-id)
                            
                            .. attribute:: isis
                            
                            	Set the neighbor ISIS node ID
                            	**type**\: str
                            
                            .. attribute:: ospf
                            
                            	Set the neighbor OSPF node ID
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Interface.Loopback.Mpls.TrafficEng.PassiveInterface.NbrIgpId, self).__init__()

                                self.yang_name = "nbr-igp-id"
                                self.yang_parent_name = "passive-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.isis = YLeaf(YType.str, "isis")

                                self.ospf = YLeaf(YType.str, "ospf")
                                self._segment_path = lambda: "nbr-igp-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Mpls.TrafficEng.PassiveInterface.NbrIgpId, ['isis', 'ospf'], name, value)


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.Loopback.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.Loopback.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.Loopback.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.Loopback.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Flow>`
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Igmp>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Lisp>`
                
                .. attribute:: nat
                
                	NAT interface commands
                	**type**\:  :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Nat>`
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:  :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Nbar>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf>`
                
                .. attribute:: rsvp
                
                	RSVP Interface Commands
                	**type**\:  :py:class:`Rsvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:  :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.Loopback.Ip.AccessGroup), "arp" : ("arp", Native.Interface.Loopback.Ip.Arp), "vrf" : ("vrf", Native.Interface.Loopback.Ip.Vrf), "no-address" : ("no_address", Native.Interface.Loopback.Ip.NoAddress), "address" : ("address", Native.Interface.Loopback.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.Loopback.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.Loopback.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.Loopback.Ip.HoldTime), "pim" : ("pim", Native.Interface.Loopback.Ip.Pim), "policy" : ("policy", Native.Interface.Loopback.Ip.Policy), "rip" : ("rip", Native.Interface.Loopback.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.Loopback.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.Loopback.Ip.RouteCache), "router" : ("router", Native.Interface.Loopback.Ip.Router), "tcp" : ("tcp", Native.Interface.Loopback.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.Loopback.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.Loopback.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.Loopback.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.Loopback.Ip.Verify), "Cisco-IOS-XE-flow:flow" : ("flow", Native.Interface.Loopback.Ip.Flow), "Cisco-IOS-XE-igmp:igmp" : ("igmp", Native.Interface.Loopback.Ip.Igmp), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Interface.Loopback.Ip.Lisp), "Cisco-IOS-XE-nat:nat" : ("nat", Native.Interface.Loopback.Ip.Nat), "Cisco-IOS-XE-nbar:nbar" : ("nbar", Native.Interface.Loopback.Ip.Nbar), "Cisco-IOS-XE-ospf:ospf" : ("ospf", Native.Interface.Loopback.Ip.Ospf), "Cisco-IOS-XE-rsvp:rsvp" : ("rsvp", Native.Interface.Loopback.Ip.Rsvp), "Cisco-IOS-XE-wccp:wccp" : ("wccp", Native.Interface.Loopback.Ip.Wccp)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.Loopback.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.Loopback.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.Loopback.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.Loopback.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.Loopback.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.Loopback.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.Loopback.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.Loopback.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.Loopback.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.Loopback.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.Loopback.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.Loopback.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.Loopback.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.Loopback.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.Loopback.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.Loopback.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.Loopback.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.Loopback.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.Loopback.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.flow = Native.Interface.Loopback.Ip.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.igmp = Native.Interface.Loopback.Ip.Igmp()
                    self.igmp.parent = self
                    self._children_name_map["igmp"] = "igmp"
                    self._children_yang_names.add("igmp")

                    self.lisp = Native.Interface.Loopback.Ip.Lisp()
                    self.lisp.parent = self
                    self._children_name_map["lisp"] = "lisp"
                    self._children_yang_names.add("lisp")

                    self.nat = Native.Interface.Loopback.Ip.Nat()
                    self.nat.parent = self
                    self._children_name_map["nat"] = "nat"
                    self._children_yang_names.add("nat")

                    self.nbar = Native.Interface.Loopback.Ip.Nbar()
                    self.nbar.parent = self
                    self._children_name_map["nbar"] = "nbar"
                    self._children_yang_names.add("nbar")

                    self.ospf = Native.Interface.Loopback.Ip.Ospf()
                    self.ospf.parent = self
                    self._children_name_map["ospf"] = "ospf"
                    self._children_yang_names.add("ospf")

                    self.rsvp = Native.Interface.Loopback.Ip.Rsvp()
                    self.rsvp.parent = self
                    self._children_name_map["rsvp"] = "rsvp"
                    self._children_yang_names.add("rsvp")

                    self.wccp = Native.Interface.Loopback.Ip.Wccp()
                    self.wccp.parent = self
                    self._children_name_map["wccp"] = "wccp"
                    self._children_yang_names.add("wccp")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.Loopback.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.Loopback.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.Loopback.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.Loopback.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Loopback.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.Loopback.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Loopback.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Loopback.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Loopback.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.Loopback.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Loopback.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Loopback.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.Loopback.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.Loopback.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Loopback.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Loopback.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.Loopback.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.Loopback.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.Loopback.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.Loopback.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.Loopback.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.Loopback.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.Loopback.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.Loopback.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.Loopback.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.Loopback.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.Loopback.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.Loopback.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:  :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:  :py:class:`SparseMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Pim.SparseMode>`
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:  :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Pim.QueryInterval>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:  :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Pim.SptThreshold>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-multicast:accept-register" : ("accept_register", Native.Interface.Loopback.Ip.Pim.AcceptRegister), "Cisco-IOS-XE-multicast:query-interval" : ("query_interval", Native.Interface.Loopback.Ip.Pim.QueryInterval)}
                        self._child_list_classes = {}

                        self.sparse_mode = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:sparse-mode")

                        self.nbma_mode = YLeaf(YType.empty, "Cisco-IOS-XE-multicast:nbma-mode")

                        self.dr_priority = YLeaf(YType.uint32, "Cisco-IOS-XE-multicast:dr-priority")

                        self.spt_threshold = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:spt-threshold")

                        self.accept_register = Native.Interface.Loopback.Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self._children_name_map["accept_register"] = "accept-register"
                        self._children_yang_names.add("accept-register")

                        self.query_interval = Native.Interface.Loopback.Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self._children_name_map["query_interval"] = "query-interval"
                        self._children_yang_names.add("query-interval")
                        self._segment_path = lambda: "pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.Pim, ['sparse_mode', 'nbma_mode', 'dr_priority', 'spt_threshold'], name, value)

                    class SparseMode(Enum):
                        """
                        SparseMode

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = Enum.YLeaf(0, "sparse-dense-mode")

                        sparse_mode = Enum.YLeaf(1, "sparse-mode")


                    class SptThreshold(Enum):
                        """
                        SptThreshold

                        .. data:: infinity = 0

                        """

                        infinity = Enum.YLeaf(0, "infinity")



                    class AcceptRegister(Entity):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Pim.AcceptRegister, self).__init__()

                            self.yang_name = "accept-register"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.list = YLeaf(YType.str, "list")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:accept-register"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Pim.AcceptRegister, ['list'], name, value)


                    class QueryInterval(Entity):
                        """
                        PIM router query interval
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..18725
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Pim.QueryInterval, self).__init__()

                            self.yang_name = "query-interval"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.seconds_interval = YLeaf(YType.uint16, "seconds-interval")

                            self.milliseconds_interval = YLeaf(YType.uint16, "milliseconds-interval")

                            self.msec = YLeaf(YType.empty, "msec")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:query-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Pim.QueryInterval, ['seconds_interval', 'milliseconds_interval', 'msec'], name, value)


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Loopback.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.Loopback.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.Loopback.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.Loopback.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.Loopback.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.Loopback.Ip.Dhcp.Client), "Cisco-IOS-XE-dhcp:relay" : ("relay", Native.Interface.Loopback.Ip.Dhcp.Relay), "Cisco-IOS-XE-dhcp:snooping" : ("snooping", Native.Interface.Loopback.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.client = Native.Interface.Loopback.Ip.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.relay = Native.Interface.Loopback.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self._children_name_map["relay"] = "relay"
                        self._children_yang_names.add("relay")

                        self.snooping = Native.Interface.Loopback.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"


                    class Client(Entity):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hostname = YLeaf(YType.str, "hostname")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Dhcp.Client, ['hostname'], name, value)


                    class Relay(Entity):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Dhcp.Relay, self).__init__()

                            self.yang_name = "relay"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"information" : ("information", Native.Interface.Loopback.Ip.Dhcp.Relay.Information)}
                            self._child_list_classes = {}

                            self.source_interface = YLeaf(YType.str, "source-interface")

                            self.information = Native.Interface.Loopback.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self._children_name_map["information"] = "information"
                            self._children_yang_names.add("information")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:relay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Dhcp.Relay, ['source_interface'], name, value)


                        class Information(Entity):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:  :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:  :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:  :py:class:`PolicyAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Relay.Information.PolicyAction>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Dhcp.Relay.Information, self).__init__()

                                self.yang_name = "information"
                                self.yang_parent_name = "relay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"check-reply" : ("check_reply", Native.Interface.Loopback.Ip.Dhcp.Relay.Information.CheckReply), "option" : ("option", Native.Interface.Loopback.Ip.Dhcp.Relay.Information.Option), "option-insert" : ("option_insert", Native.Interface.Loopback.Ip.Dhcp.Relay.Information.OptionInsert)}
                                self._child_list_classes = {}

                                self.policy_action = YLeaf(YType.enumeration, "policy-action")

                                self.trusted = YLeaf(YType.empty, "trusted")

                                self.check_reply = None
                                self._children_name_map["check_reply"] = "check-reply"
                                self._children_yang_names.add("check-reply")

                                self.option = Native.Interface.Loopback.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self._children_name_map["option"] = "option"
                                self._children_yang_names.add("option")

                                self.option_insert = None
                                self._children_name_map["option_insert"] = "option-insert"
                                self._children_yang_names.add("option-insert")
                                self._segment_path = lambda: "information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Dhcp.Relay.Information, ['policy_action', 'trusted'], name, value)

                            class PolicyAction(Enum):
                                """
                                PolicyAction

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = Enum.YLeaf(0, "drop")

                                encapsulate = Enum.YLeaf(1, "encapsulate")

                                keep = Enum.YLeaf(2, "keep")

                                replace = Enum.YLeaf(3, "replace")



                            class CheckReply(Entity):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ip.Dhcp.Relay.Information.CheckReply, self).__init__()

                                    self.yang_name = "check-reply"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "check-reply"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ip.Dhcp.Relay.Information.CheckReply, ['none'], name, value)


                            class Option(Entity):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                    self.yang_name = "option"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                    self._segment_path = lambda: "option"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                            class OptionInsert(Entity):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ip.Dhcp.Relay.Information.OptionInsert, self).__init__()

                                    self.yang_name = "option-insert"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "option-insert"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ip.Dhcp.Relay.Information.OptionInsert, ['none'], name, value)


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Loopback.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {"vlan" : ("vlan", Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan)}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Loopback.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")

                            self.vlan = YList(self)
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:snooping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Dhcp.Snooping, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


                        class Vlan(Entity):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"information" : ("information", Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.information = Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self
                                self._children_name_map["information"] = "information"
                                self._children_yang_names.add("information")
                                self._segment_path = lambda: "vlan" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan, ['id'], name, value)


                            class Information(Entity):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information, self).__init__()

                                    self.yang_name = "information"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"option" : ("option", Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option)}
                                    self._child_list_classes = {}

                                    self.option = Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self
                                    self._children_name_map["option"] = "option"
                                    self._children_yang_names.add("option")
                                    self._segment_path = lambda: "information"


                                class Option(Entity):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:  :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option, self).__init__()

                                        self.yang_name = "option"
                                        self.yang_parent_name = "information"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"format-type" : ("format_type", Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType)}
                                        self._child_list_classes = {}

                                        self.format_type = Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self
                                        self._children_name_map["format_type"] = "format-type"
                                        self._children_yang_names.add("format-type")
                                        self._segment_path = lambda: "option"


                                    class FormatType(Entity):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:  :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType, self).__init__()

                                            self.yang_name = "format-type"
                                            self.yang_parent_name = "option"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"circuit-id" : ("circuit_id", Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId)}
                                            self._child_list_classes = {}

                                            self.circuit_id = Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self
                                            self._children_name_map["circuit_id"] = "circuit-id"
                                            self._children_yang_names.add("circuit-id")
                                            self._segment_path = lambda: "format-type"


                                        class CircuitId(Entity):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\: str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, self).__init__()

                                                self.yang_name = "circuit-id"
                                                self.yang_parent_name = "format-type"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.string = YLeaf(YType.str, "string")
                                                self._segment_path = lambda: "circuit-id"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Loopback.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, ['string'], name, value)


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.Loopback.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.Loopback.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.Loopback.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.Loopback.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.Loopback.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.Loopback.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.Loopback.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.Loopback.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.Loopback.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.Loopback.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



                class Flow(Entity):
                    """
                    NetFlow related commands
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"monitor" : ("monitor", Native.Interface.Loopback.Ip.Flow.Monitor)}

                        self.ingress = YLeaf(YType.empty, "ingress")

                        self.egress = YLeaf(YType.empty, "egress")

                        self.monitor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-flow:flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.Flow, ['ingress', 'egress'], name, value)


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of  		 :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Flow.Monitor.Sampler>`
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"sampler" : ("sampler", Native.Interface.Loopback.Ip.Flow.Monitor.Sampler)}

                            self.name = YLeaf(YType.str, "name")

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.sampler = YList(self)
                            self._segment_path = lambda: "monitor" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Flow.Monitor, ['name', 'input', 'output', 'multicast', 'unicast'], name, value)


                        class Sampler(Entity):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Flow.Monitor.Sampler.Direction>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Flow.Monitor.Sampler, self).__init__()

                                self.yang_name = "sampler"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.direction = YLeaf(YType.enumeration, "direction")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "sampler" + "[direction='" + self.direction.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Flow.Monitor.Sampler, ['direction', 'name'], name, value)

                            class Direction(Enum):
                                """
                                Direction

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = Enum.YLeaf(0, "input")

                                output = Enum.YLeaf(1, "output")



                class Igmp(Entity):
                    """
                    IGMP interface commands
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:  :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of  		 :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Igmp, self).__init__()

                        self.yang_name = "igmp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"static-group" : ("static_group", Native.Interface.Loopback.Ip.Igmp.StaticGroup)}
                        self._child_list_classes = {"join-group" : ("join_group", Native.Interface.Loopback.Ip.Igmp.JoinGroup)}

                        self.version = YLeaf(YType.uint8, "version")

                        self.static_group = Native.Interface.Loopback.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self._children_name_map["static_group"] = "static-group"
                        self._children_yang_names.add("static-group")

                        self.join_group = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-igmp:igmp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.Igmp, ['version'], name, value)


                    class StaticGroup(Entity):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of  		 :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Igmp.StaticGroup.Groups>`
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of  		 :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Igmp.StaticGroup, self).__init__()

                            self.yang_name = "static-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"groups" : ("groups", Native.Interface.Loopback.Ip.Igmp.StaticGroup.Groups), "class-map" : ("class_map", Native.Interface.Loopback.Ip.Igmp.StaticGroup.ClassMap)}

                            self.groups = YList(self)
                            self.class_map = YList(self)
                            self._segment_path = lambda: "static-group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Igmp.StaticGroup, [], name, value)


                        class Groups(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.Groups.Name>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Igmp.StaticGroup.Groups, self).__init__()

                                self.yang_name = "groups"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "groups" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Igmp.StaticGroup.Groups, ['name'], name, value)

                            class Name(Enum):
                                """
                                Name

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = Enum.YLeaf(0, "*")



                        class ClassMap(Entity):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Igmp.StaticGroup.ClassMap, self).__init__()

                                self.yang_name = "class-map"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")
                                self._segment_path = lambda: "class-map" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Igmp.StaticGroup.ClassMap, ['id'], name, value)


                    class JoinGroup(Entity):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Igmp.JoinGroup, self).__init__()

                            self.yang_name = "join-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip_group_address = YLeaf(YType.str, "ip-group-address")

                            self.source = YLeaf(YType.str, "source")
                            self._segment_path = lambda: "join-group" + "[ip-group-address='" + self.ip_group_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Igmp.JoinGroup, ['ip_group_address', 'source'], name, value)


                class Lisp(Entity):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: source_locator
                    
                    	Choose IP source address for LISP packets egressing this interface
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Lisp, self).__init__()

                        self.yang_name = "lisp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.source_locator = YLeaf(YType.str, "source-locator")
                        self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.Lisp, ['source_locator'], name, value)


                class Nat(Entity):
                    """
                    NAT interface commands
                    
                    .. attribute:: allow_static_host
                    
                    	Allow static\-ip clients
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable Address Translation (NVI)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: inside
                    
                    	Inside interface for address translation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: outside
                    
                    	Outside interface for address translation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-08-03'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Nat, self).__init__()

                        self.yang_name = "nat"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.allow_static_host = YLeaf(YType.empty, "allow-static-host")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.inside = YLeaf(YType.empty, "inside")

                        self.outside = YLeaf(YType.empty, "outside")
                        self._segment_path = lambda: "Cisco-IOS-XE-nat:nat"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.Nat, ['allow_static_host', 'enable', 'inside', 'outside'], name, value)


                class Nbar(Entity):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:  :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Nbar, self).__init__()

                        self.yang_name = "nbar"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"protocol-discovery" : ("protocol_discovery", Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery)}
                        self._child_list_classes = {}

                        self.protocol_discovery = None
                        self._children_name_map["protocol_discovery"] = "protocol-discovery"
                        self._children_yang_names.add("protocol-discovery")
                        self._segment_path = lambda: "Cisco-IOS-XE-nbar:nbar"


                    class ProtocolDiscovery(Entity):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:  :py:class:`Ipv4Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery, self).__init__()

                            self.yang_name = "protocol-discovery"
                            self.yang_parent_name = "nbar"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ipv4_ipv6 = YLeaf(YType.enumeration, "ipv4-ipv6")
                            self._segment_path = lambda: "protocol-discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Nbar.ProtocolDiscovery, ['ipv4_ipv6'], name, value)

                        class Ipv4Ipv6(Enum):
                            """
                            Ipv4Ipv6

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = Enum.YLeaf(0, "ipv4")

                            ipv6 = Enum.YLeaf(1, "ipv6")



                class Ospf(Entity):
                    """
                    OSPF interface commands
                    
                    .. attribute:: process_id
                    
                    	
                    	**type**\: list of  		 :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.ProcessId>`
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.AuthenticationKey>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.Network>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.DeadInterval>`
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF Demand Circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fast_reroute
                    
                    	LFA FastReroute parameters
                    	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.FastReroute>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: lls
                    
                    	Link\-local Signaling (LLS) support
                    	**type**\:  :py:class:`Lls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.Lls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.MessageDigestKey>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.MultiArea>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: resync_timeout
                    
                    	Interval after which adjacency is reset if oob\-resync is not started
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Set OSPF protocol's state to disable under current interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.TtlSecurity>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Loopback.Ip.Ospf.Authentication), "authentication-key" : ("authentication_key", Native.Interface.Loopback.Ip.Ospf.AuthenticationKey), "bfd" : ("bfd", Native.Interface.Loopback.Ip.Ospf.Bfd), "database-filter" : ("database_filter", Native.Interface.Loopback.Ip.Ospf.DatabaseFilter), "dead-interval" : ("dead_interval", Native.Interface.Loopback.Ip.Ospf.DeadInterval), "demand-circuit" : ("demand_circuit", Native.Interface.Loopback.Ip.Ospf.DemandCircuit), "fast-reroute" : ("fast_reroute", Native.Interface.Loopback.Ip.Ospf.FastReroute), "lls" : ("lls", Native.Interface.Loopback.Ip.Ospf.Lls), "multi-area" : ("multi_area", Native.Interface.Loopback.Ip.Ospf.MultiArea), "prefix-suppression" : ("prefix_suppression", Native.Interface.Loopback.Ip.Ospf.PrefixSuppression), "ttl-security" : ("ttl_security", Native.Interface.Loopback.Ip.Ospf.TtlSecurity)}
                        self._child_list_classes = {"process-id" : ("process_id", Native.Interface.Loopback.Ip.Ospf.ProcessId), "message-digest-key" : ("message_digest_key", Native.Interface.Loopback.Ip.Ospf.MessageDigestKey)}

                        self.network = YLeaf(YType.enumeration, "network")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.flood_reduction = YLeaf(YType.empty, "flood-reduction")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.mtu_ignore = YLeaf(YType.empty, "mtu-ignore")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.resync_timeout = YLeaf(YType.uint32, "resync-timeout")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = None
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.authentication_key = Native.Interface.Loopback.Ip.Ospf.AuthenticationKey()
                        self.authentication_key.parent = self
                        self._children_name_map["authentication_key"] = "authentication-key"
                        self._children_yang_names.add("authentication-key")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.database_filter = Native.Interface.Loopback.Ip.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.dead_interval = Native.Interface.Loopback.Ip.Ospf.DeadInterval()
                        self.dead_interval.parent = self
                        self._children_name_map["dead_interval"] = "dead-interval"
                        self._children_yang_names.add("dead-interval")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.fast_reroute = Native.Interface.Loopback.Ip.Ospf.FastReroute()
                        self.fast_reroute.parent = self
                        self._children_name_map["fast_reroute"] = "fast-reroute"
                        self._children_yang_names.add("fast-reroute")

                        self.lls = None
                        self._children_name_map["lls"] = "lls"
                        self._children_yang_names.add("lls")

                        self.multi_area = Native.Interface.Loopback.Ip.Ospf.MultiArea()
                        self.multi_area.parent = self
                        self._children_name_map["multi_area"] = "multi-area"
                        self._children_yang_names.add("multi-area")

                        self.prefix_suppression = None
                        self._children_name_map["prefix_suppression"] = "prefix-suppression"
                        self._children_yang_names.add("prefix-suppression")

                        self.ttl_security = None
                        self._children_name_map["ttl_security"] = "ttl-security"
                        self._children_yang_names.add("ttl-security")

                        self.process_id = YList(self)
                        self.message_digest_key = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-ospf:ospf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.Ospf, ['network', 'cost', 'flood_reduction', 'hello_interval', 'mtu_ignore', 'priority', 'resync_timeout', 'retransmit_interval', 'shutdown', 'transmit_delay'], name, value)

                    class Network(Enum):
                        """
                        Network

                        Network type

                        .. data:: broadcast = 0

                        .. data:: non_broadcast = 1

                        .. data:: point_to_multipoint = 2

                        .. data:: point_to_point = 3

                        """

                        broadcast = Enum.YLeaf(0, "broadcast")

                        non_broadcast = Enum.YLeaf(1, "non-broadcast")

                        point_to_multipoint = Enum.YLeaf(2, "point-to-multipoint")

                        point_to_point = Enum.YLeaf(3, "point-to-point")



                    class ProcessId(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: area
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondaries
                        
                        	Include or exclude secondary IP addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: none
                        
                        	Do not include secondary IP addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Ospf.ProcessId, self).__init__()

                            self.yang_name = "process-id"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint16, "id")

                            self.area = YLeaf(YType.str, "area")

                            self.secondaries = YLeaf(YType.empty, "secondaries")

                            self.none = YLeaf(YType.empty, "none")
                            self._segment_path = lambda: "process-id" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.ProcessId, ['id', 'area', 'secondaries', 'none'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Use message\-digest authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Ospf.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.Loopback.Ip.Ospf.Authentication.KeyChain)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.message_digest = YLeaf(YType.empty, "message-digest")

                            self.null = YLeaf(YType.empty, "null")

                            self.key_chain = Native.Interface.Loopback.Ip.Ospf.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self._children_name_map["key_chain"] = "key-chain"
                            self._children_yang_names.add("key-chain")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.Authentication, ['message_digest', 'null'], name, value)


                        class KeyChain(Entity):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Ospf.Authentication.KeyChain, self).__init__()

                                self.yang_name = "key-chain"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.Authentication.KeyChain, ['name'], name, value)


                    class AuthenticationKey(Entity):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Ospf.AuthenticationKey, self).__init__()

                            self.yang_name = "authentication-key"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                            self.auth_key = YLeaf(YType.str, "auth-key")
                            self._segment_path = lambda: "authentication-key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Ospf.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.Bfd, ['disable'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Ospf.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.empty, "all")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.DatabaseFilter, ['all', 'out'], name, value)


                    class DeadInterval(Entity):
                        """
                        Interval after which a neighbor is declared dead
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: minimal
                        
                        	Set to 1 second
                        	**type**\:  :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.DeadInterval.Minimal>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Ospf.DeadInterval, self).__init__()

                            self.yang_name = "dead-interval"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"minimal" : ("minimal", Native.Interface.Loopback.Ip.Ospf.DeadInterval.Minimal)}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint32, "value")

                            self.minimal = Native.Interface.Loopback.Ip.Ospf.DeadInterval.Minimal()
                            self.minimal.parent = self
                            self._children_name_map["minimal"] = "minimal"
                            self._children_yang_names.add("minimal")
                            self._segment_path = lambda: "dead-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.DeadInterval, ['value'], name, value)


                        class Minimal(Entity):
                            """
                            Set to 1 second
                            
                            .. attribute:: hello_multiplier
                            
                            	Set multiplier for Hellos
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Ospf.DeadInterval.Minimal, self).__init__()

                                self.yang_name = "minimal"
                                self.yang_parent_name = "dead-interval"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hello_multiplier = YLeaf(YType.uint8, "hello-multiplier")
                                self._segment_path = lambda: "minimal"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.DeadInterval.Minimal, ['hello_multiplier'], name, value)


                    class DemandCircuit(Entity):
                        """
                        OSPF Demand Circuit
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Ospf.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.DemandCircuit, ['ignore'], name, value)


                    class FastReroute(Entity):
                        """
                        LFA FastReroute parameters
                        
                        .. attribute:: per_prefix
                        
                        	Per\-prefix LFA FRR parameters
                        	**type**\:  :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Ospf.FastReroute, self).__init__()

                            self.yang_name = "fast-reroute"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"per-prefix" : ("per_prefix", Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix)}
                            self._child_list_classes = {}

                            self.per_prefix = Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix()
                            self.per_prefix.parent = self
                            self._children_name_map["per_prefix"] = "per-prefix"
                            self._children_yang_names.add("per-prefix")
                            self._segment_path = lambda: "fast-reroute"


                        class PerPrefix(Entity):
                            """
                            Per\-prefix LFA FRR parameters
                            
                            .. attribute:: candidate
                            
                            	If interface can be protecting
                            	**type**\:  :py:class:`Candidate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Candidate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: protection
                            
                            	If interface can be protected
                            	**type**\:  :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Protection>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix, self).__init__()

                                self.yang_name = "per-prefix"
                                self.yang_parent_name = "fast-reroute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"candidate" : ("candidate", Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Candidate), "protection" : ("protection", Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Protection)}
                                self._child_list_classes = {}

                                self.candidate = None
                                self._children_name_map["candidate"] = "candidate"
                                self._children_yang_names.add("candidate")

                                self.protection = None
                                self._children_name_map["protection"] = "protection"
                                self._children_yang_names.add("protection")
                                self._segment_path = lambda: "per-prefix"


                            class Candidate(Entity):
                                """
                                If interface can be protecting
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Candidate, self).__init__()

                                    self.yang_name = "candidate"
                                    self.yang_parent_name = "per-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "candidate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Candidate, ['disable'], name, value)


                            class Protection(Entity):
                                """
                                If interface can be protected
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Protection, self).__init__()

                                    self.yang_name = "protection"
                                    self.yang_parent_name = "per-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "protection"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.FastReroute.PerPrefix.Protection, ['disable'], name, value)


                    class Lls(Entity):
                        """
                        Link\-local Signaling (LLS) support
                        
                        .. attribute:: disable
                        
                        	disable LLS
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Ospf.Lls, self).__init__()

                            self.yang_name = "lls"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "lls"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.Lls, ['disable'], name, value)


                    class MessageDigestKey(Entity):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Ospf.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Ospf.MessageDigestKey, self).__init__()

                            self.yang_name = "message-digest-key"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Loopback.Ip.Ospf.MessageDigestKey.Md5)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.md5 = Native.Interface.Loopback.Ip.Ospf.MessageDigestKey.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.MessageDigestKey, ['id'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Ospf.MessageDigestKey.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "message-digest-key"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                self.auth_key = YLeaf(YType.str, "auth-key")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                    class MultiArea(Entity):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Ospf.MultiArea, self).__init__()

                            self.yang_name = "multi-area"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint32, "cost")
                            self._segment_path = lambda: "multi-area"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.MultiArea, ['id', 'cost'], name, value)


                    class PrefixSuppression(Entity):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Ospf.PrefixSuppression, self).__init__()

                            self.yang_name = "prefix-suppression"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "prefix-suppression"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.PrefixSuppression, ['disable'], name, value)


                    class TtlSecurity(Entity):
                        """
                        TTL security check
                        
                        .. attribute:: diable
                        
                        	disable TTL security check
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Ospf.TtlSecurity, self).__init__()

                            self.yang_name = "ttl-security"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.diable = YLeaf(YType.empty, "diable")

                            self.hops = YLeaf(YType.uint8, "hops")
                            self._segment_path = lambda: "ttl-security"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Ospf.TtlSecurity, ['diable', 'hops'], name, value)


                class Rsvp(Entity):
                    """
                    RSVP Interface Commands
                    
                    .. attribute:: authentication
                    
                    	Enables RSVP neighbor authentication (RFC 2747)
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: bandwidth
                    
                    	RSVP Reservable Bandwidth (kbps)
                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Bandwidth>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	Select permissible RSVP neighbors
                    	**type**\:  :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Neighbor>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: precedence
                    
                    	RSVP precedence setting
                    	**type**\:  :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Precedence>`
                    
                    .. attribute:: signalling
                    
                    	RSVP signalling
                    	**type**\:  :py:class:`Signalling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Signalling>`
                    
                    .. attribute:: tos
                    
                    	RSVP TOS setting
                    	**type**\:  :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Tos>`
                    
                    

                    """

                    _prefix = 'ios-rsvp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Rsvp, self).__init__()

                        self.yang_name = "rsvp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Loopback.Ip.Rsvp.Authentication), "bandwidth" : ("bandwidth", Native.Interface.Loopback.Ip.Rsvp.Bandwidth), "neighbor" : ("neighbor", Native.Interface.Loopback.Ip.Rsvp.Neighbor), "precedence" : ("precedence", Native.Interface.Loopback.Ip.Rsvp.Precedence), "signalling" : ("signalling", Native.Interface.Loopback.Ip.Rsvp.Signalling), "tos" : ("tos", Native.Interface.Loopback.Ip.Rsvp.Tos)}
                        self._child_list_classes = {}

                        self.authentication = None
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bandwidth = None
                        self._children_name_map["bandwidth"] = "bandwidth"
                        self._children_yang_names.add("bandwidth")

                        self.neighbor = None
                        self._children_name_map["neighbor"] = "neighbor"
                        self._children_yang_names.add("neighbor")

                        self.precedence = Native.Interface.Loopback.Ip.Rsvp.Precedence()
                        self.precedence.parent = self
                        self._children_name_map["precedence"] = "precedence"
                        self._children_yang_names.add("precedence")

                        self.signalling = Native.Interface.Loopback.Ip.Rsvp.Signalling()
                        self.signalling.parent = self
                        self._children_name_map["signalling"] = "signalling"
                        self._children_yang_names.add("signalling")

                        self.tos = Native.Interface.Loopback.Ip.Rsvp.Tos()
                        self.tos.parent = self
                        self._children_name_map["tos"] = "tos"
                        self._children_yang_names.add("tos")
                        self._segment_path = lambda: "Cisco-IOS-XE-rsvp:rsvp"


                    class Authentication(Entity):
                        """
                        Enables RSVP neighbor authentication (RFC 2747)
                        
                        .. attribute:: key
                        
                        	Password (8 to 40 characters, spaces allowed)
                        	**type**\: str
                        
                        .. attribute:: challenge
                        
                        	Perform challenge/response handshake with new neighbor(s)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: key_chain
                        
                        	Name of key chain to use (as created by global 'key chain' command)
                        	**type**\: str
                        
                        .. attribute:: lifetime
                        
                        	Maximum lifetime of neighbor authentication state
                        	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Authentication.Lifetime>`
                        
                        .. attribute:: type
                        
                        	Type of authentication algorithm (default = md5)
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Authentication.Type>`
                        
                        .. attribute:: window_size
                        
                        	Maximum number of messages allowed in receive window (default = 1)
                        	**type**\: int
                        
                        	**range:** 1..64
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Rsvp.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"lifetime" : ("lifetime", Native.Interface.Loopback.Ip.Rsvp.Authentication.Lifetime)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.key = YLeaf(YType.str, "key")

                            self.challenge = YLeaf(YType.empty, "challenge")

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.type = YLeaf(YType.enumeration, "type")

                            self.window_size = YLeaf(YType.uint8, "window-size")

                            self.lifetime = Native.Interface.Loopback.Ip.Rsvp.Authentication.Lifetime()
                            self.lifetime.parent = self
                            self._children_name_map["lifetime"] = "lifetime"
                            self._children_yang_names.add("lifetime")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Authentication, ['key', 'challenge', 'key_chain', 'type', 'window_size'], name, value)

                        class Type(Enum):
                            """
                            Type

                            Type of authentication algorithm (default = md5)

                            .. data:: md5 = 0

                            .. data:: sha_1 = 1

                            """

                            md5 = Enum.YLeaf(0, "md5")

                            sha_1 = Enum.YLeaf(1, "sha-1")



                        class Lifetime(Entity):
                            """
                            Maximum lifetime of neighbor authentication state
                            
                            .. attribute:: hh_mm_ss
                            
                            	Lifetime (default = 30 mins) in hh\:mm\:ss format
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])\:([0\-5][0\-9])
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Rsvp.Authentication.Lifetime, self).__init__()

                                self.yang_name = "lifetime"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hh_mm_ss = YLeaf(YType.str, "hh-mm-ss")
                                self._segment_path = lambda: "lifetime"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Authentication.Lifetime, ['hh_mm_ss'], name, value)


                    class Bandwidth(Entity):
                        """
                        RSVP Reservable Bandwidth (kbps)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Bandwidth.Value>`
                        
                        .. attribute:: percent
                        
                        	Percentage of interface bandwidth. Values higher than 100 represent overbooking
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: mam
                        
                        	Use bandwidth with MAM model of DSTE
                        	**type**\:  :py:class:`Mam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Bandwidth.Mam>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Rsvp.Bandwidth, self).__init__()

                            self.yang_name = "bandwidth"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"value" : ("value", Native.Interface.Loopback.Ip.Rsvp.Bandwidth.Value), "mam" : ("mam", Native.Interface.Loopback.Ip.Rsvp.Bandwidth.Mam)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.percent = YLeaf(YType.uint16, "percent")

                            self.value = Native.Interface.Loopback.Ip.Rsvp.Bandwidth.Value()
                            self.value.parent = self
                            self._children_name_map["value"] = "value"
                            self._children_yang_names.add("value")

                            self.mam = Native.Interface.Loopback.Ip.Rsvp.Bandwidth.Mam()
                            self.mam.parent = self
                            self._children_name_map["mam"] = "mam"
                            self._children_yang_names.add("mam")
                            self._segment_path = lambda: "bandwidth"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Bandwidth, ['percent'], name, value)


                        class Value(Entity):
                            """
                            
                            
                            .. attribute:: value
                            
                            	Reservable Bandwidth (kbps)
                            	**type**\: int
                            
                            	**range:** 1..10000000
                            
                            .. attribute:: sub_pool
                            
                            	Reservable Bandwidth for Tunnel using sub (BC1) pool (kbps)
                            	**type**\: int
                            
                            	**range:** 1..10000000
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Rsvp.Bandwidth.Value, self).__init__()

                                self.yang_name = "value"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                self._segment_path = lambda: "value"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Bandwidth.Value, ['value', 'sub_pool'], name, value)


                        class Mam(Entity):
                            """
                            Use bandwidth with MAM model of DSTE
                            
                            .. attribute:: max_reservable_bw
                            
                            	Maximum Reservable bandwidth for MAM
                            	**type**\:  :py:class:`MaxReservableBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Rsvp.Bandwidth.Mam, self).__init__()

                                self.yang_name = "mam"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"max-reservable-bw" : ("max_reservable_bw", Native.Interface.Loopback.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw)}
                                self._child_list_classes = {}

                                self.max_reservable_bw = None
                                self._children_name_map["max_reservable_bw"] = "max-reservable-bw"
                                self._children_yang_names.add("max-reservable-bw")
                                self._segment_path = lambda: "mam"


                            class MaxReservableBw(Entity):
                                """
                                Maximum Reservable bandwidth for MAM
                                
                                .. attribute:: value
                                
                                	Reservable Bandwidth (kbps)
                                	**type**\: int
                                
                                	**range:** 1..10000000
                                
                                .. attribute:: bc0
                                
                                	Reservable Bandwidth from global (BC0) pool (kbps)
                                	**type**\: int
                                
                                	**range:** 0..10000000
                                
                                .. attribute:: bc1
                                
                                	Reservable Bandwidth from sub pool (kbps)
                                	**type**\: int
                                
                                	**range:** 0..10000000
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw, self).__init__()

                                    self.yang_name = "max-reservable-bw"
                                    self.yang_parent_name = "mam"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint32, "value")

                                    self.bc0 = YLeaf(YType.uint32, "bc0")

                                    self.bc1 = YLeaf(YType.uint32, "bc1")
                                    self._segment_path = lambda: "max-reservable-bw"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw, ['value', 'bc0', 'bc1'], name, value)


                    class Neighbor(Entity):
                        """
                        Select permissible RSVP neighbors
                        
                        .. attribute:: acl_number
                        
                        	Access list
                        	**type**\: int
                        
                        	**range:** 1..199
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Rsvp.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.acl_number = YLeaf(YType.uint8, "acl-number")
                            self._segment_path = lambda: "neighbor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Neighbor, ['acl_number'], name, value)


                    class Precedence(Entity):
                        """
                        RSVP precedence setting
                        
                        .. attribute:: conform
                        
                        	Precedence for packets conforming to RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: exceed
                        
                        	Precedence for packets over RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Rsvp.Precedence, self).__init__()

                            self.yang_name = "precedence"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.conform = YLeaf(YType.uint8, "conform")

                            self.exceed = YLeaf(YType.uint8, "exceed")
                            self._segment_path = lambda: "precedence"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Precedence, ['conform', 'exceed'], name, value)


                    class Signalling(Entity):
                        """
                        RSVP signalling
                        
                        .. attribute:: dscp
                        
                        	DSCP for RSVP signalling messages
                        	**type**\: int
                        
                        	**range:** 0..63
                        
                        .. attribute:: fast_local_repair
                        
                        	Fast Local Repair parameters
                        	**type**\:  :py:class:`FastLocalRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Signalling.FastLocalRepair>`
                        
                        .. attribute:: hello
                        
                        	Enable neighbor\-down detection
                        	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Rsvp.Signalling, self).__init__()

                            self.yang_name = "signalling"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"fast-local-repair" : ("fast_local_repair", Native.Interface.Loopback.Ip.Rsvp.Signalling.FastLocalRepair), "hello" : ("hello", Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello)}
                            self._child_list_classes = {}

                            self.dscp = YLeaf(YType.uint8, "dscp")

                            self.fast_local_repair = Native.Interface.Loopback.Ip.Rsvp.Signalling.FastLocalRepair()
                            self.fast_local_repair.parent = self
                            self._children_name_map["fast_local_repair"] = "fast-local-repair"
                            self._children_yang_names.add("fast-local-repair")

                            self.hello = None
                            self._children_name_map["hello"] = "hello"
                            self._children_yang_names.add("hello")
                            self._segment_path = lambda: "signalling"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Signalling, ['dscp'], name, value)


                        class FastLocalRepair(Entity):
                            """
                            Fast Local Repair parameters
                            
                            .. attribute:: wait_time
                            
                            	Wait Time for start of Fast Local Repair in msec
                            	**type**\: int
                            
                            	**range:** 0..5000
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Rsvp.Signalling.FastLocalRepair, self).__init__()

                                self.yang_name = "fast-local-repair"
                                self.yang_parent_name = "signalling"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.wait_time = YLeaf(YType.uint16, "wait-time")
                                self._segment_path = lambda: "fast-local-repair"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Signalling.FastLocalRepair, ['wait_time'], name, value)


                        class Hello(Entity):
                            """
                            Enable neighbor\-down detection
                            
                            .. attribute:: bfd
                            
                            	Configure BFD trigger for MPLS/TE FRR
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp
                            
                            	DSCP for RSVP Hello messages
                            	**type**\: int
                            
                            	**range:** 0..63
                            
                            .. attribute:: graceful_restart
                            
                            	Configure RSVP Graceful Restart
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: refresh
                            
                            	Configure RSVP Hello refresh behavior for Fast\-Reroute
                            	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Refresh>`
                            
                            .. attribute:: reroute
                            
                            	Configure RSVP Hello refresh behavior for Reroute
                            	**type**\:  :py:class:`Reroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Reroute>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello, self).__init__()

                                self.yang_name = "hello"
                                self.yang_parent_name = "signalling"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"refresh" : ("refresh", Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Refresh), "reroute" : ("reroute", Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Reroute)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.bfd = YLeaf(YType.empty, "bfd")

                                self.dscp = YLeaf(YType.uint8, "dscp")

                                self.graceful_restart = YLeaf(YType.empty, "graceful-restart")

                                self.refresh = Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Refresh()
                                self.refresh.parent = self
                                self._children_name_map["refresh"] = "refresh"
                                self._children_yang_names.add("refresh")

                                self.reroute = Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Reroute()
                                self.reroute.parent = self
                                self._children_name_map["reroute"] = "reroute"
                                self._children_yang_names.add("reroute")
                                self._segment_path = lambda: "hello"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello, ['bfd', 'dscp', 'graceful_restart'], name, value)


                            class Refresh(Entity):
                                """
                                Configure RSVP Hello refresh behavior for Fast\-Reroute
                                
                                .. attribute:: interval
                                
                                	Hello interval in msec
                                	**type**\: int
                                
                                	**range:** 10..30000
                                
                                .. attribute:: misses
                                
                                	Number of missed Hello Acks which triggers neighbor down
                                	**type**\: int
                                
                                	**range:** 4..10
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Refresh, self).__init__()

                                    self.yang_name = "refresh"
                                    self.yang_parent_name = "hello"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")

                                    self.misses = YLeaf(YType.uint8, "misses")
                                    self._segment_path = lambda: "refresh"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Refresh, ['interval', 'misses'], name, value)


                            class Reroute(Entity):
                                """
                                Configure RSVP Hello refresh behavior for Reroute
                                
                                .. attribute:: dscp
                                
                                	DSCP for RSVP Hello messages
                                	**type**\: int
                                
                                	**range:** 0..63
                                
                                .. attribute:: refresh
                                
                                	Configure RSVP Reroute Hello refresh behavior
                                	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Reroute.Refresh>`
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Reroute, self).__init__()

                                    self.yang_name = "reroute"
                                    self.yang_parent_name = "hello"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"refresh" : ("refresh", Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Reroute.Refresh)}
                                    self._child_list_classes = {}

                                    self.dscp = YLeaf(YType.uint8, "dscp")

                                    self.refresh = Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Reroute.Refresh()
                                    self.refresh.parent = self
                                    self._children_name_map["refresh"] = "refresh"
                                    self._children_yang_names.add("refresh")
                                    self._segment_path = lambda: "reroute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Reroute, ['dscp'], name, value)


                                class Refresh(Entity):
                                    """
                                    Configure RSVP Reroute Hello refresh behavior
                                    
                                    .. attribute:: interval
                                    
                                    	Hello Reroute interval in msec
                                    	**type**\: int
                                    
                                    	**range:** 1000..30000
                                    
                                    .. attribute:: misses
                                    
                                    	Number of missed Hello Acks which triggers neighbor down
                                    	**type**\: int
                                    
                                    	**range:** 4..10
                                    
                                    

                                    """

                                    _prefix = 'ios-rsvp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Reroute.Refresh, self).__init__()

                                        self.yang_name = "refresh"
                                        self.yang_parent_name = "reroute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")

                                        self.misses = YLeaf(YType.uint8, "misses")
                                        self._segment_path = lambda: "refresh"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Signalling.Hello.Reroute.Refresh, ['interval', 'misses'], name, value)


                    class Tos(Entity):
                        """
                        RSVP TOS setting
                        
                        .. attribute:: conform
                        
                        	TOS for packets conforming to RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..31
                        
                        .. attribute:: exceed
                        
                        	TOS for packets over RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..31
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Rsvp.Tos, self).__init__()

                            self.yang_name = "tos"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.conform = YLeaf(YType.uint8, "conform")

                            self.exceed = YLeaf(YType.uint8, "exceed")
                            self._segment_path = lambda: "tos"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Rsvp.Tos, ['conform', 'exceed'], name, value)


                class Wccp(Entity):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.WebCache>`
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ip.Wccp, self).__init__()

                        self.yang_name = "wccp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.Loopback.Ip.Wccp.WebCache), "redirect" : ("redirect", Native.Interface.Loopback.Ip.Wccp.Redirect)}
                        self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.Loopback.Ip.Wccp.WccpList), "vrf" : ("vrf", Native.Interface.Loopback.Ip.Wccp.Vrf)}

                        self.web_cache = Native.Interface.Loopback.Ip.Wccp.WebCache()
                        self.web_cache.parent = self
                        self._children_name_map["web_cache"] = "web-cache"
                        self._children_yang_names.add("web-cache")

                        self.redirect = Native.Interface.Loopback.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.wccp_list = YList(self)
                        self.vrf = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-wccp:wccp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ip.Wccp, [], name, value)


                    class WccpList(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Wccp.WccpList, self).__init__()

                            self.yang_name = "wccp-list"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Loopback.Ip.Wccp.WccpList.Redirect)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.Loopback.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Wccp.WccpList, ['id', 'group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Wccp.WccpList.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "wccp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Wccp.WccpList.Redirect, ['in_', 'out'], name, value)


                    class WebCache(Entity):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Wccp.WebCache, self).__init__()

                            self.yang_name = "web-cache"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Loopback.Ip.Wccp.WebCache.Redirect)}
                            self._child_list_classes = {}

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.Loopback.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "web-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Wccp.WebCache, ['group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Wccp.WebCache.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "web-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Wccp.WebCache.Redirect, ['in_', 'out'], name, value)


                    class Redirect(Entity):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:  :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Wccp.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"exclude" : ("exclude", Native.Interface.Loopback.Ip.Wccp.Redirect.Exclude)}
                            self._child_list_classes = {}

                            self.exclude = Native.Interface.Loopback.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self
                            self._children_name_map["exclude"] = "exclude"
                            self._children_yang_names.add("exclude")
                            self._segment_path = lambda: "redirect"


                        class Exclude(Entity):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Wccp.Redirect.Exclude, self).__init__()

                                self.yang_name = "exclude"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "exclude"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Wccp.Redirect.Exclude, ['in_'], name, value)


                    class Vrf(Entity):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ip.Wccp.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache)}
                            self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList)}

                            self.name = YLeaf(YType.str, "name")

                            self.web_cache = Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self
                            self._children_name_map["web_cache"] = "web-cache"
                            self._children_yang_names.add("web-cache")

                            self.wccp_list = YList(self)
                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ip.Wccp.Vrf, ['name'], name, value)


                        class WccpList(Entity):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList, self).__init__()

                                self.yang_name = "wccp-list"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList.Redirect)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint8, "id")

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList, ['id', 'group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "wccp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ip.Wccp.Vrf.WccpList.Redirect, ['in_', 'out'], name, value)


                        class WebCache(Entity):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache, self).__init__()

                                self.yang_name = "web-cache"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache.Redirect)}
                                self._child_list_classes = {}

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "web-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache, ['group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "web-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ip.Wccp.Vrf.WebCache.Redirect, ['in_', 'out'], name, value)


            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.TrafficFilter>`
                
                .. attribute:: crypto
                
                	Encryption/Decryption commands
                	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Crypto>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Flow>`
                
                .. attribute:: no_pim
                
                	
                	**type**\:  :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.NoPim>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Pim>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf>`
                
                .. attribute:: rip
                
                	Configure RIP routing protocol
                	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Rip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.Loopback.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.Loopback.Ipv6.Dhcp), "address" : ("address", Native.Interface.Loopback.Ipv6.Address), "nd" : ("nd", Native.Interface.Loopback.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.Loopback.Ipv6.Tcp), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.Loopback.Ipv6.Crypto), "Cisco-IOS-XE-flow:flow" : ("flow", Native.Interface.Loopback.Ipv6.Flow), "Cisco-IOS-XE-multicast:no-pim" : ("no_pim", Native.Interface.Loopback.Ipv6.NoPim), "Cisco-IOS-XE-multicast:pim" : ("pim", Native.Interface.Loopback.Ipv6.Pim), "Cisco-IOS-XE-ospf:ospf" : ("ospf", Native.Interface.Loopback.Ipv6.Ospf)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.Loopback.Ipv6.TrafficFilter), "Cisco-IOS-XE-rip:rip" : ("rip", Native.Interface.Loopback.Ipv6.Rip)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.Loopback.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.Loopback.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.Loopback.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.Loopback.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.crypto = Native.Interface.Loopback.Ipv6.Crypto()
                    self.crypto.parent = self
                    self._children_name_map["crypto"] = "crypto"
                    self._children_yang_names.add("crypto")

                    self.flow = Native.Interface.Loopback.Ipv6.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.no_pim = Native.Interface.Loopback.Ipv6.NoPim()
                    self.no_pim.parent = self
                    self._children_name_map["no_pim"] = "no-pim"
                    self._children_yang_names.add("no-pim")

                    self.pim = Native.Interface.Loopback.Ipv6.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.ospf = Native.Interface.Loopback.Ipv6.Ospf()
                    self.ospf.parent = self
                    self._children_name_map["ospf"] = "ospf"
                    self._children_yang_names.add("ospf")

                    self.traffic_filter = YList(self)
                    self.rip = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: client
                    
                    	Act as an IPv6 DHCP client
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Dhcp.Client>`
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of  		 :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Dhcp.Server>`
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.Loopback.Ipv6.Dhcp.Client), "Cisco-IOS-XE-dhcp:guard" : ("guard", Native.Interface.Loopback.Ipv6.Dhcp.Guard)}
                        self._child_list_classes = {"Cisco-IOS-XE-dhcp:server" : ("server", Native.Interface.Loopback.Ipv6.Dhcp.Server)}

                        self.client = Native.Interface.Loopback.Ipv6.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.guard = None
                        self._children_name_map["guard"] = "guard"
                        self._children_yang_names.add("guard")

                        self.server = YList(self)
                        self._segment_path = lambda: "dhcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ipv6.Dhcp, [], name, value)


                    class Client(Entity):
                        """
                        Act as an IPv6 DHCP client
                        
                        .. attribute:: request
                        
                        	Request
                        	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Dhcp.Client.Request>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"request" : ("request", Native.Interface.Loopback.Ipv6.Dhcp.Client.Request)}
                            self._child_list_classes = {}

                            self.request = Native.Interface.Loopback.Ipv6.Dhcp.Client.Request()
                            self.request.parent = self
                            self._children_name_map["request"] = "request"
                            self._children_yang_names.add("request")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"


                        class Request(Entity):
                            """
                            Request
                            
                            .. attribute:: vendor
                            
                            	Request Vendor specific options
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ipv6.Dhcp.Client.Request, self).__init__()

                                self.yang_name = "request"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vendor = YLeaf(YType.empty, "vendor")
                                self._segment_path = lambda: "request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ipv6.Dhcp.Client.Request, ['vendor'], name, value)


                    class Server(Entity):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Dhcp.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.preference = YLeaf(YType.uint8, "preference")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:server" + "[word='" + self.word.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Dhcp.Server, ['word', 'preference'], name, value)


                    class Guard(Entity):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Dhcp.Guard, self).__init__()

                            self.yang_name = "guard"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:guard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Dhcp.Guard, ['attach_policy'], name, value)


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.Loopback.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.Loopback.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.Loopback.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.Loopback.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:  :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Nd.Raguard>`
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:  :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Nd.Ra>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-nd:raguard" : ("raguard", Native.Interface.Loopback.Ipv6.Nd.Raguard), "Cisco-IOS-XE-nd:autoconfig" : ("autoconfig", Native.Interface.Loopback.Ipv6.Nd.Autoconfig), "Cisco-IOS-XE-nd:ra" : ("ra", Native.Interface.Loopback.Ipv6.Nd.Ra)}
                        self._child_list_classes = {}

                        self.managed_config_flag = YLeaf(YType.empty, "Cisco-IOS-XE-nd:managed-config-flag")

                        self.raguard = Native.Interface.Loopback.Ipv6.Nd.Raguard()
                        self.raguard.parent = self
                        self._children_name_map["raguard"] = "raguard"
                        self._children_yang_names.add("raguard")

                        self.autoconfig = Native.Interface.Loopback.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.ra = Native.Interface.Loopback.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self._children_name_map["ra"] = "ra"
                        self._children_yang_names.add("ra")
                        self._segment_path = lambda: "nd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ipv6.Nd, ['managed_config_flag'], name, value)


                    class Raguard(Entity):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Nd.Raguard, self).__init__()

                            self.yang_name = "raguard"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:raguard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Nd.Raguard, ['attach_policy'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Nd.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.default_route = YLeaf(YType.empty, "default-route")

                            self.prefix = YLeaf(YType.empty, "prefix")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Nd.Autoconfig, ['default_route', 'prefix'], name, value)


                    class Ra(Entity):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Nd.Ra, self).__init__()

                            self.yang_name = "ra"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"suppress" : ("suppress", Native.Interface.Loopback.Ipv6.Nd.Ra.Suppress)}
                            self._child_list_classes = {}

                            self.suppress = None
                            self._children_name_map["suppress"] = "suppress"
                            self._children_yang_names.add("suppress")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:ra"


                        class Suppress(Entity):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-04-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ipv6.Nd.Ra.Suppress, self).__init__()

                                self.yang_name = "suppress"
                                self.yang_parent_name = "ra"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.all = YLeaf(YType.empty, "all")
                                self._segment_path = lambda: "suppress"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ipv6.Nd.Ra.Suppress, ['all'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class Crypto(Entity):
                    """
                    Encryption/Decryption commands
                    
                    .. attribute:: map
                    
                    	Assign an IPv6  Crypto Map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ipv6.Crypto, self).__init__()

                        self.yang_name = "crypto"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.map = YLeaf(YType.str, "map")
                        self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ipv6.Crypto, ['map'], name, value)


                class Flow(Entity):
                    """
                    NetFlow related commands
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ipv6.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"monitor" : ("monitor", Native.Interface.Loopback.Ipv6.Flow.Monitor)}

                        self.ingress = YLeaf(YType.empty, "ingress")

                        self.egress = YLeaf(YType.empty, "egress")

                        self.monitor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-flow:flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ipv6.Flow, ['ingress', 'egress'], name, value)


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of  		 :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler>`
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"sampler" : ("sampler", Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler)}

                            self.name = YLeaf(YType.str, "name")

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.sampler = YList(self)
                            self._segment_path = lambda: "monitor" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Flow.Monitor, ['name', 'input', 'output', 'multicast', 'unicast'], name, value)


                        class Sampler(Entity):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler.Direction>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler, self).__init__()

                                self.yang_name = "sampler"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.direction = YLeaf(YType.enumeration, "direction")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "sampler" + "[direction='" + self.direction.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ipv6.Flow.Monitor.Sampler, ['direction', 'name'], name, value)

                            class Direction(Enum):
                                """
                                Direction

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = Enum.YLeaf(0, "input")

                                output = Enum.YLeaf(1, "output")



                class NoPim(Entity):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ipv6.NoPim, self).__init__()

                        self.yang_name = "no-pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pim = YLeaf(YType.boolean, "pim")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:no-pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ipv6.NoPim, ['pim'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:  :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ipv6.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bsr" : ("bsr", Native.Interface.Loopback.Ipv6.Pim.Bsr)}
                        self._child_list_classes = {}

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.dr_priority = YLeaf(YType.uint32, "dr-priority")

                        self.bsr = Native.Interface.Loopback.Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self._children_name_map["bsr"] = "bsr"
                        self._children_yang_names.add("bsr")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ipv6.Pim, ['bfd', 'dr_priority'], name, value)


                    class Bsr(Entity):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Pim.Bsr, self).__init__()

                            self.yang_name = "bsr"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.border = YLeaf(YType.empty, "border")
                            self._segment_path = lambda: "bsr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Pim.Bsr, ['border'], name, value)


                class Ospf(Entity):
                    """
                    OSPF interface commands
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: list of  		 :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Process>`
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: encryption
                    
                    	Enable encryption
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Network>`
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ipv6.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Loopback.Ipv6.Ospf.Authentication), "bfd" : ("bfd", Native.Interface.Loopback.Ipv6.Ospf.Bfd), "database-filter" : ("database_filter", Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.Loopback.Ipv6.Ospf.DemandCircuit), "encryption" : ("encryption", Native.Interface.Loopback.Ipv6.Ospf.Encryption), "flood-reduction" : ("flood_reduction", Native.Interface.Loopback.Ipv6.Ospf.FloodReduction), "mtu-ignore" : ("mtu_ignore", Native.Interface.Loopback.Ipv6.Ospf.MtuIgnore), "network" : ("network", Native.Interface.Loopback.Ipv6.Ospf.Network), "shutdown" : ("shutdown", Native.Interface.Loopback.Ipv6.Ospf.Shutdown)}
                        self._child_list_classes = {"process" : ("process", Native.Interface.Loopback.Ipv6.Ospf.Process), "neighbor" : ("neighbor", Native.Interface.Loopback.Ipv6.Ospf.Neighbor)}

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = Native.Interface.Loopback.Ipv6.Ospf.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.database_filter = Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.encryption = Native.Interface.Loopback.Ipv6.Ospf.Encryption()
                        self.encryption.parent = self
                        self._children_name_map["encryption"] = "encryption"
                        self._children_yang_names.add("encryption")

                        self.flood_reduction = None
                        self._children_name_map["flood_reduction"] = "flood-reduction"
                        self._children_yang_names.add("flood-reduction")

                        self.mtu_ignore = None
                        self._children_name_map["mtu_ignore"] = "mtu-ignore"
                        self._children_yang_names.add("mtu-ignore")

                        self.network = Native.Interface.Loopback.Ipv6.Ospf.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.shutdown = None
                        self._children_name_map["shutdown"] = "shutdown"
                        self._children_yang_names.add("shutdown")

                        self.process = YList(self)
                        self.neighbor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-ospf:ospf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf, ['cost', 'dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                    class Process(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: instance
                        
                        	Set the OSPF instance
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..31
                        
                        		**type**\: int
                        
                        			**range:** 32..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Ospf.Process, self).__init__()

                            self.yang_name = "process"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint16, "id")

                            self.area = YLeaf(YType.str, "area")

                            self.instance = YLeaf(YType.str, "instance")
                            self._segment_path = lambda: "process" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Process, ['id', 'area', 'instance'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec authentication
                        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Ospf.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec)}
                            self._child_list_classes = {}

                            self.null = YLeaf(YType.empty, "null")

                            self.ipsec = Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec()
                            self.ipsec.parent = self
                            self._children_name_map["ipsec"] = "ipsec"
                            self._children_yang_names.add("ipsec")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Authentication, ['null'], name, value)


                        class Ipsec(Entity):
                            """
                            Use IPsec authentication
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\: int
                            
                            	**range:** 256..4294967295
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5>`
                            
                            .. attribute:: sha1
                            
                            	Use SHA\-1 authentication
                            	**type**\:  :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec, self).__init__()

                                self.yang_name = "ipsec"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"md5" : ("md5", Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5), "sha1" : ("sha1", Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1)}
                                self._child_list_classes = {}

                                self.spi = YLeaf(YType.uint64, "spi")

                                self.md5 = Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5()
                                self.md5.parent = self
                                self._children_name_map["md5"] = "md5"
                                self._children_yang_names.add("md5")

                                self.sha1 = Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1()
                                self.sha1.parent = self
                                self._children_name_map["sha1"] = "sha1"
                                self._children_yang_names.add("sha1")
                                self._segment_path = lambda: "ipsec"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec, ['spi'], name, value)


                            class Md5(Entity):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5, self).__init__()

                                    self.yang_name = "md5"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "md5"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "md5"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Sha1(Entity):
                                """
                                Use SHA\-1 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1, self).__init__()

                                    self.yang_name = "sha1"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "sha1"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "sha1"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Ospf.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Bfd, ['disable'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter.All>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.DatabaseFilter, ['all', 'disable'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                    class DemandCircuit(Entity):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Ospf.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.DemandCircuit, ['disable', 'ignore'], name, value)


                    class Encryption(Entity):
                        """
                        Enable encryption
                        
                        .. attribute:: null
                        
                        	No IPsec encryption on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec encryption
                        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Ospf.Encryption, self).__init__()

                            self.yang_name = "encryption"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec)}
                            self._child_list_classes = {}

                            self.null = YLeaf(YType.empty, "null")

                            self.ipsec = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec()
                            self.ipsec.parent = self
                            self._children_name_map["ipsec"] = "ipsec"
                            self._children_yang_names.add("ipsec")
                            self._segment_path = lambda: "encryption"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Encryption, ['null'], name, value)


                        class Ipsec(Entity):
                            """
                            Use IPsec encryption
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: esp
                            
                            	Use ESP encapsulation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipsec_3des
                            
                            	Use 3DES encryption
                            	**type**\:  :py:class:`Ipsec3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des>`
                            
                            .. attribute:: aes_cbc
                            
                            	Use AES\-CBC encryption
                            	**type**\:  :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec, self).__init__()

                                self.yang_name = "ipsec"
                                self.yang_parent_name = "encryption"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipsec_3des" : ("ipsec_3des", Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des), "aes-cbc" : ("aes_cbc", Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc)}
                                self._child_list_classes = {}

                                self.spi = YLeaf(YType.uint64, "spi")

                                self.esp = YLeaf(YType.empty, "esp")

                                self.ipsec_3des = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des()
                                self.ipsec_3des.parent = self
                                self._children_name_map["ipsec_3des"] = "ipsec_3des"
                                self._children_yang_names.add("ipsec_3des")

                                self.aes_cbc = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc()
                                self.aes_cbc.parent = self
                                self._children_name_map["aes_cbc"] = "aes-cbc"
                                self._children_yang_names.add("aes-cbc")
                                self._segment_path = lambda: "ipsec"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec, ['spi', 'esp'], name, value)


                            class Ipsec3Des(Entity):
                                """
                                Use 3DES encryption
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des, self).__init__()

                                    self.yang_name = "ipsec_3des"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "ipsec_3des"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "ipsec_3des"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class AesCbc(Entity):
                                """
                                Use AES\-CBC encryption
                                
                                .. attribute:: aes_cbc_128
                                
                                	Use 128 bit key
                                	**type**\:  :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128>`
                                
                                .. attribute:: aes_192
                                
                                	Use 192 bit key
                                	**type**\:  :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192>`
                                
                                .. attribute:: aes_256
                                
                                	Use 256 bit key
                                	**type**\:  :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc, self).__init__()

                                    self.yang_name = "aes-cbc"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"aes-cbc-128" : ("aes_cbc_128", Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128), "aes-192" : ("aes_192", Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192), "aes-256" : ("aes_256", Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256)}
                                    self._child_list_classes = {}

                                    self.aes_cbc_128 = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128()
                                    self.aes_cbc_128.parent = self
                                    self._children_name_map["aes_cbc_128"] = "aes-cbc-128"
                                    self._children_yang_names.add("aes-cbc-128")

                                    self.aes_192 = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192()
                                    self.aes_192.parent = self
                                    self._children_name_map["aes_192"] = "aes-192"
                                    self._children_yang_names.add("aes-192")

                                    self.aes_256 = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256()
                                    self.aes_256.parent = self
                                    self._children_name_map["aes_256"] = "aes-256"
                                    self._children_yang_names.add("aes-256")
                                    self._segment_path = lambda: "aes-cbc"


                                class AesCbc128(Entity):
                                    """
                                    Use 128 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128, self).__init__()

                                        self.yang_name = "aes-cbc-128"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-cbc-128"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-cbc-128"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                                class Aes192(Entity):
                                    """
                                    Use 192 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192, self).__init__()

                                        self.yang_name = "aes-192"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-192"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-192"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                                class Aes256(Entity):
                                    """
                                    Use 256 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256, self).__init__()

                                        self.yang_name = "aes-256"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-256"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-256"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                    class FloodReduction(Entity):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	Disable Flood Reduction on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Ospf.FloodReduction, self).__init__()

                            self.yang_name = "flood-reduction"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "flood-reduction"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.FloodReduction, ['disable'], name, value)


                    class MtuIgnore(Entity):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Ospf.MtuIgnore, self).__init__()

                            self.yang_name = "mtu-ignore"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "mtu-ignore"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.MtuIgnore, ['disable'], name, value)


                    class Neighbor(Entity):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Ospf.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint16, "cost")

                            self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.database_filter = Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter.All>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Neighbor.DatabaseFilter, ['all'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                    class Network(Entity):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Ospf.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Ospf.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.Loopback.Ipv6.Ospf.Network.PointToMultipoint)}
                            self._child_list_classes = {}

                            self.broadcast = YLeaf(YType.empty, "broadcast")

                            self.manet = YLeaf(YType.empty, "manet")

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                            self.point_to_point = YLeaf(YType.empty, "point-to-point")

                            self.point_to_multipoint = None
                            self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                            self._children_yang_names.add("point-to-multipoint")
                            self._segment_path = lambda: "network"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                        class PointToMultipoint(Entity):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ipv6.Ospf.Network.PointToMultipoint, self).__init__()

                                self.yang_name = "point-to-multipoint"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                self._segment_path = lambda: "point-to-multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Network.PointToMultipoint, ['non_broadcast'], name, value)


                    class Shutdown(Entity):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Ospf.Shutdown, self).__init__()

                            self.yang_name = "shutdown"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "shutdown"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Ospf.Shutdown, ['disable'], name, value)


                class Rip(Entity):
                    """
                    Configure RIP routing protocol
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: enable
                    
                    	Enable/disable RIP routing
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: default_information
                    
                    	Configure handling of default route
                    	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Rip.DefaultInformation>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ipv6.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default-information" : ("default_information", Native.Interface.Loopback.Ipv6.Rip.DefaultInformation)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.default_information = Native.Interface.Loopback.Ipv6.Rip.DefaultInformation()
                        self.default_information.parent = self
                        self._children_name_map["default_information"] = "default-information"
                        self._children_yang_names.add("default-information")
                        self._segment_path = lambda: "Cisco-IOS-XE-rip:rip" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ipv6.Rip, ['id', 'enable'], name, value)


                    class DefaultInformation(Entity):
                        """
                        Configure handling of default route
                        
                        .. attribute:: route
                        
                        	
                        	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ipv6.Rip.DefaultInformation.Route>`
                        
                        .. attribute:: metric
                        
                        	Default route metric
                        	**type**\: int
                        
                        	**range:** 1..15
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ipv6.Rip.DefaultInformation, self).__init__()

                            self.yang_name = "default-information"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.route = YLeaf(YType.enumeration, "route")

                            self.metric = YLeaf(YType.uint8, "metric")
                            self._segment_path = lambda: "default-information"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ipv6.Rip.DefaultInformation, ['route', 'metric'], name, value)

                        class Route(Enum):
                            """
                            Route

                            .. data:: only = 0

                            .. data:: originate = 1

                            """

                            only = Enum.YLeaf(0, "only")

                            originate = Enum.YLeaf(1, "originate")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.Loopback.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.Loopback.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.Loopback.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.Loopback.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.Loopback.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.Loopback.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Loopback.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.Loopback.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.Loopback.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.Loopback.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.Loopback.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.Loopback.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Loopback.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.Loopback.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.Loopback.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.Loopback.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.Loopback.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.Loopback.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.Loopback.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.Loopback.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.Loopback.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.Loopback.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.Loopback.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.Loopback.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.Loopback.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.Loopback.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.Loopback.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.Loopback.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.Loopback.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.Loopback.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.Loopback.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.Loopback.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.Loopback.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.Loopback.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.Loopback.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.Loopback.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.Loopback.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.Loopback.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.Loopback.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.Loopback.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.Loopback.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.Loopback.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.Loopback.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Loopback.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.Loopback.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Loopback.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Loopback.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Loopback.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Loopback.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Loopback.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.Loopback.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Loopback.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Loopback.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Loopback.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Loopback.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Loopback.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.Loopback.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.Loopback.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.Loopback.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.Loopback.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Loopback.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.Loopback.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.Loopback.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.Loopback.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.Loopback.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.Loopback.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Loopback.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.Loopback.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.Loopback.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Loopback.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.Loopback.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.Loopback.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Loopback.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.Loopback.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.Loopback.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Loopback.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.PmPath, ['name', 'interface_id'], name, value)


            class Snmp(Entity):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Loopback.Snmp, self).__init__()

                    self.yang_name = "snmp"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ifindex" : ("ifindex", Native.Interface.Loopback.Snmp.Ifindex), "trap" : ("trap", Native.Interface.Loopback.Snmp.Trap)}
                    self._child_list_classes = {}

                    self.ifindex = Native.Interface.Loopback.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self._children_name_map["ifindex"] = "ifindex"
                    self._children_yang_names.add("ifindex")

                    self.trap = Native.Interface.Loopback.Snmp.Trap()
                    self.trap.parent = self
                    self._children_name_map["trap"] = "trap"
                    self._children_yang_names.add("trap")
                    self._segment_path = lambda: "Cisco-IOS-XE-snmp:snmp"


                class Ifindex(Entity):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Loopback.Snmp.Ifindex, self).__init__()

                        self.yang_name = "ifindex"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.persist = YLeaf(YType.empty, "persist")

                        self.clear = YLeaf(YType.boolean, "clear")
                        self._segment_path = lambda: "ifindex"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Snmp.Ifindex, ['persist', 'clear'], name, value)


                class Trap(Entity):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\: bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:  :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Loopback.Snmp.Trap, self).__init__()

                        self.yang_name = "trap"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-status-capas" : ("link_status_capas", Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas)}
                        self._child_list_classes = {}

                        self.link_status = YLeaf(YType.boolean, "link-status")

                        self.link_status_capas = Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self
                        self._children_name_map["link_status_capas"] = "link-status-capas"
                        self._children_yang_names.add("link-status-capas")
                        self._segment_path = lambda: "trap"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Snmp.Trap, ['link_status'], name, value)


                    class LinkStatusCapas(Entity):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:  :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas, self).__init__()

                            self.yang_name = "link-status-capas"
                            self.yang_parent_name = "trap"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"link-status" : ("link_status", Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus)}
                            self._child_list_classes = {}

                            self.link_status = Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self
                            self._children_name_map["link_status"] = "link-status"
                            self._children_yang_names.add("link-status")
                            self._segment_path = lambda: "link-status-capas"


                        class LinkStatus(Entity):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus, self).__init__()

                                self.yang_name = "link-status"
                                self.yang_parent_name = "link-status-capas"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"permit" : ("permit", Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit)}
                                self._child_list_classes = {}

                                self.permit = Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self
                                self._children_name_map["permit"] = "permit"
                                self._children_yang_names.add("permit")
                                self._segment_path = lambda: "link-status"


                            class Permit(Entity):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, self).__init__()

                                    self.yang_name = "permit"
                                    self.yang_parent_name = "link-status"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.duplicates = YLeaf(YType.empty, "duplicates")
                                    self._segment_path = lambda: "permit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, ['duplicates'], name, value)


            class Crypto(Entity):
                """
                Encryption/Decryption commands
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Crypto.Map>`
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Crypto.Ipsec>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Interface.Loopback.Crypto, self).__init__()

                    self.yang_name = "crypto"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"map" : ("map", Native.Interface.Loopback.Crypto.Map), "ipsec" : ("ipsec", Native.Interface.Loopback.Crypto.Ipsec)}
                    self._child_list_classes = {}

                    self.map = Native.Interface.Loopback.Crypto.Map()
                    self.map.parent = self
                    self._children_name_map["map"] = "map"
                    self._children_yang_names.add("map")

                    self.ipsec = Native.Interface.Loopback.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self._children_name_map["ipsec"] = "ipsec"
                    self._children_yang_names.add("ipsec")
                    self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"


                class Map(Entity):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\: str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.Loopback.Crypto.Map, self).__init__()

                        self.yang_name = "map"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.str, "tag")

                        self.redundancy = YLeaf(YType.str, "redundancy")

                        self.stateful = YLeaf(YType.empty, "stateful")
                        self._segment_path = lambda: "map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Crypto.Map, ['tag', 'redundancy', 'stateful'], name, value)


                class Ipsec(Entity):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:  :py:class:`DfBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Crypto.Ipsec.DfBit>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Crypto.Ipsec.Fragmentation>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.Loopback.Crypto.Ipsec, self).__init__()

                        self.yang_name = "ipsec"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.df_bit = YLeaf(YType.enumeration, "df-bit")

                        self.fragmentation = YLeaf(YType.enumeration, "fragmentation")
                        self._segment_path = lambda: "ipsec"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Crypto.Ipsec, ['df_bit', 'fragmentation'], name, value)

                    class DfBit(Enum):
                        """
                        DfBit

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = Enum.YLeaf(0, "clear")

                        copy = Enum.YLeaf(1, "copy")

                        set = Enum.YLeaf(2, "set")


                    class Fragmentation(Enum):
                        """
                        Fragmentation

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = Enum.YLeaf(0, "after-encryption")

                        before_encryption = Enum.YLeaf(1, "before-encryption")



            class Cts(Entity):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:  :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Interface.Loopback.Cts, self).__init__()

                    self.yang_name = "cts"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"manual" : ("manual", Native.Interface.Loopback.Cts.Manual)}
                    self._child_list_classes = {}

                    self.manual = None
                    self._children_name_map["manual"] = "manual"
                    self._children_yang_names.add("manual")
                    self._segment_path = lambda: "Cisco-IOS-XE-cts:cts"


                class Manual(Entity):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Policy>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:  :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:  :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Propagate>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.Loopback.Cts.Manual, self).__init__()

                        self.yang_name = "manual"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"policy" : ("policy", Native.Interface.Loopback.Cts.Manual.Policy), "sap" : ("sap", Native.Interface.Loopback.Cts.Manual.Sap), "propagate" : ("propagate", Native.Interface.Loopback.Cts.Manual.Propagate)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.policy = Native.Interface.Loopback.Cts.Manual.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.sap = Native.Interface.Loopback.Cts.Manual.Sap()
                        self.sap.parent = self
                        self._children_name_map["sap"] = "sap"
                        self._children_yang_names.add("sap")

                        self.propagate = Native.Interface.Loopback.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self._children_name_map["propagate"] = "propagate"
                        self._children_yang_names.add("propagate")
                        self._segment_path = lambda: "manual"


                    class Policy(Entity):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.Loopback.Cts.Manual.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"static" : ("static", Native.Interface.Loopback.Cts.Manual.Policy.Static)}
                            self._child_list_classes = {}

                            self.static = Native.Interface.Loopback.Cts.Manual.Policy.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")
                            self._segment_path = lambda: "policy"


                        class Static(Entity):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted  incoming traffic
                            	**type**\: int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for  sending
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.Loopback.Cts.Manual.Policy.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sgt = YLeaf(YType.uint16, "sgt")

                                self.trusted = YLeaf(YType.empty, "trusted")
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Cts.Manual.Policy.Static, ['sgt', 'trusted'], name, value)


                    class Sap(Entity):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of  		 :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.Loopback.Cts.Manual.Sap, self).__init__()

                            self.yang_name = "sap"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"pmk" : ("pmk", Native.Interface.Loopback.Cts.Manual.Sap.Pmk)}

                            self.pmk = YList(self)
                            self._segment_path = lambda: "sap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Cts.Manual.Sap, [], name, value)


                        class Pmk(Entity):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:  :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.Loopback.Cts.Manual.Sap.Pmk, self).__init__()

                                self.yang_name = "pmk"
                                self.yang_parent_name = "sap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode-list" : ("mode_list", Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList)}
                                self._child_list_classes = {}

                                self.word = YLeaf(YType.str, "word")

                                self.mode_list = Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self
                                self._children_name_map["mode_list"] = "mode-list"
                                self._children_yang_names.add("mode-list")
                                self._segment_path = lambda: "pmk" + "[word='" + self.word.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Cts.Manual.Sap.Pmk, ['word'], name, value)


                            class ModeList(Entity):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:  :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:  :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-06-29'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList, self).__init__()

                                    self.yang_name = "mode-list"
                                    self.yang_parent_name = "pmk"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"gcm-encrypt" : ("gcm_encrypt", Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt), "no-encap" : ("no_encap", Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap)}
                                    self._child_list_classes = {}

                                    self.gcm_encrypt = None
                                    self._children_name_map["gcm_encrypt"] = "gcm-encrypt"
                                    self._children_yang_names.add("gcm-encrypt")

                                    self.no_encap = None
                                    self._children_name_map["no_encap"] = "no-encap"
                                    self._children_yang_names.add("no-encap")
                                    self._segment_path = lambda: "mode-list"


                                class GcmEncrypt(Entity):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt, self).__init__()

                                        self.yang_name = "gcm-encrypt"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "gcm-encrypt"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,  no encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "gcm-encrypt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.null = YLeaf(YType.empty, "null")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, ['null'], name, value)


                                class NoEncap(Entity):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap, self).__init__()

                                        self.yang_name = "no-encap"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "no-encap"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "no-encap"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.gcm_encrypt = YLeaf(YType.empty, "gcm-encrypt")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, ['gcm_encrypt'], name, value)


                    class Propagate(Entity):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.Loopback.Cts.Manual.Propagate, self).__init__()

                            self.yang_name = "propagate"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sgt = YLeaf(YType.boolean, "sgt")
                            self._segment_path = lambda: "propagate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Cts.Manual.Propagate, ['sgt'], name, value)


            class Performance(Entity):
                """
                Global performance monitor configuration
                
                .. attribute:: monitor
                
                	monitor
                	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Performance.Monitor>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Loopback.Performance, self).__init__()

                    self.yang_name = "performance"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"monitor" : ("monitor", Native.Interface.Loopback.Performance.Monitor)}
                    self._child_list_classes = {}

                    self.monitor = Native.Interface.Loopback.Performance.Monitor()
                    self.monitor.parent = self
                    self._children_name_map["monitor"] = "monitor"
                    self._children_yang_names.add("monitor")
                    self._segment_path = lambda: "Cisco-IOS-XE-ezpm:performance"


                class Monitor(Entity):
                    """
                    monitor
                    
                    .. attribute:: context
                    
                    	Select ezPM context
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Loopback.Performance.Monitor, self).__init__()

                        self.yang_name = "monitor"
                        self.yang_parent_name = "performance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.context = YLeafList(YType.str, "context")
                        self._segment_path = lambda: "monitor"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Performance.Monitor, ['context'], name, value)


            class ServicePolicy(Entity):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\: str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\: str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Interface.Loopback.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.Interface.Loopback.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.history = YLeaf(YType.empty, "history")

                    self.input = YLeaf(YType.str, "input")

                    self.output = YLeaf(YType.str, "output")

                    self.type = Native.Interface.Loopback.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.ServicePolicy, ['history', 'input', 'output'], name, value)


                class Type(Entity):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Interface.Loopback.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"control" : ("control", Native.Interface.Loopback.ServicePolicy.Type.Control), "performance-monitor" : ("performance_monitor", Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor), "service-chain" : ("service_chain", Native.Interface.Loopback.ServicePolicy.Type.ServiceChain)}
                        self._child_list_classes = {}

                        self.control = Native.Interface.Loopback.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self._children_name_map["control"] = "control"
                        self._children_yang_names.add("control")

                        self.performance_monitor = Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.service_chain = Native.Interface.Loopback.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self
                        self._children_name_map["service_chain"] = "service-chain"
                        self._children_yang_names.add("service-chain")
                        self._segment_path = lambda: "type"


                    class Control(Entity):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Loopback.ServicePolicy.Type.Control, self).__init__()

                            self.yang_name = "control"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.subscriber = YLeaf(YType.str, "subscriber")
                            self._segment_path = lambda: "control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.ServicePolicy.Type.Control, ['subscriber'], name, value)


                    class PerformanceMonitor(Entity):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor.Direction>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "performance-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.ServicePolicy.Type.PerformanceMonitor, ['direction', 'name'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



                    class ServiceChain(Entity):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Loopback.ServicePolicy.Type.ServiceChain, self).__init__()

                            self.yang_name = "service-chain"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Input), "output" : ("output", Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Output)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "service-chain"


                        class Input(Entity):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.ServicePolicy.Type.ServiceChain.Output, ['name'], name, value)


            class Lisp(Entity):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:  :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Interface.Loopback.Lisp, self).__init__()

                    self.yang_name = "lisp"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"mobility" : ("mobility", Native.Interface.Loopback.Lisp.Mobility)}
                    self._child_list_classes = {}

                    self.extended_subnet_mode = YLeaf(YType.empty, "extended-subnet-mode")

                    self.mobility = Native.Interface.Loopback.Lisp.Mobility()
                    self.mobility.parent = self
                    self._children_name_map["mobility"] = "mobility"
                    self._children_yang_names.add("mobility")
                    self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Lisp, ['extended_subnet_mode'], name, value)


                class Mobility(Entity):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:  :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:  :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Lisp.Mobility.Discover>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:  :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Lisp.Mobility, self).__init__()

                        self.yang_name = "mobility"
                        self.yang_parent_name = "lisp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dynamic-eid" : ("dynamic_eid", Native.Interface.Loopback.Lisp.Mobility.DynamicEid), "discover" : ("discover", Native.Interface.Loopback.Lisp.Mobility.Discover), "liveness" : ("liveness", Native.Interface.Loopback.Lisp.Mobility.Liveness)}
                        self._child_list_classes = {}

                        self.dynamic_eid = Native.Interface.Loopback.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self._children_name_map["dynamic_eid"] = "dynamic-eid"
                        self._children_yang_names.add("dynamic-eid")

                        self.discover = Native.Interface.Loopback.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self._children_name_map["discover"] = "discover"
                        self._children_yang_names.add("discover")

                        self.liveness = Native.Interface.Loopback.Lisp.Mobility.Liveness()
                        self.liveness.parent = self
                        self._children_name_map["liveness"] = "liveness"
                        self._children_yang_names.add("liveness")
                        self._segment_path = lambda: "mobility"


                    class DynamicEid(Entity):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\: int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Lisp.Mobility.DynamicEid, self).__init__()

                            self.yang_name = "dynamic-eid"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dynamic_eid_name = YLeaf(YType.str, "dynamic-eid-name")

                            self.nbr_proxy_reply = YLeaf(YType.empty, "nbr-proxy-reply")

                            self.requests = YLeaf(YType.uint8, "requests")
                            self._segment_path = lambda: "dynamic-eid"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Lisp.Mobility.DynamicEid, ['dynamic_eid_name', 'nbr_proxy_reply', 'requests'], name, value)


                    class Discover(Entity):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Lisp.Mobility.Discover, self).__init__()

                            self.yang_name = "discover"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.arp = YLeaf(YType.boolean, "arp")
                            self._segment_path = lambda: "discover"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Lisp.Mobility.Discover, ['arp'], name, value)


                    class Liveness(Entity):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\: bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\: int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Lisp.Mobility.Liveness, self).__init__()

                            self.yang_name = "liveness"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.test = YLeaf(YType.boolean, "test")

                            self.ttl = YLeaf(YType.uint8, "ttl")
                            self._segment_path = lambda: "liveness"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Lisp.Mobility.Liveness, ['test', 'ttl'], name, value)


            class Ospfv3(Entity):
                """
                OSPFv3 interface commands
                
                .. attribute:: process_id
                
                	
                	**type**\: list of  		 :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId>`
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication>`
                
                .. attribute:: bfd
                
                	Enable BFD on this interface
                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Bfd>`
                
                	**presence node**\: True
                
                .. attribute:: cost
                
                	Route cost of this interface
                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost>`
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding
                	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.DatabaseFilter>`
                
                .. attribute:: dead_interval
                
                	Interval after which a neighbor is declared dead
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: demand_circuit
                
                	OSPF Demand Circuit
                	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.DemandCircuit>`
                
                	**presence node**\: True
                
                .. attribute:: encryption
                
                	Enable encryption
                	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption>`
                
                .. attribute:: flood_reduction
                
                	OSPF Flood Reduction
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hello_interval
                
                	Time between HELLO packets
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: manet
                
                	Mobile Adhoc Networking options
                	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Manet>`
                
                .. attribute:: mtu_ignore
                
                	Ignores the MTU in DBD packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: multi_area
                
                	Set the OSPF multi\-area ID
                	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.MultiArea>`
                
                .. attribute:: neighbor
                
                	OSPF neighbor
                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Neighbor>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Network>`
                
                .. attribute:: prefix_suppression
                
                	OSPF prefix suppression
                	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.PrefixSuppression>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Router priority
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: retransmit_interval
                
                	Time between retransmitting lost link state advertisements
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Shut down the interface in OSPFv3
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transmit_delay
                
                	Link state transmit delay
                	**type**\: int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Interface.Loopback.Ospfv3, self).__init__()

                    self.yang_name = "ospfv3"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Loopback.Ospfv3.Authentication), "bfd" : ("bfd", Native.Interface.Loopback.Ospfv3.Bfd), "cost" : ("cost", Native.Interface.Loopback.Ospfv3.Cost), "database-filter" : ("database_filter", Native.Interface.Loopback.Ospfv3.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.Loopback.Ospfv3.DemandCircuit), "encryption" : ("encryption", Native.Interface.Loopback.Ospfv3.Encryption), "manet" : ("manet", Native.Interface.Loopback.Ospfv3.Manet), "multi-area" : ("multi_area", Native.Interface.Loopback.Ospfv3.MultiArea), "network" : ("network", Native.Interface.Loopback.Ospfv3.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.Loopback.Ospfv3.PrefixSuppression)}
                    self._child_list_classes = {"process-id" : ("process_id", Native.Interface.Loopback.Ospfv3.ProcessId), "neighbor" : ("neighbor", Native.Interface.Loopback.Ospfv3.Neighbor)}

                    self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                    self.flood_reduction = YLeaf(YType.empty, "flood-reduction")

                    self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                    self.mtu_ignore = YLeaf(YType.empty, "mtu-ignore")

                    self.priority = YLeaf(YType.uint8, "priority")

                    self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                    self.shutdown = YLeaf(YType.empty, "shutdown")

                    self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                    self.authentication = Native.Interface.Loopback.Ospfv3.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.bfd = None
                    self._children_name_map["bfd"] = "bfd"
                    self._children_yang_names.add("bfd")

                    self.cost = Native.Interface.Loopback.Ospfv3.Cost()
                    self.cost.parent = self
                    self._children_name_map["cost"] = "cost"
                    self._children_yang_names.add("cost")

                    self.database_filter = Native.Interface.Loopback.Ospfv3.DatabaseFilter()
                    self.database_filter.parent = self
                    self._children_name_map["database_filter"] = "database-filter"
                    self._children_yang_names.add("database-filter")

                    self.demand_circuit = None
                    self._children_name_map["demand_circuit"] = "demand-circuit"
                    self._children_yang_names.add("demand-circuit")

                    self.encryption = Native.Interface.Loopback.Ospfv3.Encryption()
                    self.encryption.parent = self
                    self._children_name_map["encryption"] = "encryption"
                    self._children_yang_names.add("encryption")

                    self.manet = Native.Interface.Loopback.Ospfv3.Manet()
                    self.manet.parent = self
                    self._children_name_map["manet"] = "manet"
                    self._children_yang_names.add("manet")

                    self.multi_area = Native.Interface.Loopback.Ospfv3.MultiArea()
                    self.multi_area.parent = self
                    self._children_name_map["multi_area"] = "multi-area"
                    self._children_yang_names.add("multi-area")

                    self.network = Native.Interface.Loopback.Ospfv3.Network()
                    self.network.parent = self
                    self._children_name_map["network"] = "network"
                    self._children_yang_names.add("network")

                    self.prefix_suppression = None
                    self._children_name_map["prefix_suppression"] = "prefix-suppression"
                    self._children_yang_names.add("prefix-suppression")

                    self.process_id = YList(self)
                    self.neighbor = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-ospfv3:ospfv3"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.Ospfv3, ['dead_interval', 'flood_reduction', 'hello_interval', 'mtu_ignore', 'priority', 'retransmit_interval', 'shutdown', 'transmit_delay'], name, value)


                class ProcessId(Entity):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost>`
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: manet
                    
                    	Mobile Adhoc Networking options
                    	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Manet>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.MultiArea>`
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Network>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipv4
                    
                    	Specify parameters for IPv4
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Specify parameters for IPv6
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ospfv3.ProcessId, self).__init__()

                        self.yang_name = "process-id"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Loopback.Ospfv3.ProcessId.Authentication), "bfd" : ("bfd", Native.Interface.Loopback.Ospfv3.ProcessId.Bfd), "cost" : ("cost", Native.Interface.Loopback.Ospfv3.ProcessId.Cost), "database-filter" : ("database_filter", Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.Loopback.Ospfv3.ProcessId.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.Loopback.Ospfv3.ProcessId.FloodReduction), "manet" : ("manet", Native.Interface.Loopback.Ospfv3.ProcessId.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.Loopback.Ospfv3.ProcessId.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.Loopback.Ospfv3.ProcessId.MultiArea), "network" : ("network", Native.Interface.Loopback.Ospfv3.ProcessId.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.Loopback.Ospfv3.ProcessId.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.Loopback.Ospfv3.ProcessId.Shutdown), "ipv4" : ("ipv4", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4), "ipv6" : ("ipv6", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6)}
                        self._child_list_classes = {"neighbor" : ("neighbor", Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor)}

                        self.id = YLeaf(YType.uint16, "id")

                        self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = Native.Interface.Loopback.Ospfv3.ProcessId.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.cost = Native.Interface.Loopback.Ospfv3.ProcessId.Cost()
                        self.cost.parent = self
                        self._children_name_map["cost"] = "cost"
                        self._children_yang_names.add("cost")

                        self.database_filter = Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.flood_reduction = None
                        self._children_name_map["flood_reduction"] = "flood-reduction"
                        self._children_yang_names.add("flood-reduction")

                        self.manet = Native.Interface.Loopback.Ospfv3.ProcessId.Manet()
                        self.manet.parent = self
                        self._children_name_map["manet"] = "manet"
                        self._children_yang_names.add("manet")

                        self.mtu_ignore = None
                        self._children_name_map["mtu_ignore"] = "mtu-ignore"
                        self._children_yang_names.add("mtu-ignore")

                        self.multi_area = Native.Interface.Loopback.Ospfv3.ProcessId.MultiArea()
                        self.multi_area.parent = self
                        self._children_name_map["multi_area"] = "multi-area"
                        self._children_yang_names.add("multi-area")

                        self.network = Native.Interface.Loopback.Ospfv3.ProcessId.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.prefix_suppression = None
                        self._children_name_map["prefix_suppression"] = "prefix-suppression"
                        self._children_yang_names.add("prefix-suppression")

                        self.shutdown = None
                        self._children_name_map["shutdown"] = "shutdown"
                        self._children_yang_names.add("shutdown")

                        self.ipv4 = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.neighbor = YList(self)
                        self._segment_path = lambda: "process-id" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId, ['id', 'dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\: str
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.null = YLeaf(YType.empty, "null")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Authentication, ['key_chain', 'null'], name, value)


                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Bfd, ['disable'], name, value)


                    class Cost(Entity):
                        """
                        Route cost of this interface
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: dynamic
                        
                        	Specify dynamic cost options
                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Cost, self).__init__()

                            self.yang_name = "cost"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic)}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint32, "value")

                            self.dynamic = None
                            self._children_name_map["dynamic"] = "dynamic"
                            self._children_yang_names.add("dynamic")
                            self._segment_path = lambda: "cost"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Cost, ['value'], name, value)


                        class Dynamic(Entity):
                            """
                            Specify dynamic cost options
                            
                            .. attribute:: default
                            
                            	Specify default link metric value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: hysteresis
                            
                            	Specify hysteresis value for LSA dampening
                            	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: weight
                            
                            	Specify weight to be placed on individual metrics
                            	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic, self).__init__()

                                self.yang_name = "dynamic"
                                self.yang_parent_name = "cost"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.default = YLeaf(YType.uint32, "default")

                                self.hysteresis = None
                                self._children_name_map["hysteresis"] = "hysteresis"
                                self._children_yang_names.add("hysteresis")

                                self.weight = Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight()
                                self.weight.parent = self
                                self._children_name_map["weight"] = "weight"
                                self._children_yang_names.add("weight")
                                self._segment_path = lambda: "dynamic"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic, ['default'], name, value)


                            class Hysteresis(Entity):
                                """
                                Specify hysteresis value for LSA dampening
                                
                                .. attribute:: percent
                                
                                	Specify hysteresis percent changed
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold
                                
                                	Specify hysteresis threshold value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis, self).__init__()

                                    self.yang_name = "hysteresis"
                                    self.yang_parent_name = "dynamic"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.percent = YLeaf(YType.uint8, "percent")

                                    self.threshold = YLeaf(YType.uint32, "threshold")
                                    self._segment_path = lambda: "hysteresis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                            class Weight(Entity):
                                """
                                Specify weight to be placed on individual metrics
                                
                                .. attribute:: l2_factor
                                
                                	Specify weight to be given to L2\-factor metric
                                	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: latency
                                
                                	Specify weight to be given to latency metric
                                	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: resources
                                
                                	Specify weight to be given to resources metric
                                	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: throughput
                                
                                	Specify weight to be given to throughput metric
                                	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight, self).__init__()

                                    self.yang_name = "weight"
                                    self.yang_parent_name = "dynamic"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput)}
                                    self._child_list_classes = {}

                                    self.l2_factor = None
                                    self._children_name_map["l2_factor"] = "L2-factor"
                                    self._children_yang_names.add("L2-factor")

                                    self.latency = None
                                    self._children_name_map["latency"] = "latency"
                                    self._children_yang_names.add("latency")

                                    self.resources = None
                                    self._children_name_map["resources"] = "resources"
                                    self._children_yang_names.add("resources")

                                    self.throughput = None
                                    self._children_name_map["throughput"] = "throughput"
                                    self._children_yang_names.add("throughput")
                                    self._segment_path = lambda: "weight"


                                class L2Factor(Entity):
                                    """
                                    Specify weight to be given to L2\-factor metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                        self.yang_name = "L2-factor"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "L2-factor"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                class Latency(Entity):
                                    """
                                    Specify weight to be given to latency metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency, self).__init__()

                                        self.yang_name = "latency"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "latency"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                class Resources(Entity):
                                    """
                                    Specify weight to be given to resources metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources, self).__init__()

                                        self.yang_name = "resources"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "resources"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                class Throughput(Entity):
                                    """
                                    Specify weight to be given to throughput metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput, self).__init__()

                                        self.yang_name = "throughput"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "throughput"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter.All>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.DatabaseFilter, ['all', 'disable'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                    class DemandCircuit(Entity):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.DemandCircuit, ['disable', 'ignore'], name, value)


                    class FloodReduction(Entity):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.FloodReduction, self).__init__()

                            self.yang_name = "flood-reduction"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "flood-reduction"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.FloodReduction, ['disable'], name, value)


                    class Manet(Entity):
                        """
                        Mobile Adhoc Networking options
                        
                        .. attribute:: peering
                        
                        	MANET Peering options
                        	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Manet, self).__init__()

                            self.yang_name = "manet"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peering" : ("peering", Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering)}
                            self._child_list_classes = {}

                            self.peering = Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering()
                            self.peering.parent = self
                            self._children_name_map["peering"] = "peering"
                            self._children_yang_names.add("peering")
                            self._segment_path = lambda: "manet"


                        class Peering(Entity):
                            """
                            MANET Peering options
                            
                            .. attribute:: cost
                            
                            	Redundant path cost improvement required to peer
                            	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering.Cost>`
                            
                            .. attribute:: link_metrics
                            
                            	Require link metrics
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering, self).__init__()

                                self.yang_name = "peering"
                                self.yang_parent_name = "manet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cost" : ("cost", Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering.Cost)}
                                self._child_list_classes = {}

                                self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                self.cost = Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering.Cost()
                                self.cost.parent = self
                                self._children_name_map["cost"] = "cost"
                                self._children_yang_names.add("cost")
                                self._segment_path = lambda: "peering"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering, ['link_metrics'], name, value)


                            class Cost(Entity):
                                """
                                Redundant path cost improvement required to peer
                                
                                .. attribute:: percent
                                
                                	Relative incremental path cost
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                .. attribute:: threshold
                                
                                	Absolute incremental path cost
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering.Cost, self).__init__()

                                    self.yang_name = "cost"
                                    self.yang_parent_name = "peering"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.percent = YLeaf(YType.uint8, "percent")

                                    self.threshold = YLeaf(YType.uint32, "threshold")
                                    self._segment_path = lambda: "cost"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                    class MtuIgnore(Entity):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.MtuIgnore, self).__init__()

                            self.yang_name = "mtu-ignore"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "mtu-ignore"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.MtuIgnore, ['disable'], name, value)


                    class MultiArea(Entity):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: disable
                        
                        	disable OSPF multi\-area
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.MultiArea, self).__init__()

                            self.yang_name = "multi-area"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint32, "cost")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "multi-area"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.MultiArea, ['id', 'cost', 'disable'], name, value)


                    class Neighbor(Entity):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint16, "cost")

                            self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.database_filter = Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter.All>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Neighbor.DatabaseFilter, ['all'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                    class Network(Entity):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.Loopback.Ospfv3.ProcessId.Network.PointToMultipoint)}
                            self._child_list_classes = {}

                            self.broadcast = YLeaf(YType.empty, "broadcast")

                            self.manet = YLeaf(YType.empty, "manet")

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                            self.point_to_point = YLeaf(YType.empty, "point-to-point")

                            self.point_to_multipoint = None
                            self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                            self._children_yang_names.add("point-to-multipoint")
                            self._segment_path = lambda: "network"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                        class PointToMultipoint(Entity):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Network.PointToMultipoint, self).__init__()

                                self.yang_name = "point-to-multipoint"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                self._segment_path = lambda: "point-to-multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Network.PointToMultipoint, ['non_broadcast'], name, value)


                    class PrefixSuppression(Entity):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.PrefixSuppression, self).__init__()

                            self.yang_name = "prefix-suppression"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "prefix-suppression"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.PrefixSuppression, ['disable'], name, value)


                    class Shutdown(Entity):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Shutdown, self).__init__()

                            self.yang_name = "shutdown"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "shutdown"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Shutdown, ['disable'], name, value)


                    class Ipv4(Entity):
                        """
                        Specify parameters for IPv4
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Authentication), "bfd" : ("bfd", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Bfd), "cost" : ("cost", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost), "database-filter" : ("database_filter", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.FloodReduction), "manet" : ("manet", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MultiArea), "network" : ("network", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Shutdown)}
                            self._child_list_classes = {"area" : ("area", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Area), "neighbor" : ("neighbor", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor)}

                            self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                            self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                            self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                            self.authentication = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.bfd = None
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.cost = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")

                            self.database_filter = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")

                            self.demand_circuit = None
                            self._children_name_map["demand_circuit"] = "demand-circuit"
                            self._children_yang_names.add("demand-circuit")

                            self.flood_reduction = None
                            self._children_name_map["flood_reduction"] = "flood-reduction"
                            self._children_yang_names.add("flood-reduction")

                            self.manet = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.mtu_ignore = None
                            self._children_name_map["mtu_ignore"] = "mtu-ignore"
                            self._children_yang_names.add("mtu-ignore")

                            self.multi_area = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MultiArea()
                            self.multi_area.parent = self
                            self._children_name_map["multi_area"] = "multi-area"
                            self._children_yang_names.add("multi-area")

                            self.network = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network()
                            self.network.parent = self
                            self._children_name_map["network"] = "network"
                            self._children_yang_names.add("network")

                            self.prefix_suppression = None
                            self._children_name_map["prefix_suppression"] = "prefix-suppression"
                            self._children_yang_names.add("prefix-suppression")

                            self.shutdown = None
                            self._children_name_map["shutdown"] = "shutdown"
                            self._children_yang_names.add("shutdown")

                            self.area = YList(self)
                            self.neighbor = YList(self)
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4, ['dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                        class Area(Entity):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\: int
                            
                            	**range:** 64..95
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.instance = YLeaf(YType.uint8, "instance")
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Area, ['id', 'instance'], name, value)


                        class Authentication(Entity):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\: str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.null = YLeaf(YType.empty, "null")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Authentication, ['key_chain', 'null'], name, value)


                        class Bfd(Entity):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Bfd, ['disable'], name, value)


                        class Cost(Entity):
                            """
                            Route cost of this interface
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.dynamic = None
                                self._children_name_map["dynamic"] = "dynamic"
                                self._children_yang_names.add("dynamic")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost, ['value'], name, value)


                            class Dynamic(Entity):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic, self).__init__()

                                    self.yang_name = "dynamic"
                                    self.yang_parent_name = "cost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.default = YLeaf(YType.uint32, "default")

                                    self.hysteresis = None
                                    self._children_name_map["hysteresis"] = "hysteresis"
                                    self._children_yang_names.add("hysteresis")

                                    self.weight = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight()
                                    self.weight.parent = self
                                    self._children_name_map["weight"] = "weight"
                                    self._children_yang_names.add("weight")
                                    self._segment_path = lambda: "dynamic"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic, ['default'], name, value)


                                class Hysteresis(Entity):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis, self).__init__()

                                        self.yang_name = "hysteresis"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "hysteresis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                                class Weight(Entity):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight, self).__init__()

                                        self.yang_name = "weight"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput)}
                                        self._child_list_classes = {}

                                        self.l2_factor = None
                                        self._children_name_map["l2_factor"] = "L2-factor"
                                        self._children_yang_names.add("L2-factor")

                                        self.latency = None
                                        self._children_name_map["latency"] = "latency"
                                        self._children_yang_names.add("latency")

                                        self.resources = None
                                        self._children_name_map["resources"] = "resources"
                                        self._children_yang_names.add("resources")

                                        self.throughput = None
                                        self._children_name_map["throughput"] = "throughput"
                                        self._children_yang_names.add("throughput")
                                        self._segment_path = lambda: "weight"


                                    class L2Factor(Entity):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                            self.yang_name = "L2-factor"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "L2-factor"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                    class Latency(Entity):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency, self).__init__()

                                            self.yang_name = "latency"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "latency"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                    class Resources(Entity):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources, self).__init__()

                                            self.yang_name = "resources"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "resources"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                    class Throughput(Entity):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput, self).__init__()

                                            self.yang_name = "throughput"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "throughput"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter.All>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DatabaseFilter, ['all', 'disable'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                        class DemandCircuit(Entity):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DemandCircuit, self).__init__()

                                self.yang_name = "demand-circuit"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "demand-circuit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.DemandCircuit, ['disable', 'ignore'], name, value)


                        class FloodReduction(Entity):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.FloodReduction, self).__init__()

                                self.yang_name = "flood-reduction"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "flood-reduction"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.FloodReduction, ['disable'], name, value)


                        class Manet(Entity):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peering" : ("peering", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering)}
                                self._child_list_classes = {}

                                self.peering = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"


                            class Peering(Entity):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost" : ("cost", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost)}
                                    self._child_list_classes = {}

                                    self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                    self.cost = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self._children_name_map["cost"] = "cost"
                                    self._children_yang_names.add("cost")
                                    self._segment_path = lambda: "peering"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering, ['link_metrics'], name, value)


                                class Cost(Entity):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost, self).__init__()

                                        self.yang_name = "cost"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "cost"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                        class MtuIgnore(Entity):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MtuIgnore, self).__init__()

                                self.yang_name = "mtu-ignore"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "mtu-ignore"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MtuIgnore, ['disable'], name, value)


                        class MultiArea(Entity):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MultiArea, self).__init__()

                                self.yang_name = "multi-area"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint32, "cost")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "multi-area"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.MultiArea, ['id', 'cost', 'disable'], name, value)


                        class Neighbor(Entity):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint16, "cost")

                                self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.database_filter = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self._children_name_map["database_filter"] = "database-filter"
                                self._children_yang_names.add("database-filter")
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                            class DatabaseFilter(Entity):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.All>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter, self).__init__()

                                    self.yang_name = "database-filter"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.all = YLeaf(YType.enumeration, "all")
                                    self._segment_path = lambda: "database-filter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter, ['all'], name, value)

                                class All(Enum):
                                    """
                                    All

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = Enum.YLeaf(0, "out")



                        class Network(Entity):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint)}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.manet = YLeaf(YType.empty, "manet")

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                                self.point_to_point = YLeaf(YType.empty, "point-to-point")

                                self.point_to_multipoint = None
                                self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                                self._children_yang_names.add("point-to-multipoint")
                                self._segment_path = lambda: "network"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                            class PointToMultipoint(Entity):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint, self).__init__()

                                    self.yang_name = "point-to-multipoint"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                    self._segment_path = lambda: "point-to-multipoint"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint, ['non_broadcast'], name, value)


                        class PrefixSuppression(Entity):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.PrefixSuppression, self).__init__()

                                self.yang_name = "prefix-suppression"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "prefix-suppression"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.PrefixSuppression, ['disable'], name, value)


                        class Shutdown(Entity):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Shutdown, self).__init__()

                                self.yang_name = "shutdown"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "shutdown"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv4.Shutdown, ['disable'], name, value)


                    class Ipv6(Entity):
                        """
                        Specify parameters for IPv6
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Authentication), "bfd" : ("bfd", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Bfd), "cost" : ("cost", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost), "database-filter" : ("database_filter", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.FloodReduction), "manet" : ("manet", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MultiArea), "network" : ("network", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Shutdown)}
                            self._child_list_classes = {"area" : ("area", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Area), "neighbor" : ("neighbor", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor)}

                            self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                            self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                            self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                            self.authentication = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.bfd = None
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.cost = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")

                            self.database_filter = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")

                            self.demand_circuit = None
                            self._children_name_map["demand_circuit"] = "demand-circuit"
                            self._children_yang_names.add("demand-circuit")

                            self.flood_reduction = None
                            self._children_name_map["flood_reduction"] = "flood-reduction"
                            self._children_yang_names.add("flood-reduction")

                            self.manet = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.mtu_ignore = None
                            self._children_name_map["mtu_ignore"] = "mtu-ignore"
                            self._children_yang_names.add("mtu-ignore")

                            self.multi_area = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MultiArea()
                            self.multi_area.parent = self
                            self._children_name_map["multi_area"] = "multi-area"
                            self._children_yang_names.add("multi-area")

                            self.network = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network()
                            self.network.parent = self
                            self._children_name_map["network"] = "network"
                            self._children_yang_names.add("network")

                            self.prefix_suppression = None
                            self._children_name_map["prefix_suppression"] = "prefix-suppression"
                            self._children_yang_names.add("prefix-suppression")

                            self.shutdown = None
                            self._children_name_map["shutdown"] = "shutdown"
                            self._children_yang_names.add("shutdown")

                            self.area = YList(self)
                            self.neighbor = YList(self)
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6, ['dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                        class Area(Entity):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\: int
                            
                            	**range:** 0..31
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.instance = YLeaf(YType.uint8, "instance")
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Area, ['id', 'instance'], name, value)


                        class Authentication(Entity):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\: str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.null = YLeaf(YType.empty, "null")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Authentication, ['key_chain', 'null'], name, value)


                        class Bfd(Entity):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Bfd, ['disable'], name, value)


                        class Cost(Entity):
                            """
                            Route cost of this interface
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.dynamic = None
                                self._children_name_map["dynamic"] = "dynamic"
                                self._children_yang_names.add("dynamic")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost, ['value'], name, value)


                            class Dynamic(Entity):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic, self).__init__()

                                    self.yang_name = "dynamic"
                                    self.yang_parent_name = "cost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.default = YLeaf(YType.uint32, "default")

                                    self.hysteresis = None
                                    self._children_name_map["hysteresis"] = "hysteresis"
                                    self._children_yang_names.add("hysteresis")

                                    self.weight = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight()
                                    self.weight.parent = self
                                    self._children_name_map["weight"] = "weight"
                                    self._children_yang_names.add("weight")
                                    self._segment_path = lambda: "dynamic"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic, ['default'], name, value)


                                class Hysteresis(Entity):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis, self).__init__()

                                        self.yang_name = "hysteresis"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "hysteresis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                                class Weight(Entity):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight, self).__init__()

                                        self.yang_name = "weight"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput)}
                                        self._child_list_classes = {}

                                        self.l2_factor = None
                                        self._children_name_map["l2_factor"] = "L2-factor"
                                        self._children_yang_names.add("L2-factor")

                                        self.latency = None
                                        self._children_name_map["latency"] = "latency"
                                        self._children_yang_names.add("latency")

                                        self.resources = None
                                        self._children_name_map["resources"] = "resources"
                                        self._children_yang_names.add("resources")

                                        self.throughput = None
                                        self._children_name_map["throughput"] = "throughput"
                                        self._children_yang_names.add("throughput")
                                        self._segment_path = lambda: "weight"


                                    class L2Factor(Entity):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                            self.yang_name = "L2-factor"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "L2-factor"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                    class Latency(Entity):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency, self).__init__()

                                            self.yang_name = "latency"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "latency"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                    class Resources(Entity):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources, self).__init__()

                                            self.yang_name = "resources"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "resources"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                    class Throughput(Entity):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput, self).__init__()

                                            self.yang_name = "throughput"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "throughput"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter.All>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DatabaseFilter, ['all', 'disable'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                        class DemandCircuit(Entity):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DemandCircuit, self).__init__()

                                self.yang_name = "demand-circuit"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "demand-circuit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.DemandCircuit, ['disable', 'ignore'], name, value)


                        class FloodReduction(Entity):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.FloodReduction, self).__init__()

                                self.yang_name = "flood-reduction"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "flood-reduction"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.FloodReduction, ['disable'], name, value)


                        class Manet(Entity):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peering" : ("peering", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering)}
                                self._child_list_classes = {}

                                self.peering = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"


                            class Peering(Entity):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost" : ("cost", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost)}
                                    self._child_list_classes = {}

                                    self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                    self.cost = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self._children_name_map["cost"] = "cost"
                                    self._children_yang_names.add("cost")
                                    self._segment_path = lambda: "peering"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering, ['link_metrics'], name, value)


                                class Cost(Entity):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost, self).__init__()

                                        self.yang_name = "cost"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "cost"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                        class MtuIgnore(Entity):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MtuIgnore, self).__init__()

                                self.yang_name = "mtu-ignore"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "mtu-ignore"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MtuIgnore, ['disable'], name, value)


                        class MultiArea(Entity):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MultiArea, self).__init__()

                                self.yang_name = "multi-area"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint32, "cost")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "multi-area"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.MultiArea, ['id', 'cost', 'disable'], name, value)


                        class Neighbor(Entity):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint16, "cost")

                                self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.database_filter = Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self._children_name_map["database_filter"] = "database-filter"
                                self._children_yang_names.add("database-filter")
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                            class DatabaseFilter(Entity):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.All>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter, self).__init__()

                                    self.yang_name = "database-filter"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.all = YLeaf(YType.enumeration, "all")
                                    self._segment_path = lambda: "database-filter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter, ['all'], name, value)

                                class All(Enum):
                                    """
                                    All

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = Enum.YLeaf(0, "out")



                        class Network(Entity):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint)}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.manet = YLeaf(YType.empty, "manet")

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                                self.point_to_point = YLeaf(YType.empty, "point-to-point")

                                self.point_to_multipoint = None
                                self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                                self._children_yang_names.add("point-to-multipoint")
                                self._segment_path = lambda: "network"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                            class PointToMultipoint(Entity):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint, self).__init__()

                                    self.yang_name = "point-to-multipoint"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                    self._segment_path = lambda: "point-to-multipoint"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint, ['non_broadcast'], name, value)


                        class PrefixSuppression(Entity):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.PrefixSuppression, self).__init__()

                                self.yang_name = "prefix-suppression"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "prefix-suppression"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.PrefixSuppression, ['disable'], name, value)


                        class Shutdown(Entity):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Shutdown, self).__init__()

                                self.yang_name = "shutdown"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "shutdown"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.ProcessId.Ipv6.Shutdown, ['disable'], name, value)


                class Authentication(Entity):
                    """
                    Enable authentication
                    
                    .. attribute:: key_chain
                    
                    	Use a key\-chain for cryptographic authentication keys
                    	**type**\: str
                    
                    .. attribute:: null
                    
                    	Use no authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec authentication
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ospfv3.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.Loopback.Ospfv3.Authentication.Ipsec)}
                        self._child_list_classes = {}

                        self.key_chain = YLeaf(YType.str, "key-chain")

                        self.null = YLeaf(YType.empty, "null")

                        self.ipsec = Native.Interface.Loopback.Ospfv3.Authentication.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.Authentication, ['key_chain', 'null'], name, value)


                    class Ipsec(Entity):
                        """
                        Use IPsec authentication
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\: int
                        
                        	**range:** 256..4294967295
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5>`
                        
                        .. attribute:: sha1
                        
                        	Use SHA\-1 authentication
                        	**type**\:  :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.Authentication.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5), "sha1" : ("sha1", Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1)}
                            self._child_list_classes = {}

                            self.spi = YLeaf(YType.uint64, "spi")

                            self.md5 = Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.sha1 = Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1()
                            self.sha1.parent = self
                            self._children_name_map["sha1"] = "sha1"
                            self._children_yang_names.add("sha1")
                            self._segment_path = lambda: "ipsec"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.Authentication.Ipsec, ['spi'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Md5.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                        class Sha1(Entity):
                            """
                            Use SHA\-1 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1, self).__init__()

                                self.yang_name = "sha1"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "sha1"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "sha1"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.Authentication.Ipsec.Sha1.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                class Bfd(Entity):
                    """
                    Enable BFD on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BFD on this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ospfv3.Bfd, self).__init__()

                        self.yang_name = "bfd"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "bfd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.Bfd, ['disable'], name, value)


                class Cost(Entity):
                    """
                    Route cost of this interface
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: dynamic
                    
                    	Specify dynamic cost options
                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ospfv3.Cost, self).__init__()

                        self.yang_name = "cost"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.Loopback.Ospfv3.Cost.Dynamic)}
                        self._child_list_classes = {}

                        self.value = YLeaf(YType.uint32, "value")

                        self.dynamic = None
                        self._children_name_map["dynamic"] = "dynamic"
                        self._children_yang_names.add("dynamic")
                        self._segment_path = lambda: "cost"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.Cost, ['value'], name, value)


                    class Dynamic(Entity):
                        """
                        Specify dynamic cost options
                        
                        .. attribute:: default
                        
                        	Specify default link metric value
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hysteresis
                        
                        	Specify hysteresis value for LSA dampening
                        	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Hysteresis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: weight
                        
                        	Specify weight to be placed on individual metrics
                        	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.Cost.Dynamic, self).__init__()

                            self.yang_name = "dynamic"
                            self.yang_parent_name = "cost"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.uint32, "default")

                            self.hysteresis = None
                            self._children_name_map["hysteresis"] = "hysteresis"
                            self._children_yang_names.add("hysteresis")

                            self.weight = Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight()
                            self.weight.parent = self
                            self._children_name_map["weight"] = "weight"
                            self._children_yang_names.add("weight")
                            self._segment_path = lambda: "dynamic"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.Cost.Dynamic, ['default'], name, value)


                        class Hysteresis(Entity):
                            """
                            Specify hysteresis value for LSA dampening
                            
                            .. attribute:: percent
                            
                            	Specify hysteresis percent changed
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold
                            
                            	Specify hysteresis threshold value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Hysteresis, self).__init__()

                                self.yang_name = "hysteresis"
                                self.yang_parent_name = "dynamic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.threshold = YLeaf(YType.uint32, "threshold")
                                self._segment_path = lambda: "hysteresis"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                        class Weight(Entity):
                            """
                            Specify weight to be placed on individual metrics
                            
                            .. attribute:: l2_factor
                            
                            	Specify weight to be given to L2\-factor metric
                            	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.L2Factor>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: latency
                            
                            	Specify weight to be given to latency metric
                            	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Latency>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: resources
                            
                            	Specify weight to be given to resources metric
                            	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Resources>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: throughput
                            
                            	Specify weight to be given to throughput metric
                            	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Throughput>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight, self).__init__()

                                self.yang_name = "weight"
                                self.yang_parent_name = "dynamic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Throughput)}
                                self._child_list_classes = {}

                                self.l2_factor = None
                                self._children_name_map["l2_factor"] = "L2-factor"
                                self._children_yang_names.add("L2-factor")

                                self.latency = None
                                self._children_name_map["latency"] = "latency"
                                self._children_yang_names.add("latency")

                                self.resources = None
                                self._children_name_map["resources"] = "resources"
                                self._children_yang_names.add("resources")

                                self.throughput = None
                                self._children_name_map["throughput"] = "throughput"
                                self._children_yang_names.add("throughput")
                                self._segment_path = lambda: "weight"


                            class L2Factor(Entity):
                                """
                                Specify weight to be given to L2\-factor metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                    self.yang_name = "L2-factor"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "L2-factor"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                            class Latency(Entity):
                                """
                                Specify weight to be given to latency metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Latency, self).__init__()

                                    self.yang_name = "latency"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "latency"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                            class Resources(Entity):
                                """
                                Specify weight to be given to resources metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Resources, self).__init__()

                                    self.yang_name = "resources"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "resources"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                            class Throughput(Entity):
                                """
                                Specify weight to be given to throughput metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Throughput, self).__init__()

                                    self.yang_name = "throughput"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "throughput"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                class DatabaseFilter(Entity):
                    """
                    Filter OSPF LSA during synchronization and flooding
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.DatabaseFilter.All>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ospfv3.DatabaseFilter, self).__init__()

                        self.yang_name = "database-filter"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.all = YLeaf(YType.enumeration, "all")
                        self._segment_path = lambda: "database-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.DatabaseFilter, ['all'], name, value)

                    class All(Enum):
                        """
                        All

                        Filter all LSA

                        .. data:: out = 0

                        """

                        out = Enum.YLeaf(0, "out")



                class DemandCircuit(Entity):
                    """
                    OSPF Demand Circuit
                    
                    .. attribute:: ignore
                    
                    	Ignore demand circuit auto\-negotiation requests
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ospfv3.DemandCircuit, self).__init__()

                        self.yang_name = "demand-circuit"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ignore = YLeaf(YType.empty, "ignore")
                        self._segment_path = lambda: "demand-circuit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.DemandCircuit, ['ignore'], name, value)


                class Encryption(Entity):
                    """
                    Enable encryption
                    
                    .. attribute:: null
                    
                    	No IPsec encryption on this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec encryption
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ospfv3.Encryption, self).__init__()

                        self.yang_name = "encryption"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.Loopback.Ospfv3.Encryption.Ipsec)}
                        self._child_list_classes = {}

                        self.null = YLeaf(YType.empty, "null")

                        self.ipsec = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "encryption"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.Encryption, ['null'], name, value)


                    class Ipsec(Entity):
                        """
                        Use IPsec encryption
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: esp
                        
                        	Use ESP encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec_3des
                        
                        	Use 3DES encryption
                        	**type**\:  :py:class:`Ipsec3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec3Des>`
                        
                        .. attribute:: aes_cbc
                        
                        	Use AES\-CBC encryption
                        	**type**\:  :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "encryption"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec_3des" : ("ipsec_3des", Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec3Des), "aes-cbc" : ("aes_cbc", Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc)}
                            self._child_list_classes = {}

                            self.spi = YLeaf(YType.uint64, "spi")

                            self.esp = YLeaf(YType.empty, "esp")

                            self.ipsec_3des = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec3Des()
                            self.ipsec_3des.parent = self
                            self._children_name_map["ipsec_3des"] = "ipsec_3des"
                            self._children_yang_names.add("ipsec_3des")

                            self.aes_cbc = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc()
                            self.aes_cbc.parent = self
                            self._children_name_map["aes_cbc"] = "aes-cbc"
                            self._children_yang_names.add("aes-cbc")
                            self._segment_path = lambda: "ipsec"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec, ['spi', 'esp'], name, value)


                        class Ipsec3Des(Entity):
                            """
                            Use 3DES encryption
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec3Des, self).__init__()

                                self.yang_name = "ipsec_3des"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "ipsec_3des"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "ipsec_3des"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                        class AesCbc(Entity):
                            """
                            Use AES\-CBC encryption
                            
                            .. attribute:: aes_cbc_128
                            
                            	Use 128 bit key
                            	**type**\:  :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128>`
                            
                            .. attribute:: aes_192
                            
                            	Use 192 bit key
                            	**type**\:  :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192>`
                            
                            .. attribute:: aes_256
                            
                            	Use 256 bit key
                            	**type**\:  :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc, self).__init__()

                                self.yang_name = "aes-cbc"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"aes-cbc-128" : ("aes_cbc_128", Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128), "aes-192" : ("aes_192", Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192), "aes-256" : ("aes_256", Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256)}
                                self._child_list_classes = {}

                                self.aes_cbc_128 = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128()
                                self.aes_cbc_128.parent = self
                                self._children_name_map["aes_cbc_128"] = "aes-cbc-128"
                                self._children_yang_names.add("aes-cbc-128")

                                self.aes_192 = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192()
                                self.aes_192.parent = self
                                self._children_name_map["aes_192"] = "aes-192"
                                self._children_yang_names.add("aes-192")

                                self.aes_256 = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256()
                                self.aes_256.parent = self
                                self._children_name_map["aes_256"] = "aes-256"
                                self._children_yang_names.add("aes-256")
                                self._segment_path = lambda: "aes-cbc"


                            class AesCbc128(Entity):
                                """
                                Use 128 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128, self).__init__()

                                    self.yang_name = "aes-cbc-128"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-cbc-128"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-cbc-128"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Aes192(Entity):
                                """
                                Use 192 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192, self).__init__()

                                    self.yang_name = "aes-192"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-192"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-192"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Aes256(Entity):
                                """
                                Use 256 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256, self).__init__()

                                    self.yang_name = "aes-256"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-256"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-256"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                class Manet(Entity):
                    """
                    Mobile Adhoc Networking options
                    
                    .. attribute:: peering
                    
                    	MANET Peering options
                    	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Manet.Peering>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ospfv3.Manet, self).__init__()

                        self.yang_name = "manet"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"peering" : ("peering", Native.Interface.Loopback.Ospfv3.Manet.Peering)}
                        self._child_list_classes = {}

                        self.peering = Native.Interface.Loopback.Ospfv3.Manet.Peering()
                        self.peering.parent = self
                        self._children_name_map["peering"] = "peering"
                        self._children_yang_names.add("peering")
                        self._segment_path = lambda: "manet"


                    class Peering(Entity):
                        """
                        MANET Peering options
                        
                        .. attribute:: cost
                        
                        	Redundant path cost improvement required to peer
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Manet.Peering.Cost>`
                        
                        .. attribute:: link_metrics
                        
                        	Require link metrics
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.Manet.Peering, self).__init__()

                            self.yang_name = "peering"
                            self.yang_parent_name = "manet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cost" : ("cost", Native.Interface.Loopback.Ospfv3.Manet.Peering.Cost)}
                            self._child_list_classes = {}

                            self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                            self.cost = Native.Interface.Loopback.Ospfv3.Manet.Peering.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")
                            self._segment_path = lambda: "peering"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.Manet.Peering, ['link_metrics'], name, value)


                        class Cost(Entity):
                            """
                            Redundant path cost improvement required to peer
                            
                            .. attribute:: percent
                            
                            	Relative incremental path cost
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            .. attribute:: threshold
                            
                            	Absolute incremental path cost
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Loopback.Ospfv3.Manet.Peering.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "peering"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.threshold = YLeaf(YType.uint32, "threshold")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Loopback.Ospfv3.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                class MultiArea(Entity):
                    """
                    Set the OSPF multi\-area ID
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967295
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ospfv3.MultiArea, self).__init__()

                        self.yang_name = "multi-area"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.cost = YLeaf(YType.uint32, "cost")
                        self._segment_path = lambda: "multi-area"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.MultiArea, ['id', 'cost'], name, value)


                class Neighbor(Entity):
                    """
                    OSPF neighbor
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	OSPF cost for point\-to\-multipoint neighbor
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter>`
                    
                    .. attribute:: poll_interval
                    
                    	OSPF dead\-router polling interval
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: priority
                    
                    	OSPF priority of non\-broadcast neighbor
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ospfv3.Neighbor, self).__init__()

                        self.yang_name = "neighbor"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.database_filter = Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")
                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter.All>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "neighbor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.Neighbor.DatabaseFilter, ['all'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                class Network(Entity):
                    """
                    Network type
                    
                    .. attribute:: broadcast
                    
                    	Specify OSPF broadcast multi\-access network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: manet
                    
                    	Specify MANET OSPF interface type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: non_broadcast
                    
                    	Specify OSPF NBMA network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: point_to_multipoint
                    
                    	Specify OSPF point\-to\-multipoint network
                    	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Ospfv3.Network.PointToMultipoint>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: point_to_point
                    
                    	Specify OSPF point\-to\-point network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ospfv3.Network, self).__init__()

                        self.yang_name = "network"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.Loopback.Ospfv3.Network.PointToMultipoint)}
                        self._child_list_classes = {}

                        self.broadcast = YLeaf(YType.empty, "broadcast")

                        self.manet = YLeaf(YType.empty, "manet")

                        self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                        self.point_to_point = YLeaf(YType.empty, "point-to-point")

                        self.point_to_multipoint = None
                        self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                        self._children_yang_names.add("point-to-multipoint")
                        self._segment_path = lambda: "network"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                    class PointToMultipoint(Entity):
                        """
                        Specify OSPF point\-to\-multipoint network
                        
                        .. attribute:: non_broadcast
                        
                        	Specify non\-broadcast point\-to\-mpoint network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Loopback.Ospfv3.Network.PointToMultipoint, self).__init__()

                            self.yang_name = "point-to-multipoint"
                            self.yang_parent_name = "network"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                            self._segment_path = lambda: "point-to-multipoint"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Loopback.Ospfv3.Network.PointToMultipoint, ['non_broadcast'], name, value)


                class PrefixSuppression(Entity):
                    """
                    OSPF prefix suppression
                    
                    .. attribute:: disable
                    
                    	Disable prefix suppression
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Loopback.Ospfv3.PrefixSuppression, self).__init__()

                        self.yang_name = "prefix-suppression"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "prefix-suppression"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Ospfv3.PrefixSuppression, ['disable'], name, value)


            class Udld(Entity):
                """
                Configure UDLD enabled or disabled and ignore global UDLD setting
                
                .. attribute:: port
                
                	Enable UDLD protocol on this interface despite global UDLD setting
                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Loopback.Udld.Port>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-udld'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Loopback.Udld, self).__init__()

                    self.yang_name = "udld"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port" : ("port", Native.Interface.Loopback.Udld.Port)}
                    self._child_list_classes = {}

                    self.port = None
                    self._children_name_map["port"] = "port"
                    self._children_yang_names.add("port")
                    self._segment_path = lambda: "Cisco-IOS-XE-udld:udld"


                class Port(Entity):
                    """
                    Enable UDLD protocol on this interface despite global UDLD setting
                    
                    .. attribute:: aggressive
                    
                    	Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disable
                    
                    	Disable UDLD protocol on this interface despite global UDLD setting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-udld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Loopback.Udld.Port, self).__init__()

                        self.yang_name = "port"
                        self.yang_parent_name = "udld"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aggressive = YLeaf(YType.empty, "aggressive")

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "port"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Loopback.Udld.Port, ['aggressive', 'disable'], name, value)


            class ZoneMember(Entity):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\: str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Loopback.ZoneMember, self).__init__()

                    self.yang_name = "zone-member"
                    self.yang_parent_name = "Loopback"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.security = YLeaf(YType.str, "security")
                    self._segment_path = lambda: "Cisco-IOS-XE-zone:zone-member"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Loopback.ZoneMember, ['security'], name, value)


        class LISP(Entity):
            """
            Locator/ID Separation Protocol Virtual Interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..65520
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.PmPath>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.ServicePolicy>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.LISP, self).__init__()

                self.yang_name = "LISP"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.LISP.SwitchportConf), "switchport" : ("switchport", Native.Interface.LISP.Switchport), "arp" : ("arp", Native.Interface.LISP.Arp), "backup" : ("backup", Native.Interface.LISP.Backup), "cemoudp" : ("cemoudp", Native.Interface.LISP.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.LISP.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.LISP.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.LISP.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.LISP.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.LISP.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.LISP.Flowcontrol), "isis" : ("isis", Native.Interface.LISP.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.LISP.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.LISP.Bfd), "bandwidth" : ("bandwidth", Native.Interface.LISP.Bandwidth), "dampening" : ("dampening", Native.Interface.LISP.Dampening), "domain" : ("domain", Native.Interface.LISP.Domain), "mpls" : ("mpls", Native.Interface.LISP.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.LISP.IpVrf), "vrf" : ("vrf", Native.Interface.LISP.Vrf), "ip" : ("ip", Native.Interface.LISP.Ip), "ipv6" : ("ipv6", Native.Interface.LISP.Ipv6), "logging" : ("logging", Native.Interface.LISP.Logging), "mdix" : ("mdix", Native.Interface.LISP.Mdix), "mop" : ("mop", Native.Interface.LISP.Mop), "interface_qos" : ("interface_qos", Native.Interface.LISP.InterfaceQos), "standby" : ("standby", Native.Interface.LISP.Standby), "access-session" : ("access_session", Native.Interface.LISP.AccessSession), "storm-control" : ("storm_control", Native.Interface.LISP.StormControl), "trust" : ("trust", Native.Interface.LISP.Trust), "priority-queue" : ("priority_queue", Native.Interface.LISP.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.LISP.RcvQueue), "peer" : ("peer", Native.Interface.LISP.Peer), "pm-path" : ("pm_path", Native.Interface.LISP.PmPath), "Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.Interface.LISP.ServicePolicy)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.LISP.HoldQueue)}

                self.name = YLeaf(YType.uint16, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.switchport_conf = Native.Interface.LISP.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.LISP.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.LISP.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.LISP.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.LISP.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.LISP.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.LISP.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.LISP.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.LISP.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.LISP.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.LISP.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.LISP.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.LISP.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.LISP.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.LISP.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.LISP.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.LISP.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.LISP.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.LISP.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.LISP.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.LISP.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.LISP.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.LISP.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.LISP.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.LISP.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.LISP.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.LISP.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.LISP.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.LISP.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.LISP.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.LISP.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.LISP.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.LISP.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.service_policy = Native.Interface.LISP.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "LISP" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.LISP, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.LISP.Backup.Delay), "interface" : ("interface", Native.Interface.LISP.Backup.Interface), "load" : ("load", Native.Interface.LISP.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.LISP.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.LISP.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.LISP.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.LISP.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.LISP.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.LISP.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.LISP.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.LISP.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.LISP.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.LISP.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.LISP.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.LISP.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.LISP.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.LISP.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.LISP.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.LISP.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.LISP.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.LISP.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.LISP.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.LISP.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.LISP.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.LISP.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.LISP.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.LISP.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.LISP.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.LISP.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:  :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:  :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:  :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:  :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4294967295
                
                		**type**\:  :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroup>`
                
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Network>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Protocol>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:  :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-isis:adjacency-filter" : ("adjacency_filter", Native.Interface.LISP.Isis.AdjacencyFilter), "Cisco-IOS-XE-isis:advertise" : ("advertise", Native.Interface.LISP.Isis.Advertise), "Cisco-IOS-XE-isis:authentication" : ("authentication", Native.Interface.LISP.Isis.Authentication), "Cisco-IOS-XE-isis:circuit-type" : ("circuit_type", Native.Interface.LISP.Isis.CircuitType), "Cisco-IOS-XE-isis:csnp-interval" : ("csnp_interval", Native.Interface.LISP.Isis.CsnpInterval), "Cisco-IOS-XE-isis:hello" : ("hello", Native.Interface.LISP.Isis.Hello), "Cisco-IOS-XE-isis:hello-interval" : ("hello_interval", Native.Interface.LISP.Isis.HelloInterval), "Cisco-IOS-XE-isis:hello-multiplier" : ("hello_multiplier", Native.Interface.LISP.Isis.HelloMultiplier), "Cisco-IOS-XE-isis:ipv6" : ("ipv6", Native.Interface.LISP.Isis.Ipv6), "Cisco-IOS-XE-isis:metric" : ("metric", Native.Interface.LISP.Isis.Metric), "Cisco-IOS-XE-isis:password" : ("password", Native.Interface.LISP.Isis.Password), "Cisco-IOS-XE-isis:priority" : ("priority", Native.Interface.LISP.Isis.Priority), "Cisco-IOS-XE-isis:three-way-handshake" : ("three_way_handshake", Native.Interface.LISP.Isis.ThreeWayHandshake)}
                    self._child_list_classes = {}

                    self.lsp_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:lsp-interval")

                    self.mesh_group = YLeaf(YType.str, "Cisco-IOS-XE-isis:mesh-group")

                    self.network = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:network")

                    self.protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:protocol")

                    self.retransmit_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-interval")

                    self.retransmit_throttle_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-throttle-interval")

                    self.tag = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:tag")

                    self.adjacency_filter = Native.Interface.LISP.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self._children_name_map["adjacency_filter"] = "adjacency-filter"
                    self._children_yang_names.add("adjacency-filter")

                    self.advertise = Native.Interface.LISP.Isis.Advertise()
                    self.advertise.parent = self
                    self._children_name_map["advertise"] = "advertise"
                    self._children_yang_names.add("advertise")

                    self.authentication = Native.Interface.LISP.Isis.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.circuit_type = None
                    self._children_name_map["circuit_type"] = "circuit-type"
                    self._children_yang_names.add("circuit-type")

                    self.csnp_interval = Native.Interface.LISP.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self._children_name_map["csnp_interval"] = "csnp-interval"
                    self._children_yang_names.add("csnp-interval")

                    self.hello = Native.Interface.LISP.Isis.Hello()
                    self.hello.parent = self
                    self._children_name_map["hello"] = "hello"
                    self._children_yang_names.add("hello")

                    self.hello_interval = Native.Interface.LISP.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.hello_multiplier = Native.Interface.LISP.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self._children_name_map["hello_multiplier"] = "hello-multiplier"
                    self._children_yang_names.add("hello-multiplier")

                    self.ipv6 = Native.Interface.LISP.Isis.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.metric = Native.Interface.LISP.Isis.Metric()
                    self.metric.parent = self
                    self._children_name_map["metric"] = "metric"
                    self._children_yang_names.add("metric")

                    self.password = Native.Interface.LISP.Isis.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")

                    self.priority = Native.Interface.LISP.Isis.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.three_way_handshake = None
                    self._children_name_map["three_way_handshake"] = "three-way-handshake"
                    self._children_yang_names.add("three-way-handshake")
                    self._segment_path = lambda: "isis"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.Isis, ['lsp_interval', 'mesh_group', 'network', 'protocol', 'retransmit_interval', 'retransmit_throttle_interval', 'tag'], name, value)

                class MeshGroup(Enum):
                    """
                    MeshGroup

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = Enum.YLeaf(0, "blocked")


                class Network(Enum):
                    """
                    Network

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = Enum.YLeaf(0, "point-to-point")


                class Protocol(Enum):
                    """
                    Protocol

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = Enum.YLeaf(0, "shutdown")



                class AdjacencyFilter(Entity):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.LISP.Isis.AdjacencyFilter, self).__init__()

                        self.yang_name = "adjacency-filter"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.match_all = YLeaf(YType.empty, "match-all")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:adjacency-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Isis.AdjacencyFilter, ['name', 'match_all'], name, value)


                class Advertise(Entity):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.LISP.Isis.Advertise, self).__init__()

                        self.yang_name = "advertise"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.prefix = YLeaf(YType.empty, "prefix")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:advertise"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Isis.Advertise, ['prefix'], name, value)


                class Authentication(Entity):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Authentication.Mode>`
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:  :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.LISP.Isis.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mode" : ("mode", Native.Interface.LISP.Isis.Authentication.Mode), "key-chain" : ("key_chain", Native.Interface.LISP.Isis.Authentication.KeyChain), "send-only" : ("send_only", Native.Interface.LISP.Isis.Authentication.SendOnly)}
                        self._child_list_classes = {}

                        self.mode = Native.Interface.LISP.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")

                        self.key_chain = Native.Interface.LISP.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.send_only = None
                        self._children_name_map["send_only"] = "send-only"
                        self._children_yang_names.add("send-only")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:authentication"


                    class Mode(Entity):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:  :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.LISP.Isis.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.LISP.Isis.Authentication.Mode.Md5), "text" : ("text", Native.Interface.LISP.Isis.Authentication.Mode.Text)}
                            self._child_list_classes = {}

                            self.md5 = None
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.text = None
                            self._children_name_map["text"] = "text"
                            self._children_yang_names.add("text")
                            self._segment_path = lambda: "mode"


                        class Md5(Entity):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.LISP.Isis.Authentication.Mode.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Isis.Authentication.Mode.Md5, ['levels'], name, value)


                        class Text(Entity):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.LISP.Isis.Authentication.Mode.Text, self).__init__()

                                self.yang_name = "text"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "text"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Isis.Authentication.Mode.Text, ['levels'], name, value)


                    class KeyChain(Entity):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of  		 :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.LISP.Isis.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"key-chain-list" : ("key_chain_list", Native.Interface.LISP.Isis.Authentication.KeyChain.KeyChainList)}

                            self.name = YLeaf(YType.str, "name")

                            self.key_chain_list = YList(self)
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Isis.Authentication.KeyChain, ['name'], name, value)


                        class KeyChainList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.LISP.Isis.Authentication.KeyChain.KeyChainList, self).__init__()

                                self.yang_name = "key-chain-list"
                                self.yang_parent_name = "key-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Isis.Authentication.KeyChain.KeyChainList, ['levels', 'name'], name, value)


                    class SendOnly(Entity):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.LISP.Isis.Authentication.SendOnly, self).__init__()

                            self.yang_name = "send-only"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")
                            self._segment_path = lambda: "send-only"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Isis.Authentication.SendOnly, ['levels'], name, value)


                class CircuitType(Entity):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.CircuitType.Levels>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.LISP.Isis.CircuitType, self).__init__()

                        self.yang_name = "circuit-type"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.levels = YLeaf(YType.enumeration, "levels")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:circuit-type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Isis.CircuitType, ['levels'], name, value)

                    class Levels(Enum):
                        """
                        Levels

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = Enum.YLeaf(0, "level-1")

                        level_1_2 = Enum.YLeaf(1, "level-1-2")

                        level_2_only = Enum.YLeaf(2, "level-2-only")



                class CsnpInterval(Entity):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.LISP.Isis.CsnpInterval, self).__init__()

                        self.yang_name = "csnp-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"csnp-interval-list" : ("csnp_interval_list", Native.Interface.LISP.Isis.CsnpInterval.CsnpIntervalList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.csnp_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:csnp-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Isis.CsnpInterval, ['value'], name, value)


                    class CsnpIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.CsnpInterval.CsnpIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.LISP.Isis.CsnpInterval.CsnpIntervalList, self).__init__()

                            self.yang_name = "csnp-interval-list"
                            self.yang_parent_name = "csnp-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "csnp-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Isis.CsnpInterval.CsnpIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Hello(Entity):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.LISP.Isis.Hello, self).__init__()

                        self.yang_name = "hello"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"padding" : ("padding", Native.Interface.LISP.Isis.Hello.Padding)}
                        self._child_list_classes = {}

                        self.padding = None
                        self._children_name_map["padding"] = "padding"
                        self._children_yang_names.add("padding")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello"


                    class Padding(Entity):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.LISP.Isis.Hello.Padding, self).__init__()

                            self.yang_name = "padding"
                            self.yang_parent_name = "hello"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.always = YLeaf(YType.empty, "always")
                            self._segment_path = lambda: "padding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Isis.Hello.Padding, ['always'], name, value)


                class HelloInterval(Entity):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..65535
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.LISP.Isis.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-interval-list" : ("hello_interval_list", Native.Interface.LISP.Isis.HelloInterval.HelloIntervalList)}

                        self.value = YLeaf(YType.str, "value")

                        self.hello_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Isis.HelloInterval, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: minimal = 0

                        """

                        minimal = Enum.YLeaf(0, "minimal")



                    class HelloIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.HelloInterval.HelloIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..65535
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.LISP.Isis.HelloInterval.HelloIntervalList, self).__init__()

                            self.yang_name = "hello-interval-list"
                            self.yang_parent_name = "hello-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "hello-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Isis.HelloInterval.HelloIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: minimal = 0

                            """

                            minimal = Enum.YLeaf(0, "minimal")



                class HelloMultiplier(Entity):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.LISP.Isis.HelloMultiplier, self).__init__()

                        self.yang_name = "hello-multiplier"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-multiplier-list" : ("hello_multiplier_list", Native.Interface.LISP.Isis.HelloMultiplier.HelloMultiplierList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.hello_multiplier_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-multiplier"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Isis.HelloMultiplier, ['value'], name, value)


                    class HelloMultiplierList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.HelloMultiplier.HelloMultiplierList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.LISP.Isis.HelloMultiplier.HelloMultiplierList, self).__init__()

                            self.yang_name = "hello-multiplier-list"
                            self.yang_parent_name = "hello-multiplier"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "hello-multiplier-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Isis.HelloMultiplier.HelloMultiplierList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Ipv6(Entity):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.LISP.Isis.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"metric" : ("metric", Native.Interface.LISP.Isis.Ipv6.Metric)}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.uint32, "tag")

                        self.metric = Native.Interface.LISP.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Isis.Ipv6, ['tag'], name, value)


                    class Metric(Entity):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.LISP.Isis.Ipv6.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.LISP.Isis.Ipv6.Metric.MetricList)}

                            self.value = YLeaf(YType.str, "value")

                            self.metric_list = YList(self)
                            self._segment_path = lambda: "metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Isis.Ipv6.Metric, ['value'], name, value)

                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                        class MetricList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Ipv6.Metric.MetricList.Levels>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..16777214
                            
                            		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.LISP.Isis.Ipv6.Metric.MetricList, self).__init__()

                                self.yang_name = "metric-list"
                                self.yang_parent_name = "metric"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.value = YLeaf(YType.str, "value")
                                self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Isis.Ipv6.Metric.MetricList, ['levels', 'value'], name, value)

                            class Levels(Enum):
                                """
                                Levels

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")


                            class Value(Enum):
                                """
                                Value

                                .. data:: maximum = 0

                                """

                                maximum = Enum.YLeaf(0, "maximum")



                class Metric(Entity):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..16777214
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.LISP.Isis.Metric, self).__init__()

                        self.yang_name = "metric"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.LISP.Isis.Metric.MetricList)}

                        self.value = YLeaf(YType.str, "value")

                        self.metric_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:metric"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Isis.Metric, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: maximum = 0

                        """

                        maximum = Enum.YLeaf(0, "maximum")



                    class MetricList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Metric.MetricList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.LISP.Isis.Metric.MetricList, self).__init__()

                            self.yang_name = "metric-list"
                            self.yang_parent_name = "metric"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Isis.Metric.MetricList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                class Password(Entity):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Password.PasswordList>`
                    
                    .. attribute:: password
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.LISP.Isis.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"password-list" : ("password_list", Native.Interface.LISP.Isis.Password.PasswordList)}

                        self.password = YLeaf(YType.str, "password")

                        self.password_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Isis.Password, ['password'], name, value)


                    class PasswordList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Password.PasswordList.Levels>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.LISP.Isis.Password.PasswordList, self).__init__()

                            self.yang_name = "password-list"
                            self.yang_parent_name = "password"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.password = YLeaf(YType.str, "password")
                            self._segment_path = lambda: "password-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Isis.Password.PasswordList, ['levels', 'password'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Priority(Entity):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.LISP.Isis.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"priority-list" : ("priority_list", Native.Interface.LISP.Isis.Priority.PriorityList)}

                        self.value = YLeaf(YType.uint8, "value")

                        self.priority_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Isis.Priority, ['value'], name, value)


                    class PriorityList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.Priority.PriorityList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.LISP.Isis.Priority.PriorityList, self).__init__()

                            self.yang_name = "priority-list"
                            self.yang_parent_name = "priority"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint8, "value")
                            self._segment_path = lambda: "priority-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Isis.Priority.PriorityList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class ThreeWayHandshake(Entity):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:  :py:class:`Implementor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Isis.ThreeWayHandshake.Implementor>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.LISP.Isis.ThreeWayHandshake, self).__init__()

                        self.yang_name = "three-way-handshake"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.implementor = YLeaf(YType.enumeration, "implementor")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:three-way-handshake"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Isis.ThreeWayHandshake, ['implementor'], name, value)

                    class Implementor(Enum):
                        """
                        Implementor

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = Enum.YLeaf(0, "cisco")

                        ietf = Enum.YLeaf(1, "ietf")



            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.LISP.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.LISP.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.LISP.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.LISP.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.LISP.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.LISP.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.LISP.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.LISP.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.LISP.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.LISP.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Verify>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.LISP.Ip.AccessGroup), "arp" : ("arp", Native.Interface.LISP.Ip.Arp), "vrf" : ("vrf", Native.Interface.LISP.Ip.Vrf), "no-address" : ("no_address", Native.Interface.LISP.Ip.NoAddress), "address" : ("address", Native.Interface.LISP.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.LISP.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.LISP.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.LISP.Ip.HoldTime), "pim" : ("pim", Native.Interface.LISP.Ip.Pim), "policy" : ("policy", Native.Interface.LISP.Ip.Policy), "rip" : ("rip", Native.Interface.LISP.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.LISP.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.LISP.Ip.RouteCache), "router" : ("router", Native.Interface.LISP.Ip.Router), "tcp" : ("tcp", Native.Interface.LISP.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.LISP.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.LISP.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.LISP.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.LISP.Ip.Verify)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.LISP.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.LISP.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.LISP.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.LISP.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.LISP.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.LISP.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.LISP.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.LISP.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.LISP.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.LISP.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.LISP.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.LISP.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.LISP.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.LISP.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.LISP.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.LISP.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.LISP.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.LISP.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.LISP.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.LISP.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.LISP.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.LISP.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.LISP.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.LISP.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.LISP.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.LISP.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.LISP.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.LISP.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.LISP.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.LISP.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.LISP.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.LISP.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.LISP.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.LISP.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.LISP.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.LISP.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.LISP.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.LISP.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.LISP.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.LISP.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.LISP.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.LISP.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.LISP.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.LISP.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.LISP.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.LISP.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.LISP.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.LISP.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.LISP.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.LISP.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.LISP.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.LISP.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.LISP.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.LISP.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.LISP.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.LISP.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.LISP.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.LISP.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.LISP.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISP.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISP.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.LISP.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.LISP.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.LISP.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.LISP.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.LISP.Ipv6.Dhcp), "address" : ("address", Native.Interface.LISP.Ipv6.Address), "nd" : ("nd", Native.Interface.LISP.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.LISP.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.LISP.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.LISP.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.LISP.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.LISP.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.LISP.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.LISP.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.LISP.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.LISP.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.LISP.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.LISP.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.LISP.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.LISP.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.LISP.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.LISP.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.LISP.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.LISP.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.LISP.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.LISP.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.LISP.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.LISP.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.LISP.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.LISP.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.LISP.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.LISP.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.LISP.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.LISP.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.LISP.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.LISP.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.LISP.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.LISP.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.LISP.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.LISP.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.LISP.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.LISP.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISP.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISP.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.LISP.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.LISP.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.LISP.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.LISP.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.LISP.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.LISP.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.LISP.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.LISP.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.LISP.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.LISP.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.LISP.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.LISP.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.LISP.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.LISP.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.LISP.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.LISP.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.LISP.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.LISP.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.LISP.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.LISP.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.LISP.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.LISP.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.LISP.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.LISP.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.LISP.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.LISP.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.LISP.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.LISP.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.LISP.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.LISP.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.LISP.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.LISP.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.LISP.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.LISP.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.LISP.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.LISP.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.LISP.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.LISP.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.LISP.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.LISP.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.LISP.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.LISP.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.LISP.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISP.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.LISP.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.LISP.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISP.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.LISP.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.LISP.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISP.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.LISP.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.LISP.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISP.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.LISP.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.LISP.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISP.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISP.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISP.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISP.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISP.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.PmPath, ['name', 'interface_id'], name, value)


            class ServicePolicy(Entity):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\: str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\: str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Interface.LISP.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "LISP"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.Interface.LISP.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.history = YLeaf(YType.empty, "history")

                    self.input = YLeaf(YType.str, "input")

                    self.output = YLeaf(YType.str, "output")

                    self.type = Native.Interface.LISP.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISP.ServicePolicy, ['history', 'input', 'output'], name, value)


                class Type(Entity):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Interface.LISP.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"control" : ("control", Native.Interface.LISP.ServicePolicy.Type.Control), "performance-monitor" : ("performance_monitor", Native.Interface.LISP.ServicePolicy.Type.PerformanceMonitor), "service-chain" : ("service_chain", Native.Interface.LISP.ServicePolicy.Type.ServiceChain)}
                        self._child_list_classes = {}

                        self.control = Native.Interface.LISP.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self._children_name_map["control"] = "control"
                        self._children_yang_names.add("control")

                        self.performance_monitor = Native.Interface.LISP.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.service_chain = Native.Interface.LISP.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self
                        self._children_name_map["service_chain"] = "service-chain"
                        self._children_yang_names.add("service-chain")
                        self._segment_path = lambda: "type"


                    class Control(Entity):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.LISP.ServicePolicy.Type.Control, self).__init__()

                            self.yang_name = "control"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.subscriber = YLeaf(YType.str, "subscriber")
                            self._segment_path = lambda: "control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.ServicePolicy.Type.Control, ['subscriber'], name, value)


                    class PerformanceMonitor(Entity):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.ServicePolicy.Type.PerformanceMonitor.Direction>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.LISP.ServicePolicy.Type.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "performance-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISP.ServicePolicy.Type.PerformanceMonitor, ['direction', 'name'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



                    class ServiceChain(Entity):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISP.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.LISP.ServicePolicy.Type.ServiceChain, self).__init__()

                            self.yang_name = "service-chain"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.LISP.ServicePolicy.Type.ServiceChain.Input), "output" : ("output", Native.Interface.LISP.ServicePolicy.Type.ServiceChain.Output)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.LISP.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Interface.LISP.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "service-chain"


                        class Input(Entity):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.LISP.ServicePolicy.Type.ServiceChain.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.ServicePolicy.Type.ServiceChain.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.LISP.ServicePolicy.Type.ServiceChain.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISP.ServicePolicy.Type.ServiceChain.Output, ['name'], name, value)


        class LISPSubinterface(Entity):
            """
            Locator/ID Separation Protocol Virtual Interface
            
            .. attribute:: lisp
            
            	
            	**type**\: list of  		 :py:class:`LISP <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.LISPSubinterface, self).__init__()

                self.yang_name = "LISP-subinterface"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"LISP" : ("lisp", Native.Interface.LISPSubinterface.LISP)}

                self.lisp = YList(self)
                self._segment_path = lambda: "LISP-subinterface"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.LISPSubinterface, [], name, value)


            class LISP(Entity):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                
                .. attribute:: description
                
                	Interface specific description
                	**type**\: str
                
                	**length:** 0..240
                
                .. attribute:: switchport_conf
                
                	
                	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.SwitchportConf>`
                
                .. attribute:: switchport
                
                	Set switching mode characteristics
                	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Switchport>`
                
                .. attribute:: mac_address
                
                	Manually set interface MAC address
                	**type**\: str
                
                .. attribute:: shutdown
                
                	Shutdown the selected interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: arp
                
                	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Arp>`
                
                .. attribute:: backup
                
                	Modify backup parameters
                	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Backup>`
                
                .. attribute:: cemoudp
                
                	cemoudp
                	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Cemoudp>`
                
                .. attribute:: cws_tunnel
                
                	Configure Cloud Web Security Tunnel
                	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.CwsTunnel>`
                
                .. attribute:: l2protocol_tunnel
                
                	Tunnel Layer2 protocols
                	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel>`
                
                	**presence node**\: True
                
                .. attribute:: encapsulation
                
                	Set encapsulation type for an interface
                	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Encapsulation>`
                
                .. attribute:: fair_queue_conf
                
                	
                	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.FairQueueConf>`
                
                .. attribute:: fair_queue
                
                	Enable Fair Queuing on an Interface
                	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.FairQueue>`
                
                .. attribute:: flowcontrol
                
                	Configure flow operation
                	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Flowcontrol>`
                
                .. attribute:: isis
                
                	IS\-IS commands
                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Isis>`
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\: bool
                
                .. attribute:: keepalive_settings
                
                	
                	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.KeepaliveSettings>`
                
                .. attribute:: bfd
                
                	BFD interface configuration commands
                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Bfd>`
                
                .. attribute:: bandwidth
                
                	Set bandwidth informational parameter
                	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Bandwidth>`
                
                .. attribute:: dampening
                
                	Enable event dampening
                	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Dampening>`
                
                .. attribute:: if_state
                
                	
                	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.IfState>`
                
                .. attribute:: delay
                
                	Specify interface throughput delay
                	**type**\: int
                
                	**range:** 1..16777215
                
                .. attribute:: domain
                
                	Specify a domain
                	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Domain>`
                
                .. attribute:: hold_queue
                
                	Set hold queue depth
                	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.HoldQueue>`
                
                .. attribute:: mpls
                
                	
                	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Mpls>`
                
                .. attribute:: ip_vrf
                
                	
                	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.IpVrf>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Vrf>`
                
                .. attribute:: ip
                
                	Interface Internet Protocol config commands
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip>`
                
                .. attribute:: ipv6
                
                	IPv6 interface subcommands
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ipv6>`
                
                .. attribute:: load_interval
                
                	Specify interval for load calculation for an interface
                	**type**\: int
                
                	**range:** 0..600
                
                .. attribute:: logging
                
                	Configure logging for interface
                	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Logging>`
                
                .. attribute:: mdix
                
                	Set Media Dependent Interface with Crossover
                	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Mdix>`
                
                .. attribute:: mop
                
                	
                	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Mop>`
                
                .. attribute:: max_reserved_bandwidth
                
                	Maximum Reservable Bandwidth on an Interface
                	**type**\: int
                
                	**range:** 1..100
                
                .. attribute:: mtu
                
                	Set the interface Maximum Transmission Unit (MTU)
                	**type**\: int
                
                	**range:** 64..18000
                
                .. attribute:: interface_qos
                
                	
                	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.InterfaceQos>`
                
                .. attribute:: service_insertion
                
                	Service\-insertion AppNav Controller
                	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.ServiceInsertion>`
                
                .. attribute:: standby
                
                	HSRP interface configuration commands
                	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby>`
                
                .. attribute:: access_session
                
                	Access Session specific Interface Configuration Commands
                	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.AccessSession>`
                
                .. attribute:: storm_control
                
                	storm configuration
                	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl>`
                
                .. attribute:: trust
                
                	Set trust value for the interface
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Trust>`
                
                .. attribute:: priority_queue
                
                	Configure priority scheduling
                	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.PriorityQueue>`
                
                .. attribute:: rcv_queue
                
                	Configure receive queue(s)
                	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.RcvQueue>`
                
                .. attribute:: peer
                
                	Peer parameters for point to point interfaces
                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Peer>`
                
                .. attribute:: pm_path
                
                	Global pm\-path configuration
                	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.PmPath>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.LISPSubinterface.LISP, self).__init__()

                    self.yang_name = "LISP"
                    self.yang_parent_name = "LISP-subinterface"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.LISPSubinterface.LISP.SwitchportConf), "switchport" : ("switchport", Native.Interface.LISPSubinterface.LISP.Switchport), "arp" : ("arp", Native.Interface.LISPSubinterface.LISP.Arp), "backup" : ("backup", Native.Interface.LISPSubinterface.LISP.Backup), "cemoudp" : ("cemoudp", Native.Interface.LISPSubinterface.LISP.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.LISPSubinterface.LISP.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.LISPSubinterface.LISP.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.LISPSubinterface.LISP.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.LISPSubinterface.LISP.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.LISPSubinterface.LISP.Flowcontrol), "isis" : ("isis", Native.Interface.LISPSubinterface.LISP.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.LISPSubinterface.LISP.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.LISPSubinterface.LISP.Bfd), "bandwidth" : ("bandwidth", Native.Interface.LISPSubinterface.LISP.Bandwidth), "dampening" : ("dampening", Native.Interface.LISPSubinterface.LISP.Dampening), "domain" : ("domain", Native.Interface.LISPSubinterface.LISP.Domain), "mpls" : ("mpls", Native.Interface.LISPSubinterface.LISP.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.LISPSubinterface.LISP.IpVrf), "vrf" : ("vrf", Native.Interface.LISPSubinterface.LISP.Vrf), "ip" : ("ip", Native.Interface.LISPSubinterface.LISP.Ip), "ipv6" : ("ipv6", Native.Interface.LISPSubinterface.LISP.Ipv6), "logging" : ("logging", Native.Interface.LISPSubinterface.LISP.Logging), "mdix" : ("mdix", Native.Interface.LISPSubinterface.LISP.Mdix), "mop" : ("mop", Native.Interface.LISPSubinterface.LISP.Mop), "interface_qos" : ("interface_qos", Native.Interface.LISPSubinterface.LISP.InterfaceQos), "standby" : ("standby", Native.Interface.LISPSubinterface.LISP.Standby), "access-session" : ("access_session", Native.Interface.LISPSubinterface.LISP.AccessSession), "storm-control" : ("storm_control", Native.Interface.LISPSubinterface.LISP.StormControl), "trust" : ("trust", Native.Interface.LISPSubinterface.LISP.Trust), "priority-queue" : ("priority_queue", Native.Interface.LISPSubinterface.LISP.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.LISPSubinterface.LISP.RcvQueue), "peer" : ("peer", Native.Interface.LISPSubinterface.LISP.Peer), "pm-path" : ("pm_path", Native.Interface.LISPSubinterface.LISP.PmPath)}
                    self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.LISPSubinterface.LISP.HoldQueue)}

                    self.name = YLeaf(YType.str, "name")

                    self.description = YLeaf(YType.str, "description")

                    self.mac_address = YLeaf(YType.str, "mac-address")

                    self.shutdown = YLeaf(YType.empty, "shutdown")

                    self.keepalive = YLeaf(YType.boolean, "keepalive")

                    self.if_state = YLeaf(YType.enumeration, "if-state")

                    self.delay = YLeaf(YType.uint32, "delay")

                    self.load_interval = YLeaf(YType.uint16, "load-interval")

                    self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                    self.switchport_conf = Native.Interface.LISPSubinterface.LISP.SwitchportConf()
                    self.switchport_conf.parent = self
                    self._children_name_map["switchport_conf"] = "switchport-conf"
                    self._children_yang_names.add("switchport-conf")

                    self.switchport = Native.Interface.LISPSubinterface.LISP.Switchport()
                    self.switchport.parent = self
                    self._children_name_map["switchport"] = "switchport"
                    self._children_yang_names.add("switchport")

                    self.arp = Native.Interface.LISPSubinterface.LISP.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.backup = Native.Interface.LISPSubinterface.LISP.Backup()
                    self.backup.parent = self
                    self._children_name_map["backup"] = "backup"
                    self._children_yang_names.add("backup")

                    self.cemoudp = Native.Interface.LISPSubinterface.LISP.Cemoudp()
                    self.cemoudp.parent = self
                    self._children_name_map["cemoudp"] = "cemoudp"
                    self._children_yang_names.add("cemoudp")

                    self.cws_tunnel = Native.Interface.LISPSubinterface.LISP.CwsTunnel()
                    self.cws_tunnel.parent = self
                    self._children_name_map["cws_tunnel"] = "cws-tunnel"
                    self._children_yang_names.add("cws-tunnel")

                    self.l2protocol_tunnel = None
                    self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                    self._children_yang_names.add("l2protocol-tunnel")

                    self.encapsulation = Native.Interface.LISPSubinterface.LISP.Encapsulation()
                    self.encapsulation.parent = self
                    self._children_name_map["encapsulation"] = "encapsulation"
                    self._children_yang_names.add("encapsulation")

                    self.fair_queue_conf = Native.Interface.LISPSubinterface.LISP.FairQueueConf()
                    self.fair_queue_conf.parent = self
                    self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                    self._children_yang_names.add("fair-queue-conf")

                    self.fair_queue = Native.Interface.LISPSubinterface.LISP.FairQueue()
                    self.fair_queue.parent = self
                    self._children_name_map["fair_queue"] = "fair-queue"
                    self._children_yang_names.add("fair-queue")

                    self.flowcontrol = Native.Interface.LISPSubinterface.LISP.Flowcontrol()
                    self.flowcontrol.parent = self
                    self._children_name_map["flowcontrol"] = "flowcontrol"
                    self._children_yang_names.add("flowcontrol")

                    self.isis = Native.Interface.LISPSubinterface.LISP.Isis()
                    self.isis.parent = self
                    self._children_name_map["isis"] = "isis"
                    self._children_yang_names.add("isis")

                    self.keepalive_settings = Native.Interface.LISPSubinterface.LISP.KeepaliveSettings()
                    self.keepalive_settings.parent = self
                    self._children_name_map["keepalive_settings"] = "keepalive-settings"
                    self._children_yang_names.add("keepalive-settings")

                    self.bfd = Native.Interface.LISPSubinterface.LISP.Bfd()
                    self.bfd.parent = self
                    self._children_name_map["bfd"] = "bfd"
                    self._children_yang_names.add("bfd")

                    self.bandwidth = Native.Interface.LISPSubinterface.LISP.Bandwidth()
                    self.bandwidth.parent = self
                    self._children_name_map["bandwidth"] = "bandwidth"
                    self._children_yang_names.add("bandwidth")

                    self.dampening = Native.Interface.LISPSubinterface.LISP.Dampening()
                    self.dampening.parent = self
                    self._children_name_map["dampening"] = "dampening"
                    self._children_yang_names.add("dampening")

                    self.domain = Native.Interface.LISPSubinterface.LISP.Domain()
                    self.domain.parent = self
                    self._children_name_map["domain"] = "domain"
                    self._children_yang_names.add("domain")

                    self.mpls = Native.Interface.LISPSubinterface.LISP.Mpls()
                    self.mpls.parent = self
                    self._children_name_map["mpls"] = "mpls"
                    self._children_yang_names.add("mpls")

                    self.ip_vrf = Native.Interface.LISPSubinterface.LISP.IpVrf()
                    self.ip_vrf.parent = self
                    self._children_name_map["ip_vrf"] = "ip-vrf"
                    self._children_yang_names.add("ip-vrf")

                    self.vrf = Native.Interface.LISPSubinterface.LISP.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.ip = Native.Interface.LISPSubinterface.LISP.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")

                    self.ipv6 = Native.Interface.LISPSubinterface.LISP.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.logging = Native.Interface.LISPSubinterface.LISP.Logging()
                    self.logging.parent = self
                    self._children_name_map["logging"] = "logging"
                    self._children_yang_names.add("logging")

                    self.mdix = Native.Interface.LISPSubinterface.LISP.Mdix()
                    self.mdix.parent = self
                    self._children_name_map["mdix"] = "mdix"
                    self._children_yang_names.add("mdix")

                    self.mop = Native.Interface.LISPSubinterface.LISP.Mop()
                    self.mop.parent = self
                    self._children_name_map["mop"] = "mop"
                    self._children_yang_names.add("mop")

                    self.interface_qos = Native.Interface.LISPSubinterface.LISP.InterfaceQos()
                    self.interface_qos.parent = self
                    self._children_name_map["interface_qos"] = "interface_qos"
                    self._children_yang_names.add("interface_qos")

                    self.standby = Native.Interface.LISPSubinterface.LISP.Standby()
                    self.standby.parent = self
                    self._children_name_map["standby"] = "standby"
                    self._children_yang_names.add("standby")

                    self.access_session = Native.Interface.LISPSubinterface.LISP.AccessSession()
                    self.access_session.parent = self
                    self._children_name_map["access_session"] = "access-session"
                    self._children_yang_names.add("access-session")

                    self.storm_control = Native.Interface.LISPSubinterface.LISP.StormControl()
                    self.storm_control.parent = self
                    self._children_name_map["storm_control"] = "storm-control"
                    self._children_yang_names.add("storm-control")

                    self.trust = Native.Interface.LISPSubinterface.LISP.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")

                    self.priority_queue = Native.Interface.LISPSubinterface.LISP.PriorityQueue()
                    self.priority_queue.parent = self
                    self._children_name_map["priority_queue"] = "priority-queue"
                    self._children_yang_names.add("priority-queue")

                    self.rcv_queue = Native.Interface.LISPSubinterface.LISP.RcvQueue()
                    self.rcv_queue.parent = self
                    self._children_name_map["rcv_queue"] = "rcv-queue"
                    self._children_yang_names.add("rcv-queue")

                    self.peer = Native.Interface.LISPSubinterface.LISP.Peer()
                    self.peer.parent = self
                    self._children_name_map["peer"] = "peer"
                    self._children_yang_names.add("peer")

                    self.pm_path = Native.Interface.LISPSubinterface.LISP.PmPath()
                    self.pm_path.parent = self
                    self._children_name_map["pm_path"] = "pm-path"
                    self._children_yang_names.add("pm-path")

                    self.hold_queue = YList(self)
                    self._segment_path = lambda: "LISP" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/LISP-subinterface/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion'], name, value)

                class IfState(Enum):
                    """
                    IfState

                    .. data:: nhrp = 0

                    """

                    nhrp = Enum.YLeaf(0, "nhrp")


                class ServiceInsertion(Enum):
                    """
                    ServiceInsertion

                    Service\-insertion AppNav Controller

                    .. data:: waas = 0

                    """

                    waas = Enum.YLeaf(0, "waas")



                class SwitchportConf(Entity):
                    """
                    
                    
                    .. attribute:: switchport
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.SwitchportConf, self).__init__()

                        self.yang_name = "switchport-conf"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.switchport = YLeaf(YType.boolean, "switchport")
                        self._segment_path = lambda: "switchport-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.SwitchportConf, ['switchport'], name, value)


                class Switchport(Entity):
                    """
                    Set switching mode characteristics
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Switchport, self).__init__()

                        self.yang_name = "switchport"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "switchport"


                class Arp(Entity):
                    """
                    Set arp type (arpa, probe, snap), timeout, log options or 
                    packet priority
                    
                    .. attribute:: timeout
                    
                    	Set ARP cache timeout
                    	**type**\: int
                    
                    	**range:** 0..2147483
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "arp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Arp, ['timeout'], name, value)


                class Backup(Entity):
                    """
                    Modify backup parameters
                    
                    .. attribute:: delay
                    
                    	Delays before backup line up or down transitions
                    	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Backup.Delay>`
                    
                    .. attribute:: interface
                    
                    	Configure an interface as a backup
                    	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Backup.Interface>`
                    
                    .. attribute:: load
                    
                    	Load thresholds for line up or down transitions
                    	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Backup.Load>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Backup, self).__init__()

                        self.yang_name = "backup"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"delay" : ("delay", Native.Interface.LISPSubinterface.LISP.Backup.Delay), "interface" : ("interface", Native.Interface.LISPSubinterface.LISP.Backup.Interface), "load" : ("load", Native.Interface.LISPSubinterface.LISP.Backup.Load)}
                        self._child_list_classes = {}

                        self.delay = Native.Interface.LISPSubinterface.LISP.Backup.Delay()
                        self.delay.parent = self
                        self._children_name_map["delay"] = "delay"
                        self._children_yang_names.add("delay")

                        self.interface = Native.Interface.LISPSubinterface.LISP.Backup.Interface()
                        self.interface.parent = self
                        self._children_name_map["interface"] = "interface"
                        self._children_yang_names.add("interface")

                        self.load = Native.Interface.LISPSubinterface.LISP.Backup.Load()
                        self.load.parent = self
                        self._children_name_map["load"] = "load"
                        self._children_yang_names.add("load")
                        self._segment_path = lambda: "backup"


                    class Delay(Entity):
                        """
                        Delays before backup line up or down transitions
                        
                        .. attribute:: failure
                        
                        	Seconds
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967294
                        
                        		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                        
                        .. attribute:: secondary_disable
                        
                        	Seconds
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967294
                        
                        		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Backup.Delay, self).__init__()

                            self.yang_name = "delay"
                            self.yang_parent_name = "backup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.failure = YLeaf(YType.str, "failure")

                            self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                            self._segment_path = lambda: "delay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                        class Failure(Enum):
                            """
                            Failure

                            Seconds

                            .. data:: never = 0

                            """

                            never = Enum.YLeaf(0, "never")


                        class SecondaryDisable(Enum):
                            """
                            SecondaryDisable

                            Seconds

                            .. data:: never = 0

                            """

                            never = Enum.YLeaf(0, "never")



                    class Interface(Entity):
                        """
                        Configure an interface as a backup
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Backup.Interface.ATMSubinterface>`
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\: str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Backup.Interface.ATMACRsubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\: str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\: str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\: str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\: str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\: str
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Backup.Interface.LISPSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Backup.Interface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\: str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\: str
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\: str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\: str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Backup.Interface, self).__init__()

                            self.yang_name = "interface"
                            self.yang_parent_name = "backup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.LISPSubinterface.LISP.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.LISPSubinterface.LISP.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.LISPSubinterface.LISP.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.LISPSubinterface.LISP.Backup.Interface.PortChannelSubinterface)}
                            self._child_list_classes = {}

                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                            self.atm = YLeaf(YType.str, "ATM")

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                            self.bdi = YLeaf(YType.str, "BDI")

                            self.cem = YLeaf(YType.str, "CEM")

                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                            self.lisp = YLeaf(YType.str, "LISP")

                            self.loopback = YLeaf(YType.uint32, "Loopback")

                            self.multilink = YLeaf(YType.uint16, "Multilink")

                            self.nve = YLeaf(YType.uint16, "nve")

                            self.overlay = YLeaf(YType.uint16, "overlay")

                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                            self.sm = YLeaf(YType.str, "SM")

                            self.cellular = YLeaf(YType.str, "Cellular")

                            self.serial = YLeaf(YType.str, "Serial")

                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                            self.atm_subinterface = Native.Interface.LISPSubinterface.LISP.Backup.Interface.ATMSubinterface()
                            self.atm_subinterface.parent = self
                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                            self._children_yang_names.add("ATM-subinterface")

                            self.atm_acrsubinterface = Native.Interface.LISPSubinterface.LISP.Backup.Interface.ATMACRsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                            self._children_yang_names.add("ATM-ACRsubinterface")

                            self.lisp_subinterface = Native.Interface.LISPSubinterface.LISP.Backup.Interface.LISPSubinterface()
                            self.lisp_subinterface.parent = self
                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                            self._children_yang_names.add("LISP-subinterface")

                            self.port_channel_subinterface = Native.Interface.LISPSubinterface.LISP.Backup.Interface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                            self._children_yang_names.add("Port-channel-subinterface")
                            self._segment_path = lambda: "interface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                        class ATMSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Backup.Interface.ATMSubinterface, self).__init__()

                                self.yang_name = "ATM-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm = YLeaf(YType.str, "ATM")
                                self._segment_path = lambda: "ATM-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                        class ATMACRsubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Backup.Interface.ATMACRsubinterface, self).__init__()

                                self.yang_name = "ATM-ACRsubinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                self._segment_path = lambda: "ATM-ACRsubinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                        class LISPSubinterface(Entity):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Backup.Interface.LISPSubinterface, self).__init__()

                                self.yang_name = "LISP-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lisp = YLeaf(YType.str, "LISP")
                                self._segment_path = lambda: "LISP-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                        class PortChannelSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Backup.Interface.PortChannelSubinterface, self).__init__()

                                self.yang_name = "Port-channel-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                self._segment_path = lambda: "Port-channel-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                    class Load(Entity):
                        """
                        Load thresholds for line up or down transitions
                        
                        .. attribute:: kickin
                        
                        	Percentage
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..100
                        
                        		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                        
                        .. attribute:: kickout
                        
                        	Percentage
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..100
                        
                        		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Backup.Load, self).__init__()

                            self.yang_name = "load"
                            self.yang_parent_name = "backup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.kickin = YLeaf(YType.str, "kickin")

                            self.kickout = YLeaf(YType.str, "kickout")
                            self._segment_path = lambda: "load"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Backup.Load, ['kickin', 'kickout'], name, value)

                        class Kickin(Enum):
                            """
                            Kickin

                            Percentage

                            .. data:: never = 0

                            """

                            never = Enum.YLeaf(0, "never")


                        class Kickout(Enum):
                            """
                            Kickout

                            Percentage

                            .. data:: never = 0

                            """

                            never = Enum.YLeaf(0, "never")



                class Cemoudp(Entity):
                    """
                    cemoudp
                    
                    .. attribute:: reserve
                    
                    	
                    	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Cemoudp.Reserve>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Cemoudp, self).__init__()

                        self.yang_name = "cemoudp"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"reserve" : ("reserve", Native.Interface.LISPSubinterface.LISP.Cemoudp.Reserve)}
                        self._child_list_classes = {}

                        self.reserve = Native.Interface.LISPSubinterface.LISP.Cemoudp.Reserve()
                        self.reserve.parent = self
                        self._children_name_map["reserve"] = "reserve"
                        self._children_yang_names.add("reserve")
                        self._segment_path = lambda: "cemoudp"


                    class Reserve(Entity):
                        """
                        
                        
                        .. attribute:: acr
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Cemoudp.Reserve, self).__init__()

                            self.yang_name = "reserve"
                            self.yang_parent_name = "cemoudp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.acr = YLeaf(YType.uint8, "acr")
                            self._segment_path = lambda: "reserve"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Cemoudp.Reserve, ['acr'], name, value)


                class CwsTunnel(Entity):
                    """
                    Configure Cloud Web Security Tunnel
                    
                    .. attribute:: in_
                    
                    	Inbound traffic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: out
                    
                    	Outbound traffic
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.CwsTunnel.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.CwsTunnel, self).__init__()

                        self.yang_name = "cws-tunnel"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"out" : ("out", Native.Interface.LISPSubinterface.LISP.CwsTunnel.Out)}
                        self._child_list_classes = {}

                        self.in_ = YLeaf(YType.empty, "in")

                        self.out = Native.Interface.LISPSubinterface.LISP.CwsTunnel.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "cws-tunnel"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.CwsTunnel, ['in_'], name, value)


                    class Out(Entity):
                        """
                        Outbound traffic
                        
                        .. attribute:: tunnel_number
                        
                        	Outboud traffic tunnel identifier
                        	**type**\: int
                        
                        	**range:** 0..65534
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.CwsTunnel.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "cws-tunnel"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                            self._segment_path = lambda: "out"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.CwsTunnel.Out, ['tunnel_number'], name, value)


                class L2ProtocolTunnel(Entity):
                    """
                    Tunnel Layer2 protocols
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: drop_threshold
                    
                    	Set drop threshold for protocol packets
                    	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel.DropThreshold>`
                    
                    .. attribute:: shutdown_threshold
                    
                    	Set shutdown threshold for protocol packets
                    	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel.ShutdownThreshold>`
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel, self).__init__()

                        self.yang_name = "l2protocol-tunnel"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel.ShutdownThreshold)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cdp = YLeaf(YType.empty, "cdp")

                        self.stp = YLeaf(YType.empty, "stp")

                        self.vtp = YLeaf(YType.empty, "vtp")

                        self.drop_threshold = Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel.DropThreshold()
                        self.drop_threshold.parent = self
                        self._children_name_map["drop_threshold"] = "drop-threshold"
                        self._children_yang_names.add("drop-threshold")

                        self.shutdown_threshold = Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel.ShutdownThreshold()
                        self.shutdown_threshold.parent = self
                        self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                        self._children_yang_names.add("shutdown-threshold")
                        self._segment_path = lambda: "l2protocol-tunnel"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                    class DropThreshold(Entity):
                        """
                        Set drop threshold for protocol packets
                        
                        .. attribute:: packet_rate
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: cdp
                        
                        	Cisco Discovery Protocol
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: stp
                        
                        	Spanning Tree Protocol
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: vtp
                        
                        	Vlan Trunking Protocol
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel.DropThreshold, self).__init__()

                            self.yang_name = "drop-threshold"
                            self.yang_parent_name = "l2protocol-tunnel"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                            self.cdp = YLeaf(YType.uint16, "cdp")

                            self.stp = YLeaf(YType.uint16, "stp")

                            self.vtp = YLeaf(YType.uint16, "vtp")
                            self._segment_path = lambda: "drop-threshold"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                    class ShutdownThreshold(Entity):
                        """
                        Set shutdown threshold for protocol packets
                        
                        .. attribute:: packet_rate
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: cdp
                        
                        	Cisco Discovery Protocol
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: stp
                        
                        	Spanning Tree Protocol
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: vtp
                        
                        	Vlan Trunking Protocol
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                            self.yang_name = "shutdown-threshold"
                            self.yang_parent_name = "l2protocol-tunnel"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                            self.cdp = YLeaf(YType.uint16, "cdp")

                            self.stp = YLeaf(YType.uint16, "stp")

                            self.vtp = YLeaf(YType.uint16, "vtp")
                            self._segment_path = lambda: "shutdown-threshold"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class Encapsulation(Entity):
                    """
                    Set encapsulation type for an interface
                    
                    .. attribute:: dot1q
                    
                    	IEEE 802.1Q Virtual LAN
                    	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Encapsulation.Dot1Q>`
                    
                    .. attribute:: isl
                    
                    	Inter Switch Link \- Virtual LAN encapsulation
                    	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Encapsulation.Isl>`
                    
                    .. attribute:: ppp
                    
                    	Point\-to\-Point protocol
                    	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Encapsulation.Ppp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: slip
                    
                    	Serial Line IP
                    	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Encapsulation.Slip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: frame_relay
                    
                    	Frame Relay networks
                    	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Encapsulation.FrameRelay>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Encapsulation, self).__init__()

                        self.yang_name = "encapsulation"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.LISPSubinterface.LISP.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.LISPSubinterface.LISP.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.LISPSubinterface.LISP.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.LISPSubinterface.LISP.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.LISPSubinterface.LISP.Encapsulation.FrameRelay)}
                        self._child_list_classes = {}

                        self.dot1q = Native.Interface.LISPSubinterface.LISP.Encapsulation.Dot1Q()
                        self.dot1q.parent = self
                        self._children_name_map["dot1q"] = "dot1Q"
                        self._children_yang_names.add("dot1Q")

                        self.isl = Native.Interface.LISPSubinterface.LISP.Encapsulation.Isl()
                        self.isl.parent = self
                        self._children_name_map["isl"] = "isl"
                        self._children_yang_names.add("isl")

                        self.ppp = None
                        self._children_name_map["ppp"] = "ppp"
                        self._children_yang_names.add("ppp")

                        self.slip = None
                        self._children_name_map["slip"] = "slip"
                        self._children_yang_names.add("slip")

                        self.frame_relay = None
                        self._children_name_map["frame_relay"] = "frame-relay"
                        self._children_yang_names.add("frame-relay")
                        self._segment_path = lambda: "encapsulation"


                    class Dot1Q(Entity):
                        """
                        IEEE 802.1Q Virtual LAN
                        
                        .. attribute:: vlan_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4094
                        
                        .. attribute:: native
                        
                        	Make this as native vlan
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Encapsulation.Dot1Q, self).__init__()

                            self.yang_name = "dot1Q"
                            self.yang_parent_name = "encapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                            self.native = YLeaf(YType.empty, "native")
                            self._segment_path = lambda: "dot1Q"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                    class Isl(Entity):
                        """
                        Inter Switch Link \- Virtual LAN encapsulation
                        
                        .. attribute:: vlan_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4095
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Encapsulation.Isl, self).__init__()

                            self.yang_name = "isl"
                            self.yang_parent_name = "encapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                            self._segment_path = lambda: "isl"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Encapsulation.Isl, ['vlan_id'], name, value)


                    class Ppp(Entity):
                        """
                        Point\-to\-Point protocol
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Encapsulation.Ppp, self).__init__()

                            self.yang_name = "ppp"
                            self.yang_parent_name = "encapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "ppp"


                    class Slip(Entity):
                        """
                        Serial Line IP
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Encapsulation.Slip, self).__init__()

                            self.yang_name = "slip"
                            self.yang_parent_name = "encapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "slip"


                    class FrameRelay(Entity):
                        """
                        Frame Relay networks
                        
                        .. attribute:: ietf
                        
                        	Use RFC1490/RFC2427 encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Encapsulation.FrameRelay, self).__init__()

                            self.yang_name = "frame-relay"
                            self.yang_parent_name = "encapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ietf = YLeaf(YType.empty, "ietf")
                            self._segment_path = lambda: "frame-relay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Encapsulation.FrameRelay, ['ietf'], name, value)


                class FairQueueConf(Entity):
                    """
                    
                    
                    .. attribute:: fair_queue
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.FairQueueConf, self).__init__()

                        self.yang_name = "fair-queue-conf"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                        self._segment_path = lambda: "fair-queue-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.FairQueueConf, ['fair_queue'], name, value)


                class FairQueue(Entity):
                    """
                    Enable Fair Queuing on an Interface
                    
                    .. attribute:: incomplete
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.FairQueue, self).__init__()

                        self.yang_name = "fair-queue"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.incomplete = YLeaf(YType.empty, "incomplete")
                        self._segment_path = lambda: "fair-queue"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.FairQueue, ['incomplete'], name, value)


                class Flowcontrol(Entity):
                    """
                    Configure flow operation.
                    
                    .. attribute:: receive
                    
                    	Configure receiving flow operation
                    	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Flowcontrol.Receive>`
                    
                    .. attribute:: send
                    
                    	Configure sending flow operation
                    	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Flowcontrol.Send>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Flowcontrol, self).__init__()

                        self.yang_name = "flowcontrol"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.enumeration, "receive")

                        self.send = YLeaf(YType.enumeration, "send")
                        self._segment_path = lambda: "flowcontrol"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Flowcontrol, ['receive', 'send'], name, value)

                    class Receive(Enum):
                        """
                        Receive

                        Configure receiving flow operation

                        .. data:: desired = 0

                        .. data:: off = 1

                        .. data:: on = 2

                        """

                        desired = Enum.YLeaf(0, "desired")

                        off = Enum.YLeaf(1, "off")

                        on = Enum.YLeaf(2, "on")


                    class Send(Enum):
                        """
                        Send

                        Configure sending flow operation

                        .. data:: desired = 0

                        .. data:: off = 1

                        .. data:: on = 2

                        """

                        desired = Enum.YLeaf(0, "desired")

                        off = Enum.YLeaf(1, "off")

                        on = Enum.YLeaf(2, "on")



                class Isis(Entity):
                    """
                    IS\-IS commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Isis, self).__init__()

                        self.yang_name = "isis"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "isis"


                class KeepaliveSettings(Entity):
                    """
                    
                    
                    .. attribute:: keepalive
                    
                    	Enable keepalive
                    	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.KeepaliveSettings.Keepalive>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.KeepaliveSettings, self).__init__()

                        self.yang_name = "keepalive-settings"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.LISPSubinterface.LISP.KeepaliveSettings.Keepalive)}
                        self._child_list_classes = {}

                        self.keepalive = None
                        self._children_name_map["keepalive"] = "keepalive"
                        self._children_yang_names.add("keepalive")
                        self._segment_path = lambda: "keepalive-settings"


                    class Keepalive(Entity):
                        """
                        Enable keepalive
                        
                        .. attribute:: period
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..32767
                        
                        .. attribute:: retries
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.KeepaliveSettings.Keepalive, self).__init__()

                            self.yang_name = "keepalive"
                            self.yang_parent_name = "keepalive-settings"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.period = YLeaf(YType.uint16, "period")

                            self.retries = YLeaf(YType.uint8, "retries")
                            self._segment_path = lambda: "keepalive"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


                class Bfd(Entity):
                    """
                    BFD interface configuration commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Bfd, self).__init__()

                        self.yang_name = "bfd"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "bfd"


                class Bandwidth(Entity):
                    """
                    Set bandwidth informational parameter
                    
                    .. attribute:: receive
                    
                    	Specify receive\-side bandwidth
                    	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Bandwidth.Receive>`
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Bandwidth.Inherit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: qos_reference
                    
                    	Reference bandwidth for QOS
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Bandwidth, self).__init__()

                        self.yang_name = "bandwidth"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"receive" : ("receive", Native.Interface.LISPSubinterface.LISP.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.LISPSubinterface.LISP.Bandwidth.Inherit)}
                        self._child_list_classes = {}

                        self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")

                        self.receive = Native.Interface.LISPSubinterface.LISP.Bandwidth.Receive()
                        self.receive.parent = self
                        self._children_name_map["receive"] = "receive"
                        self._children_yang_names.add("receive")

                        self.inherit = None
                        self._children_name_map["inherit"] = "inherit"
                        self._children_yang_names.add("inherit")
                        self._segment_path = lambda: "bandwidth"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                    class Receive(Entity):
                        """
                        Specify receive\-side bandwidth
                        
                        .. attribute:: inherit
                        
                        	Specify how bandwidth is inherited
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: kilobits
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Bandwidth.Receive, self).__init__()

                            self.yang_name = "receive"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.inherit = YLeaf(YType.empty, "inherit")

                            self.kilobits = YLeaf(YType.uint32, "kilobits")
                            self._segment_path = lambda: "receive"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                    class Inherit(Entity):
                        """
                        Specify how bandwidth is inherited
                        
                        .. attribute:: kilobits
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Bandwidth.Inherit, self).__init__()

                            self.yang_name = "inherit"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.kilobits = YLeaf(YType.uint32, "kilobits")
                            self._segment_path = lambda: "inherit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Bandwidth.Inherit, ['kilobits'], name, value)


                class Dampening(Entity):
                    """
                    Enable event dampening
                    
                    .. attribute:: dampening_time
                    
                    	<1\-30>;;Half\-life time for penalty
                    	**type**\: int
                    
                    	**range:** 1..30
                    
                    .. attribute:: start_reusing_time
                    
                    	<1\-20000>;;Value to start reusing an interface
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    .. attribute:: start_supressing_time
                    
                    	<1\-20000>;;Value to start supressing an interface
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    .. attribute:: maximum_supressing_time
                    
                    	<1\-255>;;Maximum duration to suppress an interface
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Dampening.Restart>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Dampening, self).__init__()

                        self.yang_name = "dampening"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"restart" : ("restart", Native.Interface.LISPSubinterface.LISP.Dampening.Restart)}
                        self._child_list_classes = {}

                        self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                        self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                        self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                        self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                        self.restart = Native.Interface.LISPSubinterface.LISP.Dampening.Restart()
                        self.restart.parent = self
                        self._children_name_map["restart"] = "restart"
                        self._children_yang_names.add("restart")
                        self._segment_path = lambda: "dampening"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                    class Restart(Entity):
                        """
                        Enable restart penalty
                        
                        .. attribute:: restart
                        
                        	Enable restart penalty
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: restart_penalty
                        
                        	<1\-20000>;;Penalty applied at restart
                        	**type**\: int
                        
                        	**range:** 1..20000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Dampening.Restart, self).__init__()

                            self.yang_name = "restart"
                            self.yang_parent_name = "dampening"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.restart = YLeaf(YType.empty, "restart")

                            self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                            self._segment_path = lambda: "restart"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


                class Domain(Entity):
                    """
                    Specify a domain
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: path
                    
                    	Specify a service provider for this interface
                    	**type**\: str
                    
                    .. attribute:: internet_bound
                    
                    	Specify Internet\-bound interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: path_id
                    
                    	Specify service provider path\-id for this interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: path_last_resort
                    
                    	Specify if you want this interface to be a path of last resort
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: zero_sla
                    
                    	Specify if you want this interface to be a 0\-sla interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Domain, self).__init__()

                        self.yang_name = "domain"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.path = YLeaf(YType.str, "path")

                        self.internet_bound = YLeaf(YType.empty, "internet-bound")

                        self.path_id = YLeaf(YType.uint8, "path-id")

                        self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                        self.zero_sla = YLeaf(YType.empty, "zero-sla")
                        self._segment_path = lambda: "domain"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


                class HoldQueue(Entity):
                    """
                    Set hold queue depth
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.HoldQueue.Direction>`
                    
                    .. attribute:: queue_length
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.HoldQueue, self).__init__()

                        self.yang_name = "hold-queue"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.queue_length = YLeaf(YType.uint16, "queue-length")
                        self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.HoldQueue, ['direction', 'queue_length'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class Mpls(Entity):
                    """
                    
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Mpls, self).__init__()

                        self.yang_name = "mpls"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "mpls"


                class IpVrf(Entity):
                    """
                    
                    
                    .. attribute:: ip
                    
                    	
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.IpVrf.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.IpVrf, self).__init__()

                        self.yang_name = "ip-vrf"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.LISPSubinterface.LISP.IpVrf.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.LISPSubinterface.LISP.IpVrf.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "ip-vrf"


                    class Ip(Entity):
                        """
                        
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.IpVrf.Ip.Vrf>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.IpVrf.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "ip-vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vrf" : ("vrf", Native.Interface.LISPSubinterface.LISP.IpVrf.Ip.Vrf)}
                            self._child_list_classes = {}

                            self.vrf = Native.Interface.LISPSubinterface.LISP.IpVrf.Ip.Vrf()
                            self.vrf.parent = self
                            self._children_name_map["vrf"] = "vrf"
                            self._children_yang_names.add("vrf")
                            self._segment_path = lambda: "ip"


                        class Vrf(Entity):
                            """
                            
                            
                            .. attribute:: forwarding
                            
                            	Configure forwarding table
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.IpVrf.Ip.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.forwarding = YLeaf(YType.str, "forwarding")
                                self._segment_path = lambda: "vrf"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.IpVrf.Ip.Vrf, ['forwarding'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.forwarding = YLeaf(YType.str, "forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Vrf, ['forwarding'], name, value)


                class Ip(Entity):
                    """
                    Interface Internet Protocol config commands
                    
                    .. attribute:: admission
                    
                    	Apply Network Admission Control
                    	**type**\: str
                    
                    .. attribute:: access_group
                    
                    	Specify access control for packets
                    	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup>`
                    
                    .. attribute:: arp
                    
                    	Configure ARP features
                    	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Arp>`
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding parameters on the interface
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Vrf>`
                    
                    .. attribute:: unnumbered
                    
                    	Enable IP processing without an explicit address
                    	**type**\: str
                    
                    .. attribute:: no_address
                    
                    	
                    	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.NoAddress>`
                    
                    .. attribute:: address
                    
                    	Set the IP address of an interface
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Address>`
                    
                    .. attribute:: directed_broadcast
                    
                    	Enable forwarding of directed broadcasts
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199 \| 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: hello_interval
                    
                    	Configures EIGRP\-IPv4 hello interval
                    	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.HelloInterval>`
                    
                    .. attribute:: authentication
                    
                    	authentication subcommands
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Authentication>`
                    
                    .. attribute:: hold_time
                    
                    	Configures EIGRP\-IPv4 hold time
                    	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.HoldTime>`
                    
                    .. attribute:: helper_address
                    
                    	Specify a destination address for UDP broadcasts
                    	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.HelperAddress>`
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Pim>`
                    
                    .. attribute:: policy
                    
                    	Enable policy routing
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Policy>`
                    
                    .. attribute:: local_proxy_arp
                    
                    	Enable local\-proxy ARP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_arp
                    
                    	Enable proxy ARP
                    	**type**\: bool
                    
                    .. attribute:: rip
                    
                    	Router Information Protocol
                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Rip>`
                    
                    .. attribute:: route_cache_conf
                    
                    	
                    	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.RouteCacheConf>`
                    
                    .. attribute:: route_cache
                    
                    	Enable fast\-switching cache for outgoing packets
                    	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.RouteCache>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: router
                    
                    	IP router interface commands
                    	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Router>`
                    
                    .. attribute:: redirects
                    
                    	Enable sending ICMP Redirect messages
                    	**type**\: bool
                    
                    .. attribute:: tcp
                    
                    	TCP header compression and other parameters
                    	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Tcp>`
                    
                    .. attribute:: virtual_reassembly
                    
                    	
                    	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.VirtualReassembly>`
                    
                    .. attribute:: dhcp
                    
                    	Configure DHCP parameters for this interface
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Dhcp>`
                    
                    .. attribute:: mtu
                    
                    	Set IP Maximum Transmission Unit
                    	**type**\: int
                    
                    	**range:** 68..9198
                    
                    .. attribute:: mroute_cache
                    
                    	Enable switching cache for incoming multicast packets
                    	**type**\: bool
                    
                    .. attribute:: summary_address
                    
                    	
                    	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.SummaryAddress>`
                    
                    .. attribute:: verify
                    
                    	Enable per packet validation
                    	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Verify>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"access-group" : ("access_group", Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup), "arp" : ("arp", Native.Interface.LISPSubinterface.LISP.Ip.Arp), "vrf" : ("vrf", Native.Interface.LISPSubinterface.LISP.Ip.Vrf), "no-address" : ("no_address", Native.Interface.LISPSubinterface.LISP.Ip.NoAddress), "address" : ("address", Native.Interface.LISPSubinterface.LISP.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.LISPSubinterface.LISP.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.LISPSubinterface.LISP.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.LISPSubinterface.LISP.Ip.HoldTime), "pim" : ("pim", Native.Interface.LISPSubinterface.LISP.Ip.Pim), "policy" : ("policy", Native.Interface.LISPSubinterface.LISP.Ip.Policy), "rip" : ("rip", Native.Interface.LISPSubinterface.LISP.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.LISPSubinterface.LISP.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.LISPSubinterface.LISP.Ip.RouteCache), "router" : ("router", Native.Interface.LISPSubinterface.LISP.Ip.Router), "tcp" : ("tcp", Native.Interface.LISPSubinterface.LISP.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.LISPSubinterface.LISP.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.LISPSubinterface.LISP.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.LISPSubinterface.LISP.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.LISPSubinterface.LISP.Ip.Verify)}
                        self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.LISPSubinterface.LISP.Ip.HelperAddress)}

                        self.admission = YLeaf(YType.str, "admission")

                        self.unnumbered = YLeaf(YType.str, "unnumbered")

                        self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                        self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                        self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                        self.redirects = YLeaf(YType.boolean, "redirects")

                        self.mtu = YLeaf(YType.uint16, "mtu")

                        self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                        self.access_group = Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup()
                        self.access_group.parent = self
                        self._children_name_map["access_group"] = "access-group"
                        self._children_yang_names.add("access-group")

                        self.arp = Native.Interface.LISPSubinterface.LISP.Ip.Arp()
                        self.arp.parent = self
                        self._children_name_map["arp"] = "arp"
                        self._children_yang_names.add("arp")

                        self.vrf = Native.Interface.LISPSubinterface.LISP.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")

                        self.no_address = Native.Interface.LISPSubinterface.LISP.Ip.NoAddress()
                        self.no_address.parent = self
                        self._children_name_map["no_address"] = "no-address"
                        self._children_yang_names.add("no-address")

                        self.address = Native.Interface.LISPSubinterface.LISP.Ip.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.hello_interval = Native.Interface.LISPSubinterface.LISP.Ip.HelloInterval()
                        self.hello_interval.parent = self
                        self._children_name_map["hello_interval"] = "hello-interval"
                        self._children_yang_names.add("hello-interval")

                        self.authentication = Native.Interface.LISPSubinterface.LISP.Ip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.hold_time = Native.Interface.LISPSubinterface.LISP.Ip.HoldTime()
                        self.hold_time.parent = self
                        self._children_name_map["hold_time"] = "hold-time"
                        self._children_yang_names.add("hold-time")

                        self.pim = Native.Interface.LISPSubinterface.LISP.Ip.Pim()
                        self.pim.parent = self
                        self._children_name_map["pim"] = "pim"
                        self._children_yang_names.add("pim")

                        self.policy = Native.Interface.LISPSubinterface.LISP.Ip.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.rip = Native.Interface.LISPSubinterface.LISP.Ip.Rip()
                        self.rip.parent = self
                        self._children_name_map["rip"] = "rip"
                        self._children_yang_names.add("rip")

                        self.route_cache_conf = Native.Interface.LISPSubinterface.LISP.Ip.RouteCacheConf()
                        self.route_cache_conf.parent = self
                        self._children_name_map["route_cache_conf"] = "route-cache-conf"
                        self._children_yang_names.add("route-cache-conf")

                        self.route_cache = None
                        self._children_name_map["route_cache"] = "route-cache"
                        self._children_yang_names.add("route-cache")

                        self.router = Native.Interface.LISPSubinterface.LISP.Ip.Router()
                        self.router.parent = self
                        self._children_name_map["router"] = "router"
                        self._children_yang_names.add("router")

                        self.tcp = Native.Interface.LISPSubinterface.LISP.Ip.Tcp()
                        self.tcp.parent = self
                        self._children_name_map["tcp"] = "tcp"
                        self._children_yang_names.add("tcp")

                        self.virtual_reassembly = Native.Interface.LISPSubinterface.LISP.Ip.VirtualReassembly()
                        self.virtual_reassembly.parent = self
                        self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                        self._children_yang_names.add("virtual-reassembly")

                        self.dhcp = Native.Interface.LISPSubinterface.LISP.Ip.Dhcp()
                        self.dhcp.parent = self
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.summary_address = Native.Interface.LISPSubinterface.LISP.Ip.SummaryAddress()
                        self.summary_address.parent = self
                        self._children_name_map["summary_address"] = "summary-address"
                        self._children_yang_names.add("summary-address")

                        self.verify = Native.Interface.LISPSubinterface.LISP.Ip.Verify()
                        self.verify.parent = self
                        self._children_name_map["verify"] = "verify"
                        self._children_yang_names.add("verify")

                        self.helper_address = YList(self)
                        self._segment_path = lambda: "ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                    class AccessGroup(Entity):
                        """
                        Specify access control for packets
                        
                        .. attribute:: in_
                        
                        	
                        	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_>`
                        
                        .. attribute:: out
                        
                        	
                        	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup, self).__init__()

                            self.yang_name = "access-group"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"in" : ("in_", Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out)}
                            self._child_list_classes = {}

                            self.in_ = Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_()
                            self.in_.parent = self
                            self._children_name_map["in_"] = "in"
                            self._children_yang_names.add("in")

                            self.out = Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out()
                            self.out.parent = self
                            self._children_name_map["out"] = "out"
                            self._children_yang_names.add("out")
                            self._segment_path = lambda: "access-group"


                        class In_(Entity):
                            """
                            
                            
                            .. attribute:: common_acl
                            
                            	
                            	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_.CommonAcl>`
                            
                            .. attribute:: acl
                            
                            	
                            	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_.Acl>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_, self).__init__()

                                self.yang_name = "in"
                                self.yang_parent_name = "access-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_.Acl)}
                                self._child_list_classes = {}

                                self.common_acl = Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_.CommonAcl()
                                self.common_acl.parent = self
                                self._children_name_map["common_acl"] = "common-acl"
                                self._children_yang_names.add("common-acl")

                                self.acl = Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_.Acl()
                                self.acl.parent = self
                                self._children_name_map["acl"] = "acl"
                                self._children_yang_names.add("acl")
                                self._segment_path = lambda: "in"


                            class CommonAcl(Entity):
                                """
                                
                                
                                .. attribute:: common
                                
                                	specify ipv4 common ACL for packet filtering
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199 \| 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                .. attribute:: in_
                                
                                	inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                    self.yang_name = "common-acl"
                                    self.yang_parent_name = "in"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.common = YLeaf(YType.str, "common")

                                    self.in_ = YLeaf(YType.empty, "in")
                                    self._segment_path = lambda: "common-acl"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                            class Acl(Entity):
                                """
                                
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199 \| 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                .. attribute:: in_
                                
                                	inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_.Acl, self).__init__()

                                    self.yang_name = "acl"
                                    self.yang_parent_name = "in"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.acl_name = YLeaf(YType.str, "acl-name")

                                    self.in_ = YLeaf(YType.empty, "in")
                                    self._segment_path = lambda: "acl"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                        class Out(Entity):
                            """
                            
                            
                            .. attribute:: common_acl
                            
                            	
                            	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out.CommonAcl>`
                            
                            .. attribute:: acl
                            
                            	
                            	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out.Acl>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out, self).__init__()

                                self.yang_name = "out"
                                self.yang_parent_name = "access-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out.Acl)}
                                self._child_list_classes = {}

                                self.common_acl = Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out.CommonAcl()
                                self.common_acl.parent = self
                                self._children_name_map["common_acl"] = "common-acl"
                                self._children_yang_names.add("common-acl")

                                self.acl = Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out.Acl()
                                self.acl.parent = self
                                self._children_name_map["acl"] = "acl"
                                self._children_yang_names.add("acl")
                                self._segment_path = lambda: "out"


                            class CommonAcl(Entity):
                                """
                                
                                
                                .. attribute:: common
                                
                                	specify ipv4 common ACL for packet filtering
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199 \| 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                .. attribute:: out
                                
                                	outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                    self.yang_name = "common-acl"
                                    self.yang_parent_name = "out"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.common = YLeaf(YType.str, "common")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "common-acl"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                            class Acl(Entity):
                                """
                                
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199 \| 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                .. attribute:: out
                                
                                	outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out.Acl, self).__init__()

                                    self.yang_name = "acl"
                                    self.yang_parent_name = "out"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.acl_name = YLeaf(YType.str, "acl-name")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "acl"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                    class Arp(Entity):
                        """
                        Configure ARP features
                        
                        .. attribute:: inspection
                        
                        	Arp Inspection configuration
                        	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Arp.Inspection>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.Arp, self).__init__()

                            self.yang_name = "arp"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"inspection" : ("inspection", Native.Interface.LISPSubinterface.LISP.Ip.Arp.Inspection)}
                            self._child_list_classes = {}

                            self.inspection = Native.Interface.LISPSubinterface.LISP.Ip.Arp.Inspection()
                            self.inspection.parent = self
                            self._children_name_map["inspection"] = "inspection"
                            self._children_yang_names.add("inspection")
                            self._segment_path = lambda: "arp"


                        class Inspection(Entity):
                            """
                            Arp Inspection configuration
                            
                            .. attribute:: limit
                            
                            	Configure Rate limit of incoming ARP packets
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Arp.Inspection.Limit>`
                            
                            .. attribute:: trust
                            
                            	Configure Trust state
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.Arp.Inspection, self).__init__()

                                self.yang_name = "inspection"
                                self.yang_parent_name = "arp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"limit" : ("limit", Native.Interface.LISPSubinterface.LISP.Ip.Arp.Inspection.Limit)}
                                self._child_list_classes = {}

                                self.trust = YLeaf(YType.empty, "trust")

                                self.limit = Native.Interface.LISPSubinterface.LISP.Ip.Arp.Inspection.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "inspection"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Arp.Inspection, ['trust'], name, value)


                            class Limit(Entity):
                                """
                                Configure Rate limit of incoming ARP packets
                                
                                .. attribute:: none
                                
                                	No limit
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: rate
                                
                                	Rate Limit
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Ip.Arp.Inspection.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "inspection"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.none = YLeaf(YType.empty, "none")

                                    self.rate = YLeaf(YType.uint32, "rate")
                                    self._segment_path = lambda: "limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                    class Vrf(Entity):
                        """
                        VPN Routing/Forwarding parameters on the interface
                        
                        .. attribute:: receive
                        
                        	Add Interface Address into VRF Table
                        	**type**\: str
                        
                        .. attribute:: sitemap
                        
                        	Configure route\-map for routesreceived from this site
                        	**type**\: str
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Vrf.Forwarding>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.LISPSubinterface.LISP.Ip.Vrf.Forwarding)}
                            self._child_list_classes = {}

                            self.receive = YLeaf(YType.str, "receive")

                            self.sitemap = YLeaf(YType.str, "sitemap")

                            self.forwarding = Native.Interface.LISPSubinterface.LISP.Ip.Vrf.Forwarding()
                            self.forwarding.parent = self
                            self._children_name_map["forwarding"] = "forwarding"
                            self._children_yang_names.add("forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Vrf, ['receive', 'sitemap'], name, value)


                        class Forwarding(Entity):
                            """
                            Configure forwarding table
                            
                            .. attribute:: liin_vrf
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mgmtvrf
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: word
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.Vrf.Forwarding, self).__init__()

                                self.yang_name = "forwarding"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                                self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                                self.word = YLeaf(YType.str, "word")
                                self._segment_path = lambda: "forwarding"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                    class NoAddress(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.NoAddress, self).__init__()

                            self.yang_name = "no-address"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.boolean, "address")
                            self._segment_path = lambda: "no-address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.NoAddress, ['address'], name, value)


                    class Address(Entity):
                        """
                        Set the IP address of an interface
                        
                        .. attribute:: primary
                        
                        	
                        	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Address.Primary>`
                        
                        .. attribute:: secondary
                        
                        	
                        	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Address.Secondary>`
                        
                        .. attribute:: dhcp
                        
                        	IP Address negotiated via DHCP
                        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Address.Dhcp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: negotiated
                        
                        	IP Address negotiated via IKEv2 Modeconfig
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"primary" : ("primary", Native.Interface.LISPSubinterface.LISP.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.LISPSubinterface.LISP.Ip.Address.Dhcp)}
                            self._child_list_classes = {"secondary" : ("secondary", Native.Interface.LISPSubinterface.LISP.Ip.Address.Secondary)}

                            self.negotiated = YLeaf(YType.empty, "negotiated")

                            self.primary = Native.Interface.LISPSubinterface.LISP.Ip.Address.Primary()
                            self.primary.parent = self
                            self._children_name_map["primary"] = "primary"
                            self._children_yang_names.add("primary")

                            self.dhcp = None
                            self._children_name_map["dhcp"] = "dhcp"
                            self._children_yang_names.add("dhcp")

                            self.secondary = YList(self)
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Address, ['negotiated'], name, value)


                        class Primary(Entity):
                            """
                            
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.Address.Primary, self).__init__()

                                self.yang_name = "primary"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.mask = YLeaf(YType.str, "mask")
                                self._segment_path = lambda: "primary"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Address.Primary, ['address', 'mask'], name, value)


                        class Secondary(Entity):
                            """
                            
                            
                            .. attribute:: address  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            	**mandatory**\: True
                            
                            .. attribute:: secondary
                            
                            	Make this IP address a secondary address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            	**mandatory**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.Address.Secondary, self).__init__()

                                self.yang_name = "secondary"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.mask = YLeaf(YType.str, "mask")

                                self.secondary = YLeaf(YType.empty, "secondary")
                                self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                        class Dhcp(Entity):
                            """
                            IP Address negotiated via DHCP
                            
                            .. attribute:: client_id
                            
                            	Specify client\-id to use
                            	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Address.Dhcp.ClientId>`
                            
                            .. attribute:: hostname
                            
                            	Specify value for hostname option
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.Address.Dhcp, self).__init__()

                                self.yang_name = "dhcp"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"client-id" : ("client_id", Native.Interface.LISPSubinterface.LISP.Ip.Address.Dhcp.ClientId)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.hostname = YLeaf(YType.str, "hostname")

                                self.client_id = Native.Interface.LISPSubinterface.LISP.Ip.Address.Dhcp.ClientId()
                                self.client_id.parent = self
                                self._children_name_map["client_id"] = "client-id"
                                self._children_yang_names.add("client-id")
                                self._segment_path = lambda: "dhcp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Address.Dhcp, ['hostname'], name, value)


                            class ClientId(Entity):
                                """
                                Specify client\-id to use
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: fortygigabitethernet
                                
                                	Forty Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: vlan
                                
                                	Catalyst Vlans
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Ip.Address.Dhcp.ClientId, self).__init__()

                                    self.yang_name = "client-id"
                                    self.yang_parent_name = "dhcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                    self.vlan = YLeaf(YType.uint16, "vlan")
                                    self._segment_path = lambda: "client-id"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                    class HelloInterval(Entity):
                        """
                        Configures EIGRP\-IPv4 hello interval
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: seconds
                        
                        	Seconds between hello transmissions
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.HelloInterval, self).__init__()

                            self.yang_name = "hello-interval"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.seconds = YLeaf(YType.uint16, "seconds")
                            self._segment_path = lambda: "hello-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                    class Authentication(Entity):
                        """
                        authentication subcommands
                        
                        .. attribute:: key_chain
                        
                        	key\-chain
                        	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Authentication.KeyChain>`
                        
                        .. attribute:: mode
                        
                        	mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.LISPSubinterface.LISP.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.LISPSubinterface.LISP.Ip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = Native.Interface.LISPSubinterface.LISP.Ip.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self._children_name_map["key_chain"] = "key-chain"
                            self._children_yang_names.add("key-chain")

                            self.mode = Native.Interface.LISPSubinterface.LISP.Ip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"


                        class KeyChain(Entity):
                            """
                            key\-chain
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: name
                            
                            	name of key\-chain
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.Authentication.KeyChain, self).__init__()

                                self.yang_name = "key-chain"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eigrp = YLeaf(YType.uint16, "eigrp")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                        class Mode(Entity):
                            """
                            mode
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eigrp = YLeaf(YType.uint16, "eigrp")

                                self.md5 = YLeaf(YType.empty, "md5")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                    class HoldTime(Entity):
                        """
                        Configures EIGRP\-IPv4 hold time
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: seconds
                        
                        	Seconds before neighbor is considered down
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.HoldTime, self).__init__()

                            self.yang_name = "hold-time"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.seconds = YLeaf(YType.uint16, "seconds")
                            self._segment_path = lambda: "hold-time"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                    class HelperAddress(Entity):
                        """
                        Specify a destination address for UDP broadcasts
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: global_
                        
                        	Helper\-address is global
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	VRF name for helper\-address (if different from interface VRF)
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.HelperAddress, self).__init__()

                            self.yang_name = "helper-address"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.global_ = YLeaf(YType.empty, "global")

                            self.vrf = YLeaf(YType.str, "vrf")
                            self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                    class Pim(Entity):
                        """
                        PIM interface commands
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.Pim, self).__init__()

                            self.yang_name = "pim"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self._segment_path = lambda: "pim"


                    class Policy(Entity):
                        """
                        Enable policy routing
                        
                        .. attribute:: route_map
                        
                        	Policy route\-map
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Policy, ['route_map'], name, value)


                    class Rip(Entity):
                        """
                        Router Information Protocol
                        
                        .. attribute:: authentication
                        
                        	Authentication control
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Rip.Authentication>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.Rip, self).__init__()

                            self.yang_name = "rip"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.LISPSubinterface.LISP.Ip.Rip.Authentication)}
                            self._child_list_classes = {}

                            self.authentication = Native.Interface.LISPSubinterface.LISP.Ip.Rip.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")
                            self._segment_path = lambda: "rip"


                        class Authentication(Entity):
                            """
                            Authentication control
                            
                            .. attribute:: key_chain
                            
                            	Authentication key\-chain
                            	**type**\: str
                            
                            .. attribute:: mode
                            
                            	Authentication mode
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Rip.Authentication.Mode>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.Rip.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "rip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode" : ("mode", Native.Interface.LISPSubinterface.LISP.Ip.Rip.Authentication.Mode)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.mode = Native.Interface.LISPSubinterface.LISP.Ip.Rip.Authentication.Mode()
                                self.mode.parent = self
                                self._children_name_map["mode"] = "mode"
                                self._children_yang_names.add("mode")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Rip.Authentication, ['key_chain'], name, value)


                            class Mode(Entity):
                                """
                                Authentication mode
                                
                                .. attribute:: md5
                                
                                	Keyed message digest
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: text
                                
                                	Clear text authentication
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Ip.Rip.Authentication.Mode, self).__init__()

                                    self.yang_name = "mode"
                                    self.yang_parent_name = "authentication"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.md5 = YLeaf(YType.empty, "md5")

                                    self.text = YLeaf(YType.empty, "text")
                                    self._segment_path = lambda: "mode"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                    class RouteCacheConf(Entity):
                        """
                        
                        
                        .. attribute:: route_cache
                        
                        	
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.RouteCacheConf, self).__init__()

                            self.yang_name = "route-cache-conf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.route_cache = YLeaf(YType.boolean, "route-cache")
                            self._segment_path = lambda: "route-cache-conf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.RouteCacheConf, ['route_cache'], name, value)


                    class RouteCache(Entity):
                        """
                        Enable fast\-switching cache for outgoing packets
                        
                        .. attribute:: cef
                        
                        	Enable Cisco Express Forwarding
                        	**type**\: bool
                        
                        .. attribute:: flow
                        
                        	Enable Flow fast\-switching cache
                        	**type**\: bool
                        
                        .. attribute:: policy
                        
                        	Enable fast\-switching policy cache for outgoing packets
                        	**type**\: bool
                        
                        .. attribute:: same_interface
                        
                        	Enable fast\-switching on the same interface
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.RouteCache, self).__init__()

                            self.yang_name = "route-cache"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cef = YLeaf(YType.boolean, "cef")

                            self.flow = YLeaf(YType.boolean, "flow")

                            self.policy = YLeaf(YType.boolean, "policy")

                            self.same_interface = YLeaf(YType.boolean, "same-interface")
                            self._segment_path = lambda: "route-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                    class Router(Entity):
                        """
                        IP router interface commands
                        
                        .. attribute:: isis
                        
                        	IS\-IS Routing for IP
                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Router.Isis>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.Router, self).__init__()

                            self.yang_name = "router"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"isis" : ("isis", Native.Interface.LISPSubinterface.LISP.Ip.Router.Isis)}
                            self._child_list_classes = {}

                            self.isis = None
                            self._children_name_map["isis"] = "isis"
                            self._children_yang_names.add("isis")
                            self._segment_path = lambda: "router"


                        class Isis(Entity):
                            """
                            IS\-IS Routing for IP
                            
                            .. attribute:: tag
                            
                            	
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.Router.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "router"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.tag = YLeaf(YType.str, "tag")
                                self._segment_path = lambda: "isis"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Router.Isis, ['tag'], name, value)


                    class Tcp(Entity):
                        """
                        TCP header compression and other parameters
                        
                        .. attribute:: adjust_mss
                        
                        	Adjust the mss of transit packets
                        	**type**\: int
                        
                        	**range:** 500..1460
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.Tcp, self).__init__()

                            self.yang_name = "tcp"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                            self._segment_path = lambda: "tcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Tcp, ['adjust_mss'], name, value)


                    class VirtualReassembly(Entity):
                        """
                        
                        
                        .. attribute:: max_reassemblies
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: max_fragments
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: timeout
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: drop_fragments
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: in_
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.VirtualReassembly, self).__init__()

                            self.yang_name = "virtual-reassembly"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                            self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                            self.timeout = YLeaf(YType.uint32, "timeout")

                            self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                            self.in_ = YLeaf(YType.empty, "in")
                            self._segment_path = lambda: "virtual-reassembly"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                    class Dhcp(Entity):
                        """
                        Configure DHCP parameters for this interface
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self._segment_path = lambda: "dhcp"


                    class SummaryAddress(Entity):
                        """
                        
                        
                        .. attribute:: eigrp
                        
                        	
                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.SummaryAddress.Eigrp>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.SummaryAddress, self).__init__()

                            self.yang_name = "summary-address"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.LISPSubinterface.LISP.Ip.SummaryAddress.Eigrp)}

                            self.eigrp = YList(self)
                            self._segment_path = lambda: "summary-address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.SummaryAddress, [], name, value)


                        class Eigrp(Entity):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ip
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.SummaryAddress.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "summary-address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.ip = YLeaf(YType.str, "ip")

                                self.mask = YLeaf(YType.str, "mask")

                                self.metric = YLeaf(YType.uint32, "metric")
                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                    class Verify(Entity):
                        """
                        Enable per packet validation
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Verify.Source>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: unicast
                        
                        	Enable per packet validation for unicast
                        	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Verify.Unicast>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ip.Verify, self).__init__()

                            self.yang_name = "verify"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"source" : ("source", Native.Interface.LISPSubinterface.LISP.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.LISPSubinterface.LISP.Ip.Verify.Unicast)}
                            self._child_list_classes = {}

                            self.source = None
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")

                            self.unicast = Native.Interface.LISPSubinterface.LISP.Ip.Verify.Unicast()
                            self.unicast.parent = self
                            self._children_name_map["unicast"] = "unicast"
                            self._children_yang_names.add("unicast")
                            self._segment_path = lambda: "verify"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Verify.Source.Vlan>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.Verify.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "verify"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"vlan" : ("vlan", Native.Interface.LISPSubinterface.LISP.Ip.Verify.Source.Vlan)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.vlan = Native.Interface.LISPSubinterface.LISP.Ip.Verify.Source.Vlan()
                                self.vlan.parent = self
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "source"


                            class Vlan(Entity):
                                """
                                vlan specification
                                
                                .. attribute:: dhcp_snooping
                                
                                	snooping enable vlan
                                	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Verify.Source.Vlan.DhcpSnooping>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Ip.Verify.Source.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.LISPSubinterface.LISP.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                    self._child_list_classes = {}

                                    self.dhcp_snooping = None
                                    self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                    self._children_yang_names.add("dhcp-snooping")
                                    self._segment_path = lambda: "vlan"


                                class DhcpSnooping(Entity):
                                    """
                                    snooping enable vlan
                                    
                                    .. attribute:: port_security
                                    
                                    	port security
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.LISPSubinterface.LISP.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                        self.yang_name = "dhcp-snooping"
                                        self.yang_parent_name = "vlan"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.port_security = YLeaf(YType.empty, "port-security")
                                        self._segment_path = lambda: "dhcp-snooping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                        class Unicast(Entity):
                            """
                            Enable per packet validation for unicast
                            
                            .. attribute:: reverse_path
                            
                            	Reverse path validation of source address (old command format)
                            	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Verify.Unicast.ReversePath>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: source
                            
                            	Validation of source address
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Verify.Unicast.Source>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ip.Verify.Unicast, self).__init__()

                                self.yang_name = "unicast"
                                self.yang_parent_name = "verify"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.LISPSubinterface.LISP.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.LISPSubinterface.LISP.Ip.Verify.Unicast.Source)}
                                self._child_list_classes = {}

                                self.reverse_path = None
                                self._children_name_map["reverse_path"] = "reverse-path"
                                self._children_yang_names.add("reverse-path")

                                self.source = Native.Interface.LISPSubinterface.LISP.Ip.Verify.Unicast.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "unicast"


                            class ReversePath(Entity):
                                """
                                Reverse path validation of source address (old command format)
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Ip.Verify.Unicast.ReversePath, self).__init__()

                                    self.yang_name = "reverse-path"
                                    self.yang_parent_name = "unicast"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "reverse-path"


                            class Source(Entity):
                                """
                                Validation of source address
                                
                                .. attribute:: reachable_via
                                
                                	Specify reachability check to apply to the source address
                                	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ip.Verify.Unicast.Source.ReachableVia>`
                                
                                .. attribute:: allow_self_ping
                                
                                	Allow router to ping itself (opens vulnerability in verification)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: allow_default
                                
                                	Allow default route to match when checking source address
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Ip.Verify.Unicast.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "unicast"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                    self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                    self.allow_default = YLeaf(YType.empty, "allow-default")
                                    self._segment_path = lambda: "source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                                class ReachableVia(Enum):
                                    """
                                    ReachableVia

                                    Specify reachability check to apply to the source address

                                    .. data:: any = 0

                                    .. data:: rx = 1

                                    """

                                    any = Enum.YLeaf(0, "any")

                                    rx = Enum.YLeaf(1, "rx")



                class Ipv6(Entity):
                    """
                    IPv6 interface subcommands
                    
                    .. attribute:: destination_guard
                    
                    	Configure ipv6 destination guard on the interface
                    	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ipv6.DestinationGuard>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	IPv6 DHCP interface subcommands
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ipv6.Dhcp>`
                    
                    .. attribute:: address
                    
                    	Configure IPv6 address on interface
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ipv6.Address>`
                    
                    .. attribute:: unnumbered
                    
                    	Preferred interface for source address selection
                    	**type**\: str
                    
                    .. attribute:: enable
                    
                    	Enable IPv6 on interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mtu
                    
                    	Set IPv6 Maximum Transmission Unit
                    	**type**\: int
                    
                    	**range:** 1280..9198
                    
                    .. attribute:: nd
                    
                    	IPv6 interface Neighbor Discovery subcommands
                    	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ipv6.Nd>`
                    
                    .. attribute:: redirects
                    
                    	Enable sending ICMP Redirect messages
                    	**type**\: bool
                    
                    .. attribute:: tcp
                    
                    	TCP header compression and other parameters
                    	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ipv6.Tcp>`
                    
                    .. attribute:: traffic_filter
                    
                    	Access control list for packets
                    	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ipv6.TrafficFilter>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.LISPSubinterface.LISP.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.LISPSubinterface.LISP.Ipv6.Dhcp), "address" : ("address", Native.Interface.LISPSubinterface.LISP.Ipv6.Address), "nd" : ("nd", Native.Interface.LISPSubinterface.LISP.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.LISPSubinterface.LISP.Ipv6.Tcp)}
                        self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.LISPSubinterface.LISP.Ipv6.TrafficFilter)}

                        self.unnumbered = YLeaf(YType.str, "unnumbered")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.mtu = YLeaf(YType.uint16, "mtu")

                        self.redirects = YLeaf(YType.boolean, "redirects")

                        self.destination_guard = None
                        self._children_name_map["destination_guard"] = "destination-guard"
                        self._children_yang_names.add("destination-guard")

                        self.dhcp = Native.Interface.LISPSubinterface.LISP.Ipv6.Dhcp()
                        self.dhcp.parent = self
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.address = Native.Interface.LISPSubinterface.LISP.Ipv6.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.nd = Native.Interface.LISPSubinterface.LISP.Ipv6.Nd()
                        self.nd.parent = self
                        self._children_name_map["nd"] = "nd"
                        self._children_yang_names.add("nd")

                        self.tcp = Native.Interface.LISPSubinterface.LISP.Ipv6.Tcp()
                        self.tcp.parent = self
                        self._children_name_map["tcp"] = "tcp"
                        self._children_yang_names.add("tcp")

                        self.traffic_filter = YList(self)
                        self._segment_path = lambda: "ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                    class DestinationGuard(Entity):
                        """
                        Configure ipv6 destination guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature ipv6 destguard
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ipv6.DestinationGuard, self).__init__()

                            self.yang_name = "destination-guard"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "destination-guard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                    class Dhcp(Entity):
                        """
                        IPv6 DHCP interface subcommands
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ipv6.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self._segment_path = lambda: "dhcp"


                    class Address(Entity):
                        """
                        Configure IPv6 address on interface
                        
                        .. attribute:: dhcp
                        
                        	Obtain IPv6 address from DHCP server
                        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ipv6.Address.Dhcp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: autoconfig
                        
                        	Obtain address using autoconfiguration
                        	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ipv6.Address.Autoconfig>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix_list
                        
                        	
                        	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ipv6.Address.PrefixList>`
                        
                        .. attribute:: link_local_address
                        
                        	
                        	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ipv6.Address.LinkLocalAddress>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ipv6.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.LISPSubinterface.LISP.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.LISPSubinterface.LISP.Ipv6.Address.Autoconfig)}
                            self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.LISPSubinterface.LISP.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.LISPSubinterface.LISP.Ipv6.Address.LinkLocalAddress)}

                            self.dhcp = None
                            self._children_name_map["dhcp"] = "dhcp"
                            self._children_yang_names.add("dhcp")

                            self.autoconfig = None
                            self._children_name_map["autoconfig"] = "autoconfig"
                            self._children_yang_names.add("autoconfig")

                            self.prefix_list = YList(self)
                            self.link_local_address = YList(self)
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ipv6.Address, [], name, value)


                        class Dhcp(Entity):
                            """
                            Obtain IPv6 address from DHCP server
                            
                            .. attribute:: rapid_commit
                            
                            	rapid\-commit for prefix delegation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ipv6.Address.Dhcp, self).__init__()

                                self.yang_name = "dhcp"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                                self._segment_path = lambda: "dhcp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                        class Autoconfig(Entity):
                            """
                            Obtain address using autoconfiguration
                            
                            .. attribute:: default
                            
                            	Insert default route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ipv6.Address.Autoconfig, self).__init__()

                                self.yang_name = "autoconfig"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.default = YLeaf(YType.empty, "default")
                                self._segment_path = lambda: "autoconfig"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ipv6.Address.Autoconfig, ['default'], name, value)


                        class PrefixList(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: anycast
                            
                            	Configure as an anycast
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: eui_64
                            
                            	Use eui\-64 interface identifier
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ipv6.Address.PrefixList, self).__init__()

                                self.yang_name = "prefix-list"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.anycast = YLeaf(YType.empty, "anycast")

                                self.eui_64 = YLeaf(YType.empty, "eui-64")
                                self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                        class LinkLocalAddress(Entity):
                            """
                            
                            
                            .. attribute:: address  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: link_local
                            
                            	Use link\-local address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Ipv6.Address.LinkLocalAddress, self).__init__()

                                self.yang_name = "link-local-address"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.link_local = YLeaf(YType.empty, "link-local")
                                self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                    class Nd(Entity):
                        """
                        IPv6 interface Neighbor Discovery subcommands
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ipv6.Nd, self).__init__()

                            self.yang_name = "nd"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self._segment_path = lambda: "nd"


                    class Tcp(Entity):
                        """
                        TCP header compression and other parameters
                        
                        .. attribute:: adjust_mss
                        
                        	Adjust the mss of transit packets
                        	**type**\: int
                        
                        	**range:** 40..1454
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ipv6.Tcp, self).__init__()

                            self.yang_name = "tcp"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                            self._segment_path = lambda: "tcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ipv6.Tcp, ['adjust_mss'], name, value)


                    class TrafficFilter(Entity):
                        """
                        Access control list for packets
                        
                        .. attribute:: direction  <key>
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Ipv6.TrafficFilter.Direction>`
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Ipv6.TrafficFilter, self).__init__()

                            self.yang_name = "traffic-filter"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.access_list = YLeaf(YType.str, "access-list")
                            self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = Enum.YLeaf(0, "in")

                            out = Enum.YLeaf(1, "out")



                class Logging(Entity):
                    """
                    Configure logging for interface
                    
                    .. attribute:: event
                    
                    	Interface events
                    	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Logging.Event>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Logging, self).__init__()

                        self.yang_name = "logging"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"event" : ("event", Native.Interface.LISPSubinterface.LISP.Logging.Event)}
                        self._child_list_classes = {}

                        self.event = Native.Interface.LISPSubinterface.LISP.Logging.Event()
                        self.event.parent = self
                        self._children_name_map["event"] = "event"
                        self._children_yang_names.add("event")
                        self._segment_path = lambda: "logging"


                    class Event(Entity):
                        """
                        Interface events
                        
                        .. attribute:: bundle_status
                        
                        	BUNDLE/UNBUNDLE messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: link_status
                        
                        	UPDOWN and CHANGE messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trunk_status
                        
                        	TRUNK status messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: nfas_status
                        
                        	NFAS D\-channel status messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_inline_status
                        
                        	Inline power messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: spanning_tree
                        
                        	Spanning\-tree Interface events
                        	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Logging.Event.SpanningTree>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: subif_link_status
                        
                        	Sub\-interface UPDOWN and CHANGE messages
                        	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Logging.Event.SubifLinkStatus>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Logging.Event, self).__init__()

                            self.yang_name = "event"
                            self.yang_parent_name = "logging"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.LISPSubinterface.LISP.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.LISPSubinterface.LISP.Logging.Event.SubifLinkStatus)}
                            self._child_list_classes = {}

                            self.bundle_status = YLeaf(YType.empty, "bundle-status")

                            self.link_status = YLeaf(YType.empty, "link-status")

                            self.trunk_status = YLeaf(YType.empty, "trunk-status")

                            self.nfas_status = YLeaf(YType.empty, "nfas-status")

                            self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                            self.status = YLeaf(YType.empty, "status")

                            self.spanning_tree = None
                            self._children_name_map["spanning_tree"] = "spanning-tree"
                            self._children_yang_names.add("spanning-tree")

                            self.subif_link_status = None
                            self._children_name_map["subif_link_status"] = "subif-link-status"
                            self._children_yang_names.add("subif-link-status")
                            self._segment_path = lambda: "event"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                        class SpanningTree(Entity):
                            """
                            Spanning\-tree Interface events
                            
                            .. attribute:: status
                            
                            	Spanning\-tree state change messages
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Logging.Event.SpanningTree, self).__init__()

                                self.yang_name = "spanning-tree"
                                self.yang_parent_name = "event"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.status = YLeaf(YType.empty, "status")
                                self._segment_path = lambda: "spanning-tree"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Logging.Event.SpanningTree, ['status'], name, value)


                        class SubifLinkStatus(Entity):
                            """
                            Sub\-interface UPDOWN and CHANGE messages
                            
                            .. attribute:: ignore_bulk
                            
                            	Do not log messages when the main interface is transitioning
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Logging.Event.SubifLinkStatus, self).__init__()

                                self.yang_name = "subif-link-status"
                                self.yang_parent_name = "event"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                                self._segment_path = lambda: "subif-link-status"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


                class Mdix(Entity):
                    """
                    Set Media Dependent Interface with Crossover
                    
                    .. attribute:: auto
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Mdix, self).__init__()

                        self.yang_name = "mdix"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.boolean, "auto")
                        self._segment_path = lambda: "mdix"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Mdix, ['auto'], name, value)


                class Mop(Entity):
                    """
                    
                    
                    .. attribute:: enabled
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Mop, self).__init__()

                        self.yang_name = "mop"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enabled = YLeaf(YType.boolean, "enabled")
                        self._segment_path = lambda: "mop"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Mop, ['enabled'], name, value)


                class InterfaceQos(Entity):
                    """
                    
                    
                    .. attribute:: trust
                    
                    	
                    	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.InterfaceQos.Trust>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.InterfaceQos, self).__init__()

                        self.yang_name = "interface_qos"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"trust" : ("trust", Native.Interface.LISPSubinterface.LISP.InterfaceQos.Trust)}
                        self._child_list_classes = {}

                        self.trust = Native.Interface.LISPSubinterface.LISP.InterfaceQos.Trust()
                        self.trust.parent = self
                        self._children_name_map["trust"] = "trust"
                        self._children_yang_names.add("trust")
                        self._segment_path = lambda: "interface_qos"


                    class Trust(Entity):
                        """
                        
                        
                        .. attribute:: device
                        
                        	
                        	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.InterfaceQos.Trust.Device>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.InterfaceQos.Trust, self).__init__()

                            self.yang_name = "trust"
                            self.yang_parent_name = "interface_qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.device = YLeaf(YType.enumeration, "device")
                            self._segment_path = lambda: "trust"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.InterfaceQos.Trust, ['device'], name, value)

                        class Device(Enum):
                            """
                            Device

                            .. data:: cisco_phone = 0

                            """

                            cisco_phone = Enum.YLeaf(0, "cisco-phone")



                class Standby(Entity):
                    """
                    HSRP interface configuration commands
                    
                    .. attribute:: version
                    
                    	HSRP version
                    	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.Version>`
                    
                    .. attribute:: bfd
                    
                    	Enable HSRP BFD
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	HSRP initialisation delay
                    	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.Delay>`
                    
                    .. attribute:: mac_refresh
                    
                    	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: use_bia
                    
                    	HSRP uses interface's burned in address
                    	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.UseBia>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: standby_list
                    
                    	
                    	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Standby, self).__init__()

                        self.yang_name = "standby"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"delay" : ("delay", Native.Interface.LISPSubinterface.LISP.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.LISPSubinterface.LISP.Standby.UseBia)}
                        self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList)}

                        self.version = YLeaf(YType.enumeration, "version")

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                        self.delay = Native.Interface.LISPSubinterface.LISP.Standby.Delay()
                        self.delay.parent = self
                        self._children_name_map["delay"] = "delay"
                        self._children_yang_names.add("delay")

                        self.use_bia = None
                        self._children_name_map["use_bia"] = "use-bia"
                        self._children_yang_names.add("use-bia")

                        self.standby_list = YList(self)
                        self._segment_path = lambda: "standby"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                    class Version(Enum):
                        """
                        Version

                        HSRP version

                        .. data:: Y_1 = 0

                        .. data:: Y_2 = 1

                        """

                        Y_1 = Enum.YLeaf(0, "1")

                        Y_2 = Enum.YLeaf(1, "2")



                    class Delay(Entity):
                        """
                        HSRP initialisation delay
                        
                        .. attribute:: minimum
                        
                        	Minimum delay
                        	**type**\: int
                        
                        	**range:** 0..10000
                        
                        .. attribute:: reload
                        
                        	Delay after reload
                        	**type**\: int
                        
                        	**range:** 0..10000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Standby.Delay, self).__init__()

                            self.yang_name = "delay"
                            self.yang_parent_name = "standby"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.minimum = YLeaf(YType.uint16, "minimum")

                            self.reload = YLeaf(YType.uint16, "reload")
                            self._segment_path = lambda: "delay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.Delay, ['minimum', 'reload'], name, value)


                    class UseBia(Entity):
                        """
                        HSRP uses interface's burned in address
                        
                        .. attribute:: scope
                        
                        	Specify the scope of use\-bia
                        	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.UseBia.Scope>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Standby.UseBia, self).__init__()

                            self.yang_name = "use-bia"
                            self.yang_parent_name = "standby"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"scope" : ("scope", Native.Interface.LISPSubinterface.LISP.Standby.UseBia.Scope)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.scope = Native.Interface.LISPSubinterface.LISP.Standby.UseBia.Scope()
                            self.scope.parent = self
                            self._children_name_map["scope"] = "scope"
                            self._children_yang_names.add("scope")
                            self._segment_path = lambda: "use-bia"


                        class Scope(Entity):
                            """
                            Specify the scope of use\-bia
                            
                            .. attribute:: interface
                            
                            	Use\-bia applies to all groups on this interface or sub\-interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Standby.UseBia.Scope, self).__init__()

                                self.yang_name = "scope"
                                self.yang_parent_name = "use-bia"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interface = YLeaf(YType.empty, "interface")
                                self._segment_path = lambda: "scope"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.UseBia.Scope, ['interface'], name, value)


                    class StandbyList(Entity):
                        """
                        
                        
                        .. attribute:: group_number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: authentication
                        
                        	Authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication>`
                        
                        .. attribute:: follow
                        
                        	Name of HSRP group to follow
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	Enable HSRP and set the virtual IP address
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Ip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv6
                        
                        	Enable HSRP IPv6
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                        
                        .. attribute:: mac_address
                        
                        	Virtual MAC address
                        	**type**\: str
                        
                        .. attribute:: name
                        
                        	Redundancy name string
                        	**type**\: str
                        
                        .. attribute:: preempt
                        
                        	Overthrow lower priority Active routers
                        	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Preempt>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Priority level
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: redirect
                        
                        	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect>`
                        
                        .. attribute:: timers
                        
                        	Hello and hold timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers>`
                        
                        .. attribute:: track
                        
                        	Priority tracking
                        	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Track>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList, self).__init__()

                            self.yang_name = "standby-list"
                            self.yang_parent_name = "standby"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers)}
                            self._child_list_classes = {"track" : ("track", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Track)}

                            self.group_number = YLeaf(YType.uint16, "group-number")

                            self.follow = YLeaf(YType.str, "follow")

                            self.ipv6 = YLeaf(YType.str, "ipv6")

                            self.mac_address = YLeaf(YType.str, "mac-address")

                            self.name = YLeaf(YType.str, "name")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.authentication = Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.ip = None
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")

                            self.preempt = None
                            self._children_name_map["preempt"] = "preempt"
                            self._children_yang_names.add("preempt")

                            self.redirect = Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")

                            self.timers = Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")

                            self.track = YList(self)
                            self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                        class Ipv6(Enum):
                            """
                            Ipv6

                            Enable HSRP IPv6

                            .. data:: autoconfig = 0

                            """

                            autoconfig = Enum.YLeaf(0, "autoconfig")



                        class Authentication(Entity):
                            """
                            Authentication
                            
                            .. attribute:: word
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication.Md5>`
                            
                            .. attribute:: text
                            
                            	Plain text authentication
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "standby-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"md5" : ("md5", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication.Md5)}
                                self._child_list_classes = {}

                                self.word = YLeaf(YType.str, "word")

                                self.text = YLeaf(YType.str, "text")

                                self.md5 = Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication.Md5()
                                self.md5.parent = self
                                self._children_name_map["md5"] = "md5"
                                self._children_yang_names.add("md5")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                            class Md5(Entity):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_chain
                                
                                	Set key chain
                                	**type**\: str
                                
                                .. attribute:: key_string
                                
                                	Set key string
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication.Md5, self).__init__()

                                    self.yang_name = "md5"
                                    self.yang_parent_name = "authentication"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication.Md5.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_chain = YLeaf(YType.str, "key-chain")

                                    self.key_string = Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication.Md5.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "md5"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                                class KeyString(Entity):
                                    """
                                    Set key string
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: timeout
                                    
                                    	Set timeout
                                    	**type**\: int
                                    
                                    	**range:** 0..32767
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "md5"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")

                                        self.timeout = YLeaf(YType.uint16, "timeout")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                        class Ip(Entity):
                            """
                            Enable HSRP and set the virtual IP address
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: secondary
                            
                            	Make this IP address a secondary virtual IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "standby-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.address = YLeaf(YType.str, "address")

                                self.secondary = YLeaf(YType.empty, "secondary")
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                        class Preempt(Entity):
                            """
                            Overthrow lower priority Active routers
                            
                            .. attribute:: delay
                            
                            	Wait before preempting
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Preempt.Delay>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Preempt, self).__init__()

                                self.yang_name = "preempt"
                                self.yang_parent_name = "standby-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"delay" : ("delay", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Preempt.Delay)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.delay = Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Preempt.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "preempt"


                            class Delay(Entity):
                                """
                                Wait before preempting
                                
                                .. attribute:: minimum
                                
                                	Delay at least this long
                                	**type**\: int
                                
                                	**range:** 0..3600
                                
                                .. attribute:: reload
                                
                                	Delay after reload
                                	**type**\: int
                                
                                	**range:** 0..3600
                                
                                .. attribute:: sync
                                
                                	Wait for IP redundancy client
                                	**type**\: int
                                
                                	**range:** 0..3600
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Preempt.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "preempt"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.minimum = YLeaf(YType.uint16, "minimum")

                                    self.reload = YLeaf(YType.uint16, "reload")

                                    self.sync = YLeaf(YType.uint16, "sync")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                        class Redirect(Entity):
                            """
                            Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                            
                            .. attribute:: advertisement
                            
                            	Redirect advertisement messages
                            	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement>`
                            
                            .. attribute:: timers
                            
                            	Adjust redirect timers
                            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Timers>`
                            
                            .. attribute:: unknown
                            
                            	Redirect to non\-HSRP routers
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "standby-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Timers)}
                                self._child_list_classes = {}

                                self.unknown = YLeaf(YType.empty, "unknown")

                                self.advertisement = Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement()
                                self.advertisement.parent = self
                                self._children_name_map["advertisement"] = "advertisement"
                                self._children_yang_names.add("advertisement")

                                self.timers = Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Timers()
                                self.timers.parent = self
                                self._children_name_map["timers"] = "timers"
                                self._children_yang_names.add("timers")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect, ['unknown'], name, value)


                            class Advertisement(Entity):
                                """
                                Redirect advertisement messages
                                
                                .. attribute:: authentication
                                
                                	Authentication
                                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                    self.yang_name = "advertisement"
                                    self.yang_parent_name = "redirect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authentication" : ("authentication", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                    self._child_list_classes = {}

                                    self.authentication = Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                    self.authentication.parent = self
                                    self._children_name_map["authentication"] = "authentication"
                                    self._children_yang_names.add("authentication")
                                    self._segment_path = lambda: "advertisement"


                                class Authentication(Entity):
                                    """
                                    Authentication
                                    
                                    .. attribute:: md5
                                    
                                    	Use MD5 authentication
                                    	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                        self.yang_name = "authentication"
                                        self.yang_parent_name = "advertisement"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"md5" : ("md5", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                        self._child_list_classes = {}

                                        self.md5 = Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                        self.md5.parent = self
                                        self._children_name_map["md5"] = "md5"
                                        self._children_yang_names.add("md5")
                                        self._segment_path = lambda: "authentication"


                                    class Md5(Entity):
                                        """
                                        Use MD5 authentication
                                        
                                        .. attribute:: key_chain
                                        
                                        	Set key chain
                                        	**type**\: str
                                        
                                        .. attribute:: key_string
                                        
                                        	Set key string
                                        	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                            self.yang_name = "md5"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-string" : ("key_string", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                            self._child_list_classes = {}

                                            self.key_chain = YLeaf(YType.str, "key-chain")

                                            self.key_string = Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                            self.key_string.parent = self
                                            self._children_name_map["key_string"] = "key-string"
                                            self._children_yang_names.add("key-string")
                                            self._segment_path = lambda: "md5"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                        class KeyString(Entity):
                                            """
                                            Set key string
                                            
                                            .. attribute:: encrypt
                                            
                                            	
                                            	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                            
                                            .. attribute:: string
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: timeout
                                            
                                            	Set timeout
                                            	**type**\: int
                                            
                                            	**range:** 0..32767
                                            
                                            

                                            """

                                            _prefix = 'ios'
                                            _revision = '2017-08-30'

                                            def __init__(self):
                                                super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                                self.yang_name = "key-string"
                                                self.yang_parent_name = "md5"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                                self.string = YLeaf(YType.str, "string")

                                                self.timeout = YLeaf(YType.uint16, "timeout")
                                                self._segment_path = lambda: "key-string"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                            class Encrypt(Enum):
                                                """
                                                Encrypt

                                                .. data:: Y_0 = 0

                                                .. data:: Y_7 = 1

                                                """

                                                Y_0 = Enum.YLeaf(0, "0")

                                                Y_7 = Enum.YLeaf(1, "7")



                            class Timers(Entity):
                                """
                                Adjust redirect timers
                                
                                .. attribute:: advertisement
                                
                                	
                                	**type**\: int
                                
                                	**range:** 10..180
                                
                                .. attribute:: holddown
                                
                                	
                                	**type**\: int
                                
                                	**range:** 30..3600
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Timers, self).__init__()

                                    self.yang_name = "timers"
                                    self.yang_parent_name = "redirect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.advertisement = YLeaf(YType.uint16, "advertisement")

                                    self.holddown = YLeaf(YType.uint16, "holddown")
                                    self._segment_path = lambda: "timers"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                        class Timers(Entity):
                            """
                            Hello and hold timers
                            
                            .. attribute:: hello_interval
                            
                            	
                            	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers.HelloInterval>`
                            
                            .. attribute:: hold_time
                            
                            	
                            	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers.HoldTime>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "standby-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers.HoldTime)}
                                self._child_list_classes = {}

                                self.hello_interval = Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers.HelloInterval()
                                self.hello_interval.parent = self
                                self._children_name_map["hello_interval"] = "hello-interval"
                                self._children_yang_names.add("hello-interval")

                                self.hold_time = Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers.HoldTime()
                                self.hold_time.parent = self
                                self._children_name_map["hold_time"] = "hold-time"
                                self._children_yang_names.add("hold-time")
                                self._segment_path = lambda: "timers"


                            class HelloInterval(Entity):
                                """
                                
                                
                                .. attribute:: seconds
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..254
                                
                                .. attribute:: msec
                                
                                	Specify hello interval in milliseconds
                                	**type**\: int
                                
                                	**range:** 15..999
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                    self.yang_name = "hello-interval"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.seconds = YLeaf(YType.uint8, "seconds")

                                    self.msec = YLeaf(YType.uint16, "msec")
                                    self._segment_path = lambda: "hello-interval"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                            class HoldTime(Entity):
                                """
                                
                                
                                .. attribute:: seconds
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: msec
                                
                                	Specify hold time in milliseconds
                                	**type**\: int
                                
                                	**range:** 50..3000
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                    self.yang_name = "hold-time"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.seconds = YLeaf(YType.uint8, "seconds")

                                    self.msec = YLeaf(YType.uint16, "msec")
                                    self._segment_path = lambda: "hold-time"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                        class Track(Entity):
                            """
                            Priority tracking
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..1000
                            
                            .. attribute:: decrement
                            
                            	Priority decrement
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: shutdown
                            
                            	Shutdown group
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Track, self).__init__()

                                self.yang_name = "track"
                                self.yang_parent_name = "standby-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.uint16, "number")

                                self.decrement = YLeaf(YType.uint8, "decrement")

                                self.shutdown = YLeaf(YType.empty, "shutdown")
                                self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


                class AccessSession(Entity):
                    """
                    Access Session specific Interface Configuration Commands
                    
                    .. attribute:: closed
                    
                    	Enable closed access on port (disabled by default, i.e. open access)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: port_control
                    
                    	Set the port\-control value
                    	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.AccessSession.PortControl>`
                    
                    .. attribute:: host_mode
                    
                    	Set the Host mode for authentication on this interface
                    	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.AccessSession.HostMode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.AccessSession, self).__init__()

                        self.yang_name = "access-session"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"port-control" : ("port_control", Native.Interface.LISPSubinterface.LISP.AccessSession.PortControl)}
                        self._child_list_classes = {}

                        self.closed = YLeaf(YType.empty, "closed")

                        self.host_mode = YLeaf(YType.enumeration, "host-mode")

                        self.port_control = Native.Interface.LISPSubinterface.LISP.AccessSession.PortControl()
                        self.port_control.parent = self
                        self._children_name_map["port_control"] = "port-control"
                        self._children_yang_names.add("port-control")
                        self._segment_path = lambda: "access-session"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.AccessSession, ['closed', 'host_mode'], name, value)

                    class HostMode(Enum):
                        """
                        HostMode

                        Set the Host mode for authentication on this interface

                        .. data:: multi_auth = 0

                        .. data:: multi_domain = 1

                        .. data:: multi_host = 2

                        .. data:: single_host = 3

                        """

                        multi_auth = Enum.YLeaf(0, "multi-auth")

                        multi_domain = Enum.YLeaf(1, "multi-domain")

                        multi_host = Enum.YLeaf(2, "multi-host")

                        single_host = Enum.YLeaf(3, "single-host")



                    class PortControl(Entity):
                        """
                        Set the port\-control value
                        
                        .. attribute:: auto
                        
                        	PortState set to automatic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.AccessSession.PortControl, self).__init__()

                            self.yang_name = "port-control"
                            self.yang_parent_name = "access-session"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.auto = YLeaf(YType.empty, "auto")
                            self._segment_path = lambda: "port-control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.AccessSession.PortControl, ['auto'], name, value)


                class StormControl(Entity):
                    """
                    storm configuration
                    
                    .. attribute:: action
                    
                    	Action to take for storm..control;
                    	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Action>`
                    
                    .. attribute:: broadcast
                    
                    	Broadcast address storm control
                    	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast>`
                    
                    .. attribute:: multicast
                    
                    	Multicast address storm control
                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Multicast>`
                    
                    .. attribute:: unicast
                    
                    	Unicast address storm control
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.StormControl, self).__init__()

                        self.yang_name = "storm-control"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"action" : ("action", Native.Interface.LISPSubinterface.LISP.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.LISPSubinterface.LISP.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.LISPSubinterface.LISP.StormControl.Unicast)}
                        self._child_list_classes = {}

                        self.action = Native.Interface.LISPSubinterface.LISP.StormControl.Action()
                        self.action.parent = self
                        self._children_name_map["action"] = "action"
                        self._children_yang_names.add("action")

                        self.broadcast = Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast()
                        self.broadcast.parent = self
                        self._children_name_map["broadcast"] = "broadcast"
                        self._children_yang_names.add("broadcast")

                        self.multicast = Native.Interface.LISPSubinterface.LISP.StormControl.Multicast()
                        self.multicast.parent = self
                        self._children_name_map["multicast"] = "multicast"
                        self._children_yang_names.add("multicast")

                        self.unicast = Native.Interface.LISPSubinterface.LISP.StormControl.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "storm-control"


                    class Action(Entity):
                        """
                        Action to take for storm..control;
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: shutdown
                        
                        	Shutdown this interface if a storm occurs
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trap
                        
                        	Send SNMP trap if a storm occurs
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.StormControl.Action, self).__init__()

                            self.yang_name = "action"
                            self.yang_parent_name = "storm-control"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.level = YLeaf(YType.str, "level")

                            self.shutdown = YLeaf(YType.empty, "shutdown")

                            self.trap = YLeaf(YType.empty, "trap")
                            self._segment_path = lambda: "action"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                    class Broadcast(Entity):
                        """
                        Broadcast address storm control
                        
                        .. attribute:: include
                        
                        	
                        	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Include>`
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast, self).__init__()

                            self.yang_name = "broadcast"
                            self.yang_parent_name = "storm-control"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"include" : ("include", Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level)}
                            self._child_list_classes = {}

                            self.include = Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Include()
                            self.include.parent = self
                            self._children_name_map["include"] = "include"
                            self._children_yang_names.add("include")

                            self.level = Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level()
                            self.level.parent = self
                            self._children_name_map["level"] = "level"
                            self._children_yang_names.add("level")
                            self._segment_path = lambda: "broadcast"


                        class Include(Entity):
                            """
                            
                            
                            .. attribute:: multicast
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Include, self).__init__()

                                self.yang_name = "include"
                                self.yang_parent_name = "broadcast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.multicast = YLeaf(YType.empty, "multicast")
                                self._segment_path = lambda: "include"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Include, ['multicast'], name, value)


                        class Level(Entity):
                            """
                            Set storm suppression level on this interface
                            
                            .. attribute:: threshold
                            
                            	Broadcast address storm control
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: bps
                            
                            	Enter suppression level in bits per second
                            	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level.Bps>`
                            
                            .. attribute:: pps
                            
                            	Enter suppression level in packets per second
                            	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level.Pps>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level, self).__init__()

                                self.yang_name = "level"
                                self.yang_parent_name = "broadcast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bps" : ("bps", Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level.Pps)}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.bps = Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level.Bps()
                                self.bps.parent = self
                                self._children_name_map["bps"] = "bps"
                                self._children_yang_names.add("bps")

                                self.pps = Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level.Pps()
                                self.pps.parent = self
                                self._children_name_map["pps"] = "pps"
                                self._children_yang_names.add("pps")
                                self._segment_path = lambda: "level"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level, ['threshold'], name, value)


                            class Bps(Entity):
                                """
                                Enter suppression level in bits per second
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level.Bps, self).__init__()

                                    self.yang_name = "bps"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "bps"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                            class Pps(Entity):
                                """
                                Enter suppression level in packets per second
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level.Pps, self).__init__()

                                    self.yang_name = "pps"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "pps"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                    class Multicast(Entity):
                        """
                        Multicast address storm control
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.StormControl.Multicast, self).__init__()

                            self.yang_name = "multicast"
                            self.yang_parent_name = "storm-control"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"level" : ("level", Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level)}
                            self._child_list_classes = {}

                            self.level = Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level()
                            self.level.parent = self
                            self._children_name_map["level"] = "level"
                            self._children_yang_names.add("level")
                            self._segment_path = lambda: "multicast"


                        class Level(Entity):
                            """
                            Set storm suppression level on this interface
                            
                            .. attribute:: threshold
                            
                            	Broadcast address storm control
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: bps
                            
                            	Enter suppression level in bits per second
                            	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level.Bps>`
                            
                            .. attribute:: pps
                            
                            	Enter suppression level in packets per second
                            	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level.Pps>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level, self).__init__()

                                self.yang_name = "level"
                                self.yang_parent_name = "multicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bps" : ("bps", Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level.Pps)}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.bps = Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level.Bps()
                                self.bps.parent = self
                                self._children_name_map["bps"] = "bps"
                                self._children_yang_names.add("bps")

                                self.pps = Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level.Pps()
                                self.pps.parent = self
                                self._children_name_map["pps"] = "pps"
                                self._children_yang_names.add("pps")
                                self._segment_path = lambda: "level"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level, ['threshold'], name, value)


                            class Bps(Entity):
                                """
                                Enter suppression level in bits per second
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level.Bps, self).__init__()

                                    self.yang_name = "bps"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "bps"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                            class Pps(Entity):
                                """
                                Enter suppression level in packets per second
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level.Pps, self).__init__()

                                    self.yang_name = "pps"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "pps"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                    class Unicast(Entity):
                        """
                        Unicast address storm control
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.StormControl.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "storm-control"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"level" : ("level", Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level)}
                            self._child_list_classes = {}

                            self.level = Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level()
                            self.level.parent = self
                            self._children_name_map["level"] = "level"
                            self._children_yang_names.add("level")
                            self._segment_path = lambda: "unicast"


                        class Level(Entity):
                            """
                            Set storm suppression level on this interface
                            
                            .. attribute:: threshold
                            
                            	Broadcast address storm control
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Threshold>`
                            
                            .. attribute:: bps
                            
                            	Enter suppression level in bits per second
                            	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Bps>`
                            
                            .. attribute:: pps
                            
                            	Enter suppression level in packets per second
                            	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Pps>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level, self).__init__()

                                self.yang_name = "level"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Pps)}
                                self._child_list_classes = {}

                                self.threshold = Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")

                                self.bps = Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Bps()
                                self.bps.parent = self
                                self._children_name_map["bps"] = "bps"
                                self._children_yang_names.add("bps")

                                self.pps = Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Pps()
                                self.pps.parent = self
                                self._children_name_map["pps"] = "pps"
                                self._children_yang_names.add("pps")
                                self._segment_path = lambda: "level"


                            class Threshold(Entity):
                                """
                                Broadcast address storm control
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold
                                	**type**\: Decimal64
                                
                                	**range:** 0..100
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold
                                	**type**\: Decimal64
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                            class Bps(Entity):
                                """
                                Enter suppression level in bits per second
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Bps, self).__init__()

                                    self.yang_name = "bps"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "bps"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                            class Pps(Entity):
                                """
                                Enter suppression level in packets per second
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Pps, self).__init__()

                                    self.yang_name = "pps"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "pps"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Trust(Entity):
                    """
                    Set trust value for the interface
                    
                    .. attribute:: device
                    
                    	trusted device class
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        trusted device class

                        .. data:: cisco_phone = 0

                        .. data:: cts = 1

                        .. data:: ip_camera = 2

                        .. data:: media_player = 3

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")

                        cts = Enum.YLeaf(1, "cts")

                        ip_camera = Enum.YLeaf(2, "ip-camera")

                        media_player = Enum.YLeaf(3, "media-player")



                class PriorityQueue(Entity):
                    """
                    Configure priority scheduling
                    
                    .. attribute:: cos_map
                    
                    	Configure cos\-map for a queue
                    	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.PriorityQueue.CosMap>`
                    
                    .. attribute:: out
                    
                    	egress priority queue
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.PriorityQueue, self).__init__()

                        self.yang_name = "priority-queue"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.LISPSubinterface.LISP.PriorityQueue.CosMap)}
                        self._child_list_classes = {}

                        self.out = YLeaf(YType.empty, "out")

                        self.cos_map = Native.Interface.LISPSubinterface.LISP.PriorityQueue.CosMap()
                        self.cos_map.parent = self
                        self._children_name_map["cos_map"] = "cos-map"
                        self._children_yang_names.add("cos-map")
                        self._segment_path = lambda: "priority-queue"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.PriorityQueue, ['out'], name, value)


                    class CosMap(Entity):
                        """
                        Configure cos\-map for a queue
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: cos_values
                        
                        	
                        	**type**\: list of int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.PriorityQueue.CosMap, self).__init__()

                            self.yang_name = "cos-map"
                            self.yang_parent_name = "priority-queue"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.cos_values = YLeafList(YType.uint8, "cos-values")
                            self._segment_path = lambda: "cos-map"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


                class RcvQueue(Entity):
                    """
                    Configure receive queue(s)
                    
                    .. attribute:: cos_map
                    
                    	Configure cos\-map for a queue threshold
                    	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.RcvQueue.CosMap>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.RcvQueue, self).__init__()

                        self.yang_name = "rcv-queue"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.LISPSubinterface.LISP.RcvQueue.CosMap)}

                        self.cos_map = YList(self)
                        self._segment_path = lambda: "rcv-queue"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.RcvQueue, [], name, value)


                    class CosMap(Entity):
                        """
                        Configure cos\-map for a queue threshold
                        
                        .. attribute:: queue_id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: threshold_id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..8
                        
                        .. attribute:: cos_values
                        
                        	
                        	**type**\: list of int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.RcvQueue.CosMap, self).__init__()

                            self.yang_name = "cos-map"
                            self.yang_parent_name = "rcv-queue"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.queue_id = YLeaf(YType.uint8, "queue-id")

                            self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                            self.cos_values = YLeafList(YType.uint8, "cos-values")
                            self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.LISPSubinterface.LISP.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


                class Peer(Entity):
                    """
                    Peer parameters for point to point interfaces
                    
                    .. attribute:: default
                    
                    	Specify default parameters
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Peer.Default>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.Peer, self).__init__()

                        self.yang_name = "peer"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default" : ("default", Native.Interface.LISPSubinterface.LISP.Peer.Default)}
                        self._child_list_classes = {}

                        self.default = Native.Interface.LISPSubinterface.LISP.Peer.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")
                        self._segment_path = lambda: "peer"


                    class Default(Entity):
                        """
                        Specify default parameters
                        
                        .. attribute:: ip
                        
                        	Specify default IP parameters
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.LISPSubinterface.LISP.Peer.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ip" : ("ip", Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip)}
                            self._child_list_classes = {}

                            self.ip = Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")
                            self._segment_path = lambda: "default"


                        class Ip(Entity):
                            """
                            Specify default IP parameters
                            
                            .. attribute:: address
                            
                            	Specify default IP address
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip.Address>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip.Address)}
                                self._child_list_classes = {}

                                self.address = Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")
                                self._segment_path = lambda: "ip"


                            class Address(Entity):
                                """
                                Specify default IP address
                                
                                .. attribute:: dhcp
                                
                                	Use DHCP proxy client mechanism to allocate a peer IP address
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dhcp_pool
                                
                                	Use local DHCP pools to allocate a peer IP address
                                	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip.Address.DhcpPool>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: pool
                                
                                	Use IP pool mechanism to allocate a peer IP address
                                	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip.Address.Pool>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip.Address.Pool)}
                                    self._child_list_classes = {}

                                    self.dhcp = YLeaf(YType.empty, "dhcp")

                                    self.dhcp_pool = None
                                    self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                    self._children_yang_names.add("dhcp-pool")

                                    self.pool = None
                                    self._children_name_map["pool"] = "pool"
                                    self._children_yang_names.add("pool")
                                    self._segment_path = lambda: "address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip.Address, ['dhcp'], name, value)


                                class DhcpPool(Entity):
                                    """
                                    Use local DHCP pools to allocate a peer IP address
                                    
                                    .. attribute:: pools
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                        self.yang_name = "dhcp-pool"
                                        self.yang_parent_name = "address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.pools = YLeaf(YType.str, "pools")
                                        self._segment_path = lambda: "dhcp-pool"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                                class Pool(Entity):
                                    """
                                    Use IP pool mechanism to allocate a peer IP address
                                    
                                    .. attribute:: pools
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip.Address.Pool, self).__init__()

                                        self.yang_name = "pool"
                                        self.yang_parent_name = "address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.pools = YLeaf(YType.str, "pools")
                                        self._segment_path = lambda: "pool"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


                class PmPath(Entity):
                    """
                    Global pm\-path configuration
                    
                    .. attribute:: name
                    
                    	WORD Path name
                    	**type**\: str
                    
                    .. attribute:: interface_id
                    
                    	<1\-255> Specify the interface\-id value
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.LISPSubinterface.LISP.PmPath, self).__init__()

                        self.yang_name = "pm-path"
                        self.yang_parent_name = "LISP"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.interface_id = YLeaf(YType.uint8, "interface-id")
                        self._segment_path = lambda: "pm-path"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.LISPSubinterface.LISP.PmPath, ['name', 'interface_id'], name, value)


        class Nve(Entity):
            """
            Network virtualization endpoint interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..4096
            
            .. attribute:: group_based
            
            	group based policy mode
            	**type**\:  :py:class:`GroupBased <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.GroupBased>`
            
            .. attribute:: source_interface
            
            	Specify source interface for NVE
            	**type**\:  :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.SourceInterface>`
            
            .. attribute:: member
            
            	
            	**type**\:  :py:class:`Member <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.Member>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.Nve, self).__init__()

                self.yang_name = "nve"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"group-based" : ("group_based", Native.Interface.Nve.GroupBased), "source-interface" : ("source_interface", Native.Interface.Nve.SourceInterface), "member" : ("member", Native.Interface.Nve.Member)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.uint16, "name")

                self.group_based = Native.Interface.Nve.GroupBased()
                self.group_based.parent = self
                self._children_name_map["group_based"] = "group-based"
                self._children_yang_names.add("group-based")

                self.source_interface = Native.Interface.Nve.SourceInterface()
                self.source_interface.parent = self
                self._children_name_map["source_interface"] = "source-interface"
                self._children_yang_names.add("source-interface")

                self.member = Native.Interface.Nve.Member()
                self.member.parent = self
                self._children_name_map["member"] = "member"
                self._children_yang_names.add("member")
                self._segment_path = lambda: "nve" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.Nve, ['name'], name, value)


            class GroupBased(Entity):
                """
                group based policy mode
                
                .. attribute:: policy
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Nve.GroupBased, self).__init__()

                    self.yang_name = "group-based"
                    self.yang_parent_name = "nve"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.policy = YLeaf(YType.empty, "policy")
                    self._segment_path = lambda: "group-based"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Nve.GroupBased, ['policy'], name, value)


            class SourceInterface(Entity):
                """
                Specify source interface for NVE
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.SourceInterface.ATMSubinterface>`
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\: str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.SourceInterface.ATMACRsubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\: str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\: str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\: str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\: str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\: str
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.SourceInterface.LISPSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.SourceInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\: str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\: str
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\: str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\: str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Nve.SourceInterface, self).__init__()

                    self.yang_name = "source-interface"
                    self.yang_parent_name = "nve"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Nve.SourceInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Nve.SourceInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Nve.SourceInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Nve.SourceInterface.PortChannelSubinterface)}
                    self._child_list_classes = {}

                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                    self.atm = YLeaf(YType.str, "ATM")

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                    self.bdi = YLeaf(YType.str, "BDI")

                    self.cem = YLeaf(YType.str, "CEM")

                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                    self.lisp = YLeaf(YType.str, "LISP")

                    self.loopback = YLeaf(YType.uint32, "Loopback")

                    self.multilink = YLeaf(YType.uint16, "Multilink")

                    self.nve = YLeaf(YType.uint16, "nve")

                    self.overlay = YLeaf(YType.uint16, "overlay")

                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                    self.sm = YLeaf(YType.str, "SM")

                    self.cellular = YLeaf(YType.str, "Cellular")

                    self.serial = YLeaf(YType.str, "Serial")

                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                    self.vlan = YLeaf(YType.uint16, "Vlan")

                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                    self.atm_subinterface = Native.Interface.Nve.SourceInterface.ATMSubinterface()
                    self.atm_subinterface.parent = self
                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                    self._children_yang_names.add("ATM-subinterface")

                    self.atm_acrsubinterface = Native.Interface.Nve.SourceInterface.ATMACRsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                    self._children_yang_names.add("ATM-ACRsubinterface")

                    self.lisp_subinterface = Native.Interface.Nve.SourceInterface.LISPSubinterface()
                    self.lisp_subinterface.parent = self
                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                    self._children_yang_names.add("LISP-subinterface")

                    self.port_channel_subinterface = Native.Interface.Nve.SourceInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                    self._children_yang_names.add("Port-channel-subinterface")
                    self._segment_path = lambda: "source-interface"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Nve.SourceInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                class ATMSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Nve.SourceInterface.ATMSubinterface, self).__init__()

                        self.yang_name = "ATM-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm = YLeaf(YType.str, "ATM")
                        self._segment_path = lambda: "ATM-subinterface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Nve.SourceInterface.ATMSubinterface, ['atm'], name, value)


                class ATMACRsubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Nve.SourceInterface.ATMACRsubinterface, self).__init__()

                        self.yang_name = "ATM-ACRsubinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                        self._segment_path = lambda: "ATM-ACRsubinterface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Nve.SourceInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                class LISPSubinterface(Entity):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Nve.SourceInterface.LISPSubinterface, self).__init__()

                        self.yang_name = "LISP-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.lisp = YLeaf(YType.str, "LISP")
                        self._segment_path = lambda: "LISP-subinterface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Nve.SourceInterface.LISPSubinterface, ['lisp'], name, value)


                class PortChannelSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Nve.SourceInterface.PortChannelSubinterface, self).__init__()

                        self.yang_name = "Port-channel-subinterface"
                        self.yang_parent_name = "source-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_channel = YLeaf(YType.str, "Port-channel")
                        self._segment_path = lambda: "Port-channel-subinterface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Nve.SourceInterface.PortChannelSubinterface, ['port_channel'], name, value)


            class Member(Entity):
                """
                
                
                .. attribute:: vni
                
                	Configure VNI information
                	**type**\: list of  		 :py:class:`Vni <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.Member.Vni>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Nve.Member, self).__init__()

                    self.yang_name = "member"
                    self.yang_parent_name = "nve"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"vni" : ("vni", Native.Interface.Nve.Member.Vni)}

                    self.vni = YList(self)
                    self._segment_path = lambda: "member"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Nve.Member, [], name, value)


                class Vni(Entity):
                    """
                    Configure VNI information
                    
                    .. attribute:: vni_range  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: mcast_group
                    
                    	
                    	**type**\:  :py:class:`McastGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Nve.Member.Vni.McastGroup>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Nve.Member.Vni, self).__init__()

                        self.yang_name = "vni"
                        self.yang_parent_name = "member"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mcast-group" : ("mcast_group", Native.Interface.Nve.Member.Vni.McastGroup)}
                        self._child_list_classes = {}

                        self.vni_range = YLeaf(YType.str, "vni-range")

                        self.mcast_group = Native.Interface.Nve.Member.Vni.McastGroup()
                        self.mcast_group.parent = self
                        self._children_name_map["mcast_group"] = "mcast-group"
                        self._children_yang_names.add("mcast-group")
                        self._segment_path = lambda: "vni" + "[vni-range='" + self.vni_range.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Nve.Member.Vni, ['vni_range'], name, value)


                    class McastGroup(Entity):
                        """
                        
                        
                        .. attribute:: multicast_group_min
                        
                        	Starting Multicast Group IPv4 Address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: multicast_group_max
                        
                        	Ending Multicast Group IPv4 Address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Nve.Member.Vni.McastGroup, self).__init__()

                            self.yang_name = "mcast-group"
                            self.yang_parent_name = "vni"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast_group_min = YLeaf(YType.str, "multicast-group-min")

                            self.multicast_group_max = YLeaf(YType.str, "multicast-group-max")
                            self._segment_path = lambda: "mcast-group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Nve.Member.Vni.McastGroup, ['multicast_group_min', 'multicast_group_max'], name, value)


        class Overlay(Entity):
            """
            Overlay interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..512
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.PmPath>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:  :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.CarrierDelay>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:  :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:  :py:class:`ChannelProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.ChannelProtocol>`
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet>`
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:  :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Negotiation>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:  :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Synchronous>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:  :py:class:`Duplex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Duplex>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:  :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Speed>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:  :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:  :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Pppoe>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service>`
            
            .. attribute:: otv
            
            	Configure OTV information
            	**type**\:  :py:class:`Otv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.Overlay, self).__init__()

                self.yang_name = "overlay"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-otv:switchport-conf" : ("switchport_conf", Native.Interface.Overlay.SwitchportConf), "Cisco-IOS-XE-otv:switchport" : ("switchport", Native.Interface.Overlay.Switchport), "Cisco-IOS-XE-otv:arp" : ("arp", Native.Interface.Overlay.Arp), "Cisco-IOS-XE-otv:backup" : ("backup", Native.Interface.Overlay.Backup), "Cisco-IOS-XE-otv:cemoudp" : ("cemoudp", Native.Interface.Overlay.Cemoudp), "Cisco-IOS-XE-otv:cws-tunnel" : ("cws_tunnel", Native.Interface.Overlay.CwsTunnel), "Cisco-IOS-XE-otv:l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.Overlay.L2ProtocolTunnel), "Cisco-IOS-XE-otv:encapsulation" : ("encapsulation", Native.Interface.Overlay.Encapsulation), "Cisco-IOS-XE-otv:fair-queue-conf" : ("fair_queue_conf", Native.Interface.Overlay.FairQueueConf), "Cisco-IOS-XE-otv:fair-queue" : ("fair_queue", Native.Interface.Overlay.FairQueue), "Cisco-IOS-XE-otv:flowcontrol" : ("flowcontrol", Native.Interface.Overlay.Flowcontrol), "Cisco-IOS-XE-otv:isis" : ("isis", Native.Interface.Overlay.Isis), "Cisco-IOS-XE-otv:keepalive-settings" : ("keepalive_settings", Native.Interface.Overlay.KeepaliveSettings), "Cisco-IOS-XE-otv:bfd" : ("bfd", Native.Interface.Overlay.Bfd), "Cisco-IOS-XE-otv:bandwidth" : ("bandwidth", Native.Interface.Overlay.Bandwidth), "Cisco-IOS-XE-otv:dampening" : ("dampening", Native.Interface.Overlay.Dampening), "Cisco-IOS-XE-otv:domain" : ("domain", Native.Interface.Overlay.Domain), "Cisco-IOS-XE-otv:mpls" : ("mpls", Native.Interface.Overlay.Mpls), "Cisco-IOS-XE-otv:ip-vrf" : ("ip_vrf", Native.Interface.Overlay.IpVrf), "Cisco-IOS-XE-otv:vrf" : ("vrf", Native.Interface.Overlay.Vrf), "Cisco-IOS-XE-otv:ip" : ("ip", Native.Interface.Overlay.Ip), "Cisco-IOS-XE-otv:ipv6" : ("ipv6", Native.Interface.Overlay.Ipv6), "Cisco-IOS-XE-otv:logging" : ("logging", Native.Interface.Overlay.Logging), "Cisco-IOS-XE-otv:mdix" : ("mdix", Native.Interface.Overlay.Mdix), "Cisco-IOS-XE-otv:mop" : ("mop", Native.Interface.Overlay.Mop), "Cisco-IOS-XE-otv:interface_qos" : ("interface_qos", Native.Interface.Overlay.InterfaceQos), "Cisco-IOS-XE-otv:standby" : ("standby", Native.Interface.Overlay.Standby), "Cisco-IOS-XE-otv:access-session" : ("access_session", Native.Interface.Overlay.AccessSession), "Cisco-IOS-XE-otv:storm-control" : ("storm_control", Native.Interface.Overlay.StormControl), "Cisco-IOS-XE-otv:trust" : ("trust", Native.Interface.Overlay.Trust), "Cisco-IOS-XE-otv:priority-queue" : ("priority_queue", Native.Interface.Overlay.PriorityQueue), "Cisco-IOS-XE-otv:rcv-queue" : ("rcv_queue", Native.Interface.Overlay.RcvQueue), "Cisco-IOS-XE-otv:peer" : ("peer", Native.Interface.Overlay.Peer), "Cisco-IOS-XE-otv:pm-path" : ("pm_path", Native.Interface.Overlay.PmPath), "Cisco-IOS-XE-otv:carrier-delay" : ("carrier_delay", Native.Interface.Overlay.CarrierDelay), "Cisco-IOS-XE-otv:channel-group" : ("channel_group", Native.Interface.Overlay.ChannelGroup), "Cisco-IOS-XE-otv:ethernet" : ("ethernet", Native.Interface.Overlay.Ethernet), "Cisco-IOS-XE-otv:negotiation" : ("negotiation", Native.Interface.Overlay.Negotiation), "Cisco-IOS-XE-otv:synchronous" : ("synchronous", Native.Interface.Overlay.Synchronous), "Cisco-IOS-XE-otv:speed" : ("speed", Native.Interface.Overlay.Speed), "Cisco-IOS-XE-otv:plim" : ("plim", Native.Interface.Overlay.Plim), "Cisco-IOS-XE-otv:pppoe" : ("pppoe", Native.Interface.Overlay.Pppoe), "Cisco-IOS-XE-otv:service" : ("service", Native.Interface.Overlay.Service), "Cisco-IOS-XE-otv:otv" : ("otv", Native.Interface.Overlay.Otv)}
                self._child_list_classes = {"Cisco-IOS-XE-otv:hold-queue" : ("hold_queue", Native.Interface.Overlay.HoldQueue)}

                self.name = YLeaf(YType.uint16, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.channel_protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:channel-protocol")

                self.duplex = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:duplex")

                self.switchport_conf = Native.Interface.Overlay.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.Overlay.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.Overlay.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.Overlay.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.Overlay.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.Overlay.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.Overlay.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.Overlay.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.Overlay.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.Overlay.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.Overlay.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.Overlay.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.Overlay.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.Overlay.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.Overlay.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.Overlay.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.Overlay.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.Overlay.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.Overlay.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.Overlay.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.Overlay.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.Overlay.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.Overlay.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.Overlay.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.Overlay.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.Overlay.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.Overlay.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.Overlay.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.Overlay.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.Overlay.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.Overlay.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.Overlay.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.Overlay.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.carrier_delay = Native.Interface.Overlay.CarrierDelay()
                self.carrier_delay.parent = self
                self._children_name_map["carrier_delay"] = "carrier-delay"
                self._children_yang_names.add("carrier-delay")

                self.channel_group = Native.Interface.Overlay.ChannelGroup()
                self.channel_group.parent = self
                self._children_name_map["channel_group"] = "channel-group"
                self._children_yang_names.add("channel-group")

                self.ethernet = Native.Interface.Overlay.Ethernet()
                self.ethernet.parent = self
                self._children_name_map["ethernet"] = "ethernet"
                self._children_yang_names.add("ethernet")

                self.negotiation = Native.Interface.Overlay.Negotiation()
                self.negotiation.parent = self
                self._children_name_map["negotiation"] = "negotiation"
                self._children_yang_names.add("negotiation")

                self.synchronous = Native.Interface.Overlay.Synchronous()
                self.synchronous.parent = self
                self._children_name_map["synchronous"] = "synchronous"
                self._children_yang_names.add("synchronous")

                self.speed = Native.Interface.Overlay.Speed()
                self.speed.parent = self
                self._children_name_map["speed"] = "speed"
                self._children_yang_names.add("speed")

                self.plim = Native.Interface.Overlay.Plim()
                self.plim.parent = self
                self._children_name_map["plim"] = "plim"
                self._children_yang_names.add("plim")

                self.pppoe = Native.Interface.Overlay.Pppoe()
                self.pppoe.parent = self
                self._children_name_map["pppoe"] = "pppoe"
                self._children_yang_names.add("pppoe")

                self.service = Native.Interface.Overlay.Service()
                self.service.parent = self
                self._children_name_map["service"] = "service"
                self._children_yang_names.add("service")

                self.otv = Native.Interface.Overlay.Otv()
                self.otv.parent = self
                self._children_name_map["otv"] = "otv"
                self._children_yang_names.add("otv")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "overlay" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.Overlay, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion', 'channel_protocol', 'duplex'], name, value)

            class ChannelProtocol(Enum):
                """
                ChannelProtocol

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = Enum.YLeaf(0, "lacp")

                pagp = Enum.YLeaf(1, "pagp")


            class Duplex(Enum):
                """
                Duplex

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = Enum.YLeaf(0, "auto")

                full = Enum.YLeaf(1, "full")

                half = Enum.YLeaf(2, "half")


            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Load>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Overlay.Backup.Delay), "interface" : ("interface", Native.Interface.Overlay.Backup.Interface), "load" : ("load", Native.Interface.Overlay.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.Overlay.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.Overlay.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.Overlay.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Overlay.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Overlay.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Overlay.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Overlay.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.Overlay.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.Overlay.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.Overlay.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.Overlay.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.Overlay.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.Overlay.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.Overlay.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.Overlay.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.Overlay.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.Overlay.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.Overlay.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.Overlay.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.Overlay.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.Overlay.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.Overlay.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.Overlay.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.Overlay.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.Overlay.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.Overlay.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.Overlay.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.Overlay.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.Overlay.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.Overlay.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Dampening.Restart>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.Overlay.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.Overlay.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.Overlay.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.Overlay.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.Overlay.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.Overlay.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.Overlay.Ip.AccessGroup), "arp" : ("arp", Native.Interface.Overlay.Ip.Arp), "vrf" : ("vrf", Native.Interface.Overlay.Ip.Vrf), "no-address" : ("no_address", Native.Interface.Overlay.Ip.NoAddress), "address" : ("address", Native.Interface.Overlay.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.Overlay.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.Overlay.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.Overlay.Ip.HoldTime), "pim" : ("pim", Native.Interface.Overlay.Ip.Pim), "policy" : ("policy", Native.Interface.Overlay.Ip.Policy), "rip" : ("rip", Native.Interface.Overlay.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.Overlay.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.Overlay.Ip.RouteCache), "router" : ("router", Native.Interface.Overlay.Ip.Router), "tcp" : ("tcp", Native.Interface.Overlay.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.Overlay.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.Overlay.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.Overlay.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.Overlay.Ip.Verify)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.Overlay.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.Overlay.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.Overlay.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.Overlay.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.Overlay.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.Overlay.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.Overlay.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.Overlay.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.Overlay.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.Overlay.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.Overlay.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.Overlay.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.Overlay.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.Overlay.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.Overlay.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.Overlay.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.Overlay.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.Overlay.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.Overlay.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.Overlay.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.Overlay.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.Overlay.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.Overlay.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Overlay.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.Overlay.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Overlay.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Overlay.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Overlay.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.Overlay.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Overlay.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Overlay.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.Overlay.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.Overlay.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Overlay.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Overlay.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.Overlay.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.Overlay.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.Overlay.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.Overlay.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.Overlay.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.Overlay.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.Overlay.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.Overlay.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.Overlay.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.Overlay.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.Overlay.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.Overlay.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Overlay.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.Overlay.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.Overlay.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.Overlay.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.Overlay.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.Overlay.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.Overlay.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.Overlay.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.Overlay.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.Overlay.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.Overlay.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.Overlay.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.Overlay.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.Overlay.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.Overlay.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.Overlay.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.Overlay.Ipv6.Dhcp), "address" : ("address", Native.Interface.Overlay.Ipv6.Address), "nd" : ("nd", Native.Interface.Overlay.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.Overlay.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.Overlay.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.Overlay.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.Overlay.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.Overlay.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.Overlay.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.Overlay.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.Overlay.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.Overlay.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.Overlay.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Logging.Event>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.Overlay.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.Overlay.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.Overlay.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.Overlay.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.Overlay.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.Overlay.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Overlay.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.Overlay.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.Overlay.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.Overlay.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.Overlay.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.Overlay.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Overlay.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.Overlay.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.Overlay.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.Overlay.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.Overlay.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.Overlay.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.Overlay.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.Overlay.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.Overlay.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.Overlay.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.Overlay.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.Overlay.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.Overlay.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Overlay.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.Overlay.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.Overlay.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.Overlay.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.Overlay.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.Overlay.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.Overlay.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.Overlay.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.Overlay.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.Overlay.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.Overlay.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.Overlay.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.Overlay.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.Overlay.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.Overlay.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.Overlay.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.Overlay.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.Overlay.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.Overlay.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Overlay.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.Overlay.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Overlay.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Overlay.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Overlay.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Overlay.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Overlay.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.Overlay.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Overlay.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Overlay.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Overlay.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Overlay.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Overlay.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.Overlay.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.Overlay.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.Overlay.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.Overlay.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Overlay.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Trust.Device>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.Overlay.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.Overlay.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.Overlay.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Peer.Default>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.Overlay.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.Overlay.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.Overlay.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.Overlay.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.Overlay.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.Overlay.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.Overlay.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.Overlay.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.PmPath, ['name', 'interface_id'], name, value)


            class CarrierDelay(Entity):
                """
                Specify delay for interface transitions
                
                .. attribute:: seconds
                
                	
                	**type**\: int
                
                	**range:** 0..60
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\: int
                
                	**range:** 0..1000
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:  :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.CarrierDelay.Down>`
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:  :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.CarrierDelay, self).__init__()

                    self.yang_name = "carrier-delay"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"down" : ("down", Native.Interface.Overlay.CarrierDelay.Down), "up" : ("up", Native.Interface.Overlay.CarrierDelay.Up)}
                    self._child_list_classes = {}

                    self.seconds = YLeaf(YType.uint8, "seconds")

                    self.msec = YLeaf(YType.uint16, "msec")

                    self.down = Native.Interface.Overlay.CarrierDelay.Down()
                    self.down.parent = self
                    self._children_name_map["down"] = "down"
                    self._children_yang_names.add("down")

                    self.up = Native.Interface.Overlay.CarrierDelay.Up()
                    self.up.parent = self
                    self._children_name_map["up"] = "up"
                    self._children_yang_names.add("up")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:carrier-delay"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.CarrierDelay, ['seconds', 'msec'], name, value)


                class Down(Entity):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.CarrierDelay.Down, self).__init__()

                        self.yang_name = "down"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "down"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.CarrierDelay.Down, ['seconds', 'msec'], name, value)


                class Up(Entity):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.CarrierDelay.Up, self).__init__()

                        self.yang_name = "up"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "up"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.CarrierDelay.Up, ['seconds', 'msec'], name, value)


            class ChannelGroup(Entity):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 1..512
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.ChannelGroup.Mode>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\: int
                
                	**range:** 1..4
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.ChannelGroup, self).__init__()

                    self.yang_name = "channel-group"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint16, "number")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.non_silent = YLeaf(YType.empty, "non-silent")

                    self.link = YLeaf(YType.uint8, "link")

                    self.auto = YLeaf(YType.empty, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:channel-group"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.ChannelGroup, ['number', 'mode', 'non_silent', 'link', 'auto'], name, value)

                class Mode(Enum):
                    """
                    Mode

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = Enum.YLeaf(0, "active")

                    auto = Enum.YLeaf(1, "auto")

                    desirable = Enum.YLeaf(2, "desirable")

                    on = Enum.YLeaf(3, "on")

                    passive = Enum.YLeaf(4, "passive")



            class Ethernet(Entity):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:  :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Ethernet, self).__init__()

                    self.yang_name = "ethernet"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"oam" : ("oam", Native.Interface.Overlay.Ethernet.Oam)}
                    self._child_list_classes = {}

                    self.oam = None
                    self._children_name_map["oam"] = "oam"
                    self._children_yang_names.add("oam")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:ethernet"


                class Oam(Entity):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:  :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.Mode>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:  :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:  :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 2..30
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Ethernet.Oam, self).__init__()

                        self.yang_name = "oam"
                        self.yang_parent_name = "ethernet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-monitor" : ("link_monitor", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor), "remote-failure" : ("remote_failure", Native.Interface.Overlay.Ethernet.Oam.RemoteFailure), "remote-loopback" : ("remote_loopback", Native.Interface.Overlay.Ethernet.Oam.RemoteLoopback)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max_rate = YLeaf(YType.uint8, "max-rate")

                        self.min_rate = YLeaf(YType.uint8, "min-rate")

                        self.mode = YLeaf(YType.enumeration, "mode")

                        self.timeout = YLeaf(YType.uint8, "timeout")

                        self.link_monitor = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self._children_name_map["link_monitor"] = "link-monitor"
                        self._children_yang_names.add("link-monitor")

                        self.remote_failure = Native.Interface.Overlay.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self._children_name_map["remote_failure"] = "remote-failure"
                        self._children_yang_names.add("remote-failure")

                        self.remote_loopback = Native.Interface.Overlay.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self._children_name_map["remote_loopback"] = "remote-loopback"
                        self._children_yang_names.add("remote-loopback")
                        self._segment_path = lambda: "oam"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam, ['max_rate', 'min_rate', 'mode', 'timeout'], name, value)

                    class Mode(Enum):
                        """
                        Mode

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = Enum.YLeaf(0, "active")

                        passive = Enum.YLeaf(1, "passive")



                    class LinkMonitor(Entity):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:  :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:  :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:  :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:  :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:  :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:  :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor, self).__init__()

                            self.yang_name = "link-monitor"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"frame" : ("frame", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame), "frame-period" : ("frame_period", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod), "frame-seconds" : ("frame_seconds", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds), "high-threshold" : ("high_threshold", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold), "receive-crc" : ("receive_crc", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc), "symbol-period" : ("symbol_period", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod)}
                            self._child_list_classes = {}

                            self.on = YLeaf(YType.empty, "on")

                            self.supported = YLeaf(YType.empty, "supported")

                            self.frame = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self._children_name_map["frame"] = "frame"
                            self._children_yang_names.add("frame")

                            self.frame_period = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self._children_name_map["frame_period"] = "frame-period"
                            self._children_yang_names.add("frame-period")

                            self.frame_seconds = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self._children_name_map["frame_seconds"] = "frame-seconds"
                            self._children_yang_names.add("frame-seconds")

                            self.high_threshold = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self._children_name_map["high_threshold"] = "high-threshold"
                            self._children_yang_names.add("high-threshold")

                            self.receive_crc = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self._children_name_map["receive_crc"] = "receive-crc"
                            self._children_yang_names.add("receive-crc")

                            self.symbol_period = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self
                            self._children_name_map["symbol_period"] = "symbol-period"
                            self._children_yang_names.add("symbol-period")
                            self._segment_path = lambda: "link-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor, ['on', 'supported'], name, value)


                        class Frame(Entity):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame, self).__init__()

                                self.yang_name = "frame"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.thresh = YLeaf(YType.uint16, "thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, ['thresh', 'none'], name, value)


                        class FramePeriod(Entity):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod, self).__init__()

                                self.yang_name = "frame-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.f_thresh = YLeaf(YType.uint16, "f-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, ['f_thresh', 'none'], name, value)


                        class FrameSeconds(Entity):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds, self).__init__()

                                self.yang_name = "frame-seconds"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-seconds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\: int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-seconds"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.e_thresh = YLeaf(YType.uint16, "e-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, ['e_thresh', 'none'], name, value)


                        class HighThreshold(Entity):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold, self).__init__()

                                self.yang_name = "high-threshold"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "high-threshold"


                            class Action(Entity):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "high-threshold"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.HighThreshold.Action, ['error_disable_interface'], name, value)


                        class ReceiveCrc(Entity):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc, self).__init__()

                                self.yang_name = "receive-crc"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "receive-crc"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "receive-crc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.crc_thresh = YLeaf(YType.uint16, "crc-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, ['crc_thresh', 'none'], name, value)


                        class SymbolPeriod(Entity):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod, self).__init__()

                                self.yang_name = "symbol-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "symbol-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "symbol-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.err_thresh = YLeaf(YType.uint16, "err-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, ['err_thresh', 'none'], name, value)


                    class RemoteFailure(Entity):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:  :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:  :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:  :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ethernet.Oam.RemoteFailure, self).__init__()

                            self.yang_name = "remote-failure"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"critical-event" : ("critical_event", Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent), "dying-gasp" : ("dying_gasp", Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp), "link-fault" : ("link_fault", Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault)}
                            self._child_list_classes = {}

                            self.critical_event = Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self._children_name_map["critical_event"] = "critical-event"
                            self._children_yang_names.add("critical-event")

                            self.dying_gasp = Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self._children_name_map["dying_gasp"] = "dying-gasp"
                            self._children_yang_names.add("dying-gasp")

                            self.link_fault = Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self
                            self._children_name_map["link_fault"] = "link-fault"
                            self._children_yang_names.add("link-fault")
                            self._segment_path = lambda: "remote-failure"


                        class CriticalEvent(Entity):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent, self).__init__()

                                self.yang_name = "critical-event"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "critical-event"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "critical-event"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, ['error_disable_interface'], name, value)


                        class DyingGasp(Entity):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp, self).__init__()

                                self.yang_name = "dying-gasp"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "dying-gasp"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "dying-gasp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.DyingGasp.Action, ['error_disable_interface'], name, value)


                        class LinkFault(Entity):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault, self).__init__()

                                self.yang_name = "link-fault"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "link-fault"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "link-fault"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.RemoteFailure.LinkFault.Action, ['error_disable_interface'], name, value)


                    class RemoteLoopback(Entity):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Ethernet.Oam.RemoteLoopback, self).__init__()

                            self.yang_name = "remote-loopback"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.supported = YLeaf(YType.empty, "supported")

                            self.timeout = YLeaf(YType.uint8, "timeout")
                            self._segment_path = lambda: "remote-loopback"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Ethernet.Oam.RemoteLoopback, ['supported', 'timeout'], name, value)


            class Negotiation(Entity):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\: bool
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Negotiation, self).__init__()

                    self.yang_name = "negotiation"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:negotiation"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Negotiation, ['auto'], name, value)


            class Synchronous(Entity):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Synchronous, self).__init__()

                    self.yang_name = "synchronous"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mode = YLeaf(YType.empty, "mode")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:synchronous"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Synchronous, ['mode'], name, value)


            class Speed(Entity):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Speed, self).__init__()

                    self.yang_name = "speed"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.empty, "auto")

                    self.value_10 = YLeaf(YType.empty, "value-10")

                    self.value_100 = YLeaf(YType.empty, "value-100")

                    self.value_1000 = YLeaf(YType.empty, "value-1000")

                    self.value_10000 = YLeaf(YType.empty, "value-10000")

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:speed"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Speed, ['auto', 'value_10', 'value_100', 'value_1000', 'value_10000', 'nonegotiate'], name, value)


            class Plim(Entity):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Plim, self).__init__()

                    self.yang_name = "plim"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.Overlay.Plim.Ethernet), "qos" : ("qos", Native.Interface.Overlay.Plim.Qos)}
                    self._child_list_classes = {}

                    self.ethernet = Native.Interface.Overlay.Plim.Ethernet()
                    self.ethernet.parent = self
                    self._children_name_map["ethernet"] = "ethernet"
                    self._children_yang_names.add("ethernet")

                    self.qos = Native.Interface.Overlay.Plim.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:plim"


                class Ethernet(Entity):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Plim.Ethernet, self).__init__()

                        self.yang_name = "ethernet"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.Overlay.Plim.Ethernet.Vlan)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.Overlay.Plim.Ethernet.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "ethernet"


                    class Vlan(Entity):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Plim.Ethernet.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"filter" : ("filter", Native.Interface.Overlay.Plim.Ethernet.Vlan.Filter)}
                            self._child_list_classes = {}

                            self.filter = Native.Interface.Overlay.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self
                            self._children_name_map["filter"] = "filter"
                            self._children_yang_names.add("filter")
                            self._segment_path = lambda: "vlan"


                        class Filter(Entity):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Plim.Ethernet.Vlan.Filter, self).__init__()

                                self.yang_name = "filter"
                                self.yang_parent_name = "vlan"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Plim.Ethernet.Vlan.Filter, ['disable'], name, value)


                class Qos(Entity):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Plim.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"input" : ("input", Native.Interface.Overlay.Plim.Qos.Input)}
                        self._child_list_classes = {}

                        self.input = Native.Interface.Overlay.Plim.Qos.Input()
                        self.input.parent = self
                        self._children_name_map["input"] = "input"
                        self._children_yang_names.add("input")
                        self._segment_path = lambda: "qos"


                    class Input(Entity):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Plim.Qos.Input, self).__init__()

                            self.yang_name = "input"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"queue" : ("queue", Native.Interface.Overlay.Plim.Qos.Input.Queue)}
                            self._child_list_classes = {}

                            self.queue = Native.Interface.Overlay.Plim.Qos.Input.Queue()
                            self.queue.parent = self
                            self._children_name_map["queue"] = "queue"
                            self._children_yang_names.add("queue")
                            self._segment_path = lambda: "input"


                        class Queue(Entity):
                            """
                            Queue number
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:  :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero>`
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:  :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Plim.Qos.Input.Queue, self).__init__()

                                self.yang_name = "queue"
                                self.yang_parent_name = "input"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"zero" : ("zero", Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero), "strict-priority" : ("strict_priority", Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority)}
                                self._child_list_classes = {}

                                self.zero = Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self
                                self._children_name_map["zero"] = "zero"
                                self._children_yang_names.add("zero")

                                self.strict_priority = Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self._children_name_map["strict_priority"] = "strict-priority"
                                self._children_yang_names.add("strict-priority")
                                self._segment_path = lambda: "queue"


                            class Zero(Entity):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero, self).__init__()

                                    self.yang_name = "zero"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "zero"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "zero"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Overlay.Plim.Qos.Input.Queue.Zero.Pause, ['enable', 'threshold'], name, value)


                            class StrictPriority(Entity):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority, self).__init__()

                                    self.yang_name = "strict-priority"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "strict-priority"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "strict-priority"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Overlay.Plim.Qos.Input.Queue.StrictPriority.Pause, ['enable', 'threshold'], name, value)


            class Pppoe(Entity):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\: int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Pppoe, self).__init__()

                    self.yang_name = "pppoe"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"enable" : ("enable", Native.Interface.Overlay.Pppoe.Enable)}
                    self._child_list_classes = {}

                    self.max_sessions = YLeaf(YType.uint16, "max-sessions")

                    self.enable = None
                    self._children_name_map["enable"] = "enable"
                    self._children_yang_names.add("enable")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:pppoe"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Pppoe, ['max_sessions'], name, value)


                class Enable(Entity):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Pppoe.Enable.Group>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Pppoe.Enable, self).__init__()

                        self.yang_name = "enable"
                        self.yang_parent_name = "pppoe"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "enable"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Pppoe.Enable, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = Enum.YLeaf(0, "global")



            class Service(Entity):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of  		 :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Service, self).__init__()

                    self.yang_name = "service"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"instance" : ("instance", Native.Interface.Overlay.Service.Instance)}

                    self.instance = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:service"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Service, [], name, value)


                class Instance(Entity):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\: str
                    
                    	**length:** 0..240
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\: str
                    
                    	**length:** 1..100
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation>`
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ipv6>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:  :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:  :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:  :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Snmp>`
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:  :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Mac>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:  :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Cfm>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:  :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Service.Instance, self).__init__()

                        self.yang_name = "instance"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.Overlay.Service.Instance.Encapsulation), "ip" : ("ip", Native.Interface.Overlay.Service.Instance.Ip), "ipv6" : ("ipv6", Native.Interface.Overlay.Service.Instance.Ipv6), "rewrite" : ("rewrite", Native.Interface.Overlay.Service.Instance.Rewrite), "errdisable" : ("errdisable", Native.Interface.Overlay.Service.Instance.Errdisable), "ethernet-container" : ("ethernet_container", Native.Interface.Overlay.Service.Instance.EthernetContainer), "snmp" : ("snmp", Native.Interface.Overlay.Service.Instance.Snmp), "bridge-domain" : ("bridge_domain", Native.Interface.Overlay.Service.Instance.BridgeDomain), "mac" : ("mac", Native.Interface.Overlay.Service.Instance.Mac), "service-policy" : ("service_policy", Native.Interface.Overlay.Service.Instance.ServicePolicy), "cfm" : ("cfm", Native.Interface.Overlay.Service.Instance.Cfm), "l2protocol" : ("l2protocol", Native.Interface.Overlay.Service.Instance.L2Protocol)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint32, "id")

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.gigabitethernet = YLeaf(YType.empty, "GigabitEthernet")

                        self.ethernet = YLeaf(YType.empty, "ethernet")

                        self.ethernet_evc_name = YLeaf(YType.str, "ethernet-evc-name")

                        self.description = YLeaf(YType.str, "description")

                        self.evc_name = YLeaf(YType.str, "evc-name")

                        self.group = YLeaf(YType.uint32, "group")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.encapsulation = Native.Interface.Overlay.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self._children_name_map["encapsulation"] = "encapsulation"
                        self._children_yang_names.add("encapsulation")

                        self.ip = Native.Interface.Overlay.Service.Instance.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.ipv6 = Native.Interface.Overlay.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.rewrite = Native.Interface.Overlay.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self._children_name_map["rewrite"] = "rewrite"
                        self._children_yang_names.add("rewrite")

                        self.errdisable = Native.Interface.Overlay.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self._children_name_map["errdisable"] = "errdisable"
                        self._children_yang_names.add("errdisable")

                        self.ethernet_container = Native.Interface.Overlay.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self._children_name_map["ethernet_container"] = "ethernet-container"
                        self._children_yang_names.add("ethernet-container")

                        self.snmp = Native.Interface.Overlay.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self._children_name_map["snmp"] = "snmp"
                        self._children_yang_names.add("snmp")

                        self.bridge_domain = Native.Interface.Overlay.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self._children_name_map["bridge_domain"] = "bridge-domain"
                        self._children_yang_names.add("bridge-domain")

                        self.mac = Native.Interface.Overlay.Service.Instance.Mac()
                        self.mac.parent = self
                        self._children_name_map["mac"] = "mac"
                        self._children_yang_names.add("mac")

                        self.service_policy = Native.Interface.Overlay.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self._children_name_map["service_policy"] = "service-policy"
                        self._children_yang_names.add("service-policy")

                        self.cfm = Native.Interface.Overlay.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self._children_name_map["cfm"] = "cfm"
                        self._children_yang_names.add("cfm")

                        self.l2protocol = Native.Interface.Overlay.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self._children_name_map["l2protocol"] = "l2protocol"
                        self._children_yang_names.add("l2protocol")
                        self._segment_path = lambda: "instance" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Service.Instance, ['id', 'trunk', 'gigabitethernet', 'ethernet', 'ethernet_evc_name', 'description', 'evc_name', 'group', 'shutdown'], name, value)


                    class Encapsulation(Entity):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:  :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:  :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Service.Instance.Encapsulation, self).__init__()

                            self.yang_name = "encapsulation"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q), "priority-tagged" : ("priority_tagged", Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged), "untagged" : ("untagged", Native.Interface.Overlay.Service.Instance.Encapsulation.Untagged)}
                            self._child_list_classes = {}

                            self.default = YLeaf(YType.empty, "default")

                            self.dot1ad = Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self._children_name_map["dot1ad"] = "dot1ad"
                            self._children_yang_names.add("dot1ad")

                            self.dot1q = Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self._children_name_map["dot1q"] = "dot1q"
                            self._children_yang_names.add("dot1q")

                            self.priority_tagged = Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self._children_name_map["priority_tagged"] = "priority-tagged"
                            self._children_yang_names.add("priority-tagged")

                            self.untagged = None
                            self._children_name_map["untagged"] = "untagged"
                            self._children_yang_names.add("untagged")
                            self._segment_path = lambda: "encapsulation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Service.Instance.Encapsulation, ['default'], name, value)


                        class Dot1Ad(Entity):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Dot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad, self).__init__()

                                self.yang_name = "dot1ad"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.dot1q = YLeafList(YType.str, "dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.cos2 = Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1ad"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad, ['id', 'cos', 'dot1q', 'etype', 'exact'], name, value)

                            class Dot1Q(Enum):
                                """
                                Dot1Q

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1ad"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Ad.Cos2, ['cos'], name, value)


                        class Dot1Q(Entity):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`SecondDot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:  :py:class:`VlanType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.VlanType>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q, self).__init__()

                                self.yang_name = "dot1q"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.second_dot1q = YLeafList(YType.str, "second-dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.vlan_type = YLeaf(YType.enumeration, "vlan-type")

                                self.cos2 = Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1q"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q, ['id', 'cos', 'second_dot1q', 'etype', 'exact', 'vlan_type'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class SecondDot1Q(Enum):
                                """
                                SecondDot1Q

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class VlanType(Enum):
                                """
                                VlanType

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = Enum.YLeaf(0, "0x88A8")

                                Y_0x9100 = Enum.YLeaf(1, "0x9100")

                                Y_0x9200 = Enum.YLeaf(2, "0x9200")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1q"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Service.Instance.Encapsulation.Dot1Q.Cos2, ['cos'], name, value)


                        class PriorityTagged(Entity):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:  :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.Etype>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged, self).__init__()

                                self.yang_name = "priority-tagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos-container" : ("cos_container", Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.CosContainer)}
                                self._child_list_classes = {}

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.cos_container = Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self._children_name_map["cos_container"] = "cos-container"
                                self._children_yang_names.add("cos-container")
                                self._segment_path = lambda: "priority-tagged"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged, ['etype'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")



                            class CosContainer(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.CosContainer, self).__init__()

                                    self.yang_name = "cos-container"
                                    self.yang_parent_name = "priority-tagged"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Service.Instance.Encapsulation.PriorityTagged.CosContainer, ['cos'], name, value)


                        class Untagged(Entity):
                            """
                            Untagged encapsulation
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Encapsulation.Untagged, self).__init__()

                                self.yang_name = "untagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "untagged"


                    class Ip(Entity):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Service.Instance.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"acl" : ("acl", Native.Interface.Overlay.Service.Instance.Ip.Acl), "dhcp" : ("dhcp", Native.Interface.Overlay.Service.Instance.Ip.Dhcp), "verify" : ("verify", Native.Interface.Overlay.Service.Instance.Ip.Verify)}
                            self._child_list_classes = {}

                            self.acl = Native.Interface.Overlay.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")

                            self.dhcp = Native.Interface.Overlay.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self._children_name_map["dhcp"] = "dhcp"
                            self._children_yang_names.add("dhcp")

                            self.verify = Native.Interface.Overlay.Service.Instance.Ip.Verify()
                            self.verify.parent = self
                            self._children_name_map["verify"] = "verify"
                            self._children_yang_names.add("verify")
                            self._segment_path = lambda: "ip"


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Ip.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.access_group = YLeaf(YType.str, "access-group")

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.Ip.Acl, ['access_group', 'in_', 'out'], name, value)


                        class Dhcp(Entity):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Ip.Dhcp, self).__init__()

                                self.yang_name = "dhcp"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"relay" : ("relay", Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay)}
                                self._child_list_classes = {}

                                self.relay = Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self
                                self._children_name_map["relay"] = "relay"
                                self._children_yang_names.add("relay")
                                self._segment_path = lambda: "dhcp"


                            class Relay(Entity):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay, self).__init__()

                                    self.yang_name = "relay"
                                    self.yang_parent_name = "dhcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"information" : ("information", Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information)}
                                    self._child_list_classes = {}

                                    self.information = Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self
                                    self._children_name_map["information"] = "information"
                                    self._children_yang_names.add("information")
                                    self._segment_path = lambda: "relay"


                                class Information(Entity):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information, self).__init__()

                                        self.yang_name = "information"
                                        self.yang_parent_name = "relay"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"option" : ("option", Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information.Option)}
                                        self._child_list_classes = {}

                                        self.option = Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self
                                        self._children_name_map["option"] = "option"
                                        self._children_yang_names.add("option")
                                        self._segment_path = lambda: "information"


                                    class Option(Entity):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                            self.yang_name = "option"
                                            self.yang_parent_name = "information"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                            self._segment_path = lambda: "option"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Overlay.Service.Instance.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                        class Verify(Entity):
                            """
                            verify
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Ip.Verify, self).__init__()

                                self.yang_name = "verify"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.source = YLeaf(YType.empty, "source")

                                self.vlan = YLeaf(YType.empty, "vlan")

                                self.dhcp_snooping = YLeaf(YType.empty, "dhcp-snooping")

                                self.port_security = YLeaf(YType.empty, "port-security")
                                self._segment_path = lambda: "verify"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.Ip.Verify, ['source', 'vlan', 'dhcp_snooping', 'port_security'], name, value)


                    class Ipv6(Entity):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\: str
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Service.Instance.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.traffic_filter = YLeaf(YType.str, "traffic-filter")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Service.Instance.Ipv6, ['traffic_filter', 'in_', 'out'], name, value)


                    class Rewrite(Entity):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:  :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Service.Instance.Rewrite, self).__init__()

                            self.yang_name = "rewrite"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ingress" : ("ingress", Native.Interface.Overlay.Service.Instance.Rewrite.Ingress)}
                            self._child_list_classes = {}

                            self.ingress = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self
                            self._children_name_map["ingress"] = "ingress"
                            self._children_yang_names.add("ingress")
                            self._segment_path = lambda: "rewrite"


                        class Ingress(Entity):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress, self).__init__()

                                self.yang_name = "ingress"
                                self.yang_parent_name = "rewrite"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"tag" : ("tag", Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag)}
                                self._child_list_classes = {}

                                self.tag = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self
                                self._children_name_map["tag"] = "tag"
                                self._children_yang_names.add("tag")
                                self._segment_path = lambda: "ingress"


                            class Tag(Entity):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:  :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:  :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag, self).__init__()

                                    self.yang_name = "tag"
                                    self.yang_parent_name = "ingress"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pop" : ("pop", Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop), "push" : ("push", Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push), "translate" : ("translate", Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate)}
                                    self._child_list_classes = {}

                                    self.pop = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self._children_name_map["pop"] = "pop"
                                    self._children_yang_names.add("pop")

                                    self.push = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self._children_name_map["push"] = "push"
                                    self._children_yang_names.add("push")

                                    self.translate = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self
                                    self._children_name_map["translate"] = "translate"
                                    self._children_yang_names.add("translate")
                                    self._segment_path = lambda: "tag"


                                class Pop(Entity):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:  :py:class:`Way <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop.Way>`
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop, self).__init__()

                                        self.yang_name = "pop"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.way = YLeaf(YType.enumeration, "way")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "pop"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Pop, ['way', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")


                                    class Way(Enum):
                                        """
                                        Way

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class Push(Entity):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push, self).__init__()

                                        self.yang_name = "push"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dot1q = YLeaf(YType.uint16, "dot1q")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "push"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Push, ['dot1q', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")



                                class Translate(Entity):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:  :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:  :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:  :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:  :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate, self).__init__()

                                        self.yang_name = "translate"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"t1-to-1" : ("t1_to_1", Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1), "t1-to-2" : ("t1_to_2", Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2), "t2-to-1" : ("t2_to_1", Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1), "t2-to-2" : ("t2_to_2", Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2)}
                                        self._child_list_classes = {}

                                        self.t1_to_1 = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self._children_name_map["t1_to_1"] = "t1-to-1"
                                        self._children_yang_names.add("t1-to-1")

                                        self.t1_to_2 = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self._children_name_map["t1_to_2"] = "t1-to-2"
                                        self._children_yang_names.add("t1-to-2")

                                        self.t2_to_1 = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self._children_name_map["t2_to_1"] = "t2-to-1"
                                        self._children_yang_names.add("t2-to-1")

                                        self.t2_to_2 = Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self
                                        self._children_name_map["t2_to_2"] = "t2-to-2"
                                        self._children_yang_names.add("t2-to-2")
                                        self._segment_path = lambda: "translate"


                                    class T1To1(Entity):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, self).__init__()

                                            self.yang_name = "t1-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T1To2(Entity):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, self).__init__()

                                            self.yang_name = "t1-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To1(Entity):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, self).__init__()

                                            self.yang_name = "t2-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To2(Entity):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, self).__init__()

                                            self.yang_name = "t2-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Overlay.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                    class Errdisable(Entity):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Service.Instance.Errdisable, self).__init__()

                            self.yang_name = "errdisable"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"recovery" : ("recovery", Native.Interface.Overlay.Service.Instance.Errdisable.Recovery)}
                            self._child_list_classes = {}

                            self.recovery = Native.Interface.Overlay.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self
                            self._children_name_map["recovery"] = "recovery"
                            self._children_yang_names.add("recovery")
                            self._segment_path = lambda: "errdisable"


                        class Recovery(Entity):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:  :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Errdisable.Recovery, self).__init__()

                                self.yang_name = "recovery"
                                self.yang_parent_name = "errdisable"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cause" : ("cause", Native.Interface.Overlay.Service.Instance.Errdisable.Recovery.Cause)}
                                self._child_list_classes = {}

                                self.cause = Native.Interface.Overlay.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self
                                self._children_name_map["cause"] = "cause"
                                self._children_yang_names.add("cause")
                                self._segment_path = lambda: "recovery"


                            class Cause(Entity):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\: int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Service.Instance.Errdisable.Recovery.Cause, self).__init__()

                                    self.yang_name = "cause"
                                    self.yang_parent_name = "recovery"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mac_security = YLeaf(YType.uint32, "mac-security")
                                    self._segment_path = lambda: "cause"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Service.Instance.Errdisable.Recovery.Cause, ['mac_security'], name, value)


                    class EthernetContainer(Entity):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Service.Instance.EthernetContainer, self).__init__()

                            self.yang_name = "ethernet-container"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet)}
                            self._child_list_classes = {}

                            self.ethernet = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self
                            self._children_name_map["ethernet"] = "ethernet"
                            self._children_yang_names.add("ethernet")
                            self._segment_path = lambda: "ethernet-container"


                        class Ethernet(Entity):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:  :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:  :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet, self).__init__()

                                self.yang_name = "ethernet"
                                self.yang_parent_name = "ethernet-container"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lmi" : ("lmi", Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi), "loopback" : ("loopback", Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback)}
                                self._child_list_classes = {}

                                self.lmi = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self._children_name_map["lmi"] = "lmi"
                                self._children_yang_names.add("lmi")

                                self.loopback = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self
                                self._children_name_map["loopback"] = "loopback"
                                self._children_yang_names.add("loopback")
                                self._segment_path = lambda: "ethernet"


                            class Lmi(Entity):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:  :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi, self).__init__()

                                    self.yang_name = "lmi"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ce-vlan" : ("ce_vlan", Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan)}
                                    self._child_list_classes = {}

                                    self.ce_vlan = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self
                                    self._children_name_map["ce_vlan"] = "ce-vlan"
                                    self._children_yang_names.add("ce-vlan")
                                    self._segment_path = lambda: "lmi"


                                class CeVlan(Entity):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan, self).__init__()

                                        self.yang_name = "ce-vlan"
                                        self.yang_parent_name = "lmi"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map" : ("map", Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map)}
                                        self._child_list_classes = {}

                                        self.map = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self
                                        self._children_name_map["map"] = "map"
                                        self._children_yang_names.add("map")
                                        self._segment_path = lambda: "ce-vlan"


                                    class Map(Entity):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:  :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-otv'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, self).__init__()

                                            self.yang_name = "map"
                                            self.yang_parent_name = "ce-vlan"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"vlan-range" : ("vlan_range", Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange)}
                                            self._child_list_classes = {}

                                            self.any = YLeaf(YType.empty, "any")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.untagged = YLeaf(YType.empty, "untagged")

                                            self.vlan_range = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self
                                            self._children_name_map["vlan_range"] = "vlan-range"
                                            self._children_yang_names.add("vlan-range")
                                            self._segment_path = lambda: "map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, ['any', 'default', 'untagged'], name, value)


                                        class VlanRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-otv'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, self).__init__()

                                                self.yang_name = "vlan-range"
                                                self.yang_parent_name = "map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                                self.comma = YLeaf(YType.uint16, "comma")

                                                self.hyphen = YLeaf(YType.uint16, "hyphen")
                                                self._segment_path = lambda: "vlan-range"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, ['vlan_id', 'comma', 'hyphen'], name, value)


                            class Loopback(Entity):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback, self).__init__()

                                    self.yang_name = "loopback"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"permit" : ("permit", Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit)}
                                    self._child_list_classes = {}

                                    self.permit = Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self
                                    self._children_name_map["permit"] = "permit"
                                    self._children_yang_names.add("permit")
                                    self._segment_path = lambda: "loopback"


                                class Permit(Entity):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-otv'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, self).__init__()

                                        self.yang_name = "permit"
                                        self.yang_parent_name = "loopback"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.external = YLeaf(YType.empty, "external")

                                        self.internal = YLeaf(YType.empty, "internal")
                                        self._segment_path = lambda: "permit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Overlay.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, ['external', 'internal'], name, value)


                    class Snmp(Entity):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Snmp.Trap>`
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Snmp.Ifindex>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Service.Instance.Snmp, self).__init__()

                            self.yang_name = "snmp"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"trap" : ("trap", Native.Interface.Overlay.Service.Instance.Snmp.Trap), "ifindex" : ("ifindex", Native.Interface.Overlay.Service.Instance.Snmp.Ifindex)}
                            self._child_list_classes = {}

                            self.trap = Native.Interface.Overlay.Service.Instance.Snmp.Trap()
                            self.trap.parent = self
                            self._children_name_map["trap"] = "trap"
                            self._children_yang_names.add("trap")

                            self.ifindex = Native.Interface.Overlay.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self._children_name_map["ifindex"] = "ifindex"
                            self._children_yang_names.add("ifindex")
                            self._segment_path = lambda: "snmp"


                        class Trap(Entity):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Snmp.Trap, self).__init__()

                                self.yang_name = "trap"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.link_status = YLeaf(YType.empty, "link-status")
                                self._segment_path = lambda: "trap"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.Snmp.Trap, ['link_status'], name, value)


                        class Ifindex(Entity):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Snmp.Ifindex, self).__init__()

                                self.yang_name = "ifindex"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.persist = YLeaf(YType.empty, "persist")
                                self._segment_path = lambda: "ifindex"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.Snmp.Ifindex, ['persist'], name, value)


                    class BridgeDomain(Entity):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:  :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Service.Instance.BridgeDomain, self).__init__()

                            self.yang_name = "bridge-domain"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"split-horizon" : ("split_horizon", Native.Interface.Overlay.Service.Instance.BridgeDomain.SplitHorizon)}
                            self._child_list_classes = {}

                            self.bridge_id = YLeaf(YType.uint16, "bridge-id")

                            self.from_encapsulation = YLeaf(YType.empty, "from-encapsulation")

                            self.split_horizon = Native.Interface.Overlay.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self
                            self._children_name_map["split_horizon"] = "split-horizon"
                            self._children_yang_names.add("split-horizon")
                            self._segment_path = lambda: "bridge-domain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Service.Instance.BridgeDomain, ['bridge_id', 'from_encapsulation'], name, value)


                        class SplitHorizon(Entity):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\: int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.BridgeDomain.SplitHorizon, self).__init__()

                                self.yang_name = "split-horizon"
                                self.yang_parent_name = "bridge-domain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group = YLeaf(YType.uint8, "group")
                                self._segment_path = lambda: "split-horizon"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.BridgeDomain.SplitHorizon, ['group'], name, value)


                    class Mac(Entity):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Service.Instance.Mac, self).__init__()

                            self.yang_name = "mac"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"security" : ("security", Native.Interface.Overlay.Service.Instance.Mac.Security)}
                            self._child_list_classes = {}

                            self.security = None
                            self._children_name_map["security"] = "security"
                            self._children_yang_names.add("security")
                            self._segment_path = lambda: "mac"


                        class Security(Entity):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Mac.Security.Violation>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Mac.Security, self).__init__()

                                self.yang_name = "security"
                                self.yang_parent_name = "mac"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"maximum" : ("maximum", Native.Interface.Overlay.Service.Instance.Mac.Security.Maximum)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.violation = YLeaf(YType.enumeration, "violation")

                                self.maximum = Native.Interface.Overlay.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self._children_name_map["maximum"] = "maximum"
                                self._children_yang_names.add("maximum")
                                self._segment_path = lambda: "security"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.Mac.Security, ['violation'], name, value)

                            class Violation(Enum):
                                """
                                Violation

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = Enum.YLeaf(0, "protect")

                                restrict = Enum.YLeaf(1, "restrict")



                            class Maximum(Entity):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\: int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Service.Instance.Mac.Security.Maximum, self).__init__()

                                    self.yang_name = "maximum"
                                    self.yang_parent_name = "security"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.addresses = YLeaf(YType.uint16, "addresses")
                                    self._segment_path = lambda: "maximum"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Service.Instance.Mac.Security.Maximum, ['addresses'], name, value)


                    class ServicePolicy(Entity):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of  		 :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of  		 :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Service.Instance.ServicePolicy, self).__init__()

                            self.yang_name = "service-policy"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"input" : ("input", Native.Interface.Overlay.Service.Instance.ServicePolicy.Input), "output" : ("output", Native.Interface.Overlay.Service.Instance.ServicePolicy.Output)}

                            self.input = YList(self)
                            self.output = YList(self)
                            self._segment_path = lambda: "service-policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Service.Instance.ServicePolicy, [], name, value)


                        class Input(Entity):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.ServicePolicy.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.ServicePolicy.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.ServicePolicy.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.ServicePolicy.Output, ['name'], name, value)


                    class Cfm(Entity):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:  :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:  :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Service.Instance.Cfm, self).__init__()

                            self.yang_name = "cfm"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation), "mep" : ("mep", Native.Interface.Overlay.Service.Instance.Cfm.Mep), "mip" : ("mip", Native.Interface.Overlay.Service.Instance.Cfm.Mip)}
                            self._child_list_classes = {}

                            self.encapsulation = Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.mep = Native.Interface.Overlay.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self._children_name_map["mep"] = "mep"
                            self._children_yang_names.add("mep")

                            self.mip = Native.Interface.Overlay.Service.Instance.Cfm.Mip()
                            self.mip.parent = self
                            self._children_name_map["mip"] = "mip"
                            self._children_yang_names.add("mip")
                            self._segment_path = lambda: "cfm"


                        class Encapsulation(Entity):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Q)}
                                self._child_list_classes = {}

                                self.dot1ad = Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self._children_name_map["dot1ad"] = "dot1ad"
                                self._children_yang_names.add("dot1ad")

                                self.dot1q = Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self
                                self._children_name_map["dot1q"] = "dot1q"
                                self._children_yang_names.add("dot1q")
                                self._segment_path = lambda: "encapsulation"


                            class Dot1Ad(Entity):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Ad, self).__init__()

                                    self.yang_name = "dot1ad"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.dot1q = YLeaf(YType.uint16, "dot1q")
                                    self._segment_path = lambda: "dot1ad"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Ad, ['vlan_id', 'cos', 'dot1q'], name, value)


                            class Dot1Q(Entity):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Q, self).__init__()

                                    self.yang_name = "dot1q"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")
                                    self._segment_path = lambda: "dot1q"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Overlay.Service.Instance.Cfm.Encapsulation.Dot1Q, ['vlan_id', 'cos', 'second_dot1q'], name, value)


                        class Mep(Entity):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\: str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\: int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Cfm.Mep, self).__init__()

                                self.yang_name = "mep"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.domain = YLeaf(YType.str, "domain")

                                self.mpid = YLeaf(YType.uint16, "mpid")
                                self._segment_path = lambda: "mep"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.Cfm.Mep, ['domain', 'mpid'], name, value)


                        class Mip(Entity):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.Cfm.Mip, self).__init__()

                                self.yang_name = "mip"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level = YLeaf(YType.uint8, "level")
                                self._segment_path = lambda: "mip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.Cfm.Mip, ['level'], name, value)


                    class L2Protocol(Entity):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:  :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Service.Instance.L2Protocol, self).__init__()

                            self.yang_name = "l2protocol"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.Overlay.Service.Instance.L2Protocol.Peer), "forward" : ("forward", Native.Interface.Overlay.Service.Instance.L2Protocol.Forward), "tunnel" : ("tunnel", Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel)}
                            self._child_list_classes = {}

                            self.peer = None
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.forward = None
                            self._children_name_map["forward"] = "forward"
                            self._children_yang_names.add("forward")

                            self.tunnel = None
                            self._children_name_map["tunnel"] = "tunnel"
                            self._children_yang_names.add("tunnel")
                            self._segment_path = lambda: "l2protocol"


                        class Peer(Entity):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol.Peer.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.L2Protocol.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.L2Protocol.Peer, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Forward(Entity):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol.Forward.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.L2Protocol.Forward, self).__init__()

                                self.yang_name = "forward"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "forward"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.L2Protocol.Forward, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Tunnel(Entity):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel, self).__init__()

                                self.yang_name = "tunnel"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "tunnel"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Service.Instance.L2Protocol.Tunnel, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



            class Otv(Entity):
                """
                Configure OTV information
                
                .. attribute:: adjacency_server
                
                	Indicate if the box is an Adjacency Server
                	**type**\:  :py:class:`AdjacencyServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.AdjacencyServer>`
                
                .. attribute:: control_group
                
                	OTV VPN control multicast group
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: data_group
                
                	Multicast group range for data
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                
                .. attribute:: encapsulation_format
                
                	Encapsulation format
                	**type**\:  :py:class:`EncapsulationFormat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.EncapsulationFormat>`
                
                .. attribute:: filter_fhrp
                
                	Configure to not forward HSRP, GLBP, and VRRP packets on overlay
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: isis
                
                	ISIS interface subcommands
                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis>`
                
                .. attribute:: join_interface
                
                	OTV VPN join\-interface
                	**type**\:  :py:class:`JoinInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.JoinInterface>`
                
                .. attribute:: suppress
                
                	Enable overlay packet suppression
                	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Suppress>`
                
                .. attribute:: use_adjacency_server
                
                	Point to remote Adjacency Server address
                	**type**\:  :py:class:`UseAdjacencyServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.UseAdjacencyServer>`
                
                .. attribute:: vpn_name
                
                	OTV VPN name
                	**type**\: str
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Overlay.Otv, self).__init__()

                    self.yang_name = "otv"
                    self.yang_parent_name = "overlay"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"adjacency-server" : ("adjacency_server", Native.Interface.Overlay.Otv.AdjacencyServer), "encapsulation-format" : ("encapsulation_format", Native.Interface.Overlay.Otv.EncapsulationFormat), "isis" : ("isis", Native.Interface.Overlay.Otv.Isis), "join-interface" : ("join_interface", Native.Interface.Overlay.Otv.JoinInterface), "suppress" : ("suppress", Native.Interface.Overlay.Otv.Suppress), "use-adjacency-server" : ("use_adjacency_server", Native.Interface.Overlay.Otv.UseAdjacencyServer)}
                    self._child_list_classes = {}

                    self.control_group = YLeaf(YType.str, "control-group")

                    self.data_group = YLeaf(YType.str, "data-group")

                    self.filter_fhrp = YLeaf(YType.empty, "filter-fhrp")

                    self.vpn_name = YLeaf(YType.str, "vpn-name")

                    self.adjacency_server = Native.Interface.Overlay.Otv.AdjacencyServer()
                    self.adjacency_server.parent = self
                    self._children_name_map["adjacency_server"] = "adjacency-server"
                    self._children_yang_names.add("adjacency-server")

                    self.encapsulation_format = Native.Interface.Overlay.Otv.EncapsulationFormat()
                    self.encapsulation_format.parent = self
                    self._children_name_map["encapsulation_format"] = "encapsulation-format"
                    self._children_yang_names.add("encapsulation-format")

                    self.isis = Native.Interface.Overlay.Otv.Isis()
                    self.isis.parent = self
                    self._children_name_map["isis"] = "isis"
                    self._children_yang_names.add("isis")

                    self.join_interface = Native.Interface.Overlay.Otv.JoinInterface()
                    self.join_interface.parent = self
                    self._children_name_map["join_interface"] = "join-interface"
                    self._children_yang_names.add("join-interface")

                    self.suppress = Native.Interface.Overlay.Otv.Suppress()
                    self.suppress.parent = self
                    self._children_name_map["suppress"] = "suppress"
                    self._children_yang_names.add("suppress")

                    self.use_adjacency_server = Native.Interface.Overlay.Otv.UseAdjacencyServer()
                    self.use_adjacency_server.parent = self
                    self._children_name_map["use_adjacency_server"] = "use-adjacency-server"
                    self._children_yang_names.add("use-adjacency-server")
                    self._segment_path = lambda: "Cisco-IOS-XE-otv:otv"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Overlay.Otv, ['control_group', 'data_group', 'filter_fhrp', 'vpn_name'], name, value)


                class AdjacencyServer(Entity):
                    """
                    Indicate if the box is an Adjacency Server
                    
                    .. attribute:: unicast_only
                    
                    	Unicast Only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Otv.AdjacencyServer, self).__init__()

                        self.yang_name = "adjacency-server"
                        self.yang_parent_name = "otv"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unicast_only = YLeaf(YType.empty, "unicast-only")
                        self._segment_path = lambda: "adjacency-server"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Otv.AdjacencyServer, ['unicast_only'], name, value)


                class EncapsulationFormat(Entity):
                    """
                    Encapsulation format
                    
                    .. attribute:: ip
                    
                    	Use IP for outer header encapsulation
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.EncapsulationFormat.Ip>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Otv.EncapsulationFormat, self).__init__()

                        self.yang_name = "encapsulation-format"
                        self.yang_parent_name = "otv"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.Overlay.Otv.EncapsulationFormat.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.Overlay.Otv.EncapsulationFormat.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "encapsulation-format"


                    class Ip(Entity):
                        """
                        Use IP for outer header encapsulation
                        
                        .. attribute:: gre
                        
                        	Use GRE middle header encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Otv.EncapsulationFormat.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "encapsulation-format"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.gre = YLeaf(YType.empty, "gre")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Otv.EncapsulationFormat.Ip, ['gre'], name, value)


                class Isis(Entity):
                    """
                    ISIS interface subcommands
                    
                    .. attribute:: authentication
                    
                    	ISIS authentication for interface related PDUs
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Bidirectional Forwarding Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: csnp_interval
                    
                    	Set CSNP interval in seconds
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: hello
                    
                    	Add padding to IS\-IS hello packets
                    	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis.Hello>`
                    
                    .. attribute:: hello_interval
                    
                    	Set Hello interval in seconds
                    	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis.HelloInterval>`
                    
                    .. attribute:: hello_multiplier
                    
                    	Set multiplier for Hello holding time
                    	**type**\: int
                    
                    	**range:** 3..1000
                    
                    .. attribute:: lsp_interval
                    
                    	Set LSP transmission interval
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis.Metric>`
                    
                    .. attribute:: priority
                    
                    	Set priority for Designated Router election
                    	**type**\: int
                    
                    	**range:** 0..127
                    
                    .. attribute:: retransmit_interval
                    
                    	Set per\-LSP retransmission interval
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: retransmit_throttle_interval
                    
                    	Set interface LSP retransmission interval
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Otv.Isis, self).__init__()

                        self.yang_name = "isis"
                        self.yang_parent_name = "otv"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Overlay.Otv.Isis.Authentication), "hello" : ("hello", Native.Interface.Overlay.Otv.Isis.Hello), "hello-interval" : ("hello_interval", Native.Interface.Overlay.Otv.Isis.HelloInterval), "metric" : ("metric", Native.Interface.Overlay.Otv.Isis.Metric)}
                        self._child_list_classes = {}

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.csnp_interval = YLeaf(YType.uint16, "csnp-interval")

                        self.hello_multiplier = YLeaf(YType.uint16, "hello-multiplier")

                        self.lsp_interval = YLeaf(YType.uint64, "lsp-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.retransmit_interval = YLeaf(YType.uint16, "retransmit-interval")

                        self.retransmit_throttle_interval = YLeaf(YType.uint16, "retransmit-throttle-interval")

                        self.authentication = Native.Interface.Overlay.Otv.Isis.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.hello = Native.Interface.Overlay.Otv.Isis.Hello()
                        self.hello.parent = self
                        self._children_name_map["hello"] = "hello"
                        self._children_yang_names.add("hello")

                        self.hello_interval = Native.Interface.Overlay.Otv.Isis.HelloInterval()
                        self.hello_interval.parent = self
                        self._children_name_map["hello_interval"] = "hello-interval"
                        self._children_yang_names.add("hello-interval")

                        self.metric = Native.Interface.Overlay.Otv.Isis.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")
                        self._segment_path = lambda: "isis"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Otv.Isis, ['bfd', 'csnp_interval', 'hello_multiplier', 'lsp_interval', 'priority', 'retransmit_interval', 'retransmit_throttle_interval'], name, value)


                    class Authentication(Entity):
                        """
                        ISIS authentication for interface related PDUs
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode for PDUs
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis.Authentication.Mode>`
                        
                        .. attribute:: send_only
                        
                        	Authentication send only, receive ignore
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Otv.Isis.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = YLeaf(YType.enumeration, "mode")

                            self.send_only = YLeaf(YType.empty, "send-only")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Otv.Isis.Authentication, ['key_chain', 'mode', 'send_only'], name, value)

                        class Mode(Enum):
                            """
                            Mode

                            Authentication mode for PDUs

                            .. data:: md5 = 0

                            .. data:: text = 1

                            """

                            md5 = Enum.YLeaf(0, "md5")

                            text = Enum.YLeaf(1, "text")



                    class Hello(Entity):
                        """
                        Add padding to IS\-IS hello packets
                        
                        .. attribute:: padding
                        
                        	Pad hello packets
                        	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.Isis.Hello.Padding>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Otv.Isis.Hello, self).__init__()

                            self.yang_name = "hello"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"padding" : ("padding", Native.Interface.Overlay.Otv.Isis.Hello.Padding)}
                            self._child_list_classes = {}

                            self.padding = None
                            self._children_name_map["padding"] = "padding"
                            self._children_yang_names.add("padding")
                            self._segment_path = lambda: "hello"


                        class Padding(Entity):
                            """
                            Pad hello packets
                            
                            .. attribute:: always
                            
                            	Never pad hello packets if no prefix present
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Overlay.Otv.Isis.Hello.Padding, self).__init__()

                                self.yang_name = "padding"
                                self.yang_parent_name = "hello"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.always = YLeaf(YType.empty, "always")
                                self._segment_path = lambda: "padding"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Overlay.Otv.Isis.Hello.Padding, ['always'], name, value)


                    class HelloInterval(Entity):
                        """
                        Set Hello interval in seconds
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: minimal
                        
                        	Holdtime 1 second, interval depends on multiplier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Otv.Isis.HelloInterval, self).__init__()

                            self.yang_name = "hello-interval"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint16, "value")

                            self.minimal = YLeaf(YType.empty, "minimal")
                            self._segment_path = lambda: "hello-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Otv.Isis.HelloInterval, ['value', 'minimal'], name, value)


                    class Metric(Entity):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: default
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: maximum
                        
                        	Maximum metric. All routers will exclude this link from their SPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: delay
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: expense
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: error
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Otv.Isis.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.default = YLeaf(YType.uint32, "default")

                            self.maximum = YLeaf(YType.empty, "maximum")

                            self.delay = YLeaf(YType.uint32, "delay")

                            self.expense = YLeaf(YType.uint32, "expense")

                            self.error = YLeaf(YType.uint32, "error")
                            self._segment_path = lambda: "metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Otv.Isis.Metric, ['default', 'maximum', 'delay', 'expense', 'error'], name, value)


                class JoinInterface(Entity):
                    """
                    OTV VPN join\-interface
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.JoinInterface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.JoinInterface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.JoinInterface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Overlay.Otv.JoinInterface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Otv.JoinInterface, self).__init__()

                        self.yang_name = "join-interface"
                        self.yang_parent_name = "otv"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Overlay.Otv.JoinInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Overlay.Otv.JoinInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Overlay.Otv.JoinInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Overlay.Otv.JoinInterface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.Overlay.Otv.JoinInterface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.Overlay.Otv.JoinInterface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.Overlay.Otv.JoinInterface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.Overlay.Otv.JoinInterface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "join-interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Otv.JoinInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Otv.JoinInterface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "join-interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Otv.JoinInterface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Otv.JoinInterface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "join-interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Otv.JoinInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Otv.JoinInterface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "join-interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Otv.JoinInterface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Overlay.Otv.JoinInterface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "join-interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Overlay.Otv.JoinInterface.PortChannelSubinterface, ['port_channel'], name, value)


                class Suppress(Entity):
                    """
                    Enable overlay packet suppression
                    
                    .. attribute:: arp_nd
                    
                    	Suppress sending ARP and neighbor discovery packets on overlay
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Otv.Suppress, self).__init__()

                        self.yang_name = "suppress"
                        self.yang_parent_name = "otv"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.arp_nd = YLeaf(YType.empty, "arp-nd")
                        self._segment_path = lambda: "suppress"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Otv.Suppress, ['arp_nd'], name, value)


                class UseAdjacencyServer(Entity):
                    """
                    Point to remote Adjacency Server address
                    
                    .. attribute:: remote_pri_ip
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: remote_sec_ip
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: unicast_only
                    
                    	Unicast Only Capability
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Overlay.Otv.UseAdjacencyServer, self).__init__()

                        self.yang_name = "use-adjacency-server"
                        self.yang_parent_name = "otv"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.remote_pri_ip = YLeaf(YType.str, "remote-pri-ip")

                        self.remote_sec_ip = YLeaf(YType.str, "remote-sec-ip")

                        self.unicast_only = YLeaf(YType.empty, "unicast-only")
                        self._segment_path = lambda: "use-adjacency-server"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Overlay.Otv.UseAdjacencyServer, ['remote_pri_ip', 'remote_sec_ip', 'unicast_only'], name, value)


        class PortChannel(Entity):
            """
            Ethernet Channel of interfaces
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..512
            
            .. attribute:: lacp
            
            	LACP Port Channel interface subcommands
            	**type**\:  :py:class:`Lacp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Lacp>`
            
            .. attribute:: pc_speed
            
            	Configure speed operation
            	**type**\:  :py:class:`PcSpeed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.PcSpeed>`
            
            .. attribute:: port_channel
            
            	Port Channel interface subcommands
            	**type**\:  :py:class:`PortChannel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.PortChannel>`
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.PmPath>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:  :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.CarrierDelay>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:  :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:  :py:class:`ChannelProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ChannelProtocol>`
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet>`
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:  :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Negotiation>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:  :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Synchronous>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:  :py:class:`Duplex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Duplex>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:  :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Speed>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:  :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:  :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Pppoe>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service>`
            
            .. attribute:: xconnect
            
            	Xconnect commands
            	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Xconnect>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Snmp>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts>`
            
            .. attribute:: dot1x
            
            	Interface Config Commands for IEEE 802.1X
            	**type**\:  :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy>`
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Lisp>`
            
            .. attribute:: nat66
            
            	NAT66 interface commands
            	**type**\:  :py:class:`Nat66 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Nat66>`
            
            .. attribute:: ospfv3
            
            	OSPFv3 interface commands
            	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3>`
            
            .. attribute:: authentication
            
            	Auth Manager Interface Configuration Commands
            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication>`
            
            .. attribute:: mab
            
            	
            	**type**\:  :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mab>`
            
            	**presence node**\: True
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree>`
            
            .. attribute:: auto
            
            	Configure Automation
            	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Auto>`
            
            .. attribute:: datalink
            
            	Interface Datalink commands
            	**type**\:  :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Datalink>`
            
            .. attribute:: energywise
            
            	EnergyWise interface configurations
            	**type**\:  :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Energywise>`
            
            	**presence node**\: True
            
            .. attribute:: location
            
            	Interface location information
            	**type**\:  :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Location>`
            
            .. attribute:: mac
            
            	MAC interface commands
            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mac>`
            
            .. attribute:: macro
            
            	Command macro
            	**type**\:  :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Macro>`
            
            .. attribute:: dual_active
            
            	
            	**type**\:  :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.DualActive>`
            
            .. attribute:: load_balancing
            
            	Etherchannel Load\-Balancing
            	**type**\:  :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.LoadBalancing>`
            
            .. attribute:: vlan_range
            
            	
            	**type**\: list of  		 :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.VlanRange>`
            
            .. attribute:: switch
            
            	
            	**type**\:  :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switch>`
            
            .. attribute:: srr_queue
            
            	
            	**type**\:  :py:class:`SrrQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SrrQueue>`
            
            .. attribute:: macsec
            
            	Enable macsec on the interface
            	**type**\:  :py:class:`Macsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Macsec>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.PortChannel, self).__init__()

                self.yang_name = "Port-channel"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"lacp" : ("lacp", Native.Interface.PortChannel.Lacp), "port-channel" : ("port_channel", Native.Interface.PortChannel.PortChannel), "switchport-conf" : ("switchport_conf", Native.Interface.PortChannel.SwitchportConf), "switchport" : ("switchport", Native.Interface.PortChannel.Switchport), "arp" : ("arp", Native.Interface.PortChannel.Arp), "backup" : ("backup", Native.Interface.PortChannel.Backup), "cemoudp" : ("cemoudp", Native.Interface.PortChannel.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.PortChannel.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.PortChannel.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.PortChannel.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.PortChannel.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.PortChannel.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.PortChannel.Flowcontrol), "isis" : ("isis", Native.Interface.PortChannel.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.PortChannel.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.PortChannel.Bfd), "bandwidth" : ("bandwidth", Native.Interface.PortChannel.Bandwidth), "dampening" : ("dampening", Native.Interface.PortChannel.Dampening), "domain" : ("domain", Native.Interface.PortChannel.Domain), "mpls" : ("mpls", Native.Interface.PortChannel.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.PortChannel.IpVrf), "vrf" : ("vrf", Native.Interface.PortChannel.Vrf), "ip" : ("ip", Native.Interface.PortChannel.Ip), "ipv6" : ("ipv6", Native.Interface.PortChannel.Ipv6), "logging" : ("logging", Native.Interface.PortChannel.Logging), "mdix" : ("mdix", Native.Interface.PortChannel.Mdix), "mop" : ("mop", Native.Interface.PortChannel.Mop), "interface_qos" : ("interface_qos", Native.Interface.PortChannel.InterfaceQos), "standby" : ("standby", Native.Interface.PortChannel.Standby), "access-session" : ("access_session", Native.Interface.PortChannel.AccessSession), "storm-control" : ("storm_control", Native.Interface.PortChannel.StormControl), "trust" : ("trust", Native.Interface.PortChannel.Trust), "priority-queue" : ("priority_queue", Native.Interface.PortChannel.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.PortChannel.RcvQueue), "peer" : ("peer", Native.Interface.PortChannel.Peer), "pm-path" : ("pm_path", Native.Interface.PortChannel.PmPath), "Cisco-IOS-XE-ethernet:carrier-delay" : ("carrier_delay", Native.Interface.PortChannel.CarrierDelay), "Cisco-IOS-XE-ethernet:channel-group" : ("channel_group", Native.Interface.PortChannel.ChannelGroup), "Cisco-IOS-XE-ethernet:ethernet" : ("ethernet", Native.Interface.PortChannel.Ethernet), "Cisco-IOS-XE-ethernet:negotiation" : ("negotiation", Native.Interface.PortChannel.Negotiation), "Cisco-IOS-XE-ethernet:synchronous" : ("synchronous", Native.Interface.PortChannel.Synchronous), "Cisco-IOS-XE-ethernet:speed" : ("speed", Native.Interface.PortChannel.Speed), "Cisco-IOS-XE-ethernet:plim" : ("plim", Native.Interface.PortChannel.Plim), "Cisco-IOS-XE-ethernet:pppoe" : ("pppoe", Native.Interface.PortChannel.Pppoe), "Cisco-IOS-XE-ethernet:service" : ("service", Native.Interface.PortChannel.Service), "Cisco-IOS-XE-l2vpn:xconnect" : ("xconnect", Native.Interface.PortChannel.Xconnect), "Cisco-IOS-XE-snmp:snmp" : ("snmp", Native.Interface.PortChannel.Snmp), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.PortChannel.Crypto), "Cisco-IOS-XE-cts:cts" : ("cts", Native.Interface.PortChannel.Cts), "Cisco-IOS-XE-dot1x:dot1x" : ("dot1x", Native.Interface.PortChannel.Dot1X), "Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.Interface.PortChannel.ServicePolicy), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Interface.PortChannel.Lisp), "Cisco-IOS-XE-ospfv3:ospfv3" : ("ospfv3", Native.Interface.PortChannel.Ospfv3), "Cisco-IOS-XE-sanet:authentication" : ("authentication", Native.Interface.PortChannel.Authentication), "Cisco-IOS-XE-sanet:mab" : ("mab", Native.Interface.PortChannel.Mab), "Cisco-IOS-XE-spanning-tree:spanning-tree" : ("spanning_tree", Native.Interface.PortChannel.SpanningTree), "Cisco-IOS-XE-switch:auto" : ("auto", Native.Interface.PortChannel.Auto), "Cisco-IOS-XE-switch:datalink" : ("datalink", Native.Interface.PortChannel.Datalink), "Cisco-IOS-XE-switch:energywise" : ("energywise", Native.Interface.PortChannel.Energywise), "Cisco-IOS-XE-switch:location" : ("location", Native.Interface.PortChannel.Location), "Cisco-IOS-XE-switch:mac" : ("mac", Native.Interface.PortChannel.Mac), "Cisco-IOS-XE-switch:macro" : ("macro", Native.Interface.PortChannel.Macro), "Cisco-IOS-XE-switch:dual-active" : ("dual_active", Native.Interface.PortChannel.DualActive), "Cisco-IOS-XE-switch:load-balancing" : ("load_balancing", Native.Interface.PortChannel.LoadBalancing), "Cisco-IOS-XE-switch:switch" : ("switch", Native.Interface.PortChannel.Switch), "Cisco-IOS-XE-switch:srr-queue" : ("srr_queue", Native.Interface.PortChannel.SrrQueue), "Cisco-IOS-XE-switch:macsec" : ("macsec", Native.Interface.PortChannel.Macsec)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.PortChannel.HoldQueue), "Cisco-IOS-XE-switch:vlan-range" : ("vlan_range", Native.Interface.PortChannel.VlanRange)}

                self.name = YLeaf(YType.uint32, "name")

                self.pc_speed = YLeaf(YType.enumeration, "pc-speed")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.channel_protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:channel-protocol")

                self.duplex = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:duplex")

                self.nat66 = YLeaf(YType.enumeration, "Cisco-IOS-XE-nat:nat66")

                self.lacp = Native.Interface.PortChannel.Lacp()
                self.lacp.parent = self
                self._children_name_map["lacp"] = "lacp"
                self._children_yang_names.add("lacp")

                self.port_channel = Native.Interface.PortChannel.PortChannel()
                self.port_channel.parent = self
                self._children_name_map["port_channel"] = "port-channel"
                self._children_yang_names.add("port-channel")

                self.switchport_conf = Native.Interface.PortChannel.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.PortChannel.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.PortChannel.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.PortChannel.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.PortChannel.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.PortChannel.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.PortChannel.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.PortChannel.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.PortChannel.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.PortChannel.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.PortChannel.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.PortChannel.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.PortChannel.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.PortChannel.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.PortChannel.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.PortChannel.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.PortChannel.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.PortChannel.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.PortChannel.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.PortChannel.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.PortChannel.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.PortChannel.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.PortChannel.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.PortChannel.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.PortChannel.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.PortChannel.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.PortChannel.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.PortChannel.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.PortChannel.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.PortChannel.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.PortChannel.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.PortChannel.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.PortChannel.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.carrier_delay = Native.Interface.PortChannel.CarrierDelay()
                self.carrier_delay.parent = self
                self._children_name_map["carrier_delay"] = "carrier-delay"
                self._children_yang_names.add("carrier-delay")

                self.channel_group = Native.Interface.PortChannel.ChannelGroup()
                self.channel_group.parent = self
                self._children_name_map["channel_group"] = "channel-group"
                self._children_yang_names.add("channel-group")

                self.ethernet = Native.Interface.PortChannel.Ethernet()
                self.ethernet.parent = self
                self._children_name_map["ethernet"] = "ethernet"
                self._children_yang_names.add("ethernet")

                self.negotiation = Native.Interface.PortChannel.Negotiation()
                self.negotiation.parent = self
                self._children_name_map["negotiation"] = "negotiation"
                self._children_yang_names.add("negotiation")

                self.synchronous = Native.Interface.PortChannel.Synchronous()
                self.synchronous.parent = self
                self._children_name_map["synchronous"] = "synchronous"
                self._children_yang_names.add("synchronous")

                self.speed = Native.Interface.PortChannel.Speed()
                self.speed.parent = self
                self._children_name_map["speed"] = "speed"
                self._children_yang_names.add("speed")

                self.plim = Native.Interface.PortChannel.Plim()
                self.plim.parent = self
                self._children_name_map["plim"] = "plim"
                self._children_yang_names.add("plim")

                self.pppoe = Native.Interface.PortChannel.Pppoe()
                self.pppoe.parent = self
                self._children_name_map["pppoe"] = "pppoe"
                self._children_yang_names.add("pppoe")

                self.service = Native.Interface.PortChannel.Service()
                self.service.parent = self
                self._children_name_map["service"] = "service"
                self._children_yang_names.add("service")

                self.xconnect = Native.Interface.PortChannel.Xconnect()
                self.xconnect.parent = self
                self._children_name_map["xconnect"] = "xconnect"
                self._children_yang_names.add("xconnect")

                self.snmp = Native.Interface.PortChannel.Snmp()
                self.snmp.parent = self
                self._children_name_map["snmp"] = "snmp"
                self._children_yang_names.add("snmp")

                self.crypto = Native.Interface.PortChannel.Crypto()
                self.crypto.parent = self
                self._children_name_map["crypto"] = "crypto"
                self._children_yang_names.add("crypto")

                self.cts = Native.Interface.PortChannel.Cts()
                self.cts.parent = self
                self._children_name_map["cts"] = "cts"
                self._children_yang_names.add("cts")

                self.dot1x = Native.Interface.PortChannel.Dot1X()
                self.dot1x.parent = self
                self._children_name_map["dot1x"] = "dot1x"
                self._children_yang_names.add("dot1x")

                self.service_policy = Native.Interface.PortChannel.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.lisp = Native.Interface.PortChannel.Lisp()
                self.lisp.parent = self
                self._children_name_map["lisp"] = "lisp"
                self._children_yang_names.add("lisp")

                self.ospfv3 = Native.Interface.PortChannel.Ospfv3()
                self.ospfv3.parent = self
                self._children_name_map["ospfv3"] = "ospfv3"
                self._children_yang_names.add("ospfv3")

                self.authentication = Native.Interface.PortChannel.Authentication()
                self.authentication.parent = self
                self._children_name_map["authentication"] = "authentication"
                self._children_yang_names.add("authentication")

                self.mab = None
                self._children_name_map["mab"] = "mab"
                self._children_yang_names.add("mab")

                self.spanning_tree = Native.Interface.PortChannel.SpanningTree()
                self.spanning_tree.parent = self
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.auto = Native.Interface.PortChannel.Auto()
                self.auto.parent = self
                self._children_name_map["auto"] = "auto"
                self._children_yang_names.add("auto")

                self.datalink = Native.Interface.PortChannel.Datalink()
                self.datalink.parent = self
                self._children_name_map["datalink"] = "datalink"
                self._children_yang_names.add("datalink")

                self.energywise = None
                self._children_name_map["energywise"] = "energywise"
                self._children_yang_names.add("energywise")

                self.location = Native.Interface.PortChannel.Location()
                self.location.parent = self
                self._children_name_map["location"] = "location"
                self._children_yang_names.add("location")

                self.mac = Native.Interface.PortChannel.Mac()
                self.mac.parent = self
                self._children_name_map["mac"] = "mac"
                self._children_yang_names.add("mac")

                self.macro = Native.Interface.PortChannel.Macro()
                self.macro.parent = self
                self._children_name_map["macro"] = "macro"
                self._children_yang_names.add("macro")

                self.dual_active = Native.Interface.PortChannel.DualActive()
                self.dual_active.parent = self
                self._children_name_map["dual_active"] = "dual-active"
                self._children_yang_names.add("dual-active")

                self.load_balancing = Native.Interface.PortChannel.LoadBalancing()
                self.load_balancing.parent = self
                self._children_name_map["load_balancing"] = "load-balancing"
                self._children_yang_names.add("load-balancing")

                self.switch = Native.Interface.PortChannel.Switch()
                self.switch.parent = self
                self._children_name_map["switch"] = "switch"
                self._children_yang_names.add("switch")

                self.srr_queue = Native.Interface.PortChannel.SrrQueue()
                self.srr_queue.parent = self
                self._children_name_map["srr_queue"] = "srr-queue"
                self._children_yang_names.add("srr-queue")

                self.macsec = None
                self._children_name_map["macsec"] = "macsec"
                self._children_yang_names.add("macsec")

                self.hold_queue = YList(self)
                self.vlan_range = YList(self)
                self._segment_path = lambda: "Port-channel" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.PortChannel, ['name', 'pc_speed', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion', 'channel_protocol', 'duplex', 'nat66'], name, value)

            class ChannelProtocol(Enum):
                """
                ChannelProtocol

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = Enum.YLeaf(0, "lacp")

                pagp = Enum.YLeaf(1, "pagp")


            class Duplex(Enum):
                """
                Duplex

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = Enum.YLeaf(0, "auto")

                full = Enum.YLeaf(1, "full")

                half = Enum.YLeaf(2, "half")


            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class Nat66(Enum):
                """
                Nat66

                NAT66 interface commands

                .. data:: inside = 0

                .. data:: outside = 1

                """

                inside = Enum.YLeaf(0, "inside")

                outside = Enum.YLeaf(1, "outside")


            class PcSpeed(Enum):
                """
                PcSpeed

                Configure speed operation.

                .. data:: Y_10 = 0

                .. data:: Y_100 = 1

                .. data:: Y_1000 = 2

                .. data:: nonegotiate = 3

                .. data:: auto = 4

                """

                Y_10 = Enum.YLeaf(0, "10")

                Y_100 = Enum.YLeaf(1, "100")

                Y_1000 = Enum.YLeaf(2, "1000")

                nonegotiate = Enum.YLeaf(3, "nonegotiate")

                auto = Enum.YLeaf(4, "auto")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class Lacp(Entity):
                """
                LACP Port Channel interface subcommands
                
                .. attribute:: max_bundle
                
                	LACP maximum number of ports to bundle in this port channel
                	**type**\: int
                
                	**range:** 1..8
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Lacp, self).__init__()

                    self.yang_name = "lacp"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.max_bundle = YLeaf(YType.int8, "max-bundle")
                    self._segment_path = lambda: "lacp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Lacp, ['max_bundle'], name, value)


            class PortChannel(Entity):
                """
                Port Channel interface subcommands
                
                .. attribute:: min_links
                
                	Minimum number of bundled ports needed to bring up      this port channel
                	**type**\: int
                
                	**range:** 2..8
                
                .. attribute:: standalone_disable
                
                	Ports will go to suspended mode if peer does not respond. Use with [no] prefix for independent mode
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.PortChannel, self).__init__()

                    self.yang_name = "port-channel"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.min_links = YLeaf(YType.uint8, "min-links")

                    self.standalone_disable = YLeaf(YType.empty, "standalone-disable")
                    self._segment_path = lambda: "port-channel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.PortChannel, ['min_links', 'standalone_disable'], name, value)


            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Access>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Block>`
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: trunk
                
                	Set trunking characteristics of the interface
                	**type**\:  :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Voice>`
                
                .. attribute:: priority
                
                	Set appliance 802.1p priority
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Priority>`
                
                .. attribute:: autostate
                
                	Include or exclude this port from vlan link up calculation
                	**type**\:  :py:class:`Autostate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Autostate>`
                
                .. attribute:: protected
                
                	Configure an interface to be a protected port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host
                
                	Set port host
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: private_vlan
                
                	Set the private VLAN configuration
                	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PrivateVlan>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-switch:access" : ("access", Native.Interface.PortChannel.Switchport.Access), "Cisco-IOS-XE-switch:block" : ("block", Native.Interface.PortChannel.Switchport.Block), "Cisco-IOS-XE-switch:mode" : ("mode", Native.Interface.PortChannel.Switchport.Mode), "Cisco-IOS-XE-switch:port-security" : ("port_security", Native.Interface.PortChannel.Switchport.PortSecurity), "Cisco-IOS-XE-switch:trunk" : ("trunk", Native.Interface.PortChannel.Switchport.Trunk), "Cisco-IOS-XE-switch:voice" : ("voice", Native.Interface.PortChannel.Switchport.Voice), "Cisco-IOS-XE-switch:priority" : ("priority", Native.Interface.PortChannel.Switchport.Priority), "Cisco-IOS-XE-switch:autostate" : ("autostate", Native.Interface.PortChannel.Switchport.Autostate), "Cisco-IOS-XE-switch:private-vlan" : ("private_vlan", Native.Interface.PortChannel.Switchport.PrivateVlan)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "Cisco-IOS-XE-switch:nonegotiate")

                    self.protected = YLeaf(YType.empty, "Cisco-IOS-XE-switch:protected")

                    self.host = YLeaf(YType.empty, "Cisco-IOS-XE-switch:host")

                    self.access = Native.Interface.PortChannel.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.block = Native.Interface.PortChannel.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.mode = Native.Interface.PortChannel.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.trunk = Native.Interface.PortChannel.Switchport.Trunk()
                    self.trunk.parent = self
                    self._children_name_map["trunk"] = "trunk"
                    self._children_yang_names.add("trunk")

                    self.voice = Native.Interface.PortChannel.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")

                    self.priority = Native.Interface.PortChannel.Switchport.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.autostate = Native.Interface.PortChannel.Switchport.Autostate()
                    self.autostate.parent = self
                    self._children_name_map["autostate"] = "autostate"
                    self._children_yang_names.add("autostate")

                    self.private_vlan = Native.Interface.PortChannel.Switchport.PrivateVlan()
                    self.private_vlan.parent = self
                    self._children_name_map["private_vlan"] = "private-vlan"
                    self._children_yang_names.add("private-vlan")
                    self._segment_path = lambda: "switchport"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Switchport, ['nonegotiate', 'protected', 'host'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	Set VLAN when interface is in access mode
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Access.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.PortChannel.Switchport.Access.Vlan)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.PortChannel.Switchport.Access.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:access"


                    class Vlan(Entity):
                        """
                        Set VLAN when interface is in access mode
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.Vlan>`
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.Access.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "access"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Switchport.Access.Vlan, ['vlan', 'name'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            .. data:: dynamic = 0

                            """

                            dynamic = Enum.YLeaf(0, "dynamic")



                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: multicast
                    
                    	Block unknown multicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.multicast = YLeaf(YType.empty, "multicast")

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:block"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Switchport.Block, ['multicast', 'unicast'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Mode.Access>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dot1q_tunnel
                    
                    	set trunking mode to TUNNEL unconditionally
                    	**type**\:  :py:class:`Dot1QTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Mode.Dot1QTunnel>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dynamic
                    
                    	Set trunking mode to dynamically negotiate access or trunk mode
                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Mode.Dynamic>`
                    
                    .. attribute:: private_vlan
                    
                    	Set private\-vlan mode
                    	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Mode.PrivateVlan>`
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\:  :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Mode.Trunk>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"access" : ("access", Native.Interface.PortChannel.Switchport.Mode.Access), "dot1q-tunnel" : ("dot1q_tunnel", Native.Interface.PortChannel.Switchport.Mode.Dot1QTunnel), "private-vlan" : ("private_vlan", Native.Interface.PortChannel.Switchport.Mode.PrivateVlan), "trunk" : ("trunk", Native.Interface.PortChannel.Switchport.Mode.Trunk)}
                        self._child_list_classes = {}

                        self.dynamic = YLeaf(YType.enumeration, "dynamic")

                        self.access = None
                        self._children_name_map["access"] = "access"
                        self._children_yang_names.add("access")

                        self.dot1q_tunnel = None
                        self._children_name_map["dot1q_tunnel"] = "dot1q-tunnel"
                        self._children_yang_names.add("dot1q-tunnel")

                        self.private_vlan = Native.Interface.PortChannel.Switchport.Mode.PrivateVlan()
                        self.private_vlan.parent = self
                        self._children_name_map["private_vlan"] = "private-vlan"
                        self._children_yang_names.add("private-vlan")

                        self.trunk = None
                        self._children_name_map["trunk"] = "trunk"
                        self._children_yang_names.add("trunk")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:mode"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Switchport.Mode, ['dynamic'], name, value)

                    class Dynamic(Enum):
                        """
                        Dynamic

                        Set trunking mode to dynamically negotiate access or trunk mode

                        .. data:: auto = 0

                        .. data:: desirable = 1

                        """

                        auto = Enum.YLeaf(0, "auto")

                        desirable = Enum.YLeaf(1, "desirable")



                    class Access(Entity):
                        """
                        Set trunking mode to ACCESS unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.Mode.Access, self).__init__()

                            self.yang_name = "access"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "access"


                    class Dot1QTunnel(Entity):
                        """
                        set trunking mode to TUNNEL unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.Mode.Dot1QTunnel, self).__init__()

                            self.yang_name = "dot1q-tunnel"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "dot1q-tunnel"


                    class PrivateVlan(Entity):
                        """
                        Set private\-vlan mode
                        
                        .. attribute:: host
                        
                        	Set the mode to private\-vlan host
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: promiscuous
                        
                        	Set the mode to private\-vlan promiscuous
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.Mode.PrivateVlan, self).__init__()

                            self.yang_name = "private-vlan"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.host = YLeaf(YType.empty, "host")

                            self.promiscuous = YLeaf(YType.empty, "promiscuous")
                            self._segment_path = lambda: "private-vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Switchport.Mode.PrivateVlan, ['host', 'promiscuous'], name, value)


                    class Trunk(Entity):
                        """
                        Set trunking mode to TRUNK unconditionally
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.Mode.Trunk, self).__init__()

                            self.yang_name = "trunk"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "trunk"


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: mac_address
                    
                    	Secure mac address
                    	**type**\:  :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PortSecurity.MacAddress>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"aging" : ("aging", Native.Interface.PortChannel.Switchport.PortSecurity.Aging), "mac-address" : ("mac_address", Native.Interface.PortChannel.Switchport.PortSecurity.MacAddress), "maximum" : ("maximum", Native.Interface.PortChannel.Switchport.PortSecurity.Maximum)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.violation = YLeaf(YType.enumeration, "violation")

                        self.aging = Native.Interface.PortChannel.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.mac_address = Native.Interface.PortChannel.Switchport.PortSecurity.MacAddress()
                        self.mac_address.parent = self
                        self._children_name_map["mac_address"] = "mac-address"
                        self._children_yang_names.add("mac-address")

                        self.maximum = Native.Interface.PortChannel.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:port-security"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Switchport.PortSecurity, ['violation'], name, value)

                    class Violation(Enum):
                        """
                        Violation

                        Security violation mode

                        .. data:: protect = 0

                        .. data:: restrict = 1

                        .. data:: shutdown = 2

                        """

                        protect = Enum.YLeaf(0, "protect")

                        restrict = Enum.YLeaf(1, "restrict")

                        shutdown = Enum.YLeaf(2, "shutdown")



                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PortSecurity.Aging.Type>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = YLeaf(YType.enumeration, "type")
                            self._segment_path = lambda: "aging"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Switchport.PortSecurity.Aging, ['static', 'time', 'type'], name, value)

                        class Type(Enum):
                            """
                            Type

                            Port\-security aging type

                            .. data:: absolute = 0

                            .. data:: inactivity = 1

                            """

                            absolute = Enum.YLeaf(0, "absolute")

                            inactivity = Enum.YLeaf(1, "inactivity")



                    class MacAddress(Entity):
                        """
                        Secure mac address
                        
                        .. attribute:: sticky
                        
                        	Configure dynamic secure addresses as sticky
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hw_address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                        
                        .. attribute:: vlan
                        
                        	set VLAN ID of the VLAN on which this address can be learned
                        	**type**\: int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.PortSecurity.MacAddress, self).__init__()

                            self.yang_name = "mac-address"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sticky = YLeaf(YType.empty, "sticky")

                            self.hw_address = YLeaf(YType.str, "hw-address")

                            self.vlan = YLeaf(YType.uint16, "vlan")
                            self._segment_path = lambda: "mac-address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Switchport.PortSecurity.MacAddress, ['sticky', 'hw_address', 'vlan'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: max_addresses
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4097
                        
                        .. attribute:: vlan
                        
                        	Max secure addresses per vlan
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_addresses = YLeaf(YType.uint16, "max-addresses")

                            self.vlan = YLeaf(YType.str, "vlan")
                            self._segment_path = lambda: "maximum"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Switchport.PortSecurity.Maximum, ['max_addresses', 'vlan'], name, value)


                class Trunk(Entity):
                    """
                    Set trunking characteristics of the interface
                    
                    .. attribute:: allowed
                    
                    	Set allowed VLAN characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Allowed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk.Allowed>`
                    
                    .. attribute:: encapsulation
                    
                    	Set encapsulation format on trunk port
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk.Encapsulation>`
                    
                    .. attribute:: native
                    
                    	Set trunking native characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Native <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk.Native>`
                    
                    .. attribute:: pruning
                    
                    	Set pruning VLAN characteristics when interface is in trunking mode
                    	**type**\:  :py:class:`Pruning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk.Pruning>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Switchport.Trunk, self).__init__()

                        self.yang_name = "trunk"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"allowed" : ("allowed", Native.Interface.PortChannel.Switchport.Trunk.Allowed), "native" : ("native", Native.Interface.PortChannel.Switchport.Trunk.Native), "pruning" : ("pruning", Native.Interface.PortChannel.Switchport.Trunk.Pruning)}
                        self._child_list_classes = {}

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.allowed = Native.Interface.PortChannel.Switchport.Trunk.Allowed()
                        self.allowed.parent = self
                        self._children_name_map["allowed"] = "allowed"
                        self._children_yang_names.add("allowed")

                        self.native = Native.Interface.PortChannel.Switchport.Trunk.Native()
                        self.native.parent = self
                        self._children_name_map["native"] = "native"
                        self._children_yang_names.add("native")

                        self.pruning = Native.Interface.PortChannel.Switchport.Trunk.Pruning()
                        self.pruning.parent = self
                        self._children_name_map["pruning"] = "pruning"
                        self._children_yang_names.add("pruning")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:trunk"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Switchport.Trunk, ['encapsulation'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Set encapsulation format on trunk port

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: negotiate = 2

                        """

                        dot1q = Enum.YLeaf(0, "dot1q")

                        isl = Enum.YLeaf(1, "isl")

                        negotiate = Enum.YLeaf(2, "negotiate")



                    class Allowed(Entity):
                        """
                        Set allowed VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set allowed VLANs when interface is in trunking mode
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk.Allowed.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.Trunk.Allowed, self).__init__()

                            self.yang_name = "allowed"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.PortChannel.Switchport.Trunk.Allowed.Vlan)}
                            self._child_list_classes = {}

                            self.vlan = Native.Interface.PortChannel.Switchport.Trunk.Allowed.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "allowed"


                        class Vlan(Entity):
                            """
                            Set allowed VLANs when interface is in trunking mode
                            
                            .. attribute:: vlans
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            .. attribute:: all
                            
                            	all VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Switchport.Trunk.Allowed.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "allowed"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vlans = YLeaf(YType.str, "vlans")

                                self.add = YLeaf(YType.str, "add")

                                self.all = YLeaf(YType.empty, "all")

                                self.except_ = YLeafList(YType.str, "except")

                                self.none = YLeaf(YType.empty, "none")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Switchport.Trunk.Allowed.Vlan, ['vlans', 'add', 'all', 'except_', 'none', 'remove'], name, value)


                    class Native(Entity):
                        """
                        Set trunking native characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set native VLAN when interface is in trunking mode
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native.Vlan>`
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.Trunk.Native, self).__init__()

                            self.yang_name = "native"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")
                            self._segment_path = lambda: "native"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Switchport.Trunk.Native, ['vlan'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            Set native VLAN when interface is in trunking mode

                            .. data:: tag = 0

                            """

                            tag = Enum.YLeaf(0, "tag")



                    class Pruning(Entity):
                        """
                        Set pruning VLAN characteristics when interface is in trunking mode
                        
                        .. attribute:: vlan
                        
                        	Set VLANs enabled for pruning when interface is in trunking mode
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Trunk.Pruning.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.Trunk.Pruning, self).__init__()

                            self.yang_name = "pruning"
                            self.yang_parent_name = "trunk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.PortChannel.Switchport.Trunk.Pruning.Vlan)}
                            self._child_list_classes = {}

                            self.vlan = Native.Interface.PortChannel.Switchport.Trunk.Pruning.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "pruning"


                        class Vlan(Entity):
                            """
                            Set VLANs enabled for pruning when interface is in trunking mode
                            
                            .. attribute:: vlans
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: add
                            
                            	VLAN IDs of the allowed VLANs when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            .. attribute:: except_
                            
                            	all VLANs except the following
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 0..65535
                            
                            		**type**\: list of str
                            
                            .. attribute:: none
                            
                            	no VLANs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: remove
                            
                            	VLAN IDs of disallowed VLANS when this port is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..65535
                            
                            		**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Switchport.Trunk.Pruning.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "pruning"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vlans = YLeafList(YType.str, "vlans")

                                self.add = YLeaf(YType.str, "add")

                                self.except_ = YLeafList(YType.str, "except")

                                self.none = YLeaf(YType.empty, "none")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Switchport.Trunk.Pruning.Vlan, ['vlans', 'add', 'except_', 'none', 'remove'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Voice.Vlan>`
                    
                    .. attribute:: detect
                    
                    	detection enhancement keyword
                    	**type**\:  :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Voice.Detect>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.PortChannel.Switchport.Voice.Vlan), "detect" : ("detect", Native.Interface.PortChannel.Switchport.Voice.Detect)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.PortChannel.Switchport.Voice.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")

                        self.detect = Native.Interface.PortChannel.Switchport.Voice.Detect()
                        self.detect.parent = self
                        self._children_name_map["detect"] = "detect"
                        self._children_yang_names.add("detect")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:voice"


                    class Vlan(Entity):
                        """
                        Vlan for voice traffic
                        
                        .. attribute:: vlan
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.Vlan>`
                        
                        		**type**\: int
                        
                        			**range:** 1..4094
                        
                        		**type**\: str
                        
                        .. attribute:: name
                        
                        	Vlan name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.Voice.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "voice"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.str, "vlan")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vlan"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Switchport.Voice.Vlan, ['vlan', 'name'], name, value)

                        class Vlan(Enum):
                            """
                            Vlan

                            .. data:: dot1p = 0

                            .. data:: none = 1

                            .. data:: untagged = 2

                            """

                            dot1p = Enum.YLeaf(0, "dot1p")

                            none = Enum.YLeaf(1, "none")

                            untagged = Enum.YLeaf(2, "untagged")



                    class Detect(Entity):
                        """
                        detection enhancement keyword
                        
                        .. attribute:: cisco_phone
                        
                        	Cisco IP phone
                        	**type**\:  :py:class:`CiscoPhone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Voice.Detect.CiscoPhone>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.Voice.Detect, self).__init__()

                            self.yang_name = "detect"
                            self.yang_parent_name = "voice"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cisco-phone" : ("cisco_phone", Native.Interface.PortChannel.Switchport.Voice.Detect.CiscoPhone)}
                            self._child_list_classes = {}

                            self.cisco_phone = None
                            self._children_name_map["cisco_phone"] = "cisco-phone"
                            self._children_yang_names.add("cisco-phone")
                            self._segment_path = lambda: "detect"


                        class CiscoPhone(Entity):
                            """
                            Cisco IP phone
                            
                            .. attribute:: full_duplex
                            
                            	full duplex keyword
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Switchport.Voice.Detect.CiscoPhone, self).__init__()

                                self.yang_name = "cisco-phone"
                                self.yang_parent_name = "detect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.full_duplex = YLeaf(YType.empty, "full-duplex")
                                self._segment_path = lambda: "cisco-phone"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Switchport.Voice.Detect.CiscoPhone, ['full_duplex'], name, value)


                class Priority(Entity):
                    """
                    Set appliance 802.1p priority
                    
                    .. attribute:: extend
                    
                    	Set appliance 802.1p priority
                    	**type**\:  :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.Priority.Extend>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Switchport.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"extend" : ("extend", Native.Interface.PortChannel.Switchport.Priority.Extend)}
                        self._child_list_classes = {}

                        self.extend = Native.Interface.PortChannel.Switchport.Priority.Extend()
                        self.extend.parent = self
                        self._children_name_map["extend"] = "extend"
                        self._children_yang_names.add("extend")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:priority"


                    class Extend(Entity):
                        """
                        Set appliance 802.1p priority
                        
                        .. attribute:: trust
                        
                        	Trust 802.1p priorities of devices on appliance
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cos
                        
                        	Override 802.1p priority of devices on appliance
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.Priority.Extend, self).__init__()

                            self.yang_name = "extend"
                            self.yang_parent_name = "priority"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.cos = YLeaf(YType.uint8, "cos")
                            self._segment_path = lambda: "extend"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Switchport.Priority.Extend, ['trust', 'cos'], name, value)


                class Autostate(Entity):
                    """
                    Include or exclude this port from vlan link up calculation
                    
                    .. attribute:: exclude
                    
                    	Exclude this port from vlan link up calculation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Switchport.Autostate, self).__init__()

                        self.yang_name = "autostate"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.exclude = YLeaf(YType.empty, "exclude")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:autostate"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Switchport.Autostate, ['exclude'], name, value)


                class PrivateVlan(Entity):
                    """
                    Set the private VLAN configuration
                    
                    .. attribute:: association
                    
                    	Set the private VLAN association
                    	**type**\:  :py:class:`Association <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PrivateVlan.Association>`
                    
                    .. attribute:: host_association
                    
                    	Set the private VLAN host association
                    	**type**\:  :py:class:`HostAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PrivateVlan.HostAssociation>`
                    
                    .. attribute:: mapping
                    
                    	Set the private VLAN promiscuous mapping
                    	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PrivateVlan.Mapping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Switchport.PrivateVlan, self).__init__()

                        self.yang_name = "private-vlan"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"association" : ("association", Native.Interface.PortChannel.Switchport.PrivateVlan.Association), "host-association" : ("host_association", Native.Interface.PortChannel.Switchport.PrivateVlan.HostAssociation), "mapping" : ("mapping", Native.Interface.PortChannel.Switchport.PrivateVlan.Mapping)}
                        self._child_list_classes = {}

                        self.association = Native.Interface.PortChannel.Switchport.PrivateVlan.Association()
                        self.association.parent = self
                        self._children_name_map["association"] = "association"
                        self._children_yang_names.add("association")

                        self.host_association = Native.Interface.PortChannel.Switchport.PrivateVlan.HostAssociation()
                        self.host_association.parent = self
                        self._children_name_map["host_association"] = "host-association"
                        self._children_yang_names.add("host-association")

                        self.mapping = Native.Interface.PortChannel.Switchport.PrivateVlan.Mapping()
                        self.mapping.parent = self
                        self._children_name_map["mapping"] = "mapping"
                        self._children_yang_names.add("mapping")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:private-vlan"


                    class Association(Entity):
                        """
                        Set the private VLAN association
                        
                        .. attribute:: host
                        
                        	Set the private VLAN host association
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Host>`
                        
                        .. attribute:: mapping
                        
                        	Set the private VLAN promiscuous mapping
                        	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Mapping>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.PrivateVlan.Association, self).__init__()

                            self.yang_name = "association"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"host" : ("host", Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Host), "mapping" : ("mapping", Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Mapping)}
                            self._child_list_classes = {}

                            self.host = Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.mapping = Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Mapping()
                            self.mapping.parent = self
                            self._children_name_map["mapping"] = "mapping"
                            self._children_yang_names.add("mapping")
                            self._segment_path = lambda: "association"


                        class Host(Entity):
                            """
                            Set the private VLAN host association
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN port association
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary normal range VLAN ID of the private VLAN host port association
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary_range = YLeaf(YType.uint16, "primary-range")

                                self.secondary_range = YLeaf(YType.uint16, "secondary-range")
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Host, ['primary_range', 'secondary_range'], name, value)


                        class Mapping(Entity):
                            """
                            Set the private VLAN promiscuous mapping
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            .. attribute:: add
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            .. attribute:: remove
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Mapping, self).__init__()

                                self.yang_name = "mapping"
                                self.yang_parent_name = "association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary_range = YLeaf(YType.uint16, "primary-range")

                                self.secondary_range = YLeaf(YType.str, "secondary-range")

                                self.add = YLeaf(YType.str, "add")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "mapping"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Switchport.PrivateVlan.Association.Mapping, ['primary_range', 'secondary_range', 'add', 'remove'], name, value)


                    class HostAssociation(Entity):
                        """
                        Set the private VLAN host association
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN port association
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary normal range VLAN ID of the private VLAN host port association
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.PrivateVlan.HostAssociation, self).__init__()

                            self.yang_name = "host-association"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary_range = YLeaf(YType.uint16, "primary-range")

                            self.secondary_range = YLeaf(YType.uint16, "secondary-range")
                            self._segment_path = lambda: "host-association"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Switchport.PrivateVlan.HostAssociation, ['primary_range', 'secondary_range'], name, value)


                    class Mapping(Entity):
                        """
                        Set the private VLAN promiscuous mapping
                        
                        .. attribute:: primary_range
                        
                        	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                        	**type**\: int
                        
                        	**range:** 2..1001 \| 1006..4094
                        
                        .. attribute:: secondary_range
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        .. attribute:: add
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        .. attribute:: remove
                        
                        	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Switchport.PrivateVlan.Mapping, self).__init__()

                            self.yang_name = "mapping"
                            self.yang_parent_name = "private-vlan"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary_range = YLeaf(YType.uint16, "primary-range")

                            self.secondary_range = YLeaf(YType.str, "secondary-range")

                            self.add = YLeaf(YType.str, "add")

                            self.remove = YLeaf(YType.str, "remove")
                            self._segment_path = lambda: "mapping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Switchport.PrivateVlan.Mapping, ['primary_range', 'secondary_range', 'add', 'remove'], name, value)


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.PortChannel.Backup.Delay), "interface" : ("interface", Native.Interface.PortChannel.Backup.Interface), "load" : ("load", Native.Interface.PortChannel.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.PortChannel.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.PortChannel.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.PortChannel.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.PortChannel.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.PortChannel.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.PortChannel.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.PortChannel.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.PortChannel.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.PortChannel.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.PortChannel.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.PortChannel.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.PortChannel.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.PortChannel.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.PortChannel.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.PortChannel.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.PortChannel.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.PortChannel.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.PortChannel.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.PortChannel.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.PortChannel.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.PortChannel.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.PortChannel.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.PortChannel.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.PortChannel.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.PortChannel.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.PortChannel.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.PortChannel.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                .. attribute:: template
                
                	BFD template
                	**type**\: str
                
                .. attribute:: interval
                
                	Transmit interval between BFD packets
                	**type**\:  :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Bfd.Interval>`
                
                .. attribute:: echo
                
                	Use echo adjunct as bfd detection mechanism
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-bfd:interval" : ("interval", Native.Interface.PortChannel.Bfd.Interval)}
                    self._child_list_classes = {}

                    self.template = YLeaf(YType.str, "Cisco-IOS-XE-bfd:template")

                    self.echo = YLeaf(YType.boolean, "Cisco-IOS-XE-bfd:echo")

                    self.interval = Native.Interface.PortChannel.Bfd.Interval()
                    self.interval.parent = self
                    self._children_name_map["interval"] = "interval"
                    self._children_yang_names.add("interval")
                    self._segment_path = lambda: "bfd"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Bfd, ['template', 'echo'], name, value)


                class Interval(Entity):
                    """
                    Transmit interval between BFD packets
                    
                    .. attribute:: msecs
                    
                    	
                    	**type**\: int
                    
                    	**range:** 50..9999
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\: int
                    
                    	**range:** 50..9999
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\: int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Bfd.Interval, self).__init__()

                        self.yang_name = "interval"
                        self.yang_parent_name = "bfd"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.msecs = YLeaf(YType.uint16, "msecs")

                        self.min_rx = YLeaf(YType.uint16, "min_rx")

                        self.multiplier = YLeaf(YType.uint8, "multiplier")
                        self._segment_path = lambda: "Cisco-IOS-XE-bfd:interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Bfd.Interval, ['msecs', 'min_rx', 'multiplier'], name, value)


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.PortChannel.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.PortChannel.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.PortChannel.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.PortChannel.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.PortChannel.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                .. attribute:: accounting
                
                	Enable MPLS accounting on this interface
                	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Accounting>`
                
                .. attribute:: bgp
                
                	MPLS BGP
                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Bgp>`
                
                .. attribute:: ip
                
                	Configure dynamic MPLS forwarding for IP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: label
                
                	Label properties
                	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Label>`
                
                .. attribute:: ldp
                
                	Configure Label Distribution Protocol (LDP) parameters
                	**type**\:  :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Ldp>`
                
                .. attribute:: mtu
                
                	Set MPLS Maximum Transmission Unit
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1501..1524
                
                		**type**\: int
                
                			**range:** 64..1500
                
                		**type**\: int
                
                			**range:** 64..9216
                
                .. attribute:: traffic_eng
                
                	Configure Traffic Engineering parameters
                	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-mpls:accounting" : ("accounting", Native.Interface.PortChannel.Mpls.Accounting), "Cisco-IOS-XE-mpls:bgp" : ("bgp", Native.Interface.PortChannel.Mpls.Bgp), "Cisco-IOS-XE-mpls:label" : ("label", Native.Interface.PortChannel.Mpls.Label), "Cisco-IOS-XE-mpls:ldp" : ("ldp", Native.Interface.PortChannel.Mpls.Ldp), "Cisco-IOS-XE-mpls:traffic-eng" : ("traffic_eng", Native.Interface.PortChannel.Mpls.TrafficEng)}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.empty, "Cisco-IOS-XE-mpls:ip")

                    self.mtu = YLeaf(YType.str, "Cisco-IOS-XE-mpls:mtu")

                    self.accounting = Native.Interface.PortChannel.Mpls.Accounting()
                    self.accounting.parent = self
                    self._children_name_map["accounting"] = "accounting"
                    self._children_yang_names.add("accounting")

                    self.bgp = Native.Interface.PortChannel.Mpls.Bgp()
                    self.bgp.parent = self
                    self._children_name_map["bgp"] = "bgp"
                    self._children_yang_names.add("bgp")

                    self.label = Native.Interface.PortChannel.Mpls.Label()
                    self.label.parent = self
                    self._children_name_map["label"] = "label"
                    self._children_yang_names.add("label")

                    self.ldp = Native.Interface.PortChannel.Mpls.Ldp()
                    self.ldp.parent = self
                    self._children_name_map["ldp"] = "ldp"
                    self._children_yang_names.add("ldp")

                    self.traffic_eng = Native.Interface.PortChannel.Mpls.TrafficEng()
                    self.traffic_eng.parent = self
                    self._children_name_map["traffic_eng"] = "traffic-eng"
                    self._children_yang_names.add("traffic-eng")
                    self._segment_path = lambda: "mpls"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Mpls, ['ip', 'mtu'], name, value)


                class Accounting(Entity):
                    """
                    Enable MPLS accounting on this interface
                    
                    .. attribute:: experimental
                    
                    	Count packets by MPLS experimental value on this interface
                    	**type**\:  :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Accounting.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Mpls.Accounting, self).__init__()

                        self.yang_name = "accounting"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"experimental" : ("experimental", Native.Interface.PortChannel.Mpls.Accounting.Experimental)}
                        self._child_list_classes = {}

                        self.experimental = Native.Interface.PortChannel.Mpls.Accounting.Experimental()
                        self.experimental.parent = self
                        self._children_name_map["experimental"] = "experimental"
                        self._children_yang_names.add("experimental")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:accounting"


                    class Experimental(Entity):
                        """
                        Count packets by MPLS experimental value on this interface
                        
                        .. attribute:: input
                        
                        	received packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	transmitted packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Mpls.Accounting.Experimental, self).__init__()

                            self.yang_name = "experimental"
                            self.yang_parent_name = "accounting"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")
                            self._segment_path = lambda: "experimental"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Mpls.Accounting.Experimental, ['input', 'output'], name, value)


                class Bgp(Entity):
                    """
                    MPLS BGP
                    
                    .. attribute:: forwarding
                    
                    	Configure MPLS forwarding for directly connected BGP peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Mpls.Bgp, self).__init__()

                        self.yang_name = "bgp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.forwarding = YLeaf(YType.empty, "forwarding")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:bgp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Mpls.Bgp, ['forwarding'], name, value)


                class Label(Entity):
                    """
                    Label properties
                    
                    .. attribute:: protocol
                    
                    	Configure label/tag distribution protocol (LDP/TDP)
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Label.Protocol>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Mpls.Label, self).__init__()

                        self.yang_name = "label"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.protocol = YLeaf(YType.enumeration, "protocol")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:label"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Mpls.Label, ['protocol'], name, value)

                    class Protocol(Enum):
                        """
                        Protocol

                        Configure label/tag distribution protocol (LDP/TDP)

                        .. data:: both = 0

                        .. data:: ldp = 1

                        .. data:: tdp = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        ldp = Enum.YLeaf(1, "ldp")

                        tdp = Enum.YLeaf(2, "tdp")



                class Ldp(Entity):
                    """
                    Configure Label Distribution Protocol (LDP) parameters
                    
                    .. attribute:: discovery
                    
                    	Configure interface LDP Discovery parameters
                    	**type**\:  :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.Ldp.Discovery>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Mpls.Ldp, self).__init__()

                        self.yang_name = "ldp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"discovery" : ("discovery", Native.Interface.PortChannel.Mpls.Ldp.Discovery)}
                        self._child_list_classes = {}

                        self.discovery = Native.Interface.PortChannel.Mpls.Ldp.Discovery()
                        self.discovery.parent = self
                        self._children_name_map["discovery"] = "discovery"
                        self._children_yang_names.add("discovery")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:ldp"


                    class Discovery(Entity):
                        """
                        Configure interface LDP Discovery parameters
                        
                        .. attribute:: transport_address
                        
                        	Specify interface LDP transport address
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`LdpDiscoveryAddressType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.LdpDiscoveryAddressType>`
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Mpls.Ldp.Discovery, self).__init__()

                            self.yang_name = "discovery"
                            self.yang_parent_name = "ldp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.transport_address = YLeaf(YType.str, "transport-address")
                            self._segment_path = lambda: "discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Mpls.Ldp.Discovery, ['transport_address'], name, value)


                class TrafficEng(Entity):
                    """
                    Configure Traffic Engineering parameters
                    
                    .. attribute:: administrative_weight
                    
                    	Set the administrative weight for the interface\: <0..4294967295>
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_flags
                    
                    	Set user\-defined interface attibute flags\:  <0x0\-0xFFFFFFFF>
                    	**type**\: str
                    
                    	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                    
                    .. attribute:: backup_path
                    
                    	Configure an MPLS TE backup for this interface
                    	**type**\:  :py:class:`BackupPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.TrafficEng.BackupPath>`
                    
                    .. attribute:: flooding
                    
                    	Set flooding parameters
                    	**type**\:  :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.TrafficEng.Flooding>`
                    
                    .. attribute:: passive_interface
                    
                    	Force a flood of non\-IGP link
                    	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.TrafficEng.PassiveInterface>`
                    
                    .. attribute:: tunnels
                    
                    	enable MPLS Traffic Engineering tunnels
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Mpls.TrafficEng, self).__init__()

                        self.yang_name = "traffic-eng"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup-path" : ("backup_path", Native.Interface.PortChannel.Mpls.TrafficEng.BackupPath), "flooding" : ("flooding", Native.Interface.PortChannel.Mpls.TrafficEng.Flooding), "passive-interface" : ("passive_interface", Native.Interface.PortChannel.Mpls.TrafficEng.PassiveInterface)}
                        self._child_list_classes = {}

                        self.administrative_weight = YLeaf(YType.uint32, "administrative-weight")

                        self.attribute_flags = YLeaf(YType.str, "attribute-flags")

                        self.tunnels = YLeaf(YType.empty, "tunnels")

                        self.backup_path = Native.Interface.PortChannel.Mpls.TrafficEng.BackupPath()
                        self.backup_path.parent = self
                        self._children_name_map["backup_path"] = "backup-path"
                        self._children_yang_names.add("backup-path")

                        self.flooding = Native.Interface.PortChannel.Mpls.TrafficEng.Flooding()
                        self.flooding.parent = self
                        self._children_name_map["flooding"] = "flooding"
                        self._children_yang_names.add("flooding")

                        self.passive_interface = Native.Interface.PortChannel.Mpls.TrafficEng.PassiveInterface()
                        self.passive_interface.parent = self
                        self._children_name_map["passive_interface"] = "passive-interface"
                        self._children_yang_names.add("passive-interface")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:traffic-eng"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Mpls.TrafficEng, ['administrative_weight', 'attribute_flags', 'tunnels'], name, value)


                    class BackupPath(Entity):
                        """
                        Configure an MPLS TE backup for this interface
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface number\: <0..2147483647>
                        	**type**\: int
                        
                        	**range:** 0..2147483647
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Mpls.TrafficEng.BackupPath, self).__init__()

                            self.yang_name = "backup-path"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")
                            self._segment_path = lambda: "backup-path"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Mpls.TrafficEng.BackupPath, ['tunnel'], name, value)


                    class Flooding(Entity):
                        """
                        Set flooding parameters
                        
                        .. attribute:: thresholds
                        
                        	Set flooding thresholds
                        	**type**\:  :py:class:`Thresholds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.TrafficEng.Flooding.Thresholds>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Mpls.TrafficEng.Flooding, self).__init__()

                            self.yang_name = "flooding"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"thresholds" : ("thresholds", Native.Interface.PortChannel.Mpls.TrafficEng.Flooding.Thresholds)}
                            self._child_list_classes = {}

                            self.thresholds = Native.Interface.PortChannel.Mpls.TrafficEng.Flooding.Thresholds()
                            self.thresholds.parent = self
                            self._children_name_map["thresholds"] = "thresholds"
                            self._children_yang_names.add("thresholds")
                            self._segment_path = lambda: "flooding"


                        class Thresholds(Entity):
                            """
                            Set flooding thresholds
                            
                            .. attribute:: down
                            
                            	Set the thresholds for decreased resource availability in percentage\: <0..100>
                            	**type**\: list of int
                            
                            	**range:** 0..100
                            
                            .. attribute:: up
                            
                            	Set the thresholds for increased resource availability in percentage\: <0..100>
                            	**type**\: list of int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Mpls.TrafficEng.Flooding.Thresholds, self).__init__()

                                self.yang_name = "thresholds"
                                self.yang_parent_name = "flooding"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.down = YLeafList(YType.uint8, "down")

                                self.up = YLeafList(YType.uint8, "up")
                                self._segment_path = lambda: "thresholds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Mpls.TrafficEng.Flooding.Thresholds, ['down', 'up'], name, value)


                    class PassiveInterface(Entity):
                        """
                        Force a flood of non\-IGP link
                        
                        .. attribute:: nbr_te_id
                        
                        	Set the neighbor TE ID (router\-id)
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nbr_if_addr
                        
                        	Set the Neighbor IP interface address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nbr_igp_id
                        
                        	Set the Neighbor IGP ID (system\-id)
                        	**type**\:  :py:class:`NbrIgpId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mpls.TrafficEng.PassiveInterface.NbrIgpId>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Mpls.TrafficEng.PassiveInterface, self).__init__()

                            self.yang_name = "passive-interface"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"nbr-igp-id" : ("nbr_igp_id", Native.Interface.PortChannel.Mpls.TrafficEng.PassiveInterface.NbrIgpId)}
                            self._child_list_classes = {}

                            self.nbr_te_id = YLeaf(YType.str, "nbr-te-id")

                            self.nbr_if_addr = YLeaf(YType.str, "nbr-if-addr")

                            self.nbr_igp_id = Native.Interface.PortChannel.Mpls.TrafficEng.PassiveInterface.NbrIgpId()
                            self.nbr_igp_id.parent = self
                            self._children_name_map["nbr_igp_id"] = "nbr-igp-id"
                            self._children_yang_names.add("nbr-igp-id")
                            self._segment_path = lambda: "passive-interface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Mpls.TrafficEng.PassiveInterface, ['nbr_te_id', 'nbr_if_addr'], name, value)


                        class NbrIgpId(Entity):
                            """
                            Set the Neighbor IGP ID (system\-id)
                            
                            .. attribute:: isis
                            
                            	Set the neighbor ISIS node ID
                            	**type**\: str
                            
                            .. attribute:: ospf
                            
                            	Set the neighbor OSPF node ID
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Mpls.TrafficEng.PassiveInterface.NbrIgpId, self).__init__()

                                self.yang_name = "nbr-igp-id"
                                self.yang_parent_name = "passive-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.isis = YLeaf(YType.str, "isis")

                                self.ospf = YLeaf(YType.str, "ospf")
                                self._segment_path = lambda: "nbr-igp-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Mpls.TrafficEng.PassiveInterface.NbrIgpId, ['isis', 'ospf'], name, value)


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.PortChannel.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.PortChannel.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.PortChannel.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.PortChannel.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Flow>`
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Igmp>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Lisp>`
                
                .. attribute:: nat
                
                	NAT interface commands
                	**type**\:  :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Nat>`
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:  :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Nbar>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf>`
                
                .. attribute:: rsvp
                
                	RSVP Interface Commands
                	**type**\:  :py:class:`Rsvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:  :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.PortChannel.Ip.AccessGroup), "arp" : ("arp", Native.Interface.PortChannel.Ip.Arp), "vrf" : ("vrf", Native.Interface.PortChannel.Ip.Vrf), "no-address" : ("no_address", Native.Interface.PortChannel.Ip.NoAddress), "address" : ("address", Native.Interface.PortChannel.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.PortChannel.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.PortChannel.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.PortChannel.Ip.HoldTime), "pim" : ("pim", Native.Interface.PortChannel.Ip.Pim), "policy" : ("policy", Native.Interface.PortChannel.Ip.Policy), "rip" : ("rip", Native.Interface.PortChannel.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.PortChannel.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.PortChannel.Ip.RouteCache), "router" : ("router", Native.Interface.PortChannel.Ip.Router), "tcp" : ("tcp", Native.Interface.PortChannel.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.PortChannel.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.PortChannel.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.PortChannel.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.PortChannel.Ip.Verify), "Cisco-IOS-XE-flow:flow" : ("flow", Native.Interface.PortChannel.Ip.Flow), "Cisco-IOS-XE-igmp:igmp" : ("igmp", Native.Interface.PortChannel.Ip.Igmp), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Interface.PortChannel.Ip.Lisp), "Cisco-IOS-XE-nat:nat" : ("nat", Native.Interface.PortChannel.Ip.Nat), "Cisco-IOS-XE-nbar:nbar" : ("nbar", Native.Interface.PortChannel.Ip.Nbar), "Cisco-IOS-XE-ospf:ospf" : ("ospf", Native.Interface.PortChannel.Ip.Ospf), "Cisco-IOS-XE-rsvp:rsvp" : ("rsvp", Native.Interface.PortChannel.Ip.Rsvp), "Cisco-IOS-XE-wccp:wccp" : ("wccp", Native.Interface.PortChannel.Ip.Wccp)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.PortChannel.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.PortChannel.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.PortChannel.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.PortChannel.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.PortChannel.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.PortChannel.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.PortChannel.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.PortChannel.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.PortChannel.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.PortChannel.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.PortChannel.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.PortChannel.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.PortChannel.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.PortChannel.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.PortChannel.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.PortChannel.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.PortChannel.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.PortChannel.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.PortChannel.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.flow = Native.Interface.PortChannel.Ip.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.igmp = Native.Interface.PortChannel.Ip.Igmp()
                    self.igmp.parent = self
                    self._children_name_map["igmp"] = "igmp"
                    self._children_yang_names.add("igmp")

                    self.lisp = Native.Interface.PortChannel.Ip.Lisp()
                    self.lisp.parent = self
                    self._children_name_map["lisp"] = "lisp"
                    self._children_yang_names.add("lisp")

                    self.nat = Native.Interface.PortChannel.Ip.Nat()
                    self.nat.parent = self
                    self._children_name_map["nat"] = "nat"
                    self._children_yang_names.add("nat")

                    self.nbar = Native.Interface.PortChannel.Ip.Nbar()
                    self.nbar.parent = self
                    self._children_name_map["nbar"] = "nbar"
                    self._children_yang_names.add("nbar")

                    self.ospf = Native.Interface.PortChannel.Ip.Ospf()
                    self.ospf.parent = self
                    self._children_name_map["ospf"] = "ospf"
                    self._children_yang_names.add("ospf")

                    self.rsvp = Native.Interface.PortChannel.Ip.Rsvp()
                    self.rsvp.parent = self
                    self._children_name_map["rsvp"] = "rsvp"
                    self._children_yang_names.add("rsvp")

                    self.wccp = Native.Interface.PortChannel.Ip.Wccp()
                    self.wccp.parent = self
                    self._children_name_map["wccp"] = "wccp"
                    self._children_yang_names.add("wccp")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.PortChannel.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.PortChannel.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.PortChannel.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.PortChannel.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.PortChannel.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.PortChannel.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.PortChannel.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.PortChannel.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.PortChannel.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.PortChannel.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.PortChannel.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.PortChannel.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.PortChannel.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.PortChannel.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.PortChannel.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.PortChannel.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.PortChannel.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.PortChannel.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.PortChannel.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.PortChannel.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.PortChannel.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.PortChannel.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.PortChannel.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.PortChannel.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.PortChannel.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.PortChannel.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.PortChannel.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.PortChannel.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:  :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:  :py:class:`SparseMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Pim.SparseMode>`
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:  :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Pim.QueryInterval>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:  :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Pim.SptThreshold>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-multicast:accept-register" : ("accept_register", Native.Interface.PortChannel.Ip.Pim.AcceptRegister), "Cisco-IOS-XE-multicast:query-interval" : ("query_interval", Native.Interface.PortChannel.Ip.Pim.QueryInterval)}
                        self._child_list_classes = {}

                        self.sparse_mode = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:sparse-mode")

                        self.nbma_mode = YLeaf(YType.empty, "Cisco-IOS-XE-multicast:nbma-mode")

                        self.dr_priority = YLeaf(YType.uint32, "Cisco-IOS-XE-multicast:dr-priority")

                        self.spt_threshold = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:spt-threshold")

                        self.accept_register = Native.Interface.PortChannel.Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self._children_name_map["accept_register"] = "accept-register"
                        self._children_yang_names.add("accept-register")

                        self.query_interval = Native.Interface.PortChannel.Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self._children_name_map["query_interval"] = "query-interval"
                        self._children_yang_names.add("query-interval")
                        self._segment_path = lambda: "pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.Pim, ['sparse_mode', 'nbma_mode', 'dr_priority', 'spt_threshold'], name, value)

                    class SparseMode(Enum):
                        """
                        SparseMode

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = Enum.YLeaf(0, "sparse-dense-mode")

                        sparse_mode = Enum.YLeaf(1, "sparse-mode")


                    class SptThreshold(Enum):
                        """
                        SptThreshold

                        .. data:: infinity = 0

                        """

                        infinity = Enum.YLeaf(0, "infinity")



                    class AcceptRegister(Entity):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Pim.AcceptRegister, self).__init__()

                            self.yang_name = "accept-register"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.list = YLeaf(YType.str, "list")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:accept-register"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Pim.AcceptRegister, ['list'], name, value)


                    class QueryInterval(Entity):
                        """
                        PIM router query interval
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..18725
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Pim.QueryInterval, self).__init__()

                            self.yang_name = "query-interval"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.seconds_interval = YLeaf(YType.uint16, "seconds-interval")

                            self.milliseconds_interval = YLeaf(YType.uint16, "milliseconds-interval")

                            self.msec = YLeaf(YType.empty, "msec")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:query-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Pim.QueryInterval, ['seconds_interval', 'milliseconds_interval', 'msec'], name, value)


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.PortChannel.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.PortChannel.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.PortChannel.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.PortChannel.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.PortChannel.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.PortChannel.Ip.Dhcp.Client), "Cisco-IOS-XE-dhcp:relay" : ("relay", Native.Interface.PortChannel.Ip.Dhcp.Relay), "Cisco-IOS-XE-dhcp:snooping" : ("snooping", Native.Interface.PortChannel.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.client = Native.Interface.PortChannel.Ip.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.relay = Native.Interface.PortChannel.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self._children_name_map["relay"] = "relay"
                        self._children_yang_names.add("relay")

                        self.snooping = Native.Interface.PortChannel.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"


                    class Client(Entity):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hostname = YLeaf(YType.str, "hostname")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Dhcp.Client, ['hostname'], name, value)


                    class Relay(Entity):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Dhcp.Relay, self).__init__()

                            self.yang_name = "relay"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"information" : ("information", Native.Interface.PortChannel.Ip.Dhcp.Relay.Information)}
                            self._child_list_classes = {}

                            self.source_interface = YLeaf(YType.str, "source-interface")

                            self.information = Native.Interface.PortChannel.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self._children_name_map["information"] = "information"
                            self._children_yang_names.add("information")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:relay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Dhcp.Relay, ['source_interface'], name, value)


                        class Information(Entity):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:  :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:  :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:  :py:class:`PolicyAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.PolicyAction>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Dhcp.Relay.Information, self).__init__()

                                self.yang_name = "information"
                                self.yang_parent_name = "relay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"check-reply" : ("check_reply", Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.CheckReply), "option" : ("option", Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.Option), "option-insert" : ("option_insert", Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.OptionInsert)}
                                self._child_list_classes = {}

                                self.policy_action = YLeaf(YType.enumeration, "policy-action")

                                self.trusted = YLeaf(YType.empty, "trusted")

                                self.check_reply = None
                                self._children_name_map["check_reply"] = "check-reply"
                                self._children_yang_names.add("check-reply")

                                self.option = Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self._children_name_map["option"] = "option"
                                self._children_yang_names.add("option")

                                self.option_insert = None
                                self._children_name_map["option_insert"] = "option-insert"
                                self._children_yang_names.add("option-insert")
                                self._segment_path = lambda: "information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Dhcp.Relay.Information, ['policy_action', 'trusted'], name, value)

                            class PolicyAction(Enum):
                                """
                                PolicyAction

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = Enum.YLeaf(0, "drop")

                                encapsulate = Enum.YLeaf(1, "encapsulate")

                                keep = Enum.YLeaf(2, "keep")

                                replace = Enum.YLeaf(3, "replace")



                            class CheckReply(Entity):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.CheckReply, self).__init__()

                                    self.yang_name = "check-reply"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "check-reply"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.CheckReply, ['none'], name, value)


                            class Option(Entity):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                    self.yang_name = "option"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                    self._segment_path = lambda: "option"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                            class OptionInsert(Entity):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.OptionInsert, self).__init__()

                                    self.yang_name = "option-insert"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "option-insert"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ip.Dhcp.Relay.Information.OptionInsert, ['none'], name, value)


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.PortChannel.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {"vlan" : ("vlan", Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan)}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.PortChannel.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")

                            self.vlan = YList(self)
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:snooping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Dhcp.Snooping, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


                        class Vlan(Entity):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"information" : ("information", Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.information = Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self
                                self._children_name_map["information"] = "information"
                                self._children_yang_names.add("information")
                                self._segment_path = lambda: "vlan" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan, ['id'], name, value)


                            class Information(Entity):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information, self).__init__()

                                    self.yang_name = "information"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"option" : ("option", Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option)}
                                    self._child_list_classes = {}

                                    self.option = Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self
                                    self._children_name_map["option"] = "option"
                                    self._children_yang_names.add("option")
                                    self._segment_path = lambda: "information"


                                class Option(Entity):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:  :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option, self).__init__()

                                        self.yang_name = "option"
                                        self.yang_parent_name = "information"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"format-type" : ("format_type", Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType)}
                                        self._child_list_classes = {}

                                        self.format_type = Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self
                                        self._children_name_map["format_type"] = "format-type"
                                        self._children_yang_names.add("format-type")
                                        self._segment_path = lambda: "option"


                                    class FormatType(Entity):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:  :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType, self).__init__()

                                            self.yang_name = "format-type"
                                            self.yang_parent_name = "option"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"circuit-id" : ("circuit_id", Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId)}
                                            self._child_list_classes = {}

                                            self.circuit_id = Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self
                                            self._children_name_map["circuit_id"] = "circuit-id"
                                            self._children_yang_names.add("circuit-id")
                                            self._segment_path = lambda: "format-type"


                                        class CircuitId(Entity):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\: str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, self).__init__()

                                                self.yang_name = "circuit-id"
                                                self.yang_parent_name = "format-type"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.string = YLeaf(YType.str, "string")
                                                self._segment_path = lambda: "circuit-id"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.PortChannel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, ['string'], name, value)


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.PortChannel.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.PortChannel.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.PortChannel.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.PortChannel.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.PortChannel.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.PortChannel.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.PortChannel.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.PortChannel.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.PortChannel.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



                class Flow(Entity):
                    """
                    NetFlow related commands
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"monitor" : ("monitor", Native.Interface.PortChannel.Ip.Flow.Monitor)}

                        self.ingress = YLeaf(YType.empty, "ingress")

                        self.egress = YLeaf(YType.empty, "egress")

                        self.monitor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-flow:flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.Flow, ['ingress', 'egress'], name, value)


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of  		 :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler>`
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"sampler" : ("sampler", Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler)}

                            self.name = YLeaf(YType.str, "name")

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.sampler = YList(self)
                            self._segment_path = lambda: "monitor" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Flow.Monitor, ['name', 'input', 'output', 'multicast', 'unicast'], name, value)


                        class Sampler(Entity):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler.Direction>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler, self).__init__()

                                self.yang_name = "sampler"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.direction = YLeaf(YType.enumeration, "direction")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "sampler" + "[direction='" + self.direction.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Flow.Monitor.Sampler, ['direction', 'name'], name, value)

                            class Direction(Enum):
                                """
                                Direction

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = Enum.YLeaf(0, "input")

                                output = Enum.YLeaf(1, "output")



                class Igmp(Entity):
                    """
                    IGMP interface commands
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:  :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of  		 :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Igmp, self).__init__()

                        self.yang_name = "igmp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"static-group" : ("static_group", Native.Interface.PortChannel.Ip.Igmp.StaticGroup)}
                        self._child_list_classes = {"join-group" : ("join_group", Native.Interface.PortChannel.Ip.Igmp.JoinGroup)}

                        self.version = YLeaf(YType.uint8, "version")

                        self.static_group = Native.Interface.PortChannel.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self._children_name_map["static_group"] = "static-group"
                        self._children_yang_names.add("static-group")

                        self.join_group = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-igmp:igmp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.Igmp, ['version'], name, value)


                    class StaticGroup(Entity):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of  		 :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Igmp.StaticGroup.Groups>`
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of  		 :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Igmp.StaticGroup, self).__init__()

                            self.yang_name = "static-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"groups" : ("groups", Native.Interface.PortChannel.Ip.Igmp.StaticGroup.Groups), "class-map" : ("class_map", Native.Interface.PortChannel.Ip.Igmp.StaticGroup.ClassMap)}

                            self.groups = YList(self)
                            self.class_map = YList(self)
                            self._segment_path = lambda: "static-group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Igmp.StaticGroup, [], name, value)


                        class Groups(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.Groups.Name>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Igmp.StaticGroup.Groups, self).__init__()

                                self.yang_name = "groups"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "groups" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Igmp.StaticGroup.Groups, ['name'], name, value)

                            class Name(Enum):
                                """
                                Name

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = Enum.YLeaf(0, "*")



                        class ClassMap(Entity):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Igmp.StaticGroup.ClassMap, self).__init__()

                                self.yang_name = "class-map"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")
                                self._segment_path = lambda: "class-map" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Igmp.StaticGroup.ClassMap, ['id'], name, value)


                    class JoinGroup(Entity):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Igmp.JoinGroup, self).__init__()

                            self.yang_name = "join-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip_group_address = YLeaf(YType.str, "ip-group-address")

                            self.source = YLeaf(YType.str, "source")
                            self._segment_path = lambda: "join-group" + "[ip-group-address='" + self.ip_group_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Igmp.JoinGroup, ['ip_group_address', 'source'], name, value)


                class Lisp(Entity):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: source_locator
                    
                    	Choose IP source address for LISP packets egressing this interface
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Lisp, self).__init__()

                        self.yang_name = "lisp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.source_locator = YLeaf(YType.str, "source-locator")
                        self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.Lisp, ['source_locator'], name, value)


                class Nat(Entity):
                    """
                    NAT interface commands
                    
                    .. attribute:: allow_static_host
                    
                    	Allow static\-ip clients
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable Address Translation (NVI)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: inside
                    
                    	Inside interface for address translation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: outside
                    
                    	Outside interface for address translation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-nat'
                    _revision = '2017-08-03'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Nat, self).__init__()

                        self.yang_name = "nat"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.allow_static_host = YLeaf(YType.empty, "allow-static-host")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.inside = YLeaf(YType.empty, "inside")

                        self.outside = YLeaf(YType.empty, "outside")
                        self._segment_path = lambda: "Cisco-IOS-XE-nat:nat"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.Nat, ['allow_static_host', 'enable', 'inside', 'outside'], name, value)


                class Nbar(Entity):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:  :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Nbar, self).__init__()

                        self.yang_name = "nbar"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"protocol-discovery" : ("protocol_discovery", Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery)}
                        self._child_list_classes = {}

                        self.protocol_discovery = None
                        self._children_name_map["protocol_discovery"] = "protocol-discovery"
                        self._children_yang_names.add("protocol-discovery")
                        self._segment_path = lambda: "Cisco-IOS-XE-nbar:nbar"


                    class ProtocolDiscovery(Entity):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:  :py:class:`Ipv4Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery, self).__init__()

                            self.yang_name = "protocol-discovery"
                            self.yang_parent_name = "nbar"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ipv4_ipv6 = YLeaf(YType.enumeration, "ipv4-ipv6")
                            self._segment_path = lambda: "protocol-discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Nbar.ProtocolDiscovery, ['ipv4_ipv6'], name, value)

                        class Ipv4Ipv6(Enum):
                            """
                            Ipv4Ipv6

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = Enum.YLeaf(0, "ipv4")

                            ipv6 = Enum.YLeaf(1, "ipv6")



                class Ospf(Entity):
                    """
                    OSPF interface commands
                    
                    .. attribute:: process_id
                    
                    	
                    	**type**\: list of  		 :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.ProcessId>`
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.AuthenticationKey>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.Network>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.DeadInterval>`
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF Demand Circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fast_reroute
                    
                    	LFA FastReroute parameters
                    	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.FastReroute>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: lls
                    
                    	Link\-local Signaling (LLS) support
                    	**type**\:  :py:class:`Lls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.Lls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.MultiArea>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: resync_timeout
                    
                    	Interval after which adjacency is reset if oob\-resync is not started
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Set OSPF protocol's state to disable under current interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.TtlSecurity>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.PortChannel.Ip.Ospf.Authentication), "authentication-key" : ("authentication_key", Native.Interface.PortChannel.Ip.Ospf.AuthenticationKey), "bfd" : ("bfd", Native.Interface.PortChannel.Ip.Ospf.Bfd), "database-filter" : ("database_filter", Native.Interface.PortChannel.Ip.Ospf.DatabaseFilter), "dead-interval" : ("dead_interval", Native.Interface.PortChannel.Ip.Ospf.DeadInterval), "demand-circuit" : ("demand_circuit", Native.Interface.PortChannel.Ip.Ospf.DemandCircuit), "fast-reroute" : ("fast_reroute", Native.Interface.PortChannel.Ip.Ospf.FastReroute), "lls" : ("lls", Native.Interface.PortChannel.Ip.Ospf.Lls), "multi-area" : ("multi_area", Native.Interface.PortChannel.Ip.Ospf.MultiArea), "prefix-suppression" : ("prefix_suppression", Native.Interface.PortChannel.Ip.Ospf.PrefixSuppression), "ttl-security" : ("ttl_security", Native.Interface.PortChannel.Ip.Ospf.TtlSecurity)}
                        self._child_list_classes = {"process-id" : ("process_id", Native.Interface.PortChannel.Ip.Ospf.ProcessId), "message-digest-key" : ("message_digest_key", Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey)}

                        self.network = YLeaf(YType.enumeration, "network")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.flood_reduction = YLeaf(YType.empty, "flood-reduction")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.mtu_ignore = YLeaf(YType.empty, "mtu-ignore")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.resync_timeout = YLeaf(YType.uint32, "resync-timeout")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = None
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.authentication_key = Native.Interface.PortChannel.Ip.Ospf.AuthenticationKey()
                        self.authentication_key.parent = self
                        self._children_name_map["authentication_key"] = "authentication-key"
                        self._children_yang_names.add("authentication-key")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.database_filter = Native.Interface.PortChannel.Ip.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.dead_interval = Native.Interface.PortChannel.Ip.Ospf.DeadInterval()
                        self.dead_interval.parent = self
                        self._children_name_map["dead_interval"] = "dead-interval"
                        self._children_yang_names.add("dead-interval")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.fast_reroute = Native.Interface.PortChannel.Ip.Ospf.FastReroute()
                        self.fast_reroute.parent = self
                        self._children_name_map["fast_reroute"] = "fast-reroute"
                        self._children_yang_names.add("fast-reroute")

                        self.lls = None
                        self._children_name_map["lls"] = "lls"
                        self._children_yang_names.add("lls")

                        self.multi_area = Native.Interface.PortChannel.Ip.Ospf.MultiArea()
                        self.multi_area.parent = self
                        self._children_name_map["multi_area"] = "multi-area"
                        self._children_yang_names.add("multi-area")

                        self.prefix_suppression = None
                        self._children_name_map["prefix_suppression"] = "prefix-suppression"
                        self._children_yang_names.add("prefix-suppression")

                        self.ttl_security = None
                        self._children_name_map["ttl_security"] = "ttl-security"
                        self._children_yang_names.add("ttl-security")

                        self.process_id = YList(self)
                        self.message_digest_key = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-ospf:ospf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf, ['network', 'cost', 'flood_reduction', 'hello_interval', 'mtu_ignore', 'priority', 'resync_timeout', 'retransmit_interval', 'shutdown', 'transmit_delay'], name, value)

                    class Network(Enum):
                        """
                        Network

                        Network type

                        .. data:: broadcast = 0

                        .. data:: non_broadcast = 1

                        .. data:: point_to_multipoint = 2

                        .. data:: point_to_point = 3

                        """

                        broadcast = Enum.YLeaf(0, "broadcast")

                        non_broadcast = Enum.YLeaf(1, "non-broadcast")

                        point_to_multipoint = Enum.YLeaf(2, "point-to-multipoint")

                        point_to_point = Enum.YLeaf(3, "point-to-point")



                    class ProcessId(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: area
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondaries
                        
                        	Include or exclude secondary IP addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: none
                        
                        	Do not include secondary IP addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Ospf.ProcessId, self).__init__()

                            self.yang_name = "process-id"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint16, "id")

                            self.area = YLeaf(YType.str, "area")

                            self.secondaries = YLeaf(YType.empty, "secondaries")

                            self.none = YLeaf(YType.empty, "none")
                            self._segment_path = lambda: "process-id" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.ProcessId, ['id', 'area', 'secondaries', 'none'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Use message\-digest authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Ospf.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.PortChannel.Ip.Ospf.Authentication.KeyChain)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.message_digest = YLeaf(YType.empty, "message-digest")

                            self.null = YLeaf(YType.empty, "null")

                            self.key_chain = Native.Interface.PortChannel.Ip.Ospf.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self._children_name_map["key_chain"] = "key-chain"
                            self._children_yang_names.add("key-chain")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.Authentication, ['message_digest', 'null'], name, value)


                        class KeyChain(Entity):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Ospf.Authentication.KeyChain, self).__init__()

                                self.yang_name = "key-chain"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.Authentication.KeyChain, ['name'], name, value)


                    class AuthenticationKey(Entity):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Ospf.AuthenticationKey, self).__init__()

                            self.yang_name = "authentication-key"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                            self.auth_key = YLeaf(YType.str, "auth-key")
                            self._segment_path = lambda: "authentication-key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Ospf.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.Bfd, ['disable'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Ospf.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.empty, "all")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.DatabaseFilter, ['all', 'out'], name, value)


                    class DeadInterval(Entity):
                        """
                        Interval after which a neighbor is declared dead
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: minimal
                        
                        	Set to 1 second
                        	**type**\:  :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.DeadInterval.Minimal>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Ospf.DeadInterval, self).__init__()

                            self.yang_name = "dead-interval"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"minimal" : ("minimal", Native.Interface.PortChannel.Ip.Ospf.DeadInterval.Minimal)}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint32, "value")

                            self.minimal = Native.Interface.PortChannel.Ip.Ospf.DeadInterval.Minimal()
                            self.minimal.parent = self
                            self._children_name_map["minimal"] = "minimal"
                            self._children_yang_names.add("minimal")
                            self._segment_path = lambda: "dead-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.DeadInterval, ['value'], name, value)


                        class Minimal(Entity):
                            """
                            Set to 1 second
                            
                            .. attribute:: hello_multiplier
                            
                            	Set multiplier for Hellos
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Ospf.DeadInterval.Minimal, self).__init__()

                                self.yang_name = "minimal"
                                self.yang_parent_name = "dead-interval"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hello_multiplier = YLeaf(YType.uint8, "hello-multiplier")
                                self._segment_path = lambda: "minimal"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.DeadInterval.Minimal, ['hello_multiplier'], name, value)


                    class DemandCircuit(Entity):
                        """
                        OSPF Demand Circuit
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Ospf.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.DemandCircuit, ['ignore'], name, value)


                    class FastReroute(Entity):
                        """
                        LFA FastReroute parameters
                        
                        .. attribute:: per_prefix
                        
                        	Per\-prefix LFA FRR parameters
                        	**type**\:  :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Ospf.FastReroute, self).__init__()

                            self.yang_name = "fast-reroute"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"per-prefix" : ("per_prefix", Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix)}
                            self._child_list_classes = {}

                            self.per_prefix = Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix()
                            self.per_prefix.parent = self
                            self._children_name_map["per_prefix"] = "per-prefix"
                            self._children_yang_names.add("per-prefix")
                            self._segment_path = lambda: "fast-reroute"


                        class PerPrefix(Entity):
                            """
                            Per\-prefix LFA FRR parameters
                            
                            .. attribute:: candidate
                            
                            	If interface can be protecting
                            	**type**\:  :py:class:`Candidate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Candidate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: protection
                            
                            	If interface can be protected
                            	**type**\:  :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Protection>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix, self).__init__()

                                self.yang_name = "per-prefix"
                                self.yang_parent_name = "fast-reroute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"candidate" : ("candidate", Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Candidate), "protection" : ("protection", Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Protection)}
                                self._child_list_classes = {}

                                self.candidate = None
                                self._children_name_map["candidate"] = "candidate"
                                self._children_yang_names.add("candidate")

                                self.protection = None
                                self._children_name_map["protection"] = "protection"
                                self._children_yang_names.add("protection")
                                self._segment_path = lambda: "per-prefix"


                            class Candidate(Entity):
                                """
                                If interface can be protecting
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Candidate, self).__init__()

                                    self.yang_name = "candidate"
                                    self.yang_parent_name = "per-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "candidate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Candidate, ['disable'], name, value)


                            class Protection(Entity):
                                """
                                If interface can be protected
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Protection, self).__init__()

                                    self.yang_name = "protection"
                                    self.yang_parent_name = "per-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "protection"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.FastReroute.PerPrefix.Protection, ['disable'], name, value)


                    class Lls(Entity):
                        """
                        Link\-local Signaling (LLS) support
                        
                        .. attribute:: disable
                        
                        	disable LLS
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Ospf.Lls, self).__init__()

                            self.yang_name = "lls"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "lls"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.Lls, ['disable'], name, value)


                    class MessageDigestKey(Entity):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey, self).__init__()

                            self.yang_name = "message-digest-key"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey.Md5)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.md5 = Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey, ['id'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "message-digest-key"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                self.auth_key = YLeaf(YType.str, "auth-key")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                    class MultiArea(Entity):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Ospf.MultiArea, self).__init__()

                            self.yang_name = "multi-area"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint32, "cost")
                            self._segment_path = lambda: "multi-area"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.MultiArea, ['id', 'cost'], name, value)


                    class PrefixSuppression(Entity):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Ospf.PrefixSuppression, self).__init__()

                            self.yang_name = "prefix-suppression"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "prefix-suppression"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.PrefixSuppression, ['disable'], name, value)


                    class TtlSecurity(Entity):
                        """
                        TTL security check
                        
                        .. attribute:: diable
                        
                        	disable TTL security check
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Ospf.TtlSecurity, self).__init__()

                            self.yang_name = "ttl-security"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.diable = YLeaf(YType.empty, "diable")

                            self.hops = YLeaf(YType.uint8, "hops")
                            self._segment_path = lambda: "ttl-security"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Ospf.TtlSecurity, ['diable', 'hops'], name, value)


                class Rsvp(Entity):
                    """
                    RSVP Interface Commands
                    
                    .. attribute:: authentication
                    
                    	Enables RSVP neighbor authentication (RFC 2747)
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: bandwidth
                    
                    	RSVP Reservable Bandwidth (kbps)
                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Bandwidth>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	Select permissible RSVP neighbors
                    	**type**\:  :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Neighbor>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: precedence
                    
                    	RSVP precedence setting
                    	**type**\:  :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Precedence>`
                    
                    .. attribute:: signalling
                    
                    	RSVP signalling
                    	**type**\:  :py:class:`Signalling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Signalling>`
                    
                    .. attribute:: tos
                    
                    	RSVP TOS setting
                    	**type**\:  :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Tos>`
                    
                    

                    """

                    _prefix = 'ios-rsvp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Rsvp, self).__init__()

                        self.yang_name = "rsvp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.PortChannel.Ip.Rsvp.Authentication), "bandwidth" : ("bandwidth", Native.Interface.PortChannel.Ip.Rsvp.Bandwidth), "neighbor" : ("neighbor", Native.Interface.PortChannel.Ip.Rsvp.Neighbor), "precedence" : ("precedence", Native.Interface.PortChannel.Ip.Rsvp.Precedence), "signalling" : ("signalling", Native.Interface.PortChannel.Ip.Rsvp.Signalling), "tos" : ("tos", Native.Interface.PortChannel.Ip.Rsvp.Tos)}
                        self._child_list_classes = {}

                        self.authentication = None
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bandwidth = None
                        self._children_name_map["bandwidth"] = "bandwidth"
                        self._children_yang_names.add("bandwidth")

                        self.neighbor = None
                        self._children_name_map["neighbor"] = "neighbor"
                        self._children_yang_names.add("neighbor")

                        self.precedence = Native.Interface.PortChannel.Ip.Rsvp.Precedence()
                        self.precedence.parent = self
                        self._children_name_map["precedence"] = "precedence"
                        self._children_yang_names.add("precedence")

                        self.signalling = Native.Interface.PortChannel.Ip.Rsvp.Signalling()
                        self.signalling.parent = self
                        self._children_name_map["signalling"] = "signalling"
                        self._children_yang_names.add("signalling")

                        self.tos = Native.Interface.PortChannel.Ip.Rsvp.Tos()
                        self.tos.parent = self
                        self._children_name_map["tos"] = "tos"
                        self._children_yang_names.add("tos")
                        self._segment_path = lambda: "Cisco-IOS-XE-rsvp:rsvp"


                    class Authentication(Entity):
                        """
                        Enables RSVP neighbor authentication (RFC 2747)
                        
                        .. attribute:: key
                        
                        	Password (8 to 40 characters, spaces allowed)
                        	**type**\: str
                        
                        .. attribute:: challenge
                        
                        	Perform challenge/response handshake with new neighbor(s)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: key_chain
                        
                        	Name of key chain to use (as created by global 'key chain' command)
                        	**type**\: str
                        
                        .. attribute:: lifetime
                        
                        	Maximum lifetime of neighbor authentication state
                        	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Authentication.Lifetime>`
                        
                        .. attribute:: type
                        
                        	Type of authentication algorithm (default = md5)
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Authentication.Type>`
                        
                        .. attribute:: window_size
                        
                        	Maximum number of messages allowed in receive window (default = 1)
                        	**type**\: int
                        
                        	**range:** 1..64
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Rsvp.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"lifetime" : ("lifetime", Native.Interface.PortChannel.Ip.Rsvp.Authentication.Lifetime)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.key = YLeaf(YType.str, "key")

                            self.challenge = YLeaf(YType.empty, "challenge")

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.type = YLeaf(YType.enumeration, "type")

                            self.window_size = YLeaf(YType.uint8, "window-size")

                            self.lifetime = Native.Interface.PortChannel.Ip.Rsvp.Authentication.Lifetime()
                            self.lifetime.parent = self
                            self._children_name_map["lifetime"] = "lifetime"
                            self._children_yang_names.add("lifetime")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Authentication, ['key', 'challenge', 'key_chain', 'type', 'window_size'], name, value)

                        class Type(Enum):
                            """
                            Type

                            Type of authentication algorithm (default = md5)

                            .. data:: md5 = 0

                            .. data:: sha_1 = 1

                            """

                            md5 = Enum.YLeaf(0, "md5")

                            sha_1 = Enum.YLeaf(1, "sha-1")



                        class Lifetime(Entity):
                            """
                            Maximum lifetime of neighbor authentication state
                            
                            .. attribute:: hh_mm_ss
                            
                            	Lifetime (default = 30 mins) in hh\:mm\:ss format
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])\:([0\-5][0\-9])
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Rsvp.Authentication.Lifetime, self).__init__()

                                self.yang_name = "lifetime"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hh_mm_ss = YLeaf(YType.str, "hh-mm-ss")
                                self._segment_path = lambda: "lifetime"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Authentication.Lifetime, ['hh_mm_ss'], name, value)


                    class Bandwidth(Entity):
                        """
                        RSVP Reservable Bandwidth (kbps)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Bandwidth.Value>`
                        
                        .. attribute:: percent
                        
                        	Percentage of interface bandwidth. Values higher than 100 represent overbooking
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: mam
                        
                        	Use bandwidth with MAM model of DSTE
                        	**type**\:  :py:class:`Mam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Bandwidth.Mam>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Rsvp.Bandwidth, self).__init__()

                            self.yang_name = "bandwidth"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"value" : ("value", Native.Interface.PortChannel.Ip.Rsvp.Bandwidth.Value), "mam" : ("mam", Native.Interface.PortChannel.Ip.Rsvp.Bandwidth.Mam)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.percent = YLeaf(YType.uint16, "percent")

                            self.value = Native.Interface.PortChannel.Ip.Rsvp.Bandwidth.Value()
                            self.value.parent = self
                            self._children_name_map["value"] = "value"
                            self._children_yang_names.add("value")

                            self.mam = Native.Interface.PortChannel.Ip.Rsvp.Bandwidth.Mam()
                            self.mam.parent = self
                            self._children_name_map["mam"] = "mam"
                            self._children_yang_names.add("mam")
                            self._segment_path = lambda: "bandwidth"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Bandwidth, ['percent'], name, value)


                        class Value(Entity):
                            """
                            
                            
                            .. attribute:: value
                            
                            	Reservable Bandwidth (kbps)
                            	**type**\: int
                            
                            	**range:** 1..10000000
                            
                            .. attribute:: sub_pool
                            
                            	Reservable Bandwidth for Tunnel using sub (BC1) pool (kbps)
                            	**type**\: int
                            
                            	**range:** 1..10000000
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Rsvp.Bandwidth.Value, self).__init__()

                                self.yang_name = "value"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                self._segment_path = lambda: "value"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Bandwidth.Value, ['value', 'sub_pool'], name, value)


                        class Mam(Entity):
                            """
                            Use bandwidth with MAM model of DSTE
                            
                            .. attribute:: max_reservable_bw
                            
                            	Maximum Reservable bandwidth for MAM
                            	**type**\:  :py:class:`MaxReservableBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Rsvp.Bandwidth.Mam, self).__init__()

                                self.yang_name = "mam"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"max-reservable-bw" : ("max_reservable_bw", Native.Interface.PortChannel.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw)}
                                self._child_list_classes = {}

                                self.max_reservable_bw = None
                                self._children_name_map["max_reservable_bw"] = "max-reservable-bw"
                                self._children_yang_names.add("max-reservable-bw")
                                self._segment_path = lambda: "mam"


                            class MaxReservableBw(Entity):
                                """
                                Maximum Reservable bandwidth for MAM
                                
                                .. attribute:: value
                                
                                	Reservable Bandwidth (kbps)
                                	**type**\: int
                                
                                	**range:** 1..10000000
                                
                                .. attribute:: bc0
                                
                                	Reservable Bandwidth from global (BC0) pool (kbps)
                                	**type**\: int
                                
                                	**range:** 0..10000000
                                
                                .. attribute:: bc1
                                
                                	Reservable Bandwidth from sub pool (kbps)
                                	**type**\: int
                                
                                	**range:** 0..10000000
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw, self).__init__()

                                    self.yang_name = "max-reservable-bw"
                                    self.yang_parent_name = "mam"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint32, "value")

                                    self.bc0 = YLeaf(YType.uint32, "bc0")

                                    self.bc1 = YLeaf(YType.uint32, "bc1")
                                    self._segment_path = lambda: "max-reservable-bw"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw, ['value', 'bc0', 'bc1'], name, value)


                    class Neighbor(Entity):
                        """
                        Select permissible RSVP neighbors
                        
                        .. attribute:: acl_number
                        
                        	Access list
                        	**type**\: int
                        
                        	**range:** 1..199
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Rsvp.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.acl_number = YLeaf(YType.uint8, "acl-number")
                            self._segment_path = lambda: "neighbor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Neighbor, ['acl_number'], name, value)


                    class Precedence(Entity):
                        """
                        RSVP precedence setting
                        
                        .. attribute:: conform
                        
                        	Precedence for packets conforming to RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: exceed
                        
                        	Precedence for packets over RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Rsvp.Precedence, self).__init__()

                            self.yang_name = "precedence"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.conform = YLeaf(YType.uint8, "conform")

                            self.exceed = YLeaf(YType.uint8, "exceed")
                            self._segment_path = lambda: "precedence"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Precedence, ['conform', 'exceed'], name, value)


                    class Signalling(Entity):
                        """
                        RSVP signalling
                        
                        .. attribute:: dscp
                        
                        	DSCP for RSVP signalling messages
                        	**type**\: int
                        
                        	**range:** 0..63
                        
                        .. attribute:: fast_local_repair
                        
                        	Fast Local Repair parameters
                        	**type**\:  :py:class:`FastLocalRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Signalling.FastLocalRepair>`
                        
                        .. attribute:: hello
                        
                        	Enable neighbor\-down detection
                        	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Rsvp.Signalling, self).__init__()

                            self.yang_name = "signalling"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"fast-local-repair" : ("fast_local_repair", Native.Interface.PortChannel.Ip.Rsvp.Signalling.FastLocalRepair), "hello" : ("hello", Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello)}
                            self._child_list_classes = {}

                            self.dscp = YLeaf(YType.uint8, "dscp")

                            self.fast_local_repair = Native.Interface.PortChannel.Ip.Rsvp.Signalling.FastLocalRepair()
                            self.fast_local_repair.parent = self
                            self._children_name_map["fast_local_repair"] = "fast-local-repair"
                            self._children_yang_names.add("fast-local-repair")

                            self.hello = None
                            self._children_name_map["hello"] = "hello"
                            self._children_yang_names.add("hello")
                            self._segment_path = lambda: "signalling"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Signalling, ['dscp'], name, value)


                        class FastLocalRepair(Entity):
                            """
                            Fast Local Repair parameters
                            
                            .. attribute:: wait_time
                            
                            	Wait Time for start of Fast Local Repair in msec
                            	**type**\: int
                            
                            	**range:** 0..5000
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Rsvp.Signalling.FastLocalRepair, self).__init__()

                                self.yang_name = "fast-local-repair"
                                self.yang_parent_name = "signalling"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.wait_time = YLeaf(YType.uint16, "wait-time")
                                self._segment_path = lambda: "fast-local-repair"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Signalling.FastLocalRepair, ['wait_time'], name, value)


                        class Hello(Entity):
                            """
                            Enable neighbor\-down detection
                            
                            .. attribute:: bfd
                            
                            	Configure BFD trigger for MPLS/TE FRR
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp
                            
                            	DSCP for RSVP Hello messages
                            	**type**\: int
                            
                            	**range:** 0..63
                            
                            .. attribute:: graceful_restart
                            
                            	Configure RSVP Graceful Restart
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: refresh
                            
                            	Configure RSVP Hello refresh behavior for Fast\-Reroute
                            	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Refresh>`
                            
                            .. attribute:: reroute
                            
                            	Configure RSVP Hello refresh behavior for Reroute
                            	**type**\:  :py:class:`Reroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Reroute>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello, self).__init__()

                                self.yang_name = "hello"
                                self.yang_parent_name = "signalling"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"refresh" : ("refresh", Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Refresh), "reroute" : ("reroute", Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Reroute)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.bfd = YLeaf(YType.empty, "bfd")

                                self.dscp = YLeaf(YType.uint8, "dscp")

                                self.graceful_restart = YLeaf(YType.empty, "graceful-restart")

                                self.refresh = Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Refresh()
                                self.refresh.parent = self
                                self._children_name_map["refresh"] = "refresh"
                                self._children_yang_names.add("refresh")

                                self.reroute = Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Reroute()
                                self.reroute.parent = self
                                self._children_name_map["reroute"] = "reroute"
                                self._children_yang_names.add("reroute")
                                self._segment_path = lambda: "hello"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello, ['bfd', 'dscp', 'graceful_restart'], name, value)


                            class Refresh(Entity):
                                """
                                Configure RSVP Hello refresh behavior for Fast\-Reroute
                                
                                .. attribute:: interval
                                
                                	Hello interval in msec
                                	**type**\: int
                                
                                	**range:** 10..30000
                                
                                .. attribute:: misses
                                
                                	Number of missed Hello Acks which triggers neighbor down
                                	**type**\: int
                                
                                	**range:** 4..10
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Refresh, self).__init__()

                                    self.yang_name = "refresh"
                                    self.yang_parent_name = "hello"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")

                                    self.misses = YLeaf(YType.uint8, "misses")
                                    self._segment_path = lambda: "refresh"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Refresh, ['interval', 'misses'], name, value)


                            class Reroute(Entity):
                                """
                                Configure RSVP Hello refresh behavior for Reroute
                                
                                .. attribute:: dscp
                                
                                	DSCP for RSVP Hello messages
                                	**type**\: int
                                
                                	**range:** 0..63
                                
                                .. attribute:: refresh
                                
                                	Configure RSVP Reroute Hello refresh behavior
                                	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Reroute.Refresh>`
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Reroute, self).__init__()

                                    self.yang_name = "reroute"
                                    self.yang_parent_name = "hello"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"refresh" : ("refresh", Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Reroute.Refresh)}
                                    self._child_list_classes = {}

                                    self.dscp = YLeaf(YType.uint8, "dscp")

                                    self.refresh = Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Reroute.Refresh()
                                    self.refresh.parent = self
                                    self._children_name_map["refresh"] = "refresh"
                                    self._children_yang_names.add("refresh")
                                    self._segment_path = lambda: "reroute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Reroute, ['dscp'], name, value)


                                class Refresh(Entity):
                                    """
                                    Configure RSVP Reroute Hello refresh behavior
                                    
                                    .. attribute:: interval
                                    
                                    	Hello Reroute interval in msec
                                    	**type**\: int
                                    
                                    	**range:** 1000..30000
                                    
                                    .. attribute:: misses
                                    
                                    	Number of missed Hello Acks which triggers neighbor down
                                    	**type**\: int
                                    
                                    	**range:** 4..10
                                    
                                    

                                    """

                                    _prefix = 'ios-rsvp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Reroute.Refresh, self).__init__()

                                        self.yang_name = "refresh"
                                        self.yang_parent_name = "reroute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")

                                        self.misses = YLeaf(YType.uint8, "misses")
                                        self._segment_path = lambda: "refresh"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Signalling.Hello.Reroute.Refresh, ['interval', 'misses'], name, value)


                    class Tos(Entity):
                        """
                        RSVP TOS setting
                        
                        .. attribute:: conform
                        
                        	TOS for packets conforming to RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..31
                        
                        .. attribute:: exceed
                        
                        	TOS for packets over RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..31
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Rsvp.Tos, self).__init__()

                            self.yang_name = "tos"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.conform = YLeaf(YType.uint8, "conform")

                            self.exceed = YLeaf(YType.uint8, "exceed")
                            self._segment_path = lambda: "tos"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Rsvp.Tos, ['conform', 'exceed'], name, value)


                class Wccp(Entity):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.WebCache>`
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ip.Wccp, self).__init__()

                        self.yang_name = "wccp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.PortChannel.Ip.Wccp.WebCache), "redirect" : ("redirect", Native.Interface.PortChannel.Ip.Wccp.Redirect)}
                        self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.PortChannel.Ip.Wccp.WccpList), "vrf" : ("vrf", Native.Interface.PortChannel.Ip.Wccp.Vrf)}

                        self.web_cache = Native.Interface.PortChannel.Ip.Wccp.WebCache()
                        self.web_cache.parent = self
                        self._children_name_map["web_cache"] = "web-cache"
                        self._children_yang_names.add("web-cache")

                        self.redirect = Native.Interface.PortChannel.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.wccp_list = YList(self)
                        self.vrf = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-wccp:wccp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ip.Wccp, [], name, value)


                    class WccpList(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Wccp.WccpList, self).__init__()

                            self.yang_name = "wccp-list"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.PortChannel.Ip.Wccp.WccpList.Redirect)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.PortChannel.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Wccp.WccpList, ['id', 'group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Wccp.WccpList.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "wccp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Wccp.WccpList.Redirect, ['in_', 'out'], name, value)


                    class WebCache(Entity):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Wccp.WebCache, self).__init__()

                            self.yang_name = "web-cache"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.PortChannel.Ip.Wccp.WebCache.Redirect)}
                            self._child_list_classes = {}

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.PortChannel.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "web-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Wccp.WebCache, ['group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Wccp.WebCache.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "web-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Wccp.WebCache.Redirect, ['in_', 'out'], name, value)


                    class Redirect(Entity):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:  :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Wccp.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"exclude" : ("exclude", Native.Interface.PortChannel.Ip.Wccp.Redirect.Exclude)}
                            self._child_list_classes = {}

                            self.exclude = Native.Interface.PortChannel.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self
                            self._children_name_map["exclude"] = "exclude"
                            self._children_yang_names.add("exclude")
                            self._segment_path = lambda: "redirect"


                        class Exclude(Entity):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Wccp.Redirect.Exclude, self).__init__()

                                self.yang_name = "exclude"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "exclude"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Wccp.Redirect.Exclude, ['in_'], name, value)


                    class Vrf(Entity):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ip.Wccp.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache)}
                            self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList)}

                            self.name = YLeaf(YType.str, "name")

                            self.web_cache = Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self
                            self._children_name_map["web_cache"] = "web-cache"
                            self._children_yang_names.add("web-cache")

                            self.wccp_list = YList(self)
                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ip.Wccp.Vrf, ['name'], name, value)


                        class WccpList(Entity):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList, self).__init__()

                                self.yang_name = "wccp-list"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList.Redirect)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint8, "id")

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList, ['id', 'group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "wccp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ip.Wccp.Vrf.WccpList.Redirect, ['in_', 'out'], name, value)


                        class WebCache(Entity):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache, self).__init__()

                                self.yang_name = "web-cache"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache.Redirect)}
                                self._child_list_classes = {}

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "web-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache, ['group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "web-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ip.Wccp.Vrf.WebCache.Redirect, ['in_', 'out'], name, value)


            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.TrafficFilter>`
                
                .. attribute:: crypto
                
                	Encryption/Decryption commands
                	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Crypto>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Flow>`
                
                .. attribute:: no_pim
                
                	
                	**type**\:  :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.NoPim>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Pim>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf>`
                
                .. attribute:: rip
                
                	Configure RIP routing protocol
                	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Rip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.PortChannel.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.PortChannel.Ipv6.Dhcp), "address" : ("address", Native.Interface.PortChannel.Ipv6.Address), "nd" : ("nd", Native.Interface.PortChannel.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.PortChannel.Ipv6.Tcp), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.PortChannel.Ipv6.Crypto), "Cisco-IOS-XE-flow:flow" : ("flow", Native.Interface.PortChannel.Ipv6.Flow), "Cisco-IOS-XE-multicast:no-pim" : ("no_pim", Native.Interface.PortChannel.Ipv6.NoPim), "Cisco-IOS-XE-multicast:pim" : ("pim", Native.Interface.PortChannel.Ipv6.Pim), "Cisco-IOS-XE-ospf:ospf" : ("ospf", Native.Interface.PortChannel.Ipv6.Ospf)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.PortChannel.Ipv6.TrafficFilter), "Cisco-IOS-XE-rip:rip" : ("rip", Native.Interface.PortChannel.Ipv6.Rip)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.PortChannel.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.PortChannel.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.PortChannel.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.PortChannel.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.crypto = Native.Interface.PortChannel.Ipv6.Crypto()
                    self.crypto.parent = self
                    self._children_name_map["crypto"] = "crypto"
                    self._children_yang_names.add("crypto")

                    self.flow = Native.Interface.PortChannel.Ipv6.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.no_pim = Native.Interface.PortChannel.Ipv6.NoPim()
                    self.no_pim.parent = self
                    self._children_name_map["no_pim"] = "no-pim"
                    self._children_yang_names.add("no-pim")

                    self.pim = Native.Interface.PortChannel.Ipv6.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.ospf = Native.Interface.PortChannel.Ipv6.Ospf()
                    self.ospf.parent = self
                    self._children_name_map["ospf"] = "ospf"
                    self._children_yang_names.add("ospf")

                    self.traffic_filter = YList(self)
                    self.rip = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: client
                    
                    	Act as an IPv6 DHCP client
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Dhcp.Client>`
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of  		 :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Dhcp.Server>`
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.PortChannel.Ipv6.Dhcp.Client), "Cisco-IOS-XE-dhcp:guard" : ("guard", Native.Interface.PortChannel.Ipv6.Dhcp.Guard)}
                        self._child_list_classes = {"Cisco-IOS-XE-dhcp:server" : ("server", Native.Interface.PortChannel.Ipv6.Dhcp.Server)}

                        self.client = Native.Interface.PortChannel.Ipv6.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.guard = None
                        self._children_name_map["guard"] = "guard"
                        self._children_yang_names.add("guard")

                        self.server = YList(self)
                        self._segment_path = lambda: "dhcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.Dhcp, [], name, value)


                    class Client(Entity):
                        """
                        Act as an IPv6 DHCP client
                        
                        .. attribute:: request
                        
                        	Request
                        	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Dhcp.Client.Request>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"request" : ("request", Native.Interface.PortChannel.Ipv6.Dhcp.Client.Request)}
                            self._child_list_classes = {}

                            self.request = Native.Interface.PortChannel.Ipv6.Dhcp.Client.Request()
                            self.request.parent = self
                            self._children_name_map["request"] = "request"
                            self._children_yang_names.add("request")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"


                        class Request(Entity):
                            """
                            Request
                            
                            .. attribute:: vendor
                            
                            	Request Vendor specific options
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ipv6.Dhcp.Client.Request, self).__init__()

                                self.yang_name = "request"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vendor = YLeaf(YType.empty, "vendor")
                                self._segment_path = lambda: "request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ipv6.Dhcp.Client.Request, ['vendor'], name, value)


                    class Server(Entity):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Dhcp.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.preference = YLeaf(YType.uint8, "preference")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:server" + "[word='" + self.word.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Dhcp.Server, ['word', 'preference'], name, value)


                    class Guard(Entity):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Dhcp.Guard, self).__init__()

                            self.yang_name = "guard"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:guard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Dhcp.Guard, ['attach_policy'], name, value)


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.PortChannel.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.PortChannel.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.PortChannel.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.PortChannel.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:  :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Nd.Raguard>`
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:  :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Nd.Ra>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-nd:raguard" : ("raguard", Native.Interface.PortChannel.Ipv6.Nd.Raguard), "Cisco-IOS-XE-nd:autoconfig" : ("autoconfig", Native.Interface.PortChannel.Ipv6.Nd.Autoconfig), "Cisco-IOS-XE-nd:ra" : ("ra", Native.Interface.PortChannel.Ipv6.Nd.Ra)}
                        self._child_list_classes = {}

                        self.managed_config_flag = YLeaf(YType.empty, "Cisco-IOS-XE-nd:managed-config-flag")

                        self.raguard = Native.Interface.PortChannel.Ipv6.Nd.Raguard()
                        self.raguard.parent = self
                        self._children_name_map["raguard"] = "raguard"
                        self._children_yang_names.add("raguard")

                        self.autoconfig = Native.Interface.PortChannel.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.ra = Native.Interface.PortChannel.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self._children_name_map["ra"] = "ra"
                        self._children_yang_names.add("ra")
                        self._segment_path = lambda: "nd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.Nd, ['managed_config_flag'], name, value)


                    class Raguard(Entity):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Nd.Raguard, self).__init__()

                            self.yang_name = "raguard"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:raguard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Nd.Raguard, ['attach_policy'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Nd.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.default_route = YLeaf(YType.empty, "default-route")

                            self.prefix = YLeaf(YType.empty, "prefix")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Nd.Autoconfig, ['default_route', 'prefix'], name, value)


                    class Ra(Entity):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Nd.Ra, self).__init__()

                            self.yang_name = "ra"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"suppress" : ("suppress", Native.Interface.PortChannel.Ipv6.Nd.Ra.Suppress)}
                            self._child_list_classes = {}

                            self.suppress = None
                            self._children_name_map["suppress"] = "suppress"
                            self._children_yang_names.add("suppress")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:ra"


                        class Suppress(Entity):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-04-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ipv6.Nd.Ra.Suppress, self).__init__()

                                self.yang_name = "suppress"
                                self.yang_parent_name = "ra"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.all = YLeaf(YType.empty, "all")
                                self._segment_path = lambda: "suppress"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ipv6.Nd.Ra.Suppress, ['all'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class Crypto(Entity):
                    """
                    Encryption/Decryption commands
                    
                    .. attribute:: map
                    
                    	Assign an IPv6  Crypto Map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ipv6.Crypto, self).__init__()

                        self.yang_name = "crypto"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.map = YLeaf(YType.str, "map")
                        self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.Crypto, ['map'], name, value)


                class Flow(Entity):
                    """
                    NetFlow related commands
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ipv6.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"monitor" : ("monitor", Native.Interface.PortChannel.Ipv6.Flow.Monitor)}

                        self.ingress = YLeaf(YType.empty, "ingress")

                        self.egress = YLeaf(YType.empty, "egress")

                        self.monitor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-flow:flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.Flow, ['ingress', 'egress'], name, value)


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of  		 :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler>`
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"sampler" : ("sampler", Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler)}

                            self.name = YLeaf(YType.str, "name")

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.sampler = YList(self)
                            self._segment_path = lambda: "monitor" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Flow.Monitor, ['name', 'input', 'output', 'multicast', 'unicast'], name, value)


                        class Sampler(Entity):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler.Direction>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler, self).__init__()

                                self.yang_name = "sampler"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.direction = YLeaf(YType.enumeration, "direction")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "sampler" + "[direction='" + self.direction.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ipv6.Flow.Monitor.Sampler, ['direction', 'name'], name, value)

                            class Direction(Enum):
                                """
                                Direction

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = Enum.YLeaf(0, "input")

                                output = Enum.YLeaf(1, "output")



                class NoPim(Entity):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ipv6.NoPim, self).__init__()

                        self.yang_name = "no-pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pim = YLeaf(YType.boolean, "pim")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:no-pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.NoPim, ['pim'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:  :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ipv6.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bsr" : ("bsr", Native.Interface.PortChannel.Ipv6.Pim.Bsr)}
                        self._child_list_classes = {}

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.dr_priority = YLeaf(YType.uint32, "dr-priority")

                        self.bsr = Native.Interface.PortChannel.Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self._children_name_map["bsr"] = "bsr"
                        self._children_yang_names.add("bsr")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.Pim, ['bfd', 'dr_priority'], name, value)


                    class Bsr(Entity):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Pim.Bsr, self).__init__()

                            self.yang_name = "bsr"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.border = YLeaf(YType.empty, "border")
                            self._segment_path = lambda: "bsr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Pim.Bsr, ['border'], name, value)


                class Ospf(Entity):
                    """
                    OSPF interface commands
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: list of  		 :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Process>`
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: encryption
                    
                    	Enable encryption
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Network>`
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ipv6.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.PortChannel.Ipv6.Ospf.Authentication), "bfd" : ("bfd", Native.Interface.PortChannel.Ipv6.Ospf.Bfd), "database-filter" : ("database_filter", Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.PortChannel.Ipv6.Ospf.DemandCircuit), "encryption" : ("encryption", Native.Interface.PortChannel.Ipv6.Ospf.Encryption), "flood-reduction" : ("flood_reduction", Native.Interface.PortChannel.Ipv6.Ospf.FloodReduction), "mtu-ignore" : ("mtu_ignore", Native.Interface.PortChannel.Ipv6.Ospf.MtuIgnore), "network" : ("network", Native.Interface.PortChannel.Ipv6.Ospf.Network), "shutdown" : ("shutdown", Native.Interface.PortChannel.Ipv6.Ospf.Shutdown)}
                        self._child_list_classes = {"process" : ("process", Native.Interface.PortChannel.Ipv6.Ospf.Process), "neighbor" : ("neighbor", Native.Interface.PortChannel.Ipv6.Ospf.Neighbor)}

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = Native.Interface.PortChannel.Ipv6.Ospf.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.database_filter = Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.encryption = Native.Interface.PortChannel.Ipv6.Ospf.Encryption()
                        self.encryption.parent = self
                        self._children_name_map["encryption"] = "encryption"
                        self._children_yang_names.add("encryption")

                        self.flood_reduction = None
                        self._children_name_map["flood_reduction"] = "flood-reduction"
                        self._children_yang_names.add("flood-reduction")

                        self.mtu_ignore = None
                        self._children_name_map["mtu_ignore"] = "mtu-ignore"
                        self._children_yang_names.add("mtu-ignore")

                        self.network = Native.Interface.PortChannel.Ipv6.Ospf.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.shutdown = None
                        self._children_name_map["shutdown"] = "shutdown"
                        self._children_yang_names.add("shutdown")

                        self.process = YList(self)
                        self.neighbor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-ospf:ospf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf, ['cost', 'dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                    class Process(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: instance
                        
                        	Set the OSPF instance
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..31
                        
                        		**type**\: int
                        
                        			**range:** 32..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Ospf.Process, self).__init__()

                            self.yang_name = "process"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint16, "id")

                            self.area = YLeaf(YType.str, "area")

                            self.instance = YLeaf(YType.str, "instance")
                            self._segment_path = lambda: "process" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Process, ['id', 'area', 'instance'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec authentication
                        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Ospf.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec)}
                            self._child_list_classes = {}

                            self.null = YLeaf(YType.empty, "null")

                            self.ipsec = Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec()
                            self.ipsec.parent = self
                            self._children_name_map["ipsec"] = "ipsec"
                            self._children_yang_names.add("ipsec")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Authentication, ['null'], name, value)


                        class Ipsec(Entity):
                            """
                            Use IPsec authentication
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\: int
                            
                            	**range:** 256..4294967295
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5>`
                            
                            .. attribute:: sha1
                            
                            	Use SHA\-1 authentication
                            	**type**\:  :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec, self).__init__()

                                self.yang_name = "ipsec"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"md5" : ("md5", Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5), "sha1" : ("sha1", Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1)}
                                self._child_list_classes = {}

                                self.spi = YLeaf(YType.uint64, "spi")

                                self.md5 = Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5()
                                self.md5.parent = self
                                self._children_name_map["md5"] = "md5"
                                self._children_yang_names.add("md5")

                                self.sha1 = Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1()
                                self.sha1.parent = self
                                self._children_name_map["sha1"] = "sha1"
                                self._children_yang_names.add("sha1")
                                self._segment_path = lambda: "ipsec"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec, ['spi'], name, value)


                            class Md5(Entity):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5, self).__init__()

                                    self.yang_name = "md5"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "md5"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "md5"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Sha1(Entity):
                                """
                                Use SHA\-1 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1, self).__init__()

                                    self.yang_name = "sha1"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "sha1"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "sha1"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Ospf.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Bfd, ['disable'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter.All>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.DatabaseFilter, ['all', 'disable'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                    class DemandCircuit(Entity):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Ospf.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.DemandCircuit, ['disable', 'ignore'], name, value)


                    class Encryption(Entity):
                        """
                        Enable encryption
                        
                        .. attribute:: null
                        
                        	No IPsec encryption on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec encryption
                        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Ospf.Encryption, self).__init__()

                            self.yang_name = "encryption"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec)}
                            self._child_list_classes = {}

                            self.null = YLeaf(YType.empty, "null")

                            self.ipsec = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec()
                            self.ipsec.parent = self
                            self._children_name_map["ipsec"] = "ipsec"
                            self._children_yang_names.add("ipsec")
                            self._segment_path = lambda: "encryption"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Encryption, ['null'], name, value)


                        class Ipsec(Entity):
                            """
                            Use IPsec encryption
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: esp
                            
                            	Use ESP encapsulation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipsec_3des
                            
                            	Use 3DES encryption
                            	**type**\:  :py:class:`Ipsec3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des>`
                            
                            .. attribute:: aes_cbc
                            
                            	Use AES\-CBC encryption
                            	**type**\:  :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec, self).__init__()

                                self.yang_name = "ipsec"
                                self.yang_parent_name = "encryption"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipsec_3des" : ("ipsec_3des", Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des), "aes-cbc" : ("aes_cbc", Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc)}
                                self._child_list_classes = {}

                                self.spi = YLeaf(YType.uint64, "spi")

                                self.esp = YLeaf(YType.empty, "esp")

                                self.ipsec_3des = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des()
                                self.ipsec_3des.parent = self
                                self._children_name_map["ipsec_3des"] = "ipsec_3des"
                                self._children_yang_names.add("ipsec_3des")

                                self.aes_cbc = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc()
                                self.aes_cbc.parent = self
                                self._children_name_map["aes_cbc"] = "aes-cbc"
                                self._children_yang_names.add("aes-cbc")
                                self._segment_path = lambda: "ipsec"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec, ['spi', 'esp'], name, value)


                            class Ipsec3Des(Entity):
                                """
                                Use 3DES encryption
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des, self).__init__()

                                    self.yang_name = "ipsec_3des"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "ipsec_3des"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "ipsec_3des"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class AesCbc(Entity):
                                """
                                Use AES\-CBC encryption
                                
                                .. attribute:: aes_cbc_128
                                
                                	Use 128 bit key
                                	**type**\:  :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128>`
                                
                                .. attribute:: aes_192
                                
                                	Use 192 bit key
                                	**type**\:  :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192>`
                                
                                .. attribute:: aes_256
                                
                                	Use 256 bit key
                                	**type**\:  :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc, self).__init__()

                                    self.yang_name = "aes-cbc"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"aes-cbc-128" : ("aes_cbc_128", Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128), "aes-192" : ("aes_192", Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192), "aes-256" : ("aes_256", Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256)}
                                    self._child_list_classes = {}

                                    self.aes_cbc_128 = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128()
                                    self.aes_cbc_128.parent = self
                                    self._children_name_map["aes_cbc_128"] = "aes-cbc-128"
                                    self._children_yang_names.add("aes-cbc-128")

                                    self.aes_192 = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192()
                                    self.aes_192.parent = self
                                    self._children_name_map["aes_192"] = "aes-192"
                                    self._children_yang_names.add("aes-192")

                                    self.aes_256 = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256()
                                    self.aes_256.parent = self
                                    self._children_name_map["aes_256"] = "aes-256"
                                    self._children_yang_names.add("aes-256")
                                    self._segment_path = lambda: "aes-cbc"


                                class AesCbc128(Entity):
                                    """
                                    Use 128 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128, self).__init__()

                                        self.yang_name = "aes-cbc-128"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-cbc-128"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-cbc-128"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                                class Aes192(Entity):
                                    """
                                    Use 192 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192, self).__init__()

                                        self.yang_name = "aes-192"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-192"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-192"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                                class Aes256(Entity):
                                    """
                                    Use 256 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256, self).__init__()

                                        self.yang_name = "aes-256"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-256"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-256"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                    class FloodReduction(Entity):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	Disable Flood Reduction on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Ospf.FloodReduction, self).__init__()

                            self.yang_name = "flood-reduction"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "flood-reduction"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.FloodReduction, ['disable'], name, value)


                    class MtuIgnore(Entity):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Ospf.MtuIgnore, self).__init__()

                            self.yang_name = "mtu-ignore"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "mtu-ignore"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.MtuIgnore, ['disable'], name, value)


                    class Neighbor(Entity):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Ospf.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint16, "cost")

                            self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.database_filter = Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter.All>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Neighbor.DatabaseFilter, ['all'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                    class Network(Entity):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Ospf.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Ospf.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.PortChannel.Ipv6.Ospf.Network.PointToMultipoint)}
                            self._child_list_classes = {}

                            self.broadcast = YLeaf(YType.empty, "broadcast")

                            self.manet = YLeaf(YType.empty, "manet")

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                            self.point_to_point = YLeaf(YType.empty, "point-to-point")

                            self.point_to_multipoint = None
                            self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                            self._children_yang_names.add("point-to-multipoint")
                            self._segment_path = lambda: "network"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                        class PointToMultipoint(Entity):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ipv6.Ospf.Network.PointToMultipoint, self).__init__()

                                self.yang_name = "point-to-multipoint"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                self._segment_path = lambda: "point-to-multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Network.PointToMultipoint, ['non_broadcast'], name, value)


                    class Shutdown(Entity):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Ospf.Shutdown, self).__init__()

                            self.yang_name = "shutdown"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "shutdown"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Ospf.Shutdown, ['disable'], name, value)


                class Rip(Entity):
                    """
                    Configure RIP routing protocol
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: enable
                    
                    	Enable/disable RIP routing
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: default_information
                    
                    	Configure handling of default route
                    	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ipv6.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default-information" : ("default_information", Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.default_information = Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation()
                        self.default_information.parent = self
                        self._children_name_map["default_information"] = "default-information"
                        self._children_yang_names.add("default-information")
                        self._segment_path = lambda: "Cisco-IOS-XE-rip:rip" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ipv6.Rip, ['id', 'enable'], name, value)


                    class DefaultInformation(Entity):
                        """
                        Configure handling of default route
                        
                        .. attribute:: route
                        
                        	
                        	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation.Route>`
                        
                        .. attribute:: metric
                        
                        	Default route metric
                        	**type**\: int
                        
                        	**range:** 1..15
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation, self).__init__()

                            self.yang_name = "default-information"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.route = YLeaf(YType.enumeration, "route")

                            self.metric = YLeaf(YType.uint8, "metric")
                            self._segment_path = lambda: "default-information"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ipv6.Rip.DefaultInformation, ['route', 'metric'], name, value)

                        class Route(Enum):
                            """
                            Route

                            .. data:: only = 0

                            .. data:: originate = 1

                            """

                            only = Enum.YLeaf(0, "only")

                            originate = Enum.YLeaf(1, "originate")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.PortChannel.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.PortChannel.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.PortChannel.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.PortChannel.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.PortChannel.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.PortChannel.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.PortChannel.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.PortChannel.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.PortChannel.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.PortChannel.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.PortChannel.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.PortChannel.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.PortChannel.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.PortChannel.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.PortChannel.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.PortChannel.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.PortChannel.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.PortChannel.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.PortChannel.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.PortChannel.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.PortChannel.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.PortChannel.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.PortChannel.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.PortChannel.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.PortChannel.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.PortChannel.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.PortChannel.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.PortChannel.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.PortChannel.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.PortChannel.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.PortChannel.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.PortChannel.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.PortChannel.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.PortChannel.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.PortChannel.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.PortChannel.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.PortChannel.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.PortChannel.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.PortChannel.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.PortChannel.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.PortChannel.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.PortChannel.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.PortChannel.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.PortChannel.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.PortChannel.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.PortChannel.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.PortChannel.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.PortChannel.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.PortChannel.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.PortChannel.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.PortChannel.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.PortChannel.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.PortChannel.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.PortChannel.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.PortChannel.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.PortChannel.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.PortChannel.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.PortChannel.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.PortChannel.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.PortChannel.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.PortChannel.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.PortChannel.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.PortChannel.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.PortChannel.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.PortChannel.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.PortChannel.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.PortChannel.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.PortChannel.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.PortChannel.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.PortChannel.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.PortChannel.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.PortChannel.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannel.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.PmPath, ['name', 'interface_id'], name, value)


            class CarrierDelay(Entity):
                """
                Specify delay for interface transitions
                
                .. attribute:: seconds
                
                	
                	**type**\: int
                
                	**range:** 0..60
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\: int
                
                	**range:** 0..1000
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:  :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.CarrierDelay.Down>`
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:  :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.CarrierDelay, self).__init__()

                    self.yang_name = "carrier-delay"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"down" : ("down", Native.Interface.PortChannel.CarrierDelay.Down), "up" : ("up", Native.Interface.PortChannel.CarrierDelay.Up)}
                    self._child_list_classes = {}

                    self.seconds = YLeaf(YType.uint8, "seconds")

                    self.msec = YLeaf(YType.uint16, "msec")

                    self.down = Native.Interface.PortChannel.CarrierDelay.Down()
                    self.down.parent = self
                    self._children_name_map["down"] = "down"
                    self._children_yang_names.add("down")

                    self.up = Native.Interface.PortChannel.CarrierDelay.Up()
                    self.up.parent = self
                    self._children_name_map["up"] = "up"
                    self._children_yang_names.add("up")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:carrier-delay"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.CarrierDelay, ['seconds', 'msec'], name, value)


                class Down(Entity):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.CarrierDelay.Down, self).__init__()

                        self.yang_name = "down"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "down"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.CarrierDelay.Down, ['seconds', 'msec'], name, value)


                class Up(Entity):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.CarrierDelay.Up, self).__init__()

                        self.yang_name = "up"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "up"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.CarrierDelay.Up, ['seconds', 'msec'], name, value)


            class ChannelGroup(Entity):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 1..512
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ChannelGroup.Mode>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\: int
                
                	**range:** 1..4
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.ChannelGroup, self).__init__()

                    self.yang_name = "channel-group"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint16, "number")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.non_silent = YLeaf(YType.empty, "non-silent")

                    self.link = YLeaf(YType.uint8, "link")

                    self.auto = YLeaf(YType.empty, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:channel-group"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.ChannelGroup, ['number', 'mode', 'non_silent', 'link', 'auto'], name, value)

                class Mode(Enum):
                    """
                    Mode

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = Enum.YLeaf(0, "active")

                    auto = Enum.YLeaf(1, "auto")

                    desirable = Enum.YLeaf(2, "desirable")

                    on = Enum.YLeaf(3, "on")

                    passive = Enum.YLeaf(4, "passive")



            class Ethernet(Entity):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:  :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.Ethernet, self).__init__()

                    self.yang_name = "ethernet"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"oam" : ("oam", Native.Interface.PortChannel.Ethernet.Oam)}
                    self._child_list_classes = {}

                    self.oam = None
                    self._children_name_map["oam"] = "oam"
                    self._children_yang_names.add("oam")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:ethernet"


                class Oam(Entity):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:  :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.Mode>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:  :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:  :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 2..30
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ethernet.Oam, self).__init__()

                        self.yang_name = "oam"
                        self.yang_parent_name = "ethernet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-monitor" : ("link_monitor", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor), "remote-failure" : ("remote_failure", Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure), "remote-loopback" : ("remote_loopback", Native.Interface.PortChannel.Ethernet.Oam.RemoteLoopback)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max_rate = YLeaf(YType.uint8, "max-rate")

                        self.min_rate = YLeaf(YType.uint8, "min-rate")

                        self.mode = YLeaf(YType.enumeration, "mode")

                        self.timeout = YLeaf(YType.uint8, "timeout")

                        self.link_monitor = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self._children_name_map["link_monitor"] = "link-monitor"
                        self._children_yang_names.add("link-monitor")

                        self.remote_failure = Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self._children_name_map["remote_failure"] = "remote-failure"
                        self._children_yang_names.add("remote-failure")

                        self.remote_loopback = Native.Interface.PortChannel.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self._children_name_map["remote_loopback"] = "remote-loopback"
                        self._children_yang_names.add("remote-loopback")
                        self._segment_path = lambda: "oam"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam, ['max_rate', 'min_rate', 'mode', 'timeout'], name, value)

                    class Mode(Enum):
                        """
                        Mode

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = Enum.YLeaf(0, "active")

                        passive = Enum.YLeaf(1, "passive")



                    class LinkMonitor(Entity):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:  :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:  :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:  :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:  :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:  :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:  :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor, self).__init__()

                            self.yang_name = "link-monitor"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"frame" : ("frame", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame), "frame-period" : ("frame_period", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod), "frame-seconds" : ("frame_seconds", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds), "high-threshold" : ("high_threshold", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold), "receive-crc" : ("receive_crc", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc), "symbol-period" : ("symbol_period", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod)}
                            self._child_list_classes = {}

                            self.on = YLeaf(YType.empty, "on")

                            self.supported = YLeaf(YType.empty, "supported")

                            self.frame = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self._children_name_map["frame"] = "frame"
                            self._children_yang_names.add("frame")

                            self.frame_period = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self._children_name_map["frame_period"] = "frame-period"
                            self._children_yang_names.add("frame-period")

                            self.frame_seconds = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self._children_name_map["frame_seconds"] = "frame-seconds"
                            self._children_yang_names.add("frame-seconds")

                            self.high_threshold = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self._children_name_map["high_threshold"] = "high-threshold"
                            self._children_yang_names.add("high-threshold")

                            self.receive_crc = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self._children_name_map["receive_crc"] = "receive-crc"
                            self._children_yang_names.add("receive-crc")

                            self.symbol_period = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self
                            self._children_name_map["symbol_period"] = "symbol-period"
                            self._children_yang_names.add("symbol-period")
                            self._segment_path = lambda: "link-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor, ['on', 'supported'], name, value)


                        class Frame(Entity):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame, self).__init__()

                                self.yang_name = "frame"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.thresh = YLeaf(YType.uint16, "thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, ['thresh', 'none'], name, value)


                        class FramePeriod(Entity):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod, self).__init__()

                                self.yang_name = "frame-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.f_thresh = YLeaf(YType.uint16, "f-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, ['f_thresh', 'none'], name, value)


                        class FrameSeconds(Entity):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds, self).__init__()

                                self.yang_name = "frame-seconds"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-seconds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\: int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-seconds"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.e_thresh = YLeaf(YType.uint16, "e-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, ['e_thresh', 'none'], name, value)


                        class HighThreshold(Entity):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold, self).__init__()

                                self.yang_name = "high-threshold"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "high-threshold"


                            class Action(Entity):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "high-threshold"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action, ['error_disable_interface'], name, value)


                        class ReceiveCrc(Entity):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc, self).__init__()

                                self.yang_name = "receive-crc"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "receive-crc"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "receive-crc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.crc_thresh = YLeaf(YType.uint16, "crc-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, ['crc_thresh', 'none'], name, value)


                        class SymbolPeriod(Entity):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod, self).__init__()

                                self.yang_name = "symbol-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "symbol-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "symbol-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.err_thresh = YLeaf(YType.uint16, "err-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, ['err_thresh', 'none'], name, value)


                    class RemoteFailure(Entity):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:  :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:  :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:  :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure, self).__init__()

                            self.yang_name = "remote-failure"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"critical-event" : ("critical_event", Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent), "dying-gasp" : ("dying_gasp", Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp), "link-fault" : ("link_fault", Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault)}
                            self._child_list_classes = {}

                            self.critical_event = Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self._children_name_map["critical_event"] = "critical-event"
                            self._children_yang_names.add("critical-event")

                            self.dying_gasp = Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self._children_name_map["dying_gasp"] = "dying-gasp"
                            self._children_yang_names.add("dying-gasp")

                            self.link_fault = Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self
                            self._children_name_map["link_fault"] = "link-fault"
                            self._children_yang_names.add("link-fault")
                            self._segment_path = lambda: "remote-failure"


                        class CriticalEvent(Entity):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent, self).__init__()

                                self.yang_name = "critical-event"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "critical-event"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "critical-event"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, ['error_disable_interface'], name, value)


                        class DyingGasp(Entity):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp, self).__init__()

                                self.yang_name = "dying-gasp"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "dying-gasp"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "dying-gasp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action, ['error_disable_interface'], name, value)


                        class LinkFault(Entity):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault, self).__init__()

                                self.yang_name = "link-fault"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "link-fault"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "link-fault"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action, ['error_disable_interface'], name, value)


                    class RemoteLoopback(Entity):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ethernet.Oam.RemoteLoopback, self).__init__()

                            self.yang_name = "remote-loopback"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.supported = YLeaf(YType.empty, "supported")

                            self.timeout = YLeaf(YType.uint8, "timeout")
                            self._segment_path = lambda: "remote-loopback"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ethernet.Oam.RemoteLoopback, ['supported', 'timeout'], name, value)


            class Negotiation(Entity):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\: bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.Negotiation, self).__init__()

                    self.yang_name = "negotiation"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:negotiation"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Negotiation, ['auto'], name, value)


            class Synchronous(Entity):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.Synchronous, self).__init__()

                    self.yang_name = "synchronous"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mode = YLeaf(YType.empty, "mode")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:synchronous"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Synchronous, ['mode'], name, value)


            class Speed(Entity):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.Speed, self).__init__()

                    self.yang_name = "speed"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.empty, "auto")

                    self.value_10 = YLeaf(YType.empty, "value-10")

                    self.value_100 = YLeaf(YType.empty, "value-100")

                    self.value_1000 = YLeaf(YType.empty, "value-1000")

                    self.value_10000 = YLeaf(YType.empty, "value-10000")

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:speed"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Speed, ['auto', 'value_10', 'value_100', 'value_1000', 'value_10000', 'nonegotiate'], name, value)


            class Plim(Entity):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.Plim, self).__init__()

                    self.yang_name = "plim"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.PortChannel.Plim.Ethernet), "qos" : ("qos", Native.Interface.PortChannel.Plim.Qos)}
                    self._child_list_classes = {}

                    self.ethernet = Native.Interface.PortChannel.Plim.Ethernet()
                    self.ethernet.parent = self
                    self._children_name_map["ethernet"] = "ethernet"
                    self._children_yang_names.add("ethernet")

                    self.qos = Native.Interface.PortChannel.Plim.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:plim"


                class Ethernet(Entity):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Plim.Ethernet, self).__init__()

                        self.yang_name = "ethernet"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.PortChannel.Plim.Ethernet.Vlan)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.PortChannel.Plim.Ethernet.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "ethernet"


                    class Vlan(Entity):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Plim.Ethernet.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"filter" : ("filter", Native.Interface.PortChannel.Plim.Ethernet.Vlan.Filter)}
                            self._child_list_classes = {}

                            self.filter = Native.Interface.PortChannel.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self
                            self._children_name_map["filter"] = "filter"
                            self._children_yang_names.add("filter")
                            self._segment_path = lambda: "vlan"


                        class Filter(Entity):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Plim.Ethernet.Vlan.Filter, self).__init__()

                                self.yang_name = "filter"
                                self.yang_parent_name = "vlan"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Plim.Ethernet.Vlan.Filter, ['disable'], name, value)


                class Qos(Entity):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Plim.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"input" : ("input", Native.Interface.PortChannel.Plim.Qos.Input)}
                        self._child_list_classes = {}

                        self.input = Native.Interface.PortChannel.Plim.Qos.Input()
                        self.input.parent = self
                        self._children_name_map["input"] = "input"
                        self._children_yang_names.add("input")
                        self._segment_path = lambda: "qos"


                    class Input(Entity):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Plim.Qos.Input, self).__init__()

                            self.yang_name = "input"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"queue" : ("queue", Native.Interface.PortChannel.Plim.Qos.Input.Queue)}
                            self._child_list_classes = {}

                            self.queue = Native.Interface.PortChannel.Plim.Qos.Input.Queue()
                            self.queue.parent = self
                            self._children_name_map["queue"] = "queue"
                            self._children_yang_names.add("queue")
                            self._segment_path = lambda: "input"


                        class Queue(Entity):
                            """
                            Queue number
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:  :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero>`
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:  :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Plim.Qos.Input.Queue, self).__init__()

                                self.yang_name = "queue"
                                self.yang_parent_name = "input"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"zero" : ("zero", Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero), "strict-priority" : ("strict_priority", Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority)}
                                self._child_list_classes = {}

                                self.zero = Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self
                                self._children_name_map["zero"] = "zero"
                                self._children_yang_names.add("zero")

                                self.strict_priority = Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self._children_name_map["strict_priority"] = "strict-priority"
                                self._children_yang_names.add("strict-priority")
                                self._segment_path = lambda: "queue"


                            class Zero(Entity):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero, self).__init__()

                                    self.yang_name = "zero"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "zero"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "zero"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause, ['enable', 'threshold'], name, value)


                            class StrictPriority(Entity):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority, self).__init__()

                                    self.yang_name = "strict-priority"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "strict-priority"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "strict-priority"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause, ['enable', 'threshold'], name, value)


            class Pppoe(Entity):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\: int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.Pppoe, self).__init__()

                    self.yang_name = "pppoe"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"enable" : ("enable", Native.Interface.PortChannel.Pppoe.Enable)}
                    self._child_list_classes = {}

                    self.max_sessions = YLeaf(YType.uint16, "max-sessions")

                    self.enable = None
                    self._children_name_map["enable"] = "enable"
                    self._children_yang_names.add("enable")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:pppoe"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Pppoe, ['max_sessions'], name, value)


                class Enable(Entity):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Pppoe.Enable.Group>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Pppoe.Enable, self).__init__()

                        self.yang_name = "enable"
                        self.yang_parent_name = "pppoe"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "enable"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Pppoe.Enable, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = Enum.YLeaf(0, "global")



            class Service(Entity):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of  		 :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.Service, self).__init__()

                    self.yang_name = "service"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"instance" : ("instance", Native.Interface.PortChannel.Service.Instance)}

                    self.instance = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:service"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Service, [], name, value)


                class Instance(Entity):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\: str
                    
                    	**length:** 0..240
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\: str
                    
                    	**length:** 1..100
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation>`
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ipv6>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:  :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:  :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:  :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Snmp>`
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:  :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Mac>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:  :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Cfm>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:  :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol>`
                    
                    .. attribute:: xconnect
                    
                    	
                    	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Xconnect>`
                    
                    .. attribute:: xconnect_pw_class
                    
                    	
                    	**type**\:  :py:class:`XconnectPwClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.XconnectPwClass>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Service.Instance, self).__init__()

                        self.yang_name = "instance"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.PortChannel.Service.Instance.Encapsulation), "ip" : ("ip", Native.Interface.PortChannel.Service.Instance.Ip), "ipv6" : ("ipv6", Native.Interface.PortChannel.Service.Instance.Ipv6), "rewrite" : ("rewrite", Native.Interface.PortChannel.Service.Instance.Rewrite), "errdisable" : ("errdisable", Native.Interface.PortChannel.Service.Instance.Errdisable), "ethernet-container" : ("ethernet_container", Native.Interface.PortChannel.Service.Instance.EthernetContainer), "snmp" : ("snmp", Native.Interface.PortChannel.Service.Instance.Snmp), "bridge-domain" : ("bridge_domain", Native.Interface.PortChannel.Service.Instance.BridgeDomain), "mac" : ("mac", Native.Interface.PortChannel.Service.Instance.Mac), "service-policy" : ("service_policy", Native.Interface.PortChannel.Service.Instance.ServicePolicy), "cfm" : ("cfm", Native.Interface.PortChannel.Service.Instance.Cfm), "l2protocol" : ("l2protocol", Native.Interface.PortChannel.Service.Instance.L2Protocol), "Cisco-IOS-XE-l2vpn:xconnect" : ("xconnect", Native.Interface.PortChannel.Service.Instance.Xconnect), "Cisco-IOS-XE-l2vpn:xconnect-pw-class" : ("xconnect_pw_class", Native.Interface.PortChannel.Service.Instance.XconnectPwClass)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint32, "id")

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.gigabitethernet = YLeaf(YType.empty, "GigabitEthernet")

                        self.ethernet = YLeaf(YType.empty, "ethernet")

                        self.ethernet_evc_name = YLeaf(YType.str, "ethernet-evc-name")

                        self.description = YLeaf(YType.str, "description")

                        self.evc_name = YLeaf(YType.str, "evc-name")

                        self.group = YLeaf(YType.uint32, "group")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.encapsulation = Native.Interface.PortChannel.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self._children_name_map["encapsulation"] = "encapsulation"
                        self._children_yang_names.add("encapsulation")

                        self.ip = Native.Interface.PortChannel.Service.Instance.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.ipv6 = Native.Interface.PortChannel.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.rewrite = Native.Interface.PortChannel.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self._children_name_map["rewrite"] = "rewrite"
                        self._children_yang_names.add("rewrite")

                        self.errdisable = Native.Interface.PortChannel.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self._children_name_map["errdisable"] = "errdisable"
                        self._children_yang_names.add("errdisable")

                        self.ethernet_container = Native.Interface.PortChannel.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self._children_name_map["ethernet_container"] = "ethernet-container"
                        self._children_yang_names.add("ethernet-container")

                        self.snmp = Native.Interface.PortChannel.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self._children_name_map["snmp"] = "snmp"
                        self._children_yang_names.add("snmp")

                        self.bridge_domain = Native.Interface.PortChannel.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self._children_name_map["bridge_domain"] = "bridge-domain"
                        self._children_yang_names.add("bridge-domain")

                        self.mac = Native.Interface.PortChannel.Service.Instance.Mac()
                        self.mac.parent = self
                        self._children_name_map["mac"] = "mac"
                        self._children_yang_names.add("mac")

                        self.service_policy = Native.Interface.PortChannel.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self._children_name_map["service_policy"] = "service-policy"
                        self._children_yang_names.add("service-policy")

                        self.cfm = Native.Interface.PortChannel.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self._children_name_map["cfm"] = "cfm"
                        self._children_yang_names.add("cfm")

                        self.l2protocol = Native.Interface.PortChannel.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self._children_name_map["l2protocol"] = "l2protocol"
                        self._children_yang_names.add("l2protocol")

                        self.xconnect = Native.Interface.PortChannel.Service.Instance.Xconnect()
                        self.xconnect.parent = self
                        self._children_name_map["xconnect"] = "xconnect"
                        self._children_yang_names.add("xconnect")

                        self.xconnect_pw_class = Native.Interface.PortChannel.Service.Instance.XconnectPwClass()
                        self.xconnect_pw_class.parent = self
                        self._children_name_map["xconnect_pw_class"] = "xconnect-pw-class"
                        self._children_yang_names.add("xconnect-pw-class")
                        self._segment_path = lambda: "instance" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Service.Instance, ['id', 'trunk', 'gigabitethernet', 'ethernet', 'ethernet_evc_name', 'description', 'evc_name', 'group', 'shutdown'], name, value)


                    class Encapsulation(Entity):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:  :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:  :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.Encapsulation, self).__init__()

                            self.yang_name = "encapsulation"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q), "priority-tagged" : ("priority_tagged", Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged), "untagged" : ("untagged", Native.Interface.PortChannel.Service.Instance.Encapsulation.Untagged)}
                            self._child_list_classes = {}

                            self.default = YLeaf(YType.empty, "default")

                            self.dot1ad = Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self._children_name_map["dot1ad"] = "dot1ad"
                            self._children_yang_names.add("dot1ad")

                            self.dot1q = Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self._children_name_map["dot1q"] = "dot1q"
                            self._children_yang_names.add("dot1q")

                            self.priority_tagged = Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self._children_name_map["priority_tagged"] = "priority-tagged"
                            self._children_yang_names.add("priority-tagged")

                            self.untagged = None
                            self._children_name_map["untagged"] = "untagged"
                            self._children_yang_names.add("untagged")
                            self._segment_path = lambda: "encapsulation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Encapsulation, ['default'], name, value)


                        class Dot1Ad(Entity):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Dot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad, self).__init__()

                                self.yang_name = "dot1ad"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.dot1q = YLeafList(YType.str, "dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.cos2 = Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1ad"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad, ['id', 'cos', 'dot1q', 'etype', 'exact'], name, value)

                            class Dot1Q(Enum):
                                """
                                Dot1Q

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1ad"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2, ['cos'], name, value)


                        class Dot1Q(Entity):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`SecondDot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:  :py:class:`VlanType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.VlanType>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q, self).__init__()

                                self.yang_name = "dot1q"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.second_dot1q = YLeafList(YType.str, "second-dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.vlan_type = YLeaf(YType.enumeration, "vlan-type")

                                self.cos2 = Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1q"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q, ['id', 'cos', 'second_dot1q', 'etype', 'exact', 'vlan_type'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class SecondDot1Q(Enum):
                                """
                                SecondDot1Q

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class VlanType(Enum):
                                """
                                VlanType

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = Enum.YLeaf(0, "0x88A8")

                                Y_0x9100 = Enum.YLeaf(1, "0x9100")

                                Y_0x9200 = Enum.YLeaf(2, "0x9200")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1q"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2, ['cos'], name, value)


                        class PriorityTagged(Entity):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:  :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.Etype>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged, self).__init__()

                                self.yang_name = "priority-tagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos-container" : ("cos_container", Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer)}
                                self._child_list_classes = {}

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.cos_container = Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self._children_name_map["cos_container"] = "cos-container"
                                self._children_yang_names.add("cos-container")
                                self._segment_path = lambda: "priority-tagged"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged, ['etype'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")



                            class CosContainer(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer, self).__init__()

                                    self.yang_name = "cos-container"
                                    self.yang_parent_name = "priority-tagged"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer, ['cos'], name, value)


                        class Untagged(Entity):
                            """
                            Untagged encapsulation
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Encapsulation.Untagged, self).__init__()

                                self.yang_name = "untagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "untagged"


                    class Ip(Entity):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"acl" : ("acl", Native.Interface.PortChannel.Service.Instance.Ip.Acl), "dhcp" : ("dhcp", Native.Interface.PortChannel.Service.Instance.Ip.Dhcp), "verify" : ("verify", Native.Interface.PortChannel.Service.Instance.Ip.Verify)}
                            self._child_list_classes = {}

                            self.acl = Native.Interface.PortChannel.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")

                            self.dhcp = Native.Interface.PortChannel.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self._children_name_map["dhcp"] = "dhcp"
                            self._children_yang_names.add("dhcp")

                            self.verify = Native.Interface.PortChannel.Service.Instance.Ip.Verify()
                            self.verify.parent = self
                            self._children_name_map["verify"] = "verify"
                            self._children_yang_names.add("verify")
                            self._segment_path = lambda: "ip"


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Ip.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.access_group = YLeaf(YType.str, "access-group")

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Ip.Acl, ['access_group', 'in_', 'out'], name, value)


                        class Dhcp(Entity):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Ip.Dhcp, self).__init__()

                                self.yang_name = "dhcp"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"relay" : ("relay", Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay)}
                                self._child_list_classes = {}

                                self.relay = Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self
                                self._children_name_map["relay"] = "relay"
                                self._children_yang_names.add("relay")
                                self._segment_path = lambda: "dhcp"


                            class Relay(Entity):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay, self).__init__()

                                    self.yang_name = "relay"
                                    self.yang_parent_name = "dhcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"information" : ("information", Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information)}
                                    self._child_list_classes = {}

                                    self.information = Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self
                                    self._children_name_map["information"] = "information"
                                    self._children_yang_names.add("information")
                                    self._segment_path = lambda: "relay"


                                class Information(Entity):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information, self).__init__()

                                        self.yang_name = "information"
                                        self.yang_parent_name = "relay"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"option" : ("option", Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option)}
                                        self._child_list_classes = {}

                                        self.option = Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self
                                        self._children_name_map["option"] = "option"
                                        self._children_yang_names.add("option")
                                        self._segment_path = lambda: "information"


                                    class Option(Entity):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                            self.yang_name = "option"
                                            self.yang_parent_name = "information"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                            self._segment_path = lambda: "option"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                        class Verify(Entity):
                            """
                            verify
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Ip.Verify, self).__init__()

                                self.yang_name = "verify"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.source = YLeaf(YType.empty, "source")

                                self.vlan = YLeaf(YType.empty, "vlan")

                                self.dhcp_snooping = YLeaf(YType.empty, "dhcp-snooping")

                                self.port_security = YLeaf(YType.empty, "port-security")
                                self._segment_path = lambda: "verify"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Ip.Verify, ['source', 'vlan', 'dhcp_snooping', 'port_security'], name, value)


                    class Ipv6(Entity):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\: str
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.traffic_filter = YLeaf(YType.str, "traffic-filter")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Ipv6, ['traffic_filter', 'in_', 'out'], name, value)


                    class Rewrite(Entity):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:  :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.Rewrite, self).__init__()

                            self.yang_name = "rewrite"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ingress" : ("ingress", Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress)}
                            self._child_list_classes = {}

                            self.ingress = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self
                            self._children_name_map["ingress"] = "ingress"
                            self._children_yang_names.add("ingress")
                            self._segment_path = lambda: "rewrite"


                        class Ingress(Entity):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress, self).__init__()

                                self.yang_name = "ingress"
                                self.yang_parent_name = "rewrite"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"tag" : ("tag", Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag)}
                                self._child_list_classes = {}

                                self.tag = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self
                                self._children_name_map["tag"] = "tag"
                                self._children_yang_names.add("tag")
                                self._segment_path = lambda: "ingress"


                            class Tag(Entity):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:  :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:  :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag, self).__init__()

                                    self.yang_name = "tag"
                                    self.yang_parent_name = "ingress"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pop" : ("pop", Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop), "push" : ("push", Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push), "translate" : ("translate", Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate)}
                                    self._child_list_classes = {}

                                    self.pop = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self._children_name_map["pop"] = "pop"
                                    self._children_yang_names.add("pop")

                                    self.push = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self._children_name_map["push"] = "push"
                                    self._children_yang_names.add("push")

                                    self.translate = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self
                                    self._children_name_map["translate"] = "translate"
                                    self._children_yang_names.add("translate")
                                    self._segment_path = lambda: "tag"


                                class Pop(Entity):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:  :py:class:`Way <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.Way>`
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop, self).__init__()

                                        self.yang_name = "pop"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.way = YLeaf(YType.enumeration, "way")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "pop"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop, ['way', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")


                                    class Way(Enum):
                                        """
                                        Way

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class Push(Entity):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push, self).__init__()

                                        self.yang_name = "push"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dot1q = YLeaf(YType.uint16, "dot1q")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "push"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push, ['dot1q', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")



                                class Translate(Entity):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:  :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:  :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:  :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:  :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate, self).__init__()

                                        self.yang_name = "translate"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"t1-to-1" : ("t1_to_1", Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1), "t1-to-2" : ("t1_to_2", Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2), "t2-to-1" : ("t2_to_1", Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1), "t2-to-2" : ("t2_to_2", Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2)}
                                        self._child_list_classes = {}

                                        self.t1_to_1 = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self._children_name_map["t1_to_1"] = "t1-to-1"
                                        self._children_yang_names.add("t1-to-1")

                                        self.t1_to_2 = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self._children_name_map["t1_to_2"] = "t1-to-2"
                                        self._children_yang_names.add("t1-to-2")

                                        self.t2_to_1 = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self._children_name_map["t2_to_1"] = "t2-to-1"
                                        self._children_yang_names.add("t2-to-1")

                                        self.t2_to_2 = Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self
                                        self._children_name_map["t2_to_2"] = "t2-to-2"
                                        self._children_yang_names.add("t2-to-2")
                                        self._segment_path = lambda: "translate"


                                    class T1To1(Entity):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, self).__init__()

                                            self.yang_name = "t1-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T1To2(Entity):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, self).__init__()

                                            self.yang_name = "t1-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To1(Entity):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, self).__init__()

                                            self.yang_name = "t2-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To2(Entity):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, self).__init__()

                                            self.yang_name = "t2-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                    class Errdisable(Entity):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.Errdisable, self).__init__()

                            self.yang_name = "errdisable"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"recovery" : ("recovery", Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery)}
                            self._child_list_classes = {}

                            self.recovery = Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self
                            self._children_name_map["recovery"] = "recovery"
                            self._children_yang_names.add("recovery")
                            self._segment_path = lambda: "errdisable"


                        class Recovery(Entity):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:  :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery, self).__init__()

                                self.yang_name = "recovery"
                                self.yang_parent_name = "errdisable"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cause" : ("cause", Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery.Cause)}
                                self._child_list_classes = {}

                                self.cause = Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self
                                self._children_name_map["cause"] = "cause"
                                self._children_yang_names.add("cause")
                                self._segment_path = lambda: "recovery"


                            class Cause(Entity):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\: int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery.Cause, self).__init__()

                                    self.yang_name = "cause"
                                    self.yang_parent_name = "recovery"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mac_security = YLeaf(YType.uint32, "mac-security")
                                    self._segment_path = lambda: "cause"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Errdisable.Recovery.Cause, ['mac_security'], name, value)


                    class EthernetContainer(Entity):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.EthernetContainer, self).__init__()

                            self.yang_name = "ethernet-container"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet)}
                            self._child_list_classes = {}

                            self.ethernet = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self
                            self._children_name_map["ethernet"] = "ethernet"
                            self._children_yang_names.add("ethernet")
                            self._segment_path = lambda: "ethernet-container"


                        class Ethernet(Entity):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:  :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:  :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet, self).__init__()

                                self.yang_name = "ethernet"
                                self.yang_parent_name = "ethernet-container"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lmi" : ("lmi", Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi), "loopback" : ("loopback", Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback)}
                                self._child_list_classes = {}

                                self.lmi = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self._children_name_map["lmi"] = "lmi"
                                self._children_yang_names.add("lmi")

                                self.loopback = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self
                                self._children_name_map["loopback"] = "loopback"
                                self._children_yang_names.add("loopback")
                                self._segment_path = lambda: "ethernet"


                            class Lmi(Entity):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:  :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi, self).__init__()

                                    self.yang_name = "lmi"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ce-vlan" : ("ce_vlan", Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan)}
                                    self._child_list_classes = {}

                                    self.ce_vlan = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self
                                    self._children_name_map["ce_vlan"] = "ce-vlan"
                                    self._children_yang_names.add("ce-vlan")
                                    self._segment_path = lambda: "lmi"


                                class CeVlan(Entity):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan, self).__init__()

                                        self.yang_name = "ce-vlan"
                                        self.yang_parent_name = "lmi"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map" : ("map", Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map)}
                                        self._child_list_classes = {}

                                        self.map = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self
                                        self._children_name_map["map"] = "map"
                                        self._children_yang_names.add("map")
                                        self._segment_path = lambda: "ce-vlan"


                                    class Map(Entity):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:  :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, self).__init__()

                                            self.yang_name = "map"
                                            self.yang_parent_name = "ce-vlan"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"vlan-range" : ("vlan_range", Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange)}
                                            self._child_list_classes = {}

                                            self.any = YLeaf(YType.empty, "any")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.untagged = YLeaf(YType.empty, "untagged")

                                            self.vlan_range = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self
                                            self._children_name_map["vlan_range"] = "vlan-range"
                                            self._children_yang_names.add("vlan-range")
                                            self._segment_path = lambda: "map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, ['any', 'default', 'untagged'], name, value)


                                        class VlanRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, self).__init__()

                                                self.yang_name = "vlan-range"
                                                self.yang_parent_name = "map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                                self.comma = YLeaf(YType.uint16, "comma")

                                                self.hyphen = YLeaf(YType.uint16, "hyphen")
                                                self._segment_path = lambda: "vlan-range"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, ['vlan_id', 'comma', 'hyphen'], name, value)


                            class Loopback(Entity):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback, self).__init__()

                                    self.yang_name = "loopback"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"permit" : ("permit", Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit)}
                                    self._child_list_classes = {}

                                    self.permit = Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self
                                    self._children_name_map["permit"] = "permit"
                                    self._children_yang_names.add("permit")
                                    self._segment_path = lambda: "loopback"


                                class Permit(Entity):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, self).__init__()

                                        self.yang_name = "permit"
                                        self.yang_parent_name = "loopback"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.external = YLeaf(YType.empty, "external")

                                        self.internal = YLeaf(YType.empty, "internal")
                                        self._segment_path = lambda: "permit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, ['external', 'internal'], name, value)


                    class Snmp(Entity):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Snmp.Trap>`
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Snmp.Ifindex>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.Snmp, self).__init__()

                            self.yang_name = "snmp"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"trap" : ("trap", Native.Interface.PortChannel.Service.Instance.Snmp.Trap), "ifindex" : ("ifindex", Native.Interface.PortChannel.Service.Instance.Snmp.Ifindex)}
                            self._child_list_classes = {}

                            self.trap = Native.Interface.PortChannel.Service.Instance.Snmp.Trap()
                            self.trap.parent = self
                            self._children_name_map["trap"] = "trap"
                            self._children_yang_names.add("trap")

                            self.ifindex = Native.Interface.PortChannel.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self._children_name_map["ifindex"] = "ifindex"
                            self._children_yang_names.add("ifindex")
                            self._segment_path = lambda: "snmp"


                        class Trap(Entity):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Snmp.Trap, self).__init__()

                                self.yang_name = "trap"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.link_status = YLeaf(YType.empty, "link-status")
                                self._segment_path = lambda: "trap"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Snmp.Trap, ['link_status'], name, value)


                        class Ifindex(Entity):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Snmp.Ifindex, self).__init__()

                                self.yang_name = "ifindex"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.persist = YLeaf(YType.empty, "persist")
                                self._segment_path = lambda: "ifindex"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Snmp.Ifindex, ['persist'], name, value)


                    class BridgeDomain(Entity):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:  :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.BridgeDomain, self).__init__()

                            self.yang_name = "bridge-domain"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"split-horizon" : ("split_horizon", Native.Interface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon)}
                            self._child_list_classes = {}

                            self.bridge_id = YLeaf(YType.uint16, "bridge-id")

                            self.from_encapsulation = YLeaf(YType.empty, "from-encapsulation")

                            self.split_horizon = Native.Interface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self
                            self._children_name_map["split_horizon"] = "split-horizon"
                            self._children_yang_names.add("split-horizon")
                            self._segment_path = lambda: "bridge-domain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Service.Instance.BridgeDomain, ['bridge_id', 'from_encapsulation'], name, value)


                        class SplitHorizon(Entity):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\: int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon, self).__init__()

                                self.yang_name = "split-horizon"
                                self.yang_parent_name = "bridge-domain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group = YLeaf(YType.uint8, "group")
                                self._segment_path = lambda: "split-horizon"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon, ['group'], name, value)


                    class Mac(Entity):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.Mac, self).__init__()

                            self.yang_name = "mac"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"security" : ("security", Native.Interface.PortChannel.Service.Instance.Mac.Security)}
                            self._child_list_classes = {}

                            self.security = None
                            self._children_name_map["security"] = "security"
                            self._children_yang_names.add("security")
                            self._segment_path = lambda: "mac"


                        class Security(Entity):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Mac.Security.Violation>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Mac.Security, self).__init__()

                                self.yang_name = "security"
                                self.yang_parent_name = "mac"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"maximum" : ("maximum", Native.Interface.PortChannel.Service.Instance.Mac.Security.Maximum)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.violation = YLeaf(YType.enumeration, "violation")

                                self.maximum = Native.Interface.PortChannel.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self._children_name_map["maximum"] = "maximum"
                                self._children_yang_names.add("maximum")
                                self._segment_path = lambda: "security"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Mac.Security, ['violation'], name, value)

                            class Violation(Enum):
                                """
                                Violation

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = Enum.YLeaf(0, "protect")

                                restrict = Enum.YLeaf(1, "restrict")



                            class Maximum(Entity):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\: int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.Mac.Security.Maximum, self).__init__()

                                    self.yang_name = "maximum"
                                    self.yang_parent_name = "security"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.addresses = YLeaf(YType.uint16, "addresses")
                                    self._segment_path = lambda: "maximum"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Mac.Security.Maximum, ['addresses'], name, value)


                    class ServicePolicy(Entity):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of  		 :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of  		 :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.ServicePolicy, self).__init__()

                            self.yang_name = "service-policy"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"input" : ("input", Native.Interface.PortChannel.Service.Instance.ServicePolicy.Input), "output" : ("output", Native.Interface.PortChannel.Service.Instance.ServicePolicy.Output)}

                            self.input = YList(self)
                            self.output = YList(self)
                            self._segment_path = lambda: "service-policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Service.Instance.ServicePolicy, [], name, value)


                        class Input(Entity):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.ServicePolicy.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.ServicePolicy.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.ServicePolicy.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.ServicePolicy.Output, ['name'], name, value)


                    class Cfm(Entity):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:  :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:  :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.Cfm, self).__init__()

                            self.yang_name = "cfm"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation), "mep" : ("mep", Native.Interface.PortChannel.Service.Instance.Cfm.Mep), "mip" : ("mip", Native.Interface.PortChannel.Service.Instance.Cfm.Mip)}
                            self._child_list_classes = {}

                            self.encapsulation = Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.mep = Native.Interface.PortChannel.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self._children_name_map["mep"] = "mep"
                            self._children_yang_names.add("mep")

                            self.mip = Native.Interface.PortChannel.Service.Instance.Cfm.Mip()
                            self.mip.parent = self
                            self._children_name_map["mip"] = "mip"
                            self._children_yang_names.add("mip")
                            self._segment_path = lambda: "cfm"


                        class Encapsulation(Entity):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q)}
                                self._child_list_classes = {}

                                self.dot1ad = Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self._children_name_map["dot1ad"] = "dot1ad"
                                self._children_yang_names.add("dot1ad")

                                self.dot1q = Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self
                                self._children_name_map["dot1q"] = "dot1q"
                                self._children_yang_names.add("dot1q")
                                self._segment_path = lambda: "encapsulation"


                            class Dot1Ad(Entity):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad, self).__init__()

                                    self.yang_name = "dot1ad"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.dot1q = YLeaf(YType.uint16, "dot1q")
                                    self._segment_path = lambda: "dot1ad"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad, ['vlan_id', 'cos', 'dot1q'], name, value)


                            class Dot1Q(Entity):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q, self).__init__()

                                    self.yang_name = "dot1q"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")
                                    self._segment_path = lambda: "dot1q"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q, ['vlan_id', 'cos', 'second_dot1q'], name, value)


                        class Mep(Entity):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\: str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\: int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Cfm.Mep, self).__init__()

                                self.yang_name = "mep"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.domain = YLeaf(YType.str, "domain")

                                self.mpid = YLeaf(YType.uint16, "mpid")
                                self._segment_path = lambda: "mep"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Cfm.Mep, ['domain', 'mpid'], name, value)


                        class Mip(Entity):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Cfm.Mip, self).__init__()

                                self.yang_name = "mip"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level = YLeaf(YType.uint8, "level")
                                self._segment_path = lambda: "mip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Cfm.Mip, ['level'], name, value)


                    class L2Protocol(Entity):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:  :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.L2Protocol, self).__init__()

                            self.yang_name = "l2protocol"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer), "forward" : ("forward", Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward), "tunnel" : ("tunnel", Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel)}
                            self._child_list_classes = {}

                            self.peer = None
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.forward = None
                            self._children_name_map["forward"] = "forward"
                            self._children_yang_names.add("forward")

                            self.tunnel = None
                            self._children_name_map["tunnel"] = "tunnel"
                            self._children_yang_names.add("tunnel")
                            self._segment_path = lambda: "l2protocol"


                        class Peer(Entity):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.L2Protocol.Peer, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Forward(Entity):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward, self).__init__()

                                self.yang_name = "forward"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "forward"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.L2Protocol.Forward, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Tunnel(Entity):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel, self).__init__()

                                self.yang_name = "tunnel"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "tunnel"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.L2Protocol.Tunnel, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                    class Xconnect(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vcid
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Xconnect.Encapsulation>`
                        
                        .. attribute:: manual
                        
                        	Manually configure L2TP session parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pw_class
                        
                        	Optional pseudowire\-class to use for advanced configuration
                        	**type**\: str
                        
                        .. attribute:: sequencing
                        
                        	Configure sequencing options for xconnect
                        	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Xconnect.Sequencing>`
                        
                        .. attribute:: backup
                        
                        	Xconnect backup configuration commands
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Xconnect.Backup>`
                        
                        .. attribute:: mtu
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.Xconnect, self).__init__()

                            self.yang_name = "xconnect"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"backup" : ("backup", Native.Interface.PortChannel.Service.Instance.Xconnect.Backup)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.vcid = YLeaf(YType.uint32, "vcid")

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.manual = YLeaf(YType.empty, "manual")

                            self.pw_class = YLeaf(YType.str, "pw-class")

                            self.sequencing = YLeaf(YType.enumeration, "sequencing")

                            self.mtu = YLeaf(YType.uint32, "mtu")

                            self.backup = Native.Interface.PortChannel.Service.Instance.Xconnect.Backup()
                            self.backup.parent = self
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")
                            self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:xconnect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'pw_class', 'sequencing', 'mtu'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Data encapsulation method

                            .. data:: mpls = 0

                            .. data:: l2tpv3 = 1

                            """

                            mpls = Enum.YLeaf(0, "mpls")

                            l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                        class Sequencing(Enum):
                            """
                            Sequencing

                            Configure sequencing options for xconnect

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: transmit = 2

                            """

                            both = Enum.YLeaf(0, "both")

                            receive = Enum.YLeaf(1, "receive")

                            transmit = Enum.YLeaf(2, "transmit")



                        class Backup(Entity):
                            """
                            Xconnect backup configuration commands
                            
                            .. attribute:: peer
                            
                            	Backup pseudowire
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Peer>`
                            
                            .. attribute:: delay
                            
                            	backup delay time
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Delay>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.Xconnect.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "xconnect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Peer), "delay" : ("delay", Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Delay)}
                                self._child_list_classes = {}

                                self.peer = Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.delay = Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "backup"


                            class Peer(Entity):
                                """
                                Backup pseudowire
                                
                                .. attribute:: peer_router_ip_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vcid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: pw_class
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: priority
                                
                                	Optional priority to use for backup pseudowire
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_router_ip_addr = YLeaf(YType.str, "peer-router-ip-addr")

                                    self.vcid = YLeaf(YType.uint32, "vcid")

                                    self.pw_class = YLeaf(YType.str, "pw-class")

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Peer, ['peer_router_ip_addr', 'vcid', 'pw_class', 'priority'], name, value)


                            class Delay(Entity):
                                """
                                backup delay time
                                
                                .. attribute:: min
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "backup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.min = YLeaf(YType.uint32, "min")

                                    self.max = YLeaf(YType.uint32, "max")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Service.Instance.Xconnect.Backup.Delay, ['min', 'max'], name, value)


                    class XconnectPwClass(Entity):
                        """
                        
                        
                        .. attribute:: xconnect
                        
                        	Xconnect commands
                        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Service.Instance.XconnectPwClass, self).__init__()

                            self.yang_name = "xconnect-pw-class"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"xconnect" : ("xconnect", Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect)}
                            self._child_list_classes = {}

                            self.xconnect = Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect()
                            self.xconnect.parent = self
                            self._children_name_map["xconnect"] = "xconnect"
                            self._children_yang_names.add("xconnect")
                            self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:xconnect-pw-class"


                        class Xconnect(Entity):
                            """
                            Xconnect commands
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vcid
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: pw_class
                            
                            	Pseudowire\-class to use for encapsulation and protocol configuration
                            	**type**\: str
                            
                            .. attribute:: udp
                            
                            	UDP
                            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect, self).__init__()

                                self.yang_name = "xconnect"
                                self.yang_parent_name = "xconnect-pw-class"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"udp" : ("udp", Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.vcid = YLeaf(YType.uint32, "vcid")

                                self.pw_class = YLeaf(YType.str, "pw-class")

                                self.udp = Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp()
                                self.udp.parent = self
                                self._children_name_map["udp"] = "udp"
                                self._children_yang_names.add("udp")
                                self._segment_path = lambda: "xconnect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect, ['address', 'vcid', 'pw_class'], name, value)


                            class Udp(Entity):
                                """
                                UDP
                                
                                .. attribute:: port
                                
                                	UDP ports
                                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp.Port>`
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp, self).__init__()

                                    self.yang_name = "udp"
                                    self.yang_parent_name = "xconnect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"port" : ("port", Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp.Port)}
                                    self._child_list_classes = {}

                                    self.port = Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp.Port()
                                    self.port.parent = self
                                    self._children_name_map["port"] = "port"
                                    self._children_yang_names.add("port")
                                    self._segment_path = lambda: "udp"


                                class Port(Entity):
                                    """
                                    UDP ports
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: remote
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp.Port, self).__init__()

                                        self.yang_name = "port"
                                        self.yang_parent_name = "udp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.local = YLeaf(YType.uint32, "local")

                                        self.remote = YLeaf(YType.uint32, "remote")
                                        self._segment_path = lambda: "port"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Service.Instance.XconnectPwClass.Xconnect.Udp.Port, ['local', 'remote'], name, value)


            class Xconnect(Entity):
                """
                Xconnect commands
                
                .. attribute:: address
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: vcid
                
                	
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: encapsulation
                
                	Data encapsulation method
                	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Xconnect.Encapsulation>`
                
                .. attribute:: manual
                
                	Manually configure L2TP session parameters
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: sequence
                
                	Configure sequencing options for xconnect
                	**type**\:  :py:class:`Sequence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Xconnect.Sequence>`
                
                .. attribute:: pw_class
                
                	Pseudowire\-class to use for encapsulation and protocol configuration
                	**type**\: str
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.Xconnect, self).__init__()

                    self.yang_name = "xconnect"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.str, "address")

                    self.vcid = YLeaf(YType.uint32, "vcid")

                    self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                    self.manual = YLeaf(YType.empty, "manual")

                    self.sequence = YLeaf(YType.enumeration, "sequence")

                    self.pw_class = YLeaf(YType.str, "pw-class")
                    self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:xconnect"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Xconnect, ['address', 'vcid', 'encapsulation', 'manual', 'sequence', 'pw_class'], name, value)

                class Encapsulation(Enum):
                    """
                    Encapsulation

                    Data encapsulation method

                    .. data:: mpls = 0

                    .. data:: l2tpv3 = 1

                    """

                    mpls = Enum.YLeaf(0, "mpls")

                    l2tpv3 = Enum.YLeaf(1, "l2tpv3")


                class Sequence(Enum):
                    """
                    Sequence

                    Configure sequencing options for xconnect

                    .. data:: both = 0

                    .. data:: receive = 1

                    .. data:: transmit = 2

                    """

                    both = Enum.YLeaf(0, "both")

                    receive = Enum.YLeaf(1, "receive")

                    transmit = Enum.YLeaf(2, "transmit")



            class Snmp(Entity):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.Snmp, self).__init__()

                    self.yang_name = "snmp"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ifindex" : ("ifindex", Native.Interface.PortChannel.Snmp.Ifindex), "trap" : ("trap", Native.Interface.PortChannel.Snmp.Trap)}
                    self._child_list_classes = {}

                    self.ifindex = Native.Interface.PortChannel.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self._children_name_map["ifindex"] = "ifindex"
                    self._children_yang_names.add("ifindex")

                    self.trap = Native.Interface.PortChannel.Snmp.Trap()
                    self.trap.parent = self
                    self._children_name_map["trap"] = "trap"
                    self._children_yang_names.add("trap")
                    self._segment_path = lambda: "Cisco-IOS-XE-snmp:snmp"


                class Ifindex(Entity):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Snmp.Ifindex, self).__init__()

                        self.yang_name = "ifindex"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.persist = YLeaf(YType.empty, "persist")

                        self.clear = YLeaf(YType.boolean, "clear")
                        self._segment_path = lambda: "ifindex"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Snmp.Ifindex, ['persist', 'clear'], name, value)


                class Trap(Entity):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\: bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:  :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Snmp.Trap, self).__init__()

                        self.yang_name = "trap"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-status-capas" : ("link_status_capas", Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas)}
                        self._child_list_classes = {}

                        self.link_status = YLeaf(YType.boolean, "link-status")

                        self.link_status_capas = Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self
                        self._children_name_map["link_status_capas"] = "link-status-capas"
                        self._children_yang_names.add("link-status-capas")
                        self._segment_path = lambda: "trap"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Snmp.Trap, ['link_status'], name, value)


                    class LinkStatusCapas(Entity):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:  :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas, self).__init__()

                            self.yang_name = "link-status-capas"
                            self.yang_parent_name = "trap"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"link-status" : ("link_status", Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus)}
                            self._child_list_classes = {}

                            self.link_status = Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self
                            self._children_name_map["link_status"] = "link-status"
                            self._children_yang_names.add("link-status")
                            self._segment_path = lambda: "link-status-capas"


                        class LinkStatus(Entity):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus, self).__init__()

                                self.yang_name = "link-status"
                                self.yang_parent_name = "link-status-capas"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"permit" : ("permit", Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit)}
                                self._child_list_classes = {}

                                self.permit = Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self
                                self._children_name_map["permit"] = "permit"
                                self._children_yang_names.add("permit")
                                self._segment_path = lambda: "link-status"


                            class Permit(Entity):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, self).__init__()

                                    self.yang_name = "permit"
                                    self.yang_parent_name = "link-status"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.duplicates = YLeaf(YType.empty, "duplicates")
                                    self._segment_path = lambda: "permit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, ['duplicates'], name, value)


            class Crypto(Entity):
                """
                Encryption/Decryption commands
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Crypto.Map>`
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Crypto.Ipsec>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Interface.PortChannel.Crypto, self).__init__()

                    self.yang_name = "crypto"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"map" : ("map", Native.Interface.PortChannel.Crypto.Map), "ipsec" : ("ipsec", Native.Interface.PortChannel.Crypto.Ipsec)}
                    self._child_list_classes = {}

                    self.map = Native.Interface.PortChannel.Crypto.Map()
                    self.map.parent = self
                    self._children_name_map["map"] = "map"
                    self._children_yang_names.add("map")

                    self.ipsec = Native.Interface.PortChannel.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self._children_name_map["ipsec"] = "ipsec"
                    self._children_yang_names.add("ipsec")
                    self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"


                class Map(Entity):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\: str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Crypto.Map, self).__init__()

                        self.yang_name = "map"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.str, "tag")

                        self.redundancy = YLeaf(YType.str, "redundancy")

                        self.stateful = YLeaf(YType.empty, "stateful")
                        self._segment_path = lambda: "map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Crypto.Map, ['tag', 'redundancy', 'stateful'], name, value)


                class Ipsec(Entity):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:  :py:class:`DfBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Crypto.Ipsec.DfBit>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Crypto.Ipsec.Fragmentation>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Crypto.Ipsec, self).__init__()

                        self.yang_name = "ipsec"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.df_bit = YLeaf(YType.enumeration, "df-bit")

                        self.fragmentation = YLeaf(YType.enumeration, "fragmentation")
                        self._segment_path = lambda: "ipsec"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Crypto.Ipsec, ['df_bit', 'fragmentation'], name, value)

                    class DfBit(Enum):
                        """
                        DfBit

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = Enum.YLeaf(0, "clear")

                        copy = Enum.YLeaf(1, "copy")

                        set = Enum.YLeaf(2, "set")


                    class Fragmentation(Enum):
                        """
                        Fragmentation

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = Enum.YLeaf(0, "after-encryption")

                        before_encryption = Enum.YLeaf(1, "before-encryption")



            class Cts(Entity):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:  :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Interface.PortChannel.Cts, self).__init__()

                    self.yang_name = "cts"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"manual" : ("manual", Native.Interface.PortChannel.Cts.Manual)}
                    self._child_list_classes = {}

                    self.manual = None
                    self._children_name_map["manual"] = "manual"
                    self._children_yang_names.add("manual")
                    self._segment_path = lambda: "Cisco-IOS-XE-cts:cts"


                class Manual(Entity):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Policy>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:  :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:  :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Propagate>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Cts.Manual, self).__init__()

                        self.yang_name = "manual"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"policy" : ("policy", Native.Interface.PortChannel.Cts.Manual.Policy), "sap" : ("sap", Native.Interface.PortChannel.Cts.Manual.Sap), "propagate" : ("propagate", Native.Interface.PortChannel.Cts.Manual.Propagate)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.policy = Native.Interface.PortChannel.Cts.Manual.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.sap = Native.Interface.PortChannel.Cts.Manual.Sap()
                        self.sap.parent = self
                        self._children_name_map["sap"] = "sap"
                        self._children_yang_names.add("sap")

                        self.propagate = Native.Interface.PortChannel.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self._children_name_map["propagate"] = "propagate"
                        self._children_yang_names.add("propagate")
                        self._segment_path = lambda: "manual"


                    class Policy(Entity):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Cts.Manual.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"static" : ("static", Native.Interface.PortChannel.Cts.Manual.Policy.Static)}
                            self._child_list_classes = {}

                            self.static = Native.Interface.PortChannel.Cts.Manual.Policy.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")
                            self._segment_path = lambda: "policy"


                        class Static(Entity):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted  incoming traffic
                            	**type**\: int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for  sending
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Cts.Manual.Policy.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sgt = YLeaf(YType.uint16, "sgt")

                                self.trusted = YLeaf(YType.empty, "trusted")
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Cts.Manual.Policy.Static, ['sgt', 'trusted'], name, value)


                    class Sap(Entity):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of  		 :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Cts.Manual.Sap, self).__init__()

                            self.yang_name = "sap"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"pmk" : ("pmk", Native.Interface.PortChannel.Cts.Manual.Sap.Pmk)}

                            self.pmk = YList(self)
                            self._segment_path = lambda: "sap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Cts.Manual.Sap, [], name, value)


                        class Pmk(Entity):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:  :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Cts.Manual.Sap.Pmk, self).__init__()

                                self.yang_name = "pmk"
                                self.yang_parent_name = "sap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode-list" : ("mode_list", Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList)}
                                self._child_list_classes = {}

                                self.word = YLeaf(YType.str, "word")

                                self.mode_list = Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self
                                self._children_name_map["mode_list"] = "mode-list"
                                self._children_yang_names.add("mode-list")
                                self._segment_path = lambda: "pmk" + "[word='" + self.word.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Cts.Manual.Sap.Pmk, ['word'], name, value)


                            class ModeList(Entity):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:  :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:  :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-06-29'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList, self).__init__()

                                    self.yang_name = "mode-list"
                                    self.yang_parent_name = "pmk"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"gcm-encrypt" : ("gcm_encrypt", Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt), "no-encap" : ("no_encap", Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap)}
                                    self._child_list_classes = {}

                                    self.gcm_encrypt = None
                                    self._children_name_map["gcm_encrypt"] = "gcm-encrypt"
                                    self._children_yang_names.add("gcm-encrypt")

                                    self.no_encap = None
                                    self._children_name_map["no_encap"] = "no-encap"
                                    self._children_yang_names.add("no-encap")
                                    self._segment_path = lambda: "mode-list"


                                class GcmEncrypt(Entity):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt, self).__init__()

                                        self.yang_name = "gcm-encrypt"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "gcm-encrypt"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,  no encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "gcm-encrypt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.null = YLeaf(YType.empty, "null")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, ['null'], name, value)


                                class NoEncap(Entity):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap, self).__init__()

                                        self.yang_name = "no-encap"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "no-encap"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "no-encap"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.gcm_encrypt = YLeaf(YType.empty, "gcm-encrypt")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, ['gcm_encrypt'], name, value)


                    class Propagate(Entity):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Cts.Manual.Propagate, self).__init__()

                            self.yang_name = "propagate"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sgt = YLeaf(YType.boolean, "sgt")
                            self._segment_path = lambda: "propagate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Cts.Manual.Propagate, ['sgt'], name, value)


            class Dot1X(Entity):
                """
                Interface Config Commands for IEEE 802.1X
                
                .. attribute:: authenticator
                
                	Configure authenticator parameters
                	**type**\:  :py:class:`Authenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X.Authenticator>`
                
                .. attribute:: credentials
                
                	Credentials profile configuration
                	**type**\: str
                
                .. attribute:: max_reauth_req
                
                	Max No. of Reauthentication Attempts
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: max_req
                
                	Max No. of Retries
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: max_start
                
                	Max No. of EAPOL\-Start requests
                	**type**\: int
                
                	**range:** 1..10
                
                .. attribute:: pae
                
                	Set 802.1x interface pae type
                	**type**\:  :py:class:`Pae <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X.Pae>`
                
                .. attribute:: supplicant
                
                	Configure supplicant parameters
                	**type**\:  :py:class:`Supplicant <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X.Supplicant>`
                
                .. attribute:: timeout
                
                	Various Timeouts
                	**type**\:  :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X.Timeout>`
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.Dot1X, self).__init__()

                    self.yang_name = "dot1x"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authenticator" : ("authenticator", Native.Interface.PortChannel.Dot1X.Authenticator), "supplicant" : ("supplicant", Native.Interface.PortChannel.Dot1X.Supplicant), "timeout" : ("timeout", Native.Interface.PortChannel.Dot1X.Timeout)}
                    self._child_list_classes = {}

                    self.credentials = YLeaf(YType.str, "credentials")

                    self.max_reauth_req = YLeaf(YType.uint8, "max-reauth-req")

                    self.max_req = YLeaf(YType.uint8, "max-req")

                    self.max_start = YLeaf(YType.uint8, "max-start")

                    self.pae = YLeaf(YType.enumeration, "pae")

                    self.authenticator = Native.Interface.PortChannel.Dot1X.Authenticator()
                    self.authenticator.parent = self
                    self._children_name_map["authenticator"] = "authenticator"
                    self._children_yang_names.add("authenticator")

                    self.supplicant = Native.Interface.PortChannel.Dot1X.Supplicant()
                    self.supplicant.parent = self
                    self._children_name_map["supplicant"] = "supplicant"
                    self._children_yang_names.add("supplicant")

                    self.timeout = Native.Interface.PortChannel.Dot1X.Timeout()
                    self.timeout.parent = self
                    self._children_name_map["timeout"] = "timeout"
                    self._children_yang_names.add("timeout")
                    self._segment_path = lambda: "Cisco-IOS-XE-dot1x:dot1x"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Dot1X, ['credentials', 'max_reauth_req', 'max_req', 'max_start', 'pae'], name, value)

                class Pae(Enum):
                    """
                    Pae

                    Set 802.1x interface pae type

                    .. data:: authenticator = 0

                    .. data:: supplicant = 1

                    .. data:: both = 2

                    """

                    authenticator = Enum.YLeaf(0, "authenticator")

                    supplicant = Enum.YLeaf(1, "supplicant")

                    both = Enum.YLeaf(2, "both")



                class Authenticator(Entity):
                    """
                    Configure authenticator parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP authenticator parameters
                    	**type**\:  :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X.Authenticator.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Dot1X.Authenticator, self).__init__()

                        self.yang_name = "authenticator"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"eap" : ("eap", Native.Interface.PortChannel.Dot1X.Authenticator.Eap)}
                        self._child_list_classes = {}

                        self.eap = Native.Interface.PortChannel.Dot1X.Authenticator.Eap()
                        self.eap.parent = self
                        self._children_name_map["eap"] = "eap"
                        self._children_yang_names.add("eap")
                        self._segment_path = lambda: "authenticator"


                    class Eap(Entity):
                        """
                        Configure EAP authenticator parameters
                        
                        .. attribute:: profile
                        
                        	EAP authenticator profile configuration
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Dot1X.Authenticator.Eap, self).__init__()

                            self.yang_name = "eap"
                            self.yang_parent_name = "authenticator"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.profile = YLeaf(YType.str, "profile")
                            self._segment_path = lambda: "eap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Dot1X.Authenticator.Eap, ['profile'], name, value)


                class Supplicant(Entity):
                    """
                    Configure supplicant parameters
                    
                    .. attribute:: eap
                    
                    	Configure EAP supplicant parameters
                    	**type**\:  :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Dot1X.Supplicant.Eap>`
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Dot1X.Supplicant, self).__init__()

                        self.yang_name = "supplicant"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"eap" : ("eap", Native.Interface.PortChannel.Dot1X.Supplicant.Eap)}
                        self._child_list_classes = {}

                        self.eap = Native.Interface.PortChannel.Dot1X.Supplicant.Eap()
                        self.eap.parent = self
                        self._children_name_map["eap"] = "eap"
                        self._children_yang_names.add("eap")
                        self._segment_path = lambda: "supplicant"


                    class Eap(Entity):
                        """
                        Configure EAP supplicant parameters
                        
                        .. attribute:: profile
                        
                        	EAP supplicant profile configuration
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Dot1X.Supplicant.Eap, self).__init__()

                            self.yang_name = "eap"
                            self.yang_parent_name = "supplicant"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.profile = YLeaf(YType.str, "profile")
                            self._segment_path = lambda: "eap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Dot1X.Supplicant.Eap, ['profile'], name, value)


                class Timeout(Entity):
                    """
                    Various Timeouts
                    
                    .. attribute:: auth_period
                    
                    	Timeout for authenticator reply
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: held_period
                    
                    	Timeout for authentication retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: quiet_period
                    
                    	QuietPeriod in Seconds
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: ratelimit_period
                    
                    	Ratelimit Period in seconds
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: server_timeout
                    
                    	Timeout for Radius Retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: start_period
                    
                    	Timeout for EAPOL\-start retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: supp_timeout
                    
                    	Timeout for supplicant reply
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: tx_period
                    
                    	Timeout for supplicant retries
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Dot1X.Timeout, self).__init__()

                        self.yang_name = "timeout"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auth_period = YLeaf(YType.uint16, "auth-period")

                        self.held_period = YLeaf(YType.uint16, "held-period")

                        self.quiet_period = YLeaf(YType.uint16, "quiet-period")

                        self.ratelimit_period = YLeaf(YType.uint16, "ratelimit-period")

                        self.server_timeout = YLeaf(YType.uint16, "server-timeout")

                        self.start_period = YLeaf(YType.uint16, "start-period")

                        self.supp_timeout = YLeaf(YType.uint16, "supp-timeout")

                        self.tx_period = YLeaf(YType.uint16, "tx-period")
                        self._segment_path = lambda: "timeout"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Dot1X.Timeout, ['auth_period', 'held_period', 'quiet_period', 'ratelimit_period', 'server_timeout', 'start_period', 'supp_timeout', 'tx_period'], name, value)


            class ServicePolicy(Entity):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\: str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\: str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Interface.PortChannel.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.Interface.PortChannel.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.history = YLeaf(YType.empty, "history")

                    self.input = YLeaf(YType.str, "input")

                    self.output = YLeaf(YType.str, "output")

                    self.type = Native.Interface.PortChannel.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.ServicePolicy, ['history', 'input', 'output'], name, value)


                class Type(Entity):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Interface.PortChannel.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"control" : ("control", Native.Interface.PortChannel.ServicePolicy.Type.Control), "performance-monitor" : ("performance_monitor", Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor), "service-chain" : ("service_chain", Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain)}
                        self._child_list_classes = {}

                        self.control = Native.Interface.PortChannel.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self._children_name_map["control"] = "control"
                        self._children_yang_names.add("control")

                        self.performance_monitor = Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.service_chain = Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self
                        self._children_name_map["service_chain"] = "service-chain"
                        self._children_yang_names.add("service-chain")
                        self._segment_path = lambda: "type"


                    class Control(Entity):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.PortChannel.ServicePolicy.Type.Control, self).__init__()

                            self.yang_name = "control"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.subscriber = YLeaf(YType.str, "subscriber")
                            self._segment_path = lambda: "control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.ServicePolicy.Type.Control, ['subscriber'], name, value)


                    class PerformanceMonitor(Entity):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor.Direction>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "performance-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.ServicePolicy.Type.PerformanceMonitor, ['direction', 'name'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



                    class ServiceChain(Entity):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain, self).__init__()

                            self.yang_name = "service-chain"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Input), "output" : ("output", Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Output)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "service-chain"


                        class Input(Entity):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.ServicePolicy.Type.ServiceChain.Output, ['name'], name, value)


            class Lisp(Entity):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:  :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Interface.PortChannel.Lisp, self).__init__()

                    self.yang_name = "lisp"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"mobility" : ("mobility", Native.Interface.PortChannel.Lisp.Mobility)}
                    self._child_list_classes = {}

                    self.extended_subnet_mode = YLeaf(YType.empty, "extended-subnet-mode")

                    self.mobility = Native.Interface.PortChannel.Lisp.Mobility()
                    self.mobility.parent = self
                    self._children_name_map["mobility"] = "mobility"
                    self._children_yang_names.add("mobility")
                    self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Lisp, ['extended_subnet_mode'], name, value)


                class Mobility(Entity):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:  :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:  :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Lisp.Mobility.Discover>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:  :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Lisp.Mobility, self).__init__()

                        self.yang_name = "mobility"
                        self.yang_parent_name = "lisp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dynamic-eid" : ("dynamic_eid", Native.Interface.PortChannel.Lisp.Mobility.DynamicEid), "discover" : ("discover", Native.Interface.PortChannel.Lisp.Mobility.Discover), "liveness" : ("liveness", Native.Interface.PortChannel.Lisp.Mobility.Liveness)}
                        self._child_list_classes = {}

                        self.dynamic_eid = Native.Interface.PortChannel.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self._children_name_map["dynamic_eid"] = "dynamic-eid"
                        self._children_yang_names.add("dynamic-eid")

                        self.discover = Native.Interface.PortChannel.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self._children_name_map["discover"] = "discover"
                        self._children_yang_names.add("discover")

                        self.liveness = Native.Interface.PortChannel.Lisp.Mobility.Liveness()
                        self.liveness.parent = self
                        self._children_name_map["liveness"] = "liveness"
                        self._children_yang_names.add("liveness")
                        self._segment_path = lambda: "mobility"


                    class DynamicEid(Entity):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\: int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Lisp.Mobility.DynamicEid, self).__init__()

                            self.yang_name = "dynamic-eid"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dynamic_eid_name = YLeaf(YType.str, "dynamic-eid-name")

                            self.nbr_proxy_reply = YLeaf(YType.empty, "nbr-proxy-reply")

                            self.requests = YLeaf(YType.uint8, "requests")
                            self._segment_path = lambda: "dynamic-eid"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Lisp.Mobility.DynamicEid, ['dynamic_eid_name', 'nbr_proxy_reply', 'requests'], name, value)


                    class Discover(Entity):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Lisp.Mobility.Discover, self).__init__()

                            self.yang_name = "discover"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.arp = YLeaf(YType.boolean, "arp")
                            self._segment_path = lambda: "discover"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Lisp.Mobility.Discover, ['arp'], name, value)


                    class Liveness(Entity):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\: bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\: int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Lisp.Mobility.Liveness, self).__init__()

                            self.yang_name = "liveness"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.test = YLeaf(YType.boolean, "test")

                            self.ttl = YLeaf(YType.uint8, "ttl")
                            self._segment_path = lambda: "liveness"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Lisp.Mobility.Liveness, ['test', 'ttl'], name, value)


            class Ospfv3(Entity):
                """
                OSPFv3 interface commands
                
                .. attribute:: process_id
                
                	
                	**type**\: list of  		 :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId>`
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication>`
                
                .. attribute:: bfd
                
                	Enable BFD on this interface
                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Bfd>`
                
                	**presence node**\: True
                
                .. attribute:: cost
                
                	Route cost of this interface
                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost>`
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding
                	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.DatabaseFilter>`
                
                .. attribute:: dead_interval
                
                	Interval after which a neighbor is declared dead
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: demand_circuit
                
                	OSPF Demand Circuit
                	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.DemandCircuit>`
                
                	**presence node**\: True
                
                .. attribute:: encryption
                
                	Enable encryption
                	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption>`
                
                .. attribute:: flood_reduction
                
                	OSPF Flood Reduction
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hello_interval
                
                	Time between HELLO packets
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: manet
                
                	Mobile Adhoc Networking options
                	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Manet>`
                
                .. attribute:: mtu_ignore
                
                	Ignores the MTU in DBD packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: multi_area
                
                	Set the OSPF multi\-area ID
                	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.MultiArea>`
                
                .. attribute:: neighbor
                
                	OSPF neighbor
                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Neighbor>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Network>`
                
                .. attribute:: prefix_suppression
                
                	OSPF prefix suppression
                	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.PrefixSuppression>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Router priority
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: retransmit_interval
                
                	Time between retransmitting lost link state advertisements
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Shut down the interface in OSPFv3
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transmit_delay
                
                	Link state transmit delay
                	**type**\: int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Interface.PortChannel.Ospfv3, self).__init__()

                    self.yang_name = "ospfv3"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authentication" : ("authentication", Native.Interface.PortChannel.Ospfv3.Authentication), "bfd" : ("bfd", Native.Interface.PortChannel.Ospfv3.Bfd), "cost" : ("cost", Native.Interface.PortChannel.Ospfv3.Cost), "database-filter" : ("database_filter", Native.Interface.PortChannel.Ospfv3.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.PortChannel.Ospfv3.DemandCircuit), "encryption" : ("encryption", Native.Interface.PortChannel.Ospfv3.Encryption), "manet" : ("manet", Native.Interface.PortChannel.Ospfv3.Manet), "multi-area" : ("multi_area", Native.Interface.PortChannel.Ospfv3.MultiArea), "network" : ("network", Native.Interface.PortChannel.Ospfv3.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.PortChannel.Ospfv3.PrefixSuppression)}
                    self._child_list_classes = {"process-id" : ("process_id", Native.Interface.PortChannel.Ospfv3.ProcessId), "neighbor" : ("neighbor", Native.Interface.PortChannel.Ospfv3.Neighbor)}

                    self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                    self.flood_reduction = YLeaf(YType.empty, "flood-reduction")

                    self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                    self.mtu_ignore = YLeaf(YType.empty, "mtu-ignore")

                    self.priority = YLeaf(YType.uint8, "priority")

                    self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                    self.shutdown = YLeaf(YType.empty, "shutdown")

                    self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                    self.authentication = Native.Interface.PortChannel.Ospfv3.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.bfd = None
                    self._children_name_map["bfd"] = "bfd"
                    self._children_yang_names.add("bfd")

                    self.cost = Native.Interface.PortChannel.Ospfv3.Cost()
                    self.cost.parent = self
                    self._children_name_map["cost"] = "cost"
                    self._children_yang_names.add("cost")

                    self.database_filter = Native.Interface.PortChannel.Ospfv3.DatabaseFilter()
                    self.database_filter.parent = self
                    self._children_name_map["database_filter"] = "database-filter"
                    self._children_yang_names.add("database-filter")

                    self.demand_circuit = None
                    self._children_name_map["demand_circuit"] = "demand-circuit"
                    self._children_yang_names.add("demand-circuit")

                    self.encryption = Native.Interface.PortChannel.Ospfv3.Encryption()
                    self.encryption.parent = self
                    self._children_name_map["encryption"] = "encryption"
                    self._children_yang_names.add("encryption")

                    self.manet = Native.Interface.PortChannel.Ospfv3.Manet()
                    self.manet.parent = self
                    self._children_name_map["manet"] = "manet"
                    self._children_yang_names.add("manet")

                    self.multi_area = Native.Interface.PortChannel.Ospfv3.MultiArea()
                    self.multi_area.parent = self
                    self._children_name_map["multi_area"] = "multi-area"
                    self._children_yang_names.add("multi-area")

                    self.network = Native.Interface.PortChannel.Ospfv3.Network()
                    self.network.parent = self
                    self._children_name_map["network"] = "network"
                    self._children_yang_names.add("network")

                    self.prefix_suppression = None
                    self._children_name_map["prefix_suppression"] = "prefix-suppression"
                    self._children_yang_names.add("prefix-suppression")

                    self.process_id = YList(self)
                    self.neighbor = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-ospfv3:ospfv3"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3, ['dead_interval', 'flood_reduction', 'hello_interval', 'mtu_ignore', 'priority', 'retransmit_interval', 'shutdown', 'transmit_delay'], name, value)


                class ProcessId(Entity):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost>`
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: manet
                    
                    	Mobile Adhoc Networking options
                    	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Manet>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.MultiArea>`
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Network>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipv4
                    
                    	Specify parameters for IPv4
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Specify parameters for IPv6
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ospfv3.ProcessId, self).__init__()

                        self.yang_name = "process-id"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.PortChannel.Ospfv3.ProcessId.Authentication), "bfd" : ("bfd", Native.Interface.PortChannel.Ospfv3.ProcessId.Bfd), "cost" : ("cost", Native.Interface.PortChannel.Ospfv3.ProcessId.Cost), "database-filter" : ("database_filter", Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.PortChannel.Ospfv3.ProcessId.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.PortChannel.Ospfv3.ProcessId.FloodReduction), "manet" : ("manet", Native.Interface.PortChannel.Ospfv3.ProcessId.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.PortChannel.Ospfv3.ProcessId.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.PortChannel.Ospfv3.ProcessId.MultiArea), "network" : ("network", Native.Interface.PortChannel.Ospfv3.ProcessId.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.PortChannel.Ospfv3.ProcessId.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.PortChannel.Ospfv3.ProcessId.Shutdown), "ipv4" : ("ipv4", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4), "ipv6" : ("ipv6", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6)}
                        self._child_list_classes = {"neighbor" : ("neighbor", Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor)}

                        self.id = YLeaf(YType.uint16, "id")

                        self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = Native.Interface.PortChannel.Ospfv3.ProcessId.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.cost = Native.Interface.PortChannel.Ospfv3.ProcessId.Cost()
                        self.cost.parent = self
                        self._children_name_map["cost"] = "cost"
                        self._children_yang_names.add("cost")

                        self.database_filter = Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.flood_reduction = None
                        self._children_name_map["flood_reduction"] = "flood-reduction"
                        self._children_yang_names.add("flood-reduction")

                        self.manet = Native.Interface.PortChannel.Ospfv3.ProcessId.Manet()
                        self.manet.parent = self
                        self._children_name_map["manet"] = "manet"
                        self._children_yang_names.add("manet")

                        self.mtu_ignore = None
                        self._children_name_map["mtu_ignore"] = "mtu-ignore"
                        self._children_yang_names.add("mtu-ignore")

                        self.multi_area = Native.Interface.PortChannel.Ospfv3.ProcessId.MultiArea()
                        self.multi_area.parent = self
                        self._children_name_map["multi_area"] = "multi-area"
                        self._children_yang_names.add("multi-area")

                        self.network = Native.Interface.PortChannel.Ospfv3.ProcessId.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.prefix_suppression = None
                        self._children_name_map["prefix_suppression"] = "prefix-suppression"
                        self._children_yang_names.add("prefix-suppression")

                        self.shutdown = None
                        self._children_name_map["shutdown"] = "shutdown"
                        self._children_yang_names.add("shutdown")

                        self.ipv4 = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.neighbor = YList(self)
                        self._segment_path = lambda: "process-id" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId, ['id', 'dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\: str
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.null = YLeaf(YType.empty, "null")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Authentication, ['key_chain', 'null'], name, value)


                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Bfd, ['disable'], name, value)


                    class Cost(Entity):
                        """
                        Route cost of this interface
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: dynamic
                        
                        	Specify dynamic cost options
                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost, self).__init__()

                            self.yang_name = "cost"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic)}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint32, "value")

                            self.dynamic = None
                            self._children_name_map["dynamic"] = "dynamic"
                            self._children_yang_names.add("dynamic")
                            self._segment_path = lambda: "cost"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost, ['value'], name, value)


                        class Dynamic(Entity):
                            """
                            Specify dynamic cost options
                            
                            .. attribute:: default
                            
                            	Specify default link metric value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: hysteresis
                            
                            	Specify hysteresis value for LSA dampening
                            	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: weight
                            
                            	Specify weight to be placed on individual metrics
                            	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic, self).__init__()

                                self.yang_name = "dynamic"
                                self.yang_parent_name = "cost"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.default = YLeaf(YType.uint32, "default")

                                self.hysteresis = None
                                self._children_name_map["hysteresis"] = "hysteresis"
                                self._children_yang_names.add("hysteresis")

                                self.weight = Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight()
                                self.weight.parent = self
                                self._children_name_map["weight"] = "weight"
                                self._children_yang_names.add("weight")
                                self._segment_path = lambda: "dynamic"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic, ['default'], name, value)


                            class Hysteresis(Entity):
                                """
                                Specify hysteresis value for LSA dampening
                                
                                .. attribute:: percent
                                
                                	Specify hysteresis percent changed
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold
                                
                                	Specify hysteresis threshold value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis, self).__init__()

                                    self.yang_name = "hysteresis"
                                    self.yang_parent_name = "dynamic"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.percent = YLeaf(YType.uint8, "percent")

                                    self.threshold = YLeaf(YType.uint32, "threshold")
                                    self._segment_path = lambda: "hysteresis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                            class Weight(Entity):
                                """
                                Specify weight to be placed on individual metrics
                                
                                .. attribute:: l2_factor
                                
                                	Specify weight to be given to L2\-factor metric
                                	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: latency
                                
                                	Specify weight to be given to latency metric
                                	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: resources
                                
                                	Specify weight to be given to resources metric
                                	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: throughput
                                
                                	Specify weight to be given to throughput metric
                                	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight, self).__init__()

                                    self.yang_name = "weight"
                                    self.yang_parent_name = "dynamic"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput)}
                                    self._child_list_classes = {}

                                    self.l2_factor = None
                                    self._children_name_map["l2_factor"] = "L2-factor"
                                    self._children_yang_names.add("L2-factor")

                                    self.latency = None
                                    self._children_name_map["latency"] = "latency"
                                    self._children_yang_names.add("latency")

                                    self.resources = None
                                    self._children_name_map["resources"] = "resources"
                                    self._children_yang_names.add("resources")

                                    self.throughput = None
                                    self._children_name_map["throughput"] = "throughput"
                                    self._children_yang_names.add("throughput")
                                    self._segment_path = lambda: "weight"


                                class L2Factor(Entity):
                                    """
                                    Specify weight to be given to L2\-factor metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                        self.yang_name = "L2-factor"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "L2-factor"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                class Latency(Entity):
                                    """
                                    Specify weight to be given to latency metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency, self).__init__()

                                        self.yang_name = "latency"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "latency"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                class Resources(Entity):
                                    """
                                    Specify weight to be given to resources metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources, self).__init__()

                                        self.yang_name = "resources"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "resources"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                class Throughput(Entity):
                                    """
                                    Specify weight to be given to throughput metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput, self).__init__()

                                        self.yang_name = "throughput"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "throughput"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter.All>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.DatabaseFilter, ['all', 'disable'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                    class DemandCircuit(Entity):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.DemandCircuit, ['disable', 'ignore'], name, value)


                    class FloodReduction(Entity):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.FloodReduction, self).__init__()

                            self.yang_name = "flood-reduction"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "flood-reduction"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.FloodReduction, ['disable'], name, value)


                    class Manet(Entity):
                        """
                        Mobile Adhoc Networking options
                        
                        .. attribute:: peering
                        
                        	MANET Peering options
                        	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Manet, self).__init__()

                            self.yang_name = "manet"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peering" : ("peering", Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering)}
                            self._child_list_classes = {}

                            self.peering = Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering()
                            self.peering.parent = self
                            self._children_name_map["peering"] = "peering"
                            self._children_yang_names.add("peering")
                            self._segment_path = lambda: "manet"


                        class Peering(Entity):
                            """
                            MANET Peering options
                            
                            .. attribute:: cost
                            
                            	Redundant path cost improvement required to peer
                            	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering.Cost>`
                            
                            .. attribute:: link_metrics
                            
                            	Require link metrics
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering, self).__init__()

                                self.yang_name = "peering"
                                self.yang_parent_name = "manet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cost" : ("cost", Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering.Cost)}
                                self._child_list_classes = {}

                                self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                self.cost = Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering.Cost()
                                self.cost.parent = self
                                self._children_name_map["cost"] = "cost"
                                self._children_yang_names.add("cost")
                                self._segment_path = lambda: "peering"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering, ['link_metrics'], name, value)


                            class Cost(Entity):
                                """
                                Redundant path cost improvement required to peer
                                
                                .. attribute:: percent
                                
                                	Relative incremental path cost
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                .. attribute:: threshold
                                
                                	Absolute incremental path cost
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering.Cost, self).__init__()

                                    self.yang_name = "cost"
                                    self.yang_parent_name = "peering"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.percent = YLeaf(YType.uint8, "percent")

                                    self.threshold = YLeaf(YType.uint32, "threshold")
                                    self._segment_path = lambda: "cost"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                    class MtuIgnore(Entity):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.MtuIgnore, self).__init__()

                            self.yang_name = "mtu-ignore"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "mtu-ignore"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.MtuIgnore, ['disable'], name, value)


                    class MultiArea(Entity):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: disable
                        
                        	disable OSPF multi\-area
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.MultiArea, self).__init__()

                            self.yang_name = "multi-area"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint32, "cost")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "multi-area"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.MultiArea, ['id', 'cost', 'disable'], name, value)


                    class Neighbor(Entity):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint16, "cost")

                            self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.database_filter = Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter.All>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Neighbor.DatabaseFilter, ['all'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                    class Network(Entity):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.PortChannel.Ospfv3.ProcessId.Network.PointToMultipoint)}
                            self._child_list_classes = {}

                            self.broadcast = YLeaf(YType.empty, "broadcast")

                            self.manet = YLeaf(YType.empty, "manet")

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                            self.point_to_point = YLeaf(YType.empty, "point-to-point")

                            self.point_to_multipoint = None
                            self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                            self._children_yang_names.add("point-to-multipoint")
                            self._segment_path = lambda: "network"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                        class PointToMultipoint(Entity):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Network.PointToMultipoint, self).__init__()

                                self.yang_name = "point-to-multipoint"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                self._segment_path = lambda: "point-to-multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Network.PointToMultipoint, ['non_broadcast'], name, value)


                    class PrefixSuppression(Entity):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.PrefixSuppression, self).__init__()

                            self.yang_name = "prefix-suppression"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "prefix-suppression"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.PrefixSuppression, ['disable'], name, value)


                    class Shutdown(Entity):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Shutdown, self).__init__()

                            self.yang_name = "shutdown"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "shutdown"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Shutdown, ['disable'], name, value)


                    class Ipv4(Entity):
                        """
                        Specify parameters for IPv4
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Authentication), "bfd" : ("bfd", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Bfd), "cost" : ("cost", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost), "database-filter" : ("database_filter", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.FloodReduction), "manet" : ("manet", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MultiArea), "network" : ("network", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Shutdown)}
                            self._child_list_classes = {"area" : ("area", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Area), "neighbor" : ("neighbor", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor)}

                            self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                            self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                            self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                            self.authentication = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.bfd = None
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.cost = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")

                            self.database_filter = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")

                            self.demand_circuit = None
                            self._children_name_map["demand_circuit"] = "demand-circuit"
                            self._children_yang_names.add("demand-circuit")

                            self.flood_reduction = None
                            self._children_name_map["flood_reduction"] = "flood-reduction"
                            self._children_yang_names.add("flood-reduction")

                            self.manet = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.mtu_ignore = None
                            self._children_name_map["mtu_ignore"] = "mtu-ignore"
                            self._children_yang_names.add("mtu-ignore")

                            self.multi_area = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MultiArea()
                            self.multi_area.parent = self
                            self._children_name_map["multi_area"] = "multi-area"
                            self._children_yang_names.add("multi-area")

                            self.network = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network()
                            self.network.parent = self
                            self._children_name_map["network"] = "network"
                            self._children_yang_names.add("network")

                            self.prefix_suppression = None
                            self._children_name_map["prefix_suppression"] = "prefix-suppression"
                            self._children_yang_names.add("prefix-suppression")

                            self.shutdown = None
                            self._children_name_map["shutdown"] = "shutdown"
                            self._children_yang_names.add("shutdown")

                            self.area = YList(self)
                            self.neighbor = YList(self)
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4, ['dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                        class Area(Entity):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\: int
                            
                            	**range:** 64..95
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.instance = YLeaf(YType.uint8, "instance")
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Area, ['id', 'instance'], name, value)


                        class Authentication(Entity):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\: str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.null = YLeaf(YType.empty, "null")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Authentication, ['key_chain', 'null'], name, value)


                        class Bfd(Entity):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Bfd, ['disable'], name, value)


                        class Cost(Entity):
                            """
                            Route cost of this interface
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.dynamic = None
                                self._children_name_map["dynamic"] = "dynamic"
                                self._children_yang_names.add("dynamic")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost, ['value'], name, value)


                            class Dynamic(Entity):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic, self).__init__()

                                    self.yang_name = "dynamic"
                                    self.yang_parent_name = "cost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.default = YLeaf(YType.uint32, "default")

                                    self.hysteresis = None
                                    self._children_name_map["hysteresis"] = "hysteresis"
                                    self._children_yang_names.add("hysteresis")

                                    self.weight = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight()
                                    self.weight.parent = self
                                    self._children_name_map["weight"] = "weight"
                                    self._children_yang_names.add("weight")
                                    self._segment_path = lambda: "dynamic"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic, ['default'], name, value)


                                class Hysteresis(Entity):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis, self).__init__()

                                        self.yang_name = "hysteresis"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "hysteresis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                                class Weight(Entity):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight, self).__init__()

                                        self.yang_name = "weight"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput)}
                                        self._child_list_classes = {}

                                        self.l2_factor = None
                                        self._children_name_map["l2_factor"] = "L2-factor"
                                        self._children_yang_names.add("L2-factor")

                                        self.latency = None
                                        self._children_name_map["latency"] = "latency"
                                        self._children_yang_names.add("latency")

                                        self.resources = None
                                        self._children_name_map["resources"] = "resources"
                                        self._children_yang_names.add("resources")

                                        self.throughput = None
                                        self._children_name_map["throughput"] = "throughput"
                                        self._children_yang_names.add("throughput")
                                        self._segment_path = lambda: "weight"


                                    class L2Factor(Entity):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                            self.yang_name = "L2-factor"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "L2-factor"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                    class Latency(Entity):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency, self).__init__()

                                            self.yang_name = "latency"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "latency"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                    class Resources(Entity):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources, self).__init__()

                                            self.yang_name = "resources"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "resources"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                    class Throughput(Entity):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput, self).__init__()

                                            self.yang_name = "throughput"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "throughput"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter.All>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DatabaseFilter, ['all', 'disable'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                        class DemandCircuit(Entity):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DemandCircuit, self).__init__()

                                self.yang_name = "demand-circuit"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "demand-circuit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.DemandCircuit, ['disable', 'ignore'], name, value)


                        class FloodReduction(Entity):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.FloodReduction, self).__init__()

                                self.yang_name = "flood-reduction"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "flood-reduction"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.FloodReduction, ['disable'], name, value)


                        class Manet(Entity):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peering" : ("peering", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering)}
                                self._child_list_classes = {}

                                self.peering = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"


                            class Peering(Entity):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost" : ("cost", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost)}
                                    self._child_list_classes = {}

                                    self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                    self.cost = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self._children_name_map["cost"] = "cost"
                                    self._children_yang_names.add("cost")
                                    self._segment_path = lambda: "peering"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering, ['link_metrics'], name, value)


                                class Cost(Entity):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost, self).__init__()

                                        self.yang_name = "cost"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "cost"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                        class MtuIgnore(Entity):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MtuIgnore, self).__init__()

                                self.yang_name = "mtu-ignore"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "mtu-ignore"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MtuIgnore, ['disable'], name, value)


                        class MultiArea(Entity):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MultiArea, self).__init__()

                                self.yang_name = "multi-area"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint32, "cost")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "multi-area"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.MultiArea, ['id', 'cost', 'disable'], name, value)


                        class Neighbor(Entity):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint16, "cost")

                                self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.database_filter = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self._children_name_map["database_filter"] = "database-filter"
                                self._children_yang_names.add("database-filter")
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                            class DatabaseFilter(Entity):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.All>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter, self).__init__()

                                    self.yang_name = "database-filter"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.all = YLeaf(YType.enumeration, "all")
                                    self._segment_path = lambda: "database-filter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter, ['all'], name, value)

                                class All(Enum):
                                    """
                                    All

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = Enum.YLeaf(0, "out")



                        class Network(Entity):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint)}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.manet = YLeaf(YType.empty, "manet")

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                                self.point_to_point = YLeaf(YType.empty, "point-to-point")

                                self.point_to_multipoint = None
                                self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                                self._children_yang_names.add("point-to-multipoint")
                                self._segment_path = lambda: "network"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                            class PointToMultipoint(Entity):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint, self).__init__()

                                    self.yang_name = "point-to-multipoint"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                    self._segment_path = lambda: "point-to-multipoint"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint, ['non_broadcast'], name, value)


                        class PrefixSuppression(Entity):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.PrefixSuppression, self).__init__()

                                self.yang_name = "prefix-suppression"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "prefix-suppression"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.PrefixSuppression, ['disable'], name, value)


                        class Shutdown(Entity):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Shutdown, self).__init__()

                                self.yang_name = "shutdown"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "shutdown"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv4.Shutdown, ['disable'], name, value)


                    class Ipv6(Entity):
                        """
                        Specify parameters for IPv6
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Authentication), "bfd" : ("bfd", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Bfd), "cost" : ("cost", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost), "database-filter" : ("database_filter", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.FloodReduction), "manet" : ("manet", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MultiArea), "network" : ("network", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Shutdown)}
                            self._child_list_classes = {"area" : ("area", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Area), "neighbor" : ("neighbor", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor)}

                            self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                            self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                            self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                            self.authentication = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.bfd = None
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.cost = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")

                            self.database_filter = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")

                            self.demand_circuit = None
                            self._children_name_map["demand_circuit"] = "demand-circuit"
                            self._children_yang_names.add("demand-circuit")

                            self.flood_reduction = None
                            self._children_name_map["flood_reduction"] = "flood-reduction"
                            self._children_yang_names.add("flood-reduction")

                            self.manet = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.mtu_ignore = None
                            self._children_name_map["mtu_ignore"] = "mtu-ignore"
                            self._children_yang_names.add("mtu-ignore")

                            self.multi_area = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MultiArea()
                            self.multi_area.parent = self
                            self._children_name_map["multi_area"] = "multi-area"
                            self._children_yang_names.add("multi-area")

                            self.network = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network()
                            self.network.parent = self
                            self._children_name_map["network"] = "network"
                            self._children_yang_names.add("network")

                            self.prefix_suppression = None
                            self._children_name_map["prefix_suppression"] = "prefix-suppression"
                            self._children_yang_names.add("prefix-suppression")

                            self.shutdown = None
                            self._children_name_map["shutdown"] = "shutdown"
                            self._children_yang_names.add("shutdown")

                            self.area = YList(self)
                            self.neighbor = YList(self)
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6, ['dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                        class Area(Entity):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\: int
                            
                            	**range:** 0..31
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.instance = YLeaf(YType.uint8, "instance")
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Area, ['id', 'instance'], name, value)


                        class Authentication(Entity):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\: str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.null = YLeaf(YType.empty, "null")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Authentication, ['key_chain', 'null'], name, value)


                        class Bfd(Entity):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Bfd, ['disable'], name, value)


                        class Cost(Entity):
                            """
                            Route cost of this interface
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.dynamic = None
                                self._children_name_map["dynamic"] = "dynamic"
                                self._children_yang_names.add("dynamic")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost, ['value'], name, value)


                            class Dynamic(Entity):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic, self).__init__()

                                    self.yang_name = "dynamic"
                                    self.yang_parent_name = "cost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.default = YLeaf(YType.uint32, "default")

                                    self.hysteresis = None
                                    self._children_name_map["hysteresis"] = "hysteresis"
                                    self._children_yang_names.add("hysteresis")

                                    self.weight = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight()
                                    self.weight.parent = self
                                    self._children_name_map["weight"] = "weight"
                                    self._children_yang_names.add("weight")
                                    self._segment_path = lambda: "dynamic"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic, ['default'], name, value)


                                class Hysteresis(Entity):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis, self).__init__()

                                        self.yang_name = "hysteresis"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "hysteresis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                                class Weight(Entity):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight, self).__init__()

                                        self.yang_name = "weight"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput)}
                                        self._child_list_classes = {}

                                        self.l2_factor = None
                                        self._children_name_map["l2_factor"] = "L2-factor"
                                        self._children_yang_names.add("L2-factor")

                                        self.latency = None
                                        self._children_name_map["latency"] = "latency"
                                        self._children_yang_names.add("latency")

                                        self.resources = None
                                        self._children_name_map["resources"] = "resources"
                                        self._children_yang_names.add("resources")

                                        self.throughput = None
                                        self._children_name_map["throughput"] = "throughput"
                                        self._children_yang_names.add("throughput")
                                        self._segment_path = lambda: "weight"


                                    class L2Factor(Entity):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                            self.yang_name = "L2-factor"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "L2-factor"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                    class Latency(Entity):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency, self).__init__()

                                            self.yang_name = "latency"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "latency"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                    class Resources(Entity):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources, self).__init__()

                                            self.yang_name = "resources"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "resources"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                    class Throughput(Entity):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput, self).__init__()

                                            self.yang_name = "throughput"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "throughput"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter.All>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DatabaseFilter, ['all', 'disable'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                        class DemandCircuit(Entity):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DemandCircuit, self).__init__()

                                self.yang_name = "demand-circuit"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "demand-circuit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.DemandCircuit, ['disable', 'ignore'], name, value)


                        class FloodReduction(Entity):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.FloodReduction, self).__init__()

                                self.yang_name = "flood-reduction"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "flood-reduction"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.FloodReduction, ['disable'], name, value)


                        class Manet(Entity):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peering" : ("peering", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering)}
                                self._child_list_classes = {}

                                self.peering = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"


                            class Peering(Entity):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost" : ("cost", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost)}
                                    self._child_list_classes = {}

                                    self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                    self.cost = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self._children_name_map["cost"] = "cost"
                                    self._children_yang_names.add("cost")
                                    self._segment_path = lambda: "peering"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering, ['link_metrics'], name, value)


                                class Cost(Entity):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost, self).__init__()

                                        self.yang_name = "cost"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "cost"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                        class MtuIgnore(Entity):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MtuIgnore, self).__init__()

                                self.yang_name = "mtu-ignore"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "mtu-ignore"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MtuIgnore, ['disable'], name, value)


                        class MultiArea(Entity):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MultiArea, self).__init__()

                                self.yang_name = "multi-area"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint32, "cost")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "multi-area"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.MultiArea, ['id', 'cost', 'disable'], name, value)


                        class Neighbor(Entity):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint16, "cost")

                                self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.database_filter = Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self._children_name_map["database_filter"] = "database-filter"
                                self._children_yang_names.add("database-filter")
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                            class DatabaseFilter(Entity):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.All>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter, self).__init__()

                                    self.yang_name = "database-filter"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.all = YLeaf(YType.enumeration, "all")
                                    self._segment_path = lambda: "database-filter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter, ['all'], name, value)

                                class All(Enum):
                                    """
                                    All

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = Enum.YLeaf(0, "out")



                        class Network(Entity):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint)}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.manet = YLeaf(YType.empty, "manet")

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                                self.point_to_point = YLeaf(YType.empty, "point-to-point")

                                self.point_to_multipoint = None
                                self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                                self._children_yang_names.add("point-to-multipoint")
                                self._segment_path = lambda: "network"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                            class PointToMultipoint(Entity):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint, self).__init__()

                                    self.yang_name = "point-to-multipoint"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                    self._segment_path = lambda: "point-to-multipoint"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint, ['non_broadcast'], name, value)


                        class PrefixSuppression(Entity):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.PrefixSuppression, self).__init__()

                                self.yang_name = "prefix-suppression"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "prefix-suppression"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.PrefixSuppression, ['disable'], name, value)


                        class Shutdown(Entity):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Shutdown, self).__init__()

                                self.yang_name = "shutdown"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "shutdown"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.ProcessId.Ipv6.Shutdown, ['disable'], name, value)


                class Authentication(Entity):
                    """
                    Enable authentication
                    
                    .. attribute:: key_chain
                    
                    	Use a key\-chain for cryptographic authentication keys
                    	**type**\: str
                    
                    .. attribute:: null
                    
                    	Use no authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec authentication
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ospfv3.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec)}
                        self._child_list_classes = {}

                        self.key_chain = YLeaf(YType.str, "key-chain")

                        self.null = YLeaf(YType.empty, "null")

                        self.ipsec = Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Authentication, ['key_chain', 'null'], name, value)


                    class Ipsec(Entity):
                        """
                        Use IPsec authentication
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\: int
                        
                        	**range:** 256..4294967295
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5>`
                        
                        .. attribute:: sha1
                        
                        	Use SHA\-1 authentication
                        	**type**\:  :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5), "sha1" : ("sha1", Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1)}
                            self._child_list_classes = {}

                            self.spi = YLeaf(YType.uint64, "spi")

                            self.md5 = Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.sha1 = Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1()
                            self.sha1.parent = self
                            self._children_name_map["sha1"] = "sha1"
                            self._children_yang_names.add("sha1")
                            self._segment_path = lambda: "ipsec"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec, ['spi'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Md5.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                        class Sha1(Entity):
                            """
                            Use SHA\-1 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1, self).__init__()

                                self.yang_name = "sha1"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "sha1"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "sha1"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Authentication.Ipsec.Sha1.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                class Bfd(Entity):
                    """
                    Enable BFD on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BFD on this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ospfv3.Bfd, self).__init__()

                        self.yang_name = "bfd"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "bfd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Bfd, ['disable'], name, value)


                class Cost(Entity):
                    """
                    Route cost of this interface
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: dynamic
                    
                    	Specify dynamic cost options
                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ospfv3.Cost, self).__init__()

                        self.yang_name = "cost"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.PortChannel.Ospfv3.Cost.Dynamic)}
                        self._child_list_classes = {}

                        self.value = YLeaf(YType.uint32, "value")

                        self.dynamic = None
                        self._children_name_map["dynamic"] = "dynamic"
                        self._children_yang_names.add("dynamic")
                        self._segment_path = lambda: "cost"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Cost, ['value'], name, value)


                    class Dynamic(Entity):
                        """
                        Specify dynamic cost options
                        
                        .. attribute:: default
                        
                        	Specify default link metric value
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hysteresis
                        
                        	Specify hysteresis value for LSA dampening
                        	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Hysteresis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: weight
                        
                        	Specify weight to be placed on individual metrics
                        	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.Cost.Dynamic, self).__init__()

                            self.yang_name = "dynamic"
                            self.yang_parent_name = "cost"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.uint32, "default")

                            self.hysteresis = None
                            self._children_name_map["hysteresis"] = "hysteresis"
                            self._children_yang_names.add("hysteresis")

                            self.weight = Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight()
                            self.weight.parent = self
                            self._children_name_map["weight"] = "weight"
                            self._children_yang_names.add("weight")
                            self._segment_path = lambda: "dynamic"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Cost.Dynamic, ['default'], name, value)


                        class Hysteresis(Entity):
                            """
                            Specify hysteresis value for LSA dampening
                            
                            .. attribute:: percent
                            
                            	Specify hysteresis percent changed
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold
                            
                            	Specify hysteresis threshold value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Hysteresis, self).__init__()

                                self.yang_name = "hysteresis"
                                self.yang_parent_name = "dynamic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.threshold = YLeaf(YType.uint32, "threshold")
                                self._segment_path = lambda: "hysteresis"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                        class Weight(Entity):
                            """
                            Specify weight to be placed on individual metrics
                            
                            .. attribute:: l2_factor
                            
                            	Specify weight to be given to L2\-factor metric
                            	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.L2Factor>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: latency
                            
                            	Specify weight to be given to latency metric
                            	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Latency>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: resources
                            
                            	Specify weight to be given to resources metric
                            	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Resources>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: throughput
                            
                            	Specify weight to be given to throughput metric
                            	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Throughput>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight, self).__init__()

                                self.yang_name = "weight"
                                self.yang_parent_name = "dynamic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Throughput)}
                                self._child_list_classes = {}

                                self.l2_factor = None
                                self._children_name_map["l2_factor"] = "L2-factor"
                                self._children_yang_names.add("L2-factor")

                                self.latency = None
                                self._children_name_map["latency"] = "latency"
                                self._children_yang_names.add("latency")

                                self.resources = None
                                self._children_name_map["resources"] = "resources"
                                self._children_yang_names.add("resources")

                                self.throughput = None
                                self._children_name_map["throughput"] = "throughput"
                                self._children_yang_names.add("throughput")
                                self._segment_path = lambda: "weight"


                            class L2Factor(Entity):
                                """
                                Specify weight to be given to L2\-factor metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                    self.yang_name = "L2-factor"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "L2-factor"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                            class Latency(Entity):
                                """
                                Specify weight to be given to latency metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Latency, self).__init__()

                                    self.yang_name = "latency"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "latency"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                            class Resources(Entity):
                                """
                                Specify weight to be given to resources metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Resources, self).__init__()

                                    self.yang_name = "resources"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "resources"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                            class Throughput(Entity):
                                """
                                Specify weight to be given to throughput metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Throughput, self).__init__()

                                    self.yang_name = "throughput"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "throughput"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                class DatabaseFilter(Entity):
                    """
                    Filter OSPF LSA during synchronization and flooding
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.DatabaseFilter.All>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ospfv3.DatabaseFilter, self).__init__()

                        self.yang_name = "database-filter"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.all = YLeaf(YType.enumeration, "all")
                        self._segment_path = lambda: "database-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.DatabaseFilter, ['all'], name, value)

                    class All(Enum):
                        """
                        All

                        Filter all LSA

                        .. data:: out = 0

                        """

                        out = Enum.YLeaf(0, "out")



                class DemandCircuit(Entity):
                    """
                    OSPF Demand Circuit
                    
                    .. attribute:: ignore
                    
                    	Ignore demand circuit auto\-negotiation requests
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ospfv3.DemandCircuit, self).__init__()

                        self.yang_name = "demand-circuit"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ignore = YLeaf(YType.empty, "ignore")
                        self._segment_path = lambda: "demand-circuit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.DemandCircuit, ['ignore'], name, value)


                class Encryption(Entity):
                    """
                    Enable encryption
                    
                    .. attribute:: null
                    
                    	No IPsec encryption on this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec encryption
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ospfv3.Encryption, self).__init__()

                        self.yang_name = "encryption"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec)}
                        self._child_list_classes = {}

                        self.null = YLeaf(YType.empty, "null")

                        self.ipsec = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "encryption"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Encryption, ['null'], name, value)


                    class Ipsec(Entity):
                        """
                        Use IPsec encryption
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: esp
                        
                        	Use ESP encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec_3des
                        
                        	Use 3DES encryption
                        	**type**\:  :py:class:`Ipsec3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec3Des>`
                        
                        .. attribute:: aes_cbc
                        
                        	Use AES\-CBC encryption
                        	**type**\:  :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "encryption"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec_3des" : ("ipsec_3des", Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec3Des), "aes-cbc" : ("aes_cbc", Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc)}
                            self._child_list_classes = {}

                            self.spi = YLeaf(YType.uint64, "spi")

                            self.esp = YLeaf(YType.empty, "esp")

                            self.ipsec_3des = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec3Des()
                            self.ipsec_3des.parent = self
                            self._children_name_map["ipsec_3des"] = "ipsec_3des"
                            self._children_yang_names.add("ipsec_3des")

                            self.aes_cbc = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc()
                            self.aes_cbc.parent = self
                            self._children_name_map["aes_cbc"] = "aes-cbc"
                            self._children_yang_names.add("aes-cbc")
                            self._segment_path = lambda: "ipsec"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec, ['spi', 'esp'], name, value)


                        class Ipsec3Des(Entity):
                            """
                            Use 3DES encryption
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec3Des, self).__init__()

                                self.yang_name = "ipsec_3des"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "ipsec_3des"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "ipsec_3des"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                        class AesCbc(Entity):
                            """
                            Use AES\-CBC encryption
                            
                            .. attribute:: aes_cbc_128
                            
                            	Use 128 bit key
                            	**type**\:  :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128>`
                            
                            .. attribute:: aes_192
                            
                            	Use 192 bit key
                            	**type**\:  :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192>`
                            
                            .. attribute:: aes_256
                            
                            	Use 256 bit key
                            	**type**\:  :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc, self).__init__()

                                self.yang_name = "aes-cbc"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"aes-cbc-128" : ("aes_cbc_128", Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128), "aes-192" : ("aes_192", Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192), "aes-256" : ("aes_256", Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256)}
                                self._child_list_classes = {}

                                self.aes_cbc_128 = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128()
                                self.aes_cbc_128.parent = self
                                self._children_name_map["aes_cbc_128"] = "aes-cbc-128"
                                self._children_yang_names.add("aes-cbc-128")

                                self.aes_192 = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192()
                                self.aes_192.parent = self
                                self._children_name_map["aes_192"] = "aes-192"
                                self._children_yang_names.add("aes-192")

                                self.aes_256 = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256()
                                self.aes_256.parent = self
                                self._children_name_map["aes_256"] = "aes-256"
                                self._children_yang_names.add("aes-256")
                                self._segment_path = lambda: "aes-cbc"


                            class AesCbc128(Entity):
                                """
                                Use 128 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128, self).__init__()

                                    self.yang_name = "aes-cbc-128"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-cbc-128"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-cbc-128"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Aes192(Entity):
                                """
                                Use 192 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192, self).__init__()

                                    self.yang_name = "aes-192"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-192"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-192"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Aes256(Entity):
                                """
                                Use 256 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256, self).__init__()

                                    self.yang_name = "aes-256"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-256"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-256"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                class Manet(Entity):
                    """
                    Mobile Adhoc Networking options
                    
                    .. attribute:: peering
                    
                    	MANET Peering options
                    	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Manet.Peering>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ospfv3.Manet, self).__init__()

                        self.yang_name = "manet"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"peering" : ("peering", Native.Interface.PortChannel.Ospfv3.Manet.Peering)}
                        self._child_list_classes = {}

                        self.peering = Native.Interface.PortChannel.Ospfv3.Manet.Peering()
                        self.peering.parent = self
                        self._children_name_map["peering"] = "peering"
                        self._children_yang_names.add("peering")
                        self._segment_path = lambda: "manet"


                    class Peering(Entity):
                        """
                        MANET Peering options
                        
                        .. attribute:: cost
                        
                        	Redundant path cost improvement required to peer
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Manet.Peering.Cost>`
                        
                        .. attribute:: link_metrics
                        
                        	Require link metrics
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.Manet.Peering, self).__init__()

                            self.yang_name = "peering"
                            self.yang_parent_name = "manet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cost" : ("cost", Native.Interface.PortChannel.Ospfv3.Manet.Peering.Cost)}
                            self._child_list_classes = {}

                            self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                            self.cost = Native.Interface.PortChannel.Ospfv3.Manet.Peering.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")
                            self._segment_path = lambda: "peering"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Manet.Peering, ['link_metrics'], name, value)


                        class Cost(Entity):
                            """
                            Redundant path cost improvement required to peer
                            
                            .. attribute:: percent
                            
                            	Relative incremental path cost
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            .. attribute:: threshold
                            
                            	Absolute incremental path cost
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Ospfv3.Manet.Peering.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "peering"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.threshold = YLeaf(YType.uint32, "threshold")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                class MultiArea(Entity):
                    """
                    Set the OSPF multi\-area ID
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967295
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ospfv3.MultiArea, self).__init__()

                        self.yang_name = "multi-area"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.cost = YLeaf(YType.uint32, "cost")
                        self._segment_path = lambda: "multi-area"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.MultiArea, ['id', 'cost'], name, value)


                class Neighbor(Entity):
                    """
                    OSPF neighbor
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	OSPF cost for point\-to\-multipoint neighbor
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter>`
                    
                    .. attribute:: poll_interval
                    
                    	OSPF dead\-router polling interval
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: priority
                    
                    	OSPF priority of non\-broadcast neighbor
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ospfv3.Neighbor, self).__init__()

                        self.yang_name = "neighbor"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.database_filter = Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")
                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter.All>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "neighbor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Neighbor.DatabaseFilter, ['all'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                class Network(Entity):
                    """
                    Network type
                    
                    .. attribute:: broadcast
                    
                    	Specify OSPF broadcast multi\-access network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: manet
                    
                    	Specify MANET OSPF interface type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: non_broadcast
                    
                    	Specify OSPF NBMA network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: point_to_multipoint
                    
                    	Specify OSPF point\-to\-multipoint network
                    	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Ospfv3.Network.PointToMultipoint>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: point_to_point
                    
                    	Specify OSPF point\-to\-point network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ospfv3.Network, self).__init__()

                        self.yang_name = "network"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.PortChannel.Ospfv3.Network.PointToMultipoint)}
                        self._child_list_classes = {}

                        self.broadcast = YLeaf(YType.empty, "broadcast")

                        self.manet = YLeaf(YType.empty, "manet")

                        self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                        self.point_to_point = YLeaf(YType.empty, "point-to-point")

                        self.point_to_multipoint = None
                        self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                        self._children_yang_names.add("point-to-multipoint")
                        self._segment_path = lambda: "network"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                    class PointToMultipoint(Entity):
                        """
                        Specify OSPF point\-to\-multipoint network
                        
                        .. attribute:: non_broadcast
                        
                        	Specify non\-broadcast point\-to\-mpoint network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Ospfv3.Network.PointToMultipoint, self).__init__()

                            self.yang_name = "point-to-multipoint"
                            self.yang_parent_name = "network"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                            self._segment_path = lambda: "point-to-multipoint"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Ospfv3.Network.PointToMultipoint, ['non_broadcast'], name, value)


                class PrefixSuppression(Entity):
                    """
                    OSPF prefix suppression
                    
                    .. attribute:: disable
                    
                    	Disable prefix suppression
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Ospfv3.PrefixSuppression, self).__init__()

                        self.yang_name = "prefix-suppression"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "prefix-suppression"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Ospfv3.PrefixSuppression, ['disable'], name, value)


            class Authentication(Entity):
                """
                Auth Manager Interface Configuration Commands
                
                .. attribute:: control_direction
                
                	Set the control\-direction on the interface
                	**type**\:  :py:class:`ControlDirection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.ControlDirection>`
                
                .. attribute:: event
                
                	Set action for authentication events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event>`
                
                .. attribute:: fallback
                
                	Enable the Webauth fallback mechanism
                	**type**\: str
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.HostMode>`
                
                .. attribute:: open
                
                	Enable or Disable open access on this port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: order
                
                	Add an authentication method to the order list
                	**type**\:  :py:class:`Order <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Order>`
                
                .. attribute:: priority
                
                	Add an authentication method to the priority list
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Priority>`
                
                .. attribute:: port_control
                
                	set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.PortControl>`
                
                .. attribute:: periodic
                
                	Enable or Disable Reauthentication for this port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: timer
                
                	Set authentication timer values
                	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Timer>`
                
                .. attribute:: violation
                
                	Configure action to take on security violations
                	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Violation>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.Authentication, self).__init__()

                    self.yang_name = "authentication"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.PortChannel.Authentication.Event), "order" : ("order", Native.Interface.PortChannel.Authentication.Order), "priority" : ("priority", Native.Interface.PortChannel.Authentication.Priority), "timer" : ("timer", Native.Interface.PortChannel.Authentication.Timer)}
                    self._child_list_classes = {}

                    self.control_direction = YLeaf(YType.enumeration, "control-direction")

                    self.fallback = YLeaf(YType.str, "fallback")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.open = YLeaf(YType.empty, "open")

                    self.port_control = YLeaf(YType.enumeration, "port-control")

                    self.periodic = YLeaf(YType.empty, "periodic")

                    self.violation = YLeaf(YType.enumeration, "violation")

                    self.event = Native.Interface.PortChannel.Authentication.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")

                    self.order = Native.Interface.PortChannel.Authentication.Order()
                    self.order.parent = self
                    self._children_name_map["order"] = "order"
                    self._children_yang_names.add("order")

                    self.priority = Native.Interface.PortChannel.Authentication.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.timer = Native.Interface.PortChannel.Authentication.Timer()
                    self.timer.parent = self
                    self._children_name_map["timer"] = "timer"
                    self._children_yang_names.add("timer")
                    self._segment_path = lambda: "Cisco-IOS-XE-sanet:authentication"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Authentication, ['control_direction', 'fallback', 'host_mode', 'open', 'port_control', 'periodic', 'violation'], name, value)

                class ControlDirection(Enum):
                    """
                    ControlDirection

                    Set the control\-direction on the interface

                    .. data:: both = 0

                    .. data:: in_ = 1

                    """

                    both = Enum.YLeaf(0, "both")

                    in_ = Enum.YLeaf(1, "in")


                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")


                class PortControl(Enum):
                    """
                    PortControl

                    set the port\-control value

                    .. data:: auto = 0

                    .. data:: force_authorized = 1

                    .. data:: force_unauthorized = 2

                    """

                    auto = Enum.YLeaf(0, "auto")

                    force_authorized = Enum.YLeaf(1, "force-authorized")

                    force_unauthorized = Enum.YLeaf(2, "force-unauthorized")


                class Violation(Enum):
                    """
                    Violation

                    Configure action to take on security violations

                    .. data:: protect = 0

                    .. data:: replace = 1

                    .. data:: restrict = 2

                    .. data:: shutdown = 3

                    """

                    protect = Enum.YLeaf(0, "protect")

                    replace = Enum.YLeaf(1, "replace")

                    restrict = Enum.YLeaf(2, "restrict")

                    shutdown = Enum.YLeaf(3, "shutdown")



                class Event(Entity):
                    """
                    Set action for authentication events
                    
                    .. attribute:: server
                    
                    	Configure actions for AAA server events
                    	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server>`
                    
                    .. attribute:: fail
                    
                    	Configure actions for AAA fail events
                    	**type**\:  :py:class:`Fail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Fail>`
                    
                    .. attribute:: no_response
                    
                    	Configure actions for AAA no\-response events
                    	**type**\:  :py:class:`NoResponse <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.NoResponse>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Authentication.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"server" : ("server", Native.Interface.PortChannel.Authentication.Event.Server), "fail" : ("fail", Native.Interface.PortChannel.Authentication.Event.Fail), "no-response" : ("no_response", Native.Interface.PortChannel.Authentication.Event.NoResponse)}
                        self._child_list_classes = {}

                        self.server = Native.Interface.PortChannel.Authentication.Event.Server()
                        self.server.parent = self
                        self._children_name_map["server"] = "server"
                        self._children_yang_names.add("server")

                        self.fail = Native.Interface.PortChannel.Authentication.Event.Fail()
                        self.fail.parent = self
                        self._children_name_map["fail"] = "fail"
                        self._children_yang_names.add("fail")

                        self.no_response = Native.Interface.PortChannel.Authentication.Event.NoResponse()
                        self.no_response.parent = self
                        self._children_name_map["no_response"] = "no-response"
                        self._children_yang_names.add("no-response")
                        self._segment_path = lambda: "event"


                    class Server(Entity):
                        """
                        Configure actions for AAA server events
                        
                        .. attribute:: alive
                        
                        	Configure AAA server alive action
                        	**type**\:  :py:class:`Alive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server.Alive>`
                        
                        .. attribute:: dead
                        
                        	Configure AAA server dead action
                        	**type**\:  :py:class:`Dead <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server.Dead>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Authentication.Event.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"alive" : ("alive", Native.Interface.PortChannel.Authentication.Event.Server.Alive), "dead" : ("dead", Native.Interface.PortChannel.Authentication.Event.Server.Dead)}
                            self._child_list_classes = {}

                            self.alive = Native.Interface.PortChannel.Authentication.Event.Server.Alive()
                            self.alive.parent = self
                            self._children_name_map["alive"] = "alive"
                            self._children_yang_names.add("alive")

                            self.dead = Native.Interface.PortChannel.Authentication.Event.Server.Dead()
                            self.dead.parent = self
                            self._children_name_map["dead"] = "dead"
                            self._children_yang_names.add("dead")
                            self._segment_path = lambda: "server"


                        class Alive(Entity):
                            """
                            Configure AAA server alive action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server.Alive.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Authentication.Event.Server.Alive, self).__init__()

                                self.yang_name = "alive"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.PortChannel.Authentication.Event.Server.Alive.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.PortChannel.Authentication.Event.Server.Alive.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "alive"


                            class Action(Entity):
                                """
                                Required action for authentication event
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all authorized clients
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Authentication.Event.Server.Alive.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "alive"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reinitialize = YLeaf(YType.empty, "reinitialize")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Authentication.Event.Server.Alive.Action, ['reinitialize'], name, value)


                        class Dead(Entity):
                            """
                            Configure AAA server dead action
                            
                            .. attribute:: action
                            
                            	Required action for authentication event
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Authentication.Event.Server.Dead, self).__init__()

                                self.yang_name = "dead"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "dead"


                            class Action(Entity):
                                """
                                Required action for authentication event
                                
                                .. attribute:: authorize
                                
                                	Authorize the port
                                	**type**\:  :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Authorize>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: reinitialize
                                
                                	Reinitialize all client on the port
                                	**type**\:  :py:class:`Reinitialize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Reinitialize>`
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "dead"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authorize" : ("authorize", Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Authorize), "reinitialize" : ("reinitialize", Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Reinitialize)}
                                    self._child_list_classes = {}

                                    self.authorize = None
                                    self._children_name_map["authorize"] = "authorize"
                                    self._children_yang_names.add("authorize")

                                    self.reinitialize = Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Reinitialize()
                                    self.reinitialize.parent = self
                                    self._children_name_map["reinitialize"] = "reinitialize"
                                    self._children_yang_names.add("reinitialize")
                                    self._segment_path = lambda: "action"


                                class Authorize(Entity):
                                    """
                                    Authorize the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: voice
                                    
                                    	Authorize the port for VOICE traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Authorize, self).__init__()

                                        self.yang_name = "authorize"
                                        self.yang_parent_name = "action"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.vlan = YLeaf(YType.uint16, "vlan")

                                        self.voice = YLeaf(YType.empty, "voice")
                                        self._segment_path = lambda: "authorize"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Authorize, ['vlan', 'voice'], name, value)


                                class Reinitialize(Entity):
                                    """
                                    Reinitialize all client on the port
                                    
                                    .. attribute:: vlan
                                    
                                    	Configure Critical Authorization VLAN
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-sanet'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Reinitialize, self).__init__()

                                        self.yang_name = "reinitialize"
                                        self.yang_parent_name = "action"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vlan = YLeaf(YType.uint16, "vlan")
                                        self._segment_path = lambda: "reinitialize"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannel.Authentication.Event.Server.Dead.Action.Reinitialize, ['vlan'], name, value)


                    class Fail(Entity):
                        """
                        Configure actions for AAA fail events
                        
                        .. attribute:: action
                        
                        	Required action for fail event
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Fail.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Authentication.Event.Fail, self).__init__()

                            self.yang_name = "fail"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"action" : ("action", Native.Interface.PortChannel.Authentication.Event.Fail.Action)}
                            self._child_list_classes = {}

                            self.action = Native.Interface.PortChannel.Authentication.Event.Fail.Action()
                            self.action.parent = self
                            self._children_name_map["action"] = "action"
                            self._children_yang_names.add("action")
                            self._segment_path = lambda: "fail"


                        class Action(Entity):
                            """
                            Required action for fail event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:  :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.Fail.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Authentication.Event.Fail.Action, self).__init__()

                                self.yang_name = "action"
                                self.yang_parent_name = "fail"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authorize" : ("authorize", Native.Interface.PortChannel.Authentication.Event.Fail.Action.Authorize)}
                                self._child_list_classes = {}

                                self.authorize = Native.Interface.PortChannel.Authentication.Event.Fail.Action.Authorize()
                                self.authorize.parent = self
                                self._children_name_map["authorize"] = "authorize"
                                self._children_yang_names.add("authorize")
                                self._segment_path = lambda: "action"


                            class Authorize(Entity):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Authentication.Event.Fail.Action.Authorize, self).__init__()

                                    self.yang_name = "authorize"
                                    self.yang_parent_name = "action"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan = YLeaf(YType.uint16, "vlan")
                                    self._segment_path = lambda: "authorize"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Authentication.Event.Fail.Action.Authorize, ['vlan'], name, value)


                    class NoResponse(Entity):
                        """
                        Configure actions for AAA no\-response events
                        
                        .. attribute:: action
                        
                        	Required action for no\-response event
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.NoResponse.Action>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Authentication.Event.NoResponse, self).__init__()

                            self.yang_name = "no-response"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"action" : ("action", Native.Interface.PortChannel.Authentication.Event.NoResponse.Action)}
                            self._child_list_classes = {}

                            self.action = Native.Interface.PortChannel.Authentication.Event.NoResponse.Action()
                            self.action.parent = self
                            self._children_name_map["action"] = "action"
                            self._children_yang_names.add("action")
                            self._segment_path = lambda: "no-response"


                        class Action(Entity):
                            """
                            Required action for no\-response event
                            
                            .. attribute:: authorize
                            
                            	Reinitialize all authorized clients
                            	**type**\:  :py:class:`Authorize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Event.NoResponse.Action.Authorize>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Authentication.Event.NoResponse.Action, self).__init__()

                                self.yang_name = "action"
                                self.yang_parent_name = "no-response"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authorize" : ("authorize", Native.Interface.PortChannel.Authentication.Event.NoResponse.Action.Authorize)}
                                self._child_list_classes = {}

                                self.authorize = Native.Interface.PortChannel.Authentication.Event.NoResponse.Action.Authorize()
                                self.authorize.parent = self
                                self._children_name_map["authorize"] = "authorize"
                                self._children_yang_names.add("authorize")
                                self._segment_path = lambda: "action"


                            class Authorize(Entity):
                                """
                                Reinitialize all authorized clients
                                
                                .. attribute:: vlan
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-sanet'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannel.Authentication.Event.NoResponse.Action.Authorize, self).__init__()

                                    self.yang_name = "authorize"
                                    self.yang_parent_name = "action"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan = YLeaf(YType.uint16, "vlan")
                                    self._segment_path = lambda: "authorize"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannel.Authentication.Event.NoResponse.Action.Authorize, ['vlan'], name, value)


                class Order(Entity):
                    """
                    Add an authentication method to the order list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Authentication.Order, self).__init__()

                        self.yang_name = "order"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dot1x = YLeaf(YType.empty, "dot1x")

                        self.mab = YLeaf(YType.empty, "mab")

                        self.webauth = YLeaf(YType.empty, "webauth")
                        self._segment_path = lambda: "order"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Authentication.Order, ['dot1x', 'mab', 'webauth'], name, value)


                class Priority(Entity):
                    """
                    Add an authentication method to the priority list
                    
                    .. attribute:: dot1x
                    
                    	Authentication method dot1x allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mab
                    
                    	Authentication method mab allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: webauth
                    
                    	Authentication method webauth allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Authentication.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dot1x = YLeaf(YType.empty, "dot1x")

                        self.mab = YLeaf(YType.empty, "mab")

                        self.webauth = YLeaf(YType.empty, "webauth")
                        self._segment_path = lambda: "priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Authentication.Priority, ['dot1x', 'mab', 'webauth'], name, value)


                class Timer(Entity):
                    """
                    Set authentication timer values
                    
                    .. attribute:: reauthenticate
                    
                    	Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                    	**type**\:  :py:class:`Reauthenticate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Timer.Reauthenticate>`
                    
                    .. attribute:: inactivity
                    
                    	Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                    	**type**\:  :py:class:`Inactivity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Timer.Inactivity>`
                    
                    .. attribute:: restart
                    
                    	Interval in seconds after which an attempt should be made toauthenticate an unauthorized port (default 60 sec)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Authentication.Timer, self).__init__()

                        self.yang_name = "timer"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"reauthenticate" : ("reauthenticate", Native.Interface.PortChannel.Authentication.Timer.Reauthenticate), "inactivity" : ("inactivity", Native.Interface.PortChannel.Authentication.Timer.Inactivity)}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.uint16, "restart")

                        self.reauthenticate = Native.Interface.PortChannel.Authentication.Timer.Reauthenticate()
                        self.reauthenticate.parent = self
                        self._children_name_map["reauthenticate"] = "reauthenticate"
                        self._children_yang_names.add("reauthenticate")

                        self.inactivity = Native.Interface.PortChannel.Authentication.Timer.Inactivity()
                        self.inactivity.parent = self
                        self._children_name_map["inactivity"] = "inactivity"
                        self._children_yang_names.add("inactivity")
                        self._segment_path = lambda: "timer"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Authentication.Timer, ['restart'], name, value)


                    class Reauthenticate(Entity):
                        """
                        Time in seconds after which an automatic re\-authenticationshould be initiated (default 1 hour)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: server
                        
                        	Obtain re\-authentication timeout value from the server
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Authentication.Timer.Reauthenticate, self).__init__()

                            self.yang_name = "reauthenticate"
                            self.yang_parent_name = "timer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint16, "value")

                            self.server = YLeaf(YType.empty, "server")
                            self._segment_path = lambda: "reauthenticate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Authentication.Timer.Reauthenticate, ['value', 'server'], name, value)


                    class Inactivity(Entity):
                        """
                        Interval in seconds after which if there is no activity fromthe client then it will be unauthorized (default OFF)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Timer.Inactivity.Value>`
                        
                        .. attribute:: server
                        
                        	Obtain inactivity timeout value from the server
                        	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Authentication.Timer.Inactivity.Server>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sanet'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Authentication.Timer.Inactivity, self).__init__()

                            self.yang_name = "inactivity"
                            self.yang_parent_name = "timer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"value" : ("value", Native.Interface.PortChannel.Authentication.Timer.Inactivity.Value), "server" : ("server", Native.Interface.PortChannel.Authentication.Timer.Inactivity.Server)}
                            self._child_list_classes = {}

                            self.value = Native.Interface.PortChannel.Authentication.Timer.Inactivity.Value()
                            self.value.parent = self
                            self._children_name_map["value"] = "value"
                            self._children_yang_names.add("value")

                            self.server = None
                            self._children_name_map["server"] = "server"
                            self._children_yang_names.add("server")
                            self._segment_path = lambda: "inactivity"


                        class Value(Entity):
                            """
                            
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Authentication.Timer.Inactivity.Value, self).__init__()

                                self.yang_name = "value"
                                self.yang_parent_name = "inactivity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint16, "value")

                                self.dynamic = YLeaf(YType.empty, "dynamic")
                                self._segment_path = lambda: "value"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Authentication.Timer.Inactivity.Value, ['value', 'dynamic'], name, value)


                        class Server(Entity):
                            """
                            Obtain inactivity timeout value from the server
                            
                            .. attribute:: dynamic
                            
                            	Initiate a dynamic probe on inactivity timeout
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sanet'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannel.Authentication.Timer.Inactivity.Server, self).__init__()

                                self.yang_name = "server"
                                self.yang_parent_name = "inactivity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.dynamic = YLeaf(YType.empty, "dynamic")
                                self._segment_path = lambda: "server"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannel.Authentication.Timer.Inactivity.Server, ['dynamic'], name, value)


            class Mab(Entity):
                """
                
                
                .. attribute:: eap
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.Mab, self).__init__()

                    self.yang_name = "mab"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.eap = YLeaf(YType.empty, "eap")
                    self._segment_path = lambda: "Cisco-IOS-XE-sanet:mab"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Mab, ['eap'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpdufilter
                
                	Don't send or receive BPDUs on this interface
                	**type**\:  :py:class:`Bpdufilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.Bpdufilter>`
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.Bpduguard>`
                
                .. attribute:: cost
                
                	To set the path cost of the interface
                	**type**\: int
                
                	**range:** 1..200000000
                
                .. attribute:: guard
                
                	Change an interface's spanning tree guard mode
                	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.Guard>`
                
                .. attribute:: link_type
                
                	Specify a link type for spanning tree tree protocol use
                	**type**\:  :py:class:`LinkType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.LinkType>`
                
                .. attribute:: portfast
                
                	Spanning tree portfast options
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.Portfast>`
                
                	**presence node**\: True
                
                .. attribute:: port_priority
                
                	Spanning tree port\-priority options
                	**type**\: int
                
                	**range:** 0..240
                
                .. attribute:: vlan
                
                	VLAN Switch Spanning Tree
                	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.Vlan>`
                
                .. attribute:: loopguard
                
                	Spanning tree loopguard options
                	**type**\:  :py:class:`Loopguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.Loopguard>`
                
                .. attribute:: mst
                
                	Per interface MST configurations
                	**type**\:  :py:class:`Mst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SpanningTree.Mst>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.PortChannel.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.Interface.PortChannel.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.Interface.PortChannel.SpanningTree.Portfast), "vlan" : ("vlan", Native.Interface.PortChannel.SpanningTree.Vlan), "loopguard" : ("loopguard", Native.Interface.PortChannel.SpanningTree.Loopguard), "mst" : ("mst", Native.Interface.PortChannel.SpanningTree.Mst)}
                    self._child_list_classes = {}

                    self.bpdufilter = YLeaf(YType.enumeration, "bpdufilter")

                    self.cost = YLeaf(YType.uint32, "cost")

                    self.guard = YLeaf(YType.enumeration, "guard")

                    self.link_type = YLeaf(YType.enumeration, "link-type")

                    self.port_priority = YLeaf(YType.uint8, "port-priority")

                    self.bpduguard = Native.Interface.PortChannel.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = None
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")

                    self.vlan = Native.Interface.PortChannel.SpanningTree.Vlan()
                    self.vlan.parent = self
                    self._children_name_map["vlan"] = "vlan"
                    self._children_yang_names.add("vlan")

                    self.loopguard = Native.Interface.PortChannel.SpanningTree.Loopguard()
                    self.loopguard.parent = self
                    self._children_name_map["loopguard"] = "loopguard"
                    self._children_yang_names.add("loopguard")

                    self.mst = Native.Interface.PortChannel.SpanningTree.Mst()
                    self.mst.parent = self
                    self._children_name_map["mst"] = "mst"
                    self._children_yang_names.add("mst")
                    self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:spanning-tree"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.SpanningTree, ['bpdufilter', 'cost', 'guard', 'link_type', 'port_priority'], name, value)

                class Bpdufilter(Enum):
                    """
                    Bpdufilter

                    Don't send or receive BPDUs on this interface

                    .. data:: disable = 0

                    .. data:: enable = 1

                    """

                    disable = Enum.YLeaf(0, "disable")

                    enable = Enum.YLeaf(1, "enable")


                class Guard(Enum):
                    """
                    Guard

                    Change an interface's spanning tree guard mode

                    .. data:: loop = 0

                    .. data:: none = 1

                    .. data:: root = 2

                    """

                    loop = Enum.YLeaf(0, "loop")

                    none = Enum.YLeaf(1, "none")

                    root = Enum.YLeaf(2, "root")


                class LinkType(Enum):
                    """
                    LinkType

                    Specify a link type for spanning tree tree protocol use

                    .. data:: auto = 0

                    .. data:: none = 1

                    .. data:: point_to_point = 2

                    .. data:: root = 3

                    .. data:: shared = 4

                    """

                    auto = Enum.YLeaf(0, "auto")

                    none = Enum.YLeaf(1, "none")

                    point_to_point = Enum.YLeaf(2, "point-to-point")

                    root = Enum.YLeaf(3, "root")

                    shared = Enum.YLeaf(4, "shared")



                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.SpanningTree.Bpduguard, ['disable', 'enable'], name, value)


                class Portfast(Entity):
                    """
                    Spanning tree portfast options
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk
                    
                    	Enable portfast on the interface even in trunk mode
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.edge = YLeaf(YType.empty, "edge")
                        self._segment_path = lambda: "portfast"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.SpanningTree.Portfast, ['disable', 'trunk', 'edge'], name, value)


                class Vlan(Entity):
                    """
                    VLAN Switch Spanning Tree
                    
                    .. attribute:: vlan_ids
                    
                    	vlan range, example\: 1,3\-5,7,9\-11
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 1..4095
                    
                    		**type**\: list of str
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\: int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\: int
                    
                    	**range:** 0..240
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.SpanningTree.Vlan, self).__init__()

                        self.yang_name = "vlan"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_ids = YLeafList(YType.str, "vlan-ids")

                        self.cost = YLeaf(YType.uint32, "cost")

                        self.port_priority = YLeaf(YType.uint16, "port-priority")
                        self._segment_path = lambda: "vlan"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.SpanningTree.Vlan, ['vlan_ids', 'cost', 'port_priority'], name, value)


                class Loopguard(Entity):
                    """
                    Spanning tree loopguard options
                    
                    .. attribute:: default
                    
                    	Enable loopguard by default on all ports
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.SpanningTree.Loopguard, self).__init__()

                        self.yang_name = "loopguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.default = YLeaf(YType.empty, "default")
                        self._segment_path = lambda: "loopguard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.SpanningTree.Loopguard, ['default'], name, value)


                class Mst(Entity):
                    """
                    Per interface MST configurations
                    
                    .. attribute:: instance
                    
                    	MST instance list, example 0,2\-4,6,8\-12
                    	**type**\: str
                    
                    .. attribute:: cost
                    
                    	<1\-200000000> Spanning\-tree cost
                    	**type**\: int
                    
                    	**range:** 1..200000000
                    
                    .. attribute:: port_priority
                    
                    	<0\-240> port priority in increments of 16
                    	**type**\: int
                    
                    	**range:** 0..240
                    
                    .. attribute:: pre_standard
                    
                    	Force pre\-standard MST BPDU transmission on port
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannel.SpanningTree.Mst, self).__init__()

                        self.yang_name = "mst"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.instance = YLeaf(YType.str, "instance")

                        self.cost = YLeaf(YType.uint32, "cost")

                        self.port_priority = YLeaf(YType.uint16, "port-priority")

                        self.pre_standard = YLeaf(YType.empty, "pre-standard")
                        self._segment_path = lambda: "mst"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.SpanningTree.Mst, ['instance', 'cost', 'port_priority', 'pre_standard'], name, value)


            class Auto(Entity):
                """
                Configure Automation
                
                .. attribute:: qos
                
                	Configure AutoQoS
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Auto.Qos>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.PortChannel.Auto, self).__init__()

                    self.yang_name = "auto"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"qos" : ("qos", Native.Interface.PortChannel.Auto.Qos)}
                    self._child_list_classes = {}

                    self.qos = Native.Interface.PortChannel.Auto.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:auto"


                class Qos(Entity):
                    """
                    Configure AutoQoS
                    
                    .. attribute:: classify
                    
                    	Configure classification for untrusted devices
                    	**type**\:  :py:class:`Classify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Auto.Qos.Classify>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trust
                    
                    	Trust the DSCP/CoS marking
                    	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Auto.Qos.Trust>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: video
                    
                    	Configure AutoQoS for video devices
                    	**type**\:  :py:class:`Video <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Auto.Qos.Video>`
                    
                    .. attribute:: voip
                    
                    	Configure AutoQoS for VoIP
                    	**type**\:  :py:class:`Voip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Auto.Qos.Voip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Auto.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "auto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"classify" : ("classify", Native.Interface.PortChannel.Auto.Qos.Classify), "trust" : ("trust", Native.Interface.PortChannel.Auto.Qos.Trust), "video" : ("video", Native.Interface.PortChannel.Auto.Qos.Video), "voip" : ("voip", Native.Interface.PortChannel.Auto.Qos.Voip)}
                        self._child_list_classes = {}

                        self.classify = None
                        self._children_name_map["classify"] = "classify"
                        self._children_yang_names.add("classify")

                        self.trust = None
                        self._children_name_map["trust"] = "trust"
                        self._children_yang_names.add("trust")

                        self.video = Native.Interface.PortChannel.Auto.Qos.Video()
                        self.video.parent = self
                        self._children_name_map["video"] = "video"
                        self._children_yang_names.add("video")

                        self.voip = None
                        self._children_name_map["voip"] = "voip"
                        self._children_yang_names.add("voip")
                        self._segment_path = lambda: "qos"


                    class Classify(Entity):
                        """
                        Configure classification for untrusted devices
                        
                        .. attribute:: police
                        
                        	Configure QoS policing for untrusted devices
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Auto.Qos.Classify, self).__init__()

                            self.yang_name = "classify"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.police = YLeaf(YType.empty, "police")
                            self._segment_path = lambda: "classify"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Auto.Qos.Classify, ['police'], name, value)


                    class Trust(Entity):
                        """
                        Trust the DSCP/CoS marking
                        
                        .. attribute:: cos
                        
                        	Trust the CoS marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dscp
                        
                        	Trust the DSCP marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Auto.Qos.Trust, self).__init__()

                            self.yang_name = "trust"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cos = YLeaf(YType.empty, "cos")

                            self.dscp = YLeaf(YType.empty, "dscp")
                            self._segment_path = lambda: "trust"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Auto.Qos.Trust, ['cos', 'dscp'], name, value)


                    class Video(Entity):
                        """
                        Configure AutoQoS for video devices
                        
                        .. attribute:: cts
                        
                        	Trust the QoS marking of the Cisco Telepresence System
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip_camera
                        
                        	Trust the QoS marking of the Ip Video Surveillance camera
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: media_player
                        
                        	Trust the Qos marking of the Cisco Media Player
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Auto.Qos.Video, self).__init__()

                            self.yang_name = "video"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.cts = YLeaf(YType.empty, "cts")

                            self.ip_camera = YLeaf(YType.empty, "ip-camera")

                            self.media_player = YLeaf(YType.empty, "media-player")
                            self._segment_path = lambda: "video"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Auto.Qos.Video, ['cts', 'ip_camera', 'media_player'], name, value)


                    class Voip(Entity):
                        """
                        Configure AutoQoS for VoIP
                        
                        .. attribute:: cisco_phone
                        
                        	Trust the QoS marking of Cisco IP Phone
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cisco_softphone
                        
                        	Trust the QoS marking of Cisco IP SoftPhone
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trust
                        
                        	Trust the DSCP/CoS marking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Auto.Qos.Voip, self).__init__()

                            self.yang_name = "voip"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cisco_phone = YLeaf(YType.empty, "cisco-phone")

                            self.cisco_softphone = YLeaf(YType.empty, "cisco-softphone")

                            self.trust = YLeaf(YType.empty, "trust")
                            self._segment_path = lambda: "voip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Auto.Qos.Voip, ['cisco_phone', 'cisco_softphone', 'trust'], name, value)


            class Datalink(Entity):
                """
                Interface Datalink commands
                
                .. attribute:: flow
                
                	Interface Flow configuration subcommands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Datalink.Flow>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.PortChannel.Datalink, self).__init__()

                    self.yang_name = "datalink"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"flow" : ("flow", Native.Interface.PortChannel.Datalink.Flow)}
                    self._child_list_classes = {}

                    self.flow = Native.Interface.PortChannel.Datalink.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:datalink"


                class Flow(Entity):
                    """
                    Interface Flow configuration subcommands
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Datalink.Flow.Monitor>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Datalink.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "datalink"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"monitor" : ("monitor", Native.Interface.PortChannel.Datalink.Flow.Monitor)}
                        self._child_list_classes = {}

                        self.monitor = None
                        self._children_name_map["monitor"] = "monitor"
                        self._children_yang_names.add("monitor")
                        self._segment_path = lambda: "flow"


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: user_defined_flow
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: input_output
                        
                        	Apply Flow Monitor on input/output traffic
                        	**type**\:  :py:class:`InputOutput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Datalink.Flow.Monitor.InputOutput>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Datalink.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.user_defined_flow = YLeaf(YType.str, "User-defined-flow")

                            self.input_output = YLeaf(YType.enumeration, "input-output")
                            self._segment_path = lambda: "monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Datalink.Flow.Monitor, ['user_defined_flow', 'input_output'], name, value)

                        class InputOutput(Enum):
                            """
                            InputOutput

                            Apply Flow Monitor on input/output traffic

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



            class Energywise(Entity):
                """
                EnergyWise interface configurations
                
                .. attribute:: activitycheck
                
                	Apply an activity check before turning off power    to this PoE port
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.PortChannel.Energywise, self).__init__()

                    self.yang_name = "energywise"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.activitycheck = YLeaf(YType.empty, "activitycheck")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:energywise"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Energywise, ['activitycheck'], name, value)


            class Location(Entity):
                """
                Interface location information
                
                .. attribute:: civic_location_id
                
                	Civic location information
                	**type**\:  :py:class:`CivicLocationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Location.CivicLocationId>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.PortChannel.Location, self).__init__()

                    self.yang_name = "location"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"civic-location-id" : ("civic_location_id", Native.Interface.PortChannel.Location.CivicLocationId)}
                    self._child_list_classes = {}

                    self.civic_location_id = Native.Interface.PortChannel.Location.CivicLocationId()
                    self.civic_location_id.parent = self
                    self._children_name_map["civic_location_id"] = "civic-location-id"
                    self._children_yang_names.add("civic-location-id")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:location"


                class CivicLocationId(Entity):
                    """
                    Civic location information
                    
                    .. attribute:: location_identifier
                    
                    	civic location identifier string
                    	**type**\: str
                    
                    .. attribute:: host
                    
                    	Globally defined host location identifer
                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Location.CivicLocationId.Host>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: none
                    
                    	No globally defined location identifer
                    	**type**\:  :py:class:`None_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Location.CivicLocationId.None_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Location.CivicLocationId, self).__init__()

                        self.yang_name = "civic-location-id"
                        self.yang_parent_name = "location"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"host" : ("host", Native.Interface.PortChannel.Location.CivicLocationId.Host), "none" : ("none", Native.Interface.PortChannel.Location.CivicLocationId.None_)}
                        self._child_list_classes = {}

                        self.location_identifier = YLeaf(YType.str, "location-identifier")

                        self.host = None
                        self._children_name_map["host"] = "host"
                        self._children_yang_names.add("host")

                        self.none = None
                        self._children_name_map["none"] = "none"
                        self._children_yang_names.add("none")
                        self._segment_path = lambda: "civic-location-id"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Location.CivicLocationId, ['location_identifier'], name, value)


                    class Host(Entity):
                        """
                        Globally defined host location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Location.CivicLocationId.Host, self).__init__()

                            self.yang_name = "host"
                            self.yang_parent_name = "civic-location-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.port_location = YLeaf(YType.str, "port-location")
                            self._segment_path = lambda: "host"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Location.CivicLocationId.Host, ['port_location'], name, value)


                    class None_(Entity):
                        """
                        No globally defined location identifer
                        
                        .. attribute:: port_location
                        
                        	Port specific attributes
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Location.CivicLocationId.None_, self).__init__()

                            self.yang_name = "none"
                            self.yang_parent_name = "civic-location-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.port_location = YLeaf(YType.str, "port-location")
                            self._segment_path = lambda: "none"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Location.CivicLocationId.None_, ['port_location'], name, value)


            class Mac(Entity):
                """
                MAC interface commands
                
                .. attribute:: access_group
                
                	MAC access\-group configuration commands
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mac.AccessGroup>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.PortChannel.Mac, self).__init__()

                    self.yang_name = "mac"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.PortChannel.Mac.AccessGroup)}
                    self._child_list_classes = {}

                    self.access_group = Native.Interface.PortChannel.Mac.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:mac"


                class AccessGroup(Entity):
                    """
                    MAC access\-group configuration commands
                    
                    .. attribute:: acl_name
                    
                    	ACL name
                    	**type**\:  :py:class:`ACLName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mac.AccessGroup.ACLName>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Mac.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "mac"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ACL-name" : ("acl_name", Native.Interface.PortChannel.Mac.AccessGroup.ACLName)}
                        self._child_list_classes = {}

                        self.acl_name = Native.Interface.PortChannel.Mac.AccessGroup.ACLName()
                        self.acl_name.parent = self
                        self._children_name_map["acl_name"] = "ACL-name"
                        self._children_yang_names.add("ACL-name")
                        self._segment_path = lambda: "access-group"


                    class ACLName(Entity):
                        """
                        ACL name
                        
                        .. attribute:: acl_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: apply_to
                        
                        	
                        	**type**\:  :py:class:`ApplyTo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Mac.AccessGroup.ACLName.ApplyTo>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.Mac.AccessGroup.ACLName, self).__init__()

                            self.yang_name = "ACL-name"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.acl_name = YLeaf(YType.str, "acl-name")

                            self.apply_to = YLeaf(YType.enumeration, "apply-to")
                            self._segment_path = lambda: "ACL-name"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.Mac.AccessGroup.ACLName, ['acl_name', 'apply_to'], name, value)

                        class ApplyTo(Enum):
                            """
                            ApplyTo

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = Enum.YLeaf(0, "in")

                            out = Enum.YLeaf(1, "out")



            class Macro(Entity):
                """
                Command macro
                
                .. attribute:: description
                
                	Macro description for this interface
                	**type**\: str
                
                .. attribute:: auto
                
                	Smartport interface macro configurations
                	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Macro.Auto>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.PortChannel.Macro, self).__init__()

                    self.yang_name = "macro"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"auto" : ("auto", Native.Interface.PortChannel.Macro.Auto)}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.str, "description")

                    self.auto = Native.Interface.PortChannel.Macro.Auto()
                    self.auto.parent = self
                    self._children_name_map["auto"] = "auto"
                    self._children_yang_names.add("auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:macro"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Macro, ['description'], name, value)


                class Auto(Entity):
                    """
                    Smartport interface macro configurations
                    
                    .. attribute:: processing
                    
                    	Enable smartport macro auto execution on this interface
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Macro.Auto, self).__init__()

                        self.yang_name = "auto"
                        self.yang_parent_name = "macro"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.processing = YLeaf(YType.boolean, "processing")
                        self._segment_path = lambda: "auto"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Macro.Auto, ['processing'], name, value)


            class DualActive(Entity):
                """
                
                
                .. attribute:: fast_hello
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.PortChannel.DualActive, self).__init__()

                    self.yang_name = "dual-active"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fast_hello = YLeaf(YType.empty, "fast-hello")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:dual-active"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.DualActive, ['fast_hello'], name, value)


            class LoadBalancing(Entity):
                """
                Etherchannel Load\-Balancing
                
                .. attribute:: flow
                
                	Based on the traffic flows identified by the packet headers
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Based on the VLAN to member links manual configuration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.PortChannel.LoadBalancing, self).__init__()

                    self.yang_name = "load-balancing"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.flow = YLeaf(YType.empty, "flow")

                    self.vlan = YLeaf(YType.empty, "vlan")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:load-balancing"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.LoadBalancing, ['flow', 'vlan'], name, value)


            class VlanRange(Entity):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4096
                
                		**type**\: str
                
                .. attribute:: service_policy
                
                	Configure QoS Service Policy
                	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.VlanRange.ServicePolicy>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.PortChannel.VlanRange, self).__init__()

                    self.yang_name = "vlan-range"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"service-policy" : ("service_policy", Native.Interface.PortChannel.VlanRange.ServicePolicy)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.service_policy = Native.Interface.PortChannel.VlanRange.ServicePolicy()
                    self.service_policy.parent = self
                    self._children_name_map["service_policy"] = "service-policy"
                    self._children_yang_names.add("service-policy")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:vlan-range" + "[id='" + self.id.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.VlanRange, ['id'], name, value)


                class ServicePolicy(Entity):
                    """
                    Configure QoS Service Policy
                    
                    .. attribute:: input
                    
                    	Assign policy\-map to the input of an interface
                    	**type**\: str
                    
                    .. attribute:: output
                    
                    	Assign policy\-map to the output of an interface
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.VlanRange.ServicePolicy, self).__init__()

                        self.yang_name = "service-policy"
                        self.yang_parent_name = "vlan-range"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.input = YLeaf(YType.str, "input")

                        self.output = YLeaf(YType.str, "output")
                        self._segment_path = lambda: "service-policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.VlanRange.ServicePolicy, ['input', 'output'], name, value)


            class Switch(Entity):
                """
                
                
                .. attribute:: virtual
                
                	
                	**type**\:  :py:class:`Virtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.Switch.Virtual>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.PortChannel.Switch, self).__init__()

                    self.yang_name = "switch"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"virtual" : ("virtual", Native.Interface.PortChannel.Switch.Virtual)}
                    self._child_list_classes = {}

                    self.virtual = Native.Interface.PortChannel.Switch.Virtual()
                    self.virtual.parent = self
                    self._children_name_map["virtual"] = "virtual"
                    self._children_yang_names.add("virtual")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:switch"


                class Virtual(Entity):
                    """
                    
                    
                    .. attribute:: link
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.Switch.Virtual, self).__init__()

                        self.yang_name = "virtual"
                        self.yang_parent_name = "switch"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.link = YLeaf(YType.uint8, "link")
                        self._segment_path = lambda: "virtual"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannel.Switch.Virtual, ['link'], name, value)


            class SrrQueue(Entity):
                """
                
                
                .. attribute:: bandwidth
                
                	
                	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SrrQueue.Bandwidth>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.PortChannel.SrrQueue, self).__init__()

                    self.yang_name = "srr-queue"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.PortChannel.SrrQueue.Bandwidth)}
                    self._child_list_classes = {}

                    self.bandwidth = Native.Interface.PortChannel.SrrQueue.Bandwidth()
                    self.bandwidth.parent = self
                    self._children_name_map["bandwidth"] = "bandwidth"
                    self._children_yang_names.add("bandwidth")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:srr-queue"


                class Bandwidth(Entity):
                    """
                    
                    
                    .. attribute:: shape
                    
                    	
                    	**type**\:  :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SrrQueue.Bandwidth.Shape>`
                    
                    .. attribute:: share
                    
                    	
                    	**type**\:  :py:class:`Share <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannel.SrrQueue.Bandwidth.Share>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannel.SrrQueue.Bandwidth, self).__init__()

                        self.yang_name = "bandwidth"
                        self.yang_parent_name = "srr-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"shape" : ("shape", Native.Interface.PortChannel.SrrQueue.Bandwidth.Shape), "share" : ("share", Native.Interface.PortChannel.SrrQueue.Bandwidth.Share)}
                        self._child_list_classes = {}

                        self.shape = Native.Interface.PortChannel.SrrQueue.Bandwidth.Shape()
                        self.shape.parent = self
                        self._children_name_map["shape"] = "shape"
                        self._children_yang_names.add("shape")

                        self.share = Native.Interface.PortChannel.SrrQueue.Bandwidth.Share()
                        self.share.parent = self
                        self._children_name_map["share"] = "share"
                        self._children_yang_names.add("share")
                        self._segment_path = lambda: "bandwidth"


                    class Shape(Entity):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.SrrQueue.Bandwidth.Shape, self).__init__()

                            self.yang_name = "shape"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.weight1 = YLeaf(YType.uint16, "weight1")

                            self.weight2 = YLeaf(YType.uint16, "weight2")

                            self.weight3 = YLeaf(YType.uint16, "weight3")

                            self.weight4 = YLeaf(YType.uint16, "weight4")
                            self._segment_path = lambda: "shape"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.SrrQueue.Bandwidth.Shape, ['weight1', 'weight2', 'weight3', 'weight4'], name, value)


                    class Share(Entity):
                        """
                        
                        
                        .. attribute:: weight1
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight2
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight3
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weight4
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannel.SrrQueue.Bandwidth.Share, self).__init__()

                            self.yang_name = "share"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.weight1 = YLeaf(YType.uint8, "weight1")

                            self.weight2 = YLeaf(YType.uint8, "weight2")

                            self.weight3 = YLeaf(YType.uint8, "weight3")

                            self.weight4 = YLeaf(YType.uint8, "weight4")
                            self._segment_path = lambda: "share"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannel.SrrQueue.Bandwidth.Share, ['weight1', 'weight2', 'weight3', 'weight4'], name, value)


            class Macsec(Entity):
                """
                Enable macsec on the interface
                
                .. attribute:: network_link
                
                	Enable macsec on switch connected interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Interface.PortChannel.Macsec, self).__init__()

                    self.yang_name = "macsec"
                    self.yang_parent_name = "Port-channel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.network_link = YLeaf(YType.empty, "network-link")
                    self._segment_path = lambda: "Cisco-IOS-XE-switch:macsec"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannel.Macsec, ['network_link'], name, value)


        class PortChannelSubinterface(Entity):
            """
            
            
            .. attribute:: port_channel
            
            	
            	**type**\: list of  		 :py:class:`PortChannel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.PortChannelSubinterface, self).__init__()

                self.yang_name = "Port-channel-subinterface"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"Port-channel" : ("port_channel", Native.Interface.PortChannelSubinterface.PortChannel)}

                self.port_channel = YList(self)
                self._segment_path = lambda: "Port-channel-subinterface"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.PortChannelSubinterface, [], name, value)


            class PortChannel(Entity):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: description
                
                	Interface specific description
                	**type**\: str
                
                	**length:** 0..240
                
                .. attribute:: switchport_conf
                
                	
                	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.SwitchportConf>`
                
                .. attribute:: switchport
                
                	Set switching mode characteristics
                	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport>`
                
                .. attribute:: mac_address
                
                	Manually set interface MAC address
                	**type**\: str
                
                .. attribute:: shutdown
                
                	Shutdown the selected interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: arp
                
                	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Arp>`
                
                .. attribute:: backup
                
                	Modify backup parameters
                	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup>`
                
                .. attribute:: cemoudp
                
                	cemoudp
                	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp>`
                
                .. attribute:: cws_tunnel
                
                	Configure Cloud Web Security Tunnel
                	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel>`
                
                .. attribute:: l2protocol_tunnel
                
                	Tunnel Layer2 protocols
                	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel>`
                
                	**presence node**\: True
                
                .. attribute:: encapsulation
                
                	Set encapsulation type for an interface
                	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation>`
                
                .. attribute:: fair_queue_conf
                
                	
                	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.FairQueueConf>`
                
                .. attribute:: fair_queue
                
                	Enable Fair Queuing on an Interface
                	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.FairQueue>`
                
                .. attribute:: flowcontrol
                
                	Configure flow operation
                	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol>`
                
                .. attribute:: isis
                
                	IS\-IS commands
                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Isis>`
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\: bool
                
                .. attribute:: keepalive_settings
                
                	
                	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings>`
                
                .. attribute:: bfd
                
                	BFD interface configuration commands
                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Bfd>`
                
                .. attribute:: bandwidth
                
                	Set bandwidth informational parameter
                	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth>`
                
                .. attribute:: dampening
                
                	Enable event dampening
                	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Dampening>`
                
                .. attribute:: if_state
                
                	
                	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.IfState>`
                
                .. attribute:: delay
                
                	Specify interface throughput delay
                	**type**\: int
                
                	**range:** 1..16777215
                
                .. attribute:: domain
                
                	Specify a domain
                	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Domain>`
                
                .. attribute:: hold_queue
                
                	Set hold queue depth
                	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue>`
                
                .. attribute:: mpls
                
                	
                	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mpls>`
                
                .. attribute:: ip_vrf
                
                	
                	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.IpVrf>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Vrf>`
                
                .. attribute:: ip
                
                	Interface Internet Protocol config commands
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip>`
                
                .. attribute:: ipv6
                
                	IPv6 interface subcommands
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6>`
                
                .. attribute:: load_interval
                
                	Specify interval for load calculation for an interface
                	**type**\: int
                
                	**range:** 0..600
                
                .. attribute:: logging
                
                	Configure logging for interface
                	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Logging>`
                
                .. attribute:: mdix
                
                	Set Media Dependent Interface with Crossover
                	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mdix>`
                
                .. attribute:: mop
                
                	
                	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mop>`
                
                .. attribute:: max_reserved_bandwidth
                
                	Maximum Reservable Bandwidth on an Interface
                	**type**\: int
                
                	**range:** 1..100
                
                .. attribute:: mtu
                
                	Set the interface Maximum Transmission Unit (MTU)
                	**type**\: int
                
                	**range:** 64..18000
                
                .. attribute:: interface_qos
                
                	
                	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.InterfaceQos>`
                
                .. attribute:: service_insertion
                
                	Service\-insertion AppNav Controller
                	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.ServiceInsertion>`
                
                .. attribute:: standby
                
                	HSRP interface configuration commands
                	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby>`
                
                .. attribute:: access_session
                
                	Access Session specific Interface Configuration Commands
                	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.AccessSession>`
                
                .. attribute:: storm_control
                
                	storm configuration
                	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl>`
                
                .. attribute:: trust
                
                	Set trust value for the interface
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Trust>`
                
                .. attribute:: priority_queue
                
                	Configure priority scheduling
                	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue>`
                
                .. attribute:: rcv_queue
                
                	Configure receive queue(s)
                	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue>`
                
                .. attribute:: peer
                
                	Peer parameters for point to point interfaces
                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Peer>`
                
                .. attribute:: pm_path
                
                	Global pm\-path configuration
                	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.PmPath>`
                
                .. attribute:: carrier_delay
                
                	Specify delay for interface transitions
                	**type**\:  :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay>`
                
                .. attribute:: channel_group
                
                	Add this interface to an Etherchannel group
                	**type**\:  :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup>`
                
                .. attribute:: channel_protocol
                
                	Select the channel protocol (LACP, PAgP)
                	**type**\:  :py:class:`ChannelProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.ChannelProtocol>`
                
                .. attribute:: ethernet
                
                	Ethernet interface parameters
                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet>`
                
                .. attribute:: negotiation
                
                	Select autonegotiation mode
                	**type**\:  :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Negotiation>`
                
                .. attribute:: synchronous
                
                	Synchronous
                	**type**\:  :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Synchronous>`
                
                .. attribute:: duplex
                
                	Configure duplex operation
                	**type**\:  :py:class:`Duplex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Duplex>`
                
                .. attribute:: speed
                
                	Configure speed operation
                	**type**\:  :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Speed>`
                
                .. attribute:: plim
                
                	Configure features on the PLIM
                	**type**\:  :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim>`
                
                .. attribute:: pppoe
                
                	pppoe interface subcommands
                	**type**\:  :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Pppoe>`
                
                .. attribute:: service
                
                	Configure Ether Service
                	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service>`
                
                .. attribute:: auto
                
                	Configure Automation
                	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Auto>`
                
                .. attribute:: datalink
                
                	Interface Datalink commands
                	**type**\:  :py:class:`Datalink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Datalink>`
                
                .. attribute:: energywise
                
                	EnergyWise interface configurations
                	**type**\:  :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Energywise>`
                
                	**presence node**\: True
                
                .. attribute:: location
                
                	Interface location information
                	**type**\:  :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Location>`
                
                .. attribute:: mac
                
                	MAC interface commands
                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mac>`
                
                .. attribute:: macro
                
                	Command macro
                	**type**\:  :py:class:`Macro <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Macro>`
                
                .. attribute:: dual_active
                
                	
                	**type**\:  :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.DualActive>`
                
                .. attribute:: load_balancing
                
                	Etherchannel Load\-Balancing
                	**type**\:  :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.LoadBalancing>`
                
                .. attribute:: vlan_range
                
                	
                	**type**\: list of  		 :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.VlanRange>`
                
                .. attribute:: switch
                
                	
                	**type**\:  :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switch>`
                
                .. attribute:: srr_queue
                
                	
                	**type**\:  :py:class:`SrrQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue>`
                
                .. attribute:: macsec
                
                	Enable macsec on the interface
                	**type**\:  :py:class:`Macsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Macsec>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.PortChannelSubinterface.PortChannel, self).__init__()

                    self.yang_name = "Port-channel"
                    self.yang_parent_name = "Port-channel-subinterface"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.PortChannelSubinterface.PortChannel.SwitchportConf), "switchport" : ("switchport", Native.Interface.PortChannelSubinterface.PortChannel.Switchport), "arp" : ("arp", Native.Interface.PortChannelSubinterface.PortChannel.Arp), "backup" : ("backup", Native.Interface.PortChannelSubinterface.PortChannel.Backup), "cemoudp" : ("cemoudp", Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.PortChannelSubinterface.PortChannel.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.PortChannelSubinterface.PortChannel.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol), "isis" : ("isis", Native.Interface.PortChannelSubinterface.PortChannel.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.PortChannelSubinterface.PortChannel.Bfd), "bandwidth" : ("bandwidth", Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth), "dampening" : ("dampening", Native.Interface.PortChannelSubinterface.PortChannel.Dampening), "domain" : ("domain", Native.Interface.PortChannelSubinterface.PortChannel.Domain), "mpls" : ("mpls", Native.Interface.PortChannelSubinterface.PortChannel.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.PortChannelSubinterface.PortChannel.IpVrf), "vrf" : ("vrf", Native.Interface.PortChannelSubinterface.PortChannel.Vrf), "ip" : ("ip", Native.Interface.PortChannelSubinterface.PortChannel.Ip), "ipv6" : ("ipv6", Native.Interface.PortChannelSubinterface.PortChannel.Ipv6), "logging" : ("logging", Native.Interface.PortChannelSubinterface.PortChannel.Logging), "mdix" : ("mdix", Native.Interface.PortChannelSubinterface.PortChannel.Mdix), "mop" : ("mop", Native.Interface.PortChannelSubinterface.PortChannel.Mop), "interface_qos" : ("interface_qos", Native.Interface.PortChannelSubinterface.PortChannel.InterfaceQos), "standby" : ("standby", Native.Interface.PortChannelSubinterface.PortChannel.Standby), "access-session" : ("access_session", Native.Interface.PortChannelSubinterface.PortChannel.AccessSession), "storm-control" : ("storm_control", Native.Interface.PortChannelSubinterface.PortChannel.StormControl), "trust" : ("trust", Native.Interface.PortChannelSubinterface.PortChannel.Trust), "priority-queue" : ("priority_queue", Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue), "peer" : ("peer", Native.Interface.PortChannelSubinterface.PortChannel.Peer), "pm-path" : ("pm_path", Native.Interface.PortChannelSubinterface.PortChannel.PmPath), "Cisco-IOS-XE-ethernet:carrier-delay" : ("carrier_delay", Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay), "Cisco-IOS-XE-ethernet:channel-group" : ("channel_group", Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup), "Cisco-IOS-XE-ethernet:ethernet" : ("ethernet", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet), "Cisco-IOS-XE-ethernet:negotiation" : ("negotiation", Native.Interface.PortChannelSubinterface.PortChannel.Negotiation), "Cisco-IOS-XE-ethernet:synchronous" : ("synchronous", Native.Interface.PortChannelSubinterface.PortChannel.Synchronous), "Cisco-IOS-XE-ethernet:speed" : ("speed", Native.Interface.PortChannelSubinterface.PortChannel.Speed), "Cisco-IOS-XE-ethernet:plim" : ("plim", Native.Interface.PortChannelSubinterface.PortChannel.Plim), "Cisco-IOS-XE-ethernet:pppoe" : ("pppoe", Native.Interface.PortChannelSubinterface.PortChannel.Pppoe), "Cisco-IOS-XE-ethernet:service" : ("service", Native.Interface.PortChannelSubinterface.PortChannel.Service), "Cisco-IOS-XE-switch:auto" : ("auto", Native.Interface.PortChannelSubinterface.PortChannel.Auto), "Cisco-IOS-XE-switch:datalink" : ("datalink", Native.Interface.PortChannelSubinterface.PortChannel.Datalink), "Cisco-IOS-XE-switch:energywise" : ("energywise", Native.Interface.PortChannelSubinterface.PortChannel.Energywise), "Cisco-IOS-XE-switch:location" : ("location", Native.Interface.PortChannelSubinterface.PortChannel.Location), "Cisco-IOS-XE-switch:mac" : ("mac", Native.Interface.PortChannelSubinterface.PortChannel.Mac), "Cisco-IOS-XE-switch:macro" : ("macro", Native.Interface.PortChannelSubinterface.PortChannel.Macro), "Cisco-IOS-XE-switch:dual-active" : ("dual_active", Native.Interface.PortChannelSubinterface.PortChannel.DualActive), "Cisco-IOS-XE-switch:load-balancing" : ("load_balancing", Native.Interface.PortChannelSubinterface.PortChannel.LoadBalancing), "Cisco-IOS-XE-switch:switch" : ("switch", Native.Interface.PortChannelSubinterface.PortChannel.Switch), "Cisco-IOS-XE-switch:srr-queue" : ("srr_queue", Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue), "Cisco-IOS-XE-switch:macsec" : ("macsec", Native.Interface.PortChannelSubinterface.PortChannel.Macsec)}
                    self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue), "Cisco-IOS-XE-switch:vlan-range" : ("vlan_range", Native.Interface.PortChannelSubinterface.PortChannel.VlanRange)}

                    self.name = YLeaf(YType.str, "name")

                    self.description = YLeaf(YType.str, "description")

                    self.mac_address = YLeaf(YType.str, "mac-address")

                    self.shutdown = YLeaf(YType.empty, "shutdown")

                    self.keepalive = YLeaf(YType.boolean, "keepalive")

                    self.if_state = YLeaf(YType.enumeration, "if-state")

                    self.delay = YLeaf(YType.uint32, "delay")

                    self.load_interval = YLeaf(YType.uint16, "load-interval")

                    self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                    self.channel_protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:channel-protocol")

                    self.duplex = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:duplex")

                    self.switchport_conf = Native.Interface.PortChannelSubinterface.PortChannel.SwitchportConf()
                    self.switchport_conf.parent = self
                    self._children_name_map["switchport_conf"] = "switchport-conf"
                    self._children_yang_names.add("switchport-conf")

                    self.switchport = Native.Interface.PortChannelSubinterface.PortChannel.Switchport()
                    self.switchport.parent = self
                    self._children_name_map["switchport"] = "switchport"
                    self._children_yang_names.add("switchport")

                    self.arp = Native.Interface.PortChannelSubinterface.PortChannel.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.backup = Native.Interface.PortChannelSubinterface.PortChannel.Backup()
                    self.backup.parent = self
                    self._children_name_map["backup"] = "backup"
                    self._children_yang_names.add("backup")

                    self.cemoudp = Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp()
                    self.cemoudp.parent = self
                    self._children_name_map["cemoudp"] = "cemoudp"
                    self._children_yang_names.add("cemoudp")

                    self.cws_tunnel = Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel()
                    self.cws_tunnel.parent = self
                    self._children_name_map["cws_tunnel"] = "cws-tunnel"
                    self._children_yang_names.add("cws-tunnel")

                    self.l2protocol_tunnel = None
                    self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                    self._children_yang_names.add("l2protocol-tunnel")

                    self.encapsulation = Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation()
                    self.encapsulation.parent = self
                    self._children_name_map["encapsulation"] = "encapsulation"
                    self._children_yang_names.add("encapsulation")

                    self.fair_queue_conf = Native.Interface.PortChannelSubinterface.PortChannel.FairQueueConf()
                    self.fair_queue_conf.parent = self
                    self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                    self._children_yang_names.add("fair-queue-conf")

                    self.fair_queue = Native.Interface.PortChannelSubinterface.PortChannel.FairQueue()
                    self.fair_queue.parent = self
                    self._children_name_map["fair_queue"] = "fair-queue"
                    self._children_yang_names.add("fair-queue")

                    self.flowcontrol = Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol()
                    self.flowcontrol.parent = self
                    self._children_name_map["flowcontrol"] = "flowcontrol"
                    self._children_yang_names.add("flowcontrol")

                    self.isis = Native.Interface.PortChannelSubinterface.PortChannel.Isis()
                    self.isis.parent = self
                    self._children_name_map["isis"] = "isis"
                    self._children_yang_names.add("isis")

                    self.keepalive_settings = Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings()
                    self.keepalive_settings.parent = self
                    self._children_name_map["keepalive_settings"] = "keepalive-settings"
                    self._children_yang_names.add("keepalive-settings")

                    self.bfd = Native.Interface.PortChannelSubinterface.PortChannel.Bfd()
                    self.bfd.parent = self
                    self._children_name_map["bfd"] = "bfd"
                    self._children_yang_names.add("bfd")

                    self.bandwidth = Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth()
                    self.bandwidth.parent = self
                    self._children_name_map["bandwidth"] = "bandwidth"
                    self._children_yang_names.add("bandwidth")

                    self.dampening = Native.Interface.PortChannelSubinterface.PortChannel.Dampening()
                    self.dampening.parent = self
                    self._children_name_map["dampening"] = "dampening"
                    self._children_yang_names.add("dampening")

                    self.domain = Native.Interface.PortChannelSubinterface.PortChannel.Domain()
                    self.domain.parent = self
                    self._children_name_map["domain"] = "domain"
                    self._children_yang_names.add("domain")

                    self.mpls = Native.Interface.PortChannelSubinterface.PortChannel.Mpls()
                    self.mpls.parent = self
                    self._children_name_map["mpls"] = "mpls"
                    self._children_yang_names.add("mpls")

                    self.ip_vrf = Native.Interface.PortChannelSubinterface.PortChannel.IpVrf()
                    self.ip_vrf.parent = self
                    self._children_name_map["ip_vrf"] = "ip-vrf"
                    self._children_yang_names.add("ip-vrf")

                    self.vrf = Native.Interface.PortChannelSubinterface.PortChannel.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.ip = Native.Interface.PortChannelSubinterface.PortChannel.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")

                    self.ipv6 = Native.Interface.PortChannelSubinterface.PortChannel.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.logging = Native.Interface.PortChannelSubinterface.PortChannel.Logging()
                    self.logging.parent = self
                    self._children_name_map["logging"] = "logging"
                    self._children_yang_names.add("logging")

                    self.mdix = Native.Interface.PortChannelSubinterface.PortChannel.Mdix()
                    self.mdix.parent = self
                    self._children_name_map["mdix"] = "mdix"
                    self._children_yang_names.add("mdix")

                    self.mop = Native.Interface.PortChannelSubinterface.PortChannel.Mop()
                    self.mop.parent = self
                    self._children_name_map["mop"] = "mop"
                    self._children_yang_names.add("mop")

                    self.interface_qos = Native.Interface.PortChannelSubinterface.PortChannel.InterfaceQos()
                    self.interface_qos.parent = self
                    self._children_name_map["interface_qos"] = "interface_qos"
                    self._children_yang_names.add("interface_qos")

                    self.standby = Native.Interface.PortChannelSubinterface.PortChannel.Standby()
                    self.standby.parent = self
                    self._children_name_map["standby"] = "standby"
                    self._children_yang_names.add("standby")

                    self.access_session = Native.Interface.PortChannelSubinterface.PortChannel.AccessSession()
                    self.access_session.parent = self
                    self._children_name_map["access_session"] = "access-session"
                    self._children_yang_names.add("access-session")

                    self.storm_control = Native.Interface.PortChannelSubinterface.PortChannel.StormControl()
                    self.storm_control.parent = self
                    self._children_name_map["storm_control"] = "storm-control"
                    self._children_yang_names.add("storm-control")

                    self.trust = Native.Interface.PortChannelSubinterface.PortChannel.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")

                    self.priority_queue = Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue()
                    self.priority_queue.parent = self
                    self._children_name_map["priority_queue"] = "priority-queue"
                    self._children_yang_names.add("priority-queue")

                    self.rcv_queue = Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue()
                    self.rcv_queue.parent = self
                    self._children_name_map["rcv_queue"] = "rcv-queue"
                    self._children_yang_names.add("rcv-queue")

                    self.peer = Native.Interface.PortChannelSubinterface.PortChannel.Peer()
                    self.peer.parent = self
                    self._children_name_map["peer"] = "peer"
                    self._children_yang_names.add("peer")

                    self.pm_path = Native.Interface.PortChannelSubinterface.PortChannel.PmPath()
                    self.pm_path.parent = self
                    self._children_name_map["pm_path"] = "pm-path"
                    self._children_yang_names.add("pm-path")

                    self.carrier_delay = Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay()
                    self.carrier_delay.parent = self
                    self._children_name_map["carrier_delay"] = "carrier-delay"
                    self._children_yang_names.add("carrier-delay")

                    self.channel_group = Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup()
                    self.channel_group.parent = self
                    self._children_name_map["channel_group"] = "channel-group"
                    self._children_yang_names.add("channel-group")

                    self.ethernet = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet()
                    self.ethernet.parent = self
                    self._children_name_map["ethernet"] = "ethernet"
                    self._children_yang_names.add("ethernet")

                    self.negotiation = Native.Interface.PortChannelSubinterface.PortChannel.Negotiation()
                    self.negotiation.parent = self
                    self._children_name_map["negotiation"] = "negotiation"
                    self._children_yang_names.add("negotiation")

                    self.synchronous = Native.Interface.PortChannelSubinterface.PortChannel.Synchronous()
                    self.synchronous.parent = self
                    self._children_name_map["synchronous"] = "synchronous"
                    self._children_yang_names.add("synchronous")

                    self.speed = Native.Interface.PortChannelSubinterface.PortChannel.Speed()
                    self.speed.parent = self
                    self._children_name_map["speed"] = "speed"
                    self._children_yang_names.add("speed")

                    self.plim = Native.Interface.PortChannelSubinterface.PortChannel.Plim()
                    self.plim.parent = self
                    self._children_name_map["plim"] = "plim"
                    self._children_yang_names.add("plim")

                    self.pppoe = Native.Interface.PortChannelSubinterface.PortChannel.Pppoe()
                    self.pppoe.parent = self
                    self._children_name_map["pppoe"] = "pppoe"
                    self._children_yang_names.add("pppoe")

                    self.service = Native.Interface.PortChannelSubinterface.PortChannel.Service()
                    self.service.parent = self
                    self._children_name_map["service"] = "service"
                    self._children_yang_names.add("service")

                    self.auto = Native.Interface.PortChannelSubinterface.PortChannel.Auto()
                    self.auto.parent = self
                    self._children_name_map["auto"] = "auto"
                    self._children_yang_names.add("auto")

                    self.datalink = Native.Interface.PortChannelSubinterface.PortChannel.Datalink()
                    self.datalink.parent = self
                    self._children_name_map["datalink"] = "datalink"
                    self._children_yang_names.add("datalink")

                    self.energywise = None
                    self._children_name_map["energywise"] = "energywise"
                    self._children_yang_names.add("energywise")

                    self.location = Native.Interface.PortChannelSubinterface.PortChannel.Location()
                    self.location.parent = self
                    self._children_name_map["location"] = "location"
                    self._children_yang_names.add("location")

                    self.mac = Native.Interface.PortChannelSubinterface.PortChannel.Mac()
                    self.mac.parent = self
                    self._children_name_map["mac"] = "mac"
                    self._children_yang_names.add("mac")

                    self.macro = Native.Interface.PortChannelSubinterface.PortChannel.Macro()
                    self.macro.parent = self
                    self._children_name_map["macro"] = "macro"
                    self._children_yang_names.add("macro")

                    self.dual_active = Native.Interface.PortChannelSubinterface.PortChannel.DualActive()
                    self.dual_active.parent = self
                    self._children_name_map["dual_active"] = "dual-active"
                    self._children_yang_names.add("dual-active")

                    self.load_balancing = Native.Interface.PortChannelSubinterface.PortChannel.LoadBalancing()
                    self.load_balancing.parent = self
                    self._children_name_map["load_balancing"] = "load-balancing"
                    self._children_yang_names.add("load-balancing")

                    self.switch = Native.Interface.PortChannelSubinterface.PortChannel.Switch()
                    self.switch.parent = self
                    self._children_name_map["switch"] = "switch"
                    self._children_yang_names.add("switch")

                    self.srr_queue = Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue()
                    self.srr_queue.parent = self
                    self._children_name_map["srr_queue"] = "srr-queue"
                    self._children_yang_names.add("srr-queue")

                    self.macsec = None
                    self._children_name_map["macsec"] = "macsec"
                    self._children_yang_names.add("macsec")

                    self.hold_queue = YList(self)
                    self.vlan_range = YList(self)
                    self._segment_path = lambda: "Port-channel" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/Port-channel-subinterface/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion', 'channel_protocol', 'duplex'], name, value)

                class ChannelProtocol(Enum):
                    """
                    ChannelProtocol

                    Select the channel protocol (LACP, PAgP)

                    .. data:: lacp = 0

                    .. data:: pagp = 1

                    """

                    lacp = Enum.YLeaf(0, "lacp")

                    pagp = Enum.YLeaf(1, "pagp")


                class Duplex(Enum):
                    """
                    Duplex

                    Configure duplex operation.

                    .. data:: auto = 0

                    .. data:: full = 1

                    .. data:: half = 2

                    """

                    auto = Enum.YLeaf(0, "auto")

                    full = Enum.YLeaf(1, "full")

                    half = Enum.YLeaf(2, "half")


                class IfState(Enum):
                    """
                    IfState

                    .. data:: nhrp = 0

                    """

                    nhrp = Enum.YLeaf(0, "nhrp")


                class ServiceInsertion(Enum):
                    """
                    ServiceInsertion

                    Service\-insertion AppNav Controller

                    .. data:: waas = 0

                    """

                    waas = Enum.YLeaf(0, "waas")



                class SwitchportConf(Entity):
                    """
                    
                    
                    .. attribute:: switchport
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.SwitchportConf, self).__init__()

                        self.yang_name = "switchport-conf"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.switchport = YLeaf(YType.boolean, "switchport")
                        self._segment_path = lambda: "switchport-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.SwitchportConf, ['switchport'], name, value)


                class Switchport(Entity):
                    """
                    Set switching mode characteristics
                    
                    .. attribute:: access
                    
                    	Set access mode characteristics of the interface
                    	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access>`
                    
                    .. attribute:: block
                    
                    	Disable forwarding of unknown uni/multi cast addresses
                    	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Block>`
                    
                    .. attribute:: mode
                    
                    	Set trunking mode of the interface
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode>`
                    
                    .. attribute:: nonegotiate
                    
                    	Device will not engage in negotiation protocol on this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: port_security
                    
                    	Security related command
                    	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trunk
                    
                    	Set trunking characteristics of the interface
                    	**type**\:  :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk>`
                    
                    .. attribute:: voice
                    
                    	Voice appliance attributes
                    	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice>`
                    
                    .. attribute:: priority
                    
                    	Set appliance 802.1p priority
                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority>`
                    
                    .. attribute:: autostate
                    
                    	Include or exclude this port from vlan link up calculation
                    	**type**\:  :py:class:`Autostate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Autostate>`
                    
                    .. attribute:: protected
                    
                    	Configure an interface to be a protected port
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: host
                    
                    	Set port host
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: private_vlan
                    
                    	Set the private VLAN configuration
                    	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport, self).__init__()

                        self.yang_name = "switchport"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-switch:access" : ("access", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access), "Cisco-IOS-XE-switch:block" : ("block", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Block), "Cisco-IOS-XE-switch:mode" : ("mode", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode), "Cisco-IOS-XE-switch:port-security" : ("port_security", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity), "Cisco-IOS-XE-switch:trunk" : ("trunk", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk), "Cisco-IOS-XE-switch:voice" : ("voice", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice), "Cisco-IOS-XE-switch:priority" : ("priority", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority), "Cisco-IOS-XE-switch:autostate" : ("autostate", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Autostate), "Cisco-IOS-XE-switch:private-vlan" : ("private_vlan", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan)}
                        self._child_list_classes = {}

                        self.nonegotiate = YLeaf(YType.empty, "Cisco-IOS-XE-switch:nonegotiate")

                        self.protected = YLeaf(YType.empty, "Cisco-IOS-XE-switch:protected")

                        self.host = YLeaf(YType.empty, "Cisco-IOS-XE-switch:host")

                        self.access = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access()
                        self.access.parent = self
                        self._children_name_map["access"] = "access"
                        self._children_yang_names.add("access")

                        self.block = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Block()
                        self.block.parent = self
                        self._children_name_map["block"] = "block"
                        self._children_yang_names.add("block")

                        self.mode = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")

                        self.port_security = None
                        self._children_name_map["port_security"] = "port-security"
                        self._children_yang_names.add("port-security")

                        self.trunk = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk()
                        self.trunk.parent = self
                        self._children_name_map["trunk"] = "trunk"
                        self._children_yang_names.add("trunk")

                        self.voice = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice()
                        self.voice.parent = self
                        self._children_name_map["voice"] = "voice"
                        self._children_yang_names.add("voice")

                        self.priority = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority()
                        self.priority.parent = self
                        self._children_name_map["priority"] = "priority"
                        self._children_yang_names.add("priority")

                        self.autostate = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Autostate()
                        self.autostate.parent = self
                        self._children_name_map["autostate"] = "autostate"
                        self._children_yang_names.add("autostate")

                        self.private_vlan = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan()
                        self.private_vlan.parent = self
                        self._children_name_map["private_vlan"] = "private-vlan"
                        self._children_yang_names.add("private-vlan")
                        self._segment_path = lambda: "switchport"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport, ['nonegotiate', 'protected', 'host'], name, value)


                    class Access(Entity):
                        """
                        Set access mode characteristics of the interface
                        
                        .. attribute:: vlan
                        
                        	Set VLAN when interface is in access mode
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access, self).__init__()

                            self.yang_name = "access"
                            self.yang_parent_name = "switchport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan)}
                            self._child_list_classes = {}

                            self.vlan = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "Cisco-IOS-XE-switch:access"


                        class Vlan(Entity):
                            """
                            Set VLAN when interface is in access mode
                            
                            .. attribute:: vlan
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4094
                            
                            		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan.Vlan>`
                            
                            .. attribute:: name
                            
                            	Vlan name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "access"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vlan = YLeaf(YType.str, "vlan")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Access.Vlan, ['vlan', 'name'], name, value)

                            class Vlan(Enum):
                                """
                                Vlan

                                .. data:: dynamic = 0

                                """

                                dynamic = Enum.YLeaf(0, "dynamic")



                    class Block(Entity):
                        """
                        Disable forwarding of unknown uni/multi cast addresses
                        
                        .. attribute:: multicast
                        
                        	Block unknown multicast addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	Block unknown unicast addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Block, self).__init__()

                            self.yang_name = "block"
                            self.yang_parent_name = "switchport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")
                            self._segment_path = lambda: "Cisco-IOS-XE-switch:block"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Block, ['multicast', 'unicast'], name, value)


                    class Mode(Entity):
                        """
                        Set trunking mode of the interface
                        
                        .. attribute:: access
                        
                        	Set trunking mode to ACCESS unconditionally
                        	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Access>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: dot1q_tunnel
                        
                        	set trunking mode to TUNNEL unconditionally
                        	**type**\:  :py:class:`Dot1QTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Dot1QTunnel>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: dynamic
                        
                        	Set trunking mode to dynamically negotiate access or trunk mode
                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Dynamic>`
                        
                        .. attribute:: private_vlan
                        
                        	Set private\-vlan mode
                        	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.PrivateVlan>`
                        
                        .. attribute:: trunk
                        
                        	Set trunking mode to TRUNK unconditionally
                        	**type**\:  :py:class:`Trunk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Trunk>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "switchport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"access" : ("access", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Access), "dot1q-tunnel" : ("dot1q_tunnel", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Dot1QTunnel), "private-vlan" : ("private_vlan", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.PrivateVlan), "trunk" : ("trunk", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Trunk)}
                            self._child_list_classes = {}

                            self.dynamic = YLeaf(YType.enumeration, "dynamic")

                            self.access = None
                            self._children_name_map["access"] = "access"
                            self._children_yang_names.add("access")

                            self.dot1q_tunnel = None
                            self._children_name_map["dot1q_tunnel"] = "dot1q-tunnel"
                            self._children_yang_names.add("dot1q-tunnel")

                            self.private_vlan = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.PrivateVlan()
                            self.private_vlan.parent = self
                            self._children_name_map["private_vlan"] = "private-vlan"
                            self._children_yang_names.add("private-vlan")

                            self.trunk = None
                            self._children_name_map["trunk"] = "trunk"
                            self._children_yang_names.add("trunk")
                            self._segment_path = lambda: "Cisco-IOS-XE-switch:mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode, ['dynamic'], name, value)

                        class Dynamic(Enum):
                            """
                            Dynamic

                            Set trunking mode to dynamically negotiate access or trunk mode

                            .. data:: auto = 0

                            .. data:: desirable = 1

                            """

                            auto = Enum.YLeaf(0, "auto")

                            desirable = Enum.YLeaf(1, "desirable")



                        class Access(Entity):
                            """
                            Set trunking mode to ACCESS unconditionally
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Access, self).__init__()

                                self.yang_name = "access"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "access"


                        class Dot1QTunnel(Entity):
                            """
                            set trunking mode to TUNNEL unconditionally
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Dot1QTunnel, self).__init__()

                                self.yang_name = "dot1q-tunnel"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "dot1q-tunnel"


                        class PrivateVlan(Entity):
                            """
                            Set private\-vlan mode
                            
                            .. attribute:: host
                            
                            	Set the mode to private\-vlan host
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: promiscuous
                            
                            	Set the mode to private\-vlan promiscuous
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.PrivateVlan, self).__init__()

                                self.yang_name = "private-vlan"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.host = YLeaf(YType.empty, "host")

                                self.promiscuous = YLeaf(YType.empty, "promiscuous")
                                self._segment_path = lambda: "private-vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.PrivateVlan, ['host', 'promiscuous'], name, value)


                        class Trunk(Entity):
                            """
                            Set trunking mode to TRUNK unconditionally
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Mode.Trunk, self).__init__()

                                self.yang_name = "trunk"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "trunk"


                    class PortSecurity(Entity):
                        """
                        Security related command
                        
                        .. attribute:: aging
                        
                        	Port\-security aging commands
                        	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging>`
                        
                        .. attribute:: mac_address
                        
                        	Secure mac address
                        	**type**\:  :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.MacAddress>`
                        
                        .. attribute:: maximum
                        
                        	Max secure addresses
                        	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Maximum>`
                        
                        .. attribute:: violation
                        
                        	Security violation mode
                        	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Violation>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity, self).__init__()

                            self.yang_name = "port-security"
                            self.yang_parent_name = "switchport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"aging" : ("aging", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging), "mac-address" : ("mac_address", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.MacAddress), "maximum" : ("maximum", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Maximum)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.violation = YLeaf(YType.enumeration, "violation")

                            self.aging = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging()
                            self.aging.parent = self
                            self._children_name_map["aging"] = "aging"
                            self._children_yang_names.add("aging")

                            self.mac_address = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.MacAddress()
                            self.mac_address.parent = self
                            self._children_name_map["mac_address"] = "mac-address"
                            self._children_yang_names.add("mac-address")

                            self.maximum = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Maximum()
                            self.maximum.parent = self
                            self._children_name_map["maximum"] = "maximum"
                            self._children_yang_names.add("maximum")
                            self._segment_path = lambda: "Cisco-IOS-XE-switch:port-security"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity, ['violation'], name, value)

                        class Violation(Enum):
                            """
                            Violation

                            Security violation mode

                            .. data:: protect = 0

                            .. data:: restrict = 1

                            .. data:: shutdown = 2

                            """

                            protect = Enum.YLeaf(0, "protect")

                            restrict = Enum.YLeaf(1, "restrict")

                            shutdown = Enum.YLeaf(2, "shutdown")



                        class Aging(Entity):
                            """
                            Port\-security aging commands
                            
                            .. attribute:: static
                            
                            	Enable aging for configured secure addresses
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: time
                            
                            	Port\-security aging time
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            .. attribute:: type
                            
                            	Port\-security aging type
                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging.Type>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging, self).__init__()

                                self.yang_name = "aging"
                                self.yang_parent_name = "port-security"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.static = YLeaf(YType.empty, "static")

                                self.time = YLeaf(YType.uint16, "time")

                                self.type = YLeaf(YType.enumeration, "type")
                                self._segment_path = lambda: "aging"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Aging, ['static', 'time', 'type'], name, value)

                            class Type(Enum):
                                """
                                Type

                                Port\-security aging type

                                .. data:: absolute = 0

                                .. data:: inactivity = 1

                                """

                                absolute = Enum.YLeaf(0, "absolute")

                                inactivity = Enum.YLeaf(1, "inactivity")



                        class MacAddress(Entity):
                            """
                            Secure mac address
                            
                            .. attribute:: sticky
                            
                            	Configure dynamic secure addresses as sticky
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: hw_address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9a\-fA\-F]{2}(\:[0\-9a\-fA\-F]{2}){5}
                            
                            .. attribute:: vlan
                            
                            	set VLAN ID of the VLAN on which this address can be learned
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.MacAddress, self).__init__()

                                self.yang_name = "mac-address"
                                self.yang_parent_name = "port-security"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sticky = YLeaf(YType.empty, "sticky")

                                self.hw_address = YLeaf(YType.str, "hw-address")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "mac-address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.MacAddress, ['sticky', 'hw_address', 'vlan'], name, value)


                        class Maximum(Entity):
                            """
                            Max secure addresses
                            
                            .. attribute:: max_addresses
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4097
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Maximum, self).__init__()

                                self.yang_name = "maximum"
                                self.yang_parent_name = "port-security"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_addresses = YLeaf(YType.uint16, "max-addresses")

                                self.vlan = YLeaf(YType.str, "vlan")
                                self._segment_path = lambda: "maximum"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PortSecurity.Maximum, ['max_addresses', 'vlan'], name, value)


                    class Trunk(Entity):
                        """
                        Set trunking characteristics of the interface
                        
                        .. attribute:: allowed
                        
                        	Set allowed VLAN characteristics when interface is in trunking mode
                        	**type**\:  :py:class:`Allowed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed>`
                        
                        .. attribute:: encapsulation
                        
                        	Set encapsulation format on trunk port
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Encapsulation>`
                        
                        .. attribute:: native
                        
                        	Set trunking native characteristics when interface is in trunking mode
                        	**type**\:  :py:class:`Native <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native>`
                        
                        .. attribute:: pruning
                        
                        	Set pruning VLAN characteristics when interface is in trunking mode
                        	**type**\:  :py:class:`Pruning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk, self).__init__()

                            self.yang_name = "trunk"
                            self.yang_parent_name = "switchport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"allowed" : ("allowed", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed), "native" : ("native", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native), "pruning" : ("pruning", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning)}
                            self._child_list_classes = {}

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.allowed = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed()
                            self.allowed.parent = self
                            self._children_name_map["allowed"] = "allowed"
                            self._children_yang_names.add("allowed")

                            self.native = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native()
                            self.native.parent = self
                            self._children_name_map["native"] = "native"
                            self._children_yang_names.add("native")

                            self.pruning = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning()
                            self.pruning.parent = self
                            self._children_name_map["pruning"] = "pruning"
                            self._children_yang_names.add("pruning")
                            self._segment_path = lambda: "Cisco-IOS-XE-switch:trunk"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk, ['encapsulation'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Set encapsulation format on trunk port

                            .. data:: dot1q = 0

                            .. data:: isl = 1

                            .. data:: negotiate = 2

                            """

                            dot1q = Enum.YLeaf(0, "dot1q")

                            isl = Enum.YLeaf(1, "isl")

                            negotiate = Enum.YLeaf(2, "negotiate")



                        class Allowed(Entity):
                            """
                            Set allowed VLAN characteristics when interface is in trunking mode
                            
                            .. attribute:: vlan
                            
                            	Set allowed VLANs when interface is in trunking mode
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed.Vlan>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed, self).__init__()

                                self.yang_name = "allowed"
                                self.yang_parent_name = "trunk"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"vlan" : ("vlan", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed.Vlan)}
                                self._child_list_classes = {}

                                self.vlan = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed.Vlan()
                                self.vlan.parent = self
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "allowed"


                            class Vlan(Entity):
                                """
                                Set allowed VLANs when interface is in trunking mode
                                
                                .. attribute:: vlans
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: add
                                
                                	VLAN IDs of the allowed VLANs when this port is in trunking mode
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 0..65535
                                
                                		**type**\: str
                                
                                .. attribute:: all
                                
                                	all VLANs
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: except_
                                
                                	all VLANs except the following
                                	**type**\: union of the below types:
                                
                                		**type**\: list of int
                                
                                			**range:** 0..65535
                                
                                		**type**\: list of str
                                
                                .. attribute:: none
                                
                                	no VLANs
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: remove
                                
                                	VLAN IDs of disallowed VLANS when this port is in trunking mode
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 0..65535
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "allowed"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlans = YLeaf(YType.str, "vlans")

                                    self.add = YLeaf(YType.str, "add")

                                    self.all = YLeaf(YType.empty, "all")

                                    self.except_ = YLeafList(YType.str, "except")

                                    self.none = YLeaf(YType.empty, "none")

                                    self.remove = YLeaf(YType.str, "remove")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Allowed.Vlan, ['vlans', 'add', 'all', 'except_', 'none', 'remove'], name, value)


                        class Native(Entity):
                            """
                            Set trunking native characteristics when interface is in trunking mode
                            
                            .. attribute:: vlan
                            
                            	Set native VLAN when interface is in trunking mode
                            	**type**\: union of the below types:
                            
                            		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native.Vlan>`
                            
                            		**type**\: int
                            
                            			**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native, self).__init__()

                                self.yang_name = "native"
                                self.yang_parent_name = "trunk"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vlan = YLeaf(YType.str, "vlan")
                                self._segment_path = lambda: "native"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Native, ['vlan'], name, value)

                            class Vlan(Enum):
                                """
                                Vlan

                                Set native VLAN when interface is in trunking mode

                                .. data:: tag = 0

                                """

                                tag = Enum.YLeaf(0, "tag")



                        class Pruning(Entity):
                            """
                            Set pruning VLAN characteristics when interface is in trunking mode
                            
                            .. attribute:: vlan
                            
                            	Set VLANs enabled for pruning when interface is in trunking mode
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning.Vlan>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning, self).__init__()

                                self.yang_name = "pruning"
                                self.yang_parent_name = "trunk"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"vlan" : ("vlan", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning.Vlan)}
                                self._child_list_classes = {}

                                self.vlan = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning.Vlan()
                                self.vlan.parent = self
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "pruning"


                            class Vlan(Entity):
                                """
                                Set VLANs enabled for pruning when interface is in trunking mode
                                
                                .. attribute:: vlans
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: list of int
                                
                                			**range:** 0..65535
                                
                                		**type**\: list of str
                                
                                .. attribute:: add
                                
                                	VLAN IDs of the allowed VLANs when this port is in trunking mode
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 0..65535
                                
                                		**type**\: str
                                
                                .. attribute:: except_
                                
                                	all VLANs except the following
                                	**type**\: union of the below types:
                                
                                		**type**\: list of int
                                
                                			**range:** 0..65535
                                
                                		**type**\: list of str
                                
                                .. attribute:: none
                                
                                	no VLANs
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: remove
                                
                                	VLAN IDs of disallowed VLANS when this port is in trunking mode
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 0..65535
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "pruning"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlans = YLeafList(YType.str, "vlans")

                                    self.add = YLeaf(YType.str, "add")

                                    self.except_ = YLeafList(YType.str, "except")

                                    self.none = YLeaf(YType.empty, "none")

                                    self.remove = YLeaf(YType.str, "remove")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Trunk.Pruning.Vlan, ['vlans', 'add', 'except_', 'none', 'remove'], name, value)


                    class Voice(Entity):
                        """
                        Voice appliance attributes
                        
                        .. attribute:: vlan
                        
                        	Vlan for voice traffic
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan>`
                        
                        .. attribute:: detect
                        
                        	detection enhancement keyword
                        	**type**\:  :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice, self).__init__()

                            self.yang_name = "voice"
                            self.yang_parent_name = "switchport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan), "detect" : ("detect", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect)}
                            self._child_list_classes = {}

                            self.vlan = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")

                            self.detect = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect()
                            self.detect.parent = self
                            self._children_name_map["detect"] = "detect"
                            self._children_yang_names.add("detect")
                            self._segment_path = lambda: "Cisco-IOS-XE-switch:voice"


                        class Vlan(Entity):
                            """
                            Vlan for voice traffic
                            
                            .. attribute:: vlan
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan.Vlan>`
                            
                            		**type**\: int
                            
                            			**range:** 1..4094
                            
                            		**type**\: str
                            
                            .. attribute:: name
                            
                            	Vlan name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "voice"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vlan = YLeaf(YType.str, "vlan")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "vlan"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Vlan, ['vlan', 'name'], name, value)

                            class Vlan(Enum):
                                """
                                Vlan

                                .. data:: dot1p = 0

                                .. data:: none = 1

                                .. data:: untagged = 2

                                """

                                dot1p = Enum.YLeaf(0, "dot1p")

                                none = Enum.YLeaf(1, "none")

                                untagged = Enum.YLeaf(2, "untagged")



                        class Detect(Entity):
                            """
                            detection enhancement keyword
                            
                            .. attribute:: cisco_phone
                            
                            	Cisco IP phone
                            	**type**\:  :py:class:`CiscoPhone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect.CiscoPhone>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect, self).__init__()

                                self.yang_name = "detect"
                                self.yang_parent_name = "voice"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cisco-phone" : ("cisco_phone", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect.CiscoPhone)}
                                self._child_list_classes = {}

                                self.cisco_phone = None
                                self._children_name_map["cisco_phone"] = "cisco-phone"
                                self._children_yang_names.add("cisco-phone")
                                self._segment_path = lambda: "detect"


                            class CiscoPhone(Entity):
                                """
                                Cisco IP phone
                                
                                .. attribute:: full_duplex
                                
                                	full duplex keyword
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect.CiscoPhone, self).__init__()

                                    self.yang_name = "cisco-phone"
                                    self.yang_parent_name = "detect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.full_duplex = YLeaf(YType.empty, "full-duplex")
                                    self._segment_path = lambda: "cisco-phone"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Voice.Detect.CiscoPhone, ['full_duplex'], name, value)


                    class Priority(Entity):
                        """
                        Set appliance 802.1p priority
                        
                        .. attribute:: extend
                        
                        	Set appliance 802.1p priority
                        	**type**\:  :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority.Extend>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority, self).__init__()

                            self.yang_name = "priority"
                            self.yang_parent_name = "switchport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"extend" : ("extend", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority.Extend)}
                            self._child_list_classes = {}

                            self.extend = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority.Extend()
                            self.extend.parent = self
                            self._children_name_map["extend"] = "extend"
                            self._children_yang_names.add("extend")
                            self._segment_path = lambda: "Cisco-IOS-XE-switch:priority"


                        class Extend(Entity):
                            """
                            Set appliance 802.1p priority
                            
                            .. attribute:: trust
                            
                            	Trust 802.1p priorities of devices on appliance
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: cos
                            
                            	Override 802.1p priority of devices on appliance
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority.Extend, self).__init__()

                                self.yang_name = "extend"
                                self.yang_parent_name = "priority"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.trust = YLeaf(YType.empty, "trust")

                                self.cos = YLeaf(YType.uint8, "cos")
                                self._segment_path = lambda: "extend"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Priority.Extend, ['trust', 'cos'], name, value)


                    class Autostate(Entity):
                        """
                        Include or exclude this port from vlan link up calculation
                        
                        .. attribute:: exclude
                        
                        	Exclude this port from vlan link up calculation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Autostate, self).__init__()

                            self.yang_name = "autostate"
                            self.yang_parent_name = "switchport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.exclude = YLeaf(YType.empty, "exclude")
                            self._segment_path = lambda: "Cisco-IOS-XE-switch:autostate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.Autostate, ['exclude'], name, value)


                    class PrivateVlan(Entity):
                        """
                        Set the private VLAN configuration
                        
                        .. attribute:: association
                        
                        	Set the private VLAN association
                        	**type**\:  :py:class:`Association <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association>`
                        
                        .. attribute:: host_association
                        
                        	Set the private VLAN host association
                        	**type**\:  :py:class:`HostAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.HostAssociation>`
                        
                        .. attribute:: mapping
                        
                        	Set the private VLAN promiscuous mapping
                        	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Mapping>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan, self).__init__()

                            self.yang_name = "private-vlan"
                            self.yang_parent_name = "switchport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"association" : ("association", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association), "host-association" : ("host_association", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.HostAssociation), "mapping" : ("mapping", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Mapping)}
                            self._child_list_classes = {}

                            self.association = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association()
                            self.association.parent = self
                            self._children_name_map["association"] = "association"
                            self._children_yang_names.add("association")

                            self.host_association = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.HostAssociation()
                            self.host_association.parent = self
                            self._children_name_map["host_association"] = "host-association"
                            self._children_yang_names.add("host-association")

                            self.mapping = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Mapping()
                            self.mapping.parent = self
                            self._children_name_map["mapping"] = "mapping"
                            self._children_yang_names.add("mapping")
                            self._segment_path = lambda: "Cisco-IOS-XE-switch:private-vlan"


                        class Association(Entity):
                            """
                            Set the private VLAN association
                            
                            .. attribute:: host
                            
                            	Set the private VLAN host association
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Host>`
                            
                            .. attribute:: mapping
                            
                            	Set the private VLAN promiscuous mapping
                            	**type**\:  :py:class:`Mapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Mapping>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association, self).__init__()

                                self.yang_name = "association"
                                self.yang_parent_name = "private-vlan"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"host" : ("host", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Host), "mapping" : ("mapping", Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Mapping)}
                                self._child_list_classes = {}

                                self.host = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.mapping = Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Mapping()
                                self.mapping.parent = self
                                self._children_name_map["mapping"] = "mapping"
                                self._children_yang_names.add("mapping")
                                self._segment_path = lambda: "association"


                            class Host(Entity):
                                """
                                Set the private VLAN host association
                                
                                .. attribute:: primary_range
                                
                                	Primary normal range VLAN ID of the private VLAN port association
                                	**type**\: int
                                
                                	**range:** 2..1001 \| 1006..4094
                                
                                .. attribute:: secondary_range
                                
                                	Secondary normal range VLAN ID of the private VLAN host port association
                                	**type**\: int
                                
                                	**range:** 2..1001 \| 1006..4094
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "association"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.primary_range = YLeaf(YType.uint16, "primary-range")

                                    self.secondary_range = YLeaf(YType.uint16, "secondary-range")
                                    self._segment_path = lambda: "host"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Host, ['primary_range', 'secondary_range'], name, value)


                            class Mapping(Entity):
                                """
                                Set the private VLAN promiscuous mapping
                                
                                .. attribute:: primary_range
                                
                                	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                                	**type**\: int
                                
                                	**range:** 2..1001 \| 1006..4094
                                
                                .. attribute:: secondary_range
                                
                                	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                                	**type**\: str
                                
                                .. attribute:: add
                                
                                	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                                	**type**\: str
                                
                                .. attribute:: remove
                                
                                	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Mapping, self).__init__()

                                    self.yang_name = "mapping"
                                    self.yang_parent_name = "association"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.primary_range = YLeaf(YType.uint16, "primary-range")

                                    self.secondary_range = YLeaf(YType.str, "secondary-range")

                                    self.add = YLeaf(YType.str, "add")

                                    self.remove = YLeaf(YType.str, "remove")
                                    self._segment_path = lambda: "mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Association.Mapping, ['primary_range', 'secondary_range', 'add', 'remove'], name, value)


                        class HostAssociation(Entity):
                            """
                            Set the private VLAN host association
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN port association
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary normal range VLAN ID of the private VLAN host port association
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.HostAssociation, self).__init__()

                                self.yang_name = "host-association"
                                self.yang_parent_name = "private-vlan"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary_range = YLeaf(YType.uint16, "primary-range")

                                self.secondary_range = YLeaf(YType.uint16, "secondary-range")
                                self._segment_path = lambda: "host-association"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.HostAssociation, ['primary_range', 'secondary_range'], name, value)


                        class Mapping(Entity):
                            """
                            Set the private VLAN promiscuous mapping
                            
                            .. attribute:: primary_range
                            
                            	Primary normal range VLAN ID of the private VLAN promiscuous port mapping
                            	**type**\: int
                            
                            	**range:** 2..1001 \| 1006..4094
                            
                            .. attribute:: secondary_range
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            .. attribute:: add
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            .. attribute:: remove
                            
                            	Secondary VLAN IDs of the private VLAN promiscuous port mapping
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Mapping, self).__init__()

                                self.yang_name = "mapping"
                                self.yang_parent_name = "private-vlan"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary_range = YLeaf(YType.uint16, "primary-range")

                                self.secondary_range = YLeaf(YType.str, "secondary-range")

                                self.add = YLeaf(YType.str, "add")

                                self.remove = YLeaf(YType.str, "remove")
                                self._segment_path = lambda: "mapping"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switchport.PrivateVlan.Mapping, ['primary_range', 'secondary_range', 'add', 'remove'], name, value)


                class Arp(Entity):
                    """
                    Set arp type (arpa, probe, snap), timeout, log options or 
                    packet priority
                    
                    .. attribute:: timeout
                    
                    	Set ARP cache timeout
                    	**type**\: int
                    
                    	**range:** 0..2147483
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "arp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Arp, ['timeout'], name, value)


                class Backup(Entity):
                    """
                    Modify backup parameters
                    
                    .. attribute:: delay
                    
                    	Delays before backup line up or down transitions
                    	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay>`
                    
                    .. attribute:: interface
                    
                    	Configure an interface as a backup
                    	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface>`
                    
                    .. attribute:: load
                    
                    	Load thresholds for line up or down transitions
                    	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Backup, self).__init__()

                        self.yang_name = "backup"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"delay" : ("delay", Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay), "interface" : ("interface", Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface), "load" : ("load", Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load)}
                        self._child_list_classes = {}

                        self.delay = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay()
                        self.delay.parent = self
                        self._children_name_map["delay"] = "delay"
                        self._children_yang_names.add("delay")

                        self.interface = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface()
                        self.interface.parent = self
                        self._children_name_map["interface"] = "interface"
                        self._children_yang_names.add("interface")

                        self.load = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load()
                        self.load.parent = self
                        self._children_name_map["load"] = "load"
                        self._children_yang_names.add("load")
                        self._segment_path = lambda: "backup"


                    class Delay(Entity):
                        """
                        Delays before backup line up or down transitions
                        
                        .. attribute:: failure
                        
                        	Seconds
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967294
                        
                        		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                        
                        .. attribute:: secondary_disable
                        
                        	Seconds
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967294
                        
                        		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay, self).__init__()

                            self.yang_name = "delay"
                            self.yang_parent_name = "backup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.failure = YLeaf(YType.str, "failure")

                            self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                            self._segment_path = lambda: "delay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                        class Failure(Enum):
                            """
                            Failure

                            Seconds

                            .. data:: never = 0

                            """

                            never = Enum.YLeaf(0, "never")


                        class SecondaryDisable(Enum):
                            """
                            SecondaryDisable

                            Seconds

                            .. data:: never = 0

                            """

                            never = Enum.YLeaf(0, "never")



                    class Interface(Entity):
                        """
                        Configure an interface as a backup
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.ATMSubinterface>`
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\: str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.ATMACRsubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\: str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\: str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\: str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\: str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\: str
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.LISPSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\: str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\: str
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\: str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\: str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface, self).__init__()

                            self.yang_name = "interface"
                            self.yang_parent_name = "backup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.PortChannelSubinterface)}
                            self._child_list_classes = {}

                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                            self.atm = YLeaf(YType.str, "ATM")

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                            self.bdi = YLeaf(YType.str, "BDI")

                            self.cem = YLeaf(YType.str, "CEM")

                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                            self.lisp = YLeaf(YType.str, "LISP")

                            self.loopback = YLeaf(YType.uint32, "Loopback")

                            self.multilink = YLeaf(YType.uint16, "Multilink")

                            self.nve = YLeaf(YType.uint16, "nve")

                            self.overlay = YLeaf(YType.uint16, "overlay")

                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                            self.sm = YLeaf(YType.str, "SM")

                            self.cellular = YLeaf(YType.str, "Cellular")

                            self.serial = YLeaf(YType.str, "Serial")

                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                            self.atm_subinterface = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.ATMSubinterface()
                            self.atm_subinterface.parent = self
                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                            self._children_yang_names.add("ATM-subinterface")

                            self.atm_acrsubinterface = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.ATMACRsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                            self._children_yang_names.add("ATM-ACRsubinterface")

                            self.lisp_subinterface = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.LISPSubinterface()
                            self.lisp_subinterface.parent = self
                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                            self._children_yang_names.add("LISP-subinterface")

                            self.port_channel_subinterface = Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                            self._children_yang_names.add("Port-channel-subinterface")
                            self._segment_path = lambda: "interface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                        class ATMSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.ATMSubinterface, self).__init__()

                                self.yang_name = "ATM-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm = YLeaf(YType.str, "ATM")
                                self._segment_path = lambda: "ATM-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                        class ATMACRsubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.ATMACRsubinterface, self).__init__()

                                self.yang_name = "ATM-ACRsubinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                self._segment_path = lambda: "ATM-ACRsubinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                        class LISPSubinterface(Entity):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.LISPSubinterface, self).__init__()

                                self.yang_name = "LISP-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lisp = YLeaf(YType.str, "LISP")
                                self._segment_path = lambda: "LISP-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                        class PortChannelSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.PortChannelSubinterface, self).__init__()

                                self.yang_name = "Port-channel-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                self._segment_path = lambda: "Port-channel-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                    class Load(Entity):
                        """
                        Load thresholds for line up or down transitions
                        
                        .. attribute:: kickin
                        
                        	Percentage
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..100
                        
                        		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                        
                        .. attribute:: kickout
                        
                        	Percentage
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..100
                        
                        		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load, self).__init__()

                            self.yang_name = "load"
                            self.yang_parent_name = "backup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.kickin = YLeaf(YType.str, "kickin")

                            self.kickout = YLeaf(YType.str, "kickout")
                            self._segment_path = lambda: "load"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Backup.Load, ['kickin', 'kickout'], name, value)

                        class Kickin(Enum):
                            """
                            Kickin

                            Percentage

                            .. data:: never = 0

                            """

                            never = Enum.YLeaf(0, "never")


                        class Kickout(Enum):
                            """
                            Kickout

                            Percentage

                            .. data:: never = 0

                            """

                            never = Enum.YLeaf(0, "never")



                class Cemoudp(Entity):
                    """
                    cemoudp
                    
                    .. attribute:: reserve
                    
                    	
                    	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp.Reserve>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp, self).__init__()

                        self.yang_name = "cemoudp"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"reserve" : ("reserve", Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp.Reserve)}
                        self._child_list_classes = {}

                        self.reserve = Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp.Reserve()
                        self.reserve.parent = self
                        self._children_name_map["reserve"] = "reserve"
                        self._children_yang_names.add("reserve")
                        self._segment_path = lambda: "cemoudp"


                    class Reserve(Entity):
                        """
                        
                        
                        .. attribute:: acr
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp.Reserve, self).__init__()

                            self.yang_name = "reserve"
                            self.yang_parent_name = "cemoudp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.acr = YLeaf(YType.uint8, "acr")
                            self._segment_path = lambda: "reserve"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Cemoudp.Reserve, ['acr'], name, value)


                class CwsTunnel(Entity):
                    """
                    Configure Cloud Web Security Tunnel
                    
                    .. attribute:: in_
                    
                    	Inbound traffic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: out
                    
                    	Outbound traffic
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel, self).__init__()

                        self.yang_name = "cws-tunnel"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"out" : ("out", Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel.Out)}
                        self._child_list_classes = {}

                        self.in_ = YLeaf(YType.empty, "in")

                        self.out = Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "cws-tunnel"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel, ['in_'], name, value)


                    class Out(Entity):
                        """
                        Outbound traffic
                        
                        .. attribute:: tunnel_number
                        
                        	Outboud traffic tunnel identifier
                        	**type**\: int
                        
                        	**range:** 0..65534
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "cws-tunnel"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                            self._segment_path = lambda: "out"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.CwsTunnel.Out, ['tunnel_number'], name, value)


                class L2ProtocolTunnel(Entity):
                    """
                    Tunnel Layer2 protocols
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: drop_threshold
                    
                    	Set drop threshold for protocol packets
                    	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.DropThreshold>`
                    
                    .. attribute:: shutdown_threshold
                    
                    	Set shutdown threshold for protocol packets
                    	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.ShutdownThreshold>`
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel, self).__init__()

                        self.yang_name = "l2protocol-tunnel"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.ShutdownThreshold)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cdp = YLeaf(YType.empty, "cdp")

                        self.stp = YLeaf(YType.empty, "stp")

                        self.vtp = YLeaf(YType.empty, "vtp")

                        self.drop_threshold = Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.DropThreshold()
                        self.drop_threshold.parent = self
                        self._children_name_map["drop_threshold"] = "drop-threshold"
                        self._children_yang_names.add("drop-threshold")

                        self.shutdown_threshold = Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.ShutdownThreshold()
                        self.shutdown_threshold.parent = self
                        self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                        self._children_yang_names.add("shutdown-threshold")
                        self._segment_path = lambda: "l2protocol-tunnel"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                    class DropThreshold(Entity):
                        """
                        Set drop threshold for protocol packets
                        
                        .. attribute:: packet_rate
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: cdp
                        
                        	Cisco Discovery Protocol
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: stp
                        
                        	Spanning Tree Protocol
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: vtp
                        
                        	Vlan Trunking Protocol
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.DropThreshold, self).__init__()

                            self.yang_name = "drop-threshold"
                            self.yang_parent_name = "l2protocol-tunnel"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                            self.cdp = YLeaf(YType.uint16, "cdp")

                            self.stp = YLeaf(YType.uint16, "stp")

                            self.vtp = YLeaf(YType.uint16, "vtp")
                            self._segment_path = lambda: "drop-threshold"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                    class ShutdownThreshold(Entity):
                        """
                        Set shutdown threshold for protocol packets
                        
                        .. attribute:: packet_rate
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: cdp
                        
                        	Cisco Discovery Protocol
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: stp
                        
                        	Spanning Tree Protocol
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        .. attribute:: vtp
                        
                        	Vlan Trunking Protocol
                        	**type**\: int
                        
                        	**range:** 1..4096
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                            self.yang_name = "shutdown-threshold"
                            self.yang_parent_name = "l2protocol-tunnel"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                            self.cdp = YLeaf(YType.uint16, "cdp")

                            self.stp = YLeaf(YType.uint16, "stp")

                            self.vtp = YLeaf(YType.uint16, "vtp")
                            self._segment_path = lambda: "shutdown-threshold"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class Encapsulation(Entity):
                    """
                    Set encapsulation type for an interface
                    
                    .. attribute:: dot1q
                    
                    	IEEE 802.1Q Virtual LAN
                    	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Dot1Q>`
                    
                    .. attribute:: isl
                    
                    	Inter Switch Link \- Virtual LAN encapsulation
                    	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Isl>`
                    
                    .. attribute:: ppp
                    
                    	Point\-to\-Point protocol
                    	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Ppp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: slip
                    
                    	Serial Line IP
                    	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Slip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: frame_relay
                    
                    	Frame Relay networks
                    	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.FrameRelay>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation, self).__init__()

                        self.yang_name = "encapsulation"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.FrameRelay)}
                        self._child_list_classes = {}

                        self.dot1q = Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Dot1Q()
                        self.dot1q.parent = self
                        self._children_name_map["dot1q"] = "dot1Q"
                        self._children_yang_names.add("dot1Q")

                        self.isl = Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Isl()
                        self.isl.parent = self
                        self._children_name_map["isl"] = "isl"
                        self._children_yang_names.add("isl")

                        self.ppp = None
                        self._children_name_map["ppp"] = "ppp"
                        self._children_yang_names.add("ppp")

                        self.slip = None
                        self._children_name_map["slip"] = "slip"
                        self._children_yang_names.add("slip")

                        self.frame_relay = None
                        self._children_name_map["frame_relay"] = "frame-relay"
                        self._children_yang_names.add("frame-relay")
                        self._segment_path = lambda: "encapsulation"


                    class Dot1Q(Entity):
                        """
                        IEEE 802.1Q Virtual LAN
                        
                        .. attribute:: vlan_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4094
                        
                        .. attribute:: native
                        
                        	Make this as native vlan
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Dot1Q, self).__init__()

                            self.yang_name = "dot1Q"
                            self.yang_parent_name = "encapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                            self.native = YLeaf(YType.empty, "native")
                            self._segment_path = lambda: "dot1Q"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                    class Isl(Entity):
                        """
                        Inter Switch Link \- Virtual LAN encapsulation
                        
                        .. attribute:: vlan_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4095
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Isl, self).__init__()

                            self.yang_name = "isl"
                            self.yang_parent_name = "encapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                            self._segment_path = lambda: "isl"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Isl, ['vlan_id'], name, value)


                    class Ppp(Entity):
                        """
                        Point\-to\-Point protocol
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Ppp, self).__init__()

                            self.yang_name = "ppp"
                            self.yang_parent_name = "encapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "ppp"


                    class Slip(Entity):
                        """
                        Serial Line IP
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.Slip, self).__init__()

                            self.yang_name = "slip"
                            self.yang_parent_name = "encapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "slip"


                    class FrameRelay(Entity):
                        """
                        Frame Relay networks
                        
                        .. attribute:: ietf
                        
                        	Use RFC1490/RFC2427 encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.FrameRelay, self).__init__()

                            self.yang_name = "frame-relay"
                            self.yang_parent_name = "encapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ietf = YLeaf(YType.empty, "ietf")
                            self._segment_path = lambda: "frame-relay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Encapsulation.FrameRelay, ['ietf'], name, value)


                class FairQueueConf(Entity):
                    """
                    
                    
                    .. attribute:: fair_queue
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.FairQueueConf, self).__init__()

                        self.yang_name = "fair-queue-conf"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                        self._segment_path = lambda: "fair-queue-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.FairQueueConf, ['fair_queue'], name, value)


                class FairQueue(Entity):
                    """
                    Enable Fair Queuing on an Interface
                    
                    .. attribute:: incomplete
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.FairQueue, self).__init__()

                        self.yang_name = "fair-queue"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.incomplete = YLeaf(YType.empty, "incomplete")
                        self._segment_path = lambda: "fair-queue"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.FairQueue, ['incomplete'], name, value)


                class Flowcontrol(Entity):
                    """
                    Configure flow operation.
                    
                    .. attribute:: receive
                    
                    	Configure receiving flow operation
                    	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol.Receive>`
                    
                    .. attribute:: send
                    
                    	Configure sending flow operation
                    	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol.Send>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol, self).__init__()

                        self.yang_name = "flowcontrol"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.enumeration, "receive")

                        self.send = YLeaf(YType.enumeration, "send")
                        self._segment_path = lambda: "flowcontrol"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Flowcontrol, ['receive', 'send'], name, value)

                    class Receive(Enum):
                        """
                        Receive

                        Configure receiving flow operation

                        .. data:: desired = 0

                        .. data:: off = 1

                        .. data:: on = 2

                        """

                        desired = Enum.YLeaf(0, "desired")

                        off = Enum.YLeaf(1, "off")

                        on = Enum.YLeaf(2, "on")


                    class Send(Enum):
                        """
                        Send

                        Configure sending flow operation

                        .. data:: desired = 0

                        .. data:: off = 1

                        .. data:: on = 2

                        """

                        desired = Enum.YLeaf(0, "desired")

                        off = Enum.YLeaf(1, "off")

                        on = Enum.YLeaf(2, "on")



                class Isis(Entity):
                    """
                    IS\-IS commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Isis, self).__init__()

                        self.yang_name = "isis"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "isis"


                class KeepaliveSettings(Entity):
                    """
                    
                    
                    .. attribute:: keepalive
                    
                    	Enable keepalive
                    	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings.Keepalive>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings, self).__init__()

                        self.yang_name = "keepalive-settings"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings.Keepalive)}
                        self._child_list_classes = {}

                        self.keepalive = None
                        self._children_name_map["keepalive"] = "keepalive"
                        self._children_yang_names.add("keepalive")
                        self._segment_path = lambda: "keepalive-settings"


                    class Keepalive(Entity):
                        """
                        Enable keepalive
                        
                        .. attribute:: period
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..32767
                        
                        .. attribute:: retries
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings.Keepalive, self).__init__()

                            self.yang_name = "keepalive"
                            self.yang_parent_name = "keepalive-settings"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.period = YLeaf(YType.uint16, "period")

                            self.retries = YLeaf(YType.uint8, "retries")
                            self._segment_path = lambda: "keepalive"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


                class Bfd(Entity):
                    """
                    BFD interface configuration commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Bfd, self).__init__()

                        self.yang_name = "bfd"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "bfd"


                class Bandwidth(Entity):
                    """
                    Set bandwidth informational parameter
                    
                    .. attribute:: receive
                    
                    	Specify receive\-side bandwidth
                    	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Receive>`
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Inherit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: qos_reference
                    
                    	Reference bandwidth for QOS
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth, self).__init__()

                        self.yang_name = "bandwidth"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"receive" : ("receive", Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Inherit)}
                        self._child_list_classes = {}

                        self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")

                        self.receive = Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Receive()
                        self.receive.parent = self
                        self._children_name_map["receive"] = "receive"
                        self._children_yang_names.add("receive")

                        self.inherit = None
                        self._children_name_map["inherit"] = "inherit"
                        self._children_yang_names.add("inherit")
                        self._segment_path = lambda: "bandwidth"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                    class Receive(Entity):
                        """
                        Specify receive\-side bandwidth
                        
                        .. attribute:: inherit
                        
                        	Specify how bandwidth is inherited
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: kilobits
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Receive, self).__init__()

                            self.yang_name = "receive"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.inherit = YLeaf(YType.empty, "inherit")

                            self.kilobits = YLeaf(YType.uint32, "kilobits")
                            self._segment_path = lambda: "receive"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                    class Inherit(Entity):
                        """
                        Specify how bandwidth is inherited
                        
                        .. attribute:: kilobits
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Inherit, self).__init__()

                            self.yang_name = "inherit"
                            self.yang_parent_name = "bandwidth"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.kilobits = YLeaf(YType.uint32, "kilobits")
                            self._segment_path = lambda: "inherit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Bandwidth.Inherit, ['kilobits'], name, value)


                class Dampening(Entity):
                    """
                    Enable event dampening
                    
                    .. attribute:: dampening_time
                    
                    	<1\-30>;;Half\-life time for penalty
                    	**type**\: int
                    
                    	**range:** 1..30
                    
                    .. attribute:: start_reusing_time
                    
                    	<1\-20000>;;Value to start reusing an interface
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    .. attribute:: start_supressing_time
                    
                    	<1\-20000>;;Value to start supressing an interface
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    .. attribute:: maximum_supressing_time
                    
                    	<1\-255>;;Maximum duration to suppress an interface
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Dampening.Restart>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Dampening, self).__init__()

                        self.yang_name = "dampening"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"restart" : ("restart", Native.Interface.PortChannelSubinterface.PortChannel.Dampening.Restart)}
                        self._child_list_classes = {}

                        self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                        self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                        self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                        self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                        self.restart = Native.Interface.PortChannelSubinterface.PortChannel.Dampening.Restart()
                        self.restart.parent = self
                        self._children_name_map["restart"] = "restart"
                        self._children_yang_names.add("restart")
                        self._segment_path = lambda: "dampening"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                    class Restart(Entity):
                        """
                        Enable restart penalty
                        
                        .. attribute:: restart
                        
                        	Enable restart penalty
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: restart_penalty
                        
                        	<1\-20000>;;Penalty applied at restart
                        	**type**\: int
                        
                        	**range:** 1..20000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Dampening.Restart, self).__init__()

                            self.yang_name = "restart"
                            self.yang_parent_name = "dampening"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.restart = YLeaf(YType.empty, "restart")

                            self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                            self._segment_path = lambda: "restart"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


                class Domain(Entity):
                    """
                    Specify a domain
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: path
                    
                    	Specify a service provider for this interface
                    	**type**\: str
                    
                    .. attribute:: internet_bound
                    
                    	Specify Internet\-bound interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: path_id
                    
                    	Specify service provider path\-id for this interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: path_last_resort
                    
                    	Specify if you want this interface to be a path of last resort
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: zero_sla
                    
                    	Specify if you want this interface to be a 0\-sla interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Domain, self).__init__()

                        self.yang_name = "domain"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.path = YLeaf(YType.str, "path")

                        self.internet_bound = YLeaf(YType.empty, "internet-bound")

                        self.path_id = YLeaf(YType.uint8, "path-id")

                        self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                        self.zero_sla = YLeaf(YType.empty, "zero-sla")
                        self._segment_path = lambda: "domain"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


                class HoldQueue(Entity):
                    """
                    Set hold queue depth
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue.Direction>`
                    
                    .. attribute:: queue_length
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue, self).__init__()

                        self.yang_name = "hold-queue"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.queue_length = YLeaf(YType.uint16, "queue-length")
                        self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.HoldQueue, ['direction', 'queue_length'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class Mpls(Entity):
                    """
                    
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Mpls, self).__init__()

                        self.yang_name = "mpls"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "mpls"


                class IpVrf(Entity):
                    """
                    
                    
                    .. attribute:: ip
                    
                    	
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.IpVrf, self).__init__()

                        self.yang_name = "ip-vrf"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "ip-vrf"


                    class Ip(Entity):
                        """
                        
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip.Vrf>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "ip-vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vrf" : ("vrf", Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip.Vrf)}
                            self._child_list_classes = {}

                            self.vrf = Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip.Vrf()
                            self.vrf.parent = self
                            self._children_name_map["vrf"] = "vrf"
                            self._children_yang_names.add("vrf")
                            self._segment_path = lambda: "ip"


                        class Vrf(Entity):
                            """
                            
                            
                            .. attribute:: forwarding
                            
                            	Configure forwarding table
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.forwarding = YLeaf(YType.str, "forwarding")
                                self._segment_path = lambda: "vrf"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.IpVrf.Ip.Vrf, ['forwarding'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.forwarding = YLeaf(YType.str, "forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Vrf, ['forwarding'], name, value)


                class Ip(Entity):
                    """
                    Interface Internet Protocol config commands
                    
                    .. attribute:: admission
                    
                    	Apply Network Admission Control
                    	**type**\: str
                    
                    .. attribute:: access_group
                    
                    	Specify access control for packets
                    	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup>`
                    
                    .. attribute:: arp
                    
                    	Configure ARP features
                    	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp>`
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding parameters on the interface
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf>`
                    
                    .. attribute:: unnumbered
                    
                    	Enable IP processing without an explicit address
                    	**type**\: str
                    
                    .. attribute:: no_address
                    
                    	
                    	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.NoAddress>`
                    
                    .. attribute:: address
                    
                    	Set the IP address of an interface
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address>`
                    
                    .. attribute:: directed_broadcast
                    
                    	Enable forwarding of directed broadcasts
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199 \| 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: hello_interval
                    
                    	Configures EIGRP\-IPv4 hello interval
                    	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelloInterval>`
                    
                    .. attribute:: authentication
                    
                    	authentication subcommands
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication>`
                    
                    .. attribute:: hold_time
                    
                    	Configures EIGRP\-IPv4 hold time
                    	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.HoldTime>`
                    
                    .. attribute:: helper_address
                    
                    	Specify a destination address for UDP broadcasts
                    	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelperAddress>`
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim>`
                    
                    .. attribute:: policy
                    
                    	Enable policy routing
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Policy>`
                    
                    .. attribute:: local_proxy_arp
                    
                    	Enable local\-proxy ARP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_arp
                    
                    	Enable proxy ARP
                    	**type**\: bool
                    
                    .. attribute:: rip
                    
                    	Router Information Protocol
                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip>`
                    
                    .. attribute:: route_cache_conf
                    
                    	
                    	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCacheConf>`
                    
                    .. attribute:: route_cache
                    
                    	Enable fast\-switching cache for outgoing packets
                    	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCache>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: router
                    
                    	IP router interface commands
                    	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router>`
                    
                    .. attribute:: redirects
                    
                    	Enable sending ICMP Redirect messages
                    	**type**\: bool
                    
                    .. attribute:: tcp
                    
                    	TCP header compression and other parameters
                    	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Tcp>`
                    
                    .. attribute:: virtual_reassembly
                    
                    	
                    	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.VirtualReassembly>`
                    
                    .. attribute:: dhcp
                    
                    	Configure DHCP parameters for this interface
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Dhcp>`
                    
                    .. attribute:: mtu
                    
                    	Set IP Maximum Transmission Unit
                    	**type**\: int
                    
                    	**range:** 68..9198
                    
                    .. attribute:: mroute_cache
                    
                    	Enable switching cache for incoming multicast packets
                    	**type**\: bool
                    
                    .. attribute:: summary_address
                    
                    	
                    	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress>`
                    
                    .. attribute:: verify
                    
                    	Enable per packet validation
                    	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"access-group" : ("access_group", Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup), "arp" : ("arp", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp), "vrf" : ("vrf", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf), "no-address" : ("no_address", Native.Interface.PortChannelSubinterface.PortChannel.Ip.NoAddress), "address" : ("address", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.PortChannelSubinterface.PortChannel.Ip.HoldTime), "pim" : ("pim", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim), "policy" : ("policy", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Policy), "rip" : ("rip", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCache), "router" : ("router", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router), "tcp" : ("tcp", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.PortChannelSubinterface.PortChannel.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify)}
                        self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelperAddress)}

                        self.admission = YLeaf(YType.str, "admission")

                        self.unnumbered = YLeaf(YType.str, "unnumbered")

                        self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                        self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                        self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                        self.redirects = YLeaf(YType.boolean, "redirects")

                        self.mtu = YLeaf(YType.uint16, "mtu")

                        self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                        self.access_group = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup()
                        self.access_group.parent = self
                        self._children_name_map["access_group"] = "access-group"
                        self._children_yang_names.add("access-group")

                        self.arp = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp()
                        self.arp.parent = self
                        self._children_name_map["arp"] = "arp"
                        self._children_yang_names.add("arp")

                        self.vrf = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")

                        self.no_address = Native.Interface.PortChannelSubinterface.PortChannel.Ip.NoAddress()
                        self.no_address.parent = self
                        self._children_name_map["no_address"] = "no-address"
                        self._children_yang_names.add("no-address")

                        self.address = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.hello_interval = Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelloInterval()
                        self.hello_interval.parent = self
                        self._children_name_map["hello_interval"] = "hello-interval"
                        self._children_yang_names.add("hello-interval")

                        self.authentication = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.hold_time = Native.Interface.PortChannelSubinterface.PortChannel.Ip.HoldTime()
                        self.hold_time.parent = self
                        self._children_name_map["hold_time"] = "hold-time"
                        self._children_yang_names.add("hold-time")

                        self.pim = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim()
                        self.pim.parent = self
                        self._children_name_map["pim"] = "pim"
                        self._children_yang_names.add("pim")

                        self.policy = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.rip = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip()
                        self.rip.parent = self
                        self._children_name_map["rip"] = "rip"
                        self._children_yang_names.add("rip")

                        self.route_cache_conf = Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCacheConf()
                        self.route_cache_conf.parent = self
                        self._children_name_map["route_cache_conf"] = "route-cache-conf"
                        self._children_yang_names.add("route-cache-conf")

                        self.route_cache = None
                        self._children_name_map["route_cache"] = "route-cache"
                        self._children_yang_names.add("route-cache")

                        self.router = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router()
                        self.router.parent = self
                        self._children_name_map["router"] = "router"
                        self._children_yang_names.add("router")

                        self.tcp = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Tcp()
                        self.tcp.parent = self
                        self._children_name_map["tcp"] = "tcp"
                        self._children_yang_names.add("tcp")

                        self.virtual_reassembly = Native.Interface.PortChannelSubinterface.PortChannel.Ip.VirtualReassembly()
                        self.virtual_reassembly.parent = self
                        self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                        self._children_yang_names.add("virtual-reassembly")

                        self.dhcp = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Dhcp()
                        self.dhcp.parent = self
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.summary_address = Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress()
                        self.summary_address.parent = self
                        self._children_name_map["summary_address"] = "summary-address"
                        self._children_yang_names.add("summary-address")

                        self.verify = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify()
                        self.verify.parent = self
                        self._children_name_map["verify"] = "verify"
                        self._children_yang_names.add("verify")

                        self.helper_address = YList(self)
                        self._segment_path = lambda: "ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                    class AccessGroup(Entity):
                        """
                        Specify access control for packets
                        
                        .. attribute:: in_
                        
                        	
                        	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_>`
                        
                        .. attribute:: out
                        
                        	
                        	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup, self).__init__()

                            self.yang_name = "access-group"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"in" : ("in_", Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out)}
                            self._child_list_classes = {}

                            self.in_ = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_()
                            self.in_.parent = self
                            self._children_name_map["in_"] = "in"
                            self._children_yang_names.add("in")

                            self.out = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out()
                            self.out.parent = self
                            self._children_name_map["out"] = "out"
                            self._children_yang_names.add("out")
                            self._segment_path = lambda: "access-group"


                        class In_(Entity):
                            """
                            
                            
                            .. attribute:: common_acl
                            
                            	
                            	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.CommonAcl>`
                            
                            .. attribute:: acl
                            
                            	
                            	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.Acl>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_, self).__init__()

                                self.yang_name = "in"
                                self.yang_parent_name = "access-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.Acl)}
                                self._child_list_classes = {}

                                self.common_acl = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.CommonAcl()
                                self.common_acl.parent = self
                                self._children_name_map["common_acl"] = "common-acl"
                                self._children_yang_names.add("common-acl")

                                self.acl = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.Acl()
                                self.acl.parent = self
                                self._children_name_map["acl"] = "acl"
                                self._children_yang_names.add("acl")
                                self._segment_path = lambda: "in"


                            class CommonAcl(Entity):
                                """
                                
                                
                                .. attribute:: common
                                
                                	specify ipv4 common ACL for packet filtering
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199 \| 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                .. attribute:: in_
                                
                                	inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                    self.yang_name = "common-acl"
                                    self.yang_parent_name = "in"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.common = YLeaf(YType.str, "common")

                                    self.in_ = YLeaf(YType.empty, "in")
                                    self._segment_path = lambda: "common-acl"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                            class Acl(Entity):
                                """
                                
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199 \| 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                .. attribute:: in_
                                
                                	inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.Acl, self).__init__()

                                    self.yang_name = "acl"
                                    self.yang_parent_name = "in"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.acl_name = YLeaf(YType.str, "acl-name")

                                    self.in_ = YLeaf(YType.empty, "in")
                                    self._segment_path = lambda: "acl"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                        class Out(Entity):
                            """
                            
                            
                            .. attribute:: common_acl
                            
                            	
                            	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.CommonAcl>`
                            
                            .. attribute:: acl
                            
                            	
                            	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.Acl>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out, self).__init__()

                                self.yang_name = "out"
                                self.yang_parent_name = "access-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.Acl)}
                                self._child_list_classes = {}

                                self.common_acl = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.CommonAcl()
                                self.common_acl.parent = self
                                self._children_name_map["common_acl"] = "common-acl"
                                self._children_yang_names.add("common-acl")

                                self.acl = Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.Acl()
                                self.acl.parent = self
                                self._children_name_map["acl"] = "acl"
                                self._children_yang_names.add("acl")
                                self._segment_path = lambda: "out"


                            class CommonAcl(Entity):
                                """
                                
                                
                                .. attribute:: common
                                
                                	specify ipv4 common ACL for packet filtering
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199 \| 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                .. attribute:: out
                                
                                	outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                    self.yang_name = "common-acl"
                                    self.yang_parent_name = "out"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.common = YLeaf(YType.str, "common")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "common-acl"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                            class Acl(Entity):
                                """
                                
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199 \| 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                .. attribute:: out
                                
                                	outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.Acl, self).__init__()

                                    self.yang_name = "acl"
                                    self.yang_parent_name = "out"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.acl_name = YLeaf(YType.str, "acl-name")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "acl"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                    class Arp(Entity):
                        """
                        Configure ARP features
                        
                        .. attribute:: inspection
                        
                        	Arp Inspection configuration
                        	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp, self).__init__()

                            self.yang_name = "arp"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"inspection" : ("inspection", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection)}
                            self._child_list_classes = {}

                            self.inspection = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection()
                            self.inspection.parent = self
                            self._children_name_map["inspection"] = "inspection"
                            self._children_yang_names.add("inspection")
                            self._segment_path = lambda: "arp"


                        class Inspection(Entity):
                            """
                            Arp Inspection configuration
                            
                            .. attribute:: limit
                            
                            	Configure Rate limit of incoming ARP packets
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection.Limit>`
                            
                            .. attribute:: trust
                            
                            	Configure Trust state
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection, self).__init__()

                                self.yang_name = "inspection"
                                self.yang_parent_name = "arp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"limit" : ("limit", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection.Limit)}
                                self._child_list_classes = {}

                                self.trust = YLeaf(YType.empty, "trust")

                                self.limit = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "inspection"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection, ['trust'], name, value)


                            class Limit(Entity):
                                """
                                Configure Rate limit of incoming ARP packets
                                
                                .. attribute:: none
                                
                                	No limit
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: rate
                                
                                	Rate Limit
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "inspection"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.none = YLeaf(YType.empty, "none")

                                    self.rate = YLeaf(YType.uint32, "rate")
                                    self._segment_path = lambda: "limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                    class Vrf(Entity):
                        """
                        VPN Routing/Forwarding parameters on the interface
                        
                        .. attribute:: receive
                        
                        	Add Interface Address into VRF Table
                        	**type**\: str
                        
                        .. attribute:: sitemap
                        
                        	Configure route\-map for routesreceived from this site
                        	**type**\: str
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf.Forwarding>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf.Forwarding)}
                            self._child_list_classes = {}

                            self.receive = YLeaf(YType.str, "receive")

                            self.sitemap = YLeaf(YType.str, "sitemap")

                            self.forwarding = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf.Forwarding()
                            self.forwarding.parent = self
                            self._children_name_map["forwarding"] = "forwarding"
                            self._children_yang_names.add("forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf, ['receive', 'sitemap'], name, value)


                        class Forwarding(Entity):
                            """
                            Configure forwarding table
                            
                            .. attribute:: liin_vrf
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mgmtvrf
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: word
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf.Forwarding, self).__init__()

                                self.yang_name = "forwarding"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                                self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                                self.word = YLeaf(YType.str, "word")
                                self._segment_path = lambda: "forwarding"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                    class NoAddress(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.NoAddress, self).__init__()

                            self.yang_name = "no-address"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.boolean, "address")
                            self._segment_path = lambda: "no-address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.NoAddress, ['address'], name, value)


                    class Address(Entity):
                        """
                        Set the IP address of an interface
                        
                        .. attribute:: primary
                        
                        	
                        	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Primary>`
                        
                        .. attribute:: secondary
                        
                        	
                        	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Secondary>`
                        
                        .. attribute:: dhcp
                        
                        	IP Address negotiated via DHCP
                        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: negotiated
                        
                        	IP Address negotiated via IKEv2 Modeconfig
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"primary" : ("primary", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp)}
                            self._child_list_classes = {"secondary" : ("secondary", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Secondary)}

                            self.negotiated = YLeaf(YType.empty, "negotiated")

                            self.primary = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Primary()
                            self.primary.parent = self
                            self._children_name_map["primary"] = "primary"
                            self._children_yang_names.add("primary")

                            self.dhcp = None
                            self._children_name_map["dhcp"] = "dhcp"
                            self._children_yang_names.add("dhcp")

                            self.secondary = YList(self)
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address, ['negotiated'], name, value)


                        class Primary(Entity):
                            """
                            
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Primary, self).__init__()

                                self.yang_name = "primary"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.mask = YLeaf(YType.str, "mask")
                                self._segment_path = lambda: "primary"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Primary, ['address', 'mask'], name, value)


                        class Secondary(Entity):
                            """
                            
                            
                            .. attribute:: address  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            	**mandatory**\: True
                            
                            .. attribute:: secondary
                            
                            	Make this IP address a secondary address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            	**mandatory**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Secondary, self).__init__()

                                self.yang_name = "secondary"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.mask = YLeaf(YType.str, "mask")

                                self.secondary = YLeaf(YType.empty, "secondary")
                                self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                        class Dhcp(Entity):
                            """
                            IP Address negotiated via DHCP
                            
                            .. attribute:: client_id
                            
                            	Specify client\-id to use
                            	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp.ClientId>`
                            
                            .. attribute:: hostname
                            
                            	Specify value for hostname option
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp, self).__init__()

                                self.yang_name = "dhcp"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"client-id" : ("client_id", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp.ClientId)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.hostname = YLeaf(YType.str, "hostname")

                                self.client_id = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp.ClientId()
                                self.client_id.parent = self
                                self._children_name_map["client_id"] = "client-id"
                                self._children_yang_names.add("client-id")
                                self._segment_path = lambda: "dhcp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp, ['hostname'], name, value)


                            class ClientId(Entity):
                                """
                                Specify client\-id to use
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: fortygigabitethernet
                                
                                	Forty Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: vlan
                                
                                	Catalyst Vlans
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp.ClientId, self).__init__()

                                    self.yang_name = "client-id"
                                    self.yang_parent_name = "dhcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                    self.vlan = YLeaf(YType.uint16, "vlan")
                                    self._segment_path = lambda: "client-id"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                    class HelloInterval(Entity):
                        """
                        Configures EIGRP\-IPv4 hello interval
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: seconds
                        
                        	Seconds between hello transmissions
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelloInterval, self).__init__()

                            self.yang_name = "hello-interval"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.seconds = YLeaf(YType.uint16, "seconds")
                            self._segment_path = lambda: "hello-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                    class Authentication(Entity):
                        """
                        authentication subcommands
                        
                        .. attribute:: key_chain
                        
                        	key\-chain
                        	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.KeyChain>`
                        
                        .. attribute:: mode
                        
                        	mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self._children_name_map["key_chain"] = "key-chain"
                            self._children_yang_names.add("key-chain")

                            self.mode = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"


                        class KeyChain(Entity):
                            """
                            key\-chain
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: name
                            
                            	name of key\-chain
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.KeyChain, self).__init__()

                                self.yang_name = "key-chain"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eigrp = YLeaf(YType.uint16, "eigrp")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                        class Mode(Entity):
                            """
                            mode
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eigrp = YLeaf(YType.uint16, "eigrp")

                                self.md5 = YLeaf(YType.empty, "md5")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                    class HoldTime(Entity):
                        """
                        Configures EIGRP\-IPv4 hold time
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: seconds
                        
                        	Seconds before neighbor is considered down
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.HoldTime, self).__init__()

                            self.yang_name = "hold-time"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.seconds = YLeaf(YType.uint16, "seconds")
                            self._segment_path = lambda: "hold-time"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                    class HelperAddress(Entity):
                        """
                        Specify a destination address for UDP broadcasts
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: global_
                        
                        	Helper\-address is global
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	VRF name for helper\-address (if different from interface VRF)
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelperAddress, self).__init__()

                            self.yang_name = "helper-address"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.global_ = YLeaf(YType.empty, "global")

                            self.vrf = YLeaf(YType.str, "vrf")
                            self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                    class Pim(Entity):
                        """
                        PIM interface commands
                        
                        .. attribute:: accept_register
                        
                        	
                        	**type**\:  :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.AcceptRegister>`
                        
                        .. attribute:: sparse_mode
                        
                        	
                        	**type**\:  :py:class:`SparseMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.SparseMode>`
                        
                        .. attribute:: nbma_mode
                        
                        	Enable PIM nbma\-mode operation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dr_priority
                        
                        	PIM router DR priority
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: query_interval
                        
                        	PIM router query interval
                        	**type**\:  :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.QueryInterval>`
                        
                        .. attribute:: spt_threshold
                        
                        	
                        	**type**\:  :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.SptThreshold>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim, self).__init__()

                            self.yang_name = "pim"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"Cisco-IOS-XE-multicast:accept-register" : ("accept_register", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.AcceptRegister), "Cisco-IOS-XE-multicast:query-interval" : ("query_interval", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.QueryInterval)}
                            self._child_list_classes = {}

                            self.sparse_mode = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:sparse-mode")

                            self.nbma_mode = YLeaf(YType.empty, "Cisco-IOS-XE-multicast:nbma-mode")

                            self.dr_priority = YLeaf(YType.uint32, "Cisco-IOS-XE-multicast:dr-priority")

                            self.spt_threshold = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:spt-threshold")

                            self.accept_register = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.AcceptRegister()
                            self.accept_register.parent = self
                            self._children_name_map["accept_register"] = "accept-register"
                            self._children_yang_names.add("accept-register")

                            self.query_interval = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.QueryInterval()
                            self.query_interval.parent = self
                            self._children_name_map["query_interval"] = "query-interval"
                            self._children_yang_names.add("query-interval")
                            self._segment_path = lambda: "pim"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim, ['sparse_mode', 'nbma_mode', 'dr_priority', 'spt_threshold'], name, value)

                        class SparseMode(Enum):
                            """
                            SparseMode

                            .. data:: sparse_dense_mode = 0

                            .. data:: sparse_mode = 1

                            """

                            sparse_dense_mode = Enum.YLeaf(0, "sparse-dense-mode")

                            sparse_mode = Enum.YLeaf(1, "sparse-mode")


                        class SptThreshold(Enum):
                            """
                            SptThreshold

                            .. data:: infinity = 0

                            """

                            infinity = Enum.YLeaf(0, "infinity")



                        class AcceptRegister(Entity):
                            """
                            
                            
                            .. attribute:: list
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-mc'
                            _revision = '2017-06-01'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.AcceptRegister, self).__init__()

                                self.yang_name = "accept-register"
                                self.yang_parent_name = "pim"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.list = YLeaf(YType.str, "list")
                                self._segment_path = lambda: "Cisco-IOS-XE-multicast:accept-register"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.AcceptRegister, ['list'], name, value)


                        class QueryInterval(Entity):
                            """
                            PIM router query interval
                            
                            .. attribute:: seconds_interval
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..18725
                            
                            .. attribute:: milliseconds_interval
                            
                            	
                            	**type**\: int
                            
                            	**range:** 100..65535
                            
                            .. attribute:: msec
                            
                            	Query interval in milliseconds
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            	**mandatory**\: True
                            
                            

                            """

                            _prefix = 'ios-mc'
                            _revision = '2017-06-01'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.QueryInterval, self).__init__()

                                self.yang_name = "query-interval"
                                self.yang_parent_name = "pim"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds_interval = YLeaf(YType.uint16, "seconds-interval")

                                self.milliseconds_interval = YLeaf(YType.uint16, "milliseconds-interval")

                                self.msec = YLeaf(YType.empty, "msec")
                                self._segment_path = lambda: "Cisco-IOS-XE-multicast:query-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Pim.QueryInterval, ['seconds_interval', 'milliseconds_interval', 'msec'], name, value)


                    class Policy(Entity):
                        """
                        Enable policy routing
                        
                        .. attribute:: route_map
                        
                        	Policy route\-map
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Policy, ['route_map'], name, value)


                    class Rip(Entity):
                        """
                        Router Information Protocol
                        
                        .. attribute:: authentication
                        
                        	Authentication control
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip.Authentication>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip, self).__init__()

                            self.yang_name = "rip"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip.Authentication)}
                            self._child_list_classes = {}

                            self.authentication = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")
                            self._segment_path = lambda: "rip"


                        class Authentication(Entity):
                            """
                            Authentication control
                            
                            .. attribute:: key_chain
                            
                            	Authentication key\-chain
                            	**type**\: str
                            
                            .. attribute:: mode
                            
                            	Authentication mode
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip.Authentication.Mode>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "rip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode" : ("mode", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip.Authentication.Mode)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.mode = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip.Authentication.Mode()
                                self.mode.parent = self
                                self._children_name_map["mode"] = "mode"
                                self._children_yang_names.add("mode")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip.Authentication, ['key_chain'], name, value)


                            class Mode(Entity):
                                """
                                Authentication mode
                                
                                .. attribute:: md5
                                
                                	Keyed message digest
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: text
                                
                                	Clear text authentication
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip.Authentication.Mode, self).__init__()

                                    self.yang_name = "mode"
                                    self.yang_parent_name = "authentication"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.md5 = YLeaf(YType.empty, "md5")

                                    self.text = YLeaf(YType.empty, "text")
                                    self._segment_path = lambda: "mode"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                    class RouteCacheConf(Entity):
                        """
                        
                        
                        .. attribute:: route_cache
                        
                        	
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCacheConf, self).__init__()

                            self.yang_name = "route-cache-conf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.route_cache = YLeaf(YType.boolean, "route-cache")
                            self._segment_path = lambda: "route-cache-conf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCacheConf, ['route_cache'], name, value)


                    class RouteCache(Entity):
                        """
                        Enable fast\-switching cache for outgoing packets
                        
                        .. attribute:: cef
                        
                        	Enable Cisco Express Forwarding
                        	**type**\: bool
                        
                        .. attribute:: flow
                        
                        	Enable Flow fast\-switching cache
                        	**type**\: bool
                        
                        .. attribute:: policy
                        
                        	Enable fast\-switching policy cache for outgoing packets
                        	**type**\: bool
                        
                        .. attribute:: same_interface
                        
                        	Enable fast\-switching on the same interface
                        	**type**\: bool
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCache, self).__init__()

                            self.yang_name = "route-cache"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cef = YLeaf(YType.boolean, "cef")

                            self.flow = YLeaf(YType.boolean, "flow")

                            self.policy = YLeaf(YType.boolean, "policy")

                            self.same_interface = YLeaf(YType.boolean, "same-interface")
                            self._segment_path = lambda: "route-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                    class Router(Entity):
                        """
                        IP router interface commands
                        
                        .. attribute:: isis
                        
                        	IS\-IS Routing for IP
                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router.Isis>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router, self).__init__()

                            self.yang_name = "router"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"isis" : ("isis", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router.Isis)}
                            self._child_list_classes = {}

                            self.isis = None
                            self._children_name_map["isis"] = "isis"
                            self._children_yang_names.add("isis")
                            self._segment_path = lambda: "router"


                        class Isis(Entity):
                            """
                            IS\-IS Routing for IP
                            
                            .. attribute:: tag
                            
                            	
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "router"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.tag = YLeaf(YType.str, "tag")
                                self._segment_path = lambda: "isis"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Router.Isis, ['tag'], name, value)


                    class Tcp(Entity):
                        """
                        TCP header compression and other parameters
                        
                        .. attribute:: adjust_mss
                        
                        	Adjust the mss of transit packets
                        	**type**\: int
                        
                        	**range:** 500..1460
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Tcp, self).__init__()

                            self.yang_name = "tcp"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                            self._segment_path = lambda: "tcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Tcp, ['adjust_mss'], name, value)


                    class VirtualReassembly(Entity):
                        """
                        
                        
                        .. attribute:: max_reassemblies
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: max_fragments
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: timeout
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: drop_fragments
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: in_
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.VirtualReassembly, self).__init__()

                            self.yang_name = "virtual-reassembly"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                            self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                            self.timeout = YLeaf(YType.uint32, "timeout")

                            self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                            self.in_ = YLeaf(YType.empty, "in")
                            self._segment_path = lambda: "virtual-reassembly"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                    class Dhcp(Entity):
                        """
                        Configure DHCP parameters for this interface
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self._segment_path = lambda: "dhcp"


                    class SummaryAddress(Entity):
                        """
                        
                        
                        .. attribute:: eigrp
                        
                        	
                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress.Eigrp>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress, self).__init__()

                            self.yang_name = "summary-address"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress.Eigrp)}

                            self.eigrp = YList(self)
                            self._segment_path = lambda: "summary-address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress, [], name, value)


                        class Eigrp(Entity):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ip
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "summary-address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.ip = YLeaf(YType.str, "ip")

                                self.mask = YLeaf(YType.str, "mask")

                                self.metric = YLeaf(YType.uint32, "metric")
                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                    class Verify(Entity):
                        """
                        Enable per packet validation
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: unicast
                        
                        	Enable per packet validation for unicast
                        	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify, self).__init__()

                            self.yang_name = "verify"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"source" : ("source", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast)}
                            self._child_list_classes = {}

                            self.source = None
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")

                            self.unicast = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast()
                            self.unicast.parent = self
                            self._children_name_map["unicast"] = "unicast"
                            self._children_yang_names.add("unicast")
                            self._segment_path = lambda: "verify"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "verify"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"vlan" : ("vlan", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.vlan = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan()
                                self.vlan.parent = self
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "source"


                            class Vlan(Entity):
                                """
                                vlan specification
                                
                                .. attribute:: dhcp_snooping
                                
                                	snooping enable vlan
                                	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                    self._child_list_classes = {}

                                    self.dhcp_snooping = None
                                    self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                    self._children_yang_names.add("dhcp-snooping")
                                    self._segment_path = lambda: "vlan"


                                class DhcpSnooping(Entity):
                                    """
                                    snooping enable vlan
                                    
                                    .. attribute:: port_security
                                    
                                    	port security
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                        self.yang_name = "dhcp-snooping"
                                        self.yang_parent_name = "vlan"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.port_security = YLeaf(YType.empty, "port-security")
                                        self._segment_path = lambda: "dhcp-snooping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                        class Unicast(Entity):
                            """
                            Enable per packet validation for unicast
                            
                            .. attribute:: reverse_path
                            
                            	Reverse path validation of source address (old command format)
                            	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.ReversePath>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: source
                            
                            	Validation of source address
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast, self).__init__()

                                self.yang_name = "unicast"
                                self.yang_parent_name = "verify"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source)}
                                self._child_list_classes = {}

                                self.reverse_path = None
                                self._children_name_map["reverse_path"] = "reverse-path"
                                self._children_yang_names.add("reverse-path")

                                self.source = Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "unicast"


                            class ReversePath(Entity):
                                """
                                Reverse path validation of source address (old command format)
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.ReversePath, self).__init__()

                                    self.yang_name = "reverse-path"
                                    self.yang_parent_name = "unicast"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "reverse-path"


                            class Source(Entity):
                                """
                                Validation of source address
                                
                                .. attribute:: reachable_via
                                
                                	Specify reachability check to apply to the source address
                                	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source.ReachableVia>`
                                
                                .. attribute:: allow_self_ping
                                
                                	Allow router to ping itself (opens vulnerability in verification)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: allow_default
                                
                                	Allow default route to match when checking source address
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "unicast"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                    self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                    self.allow_default = YLeaf(YType.empty, "allow-default")
                                    self._segment_path = lambda: "source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                                class ReachableVia(Enum):
                                    """
                                    ReachableVia

                                    Specify reachability check to apply to the source address

                                    .. data:: any = 0

                                    .. data:: rx = 1

                                    """

                                    any = Enum.YLeaf(0, "any")

                                    rx = Enum.YLeaf(1, "rx")



                class Ipv6(Entity):
                    """
                    IPv6 interface subcommands
                    
                    .. attribute:: destination_guard
                    
                    	Configure ipv6 destination guard on the interface
                    	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.DestinationGuard>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dhcp
                    
                    	IPv6 DHCP interface subcommands
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Dhcp>`
                    
                    .. attribute:: address
                    
                    	Configure IPv6 address on interface
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address>`
                    
                    .. attribute:: unnumbered
                    
                    	Preferred interface for source address selection
                    	**type**\: str
                    
                    .. attribute:: enable
                    
                    	Enable IPv6 on interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mtu
                    
                    	Set IPv6 Maximum Transmission Unit
                    	**type**\: int
                    
                    	**range:** 1280..9198
                    
                    .. attribute:: nd
                    
                    	IPv6 interface Neighbor Discovery subcommands
                    	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Nd>`
                    
                    .. attribute:: redirects
                    
                    	Enable sending ICMP Redirect messages
                    	**type**\: bool
                    
                    .. attribute:: tcp
                    
                    	TCP header compression and other parameters
                    	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Tcp>`
                    
                    .. attribute:: traffic_filter
                    
                    	Access control list for packets
                    	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Dhcp), "address" : ("address", Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address), "nd" : ("nd", Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Tcp)}
                        self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter)}

                        self.unnumbered = YLeaf(YType.str, "unnumbered")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.mtu = YLeaf(YType.uint16, "mtu")

                        self.redirects = YLeaf(YType.boolean, "redirects")

                        self.destination_guard = None
                        self._children_name_map["destination_guard"] = "destination-guard"
                        self._children_yang_names.add("destination-guard")

                        self.dhcp = Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Dhcp()
                        self.dhcp.parent = self
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.address = Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.nd = Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Nd()
                        self.nd.parent = self
                        self._children_name_map["nd"] = "nd"
                        self._children_yang_names.add("nd")

                        self.tcp = Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Tcp()
                        self.tcp.parent = self
                        self._children_name_map["tcp"] = "tcp"
                        self._children_yang_names.add("tcp")

                        self.traffic_filter = YList(self)
                        self._segment_path = lambda: "ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                    class DestinationGuard(Entity):
                        """
                        Configure ipv6 destination guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature ipv6 destguard
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.DestinationGuard, self).__init__()

                            self.yang_name = "destination-guard"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "destination-guard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                    class Dhcp(Entity):
                        """
                        IPv6 DHCP interface subcommands
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self._segment_path = lambda: "dhcp"


                    class Address(Entity):
                        """
                        Configure IPv6 address on interface
                        
                        .. attribute:: dhcp
                        
                        	Obtain IPv6 address from DHCP server
                        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Dhcp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: autoconfig
                        
                        	Obtain address using autoconfiguration
                        	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Autoconfig>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: prefix_list
                        
                        	
                        	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.PrefixList>`
                        
                        .. attribute:: link_local_address
                        
                        	
                        	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.LinkLocalAddress>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Autoconfig)}
                            self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.LinkLocalAddress)}

                            self.dhcp = None
                            self._children_name_map["dhcp"] = "dhcp"
                            self._children_yang_names.add("dhcp")

                            self.autoconfig = None
                            self._children_name_map["autoconfig"] = "autoconfig"
                            self._children_yang_names.add("autoconfig")

                            self.prefix_list = YList(self)
                            self.link_local_address = YList(self)
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address, [], name, value)


                        class Dhcp(Entity):
                            """
                            Obtain IPv6 address from DHCP server
                            
                            .. attribute:: rapid_commit
                            
                            	rapid\-commit for prefix delegation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Dhcp, self).__init__()

                                self.yang_name = "dhcp"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                                self._segment_path = lambda: "dhcp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                        class Autoconfig(Entity):
                            """
                            Obtain address using autoconfiguration
                            
                            .. attribute:: default
                            
                            	Insert default route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Autoconfig, self).__init__()

                                self.yang_name = "autoconfig"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.default = YLeaf(YType.empty, "default")
                                self._segment_path = lambda: "autoconfig"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.Autoconfig, ['default'], name, value)


                        class PrefixList(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: anycast
                            
                            	Configure as an anycast
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: eui_64
                            
                            	Use eui\-64 interface identifier
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.PrefixList, self).__init__()

                                self.yang_name = "prefix-list"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.anycast = YLeaf(YType.empty, "anycast")

                                self.eui_64 = YLeaf(YType.empty, "eui-64")
                                self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                        class LinkLocalAddress(Entity):
                            """
                            
                            
                            .. attribute:: address  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: link_local
                            
                            	Use link\-local address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.LinkLocalAddress, self).__init__()

                                self.yang_name = "link-local-address"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.link_local = YLeaf(YType.empty, "link-local")
                                self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                    class Nd(Entity):
                        """
                        IPv6 interface Neighbor Discovery subcommands
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Nd, self).__init__()

                            self.yang_name = "nd"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self._segment_path = lambda: "nd"


                    class Tcp(Entity):
                        """
                        TCP header compression and other parameters
                        
                        .. attribute:: adjust_mss
                        
                        	Adjust the mss of transit packets
                        	**type**\: int
                        
                        	**range:** 40..1454
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Tcp, self).__init__()

                            self.yang_name = "tcp"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                            self._segment_path = lambda: "tcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.Tcp, ['adjust_mss'], name, value)


                    class TrafficFilter(Entity):
                        """
                        Access control list for packets
                        
                        .. attribute:: direction  <key>
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter.Direction>`
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter, self).__init__()

                            self.yang_name = "traffic-filter"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.access_list = YLeaf(YType.str, "access-list")
                            self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = Enum.YLeaf(0, "in")

                            out = Enum.YLeaf(1, "out")



                class Logging(Entity):
                    """
                    Configure logging for interface
                    
                    .. attribute:: event
                    
                    	Interface events
                    	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Logging, self).__init__()

                        self.yang_name = "logging"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"event" : ("event", Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event)}
                        self._child_list_classes = {}

                        self.event = Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event()
                        self.event.parent = self
                        self._children_name_map["event"] = "event"
                        self._children_yang_names.add("event")
                        self._segment_path = lambda: "logging"


                    class Event(Entity):
                        """
                        Interface events
                        
                        .. attribute:: bundle_status
                        
                        	BUNDLE/UNBUNDLE messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: link_status
                        
                        	UPDOWN and CHANGE messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trunk_status
                        
                        	TRUNK status messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: nfas_status
                        
                        	NFAS D\-channel status messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_inline_status
                        
                        	Inline power messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: spanning_tree
                        
                        	Spanning\-tree Interface events
                        	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SpanningTree>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: subif_link_status
                        
                        	Sub\-interface UPDOWN and CHANGE messages
                        	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SubifLinkStatus>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event, self).__init__()

                            self.yang_name = "event"
                            self.yang_parent_name = "logging"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SubifLinkStatus)}
                            self._child_list_classes = {}

                            self.bundle_status = YLeaf(YType.empty, "bundle-status")

                            self.link_status = YLeaf(YType.empty, "link-status")

                            self.trunk_status = YLeaf(YType.empty, "trunk-status")

                            self.nfas_status = YLeaf(YType.empty, "nfas-status")

                            self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                            self.status = YLeaf(YType.empty, "status")

                            self.spanning_tree = None
                            self._children_name_map["spanning_tree"] = "spanning-tree"
                            self._children_yang_names.add("spanning-tree")

                            self.subif_link_status = None
                            self._children_name_map["subif_link_status"] = "subif-link-status"
                            self._children_yang_names.add("subif-link-status")
                            self._segment_path = lambda: "event"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                        class SpanningTree(Entity):
                            """
                            Spanning\-tree Interface events
                            
                            .. attribute:: status
                            
                            	Spanning\-tree state change messages
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SpanningTree, self).__init__()

                                self.yang_name = "spanning-tree"
                                self.yang_parent_name = "event"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.status = YLeaf(YType.empty, "status")
                                self._segment_path = lambda: "spanning-tree"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SpanningTree, ['status'], name, value)


                        class SubifLinkStatus(Entity):
                            """
                            Sub\-interface UPDOWN and CHANGE messages
                            
                            .. attribute:: ignore_bulk
                            
                            	Do not log messages when the main interface is transitioning
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SubifLinkStatus, self).__init__()

                                self.yang_name = "subif-link-status"
                                self.yang_parent_name = "event"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                                self._segment_path = lambda: "subif-link-status"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


                class Mdix(Entity):
                    """
                    Set Media Dependent Interface with Crossover
                    
                    .. attribute:: auto
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Mdix, self).__init__()

                        self.yang_name = "mdix"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.boolean, "auto")
                        self._segment_path = lambda: "mdix"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Mdix, ['auto'], name, value)


                class Mop(Entity):
                    """
                    
                    
                    .. attribute:: enabled
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Mop, self).__init__()

                        self.yang_name = "mop"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enabled = YLeaf(YType.boolean, "enabled")
                        self._segment_path = lambda: "mop"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Mop, ['enabled'], name, value)


                class InterfaceQos(Entity):
                    """
                    
                    
                    .. attribute:: trust
                    
                    	
                    	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.InterfaceQos.Trust>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.InterfaceQos, self).__init__()

                        self.yang_name = "interface_qos"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"trust" : ("trust", Native.Interface.PortChannelSubinterface.PortChannel.InterfaceQos.Trust)}
                        self._child_list_classes = {}

                        self.trust = Native.Interface.PortChannelSubinterface.PortChannel.InterfaceQos.Trust()
                        self.trust.parent = self
                        self._children_name_map["trust"] = "trust"
                        self._children_yang_names.add("trust")
                        self._segment_path = lambda: "interface_qos"


                    class Trust(Entity):
                        """
                        
                        
                        .. attribute:: device
                        
                        	
                        	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.InterfaceQos.Trust.Device>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.InterfaceQos.Trust, self).__init__()

                            self.yang_name = "trust"
                            self.yang_parent_name = "interface_qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.device = YLeaf(YType.enumeration, "device")
                            self._segment_path = lambda: "trust"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.InterfaceQos.Trust, ['device'], name, value)

                        class Device(Enum):
                            """
                            Device

                            .. data:: cisco_phone = 0

                            """

                            cisco_phone = Enum.YLeaf(0, "cisco-phone")



                class Standby(Entity):
                    """
                    HSRP interface configuration commands
                    
                    .. attribute:: version
                    
                    	HSRP version
                    	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.Version>`
                    
                    .. attribute:: bfd
                    
                    	Enable HSRP BFD
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	HSRP initialisation delay
                    	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.Delay>`
                    
                    .. attribute:: mac_refresh
                    
                    	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: use_bia
                    
                    	HSRP uses interface's burned in address
                    	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: standby_list
                    
                    	
                    	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Standby, self).__init__()

                        self.yang_name = "standby"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"delay" : ("delay", Native.Interface.PortChannelSubinterface.PortChannel.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia)}
                        self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList)}

                        self.version = YLeaf(YType.enumeration, "version")

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                        self.delay = Native.Interface.PortChannelSubinterface.PortChannel.Standby.Delay()
                        self.delay.parent = self
                        self._children_name_map["delay"] = "delay"
                        self._children_yang_names.add("delay")

                        self.use_bia = None
                        self._children_name_map["use_bia"] = "use-bia"
                        self._children_yang_names.add("use-bia")

                        self.standby_list = YList(self)
                        self._segment_path = lambda: "standby"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                    class Version(Enum):
                        """
                        Version

                        HSRP version

                        .. data:: Y_1 = 0

                        .. data:: Y_2 = 1

                        """

                        Y_1 = Enum.YLeaf(0, "1")

                        Y_2 = Enum.YLeaf(1, "2")



                    class Delay(Entity):
                        """
                        HSRP initialisation delay
                        
                        .. attribute:: minimum
                        
                        	Minimum delay
                        	**type**\: int
                        
                        	**range:** 0..10000
                        
                        .. attribute:: reload
                        
                        	Delay after reload
                        	**type**\: int
                        
                        	**range:** 0..10000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.Delay, self).__init__()

                            self.yang_name = "delay"
                            self.yang_parent_name = "standby"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.minimum = YLeaf(YType.uint16, "minimum")

                            self.reload = YLeaf(YType.uint16, "reload")
                            self._segment_path = lambda: "delay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.Delay, ['minimum', 'reload'], name, value)


                    class UseBia(Entity):
                        """
                        HSRP uses interface's burned in address
                        
                        .. attribute:: scope
                        
                        	Specify the scope of use\-bia
                        	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia.Scope>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia, self).__init__()

                            self.yang_name = "use-bia"
                            self.yang_parent_name = "standby"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"scope" : ("scope", Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia.Scope)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.scope = Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia.Scope()
                            self.scope.parent = self
                            self._children_name_map["scope"] = "scope"
                            self._children_yang_names.add("scope")
                            self._segment_path = lambda: "use-bia"


                        class Scope(Entity):
                            """
                            Specify the scope of use\-bia
                            
                            .. attribute:: interface
                            
                            	Use\-bia applies to all groups on this interface or sub\-interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia.Scope, self).__init__()

                                self.yang_name = "scope"
                                self.yang_parent_name = "use-bia"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interface = YLeaf(YType.empty, "interface")
                                self._segment_path = lambda: "scope"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.UseBia.Scope, ['interface'], name, value)


                    class StandbyList(Entity):
                        """
                        
                        
                        .. attribute:: group_number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: authentication
                        
                        	Authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication>`
                        
                        .. attribute:: follow
                        
                        	Name of HSRP group to follow
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	Enable HSRP and set the virtual IP address
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Ip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv6
                        
                        	Enable HSRP IPv6
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                        
                        .. attribute:: mac_address
                        
                        	Virtual MAC address
                        	**type**\: str
                        
                        .. attribute:: name
                        
                        	Redundancy name string
                        	**type**\: str
                        
                        .. attribute:: preempt
                        
                        	Overthrow lower priority Active routers
                        	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Priority level
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: redirect
                        
                        	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect>`
                        
                        .. attribute:: timers
                        
                        	Hello and hold timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers>`
                        
                        .. attribute:: track
                        
                        	Priority tracking
                        	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Track>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList, self).__init__()

                            self.yang_name = "standby-list"
                            self.yang_parent_name = "standby"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers)}
                            self._child_list_classes = {"track" : ("track", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Track)}

                            self.group_number = YLeaf(YType.uint16, "group-number")

                            self.follow = YLeaf(YType.str, "follow")

                            self.ipv6 = YLeaf(YType.str, "ipv6")

                            self.mac_address = YLeaf(YType.str, "mac-address")

                            self.name = YLeaf(YType.str, "name")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.authentication = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.ip = None
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")

                            self.preempt = None
                            self._children_name_map["preempt"] = "preempt"
                            self._children_yang_names.add("preempt")

                            self.redirect = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")

                            self.timers = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")

                            self.track = YList(self)
                            self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                        class Ipv6(Enum):
                            """
                            Ipv6

                            Enable HSRP IPv6

                            .. data:: autoconfig = 0

                            """

                            autoconfig = Enum.YLeaf(0, "autoconfig")



                        class Authentication(Entity):
                            """
                            Authentication
                            
                            .. attribute:: word
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5>`
                            
                            .. attribute:: text
                            
                            	Plain text authentication
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "standby-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"md5" : ("md5", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5)}
                                self._child_list_classes = {}

                                self.word = YLeaf(YType.str, "word")

                                self.text = YLeaf(YType.str, "text")

                                self.md5 = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5()
                                self.md5.parent = self
                                self._children_name_map["md5"] = "md5"
                                self._children_yang_names.add("md5")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                            class Md5(Entity):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_chain
                                
                                	Set key chain
                                	**type**\: str
                                
                                .. attribute:: key_string
                                
                                	Set key string
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5, self).__init__()

                                    self.yang_name = "md5"
                                    self.yang_parent_name = "authentication"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_chain = YLeaf(YType.str, "key-chain")

                                    self.key_string = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "md5"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                                class KeyString(Entity):
                                    """
                                    Set key string
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: timeout
                                    
                                    	Set timeout
                                    	**type**\: int
                                    
                                    	**range:** 0..32767
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "md5"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")

                                        self.timeout = YLeaf(YType.uint16, "timeout")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                        class Ip(Entity):
                            """
                            Enable HSRP and set the virtual IP address
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: secondary
                            
                            	Make this IP address a secondary virtual IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "standby-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.address = YLeaf(YType.str, "address")

                                self.secondary = YLeaf(YType.empty, "secondary")
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                        class Preempt(Entity):
                            """
                            Overthrow lower priority Active routers
                            
                            .. attribute:: delay
                            
                            	Wait before preempting
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt.Delay>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt, self).__init__()

                                self.yang_name = "preempt"
                                self.yang_parent_name = "standby-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"delay" : ("delay", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt.Delay)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.delay = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "preempt"


                            class Delay(Entity):
                                """
                                Wait before preempting
                                
                                .. attribute:: minimum
                                
                                	Delay at least this long
                                	**type**\: int
                                
                                	**range:** 0..3600
                                
                                .. attribute:: reload
                                
                                	Delay after reload
                                	**type**\: int
                                
                                	**range:** 0..3600
                                
                                .. attribute:: sync
                                
                                	Wait for IP redundancy client
                                	**type**\: int
                                
                                	**range:** 0..3600
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "preempt"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.minimum = YLeaf(YType.uint16, "minimum")

                                    self.reload = YLeaf(YType.uint16, "reload")

                                    self.sync = YLeaf(YType.uint16, "sync")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                        class Redirect(Entity):
                            """
                            Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                            
                            .. attribute:: advertisement
                            
                            	Redirect advertisement messages
                            	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement>`
                            
                            .. attribute:: timers
                            
                            	Adjust redirect timers
                            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Timers>`
                            
                            .. attribute:: unknown
                            
                            	Redirect to non\-HSRP routers
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "standby-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Timers)}
                                self._child_list_classes = {}

                                self.unknown = YLeaf(YType.empty, "unknown")

                                self.advertisement = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement()
                                self.advertisement.parent = self
                                self._children_name_map["advertisement"] = "advertisement"
                                self._children_yang_names.add("advertisement")

                                self.timers = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Timers()
                                self.timers.parent = self
                                self._children_name_map["timers"] = "timers"
                                self._children_yang_names.add("timers")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect, ['unknown'], name, value)


                            class Advertisement(Entity):
                                """
                                Redirect advertisement messages
                                
                                .. attribute:: authentication
                                
                                	Authentication
                                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                    self.yang_name = "advertisement"
                                    self.yang_parent_name = "redirect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authentication" : ("authentication", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                    self._child_list_classes = {}

                                    self.authentication = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                    self.authentication.parent = self
                                    self._children_name_map["authentication"] = "authentication"
                                    self._children_yang_names.add("authentication")
                                    self._segment_path = lambda: "advertisement"


                                class Authentication(Entity):
                                    """
                                    Authentication
                                    
                                    .. attribute:: md5
                                    
                                    	Use MD5 authentication
                                    	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                        self.yang_name = "authentication"
                                        self.yang_parent_name = "advertisement"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"md5" : ("md5", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                        self._child_list_classes = {}

                                        self.md5 = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                        self.md5.parent = self
                                        self._children_name_map["md5"] = "md5"
                                        self._children_yang_names.add("md5")
                                        self._segment_path = lambda: "authentication"


                                    class Md5(Entity):
                                        """
                                        Use MD5 authentication
                                        
                                        .. attribute:: key_chain
                                        
                                        	Set key chain
                                        	**type**\: str
                                        
                                        .. attribute:: key_string
                                        
                                        	Set key string
                                        	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                            self.yang_name = "md5"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-string" : ("key_string", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                            self._child_list_classes = {}

                                            self.key_chain = YLeaf(YType.str, "key-chain")

                                            self.key_string = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                            self.key_string.parent = self
                                            self._children_name_map["key_string"] = "key-string"
                                            self._children_yang_names.add("key-string")
                                            self._segment_path = lambda: "md5"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                        class KeyString(Entity):
                                            """
                                            Set key string
                                            
                                            .. attribute:: encrypt
                                            
                                            	
                                            	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                            
                                            .. attribute:: string
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: timeout
                                            
                                            	Set timeout
                                            	**type**\: int
                                            
                                            	**range:** 0..32767
                                            
                                            

                                            """

                                            _prefix = 'ios'
                                            _revision = '2017-08-30'

                                            def __init__(self):
                                                super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                                self.yang_name = "key-string"
                                                self.yang_parent_name = "md5"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                                self.string = YLeaf(YType.str, "string")

                                                self.timeout = YLeaf(YType.uint16, "timeout")
                                                self._segment_path = lambda: "key-string"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                            class Encrypt(Enum):
                                                """
                                                Encrypt

                                                .. data:: Y_0 = 0

                                                .. data:: Y_7 = 1

                                                """

                                                Y_0 = Enum.YLeaf(0, "0")

                                                Y_7 = Enum.YLeaf(1, "7")



                            class Timers(Entity):
                                """
                                Adjust redirect timers
                                
                                .. attribute:: advertisement
                                
                                	
                                	**type**\: int
                                
                                	**range:** 10..180
                                
                                .. attribute:: holddown
                                
                                	
                                	**type**\: int
                                
                                	**range:** 30..3600
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Timers, self).__init__()

                                    self.yang_name = "timers"
                                    self.yang_parent_name = "redirect"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.advertisement = YLeaf(YType.uint16, "advertisement")

                                    self.holddown = YLeaf(YType.uint16, "holddown")
                                    self._segment_path = lambda: "timers"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                        class Timers(Entity):
                            """
                            Hello and hold timers
                            
                            .. attribute:: hello_interval
                            
                            	
                            	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HelloInterval>`
                            
                            .. attribute:: hold_time
                            
                            	
                            	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HoldTime>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "standby-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HoldTime)}
                                self._child_list_classes = {}

                                self.hello_interval = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HelloInterval()
                                self.hello_interval.parent = self
                                self._children_name_map["hello_interval"] = "hello-interval"
                                self._children_yang_names.add("hello-interval")

                                self.hold_time = Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HoldTime()
                                self.hold_time.parent = self
                                self._children_name_map["hold_time"] = "hold-time"
                                self._children_yang_names.add("hold-time")
                                self._segment_path = lambda: "timers"


                            class HelloInterval(Entity):
                                """
                                
                                
                                .. attribute:: seconds
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..254
                                
                                .. attribute:: msec
                                
                                	Specify hello interval in milliseconds
                                	**type**\: int
                                
                                	**range:** 15..999
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                    self.yang_name = "hello-interval"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.seconds = YLeaf(YType.uint8, "seconds")

                                    self.msec = YLeaf(YType.uint16, "msec")
                                    self._segment_path = lambda: "hello-interval"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                            class HoldTime(Entity):
                                """
                                
                                
                                .. attribute:: seconds
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: msec
                                
                                	Specify hold time in milliseconds
                                	**type**\: int
                                
                                	**range:** 50..3000
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                    self.yang_name = "hold-time"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.seconds = YLeaf(YType.uint8, "seconds")

                                    self.msec = YLeaf(YType.uint16, "msec")
                                    self._segment_path = lambda: "hold-time"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                        class Track(Entity):
                            """
                            Priority tracking
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..1000
                            
                            .. attribute:: decrement
                            
                            	Priority decrement
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: shutdown
                            
                            	Shutdown group
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Track, self).__init__()

                                self.yang_name = "track"
                                self.yang_parent_name = "standby-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.uint16, "number")

                                self.decrement = YLeaf(YType.uint8, "decrement")

                                self.shutdown = YLeaf(YType.empty, "shutdown")
                                self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


                class AccessSession(Entity):
                    """
                    Access Session specific Interface Configuration Commands
                    
                    .. attribute:: closed
                    
                    	Enable closed access on port (disabled by default, i.e. open access)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: port_control
                    
                    	Set the port\-control value
                    	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.PortControl>`
                    
                    .. attribute:: host_mode
                    
                    	Set the Host mode for authentication on this interface
                    	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.HostMode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.AccessSession, self).__init__()

                        self.yang_name = "access-session"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"port-control" : ("port_control", Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.PortControl)}
                        self._child_list_classes = {}

                        self.closed = YLeaf(YType.empty, "closed")

                        self.host_mode = YLeaf(YType.enumeration, "host-mode")

                        self.port_control = Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.PortControl()
                        self.port_control.parent = self
                        self._children_name_map["port_control"] = "port-control"
                        self._children_yang_names.add("port-control")
                        self._segment_path = lambda: "access-session"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.AccessSession, ['closed', 'host_mode'], name, value)

                    class HostMode(Enum):
                        """
                        HostMode

                        Set the Host mode for authentication on this interface

                        .. data:: multi_auth = 0

                        .. data:: multi_domain = 1

                        .. data:: multi_host = 2

                        .. data:: single_host = 3

                        """

                        multi_auth = Enum.YLeaf(0, "multi-auth")

                        multi_domain = Enum.YLeaf(1, "multi-domain")

                        multi_host = Enum.YLeaf(2, "multi-host")

                        single_host = Enum.YLeaf(3, "single-host")



                    class PortControl(Entity):
                        """
                        Set the port\-control value
                        
                        .. attribute:: auto
                        
                        	PortState set to automatic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.PortControl, self).__init__()

                            self.yang_name = "port-control"
                            self.yang_parent_name = "access-session"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.auto = YLeaf(YType.empty, "auto")
                            self._segment_path = lambda: "port-control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.AccessSession.PortControl, ['auto'], name, value)


                class StormControl(Entity):
                    """
                    storm configuration
                    
                    .. attribute:: action
                    
                    	Action to take for storm..control;
                    	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Action>`
                    
                    .. attribute:: broadcast
                    
                    	Broadcast address storm control
                    	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast>`
                    
                    .. attribute:: multicast
                    
                    	Multicast address storm control
                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast>`
                    
                    .. attribute:: unicast
                    
                    	Unicast address storm control
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl, self).__init__()

                        self.yang_name = "storm-control"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"action" : ("action", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast)}
                        self._child_list_classes = {}

                        self.action = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Action()
                        self.action.parent = self
                        self._children_name_map["action"] = "action"
                        self._children_yang_names.add("action")

                        self.broadcast = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast()
                        self.broadcast.parent = self
                        self._children_name_map["broadcast"] = "broadcast"
                        self._children_yang_names.add("broadcast")

                        self.multicast = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast()
                        self.multicast.parent = self
                        self._children_name_map["multicast"] = "multicast"
                        self._children_yang_names.add("multicast")

                        self.unicast = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "storm-control"


                    class Action(Entity):
                        """
                        Action to take for storm..control;
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: shutdown
                        
                        	Shutdown this interface if a storm occurs
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: trap
                        
                        	Send SNMP trap if a storm occurs
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Action, self).__init__()

                            self.yang_name = "action"
                            self.yang_parent_name = "storm-control"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.level = YLeaf(YType.str, "level")

                            self.shutdown = YLeaf(YType.empty, "shutdown")

                            self.trap = YLeaf(YType.empty, "trap")
                            self._segment_path = lambda: "action"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                    class Broadcast(Entity):
                        """
                        Broadcast address storm control
                        
                        .. attribute:: include
                        
                        	
                        	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Include>`
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast, self).__init__()

                            self.yang_name = "broadcast"
                            self.yang_parent_name = "storm-control"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"include" : ("include", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level)}
                            self._child_list_classes = {}

                            self.include = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Include()
                            self.include.parent = self
                            self._children_name_map["include"] = "include"
                            self._children_yang_names.add("include")

                            self.level = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level()
                            self.level.parent = self
                            self._children_name_map["level"] = "level"
                            self._children_yang_names.add("level")
                            self._segment_path = lambda: "broadcast"


                        class Include(Entity):
                            """
                            
                            
                            .. attribute:: multicast
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Include, self).__init__()

                                self.yang_name = "include"
                                self.yang_parent_name = "broadcast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.multicast = YLeaf(YType.empty, "multicast")
                                self._segment_path = lambda: "include"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Include, ['multicast'], name, value)


                        class Level(Entity):
                            """
                            Set storm suppression level on this interface
                            
                            .. attribute:: threshold
                            
                            	Broadcast address storm control
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: bps
                            
                            	Enter suppression level in bits per second
                            	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Bps>`
                            
                            .. attribute:: pps
                            
                            	Enter suppression level in packets per second
                            	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Pps>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level, self).__init__()

                                self.yang_name = "level"
                                self.yang_parent_name = "broadcast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bps" : ("bps", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Pps)}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.bps = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Bps()
                                self.bps.parent = self
                                self._children_name_map["bps"] = "bps"
                                self._children_yang_names.add("bps")

                                self.pps = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Pps()
                                self.pps.parent = self
                                self._children_name_map["pps"] = "pps"
                                self._children_yang_names.add("pps")
                                self._segment_path = lambda: "level"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level, ['threshold'], name, value)


                            class Bps(Entity):
                                """
                                Enter suppression level in bits per second
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Bps, self).__init__()

                                    self.yang_name = "bps"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "bps"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                            class Pps(Entity):
                                """
                                Enter suppression level in packets per second
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Pps, self).__init__()

                                    self.yang_name = "pps"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "pps"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                    class Multicast(Entity):
                        """
                        Multicast address storm control
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast, self).__init__()

                            self.yang_name = "multicast"
                            self.yang_parent_name = "storm-control"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"level" : ("level", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level)}
                            self._child_list_classes = {}

                            self.level = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level()
                            self.level.parent = self
                            self._children_name_map["level"] = "level"
                            self._children_yang_names.add("level")
                            self._segment_path = lambda: "multicast"


                        class Level(Entity):
                            """
                            Set storm suppression level on this interface
                            
                            .. attribute:: threshold
                            
                            	Broadcast address storm control
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: bps
                            
                            	Enter suppression level in bits per second
                            	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Bps>`
                            
                            .. attribute:: pps
                            
                            	Enter suppression level in packets per second
                            	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Pps>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level, self).__init__()

                                self.yang_name = "level"
                                self.yang_parent_name = "multicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bps" : ("bps", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Pps)}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.bps = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Bps()
                                self.bps.parent = self
                                self._children_name_map["bps"] = "bps"
                                self._children_yang_names.add("bps")

                                self.pps = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Pps()
                                self.pps.parent = self
                                self._children_name_map["pps"] = "pps"
                                self._children_yang_names.add("pps")
                                self._segment_path = lambda: "level"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level, ['threshold'], name, value)


                            class Bps(Entity):
                                """
                                Enter suppression level in bits per second
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Bps, self).__init__()

                                    self.yang_name = "bps"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "bps"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                            class Pps(Entity):
                                """
                                Enter suppression level in packets per second
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Pps, self).__init__()

                                    self.yang_name = "pps"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "pps"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                    class Unicast(Entity):
                        """
                        Unicast address storm control
                        
                        .. attribute:: level
                        
                        	Set storm suppression level on this interface
                        	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "storm-control"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"level" : ("level", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level)}
                            self._child_list_classes = {}

                            self.level = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level()
                            self.level.parent = self
                            self._children_name_map["level"] = "level"
                            self._children_yang_names.add("level")
                            self._segment_path = lambda: "unicast"


                        class Level(Entity):
                            """
                            Set storm suppression level on this interface
                            
                            .. attribute:: threshold
                            
                            	Broadcast address storm control
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Threshold>`
                            
                            .. attribute:: bps
                            
                            	Enter suppression level in bits per second
                            	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Bps>`
                            
                            .. attribute:: pps
                            
                            	Enter suppression level in packets per second
                            	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Pps>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level, self).__init__()

                                self.yang_name = "level"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Pps)}
                                self._child_list_classes = {}

                                self.threshold = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")

                                self.bps = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Bps()
                                self.bps.parent = self
                                self._children_name_map["bps"] = "bps"
                                self._children_yang_names.add("bps")

                                self.pps = Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Pps()
                                self.pps.parent = self
                                self._children_name_map["pps"] = "pps"
                                self._children_yang_names.add("pps")
                                self._segment_path = lambda: "level"


                            class Threshold(Entity):
                                """
                                Broadcast address storm control
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold
                                	**type**\: Decimal64
                                
                                	**range:** 0..100
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold
                                	**type**\: Decimal64
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                            class Bps(Entity):
                                """
                                Enter suppression level in bits per second
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Bps, self).__init__()

                                    self.yang_name = "bps"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "bps"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                            class Pps(Entity):
                                """
                                Enter suppression level in packets per second
                                
                                .. attribute:: rising_threshold
                                
                                	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                .. attribute:: falling_threshold
                                
                                	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                                	**type**\: str
                                
                                	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Pps, self).__init__()

                                    self.yang_name = "pps"
                                    self.yang_parent_name = "level"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                    self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                    self._segment_path = lambda: "pps"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Trust(Entity):
                    """
                    Set trust value for the interface
                    
                    .. attribute:: device
                    
                    	trusted device class
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        trusted device class

                        .. data:: cisco_phone = 0

                        .. data:: cts = 1

                        .. data:: ip_camera = 2

                        .. data:: media_player = 3

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")

                        cts = Enum.YLeaf(1, "cts")

                        ip_camera = Enum.YLeaf(2, "ip-camera")

                        media_player = Enum.YLeaf(3, "media-player")



                class PriorityQueue(Entity):
                    """
                    Configure priority scheduling
                    
                    .. attribute:: cos_map
                    
                    	Configure cos\-map for a queue
                    	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue.CosMap>`
                    
                    .. attribute:: out
                    
                    	egress priority queue
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue, self).__init__()

                        self.yang_name = "priority-queue"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue.CosMap)}
                        self._child_list_classes = {}

                        self.out = YLeaf(YType.empty, "out")

                        self.cos_map = Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue.CosMap()
                        self.cos_map.parent = self
                        self._children_name_map["cos_map"] = "cos-map"
                        self._children_yang_names.add("cos-map")
                        self._segment_path = lambda: "priority-queue"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue, ['out'], name, value)


                    class CosMap(Entity):
                        """
                        Configure cos\-map for a queue
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: cos_values
                        
                        	
                        	**type**\: list of int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue.CosMap, self).__init__()

                            self.yang_name = "cos-map"
                            self.yang_parent_name = "priority-queue"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.cos_values = YLeafList(YType.uint8, "cos-values")
                            self._segment_path = lambda: "cos-map"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


                class RcvQueue(Entity):
                    """
                    Configure receive queue(s)
                    
                    .. attribute:: cos_map
                    
                    	Configure cos\-map for a queue threshold
                    	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue.CosMap>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue, self).__init__()

                        self.yang_name = "rcv-queue"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue.CosMap)}

                        self.cos_map = YList(self)
                        self._segment_path = lambda: "rcv-queue"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue, [], name, value)


                    class CosMap(Entity):
                        """
                        Configure cos\-map for a queue threshold
                        
                        .. attribute:: queue_id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: threshold_id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..8
                        
                        .. attribute:: cos_values
                        
                        	
                        	**type**\: list of int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue.CosMap, self).__init__()

                            self.yang_name = "cos-map"
                            self.yang_parent_name = "rcv-queue"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.queue_id = YLeaf(YType.uint8, "queue-id")

                            self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                            self.cos_values = YLeafList(YType.uint8, "cos-values")
                            self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


                class Peer(Entity):
                    """
                    Peer parameters for point to point interfaces
                    
                    .. attribute:: default
                    
                    	Specify default parameters
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Peer, self).__init__()

                        self.yang_name = "peer"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default" : ("default", Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default)}
                        self._child_list_classes = {}

                        self.default = Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")
                        self._segment_path = lambda: "peer"


                    class Default(Entity):
                        """
                        Specify default parameters
                        
                        .. attribute:: ip
                        
                        	Specify default IP parameters
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ip" : ("ip", Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip)}
                            self._child_list_classes = {}

                            self.ip = Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")
                            self._segment_path = lambda: "default"


                        class Ip(Entity):
                            """
                            Specify default IP parameters
                            
                            .. attribute:: address
                            
                            	Specify default IP address
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address)}
                                self._child_list_classes = {}

                                self.address = Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")
                                self._segment_path = lambda: "ip"


                            class Address(Entity):
                                """
                                Specify default IP address
                                
                                .. attribute:: dhcp
                                
                                	Use DHCP proxy client mechanism to allocate a peer IP address
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dhcp_pool
                                
                                	Use local DHCP pools to allocate a peer IP address
                                	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.DhcpPool>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: pool
                                
                                	Use IP pool mechanism to allocate a peer IP address
                                	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.Pool>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.Pool)}
                                    self._child_list_classes = {}

                                    self.dhcp = YLeaf(YType.empty, "dhcp")

                                    self.dhcp_pool = None
                                    self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                    self._children_yang_names.add("dhcp-pool")

                                    self.pool = None
                                    self._children_name_map["pool"] = "pool"
                                    self._children_yang_names.add("pool")
                                    self._segment_path = lambda: "address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address, ['dhcp'], name, value)


                                class DhcpPool(Entity):
                                    """
                                    Use local DHCP pools to allocate a peer IP address
                                    
                                    .. attribute:: pools
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                        self.yang_name = "dhcp-pool"
                                        self.yang_parent_name = "address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.pools = YLeaf(YType.str, "pools")
                                        self._segment_path = lambda: "dhcp-pool"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                                class Pool(Entity):
                                    """
                                    Use IP pool mechanism to allocate a peer IP address
                                    
                                    .. attribute:: pools
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.Pool, self).__init__()

                                        self.yang_name = "pool"
                                        self.yang_parent_name = "address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.pools = YLeaf(YType.str, "pools")
                                        self._segment_path = lambda: "pool"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


                class PmPath(Entity):
                    """
                    Global pm\-path configuration
                    
                    .. attribute:: name
                    
                    	WORD Path name
                    	**type**\: str
                    
                    .. attribute:: interface_id
                    
                    	<1\-255> Specify the interface\-id value
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.PmPath, self).__init__()

                        self.yang_name = "pm-path"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.interface_id = YLeaf(YType.uint8, "interface-id")
                        self._segment_path = lambda: "pm-path"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.PmPath, ['name', 'interface_id'], name, value)


                class CarrierDelay(Entity):
                    """
                    Specify delay for interface transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    .. attribute:: down
                    
                    	Carrier Down Transitions
                    	**type**\:  :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Down>`
                    
                    .. attribute:: up
                    
                    	Carrier Up Transitions
                    	**type**\:  :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Up>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay, self).__init__()

                        self.yang_name = "carrier-delay"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"down" : ("down", Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Down), "up" : ("up", Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Up)}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")

                        self.down = Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Down()
                        self.down.parent = self
                        self._children_name_map["down"] = "down"
                        self._children_yang_names.add("down")

                        self.up = Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Up()
                        self.up.parent = self
                        self._children_name_map["up"] = "up"
                        self._children_yang_names.add("up")
                        self._segment_path = lambda: "Cisco-IOS-XE-ethernet:carrier-delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay, ['seconds', 'msec'], name, value)


                    class Down(Entity):
                        """
                        Carrier Down Transitions
                        
                        .. attribute:: seconds
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..60
                        
                        .. attribute:: msec
                        
                        	delay specified in milliseconds
                        	**type**\: int
                        
                        	**range:** 0..1000
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Down, self).__init__()

                            self.yang_name = "down"
                            self.yang_parent_name = "carrier-delay"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.seconds = YLeaf(YType.uint8, "seconds")

                            self.msec = YLeaf(YType.uint16, "msec")
                            self._segment_path = lambda: "down"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Down, ['seconds', 'msec'], name, value)


                    class Up(Entity):
                        """
                        Carrier Up Transitions
                        
                        .. attribute:: seconds
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..60
                        
                        .. attribute:: msec
                        
                        	delay specified in milliseconds
                        	**type**\: int
                        
                        	**range:** 0..1000
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Up, self).__init__()

                            self.yang_name = "up"
                            self.yang_parent_name = "carrier-delay"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.seconds = YLeaf(YType.uint8, "seconds")

                            self.msec = YLeaf(YType.uint16, "msec")
                            self._segment_path = lambda: "up"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.CarrierDelay.Up, ['seconds', 'msec'], name, value)


                class ChannelGroup(Entity):
                    """
                    Add this interface to an Etherchannel group
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..512
                    
                    .. attribute:: mode
                    
                    	Etherchannel Mode of the interface
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup.Mode>`
                    
                    .. attribute:: non_silent
                    
                    	Start negotiation only after data packets received
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link
                    
                    	Assign a link identifier used for load\-balancing
                    	**type**\: int
                    
                    	**range:** 1..4
                    
                    .. attribute:: auto
                    
                    	LACP auto
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup, self).__init__()

                        self.yang_name = "channel-group"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint16, "number")

                        self.mode = YLeaf(YType.enumeration, "mode")

                        self.non_silent = YLeaf(YType.empty, "non-silent")

                        self.link = YLeaf(YType.uint8, "link")

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "Cisco-IOS-XE-ethernet:channel-group"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.ChannelGroup, ['number', 'mode', 'non_silent', 'link', 'auto'], name, value)

                    class Mode(Enum):
                        """
                        Mode

                        Etherchannel Mode of the interface

                        .. data:: active = 0

                        .. data:: auto = 1

                        .. data:: desirable = 2

                        .. data:: on = 3

                        .. data:: passive = 4

                        """

                        active = Enum.YLeaf(0, "active")

                        auto = Enum.YLeaf(1, "auto")

                        desirable = Enum.YLeaf(2, "desirable")

                        on = Enum.YLeaf(3, "on")

                        passive = Enum.YLeaf(4, "passive")



                class Ethernet(Entity):
                    """
                    Ethernet interface parameters
                    
                    .. attribute:: oam
                    
                    	To enable Ethernet Link OAM
                    	**type**\:  :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet, self).__init__()

                        self.yang_name = "ethernet"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"oam" : ("oam", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam)}
                        self._child_list_classes = {}

                        self.oam = None
                        self._children_name_map["oam"] = "oam"
                        self._children_yang_names.add("oam")
                        self._segment_path = lambda: "Cisco-IOS-XE-ethernet:ethernet"


                    class Oam(Entity):
                        """
                        To enable Ethernet Link OAM
                        
                        .. attribute:: link_monitor
                        
                        	Ethernet OAM Link Monitor
                        	**type**\:  :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor>`
                        
                        .. attribute:: max_rate
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        .. attribute:: min_rate
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        .. attribute:: mode
                        
                        	
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.Mode>`
                        
                        .. attribute:: remote_failure
                        
                        	Ethernet OAM remote failure indication
                        	**type**\:  :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure>`
                        
                        .. attribute:: remote_loopback
                        
                        	Ethernet OAM Remote Loopback
                        	**type**\:  :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteLoopback>`
                        
                        .. attribute:: timeout
                        
                        	
                        	**type**\: int
                        
                        	**range:** 2..30
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam, self).__init__()

                            self.yang_name = "oam"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"link-monitor" : ("link_monitor", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor), "remote-failure" : ("remote_failure", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure), "remote-loopback" : ("remote_loopback", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteLoopback)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.max_rate = YLeaf(YType.uint8, "max-rate")

                            self.min_rate = YLeaf(YType.uint8, "min-rate")

                            self.mode = YLeaf(YType.enumeration, "mode")

                            self.timeout = YLeaf(YType.uint8, "timeout")

                            self.link_monitor = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor()
                            self.link_monitor.parent = self
                            self._children_name_map["link_monitor"] = "link-monitor"
                            self._children_yang_names.add("link-monitor")

                            self.remote_failure = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure()
                            self.remote_failure.parent = self
                            self._children_name_map["remote_failure"] = "remote-failure"
                            self._children_yang_names.add("remote-failure")

                            self.remote_loopback = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteLoopback()
                            self.remote_loopback.parent = self
                            self._children_name_map["remote_loopback"] = "remote-loopback"
                            self._children_yang_names.add("remote-loopback")
                            self._segment_path = lambda: "oam"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam, ['max_rate', 'min_rate', 'mode', 'timeout'], name, value)

                        class Mode(Enum):
                            """
                            Mode

                            .. data:: active = 0

                            .. data:: passive = 1

                            """

                            active = Enum.YLeaf(0, "active")

                            passive = Enum.YLeaf(1, "passive")



                        class LinkMonitor(Entity):
                            """
                            Ethernet OAM Link Monitor
                            
                            .. attribute:: frame
                            
                            	Errored frames in a period measured by time
                            	**type**\:  :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame>`
                            
                            .. attribute:: frame_period
                            
                            	Errored frames in a period measured by number of frames
                            	**type**\:  :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod>`
                            
                            .. attribute:: frame_seconds
                            
                            	Errored frame seconds in a period
                            	**type**\:  :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                            
                            .. attribute:: high_threshold
                            
                            	Additional high threshold configuration
                            	**type**\:  :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold>`
                            
                            .. attribute:: on
                            
                            	Enable link monitoring on the interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: receive_crc
                            
                            	Received frames with CRC errors in a period
                            	**type**\:  :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                            
                            .. attribute:: supported
                            
                            	Support link monitoring on the interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: symbol_period
                            
                            	Errored symbols in a period
                            	**type**\:  :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor, self).__init__()

                                self.yang_name = "link-monitor"
                                self.yang_parent_name = "oam"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"frame" : ("frame", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame), "frame-period" : ("frame_period", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod), "frame-seconds" : ("frame_seconds", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds), "high-threshold" : ("high_threshold", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold), "receive-crc" : ("receive_crc", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc), "symbol-period" : ("symbol_period", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod)}
                                self._child_list_classes = {}

                                self.on = YLeaf(YType.empty, "on")

                                self.supported = YLeaf(YType.empty, "supported")

                                self.frame = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame()
                                self.frame.parent = self
                                self._children_name_map["frame"] = "frame"
                                self._children_yang_names.add("frame")

                                self.frame_period = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod()
                                self.frame_period.parent = self
                                self._children_name_map["frame_period"] = "frame-period"
                                self._children_yang_names.add("frame-period")

                                self.frame_seconds = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds()
                                self.frame_seconds.parent = self
                                self._children_name_map["frame_seconds"] = "frame-seconds"
                                self._children_yang_names.add("frame-seconds")

                                self.high_threshold = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold()
                                self.high_threshold.parent = self
                                self._children_name_map["high_threshold"] = "high-threshold"
                                self._children_yang_names.add("high-threshold")

                                self.receive_crc = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                                self.receive_crc.parent = self
                                self._children_name_map["receive_crc"] = "receive-crc"
                                self._children_yang_names.add("receive-crc")

                                self.symbol_period = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                                self.symbol_period.parent = self
                                self._children_name_map["symbol_period"] = "symbol-period"
                                self._children_yang_names.add("symbol-period")
                                self._segment_path = lambda: "link-monitor"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor, ['on', 'supported'], name, value)


                            class Frame(Entity):
                                """
                                Errored frames in a period measured by time
                                
                                .. attribute:: threshold
                                
                                	Errored frame threshold
                                	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                                
                                .. attribute:: window
                                
                                	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                                	**type**\: int
                                
                                	**range:** 10..600
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame, self).__init__()

                                    self.yang_name = "frame"
                                    self.yang_parent_name = "link-monitor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"threshold" : ("threshold", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold)}
                                    self._child_list_classes = {}

                                    self.window = YLeaf(YType.uint16, "window")

                                    self.threshold = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                    self.threshold.parent = self
                                    self._children_name_map["threshold"] = "threshold"
                                    self._children_yang_names.add("threshold")
                                    self._segment_path = lambda: "frame"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame, ['window'], name, value)


                                class Threshold(Entity):
                                    """
                                    Errored frame threshold
                                    
                                    .. attribute:: high
                                    
                                    	High Threshold
                                    	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                    
                                    .. attribute:: low
                                    
                                    	Set the low errored frame threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold, self).__init__()

                                        self.yang_name = "threshold"
                                        self.yang_parent_name = "frame"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"high" : ("high", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High)}
                                        self._child_list_classes = {}

                                        self.low = YLeaf(YType.uint16, "low")

                                        self.high = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                        self.high.parent = self
                                        self._children_name_map["high"] = "high"
                                        self._children_yang_names.add("high")
                                        self._segment_path = lambda: "threshold"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold, ['low'], name, value)


                                    class High(Entity):
                                        """
                                        High Threshold
                                        
                                        .. attribute:: thresh
                                        
                                        	Set the high errored frame threshold in number of frames
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: none
                                        
                                        	Disable high threshold
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, self).__init__()

                                            self.yang_name = "high"
                                            self.yang_parent_name = "threshold"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.thresh = YLeaf(YType.uint16, "thresh")

                                            self.none = YLeaf(YType.empty, "none")
                                            self._segment_path = lambda: "high"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, ['thresh', 'none'], name, value)


                            class FramePeriod(Entity):
                                """
                                Errored frames in a period measured by number of frames
                                
                                .. attribute:: threshold
                                
                                	Errored frame\-period threshold
                                	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                                
                                .. attribute:: window
                                
                                	Set window size in number of 10000 frames
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod, self).__init__()

                                    self.yang_name = "frame-period"
                                    self.yang_parent_name = "link-monitor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"threshold" : ("threshold", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold)}
                                    self._child_list_classes = {}

                                    self.window = YLeaf(YType.uint16, "window")

                                    self.threshold = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                    self.threshold.parent = self
                                    self._children_name_map["threshold"] = "threshold"
                                    self._children_yang_names.add("threshold")
                                    self._segment_path = lambda: "frame-period"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod, ['window'], name, value)


                                class Threshold(Entity):
                                    """
                                    Errored frame\-period threshold
                                    
                                    .. attribute:: high
                                    
                                    	High Threshold
                                    	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                    
                                    .. attribute:: low
                                    
                                    	Set the low errored frame\-period threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, self).__init__()

                                        self.yang_name = "threshold"
                                        self.yang_parent_name = "frame-period"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"high" : ("high", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High)}
                                        self._child_list_classes = {}

                                        self.low = YLeaf(YType.uint16, "low")

                                        self.high = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                        self.high.parent = self
                                        self._children_name_map["high"] = "high"
                                        self._children_yang_names.add("high")
                                        self._segment_path = lambda: "threshold"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, ['low'], name, value)


                                    class High(Entity):
                                        """
                                        High Threshold
                                        
                                        .. attribute:: f_thresh
                                        
                                        	Set the high errored frame\-period threshold in number of frames
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: none
                                        
                                        	Disable high threshold
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, self).__init__()

                                            self.yang_name = "high"
                                            self.yang_parent_name = "threshold"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.f_thresh = YLeaf(YType.uint16, "f-thresh")

                                            self.none = YLeaf(YType.empty, "none")
                                            self._segment_path = lambda: "high"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, ['f_thresh', 'none'], name, value)


                            class FrameSeconds(Entity):
                                """
                                Errored frame seconds in a period
                                
                                .. attribute:: threshold
                                
                                	Errored frame\-seconds threshold
                                	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                                
                                .. attribute:: window
                                
                                	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                                	**type**\: int
                                
                                	**range:** 100..9000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds, self).__init__()

                                    self.yang_name = "frame-seconds"
                                    self.yang_parent_name = "link-monitor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"threshold" : ("threshold", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold)}
                                    self._child_list_classes = {}

                                    self.window = YLeaf(YType.uint16, "window")

                                    self.threshold = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                    self.threshold.parent = self
                                    self._children_name_map["threshold"] = "threshold"
                                    self._children_yang_names.add("threshold")
                                    self._segment_path = lambda: "frame-seconds"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds, ['window'], name, value)


                                class Threshold(Entity):
                                    """
                                    Errored frame\-seconds threshold
                                    
                                    .. attribute:: high
                                    
                                    	High Threshold
                                    	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                    
                                    .. attribute:: low
                                    
                                    	Set the low errored frame\-seconds threshold in number of seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..900
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, self).__init__()

                                        self.yang_name = "threshold"
                                        self.yang_parent_name = "frame-seconds"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"high" : ("high", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High)}
                                        self._child_list_classes = {}

                                        self.low = YLeaf(YType.uint16, "low")

                                        self.high = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                        self.high.parent = self
                                        self._children_name_map["high"] = "high"
                                        self._children_yang_names.add("high")
                                        self._segment_path = lambda: "threshold"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, ['low'], name, value)


                                    class High(Entity):
                                        """
                                        High Threshold
                                        
                                        .. attribute:: e_thresh
                                        
                                        	Set the high errored frame\-seconds threshold in number of seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..900
                                        
                                        .. attribute:: none
                                        
                                        	Disable high threshold
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, self).__init__()

                                            self.yang_name = "high"
                                            self.yang_parent_name = "threshold"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.e_thresh = YLeaf(YType.uint16, "e-thresh")

                                            self.none = YLeaf(YType.empty, "none")
                                            self._segment_path = lambda: "high"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, ['e_thresh', 'none'], name, value)


                            class HighThreshold(Entity):
                                """
                                Additional high threshold configuration
                                
                                .. attribute:: action
                                
                                	Specifiy an action when the high threshold is crossed
                                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold, self).__init__()

                                    self.yang_name = "high-threshold"
                                    self.yang_parent_name = "link-monitor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"action" : ("action", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action)}
                                    self._child_list_classes = {}

                                    self.action = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                    self.action.parent = self
                                    self._children_name_map["action"] = "action"
                                    self._children_yang_names.add("action")
                                    self._segment_path = lambda: "high-threshold"


                                class Action(Entity):
                                    """
                                    Specifiy an action when the high threshold is crossed
                                    
                                    .. attribute:: error_disable_interface
                                    
                                    	Error\-disable the interface
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action, self).__init__()

                                        self.yang_name = "action"
                                        self.yang_parent_name = "high-threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                        self._segment_path = lambda: "action"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.HighThreshold.Action, ['error_disable_interface'], name, value)


                            class ReceiveCrc(Entity):
                                """
                                Received frames with CRC errors in a period
                                
                                .. attribute:: threshold
                                
                                	Errored frame\-seconds threshold
                                	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                                
                                .. attribute:: window
                                
                                	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                                	**type**\: int
                                
                                	**range:** 10..1800
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc, self).__init__()

                                    self.yang_name = "receive-crc"
                                    self.yang_parent_name = "link-monitor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"threshold" : ("threshold", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold)}
                                    self._child_list_classes = {}

                                    self.window = YLeaf(YType.uint16, "window")

                                    self.threshold = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                    self.threshold.parent = self
                                    self._children_name_map["threshold"] = "threshold"
                                    self._children_yang_names.add("threshold")
                                    self._segment_path = lambda: "receive-crc"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc, ['window'], name, value)


                                class Threshold(Entity):
                                    """
                                    Errored frame\-seconds threshold
                                    
                                    .. attribute:: high
                                    
                                    	High Threshold
                                    	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                    
                                    .. attribute:: low
                                    
                                    	Set the low received crc error threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, self).__init__()

                                        self.yang_name = "threshold"
                                        self.yang_parent_name = "receive-crc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"high" : ("high", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High)}
                                        self._child_list_classes = {}

                                        self.low = YLeaf(YType.uint16, "low")

                                        self.high = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                        self.high.parent = self
                                        self._children_name_map["high"] = "high"
                                        self._children_yang_names.add("high")
                                        self._segment_path = lambda: "threshold"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, ['low'], name, value)


                                    class High(Entity):
                                        """
                                        High Threshold
                                        
                                        .. attribute:: crc_thresh
                                        
                                        	Set the high received crc error threshold in number of frames
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: none
                                        
                                        	Disable high threshold
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, self).__init__()

                                            self.yang_name = "high"
                                            self.yang_parent_name = "threshold"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.crc_thresh = YLeaf(YType.uint16, "crc-thresh")

                                            self.none = YLeaf(YType.empty, "none")
                                            self._segment_path = lambda: "high"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, ['crc_thresh', 'none'], name, value)


                            class SymbolPeriod(Entity):
                                """
                                Errored symbols in a period
                                
                                .. attribute:: threshold
                                
                                	Error symbol\-period threshold
                                	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                                
                                .. attribute:: window
                                
                                	Set window size in number of 1048576 symbols
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod, self).__init__()

                                    self.yang_name = "symbol-period"
                                    self.yang_parent_name = "link-monitor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"threshold" : ("threshold", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold)}
                                    self._child_list_classes = {}

                                    self.window = YLeaf(YType.uint16, "window")

                                    self.threshold = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                    self.threshold.parent = self
                                    self._children_name_map["threshold"] = "threshold"
                                    self._children_yang_names.add("threshold")
                                    self._segment_path = lambda: "symbol-period"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod, ['window'], name, value)


                                class Threshold(Entity):
                                    """
                                    Error symbol\-period threshold
                                    
                                    .. attribute:: high
                                    
                                    	High Threshold
                                    	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                    
                                    .. attribute:: low
                                    
                                    	Set the low error symbol\-period threshold in number of symbols
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, self).__init__()

                                        self.yang_name = "threshold"
                                        self.yang_parent_name = "symbol-period"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"high" : ("high", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High)}
                                        self._child_list_classes = {}

                                        self.low = YLeaf(YType.uint16, "low")

                                        self.high = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                        self.high.parent = self
                                        self._children_name_map["high"] = "high"
                                        self._children_yang_names.add("high")
                                        self._segment_path = lambda: "threshold"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, ['low'], name, value)


                                    class High(Entity):
                                        """
                                        High Threshold
                                        
                                        .. attribute:: err_thresh
                                        
                                        	Set the high error symbol\-period threshold in number of symbols
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: none
                                        
                                        	Disable high threshold
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, self).__init__()

                                            self.yang_name = "high"
                                            self.yang_parent_name = "threshold"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.err_thresh = YLeaf(YType.uint16, "err-thresh")

                                            self.none = YLeaf(YType.empty, "none")
                                            self._segment_path = lambda: "high"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, ['err_thresh', 'none'], name, value)


                        class RemoteFailure(Entity):
                            """
                            Ethernet OAM remote failure indication
                            
                            .. attribute:: critical_event
                            
                            	Critical event
                            	**type**\:  :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                            
                            .. attribute:: dying_gasp
                            
                            	Dying gasp
                            	**type**\:  :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp>`
                            
                            .. attribute:: link_fault
                            
                            	Link fault
                            	**type**\:  :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure, self).__init__()

                                self.yang_name = "remote-failure"
                                self.yang_parent_name = "oam"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"critical-event" : ("critical_event", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent), "dying-gasp" : ("dying_gasp", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp), "link-fault" : ("link_fault", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault)}
                                self._child_list_classes = {}

                                self.critical_event = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent()
                                self.critical_event.parent = self
                                self._children_name_map["critical_event"] = "critical-event"
                                self._children_yang_names.add("critical-event")

                                self.dying_gasp = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp()
                                self.dying_gasp.parent = self
                                self._children_name_map["dying_gasp"] = "dying-gasp"
                                self._children_yang_names.add("dying-gasp")

                                self.link_fault = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault()
                                self.link_fault.parent = self
                                self._children_name_map["link_fault"] = "link-fault"
                                self._children_yang_names.add("link-fault")
                                self._segment_path = lambda: "remote-failure"


                            class CriticalEvent(Entity):
                                """
                                Critical event
                                
                                .. attribute:: action
                                
                                	Specifiy an action when a remote failure is detected
                                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent, self).__init__()

                                    self.yang_name = "critical-event"
                                    self.yang_parent_name = "remote-failure"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"action" : ("action", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action)}
                                    self._child_list_classes = {}

                                    self.action = Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                    self.action.parent = self
                                    self._children_name_map["action"] = "action"
                                    self._children_yang_names.add("action")
                                    self._segment_path = lambda: "critical-event"


                                class Action(Entity):
                                    """
                                    Specifiy an action when a remote failure is detected
                                    
                                    .. attribute:: error_disable_interface
                                    
                                    	Error\-disable the interface
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, self).__init__()

                                        self.yang_name = "action"
                                        self.yang_parent_name = "critical-event"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                        self._segment_path = lambda: "action"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, ['error_disable_interface'], name, value)


                            class DyingGasp(Entity):
                                """
                                Dying gasp
                                
                                .. attribute:: action
                                
                                	Specifiy an action when a remote failure is detected
                                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp, self).__init__()

                                    self.yang_name = "dying-gasp"
                                    self.yang_parent_name = "remote-failure"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"action" : ("action", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action)}
                                    self._child_list_classes = {}

                                    self.action = None
                                    self._children_name_map["action"] = "action"
                                    self._children_yang_names.add("action")
                                    self._segment_path = lambda: "dying-gasp"


                                class Action(Entity):
                                    """
                                    Specifiy an action when a remote failure is detected
                                    
                                    .. attribute:: error_disable_interface
                                    
                                    	Error\-disable the interface
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action, self).__init__()

                                        self.yang_name = "action"
                                        self.yang_parent_name = "dying-gasp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                        self._segment_path = lambda: "action"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.DyingGasp.Action, ['error_disable_interface'], name, value)


                            class LinkFault(Entity):
                                """
                                Link fault
                                
                                .. attribute:: action
                                
                                	Specifiy an action when a remote failure is detected
                                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault, self).__init__()

                                    self.yang_name = "link-fault"
                                    self.yang_parent_name = "remote-failure"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"action" : ("action", Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action)}
                                    self._child_list_classes = {}

                                    self.action = None
                                    self._children_name_map["action"] = "action"
                                    self._children_yang_names.add("action")
                                    self._segment_path = lambda: "link-fault"


                                class Action(Entity):
                                    """
                                    Specifiy an action when a remote failure is detected
                                    
                                    .. attribute:: error_disable_interface
                                    
                                    	Error\-disable the interface
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action, self).__init__()

                                        self.yang_name = "action"
                                        self.yang_parent_name = "link-fault"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                        self._segment_path = lambda: "action"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteFailure.LinkFault.Action, ['error_disable_interface'], name, value)


                        class RemoteLoopback(Entity):
                            """
                            Ethernet OAM Remote Loopback
                            
                            .. attribute:: supported
                            
                            	Support remote loopback functionality
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: timeout
                            
                            	Set timeout value in number of seconds
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteLoopback, self).__init__()

                                self.yang_name = "remote-loopback"
                                self.yang_parent_name = "oam"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.supported = YLeaf(YType.empty, "supported")

                                self.timeout = YLeaf(YType.uint8, "timeout")
                                self._segment_path = lambda: "remote-loopback"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Ethernet.Oam.RemoteLoopback, ['supported', 'timeout'], name, value)


                class Negotiation(Entity):
                    """
                    Select autonegotiation mode
                    
                    .. attribute:: auto
                    
                    	Enable link autonegotiation
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Negotiation, self).__init__()

                        self.yang_name = "negotiation"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.boolean, "auto")
                        self._segment_path = lambda: "Cisco-IOS-XE-ethernet:negotiation"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Negotiation, ['auto'], name, value)


                class Synchronous(Entity):
                    """
                    Synchronous
                    
                    .. attribute:: mode
                    
                    	Mode
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Synchronous, self).__init__()

                        self.yang_name = "synchronous"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.mode = YLeaf(YType.empty, "mode")
                        self._segment_path = lambda: "Cisco-IOS-XE-ethernet:synchronous"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Synchronous, ['mode'], name, value)


                class Speed(Entity):
                    """
                    Configure speed operation
                    
                    .. attribute:: auto
                    
                    	Enable AUTO speed configuration
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: value_10
                    
                    	10 Mbps operation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: value_100
                    
                    	100 Mbps operation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: value_1000
                    
                    	1000 Mbps operation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: value_10000
                    
                    	10000 Mbps operation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nonegotiate
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Speed, self).__init__()

                        self.yang_name = "speed"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")

                        self.value_10 = YLeaf(YType.empty, "value-10")

                        self.value_100 = YLeaf(YType.empty, "value-100")

                        self.value_1000 = YLeaf(YType.empty, "value-1000")

                        self.value_10000 = YLeaf(YType.empty, "value-10000")

                        self.nonegotiate = YLeaf(YType.empty, "nonegotiate")
                        self._segment_path = lambda: "Cisco-IOS-XE-ethernet:speed"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Speed, ['auto', 'value_10', 'value_100', 'value_1000', 'value_10000', 'nonegotiate'], name, value)


                class Plim(Entity):
                    """
                    Configure features on the PLIM
                    
                    .. attribute:: ethernet
                    
                    	Configure features on the ethernet interface
                    	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet>`
                    
                    .. attribute:: qos
                    
                    	QoS on the PLIM
                    	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Plim, self).__init__()

                        self.yang_name = "plim"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet), "qos" : ("qos", Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos)}
                        self._child_list_classes = {}

                        self.ethernet = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet()
                        self.ethernet.parent = self
                        self._children_name_map["ethernet"] = "ethernet"
                        self._children_yang_names.add("ethernet")

                        self.qos = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos()
                        self.qos.parent = self
                        self._children_name_map["qos"] = "qos"
                        self._children_yang_names.add("qos")
                        self._segment_path = lambda: "Cisco-IOS-XE-ethernet:plim"


                    class Ethernet(Entity):
                        """
                        Configure features on the ethernet interface
                        
                        .. attribute:: vlan
                        
                        	vlan specific features
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet, self).__init__()

                            self.yang_name = "ethernet"
                            self.yang_parent_name = "plim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan)}
                            self._child_list_classes = {}

                            self.vlan = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "ethernet"


                        class Vlan(Entity):
                            """
                            vlan specific features
                            
                            .. attribute:: filter
                            
                            	Configure VLAN filtering
                            	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan.Filter>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"filter" : ("filter", Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan.Filter)}
                                self._child_list_classes = {}

                                self.filter = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan.Filter()
                                self.filter.parent = self
                                self._children_name_map["filter"] = "filter"
                                self._children_yang_names.add("filter")
                                self._segment_path = lambda: "vlan"


                            class Filter(Entity):
                                """
                                Configure VLAN filtering
                                
                                .. attribute:: disable
                                
                                	Configure the interface to accept all VLAN traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan.Filter, self).__init__()

                                    self.yang_name = "filter"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "filter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Plim.Ethernet.Vlan.Filter, ['disable'], name, value)


                    class Qos(Entity):
                        """
                        QoS on the PLIM
                        
                        .. attribute:: input
                        
                        	Configure PLIM QoS at the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos, self).__init__()

                            self.yang_name = "qos"
                            self.yang_parent_name = "plim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")
                            self._segment_path = lambda: "qos"


                        class Input(Entity):
                            """
                            Configure PLIM QoS at the input of an interface
                            
                            .. attribute:: queue
                            
                            	Queue number
                            	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "qos"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"queue" : ("queue", Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue)}
                                self._child_list_classes = {}

                                self.queue = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue()
                                self.queue.parent = self
                                self._children_name_map["queue"] = "queue"
                                self._children_yang_names.add("queue")
                                self._segment_path = lambda: "input"


                            class Queue(Entity):
                                """
                                Queue number
                                
                                .. attribute:: zero
                                
                                	Low priority queue
                                	**type**\:  :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero>`
                                
                                .. attribute:: strict_priority
                                
                                	High priority queue
                                	**type**\:  :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue, self).__init__()

                                    self.yang_name = "queue"
                                    self.yang_parent_name = "input"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"zero" : ("zero", Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero), "strict-priority" : ("strict_priority", Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority)}
                                    self._child_list_classes = {}

                                    self.zero = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero()
                                    self.zero.parent = self
                                    self._children_name_map["zero"] = "zero"
                                    self._children_yang_names.add("zero")

                                    self.strict_priority = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority()
                                    self.strict_priority.parent = self
                                    self._children_name_map["strict_priority"] = "strict-priority"
                                    self._children_yang_names.add("strict-priority")
                                    self._segment_path = lambda: "queue"


                                class Zero(Entity):
                                    """
                                    Low priority queue
                                    
                                    .. attribute:: pause
                                    
                                    	Pause Frame generation and threshold
                                    	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero, self).__init__()

                                        self.yang_name = "zero"
                                        self.yang_parent_name = "queue"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"pause" : ("pause", Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause)}
                                        self._child_list_classes = {}

                                        self.pause = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause()
                                        self.pause.parent = self
                                        self._children_name_map["pause"] = "pause"
                                        self._children_yang_names.add("pause")
                                        self._segment_path = lambda: "zero"


                                    class Pause(Entity):
                                        """
                                        Pause Frame generation and threshold
                                        
                                        .. attribute:: enable
                                        
                                        	Enable pause\-frame generation
                                        	**type**\: bool
                                        
                                        .. attribute:: threshold
                                        
                                        	Threshold as a percent of queue limit for pause frame generation
                                        	**type**\: int
                                        
                                        	**range:** 0..99
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause, self).__init__()

                                            self.yang_name = "pause"
                                            self.yang_parent_name = "zero"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enable = YLeaf(YType.boolean, "enable")

                                            self.threshold = YLeaf(YType.uint8, "threshold")
                                            self._segment_path = lambda: "pause"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.Zero.Pause, ['enable', 'threshold'], name, value)


                                class StrictPriority(Entity):
                                    """
                                    High priority queue
                                    
                                    .. attribute:: pause
                                    
                                    	Pause Frame generation and threshold
                                    	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority, self).__init__()

                                        self.yang_name = "strict-priority"
                                        self.yang_parent_name = "queue"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"pause" : ("pause", Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause)}
                                        self._child_list_classes = {}

                                        self.pause = Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                        self.pause.parent = self
                                        self._children_name_map["pause"] = "pause"
                                        self._children_yang_names.add("pause")
                                        self._segment_path = lambda: "strict-priority"


                                    class Pause(Entity):
                                        """
                                        Pause Frame generation and threshold
                                        
                                        .. attribute:: enable
                                        
                                        	Enable pause\-frame generation
                                        	**type**\: bool
                                        
                                        .. attribute:: threshold
                                        
                                        	Threshold as a percent of queue limit for pause frame generation
                                        	**type**\: int
                                        
                                        	**range:** 0..99
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause, self).__init__()

                                            self.yang_name = "pause"
                                            self.yang_parent_name = "strict-priority"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enable = YLeaf(YType.boolean, "enable")

                                            self.threshold = YLeaf(YType.uint8, "threshold")
                                            self._segment_path = lambda: "pause"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Plim.Qos.Input.Queue.StrictPriority.Pause, ['enable', 'threshold'], name, value)


                class Pppoe(Entity):
                    """
                    pppoe interface subcommands
                    
                    .. attribute:: enable
                    
                    	Enable pppoe
                    	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Pppoe.Enable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: max_sessions
                    
                    	Maximum PPPOE sessions
                    	**type**\: int
                    
                    	**range:** 1..4085
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Pppoe, self).__init__()

                        self.yang_name = "pppoe"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"enable" : ("enable", Native.Interface.PortChannelSubinterface.PortChannel.Pppoe.Enable)}
                        self._child_list_classes = {}

                        self.max_sessions = YLeaf(YType.uint16, "max-sessions")

                        self.enable = None
                        self._children_name_map["enable"] = "enable"
                        self._children_yang_names.add("enable")
                        self._segment_path = lambda: "Cisco-IOS-XE-ethernet:pppoe"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Pppoe, ['max_sessions'], name, value)


                    class Enable(Entity):
                        """
                        Enable pppoe
                        
                        .. attribute:: group
                        
                        	attach a BBA group
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Pppoe.Enable.Group>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Pppoe.Enable, self).__init__()

                            self.yang_name = "enable"
                            self.yang_parent_name = "pppoe"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.group = YLeaf(YType.str, "group")
                            self._segment_path = lambda: "enable"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Pppoe.Enable, ['group'], name, value)

                        class Group(Enum):
                            """
                            Group

                            attach a BBA group

                            .. data:: global_ = 0

                            """

                            global_ = Enum.YLeaf(0, "global")



                class Service(Entity):
                    """
                    Configure Ether Service
                    
                    .. attribute:: instance
                    
                    	Configure Ether Service Instance
                    	**type**\: list of  		 :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Service, self).__init__()

                        self.yang_name = "service"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"instance" : ("instance", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance)}

                        self.instance = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-ethernet:service"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service, [], name, value)


                    class Instance(Entity):
                        """
                        Configure Ether Service Instance
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4000
                        
                        .. attribute:: trunk
                        
                        	Trunk Service Instance
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gigabitethernet
                        
                        	Configure an GigabitEthernet Instance
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ethernet
                        
                        	Configure an Ethernet Instance
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ethernet_evc_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: description
                        
                        	Service instance specific description
                        	**type**\: str
                        
                        	**length:** 0..240
                        
                        .. attribute:: evc_name
                        
                        	
                        	**type**\: str
                        
                        	**length:** 1..100
                        
                        .. attribute:: encapsulation
                        
                        	Configure ethernet frame match criteria
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation>`
                        
                        .. attribute:: ip
                        
                        	Interface Internet Protocol config commands
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 interface subcommands
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ipv6>`
                        
                        .. attribute:: rewrite
                        
                        	Configure ethernet rewrite criteria
                        	**type**\:  :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite>`
                        
                        .. attribute:: group
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: errdisable
                        
                        	Configure error disable
                        	**type**\:  :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable>`
                        
                        .. attribute:: ethernet_container
                        
                        	
                        	**type**\:  :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer>`
                        
                        .. attribute:: snmp
                        
                        	Modify SNMP service instance parameters
                        	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp>`
                        
                        .. attribute:: bridge_domain
                        
                        	Bridge\-domain
                        	**type**\:  :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain>`
                        
                        .. attribute:: mac
                        
                        	Commands for MAC Address\-based features
                        	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac>`
                        
                        .. attribute:: service_policy
                        
                        	Attach a policy\-map to an EFP
                        	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy>`
                        
                        .. attribute:: shutdown
                        
                        	Take the Service Instance out of Service
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cfm
                        
                        	Ethernet CFM EFP subcommands
                        	**type**\:  :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm>`
                        
                        .. attribute:: l2protocol
                        
                        	Configure l2 control protocol processing
                        	**type**\:  :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance, self).__init__()

                            self.yang_name = "instance"
                            self.yang_parent_name = "service"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation), "ip" : ("ip", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip), "ipv6" : ("ipv6", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ipv6), "rewrite" : ("rewrite", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite), "errdisable" : ("errdisable", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable), "ethernet-container" : ("ethernet_container", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer), "snmp" : ("snmp", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp), "bridge-domain" : ("bridge_domain", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain), "mac" : ("mac", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac), "service-policy" : ("service_policy", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy), "cfm" : ("cfm", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm), "l2protocol" : ("l2protocol", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint32, "id")

                            self.trunk = YLeaf(YType.empty, "trunk")

                            self.gigabitethernet = YLeaf(YType.empty, "GigabitEthernet")

                            self.ethernet = YLeaf(YType.empty, "ethernet")

                            self.ethernet_evc_name = YLeaf(YType.str, "ethernet-evc-name")

                            self.description = YLeaf(YType.str, "description")

                            self.evc_name = YLeaf(YType.str, "evc-name")

                            self.group = YLeaf(YType.uint32, "group")

                            self.shutdown = YLeaf(YType.empty, "shutdown")

                            self.encapsulation = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.ip = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")

                            self.ipv6 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ipv6()
                            self.ipv6.parent = self
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")

                            self.rewrite = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite()
                            self.rewrite.parent = self
                            self._children_name_map["rewrite"] = "rewrite"
                            self._children_yang_names.add("rewrite")

                            self.errdisable = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable()
                            self.errdisable.parent = self
                            self._children_name_map["errdisable"] = "errdisable"
                            self._children_yang_names.add("errdisable")

                            self.ethernet_container = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer()
                            self.ethernet_container.parent = self
                            self._children_name_map["ethernet_container"] = "ethernet-container"
                            self._children_yang_names.add("ethernet-container")

                            self.snmp = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp()
                            self.snmp.parent = self
                            self._children_name_map["snmp"] = "snmp"
                            self._children_yang_names.add("snmp")

                            self.bridge_domain = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain()
                            self.bridge_domain.parent = self
                            self._children_name_map["bridge_domain"] = "bridge-domain"
                            self._children_yang_names.add("bridge-domain")

                            self.mac = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac()
                            self.mac.parent = self
                            self._children_name_map["mac"] = "mac"
                            self._children_yang_names.add("mac")

                            self.service_policy = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy()
                            self.service_policy.parent = self
                            self._children_name_map["service_policy"] = "service-policy"
                            self._children_yang_names.add("service-policy")

                            self.cfm = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm()
                            self.cfm.parent = self
                            self._children_name_map["cfm"] = "cfm"
                            self._children_yang_names.add("cfm")

                            self.l2protocol = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol()
                            self.l2protocol.parent = self
                            self._children_name_map["l2protocol"] = "l2protocol"
                            self._children_yang_names.add("l2protocol")
                            self._segment_path = lambda: "instance" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance, ['id', 'trunk', 'gigabitethernet', 'ethernet', 'ethernet_evc_name', 'description', 'evc_name', 'group', 'shutdown'], name, value)


                        class Encapsulation(Entity):
                            """
                            Configure ethernet frame match criteria
                            
                            .. attribute:: default
                            
                            	catch\-all unconfigured encapsulation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q>`
                            
                            .. attribute:: priority_tagged
                            
                            	Priority tagged EFP
                            	**type**\:  :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged>`
                            
                            .. attribute:: untagged
                            
                            	Untagged encapsulation
                            	**type**\:  :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Untagged>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "instance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q), "priority-tagged" : ("priority_tagged", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged), "untagged" : ("untagged", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Untagged)}
                                self._child_list_classes = {}

                                self.default = YLeaf(YType.empty, "default")

                                self.dot1ad = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self._children_name_map["dot1ad"] = "dot1ad"
                                self._children_yang_names.add("dot1ad")

                                self.dot1q = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q()
                                self.dot1q.parent = self
                                self._children_name_map["dot1q"] = "dot1q"
                                self._children_yang_names.add("dot1q")

                                self.priority_tagged = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged()
                                self.priority_tagged.parent = self
                                self._children_name_map["priority_tagged"] = "priority-tagged"
                                self._children_yang_names.add("priority-tagged")

                                self.untagged = None
                                self._children_name_map["untagged"] = "untagged"
                                self._children_yang_names.add("untagged")
                                self._segment_path = lambda: "encapsulation"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation, ['default'], name, value)


                            class Dot1Ad(Entity):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: id
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: list of int
                                
                                			**range:** 1..4094
                                
                                		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Id>`
                                
                                		**type**\: list of str
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\: union of the below types:
                                
                                		**type**\: list of int
                                
                                			**range:** 1..4094
                                
                                		**type**\: list of   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Dot1Q>`
                                
                                		**type**\: list of str
                                
                                .. attribute:: cos2
                                
                                	
                                	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                                
                                .. attribute:: etype
                                
                                	payload ethertype after Vlan Field
                                	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Etype>`
                                
                                .. attribute:: exact
                                
                                	payload Ethertype does not include 802.1q/802.1ad Tags
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad, self).__init__()

                                    self.yang_name = "dot1ad"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cos2" : ("cos2", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2)}
                                    self._child_list_classes = {}

                                    self.id = YLeafList(YType.str, "id")

                                    self.cos = YLeafList(YType.uint8, "cos")

                                    self.dot1q = YLeafList(YType.str, "dot1q")

                                    self.etype = YLeafList(YType.enumeration, "etype")

                                    self.exact = YLeaf(YType.empty, "exact")

                                    self.cos2 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                    self.cos2.parent = self
                                    self._children_name_map["cos2"] = "cos2"
                                    self._children_yang_names.add("cos2")
                                    self._segment_path = lambda: "dot1ad"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad, ['id', 'cos', 'dot1q', 'etype', 'exact'], name, value)

                                class Dot1Q(Enum):
                                    """
                                    Dot1Q

                                    Second tag (dot1q)

                                    .. data:: any = 0

                                    """

                                    any = Enum.YLeaf(0, "any")


                                class Etype(Enum):
                                    """
                                    Etype

                                    payload ethertype after Vlan Field

                                    .. data:: ipv4 = 0

                                    .. data:: ipv6 = 1

                                    .. data:: pppoe_all = 2

                                    .. data:: pppoe_discovery = 3

                                    .. data:: pppoe_session = 4

                                    """

                                    ipv4 = Enum.YLeaf(0, "ipv4")

                                    ipv6 = Enum.YLeaf(1, "ipv6")

                                    pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                    pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                    pppoe_session = Enum.YLeaf(4, "pppoe-session")


                                class Id(Enum):
                                    """
                                    Id

                                    .. data:: any = 0

                                    """

                                    any = Enum.YLeaf(0, "any")



                                class Cos2(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cos
                                    
                                    	CoS value to use for CFM packets
                                    	**type**\: list of int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2, self).__init__()

                                        self.yang_name = "cos2"
                                        self.yang_parent_name = "dot1ad"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.cos = YLeafList(YType.uint8, "cos")
                                        self._segment_path = lambda: "cos2"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Ad.Cos2, ['cos'], name, value)


                            class Dot1Q(Entity):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: id
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: list of int
                                
                                			**range:** 1..4094
                                
                                		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Id>`
                                
                                		**type**\: list of str
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\: union of the below types:
                                
                                		**type**\: list of int
                                
                                			**range:** 1..4094
                                
                                		**type**\: list of   :py:class:`SecondDot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1Q>`
                                
                                		**type**\: list of str
                                
                                .. attribute:: cos2
                                
                                	
                                	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                                
                                .. attribute:: etype
                                
                                	payload ethertype after Vlan Field
                                	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Etype>`
                                
                                .. attribute:: exact
                                
                                	payload Ethertype does not include 802.1q/802.1ad Tags
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vlan_type
                                
                                	Vlan Protocol Type
                                	**type**\:  :py:class:`VlanType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.VlanType>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q, self).__init__()

                                    self.yang_name = "dot1q"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cos2" : ("cos2", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2)}
                                    self._child_list_classes = {}

                                    self.id = YLeafList(YType.str, "id")

                                    self.cos = YLeafList(YType.uint8, "cos")

                                    self.second_dot1q = YLeafList(YType.str, "second-dot1q")

                                    self.etype = YLeafList(YType.enumeration, "etype")

                                    self.exact = YLeaf(YType.empty, "exact")

                                    self.vlan_type = YLeaf(YType.enumeration, "vlan-type")

                                    self.cos2 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                    self.cos2.parent = self
                                    self._children_name_map["cos2"] = "cos2"
                                    self._children_yang_names.add("cos2")
                                    self._segment_path = lambda: "dot1q"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q, ['id', 'cos', 'second_dot1q', 'etype', 'exact', 'vlan_type'], name, value)

                                class Etype(Enum):
                                    """
                                    Etype

                                    payload ethertype after Vlan Field

                                    .. data:: ipv4 = 0

                                    .. data:: ipv6 = 1

                                    .. data:: pppoe_all = 2

                                    .. data:: pppoe_discovery = 3

                                    .. data:: pppoe_session = 4

                                    """

                                    ipv4 = Enum.YLeaf(0, "ipv4")

                                    ipv6 = Enum.YLeaf(1, "ipv6")

                                    pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                    pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                    pppoe_session = Enum.YLeaf(4, "pppoe-session")


                                class Id(Enum):
                                    """
                                    Id

                                    .. data:: any = 0

                                    """

                                    any = Enum.YLeaf(0, "any")


                                class SecondDot1Q(Enum):
                                    """
                                    SecondDot1Q

                                    inner 802.1Q Virtual LAN or C\-VLAN

                                    .. data:: any = 0

                                    """

                                    any = Enum.YLeaf(0, "any")


                                class VlanType(Enum):
                                    """
                                    VlanType

                                    Vlan Protocol Type

                                    .. data:: Y_0x88A8 = 0

                                    .. data:: Y_0x9100 = 1

                                    .. data:: Y_0x9200 = 2

                                    """

                                    Y_0x88A8 = Enum.YLeaf(0, "0x88A8")

                                    Y_0x9100 = Enum.YLeaf(1, "0x9100")

                                    Y_0x9200 = Enum.YLeaf(2, "0x9200")



                                class Cos2(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cos
                                    
                                    	cos Vlan
                                    	**type**\: list of int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2, self).__init__()

                                        self.yang_name = "cos2"
                                        self.yang_parent_name = "dot1q"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.cos = YLeafList(YType.uint8, "cos")
                                        self._segment_path = lambda: "cos2"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Dot1Q.Cos2, ['cos'], name, value)


                            class PriorityTagged(Entity):
                                """
                                Priority tagged EFP
                                
                                .. attribute:: cos_container
                                
                                	
                                	**type**\:  :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                                
                                .. attribute:: etype
                                
                                	payload ethertype after Vlan Field
                                	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.Etype>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged, self).__init__()

                                    self.yang_name = "priority-tagged"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cos-container" : ("cos_container", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer)}
                                    self._child_list_classes = {}

                                    self.etype = YLeafList(YType.enumeration, "etype")

                                    self.cos_container = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                    self.cos_container.parent = self
                                    self._children_name_map["cos_container"] = "cos-container"
                                    self._children_yang_names.add("cos-container")
                                    self._segment_path = lambda: "priority-tagged"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged, ['etype'], name, value)

                                class Etype(Enum):
                                    """
                                    Etype

                                    payload ethertype after Vlan Field

                                    .. data:: ipv4 = 0

                                    .. data:: ipv6 = 1

                                    .. data:: pppoe_all = 2

                                    .. data:: pppoe_discovery = 3

                                    .. data:: pppoe_session = 4

                                    """

                                    ipv4 = Enum.YLeaf(0, "ipv4")

                                    ipv6 = Enum.YLeaf(1, "ipv6")

                                    pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                    pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                    pppoe_session = Enum.YLeaf(4, "pppoe-session")



                                class CosContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: cos
                                    
                                    	cos Vlan
                                    	**type**\: list of int
                                    
                                    	**range:** 0..7
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer, self).__init__()

                                        self.yang_name = "cos-container"
                                        self.yang_parent_name = "priority-tagged"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.cos = YLeafList(YType.uint8, "cos")
                                        self._segment_path = lambda: "cos-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.PriorityTagged.CosContainer, ['cos'], name, value)


                            class Untagged(Entity):
                                """
                                Untagged encapsulation
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Encapsulation.Untagged, self).__init__()

                                    self.yang_name = "untagged"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "untagged"


                        class Ip(Entity):
                            """
                            Interface Internet Protocol config commands
                            
                            .. attribute:: acl
                            
                            	
                            	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Acl>`
                            
                            .. attribute:: dhcp
                            
                            	DHCP
                            	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp>`
                            
                            .. attribute:: verify
                            
                            	verify
                            	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Verify>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "instance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"acl" : ("acl", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Acl), "dhcp" : ("dhcp", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp), "verify" : ("verify", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Verify)}
                                self._child_list_classes = {}

                                self.acl = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Acl()
                                self.acl.parent = self
                                self._children_name_map["acl"] = "acl"
                                self._children_yang_names.add("acl")

                                self.dhcp = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp()
                                self.dhcp.parent = self
                                self._children_name_map["dhcp"] = "dhcp"
                                self._children_yang_names.add("dhcp")

                                self.verify = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Verify()
                                self.verify.parent = self
                                self._children_name_map["verify"] = "verify"
                                self._children_yang_names.add("verify")
                                self._segment_path = lambda: "ip"


                            class Acl(Entity):
                                """
                                
                                
                                .. attribute:: access_group
                                
                                	Specify access control for packets
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199 \| 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                .. attribute:: in_
                                
                                	inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Acl, self).__init__()

                                    self.yang_name = "acl"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.access_group = YLeaf(YType.str, "access-group")

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "acl"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Acl, ['access_group', 'in_', 'out'], name, value)


                            class Dhcp(Entity):
                                """
                                DHCP
                                
                                .. attribute:: relay
                                
                                	DHCP relay
                                	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp, self).__init__()

                                    self.yang_name = "dhcp"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"relay" : ("relay", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay)}
                                    self._child_list_classes = {}

                                    self.relay = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay()
                                    self.relay.parent = self
                                    self._children_name_map["relay"] = "relay"
                                    self._children_yang_names.add("relay")
                                    self._segment_path = lambda: "dhcp"


                                class Relay(Entity):
                                    """
                                    DHCP relay
                                    
                                    .. attribute:: information
                                    
                                    	DHCP relay information
                                    	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay, self).__init__()

                                        self.yang_name = "relay"
                                        self.yang_parent_name = "dhcp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"information" : ("information", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information)}
                                        self._child_list_classes = {}

                                        self.information = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information()
                                        self.information.parent = self
                                        self._children_name_map["information"] = "information"
                                        self._children_yang_names.add("information")
                                        self._segment_path = lambda: "relay"


                                    class Information(Entity):
                                        """
                                        DHCP relay information
                                        
                                        .. attribute:: option
                                        
                                        	DHCP relay information option
                                        	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information, self).__init__()

                                            self.yang_name = "information"
                                            self.yang_parent_name = "relay"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"option" : ("option", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option)}
                                            self._child_list_classes = {}

                                            self.option = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                            self.option.parent = self
                                            self._children_name_map["option"] = "option"
                                            self._children_yang_names.add("option")
                                            self._segment_path = lambda: "information"


                                        class Option(Entity):
                                            """
                                            DHCP relay information option
                                            
                                            .. attribute:: subscriber_id
                                            
                                            	DHCP relay information option subscriber\-id
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                                self.yang_name = "option"
                                                self.yang_parent_name = "information"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                                self._segment_path = lambda: "option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                            class Verify(Entity):
                                """
                                verify
                                
                                .. attribute:: source
                                
                                	source address
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vlan
                                
                                	vlan specification
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dhcp_snooping
                                
                                	snooping enable vlan
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Verify, self).__init__()

                                    self.yang_name = "verify"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.source = YLeaf(YType.empty, "source")

                                    self.vlan = YLeaf(YType.empty, "vlan")

                                    self.dhcp_snooping = YLeaf(YType.empty, "dhcp-snooping")

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "verify"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ip.Verify, ['source', 'vlan', 'dhcp_snooping', 'port_security'], name, value)


                        class Ipv6(Entity):
                            """
                            IPv6 interface subcommands
                            
                            .. attribute:: traffic_filter
                            
                            	Access control list for packets
                            	**type**\: str
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "instance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.traffic_filter = YLeaf(YType.str, "traffic-filter")

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Ipv6, ['traffic_filter', 'in_', 'out'], name, value)


                        class Rewrite(Entity):
                            """
                            Configure ethernet rewrite criteria
                            
                            .. attribute:: ingress
                            
                            	Ingress Rewrite
                            	**type**\:  :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite, self).__init__()

                                self.yang_name = "rewrite"
                                self.yang_parent_name = "instance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ingress" : ("ingress", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress)}
                                self._child_list_classes = {}

                                self.ingress = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress()
                                self.ingress.parent = self
                                self._children_name_map["ingress"] = "ingress"
                                self._children_yang_names.add("ingress")
                                self._segment_path = lambda: "rewrite"


                            class Ingress(Entity):
                                """
                                Ingress Rewrite
                                
                                .. attribute:: tag
                                
                                	Configure Rewrite Tag
                                	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress, self).__init__()

                                    self.yang_name = "ingress"
                                    self.yang_parent_name = "rewrite"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"tag" : ("tag", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag)}
                                    self._child_list_classes = {}

                                    self.tag = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag()
                                    self.tag.parent = self
                                    self._children_name_map["tag"] = "tag"
                                    self._children_yang_names.add("tag")
                                    self._segment_path = lambda: "ingress"


                                class Tag(Entity):
                                    """
                                    Configure Rewrite Tag
                                    
                                    .. attribute:: pop
                                    
                                    	Pop the tag
                                    	**type**\:  :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                    
                                    .. attribute:: push
                                    
                                    	Rewrite Operation of push
                                    	**type**\:  :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                    
                                    .. attribute:: translate
                                    
                                    	Translate Tag
                                    	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag, self).__init__()

                                        self.yang_name = "tag"
                                        self.yang_parent_name = "ingress"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"pop" : ("pop", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop), "push" : ("push", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push), "translate" : ("translate", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate)}
                                        self._child_list_classes = {}

                                        self.pop = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                        self.pop.parent = self
                                        self._children_name_map["pop"] = "pop"
                                        self._children_yang_names.add("pop")

                                        self.push = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push()
                                        self.push.parent = self
                                        self._children_name_map["push"] = "push"
                                        self._children_yang_names.add("push")

                                        self.translate = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                        self.translate.parent = self
                                        self._children_name_map["translate"] = "translate"
                                        self._children_yang_names.add("translate")
                                        self._segment_path = lambda: "tag"


                                    class Pop(Entity):
                                        """
                                        Pop the tag
                                        
                                        .. attribute:: way
                                        
                                        	
                                        	**type**\:  :py:class:`Way <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.Way>`
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop, self).__init__()

                                            self.yang_name = "pop"
                                            self.yang_parent_name = "tag"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.way = YLeaf(YType.enumeration, "way")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "pop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Pop, ['way', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")


                                        class Way(Enum):
                                            """
                                            Way

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class Push(Entity):
                                        """
                                        Rewrite Operation of push
                                        
                                        .. attribute:: dot1q
                                        
                                        	Push dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push, self).__init__()

                                            self.yang_name = "push"
                                            self.yang_parent_name = "tag"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "push"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Push, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class Translate(Entity):
                                        """
                                        Translate Tag
                                        
                                        .. attribute:: t1_to_1
                                        
                                        	Translate 1\-to\-1
                                        	**type**\:  :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                        
                                        .. attribute:: t1_to_2
                                        
                                        	Translate 1\-to\-2
                                        	**type**\:  :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                        
                                        .. attribute:: t2_to_1
                                        
                                        	Translate 2\-to\-1
                                        	**type**\:  :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                        
                                        .. attribute:: t2_to_2
                                        
                                        	Translate 2\-to\-2
                                        	**type**\:  :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate, self).__init__()

                                            self.yang_name = "translate"
                                            self.yang_parent_name = "tag"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"t1-to-1" : ("t1_to_1", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1), "t1-to-2" : ("t1_to_2", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2), "t2-to-1" : ("t2_to_1", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1), "t2-to-2" : ("t2_to_2", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2)}
                                            self._child_list_classes = {}

                                            self.t1_to_1 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                            self.t1_to_1.parent = self
                                            self._children_name_map["t1_to_1"] = "t1-to-1"
                                            self._children_yang_names.add("t1-to-1")

                                            self.t1_to_2 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                            self.t1_to_2.parent = self
                                            self._children_name_map["t1_to_2"] = "t1-to-2"
                                            self._children_yang_names.add("t1-to-2")

                                            self.t2_to_1 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                            self.t2_to_1.parent = self
                                            self._children_name_map["t2_to_1"] = "t2-to-1"
                                            self._children_yang_names.add("t2-to-1")

                                            self.t2_to_2 = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                            self.t2_to_2.parent = self
                                            self._children_name_map["t2_to_2"] = "t2-to-2"
                                            self._children_yang_names.add("t2-to-2")
                                            self._segment_path = lambda: "translate"


                                        class T1To1(Entity):
                                            """
                                            Translate 1\-to\-1
                                            
                                            .. attribute:: dot1q
                                            
                                            	Ethertype dot1q of the translation
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: mode
                                            
                                            	
                                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.Mode>`
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, self).__init__()

                                                self.yang_name = "t1-to-1"
                                                self.yang_parent_name = "translate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dot1q = YLeaf(YType.uint16, "dot1q")

                                                self.mode = YLeaf(YType.enumeration, "mode")
                                                self._segment_path = lambda: "t1-to-1"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, ['dot1q', 'mode'], name, value)

                                            class Mode(Enum):
                                                """
                                                Mode

                                                .. data:: symmetric = 0

                                                """

                                                symmetric = Enum.YLeaf(0, "symmetric")



                                        class T1To2(Entity):
                                            """
                                            Translate 1\-to\-2
                                            
                                            .. attribute:: dot1q
                                            
                                            	Translate ethertype of dot1q
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: second_dot1q
                                            
                                            	Second dot1q tag
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: mode
                                            
                                            	
                                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.Mode>`
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, self).__init__()

                                                self.yang_name = "t1-to-2"
                                                self.yang_parent_name = "translate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dot1q = YLeaf(YType.uint16, "dot1q")

                                                self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                                self.mode = YLeaf(YType.enumeration, "mode")
                                                self._segment_path = lambda: "t1-to-2"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                            class Mode(Enum):
                                                """
                                                Mode

                                                .. data:: symmetric = 0

                                                """

                                                symmetric = Enum.YLeaf(0, "symmetric")



                                        class T2To1(Entity):
                                            """
                                            Translate 2\-to\-1
                                            
                                            .. attribute:: dot1q
                                            
                                            	Ethertype dot1q of the translation
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: mode
                                            
                                            	
                                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.Mode>`
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, self).__init__()

                                                self.yang_name = "t2-to-1"
                                                self.yang_parent_name = "translate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dot1q = YLeaf(YType.uint16, "dot1q")

                                                self.mode = YLeaf(YType.enumeration, "mode")
                                                self._segment_path = lambda: "t2-to-1"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, ['dot1q', 'mode'], name, value)

                                            class Mode(Enum):
                                                """
                                                Mode

                                                .. data:: symmetric = 0

                                                """

                                                symmetric = Enum.YLeaf(0, "symmetric")



                                        class T2To2(Entity):
                                            """
                                            Translate 2\-to\-2
                                            
                                            .. attribute:: dot1q
                                            
                                            	Translate ethertype of dot1q
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: second_dot1q
                                            
                                            	Second dot1q tag
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: mode
                                            
                                            	
                                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.Mode>`
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, self).__init__()

                                                self.yang_name = "t2-to-2"
                                                self.yang_parent_name = "translate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dot1q = YLeaf(YType.uint16, "dot1q")

                                                self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                                self.mode = YLeaf(YType.enumeration, "mode")
                                                self._segment_path = lambda: "t2-to-2"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                            class Mode(Enum):
                                                """
                                                Mode

                                                .. data:: symmetric = 0

                                                """

                                                symmetric = Enum.YLeaf(0, "symmetric")



                        class Errdisable(Entity):
                            """
                            Configure error disable
                            
                            .. attribute:: recovery
                            
                            	enable auto recovery
                            	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable, self).__init__()

                                self.yang_name = "errdisable"
                                self.yang_parent_name = "instance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"recovery" : ("recovery", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery)}
                                self._child_list_classes = {}

                                self.recovery = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery()
                                self.recovery.parent = self
                                self._children_name_map["recovery"] = "recovery"
                                self._children_yang_names.add("recovery")
                                self._segment_path = lambda: "errdisable"


                            class Recovery(Entity):
                                """
                                enable auto recovery
                                
                                .. attribute:: cause
                                
                                	error disable cause
                                	**type**\:  :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery.Cause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery, self).__init__()

                                    self.yang_name = "recovery"
                                    self.yang_parent_name = "errdisable"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cause" : ("cause", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery.Cause)}
                                    self._child_list_classes = {}

                                    self.cause = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery.Cause()
                                    self.cause.parent = self
                                    self._children_name_map["cause"] = "cause"
                                    self._children_yang_names.add("cause")
                                    self._segment_path = lambda: "recovery"


                                class Cause(Entity):
                                    """
                                    error disable cause
                                    
                                    .. attribute:: mac_security
                                    
                                    	mac\-security violation
                                    	**type**\: int
                                    
                                    	**range:** 30..86400
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery.Cause, self).__init__()

                                        self.yang_name = "cause"
                                        self.yang_parent_name = "recovery"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_security = YLeaf(YType.uint32, "mac-security")
                                        self._segment_path = lambda: "cause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Errdisable.Recovery.Cause, ['mac_security'], name, value)


                        class EthernetContainer(Entity):
                            """
                            
                            
                            .. attribute:: ethernet
                            
                            	ethernet
                            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer, self).__init__()

                                self.yang_name = "ethernet-container"
                                self.yang_parent_name = "instance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet)}
                                self._child_list_classes = {}

                                self.ethernet = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet()
                                self.ethernet.parent = self
                                self._children_name_map["ethernet"] = "ethernet"
                                self._children_yang_names.add("ethernet")
                                self._segment_path = lambda: "ethernet-container"


                            class Ethernet(Entity):
                                """
                                ethernet
                                
                                .. attribute:: lmi
                                
                                	Configure ether lmi parameters
                                	**type**\:  :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                                
                                .. attribute:: loopback
                                
                                	Ethernet Dataplane Loopback
                                	**type**\:  :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet, self).__init__()

                                    self.yang_name = "ethernet"
                                    self.yang_parent_name = "ethernet-container"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lmi" : ("lmi", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi), "loopback" : ("loopback", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback)}
                                    self._child_list_classes = {}

                                    self.lmi = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                    self.lmi.parent = self
                                    self._children_name_map["lmi"] = "lmi"
                                    self._children_yang_names.add("lmi")

                                    self.loopback = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                    self.loopback.parent = self
                                    self._children_name_map["loopback"] = "loopback"
                                    self._children_yang_names.add("loopback")
                                    self._segment_path = lambda: "ethernet"


                                class Lmi(Entity):
                                    """
                                    Configure ether lmi parameters
                                    
                                    .. attribute:: ce_vlan
                                    
                                    	Configure ether lmi customer vlans
                                    	**type**\:  :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi, self).__init__()

                                        self.yang_name = "lmi"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ce-vlan" : ("ce_vlan", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan)}
                                        self._child_list_classes = {}

                                        self.ce_vlan = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                        self.ce_vlan.parent = self
                                        self._children_name_map["ce_vlan"] = "ce-vlan"
                                        self._children_yang_names.add("ce-vlan")
                                        self._segment_path = lambda: "lmi"


                                    class CeVlan(Entity):
                                        """
                                        Configure ether lmi customer vlans
                                        
                                        .. attribute:: map
                                        
                                        	Configure ether lmi ce\-vlan/evc map
                                        	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan, self).__init__()

                                            self.yang_name = "ce-vlan"
                                            self.yang_parent_name = "lmi"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map" : ("map", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map)}
                                            self._child_list_classes = {}

                                            self.map = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                            self.map.parent = self
                                            self._children_name_map["map"] = "map"
                                            self._children_yang_names.add("map")
                                            self._segment_path = lambda: "ce-vlan"


                                        class Map(Entity):
                                            """
                                            Configure ether lmi ce\-vlan/evc map
                                            
                                            .. attribute:: vlan_range
                                            
                                            	
                                            	**type**\:  :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                            
                                            .. attribute:: any
                                            
                                            	For all VLANS [untagged,1\-4094]
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: default
                                            
                                            	Default EFP
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: untagged
                                            
                                            	Untagged frames
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, self).__init__()

                                                self.yang_name = "map"
                                                self.yang_parent_name = "ce-vlan"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"vlan-range" : ("vlan_range", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange)}
                                                self._child_list_classes = {}

                                                self.any = YLeaf(YType.empty, "any")

                                                self.default = YLeaf(YType.empty, "default")

                                                self.untagged = YLeaf(YType.empty, "untagged")

                                                self.vlan_range = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                                self.vlan_range.parent = self
                                                self._children_name_map["vlan_range"] = "vlan-range"
                                                self._children_yang_names.add("vlan-range")
                                                self._segment_path = lambda: "map"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, ['any', 'default', 'untagged'], name, value)


                                            class VlanRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: vlan_id
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4094
                                                
                                                .. attribute:: comma
                                                
                                                	comma
                                                	**type**\: int
                                                
                                                	**range:** 1..4094
                                                
                                                .. attribute:: hyphen
                                                
                                                	hyphen
                                                	**type**\: int
                                                
                                                	**range:** 1..4094
                                                
                                                

                                                """

                                                _prefix = 'ios-eth'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, self).__init__()

                                                    self.yang_name = "vlan-range"
                                                    self.yang_parent_name = "map"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                                    self.comma = YLeaf(YType.uint16, "comma")

                                                    self.hyphen = YLeaf(YType.uint16, "hyphen")
                                                    self._segment_path = lambda: "vlan-range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, ['vlan_id', 'comma', 'hyphen'], name, value)


                                class Loopback(Entity):
                                    """
                                    Ethernet Dataplane Loopback
                                    
                                    .. attribute:: permit
                                    
                                    	Allow data plane loopback to be activated
                                    	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback, self).__init__()

                                        self.yang_name = "loopback"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"permit" : ("permit", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit)}
                                        self._child_list_classes = {}

                                        self.permit = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                        self.permit.parent = self
                                        self._children_name_map["permit"] = "permit"
                                        self._children_yang_names.add("permit")
                                        self._segment_path = lambda: "loopback"


                                    class Permit(Entity):
                                        """
                                        Allow data plane loopback to be activated
                                        
                                        .. attribute:: external
                                        
                                        	Allow to loopback the traffic from the wire
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: internal
                                        
                                        	Allow to loopback the traffic from the relay
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, self).__init__()

                                            self.yang_name = "permit"
                                            self.yang_parent_name = "loopback"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.external = YLeaf(YType.empty, "external")

                                            self.internal = YLeaf(YType.empty, "internal")
                                            self._segment_path = lambda: "permit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, ['external', 'internal'], name, value)


                        class Snmp(Entity):
                            """
                            Modify SNMP service instance parameters
                            
                            .. attribute:: trap
                            
                            	Allow a specific SNMP trap
                            	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Trap>`
                            
                            .. attribute:: ifindex
                            
                            	Persist ifindex for the service instance
                            	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Ifindex>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp, self).__init__()

                                self.yang_name = "snmp"
                                self.yang_parent_name = "instance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"trap" : ("trap", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Trap), "ifindex" : ("ifindex", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Ifindex)}
                                self._child_list_classes = {}

                                self.trap = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Trap()
                                self.trap.parent = self
                                self._children_name_map["trap"] = "trap"
                                self._children_yang_names.add("trap")

                                self.ifindex = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Ifindex()
                                self.ifindex.parent = self
                                self._children_name_map["ifindex"] = "ifindex"
                                self._children_yang_names.add("ifindex")
                                self._segment_path = lambda: "snmp"


                            class Trap(Entity):
                                """
                                Allow a specific SNMP trap
                                
                                .. attribute:: link_status
                                
                                	Allow SNMP LINKUP and LINKDOWN traps
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Trap, self).__init__()

                                    self.yang_name = "trap"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.link_status = YLeaf(YType.empty, "link-status")
                                    self._segment_path = lambda: "trap"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Trap, ['link_status'], name, value)


                            class Ifindex(Entity):
                                """
                                Persist ifindex for the service instance
                                
                                .. attribute:: persist
                                
                                	Enable/Disable ifIndex persistence
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Ifindex, self).__init__()

                                    self.yang_name = "ifindex"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.persist = YLeaf(YType.empty, "persist")
                                    self._segment_path = lambda: "ifindex"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Snmp.Ifindex, ['persist'], name, value)


                        class BridgeDomain(Entity):
                            """
                            Bridge\-domain
                            
                            .. attribute:: bridge_id
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: split_horizon
                            
                            	Configure this port as a member of a split horizon group
                            	**type**\:  :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon>`
                            
                            .. attribute:: from_encapsulation
                            
                            	from\-encapsulation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain, self).__init__()

                                self.yang_name = "bridge-domain"
                                self.yang_parent_name = "instance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"split-horizon" : ("split_horizon", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon)}
                                self._child_list_classes = {}

                                self.bridge_id = YLeaf(YType.uint16, "bridge-id")

                                self.from_encapsulation = YLeaf(YType.empty, "from-encapsulation")

                                self.split_horizon = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon()
                                self.split_horizon.parent = self
                                self._children_name_map["split_horizon"] = "split-horizon"
                                self._children_yang_names.add("split-horizon")
                                self._segment_path = lambda: "bridge-domain"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain, ['bridge_id', 'from_encapsulation'], name, value)


                            class SplitHorizon(Entity):
                                """
                                Configure this port as a member of a split horizon group
                                
                                .. attribute:: group
                                
                                	Split\-horizon group
                                	**type**\: int
                                
                                	**range:** 0..13
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon, self).__init__()

                                    self.yang_name = "split-horizon"
                                    self.yang_parent_name = "bridge-domain"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.group = YLeaf(YType.uint8, "group")
                                    self._segment_path = lambda: "split-horizon"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.BridgeDomain.SplitHorizon, ['group'], name, value)


                        class Mac(Entity):
                            """
                            Commands for MAC Address\-based features
                            
                            .. attribute:: security
                            
                            	MAC Security commands
                            	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac, self).__init__()

                                self.yang_name = "mac"
                                self.yang_parent_name = "instance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"security" : ("security", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security)}
                                self._child_list_classes = {}

                                self.security = None
                                self._children_name_map["security"] = "security"
                                self._children_yang_names.add("security")
                                self._segment_path = lambda: "mac"


                            class Security(Entity):
                                """
                                MAC Security commands
                                
                                .. attribute:: maximum
                                
                                	Configure an upper bound
                                	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.Maximum>`
                                
                                .. attribute:: violation
                                
                                	Configure the response when a MAC security policy is violated
                                	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.Violation>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security, self).__init__()

                                    self.yang_name = "security"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"maximum" : ("maximum", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.Maximum)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.violation = YLeaf(YType.enumeration, "violation")

                                    self.maximum = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.Maximum()
                                    self.maximum.parent = self
                                    self._children_name_map["maximum"] = "maximum"
                                    self._children_yang_names.add("maximum")
                                    self._segment_path = lambda: "security"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security, ['violation'], name, value)

                                class Violation(Enum):
                                    """
                                    Violation

                                    Configure the response when a MAC security policy is violated

                                    .. data:: protect = 0

                                    .. data:: restrict = 1

                                    """

                                    protect = Enum.YLeaf(0, "protect")

                                    restrict = Enum.YLeaf(1, "restrict")



                                class Maximum(Entity):
                                    """
                                    Configure an upper bound
                                    
                                    .. attribute:: addresses
                                    
                                    	Maximum addresses that can be learnt on this service instance
                                    	**type**\: int
                                    
                                    	**range:** 1..1000
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.Maximum, self).__init__()

                                        self.yang_name = "maximum"
                                        self.yang_parent_name = "security"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.addresses = YLeaf(YType.uint16, "addresses")
                                        self._segment_path = lambda: "maximum"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Mac.Security.Maximum, ['addresses'], name, value)


                        class ServicePolicy(Entity):
                            """
                            Attach a policy\-map to an EFP
                            
                            .. attribute:: input
                            
                            	service policy input
                            	**type**\: list of  		 :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Input>`
                            
                            .. attribute:: output
                            
                            	service policy output
                            	**type**\: list of  		 :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Output>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy, self).__init__()

                                self.yang_name = "service-policy"
                                self.yang_parent_name = "instance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"input" : ("input", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Input), "output" : ("output", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Output)}

                                self.input = YList(self)
                                self.output = YList(self)
                                self._segment_path = lambda: "service-policy"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy, [], name, value)


                            class Input(Entity):
                                """
                                service policy input
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Input, self).__init__()

                                    self.yang_name = "input"
                                    self.yang_parent_name = "service-policy"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")
                                    self._segment_path = lambda: "input" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Input, ['name'], name, value)


                            class Output(Entity):
                                """
                                service policy output
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Output, self).__init__()

                                    self.yang_name = "output"
                                    self.yang_parent_name = "service-policy"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")
                                    self._segment_path = lambda: "output" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.ServicePolicy.Output, ['name'], name, value)


                        class Cfm(Entity):
                            """
                            Ethernet CFM EFP subcommands
                            
                            .. attribute:: encapsulation
                            
                            	Configure CFM ethernet frame encapsulation
                            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation>`
                            
                            .. attribute:: mep
                            
                            	Maintenance End Point
                            	**type**\:  :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mep>`
                            
                            .. attribute:: mip
                            
                            	Maintenance Intermediate Point
                            	**type**\:  :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mip>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm, self).__init__()

                                self.yang_name = "cfm"
                                self.yang_parent_name = "instance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation), "mep" : ("mep", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mep), "mip" : ("mip", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mip)}
                                self._child_list_classes = {}

                                self.encapsulation = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation()
                                self.encapsulation.parent = self
                                self._children_name_map["encapsulation"] = "encapsulation"
                                self._children_yang_names.add("encapsulation")

                                self.mep = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mep()
                                self.mep.parent = self
                                self._children_name_map["mep"] = "mep"
                                self._children_yang_names.add("mep")

                                self.mip = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mip()
                                self.mip.parent = self
                                self._children_name_map["mip"] = "mip"
                                self._children_yang_names.add("mip")
                                self._segment_path = lambda: "cfm"


                            class Encapsulation(Entity):
                                """
                                Configure CFM ethernet frame encapsulation
                                
                                .. attribute:: dot1ad
                                
                                	802.1ad \- Provider Bridges
                                	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                                
                                .. attribute:: dot1q
                                
                                	IEEE 802.1Q Virtual LAN or S\-VLAN
                                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation, self).__init__()

                                    self.yang_name = "encapsulation"
                                    self.yang_parent_name = "cfm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q)}
                                    self._child_list_classes = {}

                                    self.dot1ad = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                    self.dot1ad.parent = self
                                    self._children_name_map["dot1ad"] = "dot1ad"
                                    self._children_yang_names.add("dot1ad")

                                    self.dot1q = Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                    self.dot1q.parent = self
                                    self._children_name_map["dot1q"] = "dot1q"
                                    self._children_yang_names.add("dot1q")
                                    self._segment_path = lambda: "encapsulation"


                                class Dot1Ad(Entity):
                                    """
                                    802.1ad \- Provider Bridges
                                    
                                    .. attribute:: vlan_id
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: cos
                                    
                                    	CoS value to use for CFM packets
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: dot1q
                                    
                                    	Second tag (dot1q)
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad, self).__init__()

                                        self.yang_name = "dot1ad"
                                        self.yang_parent_name = "encapsulation"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                        self.cos = YLeaf(YType.uint8, "cos")

                                        self.dot1q = YLeaf(YType.uint16, "dot1q")
                                        self._segment_path = lambda: "dot1ad"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Ad, ['vlan_id', 'cos', 'dot1q'], name, value)


                                class Dot1Q(Entity):
                                    """
                                    IEEE 802.1Q Virtual LAN or S\-VLAN
                                    
                                    .. attribute:: vlan_id
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: cos
                                    
                                    	CoS value to use for CFM packets
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: second_dot1q
                                    
                                    	inner 802.1Q Virtual LAN or C\-VLAN
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q, self).__init__()

                                        self.yang_name = "dot1q"
                                        self.yang_parent_name = "encapsulation"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                        self.cos = YLeaf(YType.uint8, "cos")

                                        self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")
                                        self._segment_path = lambda: "dot1q"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Encapsulation.Dot1Q, ['vlan_id', 'cos', 'second_dot1q'], name, value)


                            class Mep(Entity):
                                """
                                Maintenance End Point
                                
                                .. attribute:: domain
                                
                                	Configure a domain for this mep
                                	**type**\: str
                                
                                .. attribute:: mpid
                                
                                	Maintenance End Point Identifier
                                	**type**\: int
                                
                                	**range:** 1..8191
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mep, self).__init__()

                                    self.yang_name = "mep"
                                    self.yang_parent_name = "cfm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.domain = YLeaf(YType.str, "domain")

                                    self.mpid = YLeaf(YType.uint16, "mpid")
                                    self._segment_path = lambda: "mep"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mep, ['domain', 'mpid'], name, value)


                            class Mip(Entity):
                                """
                                Maintenance Intermediate Point
                                
                                .. attribute:: level
                                
                                	Maintenance Level
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mip, self).__init__()

                                    self.yang_name = "mip"
                                    self.yang_parent_name = "cfm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.level = YLeaf(YType.uint8, "level")
                                    self._segment_path = lambda: "mip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.Cfm.Mip, ['level'], name, value)


                        class L2Protocol(Entity):
                            """
                            Configure l2 control protocol processing
                            
                            .. attribute:: peer
                            
                            	peer L2 control protocol packets as data
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: forward
                            
                            	forward L2 control protocol packets as data
                            	**type**\:  :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: tunnel
                            
                            	tunnel L2 control protocol packets as data
                            	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol, self).__init__()

                                self.yang_name = "l2protocol"
                                self.yang_parent_name = "instance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer" : ("peer", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer), "forward" : ("forward", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward), "tunnel" : ("tunnel", Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel)}
                                self._child_list_classes = {}

                                self.peer = None
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.forward = None
                                self._children_name_map["forward"] = "forward"
                                self._children_yang_names.add("forward")

                                self.tunnel = None
                                self._children_name_map["tunnel"] = "tunnel"
                                self._children_yang_names.add("tunnel")
                                self._segment_path = lambda: "l2protocol"


                            class Peer(Entity):
                                """
                                peer L2 control protocol packets as data
                                
                                .. attribute:: protocol
                                
                                	
                                	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer.Protocol>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "l2protocol"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.protocol = YLeafList(YType.enumeration, "protocol")
                                    self._segment_path = lambda: "peer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Peer, ['protocol'], name, value)

                                class Protocol(Enum):
                                    """
                                    Protocol

                                    .. data:: R4 = 0

                                    .. data:: R5 = 1

                                    .. data:: R6 = 2

                                    .. data:: R8 = 3

                                    .. data:: R9 = 4

                                    .. data:: RA = 5

                                    .. data:: RB = 6

                                    .. data:: RC = 7

                                    .. data:: RD = 8

                                    .. data:: RF = 9

                                    .. data:: cdp = 10

                                    .. data:: dtp = 11

                                    .. data:: elmi = 12

                                    .. data:: esmc = 13

                                    .. data:: lacp = 14

                                    .. data:: lldp = 15

                                    .. data:: loam = 16

                                    .. data:: pagp = 17

                                    .. data:: ptppd = 18

                                    .. data:: stp = 19

                                    .. data:: udld = 20

                                    .. data:: vtp = 21

                                    """

                                    R4 = Enum.YLeaf(0, "R4")

                                    R5 = Enum.YLeaf(1, "R5")

                                    R6 = Enum.YLeaf(2, "R6")

                                    R8 = Enum.YLeaf(3, "R8")

                                    R9 = Enum.YLeaf(4, "R9")

                                    RA = Enum.YLeaf(5, "RA")

                                    RB = Enum.YLeaf(6, "RB")

                                    RC = Enum.YLeaf(7, "RC")

                                    RD = Enum.YLeaf(8, "RD")

                                    RF = Enum.YLeaf(9, "RF")

                                    cdp = Enum.YLeaf(10, "cdp")

                                    dtp = Enum.YLeaf(11, "dtp")

                                    elmi = Enum.YLeaf(12, "elmi")

                                    esmc = Enum.YLeaf(13, "esmc")

                                    lacp = Enum.YLeaf(14, "lacp")

                                    lldp = Enum.YLeaf(15, "lldp")

                                    loam = Enum.YLeaf(16, "loam")

                                    pagp = Enum.YLeaf(17, "pagp")

                                    ptppd = Enum.YLeaf(18, "ptppd")

                                    stp = Enum.YLeaf(19, "stp")

                                    udld = Enum.YLeaf(20, "udld")

                                    vtp = Enum.YLeaf(21, "vtp")



                            class Forward(Entity):
                                """
                                forward L2 control protocol packets as data
                                
                                .. attribute:: protocol
                                
                                	
                                	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward.Protocol>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward, self).__init__()

                                    self.yang_name = "forward"
                                    self.yang_parent_name = "l2protocol"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.protocol = YLeafList(YType.enumeration, "protocol")
                                    self._segment_path = lambda: "forward"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Forward, ['protocol'], name, value)

                                class Protocol(Enum):
                                    """
                                    Protocol

                                    .. data:: R4 = 0

                                    .. data:: R5 = 1

                                    .. data:: R6 = 2

                                    .. data:: R8 = 3

                                    .. data:: R9 = 4

                                    .. data:: RA = 5

                                    .. data:: RB = 6

                                    .. data:: RC = 7

                                    .. data:: RD = 8

                                    .. data:: RF = 9

                                    .. data:: cdp = 10

                                    .. data:: dtp = 11

                                    .. data:: elmi = 12

                                    .. data:: esmc = 13

                                    .. data:: lacp = 14

                                    .. data:: lldp = 15

                                    .. data:: loam = 16

                                    .. data:: pagp = 17

                                    .. data:: ptppd = 18

                                    .. data:: stp = 19

                                    .. data:: udld = 20

                                    .. data:: vtp = 21

                                    """

                                    R4 = Enum.YLeaf(0, "R4")

                                    R5 = Enum.YLeaf(1, "R5")

                                    R6 = Enum.YLeaf(2, "R6")

                                    R8 = Enum.YLeaf(3, "R8")

                                    R9 = Enum.YLeaf(4, "R9")

                                    RA = Enum.YLeaf(5, "RA")

                                    RB = Enum.YLeaf(6, "RB")

                                    RC = Enum.YLeaf(7, "RC")

                                    RD = Enum.YLeaf(8, "RD")

                                    RF = Enum.YLeaf(9, "RF")

                                    cdp = Enum.YLeaf(10, "cdp")

                                    dtp = Enum.YLeaf(11, "dtp")

                                    elmi = Enum.YLeaf(12, "elmi")

                                    esmc = Enum.YLeaf(13, "esmc")

                                    lacp = Enum.YLeaf(14, "lacp")

                                    lldp = Enum.YLeaf(15, "lldp")

                                    loam = Enum.YLeaf(16, "loam")

                                    pagp = Enum.YLeaf(17, "pagp")

                                    ptppd = Enum.YLeaf(18, "ptppd")

                                    stp = Enum.YLeaf(19, "stp")

                                    udld = Enum.YLeaf(20, "udld")

                                    vtp = Enum.YLeaf(21, "vtp")



                            class Tunnel(Entity):
                                """
                                tunnel L2 control protocol packets as data
                                
                                .. attribute:: protocol
                                
                                	
                                	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel.Protocol>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel, self).__init__()

                                    self.yang_name = "tunnel"
                                    self.yang_parent_name = "l2protocol"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.protocol = YLeafList(YType.enumeration, "protocol")
                                    self._segment_path = lambda: "tunnel"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Service.Instance.L2Protocol.Tunnel, ['protocol'], name, value)

                                class Protocol(Enum):
                                    """
                                    Protocol

                                    .. data:: R4 = 0

                                    .. data:: R5 = 1

                                    .. data:: R6 = 2

                                    .. data:: R8 = 3

                                    .. data:: R9 = 4

                                    .. data:: RA = 5

                                    .. data:: RB = 6

                                    .. data:: RC = 7

                                    .. data:: RD = 8

                                    .. data:: RF = 9

                                    .. data:: cdp = 10

                                    .. data:: dtp = 11

                                    .. data:: elmi = 12

                                    .. data:: esmc = 13

                                    .. data:: lacp = 14

                                    .. data:: lldp = 15

                                    .. data:: loam = 16

                                    .. data:: pagp = 17

                                    .. data:: ptppd = 18

                                    .. data:: stp = 19

                                    .. data:: udld = 20

                                    .. data:: vtp = 21

                                    """

                                    R4 = Enum.YLeaf(0, "R4")

                                    R5 = Enum.YLeaf(1, "R5")

                                    R6 = Enum.YLeaf(2, "R6")

                                    R8 = Enum.YLeaf(3, "R8")

                                    R9 = Enum.YLeaf(4, "R9")

                                    RA = Enum.YLeaf(5, "RA")

                                    RB = Enum.YLeaf(6, "RB")

                                    RC = Enum.YLeaf(7, "RC")

                                    RD = Enum.YLeaf(8, "RD")

                                    RF = Enum.YLeaf(9, "RF")

                                    cdp = Enum.YLeaf(10, "cdp")

                                    dtp = Enum.YLeaf(11, "dtp")

                                    elmi = Enum.YLeaf(12, "elmi")

                                    esmc = Enum.YLeaf(13, "esmc")

                                    lacp = Enum.YLeaf(14, "lacp")

                                    lldp = Enum.YLeaf(15, "lldp")

                                    loam = Enum.YLeaf(16, "loam")

                                    pagp = Enum.YLeaf(17, "pagp")

                                    ptppd = Enum.YLeaf(18, "ptppd")

                                    stp = Enum.YLeaf(19, "stp")

                                    udld = Enum.YLeaf(20, "udld")

                                    vtp = Enum.YLeaf(21, "vtp")



                class Auto(Entity):
                    """
                    Configure Automation
                    
                    .. attribute:: qos
                    
                    	Configure AutoQoS
                    	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Auto, self).__init__()

                        self.yang_name = "auto"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"qos" : ("qos", Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos)}
                        self._child_list_classes = {}

                        self.qos = Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos()
                        self.qos.parent = self
                        self._children_name_map["qos"] = "qos"
                        self._children_yang_names.add("qos")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:auto"


                    class Qos(Entity):
                        """
                        Configure AutoQoS
                        
                        .. attribute:: classify
                        
                        	Configure classification for untrusted devices
                        	**type**\:  :py:class:`Classify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Classify>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: trust
                        
                        	Trust the DSCP/CoS marking
                        	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Trust>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: video
                        
                        	Configure AutoQoS for video devices
                        	**type**\:  :py:class:`Video <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Video>`
                        
                        .. attribute:: voip
                        
                        	Configure AutoQoS for VoIP
                        	**type**\:  :py:class:`Voip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Voip>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos, self).__init__()

                            self.yang_name = "qos"
                            self.yang_parent_name = "auto"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"classify" : ("classify", Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Classify), "trust" : ("trust", Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Trust), "video" : ("video", Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Video), "voip" : ("voip", Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Voip)}
                            self._child_list_classes = {}

                            self.classify = None
                            self._children_name_map["classify"] = "classify"
                            self._children_yang_names.add("classify")

                            self.trust = None
                            self._children_name_map["trust"] = "trust"
                            self._children_yang_names.add("trust")

                            self.video = Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Video()
                            self.video.parent = self
                            self._children_name_map["video"] = "video"
                            self._children_yang_names.add("video")

                            self.voip = None
                            self._children_name_map["voip"] = "voip"
                            self._children_yang_names.add("voip")
                            self._segment_path = lambda: "qos"


                        class Classify(Entity):
                            """
                            Configure classification for untrusted devices
                            
                            .. attribute:: police
                            
                            	Configure QoS policing for untrusted devices
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Classify, self).__init__()

                                self.yang_name = "classify"
                                self.yang_parent_name = "qos"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.police = YLeaf(YType.empty, "police")
                                self._segment_path = lambda: "classify"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Classify, ['police'], name, value)


                        class Trust(Entity):
                            """
                            Trust the DSCP/CoS marking
                            
                            .. attribute:: cos
                            
                            	Trust the CoS marking
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp
                            
                            	Trust the DSCP marking
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Trust, self).__init__()

                                self.yang_name = "trust"
                                self.yang_parent_name = "qos"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.cos = YLeaf(YType.empty, "cos")

                                self.dscp = YLeaf(YType.empty, "dscp")
                                self._segment_path = lambda: "trust"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Trust, ['cos', 'dscp'], name, value)


                        class Video(Entity):
                            """
                            Configure AutoQoS for video devices
                            
                            .. attribute:: cts
                            
                            	Trust the QoS marking of the Cisco Telepresence System
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ip_camera
                            
                            	Trust the QoS marking of the Ip Video Surveillance camera
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: media_player
                            
                            	Trust the Qos marking of the Cisco Media Player
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Video, self).__init__()

                                self.yang_name = "video"
                                self.yang_parent_name = "qos"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.cts = YLeaf(YType.empty, "cts")

                                self.ip_camera = YLeaf(YType.empty, "ip-camera")

                                self.media_player = YLeaf(YType.empty, "media-player")
                                self._segment_path = lambda: "video"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Video, ['cts', 'ip_camera', 'media_player'], name, value)


                        class Voip(Entity):
                            """
                            Configure AutoQoS for VoIP
                            
                            .. attribute:: cisco_phone
                            
                            	Trust the QoS marking of Cisco IP Phone
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: cisco_softphone
                            
                            	Trust the QoS marking of Cisco IP SoftPhone
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: trust
                            
                            	Trust the DSCP/CoS marking
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Voip, self).__init__()

                                self.yang_name = "voip"
                                self.yang_parent_name = "qos"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.cisco_phone = YLeaf(YType.empty, "cisco-phone")

                                self.cisco_softphone = YLeaf(YType.empty, "cisco-softphone")

                                self.trust = YLeaf(YType.empty, "trust")
                                self._segment_path = lambda: "voip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Auto.Qos.Voip, ['cisco_phone', 'cisco_softphone', 'trust'], name, value)


                class Datalink(Entity):
                    """
                    Interface Datalink commands
                    
                    .. attribute:: flow
                    
                    	Interface Flow configuration subcommands
                    	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Datalink, self).__init__()

                        self.yang_name = "datalink"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"flow" : ("flow", Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow)}
                        self._child_list_classes = {}

                        self.flow = Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow()
                        self.flow.parent = self
                        self._children_name_map["flow"] = "flow"
                        self._children_yang_names.add("flow")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:datalink"


                    class Flow(Entity):
                        """
                        Interface Flow configuration subcommands
                        
                        .. attribute:: monitor
                        
                        	Apply a Flow Monitor
                        	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow, self).__init__()

                            self.yang_name = "flow"
                            self.yang_parent_name = "datalink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"monitor" : ("monitor", Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor)}
                            self._child_list_classes = {}

                            self.monitor = None
                            self._children_name_map["monitor"] = "monitor"
                            self._children_yang_names.add("monitor")
                            self._segment_path = lambda: "flow"


                        class Monitor(Entity):
                            """
                            Apply a Flow Monitor
                            
                            .. attribute:: user_defined_flow
                            
                            	User defined
                            	**type**\: str
                            
                            .. attribute:: input_output
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:  :py:class:`InputOutput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor.InputOutput>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor, self).__init__()

                                self.yang_name = "monitor"
                                self.yang_parent_name = "flow"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.user_defined_flow = YLeaf(YType.str, "User-defined-flow")

                                self.input_output = YLeaf(YType.enumeration, "input-output")
                                self._segment_path = lambda: "monitor"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Datalink.Flow.Monitor, ['user_defined_flow', 'input_output'], name, value)

                            class InputOutput(Enum):
                                """
                                InputOutput

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = Enum.YLeaf(0, "input")

                                output = Enum.YLeaf(1, "output")



                class Energywise(Entity):
                    """
                    EnergyWise interface configurations
                    
                    .. attribute:: activitycheck
                    
                    	Apply an activity check before turning off power    to this PoE port
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Energywise, self).__init__()

                        self.yang_name = "energywise"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.activitycheck = YLeaf(YType.empty, "activitycheck")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:energywise"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Energywise, ['activitycheck'], name, value)


                class Location(Entity):
                    """
                    Interface location information
                    
                    .. attribute:: civic_location_id
                    
                    	Civic location information
                    	**type**\:  :py:class:`CivicLocationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Location, self).__init__()

                        self.yang_name = "location"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"civic-location-id" : ("civic_location_id", Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId)}
                        self._child_list_classes = {}

                        self.civic_location_id = Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId()
                        self.civic_location_id.parent = self
                        self._children_name_map["civic_location_id"] = "civic-location-id"
                        self._children_yang_names.add("civic-location-id")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:location"


                    class CivicLocationId(Entity):
                        """
                        Civic location information
                        
                        .. attribute:: location_identifier
                        
                        	civic location identifier string
                        	**type**\: str
                        
                        .. attribute:: host
                        
                        	Globally defined host location identifer
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.Host>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: none
                        
                        	No globally defined location identifer
                        	**type**\:  :py:class:`None_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.None_>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId, self).__init__()

                            self.yang_name = "civic-location-id"
                            self.yang_parent_name = "location"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"host" : ("host", Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.Host), "none" : ("none", Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.None_)}
                            self._child_list_classes = {}

                            self.location_identifier = YLeaf(YType.str, "location-identifier")

                            self.host = None
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.none = None
                            self._children_name_map["none"] = "none"
                            self._children_yang_names.add("none")
                            self._segment_path = lambda: "civic-location-id"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId, ['location_identifier'], name, value)


                        class Host(Entity):
                            """
                            Globally defined host location identifer
                            
                            .. attribute:: port_location
                            
                            	Port specific attributes
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "civic-location-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.port_location = YLeaf(YType.str, "port-location")
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.Host, ['port_location'], name, value)


                        class None_(Entity):
                            """
                            No globally defined location identifer
                            
                            .. attribute:: port_location
                            
                            	Port specific attributes
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.None_, self).__init__()

                                self.yang_name = "none"
                                self.yang_parent_name = "civic-location-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.port_location = YLeaf(YType.str, "port-location")
                                self._segment_path = lambda: "none"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Location.CivicLocationId.None_, ['port_location'], name, value)


                class Mac(Entity):
                    """
                    MAC interface commands
                    
                    .. attribute:: access_group
                    
                    	MAC access\-group configuration commands
                    	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Mac, self).__init__()

                        self.yang_name = "mac"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"access-group" : ("access_group", Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup)}
                        self._child_list_classes = {}

                        self.access_group = Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup()
                        self.access_group.parent = self
                        self._children_name_map["access_group"] = "access-group"
                        self._children_yang_names.add("access-group")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:mac"


                    class AccessGroup(Entity):
                        """
                        MAC access\-group configuration commands
                        
                        .. attribute:: acl_name
                        
                        	ACL name
                        	**type**\:  :py:class:`ACLName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.ACLName>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup, self).__init__()

                            self.yang_name = "access-group"
                            self.yang_parent_name = "mac"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ACL-name" : ("acl_name", Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.ACLName)}
                            self._child_list_classes = {}

                            self.acl_name = Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.ACLName()
                            self.acl_name.parent = self
                            self._children_name_map["acl_name"] = "ACL-name"
                            self._children_yang_names.add("ACL-name")
                            self._segment_path = lambda: "access-group"


                        class ACLName(Entity):
                            """
                            ACL name
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: apply_to
                            
                            	
                            	**type**\:  :py:class:`ApplyTo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.ACLName.ApplyTo>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.ACLName, self).__init__()

                                self.yang_name = "ACL-name"
                                self.yang_parent_name = "access-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.apply_to = YLeaf(YType.enumeration, "apply-to")
                                self._segment_path = lambda: "ACL-name"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Mac.AccessGroup.ACLName, ['acl_name', 'apply_to'], name, value)

                            class ApplyTo(Enum):
                                """
                                ApplyTo

                                .. data:: in_ = 0

                                .. data:: out = 1

                                """

                                in_ = Enum.YLeaf(0, "in")

                                out = Enum.YLeaf(1, "out")



                class Macro(Entity):
                    """
                    Command macro
                    
                    .. attribute:: description
                    
                    	Macro description for this interface
                    	**type**\: str
                    
                    .. attribute:: auto
                    
                    	Smartport interface macro configurations
                    	**type**\:  :py:class:`Auto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Macro.Auto>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Macro, self).__init__()

                        self.yang_name = "macro"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"auto" : ("auto", Native.Interface.PortChannelSubinterface.PortChannel.Macro.Auto)}
                        self._child_list_classes = {}

                        self.description = YLeaf(YType.str, "description")

                        self.auto = Native.Interface.PortChannelSubinterface.PortChannel.Macro.Auto()
                        self.auto.parent = self
                        self._children_name_map["auto"] = "auto"
                        self._children_yang_names.add("auto")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:macro"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Macro, ['description'], name, value)


                    class Auto(Entity):
                        """
                        Smartport interface macro configurations
                        
                        .. attribute:: processing
                        
                        	Enable smartport macro auto execution on this interface
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Macro.Auto, self).__init__()

                            self.yang_name = "auto"
                            self.yang_parent_name = "macro"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.processing = YLeaf(YType.boolean, "processing")
                            self._segment_path = lambda: "auto"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Macro.Auto, ['processing'], name, value)


                class DualActive(Entity):
                    """
                    
                    
                    .. attribute:: fast_hello
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.DualActive, self).__init__()

                        self.yang_name = "dual-active"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.fast_hello = YLeaf(YType.empty, "fast-hello")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:dual-active"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.DualActive, ['fast_hello'], name, value)


                class LoadBalancing(Entity):
                    """
                    Etherchannel Load\-Balancing
                    
                    .. attribute:: flow
                    
                    	Based on the traffic flows identified by the packet headers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan
                    
                    	Based on the VLAN to member links manual configuration
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.LoadBalancing, self).__init__()

                        self.yang_name = "load-balancing"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.flow = YLeaf(YType.empty, "flow")

                        self.vlan = YLeaf(YType.empty, "vlan")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:load-balancing"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.LoadBalancing, ['flow', 'vlan'], name, value)


                class VlanRange(Entity):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..4096
                    
                    		**type**\: str
                    
                    .. attribute:: service_policy
                    
                    	Configure QoS Service Policy
                    	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.VlanRange.ServicePolicy>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.VlanRange, self).__init__()

                        self.yang_name = "vlan-range"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"service-policy" : ("service_policy", Native.Interface.PortChannelSubinterface.PortChannel.VlanRange.ServicePolicy)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.service_policy = Native.Interface.PortChannelSubinterface.PortChannel.VlanRange.ServicePolicy()
                        self.service_policy.parent = self
                        self._children_name_map["service_policy"] = "service-policy"
                        self._children_yang_names.add("service-policy")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:vlan-range" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.VlanRange, ['id'], name, value)


                    class ServicePolicy(Entity):
                        """
                        Configure QoS Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\: str
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.VlanRange.ServicePolicy, self).__init__()

                            self.yang_name = "service-policy"
                            self.yang_parent_name = "vlan-range"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.input = YLeaf(YType.str, "input")

                            self.output = YLeaf(YType.str, "output")
                            self._segment_path = lambda: "service-policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.VlanRange.ServicePolicy, ['input', 'output'], name, value)


                class Switch(Entity):
                    """
                    
                    
                    .. attribute:: virtual
                    
                    	
                    	**type**\:  :py:class:`Virtual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.Switch.Virtual>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Switch, self).__init__()

                        self.yang_name = "switch"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"virtual" : ("virtual", Native.Interface.PortChannelSubinterface.PortChannel.Switch.Virtual)}
                        self._child_list_classes = {}

                        self.virtual = Native.Interface.PortChannelSubinterface.PortChannel.Switch.Virtual()
                        self.virtual.parent = self
                        self._children_name_map["virtual"] = "virtual"
                        self._children_yang_names.add("virtual")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:switch"


                    class Virtual(Entity):
                        """
                        
                        
                        .. attribute:: link
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.Switch.Virtual, self).__init__()

                            self.yang_name = "virtual"
                            self.yang_parent_name = "switch"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.link = YLeaf(YType.uint8, "link")
                            self._segment_path = lambda: "virtual"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Switch.Virtual, ['link'], name, value)


                class SrrQueue(Entity):
                    """
                    
                    
                    .. attribute:: bandwidth
                    
                    	
                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue, self).__init__()

                        self.yang_name = "srr-queue"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth)}
                        self._child_list_classes = {}

                        self.bandwidth = Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth()
                        self.bandwidth.parent = self
                        self._children_name_map["bandwidth"] = "bandwidth"
                        self._children_yang_names.add("bandwidth")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:srr-queue"


                    class Bandwidth(Entity):
                        """
                        
                        
                        .. attribute:: shape
                        
                        	
                        	**type**\:  :py:class:`Shape <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Shape>`
                        
                        .. attribute:: share
                        
                        	
                        	**type**\:  :py:class:`Share <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Share>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth, self).__init__()

                            self.yang_name = "bandwidth"
                            self.yang_parent_name = "srr-queue"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"shape" : ("shape", Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Shape), "share" : ("share", Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Share)}
                            self._child_list_classes = {}

                            self.shape = Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Shape()
                            self.shape.parent = self
                            self._children_name_map["shape"] = "shape"
                            self._children_yang_names.add("shape")

                            self.share = Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Share()
                            self.share.parent = self
                            self._children_name_map["share"] = "share"
                            self._children_yang_names.add("share")
                            self._segment_path = lambda: "bandwidth"


                        class Shape(Entity):
                            """
                            
                            
                            .. attribute:: weight1
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: weight2
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: weight3
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: weight4
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Shape, self).__init__()

                                self.yang_name = "shape"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.weight1 = YLeaf(YType.uint16, "weight1")

                                self.weight2 = YLeaf(YType.uint16, "weight2")

                                self.weight3 = YLeaf(YType.uint16, "weight3")

                                self.weight4 = YLeaf(YType.uint16, "weight4")
                                self._segment_path = lambda: "shape"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Shape, ['weight1', 'weight2', 'weight3', 'weight4'], name, value)


                        class Share(Entity):
                            """
                            
                            
                            .. attribute:: weight1
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: weight2
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: weight3
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: weight4
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Share, self).__init__()

                                self.yang_name = "share"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.weight1 = YLeaf(YType.uint8, "weight1")

                                self.weight2 = YLeaf(YType.uint8, "weight2")

                                self.weight3 = YLeaf(YType.uint8, "weight3")

                                self.weight4 = YLeaf(YType.uint8, "weight4")
                                self._segment_path = lambda: "share"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.SrrQueue.Bandwidth.Share, ['weight1', 'weight2', 'weight3', 'weight4'], name, value)


                class Macsec(Entity):
                    """
                    Enable macsec on the interface
                    
                    .. attribute:: network_link
                    
                    	Enable macsec on switch connected interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Interface.PortChannelSubinterface.PortChannel.Macsec, self).__init__()

                        self.yang_name = "macsec"
                        self.yang_parent_name = "Port-channel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.network_link = YLeaf(YType.empty, "network-link")
                        self._segment_path = lambda: "Cisco-IOS-XE-switch:macsec"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.PortChannelSubinterface.PortChannel.Macsec, ['network_link'], name, value)


        class Pseudowire(Entity):
            """
            Pseudowire Interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..231072
            
            .. attribute:: encapsulation
            
            	Data encapsulation method
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Encapsulation>`
            
            .. attribute:: ip
            
            	Specify IP parameters
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip>`
            
            .. attribute:: control_word
            
            	Include control\-word in pseudowire packets
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: interworking
            
            	Interworking options for pseudowire
            	**type**\:  :py:class:`Interworking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Interworking>`
            
            .. attribute:: load_balance
            
            	Loadbalancing for pseudowire
            	**type**\:  :py:class:`LoadBalance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.LoadBalance>`
            
            .. attribute:: monitor
            
            	Active monitoring of xconnect peer
            	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor>`
            
            .. attribute:: preferred_path
            
            	Preferred path
            	**type**\:  :py:class:`PreferredPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.PreferredPath>`
            
            .. attribute:: protocol_mpls
            
            	
            	**type**\:  :py:class:`ProtocolMpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.ProtocolMpls>`
            
            .. attribute:: protocol_l2tpv2
            
            	
            	**type**\:  :py:class:`ProtocolL2Tpv2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.ProtocolL2Tpv2>`
            
            .. attribute:: protocol_l2tpv3
            
            	
            	**type**\:  :py:class:`ProtocolL2Tpv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.ProtocolL2Tpv3>`
            
            .. attribute:: sequencing
            
            	Sequencing options for pseudowire
            	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Sequencing>`
            
            .. attribute:: status
            
            	Pseudowire status capabilities
            	**type**\:  :py:class:`Status <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Status>`
            
            	**presence node**\: True
            
            .. attribute:: switching
            
            	Switching TLV on/off for pseudowire
            	**type**\:  :py:class:`Switching <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Switching>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.Pseudowire, self).__init__()

                self.yang_name = "pseudowire"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"Cisco-IOS-XE-l2vpn:ip" : ("ip", Native.Interface.Pseudowire.Ip), "Cisco-IOS-XE-l2vpn:load-balance" : ("load_balance", Native.Interface.Pseudowire.LoadBalance), "Cisco-IOS-XE-l2vpn:monitor" : ("monitor", Native.Interface.Pseudowire.Monitor), "Cisco-IOS-XE-l2vpn:preferred-path" : ("preferred_path", Native.Interface.Pseudowire.PreferredPath), "Cisco-IOS-XE-l2vpn:protocol-mpls" : ("protocol_mpls", Native.Interface.Pseudowire.ProtocolMpls), "Cisco-IOS-XE-l2vpn:protocol-l2tpv2" : ("protocol_l2tpv2", Native.Interface.Pseudowire.ProtocolL2Tpv2), "Cisco-IOS-XE-l2vpn:protocol-l2tpv3" : ("protocol_l2tpv3", Native.Interface.Pseudowire.ProtocolL2Tpv3), "Cisco-IOS-XE-l2vpn:status" : ("status", Native.Interface.Pseudowire.Status), "Cisco-IOS-XE-l2vpn:switching" : ("switching", Native.Interface.Pseudowire.Switching)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.uint32, "name")

                self.encapsulation = YLeaf(YType.enumeration, "Cisco-IOS-XE-l2vpn:encapsulation")

                self.control_word = YLeaf(YType.empty, "Cisco-IOS-XE-l2vpn:control-word")

                self.interworking = YLeaf(YType.enumeration, "Cisco-IOS-XE-l2vpn:interworking")

                self.sequencing = YLeaf(YType.enumeration, "Cisco-IOS-XE-l2vpn:sequencing")

                self.ip = Native.Interface.Pseudowire.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.load_balance = Native.Interface.Pseudowire.LoadBalance()
                self.load_balance.parent = self
                self._children_name_map["load_balance"] = "load-balance"
                self._children_yang_names.add("load-balance")

                self.monitor = Native.Interface.Pseudowire.Monitor()
                self.monitor.parent = self
                self._children_name_map["monitor"] = "monitor"
                self._children_yang_names.add("monitor")

                self.preferred_path = Native.Interface.Pseudowire.PreferredPath()
                self.preferred_path.parent = self
                self._children_name_map["preferred_path"] = "preferred-path"
                self._children_yang_names.add("preferred-path")

                self.protocol_mpls = Native.Interface.Pseudowire.ProtocolMpls()
                self.protocol_mpls.parent = self
                self._children_name_map["protocol_mpls"] = "protocol-mpls"
                self._children_yang_names.add("protocol-mpls")

                self.protocol_l2tpv2 = Native.Interface.Pseudowire.ProtocolL2Tpv2()
                self.protocol_l2tpv2.parent = self
                self._children_name_map["protocol_l2tpv2"] = "protocol-l2tpv2"
                self._children_yang_names.add("protocol-l2tpv2")

                self.protocol_l2tpv3 = Native.Interface.Pseudowire.ProtocolL2Tpv3()
                self.protocol_l2tpv3.parent = self
                self._children_name_map["protocol_l2tpv3"] = "protocol-l2tpv3"
                self._children_yang_names.add("protocol-l2tpv3")

                self.status = None
                self._children_name_map["status"] = "status"
                self._children_yang_names.add("status")

                self.switching = Native.Interface.Pseudowire.Switching()
                self.switching.parent = self
                self._children_name_map["switching"] = "switching"
                self._children_yang_names.add("switching")
                self._segment_path = lambda: "pseudowire" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.Pseudowire, ['name', 'encapsulation', 'control_word', 'interworking', 'sequencing'], name, value)

            class Encapsulation(Enum):
                """
                Encapsulation

                Data encapsulation method

                .. data:: l2tpv2 = 0

                .. data:: l2tpv3 = 1

                .. data:: mpls = 2

                .. data:: udp = 3

                """

                l2tpv2 = Enum.YLeaf(0, "l2tpv2")

                l2tpv3 = Enum.YLeaf(1, "l2tpv3")

                mpls = Enum.YLeaf(2, "mpls")

                udp = Enum.YLeaf(3, "udp")


            class Interworking(Enum):
                """
                Interworking

                Interworking options for pseudowire

                .. data:: ethernet = 0

                .. data:: ip = 1

                .. data:: vlan = 2

                """

                ethernet = Enum.YLeaf(0, "ethernet")

                ip = Enum.YLeaf(1, "ip")

                vlan = Enum.YLeaf(2, "vlan")


            class Sequencing(Enum):
                """
                Sequencing

                Sequencing options for pseudowire

                .. data:: both = 0

                .. data:: receive = 1

                .. data:: resync = 2

                .. data:: transmit = 3

                """

                both = Enum.YLeaf(0, "both")

                receive = Enum.YLeaf(1, "receive")

                resync = Enum.YLeaf(2, "resync")

                transmit = Enum.YLeaf(3, "transmit")



            class Ip(Entity):
                """
                Specify IP parameters
                
                .. attribute:: dfbit
                
                	DF bit options for tunnel
                	**type**\:  :py:class:`Dfbit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Dfbit>`
                
                .. attribute:: local
                
                	Specify local information
                	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Local>`
                
                .. attribute:: pmtu
                
                	Enable Path MTU for tunnel
                	**type**\:  :py:class:`Pmtu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Pmtu>`
                
                	**presence node**\: True
                
                .. attribute:: protocol
                
                	Specific IP protocol number to use
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Protocol>`
                
                .. attribute:: tos
                
                	Specify ToS options for IP tunnel header
                	**type**\:  :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Tos>`
                
                .. attribute:: ttl
                
                	Specify TTL value for IP tunnel header
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Pseudowire.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "pseudowire"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dfbit" : ("dfbit", Native.Interface.Pseudowire.Ip.Dfbit), "local" : ("local", Native.Interface.Pseudowire.Ip.Local), "pmtu" : ("pmtu", Native.Interface.Pseudowire.Ip.Pmtu), "tos" : ("tos", Native.Interface.Pseudowire.Ip.Tos)}
                    self._child_list_classes = {}

                    self.protocol = YLeaf(YType.enumeration, "protocol")

                    self.ttl = YLeaf(YType.uint8, "ttl")

                    self.dfbit = Native.Interface.Pseudowire.Ip.Dfbit()
                    self.dfbit.parent = self
                    self._children_name_map["dfbit"] = "dfbit"
                    self._children_yang_names.add("dfbit")

                    self.local = Native.Interface.Pseudowire.Ip.Local()
                    self.local.parent = self
                    self._children_name_map["local"] = "local"
                    self._children_yang_names.add("local")

                    self.pmtu = None
                    self._children_name_map["pmtu"] = "pmtu"
                    self._children_yang_names.add("pmtu")

                    self.tos = Native.Interface.Pseudowire.Ip.Tos()
                    self.tos.parent = self
                    self._children_name_map["tos"] = "tos"
                    self._children_yang_names.add("tos")
                    self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Pseudowire.Ip, ['protocol', 'ttl'], name, value)

                class Protocol(Enum):
                    """
                    Protocol

                    Specific IP protocol number to use

                    .. data:: l2tp = 0

                    .. data:: uti = 1

                    """

                    l2tp = Enum.YLeaf(0, "l2tp")

                    uti = Enum.YLeaf(1, "uti")



                class Dfbit(Entity):
                    """
                    DF bit options for tunnel
                    
                    .. attribute:: set
                    
                    	Set the DF bit in the tunnel header
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Pseudowire.Ip.Dfbit, self).__init__()

                        self.yang_name = "dfbit"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.set = YLeaf(YType.empty, "set")
                        self._segment_path = lambda: "dfbit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Pseudowire.Ip.Dfbit, ['set'], name, value)


                class Local(Entity):
                    """
                    Specify local information
                    
                    .. attribute:: interface
                    
                    	Source interface for pseudowire
                    	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Local.Interface>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Pseudowire.Ip.Local, self).__init__()

                        self.yang_name = "local"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"interface" : ("interface", Native.Interface.Pseudowire.Ip.Local.Interface)}
                        self._child_list_classes = {}

                        self.interface = Native.Interface.Pseudowire.Ip.Local.Interface()
                        self.interface.parent = self
                        self._children_name_map["interface"] = "interface"
                        self._children_yang_names.add("interface")
                        self._segment_path = lambda: "local"


                    class Interface(Entity):
                        """
                        Source interface for pseudowire
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Local.Interface.ATMSubinterface>`
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\: str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Local.Interface.ATMACRsubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\: str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\: str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\: str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\: str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\: str
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Local.Interface.LISPSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Ip.Local.Interface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\: str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\: str
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\: str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\: str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Pseudowire.Ip.Local.Interface, self).__init__()

                            self.yang_name = "interface"
                            self.yang_parent_name = "local"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Pseudowire.Ip.Local.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Pseudowire.Ip.Local.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Pseudowire.Ip.Local.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Pseudowire.Ip.Local.Interface.PortChannelSubinterface)}
                            self._child_list_classes = {}

                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                            self.atm = YLeaf(YType.str, "ATM")

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                            self.bdi = YLeaf(YType.str, "BDI")

                            self.cem = YLeaf(YType.str, "CEM")

                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                            self.lisp = YLeaf(YType.str, "LISP")

                            self.loopback = YLeaf(YType.uint32, "Loopback")

                            self.multilink = YLeaf(YType.uint16, "Multilink")

                            self.nve = YLeaf(YType.uint16, "nve")

                            self.overlay = YLeaf(YType.uint16, "overlay")

                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                            self.sm = YLeaf(YType.str, "SM")

                            self.cellular = YLeaf(YType.str, "Cellular")

                            self.serial = YLeaf(YType.str, "Serial")

                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                            self.atm_subinterface = Native.Interface.Pseudowire.Ip.Local.Interface.ATMSubinterface()
                            self.atm_subinterface.parent = self
                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                            self._children_yang_names.add("ATM-subinterface")

                            self.atm_acrsubinterface = Native.Interface.Pseudowire.Ip.Local.Interface.ATMACRsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                            self._children_yang_names.add("ATM-ACRsubinterface")

                            self.lisp_subinterface = Native.Interface.Pseudowire.Ip.Local.Interface.LISPSubinterface()
                            self.lisp_subinterface.parent = self
                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                            self._children_yang_names.add("LISP-subinterface")

                            self.port_channel_subinterface = Native.Interface.Pseudowire.Ip.Local.Interface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                            self._children_yang_names.add("Port-channel-subinterface")
                            self._segment_path = lambda: "interface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Pseudowire.Ip.Local.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                        class ATMSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Pseudowire.Ip.Local.Interface.ATMSubinterface, self).__init__()

                                self.yang_name = "ATM-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm = YLeaf(YType.str, "ATM")
                                self._segment_path = lambda: "ATM-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Pseudowire.Ip.Local.Interface.ATMSubinterface, ['atm'], name, value)


                        class ATMACRsubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Pseudowire.Ip.Local.Interface.ATMACRsubinterface, self).__init__()

                                self.yang_name = "ATM-ACRsubinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                self._segment_path = lambda: "ATM-ACRsubinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Pseudowire.Ip.Local.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                        class LISPSubinterface(Entity):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Pseudowire.Ip.Local.Interface.LISPSubinterface, self).__init__()

                                self.yang_name = "LISP-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lisp = YLeaf(YType.str, "LISP")
                                self._segment_path = lambda: "LISP-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Pseudowire.Ip.Local.Interface.LISPSubinterface, ['lisp'], name, value)


                        class PortChannelSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Pseudowire.Ip.Local.Interface.PortChannelSubinterface, self).__init__()

                                self.yang_name = "Port-channel-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                self._segment_path = lambda: "Port-channel-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Pseudowire.Ip.Local.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Pmtu(Entity):
                    """
                    Enable Path MTU for tunnel
                    
                    .. attribute:: max
                    
                    	Maximum Path MTU for session
                    	**type**\: int
                    
                    	**range:** 68..65535
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Pseudowire.Ip.Pmtu, self).__init__()

                        self.yang_name = "pmtu"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max = YLeaf(YType.uint16, "max")
                        self._segment_path = lambda: "pmtu"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Pseudowire.Ip.Pmtu, ['max'], name, value)


                class Tos(Entity):
                    """
                    Specify ToS options for IP tunnel header
                    
                    .. attribute:: reflect
                    
                    	Reflect IP payload ToS on tunnel
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: value
                    
                    	IP ToS value
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Pseudowire.Ip.Tos, self).__init__()

                        self.yang_name = "tos"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.reflect = YLeaf(YType.empty, "reflect")

                        self.value = YLeaf(YType.uint8, "value")
                        self._segment_path = lambda: "tos"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Pseudowire.Ip.Tos, ['reflect', 'value'], name, value)


            class LoadBalance(Entity):
                """
                Loadbalancing for pseudowire
                
                .. attribute:: flow
                
                	Enable flow based load balancing for pseudowire
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.LoadBalance.Flow>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Pseudowire.LoadBalance, self).__init__()

                    self.yang_name = "load-balance"
                    self.yang_parent_name = "pseudowire"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"flow" : ("flow", Native.Interface.Pseudowire.LoadBalance.Flow)}
                    self._child_list_classes = {}

                    self.flow = None
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")
                    self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:load-balance"


                class Flow(Entity):
                    """
                    Enable flow based load balancing for pseudowire
                    
                    .. attribute:: ethernet
                    
                    	Ethernet pseudowire flow classification
                    	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.LoadBalance.Flow.Ethernet>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Pseudowire.LoadBalance.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "load-balance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ethernet = YLeaf(YType.enumeration, "ethernet")
                        self._segment_path = lambda: "flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Pseudowire.LoadBalance.Flow, ['ethernet'], name, value)

                    class Ethernet(Enum):
                        """
                        Ethernet

                        Ethernet pseudowire flow classification

                        .. data:: dst_mac = 0

                        .. data:: src_dst_mac = 1

                        .. data:: src_mac = 2

                        """

                        dst_mac = Enum.YLeaf(0, "dst-mac")

                        src_dst_mac = Enum.YLeaf(1, "src-dst-mac")

                        src_mac = Enum.YLeaf(2, "src-mac")



            class Monitor(Entity):
                """
                Active monitoring of xconnect peer
                
                .. attribute:: peer
                
                	Active monitoring of xconnect peer
                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Pseudowire.Monitor, self).__init__()

                    self.yang_name = "monitor"
                    self.yang_parent_name = "pseudowire"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"peer" : ("peer", Native.Interface.Pseudowire.Monitor.Peer)}
                    self._child_list_classes = {}

                    self.peer = Native.Interface.Pseudowire.Monitor.Peer()
                    self.peer.parent = self
                    self._children_name_map["peer"] = "peer"
                    self._children_yang_names.add("peer")
                    self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:monitor"


                class Peer(Entity):
                    """
                    Active monitoring of xconnect peer
                    
                    .. attribute:: bfd
                    
                    	BFD active monitoring for the xconnect peer
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Pseudowire.Monitor.Peer, self).__init__()

                        self.yang_name = "peer"
                        self.yang_parent_name = "monitor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bfd" : ("bfd", Native.Interface.Pseudowire.Monitor.Peer.Bfd)}
                        self._child_list_classes = {}

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")
                        self._segment_path = lambda: "peer"


                    class Bfd(Entity):
                        """
                        BFD active monitoring for the xconnect peer
                        
                        .. attribute:: local
                        
                        	Specify local endpoint information to map to a BFD session
                        	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Pseudowire.Monitor.Peer.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"local" : ("local", Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.local = Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local()
                            self.local.parent = self
                            self._children_name_map["local"] = "local"
                            self._children_yang_names.add("local")
                            self._segment_path = lambda: "bfd"


                        class Local(Entity):
                            """
                            Specify local endpoint information to map to a BFD session
                            
                            .. attribute:: interface
                            
                            	Source interface for pseudowire
                            	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local, self).__init__()

                                self.yang_name = "local"
                                self.yang_parent_name = "bfd"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"interface" : ("interface", Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface)}
                                self._child_list_classes = {}

                                self.interface = Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface()
                                self.interface.parent = self
                                self._children_name_map["interface"] = "interface"
                                self._children_yang_names.add("interface")
                                self._segment_path = lambda: "local"


                            class Interface(Entity):
                                """
                                Source interface for pseudowire
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface, self).__init__()

                                    self.yang_name = "interface"
                                    self.yang_parent_name = "local"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "interface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-l2vpn'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Pseudowire.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface, ['port_channel'], name, value)


            class PreferredPath(Entity):
                """
                Preferred path
                
                .. attribute:: interface
                
                	Output Interface
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.PreferredPath.Interface>`
                
                .. attribute:: peer_container
                
                	
                	**type**\:  :py:class:`PeerContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.PreferredPath.PeerContainer>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Pseudowire.PreferredPath, self).__init__()

                    self.yang_name = "preferred-path"
                    self.yang_parent_name = "pseudowire"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"interface" : ("interface", Native.Interface.Pseudowire.PreferredPath.Interface), "peer-container" : ("peer_container", Native.Interface.Pseudowire.PreferredPath.PeerContainer)}
                    self._child_list_classes = {}

                    self.interface = Native.Interface.Pseudowire.PreferredPath.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.peer_container = Native.Interface.Pseudowire.PreferredPath.PeerContainer()
                    self.peer_container.parent = self
                    self._children_name_map["peer_container"] = "peer-container"
                    self._children_yang_names.add("peer-container")
                    self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:preferred-path"


                class Interface(Entity):
                    """
                    Output Interface
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..2147483647
                    
                    .. attribute:: tunnel_tp
                    
                    	MPLS Transport Profile interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: disable_fallback
                    
                    	disable fall back to alternative route
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Pseudowire.PreferredPath.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "preferred-path"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel = YLeaf(YType.uint64, "Tunnel")

                        self.tunnel_tp = YLeaf(YType.uint16, "Tunnel-tp")

                        self.disable_fallback = YLeaf(YType.empty, "disable-fallback")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Pseudowire.PreferredPath.Interface, ['tunnel', 'tunnel_tp', 'disable_fallback'], name, value)


                class PeerContainer(Entity):
                    """
                    
                    
                    .. attribute:: peer
                    
                    	Peer Address
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: disable_fallback
                    
                    	disable fall back to alternative route
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Pseudowire.PreferredPath.PeerContainer, self).__init__()

                        self.yang_name = "peer-container"
                        self.yang_parent_name = "preferred-path"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.peer = YLeaf(YType.str, "peer")

                        self.disable_fallback = YLeaf(YType.empty, "disable-fallback")
                        self._segment_path = lambda: "peer-container"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Pseudowire.PreferredPath.PeerContainer, ['peer', 'disable_fallback'], name, value)


            class ProtocolMpls(Entity):
                """
                
                
                .. attribute:: protocol
                
                	Signaling protocol to use
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.ProtocolMpls.Protocol>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Pseudowire.ProtocolMpls, self).__init__()

                    self.yang_name = "protocol-mpls"
                    self.yang_parent_name = "pseudowire"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.protocol = YLeaf(YType.enumeration, "protocol")
                    self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:protocol-mpls"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Pseudowire.ProtocolMpls, ['protocol'], name, value)

                class Protocol(Enum):
                    """
                    Protocol

                    Signaling protocol to use

                    .. data:: ldp = 0

                    .. data:: none = 1

                    """

                    ldp = Enum.YLeaf(0, "ldp")

                    none = Enum.YLeaf(1, "none")



            class ProtocolL2Tpv2(Entity):
                """
                
                
                .. attribute:: protocol
                
                	Signaling protocol to use
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.ProtocolL2Tpv2.Protocol>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Pseudowire.ProtocolL2Tpv2, self).__init__()

                    self.yang_name = "protocol-l2tpv2"
                    self.yang_parent_name = "pseudowire"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.protocol = YLeaf(YType.enumeration, "protocol")
                    self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:protocol-l2tpv2"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Pseudowire.ProtocolL2Tpv2, ['protocol'], name, value)

                class Protocol(Enum):
                    """
                    Protocol

                    Signaling protocol to use

                    .. data:: l2tpv2 = 0

                    .. data:: none = 1

                    """

                    l2tpv2 = Enum.YLeaf(0, "l2tpv2")

                    none = Enum.YLeaf(1, "none")



            class ProtocolL2Tpv3(Entity):
                """
                
                
                .. attribute:: protocol
                
                	Signaling protocol to use
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.ProtocolL2Tpv3.Protocol>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Pseudowire.ProtocolL2Tpv3, self).__init__()

                    self.yang_name = "protocol-l2tpv3"
                    self.yang_parent_name = "pseudowire"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.protocol = YLeaf(YType.enumeration, "protocol")
                    self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:protocol-l2tpv3"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Pseudowire.ProtocolL2Tpv3, ['protocol'], name, value)

                class Protocol(Enum):
                    """
                    Protocol

                    Signaling protocol to use

                    .. data:: l2tpv3 = 0

                    .. data:: l2tpv3ietf = 1

                    .. data:: none = 2

                    """

                    l2tpv3 = Enum.YLeaf(0, "l2tpv3")

                    l2tpv3ietf = Enum.YLeaf(1, "l2tpv3ietf")

                    none = Enum.YLeaf(2, "none")



            class Status(Entity):
                """
                Pseudowire status capabilities
                
                .. attribute:: admin_down
                
                	Admin down of Attachment Circuit
                	**type**\:  :py:class:`AdminDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Status.AdminDown>`
                
                .. attribute:: control_plane
                
                	control plane status events
                	**type**\:  :py:class:`ControlPlane <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Status.ControlPlane>`
                
                .. attribute:: decoupled
                
                	Reflect standby status of the attachment circuit as up on the pseudowire
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: peer
                
                	peer status configuration
                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Status.Peer>`
                
                .. attribute:: redundancy
                
                	Xconnect redundancy configuration
                	**type**\:  :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Status.Redundancy>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Pseudowire.Status, self).__init__()

                    self.yang_name = "status"
                    self.yang_parent_name = "pseudowire"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"admin-down" : ("admin_down", Native.Interface.Pseudowire.Status.AdminDown), "control-plane" : ("control_plane", Native.Interface.Pseudowire.Status.ControlPlane), "peer" : ("peer", Native.Interface.Pseudowire.Status.Peer), "redundancy" : ("redundancy", Native.Interface.Pseudowire.Status.Redundancy)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.decoupled = YLeaf(YType.empty, "decoupled")

                    self.admin_down = Native.Interface.Pseudowire.Status.AdminDown()
                    self.admin_down.parent = self
                    self._children_name_map["admin_down"] = "admin-down"
                    self._children_yang_names.add("admin-down")

                    self.control_plane = Native.Interface.Pseudowire.Status.ControlPlane()
                    self.control_plane.parent = self
                    self._children_name_map["control_plane"] = "control-plane"
                    self._children_yang_names.add("control-plane")

                    self.peer = Native.Interface.Pseudowire.Status.Peer()
                    self.peer.parent = self
                    self._children_name_map["peer"] = "peer"
                    self._children_yang_names.add("peer")

                    self.redundancy = Native.Interface.Pseudowire.Status.Redundancy()
                    self.redundancy.parent = self
                    self._children_name_map["redundancy"] = "redundancy"
                    self._children_yang_names.add("redundancy")
                    self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:status"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Pseudowire.Status, ['decoupled'], name, value)


                class AdminDown(Entity):
                    """
                    Admin down of Attachment Circuit
                    
                    .. attribute:: disconnect
                    
                    	Disconnect the session
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Pseudowire.Status.AdminDown, self).__init__()

                        self.yang_name = "admin-down"
                        self.yang_parent_name = "status"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disconnect = YLeaf(YType.empty, "disconnect")
                        self._segment_path = lambda: "admin-down"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Pseudowire.Status.AdminDown, ['disconnect'], name, value)


                class ControlPlane(Entity):
                    """
                    control plane status events
                    
                    .. attribute:: route_watch
                    
                    	listen on the control plane to route\-watch events
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Pseudowire.Status.ControlPlane, self).__init__()

                        self.yang_name = "control-plane"
                        self.yang_parent_name = "status"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_watch = YLeaf(YType.empty, "route-watch")
                        self._segment_path = lambda: "control-plane"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Pseudowire.Status.ControlPlane, ['route_watch'], name, value)


                class Peer(Entity):
                    """
                    peer status configuration
                    
                    .. attribute:: topology
                    
                    	change status behaviour based on peer topology
                    	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Pseudowire.Status.Peer.Topology>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Pseudowire.Status.Peer, self).__init__()

                        self.yang_name = "peer"
                        self.yang_parent_name = "status"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"topology" : ("topology", Native.Interface.Pseudowire.Status.Peer.Topology)}
                        self._child_list_classes = {}

                        self.topology = Native.Interface.Pseudowire.Status.Peer.Topology()
                        self.topology.parent = self
                        self._children_name_map["topology"] = "topology"
                        self._children_yang_names.add("topology")
                        self._segment_path = lambda: "peer"


                    class Topology(Entity):
                        """
                        change status behaviour based on peer topology
                        
                        .. attribute:: dual_homed
                        
                        	Our peer(s) are participating in a redundant solution with some form of redundancyprotocol running between the peer routers, Only one of the remote peers will advertise astatus of UP at a time. The other will advertise standby. Change our configuration so wecan send a status of UP on both active and redundant pseudowires
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Pseudowire.Status.Peer.Topology, self).__init__()

                            self.yang_name = "topology"
                            self.yang_parent_name = "peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dual_homed = YLeaf(YType.empty, "dual-homed")
                            self._segment_path = lambda: "topology"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Pseudowire.Status.Peer.Topology, ['dual_homed'], name, value)


                class Redundancy(Entity):
                    """
                    Xconnect redundancy configuration
                    
                    .. attribute:: master
                    
                    	Put the xconnect redundancy group on this node in master mode
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Pseudowire.Status.Redundancy, self).__init__()

                        self.yang_name = "redundancy"
                        self.yang_parent_name = "status"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.master = YLeaf(YType.empty, "master")
                        self._segment_path = lambda: "redundancy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Pseudowire.Status.Redundancy, ['master'], name, value)


            class Switching(Entity):
                """
                Switching TLV on/off for pseudowire
                
                .. attribute:: tlv
                
                	Switching TLV on/off for pseudowire
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Pseudowire.Switching, self).__init__()

                    self.yang_name = "switching"
                    self.yang_parent_name = "pseudowire"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.tlv = YLeaf(YType.empty, "tlv")
                    self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:switching"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Pseudowire.Switching, ['tlv'], name, value)


        class SM(Entity):
            """
            SM Interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            	**pattern:** ([0\-9])+(/([0\-9])+)?
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.PmPath>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.SM, self).__init__()

                self.yang_name = "SM"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.SM.SwitchportConf), "switchport" : ("switchport", Native.Interface.SM.Switchport), "arp" : ("arp", Native.Interface.SM.Arp), "backup" : ("backup", Native.Interface.SM.Backup), "cemoudp" : ("cemoudp", Native.Interface.SM.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.SM.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.SM.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.SM.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.SM.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.SM.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.SM.Flowcontrol), "isis" : ("isis", Native.Interface.SM.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.SM.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.SM.Bfd), "bandwidth" : ("bandwidth", Native.Interface.SM.Bandwidth), "dampening" : ("dampening", Native.Interface.SM.Dampening), "domain" : ("domain", Native.Interface.SM.Domain), "mpls" : ("mpls", Native.Interface.SM.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.SM.IpVrf), "vrf" : ("vrf", Native.Interface.SM.Vrf), "ip" : ("ip", Native.Interface.SM.Ip), "ipv6" : ("ipv6", Native.Interface.SM.Ipv6), "logging" : ("logging", Native.Interface.SM.Logging), "mdix" : ("mdix", Native.Interface.SM.Mdix), "mop" : ("mop", Native.Interface.SM.Mop), "interface_qos" : ("interface_qos", Native.Interface.SM.InterfaceQos), "standby" : ("standby", Native.Interface.SM.Standby), "access-session" : ("access_session", Native.Interface.SM.AccessSession), "storm-control" : ("storm_control", Native.Interface.SM.StormControl), "trust" : ("trust", Native.Interface.SM.Trust), "priority-queue" : ("priority_queue", Native.Interface.SM.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.SM.RcvQueue), "peer" : ("peer", Native.Interface.SM.Peer), "pm-path" : ("pm_path", Native.Interface.SM.PmPath)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.SM.HoldQueue)}

                self.name = YLeaf(YType.str, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.switchport_conf = Native.Interface.SM.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.SM.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.SM.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.SM.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.SM.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.SM.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.SM.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.SM.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.SM.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.SM.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.SM.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.SM.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.SM.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.SM.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.SM.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.SM.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.SM.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.SM.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.SM.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.SM.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.SM.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.SM.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.SM.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.SM.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.SM.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.SM.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.SM.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.SM.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.SM.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.SM.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.SM.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.SM.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.SM.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "SM" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.SM, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.SM.Backup.Delay), "interface" : ("interface", Native.Interface.SM.Backup.Interface), "load" : ("load", Native.Interface.SM.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.SM.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.SM.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.SM.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.SM.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.SM.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.SM.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.SM.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.SM.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.SM.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.SM.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.SM.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.SM.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.SM.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.SM.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.SM.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.SM.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.SM.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.SM.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.SM.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.SM.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.SM.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.SM.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.SM.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.SM.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.SM.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.SM.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.SM.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.SM.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.SM.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.SM.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.SM.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.SM.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.SM.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.SM.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.SM.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.SM.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Verify>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.SM.Ip.AccessGroup), "arp" : ("arp", Native.Interface.SM.Ip.Arp), "vrf" : ("vrf", Native.Interface.SM.Ip.Vrf), "no-address" : ("no_address", Native.Interface.SM.Ip.NoAddress), "address" : ("address", Native.Interface.SM.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.SM.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.SM.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.SM.Ip.HoldTime), "pim" : ("pim", Native.Interface.SM.Ip.Pim), "policy" : ("policy", Native.Interface.SM.Ip.Policy), "rip" : ("rip", Native.Interface.SM.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.SM.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.SM.Ip.RouteCache), "router" : ("router", Native.Interface.SM.Ip.Router), "tcp" : ("tcp", Native.Interface.SM.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.SM.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.SM.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.SM.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.SM.Ip.Verify)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.SM.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.SM.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.SM.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.SM.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.SM.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.SM.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.SM.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.SM.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.SM.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.SM.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.SM.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.SM.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.SM.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.SM.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.SM.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.SM.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.SM.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.SM.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.SM.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.SM.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.SM.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.SM.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.SM.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.SM.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.SM.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.SM.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.SM.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.SM.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.SM.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.SM.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.SM.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.SM.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.SM.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.SM.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.SM.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.SM.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.SM.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.SM.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.SM.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.SM.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.SM.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.SM.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.SM.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.SM.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.SM.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.SM.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.SM.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.SM.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.SM.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.SM.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.SM.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.SM.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.SM.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.SM.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.SM.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.SM.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.SM.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.SM.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.SM.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.SM.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.SM.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.SM.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.SM.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.SM.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.SM.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.SM.Ipv6.Dhcp), "address" : ("address", Native.Interface.SM.Ipv6.Address), "nd" : ("nd", Native.Interface.SM.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.SM.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.SM.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.SM.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.SM.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.SM.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.SM.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.SM.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.SM.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.SM.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.SM.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.SM.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.SM.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.SM.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.SM.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.SM.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.SM.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.SM.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.SM.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.SM.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.SM.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.SM.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.SM.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.SM.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.SM.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.SM.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.SM.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.SM.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.SM.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.SM.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.SM.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.SM.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.SM.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.SM.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.SM.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.SM.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.SM.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.SM.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.SM.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.SM.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.SM.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.SM.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.SM.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.SM.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.SM.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.SM.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.SM.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.SM.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.SM.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.SM.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.SM.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.SM.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.SM.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.SM.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.SM.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.SM.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.SM.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.SM.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.SM.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.SM.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.SM.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.SM.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.SM.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.SM.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.SM.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.SM.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.SM.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.SM.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.SM.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.SM.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.SM.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.SM.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.SM.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.SM.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.SM.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.SM.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.SM.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.SM.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.SM.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.SM.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.SM.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.SM.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.SM.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.SM.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.SM.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.SM.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.SM.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.SM.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.SM.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.SM.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.SM.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.SM.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.SM.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.SM.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.SM.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.SM.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.SM.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.SM.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.SM.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.SM.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.SM.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.SM.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "SM"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.SM.PmPath, ['name', 'interface_id'], name, value)


        class Cellular(Entity):
            """
            Cellular Interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            	**pattern:** ([0\-9])+(/([0\-9])+)?
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.PmPath>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.Cellular, self).__init__()

                self.yang_name = "Cellular"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.Cellular.SwitchportConf), "switchport" : ("switchport", Native.Interface.Cellular.Switchport), "arp" : ("arp", Native.Interface.Cellular.Arp), "backup" : ("backup", Native.Interface.Cellular.Backup), "cemoudp" : ("cemoudp", Native.Interface.Cellular.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.Cellular.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.Cellular.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.Cellular.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.Cellular.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.Cellular.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.Cellular.Flowcontrol), "isis" : ("isis", Native.Interface.Cellular.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.Cellular.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.Cellular.Bfd), "bandwidth" : ("bandwidth", Native.Interface.Cellular.Bandwidth), "dampening" : ("dampening", Native.Interface.Cellular.Dampening), "domain" : ("domain", Native.Interface.Cellular.Domain), "mpls" : ("mpls", Native.Interface.Cellular.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.Cellular.IpVrf), "vrf" : ("vrf", Native.Interface.Cellular.Vrf), "ip" : ("ip", Native.Interface.Cellular.Ip), "ipv6" : ("ipv6", Native.Interface.Cellular.Ipv6), "logging" : ("logging", Native.Interface.Cellular.Logging), "mdix" : ("mdix", Native.Interface.Cellular.Mdix), "mop" : ("mop", Native.Interface.Cellular.Mop), "interface_qos" : ("interface_qos", Native.Interface.Cellular.InterfaceQos), "standby" : ("standby", Native.Interface.Cellular.Standby), "access-session" : ("access_session", Native.Interface.Cellular.AccessSession), "storm-control" : ("storm_control", Native.Interface.Cellular.StormControl), "trust" : ("trust", Native.Interface.Cellular.Trust), "priority-queue" : ("priority_queue", Native.Interface.Cellular.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.Cellular.RcvQueue), "peer" : ("peer", Native.Interface.Cellular.Peer), "pm-path" : ("pm_path", Native.Interface.Cellular.PmPath)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.Cellular.HoldQueue)}

                self.name = YLeaf(YType.str, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.switchport_conf = Native.Interface.Cellular.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.Cellular.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.Cellular.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.Cellular.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.Cellular.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.Cellular.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.Cellular.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.Cellular.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.Cellular.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.Cellular.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.Cellular.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.Cellular.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.Cellular.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.Cellular.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.Cellular.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.Cellular.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.Cellular.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.Cellular.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.Cellular.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.Cellular.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.Cellular.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.Cellular.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.Cellular.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.Cellular.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.Cellular.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.Cellular.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.Cellular.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.Cellular.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.Cellular.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.Cellular.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.Cellular.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.Cellular.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.Cellular.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "Cellular" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.Cellular, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Cellular.Backup.Delay), "interface" : ("interface", Native.Interface.Cellular.Backup.Interface), "load" : ("load", Native.Interface.Cellular.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.Cellular.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.Cellular.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.Cellular.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Cellular.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Cellular.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Cellular.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Cellular.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.Cellular.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.Cellular.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.Cellular.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.Cellular.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.Cellular.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.Cellular.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.Cellular.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.Cellular.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.Cellular.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.Cellular.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.Cellular.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.Cellular.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.Cellular.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.Cellular.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.Cellular.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.Cellular.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.Cellular.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.Cellular.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.Cellular.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.Cellular.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.Cellular.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.Cellular.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.Cellular.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.Cellular.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.Cellular.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.Cellular.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.Cellular.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.Cellular.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.Cellular.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.Cellular.Ip.AccessGroup), "arp" : ("arp", Native.Interface.Cellular.Ip.Arp), "vrf" : ("vrf", Native.Interface.Cellular.Ip.Vrf), "no-address" : ("no_address", Native.Interface.Cellular.Ip.NoAddress), "address" : ("address", Native.Interface.Cellular.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.Cellular.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.Cellular.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.Cellular.Ip.HoldTime), "pim" : ("pim", Native.Interface.Cellular.Ip.Pim), "policy" : ("policy", Native.Interface.Cellular.Ip.Policy), "rip" : ("rip", Native.Interface.Cellular.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.Cellular.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.Cellular.Ip.RouteCache), "router" : ("router", Native.Interface.Cellular.Ip.Router), "tcp" : ("tcp", Native.Interface.Cellular.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.Cellular.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.Cellular.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.Cellular.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.Cellular.Ip.Verify)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.Cellular.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.Cellular.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.Cellular.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.Cellular.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.Cellular.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.Cellular.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.Cellular.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.Cellular.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.Cellular.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.Cellular.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.Cellular.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.Cellular.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.Cellular.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.Cellular.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.Cellular.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.Cellular.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.Cellular.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.Cellular.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.Cellular.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.Cellular.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.Cellular.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.Cellular.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.Cellular.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Cellular.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.Cellular.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Cellular.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Cellular.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Cellular.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.Cellular.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Cellular.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Cellular.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.Cellular.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.Cellular.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Cellular.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Cellular.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.Cellular.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.Cellular.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.Cellular.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.Cellular.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.Cellular.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.Cellular.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.Cellular.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.Cellular.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.Cellular.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.Cellular.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.Cellular.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.Cellular.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Cellular.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.Cellular.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.Cellular.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.Cellular.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.Cellular.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.Cellular.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.Cellular.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.Cellular.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.Cellular.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.Cellular.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.Cellular.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.Cellular.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Cellular.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Cellular.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.Cellular.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.Cellular.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.Cellular.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.Cellular.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.Cellular.Ipv6.Dhcp), "address" : ("address", Native.Interface.Cellular.Ipv6.Address), "nd" : ("nd", Native.Interface.Cellular.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.Cellular.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.Cellular.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.Cellular.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.Cellular.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.Cellular.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.Cellular.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.Cellular.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.Cellular.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.Cellular.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.Cellular.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.Cellular.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.Cellular.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.Cellular.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.Cellular.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.Cellular.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.Cellular.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Cellular.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.Cellular.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.Cellular.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.Cellular.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.Cellular.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.Cellular.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Cellular.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.Cellular.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.Cellular.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.Cellular.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.Cellular.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.Cellular.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.Cellular.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.Cellular.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.Cellular.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Cellular.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.Cellular.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.Cellular.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.Cellular.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.Cellular.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Cellular.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.Cellular.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.Cellular.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.Cellular.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.Cellular.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.Cellular.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.Cellular.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.Cellular.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.Cellular.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.Cellular.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.Cellular.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.Cellular.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.Cellular.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.Cellular.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.Cellular.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.Cellular.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.Cellular.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.Cellular.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.Cellular.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Cellular.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.Cellular.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Cellular.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Cellular.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Cellular.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Cellular.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Cellular.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.Cellular.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Cellular.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Cellular.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Cellular.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Cellular.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Cellular.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Cellular.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.Cellular.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.Cellular.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.Cellular.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.Cellular.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Cellular.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.Cellular.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.Cellular.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.Cellular.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Cellular.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.Cellular.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.Cellular.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Cellular.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.Cellular.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.Cellular.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Cellular.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.Cellular.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.Cellular.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Cellular.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Cellular.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.Cellular.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.Cellular.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Cellular.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Cellular.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Cellular.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Cellular.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Cellular.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Cellular.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "Cellular"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Cellular.PmPath, ['name', 'interface_id'], name, value)


        class Vlan(Entity):
            """
            Catalyst Vlans
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..4094
            
            .. attribute:: cisco_ios_xe_interfaces_description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: cisco_ios_xe_interfaces_switchport_conf
            
            	
            	**type**\:  :py:class:`CiscoIOSXEInterfacesSwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchportConf>`
            
            .. attribute:: cisco_ios_xe_interfaces_switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`CiscoIOSXEInterfacesSwitchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchport>`
            
            .. attribute:: cisco_ios_xe_interfaces_mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: cisco_ios_xe_interfaces_shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: cisco_ios_xe_interfaces_arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`CiscoIOSXEInterfacesArp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesArp>`
            
            .. attribute:: cisco_ios_xe_interfaces_backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`CiscoIOSXEInterfacesBackup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup>`
            
            .. attribute:: cisco_ios_xe_interfaces_cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`CiscoIOSXEInterfacesCemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp>`
            
            .. attribute:: cisco_ios_xe_interfaces_cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CiscoIOSXEInterfacesCwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel>`
            
            .. attribute:: cisco_ios_xe_interfaces_l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`CiscoIOSXEInterfacesL2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: cisco_ios_xe_interfaces_encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`CiscoIOSXEInterfacesEncapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation>`
            
            .. attribute:: cisco_ios_xe_interfaces_fair_queue_conf
            
            	
            	**type**\:  :py:class:`CiscoIOSXEInterfacesFairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueueConf>`
            
            .. attribute:: cisco_ios_xe_interfaces_fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`CiscoIOSXEInterfacesFairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueue>`
            
            .. attribute:: cisco_ios_xe_interfaces_flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`CiscoIOSXEInterfacesFlowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol>`
            
            .. attribute:: cisco_ios_xe_interfaces_isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`CiscoIOSXEInterfacesIsis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.KeepaliveSettings>`
            
            .. attribute:: cisco_ios_xe_interfaces_bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`CiscoIOSXEInterfacesBfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBfd>`
            
            .. attribute:: cisco_ios_xe_interfaces_bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`CiscoIOSXEInterfacesBandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth>`
            
            .. attribute:: cisco_ios_xe_interfaces_dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`CiscoIOSXEInterfacesDampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesDampening>`
            
            .. attribute:: cisco_ios_xe_interfaces_if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IfState>`
            
            .. attribute:: cisco_ios_xe_interfaces_delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: cisco_ios_xe_interfaces_domain
            
            	Specify a domain
            	**type**\:  :py:class:`CiscoIOSXEInterfacesDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesDomain>`
            
            .. attribute:: cisco_ios_xe_interfaces_hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`CiscoIOSXEInterfacesHoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesHoldQueue>`
            
            .. attribute:: cisco_ios_xe_interfaces_mpls
            
            	
            	**type**\:  :py:class:`CiscoIOSXEInterfacesMpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesMpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Vrf>`
            
            .. attribute:: cisco_ios_xe_interfaces_ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`CiscoIOSXEInterfacesIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp>`
            
            .. attribute:: cisco_ios_xe_interfaces_ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`CiscoIOSXEInterfacesIpv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6>`
            
            .. attribute:: cisco_ios_xe_interfaces_load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: cisco_ios_xe_interfaces_logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`CiscoIOSXEInterfacesLogging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesLogging>`
            
            .. attribute:: cisco_ios_xe_interfaces_mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`CiscoIOSXEInterfacesMdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesMdix>`
            
            .. attribute:: cisco_ios_xe_interfaces_mop
            
            	
            	**type**\:  :py:class:`CiscoIOSXEInterfacesMop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesMop>`
            
            .. attribute:: cisco_ios_xe_interfaces_max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: cisco_ios_xe_interfaces_mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: cisco_ios_xe_interfaces_interface_qos
            
            	
            	**type**\:  :py:class:`CiscoIOSXEInterfacesInterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos>`
            
            .. attribute:: cisco_ios_xe_interfaces_service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServiceInsertion>`
            
            .. attribute:: cisco_ios_xe_interfaces_standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`CiscoIOSXEInterfacesStandby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby>`
            
            .. attribute:: cisco_ios_xe_interfaces_access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`CiscoIOSXEInterfacesAccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession>`
            
            .. attribute:: cisco_ios_xe_interfaces_storm_control
            
            	storm configuration
            	**type**\:  :py:class:`CiscoIOSXEInterfacesStormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl>`
            
            .. attribute:: cisco_ios_xe_interfaces_trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`CiscoIOSXEInterfacesTrust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesTrust>`
            
            .. attribute:: cisco_ios_xe_interfaces_priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`CiscoIOSXEInterfacesPriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue>`
            
            .. attribute:: cisco_ios_xe_interfaces_rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`CiscoIOSXEInterfacesRcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue>`
            
            .. attribute:: cisco_ios_xe_interfaces_peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`CiscoIOSXEInterfacesPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPeer>`
            
            .. attribute:: cisco_ios_xe_interfaces_pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`CiscoIOSXEInterfacesPmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPmPath>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy>`
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Lisp>`
            
            .. attribute:: private_vlan
            
            	Configure private VLAN SVI interface settings
            	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.PrivateVlan>`
            
            .. attribute:: vrrp
            
            	
            	**type**\: list of  		 :py:class:`Vrrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Vrrp>`
            
            .. attribute:: service_routing
            
            	Service Routing in Interface Mode
            	**type**\:  :py:class:`ServiceRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServiceRouting>`
            
            .. attribute:: glbp
            
            	Gateway Load Balancing Protocol interface commands
            	**type**\:  :py:class:`Glbp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp>`
            
            .. attribute:: cisco_ios_xe_interfaces_description_
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: cisco_ios_xe_interfaces_switchport_conf_
            
            	
            	**type**\:  :py:class:`CiscoIOSXEInterfacesSwitchportConf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchportConf_>`
            
            .. attribute:: cisco_ios_xe_interfaces_switchport_
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`CiscoIOSXEInterfacesSwitchport_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchport_>`
            
            .. attribute:: cisco_ios_xe_interfaces_mac_address_
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: cisco_ios_xe_interfaces_shutdown_
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: cisco_ios_xe_interfaces_arp_
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`CiscoIOSXEInterfacesArp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesArp_>`
            
            .. attribute:: cisco_ios_xe_interfaces_backup_
            
            	Modify backup parameters
            	**type**\:  :py:class:`CiscoIOSXEInterfacesBackup_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_>`
            
            .. attribute:: cisco_ios_xe_interfaces_cemoudp_
            
            	cemoudp
            	**type**\:  :py:class:`CiscoIOSXEInterfacesCemoudp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp_>`
            
            .. attribute:: cisco_ios_xe_interfaces_cws_tunnel_
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CiscoIOSXEInterfacesCwsTunnel_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel_>`
            
            .. attribute:: cisco_ios_xe_interfaces_l2protocol_tunnel_
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`CiscoIOSXEInterfacesL2ProtocolTunnel_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_>`
            
            	**presence node**\: True
            
            .. attribute:: cisco_ios_xe_interfaces_encapsulation_
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`CiscoIOSXEInterfacesEncapsulation_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_>`
            
            .. attribute:: cisco_ios_xe_interfaces_fair_queue_conf_
            
            	
            	**type**\:  :py:class:`CiscoIOSXEInterfacesFairQueueConf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueueConf_>`
            
            .. attribute:: cisco_ios_xe_interfaces_fair_queue_
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`CiscoIOSXEInterfacesFairQueue_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueue_>`
            
            .. attribute:: cisco_ios_xe_interfaces_flowcontrol_
            
            	Configure flow operation
            	**type**\:  :py:class:`CiscoIOSXEInterfacesFlowcontrol_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol_>`
            
            .. attribute:: cisco_ios_xe_interfaces_isis_
            
            	IS\-IS commands
            	**type**\:  :py:class:`CiscoIOSXEInterfacesIsis_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis_>`
            
            .. attribute:: keepalive_
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings_
            
            	
            	**type**\:  :py:class:`KeepaliveSettings_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.KeepaliveSettings_>`
            
            .. attribute:: cisco_ios_xe_interfaces_bfd_
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`CiscoIOSXEInterfacesBfd_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBfd_>`
            
            .. attribute:: cisco_ios_xe_interfaces_bandwidth_
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`CiscoIOSXEInterfacesBandwidth_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_>`
            
            .. attribute:: cisco_ios_xe_interfaces_dampening_
            
            	Enable event dampening
            	**type**\:  :py:class:`CiscoIOSXEInterfacesDampening_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesDampening_>`
            
            .. attribute:: cisco_ios_xe_interfaces_if_state_
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IfState>`
            
            .. attribute:: cisco_ios_xe_interfaces_delay_
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: cisco_ios_xe_interfaces_domain_
            
            	Specify a domain
            	**type**\:  :py:class:`CiscoIOSXEInterfacesDomain_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesDomain_>`
            
            .. attribute:: cisco_ios_xe_interfaces_hold_queue_
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`CiscoIOSXEInterfacesHoldQueue_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesHoldQueue_>`
            
            .. attribute:: cisco_ios_xe_interfaces_mpls_
            
            	
            	**type**\:  :py:class:`CiscoIOSXEInterfacesMpls_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesMpls_>`
            
            .. attribute:: ip_vrf_
            
            	
            	**type**\:  :py:class:`IpVrf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IpVrf_>`
            
            .. attribute:: vrf_
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Vrf_>`
            
            .. attribute:: cisco_ios_xe_interfaces_ip_
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`CiscoIOSXEInterfacesIp_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_>`
            
            .. attribute:: cisco_ios_xe_interfaces_ipv6_
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`CiscoIOSXEInterfacesIpv6_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_>`
            
            .. attribute:: cisco_ios_xe_interfaces_load_interval_
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: cisco_ios_xe_interfaces_logging_
            
            	Configure logging for interface
            	**type**\:  :py:class:`CiscoIOSXEInterfacesLogging_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_>`
            
            .. attribute:: cisco_ios_xe_interfaces_mdix_
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`CiscoIOSXEInterfacesMdix_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesMdix_>`
            
            .. attribute:: cisco_ios_xe_interfaces_mop_
            
            	
            	**type**\:  :py:class:`CiscoIOSXEInterfacesMop_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesMop_>`
            
            .. attribute:: cisco_ios_xe_interfaces_max_reserved_bandwidth_
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: cisco_ios_xe_interfaces_mtu_
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: cisco_ios_xe_interfaces_interface_qos_
            
            	
            	**type**\:  :py:class:`CiscoIOSXEInterfacesInterfaceQos_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos_>`
            
            .. attribute:: cisco_ios_xe_interfaces_service_insertion_
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServiceInsertion>`
            
            .. attribute:: cisco_ios_xe_interfaces_standby_
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`CiscoIOSXEInterfacesStandby_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_>`
            
            .. attribute:: cisco_ios_xe_interfaces_access_session_
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`CiscoIOSXEInterfacesAccessSession_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession_>`
            
            .. attribute:: cisco_ios_xe_interfaces_storm_control_
            
            	storm configuration
            	**type**\:  :py:class:`CiscoIOSXEInterfacesStormControl_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_>`
            
            .. attribute:: cisco_ios_xe_interfaces_trust_
            
            	Set trust value for the interface
            	**type**\:  :py:class:`CiscoIOSXEInterfacesTrust_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesTrust_>`
            
            .. attribute:: cisco_ios_xe_interfaces_priority_queue_
            
            	Configure priority scheduling
            	**type**\:  :py:class:`CiscoIOSXEInterfacesPriorityQueue_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue_>`
            
            .. attribute:: cisco_ios_xe_interfaces_rcv_queue_
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`CiscoIOSXEInterfacesRcvQueue_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue_>`
            
            .. attribute:: cisco_ios_xe_interfaces_peer_
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`CiscoIOSXEInterfacesPeer_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_>`
            
            .. attribute:: cisco_ios_xe_interfaces_pm_path_
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`CiscoIOSXEInterfacesPmPath_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPmPath_>`
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:  :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.Vlan, self).__init__()

                self.yang_name = "Vlan"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("cisco_ios_xe_interfaces_switchport_conf", Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchportConf), "switchport" : ("cisco_ios_xe_interfaces_switchport", Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchport), "arp" : ("cisco_ios_xe_interfaces_arp", Native.Interface.Vlan.CiscoIOSXEInterfacesArp), "backup" : ("cisco_ios_xe_interfaces_backup", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup), "cemoudp" : ("cisco_ios_xe_interfaces_cemoudp", Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp), "cws-tunnel" : ("cisco_ios_xe_interfaces_cws_tunnel", Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel), "l2protocol-tunnel" : ("cisco_ios_xe_interfaces_l2protocol_tunnel", Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel), "encapsulation" : ("cisco_ios_xe_interfaces_encapsulation", Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation), "fair-queue-conf" : ("cisco_ios_xe_interfaces_fair_queue_conf", Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueueConf), "fair-queue" : ("cisco_ios_xe_interfaces_fair_queue", Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueue), "flowcontrol" : ("cisco_ios_xe_interfaces_flowcontrol", Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol), "isis" : ("cisco_ios_xe_interfaces_isis", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis), "keepalive-settings" : ("keepalive_settings", Native.Interface.Vlan.KeepaliveSettings), "bfd" : ("cisco_ios_xe_interfaces_bfd", Native.Interface.Vlan.CiscoIOSXEInterfacesBfd), "bandwidth" : ("cisco_ios_xe_interfaces_bandwidth", Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth), "dampening" : ("cisco_ios_xe_interfaces_dampening", Native.Interface.Vlan.CiscoIOSXEInterfacesDampening), "domain" : ("cisco_ios_xe_interfaces_domain", Native.Interface.Vlan.CiscoIOSXEInterfacesDomain), "mpls" : ("cisco_ios_xe_interfaces_mpls", Native.Interface.Vlan.CiscoIOSXEInterfacesMpls), "ip-vrf" : ("ip_vrf", Native.Interface.Vlan.IpVrf), "vrf" : ("vrf", Native.Interface.Vlan.Vrf), "ip" : ("cisco_ios_xe_interfaces_ip", Native.Interface.Vlan.CiscoIOSXEInterfacesIp), "ipv6" : ("cisco_ios_xe_interfaces_ipv6", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6), "logging" : ("cisco_ios_xe_interfaces_logging", Native.Interface.Vlan.CiscoIOSXEInterfacesLogging), "mdix" : ("cisco_ios_xe_interfaces_mdix", Native.Interface.Vlan.CiscoIOSXEInterfacesMdix), "mop" : ("cisco_ios_xe_interfaces_mop", Native.Interface.Vlan.CiscoIOSXEInterfacesMop), "interface_qos" : ("cisco_ios_xe_interfaces_interface_qos", Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos), "standby" : ("cisco_ios_xe_interfaces_standby", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby), "access-session" : ("cisco_ios_xe_interfaces_access_session", Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession), "storm-control" : ("cisco_ios_xe_interfaces_storm_control", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl), "trust" : ("cisco_ios_xe_interfaces_trust", Native.Interface.Vlan.CiscoIOSXEInterfacesTrust), "priority-queue" : ("cisco_ios_xe_interfaces_priority_queue", Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue), "rcv-queue" : ("cisco_ios_xe_interfaces_rcv_queue", Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue), "peer" : ("cisco_ios_xe_interfaces_peer", Native.Interface.Vlan.CiscoIOSXEInterfacesPeer), "pm-path" : ("cisco_ios_xe_interfaces_pm_path", Native.Interface.Vlan.CiscoIOSXEInterfacesPmPath), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.Vlan.Crypto), "Cisco-IOS-XE-cts:cts" : ("cts", Native.Interface.Vlan.Cts), "Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.Interface.Vlan.ServicePolicy), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Interface.Vlan.Lisp), "Cisco-IOS-XE-vlan:private-vlan" : ("private_vlan", Native.Interface.Vlan.PrivateVlan), "Cisco-IOS-XE-vlan:service-routing" : ("service_routing", Native.Interface.Vlan.ServiceRouting), "Cisco-IOS-XE-vlan:glbp" : ("glbp", Native.Interface.Vlan.Glbp), "Cisco-IOS-XE-vlan:switchport-conf" : ("cisco_ios_xe_interfaces_switchport_conf_", Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchportConf_), "Cisco-IOS-XE-vlan:switchport" : ("cisco_ios_xe_interfaces_switchport_", Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchport_), "Cisco-IOS-XE-vlan:arp" : ("cisco_ios_xe_interfaces_arp_", Native.Interface.Vlan.CiscoIOSXEInterfacesArp_), "Cisco-IOS-XE-vlan:backup" : ("cisco_ios_xe_interfaces_backup_", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_), "Cisco-IOS-XE-vlan:cemoudp" : ("cisco_ios_xe_interfaces_cemoudp_", Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp_), "Cisco-IOS-XE-vlan:cws-tunnel" : ("cisco_ios_xe_interfaces_cws_tunnel_", Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel_), "Cisco-IOS-XE-vlan:l2protocol-tunnel" : ("cisco_ios_xe_interfaces_l2protocol_tunnel_", Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_), "Cisco-IOS-XE-vlan:encapsulation" : ("cisco_ios_xe_interfaces_encapsulation_", Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_), "Cisco-IOS-XE-vlan:fair-queue-conf" : ("cisco_ios_xe_interfaces_fair_queue_conf_", Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueueConf_), "Cisco-IOS-XE-vlan:fair-queue" : ("cisco_ios_xe_interfaces_fair_queue_", Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueue_), "Cisco-IOS-XE-vlan:flowcontrol" : ("cisco_ios_xe_interfaces_flowcontrol_", Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol_), "Cisco-IOS-XE-vlan:isis" : ("cisco_ios_xe_interfaces_isis_", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis_), "Cisco-IOS-XE-vlan:keepalive-settings" : ("keepalive_settings_", Native.Interface.Vlan.KeepaliveSettings_), "Cisco-IOS-XE-vlan:bfd" : ("cisco_ios_xe_interfaces_bfd_", Native.Interface.Vlan.CiscoIOSXEInterfacesBfd_), "Cisco-IOS-XE-vlan:bandwidth" : ("cisco_ios_xe_interfaces_bandwidth_", Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_), "Cisco-IOS-XE-vlan:dampening" : ("cisco_ios_xe_interfaces_dampening_", Native.Interface.Vlan.CiscoIOSXEInterfacesDampening_), "Cisco-IOS-XE-vlan:domain" : ("cisco_ios_xe_interfaces_domain_", Native.Interface.Vlan.CiscoIOSXEInterfacesDomain_), "Cisco-IOS-XE-vlan:mpls" : ("cisco_ios_xe_interfaces_mpls_", Native.Interface.Vlan.CiscoIOSXEInterfacesMpls_), "Cisco-IOS-XE-vlan:ip-vrf" : ("ip_vrf_", Native.Interface.Vlan.IpVrf_), "Cisco-IOS-XE-vlan:vrf" : ("vrf_", Native.Interface.Vlan.Vrf_), "Cisco-IOS-XE-vlan:ip" : ("cisco_ios_xe_interfaces_ip_", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_), "Cisco-IOS-XE-vlan:ipv6" : ("cisco_ios_xe_interfaces_ipv6_", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_), "Cisco-IOS-XE-vlan:logging" : ("cisco_ios_xe_interfaces_logging_", Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_), "Cisco-IOS-XE-vlan:mdix" : ("cisco_ios_xe_interfaces_mdix_", Native.Interface.Vlan.CiscoIOSXEInterfacesMdix_), "Cisco-IOS-XE-vlan:mop" : ("cisco_ios_xe_interfaces_mop_", Native.Interface.Vlan.CiscoIOSXEInterfacesMop_), "Cisco-IOS-XE-vlan:interface_qos" : ("cisco_ios_xe_interfaces_interface_qos_", Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos_), "Cisco-IOS-XE-vlan:standby" : ("cisco_ios_xe_interfaces_standby_", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_), "Cisco-IOS-XE-vlan:access-session" : ("cisco_ios_xe_interfaces_access_session_", Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession_), "Cisco-IOS-XE-vlan:storm-control" : ("cisco_ios_xe_interfaces_storm_control_", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_), "Cisco-IOS-XE-vlan:trust" : ("cisco_ios_xe_interfaces_trust_", Native.Interface.Vlan.CiscoIOSXEInterfacesTrust_), "Cisco-IOS-XE-vlan:priority-queue" : ("cisco_ios_xe_interfaces_priority_queue_", Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue_), "Cisco-IOS-XE-vlan:rcv-queue" : ("cisco_ios_xe_interfaces_rcv_queue_", Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue_), "Cisco-IOS-XE-vlan:peer" : ("cisco_ios_xe_interfaces_peer_", Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_), "Cisco-IOS-XE-vlan:pm-path" : ("cisco_ios_xe_interfaces_pm_path_", Native.Interface.Vlan.CiscoIOSXEInterfacesPmPath_), "Cisco-IOS-XE-zone:zone-member" : ("zone_member", Native.Interface.Vlan.ZoneMember)}
                self._child_list_classes = {"hold-queue" : ("cisco_ios_xe_interfaces_hold_queue", Native.Interface.Vlan.CiscoIOSXEInterfacesHoldQueue), "Cisco-IOS-XE-vlan:vrrp" : ("vrrp", Native.Interface.Vlan.Vrrp), "Cisco-IOS-XE-vlan:hold-queue" : ("cisco_ios_xe_interfaces_hold_queue_", Native.Interface.Vlan.CiscoIOSXEInterfacesHoldQueue_)}

                self.name = YLeaf(YType.uint16, "name")

                self.cisco_ios_xe_interfaces_description = YLeaf(YType.str, "description")

                self.cisco_ios_xe_interfaces_mac_address = YLeaf(YType.str, "mac-address")

                self.cisco_ios_xe_interfaces_shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.cisco_ios_xe_interfaces_if_state = YLeaf(YType.enumeration, "if-state")

                self.cisco_ios_xe_interfaces_delay = YLeaf(YType.uint32, "delay")

                self.cisco_ios_xe_interfaces_load_interval = YLeaf(YType.uint16, "load-interval")

                self.cisco_ios_xe_interfaces_max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.cisco_ios_xe_interfaces_mtu = YLeaf(YType.uint16, "mtu")

                self.cisco_ios_xe_interfaces_service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.cisco_ios_xe_interfaces_description_ = YLeaf(YType.str, "description")

                self.cisco_ios_xe_interfaces_mac_address_ = YLeaf(YType.str, "mac-address")

                self.cisco_ios_xe_interfaces_shutdown_ = YLeaf(YType.empty, "shutdown")

                self.keepalive_ = YLeaf(YType.boolean, "keepalive")

                self.cisco_ios_xe_interfaces_if_state_ = YLeaf(YType.enumeration, "if-state")

                self.cisco_ios_xe_interfaces_delay_ = YLeaf(YType.uint32, "delay")

                self.cisco_ios_xe_interfaces_load_interval_ = YLeaf(YType.uint16, "load-interval")

                self.cisco_ios_xe_interfaces_max_reserved_bandwidth_ = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.cisco_ios_xe_interfaces_mtu_ = YLeaf(YType.uint16, "mtu")

                self.cisco_ios_xe_interfaces_service_insertion_ = YLeaf(YType.enumeration, "service-insertion")

                self.cisco_ios_xe_interfaces_switchport_conf = Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchportConf()
                self.cisco_ios_xe_interfaces_switchport_conf.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.cisco_ios_xe_interfaces_switchport = Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchport()
                self.cisco_ios_xe_interfaces_switchport.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.cisco_ios_xe_interfaces_arp = Native.Interface.Vlan.CiscoIOSXEInterfacesArp()
                self.cisco_ios_xe_interfaces_arp.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_arp"] = "arp"
                self._children_yang_names.add("arp")

                self.cisco_ios_xe_interfaces_backup = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup()
                self.cisco_ios_xe_interfaces_backup.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cisco_ios_xe_interfaces_cemoudp = Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp()
                self.cisco_ios_xe_interfaces_cemoudp.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cisco_ios_xe_interfaces_cws_tunnel = Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel()
                self.cisco_ios_xe_interfaces_cws_tunnel.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.cisco_ios_xe_interfaces_l2protocol_tunnel = None
                self._children_name_map["cisco_ios_xe_interfaces_l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.cisco_ios_xe_interfaces_encapsulation = Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation()
                self.cisco_ios_xe_interfaces_encapsulation.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.cisco_ios_xe_interfaces_fair_queue_conf = Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueueConf()
                self.cisco_ios_xe_interfaces_fair_queue_conf.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.cisco_ios_xe_interfaces_fair_queue = Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueue()
                self.cisco_ios_xe_interfaces_fair_queue.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.cisco_ios_xe_interfaces_flowcontrol = Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol()
                self.cisco_ios_xe_interfaces_flowcontrol.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.cisco_ios_xe_interfaces_isis = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis()
                self.cisco_ios_xe_interfaces_isis.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.Vlan.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.cisco_ios_xe_interfaces_bfd = Native.Interface.Vlan.CiscoIOSXEInterfacesBfd()
                self.cisco_ios_xe_interfaces_bfd.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.cisco_ios_xe_interfaces_bandwidth = Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth()
                self.cisco_ios_xe_interfaces_bandwidth.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.cisco_ios_xe_interfaces_dampening = Native.Interface.Vlan.CiscoIOSXEInterfacesDampening()
                self.cisco_ios_xe_interfaces_dampening.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.cisco_ios_xe_interfaces_domain = Native.Interface.Vlan.CiscoIOSXEInterfacesDomain()
                self.cisco_ios_xe_interfaces_domain.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_domain"] = "domain"
                self._children_yang_names.add("domain")

                self.cisco_ios_xe_interfaces_mpls = Native.Interface.Vlan.CiscoIOSXEInterfacesMpls()
                self.cisco_ios_xe_interfaces_mpls.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.Vlan.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.Vlan.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.cisco_ios_xe_interfaces_ip = Native.Interface.Vlan.CiscoIOSXEInterfacesIp()
                self.cisco_ios_xe_interfaces_ip.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_ip"] = "ip"
                self._children_yang_names.add("ip")

                self.cisco_ios_xe_interfaces_ipv6 = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6()
                self.cisco_ios_xe_interfaces_ipv6.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.cisco_ios_xe_interfaces_logging = Native.Interface.Vlan.CiscoIOSXEInterfacesLogging()
                self.cisco_ios_xe_interfaces_logging.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_logging"] = "logging"
                self._children_yang_names.add("logging")

                self.cisco_ios_xe_interfaces_mdix = Native.Interface.Vlan.CiscoIOSXEInterfacesMdix()
                self.cisco_ios_xe_interfaces_mdix.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.cisco_ios_xe_interfaces_mop = Native.Interface.Vlan.CiscoIOSXEInterfacesMop()
                self.cisco_ios_xe_interfaces_mop.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_mop"] = "mop"
                self._children_yang_names.add("mop")

                self.cisco_ios_xe_interfaces_interface_qos = Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos()
                self.cisco_ios_xe_interfaces_interface_qos.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.cisco_ios_xe_interfaces_standby = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby()
                self.cisco_ios_xe_interfaces_standby.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_standby"] = "standby"
                self._children_yang_names.add("standby")

                self.cisco_ios_xe_interfaces_access_session = Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession()
                self.cisco_ios_xe_interfaces_access_session.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.cisco_ios_xe_interfaces_storm_control = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl()
                self.cisco_ios_xe_interfaces_storm_control.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.cisco_ios_xe_interfaces_trust = Native.Interface.Vlan.CiscoIOSXEInterfacesTrust()
                self.cisco_ios_xe_interfaces_trust.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_trust"] = "trust"
                self._children_yang_names.add("trust")

                self.cisco_ios_xe_interfaces_priority_queue = Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue()
                self.cisco_ios_xe_interfaces_priority_queue.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.cisco_ios_xe_interfaces_rcv_queue = Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue()
                self.cisco_ios_xe_interfaces_rcv_queue.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.cisco_ios_xe_interfaces_peer = Native.Interface.Vlan.CiscoIOSXEInterfacesPeer()
                self.cisco_ios_xe_interfaces_peer.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_peer"] = "peer"
                self._children_yang_names.add("peer")

                self.cisco_ios_xe_interfaces_pm_path = Native.Interface.Vlan.CiscoIOSXEInterfacesPmPath()
                self.cisco_ios_xe_interfaces_pm_path.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.crypto = Native.Interface.Vlan.Crypto()
                self.crypto.parent = self
                self._children_name_map["crypto"] = "crypto"
                self._children_yang_names.add("crypto")

                self.cts = Native.Interface.Vlan.Cts()
                self.cts.parent = self
                self._children_name_map["cts"] = "cts"
                self._children_yang_names.add("cts")

                self.service_policy = Native.Interface.Vlan.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.lisp = Native.Interface.Vlan.Lisp()
                self.lisp.parent = self
                self._children_name_map["lisp"] = "lisp"
                self._children_yang_names.add("lisp")

                self.private_vlan = Native.Interface.Vlan.PrivateVlan()
                self.private_vlan.parent = self
                self._children_name_map["private_vlan"] = "private-vlan"
                self._children_yang_names.add("private-vlan")

                self.service_routing = Native.Interface.Vlan.ServiceRouting()
                self.service_routing.parent = self
                self._children_name_map["service_routing"] = "service-routing"
                self._children_yang_names.add("service-routing")

                self.glbp = Native.Interface.Vlan.Glbp()
                self.glbp.parent = self
                self._children_name_map["glbp"] = "glbp"
                self._children_yang_names.add("glbp")

                self.cisco_ios_xe_interfaces_switchport_conf_ = Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchportConf_()
                self.cisco_ios_xe_interfaces_switchport_conf_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_switchport_conf_"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.cisco_ios_xe_interfaces_switchport_ = Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchport_()
                self.cisco_ios_xe_interfaces_switchport_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_switchport_"] = "switchport"
                self._children_yang_names.add("switchport")

                self.cisco_ios_xe_interfaces_arp_ = Native.Interface.Vlan.CiscoIOSXEInterfacesArp_()
                self.cisco_ios_xe_interfaces_arp_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_arp_"] = "arp"
                self._children_yang_names.add("arp")

                self.cisco_ios_xe_interfaces_backup_ = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_()
                self.cisco_ios_xe_interfaces_backup_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_backup_"] = "backup"
                self._children_yang_names.add("backup")

                self.cisco_ios_xe_interfaces_cemoudp_ = Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp_()
                self.cisco_ios_xe_interfaces_cemoudp_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_cemoudp_"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cisco_ios_xe_interfaces_cws_tunnel_ = Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel_()
                self.cisco_ios_xe_interfaces_cws_tunnel_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_cws_tunnel_"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.cisco_ios_xe_interfaces_l2protocol_tunnel_ = None
                self._children_name_map["cisco_ios_xe_interfaces_l2protocol_tunnel_"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.cisco_ios_xe_interfaces_encapsulation_ = Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_()
                self.cisco_ios_xe_interfaces_encapsulation_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_encapsulation_"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.cisco_ios_xe_interfaces_fair_queue_conf_ = Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueueConf_()
                self.cisco_ios_xe_interfaces_fair_queue_conf_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_fair_queue_conf_"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.cisco_ios_xe_interfaces_fair_queue_ = Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueue_()
                self.cisco_ios_xe_interfaces_fair_queue_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_fair_queue_"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.cisco_ios_xe_interfaces_flowcontrol_ = Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol_()
                self.cisco_ios_xe_interfaces_flowcontrol_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_flowcontrol_"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.cisco_ios_xe_interfaces_isis_ = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis_()
                self.cisco_ios_xe_interfaces_isis_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_isis_"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings_ = Native.Interface.Vlan.KeepaliveSettings_()
                self.keepalive_settings_.parent = self
                self._children_name_map["keepalive_settings_"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.cisco_ios_xe_interfaces_bfd_ = Native.Interface.Vlan.CiscoIOSXEInterfacesBfd_()
                self.cisco_ios_xe_interfaces_bfd_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_bfd_"] = "bfd"
                self._children_yang_names.add("bfd")

                self.cisco_ios_xe_interfaces_bandwidth_ = Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_()
                self.cisco_ios_xe_interfaces_bandwidth_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_bandwidth_"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.cisco_ios_xe_interfaces_dampening_ = Native.Interface.Vlan.CiscoIOSXEInterfacesDampening_()
                self.cisco_ios_xe_interfaces_dampening_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_dampening_"] = "dampening"
                self._children_yang_names.add("dampening")

                self.cisco_ios_xe_interfaces_domain_ = Native.Interface.Vlan.CiscoIOSXEInterfacesDomain_()
                self.cisco_ios_xe_interfaces_domain_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_domain_"] = "domain"
                self._children_yang_names.add("domain")

                self.cisco_ios_xe_interfaces_mpls_ = Native.Interface.Vlan.CiscoIOSXEInterfacesMpls_()
                self.cisco_ios_xe_interfaces_mpls_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_mpls_"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf_ = Native.Interface.Vlan.IpVrf_()
                self.ip_vrf_.parent = self
                self._children_name_map["ip_vrf_"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf_ = Native.Interface.Vlan.Vrf_()
                self.vrf_.parent = self
                self._children_name_map["vrf_"] = "vrf"
                self._children_yang_names.add("vrf")

                self.cisco_ios_xe_interfaces_ip_ = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_()
                self.cisco_ios_xe_interfaces_ip_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_ip_"] = "ip"
                self._children_yang_names.add("ip")

                self.cisco_ios_xe_interfaces_ipv6_ = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_()
                self.cisco_ios_xe_interfaces_ipv6_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_ipv6_"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.cisco_ios_xe_interfaces_logging_ = Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_()
                self.cisco_ios_xe_interfaces_logging_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_logging_"] = "logging"
                self._children_yang_names.add("logging")

                self.cisco_ios_xe_interfaces_mdix_ = Native.Interface.Vlan.CiscoIOSXEInterfacesMdix_()
                self.cisco_ios_xe_interfaces_mdix_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_mdix_"] = "mdix"
                self._children_yang_names.add("mdix")

                self.cisco_ios_xe_interfaces_mop_ = Native.Interface.Vlan.CiscoIOSXEInterfacesMop_()
                self.cisco_ios_xe_interfaces_mop_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_mop_"] = "mop"
                self._children_yang_names.add("mop")

                self.cisco_ios_xe_interfaces_interface_qos_ = Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos_()
                self.cisco_ios_xe_interfaces_interface_qos_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_interface_qos_"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.cisco_ios_xe_interfaces_standby_ = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_()
                self.cisco_ios_xe_interfaces_standby_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_standby_"] = "standby"
                self._children_yang_names.add("standby")

                self.cisco_ios_xe_interfaces_access_session_ = Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession_()
                self.cisco_ios_xe_interfaces_access_session_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_access_session_"] = "access-session"
                self._children_yang_names.add("access-session")

                self.cisco_ios_xe_interfaces_storm_control_ = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_()
                self.cisco_ios_xe_interfaces_storm_control_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_storm_control_"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.cisco_ios_xe_interfaces_trust_ = Native.Interface.Vlan.CiscoIOSXEInterfacesTrust_()
                self.cisco_ios_xe_interfaces_trust_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_trust_"] = "trust"
                self._children_yang_names.add("trust")

                self.cisco_ios_xe_interfaces_priority_queue_ = Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue_()
                self.cisco_ios_xe_interfaces_priority_queue_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_priority_queue_"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.cisco_ios_xe_interfaces_rcv_queue_ = Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue_()
                self.cisco_ios_xe_interfaces_rcv_queue_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_rcv_queue_"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.cisco_ios_xe_interfaces_peer_ = Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_()
                self.cisco_ios_xe_interfaces_peer_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_peer_"] = "peer"
                self._children_yang_names.add("peer")

                self.cisco_ios_xe_interfaces_pm_path_ = Native.Interface.Vlan.CiscoIOSXEInterfacesPmPath_()
                self.cisco_ios_xe_interfaces_pm_path_.parent = self
                self._children_name_map["cisco_ios_xe_interfaces_pm_path_"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.zone_member = Native.Interface.Vlan.ZoneMember()
                self.zone_member.parent = self
                self._children_name_map["zone_member"] = "zone-member"
                self._children_yang_names.add("zone-member")

                self.cisco_ios_xe_interfaces_hold_queue = YList(self)
                self.vrrp = YList(self)
                self.cisco_ios_xe_interfaces_hold_queue_ = YList(self)
                self._segment_path = lambda: "Vlan" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.Vlan, ['name', 'cisco_ios_xe_interfaces_description', 'cisco_ios_xe_interfaces_mac_address', 'cisco_ios_xe_interfaces_shutdown', 'keepalive', 'cisco_ios_xe_interfaces_if_state', 'cisco_ios_xe_interfaces_delay', 'cisco_ios_xe_interfaces_load_interval', 'cisco_ios_xe_interfaces_max_reserved_bandwidth', 'cisco_ios_xe_interfaces_mtu', 'cisco_ios_xe_interfaces_service_insertion', 'cisco_ios_xe_interfaces_description_', 'cisco_ios_xe_interfaces_mac_address_', 'cisco_ios_xe_interfaces_shutdown_', 'keepalive_', 'cisco_ios_xe_interfaces_if_state_', 'cisco_ios_xe_interfaces_delay_', 'cisco_ios_xe_interfaces_load_interval_', 'cisco_ios_xe_interfaces_max_reserved_bandwidth_', 'cisco_ios_xe_interfaces_mtu_', 'cisco_ios_xe_interfaces_service_insertion_'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class CiscoIOSXEInterfacesSwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchportConf, ['switchport'], name, value)


            class CiscoIOSXEInterfacesSwitchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class CiscoIOSXEInterfacesArp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesArp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesArp, ['timeout'], name, value)


            class CiscoIOSXEInterfacesBackup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Delay), "interface" : ("interface", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface), "load" : ("load", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class CiscoIOSXEInterfacesCemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp.Reserve, ['acr'], name, value)


            class CiscoIOSXEInterfacesCwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel.Out, ['tunnel_number'], name, value)


            class CiscoIOSXEInterfacesL2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class CiscoIOSXEInterfacesEncapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Dot1Q), "isl" : ("isl", Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Isl), "ppp" : ("ppp", Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Ppp), "slip" : ("slip", Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation.FrameRelay, ['ietf'], name, value)


            class CiscoIOSXEInterfacesFairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueueConf, ['fair_queue'], name, value)


            class CiscoIOSXEInterfacesFairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueue, ['incomplete'], name, value)


            class CiscoIOSXEInterfacesFlowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class CiscoIOSXEInterfacesIsis(Entity):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:  :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:  :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:  :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:  :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4294967295
                
                		**type**\:  :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroup>`
                
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Network>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Protocol>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:  :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-isis:adjacency-filter" : ("adjacency_filter", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.AdjacencyFilter), "Cisco-IOS-XE-isis:advertise" : ("advertise", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Advertise), "Cisco-IOS-XE-isis:authentication" : ("authentication", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication), "Cisco-IOS-XE-isis:circuit-type" : ("circuit_type", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CircuitType), "Cisco-IOS-XE-isis:csnp-interval" : ("csnp_interval", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CsnpInterval), "Cisco-IOS-XE-isis:hello" : ("hello", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Hello), "Cisco-IOS-XE-isis:hello-interval" : ("hello_interval", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloInterval), "Cisco-IOS-XE-isis:hello-multiplier" : ("hello_multiplier", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloMultiplier), "Cisco-IOS-XE-isis:ipv6" : ("ipv6", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6), "Cisco-IOS-XE-isis:metric" : ("metric", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Metric), "Cisco-IOS-XE-isis:password" : ("password", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Password), "Cisco-IOS-XE-isis:priority" : ("priority", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Priority), "Cisco-IOS-XE-isis:three-way-handshake" : ("three_way_handshake", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.ThreeWayHandshake)}
                    self._child_list_classes = {}

                    self.lsp_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:lsp-interval")

                    self.mesh_group = YLeaf(YType.str, "Cisco-IOS-XE-isis:mesh-group")

                    self.network = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:network")

                    self.protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:protocol")

                    self.retransmit_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-interval")

                    self.retransmit_throttle_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-throttle-interval")

                    self.tag = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:tag")

                    self.adjacency_filter = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self._children_name_map["adjacency_filter"] = "adjacency-filter"
                    self._children_yang_names.add("adjacency-filter")

                    self.advertise = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Advertise()
                    self.advertise.parent = self
                    self._children_name_map["advertise"] = "advertise"
                    self._children_yang_names.add("advertise")

                    self.authentication = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.circuit_type = None
                    self._children_name_map["circuit_type"] = "circuit-type"
                    self._children_yang_names.add("circuit-type")

                    self.csnp_interval = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self._children_name_map["csnp_interval"] = "csnp-interval"
                    self._children_yang_names.add("csnp-interval")

                    self.hello = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Hello()
                    self.hello.parent = self
                    self._children_name_map["hello"] = "hello"
                    self._children_yang_names.add("hello")

                    self.hello_interval = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.hello_multiplier = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self._children_name_map["hello_multiplier"] = "hello-multiplier"
                    self._children_yang_names.add("hello-multiplier")

                    self.ipv6 = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.metric = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Metric()
                    self.metric.parent = self
                    self._children_name_map["metric"] = "metric"
                    self._children_yang_names.add("metric")

                    self.password = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")

                    self.priority = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.three_way_handshake = None
                    self._children_name_map["three_way_handshake"] = "three-way-handshake"
                    self._children_yang_names.add("three-way-handshake")
                    self._segment_path = lambda: "isis"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis, ['lsp_interval', 'mesh_group', 'network', 'protocol', 'retransmit_interval', 'retransmit_throttle_interval', 'tag'], name, value)

                class MeshGroup(Enum):
                    """
                    MeshGroup

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = Enum.YLeaf(0, "blocked")


                class Network(Enum):
                    """
                    Network

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = Enum.YLeaf(0, "point-to-point")


                class Protocol(Enum):
                    """
                    Protocol

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = Enum.YLeaf(0, "shutdown")



                class AdjacencyFilter(Entity):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.AdjacencyFilter, self).__init__()

                        self.yang_name = "adjacency-filter"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.match_all = YLeaf(YType.empty, "match-all")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:adjacency-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.AdjacencyFilter, ['name', 'match_all'], name, value)


                class Advertise(Entity):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Advertise, self).__init__()

                        self.yang_name = "advertise"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.prefix = YLeaf(YType.empty, "prefix")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:advertise"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Advertise, ['prefix'], name, value)


                class Authentication(Entity):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.Mode>`
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.KeyChain>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:  :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mode" : ("mode", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.Mode), "key-chain" : ("key_chain", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.KeyChain), "send-only" : ("send_only", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.SendOnly)}
                        self._child_list_classes = {}

                        self.mode = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")

                        self.key_chain = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.send_only = None
                        self._children_name_map["send_only"] = "send-only"
                        self._children_yang_names.add("send-only")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:authentication"


                    class Mode(Entity):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:  :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.Mode.Md5), "text" : ("text", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.Mode.Text)}
                            self._child_list_classes = {}

                            self.md5 = None
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.text = None
                            self._children_name_map["text"] = "text"
                            self._children_yang_names.add("text")
                            self._segment_path = lambda: "mode"


                        class Md5(Entity):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.Mode.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.Mode.Md5, ['levels'], name, value)


                        class Text(Entity):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.Mode.Text, self).__init__()

                                self.yang_name = "text"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "text"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.Mode.Text, ['levels'], name, value)


                    class KeyChain(Entity):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of  		 :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"key-chain-list" : ("key_chain_list", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.KeyChain.KeyChainList)}

                            self.name = YLeaf(YType.str, "name")

                            self.key_chain_list = YList(self)
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.KeyChain, ['name'], name, value)


                        class KeyChainList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.KeyChain.KeyChainList, self).__init__()

                                self.yang_name = "key-chain-list"
                                self.yang_parent_name = "key-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.KeyChain.KeyChainList, ['levels', 'name'], name, value)


                    class SendOnly(Entity):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.SendOnly, self).__init__()

                            self.yang_name = "send-only"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")
                            self._segment_path = lambda: "send-only"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Authentication.SendOnly, ['levels'], name, value)


                class CircuitType(Entity):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CircuitType.Levels>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CircuitType, self).__init__()

                        self.yang_name = "circuit-type"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.levels = YLeaf(YType.enumeration, "levels")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:circuit-type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CircuitType, ['levels'], name, value)

                    class Levels(Enum):
                        """
                        Levels

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = Enum.YLeaf(0, "level-1")

                        level_1_2 = Enum.YLeaf(1, "level-1-2")

                        level_2_only = Enum.YLeaf(2, "level-2-only")



                class CsnpInterval(Entity):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CsnpInterval, self).__init__()

                        self.yang_name = "csnp-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"csnp-interval-list" : ("csnp_interval_list", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CsnpInterval.CsnpIntervalList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.csnp_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:csnp-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CsnpInterval, ['value'], name, value)


                    class CsnpIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CsnpInterval.CsnpIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CsnpInterval.CsnpIntervalList, self).__init__()

                            self.yang_name = "csnp-interval-list"
                            self.yang_parent_name = "csnp-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "csnp-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.CsnpInterval.CsnpIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Hello(Entity):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Hello, self).__init__()

                        self.yang_name = "hello"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"padding" : ("padding", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Hello.Padding)}
                        self._child_list_classes = {}

                        self.padding = None
                        self._children_name_map["padding"] = "padding"
                        self._children_yang_names.add("padding")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello"


                    class Padding(Entity):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Hello.Padding, self).__init__()

                            self.yang_name = "padding"
                            self.yang_parent_name = "hello"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.always = YLeaf(YType.empty, "always")
                            self._segment_path = lambda: "padding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Hello.Padding, ['always'], name, value)


                class HelloInterval(Entity):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..65535
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-interval-list" : ("hello_interval_list", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloInterval.HelloIntervalList)}

                        self.value = YLeaf(YType.str, "value")

                        self.hello_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloInterval, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: minimal = 0

                        """

                        minimal = Enum.YLeaf(0, "minimal")



                    class HelloIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloInterval.HelloIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..65535
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloInterval.HelloIntervalList, self).__init__()

                            self.yang_name = "hello-interval-list"
                            self.yang_parent_name = "hello-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "hello-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloInterval.HelloIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: minimal = 0

                            """

                            minimal = Enum.YLeaf(0, "minimal")



                class HelloMultiplier(Entity):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloMultiplier, self).__init__()

                        self.yang_name = "hello-multiplier"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-multiplier-list" : ("hello_multiplier_list", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloMultiplier.HelloMultiplierList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.hello_multiplier_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-multiplier"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloMultiplier, ['value'], name, value)


                    class HelloMultiplierList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloMultiplier.HelloMultiplierList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloMultiplier.HelloMultiplierList, self).__init__()

                            self.yang_name = "hello-multiplier-list"
                            self.yang_parent_name = "hello-multiplier"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "hello-multiplier-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.HelloMultiplier.HelloMultiplierList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Ipv6(Entity):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"metric" : ("metric", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6.Metric)}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.uint32, "tag")

                        self.metric = Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6, ['tag'], name, value)


                    class Metric(Entity):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6.Metric.MetricList)}

                            self.value = YLeaf(YType.str, "value")

                            self.metric_list = YList(self)
                            self._segment_path = lambda: "metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6.Metric, ['value'], name, value)

                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                        class MetricList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6.Metric.MetricList.Levels>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..16777214
                            
                            		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6.Metric.MetricList, self).__init__()

                                self.yang_name = "metric-list"
                                self.yang_parent_name = "metric"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.value = YLeaf(YType.str, "value")
                                self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Ipv6.Metric.MetricList, ['levels', 'value'], name, value)

                            class Levels(Enum):
                                """
                                Levels

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")


                            class Value(Enum):
                                """
                                Value

                                .. data:: maximum = 0

                                """

                                maximum = Enum.YLeaf(0, "maximum")



                class Metric(Entity):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..16777214
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Metric, self).__init__()

                        self.yang_name = "metric"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Metric.MetricList)}

                        self.value = YLeaf(YType.str, "value")

                        self.metric_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:metric"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Metric, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: maximum = 0

                        """

                        maximum = Enum.YLeaf(0, "maximum")



                    class MetricList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Metric.MetricList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Metric.MetricList, self).__init__()

                            self.yang_name = "metric-list"
                            self.yang_parent_name = "metric"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Metric.MetricList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                class Password(Entity):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Password.PasswordList>`
                    
                    .. attribute:: password
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"password-list" : ("password_list", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Password.PasswordList)}

                        self.password = YLeaf(YType.str, "password")

                        self.password_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Password, ['password'], name, value)


                    class PasswordList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Password.PasswordList.Levels>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Password.PasswordList, self).__init__()

                            self.yang_name = "password-list"
                            self.yang_parent_name = "password"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.password = YLeaf(YType.str, "password")
                            self._segment_path = lambda: "password-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Password.PasswordList, ['levels', 'password'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Priority(Entity):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"priority-list" : ("priority_list", Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Priority.PriorityList)}

                        self.value = YLeaf(YType.uint8, "value")

                        self.priority_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Priority, ['value'], name, value)


                    class PriorityList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Priority.PriorityList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Priority.PriorityList, self).__init__()

                            self.yang_name = "priority-list"
                            self.yang_parent_name = "priority"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint8, "value")
                            self._segment_path = lambda: "priority-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.Priority.PriorityList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class ThreeWayHandshake(Entity):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:  :py:class:`Implementor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.ThreeWayHandshake.Implementor>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.ThreeWayHandshake, self).__init__()

                        self.yang_name = "three-way-handshake"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.implementor = YLeaf(YType.enumeration, "implementor")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:three-way-handshake"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis.ThreeWayHandshake, ['implementor'], name, value)

                    class Implementor(Enum):
                        """
                        Implementor

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = Enum.YLeaf(0, "cisco")

                        ietf = Enum.YLeaf(1, "ietf")



            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.Vlan.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class CiscoIOSXEInterfacesBfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesBfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class CiscoIOSXEInterfacesBandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth.Receive), "inherit" : ("inherit", Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth.Inherit, ['kilobits'], name, value)


            class CiscoIOSXEInterfacesDampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesDampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesDampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.Vlan.CiscoIOSXEInterfacesDampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.Vlan.CiscoIOSXEInterfacesDampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesDampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesDampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesDampening.Restart, ['restart', 'restart_penalty'], name, value)


            class CiscoIOSXEInterfacesDomain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesDomain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesDomain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class CiscoIOSXEInterfacesHoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesHoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesHoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesHoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class CiscoIOSXEInterfacesMpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesMpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.Vlan.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.Vlan.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.Vlan.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.Vlan.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.Vrf, ['forwarding'], name, value)


            class CiscoIOSXEInterfacesIp(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify>`
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:  :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Nbar>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup), "arp" : ("arp", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp), "vrf" : ("vrf", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Vrf), "no-address" : ("no_address", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.NoAddress), "address" : ("address", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address), "hello-interval" : ("hello_interval", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HelloInterval), "authentication" : ("authentication", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication), "hold-time" : ("hold_time", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HoldTime), "pim" : ("pim", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim), "policy" : ("policy", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Policy), "rip" : ("rip", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.RouteCache), "router" : ("router", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Router), "tcp" : ("tcp", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp), "summary-address" : ("summary_address", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.SummaryAddress), "verify" : ("verify", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify), "Cisco-IOS-XE-nbar:nbar" : ("nbar", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Nbar)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.nbar = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Nbar()
                    self.nbar.parent = self
                    self._children_name_map["nbar"] = "nbar"
                    self._children_yang_names.add("nbar")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_), "out" : ("out", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Primary), "dhcp" : ("dhcp", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication.KeyChain), "mode" : ("mode", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:  :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim.AcceptRegister>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:  :py:class:`SparseMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim.SparseMode>`
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:  :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim.QueryInterval>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:  :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim.SptThreshold>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-multicast:accept-register" : ("accept_register", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim.AcceptRegister), "Cisco-IOS-XE-multicast:query-interval" : ("query_interval", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim.QueryInterval)}
                        self._child_list_classes = {}

                        self.sparse_mode = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:sparse-mode")

                        self.nbma_mode = YLeaf(YType.empty, "Cisco-IOS-XE-multicast:nbma-mode")

                        self.dr_priority = YLeaf(YType.uint32, "Cisco-IOS-XE-multicast:dr-priority")

                        self.spt_threshold = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:spt-threshold")

                        self.accept_register = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self._children_name_map["accept_register"] = "accept-register"
                        self._children_yang_names.add("accept-register")

                        self.query_interval = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self._children_name_map["query_interval"] = "query-interval"
                        self._children_yang_names.add("query-interval")
                        self._segment_path = lambda: "pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim, ['sparse_mode', 'nbma_mode', 'dr_priority', 'spt_threshold'], name, value)

                    class SparseMode(Enum):
                        """
                        SparseMode

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = Enum.YLeaf(0, "sparse-dense-mode")

                        sparse_mode = Enum.YLeaf(1, "sparse-mode")


                    class SptThreshold(Enum):
                        """
                        SptThreshold

                        .. data:: infinity = 0

                        """

                        infinity = Enum.YLeaf(0, "infinity")



                    class AcceptRegister(Entity):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim.AcceptRegister, self).__init__()

                            self.yang_name = "accept-register"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.list = YLeaf(YType.str, "list")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:accept-register"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim.AcceptRegister, ['list'], name, value)


                    class QueryInterval(Entity):
                        """
                        PIM router query interval
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..18725
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim.QueryInterval, self).__init__()

                            self.yang_name = "query-interval"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.seconds_interval = YLeaf(YType.uint16, "seconds-interval")

                            self.milliseconds_interval = YLeaf(YType.uint16, "milliseconds-interval")

                            self.msec = YLeaf(YType.empty, "msec")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:query-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Pim.QueryInterval, ['seconds_interval', 'milliseconds_interval', 'msec'], name, value)


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Client), "Cisco-IOS-XE-dhcp:relay" : ("relay", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay), "Cisco-IOS-XE-dhcp:snooping" : ("snooping", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.client = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.relay = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay()
                        self.relay.parent = self
                        self._children_name_map["relay"] = "relay"
                        self._children_yang_names.add("relay")

                        self.snooping = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"


                    class Client(Entity):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hostname = YLeaf(YType.str, "hostname")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Client, ['hostname'], name, value)


                    class Relay(Entity):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay, self).__init__()

                            self.yang_name = "relay"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"information" : ("information", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information)}
                            self._child_list_classes = {}

                            self.source_interface = YLeaf(YType.str, "source-interface")

                            self.information = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information()
                            self.information.parent = self
                            self._children_name_map["information"] = "information"
                            self._children_yang_names.add("information")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:relay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay, ['source_interface'], name, value)


                        class Information(Entity):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:  :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:  :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:  :py:class:`PolicyAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.PolicyAction>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information, self).__init__()

                                self.yang_name = "information"
                                self.yang_parent_name = "relay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"check-reply" : ("check_reply", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.CheckReply), "option" : ("option", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.Option), "option-insert" : ("option_insert", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.OptionInsert)}
                                self._child_list_classes = {}

                                self.policy_action = YLeaf(YType.enumeration, "policy-action")

                                self.trusted = YLeaf(YType.empty, "trusted")

                                self.check_reply = None
                                self._children_name_map["check_reply"] = "check-reply"
                                self._children_yang_names.add("check-reply")

                                self.option = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self._children_name_map["option"] = "option"
                                self._children_yang_names.add("option")

                                self.option_insert = None
                                self._children_name_map["option_insert"] = "option-insert"
                                self._children_yang_names.add("option-insert")
                                self._segment_path = lambda: "information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information, ['policy_action', 'trusted'], name, value)

                            class PolicyAction(Enum):
                                """
                                PolicyAction

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = Enum.YLeaf(0, "drop")

                                encapsulate = Enum.YLeaf(1, "encapsulate")

                                keep = Enum.YLeaf(2, "keep")

                                replace = Enum.YLeaf(3, "replace")



                            class CheckReply(Entity):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.CheckReply, self).__init__()

                                    self.yang_name = "check-reply"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "check-reply"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.CheckReply, ['none'], name, value)


                            class Option(Entity):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.Option, self).__init__()

                                    self.yang_name = "option"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                    self._segment_path = lambda: "option"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                            class OptionInsert(Entity):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.OptionInsert, self).__init__()

                                    self.yang_name = "option-insert"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "option-insert"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Relay.Information.OptionInsert, ['none'], name, value)


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {"vlan" : ("vlan", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan)}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")

                            self.vlan = YList(self)
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:snooping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Limit, ['rate'], name, value)


                        class Vlan(Entity):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"information" : ("information", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.information = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self
                                self._children_name_map["information"] = "information"
                                self._children_yang_names.add("information")
                                self._segment_path = lambda: "vlan" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan, ['id'], name, value)


                            class Information(Entity):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information, self).__init__()

                                    self.yang_name = "information"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"option" : ("option", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information.Option)}
                                    self._child_list_classes = {}

                                    self.option = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self
                                    self._children_name_map["option"] = "option"
                                    self._children_yang_names.add("option")
                                    self._segment_path = lambda: "information"


                                class Option(Entity):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:  :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information.Option, self).__init__()

                                        self.yang_name = "option"
                                        self.yang_parent_name = "information"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"format-type" : ("format_type", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information.Option.FormatType)}
                                        self._child_list_classes = {}

                                        self.format_type = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self
                                        self._children_name_map["format_type"] = "format-type"
                                        self._children_yang_names.add("format-type")
                                        self._segment_path = lambda: "option"


                                    class FormatType(Entity):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:  :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information.Option.FormatType, self).__init__()

                                            self.yang_name = "format-type"
                                            self.yang_parent_name = "option"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"circuit-id" : ("circuit_id", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId)}
                                            self._child_list_classes = {}

                                            self.circuit_id = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self
                                            self._children_name_map["circuit_id"] = "circuit-id"
                                            self._children_yang_names.add("circuit-id")
                                            self._segment_path = lambda: "format-type"


                                        class CircuitId(Entity):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\: str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, self).__init__()

                                                self.yang_name = "circuit-id"
                                                self.yang_parent_name = "format-type"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.string = YLeaf(YType.str, "string")
                                                self._segment_path = lambda: "circuit-id"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, ['string'], name, value)


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Source), "unicast" : ("unicast", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



                class Nbar(Entity):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:  :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Nbar, self).__init__()

                        self.yang_name = "nbar"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"protocol-discovery" : ("protocol_discovery", Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Nbar.ProtocolDiscovery)}
                        self._child_list_classes = {}

                        self.protocol_discovery = None
                        self._children_name_map["protocol_discovery"] = "protocol-discovery"
                        self._children_yang_names.add("protocol-discovery")
                        self._segment_path = lambda: "Cisco-IOS-XE-nbar:nbar"


                    class ProtocolDiscovery(Entity):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:  :py:class:`Ipv4Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Nbar.ProtocolDiscovery.Ipv4Ipv6>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Nbar.ProtocolDiscovery, self).__init__()

                            self.yang_name = "protocol-discovery"
                            self.yang_parent_name = "nbar"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ipv4_ipv6 = YLeaf(YType.enumeration, "ipv4-ipv6")
                            self._segment_path = lambda: "protocol-discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp.Nbar.ProtocolDiscovery, ['ipv4_ipv6'], name, value)

                        class Ipv4Ipv6(Enum):
                            """
                            Ipv4Ipv6

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = Enum.YLeaf(0, "ipv4")

                            ipv6 = Enum.YLeaf(1, "ipv6")



            class CiscoIOSXEInterfacesIpv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.TrafficFilter>`
                
                .. attribute:: crypto
                
                	Encryption/Decryption commands
                	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Crypto>`
                
                .. attribute:: no_pim
                
                	
                	**type**\:  :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.NoPim>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Pim>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp), "address" : ("address", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address), "nd" : ("nd", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Nd), "tcp" : ("tcp", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Tcp), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Crypto), "Cisco-IOS-XE-multicast:no-pim" : ("no_pim", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.NoPim), "Cisco-IOS-XE-multicast:pim" : ("pim", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Pim)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.crypto = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Crypto()
                    self.crypto.parent = self
                    self._children_name_map["crypto"] = "crypto"
                    self._children_yang_names.add("crypto")

                    self.no_pim = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.NoPim()
                    self.no_pim.parent = self
                    self._children_name_map["no_pim"] = "no-pim"
                    self._children_yang_names.add("no-pim")

                    self.pim = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: client
                    
                    	Act as an IPv6 DHCP client
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Client>`
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of  		 :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Server>`
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Client), "Cisco-IOS-XE-dhcp:guard" : ("guard", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Guard)}
                        self._child_list_classes = {"Cisco-IOS-XE-dhcp:server" : ("server", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Server)}

                        self.client = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.guard = None
                        self._children_name_map["guard"] = "guard"
                        self._children_yang_names.add("guard")

                        self.server = YList(self)
                        self._segment_path = lambda: "dhcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp, [], name, value)


                    class Client(Entity):
                        """
                        Act as an IPv6 DHCP client
                        
                        .. attribute:: request
                        
                        	Request
                        	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Client.Request>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"request" : ("request", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Client.Request)}
                            self._child_list_classes = {}

                            self.request = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Client.Request()
                            self.request.parent = self
                            self._children_name_map["request"] = "request"
                            self._children_yang_names.add("request")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"


                        class Request(Entity):
                            """
                            Request
                            
                            .. attribute:: vendor
                            
                            	Request Vendor specific options
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Client.Request, self).__init__()

                                self.yang_name = "request"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vendor = YLeaf(YType.empty, "vendor")
                                self._segment_path = lambda: "request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Client.Request, ['vendor'], name, value)


                    class Server(Entity):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.preference = YLeaf(YType.uint8, "preference")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:server" + "[word='" + self.word.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Server, ['word', 'preference'], name, value)


                    class Guard(Entity):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Guard, self).__init__()

                            self.yang_name = "guard"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:guard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Dhcp.Guard, ['attach_policy'], name, value)


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class Crypto(Entity):
                    """
                    Encryption/Decryption commands
                    
                    .. attribute:: map
                    
                    	Assign an IPv6  Crypto Map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Crypto, self).__init__()

                        self.yang_name = "crypto"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.map = YLeaf(YType.str, "map")
                        self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Crypto, ['map'], name, value)


                class NoPim(Entity):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.NoPim, self).__init__()

                        self.yang_name = "no-pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pim = YLeaf(YType.boolean, "pim")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:no-pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.NoPim, ['pim'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:  :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bsr" : ("bsr", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Pim.Bsr)}
                        self._child_list_classes = {}

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.dr_priority = YLeaf(YType.uint32, "dr-priority")

                        self.bsr = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Pim.Bsr()
                        self.bsr.parent = self
                        self._children_name_map["bsr"] = "bsr"
                        self._children_yang_names.add("bsr")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Pim, ['bfd', 'dr_priority'], name, value)


                    class Bsr(Entity):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Pim.Bsr, self).__init__()

                            self.yang_name = "bsr"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.border = YLeaf(YType.empty, "border")
                            self._segment_path = lambda: "bsr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6.Pim.Bsr, ['border'], name, value)


            class CiscoIOSXEInterfacesLogging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesLogging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.Vlan.CiscoIOSXEInterfacesLogging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.Vlan.CiscoIOSXEInterfacesLogging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesLogging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesLogging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.Vlan.CiscoIOSXEInterfacesLogging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.Vlan.CiscoIOSXEInterfacesLogging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class CiscoIOSXEInterfacesMdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesMdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesMdix, ['auto'], name, value)


            class CiscoIOSXEInterfacesMop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesMop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesMop, ['enabled'], name, value)


            class CiscoIOSXEInterfacesInterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class CiscoIOSXEInterfacesStandby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.Delay), "use-bia" : ("use_bia", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class CiscoIOSXEInterfacesAccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession.PortControl, ['auto'], name, value)


            class CiscoIOSXEInterfacesStormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Action), "broadcast" : ("broadcast", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast), "multicast" : ("multicast", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast), "unicast" : ("unicast", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Include), "level" : ("level", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class CiscoIOSXEInterfacesTrust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesTrust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesTrust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesTrust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class CiscoIOSXEInterfacesPriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class CiscoIOSXEInterfacesRcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class CiscoIOSXEInterfacesPeer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer.Default.Ip.Address.Pool, ['pools'], name, value)


            class CiscoIOSXEInterfacesPmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesPmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesPmPath, ['name', 'interface_id'], name, value)


            class Crypto(Entity):
                """
                Encryption/Decryption commands
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Crypto.Map>`
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Crypto.Ipsec>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Interface.Vlan.Crypto, self).__init__()

                    self.yang_name = "crypto"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"map" : ("map", Native.Interface.Vlan.Crypto.Map), "ipsec" : ("ipsec", Native.Interface.Vlan.Crypto.Ipsec)}
                    self._child_list_classes = {}

                    self.map = Native.Interface.Vlan.Crypto.Map()
                    self.map.parent = self
                    self._children_name_map["map"] = "map"
                    self._children_yang_names.add("map")

                    self.ipsec = Native.Interface.Vlan.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self._children_name_map["ipsec"] = "ipsec"
                    self._children_yang_names.add("ipsec")
                    self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"


                class Map(Entity):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\: str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.Vlan.Crypto.Map, self).__init__()

                        self.yang_name = "map"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.str, "tag")

                        self.redundancy = YLeaf(YType.str, "redundancy")

                        self.stateful = YLeaf(YType.empty, "stateful")
                        self._segment_path = lambda: "map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.Crypto.Map, ['tag', 'redundancy', 'stateful'], name, value)


                class Ipsec(Entity):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:  :py:class:`DfBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Crypto.Ipsec.DfBit>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Crypto.Ipsec.Fragmentation>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.Vlan.Crypto.Ipsec, self).__init__()

                        self.yang_name = "ipsec"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.df_bit = YLeaf(YType.enumeration, "df-bit")

                        self.fragmentation = YLeaf(YType.enumeration, "fragmentation")
                        self._segment_path = lambda: "ipsec"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.Crypto.Ipsec, ['df_bit', 'fragmentation'], name, value)

                    class DfBit(Enum):
                        """
                        DfBit

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = Enum.YLeaf(0, "clear")

                        copy = Enum.YLeaf(1, "copy")

                        set = Enum.YLeaf(2, "set")


                    class Fragmentation(Enum):
                        """
                        Fragmentation

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = Enum.YLeaf(0, "after-encryption")

                        before_encryption = Enum.YLeaf(1, "before-encryption")



            class Cts(Entity):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:  :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Interface.Vlan.Cts, self).__init__()

                    self.yang_name = "cts"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"manual" : ("manual", Native.Interface.Vlan.Cts.Manual)}
                    self._child_list_classes = {}

                    self.manual = None
                    self._children_name_map["manual"] = "manual"
                    self._children_yang_names.add("manual")
                    self._segment_path = lambda: "Cisco-IOS-XE-cts:cts"


                class Manual(Entity):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Policy>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:  :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:  :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Propagate>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.Vlan.Cts.Manual, self).__init__()

                        self.yang_name = "manual"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"policy" : ("policy", Native.Interface.Vlan.Cts.Manual.Policy), "sap" : ("sap", Native.Interface.Vlan.Cts.Manual.Sap), "propagate" : ("propagate", Native.Interface.Vlan.Cts.Manual.Propagate)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.policy = Native.Interface.Vlan.Cts.Manual.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.sap = Native.Interface.Vlan.Cts.Manual.Sap()
                        self.sap.parent = self
                        self._children_name_map["sap"] = "sap"
                        self._children_yang_names.add("sap")

                        self.propagate = Native.Interface.Vlan.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self._children_name_map["propagate"] = "propagate"
                        self._children_yang_names.add("propagate")
                        self._segment_path = lambda: "manual"


                    class Policy(Entity):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.Vlan.Cts.Manual.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"static" : ("static", Native.Interface.Vlan.Cts.Manual.Policy.Static)}
                            self._child_list_classes = {}

                            self.static = Native.Interface.Vlan.Cts.Manual.Policy.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")
                            self._segment_path = lambda: "policy"


                        class Static(Entity):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted  incoming traffic
                            	**type**\: int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for  sending
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.Vlan.Cts.Manual.Policy.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sgt = YLeaf(YType.uint16, "sgt")

                                self.trusted = YLeaf(YType.empty, "trusted")
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.Cts.Manual.Policy.Static, ['sgt', 'trusted'], name, value)


                    class Sap(Entity):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of  		 :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.Vlan.Cts.Manual.Sap, self).__init__()

                            self.yang_name = "sap"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"pmk" : ("pmk", Native.Interface.Vlan.Cts.Manual.Sap.Pmk)}

                            self.pmk = YList(self)
                            self._segment_path = lambda: "sap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.Cts.Manual.Sap, [], name, value)


                        class Pmk(Entity):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:  :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.Vlan.Cts.Manual.Sap.Pmk, self).__init__()

                                self.yang_name = "pmk"
                                self.yang_parent_name = "sap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode-list" : ("mode_list", Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList)}
                                self._child_list_classes = {}

                                self.word = YLeaf(YType.str, "word")

                                self.mode_list = Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self
                                self._children_name_map["mode_list"] = "mode-list"
                                self._children_yang_names.add("mode-list")
                                self._segment_path = lambda: "pmk" + "[word='" + self.word.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.Cts.Manual.Sap.Pmk, ['word'], name, value)


                            class ModeList(Entity):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:  :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:  :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-06-29'

                                def __init__(self):
                                    super(Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList, self).__init__()

                                    self.yang_name = "mode-list"
                                    self.yang_parent_name = "pmk"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"gcm-encrypt" : ("gcm_encrypt", Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt), "no-encap" : ("no_encap", Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap)}
                                    self._child_list_classes = {}

                                    self.gcm_encrypt = None
                                    self._children_name_map["gcm_encrypt"] = "gcm-encrypt"
                                    self._children_yang_names.add("gcm-encrypt")

                                    self.no_encap = None
                                    self._children_name_map["no_encap"] = "no-encap"
                                    self._children_yang_names.add("no-encap")
                                    self._segment_path = lambda: "mode-list"


                                class GcmEncrypt(Entity):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt, self).__init__()

                                        self.yang_name = "gcm-encrypt"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "gcm-encrypt"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,  no encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "gcm-encrypt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.null = YLeaf(YType.empty, "null")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, ['null'], name, value)


                                class NoEncap(Entity):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap, self).__init__()

                                        self.yang_name = "no-encap"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "no-encap"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "no-encap"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.gcm_encrypt = YLeaf(YType.empty, "gcm-encrypt")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Vlan.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, ['gcm_encrypt'], name, value)


                    class Propagate(Entity):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.Vlan.Cts.Manual.Propagate, self).__init__()

                            self.yang_name = "propagate"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sgt = YLeaf(YType.boolean, "sgt")
                            self._segment_path = lambda: "propagate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.Cts.Manual.Propagate, ['sgt'], name, value)


            class ServicePolicy(Entity):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\: str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\: str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Interface.Vlan.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.Interface.Vlan.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.history = YLeaf(YType.empty, "history")

                    self.input = YLeaf(YType.str, "input")

                    self.output = YLeaf(YType.str, "output")

                    self.type = Native.Interface.Vlan.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.ServicePolicy, ['history', 'input', 'output'], name, value)


                class Type(Entity):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Interface.Vlan.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"control" : ("control", Native.Interface.Vlan.ServicePolicy.Type.Control), "performance-monitor" : ("performance_monitor", Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor), "service-chain" : ("service_chain", Native.Interface.Vlan.ServicePolicy.Type.ServiceChain)}
                        self._child_list_classes = {}

                        self.control = Native.Interface.Vlan.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self._children_name_map["control"] = "control"
                        self._children_yang_names.add("control")

                        self.performance_monitor = Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.service_chain = Native.Interface.Vlan.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self
                        self._children_name_map["service_chain"] = "service-chain"
                        self._children_yang_names.add("service-chain")
                        self._segment_path = lambda: "type"


                    class Control(Entity):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Vlan.ServicePolicy.Type.Control, self).__init__()

                            self.yang_name = "control"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.subscriber = YLeaf(YType.str, "subscriber")
                            self._segment_path = lambda: "control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.ServicePolicy.Type.Control, ['subscriber'], name, value)


                    class PerformanceMonitor(Entity):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor.Direction>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "performance-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.ServicePolicy.Type.PerformanceMonitor, ['direction', 'name'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



                    class ServiceChain(Entity):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Vlan.ServicePolicy.Type.ServiceChain, self).__init__()

                            self.yang_name = "service-chain"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Input), "output" : ("output", Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Output)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "service-chain"


                        class Input(Entity):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.ServicePolicy.Type.ServiceChain.Output, ['name'], name, value)


            class Lisp(Entity):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:  :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Interface.Vlan.Lisp, self).__init__()

                    self.yang_name = "lisp"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"mobility" : ("mobility", Native.Interface.Vlan.Lisp.Mobility)}
                    self._child_list_classes = {}

                    self.extended_subnet_mode = YLeaf(YType.empty, "extended-subnet-mode")

                    self.mobility = Native.Interface.Vlan.Lisp.Mobility()
                    self.mobility.parent = self
                    self._children_name_map["mobility"] = "mobility"
                    self._children_yang_names.add("mobility")
                    self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.Lisp, ['extended_subnet_mode'], name, value)


                class Mobility(Entity):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:  :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:  :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Lisp.Mobility.Discover>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:  :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Vlan.Lisp.Mobility, self).__init__()

                        self.yang_name = "mobility"
                        self.yang_parent_name = "lisp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dynamic-eid" : ("dynamic_eid", Native.Interface.Vlan.Lisp.Mobility.DynamicEid), "discover" : ("discover", Native.Interface.Vlan.Lisp.Mobility.Discover), "liveness" : ("liveness", Native.Interface.Vlan.Lisp.Mobility.Liveness)}
                        self._child_list_classes = {}

                        self.dynamic_eid = Native.Interface.Vlan.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self._children_name_map["dynamic_eid"] = "dynamic-eid"
                        self._children_yang_names.add("dynamic-eid")

                        self.discover = Native.Interface.Vlan.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self._children_name_map["discover"] = "discover"
                        self._children_yang_names.add("discover")

                        self.liveness = Native.Interface.Vlan.Lisp.Mobility.Liveness()
                        self.liveness.parent = self
                        self._children_name_map["liveness"] = "liveness"
                        self._children_yang_names.add("liveness")
                        self._segment_path = lambda: "mobility"


                    class DynamicEid(Entity):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\: int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.Lisp.Mobility.DynamicEid, self).__init__()

                            self.yang_name = "dynamic-eid"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dynamic_eid_name = YLeaf(YType.str, "dynamic-eid-name")

                            self.nbr_proxy_reply = YLeaf(YType.empty, "nbr-proxy-reply")

                            self.requests = YLeaf(YType.uint8, "requests")
                            self._segment_path = lambda: "dynamic-eid"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.Lisp.Mobility.DynamicEid, ['dynamic_eid_name', 'nbr_proxy_reply', 'requests'], name, value)


                    class Discover(Entity):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.Lisp.Mobility.Discover, self).__init__()

                            self.yang_name = "discover"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.arp = YLeaf(YType.boolean, "arp")
                            self._segment_path = lambda: "discover"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.Lisp.Mobility.Discover, ['arp'], name, value)


                    class Liveness(Entity):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\: bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\: int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vlan.Lisp.Mobility.Liveness, self).__init__()

                            self.yang_name = "liveness"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.test = YLeaf(YType.boolean, "test")

                            self.ttl = YLeaf(YType.uint8, "ttl")
                            self._segment_path = lambda: "liveness"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.Lisp.Mobility.Liveness, ['test', 'ttl'], name, value)


            class PrivateVlan(Entity):
                """
                Configure private VLAN SVI interface settings
                
                .. attribute:: mapping
                
                	Set the private VLAN SVI interface mapping
                	**type**\: str
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.PrivateVlan, self).__init__()

                    self.yang_name = "private-vlan"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mapping = YLeaf(YType.str, "mapping")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:private-vlan"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.PrivateVlan, ['mapping'], name, value)


            class Vrrp(Entity):
                """
                
                
                .. attribute:: number  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: ip
                
                	Enable Virtual Router Redundancy Protocol (VRRP) for IP
                	**type**\: list of  		 :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Vrrp.Ip>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.Vrrp, self).__init__()

                    self.yang_name = "vrrp"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"ip" : ("ip", Native.Interface.Vlan.Vrrp.Ip)}

                    self.number = YLeaf(YType.uint8, "number")

                    self.ip = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:vrrp" + "[number='" + self.number.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.Vrrp, ['number'], name, value)


                class Ip(Entity):
                    """
                    Enable Virtual Router Redundancy Protocol (VRRP) for IP
                    
                    .. attribute:: ipv4  <key>
                    
                    	VRRP group IP address
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: secondary
                    
                    	Make this IP address a secondary address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.Vrrp.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "vrrp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ipv4 = YLeaf(YType.str, "ipv4")

                        self.secondary = YLeaf(YType.empty, "secondary")
                        self._segment_path = lambda: "ip" + "[ipv4='" + self.ipv4.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.Vrrp.Ip, ['ipv4', 'secondary'], name, value)


            class ServiceRouting(Entity):
                """
                Service Routing in Interface Mode
                
                .. attribute:: mdns_sd
                
                	Service\-Routing mdns\-sd configuration in interface mode
                	**type**\:  :py:class:`MdnsSd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServiceRouting.MdnsSd>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.ServiceRouting, self).__init__()

                    self.yang_name = "service-routing"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"mdns-sd" : ("mdns_sd", Native.Interface.Vlan.ServiceRouting.MdnsSd)}
                    self._child_list_classes = {}

                    self.mdns_sd = Native.Interface.Vlan.ServiceRouting.MdnsSd()
                    self.mdns_sd.parent = self
                    self._children_name_map["mdns_sd"] = "mdns-sd"
                    self._children_yang_names.add("mdns-sd")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:service-routing"


                class MdnsSd(Entity):
                    """
                    Service\-Routing mdns\-sd configuration in interface mode
                    
                    .. attribute:: redistribute
                    
                    	Redistribution of services
                    	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.ServiceRouting.MdnsSd.Redistribute>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.ServiceRouting.MdnsSd, self).__init__()

                        self.yang_name = "mdns-sd"
                        self.yang_parent_name = "service-routing"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"redistribute" : ("redistribute", Native.Interface.Vlan.ServiceRouting.MdnsSd.Redistribute)}
                        self._child_list_classes = {}

                        self.redistribute = Native.Interface.Vlan.ServiceRouting.MdnsSd.Redistribute()
                        self.redistribute.parent = self
                        self._children_name_map["redistribute"] = "redistribute"
                        self._children_yang_names.add("redistribute")
                        self._segment_path = lambda: "mdns-sd"


                    class Redistribute(Entity):
                        """
                        Redistribution of services
                        
                        .. attribute:: mdns_sd
                        
                        	Redistribution of services
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: withdraw_only
                        
                        	Enable redistribution only for service withdraw
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.ServiceRouting.MdnsSd.Redistribute, self).__init__()

                            self.yang_name = "redistribute"
                            self.yang_parent_name = "mdns-sd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.mdns_sd = YLeaf(YType.empty, "mdns-sd")

                            self.withdraw_only = YLeaf(YType.empty, "withdraw-only")
                            self._segment_path = lambda: "redistribute"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.ServiceRouting.MdnsSd.Redistribute, ['mdns_sd', 'withdraw_only'], name, value)


            class Glbp(Entity):
                """
                Gateway Load Balancing Protocol interface commands
                
                .. attribute:: range
                
                	
                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.Glbp, self).__init__()

                    self.yang_name = "glbp"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"range" : ("range", Native.Interface.Vlan.Glbp.Range)}

                    self.range = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:glbp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.Glbp, [], name, value)


                class Range(Entity):
                    """
                    
                    
                    .. attribute:: range  <key>
                    
                    	Group number
                    	**type**\: int
                    
                    	**range:** 0..1023
                    
                    .. attribute:: forwarder
                    
                    	Forwarder configuration
                    	**type**\:  :py:class:`Forwarder <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Forwarder>`
                    
                    .. attribute:: ip
                    
                    	Enable group and set virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority designated routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority value
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: weighting
                    
                    	Gateway weighting and tracking
                    	**type**\:  :py:class:`Weighting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Weighting>`
                    
                    .. attribute:: timers
                    
                    	Adjust GLBP timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Timers>`
                    
                    .. attribute:: name
                    
                    	Redundancy name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.Glbp.Range, self).__init__()

                        self.yang_name = "range"
                        self.yang_parent_name = "glbp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarder" : ("forwarder", Native.Interface.Vlan.Glbp.Range.Forwarder), "ip" : ("ip", Native.Interface.Vlan.Glbp.Range.Ip), "preempt" : ("preempt", Native.Interface.Vlan.Glbp.Range.Preempt), "weighting" : ("weighting", Native.Interface.Vlan.Glbp.Range.Weighting), "timers" : ("timers", Native.Interface.Vlan.Glbp.Range.Timers)}
                        self._child_list_classes = {}

                        self.range = YLeaf(YType.uint16, "range")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.name = YLeaf(YType.str, "name")

                        self.forwarder = Native.Interface.Vlan.Glbp.Range.Forwarder()
                        self.forwarder.parent = self
                        self._children_name_map["forwarder"] = "forwarder"
                        self._children_yang_names.add("forwarder")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.weighting = Native.Interface.Vlan.Glbp.Range.Weighting()
                        self.weighting.parent = self
                        self._children_name_map["weighting"] = "weighting"
                        self._children_yang_names.add("weighting")

                        self.timers = Native.Interface.Vlan.Glbp.Range.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")
                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.Glbp.Range, ['range', 'priority', 'name'], name, value)


                    class Forwarder(Entity):
                        """
                        Forwarder configuration
                        
                        .. attribute:: preempt
                        
                        	Overthrow lower priority active forwarders
                        	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.Glbp.Range.Forwarder, self).__init__()

                            self.yang_name = "forwarder"
                            self.yang_parent_name = "range"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"preempt" : ("preempt", Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt)}
                            self._child_list_classes = {}

                            self.preempt = None
                            self._children_name_map["preempt"] = "preempt"
                            self._children_yang_names.add("preempt")
                            self._segment_path = lambda: "forwarder"


                        class Preempt(Entity):
                            """
                            Overthrow lower priority active forwarders
                            
                            .. attribute:: delay
                            
                            	Wait before preempting
                            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt.Delay>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt, self).__init__()

                                self.yang_name = "preempt"
                                self.yang_parent_name = "forwarder"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"delay" : ("delay", Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt.Delay)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.delay = Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt.Delay()
                                self.delay.parent = self
                                self._children_name_map["delay"] = "delay"
                                self._children_yang_names.add("delay")
                                self._segment_path = lambda: "preempt"


                            class Delay(Entity):
                                """
                                Wait before preempting
                                
                                .. attribute:: minimum
                                
                                	Number of seconds for minimum delay
                                	**type**\: int
                                
                                	**range:** 0..3600
                                
                                

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-05-31'

                                def __init__(self):
                                    super(Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt.Delay, self).__init__()

                                    self.yang_name = "delay"
                                    self.yang_parent_name = "preempt"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.minimum = YLeaf(YType.uint16, "minimum")
                                    self._segment_path = lambda: "delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.Glbp.Range.Forwarder.Preempt.Delay, ['minimum'], name, value)


                    class Ip(Entity):
                        """
                        Enable group and set virtual IP address
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Ip.Ipv4>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.Glbp.Range.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "range"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"ipv4" : ("ipv4", Native.Interface.Vlan.Glbp.Range.Ip.Ipv4)}
                            self.is_presence_container = True

                            self.ipv4 = YList(self)
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.Glbp.Range.Ip, [], name, value)


                        class Ipv4(Entity):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	Virtual IP address
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.Glbp.Range.Ip.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")
                                self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.Glbp.Range.Ip.Ipv4, ['ipv4'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority designated routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.Glbp.Range.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "range"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.Vlan.Glbp.Range.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.Vlan.Glbp.Range.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Number of seconds for minimum delay
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.Glbp.Range.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.Glbp.Range.Preempt.Delay, ['minimum'], name, value)


                    class Weighting(Entity):
                        """
                        Gateway weighting and tracking
                        
                        .. attribute:: value
                        
                        	Weighting maximum value
                        	**type**\: list of  		 :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Weighting.Value>`
                        
                        .. attribute:: track
                        
                        	Interface tracking
                        	**type**\:  :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Weighting.Track>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.Glbp.Range.Weighting, self).__init__()

                            self.yang_name = "weighting"
                            self.yang_parent_name = "range"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"track" : ("track", Native.Interface.Vlan.Glbp.Range.Weighting.Track)}
                            self._child_list_classes = {"value" : ("value", Native.Interface.Vlan.Glbp.Range.Weighting.Value)}

                            self.track = Native.Interface.Vlan.Glbp.Range.Weighting.Track()
                            self.track.parent = self
                            self._children_name_map["track"] = "track"
                            self._children_yang_names.add("track")

                            self.value = YList(self)
                            self._segment_path = lambda: "weighting"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.Glbp.Range.Weighting, [], name, value)


                        class Value(Entity):
                            """
                            Weighting maximum value
                            
                            .. attribute:: value  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-128..127
                            
                            .. attribute:: upper
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-128..127
                            
                            .. attribute:: lower
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-128..127
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.Glbp.Range.Weighting.Value, self).__init__()

                                self.yang_name = "value"
                                self.yang_parent_name = "weighting"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.int8, "value")

                                self.upper = YLeaf(YType.int8, "upper")

                                self.lower = YLeaf(YType.int8, "lower")
                                self._segment_path = lambda: "value" + "[value='" + self.value.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.Glbp.Range.Weighting.Value, ['value', 'upper', 'lower'], name, value)


                        class Track(Entity):
                            """
                            Interface tracking
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Weighting.Track.Range>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.Glbp.Range.Weighting.Track, self).__init__()

                                self.yang_name = "track"
                                self.yang_parent_name = "weighting"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"range" : ("range", Native.Interface.Vlan.Glbp.Range.Weighting.Track.Range)}

                                self.range = YList(self)
                                self._segment_path = lambda: "track"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.Glbp.Range.Weighting.Track, [], name, value)


                            class Range(Entity):
                                """
                                
                                
                                .. attribute:: range  <key>
                                
                                	Tracked object
                                	**type**\: int
                                
                                	**range:** 1..1000
                                
                                .. attribute:: decrement
                                
                                	Decrement value
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-05-31'

                                def __init__(self):
                                    super(Native.Interface.Vlan.Glbp.Range.Weighting.Track.Range, self).__init__()

                                    self.yang_name = "range"
                                    self.yang_parent_name = "track"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.range = YLeaf(YType.uint16, "range")

                                    self.decrement = YLeaf(YType.uint8, "decrement")
                                    self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.Glbp.Range.Weighting.Track.Range, ['range', 'decrement'], name, value)


                    class Timers(Entity):
                        """
                        Adjust GLBP timers
                        
                        .. attribute:: msec
                        
                        	Specify hello interval in milliseconds
                        	**type**\:  :py:class:`Msec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Timers.Msec>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.Glbp.Range.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "range"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"msec" : ("msec", Native.Interface.Vlan.Glbp.Range.Timers.Msec)}
                            self._child_list_classes = {}

                            self.msec = Native.Interface.Vlan.Glbp.Range.Timers.Msec()
                            self.msec.parent = self
                            self._children_name_map["msec"] = "msec"
                            self._children_yang_names.add("msec")
                            self._segment_path = lambda: "timers"


                        class Msec(Entity):
                            """
                            Specify hello interval in milliseconds
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.Glbp.Range.Timers.Msec.Range>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.Glbp.Range.Timers.Msec, self).__init__()

                                self.yang_name = "msec"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"range" : ("range", Native.Interface.Vlan.Glbp.Range.Timers.Msec.Range)}

                                self.range = YList(self)
                                self._segment_path = lambda: "msec"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.Glbp.Range.Timers.Msec, [], name, value)


                            class Range(Entity):
                                """
                                
                                
                                .. attribute:: range  <key>
                                
                                	Hello interval in milliseconds
                                	**type**\: int
                                
                                	**range:** 50..60000
                                
                                .. attribute:: range0
                                
                                	Hold time in seconds
                                	**type**\: int
                                
                                	**range:** 1..180
                                
                                

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-05-31'

                                def __init__(self):
                                    super(Native.Interface.Vlan.Glbp.Range.Timers.Msec.Range, self).__init__()

                                    self.yang_name = "range"
                                    self.yang_parent_name = "msec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.range = YLeaf(YType.uint16, "range")

                                    self.range0 = YLeaf(YType.uint8, "range0")
                                    self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.Glbp.Range.Timers.Msec.Range, ['range', 'range0'], name, value)


            class CiscoIOSXEInterfacesSwitchportConf_(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchportConf_, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchportConf_, ['switchport'], name, value)


            class CiscoIOSXEInterfacesSwitchport_(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesSwitchport_, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:switchport"


            class CiscoIOSXEInterfacesArp_(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesArp_, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesArp_, ['timeout'], name, value)


            class CiscoIOSXEInterfacesBackup_(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Load>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Delay), "interface" : ("interface", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface), "load" : ("load", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBackup_.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class CiscoIOSXEInterfacesCemoudp_(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp_.Reserve>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp_, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp_.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp_.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp_.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesCemoudp_.Reserve, ['acr'], name, value)


            class CiscoIOSXEInterfacesCwsTunnel_(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel_.Out>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel_, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel_.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel_.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel_, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel_.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesCwsTunnel_.Out, ['tunnel_number'], name, value)


            class CiscoIOSXEInterfacesL2ProtocolTunnel_(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesL2ProtocolTunnel_.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class CiscoIOSXEInterfacesEncapsulation_(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Dot1Q), "isl" : ("isl", Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Isl), "ppp" : ("ppp", Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Ppp), "slip" : ("slip", Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Slip), "frame-relay" : ("frame_relay", Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesEncapsulation_.FrameRelay, ['ietf'], name, value)


            class CiscoIOSXEInterfacesFairQueueConf_(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueueConf_, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueueConf_, ['fair_queue'], name, value)


            class CiscoIOSXEInterfacesFairQueue_(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueue_, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesFairQueue_, ['incomplete'], name, value)


            class CiscoIOSXEInterfacesFlowcontrol_(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol_.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol_.Send>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol_, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesFlowcontrol_, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class CiscoIOSXEInterfacesIsis_(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesIsis_, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:isis"


            class KeepaliveSettings_(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.KeepaliveSettings_.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.KeepaliveSettings_, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.Vlan.KeepaliveSettings_.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.KeepaliveSettings_.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.KeepaliveSettings_.Keepalive, ['period', 'retries'], name, value)


            class CiscoIOSXEInterfacesBfd_(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesBfd_, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:bfd"


            class CiscoIOSXEInterfacesBandwidth_(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_.Receive), "inherit" : ("inherit", Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesBandwidth_.Inherit, ['kilobits'], name, value)


            class CiscoIOSXEInterfacesDampening_(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesDampening_.Restart>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesDampening_, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.Vlan.CiscoIOSXEInterfacesDampening_.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.Vlan.CiscoIOSXEInterfacesDampening_.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesDampening_, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesDampening_.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesDampening_.Restart, ['restart', 'restart_penalty'], name, value)


            class CiscoIOSXEInterfacesDomain_(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesDomain_, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesDomain_, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class CiscoIOSXEInterfacesHoldQueue_(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesHoldQueue_.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesHoldQueue_, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesHoldQueue_, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class CiscoIOSXEInterfacesMpls_(Entity):
                """
                
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesMpls_, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:mpls"


            class IpVrf_(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IpVrf_.Ip>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.IpVrf_, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.Vlan.IpVrf_.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.Vlan.IpVrf_.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.IpVrf_.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.IpVrf_.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.Vlan.IpVrf_.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.Vlan.IpVrf_.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.IpVrf_.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.IpVrf_.Ip.Vrf, ['forwarding'], name, value)


            class Vrf_(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.Vrf_, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.Vrf_, ['forwarding'], name, value)


            class CiscoIOSXEInterfacesIp_(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup), "arp" : ("arp", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp), "vrf" : ("vrf", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Vrf), "no-address" : ("no_address", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.NoAddress), "address" : ("address", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address), "hello-interval" : ("hello_interval", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HelloInterval), "authentication" : ("authentication", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication), "hold-time" : ("hold_time", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HoldTime), "pim" : ("pim", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Pim), "policy" : ("policy", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Policy), "rip" : ("rip", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.RouteCache), "router" : ("router", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Router), "tcp" : ("tcp", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Dhcp), "summary-address" : ("summary_address", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.SummaryAddress), "verify" : ("verify", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_), "out" : ("out", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Primary), "dhcp" : ("dhcp", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication.KeyChain), "mode" : ("mode", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Source), "unicast" : ("unicast", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-05-31'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIp_.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



            class CiscoIOSXEInterfacesIpv6_(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.TrafficFilter>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Dhcp), "address" : ("address", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address), "nd" : ("nd", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Nd), "tcp" : ("tcp", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesIpv6_.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class CiscoIOSXEInterfacesLogging_(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_.Event>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesLogging_.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class CiscoIOSXEInterfacesMdix_(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesMdix_, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesMdix_, ['auto'], name, value)


            class CiscoIOSXEInterfacesMop_(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesMop_, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesMop_, ['enabled'], name, value)


            class CiscoIOSXEInterfacesInterfaceQos_(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos_.Trust>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos_, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos_.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos_.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos_.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos_.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesInterfaceQos_.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class CiscoIOSXEInterfacesStandby_(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.Delay), "use-bia" : ("use_bia", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication), "ip" : ("ip", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect), "timers" : ("timers", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-05-31'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-05-31'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-vlan'
                                    _revision = '2017-05-31'

                                    def __init__(self):
                                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios-vlan'
                                        _revision = '2017-05-31'

                                        def __init__(self):
                                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStandby_.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class CiscoIOSXEInterfacesAccessSession_(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession_.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession_.HostMode>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession_, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession_.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession_.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession_, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession_.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesAccessSession_.PortControl, ['auto'], name, value)


            class CiscoIOSXEInterfacesStormControl_(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Action), "broadcast" : ("broadcast", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast), "multicast" : ("multicast", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast), "unicast" : ("unicast", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Include), "level" : ("level", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesStormControl_.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class CiscoIOSXEInterfacesTrust_(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesTrust_.Device>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesTrust_, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesTrust_, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class CiscoIOSXEInterfacesPriorityQueue_(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue_.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue_, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue_.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue_.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue_, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue_.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesPriorityQueue_.CosMap, ['id', 'cos_values'], name, value)


            class CiscoIOSXEInterfacesRcvQueue_(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue_.CosMap>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue_, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue_.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue_, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue_.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesRcvQueue_.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class CiscoIOSXEInterfacesPeer_(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default>`
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios-vlan'
                    _revision = '2017-05-31'

                    def __init__(self):
                        super(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios-vlan'
                        _revision = '2017-05-31'

                        def __init__(self):
                            super(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-vlan'
                            _revision = '2017-05-31'

                            def __init__(self):
                                super(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-05-31'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-vlan'
                                _revision = '2017-05-31'

                                def __init__(self):
                                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesPeer_.Default.Ip.Address.Pool, ['pools'], name, value)


            class CiscoIOSXEInterfacesPmPath_(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios-vlan'
                _revision = '2017-05-31'

                def __init__(self):
                    super(Native.Interface.Vlan.CiscoIOSXEInterfacesPmPath_, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "Cisco-IOS-XE-vlan:pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.CiscoIOSXEInterfacesPmPath_, ['name', 'interface_id'], name, value)


            class ZoneMember(Entity):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\: str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Vlan.ZoneMember, self).__init__()

                    self.yang_name = "zone-member"
                    self.yang_parent_name = "Vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.security = YLeaf(YType.str, "security")
                    self._segment_path = lambda: "Cisco-IOS-XE-zone:zone-member"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vlan.ZoneMember, ['security'], name, value)


        class GroupAsync(Entity):
            """
            Async Group interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..64
            
            .. attribute:: physical_layer
            
            	Configure sync or async physical layer on serial interface
            	**type**\:  :py:class:`PhysicalLayer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.PhysicalLayer>`
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.PmPath>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.GroupAsync, self).__init__()

                self.yang_name = "Group-Async"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.GroupAsync.SwitchportConf), "switchport" : ("switchport", Native.Interface.GroupAsync.Switchport), "arp" : ("arp", Native.Interface.GroupAsync.Arp), "backup" : ("backup", Native.Interface.GroupAsync.Backup), "cemoudp" : ("cemoudp", Native.Interface.GroupAsync.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.GroupAsync.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.GroupAsync.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.GroupAsync.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.GroupAsync.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.GroupAsync.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.GroupAsync.Flowcontrol), "isis" : ("isis", Native.Interface.GroupAsync.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.GroupAsync.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.GroupAsync.Bfd), "bandwidth" : ("bandwidth", Native.Interface.GroupAsync.Bandwidth), "dampening" : ("dampening", Native.Interface.GroupAsync.Dampening), "domain" : ("domain", Native.Interface.GroupAsync.Domain), "mpls" : ("mpls", Native.Interface.GroupAsync.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.GroupAsync.IpVrf), "vrf" : ("vrf", Native.Interface.GroupAsync.Vrf), "ip" : ("ip", Native.Interface.GroupAsync.Ip), "ipv6" : ("ipv6", Native.Interface.GroupAsync.Ipv6), "logging" : ("logging", Native.Interface.GroupAsync.Logging), "mdix" : ("mdix", Native.Interface.GroupAsync.Mdix), "mop" : ("mop", Native.Interface.GroupAsync.Mop), "interface_qos" : ("interface_qos", Native.Interface.GroupAsync.InterfaceQos), "standby" : ("standby", Native.Interface.GroupAsync.Standby), "access-session" : ("access_session", Native.Interface.GroupAsync.AccessSession), "storm-control" : ("storm_control", Native.Interface.GroupAsync.StormControl), "trust" : ("trust", Native.Interface.GroupAsync.Trust), "priority-queue" : ("priority_queue", Native.Interface.GroupAsync.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.GroupAsync.RcvQueue), "peer" : ("peer", Native.Interface.GroupAsync.Peer), "pm-path" : ("pm_path", Native.Interface.GroupAsync.PmPath)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.GroupAsync.HoldQueue)}

                self.name = YLeaf(YType.uint16, "name")

                self.physical_layer = YLeaf(YType.enumeration, "physical-layer")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.switchport_conf = Native.Interface.GroupAsync.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.GroupAsync.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.GroupAsync.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.GroupAsync.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.GroupAsync.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.GroupAsync.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.GroupAsync.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.GroupAsync.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.GroupAsync.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.GroupAsync.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.GroupAsync.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.GroupAsync.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.GroupAsync.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.GroupAsync.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.GroupAsync.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.GroupAsync.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.GroupAsync.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.GroupAsync.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.GroupAsync.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.GroupAsync.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.GroupAsync.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.GroupAsync.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.GroupAsync.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.GroupAsync.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.GroupAsync.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.GroupAsync.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.GroupAsync.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.GroupAsync.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.GroupAsync.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.GroupAsync.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.GroupAsync.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.GroupAsync.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.GroupAsync.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "Group-Async" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.GroupAsync, ['name', 'physical_layer', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class PhysicalLayer(Enum):
                """
                PhysicalLayer

                Configure sync or async physical layer on serial interface

                .. data:: async = 0

                .. data:: sync = 1

                """

                async = Enum.YLeaf(0, "async")

                sync = Enum.YLeaf(1, "sync")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.GroupAsync.Backup.Delay), "interface" : ("interface", Native.Interface.GroupAsync.Backup.Interface), "load" : ("load", Native.Interface.GroupAsync.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.GroupAsync.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.GroupAsync.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.GroupAsync.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.GroupAsync.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.GroupAsync.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.GroupAsync.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.GroupAsync.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.GroupAsync.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.GroupAsync.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.GroupAsync.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.GroupAsync.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.GroupAsync.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.GroupAsync.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.GroupAsync.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.GroupAsync.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.GroupAsync.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.GroupAsync.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.GroupAsync.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.GroupAsync.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.GroupAsync.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.GroupAsync.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.GroupAsync.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.GroupAsync.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.GroupAsync.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.GroupAsync.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.GroupAsync.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.GroupAsync.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.GroupAsync.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.GroupAsync.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.GroupAsync.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.GroupAsync.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.GroupAsync.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.GroupAsync.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.GroupAsync.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.GroupAsync.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.GroupAsync.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.GroupAsync.Ip.AccessGroup), "arp" : ("arp", Native.Interface.GroupAsync.Ip.Arp), "vrf" : ("vrf", Native.Interface.GroupAsync.Ip.Vrf), "no-address" : ("no_address", Native.Interface.GroupAsync.Ip.NoAddress), "address" : ("address", Native.Interface.GroupAsync.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.GroupAsync.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.GroupAsync.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.GroupAsync.Ip.HoldTime), "pim" : ("pim", Native.Interface.GroupAsync.Ip.Pim), "policy" : ("policy", Native.Interface.GroupAsync.Ip.Policy), "rip" : ("rip", Native.Interface.GroupAsync.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.GroupAsync.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.GroupAsync.Ip.RouteCache), "router" : ("router", Native.Interface.GroupAsync.Ip.Router), "tcp" : ("tcp", Native.Interface.GroupAsync.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.GroupAsync.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.GroupAsync.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.GroupAsync.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.GroupAsync.Ip.Verify)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.GroupAsync.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.GroupAsync.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.GroupAsync.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.GroupAsync.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.GroupAsync.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.GroupAsync.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.GroupAsync.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.GroupAsync.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.GroupAsync.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.GroupAsync.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.GroupAsync.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.GroupAsync.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.GroupAsync.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.GroupAsync.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.GroupAsync.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.GroupAsync.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.GroupAsync.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.GroupAsync.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.GroupAsync.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.GroupAsync.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.GroupAsync.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.GroupAsync.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.GroupAsync.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.GroupAsync.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.GroupAsync.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.GroupAsync.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.GroupAsync.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.GroupAsync.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.GroupAsync.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.GroupAsync.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.GroupAsync.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.GroupAsync.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.GroupAsync.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.GroupAsync.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.GroupAsync.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.GroupAsync.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.GroupAsync.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.GroupAsync.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.GroupAsync.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.GroupAsync.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.GroupAsync.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.GroupAsync.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.GroupAsync.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.GroupAsync.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.GroupAsync.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.GroupAsync.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.GroupAsync.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.GroupAsync.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.GroupAsync.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.GroupAsync.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.GroupAsync.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.GroupAsync.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.GroupAsync.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.GroupAsync.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.GroupAsync.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.GroupAsync.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.GroupAsync.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.GroupAsync.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.GroupAsync.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.GroupAsync.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GroupAsync.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.GroupAsync.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.GroupAsync.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.GroupAsync.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.GroupAsync.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.GroupAsync.Ipv6.Dhcp), "address" : ("address", Native.Interface.GroupAsync.Ipv6.Address), "nd" : ("nd", Native.Interface.GroupAsync.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.GroupAsync.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.GroupAsync.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.GroupAsync.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.GroupAsync.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.GroupAsync.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.GroupAsync.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.GroupAsync.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.GroupAsync.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.GroupAsync.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.GroupAsync.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.GroupAsync.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.GroupAsync.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.GroupAsync.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.GroupAsync.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.GroupAsync.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.GroupAsync.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.GroupAsync.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.GroupAsync.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.GroupAsync.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.GroupAsync.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.GroupAsync.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.GroupAsync.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.GroupAsync.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.GroupAsync.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.GroupAsync.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.GroupAsync.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.GroupAsync.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.GroupAsync.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.GroupAsync.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.GroupAsync.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.GroupAsync.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GroupAsync.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.GroupAsync.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.GroupAsync.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.GroupAsync.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.GroupAsync.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.GroupAsync.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.GroupAsync.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.GroupAsync.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.GroupAsync.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.GroupAsync.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.GroupAsync.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.GroupAsync.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.GroupAsync.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.GroupAsync.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.GroupAsync.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.GroupAsync.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.GroupAsync.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.GroupAsync.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.GroupAsync.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.GroupAsync.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.GroupAsync.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.GroupAsync.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.GroupAsync.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.GroupAsync.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.GroupAsync.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.GroupAsync.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.GroupAsync.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.GroupAsync.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.GroupAsync.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.GroupAsync.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.GroupAsync.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.GroupAsync.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.GroupAsync.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.GroupAsync.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.GroupAsync.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.GroupAsync.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.GroupAsync.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.GroupAsync.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.GroupAsync.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.GroupAsync.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.GroupAsync.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.GroupAsync.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.GroupAsync.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.GroupAsync.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.GroupAsync.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.GroupAsync.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.GroupAsync.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.GroupAsync.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.GroupAsync.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.GroupAsync.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.GroupAsync.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.GroupAsync.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.GroupAsync.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.GroupAsync.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.GroupAsync.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.GroupAsync.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.GroupAsync.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.GroupAsync.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GroupAsync.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.GroupAsync.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.GroupAsync.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.GroupAsync.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "Group-Async"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.GroupAsync.PmPath, ['name', 'interface_id'], name, value)


        class Multilink(Entity):
            """
            Multilink\-group interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..65535
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.PmPath>`
            
            .. attribute:: ppp
            
            	Point\-to\-Point Protocol
            	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.Multilink, self).__init__()

                self.yang_name = "Multilink"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.Multilink.SwitchportConf), "switchport" : ("switchport", Native.Interface.Multilink.Switchport), "arp" : ("arp", Native.Interface.Multilink.Arp), "backup" : ("backup", Native.Interface.Multilink.Backup), "cemoudp" : ("cemoudp", Native.Interface.Multilink.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.Multilink.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.Multilink.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.Multilink.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.Multilink.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.Multilink.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.Multilink.Flowcontrol), "isis" : ("isis", Native.Interface.Multilink.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.Multilink.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.Multilink.Bfd), "bandwidth" : ("bandwidth", Native.Interface.Multilink.Bandwidth), "dampening" : ("dampening", Native.Interface.Multilink.Dampening), "domain" : ("domain", Native.Interface.Multilink.Domain), "mpls" : ("mpls", Native.Interface.Multilink.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.Multilink.IpVrf), "vrf" : ("vrf", Native.Interface.Multilink.Vrf), "ip" : ("ip", Native.Interface.Multilink.Ip), "ipv6" : ("ipv6", Native.Interface.Multilink.Ipv6), "logging" : ("logging", Native.Interface.Multilink.Logging), "mdix" : ("mdix", Native.Interface.Multilink.Mdix), "mop" : ("mop", Native.Interface.Multilink.Mop), "interface_qos" : ("interface_qos", Native.Interface.Multilink.InterfaceQos), "standby" : ("standby", Native.Interface.Multilink.Standby), "access-session" : ("access_session", Native.Interface.Multilink.AccessSession), "storm-control" : ("storm_control", Native.Interface.Multilink.StormControl), "trust" : ("trust", Native.Interface.Multilink.Trust), "priority-queue" : ("priority_queue", Native.Interface.Multilink.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.Multilink.RcvQueue), "peer" : ("peer", Native.Interface.Multilink.Peer), "pm-path" : ("pm_path", Native.Interface.Multilink.PmPath), "Cisco-IOS-XE-ppp:ppp" : ("ppp", Native.Interface.Multilink.Ppp)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.Multilink.HoldQueue)}

                self.name = YLeaf(YType.uint16, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.switchport_conf = Native.Interface.Multilink.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.Multilink.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.Multilink.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.Multilink.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.Multilink.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.Multilink.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.Multilink.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.Multilink.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.Multilink.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.Multilink.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.Multilink.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.Multilink.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.Multilink.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.Multilink.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.Multilink.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.Multilink.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.Multilink.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.Multilink.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.Multilink.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.Multilink.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.Multilink.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.Multilink.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.Multilink.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.Multilink.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.Multilink.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.Multilink.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.Multilink.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.Multilink.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.Multilink.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.Multilink.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.Multilink.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.Multilink.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.Multilink.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.ppp = Native.Interface.Multilink.Ppp()
                self.ppp.parent = self
                self._children_name_map["ppp"] = "ppp"
                self._children_yang_names.add("ppp")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "Multilink" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.Multilink, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Multilink.Backup.Delay), "interface" : ("interface", Native.Interface.Multilink.Backup.Interface), "load" : ("load", Native.Interface.Multilink.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.Multilink.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.Multilink.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.Multilink.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Multilink.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Multilink.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Multilink.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Multilink.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.Multilink.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.Multilink.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.Multilink.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.Multilink.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.Multilink.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.Multilink.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.Multilink.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.Multilink.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.Multilink.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.Multilink.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.Multilink.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.Multilink.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.Multilink.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.Multilink.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.Multilink.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.Multilink.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.Multilink.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.Multilink.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.Multilink.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.Multilink.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.Multilink.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.Multilink.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.Multilink.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.Multilink.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.Multilink.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.Multilink.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.Multilink.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.Multilink.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.Multilink.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.Multilink.Ip.AccessGroup), "arp" : ("arp", Native.Interface.Multilink.Ip.Arp), "vrf" : ("vrf", Native.Interface.Multilink.Ip.Vrf), "no-address" : ("no_address", Native.Interface.Multilink.Ip.NoAddress), "address" : ("address", Native.Interface.Multilink.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.Multilink.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.Multilink.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.Multilink.Ip.HoldTime), "pim" : ("pim", Native.Interface.Multilink.Ip.Pim), "policy" : ("policy", Native.Interface.Multilink.Ip.Policy), "rip" : ("rip", Native.Interface.Multilink.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.Multilink.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.Multilink.Ip.RouteCache), "router" : ("router", Native.Interface.Multilink.Ip.Router), "tcp" : ("tcp", Native.Interface.Multilink.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.Multilink.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.Multilink.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.Multilink.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.Multilink.Ip.Verify)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.Multilink.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.Multilink.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.Multilink.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.Multilink.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.Multilink.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.Multilink.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.Multilink.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.Multilink.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.Multilink.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.Multilink.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.Multilink.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.Multilink.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.Multilink.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.Multilink.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.Multilink.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.Multilink.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.Multilink.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.Multilink.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.Multilink.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.Multilink.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.Multilink.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.Multilink.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.Multilink.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Multilink.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.Multilink.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Multilink.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Multilink.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Multilink.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.Multilink.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Multilink.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Multilink.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.Multilink.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.Multilink.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Multilink.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Multilink.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.Multilink.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.Multilink.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.Multilink.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.Multilink.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.Multilink.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.Multilink.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.Multilink.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.Multilink.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.Multilink.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.Multilink.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.Multilink.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.Multilink.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Multilink.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.Multilink.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.Multilink.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.Multilink.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.Multilink.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.Multilink.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.Multilink.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.Multilink.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.Multilink.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.Multilink.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.Multilink.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.Multilink.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Multilink.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Multilink.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.Multilink.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.Multilink.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.Multilink.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.Multilink.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.Multilink.Ipv6.Dhcp), "address" : ("address", Native.Interface.Multilink.Ipv6.Address), "nd" : ("nd", Native.Interface.Multilink.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.Multilink.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.Multilink.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.Multilink.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.Multilink.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.Multilink.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.Multilink.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.Multilink.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.Multilink.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.Multilink.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.Multilink.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.Multilink.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.Multilink.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.Multilink.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.Multilink.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.Multilink.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.Multilink.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Multilink.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.Multilink.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.Multilink.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.Multilink.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.Multilink.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.Multilink.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Multilink.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.Multilink.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.Multilink.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.Multilink.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.Multilink.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.Multilink.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.Multilink.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.Multilink.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.Multilink.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Multilink.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.Multilink.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.Multilink.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.Multilink.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.Multilink.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Multilink.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.Multilink.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.Multilink.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.Multilink.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.Multilink.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.Multilink.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.Multilink.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.Multilink.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.Multilink.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.Multilink.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.Multilink.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.Multilink.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.Multilink.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.Multilink.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.Multilink.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.Multilink.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.Multilink.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.Multilink.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.Multilink.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Multilink.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.Multilink.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Multilink.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Multilink.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Multilink.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Multilink.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Multilink.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.Multilink.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Multilink.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Multilink.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Multilink.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Multilink.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Multilink.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.Multilink.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.Multilink.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.Multilink.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.Multilink.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Multilink.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.Multilink.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.Multilink.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.Multilink.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.Multilink.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.Multilink.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Multilink.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.Multilink.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.Multilink.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Multilink.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.Multilink.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.Multilink.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Multilink.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.Multilink.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.Multilink.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Multilink.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Multilink.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Multilink.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Multilink.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Multilink.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.PmPath, ['name', 'interface_id'], name, value)


            class Ppp(Entity):
                """
                Point\-to\-Point Protocol
                
                .. attribute:: accounting
                
                	Set PPP network accounting method
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Accounting>`
                
                .. attribute:: chap
                
                	Set CHAP authentication parameters
                	**type**\:  :py:class:`Chap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Chap>`
                
                .. attribute:: authentication
                
                	Set PPP link authentication method
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Authentication>`
                
                .. attribute:: authorization
                
                	Set PPP network authorization method
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Authorization>`
                
                .. attribute:: ipcp
                
                	Set IPCP negotiation options
                	**type**\:  :py:class:`Ipcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Ipcp>`
                
                .. attribute:: multilink
                
                	Make interface multilink capable
                	**type**\:  :py:class:`Multilink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Multilink>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ppp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Multilink.Ppp, self).__init__()

                    self.yang_name = "ppp"
                    self.yang_parent_name = "Multilink"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"chap" : ("chap", Native.Interface.Multilink.Ppp.Chap), "authentication" : ("authentication", Native.Interface.Multilink.Ppp.Authentication), "ipcp" : ("ipcp", Native.Interface.Multilink.Ppp.Ipcp), "multilink" : ("multilink", Native.Interface.Multilink.Ppp.Multilink)}
                    self._child_list_classes = {}

                    self.accounting = YLeaf(YType.str, "accounting")

                    self.authorization = YLeaf(YType.str, "authorization")

                    self.chap = Native.Interface.Multilink.Ppp.Chap()
                    self.chap.parent = self
                    self._children_name_map["chap"] = "chap"
                    self._children_yang_names.add("chap")

                    self.authentication = Native.Interface.Multilink.Ppp.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.ipcp = Native.Interface.Multilink.Ppp.Ipcp()
                    self.ipcp.parent = self
                    self._children_name_map["ipcp"] = "ipcp"
                    self._children_yang_names.add("ipcp")

                    self.multilink = None
                    self._children_name_map["multilink"] = "multilink"
                    self._children_yang_names.add("multilink")
                    self._segment_path = lambda: "Cisco-IOS-XE-ppp:ppp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Multilink.Ppp, ['accounting', 'authorization'], name, value)

                class Accounting(Enum):
                    """
                    Accounting

                    Set PPP network accounting method

                    .. data:: default = 0

                    """

                    default = Enum.YLeaf(0, "default")


                class Authorization(Enum):
                    """
                    Authorization

                    Set PPP network authorization method

                    .. data:: default = 0

                    """

                    default = Enum.YLeaf(0, "default")



                class Chap(Entity):
                    """
                    Set CHAP authentication parameters
                    
                    .. attribute:: hostname
                    
                    	Set alternate CHAP hostname
                    	**type**\: str
                    
                    .. attribute:: challenge_length
                    
                    	Challenge Length for CHAP
                    	**type**\: int
                    
                    	**range:** 16..63
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ppp.Chap, self).__init__()

                        self.yang_name = "chap"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.hostname = YLeaf(YType.str, "hostname")

                        self.challenge_length = YLeaf(YType.uint8, "challenge-length")
                        self._segment_path = lambda: "chap"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ppp.Chap, ['hostname', 'challenge_length'], name, value)


                class Authentication(Entity):
                    """
                    Set PPP link authentication method
                    
                    .. attribute:: method
                    
                    	
                    	**type**\:  :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Authentication.Method>`
                    
                    .. attribute:: list_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: chap
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callback
                    
                    	Authenticate remote on callback only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callin
                    
                    	Authenticate remote on incoming call only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callout
                    
                    	Authenticate remote on outgoing call only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: default
                    
                    	Use the default authentication list
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: eap
                    
                    	Extensible Authentication Protocol (EAP)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ms_chap
                    
                    	Microsoft Challenge Handshake Authentication Protocol (MS\-CHAP)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ms_chap_v2
                    
                    	Microsoft CHAP Version 2 (MS\-CHAP\-V2)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: one_time
                    
                    	Allow use of username\*OTP for one\-time passwords
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: optional
                    
                    	Allow peer to refuse to authenticate
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pap
                    
                    	Password Authentication Protocol (PAP)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ppp.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.method = YLeaf(YType.enumeration, "method")

                        self.list_name = YLeaf(YType.str, "list-name")

                        self.chap = YLeaf(YType.empty, "chap")

                        self.callback = YLeaf(YType.empty, "callback")

                        self.callin = YLeaf(YType.empty, "callin")

                        self.callout = YLeaf(YType.empty, "callout")

                        self.default = YLeaf(YType.empty, "default")

                        self.eap = YLeaf(YType.empty, "eap")

                        self.ms_chap = YLeaf(YType.empty, "ms-chap")

                        self.ms_chap_v2 = YLeaf(YType.empty, "ms-chap-v2")

                        self.one_time = YLeaf(YType.empty, "one-time")

                        self.optional = YLeaf(YType.empty, "optional")

                        self.pap = YLeaf(YType.empty, "pap")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ppp.Authentication, ['method', 'list_name', 'chap', 'callback', 'callin', 'callout', 'default', 'eap', 'ms_chap', 'ms_chap_v2', 'one_time', 'optional', 'pap'], name, value)

                    class Method(Enum):
                        """
                        Method

                        .. data:: chap = 0

                        .. data:: eap = 1

                        .. data:: ms_chap = 2

                        .. data:: ms_chap_v2 = 3

                        .. data:: pap = 4

                        """

                        chap = Enum.YLeaf(0, "chap")

                        eap = Enum.YLeaf(1, "eap")

                        ms_chap = Enum.YLeaf(2, "ms-chap")

                        ms_chap_v2 = Enum.YLeaf(3, "ms-chap-v2")

                        pap = Enum.YLeaf(4, "pap")



                class Ipcp(Entity):
                    """
                    Set IPCP negotiation options
                    
                    .. attribute:: dns
                    
                    	Specify DNS negotiation options
                    	**type**\:  :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Ipcp.Dns>`
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ppp.Ipcp, self).__init__()

                        self.yang_name = "ipcp"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dns" : ("dns", Native.Interface.Multilink.Ppp.Ipcp.Dns)}
                        self._child_list_classes = {}

                        self.dns = Native.Interface.Multilink.Ppp.Ipcp.Dns()
                        self.dns.parent = self
                        self._children_name_map["dns"] = "dns"
                        self._children_yang_names.add("dns")
                        self._segment_path = lambda: "ipcp"


                    class Dns(Entity):
                        """
                        Specify DNS negotiation options
                        
                        .. attribute:: primary
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ppp.Ipcp.Dns, self).__init__()

                            self.yang_name = "dns"
                            self.yang_parent_name = "ipcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary = YLeaf(YType.str, "primary")
                            self._segment_path = lambda: "dns"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ppp.Ipcp.Dns, ['primary'], name, value)


                class Multilink(Entity):
                    """
                    Make interface multilink capable
                    
                    .. attribute:: links
                    
                    	Specify the limits on the number of links in a bundle
                    	**type**\:  :py:class:`Links <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Multilink.Links>`
                    
                    .. attribute:: group
                    
                    	Put interface in a multilink bundle
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: endpoint
                    
                    	Configure the local Endpoint Discriminator
                    	**type**\:  :py:class:`Endpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Multilink.Endpoint>`
                    
                    .. attribute:: fragment
                    
                    	Specify fragmentation parameters
                    	**type**\:  :py:class:`Fragment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Multilink.Fragment>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Multilink.Ppp.Multilink, self).__init__()

                        self.yang_name = "multilink"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"links" : ("links", Native.Interface.Multilink.Ppp.Multilink.Links), "endpoint" : ("endpoint", Native.Interface.Multilink.Ppp.Multilink.Endpoint), "fragment" : ("fragment", Native.Interface.Multilink.Ppp.Multilink.Fragment)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.group = YLeaf(YType.uint32, "group")

                        self.links = Native.Interface.Multilink.Ppp.Multilink.Links()
                        self.links.parent = self
                        self._children_name_map["links"] = "links"
                        self._children_yang_names.add("links")

                        self.endpoint = Native.Interface.Multilink.Ppp.Multilink.Endpoint()
                        self.endpoint.parent = self
                        self._children_name_map["endpoint"] = "endpoint"
                        self._children_yang_names.add("endpoint")

                        self.fragment = Native.Interface.Multilink.Ppp.Multilink.Fragment()
                        self.fragment.parent = self
                        self._children_name_map["fragment"] = "fragment"
                        self._children_yang_names.add("fragment")
                        self._segment_path = lambda: "multilink"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Multilink.Ppp.Multilink, ['group'], name, value)


                    class Links(Entity):
                        """
                        Specify the limits on the number of links in a bundle
                        
                        .. attribute:: minimum
                        
                        	Minimum number of links desired in the bundle
                        	**type**\:  :py:class:`Minimum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Multilink.Links.Minimum>`
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ppp.Multilink.Links, self).__init__()

                            self.yang_name = "links"
                            self.yang_parent_name = "multilink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"minimum" : ("minimum", Native.Interface.Multilink.Ppp.Multilink.Links.Minimum)}
                            self._child_list_classes = {}

                            self.minimum = Native.Interface.Multilink.Ppp.Multilink.Links.Minimum()
                            self.minimum.parent = self
                            self._children_name_map["minimum"] = "minimum"
                            self._children_yang_names.add("minimum")
                            self._segment_path = lambda: "links"


                        class Minimum(Entity):
                            """
                            Minimum number of links desired in the bundle
                            
                            .. attribute:: minimum_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: mandatory
                            
                            	Disable network layer until minimum number of links is reach
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ppp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Multilink.Ppp.Multilink.Links.Minimum, self).__init__()

                                self.yang_name = "minimum"
                                self.yang_parent_name = "links"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum_value = YLeaf(YType.uint8, "minimum-value")

                                self.mandatory = YLeaf(YType.empty, "mandatory")
                                self._segment_path = lambda: "minimum"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Ppp.Multilink.Links.Minimum, ['minimum_value', 'mandatory'], name, value)


                    class Endpoint(Entity):
                        """
                        Configure the local Endpoint Discriminator
                        
                        .. attribute:: string
                        
                        	Use specified string
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ppp.Multilink.Endpoint, self).__init__()

                            self.yang_name = "endpoint"
                            self.yang_parent_name = "multilink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.string = YLeaf(YType.str, "string")
                            self._segment_path = lambda: "endpoint"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Multilink.Ppp.Multilink.Endpoint, ['string'], name, value)


                    class Fragment(Entity):
                        """
                        Specify fragmentation parameters
                        
                        .. attribute:: delay
                        
                        	Specify the maximum delay for each fragment
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Multilink.Ppp.Multilink.Fragment.Delay>`
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Multilink.Ppp.Multilink.Fragment, self).__init__()

                            self.yang_name = "fragment"
                            self.yang_parent_name = "multilink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.Multilink.Ppp.Multilink.Fragment.Delay)}
                            self._child_list_classes = {}

                            self.delay = Native.Interface.Multilink.Ppp.Multilink.Fragment.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "fragment"


                        class Delay(Entity):
                            """
                            Specify the maximum delay for each fragment
                            
                            .. attribute:: delay_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..1000
                            
                            .. attribute:: additional_delay_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..999
                            
                            

                            """

                            _prefix = 'ios-ppp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Multilink.Ppp.Multilink.Fragment.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "fragment"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.delay_value = YLeaf(YType.uint16, "delay-value")

                                self.additional_delay_value = YLeaf(YType.uint16, "additional-delay-value")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Multilink.Ppp.Multilink.Fragment.Delay, ['delay_value', 'additional_delay_value'], name, value)


        class Serial(Entity):
            """
            Serial interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            	**pattern:** ([0\-9])+/([0\-9])+/([0\-9])+\\.([0\-9])+/([0\-9])+/([0\-9])+/([0\-9])+\:([0\-9])
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.PmPath>`
            
            .. attribute:: ppp
            
            	Point\-to\-Point Protocol
            	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.Serial, self).__init__()

                self.yang_name = "Serial"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.Serial.SwitchportConf), "switchport" : ("switchport", Native.Interface.Serial.Switchport), "arp" : ("arp", Native.Interface.Serial.Arp), "backup" : ("backup", Native.Interface.Serial.Backup), "cemoudp" : ("cemoudp", Native.Interface.Serial.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.Serial.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.Serial.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.Serial.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.Serial.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.Serial.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.Serial.Flowcontrol), "isis" : ("isis", Native.Interface.Serial.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.Serial.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.Serial.Bfd), "bandwidth" : ("bandwidth", Native.Interface.Serial.Bandwidth), "dampening" : ("dampening", Native.Interface.Serial.Dampening), "domain" : ("domain", Native.Interface.Serial.Domain), "mpls" : ("mpls", Native.Interface.Serial.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.Serial.IpVrf), "vrf" : ("vrf", Native.Interface.Serial.Vrf), "ip" : ("ip", Native.Interface.Serial.Ip), "ipv6" : ("ipv6", Native.Interface.Serial.Ipv6), "logging" : ("logging", Native.Interface.Serial.Logging), "mdix" : ("mdix", Native.Interface.Serial.Mdix), "mop" : ("mop", Native.Interface.Serial.Mop), "interface_qos" : ("interface_qos", Native.Interface.Serial.InterfaceQos), "standby" : ("standby", Native.Interface.Serial.Standby), "access-session" : ("access_session", Native.Interface.Serial.AccessSession), "storm-control" : ("storm_control", Native.Interface.Serial.StormControl), "trust" : ("trust", Native.Interface.Serial.Trust), "priority-queue" : ("priority_queue", Native.Interface.Serial.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.Serial.RcvQueue), "peer" : ("peer", Native.Interface.Serial.Peer), "pm-path" : ("pm_path", Native.Interface.Serial.PmPath), "Cisco-IOS-XE-ppp:ppp" : ("ppp", Native.Interface.Serial.Ppp)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.Serial.HoldQueue)}

                self.name = YLeaf(YType.str, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.switchport_conf = Native.Interface.Serial.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.Serial.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.Serial.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.Serial.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.Serial.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.Serial.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.Serial.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.Serial.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.Serial.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.Serial.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.Serial.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.Serial.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.Serial.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.Serial.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.Serial.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.Serial.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.Serial.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.Serial.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.Serial.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.Serial.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.Serial.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.Serial.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.Serial.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.Serial.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.Serial.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.Serial.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.Serial.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.Serial.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.Serial.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.Serial.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.Serial.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.Serial.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.Serial.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.ppp = Native.Interface.Serial.Ppp()
                self.ppp.parent = self
                self._children_name_map["ppp"] = "ppp"
                self._children_yang_names.add("ppp")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "Serial" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.Serial, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Serial.Backup.Delay), "interface" : ("interface", Native.Interface.Serial.Backup.Interface), "load" : ("load", Native.Interface.Serial.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.Serial.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.Serial.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.Serial.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Serial.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Serial.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Serial.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Serial.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.Serial.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.Serial.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.Serial.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.Serial.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.Serial.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.Serial.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.Serial.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.Serial.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.Serial.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.Serial.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.Serial.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.Serial.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.Serial.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.Serial.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.Serial.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.Serial.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.Serial.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.Serial.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.Serial.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.Serial.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.Serial.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.Serial.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.Serial.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.Serial.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.Serial.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.Serial.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.Serial.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.Serial.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.Serial.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.Serial.Ip.AccessGroup), "arp" : ("arp", Native.Interface.Serial.Ip.Arp), "vrf" : ("vrf", Native.Interface.Serial.Ip.Vrf), "no-address" : ("no_address", Native.Interface.Serial.Ip.NoAddress), "address" : ("address", Native.Interface.Serial.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.Serial.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.Serial.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.Serial.Ip.HoldTime), "pim" : ("pim", Native.Interface.Serial.Ip.Pim), "policy" : ("policy", Native.Interface.Serial.Ip.Policy), "rip" : ("rip", Native.Interface.Serial.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.Serial.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.Serial.Ip.RouteCache), "router" : ("router", Native.Interface.Serial.Ip.Router), "tcp" : ("tcp", Native.Interface.Serial.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.Serial.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.Serial.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.Serial.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.Serial.Ip.Verify)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.Serial.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.Serial.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.Serial.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.Serial.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.Serial.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.Serial.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.Serial.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.Serial.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.Serial.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.Serial.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.Serial.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.Serial.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.Serial.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.Serial.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.Serial.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.Serial.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.Serial.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.Serial.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.Serial.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.Serial.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.Serial.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.Serial.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.Serial.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Serial.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.Serial.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Serial.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Serial.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Serial.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.Serial.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Serial.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Serial.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.Serial.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.Serial.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Serial.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Serial.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.Serial.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.Serial.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.Serial.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.Serial.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.Serial.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.Serial.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.Serial.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.Serial.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.Serial.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.Serial.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.Serial.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.Serial.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Serial.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.Serial.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.Serial.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.Serial.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.Serial.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.Serial.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.Serial.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.Serial.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.Serial.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.Serial.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.Serial.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.Serial.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Serial.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Serial.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.Serial.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.Serial.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.Serial.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.Serial.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.Serial.Ipv6.Dhcp), "address" : ("address", Native.Interface.Serial.Ipv6.Address), "nd" : ("nd", Native.Interface.Serial.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.Serial.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.Serial.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.Serial.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.Serial.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.Serial.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.Serial.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.Serial.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.Serial.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.Serial.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.Serial.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.Serial.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.Serial.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.Serial.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.Serial.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.Serial.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.Serial.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Serial.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.Serial.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.Serial.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.Serial.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.Serial.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.Serial.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Serial.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.Serial.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.Serial.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.Serial.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.Serial.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.Serial.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.Serial.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.Serial.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.Serial.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Serial.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.Serial.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Serial.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.Serial.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.Serial.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.Serial.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.Serial.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Serial.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.Serial.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.Serial.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.Serial.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.Serial.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.Serial.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.Serial.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.Serial.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.Serial.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.Serial.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.Serial.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.Serial.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.Serial.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.Serial.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.Serial.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.Serial.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.Serial.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.Serial.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.Serial.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Serial.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.Serial.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Serial.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Serial.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Serial.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Serial.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Serial.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.Serial.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Serial.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Serial.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Serial.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Serial.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Serial.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.Serial.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.Serial.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.Serial.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.Serial.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Serial.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.Serial.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.Serial.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.Serial.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.Serial.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.Serial.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Serial.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.Serial.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.Serial.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Serial.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.Serial.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.Serial.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Serial.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.Serial.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.Serial.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Serial.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Serial.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Serial.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Serial.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Serial.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.PmPath, ['name', 'interface_id'], name, value)


            class Ppp(Entity):
                """
                Point\-to\-Point Protocol
                
                .. attribute:: accounting
                
                	Set PPP network accounting method
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Accounting>`
                
                .. attribute:: chap
                
                	Set CHAP authentication parameters
                	**type**\:  :py:class:`Chap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Chap>`
                
                .. attribute:: authentication
                
                	Set PPP link authentication method
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Authentication>`
                
                .. attribute:: authorization
                
                	Set PPP network authorization method
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Authorization>`
                
                .. attribute:: ipcp
                
                	Set IPCP negotiation options
                	**type**\:  :py:class:`Ipcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Ipcp>`
                
                .. attribute:: multilink
                
                	Make interface multilink capable
                	**type**\:  :py:class:`Multilink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Multilink>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ppp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Serial.Ppp, self).__init__()

                    self.yang_name = "ppp"
                    self.yang_parent_name = "Serial"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"chap" : ("chap", Native.Interface.Serial.Ppp.Chap), "authentication" : ("authentication", Native.Interface.Serial.Ppp.Authentication), "ipcp" : ("ipcp", Native.Interface.Serial.Ppp.Ipcp), "multilink" : ("multilink", Native.Interface.Serial.Ppp.Multilink)}
                    self._child_list_classes = {}

                    self.accounting = YLeaf(YType.str, "accounting")

                    self.authorization = YLeaf(YType.str, "authorization")

                    self.chap = Native.Interface.Serial.Ppp.Chap()
                    self.chap.parent = self
                    self._children_name_map["chap"] = "chap"
                    self._children_yang_names.add("chap")

                    self.authentication = Native.Interface.Serial.Ppp.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.ipcp = Native.Interface.Serial.Ppp.Ipcp()
                    self.ipcp.parent = self
                    self._children_name_map["ipcp"] = "ipcp"
                    self._children_yang_names.add("ipcp")

                    self.multilink = None
                    self._children_name_map["multilink"] = "multilink"
                    self._children_yang_names.add("multilink")
                    self._segment_path = lambda: "Cisco-IOS-XE-ppp:ppp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Serial.Ppp, ['accounting', 'authorization'], name, value)

                class Accounting(Enum):
                    """
                    Accounting

                    Set PPP network accounting method

                    .. data:: default = 0

                    """

                    default = Enum.YLeaf(0, "default")


                class Authorization(Enum):
                    """
                    Authorization

                    Set PPP network authorization method

                    .. data:: default = 0

                    """

                    default = Enum.YLeaf(0, "default")



                class Chap(Entity):
                    """
                    Set CHAP authentication parameters
                    
                    .. attribute:: hostname
                    
                    	Set alternate CHAP hostname
                    	**type**\: str
                    
                    .. attribute:: challenge_length
                    
                    	Challenge Length for CHAP
                    	**type**\: int
                    
                    	**range:** 16..63
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Serial.Ppp.Chap, self).__init__()

                        self.yang_name = "chap"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.hostname = YLeaf(YType.str, "hostname")

                        self.challenge_length = YLeaf(YType.uint8, "challenge-length")
                        self._segment_path = lambda: "chap"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ppp.Chap, ['hostname', 'challenge_length'], name, value)


                class Authentication(Entity):
                    """
                    Set PPP link authentication method
                    
                    .. attribute:: method
                    
                    	
                    	**type**\:  :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Authentication.Method>`
                    
                    .. attribute:: list_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: chap
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callback
                    
                    	Authenticate remote on callback only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callin
                    
                    	Authenticate remote on incoming call only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callout
                    
                    	Authenticate remote on outgoing call only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: default
                    
                    	Use the default authentication list
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: eap
                    
                    	Extensible Authentication Protocol (EAP)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ms_chap
                    
                    	Microsoft Challenge Handshake Authentication Protocol (MS\-CHAP)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ms_chap_v2
                    
                    	Microsoft CHAP Version 2 (MS\-CHAP\-V2)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: one_time
                    
                    	Allow use of username\*OTP for one\-time passwords
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: optional
                    
                    	Allow peer to refuse to authenticate
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pap
                    
                    	Password Authentication Protocol (PAP)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Serial.Ppp.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.method = YLeaf(YType.enumeration, "method")

                        self.list_name = YLeaf(YType.str, "list-name")

                        self.chap = YLeaf(YType.empty, "chap")

                        self.callback = YLeaf(YType.empty, "callback")

                        self.callin = YLeaf(YType.empty, "callin")

                        self.callout = YLeaf(YType.empty, "callout")

                        self.default = YLeaf(YType.empty, "default")

                        self.eap = YLeaf(YType.empty, "eap")

                        self.ms_chap = YLeaf(YType.empty, "ms-chap")

                        self.ms_chap_v2 = YLeaf(YType.empty, "ms-chap-v2")

                        self.one_time = YLeaf(YType.empty, "one-time")

                        self.optional = YLeaf(YType.empty, "optional")

                        self.pap = YLeaf(YType.empty, "pap")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ppp.Authentication, ['method', 'list_name', 'chap', 'callback', 'callin', 'callout', 'default', 'eap', 'ms_chap', 'ms_chap_v2', 'one_time', 'optional', 'pap'], name, value)

                    class Method(Enum):
                        """
                        Method

                        .. data:: chap = 0

                        .. data:: eap = 1

                        .. data:: ms_chap = 2

                        .. data:: ms_chap_v2 = 3

                        .. data:: pap = 4

                        """

                        chap = Enum.YLeaf(0, "chap")

                        eap = Enum.YLeaf(1, "eap")

                        ms_chap = Enum.YLeaf(2, "ms-chap")

                        ms_chap_v2 = Enum.YLeaf(3, "ms-chap-v2")

                        pap = Enum.YLeaf(4, "pap")



                class Ipcp(Entity):
                    """
                    Set IPCP negotiation options
                    
                    .. attribute:: dns
                    
                    	Specify DNS negotiation options
                    	**type**\:  :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Ipcp.Dns>`
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Serial.Ppp.Ipcp, self).__init__()

                        self.yang_name = "ipcp"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dns" : ("dns", Native.Interface.Serial.Ppp.Ipcp.Dns)}
                        self._child_list_classes = {}

                        self.dns = Native.Interface.Serial.Ppp.Ipcp.Dns()
                        self.dns.parent = self
                        self._children_name_map["dns"] = "dns"
                        self._children_yang_names.add("dns")
                        self._segment_path = lambda: "ipcp"


                    class Dns(Entity):
                        """
                        Specify DNS negotiation options
                        
                        .. attribute:: primary
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Serial.Ppp.Ipcp.Dns, self).__init__()

                            self.yang_name = "dns"
                            self.yang_parent_name = "ipcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary = YLeaf(YType.str, "primary")
                            self._segment_path = lambda: "dns"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ppp.Ipcp.Dns, ['primary'], name, value)


                class Multilink(Entity):
                    """
                    Make interface multilink capable
                    
                    .. attribute:: links
                    
                    	Specify the limits on the number of links in a bundle
                    	**type**\:  :py:class:`Links <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Multilink.Links>`
                    
                    .. attribute:: group
                    
                    	Put interface in a multilink bundle
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: endpoint
                    
                    	Configure the local Endpoint Discriminator
                    	**type**\:  :py:class:`Endpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Multilink.Endpoint>`
                    
                    .. attribute:: fragment
                    
                    	Specify fragmentation parameters
                    	**type**\:  :py:class:`Fragment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Multilink.Fragment>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Serial.Ppp.Multilink, self).__init__()

                        self.yang_name = "multilink"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"links" : ("links", Native.Interface.Serial.Ppp.Multilink.Links), "endpoint" : ("endpoint", Native.Interface.Serial.Ppp.Multilink.Endpoint), "fragment" : ("fragment", Native.Interface.Serial.Ppp.Multilink.Fragment)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.group = YLeaf(YType.uint32, "group")

                        self.links = Native.Interface.Serial.Ppp.Multilink.Links()
                        self.links.parent = self
                        self._children_name_map["links"] = "links"
                        self._children_yang_names.add("links")

                        self.endpoint = Native.Interface.Serial.Ppp.Multilink.Endpoint()
                        self.endpoint.parent = self
                        self._children_name_map["endpoint"] = "endpoint"
                        self._children_yang_names.add("endpoint")

                        self.fragment = Native.Interface.Serial.Ppp.Multilink.Fragment()
                        self.fragment.parent = self
                        self._children_name_map["fragment"] = "fragment"
                        self._children_yang_names.add("fragment")
                        self._segment_path = lambda: "multilink"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Serial.Ppp.Multilink, ['group'], name, value)


                    class Links(Entity):
                        """
                        Specify the limits on the number of links in a bundle
                        
                        .. attribute:: minimum
                        
                        	Minimum number of links desired in the bundle
                        	**type**\:  :py:class:`Minimum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Multilink.Links.Minimum>`
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Serial.Ppp.Multilink.Links, self).__init__()

                            self.yang_name = "links"
                            self.yang_parent_name = "multilink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"minimum" : ("minimum", Native.Interface.Serial.Ppp.Multilink.Links.Minimum)}
                            self._child_list_classes = {}

                            self.minimum = Native.Interface.Serial.Ppp.Multilink.Links.Minimum()
                            self.minimum.parent = self
                            self._children_name_map["minimum"] = "minimum"
                            self._children_yang_names.add("minimum")
                            self._segment_path = lambda: "links"


                        class Minimum(Entity):
                            """
                            Minimum number of links desired in the bundle
                            
                            .. attribute:: minimum_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: mandatory
                            
                            	Disable network layer until minimum number of links is reach
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ppp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Serial.Ppp.Multilink.Links.Minimum, self).__init__()

                                self.yang_name = "minimum"
                                self.yang_parent_name = "links"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum_value = YLeaf(YType.uint8, "minimum-value")

                                self.mandatory = YLeaf(YType.empty, "mandatory")
                                self._segment_path = lambda: "minimum"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Ppp.Multilink.Links.Minimum, ['minimum_value', 'mandatory'], name, value)


                    class Endpoint(Entity):
                        """
                        Configure the local Endpoint Discriminator
                        
                        .. attribute:: string
                        
                        	Use specified string
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Serial.Ppp.Multilink.Endpoint, self).__init__()

                            self.yang_name = "endpoint"
                            self.yang_parent_name = "multilink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.string = YLeaf(YType.str, "string")
                            self._segment_path = lambda: "endpoint"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Serial.Ppp.Multilink.Endpoint, ['string'], name, value)


                    class Fragment(Entity):
                        """
                        Specify fragmentation parameters
                        
                        .. attribute:: delay
                        
                        	Specify the maximum delay for each fragment
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Serial.Ppp.Multilink.Fragment.Delay>`
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Serial.Ppp.Multilink.Fragment, self).__init__()

                            self.yang_name = "fragment"
                            self.yang_parent_name = "multilink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.Serial.Ppp.Multilink.Fragment.Delay)}
                            self._child_list_classes = {}

                            self.delay = Native.Interface.Serial.Ppp.Multilink.Fragment.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "fragment"


                        class Delay(Entity):
                            """
                            Specify the maximum delay for each fragment
                            
                            .. attribute:: delay_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..1000
                            
                            .. attribute:: additional_delay_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..999
                            
                            

                            """

                            _prefix = 'ios-ppp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Serial.Ppp.Multilink.Fragment.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "fragment"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.delay_value = YLeaf(YType.uint16, "delay-value")

                                self.additional_delay_value = YLeaf(YType.uint16, "additional-delay-value")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Serial.Ppp.Multilink.Fragment.Delay, ['delay_value', 'additional_delay_value'], name, value)


        class Tunnel(Entity):
            """
            Tunnel interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.PmPath>`
            
            .. attribute:: qos
            
            	Quality of Service related commands
            	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Qos>`
            
            .. attribute:: cdp
            
            	CDP interface subcommands
            	**type**\:  :py:class:`Cdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cdp>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Snmp>`
            
            .. attribute:: nhrp
            
            	NHRP Interface commands
            	**type**\:  :py:class:`Nhrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Nhrp>`
            
            .. attribute:: tunnel
            
            	protocol\-over\-protocol tunneling
            	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts>`
            
            .. attribute:: performance
            
            	Global performance monitor configuration
            	**type**\:  :py:class:`Performance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Performance>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy>`
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol
            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Lisp>`
            
            .. attribute:: nat66
            
            	NAT66 interface commands
            	**type**\:  :py:class:`Nat66 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Nat66>`
            
            .. attribute:: ospfv3
            
            	OSPFv3 interface commands
            	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3>`
            
            .. attribute:: udld
            
            	Configure UDLD enabled or disabled and ignore global UDLD setting
            	**type**\:  :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Udld>`
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:  :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.Tunnel, self).__init__()

                self.yang_name = "Tunnel"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.Tunnel.SwitchportConf), "switchport" : ("switchport", Native.Interface.Tunnel.Switchport), "arp" : ("arp", Native.Interface.Tunnel.Arp), "backup" : ("backup", Native.Interface.Tunnel.Backup), "cemoudp" : ("cemoudp", Native.Interface.Tunnel.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.Tunnel.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.Tunnel.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.Tunnel.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.Tunnel.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.Tunnel.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.Tunnel.Flowcontrol), "isis" : ("isis", Native.Interface.Tunnel.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.Tunnel.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.Tunnel.Bfd), "bandwidth" : ("bandwidth", Native.Interface.Tunnel.Bandwidth), "dampening" : ("dampening", Native.Interface.Tunnel.Dampening), "domain" : ("domain", Native.Interface.Tunnel.Domain), "mpls" : ("mpls", Native.Interface.Tunnel.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.Tunnel.IpVrf), "vrf" : ("vrf", Native.Interface.Tunnel.Vrf), "ip" : ("ip", Native.Interface.Tunnel.Ip), "ipv6" : ("ipv6", Native.Interface.Tunnel.Ipv6), "logging" : ("logging", Native.Interface.Tunnel.Logging), "mdix" : ("mdix", Native.Interface.Tunnel.Mdix), "mop" : ("mop", Native.Interface.Tunnel.Mop), "interface_qos" : ("interface_qos", Native.Interface.Tunnel.InterfaceQos), "standby" : ("standby", Native.Interface.Tunnel.Standby), "access-session" : ("access_session", Native.Interface.Tunnel.AccessSession), "storm-control" : ("storm_control", Native.Interface.Tunnel.StormControl), "trust" : ("trust", Native.Interface.Tunnel.Trust), "priority-queue" : ("priority_queue", Native.Interface.Tunnel.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.Tunnel.RcvQueue), "peer" : ("peer", Native.Interface.Tunnel.Peer), "pm-path" : ("pm_path", Native.Interface.Tunnel.PmPath), "qos" : ("qos", Native.Interface.Tunnel.Qos), "Cisco-IOS-XE-cdp:cdp" : ("cdp", Native.Interface.Tunnel.Cdp), "Cisco-IOS-XE-snmp:snmp" : ("snmp", Native.Interface.Tunnel.Snmp), "Cisco-IOS-XE-tunnel:nhrp" : ("nhrp", Native.Interface.Tunnel.Nhrp), "Cisco-IOS-XE-tunnel:tunnel" : ("tunnel", Native.Interface.Tunnel.Tunnel), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.Tunnel.Crypto), "Cisco-IOS-XE-cts:cts" : ("cts", Native.Interface.Tunnel.Cts), "Cisco-IOS-XE-ezpm:performance" : ("performance", Native.Interface.Tunnel.Performance), "Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.Interface.Tunnel.ServicePolicy), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Interface.Tunnel.Lisp), "Cisco-IOS-XE-ospfv3:ospfv3" : ("ospfv3", Native.Interface.Tunnel.Ospfv3), "Cisco-IOS-XE-udld:udld" : ("udld", Native.Interface.Tunnel.Udld), "Cisco-IOS-XE-zone:zone-member" : ("zone_member", Native.Interface.Tunnel.ZoneMember)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.Tunnel.HoldQueue)}

                self.name = YLeaf(YType.uint32, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.nat66 = YLeaf(YType.enumeration, "Cisco-IOS-XE-nat:nat66")

                self.switchport_conf = Native.Interface.Tunnel.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.Tunnel.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.Tunnel.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.Tunnel.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.Tunnel.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.Tunnel.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.Tunnel.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.Tunnel.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.Tunnel.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.Tunnel.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.Tunnel.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.Tunnel.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.Tunnel.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.Tunnel.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.Tunnel.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.Tunnel.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.Tunnel.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.Tunnel.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.Tunnel.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.Tunnel.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.Tunnel.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.Tunnel.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.Tunnel.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.Tunnel.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.Tunnel.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.Tunnel.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.Tunnel.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.Tunnel.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.Tunnel.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.Tunnel.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.Tunnel.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.Tunnel.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.Tunnel.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.qos = Native.Interface.Tunnel.Qos()
                self.qos.parent = self
                self._children_name_map["qos"] = "qos"
                self._children_yang_names.add("qos")

                self.cdp = Native.Interface.Tunnel.Cdp()
                self.cdp.parent = self
                self._children_name_map["cdp"] = "cdp"
                self._children_yang_names.add("cdp")

                self.snmp = Native.Interface.Tunnel.Snmp()
                self.snmp.parent = self
                self._children_name_map["snmp"] = "snmp"
                self._children_yang_names.add("snmp")

                self.nhrp = Native.Interface.Tunnel.Nhrp()
                self.nhrp.parent = self
                self._children_name_map["nhrp"] = "nhrp"
                self._children_yang_names.add("nhrp")

                self.tunnel = Native.Interface.Tunnel.Tunnel()
                self.tunnel.parent = self
                self._children_name_map["tunnel"] = "tunnel"
                self._children_yang_names.add("tunnel")

                self.crypto = Native.Interface.Tunnel.Crypto()
                self.crypto.parent = self
                self._children_name_map["crypto"] = "crypto"
                self._children_yang_names.add("crypto")

                self.cts = Native.Interface.Tunnel.Cts()
                self.cts.parent = self
                self._children_name_map["cts"] = "cts"
                self._children_yang_names.add("cts")

                self.performance = Native.Interface.Tunnel.Performance()
                self.performance.parent = self
                self._children_name_map["performance"] = "performance"
                self._children_yang_names.add("performance")

                self.service_policy = Native.Interface.Tunnel.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.lisp = Native.Interface.Tunnel.Lisp()
                self.lisp.parent = self
                self._children_name_map["lisp"] = "lisp"
                self._children_yang_names.add("lisp")

                self.ospfv3 = Native.Interface.Tunnel.Ospfv3()
                self.ospfv3.parent = self
                self._children_name_map["ospfv3"] = "ospfv3"
                self._children_yang_names.add("ospfv3")

                self.udld = Native.Interface.Tunnel.Udld()
                self.udld.parent = self
                self._children_name_map["udld"] = "udld"
                self._children_yang_names.add("udld")

                self.zone_member = Native.Interface.Tunnel.ZoneMember()
                self.zone_member.parent = self
                self._children_name_map["zone_member"] = "zone-member"
                self._children_yang_names.add("zone-member")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "Tunnel" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.Tunnel, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion', 'nat66'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class Nat66(Enum):
                """
                Nat66

                NAT66 interface commands

                .. data:: inside = 0

                .. data:: outside = 1

                """

                inside = Enum.YLeaf(0, "inside")

                outside = Enum.YLeaf(1, "outside")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Tunnel.Backup.Delay), "interface" : ("interface", Native.Interface.Tunnel.Backup.Interface), "load" : ("load", Native.Interface.Tunnel.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.Tunnel.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.Tunnel.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.Tunnel.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Tunnel.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Tunnel.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Tunnel.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Tunnel.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.Tunnel.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.Tunnel.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.Tunnel.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.Tunnel.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.Tunnel.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.Tunnel.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.Tunnel.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.Tunnel.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.Tunnel.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.Tunnel.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.Tunnel.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.Tunnel.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.Tunnel.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.Tunnel.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.Tunnel.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.Tunnel.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.Tunnel.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.Tunnel.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.Tunnel.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:  :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:  :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:  :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:  :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4294967295
                
                		**type**\:  :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroup>`
                
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Network>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Protocol>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:  :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-isis:adjacency-filter" : ("adjacency_filter", Native.Interface.Tunnel.Isis.AdjacencyFilter), "Cisco-IOS-XE-isis:advertise" : ("advertise", Native.Interface.Tunnel.Isis.Advertise), "Cisco-IOS-XE-isis:authentication" : ("authentication", Native.Interface.Tunnel.Isis.Authentication), "Cisco-IOS-XE-isis:circuit-type" : ("circuit_type", Native.Interface.Tunnel.Isis.CircuitType), "Cisco-IOS-XE-isis:csnp-interval" : ("csnp_interval", Native.Interface.Tunnel.Isis.CsnpInterval), "Cisco-IOS-XE-isis:hello" : ("hello", Native.Interface.Tunnel.Isis.Hello), "Cisco-IOS-XE-isis:hello-interval" : ("hello_interval", Native.Interface.Tunnel.Isis.HelloInterval), "Cisco-IOS-XE-isis:hello-multiplier" : ("hello_multiplier", Native.Interface.Tunnel.Isis.HelloMultiplier), "Cisco-IOS-XE-isis:ipv6" : ("ipv6", Native.Interface.Tunnel.Isis.Ipv6), "Cisco-IOS-XE-isis:metric" : ("metric", Native.Interface.Tunnel.Isis.Metric), "Cisco-IOS-XE-isis:password" : ("password", Native.Interface.Tunnel.Isis.Password), "Cisco-IOS-XE-isis:priority" : ("priority", Native.Interface.Tunnel.Isis.Priority), "Cisco-IOS-XE-isis:three-way-handshake" : ("three_way_handshake", Native.Interface.Tunnel.Isis.ThreeWayHandshake)}
                    self._child_list_classes = {}

                    self.lsp_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:lsp-interval")

                    self.mesh_group = YLeaf(YType.str, "Cisco-IOS-XE-isis:mesh-group")

                    self.network = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:network")

                    self.protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:protocol")

                    self.retransmit_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-interval")

                    self.retransmit_throttle_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-throttle-interval")

                    self.tag = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:tag")

                    self.adjacency_filter = Native.Interface.Tunnel.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self._children_name_map["adjacency_filter"] = "adjacency-filter"
                    self._children_yang_names.add("adjacency-filter")

                    self.advertise = Native.Interface.Tunnel.Isis.Advertise()
                    self.advertise.parent = self
                    self._children_name_map["advertise"] = "advertise"
                    self._children_yang_names.add("advertise")

                    self.authentication = Native.Interface.Tunnel.Isis.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.circuit_type = None
                    self._children_name_map["circuit_type"] = "circuit-type"
                    self._children_yang_names.add("circuit-type")

                    self.csnp_interval = Native.Interface.Tunnel.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self._children_name_map["csnp_interval"] = "csnp-interval"
                    self._children_yang_names.add("csnp-interval")

                    self.hello = Native.Interface.Tunnel.Isis.Hello()
                    self.hello.parent = self
                    self._children_name_map["hello"] = "hello"
                    self._children_yang_names.add("hello")

                    self.hello_interval = Native.Interface.Tunnel.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.hello_multiplier = Native.Interface.Tunnel.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self._children_name_map["hello_multiplier"] = "hello-multiplier"
                    self._children_yang_names.add("hello-multiplier")

                    self.ipv6 = Native.Interface.Tunnel.Isis.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.metric = Native.Interface.Tunnel.Isis.Metric()
                    self.metric.parent = self
                    self._children_name_map["metric"] = "metric"
                    self._children_yang_names.add("metric")

                    self.password = Native.Interface.Tunnel.Isis.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")

                    self.priority = Native.Interface.Tunnel.Isis.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.three_way_handshake = None
                    self._children_name_map["three_way_handshake"] = "three-way-handshake"
                    self._children_yang_names.add("three-way-handshake")
                    self._segment_path = lambda: "isis"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Isis, ['lsp_interval', 'mesh_group', 'network', 'protocol', 'retransmit_interval', 'retransmit_throttle_interval', 'tag'], name, value)

                class MeshGroup(Enum):
                    """
                    MeshGroup

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = Enum.YLeaf(0, "blocked")


                class Network(Enum):
                    """
                    Network

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = Enum.YLeaf(0, "point-to-point")


                class Protocol(Enum):
                    """
                    Protocol

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = Enum.YLeaf(0, "shutdown")



                class AdjacencyFilter(Entity):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Isis.AdjacencyFilter, self).__init__()

                        self.yang_name = "adjacency-filter"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.match_all = YLeaf(YType.empty, "match-all")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:adjacency-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Isis.AdjacencyFilter, ['name', 'match_all'], name, value)


                class Advertise(Entity):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Isis.Advertise, self).__init__()

                        self.yang_name = "advertise"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.prefix = YLeaf(YType.empty, "prefix")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:advertise"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Isis.Advertise, ['prefix'], name, value)


                class Authentication(Entity):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication.Mode>`
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:  :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Isis.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mode" : ("mode", Native.Interface.Tunnel.Isis.Authentication.Mode), "key-chain" : ("key_chain", Native.Interface.Tunnel.Isis.Authentication.KeyChain), "send-only" : ("send_only", Native.Interface.Tunnel.Isis.Authentication.SendOnly)}
                        self._child_list_classes = {}

                        self.mode = Native.Interface.Tunnel.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")

                        self.key_chain = Native.Interface.Tunnel.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.send_only = None
                        self._children_name_map["send_only"] = "send-only"
                        self._children_yang_names.add("send-only")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:authentication"


                    class Mode(Entity):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:  :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Isis.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Tunnel.Isis.Authentication.Mode.Md5), "text" : ("text", Native.Interface.Tunnel.Isis.Authentication.Mode.Text)}
                            self._child_list_classes = {}

                            self.md5 = None
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.text = None
                            self._children_name_map["text"] = "text"
                            self._children_yang_names.add("text")
                            self._segment_path = lambda: "mode"


                        class Md5(Entity):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Isis.Authentication.Mode.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Isis.Authentication.Mode.Md5, ['levels'], name, value)


                        class Text(Entity):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Isis.Authentication.Mode.Text, self).__init__()

                                self.yang_name = "text"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "text"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Isis.Authentication.Mode.Text, ['levels'], name, value)


                    class KeyChain(Entity):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of  		 :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Isis.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"key-chain-list" : ("key_chain_list", Native.Interface.Tunnel.Isis.Authentication.KeyChain.KeyChainList)}

                            self.name = YLeaf(YType.str, "name")

                            self.key_chain_list = YList(self)
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Isis.Authentication.KeyChain, ['name'], name, value)


                        class KeyChainList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Isis.Authentication.KeyChain.KeyChainList, self).__init__()

                                self.yang_name = "key-chain-list"
                                self.yang_parent_name = "key-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Isis.Authentication.KeyChain.KeyChainList, ['levels', 'name'], name, value)


                    class SendOnly(Entity):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Isis.Authentication.SendOnly, self).__init__()

                            self.yang_name = "send-only"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")
                            self._segment_path = lambda: "send-only"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Isis.Authentication.SendOnly, ['levels'], name, value)


                class CircuitType(Entity):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.CircuitType.Levels>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Isis.CircuitType, self).__init__()

                        self.yang_name = "circuit-type"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.levels = YLeaf(YType.enumeration, "levels")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:circuit-type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Isis.CircuitType, ['levels'], name, value)

                    class Levels(Enum):
                        """
                        Levels

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = Enum.YLeaf(0, "level-1")

                        level_1_2 = Enum.YLeaf(1, "level-1-2")

                        level_2_only = Enum.YLeaf(2, "level-2-only")



                class CsnpInterval(Entity):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Isis.CsnpInterval, self).__init__()

                        self.yang_name = "csnp-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"csnp-interval-list" : ("csnp_interval_list", Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.csnp_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:csnp-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Isis.CsnpInterval, ['value'], name, value)


                    class CsnpIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList, self).__init__()

                            self.yang_name = "csnp-interval-list"
                            self.yang_parent_name = "csnp-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "csnp-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Isis.CsnpInterval.CsnpIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Hello(Entity):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Isis.Hello, self).__init__()

                        self.yang_name = "hello"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"padding" : ("padding", Native.Interface.Tunnel.Isis.Hello.Padding)}
                        self._child_list_classes = {}

                        self.padding = None
                        self._children_name_map["padding"] = "padding"
                        self._children_yang_names.add("padding")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello"


                    class Padding(Entity):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Isis.Hello.Padding, self).__init__()

                            self.yang_name = "padding"
                            self.yang_parent_name = "hello"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.always = YLeaf(YType.empty, "always")
                            self._segment_path = lambda: "padding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Isis.Hello.Padding, ['always'], name, value)


                class HelloInterval(Entity):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..65535
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Isis.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-interval-list" : ("hello_interval_list", Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList)}

                        self.value = YLeaf(YType.str, "value")

                        self.hello_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Isis.HelloInterval, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: minimal = 0

                        """

                        minimal = Enum.YLeaf(0, "minimal")



                    class HelloIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..65535
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList, self).__init__()

                            self.yang_name = "hello-interval-list"
                            self.yang_parent_name = "hello-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "hello-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Isis.HelloInterval.HelloIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: minimal = 0

                            """

                            minimal = Enum.YLeaf(0, "minimal")



                class HelloMultiplier(Entity):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Isis.HelloMultiplier, self).__init__()

                        self.yang_name = "hello-multiplier"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-multiplier-list" : ("hello_multiplier_list", Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.hello_multiplier_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-multiplier"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Isis.HelloMultiplier, ['value'], name, value)


                    class HelloMultiplierList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList, self).__init__()

                            self.yang_name = "hello-multiplier-list"
                            self.yang_parent_name = "hello-multiplier"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "hello-multiplier-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Isis.HelloMultiplier.HelloMultiplierList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Ipv6(Entity):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Isis.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"metric" : ("metric", Native.Interface.Tunnel.Isis.Ipv6.Metric)}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.uint32, "tag")

                        self.metric = Native.Interface.Tunnel.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Isis.Ipv6, ['tag'], name, value)


                    class Metric(Entity):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Isis.Ipv6.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList)}

                            self.value = YLeaf(YType.str, "value")

                            self.metric_list = YList(self)
                            self._segment_path = lambda: "metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Isis.Ipv6.Metric, ['value'], name, value)

                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                        class MetricList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList.Levels>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..16777214
                            
                            		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList, self).__init__()

                                self.yang_name = "metric-list"
                                self.yang_parent_name = "metric"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.value = YLeaf(YType.str, "value")
                                self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Isis.Ipv6.Metric.MetricList, ['levels', 'value'], name, value)

                            class Levels(Enum):
                                """
                                Levels

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")


                            class Value(Enum):
                                """
                                Value

                                .. data:: maximum = 0

                                """

                                maximum = Enum.YLeaf(0, "maximum")



                class Metric(Entity):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..16777214
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Isis.Metric, self).__init__()

                        self.yang_name = "metric"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.Tunnel.Isis.Metric.MetricList)}

                        self.value = YLeaf(YType.str, "value")

                        self.metric_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:metric"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Isis.Metric, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: maximum = 0

                        """

                        maximum = Enum.YLeaf(0, "maximum")



                    class MetricList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Metric.MetricList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Isis.Metric.MetricList, self).__init__()

                            self.yang_name = "metric-list"
                            self.yang_parent_name = "metric"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Isis.Metric.MetricList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                class Password(Entity):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Password.PasswordList>`
                    
                    .. attribute:: password
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Isis.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"password-list" : ("password_list", Native.Interface.Tunnel.Isis.Password.PasswordList)}

                        self.password = YLeaf(YType.str, "password")

                        self.password_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Isis.Password, ['password'], name, value)


                    class PasswordList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Password.PasswordList.Levels>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Isis.Password.PasswordList, self).__init__()

                            self.yang_name = "password-list"
                            self.yang_parent_name = "password"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.password = YLeaf(YType.str, "password")
                            self._segment_path = lambda: "password-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Isis.Password.PasswordList, ['levels', 'password'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Priority(Entity):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Isis.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"priority-list" : ("priority_list", Native.Interface.Tunnel.Isis.Priority.PriorityList)}

                        self.value = YLeaf(YType.uint8, "value")

                        self.priority_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Isis.Priority, ['value'], name, value)


                    class PriorityList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.Priority.PriorityList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Isis.Priority.PriorityList, self).__init__()

                            self.yang_name = "priority-list"
                            self.yang_parent_name = "priority"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint8, "value")
                            self._segment_path = lambda: "priority-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Isis.Priority.PriorityList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class ThreeWayHandshake(Entity):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:  :py:class:`Implementor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Isis.ThreeWayHandshake.Implementor>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Isis.ThreeWayHandshake, self).__init__()

                        self.yang_name = "three-way-handshake"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.implementor = YLeaf(YType.enumeration, "implementor")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:three-way-handshake"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Isis.ThreeWayHandshake, ['implementor'], name, value)

                    class Implementor(Enum):
                        """
                        Implementor

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = Enum.YLeaf(0, "cisco")

                        ietf = Enum.YLeaf(1, "ietf")



            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.Tunnel.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                .. attribute:: template
                
                	BFD template
                	**type**\: str
                
                .. attribute:: interval
                
                	Transmit interval between BFD packets
                	**type**\:  :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Bfd.Interval>`
                
                .. attribute:: echo
                
                	Use echo adjunct as bfd detection mechanism
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-bfd:interval" : ("interval", Native.Interface.Tunnel.Bfd.Interval)}
                    self._child_list_classes = {}

                    self.template = YLeaf(YType.str, "Cisco-IOS-XE-bfd:template")

                    self.echo = YLeaf(YType.boolean, "Cisco-IOS-XE-bfd:echo")

                    self.interval = Native.Interface.Tunnel.Bfd.Interval()
                    self.interval.parent = self
                    self._children_name_map["interval"] = "interval"
                    self._children_yang_names.add("interval")
                    self._segment_path = lambda: "bfd"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Bfd, ['template', 'echo'], name, value)


                class Interval(Entity):
                    """
                    Transmit interval between BFD packets
                    
                    .. attribute:: msecs
                    
                    	
                    	**type**\: int
                    
                    	**range:** 50..9999
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\: int
                    
                    	**range:** 50..9999
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\: int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Bfd.Interval, self).__init__()

                        self.yang_name = "interval"
                        self.yang_parent_name = "bfd"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.msecs = YLeaf(YType.uint16, "msecs")

                        self.min_rx = YLeaf(YType.uint16, "min_rx")

                        self.multiplier = YLeaf(YType.uint8, "multiplier")
                        self._segment_path = lambda: "Cisco-IOS-XE-bfd:interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Bfd.Interval, ['msecs', 'min_rx', 'multiplier'], name, value)


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.Tunnel.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.Tunnel.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.Tunnel.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.Tunnel.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.Tunnel.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                .. attribute:: accounting
                
                	Enable MPLS accounting on this interface
                	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Accounting>`
                
                .. attribute:: bgp
                
                	MPLS BGP
                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Bgp>`
                
                .. attribute:: ip
                
                	Configure dynamic MPLS forwarding for IP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: label
                
                	Label properties
                	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Label>`
                
                .. attribute:: ldp
                
                	Configure Label Distribution Protocol (LDP) parameters
                	**type**\:  :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Ldp>`
                
                .. attribute:: mtu
                
                	Set MPLS Maximum Transmission Unit
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1501..1524
                
                		**type**\: int
                
                			**range:** 64..1500
                
                		**type**\: int
                
                			**range:** 64..9216
                
                .. attribute:: traffic_eng
                
                	Configure Traffic Engineering parameters
                	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-mpls:accounting" : ("accounting", Native.Interface.Tunnel.Mpls.Accounting), "Cisco-IOS-XE-mpls:bgp" : ("bgp", Native.Interface.Tunnel.Mpls.Bgp), "Cisco-IOS-XE-mpls:label" : ("label", Native.Interface.Tunnel.Mpls.Label), "Cisco-IOS-XE-mpls:ldp" : ("ldp", Native.Interface.Tunnel.Mpls.Ldp), "Cisco-IOS-XE-mpls:traffic-eng" : ("traffic_eng", Native.Interface.Tunnel.Mpls.TrafficEng)}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.empty, "Cisco-IOS-XE-mpls:ip")

                    self.mtu = YLeaf(YType.str, "Cisco-IOS-XE-mpls:mtu")

                    self.accounting = Native.Interface.Tunnel.Mpls.Accounting()
                    self.accounting.parent = self
                    self._children_name_map["accounting"] = "accounting"
                    self._children_yang_names.add("accounting")

                    self.bgp = Native.Interface.Tunnel.Mpls.Bgp()
                    self.bgp.parent = self
                    self._children_name_map["bgp"] = "bgp"
                    self._children_yang_names.add("bgp")

                    self.label = Native.Interface.Tunnel.Mpls.Label()
                    self.label.parent = self
                    self._children_name_map["label"] = "label"
                    self._children_yang_names.add("label")

                    self.ldp = Native.Interface.Tunnel.Mpls.Ldp()
                    self.ldp.parent = self
                    self._children_name_map["ldp"] = "ldp"
                    self._children_yang_names.add("ldp")

                    self.traffic_eng = Native.Interface.Tunnel.Mpls.TrafficEng()
                    self.traffic_eng.parent = self
                    self._children_name_map["traffic_eng"] = "traffic-eng"
                    self._children_yang_names.add("traffic-eng")
                    self._segment_path = lambda: "mpls"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Mpls, ['ip', 'mtu'], name, value)


                class Accounting(Entity):
                    """
                    Enable MPLS accounting on this interface
                    
                    .. attribute:: experimental
                    
                    	Count packets by MPLS experimental value on this interface
                    	**type**\:  :py:class:`Experimental <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Accounting.Experimental>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Mpls.Accounting, self).__init__()

                        self.yang_name = "accounting"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"experimental" : ("experimental", Native.Interface.Tunnel.Mpls.Accounting.Experimental)}
                        self._child_list_classes = {}

                        self.experimental = Native.Interface.Tunnel.Mpls.Accounting.Experimental()
                        self.experimental.parent = self
                        self._children_name_map["experimental"] = "experimental"
                        self._children_yang_names.add("experimental")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:accounting"


                    class Experimental(Entity):
                        """
                        Count packets by MPLS experimental value on this interface
                        
                        .. attribute:: input
                        
                        	received packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	transmitted packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Mpls.Accounting.Experimental, self).__init__()

                            self.yang_name = "experimental"
                            self.yang_parent_name = "accounting"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")
                            self._segment_path = lambda: "experimental"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Mpls.Accounting.Experimental, ['input', 'output'], name, value)


                class Bgp(Entity):
                    """
                    MPLS BGP
                    
                    .. attribute:: forwarding
                    
                    	Configure MPLS forwarding for directly connected BGP peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Mpls.Bgp, self).__init__()

                        self.yang_name = "bgp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.forwarding = YLeaf(YType.empty, "forwarding")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:bgp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Mpls.Bgp, ['forwarding'], name, value)


                class Label(Entity):
                    """
                    Label properties
                    
                    .. attribute:: protocol
                    
                    	Configure label/tag distribution protocol (LDP/TDP)
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Label.Protocol>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Mpls.Label, self).__init__()

                        self.yang_name = "label"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.protocol = YLeaf(YType.enumeration, "protocol")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:label"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Mpls.Label, ['protocol'], name, value)

                    class Protocol(Enum):
                        """
                        Protocol

                        Configure label/tag distribution protocol (LDP/TDP)

                        .. data:: both = 0

                        .. data:: ldp = 1

                        .. data:: tdp = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        ldp = Enum.YLeaf(1, "ldp")

                        tdp = Enum.YLeaf(2, "tdp")



                class Ldp(Entity):
                    """
                    Configure Label Distribution Protocol (LDP) parameters
                    
                    .. attribute:: discovery
                    
                    	Configure interface LDP Discovery parameters
                    	**type**\:  :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.Ldp.Discovery>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Mpls.Ldp, self).__init__()

                        self.yang_name = "ldp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"discovery" : ("discovery", Native.Interface.Tunnel.Mpls.Ldp.Discovery)}
                        self._child_list_classes = {}

                        self.discovery = Native.Interface.Tunnel.Mpls.Ldp.Discovery()
                        self.discovery.parent = self
                        self._children_name_map["discovery"] = "discovery"
                        self._children_yang_names.add("discovery")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:ldp"


                    class Discovery(Entity):
                        """
                        Configure interface LDP Discovery parameters
                        
                        .. attribute:: transport_address
                        
                        	Specify interface LDP transport address
                        	**type**\: union of the below types:
                        
                        		**type**\:  :py:class:`LdpDiscoveryAddressType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.LdpDiscoveryAddressType>`
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Mpls.Ldp.Discovery, self).__init__()

                            self.yang_name = "discovery"
                            self.yang_parent_name = "ldp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.transport_address = YLeaf(YType.str, "transport-address")
                            self._segment_path = lambda: "discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Mpls.Ldp.Discovery, ['transport_address'], name, value)


                class TrafficEng(Entity):
                    """
                    Configure Traffic Engineering parameters
                    
                    .. attribute:: administrative_weight
                    
                    	Set the administrative weight for the interface\: <0..4294967295>
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: attribute_flags
                    
                    	Set user\-defined interface attibute flags\:  <0x0\-0xFFFFFFFF>
                    	**type**\: str
                    
                    	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                    
                    .. attribute:: backup_path
                    
                    	Configure an MPLS TE backup for this interface
                    	**type**\:  :py:class:`BackupPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.TrafficEng.BackupPath>`
                    
                    .. attribute:: flooding
                    
                    	Set flooding parameters
                    	**type**\:  :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.TrafficEng.Flooding>`
                    
                    .. attribute:: passive_interface
                    
                    	Force a flood of non\-IGP link
                    	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.TrafficEng.PassiveInterface>`
                    
                    .. attribute:: tunnels
                    
                    	enable MPLS Traffic Engineering tunnels
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Mpls.TrafficEng, self).__init__()

                        self.yang_name = "traffic-eng"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"backup-path" : ("backup_path", Native.Interface.Tunnel.Mpls.TrafficEng.BackupPath), "flooding" : ("flooding", Native.Interface.Tunnel.Mpls.TrafficEng.Flooding), "passive-interface" : ("passive_interface", Native.Interface.Tunnel.Mpls.TrafficEng.PassiveInterface)}
                        self._child_list_classes = {}

                        self.administrative_weight = YLeaf(YType.uint32, "administrative-weight")

                        self.attribute_flags = YLeaf(YType.str, "attribute-flags")

                        self.tunnels = YLeaf(YType.empty, "tunnels")

                        self.backup_path = Native.Interface.Tunnel.Mpls.TrafficEng.BackupPath()
                        self.backup_path.parent = self
                        self._children_name_map["backup_path"] = "backup-path"
                        self._children_yang_names.add("backup-path")

                        self.flooding = Native.Interface.Tunnel.Mpls.TrafficEng.Flooding()
                        self.flooding.parent = self
                        self._children_name_map["flooding"] = "flooding"
                        self._children_yang_names.add("flooding")

                        self.passive_interface = Native.Interface.Tunnel.Mpls.TrafficEng.PassiveInterface()
                        self.passive_interface.parent = self
                        self._children_name_map["passive_interface"] = "passive-interface"
                        self._children_yang_names.add("passive-interface")
                        self._segment_path = lambda: "Cisco-IOS-XE-mpls:traffic-eng"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Mpls.TrafficEng, ['administrative_weight', 'attribute_flags', 'tunnels'], name, value)


                    class BackupPath(Entity):
                        """
                        Configure an MPLS TE backup for this interface
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface number\: <0..2147483647>
                        	**type**\: int
                        
                        	**range:** 0..2147483647
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Mpls.TrafficEng.BackupPath, self).__init__()

                            self.yang_name = "backup-path"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")
                            self._segment_path = lambda: "backup-path"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Mpls.TrafficEng.BackupPath, ['tunnel'], name, value)


                    class Flooding(Entity):
                        """
                        Set flooding parameters
                        
                        .. attribute:: thresholds
                        
                        	Set flooding thresholds
                        	**type**\:  :py:class:`Thresholds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.TrafficEng.Flooding.Thresholds>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Mpls.TrafficEng.Flooding, self).__init__()

                            self.yang_name = "flooding"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"thresholds" : ("thresholds", Native.Interface.Tunnel.Mpls.TrafficEng.Flooding.Thresholds)}
                            self._child_list_classes = {}

                            self.thresholds = Native.Interface.Tunnel.Mpls.TrafficEng.Flooding.Thresholds()
                            self.thresholds.parent = self
                            self._children_name_map["thresholds"] = "thresholds"
                            self._children_yang_names.add("thresholds")
                            self._segment_path = lambda: "flooding"


                        class Thresholds(Entity):
                            """
                            Set flooding thresholds
                            
                            .. attribute:: down
                            
                            	Set the thresholds for decreased resource availability in percentage\: <0..100>
                            	**type**\: list of int
                            
                            	**range:** 0..100
                            
                            .. attribute:: up
                            
                            	Set the thresholds for increased resource availability in percentage\: <0..100>
                            	**type**\: list of int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Mpls.TrafficEng.Flooding.Thresholds, self).__init__()

                                self.yang_name = "thresholds"
                                self.yang_parent_name = "flooding"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.down = YLeafList(YType.uint8, "down")

                                self.up = YLeafList(YType.uint8, "up")
                                self._segment_path = lambda: "thresholds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Mpls.TrafficEng.Flooding.Thresholds, ['down', 'up'], name, value)


                    class PassiveInterface(Entity):
                        """
                        Force a flood of non\-IGP link
                        
                        .. attribute:: nbr_te_id
                        
                        	Set the neighbor TE ID (router\-id)
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nbr_if_addr
                        
                        	Set the Neighbor IP interface address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nbr_igp_id
                        
                        	Set the Neighbor IGP ID (system\-id)
                        	**type**\:  :py:class:`NbrIgpId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Mpls.TrafficEng.PassiveInterface.NbrIgpId>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Mpls.TrafficEng.PassiveInterface, self).__init__()

                            self.yang_name = "passive-interface"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"nbr-igp-id" : ("nbr_igp_id", Native.Interface.Tunnel.Mpls.TrafficEng.PassiveInterface.NbrIgpId)}
                            self._child_list_classes = {}

                            self.nbr_te_id = YLeaf(YType.str, "nbr-te-id")

                            self.nbr_if_addr = YLeaf(YType.str, "nbr-if-addr")

                            self.nbr_igp_id = Native.Interface.Tunnel.Mpls.TrafficEng.PassiveInterface.NbrIgpId()
                            self.nbr_igp_id.parent = self
                            self._children_name_map["nbr_igp_id"] = "nbr-igp-id"
                            self._children_yang_names.add("nbr-igp-id")
                            self._segment_path = lambda: "passive-interface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Mpls.TrafficEng.PassiveInterface, ['nbr_te_id', 'nbr_if_addr'], name, value)


                        class NbrIgpId(Entity):
                            """
                            Set the Neighbor IGP ID (system\-id)
                            
                            .. attribute:: isis
                            
                            	Set the neighbor ISIS node ID
                            	**type**\: str
                            
                            .. attribute:: ospf
                            
                            	Set the neighbor OSPF node ID
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Mpls.TrafficEng.PassiveInterface.NbrIgpId, self).__init__()

                                self.yang_name = "nbr-igp-id"
                                self.yang_parent_name = "passive-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.isis = YLeaf(YType.str, "isis")

                                self.ospf = YLeaf(YType.str, "ospf")
                                self._segment_path = lambda: "nbr-igp-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Mpls.TrafficEng.PassiveInterface.NbrIgpId, ['isis', 'ospf'], name, value)


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.Tunnel.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.Tunnel.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.Tunnel.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.Tunnel.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Flow>`
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\: bool
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Igmp>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Lisp>`
                
                .. attribute:: nbar
                
                	Network\-Based Application Recognition
                	**type**\:  :py:class:`Nbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nbar>`
                
                .. attribute:: nhrp
                
                	NHRP interface subcommands
                	**type**\:  :py:class:`Nhrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf>`
                
                .. attribute:: rsvp
                
                	RSVP Interface Commands
                	**type**\:  :py:class:`Rsvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:  :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.Tunnel.Ip.AccessGroup), "arp" : ("arp", Native.Interface.Tunnel.Ip.Arp), "vrf" : ("vrf", Native.Interface.Tunnel.Ip.Vrf), "no-address" : ("no_address", Native.Interface.Tunnel.Ip.NoAddress), "address" : ("address", Native.Interface.Tunnel.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.Tunnel.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.Tunnel.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.Tunnel.Ip.HoldTime), "pim" : ("pim", Native.Interface.Tunnel.Ip.Pim), "policy" : ("policy", Native.Interface.Tunnel.Ip.Policy), "rip" : ("rip", Native.Interface.Tunnel.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.Tunnel.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.Tunnel.Ip.RouteCache), "router" : ("router", Native.Interface.Tunnel.Ip.Router), "tcp" : ("tcp", Native.Interface.Tunnel.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.Tunnel.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.Tunnel.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.Tunnel.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.Tunnel.Ip.Verify), "Cisco-IOS-XE-flow:flow" : ("flow", Native.Interface.Tunnel.Ip.Flow), "Cisco-IOS-XE-igmp:igmp" : ("igmp", Native.Interface.Tunnel.Ip.Igmp), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Interface.Tunnel.Ip.Lisp), "Cisco-IOS-XE-nbar:nbar" : ("nbar", Native.Interface.Tunnel.Ip.Nbar), "Cisco-IOS-XE-nhrp:nhrp" : ("nhrp", Native.Interface.Tunnel.Ip.Nhrp), "Cisco-IOS-XE-ospf:ospf" : ("ospf", Native.Interface.Tunnel.Ip.Ospf), "Cisco-IOS-XE-rsvp:rsvp" : ("rsvp", Native.Interface.Tunnel.Ip.Rsvp), "Cisco-IOS-XE-wccp:wccp" : ("wccp", Native.Interface.Tunnel.Ip.Wccp)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.Tunnel.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.unreachables = YLeaf(YType.boolean, "Cisco-IOS-XE-icmp:unreachables")

                    self.access_group = Native.Interface.Tunnel.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.Tunnel.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.Tunnel.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.Tunnel.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.Tunnel.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.Tunnel.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.Tunnel.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.Tunnel.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.Tunnel.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.Tunnel.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.Tunnel.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.Tunnel.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.Tunnel.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.Tunnel.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.Tunnel.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.Tunnel.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.Tunnel.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.Tunnel.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.flow = Native.Interface.Tunnel.Ip.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.igmp = Native.Interface.Tunnel.Ip.Igmp()
                    self.igmp.parent = self
                    self._children_name_map["igmp"] = "igmp"
                    self._children_yang_names.add("igmp")

                    self.lisp = Native.Interface.Tunnel.Ip.Lisp()
                    self.lisp.parent = self
                    self._children_name_map["lisp"] = "lisp"
                    self._children_yang_names.add("lisp")

                    self.nbar = Native.Interface.Tunnel.Ip.Nbar()
                    self.nbar.parent = self
                    self._children_name_map["nbar"] = "nbar"
                    self._children_yang_names.add("nbar")

                    self.nhrp = Native.Interface.Tunnel.Ip.Nhrp()
                    self.nhrp.parent = self
                    self._children_name_map["nhrp"] = "nhrp"
                    self._children_yang_names.add("nhrp")

                    self.ospf = Native.Interface.Tunnel.Ip.Ospf()
                    self.ospf.parent = self
                    self._children_name_map["ospf"] = "ospf"
                    self._children_yang_names.add("ospf")

                    self.rsvp = Native.Interface.Tunnel.Ip.Rsvp()
                    self.rsvp.parent = self
                    self._children_name_map["rsvp"] = "rsvp"
                    self._children_yang_names.add("rsvp")

                    self.wccp = Native.Interface.Tunnel.Ip.Wccp()
                    self.wccp.parent = self
                    self._children_name_map["wccp"] = "wccp"
                    self._children_yang_names.add("wccp")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache', 'unreachables'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.Tunnel.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.Tunnel.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.Tunnel.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.Tunnel.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Tunnel.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.Tunnel.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Tunnel.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Tunnel.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Tunnel.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.Tunnel.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Tunnel.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Tunnel.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.Tunnel.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.Tunnel.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Tunnel.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Tunnel.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.Tunnel.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.Tunnel.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.Tunnel.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.Tunnel.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.Tunnel.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.Tunnel.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.Tunnel.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.Tunnel.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.Tunnel.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.Tunnel.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.Tunnel.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.Tunnel.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: accept_register
                    
                    	
                    	**type**\:  :py:class:`AcceptRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Pim.AcceptRegister>`
                    
                    .. attribute:: sparse_mode
                    
                    	
                    	**type**\:  :py:class:`SparseMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Pim.SparseMode>`
                    
                    .. attribute:: nbma_mode
                    
                    	Enable PIM nbma\-mode operation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM router DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: query_interval
                    
                    	PIM router query interval
                    	**type**\:  :py:class:`QueryInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Pim.QueryInterval>`
                    
                    .. attribute:: spt_threshold
                    
                    	
                    	**type**\:  :py:class:`SptThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Pim.SptThreshold>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-multicast:accept-register" : ("accept_register", Native.Interface.Tunnel.Ip.Pim.AcceptRegister), "Cisco-IOS-XE-multicast:query-interval" : ("query_interval", Native.Interface.Tunnel.Ip.Pim.QueryInterval)}
                        self._child_list_classes = {}

                        self.sparse_mode = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:sparse-mode")

                        self.nbma_mode = YLeaf(YType.empty, "Cisco-IOS-XE-multicast:nbma-mode")

                        self.dr_priority = YLeaf(YType.uint32, "Cisco-IOS-XE-multicast:dr-priority")

                        self.spt_threshold = YLeaf(YType.enumeration, "Cisco-IOS-XE-multicast:spt-threshold")

                        self.accept_register = Native.Interface.Tunnel.Ip.Pim.AcceptRegister()
                        self.accept_register.parent = self
                        self._children_name_map["accept_register"] = "accept-register"
                        self._children_yang_names.add("accept-register")

                        self.query_interval = Native.Interface.Tunnel.Ip.Pim.QueryInterval()
                        self.query_interval.parent = self
                        self._children_name_map["query_interval"] = "query-interval"
                        self._children_yang_names.add("query-interval")
                        self._segment_path = lambda: "pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.Pim, ['sparse_mode', 'nbma_mode', 'dr_priority', 'spt_threshold'], name, value)

                    class SparseMode(Enum):
                        """
                        SparseMode

                        .. data:: sparse_dense_mode = 0

                        .. data:: sparse_mode = 1

                        """

                        sparse_dense_mode = Enum.YLeaf(0, "sparse-dense-mode")

                        sparse_mode = Enum.YLeaf(1, "sparse-mode")


                    class SptThreshold(Enum):
                        """
                        SptThreshold

                        .. data:: infinity = 0

                        """

                        infinity = Enum.YLeaf(0, "infinity")



                    class AcceptRegister(Entity):
                        """
                        
                        
                        .. attribute:: list
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Pim.AcceptRegister, self).__init__()

                            self.yang_name = "accept-register"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.list = YLeaf(YType.str, "list")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:accept-register"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Pim.AcceptRegister, ['list'], name, value)


                    class QueryInterval(Entity):
                        """
                        PIM router query interval
                        
                        .. attribute:: seconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..18725
                        
                        .. attribute:: milliseconds_interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 100..65535
                        
                        .. attribute:: msec
                        
                        	Query interval in milliseconds
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Pim.QueryInterval, self).__init__()

                            self.yang_name = "query-interval"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.seconds_interval = YLeaf(YType.uint16, "seconds-interval")

                            self.milliseconds_interval = YLeaf(YType.uint16, "milliseconds-interval")

                            self.msec = YLeaf(YType.empty, "msec")
                            self._segment_path = lambda: "Cisco-IOS-XE-multicast:query-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Pim.QueryInterval, ['seconds_interval', 'milliseconds_interval', 'msec'], name, value)


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Tunnel.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.Tunnel.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.Tunnel.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.Tunnel.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.Tunnel.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.Tunnel.Ip.Dhcp.Client), "Cisco-IOS-XE-dhcp:relay" : ("relay", Native.Interface.Tunnel.Ip.Dhcp.Relay), "Cisco-IOS-XE-dhcp:snooping" : ("snooping", Native.Interface.Tunnel.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.client = Native.Interface.Tunnel.Ip.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.relay = Native.Interface.Tunnel.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self._children_name_map["relay"] = "relay"
                        self._children_yang_names.add("relay")

                        self.snooping = Native.Interface.Tunnel.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"


                    class Client(Entity):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hostname = YLeaf(YType.str, "hostname")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Dhcp.Client, ['hostname'], name, value)


                    class Relay(Entity):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Dhcp.Relay, self).__init__()

                            self.yang_name = "relay"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"information" : ("information", Native.Interface.Tunnel.Ip.Dhcp.Relay.Information)}
                            self._child_list_classes = {}

                            self.source_interface = YLeaf(YType.str, "source-interface")

                            self.information = Native.Interface.Tunnel.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self._children_name_map["information"] = "information"
                            self._children_yang_names.add("information")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:relay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Dhcp.Relay, ['source_interface'], name, value)


                        class Information(Entity):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:  :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:  :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:  :py:class:`PolicyAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.PolicyAction>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Dhcp.Relay.Information, self).__init__()

                                self.yang_name = "information"
                                self.yang_parent_name = "relay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"check-reply" : ("check_reply", Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.CheckReply), "option" : ("option", Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.Option), "option-insert" : ("option_insert", Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.OptionInsert)}
                                self._child_list_classes = {}

                                self.policy_action = YLeaf(YType.enumeration, "policy-action")

                                self.trusted = YLeaf(YType.empty, "trusted")

                                self.check_reply = None
                                self._children_name_map["check_reply"] = "check-reply"
                                self._children_yang_names.add("check-reply")

                                self.option = Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self._children_name_map["option"] = "option"
                                self._children_yang_names.add("option")

                                self.option_insert = None
                                self._children_name_map["option_insert"] = "option-insert"
                                self._children_yang_names.add("option-insert")
                                self._segment_path = lambda: "information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Dhcp.Relay.Information, ['policy_action', 'trusted'], name, value)

                            class PolicyAction(Enum):
                                """
                                PolicyAction

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = Enum.YLeaf(0, "drop")

                                encapsulate = Enum.YLeaf(1, "encapsulate")

                                keep = Enum.YLeaf(2, "keep")

                                replace = Enum.YLeaf(3, "replace")



                            class CheckReply(Entity):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.CheckReply, self).__init__()

                                    self.yang_name = "check-reply"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "check-reply"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.CheckReply, ['none'], name, value)


                            class Option(Entity):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                    self.yang_name = "option"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                    self._segment_path = lambda: "option"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                            class OptionInsert(Entity):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.OptionInsert, self).__init__()

                                    self.yang_name = "option-insert"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "option-insert"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Dhcp.Relay.Information.OptionInsert, ['none'], name, value)


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Tunnel.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {"vlan" : ("vlan", Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan)}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Tunnel.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")

                            self.vlan = YList(self)
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:snooping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Dhcp.Snooping, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


                        class Vlan(Entity):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"information" : ("information", Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.information = Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self
                                self._children_name_map["information"] = "information"
                                self._children_yang_names.add("information")
                                self._segment_path = lambda: "vlan" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan, ['id'], name, value)


                            class Information(Entity):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information, self).__init__()

                                    self.yang_name = "information"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"option" : ("option", Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option)}
                                    self._child_list_classes = {}

                                    self.option = Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self
                                    self._children_name_map["option"] = "option"
                                    self._children_yang_names.add("option")
                                    self._segment_path = lambda: "information"


                                class Option(Entity):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:  :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option, self).__init__()

                                        self.yang_name = "option"
                                        self.yang_parent_name = "information"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"format-type" : ("format_type", Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType)}
                                        self._child_list_classes = {}

                                        self.format_type = Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self
                                        self._children_name_map["format_type"] = "format-type"
                                        self._children_yang_names.add("format-type")
                                        self._segment_path = lambda: "option"


                                    class FormatType(Entity):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:  :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType, self).__init__()

                                            self.yang_name = "format-type"
                                            self.yang_parent_name = "option"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"circuit-id" : ("circuit_id", Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId)}
                                            self._child_list_classes = {}

                                            self.circuit_id = Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self
                                            self._children_name_map["circuit_id"] = "circuit-id"
                                            self._children_yang_names.add("circuit-id")
                                            self._segment_path = lambda: "format-type"


                                        class CircuitId(Entity):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\: str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, self).__init__()

                                                self.yang_name = "circuit-id"
                                                self.yang_parent_name = "format-type"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.string = YLeaf(YType.str, "string")
                                                self._segment_path = lambda: "circuit-id"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Tunnel.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, ['string'], name, value)


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.Tunnel.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.Tunnel.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.Tunnel.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.Tunnel.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.Tunnel.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.Tunnel.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.Tunnel.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.Tunnel.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.Tunnel.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.Tunnel.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



                class Flow(Entity):
                    """
                    NetFlow related commands
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"monitor" : ("monitor", Native.Interface.Tunnel.Ip.Flow.Monitor)}

                        self.ingress = YLeaf(YType.empty, "ingress")

                        self.egress = YLeaf(YType.empty, "egress")

                        self.monitor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-flow:flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.Flow, ['ingress', 'egress'], name, value)


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of  		 :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler>`
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"sampler" : ("sampler", Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler)}

                            self.name = YLeaf(YType.str, "name")

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.sampler = YList(self)
                            self._segment_path = lambda: "monitor" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Flow.Monitor, ['name', 'input', 'output', 'multicast', 'unicast'], name, value)


                        class Sampler(Entity):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler.Direction>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler, self).__init__()

                                self.yang_name = "sampler"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.direction = YLeaf(YType.enumeration, "direction")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "sampler" + "[direction='" + self.direction.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Flow.Monitor.Sampler, ['direction', 'name'], name, value)

                            class Direction(Enum):
                                """
                                Direction

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = Enum.YLeaf(0, "input")

                                output = Enum.YLeaf(1, "output")



                class Igmp(Entity):
                    """
                    IGMP interface commands
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:  :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of  		 :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Igmp, self).__init__()

                        self.yang_name = "igmp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"static-group" : ("static_group", Native.Interface.Tunnel.Ip.Igmp.StaticGroup)}
                        self._child_list_classes = {"join-group" : ("join_group", Native.Interface.Tunnel.Ip.Igmp.JoinGroup)}

                        self.version = YLeaf(YType.uint8, "version")

                        self.static_group = Native.Interface.Tunnel.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self._children_name_map["static_group"] = "static-group"
                        self._children_yang_names.add("static-group")

                        self.join_group = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-igmp:igmp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.Igmp, ['version'], name, value)


                    class StaticGroup(Entity):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of  		 :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Igmp.StaticGroup.Groups>`
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of  		 :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Igmp.StaticGroup, self).__init__()

                            self.yang_name = "static-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"groups" : ("groups", Native.Interface.Tunnel.Ip.Igmp.StaticGroup.Groups), "class-map" : ("class_map", Native.Interface.Tunnel.Ip.Igmp.StaticGroup.ClassMap)}

                            self.groups = YList(self)
                            self.class_map = YList(self)
                            self._segment_path = lambda: "static-group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Igmp.StaticGroup, [], name, value)


                        class Groups(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.Groups.Name>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Igmp.StaticGroup.Groups, self).__init__()

                                self.yang_name = "groups"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "groups" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Igmp.StaticGroup.Groups, ['name'], name, value)

                            class Name(Enum):
                                """
                                Name

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = Enum.YLeaf(0, "*")



                        class ClassMap(Entity):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Igmp.StaticGroup.ClassMap, self).__init__()

                                self.yang_name = "class-map"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")
                                self._segment_path = lambda: "class-map" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Igmp.StaticGroup.ClassMap, ['id'], name, value)


                    class JoinGroup(Entity):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Igmp.JoinGroup, self).__init__()

                            self.yang_name = "join-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip_group_address = YLeaf(YType.str, "ip-group-address")

                            self.source = YLeaf(YType.str, "source")
                            self._segment_path = lambda: "join-group" + "[ip-group-address='" + self.ip_group_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Igmp.JoinGroup, ['ip_group_address', 'source'], name, value)


                class Lisp(Entity):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: source_locator
                    
                    	Choose IP source address for LISP packets egressing this interface
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Lisp, self).__init__()

                        self.yang_name = "lisp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.source_locator = YLeaf(YType.str, "source-locator")
                        self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.Lisp, ['source_locator'], name, value)


                class Nbar(Entity):
                    """
                    Network\-Based Application Recognition
                    
                    .. attribute:: protocol_discovery
                    
                    	Enable protocol discovery for both ipv4 and ipv6
                    	**type**\:  :py:class:`ProtocolDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-nbar'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Nbar, self).__init__()

                        self.yang_name = "nbar"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"protocol-discovery" : ("protocol_discovery", Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery)}
                        self._child_list_classes = {}

                        self.protocol_discovery = None
                        self._children_name_map["protocol_discovery"] = "protocol-discovery"
                        self._children_yang_names.add("protocol-discovery")
                        self._segment_path = lambda: "Cisco-IOS-XE-nbar:nbar"


                    class ProtocolDiscovery(Entity):
                        """
                        Enable protocol discovery for both ipv4 and ipv6
                        
                        .. attribute:: ipv4_ipv6
                        
                        	
                        	**type**\:  :py:class:`Ipv4Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery.Ipv4Ipv6>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nbar'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery, self).__init__()

                            self.yang_name = "protocol-discovery"
                            self.yang_parent_name = "nbar"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ipv4_ipv6 = YLeaf(YType.enumeration, "ipv4-ipv6")
                            self._segment_path = lambda: "protocol-discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nbar.ProtocolDiscovery, ['ipv4_ipv6'], name, value)

                        class Ipv4Ipv6(Enum):
                            """
                            Ipv4Ipv6

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = Enum.YLeaf(0, "ipv4")

                            ipv6 = Enum.YLeaf(1, "ipv6")



                class Nhrp(Entity):
                    """
                    NHRP interface subcommands
                    
                    .. attribute:: attribute
                    
                    	NHRP attribute set
                    	**type**\:  :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Attribute>`
                    
                    .. attribute:: authentication
                    
                    	authentication string
                    	**type**\: str
                    
                    .. attribute:: cache
                    
                    	NHRP Cache related commands
                    	**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Cache>`
                    
                    .. attribute:: connect
                    
                    	NHRP event request id
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: group
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: holdtime
                    
                    	Number of seconds
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: interest
                    
                    	Specify an access list
                    	**type**\:  :py:class:`Interest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Interest>`
                    
                    .. attribute:: map
                    
                    	Map dest IP addresses to NBMA addresses
                    	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map>`
                    
                    .. attribute:: max_send
                    
                    	Rate limit NHRP traffic
                    	**type**\:  :py:class:`MaxSend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.MaxSend>`
                    
                    .. attribute:: network_id
                    
                    	Network identifier
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: nhs
                    
                    	Specify a next hop server
                    	**type**\:  :py:class:`Nhs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs>`
                    
                    .. attribute:: record
                    
                    	Allow NHRP record option
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: redirect
                    
                    	Enable NHRP redirect traffic indication
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Redirect>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: registration
                    
                    	Settings for registration packets
                    	**type**\:  :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Registration>`
                    
                    .. attribute:: reject
                    
                    	NHRP resolution reject request
                    	**type**\:  :py:class:`Reject <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Reject>`
                    
                    .. attribute:: responder
                    
                    	Responder interface
                    	**type**\:  :py:class:`Responder <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Responder>`
                    
                    .. attribute:: server_only
                    
                    	Disable NHRP requests
                    	**type**\:  :py:class:`ServerOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.ServerOnly>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: shortcut
                    
                    	Enable shortcut switching
                    	**type**\:  :py:class:`Shortcut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Shortcut>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trigger_svc
                    
                    	Create NHRP cut\-through based on traffic load
                    	**type**\:  :py:class:`TriggerSvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc>`
                    
                    .. attribute:: use
                    
                    	Number of packets to cause NHRP request
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-nhrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Nhrp, self).__init__()

                        self.yang_name = "nhrp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"attribute" : ("attribute", Native.Interface.Tunnel.Ip.Nhrp.Attribute), "cache" : ("cache", Native.Interface.Tunnel.Ip.Nhrp.Cache), "interest" : ("interest", Native.Interface.Tunnel.Ip.Nhrp.Interest), "map" : ("map", Native.Interface.Tunnel.Ip.Nhrp.Map), "max-send" : ("max_send", Native.Interface.Tunnel.Ip.Nhrp.MaxSend), "nhs" : ("nhs", Native.Interface.Tunnel.Ip.Nhrp.Nhs), "redirect" : ("redirect", Native.Interface.Tunnel.Ip.Nhrp.Redirect), "registration" : ("registration", Native.Interface.Tunnel.Ip.Nhrp.Registration), "reject" : ("reject", Native.Interface.Tunnel.Ip.Nhrp.Reject), "responder" : ("responder", Native.Interface.Tunnel.Ip.Nhrp.Responder), "server-only" : ("server_only", Native.Interface.Tunnel.Ip.Nhrp.ServerOnly), "shortcut" : ("shortcut", Native.Interface.Tunnel.Ip.Nhrp.Shortcut), "trigger-svc" : ("trigger_svc", Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc)}
                        self._child_list_classes = {}

                        self.authentication = YLeaf(YType.str, "authentication")

                        self.connect = YLeaf(YType.uint16, "connect")

                        self.group = YLeaf(YType.str, "group")

                        self.holdtime = YLeaf(YType.uint16, "holdtime")

                        self.network_id = YLeaf(YType.uint32, "network-id")

                        self.record = YLeaf(YType.empty, "record")

                        self.use = YLeaf(YType.uint16, "use")

                        self.attribute = Native.Interface.Tunnel.Ip.Nhrp.Attribute()
                        self.attribute.parent = self
                        self._children_name_map["attribute"] = "attribute"
                        self._children_yang_names.add("attribute")

                        self.cache = Native.Interface.Tunnel.Ip.Nhrp.Cache()
                        self.cache.parent = self
                        self._children_name_map["cache"] = "cache"
                        self._children_yang_names.add("cache")

                        self.interest = Native.Interface.Tunnel.Ip.Nhrp.Interest()
                        self.interest.parent = self
                        self._children_name_map["interest"] = "interest"
                        self._children_yang_names.add("interest")

                        self.map = Native.Interface.Tunnel.Ip.Nhrp.Map()
                        self.map.parent = self
                        self._children_name_map["map"] = "map"
                        self._children_yang_names.add("map")

                        self.max_send = Native.Interface.Tunnel.Ip.Nhrp.MaxSend()
                        self.max_send.parent = self
                        self._children_name_map["max_send"] = "max-send"
                        self._children_yang_names.add("max-send")

                        self.nhs = Native.Interface.Tunnel.Ip.Nhrp.Nhs()
                        self.nhs.parent = self
                        self._children_name_map["nhs"] = "nhs"
                        self._children_yang_names.add("nhs")

                        self.redirect = None
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.registration = Native.Interface.Tunnel.Ip.Nhrp.Registration()
                        self.registration.parent = self
                        self._children_name_map["registration"] = "registration"
                        self._children_yang_names.add("registration")

                        self.reject = Native.Interface.Tunnel.Ip.Nhrp.Reject()
                        self.reject.parent = self
                        self._children_name_map["reject"] = "reject"
                        self._children_yang_names.add("reject")

                        self.responder = Native.Interface.Tunnel.Ip.Nhrp.Responder()
                        self.responder.parent = self
                        self._children_name_map["responder"] = "responder"
                        self._children_yang_names.add("responder")

                        self.server_only = None
                        self._children_name_map["server_only"] = "server-only"
                        self._children_yang_names.add("server-only")

                        self.shortcut = None
                        self._children_name_map["shortcut"] = "shortcut"
                        self._children_yang_names.add("shortcut")

                        self.trigger_svc = Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc()
                        self.trigger_svc.parent = self
                        self._children_name_map["trigger_svc"] = "trigger-svc"
                        self._children_yang_names.add("trigger-svc")
                        self._segment_path = lambda: "Cisco-IOS-XE-nhrp:nhrp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp, ['authentication', 'connect', 'group', 'holdtime', 'network_id', 'record', 'use'], name, value)


                    class Attribute(Entity):
                        """
                        NHRP attribute set
                        
                        .. attribute:: set
                        
                        	attribute set
                        	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nhrp.Attribute, self).__init__()

                            self.yang_name = "attribute"
                            self.yang_parent_name = "nhrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"set" : ("set", Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set)}
                            self._child_list_classes = {}

                            self.set = Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set()
                            self.set.parent = self
                            self._children_name_map["set"] = "set"
                            self._children_yang_names.add("set")
                            self._segment_path = lambda: "attribute"


                        class Set(Entity):
                            """
                            attribute set
                            
                            .. attribute:: attr_type
                            
                            	
                            	**type**\: list of  		 :py:class:`AttrType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set.AttrType>`
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set, self).__init__()

                                self.yang_name = "set"
                                self.yang_parent_name = "attribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"attr-type" : ("attr_type", Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set.AttrType)}

                                self.attr_type = YList(self)
                                self._segment_path = lambda: "set"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set, [], name, value)


                            class AttrType(Entity):
                                """
                                
                                
                                .. attribute:: attr_type  <key>
                                
                                	attribute type
                                	**type**\: str
                                
                                .. attribute:: attr_val
                                
                                	attribute value
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set.AttrType, self).__init__()

                                    self.yang_name = "attr-type"
                                    self.yang_parent_name = "set"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.attr_type = YLeaf(YType.str, "attr-type")

                                    self.attr_val = YLeaf(YType.str, "attr-val")
                                    self._segment_path = lambda: "attr-type" + "[attr-type='" + self.attr_type.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Attribute.Set.AttrType, ['attr_type', 'attr_val'], name, value)


                    class Cache(Entity):
                        """
                        NHRP Cache related commands.
                        
                        .. attribute:: non_authoritative
                        
                        	Mark cache entries non\-authoritative
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nhrp.Cache, self).__init__()

                            self.yang_name = "cache"
                            self.yang_parent_name = "nhrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.non_authoritative = YLeaf(YType.empty, "non-authoritative")
                            self._segment_path = lambda: "cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Cache, ['non_authoritative'], name, value)


                    class Interest(Entity):
                        """
                        Specify an access list
                        
                        .. attribute:: acl_range
                        
                        	IP access list
                        	**type**\: int
                        
                        	**range:** 1..199
                        
                        .. attribute:: none
                        
                        	No traffic is interesting
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nhrp.Interest, self).__init__()

                            self.yang_name = "interest"
                            self.yang_parent_name = "nhrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.acl_range = YLeaf(YType.uint8, "acl-range")

                            self.none = YLeaf(YType.empty, "none")
                            self._segment_path = lambda: "interest"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Interest, ['acl_range', 'none'], name, value)


                    class Map(Entity):
                        """
                        Map dest IP addresses to NBMA addresses
                        
                        .. attribute:: dest_ipv4
                        
                        	
                        	**type**\: list of  		 :py:class:`DestIpv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4>`
                        
                        .. attribute:: multicast
                        
                        	Use this NBMA mapping for broadcasts/multicasts
                        	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map.Multicast>`
                        
                        .. attribute:: group
                        
                        	
                        	**type**\: list of  		 :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map.Group>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nhrp.Map, self).__init__()

                            self.yang_name = "map"
                            self.yang_parent_name = "nhrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"multicast" : ("multicast", Native.Interface.Tunnel.Ip.Nhrp.Map.Multicast)}
                            self._child_list_classes = {"dest-ipv4" : ("dest_ipv4", Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4), "group" : ("group", Native.Interface.Tunnel.Ip.Nhrp.Map.Group)}

                            self.multicast = Native.Interface.Tunnel.Ip.Nhrp.Map.Multicast()
                            self.multicast.parent = self
                            self._children_name_map["multicast"] = "multicast"
                            self._children_yang_names.add("multicast")

                            self.dest_ipv4 = YList(self)
                            self.group = YList(self)
                            self._segment_path = lambda: "map"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Map, [], name, value)


                        class DestIpv4(Entity):
                            """
                            
                            
                            .. attribute:: dest_ipv4  <key>
                            
                            	IP address of destination
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: nbma_ipv4
                            
                            	
                            	**type**\: list of  		 :py:class:`NbmaIpv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.NbmaIpv4>`
                            
                            .. attribute:: dest_mask
                            
                            	
                            	**type**\: list of  		 :py:class:`DestMask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.DestMask>`
                            
                            .. attribute:: nbma_ipv6
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4, self).__init__()

                                self.yang_name = "dest-ipv4"
                                self.yang_parent_name = "map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"nbma-ipv4" : ("nbma_ipv4", Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.NbmaIpv4), "dest-mask" : ("dest_mask", Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.DestMask)}

                                self.dest_ipv4 = YLeaf(YType.str, "dest-ipv4")

                                self.nbma_ipv6 = YLeaf(YType.str, "nbma-ipv6")

                                self.nbma_ipv4 = YList(self)
                                self.dest_mask = YList(self)
                                self._segment_path = lambda: "dest-ipv4" + "[dest-ipv4='" + self.dest_ipv4.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4, ['dest_ipv4', 'nbma_ipv6'], name, value)


                            class NbmaIpv4(Entity):
                                """
                                
                                
                                .. attribute:: nbma_ipv4  <key>
                                
                                	IP NBMA address
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.NbmaIpv4, self).__init__()

                                    self.yang_name = "nbma-ipv4"
                                    self.yang_parent_name = "dest-ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.nbma_ipv4 = YLeaf(YType.str, "nbma-ipv4")

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                    self._segment_path = lambda: "nbma-ipv4" + "[nbma-ipv4='" + self.nbma_ipv4.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.NbmaIpv4, ['nbma_ipv4', 'ipv4', 'ipv6'], name, value)


                            class DestMask(Entity):
                                """
                                
                                
                                .. attribute:: dest_mask  <key>
                                
                                	IP mask of destination
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.DestMask, self).__init__()

                                    self.yang_name = "dest-mask"
                                    self.yang_parent_name = "dest-ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dest_mask = YLeaf(YType.str, "dest-mask")

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                    self._segment_path = lambda: "dest-mask" + "[dest-mask='" + self.dest_mask.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Map.DestIpv4.DestMask, ['dest_mask', 'ipv4', 'ipv6'], name, value)


                        class Multicast(Entity):
                            """
                            Use this NBMA mapping for broadcasts/multicasts
                            
                            .. attribute:: nbma_ipv4
                            
                            	
                            	**type**\: list of str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: nbma_ipv6
                            
                            	
                            	**type**\: list of str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: dynamic
                            
                            	Dynamically learn destinations from client registrations on hub
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Nhrp.Map.Multicast, self).__init__()

                                self.yang_name = "multicast"
                                self.yang_parent_name = "map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.nbma_ipv4 = YLeafList(YType.str, "nbma_ipv4")

                                self.nbma_ipv6 = YLeafList(YType.str, "nbma_ipv6")

                                self.dynamic = YLeaf(YType.empty, "dynamic")
                                self._segment_path = lambda: "multicast"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Map.Multicast, ['nbma_ipv4', 'nbma_ipv6', 'dynamic'], name, value)


                        class Group(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: service_policy
                            
                            	
                            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Map.Group.ServicePolicy>`
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Nhrp.Map.Group, self).__init__()

                                self.yang_name = "group"
                                self.yang_parent_name = "map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"service-policy" : ("service_policy", Native.Interface.Tunnel.Ip.Nhrp.Map.Group.ServicePolicy)}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.service_policy = Native.Interface.Tunnel.Ip.Nhrp.Map.Group.ServicePolicy()
                                self.service_policy.parent = self
                                self._children_name_map["service_policy"] = "service-policy"
                                self._children_yang_names.add("service-policy")
                                self._segment_path = lambda: "group" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Map.Group, ['name'], name, value)


                            class ServicePolicy(Entity):
                                """
                                
                                
                                .. attribute:: output
                                
                                	Policy
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Nhrp.Map.Group.ServicePolicy, self).__init__()

                                    self.yang_name = "service-policy"
                                    self.yang_parent_name = "group"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.output = YLeaf(YType.str, "output")
                                    self._segment_path = lambda: "service-policy"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Map.Group.ServicePolicy, ['output'], name, value)


                    class MaxSend(Entity):
                        """
                        Rate limit NHRP traffic
                        
                        .. attribute:: pkt_count
                        
                        	
                        	**type**\: list of  		 :py:class:`PktCount <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.MaxSend.PktCount>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nhrp.MaxSend, self).__init__()

                            self.yang_name = "max-send"
                            self.yang_parent_name = "nhrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"pkt-count" : ("pkt_count", Native.Interface.Tunnel.Ip.Nhrp.MaxSend.PktCount)}

                            self.pkt_count = YList(self)
                            self._segment_path = lambda: "max-send"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.MaxSend, [], name, value)


                        class PktCount(Entity):
                            """
                            
                            
                            .. attribute:: pkt_count  <key>
                            
                            	Packet count
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: every
                            
                            	Interval in seconds
                            	**type**\: int
                            
                            	**range:** 10..65535
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Nhrp.MaxSend.PktCount, self).__init__()

                                self.yang_name = "pkt-count"
                                self.yang_parent_name = "max-send"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.pkt_count = YLeaf(YType.uint16, "pkt-count")

                                self.every = YLeaf(YType.uint16, "every")
                                self._segment_path = lambda: "pkt-count" + "[pkt-count='" + self.pkt_count.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.MaxSend.PktCount, ['pkt_count', 'every'], name, value)


                    class Nhs(Entity):
                        """
                        Specify a next hop server
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4>`
                        
                        .. attribute:: cluster
                        
                        	NHS Redundancy cluster configurations
                        	**type**\:  :py:class:`Cluster <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster>`
                        
                        .. attribute:: dynamic
                        
                        	NHS protocol address dynamically learnt
                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic>`
                        
                        .. attribute:: fallback
                        
                        	NHS Redundancy Fallback time, 0 \-60 seconds
                        	**type**\: int
                        
                        	**range:** 0..60
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nhrp.Nhs, self).__init__()

                            self.yang_name = "nhs"
                            self.yang_parent_name = "nhrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cluster" : ("cluster", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster), "dynamic" : ("dynamic", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic)}
                            self._child_list_classes = {"ipv4" : ("ipv4", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4)}

                            self.fallback = YLeaf(YType.uint8, "fallback")

                            self.cluster = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster()
                            self.cluster.parent = self
                            self._children_name_map["cluster"] = "cluster"
                            self._children_yang_names.add("cluster")

                            self.dynamic = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic()
                            self.dynamic.parent = self
                            self._children_name_map["dynamic"] = "dynamic"
                            self._children_yang_names.add("dynamic")

                            self.ipv4 = YList(self)
                            self._segment_path = lambda: "nhs"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs, ['fallback'], name, value)


                        class Ipv4(Entity):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	Protocol IP address of NHS
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cluster
                            
                            	NHS cluster number
                            	**type**\: int
                            
                            	**range:** 0..10
                            
                            .. attribute:: nbma
                            
                            	NBMA of NHS
                            	**type**\:  :py:class:`Nbma <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma>`
                            
                            .. attribute:: priority
                            
                            	NHS priority, don't specify for default priority
                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority>`
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "nhs"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"nbma" : ("nbma", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma), "priority" : ("priority", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority)}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                self.cluster = YLeaf(YType.uint8, "cluster")

                                self.nbma = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma()
                                self.nbma.parent = self
                                self._children_name_map["nbma"] = "nbma"
                                self._children_yang_names.add("nbma")

                                self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority()
                                self.priority.parent = self
                                self._children_name_map["priority"] = "priority"
                                self._children_yang_names.add("priority")
                                self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4, ['ipv4', 'cluster'], name, value)


                            class Nbma(Entity):
                                """
                                NBMA of NHS
                                
                                .. attribute:: ipv4
                                
                                	
                                	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4>`
                                
                                .. attribute:: nhs_fqdn
                                
                                	
                                	**type**\: list of  		 :py:class:`NhsFqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn>`
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6>`
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma, self).__init__()

                                    self.yang_name = "nbma"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ipv4" : ("ipv4", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4), "nhs-fqdn" : ("nhs_fqdn", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn), "ipv6" : ("ipv6", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6)}

                                    self.ipv4 = YList(self)
                                    self.nhs_fqdn = YList(self)
                                    self.ipv6 = YList(self)
                                    self._segment_path = lambda: "nbma"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma, [], name, value)


                                class Ipv4(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ipv4  <key>
                                    
                                    	IPv4 address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\: int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: multicast
                                    
                                    	Use this NBMA mapping for broadcasts/multicasts
                                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: priority
                                    
                                    	NHS priority, don't specify for default priority
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "nbma"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"multicast" : ("multicast", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Multicast), "priority" : ("priority", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Priority)}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.str, "ipv4")

                                        self.cluster = YLeaf(YType.uint8, "cluster")

                                        self.multicast = None
                                        self._children_name_map["multicast"] = "multicast"
                                        self._children_yang_names.add("multicast")

                                        self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4, ['ipv4', 'cluster'], name, value)


                                    class Multicast(Entity):
                                        """
                                        Use this NBMA mapping for broadcasts/multicasts
                                        
                                        .. attribute:: cluster
                                        
                                        	NHS cluster number
                                        	**type**\: int
                                        
                                        	**range:** 0..10
                                        
                                        .. attribute:: priority
                                        
                                        	NHS priority, don't specify for default priority
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Multicast.Priority>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Multicast, self).__init__()

                                            self.yang_name = "multicast"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Multicast.Priority)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.cluster = YLeaf(YType.uint8, "cluster")

                                            self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Multicast.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "multicast"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Multicast, ['cluster'], name, value)


                                        class Priority(Entity):
                                            """
                                            NHS priority, don't specify for default priority
                                            
                                            .. attribute:: prior
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Prior <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Multicast.Priority.Prior>`
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Multicast.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "multicast"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"prior" : ("prior", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Multicast.Priority.Prior)}

                                                self.prior = YList(self)
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Multicast.Priority, [], name, value)


                                            class Prior(Entity):
                                                """
                                                
                                                
                                                .. attribute:: prior  <key>
                                                
                                                	NHS priority, range = 0 to 255, 0 is the highest
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: cluster
                                                
                                                	NHS cluster number
                                                	**type**\: int
                                                
                                                	**range:** 0..10
                                                
                                                

                                                """

                                                _prefix = 'ios-nhrp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Multicast.Priority.Prior, self).__init__()

                                                    self.yang_name = "prior"
                                                    self.yang_parent_name = "priority"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.prior = YLeaf(YType.uint8, "prior")

                                                    self.cluster = YLeaf(YType.uint8, "cluster")
                                                    self._segment_path = lambda: "prior" + "[prior='" + self.prior.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Multicast.Priority.Prior, ['prior', 'cluster'], name, value)


                                    class Priority(Entity):
                                        """
                                        NHS priority, don't specify for default priority
                                        
                                        .. attribute:: pri
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Pri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Priority.Pri>`
                                        
                                        

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"pri" : ("pri", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Priority.Pri)}

                                            self.pri = YList(self)
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Priority, [], name, value)


                                        class Pri(Entity):
                                            """
                                            
                                            
                                            .. attribute:: pri  <key>
                                            
                                            	NHS priority, range = 0 to 255, 0 is the highest
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: cluster
                                            
                                            	NHS cluster number
                                            	**type**\: int
                                            
                                            	**range:** 0..10
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Priority.Pri, self).__init__()

                                                self.yang_name = "pri"
                                                self.yang_parent_name = "priority"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.pri = YLeaf(YType.uint8, "pri")

                                                self.cluster = YLeaf(YType.uint8, "cluster")
                                                self._segment_path = lambda: "pri" + "[pri='" + self.pri.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv4.Priority.Pri, ['pri', 'cluster'], name, value)


                                class NhsFqdn(Entity):
                                    """
                                    
                                    
                                    .. attribute:: nhs_fqdn  <key>
                                    
                                    	NHS FQDN string
                                    	**type**\: str
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\: int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: multicast
                                    
                                    	Use this NBMA mapping for broadcasts/multicasts
                                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: priority
                                    
                                    	NHS priority, don't specify for default priority
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn, self).__init__()

                                        self.yang_name = "nhs-fqdn"
                                        self.yang_parent_name = "nbma"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"multicast" : ("multicast", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast), "priority" : ("priority", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority)}
                                        self._child_list_classes = {}

                                        self.nhs_fqdn = YLeaf(YType.str, "nhs-fqdn")

                                        self.cluster = YLeaf(YType.uint8, "cluster")

                                        self.multicast = None
                                        self._children_name_map["multicast"] = "multicast"
                                        self._children_yang_names.add("multicast")

                                        self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "nhs-fqdn" + "[nhs-fqdn='" + self.nhs_fqdn.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn, ['nhs_fqdn', 'cluster'], name, value)


                                    class Multicast(Entity):
                                        """
                                        Use this NBMA mapping for broadcasts/multicasts
                                        
                                        .. attribute:: cluster
                                        
                                        	NHS cluster number
                                        	**type**\: int
                                        
                                        	**range:** 0..10
                                        
                                        .. attribute:: priority
                                        
                                        	NHS priority, don't specify for default priority
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast, self).__init__()

                                            self.yang_name = "multicast"
                                            self.yang_parent_name = "nhs-fqdn"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.cluster = YLeaf(YType.uint8, "cluster")

                                            self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "multicast"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast, ['cluster'], name, value)


                                        class Priority(Entity):
                                            """
                                            NHS priority, don't specify for default priority
                                            
                                            .. attribute:: mc_pri
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`McPri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority.McPri>`
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "multicast"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"mc-pri" : ("mc_pri", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority.McPri)}

                                                self.mc_pri = YList(self)
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority, [], name, value)


                                            class McPri(Entity):
                                                """
                                                
                                                
                                                .. attribute:: mc_pri  <key>
                                                
                                                	NHS priority, range = 0 to 255, 0 is the highest
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: cluster
                                                
                                                	NHS cluster number
                                                	**type**\: int
                                                
                                                	**range:** 0..10
                                                
                                                

                                                """

                                                _prefix = 'ios-nhrp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority.McPri, self).__init__()

                                                    self.yang_name = "mc-pri"
                                                    self.yang_parent_name = "priority"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.mc_pri = YLeaf(YType.uint8, "mc-pri")

                                                    self.cluster = YLeaf(YType.uint8, "cluster")
                                                    self._segment_path = lambda: "mc-pri" + "[mc-pri='" + self.mc_pri.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Multicast.Priority.McPri, ['mc_pri', 'cluster'], name, value)


                                    class Priority(Entity):
                                        """
                                        NHS priority, don't specify for default priority
                                        
                                        .. attribute:: nhs_pri
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NhsPri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority.NhsPri>`
                                        
                                        

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "nhs-fqdn"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"nhs-pri" : ("nhs_pri", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority.NhsPri)}

                                            self.nhs_pri = YList(self)
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority, [], name, value)


                                        class NhsPri(Entity):
                                            """
                                            
                                            
                                            .. attribute:: nhs_pri  <key>
                                            
                                            	NHS priority, range = 0 to 255, 0 is the highest
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: cluster
                                            
                                            	NHS cluster number
                                            	**type**\: int
                                            
                                            	**range:** 0..10
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority.NhsPri, self).__init__()

                                                self.yang_name = "nhs-pri"
                                                self.yang_parent_name = "priority"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.nhs_pri = YLeaf(YType.uint8, "nhs-pri")

                                                self.cluster = YLeaf(YType.uint8, "cluster")
                                                self._segment_path = lambda: "nhs-pri" + "[nhs-pri='" + self.nhs_pri.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.NhsFqdn.Priority.NhsPri, ['nhs_pri', 'cluster'], name, value)


                                class Ipv6(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ipv6  <key>
                                    
                                    	IPv6 address
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\: int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: multicast
                                    
                                    	Use this NBMA mapping for broadcasts/multicasts
                                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: priority
                                    
                                    	NHS priority, don't specify for default priority
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6, self).__init__()

                                        self.yang_name = "ipv6"
                                        self.yang_parent_name = "nbma"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"multicast" : ("multicast", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast), "priority" : ("priority", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority)}
                                        self._child_list_classes = {}

                                        self.ipv6 = YLeaf(YType.str, "ipv6")

                                        self.cluster = YLeaf(YType.uint8, "cluster")

                                        self.multicast = None
                                        self._children_name_map["multicast"] = "multicast"
                                        self._children_yang_names.add("multicast")

                                        self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "ipv6" + "[ipv6='" + self.ipv6.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6, ['ipv6', 'cluster'], name, value)


                                    class Multicast(Entity):
                                        """
                                        Use this NBMA mapping for broadcasts/multicasts
                                        
                                        .. attribute:: cluster
                                        
                                        	NHS cluster number
                                        	**type**\: int
                                        
                                        	**range:** 0..10
                                        
                                        .. attribute:: priority
                                        
                                        	NHS priority, don't specify for default priority
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast, self).__init__()

                                            self.yang_name = "multicast"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.cluster = YLeaf(YType.uint8, "cluster")

                                            self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "multicast"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast, ['cluster'], name, value)


                                        class Priority(Entity):
                                            """
                                            NHS priority, don't specify for default priority
                                            
                                            .. attribute:: mc_pri
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`McPri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority.McPri>`
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "multicast"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"mc-pri" : ("mc_pri", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority.McPri)}

                                                self.mc_pri = YList(self)
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority, [], name, value)


                                            class McPri(Entity):
                                                """
                                                
                                                
                                                .. attribute:: mc_pri  <key>
                                                
                                                	NHS priority, range = 0 to 255, 0 is the highest
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: cluster
                                                
                                                	NHS cluster number
                                                	**type**\: int
                                                
                                                	**range:** 0..10
                                                
                                                

                                                """

                                                _prefix = 'ios-nhrp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority.McPri, self).__init__()

                                                    self.yang_name = "mc-pri"
                                                    self.yang_parent_name = "priority"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.mc_pri = YLeaf(YType.uint8, "mc-pri")

                                                    self.cluster = YLeaf(YType.uint8, "cluster")
                                                    self._segment_path = lambda: "mc-pri" + "[mc-pri='" + self.mc_pri.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Multicast.Priority.McPri, ['mc_pri', 'cluster'], name, value)


                                    class Priority(Entity):
                                        """
                                        NHS priority, don't specify for default priority
                                        
                                        .. attribute:: mc_prior
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`McPrior <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority.McPrior>`
                                        
                                        

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"mc-prior" : ("mc_prior", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority.McPrior)}

                                            self.mc_prior = YList(self)
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority, [], name, value)


                                        class McPrior(Entity):
                                            """
                                            
                                            
                                            .. attribute:: mc_prior  <key>
                                            
                                            	NHS priority, range = 0 to 255, 0 is the highest
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: cluster
                                            
                                            	NHS cluster number
                                            	**type**\: int
                                            
                                            	**range:** 0..10
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority.McPrior, self).__init__()

                                                self.yang_name = "mc-prior"
                                                self.yang_parent_name = "priority"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mc_prior = YLeaf(YType.uint8, "mc-prior")

                                                self.cluster = YLeaf(YType.uint8, "cluster")
                                                self._segment_path = lambda: "mc-prior" + "[mc-prior='" + self.mc_prior.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Nbma.Ipv6.Priority.McPrior, ['mc_prior', 'cluster'], name, value)


                            class Priority(Entity):
                                """
                                NHS priority, don't specify for default priority
                                
                                .. attribute:: pri_range
                                
                                	
                                	**type**\: list of  		 :py:class:`PriRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority.PriRange>`
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority, self).__init__()

                                    self.yang_name = "priority"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"pri-range" : ("pri_range", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority.PriRange)}

                                    self.pri_range = YList(self)
                                    self._segment_path = lambda: "priority"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority, [], name, value)


                                class PriRange(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pri_range  <key>
                                    
                                    	NHS priority, range = 0 to 255, 0 is the highest
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\: int
                                    
                                    	**range:** 0..10
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority.PriRange, self).__init__()

                                        self.yang_name = "pri-range"
                                        self.yang_parent_name = "priority"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.pri_range = YLeaf(YType.uint8, "pri-range")

                                        self.cluster = YLeaf(YType.uint8, "cluster")
                                        self._segment_path = lambda: "pri-range" + "[pri-range='" + self.pri_range.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Ipv4.Priority.PriRange, ['pri_range', 'cluster'], name, value)


                        class Cluster(Entity):
                            """
                            NHS Redundancy cluster configurations
                            
                            .. attribute:: clus_num
                            
                            	
                            	**type**\: list of  		 :py:class:`ClusNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster.ClusNum>`
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster, self).__init__()

                                self.yang_name = "cluster"
                                self.yang_parent_name = "nhs"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"clus-num" : ("clus_num", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster.ClusNum)}

                                self.clus_num = YList(self)
                                self._segment_path = lambda: "cluster"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster, [], name, value)


                            class ClusNum(Entity):
                                """
                                
                                
                                .. attribute:: clus_num  <key>
                                
                                	NHS cluster number
                                	**type**\: int
                                
                                	**range:** 0..10
                                
                                .. attribute:: max_connections
                                
                                	Max\-connections value
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster.ClusNum, self).__init__()

                                    self.yang_name = "clus-num"
                                    self.yang_parent_name = "cluster"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.clus_num = YLeaf(YType.uint8, "clus-num")

                                    self.max_connections = YLeaf(YType.uint8, "max-connections")
                                    self._segment_path = lambda: "clus-num" + "[clus-num='" + self.clus_num.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Cluster.ClusNum, ['clus_num', 'max_connections'], name, value)


                        class Dynamic(Entity):
                            """
                            NHS protocol address dynamically learnt
                            
                            .. attribute:: nbma
                            
                            	NBMA of NHS
                            	**type**\:  :py:class:`Nbma <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma>`
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic, self).__init__()

                                self.yang_name = "dynamic"
                                self.yang_parent_name = "nhs"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"nbma" : ("nbma", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma)}
                                self._child_list_classes = {}

                                self.nbma = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma()
                                self.nbma.parent = self
                                self._children_name_map["nbma"] = "nbma"
                                self._children_yang_names.add("nbma")
                                self._segment_path = lambda: "dynamic"


                            class Nbma(Entity):
                                """
                                NBMA of NHS
                                
                                .. attribute:: ipv4
                                
                                	NBMA of NHS
                                	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4>`
                                
                                .. attribute:: dyn_fqdn
                                
                                	
                                	**type**\: list of  		 :py:class:`DynFqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn>`
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6>`
                                
                                

                                """

                                _prefix = 'ios-nhrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma, self).__init__()

                                    self.yang_name = "nbma"
                                    self.yang_parent_name = "dynamic"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ipv4" : ("ipv4", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4), "dyn-fqdn" : ("dyn_fqdn", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn), "ipv6" : ("ipv6", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6)}

                                    self.ipv4 = YList(self)
                                    self.dyn_fqdn = YList(self)
                                    self.ipv6 = YList(self)
                                    self._segment_path = lambda: "nbma"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma, [], name, value)


                                class Ipv4(Entity):
                                    """
                                    NBMA of NHS
                                    
                                    .. attribute:: ipv4  <key>
                                    
                                    	IPv4 address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\: int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: multicast
                                    
                                    	Use this NBMA mapping for broadcasts/multicasts
                                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: priority
                                    
                                    	NHS priority, don't specify for default priority
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "nbma"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"multicast" : ("multicast", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast), "priority" : ("priority", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority)}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.str, "ipv4")

                                        self.cluster = YLeaf(YType.uint8, "cluster")

                                        self.multicast = None
                                        self._children_name_map["multicast"] = "multicast"
                                        self._children_yang_names.add("multicast")

                                        self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4, ['ipv4', 'cluster'], name, value)


                                    class Multicast(Entity):
                                        """
                                        Use this NBMA mapping for broadcasts/multicasts
                                        
                                        .. attribute:: cluster
                                        
                                        	NHS cluster number
                                        	**type**\: int
                                        
                                        	**range:** 0..10
                                        
                                        .. attribute:: priority
                                        
                                        	NHS priority, don't specify for default priority
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast, self).__init__()

                                            self.yang_name = "multicast"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.cluster = YLeaf(YType.uint8, "cluster")

                                            self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "multicast"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast, ['cluster'], name, value)


                                        class Priority(Entity):
                                            """
                                            NHS priority, don't specify for default priority
                                            
                                            .. attribute:: dyn_pri
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`DynPri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority.DynPri>`
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "multicast"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"dyn-pri" : ("dyn_pri", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority.DynPri)}

                                                self.dyn_pri = YList(self)
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority, [], name, value)


                                            class DynPri(Entity):
                                                """
                                                
                                                
                                                .. attribute:: dyn_pri  <key>
                                                
                                                	NHS priority, range = 0 to 255, 0 is the highest
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: cluster
                                                
                                                	NHS cluster number
                                                	**type**\: int
                                                
                                                	**range:** 0..10
                                                
                                                

                                                """

                                                _prefix = 'ios-nhrp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority.DynPri, self).__init__()

                                                    self.yang_name = "dyn-pri"
                                                    self.yang_parent_name = "priority"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.dyn_pri = YLeaf(YType.uint8, "dyn-pri")

                                                    self.cluster = YLeaf(YType.uint8, "cluster")
                                                    self._segment_path = lambda: "dyn-pri" + "[dyn-pri='" + self.dyn_pri.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Multicast.Priority.DynPri, ['dyn_pri', 'cluster'], name, value)


                                    class Priority(Entity):
                                        """
                                        NHS priority, don't specify for default priority
                                        
                                        .. attribute:: n_prior
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`NPrior <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority.NPrior>`
                                        
                                        

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"n-prior" : ("n_prior", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority.NPrior)}

                                            self.n_prior = YList(self)
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority, [], name, value)


                                        class NPrior(Entity):
                                            """
                                            
                                            
                                            .. attribute:: n_prior  <key>
                                            
                                            	NHS priority, range = 0 to 255, 0 is the highest
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: cluster
                                            
                                            	NHS cluster number
                                            	**type**\: int
                                            
                                            	**range:** 0..10
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority.NPrior, self).__init__()

                                                self.yang_name = "n-prior"
                                                self.yang_parent_name = "priority"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.n_prior = YLeaf(YType.uint8, "n-prior")

                                                self.cluster = YLeaf(YType.uint8, "cluster")
                                                self._segment_path = lambda: "n-prior" + "[n-prior='" + self.n_prior.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv4.Priority.NPrior, ['n_prior', 'cluster'], name, value)


                                class DynFqdn(Entity):
                                    """
                                    
                                    
                                    .. attribute:: dyn_fqdn  <key>
                                    
                                    	NHS FQDN string
                                    	**type**\: str
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\: int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: multicast
                                    
                                    	Use this NBMA mapping for broadcasts/multicasts
                                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: priority
                                    
                                    	NHS priority, don't specify for default priority
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn, self).__init__()

                                        self.yang_name = "dyn-fqdn"
                                        self.yang_parent_name = "nbma"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"multicast" : ("multicast", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast), "priority" : ("priority", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority)}
                                        self._child_list_classes = {}

                                        self.dyn_fqdn = YLeaf(YType.str, "dyn-fqdn")

                                        self.cluster = YLeaf(YType.uint8, "cluster")

                                        self.multicast = None
                                        self._children_name_map["multicast"] = "multicast"
                                        self._children_yang_names.add("multicast")

                                        self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "dyn-fqdn" + "[dyn-fqdn='" + self.dyn_fqdn.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn, ['dyn_fqdn', 'cluster'], name, value)


                                    class Multicast(Entity):
                                        """
                                        Use this NBMA mapping for broadcasts/multicasts
                                        
                                        .. attribute:: cluster
                                        
                                        	NHS cluster number
                                        	**type**\: int
                                        
                                        	**range:** 0..10
                                        
                                        .. attribute:: priority
                                        
                                        	NHS priority, don't specify for default priority
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast, self).__init__()

                                            self.yang_name = "multicast"
                                            self.yang_parent_name = "dyn-fqdn"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.cluster = YLeaf(YType.uint8, "cluster")

                                            self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "multicast"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast, ['cluster'], name, value)


                                        class Priority(Entity):
                                            """
                                            NHS priority, don't specify for default priority
                                            
                                            .. attribute:: dyn_mc_pri
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`DynMcPri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority.DynMcPri>`
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "multicast"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"dyn-mc-pri" : ("dyn_mc_pri", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority.DynMcPri)}

                                                self.dyn_mc_pri = YList(self)
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority, [], name, value)


                                            class DynMcPri(Entity):
                                                """
                                                
                                                
                                                .. attribute:: dyn_mc_pri  <key>
                                                
                                                	NHS priority, range = 0 to 255, 0 is the highest
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: cluster
                                                
                                                	NHS cluster number
                                                	**type**\: int
                                                
                                                	**range:** 0..10
                                                
                                                

                                                """

                                                _prefix = 'ios-nhrp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority.DynMcPri, self).__init__()

                                                    self.yang_name = "dyn-mc-pri"
                                                    self.yang_parent_name = "priority"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.dyn_mc_pri = YLeaf(YType.uint8, "dyn-mc-pri")

                                                    self.cluster = YLeaf(YType.uint8, "cluster")
                                                    self._segment_path = lambda: "dyn-mc-pri" + "[dyn-mc-pri='" + self.dyn_mc_pri.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Multicast.Priority.DynMcPri, ['dyn_mc_pri', 'cluster'], name, value)


                                    class Priority(Entity):
                                        """
                                        NHS priority, don't specify for default priority
                                        
                                        .. attribute:: dp
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Dp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority.Dp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "dyn-fqdn"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"dp" : ("dp", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority.Dp)}

                                            self.dp = YList(self)
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority, [], name, value)


                                        class Dp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: dp  <key>
                                            
                                            	NHS priority, range = 0 to 255, 0 is the highest
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: cluster
                                            
                                            	NHS cluster number
                                            	**type**\: int
                                            
                                            	**range:** 0..10
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority.Dp, self).__init__()

                                                self.yang_name = "dp"
                                                self.yang_parent_name = "priority"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dp = YLeaf(YType.uint8, "dp")

                                                self.cluster = YLeaf(YType.uint8, "cluster")
                                                self._segment_path = lambda: "dp" + "[dp='" + self.dp.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.DynFqdn.Priority.Dp, ['dp', 'cluster'], name, value)


                                class Ipv6(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ipv6  <key>
                                    
                                    	IPv6 address
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: cluster
                                    
                                    	NHS cluster number
                                    	**type**\: int
                                    
                                    	**range:** 0..10
                                    
                                    .. attribute:: multicast
                                    
                                    	Use this NBMA mapping for broadcasts/multicasts
                                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: priority
                                    
                                    	NHS priority, don't specify for default priority
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-nhrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6, self).__init__()

                                        self.yang_name = "ipv6"
                                        self.yang_parent_name = "nbma"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"multicast" : ("multicast", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast), "priority" : ("priority", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority)}
                                        self._child_list_classes = {}

                                        self.ipv6 = YLeaf(YType.str, "ipv6")

                                        self.cluster = YLeaf(YType.uint8, "cluster")

                                        self.multicast = None
                                        self._children_name_map["multicast"] = "multicast"
                                        self._children_yang_names.add("multicast")

                                        self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "ipv6" + "[ipv6='" + self.ipv6.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6, ['ipv6', 'cluster'], name, value)


                                    class Multicast(Entity):
                                        """
                                        Use this NBMA mapping for broadcasts/multicasts
                                        
                                        .. attribute:: cluster
                                        
                                        	NHS cluster number
                                        	**type**\: int
                                        
                                        	**range:** 0..10
                                        
                                        .. attribute:: priority
                                        
                                        	NHS priority, don't specify for default priority
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast, self).__init__()

                                            self.yang_name = "multicast"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.cluster = YLeaf(YType.uint8, "cluster")

                                            self.priority = Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "multicast"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast, ['cluster'], name, value)


                                        class Priority(Entity):
                                            """
                                            NHS priority, don't specify for default priority
                                            
                                            .. attribute:: v6_pri
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`V6Pri <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority.V6Pri>`
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "multicast"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"v6-pri" : ("v6_pri", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority.V6Pri)}

                                                self.v6_pri = YList(self)
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority, [], name, value)


                                            class V6Pri(Entity):
                                                """
                                                
                                                
                                                .. attribute:: v6_pri  <key>
                                                
                                                	NHS priority, range = 0 to 255, 0 is the highest
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: cluster
                                                
                                                	NHS cluster number
                                                	**type**\: int
                                                
                                                	**range:** 0..10
                                                
                                                

                                                """

                                                _prefix = 'ios-nhrp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority.V6Pri, self).__init__()

                                                    self.yang_name = "v6-pri"
                                                    self.yang_parent_name = "priority"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.v6_pri = YLeaf(YType.uint8, "v6-pri")

                                                    self.cluster = YLeaf(YType.uint8, "cluster")
                                                    self._segment_path = lambda: "v6-pri" + "[v6-pri='" + self.v6_pri.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Multicast.Priority.V6Pri, ['v6_pri', 'cluster'], name, value)


                                    class Priority(Entity):
                                        """
                                        NHS priority, don't specify for default priority
                                        
                                        .. attribute:: v6_pri2
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`V6Pri2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority.V6Pri2>`
                                        
                                        

                                        """

                                        _prefix = 'ios-nhrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"v6-pri2" : ("v6_pri2", Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority.V6Pri2)}

                                            self.v6_pri2 = YList(self)
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority, [], name, value)


                                        class V6Pri2(Entity):
                                            """
                                            
                                            
                                            .. attribute:: v6_pri2  <key>
                                            
                                            	NHS priority, range = 0 to 255, 0 is the highest
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: cluster
                                            
                                            	NHS cluster number
                                            	**type**\: int
                                            
                                            	**range:** 0..10
                                            
                                            

                                            """

                                            _prefix = 'ios-nhrp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority.V6Pri2, self).__init__()

                                                self.yang_name = "v6-pri2"
                                                self.yang_parent_name = "priority"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.v6_pri2 = YLeaf(YType.uint8, "v6-pri2")

                                                self.cluster = YLeaf(YType.uint8, "cluster")
                                                self._segment_path = lambda: "v6-pri2" + "[v6-pri2='" + self.v6_pri2.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Nhs.Dynamic.Nbma.Ipv6.Priority.V6Pri2, ['v6_pri2', 'cluster'], name, value)


                    class Redirect(Entity):
                        """
                        Enable NHRP redirect traffic indication
                        
                        .. attribute:: timeout
                        
                        	Interval in seconds
                        	**type**\: int
                        
                        	**range:** 2..30
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nhrp.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "nhrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.timeout = YLeaf(YType.uint8, "timeout")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Redirect, ['timeout'], name, value)


                    class Registration(Entity):
                        """
                        Settings for registration packets.
                        
                        .. attribute:: no_unique
                        
                        	Do not set the 'Unique' flag in registration requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Number of seconds
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nhrp.Registration, self).__init__()

                            self.yang_name = "registration"
                            self.yang_parent_name = "nhrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.no_unique = YLeaf(YType.empty, "no-unique")

                            self.timeout = YLeaf(YType.uint16, "timeout")
                            self._segment_path = lambda: "registration"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Registration, ['no_unique', 'timeout'], name, value)


                    class Reject(Entity):
                        """
                        NHRP resolution reject request
                        
                        .. attribute:: reqid
                        
                        	
                        	**type**\: list of  		 :py:class:`Reqid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.Reject.Reqid>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nhrp.Reject, self).__init__()

                            self.yang_name = "reject"
                            self.yang_parent_name = "nhrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"reqid" : ("reqid", Native.Interface.Tunnel.Ip.Nhrp.Reject.Reqid)}

                            self.reqid = YList(self)
                            self._segment_path = lambda: "reject"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Reject, [], name, value)


                        class Reqid(Entity):
                            """
                            
                            
                            .. attribute:: reqid  <key>
                            
                            	reqid value
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: rej_secs
                            
                            	Number of seconds
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Nhrp.Reject.Reqid, self).__init__()

                                self.yang_name = "reqid"
                                self.yang_parent_name = "reject"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reqid = YLeaf(YType.uint16, "reqid")

                                self.rej_secs = YLeaf(YType.uint16, "rej-secs")
                                self._segment_path = lambda: "reqid" + "[reqid='" + self.reqid.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Reject.Reqid, ['reqid', 'rej_secs'], name, value)


                    class Responder(Entity):
                        """
                        Responder interface
                        
                        .. attribute:: res_int
                        
                        	Virtual ACR interface
                        	**type**\: str
                        
                        .. attribute:: analysis_module
                        
                        	Analysis\-Module interface number
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: fcpa
                        
                        	Fcpa interface number
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: sbc
                        
                        	SBC interface number
                        	**type**\: int
                        
                        	**range:** 0..2147483647
                        
                        .. attribute:: sonet_acr
                        
                        	SONET\_ACR interface number
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: tb_controller
                        
                        	Telecom\-Bus Clock Controller
                        	**type**\: str
                        
                        .. attribute:: service_engine
                        
                        	Service\-Engine interface number
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface number
                        	**type**\: int
                        
                        	**range:** 0..2147483647
                        
                        .. attribute:: tunnel_tp
                        
                        	Tunnel\-tp interface number
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vpn
                        
                        	VPN interface number
                        	**type**\: int
                        
                        	**range:** 0..2147483647
                        
                        .. attribute:: virtual_tokenring
                        
                        	Virtual\-TokenRing interface number
                        	**type**\: int
                        
                        	**range:** 0..2147483647
                        
                        .. attribute:: virtualportgroup
                        
                        	VirtualPortGroup interface number
                        	**type**\: int
                        
                        	**range:** 0..31
                        
                        .. attribute:: vlan
                        
                        	Vlan interface number
                        	**type**\: int
                        
                        	**range:** 1..4095
                        
                        .. attribute:: ucse
                        
                        	ucse interface number
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: vasileft
                        
                        	vasileft interface number
                        	**type**\: int
                        
                        	**range:** 1..2000
                        
                        .. attribute:: vasiright
                        
                        	vasiright interface number
                        	**type**\: int
                        
                        	**range:** 1..2000
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nhrp.Responder, self).__init__()

                            self.yang_name = "responder"
                            self.yang_parent_name = "nhrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.res_int = YLeaf(YType.str, "res-int")

                            self.analysis_module = YLeaf(YType.uint8, "Analysis-Module")

                            self.fcpa = YLeaf(YType.uint8, "Fcpa")

                            self.sbc = YLeaf(YType.uint32, "SBC")

                            self.sonet_acr = YLeaf(YType.uint8, "SONET_ACR")

                            self.tb_controller = YLeaf(YType.str, "TB-controller")

                            self.service_engine = YLeaf(YType.uint8, "Service-Engine")

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                            self.tunnel_tp = YLeaf(YType.uint16, "Tunnel-tp")

                            self.vpn = YLeaf(YType.uint32, "VPN")

                            self.virtual_tokenring = YLeaf(YType.uint32, "Virtual-TokenRing")

                            self.virtualportgroup = YLeaf(YType.uint8, "VirtualPortGroup")

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.ucse = YLeaf(YType.uint8, "ucse")

                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                            self.vasiright = YLeaf(YType.uint16, "vasiright")
                            self._segment_path = lambda: "responder"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Responder, ['res_int', 'analysis_module', 'fcpa', 'sbc', 'sonet_acr', 'tb_controller', 'service_engine', 'tunnel', 'tunnel_tp', 'vpn', 'virtual_tokenring', 'virtualportgroup', 'vlan', 'ucse', 'vasileft', 'vasiright'], name, value)


                    class ServerOnly(Entity):
                        """
                        Disable NHRP requests
                        
                        .. attribute:: non_caching
                        
                        	Do not create NHRP cache entries
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nhrp.ServerOnly, self).__init__()

                            self.yang_name = "server-only"
                            self.yang_parent_name = "nhrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.non_caching = YLeaf(YType.empty, "non-caching")
                            self._segment_path = lambda: "server-only"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.ServerOnly, ['non_caching'], name, value)


                    class Shortcut(Entity):
                        """
                        Enable shortcut switching
                        
                        .. attribute:: virtual_template
                        
                        	Virtual template number
                        	**type**\: int
                        
                        	**range:** 1..4095
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nhrp.Shortcut, self).__init__()

                            self.yang_name = "shortcut"
                            self.yang_parent_name = "nhrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.virtual_template = YLeaf(YType.uint16, "virtual-template")
                            self._segment_path = lambda: "shortcut"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.Shortcut, ['virtual_template'], name, value)


                    class TriggerSvc(Entity):
                        """
                        Create NHRP cut\-through based on traffic load
                        
                        .. attribute:: kbps
                        
                        	
                        	**type**\: list of  		 :py:class:`Kbps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc.Kbps>`
                        
                        

                        """

                        _prefix = 'ios-nhrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc, self).__init__()

                            self.yang_name = "trigger-svc"
                            self.yang_parent_name = "nhrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"kbps" : ("kbps", Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc.Kbps)}

                            self.kbps = YList(self)
                            self._segment_path = lambda: "trigger-svc"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc, [], name, value)


                        class Kbps(Entity):
                            """
                            
                            
                            .. attribute:: kbps  <key>
                            
                            	Trigger rate in kbps
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: tear_kbps
                            
                            	Teardown rate in kbps
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-nhrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc.Kbps, self).__init__()

                                self.yang_name = "kbps"
                                self.yang_parent_name = "trigger-svc"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.kbps = YLeaf(YType.uint32, "kbps")

                                self.tear_kbps = YLeaf(YType.uint32, "tear-kbps")
                                self._segment_path = lambda: "kbps" + "[kbps='" + self.kbps.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Nhrp.TriggerSvc.Kbps, ['kbps', 'tear_kbps'], name, value)


                class Ospf(Entity):
                    """
                    OSPF interface commands
                    
                    .. attribute:: process_id
                    
                    	
                    	**type**\: list of  		 :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.ProcessId>`
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.AuthenticationKey>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.Network>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\:  :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.DeadInterval>`
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF Demand Circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fast_reroute
                    
                    	LFA FastReroute parameters
                    	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.FastReroute>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: lls
                    
                    	Link\-local Signaling (LLS) support
                    	**type**\:  :py:class:`Lls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.Lls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.MultiArea>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: resync_timeout
                    
                    	Interval after which adjacency is reset if oob\-resync is not started
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Set OSPF protocol's state to disable under current interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.TtlSecurity>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Tunnel.Ip.Ospf.Authentication), "authentication-key" : ("authentication_key", Native.Interface.Tunnel.Ip.Ospf.AuthenticationKey), "bfd" : ("bfd", Native.Interface.Tunnel.Ip.Ospf.Bfd), "database-filter" : ("database_filter", Native.Interface.Tunnel.Ip.Ospf.DatabaseFilter), "dead-interval" : ("dead_interval", Native.Interface.Tunnel.Ip.Ospf.DeadInterval), "demand-circuit" : ("demand_circuit", Native.Interface.Tunnel.Ip.Ospf.DemandCircuit), "fast-reroute" : ("fast_reroute", Native.Interface.Tunnel.Ip.Ospf.FastReroute), "lls" : ("lls", Native.Interface.Tunnel.Ip.Ospf.Lls), "multi-area" : ("multi_area", Native.Interface.Tunnel.Ip.Ospf.MultiArea), "prefix-suppression" : ("prefix_suppression", Native.Interface.Tunnel.Ip.Ospf.PrefixSuppression), "ttl-security" : ("ttl_security", Native.Interface.Tunnel.Ip.Ospf.TtlSecurity)}
                        self._child_list_classes = {"process-id" : ("process_id", Native.Interface.Tunnel.Ip.Ospf.ProcessId), "message-digest-key" : ("message_digest_key", Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey)}

                        self.network = YLeaf(YType.enumeration, "network")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.flood_reduction = YLeaf(YType.empty, "flood-reduction")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.mtu_ignore = YLeaf(YType.empty, "mtu-ignore")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.resync_timeout = YLeaf(YType.uint32, "resync-timeout")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = None
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.authentication_key = Native.Interface.Tunnel.Ip.Ospf.AuthenticationKey()
                        self.authentication_key.parent = self
                        self._children_name_map["authentication_key"] = "authentication-key"
                        self._children_yang_names.add("authentication-key")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.database_filter = Native.Interface.Tunnel.Ip.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.dead_interval = Native.Interface.Tunnel.Ip.Ospf.DeadInterval()
                        self.dead_interval.parent = self
                        self._children_name_map["dead_interval"] = "dead-interval"
                        self._children_yang_names.add("dead-interval")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.fast_reroute = Native.Interface.Tunnel.Ip.Ospf.FastReroute()
                        self.fast_reroute.parent = self
                        self._children_name_map["fast_reroute"] = "fast-reroute"
                        self._children_yang_names.add("fast-reroute")

                        self.lls = None
                        self._children_name_map["lls"] = "lls"
                        self._children_yang_names.add("lls")

                        self.multi_area = Native.Interface.Tunnel.Ip.Ospf.MultiArea()
                        self.multi_area.parent = self
                        self._children_name_map["multi_area"] = "multi-area"
                        self._children_yang_names.add("multi-area")

                        self.prefix_suppression = None
                        self._children_name_map["prefix_suppression"] = "prefix-suppression"
                        self._children_yang_names.add("prefix-suppression")

                        self.ttl_security = None
                        self._children_name_map["ttl_security"] = "ttl-security"
                        self._children_yang_names.add("ttl-security")

                        self.process_id = YList(self)
                        self.message_digest_key = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-ospf:ospf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf, ['network', 'cost', 'flood_reduction', 'hello_interval', 'mtu_ignore', 'priority', 'resync_timeout', 'retransmit_interval', 'shutdown', 'transmit_delay'], name, value)

                    class Network(Enum):
                        """
                        Network

                        Network type

                        .. data:: broadcast = 0

                        .. data:: non_broadcast = 1

                        .. data:: point_to_multipoint = 2

                        .. data:: point_to_point = 3

                        """

                        broadcast = Enum.YLeaf(0, "broadcast")

                        non_broadcast = Enum.YLeaf(1, "non-broadcast")

                        point_to_multipoint = Enum.YLeaf(2, "point-to-multipoint")

                        point_to_point = Enum.YLeaf(3, "point-to-point")



                    class ProcessId(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: area
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondaries
                        
                        	Include or exclude secondary IP addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: none
                        
                        	Do not include secondary IP addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Ospf.ProcessId, self).__init__()

                            self.yang_name = "process-id"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint16, "id")

                            self.area = YLeaf(YType.str, "area")

                            self.secondaries = YLeaf(YType.empty, "secondaries")

                            self.none = YLeaf(YType.empty, "none")
                            self._segment_path = lambda: "process-id" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.ProcessId, ['id', 'area', 'secondaries', 'none'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Use message\-digest authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Ospf.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.Tunnel.Ip.Ospf.Authentication.KeyChain)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.message_digest = YLeaf(YType.empty, "message-digest")

                            self.null = YLeaf(YType.empty, "null")

                            self.key_chain = Native.Interface.Tunnel.Ip.Ospf.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self._children_name_map["key_chain"] = "key-chain"
                            self._children_yang_names.add("key-chain")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.Authentication, ['message_digest', 'null'], name, value)


                        class KeyChain(Entity):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Ospf.Authentication.KeyChain, self).__init__()

                                self.yang_name = "key-chain"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.Authentication.KeyChain, ['name'], name, value)


                    class AuthenticationKey(Entity):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Ospf.AuthenticationKey, self).__init__()

                            self.yang_name = "authentication-key"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                            self.auth_key = YLeaf(YType.str, "auth-key")
                            self._segment_path = lambda: "authentication-key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Ospf.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.Bfd, ['disable'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Ospf.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.empty, "all")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.DatabaseFilter, ['all', 'out'], name, value)


                    class DeadInterval(Entity):
                        """
                        Interval after which a neighbor is declared dead
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: minimal
                        
                        	Set to 1 second
                        	**type**\:  :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.DeadInterval.Minimal>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Ospf.DeadInterval, self).__init__()

                            self.yang_name = "dead-interval"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"minimal" : ("minimal", Native.Interface.Tunnel.Ip.Ospf.DeadInterval.Minimal)}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint32, "value")

                            self.minimal = Native.Interface.Tunnel.Ip.Ospf.DeadInterval.Minimal()
                            self.minimal.parent = self
                            self._children_name_map["minimal"] = "minimal"
                            self._children_yang_names.add("minimal")
                            self._segment_path = lambda: "dead-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.DeadInterval, ['value'], name, value)


                        class Minimal(Entity):
                            """
                            Set to 1 second
                            
                            .. attribute:: hello_multiplier
                            
                            	Set multiplier for Hellos
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Ospf.DeadInterval.Minimal, self).__init__()

                                self.yang_name = "minimal"
                                self.yang_parent_name = "dead-interval"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hello_multiplier = YLeaf(YType.uint8, "hello-multiplier")
                                self._segment_path = lambda: "minimal"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.DeadInterval.Minimal, ['hello_multiplier'], name, value)


                    class DemandCircuit(Entity):
                        """
                        OSPF Demand Circuit
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Ospf.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.DemandCircuit, ['ignore'], name, value)


                    class FastReroute(Entity):
                        """
                        LFA FastReroute parameters
                        
                        .. attribute:: per_prefix
                        
                        	Per\-prefix LFA FRR parameters
                        	**type**\:  :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Ospf.FastReroute, self).__init__()

                            self.yang_name = "fast-reroute"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"per-prefix" : ("per_prefix", Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix)}
                            self._child_list_classes = {}

                            self.per_prefix = Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix()
                            self.per_prefix.parent = self
                            self._children_name_map["per_prefix"] = "per-prefix"
                            self._children_yang_names.add("per-prefix")
                            self._segment_path = lambda: "fast-reroute"


                        class PerPrefix(Entity):
                            """
                            Per\-prefix LFA FRR parameters
                            
                            .. attribute:: candidate
                            
                            	If interface can be protecting
                            	**type**\:  :py:class:`Candidate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Candidate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: protection
                            
                            	If interface can be protected
                            	**type**\:  :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Protection>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix, self).__init__()

                                self.yang_name = "per-prefix"
                                self.yang_parent_name = "fast-reroute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"candidate" : ("candidate", Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Candidate), "protection" : ("protection", Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Protection)}
                                self._child_list_classes = {}

                                self.candidate = None
                                self._children_name_map["candidate"] = "candidate"
                                self._children_yang_names.add("candidate")

                                self.protection = None
                                self._children_name_map["protection"] = "protection"
                                self._children_yang_names.add("protection")
                                self._segment_path = lambda: "per-prefix"


                            class Candidate(Entity):
                                """
                                If interface can be protecting
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Candidate, self).__init__()

                                    self.yang_name = "candidate"
                                    self.yang_parent_name = "per-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "candidate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Candidate, ['disable'], name, value)


                            class Protection(Entity):
                                """
                                If interface can be protected
                                
                                .. attribute:: disable
                                
                                	Disable LFA FRR interface protection
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Protection, self).__init__()

                                    self.yang_name = "protection"
                                    self.yang_parent_name = "per-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "protection"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.FastReroute.PerPrefix.Protection, ['disable'], name, value)


                    class Lls(Entity):
                        """
                        Link\-local Signaling (LLS) support
                        
                        .. attribute:: disable
                        
                        	disable LLS
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Ospf.Lls, self).__init__()

                            self.yang_name = "lls"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "lls"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.Lls, ['disable'], name, value)


                    class MessageDigestKey(Entity):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey, self).__init__()

                            self.yang_name = "message-digest-key"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey.Md5)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.md5 = Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey, ['id'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "message-digest-key"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                self.auth_key = YLeaf(YType.str, "auth-key")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                    class MultiArea(Entity):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Ospf.MultiArea, self).__init__()

                            self.yang_name = "multi-area"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint32, "cost")
                            self._segment_path = lambda: "multi-area"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.MultiArea, ['id', 'cost'], name, value)


                    class PrefixSuppression(Entity):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Ospf.PrefixSuppression, self).__init__()

                            self.yang_name = "prefix-suppression"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "prefix-suppression"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.PrefixSuppression, ['disable'], name, value)


                    class TtlSecurity(Entity):
                        """
                        TTL security check
                        
                        .. attribute:: diable
                        
                        	disable TTL security check
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Ospf.TtlSecurity, self).__init__()

                            self.yang_name = "ttl-security"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.diable = YLeaf(YType.empty, "diable")

                            self.hops = YLeaf(YType.uint8, "hops")
                            self._segment_path = lambda: "ttl-security"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Ospf.TtlSecurity, ['diable', 'hops'], name, value)


                class Rsvp(Entity):
                    """
                    RSVP Interface Commands
                    
                    .. attribute:: authentication
                    
                    	Enables RSVP neighbor authentication (RFC 2747)
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Authentication>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: bandwidth
                    
                    	RSVP Reservable Bandwidth (kbps)
                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Bandwidth>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	Select permissible RSVP neighbors
                    	**type**\:  :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Neighbor>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: precedence
                    
                    	RSVP precedence setting
                    	**type**\:  :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Precedence>`
                    
                    .. attribute:: signalling
                    
                    	RSVP signalling
                    	**type**\:  :py:class:`Signalling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Signalling>`
                    
                    .. attribute:: tos
                    
                    	RSVP TOS setting
                    	**type**\:  :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Tos>`
                    
                    

                    """

                    _prefix = 'ios-rsvp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Rsvp, self).__init__()

                        self.yang_name = "rsvp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Tunnel.Ip.Rsvp.Authentication), "bandwidth" : ("bandwidth", Native.Interface.Tunnel.Ip.Rsvp.Bandwidth), "neighbor" : ("neighbor", Native.Interface.Tunnel.Ip.Rsvp.Neighbor), "precedence" : ("precedence", Native.Interface.Tunnel.Ip.Rsvp.Precedence), "signalling" : ("signalling", Native.Interface.Tunnel.Ip.Rsvp.Signalling), "tos" : ("tos", Native.Interface.Tunnel.Ip.Rsvp.Tos)}
                        self._child_list_classes = {}

                        self.authentication = None
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bandwidth = None
                        self._children_name_map["bandwidth"] = "bandwidth"
                        self._children_yang_names.add("bandwidth")

                        self.neighbor = None
                        self._children_name_map["neighbor"] = "neighbor"
                        self._children_yang_names.add("neighbor")

                        self.precedence = Native.Interface.Tunnel.Ip.Rsvp.Precedence()
                        self.precedence.parent = self
                        self._children_name_map["precedence"] = "precedence"
                        self._children_yang_names.add("precedence")

                        self.signalling = Native.Interface.Tunnel.Ip.Rsvp.Signalling()
                        self.signalling.parent = self
                        self._children_name_map["signalling"] = "signalling"
                        self._children_yang_names.add("signalling")

                        self.tos = Native.Interface.Tunnel.Ip.Rsvp.Tos()
                        self.tos.parent = self
                        self._children_name_map["tos"] = "tos"
                        self._children_yang_names.add("tos")
                        self._segment_path = lambda: "Cisco-IOS-XE-rsvp:rsvp"


                    class Authentication(Entity):
                        """
                        Enables RSVP neighbor authentication (RFC 2747)
                        
                        .. attribute:: key
                        
                        	Password (8 to 40 characters, spaces allowed)
                        	**type**\: str
                        
                        .. attribute:: challenge
                        
                        	Perform challenge/response handshake with new neighbor(s)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: key_chain
                        
                        	Name of key chain to use (as created by global 'key chain' command)
                        	**type**\: str
                        
                        .. attribute:: lifetime
                        
                        	Maximum lifetime of neighbor authentication state
                        	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Authentication.Lifetime>`
                        
                        .. attribute:: type
                        
                        	Type of authentication algorithm (default = md5)
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Authentication.Type>`
                        
                        .. attribute:: window_size
                        
                        	Maximum number of messages allowed in receive window (default = 1)
                        	**type**\: int
                        
                        	**range:** 1..64
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Rsvp.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"lifetime" : ("lifetime", Native.Interface.Tunnel.Ip.Rsvp.Authentication.Lifetime)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.key = YLeaf(YType.str, "key")

                            self.challenge = YLeaf(YType.empty, "challenge")

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.type = YLeaf(YType.enumeration, "type")

                            self.window_size = YLeaf(YType.uint8, "window-size")

                            self.lifetime = Native.Interface.Tunnel.Ip.Rsvp.Authentication.Lifetime()
                            self.lifetime.parent = self
                            self._children_name_map["lifetime"] = "lifetime"
                            self._children_yang_names.add("lifetime")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Authentication, ['key', 'challenge', 'key_chain', 'type', 'window_size'], name, value)

                        class Type(Enum):
                            """
                            Type

                            Type of authentication algorithm (default = md5)

                            .. data:: md5 = 0

                            .. data:: sha_1 = 1

                            """

                            md5 = Enum.YLeaf(0, "md5")

                            sha_1 = Enum.YLeaf(1, "sha-1")



                        class Lifetime(Entity):
                            """
                            Maximum lifetime of neighbor authentication state
                            
                            .. attribute:: hh_mm_ss
                            
                            	Lifetime (default = 30 mins) in hh\:mm\:ss format
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])\:([0\-5][0\-9])
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Rsvp.Authentication.Lifetime, self).__init__()

                                self.yang_name = "lifetime"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hh_mm_ss = YLeaf(YType.str, "hh-mm-ss")
                                self._segment_path = lambda: "lifetime"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Authentication.Lifetime, ['hh_mm_ss'], name, value)


                    class Bandwidth(Entity):
                        """
                        RSVP Reservable Bandwidth (kbps)
                        
                        .. attribute:: value
                        
                        	
                        	**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Bandwidth.Value>`
                        
                        .. attribute:: percent
                        
                        	Percentage of interface bandwidth. Values higher than 100 represent overbooking
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: mam
                        
                        	Use bandwidth with MAM model of DSTE
                        	**type**\:  :py:class:`Mam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Bandwidth.Mam>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Rsvp.Bandwidth, self).__init__()

                            self.yang_name = "bandwidth"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"value" : ("value", Native.Interface.Tunnel.Ip.Rsvp.Bandwidth.Value), "mam" : ("mam", Native.Interface.Tunnel.Ip.Rsvp.Bandwidth.Mam)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.percent = YLeaf(YType.uint16, "percent")

                            self.value = Native.Interface.Tunnel.Ip.Rsvp.Bandwidth.Value()
                            self.value.parent = self
                            self._children_name_map["value"] = "value"
                            self._children_yang_names.add("value")

                            self.mam = Native.Interface.Tunnel.Ip.Rsvp.Bandwidth.Mam()
                            self.mam.parent = self
                            self._children_name_map["mam"] = "mam"
                            self._children_yang_names.add("mam")
                            self._segment_path = lambda: "bandwidth"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Bandwidth, ['percent'], name, value)


                        class Value(Entity):
                            """
                            
                            
                            .. attribute:: value
                            
                            	Reservable Bandwidth (kbps)
                            	**type**\: int
                            
                            	**range:** 1..10000000
                            
                            .. attribute:: sub_pool
                            
                            	Reservable Bandwidth for Tunnel using sub (BC1) pool (kbps)
                            	**type**\: int
                            
                            	**range:** 1..10000000
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Rsvp.Bandwidth.Value, self).__init__()

                                self.yang_name = "value"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                self._segment_path = lambda: "value"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Bandwidth.Value, ['value', 'sub_pool'], name, value)


                        class Mam(Entity):
                            """
                            Use bandwidth with MAM model of DSTE
                            
                            .. attribute:: max_reservable_bw
                            
                            	Maximum Reservable bandwidth for MAM
                            	**type**\:  :py:class:`MaxReservableBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Rsvp.Bandwidth.Mam, self).__init__()

                                self.yang_name = "mam"
                                self.yang_parent_name = "bandwidth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"max-reservable-bw" : ("max_reservable_bw", Native.Interface.Tunnel.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw)}
                                self._child_list_classes = {}

                                self.max_reservable_bw = None
                                self._children_name_map["max_reservable_bw"] = "max-reservable-bw"
                                self._children_yang_names.add("max-reservable-bw")
                                self._segment_path = lambda: "mam"


                            class MaxReservableBw(Entity):
                                """
                                Maximum Reservable bandwidth for MAM
                                
                                .. attribute:: value
                                
                                	Reservable Bandwidth (kbps)
                                	**type**\: int
                                
                                	**range:** 1..10000000
                                
                                .. attribute:: bc0
                                
                                	Reservable Bandwidth from global (BC0) pool (kbps)
                                	**type**\: int
                                
                                	**range:** 0..10000000
                                
                                .. attribute:: bc1
                                
                                	Reservable Bandwidth from sub pool (kbps)
                                	**type**\: int
                                
                                	**range:** 0..10000000
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw, self).__init__()

                                    self.yang_name = "max-reservable-bw"
                                    self.yang_parent_name = "mam"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint32, "value")

                                    self.bc0 = YLeaf(YType.uint32, "bc0")

                                    self.bc1 = YLeaf(YType.uint32, "bc1")
                                    self._segment_path = lambda: "max-reservable-bw"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Bandwidth.Mam.MaxReservableBw, ['value', 'bc0', 'bc1'], name, value)


                    class Neighbor(Entity):
                        """
                        Select permissible RSVP neighbors
                        
                        .. attribute:: acl_number
                        
                        	Access list
                        	**type**\: int
                        
                        	**range:** 1..199
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Rsvp.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.acl_number = YLeaf(YType.uint8, "acl-number")
                            self._segment_path = lambda: "neighbor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Neighbor, ['acl_number'], name, value)


                    class Precedence(Entity):
                        """
                        RSVP precedence setting
                        
                        .. attribute:: conform
                        
                        	Precedence for packets conforming to RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: exceed
                        
                        	Precedence for packets over RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Rsvp.Precedence, self).__init__()

                            self.yang_name = "precedence"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.conform = YLeaf(YType.uint8, "conform")

                            self.exceed = YLeaf(YType.uint8, "exceed")
                            self._segment_path = lambda: "precedence"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Precedence, ['conform', 'exceed'], name, value)


                    class Signalling(Entity):
                        """
                        RSVP signalling
                        
                        .. attribute:: dscp
                        
                        	DSCP for RSVP signalling messages
                        	**type**\: int
                        
                        	**range:** 0..63
                        
                        .. attribute:: fast_local_repair
                        
                        	Fast Local Repair parameters
                        	**type**\:  :py:class:`FastLocalRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Signalling.FastLocalRepair>`
                        
                        .. attribute:: hello
                        
                        	Enable neighbor\-down detection
                        	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Rsvp.Signalling, self).__init__()

                            self.yang_name = "signalling"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"fast-local-repair" : ("fast_local_repair", Native.Interface.Tunnel.Ip.Rsvp.Signalling.FastLocalRepair), "hello" : ("hello", Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello)}
                            self._child_list_classes = {}

                            self.dscp = YLeaf(YType.uint8, "dscp")

                            self.fast_local_repair = Native.Interface.Tunnel.Ip.Rsvp.Signalling.FastLocalRepair()
                            self.fast_local_repair.parent = self
                            self._children_name_map["fast_local_repair"] = "fast-local-repair"
                            self._children_yang_names.add("fast-local-repair")

                            self.hello = None
                            self._children_name_map["hello"] = "hello"
                            self._children_yang_names.add("hello")
                            self._segment_path = lambda: "signalling"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Signalling, ['dscp'], name, value)


                        class FastLocalRepair(Entity):
                            """
                            Fast Local Repair parameters
                            
                            .. attribute:: wait_time
                            
                            	Wait Time for start of Fast Local Repair in msec
                            	**type**\: int
                            
                            	**range:** 0..5000
                            
                            

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Rsvp.Signalling.FastLocalRepair, self).__init__()

                                self.yang_name = "fast-local-repair"
                                self.yang_parent_name = "signalling"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.wait_time = YLeaf(YType.uint16, "wait-time")
                                self._segment_path = lambda: "fast-local-repair"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Signalling.FastLocalRepair, ['wait_time'], name, value)


                        class Hello(Entity):
                            """
                            Enable neighbor\-down detection
                            
                            .. attribute:: bfd
                            
                            	Configure BFD trigger for MPLS/TE FRR
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dscp
                            
                            	DSCP for RSVP Hello messages
                            	**type**\: int
                            
                            	**range:** 0..63
                            
                            .. attribute:: graceful_restart
                            
                            	Configure RSVP Graceful Restart
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: refresh
                            
                            	Configure RSVP Hello refresh behavior for Fast\-Reroute
                            	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Refresh>`
                            
                            .. attribute:: reroute
                            
                            	Configure RSVP Hello refresh behavior for Reroute
                            	**type**\:  :py:class:`Reroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Reroute>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-rsvp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello, self).__init__()

                                self.yang_name = "hello"
                                self.yang_parent_name = "signalling"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"refresh" : ("refresh", Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Refresh), "reroute" : ("reroute", Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Reroute)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.bfd = YLeaf(YType.empty, "bfd")

                                self.dscp = YLeaf(YType.uint8, "dscp")

                                self.graceful_restart = YLeaf(YType.empty, "graceful-restart")

                                self.refresh = Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Refresh()
                                self.refresh.parent = self
                                self._children_name_map["refresh"] = "refresh"
                                self._children_yang_names.add("refresh")

                                self.reroute = Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Reroute()
                                self.reroute.parent = self
                                self._children_name_map["reroute"] = "reroute"
                                self._children_yang_names.add("reroute")
                                self._segment_path = lambda: "hello"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello, ['bfd', 'dscp', 'graceful_restart'], name, value)


                            class Refresh(Entity):
                                """
                                Configure RSVP Hello refresh behavior for Fast\-Reroute
                                
                                .. attribute:: interval
                                
                                	Hello interval in msec
                                	**type**\: int
                                
                                	**range:** 10..30000
                                
                                .. attribute:: misses
                                
                                	Number of missed Hello Acks which triggers neighbor down
                                	**type**\: int
                                
                                	**range:** 4..10
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Refresh, self).__init__()

                                    self.yang_name = "refresh"
                                    self.yang_parent_name = "hello"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")

                                    self.misses = YLeaf(YType.uint8, "misses")
                                    self._segment_path = lambda: "refresh"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Refresh, ['interval', 'misses'], name, value)


                            class Reroute(Entity):
                                """
                                Configure RSVP Hello refresh behavior for Reroute
                                
                                .. attribute:: dscp
                                
                                	DSCP for RSVP Hello messages
                                	**type**\: int
                                
                                	**range:** 0..63
                                
                                .. attribute:: refresh
                                
                                	Configure RSVP Reroute Hello refresh behavior
                                	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Reroute.Refresh>`
                                
                                

                                """

                                _prefix = 'ios-rsvp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Reroute, self).__init__()

                                    self.yang_name = "reroute"
                                    self.yang_parent_name = "hello"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"refresh" : ("refresh", Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Reroute.Refresh)}
                                    self._child_list_classes = {}

                                    self.dscp = YLeaf(YType.uint8, "dscp")

                                    self.refresh = Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Reroute.Refresh()
                                    self.refresh.parent = self
                                    self._children_name_map["refresh"] = "refresh"
                                    self._children_yang_names.add("refresh")
                                    self._segment_path = lambda: "reroute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Reroute, ['dscp'], name, value)


                                class Refresh(Entity):
                                    """
                                    Configure RSVP Reroute Hello refresh behavior
                                    
                                    .. attribute:: interval
                                    
                                    	Hello Reroute interval in msec
                                    	**type**\: int
                                    
                                    	**range:** 1000..30000
                                    
                                    .. attribute:: misses
                                    
                                    	Number of missed Hello Acks which triggers neighbor down
                                    	**type**\: int
                                    
                                    	**range:** 4..10
                                    
                                    

                                    """

                                    _prefix = 'ios-rsvp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Reroute.Refresh, self).__init__()

                                        self.yang_name = "refresh"
                                        self.yang_parent_name = "reroute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")

                                        self.misses = YLeaf(YType.uint8, "misses")
                                        self._segment_path = lambda: "refresh"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Signalling.Hello.Reroute.Refresh, ['interval', 'misses'], name, value)


                    class Tos(Entity):
                        """
                        RSVP TOS setting
                        
                        .. attribute:: conform
                        
                        	TOS for packets conforming to RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..31
                        
                        .. attribute:: exceed
                        
                        	TOS for packets over RSVP flowspec bandwidth
                        	**type**\: int
                        
                        	**range:** 0..31
                        
                        

                        """

                        _prefix = 'ios-rsvp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Rsvp.Tos, self).__init__()

                            self.yang_name = "tos"
                            self.yang_parent_name = "rsvp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.conform = YLeaf(YType.uint8, "conform")

                            self.exceed = YLeaf(YType.uint8, "exceed")
                            self._segment_path = lambda: "tos"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Rsvp.Tos, ['conform', 'exceed'], name, value)


                class Wccp(Entity):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.WebCache>`
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ip.Wccp, self).__init__()

                        self.yang_name = "wccp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.Tunnel.Ip.Wccp.WebCache), "redirect" : ("redirect", Native.Interface.Tunnel.Ip.Wccp.Redirect)}
                        self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.Tunnel.Ip.Wccp.WccpList), "vrf" : ("vrf", Native.Interface.Tunnel.Ip.Wccp.Vrf)}

                        self.web_cache = Native.Interface.Tunnel.Ip.Wccp.WebCache()
                        self.web_cache.parent = self
                        self._children_name_map["web_cache"] = "web-cache"
                        self._children_yang_names.add("web-cache")

                        self.redirect = Native.Interface.Tunnel.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.wccp_list = YList(self)
                        self.vrf = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-wccp:wccp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ip.Wccp, [], name, value)


                    class WccpList(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Wccp.WccpList, self).__init__()

                            self.yang_name = "wccp-list"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Tunnel.Ip.Wccp.WccpList.Redirect)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.Tunnel.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Wccp.WccpList, ['id', 'group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Wccp.WccpList.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "wccp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Wccp.WccpList.Redirect, ['in_', 'out'], name, value)


                    class WebCache(Entity):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Wccp.WebCache, self).__init__()

                            self.yang_name = "web-cache"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Tunnel.Ip.Wccp.WebCache.Redirect)}
                            self._child_list_classes = {}

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.Tunnel.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "web-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Wccp.WebCache, ['group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Wccp.WebCache.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "web-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Wccp.WebCache.Redirect, ['in_', 'out'], name, value)


                    class Redirect(Entity):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:  :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Wccp.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"exclude" : ("exclude", Native.Interface.Tunnel.Ip.Wccp.Redirect.Exclude)}
                            self._child_list_classes = {}

                            self.exclude = Native.Interface.Tunnel.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self
                            self._children_name_map["exclude"] = "exclude"
                            self._children_yang_names.add("exclude")
                            self._segment_path = lambda: "redirect"


                        class Exclude(Entity):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Wccp.Redirect.Exclude, self).__init__()

                                self.yang_name = "exclude"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "exclude"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Wccp.Redirect.Exclude, ['in_'], name, value)


                    class Vrf(Entity):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ip.Wccp.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache)}
                            self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList)}

                            self.name = YLeaf(YType.str, "name")

                            self.web_cache = Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self
                            self._children_name_map["web_cache"] = "web-cache"
                            self._children_yang_names.add("web-cache")

                            self.wccp_list = YList(self)
                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ip.Wccp.Vrf, ['name'], name, value)


                        class WccpList(Entity):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList, self).__init__()

                                self.yang_name = "wccp-list"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList.Redirect)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint8, "id")

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList, ['id', 'group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "wccp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Wccp.Vrf.WccpList.Redirect, ['in_', 'out'], name, value)


                        class WebCache(Entity):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache, self).__init__()

                                self.yang_name = "web-cache"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache.Redirect)}
                                self._child_list_classes = {}

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "web-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache, ['group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "web-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ip.Wccp.Vrf.WebCache.Redirect, ['in_', 'out'], name, value)


            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.TrafficFilter>`
                
                .. attribute:: crypto
                
                	Encryption/Decryption commands
                	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Crypto>`
                
                .. attribute:: flow
                
                	NetFlow related commands
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Flow>`
                
                .. attribute:: unreachables
                
                	Enable sending ICMP Unreachable messages
                	**type**\: bool
                
                .. attribute:: no_pim
                
                	
                	**type**\:  :py:class:`NoPim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.NoPim>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Pim>`
                
                .. attribute:: ospf
                
                	OSPF interface commands
                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf>`
                
                .. attribute:: rip
                
                	Configure RIP routing protocol
                	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Rip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.Tunnel.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.Tunnel.Ipv6.Dhcp), "address" : ("address", Native.Interface.Tunnel.Ipv6.Address), "nd" : ("nd", Native.Interface.Tunnel.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.Tunnel.Ipv6.Tcp), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.Tunnel.Ipv6.Crypto), "Cisco-IOS-XE-flow:flow" : ("flow", Native.Interface.Tunnel.Ipv6.Flow), "Cisco-IOS-XE-multicast:no-pim" : ("no_pim", Native.Interface.Tunnel.Ipv6.NoPim), "Cisco-IOS-XE-multicast:pim" : ("pim", Native.Interface.Tunnel.Ipv6.Pim), "Cisco-IOS-XE-ospf:ospf" : ("ospf", Native.Interface.Tunnel.Ipv6.Ospf)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.Tunnel.Ipv6.TrafficFilter), "Cisco-IOS-XE-rip:rip" : ("rip", Native.Interface.Tunnel.Ipv6.Rip)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.unreachables = YLeaf(YType.boolean, "Cisco-IOS-XE-icmp:unreachables")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.Tunnel.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.Tunnel.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.Tunnel.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.Tunnel.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.crypto = Native.Interface.Tunnel.Ipv6.Crypto()
                    self.crypto.parent = self
                    self._children_name_map["crypto"] = "crypto"
                    self._children_yang_names.add("crypto")

                    self.flow = Native.Interface.Tunnel.Ipv6.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.no_pim = Native.Interface.Tunnel.Ipv6.NoPim()
                    self.no_pim.parent = self
                    self._children_name_map["no_pim"] = "no-pim"
                    self._children_yang_names.add("no-pim")

                    self.pim = Native.Interface.Tunnel.Ipv6.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.ospf = Native.Interface.Tunnel.Ipv6.Ospf()
                    self.ospf.parent = self
                    self._children_name_map["ospf"] = "ospf"
                    self._children_yang_names.add("ospf")

                    self.traffic_filter = YList(self)
                    self.rip = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects', 'unreachables'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: client
                    
                    	Act as an IPv6 DHCP client
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Dhcp.Client>`
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of  		 :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Dhcp.Server>`
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.Tunnel.Ipv6.Dhcp.Client), "Cisco-IOS-XE-dhcp:guard" : ("guard", Native.Interface.Tunnel.Ipv6.Dhcp.Guard)}
                        self._child_list_classes = {"Cisco-IOS-XE-dhcp:server" : ("server", Native.Interface.Tunnel.Ipv6.Dhcp.Server)}

                        self.client = Native.Interface.Tunnel.Ipv6.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.guard = None
                        self._children_name_map["guard"] = "guard"
                        self._children_yang_names.add("guard")

                        self.server = YList(self)
                        self._segment_path = lambda: "dhcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.Dhcp, [], name, value)


                    class Client(Entity):
                        """
                        Act as an IPv6 DHCP client
                        
                        .. attribute:: request
                        
                        	Request
                        	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Dhcp.Client.Request>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"request" : ("request", Native.Interface.Tunnel.Ipv6.Dhcp.Client.Request)}
                            self._child_list_classes = {}

                            self.request = Native.Interface.Tunnel.Ipv6.Dhcp.Client.Request()
                            self.request.parent = self
                            self._children_name_map["request"] = "request"
                            self._children_yang_names.add("request")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"


                        class Request(Entity):
                            """
                            Request
                            
                            .. attribute:: vendor
                            
                            	Request Vendor specific options
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ipv6.Dhcp.Client.Request, self).__init__()

                                self.yang_name = "request"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vendor = YLeaf(YType.empty, "vendor")
                                self._segment_path = lambda: "request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ipv6.Dhcp.Client.Request, ['vendor'], name, value)


                    class Server(Entity):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Dhcp.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.preference = YLeaf(YType.uint8, "preference")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:server" + "[word='" + self.word.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Dhcp.Server, ['word', 'preference'], name, value)


                    class Guard(Entity):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Dhcp.Guard, self).__init__()

                            self.yang_name = "guard"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:guard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Dhcp.Guard, ['attach_policy'], name, value)


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.Tunnel.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.Tunnel.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.Tunnel.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.Tunnel.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:  :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Nd.Raguard>`
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:  :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Nd.Ra>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-nd:raguard" : ("raguard", Native.Interface.Tunnel.Ipv6.Nd.Raguard), "Cisco-IOS-XE-nd:autoconfig" : ("autoconfig", Native.Interface.Tunnel.Ipv6.Nd.Autoconfig), "Cisco-IOS-XE-nd:ra" : ("ra", Native.Interface.Tunnel.Ipv6.Nd.Ra)}
                        self._child_list_classes = {}

                        self.managed_config_flag = YLeaf(YType.empty, "Cisco-IOS-XE-nd:managed-config-flag")

                        self.raguard = Native.Interface.Tunnel.Ipv6.Nd.Raguard()
                        self.raguard.parent = self
                        self._children_name_map["raguard"] = "raguard"
                        self._children_yang_names.add("raguard")

                        self.autoconfig = Native.Interface.Tunnel.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.ra = Native.Interface.Tunnel.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self._children_name_map["ra"] = "ra"
                        self._children_yang_names.add("ra")
                        self._segment_path = lambda: "nd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.Nd, ['managed_config_flag'], name, value)


                    class Raguard(Entity):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Nd.Raguard, self).__init__()

                            self.yang_name = "raguard"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:raguard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Nd.Raguard, ['attach_policy'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Nd.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.default_route = YLeaf(YType.empty, "default-route")

                            self.prefix = YLeaf(YType.empty, "prefix")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Nd.Autoconfig, ['default_route', 'prefix'], name, value)


                    class Ra(Entity):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Nd.Ra, self).__init__()

                            self.yang_name = "ra"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"suppress" : ("suppress", Native.Interface.Tunnel.Ipv6.Nd.Ra.Suppress)}
                            self._child_list_classes = {}

                            self.suppress = None
                            self._children_name_map["suppress"] = "suppress"
                            self._children_yang_names.add("suppress")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:ra"


                        class Suppress(Entity):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-04-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ipv6.Nd.Ra.Suppress, self).__init__()

                                self.yang_name = "suppress"
                                self.yang_parent_name = "ra"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.all = YLeaf(YType.empty, "all")
                                self._segment_path = lambda: "suppress"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ipv6.Nd.Ra.Suppress, ['all'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class Crypto(Entity):
                    """
                    Encryption/Decryption commands
                    
                    .. attribute:: map
                    
                    	Assign an IPv6  Crypto Map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ipv6.Crypto, self).__init__()

                        self.yang_name = "crypto"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.map = YLeaf(YType.str, "map")
                        self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.Crypto, ['map'], name, value)


                class Flow(Entity):
                    """
                    NetFlow related commands
                    
                    .. attribute:: ingress
                    
                    	Enable inbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: egress
                    
                    	Enable outbound NetFlow
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: monitor
                    
                    	Apply a Flow Monitor
                    	**type**\: list of  		 :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Flow.Monitor>`
                    
                    

                    """

                    _prefix = 'ios-flow'
                    _revision = '2017-04-19'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ipv6.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"monitor" : ("monitor", Native.Interface.Tunnel.Ipv6.Flow.Monitor)}

                        self.ingress = YLeaf(YType.empty, "ingress")

                        self.egress = YLeaf(YType.empty, "egress")

                        self.monitor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-flow:flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.Flow, ['ingress', 'egress'], name, value)


                    class Monitor(Entity):
                        """
                        Apply a Flow Monitor
                        
                        .. attribute:: name  <key>
                        
                        	User defined
                        	**type**\: str
                        
                        .. attribute:: sampler
                        
                        	Optional Sampler to apply to this Flow Monitor
                        	**type**\: list of  		 :py:class:`Sampler <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler>`
                        
                        .. attribute:: input
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: output
                        
                        	Apply Flow Monitor on input traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-flow'
                        _revision = '2017-04-19'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Flow.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "flow"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"sampler" : ("sampler", Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler)}

                            self.name = YLeaf(YType.str, "name")

                            self.input = YLeaf(YType.empty, "input")

                            self.output = YLeaf(YType.empty, "output")

                            self.multicast = YLeaf(YType.empty, "multicast")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.sampler = YList(self)
                            self._segment_path = lambda: "monitor" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Flow.Monitor, ['name', 'input', 'output', 'multicast', 'unicast'], name, value)


                        class Sampler(Entity):
                            """
                            Optional Sampler to apply to this Flow Monitor
                            
                            .. attribute:: direction  <key>
                            
                            	Apply Flow Monitor on input/output traffic
                            	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler.Direction>`
                            
                            .. attribute:: name
                            
                            	User defined
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-flow'
                            _revision = '2017-04-19'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler, self).__init__()

                                self.yang_name = "sampler"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.direction = YLeaf(YType.enumeration, "direction")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "sampler" + "[direction='" + self.direction.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ipv6.Flow.Monitor.Sampler, ['direction', 'name'], name, value)

                            class Direction(Enum):
                                """
                                Direction

                                Apply Flow Monitor on input/output traffic

                                .. data:: input = 0

                                .. data:: output = 1

                                """

                                input = Enum.YLeaf(0, "input")

                                output = Enum.YLeaf(1, "output")



                class NoPim(Entity):
                    """
                    
                    
                    .. attribute:: pim
                    
                    	PIM interface commands
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ipv6.NoPim, self).__init__()

                        self.yang_name = "no-pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pim = YLeaf(YType.boolean, "pim")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:no-pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.NoPim, ['pim'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    .. attribute:: bfd
                    
                    	Configure BFD
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bsr
                    
                    	Configure BSR
                    	**type**\:  :py:class:`Bsr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Pim.Bsr>`
                    
                    .. attribute:: dr_priority
                    
                    	PIM Hello DR priority
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-mc'
                    _revision = '2017-06-01'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ipv6.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bsr" : ("bsr", Native.Interface.Tunnel.Ipv6.Pim.Bsr)}
                        self._child_list_classes = {}

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.dr_priority = YLeaf(YType.uint32, "dr-priority")

                        self.bsr = Native.Interface.Tunnel.Ipv6.Pim.Bsr()
                        self.bsr.parent = self
                        self._children_name_map["bsr"] = "bsr"
                        self._children_yang_names.add("bsr")
                        self._segment_path = lambda: "Cisco-IOS-XE-multicast:pim"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.Pim, ['bfd', 'dr_priority'], name, value)


                    class Bsr(Entity):
                        """
                        Configure BSR
                        
                        .. attribute:: border
                        
                        	Border of PIM BSR domain
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mc'
                        _revision = '2017-06-01'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Pim.Bsr, self).__init__()

                            self.yang_name = "bsr"
                            self.yang_parent_name = "pim"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.border = YLeaf(YType.empty, "border")
                            self._segment_path = lambda: "bsr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Pim.Bsr, ['border'], name, value)


                class Ospf(Entity):
                    """
                    OSPF interface commands
                    
                    .. attribute:: process
                    
                    	
                    	**type**\: list of  		 :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Process>`
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: encryption
                    
                    	Enable encryption
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption>`
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Network>`
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ipv6.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Tunnel.Ipv6.Ospf.Authentication), "bfd" : ("bfd", Native.Interface.Tunnel.Ipv6.Ospf.Bfd), "database-filter" : ("database_filter", Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.Tunnel.Ipv6.Ospf.DemandCircuit), "encryption" : ("encryption", Native.Interface.Tunnel.Ipv6.Ospf.Encryption), "flood-reduction" : ("flood_reduction", Native.Interface.Tunnel.Ipv6.Ospf.FloodReduction), "mtu-ignore" : ("mtu_ignore", Native.Interface.Tunnel.Ipv6.Ospf.MtuIgnore), "network" : ("network", Native.Interface.Tunnel.Ipv6.Ospf.Network), "shutdown" : ("shutdown", Native.Interface.Tunnel.Ipv6.Ospf.Shutdown)}
                        self._child_list_classes = {"process" : ("process", Native.Interface.Tunnel.Ipv6.Ospf.Process), "neighbor" : ("neighbor", Native.Interface.Tunnel.Ipv6.Ospf.Neighbor)}

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = Native.Interface.Tunnel.Ipv6.Ospf.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.database_filter = Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.encryption = Native.Interface.Tunnel.Ipv6.Ospf.Encryption()
                        self.encryption.parent = self
                        self._children_name_map["encryption"] = "encryption"
                        self._children_yang_names.add("encryption")

                        self.flood_reduction = None
                        self._children_name_map["flood_reduction"] = "flood-reduction"
                        self._children_yang_names.add("flood-reduction")

                        self.mtu_ignore = None
                        self._children_name_map["mtu_ignore"] = "mtu-ignore"
                        self._children_yang_names.add("mtu-ignore")

                        self.network = Native.Interface.Tunnel.Ipv6.Ospf.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.shutdown = None
                        self._children_name_map["shutdown"] = "shutdown"
                        self._children_yang_names.add("shutdown")

                        self.process = YList(self)
                        self.neighbor = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-ospf:ospf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf, ['cost', 'dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                    class Process(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: instance
                        
                        	Set the OSPF instance
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..31
                        
                        		**type**\: int
                        
                        			**range:** 32..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Ospf.Process, self).__init__()

                            self.yang_name = "process"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint16, "id")

                            self.area = YLeaf(YType.str, "area")

                            self.instance = YLeaf(YType.str, "instance")
                            self._segment_path = lambda: "process" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Process, ['id', 'area', 'instance'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec authentication
                        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Ospf.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec)}
                            self._child_list_classes = {}

                            self.null = YLeaf(YType.empty, "null")

                            self.ipsec = Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec()
                            self.ipsec.parent = self
                            self._children_name_map["ipsec"] = "ipsec"
                            self._children_yang_names.add("ipsec")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Authentication, ['null'], name, value)


                        class Ipsec(Entity):
                            """
                            Use IPsec authentication
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\: int
                            
                            	**range:** 256..4294967295
                            
                            .. attribute:: md5
                            
                            	Use MD5 authentication
                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5>`
                            
                            .. attribute:: sha1
                            
                            	Use SHA\-1 authentication
                            	**type**\:  :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec, self).__init__()

                                self.yang_name = "ipsec"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"md5" : ("md5", Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5), "sha1" : ("sha1", Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1)}
                                self._child_list_classes = {}

                                self.spi = YLeaf(YType.uint64, "spi")

                                self.md5 = Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5()
                                self.md5.parent = self
                                self._children_name_map["md5"] = "md5"
                                self._children_yang_names.add("md5")

                                self.sha1 = Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1()
                                self.sha1.parent = self
                                self._children_name_map["sha1"] = "sha1"
                                self._children_yang_names.add("sha1")
                                self._segment_path = lambda: "ipsec"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec, ['spi'], name, value)


                            class Md5(Entity):
                                """
                                Use MD5 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5, self).__init__()

                                    self.yang_name = "md5"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "md5"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "md5"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Md5.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Sha1(Entity):
                                """
                                Use SHA\-1 authentication
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1, self).__init__()

                                    self.yang_name = "sha1"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "sha1"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "sha1"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Authentication.Ipsec.Sha1.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Ospf.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Bfd, ['disable'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter.All>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.DatabaseFilter, ['all', 'disable'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                    class DemandCircuit(Entity):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Ospf.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.DemandCircuit, ['disable', 'ignore'], name, value)


                    class Encryption(Entity):
                        """
                        Enable encryption
                        
                        .. attribute:: null
                        
                        	No IPsec encryption on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec
                        
                        	Use IPsec encryption
                        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Ospf.Encryption, self).__init__()

                            self.yang_name = "encryption"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec)}
                            self._child_list_classes = {}

                            self.null = YLeaf(YType.empty, "null")

                            self.ipsec = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec()
                            self.ipsec.parent = self
                            self._children_name_map["ipsec"] = "ipsec"
                            self._children_yang_names.add("ipsec")
                            self._segment_path = lambda: "encryption"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Encryption, ['null'], name, value)


                        class Ipsec(Entity):
                            """
                            Use IPsec encryption
                            
                            .. attribute:: spi
                            
                            	Set the SPI (Security Parameters Index)
                            	**type**\: int
                            
                            	**range:** 0..18446744073709551615
                            
                            .. attribute:: esp
                            
                            	Use ESP encapsulation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipsec_3des
                            
                            	Use 3DES encryption
                            	**type**\:  :py:class:`Ipsec3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des>`
                            
                            .. attribute:: aes_cbc
                            
                            	Use AES\-CBC encryption
                            	**type**\:  :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec, self).__init__()

                                self.yang_name = "ipsec"
                                self.yang_parent_name = "encryption"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipsec_3des" : ("ipsec_3des", Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des), "aes-cbc" : ("aes_cbc", Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc)}
                                self._child_list_classes = {}

                                self.spi = YLeaf(YType.uint64, "spi")

                                self.esp = YLeaf(YType.empty, "esp")

                                self.ipsec_3des = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des()
                                self.ipsec_3des.parent = self
                                self._children_name_map["ipsec_3des"] = "ipsec_3des"
                                self._children_yang_names.add("ipsec_3des")

                                self.aes_cbc = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc()
                                self.aes_cbc.parent = self
                                self._children_name_map["aes_cbc"] = "aes-cbc"
                                self._children_yang_names.add("aes-cbc")
                                self._segment_path = lambda: "ipsec"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec, ['spi', 'esp'], name, value)


                            class Ipsec3Des(Entity):
                                """
                                Use 3DES encryption
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des, self).__init__()

                                    self.yang_name = "ipsec_3des"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "ipsec_3des"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "ipsec_3des"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.Ipsec3Des.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class AesCbc(Entity):
                                """
                                Use AES\-CBC encryption
                                
                                .. attribute:: aes_cbc_128
                                
                                	Use 128 bit key
                                	**type**\:  :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128>`
                                
                                .. attribute:: aes_192
                                
                                	Use 192 bit key
                                	**type**\:  :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192>`
                                
                                .. attribute:: aes_256
                                
                                	Use 256 bit key
                                	**type**\:  :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc, self).__init__()

                                    self.yang_name = "aes-cbc"
                                    self.yang_parent_name = "ipsec"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"aes-cbc-128" : ("aes_cbc_128", Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128), "aes-192" : ("aes_192", Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192), "aes-256" : ("aes_256", Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256)}
                                    self._child_list_classes = {}

                                    self.aes_cbc_128 = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128()
                                    self.aes_cbc_128.parent = self
                                    self._children_name_map["aes_cbc_128"] = "aes-cbc-128"
                                    self._children_yang_names.add("aes-cbc-128")

                                    self.aes_192 = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192()
                                    self.aes_192.parent = self
                                    self._children_name_map["aes_192"] = "aes-192"
                                    self._children_yang_names.add("aes-192")

                                    self.aes_256 = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256()
                                    self.aes_256.parent = self
                                    self._children_name_map["aes_256"] = "aes-256"
                                    self._children_yang_names.add("aes-256")
                                    self._segment_path = lambda: "aes-cbc"


                                class AesCbc128(Entity):
                                    """
                                    Use 128 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128, self).__init__()

                                        self.yang_name = "aes-cbc-128"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-cbc-128"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-cbc-128"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                                class Aes192(Entity):
                                    """
                                    Use 192 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192, self).__init__()

                                        self.yang_name = "aes-192"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-192"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-192"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes192.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                                class Aes256(Entity):
                                    """
                                    Use 256 bit key
                                    
                                    .. attribute:: key_string
                                    
                                    	
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256, self).__init__()

                                        self.yang_name = "aes-256"
                                        self.yang_parent_name = "aes-cbc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_string = Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "aes-256"


                                    class KeyString(Entity):
                                        """
                                        
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "aes-256"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Encryption.Ipsec.AesCbc.Aes256.KeyString, ['encrypt', 'string'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                    class FloodReduction(Entity):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	Disable Flood Reduction on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Ospf.FloodReduction, self).__init__()

                            self.yang_name = "flood-reduction"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "flood-reduction"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.FloodReduction, ['disable'], name, value)


                    class MtuIgnore(Entity):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Ospf.MtuIgnore, self).__init__()

                            self.yang_name = "mtu-ignore"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "mtu-ignore"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.MtuIgnore, ['disable'], name, value)


                    class Neighbor(Entity):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Ospf.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint16, "cost")

                            self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.database_filter = Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter.All>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Neighbor.DatabaseFilter, ['all'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                    class Network(Entity):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Ospf.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Ospf.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.Tunnel.Ipv6.Ospf.Network.PointToMultipoint)}
                            self._child_list_classes = {}

                            self.broadcast = YLeaf(YType.empty, "broadcast")

                            self.manet = YLeaf(YType.empty, "manet")

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                            self.point_to_point = YLeaf(YType.empty, "point-to-point")

                            self.point_to_multipoint = None
                            self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                            self._children_yang_names.add("point-to-multipoint")
                            self._segment_path = lambda: "network"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                        class PointToMultipoint(Entity):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ipv6.Ospf.Network.PointToMultipoint, self).__init__()

                                self.yang_name = "point-to-multipoint"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                self._segment_path = lambda: "point-to-multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Network.PointToMultipoint, ['non_broadcast'], name, value)


                    class Shutdown(Entity):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Ospf.Shutdown, self).__init__()

                            self.yang_name = "shutdown"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "shutdown"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Ospf.Shutdown, ['disable'], name, value)


                class Rip(Entity):
                    """
                    Configure RIP routing protocol
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: enable
                    
                    	Enable/disable RIP routing
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: default_information
                    
                    	Configure handling of default route
                    	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ipv6.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default-information" : ("default_information", Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.default_information = Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation()
                        self.default_information.parent = self
                        self._children_name_map["default_information"] = "default-information"
                        self._children_yang_names.add("default-information")
                        self._segment_path = lambda: "Cisco-IOS-XE-rip:rip" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ipv6.Rip, ['id', 'enable'], name, value)


                    class DefaultInformation(Entity):
                        """
                        Configure handling of default route
                        
                        .. attribute:: route
                        
                        	
                        	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation.Route>`
                        
                        .. attribute:: metric
                        
                        	Default route metric
                        	**type**\: int
                        
                        	**range:** 1..15
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation, self).__init__()

                            self.yang_name = "default-information"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.route = YLeaf(YType.enumeration, "route")

                            self.metric = YLeaf(YType.uint8, "metric")
                            self._segment_path = lambda: "default-information"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ipv6.Rip.DefaultInformation, ['route', 'metric'], name, value)

                        class Route(Enum):
                            """
                            Route

                            .. data:: only = 0

                            .. data:: originate = 1

                            """

                            only = Enum.YLeaf(0, "only")

                            originate = Enum.YLeaf(1, "originate")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.Tunnel.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.Tunnel.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.Tunnel.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.Tunnel.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.Tunnel.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.Tunnel.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Tunnel.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.Tunnel.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.Tunnel.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.Tunnel.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.Tunnel.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.Tunnel.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Tunnel.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.Tunnel.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.Tunnel.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.Tunnel.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.Tunnel.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.Tunnel.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.Tunnel.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.Tunnel.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.Tunnel.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.Tunnel.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.Tunnel.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.Tunnel.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.Tunnel.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.Tunnel.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.Tunnel.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.Tunnel.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.Tunnel.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.Tunnel.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.Tunnel.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.Tunnel.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.Tunnel.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.Tunnel.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.Tunnel.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.Tunnel.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.Tunnel.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.Tunnel.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.Tunnel.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.Tunnel.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.Tunnel.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.Tunnel.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.Tunnel.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Tunnel.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.Tunnel.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Tunnel.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Tunnel.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Tunnel.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Tunnel.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Tunnel.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.Tunnel.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Tunnel.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Tunnel.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Tunnel.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Tunnel.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Tunnel.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.Tunnel.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.Tunnel.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.Tunnel.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.Tunnel.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Tunnel.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.Tunnel.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.Tunnel.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.Tunnel.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.Tunnel.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.Tunnel.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.Tunnel.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.Tunnel.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.Tunnel.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.Tunnel.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.Tunnel.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.Tunnel.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.PmPath, ['name', 'interface_id'], name, value)


            class Qos(Entity):
                """
                Quality of Service related commands
                
                .. attribute:: pre_classify
                
                	Enable QOS classification before packets are tunnel encapsulated
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Tunnel.Qos, self).__init__()

                    self.yang_name = "qos"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.pre_classify = YLeaf(YType.empty, "pre-classify")
                    self._segment_path = lambda: "qos"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Qos, ['pre_classify'], name, value)


            class Cdp(Entity):
                """
                CDP interface subcommands
                
                .. attribute:: enable
                
                	Enable CDP on interface
                	**type**\: bool
                
                .. attribute:: tlv
                
                	Enable exchange of specific tlv information
                	**type**\:  :py:class:`Tlv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cdp.Tlv>`
                
                

                """

                _prefix = 'ios-cdp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Tunnel.Cdp, self).__init__()

                    self.yang_name = "cdp"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"tlv" : ("tlv", Native.Interface.Tunnel.Cdp.Tlv)}
                    self._child_list_classes = {}

                    self.enable = YLeaf(YType.boolean, "enable")

                    self.tlv = Native.Interface.Tunnel.Cdp.Tlv()
                    self.tlv.parent = self
                    self._children_name_map["tlv"] = "tlv"
                    self._children_yang_names.add("tlv")
                    self._segment_path = lambda: "Cisco-IOS-XE-cdp:cdp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Cdp, ['enable'], name, value)


                class Tlv(Entity):
                    """
                    Enable exchange of specific tlv information
                    
                    .. attribute:: app
                    
                    	Enable/Configure Application TLV
                    	**type**\:  :py:class:`App <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cdp.Tlv.App>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server_location
                    
                    	Enable CDP location server on interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: location
                    
                    	Exchange location information
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cdp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Cdp.Tlv, self).__init__()

                        self.yang_name = "tlv"
                        self.yang_parent_name = "cdp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"app" : ("app", Native.Interface.Tunnel.Cdp.Tlv.App)}
                        self._child_list_classes = {}

                        self.server_location = YLeaf(YType.empty, "server-location")

                        self.location = YLeaf(YType.empty, "location")

                        self.app = None
                        self._children_name_map["app"] = "app"
                        self._children_yang_names.add("app")
                        self._segment_path = lambda: "tlv"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Cdp.Tlv, ['server_location', 'location'], name, value)


                    class App(Entity):
                        """
                        Enable/Configure Application TLV
                        
                        .. attribute:: tlvtype
                        
                        	Configure APP TLV
                        	**type**\: int
                        
                        	**range:** 1001..65535
                        
                        .. attribute:: value
                        
                        	Configure App TLV Value information
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cdp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Cdp.Tlv.App, self).__init__()

                            self.yang_name = "app"
                            self.yang_parent_name = "tlv"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tlvtype = YLeaf(YType.uint16, "tlvtype")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "app"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Cdp.Tlv.App, ['tlvtype', 'value'], name, value)


            class Snmp(Entity):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Tunnel.Snmp, self).__init__()

                    self.yang_name = "snmp"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ifindex" : ("ifindex", Native.Interface.Tunnel.Snmp.Ifindex), "trap" : ("trap", Native.Interface.Tunnel.Snmp.Trap)}
                    self._child_list_classes = {}

                    self.ifindex = Native.Interface.Tunnel.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self._children_name_map["ifindex"] = "ifindex"
                    self._children_yang_names.add("ifindex")

                    self.trap = Native.Interface.Tunnel.Snmp.Trap()
                    self.trap.parent = self
                    self._children_name_map["trap"] = "trap"
                    self._children_yang_names.add("trap")
                    self._segment_path = lambda: "Cisco-IOS-XE-snmp:snmp"


                class Ifindex(Entity):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Snmp.Ifindex, self).__init__()

                        self.yang_name = "ifindex"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.persist = YLeaf(YType.empty, "persist")

                        self.clear = YLeaf(YType.boolean, "clear")
                        self._segment_path = lambda: "ifindex"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Snmp.Ifindex, ['persist', 'clear'], name, value)


                class Trap(Entity):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\: bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:  :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Snmp.Trap, self).__init__()

                        self.yang_name = "trap"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-status-capas" : ("link_status_capas", Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas)}
                        self._child_list_classes = {}

                        self.link_status = YLeaf(YType.boolean, "link-status")

                        self.link_status_capas = Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self
                        self._children_name_map["link_status_capas"] = "link-status-capas"
                        self._children_yang_names.add("link-status-capas")
                        self._segment_path = lambda: "trap"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Snmp.Trap, ['link_status'], name, value)


                    class LinkStatusCapas(Entity):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:  :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas, self).__init__()

                            self.yang_name = "link-status-capas"
                            self.yang_parent_name = "trap"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"link-status" : ("link_status", Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus)}
                            self._child_list_classes = {}

                            self.link_status = Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self
                            self._children_name_map["link_status"] = "link-status"
                            self._children_yang_names.add("link-status")
                            self._segment_path = lambda: "link-status-capas"


                        class LinkStatus(Entity):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus, self).__init__()

                                self.yang_name = "link-status"
                                self.yang_parent_name = "link-status-capas"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"permit" : ("permit", Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit)}
                                self._child_list_classes = {}

                                self.permit = Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self
                                self._children_name_map["permit"] = "permit"
                                self._children_yang_names.add("permit")
                                self._segment_path = lambda: "link-status"


                            class Permit(Entity):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, self).__init__()

                                    self.yang_name = "permit"
                                    self.yang_parent_name = "link-status"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.duplicates = YLeaf(YType.empty, "duplicates")
                                    self._segment_path = lambda: "permit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, ['duplicates'], name, value)


            class Nhrp(Entity):
                """
                NHRP Interface commands
                
                .. attribute:: event_publisher
                
                	Enable NHRP smart spoke feature
                	**type**\:  :py:class:`EventPublisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Nhrp.EventPublisher>`
                
                .. attribute:: group
                
                	group name string
                	**type**\: str
                
                .. attribute:: map
                
                	Map group name to QoS service policy
                	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Nhrp.Map>`
                
                .. attribute:: route_watch
                
                	Enable NHRP route watch
                	**type**\: bool
                
                

                """

                _prefix = 'ios-tun'
                _revision = '2017-07-11'

                def __init__(self):
                    super(Native.Interface.Tunnel.Nhrp, self).__init__()

                    self.yang_name = "nhrp"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event-publisher" : ("event_publisher", Native.Interface.Tunnel.Nhrp.EventPublisher), "map" : ("map", Native.Interface.Tunnel.Nhrp.Map)}
                    self._child_list_classes = {}

                    self.group = YLeaf(YType.str, "group")

                    self.route_watch = YLeaf(YType.boolean, "route-watch")

                    self.event_publisher = Native.Interface.Tunnel.Nhrp.EventPublisher()
                    self.event_publisher.parent = self
                    self._children_name_map["event_publisher"] = "event-publisher"
                    self._children_yang_names.add("event-publisher")

                    self.map = Native.Interface.Tunnel.Nhrp.Map()
                    self.map.parent = self
                    self._children_name_map["map"] = "map"
                    self._children_yang_names.add("map")
                    self._segment_path = lambda: "Cisco-IOS-XE-tunnel:nhrp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Nhrp, ['group', 'route_watch'], name, value)


                class EventPublisher(Entity):
                    """
                    Enable NHRP smart spoke feature
                    
                    .. attribute:: max_event_timeout
                    
                    	Number of seconds
                    	**type**\: int
                    
                    	**range:** 1..22
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Nhrp.EventPublisher, self).__init__()

                        self.yang_name = "event-publisher"
                        self.yang_parent_name = "nhrp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_event_timeout = YLeaf(YType.uint8, "max-event-timeout")
                        self._segment_path = lambda: "event-publisher"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Nhrp.EventPublisher, ['max_event_timeout'], name, value)


                class Map(Entity):
                    """
                    Map group name to QoS service policy
                    
                    .. attribute:: group
                    
                    	NHRP group mapping
                    	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Nhrp.Map.Group>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Nhrp.Map, self).__init__()

                        self.yang_name = "map"
                        self.yang_parent_name = "nhrp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"group" : ("group", Native.Interface.Tunnel.Nhrp.Map.Group)}
                        self._child_list_classes = {}

                        self.group = Native.Interface.Tunnel.Nhrp.Map.Group()
                        self.group.parent = self
                        self._children_name_map["group"] = "group"
                        self._children_yang_names.add("group")
                        self._segment_path = lambda: "map"


                    class Group(Entity):
                        """
                        NHRP group mapping
                        
                        .. attribute:: nhrp_name
                        
                        	
                        	**type**\: list of  		 :py:class:`NhrpName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName>`
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Nhrp.Map.Group, self).__init__()

                            self.yang_name = "group"
                            self.yang_parent_name = "map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"nhrp-name" : ("nhrp_name", Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName)}

                            self.nhrp_name = YList(self)
                            self._segment_path = lambda: "group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Nhrp.Map.Group, [], name, value)


                        class NhrpName(Entity):
                            """
                            
                            
                            .. attribute:: nhrp_name  <key>
                            
                            	NHRP group name
                            	**type**\: str
                            
                            .. attribute:: service_policy
                            
                            	QoS service\-policy
                            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName.ServicePolicy>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName, self).__init__()

                                self.yang_name = "nhrp-name"
                                self.yang_parent_name = "group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"service-policy" : ("service_policy", Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName.ServicePolicy)}
                                self._child_list_classes = {}

                                self.nhrp_name = YLeaf(YType.str, "nhrp-name")

                                self.service_policy = Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName.ServicePolicy()
                                self.service_policy.parent = self
                                self._children_name_map["service_policy"] = "service-policy"
                                self._children_yang_names.add("service-policy")
                                self._segment_path = lambda: "nhrp-name" + "[nhrp-name='" + self.nhrp_name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName, ['nhrp_name'], name, value)


                            class ServicePolicy(Entity):
                                """
                                QoS service\-policy
                                
                                .. attribute:: output
                                
                                	QoS policy\-map name
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName.ServicePolicy, self).__init__()

                                    self.yang_name = "service-policy"
                                    self.yang_parent_name = "nhrp-name"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.output = YLeaf(YType.str, "output")
                                    self._segment_path = lambda: "service-policy"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Nhrp.Map.Group.NhrpName.ServicePolicy, ['output'], name, value)


            class Tunnel(Entity):
                """
                protocol\-over\-protocol tunneling
                
                .. attribute:: tun_6rd
                
                	set tunnel 6rd parameters
                	**type**\:  :py:class:`Tun6rd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Tun6rd>`
                
                .. attribute:: bandwidth
                
                	Set tunnel bandwidth informational parameter
                	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Bandwidth>`
                
                .. attribute:: checksum
                
                	enable end to end checksumming of packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	source of tunnel packets
                	**type**\: str
                
                .. attribute:: destination
                
                	destination of tunnel
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                
                .. attribute:: dst_port
                
                	tunnel destination port
                	**type**\:  :py:class:`DstPort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.DstPort>`
                
                .. attribute:: endpoint
                
                	Set endpoint parameter
                	**type**\:  :py:class:`Endpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Endpoint>`
                
                .. attribute:: entropy
                
                	Compute hash (entropy) on payload and propagate to tunnel header
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: fixup
                
                	fixup on tunnel interface
                	**type**\:  :py:class:`Fixup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Fixup>`
                
                .. attribute:: flow
                
                	flow options
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Flow>`
                
                .. attribute:: key
                
                	security or selector key
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: mode
                
                	tunnel encapsulation method
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mode>`
                
                .. attribute:: network_id
                
                	Set network\-id
                	**type**\:  :py:class:`NetworkId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.NetworkId>`
                
                .. attribute:: path_mtu_discovery
                
                	Enable Path MTU Discovery on tunnel
                	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.PathMtuDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: protection
                
                	Enable tunnel protection
                	**type**\:  :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Protection>`
                
                .. attribute:: mpls
                
                	
                	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls>`
                
                .. attribute:: raw_packet_interface
                
                	physical interface for all packets entering itto be tunneled and for all packets entering the tunnel to exit
                	**type**\: str
                
                .. attribute:: rbscp
                
                	Set tunnel RBSCP parameters
                	**type**\:  :py:class:`Rbscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Rbscp>`
                
                .. attribute:: snooping
                
                	Snooping on tunnel
                	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Snooping>`
                
                .. attribute:: src_port
                
                	tunnel source port
                	**type**\:  :py:class:`SrcPort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.SrcPort>`
                
                .. attribute:: tos
                
                	set type of sevice byte
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: ttl
                
                	set time to live
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: udlr
                
                	associate tunnel with unidirectional interface
                	**type**\:  :py:class:`Udlr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Udlr>`
                
                .. attribute:: vlan
                
                	Set vlan\-id for ethernet over gre mode
                	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Vlan>`
                
                .. attribute:: vrf
                
                	set tunnel vrf membership
                	**type**\: str
                
                

                """

                _prefix = 'ios-tun'
                _revision = '2017-07-11'

                def __init__(self):
                    super(Native.Interface.Tunnel.Tunnel, self).__init__()

                    self.yang_name = "tunnel"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"tun-6rd" : ("tun_6rd", Native.Interface.Tunnel.Tunnel.Tun6rd), "bandwidth" : ("bandwidth", Native.Interface.Tunnel.Tunnel.Bandwidth), "dst-port" : ("dst_port", Native.Interface.Tunnel.Tunnel.DstPort), "endpoint" : ("endpoint", Native.Interface.Tunnel.Tunnel.Endpoint), "fixup" : ("fixup", Native.Interface.Tunnel.Tunnel.Fixup), "flow" : ("flow", Native.Interface.Tunnel.Tunnel.Flow), "mode" : ("mode", Native.Interface.Tunnel.Tunnel.Mode), "network-id" : ("network_id", Native.Interface.Tunnel.Tunnel.NetworkId), "path-mtu-discovery" : ("path_mtu_discovery", Native.Interface.Tunnel.Tunnel.PathMtuDiscovery), "protection" : ("protection", Native.Interface.Tunnel.Tunnel.Protection), "mpls" : ("mpls", Native.Interface.Tunnel.Tunnel.Mpls), "rbscp" : ("rbscp", Native.Interface.Tunnel.Tunnel.Rbscp), "src-port" : ("src_port", Native.Interface.Tunnel.Tunnel.SrcPort), "udlr" : ("udlr", Native.Interface.Tunnel.Tunnel.Udlr), "vlan" : ("vlan", Native.Interface.Tunnel.Tunnel.Vlan)}
                    self._child_list_classes = {}

                    self.checksum = YLeaf(YType.empty, "checksum")

                    self.source = YLeaf(YType.str, "source")

                    self.destination = YLeaf(YType.str, "destination")

                    self.entropy = YLeaf(YType.empty, "entropy")

                    self.key = YLeaf(YType.uint64, "key")

                    self.raw_packet_interface = YLeaf(YType.str, "raw-packet-interface")

                    self.snooping = YLeaf(YType.enumeration, "snooping")

                    self.tos = YLeaf(YType.uint8, "tos")

                    self.ttl = YLeaf(YType.uint8, "ttl")

                    self.vrf = YLeaf(YType.str, "vrf")

                    self.tun_6rd = Native.Interface.Tunnel.Tunnel.Tun6rd()
                    self.tun_6rd.parent = self
                    self._children_name_map["tun_6rd"] = "tun-6rd"
                    self._children_yang_names.add("tun-6rd")

                    self.bandwidth = Native.Interface.Tunnel.Tunnel.Bandwidth()
                    self.bandwidth.parent = self
                    self._children_name_map["bandwidth"] = "bandwidth"
                    self._children_yang_names.add("bandwidth")

                    self.dst_port = Native.Interface.Tunnel.Tunnel.DstPort()
                    self.dst_port.parent = self
                    self._children_name_map["dst_port"] = "dst-port"
                    self._children_yang_names.add("dst-port")

                    self.endpoint = Native.Interface.Tunnel.Tunnel.Endpoint()
                    self.endpoint.parent = self
                    self._children_name_map["endpoint"] = "endpoint"
                    self._children_yang_names.add("endpoint")

                    self.fixup = Native.Interface.Tunnel.Tunnel.Fixup()
                    self.fixup.parent = self
                    self._children_name_map["fixup"] = "fixup"
                    self._children_yang_names.add("fixup")

                    self.flow = Native.Interface.Tunnel.Tunnel.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.mode = Native.Interface.Tunnel.Tunnel.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.network_id = Native.Interface.Tunnel.Tunnel.NetworkId()
                    self.network_id.parent = self
                    self._children_name_map["network_id"] = "network-id"
                    self._children_yang_names.add("network-id")

                    self.path_mtu_discovery = None
                    self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                    self._children_yang_names.add("path-mtu-discovery")

                    self.protection = Native.Interface.Tunnel.Tunnel.Protection()
                    self.protection.parent = self
                    self._children_name_map["protection"] = "protection"
                    self._children_yang_names.add("protection")

                    self.mpls = Native.Interface.Tunnel.Tunnel.Mpls()
                    self.mpls.parent = self
                    self._children_name_map["mpls"] = "mpls"
                    self._children_yang_names.add("mpls")

                    self.rbscp = Native.Interface.Tunnel.Tunnel.Rbscp()
                    self.rbscp.parent = self
                    self._children_name_map["rbscp"] = "rbscp"
                    self._children_yang_names.add("rbscp")

                    self.src_port = Native.Interface.Tunnel.Tunnel.SrcPort()
                    self.src_port.parent = self
                    self._children_name_map["src_port"] = "src-port"
                    self._children_yang_names.add("src-port")

                    self.udlr = Native.Interface.Tunnel.Tunnel.Udlr()
                    self.udlr.parent = self
                    self._children_name_map["udlr"] = "udlr"
                    self._children_yang_names.add("udlr")

                    self.vlan = Native.Interface.Tunnel.Tunnel.Vlan()
                    self.vlan.parent = self
                    self._children_name_map["vlan"] = "vlan"
                    self._children_yang_names.add("vlan")
                    self._segment_path = lambda: "Cisco-IOS-XE-tunnel:tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Tunnel, ['checksum', 'source', 'destination', 'entropy', 'key', 'raw_packet_interface', 'snooping', 'tos', 'ttl', 'vrf'], name, value)

                class Snooping(Enum):
                    """
                    Snooping

                    Snooping on tunnel

                    .. data:: enable = 0

                    """

                    enable = Enum.YLeaf(0, "enable")



                class Tun6rd(Entity):
                    """
                    set tunnel 6rd parameters
                    
                    .. attribute:: br
                    
                    	Border Relay parameters
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv4
                    
                    	Common IPv4 transport source parameters
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Tun6rd.Ipv4>`
                    
                    .. attribute:: prefix
                    
                    	Provider selected common IPv6 prefix
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: reverse_map_check
                    
                    	Enable source IP address and port verification
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.Tun6rd, self).__init__()

                        self.yang_name = "tun-6rd"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipv4" : ("ipv4", Native.Interface.Tunnel.Tunnel.Tun6rd.Ipv4)}
                        self._child_list_classes = {}

                        self.br = YLeaf(YType.str, "br")

                        self.prefix = YLeaf(YType.str, "prefix")

                        self.reverse_map_check = YLeaf(YType.empty, "reverse-map-check")

                        self.ipv4 = Native.Interface.Tunnel.Tunnel.Tun6rd.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")
                        self._segment_path = lambda: "tun-6rd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Tun6rd, ['br', 'prefix', 'reverse_map_check'], name, value)


                    class Ipv4(Entity):
                        """
                        Common IPv4 transport source parameters
                        
                        .. attribute:: prefix_len
                        
                        	Common IPv4 transport source prefix length
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: suffix_len
                        
                        	Common IPv4 transport source suffix length
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Tunnel.Tun6rd.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "tun-6rd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix_len = YLeaf(YType.uint8, "prefix-len")

                            self.suffix_len = YLeaf(YType.uint8, "suffix-len")
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Tun6rd.Ipv4, ['prefix_len', 'suffix_len'], name, value)


                class Bandwidth(Entity):
                    """
                    Set tunnel bandwidth informational parameter
                    
                    .. attribute:: receive
                    
                    	Receive bandwidth
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: transmit
                    
                    	Transmit bandwidth
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.Bandwidth, self).__init__()

                        self.yang_name = "bandwidth"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.uint32, "receive")

                        self.transmit = YLeaf(YType.uint32, "transmit")
                        self._segment_path = lambda: "bandwidth"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Bandwidth, ['receive', 'transmit'], name, value)


                class DstPort(Entity):
                    """
                    tunnel destination port
                    
                    .. attribute:: port_num
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: dynamic
                    
                    	Set Destination Port Dynamically
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.DstPort, self).__init__()

                        self.yang_name = "dst-port"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_num = YLeaf(YType.uint16, "port-num")

                        self.dynamic = YLeaf(YType.empty, "dynamic")
                        self._segment_path = lambda: "dst-port"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.DstPort, ['port_num', 'dynamic'], name, value)


                class Endpoint(Entity):
                    """
                    Set endpoint parameter
                    
                    .. attribute:: service_policy
                    
                    	Set service\-policy
                    	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Endpoint.ServicePolicy>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.Endpoint, self).__init__()

                        self.yang_name = "endpoint"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"service-policy" : ("service_policy", Native.Interface.Tunnel.Tunnel.Endpoint.ServicePolicy)}
                        self._child_list_classes = {}

                        self.service_policy = Native.Interface.Tunnel.Tunnel.Endpoint.ServicePolicy()
                        self.service_policy.parent = self
                        self._children_name_map["service_policy"] = "service-policy"
                        self._children_yang_names.add("service-policy")
                        self._segment_path = lambda: "endpoint"


                    class ServicePolicy(Entity):
                        """
                        Set service\-policy
                        
                        .. attribute:: output
                        
                        	apply QoS service policy in the output direction
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Tunnel.Endpoint.ServicePolicy, self).__init__()

                            self.yang_name = "service-policy"
                            self.yang_parent_name = "endpoint"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.output = YLeaf(YType.str, "output")
                            self._segment_path = lambda: "service-policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Endpoint.ServicePolicy, ['output'], name, value)


                class Fixup(Entity):
                    """
                    fixup on tunnel interface
                    
                    .. attribute:: nat
                    
                    	enable post nat fixup 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.Fixup, self).__init__()

                        self.yang_name = "fixup"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.nat = YLeaf(YType.empty, "nat")
                        self._segment_path = lambda: "fixup"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Fixup, ['nat'], name, value)


                class Flow(Entity):
                    """
                    flow options
                    
                    .. attribute:: egress_records
                    
                    	enable egress flow records 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.egress_records = YLeaf(YType.empty, "egress-records")
                        self._segment_path = lambda: "flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Flow, ['egress_records'], name, value)


                class Mode(Entity):
                    """
                    tunnel encapsulation method
                    
                    .. attribute:: ipsec
                    
                    	IPSec tunnel encapsulation
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mode.Ipsec>`
                    
                    .. attribute:: mpls
                    
                    	MPLS encapsulations
                    	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mode.Mpls>`
                    
                    .. attribute:: ethernet
                    
                    	Ethernet over gre
                    	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mode.Ethernet>`
                    
                    .. attribute:: gre
                    
                    	generic route encapsulation protocol
                    	**type**\:  :py:class:`Gre <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mode.Gre>`
                    
                    .. attribute:: ipip
                    
                    	IP over IP encapsulation
                    	**type**\:  :py:class:`Ipip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mode.Ipip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Generic packet tunneling in IPv6
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipv6ip
                    
                    	IPv6 over IP encapsulation
                    	**type**\:  :py:class:`Ipv6Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mode.Ipv6Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: udp
                    
                    	UDP encapsulation protocol
                    	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mode.Udp>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.Tunnel.Tunnel.Mode.Ipsec), "mpls" : ("mpls", Native.Interface.Tunnel.Tunnel.Mode.Mpls), "ethernet" : ("ethernet", Native.Interface.Tunnel.Tunnel.Mode.Ethernet), "gre" : ("gre", Native.Interface.Tunnel.Tunnel.Mode.Gre), "ipip" : ("ipip", Native.Interface.Tunnel.Tunnel.Mode.Ipip), "ipv6ip" : ("ipv6ip", Native.Interface.Tunnel.Tunnel.Mode.Ipv6Ip)}
                        self._child_list_classes = {}

                        self.ipv6 = YLeaf(YType.empty, "ipv6")

                        self.udp = YLeaf(YType.enumeration, "udp")

                        self.ipsec = Native.Interface.Tunnel.Tunnel.Mode.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")

                        self.mpls = Native.Interface.Tunnel.Tunnel.Mode.Mpls()
                        self.mpls.parent = self
                        self._children_name_map["mpls"] = "mpls"
                        self._children_yang_names.add("mpls")

                        self.ethernet = Native.Interface.Tunnel.Tunnel.Mode.Ethernet()
                        self.ethernet.parent = self
                        self._children_name_map["ethernet"] = "ethernet"
                        self._children_yang_names.add("ethernet")

                        self.gre = Native.Interface.Tunnel.Tunnel.Mode.Gre()
                        self.gre.parent = self
                        self._children_name_map["gre"] = "gre"
                        self._children_yang_names.add("gre")

                        self.ipip = None
                        self._children_name_map["ipip"] = "ipip"
                        self._children_yang_names.add("ipip")

                        self.ipv6ip = None
                        self._children_name_map["ipv6ip"] = "ipv6ip"
                        self._children_yang_names.add("ipv6ip")
                        self._segment_path = lambda: "mode"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mode, ['ipv6', 'udp'], name, value)

                    class Udp(Enum):
                        """
                        Udp

                        UDP encapsulation protocol

                        .. data:: ip = 0

                        .. data:: multipoint = 1

                        """

                        ip = Enum.YLeaf(0, "ip")

                        multipoint = Enum.YLeaf(1, "multipoint")



                    class Ipsec(Entity):
                        """
                        IPSec tunnel encapsulation
                        
                        .. attribute:: ipv4
                        
                        	over IPv4
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mode.Ipsec.Ipv4>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv6
                        
                        	over IPv6
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mode.Ipsec.Ipv6>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Tunnel.Mode.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Interface.Tunnel.Tunnel.Mode.Ipsec.Ipv4), "ipv6" : ("ipv6", Native.Interface.Tunnel.Tunnel.Mode.Ipsec.Ipv6)}
                            self._child_list_classes = {}

                            self.ipv4 = None
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv6 = None
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")
                            self._segment_path = lambda: "ipsec"


                        class Ipv4(Entity):
                            """
                            over IPv4
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mode.Ipsec.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "ipv4"


                        class Ipv6(Entity):
                            """
                            over IPv6
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mode.Ipsec.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "ipv6"


                    class Mpls(Entity):
                        """
                        MPLS encapsulations
                        
                        .. attribute:: traffic_eng
                        
                        	Traffic engineering tunnels
                        	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mode.Mpls.TrafficEng>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Tunnel.Mode.Mpls, self).__init__()

                            self.yang_name = "mpls"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"traffic-eng" : ("traffic_eng", Native.Interface.Tunnel.Tunnel.Mode.Mpls.TrafficEng)}
                            self._child_list_classes = {}

                            self.traffic_eng = None
                            self._children_name_map["traffic_eng"] = "traffic-eng"
                            self._children_yang_names.add("traffic-eng")
                            self._segment_path = lambda: "mpls"


                        class TrafficEng(Entity):
                            """
                            Traffic engineering tunnels
                            
                            .. attribute:: multilsp
                            
                            	Multiple LSP mode
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mode.Mpls.TrafficEng, self).__init__()

                                self.yang_name = "traffic-eng"
                                self.yang_parent_name = "mpls"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.multilsp = YLeaf(YType.empty, "multilsp")
                                self._segment_path = lambda: "traffic-eng"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mode.Mpls.TrafficEng, ['multilsp'], name, value)


                    class Ethernet(Entity):
                        """
                        Ethernet over gre
                        
                        .. attribute:: gre
                        
                        	Ethernet over gre
                        	**type**\:  :py:class:`Gre <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mode.Ethernet.Gre>`
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Tunnel.Mode.Ethernet, self).__init__()

                            self.yang_name = "ethernet"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.gre = YLeaf(YType.enumeration, "gre")
                            self._segment_path = lambda: "ethernet"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mode.Ethernet, ['gre'], name, value)

                        class Gre(Enum):
                            """
                            Gre

                            Ethernet over gre

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = Enum.YLeaf(0, "ipv4")

                            ipv6 = Enum.YLeaf(1, "ipv6")



                    class Gre(Entity):
                        """
                        generic route encapsulation protocol
                        
                        .. attribute:: ip
                        
                        	over IP
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	over IPv6
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multipoint
                        
                        	over IPv4 (multipoint)
                        	**type**\:  :py:class:`Multipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mode.Gre.Multipoint>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Tunnel.Mode.Gre, self).__init__()

                            self.yang_name = "gre"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"multipoint" : ("multipoint", Native.Interface.Tunnel.Tunnel.Mode.Gre.Multipoint)}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.empty, "ip")

                            self.ipv6 = YLeaf(YType.empty, "ipv6")

                            self.multipoint = None
                            self._children_name_map["multipoint"] = "multipoint"
                            self._children_yang_names.add("multipoint")
                            self._segment_path = lambda: "gre"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mode.Gre, ['ip', 'ipv6'], name, value)


                        class Multipoint(Entity):
                            """
                            over IPv4 (multipoint)
                            
                            .. attribute:: ipv6
                            
                            	over IPv6
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mode.Gre.Multipoint, self).__init__()

                                self.yang_name = "multipoint"
                                self.yang_parent_name = "gre"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ipv6 = YLeaf(YType.empty, "ipv6")
                                self._segment_path = lambda: "multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mode.Gre.Multipoint, ['ipv6'], name, value)


                    class Ipip(Entity):
                        """
                        IP over IP encapsulation
                        
                        .. attribute:: decapsulate_any
                        
                        	Incoming traffic only
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Tunnel.Mode.Ipip, self).__init__()

                            self.yang_name = "ipip"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.decapsulate_any = YLeaf(YType.empty, "decapsulate-any")
                            self._segment_path = lambda: "ipip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mode.Ipip, ['decapsulate_any'], name, value)


                    class Ipv6Ip(Entity):
                        """
                        IPv6 over IP encapsulation
                        
                        .. attribute:: auto_6rd
                        
                        	IPv6 automatic tunnelling using 6rd
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: auto_6to4
                        
                        	IPv6 automatic tunnelling using 6to4
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: isatap
                        
                        	IPv6 automatic tunnelling using ISATAP
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Tunnel.Mode.Ipv6Ip, self).__init__()

                            self.yang_name = "ipv6ip"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.auto_6rd = YLeaf(YType.empty, "auto-6rd")

                            self.auto_6to4 = YLeaf(YType.empty, "auto-6to4")

                            self.isatap = YLeaf(YType.empty, "isatap")
                            self._segment_path = lambda: "ipv6ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mode.Ipv6Ip, ['auto_6rd', 'auto_6to4', 'isatap'], name, value)


                class NetworkId(Entity):
                    """
                    Set network\-id
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nexthop
                    
                    	nexthop
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: qos
                    
                    	QoS profile
                    	**type**\: str
                    
                    .. attribute:: weight
                    
                    	weight
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.NetworkId, self).__init__()

                        self.yang_name = "network-id"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint16, "id")

                        self.nexthop = YLeaf(YType.str, "nexthop")

                        self.qos = YLeaf(YType.str, "qos")

                        self.weight = YLeaf(YType.uint16, "weight")
                        self._segment_path = lambda: "network-id"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.NetworkId, ['id', 'nexthop', 'qos', 'weight'], name, value)


                class PathMtuDiscovery(Entity):
                    """
                    Enable Path MTU Discovery on tunnel
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.PathMtuDiscovery, self).__init__()

                        self.yang_name = "path-mtu-discovery"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "path-mtu-discovery"


                class Protection(Entity):
                    """
                    Enable tunnel protection
                    
                    .. attribute:: ipsec
                    
                    	Use ipsec to protect this tunnel interface
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Protection.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.Protection, self).__init__()

                        self.yang_name = "protection"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-crypto:ipsec" : ("ipsec", Native.Interface.Tunnel.Tunnel.Protection.Ipsec)}
                        self._child_list_classes = {}

                        self.ipsec = Native.Interface.Tunnel.Tunnel.Protection.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "protection"


                    class Ipsec(Entity):
                        """
                        Use ipsec to protect this tunnel interface
                        
                        .. attribute:: profile
                        
                        	Determine the ipsec policy profile to use
                        	**type**\: str
                        
                        .. attribute:: ikev2_profile
                        
                        	ikev2 policy profile
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Tunnel.Protection.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "protection"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.profile = YLeaf(YType.str, "profile")

                            self.ikev2_profile = YLeaf(YType.str, "ikev2-profile")
                            self._segment_path = lambda: "Cisco-IOS-XE-crypto:ipsec"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Protection.Ipsec, ['profile', 'ikev2_profile'], name, value)


                class Mpls(Entity):
                    """
                    
                    
                    .. attribute:: traffic_eng
                    
                    	
                    	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.Mpls, self).__init__()

                        self.yang_name = "mpls"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"traffic-eng" : ("traffic_eng", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng)}
                        self._child_list_classes = {}

                        self.traffic_eng = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng()
                        self.traffic_eng.parent = self
                        self._children_name_map["traffic_eng"] = "traffic-eng"
                        self._children_yang_names.add("traffic-eng")
                        self._segment_path = lambda: "mpls"


                    class TrafficEng(Entity):
                        """
                        
                        
                        .. attribute:: affinity_mask
                        
                        	desired link affinity attributes
                        	**type**\:  :py:class:`AffinityMask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AffinityMask>`
                        
                        .. attribute:: auto_bw
                        
                        	Specify mpls tunnel should automatically change BW
                        	**type**\:  :py:class:`AutoBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AutoBw>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: autoroute
                        
                        	parameters for routing over tunnel
                        	**type**\:  :py:class:`Autoroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Autoroute>`
                        
                        .. attribute:: backup_bw
                        
                        	
                        	**type**\:  :py:class:`BackupBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw>`
                        
                        .. attribute:: bandwidth
                        
                        	tunnel bandwidth requirement
                        	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Bandwidth>`
                        
                        .. attribute:: bfd
                        
                        	Bidirectional Forwarding Detection (BFD) configuration
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Bfd>`
                        
                        .. attribute:: binding_sid
                        
                        	Binding Segment Identifier
                        	**type**\:  :py:class:`BindingSid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BindingSid>`
                        
                        .. attribute:: exp
                        
                        	Set the experimental values allowed for this interface
                        	**type**\:  :py:class:`Exp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Exp>`
                        
                        .. attribute:: exp_bundle
                        
                        	Configure the tunnel as a bundle
                        	**type**\:  :py:class:`ExpBundle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ExpBundle>`
                        
                        .. attribute:: fast_reroute
                        
                        	Specify mpls tunnel can be fast\-rerouted
                        	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.FastReroute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: forwarding_adjacency
                        
                        	Treat this tunnel as a Forwarding Adjacency
                        	**type**\:  :py:class:`ForwardingAdjacency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ForwardingAdjacency>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: interface
                        
                        	Add tunnel interface config
                        	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Interface>`
                        
                        .. attribute:: load_share
                        
                        	Specify tunnel load\-sharing metric\: <0..1000000>
                        	**type**\: int
                        
                        	**range:** 0..1000000
                        
                        .. attribute:: name
                        
                        	specify a name describing the TE tunnel
                        	**type**\: str
                        
                        	**length:** 1..63
                        
                        .. attribute:: path_option
                        
                        	
                        	**type**\:  :py:class:`PathOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption>`
                        
                        .. attribute:: path_selection
                        
                        	Path Selection Configuration
                        	**type**\:  :py:class:`PathSelection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection>`
                        
                        .. attribute:: priority
                        
                        	Tunnel priority
                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Priority>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: record_route
                        
                        	record the route used by the tunnel
                        	**type**\:  :py:class:`RecordRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.RecordRoute>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng, self).__init__()

                            self.yang_name = "traffic-eng"
                            self.yang_parent_name = "mpls"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"affinity-mask" : ("affinity_mask", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AffinityMask), "auto-bw" : ("auto_bw", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AutoBw), "autoroute" : ("autoroute", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Autoroute), "backup-bw" : ("backup_bw", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw), "bandwidth" : ("bandwidth", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Bandwidth), "bfd" : ("bfd", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Bfd), "binding-sid" : ("binding_sid", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BindingSid), "exp" : ("exp", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Exp), "exp-bundle" : ("exp_bundle", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ExpBundle), "fast-reroute" : ("fast_reroute", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.FastReroute), "forwarding-adjacency" : ("forwarding_adjacency", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ForwardingAdjacency), "interface" : ("interface", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Interface), "path-option" : ("path_option", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption), "path-selection" : ("path_selection", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection), "priority" : ("priority", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Priority), "record-route" : ("record_route", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.RecordRoute)}
                            self._child_list_classes = {}

                            self.load_share = YLeaf(YType.uint32, "load-share")

                            self.name = YLeaf(YType.str, "name")

                            self.affinity_mask = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AffinityMask()
                            self.affinity_mask.parent = self
                            self._children_name_map["affinity_mask"] = "affinity-mask"
                            self._children_yang_names.add("affinity-mask")

                            self.auto_bw = None
                            self._children_name_map["auto_bw"] = "auto-bw"
                            self._children_yang_names.add("auto-bw")

                            self.autoroute = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Autoroute()
                            self.autoroute.parent = self
                            self._children_name_map["autoroute"] = "autoroute"
                            self._children_yang_names.add("autoroute")

                            self.backup_bw = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw()
                            self.backup_bw.parent = self
                            self._children_name_map["backup_bw"] = "backup-bw"
                            self._children_yang_names.add("backup-bw")

                            self.bandwidth = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Bandwidth()
                            self.bandwidth.parent = self
                            self._children_name_map["bandwidth"] = "bandwidth"
                            self._children_yang_names.add("bandwidth")

                            self.bfd = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Bfd()
                            self.bfd.parent = self
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.binding_sid = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BindingSid()
                            self.binding_sid.parent = self
                            self._children_name_map["binding_sid"] = "binding-sid"
                            self._children_yang_names.add("binding-sid")

                            self.exp = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Exp()
                            self.exp.parent = self
                            self._children_name_map["exp"] = "exp"
                            self._children_yang_names.add("exp")

                            self.exp_bundle = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ExpBundle()
                            self.exp_bundle.parent = self
                            self._children_name_map["exp_bundle"] = "exp-bundle"
                            self._children_yang_names.add("exp-bundle")

                            self.fast_reroute = None
                            self._children_name_map["fast_reroute"] = "fast-reroute"
                            self._children_yang_names.add("fast-reroute")

                            self.forwarding_adjacency = None
                            self._children_name_map["forwarding_adjacency"] = "forwarding-adjacency"
                            self._children_yang_names.add("forwarding-adjacency")

                            self.interface = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Interface()
                            self.interface.parent = self
                            self._children_name_map["interface"] = "interface"
                            self._children_yang_names.add("interface")

                            self.path_option = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption()
                            self.path_option.parent = self
                            self._children_name_map["path_option"] = "path-option"
                            self._children_yang_names.add("path-option")

                            self.path_selection = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection()
                            self.path_selection.parent = self
                            self._children_name_map["path_selection"] = "path-selection"
                            self._children_yang_names.add("path-selection")

                            self.priority = None
                            self._children_name_map["priority"] = "priority"
                            self._children_yang_names.add("priority")

                            self.record_route = None
                            self._children_name_map["record_route"] = "record-route"
                            self._children_yang_names.add("record-route")
                            self._segment_path = lambda: "traffic-eng"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng, ['load_share', 'name'], name, value)


                        class AffinityMask(Entity):
                            """
                            desired link affinity attributes
                            
                            .. attribute:: affinity
                            
                            	Desired link attributes for links comprising tunnel\: <0x0\-0xFFFFFFFF>
                            	**type**\: str
                            
                            	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                            
                            .. attribute:: mask
                            
                            	Mask on desired link attributes\: <0x0\-0xFFFFFFFF>
                            	**type**\: str
                            
                            	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AffinityMask, self).__init__()

                                self.yang_name = "affinity-mask"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.affinity = YLeaf(YType.str, "affinity")

                                self.mask = YLeaf(YType.str, "mask")
                                self._segment_path = lambda: "affinity-mask"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AffinityMask, ['affinity', 'mask'], name, value)


                        class AutoBw(Entity):
                            """
                            Specify mpls tunnel should automatically change BW
                            
                            .. attribute:: frequency
                            
                            	Frequency to change tunnel BW\: <300..604800>
                            	**type**\: int
                            
                            	**range:** 300..604800
                            
                            .. attribute:: collect_bw
                            
                            	Just collect bandwidth info on this tunnel
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: adjustment_threshold
                            
                            	Set the bandwidth change threshold to trigger adjustment
                            	**type**\: int
                            
                            	**range:** 1..99
                            
                            .. attribute:: overflow_limit
                            
                            	Set consecutive samples exceeding threshold which trigger adjustment\: <1..10>
                            	**type**\:  :py:class:`OverflowLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AutoBw.OverflowLimit>`
                            
                            .. attribute:: max_bw
                            
                            	Set the maximum bandwidth for auto\-bw on this tunnel\: <0..4294967295> (kbps)
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_bw
                            
                            	Set the minimum bandwidth for auto\-bw on this tunnel\: <0..4294967294> (kbps)
                            	**type**\: int
                            
                            	**range:** 0..4294967294
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AutoBw, self).__init__()

                                self.yang_name = "auto-bw"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"overflow-limit" : ("overflow_limit", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AutoBw.OverflowLimit)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.frequency = YLeaf(YType.uint32, "frequency")

                                self.collect_bw = YLeaf(YType.empty, "collect-bw")

                                self.adjustment_threshold = YLeaf(YType.uint8, "adjustment-threshold")

                                self.max_bw = YLeaf(YType.uint32, "max-bw")

                                self.min_bw = YLeaf(YType.uint32, "min-bw")

                                self.overflow_limit = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AutoBw.OverflowLimit()
                                self.overflow_limit.parent = self
                                self._children_name_map["overflow_limit"] = "overflow-limit"
                                self._children_yang_names.add("overflow-limit")
                                self._segment_path = lambda: "auto-bw"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AutoBw, ['frequency', 'collect_bw', 'adjustment_threshold', 'max_bw', 'min_bw'], name, value)


                            class OverflowLimit(Entity):
                                """
                                Set consecutive samples exceeding threshold which trigger adjustment\: <1..10>
                                
                                .. attribute:: limit
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                .. attribute:: overflow_threshold
                                
                                	Set the bandwidth change threshold to trigger overflow adjustment\: <1..99> %
                                	**type**\: int
                                
                                	**range:** 1..99
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AutoBw.OverflowLimit, self).__init__()

                                    self.yang_name = "overflow-limit"
                                    self.yang_parent_name = "auto-bw"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint8, "limit")

                                    self.overflow_threshold = YLeaf(YType.uint8, "overflow-threshold")
                                    self._segment_path = lambda: "overflow-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.AutoBw.OverflowLimit, ['limit', 'overflow_threshold'], name, value)


                        class Autoroute(Entity):
                            """
                            parameters for routing over tunnel
                            
                            .. attribute:: announce
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	Specify mpls tunnel metric
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Autoroute.Metric>`
                            
                            .. attribute:: destination
                            
                            	announce tunnel destination to IP static route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Autoroute, self).__init__()

                                self.yang_name = "autoroute"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Autoroute.Metric)}
                                self._child_list_classes = {}

                                self.announce = YLeaf(YType.empty, "announce")

                                self.destination = YLeaf(YType.empty, "destination")

                                self.metric = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Autoroute.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "autoroute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Autoroute, ['announce', 'destination'], name, value)


                            class Metric(Entity):
                                """
                                Specify mpls tunnel metric
                                
                                .. attribute:: range
                                
                                	Set tunnel metric for autoroutes\: <1..4294967295>
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: absolute
                                
                                	Set absolute metric for all autoroutes over tunnel\: <1..4294967295>
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: relative
                                
                                	Adjust tunnel metric for autoroutes relative to IGP\: <\-10..10>
                                	**type**\: int
                                
                                	**range:** \-10..10
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Autoroute.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "autoroute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.range = YLeaf(YType.uint32, "range")

                                    self.absolute = YLeaf(YType.uint32, "absolute")

                                    self.relative = YLeaf(YType.int8, "relative")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Autoroute.Metric, ['range', 'absolute', 'relative'], name, value)


                        class BackupBw(Entity):
                            """
                            
                            
                            .. attribute:: bandwidth
                            
                            	Amount of allocatable backup bw, any lsp may use\: <1..4294967295> kbps
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: sub_pool
                            
                            	Enter Allocatable amount for Sub\-Pool bw
                            	**type**\:  :py:class:`SubPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool>`
                            
                            .. attribute:: class_type
                            
                            	
                            	**type**\:  :py:class:`ClassType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.ClassType>`
                            
                            .. attribute:: global_pool
                            
                            	
                            	**type**\:  :py:class:`GlobalPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.GlobalPool>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw, self).__init__()

                                self.yang_name = "backup-bw"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"sub-pool" : ("sub_pool", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool), "class-type" : ("class_type", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.ClassType), "global-pool" : ("global_pool", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.GlobalPool)}
                                self._child_list_classes = {}

                                self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                self.sub_pool = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool()
                                self.sub_pool.parent = self
                                self._children_name_map["sub_pool"] = "sub-pool"
                                self._children_yang_names.add("sub-pool")

                                self.class_type = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.ClassType()
                                self.class_type.parent = self
                                self._children_name_map["class_type"] = "class-type"
                                self._children_yang_names.add("class-type")

                                self.global_pool = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.GlobalPool()
                                self.global_pool.parent = self
                                self._children_name_map["global_pool"] = "global-pool"
                                self._children_yang_names.add("global-pool")
                                self._segment_path = lambda: "backup-bw"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw, ['bandwidth'], name, value)


                            class SubPool(Entity):
                                """
                                Enter Allocatable amount for Sub\-Pool bw
                                
                                .. attribute:: unlimited
                                
                                	Unlimited amount for Sub\-Pool bw
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sub_pool_config
                                
                                	
                                	**type**\:  :py:class:`SubPoolConfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool, self).__init__()

                                    self.yang_name = "sub-pool"
                                    self.yang_parent_name = "backup-bw"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"sub-pool-config" : ("sub_pool_config", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig)}
                                    self._child_list_classes = {}

                                    self.unlimited = YLeaf(YType.empty, "unlimited")

                                    self.sub_pool_config = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig()
                                    self.sub_pool_config.parent = self
                                    self._children_name_map["sub_pool_config"] = "sub-pool-config"
                                    self._children_yang_names.add("sub-pool-config")
                                    self._segment_path = lambda: "sub-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool, ['unlimited'], name, value)


                                class SubPoolConfig(Entity):
                                    """
                                    
                                    
                                    .. attribute:: bandwidth
                                    
                                    	Amount of allocatable backup bw, only sub\-pool may use\: <1..4294967295> kbps
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: class_type
                                    
                                    	
                                    	**type**\:  :py:class:`ClassType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.ClassType>`
                                    
                                    .. attribute:: global_pool
                                    
                                    	
                                    	**type**\:  :py:class:`GlobalPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.GlobalPool>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig, self).__init__()

                                        self.yang_name = "sub-pool-config"
                                        self.yang_parent_name = "sub-pool"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"class-type" : ("class_type", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.ClassType), "global-pool" : ("global_pool", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.GlobalPool)}
                                        self._child_list_classes = {}

                                        self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                        self.class_type = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.ClassType()
                                        self.class_type.parent = self
                                        self._children_name_map["class_type"] = "class-type"
                                        self._children_yang_names.add("class-type")

                                        self.global_pool = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.GlobalPool()
                                        self.global_pool.parent = self
                                        self._children_name_map["global_pool"] = "global-pool"
                                        self._children_yang_names.add("global-pool")
                                        self._segment_path = lambda: "sub-pool-config"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig, ['bandwidth'], name, value)


                                    class ClassType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: class_type_num
                                        
                                        	Enter the Class\-type\: <0..0>
                                        	**type**\: int
                                        
                                        	**range:** 0..1
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Amount of allocatable backup bw\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: unlimited
                                        
                                        	Unlimited amount of allocatable bw
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.ClassType, self).__init__()

                                            self.yang_name = "class-type"
                                            self.yang_parent_name = "sub-pool-config"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.class_type_num = YLeaf(YType.uint8, "class-type-num")

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.unlimited = YLeaf(YType.empty, "unlimited")
                                            self._segment_path = lambda: "class-type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.ClassType, ['class_type_num', 'bandwidth', 'unlimited'], name, value)


                                    class GlobalPool(Entity):
                                        """
                                        
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Amount of allocatable backup bw\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: unlimited
                                        
                                        	Unlimited amount of allocatable bw
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.GlobalPool, self).__init__()

                                            self.yang_name = "global-pool"
                                            self.yang_parent_name = "sub-pool-config"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.unlimited = YLeaf(YType.empty, "unlimited")
                                            self._segment_path = lambda: "global-pool"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.GlobalPool, ['bandwidth', 'unlimited'], name, value)


                            class ClassType(Entity):
                                """
                                
                                
                                .. attribute:: class_type_num
                                
                                	Enter the Class\-type\: <0..1>
                                	**type**\: int
                                
                                	**range:** 0..1
                                
                                .. attribute:: bandwidth
                                
                                	Amount of allocatable backup bw\: <1..4294967295> kbps
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: unlimited
                                
                                	Unlimited amount of allocatable bw
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.ClassType, self).__init__()

                                    self.yang_name = "class-type"
                                    self.yang_parent_name = "backup-bw"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.class_type_num = YLeaf(YType.uint8, "class-type-num")

                                    self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                    self.unlimited = YLeaf(YType.empty, "unlimited")
                                    self._segment_path = lambda: "class-type"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.ClassType, ['class_type_num', 'bandwidth', 'unlimited'], name, value)


                            class GlobalPool(Entity):
                                """
                                
                                
                                .. attribute:: bandwidth
                                
                                	Amount of allocatable backup bw\: <1..4294967295> kbps
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: unlimited
                                
                                	Unlimited amount of allocatable bw
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.GlobalPool, self).__init__()

                                    self.yang_name = "global-pool"
                                    self.yang_parent_name = "backup-bw"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                    self.unlimited = YLeaf(YType.empty, "unlimited")
                                    self._segment_path = lambda: "global-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BackupBw.GlobalPool, ['bandwidth', 'unlimited'], name, value)


                        class Bandwidth(Entity):
                            """
                            tunnel bandwidth requirement
                            
                            .. attribute:: bw
                            
                            	bandwidth requirement\: <0..4294967295> kbps
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: class_type
                            
                            	classtype value
                            	**type**\: int
                            
                            	**range:** 0..1
                            
                            .. attribute:: sub_pool
                            
                            	tunnel uses sub\-pool bandwidth\: <1..4294967295> kbps
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Bandwidth, self).__init__()

                                self.yang_name = "bandwidth"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.bw = YLeaf(YType.uint32, "bw")

                                self.class_type = YLeaf(YType.uint8, "class-type")

                                self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                self._segment_path = lambda: "bandwidth"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Bandwidth, ['bw', 'class_type', 'sub_pool'], name, value)


                        class Bfd(Entity):
                            """
                            Bidirectional Forwarding Detection (BFD) configuration
                            
                            .. attribute:: sbfd
                            
                            	 Seamless BFD
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sbfd = YLeaf(YType.str, "sbfd")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Bfd, ['sbfd'], name, value)


                        class BindingSid(Entity):
                            """
                            Binding Segment Identifier
                            
                            .. attribute:: label
                            
                            	MPLS label (depends on the configured static label range)
                            	**type**\: int
                            
                            	**range:** 16..1048575
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BindingSid, self).__init__()

                                self.yang_name = "binding-sid"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.label = YLeaf(YType.uint32, "label")
                                self._segment_path = lambda: "binding-sid"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.BindingSid, ['label'], name, value)


                        class Exp(Entity):
                            """
                            Set the experimental values allowed for this interface
                            
                            .. attribute:: exp_value
                            
                            	Enter up to 8 experimental values separated by white\-spaces\: <0..7>
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: default
                            
                            	Default all unconfigured exp to this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Exp, self).__init__()

                                self.yang_name = "exp"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.exp_value = YLeafList(YType.uint8, "exp-value")

                                self.default = YLeaf(YType.empty, "default")
                                self._segment_path = lambda: "exp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Exp, ['exp_value', 'default'], name, value)


                        class ExpBundle(Entity):
                            """
                            Configure the tunnel as a bundle
                            
                            .. attribute:: master
                            
                            	Master tunnel for the bundle
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: member
                            
                            	Member tunnel for the bundle
                            	**type**\:  :py:class:`Member <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ExpBundle.Member>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ExpBundle, self).__init__()

                                self.yang_name = "exp-bundle"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"member" : ("member", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ExpBundle.Member)}
                                self._child_list_classes = {}

                                self.master = YLeaf(YType.empty, "master")

                                self.member = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ExpBundle.Member()
                                self.member.parent = self
                                self._children_name_map["member"] = "member"
                                self._children_yang_names.add("member")
                                self._segment_path = lambda: "exp-bundle"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ExpBundle, ['master'], name, value)


                            class Member(Entity):
                                """
                                Member tunnel for the bundle
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface number\: <0..2147483647>
                                	**type**\: int
                                
                                	**range:** 0..2147483647
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ExpBundle.Member, self).__init__()

                                    self.yang_name = "member"
                                    self.yang_parent_name = "exp-bundle"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")
                                    self._segment_path = lambda: "member"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ExpBundle.Member, ['tunnel'], name, value)


                        class FastReroute(Entity):
                            """
                            Specify mpls tunnel can be fast\-rerouted
                            
                            .. attribute:: bw_protect
                            
                            	bandwidth protection desired
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: node_protect
                            
                            	node protection desired
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.FastReroute, self).__init__()

                                self.yang_name = "fast-reroute"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.bw_protect = YLeaf(YType.empty, "bw-protect")

                                self.node_protect = YLeaf(YType.empty, "node-protect")
                                self._segment_path = lambda: "fast-reroute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.FastReroute, ['bw_protect', 'node_protect'], name, value)


                        class ForwardingAdjacency(Entity):
                            """
                            Treat this tunnel as a Forwarding Adjacency
                            
                            .. attribute:: holdtime
                            
                            	How long to wait upon flooding a down Forwarding Adjacency\: <0..4294967295> msec
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ForwardingAdjacency, self).__init__()

                                self.yang_name = "forwarding-adjacency"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.holdtime = YLeaf(YType.uint32, "holdtime")
                                self._segment_path = lambda: "forwarding-adjacency"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.ForwardingAdjacency, ['holdtime'], name, value)


                        class Interface(Entity):
                            """
                            Add tunnel interface config
                            
                            .. attribute:: down
                            
                            	 Tunnel interface down config
                            	**type**\:  :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Interface.Down>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Interface, self).__init__()

                                self.yang_name = "interface"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"down" : ("down", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Interface.Down)}
                                self._child_list_classes = {}

                                self.down = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Interface.Down()
                                self.down.parent = self
                                self._children_name_map["down"] = "down"
                                self._children_yang_names.add("down")
                                self._segment_path = lambda: "interface"


                            class Down(Entity):
                                """
                                 Tunnel interface down config
                                
                                .. attribute:: delay
                                
                                	Tunnel interface down delay config\: <0..0>
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Interface.Down, self).__init__()

                                    self.yang_name = "down"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.delay = YLeaf(YType.uint32, "delay")
                                    self._segment_path = lambda: "down"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Interface.Down, ['delay'], name, value)


                        class PathOption(Entity):
                            """
                            
                            
                            .. attribute:: working
                            
                            	
                            	**type**\: list of  		 :py:class:`Working <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working>`
                            
                            .. attribute:: protect
                            
                            	
                            	**type**\: list of  		 :py:class:`Protect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption, self).__init__()

                                self.yang_name = "path-option"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"working" : ("working", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working), "protect" : ("protect", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect)}

                                self.working = YList(self)
                                self.protect = YList(self)
                                self._segment_path = lambda: "path-option"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption, [], name, value)


                            class Working(Entity):
                                """
                                
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: dynamic
                                
                                	Setup based on dynamically calculated path
                                	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: explicit
                                
                                	Setup based on preconfigured path
                                	**type**\:  :py:class:`Explicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit>`
                                
                                .. attribute:: segment_routing
                                
                                	Specify segment\-routing for this pathoption
                                	**type**\:  :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.SegmentRouting>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working, self).__init__()

                                    self.yang_name = "working"
                                    self.yang_parent_name = "path-option"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic), "explicit" : ("explicit", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit), "segment-routing" : ("segment_routing", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.SegmentRouting)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.dynamic = None
                                    self._children_name_map["dynamic"] = "dynamic"
                                    self._children_yang_names.add("dynamic")

                                    self.explicit = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit()
                                    self.explicit.parent = self
                                    self._children_name_map["explicit"] = "explicit"
                                    self._children_yang_names.add("explicit")

                                    self.segment_routing = None
                                    self._children_name_map["segment_routing"] = "segment-routing"
                                    self._children_yang_names.add("segment-routing")
                                    self._segment_path = lambda: "working" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working, ['id'], name, value)


                                class Dynamic(Entity):
                                    """
                                    Setup based on dynamically calculated path
                                    
                                    .. attribute:: segment_routing
                                    
                                    	Specify segment\-routing for this pathoption
                                    	**type**\:  :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: pce
                                    
                                    	Use PCE for path computation
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: address
                                    
                                    	PCE IPv4 address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: verbatim
                                    
                                    	Do not validate links from the ERO object
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: lockdown
                                    
                                    	Not a candidate for reoptimization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sticky
                                    
                                    	Stay on the same path after change in required resources
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: bandwidth
                                    
                                    	Override the bandwidth configured on the tunnel
                                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Bandwidth>`
                                    
                                    .. attribute:: attributes
                                    
                                    	Specify name of LSP attribute list
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic, self).__init__()

                                        self.yang_name = "dynamic"
                                        self.yang_parent_name = "working"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"segment-routing" : ("segment_routing", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting), "bandwidth" : ("bandwidth", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Bandwidth)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.pce = YLeaf(YType.empty, "pce")

                                        self.address = YLeaf(YType.str, "address")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")

                                        self.lockdown = YLeaf(YType.empty, "lockdown")

                                        self.sticky = YLeaf(YType.empty, "sticky")

                                        self.attributes = YLeaf(YType.str, "attributes")

                                        self.segment_routing = None
                                        self._children_name_map["segment_routing"] = "segment-routing"
                                        self._children_yang_names.add("segment-routing")

                                        self.bandwidth = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Bandwidth()
                                        self.bandwidth.parent = self
                                        self._children_name_map["bandwidth"] = "bandwidth"
                                        self._children_yang_names.add("bandwidth")
                                        self._segment_path = lambda: "dynamic"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic, ['pce', 'address', 'verbatim', 'lockdown', 'sticky', 'attributes'], name, value)


                                    class SegmentRouting(Entity):
                                        """
                                        Specify segment\-routing for this pathoption
                                        
                                        .. attribute:: attributes
                                        
                                        	Specify name of LSP attribute list
                                        	**type**\: str
                                        
                                        .. attribute:: lockdown
                                        
                                        	Not a candidate for reoptimization
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: sticky
                                        
                                        	Stay on the same path after change in required resources
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: pce
                                        
                                        	Use PCE for path computation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: address
                                        
                                        	PCE IPv4 address
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: verbatim
                                        
                                        	Do not validate links from the ERO object
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting, self).__init__()

                                            self.yang_name = "segment-routing"
                                            self.yang_parent_name = "dynamic"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.attributes = YLeaf(YType.str, "attributes")

                                            self.lockdown = YLeaf(YType.empty, "lockdown")

                                            self.sticky = YLeaf(YType.empty, "sticky")

                                            self.pce = YLeaf(YType.empty, "pce")

                                            self.address = YLeaf(YType.str, "address")

                                            self.verbatim = YLeaf(YType.empty, "verbatim")
                                            self._segment_path = lambda: "segment-routing"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting, ['attributes', 'lockdown', 'sticky', 'pce', 'address', 'verbatim'], name, value)


                                    class Bandwidth(Entity):
                                        """
                                        Override the bandwidth configured on the tunnel
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Bandwidth requirement\: <0..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sub_pool
                                        
                                        	Tunnel uses sub\-pool bandwidth\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Bandwidth, self).__init__()

                                            self.yang_name = "bandwidth"
                                            self.yang_parent_name = "dynamic"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                            self._segment_path = lambda: "bandwidth"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Bandwidth, ['bandwidth', 'sub_pool'], name, value)


                                class Explicit(Entity):
                                    """
                                    Setup based on preconfigured path
                                    
                                    .. attribute:: identifier
                                    
                                    	Specify an IP explicit path by number\: <1..65535>
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: name
                                    
                                    	Specify an IP explicit path by name
                                    	**type**\: str
                                    
                                    .. attribute:: segment_routing
                                    
                                    	Specify segment\-routing for this pathoption
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verbatim
                                    
                                    	Send out path as is, with no checking
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: attributes
                                    
                                    	Specify name of LSP attribute list
                                    	**type**\: str
                                    
                                    .. attribute:: lockdown
                                    
                                    	Not a candidate for reoptimization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sticky
                                    
                                    	Stay on the same path after change in required resources
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: bandwidth
                                    
                                    	Override the bandwidth configured on the tunnel
                                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Bandwidth>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit, self).__init__()

                                        self.yang_name = "explicit"
                                        self.yang_parent_name = "working"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Bandwidth)}
                                        self._child_list_classes = {}

                                        self.identifier = YLeaf(YType.uint16, "identifier")

                                        self.name = YLeaf(YType.str, "name")

                                        self.segment_routing = YLeaf(YType.empty, "segment-routing")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")

                                        self.attributes = YLeaf(YType.str, "attributes")

                                        self.lockdown = YLeaf(YType.empty, "lockdown")

                                        self.sticky = YLeaf(YType.empty, "sticky")

                                        self.bandwidth = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Bandwidth()
                                        self.bandwidth.parent = self
                                        self._children_name_map["bandwidth"] = "bandwidth"
                                        self._children_yang_names.add("bandwidth")
                                        self._segment_path = lambda: "explicit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit, ['identifier', 'name', 'segment_routing', 'verbatim', 'attributes', 'lockdown', 'sticky'], name, value)


                                    class Bandwidth(Entity):
                                        """
                                        Override the bandwidth configured on the tunnel
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Bandwidth requirement\: <0..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sub_pool
                                        
                                        	Tunnel uses sub\-pool bandwidth\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Bandwidth, self).__init__()

                                            self.yang_name = "bandwidth"
                                            self.yang_parent_name = "explicit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                            self._segment_path = lambda: "bandwidth"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Bandwidth, ['bandwidth', 'sub_pool'], name, value)


                                class SegmentRouting(Entity):
                                    """
                                    Specify segment\-routing for this pathoption
                                    
                                    .. attribute:: lockdown
                                    
                                    	Not a candidate for reoptimization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sticky
                                    
                                    	Stay on the same path after change in required resources
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.SegmentRouting, self).__init__()

                                        self.yang_name = "segment-routing"
                                        self.yang_parent_name = "working"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.lockdown = YLeaf(YType.empty, "lockdown")

                                        self.sticky = YLeaf(YType.empty, "sticky")
                                        self._segment_path = lambda: "segment-routing"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working.SegmentRouting, ['lockdown', 'sticky'], name, value)


                            class Protect(Entity):
                                """
                                
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**refers to**\:  :py:class:`id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Working>`
                                
                                .. attribute:: diverse
                                
                                	Setup based on dynamically calculated diverse path
                                	**type**\:  :py:class:`Diverse <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse>`
                                
                                .. attribute:: explicit
                                
                                	Setup based on preconfigured path
                                	**type**\:  :py:class:`Explicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit>`
                                
                                .. attribute:: list
                                
                                	A list of backup paths
                                	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.List>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect, self).__init__()

                                    self.yang_name = "protect"
                                    self.yang_parent_name = "path-option"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"diverse" : ("diverse", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse), "explicit" : ("explicit", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit), "list" : ("list", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.List)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.diverse = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse()
                                    self.diverse.parent = self
                                    self._children_name_map["diverse"] = "diverse"
                                    self._children_yang_names.add("diverse")

                                    self.explicit = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit()
                                    self.explicit.parent = self
                                    self._children_name_map["explicit"] = "explicit"
                                    self._children_yang_names.add("explicit")

                                    self.list = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.List()
                                    self.list.parent = self
                                    self._children_name_map["list"] = "list"
                                    self._children_yang_names.add("list")
                                    self._segment_path = lambda: "protect" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect, ['id'], name, value)


                                class Diverse(Entity):
                                    """
                                    Setup based on dynamically calculated diverse path
                                    
                                    .. attribute:: node
                                    
                                    	Use at least node diverse path
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: srlg
                                    
                                    	Use at least srlg diverse path
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: segment_routing
                                    
                                    	Specify segment\-routing for this pathoption
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: non_revertive
                                    
                                    	Diverse non\-revertive
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: pce
                                    
                                    	Use PCE for path computation
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: address
                                    
                                    	PCE IPv4 address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: verbatim
                                    
                                    	Do not validate links from the ERO object
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: lockdown
                                    
                                    	Not a candidate for reoptimization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: attributes
                                    
                                    	Specify name of LSP attribute list
                                    	**type**\: str
                                    
                                    .. attribute:: bandwidth
                                    
                                    	Override the bandwidth configured on the tunnel
                                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse.Bandwidth>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse, self).__init__()

                                        self.yang_name = "diverse"
                                        self.yang_parent_name = "protect"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse.Bandwidth)}
                                        self._child_list_classes = {}

                                        self.node = YLeaf(YType.empty, "node")

                                        self.srlg = YLeaf(YType.empty, "srlg")

                                        self.segment_routing = YLeaf(YType.empty, "segment-routing")

                                        self.non_revertive = YLeaf(YType.empty, "non-revertive")

                                        self.pce = YLeaf(YType.empty, "pce")

                                        self.address = YLeaf(YType.str, "address")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")

                                        self.lockdown = YLeaf(YType.empty, "lockdown")

                                        self.attributes = YLeaf(YType.str, "attributes")

                                        self.bandwidth = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse.Bandwidth()
                                        self.bandwidth.parent = self
                                        self._children_name_map["bandwidth"] = "bandwidth"
                                        self._children_yang_names.add("bandwidth")
                                        self._segment_path = lambda: "diverse"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse, ['node', 'srlg', 'segment_routing', 'non_revertive', 'pce', 'address', 'verbatim', 'lockdown', 'attributes'], name, value)


                                    class Bandwidth(Entity):
                                        """
                                        Override the bandwidth configured on the tunnel
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Bandwidth requirement\: <0..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sub_pool
                                        
                                        	Tunnel uses sub\-pool bandwidth\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse.Bandwidth, self).__init__()

                                            self.yang_name = "bandwidth"
                                            self.yang_parent_name = "diverse"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                            self._segment_path = lambda: "bandwidth"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse.Bandwidth, ['bandwidth', 'sub_pool'], name, value)


                                class Explicit(Entity):
                                    """
                                    Setup based on preconfigured path
                                    
                                    .. attribute:: identifier
                                    
                                    	Specify an IP explicit path by number\: <1..65535>
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: name
                                    
                                    	Specify an IP explicit path by name
                                    	**type**\: str
                                    
                                    .. attribute:: segment_routing
                                    
                                    	Specify segment\-routing for this pathoption
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: non_revertive
                                    
                                    	Diverse non\-revertive
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verbatim
                                    
                                    	Send out path as is, with no checking
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: attributes
                                    
                                    	Specify name of LSP attribute list
                                    	**type**\: str
                                    
                                    .. attribute:: bandwidth
                                    
                                    	Override the bandwidth configured on the tunnel
                                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit.Bandwidth>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit, self).__init__()

                                        self.yang_name = "explicit"
                                        self.yang_parent_name = "protect"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit.Bandwidth)}
                                        self._child_list_classes = {}

                                        self.identifier = YLeaf(YType.uint16, "identifier")

                                        self.name = YLeaf(YType.str, "name")

                                        self.segment_routing = YLeaf(YType.empty, "segment-routing")

                                        self.non_revertive = YLeaf(YType.empty, "non-revertive")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")

                                        self.attributes = YLeaf(YType.str, "attributes")

                                        self.bandwidth = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit.Bandwidth()
                                        self.bandwidth.parent = self
                                        self._children_name_map["bandwidth"] = "bandwidth"
                                        self._children_yang_names.add("bandwidth")
                                        self._segment_path = lambda: "explicit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit, ['identifier', 'name', 'segment_routing', 'non_revertive', 'verbatim', 'attributes'], name, value)


                                    class Bandwidth(Entity):
                                        """
                                        Override the bandwidth configured on the tunnel
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Bandwidth requirement\: <0..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sub_pool
                                        
                                        	Tunnel uses sub\-pool bandwidth\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit.Bandwidth, self).__init__()

                                            self.yang_name = "bandwidth"
                                            self.yang_parent_name = "explicit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                            self._segment_path = lambda: "bandwidth"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit.Bandwidth, ['bandwidth', 'sub_pool'], name, value)


                                class List(Entity):
                                    """
                                    A list of backup paths
                                    
                                    .. attribute:: identifier
                                    
                                    	Specify an IP explicit path by number\: <1..65535>
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: name
                                    
                                    	Specify an IP explicit path by name
                                    	**type**\: str
                                    
                                    .. attribute:: segment_routing
                                    
                                    	Specify segment\-routing for this pathoption
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: non_revertive
                                    
                                    	Make the protect path non\-revertive
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: attributes
                                    
                                    	Specify name of LSP attribute list
                                    	**type**\: str
                                    
                                    .. attribute:: bandwidth
                                    
                                    	Override the bandwidth configured on the tunnel
                                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.List.Bandwidth>`
                                    
                                    .. attribute:: pce
                                    
                                    	Use PCE for path computation
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: address
                                    
                                    	PCE IPv4 address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: verbatim
                                    
                                    	Do not validate links from the ERO object
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.List, self).__init__()

                                        self.yang_name = "list"
                                        self.yang_parent_name = "protect"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.List.Bandwidth)}
                                        self._child_list_classes = {}

                                        self.identifier = YLeaf(YType.uint16, "identifier")

                                        self.name = YLeaf(YType.str, "name")

                                        self.segment_routing = YLeaf(YType.empty, "segment-routing")

                                        self.non_revertive = YLeaf(YType.empty, "non-revertive")

                                        self.attributes = YLeaf(YType.str, "attributes")

                                        self.pce = YLeaf(YType.empty, "pce")

                                        self.address = YLeaf(YType.str, "address")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")

                                        self.bandwidth = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.List.Bandwidth()
                                        self.bandwidth.parent = self
                                        self._children_name_map["bandwidth"] = "bandwidth"
                                        self._children_yang_names.add("bandwidth")
                                        self._segment_path = lambda: "list"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.List, ['identifier', 'name', 'segment_routing', 'non_revertive', 'attributes', 'pce', 'address', 'verbatim'], name, value)


                                    class Bandwidth(Entity):
                                        """
                                        Override the bandwidth configured on the tunnel
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Bandwidth requirement\: <0..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sub_pool
                                        
                                        	Tunnel uses sub\-pool bandwidth\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.List.Bandwidth, self).__init__()

                                            self.yang_name = "bandwidth"
                                            self.yang_parent_name = "list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                            self._segment_path = lambda: "bandwidth"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathOption.Protect.List.Bandwidth, ['bandwidth', 'sub_pool'], name, value)


                        class PathSelection(Entity):
                            """
                            Path Selection Configuration
                            
                            .. attribute:: metric
                            
                            	Metric Type Configuration\: < te \| igp >
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection.Metric>`
                            
                            .. attribute:: invalidation
                            
                            	Path invalidation configuration
                            	**type**\:  :py:class:`Invalidation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation>`
                            
                            .. attribute:: segment_routing
                            
                            	Segment\-routing path\-selection options
                            	**type**\:  :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting>`
                            
                            .. attribute:: cost_limit
                            
                            	Cost Limit Configuration\: <1..4294967295>
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: hop_limit
                            
                            	Cost Limit Configuration\: <1..255>
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: tiebreaker
                            
                            	Tiebreaker Configuration\: < max\-fill \| min\-fill \| random >
                            	**type**\:  :py:class:`MplsTeTiebreakerType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.MplsTeTiebreakerType>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection, self).__init__()

                                self.yang_name = "path-selection"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"invalidation" : ("invalidation", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation), "segment-routing" : ("segment_routing", Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting)}
                                self._child_list_classes = {}

                                self.metric = YLeaf(YType.enumeration, "metric")

                                self.cost_limit = YLeaf(YType.uint32, "cost-limit")

                                self.hop_limit = YLeaf(YType.uint8, "hop-limit")

                                self.tiebreaker = YLeaf(YType.enumeration, "tiebreaker")

                                self.invalidation = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation()
                                self.invalidation.parent = self
                                self._children_name_map["invalidation"] = "invalidation"
                                self._children_yang_names.add("invalidation")

                                self.segment_routing = Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting()
                                self.segment_routing.parent = self
                                self._children_name_map["segment_routing"] = "segment-routing"
                                self._children_yang_names.add("segment-routing")
                                self._segment_path = lambda: "path-selection"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection, ['metric', 'cost_limit', 'hop_limit', 'tiebreaker'], name, value)

                            class Metric(Enum):
                                """
                                Metric

                                Metric Type Configuration\: < te \| igp >

                                .. data:: igp = 0

                                .. data:: te = 1

                                """

                                igp = Enum.YLeaf(0, "igp")

                                te = Enum.YLeaf(1, "te")



                            class Invalidation(Entity):
                                """
                                Path invalidation configuration
                                
                                .. attribute:: value
                                
                                	Path invalidation timer value\: <0..60000> milliseconds, (default 10000)
                                	**type**\: int
                                
                                	**range:** 0..60000
                                
                                .. attribute:: drop
                                
                                	Drop Tunnel Traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation, self).__init__()

                                    self.yang_name = "invalidation"
                                    self.yang_parent_name = "path-selection"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.value = YLeaf(YType.int32, "value")

                                    self.drop = YLeaf(YType.empty, "drop")
                                    self._segment_path = lambda: "invalidation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation, ['value', 'drop'], name, value)


                            class SegmentRouting(Entity):
                                """
                                Segment\-routing path\-selection options
                                
                                .. attribute:: adjacency
                                
                                	Segment\-routing adjacency path\-selection type
                                	**type**\:  :py:class:`Adjacency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting, self).__init__()

                                    self.yang_name = "segment-routing"
                                    self.yang_parent_name = "path-selection"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.adjacency = YLeaf(YType.enumeration, "adjacency")
                                    self._segment_path = lambda: "segment-routing"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting, ['adjacency'], name, value)

                                class Adjacency(Enum):
                                    """
                                    Adjacency

                                    Segment\-routing adjacency path\-selection type

                                    .. data:: protected = 0

                                    .. data:: unprotected = 1

                                    """

                                    protected = Enum.YLeaf(0, "protected")

                                    unprotected = Enum.YLeaf(1, "unprotected")



                        class Priority(Entity):
                            """
                            Tunnel priority
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority\: <0..7>
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            	**mandatory**\: True
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority\: <0..7>
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Priority, self).__init__()

                                self.yang_name = "priority"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.setup_priority = YLeaf(YType.uint8, "setup-priority")

                                self.hold_priority = YLeaf(YType.uint8, "hold-priority")
                                self._segment_path = lambda: "priority"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.Priority, ['setup_priority', 'hold_priority'], name, value)


                        class RecordRoute(Entity):
                            """
                            record the route used by the tunnel
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Tunnel.Mpls.TrafficEng.RecordRoute, self).__init__()

                                self.yang_name = "record-route"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "record-route"


                class Rbscp(Entity):
                    """
                    Set tunnel RBSCP parameters
                    
                    .. attribute:: ack_split
                    
                    	ACK splitting
                    	**type**\: int
                    
                    	**range:** 1..32
                    
                    .. attribute:: delay
                    
                    	enable delay
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: input_drop
                    
                    	max tunnel queue size (number of bw\*delay)
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: long_drop
                    
                    	Drop non\-transmitted packets w/excessive delay
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: report
                    
                    	enable SCTP report chunk
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: window_stuff
                    
                    	Window stuffing
                    	**type**\: int
                    
                    	**range:** 1..20
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.Rbscp, self).__init__()

                        self.yang_name = "rbscp"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ack_split = YLeaf(YType.uint8, "ack-split")

                        self.delay = YLeaf(YType.empty, "delay")

                        self.input_drop = YLeaf(YType.uint8, "input-drop")

                        self.long_drop = YLeaf(YType.empty, "long-drop")

                        self.report = YLeaf(YType.empty, "report")

                        self.window_stuff = YLeaf(YType.uint8, "window-stuff")
                        self._segment_path = lambda: "rbscp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Rbscp, ['ack_split', 'delay', 'input_drop', 'long_drop', 'report', 'window_stuff'], name, value)


                class SrcPort(Entity):
                    """
                    tunnel source port
                    
                    .. attribute:: port_num
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: dynamic
                    
                    	Set Source Port Dynamically
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.SrcPort, self).__init__()

                        self.yang_name = "src-port"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_num = YLeaf(YType.uint16, "port-num")

                        self.dynamic = YLeaf(YType.empty, "dynamic")
                        self._segment_path = lambda: "src-port"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.SrcPort, ['port_num', 'dynamic'], name, value)


                class Udlr(Entity):
                    """
                    associate tunnel with unidirectional interface
                    
                    .. attribute:: address_resolution
                    
                    	Enable ARP and NHRP over a UDLR Tunnel
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: receive_only
                    
                    	Tunnel is receive\-only capable
                    	**type**\: str
                    
                    .. attribute:: send_only
                    
                    	Tunnel is send\-only capable
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.Udlr, self).__init__()

                        self.yang_name = "udlr"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address_resolution = YLeaf(YType.empty, "address-resolution")

                        self.receive_only = YLeaf(YType.str, "receive-only")

                        self.send_only = YLeaf(YType.str, "send-only")
                        self._segment_path = lambda: "udlr"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Udlr, ['address_resolution', 'receive_only', 'send_only'], name, value)


                class Vlan(Entity):
                    """
                    Set vlan\-id for ethernet over gre mode
                    
                    .. attribute:: id1
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: hyphen
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: id2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Tunnel.Vlan, self).__init__()

                        self.yang_name = "vlan"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id1 = YLeaf(YType.uint16, "id1")

                        self.hyphen = YLeaf(YType.empty, "hyphen")

                        self.id2 = YLeaf(YType.uint16, "id2")
                        self._segment_path = lambda: "vlan"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Tunnel.Vlan, ['id1', 'hyphen', 'id2'], name, value)


            class Crypto(Entity):
                """
                Encryption/Decryption commands
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Crypto.Map>`
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Crypto.Ipsec>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Interface.Tunnel.Crypto, self).__init__()

                    self.yang_name = "crypto"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"map" : ("map", Native.Interface.Tunnel.Crypto.Map), "ipsec" : ("ipsec", Native.Interface.Tunnel.Crypto.Ipsec)}
                    self._child_list_classes = {}

                    self.map = Native.Interface.Tunnel.Crypto.Map()
                    self.map.parent = self
                    self._children_name_map["map"] = "map"
                    self._children_yang_names.add("map")

                    self.ipsec = Native.Interface.Tunnel.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self._children_name_map["ipsec"] = "ipsec"
                    self._children_yang_names.add("ipsec")
                    self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"


                class Map(Entity):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\: str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Crypto.Map, self).__init__()

                        self.yang_name = "map"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.str, "tag")

                        self.redundancy = YLeaf(YType.str, "redundancy")

                        self.stateful = YLeaf(YType.empty, "stateful")
                        self._segment_path = lambda: "map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Crypto.Map, ['tag', 'redundancy', 'stateful'], name, value)


                class Ipsec(Entity):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:  :py:class:`DfBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Crypto.Ipsec.DfBit>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Crypto.Ipsec.Fragmentation>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Crypto.Ipsec, self).__init__()

                        self.yang_name = "ipsec"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.df_bit = YLeaf(YType.enumeration, "df-bit")

                        self.fragmentation = YLeaf(YType.enumeration, "fragmentation")
                        self._segment_path = lambda: "ipsec"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Crypto.Ipsec, ['df_bit', 'fragmentation'], name, value)

                    class DfBit(Enum):
                        """
                        DfBit

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = Enum.YLeaf(0, "clear")

                        copy = Enum.YLeaf(1, "copy")

                        set = Enum.YLeaf(2, "set")


                    class Fragmentation(Enum):
                        """
                        Fragmentation

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = Enum.YLeaf(0, "after-encryption")

                        before_encryption = Enum.YLeaf(1, "before-encryption")



            class Cts(Entity):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:  :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual>`
                
                	**presence node**\: True
                
                .. attribute:: role_based
                
                	Role\-based Access Control per\-port config commands
                	**type**\:  :py:class:`RoleBased <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.RoleBased>`
                
                .. attribute:: sgt
                
                	SGT command options
                	**type**\:  :py:class:`Sgt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Sgt>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Interface.Tunnel.Cts, self).__init__()

                    self.yang_name = "cts"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"manual" : ("manual", Native.Interface.Tunnel.Cts.Manual), "role-based" : ("role_based", Native.Interface.Tunnel.Cts.RoleBased)}
                    self._child_list_classes = {}

                    self.sgt = YLeaf(YType.enumeration, "sgt")

                    self.manual = None
                    self._children_name_map["manual"] = "manual"
                    self._children_yang_names.add("manual")

                    self.role_based = Native.Interface.Tunnel.Cts.RoleBased()
                    self.role_based.parent = self
                    self._children_name_map["role_based"] = "role-based"
                    self._children_yang_names.add("role-based")
                    self._segment_path = lambda: "Cisco-IOS-XE-cts:cts"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Cts, ['sgt'], name, value)

                class Sgt(Enum):
                    """
                    Sgt

                    SGT command options

                    .. data:: inline = 0

                    """

                    inline = Enum.YLeaf(0, "inline")



                class Manual(Entity):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Policy>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:  :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:  :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Propagate>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Cts.Manual, self).__init__()

                        self.yang_name = "manual"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"policy" : ("policy", Native.Interface.Tunnel.Cts.Manual.Policy), "sap" : ("sap", Native.Interface.Tunnel.Cts.Manual.Sap), "propagate" : ("propagate", Native.Interface.Tunnel.Cts.Manual.Propagate)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.policy = Native.Interface.Tunnel.Cts.Manual.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.sap = Native.Interface.Tunnel.Cts.Manual.Sap()
                        self.sap.parent = self
                        self._children_name_map["sap"] = "sap"
                        self._children_yang_names.add("sap")

                        self.propagate = Native.Interface.Tunnel.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self._children_name_map["propagate"] = "propagate"
                        self._children_yang_names.add("propagate")
                        self._segment_path = lambda: "manual"


                    class Policy(Entity):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Cts.Manual.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"static" : ("static", Native.Interface.Tunnel.Cts.Manual.Policy.Static)}
                            self._child_list_classes = {}

                            self.static = Native.Interface.Tunnel.Cts.Manual.Policy.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")
                            self._segment_path = lambda: "policy"


                        class Static(Entity):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted  incoming traffic
                            	**type**\: int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for  sending
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Cts.Manual.Policy.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sgt = YLeaf(YType.uint16, "sgt")

                                self.trusted = YLeaf(YType.empty, "trusted")
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Cts.Manual.Policy.Static, ['sgt', 'trusted'], name, value)


                    class Sap(Entity):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of  		 :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Cts.Manual.Sap, self).__init__()

                            self.yang_name = "sap"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"pmk" : ("pmk", Native.Interface.Tunnel.Cts.Manual.Sap.Pmk)}

                            self.pmk = YList(self)
                            self._segment_path = lambda: "sap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Cts.Manual.Sap, [], name, value)


                        class Pmk(Entity):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:  :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Cts.Manual.Sap.Pmk, self).__init__()

                                self.yang_name = "pmk"
                                self.yang_parent_name = "sap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode-list" : ("mode_list", Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList)}
                                self._child_list_classes = {}

                                self.word = YLeaf(YType.str, "word")

                                self.mode_list = Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self
                                self._children_name_map["mode_list"] = "mode-list"
                                self._children_yang_names.add("mode-list")
                                self._segment_path = lambda: "pmk" + "[word='" + self.word.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Cts.Manual.Sap.Pmk, ['word'], name, value)


                            class ModeList(Entity):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:  :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:  :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-06-29'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList, self).__init__()

                                    self.yang_name = "mode-list"
                                    self.yang_parent_name = "pmk"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"gcm-encrypt" : ("gcm_encrypt", Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt), "no-encap" : ("no_encap", Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap)}
                                    self._child_list_classes = {}

                                    self.gcm_encrypt = None
                                    self._children_name_map["gcm_encrypt"] = "gcm-encrypt"
                                    self._children_yang_names.add("gcm-encrypt")

                                    self.no_encap = None
                                    self._children_name_map["no_encap"] = "no-encap"
                                    self._children_yang_names.add("no-encap")
                                    self._segment_path = lambda: "mode-list"


                                class GcmEncrypt(Entity):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt, self).__init__()

                                        self.yang_name = "gcm-encrypt"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "gcm-encrypt"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,  no encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "gcm-encrypt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.null = YLeaf(YType.empty, "null")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, ['null'], name, value)


                                class NoEncap(Entity):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap, self).__init__()

                                        self.yang_name = "no-encap"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "no-encap"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "no-encap"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.gcm_encrypt = YLeaf(YType.empty, "gcm-encrypt")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, ['gcm_encrypt'], name, value)


                    class Propagate(Entity):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Cts.Manual.Propagate, self).__init__()

                            self.yang_name = "propagate"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sgt = YLeaf(YType.boolean, "sgt")
                            self._segment_path = lambda: "propagate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Cts.Manual.Propagate, ['sgt'], name, value)


                class RoleBased(Entity):
                    """
                    Role\-based Access Control per\-port config commands
                    
                    .. attribute:: sgt_cache
                    
                    	Enable SGT caching on the interface
                    	**type**\: list of   :py:class:`SgtCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.RoleBased.SgtCache>`
                    
                    .. attribute:: enforcement
                    
                    	Enable Role\-based Access Control enforcement
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sgt_map
                    
                    	Assign Security Group Tag (SGT) to IP host or network address
                    	**type**\:  :py:class:`SgtMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Cts.RoleBased.SgtMap>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Cts.RoleBased, self).__init__()

                        self.yang_name = "role-based"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"sgt-map" : ("sgt_map", Native.Interface.Tunnel.Cts.RoleBased.SgtMap)}
                        self._child_list_classes = {}

                        self.sgt_cache = YLeafList(YType.enumeration, "sgt-cache")

                        self.enforcement = YLeaf(YType.empty, "enforcement")

                        self.sgt_map = Native.Interface.Tunnel.Cts.RoleBased.SgtMap()
                        self.sgt_map.parent = self
                        self._children_name_map["sgt_map"] = "sgt-map"
                        self._children_yang_names.add("sgt-map")
                        self._segment_path = lambda: "role-based"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Cts.RoleBased, ['sgt_cache', 'enforcement'], name, value)

                    class SgtCache(Enum):
                        """
                        SgtCache

                        Enable SGT caching on the interface

                        .. data:: egress = 0

                        .. data:: ingress = 1

                        """

                        egress = Enum.YLeaf(0, "egress")

                        ingress = Enum.YLeaf(1, "ingress")



                    class SgtMap(Entity):
                        """
                        Assign Security Group Tag (SGT) to IP host or network address
                        
                        .. attribute:: security_group
                        
                        	Security Group Name
                        	**type**\: str
                        
                        .. attribute:: sgt
                        
                        	Security Group Tag (SGT)
                        	**type**\: int
                        
                        	**range:** 2..65519
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Cts.RoleBased.SgtMap, self).__init__()

                            self.yang_name = "sgt-map"
                            self.yang_parent_name = "role-based"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.security_group = YLeaf(YType.str, "security-group")

                            self.sgt = YLeaf(YType.uint16, "sgt")
                            self._segment_path = lambda: "sgt-map"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Cts.RoleBased.SgtMap, ['security_group', 'sgt'], name, value)


            class Performance(Entity):
                """
                Global performance monitor configuration
                
                .. attribute:: monitor
                
                	monitor
                	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Performance.Monitor>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Tunnel.Performance, self).__init__()

                    self.yang_name = "performance"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"monitor" : ("monitor", Native.Interface.Tunnel.Performance.Monitor)}
                    self._child_list_classes = {}

                    self.monitor = Native.Interface.Tunnel.Performance.Monitor()
                    self.monitor.parent = self
                    self._children_name_map["monitor"] = "monitor"
                    self._children_yang_names.add("monitor")
                    self._segment_path = lambda: "Cisco-IOS-XE-ezpm:performance"


                class Monitor(Entity):
                    """
                    monitor
                    
                    .. attribute:: context
                    
                    	Select ezPM context
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Performance.Monitor, self).__init__()

                        self.yang_name = "monitor"
                        self.yang_parent_name = "performance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.context = YLeafList(YType.str, "context")
                        self._segment_path = lambda: "monitor"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Performance.Monitor, ['context'], name, value)


            class ServicePolicy(Entity):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\: str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\: str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Interface.Tunnel.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.Interface.Tunnel.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.history = YLeaf(YType.empty, "history")

                    self.input = YLeaf(YType.str, "input")

                    self.output = YLeaf(YType.str, "output")

                    self.type = Native.Interface.Tunnel.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.ServicePolicy, ['history', 'input', 'output'], name, value)


                class Type(Entity):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Interface.Tunnel.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"control" : ("control", Native.Interface.Tunnel.ServicePolicy.Type.Control), "performance-monitor" : ("performance_monitor", Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor), "service-chain" : ("service_chain", Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain)}
                        self._child_list_classes = {}

                        self.control = Native.Interface.Tunnel.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self._children_name_map["control"] = "control"
                        self._children_yang_names.add("control")

                        self.performance_monitor = Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.service_chain = Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self
                        self._children_name_map["service_chain"] = "service-chain"
                        self._children_yang_names.add("service-chain")
                        self._segment_path = lambda: "type"


                    class Control(Entity):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Tunnel.ServicePolicy.Type.Control, self).__init__()

                            self.yang_name = "control"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.subscriber = YLeaf(YType.str, "subscriber")
                            self._segment_path = lambda: "control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.ServicePolicy.Type.Control, ['subscriber'], name, value)


                    class PerformanceMonitor(Entity):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor.Direction>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "performance-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.ServicePolicy.Type.PerformanceMonitor, ['direction', 'name'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



                    class ServiceChain(Entity):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain, self).__init__()

                            self.yang_name = "service-chain"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Input), "output" : ("output", Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Output)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "service-chain"


                        class Input(Entity):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.ServicePolicy.Type.ServiceChain.Output, ['name'], name, value)


            class Lisp(Entity):
                """
                Locator/ID Separation Protocol
                
                .. attribute:: extended_subnet_mode
                
                	Configures to enable extended subnet mode on the interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobility
                
                	Configures to allow EID mobility on interface
                	**type**\:  :py:class:`Mobility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Lisp.Mobility>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Interface.Tunnel.Lisp, self).__init__()

                    self.yang_name = "lisp"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"mobility" : ("mobility", Native.Interface.Tunnel.Lisp.Mobility)}
                    self._child_list_classes = {}

                    self.extended_subnet_mode = YLeaf(YType.empty, "extended-subnet-mode")

                    self.mobility = Native.Interface.Tunnel.Lisp.Mobility()
                    self.mobility.parent = self
                    self._children_name_map["mobility"] = "mobility"
                    self._children_yang_names.add("mobility")
                    self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Lisp, ['extended_subnet_mode'], name, value)


                class Mobility(Entity):
                    """
                    Configures to allow EID mobility on interface
                    
                    .. attribute:: dynamic_eid
                    
                    	
                    	**type**\:  :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Lisp.Mobility.DynamicEid>`
                    
                    .. attribute:: discover
                    
                    	Configure mobility dynamic EID discover settings
                    	**type**\:  :py:class:`Discover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Lisp.Mobility.Discover>`
                    
                    .. attribute:: liveness
                    
                    	Configure mobility liveness settings
                    	**type**\:  :py:class:`Liveness <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Lisp.Mobility.Liveness>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Lisp.Mobility, self).__init__()

                        self.yang_name = "mobility"
                        self.yang_parent_name = "lisp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dynamic-eid" : ("dynamic_eid", Native.Interface.Tunnel.Lisp.Mobility.DynamicEid), "discover" : ("discover", Native.Interface.Tunnel.Lisp.Mobility.Discover), "liveness" : ("liveness", Native.Interface.Tunnel.Lisp.Mobility.Liveness)}
                        self._child_list_classes = {}

                        self.dynamic_eid = Native.Interface.Tunnel.Lisp.Mobility.DynamicEid()
                        self.dynamic_eid.parent = self
                        self._children_name_map["dynamic_eid"] = "dynamic-eid"
                        self._children_yang_names.add("dynamic-eid")

                        self.discover = Native.Interface.Tunnel.Lisp.Mobility.Discover()
                        self.discover.parent = self
                        self._children_name_map["discover"] = "discover"
                        self._children_yang_names.add("discover")

                        self.liveness = Native.Interface.Tunnel.Lisp.Mobility.Liveness()
                        self.liveness.parent = self
                        self._children_name_map["liveness"] = "liveness"
                        self._children_yang_names.add("liveness")
                        self._segment_path = lambda: "mobility"


                    class DynamicEid(Entity):
                        """
                        
                        
                        .. attribute:: dynamic_eid_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: nbr_proxy_reply
                        
                        	Neighbor proxy reply behavior for dynamic EID group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: requests
                        
                        	Send neighbor proxy reply after reaching request threshold
                        	**type**\: int
                        
                        	**range:** 0..5
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Lisp.Mobility.DynamicEid, self).__init__()

                            self.yang_name = "dynamic-eid"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dynamic_eid_name = YLeaf(YType.str, "dynamic-eid-name")

                            self.nbr_proxy_reply = YLeaf(YType.empty, "nbr-proxy-reply")

                            self.requests = YLeaf(YType.uint8, "requests")
                            self._segment_path = lambda: "dynamic-eid"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Lisp.Mobility.DynamicEid, ['dynamic_eid_name', 'nbr_proxy_reply', 'requests'], name, value)


                    class Discover(Entity):
                        """
                        Configure mobility dynamic EID discover settings
                        
                        .. attribute:: arp
                        
                        	Dynamic EID discover through ARP events on this interface
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Lisp.Mobility.Discover, self).__init__()

                            self.yang_name = "discover"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.arp = YLeaf(YType.boolean, "arp")
                            self._segment_path = lambda: "discover"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Lisp.Mobility.Discover, ['arp'], name, value)


                    class Liveness(Entity):
                        """
                        Configure mobility liveness settings
                        
                        .. attribute:: test
                        
                        	Perform liveness test on dynamic\-EID discovered on this interface
                        	**type**\: bool
                        
                        .. attribute:: ttl
                        
                        	Configures the TTL in the liveness test packet
                        	**type**\: int
                        
                        	**range:** 2..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Lisp.Mobility.Liveness, self).__init__()

                            self.yang_name = "liveness"
                            self.yang_parent_name = "mobility"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.test = YLeaf(YType.boolean, "test")

                            self.ttl = YLeaf(YType.uint8, "ttl")
                            self._segment_path = lambda: "liveness"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Lisp.Mobility.Liveness, ['test', 'ttl'], name, value)


            class Ospfv3(Entity):
                """
                OSPFv3 interface commands
                
                .. attribute:: process_id
                
                	
                	**type**\: list of  		 :py:class:`ProcessId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId>`
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication>`
                
                .. attribute:: bfd
                
                	Enable BFD on this interface
                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Bfd>`
                
                	**presence node**\: True
                
                .. attribute:: cost
                
                	Route cost of this interface
                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost>`
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding
                	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.DatabaseFilter>`
                
                .. attribute:: dead_interval
                
                	Interval after which a neighbor is declared dead
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: demand_circuit
                
                	OSPF Demand Circuit
                	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.DemandCircuit>`
                
                	**presence node**\: True
                
                .. attribute:: encryption
                
                	Enable encryption
                	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption>`
                
                .. attribute:: flood_reduction
                
                	OSPF Flood Reduction
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hello_interval
                
                	Time between HELLO packets
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: manet
                
                	Mobile Adhoc Networking options
                	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Manet>`
                
                .. attribute:: mtu_ignore
                
                	Ignores the MTU in DBD packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: multi_area
                
                	Set the OSPF multi\-area ID
                	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.MultiArea>`
                
                .. attribute:: neighbor
                
                	OSPF neighbor
                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Neighbor>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Network>`
                
                .. attribute:: prefix_suppression
                
                	OSPF prefix suppression
                	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.PrefixSuppression>`
                
                	**presence node**\: True
                
                .. attribute:: priority
                
                	Router priority
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: retransmit_interval
                
                	Time between retransmitting lost link state advertisements
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Shut down the interface in OSPFv3
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transmit_delay
                
                	Link state transmit delay
                	**type**\: int
                
                	**range:** 1..65535
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Interface.Tunnel.Ospfv3, self).__init__()

                    self.yang_name = "ospfv3"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Tunnel.Ospfv3.Authentication), "bfd" : ("bfd", Native.Interface.Tunnel.Ospfv3.Bfd), "cost" : ("cost", Native.Interface.Tunnel.Ospfv3.Cost), "database-filter" : ("database_filter", Native.Interface.Tunnel.Ospfv3.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.Tunnel.Ospfv3.DemandCircuit), "encryption" : ("encryption", Native.Interface.Tunnel.Ospfv3.Encryption), "manet" : ("manet", Native.Interface.Tunnel.Ospfv3.Manet), "multi-area" : ("multi_area", Native.Interface.Tunnel.Ospfv3.MultiArea), "network" : ("network", Native.Interface.Tunnel.Ospfv3.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.Tunnel.Ospfv3.PrefixSuppression)}
                    self._child_list_classes = {"process-id" : ("process_id", Native.Interface.Tunnel.Ospfv3.ProcessId), "neighbor" : ("neighbor", Native.Interface.Tunnel.Ospfv3.Neighbor)}

                    self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                    self.flood_reduction = YLeaf(YType.empty, "flood-reduction")

                    self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                    self.mtu_ignore = YLeaf(YType.empty, "mtu-ignore")

                    self.priority = YLeaf(YType.uint8, "priority")

                    self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                    self.shutdown = YLeaf(YType.empty, "shutdown")

                    self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                    self.authentication = Native.Interface.Tunnel.Ospfv3.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.bfd = None
                    self._children_name_map["bfd"] = "bfd"
                    self._children_yang_names.add("bfd")

                    self.cost = Native.Interface.Tunnel.Ospfv3.Cost()
                    self.cost.parent = self
                    self._children_name_map["cost"] = "cost"
                    self._children_yang_names.add("cost")

                    self.database_filter = Native.Interface.Tunnel.Ospfv3.DatabaseFilter()
                    self.database_filter.parent = self
                    self._children_name_map["database_filter"] = "database-filter"
                    self._children_yang_names.add("database-filter")

                    self.demand_circuit = None
                    self._children_name_map["demand_circuit"] = "demand-circuit"
                    self._children_yang_names.add("demand-circuit")

                    self.encryption = Native.Interface.Tunnel.Ospfv3.Encryption()
                    self.encryption.parent = self
                    self._children_name_map["encryption"] = "encryption"
                    self._children_yang_names.add("encryption")

                    self.manet = Native.Interface.Tunnel.Ospfv3.Manet()
                    self.manet.parent = self
                    self._children_name_map["manet"] = "manet"
                    self._children_yang_names.add("manet")

                    self.multi_area = Native.Interface.Tunnel.Ospfv3.MultiArea()
                    self.multi_area.parent = self
                    self._children_name_map["multi_area"] = "multi-area"
                    self._children_yang_names.add("multi-area")

                    self.network = Native.Interface.Tunnel.Ospfv3.Network()
                    self.network.parent = self
                    self._children_name_map["network"] = "network"
                    self._children_yang_names.add("network")

                    self.prefix_suppression = None
                    self._children_name_map["prefix_suppression"] = "prefix-suppression"
                    self._children_yang_names.add("prefix-suppression")

                    self.process_id = YList(self)
                    self.neighbor = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-ospfv3:ospfv3"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3, ['dead_interval', 'flood_reduction', 'hello_interval', 'mtu_ignore', 'priority', 'retransmit_interval', 'shutdown', 'transmit_delay'], name, value)


                class ProcessId(Entity):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Enable authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Enable BFD on this interface
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Bfd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cost
                    
                    	Route cost of this interface
                    	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost>`
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter>`
                    
                    .. attribute:: dead_interval
                    
                    	Interval after which a neighbor is declared dead
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: demand_circuit
                    
                    	OSPF demand circuit
                    	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.DemandCircuit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flood_reduction
                    
                    	OSPF Flood Reduction
                    	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.FloodReduction>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: hello_interval
                    
                    	Time between HELLO packets
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: manet
                    
                    	Mobile Adhoc Networking options
                    	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Manet>`
                    
                    .. attribute:: mtu_ignore
                    
                    	Ignores the MTU in DBD packets
                    	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.MtuIgnore>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: multi_area
                    
                    	Set the OSPF multi\-area ID
                    	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.MultiArea>`
                    
                    .. attribute:: neighbor
                    
                    	OSPF neighbor
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Network type
                    	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Network>`
                    
                    .. attribute:: prefix_suppression
                    
                    	OSPF prefix suppression
                    	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.PrefixSuppression>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Router priority
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: retransmit_interval
                    
                    	Time between retransmitting lost link state advertisements
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: shutdown
                    
                    	Shut down the interface in OSPFv3
                    	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Shutdown>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transmit_delay
                    
                    	Link state transmit delay
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: ipv4
                    
                    	Specify parameters for IPv4
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Specify parameters for IPv6
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ospfv3.ProcessId, self).__init__()

                        self.yang_name = "process-id"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Tunnel.Ospfv3.ProcessId.Authentication), "bfd" : ("bfd", Native.Interface.Tunnel.Ospfv3.ProcessId.Bfd), "cost" : ("cost", Native.Interface.Tunnel.Ospfv3.ProcessId.Cost), "database-filter" : ("database_filter", Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.Tunnel.Ospfv3.ProcessId.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.Tunnel.Ospfv3.ProcessId.FloodReduction), "manet" : ("manet", Native.Interface.Tunnel.Ospfv3.ProcessId.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.Tunnel.Ospfv3.ProcessId.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.Tunnel.Ospfv3.ProcessId.MultiArea), "network" : ("network", Native.Interface.Tunnel.Ospfv3.ProcessId.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.Tunnel.Ospfv3.ProcessId.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.Tunnel.Ospfv3.ProcessId.Shutdown), "ipv4" : ("ipv4", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4), "ipv6" : ("ipv6", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6)}
                        self._child_list_classes = {"neighbor" : ("neighbor", Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor)}

                        self.id = YLeaf(YType.uint16, "id")

                        self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                        self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                        self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                        self.authentication = Native.Interface.Tunnel.Ospfv3.ProcessId.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.cost = Native.Interface.Tunnel.Ospfv3.ProcessId.Cost()
                        self.cost.parent = self
                        self._children_name_map["cost"] = "cost"
                        self._children_yang_names.add("cost")

                        self.database_filter = Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")

                        self.demand_circuit = None
                        self._children_name_map["demand_circuit"] = "demand-circuit"
                        self._children_yang_names.add("demand-circuit")

                        self.flood_reduction = None
                        self._children_name_map["flood_reduction"] = "flood-reduction"
                        self._children_yang_names.add("flood-reduction")

                        self.manet = Native.Interface.Tunnel.Ospfv3.ProcessId.Manet()
                        self.manet.parent = self
                        self._children_name_map["manet"] = "manet"
                        self._children_yang_names.add("manet")

                        self.mtu_ignore = None
                        self._children_name_map["mtu_ignore"] = "mtu-ignore"
                        self._children_yang_names.add("mtu-ignore")

                        self.multi_area = Native.Interface.Tunnel.Ospfv3.ProcessId.MultiArea()
                        self.multi_area.parent = self
                        self._children_name_map["multi_area"] = "multi-area"
                        self._children_yang_names.add("multi-area")

                        self.network = Native.Interface.Tunnel.Ospfv3.ProcessId.Network()
                        self.network.parent = self
                        self._children_name_map["network"] = "network"
                        self._children_yang_names.add("network")

                        self.prefix_suppression = None
                        self._children_name_map["prefix_suppression"] = "prefix-suppression"
                        self._children_yang_names.add("prefix-suppression")

                        self.shutdown = None
                        self._children_name_map["shutdown"] = "shutdown"
                        self._children_yang_names.add("shutdown")

                        self.ipv4 = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.neighbor = YList(self)
                        self._segment_path = lambda: "process-id" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId, ['id', 'dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                    class Authentication(Entity):
                        """
                        Enable authentication
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\: str
                        
                        .. attribute:: null
                        
                        	Use no authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.null = YLeaf(YType.empty, "null")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Authentication, ['key_chain', 'null'], name, value)


                    class Bfd(Entity):
                        """
                        Enable BFD on this interface
                        
                        .. attribute:: disable
                        
                        	Disable BFD on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Bfd, ['disable'], name, value)


                    class Cost(Entity):
                        """
                        Route cost of this interface
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: dynamic
                        
                        	Specify dynamic cost options
                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost, self).__init__()

                            self.yang_name = "cost"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic)}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint32, "value")

                            self.dynamic = None
                            self._children_name_map["dynamic"] = "dynamic"
                            self._children_yang_names.add("dynamic")
                            self._segment_path = lambda: "cost"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost, ['value'], name, value)


                        class Dynamic(Entity):
                            """
                            Specify dynamic cost options
                            
                            .. attribute:: default
                            
                            	Specify default link metric value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: hysteresis
                            
                            	Specify hysteresis value for LSA dampening
                            	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: weight
                            
                            	Specify weight to be placed on individual metrics
                            	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic, self).__init__()

                                self.yang_name = "dynamic"
                                self.yang_parent_name = "cost"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.default = YLeaf(YType.uint32, "default")

                                self.hysteresis = None
                                self._children_name_map["hysteresis"] = "hysteresis"
                                self._children_yang_names.add("hysteresis")

                                self.weight = Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight()
                                self.weight.parent = self
                                self._children_name_map["weight"] = "weight"
                                self._children_yang_names.add("weight")
                                self._segment_path = lambda: "dynamic"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic, ['default'], name, value)


                            class Hysteresis(Entity):
                                """
                                Specify hysteresis value for LSA dampening
                                
                                .. attribute:: percent
                                
                                	Specify hysteresis percent changed
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold
                                
                                	Specify hysteresis threshold value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis, self).__init__()

                                    self.yang_name = "hysteresis"
                                    self.yang_parent_name = "dynamic"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.percent = YLeaf(YType.uint8, "percent")

                                    self.threshold = YLeaf(YType.uint32, "threshold")
                                    self._segment_path = lambda: "hysteresis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                            class Weight(Entity):
                                """
                                Specify weight to be placed on individual metrics
                                
                                .. attribute:: l2_factor
                                
                                	Specify weight to be given to L2\-factor metric
                                	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: latency
                                
                                	Specify weight to be given to latency metric
                                	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: resources
                                
                                	Specify weight to be given to resources metric
                                	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: throughput
                                
                                	Specify weight to be given to throughput metric
                                	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight, self).__init__()

                                    self.yang_name = "weight"
                                    self.yang_parent_name = "dynamic"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput)}
                                    self._child_list_classes = {}

                                    self.l2_factor = None
                                    self._children_name_map["l2_factor"] = "L2-factor"
                                    self._children_yang_names.add("L2-factor")

                                    self.latency = None
                                    self._children_name_map["latency"] = "latency"
                                    self._children_yang_names.add("latency")

                                    self.resources = None
                                    self._children_name_map["resources"] = "resources"
                                    self._children_yang_names.add("resources")

                                    self.throughput = None
                                    self._children_name_map["throughput"] = "throughput"
                                    self._children_yang_names.add("throughput")
                                    self._segment_path = lambda: "weight"


                                class L2Factor(Entity):
                                    """
                                    Specify weight to be given to L2\-factor metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                        self.yang_name = "L2-factor"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "L2-factor"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                class Latency(Entity):
                                    """
                                    Specify weight to be given to latency metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency, self).__init__()

                                        self.yang_name = "latency"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "latency"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                class Resources(Entity):
                                    """
                                    Specify weight to be given to resources metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources, self).__init__()

                                        self.yang_name = "resources"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "resources"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                class Throughput(Entity):
                                    """
                                    Specify weight to be given to throughput metric
                                    
                                    .. attribute:: value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput, self).__init__()

                                        self.yang_name = "throughput"
                                        self.yang_parent_name = "weight"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.value = YLeaf(YType.uint8, "value")
                                        self._segment_path = lambda: "throughput"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter.All>`
                        
                        .. attribute:: disable
                        
                        	Disable LSA Filter on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.DatabaseFilter, ['all', 'disable'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                    class DemandCircuit(Entity):
                        """
                        OSPF demand circuit
                        
                        .. attribute:: disable
                        
                        	Disable demand circuit on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore demand circuit auto\-negotiation requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.DemandCircuit, self).__init__()

                            self.yang_name = "demand-circuit"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "demand-circuit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.DemandCircuit, ['disable', 'ignore'], name, value)


                    class FloodReduction(Entity):
                        """
                        OSPF Flood Reduction
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.FloodReduction, self).__init__()

                            self.yang_name = "flood-reduction"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "flood-reduction"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.FloodReduction, ['disable'], name, value)


                    class Manet(Entity):
                        """
                        Mobile Adhoc Networking options
                        
                        .. attribute:: peering
                        
                        	MANET Peering options
                        	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Manet, self).__init__()

                            self.yang_name = "manet"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peering" : ("peering", Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering)}
                            self._child_list_classes = {}

                            self.peering = Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering()
                            self.peering.parent = self
                            self._children_name_map["peering"] = "peering"
                            self._children_yang_names.add("peering")
                            self._segment_path = lambda: "manet"


                        class Peering(Entity):
                            """
                            MANET Peering options
                            
                            .. attribute:: cost
                            
                            	Redundant path cost improvement required to peer
                            	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering.Cost>`
                            
                            .. attribute:: link_metrics
                            
                            	Require link metrics
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering, self).__init__()

                                self.yang_name = "peering"
                                self.yang_parent_name = "manet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cost" : ("cost", Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering.Cost)}
                                self._child_list_classes = {}

                                self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                self.cost = Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering.Cost()
                                self.cost.parent = self
                                self._children_name_map["cost"] = "cost"
                                self._children_yang_names.add("cost")
                                self._segment_path = lambda: "peering"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering, ['link_metrics'], name, value)


                            class Cost(Entity):
                                """
                                Redundant path cost improvement required to peer
                                
                                .. attribute:: percent
                                
                                	Relative incremental path cost
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                .. attribute:: threshold
                                
                                	Absolute incremental path cost
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering.Cost, self).__init__()

                                    self.yang_name = "cost"
                                    self.yang_parent_name = "peering"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.percent = YLeaf(YType.uint8, "percent")

                                    self.threshold = YLeaf(YType.uint32, "threshold")
                                    self._segment_path = lambda: "cost"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                    class MtuIgnore(Entity):
                        """
                        Ignores the MTU in DBD packets
                        
                        .. attribute:: disable
                        
                        	Disable Ingore MTU on this interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.MtuIgnore, self).__init__()

                            self.yang_name = "mtu-ignore"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "mtu-ignore"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.MtuIgnore, ['disable'], name, value)


                    class MultiArea(Entity):
                        """
                        Set the OSPF multi\-area ID
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	Interface cost
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: disable
                        
                        	disable OSPF multi\-area
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.MultiArea, self).__init__()

                            self.yang_name = "multi-area"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint32, "cost")

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "multi-area"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.MultiArea, ['id', 'cost', 'disable'], name, value)


                    class Neighbor(Entity):
                        """
                        OSPF neighbor
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: cost
                        
                        	OSPF cost for point\-to\-multipoint neighbor
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter>`
                        
                        .. attribute:: poll_interval
                        
                        	OSPF dead\-router polling interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: priority
                        
                        	OSPF priority of non\-broadcast neighbor
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.cost = YLeaf(YType.uint16, "cost")

                            self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.database_filter = Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter.All>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Neighbor.DatabaseFilter, ['all'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                    class Network(Entity):
                        """
                        Network type
                        
                        .. attribute:: broadcast
                        
                        	Specify OSPF broadcast multi\-access network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF interface type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_broadcast
                        
                        	Specify OSPF NBMA network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: point_to_multipoint
                        
                        	Specify OSPF point\-to\-multipoint network
                        	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Network.PointToMultipoint>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: point_to_point
                        
                        	Specify OSPF point\-to\-point network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.Tunnel.Ospfv3.ProcessId.Network.PointToMultipoint)}
                            self._child_list_classes = {}

                            self.broadcast = YLeaf(YType.empty, "broadcast")

                            self.manet = YLeaf(YType.empty, "manet")

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                            self.point_to_point = YLeaf(YType.empty, "point-to-point")

                            self.point_to_multipoint = None
                            self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                            self._children_yang_names.add("point-to-multipoint")
                            self._segment_path = lambda: "network"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                        class PointToMultipoint(Entity):
                            """
                            Specify OSPF point\-to\-multipoint network
                            
                            .. attribute:: non_broadcast
                            
                            	Specify non\-broadcast point\-to\-mpoint network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Network.PointToMultipoint, self).__init__()

                                self.yang_name = "point-to-multipoint"
                                self.yang_parent_name = "network"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                self._segment_path = lambda: "point-to-multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Network.PointToMultipoint, ['non_broadcast'], name, value)


                    class PrefixSuppression(Entity):
                        """
                        OSPF prefix suppression
                        
                        .. attribute:: disable
                        
                        	Disable prefix suppression
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.PrefixSuppression, self).__init__()

                            self.yang_name = "prefix-suppression"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "prefix-suppression"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.PrefixSuppression, ['disable'], name, value)


                    class Shutdown(Entity):
                        """
                        Shut down the interface in OSPFv3
                        
                        .. attribute:: disable
                        
                        	Disable inherited shutdown
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Shutdown, self).__init__()

                            self.yang_name = "shutdown"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "shutdown"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Shutdown, ['disable'], name, value)


                    class Ipv4(Entity):
                        """
                        Specify parameters for IPv4
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Authentication), "bfd" : ("bfd", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Bfd), "cost" : ("cost", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost), "database-filter" : ("database_filter", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.FloodReduction), "manet" : ("manet", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MultiArea), "network" : ("network", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Shutdown)}
                            self._child_list_classes = {"area" : ("area", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Area), "neighbor" : ("neighbor", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor)}

                            self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                            self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                            self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                            self.authentication = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.bfd = None
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.cost = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")

                            self.database_filter = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")

                            self.demand_circuit = None
                            self._children_name_map["demand_circuit"] = "demand-circuit"
                            self._children_yang_names.add("demand-circuit")

                            self.flood_reduction = None
                            self._children_name_map["flood_reduction"] = "flood-reduction"
                            self._children_yang_names.add("flood-reduction")

                            self.manet = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.mtu_ignore = None
                            self._children_name_map["mtu_ignore"] = "mtu-ignore"
                            self._children_yang_names.add("mtu-ignore")

                            self.multi_area = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MultiArea()
                            self.multi_area.parent = self
                            self._children_name_map["multi_area"] = "multi-area"
                            self._children_yang_names.add("multi-area")

                            self.network = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network()
                            self.network.parent = self
                            self._children_name_map["network"] = "network"
                            self._children_yang_names.add("network")

                            self.prefix_suppression = None
                            self._children_name_map["prefix_suppression"] = "prefix-suppression"
                            self._children_yang_names.add("prefix-suppression")

                            self.shutdown = None
                            self._children_name_map["shutdown"] = "shutdown"
                            self._children_yang_names.add("shutdown")

                            self.area = YList(self)
                            self.neighbor = YList(self)
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4, ['dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                        class Area(Entity):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\: int
                            
                            	**range:** 64..95
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.instance = YLeaf(YType.uint8, "instance")
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Area, ['id', 'instance'], name, value)


                        class Authentication(Entity):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\: str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.null = YLeaf(YType.empty, "null")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Authentication, ['key_chain', 'null'], name, value)


                        class Bfd(Entity):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Bfd, ['disable'], name, value)


                        class Cost(Entity):
                            """
                            Route cost of this interface
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.dynamic = None
                                self._children_name_map["dynamic"] = "dynamic"
                                self._children_yang_names.add("dynamic")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost, ['value'], name, value)


                            class Dynamic(Entity):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic, self).__init__()

                                    self.yang_name = "dynamic"
                                    self.yang_parent_name = "cost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.default = YLeaf(YType.uint32, "default")

                                    self.hysteresis = None
                                    self._children_name_map["hysteresis"] = "hysteresis"
                                    self._children_yang_names.add("hysteresis")

                                    self.weight = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight()
                                    self.weight.parent = self
                                    self._children_name_map["weight"] = "weight"
                                    self._children_yang_names.add("weight")
                                    self._segment_path = lambda: "dynamic"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic, ['default'], name, value)


                                class Hysteresis(Entity):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis, self).__init__()

                                        self.yang_name = "hysteresis"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "hysteresis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                                class Weight(Entity):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight, self).__init__()

                                        self.yang_name = "weight"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput)}
                                        self._child_list_classes = {}

                                        self.l2_factor = None
                                        self._children_name_map["l2_factor"] = "L2-factor"
                                        self._children_yang_names.add("L2-factor")

                                        self.latency = None
                                        self._children_name_map["latency"] = "latency"
                                        self._children_yang_names.add("latency")

                                        self.resources = None
                                        self._children_name_map["resources"] = "resources"
                                        self._children_yang_names.add("resources")

                                        self.throughput = None
                                        self._children_name_map["throughput"] = "throughput"
                                        self._children_yang_names.add("throughput")
                                        self._segment_path = lambda: "weight"


                                    class L2Factor(Entity):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                            self.yang_name = "L2-factor"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "L2-factor"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                    class Latency(Entity):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency, self).__init__()

                                            self.yang_name = "latency"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "latency"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                    class Resources(Entity):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources, self).__init__()

                                            self.yang_name = "resources"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "resources"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                    class Throughput(Entity):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput, self).__init__()

                                            self.yang_name = "throughput"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "throughput"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter.All>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DatabaseFilter, ['all', 'disable'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                        class DemandCircuit(Entity):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DemandCircuit, self).__init__()

                                self.yang_name = "demand-circuit"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "demand-circuit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.DemandCircuit, ['disable', 'ignore'], name, value)


                        class FloodReduction(Entity):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.FloodReduction, self).__init__()

                                self.yang_name = "flood-reduction"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "flood-reduction"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.FloodReduction, ['disable'], name, value)


                        class Manet(Entity):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peering" : ("peering", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering)}
                                self._child_list_classes = {}

                                self.peering = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"


                            class Peering(Entity):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost" : ("cost", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost)}
                                    self._child_list_classes = {}

                                    self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                    self.cost = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self._children_name_map["cost"] = "cost"
                                    self._children_yang_names.add("cost")
                                    self._segment_path = lambda: "peering"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering, ['link_metrics'], name, value)


                                class Cost(Entity):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost, self).__init__()

                                        self.yang_name = "cost"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "cost"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                        class MtuIgnore(Entity):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MtuIgnore, self).__init__()

                                self.yang_name = "mtu-ignore"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "mtu-ignore"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MtuIgnore, ['disable'], name, value)


                        class MultiArea(Entity):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MultiArea, self).__init__()

                                self.yang_name = "multi-area"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint32, "cost")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "multi-area"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.MultiArea, ['id', 'cost', 'disable'], name, value)


                        class Neighbor(Entity):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint16, "cost")

                                self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.database_filter = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self._children_name_map["database_filter"] = "database-filter"
                                self._children_yang_names.add("database-filter")
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                            class DatabaseFilter(Entity):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter.All>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter, self).__init__()

                                    self.yang_name = "database-filter"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.all = YLeaf(YType.enumeration, "all")
                                    self._segment_path = lambda: "database-filter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Neighbor.DatabaseFilter, ['all'], name, value)

                                class All(Enum):
                                    """
                                    All

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = Enum.YLeaf(0, "out")



                        class Network(Entity):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint)}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.manet = YLeaf(YType.empty, "manet")

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                                self.point_to_point = YLeaf(YType.empty, "point-to-point")

                                self.point_to_multipoint = None
                                self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                                self._children_yang_names.add("point-to-multipoint")
                                self._segment_path = lambda: "network"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                            class PointToMultipoint(Entity):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint, self).__init__()

                                    self.yang_name = "point-to-multipoint"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                    self._segment_path = lambda: "point-to-multipoint"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Network.PointToMultipoint, ['non_broadcast'], name, value)


                        class PrefixSuppression(Entity):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.PrefixSuppression, self).__init__()

                                self.yang_name = "prefix-suppression"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "prefix-suppression"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.PrefixSuppression, ['disable'], name, value)


                        class Shutdown(Entity):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Shutdown, self).__init__()

                                self.yang_name = "shutdown"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "shutdown"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv4.Shutdown, ['disable'], name, value)


                    class Ipv6(Entity):
                        """
                        Specify parameters for IPv6
                        
                        .. attribute:: area
                        
                        	Set the OSPF area ID
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Area>`
                        
                        .. attribute:: authentication
                        
                        	Enable authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Enable BFD on this interface
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Bfd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cost
                        
                        	Route cost of this interface
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost>`
                        
                        .. attribute:: database_filter
                        
                        	Filter OSPF LSA during synchronization and flooding
                        	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter>`
                        
                        .. attribute:: dead_interval
                        
                        	Interval after which a neighbor is declared dead
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: demand_circuit
                        
                        	OSPF demand circuit
                        	**type**\:  :py:class:`DemandCircuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DemandCircuit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: flood_reduction
                        
                        	OSPF Flood Reduction
                        	**type**\:  :py:class:`FloodReduction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.FloodReduction>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: hello_interval
                        
                        	Time between HELLO packets
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: manet
                        
                        	Mobile Adhoc Networking options
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet>`
                        
                        .. attribute:: mtu_ignore
                        
                        	Ignores the MTU in DBD packets
                        	**type**\:  :py:class:`MtuIgnore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MtuIgnore>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: multi_area
                        
                        	Set the OSPF multi\-area ID
                        	**type**\:  :py:class:`MultiArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MultiArea>`
                        
                        .. attribute:: neighbor
                        
                        	OSPF neighbor
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Network type
                        	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network>`
                        
                        .. attribute:: prefix_suppression
                        
                        	OSPF prefix suppression
                        	**type**\:  :py:class:`PrefixSuppression <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.PrefixSuppression>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Router priority
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: retransmit_interval
                        
                        	Time between retransmitting lost link state advertisements
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: shutdown
                        
                        	Shut down the interface in OSPFv3
                        	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Shutdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: transmit_delay
                        
                        	Link state transmit delay
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "process-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Authentication), "bfd" : ("bfd", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Bfd), "cost" : ("cost", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost), "database-filter" : ("database_filter", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter), "demand-circuit" : ("demand_circuit", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DemandCircuit), "flood-reduction" : ("flood_reduction", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.FloodReduction), "manet" : ("manet", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet), "mtu-ignore" : ("mtu_ignore", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MtuIgnore), "multi-area" : ("multi_area", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MultiArea), "network" : ("network", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network), "prefix-suppression" : ("prefix_suppression", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.PrefixSuppression), "shutdown" : ("shutdown", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Shutdown)}
                            self._child_list_classes = {"area" : ("area", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Area), "neighbor" : ("neighbor", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor)}

                            self.dead_interval = YLeaf(YType.uint16, "dead-interval")

                            self.hello_interval = YLeaf(YType.uint32, "hello-interval")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.retransmit_interval = YLeaf(YType.uint32, "retransmit-interval")

                            self.transmit_delay = YLeaf(YType.uint32, "transmit-delay")

                            self.authentication = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.bfd = None
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.cost = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")

                            self.database_filter = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter()
                            self.database_filter.parent = self
                            self._children_name_map["database_filter"] = "database-filter"
                            self._children_yang_names.add("database-filter")

                            self.demand_circuit = None
                            self._children_name_map["demand_circuit"] = "demand-circuit"
                            self._children_yang_names.add("demand-circuit")

                            self.flood_reduction = None
                            self._children_name_map["flood_reduction"] = "flood-reduction"
                            self._children_yang_names.add("flood-reduction")

                            self.manet = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.mtu_ignore = None
                            self._children_name_map["mtu_ignore"] = "mtu-ignore"
                            self._children_yang_names.add("mtu-ignore")

                            self.multi_area = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MultiArea()
                            self.multi_area.parent = self
                            self._children_name_map["multi_area"] = "multi-area"
                            self._children_yang_names.add("multi-area")

                            self.network = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network()
                            self.network.parent = self
                            self._children_name_map["network"] = "network"
                            self._children_yang_names.add("network")

                            self.prefix_suppression = None
                            self._children_name_map["prefix_suppression"] = "prefix-suppression"
                            self._children_yang_names.add("prefix-suppression")

                            self.shutdown = None
                            self._children_name_map["shutdown"] = "shutdown"
                            self._children_yang_names.add("shutdown")

                            self.area = YList(self)
                            self.neighbor = YList(self)
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6, ['dead_interval', 'hello_interval', 'priority', 'retransmit_interval', 'transmit_delay'], name, value)


                        class Area(Entity):
                            """
                            Set the OSPF area ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: instance
                            
                            	Set the OSPF instance
                            	**type**\: int
                            
                            	**range:** 0..31
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.instance = YLeaf(YType.uint8, "instance")
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Area, ['id', 'instance'], name, value)


                        class Authentication(Entity):
                            """
                            Enable authentication
                            
                            .. attribute:: key_chain
                            
                            	Use a key\-chain for cryptographic authentication keys
                            	**type**\: str
                            
                            .. attribute:: null
                            
                            	Use no authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.null = YLeaf(YType.empty, "null")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Authentication, ['key_chain', 'null'], name, value)


                        class Bfd(Entity):
                            """
                            Enable BFD on this interface
                            
                            .. attribute:: disable
                            
                            	Disable BFD on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Bfd, ['disable'], name, value)


                        class Cost(Entity):
                            """
                            Route cost of this interface
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: dynamic
                            
                            	Specify dynamic cost options
                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint32, "value")

                                self.dynamic = None
                                self._children_name_map["dynamic"] = "dynamic"
                                self._children_yang_names.add("dynamic")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost, ['value'], name, value)


                            class Dynamic(Entity):
                                """
                                Specify dynamic cost options
                                
                                .. attribute:: default
                                
                                	Specify default link metric value
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: hysteresis
                                
                                	Specify hysteresis value for LSA dampening
                                	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: weight
                                
                                	Specify weight to be placed on individual metrics
                                	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic, self).__init__()

                                    self.yang_name = "dynamic"
                                    self.yang_parent_name = "cost"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.default = YLeaf(YType.uint32, "default")

                                    self.hysteresis = None
                                    self._children_name_map["hysteresis"] = "hysteresis"
                                    self._children_yang_names.add("hysteresis")

                                    self.weight = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight()
                                    self.weight.parent = self
                                    self._children_name_map["weight"] = "weight"
                                    self._children_yang_names.add("weight")
                                    self._segment_path = lambda: "dynamic"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic, ['default'], name, value)


                                class Hysteresis(Entity):
                                    """
                                    Specify hysteresis value for LSA dampening
                                    
                                    .. attribute:: percent
                                    
                                    	Specify hysteresis percent changed
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Specify hysteresis threshold value
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis, self).__init__()

                                        self.yang_name = "hysteresis"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "hysteresis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                                class Weight(Entity):
                                    """
                                    Specify weight to be placed on individual metrics
                                    
                                    .. attribute:: l2_factor
                                    
                                    	Specify weight to be given to L2\-factor metric
                                    	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: latency
                                    
                                    	Specify weight to be given to latency metric
                                    	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: resources
                                    
                                    	Specify weight to be given to resources metric
                                    	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: throughput
                                    
                                    	Specify weight to be given to throughput metric
                                    	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight, self).__init__()

                                        self.yang_name = "weight"
                                        self.yang_parent_name = "dynamic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput)}
                                        self._child_list_classes = {}

                                        self.l2_factor = None
                                        self._children_name_map["l2_factor"] = "L2-factor"
                                        self._children_yang_names.add("L2-factor")

                                        self.latency = None
                                        self._children_name_map["latency"] = "latency"
                                        self._children_yang_names.add("latency")

                                        self.resources = None
                                        self._children_name_map["resources"] = "resources"
                                        self._children_yang_names.add("resources")

                                        self.throughput = None
                                        self._children_name_map["throughput"] = "throughput"
                                        self._children_yang_names.add("throughput")
                                        self._segment_path = lambda: "weight"


                                    class L2Factor(Entity):
                                        """
                                        Specify weight to be given to L2\-factor metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                            self.yang_name = "L2-factor"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "L2-factor"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                                    class Latency(Entity):
                                        """
                                        Specify weight to be given to latency metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency, self).__init__()

                                            self.yang_name = "latency"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "latency"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                                    class Resources(Entity):
                                        """
                                        Specify weight to be given to resources metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources, self).__init__()

                                            self.yang_name = "resources"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "resources"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                                    class Throughput(Entity):
                                        """
                                        Specify weight to be given to throughput metric
                                        
                                        .. attribute:: value
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput, self).__init__()

                                            self.yang_name = "throughput"
                                            self.yang_parent_name = "weight"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.value = YLeaf(YType.uint8, "value")
                                            self._segment_path = lambda: "throughput"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                        class DatabaseFilter(Entity):
                            """
                            Filter OSPF LSA during synchronization and flooding
                            
                            .. attribute:: all
                            
                            	Filter all LSA
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter.All>`
                            
                            .. attribute:: disable
                            
                            	Disable LSA Filter on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter, self).__init__()

                                self.yang_name = "database-filter"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.enumeration, "all")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "database-filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DatabaseFilter, ['all', 'disable'], name, value)

                            class All(Enum):
                                """
                                All

                                Filter all LSA

                                .. data:: out = 0

                                """

                                out = Enum.YLeaf(0, "out")



                        class DemandCircuit(Entity):
                            """
                            OSPF demand circuit
                            
                            .. attribute:: disable
                            
                            	Disable demand circuit on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore demand circuit auto\-negotiation requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DemandCircuit, self).__init__()

                                self.yang_name = "demand-circuit"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "demand-circuit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.DemandCircuit, ['disable', 'ignore'], name, value)


                        class FloodReduction(Entity):
                            """
                            OSPF Flood Reduction
                            
                            .. attribute:: disable
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.FloodReduction, self).__init__()

                                self.yang_name = "flood-reduction"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "flood-reduction"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.FloodReduction, ['disable'], name, value)


                        class Manet(Entity):
                            """
                            Mobile Adhoc Networking options
                            
                            .. attribute:: peering
                            
                            	MANET Peering options
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peering" : ("peering", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering)}
                                self._child_list_classes = {}

                                self.peering = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"


                            class Peering(Entity):
                                """
                                MANET Peering options
                                
                                .. attribute:: cost
                                
                                	Redundant path cost improvement required to peer
                                	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost>`
                                
                                .. attribute:: link_metrics
                                
                                	Require link metrics
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost" : ("cost", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost)}
                                    self._child_list_classes = {}

                                    self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                                    self.cost = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost()
                                    self.cost.parent = self
                                    self._children_name_map["cost"] = "cost"
                                    self._children_yang_names.add("cost")
                                    self._segment_path = lambda: "peering"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering, ['link_metrics'], name, value)


                                class Cost(Entity):
                                    """
                                    Redundant path cost improvement required to peer
                                    
                                    .. attribute:: percent
                                    
                                    	Relative incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: threshold
                                    
                                    	Absolute incremental path cost
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost, self).__init__()

                                        self.yang_name = "cost"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.percent = YLeaf(YType.uint8, "percent")

                                        self.threshold = YLeaf(YType.uint32, "threshold")
                                        self._segment_path = lambda: "cost"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                        class MtuIgnore(Entity):
                            """
                            Ignores the MTU in DBD packets
                            
                            .. attribute:: disable
                            
                            	Disable Ingore MTU on this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MtuIgnore, self).__init__()

                                self.yang_name = "mtu-ignore"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "mtu-ignore"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MtuIgnore, ['disable'], name, value)


                        class MultiArea(Entity):
                            """
                            Set the OSPF multi\-area ID
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	Interface cost
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disable
                            
                            	disable OSPF multi\-area
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MultiArea, self).__init__()

                                self.yang_name = "multi-area"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint32, "cost")

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "multi-area"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.MultiArea, ['id', 'cost', 'disable'], name, value)


                        class Neighbor(Entity):
                            """
                            OSPF neighbor
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: cost
                            
                            	OSPF cost for point\-to\-multipoint neighbor
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: database_filter
                            
                            	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                            	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter>`
                            
                            .. attribute:: poll_interval
                            
                            	OSPF dead\-router polling interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: priority
                            
                            	OSPF priority of non\-broadcast neighbor
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.cost = YLeaf(YType.uint16, "cost")

                                self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.database_filter = Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter()
                                self.database_filter.parent = self
                                self._children_name_map["database_filter"] = "database-filter"
                                self._children_yang_names.add("database-filter")
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                            class DatabaseFilter(Entity):
                                """
                                Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                                
                                .. attribute:: all
                                
                                	Filter all LSA
                                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter.All>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter, self).__init__()

                                    self.yang_name = "database-filter"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.all = YLeaf(YType.enumeration, "all")
                                    self._segment_path = lambda: "database-filter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Neighbor.DatabaseFilter, ['all'], name, value)

                                class All(Enum):
                                    """
                                    All

                                    Filter all LSA

                                    .. data:: out = 0

                                    """

                                    out = Enum.YLeaf(0, "out")



                        class Network(Entity):
                            """
                            Network type
                            
                            .. attribute:: broadcast
                            
                            	Specify OSPF broadcast multi\-access network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: manet
                            
                            	Specify MANET OSPF interface type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_broadcast
                            
                            	Specify OSPF NBMA network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: point_to_multipoint
                            
                            	Specify OSPF point\-to\-multipoint network
                            	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: point_to_point
                            
                            	Specify OSPF point\-to\-point network
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint)}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.manet = YLeaf(YType.empty, "manet")

                                self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                                self.point_to_point = YLeaf(YType.empty, "point-to-point")

                                self.point_to_multipoint = None
                                self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                                self._children_yang_names.add("point-to-multipoint")
                                self._segment_path = lambda: "network"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                            class PointToMultipoint(Entity):
                                """
                                Specify OSPF point\-to\-multipoint network
                                
                                .. attribute:: non_broadcast
                                
                                	Specify non\-broadcast point\-to\-mpoint network
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint, self).__init__()

                                    self.yang_name = "point-to-multipoint"
                                    self.yang_parent_name = "network"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                                    self._segment_path = lambda: "point-to-multipoint"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Network.PointToMultipoint, ['non_broadcast'], name, value)


                        class PrefixSuppression(Entity):
                            """
                            OSPF prefix suppression
                            
                            .. attribute:: disable
                            
                            	Disable prefix suppression
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.PrefixSuppression, self).__init__()

                                self.yang_name = "prefix-suppression"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "prefix-suppression"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.PrefixSuppression, ['disable'], name, value)


                        class Shutdown(Entity):
                            """
                            Shut down the interface in OSPFv3
                            
                            .. attribute:: disable
                            
                            	Disable inherited shutdown
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Shutdown, self).__init__()

                                self.yang_name = "shutdown"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "shutdown"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.ProcessId.Ipv6.Shutdown, ['disable'], name, value)


                class Authentication(Entity):
                    """
                    Enable authentication
                    
                    .. attribute:: key_chain
                    
                    	Use a key\-chain for cryptographic authentication keys
                    	**type**\: str
                    
                    .. attribute:: null
                    
                    	Use no authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec authentication
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ospfv3.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec)}
                        self._child_list_classes = {}

                        self.key_chain = YLeaf(YType.str, "key-chain")

                        self.null = YLeaf(YType.empty, "null")

                        self.ipsec = Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Authentication, ['key_chain', 'null'], name, value)


                    class Ipsec(Entity):
                        """
                        Use IPsec authentication
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\: int
                        
                        	**range:** 256..4294967295
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5>`
                        
                        .. attribute:: sha1
                        
                        	Use SHA\-1 authentication
                        	**type**\:  :py:class:`Sha1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5), "sha1" : ("sha1", Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1)}
                            self._child_list_classes = {}

                            self.spi = YLeaf(YType.uint64, "spi")

                            self.md5 = Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.sha1 = Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1()
                            self.sha1.parent = self
                            self._children_name_map["sha1"] = "sha1"
                            self._children_yang_names.add("sha1")
                            self._segment_path = lambda: "ipsec"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec, ['spi'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Md5.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                        class Sha1(Entity):
                            """
                            Use SHA\-1 authentication
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1, self).__init__()

                                self.yang_name = "sha1"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "sha1"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "sha1"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Authentication.Ipsec.Sha1.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                class Bfd(Entity):
                    """
                    Enable BFD on this interface
                    
                    .. attribute:: disable
                    
                    	Disable BFD on this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ospfv3.Bfd, self).__init__()

                        self.yang_name = "bfd"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "bfd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Bfd, ['disable'], name, value)


                class Cost(Entity):
                    """
                    Route cost of this interface
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: dynamic
                    
                    	Specify dynamic cost options
                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ospfv3.Cost, self).__init__()

                        self.yang_name = "cost"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.Tunnel.Ospfv3.Cost.Dynamic)}
                        self._child_list_classes = {}

                        self.value = YLeaf(YType.uint32, "value")

                        self.dynamic = None
                        self._children_name_map["dynamic"] = "dynamic"
                        self._children_yang_names.add("dynamic")
                        self._segment_path = lambda: "cost"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Cost, ['value'], name, value)


                    class Dynamic(Entity):
                        """
                        Specify dynamic cost options
                        
                        .. attribute:: default
                        
                        	Specify default link metric value
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hysteresis
                        
                        	Specify hysteresis value for LSA dampening
                        	**type**\:  :py:class:`Hysteresis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Hysteresis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: weight
                        
                        	Specify weight to be placed on individual metrics
                        	**type**\:  :py:class:`Weight <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.Cost.Dynamic, self).__init__()

                            self.yang_name = "dynamic"
                            self.yang_parent_name = "cost"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hysteresis" : ("hysteresis", Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Hysteresis), "weight" : ("weight", Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.uint32, "default")

                            self.hysteresis = None
                            self._children_name_map["hysteresis"] = "hysteresis"
                            self._children_yang_names.add("hysteresis")

                            self.weight = Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight()
                            self.weight.parent = self
                            self._children_name_map["weight"] = "weight"
                            self._children_yang_names.add("weight")
                            self._segment_path = lambda: "dynamic"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Cost.Dynamic, ['default'], name, value)


                        class Hysteresis(Entity):
                            """
                            Specify hysteresis value for LSA dampening
                            
                            .. attribute:: percent
                            
                            	Specify hysteresis percent changed
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold
                            
                            	Specify hysteresis threshold value
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Hysteresis, self).__init__()

                                self.yang_name = "hysteresis"
                                self.yang_parent_name = "dynamic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.threshold = YLeaf(YType.uint32, "threshold")
                                self._segment_path = lambda: "hysteresis"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Hysteresis, ['percent', 'threshold'], name, value)


                        class Weight(Entity):
                            """
                            Specify weight to be placed on individual metrics
                            
                            .. attribute:: l2_factor
                            
                            	Specify weight to be given to L2\-factor metric
                            	**type**\:  :py:class:`L2Factor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.L2Factor>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: latency
                            
                            	Specify weight to be given to latency metric
                            	**type**\:  :py:class:`Latency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Latency>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: resources
                            
                            	Specify weight to be given to resources metric
                            	**type**\:  :py:class:`Resources <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Resources>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: throughput
                            
                            	Specify weight to be given to throughput metric
                            	**type**\:  :py:class:`Throughput <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Throughput>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight, self).__init__()

                                self.yang_name = "weight"
                                self.yang_parent_name = "dynamic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"L2-factor" : ("l2_factor", Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.L2Factor), "latency" : ("latency", Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Latency), "resources" : ("resources", Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Resources), "throughput" : ("throughput", Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Throughput)}
                                self._child_list_classes = {}

                                self.l2_factor = None
                                self._children_name_map["l2_factor"] = "L2-factor"
                                self._children_yang_names.add("L2-factor")

                                self.latency = None
                                self._children_name_map["latency"] = "latency"
                                self._children_yang_names.add("latency")

                                self.resources = None
                                self._children_name_map["resources"] = "resources"
                                self._children_yang_names.add("resources")

                                self.throughput = None
                                self._children_name_map["throughput"] = "throughput"
                                self._children_yang_names.add("throughput")
                                self._segment_path = lambda: "weight"


                            class L2Factor(Entity):
                                """
                                Specify weight to be given to L2\-factor metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.L2Factor, self).__init__()

                                    self.yang_name = "L2-factor"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "L2-factor"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.L2Factor, ['value'], name, value)


                            class Latency(Entity):
                                """
                                Specify weight to be given to latency metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Latency, self).__init__()

                                    self.yang_name = "latency"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "latency"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Latency, ['value'], name, value)


                            class Resources(Entity):
                                """
                                Specify weight to be given to resources metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Resources, self).__init__()

                                    self.yang_name = "resources"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "resources"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Resources, ['value'], name, value)


                            class Throughput(Entity):
                                """
                                Specify weight to be given to throughput metric
                                
                                .. attribute:: value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Throughput, self).__init__()

                                    self.yang_name = "throughput"
                                    self.yang_parent_name = "weight"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.value = YLeaf(YType.uint8, "value")
                                    self._segment_path = lambda: "throughput"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Cost.Dynamic.Weight.Throughput, ['value'], name, value)


                class DatabaseFilter(Entity):
                    """
                    Filter OSPF LSA during synchronization and flooding
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.DatabaseFilter.All>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ospfv3.DatabaseFilter, self).__init__()

                        self.yang_name = "database-filter"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.all = YLeaf(YType.enumeration, "all")
                        self._segment_path = lambda: "database-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.DatabaseFilter, ['all'], name, value)

                    class All(Enum):
                        """
                        All

                        Filter all LSA

                        .. data:: out = 0

                        """

                        out = Enum.YLeaf(0, "out")



                class DemandCircuit(Entity):
                    """
                    OSPF Demand Circuit
                    
                    .. attribute:: ignore
                    
                    	Ignore demand circuit auto\-negotiation requests
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ospfv3.DemandCircuit, self).__init__()

                        self.yang_name = "demand-circuit"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ignore = YLeaf(YType.empty, "ignore")
                        self._segment_path = lambda: "demand-circuit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.DemandCircuit, ['ignore'], name, value)


                class Encryption(Entity):
                    """
                    Enable encryption
                    
                    .. attribute:: null
                    
                    	No IPsec encryption on this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Use IPsec encryption
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ospfv3.Encryption, self).__init__()

                        self.yang_name = "encryption"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec)}
                        self._child_list_classes = {}

                        self.null = YLeaf(YType.empty, "null")

                        self.ipsec = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "encryption"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Encryption, ['null'], name, value)


                    class Ipsec(Entity):
                        """
                        Use IPsec encryption
                        
                        .. attribute:: spi
                        
                        	Set the SPI (Security Parameters Index)
                        	**type**\: int
                        
                        	**range:** 0..18446744073709551615
                        
                        .. attribute:: esp
                        
                        	Use ESP encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipsec_3des
                        
                        	Use 3DES encryption
                        	**type**\:  :py:class:`Ipsec3Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec3Des>`
                        
                        .. attribute:: aes_cbc
                        
                        	Use AES\-CBC encryption
                        	**type**\:  :py:class:`AesCbc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "encryption"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipsec_3des" : ("ipsec_3des", Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec3Des), "aes-cbc" : ("aes_cbc", Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc)}
                            self._child_list_classes = {}

                            self.spi = YLeaf(YType.uint64, "spi")

                            self.esp = YLeaf(YType.empty, "esp")

                            self.ipsec_3des = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec3Des()
                            self.ipsec_3des.parent = self
                            self._children_name_map["ipsec_3des"] = "ipsec_3des"
                            self._children_yang_names.add("ipsec_3des")

                            self.aes_cbc = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc()
                            self.aes_cbc.parent = self
                            self._children_name_map["aes_cbc"] = "aes-cbc"
                            self._children_yang_names.add("aes-cbc")
                            self._segment_path = lambda: "ipsec"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec, ['spi', 'esp'], name, value)


                        class Ipsec3Des(Entity):
                            """
                            Use 3DES encryption
                            
                            .. attribute:: key_string
                            
                            	
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec3Des, self).__init__()

                                self.yang_name = "ipsec_3des"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString)}
                                self._child_list_classes = {}

                                self.key_string = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "ipsec_3des"


                            class KeyString(Entity):
                                """
                                
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "ipsec_3des"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.Ipsec3Des.KeyString, ['encrypt', 'string'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                        class AesCbc(Entity):
                            """
                            Use AES\-CBC encryption
                            
                            .. attribute:: aes_cbc_128
                            
                            	Use 128 bit key
                            	**type**\:  :py:class:`AesCbc128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128>`
                            
                            .. attribute:: aes_192
                            
                            	Use 192 bit key
                            	**type**\:  :py:class:`Aes192 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192>`
                            
                            .. attribute:: aes_256
                            
                            	Use 256 bit key
                            	**type**\:  :py:class:`Aes256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc, self).__init__()

                                self.yang_name = "aes-cbc"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"aes-cbc-128" : ("aes_cbc_128", Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128), "aes-192" : ("aes_192", Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192), "aes-256" : ("aes_256", Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256)}
                                self._child_list_classes = {}

                                self.aes_cbc_128 = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128()
                                self.aes_cbc_128.parent = self
                                self._children_name_map["aes_cbc_128"] = "aes-cbc-128"
                                self._children_yang_names.add("aes-cbc-128")

                                self.aes_192 = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192()
                                self.aes_192.parent = self
                                self._children_name_map["aes_192"] = "aes-192"
                                self._children_yang_names.add("aes-192")

                                self.aes_256 = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256()
                                self.aes_256.parent = self
                                self._children_name_map["aes_256"] = "aes-256"
                                self._children_yang_names.add("aes-256")
                                self._segment_path = lambda: "aes-cbc"


                            class AesCbc128(Entity):
                                """
                                Use 128 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128, self).__init__()

                                    self.yang_name = "aes-cbc-128"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-cbc-128"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-cbc-128"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.AesCbc128.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Aes192(Entity):
                                """
                                Use 192 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192, self).__init__()

                                    self.yang_name = "aes-192"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-192"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-192"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes192.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                            class Aes256(Entity):
                                """
                                Use 256 bit key
                                
                                .. attribute:: key_string
                                
                                	
                                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256, self).__init__()

                                    self.yang_name = "aes-256"
                                    self.yang_parent_name = "aes-cbc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString)}
                                    self._child_list_classes = {}

                                    self.key_string = Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString()
                                    self.key_string.parent = self
                                    self._children_name_map["key_string"] = "key-string"
                                    self._children_yang_names.add("key-string")
                                    self._segment_path = lambda: "aes-256"


                                class KeyString(Entity):
                                    """
                                    
                                    
                                    .. attribute:: encrypt
                                    
                                    	
                                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString.Encrypt>`
                                    
                                    .. attribute:: string
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString, self).__init__()

                                        self.yang_name = "key-string"
                                        self.yang_parent_name = "aes-256"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                        self.string = YLeaf(YType.str, "string")
                                        self._segment_path = lambda: "key-string"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Encryption.Ipsec.AesCbc.Aes256.KeyString, ['encrypt', 'string'], name, value)

                                    class Encrypt(Enum):
                                        """
                                        Encrypt

                                        .. data:: Y_0 = 0

                                        .. data:: Y_7 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_7 = Enum.YLeaf(1, "7")



                class Manet(Entity):
                    """
                    Mobile Adhoc Networking options
                    
                    .. attribute:: peering
                    
                    	MANET Peering options
                    	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Manet.Peering>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ospfv3.Manet, self).__init__()

                        self.yang_name = "manet"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"peering" : ("peering", Native.Interface.Tunnel.Ospfv3.Manet.Peering)}
                        self._child_list_classes = {}

                        self.peering = Native.Interface.Tunnel.Ospfv3.Manet.Peering()
                        self.peering.parent = self
                        self._children_name_map["peering"] = "peering"
                        self._children_yang_names.add("peering")
                        self._segment_path = lambda: "manet"


                    class Peering(Entity):
                        """
                        MANET Peering options
                        
                        .. attribute:: cost
                        
                        	Redundant path cost improvement required to peer
                        	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Manet.Peering.Cost>`
                        
                        .. attribute:: link_metrics
                        
                        	Require link metrics
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.Manet.Peering, self).__init__()

                            self.yang_name = "peering"
                            self.yang_parent_name = "manet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cost" : ("cost", Native.Interface.Tunnel.Ospfv3.Manet.Peering.Cost)}
                            self._child_list_classes = {}

                            self.link_metrics = YLeaf(YType.uint32, "link-metrics")

                            self.cost = Native.Interface.Tunnel.Ospfv3.Manet.Peering.Cost()
                            self.cost.parent = self
                            self._children_name_map["cost"] = "cost"
                            self._children_yang_names.add("cost")
                            self._segment_path = lambda: "peering"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Manet.Peering, ['link_metrics'], name, value)


                        class Cost(Entity):
                            """
                            Redundant path cost improvement required to peer
                            
                            .. attribute:: percent
                            
                            	Relative incremental path cost
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            .. attribute:: threshold
                            
                            	Absolute incremental path cost
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Tunnel.Ospfv3.Manet.Peering.Cost, self).__init__()

                                self.yang_name = "cost"
                                self.yang_parent_name = "peering"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.percent = YLeaf(YType.uint8, "percent")

                                self.threshold = YLeaf(YType.uint32, "threshold")
                                self._segment_path = lambda: "cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Manet.Peering.Cost, ['percent', 'threshold'], name, value)


                class MultiArea(Entity):
                    """
                    Set the OSPF multi\-area ID
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967295
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	Interface cost
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ospfv3.MultiArea, self).__init__()

                        self.yang_name = "multi-area"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.cost = YLeaf(YType.uint32, "cost")
                        self._segment_path = lambda: "multi-area"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.MultiArea, ['id', 'cost'], name, value)


                class Neighbor(Entity):
                    """
                    OSPF neighbor
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	OSPF cost for point\-to\-multipoint neighbor
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: database_filter
                    
                    	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter>`
                    
                    .. attribute:: poll_interval
                    
                    	OSPF dead\-router polling interval
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: priority
                    
                    	OSPF priority of non\-broadcast neighbor
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ospfv3.Neighbor, self).__init__()

                        self.yang_name = "neighbor"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"database-filter" : ("database_filter", Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.database_filter = Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter()
                        self.database_filter.parent = self
                        self._children_name_map["database_filter"] = "database-filter"
                        self._children_yang_names.add("database-filter")
                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Neighbor, ['id', 'cost', 'poll_interval', 'priority'], name, value)


                    class DatabaseFilter(Entity):
                        """
                        Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                        
                        .. attribute:: all
                        
                        	Filter all LSA
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter.All>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter, self).__init__()

                            self.yang_name = "database-filter"
                            self.yang_parent_name = "neighbor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.enumeration, "all")
                            self._segment_path = lambda: "database-filter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Neighbor.DatabaseFilter, ['all'], name, value)

                        class All(Enum):
                            """
                            All

                            Filter all LSA

                            .. data:: out = 0

                            """

                            out = Enum.YLeaf(0, "out")



                class Network(Entity):
                    """
                    Network type
                    
                    .. attribute:: broadcast
                    
                    	Specify OSPF broadcast multi\-access network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: manet
                    
                    	Specify MANET OSPF interface type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: non_broadcast
                    
                    	Specify OSPF NBMA network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: point_to_multipoint
                    
                    	Specify OSPF point\-to\-multipoint network
                    	**type**\:  :py:class:`PointToMultipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Ospfv3.Network.PointToMultipoint>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: point_to_point
                    
                    	Specify OSPF point\-to\-point network
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ospfv3.Network, self).__init__()

                        self.yang_name = "network"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"point-to-multipoint" : ("point_to_multipoint", Native.Interface.Tunnel.Ospfv3.Network.PointToMultipoint)}
                        self._child_list_classes = {}

                        self.broadcast = YLeaf(YType.empty, "broadcast")

                        self.manet = YLeaf(YType.empty, "manet")

                        self.non_broadcast = YLeaf(YType.empty, "non-broadcast")

                        self.point_to_point = YLeaf(YType.empty, "point-to-point")

                        self.point_to_multipoint = None
                        self._children_name_map["point_to_multipoint"] = "point-to-multipoint"
                        self._children_yang_names.add("point-to-multipoint")
                        self._segment_path = lambda: "network"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Network, ['broadcast', 'manet', 'non_broadcast', 'point_to_point'], name, value)


                    class PointToMultipoint(Entity):
                        """
                        Specify OSPF point\-to\-multipoint network
                        
                        .. attribute:: non_broadcast
                        
                        	Specify non\-broadcast point\-to\-mpoint network
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Tunnel.Ospfv3.Network.PointToMultipoint, self).__init__()

                            self.yang_name = "point-to-multipoint"
                            self.yang_parent_name = "network"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.non_broadcast = YLeaf(YType.empty, "non-broadcast")
                            self._segment_path = lambda: "point-to-multipoint"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Tunnel.Ospfv3.Network.PointToMultipoint, ['non_broadcast'], name, value)


                class PrefixSuppression(Entity):
                    """
                    OSPF prefix suppression
                    
                    .. attribute:: disable
                    
                    	Disable prefix suppression
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Ospfv3.PrefixSuppression, self).__init__()

                        self.yang_name = "prefix-suppression"
                        self.yang_parent_name = "ospfv3"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "prefix-suppression"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Ospfv3.PrefixSuppression, ['disable'], name, value)


            class Udld(Entity):
                """
                Configure UDLD enabled or disabled and ignore global UDLD setting
                
                .. attribute:: port
                
                	Enable UDLD protocol on this interface despite global UDLD setting
                	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Tunnel.Udld.Port>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-udld'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Tunnel.Udld, self).__init__()

                    self.yang_name = "udld"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port" : ("port", Native.Interface.Tunnel.Udld.Port)}
                    self._child_list_classes = {}

                    self.port = None
                    self._children_name_map["port"] = "port"
                    self._children_yang_names.add("port")
                    self._segment_path = lambda: "Cisco-IOS-XE-udld:udld"


                class Port(Entity):
                    """
                    Enable UDLD protocol on this interface despite global UDLD setting
                    
                    .. attribute:: aggressive
                    
                    	Enable UDLD protocol in aggressive mode on this interface despite global UDLD setting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disable
                    
                    	Disable UDLD protocol on this interface despite global UDLD setting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-udld'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Tunnel.Udld.Port, self).__init__()

                        self.yang_name = "port"
                        self.yang_parent_name = "udld"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aggressive = YLeaf(YType.empty, "aggressive")

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "port"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Tunnel.Udld.Port, ['aggressive', 'disable'], name, value)


            class ZoneMember(Entity):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\: str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.Tunnel.ZoneMember, self).__init__()

                    self.yang_name = "zone-member"
                    self.yang_parent_name = "Tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.security = YLeaf(YType.str, "security")
                    self._segment_path = lambda: "Cisco-IOS-XE-zone:zone-member"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Tunnel.ZoneMember, ['security'], name, value)


        class VirtualTemplate(Entity):
            """
            Virtual Template interface
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..4095
            
            .. attribute:: type
            
            	type of the virtual\-template
            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Type>`
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.PmPath>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:  :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.CarrierDelay>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:  :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:  :py:class:`ChannelProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ChannelProtocol>`
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet>`
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:  :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Negotiation>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:  :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Synchronous>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:  :py:class:`Duplex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Duplex>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:  :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Speed>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:  :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:  :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Pppoe>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service>`
            
            .. attribute:: cdp
            
            	CDP interface subcommands
            	**type**\:  :py:class:`Cdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cdp>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Snmp>`
            
            .. attribute:: nhrp
            
            	NHRP Interface commands
            	**type**\:  :py:class:`Nhrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Nhrp>`
            
            .. attribute:: tunnel
            
            	protocol\-over\-protocol tunneling
            	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel>`
            
            .. attribute:: crypto
            
            	Encryption/Decryption commands
            	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Crypto>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy>`
            
            .. attribute:: ppp
            
            	Point\-to\-Point Protocol
            	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp>`
            
            .. attribute:: mab
            
            	
            	**type**\:  :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Mab>`
            
            	**presence node**\: True
            
            .. attribute:: zone_member
            
            	Apply zone name
            	**type**\:  :py:class:`ZoneMember <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ZoneMember>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.VirtualTemplate, self).__init__()

                self.yang_name = "Virtual-Template"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.VirtualTemplate.SwitchportConf), "switchport" : ("switchport", Native.Interface.VirtualTemplate.Switchport), "arp" : ("arp", Native.Interface.VirtualTemplate.Arp), "backup" : ("backup", Native.Interface.VirtualTemplate.Backup), "cemoudp" : ("cemoudp", Native.Interface.VirtualTemplate.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.VirtualTemplate.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.VirtualTemplate.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.VirtualTemplate.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.VirtualTemplate.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.VirtualTemplate.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.VirtualTemplate.Flowcontrol), "isis" : ("isis", Native.Interface.VirtualTemplate.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.VirtualTemplate.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.VirtualTemplate.Bfd), "bandwidth" : ("bandwidth", Native.Interface.VirtualTemplate.Bandwidth), "dampening" : ("dampening", Native.Interface.VirtualTemplate.Dampening), "domain" : ("domain", Native.Interface.VirtualTemplate.Domain), "mpls" : ("mpls", Native.Interface.VirtualTemplate.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.VirtualTemplate.IpVrf), "vrf" : ("vrf", Native.Interface.VirtualTemplate.Vrf), "ip" : ("ip", Native.Interface.VirtualTemplate.Ip), "ipv6" : ("ipv6", Native.Interface.VirtualTemplate.Ipv6), "logging" : ("logging", Native.Interface.VirtualTemplate.Logging), "mdix" : ("mdix", Native.Interface.VirtualTemplate.Mdix), "mop" : ("mop", Native.Interface.VirtualTemplate.Mop), "interface_qos" : ("interface_qos", Native.Interface.VirtualTemplate.InterfaceQos), "standby" : ("standby", Native.Interface.VirtualTemplate.Standby), "access-session" : ("access_session", Native.Interface.VirtualTemplate.AccessSession), "storm-control" : ("storm_control", Native.Interface.VirtualTemplate.StormControl), "trust" : ("trust", Native.Interface.VirtualTemplate.Trust), "priority-queue" : ("priority_queue", Native.Interface.VirtualTemplate.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.VirtualTemplate.RcvQueue), "peer" : ("peer", Native.Interface.VirtualTemplate.Peer), "pm-path" : ("pm_path", Native.Interface.VirtualTemplate.PmPath), "Cisco-IOS-XE-ethernet:carrier-delay" : ("carrier_delay", Native.Interface.VirtualTemplate.CarrierDelay), "Cisco-IOS-XE-ethernet:channel-group" : ("channel_group", Native.Interface.VirtualTemplate.ChannelGroup), "Cisco-IOS-XE-ethernet:ethernet" : ("ethernet", Native.Interface.VirtualTemplate.Ethernet), "Cisco-IOS-XE-ethernet:negotiation" : ("negotiation", Native.Interface.VirtualTemplate.Negotiation), "Cisco-IOS-XE-ethernet:synchronous" : ("synchronous", Native.Interface.VirtualTemplate.Synchronous), "Cisco-IOS-XE-ethernet:speed" : ("speed", Native.Interface.VirtualTemplate.Speed), "Cisco-IOS-XE-ethernet:plim" : ("plim", Native.Interface.VirtualTemplate.Plim), "Cisco-IOS-XE-ethernet:pppoe" : ("pppoe", Native.Interface.VirtualTemplate.Pppoe), "Cisco-IOS-XE-ethernet:service" : ("service", Native.Interface.VirtualTemplate.Service), "Cisco-IOS-XE-cdp:cdp" : ("cdp", Native.Interface.VirtualTemplate.Cdp), "Cisco-IOS-XE-snmp:snmp" : ("snmp", Native.Interface.VirtualTemplate.Snmp), "Cisco-IOS-XE-tunnel:nhrp" : ("nhrp", Native.Interface.VirtualTemplate.Nhrp), "Cisco-IOS-XE-tunnel:tunnel" : ("tunnel", Native.Interface.VirtualTemplate.Tunnel), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.VirtualTemplate.Crypto), "Cisco-IOS-XE-cts:cts" : ("cts", Native.Interface.VirtualTemplate.Cts), "Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.Interface.VirtualTemplate.ServicePolicy), "Cisco-IOS-XE-ppp:ppp" : ("ppp", Native.Interface.VirtualTemplate.Ppp), "Cisco-IOS-XE-sanet:mab" : ("mab", Native.Interface.VirtualTemplate.Mab), "Cisco-IOS-XE-zone:zone-member" : ("zone_member", Native.Interface.VirtualTemplate.ZoneMember)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.VirtualTemplate.HoldQueue)}

                self.name = YLeaf(YType.uint16, "name")

                self.type = YLeaf(YType.enumeration, "type")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.channel_protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:channel-protocol")

                self.duplex = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:duplex")

                self.switchport_conf = Native.Interface.VirtualTemplate.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.VirtualTemplate.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.VirtualTemplate.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.VirtualTemplate.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.VirtualTemplate.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.VirtualTemplate.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.VirtualTemplate.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.VirtualTemplate.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.VirtualTemplate.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.VirtualTemplate.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.VirtualTemplate.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.VirtualTemplate.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.VirtualTemplate.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.VirtualTemplate.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.VirtualTemplate.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.VirtualTemplate.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.VirtualTemplate.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.VirtualTemplate.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.VirtualTemplate.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.VirtualTemplate.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.VirtualTemplate.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.VirtualTemplate.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.VirtualTemplate.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.VirtualTemplate.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.VirtualTemplate.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.VirtualTemplate.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.VirtualTemplate.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.VirtualTemplate.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.VirtualTemplate.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.VirtualTemplate.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.VirtualTemplate.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.VirtualTemplate.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.VirtualTemplate.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.carrier_delay = Native.Interface.VirtualTemplate.CarrierDelay()
                self.carrier_delay.parent = self
                self._children_name_map["carrier_delay"] = "carrier-delay"
                self._children_yang_names.add("carrier-delay")

                self.channel_group = Native.Interface.VirtualTemplate.ChannelGroup()
                self.channel_group.parent = self
                self._children_name_map["channel_group"] = "channel-group"
                self._children_yang_names.add("channel-group")

                self.ethernet = Native.Interface.VirtualTemplate.Ethernet()
                self.ethernet.parent = self
                self._children_name_map["ethernet"] = "ethernet"
                self._children_yang_names.add("ethernet")

                self.negotiation = Native.Interface.VirtualTemplate.Negotiation()
                self.negotiation.parent = self
                self._children_name_map["negotiation"] = "negotiation"
                self._children_yang_names.add("negotiation")

                self.synchronous = Native.Interface.VirtualTemplate.Synchronous()
                self.synchronous.parent = self
                self._children_name_map["synchronous"] = "synchronous"
                self._children_yang_names.add("synchronous")

                self.speed = Native.Interface.VirtualTemplate.Speed()
                self.speed.parent = self
                self._children_name_map["speed"] = "speed"
                self._children_yang_names.add("speed")

                self.plim = Native.Interface.VirtualTemplate.Plim()
                self.plim.parent = self
                self._children_name_map["plim"] = "plim"
                self._children_yang_names.add("plim")

                self.pppoe = Native.Interface.VirtualTemplate.Pppoe()
                self.pppoe.parent = self
                self._children_name_map["pppoe"] = "pppoe"
                self._children_yang_names.add("pppoe")

                self.service = Native.Interface.VirtualTemplate.Service()
                self.service.parent = self
                self._children_name_map["service"] = "service"
                self._children_yang_names.add("service")

                self.cdp = Native.Interface.VirtualTemplate.Cdp()
                self.cdp.parent = self
                self._children_name_map["cdp"] = "cdp"
                self._children_yang_names.add("cdp")

                self.snmp = Native.Interface.VirtualTemplate.Snmp()
                self.snmp.parent = self
                self._children_name_map["snmp"] = "snmp"
                self._children_yang_names.add("snmp")

                self.nhrp = Native.Interface.VirtualTemplate.Nhrp()
                self.nhrp.parent = self
                self._children_name_map["nhrp"] = "nhrp"
                self._children_yang_names.add("nhrp")

                self.tunnel = Native.Interface.VirtualTemplate.Tunnel()
                self.tunnel.parent = self
                self._children_name_map["tunnel"] = "tunnel"
                self._children_yang_names.add("tunnel")

                self.crypto = Native.Interface.VirtualTemplate.Crypto()
                self.crypto.parent = self
                self._children_name_map["crypto"] = "crypto"
                self._children_yang_names.add("crypto")

                self.cts = Native.Interface.VirtualTemplate.Cts()
                self.cts.parent = self
                self._children_name_map["cts"] = "cts"
                self._children_yang_names.add("cts")

                self.service_policy = Native.Interface.VirtualTemplate.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.ppp = Native.Interface.VirtualTemplate.Ppp()
                self.ppp.parent = self
                self._children_name_map["ppp"] = "ppp"
                self._children_yang_names.add("ppp")

                self.mab = None
                self._children_name_map["mab"] = "mab"
                self._children_yang_names.add("mab")

                self.zone_member = Native.Interface.VirtualTemplate.ZoneMember()
                self.zone_member.parent = self
                self._children_name_map["zone_member"] = "zone-member"
                self._children_yang_names.add("zone-member")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "Virtual-Template" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.VirtualTemplate, ['name', 'type', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion', 'channel_protocol', 'duplex'], name, value)

            class ChannelProtocol(Enum):
                """
                ChannelProtocol

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = Enum.YLeaf(0, "lacp")

                pagp = Enum.YLeaf(1, "pagp")


            class Duplex(Enum):
                """
                Duplex

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = Enum.YLeaf(0, "auto")

                full = Enum.YLeaf(1, "full")

                half = Enum.YLeaf(2, "half")


            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")


            class Type(Enum):
                """
                Type

                type of the virtual\-template

                .. data:: ethernet = 0

                .. data:: serial = 1

                .. data:: tunnel = 2

                .. data:: vpn = 3

                """

                ethernet = Enum.YLeaf(0, "ethernet")

                serial = Enum.YLeaf(1, "serial")

                tunnel = Enum.YLeaf(2, "tunnel")

                vpn = Enum.YLeaf(3, "vpn")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.VirtualTemplate.Backup.Delay), "interface" : ("interface", Native.Interface.VirtualTemplate.Backup.Interface), "load" : ("load", Native.Interface.VirtualTemplate.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.VirtualTemplate.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.VirtualTemplate.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.VirtualTemplate.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.VirtualTemplate.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.VirtualTemplate.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.VirtualTemplate.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.VirtualTemplate.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.VirtualTemplate.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.VirtualTemplate.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.VirtualTemplate.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.VirtualTemplate.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.VirtualTemplate.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.VirtualTemplate.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.VirtualTemplate.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.VirtualTemplate.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.VirtualTemplate.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.VirtualTemplate.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.VirtualTemplate.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.VirtualTemplate.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.VirtualTemplate.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.VirtualTemplate.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.VirtualTemplate.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.VirtualTemplate.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.VirtualTemplate.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.VirtualTemplate.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.VirtualTemplate.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                .. attribute:: adjacency_filter
                
                	Filter IS\-IS adjacencies
                	**type**\:  :py:class:`AdjacencyFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.AdjacencyFilter>`
                
                .. attribute:: advertise
                
                	Control addresses advertisements in LSPs
                	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Advertise>`
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication>`
                
                .. attribute:: circuit_type
                
                	Configure circuit type for interface
                	**type**\:  :py:class:`CircuitType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.CircuitType>`
                
                	**presence node**\: True
                
                .. attribute:: csnp_interval
                
                	Set CSNP interval in seconds
                	**type**\:  :py:class:`CsnpInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.CsnpInterval>`
                
                .. attribute:: hello
                
                	Add padding to IS\-IS hello packets
                	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Hello>`
                
                .. attribute:: hello_interval
                
                	Set Hello interval in seconds
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval>`
                
                .. attribute:: hello_multiplier
                
                	Set multiplier for Hello holding time
                	**type**\:  :py:class:`HelloMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloMultiplier>`
                
                .. attribute:: ipv6
                
                	IPv6 interface configuration
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Ipv6>`
                
                .. attribute:: lsp_interval
                
                	Set LSP transmission interval
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: mesh_group
                
                	Set ISIS mesh group
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4294967295
                
                		**type**\:  :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.MeshGroup>`
                
                .. attribute:: metric
                
                	Configure the metric for interface
                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric>`
                
                .. attribute:: network
                
                	Network type
                	**type**\:  :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Network>`
                
                .. attribute:: password
                
                	Configure the authentication password for interface
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Password>`
                
                .. attribute:: priority
                
                	Set priority for Designated Router election
                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Priority>`
                
                .. attribute:: protocol
                
                	Set ISIS protocol's state under current interface
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Protocol>`
                
                .. attribute:: retransmit_interval
                
                	Set per\-LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: retransmit_throttle_interval
                
                	Set interface LSP retransmission interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: tag
                
                	Assign an admin tag to an ISIS interface IP route
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: three_way_handshake
                
                	Select Cisco or IETF three\-way handshake
                	**type**\:  :py:class:`ThreeWayHandshake <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-isis:adjacency-filter" : ("adjacency_filter", Native.Interface.VirtualTemplate.Isis.AdjacencyFilter), "Cisco-IOS-XE-isis:advertise" : ("advertise", Native.Interface.VirtualTemplate.Isis.Advertise), "Cisco-IOS-XE-isis:authentication" : ("authentication", Native.Interface.VirtualTemplate.Isis.Authentication), "Cisco-IOS-XE-isis:circuit-type" : ("circuit_type", Native.Interface.VirtualTemplate.Isis.CircuitType), "Cisco-IOS-XE-isis:csnp-interval" : ("csnp_interval", Native.Interface.VirtualTemplate.Isis.CsnpInterval), "Cisco-IOS-XE-isis:hello" : ("hello", Native.Interface.VirtualTemplate.Isis.Hello), "Cisco-IOS-XE-isis:hello-interval" : ("hello_interval", Native.Interface.VirtualTemplate.Isis.HelloInterval), "Cisco-IOS-XE-isis:hello-multiplier" : ("hello_multiplier", Native.Interface.VirtualTemplate.Isis.HelloMultiplier), "Cisco-IOS-XE-isis:ipv6" : ("ipv6", Native.Interface.VirtualTemplate.Isis.Ipv6), "Cisco-IOS-XE-isis:metric" : ("metric", Native.Interface.VirtualTemplate.Isis.Metric), "Cisco-IOS-XE-isis:password" : ("password", Native.Interface.VirtualTemplate.Isis.Password), "Cisco-IOS-XE-isis:priority" : ("priority", Native.Interface.VirtualTemplate.Isis.Priority), "Cisco-IOS-XE-isis:three-way-handshake" : ("three_way_handshake", Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake)}
                    self._child_list_classes = {}

                    self.lsp_interval = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:lsp-interval")

                    self.mesh_group = YLeaf(YType.str, "Cisco-IOS-XE-isis:mesh-group")

                    self.network = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:network")

                    self.protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-isis:protocol")

                    self.retransmit_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-interval")

                    self.retransmit_throttle_interval = YLeaf(YType.uint16, "Cisco-IOS-XE-isis:retransmit-throttle-interval")

                    self.tag = YLeaf(YType.uint32, "Cisco-IOS-XE-isis:tag")

                    self.adjacency_filter = Native.Interface.VirtualTemplate.Isis.AdjacencyFilter()
                    self.adjacency_filter.parent = self
                    self._children_name_map["adjacency_filter"] = "adjacency-filter"
                    self._children_yang_names.add("adjacency-filter")

                    self.advertise = Native.Interface.VirtualTemplate.Isis.Advertise()
                    self.advertise.parent = self
                    self._children_name_map["advertise"] = "advertise"
                    self._children_yang_names.add("advertise")

                    self.authentication = Native.Interface.VirtualTemplate.Isis.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.circuit_type = None
                    self._children_name_map["circuit_type"] = "circuit-type"
                    self._children_yang_names.add("circuit-type")

                    self.csnp_interval = Native.Interface.VirtualTemplate.Isis.CsnpInterval()
                    self.csnp_interval.parent = self
                    self._children_name_map["csnp_interval"] = "csnp-interval"
                    self._children_yang_names.add("csnp-interval")

                    self.hello = Native.Interface.VirtualTemplate.Isis.Hello()
                    self.hello.parent = self
                    self._children_name_map["hello"] = "hello"
                    self._children_yang_names.add("hello")

                    self.hello_interval = Native.Interface.VirtualTemplate.Isis.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.hello_multiplier = Native.Interface.VirtualTemplate.Isis.HelloMultiplier()
                    self.hello_multiplier.parent = self
                    self._children_name_map["hello_multiplier"] = "hello-multiplier"
                    self._children_yang_names.add("hello-multiplier")

                    self.ipv6 = Native.Interface.VirtualTemplate.Isis.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.metric = Native.Interface.VirtualTemplate.Isis.Metric()
                    self.metric.parent = self
                    self._children_name_map["metric"] = "metric"
                    self._children_yang_names.add("metric")

                    self.password = Native.Interface.VirtualTemplate.Isis.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")

                    self.priority = Native.Interface.VirtualTemplate.Isis.Priority()
                    self.priority.parent = self
                    self._children_name_map["priority"] = "priority"
                    self._children_yang_names.add("priority")

                    self.three_way_handshake = None
                    self._children_name_map["three_way_handshake"] = "three-way-handshake"
                    self._children_yang_names.add("three-way-handshake")
                    self._segment_path = lambda: "isis"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Isis, ['lsp_interval', 'mesh_group', 'network', 'protocol', 'retransmit_interval', 'retransmit_throttle_interval', 'tag'], name, value)

                class MeshGroup(Enum):
                    """
                    MeshGroup

                    Set ISIS mesh group

                    .. data:: blocked = 0

                    """

                    blocked = Enum.YLeaf(0, "blocked")


                class Network(Enum):
                    """
                    Network

                    Network type

                    .. data:: point_to_point = 0

                    """

                    point_to_point = Enum.YLeaf(0, "point-to-point")


                class Protocol(Enum):
                    """
                    Protocol

                    Set ISIS protocol's state under current interface

                    .. data:: shutdown = 0

                    """

                    shutdown = Enum.YLeaf(0, "shutdown")



                class AdjacencyFilter(Entity):
                    """
                    Filter IS\-IS adjacencies
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: match_all
                    
                    	Match all area addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Isis.AdjacencyFilter, self).__init__()

                        self.yang_name = "adjacency-filter"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.match_all = YLeaf(YType.empty, "match-all")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:adjacency-filter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Isis.AdjacencyFilter, ['name', 'match_all'], name, value)


                class Advertise(Entity):
                    """
                    Control addresses advertisements in LSPs
                    
                    .. attribute:: prefix
                    
                    	Interface IP address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Isis.Advertise, self).__init__()

                        self.yang_name = "advertise"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.prefix = YLeaf(YType.empty, "prefix")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:advertise"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Advertise, ['prefix'], name, value)


                class Authentication(Entity):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication.Mode>`
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:  :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Isis.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mode" : ("mode", Native.Interface.VirtualTemplate.Isis.Authentication.Mode), "key-chain" : ("key_chain", Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain), "send-only" : ("send_only", Native.Interface.VirtualTemplate.Isis.Authentication.SendOnly)}
                        self._child_list_classes = {}

                        self.mode = Native.Interface.VirtualTemplate.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")

                        self.key_chain = Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.send_only = None
                        self._children_name_map["send_only"] = "send-only"
                        self._children_yang_names.add("send-only")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:authentication"


                    class Mode(Entity):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:  :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Isis.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Md5), "text" : ("text", Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Text)}
                            self._child_list_classes = {}

                            self.md5 = None
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.text = None
                            self._children_name_map["text"] = "text"
                            self._children_yang_names.add("text")
                            self._segment_path = lambda: "mode"


                        class Md5(Entity):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Md5, ['levels'], name, value)


                        class Text(Entity):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Text, self).__init__()

                                self.yang_name = "text"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "text"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Authentication.Mode.Text, ['levels'], name, value)


                    class KeyChain(Entity):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of  		 :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"key-chain-list" : ("key_chain_list", Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain.KeyChainList)}

                            self.name = YLeaf(YType.str, "name")

                            self.key_chain_list = YList(self)
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain, ['name'], name, value)


                        class KeyChainList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain.KeyChainList, self).__init__()

                                self.yang_name = "key-chain-list"
                                self.yang_parent_name = "key-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Authentication.KeyChain.KeyChainList, ['levels', 'name'], name, value)


                    class SendOnly(Entity):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Isis.Authentication.SendOnly, self).__init__()

                            self.yang_name = "send-only"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")
                            self._segment_path = lambda: "send-only"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Authentication.SendOnly, ['levels'], name, value)


                class CircuitType(Entity):
                    """
                    Configure circuit type for interface
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.CircuitType.Levels>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Isis.CircuitType, self).__init__()

                        self.yang_name = "circuit-type"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.levels = YLeaf(YType.enumeration, "levels")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:circuit-type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Isis.CircuitType, ['levels'], name, value)

                    class Levels(Enum):
                        """
                        Levels

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2_only = 2

                        """

                        level_1 = Enum.YLeaf(0, "level-1")

                        level_1_2 = Enum.YLeaf(1, "level-1-2")

                        level_2_only = Enum.YLeaf(2, "level-2-only")



                class CsnpInterval(Entity):
                    """
                    Set CSNP interval in seconds
                    
                    .. attribute:: csnp_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`CsnpIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Isis.CsnpInterval, self).__init__()

                        self.yang_name = "csnp-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"csnp-interval-list" : ("csnp_interval_list", Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.csnp_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:csnp-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Isis.CsnpInterval, ['value'], name, value)


                    class CsnpIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList, self).__init__()

                            self.yang_name = "csnp-interval-list"
                            self.yang_parent_name = "csnp-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "csnp-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Isis.CsnpInterval.CsnpIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Hello(Entity):
                    """
                    Add padding to IS\-IS hello packets
                    
                    .. attribute:: padding
                    
                    	Pad hello packets
                    	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Isis.Hello, self).__init__()

                        self.yang_name = "hello"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"padding" : ("padding", Native.Interface.VirtualTemplate.Isis.Hello.Padding)}
                        self._child_list_classes = {}

                        self.padding = None
                        self._children_name_map["padding"] = "padding"
                        self._children_yang_names.add("padding")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello"


                    class Padding(Entity):
                        """
                        Pad hello packets
                        
                        .. attribute:: always
                        
                        	Never pad hello packets if no prefix present
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Isis.Hello.Padding, self).__init__()

                            self.yang_name = "padding"
                            self.yang_parent_name = "hello"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.always = YLeaf(YType.empty, "always")
                            self._segment_path = lambda: "padding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Hello.Padding, ['always'], name, value)


                class HelloInterval(Entity):
                    """
                    Set Hello interval in seconds
                    
                    .. attribute:: hello_interval_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloIntervalList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..65535
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Isis.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-interval-list" : ("hello_interval_list", Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList)}

                        self.value = YLeaf(YType.str, "value")

                        self.hello_interval_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Isis.HelloInterval, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: minimal = 0

                        """

                        minimal = Enum.YLeaf(0, "minimal")



                    class HelloIntervalList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..65535
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList, self).__init__()

                            self.yang_name = "hello-interval-list"
                            self.yang_parent_name = "hello-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "hello-interval-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Isis.HelloInterval.HelloIntervalList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: minimal = 0

                            """

                            minimal = Enum.YLeaf(0, "minimal")



                class HelloMultiplier(Entity):
                    """
                    Set multiplier for Hello holding time
                    
                    .. attribute:: hello_multiplier_list
                    
                    	
                    	**type**\: list of  		 :py:class:`HelloMultiplierList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 3..1000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Isis.HelloMultiplier, self).__init__()

                        self.yang_name = "hello-multiplier"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"hello-multiplier-list" : ("hello_multiplier_list", Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList)}

                        self.value = YLeaf(YType.uint16, "value")

                        self.hello_multiplier_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:hello-multiplier"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Isis.HelloMultiplier, ['value'], name, value)


                    class HelloMultiplierList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 3..1000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList, self).__init__()

                            self.yang_name = "hello-multiplier-list"
                            self.yang_parent_name = "hello-multiplier"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint16, "value")
                            self._segment_path = lambda: "hello-multiplier-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Isis.HelloMultiplier.HelloMultiplierList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Ipv6(Entity):
                    """
                    IPv6 interface configuration
                    
                    .. attribute:: metric
                    
                    	Configure the metric for interface
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Ipv6.Metric>`
                    
                    .. attribute:: tag
                    
                    	Assign an admin tag to an ISIS interface IPv6 route
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Isis.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"metric" : ("metric", Native.Interface.VirtualTemplate.Isis.Ipv6.Metric)}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.uint32, "tag")

                        self.metric = Native.Interface.VirtualTemplate.Isis.Ipv6.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Ipv6, ['tag'], name, value)


                    class Metric(Entity):
                        """
                        Configure the metric for interface
                        
                        .. attribute:: metric_list
                        
                        	
                        	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Isis.Ipv6.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList)}

                            self.value = YLeaf(YType.str, "value")

                            self.metric_list = YList(self)
                            self._segment_path = lambda: "metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Ipv6.Metric, ['value'], name, value)

                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                        class MetricList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList.Levels>`
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..16777214
                            
                            		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList, self).__init__()

                                self.yang_name = "metric-list"
                                self.yang_parent_name = "metric"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.value = YLeaf(YType.str, "value")
                                self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Ipv6.Metric.MetricList, ['levels', 'value'], name, value)

                            class Levels(Enum):
                                """
                                Levels

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")


                            class Value(Enum):
                                """
                                Value

                                .. data:: maximum = 0

                                """

                                maximum = Enum.YLeaf(0, "maximum")



                class Metric(Entity):
                    """
                    Configure the metric for interface
                    
                    .. attribute:: metric_list
                    
                    	
                    	**type**\: list of  		 :py:class:`MetricList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..16777214
                    
                    		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.Value>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Isis.Metric, self).__init__()

                        self.yang_name = "metric"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"metric-list" : ("metric_list", Native.Interface.VirtualTemplate.Isis.Metric.MetricList)}

                        self.value = YLeaf(YType.str, "value")

                        self.metric_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:metric"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Metric, ['value'], name, value)

                    class Value(Enum):
                        """
                        Value

                        .. data:: maximum = 0

                        """

                        maximum = Enum.YLeaf(0, "maximum")



                    class MetricList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..16777214
                        
                        		**type**\:  :py:class:`Value <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Metric.MetricList.Value>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Isis.Metric.MetricList, self).__init__()

                            self.yang_name = "metric-list"
                            self.yang_parent_name = "metric"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "metric-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Metric.MetricList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class Value(Enum):
                            """
                            Value

                            .. data:: maximum = 0

                            """

                            maximum = Enum.YLeaf(0, "maximum")



                class Password(Entity):
                    """
                    Configure the authentication password for interface
                    
                    .. attribute:: password_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PasswordList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Password.PasswordList>`
                    
                    .. attribute:: password
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Isis.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"password-list" : ("password_list", Native.Interface.VirtualTemplate.Isis.Password.PasswordList)}

                        self.password = YLeaf(YType.str, "password")

                        self.password_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Password, ['password'], name, value)


                    class PasswordList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Password.PasswordList.Levels>`
                        
                        .. attribute:: password
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Isis.Password.PasswordList, self).__init__()

                            self.yang_name = "password-list"
                            self.yang_parent_name = "password"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.password = YLeaf(YType.str, "password")
                            self._segment_path = lambda: "password-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Password.PasswordList, ['levels', 'password'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class Priority(Entity):
                    """
                    Set priority for Designated Router election
                    
                    .. attribute:: priority_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PriorityList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Priority.PriorityList>`
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Isis.Priority, self).__init__()

                        self.yang_name = "priority"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"priority-list" : ("priority_list", Native.Interface.VirtualTemplate.Isis.Priority.PriorityList)}

                        self.value = YLeaf(YType.uint8, "value")

                        self.priority_list = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:priority"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Priority, ['value'], name, value)


                    class PriorityList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.Priority.PriorityList.Levels>`
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Isis.Priority.PriorityList, self).__init__()

                            self.yang_name = "priority-list"
                            self.yang_parent_name = "priority"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.value = YLeaf(YType.uint8, "value")
                            self._segment_path = lambda: "priority-list" + "[levels='" + self.levels.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Isis.Priority.PriorityList, ['levels', 'value'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class ThreeWayHandshake(Entity):
                    """
                    Select Cisco or IETF three\-way handshake
                    
                    .. attribute:: implementor
                    
                    	
                    	**type**\:  :py:class:`Implementor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake.Implementor>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake, self).__init__()

                        self.yang_name = "three-way-handshake"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.implementor = YLeaf(YType.enumeration, "implementor")
                        self._segment_path = lambda: "Cisco-IOS-XE-isis:three-way-handshake"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Isis.ThreeWayHandshake, ['implementor'], name, value)

                    class Implementor(Enum):
                        """
                        Implementor

                        .. data:: cisco = 0

                        .. data:: ietf = 1

                        """

                        cisco = Enum.YLeaf(0, "cisco")

                        ietf = Enum.YLeaf(1, "ietf")



            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.VirtualTemplate.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.VirtualTemplate.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.VirtualTemplate.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.VirtualTemplate.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.VirtualTemplate.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.VirtualTemplate.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.VirtualTemplate.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.VirtualTemplate.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.VirtualTemplate.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.VirtualTemplate.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify>`
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Igmp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.VirtualTemplate.Ip.AccessGroup), "arp" : ("arp", Native.Interface.VirtualTemplate.Ip.Arp), "vrf" : ("vrf", Native.Interface.VirtualTemplate.Ip.Vrf), "no-address" : ("no_address", Native.Interface.VirtualTemplate.Ip.NoAddress), "address" : ("address", Native.Interface.VirtualTemplate.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.VirtualTemplate.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.VirtualTemplate.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.VirtualTemplate.Ip.HoldTime), "pim" : ("pim", Native.Interface.VirtualTemplate.Ip.Pim), "policy" : ("policy", Native.Interface.VirtualTemplate.Ip.Policy), "rip" : ("rip", Native.Interface.VirtualTemplate.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.VirtualTemplate.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.VirtualTemplate.Ip.RouteCache), "router" : ("router", Native.Interface.VirtualTemplate.Ip.Router), "tcp" : ("tcp", Native.Interface.VirtualTemplate.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.VirtualTemplate.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.VirtualTemplate.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.VirtualTemplate.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.VirtualTemplate.Ip.Verify), "Cisco-IOS-XE-igmp:igmp" : ("igmp", Native.Interface.VirtualTemplate.Ip.Igmp)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.VirtualTemplate.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.VirtualTemplate.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.VirtualTemplate.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.VirtualTemplate.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.VirtualTemplate.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.VirtualTemplate.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.VirtualTemplate.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.VirtualTemplate.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.VirtualTemplate.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.VirtualTemplate.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.VirtualTemplate.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.VirtualTemplate.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.VirtualTemplate.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.VirtualTemplate.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.VirtualTemplate.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.VirtualTemplate.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.VirtualTemplate.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.VirtualTemplate.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.VirtualTemplate.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.igmp = Native.Interface.VirtualTemplate.Ip.Igmp()
                    self.igmp.parent = self
                    self._children_name_map["igmp"] = "igmp"
                    self._children_yang_names.add("igmp")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.VirtualTemplate.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.VirtualTemplate.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.VirtualTemplate.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.VirtualTemplate.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.VirtualTemplate.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.VirtualTemplate.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.VirtualTemplate.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.VirtualTemplate.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.VirtualTemplate.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.VirtualTemplate.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.VirtualTemplate.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.VirtualTemplate.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.VirtualTemplate.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.VirtualTemplate.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.VirtualTemplate.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.VirtualTemplate.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.VirtualTemplate.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.VirtualTemplate.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.VirtualTemplate.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.VirtualTemplate.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.VirtualTemplate.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.VirtualTemplate.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.VirtualTemplate.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.VirtualTemplate.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.VirtualTemplate.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.VirtualTemplate.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.VirtualTemplate.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.VirtualTemplate.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.VirtualTemplate.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.VirtualTemplate.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



                class Igmp(Entity):
                    """
                    IGMP interface commands
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:  :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of  		 :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ip.Igmp, self).__init__()

                        self.yang_name = "igmp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"static-group" : ("static_group", Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup)}
                        self._child_list_classes = {"join-group" : ("join_group", Native.Interface.VirtualTemplate.Ip.Igmp.JoinGroup)}

                        self.version = YLeaf(YType.uint8, "version")

                        self.static_group = Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self._children_name_map["static_group"] = "static-group"
                        self._children_yang_names.add("static-group")

                        self.join_group = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-igmp:igmp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Igmp, ['version'], name, value)


                    class StaticGroup(Entity):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of  		 :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.Groups>`
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of  		 :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup, self).__init__()

                            self.yang_name = "static-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"groups" : ("groups", Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.Groups), "class-map" : ("class_map", Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.ClassMap)}

                            self.groups = YList(self)
                            self.class_map = YList(self)
                            self._segment_path = lambda: "static-group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup, [], name, value)


                        class Groups(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.Groups.Name>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.Groups, self).__init__()

                                self.yang_name = "groups"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "groups" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.Groups, ['name'], name, value)

                            class Name(Enum):
                                """
                                Name

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = Enum.YLeaf(0, "*")



                        class ClassMap(Entity):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.ClassMap, self).__init__()

                                self.yang_name = "class-map"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")
                                self._segment_path = lambda: "class-map" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Igmp.StaticGroup.ClassMap, ['id'], name, value)


                    class JoinGroup(Entity):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ip.Igmp.JoinGroup, self).__init__()

                            self.yang_name = "join-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip_group_address = YLeaf(YType.str, "ip-group-address")

                            self.source = YLeaf(YType.str, "source")
                            self._segment_path = lambda: "join-group" + "[ip-group-address='" + self.ip_group_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ip.Igmp.JoinGroup, ['ip_group_address', 'source'], name, value)


            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.TrafficFilter>`
                
                .. attribute:: crypto
                
                	Encryption/Decryption commands
                	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Crypto>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.VirtualTemplate.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.VirtualTemplate.Ipv6.Dhcp), "address" : ("address", Native.Interface.VirtualTemplate.Ipv6.Address), "nd" : ("nd", Native.Interface.VirtualTemplate.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.VirtualTemplate.Ipv6.Tcp), "Cisco-IOS-XE-crypto:crypto" : ("crypto", Native.Interface.VirtualTemplate.Ipv6.Crypto)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.VirtualTemplate.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.VirtualTemplate.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.VirtualTemplate.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.VirtualTemplate.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.VirtualTemplate.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.crypto = Native.Interface.VirtualTemplate.Ipv6.Crypto()
                    self.crypto.parent = self
                    self._children_name_map["crypto"] = "crypto"
                    self._children_yang_names.add("crypto")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.VirtualTemplate.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.VirtualTemplate.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.VirtualTemplate.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.VirtualTemplate.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class Crypto(Entity):
                    """
                    Encryption/Decryption commands
                    
                    .. attribute:: map
                    
                    	Assign an IPv6  Crypto Map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ipv6.Crypto, self).__init__()

                        self.yang_name = "crypto"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.map = YLeaf(YType.str, "map")
                        self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ipv6.Crypto, ['map'], name, value)


            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.VirtualTemplate.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.VirtualTemplate.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.VirtualTemplate.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.VirtualTemplate.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.VirtualTemplate.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.VirtualTemplate.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.VirtualTemplate.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.VirtualTemplate.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.VirtualTemplate.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.VirtualTemplate.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.VirtualTemplate.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.VirtualTemplate.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.VirtualTemplate.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.VirtualTemplate.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.VirtualTemplate.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.VirtualTemplate.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.VirtualTemplate.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.VirtualTemplate.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.VirtualTemplate.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.VirtualTemplate.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.VirtualTemplate.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.VirtualTemplate.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.VirtualTemplate.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.VirtualTemplate.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.VirtualTemplate.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.VirtualTemplate.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.VirtualTemplate.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.VirtualTemplate.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.VirtualTemplate.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.VirtualTemplate.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.VirtualTemplate.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.VirtualTemplate.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.VirtualTemplate.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.VirtualTemplate.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.VirtualTemplate.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.VirtualTemplate.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.VirtualTemplate.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.VirtualTemplate.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.VirtualTemplate.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.VirtualTemplate.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.VirtualTemplate.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.VirtualTemplate.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.VirtualTemplate.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.PmPath, ['name', 'interface_id'], name, value)


            class CarrierDelay(Entity):
                """
                Specify delay for interface transitions
                
                .. attribute:: seconds
                
                	
                	**type**\: int
                
                	**range:** 0..60
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\: int
                
                	**range:** 0..1000
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:  :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.CarrierDelay.Down>`
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:  :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.CarrierDelay, self).__init__()

                    self.yang_name = "carrier-delay"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"down" : ("down", Native.Interface.VirtualTemplate.CarrierDelay.Down), "up" : ("up", Native.Interface.VirtualTemplate.CarrierDelay.Up)}
                    self._child_list_classes = {}

                    self.seconds = YLeaf(YType.uint8, "seconds")

                    self.msec = YLeaf(YType.uint16, "msec")

                    self.down = Native.Interface.VirtualTemplate.CarrierDelay.Down()
                    self.down.parent = self
                    self._children_name_map["down"] = "down"
                    self._children_yang_names.add("down")

                    self.up = Native.Interface.VirtualTemplate.CarrierDelay.Up()
                    self.up.parent = self
                    self._children_name_map["up"] = "up"
                    self._children_yang_names.add("up")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:carrier-delay"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.CarrierDelay, ['seconds', 'msec'], name, value)


                class Down(Entity):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.CarrierDelay.Down, self).__init__()

                        self.yang_name = "down"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "down"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.CarrierDelay.Down, ['seconds', 'msec'], name, value)


                class Up(Entity):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.CarrierDelay.Up, self).__init__()

                        self.yang_name = "up"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "up"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.CarrierDelay.Up, ['seconds', 'msec'], name, value)


            class ChannelGroup(Entity):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 1..512
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ChannelGroup.Mode>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\: int
                
                	**range:** 1..4
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.ChannelGroup, self).__init__()

                    self.yang_name = "channel-group"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint16, "number")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.non_silent = YLeaf(YType.empty, "non-silent")

                    self.link = YLeaf(YType.uint8, "link")

                    self.auto = YLeaf(YType.empty, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:channel-group"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.ChannelGroup, ['number', 'mode', 'non_silent', 'link', 'auto'], name, value)

                class Mode(Enum):
                    """
                    Mode

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = Enum.YLeaf(0, "active")

                    auto = Enum.YLeaf(1, "auto")

                    desirable = Enum.YLeaf(2, "desirable")

                    on = Enum.YLeaf(3, "on")

                    passive = Enum.YLeaf(4, "passive")



            class Ethernet(Entity):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:  :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Ethernet, self).__init__()

                    self.yang_name = "ethernet"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"oam" : ("oam", Native.Interface.VirtualTemplate.Ethernet.Oam)}
                    self._child_list_classes = {}

                    self.oam = None
                    self._children_name_map["oam"] = "oam"
                    self._children_yang_names.add("oam")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:ethernet"


                class Oam(Entity):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:  :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.Mode>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:  :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:  :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 2..30
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ethernet.Oam, self).__init__()

                        self.yang_name = "oam"
                        self.yang_parent_name = "ethernet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-monitor" : ("link_monitor", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor), "remote-failure" : ("remote_failure", Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure), "remote-loopback" : ("remote_loopback", Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteLoopback)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max_rate = YLeaf(YType.uint8, "max-rate")

                        self.min_rate = YLeaf(YType.uint8, "min-rate")

                        self.mode = YLeaf(YType.enumeration, "mode")

                        self.timeout = YLeaf(YType.uint8, "timeout")

                        self.link_monitor = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self._children_name_map["link_monitor"] = "link-monitor"
                        self._children_yang_names.add("link-monitor")

                        self.remote_failure = Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self._children_name_map["remote_failure"] = "remote-failure"
                        self._children_yang_names.add("remote-failure")

                        self.remote_loopback = Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self._children_name_map["remote_loopback"] = "remote-loopback"
                        self._children_yang_names.add("remote-loopback")
                        self._segment_path = lambda: "oam"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam, ['max_rate', 'min_rate', 'mode', 'timeout'], name, value)

                    class Mode(Enum):
                        """
                        Mode

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = Enum.YLeaf(0, "active")

                        passive = Enum.YLeaf(1, "passive")



                    class LinkMonitor(Entity):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:  :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:  :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:  :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:  :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:  :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:  :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor, self).__init__()

                            self.yang_name = "link-monitor"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"frame" : ("frame", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame), "frame-period" : ("frame_period", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod), "frame-seconds" : ("frame_seconds", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds), "high-threshold" : ("high_threshold", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold), "receive-crc" : ("receive_crc", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc), "symbol-period" : ("symbol_period", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod)}
                            self._child_list_classes = {}

                            self.on = YLeaf(YType.empty, "on")

                            self.supported = YLeaf(YType.empty, "supported")

                            self.frame = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self._children_name_map["frame"] = "frame"
                            self._children_yang_names.add("frame")

                            self.frame_period = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self._children_name_map["frame_period"] = "frame-period"
                            self._children_yang_names.add("frame-period")

                            self.frame_seconds = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self._children_name_map["frame_seconds"] = "frame-seconds"
                            self._children_yang_names.add("frame-seconds")

                            self.high_threshold = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self._children_name_map["high_threshold"] = "high-threshold"
                            self._children_yang_names.add("high-threshold")

                            self.receive_crc = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self._children_name_map["receive_crc"] = "receive-crc"
                            self._children_yang_names.add("receive-crc")

                            self.symbol_period = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self
                            self._children_name_map["symbol_period"] = "symbol-period"
                            self._children_yang_names.add("symbol-period")
                            self._segment_path = lambda: "link-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor, ['on', 'supported'], name, value)


                        class Frame(Entity):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame, self).__init__()

                                self.yang_name = "frame"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.thresh = YLeaf(YType.uint16, "thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, ['thresh', 'none'], name, value)


                        class FramePeriod(Entity):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod, self).__init__()

                                self.yang_name = "frame-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.f_thresh = YLeaf(YType.uint16, "f-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, ['f_thresh', 'none'], name, value)


                        class FrameSeconds(Entity):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds, self).__init__()

                                self.yang_name = "frame-seconds"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-seconds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\: int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-seconds"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.e_thresh = YLeaf(YType.uint16, "e-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, ['e_thresh', 'none'], name, value)


                        class HighThreshold(Entity):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold, self).__init__()

                                self.yang_name = "high-threshold"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "high-threshold"


                            class Action(Entity):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "high-threshold"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.HighThreshold.Action, ['error_disable_interface'], name, value)


                        class ReceiveCrc(Entity):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc, self).__init__()

                                self.yang_name = "receive-crc"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "receive-crc"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "receive-crc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.crc_thresh = YLeaf(YType.uint16, "crc-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, ['crc_thresh', 'none'], name, value)


                        class SymbolPeriod(Entity):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod, self).__init__()

                                self.yang_name = "symbol-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "symbol-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "symbol-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.err_thresh = YLeaf(YType.uint16, "err-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, ['err_thresh', 'none'], name, value)


                    class RemoteFailure(Entity):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:  :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:  :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:  :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure, self).__init__()

                            self.yang_name = "remote-failure"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"critical-event" : ("critical_event", Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent), "dying-gasp" : ("dying_gasp", Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp), "link-fault" : ("link_fault", Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault)}
                            self._child_list_classes = {}

                            self.critical_event = Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self._children_name_map["critical_event"] = "critical-event"
                            self._children_yang_names.add("critical-event")

                            self.dying_gasp = Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self._children_name_map["dying_gasp"] = "dying-gasp"
                            self._children_yang_names.add("dying-gasp")

                            self.link_fault = Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self
                            self._children_name_map["link_fault"] = "link-fault"
                            self._children_yang_names.add("link-fault")
                            self._segment_path = lambda: "remote-failure"


                        class CriticalEvent(Entity):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent, self).__init__()

                                self.yang_name = "critical-event"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "critical-event"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "critical-event"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, ['error_disable_interface'], name, value)


                        class DyingGasp(Entity):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp, self).__init__()

                                self.yang_name = "dying-gasp"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "dying-gasp"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "dying-gasp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.DyingGasp.Action, ['error_disable_interface'], name, value)


                        class LinkFault(Entity):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault, self).__init__()

                                self.yang_name = "link-fault"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "link-fault"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "link-fault"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteFailure.LinkFault.Action, ['error_disable_interface'], name, value)


                    class RemoteLoopback(Entity):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteLoopback, self).__init__()

                            self.yang_name = "remote-loopback"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.supported = YLeaf(YType.empty, "supported")

                            self.timeout = YLeaf(YType.uint8, "timeout")
                            self._segment_path = lambda: "remote-loopback"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ethernet.Oam.RemoteLoopback, ['supported', 'timeout'], name, value)


            class Negotiation(Entity):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\: bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Negotiation, self).__init__()

                    self.yang_name = "negotiation"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:negotiation"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Negotiation, ['auto'], name, value)


            class Synchronous(Entity):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Synchronous, self).__init__()

                    self.yang_name = "synchronous"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mode = YLeaf(YType.empty, "mode")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:synchronous"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Synchronous, ['mode'], name, value)


            class Speed(Entity):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Speed, self).__init__()

                    self.yang_name = "speed"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.empty, "auto")

                    self.value_10 = YLeaf(YType.empty, "value-10")

                    self.value_100 = YLeaf(YType.empty, "value-100")

                    self.value_1000 = YLeaf(YType.empty, "value-1000")

                    self.value_10000 = YLeaf(YType.empty, "value-10000")

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:speed"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Speed, ['auto', 'value_10', 'value_100', 'value_1000', 'value_10000', 'nonegotiate'], name, value)


            class Plim(Entity):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Plim, self).__init__()

                    self.yang_name = "plim"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.VirtualTemplate.Plim.Ethernet), "qos" : ("qos", Native.Interface.VirtualTemplate.Plim.Qos)}
                    self._child_list_classes = {}

                    self.ethernet = Native.Interface.VirtualTemplate.Plim.Ethernet()
                    self.ethernet.parent = self
                    self._children_name_map["ethernet"] = "ethernet"
                    self._children_yang_names.add("ethernet")

                    self.qos = Native.Interface.VirtualTemplate.Plim.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:plim"


                class Ethernet(Entity):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Plim.Ethernet, self).__init__()

                        self.yang_name = "ethernet"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "ethernet"


                    class Vlan(Entity):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"filter" : ("filter", Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan.Filter)}
                            self._child_list_classes = {}

                            self.filter = Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self
                            self._children_name_map["filter"] = "filter"
                            self._children_yang_names.add("filter")
                            self._segment_path = lambda: "vlan"


                        class Filter(Entity):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan.Filter, self).__init__()

                                self.yang_name = "filter"
                                self.yang_parent_name = "vlan"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Plim.Ethernet.Vlan.Filter, ['disable'], name, value)


                class Qos(Entity):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Plim.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"input" : ("input", Native.Interface.VirtualTemplate.Plim.Qos.Input)}
                        self._child_list_classes = {}

                        self.input = Native.Interface.VirtualTemplate.Plim.Qos.Input()
                        self.input.parent = self
                        self._children_name_map["input"] = "input"
                        self._children_yang_names.add("input")
                        self._segment_path = lambda: "qos"


                    class Input(Entity):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Plim.Qos.Input, self).__init__()

                            self.yang_name = "input"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"queue" : ("queue", Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue)}
                            self._child_list_classes = {}

                            self.queue = Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue()
                            self.queue.parent = self
                            self._children_name_map["queue"] = "queue"
                            self._children_yang_names.add("queue")
                            self._segment_path = lambda: "input"


                        class Queue(Entity):
                            """
                            Queue number
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:  :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero>`
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:  :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue, self).__init__()

                                self.yang_name = "queue"
                                self.yang_parent_name = "input"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"zero" : ("zero", Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero), "strict-priority" : ("strict_priority", Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority)}
                                self._child_list_classes = {}

                                self.zero = Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self
                                self._children_name_map["zero"] = "zero"
                                self._children_yang_names.add("zero")

                                self.strict_priority = Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self._children_name_map["strict_priority"] = "strict-priority"
                                self._children_yang_names.add("strict-priority")
                                self._segment_path = lambda: "queue"


                            class Zero(Entity):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero, self).__init__()

                                    self.yang_name = "zero"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "zero"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "zero"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.Zero.Pause, ['enable', 'threshold'], name, value)


                            class StrictPriority(Entity):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority, self).__init__()

                                    self.yang_name = "strict-priority"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "strict-priority"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "strict-priority"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Plim.Qos.Input.Queue.StrictPriority.Pause, ['enable', 'threshold'], name, value)


            class Pppoe(Entity):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\: int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Pppoe, self).__init__()

                    self.yang_name = "pppoe"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"enable" : ("enable", Native.Interface.VirtualTemplate.Pppoe.Enable)}
                    self._child_list_classes = {}

                    self.max_sessions = YLeaf(YType.uint16, "max-sessions")

                    self.enable = None
                    self._children_name_map["enable"] = "enable"
                    self._children_yang_names.add("enable")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:pppoe"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Pppoe, ['max_sessions'], name, value)


                class Enable(Entity):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Pppoe.Enable.Group>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Pppoe.Enable, self).__init__()

                        self.yang_name = "enable"
                        self.yang_parent_name = "pppoe"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "enable"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Pppoe.Enable, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = Enum.YLeaf(0, "global")



            class Service(Entity):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of  		 :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Service, self).__init__()

                    self.yang_name = "service"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"instance" : ("instance", Native.Interface.VirtualTemplate.Service.Instance)}

                    self.instance = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:service"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Service, [], name, value)


                class Instance(Entity):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\: str
                    
                    	**length:** 0..240
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\: str
                    
                    	**length:** 1..100
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation>`
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ipv6>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:  :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:  :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:  :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Snmp>`
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:  :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Mac>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:  :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Cfm>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:  :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Service.Instance, self).__init__()

                        self.yang_name = "instance"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.VirtualTemplate.Service.Instance.Encapsulation), "ip" : ("ip", Native.Interface.VirtualTemplate.Service.Instance.Ip), "ipv6" : ("ipv6", Native.Interface.VirtualTemplate.Service.Instance.Ipv6), "rewrite" : ("rewrite", Native.Interface.VirtualTemplate.Service.Instance.Rewrite), "errdisable" : ("errdisable", Native.Interface.VirtualTemplate.Service.Instance.Errdisable), "ethernet-container" : ("ethernet_container", Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer), "snmp" : ("snmp", Native.Interface.VirtualTemplate.Service.Instance.Snmp), "bridge-domain" : ("bridge_domain", Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain), "mac" : ("mac", Native.Interface.VirtualTemplate.Service.Instance.Mac), "service-policy" : ("service_policy", Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy), "cfm" : ("cfm", Native.Interface.VirtualTemplate.Service.Instance.Cfm), "l2protocol" : ("l2protocol", Native.Interface.VirtualTemplate.Service.Instance.L2Protocol)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint32, "id")

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.gigabitethernet = YLeaf(YType.empty, "GigabitEthernet")

                        self.ethernet = YLeaf(YType.empty, "ethernet")

                        self.ethernet_evc_name = YLeaf(YType.str, "ethernet-evc-name")

                        self.description = YLeaf(YType.str, "description")

                        self.evc_name = YLeaf(YType.str, "evc-name")

                        self.group = YLeaf(YType.uint32, "group")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.encapsulation = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self._children_name_map["encapsulation"] = "encapsulation"
                        self._children_yang_names.add("encapsulation")

                        self.ip = Native.Interface.VirtualTemplate.Service.Instance.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.ipv6 = Native.Interface.VirtualTemplate.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.rewrite = Native.Interface.VirtualTemplate.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self._children_name_map["rewrite"] = "rewrite"
                        self._children_yang_names.add("rewrite")

                        self.errdisable = Native.Interface.VirtualTemplate.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self._children_name_map["errdisable"] = "errdisable"
                        self._children_yang_names.add("errdisable")

                        self.ethernet_container = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self._children_name_map["ethernet_container"] = "ethernet-container"
                        self._children_yang_names.add("ethernet-container")

                        self.snmp = Native.Interface.VirtualTemplate.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self._children_name_map["snmp"] = "snmp"
                        self._children_yang_names.add("snmp")

                        self.bridge_domain = Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self._children_name_map["bridge_domain"] = "bridge-domain"
                        self._children_yang_names.add("bridge-domain")

                        self.mac = Native.Interface.VirtualTemplate.Service.Instance.Mac()
                        self.mac.parent = self
                        self._children_name_map["mac"] = "mac"
                        self._children_yang_names.add("mac")

                        self.service_policy = Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self._children_name_map["service_policy"] = "service-policy"
                        self._children_yang_names.add("service-policy")

                        self.cfm = Native.Interface.VirtualTemplate.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self._children_name_map["cfm"] = "cfm"
                        self._children_yang_names.add("cfm")

                        self.l2protocol = Native.Interface.VirtualTemplate.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self._children_name_map["l2protocol"] = "l2protocol"
                        self._children_yang_names.add("l2protocol")
                        self._segment_path = lambda: "instance" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance, ['id', 'trunk', 'gigabitethernet', 'ethernet', 'ethernet_evc_name', 'description', 'evc_name', 'group', 'shutdown'], name, value)


                    class Encapsulation(Entity):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:  :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:  :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation, self).__init__()

                            self.yang_name = "encapsulation"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q), "priority-tagged" : ("priority_tagged", Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged), "untagged" : ("untagged", Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Untagged)}
                            self._child_list_classes = {}

                            self.default = YLeaf(YType.empty, "default")

                            self.dot1ad = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self._children_name_map["dot1ad"] = "dot1ad"
                            self._children_yang_names.add("dot1ad")

                            self.dot1q = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self._children_name_map["dot1q"] = "dot1q"
                            self._children_yang_names.add("dot1q")

                            self.priority_tagged = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self._children_name_map["priority_tagged"] = "priority-tagged"
                            self._children_yang_names.add("priority-tagged")

                            self.untagged = None
                            self._children_name_map["untagged"] = "untagged"
                            self._children_yang_names.add("untagged")
                            self._segment_path = lambda: "encapsulation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation, ['default'], name, value)


                        class Dot1Ad(Entity):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Dot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad, self).__init__()

                                self.yang_name = "dot1ad"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.dot1q = YLeafList(YType.str, "dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.cos2 = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1ad"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad, ['id', 'cos', 'dot1q', 'etype', 'exact'], name, value)

                            class Dot1Q(Enum):
                                """
                                Dot1Q

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1ad"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Ad.Cos2, ['cos'], name, value)


                        class Dot1Q(Entity):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`SecondDot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:  :py:class:`VlanType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.VlanType>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q, self).__init__()

                                self.yang_name = "dot1q"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.second_dot1q = YLeafList(YType.str, "second-dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.vlan_type = YLeaf(YType.enumeration, "vlan-type")

                                self.cos2 = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1q"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q, ['id', 'cos', 'second_dot1q', 'etype', 'exact', 'vlan_type'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class SecondDot1Q(Enum):
                                """
                                SecondDot1Q

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class VlanType(Enum):
                                """
                                VlanType

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = Enum.YLeaf(0, "0x88A8")

                                Y_0x9100 = Enum.YLeaf(1, "0x9100")

                                Y_0x9200 = Enum.YLeaf(2, "0x9200")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1q"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Dot1Q.Cos2, ['cos'], name, value)


                        class PriorityTagged(Entity):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:  :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.Etype>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged, self).__init__()

                                self.yang_name = "priority-tagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos-container" : ("cos_container", Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.CosContainer)}
                                self._child_list_classes = {}

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.cos_container = Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self._children_name_map["cos_container"] = "cos-container"
                                self._children_yang_names.add("cos-container")
                                self._segment_path = lambda: "priority-tagged"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged, ['etype'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")



                            class CosContainer(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.CosContainer, self).__init__()

                                    self.yang_name = "cos-container"
                                    self.yang_parent_name = "priority-tagged"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.PriorityTagged.CosContainer, ['cos'], name, value)


                        class Untagged(Entity):
                            """
                            Untagged encapsulation
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Encapsulation.Untagged, self).__init__()

                                self.yang_name = "untagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "untagged"


                    class Ip(Entity):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Service.Instance.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"acl" : ("acl", Native.Interface.VirtualTemplate.Service.Instance.Ip.Acl), "dhcp" : ("dhcp", Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp), "verify" : ("verify", Native.Interface.VirtualTemplate.Service.Instance.Ip.Verify)}
                            self._child_list_classes = {}

                            self.acl = Native.Interface.VirtualTemplate.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")

                            self.dhcp = Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self._children_name_map["dhcp"] = "dhcp"
                            self._children_yang_names.add("dhcp")

                            self.verify = Native.Interface.VirtualTemplate.Service.Instance.Ip.Verify()
                            self.verify.parent = self
                            self._children_name_map["verify"] = "verify"
                            self._children_yang_names.add("verify")
                            self._segment_path = lambda: "ip"


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Ip.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.access_group = YLeaf(YType.str, "access-group")

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Ip.Acl, ['access_group', 'in_', 'out'], name, value)


                        class Dhcp(Entity):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp, self).__init__()

                                self.yang_name = "dhcp"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"relay" : ("relay", Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay)}
                                self._child_list_classes = {}

                                self.relay = Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self
                                self._children_name_map["relay"] = "relay"
                                self._children_yang_names.add("relay")
                                self._segment_path = lambda: "dhcp"


                            class Relay(Entity):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay, self).__init__()

                                    self.yang_name = "relay"
                                    self.yang_parent_name = "dhcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"information" : ("information", Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information)}
                                    self._child_list_classes = {}

                                    self.information = Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self
                                    self._children_name_map["information"] = "information"
                                    self._children_yang_names.add("information")
                                    self._segment_path = lambda: "relay"


                                class Information(Entity):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information, self).__init__()

                                        self.yang_name = "information"
                                        self.yang_parent_name = "relay"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"option" : ("option", Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information.Option)}
                                        self._child_list_classes = {}

                                        self.option = Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self
                                        self._children_name_map["option"] = "option"
                                        self._children_yang_names.add("option")
                                        self._segment_path = lambda: "information"


                                    class Option(Entity):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                            self.yang_name = "option"
                                            self.yang_parent_name = "information"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                            self._segment_path = lambda: "option"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                        class Verify(Entity):
                            """
                            verify
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Ip.Verify, self).__init__()

                                self.yang_name = "verify"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.source = YLeaf(YType.empty, "source")

                                self.vlan = YLeaf(YType.empty, "vlan")

                                self.dhcp_snooping = YLeaf(YType.empty, "dhcp-snooping")

                                self.port_security = YLeaf(YType.empty, "port-security")
                                self._segment_path = lambda: "verify"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Ip.Verify, ['source', 'vlan', 'dhcp_snooping', 'port_security'], name, value)


                    class Ipv6(Entity):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\: str
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Service.Instance.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.traffic_filter = YLeaf(YType.str, "traffic-filter")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Ipv6, ['traffic_filter', 'in_', 'out'], name, value)


                    class Rewrite(Entity):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:  :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Service.Instance.Rewrite, self).__init__()

                            self.yang_name = "rewrite"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ingress" : ("ingress", Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress)}
                            self._child_list_classes = {}

                            self.ingress = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self
                            self._children_name_map["ingress"] = "ingress"
                            self._children_yang_names.add("ingress")
                            self._segment_path = lambda: "rewrite"


                        class Ingress(Entity):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress, self).__init__()

                                self.yang_name = "ingress"
                                self.yang_parent_name = "rewrite"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"tag" : ("tag", Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag)}
                                self._child_list_classes = {}

                                self.tag = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self
                                self._children_name_map["tag"] = "tag"
                                self._children_yang_names.add("tag")
                                self._segment_path = lambda: "ingress"


                            class Tag(Entity):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:  :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:  :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag, self).__init__()

                                    self.yang_name = "tag"
                                    self.yang_parent_name = "ingress"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pop" : ("pop", Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop), "push" : ("push", Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push), "translate" : ("translate", Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate)}
                                    self._child_list_classes = {}

                                    self.pop = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self._children_name_map["pop"] = "pop"
                                    self._children_yang_names.add("pop")

                                    self.push = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self._children_name_map["push"] = "push"
                                    self._children_yang_names.add("push")

                                    self.translate = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self
                                    self._children_name_map["translate"] = "translate"
                                    self._children_yang_names.add("translate")
                                    self._segment_path = lambda: "tag"


                                class Pop(Entity):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:  :py:class:`Way <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop.Way>`
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop, self).__init__()

                                        self.yang_name = "pop"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.way = YLeaf(YType.enumeration, "way")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "pop"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Pop, ['way', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")


                                    class Way(Enum):
                                        """
                                        Way

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class Push(Entity):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push, self).__init__()

                                        self.yang_name = "push"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dot1q = YLeaf(YType.uint16, "dot1q")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "push"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Push, ['dot1q', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")



                                class Translate(Entity):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:  :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:  :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:  :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:  :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate, self).__init__()

                                        self.yang_name = "translate"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"t1-to-1" : ("t1_to_1", Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1), "t1-to-2" : ("t1_to_2", Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2), "t2-to-1" : ("t2_to_1", Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1), "t2-to-2" : ("t2_to_2", Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2)}
                                        self._child_list_classes = {}

                                        self.t1_to_1 = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self._children_name_map["t1_to_1"] = "t1-to-1"
                                        self._children_yang_names.add("t1-to-1")

                                        self.t1_to_2 = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self._children_name_map["t1_to_2"] = "t1-to-2"
                                        self._children_yang_names.add("t1-to-2")

                                        self.t2_to_1 = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self._children_name_map["t2_to_1"] = "t2-to-1"
                                        self._children_yang_names.add("t2-to-1")

                                        self.t2_to_2 = Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self
                                        self._children_name_map["t2_to_2"] = "t2-to-2"
                                        self._children_yang_names.add("t2-to-2")
                                        self._segment_path = lambda: "translate"


                                    class T1To1(Entity):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, self).__init__()

                                            self.yang_name = "t1-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T1To2(Entity):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, self).__init__()

                                            self.yang_name = "t1-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To1(Entity):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, self).__init__()

                                            self.yang_name = "t2-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To2(Entity):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, self).__init__()

                                            self.yang_name = "t2-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                    class Errdisable(Entity):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Service.Instance.Errdisable, self).__init__()

                            self.yang_name = "errdisable"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"recovery" : ("recovery", Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery)}
                            self._child_list_classes = {}

                            self.recovery = Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self
                            self._children_name_map["recovery"] = "recovery"
                            self._children_yang_names.add("recovery")
                            self._segment_path = lambda: "errdisable"


                        class Recovery(Entity):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:  :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery, self).__init__()

                                self.yang_name = "recovery"
                                self.yang_parent_name = "errdisable"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cause" : ("cause", Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery.Cause)}
                                self._child_list_classes = {}

                                self.cause = Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self
                                self._children_name_map["cause"] = "cause"
                                self._children_yang_names.add("cause")
                                self._segment_path = lambda: "recovery"


                            class Cause(Entity):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\: int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery.Cause, self).__init__()

                                    self.yang_name = "cause"
                                    self.yang_parent_name = "recovery"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mac_security = YLeaf(YType.uint32, "mac-security")
                                    self._segment_path = lambda: "cause"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Errdisable.Recovery.Cause, ['mac_security'], name, value)


                    class EthernetContainer(Entity):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer, self).__init__()

                            self.yang_name = "ethernet-container"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet)}
                            self._child_list_classes = {}

                            self.ethernet = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self
                            self._children_name_map["ethernet"] = "ethernet"
                            self._children_yang_names.add("ethernet")
                            self._segment_path = lambda: "ethernet-container"


                        class Ethernet(Entity):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:  :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:  :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet, self).__init__()

                                self.yang_name = "ethernet"
                                self.yang_parent_name = "ethernet-container"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lmi" : ("lmi", Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi), "loopback" : ("loopback", Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback)}
                                self._child_list_classes = {}

                                self.lmi = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self._children_name_map["lmi"] = "lmi"
                                self._children_yang_names.add("lmi")

                                self.loopback = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self
                                self._children_name_map["loopback"] = "loopback"
                                self._children_yang_names.add("loopback")
                                self._segment_path = lambda: "ethernet"


                            class Lmi(Entity):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:  :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi, self).__init__()

                                    self.yang_name = "lmi"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ce-vlan" : ("ce_vlan", Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan)}
                                    self._child_list_classes = {}

                                    self.ce_vlan = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self
                                    self._children_name_map["ce_vlan"] = "ce-vlan"
                                    self._children_yang_names.add("ce-vlan")
                                    self._segment_path = lambda: "lmi"


                                class CeVlan(Entity):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan, self).__init__()

                                        self.yang_name = "ce-vlan"
                                        self.yang_parent_name = "lmi"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map" : ("map", Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map)}
                                        self._child_list_classes = {}

                                        self.map = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self
                                        self._children_name_map["map"] = "map"
                                        self._children_yang_names.add("map")
                                        self._segment_path = lambda: "ce-vlan"


                                    class Map(Entity):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:  :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, self).__init__()

                                            self.yang_name = "map"
                                            self.yang_parent_name = "ce-vlan"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"vlan-range" : ("vlan_range", Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange)}
                                            self._child_list_classes = {}

                                            self.any = YLeaf(YType.empty, "any")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.untagged = YLeaf(YType.empty, "untagged")

                                            self.vlan_range = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self
                                            self._children_name_map["vlan_range"] = "vlan-range"
                                            self._children_yang_names.add("vlan-range")
                                            self._segment_path = lambda: "map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, ['any', 'default', 'untagged'], name, value)


                                        class VlanRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, self).__init__()

                                                self.yang_name = "vlan-range"
                                                self.yang_parent_name = "map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                                self.comma = YLeaf(YType.uint16, "comma")

                                                self.hyphen = YLeaf(YType.uint16, "hyphen")
                                                self._segment_path = lambda: "vlan-range"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, ['vlan_id', 'comma', 'hyphen'], name, value)


                            class Loopback(Entity):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback, self).__init__()

                                    self.yang_name = "loopback"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"permit" : ("permit", Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit)}
                                    self._child_list_classes = {}

                                    self.permit = Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self
                                    self._children_name_map["permit"] = "permit"
                                    self._children_yang_names.add("permit")
                                    self._segment_path = lambda: "loopback"


                                class Permit(Entity):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, self).__init__()

                                        self.yang_name = "permit"
                                        self.yang_parent_name = "loopback"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.external = YLeaf(YType.empty, "external")

                                        self.internal = YLeaf(YType.empty, "internal")
                                        self._segment_path = lambda: "permit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, ['external', 'internal'], name, value)


                    class Snmp(Entity):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Snmp.Trap>`
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Snmp.Ifindex>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Service.Instance.Snmp, self).__init__()

                            self.yang_name = "snmp"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"trap" : ("trap", Native.Interface.VirtualTemplate.Service.Instance.Snmp.Trap), "ifindex" : ("ifindex", Native.Interface.VirtualTemplate.Service.Instance.Snmp.Ifindex)}
                            self._child_list_classes = {}

                            self.trap = Native.Interface.VirtualTemplate.Service.Instance.Snmp.Trap()
                            self.trap.parent = self
                            self._children_name_map["trap"] = "trap"
                            self._children_yang_names.add("trap")

                            self.ifindex = Native.Interface.VirtualTemplate.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self._children_name_map["ifindex"] = "ifindex"
                            self._children_yang_names.add("ifindex")
                            self._segment_path = lambda: "snmp"


                        class Trap(Entity):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Snmp.Trap, self).__init__()

                                self.yang_name = "trap"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.link_status = YLeaf(YType.empty, "link-status")
                                self._segment_path = lambda: "trap"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Snmp.Trap, ['link_status'], name, value)


                        class Ifindex(Entity):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Snmp.Ifindex, self).__init__()

                                self.yang_name = "ifindex"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.persist = YLeaf(YType.empty, "persist")
                                self._segment_path = lambda: "ifindex"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Snmp.Ifindex, ['persist'], name, value)


                    class BridgeDomain(Entity):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:  :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain, self).__init__()

                            self.yang_name = "bridge-domain"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"split-horizon" : ("split_horizon", Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain.SplitHorizon)}
                            self._child_list_classes = {}

                            self.bridge_id = YLeaf(YType.uint16, "bridge-id")

                            self.from_encapsulation = YLeaf(YType.empty, "from-encapsulation")

                            self.split_horizon = Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self
                            self._children_name_map["split_horizon"] = "split-horizon"
                            self._children_yang_names.add("split-horizon")
                            self._segment_path = lambda: "bridge-domain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain, ['bridge_id', 'from_encapsulation'], name, value)


                        class SplitHorizon(Entity):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\: int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain.SplitHorizon, self).__init__()

                                self.yang_name = "split-horizon"
                                self.yang_parent_name = "bridge-domain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group = YLeaf(YType.uint8, "group")
                                self._segment_path = lambda: "split-horizon"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.BridgeDomain.SplitHorizon, ['group'], name, value)


                    class Mac(Entity):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Service.Instance.Mac, self).__init__()

                            self.yang_name = "mac"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"security" : ("security", Native.Interface.VirtualTemplate.Service.Instance.Mac.Security)}
                            self._child_list_classes = {}

                            self.security = None
                            self._children_name_map["security"] = "security"
                            self._children_yang_names.add("security")
                            self._segment_path = lambda: "mac"


                        class Security(Entity):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.Violation>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Mac.Security, self).__init__()

                                self.yang_name = "security"
                                self.yang_parent_name = "mac"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"maximum" : ("maximum", Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.Maximum)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.violation = YLeaf(YType.enumeration, "violation")

                                self.maximum = Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self._children_name_map["maximum"] = "maximum"
                                self._children_yang_names.add("maximum")
                                self._segment_path = lambda: "security"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Mac.Security, ['violation'], name, value)

                            class Violation(Enum):
                                """
                                Violation

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = Enum.YLeaf(0, "protect")

                                restrict = Enum.YLeaf(1, "restrict")



                            class Maximum(Entity):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\: int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.Maximum, self).__init__()

                                    self.yang_name = "maximum"
                                    self.yang_parent_name = "security"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.addresses = YLeaf(YType.uint16, "addresses")
                                    self._segment_path = lambda: "maximum"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Mac.Security.Maximum, ['addresses'], name, value)


                    class ServicePolicy(Entity):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of  		 :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of  		 :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy, self).__init__()

                            self.yang_name = "service-policy"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"input" : ("input", Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Input), "output" : ("output", Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Output)}

                            self.input = YList(self)
                            self.output = YList(self)
                            self._segment_path = lambda: "service-policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy, [], name, value)


                        class Input(Entity):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.ServicePolicy.Output, ['name'], name, value)


                    class Cfm(Entity):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:  :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:  :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Service.Instance.Cfm, self).__init__()

                            self.yang_name = "cfm"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation), "mep" : ("mep", Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mep), "mip" : ("mip", Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mip)}
                            self._child_list_classes = {}

                            self.encapsulation = Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.mep = Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self._children_name_map["mep"] = "mep"
                            self._children_yang_names.add("mep")

                            self.mip = Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mip()
                            self.mip.parent = self
                            self._children_name_map["mip"] = "mip"
                            self._children_yang_names.add("mip")
                            self._segment_path = lambda: "cfm"


                        class Encapsulation(Entity):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Q)}
                                self._child_list_classes = {}

                                self.dot1ad = Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self._children_name_map["dot1ad"] = "dot1ad"
                                self._children_yang_names.add("dot1ad")

                                self.dot1q = Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self
                                self._children_name_map["dot1q"] = "dot1q"
                                self._children_yang_names.add("dot1q")
                                self._segment_path = lambda: "encapsulation"


                            class Dot1Ad(Entity):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Ad, self).__init__()

                                    self.yang_name = "dot1ad"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.dot1q = YLeaf(YType.uint16, "dot1q")
                                    self._segment_path = lambda: "dot1ad"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Ad, ['vlan_id', 'cos', 'dot1q'], name, value)


                            class Dot1Q(Entity):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Q, self).__init__()

                                    self.yang_name = "dot1q"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")
                                    self._segment_path = lambda: "dot1q"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Cfm.Encapsulation.Dot1Q, ['vlan_id', 'cos', 'second_dot1q'], name, value)


                        class Mep(Entity):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\: str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\: int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mep, self).__init__()

                                self.yang_name = "mep"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.domain = YLeaf(YType.str, "domain")

                                self.mpid = YLeaf(YType.uint16, "mpid")
                                self._segment_path = lambda: "mep"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mep, ['domain', 'mpid'], name, value)


                        class Mip(Entity):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mip, self).__init__()

                                self.yang_name = "mip"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level = YLeaf(YType.uint8, "level")
                                self._segment_path = lambda: "mip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.Cfm.Mip, ['level'], name, value)


                    class L2Protocol(Entity):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:  :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Service.Instance.L2Protocol, self).__init__()

                            self.yang_name = "l2protocol"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer), "forward" : ("forward", Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward), "tunnel" : ("tunnel", Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel)}
                            self._child_list_classes = {}

                            self.peer = None
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.forward = None
                            self._children_name_map["forward"] = "forward"
                            self._children_yang_names.add("forward")

                            self.tunnel = None
                            self._children_name_map["tunnel"] = "tunnel"
                            self._children_yang_names.add("tunnel")
                            self._segment_path = lambda: "l2protocol"


                        class Peer(Entity):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Peer, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Forward(Entity):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward, self).__init__()

                                self.yang_name = "forward"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "forward"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Forward, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Tunnel(Entity):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel, self).__init__()

                                self.yang_name = "tunnel"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "tunnel"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Service.Instance.L2Protocol.Tunnel, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



            class Cdp(Entity):
                """
                CDP interface subcommands
                
                .. attribute:: enable
                
                	Enable CDP on interface
                	**type**\: bool
                
                .. attribute:: tlv
                
                	Enable exchange of specific tlv information
                	**type**\:  :py:class:`Tlv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cdp.Tlv>`
                
                

                """

                _prefix = 'ios-cdp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Cdp, self).__init__()

                    self.yang_name = "cdp"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"tlv" : ("tlv", Native.Interface.VirtualTemplate.Cdp.Tlv)}
                    self._child_list_classes = {}

                    self.enable = YLeaf(YType.boolean, "enable")

                    self.tlv = Native.Interface.VirtualTemplate.Cdp.Tlv()
                    self.tlv.parent = self
                    self._children_name_map["tlv"] = "tlv"
                    self._children_yang_names.add("tlv")
                    self._segment_path = lambda: "Cisco-IOS-XE-cdp:cdp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Cdp, ['enable'], name, value)


                class Tlv(Entity):
                    """
                    Enable exchange of specific tlv information
                    
                    .. attribute:: app
                    
                    	Enable/Configure Application TLV
                    	**type**\:  :py:class:`App <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cdp.Tlv.App>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: server_location
                    
                    	Enable CDP location server on interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: location
                    
                    	Exchange location information
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cdp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Cdp.Tlv, self).__init__()

                        self.yang_name = "tlv"
                        self.yang_parent_name = "cdp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"app" : ("app", Native.Interface.VirtualTemplate.Cdp.Tlv.App)}
                        self._child_list_classes = {}

                        self.server_location = YLeaf(YType.empty, "server-location")

                        self.location = YLeaf(YType.empty, "location")

                        self.app = None
                        self._children_name_map["app"] = "app"
                        self._children_yang_names.add("app")
                        self._segment_path = lambda: "tlv"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Cdp.Tlv, ['server_location', 'location'], name, value)


                    class App(Entity):
                        """
                        Enable/Configure Application TLV
                        
                        .. attribute:: tlvtype
                        
                        	Configure APP TLV
                        	**type**\: int
                        
                        	**range:** 1001..65535
                        
                        .. attribute:: value
                        
                        	Configure App TLV Value information
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cdp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Cdp.Tlv.App, self).__init__()

                            self.yang_name = "app"
                            self.yang_parent_name = "tlv"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tlvtype = YLeaf(YType.uint16, "tlvtype")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "app"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Cdp.Tlv.App, ['tlvtype', 'value'], name, value)


            class Snmp(Entity):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Snmp, self).__init__()

                    self.yang_name = "snmp"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ifindex" : ("ifindex", Native.Interface.VirtualTemplate.Snmp.Ifindex), "trap" : ("trap", Native.Interface.VirtualTemplate.Snmp.Trap)}
                    self._child_list_classes = {}

                    self.ifindex = Native.Interface.VirtualTemplate.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self._children_name_map["ifindex"] = "ifindex"
                    self._children_yang_names.add("ifindex")

                    self.trap = Native.Interface.VirtualTemplate.Snmp.Trap()
                    self.trap.parent = self
                    self._children_name_map["trap"] = "trap"
                    self._children_yang_names.add("trap")
                    self._segment_path = lambda: "Cisco-IOS-XE-snmp:snmp"


                class Ifindex(Entity):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Snmp.Ifindex, self).__init__()

                        self.yang_name = "ifindex"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.persist = YLeaf(YType.empty, "persist")

                        self.clear = YLeaf(YType.boolean, "clear")
                        self._segment_path = lambda: "ifindex"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Snmp.Ifindex, ['persist', 'clear'], name, value)


                class Trap(Entity):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\: bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:  :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Snmp.Trap, self).__init__()

                        self.yang_name = "trap"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-status-capas" : ("link_status_capas", Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas)}
                        self._child_list_classes = {}

                        self.link_status = YLeaf(YType.boolean, "link-status")

                        self.link_status_capas = Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self
                        self._children_name_map["link_status_capas"] = "link-status-capas"
                        self._children_yang_names.add("link-status-capas")
                        self._segment_path = lambda: "trap"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Snmp.Trap, ['link_status'], name, value)


                    class LinkStatusCapas(Entity):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:  :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas, self).__init__()

                            self.yang_name = "link-status-capas"
                            self.yang_parent_name = "trap"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"link-status" : ("link_status", Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus)}
                            self._child_list_classes = {}

                            self.link_status = Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self
                            self._children_name_map["link_status"] = "link-status"
                            self._children_yang_names.add("link-status")
                            self._segment_path = lambda: "link-status-capas"


                        class LinkStatus(Entity):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus, self).__init__()

                                self.yang_name = "link-status"
                                self.yang_parent_name = "link-status-capas"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"permit" : ("permit", Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit)}
                                self._child_list_classes = {}

                                self.permit = Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self
                                self._children_name_map["permit"] = "permit"
                                self._children_yang_names.add("permit")
                                self._segment_path = lambda: "link-status"


                            class Permit(Entity):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, self).__init__()

                                    self.yang_name = "permit"
                                    self.yang_parent_name = "link-status"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.duplicates = YLeaf(YType.empty, "duplicates")
                                    self._segment_path = lambda: "permit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, ['duplicates'], name, value)


            class Nhrp(Entity):
                """
                NHRP Interface commands
                
                .. attribute:: event_publisher
                
                	Enable NHRP smart spoke feature
                	**type**\:  :py:class:`EventPublisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Nhrp.EventPublisher>`
                
                .. attribute:: group
                
                	group name string
                	**type**\: str
                
                .. attribute:: map
                
                	Map group name to QoS service policy
                	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Nhrp.Map>`
                
                .. attribute:: route_watch
                
                	Enable NHRP route watch
                	**type**\: bool
                
                

                """

                _prefix = 'ios-tun'
                _revision = '2017-07-11'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Nhrp, self).__init__()

                    self.yang_name = "nhrp"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event-publisher" : ("event_publisher", Native.Interface.VirtualTemplate.Nhrp.EventPublisher), "map" : ("map", Native.Interface.VirtualTemplate.Nhrp.Map)}
                    self._child_list_classes = {}

                    self.group = YLeaf(YType.str, "group")

                    self.route_watch = YLeaf(YType.boolean, "route-watch")

                    self.event_publisher = Native.Interface.VirtualTemplate.Nhrp.EventPublisher()
                    self.event_publisher.parent = self
                    self._children_name_map["event_publisher"] = "event-publisher"
                    self._children_yang_names.add("event-publisher")

                    self.map = Native.Interface.VirtualTemplate.Nhrp.Map()
                    self.map.parent = self
                    self._children_name_map["map"] = "map"
                    self._children_yang_names.add("map")
                    self._segment_path = lambda: "Cisco-IOS-XE-tunnel:nhrp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Nhrp, ['group', 'route_watch'], name, value)


                class EventPublisher(Entity):
                    """
                    Enable NHRP smart spoke feature
                    
                    .. attribute:: max_event_timeout
                    
                    	Number of seconds
                    	**type**\: int
                    
                    	**range:** 1..22
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Nhrp.EventPublisher, self).__init__()

                        self.yang_name = "event-publisher"
                        self.yang_parent_name = "nhrp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_event_timeout = YLeaf(YType.uint8, "max-event-timeout")
                        self._segment_path = lambda: "event-publisher"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Nhrp.EventPublisher, ['max_event_timeout'], name, value)


                class Map(Entity):
                    """
                    Map group name to QoS service policy
                    
                    .. attribute:: group
                    
                    	NHRP group mapping
                    	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Nhrp.Map.Group>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Nhrp.Map, self).__init__()

                        self.yang_name = "map"
                        self.yang_parent_name = "nhrp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"group" : ("group", Native.Interface.VirtualTemplate.Nhrp.Map.Group)}
                        self._child_list_classes = {}

                        self.group = Native.Interface.VirtualTemplate.Nhrp.Map.Group()
                        self.group.parent = self
                        self._children_name_map["group"] = "group"
                        self._children_yang_names.add("group")
                        self._segment_path = lambda: "map"


                    class Group(Entity):
                        """
                        NHRP group mapping
                        
                        .. attribute:: nhrp_name
                        
                        	
                        	**type**\: list of  		 :py:class:`NhrpName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName>`
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Nhrp.Map.Group, self).__init__()

                            self.yang_name = "group"
                            self.yang_parent_name = "map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"nhrp-name" : ("nhrp_name", Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName)}

                            self.nhrp_name = YList(self)
                            self._segment_path = lambda: "group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Nhrp.Map.Group, [], name, value)


                        class NhrpName(Entity):
                            """
                            
                            
                            .. attribute:: nhrp_name  <key>
                            
                            	NHRP group name
                            	**type**\: str
                            
                            .. attribute:: service_policy
                            
                            	QoS service\-policy
                            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName.ServicePolicy>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName, self).__init__()

                                self.yang_name = "nhrp-name"
                                self.yang_parent_name = "group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"service-policy" : ("service_policy", Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName.ServicePolicy)}
                                self._child_list_classes = {}

                                self.nhrp_name = YLeaf(YType.str, "nhrp-name")

                                self.service_policy = Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName.ServicePolicy()
                                self.service_policy.parent = self
                                self._children_name_map["service_policy"] = "service-policy"
                                self._children_yang_names.add("service-policy")
                                self._segment_path = lambda: "nhrp-name" + "[nhrp-name='" + self.nhrp_name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName, ['nhrp_name'], name, value)


                            class ServicePolicy(Entity):
                                """
                                QoS service\-policy
                                
                                .. attribute:: output
                                
                                	QoS policy\-map name
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName.ServicePolicy, self).__init__()

                                    self.yang_name = "service-policy"
                                    self.yang_parent_name = "nhrp-name"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.output = YLeaf(YType.str, "output")
                                    self._segment_path = lambda: "service-policy"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Nhrp.Map.Group.NhrpName.ServicePolicy, ['output'], name, value)


            class Tunnel(Entity):
                """
                protocol\-over\-protocol tunneling
                
                .. attribute:: tun_6rd
                
                	set tunnel 6rd parameters
                	**type**\:  :py:class:`Tun6rd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Tun6rd>`
                
                .. attribute:: bandwidth
                
                	Set tunnel bandwidth informational parameter
                	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Bandwidth>`
                
                .. attribute:: checksum
                
                	enable end to end checksumming of packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	source of tunnel packets
                	**type**\: str
                
                .. attribute:: destination
                
                	destination of tunnel
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                
                .. attribute:: dst_port
                
                	tunnel destination port
                	**type**\:  :py:class:`DstPort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.DstPort>`
                
                .. attribute:: endpoint
                
                	Set endpoint parameter
                	**type**\:  :py:class:`Endpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Endpoint>`
                
                .. attribute:: entropy
                
                	Compute hash (entropy) on payload and propagate to tunnel header
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: fixup
                
                	fixup on tunnel interface
                	**type**\:  :py:class:`Fixup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Fixup>`
                
                .. attribute:: flow
                
                	flow options
                	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Flow>`
                
                .. attribute:: key
                
                	security or selector key
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: mode
                
                	tunnel encapsulation method
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode>`
                
                .. attribute:: network_id
                
                	Set network\-id
                	**type**\:  :py:class:`NetworkId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.NetworkId>`
                
                .. attribute:: path_mtu_discovery
                
                	Enable Path MTU Discovery on tunnel
                	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.PathMtuDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: protection
                
                	Enable tunnel protection
                	**type**\:  :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Protection>`
                
                .. attribute:: mpls
                
                	
                	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls>`
                
                .. attribute:: raw_packet_interface
                
                	physical interface for all packets entering itto be tunneled and for all packets entering the tunnel to exit
                	**type**\: str
                
                .. attribute:: rbscp
                
                	Set tunnel RBSCP parameters
                	**type**\:  :py:class:`Rbscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Rbscp>`
                
                .. attribute:: snooping
                
                	Snooping on tunnel
                	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Snooping>`
                
                .. attribute:: src_port
                
                	tunnel source port
                	**type**\:  :py:class:`SrcPort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.SrcPort>`
                
                .. attribute:: tos
                
                	set type of sevice byte
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: ttl
                
                	set time to live
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: udlr
                
                	associate tunnel with unidirectional interface
                	**type**\:  :py:class:`Udlr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Udlr>`
                
                .. attribute:: vlan
                
                	Set vlan\-id for ethernet over gre mode
                	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Vlan>`
                
                .. attribute:: vrf
                
                	set tunnel vrf membership
                	**type**\: str
                
                

                """

                _prefix = 'ios-tun'
                _revision = '2017-07-11'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Tunnel, self).__init__()

                    self.yang_name = "tunnel"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"tun-6rd" : ("tun_6rd", Native.Interface.VirtualTemplate.Tunnel.Tun6rd), "bandwidth" : ("bandwidth", Native.Interface.VirtualTemplate.Tunnel.Bandwidth), "dst-port" : ("dst_port", Native.Interface.VirtualTemplate.Tunnel.DstPort), "endpoint" : ("endpoint", Native.Interface.VirtualTemplate.Tunnel.Endpoint), "fixup" : ("fixup", Native.Interface.VirtualTemplate.Tunnel.Fixup), "flow" : ("flow", Native.Interface.VirtualTemplate.Tunnel.Flow), "mode" : ("mode", Native.Interface.VirtualTemplate.Tunnel.Mode), "network-id" : ("network_id", Native.Interface.VirtualTemplate.Tunnel.NetworkId), "path-mtu-discovery" : ("path_mtu_discovery", Native.Interface.VirtualTemplate.Tunnel.PathMtuDiscovery), "protection" : ("protection", Native.Interface.VirtualTemplate.Tunnel.Protection), "mpls" : ("mpls", Native.Interface.VirtualTemplate.Tunnel.Mpls), "rbscp" : ("rbscp", Native.Interface.VirtualTemplate.Tunnel.Rbscp), "src-port" : ("src_port", Native.Interface.VirtualTemplate.Tunnel.SrcPort), "udlr" : ("udlr", Native.Interface.VirtualTemplate.Tunnel.Udlr), "vlan" : ("vlan", Native.Interface.VirtualTemplate.Tunnel.Vlan)}
                    self._child_list_classes = {}

                    self.checksum = YLeaf(YType.empty, "checksum")

                    self.source = YLeaf(YType.str, "source")

                    self.destination = YLeaf(YType.str, "destination")

                    self.entropy = YLeaf(YType.empty, "entropy")

                    self.key = YLeaf(YType.uint64, "key")

                    self.raw_packet_interface = YLeaf(YType.str, "raw-packet-interface")

                    self.snooping = YLeaf(YType.enumeration, "snooping")

                    self.tos = YLeaf(YType.uint8, "tos")

                    self.ttl = YLeaf(YType.uint8, "ttl")

                    self.vrf = YLeaf(YType.str, "vrf")

                    self.tun_6rd = Native.Interface.VirtualTemplate.Tunnel.Tun6rd()
                    self.tun_6rd.parent = self
                    self._children_name_map["tun_6rd"] = "tun-6rd"
                    self._children_yang_names.add("tun-6rd")

                    self.bandwidth = Native.Interface.VirtualTemplate.Tunnel.Bandwidth()
                    self.bandwidth.parent = self
                    self._children_name_map["bandwidth"] = "bandwidth"
                    self._children_yang_names.add("bandwidth")

                    self.dst_port = Native.Interface.VirtualTemplate.Tunnel.DstPort()
                    self.dst_port.parent = self
                    self._children_name_map["dst_port"] = "dst-port"
                    self._children_yang_names.add("dst-port")

                    self.endpoint = Native.Interface.VirtualTemplate.Tunnel.Endpoint()
                    self.endpoint.parent = self
                    self._children_name_map["endpoint"] = "endpoint"
                    self._children_yang_names.add("endpoint")

                    self.fixup = Native.Interface.VirtualTemplate.Tunnel.Fixup()
                    self.fixup.parent = self
                    self._children_name_map["fixup"] = "fixup"
                    self._children_yang_names.add("fixup")

                    self.flow = Native.Interface.VirtualTemplate.Tunnel.Flow()
                    self.flow.parent = self
                    self._children_name_map["flow"] = "flow"
                    self._children_yang_names.add("flow")

                    self.mode = Native.Interface.VirtualTemplate.Tunnel.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.network_id = Native.Interface.VirtualTemplate.Tunnel.NetworkId()
                    self.network_id.parent = self
                    self._children_name_map["network_id"] = "network-id"
                    self._children_yang_names.add("network-id")

                    self.path_mtu_discovery = None
                    self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                    self._children_yang_names.add("path-mtu-discovery")

                    self.protection = Native.Interface.VirtualTemplate.Tunnel.Protection()
                    self.protection.parent = self
                    self._children_name_map["protection"] = "protection"
                    self._children_yang_names.add("protection")

                    self.mpls = Native.Interface.VirtualTemplate.Tunnel.Mpls()
                    self.mpls.parent = self
                    self._children_name_map["mpls"] = "mpls"
                    self._children_yang_names.add("mpls")

                    self.rbscp = Native.Interface.VirtualTemplate.Tunnel.Rbscp()
                    self.rbscp.parent = self
                    self._children_name_map["rbscp"] = "rbscp"
                    self._children_yang_names.add("rbscp")

                    self.src_port = Native.Interface.VirtualTemplate.Tunnel.SrcPort()
                    self.src_port.parent = self
                    self._children_name_map["src_port"] = "src-port"
                    self._children_yang_names.add("src-port")

                    self.udlr = Native.Interface.VirtualTemplate.Tunnel.Udlr()
                    self.udlr.parent = self
                    self._children_name_map["udlr"] = "udlr"
                    self._children_yang_names.add("udlr")

                    self.vlan = Native.Interface.VirtualTemplate.Tunnel.Vlan()
                    self.vlan.parent = self
                    self._children_name_map["vlan"] = "vlan"
                    self._children_yang_names.add("vlan")
                    self._segment_path = lambda: "Cisco-IOS-XE-tunnel:tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel, ['checksum', 'source', 'destination', 'entropy', 'key', 'raw_packet_interface', 'snooping', 'tos', 'ttl', 'vrf'], name, value)

                class Snooping(Enum):
                    """
                    Snooping

                    Snooping on tunnel

                    .. data:: enable = 0

                    """

                    enable = Enum.YLeaf(0, "enable")



                class Tun6rd(Entity):
                    """
                    set tunnel 6rd parameters
                    
                    .. attribute:: br
                    
                    	Border Relay parameters
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv4
                    
                    	Common IPv4 transport source parameters
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Tun6rd.Ipv4>`
                    
                    .. attribute:: prefix
                    
                    	Provider selected common IPv6 prefix
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: reverse_map_check
                    
                    	Enable source IP address and port verification
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.Tun6rd, self).__init__()

                        self.yang_name = "tun-6rd"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipv4" : ("ipv4", Native.Interface.VirtualTemplate.Tunnel.Tun6rd.Ipv4)}
                        self._child_list_classes = {}

                        self.br = YLeaf(YType.str, "br")

                        self.prefix = YLeaf(YType.str, "prefix")

                        self.reverse_map_check = YLeaf(YType.empty, "reverse-map-check")

                        self.ipv4 = Native.Interface.VirtualTemplate.Tunnel.Tun6rd.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")
                        self._segment_path = lambda: "tun-6rd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Tun6rd, ['br', 'prefix', 'reverse_map_check'], name, value)


                    class Ipv4(Entity):
                        """
                        Common IPv4 transport source parameters
                        
                        .. attribute:: prefix_len
                        
                        	Common IPv4 transport source prefix length
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: suffix_len
                        
                        	Common IPv4 transport source suffix length
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Tunnel.Tun6rd.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "tun-6rd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix_len = YLeaf(YType.uint8, "prefix-len")

                            self.suffix_len = YLeaf(YType.uint8, "suffix-len")
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Tun6rd.Ipv4, ['prefix_len', 'suffix_len'], name, value)


                class Bandwidth(Entity):
                    """
                    Set tunnel bandwidth informational parameter
                    
                    .. attribute:: receive
                    
                    	Receive bandwidth
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: transmit
                    
                    	Transmit bandwidth
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.Bandwidth, self).__init__()

                        self.yang_name = "bandwidth"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.uint32, "receive")

                        self.transmit = YLeaf(YType.uint32, "transmit")
                        self._segment_path = lambda: "bandwidth"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Bandwidth, ['receive', 'transmit'], name, value)


                class DstPort(Entity):
                    """
                    tunnel destination port
                    
                    .. attribute:: port_num
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: dynamic
                    
                    	Set Destination Port Dynamically
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.DstPort, self).__init__()

                        self.yang_name = "dst-port"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_num = YLeaf(YType.uint16, "port-num")

                        self.dynamic = YLeaf(YType.empty, "dynamic")
                        self._segment_path = lambda: "dst-port"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.DstPort, ['port_num', 'dynamic'], name, value)


                class Endpoint(Entity):
                    """
                    Set endpoint parameter
                    
                    .. attribute:: service_policy
                    
                    	Set service\-policy
                    	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Endpoint.ServicePolicy>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.Endpoint, self).__init__()

                        self.yang_name = "endpoint"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"service-policy" : ("service_policy", Native.Interface.VirtualTemplate.Tunnel.Endpoint.ServicePolicy)}
                        self._child_list_classes = {}

                        self.service_policy = Native.Interface.VirtualTemplate.Tunnel.Endpoint.ServicePolicy()
                        self.service_policy.parent = self
                        self._children_name_map["service_policy"] = "service-policy"
                        self._children_yang_names.add("service-policy")
                        self._segment_path = lambda: "endpoint"


                    class ServicePolicy(Entity):
                        """
                        Set service\-policy
                        
                        .. attribute:: output
                        
                        	apply QoS service policy in the output direction
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Tunnel.Endpoint.ServicePolicy, self).__init__()

                            self.yang_name = "service-policy"
                            self.yang_parent_name = "endpoint"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.output = YLeaf(YType.str, "output")
                            self._segment_path = lambda: "service-policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Endpoint.ServicePolicy, ['output'], name, value)


                class Fixup(Entity):
                    """
                    fixup on tunnel interface
                    
                    .. attribute:: nat
                    
                    	enable post nat fixup 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.Fixup, self).__init__()

                        self.yang_name = "fixup"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.nat = YLeaf(YType.empty, "nat")
                        self._segment_path = lambda: "fixup"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Fixup, ['nat'], name, value)


                class Flow(Entity):
                    """
                    flow options
                    
                    .. attribute:: egress_records
                    
                    	enable egress flow records 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.Flow, self).__init__()

                        self.yang_name = "flow"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.egress_records = YLeaf(YType.empty, "egress-records")
                        self._segment_path = lambda: "flow"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Flow, ['egress_records'], name, value)


                class Mode(Entity):
                    """
                    tunnel encapsulation method
                    
                    .. attribute:: ipsec
                    
                    	IPSec tunnel encapsulation
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec>`
                    
                    .. attribute:: mpls
                    
                    	MPLS encapsulations
                    	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls>`
                    
                    .. attribute:: ethernet
                    
                    	Ethernet over gre
                    	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet>`
                    
                    .. attribute:: gre
                    
                    	generic route encapsulation protocol
                    	**type**\:  :py:class:`Gre <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Gre>`
                    
                    .. attribute:: ipip
                    
                    	IP over IP encapsulation
                    	**type**\:  :py:class:`Ipip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ipip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Generic packet tunneling in IPv6
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipv6ip
                    
                    	IPv6 over IP encapsulation
                    	**type**\:  :py:class:`Ipv6Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ipv6Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: udp
                    
                    	UDP encapsulation protocol
                    	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Udp>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipsec" : ("ipsec", Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec), "mpls" : ("mpls", Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls), "ethernet" : ("ethernet", Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet), "gre" : ("gre", Native.Interface.VirtualTemplate.Tunnel.Mode.Gre), "ipip" : ("ipip", Native.Interface.VirtualTemplate.Tunnel.Mode.Ipip), "ipv6ip" : ("ipv6ip", Native.Interface.VirtualTemplate.Tunnel.Mode.Ipv6Ip)}
                        self._child_list_classes = {}

                        self.ipv6 = YLeaf(YType.empty, "ipv6")

                        self.udp = YLeaf(YType.enumeration, "udp")

                        self.ipsec = Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")

                        self.mpls = Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls()
                        self.mpls.parent = self
                        self._children_name_map["mpls"] = "mpls"
                        self._children_yang_names.add("mpls")

                        self.ethernet = Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet()
                        self.ethernet.parent = self
                        self._children_name_map["ethernet"] = "ethernet"
                        self._children_yang_names.add("ethernet")

                        self.gre = Native.Interface.VirtualTemplate.Tunnel.Mode.Gre()
                        self.gre.parent = self
                        self._children_name_map["gre"] = "gre"
                        self._children_yang_names.add("gre")

                        self.ipip = None
                        self._children_name_map["ipip"] = "ipip"
                        self._children_yang_names.add("ipip")

                        self.ipv6ip = None
                        self._children_name_map["ipv6ip"] = "ipv6ip"
                        self._children_yang_names.add("ipv6ip")
                        self._segment_path = lambda: "mode"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mode, ['ipv6', 'udp'], name, value)

                    class Udp(Enum):
                        """
                        Udp

                        UDP encapsulation protocol

                        .. data:: ip = 0

                        .. data:: multipoint = 1

                        """

                        ip = Enum.YLeaf(0, "ip")

                        multipoint = Enum.YLeaf(1, "multipoint")



                    class Ipsec(Entity):
                        """
                        IPSec tunnel encapsulation
                        
                        .. attribute:: ipv4
                        
                        	over IPv4
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv4>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv6
                        
                        	over IPv6
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv6>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv4), "ipv6" : ("ipv6", Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv6)}
                            self._child_list_classes = {}

                            self.ipv4 = None
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv6 = None
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")
                            self._segment_path = lambda: "ipsec"


                        class Ipv4(Entity):
                            """
                            over IPv4
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "ipv4"


                        class Ipv6(Entity):
                            """
                            over IPv6
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mode.Ipsec.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "ipv6"


                    class Mpls(Entity):
                        """
                        MPLS encapsulations
                        
                        .. attribute:: traffic_eng
                        
                        	Traffic engineering tunnels
                        	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls.TrafficEng>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls, self).__init__()

                            self.yang_name = "mpls"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"traffic-eng" : ("traffic_eng", Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls.TrafficEng)}
                            self._child_list_classes = {}

                            self.traffic_eng = None
                            self._children_name_map["traffic_eng"] = "traffic-eng"
                            self._children_yang_names.add("traffic-eng")
                            self._segment_path = lambda: "mpls"


                        class TrafficEng(Entity):
                            """
                            Traffic engineering tunnels
                            
                            .. attribute:: multilsp
                            
                            	Multiple LSP mode
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls.TrafficEng, self).__init__()

                                self.yang_name = "traffic-eng"
                                self.yang_parent_name = "mpls"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.multilsp = YLeaf(YType.empty, "multilsp")
                                self._segment_path = lambda: "traffic-eng"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mode.Mpls.TrafficEng, ['multilsp'], name, value)


                    class Ethernet(Entity):
                        """
                        Ethernet over gre
                        
                        .. attribute:: gre
                        
                        	Ethernet over gre
                        	**type**\:  :py:class:`Gre <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet.Gre>`
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet, self).__init__()

                            self.yang_name = "ethernet"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.gre = YLeaf(YType.enumeration, "gre")
                            self._segment_path = lambda: "ethernet"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mode.Ethernet, ['gre'], name, value)

                        class Gre(Enum):
                            """
                            Gre

                            Ethernet over gre

                            .. data:: ipv4 = 0

                            .. data:: ipv6 = 1

                            """

                            ipv4 = Enum.YLeaf(0, "ipv4")

                            ipv6 = Enum.YLeaf(1, "ipv6")



                    class Gre(Entity):
                        """
                        generic route encapsulation protocol
                        
                        .. attribute:: ip
                        
                        	over IP
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	over IPv6
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multipoint
                        
                        	over IPv4 (multipoint)
                        	**type**\:  :py:class:`Multipoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mode.Gre.Multipoint>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Tunnel.Mode.Gre, self).__init__()

                            self.yang_name = "gre"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"multipoint" : ("multipoint", Native.Interface.VirtualTemplate.Tunnel.Mode.Gre.Multipoint)}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.empty, "ip")

                            self.ipv6 = YLeaf(YType.empty, "ipv6")

                            self.multipoint = None
                            self._children_name_map["multipoint"] = "multipoint"
                            self._children_yang_names.add("multipoint")
                            self._segment_path = lambda: "gre"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mode.Gre, ['ip', 'ipv6'], name, value)


                        class Multipoint(Entity):
                            """
                            over IPv4 (multipoint)
                            
                            .. attribute:: ipv6
                            
                            	over IPv6
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mode.Gre.Multipoint, self).__init__()

                                self.yang_name = "multipoint"
                                self.yang_parent_name = "gre"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ipv6 = YLeaf(YType.empty, "ipv6")
                                self._segment_path = lambda: "multipoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mode.Gre.Multipoint, ['ipv6'], name, value)


                    class Ipip(Entity):
                        """
                        IP over IP encapsulation
                        
                        .. attribute:: decapsulate_any
                        
                        	Incoming traffic only
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Tunnel.Mode.Ipip, self).__init__()

                            self.yang_name = "ipip"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.decapsulate_any = YLeaf(YType.empty, "decapsulate-any")
                            self._segment_path = lambda: "ipip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mode.Ipip, ['decapsulate_any'], name, value)


                    class Ipv6Ip(Entity):
                        """
                        IPv6 over IP encapsulation
                        
                        .. attribute:: auto_6rd
                        
                        	IPv6 automatic tunnelling using 6rd
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: auto_6to4
                        
                        	IPv6 automatic tunnelling using 6to4
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: isatap
                        
                        	IPv6 automatic tunnelling using ISATAP
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Tunnel.Mode.Ipv6Ip, self).__init__()

                            self.yang_name = "ipv6ip"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.auto_6rd = YLeaf(YType.empty, "auto-6rd")

                            self.auto_6to4 = YLeaf(YType.empty, "auto-6to4")

                            self.isatap = YLeaf(YType.empty, "isatap")
                            self._segment_path = lambda: "ipv6ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mode.Ipv6Ip, ['auto_6rd', 'auto_6to4', 'isatap'], name, value)


                class NetworkId(Entity):
                    """
                    Set network\-id
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nexthop
                    
                    	nexthop
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: qos
                    
                    	QoS profile
                    	**type**\: str
                    
                    .. attribute:: weight
                    
                    	weight
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.NetworkId, self).__init__()

                        self.yang_name = "network-id"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint16, "id")

                        self.nexthop = YLeaf(YType.str, "nexthop")

                        self.qos = YLeaf(YType.str, "qos")

                        self.weight = YLeaf(YType.uint16, "weight")
                        self._segment_path = lambda: "network-id"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.NetworkId, ['id', 'nexthop', 'qos', 'weight'], name, value)


                class PathMtuDiscovery(Entity):
                    """
                    Enable Path MTU Discovery on tunnel
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.PathMtuDiscovery, self).__init__()

                        self.yang_name = "path-mtu-discovery"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "path-mtu-discovery"


                class Protection(Entity):
                    """
                    Enable tunnel protection
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.Protection, self).__init__()

                        self.yang_name = "protection"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "protection"


                class Mpls(Entity):
                    """
                    
                    
                    .. attribute:: traffic_eng
                    
                    	
                    	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.Mpls, self).__init__()

                        self.yang_name = "mpls"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"traffic-eng" : ("traffic_eng", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng)}
                        self._child_list_classes = {}

                        self.traffic_eng = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng()
                        self.traffic_eng.parent = self
                        self._children_name_map["traffic_eng"] = "traffic-eng"
                        self._children_yang_names.add("traffic-eng")
                        self._segment_path = lambda: "mpls"


                    class TrafficEng(Entity):
                        """
                        
                        
                        .. attribute:: affinity_mask
                        
                        	desired link affinity attributes
                        	**type**\:  :py:class:`AffinityMask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AffinityMask>`
                        
                        .. attribute:: auto_bw
                        
                        	Specify mpls tunnel should automatically change BW
                        	**type**\:  :py:class:`AutoBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: autoroute
                        
                        	parameters for routing over tunnel
                        	**type**\:  :py:class:`Autoroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute>`
                        
                        .. attribute:: backup_bw
                        
                        	
                        	**type**\:  :py:class:`BackupBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw>`
                        
                        .. attribute:: bandwidth
                        
                        	tunnel bandwidth requirement
                        	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Bandwidth>`
                        
                        .. attribute:: bfd
                        
                        	Bidirectional Forwarding Detection (BFD) configuration
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Bfd>`
                        
                        .. attribute:: binding_sid
                        
                        	Binding Segment Identifier
                        	**type**\:  :py:class:`BindingSid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BindingSid>`
                        
                        .. attribute:: exp
                        
                        	Set the experimental values allowed for this interface
                        	**type**\:  :py:class:`Exp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Exp>`
                        
                        .. attribute:: exp_bundle
                        
                        	Configure the tunnel as a bundle
                        	**type**\:  :py:class:`ExpBundle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ExpBundle>`
                        
                        .. attribute:: fast_reroute
                        
                        	Specify mpls tunnel can be fast\-rerouted
                        	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.FastReroute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: forwarding_adjacency
                        
                        	Treat this tunnel as a Forwarding Adjacency
                        	**type**\:  :py:class:`ForwardingAdjacency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ForwardingAdjacency>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: interface
                        
                        	Add tunnel interface config
                        	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Interface>`
                        
                        .. attribute:: load_share
                        
                        	Specify tunnel load\-sharing metric\: <0..1000000>
                        	**type**\: int
                        
                        	**range:** 0..1000000
                        
                        .. attribute:: name
                        
                        	specify a name describing the TE tunnel
                        	**type**\: str
                        
                        	**length:** 1..63
                        
                        .. attribute:: path_option
                        
                        	
                        	**type**\:  :py:class:`PathOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption>`
                        
                        .. attribute:: path_selection
                        
                        	Path Selection Configuration
                        	**type**\:  :py:class:`PathSelection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection>`
                        
                        .. attribute:: priority
                        
                        	Tunnel priority
                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Priority>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: record_route
                        
                        	record the route used by the tunnel
                        	**type**\:  :py:class:`RecordRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.RecordRoute>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-tun'
                        _revision = '2017-07-11'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng, self).__init__()

                            self.yang_name = "traffic-eng"
                            self.yang_parent_name = "mpls"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"affinity-mask" : ("affinity_mask", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AffinityMask), "auto-bw" : ("auto_bw", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw), "autoroute" : ("autoroute", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute), "backup-bw" : ("backup_bw", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw), "bandwidth" : ("bandwidth", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Bandwidth), "bfd" : ("bfd", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Bfd), "binding-sid" : ("binding_sid", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BindingSid), "exp" : ("exp", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Exp), "exp-bundle" : ("exp_bundle", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ExpBundle), "fast-reroute" : ("fast_reroute", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.FastReroute), "forwarding-adjacency" : ("forwarding_adjacency", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ForwardingAdjacency), "interface" : ("interface", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Interface), "path-option" : ("path_option", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption), "path-selection" : ("path_selection", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection), "priority" : ("priority", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Priority), "record-route" : ("record_route", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.RecordRoute)}
                            self._child_list_classes = {}

                            self.load_share = YLeaf(YType.uint32, "load-share")

                            self.name = YLeaf(YType.str, "name")

                            self.affinity_mask = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AffinityMask()
                            self.affinity_mask.parent = self
                            self._children_name_map["affinity_mask"] = "affinity-mask"
                            self._children_yang_names.add("affinity-mask")

                            self.auto_bw = None
                            self._children_name_map["auto_bw"] = "auto-bw"
                            self._children_yang_names.add("auto-bw")

                            self.autoroute = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute()
                            self.autoroute.parent = self
                            self._children_name_map["autoroute"] = "autoroute"
                            self._children_yang_names.add("autoroute")

                            self.backup_bw = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw()
                            self.backup_bw.parent = self
                            self._children_name_map["backup_bw"] = "backup-bw"
                            self._children_yang_names.add("backup-bw")

                            self.bandwidth = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Bandwidth()
                            self.bandwidth.parent = self
                            self._children_name_map["bandwidth"] = "bandwidth"
                            self._children_yang_names.add("bandwidth")

                            self.bfd = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Bfd()
                            self.bfd.parent = self
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.binding_sid = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BindingSid()
                            self.binding_sid.parent = self
                            self._children_name_map["binding_sid"] = "binding-sid"
                            self._children_yang_names.add("binding-sid")

                            self.exp = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Exp()
                            self.exp.parent = self
                            self._children_name_map["exp"] = "exp"
                            self._children_yang_names.add("exp")

                            self.exp_bundle = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ExpBundle()
                            self.exp_bundle.parent = self
                            self._children_name_map["exp_bundle"] = "exp-bundle"
                            self._children_yang_names.add("exp-bundle")

                            self.fast_reroute = None
                            self._children_name_map["fast_reroute"] = "fast-reroute"
                            self._children_yang_names.add("fast-reroute")

                            self.forwarding_adjacency = None
                            self._children_name_map["forwarding_adjacency"] = "forwarding-adjacency"
                            self._children_yang_names.add("forwarding-adjacency")

                            self.interface = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Interface()
                            self.interface.parent = self
                            self._children_name_map["interface"] = "interface"
                            self._children_yang_names.add("interface")

                            self.path_option = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption()
                            self.path_option.parent = self
                            self._children_name_map["path_option"] = "path-option"
                            self._children_yang_names.add("path-option")

                            self.path_selection = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection()
                            self.path_selection.parent = self
                            self._children_name_map["path_selection"] = "path-selection"
                            self._children_yang_names.add("path-selection")

                            self.priority = None
                            self._children_name_map["priority"] = "priority"
                            self._children_yang_names.add("priority")

                            self.record_route = None
                            self._children_name_map["record_route"] = "record-route"
                            self._children_yang_names.add("record-route")
                            self._segment_path = lambda: "traffic-eng"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng, ['load_share', 'name'], name, value)


                        class AffinityMask(Entity):
                            """
                            desired link affinity attributes
                            
                            .. attribute:: affinity
                            
                            	Desired link attributes for links comprising tunnel\: <0x0\-0xFFFFFFFF>
                            	**type**\: str
                            
                            	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                            
                            .. attribute:: mask
                            
                            	Mask on desired link attributes\: <0x0\-0xFFFFFFFF>
                            	**type**\: str
                            
                            	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AffinityMask, self).__init__()

                                self.yang_name = "affinity-mask"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.affinity = YLeaf(YType.str, "affinity")

                                self.mask = YLeaf(YType.str, "mask")
                                self._segment_path = lambda: "affinity-mask"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AffinityMask, ['affinity', 'mask'], name, value)


                        class AutoBw(Entity):
                            """
                            Specify mpls tunnel should automatically change BW
                            
                            .. attribute:: frequency
                            
                            	Frequency to change tunnel BW\: <300..604800>
                            	**type**\: int
                            
                            	**range:** 300..604800
                            
                            .. attribute:: collect_bw
                            
                            	Just collect bandwidth info on this tunnel
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: adjustment_threshold
                            
                            	Set the bandwidth change threshold to trigger adjustment
                            	**type**\: int
                            
                            	**range:** 1..99
                            
                            .. attribute:: overflow_limit
                            
                            	Set consecutive samples exceeding threshold which trigger adjustment\: <1..10>
                            	**type**\:  :py:class:`OverflowLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw.OverflowLimit>`
                            
                            .. attribute:: max_bw
                            
                            	Set the maximum bandwidth for auto\-bw on this tunnel\: <0..4294967295> (kbps)
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_bw
                            
                            	Set the minimum bandwidth for auto\-bw on this tunnel\: <0..4294967294> (kbps)
                            	**type**\: int
                            
                            	**range:** 0..4294967294
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw, self).__init__()

                                self.yang_name = "auto-bw"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"overflow-limit" : ("overflow_limit", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw.OverflowLimit)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.frequency = YLeaf(YType.uint32, "frequency")

                                self.collect_bw = YLeaf(YType.empty, "collect-bw")

                                self.adjustment_threshold = YLeaf(YType.uint8, "adjustment-threshold")

                                self.max_bw = YLeaf(YType.uint32, "max-bw")

                                self.min_bw = YLeaf(YType.uint32, "min-bw")

                                self.overflow_limit = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw.OverflowLimit()
                                self.overflow_limit.parent = self
                                self._children_name_map["overflow_limit"] = "overflow-limit"
                                self._children_yang_names.add("overflow-limit")
                                self._segment_path = lambda: "auto-bw"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw, ['frequency', 'collect_bw', 'adjustment_threshold', 'max_bw', 'min_bw'], name, value)


                            class OverflowLimit(Entity):
                                """
                                Set consecutive samples exceeding threshold which trigger adjustment\: <1..10>
                                
                                .. attribute:: limit
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                .. attribute:: overflow_threshold
                                
                                	Set the bandwidth change threshold to trigger overflow adjustment\: <1..99> %
                                	**type**\: int
                                
                                	**range:** 1..99
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw.OverflowLimit, self).__init__()

                                    self.yang_name = "overflow-limit"
                                    self.yang_parent_name = "auto-bw"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint8, "limit")

                                    self.overflow_threshold = YLeaf(YType.uint8, "overflow-threshold")
                                    self._segment_path = lambda: "overflow-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.AutoBw.OverflowLimit, ['limit', 'overflow_threshold'], name, value)


                        class Autoroute(Entity):
                            """
                            parameters for routing over tunnel
                            
                            .. attribute:: announce
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	Specify mpls tunnel metric
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute.Metric>`
                            
                            .. attribute:: destination
                            
                            	announce tunnel destination to IP static route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute, self).__init__()

                                self.yang_name = "autoroute"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute.Metric)}
                                self._child_list_classes = {}

                                self.announce = YLeaf(YType.empty, "announce")

                                self.destination = YLeaf(YType.empty, "destination")

                                self.metric = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "autoroute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute, ['announce', 'destination'], name, value)


                            class Metric(Entity):
                                """
                                Specify mpls tunnel metric
                                
                                .. attribute:: range
                                
                                	Set tunnel metric for autoroutes\: <1..4294967295>
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: absolute
                                
                                	Set absolute metric for all autoroutes over tunnel\: <1..4294967295>
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: relative
                                
                                	Adjust tunnel metric for autoroutes relative to IGP\: <\-10..10>
                                	**type**\: int
                                
                                	**range:** \-10..10
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "autoroute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.range = YLeaf(YType.uint32, "range")

                                    self.absolute = YLeaf(YType.uint32, "absolute")

                                    self.relative = YLeaf(YType.int8, "relative")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Autoroute.Metric, ['range', 'absolute', 'relative'], name, value)


                        class BackupBw(Entity):
                            """
                            
                            
                            .. attribute:: bandwidth
                            
                            	Amount of allocatable backup bw, any lsp may use\: <1..4294967295> kbps
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: sub_pool
                            
                            	Enter Allocatable amount for Sub\-Pool bw
                            	**type**\:  :py:class:`SubPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool>`
                            
                            .. attribute:: class_type
                            
                            	
                            	**type**\:  :py:class:`ClassType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.ClassType>`
                            
                            .. attribute:: global_pool
                            
                            	
                            	**type**\:  :py:class:`GlobalPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.GlobalPool>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw, self).__init__()

                                self.yang_name = "backup-bw"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"sub-pool" : ("sub_pool", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool), "class-type" : ("class_type", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.ClassType), "global-pool" : ("global_pool", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.GlobalPool)}
                                self._child_list_classes = {}

                                self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                self.sub_pool = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool()
                                self.sub_pool.parent = self
                                self._children_name_map["sub_pool"] = "sub-pool"
                                self._children_yang_names.add("sub-pool")

                                self.class_type = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.ClassType()
                                self.class_type.parent = self
                                self._children_name_map["class_type"] = "class-type"
                                self._children_yang_names.add("class-type")

                                self.global_pool = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.GlobalPool()
                                self.global_pool.parent = self
                                self._children_name_map["global_pool"] = "global-pool"
                                self._children_yang_names.add("global-pool")
                                self._segment_path = lambda: "backup-bw"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw, ['bandwidth'], name, value)


                            class SubPool(Entity):
                                """
                                Enter Allocatable amount for Sub\-Pool bw
                                
                                .. attribute:: unlimited
                                
                                	Unlimited amount for Sub\-Pool bw
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: sub_pool_config
                                
                                	
                                	**type**\:  :py:class:`SubPoolConfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool, self).__init__()

                                    self.yang_name = "sub-pool"
                                    self.yang_parent_name = "backup-bw"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"sub-pool-config" : ("sub_pool_config", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig)}
                                    self._child_list_classes = {}

                                    self.unlimited = YLeaf(YType.empty, "unlimited")

                                    self.sub_pool_config = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig()
                                    self.sub_pool_config.parent = self
                                    self._children_name_map["sub_pool_config"] = "sub-pool-config"
                                    self._children_yang_names.add("sub-pool-config")
                                    self._segment_path = lambda: "sub-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool, ['unlimited'], name, value)


                                class SubPoolConfig(Entity):
                                    """
                                    
                                    
                                    .. attribute:: bandwidth
                                    
                                    	Amount of allocatable backup bw, only sub\-pool may use\: <1..4294967295> kbps
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: class_type
                                    
                                    	
                                    	**type**\:  :py:class:`ClassType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.ClassType>`
                                    
                                    .. attribute:: global_pool
                                    
                                    	
                                    	**type**\:  :py:class:`GlobalPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.GlobalPool>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig, self).__init__()

                                        self.yang_name = "sub-pool-config"
                                        self.yang_parent_name = "sub-pool"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"class-type" : ("class_type", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.ClassType), "global-pool" : ("global_pool", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.GlobalPool)}
                                        self._child_list_classes = {}

                                        self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                        self.class_type = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.ClassType()
                                        self.class_type.parent = self
                                        self._children_name_map["class_type"] = "class-type"
                                        self._children_yang_names.add("class-type")

                                        self.global_pool = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.GlobalPool()
                                        self.global_pool.parent = self
                                        self._children_name_map["global_pool"] = "global-pool"
                                        self._children_yang_names.add("global-pool")
                                        self._segment_path = lambda: "sub-pool-config"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig, ['bandwidth'], name, value)


                                    class ClassType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: class_type_num
                                        
                                        	Enter the Class\-type\: <0..0>
                                        	**type**\: int
                                        
                                        	**range:** 0..1
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Amount of allocatable backup bw\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: unlimited
                                        
                                        	Unlimited amount of allocatable bw
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.ClassType, self).__init__()

                                            self.yang_name = "class-type"
                                            self.yang_parent_name = "sub-pool-config"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.class_type_num = YLeaf(YType.uint8, "class-type-num")

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.unlimited = YLeaf(YType.empty, "unlimited")
                                            self._segment_path = lambda: "class-type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.ClassType, ['class_type_num', 'bandwidth', 'unlimited'], name, value)


                                    class GlobalPool(Entity):
                                        """
                                        
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Amount of allocatable backup bw\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: unlimited
                                        
                                        	Unlimited amount of allocatable bw
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.GlobalPool, self).__init__()

                                            self.yang_name = "global-pool"
                                            self.yang_parent_name = "sub-pool-config"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.unlimited = YLeaf(YType.empty, "unlimited")
                                            self._segment_path = lambda: "global-pool"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.SubPool.SubPoolConfig.GlobalPool, ['bandwidth', 'unlimited'], name, value)


                            class ClassType(Entity):
                                """
                                
                                
                                .. attribute:: class_type_num
                                
                                	Enter the Class\-type\: <0..1>
                                	**type**\: int
                                
                                	**range:** 0..1
                                
                                .. attribute:: bandwidth
                                
                                	Amount of allocatable backup bw\: <1..4294967295> kbps
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: unlimited
                                
                                	Unlimited amount of allocatable bw
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.ClassType, self).__init__()

                                    self.yang_name = "class-type"
                                    self.yang_parent_name = "backup-bw"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.class_type_num = YLeaf(YType.uint8, "class-type-num")

                                    self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                    self.unlimited = YLeaf(YType.empty, "unlimited")
                                    self._segment_path = lambda: "class-type"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.ClassType, ['class_type_num', 'bandwidth', 'unlimited'], name, value)


                            class GlobalPool(Entity):
                                """
                                
                                
                                .. attribute:: bandwidth
                                
                                	Amount of allocatable backup bw\: <1..4294967295> kbps
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: unlimited
                                
                                	Unlimited amount of allocatable bw
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.GlobalPool, self).__init__()

                                    self.yang_name = "global-pool"
                                    self.yang_parent_name = "backup-bw"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                    self.unlimited = YLeaf(YType.empty, "unlimited")
                                    self._segment_path = lambda: "global-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BackupBw.GlobalPool, ['bandwidth', 'unlimited'], name, value)


                        class Bandwidth(Entity):
                            """
                            tunnel bandwidth requirement
                            
                            .. attribute:: bw
                            
                            	bandwidth requirement\: <0..4294967295> kbps
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: class_type
                            
                            	classtype value
                            	**type**\: int
                            
                            	**range:** 0..1
                            
                            .. attribute:: sub_pool
                            
                            	tunnel uses sub\-pool bandwidth\: <1..4294967295> kbps
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Bandwidth, self).__init__()

                                self.yang_name = "bandwidth"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.bw = YLeaf(YType.uint32, "bw")

                                self.class_type = YLeaf(YType.uint8, "class-type")

                                self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                self._segment_path = lambda: "bandwidth"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Bandwidth, ['bw', 'class_type', 'sub_pool'], name, value)


                        class Bfd(Entity):
                            """
                            Bidirectional Forwarding Detection (BFD) configuration
                            
                            .. attribute:: sbfd
                            
                            	 Seamless BFD
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sbfd = YLeaf(YType.str, "sbfd")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Bfd, ['sbfd'], name, value)


                        class BindingSid(Entity):
                            """
                            Binding Segment Identifier
                            
                            .. attribute:: label
                            
                            	MPLS label (depends on the configured static label range)
                            	**type**\: int
                            
                            	**range:** 16..1048575
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BindingSid, self).__init__()

                                self.yang_name = "binding-sid"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.label = YLeaf(YType.uint32, "label")
                                self._segment_path = lambda: "binding-sid"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.BindingSid, ['label'], name, value)


                        class Exp(Entity):
                            """
                            Set the experimental values allowed for this interface
                            
                            .. attribute:: exp_value
                            
                            	Enter up to 8 experimental values separated by white\-spaces\: <0..7>
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: default
                            
                            	Default all unconfigured exp to this interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Exp, self).__init__()

                                self.yang_name = "exp"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.exp_value = YLeafList(YType.uint8, "exp-value")

                                self.default = YLeaf(YType.empty, "default")
                                self._segment_path = lambda: "exp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Exp, ['exp_value', 'default'], name, value)


                        class ExpBundle(Entity):
                            """
                            Configure the tunnel as a bundle
                            
                            .. attribute:: master
                            
                            	Master tunnel for the bundle
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: member
                            
                            	Member tunnel for the bundle
                            	**type**\:  :py:class:`Member <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ExpBundle.Member>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ExpBundle, self).__init__()

                                self.yang_name = "exp-bundle"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"member" : ("member", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ExpBundle.Member)}
                                self._child_list_classes = {}

                                self.master = YLeaf(YType.empty, "master")

                                self.member = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ExpBundle.Member()
                                self.member.parent = self
                                self._children_name_map["member"] = "member"
                                self._children_yang_names.add("member")
                                self._segment_path = lambda: "exp-bundle"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ExpBundle, ['master'], name, value)


                            class Member(Entity):
                                """
                                Member tunnel for the bundle
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface number\: <0..2147483647>
                                	**type**\: int
                                
                                	**range:** 0..2147483647
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ExpBundle.Member, self).__init__()

                                    self.yang_name = "member"
                                    self.yang_parent_name = "exp-bundle"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")
                                    self._segment_path = lambda: "member"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ExpBundle.Member, ['tunnel'], name, value)


                        class FastReroute(Entity):
                            """
                            Specify mpls tunnel can be fast\-rerouted
                            
                            .. attribute:: bw_protect
                            
                            	bandwidth protection desired
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: node_protect
                            
                            	node protection desired
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.FastReroute, self).__init__()

                                self.yang_name = "fast-reroute"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.bw_protect = YLeaf(YType.empty, "bw-protect")

                                self.node_protect = YLeaf(YType.empty, "node-protect")
                                self._segment_path = lambda: "fast-reroute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.FastReroute, ['bw_protect', 'node_protect'], name, value)


                        class ForwardingAdjacency(Entity):
                            """
                            Treat this tunnel as a Forwarding Adjacency
                            
                            .. attribute:: holdtime
                            
                            	How long to wait upon flooding a down Forwarding Adjacency\: <0..4294967295> msec
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ForwardingAdjacency, self).__init__()

                                self.yang_name = "forwarding-adjacency"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.holdtime = YLeaf(YType.uint32, "holdtime")
                                self._segment_path = lambda: "forwarding-adjacency"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.ForwardingAdjacency, ['holdtime'], name, value)


                        class Interface(Entity):
                            """
                            Add tunnel interface config
                            
                            .. attribute:: down
                            
                            	 Tunnel interface down config
                            	**type**\:  :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Interface.Down>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Interface, self).__init__()

                                self.yang_name = "interface"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"down" : ("down", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Interface.Down)}
                                self._child_list_classes = {}

                                self.down = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Interface.Down()
                                self.down.parent = self
                                self._children_name_map["down"] = "down"
                                self._children_yang_names.add("down")
                                self._segment_path = lambda: "interface"


                            class Down(Entity):
                                """
                                 Tunnel interface down config
                                
                                .. attribute:: delay
                                
                                	Tunnel interface down delay config\: <0..0>
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Interface.Down, self).__init__()

                                    self.yang_name = "down"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.delay = YLeaf(YType.uint32, "delay")
                                    self._segment_path = lambda: "down"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Interface.Down, ['delay'], name, value)


                        class PathOption(Entity):
                            """
                            
                            
                            .. attribute:: working
                            
                            	
                            	**type**\: list of  		 :py:class:`Working <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working>`
                            
                            .. attribute:: protect
                            
                            	
                            	**type**\: list of  		 :py:class:`Protect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption, self).__init__()

                                self.yang_name = "path-option"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"working" : ("working", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working), "protect" : ("protect", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect)}

                                self.working = YList(self)
                                self.protect = YList(self)
                                self._segment_path = lambda: "path-option"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption, [], name, value)


                            class Working(Entity):
                                """
                                
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: dynamic
                                
                                	Setup based on dynamically calculated path
                                	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: explicit
                                
                                	Setup based on preconfigured path
                                	**type**\:  :py:class:`Explicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit>`
                                
                                .. attribute:: segment_routing
                                
                                	Specify segment\-routing for this pathoption
                                	**type**\:  :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.SegmentRouting>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working, self).__init__()

                                    self.yang_name = "working"
                                    self.yang_parent_name = "path-option"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dynamic" : ("dynamic", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic), "explicit" : ("explicit", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit), "segment-routing" : ("segment_routing", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.SegmentRouting)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.dynamic = None
                                    self._children_name_map["dynamic"] = "dynamic"
                                    self._children_yang_names.add("dynamic")

                                    self.explicit = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit()
                                    self.explicit.parent = self
                                    self._children_name_map["explicit"] = "explicit"
                                    self._children_yang_names.add("explicit")

                                    self.segment_routing = None
                                    self._children_name_map["segment_routing"] = "segment-routing"
                                    self._children_yang_names.add("segment-routing")
                                    self._segment_path = lambda: "working" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working, ['id'], name, value)


                                class Dynamic(Entity):
                                    """
                                    Setup based on dynamically calculated path
                                    
                                    .. attribute:: segment_routing
                                    
                                    	Specify segment\-routing for this pathoption
                                    	**type**\:  :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: pce
                                    
                                    	Use PCE for path computation
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: address
                                    
                                    	PCE IPv4 address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: verbatim
                                    
                                    	Do not validate links from the ERO object
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: lockdown
                                    
                                    	Not a candidate for reoptimization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sticky
                                    
                                    	Stay on the same path after change in required resources
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: bandwidth
                                    
                                    	Override the bandwidth configured on the tunnel
                                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Bandwidth>`
                                    
                                    .. attribute:: attributes
                                    
                                    	Specify name of LSP attribute list
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic, self).__init__()

                                        self.yang_name = "dynamic"
                                        self.yang_parent_name = "working"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"segment-routing" : ("segment_routing", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting), "bandwidth" : ("bandwidth", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Bandwidth)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.pce = YLeaf(YType.empty, "pce")

                                        self.address = YLeaf(YType.str, "address")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")

                                        self.lockdown = YLeaf(YType.empty, "lockdown")

                                        self.sticky = YLeaf(YType.empty, "sticky")

                                        self.attributes = YLeaf(YType.str, "attributes")

                                        self.segment_routing = None
                                        self._children_name_map["segment_routing"] = "segment-routing"
                                        self._children_yang_names.add("segment-routing")

                                        self.bandwidth = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Bandwidth()
                                        self.bandwidth.parent = self
                                        self._children_name_map["bandwidth"] = "bandwidth"
                                        self._children_yang_names.add("bandwidth")
                                        self._segment_path = lambda: "dynamic"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic, ['pce', 'address', 'verbatim', 'lockdown', 'sticky', 'attributes'], name, value)


                                    class SegmentRouting(Entity):
                                        """
                                        Specify segment\-routing for this pathoption
                                        
                                        .. attribute:: attributes
                                        
                                        	Specify name of LSP attribute list
                                        	**type**\: str
                                        
                                        .. attribute:: lockdown
                                        
                                        	Not a candidate for reoptimization
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: sticky
                                        
                                        	Stay on the same path after change in required resources
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: pce
                                        
                                        	Use PCE for path computation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: address
                                        
                                        	PCE IPv4 address
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: verbatim
                                        
                                        	Do not validate links from the ERO object
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting, self).__init__()

                                            self.yang_name = "segment-routing"
                                            self.yang_parent_name = "dynamic"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.attributes = YLeaf(YType.str, "attributes")

                                            self.lockdown = YLeaf(YType.empty, "lockdown")

                                            self.sticky = YLeaf(YType.empty, "sticky")

                                            self.pce = YLeaf(YType.empty, "pce")

                                            self.address = YLeaf(YType.str, "address")

                                            self.verbatim = YLeaf(YType.empty, "verbatim")
                                            self._segment_path = lambda: "segment-routing"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.SegmentRouting, ['attributes', 'lockdown', 'sticky', 'pce', 'address', 'verbatim'], name, value)


                                    class Bandwidth(Entity):
                                        """
                                        Override the bandwidth configured on the tunnel
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Bandwidth requirement\: <0..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sub_pool
                                        
                                        	Tunnel uses sub\-pool bandwidth\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Bandwidth, self).__init__()

                                            self.yang_name = "bandwidth"
                                            self.yang_parent_name = "dynamic"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                            self._segment_path = lambda: "bandwidth"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Dynamic.Bandwidth, ['bandwidth', 'sub_pool'], name, value)


                                class Explicit(Entity):
                                    """
                                    Setup based on preconfigured path
                                    
                                    .. attribute:: identifier
                                    
                                    	Specify an IP explicit path by number\: <1..65535>
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: name
                                    
                                    	Specify an IP explicit path by name
                                    	**type**\: str
                                    
                                    .. attribute:: segment_routing
                                    
                                    	Specify segment\-routing for this pathoption
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verbatim
                                    
                                    	Send out path as is, with no checking
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: attributes
                                    
                                    	Specify name of LSP attribute list
                                    	**type**\: str
                                    
                                    .. attribute:: lockdown
                                    
                                    	Not a candidate for reoptimization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sticky
                                    
                                    	Stay on the same path after change in required resources
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: bandwidth
                                    
                                    	Override the bandwidth configured on the tunnel
                                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Bandwidth>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit, self).__init__()

                                        self.yang_name = "explicit"
                                        self.yang_parent_name = "working"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Bandwidth)}
                                        self._child_list_classes = {}

                                        self.identifier = YLeaf(YType.uint16, "identifier")

                                        self.name = YLeaf(YType.str, "name")

                                        self.segment_routing = YLeaf(YType.empty, "segment-routing")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")

                                        self.attributes = YLeaf(YType.str, "attributes")

                                        self.lockdown = YLeaf(YType.empty, "lockdown")

                                        self.sticky = YLeaf(YType.empty, "sticky")

                                        self.bandwidth = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Bandwidth()
                                        self.bandwidth.parent = self
                                        self._children_name_map["bandwidth"] = "bandwidth"
                                        self._children_yang_names.add("bandwidth")
                                        self._segment_path = lambda: "explicit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit, ['identifier', 'name', 'segment_routing', 'verbatim', 'attributes', 'lockdown', 'sticky'], name, value)


                                    class Bandwidth(Entity):
                                        """
                                        Override the bandwidth configured on the tunnel
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Bandwidth requirement\: <0..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sub_pool
                                        
                                        	Tunnel uses sub\-pool bandwidth\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Bandwidth, self).__init__()

                                            self.yang_name = "bandwidth"
                                            self.yang_parent_name = "explicit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                            self._segment_path = lambda: "bandwidth"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.Explicit.Bandwidth, ['bandwidth', 'sub_pool'], name, value)


                                class SegmentRouting(Entity):
                                    """
                                    Specify segment\-routing for this pathoption
                                    
                                    .. attribute:: lockdown
                                    
                                    	Not a candidate for reoptimization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sticky
                                    
                                    	Stay on the same path after change in required resources
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.SegmentRouting, self).__init__()

                                        self.yang_name = "segment-routing"
                                        self.yang_parent_name = "working"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.lockdown = YLeaf(YType.empty, "lockdown")

                                        self.sticky = YLeaf(YType.empty, "sticky")
                                        self._segment_path = lambda: "segment-routing"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working.SegmentRouting, ['lockdown', 'sticky'], name, value)


                            class Protect(Entity):
                                """
                                
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                	**refers to**\:  :py:class:`id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Working>`
                                
                                .. attribute:: diverse
                                
                                	Setup based on dynamically calculated diverse path
                                	**type**\:  :py:class:`Diverse <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse>`
                                
                                .. attribute:: explicit
                                
                                	Setup based on preconfigured path
                                	**type**\:  :py:class:`Explicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit>`
                                
                                .. attribute:: list
                                
                                	A list of backup paths
                                	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.List>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect, self).__init__()

                                    self.yang_name = "protect"
                                    self.yang_parent_name = "path-option"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"diverse" : ("diverse", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse), "explicit" : ("explicit", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit), "list" : ("list", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.List)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.diverse = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse()
                                    self.diverse.parent = self
                                    self._children_name_map["diverse"] = "diverse"
                                    self._children_yang_names.add("diverse")

                                    self.explicit = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit()
                                    self.explicit.parent = self
                                    self._children_name_map["explicit"] = "explicit"
                                    self._children_yang_names.add("explicit")

                                    self.list = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.List()
                                    self.list.parent = self
                                    self._children_name_map["list"] = "list"
                                    self._children_yang_names.add("list")
                                    self._segment_path = lambda: "protect" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect, ['id'], name, value)


                                class Diverse(Entity):
                                    """
                                    Setup based on dynamically calculated diverse path
                                    
                                    .. attribute:: node
                                    
                                    	Use at least node diverse path
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: srlg
                                    
                                    	Use at least srlg diverse path
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: segment_routing
                                    
                                    	Specify segment\-routing for this pathoption
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: non_revertive
                                    
                                    	Diverse non\-revertive
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: pce
                                    
                                    	Use PCE for path computation
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: address
                                    
                                    	PCE IPv4 address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: verbatim
                                    
                                    	Do not validate links from the ERO object
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: lockdown
                                    
                                    	Not a candidate for reoptimization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: attributes
                                    
                                    	Specify name of LSP attribute list
                                    	**type**\: str
                                    
                                    .. attribute:: bandwidth
                                    
                                    	Override the bandwidth configured on the tunnel
                                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse.Bandwidth>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse, self).__init__()

                                        self.yang_name = "diverse"
                                        self.yang_parent_name = "protect"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse.Bandwidth)}
                                        self._child_list_classes = {}

                                        self.node = YLeaf(YType.empty, "node")

                                        self.srlg = YLeaf(YType.empty, "srlg")

                                        self.segment_routing = YLeaf(YType.empty, "segment-routing")

                                        self.non_revertive = YLeaf(YType.empty, "non-revertive")

                                        self.pce = YLeaf(YType.empty, "pce")

                                        self.address = YLeaf(YType.str, "address")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")

                                        self.lockdown = YLeaf(YType.empty, "lockdown")

                                        self.attributes = YLeaf(YType.str, "attributes")

                                        self.bandwidth = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse.Bandwidth()
                                        self.bandwidth.parent = self
                                        self._children_name_map["bandwidth"] = "bandwidth"
                                        self._children_yang_names.add("bandwidth")
                                        self._segment_path = lambda: "diverse"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse, ['node', 'srlg', 'segment_routing', 'non_revertive', 'pce', 'address', 'verbatim', 'lockdown', 'attributes'], name, value)


                                    class Bandwidth(Entity):
                                        """
                                        Override the bandwidth configured on the tunnel
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Bandwidth requirement\: <0..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sub_pool
                                        
                                        	Tunnel uses sub\-pool bandwidth\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse.Bandwidth, self).__init__()

                                            self.yang_name = "bandwidth"
                                            self.yang_parent_name = "diverse"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                            self._segment_path = lambda: "bandwidth"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Diverse.Bandwidth, ['bandwidth', 'sub_pool'], name, value)


                                class Explicit(Entity):
                                    """
                                    Setup based on preconfigured path
                                    
                                    .. attribute:: identifier
                                    
                                    	Specify an IP explicit path by number\: <1..65535>
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: name
                                    
                                    	Specify an IP explicit path by name
                                    	**type**\: str
                                    
                                    .. attribute:: segment_routing
                                    
                                    	Specify segment\-routing for this pathoption
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: non_revertive
                                    
                                    	Diverse non\-revertive
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verbatim
                                    
                                    	Send out path as is, with no checking
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: attributes
                                    
                                    	Specify name of LSP attribute list
                                    	**type**\: str
                                    
                                    .. attribute:: bandwidth
                                    
                                    	Override the bandwidth configured on the tunnel
                                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit.Bandwidth>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit, self).__init__()

                                        self.yang_name = "explicit"
                                        self.yang_parent_name = "protect"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit.Bandwidth)}
                                        self._child_list_classes = {}

                                        self.identifier = YLeaf(YType.uint16, "identifier")

                                        self.name = YLeaf(YType.str, "name")

                                        self.segment_routing = YLeaf(YType.empty, "segment-routing")

                                        self.non_revertive = YLeaf(YType.empty, "non-revertive")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")

                                        self.attributes = YLeaf(YType.str, "attributes")

                                        self.bandwidth = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit.Bandwidth()
                                        self.bandwidth.parent = self
                                        self._children_name_map["bandwidth"] = "bandwidth"
                                        self._children_yang_names.add("bandwidth")
                                        self._segment_path = lambda: "explicit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit, ['identifier', 'name', 'segment_routing', 'non_revertive', 'verbatim', 'attributes'], name, value)


                                    class Bandwidth(Entity):
                                        """
                                        Override the bandwidth configured on the tunnel
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Bandwidth requirement\: <0..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sub_pool
                                        
                                        	Tunnel uses sub\-pool bandwidth\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit.Bandwidth, self).__init__()

                                            self.yang_name = "bandwidth"
                                            self.yang_parent_name = "explicit"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                            self._segment_path = lambda: "bandwidth"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.Explicit.Bandwidth, ['bandwidth', 'sub_pool'], name, value)


                                class List(Entity):
                                    """
                                    A list of backup paths
                                    
                                    .. attribute:: identifier
                                    
                                    	Specify an IP explicit path by number\: <1..65535>
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: name
                                    
                                    	Specify an IP explicit path by name
                                    	**type**\: str
                                    
                                    .. attribute:: segment_routing
                                    
                                    	Specify segment\-routing for this pathoption
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: non_revertive
                                    
                                    	Make the protect path non\-revertive
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: attributes
                                    
                                    	Specify name of LSP attribute list
                                    	**type**\: str
                                    
                                    .. attribute:: bandwidth
                                    
                                    	Override the bandwidth configured on the tunnel
                                    	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.List.Bandwidth>`
                                    
                                    .. attribute:: pce
                                    
                                    	Use PCE for path computation
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: address
                                    
                                    	PCE IPv4 address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: verbatim
                                    
                                    	Do not validate links from the ERO object
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-tun'
                                    _revision = '2017-07-11'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.List, self).__init__()

                                        self.yang_name = "list"
                                        self.yang_parent_name = "protect"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bandwidth" : ("bandwidth", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.List.Bandwidth)}
                                        self._child_list_classes = {}

                                        self.identifier = YLeaf(YType.uint16, "identifier")

                                        self.name = YLeaf(YType.str, "name")

                                        self.segment_routing = YLeaf(YType.empty, "segment-routing")

                                        self.non_revertive = YLeaf(YType.empty, "non-revertive")

                                        self.attributes = YLeaf(YType.str, "attributes")

                                        self.pce = YLeaf(YType.empty, "pce")

                                        self.address = YLeaf(YType.str, "address")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")

                                        self.bandwidth = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.List.Bandwidth()
                                        self.bandwidth.parent = self
                                        self._children_name_map["bandwidth"] = "bandwidth"
                                        self._children_yang_names.add("bandwidth")
                                        self._segment_path = lambda: "list"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.List, ['identifier', 'name', 'segment_routing', 'non_revertive', 'attributes', 'pce', 'address', 'verbatim'], name, value)


                                    class Bandwidth(Entity):
                                        """
                                        Override the bandwidth configured on the tunnel
                                        
                                        .. attribute:: bandwidth
                                        
                                        	Bandwidth requirement\: <0..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sub_pool
                                        
                                        	Tunnel uses sub\-pool bandwidth\: <1..4294967295> kbps
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-tun'
                                        _revision = '2017-07-11'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.List.Bandwidth, self).__init__()

                                            self.yang_name = "bandwidth"
                                            self.yang_parent_name = "list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.bandwidth = YLeaf(YType.uint32, "bandwidth")

                                            self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                            self._segment_path = lambda: "bandwidth"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathOption.Protect.List.Bandwidth, ['bandwidth', 'sub_pool'], name, value)


                        class PathSelection(Entity):
                            """
                            Path Selection Configuration
                            
                            .. attribute:: metric
                            
                            	Metric Type Configuration\: < te \| igp >
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.Metric>`
                            
                            .. attribute:: invalidation
                            
                            	Path invalidation configuration
                            	**type**\:  :py:class:`Invalidation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation>`
                            
                            .. attribute:: segment_routing
                            
                            	Segment\-routing path\-selection options
                            	**type**\:  :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting>`
                            
                            .. attribute:: cost_limit
                            
                            	Cost Limit Configuration\: <1..4294967295>
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: hop_limit
                            
                            	Cost Limit Configuration\: <1..255>
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: tiebreaker
                            
                            	Tiebreaker Configuration\: < max\-fill \| min\-fill \| random >
                            	**type**\:  :py:class:`MplsTeTiebreakerType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.MplsTeTiebreakerType>`
                            
                            

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection, self).__init__()

                                self.yang_name = "path-selection"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"invalidation" : ("invalidation", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation), "segment-routing" : ("segment_routing", Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting)}
                                self._child_list_classes = {}

                                self.metric = YLeaf(YType.enumeration, "metric")

                                self.cost_limit = YLeaf(YType.uint32, "cost-limit")

                                self.hop_limit = YLeaf(YType.uint8, "hop-limit")

                                self.tiebreaker = YLeaf(YType.enumeration, "tiebreaker")

                                self.invalidation = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation()
                                self.invalidation.parent = self
                                self._children_name_map["invalidation"] = "invalidation"
                                self._children_yang_names.add("invalidation")

                                self.segment_routing = Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting()
                                self.segment_routing.parent = self
                                self._children_name_map["segment_routing"] = "segment-routing"
                                self._children_yang_names.add("segment-routing")
                                self._segment_path = lambda: "path-selection"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection, ['metric', 'cost_limit', 'hop_limit', 'tiebreaker'], name, value)

                            class Metric(Enum):
                                """
                                Metric

                                Metric Type Configuration\: < te \| igp >

                                .. data:: igp = 0

                                .. data:: te = 1

                                """

                                igp = Enum.YLeaf(0, "igp")

                                te = Enum.YLeaf(1, "te")



                            class Invalidation(Entity):
                                """
                                Path invalidation configuration
                                
                                .. attribute:: value
                                
                                	Path invalidation timer value\: <0..60000> milliseconds, (default 10000)
                                	**type**\: int
                                
                                	**range:** 0..60000
                                
                                .. attribute:: drop
                                
                                	Drop Tunnel Traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation, self).__init__()

                                    self.yang_name = "invalidation"
                                    self.yang_parent_name = "path-selection"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.value = YLeaf(YType.int32, "value")

                                    self.drop = YLeaf(YType.empty, "drop")
                                    self._segment_path = lambda: "invalidation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.Invalidation, ['value', 'drop'], name, value)


                            class SegmentRouting(Entity):
                                """
                                Segment\-routing path\-selection options
                                
                                .. attribute:: adjacency
                                
                                	Segment\-routing adjacency path\-selection type
                                	**type**\:  :py:class:`Adjacency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting.Adjacency>`
                                
                                

                                """

                                _prefix = 'ios-tun'
                                _revision = '2017-07-11'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting, self).__init__()

                                    self.yang_name = "segment-routing"
                                    self.yang_parent_name = "path-selection"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.adjacency = YLeaf(YType.enumeration, "adjacency")
                                    self._segment_path = lambda: "segment-routing"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.PathSelection.SegmentRouting, ['adjacency'], name, value)

                                class Adjacency(Enum):
                                    """
                                    Adjacency

                                    Segment\-routing adjacency path\-selection type

                                    .. data:: protected = 0

                                    .. data:: unprotected = 1

                                    """

                                    protected = Enum.YLeaf(0, "protected")

                                    unprotected = Enum.YLeaf(1, "unprotected")



                        class Priority(Entity):
                            """
                            Tunnel priority
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority\: <0..7>
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            	**mandatory**\: True
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority\: <0..7>
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Priority, self).__init__()

                                self.yang_name = "priority"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.setup_priority = YLeaf(YType.uint8, "setup-priority")

                                self.hold_priority = YLeaf(YType.uint8, "hold-priority")
                                self._segment_path = lambda: "priority"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.Priority, ['setup_priority', 'hold_priority'], name, value)


                        class RecordRoute(Entity):
                            """
                            record the route used by the tunnel
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-tun'
                            _revision = '2017-07-11'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Tunnel.Mpls.TrafficEng.RecordRoute, self).__init__()

                                self.yang_name = "record-route"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "record-route"


                class Rbscp(Entity):
                    """
                    Set tunnel RBSCP parameters
                    
                    .. attribute:: ack_split
                    
                    	ACK splitting
                    	**type**\: int
                    
                    	**range:** 1..32
                    
                    .. attribute:: delay
                    
                    	enable delay
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: input_drop
                    
                    	max tunnel queue size (number of bw\*delay)
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: long_drop
                    
                    	Drop non\-transmitted packets w/excessive delay
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: report
                    
                    	enable SCTP report chunk
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: window_stuff
                    
                    	Window stuffing
                    	**type**\: int
                    
                    	**range:** 1..20
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.Rbscp, self).__init__()

                        self.yang_name = "rbscp"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ack_split = YLeaf(YType.uint8, "ack-split")

                        self.delay = YLeaf(YType.empty, "delay")

                        self.input_drop = YLeaf(YType.uint8, "input-drop")

                        self.long_drop = YLeaf(YType.empty, "long-drop")

                        self.report = YLeaf(YType.empty, "report")

                        self.window_stuff = YLeaf(YType.uint8, "window-stuff")
                        self._segment_path = lambda: "rbscp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Rbscp, ['ack_split', 'delay', 'input_drop', 'long_drop', 'report', 'window_stuff'], name, value)


                class SrcPort(Entity):
                    """
                    tunnel source port
                    
                    .. attribute:: port_num
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: dynamic
                    
                    	Set Source Port Dynamically
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.SrcPort, self).__init__()

                        self.yang_name = "src-port"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_num = YLeaf(YType.uint16, "port-num")

                        self.dynamic = YLeaf(YType.empty, "dynamic")
                        self._segment_path = lambda: "src-port"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.SrcPort, ['port_num', 'dynamic'], name, value)


                class Udlr(Entity):
                    """
                    associate tunnel with unidirectional interface
                    
                    .. attribute:: address_resolution
                    
                    	Enable ARP and NHRP over a UDLR Tunnel
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: receive_only
                    
                    	Tunnel is receive\-only capable
                    	**type**\: str
                    
                    .. attribute:: send_only
                    
                    	Tunnel is send\-only capable
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.Udlr, self).__init__()

                        self.yang_name = "udlr"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address_resolution = YLeaf(YType.empty, "address-resolution")

                        self.receive_only = YLeaf(YType.str, "receive-only")

                        self.send_only = YLeaf(YType.str, "send-only")
                        self._segment_path = lambda: "udlr"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Udlr, ['address_resolution', 'receive_only', 'send_only'], name, value)


                class Vlan(Entity):
                    """
                    Set vlan\-id for ethernet over gre mode
                    
                    .. attribute:: id1
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: hyphen
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: id2
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-tun'
                    _revision = '2017-07-11'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Tunnel.Vlan, self).__init__()

                        self.yang_name = "vlan"
                        self.yang_parent_name = "tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id1 = YLeaf(YType.uint16, "id1")

                        self.hyphen = YLeaf(YType.empty, "hyphen")

                        self.id2 = YLeaf(YType.uint16, "id2")
                        self._segment_path = lambda: "vlan"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Tunnel.Vlan, ['id1', 'hyphen', 'id2'], name, value)


            class Crypto(Entity):
                """
                Encryption/Decryption commands
                
                .. attribute:: map
                
                	Assign a Crypto Map
                	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Crypto.Map>`
                
                .. attribute:: ipsec
                
                	Set IPSec parameters
                	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Crypto.Ipsec>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Crypto, self).__init__()

                    self.yang_name = "crypto"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"map" : ("map", Native.Interface.VirtualTemplate.Crypto.Map), "ipsec" : ("ipsec", Native.Interface.VirtualTemplate.Crypto.Ipsec)}
                    self._child_list_classes = {}

                    self.map = Native.Interface.VirtualTemplate.Crypto.Map()
                    self.map.parent = self
                    self._children_name_map["map"] = "map"
                    self._children_yang_names.add("map")

                    self.ipsec = Native.Interface.VirtualTemplate.Crypto.Ipsec()
                    self.ipsec.parent = self
                    self._children_name_map["ipsec"] = "ipsec"
                    self._children_yang_names.add("ipsec")
                    self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto"


                class Map(Entity):
                    """
                    Assign a Crypto Map
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: redundancy
                    
                    	enable redundancy
                    	**type**\: str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Crypto.Map, self).__init__()

                        self.yang_name = "map"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.str, "tag")

                        self.redundancy = YLeaf(YType.str, "redundancy")

                        self.stateful = YLeaf(YType.empty, "stateful")
                        self._segment_path = lambda: "map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Crypto.Map, ['tag', 'redundancy', 'stateful'], name, value)


                class Ipsec(Entity):
                    """
                    Set IPSec parameters
                    
                    .. attribute:: df_bit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:  :py:class:`DfBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Crypto.Ipsec.DfBit>`
                    
                    .. attribute:: fragmentation
                    
                    	Handling of fragmentation of near\-MTU sized packets
                    	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Crypto.Ipsec.Fragmentation>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Crypto.Ipsec, self).__init__()

                        self.yang_name = "ipsec"
                        self.yang_parent_name = "crypto"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.df_bit = YLeaf(YType.enumeration, "df-bit")

                        self.fragmentation = YLeaf(YType.enumeration, "fragmentation")
                        self._segment_path = lambda: "ipsec"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Crypto.Ipsec, ['df_bit', 'fragmentation'], name, value)

                    class DfBit(Enum):
                        """
                        DfBit

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = Enum.YLeaf(0, "clear")

                        copy = Enum.YLeaf(1, "copy")

                        set = Enum.YLeaf(2, "set")


                    class Fragmentation(Enum):
                        """
                        Fragmentation

                        Handling of fragmentation of near\-MTU sized packets

                        .. data:: after_encryption = 0

                        .. data:: before_encryption = 1

                        """

                        after_encryption = Enum.YLeaf(0, "after-encryption")

                        before_encryption = Enum.YLeaf(1, "before-encryption")



            class Cts(Entity):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:  :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Cts, self).__init__()

                    self.yang_name = "cts"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"manual" : ("manual", Native.Interface.VirtualTemplate.Cts.Manual)}
                    self._child_list_classes = {}

                    self.manual = None
                    self._children_name_map["manual"] = "manual"
                    self._children_yang_names.add("manual")
                    self._segment_path = lambda: "Cisco-IOS-XE-cts:cts"


                class Manual(Entity):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Policy>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:  :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:  :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Propagate>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Cts.Manual, self).__init__()

                        self.yang_name = "manual"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"policy" : ("policy", Native.Interface.VirtualTemplate.Cts.Manual.Policy), "sap" : ("sap", Native.Interface.VirtualTemplate.Cts.Manual.Sap), "propagate" : ("propagate", Native.Interface.VirtualTemplate.Cts.Manual.Propagate)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.policy = Native.Interface.VirtualTemplate.Cts.Manual.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.sap = Native.Interface.VirtualTemplate.Cts.Manual.Sap()
                        self.sap.parent = self
                        self._children_name_map["sap"] = "sap"
                        self._children_yang_names.add("sap")

                        self.propagate = Native.Interface.VirtualTemplate.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self._children_name_map["propagate"] = "propagate"
                        self._children_yang_names.add("propagate")
                        self._segment_path = lambda: "manual"


                    class Policy(Entity):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Cts.Manual.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"static" : ("static", Native.Interface.VirtualTemplate.Cts.Manual.Policy.Static)}
                            self._child_list_classes = {}

                            self.static = Native.Interface.VirtualTemplate.Cts.Manual.Policy.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")
                            self._segment_path = lambda: "policy"


                        class Static(Entity):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted  incoming traffic
                            	**type**\: int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for  sending
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Cts.Manual.Policy.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sgt = YLeaf(YType.uint16, "sgt")

                                self.trusted = YLeaf(YType.empty, "trusted")
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Cts.Manual.Policy.Static, ['sgt', 'trusted'], name, value)


                    class Sap(Entity):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of  		 :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Cts.Manual.Sap, self).__init__()

                            self.yang_name = "sap"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"pmk" : ("pmk", Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk)}

                            self.pmk = YList(self)
                            self._segment_path = lambda: "sap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Cts.Manual.Sap, [], name, value)


                        class Pmk(Entity):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:  :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk, self).__init__()

                                self.yang_name = "pmk"
                                self.yang_parent_name = "sap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode-list" : ("mode_list", Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList)}
                                self._child_list_classes = {}

                                self.word = YLeaf(YType.str, "word")

                                self.mode_list = Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self
                                self._children_name_map["mode_list"] = "mode-list"
                                self._children_yang_names.add("mode-list")
                                self._segment_path = lambda: "pmk" + "[word='" + self.word.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk, ['word'], name, value)


                            class ModeList(Entity):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:  :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:  :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-06-29'

                                def __init__(self):
                                    super(Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList, self).__init__()

                                    self.yang_name = "mode-list"
                                    self.yang_parent_name = "pmk"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"gcm-encrypt" : ("gcm_encrypt", Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt), "no-encap" : ("no_encap", Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap)}
                                    self._child_list_classes = {}

                                    self.gcm_encrypt = None
                                    self._children_name_map["gcm_encrypt"] = "gcm-encrypt"
                                    self._children_yang_names.add("gcm-encrypt")

                                    self.no_encap = None
                                    self._children_name_map["no_encap"] = "no-encap"
                                    self._children_yang_names.add("no-encap")
                                    self._segment_path = lambda: "mode-list"


                                class GcmEncrypt(Entity):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt, self).__init__()

                                        self.yang_name = "gcm-encrypt"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "gcm-encrypt"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,  no encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "gcm-encrypt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.null = YLeaf(YType.empty, "null")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, ['null'], name, value)


                                class NoEncap(Entity):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap, self).__init__()

                                        self.yang_name = "no-encap"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "no-encap"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "no-encap"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.gcm_encrypt = YLeaf(YType.empty, "gcm-encrypt")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualTemplate.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, ['gcm_encrypt'], name, value)


                    class Propagate(Entity):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Cts.Manual.Propagate, self).__init__()

                            self.yang_name = "propagate"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sgt = YLeaf(YType.boolean, "sgt")
                            self._segment_path = lambda: "propagate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Cts.Manual.Propagate, ['sgt'], name, value)


            class ServicePolicy(Entity):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\: str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\: str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.Interface.VirtualTemplate.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.history = YLeaf(YType.empty, "history")

                    self.input = YLeaf(YType.str, "input")

                    self.output = YLeaf(YType.str, "output")

                    self.type = Native.Interface.VirtualTemplate.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.ServicePolicy, ['history', 'input', 'output'], name, value)


                class Type(Entity):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"control" : ("control", Native.Interface.VirtualTemplate.ServicePolicy.Type.Control), "performance-monitor" : ("performance_monitor", Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor), "service-chain" : ("service_chain", Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain)}
                        self._child_list_classes = {}

                        self.control = Native.Interface.VirtualTemplate.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self._children_name_map["control"] = "control"
                        self._children_yang_names.add("control")

                        self.performance_monitor = Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.service_chain = Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self
                        self._children_name_map["service_chain"] = "service-chain"
                        self._children_yang_names.add("service-chain")
                        self._segment_path = lambda: "type"


                    class Control(Entity):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.ServicePolicy.Type.Control, self).__init__()

                            self.yang_name = "control"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.subscriber = YLeaf(YType.str, "subscriber")
                            self._segment_path = lambda: "control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.ServicePolicy.Type.Control, ['subscriber'], name, value)


                    class PerformanceMonitor(Entity):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor.Direction>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "performance-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.ServicePolicy.Type.PerformanceMonitor, ['direction', 'name'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



                    class ServiceChain(Entity):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain, self).__init__()

                            self.yang_name = "service-chain"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Input), "output" : ("output", Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Output)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "service-chain"


                        class Input(Entity):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.ServicePolicy.Type.ServiceChain.Output, ['name'], name, value)


            class Ppp(Entity):
                """
                Point\-to\-Point Protocol
                
                .. attribute:: accounting
                
                	Set PPP network accounting method
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Accounting>`
                
                .. attribute:: chap
                
                	Set CHAP authentication parameters
                	**type**\:  :py:class:`Chap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Chap>`
                
                .. attribute:: authentication
                
                	Set PPP link authentication method
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Authentication>`
                
                .. attribute:: authorization
                
                	Set PPP network authorization method
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Authorization>`
                
                .. attribute:: ipcp
                
                	Set IPCP negotiation options
                	**type**\:  :py:class:`Ipcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Ipcp>`
                
                .. attribute:: multilink
                
                	Make interface multilink capable
                	**type**\:  :py:class:`Multilink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Multilink>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ppp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Ppp, self).__init__()

                    self.yang_name = "ppp"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"chap" : ("chap", Native.Interface.VirtualTemplate.Ppp.Chap), "authentication" : ("authentication", Native.Interface.VirtualTemplate.Ppp.Authentication), "ipcp" : ("ipcp", Native.Interface.VirtualTemplate.Ppp.Ipcp), "multilink" : ("multilink", Native.Interface.VirtualTemplate.Ppp.Multilink)}
                    self._child_list_classes = {}

                    self.accounting = YLeaf(YType.str, "accounting")

                    self.authorization = YLeaf(YType.str, "authorization")

                    self.chap = Native.Interface.VirtualTemplate.Ppp.Chap()
                    self.chap.parent = self
                    self._children_name_map["chap"] = "chap"
                    self._children_yang_names.add("chap")

                    self.authentication = Native.Interface.VirtualTemplate.Ppp.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.ipcp = Native.Interface.VirtualTemplate.Ppp.Ipcp()
                    self.ipcp.parent = self
                    self._children_name_map["ipcp"] = "ipcp"
                    self._children_yang_names.add("ipcp")

                    self.multilink = None
                    self._children_name_map["multilink"] = "multilink"
                    self._children_yang_names.add("multilink")
                    self._segment_path = lambda: "Cisco-IOS-XE-ppp:ppp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Ppp, ['accounting', 'authorization'], name, value)

                class Accounting(Enum):
                    """
                    Accounting

                    Set PPP network accounting method

                    .. data:: default = 0

                    """

                    default = Enum.YLeaf(0, "default")


                class Authorization(Enum):
                    """
                    Authorization

                    Set PPP network authorization method

                    .. data:: default = 0

                    """

                    default = Enum.YLeaf(0, "default")



                class Chap(Entity):
                    """
                    Set CHAP authentication parameters
                    
                    .. attribute:: hostname
                    
                    	Set alternate CHAP hostname
                    	**type**\: str
                    
                    .. attribute:: challenge_length
                    
                    	Challenge Length for CHAP
                    	**type**\: int
                    
                    	**range:** 16..63
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ppp.Chap, self).__init__()

                        self.yang_name = "chap"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.hostname = YLeaf(YType.str, "hostname")

                        self.challenge_length = YLeaf(YType.uint8, "challenge-length")
                        self._segment_path = lambda: "chap"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ppp.Chap, ['hostname', 'challenge_length'], name, value)


                class Authentication(Entity):
                    """
                    Set PPP link authentication method
                    
                    .. attribute:: method
                    
                    	
                    	**type**\:  :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Authentication.Method>`
                    
                    .. attribute:: list_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: chap
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callback
                    
                    	Authenticate remote on callback only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callin
                    
                    	Authenticate remote on incoming call only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: callout
                    
                    	Authenticate remote on outgoing call only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: default
                    
                    	Use the default authentication list
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: eap
                    
                    	Extensible Authentication Protocol (EAP)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ms_chap
                    
                    	Microsoft Challenge Handshake Authentication Protocol (MS\-CHAP)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ms_chap_v2
                    
                    	Microsoft CHAP Version 2 (MS\-CHAP\-V2)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: one_time
                    
                    	Allow use of username\*OTP for one\-time passwords
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: optional
                    
                    	Allow peer to refuse to authenticate
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pap
                    
                    	Password Authentication Protocol (PAP)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ppp.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.method = YLeaf(YType.enumeration, "method")

                        self.list_name = YLeaf(YType.str, "list-name")

                        self.chap = YLeaf(YType.empty, "chap")

                        self.callback = YLeaf(YType.empty, "callback")

                        self.callin = YLeaf(YType.empty, "callin")

                        self.callout = YLeaf(YType.empty, "callout")

                        self.default = YLeaf(YType.empty, "default")

                        self.eap = YLeaf(YType.empty, "eap")

                        self.ms_chap = YLeaf(YType.empty, "ms-chap")

                        self.ms_chap_v2 = YLeaf(YType.empty, "ms-chap-v2")

                        self.one_time = YLeaf(YType.empty, "one-time")

                        self.optional = YLeaf(YType.empty, "optional")

                        self.pap = YLeaf(YType.empty, "pap")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ppp.Authentication, ['method', 'list_name', 'chap', 'callback', 'callin', 'callout', 'default', 'eap', 'ms_chap', 'ms_chap_v2', 'one_time', 'optional', 'pap'], name, value)

                    class Method(Enum):
                        """
                        Method

                        .. data:: chap = 0

                        .. data:: eap = 1

                        .. data:: ms_chap = 2

                        .. data:: ms_chap_v2 = 3

                        .. data:: pap = 4

                        """

                        chap = Enum.YLeaf(0, "chap")

                        eap = Enum.YLeaf(1, "eap")

                        ms_chap = Enum.YLeaf(2, "ms-chap")

                        ms_chap_v2 = Enum.YLeaf(3, "ms-chap-v2")

                        pap = Enum.YLeaf(4, "pap")



                class Ipcp(Entity):
                    """
                    Set IPCP negotiation options
                    
                    .. attribute:: dns
                    
                    	Specify DNS negotiation options
                    	**type**\:  :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Ipcp.Dns>`
                    
                    

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ppp.Ipcp, self).__init__()

                        self.yang_name = "ipcp"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dns" : ("dns", Native.Interface.VirtualTemplate.Ppp.Ipcp.Dns)}
                        self._child_list_classes = {}

                        self.dns = Native.Interface.VirtualTemplate.Ppp.Ipcp.Dns()
                        self.dns.parent = self
                        self._children_name_map["dns"] = "dns"
                        self._children_yang_names.add("dns")
                        self._segment_path = lambda: "ipcp"


                    class Dns(Entity):
                        """
                        Specify DNS negotiation options
                        
                        .. attribute:: primary
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ppp.Ipcp.Dns, self).__init__()

                            self.yang_name = "dns"
                            self.yang_parent_name = "ipcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.primary = YLeaf(YType.str, "primary")
                            self._segment_path = lambda: "dns"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ppp.Ipcp.Dns, ['primary'], name, value)


                class Multilink(Entity):
                    """
                    Make interface multilink capable
                    
                    .. attribute:: links
                    
                    	Specify the limits on the number of links in a bundle
                    	**type**\:  :py:class:`Links <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Multilink.Links>`
                    
                    .. attribute:: group
                    
                    	Put interface in a multilink bundle
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: endpoint
                    
                    	Configure the local Endpoint Discriminator
                    	**type**\:  :py:class:`Endpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Multilink.Endpoint>`
                    
                    .. attribute:: fragment
                    
                    	Specify fragmentation parameters
                    	**type**\:  :py:class:`Fragment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ppp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualTemplate.Ppp.Multilink, self).__init__()

                        self.yang_name = "multilink"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"links" : ("links", Native.Interface.VirtualTemplate.Ppp.Multilink.Links), "endpoint" : ("endpoint", Native.Interface.VirtualTemplate.Ppp.Multilink.Endpoint), "fragment" : ("fragment", Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.group = YLeaf(YType.uint32, "group")

                        self.links = Native.Interface.VirtualTemplate.Ppp.Multilink.Links()
                        self.links.parent = self
                        self._children_name_map["links"] = "links"
                        self._children_yang_names.add("links")

                        self.endpoint = Native.Interface.VirtualTemplate.Ppp.Multilink.Endpoint()
                        self.endpoint.parent = self
                        self._children_name_map["endpoint"] = "endpoint"
                        self._children_yang_names.add("endpoint")

                        self.fragment = Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment()
                        self.fragment.parent = self
                        self._children_name_map["fragment"] = "fragment"
                        self._children_yang_names.add("fragment")
                        self._segment_path = lambda: "multilink"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualTemplate.Ppp.Multilink, ['group'], name, value)


                    class Links(Entity):
                        """
                        Specify the limits on the number of links in a bundle
                        
                        .. attribute:: minimum
                        
                        	Minimum number of links desired in the bundle
                        	**type**\:  :py:class:`Minimum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Multilink.Links.Minimum>`
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ppp.Multilink.Links, self).__init__()

                            self.yang_name = "links"
                            self.yang_parent_name = "multilink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"minimum" : ("minimum", Native.Interface.VirtualTemplate.Ppp.Multilink.Links.Minimum)}
                            self._child_list_classes = {}

                            self.minimum = Native.Interface.VirtualTemplate.Ppp.Multilink.Links.Minimum()
                            self.minimum.parent = self
                            self._children_name_map["minimum"] = "minimum"
                            self._children_yang_names.add("minimum")
                            self._segment_path = lambda: "links"


                        class Minimum(Entity):
                            """
                            Minimum number of links desired in the bundle
                            
                            .. attribute:: minimum_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: mandatory
                            
                            	Disable network layer until minimum number of links is reach
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ppp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ppp.Multilink.Links.Minimum, self).__init__()

                                self.yang_name = "minimum"
                                self.yang_parent_name = "links"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum_value = YLeaf(YType.uint8, "minimum-value")

                                self.mandatory = YLeaf(YType.empty, "mandatory")
                                self._segment_path = lambda: "minimum"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ppp.Multilink.Links.Minimum, ['minimum_value', 'mandatory'], name, value)


                    class Endpoint(Entity):
                        """
                        Configure the local Endpoint Discriminator
                        
                        .. attribute:: string
                        
                        	Use specified string
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ppp.Multilink.Endpoint, self).__init__()

                            self.yang_name = "endpoint"
                            self.yang_parent_name = "multilink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.string = YLeaf(YType.str, "string")
                            self._segment_path = lambda: "endpoint"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualTemplate.Ppp.Multilink.Endpoint, ['string'], name, value)


                    class Fragment(Entity):
                        """
                        Specify fragmentation parameters
                        
                        .. attribute:: delay
                        
                        	Specify the maximum delay for each fragment
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment.Delay>`
                        
                        

                        """

                        _prefix = 'ios-ppp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment, self).__init__()

                            self.yang_name = "fragment"
                            self.yang_parent_name = "multilink"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment.Delay)}
                            self._child_list_classes = {}

                            self.delay = Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "fragment"


                        class Delay(Entity):
                            """
                            Specify the maximum delay for each fragment
                            
                            .. attribute:: delay_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..1000
                            
                            .. attribute:: additional_delay_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..999
                            
                            

                            """

                            _prefix = 'ios-ppp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "fragment"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.delay_value = YLeaf(YType.uint16, "delay-value")

                                self.additional_delay_value = YLeaf(YType.uint16, "additional-delay-value")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualTemplate.Ppp.Multilink.Fragment.Delay, ['delay_value', 'additional_delay_value'], name, value)


            class Mab(Entity):
                """
                
                
                .. attribute:: eap
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.Mab, self).__init__()

                    self.yang_name = "mab"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.eap = YLeaf(YType.empty, "eap")
                    self._segment_path = lambda: "Cisco-IOS-XE-sanet:mab"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.Mab, ['eap'], name, value)


            class ZoneMember(Entity):
                """
                Apply zone name
                
                .. attribute:: security
                
                	Security zone
                	**type**\: str
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualTemplate.ZoneMember, self).__init__()

                    self.yang_name = "zone-member"
                    self.yang_parent_name = "Virtual-Template"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.security = YLeaf(YType.str, "security")
                    self._segment_path = lambda: "Cisco-IOS-XE-zone:zone-member"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualTemplate.ZoneMember, ['security'], name, value)


        class VirtualPortGroup(Entity):
            """
            Virtual Port Group
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..31
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.PmPath>`
            
            .. attribute:: carrier_delay
            
            	Specify delay for interface transitions
            	**type**\:  :py:class:`CarrierDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.CarrierDelay>`
            
            .. attribute:: channel_group
            
            	Add this interface to an Etherchannel group
            	**type**\:  :py:class:`ChannelGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.ChannelGroup>`
            
            .. attribute:: channel_protocol
            
            	Select the channel protocol (LACP, PAgP)
            	**type**\:  :py:class:`ChannelProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.ChannelProtocol>`
            
            .. attribute:: ethernet
            
            	Ethernet interface parameters
            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet>`
            
            .. attribute:: negotiation
            
            	Select autonegotiation mode
            	**type**\:  :py:class:`Negotiation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Negotiation>`
            
            .. attribute:: synchronous
            
            	Synchronous
            	**type**\:  :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Synchronous>`
            
            .. attribute:: duplex
            
            	Configure duplex operation
            	**type**\:  :py:class:`Duplex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Duplex>`
            
            .. attribute:: speed
            
            	Configure speed operation
            	**type**\:  :py:class:`Speed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Speed>`
            
            .. attribute:: plim
            
            	Configure features on the PLIM
            	**type**\:  :py:class:`Plim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Plim>`
            
            .. attribute:: pppoe
            
            	pppoe interface subcommands
            	**type**\:  :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Pppoe>`
            
            .. attribute:: service
            
            	Configure Ether Service
            	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service>`
            
            .. attribute:: snmp
            
            	Modify SNMP interface parameters
            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Snmp>`
            
            .. attribute:: cts
            
            	Configure Cisco Trusted Security
            	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cts>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.ServicePolicy>`
            
            .. attribute:: mab
            
            	
            	**type**\:  :py:class:`Mab <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Mab>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.VirtualPortGroup, self).__init__()

                self.yang_name = "VirtualPortGroup"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.VirtualPortGroup.SwitchportConf), "switchport" : ("switchport", Native.Interface.VirtualPortGroup.Switchport), "arp" : ("arp", Native.Interface.VirtualPortGroup.Arp), "backup" : ("backup", Native.Interface.VirtualPortGroup.Backup), "cemoudp" : ("cemoudp", Native.Interface.VirtualPortGroup.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.VirtualPortGroup.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.VirtualPortGroup.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.VirtualPortGroup.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.VirtualPortGroup.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.VirtualPortGroup.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.VirtualPortGroup.Flowcontrol), "isis" : ("isis", Native.Interface.VirtualPortGroup.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.VirtualPortGroup.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.VirtualPortGroup.Bfd), "bandwidth" : ("bandwidth", Native.Interface.VirtualPortGroup.Bandwidth), "dampening" : ("dampening", Native.Interface.VirtualPortGroup.Dampening), "domain" : ("domain", Native.Interface.VirtualPortGroup.Domain), "mpls" : ("mpls", Native.Interface.VirtualPortGroup.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.VirtualPortGroup.IpVrf), "vrf" : ("vrf", Native.Interface.VirtualPortGroup.Vrf), "ip" : ("ip", Native.Interface.VirtualPortGroup.Ip), "ipv6" : ("ipv6", Native.Interface.VirtualPortGroup.Ipv6), "logging" : ("logging", Native.Interface.VirtualPortGroup.Logging), "mdix" : ("mdix", Native.Interface.VirtualPortGroup.Mdix), "mop" : ("mop", Native.Interface.VirtualPortGroup.Mop), "interface_qos" : ("interface_qos", Native.Interface.VirtualPortGroup.InterfaceQos), "standby" : ("standby", Native.Interface.VirtualPortGroup.Standby), "access-session" : ("access_session", Native.Interface.VirtualPortGroup.AccessSession), "storm-control" : ("storm_control", Native.Interface.VirtualPortGroup.StormControl), "trust" : ("trust", Native.Interface.VirtualPortGroup.Trust), "priority-queue" : ("priority_queue", Native.Interface.VirtualPortGroup.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.VirtualPortGroup.RcvQueue), "peer" : ("peer", Native.Interface.VirtualPortGroup.Peer), "pm-path" : ("pm_path", Native.Interface.VirtualPortGroup.PmPath), "Cisco-IOS-XE-ethernet:carrier-delay" : ("carrier_delay", Native.Interface.VirtualPortGroup.CarrierDelay), "Cisco-IOS-XE-ethernet:channel-group" : ("channel_group", Native.Interface.VirtualPortGroup.ChannelGroup), "Cisco-IOS-XE-ethernet:ethernet" : ("ethernet", Native.Interface.VirtualPortGroup.Ethernet), "Cisco-IOS-XE-ethernet:negotiation" : ("negotiation", Native.Interface.VirtualPortGroup.Negotiation), "Cisco-IOS-XE-ethernet:synchronous" : ("synchronous", Native.Interface.VirtualPortGroup.Synchronous), "Cisco-IOS-XE-ethernet:speed" : ("speed", Native.Interface.VirtualPortGroup.Speed), "Cisco-IOS-XE-ethernet:plim" : ("plim", Native.Interface.VirtualPortGroup.Plim), "Cisco-IOS-XE-ethernet:pppoe" : ("pppoe", Native.Interface.VirtualPortGroup.Pppoe), "Cisco-IOS-XE-ethernet:service" : ("service", Native.Interface.VirtualPortGroup.Service), "Cisco-IOS-XE-snmp:snmp" : ("snmp", Native.Interface.VirtualPortGroup.Snmp), "Cisco-IOS-XE-cts:cts" : ("cts", Native.Interface.VirtualPortGroup.Cts), "Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.Interface.VirtualPortGroup.ServicePolicy), "Cisco-IOS-XE-sanet:mab" : ("mab", Native.Interface.VirtualPortGroup.Mab)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.VirtualPortGroup.HoldQueue)}

                self.name = YLeaf(YType.uint16, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.channel_protocol = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:channel-protocol")

                self.duplex = YLeaf(YType.enumeration, "Cisco-IOS-XE-ethernet:duplex")

                self.switchport_conf = Native.Interface.VirtualPortGroup.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.VirtualPortGroup.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.VirtualPortGroup.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.VirtualPortGroup.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.VirtualPortGroup.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.VirtualPortGroup.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.VirtualPortGroup.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.VirtualPortGroup.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.VirtualPortGroup.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.VirtualPortGroup.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.VirtualPortGroup.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.VirtualPortGroup.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.VirtualPortGroup.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.VirtualPortGroup.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.VirtualPortGroup.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.VirtualPortGroup.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.VirtualPortGroup.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.VirtualPortGroup.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.VirtualPortGroup.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.VirtualPortGroup.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.VirtualPortGroup.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.VirtualPortGroup.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.VirtualPortGroup.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.VirtualPortGroup.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.VirtualPortGroup.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.VirtualPortGroup.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.VirtualPortGroup.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.VirtualPortGroup.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.VirtualPortGroup.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.VirtualPortGroup.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.VirtualPortGroup.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.VirtualPortGroup.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.VirtualPortGroup.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.carrier_delay = Native.Interface.VirtualPortGroup.CarrierDelay()
                self.carrier_delay.parent = self
                self._children_name_map["carrier_delay"] = "carrier-delay"
                self._children_yang_names.add("carrier-delay")

                self.channel_group = Native.Interface.VirtualPortGroup.ChannelGroup()
                self.channel_group.parent = self
                self._children_name_map["channel_group"] = "channel-group"
                self._children_yang_names.add("channel-group")

                self.ethernet = Native.Interface.VirtualPortGroup.Ethernet()
                self.ethernet.parent = self
                self._children_name_map["ethernet"] = "ethernet"
                self._children_yang_names.add("ethernet")

                self.negotiation = Native.Interface.VirtualPortGroup.Negotiation()
                self.negotiation.parent = self
                self._children_name_map["negotiation"] = "negotiation"
                self._children_yang_names.add("negotiation")

                self.synchronous = Native.Interface.VirtualPortGroup.Synchronous()
                self.synchronous.parent = self
                self._children_name_map["synchronous"] = "synchronous"
                self._children_yang_names.add("synchronous")

                self.speed = Native.Interface.VirtualPortGroup.Speed()
                self.speed.parent = self
                self._children_name_map["speed"] = "speed"
                self._children_yang_names.add("speed")

                self.plim = Native.Interface.VirtualPortGroup.Plim()
                self.plim.parent = self
                self._children_name_map["plim"] = "plim"
                self._children_yang_names.add("plim")

                self.pppoe = Native.Interface.VirtualPortGroup.Pppoe()
                self.pppoe.parent = self
                self._children_name_map["pppoe"] = "pppoe"
                self._children_yang_names.add("pppoe")

                self.service = Native.Interface.VirtualPortGroup.Service()
                self.service.parent = self
                self._children_name_map["service"] = "service"
                self._children_yang_names.add("service")

                self.snmp = Native.Interface.VirtualPortGroup.Snmp()
                self.snmp.parent = self
                self._children_name_map["snmp"] = "snmp"
                self._children_yang_names.add("snmp")

                self.cts = Native.Interface.VirtualPortGroup.Cts()
                self.cts.parent = self
                self._children_name_map["cts"] = "cts"
                self._children_yang_names.add("cts")

                self.service_policy = Native.Interface.VirtualPortGroup.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.mab = None
                self._children_name_map["mab"] = "mab"
                self._children_yang_names.add("mab")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "VirtualPortGroup" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.VirtualPortGroup, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion', 'channel_protocol', 'duplex'], name, value)

            class ChannelProtocol(Enum):
                """
                ChannelProtocol

                Select the channel protocol (LACP, PAgP)

                .. data:: lacp = 0

                .. data:: pagp = 1

                """

                lacp = Enum.YLeaf(0, "lacp")

                pagp = Enum.YLeaf(1, "pagp")


            class Duplex(Enum):
                """
                Duplex

                Configure duplex operation.

                .. data:: auto = 0

                .. data:: full = 1

                .. data:: half = 2

                """

                auto = Enum.YLeaf(0, "auto")

                full = Enum.YLeaf(1, "full")

                half = Enum.YLeaf(2, "half")


            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.VirtualPortGroup.Backup.Delay), "interface" : ("interface", Native.Interface.VirtualPortGroup.Backup.Interface), "load" : ("load", Native.Interface.VirtualPortGroup.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.VirtualPortGroup.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.VirtualPortGroup.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.VirtualPortGroup.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.VirtualPortGroup.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.VirtualPortGroup.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.VirtualPortGroup.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.VirtualPortGroup.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.VirtualPortGroup.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.VirtualPortGroup.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.VirtualPortGroup.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.VirtualPortGroup.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.VirtualPortGroup.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.VirtualPortGroup.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.VirtualPortGroup.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.VirtualPortGroup.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.VirtualPortGroup.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.VirtualPortGroup.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.VirtualPortGroup.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.VirtualPortGroup.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.VirtualPortGroup.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.VirtualPortGroup.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.VirtualPortGroup.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.VirtualPortGroup.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.VirtualPortGroup.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.VirtualPortGroup.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.VirtualPortGroup.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.VirtualPortGroup.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                .. attribute:: template
                
                	BFD template
                	**type**\: str
                
                .. attribute:: interval
                
                	Transmit interval between BFD packets
                	**type**\:  :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Bfd.Interval>`
                
                .. attribute:: echo
                
                	Use echo adjunct as bfd detection mechanism
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Cisco-IOS-XE-bfd:interval" : ("interval", Native.Interface.VirtualPortGroup.Bfd.Interval)}
                    self._child_list_classes = {}

                    self.template = YLeaf(YType.str, "Cisco-IOS-XE-bfd:template")

                    self.echo = YLeaf(YType.boolean, "Cisco-IOS-XE-bfd:echo")

                    self.interval = Native.Interface.VirtualPortGroup.Bfd.Interval()
                    self.interval.parent = self
                    self._children_name_map["interval"] = "interval"
                    self._children_yang_names.add("interval")
                    self._segment_path = lambda: "bfd"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Bfd, ['template', 'echo'], name, value)


                class Interval(Entity):
                    """
                    Transmit interval between BFD packets
                    
                    .. attribute:: msecs
                    
                    	
                    	**type**\: int
                    
                    	**range:** 50..9999
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\: int
                    
                    	**range:** 50..9999
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\: int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Bfd.Interval, self).__init__()

                        self.yang_name = "interval"
                        self.yang_parent_name = "bfd"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.msecs = YLeaf(YType.uint16, "msecs")

                        self.min_rx = YLeaf(YType.uint16, "min_rx")

                        self.multiplier = YLeaf(YType.uint8, "multiplier")
                        self._segment_path = lambda: "Cisco-IOS-XE-bfd:interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Bfd.Interval, ['msecs', 'min_rx', 'multiplier'], name, value)


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.VirtualPortGroup.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.VirtualPortGroup.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.VirtualPortGroup.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.VirtualPortGroup.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.VirtualPortGroup.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.VirtualPortGroup.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.VirtualPortGroup.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.VirtualPortGroup.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.VirtualPortGroup.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Verify>`
                
                .. attribute:: igmp
                
                	IGMP interface commands
                	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Igmp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.VirtualPortGroup.Ip.AccessGroup), "arp" : ("arp", Native.Interface.VirtualPortGroup.Ip.Arp), "vrf" : ("vrf", Native.Interface.VirtualPortGroup.Ip.Vrf), "no-address" : ("no_address", Native.Interface.VirtualPortGroup.Ip.NoAddress), "address" : ("address", Native.Interface.VirtualPortGroup.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.VirtualPortGroup.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.VirtualPortGroup.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.VirtualPortGroup.Ip.HoldTime), "pim" : ("pim", Native.Interface.VirtualPortGroup.Ip.Pim), "policy" : ("policy", Native.Interface.VirtualPortGroup.Ip.Policy), "rip" : ("rip", Native.Interface.VirtualPortGroup.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.VirtualPortGroup.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.VirtualPortGroup.Ip.RouteCache), "router" : ("router", Native.Interface.VirtualPortGroup.Ip.Router), "tcp" : ("tcp", Native.Interface.VirtualPortGroup.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.VirtualPortGroup.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.VirtualPortGroup.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.VirtualPortGroup.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.VirtualPortGroup.Ip.Verify), "Cisco-IOS-XE-igmp:igmp" : ("igmp", Native.Interface.VirtualPortGroup.Ip.Igmp)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.VirtualPortGroup.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.VirtualPortGroup.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.VirtualPortGroup.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.VirtualPortGroup.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.VirtualPortGroup.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.VirtualPortGroup.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.VirtualPortGroup.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.VirtualPortGroup.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.VirtualPortGroup.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.VirtualPortGroup.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.VirtualPortGroup.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.VirtualPortGroup.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.VirtualPortGroup.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.VirtualPortGroup.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.VirtualPortGroup.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.VirtualPortGroup.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.VirtualPortGroup.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.VirtualPortGroup.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.VirtualPortGroup.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.igmp = Native.Interface.VirtualPortGroup.Ip.Igmp()
                    self.igmp.parent = self
                    self._children_name_map["igmp"] = "igmp"
                    self._children_yang_names.add("igmp")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.VirtualPortGroup.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.VirtualPortGroup.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.VirtualPortGroup.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.VirtualPortGroup.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.VirtualPortGroup.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.VirtualPortGroup.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.VirtualPortGroup.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.VirtualPortGroup.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.VirtualPortGroup.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.VirtualPortGroup.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.VirtualPortGroup.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.VirtualPortGroup.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.VirtualPortGroup.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.VirtualPortGroup.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.VirtualPortGroup.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.VirtualPortGroup.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.VirtualPortGroup.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.VirtualPortGroup.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.VirtualPortGroup.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.VirtualPortGroup.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.VirtualPortGroup.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.VirtualPortGroup.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.VirtualPortGroup.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.VirtualPortGroup.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.VirtualPortGroup.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.VirtualPortGroup.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.VirtualPortGroup.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.VirtualPortGroup.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.VirtualPortGroup.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.VirtualPortGroup.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.VirtualPortGroup.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



                class Igmp(Entity):
                    """
                    IGMP interface commands
                    
                    .. attribute:: static_group
                    
                    	IGMP static multicast group
                    	**type**\:  :py:class:`StaticGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup>`
                    
                    .. attribute:: join_group
                    
                    	IGMP join multicast group
                    	**type**\: list of  		 :py:class:`JoinGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Igmp.JoinGroup>`
                    
                    .. attribute:: version
                    
                    	IGMP version
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-igmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ip.Igmp, self).__init__()

                        self.yang_name = "igmp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"static-group" : ("static_group", Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup)}
                        self._child_list_classes = {"join-group" : ("join_group", Native.Interface.VirtualPortGroup.Ip.Igmp.JoinGroup)}

                        self.version = YLeaf(YType.uint8, "version")

                        self.static_group = Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup()
                        self.static_group.parent = self
                        self._children_name_map["static_group"] = "static-group"
                        self._children_yang_names.add("static-group")

                        self.join_group = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-igmp:igmp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Igmp, ['version'], name, value)


                    class StaticGroup(Entity):
                        """
                        IGMP static multicast group
                        
                        .. attribute:: groups
                        
                        	
                        	**type**\: list of  		 :py:class:`Groups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.Groups>`
                        
                        .. attribute:: class_map
                        
                        	Class map of type multicast\-flows
                        	**type**\: list of  		 :py:class:`ClassMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.ClassMap>`
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup, self).__init__()

                            self.yang_name = "static-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"groups" : ("groups", Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.Groups), "class-map" : ("class_map", Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.ClassMap)}

                            self.groups = YList(self)
                            self.class_map = YList(self)
                            self._segment_path = lambda: "static-group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup, [], name, value)


                        class Groups(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.Groups.Name>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.Groups, self).__init__()

                                self.yang_name = "groups"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "groups" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.Groups, ['name'], name, value)

                            class Name(Enum):
                                """
                                Name

                                .. data:: Y__STAR__ = 0

                                """

                                Y__STAR__ = Enum.YLeaf(0, "*")



                        class ClassMap(Entity):
                            """
                            Class map of type multicast\-flows
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            	**refers to**\:  :py:class:`name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Policy.ClassMap>`
                            
                            

                            """

                            _prefix = 'ios-igmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.ClassMap, self).__init__()

                                self.yang_name = "class-map"
                                self.yang_parent_name = "static-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")
                                self._segment_path = lambda: "class-map" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Igmp.StaticGroup.ClassMap, ['id'], name, value)


                    class JoinGroup(Entity):
                        """
                        IGMP join multicast group
                        
                        .. attribute:: ip_group_address  <key>
                        
                        	IP group address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	IP source address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-igmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ip.Igmp.JoinGroup, self).__init__()

                            self.yang_name = "join-group"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip_group_address = YLeaf(YType.str, "ip-group-address")

                            self.source = YLeaf(YType.str, "source")
                            self._segment_path = lambda: "join-group" + "[ip-group-address='" + self.ip_group_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ip.Igmp.JoinGroup, ['ip_group_address', 'source'], name, value)


            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.VirtualPortGroup.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.VirtualPortGroup.Ipv6.Dhcp), "address" : ("address", Native.Interface.VirtualPortGroup.Ipv6.Address), "nd" : ("nd", Native.Interface.VirtualPortGroup.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.VirtualPortGroup.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.VirtualPortGroup.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.VirtualPortGroup.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.VirtualPortGroup.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.VirtualPortGroup.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.VirtualPortGroup.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "dhcp"


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.VirtualPortGroup.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.VirtualPortGroup.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.VirtualPortGroup.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.VirtualPortGroup.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "nd"


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.VirtualPortGroup.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.VirtualPortGroup.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.VirtualPortGroup.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.VirtualPortGroup.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.VirtualPortGroup.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.VirtualPortGroup.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.VirtualPortGroup.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.VirtualPortGroup.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.VirtualPortGroup.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.VirtualPortGroup.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.VirtualPortGroup.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.VirtualPortGroup.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.VirtualPortGroup.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.VirtualPortGroup.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.VirtualPortGroup.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.VirtualPortGroup.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.VirtualPortGroup.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.VirtualPortGroup.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.VirtualPortGroup.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.VirtualPortGroup.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.VirtualPortGroup.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.VirtualPortGroup.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.VirtualPortGroup.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.VirtualPortGroup.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.VirtualPortGroup.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.VirtualPortGroup.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.VirtualPortGroup.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.VirtualPortGroup.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.VirtualPortGroup.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.VirtualPortGroup.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.VirtualPortGroup.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.VirtualPortGroup.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.VirtualPortGroup.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.VirtualPortGroup.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.VirtualPortGroup.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.VirtualPortGroup.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.VirtualPortGroup.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.VirtualPortGroup.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.VirtualPortGroup.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.VirtualPortGroup.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.VirtualPortGroup.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.VirtualPortGroup.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.VirtualPortGroup.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.VirtualPortGroup.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.VirtualPortGroup.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.VirtualPortGroup.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.VirtualPortGroup.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.VirtualPortGroup.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.PmPath, ['name', 'interface_id'], name, value)


            class CarrierDelay(Entity):
                """
                Specify delay for interface transitions
                
                .. attribute:: seconds
                
                	
                	**type**\: int
                
                	**range:** 0..60
                
                .. attribute:: msec
                
                	delay specified in milliseconds
                	**type**\: int
                
                	**range:** 0..1000
                
                .. attribute:: down
                
                	Carrier Down Transitions
                	**type**\:  :py:class:`Down <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.CarrierDelay.Down>`
                
                .. attribute:: up
                
                	Carrier Up Transitions
                	**type**\:  :py:class:`Up <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.CarrierDelay.Up>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.CarrierDelay, self).__init__()

                    self.yang_name = "carrier-delay"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"down" : ("down", Native.Interface.VirtualPortGroup.CarrierDelay.Down), "up" : ("up", Native.Interface.VirtualPortGroup.CarrierDelay.Up)}
                    self._child_list_classes = {}

                    self.seconds = YLeaf(YType.uint8, "seconds")

                    self.msec = YLeaf(YType.uint16, "msec")

                    self.down = Native.Interface.VirtualPortGroup.CarrierDelay.Down()
                    self.down.parent = self
                    self._children_name_map["down"] = "down"
                    self._children_yang_names.add("down")

                    self.up = Native.Interface.VirtualPortGroup.CarrierDelay.Up()
                    self.up.parent = self
                    self._children_name_map["up"] = "up"
                    self._children_yang_names.add("up")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:carrier-delay"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.CarrierDelay, ['seconds', 'msec'], name, value)


                class Down(Entity):
                    """
                    Carrier Down Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.CarrierDelay.Down, self).__init__()

                        self.yang_name = "down"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "down"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.CarrierDelay.Down, ['seconds', 'msec'], name, value)


                class Up(Entity):
                    """
                    Carrier Up Transitions
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..60
                    
                    .. attribute:: msec
                    
                    	delay specified in milliseconds
                    	**type**\: int
                    
                    	**range:** 0..1000
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.CarrierDelay.Up, self).__init__()

                        self.yang_name = "up"
                        self.yang_parent_name = "carrier-delay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.msec = YLeaf(YType.uint16, "msec")
                        self._segment_path = lambda: "up"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.CarrierDelay.Up, ['seconds', 'msec'], name, value)


            class ChannelGroup(Entity):
                """
                Add this interface to an Etherchannel group
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 1..512
                
                .. attribute:: mode
                
                	Etherchannel Mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.ChannelGroup.Mode>`
                
                .. attribute:: non_silent
                
                	Start negotiation only after data packets received
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link
                
                	Assign a link identifier used for load\-balancing
                	**type**\: int
                
                	**range:** 1..4
                
                .. attribute:: auto
                
                	LACP auto
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.ChannelGroup, self).__init__()

                    self.yang_name = "channel-group"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint16, "number")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.non_silent = YLeaf(YType.empty, "non-silent")

                    self.link = YLeaf(YType.uint8, "link")

                    self.auto = YLeaf(YType.empty, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:channel-group"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.ChannelGroup, ['number', 'mode', 'non_silent', 'link', 'auto'], name, value)

                class Mode(Enum):
                    """
                    Mode

                    Etherchannel Mode of the interface

                    .. data:: active = 0

                    .. data:: auto = 1

                    .. data:: desirable = 2

                    .. data:: on = 3

                    .. data:: passive = 4

                    """

                    active = Enum.YLeaf(0, "active")

                    auto = Enum.YLeaf(1, "auto")

                    desirable = Enum.YLeaf(2, "desirable")

                    on = Enum.YLeaf(3, "on")

                    passive = Enum.YLeaf(4, "passive")



            class Ethernet(Entity):
                """
                Ethernet interface parameters
                
                .. attribute:: oam
                
                	To enable Ethernet Link OAM
                	**type**\:  :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Ethernet, self).__init__()

                    self.yang_name = "ethernet"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"oam" : ("oam", Native.Interface.VirtualPortGroup.Ethernet.Oam)}
                    self._child_list_classes = {}

                    self.oam = None
                    self._children_name_map["oam"] = "oam"
                    self._children_yang_names.add("oam")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:ethernet"


                class Oam(Entity):
                    """
                    To enable Ethernet Link OAM
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:  :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: max_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: min_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    .. attribute:: mode
                    
                    	
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.Mode>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:  :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure>`
                    
                    .. attribute:: remote_loopback
                    
                    	Ethernet OAM Remote Loopback
                    	**type**\:  :py:class:`RemoteLoopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteLoopback>`
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 2..30
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Ethernet.Oam, self).__init__()

                        self.yang_name = "oam"
                        self.yang_parent_name = "ethernet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-monitor" : ("link_monitor", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor), "remote-failure" : ("remote_failure", Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure), "remote-loopback" : ("remote_loopback", Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteLoopback)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max_rate = YLeaf(YType.uint8, "max-rate")

                        self.min_rate = YLeaf(YType.uint8, "min-rate")

                        self.mode = YLeaf(YType.enumeration, "mode")

                        self.timeout = YLeaf(YType.uint8, "timeout")

                        self.link_monitor = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self._children_name_map["link_monitor"] = "link-monitor"
                        self._children_yang_names.add("link-monitor")

                        self.remote_failure = Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self._children_name_map["remote_failure"] = "remote-failure"
                        self._children_yang_names.add("remote-failure")

                        self.remote_loopback = Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteLoopback()
                        self.remote_loopback.parent = self
                        self._children_name_map["remote_loopback"] = "remote-loopback"
                        self._children_yang_names.add("remote-loopback")
                        self._segment_path = lambda: "oam"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam, ['max_rate', 'min_rate', 'mode', 'timeout'], name, value)

                    class Mode(Enum):
                        """
                        Mode

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = Enum.YLeaf(0, "active")

                        passive = Enum.YLeaf(1, "passive")



                    class LinkMonitor(Entity):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:  :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:  :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:  :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:  :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: on
                        
                        	Enable link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:  :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: supported
                        
                        	Support link monitoring on the interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:  :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor, self).__init__()

                            self.yang_name = "link-monitor"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"frame" : ("frame", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame), "frame-period" : ("frame_period", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod), "frame-seconds" : ("frame_seconds", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds), "high-threshold" : ("high_threshold", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.HighThreshold), "receive-crc" : ("receive_crc", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc), "symbol-period" : ("symbol_period", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod)}
                            self._child_list_classes = {}

                            self.on = YLeaf(YType.empty, "on")

                            self.supported = YLeaf(YType.empty, "supported")

                            self.frame = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self._children_name_map["frame"] = "frame"
                            self._children_yang_names.add("frame")

                            self.frame_period = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self._children_name_map["frame_period"] = "frame-period"
                            self._children_yang_names.add("frame-period")

                            self.frame_seconds = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self._children_name_map["frame_seconds"] = "frame-seconds"
                            self._children_yang_names.add("frame-seconds")

                            self.high_threshold = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self._children_name_map["high_threshold"] = "high-threshold"
                            self._children_yang_names.add("high-threshold")

                            self.receive_crc = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self._children_name_map["receive_crc"] = "receive-crc"
                            self._children_yang_names.add("receive-crc")

                            self.symbol_period = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self
                            self._children_name_map["symbol_period"] = "symbol-period"
                            self._children_yang_names.add("symbol-period")
                            self._segment_path = lambda: "link-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor, ['on', 'supported'], name, value)


                        class Frame(Entity):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	Errored frame threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..600
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame, self).__init__()

                                self.yang_name = "frame"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: thresh
                                    
                                    	Set the high errored frame threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.thresh = YLeaf(YType.uint16, "thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, ['thresh', 'none'], name, value)


                        class FramePeriod(Entity):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod, self).__init__()

                                self.yang_name = "frame-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-period threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: f_thresh
                                    
                                    	Set the high errored frame\-period threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.f_thresh = YLeaf(YType.uint16, "f-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, ['f_thresh', 'none'], name, value)


                        class FrameSeconds(Entity):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds, self).__init__()

                                self.yang_name = "frame-seconds"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-seconds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\: int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-seconds"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: e_thresh
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.e_thresh = YLeaf(YType.uint16, "e-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, ['e_thresh', 'none'], name, value)


                        class HighThreshold(Entity):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.HighThreshold, self).__init__()

                                self.yang_name = "high-threshold"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.HighThreshold.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "high-threshold"


                            class Action(Entity):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.HighThreshold.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "high-threshold"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.HighThreshold.Action, ['error_disable_interface'], name, value)


                        class ReceiveCrc(Entity):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc, self).__init__()

                                self.yang_name = "receive-crc"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "receive-crc"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low received crc error threshold in number of frames
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "receive-crc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: crc_thresh
                                    
                                    	Set the high received crc error threshold in number of frames
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.crc_thresh = YLeaf(YType.uint16, "crc-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, ['crc_thresh', 'none'], name, value)


                        class SymbolPeriod(Entity):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	Error symbol\-period threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 1048576 symbols
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod, self).__init__()

                                self.yang_name = "symbol-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "symbol-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Error symbol\-period threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low error symbol\-period threshold in number of symbols
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "symbol-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: err_thresh
                                    
                                    	Set the high error symbol\-period threshold in number of symbols
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.err_thresh = YLeaf(YType.uint16, "err-thresh")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, ['err_thresh', 'none'], name, value)


                    class RemoteFailure(Entity):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:  :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:  :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:  :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure, self).__init__()

                            self.yang_name = "remote-failure"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"critical-event" : ("critical_event", Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.CriticalEvent), "dying-gasp" : ("dying_gasp", Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.DyingGasp), "link-fault" : ("link_fault", Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.LinkFault)}
                            self._child_list_classes = {}

                            self.critical_event = Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self._children_name_map["critical_event"] = "critical-event"
                            self._children_yang_names.add("critical-event")

                            self.dying_gasp = Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self._children_name_map["dying_gasp"] = "dying-gasp"
                            self._children_yang_names.add("dying-gasp")

                            self.link_fault = Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self
                            self._children_name_map["link_fault"] = "link-fault"
                            self._children_yang_names.add("link-fault")
                            self._segment_path = lambda: "remote-failure"


                        class CriticalEvent(Entity):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.CriticalEvent, self).__init__()

                                self.yang_name = "critical-event"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.CriticalEvent.Action)}
                                self._child_list_classes = {}

                                self.action = Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "critical-event"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "critical-event"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, ['error_disable_interface'], name, value)


                        class DyingGasp(Entity):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.DyingGasp, self).__init__()

                                self.yang_name = "dying-gasp"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.DyingGasp.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "dying-gasp"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.DyingGasp.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "dying-gasp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.DyingGasp.Action, ['error_disable_interface'], name, value)


                        class LinkFault(Entity):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.LinkFault, self).__init__()

                                self.yang_name = "link-fault"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.LinkFault.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "link-fault"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	Error\-disable the interface
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.LinkFault.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "link-fault"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteFailure.LinkFault.Action, ['error_disable_interface'], name, value)


                    class RemoteLoopback(Entity):
                        """
                        Ethernet OAM Remote Loopback
                        
                        .. attribute:: supported
                        
                        	Support remote loopback functionality
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: timeout
                        
                        	Set timeout value in number of seconds
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteLoopback, self).__init__()

                            self.yang_name = "remote-loopback"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.supported = YLeaf(YType.empty, "supported")

                            self.timeout = YLeaf(YType.uint8, "timeout")
                            self._segment_path = lambda: "remote-loopback"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Ethernet.Oam.RemoteLoopback, ['supported', 'timeout'], name, value)


            class Negotiation(Entity):
                """
                Select autonegotiation mode
                
                .. attribute:: auto
                
                	Enable link autonegotiation
                	**type**\: bool
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Negotiation, self).__init__()

                    self.yang_name = "negotiation"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:negotiation"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Negotiation, ['auto'], name, value)


            class Synchronous(Entity):
                """
                Synchronous
                
                .. attribute:: mode
                
                	Mode
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Synchronous, self).__init__()

                    self.yang_name = "synchronous"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mode = YLeaf(YType.empty, "mode")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:synchronous"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Synchronous, ['mode'], name, value)


            class Speed(Entity):
                """
                Configure speed operation
                
                .. attribute:: auto
                
                	Enable AUTO speed configuration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10
                
                	10 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_100
                
                	100 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_1000
                
                	1000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value_10000
                
                	10000 Mbps operation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nonegotiate
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Speed, self).__init__()

                    self.yang_name = "speed"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.empty, "auto")

                    self.value_10 = YLeaf(YType.empty, "value-10")

                    self.value_100 = YLeaf(YType.empty, "value-100")

                    self.value_1000 = YLeaf(YType.empty, "value-1000")

                    self.value_10000 = YLeaf(YType.empty, "value-10000")

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:speed"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Speed, ['auto', 'value_10', 'value_100', 'value_1000', 'value_10000', 'nonegotiate'], name, value)


            class Plim(Entity):
                """
                Configure features on the PLIM
                
                .. attribute:: ethernet
                
                	Configure features on the ethernet interface
                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Plim.Ethernet>`
                
                .. attribute:: qos
                
                	QoS on the PLIM
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Plim.Qos>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Plim, self).__init__()

                    self.yang_name = "plim"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.VirtualPortGroup.Plim.Ethernet), "qos" : ("qos", Native.Interface.VirtualPortGroup.Plim.Qos)}
                    self._child_list_classes = {}

                    self.ethernet = Native.Interface.VirtualPortGroup.Plim.Ethernet()
                    self.ethernet.parent = self
                    self._children_name_map["ethernet"] = "ethernet"
                    self._children_yang_names.add("ethernet")

                    self.qos = Native.Interface.VirtualPortGroup.Plim.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:plim"


                class Ethernet(Entity):
                    """
                    Configure features on the ethernet interface
                    
                    .. attribute:: vlan
                    
                    	vlan specific features
                    	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Plim.Ethernet.Vlan>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Plim.Ethernet, self).__init__()

                        self.yang_name = "ethernet"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vlan" : ("vlan", Native.Interface.VirtualPortGroup.Plim.Ethernet.Vlan)}
                        self._child_list_classes = {}

                        self.vlan = Native.Interface.VirtualPortGroup.Plim.Ethernet.Vlan()
                        self.vlan.parent = self
                        self._children_name_map["vlan"] = "vlan"
                        self._children_yang_names.add("vlan")
                        self._segment_path = lambda: "ethernet"


                    class Vlan(Entity):
                        """
                        vlan specific features
                        
                        .. attribute:: filter
                        
                        	Configure VLAN filtering
                        	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Plim.Ethernet.Vlan.Filter>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Plim.Ethernet.Vlan, self).__init__()

                            self.yang_name = "vlan"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"filter" : ("filter", Native.Interface.VirtualPortGroup.Plim.Ethernet.Vlan.Filter)}
                            self._child_list_classes = {}

                            self.filter = Native.Interface.VirtualPortGroup.Plim.Ethernet.Vlan.Filter()
                            self.filter.parent = self
                            self._children_name_map["filter"] = "filter"
                            self._children_yang_names.add("filter")
                            self._segment_path = lambda: "vlan"


                        class Filter(Entity):
                            """
                            Configure VLAN filtering
                            
                            .. attribute:: disable
                            
                            	Configure the interface to accept all VLAN traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Plim.Ethernet.Vlan.Filter, self).__init__()

                                self.yang_name = "filter"
                                self.yang_parent_name = "vlan"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "filter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Plim.Ethernet.Vlan.Filter, ['disable'], name, value)


                class Qos(Entity):
                    """
                    QoS on the PLIM
                    
                    .. attribute:: input
                    
                    	Configure PLIM QoS at the input of an interface
                    	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Plim.Qos.Input>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Plim.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "plim"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"input" : ("input", Native.Interface.VirtualPortGroup.Plim.Qos.Input)}
                        self._child_list_classes = {}

                        self.input = Native.Interface.VirtualPortGroup.Plim.Qos.Input()
                        self.input.parent = self
                        self._children_name_map["input"] = "input"
                        self._children_yang_names.add("input")
                        self._segment_path = lambda: "qos"


                    class Input(Entity):
                        """
                        Configure PLIM QoS at the input of an interface
                        
                        .. attribute:: queue
                        
                        	Queue number
                        	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Plim.Qos.Input, self).__init__()

                            self.yang_name = "input"
                            self.yang_parent_name = "qos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"queue" : ("queue", Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue)}
                            self._child_list_classes = {}

                            self.queue = Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue()
                            self.queue.parent = self
                            self._children_name_map["queue"] = "queue"
                            self._children_yang_names.add("queue")
                            self._segment_path = lambda: "input"


                        class Queue(Entity):
                            """
                            Queue number
                            
                            .. attribute:: zero
                            
                            	Low priority queue
                            	**type**\:  :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.Zero>`
                            
                            .. attribute:: strict_priority
                            
                            	High priority queue
                            	**type**\:  :py:class:`StrictPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.StrictPriority>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue, self).__init__()

                                self.yang_name = "queue"
                                self.yang_parent_name = "input"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"zero" : ("zero", Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.Zero), "strict-priority" : ("strict_priority", Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.StrictPriority)}
                                self._child_list_classes = {}

                                self.zero = Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.Zero()
                                self.zero.parent = self
                                self._children_name_map["zero"] = "zero"
                                self._children_yang_names.add("zero")

                                self.strict_priority = Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.StrictPriority()
                                self.strict_priority.parent = self
                                self._children_name_map["strict_priority"] = "strict-priority"
                                self._children_yang_names.add("strict-priority")
                                self._segment_path = lambda: "queue"


                            class Zero(Entity):
                                """
                                Low priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.Zero.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.Zero, self).__init__()

                                    self.yang_name = "zero"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.Zero.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.Zero.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "zero"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.Zero.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "zero"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.Zero.Pause, ['enable', 'threshold'], name, value)


                            class StrictPriority(Entity):
                                """
                                High priority queue
                                
                                .. attribute:: pause
                                
                                	Pause Frame generation and threshold
                                	**type**\:  :py:class:`Pause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.StrictPriority.Pause>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.StrictPriority, self).__init__()

                                    self.yang_name = "strict-priority"
                                    self.yang_parent_name = "queue"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pause" : ("pause", Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.StrictPriority.Pause)}
                                    self._child_list_classes = {}

                                    self.pause = Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.StrictPriority.Pause()
                                    self.pause.parent = self
                                    self._children_name_map["pause"] = "pause"
                                    self._children_yang_names.add("pause")
                                    self._segment_path = lambda: "strict-priority"


                                class Pause(Entity):
                                    """
                                    Pause Frame generation and threshold
                                    
                                    .. attribute:: enable
                                    
                                    	Enable pause\-frame generation
                                    	**type**\: bool
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold as a percent of queue limit for pause frame generation
                                    	**type**\: int
                                    
                                    	**range:** 0..99
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.StrictPriority.Pause, self).__init__()

                                        self.yang_name = "pause"
                                        self.yang_parent_name = "strict-priority"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enable = YLeaf(YType.boolean, "enable")

                                        self.threshold = YLeaf(YType.uint8, "threshold")
                                        self._segment_path = lambda: "pause"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualPortGroup.Plim.Qos.Input.Queue.StrictPriority.Pause, ['enable', 'threshold'], name, value)


            class Pppoe(Entity):
                """
                pppoe interface subcommands
                
                .. attribute:: enable
                
                	Enable pppoe
                	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Pppoe.Enable>`
                
                	**presence node**\: True
                
                .. attribute:: max_sessions
                
                	Maximum PPPOE sessions
                	**type**\: int
                
                	**range:** 1..4085
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Pppoe, self).__init__()

                    self.yang_name = "pppoe"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"enable" : ("enable", Native.Interface.VirtualPortGroup.Pppoe.Enable)}
                    self._child_list_classes = {}

                    self.max_sessions = YLeaf(YType.uint16, "max-sessions")

                    self.enable = None
                    self._children_name_map["enable"] = "enable"
                    self._children_yang_names.add("enable")
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:pppoe"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Pppoe, ['max_sessions'], name, value)


                class Enable(Entity):
                    """
                    Enable pppoe
                    
                    .. attribute:: group
                    
                    	attach a BBA group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Pppoe.Enable.Group>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Pppoe.Enable, self).__init__()

                        self.yang_name = "enable"
                        self.yang_parent_name = "pppoe"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "enable"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Pppoe.Enable, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        attach a BBA group

                        .. data:: global_ = 0

                        """

                        global_ = Enum.YLeaf(0, "global")



            class Service(Entity):
                """
                Configure Ether Service
                
                .. attribute:: instance
                
                	Configure Ether Service Instance
                	**type**\: list of  		 :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Service, self).__init__()

                    self.yang_name = "service"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"instance" : ("instance", Native.Interface.VirtualPortGroup.Service.Instance)}

                    self.instance = YList(self)
                    self._segment_path = lambda: "Cisco-IOS-XE-ethernet:service"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Service, [], name, value)


                class Instance(Entity):
                    """
                    Configure Ether Service Instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4000
                    
                    .. attribute:: trunk
                    
                    	Trunk Service Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gigabitethernet
                    
                    	Configure an GigabitEthernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet
                    
                    	Configure an Ethernet Instance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet_evc_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: description
                    
                    	Service instance specific description
                    	**type**\: str
                    
                    	**length:** 0..240
                    
                    .. attribute:: evc_name
                    
                    	
                    	**type**\: str
                    
                    	**length:** 1..100
                    
                    .. attribute:: encapsulation
                    
                    	Configure ethernet frame match criteria
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation>`
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 interface subcommands
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Ipv6>`
                    
                    .. attribute:: rewrite
                    
                    	Configure ethernet rewrite criteria
                    	**type**\:  :py:class:`Rewrite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite>`
                    
                    .. attribute:: group
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: errdisable
                    
                    	Configure error disable
                    	**type**\:  :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Errdisable>`
                    
                    .. attribute:: ethernet_container
                    
                    	
                    	**type**\:  :py:class:`EthernetContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer>`
                    
                    .. attribute:: snmp
                    
                    	Modify SNMP service instance parameters
                    	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Snmp>`
                    
                    .. attribute:: bridge_domain
                    
                    	Bridge\-domain
                    	**type**\:  :py:class:`BridgeDomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.BridgeDomain>`
                    
                    .. attribute:: mac
                    
                    	Commands for MAC Address\-based features
                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Mac>`
                    
                    .. attribute:: service_policy
                    
                    	Attach a policy\-map to an EFP
                    	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.ServicePolicy>`
                    
                    .. attribute:: shutdown
                    
                    	Take the Service Instance out of Service
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cfm
                    
                    	Ethernet CFM EFP subcommands
                    	**type**\:  :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Cfm>`
                    
                    .. attribute:: l2protocol
                    
                    	Configure l2 control protocol processing
                    	**type**\:  :py:class:`L2Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Service.Instance, self).__init__()

                        self.yang_name = "instance"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation), "ip" : ("ip", Native.Interface.VirtualPortGroup.Service.Instance.Ip), "ipv6" : ("ipv6", Native.Interface.VirtualPortGroup.Service.Instance.Ipv6), "rewrite" : ("rewrite", Native.Interface.VirtualPortGroup.Service.Instance.Rewrite), "errdisable" : ("errdisable", Native.Interface.VirtualPortGroup.Service.Instance.Errdisable), "ethernet-container" : ("ethernet_container", Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer), "snmp" : ("snmp", Native.Interface.VirtualPortGroup.Service.Instance.Snmp), "bridge-domain" : ("bridge_domain", Native.Interface.VirtualPortGroup.Service.Instance.BridgeDomain), "mac" : ("mac", Native.Interface.VirtualPortGroup.Service.Instance.Mac), "service-policy" : ("service_policy", Native.Interface.VirtualPortGroup.Service.Instance.ServicePolicy), "cfm" : ("cfm", Native.Interface.VirtualPortGroup.Service.Instance.Cfm), "l2protocol" : ("l2protocol", Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint32, "id")

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.gigabitethernet = YLeaf(YType.empty, "GigabitEthernet")

                        self.ethernet = YLeaf(YType.empty, "ethernet")

                        self.ethernet_evc_name = YLeaf(YType.str, "ethernet-evc-name")

                        self.description = YLeaf(YType.str, "description")

                        self.evc_name = YLeaf(YType.str, "evc-name")

                        self.group = YLeaf(YType.uint32, "group")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.encapsulation = Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation()
                        self.encapsulation.parent = self
                        self._children_name_map["encapsulation"] = "encapsulation"
                        self._children_yang_names.add("encapsulation")

                        self.ip = Native.Interface.VirtualPortGroup.Service.Instance.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.ipv6 = Native.Interface.VirtualPortGroup.Service.Instance.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.rewrite = Native.Interface.VirtualPortGroup.Service.Instance.Rewrite()
                        self.rewrite.parent = self
                        self._children_name_map["rewrite"] = "rewrite"
                        self._children_yang_names.add("rewrite")

                        self.errdisable = Native.Interface.VirtualPortGroup.Service.Instance.Errdisable()
                        self.errdisable.parent = self
                        self._children_name_map["errdisable"] = "errdisable"
                        self._children_yang_names.add("errdisable")

                        self.ethernet_container = Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer()
                        self.ethernet_container.parent = self
                        self._children_name_map["ethernet_container"] = "ethernet-container"
                        self._children_yang_names.add("ethernet-container")

                        self.snmp = Native.Interface.VirtualPortGroup.Service.Instance.Snmp()
                        self.snmp.parent = self
                        self._children_name_map["snmp"] = "snmp"
                        self._children_yang_names.add("snmp")

                        self.bridge_domain = Native.Interface.VirtualPortGroup.Service.Instance.BridgeDomain()
                        self.bridge_domain.parent = self
                        self._children_name_map["bridge_domain"] = "bridge-domain"
                        self._children_yang_names.add("bridge-domain")

                        self.mac = Native.Interface.VirtualPortGroup.Service.Instance.Mac()
                        self.mac.parent = self
                        self._children_name_map["mac"] = "mac"
                        self._children_yang_names.add("mac")

                        self.service_policy = Native.Interface.VirtualPortGroup.Service.Instance.ServicePolicy()
                        self.service_policy.parent = self
                        self._children_name_map["service_policy"] = "service-policy"
                        self._children_yang_names.add("service-policy")

                        self.cfm = Native.Interface.VirtualPortGroup.Service.Instance.Cfm()
                        self.cfm.parent = self
                        self._children_name_map["cfm"] = "cfm"
                        self._children_yang_names.add("cfm")

                        self.l2protocol = Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol()
                        self.l2protocol.parent = self
                        self._children_name_map["l2protocol"] = "l2protocol"
                        self._children_yang_names.add("l2protocol")
                        self._segment_path = lambda: "instance" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance, ['id', 'trunk', 'gigabitethernet', 'ethernet', 'ethernet_evc_name', 'description', 'evc_name', 'group', 'shutdown'], name, value)


                    class Encapsulation(Entity):
                        """
                        Configure ethernet frame match criteria
                        
                        .. attribute:: default
                        
                        	catch\-all unconfigured encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dot1ad
                        
                        	802.1ad \- Provider Bridges
                        	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad>`
                        
                        .. attribute:: dot1q
                        
                        	IEEE 802.1Q Virtual LAN or S\-VLAN
                        	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q>`
                        
                        .. attribute:: priority_tagged
                        
                        	Priority tagged EFP
                        	**type**\:  :py:class:`PriorityTagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.PriorityTagged>`
                        
                        .. attribute:: untagged
                        
                        	Untagged encapsulation
                        	**type**\:  :py:class:`Untagged <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Untagged>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation, self).__init__()

                            self.yang_name = "encapsulation"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q), "priority-tagged" : ("priority_tagged", Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.PriorityTagged), "untagged" : ("untagged", Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Untagged)}
                            self._child_list_classes = {}

                            self.default = YLeaf(YType.empty, "default")

                            self.dot1ad = Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad()
                            self.dot1ad.parent = self
                            self._children_name_map["dot1ad"] = "dot1ad"
                            self._children_yang_names.add("dot1ad")

                            self.dot1q = Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q()
                            self.dot1q.parent = self
                            self._children_name_map["dot1q"] = "dot1q"
                            self._children_yang_names.add("dot1q")

                            self.priority_tagged = Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.PriorityTagged()
                            self.priority_tagged.parent = self
                            self._children_name_map["priority_tagged"] = "priority-tagged"
                            self._children_yang_names.add("priority-tagged")

                            self.untagged = None
                            self._children_name_map["untagged"] = "untagged"
                            self._children_yang_names.add("untagged")
                            self._segment_path = lambda: "encapsulation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation, ['default'], name, value)


                        class Dot1Ad(Entity):
                            """
                            802.1ad \- Provider Bridges
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	CoS value to use for CFM packets
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: dot1q
                            
                            	Second tag (dot1q)
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Dot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad, self).__init__()

                                self.yang_name = "dot1ad"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.dot1q = YLeafList(YType.str, "dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.cos2 = Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1ad"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad, ['id', 'cos', 'dot1q', 'etype', 'exact'], name, value)

                            class Dot1Q(Enum):
                                """
                                Dot1Q

                                Second tag (dot1q)

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1ad"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Ad.Cos2, ['cos'], name, value)


                        class Dot1Q(Entity):
                            """
                            IEEE 802.1Q Virtual LAN or S\-VLAN
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Id>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos
                            
                            	cos Vlan
                            	**type**\: list of int
                            
                            	**range:** 0..7
                            
                            .. attribute:: second_dot1q
                            
                            	inner 802.1Q Virtual LAN or C\-VLAN
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..4094
                            
                            		**type**\: list of   :py:class:`SecondDot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.SecondDot1Q>`
                            
                            		**type**\: list of str
                            
                            .. attribute:: cos2
                            
                            	
                            	**type**\:  :py:class:`Cos2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Cos2>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Etype>`
                            
                            .. attribute:: exact
                            
                            	payload Ethertype does not include 802.1q/802.1ad Tags
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan_type
                            
                            	Vlan Protocol Type
                            	**type**\:  :py:class:`VlanType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.VlanType>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q, self).__init__()

                                self.yang_name = "dot1q"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos2" : ("cos2", Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Cos2)}
                                self._child_list_classes = {}

                                self.id = YLeafList(YType.str, "id")

                                self.cos = YLeafList(YType.uint8, "cos")

                                self.second_dot1q = YLeafList(YType.str, "second-dot1q")

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.exact = YLeaf(YType.empty, "exact")

                                self.vlan_type = YLeaf(YType.enumeration, "vlan-type")

                                self.cos2 = Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Cos2()
                                self.cos2.parent = self
                                self._children_name_map["cos2"] = "cos2"
                                self._children_yang_names.add("cos2")
                                self._segment_path = lambda: "dot1q"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q, ['id', 'cos', 'second_dot1q', 'etype', 'exact', 'vlan_type'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")


                            class Id(Enum):
                                """
                                Id

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class SecondDot1Q(Enum):
                                """
                                SecondDot1Q

                                inner 802.1Q Virtual LAN or C\-VLAN

                                .. data:: any = 0

                                """

                                any = Enum.YLeaf(0, "any")


                            class VlanType(Enum):
                                """
                                VlanType

                                Vlan Protocol Type

                                .. data:: Y_0x88A8 = 0

                                .. data:: Y_0x9100 = 1

                                .. data:: Y_0x9200 = 2

                                """

                                Y_0x88A8 = Enum.YLeaf(0, "0x88A8")

                                Y_0x9100 = Enum.YLeaf(1, "0x9100")

                                Y_0x9200 = Enum.YLeaf(2, "0x9200")



                            class Cos2(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Cos2, self).__init__()

                                    self.yang_name = "cos2"
                                    self.yang_parent_name = "dot1q"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Dot1Q.Cos2, ['cos'], name, value)


                        class PriorityTagged(Entity):
                            """
                            Priority tagged EFP
                            
                            .. attribute:: cos_container
                            
                            	
                            	**type**\:  :py:class:`CosContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.PriorityTagged.CosContainer>`
                            
                            .. attribute:: etype
                            
                            	payload ethertype after Vlan Field
                            	**type**\: list of   :py:class:`Etype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.PriorityTagged.Etype>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.PriorityTagged, self).__init__()

                                self.yang_name = "priority-tagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cos-container" : ("cos_container", Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.PriorityTagged.CosContainer)}
                                self._child_list_classes = {}

                                self.etype = YLeafList(YType.enumeration, "etype")

                                self.cos_container = Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.PriorityTagged.CosContainer()
                                self.cos_container.parent = self
                                self._children_name_map["cos_container"] = "cos-container"
                                self._children_yang_names.add("cos-container")
                                self._segment_path = lambda: "priority-tagged"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.PriorityTagged, ['etype'], name, value)

                            class Etype(Enum):
                                """
                                Etype

                                payload ethertype after Vlan Field

                                .. data:: ipv4 = 0

                                .. data:: ipv6 = 1

                                .. data:: pppoe_all = 2

                                .. data:: pppoe_discovery = 3

                                .. data:: pppoe_session = 4

                                """

                                ipv4 = Enum.YLeaf(0, "ipv4")

                                ipv6 = Enum.YLeaf(1, "ipv6")

                                pppoe_all = Enum.YLeaf(2, "pppoe-all")

                                pppoe_discovery = Enum.YLeaf(3, "pppoe-discovery")

                                pppoe_session = Enum.YLeaf(4, "pppoe-session")



                            class CosContainer(Entity):
                                """
                                
                                
                                .. attribute:: cos
                                
                                	cos Vlan
                                	**type**\: list of int
                                
                                	**range:** 0..7
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.PriorityTagged.CosContainer, self).__init__()

                                    self.yang_name = "cos-container"
                                    self.yang_parent_name = "priority-tagged"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cos = YLeafList(YType.uint8, "cos")
                                    self._segment_path = lambda: "cos-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.PriorityTagged.CosContainer, ['cos'], name, value)


                        class Untagged(Entity):
                            """
                            Untagged encapsulation
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Encapsulation.Untagged, self).__init__()

                                self.yang_name = "untagged"
                                self.yang_parent_name = "encapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "untagged"


                    class Ip(Entity):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Ip.Acl>`
                        
                        .. attribute:: dhcp
                        
                        	DHCP
                        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp>`
                        
                        .. attribute:: verify
                        
                        	verify
                        	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Ip.Verify>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Service.Instance.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"acl" : ("acl", Native.Interface.VirtualPortGroup.Service.Instance.Ip.Acl), "dhcp" : ("dhcp", Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp), "verify" : ("verify", Native.Interface.VirtualPortGroup.Service.Instance.Ip.Verify)}
                            self._child_list_classes = {}

                            self.acl = Native.Interface.VirtualPortGroup.Service.Instance.Ip.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")

                            self.dhcp = Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp()
                            self.dhcp.parent = self
                            self._children_name_map["dhcp"] = "dhcp"
                            self._children_yang_names.add("dhcp")

                            self.verify = Native.Interface.VirtualPortGroup.Service.Instance.Ip.Verify()
                            self.verify.parent = self
                            self._children_name_map["verify"] = "verify"
                            self._children_yang_names.add("verify")
                            self._segment_path = lambda: "ip"


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: access_group
                            
                            	Specify access control for packets
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Ip.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.access_group = YLeaf(YType.str, "access-group")

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Ip.Acl, ['access_group', 'in_', 'out'], name, value)


                        class Dhcp(Entity):
                            """
                            DHCP
                            
                            .. attribute:: relay
                            
                            	DHCP relay
                            	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp.Relay>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp, self).__init__()

                                self.yang_name = "dhcp"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"relay" : ("relay", Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp.Relay)}
                                self._child_list_classes = {}

                                self.relay = Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp.Relay()
                                self.relay.parent = self
                                self._children_name_map["relay"] = "relay"
                                self._children_yang_names.add("relay")
                                self._segment_path = lambda: "dhcp"


                            class Relay(Entity):
                                """
                                DHCP relay
                                
                                .. attribute:: information
                                
                                	DHCP relay information
                                	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp.Relay.Information>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp.Relay, self).__init__()

                                    self.yang_name = "relay"
                                    self.yang_parent_name = "dhcp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"information" : ("information", Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp.Relay.Information)}
                                    self._child_list_classes = {}

                                    self.information = Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp.Relay.Information()
                                    self.information.parent = self
                                    self._children_name_map["information"] = "information"
                                    self._children_yang_names.add("information")
                                    self._segment_path = lambda: "relay"


                                class Information(Entity):
                                    """
                                    DHCP relay information
                                    
                                    .. attribute:: option
                                    
                                    	DHCP relay information option
                                    	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp.Relay.Information.Option>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp.Relay.Information, self).__init__()

                                        self.yang_name = "information"
                                        self.yang_parent_name = "relay"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"option" : ("option", Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp.Relay.Information.Option)}
                                        self._child_list_classes = {}

                                        self.option = Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp.Relay.Information.Option()
                                        self.option.parent = self
                                        self._children_name_map["option"] = "option"
                                        self._children_yang_names.add("option")
                                        self._segment_path = lambda: "information"


                                    class Option(Entity):
                                        """
                                        DHCP relay information option
                                        
                                        .. attribute:: subscriber_id
                                        
                                        	DHCP relay information option subscriber\-id
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                            self.yang_name = "option"
                                            self.yang_parent_name = "information"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                            self._segment_path = lambda: "option"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                        class Verify(Entity):
                            """
                            verify
                            
                            .. attribute:: source
                            
                            	source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vlan
                            
                            	vlan specification
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: port_security
                            
                            	port security
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Ip.Verify, self).__init__()

                                self.yang_name = "verify"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.source = YLeaf(YType.empty, "source")

                                self.vlan = YLeaf(YType.empty, "vlan")

                                self.dhcp_snooping = YLeaf(YType.empty, "dhcp-snooping")

                                self.port_security = YLeaf(YType.empty, "port-security")
                                self._segment_path = lambda: "verify"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Ip.Verify, ['source', 'vlan', 'dhcp_snooping', 'port_security'], name, value)


                    class Ipv6(Entity):
                        """
                        IPv6 interface subcommands
                        
                        .. attribute:: traffic_filter
                        
                        	Access control list for packets
                        	**type**\: str
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Service.Instance.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.traffic_filter = YLeaf(YType.str, "traffic-filter")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Ipv6, ['traffic_filter', 'in_', 'out'], name, value)


                    class Rewrite(Entity):
                        """
                        Configure ethernet rewrite criteria
                        
                        .. attribute:: ingress
                        
                        	Ingress Rewrite
                        	**type**\:  :py:class:`Ingress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite, self).__init__()

                            self.yang_name = "rewrite"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ingress" : ("ingress", Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress)}
                            self._child_list_classes = {}

                            self.ingress = Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress()
                            self.ingress.parent = self
                            self._children_name_map["ingress"] = "ingress"
                            self._children_yang_names.add("ingress")
                            self._segment_path = lambda: "rewrite"


                        class Ingress(Entity):
                            """
                            Ingress Rewrite
                            
                            .. attribute:: tag
                            
                            	Configure Rewrite Tag
                            	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress, self).__init__()

                                self.yang_name = "ingress"
                                self.yang_parent_name = "rewrite"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"tag" : ("tag", Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag)}
                                self._child_list_classes = {}

                                self.tag = Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag()
                                self.tag.parent = self
                                self._children_name_map["tag"] = "tag"
                                self._children_yang_names.add("tag")
                                self._segment_path = lambda: "ingress"


                            class Tag(Entity):
                                """
                                Configure Rewrite Tag
                                
                                .. attribute:: pop
                                
                                	Pop the tag
                                	**type**\:  :py:class:`Pop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Pop>`
                                
                                .. attribute:: push
                                
                                	Rewrite Operation of push
                                	**type**\:  :py:class:`Push <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Push>`
                                
                                .. attribute:: translate
                                
                                	Translate Tag
                                	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag, self).__init__()

                                    self.yang_name = "tag"
                                    self.yang_parent_name = "ingress"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"pop" : ("pop", Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Pop), "push" : ("push", Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Push), "translate" : ("translate", Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate)}
                                    self._child_list_classes = {}

                                    self.pop = Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Pop()
                                    self.pop.parent = self
                                    self._children_name_map["pop"] = "pop"
                                    self._children_yang_names.add("pop")

                                    self.push = Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Push()
                                    self.push.parent = self
                                    self._children_name_map["push"] = "push"
                                    self._children_yang_names.add("push")

                                    self.translate = Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate()
                                    self.translate.parent = self
                                    self._children_name_map["translate"] = "translate"
                                    self._children_yang_names.add("translate")
                                    self._segment_path = lambda: "tag"


                                class Pop(Entity):
                                    """
                                    Pop the tag
                                    
                                    .. attribute:: way
                                    
                                    	
                                    	**type**\:  :py:class:`Way <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Pop.Way>`
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Pop.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Pop, self).__init__()

                                        self.yang_name = "pop"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.way = YLeaf(YType.enumeration, "way")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "pop"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Pop, ['way', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")


                                    class Way(Enum):
                                        """
                                        Way

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class Push(Entity):
                                    """
                                    Rewrite Operation of push
                                    
                                    .. attribute:: dot1q
                                    
                                    	Push dot1q tag
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    .. attribute:: mode
                                    
                                    	
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Push.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Push, self).__init__()

                                        self.yang_name = "push"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dot1q = YLeaf(YType.uint16, "dot1q")

                                        self.mode = YLeaf(YType.enumeration, "mode")
                                        self._segment_path = lambda: "push"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Push, ['dot1q', 'mode'], name, value)

                                    class Mode(Enum):
                                        """
                                        Mode

                                        .. data:: symmetric = 0

                                        """

                                        symmetric = Enum.YLeaf(0, "symmetric")



                                class Translate(Entity):
                                    """
                                    Translate Tag
                                    
                                    .. attribute:: t1_to_1
                                    
                                    	Translate 1\-to\-1
                                    	**type**\:  :py:class:`T1To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1>`
                                    
                                    .. attribute:: t1_to_2
                                    
                                    	Translate 1\-to\-2
                                    	**type**\:  :py:class:`T1To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2>`
                                    
                                    .. attribute:: t2_to_1
                                    
                                    	Translate 2\-to\-1
                                    	**type**\:  :py:class:`T2To1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1>`
                                    
                                    .. attribute:: t2_to_2
                                    
                                    	Translate 2\-to\-2
                                    	**type**\:  :py:class:`T2To2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate, self).__init__()

                                        self.yang_name = "translate"
                                        self.yang_parent_name = "tag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"t1-to-1" : ("t1_to_1", Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1), "t1-to-2" : ("t1_to_2", Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2), "t2-to-1" : ("t2_to_1", Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1), "t2-to-2" : ("t2_to_2", Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2)}
                                        self._child_list_classes = {}

                                        self.t1_to_1 = Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1()
                                        self.t1_to_1.parent = self
                                        self._children_name_map["t1_to_1"] = "t1-to-1"
                                        self._children_yang_names.add("t1-to-1")

                                        self.t1_to_2 = Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2()
                                        self.t1_to_2.parent = self
                                        self._children_name_map["t1_to_2"] = "t1-to-2"
                                        self._children_yang_names.add("t1-to-2")

                                        self.t2_to_1 = Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1()
                                        self.t2_to_1.parent = self
                                        self._children_name_map["t2_to_1"] = "t2-to-1"
                                        self._children_yang_names.add("t2-to-1")

                                        self.t2_to_2 = Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2()
                                        self.t2_to_2.parent = self
                                        self._children_name_map["t2_to_2"] = "t2-to-2"
                                        self._children_yang_names.add("t2-to-2")
                                        self._segment_path = lambda: "translate"


                                    class T1To1(Entity):
                                        """
                                        Translate 1\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, self).__init__()

                                            self.yang_name = "t1-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T1To2(Entity):
                                        """
                                        Translate 1\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, self).__init__()

                                            self.yang_name = "t1-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t1-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T1To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To1(Entity):
                                        """
                                        Translate 2\-to\-1
                                        
                                        .. attribute:: dot1q
                                        
                                        	Ethertype dot1q of the translation
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, self).__init__()

                                            self.yang_name = "t2-to-1"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-1"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To1, ['dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                                    class T2To2(Entity):
                                        """
                                        Translate 2\-to\-2
                                        
                                        .. attribute:: dot1q
                                        
                                        	Translate ethertype of dot1q
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: second_dot1q
                                        
                                        	Second dot1q tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        .. attribute:: mode
                                        
                                        	
                                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2.Mode>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, self).__init__()

                                            self.yang_name = "t2-to-2"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot1q = YLeaf(YType.uint16, "dot1q")

                                            self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")

                                            self.mode = YLeaf(YType.enumeration, "mode")
                                            self._segment_path = lambda: "t2-to-2"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Rewrite.Ingress.Tag.Translate.T2To2, ['dot1q', 'second_dot1q', 'mode'], name, value)

                                        class Mode(Enum):
                                            """
                                            Mode

                                            .. data:: symmetric = 0

                                            """

                                            symmetric = Enum.YLeaf(0, "symmetric")



                    class Errdisable(Entity):
                        """
                        Configure error disable
                        
                        .. attribute:: recovery
                        
                        	enable auto recovery
                        	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Errdisable.Recovery>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Service.Instance.Errdisable, self).__init__()

                            self.yang_name = "errdisable"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"recovery" : ("recovery", Native.Interface.VirtualPortGroup.Service.Instance.Errdisable.Recovery)}
                            self._child_list_classes = {}

                            self.recovery = Native.Interface.VirtualPortGroup.Service.Instance.Errdisable.Recovery()
                            self.recovery.parent = self
                            self._children_name_map["recovery"] = "recovery"
                            self._children_yang_names.add("recovery")
                            self._segment_path = lambda: "errdisable"


                        class Recovery(Entity):
                            """
                            enable auto recovery
                            
                            .. attribute:: cause
                            
                            	error disable cause
                            	**type**\:  :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Errdisable.Recovery.Cause>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Errdisable.Recovery, self).__init__()

                                self.yang_name = "recovery"
                                self.yang_parent_name = "errdisable"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cause" : ("cause", Native.Interface.VirtualPortGroup.Service.Instance.Errdisable.Recovery.Cause)}
                                self._child_list_classes = {}

                                self.cause = Native.Interface.VirtualPortGroup.Service.Instance.Errdisable.Recovery.Cause()
                                self.cause.parent = self
                                self._children_name_map["cause"] = "cause"
                                self._children_yang_names.add("cause")
                                self._segment_path = lambda: "recovery"


                            class Cause(Entity):
                                """
                                error disable cause
                                
                                .. attribute:: mac_security
                                
                                	mac\-security violation
                                	**type**\: int
                                
                                	**range:** 30..86400
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Service.Instance.Errdisable.Recovery.Cause, self).__init__()

                                    self.yang_name = "cause"
                                    self.yang_parent_name = "recovery"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mac_security = YLeaf(YType.uint32, "mac-security")
                                    self._segment_path = lambda: "cause"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Errdisable.Recovery.Cause, ['mac_security'], name, value)


                    class EthernetContainer(Entity):
                        """
                        
                        
                        .. attribute:: ethernet
                        
                        	ethernet
                        	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer, self).__init__()

                            self.yang_name = "ethernet-container"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ethernet" : ("ethernet", Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet)}
                            self._child_list_classes = {}

                            self.ethernet = Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet()
                            self.ethernet.parent = self
                            self._children_name_map["ethernet"] = "ethernet"
                            self._children_yang_names.add("ethernet")
                            self._segment_path = lambda: "ethernet-container"


                        class Ethernet(Entity):
                            """
                            ethernet
                            
                            .. attribute:: lmi
                            
                            	Configure ether lmi parameters
                            	**type**\:  :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi>`
                            
                            .. attribute:: loopback
                            
                            	Ethernet Dataplane Loopback
                            	**type**\:  :py:class:`Loopback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Loopback>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet, self).__init__()

                                self.yang_name = "ethernet"
                                self.yang_parent_name = "ethernet-container"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lmi" : ("lmi", Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi), "loopback" : ("loopback", Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Loopback)}
                                self._child_list_classes = {}

                                self.lmi = Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi()
                                self.lmi.parent = self
                                self._children_name_map["lmi"] = "lmi"
                                self._children_yang_names.add("lmi")

                                self.loopback = Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Loopback()
                                self.loopback.parent = self
                                self._children_name_map["loopback"] = "loopback"
                                self._children_yang_names.add("loopback")
                                self._segment_path = lambda: "ethernet"


                            class Lmi(Entity):
                                """
                                Configure ether lmi parameters
                                
                                .. attribute:: ce_vlan
                                
                                	Configure ether lmi customer vlans
                                	**type**\:  :py:class:`CeVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi, self).__init__()

                                    self.yang_name = "lmi"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ce-vlan" : ("ce_vlan", Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan)}
                                    self._child_list_classes = {}

                                    self.ce_vlan = Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan()
                                    self.ce_vlan.parent = self
                                    self._children_name_map["ce_vlan"] = "ce-vlan"
                                    self._children_yang_names.add("ce-vlan")
                                    self._segment_path = lambda: "lmi"


                                class CeVlan(Entity):
                                    """
                                    Configure ether lmi customer vlans
                                    
                                    .. attribute:: map
                                    
                                    	Configure ether lmi ce\-vlan/evc map
                                    	**type**\:  :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan, self).__init__()

                                        self.yang_name = "ce-vlan"
                                        self.yang_parent_name = "lmi"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map" : ("map", Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map)}
                                        self._child_list_classes = {}

                                        self.map = Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map()
                                        self.map.parent = self
                                        self._children_name_map["map"] = "map"
                                        self._children_yang_names.add("map")
                                        self._segment_path = lambda: "ce-vlan"


                                    class Map(Entity):
                                        """
                                        Configure ether lmi ce\-vlan/evc map
                                        
                                        .. attribute:: vlan_range
                                        
                                        	
                                        	**type**\:  :py:class:`VlanRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange>`
                                        
                                        .. attribute:: any
                                        
                                        	For all VLANS [untagged,1\-4094]
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: default
                                        
                                        	Default EFP
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: untagged
                                        
                                        	Untagged frames
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eth'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, self).__init__()

                                            self.yang_name = "map"
                                            self.yang_parent_name = "ce-vlan"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"vlan-range" : ("vlan_range", Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange)}
                                            self._child_list_classes = {}

                                            self.any = YLeaf(YType.empty, "any")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.untagged = YLeaf(YType.empty, "untagged")

                                            self.vlan_range = Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange()
                                            self.vlan_range.parent = self
                                            self._children_name_map["vlan_range"] = "vlan-range"
                                            self._children_yang_names.add("vlan-range")
                                            self._segment_path = lambda: "map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map, ['any', 'default', 'untagged'], name, value)


                                        class VlanRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: vlan_id
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: comma
                                            
                                            	comma
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            .. attribute:: hyphen
                                            
                                            	hyphen
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-eth'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, self).__init__()

                                                self.yang_name = "vlan-range"
                                                self.yang_parent_name = "map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                                self.comma = YLeaf(YType.uint16, "comma")

                                                self.hyphen = YLeaf(YType.uint16, "hyphen")
                                                self._segment_path = lambda: "vlan-range"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Lmi.CeVlan.Map.VlanRange, ['vlan_id', 'comma', 'hyphen'], name, value)


                            class Loopback(Entity):
                                """
                                Ethernet Dataplane Loopback
                                
                                .. attribute:: permit
                                
                                	Allow data plane loopback to be activated
                                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Loopback, self).__init__()

                                    self.yang_name = "loopback"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"permit" : ("permit", Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit)}
                                    self._child_list_classes = {}

                                    self.permit = Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit()
                                    self.permit.parent = self
                                    self._children_name_map["permit"] = "permit"
                                    self._children_yang_names.add("permit")
                                    self._segment_path = lambda: "loopback"


                                class Permit(Entity):
                                    """
                                    Allow data plane loopback to be activated
                                    
                                    .. attribute:: external
                                    
                                    	Allow to loopback the traffic from the wire
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: internal
                                    
                                    	Allow to loopback the traffic from the relay
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eth'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, self).__init__()

                                        self.yang_name = "permit"
                                        self.yang_parent_name = "loopback"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.external = YLeaf(YType.empty, "external")

                                        self.internal = YLeaf(YType.empty, "internal")
                                        self._segment_path = lambda: "permit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.EthernetContainer.Ethernet.Loopback.Permit, ['external', 'internal'], name, value)


                    class Snmp(Entity):
                        """
                        Modify SNMP service instance parameters
                        
                        .. attribute:: trap
                        
                        	Allow a specific SNMP trap
                        	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Snmp.Trap>`
                        
                        .. attribute:: ifindex
                        
                        	Persist ifindex for the service instance
                        	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Snmp.Ifindex>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Service.Instance.Snmp, self).__init__()

                            self.yang_name = "snmp"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"trap" : ("trap", Native.Interface.VirtualPortGroup.Service.Instance.Snmp.Trap), "ifindex" : ("ifindex", Native.Interface.VirtualPortGroup.Service.Instance.Snmp.Ifindex)}
                            self._child_list_classes = {}

                            self.trap = Native.Interface.VirtualPortGroup.Service.Instance.Snmp.Trap()
                            self.trap.parent = self
                            self._children_name_map["trap"] = "trap"
                            self._children_yang_names.add("trap")

                            self.ifindex = Native.Interface.VirtualPortGroup.Service.Instance.Snmp.Ifindex()
                            self.ifindex.parent = self
                            self._children_name_map["ifindex"] = "ifindex"
                            self._children_yang_names.add("ifindex")
                            self._segment_path = lambda: "snmp"


                        class Trap(Entity):
                            """
                            Allow a specific SNMP trap
                            
                            .. attribute:: link_status
                            
                            	Allow SNMP LINKUP and LINKDOWN traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Snmp.Trap, self).__init__()

                                self.yang_name = "trap"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.link_status = YLeaf(YType.empty, "link-status")
                                self._segment_path = lambda: "trap"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Snmp.Trap, ['link_status'], name, value)


                        class Ifindex(Entity):
                            """
                            Persist ifindex for the service instance
                            
                            .. attribute:: persist
                            
                            	Enable/Disable ifIndex persistence
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Snmp.Ifindex, self).__init__()

                                self.yang_name = "ifindex"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.persist = YLeaf(YType.empty, "persist")
                                self._segment_path = lambda: "ifindex"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Snmp.Ifindex, ['persist'], name, value)


                    class BridgeDomain(Entity):
                        """
                        Bridge\-domain
                        
                        .. attribute:: bridge_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:  :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.BridgeDomain.SplitHorizon>`
                        
                        .. attribute:: from_encapsulation
                        
                        	from\-encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Service.Instance.BridgeDomain, self).__init__()

                            self.yang_name = "bridge-domain"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"split-horizon" : ("split_horizon", Native.Interface.VirtualPortGroup.Service.Instance.BridgeDomain.SplitHorizon)}
                            self._child_list_classes = {}

                            self.bridge_id = YLeaf(YType.uint16, "bridge-id")

                            self.from_encapsulation = YLeaf(YType.empty, "from-encapsulation")

                            self.split_horizon = Native.Interface.VirtualPortGroup.Service.Instance.BridgeDomain.SplitHorizon()
                            self.split_horizon.parent = self
                            self._children_name_map["split_horizon"] = "split-horizon"
                            self._children_yang_names.add("split-horizon")
                            self._segment_path = lambda: "bridge-domain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.BridgeDomain, ['bridge_id', 'from_encapsulation'], name, value)


                        class SplitHorizon(Entity):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\: int
                            
                            	**range:** 0..13
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.BridgeDomain.SplitHorizon, self).__init__()

                                self.yang_name = "split-horizon"
                                self.yang_parent_name = "bridge-domain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group = YLeaf(YType.uint8, "group")
                                self._segment_path = lambda: "split-horizon"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.BridgeDomain.SplitHorizon, ['group'], name, value)


                    class Mac(Entity):
                        """
                        Commands for MAC Address\-based features
                        
                        .. attribute:: security
                        
                        	MAC Security commands
                        	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Mac.Security>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Service.Instance.Mac, self).__init__()

                            self.yang_name = "mac"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"security" : ("security", Native.Interface.VirtualPortGroup.Service.Instance.Mac.Security)}
                            self._child_list_classes = {}

                            self.security = None
                            self._children_name_map["security"] = "security"
                            self._children_yang_names.add("security")
                            self._segment_path = lambda: "mac"


                        class Security(Entity):
                            """
                            MAC Security commands
                            
                            .. attribute:: maximum
                            
                            	Configure an upper bound
                            	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Mac.Security.Maximum>`
                            
                            .. attribute:: violation
                            
                            	Configure the response when a MAC security policy is violated
                            	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Mac.Security.Violation>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Mac.Security, self).__init__()

                                self.yang_name = "security"
                                self.yang_parent_name = "mac"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"maximum" : ("maximum", Native.Interface.VirtualPortGroup.Service.Instance.Mac.Security.Maximum)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.violation = YLeaf(YType.enumeration, "violation")

                                self.maximum = Native.Interface.VirtualPortGroup.Service.Instance.Mac.Security.Maximum()
                                self.maximum.parent = self
                                self._children_name_map["maximum"] = "maximum"
                                self._children_yang_names.add("maximum")
                                self._segment_path = lambda: "security"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Mac.Security, ['violation'], name, value)

                            class Violation(Enum):
                                """
                                Violation

                                Configure the response when a MAC security policy is violated

                                .. data:: protect = 0

                                .. data:: restrict = 1

                                """

                                protect = Enum.YLeaf(0, "protect")

                                restrict = Enum.YLeaf(1, "restrict")



                            class Maximum(Entity):
                                """
                                Configure an upper bound
                                
                                .. attribute:: addresses
                                
                                	Maximum addresses that can be learnt on this service instance
                                	**type**\: int
                                
                                	**range:** 1..1000
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Service.Instance.Mac.Security.Maximum, self).__init__()

                                    self.yang_name = "maximum"
                                    self.yang_parent_name = "security"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.addresses = YLeaf(YType.uint16, "addresses")
                                    self._segment_path = lambda: "maximum"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Mac.Security.Maximum, ['addresses'], name, value)


                    class ServicePolicy(Entity):
                        """
                        Attach a policy\-map to an EFP
                        
                        .. attribute:: input
                        
                        	service policy input
                        	**type**\: list of  		 :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.ServicePolicy.Input>`
                        
                        .. attribute:: output
                        
                        	service policy output
                        	**type**\: list of  		 :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.ServicePolicy.Output>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Service.Instance.ServicePolicy, self).__init__()

                            self.yang_name = "service-policy"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"input" : ("input", Native.Interface.VirtualPortGroup.Service.Instance.ServicePolicy.Input), "output" : ("output", Native.Interface.VirtualPortGroup.Service.Instance.ServicePolicy.Output)}

                            self.input = YList(self)
                            self.output = YList(self)
                            self._segment_path = lambda: "service-policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.ServicePolicy, [], name, value)


                        class Input(Entity):
                            """
                            service policy input
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.ServicePolicy.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.ServicePolicy.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            service policy output
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.ServicePolicy.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.ServicePolicy.Output, ['name'], name, value)


                    class Cfm(Entity):
                        """
                        Ethernet CFM EFP subcommands
                        
                        .. attribute:: encapsulation
                        
                        	Configure CFM ethernet frame encapsulation
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation>`
                        
                        .. attribute:: mep
                        
                        	Maintenance End Point
                        	**type**\:  :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Mep>`
                        
                        .. attribute:: mip
                        
                        	Maintenance Intermediate Point
                        	**type**\:  :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Mip>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Service.Instance.Cfm, self).__init__()

                            self.yang_name = "cfm"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation), "mep" : ("mep", Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Mep), "mip" : ("mip", Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Mip)}
                            self._child_list_classes = {}

                            self.encapsulation = Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.mep = Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Mep()
                            self.mep.parent = self
                            self._children_name_map["mep"] = "mep"
                            self._children_yang_names.add("mep")

                            self.mip = Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Mip()
                            self.mip.parent = self
                            self._children_name_map["mip"] = "mip"
                            self._children_yang_names.add("mip")
                            self._segment_path = lambda: "cfm"


                        class Encapsulation(Entity):
                            """
                            Configure CFM ethernet frame encapsulation
                            
                            .. attribute:: dot1ad
                            
                            	802.1ad \- Provider Bridges
                            	**type**\:  :py:class:`Dot1Ad <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation.Dot1Ad>`
                            
                            .. attribute:: dot1q
                            
                            	IEEE 802.1Q Virtual LAN or S\-VLAN
                            	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation.Dot1Q>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dot1ad" : ("dot1ad", Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation.Dot1Ad), "dot1q" : ("dot1q", Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation.Dot1Q)}
                                self._child_list_classes = {}

                                self.dot1ad = Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation.Dot1Ad()
                                self.dot1ad.parent = self
                                self._children_name_map["dot1ad"] = "dot1ad"
                                self._children_yang_names.add("dot1ad")

                                self.dot1q = Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation.Dot1Q()
                                self.dot1q.parent = self
                                self._children_name_map["dot1q"] = "dot1q"
                                self._children_yang_names.add("dot1q")
                                self._segment_path = lambda: "encapsulation"


                            class Dot1Ad(Entity):
                                """
                                802.1ad \- Provider Bridges
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: dot1q
                                
                                	Second tag (dot1q)
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation.Dot1Ad, self).__init__()

                                    self.yang_name = "dot1ad"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.dot1q = YLeaf(YType.uint16, "dot1q")
                                    self._segment_path = lambda: "dot1ad"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation.Dot1Ad, ['vlan_id', 'cos', 'dot1q'], name, value)


                            class Dot1Q(Entity):
                                """
                                IEEE 802.1Q Virtual LAN or S\-VLAN
                                
                                .. attribute:: vlan_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                .. attribute:: cos
                                
                                	CoS value to use for CFM packets
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: second_dot1q
                                
                                	inner 802.1Q Virtual LAN or C\-VLAN
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation.Dot1Q, self).__init__()

                                    self.yang_name = "dot1q"
                                    self.yang_parent_name = "encapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                                    self.cos = YLeaf(YType.uint8, "cos")

                                    self.second_dot1q = YLeaf(YType.uint16, "second-dot1q")
                                    self._segment_path = lambda: "dot1q"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Encapsulation.Dot1Q, ['vlan_id', 'cos', 'second_dot1q'], name, value)


                        class Mep(Entity):
                            """
                            Maintenance End Point
                            
                            .. attribute:: domain
                            
                            	Configure a domain for this mep
                            	**type**\: str
                            
                            .. attribute:: mpid
                            
                            	Maintenance End Point Identifier
                            	**type**\: int
                            
                            	**range:** 1..8191
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Mep, self).__init__()

                                self.yang_name = "mep"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.domain = YLeaf(YType.str, "domain")

                                self.mpid = YLeaf(YType.uint16, "mpid")
                                self._segment_path = lambda: "mep"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Mep, ['domain', 'mpid'], name, value)


                        class Mip(Entity):
                            """
                            Maintenance Intermediate Point
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Mip, self).__init__()

                                self.yang_name = "mip"
                                self.yang_parent_name = "cfm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level = YLeaf(YType.uint8, "level")
                                self._segment_path = lambda: "mip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.Cfm.Mip, ['level'], name, value)


                    class L2Protocol(Entity):
                        """
                        Configure l2 control protocol processing
                        
                        .. attribute:: peer
                        
                        	peer L2 control protocol packets as data
                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Peer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: forward
                        
                        	forward L2 control protocol packets as data
                        	**type**\:  :py:class:`Forward <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Forward>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: tunnel
                        
                        	tunnel L2 control protocol packets as data
                        	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Tunnel>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol, self).__init__()

                            self.yang_name = "l2protocol"
                            self.yang_parent_name = "instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer" : ("peer", Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Peer), "forward" : ("forward", Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Forward), "tunnel" : ("tunnel", Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Tunnel)}
                            self._child_list_classes = {}

                            self.peer = None
                            self._children_name_map["peer"] = "peer"
                            self._children_yang_names.add("peer")

                            self.forward = None
                            self._children_name_map["forward"] = "forward"
                            self._children_yang_names.add("forward")

                            self.tunnel = None
                            self._children_name_map["tunnel"] = "tunnel"
                            self._children_yang_names.add("tunnel")
                            self._segment_path = lambda: "l2protocol"


                        class Peer(Entity):
                            """
                            peer L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Peer.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Peer, self).__init__()

                                self.yang_name = "peer"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "peer"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Peer, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Forward(Entity):
                            """
                            forward L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Forward.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Forward, self).__init__()

                                self.yang_name = "forward"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "forward"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Forward, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



                        class Tunnel(Entity):
                            """
                            tunnel L2 control protocol packets as data
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\: list of   :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Tunnel.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Tunnel, self).__init__()

                                self.yang_name = "tunnel"
                                self.yang_parent_name = "l2protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeafList(YType.enumeration, "protocol")
                                self._segment_path = lambda: "tunnel"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Service.Instance.L2Protocol.Tunnel, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: R4 = 0

                                .. data:: R5 = 1

                                .. data:: R6 = 2

                                .. data:: R8 = 3

                                .. data:: R9 = 4

                                .. data:: RA = 5

                                .. data:: RB = 6

                                .. data:: RC = 7

                                .. data:: RD = 8

                                .. data:: RF = 9

                                .. data:: cdp = 10

                                .. data:: dtp = 11

                                .. data:: elmi = 12

                                .. data:: esmc = 13

                                .. data:: lacp = 14

                                .. data:: lldp = 15

                                .. data:: loam = 16

                                .. data:: pagp = 17

                                .. data:: ptppd = 18

                                .. data:: stp = 19

                                .. data:: udld = 20

                                .. data:: vtp = 21

                                """

                                R4 = Enum.YLeaf(0, "R4")

                                R5 = Enum.YLeaf(1, "R5")

                                R6 = Enum.YLeaf(2, "R6")

                                R8 = Enum.YLeaf(3, "R8")

                                R9 = Enum.YLeaf(4, "R9")

                                RA = Enum.YLeaf(5, "RA")

                                RB = Enum.YLeaf(6, "RB")

                                RC = Enum.YLeaf(7, "RC")

                                RD = Enum.YLeaf(8, "RD")

                                RF = Enum.YLeaf(9, "RF")

                                cdp = Enum.YLeaf(10, "cdp")

                                dtp = Enum.YLeaf(11, "dtp")

                                elmi = Enum.YLeaf(12, "elmi")

                                esmc = Enum.YLeaf(13, "esmc")

                                lacp = Enum.YLeaf(14, "lacp")

                                lldp = Enum.YLeaf(15, "lldp")

                                loam = Enum.YLeaf(16, "loam")

                                pagp = Enum.YLeaf(17, "pagp")

                                ptppd = Enum.YLeaf(18, "ptppd")

                                stp = Enum.YLeaf(19, "stp")

                                udld = Enum.YLeaf(20, "udld")

                                vtp = Enum.YLeaf(21, "vtp")



            class Snmp(Entity):
                """
                Modify SNMP interface parameters
                
                .. attribute:: ifindex
                
                	Persist ifindex for the interface
                	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Snmp.Ifindex>`
                
                .. attribute:: trap
                
                	Allow a specific SNMP trap
                	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Snmp.Trap>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Snmp, self).__init__()

                    self.yang_name = "snmp"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ifindex" : ("ifindex", Native.Interface.VirtualPortGroup.Snmp.Ifindex), "trap" : ("trap", Native.Interface.VirtualPortGroup.Snmp.Trap)}
                    self._child_list_classes = {}

                    self.ifindex = Native.Interface.VirtualPortGroup.Snmp.Ifindex()
                    self.ifindex.parent = self
                    self._children_name_map["ifindex"] = "ifindex"
                    self._children_yang_names.add("ifindex")

                    self.trap = Native.Interface.VirtualPortGroup.Snmp.Trap()
                    self.trap.parent = self
                    self._children_name_map["trap"] = "trap"
                    self._children_yang_names.add("trap")
                    self._segment_path = lambda: "Cisco-IOS-XE-snmp:snmp"


                class Ifindex(Entity):
                    """
                    Persist ifindex for the interface
                    
                    .. attribute:: persist
                    
                    	Enable/Disable ifIndex persistence 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: clear
                    
                    	Clear Enable/Disable ifIndex persistence
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Snmp.Ifindex, self).__init__()

                        self.yang_name = "ifindex"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.persist = YLeaf(YType.empty, "persist")

                        self.clear = YLeaf(YType.boolean, "clear")
                        self._segment_path = lambda: "ifindex"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Snmp.Ifindex, ['persist', 'clear'], name, value)


                class Trap(Entity):
                    """
                    Allow a specific SNMP trap
                    
                    .. attribute:: link_status
                    
                    	Allow SNMP LINKUP and LINKDOWN traps
                    	**type**\: bool
                    
                    .. attribute:: link_status_capas
                    
                    	
                    	**type**\:  :py:class:`LinkStatusCapas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Snmp.Trap.LinkStatusCapas>`
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Snmp.Trap, self).__init__()

                        self.yang_name = "trap"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-status-capas" : ("link_status_capas", Native.Interface.VirtualPortGroup.Snmp.Trap.LinkStatusCapas)}
                        self._child_list_classes = {}

                        self.link_status = YLeaf(YType.boolean, "link-status")

                        self.link_status_capas = Native.Interface.VirtualPortGroup.Snmp.Trap.LinkStatusCapas()
                        self.link_status_capas.parent = self
                        self._children_name_map["link_status_capas"] = "link-status-capas"
                        self._children_yang_names.add("link-status-capas")
                        self._segment_path = lambda: "trap"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.VirtualPortGroup.Snmp.Trap, ['link_status'], name, value)


                    class LinkStatusCapas(Entity):
                        """
                        
                        
                        .. attribute:: link_status
                        
                        	Allow SNMP LINKUP and LINKDOWN traps
                        	**type**\:  :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Snmp.Trap.LinkStatusCapas.LinkStatus>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Snmp.Trap.LinkStatusCapas, self).__init__()

                            self.yang_name = "link-status-capas"
                            self.yang_parent_name = "trap"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"link-status" : ("link_status", Native.Interface.VirtualPortGroup.Snmp.Trap.LinkStatusCapas.LinkStatus)}
                            self._child_list_classes = {}

                            self.link_status = Native.Interface.VirtualPortGroup.Snmp.Trap.LinkStatusCapas.LinkStatus()
                            self.link_status.parent = self
                            self._children_name_map["link_status"] = "link-status"
                            self._children_yang_names.add("link-status")
                            self._segment_path = lambda: "link-status-capas"


                        class LinkStatus(Entity):
                            """
                            Allow SNMP LINKUP and LINKDOWN traps
                            
                            .. attribute:: permit
                            
                            	Permit the following capability
                            	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Snmp.Trap.LinkStatusCapas.LinkStatus, self).__init__()

                                self.yang_name = "link-status"
                                self.yang_parent_name = "link-status-capas"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"permit" : ("permit", Native.Interface.VirtualPortGroup.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit)}
                                self._child_list_classes = {}

                                self.permit = Native.Interface.VirtualPortGroup.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit()
                                self.permit.parent = self
                                self._children_name_map["permit"] = "permit"
                                self._children_yang_names.add("permit")
                                self._segment_path = lambda: "link-status"


                            class Permit(Entity):
                                """
                                Permit the following capability
                                
                                .. attribute:: duplicates
                                
                                	Permit duplicate SNMP LINKUP and LINKDOWN traps
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, self).__init__()

                                    self.yang_name = "permit"
                                    self.yang_parent_name = "link-status"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.duplicates = YLeaf(YType.empty, "duplicates")
                                    self._segment_path = lambda: "permit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.VirtualPortGroup.Snmp.Trap.LinkStatusCapas.LinkStatus.Permit, ['duplicates'], name, value)


            class Cts(Entity):
                """
                Configure Cisco Trusted Security
                
                .. attribute:: manual
                
                	Supply local configuration for CTS parameters
                	**type**\:  :py:class:`Manual <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cts.Manual>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Cts, self).__init__()

                    self.yang_name = "cts"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"manual" : ("manual", Native.Interface.VirtualPortGroup.Cts.Manual)}
                    self._child_list_classes = {}

                    self.manual = None
                    self._children_name_map["manual"] = "manual"
                    self._children_yang_names.add("manual")
                    self._segment_path = lambda: "Cisco-IOS-XE-cts:cts"


                class Manual(Entity):
                    """
                    Supply local configuration for CTS parameters
                    
                    .. attribute:: policy
                    
                    	CTS policy for manual mode
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cts.Manual.Policy>`
                    
                    .. attribute:: sap
                    
                    	CTS SAP configuration for manual mode
                    	**type**\:  :py:class:`Sap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cts.Manual.Sap>`
                    
                    .. attribute:: propagate
                    
                    	CTS SGT Propagation configuration for manual mode
                    	**type**\:  :py:class:`Propagate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cts.Manual.Propagate>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.Cts.Manual, self).__init__()

                        self.yang_name = "manual"
                        self.yang_parent_name = "cts"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"policy" : ("policy", Native.Interface.VirtualPortGroup.Cts.Manual.Policy), "sap" : ("sap", Native.Interface.VirtualPortGroup.Cts.Manual.Sap), "propagate" : ("propagate", Native.Interface.VirtualPortGroup.Cts.Manual.Propagate)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.policy = Native.Interface.VirtualPortGroup.Cts.Manual.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")

                        self.sap = Native.Interface.VirtualPortGroup.Cts.Manual.Sap()
                        self.sap.parent = self
                        self._children_name_map["sap"] = "sap"
                        self._children_yang_names.add("sap")

                        self.propagate = Native.Interface.VirtualPortGroup.Cts.Manual.Propagate()
                        self.propagate.parent = self
                        self._children_name_map["propagate"] = "propagate"
                        self._children_yang_names.add("propagate")
                        self._segment_path = lambda: "manual"


                    class Policy(Entity):
                        """
                        CTS policy for manual mode
                        
                        .. attribute:: static
                        
                        	Configure policy to be applied on the link
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cts.Manual.Policy.Static>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Cts.Manual.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"static" : ("static", Native.Interface.VirtualPortGroup.Cts.Manual.Policy.Static)}
                            self._child_list_classes = {}

                            self.static = Native.Interface.VirtualPortGroup.Cts.Manual.Policy.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")
                            self._segment_path = lambda: "policy"


                        class Static(Entity):
                            """
                            Configure policy to be applied on the link
                            
                            .. attribute:: sgt
                            
                            	Source Security Group Tag to apply to untagged or non\-trusted  incoming traffic
                            	**type**\: int
                            
                            	**range:** 2..65519
                            
                            .. attribute:: trusted
                            
                            	Trust the Source Group Tags (SGT) that the peer uses for  sending
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Cts.Manual.Policy.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sgt = YLeaf(YType.uint16, "sgt")

                                self.trusted = YLeaf(YType.empty, "trusted")
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Cts.Manual.Policy.Static, ['sgt', 'trusted'], name, value)


                    class Sap(Entity):
                        """
                        CTS SAP configuration for manual mode
                        
                        .. attribute:: pmk
                        
                        	Pre\-Master Key (PMK) to use for CTS SAP
                        	**type**\: list of  		 :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Cts.Manual.Sap, self).__init__()

                            self.yang_name = "sap"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"pmk" : ("pmk", Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk)}

                            self.pmk = YList(self)
                            self._segment_path = lambda: "sap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Cts.Manual.Sap, [], name, value)


                        class Pmk(Entity):
                            """
                            Pre\-Master Key (PMK) to use for CTS SAP
                            
                            .. attribute:: word  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: mode_list
                            
                            	List of advertised modes (prioritized from highest to lowest)
                            	**type**\:  :py:class:`ModeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk, self).__init__()

                                self.yang_name = "pmk"
                                self.yang_parent_name = "sap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode-list" : ("mode_list", Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList)}
                                self._child_list_classes = {}

                                self.word = YLeaf(YType.str, "word")

                                self.mode_list = Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList()
                                self.mode_list.parent = self
                                self._children_name_map["mode_list"] = "mode-list"
                                self._children_yang_names.add("mode-list")
                                self._segment_path = lambda: "pmk" + "[word='" + self.word.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk, ['word'], name, value)


                            class ModeList(Entity):
                                """
                                List of advertised modes (prioritized from highest to lowest)
                                
                                .. attribute:: gcm_encrypt
                                
                                	GCM authentication, GCM encryption
                                	**type**\:  :py:class:`GcmEncrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_encap
                                
                                	No encapsulation
                                	**type**\:  :py:class:`NoEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-06-29'

                                def __init__(self):
                                    super(Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList, self).__init__()

                                    self.yang_name = "mode-list"
                                    self.yang_parent_name = "pmk"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"gcm-encrypt" : ("gcm_encrypt", Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt), "no-encap" : ("no_encap", Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap)}
                                    self._child_list_classes = {}

                                    self.gcm_encrypt = None
                                    self._children_name_map["gcm_encrypt"] = "gcm-encrypt"
                                    self._children_yang_names.add("gcm-encrypt")

                                    self.no_encap = None
                                    self._children_name_map["no_encap"] = "no-encap"
                                    self._children_yang_names.add("no-encap")
                                    self._segment_path = lambda: "mode-list"


                                class GcmEncrypt(Entity):
                                    """
                                    GCM authentication, GCM encryption
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt, self).__init__()

                                        self.yang_name = "gcm-encrypt"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "gcm-encrypt"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: null
                                        
                                        	Encapsulation present, no authentication,  no encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "gcm-encrypt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.null = YLeaf(YType.empty, "null")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.GcmEncrypt.Gmac, ['null'], name, value)


                                class NoEncap(Entity):
                                    """
                                    No encapsulation
                                    
                                    .. attribute:: gmac
                                    
                                    	GCM authentication, no encryption
                                    	**type**\:  :py:class:`Gmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap, self).__init__()

                                        self.yang_name = "no-encap"
                                        self.yang_parent_name = "mode-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"gmac" : ("gmac", Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.gmac = None
                                        self._children_name_map["gmac"] = "gmac"
                                        self._children_yang_names.add("gmac")
                                        self._segment_path = lambda: "no-encap"


                                    class Gmac(Entity):
                                        """
                                        GCM authentication, no encryption
                                        
                                        .. attribute:: gcm_encrypt
                                        
                                        	GCM authentication, GCM encryption
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, self).__init__()

                                            self.yang_name = "gmac"
                                            self.yang_parent_name = "no-encap"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.gcm_encrypt = YLeaf(YType.empty, "gcm-encrypt")
                                            self._segment_path = lambda: "gmac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.VirtualPortGroup.Cts.Manual.Sap.Pmk.ModeList.NoEncap.Gmac, ['gcm_encrypt'], name, value)


                    class Propagate(Entity):
                        """
                        CTS SGT Propagation configuration for manual mode
                        
                        .. attribute:: sgt
                        
                        	CTS SGT Propagation configuration
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.Cts.Manual.Propagate, self).__init__()

                            self.yang_name = "propagate"
                            self.yang_parent_name = "manual"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sgt = YLeaf(YType.boolean, "sgt")
                            self._segment_path = lambda: "propagate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.Cts.Manual.Propagate, ['sgt'], name, value)


            class ServicePolicy(Entity):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\: str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\: str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.Interface.VirtualPortGroup.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.history = YLeaf(YType.empty, "history")

                    self.input = YLeaf(YType.str, "input")

                    self.output = YLeaf(YType.str, "output")

                    self.type = Native.Interface.VirtualPortGroup.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.ServicePolicy, ['history', 'input', 'output'], name, value)


                class Type(Entity):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Interface.VirtualPortGroup.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"control" : ("control", Native.Interface.VirtualPortGroup.ServicePolicy.Type.Control), "performance-monitor" : ("performance_monitor", Native.Interface.VirtualPortGroup.ServicePolicy.Type.PerformanceMonitor), "service-chain" : ("service_chain", Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain)}
                        self._child_list_classes = {}

                        self.control = Native.Interface.VirtualPortGroup.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self._children_name_map["control"] = "control"
                        self._children_yang_names.add("control")

                        self.performance_monitor = Native.Interface.VirtualPortGroup.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.service_chain = Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self
                        self._children_name_map["service_chain"] = "service-chain"
                        self._children_yang_names.add("service-chain")
                        self._segment_path = lambda: "type"


                    class Control(Entity):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.ServicePolicy.Type.Control, self).__init__()

                            self.yang_name = "control"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.subscriber = YLeaf(YType.str, "subscriber")
                            self._segment_path = lambda: "control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.ServicePolicy.Type.Control, ['subscriber'], name, value)


                    class PerformanceMonitor(Entity):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.ServicePolicy.Type.PerformanceMonitor.Direction>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.ServicePolicy.Type.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "performance-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.VirtualPortGroup.ServicePolicy.Type.PerformanceMonitor, ['direction', 'name'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



                    class ServiceChain(Entity):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain, self).__init__()

                            self.yang_name = "service-chain"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain.Input), "output" : ("output", Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain.Output)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "service-chain"


                        class Input(Entity):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.VirtualPortGroup.ServicePolicy.Type.ServiceChain.Output, ['name'], name, value)


            class Mab(Entity):
                """
                
                
                .. attribute:: eap
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Interface.VirtualPortGroup.Mab, self).__init__()

                    self.yang_name = "mab"
                    self.yang_parent_name = "VirtualPortGroup"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.eap = YLeaf(YType.empty, "eap")
                    self._segment_path = lambda: "Cisco-IOS-XE-sanet:mab"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.VirtualPortGroup.Mab, ['eap'], name, value)


        class Vasileft(Entity):
            """
            vasileft
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..2000
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.PmPath>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.Vasileft, self).__init__()

                self.yang_name = "vasileft"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.Vasileft.SwitchportConf), "switchport" : ("switchport", Native.Interface.Vasileft.Switchport), "arp" : ("arp", Native.Interface.Vasileft.Arp), "backup" : ("backup", Native.Interface.Vasileft.Backup), "cemoudp" : ("cemoudp", Native.Interface.Vasileft.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.Vasileft.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.Vasileft.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.Vasileft.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.Vasileft.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.Vasileft.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.Vasileft.Flowcontrol), "isis" : ("isis", Native.Interface.Vasileft.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.Vasileft.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.Vasileft.Bfd), "bandwidth" : ("bandwidth", Native.Interface.Vasileft.Bandwidth), "dampening" : ("dampening", Native.Interface.Vasileft.Dampening), "domain" : ("domain", Native.Interface.Vasileft.Domain), "mpls" : ("mpls", Native.Interface.Vasileft.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.Vasileft.IpVrf), "vrf" : ("vrf", Native.Interface.Vasileft.Vrf), "ip" : ("ip", Native.Interface.Vasileft.Ip), "ipv6" : ("ipv6", Native.Interface.Vasileft.Ipv6), "logging" : ("logging", Native.Interface.Vasileft.Logging), "mdix" : ("mdix", Native.Interface.Vasileft.Mdix), "mop" : ("mop", Native.Interface.Vasileft.Mop), "interface_qos" : ("interface_qos", Native.Interface.Vasileft.InterfaceQos), "standby" : ("standby", Native.Interface.Vasileft.Standby), "access-session" : ("access_session", Native.Interface.Vasileft.AccessSession), "storm-control" : ("storm_control", Native.Interface.Vasileft.StormControl), "trust" : ("trust", Native.Interface.Vasileft.Trust), "priority-queue" : ("priority_queue", Native.Interface.Vasileft.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.Vasileft.RcvQueue), "peer" : ("peer", Native.Interface.Vasileft.Peer), "pm-path" : ("pm_path", Native.Interface.Vasileft.PmPath), "Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.Interface.Vasileft.ServicePolicy)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.Vasileft.HoldQueue)}

                self.name = YLeaf(YType.uint16, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.switchport_conf = Native.Interface.Vasileft.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.Vasileft.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.Vasileft.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.Vasileft.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.Vasileft.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.Vasileft.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.Vasileft.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.Vasileft.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.Vasileft.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.Vasileft.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.Vasileft.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.Vasileft.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.Vasileft.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.Vasileft.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.Vasileft.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.Vasileft.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.Vasileft.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.Vasileft.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.Vasileft.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.Vasileft.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.Vasileft.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.Vasileft.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.Vasileft.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.Vasileft.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.Vasileft.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.Vasileft.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.Vasileft.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.Vasileft.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.Vasileft.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.Vasileft.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.Vasileft.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.Vasileft.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.Vasileft.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.service_policy = Native.Interface.Vasileft.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "vasileft" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.Vasileft, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Vasileft.Backup.Delay), "interface" : ("interface", Native.Interface.Vasileft.Backup.Interface), "load" : ("load", Native.Interface.Vasileft.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.Vasileft.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.Vasileft.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.Vasileft.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Vasileft.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Vasileft.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Vasileft.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Vasileft.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.Vasileft.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.Vasileft.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.Vasileft.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.Vasileft.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.Vasileft.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.Vasileft.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.Vasileft.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.Vasileft.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.Vasileft.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.Vasileft.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.Vasileft.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.Vasileft.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.Vasileft.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.Vasileft.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.Vasileft.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.Vasileft.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.Vasileft.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.Vasileft.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.Vasileft.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.Vasileft.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.Vasileft.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.Vasileft.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.Vasileft.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.Vasileft.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.Vasileft.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.Vasileft.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.Vasileft.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.Vasileft.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.Vasileft.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:  :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.Vasileft.Ip.AccessGroup), "arp" : ("arp", Native.Interface.Vasileft.Ip.Arp), "vrf" : ("vrf", Native.Interface.Vasileft.Ip.Vrf), "no-address" : ("no_address", Native.Interface.Vasileft.Ip.NoAddress), "address" : ("address", Native.Interface.Vasileft.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.Vasileft.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.Vasileft.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.Vasileft.Ip.HoldTime), "pim" : ("pim", Native.Interface.Vasileft.Ip.Pim), "policy" : ("policy", Native.Interface.Vasileft.Ip.Policy), "rip" : ("rip", Native.Interface.Vasileft.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.Vasileft.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.Vasileft.Ip.RouteCache), "router" : ("router", Native.Interface.Vasileft.Ip.Router), "tcp" : ("tcp", Native.Interface.Vasileft.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.Vasileft.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.Vasileft.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.Vasileft.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.Vasileft.Ip.Verify), "Cisco-IOS-XE-wccp:wccp" : ("wccp", Native.Interface.Vasileft.Ip.Wccp)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.Vasileft.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.Vasileft.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.Vasileft.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.Vasileft.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.Vasileft.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.Vasileft.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.Vasileft.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.Vasileft.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.Vasileft.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.Vasileft.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.Vasileft.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.Vasileft.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.Vasileft.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.Vasileft.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.Vasileft.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.Vasileft.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.Vasileft.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.Vasileft.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.Vasileft.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.wccp = Native.Interface.Vasileft.Ip.Wccp()
                    self.wccp.parent = self
                    self._children_name_map["wccp"] = "wccp"
                    self._children_yang_names.add("wccp")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.Vasileft.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.Vasileft.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.Vasileft.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.Vasileft.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Vasileft.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.Vasileft.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Vasileft.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Vasileft.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Vasileft.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.Vasileft.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Vasileft.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Vasileft.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.Vasileft.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.Vasileft.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Vasileft.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Vasileft.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.Vasileft.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.Vasileft.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.Vasileft.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.Vasileft.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.Vasileft.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.Vasileft.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.Vasileft.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.Vasileft.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.Vasileft.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.Vasileft.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.Vasileft.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.Vasileft.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Vasileft.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.Vasileft.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.Vasileft.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.Vasileft.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.Vasileft.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.Vasileft.Ip.Dhcp.Client), "Cisco-IOS-XE-dhcp:relay" : ("relay", Native.Interface.Vasileft.Ip.Dhcp.Relay), "Cisco-IOS-XE-dhcp:snooping" : ("snooping", Native.Interface.Vasileft.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.client = Native.Interface.Vasileft.Ip.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.relay = Native.Interface.Vasileft.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self._children_name_map["relay"] = "relay"
                        self._children_yang_names.add("relay")

                        self.snooping = Native.Interface.Vasileft.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"


                    class Client(Entity):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hostname = YLeaf(YType.str, "hostname")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Dhcp.Client, ['hostname'], name, value)


                    class Relay(Entity):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Dhcp.Relay, self).__init__()

                            self.yang_name = "relay"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"information" : ("information", Native.Interface.Vasileft.Ip.Dhcp.Relay.Information)}
                            self._child_list_classes = {}

                            self.source_interface = YLeaf(YType.str, "source-interface")

                            self.information = Native.Interface.Vasileft.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self._children_name_map["information"] = "information"
                            self._children_yang_names.add("information")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:relay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Dhcp.Relay, ['source_interface'], name, value)


                        class Information(Entity):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:  :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:  :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:  :py:class:`PolicyAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.PolicyAction>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Dhcp.Relay.Information, self).__init__()

                                self.yang_name = "information"
                                self.yang_parent_name = "relay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"check-reply" : ("check_reply", Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.CheckReply), "option" : ("option", Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.Option), "option-insert" : ("option_insert", Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.OptionInsert)}
                                self._child_list_classes = {}

                                self.policy_action = YLeaf(YType.enumeration, "policy-action")

                                self.trusted = YLeaf(YType.empty, "trusted")

                                self.check_reply = None
                                self._children_name_map["check_reply"] = "check-reply"
                                self._children_yang_names.add("check-reply")

                                self.option = Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self._children_name_map["option"] = "option"
                                self._children_yang_names.add("option")

                                self.option_insert = None
                                self._children_name_map["option_insert"] = "option-insert"
                                self._children_yang_names.add("option-insert")
                                self._segment_path = lambda: "information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.Dhcp.Relay.Information, ['policy_action', 'trusted'], name, value)

                            class PolicyAction(Enum):
                                """
                                PolicyAction

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = Enum.YLeaf(0, "drop")

                                encapsulate = Enum.YLeaf(1, "encapsulate")

                                keep = Enum.YLeaf(2, "keep")

                                replace = Enum.YLeaf(3, "replace")



                            class CheckReply(Entity):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.CheckReply, self).__init__()

                                    self.yang_name = "check-reply"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "check-reply"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.CheckReply, ['none'], name, value)


                            class Option(Entity):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                    self.yang_name = "option"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                    self._segment_path = lambda: "option"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                            class OptionInsert(Entity):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.OptionInsert, self).__init__()

                                    self.yang_name = "option-insert"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "option-insert"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasileft.Ip.Dhcp.Relay.Information.OptionInsert, ['none'], name, value)


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Vasileft.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {"vlan" : ("vlan", Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan)}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Vasileft.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")

                            self.vlan = YList(self)
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:snooping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Dhcp.Snooping, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


                        class Vlan(Entity):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"information" : ("information", Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.information = Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self
                                self._children_name_map["information"] = "information"
                                self._children_yang_names.add("information")
                                self._segment_path = lambda: "vlan" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan, ['id'], name, value)


                            class Information(Entity):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information, self).__init__()

                                    self.yang_name = "information"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"option" : ("option", Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option)}
                                    self._child_list_classes = {}

                                    self.option = Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self
                                    self._children_name_map["option"] = "option"
                                    self._children_yang_names.add("option")
                                    self._segment_path = lambda: "information"


                                class Option(Entity):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:  :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option, self).__init__()

                                        self.yang_name = "option"
                                        self.yang_parent_name = "information"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"format-type" : ("format_type", Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType)}
                                        self._child_list_classes = {}

                                        self.format_type = Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self
                                        self._children_name_map["format_type"] = "format-type"
                                        self._children_yang_names.add("format-type")
                                        self._segment_path = lambda: "option"


                                    class FormatType(Entity):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:  :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType, self).__init__()

                                            self.yang_name = "format-type"
                                            self.yang_parent_name = "option"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"circuit-id" : ("circuit_id", Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId)}
                                            self._child_list_classes = {}

                                            self.circuit_id = Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self
                                            self._children_name_map["circuit_id"] = "circuit-id"
                                            self._children_yang_names.add("circuit-id")
                                            self._segment_path = lambda: "format-type"


                                        class CircuitId(Entity):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\: str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, self).__init__()

                                                self.yang_name = "circuit-id"
                                                self.yang_parent_name = "format-type"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.string = YLeaf(YType.str, "string")
                                                self._segment_path = lambda: "circuit-id"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Vasileft.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, ['string'], name, value)


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.Vasileft.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.Vasileft.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.Vasileft.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.Vasileft.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.Vasileft.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.Vasileft.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.Vasileft.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vasileft.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasileft.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.Vasileft.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.Vasileft.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.Vasileft.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



                class Wccp(Entity):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.WebCache>`
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ip.Wccp, self).__init__()

                        self.yang_name = "wccp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.Vasileft.Ip.Wccp.WebCache), "redirect" : ("redirect", Native.Interface.Vasileft.Ip.Wccp.Redirect)}
                        self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.Vasileft.Ip.Wccp.WccpList), "vrf" : ("vrf", Native.Interface.Vasileft.Ip.Wccp.Vrf)}

                        self.web_cache = Native.Interface.Vasileft.Ip.Wccp.WebCache()
                        self.web_cache.parent = self
                        self._children_name_map["web_cache"] = "web-cache"
                        self._children_yang_names.add("web-cache")

                        self.redirect = Native.Interface.Vasileft.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.wccp_list = YList(self)
                        self.vrf = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-wccp:wccp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ip.Wccp, [], name, value)


                    class WccpList(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Wccp.WccpList, self).__init__()

                            self.yang_name = "wccp-list"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Vasileft.Ip.Wccp.WccpList.Redirect)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.Vasileft.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Wccp.WccpList, ['id', 'group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Wccp.WccpList.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "wccp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.Wccp.WccpList.Redirect, ['in_', 'out'], name, value)


                    class WebCache(Entity):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Wccp.WebCache, self).__init__()

                            self.yang_name = "web-cache"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Vasileft.Ip.Wccp.WebCache.Redirect)}
                            self._child_list_classes = {}

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.Vasileft.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "web-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Wccp.WebCache, ['group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Wccp.WebCache.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "web-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.Wccp.WebCache.Redirect, ['in_', 'out'], name, value)


                    class Redirect(Entity):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:  :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Wccp.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"exclude" : ("exclude", Native.Interface.Vasileft.Ip.Wccp.Redirect.Exclude)}
                            self._child_list_classes = {}

                            self.exclude = Native.Interface.Vasileft.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self
                            self._children_name_map["exclude"] = "exclude"
                            self._children_yang_names.add("exclude")
                            self._segment_path = lambda: "redirect"


                        class Exclude(Entity):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Wccp.Redirect.Exclude, self).__init__()

                                self.yang_name = "exclude"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "exclude"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.Wccp.Redirect.Exclude, ['in_'], name, value)


                    class Vrf(Entity):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ip.Wccp.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache)}
                            self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList)}

                            self.name = YLeaf(YType.str, "name")

                            self.web_cache = Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self
                            self._children_name_map["web_cache"] = "web-cache"
                            self._children_yang_names.add("web-cache")

                            self.wccp_list = YList(self)
                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ip.Wccp.Vrf, ['name'], name, value)


                        class WccpList(Entity):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList, self).__init__()

                                self.yang_name = "wccp-list"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList.Redirect)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint8, "id")

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList, ['id', 'group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "wccp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasileft.Ip.Wccp.Vrf.WccpList.Redirect, ['in_', 'out'], name, value)


                        class WebCache(Entity):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache, self).__init__()

                                self.yang_name = "web-cache"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache.Redirect)}
                                self._child_list_classes = {}

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "web-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache, ['group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "web-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasileft.Ip.Wccp.Vrf.WebCache.Redirect, ['in_', 'out'], name, value)


            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.Vasileft.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.Vasileft.Ipv6.Dhcp), "address" : ("address", Native.Interface.Vasileft.Ipv6.Address), "nd" : ("nd", Native.Interface.Vasileft.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.Vasileft.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.Vasileft.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.Vasileft.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.Vasileft.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.Vasileft.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.Vasileft.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: client
                    
                    	Act as an IPv6 DHCP client
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Dhcp.Client>`
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of  		 :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Dhcp.Server>`
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.Vasileft.Ipv6.Dhcp.Client), "Cisco-IOS-XE-dhcp:guard" : ("guard", Native.Interface.Vasileft.Ipv6.Dhcp.Guard)}
                        self._child_list_classes = {"Cisco-IOS-XE-dhcp:server" : ("server", Native.Interface.Vasileft.Ipv6.Dhcp.Server)}

                        self.client = Native.Interface.Vasileft.Ipv6.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.guard = None
                        self._children_name_map["guard"] = "guard"
                        self._children_yang_names.add("guard")

                        self.server = YList(self)
                        self._segment_path = lambda: "dhcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ipv6.Dhcp, [], name, value)


                    class Client(Entity):
                        """
                        Act as an IPv6 DHCP client
                        
                        .. attribute:: request
                        
                        	Request
                        	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Dhcp.Client.Request>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ipv6.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"request" : ("request", Native.Interface.Vasileft.Ipv6.Dhcp.Client.Request)}
                            self._child_list_classes = {}

                            self.request = Native.Interface.Vasileft.Ipv6.Dhcp.Client.Request()
                            self.request.parent = self
                            self._children_name_map["request"] = "request"
                            self._children_yang_names.add("request")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"


                        class Request(Entity):
                            """
                            Request
                            
                            .. attribute:: vendor
                            
                            	Request Vendor specific options
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ipv6.Dhcp.Client.Request, self).__init__()

                                self.yang_name = "request"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vendor = YLeaf(YType.empty, "vendor")
                                self._segment_path = lambda: "request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ipv6.Dhcp.Client.Request, ['vendor'], name, value)


                    class Server(Entity):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ipv6.Dhcp.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.preference = YLeaf(YType.uint8, "preference")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:server" + "[word='" + self.word.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ipv6.Dhcp.Server, ['word', 'preference'], name, value)


                    class Guard(Entity):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ipv6.Dhcp.Guard, self).__init__()

                            self.yang_name = "guard"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:guard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ipv6.Dhcp.Guard, ['attach_policy'], name, value)


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.Vasileft.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.Vasileft.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.Vasileft.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.Vasileft.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:  :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Nd.Raguard>`
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:  :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Nd.Ra>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-nd:raguard" : ("raguard", Native.Interface.Vasileft.Ipv6.Nd.Raguard), "Cisco-IOS-XE-nd:autoconfig" : ("autoconfig", Native.Interface.Vasileft.Ipv6.Nd.Autoconfig), "Cisco-IOS-XE-nd:ra" : ("ra", Native.Interface.Vasileft.Ipv6.Nd.Ra)}
                        self._child_list_classes = {}

                        self.managed_config_flag = YLeaf(YType.empty, "Cisco-IOS-XE-nd:managed-config-flag")

                        self.raguard = Native.Interface.Vasileft.Ipv6.Nd.Raguard()
                        self.raguard.parent = self
                        self._children_name_map["raguard"] = "raguard"
                        self._children_yang_names.add("raguard")

                        self.autoconfig = Native.Interface.Vasileft.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.ra = Native.Interface.Vasileft.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self._children_name_map["ra"] = "ra"
                        self._children_yang_names.add("ra")
                        self._segment_path = lambda: "nd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ipv6.Nd, ['managed_config_flag'], name, value)


                    class Raguard(Entity):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ipv6.Nd.Raguard, self).__init__()

                            self.yang_name = "raguard"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:raguard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ipv6.Nd.Raguard, ['attach_policy'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ipv6.Nd.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.default_route = YLeaf(YType.empty, "default-route")

                            self.prefix = YLeaf(YType.empty, "prefix")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Ipv6.Nd.Autoconfig, ['default_route', 'prefix'], name, value)


                    class Ra(Entity):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Ipv6.Nd.Ra, self).__init__()

                            self.yang_name = "ra"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"suppress" : ("suppress", Native.Interface.Vasileft.Ipv6.Nd.Ra.Suppress)}
                            self._child_list_classes = {}

                            self.suppress = None
                            self._children_name_map["suppress"] = "suppress"
                            self._children_yang_names.add("suppress")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:ra"


                        class Suppress(Entity):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-04-07'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Ipv6.Nd.Ra.Suppress, self).__init__()

                                self.yang_name = "suppress"
                                self.yang_parent_name = "ra"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.all = YLeaf(YType.empty, "all")
                                self._segment_path = lambda: "suppress"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Ipv6.Nd.Ra.Suppress, ['all'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.Vasileft.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.Vasileft.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.Vasileft.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.Vasileft.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.Vasileft.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.Vasileft.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Vasileft.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.Vasileft.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.Vasileft.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.Vasileft.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.Vasileft.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.Vasileft.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Vasileft.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.Vasileft.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.Vasileft.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.Vasileft.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.Vasileft.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.Vasileft.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.Vasileft.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.Vasileft.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.Vasileft.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasileft.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.Vasileft.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.Vasileft.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.Vasileft.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.Vasileft.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Vasileft.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.Vasileft.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.Vasileft.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.Vasileft.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.Vasileft.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.Vasileft.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.Vasileft.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.Vasileft.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.Vasileft.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.Vasileft.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.Vasileft.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.Vasileft.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.Vasileft.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.Vasileft.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.Vasileft.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.Vasileft.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.Vasileft.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.Vasileft.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.Vasileft.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Vasileft.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.Vasileft.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Vasileft.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Vasileft.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Vasileft.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Vasileft.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Vasileft.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.Vasileft.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Vasileft.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Vasileft.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Vasileft.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Vasileft.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Vasileft.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.Vasileft.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.Vasileft.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.Vasileft.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.Vasileft.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Vasileft.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.Vasileft.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.Vasileft.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.Vasileft.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasileft.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.Vasileft.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.Vasileft.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasileft.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.Vasileft.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.Vasileft.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasileft.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.Vasileft.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.Vasileft.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasileft.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.Vasileft.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.Vasileft.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vasileft.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasileft.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vasileft.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasileft.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasileft.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.PmPath, ['name', 'interface_id'], name, value)


            class ServicePolicy(Entity):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\: str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\: str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Interface.Vasileft.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "vasileft"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.Interface.Vasileft.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.history = YLeaf(YType.empty, "history")

                    self.input = YLeaf(YType.str, "input")

                    self.output = YLeaf(YType.str, "output")

                    self.type = Native.Interface.Vasileft.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasileft.ServicePolicy, ['history', 'input', 'output'], name, value)


                class Type(Entity):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Interface.Vasileft.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"control" : ("control", Native.Interface.Vasileft.ServicePolicy.Type.Control), "performance-monitor" : ("performance_monitor", Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor), "service-chain" : ("service_chain", Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain)}
                        self._child_list_classes = {}

                        self.control = Native.Interface.Vasileft.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self._children_name_map["control"] = "control"
                        self._children_yang_names.add("control")

                        self.performance_monitor = Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.service_chain = Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self
                        self._children_name_map["service_chain"] = "service-chain"
                        self._children_yang_names.add("service-chain")
                        self._segment_path = lambda: "type"


                    class Control(Entity):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Vasileft.ServicePolicy.Type.Control, self).__init__()

                            self.yang_name = "control"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.subscriber = YLeaf(YType.str, "subscriber")
                            self._segment_path = lambda: "control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.ServicePolicy.Type.Control, ['subscriber'], name, value)


                    class PerformanceMonitor(Entity):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor.Direction>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "performance-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasileft.ServicePolicy.Type.PerformanceMonitor, ['direction', 'name'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



                    class ServiceChain(Entity):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain, self).__init__()

                            self.yang_name = "service-chain"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Input), "output" : ("output", Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Output)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "service-chain"


                        class Input(Entity):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasileft.ServicePolicy.Type.ServiceChain.Output, ['name'], name, value)


        class Vasiright(Entity):
            """
            vasiright
            
            .. attribute:: name  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..2000
            
            .. attribute:: description
            
            	Interface specific description
            	**type**\: str
            
            	**length:** 0..240
            
            .. attribute:: switchport_conf
            
            	
            	**type**\:  :py:class:`SwitchportConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.SwitchportConf>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Switchport>`
            
            .. attribute:: mac_address
            
            	Manually set interface MAC address
            	**type**\: str
            
            .. attribute:: shutdown
            
            	Shutdown the selected interface
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: arp
            
            	Set arp type (arpa, probe, snap), timeout, log options or  packet priority
            	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Arp>`
            
            .. attribute:: backup
            
            	Modify backup parameters
            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup>`
            
            .. attribute:: cemoudp
            
            	cemoudp
            	**type**\:  :py:class:`Cemoudp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Cemoudp>`
            
            .. attribute:: cws_tunnel
            
            	Configure Cloud Web Security Tunnel
            	**type**\:  :py:class:`CwsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.CwsTunnel>`
            
            .. attribute:: l2protocol_tunnel
            
            	Tunnel Layer2 protocols
            	**type**\:  :py:class:`L2ProtocolTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.L2ProtocolTunnel>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Set encapsulation type for an interface
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Encapsulation>`
            
            .. attribute:: fair_queue_conf
            
            	
            	**type**\:  :py:class:`FairQueueConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.FairQueueConf>`
            
            .. attribute:: fair_queue
            
            	Enable Fair Queuing on an Interface
            	**type**\:  :py:class:`FairQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.FairQueue>`
            
            .. attribute:: flowcontrol
            
            	Configure flow operation
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Flowcontrol>`
            
            .. attribute:: isis
            
            	IS\-IS commands
            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Isis>`
            
            .. attribute:: keepalive
            
            	Enable keepalive
            	**type**\: bool
            
            .. attribute:: keepalive_settings
            
            	
            	**type**\:  :py:class:`KeepaliveSettings <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.KeepaliveSettings>`
            
            .. attribute:: bfd
            
            	BFD interface configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Bfd>`
            
            .. attribute:: bandwidth
            
            	Set bandwidth informational parameter
            	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Bandwidth>`
            
            .. attribute:: dampening
            
            	Enable event dampening
            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Dampening>`
            
            .. attribute:: if_state
            
            	
            	**type**\:  :py:class:`IfState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.IfState>`
            
            .. attribute:: delay
            
            	Specify interface throughput delay
            	**type**\: int
            
            	**range:** 1..16777215
            
            .. attribute:: domain
            
            	Specify a domain
            	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Domain>`
            
            .. attribute:: hold_queue
            
            	Set hold queue depth
            	**type**\: list of  		 :py:class:`HoldQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.HoldQueue>`
            
            .. attribute:: mpls
            
            	
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Mpls>`
            
            .. attribute:: ip_vrf
            
            	
            	**type**\:  :py:class:`IpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.IpVrf>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding parameters on the interface
            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Vrf>`
            
            .. attribute:: ip
            
            	Interface Internet Protocol config commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 interface subcommands
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6>`
            
            .. attribute:: load_interval
            
            	Specify interval for load calculation for an interface
            	**type**\: int
            
            	**range:** 0..600
            
            .. attribute:: logging
            
            	Configure logging for interface
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Logging>`
            
            .. attribute:: mdix
            
            	Set Media Dependent Interface with Crossover
            	**type**\:  :py:class:`Mdix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Mdix>`
            
            .. attribute:: mop
            
            	
            	**type**\:  :py:class:`Mop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Mop>`
            
            .. attribute:: max_reserved_bandwidth
            
            	Maximum Reservable Bandwidth on an Interface
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: mtu
            
            	Set the interface Maximum Transmission Unit (MTU)
            	**type**\: int
            
            	**range:** 64..18000
            
            .. attribute:: interface_qos
            
            	
            	**type**\:  :py:class:`InterfaceQos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.InterfaceQos>`
            
            .. attribute:: service_insertion
            
            	Service\-insertion AppNav Controller
            	**type**\:  :py:class:`ServiceInsertion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServiceInsertion>`
            
            .. attribute:: standby
            
            	HSRP interface configuration commands
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby>`
            
            .. attribute:: access_session
            
            	Access Session specific Interface Configuration Commands
            	**type**\:  :py:class:`AccessSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.AccessSession>`
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl>`
            
            .. attribute:: trust
            
            	Set trust value for the interface
            	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Trust>`
            
            .. attribute:: priority_queue
            
            	Configure priority scheduling
            	**type**\:  :py:class:`PriorityQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.PriorityQueue>`
            
            .. attribute:: rcv_queue
            
            	Configure receive queue(s)
            	**type**\:  :py:class:`RcvQueue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.RcvQueue>`
            
            .. attribute:: peer
            
            	Peer parameters for point to point interfaces
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Peer>`
            
            .. attribute:: pm_path
            
            	Global pm\-path configuration
            	**type**\:  :py:class:`PmPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.PmPath>`
            
            .. attribute:: service_policy
            
            	Configure QoS Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Interface.Vasiright, self).__init__()

                self.yang_name = "vasiright"
                self.yang_parent_name = "interface"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"switchport-conf" : ("switchport_conf", Native.Interface.Vasiright.SwitchportConf), "switchport" : ("switchport", Native.Interface.Vasiright.Switchport), "arp" : ("arp", Native.Interface.Vasiright.Arp), "backup" : ("backup", Native.Interface.Vasiright.Backup), "cemoudp" : ("cemoudp", Native.Interface.Vasiright.Cemoudp), "cws-tunnel" : ("cws_tunnel", Native.Interface.Vasiright.CwsTunnel), "l2protocol-tunnel" : ("l2protocol_tunnel", Native.Interface.Vasiright.L2ProtocolTunnel), "encapsulation" : ("encapsulation", Native.Interface.Vasiright.Encapsulation), "fair-queue-conf" : ("fair_queue_conf", Native.Interface.Vasiright.FairQueueConf), "fair-queue" : ("fair_queue", Native.Interface.Vasiright.FairQueue), "flowcontrol" : ("flowcontrol", Native.Interface.Vasiright.Flowcontrol), "isis" : ("isis", Native.Interface.Vasiright.Isis), "keepalive-settings" : ("keepalive_settings", Native.Interface.Vasiright.KeepaliveSettings), "bfd" : ("bfd", Native.Interface.Vasiright.Bfd), "bandwidth" : ("bandwidth", Native.Interface.Vasiright.Bandwidth), "dampening" : ("dampening", Native.Interface.Vasiright.Dampening), "domain" : ("domain", Native.Interface.Vasiright.Domain), "mpls" : ("mpls", Native.Interface.Vasiright.Mpls), "ip-vrf" : ("ip_vrf", Native.Interface.Vasiright.IpVrf), "vrf" : ("vrf", Native.Interface.Vasiright.Vrf), "ip" : ("ip", Native.Interface.Vasiright.Ip), "ipv6" : ("ipv6", Native.Interface.Vasiright.Ipv6), "logging" : ("logging", Native.Interface.Vasiright.Logging), "mdix" : ("mdix", Native.Interface.Vasiright.Mdix), "mop" : ("mop", Native.Interface.Vasiright.Mop), "interface_qos" : ("interface_qos", Native.Interface.Vasiright.InterfaceQos), "standby" : ("standby", Native.Interface.Vasiright.Standby), "access-session" : ("access_session", Native.Interface.Vasiright.AccessSession), "storm-control" : ("storm_control", Native.Interface.Vasiright.StormControl), "trust" : ("trust", Native.Interface.Vasiright.Trust), "priority-queue" : ("priority_queue", Native.Interface.Vasiright.PriorityQueue), "rcv-queue" : ("rcv_queue", Native.Interface.Vasiright.RcvQueue), "peer" : ("peer", Native.Interface.Vasiright.Peer), "pm-path" : ("pm_path", Native.Interface.Vasiright.PmPath), "Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.Interface.Vasiright.ServicePolicy)}
                self._child_list_classes = {"hold-queue" : ("hold_queue", Native.Interface.Vasiright.HoldQueue)}

                self.name = YLeaf(YType.uint16, "name")

                self.description = YLeaf(YType.str, "description")

                self.mac_address = YLeaf(YType.str, "mac-address")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.keepalive = YLeaf(YType.boolean, "keepalive")

                self.if_state = YLeaf(YType.enumeration, "if-state")

                self.delay = YLeaf(YType.uint32, "delay")

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.max_reserved_bandwidth = YLeaf(YType.uint8, "max-reserved-bandwidth")

                self.mtu = YLeaf(YType.uint16, "mtu")

                self.service_insertion = YLeaf(YType.enumeration, "service-insertion")

                self.switchport_conf = Native.Interface.Vasiright.SwitchportConf()
                self.switchport_conf.parent = self
                self._children_name_map["switchport_conf"] = "switchport-conf"
                self._children_yang_names.add("switchport-conf")

                self.switchport = Native.Interface.Vasiright.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.arp = Native.Interface.Vasiright.Arp()
                self.arp.parent = self
                self._children_name_map["arp"] = "arp"
                self._children_yang_names.add("arp")

                self.backup = Native.Interface.Vasiright.Backup()
                self.backup.parent = self
                self._children_name_map["backup"] = "backup"
                self._children_yang_names.add("backup")

                self.cemoudp = Native.Interface.Vasiright.Cemoudp()
                self.cemoudp.parent = self
                self._children_name_map["cemoudp"] = "cemoudp"
                self._children_yang_names.add("cemoudp")

                self.cws_tunnel = Native.Interface.Vasiright.CwsTunnel()
                self.cws_tunnel.parent = self
                self._children_name_map["cws_tunnel"] = "cws-tunnel"
                self._children_yang_names.add("cws-tunnel")

                self.l2protocol_tunnel = None
                self._children_name_map["l2protocol_tunnel"] = "l2protocol-tunnel"
                self._children_yang_names.add("l2protocol-tunnel")

                self.encapsulation = Native.Interface.Vasiright.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.fair_queue_conf = Native.Interface.Vasiright.FairQueueConf()
                self.fair_queue_conf.parent = self
                self._children_name_map["fair_queue_conf"] = "fair-queue-conf"
                self._children_yang_names.add("fair-queue-conf")

                self.fair_queue = Native.Interface.Vasiright.FairQueue()
                self.fair_queue.parent = self
                self._children_name_map["fair_queue"] = "fair-queue"
                self._children_yang_names.add("fair-queue")

                self.flowcontrol = Native.Interface.Vasiright.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.isis = Native.Interface.Vasiright.Isis()
                self.isis.parent = self
                self._children_name_map["isis"] = "isis"
                self._children_yang_names.add("isis")

                self.keepalive_settings = Native.Interface.Vasiright.KeepaliveSettings()
                self.keepalive_settings.parent = self
                self._children_name_map["keepalive_settings"] = "keepalive-settings"
                self._children_yang_names.add("keepalive-settings")

                self.bfd = Native.Interface.Vasiright.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.bandwidth = Native.Interface.Vasiright.Bandwidth()
                self.bandwidth.parent = self
                self._children_name_map["bandwidth"] = "bandwidth"
                self._children_yang_names.add("bandwidth")

                self.dampening = Native.Interface.Vasiright.Dampening()
                self.dampening.parent = self
                self._children_name_map["dampening"] = "dampening"
                self._children_yang_names.add("dampening")

                self.domain = Native.Interface.Vasiright.Domain()
                self.domain.parent = self
                self._children_name_map["domain"] = "domain"
                self._children_yang_names.add("domain")

                self.mpls = Native.Interface.Vasiright.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.ip_vrf = Native.Interface.Vasiright.IpVrf()
                self.ip_vrf.parent = self
                self._children_name_map["ip_vrf"] = "ip-vrf"
                self._children_yang_names.add("ip-vrf")

                self.vrf = Native.Interface.Vasiright.Vrf()
                self.vrf.parent = self
                self._children_name_map["vrf"] = "vrf"
                self._children_yang_names.add("vrf")

                self.ip = Native.Interface.Vasiright.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Interface.Vasiright.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Interface.Vasiright.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mdix = Native.Interface.Vasiright.Mdix()
                self.mdix.parent = self
                self._children_name_map["mdix"] = "mdix"
                self._children_yang_names.add("mdix")

                self.mop = Native.Interface.Vasiright.Mop()
                self.mop.parent = self
                self._children_name_map["mop"] = "mop"
                self._children_yang_names.add("mop")

                self.interface_qos = Native.Interface.Vasiright.InterfaceQos()
                self.interface_qos.parent = self
                self._children_name_map["interface_qos"] = "interface_qos"
                self._children_yang_names.add("interface_qos")

                self.standby = Native.Interface.Vasiright.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")

                self.access_session = Native.Interface.Vasiright.AccessSession()
                self.access_session.parent = self
                self._children_name_map["access_session"] = "access-session"
                self._children_yang_names.add("access-session")

                self.storm_control = Native.Interface.Vasiright.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.trust = Native.Interface.Vasiright.Trust()
                self.trust.parent = self
                self._children_name_map["trust"] = "trust"
                self._children_yang_names.add("trust")

                self.priority_queue = Native.Interface.Vasiright.PriorityQueue()
                self.priority_queue.parent = self
                self._children_name_map["priority_queue"] = "priority-queue"
                self._children_yang_names.add("priority-queue")

                self.rcv_queue = Native.Interface.Vasiright.RcvQueue()
                self.rcv_queue.parent = self
                self._children_name_map["rcv_queue"] = "rcv-queue"
                self._children_yang_names.add("rcv-queue")

                self.peer = Native.Interface.Vasiright.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.pm_path = Native.Interface.Vasiright.PmPath()
                self.pm_path.parent = self
                self._children_name_map["pm_path"] = "pm-path"
                self._children_yang_names.add("pm-path")

                self.service_policy = Native.Interface.Vasiright.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.hold_queue = YList(self)
                self._segment_path = lambda: "vasiright" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/interface/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Interface.Vasiright, ['name', 'description', 'mac_address', 'shutdown', 'keepalive', 'if_state', 'delay', 'load_interval', 'max_reserved_bandwidth', 'mtu', 'service_insertion'], name, value)

            class IfState(Enum):
                """
                IfState

                .. data:: nhrp = 0

                """

                nhrp = Enum.YLeaf(0, "nhrp")


            class ServiceInsertion(Enum):
                """
                ServiceInsertion

                Service\-insertion AppNav Controller

                .. data:: waas = 0

                """

                waas = Enum.YLeaf(0, "waas")



            class SwitchportConf(Entity):
                """
                
                
                .. attribute:: switchport
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.SwitchportConf, self).__init__()

                    self.yang_name = "switchport-conf"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switchport = YLeaf(YType.boolean, "switchport")
                    self._segment_path = lambda: "switchport-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.SwitchportConf, ['switchport'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "switchport"


            class Arp(Entity):
                """
                Set arp type (arpa, probe, snap), timeout, log options or 
                packet priority
                
                .. attribute:: timeout
                
                	Set ARP cache timeout
                	**type**\: int
                
                	**range:** 0..2147483
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Arp, self).__init__()

                    self.yang_name = "arp"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint32, "timeout")
                    self._segment_path = lambda: "arp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.Arp, ['timeout'], name, value)


            class Backup(Entity):
                """
                Modify backup parameters
                
                .. attribute:: delay
                
                	Delays before backup line up or down transitions
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay>`
                
                .. attribute:: interface
                
                	Configure an interface as a backup
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Interface>`
                
                .. attribute:: load
                
                	Load thresholds for line up or down transitions
                	**type**\:  :py:class:`Load <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Backup, self).__init__()

                    self.yang_name = "backup"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Vasiright.Backup.Delay), "interface" : ("interface", Native.Interface.Vasiright.Backup.Interface), "load" : ("load", Native.Interface.Vasiright.Backup.Load)}
                    self._child_list_classes = {}

                    self.delay = Native.Interface.Vasiright.Backup.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.interface = Native.Interface.Vasiright.Backup.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.load = Native.Interface.Vasiright.Backup.Load()
                    self.load.parent = self
                    self._children_name_map["load"] = "load"
                    self._children_yang_names.add("load")
                    self._segment_path = lambda: "backup"


                class Delay(Entity):
                    """
                    Delays before backup line up or down transitions
                    
                    .. attribute:: failure
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.Failure>`
                    
                    .. attribute:: secondary_disable
                    
                    	Seconds
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967294
                    
                    		**type**\:  :py:class:`SecondaryDisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Delay.SecondaryDisable>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Backup.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.failure = YLeaf(YType.str, "failure")

                        self.secondary_disable = YLeaf(YType.str, "secondary-disable")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Backup.Delay, ['failure', 'secondary_disable'], name, value)

                    class Failure(Enum):
                        """
                        Failure

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class SecondaryDisable(Enum):
                        """
                        SecondaryDisable

                        Seconds

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



                class Interface(Entity):
                    """
                    Configure an interface as a backup
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Backup.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Interface.Vasiright.Backup.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Interface.Vasiright.Backup.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Interface.Vasiright.Backup.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Interface.Vasiright.Backup.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Interface.Vasiright.Backup.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Interface.Vasiright.Backup.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Interface.Vasiright.Backup.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Interface.Vasiright.Backup.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Backup.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Backup.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Backup.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Backup.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Backup.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Backup.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Backup.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Backup.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Backup.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Load(Entity):
                    """
                    Load thresholds for line up or down transitions
                    
                    .. attribute:: kickin
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickin>`
                    
                    .. attribute:: kickout
                    
                    	Percentage
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..100
                    
                    		**type**\:  :py:class:`Kickout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Backup.Load.Kickout>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Backup.Load, self).__init__()

                        self.yang_name = "load"
                        self.yang_parent_name = "backup"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.kickin = YLeaf(YType.str, "kickin")

                        self.kickout = YLeaf(YType.str, "kickout")
                        self._segment_path = lambda: "load"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Backup.Load, ['kickin', 'kickout'], name, value)

                    class Kickin(Enum):
                        """
                        Kickin

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")


                    class Kickout(Enum):
                        """
                        Kickout

                        Percentage

                        .. data:: never = 0

                        """

                        never = Enum.YLeaf(0, "never")



            class Cemoudp(Entity):
                """
                cemoudp
                
                .. attribute:: reserve
                
                	
                	**type**\:  :py:class:`Reserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Cemoudp.Reserve>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Cemoudp, self).__init__()

                    self.yang_name = "cemoudp"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"reserve" : ("reserve", Native.Interface.Vasiright.Cemoudp.Reserve)}
                    self._child_list_classes = {}

                    self.reserve = Native.Interface.Vasiright.Cemoudp.Reserve()
                    self.reserve.parent = self
                    self._children_name_map["reserve"] = "reserve"
                    self._children_yang_names.add("reserve")
                    self._segment_path = lambda: "cemoudp"


                class Reserve(Entity):
                    """
                    
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Cemoudp.Reserve, self).__init__()

                        self.yang_name = "reserve"
                        self.yang_parent_name = "cemoudp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acr = YLeaf(YType.uint8, "acr")
                        self._segment_path = lambda: "reserve"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Cemoudp.Reserve, ['acr'], name, value)


            class CwsTunnel(Entity):
                """
                Configure Cloud Web Security Tunnel
                
                .. attribute:: in_
                
                	Inbound traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: out
                
                	Outbound traffic
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.CwsTunnel.Out>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.CwsTunnel, self).__init__()

                    self.yang_name = "cws-tunnel"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"out" : ("out", Native.Interface.Vasiright.CwsTunnel.Out)}
                    self._child_list_classes = {}

                    self.in_ = YLeaf(YType.empty, "in")

                    self.out = Native.Interface.Vasiright.CwsTunnel.Out()
                    self.out.parent = self
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "cws-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.CwsTunnel, ['in_'], name, value)


                class Out(Entity):
                    """
                    Outbound traffic
                    
                    .. attribute:: tunnel_number
                    
                    	Outboud traffic tunnel identifier
                    	**type**\: int
                    
                    	**range:** 0..65534
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.CwsTunnel.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "cws-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tunnel_number = YLeaf(YType.uint16, "tunnel-number")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.CwsTunnel.Out, ['tunnel_number'], name, value)


            class L2ProtocolTunnel(Entity):
                """
                Tunnel Layer2 protocols
                
                .. attribute:: cdp
                
                	Cisco Discovery Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: drop_threshold
                
                	Set drop threshold for protocol packets
                	**type**\:  :py:class:`DropThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.L2ProtocolTunnel.DropThreshold>`
                
                .. attribute:: shutdown_threshold
                
                	Set shutdown threshold for protocol packets
                	**type**\:  :py:class:`ShutdownThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.L2ProtocolTunnel.ShutdownThreshold>`
                
                .. attribute:: stp
                
                	Spanning Tree Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vtp
                
                	Vlan Trunking Protocol
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.L2ProtocolTunnel, self).__init__()

                    self.yang_name = "l2protocol-tunnel"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"drop-threshold" : ("drop_threshold", Native.Interface.Vasiright.L2ProtocolTunnel.DropThreshold), "shutdown-threshold" : ("shutdown_threshold", Native.Interface.Vasiright.L2ProtocolTunnel.ShutdownThreshold)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cdp = YLeaf(YType.empty, "cdp")

                    self.stp = YLeaf(YType.empty, "stp")

                    self.vtp = YLeaf(YType.empty, "vtp")

                    self.drop_threshold = Native.Interface.Vasiright.L2ProtocolTunnel.DropThreshold()
                    self.drop_threshold.parent = self
                    self._children_name_map["drop_threshold"] = "drop-threshold"
                    self._children_yang_names.add("drop-threshold")

                    self.shutdown_threshold = Native.Interface.Vasiright.L2ProtocolTunnel.ShutdownThreshold()
                    self.shutdown_threshold.parent = self
                    self._children_name_map["shutdown_threshold"] = "shutdown-threshold"
                    self._children_yang_names.add("shutdown-threshold")
                    self._segment_path = lambda: "l2protocol-tunnel"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.L2ProtocolTunnel, ['cdp', 'stp', 'vtp'], name, value)


                class DropThreshold(Entity):
                    """
                    Set drop threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.L2ProtocolTunnel.DropThreshold, self).__init__()

                        self.yang_name = "drop-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "drop-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.L2ProtocolTunnel.DropThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


                class ShutdownThreshold(Entity):
                    """
                    Set shutdown threshold for protocol packets
                    
                    .. attribute:: packet_rate
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: cdp
                    
                    	Cisco Discovery Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: stp
                    
                    	Spanning Tree Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    .. attribute:: vtp
                    
                    	Vlan Trunking Protocol
                    	**type**\: int
                    
                    	**range:** 1..4096
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.L2ProtocolTunnel.ShutdownThreshold, self).__init__()

                        self.yang_name = "shutdown-threshold"
                        self.yang_parent_name = "l2protocol-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packet_rate = YLeaf(YType.uint16, "packet-rate")

                        self.cdp = YLeaf(YType.uint16, "cdp")

                        self.stp = YLeaf(YType.uint16, "stp")

                        self.vtp = YLeaf(YType.uint16, "vtp")
                        self._segment_path = lambda: "shutdown-threshold"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.L2ProtocolTunnel.ShutdownThreshold, ['packet_rate', 'cdp', 'stp', 'vtp'], name, value)


            class Encapsulation(Entity):
                """
                Set encapsulation type for an interface
                
                .. attribute:: dot1q
                
                	IEEE 802.1Q Virtual LAN
                	**type**\:  :py:class:`Dot1Q <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Encapsulation.Dot1Q>`
                
                .. attribute:: isl
                
                	Inter Switch Link \- Virtual LAN encapsulation
                	**type**\:  :py:class:`Isl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Encapsulation.Isl>`
                
                .. attribute:: ppp
                
                	Point\-to\-Point protocol
                	**type**\:  :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Encapsulation.Ppp>`
                
                	**presence node**\: True
                
                .. attribute:: slip
                
                	Serial Line IP
                	**type**\:  :py:class:`Slip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Encapsulation.Slip>`
                
                	**presence node**\: True
                
                .. attribute:: frame_relay
                
                	Frame Relay networks
                	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Encapsulation.FrameRelay>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dot1Q" : ("dot1q", Native.Interface.Vasiright.Encapsulation.Dot1Q), "isl" : ("isl", Native.Interface.Vasiright.Encapsulation.Isl), "ppp" : ("ppp", Native.Interface.Vasiright.Encapsulation.Ppp), "slip" : ("slip", Native.Interface.Vasiright.Encapsulation.Slip), "frame-relay" : ("frame_relay", Native.Interface.Vasiright.Encapsulation.FrameRelay)}
                    self._child_list_classes = {}

                    self.dot1q = Native.Interface.Vasiright.Encapsulation.Dot1Q()
                    self.dot1q.parent = self
                    self._children_name_map["dot1q"] = "dot1Q"
                    self._children_yang_names.add("dot1Q")

                    self.isl = Native.Interface.Vasiright.Encapsulation.Isl()
                    self.isl.parent = self
                    self._children_name_map["isl"] = "isl"
                    self._children_yang_names.add("isl")

                    self.ppp = None
                    self._children_name_map["ppp"] = "ppp"
                    self._children_yang_names.add("ppp")

                    self.slip = None
                    self._children_name_map["slip"] = "slip"
                    self._children_yang_names.add("slip")

                    self.frame_relay = None
                    self._children_name_map["frame_relay"] = "frame-relay"
                    self._children_yang_names.add("frame-relay")
                    self._segment_path = lambda: "encapsulation"


                class Dot1Q(Entity):
                    """
                    IEEE 802.1Q Virtual LAN
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: native
                    
                    	Make this as native vlan
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Encapsulation.Dot1Q, self).__init__()

                        self.yang_name = "dot1Q"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")

                        self.native = YLeaf(YType.empty, "native")
                        self._segment_path = lambda: "dot1Q"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Encapsulation.Dot1Q, ['vlan_id', 'native'], name, value)


                class Isl(Entity):
                    """
                    Inter Switch Link \- Virtual LAN encapsulation
                    
                    .. attribute:: vlan_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Encapsulation.Isl, self).__init__()

                        self.yang_name = "isl"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_id = YLeaf(YType.uint16, "vlan-id")
                        self._segment_path = lambda: "isl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Encapsulation.Isl, ['vlan_id'], name, value)


                class Ppp(Entity):
                    """
                    Point\-to\-Point protocol
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Encapsulation.Ppp, self).__init__()

                        self.yang_name = "ppp"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "ppp"


                class Slip(Entity):
                    """
                    Serial Line IP
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Encapsulation.Slip, self).__init__()

                        self.yang_name = "slip"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "slip"


                class FrameRelay(Entity):
                    """
                    Frame Relay networks
                    
                    .. attribute:: ietf
                    
                    	Use RFC1490/RFC2427 encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Encapsulation.FrameRelay, self).__init__()

                        self.yang_name = "frame-relay"
                        self.yang_parent_name = "encapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ietf = YLeaf(YType.empty, "ietf")
                        self._segment_path = lambda: "frame-relay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Encapsulation.FrameRelay, ['ietf'], name, value)


            class FairQueueConf(Entity):
                """
                
                
                .. attribute:: fair_queue
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.FairQueueConf, self).__init__()

                    self.yang_name = "fair-queue-conf"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.fair_queue = YLeaf(YType.boolean, "fair-queue")
                    self._segment_path = lambda: "fair-queue-conf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.FairQueueConf, ['fair_queue'], name, value)


            class FairQueue(Entity):
                """
                Enable Fair Queuing on an Interface
                
                .. attribute:: incomplete
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.FairQueue, self).__init__()

                    self.yang_name = "fair-queue"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.incomplete = YLeaf(YType.empty, "incomplete")
                    self._segment_path = lambda: "fair-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.FairQueue, ['incomplete'], name, value)


            class Flowcontrol(Entity):
                """
                Configure flow operation.
                
                .. attribute:: receive
                
                	Configure receiving flow operation
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Flowcontrol.Receive>`
                
                .. attribute:: send
                
                	Configure sending flow operation
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Flowcontrol.Send>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.receive = YLeaf(YType.enumeration, "receive")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.Flowcontrol, ['receive', 'send'], name, value)

                class Receive(Enum):
                    """
                    Receive

                    Configure receiving flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")


                class Send(Enum):
                    """
                    Send

                    Configure sending flow operation

                    .. data:: desired = 0

                    .. data:: off = 1

                    .. data:: on = 2

                    """

                    desired = Enum.YLeaf(0, "desired")

                    off = Enum.YLeaf(1, "off")

                    on = Enum.YLeaf(2, "on")



            class Isis(Entity):
                """
                IS\-IS commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "isis"


            class KeepaliveSettings(Entity):
                """
                
                
                .. attribute:: keepalive
                
                	Enable keepalive
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.KeepaliveSettings.Keepalive>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.KeepaliveSettings, self).__init__()

                    self.yang_name = "keepalive-settings"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"keepalive" : ("keepalive", Native.Interface.Vasiright.KeepaliveSettings.Keepalive)}
                    self._child_list_classes = {}

                    self.keepalive = None
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")
                    self._segment_path = lambda: "keepalive-settings"


                class Keepalive(Entity):
                    """
                    Enable keepalive
                    
                    .. attribute:: period
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..32767
                    
                    .. attribute:: retries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.KeepaliveSettings.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "keepalive-settings"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.period = YLeaf(YType.uint16, "period")

                        self.retries = YLeaf(YType.uint8, "retries")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.KeepaliveSettings.Keepalive, ['period', 'retries'], name, value)


            class Bfd(Entity):
                """
                BFD interface configuration commands
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "bfd"


            class Bandwidth(Entity):
                """
                Set bandwidth informational parameter
                
                .. attribute:: receive
                
                	Specify receive\-side bandwidth
                	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Bandwidth.Receive>`
                
                .. attribute:: inherit
                
                	Specify how bandwidth is inherited
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Bandwidth.Inherit>`
                
                	**presence node**\: True
                
                .. attribute:: qos_reference
                
                	Reference bandwidth for QOS
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: kilobits
                
                	
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Bandwidth, self).__init__()

                    self.yang_name = "bandwidth"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"receive" : ("receive", Native.Interface.Vasiright.Bandwidth.Receive), "inherit" : ("inherit", Native.Interface.Vasiright.Bandwidth.Inherit)}
                    self._child_list_classes = {}

                    self.qos_reference = YLeaf(YType.uint32, "qos-reference")

                    self.kilobits = YLeaf(YType.uint32, "kilobits")

                    self.receive = Native.Interface.Vasiright.Bandwidth.Receive()
                    self.receive.parent = self
                    self._children_name_map["receive"] = "receive"
                    self._children_yang_names.add("receive")

                    self.inherit = None
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")
                    self._segment_path = lambda: "bandwidth"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.Bandwidth, ['qos_reference', 'kilobits'], name, value)


                class Receive(Entity):
                    """
                    Specify receive\-side bandwidth
                    
                    .. attribute:: inherit
                    
                    	Specify how bandwidth is inherited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Bandwidth.Receive, self).__init__()

                        self.yang_name = "receive"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inherit = YLeaf(YType.empty, "inherit")

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "receive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Bandwidth.Receive, ['inherit', 'kilobits'], name, value)


                class Inherit(Entity):
                    """
                    Specify how bandwidth is inherited
                    
                    .. attribute:: kilobits
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Bandwidth.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "bandwidth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.kilobits = YLeaf(YType.uint32, "kilobits")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Bandwidth.Inherit, ['kilobits'], name, value)


            class Dampening(Entity):
                """
                Enable event dampening
                
                .. attribute:: dampening_time
                
                	<1\-30>;;Half\-life time for penalty
                	**type**\: int
                
                	**range:** 1..30
                
                .. attribute:: start_reusing_time
                
                	<1\-20000>;;Value to start reusing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: start_supressing_time
                
                	<1\-20000>;;Value to start supressing an interface
                	**type**\: int
                
                	**range:** 1..20000
                
                .. attribute:: maximum_supressing_time
                
                	<1\-255>;;Maximum duration to suppress an interface
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: restart
                
                	Enable restart penalty
                	**type**\:  :py:class:`Restart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Dampening.Restart>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Dampening, self).__init__()

                    self.yang_name = "dampening"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"restart" : ("restart", Native.Interface.Vasiright.Dampening.Restart)}
                    self._child_list_classes = {}

                    self.dampening_time = YLeaf(YType.uint16, "dampening-time")

                    self.start_reusing_time = YLeaf(YType.uint16, "start-reusing-time")

                    self.start_supressing_time = YLeaf(YType.uint16, "start-supressing-time")

                    self.maximum_supressing_time = YLeaf(YType.uint16, "maximum-supressing-time")

                    self.restart = Native.Interface.Vasiright.Dampening.Restart()
                    self.restart.parent = self
                    self._children_name_map["restart"] = "restart"
                    self._children_yang_names.add("restart")
                    self._segment_path = lambda: "dampening"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.Dampening, ['dampening_time', 'start_reusing_time', 'start_supressing_time', 'maximum_supressing_time'], name, value)


                class Restart(Entity):
                    """
                    Enable restart penalty
                    
                    .. attribute:: restart
                    
                    	Enable restart penalty
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_penalty
                    
                    	<1\-20000>;;Penalty applied at restart
                    	**type**\: int
                    
                    	**range:** 1..20000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Dampening.Restart, self).__init__()

                        self.yang_name = "restart"
                        self.yang_parent_name = "dampening"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.restart = YLeaf(YType.empty, "restart")

                        self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")
                        self._segment_path = lambda: "restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Dampening.Restart, ['restart', 'restart_penalty'], name, value)


            class Domain(Entity):
                """
                Specify a domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: path
                
                	Specify a service provider for this interface
                	**type**\: str
                
                .. attribute:: internet_bound
                
                	Specify Internet\-bound interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: path_id
                
                	Specify service provider path\-id for this interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: path_last_resort
                
                	Specify if you want this interface to be a path of last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: zero_sla
                
                	Specify if you want this interface to be a 0\-sla interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.path = YLeaf(YType.str, "path")

                    self.internet_bound = YLeaf(YType.empty, "internet-bound")

                    self.path_id = YLeaf(YType.uint8, "path-id")

                    self.path_last_resort = YLeaf(YType.empty, "path-last-resort")

                    self.zero_sla = YLeaf(YType.empty, "zero-sla")
                    self._segment_path = lambda: "domain"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.Domain, ['name', 'path', 'internet_bound', 'path_id', 'path_last_resort', 'zero_sla'], name, value)


            class HoldQueue(Entity):
                """
                Set hold queue depth
                
                .. attribute:: direction  <key>
                
                	
                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.HoldQueue.Direction>`
                
                .. attribute:: queue_length
                
                	
                	**type**\: int
                
                	**range:** 0..4096
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.HoldQueue, self).__init__()

                    self.yang_name = "hold-queue"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.direction = YLeaf(YType.enumeration, "direction")

                    self.queue_length = YLeaf(YType.uint16, "queue-length")
                    self._segment_path = lambda: "hold-queue" + "[direction='" + self.direction.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.HoldQueue, ['direction', 'queue_length'], name, value)

                class Direction(Enum):
                    """
                    Direction

                    .. data:: in_ = 0

                    .. data:: out = 1

                    """

                    in_ = Enum.YLeaf(0, "in")

                    out = Enum.YLeaf(1, "out")



            class Mpls(Entity):
                """
                
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "mpls"


            class IpVrf(Entity):
                """
                
                
                .. attribute:: ip
                
                	
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.IpVrf.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.IpVrf, self).__init__()

                    self.yang_name = "ip-vrf"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Interface.Vasiright.IpVrf.Ip)}
                    self._child_list_classes = {}

                    self.ip = Native.Interface.Vasiright.IpVrf.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "ip-vrf"


                class Ip(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.IpVrf.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.IpVrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "ip-vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"vrf" : ("vrf", Native.Interface.Vasiright.IpVrf.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.vrf = Native.Interface.Vasiright.IpVrf.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: forwarding
                        
                        	Configure forwarding table
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.IpVrf.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding = YLeaf(YType.str, "forwarding")
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.IpVrf.Ip.Vrf, ['forwarding'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding parameters on the interface
                
                .. attribute:: forwarding
                
                	Configure forwarding table
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding = YLeaf(YType.str, "forwarding")
                    self._segment_path = lambda: "vrf"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.Vrf, ['forwarding'], name, value)


            class Ip(Entity):
                """
                Interface Internet Protocol config commands
                
                .. attribute:: admission
                
                	Apply Network Admission Control
                	**type**\: str
                
                .. attribute:: access_group
                
                	Specify access control for packets
                	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup>`
                
                .. attribute:: arp
                
                	Configure ARP features
                	**type**\:  :py:class:`Arp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Arp>`
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding parameters on the interface
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Vrf>`
                
                .. attribute:: unnumbered
                
                	Enable IP processing without an explicit address
                	**type**\: str
                
                .. attribute:: no_address
                
                	
                	**type**\:  :py:class:`NoAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.NoAddress>`
                
                .. attribute:: address
                
                	Set the IP address of an interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Address>`
                
                .. attribute:: directed_broadcast
                
                	Enable forwarding of directed broadcasts
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..199 \| 1300..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: hello_interval
                
                	Configures EIGRP\-IPv4 hello interval
                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.HelloInterval>`
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Authentication>`
                
                .. attribute:: hold_time
                
                	Configures EIGRP\-IPv4 hold time
                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.HoldTime>`
                
                .. attribute:: helper_address
                
                	Specify a destination address for UDP broadcasts
                	**type**\: list of  		 :py:class:`HelperAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.HelperAddress>`
                
                .. attribute:: pim
                
                	PIM interface commands
                	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Pim>`
                
                .. attribute:: policy
                
                	Enable policy routing
                	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Policy>`
                
                .. attribute:: local_proxy_arp
                
                	Enable local\-proxy ARP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_arp
                
                	Enable proxy ARP
                	**type**\: bool
                
                .. attribute:: rip
                
                	Router Information Protocol
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Rip>`
                
                .. attribute:: route_cache_conf
                
                	
                	**type**\:  :py:class:`RouteCacheConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.RouteCacheConf>`
                
                .. attribute:: route_cache
                
                	Enable fast\-switching cache for outgoing packets
                	**type**\:  :py:class:`RouteCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.RouteCache>`
                
                	**presence node**\: True
                
                .. attribute:: router
                
                	IP router interface commands
                	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Router>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Tcp>`
                
                .. attribute:: virtual_reassembly
                
                	
                	**type**\:  :py:class:`VirtualReassembly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.VirtualReassembly>`
                
                .. attribute:: dhcp
                
                	Configure DHCP parameters for this interface
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp>`
                
                .. attribute:: mtu
                
                	Set IP Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 68..9198
                
                .. attribute:: mroute_cache
                
                	Enable switching cache for incoming multicast packets
                	**type**\: bool
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.SummaryAddress>`
                
                .. attribute:: verify
                
                	Enable per packet validation
                	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify>`
                
                .. attribute:: wccp
                
                	WCCP IPv4 interface commands
                	**type**\:  :py:class:`Wccp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-group" : ("access_group", Native.Interface.Vasiright.Ip.AccessGroup), "arp" : ("arp", Native.Interface.Vasiright.Ip.Arp), "vrf" : ("vrf", Native.Interface.Vasiright.Ip.Vrf), "no-address" : ("no_address", Native.Interface.Vasiright.Ip.NoAddress), "address" : ("address", Native.Interface.Vasiright.Ip.Address), "hello-interval" : ("hello_interval", Native.Interface.Vasiright.Ip.HelloInterval), "authentication" : ("authentication", Native.Interface.Vasiright.Ip.Authentication), "hold-time" : ("hold_time", Native.Interface.Vasiright.Ip.HoldTime), "pim" : ("pim", Native.Interface.Vasiright.Ip.Pim), "policy" : ("policy", Native.Interface.Vasiright.Ip.Policy), "rip" : ("rip", Native.Interface.Vasiright.Ip.Rip), "route-cache-conf" : ("route_cache_conf", Native.Interface.Vasiright.Ip.RouteCacheConf), "route-cache" : ("route_cache", Native.Interface.Vasiright.Ip.RouteCache), "router" : ("router", Native.Interface.Vasiright.Ip.Router), "tcp" : ("tcp", Native.Interface.Vasiright.Ip.Tcp), "virtual-reassembly" : ("virtual_reassembly", Native.Interface.Vasiright.Ip.VirtualReassembly), "dhcp" : ("dhcp", Native.Interface.Vasiright.Ip.Dhcp), "summary-address" : ("summary_address", Native.Interface.Vasiright.Ip.SummaryAddress), "verify" : ("verify", Native.Interface.Vasiright.Ip.Verify), "Cisco-IOS-XE-wccp:wccp" : ("wccp", Native.Interface.Vasiright.Ip.Wccp)}
                    self._child_list_classes = {"helper-address" : ("helper_address", Native.Interface.Vasiright.Ip.HelperAddress)}

                    self.admission = YLeaf(YType.str, "admission")

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.directed_broadcast = YLeaf(YType.str, "directed-broadcast")

                    self.local_proxy_arp = YLeaf(YType.empty, "local-proxy-arp")

                    self.proxy_arp = YLeaf(YType.boolean, "proxy-arp")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.mroute_cache = YLeaf(YType.boolean, "mroute-cache")

                    self.access_group = Native.Interface.Vasiright.Ip.AccessGroup()
                    self.access_group.parent = self
                    self._children_name_map["access_group"] = "access-group"
                    self._children_yang_names.add("access-group")

                    self.arp = Native.Interface.Vasiright.Ip.Arp()
                    self.arp.parent = self
                    self._children_name_map["arp"] = "arp"
                    self._children_yang_names.add("arp")

                    self.vrf = Native.Interface.Vasiright.Ip.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.no_address = Native.Interface.Vasiright.Ip.NoAddress()
                    self.no_address.parent = self
                    self._children_name_map["no_address"] = "no-address"
                    self._children_yang_names.add("no-address")

                    self.address = Native.Interface.Vasiright.Ip.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hello_interval = Native.Interface.Vasiright.Ip.HelloInterval()
                    self.hello_interval.parent = self
                    self._children_name_map["hello_interval"] = "hello-interval"
                    self._children_yang_names.add("hello-interval")

                    self.authentication = Native.Interface.Vasiright.Ip.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.hold_time = Native.Interface.Vasiright.Ip.HoldTime()
                    self.hold_time.parent = self
                    self._children_name_map["hold_time"] = "hold-time"
                    self._children_yang_names.add("hold-time")

                    self.pim = Native.Interface.Vasiright.Ip.Pim()
                    self.pim.parent = self
                    self._children_name_map["pim"] = "pim"
                    self._children_yang_names.add("pim")

                    self.policy = Native.Interface.Vasiright.Ip.Policy()
                    self.policy.parent = self
                    self._children_name_map["policy"] = "policy"
                    self._children_yang_names.add("policy")

                    self.rip = Native.Interface.Vasiright.Ip.Rip()
                    self.rip.parent = self
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.route_cache_conf = Native.Interface.Vasiright.Ip.RouteCacheConf()
                    self.route_cache_conf.parent = self
                    self._children_name_map["route_cache_conf"] = "route-cache-conf"
                    self._children_yang_names.add("route-cache-conf")

                    self.route_cache = None
                    self._children_name_map["route_cache"] = "route-cache"
                    self._children_yang_names.add("route-cache")

                    self.router = Native.Interface.Vasiright.Ip.Router()
                    self.router.parent = self
                    self._children_name_map["router"] = "router"
                    self._children_yang_names.add("router")

                    self.tcp = Native.Interface.Vasiright.Ip.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.virtual_reassembly = Native.Interface.Vasiright.Ip.VirtualReassembly()
                    self.virtual_reassembly.parent = self
                    self._children_name_map["virtual_reassembly"] = "virtual-reassembly"
                    self._children_yang_names.add("virtual-reassembly")

                    self.dhcp = Native.Interface.Vasiright.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.summary_address = Native.Interface.Vasiright.Ip.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")

                    self.verify = Native.Interface.Vasiright.Ip.Verify()
                    self.verify.parent = self
                    self._children_name_map["verify"] = "verify"
                    self._children_yang_names.add("verify")

                    self.wccp = Native.Interface.Vasiright.Ip.Wccp()
                    self.wccp.parent = self
                    self._children_name_map["wccp"] = "wccp"
                    self._children_yang_names.add("wccp")

                    self.helper_address = YList(self)
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.Ip, ['admission', 'unnumbered', 'directed_broadcast', 'local_proxy_arp', 'proxy_arp', 'redirects', 'mtu', 'mroute_cache'], name, value)


                class AccessGroup(Entity):
                    """
                    Specify access control for packets
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup.In_>`
                    
                    .. attribute:: out
                    
                    	
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup.Out>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.AccessGroup, self).__init__()

                        self.yang_name = "access-group"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Interface.Vasiright.Ip.AccessGroup.In_), "out" : ("out", Native.Interface.Vasiright.Ip.AccessGroup.Out)}
                        self._child_list_classes = {}

                        self.in_ = Native.Interface.Vasiright.Ip.AccessGroup.In_()
                        self.in_.parent = self
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = Native.Interface.Vasiright.Ip.AccessGroup.Out()
                        self.out.parent = self
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "access-group"


                    class In_(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup.In_.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup.In_.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.AccessGroup.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Vasiright.Ip.AccessGroup.In_.CommonAcl), "acl" : ("acl", Native.Interface.Vasiright.Ip.AccessGroup.In_.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Vasiright.Ip.AccessGroup.In_.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Vasiright.Ip.AccessGroup.In_.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "in"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.AccessGroup.In_.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.AccessGroup.In_.CommonAcl, ['common', 'in_'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: in_
                            
                            	inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.AccessGroup.In_.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "in"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.AccessGroup.In_.Acl, ['acl_name', 'in_'], name, value)


                    class Out(Entity):
                        """
                        
                        
                        .. attribute:: common_acl
                        
                        	
                        	**type**\:  :py:class:`CommonAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup.Out.CommonAcl>`
                        
                        .. attribute:: acl
                        
                        	
                        	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.AccessGroup.Out.Acl>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.AccessGroup.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "access-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"common-acl" : ("common_acl", Native.Interface.Vasiright.Ip.AccessGroup.Out.CommonAcl), "acl" : ("acl", Native.Interface.Vasiright.Ip.AccessGroup.Out.Acl)}
                            self._child_list_classes = {}

                            self.common_acl = Native.Interface.Vasiright.Ip.AccessGroup.Out.CommonAcl()
                            self.common_acl.parent = self
                            self._children_name_map["common_acl"] = "common-acl"
                            self._children_yang_names.add("common-acl")

                            self.acl = Native.Interface.Vasiright.Ip.AccessGroup.Out.Acl()
                            self.acl.parent = self
                            self._children_name_map["acl"] = "acl"
                            self._children_yang_names.add("acl")
                            self._segment_path = lambda: "out"


                        class CommonAcl(Entity):
                            """
                            
                            
                            .. attribute:: common
                            
                            	specify ipv4 common ACL for packet filtering
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.AccessGroup.Out.CommonAcl, self).__init__()

                                self.yang_name = "common-acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.common = YLeaf(YType.str, "common")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "common-acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.AccessGroup.Out.CommonAcl, ['common', 'out'], name, value)


                        class Acl(Entity):
                            """
                            
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            	**mandatory**\: True
                            
                            .. attribute:: out
                            
                            	outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.AccessGroup.Out.Acl, self).__init__()

                                self.yang_name = "acl"
                                self.yang_parent_name = "out"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "acl"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.AccessGroup.Out.Acl, ['acl_name', 'out'], name, value)


                class Arp(Entity):
                    """
                    Configure ARP features
                    
                    .. attribute:: inspection
                    
                    	Arp Inspection configuration
                    	**type**\:  :py:class:`Inspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Arp.Inspection>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.Arp, self).__init__()

                        self.yang_name = "arp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inspection" : ("inspection", Native.Interface.Vasiright.Ip.Arp.Inspection)}
                        self._child_list_classes = {}

                        self.inspection = Native.Interface.Vasiright.Ip.Arp.Inspection()
                        self.inspection.parent = self
                        self._children_name_map["inspection"] = "inspection"
                        self._children_yang_names.add("inspection")
                        self._segment_path = lambda: "arp"


                    class Inspection(Entity):
                        """
                        Arp Inspection configuration
                        
                        .. attribute:: limit
                        
                        	Configure Rate limit of incoming ARP packets
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Arp.Inspection.Limit>`
                        
                        .. attribute:: trust
                        
                        	Configure Trust state
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Arp.Inspection, self).__init__()

                            self.yang_name = "inspection"
                            self.yang_parent_name = "arp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Vasiright.Ip.Arp.Inspection.Limit)}
                            self._child_list_classes = {}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Vasiright.Ip.Arp.Inspection.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "inspection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Arp.Inspection, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            Configure Rate limit of incoming ARP packets
                            
                            .. attribute:: none
                            
                            	No limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rate
                            
                            	Rate Limit
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Arp.Inspection.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.none = YLeaf(YType.empty, "none")

                                self.rate = YLeaf(YType.uint32, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.Arp.Inspection.Limit, ['none', 'rate'], name, value)


                class Vrf(Entity):
                    """
                    VPN Routing/Forwarding parameters on the interface
                    
                    .. attribute:: receive
                    
                    	Add Interface Address into VRF Table
                    	**type**\: str
                    
                    .. attribute:: sitemap
                    
                    	Configure route\-map for routesreceived from this site
                    	**type**\: str
                    
                    .. attribute:: forwarding
                    
                    	Configure forwarding table
                    	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Vrf.Forwarding>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"forwarding" : ("forwarding", Native.Interface.Vasiright.Ip.Vrf.Forwarding)}
                        self._child_list_classes = {}

                        self.receive = YLeaf(YType.str, "receive")

                        self.sitemap = YLeaf(YType.str, "sitemap")

                        self.forwarding = Native.Interface.Vasiright.Ip.Vrf.Forwarding()
                        self.forwarding.parent = self
                        self._children_name_map["forwarding"] = "forwarding"
                        self._children_yang_names.add("forwarding")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ip.Vrf, ['receive', 'sitemap'], name, value)


                    class Forwarding(Entity):
                        """
                        Configure forwarding table
                        
                        .. attribute:: liin_vrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mgmtvrf
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Vrf.Forwarding, self).__init__()

                            self.yang_name = "forwarding"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.liin_vrf = YLeaf(YType.empty, "Liin-vrf")

                            self.mgmtvrf = YLeaf(YType.empty, "mgmtVrf")

                            self.word = YLeaf(YType.str, "word")
                            self._segment_path = lambda: "forwarding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Vrf.Forwarding, ['liin_vrf', 'mgmtvrf', 'word'], name, value)


                class NoAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.NoAddress, self).__init__()

                        self.yang_name = "no-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.boolean, "address")
                        self._segment_path = lambda: "no-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ip.NoAddress, ['address'], name, value)


                class Address(Entity):
                    """
                    Set the IP address of an interface
                    
                    .. attribute:: primary
                    
                    	
                    	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Address.Primary>`
                    
                    .. attribute:: secondary
                    
                    	
                    	**type**\: list of  		 :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Address.Secondary>`
                    
                    .. attribute:: dhcp
                    
                    	IP Address negotiated via DHCP
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: negotiated
                    
                    	IP Address negotiated via IKEv2 Modeconfig
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"primary" : ("primary", Native.Interface.Vasiright.Ip.Address.Primary), "dhcp" : ("dhcp", Native.Interface.Vasiright.Ip.Address.Dhcp)}
                        self._child_list_classes = {"secondary" : ("secondary", Native.Interface.Vasiright.Ip.Address.Secondary)}

                        self.negotiated = YLeaf(YType.empty, "negotiated")

                        self.primary = Native.Interface.Vasiright.Ip.Address.Primary()
                        self.primary.parent = self
                        self._children_name_map["primary"] = "primary"
                        self._children_yang_names.add("primary")

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.secondary = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ip.Address, ['negotiated'], name, value)


                    class Primary(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Address.Primary, self).__init__()

                            self.yang_name = "primary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "primary"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Address.Primary, ['address', 'mask'], name, value)


                    class Secondary(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        	**mandatory**\: True
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Address.Secondary, self).__init__()

                            self.yang_name = "secondary"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "secondary" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Address.Secondary, ['address', 'mask', 'secondary'], name, value)


                    class Dhcp(Entity):
                        """
                        IP Address negotiated via DHCP
                        
                        .. attribute:: client_id
                        
                        	Specify client\-id to use
                        	**type**\:  :py:class:`ClientId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Address.Dhcp.ClientId>`
                        
                        .. attribute:: hostname
                        
                        	Specify value for hostname option
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"client-id" : ("client_id", Native.Interface.Vasiright.Ip.Address.Dhcp.ClientId)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.client_id = Native.Interface.Vasiright.Ip.Address.Dhcp.ClientId()
                            self.client_id.parent = self
                            self._children_name_map["client_id"] = "client-id"
                            self._children_yang_names.add("client-id")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Address.Dhcp, ['hostname'], name, value)


                        class ClientId(Entity):
                            """
                            Specify client\-id to use
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: fortygigabitethernet
                            
                            	Forty Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	Catalyst Vlans
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Address.Dhcp.ClientId, self).__init__()

                                self.yang_name = "client-id"
                                self.yang_parent_name = "dhcp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.fortygigabitethernet = YLeaf(YType.str, "FortyGigabitEthernet")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "client-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.Address.Dhcp.ClientId, ['fastethernet', 'gigabitethernet', 'port_channel', 'tengigabitethernet', 'fortygigabitethernet', 'vlan'], name, value)


                class HelloInterval(Entity):
                    """
                    Configures EIGRP\-IPv4 hello interval
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds between hello transmissions
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.HelloInterval, self).__init__()

                        self.yang_name = "hello-interval"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hello-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ip.HelloInterval, ['eigrp', 'seconds'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Authentication.KeyChain>`
                    
                    .. attribute:: mode
                    
                    	mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Authentication.Mode>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Interface.Vasiright.Ip.Authentication.KeyChain), "mode" : ("mode", Native.Interface.Vasiright.Ip.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = Native.Interface.Vasiright.Ip.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.mode = Native.Interface.Vasiright.Ip.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"


                    class KeyChain(Entity):
                        """
                        key\-chain
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: name
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Authentication.KeyChain, ['eigrp', 'name'], name, value)


                    class Mode(Entity):
                        """
                        mode
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.md5 = YLeaf(YType.empty, "md5")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Authentication.Mode, ['eigrp', 'md5'], name, value)


                class HoldTime(Entity):
                    """
                    Configures EIGRP\-IPv4 hold time
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: seconds
                    
                    	Seconds before neighbor is considered down
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.HoldTime, self).__init__()

                        self.yang_name = "hold-time"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eigrp = YLeaf(YType.uint16, "eigrp")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "hold-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ip.HoldTime, ['eigrp', 'seconds'], name, value)


                class HelperAddress(Entity):
                    """
                    Specify a destination address for UDP broadcasts
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: global_
                    
                    	Helper\-address is global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name for helper\-address (if different from interface VRF)
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.HelperAddress, self).__init__()

                        self.yang_name = "helper-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "helper-address" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ip.HelperAddress, ['address', 'global_', 'vrf'], name, value)


                class Pim(Entity):
                    """
                    PIM interface commands
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.Pim, self).__init__()

                        self.yang_name = "pim"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "pim"


                class Policy(Entity):
                    """
                    Enable policy routing
                    
                    .. attribute:: route_map
                    
                    	Policy route\-map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "policy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ip.Policy, ['route_map'], name, value)


                class Rip(Entity):
                    """
                    Router Information Protocol
                    
                    .. attribute:: authentication
                    
                    	Authentication control
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Rip.Authentication>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Vasiright.Ip.Rip.Authentication)}
                        self._child_list_classes = {}

                        self.authentication = Native.Interface.Vasiright.Ip.Rip.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "rip"


                    class Authentication(Entity):
                        """
                        Authentication control
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Rip.Authentication.Mode>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Rip.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Interface.Vasiright.Ip.Rip.Authentication.Mode)}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = Native.Interface.Vasiright.Ip.Rip.Authentication.Mode()
                            self.mode.parent = self
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Rip.Authentication, ['key_chain'], name, value)


                        class Mode(Entity):
                            """
                            Authentication mode
                            
                            .. attribute:: md5
                            
                            	Keyed message digest
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: text
                            
                            	Clear text authentication
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Rip.Authentication.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.md5 = YLeaf(YType.empty, "md5")

                                self.text = YLeaf(YType.empty, "text")
                                self._segment_path = lambda: "mode"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.Rip.Authentication.Mode, ['md5', 'text'], name, value)


                class RouteCacheConf(Entity):
                    """
                    
                    
                    .. attribute:: route_cache
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.RouteCacheConf, self).__init__()

                        self.yang_name = "route-cache-conf"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_cache = YLeaf(YType.boolean, "route-cache")
                        self._segment_path = lambda: "route-cache-conf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ip.RouteCacheConf, ['route_cache'], name, value)


                class RouteCache(Entity):
                    """
                    Enable fast\-switching cache for outgoing packets
                    
                    .. attribute:: cef
                    
                    	Enable Cisco Express Forwarding
                    	**type**\: bool
                    
                    .. attribute:: flow
                    
                    	Enable Flow fast\-switching cache
                    	**type**\: bool
                    
                    .. attribute:: policy
                    
                    	Enable fast\-switching policy cache for outgoing packets
                    	**type**\: bool
                    
                    .. attribute:: same_interface
                    
                    	Enable fast\-switching on the same interface
                    	**type**\: bool
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.RouteCache, self).__init__()

                        self.yang_name = "route-cache"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cef = YLeaf(YType.boolean, "cef")

                        self.flow = YLeaf(YType.boolean, "flow")

                        self.policy = YLeaf(YType.boolean, "policy")

                        self.same_interface = YLeaf(YType.boolean, "same-interface")
                        self._segment_path = lambda: "route-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ip.RouteCache, ['cef', 'flow', 'policy', 'same_interface'], name, value)


                class Router(Entity):
                    """
                    IP router interface commands
                    
                    .. attribute:: isis
                    
                    	IS\-IS Routing for IP
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Router.Isis>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.Router, self).__init__()

                        self.yang_name = "router"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Interface.Vasiright.Ip.Router.Isis)}
                        self._child_list_classes = {}

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "router"


                    class Isis(Entity):
                        """
                        IS\-IS Routing for IP
                        
                        .. attribute:: tag
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Router.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "router"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.tag = YLeaf(YType.str, "tag")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Router.Isis, ['tag'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 500..1460
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ip.Tcp, ['adjust_mss'], name, value)


                class VirtualReassembly(Entity):
                    """
                    
                    
                    .. attribute:: max_reassemblies
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: max_fragments
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: timeout
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: drop_fragments
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: in_
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.VirtualReassembly, self).__init__()

                        self.yang_name = "virtual-reassembly"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_reassemblies = YLeaf(YType.uint32, "max-reassemblies")

                        self.max_fragments = YLeaf(YType.uint32, "max-fragments")

                        self.timeout = YLeaf(YType.uint32, "timeout")

                        self.drop_fragments = YLeaf(YType.empty, "drop-fragments")

                        self.in_ = YLeaf(YType.empty, "in")
                        self._segment_path = lambda: "virtual-reassembly"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ip.VirtualReassembly, ['max_reassemblies', 'max_fragments', 'timeout', 'drop_fragments', 'in_'], name, value)


                class Dhcp(Entity):
                    """
                    Configure DHCP parameters for this interface
                    
                    .. attribute:: client
                    
                    	DHCP client configuration
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Client>`
                    
                    .. attribute:: relay
                    
                    	DHCP relay configuration parameters
                    	**type**\:  :py:class:`Relay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Relay>`
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.Vasiright.Ip.Dhcp.Client), "Cisco-IOS-XE-dhcp:relay" : ("relay", Native.Interface.Vasiright.Ip.Dhcp.Relay), "Cisco-IOS-XE-dhcp:snooping" : ("snooping", Native.Interface.Vasiright.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.client = Native.Interface.Vasiright.Ip.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.relay = Native.Interface.Vasiright.Ip.Dhcp.Relay()
                        self.relay.parent = self
                        self._children_name_map["relay"] = "relay"
                        self._children_yang_names.add("relay")

                        self.snooping = Native.Interface.Vasiright.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"


                    class Client(Entity):
                        """
                        DHCP client configuration
                        
                        .. attribute:: hostname
                        
                        	Specify hostname to use
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hostname = YLeaf(YType.str, "hostname")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Dhcp.Client, ['hostname'], name, value)


                    class Relay(Entity):
                        """
                        DHCP relay configuration parameters
                        
                        .. attribute:: information
                        
                        	DHCP relay information option
                        	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Relay.Information>`
                        
                        .. attribute:: source_interface
                        
                        	Set source interface for relayed messages
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Dhcp.Relay, self).__init__()

                            self.yang_name = "relay"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"information" : ("information", Native.Interface.Vasiright.Ip.Dhcp.Relay.Information)}
                            self._child_list_classes = {}

                            self.source_interface = YLeaf(YType.str, "source-interface")

                            self.information = Native.Interface.Vasiright.Ip.Dhcp.Relay.Information()
                            self.information.parent = self
                            self._children_name_map["information"] = "information"
                            self._children_yang_names.add("information")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:relay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Dhcp.Relay, ['source_interface'], name, value)


                        class Information(Entity):
                            """
                            DHCP relay information option
                            
                            .. attribute:: check_reply
                            
                            	Validate relay information in BOOTREPLY
                            	**type**\:  :py:class:`CheckReply <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.CheckReply>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: option
                            
                            	DHCP relay information option
                            	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.Option>`
                            
                            .. attribute:: option_insert
                            
                            	Insert relay information in BOOTREQUEST
                            	**type**\:  :py:class:`OptionInsert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.OptionInsert>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: policy_action
                            
                            	Define reforwarding policy
                            	**type**\:  :py:class:`PolicyAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.PolicyAction>`
                            
                            .. attribute:: trusted
                            
                            	Received DHCP packet may contain relay info option with zero giaddr
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Dhcp.Relay.Information, self).__init__()

                                self.yang_name = "information"
                                self.yang_parent_name = "relay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"check-reply" : ("check_reply", Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.CheckReply), "option" : ("option", Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.Option), "option-insert" : ("option_insert", Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.OptionInsert)}
                                self._child_list_classes = {}

                                self.policy_action = YLeaf(YType.enumeration, "policy-action")

                                self.trusted = YLeaf(YType.empty, "trusted")

                                self.check_reply = None
                                self._children_name_map["check_reply"] = "check-reply"
                                self._children_yang_names.add("check-reply")

                                self.option = Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.Option()
                                self.option.parent = self
                                self._children_name_map["option"] = "option"
                                self._children_yang_names.add("option")

                                self.option_insert = None
                                self._children_name_map["option_insert"] = "option-insert"
                                self._children_yang_names.add("option-insert")
                                self._segment_path = lambda: "information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.Dhcp.Relay.Information, ['policy_action', 'trusted'], name, value)

                            class PolicyAction(Enum):
                                """
                                PolicyAction

                                Define reforwarding policy

                                .. data:: drop = 0

                                .. data:: encapsulate = 1

                                .. data:: keep = 2

                                .. data:: replace = 3

                                """

                                drop = Enum.YLeaf(0, "drop")

                                encapsulate = Enum.YLeaf(1, "encapsulate")

                                keep = Enum.YLeaf(2, "keep")

                                replace = Enum.YLeaf(3, "replace")



                            class CheckReply(Entity):
                                """
                                Validate relay information in BOOTREPLY
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.CheckReply, self).__init__()

                                    self.yang_name = "check-reply"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "check-reply"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.CheckReply, ['none'], name, value)


                            class Option(Entity):
                                """
                                DHCP relay information option
                                
                                .. attribute:: subscriber_id
                                
                                	Subscriber identifier sub option
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.Option, self).__init__()

                                    self.yang_name = "option"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.subscriber_id = YLeaf(YType.str, "subscriber-id")
                                    self._segment_path = lambda: "option"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.Option, ['subscriber_id'], name, value)


                            class OptionInsert(Entity):
                                """
                                Insert relay information in BOOTREQUEST
                                
                                .. attribute:: none
                                
                                	Set to none
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.OptionInsert, self).__init__()

                                    self.yang_name = "option-insert"
                                    self.yang_parent_name = "information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.none = YLeaf(YType.empty, "none")
                                    self._segment_path = lambda: "option-insert"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasiright.Ip.Dhcp.Relay.Information.OptionInsert, ['none'], name, value)


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping.Limit>`
                        
                        .. attribute:: trust
                        
                        	DHCP Snooping trust config
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	DHCP Snooping vlan
                        	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Interface.Vasiright.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {"vlan" : ("vlan", Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan)}

                            self.trust = YLeaf(YType.empty, "trust")

                            self.limit = Native.Interface.Vasiright.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")

                            self.vlan = YList(self)
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:snooping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Dhcp.Snooping, ['trust'], name, value)


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP Snooping limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


                        class Vlan(Entity):
                            """
                            DHCP Snooping vlan
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            .. attribute:: information
                            
                            	DHCP Snooping information
                            	**type**\:  :py:class:`Information <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"information" : ("information", Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.information = Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information()
                                self.information.parent = self
                                self._children_name_map["information"] = "information"
                                self._children_yang_names.add("information")
                                self._segment_path = lambda: "vlan" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan, ['id'], name, value)


                            class Information(Entity):
                                """
                                DHCP Snooping information
                                
                                .. attribute:: option
                                
                                	DHCP Snooping information option
                                	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option>`
                                
                                

                                """

                                _prefix = 'ios-dhcp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information, self).__init__()

                                    self.yang_name = "information"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"option" : ("option", Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option)}
                                    self._child_list_classes = {}

                                    self.option = Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option()
                                    self.option.parent = self
                                    self._children_name_map["option"] = "option"
                                    self._children_yang_names.add("option")
                                    self._segment_path = lambda: "information"


                                class Option(Entity):
                                    """
                                    DHCP Snooping information option
                                    
                                    .. attribute:: format_type
                                    
                                    	Option 82 information format
                                    	**type**\:  :py:class:`FormatType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-dhcp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option, self).__init__()

                                        self.yang_name = "option"
                                        self.yang_parent_name = "information"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"format-type" : ("format_type", Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType)}
                                        self._child_list_classes = {}

                                        self.format_type = Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType()
                                        self.format_type.parent = self
                                        self._children_name_map["format_type"] = "format-type"
                                        self._children_yang_names.add("format-type")
                                        self._segment_path = lambda: "option"


                                    class FormatType(Entity):
                                        """
                                        Option 82 information format
                                        
                                        .. attribute:: circuit_id
                                        
                                        	Circuit id option 82 format
                                        	**type**\:  :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId>`
                                        
                                        

                                        """

                                        _prefix = 'ios-dhcp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType, self).__init__()

                                            self.yang_name = "format-type"
                                            self.yang_parent_name = "option"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"circuit-id" : ("circuit_id", Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId)}
                                            self._child_list_classes = {}

                                            self.circuit_id = Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId()
                                            self.circuit_id.parent = self
                                            self._children_name_map["circuit_id"] = "circuit-id"
                                            self._children_yang_names.add("circuit-id")
                                            self._segment_path = lambda: "format-type"


                                        class CircuitId(Entity):
                                            """
                                            Circuit id option 82 format
                                            
                                            .. attribute:: string
                                            
                                            	User defined string for circuit id
                                            	**type**\: str
                                            
                                            	**length:** 3..63
                                            
                                            

                                            """

                                            _prefix = 'ios-dhcp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, self).__init__()

                                                self.yang_name = "circuit-id"
                                                self.yang_parent_name = "format-type"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.string = YLeaf(YType.str, "string")
                                                self._segment_path = lambda: "circuit-id"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Interface.Vasiright.Ip.Dhcp.Snooping.Vlan.Information.Option.FormatType.CircuitId, ['string'], name, value)


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: eigrp
                    
                    	
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.SummaryAddress.Eigrp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"eigrp" : ("eigrp", Native.Interface.Vasiright.Ip.SummaryAddress.Eigrp)}

                        self.eigrp = YList(self)
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ip.SummaryAddress, [], name, value)


                    class Eigrp(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.SummaryAddress.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.SummaryAddress.Eigrp, ['id', 'ip', 'mask', 'metric'], name, value)


                class Verify(Entity):
                    """
                    Enable per packet validation
                    
                    .. attribute:: source
                    
                    	Validation of source address
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Source>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: unicast
                    
                    	Enable per packet validation for unicast
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Unicast>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.Verify, self).__init__()

                        self.yang_name = "verify"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Interface.Vasiright.Ip.Verify.Source), "unicast" : ("unicast", Native.Interface.Vasiright.Ip.Verify.Unicast)}
                        self._child_list_classes = {}

                        self.source = None
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.unicast = Native.Interface.Vasiright.Ip.Verify.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")
                        self._segment_path = lambda: "verify"


                    class Source(Entity):
                        """
                        Validation of source address
                        
                        .. attribute:: vlan
                        
                        	vlan specification
                        	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Source.Vlan>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Verify.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"vlan" : ("vlan", Native.Interface.Vasiright.Ip.Verify.Source.Vlan)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vlan = Native.Interface.Vasiright.Ip.Verify.Source.Vlan()
                            self.vlan.parent = self
                            self._children_name_map["vlan"] = "vlan"
                            self._children_yang_names.add("vlan")
                            self._segment_path = lambda: "source"


                        class Vlan(Entity):
                            """
                            vlan specification
                            
                            .. attribute:: dhcp_snooping
                            
                            	snooping enable vlan
                            	**type**\:  :py:class:`DhcpSnooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Source.Vlan.DhcpSnooping>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Verify.Source.Vlan, self).__init__()

                                self.yang_name = "vlan"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-snooping" : ("dhcp_snooping", Native.Interface.Vasiright.Ip.Verify.Source.Vlan.DhcpSnooping)}
                                self._child_list_classes = {}

                                self.dhcp_snooping = None
                                self._children_name_map["dhcp_snooping"] = "dhcp-snooping"
                                self._children_yang_names.add("dhcp-snooping")
                                self._segment_path = lambda: "vlan"


                            class DhcpSnooping(Entity):
                                """
                                snooping enable vlan
                                
                                .. attribute:: port_security
                                
                                	port security
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vasiright.Ip.Verify.Source.Vlan.DhcpSnooping, self).__init__()

                                    self.yang_name = "dhcp-snooping"
                                    self.yang_parent_name = "vlan"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.port_security = YLeaf(YType.empty, "port-security")
                                    self._segment_path = lambda: "dhcp-snooping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasiright.Ip.Verify.Source.Vlan.DhcpSnooping, ['port_security'], name, value)


                    class Unicast(Entity):
                        """
                        Enable per packet validation for unicast
                        
                        .. attribute:: reverse_path
                        
                        	Reverse path validation of source address (old command format)
                        	**type**\:  :py:class:`ReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Unicast.ReversePath>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: source
                        
                        	Validation of source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Unicast.Source>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Verify.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "verify"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reverse-path" : ("reverse_path", Native.Interface.Vasiright.Ip.Verify.Unicast.ReversePath), "source" : ("source", Native.Interface.Vasiright.Ip.Verify.Unicast.Source)}
                            self._child_list_classes = {}

                            self.reverse_path = None
                            self._children_name_map["reverse_path"] = "reverse-path"
                            self._children_yang_names.add("reverse-path")

                            self.source = Native.Interface.Vasiright.Ip.Verify.Unicast.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "unicast"


                        class ReversePath(Entity):
                            """
                            Reverse path validation of source address (old command format)
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Verify.Unicast.ReversePath, self).__init__()

                                self.yang_name = "reverse-path"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-path"


                        class Source(Entity):
                            """
                            Validation of source address
                            
                            .. attribute:: reachable_via
                            
                            	Specify reachability check to apply to the source address
                            	**type**\:  :py:class:`ReachableVia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Verify.Unicast.Source.ReachableVia>`
                            
                            .. attribute:: allow_self_ping
                            
                            	Allow router to ping itself (opens vulnerability in verification)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: allow_default
                            
                            	Allow default route to match when checking source address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Verify.Unicast.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.reachable_via = YLeaf(YType.enumeration, "reachable-via")

                                self.allow_self_ping = YLeaf(YType.empty, "allow-self-ping")

                                self.allow_default = YLeaf(YType.empty, "allow-default")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.Verify.Unicast.Source, ['reachable_via', 'allow_self_ping', 'allow_default'], name, value)

                            class ReachableVia(Enum):
                                """
                                ReachableVia

                                Specify reachability check to apply to the source address

                                .. data:: any = 0

                                .. data:: rx = 1

                                """

                                any = Enum.YLeaf(0, "any")

                                rx = Enum.YLeaf(1, "rx")



                class Wccp(Entity):
                    """
                    WCCP IPv4 interface commands
                    
                    .. attribute:: wccp_list
                    
                    	
                    	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.WccpList>`
                    
                    .. attribute:: web_cache
                    
                    	Standard web caching service
                    	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.WebCache>`
                    
                    .. attribute:: redirect
                    
                    	Set packet redirection options
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Redirect>`
                    
                    .. attribute:: vrf
                    
                    	Configure WCCP for a VRF
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-wccp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ip.Wccp, self).__init__()

                        self.yang_name = "wccp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.Vasiright.Ip.Wccp.WebCache), "redirect" : ("redirect", Native.Interface.Vasiright.Ip.Wccp.Redirect)}
                        self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.Vasiright.Ip.Wccp.WccpList), "vrf" : ("vrf", Native.Interface.Vasiright.Ip.Wccp.Vrf)}

                        self.web_cache = Native.Interface.Vasiright.Ip.Wccp.WebCache()
                        self.web_cache.parent = self
                        self._children_name_map["web_cache"] = "web-cache"
                        self._children_yang_names.add("web-cache")

                        self.redirect = Native.Interface.Vasiright.Ip.Wccp.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.wccp_list = YList(self)
                        self.vrf = YList(self)
                        self._segment_path = lambda: "Cisco-IOS-XE-wccp:wccp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ip.Wccp, [], name, value)


                    class WccpList(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..254
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.WccpList.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Wccp.WccpList, self).__init__()

                            self.yang_name = "wccp-list"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Vasiright.Ip.Wccp.WccpList.Redirect)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.Vasiright.Ip.Wccp.WccpList.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Wccp.WccpList, ['id', 'group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Wccp.WccpList.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "wccp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.Wccp.WccpList.Redirect, ['in_', 'out'], name, value)


                    class WebCache(Entity):
                        """
                        Standard web caching service
                        
                        .. attribute:: group_listen
                        
                        	Listen for multicasted WCCP protocol packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redirect
                        
                        	Set packet redirection options for the service
                        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.WebCache.Redirect>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Wccp.WebCache, self).__init__()

                            self.yang_name = "web-cache"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Vasiright.Ip.Wccp.WebCache.Redirect)}
                            self._child_list_classes = {}

                            self.group_listen = YLeaf(YType.empty, "group-listen")

                            self.redirect = Native.Interface.Vasiright.Ip.Wccp.WebCache.Redirect()
                            self.redirect.parent = self
                            self._children_name_map["redirect"] = "redirect"
                            self._children_yang_names.add("redirect")
                            self._segment_path = lambda: "web-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Wccp.WebCache, ['group_listen'], name, value)


                        class Redirect(Entity):
                            """
                            Set packet redirection options for the service
                            
                            .. attribute:: in_
                            
                            	Redirect to a Cache Engine appropriate inbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Redirect to a Cache Engine appropriate outbound packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Wccp.WebCache.Redirect, self).__init__()

                                self.yang_name = "redirect"
                                self.yang_parent_name = "web-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "redirect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.Wccp.WebCache.Redirect, ['in_', 'out'], name, value)


                    class Redirect(Entity):
                        """
                        Set packet redirection options
                        
                        .. attribute:: exclude
                        
                        	Exclude packets from redirection
                        	**type**\:  :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Redirect.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Wccp.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"exclude" : ("exclude", Native.Interface.Vasiright.Ip.Wccp.Redirect.Exclude)}
                            self._child_list_classes = {}

                            self.exclude = Native.Interface.Vasiright.Ip.Wccp.Redirect.Exclude()
                            self.exclude.parent = self
                            self._children_name_map["exclude"] = "exclude"
                            self._children_yang_names.add("exclude")
                            self._segment_path = lambda: "redirect"


                        class Exclude(Entity):
                            """
                            Exclude packets from redirection
                            
                            .. attribute:: in_
                            
                            	Exclude inbound packets from outbound redirection
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Wccp.Redirect.Exclude, self).__init__()

                                self.yang_name = "exclude"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "exclude"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.Wccp.Redirect.Exclude, ['in_'], name, value)


                    class Vrf(Entity):
                        """
                        Configure WCCP for a VRF
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: wccp_list
                        
                        	
                        	**type**\: list of  		 :py:class:`WccpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList>`
                        
                        .. attribute:: web_cache
                        
                        	Standard web caching service
                        	**type**\:  :py:class:`WebCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache>`
                        
                        

                        """

                        _prefix = 'ios-wccp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ip.Wccp.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "wccp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"web-cache" : ("web_cache", Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache)}
                            self._child_list_classes = {"wccp-list" : ("wccp_list", Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList)}

                            self.name = YLeaf(YType.str, "name")

                            self.web_cache = Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache()
                            self.web_cache.parent = self
                            self._children_name_map["web_cache"] = "web-cache"
                            self._children_yang_names.add("web-cache")

                            self.wccp_list = YList(self)
                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ip.Wccp.Vrf, ['name'], name, value)


                        class WccpList(Entity):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..254
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList, self).__init__()

                                self.yang_name = "wccp-list"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList.Redirect)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint8, "id")

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "wccp-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList, ['id', 'group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "wccp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasiright.Ip.Wccp.Vrf.WccpList.Redirect, ['in_', 'out'], name, value)


                        class WebCache(Entity):
                            """
                            Standard web caching service
                            
                            .. attribute:: group_listen
                            
                            	Listen for multicasted WCCP protocol packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redirect
                            
                            	Set packet redirection options for the service
                            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache.Redirect>`
                            
                            

                            """

                            _prefix = 'ios-wccp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache, self).__init__()

                                self.yang_name = "web-cache"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redirect" : ("redirect", Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache.Redirect)}
                                self._child_list_classes = {}

                                self.group_listen = YLeaf(YType.empty, "group-listen")

                                self.redirect = Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache.Redirect()
                                self.redirect.parent = self
                                self._children_name_map["redirect"] = "redirect"
                                self._children_yang_names.add("redirect")
                                self._segment_path = lambda: "web-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache, ['group_listen'], name, value)


                            class Redirect(Entity):
                                """
                                Set packet redirection options for the service
                                
                                .. attribute:: in_
                                
                                	Redirect to a Cache Engine appropriate inbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Redirect to a Cache Engine appropriate outbound packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-wccp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache.Redirect, self).__init__()

                                    self.yang_name = "redirect"
                                    self.yang_parent_name = "web-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "redirect"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasiright.Ip.Wccp.Vrf.WebCache.Redirect, ['in_', 'out'], name, value)


            class Ipv6(Entity):
                """
                IPv6 interface subcommands
                
                .. attribute:: destination_guard
                
                	Configure ipv6 destination guard on the interface
                	**type**\:  :py:class:`DestinationGuard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.DestinationGuard>`
                
                	**presence node**\: True
                
                .. attribute:: dhcp
                
                	IPv6 DHCP interface subcommands
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Dhcp>`
                
                .. attribute:: address
                
                	Configure IPv6 address on interface
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Address>`
                
                .. attribute:: unnumbered
                
                	Preferred interface for source address selection
                	**type**\: str
                
                .. attribute:: enable
                
                	Enable IPv6 on interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mtu
                
                	Set IPv6 Maximum Transmission Unit
                	**type**\: int
                
                	**range:** 1280..9198
                
                .. attribute:: nd
                
                	IPv6 interface Neighbor Discovery subcommands
                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Nd>`
                
                .. attribute:: redirects
                
                	Enable sending ICMP Redirect messages
                	**type**\: bool
                
                .. attribute:: tcp
                
                	TCP header compression and other parameters
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Tcp>`
                
                .. attribute:: traffic_filter
                
                	Access control list for packets
                	**type**\: list of  		 :py:class:`TrafficFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.TrafficFilter>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"destination-guard" : ("destination_guard", Native.Interface.Vasiright.Ipv6.DestinationGuard), "dhcp" : ("dhcp", Native.Interface.Vasiright.Ipv6.Dhcp), "address" : ("address", Native.Interface.Vasiright.Ipv6.Address), "nd" : ("nd", Native.Interface.Vasiright.Ipv6.Nd), "tcp" : ("tcp", Native.Interface.Vasiright.Ipv6.Tcp)}
                    self._child_list_classes = {"traffic-filter" : ("traffic_filter", Native.Interface.Vasiright.Ipv6.TrafficFilter)}

                    self.unnumbered = YLeaf(YType.str, "unnumbered")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.mtu = YLeaf(YType.uint16, "mtu")

                    self.redirects = YLeaf(YType.boolean, "redirects")

                    self.destination_guard = None
                    self._children_name_map["destination_guard"] = "destination-guard"
                    self._children_yang_names.add("destination-guard")

                    self.dhcp = Native.Interface.Vasiright.Ipv6.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")

                    self.address = Native.Interface.Vasiright.Ipv6.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.nd = Native.Interface.Vasiright.Ipv6.Nd()
                    self.nd.parent = self
                    self._children_name_map["nd"] = "nd"
                    self._children_yang_names.add("nd")

                    self.tcp = Native.Interface.Vasiright.Ipv6.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.traffic_filter = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.Ipv6, ['unnumbered', 'enable', 'mtu', 'redirects'], name, value)


                class DestinationGuard(Entity):
                    """
                    Configure ipv6 destination guard on the interface
                    
                    .. attribute:: attach_policy
                    
                    	Apply a policy for feature ipv6 destguard
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ipv6.DestinationGuard, self).__init__()

                        self.yang_name = "destination-guard"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.attach_policy = YLeaf(YType.str, "attach-policy")
                        self._segment_path = lambda: "destination-guard"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ipv6.DestinationGuard, ['attach_policy'], name, value)


                class Dhcp(Entity):
                    """
                    IPv6 DHCP interface subcommands
                    
                    .. attribute:: client
                    
                    	Act as an IPv6 DHCP client
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Dhcp.Client>`
                    
                    .. attribute:: server
                    
                    	Act as an IPv6 DHCP server
                    	**type**\: list of  		 :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Dhcp.Server>`
                    
                    .. attribute:: guard
                    
                    	Configure IPv6 DHCP guard on the interface
                    	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Dhcp.Guard>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ipv6.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-dhcp:client" : ("client", Native.Interface.Vasiright.Ipv6.Dhcp.Client), "Cisco-IOS-XE-dhcp:guard" : ("guard", Native.Interface.Vasiright.Ipv6.Dhcp.Guard)}
                        self._child_list_classes = {"Cisco-IOS-XE-dhcp:server" : ("server", Native.Interface.Vasiright.Ipv6.Dhcp.Server)}

                        self.client = Native.Interface.Vasiright.Ipv6.Dhcp.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.guard = None
                        self._children_name_map["guard"] = "guard"
                        self._children_yang_names.add("guard")

                        self.server = YList(self)
                        self._segment_path = lambda: "dhcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ipv6.Dhcp, [], name, value)


                    class Client(Entity):
                        """
                        Act as an IPv6 DHCP client
                        
                        .. attribute:: request
                        
                        	Request
                        	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Dhcp.Client.Request>`
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ipv6.Dhcp.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"request" : ("request", Native.Interface.Vasiright.Ipv6.Dhcp.Client.Request)}
                            self._child_list_classes = {}

                            self.request = Native.Interface.Vasiright.Ipv6.Dhcp.Client.Request()
                            self.request.parent = self
                            self._children_name_map["request"] = "request"
                            self._children_yang_names.add("request")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:client"


                        class Request(Entity):
                            """
                            Request
                            
                            .. attribute:: vendor
                            
                            	Request Vendor specific options
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-dhcp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ipv6.Dhcp.Client.Request, self).__init__()

                                self.yang_name = "request"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vendor = YLeaf(YType.empty, "vendor")
                                self._segment_path = lambda: "request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ipv6.Dhcp.Client.Request, ['vendor'], name, value)


                    class Server(Entity):
                        """
                        Act as an IPv6 DHCP server
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: preference
                        
                        	Preference
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ipv6.Dhcp.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.preference = YLeaf(YType.uint8, "preference")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:server" + "[word='" + self.word.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ipv6.Dhcp.Server, ['word', 'preference'], name, value)


                    class Guard(Entity):
                        """
                        Configure IPv6 DHCP guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature DHCP Guard
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-dhcp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ipv6.Dhcp.Guard, self).__init__()

                            self.yang_name = "guard"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-dhcp:guard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ipv6.Dhcp.Guard, ['attach_policy'], name, value)


                class Address(Entity):
                    """
                    Configure IPv6 address on interface
                    
                    .. attribute:: dhcp
                    
                    	Obtain IPv6 address from DHCP server
                    	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Address.Dhcp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Address.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Address.PrefixList>`
                    
                    .. attribute:: link_local_address
                    
                    	
                    	**type**\: list of  		 :py:class:`LinkLocalAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Address.LinkLocalAddress>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ipv6.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dhcp" : ("dhcp", Native.Interface.Vasiright.Ipv6.Address.Dhcp), "autoconfig" : ("autoconfig", Native.Interface.Vasiright.Ipv6.Address.Autoconfig)}
                        self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Interface.Vasiright.Ipv6.Address.PrefixList), "link-local-address" : ("link_local_address", Native.Interface.Vasiright.Ipv6.Address.LinkLocalAddress)}

                        self.dhcp = None
                        self._children_name_map["dhcp"] = "dhcp"
                        self._children_yang_names.add("dhcp")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.prefix_list = YList(self)
                        self.link_local_address = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ipv6.Address, [], name, value)


                    class Dhcp(Entity):
                        """
                        Obtain IPv6 address from DHCP server
                        
                        .. attribute:: rapid_commit
                        
                        	rapid\-commit for prefix delegation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ipv6.Address.Dhcp, self).__init__()

                            self.yang_name = "dhcp"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rapid_commit = YLeaf(YType.empty, "rapid-commit")
                            self._segment_path = lambda: "dhcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ipv6.Address.Dhcp, ['rapid_commit'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ipv6.Address.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ipv6.Address.Autoconfig, ['default'], name, value)


                    class PrefixList(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: anycast
                        
                        	Configure as an anycast
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: eui_64
                        
                        	Use eui\-64 interface identifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ipv6.Address.PrefixList, self).__init__()

                            self.yang_name = "prefix-list"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.anycast = YLeaf(YType.empty, "anycast")

                            self.eui_64 = YLeaf(YType.empty, "eui-64")
                            self._segment_path = lambda: "prefix-list" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ipv6.Address.PrefixList, ['prefix', 'anycast', 'eui_64'], name, value)


                    class LinkLocalAddress(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: link_local
                        
                        	Use link\-local address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ipv6.Address.LinkLocalAddress, self).__init__()

                            self.yang_name = "link-local-address"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.link_local = YLeaf(YType.empty, "link-local")
                            self._segment_path = lambda: "link-local-address" + "[address='" + self.address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ipv6.Address.LinkLocalAddress, ['address', 'link_local'], name, value)


                class Nd(Entity):
                    """
                    IPv6 interface Neighbor Discovery subcommands
                    
                    .. attribute:: raguard
                    
                    	Configure RA guard on the interface
                    	**type**\:  :py:class:`Raguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Nd.Raguard>`
                    
                    .. attribute:: autoconfig
                    
                    	Obtain address using autoconfiguration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Nd.Autoconfig>`
                    
                    .. attribute:: managed_config_flag
                    
                    	Use DHCP for IPv6 address configuration
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ra
                    
                    	IPv6 nd router alert configuration
                    	**type**\:  :py:class:`Ra <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Nd.Ra>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ipv6.Nd, self).__init__()

                        self.yang_name = "nd"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"Cisco-IOS-XE-nd:raguard" : ("raguard", Native.Interface.Vasiright.Ipv6.Nd.Raguard), "Cisco-IOS-XE-nd:autoconfig" : ("autoconfig", Native.Interface.Vasiright.Ipv6.Nd.Autoconfig), "Cisco-IOS-XE-nd:ra" : ("ra", Native.Interface.Vasiright.Ipv6.Nd.Ra)}
                        self._child_list_classes = {}

                        self.managed_config_flag = YLeaf(YType.empty, "Cisco-IOS-XE-nd:managed-config-flag")

                        self.raguard = Native.Interface.Vasiright.Ipv6.Nd.Raguard()
                        self.raguard.parent = self
                        self._children_name_map["raguard"] = "raguard"
                        self._children_yang_names.add("raguard")

                        self.autoconfig = Native.Interface.Vasiright.Ipv6.Nd.Autoconfig()
                        self.autoconfig.parent = self
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.ra = Native.Interface.Vasiright.Ipv6.Nd.Ra()
                        self.ra.parent = self
                        self._children_name_map["ra"] = "ra"
                        self._children_yang_names.add("ra")
                        self._segment_path = lambda: "nd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ipv6.Nd, ['managed_config_flag'], name, value)


                    class Raguard(Entity):
                        """
                        Configure RA guard on the interface
                        
                        .. attribute:: attach_policy
                        
                        	Apply a policy for feature RA guard
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ipv6.Nd.Raguard, self).__init__()

                            self.yang_name = "raguard"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.attach_policy = YLeaf(YType.str, "attach-policy")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:raguard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ipv6.Nd.Raguard, ['attach_policy'], name, value)


                    class Autoconfig(Entity):
                        """
                        Obtain address using autoconfiguration
                        
                        .. attribute:: default_route
                        
                        	Insert default route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: prefix
                        
                        	Insert auto\-configured prefix
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ipv6.Nd.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.default_route = YLeaf(YType.empty, "default-route")

                            self.prefix = YLeaf(YType.empty, "prefix")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Ipv6.Nd.Autoconfig, ['default_route', 'prefix'], name, value)


                    class Ra(Entity):
                        """
                        IPv6 nd router alert configuration
                        
                        .. attribute:: suppress
                        
                        	Suppress IPv6 router\-alert configuration
                        	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.Nd.Ra.Suppress>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-nd'
                        _revision = '2017-04-07'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Ipv6.Nd.Ra, self).__init__()

                            self.yang_name = "ra"
                            self.yang_parent_name = "nd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"suppress" : ("suppress", Native.Interface.Vasiright.Ipv6.Nd.Ra.Suppress)}
                            self._child_list_classes = {}

                            self.suppress = None
                            self._children_name_map["suppress"] = "suppress"
                            self._children_yang_names.add("suppress")
                            self._segment_path = lambda: "Cisco-IOS-XE-nd:ra"


                        class Suppress(Entity):
                            """
                            Suppress IPv6 router\-alert configuration
                            
                            .. attribute:: all
                            
                            	Suppress all IPv6 RA
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-nd'
                            _revision = '2017-04-07'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Ipv6.Nd.Ra.Suppress, self).__init__()

                                self.yang_name = "suppress"
                                self.yang_parent_name = "ra"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.all = YLeaf(YType.empty, "all")
                                self._segment_path = lambda: "suppress"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Ipv6.Nd.Ra.Suppress, ['all'], name, value)


                class Tcp(Entity):
                    """
                    TCP header compression and other parameters
                    
                    .. attribute:: adjust_mss
                    
                    	Adjust the mss of transit packets
                    	**type**\: int
                    
                    	**range:** 40..1454
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ipv6.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.adjust_mss = YLeaf(YType.uint16, "adjust-mss")
                        self._segment_path = lambda: "tcp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ipv6.Tcp, ['adjust_mss'], name, value)


                class TrafficFilter(Entity):
                    """
                    Access control list for packets
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Ipv6.TrafficFilter.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Ipv6.TrafficFilter, self).__init__()

                        self.yang_name = "traffic-filter"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "traffic-filter" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Ipv6.TrafficFilter, ['direction', 'access_list'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Configure logging for interface
                
                .. attribute:: event
                
                	Interface events
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Logging.Event>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"event" : ("event", Native.Interface.Vasiright.Logging.Event)}
                    self._child_list_classes = {}

                    self.event = Native.Interface.Vasiright.Logging.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")
                    self._segment_path = lambda: "logging"


                class Event(Entity):
                    """
                    Interface events
                    
                    .. attribute:: bundle_status
                    
                    	BUNDLE/UNBUNDLE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_status
                    
                    	UPDOWN and CHANGE messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trunk_status
                    
                    	TRUNK status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nfas_status
                    
                    	NFAS D\-channel status messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: power_inline_status
                    
                    	Inline power messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: status
                    
                    	Spanning\-tree state change messages
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spanning_tree
                    
                    	Spanning\-tree Interface events
                    	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Logging.Event.SpanningTree>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: subif_link_status
                    
                    	Sub\-interface UPDOWN and CHANGE messages
                    	**type**\:  :py:class:`SubifLinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Logging.Event.SubifLinkStatus>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Logging.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"spanning-tree" : ("spanning_tree", Native.Interface.Vasiright.Logging.Event.SpanningTree), "subif-link-status" : ("subif_link_status", Native.Interface.Vasiright.Logging.Event.SubifLinkStatus)}
                        self._child_list_classes = {}

                        self.bundle_status = YLeaf(YType.empty, "bundle-status")

                        self.link_status = YLeaf(YType.empty, "link-status")

                        self.trunk_status = YLeaf(YType.empty, "trunk-status")

                        self.nfas_status = YLeaf(YType.empty, "nfas-status")

                        self.power_inline_status = YLeaf(YType.empty, "power-inline-status")

                        self.status = YLeaf(YType.empty, "status")

                        self.spanning_tree = None
                        self._children_name_map["spanning_tree"] = "spanning-tree"
                        self._children_yang_names.add("spanning-tree")

                        self.subif_link_status = None
                        self._children_name_map["subif_link_status"] = "subif-link-status"
                        self._children_yang_names.add("subif-link-status")
                        self._segment_path = lambda: "event"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Logging.Event, ['bundle_status', 'link_status', 'trunk_status', 'nfas_status', 'power_inline_status', 'status'], name, value)


                    class SpanningTree(Entity):
                        """
                        Spanning\-tree Interface events
                        
                        .. attribute:: status
                        
                        	Spanning\-tree state change messages
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Logging.Event.SpanningTree, self).__init__()

                            self.yang_name = "spanning-tree"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "spanning-tree"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Logging.Event.SpanningTree, ['status'], name, value)


                    class SubifLinkStatus(Entity):
                        """
                        Sub\-interface UPDOWN and CHANGE messages
                        
                        .. attribute:: ignore_bulk
                        
                        	Do not log messages when the main interface is transitioning
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Logging.Event.SubifLinkStatus, self).__init__()

                            self.yang_name = "subif-link-status"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ignore_bulk = YLeaf(YType.empty, "ignore-bulk")
                            self._segment_path = lambda: "subif-link-status"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Logging.Event.SubifLinkStatus, ['ignore_bulk'], name, value)


            class Mdix(Entity):
                """
                Set Media Dependent Interface with Crossover
                
                .. attribute:: auto
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Mdix, self).__init__()

                    self.yang_name = "mdix"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.auto = YLeaf(YType.boolean, "auto")
                    self._segment_path = lambda: "mdix"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.Mdix, ['auto'], name, value)


            class Mop(Entity):
                """
                
                
                .. attribute:: enabled
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Mop, self).__init__()

                    self.yang_name = "mop"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enabled = YLeaf(YType.boolean, "enabled")
                    self._segment_path = lambda: "mop"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.Mop, ['enabled'], name, value)


            class InterfaceQos(Entity):
                """
                
                
                .. attribute:: trust
                
                	
                	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.InterfaceQos.Trust>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.InterfaceQos, self).__init__()

                    self.yang_name = "interface_qos"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"trust" : ("trust", Native.Interface.Vasiright.InterfaceQos.Trust)}
                    self._child_list_classes = {}

                    self.trust = Native.Interface.Vasiright.InterfaceQos.Trust()
                    self.trust.parent = self
                    self._children_name_map["trust"] = "trust"
                    self._children_yang_names.add("trust")
                    self._segment_path = lambda: "interface_qos"


                class Trust(Entity):
                    """
                    
                    
                    .. attribute:: device
                    
                    	
                    	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.InterfaceQos.Trust.Device>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.InterfaceQos.Trust, self).__init__()

                        self.yang_name = "trust"
                        self.yang_parent_name = "interface_qos"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.device = YLeaf(YType.enumeration, "device")
                        self._segment_path = lambda: "trust"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.InterfaceQos.Trust, ['device'], name, value)

                    class Device(Enum):
                        """
                        Device

                        .. data:: cisco_phone = 0

                        """

                        cisco_phone = Enum.YLeaf(0, "cisco-phone")



            class Standby(Entity):
                """
                HSRP interface configuration commands
                
                .. attribute:: version
                
                	HSRP version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.Version>`
                
                .. attribute:: bfd
                
                	Enable HSRP BFD
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: delay
                
                	HSRP initialisation delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.Delay>`
                
                .. attribute:: mac_refresh
                
                	Refresh MAC cache on switch by periodically sending packet from virtual mac address
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: use_bia
                
                	HSRP uses interface's burned in address
                	**type**\:  :py:class:`UseBia <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.UseBia>`
                
                	**presence node**\: True
                
                .. attribute:: standby_list
                
                	
                	**type**\: list of  		 :py:class:`StandbyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Interface.Vasiright.Standby.Delay), "use-bia" : ("use_bia", Native.Interface.Vasiright.Standby.UseBia)}
                    self._child_list_classes = {"standby-list" : ("standby_list", Native.Interface.Vasiright.Standby.StandbyList)}

                    self.version = YLeaf(YType.enumeration, "version")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.mac_refresh = YLeaf(YType.uint8, "mac-refresh")

                    self.delay = Native.Interface.Vasiright.Standby.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.use_bia = None
                    self._children_name_map["use_bia"] = "use-bia"
                    self._children_yang_names.add("use-bia")

                    self.standby_list = YList(self)
                    self._segment_path = lambda: "standby"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.Standby, ['version', 'bfd', 'mac_refresh'], name, value)

                class Version(Enum):
                    """
                    Version

                    HSRP version

                    .. data:: Y_1 = 0

                    .. data:: Y_2 = 1

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_2 = Enum.YLeaf(1, "2")



                class Delay(Entity):
                    """
                    HSRP initialisation delay
                    
                    .. attribute:: minimum
                    
                    	Minimum delay
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    .. attribute:: reload
                    
                    	Delay after reload
                    	**type**\: int
                    
                    	**range:** 0..10000
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Standby.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.minimum = YLeaf(YType.uint16, "minimum")

                        self.reload = YLeaf(YType.uint16, "reload")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Standby.Delay, ['minimum', 'reload'], name, value)


                class UseBia(Entity):
                    """
                    HSRP uses interface's burned in address
                    
                    .. attribute:: scope
                    
                    	Specify the scope of use\-bia
                    	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.UseBia.Scope>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Standby.UseBia, self).__init__()

                        self.yang_name = "use-bia"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"scope" : ("scope", Native.Interface.Vasiright.Standby.UseBia.Scope)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.scope = Native.Interface.Vasiright.Standby.UseBia.Scope()
                        self.scope.parent = self
                        self._children_name_map["scope"] = "scope"
                        self._children_yang_names.add("scope")
                        self._segment_path = lambda: "use-bia"


                    class Scope(Entity):
                        """
                        Specify the scope of use\-bia
                        
                        .. attribute:: interface
                        
                        	Use\-bia applies to all groups on this interface or sub\-interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Standby.UseBia.Scope, self).__init__()

                            self.yang_name = "scope"
                            self.yang_parent_name = "use-bia"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.empty, "interface")
                            self._segment_path = lambda: "scope"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Standby.UseBia.Scope, ['interface'], name, value)


                class StandbyList(Entity):
                    """
                    
                    
                    .. attribute:: group_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: authentication
                    
                    	Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Authentication>`
                    
                    .. attribute:: follow
                    
                    	Name of HSRP group to follow
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Enable HSRP and set the virtual IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	Enable HSRP IPv6
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    		**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Ipv6>`
                    
                    .. attribute:: mac_address
                    
                    	Virtual MAC address
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	Redundancy name string
                    	**type**\: str
                    
                    .. attribute:: preempt
                    
                    	Overthrow lower priority Active routers
                    	**type**\:  :py:class:`Preempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Preempt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: priority
                    
                    	Priority level
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: redirect
                    
                    	Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                    	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect>`
                    
                    .. attribute:: timers
                    
                    	Hello and hold timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Timers>`
                    
                    .. attribute:: track
                    
                    	Priority tracking
                    	**type**\: list of  		 :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Track>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Standby.StandbyList, self).__init__()

                        self.yang_name = "standby-list"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Vasiright.Standby.StandbyList.Authentication), "ip" : ("ip", Native.Interface.Vasiright.Standby.StandbyList.Ip), "preempt" : ("preempt", Native.Interface.Vasiright.Standby.StandbyList.Preempt), "redirect" : ("redirect", Native.Interface.Vasiright.Standby.StandbyList.Redirect), "timers" : ("timers", Native.Interface.Vasiright.Standby.StandbyList.Timers)}
                        self._child_list_classes = {"track" : ("track", Native.Interface.Vasiright.Standby.StandbyList.Track)}

                        self.group_number = YLeaf(YType.uint16, "group-number")

                        self.follow = YLeaf(YType.str, "follow")

                        self.ipv6 = YLeaf(YType.str, "ipv6")

                        self.mac_address = YLeaf(YType.str, "mac-address")

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Interface.Vasiright.Standby.StandbyList.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.preempt = None
                        self._children_name_map["preempt"] = "preempt"
                        self._children_yang_names.add("preempt")

                        self.redirect = Native.Interface.Vasiright.Standby.StandbyList.Redirect()
                        self.redirect.parent = self
                        self._children_name_map["redirect"] = "redirect"
                        self._children_yang_names.add("redirect")

                        self.timers = Native.Interface.Vasiright.Standby.StandbyList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.track = YList(self)
                        self._segment_path = lambda: "standby-list" + "[group-number='" + self.group_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.Standby.StandbyList, ['group_number', 'follow', 'ipv6', 'mac_address', 'name', 'priority'], name, value)

                    class Ipv6(Enum):
                        """
                        Ipv6

                        Enable HSRP IPv6

                        .. data:: autoconfig = 0

                        """

                        autoconfig = Enum.YLeaf(0, "autoconfig")



                    class Authentication(Entity):
                        """
                        Authentication
                        
                        .. attribute:: word
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: md5
                        
                        	Use MD5 authentication
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5>`
                        
                        .. attribute:: text
                        
                        	Plain text authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Standby.StandbyList.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.text = YLeaf(YType.str, "text")

                            self.md5 = Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Standby.StandbyList.Authentication, ['word', 'text'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 authentication
                            
                            .. attribute:: key_chain
                            
                            	Set key chain
                            	**type**\: str
                            
                            .. attribute:: key_string
                            
                            	Set key string
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.key_string = Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString()
                                self.key_string.parent = self
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5, ['key_chain'], name, value)


                            class KeyString(Entity):
                                """
                                Set key string
                                
                                .. attribute:: encrypt
                                
                                	
                                	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString.Encrypt>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: timeout
                                
                                	Set timeout
                                	**type**\: int
                                
                                	**range:** 0..32767
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "md5"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                    self.string = YLeaf(YType.str, "string")

                                    self.timeout = YLeaf(YType.uint16, "timeout")
                                    self._segment_path = lambda: "key-string"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasiright.Standby.StandbyList.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                class Encrypt(Enum):
                                    """
                                    Encrypt

                                    .. data:: Y_0 = 0

                                    .. data:: Y_7 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Enable HSRP and set the virtual IP address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: secondary
                        
                        	Make this IP address a secondary virtual IP address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Standby.StandbyList.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.address = YLeaf(YType.str, "address")

                            self.secondary = YLeaf(YType.empty, "secondary")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Standby.StandbyList.Ip, ['address', 'secondary'], name, value)


                    class Preempt(Entity):
                        """
                        Overthrow lower priority Active routers
                        
                        .. attribute:: delay
                        
                        	Wait before preempting
                        	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Preempt.Delay>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Standby.StandbyList.Preempt, self).__init__()

                            self.yang_name = "preempt"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delay" : ("delay", Native.Interface.Vasiright.Standby.StandbyList.Preempt.Delay)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.delay = Native.Interface.Vasiright.Standby.StandbyList.Preempt.Delay()
                            self.delay.parent = self
                            self._children_name_map["delay"] = "delay"
                            self._children_yang_names.add("delay")
                            self._segment_path = lambda: "preempt"


                        class Delay(Entity):
                            """
                            Wait before preempting
                            
                            .. attribute:: minimum
                            
                            	Delay at least this long
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: reload
                            
                            	Delay after reload
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: sync
                            
                            	Wait for IP redundancy client
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Standby.StandbyList.Preempt.Delay, self).__init__()

                                self.yang_name = "delay"
                                self.yang_parent_name = "preempt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.minimum = YLeaf(YType.uint16, "minimum")

                                self.reload = YLeaf(YType.uint16, "reload")

                                self.sync = YLeaf(YType.uint16, "sync")
                                self._segment_path = lambda: "delay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Standby.StandbyList.Preempt.Delay, ['minimum', 'reload', 'sync'], name, value)


                    class Redirect(Entity):
                        """
                        Configure sending of ICMP Redirect messages with an HSRP virtual IP address as the gateway IP address
                        
                        .. attribute:: advertisement
                        
                        	Redirect advertisement messages
                        	**type**\:  :py:class:`Advertisement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement>`
                        
                        .. attribute:: timers
                        
                        	Adjust redirect timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect.Timers>`
                        
                        .. attribute:: unknown
                        
                        	Redirect to non\-HSRP routers
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Standby.StandbyList.Redirect, self).__init__()

                            self.yang_name = "redirect"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertisement" : ("advertisement", Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement), "timers" : ("timers", Native.Interface.Vasiright.Standby.StandbyList.Redirect.Timers)}
                            self._child_list_classes = {}

                            self.unknown = YLeaf(YType.empty, "unknown")

                            self.advertisement = Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement()
                            self.advertisement.parent = self
                            self._children_name_map["advertisement"] = "advertisement"
                            self._children_yang_names.add("advertisement")

                            self.timers = Native.Interface.Vasiright.Standby.StandbyList.Redirect.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")
                            self._segment_path = lambda: "redirect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Standby.StandbyList.Redirect, ['unknown'], name, value)


                        class Advertisement(Entity):
                            """
                            Redirect advertisement messages
                            
                            .. attribute:: authentication
                            
                            	Authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement, self).__init__()

                                self.yang_name = "advertisement"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication)}
                                self._child_list_classes = {}

                                self.authentication = Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")
                                self._segment_path = lambda: "advertisement"


                            class Authentication(Entity):
                                """
                                Authentication
                                
                                .. attribute:: md5
                                
                                	Use MD5 authentication
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "advertisement"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5)}
                                    self._child_list_classes = {}

                                    self.md5 = Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "authentication"


                                class Md5(Entity):
                                    """
                                    Use MD5 authentication
                                    
                                    .. attribute:: key_chain
                                    
                                    	Set key chain
                                    	**type**\: str
                                    
                                    .. attribute:: key_string
                                    
                                    	Set key string
                                    	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-string" : ("key_string", Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString)}
                                        self._child_list_classes = {}

                                        self.key_chain = YLeaf(YType.str, "key-chain")

                                        self.key_string = Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString()
                                        self.key_string.parent = self
                                        self._children_name_map["key_string"] = "key-string"
                                        self._children_yang_names.add("key-string")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5, ['key_chain'], name, value)


                                    class KeyString(Entity):
                                        """
                                        Set key string
                                        
                                        .. attribute:: encrypt
                                        
                                        	
                                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString.Encrypt>`
                                        
                                        .. attribute:: string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: timeout
                                        
                                        	Set timeout
                                        	**type**\: int
                                        
                                        	**range:** 0..32767
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, self).__init__()

                                            self.yang_name = "key-string"
                                            self.yang_parent_name = "md5"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                                            self.string = YLeaf(YType.str, "string")

                                            self.timeout = YLeaf(YType.uint16, "timeout")
                                            self._segment_path = lambda: "key-string"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Interface.Vasiright.Standby.StandbyList.Redirect.Advertisement.Authentication.Md5.KeyString, ['encrypt', 'string', 'timeout'], name, value)

                                        class Encrypt(Enum):
                                            """
                                            Encrypt

                                            .. data:: Y_0 = 0

                                            .. data:: Y_7 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_7 = Enum.YLeaf(1, "7")



                        class Timers(Entity):
                            """
                            Adjust redirect timers
                            
                            .. attribute:: advertisement
                            
                            	
                            	**type**\: int
                            
                            	**range:** 10..180
                            
                            .. attribute:: holddown
                            
                            	
                            	**type**\: int
                            
                            	**range:** 30..3600
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Standby.StandbyList.Redirect.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "redirect"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.advertisement = YLeaf(YType.uint16, "advertisement")

                                self.holddown = YLeaf(YType.uint16, "holddown")
                                self._segment_path = lambda: "timers"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Standby.StandbyList.Redirect.Timers, ['advertisement', 'holddown'], name, value)


                    class Timers(Entity):
                        """
                        Hello and hold timers
                        
                        .. attribute:: hello_interval
                        
                        	
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Timers.HelloInterval>`
                        
                        .. attribute:: hold_time
                        
                        	
                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Standby.StandbyList.Timers.HoldTime>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Standby.StandbyList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hello-interval" : ("hello_interval", Native.Interface.Vasiright.Standby.StandbyList.Timers.HelloInterval), "hold-time" : ("hold_time", Native.Interface.Vasiright.Standby.StandbyList.Timers.HoldTime)}
                            self._child_list_classes = {}

                            self.hello_interval = Native.Interface.Vasiright.Standby.StandbyList.Timers.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")

                            self.hold_time = Native.Interface.Vasiright.Standby.StandbyList.Timers.HoldTime()
                            self.hold_time.parent = self
                            self._children_name_map["hold_time"] = "hold-time"
                            self._children_yang_names.add("hold-time")
                            self._segment_path = lambda: "timers"


                        class HelloInterval(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            .. attribute:: msec
                            
                            	Specify hello interval in milliseconds
                            	**type**\: int
                            
                            	**range:** 15..999
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Standby.StandbyList.Timers.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Standby.StandbyList.Timers.HelloInterval, ['seconds', 'msec'], name, value)


                        class HoldTime(Entity):
                            """
                            
                            
                            .. attribute:: seconds
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: msec
                            
                            	Specify hold time in milliseconds
                            	**type**\: int
                            
                            	**range:** 50..3000
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Standby.StandbyList.Timers.HoldTime, self).__init__()

                                self.yang_name = "hold-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.seconds = YLeaf(YType.uint8, "seconds")

                                self.msec = YLeaf(YType.uint16, "msec")
                                self._segment_path = lambda: "hold-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Standby.StandbyList.Timers.HoldTime, ['seconds', 'msec'], name, value)


                    class Track(Entity):
                        """
                        Priority tracking
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: decrement
                        
                        	Priority decrement
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: shutdown
                        
                        	Shutdown group
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Standby.StandbyList.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "standby-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint16, "number")

                            self.decrement = YLeaf(YType.uint8, "decrement")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "track" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.Standby.StandbyList.Track, ['number', 'decrement', 'shutdown'], name, value)


            class AccessSession(Entity):
                """
                Access Session specific Interface Configuration Commands
                
                .. attribute:: closed
                
                	Enable closed access on port (disabled by default, i.e. open access)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_control
                
                	Set the port\-control value
                	**type**\:  :py:class:`PortControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.AccessSession.PortControl>`
                
                .. attribute:: host_mode
                
                	Set the Host mode for authentication on this interface
                	**type**\:  :py:class:`HostMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.AccessSession.HostMode>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.AccessSession, self).__init__()

                    self.yang_name = "access-session"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"port-control" : ("port_control", Native.Interface.Vasiright.AccessSession.PortControl)}
                    self._child_list_classes = {}

                    self.closed = YLeaf(YType.empty, "closed")

                    self.host_mode = YLeaf(YType.enumeration, "host-mode")

                    self.port_control = Native.Interface.Vasiright.AccessSession.PortControl()
                    self.port_control.parent = self
                    self._children_name_map["port_control"] = "port-control"
                    self._children_yang_names.add("port-control")
                    self._segment_path = lambda: "access-session"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.AccessSession, ['closed', 'host_mode'], name, value)

                class HostMode(Enum):
                    """
                    HostMode

                    Set the Host mode for authentication on this interface

                    .. data:: multi_auth = 0

                    .. data:: multi_domain = 1

                    .. data:: multi_host = 2

                    .. data:: single_host = 3

                    """

                    multi_auth = Enum.YLeaf(0, "multi-auth")

                    multi_domain = Enum.YLeaf(1, "multi-domain")

                    multi_host = Enum.YLeaf(2, "multi-host")

                    single_host = Enum.YLeaf(3, "single-host")



                class PortControl(Entity):
                    """
                    Set the port\-control value
                    
                    .. attribute:: auto
                    
                    	PortState set to automatic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.AccessSession.PortControl, self).__init__()

                        self.yang_name = "port-control"
                        self.yang_parent_name = "access-session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.auto = YLeaf(YType.empty, "auto")
                        self._segment_path = lambda: "port-control"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.AccessSession.PortControl, ['auto'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: action
                
                	Action to take for storm..control;
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Action>`
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Broadcast>`
                
                .. attribute:: multicast
                
                	Multicast address storm control
                	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Multicast>`
                
                .. attribute:: unicast
                
                	Unicast address storm control
                	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Unicast>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"action" : ("action", Native.Interface.Vasiright.StormControl.Action), "broadcast" : ("broadcast", Native.Interface.Vasiright.StormControl.Broadcast), "multicast" : ("multicast", Native.Interface.Vasiright.StormControl.Multicast), "unicast" : ("unicast", Native.Interface.Vasiright.StormControl.Unicast)}
                    self._child_list_classes = {}

                    self.action = Native.Interface.Vasiright.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")

                    self.broadcast = Native.Interface.Vasiright.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.multicast = Native.Interface.Vasiright.StormControl.Multicast()
                    self.multicast.parent = self
                    self._children_name_map["multicast"] = "multicast"
                    self._children_yang_names.add("multicast")

                    self.unicast = Native.Interface.Vasiright.StormControl.Unicast()
                    self.unicast.parent = self
                    self._children_name_map["unicast"] = "unicast"
                    self._children_yang_names.add("unicast")
                    self._segment_path = lambda: "storm-control"


                class Action(Entity):
                    """
                    Action to take for storm..control;
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\: Decimal64
                    
                    	**range:** 0..100
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.str, "level")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.StormControl.Action, ['level', 'shutdown', 'trap'], name, value)


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: include
                    
                    	
                    	**type**\:  :py:class:`Include <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Broadcast.Include>`
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"include" : ("include", Native.Interface.Vasiright.StormControl.Broadcast.Include), "level" : ("level", Native.Interface.Vasiright.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.include = Native.Interface.Vasiright.StormControl.Broadcast.Include()
                        self.include.parent = self
                        self._children_name_map["include"] = "include"
                        self._children_yang_names.add("include")

                        self.level = Native.Interface.Vasiright.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"


                    class Include(Entity):
                        """
                        
                        
                        .. attribute:: multicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.StormControl.Broadcast.Include, self).__init__()

                            self.yang_name = "include"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.multicast = YLeaf(YType.empty, "multicast")
                            self._segment_path = lambda: "include"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.StormControl.Broadcast.Include, ['multicast'], name, value)


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Broadcast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Vasiright.StormControl.Broadcast.Level.Bps), "pps" : ("pps", Native.Interface.Vasiright.StormControl.Broadcast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Vasiright.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Vasiright.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]>
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]> 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.StormControl.Broadcast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.StormControl.Broadcast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Multicast(Entity):
                    """
                    Multicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Multicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.StormControl.Multicast, self).__init__()

                        self.yang_name = "multicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Vasiright.StormControl.Multicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Vasiright.StormControl.Multicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "multicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\: Decimal64
                        
                        	**range:** 0..100
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Multicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Multicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.StormControl.Multicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "multicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"bps" : ("bps", Native.Interface.Vasiright.StormControl.Multicast.Level.Bps), "pps" : ("pps", Native.Interface.Vasiright.StormControl.Multicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.bps = Native.Interface.Vasiright.StormControl.Multicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Vasiright.StormControl.Multicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.StormControl.Multicast.Level, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g] 
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.StormControl.Multicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.StormControl.Multicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.StormControl.Multicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.StormControl.Multicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


                class Unicast(Entity):
                    """
                    Unicast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Unicast.Level>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.StormControl.Unicast, self).__init__()

                        self.yang_name = "unicast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level" : ("level", Native.Interface.Vasiright.StormControl.Unicast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Interface.Vasiright.StormControl.Unicast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "unicast"


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: threshold
                        
                        	Broadcast address storm control
                        	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Unicast.Level.Threshold>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Unicast.Level.Bps>`
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.StormControl.Unicast.Level.Pps>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.StormControl.Unicast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "unicast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"threshold" : ("threshold", Native.Interface.Vasiright.StormControl.Unicast.Level.Threshold), "bps" : ("bps", Native.Interface.Vasiright.StormControl.Unicast.Level.Bps), "pps" : ("pps", Native.Interface.Vasiright.StormControl.Unicast.Level.Pps)}
                            self._child_list_classes = {}

                            self.threshold = Native.Interface.Vasiright.StormControl.Unicast.Level.Threshold()
                            self.threshold.parent = self
                            self._children_name_map["threshold"] = "threshold"
                            self._children_yang_names.add("threshold")

                            self.bps = Native.Interface.Vasiright.StormControl.Unicast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")

                            self.pps = Native.Interface.Vasiright.StormControl.Unicast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")
                            self._segment_path = lambda: "level"


                        class Threshold(Entity):
                            """
                            Broadcast address storm control
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.StormControl.Unicast.Level.Threshold, self).__init__()

                                self.yang_name = "threshold"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "threshold"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.StormControl.Unicast.Level.Threshold, ['rising_threshold', 'falling_threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.StormControl.Unicast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "bps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.StormControl.Unicast.Level.Bps, ['rising_threshold', 'falling_threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: rising_threshold
                            
                            	Enter rising threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            .. attribute:: falling_threshold
                            
                            	Enter falling threshold \- <0.0 \- 10000000000.0>[k\|m\|g]
                            	**type**\: str
                            
                            	**pattern:** [0\-9]+.?[0\-9]\*[k\|m\|g]?
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.StormControl.Unicast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rising_threshold = YLeaf(YType.str, "rising-threshold")

                                self.falling_threshold = YLeaf(YType.str, "falling-threshold")
                                self._segment_path = lambda: "pps"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.StormControl.Unicast.Level.Pps, ['rising_threshold', 'falling_threshold'], name, value)


            class Trust(Entity):
                """
                Set trust value for the interface
                
                .. attribute:: device
                
                	trusted device class
                	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Trust.Device>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Trust, self).__init__()

                    self.yang_name = "trust"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.device = YLeaf(YType.enumeration, "device")
                    self._segment_path = lambda: "trust"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.Trust, ['device'], name, value)

                class Device(Enum):
                    """
                    Device

                    trusted device class

                    .. data:: cisco_phone = 0

                    .. data:: cts = 1

                    .. data:: ip_camera = 2

                    .. data:: media_player = 3

                    """

                    cisco_phone = Enum.YLeaf(0, "cisco-phone")

                    cts = Enum.YLeaf(1, "cts")

                    ip_camera = Enum.YLeaf(2, "ip-camera")

                    media_player = Enum.YLeaf(3, "media-player")



            class PriorityQueue(Entity):
                """
                Configure priority scheduling
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue
                	**type**\:  :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.PriorityQueue.CosMap>`
                
                .. attribute:: out
                
                	egress priority queue
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.PriorityQueue, self).__init__()

                    self.yang_name = "priority-queue"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cos-map" : ("cos_map", Native.Interface.Vasiright.PriorityQueue.CosMap)}
                    self._child_list_classes = {}

                    self.out = YLeaf(YType.empty, "out")

                    self.cos_map = Native.Interface.Vasiright.PriorityQueue.CosMap()
                    self.cos_map.parent = self
                    self._children_name_map["cos_map"] = "cos-map"
                    self._children_yang_names.add("cos-map")
                    self._segment_path = lambda: "priority-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.PriorityQueue, ['out'], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.PriorityQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "priority-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint8, "id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.PriorityQueue.CosMap, ['id', 'cos_values'], name, value)


            class RcvQueue(Entity):
                """
                Configure receive queue(s)
                
                .. attribute:: cos_map
                
                	Configure cos\-map for a queue threshold
                	**type**\: list of  		 :py:class:`CosMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.RcvQueue.CosMap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.RcvQueue, self).__init__()

                    self.yang_name = "rcv-queue"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"cos-map" : ("cos_map", Native.Interface.Vasiright.RcvQueue.CosMap)}

                    self.cos_map = YList(self)
                    self._segment_path = lambda: "rcv-queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.RcvQueue, [], name, value)


                class CosMap(Entity):
                    """
                    Configure cos\-map for a queue threshold
                    
                    .. attribute:: queue_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    .. attribute:: threshold_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..8
                    
                    .. attribute:: cos_values
                    
                    	
                    	**type**\: list of int
                    
                    	**range:** 0..7
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.RcvQueue.CosMap, self).__init__()

                        self.yang_name = "cos-map"
                        self.yang_parent_name = "rcv-queue"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.queue_id = YLeaf(YType.uint8, "queue-id")

                        self.threshold_id = YLeaf(YType.uint8, "threshold-id")

                        self.cos_values = YLeafList(YType.uint8, "cos-values")
                        self._segment_path = lambda: "cos-map" + "[queue-id='" + self.queue_id.get() + "']" + "[threshold-id='" + self.threshold_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Interface.Vasiright.RcvQueue.CosMap, ['queue_id', 'threshold_id', 'cos_values'], name, value)


            class Peer(Entity):
                """
                Peer parameters for point to point interfaces
                
                .. attribute:: default
                
                	Specify default parameters
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Peer.Default>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Interface.Vasiright.Peer.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Interface.Vasiright.Peer.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "peer"


                class Default(Entity):
                    """
                    Specify default parameters
                    
                    .. attribute:: ip
                    
                    	Specify default IP parameters
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Peer.Default.Ip>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Interface.Vasiright.Peer.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Interface.Vasiright.Peer.Default.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Interface.Vasiright.Peer.Default.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "default"


                    class Ip(Entity):
                        """
                        Specify default IP parameters
                        
                        .. attribute:: address
                        
                        	Specify default IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Peer.Default.Ip.Address>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Interface.Vasiright.Peer.Default.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Interface.Vasiright.Peer.Default.Ip.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Interface.Vasiright.Peer.Default.Ip.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "ip"


                        class Address(Entity):
                            """
                            Specify default IP address
                            
                            .. attribute:: dhcp
                            
                            	Use DHCP proxy client mechanism to allocate a peer IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dhcp_pool
                            
                            	Use local DHCP pools to allocate a peer IP address
                            	**type**\:  :py:class:`DhcpPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Peer.Default.Ip.Address.DhcpPool>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: pool
                            
                            	Use IP pool mechanism to allocate a peer IP address
                            	**type**\:  :py:class:`Pool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.Peer.Default.Ip.Address.Pool>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Interface.Vasiright.Peer.Default.Ip.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dhcp-pool" : ("dhcp_pool", Native.Interface.Vasiright.Peer.Default.Ip.Address.DhcpPool), "pool" : ("pool", Native.Interface.Vasiright.Peer.Default.Ip.Address.Pool)}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")

                                self.dhcp_pool = None
                                self._children_name_map["dhcp_pool"] = "dhcp-pool"
                                self._children_yang_names.add("dhcp-pool")

                                self.pool = None
                                self._children_name_map["pool"] = "pool"
                                self._children_yang_names.add("pool")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.Peer.Default.Ip.Address, ['dhcp'], name, value)


                            class DhcpPool(Entity):
                                """
                                Use local DHCP pools to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vasiright.Peer.Default.Ip.Address.DhcpPool, self).__init__()

                                    self.yang_name = "dhcp-pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "dhcp-pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasiright.Peer.Default.Ip.Address.DhcpPool, ['pools'], name, value)


                            class Pool(Entity):
                                """
                                Use IP pool mechanism to allocate a peer IP address
                                
                                .. attribute:: pools
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Interface.Vasiright.Peer.Default.Ip.Address.Pool, self).__init__()

                                    self.yang_name = "pool"
                                    self.yang_parent_name = "address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pools = YLeaf(YType.str, "pools")
                                    self._segment_path = lambda: "pool"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Interface.Vasiright.Peer.Default.Ip.Address.Pool, ['pools'], name, value)


            class PmPath(Entity):
                """
                Global pm\-path configuration
                
                .. attribute:: name
                
                	WORD Path name
                	**type**\: str
                
                .. attribute:: interface_id
                
                	<1\-255> Specify the interface\-id value
                	**type**\: int
                
                	**range:** 1..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Interface.Vasiright.PmPath, self).__init__()

                    self.yang_name = "pm-path"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.interface_id = YLeaf(YType.uint8, "interface-id")
                    self._segment_path = lambda: "pm-path"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.PmPath, ['name', 'interface_id'], name, value)


            class ServicePolicy(Entity):
                """
                Configure QoS Service Policy
                
                .. attribute:: history
                
                	Keep history of QoS metrics
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\: str
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\: str
                
                .. attribute:: type
                
                	Configure CPL Service Policy
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.Interface.Vasiright.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "vasiright"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.Interface.Vasiright.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.history = YLeaf(YType.empty, "history")

                    self.input = YLeaf(YType.str, "input")

                    self.output = YLeaf(YType.str, "output")

                    self.type = Native.Interface.Vasiright.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Interface.Vasiright.ServicePolicy, ['history', 'input', 'output'], name, value)


                class Type(Entity):
                    """
                    Configure CPL Service Policy
                    
                    .. attribute:: control
                    
                    	
                    	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type.Control>`
                    
                    .. attribute:: performance_monitor
                    
                    	Configure media monitor service\-policy type
                    	**type**\:  :py:class:`PerformanceMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor>`
                    
                    .. attribute:: service_chain
                    
                    	Configure Service\-chain Service Policy
                    	**type**\:  :py:class:`ServiceChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.Interface.Vasiright.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"control" : ("control", Native.Interface.Vasiright.ServicePolicy.Type.Control), "performance-monitor" : ("performance_monitor", Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor), "service-chain" : ("service_chain", Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain)}
                        self._child_list_classes = {}

                        self.control = Native.Interface.Vasiright.ServicePolicy.Type.Control()
                        self.control.parent = self
                        self._children_name_map["control"] = "control"
                        self._children_yang_names.add("control")

                        self.performance_monitor = Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor()
                        self.performance_monitor.parent = self
                        self._children_name_map["performance_monitor"] = "performance-monitor"
                        self._children_yang_names.add("performance-monitor")

                        self.service_chain = Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain()
                        self.service_chain.parent = self
                        self._children_name_map["service_chain"] = "service-chain"
                        self._children_yang_names.add("service-chain")
                        self._segment_path = lambda: "type"


                    class Control(Entity):
                        """
                        
                        
                        .. attribute:: subscriber
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Vasiright.ServicePolicy.Type.Control, self).__init__()

                            self.yang_name = "control"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.subscriber = YLeaf(YType.str, "subscriber")
                            self._segment_path = lambda: "control"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.ServicePolicy.Type.Control, ['subscriber'], name, value)


                    class PerformanceMonitor(Entity):
                        """
                        Configure media monitor service\-policy type
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor.Direction>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor, self).__init__()

                            self.yang_name = "performance-monitor"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.direction = YLeaf(YType.enumeration, "direction")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "performance-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Interface.Vasiright.ServicePolicy.Type.PerformanceMonitor, ['direction', 'name'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: input = 0

                            .. data:: output = 1

                            """

                            input = Enum.YLeaf(0, "input")

                            output = Enum.YLeaf(1, "output")



                    class ServiceChain(Entity):
                        """
                        Configure Service\-chain Service Policy
                        
                        .. attribute:: input
                        
                        	Assign policy\-map to the input of an interface
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Input>`
                        
                        .. attribute:: output
                        
                        	Assign policy\-map to the output of an interface
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Output>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain, self).__init__()

                            self.yang_name = "service-chain"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"input" : ("input", Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Input), "output" : ("output", Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Output)}
                            self._child_list_classes = {}

                            self.input = Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "service-chain"


                        class Input(Entity):
                            """
                            Assign policy\-map to the input of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Input, ['name'], name, value)


                        class Output(Entity):
                            """
                            Assign policy\-map to the output of an interface
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "service-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Interface.Vasiright.ServicePolicy.Type.ServiceChain.Output, ['name'], name, value)


    class RouteMap(Entity):
        """
        Route map tag
        
        .. attribute:: name  <key>
        
        	WORD;;Route map tag
        	**type**\: str
        
        .. attribute:: route_map_seq
        
        	
        	**type**\: list of  		 :py:class:`RouteMapSeq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.RouteMap, self).__init__()

            self.yang_name = "route-map"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-route-map:route-map-seq" : ("route_map_seq", Native.RouteMap.RouteMapSeq)}

            self.name = YLeaf(YType.str, "name")

            self.route_map_seq = YList(self)
            self._segment_path = lambda: "route-map" + "[name='" + self.name.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.RouteMap, ['name'], name, value)


        class RouteMapSeq(Entity):
            """
            
            
            .. attribute:: ordering_seq  <key>
            
            	Ordering seq tag
            	**type**\: str
            
            .. attribute:: operation_
            
            	
            	**type**\:  :py:class:`Operation_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Operation_>`
            
            .. attribute:: sequence
            
            	
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: description
            
            	Route\-map comment
            	**type**\: str
            
            .. attribute:: set
            
            	Set values in destination routing protocol
            	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set>`
            
            .. attribute:: match
            
            	Match values from routing table
            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match>`
            
            

            """

            _prefix = 'ios-route-map'
            _revision = '2017-06-07'

            def __init__(self):
                super(Native.RouteMap.RouteMapSeq, self).__init__()

                self.yang_name = "route-map-seq"
                self.yang_parent_name = "route-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"set" : ("set", Native.RouteMap.RouteMapSeq.Set), "match" : ("match", Native.RouteMap.RouteMapSeq.Match)}
                self._child_list_classes = {}

                self.ordering_seq = YLeaf(YType.str, "ordering-seq")

                self.operation_ = YLeaf(YType.enumeration, "operation")

                self.sequence = YLeaf(YType.uint16, "sequence")

                self.description = YLeaf(YType.str, "description")

                self.set = Native.RouteMap.RouteMapSeq.Set()
                self.set.parent = self
                self._children_name_map["set"] = "set"
                self._children_yang_names.add("set")

                self.match = Native.RouteMap.RouteMapSeq.Match()
                self.match.parent = self
                self._children_name_map["match"] = "match"
                self._children_yang_names.add("match")
                self._segment_path = lambda: "Cisco-IOS-XE-route-map:route-map-seq" + "[ordering-seq='" + self.ordering_seq.get() + "']"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.RouteMap.RouteMapSeq, ['ordering_seq', 'operation_', 'sequence', 'description'], name, value)

            class Operation_(Enum):
                """
                Operation\_

                .. data:: deny = 0

                .. data:: permit = 1

                """

                deny = Enum.YLeaf(0, "deny")

                permit = Enum.YLeaf(1, "permit")



            class Set(Entity):
                """
                Set values in destination routing protocol
                
                .. attribute:: aigp_metric
                
                	accumulated metric value
                	**type**\:  :py:class:`AigpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.AigpMetric>`
                
                .. attribute:: as_path
                
                	Prepend string for a BGP AS\-path attribute
                	**type**\:  :py:class:`AsPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.AsPath>`
                
                .. attribute:: automatic_tag
                
                	Automatically compute TAG value
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: clns
                
                	OSI summary address
                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Clns>`
                
                .. attribute:: community
                
                	BGP community attribute
                	**type**\:  :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Community>`
                
                .. attribute:: comm_list
                
                	set BGP community list (for deletion)
                	**type**\:  :py:class:`CommList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.CommList>`
                
                .. attribute:: dampening
                
                	Set BGP route flap dampening parameters
                	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Dampening>`
                
                .. attribute:: default
                
                	
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Default>`
                
                .. attribute:: extcomm_list
                
                	Set BGP/VPN extended community list (for deletion)
                	**type**\:  :py:class:`ExtcommList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.ExtcommList>`
                
                .. attribute:: extcommunity
                
                	BGP extended community attribute
                	**type**\:  :py:class:`Extcommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity>`
                
                .. attribute:: global_
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Interface>`
                
                .. attribute:: ip
                
                	IP specific information
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip>`
                
                .. attribute:: ipv6
                
                	IPv6 specific information
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6>`
                
                .. attribute:: level
                
                	Where to import route
                	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Level>`
                
                .. attribute:: lisp
                
                	Locator ID Separation Protocol specific information
                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Lisp>`
                
                .. attribute:: local_preference
                
                	Preference value
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: metric
                
                	Metric value for destination routing protocol
                	**type**\: str
                
                .. attribute:: metric_type
                
                	Type of metric for destination routing protocol
                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.MetricType>`
                
                .. attribute:: mpls_label
                
                	Set MPLS label for prefix
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: weight
                
                	BGP weight for routing table
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: origin
                
                	BGP origin code
                	**type**\:  :py:class:`Origin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Origin>`
                
                .. attribute:: tag
                
                	Tag value for destination routing protocol
                	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Tag>`
                
                .. attribute:: traffic_index
                
                	Bucket number
                	**type**\: int
                
                	**range:** 1..64
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding instance name
                	**type**\: str
                
                

                """

                _prefix = 'ios-route-map'
                _revision = '2017-06-07'

                def __init__(self):
                    super(Native.RouteMap.RouteMapSeq.Set, self).__init__()

                    self.yang_name = "set"
                    self.yang_parent_name = "route-map-seq"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"aigp-metric" : ("aigp_metric", Native.RouteMap.RouteMapSeq.Set.AigpMetric), "as-path" : ("as_path", Native.RouteMap.RouteMapSeq.Set.AsPath), "clns" : ("clns", Native.RouteMap.RouteMapSeq.Set.Clns), "community" : ("community", Native.RouteMap.RouteMapSeq.Set.Community), "comm-list" : ("comm_list", Native.RouteMap.RouteMapSeq.Set.CommList), "dampening" : ("dampening", Native.RouteMap.RouteMapSeq.Set.Dampening), "default" : ("default", Native.RouteMap.RouteMapSeq.Set.Default), "extcomm-list" : ("extcomm_list", Native.RouteMap.RouteMapSeq.Set.ExtcommList), "extcommunity" : ("extcommunity", Native.RouteMap.RouteMapSeq.Set.Extcommunity), "interface" : ("interface", Native.RouteMap.RouteMapSeq.Set.Interface), "ip" : ("ip", Native.RouteMap.RouteMapSeq.Set.Ip), "ipv6" : ("ipv6", Native.RouteMap.RouteMapSeq.Set.Ipv6), "level" : ("level", Native.RouteMap.RouteMapSeq.Set.Level), "lisp" : ("lisp", Native.RouteMap.RouteMapSeq.Set.Lisp), "origin" : ("origin", Native.RouteMap.RouteMapSeq.Set.Origin), "tag" : ("tag", Native.RouteMap.RouteMapSeq.Set.Tag)}
                    self._child_list_classes = {}

                    self.automatic_tag = YLeaf(YType.empty, "automatic-tag")

                    self.global_ = YLeaf(YType.empty, "global")

                    self.local_preference = YLeaf(YType.uint32, "local-preference")

                    self.metric = YLeaf(YType.str, "metric")

                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                    self.mpls_label = YLeaf(YType.empty, "mpls-label")

                    self.weight = YLeaf(YType.uint32, "weight")

                    self.traffic_index = YLeaf(YType.uint8, "traffic-index")

                    self.vrf = YLeaf(YType.str, "vrf")

                    self.aigp_metric = Native.RouteMap.RouteMapSeq.Set.AigpMetric()
                    self.aigp_metric.parent = self
                    self._children_name_map["aigp_metric"] = "aigp-metric"
                    self._children_yang_names.add("aigp-metric")

                    self.as_path = Native.RouteMap.RouteMapSeq.Set.AsPath()
                    self.as_path.parent = self
                    self._children_name_map["as_path"] = "as-path"
                    self._children_yang_names.add("as-path")

                    self.clns = Native.RouteMap.RouteMapSeq.Set.Clns()
                    self.clns.parent = self
                    self._children_name_map["clns"] = "clns"
                    self._children_yang_names.add("clns")

                    self.community = Native.RouteMap.RouteMapSeq.Set.Community()
                    self.community.parent = self
                    self._children_name_map["community"] = "community"
                    self._children_yang_names.add("community")

                    self.comm_list = Native.RouteMap.RouteMapSeq.Set.CommList()
                    self.comm_list.parent = self
                    self._children_name_map["comm_list"] = "comm-list"
                    self._children_yang_names.add("comm-list")

                    self.dampening = Native.RouteMap.RouteMapSeq.Set.Dampening()
                    self.dampening.parent = self
                    self._children_name_map["dampening"] = "dampening"
                    self._children_yang_names.add("dampening")

                    self.default = Native.RouteMap.RouteMapSeq.Set.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.extcomm_list = Native.RouteMap.RouteMapSeq.Set.ExtcommList()
                    self.extcomm_list.parent = self
                    self._children_name_map["extcomm_list"] = "extcomm-list"
                    self._children_yang_names.add("extcomm-list")

                    self.extcommunity = Native.RouteMap.RouteMapSeq.Set.Extcommunity()
                    self.extcommunity.parent = self
                    self._children_name_map["extcommunity"] = "extcommunity"
                    self._children_yang_names.add("extcommunity")

                    self.interface = Native.RouteMap.RouteMapSeq.Set.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.ip = Native.RouteMap.RouteMapSeq.Set.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")

                    self.ipv6 = Native.RouteMap.RouteMapSeq.Set.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.level = Native.RouteMap.RouteMapSeq.Set.Level()
                    self.level.parent = self
                    self._children_name_map["level"] = "level"
                    self._children_yang_names.add("level")

                    self.lisp = Native.RouteMap.RouteMapSeq.Set.Lisp()
                    self.lisp.parent = self
                    self._children_name_map["lisp"] = "lisp"
                    self._children_yang_names.add("lisp")

                    self.origin = Native.RouteMap.RouteMapSeq.Set.Origin()
                    self.origin.parent = self
                    self._children_name_map["origin"] = "origin"
                    self._children_yang_names.add("origin")

                    self.tag = Native.RouteMap.RouteMapSeq.Set.Tag()
                    self.tag.parent = self
                    self._children_name_map["tag"] = "tag"
                    self._children_yang_names.add("tag")
                    self._segment_path = lambda: "set"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set, ['automatic_tag', 'global_', 'local_preference', 'metric', 'metric_type', 'mpls_label', 'weight', 'traffic_index', 'vrf'], name, value)

                class MetricType(Enum):
                    """
                    MetricType

                    Type of metric for destination routing protocol

                    .. data:: external = 0

                    .. data:: internal = 1

                    .. data:: type_1 = 2

                    .. data:: type_2 = 3

                    """

                    external = Enum.YLeaf(0, "external")

                    internal = Enum.YLeaf(1, "internal")

                    type_1 = Enum.YLeaf(2, "type-1")

                    type_2 = Enum.YLeaf(3, "type-2")



                class AigpMetric(Entity):
                    """
                    accumulated metric value
                    
                    .. attribute:: value
                    
                    	manual value
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: igp_metric
                    
                    	metric value from rib
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.AigpMetric, self).__init__()

                        self.yang_name = "aigp-metric"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.value = YLeaf(YType.uint32, "value")

                        self.igp_metric = YLeaf(YType.empty, "igp-metric")
                        self._segment_path = lambda: "aigp-metric"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.AigpMetric, ['value', 'igp_metric'], name, value)


                class AsPath(Entity):
                    """
                    Prepend string for a BGP AS\-path attribute
                    
                    .. attribute:: prepend
                    
                    	Prepend to the as\-path
                    	**type**\:  :py:class:`Prepend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend>`
                    
                    .. attribute:: tag
                    
                    	Set the tag as an AS\-path attribute
                    	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.AsPath.Tag>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.AsPath, self).__init__()

                        self.yang_name = "as-path"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"prepend" : ("prepend", Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend), "tag" : ("tag", Native.RouteMap.RouteMapSeq.Set.AsPath.Tag)}
                        self._child_list_classes = {}

                        self.prepend = Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend()
                        self.prepend.parent = self
                        self._children_name_map["prepend"] = "prepend"
                        self._children_yang_names.add("prepend")

                        self.tag = None
                        self._children_name_map["tag"] = "tag"
                        self._children_yang_names.add("tag")
                        self._segment_path = lambda: "as-path"


                    class Prepend(Entity):
                        """
                        Prepend to the as\-path
                        
                        .. attribute:: as_container
                        
                        	
                        	**type**\:  :py:class:`AsContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.AsContainer>`
                        
                        .. attribute:: last_as_cont
                        
                        	
                        	**type**\:  :py:class:`LastAsCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.LastAsCont>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend, self).__init__()

                            self.yang_name = "prepend"
                            self.yang_parent_name = "as-path"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"as-container" : ("as_container", Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.AsContainer), "last-as-cont" : ("last_as_cont", Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.LastAsCont)}
                            self._child_list_classes = {}

                            self.as_container = Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.AsContainer()
                            self.as_container.parent = self
                            self._children_name_map["as_container"] = "as-container"
                            self._children_yang_names.add("as-container")

                            self.last_as_cont = Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.LastAsCont()
                            self.last_as_cont.parent = self
                            self._children_name_map["last_as_cont"] = "last-as-cont"
                            self._children_yang_names.add("last-as-cont")
                            self._segment_path = lambda: "prepend"


                        class AsContainer(Entity):
                            """
                            
                            
                            .. attribute:: as_number
                            
                            	<1\-65535>;;AS number
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.AsContainer, self).__init__()

                                self.yang_name = "as-container"
                                self.yang_parent_name = "prepend"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.as_number = YLeaf(YType.str, "as-number")
                                self._segment_path = lambda: "as-container"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.AsContainer, ['as_number'], name, value)


                        class LastAsCont(Entity):
                            """
                            
                            
                            .. attribute:: last_as
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..10
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.LastAsCont, self).__init__()

                                self.yang_name = "last-as-cont"
                                self.yang_parent_name = "prepend"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.last_as = YLeaf(YType.uint16, "last-as")
                                self._segment_path = lambda: "last-as-cont"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.AsPath.Prepend.LastAsCont, ['last_as'], name, value)


                    class Tag(Entity):
                        """
                        Set the tag as an AS\-path attribute
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.AsPath.Tag, self).__init__()

                            self.yang_name = "tag"
                            self.yang_parent_name = "as-path"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "tag"


                class Clns(Entity):
                    """
                    OSI summary address
                    
                    .. attribute:: next_hop
                    
                    	Next hop along path
                    	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Clns.NextHop>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.Clns, self).__init__()

                        self.yang_name = "clns"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"next-hop" : ("next_hop", Native.RouteMap.RouteMapSeq.Set.Clns.NextHop)}
                        self._child_list_classes = {}

                        self.next_hop = Native.RouteMap.RouteMapSeq.Set.Clns.NextHop()
                        self.next_hop.parent = self
                        self._children_name_map["next_hop"] = "next-hop"
                        self._children_yang_names.add("next-hop")
                        self._segment_path = lambda: "clns"


                    class NextHop(Entity):
                        """
                        Next hop along path
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: list of str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Clns.NextHop, self).__init__()

                            self.yang_name = "next-hop"
                            self.yang_parent_name = "clns"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeafList(YType.str, "address")
                            self._segment_path = lambda: "next-hop"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Clns.NextHop, ['address'], name, value)


                class Community(Entity):
                    """
                    BGP community attribute
                    
                    .. attribute:: none
                    
                    	No community attribute
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: community_well_known
                    
                    	
                    	**type**\:  :py:class:`CommunityWellKnown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Community.CommunityWellKnown>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.Community, self).__init__()

                        self.yang_name = "community"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"community-well-known" : ("community_well_known", Native.RouteMap.RouteMapSeq.Set.Community.CommunityWellKnown)}
                        self._child_list_classes = {}

                        self.none = YLeaf(YType.empty, "none")

                        self.community_well_known = Native.RouteMap.RouteMapSeq.Set.Community.CommunityWellKnown()
                        self.community_well_known.parent = self
                        self._children_name_map["community_well_known"] = "community-well-known"
                        self._children_yang_names.add("community-well-known")
                        self._segment_path = lambda: "community"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Community, ['none'], name, value)


                    class CommunityWellKnown(Entity):
                        """
                        
                        
                        .. attribute:: community_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: list of int
                        
                        			**range:** 1..4294967295
                        
                        		**type**\: list of str
                        
                        			**pattern:** (\\d+\:\\d+)
                        
                        		**type**\: list of   :py:class:`CommunityWellKnownAddType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.CommunityWellKnownAddType>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Community.CommunityWellKnown, self).__init__()

                            self.yang_name = "community-well-known"
                            self.yang_parent_name = "community"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.community_list = YLeafList(YType.str, "community-list")
                            self._segment_path = lambda: "community-well-known"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Community.CommunityWellKnown, ['community_list'], name, value)


                class CommList(Entity):
                    """
                    set BGP community list (for deletion)
                    
                    .. attribute:: comm_list_standard
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..99
                    
                    .. attribute:: comm_list_expanded
                    
                    	
                    	**type**\: int
                    
                    	**range:** 100..500
                    
                    .. attribute:: comm_list_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: delete
                    
                    	Delete matching communities
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.CommList, self).__init__()

                        self.yang_name = "comm-list"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.comm_list_standard = YLeaf(YType.uint16, "comm-list-standard")

                        self.comm_list_expanded = YLeaf(YType.uint16, "comm-list-expanded")

                        self.comm_list_name = YLeaf(YType.str, "comm-list-name")

                        self.delete = YLeaf(YType.empty, "delete")
                        self._segment_path = lambda: "comm-list"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.CommList, ['comm_list_standard', 'comm_list_expanded', 'comm_list_name', 'delete'], name, value)


                class Dampening(Entity):
                    """
                    Set BGP route flap dampening parameters
                    
                    .. attribute:: dampening_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DampeningList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Dampening.DampeningList>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.Dampening, self).__init__()

                        self.yang_name = "dampening"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"dampening-list" : ("dampening_list", Native.RouteMap.RouteMapSeq.Set.Dampening.DampeningList)}

                        self.dampening_list = YList(self)
                        self._segment_path = lambda: "dampening"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Dampening, [], name, value)


                    class DampeningList(Entity):
                        """
                        
                        
                        .. attribute:: half_life_penalty  <key>
                        
                        	half\-life time for the penalty
                        	**type**\: int
                        
                        	**range:** 1..45
                        
                        .. attribute:: restart_penalty  <key>
                        
                        	penalty to start reusing a route
                        	**type**\: int
                        
                        	**range:** 1..20000
                        
                        .. attribute:: suppress_penalty  <key>
                        
                        	penalty to start suppressing a route
                        	**type**\: int
                        
                        	**range:** 1..20000
                        
                        .. attribute:: max_suppress_penalty  <key>
                        
                        	Maximum duration to suppress a stable route
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Dampening.DampeningList, self).__init__()

                            self.yang_name = "dampening-list"
                            self.yang_parent_name = "dampening"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.half_life_penalty = YLeaf(YType.uint8, "half-life-penalty")

                            self.restart_penalty = YLeaf(YType.uint16, "restart-penalty")

                            self.suppress_penalty = YLeaf(YType.uint16, "suppress-penalty")

                            self.max_suppress_penalty = YLeaf(YType.uint8, "max-suppress-penalty")
                            self._segment_path = lambda: "dampening-list" + "[half-life-penalty='" + self.half_life_penalty.get() + "']" + "[restart-penalty='" + self.restart_penalty.get() + "']" + "[suppress-penalty='" + self.suppress_penalty.get() + "']" + "[max-suppress-penalty='" + self.max_suppress_penalty.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Dampening.DampeningList, ['half_life_penalty', 'restart_penalty', 'suppress_penalty', 'max_suppress_penalty'], name, value)


                class Default(Entity):
                    """
                    
                    
                    .. attribute:: interface
                    
                    	SPAN source interface
                    	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Default.Interface>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"interface" : ("interface", Native.RouteMap.RouteMapSeq.Set.Default.Interface)}
                        self._child_list_classes = {}

                        self.interface = Native.RouteMap.RouteMapSeq.Set.Default.Interface()
                        self.interface.parent = self
                        self._children_name_map["interface"] = "interface"
                        self._children_yang_names.add("interface")
                        self._segment_path = lambda: "default"


                    class Interface(Entity):
                        """
                        SPAN source interface
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Default.Interface.ATMSubinterface>`
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\: str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Default.Interface.ATMACRsubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\: str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\: str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\: str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\: str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\: str
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Default.Interface.LISPSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Default.Interface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\: str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\: str
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\: str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\: str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Default.Interface, self).__init__()

                            self.yang_name = "interface"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.RouteMap.RouteMapSeq.Set.Default.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.RouteMap.RouteMapSeq.Set.Default.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.RouteMap.RouteMapSeq.Set.Default.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.RouteMap.RouteMapSeq.Set.Default.Interface.PortChannelSubinterface)}
                            self._child_list_classes = {}

                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                            self.atm = YLeaf(YType.str, "ATM")

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                            self.bdi = YLeaf(YType.str, "BDI")

                            self.cem = YLeaf(YType.str, "CEM")

                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                            self.lisp = YLeaf(YType.str, "LISP")

                            self.loopback = YLeaf(YType.uint32, "Loopback")

                            self.multilink = YLeaf(YType.uint16, "Multilink")

                            self.nve = YLeaf(YType.uint16, "nve")

                            self.overlay = YLeaf(YType.uint16, "overlay")

                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                            self.sm = YLeaf(YType.str, "SM")

                            self.cellular = YLeaf(YType.str, "Cellular")

                            self.serial = YLeaf(YType.str, "Serial")

                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                            self.atm_subinterface = Native.RouteMap.RouteMapSeq.Set.Default.Interface.ATMSubinterface()
                            self.atm_subinterface.parent = self
                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                            self._children_yang_names.add("ATM-subinterface")

                            self.atm_acrsubinterface = Native.RouteMap.RouteMapSeq.Set.Default.Interface.ATMACRsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                            self._children_yang_names.add("ATM-ACRsubinterface")

                            self.lisp_subinterface = Native.RouteMap.RouteMapSeq.Set.Default.Interface.LISPSubinterface()
                            self.lisp_subinterface.parent = self
                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                            self._children_yang_names.add("LISP-subinterface")

                            self.port_channel_subinterface = Native.RouteMap.RouteMapSeq.Set.Default.Interface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                            self._children_yang_names.add("Port-channel-subinterface")
                            self._segment_path = lambda: "interface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Default.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                        class ATMSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Default.Interface.ATMSubinterface, self).__init__()

                                self.yang_name = "ATM-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm = YLeaf(YType.str, "ATM")
                                self._segment_path = lambda: "ATM-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Default.Interface.ATMSubinterface, ['atm'], name, value)


                        class ATMACRsubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Default.Interface.ATMACRsubinterface, self).__init__()

                                self.yang_name = "ATM-ACRsubinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                self._segment_path = lambda: "ATM-ACRsubinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Default.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                        class LISPSubinterface(Entity):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Default.Interface.LISPSubinterface, self).__init__()

                                self.yang_name = "LISP-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lisp = YLeaf(YType.str, "LISP")
                                self._segment_path = lambda: "LISP-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Default.Interface.LISPSubinterface, ['lisp'], name, value)


                        class PortChannelSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Default.Interface.PortChannelSubinterface, self).__init__()

                                self.yang_name = "Port-channel-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                self._segment_path = lambda: "Port-channel-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Default.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class ExtcommList(Entity):
                    """
                    Set BGP/VPN extended community list (for deletion)
                    
                    .. attribute:: ext_range
                    
                    	
                    	**type**\: list of  		 :py:class:`ExtRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExtRange>`
                    
                    .. attribute:: excomm_list_name
                    
                    	
                    	**type**\: list of  		 :py:class:`ExcommListName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExcommListName>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.ExtcommList, self).__init__()

                        self.yang_name = "extcomm-list"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ext-range" : ("ext_range", Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExtRange), "excomm-list-name" : ("excomm_list_name", Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExcommListName)}

                        self.ext_range = YList(self)
                        self.excomm_list_name = YList(self)
                        self._segment_path = lambda: "extcomm-list"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.ExtcommList, [], name, value)


                    class ExtRange(Entity):
                        """
                        
                        
                        .. attribute:: comm_list_num  <key>
                        
                        	Extended community\-list number (expanded)
                        	**type**\: int
                        
                        	**range:** 1..500
                        
                        .. attribute:: delete
                        
                        	Delete matching extended communities
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExtRange, self).__init__()

                            self.yang_name = "ext-range"
                            self.yang_parent_name = "extcomm-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.comm_list_num = YLeaf(YType.uint16, "comm-list-num")

                            self.delete = YLeaf(YType.empty, "delete")
                            self._segment_path = lambda: "ext-range" + "[comm-list-num='" + self.comm_list_num.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExtRange, ['comm_list_num', 'delete'], name, value)


                    class ExcommListName(Entity):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	extcommunity\-list name
                        	**type**\: str
                        
                        .. attribute:: delete
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExcommListName, self).__init__()

                            self.yang_name = "excomm-list-name"
                            self.yang_parent_name = "extcomm-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.delete = YLeaf(YType.empty, "delete")
                            self._segment_path = lambda: "excomm-list-name" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.ExtcommList.ExcommListName, ['name', 'delete'], name, value)


                class Extcommunity(Entity):
                    """
                    BGP extended community attribute
                    
                    .. attribute:: cost
                    
                    	Cost extended community
                    	**type**\:  :py:class:`Cost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost>`
                    
                    .. attribute:: rt
                    
                    	Route Target extended community
                    	**type**\:  :py:class:`Rt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt>`
                    
                    .. attribute:: soo
                    
                    	Site\-of\-Origin extended community
                    	**type**\:  :py:class:`Soo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Soo>`
                    
                    .. attribute:: vpn_distinguisher
                    
                    	VPN Distinguisher
                    	**type**\:  :py:class:`VpnDistinguisher <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.Extcommunity, self).__init__()

                        self.yang_name = "extcommunity"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"cost" : ("cost", Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost), "rt" : ("rt", Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt), "soo" : ("soo", Native.RouteMap.RouteMapSeq.Set.Extcommunity.Soo), "vpn-distinguisher" : ("vpn_distinguisher", Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher)}
                        self._child_list_classes = {}

                        self.cost = Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost()
                        self.cost.parent = self
                        self._children_name_map["cost"] = "cost"
                        self._children_yang_names.add("cost")

                        self.rt = Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt()
                        self.rt.parent = self
                        self._children_name_map["rt"] = "rt"
                        self._children_yang_names.add("rt")

                        self.soo = Native.RouteMap.RouteMapSeq.Set.Extcommunity.Soo()
                        self.soo.parent = self
                        self._children_name_map["soo"] = "soo"
                        self._children_yang_names.add("soo")

                        self.vpn_distinguisher = Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher()
                        self.vpn_distinguisher.parent = self
                        self._children_name_map["vpn_distinguisher"] = "vpn-distinguisher"
                        self._children_yang_names.add("vpn-distinguisher")
                        self._segment_path = lambda: "extcommunity"


                    class Cost(Entity):
                        """
                        Cost extended community
                        
                        .. attribute:: community_id
                        
                        	
                        	**type**\: list of  		 :py:class:`CommunityId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.CommunityId>`
                        
                        .. attribute:: igp
                        
                        	Compare following IGP cost comparison
                        	**type**\:  :py:class:`Igp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp>`
                        
                        .. attribute:: pre_bestpath
                        
                        	Compare before all other steps in bestpath calculation
                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost, self).__init__()

                            self.yang_name = "cost"
                            self.yang_parent_name = "extcommunity"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"igp" : ("igp", Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp), "pre-bestpath" : ("pre_bestpath", Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath)}
                            self._child_list_classes = {"community-id" : ("community_id", Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.CommunityId)}

                            self.igp = Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp()
                            self.igp.parent = self
                            self._children_name_map["igp"] = "igp"
                            self._children_yang_names.add("igp")

                            self.pre_bestpath = Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath()
                            self.pre_bestpath.parent = self
                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                            self._children_yang_names.add("pre-bestpath")

                            self.community_id = YList(self)
                            self._segment_path = lambda: "cost"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost, [], name, value)


                        class CommunityId(Entity):
                            """
                            
                            
                            .. attribute:: community_id  <key>
                            
                            	Community ID
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: cost_value  <key>
                            
                            	Cost Value (No\-preference Cost = 2147483647)
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.CommunityId, self).__init__()

                                self.yang_name = "community-id"
                                self.yang_parent_name = "cost"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.community_id = YLeaf(YType.uint8, "community-id")

                                self.cost_value = YLeaf(YType.uint32, "cost-value")
                                self._segment_path = lambda: "community-id" + "[community-id='" + self.community_id.get() + "']" + "[cost-value='" + self.cost_value.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.CommunityId, ['community_id', 'cost_value'], name, value)


                        class Igp(Entity):
                            """
                            Compare following IGP cost comparison
                            
                            .. attribute:: community_id
                            
                            	
                            	**type**\: list of  		 :py:class:`CommunityId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp.CommunityId>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp, self).__init__()

                                self.yang_name = "igp"
                                self.yang_parent_name = "cost"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"community-id" : ("community_id", Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp.CommunityId)}

                                self.community_id = YList(self)
                                self._segment_path = lambda: "igp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp, [], name, value)


                            class CommunityId(Entity):
                                """
                                
                                
                                .. attribute:: community_id  <key>
                                
                                	Community ID
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: cost_value  <key>
                                
                                	Cost Value (No\-preference Cost = 2147483647)
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp.CommunityId, self).__init__()

                                    self.yang_name = "community-id"
                                    self.yang_parent_name = "igp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.community_id = YLeaf(YType.uint8, "community-id")

                                    self.cost_value = YLeaf(YType.uint32, "cost-value")
                                    self._segment_path = lambda: "community-id" + "[community-id='" + self.community_id.get() + "']" + "[cost-value='" + self.cost_value.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.Igp.CommunityId, ['community_id', 'cost_value'], name, value)


                        class PreBestpath(Entity):
                            """
                            Compare before all other steps in bestpath calculation
                            
                            .. attribute:: community_id
                            
                            	
                            	**type**\: list of  		 :py:class:`CommunityId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath.CommunityId>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath, self).__init__()

                                self.yang_name = "pre-bestpath"
                                self.yang_parent_name = "cost"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"community-id" : ("community_id", Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath.CommunityId)}

                                self.community_id = YList(self)
                                self._segment_path = lambda: "pre-bestpath"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath, [], name, value)


                            class CommunityId(Entity):
                                """
                                
                                
                                .. attribute:: community_id  <key>
                                
                                	Community ID
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: cost_value  <key>
                                
                                	Cost Value (No\-preference Cost = 2147483647)
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath.CommunityId, self).__init__()

                                    self.yang_name = "community-id"
                                    self.yang_parent_name = "pre-bestpath"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.community_id = YLeaf(YType.uint8, "community-id")

                                    self.cost_value = YLeaf(YType.uint32, "cost-value")
                                    self._segment_path = lambda: "community-id" + "[community-id='" + self.community_id.get() + "']" + "[cost-value='" + self.cost_value.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Cost.PreBestpath.CommunityId, ['community_id', 'cost_value'], name, value)


                    class Rt(Entity):
                        """
                        Route Target extended community
                        
                        .. attribute:: asn_nn
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: list of str
                        
                        			**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                        
                        		**type**\: list of   :py:class:`AsnNn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt.AsnNn>`
                        
                        .. attribute:: range
                        
                        	Specify a range of extended community
                        	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt.Range>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt, self).__init__()

                            self.yang_name = "rt"
                            self.yang_parent_name = "extcommunity"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"range" : ("range", Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt.Range)}
                            self._child_list_classes = {}

                            self.asn_nn = YLeafList(YType.str, "asn-nn")

                            self.range = Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt.Range()
                            self.range.parent = self
                            self._children_name_map["range"] = "range"
                            self._children_yang_names.add("range")
                            self._segment_path = lambda: "rt"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt, ['asn_nn'], name, value)

                        class AsnNn(Enum):
                            """
                            AsnNn

                            .. data:: additive = 0

                            """

                            additive = Enum.YLeaf(0, "additive")



                        class Range(Entity):
                            """
                            Specify a range of extended community
                            
                            .. attribute:: lower_limit
                            
                            	VPN extended community lower limit
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            .. attribute:: high_limit
                            
                            	VPN extended community high limit
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            .. attribute:: additive
                            
                            	Add to the existing extcommunity
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "rt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lower_limit = YLeaf(YType.str, "lower-limit")

                                self.high_limit = YLeaf(YType.str, "high-limit")

                                self.additive = YLeaf(YType.empty, "additive")
                                self._segment_path = lambda: "range"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Rt.Range, ['lower_limit', 'high_limit', 'additive'], name, value)


                    class Soo(Entity):
                        """
                        Site\-of\-Origin extended community
                        
                        .. attribute:: asn_nn
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Soo, self).__init__()

                            self.yang_name = "soo"
                            self.yang_parent_name = "extcommunity"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.asn_nn = YLeaf(YType.str, "asn-nn")
                            self._segment_path = lambda: "soo"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Extcommunity.Soo, ['asn_nn'], name, value)


                    class VpnDistinguisher(Entity):
                        """
                        VPN Distinguisher
                        
                        .. attribute:: asn_nn
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                        
                        .. attribute:: range
                        
                        	Specify a range of extended community
                        	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher.Range>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher, self).__init__()

                            self.yang_name = "vpn-distinguisher"
                            self.yang_parent_name = "extcommunity"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"range" : ("range", Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher.Range)}
                            self._child_list_classes = {}

                            self.asn_nn = YLeaf(YType.str, "asn-nn")

                            self.range = Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher.Range()
                            self.range.parent = self
                            self._children_name_map["range"] = "range"
                            self._children_yang_names.add("range")
                            self._segment_path = lambda: "vpn-distinguisher"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher, ['asn_nn'], name, value)


                        class Range(Entity):
                            """
                            Specify a range of extended community
                            
                            .. attribute:: lower_limit
                            
                            	VPN extended community lower limit
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            .. attribute:: high_limit
                            
                            	VPN extended community high limit
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]+)\|((([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])))\:[0\-9]+
                            
                            .. attribute:: additive
                            
                            	Add to the existing extcommunity
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "vpn-distinguisher"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lower_limit = YLeaf(YType.str, "lower-limit")

                                self.high_limit = YLeaf(YType.str, "high-limit")

                                self.additive = YLeaf(YType.empty, "additive")
                                self._segment_path = lambda: "range"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Extcommunity.VpnDistinguisher.Range, ['lower_limit', 'high_limit', 'additive'], name, value)


                class Interface(Entity):
                    """
                    
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.RouteMap.RouteMapSeq.Set.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.RouteMap.RouteMapSeq.Set.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.RouteMap.RouteMapSeq.Set.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.RouteMap.RouteMapSeq.Set.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.RouteMap.RouteMapSeq.Set.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.RouteMap.RouteMapSeq.Set.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.RouteMap.RouteMapSeq.Set.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.RouteMap.RouteMapSeq.Set.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Ip(Entity):
                    """
                    IP specific information
                    
                    .. attribute:: address
                    
                    	Specify IP address
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Address>`
                    
                    .. attribute:: default
                    
                    	Set default information
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default>`
                    
                    .. attribute:: df
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..1
                    
                    .. attribute:: global_
                    
                    	global routing table
                    	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Global_>`
                    
                    .. attribute:: next_hop
                    
                    	Next hop address
                    	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop>`
                    
                    .. attribute:: precedence
                    
                    	Set precedence field
                    	**type**\:  :py:class:`Precedence <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Precedence>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: qos_group
                    
                    	Set QOS Group ID
                    	**type**\:  :py:class:`QosGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.QosGroup>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: tos
                    
                    	Set type of service field
                    	**type**\:  :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Tos>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vrf
                    
                    	VRF name
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.RouteMap.RouteMapSeq.Set.Ip.Address), "default" : ("default", Native.RouteMap.RouteMapSeq.Set.Ip.Default), "global" : ("global_", Native.RouteMap.RouteMapSeq.Set.Ip.Global_), "next-hop" : ("next_hop", Native.RouteMap.RouteMapSeq.Set.Ip.NextHop), "precedence" : ("precedence", Native.RouteMap.RouteMapSeq.Set.Ip.Precedence), "qos-group" : ("qos_group", Native.RouteMap.RouteMapSeq.Set.Ip.QosGroup), "tos" : ("tos", Native.RouteMap.RouteMapSeq.Set.Ip.Tos), "vrf" : ("vrf", Native.RouteMap.RouteMapSeq.Set.Ip.Vrf)}
                        self._child_list_classes = {}

                        self.df = YLeaf(YType.uint8, "df")

                        self.address = Native.RouteMap.RouteMapSeq.Set.Ip.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.default = Native.RouteMap.RouteMapSeq.Set.Ip.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.global_ = Native.RouteMap.RouteMapSeq.Set.Ip.Global_()
                        self.global_.parent = self
                        self._children_name_map["global_"] = "global"
                        self._children_yang_names.add("global")

                        self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ip.NextHop()
                        self.next_hop.parent = self
                        self._children_name_map["next_hop"] = "next-hop"
                        self._children_yang_names.add("next-hop")

                        self.precedence = None
                        self._children_name_map["precedence"] = "precedence"
                        self._children_yang_names.add("precedence")

                        self.qos_group = None
                        self._children_name_map["qos_group"] = "qos-group"
                        self._children_yang_names.add("qos-group")

                        self.tos = None
                        self._children_name_map["tos"] = "tos"
                        self._children_yang_names.add("tos")

                        self.vrf = Native.RouteMap.RouteMapSeq.Set.Ip.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip, ['df'], name, value)


                    class Address(Entity):
                        """
                        Specify IP address
                        
                        .. attribute:: prefix_list
                        
                        	Specify prefix\-list
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Ip.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix_list = YLeaf(YType.str, "prefix-list")
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.Address, ['prefix_list'], name, value)


                    class Default(Entity):
                        """
                        Set default information
                        
                        .. attribute:: global_
                        
                        	global routing table
                        	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_>`
                        
                        .. attribute:: next_hop
                        
                        	Next hop along path
                        	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default.NextHop>`
                        
                        .. attribute:: vrf
                        
                        	VRF name
                        	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Ip.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"global" : ("global_", Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_), "next-hop" : ("next_hop", Native.RouteMap.RouteMapSeq.Set.Ip.Default.NextHop), "vrf" : ("vrf", Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf)}
                            self._child_list_classes = {}

                            self.global_ = Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_()
                            self.global_.parent = self
                            self._children_name_map["global_"] = "global"
                            self._children_yang_names.add("global")

                            self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ip.Default.NextHop()
                            self.next_hop.parent = self
                            self._children_name_map["next_hop"] = "next-hop"
                            self._children_yang_names.add("next-hop")

                            self.vrf = Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf()
                            self.vrf.parent = self
                            self._children_name_map["vrf"] = "vrf"
                            self._children_yang_names.add("vrf")
                            self._segment_path = lambda: "default"


                        class Global_(Entity):
                            """
                            global routing table
                            
                            .. attribute:: next_hop
                            
                            	Next hop along path
                            	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_.NextHop>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_, self).__init__()

                                self.yang_name = "global"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"next-hop" : ("next_hop", Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_.NextHop)}
                                self._child_list_classes = {}

                                self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_.NextHop()
                                self.next_hop.parent = self
                                self._children_name_map["next_hop"] = "next-hop"
                                self._children_yang_names.add("next-hop")
                                self._segment_path = lambda: "global"


                            class NextHop(Entity):
                                """
                                Next hop along path
                                
                                .. attribute:: address
                                
                                	
                                	**type**\: list of str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_.NextHop, self).__init__()

                                    self.yang_name = "next-hop"
                                    self.yang_parent_name = "global"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeafList(YType.str, "address")
                                    self._segment_path = lambda: "next-hop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.Default.Global_.NextHop, ['address'], name, value)


                        class NextHop(Entity):
                            """
                            Next hop along path
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: list of str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ip.Default.NextHop, self).__init__()

                                self.yang_name = "next-hop"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeafList(YType.str, "address")
                                self._segment_path = lambda: "next-hop"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.Default.NextHop, ['address'], name, value)


                        class Vrf(Entity):
                            """
                            VRF name
                            
                            .. attribute:: vrfs
                            
                            	
                            	**type**\: list of  		 :py:class:`Vrfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"vrfs" : ("vrfs", Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs)}

                                self.vrfs = YList(self)
                                self._segment_path = lambda: "vrf"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf, [], name, value)


                            class Vrfs(Entity):
                                """
                                
                                
                                .. attribute:: vrf  <key>
                                
                                	WORD;;VRF name
                                	**type**\: str
                                
                                .. attribute:: next_hop
                                
                                	Next hop along path
                                	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs.NextHop>`
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs, self).__init__()

                                    self.yang_name = "vrfs"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"next-hop" : ("next_hop", Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs.NextHop)}
                                    self._child_list_classes = {}

                                    self.vrf = YLeaf(YType.str, "vrf")

                                    self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs.NextHop()
                                    self.next_hop.parent = self
                                    self._children_name_map["next_hop"] = "next-hop"
                                    self._children_yang_names.add("next-hop")
                                    self._segment_path = lambda: "vrfs" + "[vrf='" + self.vrf.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs, ['vrf'], name, value)


                                class NextHop(Entity):
                                    """
                                    Next hop along path
                                    
                                    .. attribute:: address
                                    
                                    	
                                    	**type**\: list of str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-route-map'
                                    _revision = '2017-06-07'

                                    def __init__(self):
                                        super(Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs.NextHop, self).__init__()

                                        self.yang_name = "next-hop"
                                        self.yang_parent_name = "vrfs"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.address = YLeafList(YType.str, "address")
                                        self._segment_path = lambda: "next-hop"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.Default.Vrf.Vrfs.NextHop, ['address'], name, value)


                    class Global_(Entity):
                        """
                        global routing table
                        
                        .. attribute:: next_hop
                        
                        	Next hop along path
                        	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Global_.NextHop>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Ip.Global_, self).__init__()

                            self.yang_name = "global"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"next-hop" : ("next_hop", Native.RouteMap.RouteMapSeq.Set.Ip.Global_.NextHop)}
                            self._child_list_classes = {}

                            self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ip.Global_.NextHop()
                            self.next_hop.parent = self
                            self._children_name_map["next_hop"] = "next-hop"
                            self._children_yang_names.add("next-hop")
                            self._segment_path = lambda: "global"


                        class NextHop(Entity):
                            """
                            Next hop along path
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: list of str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ip.Global_.NextHop, self).__init__()

                                self.yang_name = "next-hop"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeafList(YType.str, "address")
                                self._segment_path = lambda: "next-hop"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.Global_.NextHop, ['address'], name, value)


                    class NextHop(Entity):
                        """
                        Next hop address
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: dynamic
                        
                        	application dynamically sets next hop
                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Dynamic>`
                        
                        .. attribute:: encapsulate
                        
                        	Encapsulation profile for VPN nexthop
                        	**type**\:  :py:class:`Encapsulate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Encapsulate>`
                        
                        .. attribute:: peer_address
                        
                        	Use peer address (for BGP only)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: recursive
                        
                        	Recursive next\-hop
                        	**type**\:  :py:class:`Recursive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive>`
                        
                        .. attribute:: self
                        
                        	Use self address (for BGP only)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: verify_availability
                        
                        	Verify if nexthop is reachable
                        	**type**\:  :py:class:`VerifyAvailability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop, self).__init__()

                            self.yang_name = "next-hop"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dynamic" : ("dynamic", Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Dynamic), "encapsulate" : ("encapsulate", Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Encapsulate), "recursive" : ("recursive", Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive), "verify-availability" : ("verify_availability", Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.peer_address = YLeaf(YType.empty, "peer-address")

                            self.self = YLeaf(YType.empty, "self")

                            self.dynamic = Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Dynamic()
                            self.dynamic.parent = self
                            self._children_name_map["dynamic"] = "dynamic"
                            self._children_yang_names.add("dynamic")

                            self.encapsulate = Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Encapsulate()
                            self.encapsulate.parent = self
                            self._children_name_map["encapsulate"] = "encapsulate"
                            self._children_yang_names.add("encapsulate")

                            self.recursive = Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive()
                            self.recursive.parent = self
                            self._children_name_map["recursive"] = "recursive"
                            self._children_yang_names.add("recursive")

                            self.verify_availability = None
                            self._children_name_map["verify_availability"] = "verify-availability"
                            self._children_yang_names.add("verify-availability")
                            self._segment_path = lambda: "next-hop"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop, ['address', 'peer_address', 'self'], name, value)


                        class Dynamic(Entity):
                            """
                            application dynamically sets next hop
                            
                            .. attribute:: dhcp
                            
                            	DHCP learned next hop
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Dynamic, self).__init__()

                                self.yang_name = "dynamic"
                                self.yang_parent_name = "next-hop"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dhcp = YLeaf(YType.empty, "dhcp")
                                self._segment_path = lambda: "dynamic"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Dynamic, ['dhcp'], name, value)


                        class Encapsulate(Entity):
                            """
                            Encapsulation profile for VPN nexthop
                            
                            .. attribute:: l3vpn
                            
                            	L3VPN
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Encapsulate, self).__init__()

                                self.yang_name = "encapsulate"
                                self.yang_parent_name = "next-hop"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.l3vpn = YLeaf(YType.str, "l3vpn")
                                self._segment_path = lambda: "encapsulate"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Encapsulate, ['l3vpn'], name, value)


                        class Recursive(Entity):
                            """
                            Recursive next\-hop
                            
                            .. attribute:: ipv4
                            
                            	IP address of recursive next hop
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: global_
                            
                            	IP address of recursive next hop
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vrf
                            
                            	VRF name
                            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive, self).__init__()

                                self.yang_name = "recursive"
                                self.yang_parent_name = "next-hop"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"vrf" : ("vrf", Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf)}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                self.global_ = YLeaf(YType.str, "global")

                                self.vrf = Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf()
                                self.vrf.parent = self
                                self._children_name_map["vrf"] = "vrf"
                                self._children_yang_names.add("vrf")
                                self._segment_path = lambda: "recursive"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive, ['ipv4', 'global_'], name, value)


                            class Vrf(Entity):
                                """
                                VRF name
                                
                                .. attribute:: vrfs
                                
                                	
                                	**type**\: list of  		 :py:class:`Vrfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf.Vrfs>`
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf, self).__init__()

                                    self.yang_name = "vrf"
                                    self.yang_parent_name = "recursive"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"vrfs" : ("vrfs", Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf.Vrfs)}

                                    self.vrfs = YList(self)
                                    self._segment_path = lambda: "vrf"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf, [], name, value)


                                class Vrfs(Entity):
                                    """
                                    
                                    
                                    .. attribute:: vrf  <key>
                                    
                                    	VRF name
                                    	**type**\: str
                                    
                                    .. attribute:: ipv4
                                    
                                    	IP address of recursive next hop
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-route-map'
                                    _revision = '2017-06-07'

                                    def __init__(self):
                                        super(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf.Vrfs, self).__init__()

                                        self.yang_name = "vrfs"
                                        self.yang_parent_name = "vrf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vrf = YLeaf(YType.str, "vrf")

                                        self.ipv4 = YLeaf(YType.str, "ipv4")
                                        self._segment_path = lambda: "vrfs" + "[vrf='" + self.vrf.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.Recursive.Vrf.Vrfs, ['vrf', 'ipv4'], name, value)


                        class VerifyAvailability(Entity):
                            """
                            Verify if nexthop is reachable
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability.Ipv4>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability, self).__init__()

                                self.yang_name = "verify-availability"
                                self.yang_parent_name = "next-hop"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ipv4" : ("ipv4", Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability.Ipv4)}
                                self.is_presence_container = True

                                self.ipv4 = YList(self)
                                self._segment_path = lambda: "verify-availability"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability, [], name, value)


                            class Ipv4(Entity):
                                """
                                
                                
                                .. attribute:: ipv4  <key>
                                
                                	IP address of next hop
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: range
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "verify-availability"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.range = YLeaf(YType.uint16, "range")
                                    self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.NextHop.VerifyAvailability.Ipv4, ['ipv4', 'range'], name, value)


                    class Precedence(Entity):
                        """
                        Set precedence field
                        
                        .. attribute:: precedence_value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: precedence_fields
                        
                        	
                        	**type**\:  :py:class:`PrecedenceFields <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Precedence.PrecedenceFields>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Ip.Precedence, self).__init__()

                            self.yang_name = "precedence"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.precedence_value = YLeaf(YType.uint8, "precedence-value")

                            self.precedence_fields = YLeaf(YType.enumeration, "precedence-fields")
                            self._segment_path = lambda: "precedence"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.Precedence, ['precedence_value', 'precedence_fields'], name, value)

                        class PrecedenceFields(Enum):
                            """
                            PrecedenceFields

                            .. data:: critical = 0

                            .. data:: flash = 1

                            .. data:: flash_override = 2

                            .. data:: immediate = 3

                            .. data:: internet = 4

                            .. data:: network = 5

                            .. data:: priority = 6

                            .. data:: routine = 7

                            """

                            critical = Enum.YLeaf(0, "critical")

                            flash = Enum.YLeaf(1, "flash")

                            flash_override = Enum.YLeaf(2, "flash-override")

                            immediate = Enum.YLeaf(3, "immediate")

                            internet = Enum.YLeaf(4, "internet")

                            network = Enum.YLeaf(5, "network")

                            priority = Enum.YLeaf(6, "priority")

                            routine = Enum.YLeaf(7, "routine")



                    class QosGroup(Entity):
                        """
                        Set QOS Group ID
                        
                        .. attribute:: qos_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..99
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Ip.QosGroup, self).__init__()

                            self.yang_name = "qos-group"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.qos_id = YLeaf(YType.uint8, "qos-id")
                            self._segment_path = lambda: "qos-group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.QosGroup, ['qos_id'], name, value)


                    class Tos(Entity):
                        """
                        Set type of service field
                        
                        .. attribute:: service_value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..15
                        
                        .. attribute:: tos_fields
                        
                        	
                        	**type**\:  :py:class:`TosFields <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Tos.TosFields>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Ip.Tos, self).__init__()

                            self.yang_name = "tos"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.service_value = YLeaf(YType.uint8, "service-value")

                            self.tos_fields = YLeaf(YType.enumeration, "tos-fields")
                            self._segment_path = lambda: "tos"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.Tos, ['service_value', 'tos_fields'], name, value)

                        class TosFields(Enum):
                            """
                            TosFields

                            .. data:: max_reliability = 0

                            .. data:: max_throughput = 1

                            .. data:: min_delay = 2

                            .. data:: min_monetary_cost = 3

                            .. data:: normal = 4

                            """

                            max_reliability = Enum.YLeaf(0, "max-reliability")

                            max_throughput = Enum.YLeaf(1, "max-throughput")

                            min_delay = Enum.YLeaf(2, "min-delay")

                            min_monetary_cost = Enum.YLeaf(3, "min-monetary-cost")

                            normal = Enum.YLeaf(4, "normal")



                    class Vrf(Entity):
                        """
                        VRF name
                        
                        .. attribute:: vrfs
                        
                        	
                        	**type**\: list of  		 :py:class:`Vrfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Ip.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"vrfs" : ("vrfs", Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs)}

                            self.vrfs = YList(self)
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.Vrf, [], name, value)


                        class Vrfs(Entity):
                            """
                            
                            
                            .. attribute:: vrf  <key>
                            
                            	WORD;;VRF name
                            	**type**\: str
                            
                            .. attribute:: next_hop
                            
                            	Next hop along path
                            	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs.NextHop>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs, self).__init__()

                                self.yang_name = "vrfs"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"next-hop" : ("next_hop", Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs.NextHop)}
                                self._child_list_classes = {}

                                self.vrf = YLeaf(YType.str, "vrf")

                                self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs.NextHop()
                                self.next_hop.parent = self
                                self._children_name_map["next_hop"] = "next-hop"
                                self._children_yang_names.add("next-hop")
                                self._segment_path = lambda: "vrfs" + "[vrf='" + self.vrf.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs, ['vrf'], name, value)


                            class NextHop(Entity):
                                """
                                Next hop along path
                                
                                .. attribute:: address
                                
                                	
                                	**type**\: list of str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs.NextHop, self).__init__()

                                    self.yang_name = "next-hop"
                                    self.yang_parent_name = "vrfs"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeafList(YType.str, "address")
                                    self._segment_path = lambda: "next-hop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ip.Vrf.Vrfs.NextHop, ['address'], name, value)


                class Ipv6(Entity):
                    """
                    IPv6 specific information
                    
                    .. attribute:: address
                    
                    	IPv6 address
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Address>`
                    
                    .. attribute:: default
                    
                    	Set default information
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Default>`
                    
                    .. attribute:: global_
                    
                    	global routing table
                    	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_>`
                    
                    .. attribute:: next_hop
                    
                    	IPv6 Next hop
                    	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop>`
                    
                    .. attribute:: precedence
                    
                    	Precedence value
                    	**type**\: int
                    
                    	**range:** 0..7
                    
                    .. attribute:: bvrf
                    
                    	
                    	**type**\: list of  		 :py:class:`Bvrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.RouteMap.RouteMapSeq.Set.Ipv6.Address), "default" : ("default", Native.RouteMap.RouteMapSeq.Set.Ipv6.Default), "global" : ("global_", Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_), "next-hop" : ("next_hop", Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop)}
                        self._child_list_classes = {"bvrf" : ("bvrf", Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf)}

                        self.precedence = YLeaf(YType.uint8, "precedence")

                        self.address = Native.RouteMap.RouteMapSeq.Set.Ipv6.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.default = Native.RouteMap.RouteMapSeq.Set.Ipv6.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.global_ = Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_()
                        self.global_.parent = self
                        self._children_name_map["global_"] = "global"
                        self._children_yang_names.add("global")

                        self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop()
                        self.next_hop.parent = self
                        self._children_name_map["next_hop"] = "next-hop"
                        self._children_yang_names.add("next-hop")

                        self.bvrf = YList(self)
                        self._segment_path = lambda: "ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6, ['precedence'], name, value)


                    class Address(Entity):
                        """
                        IPv6 address
                        
                        .. attribute:: prefix_list
                        
                        	IPv6 prefix\-list
                        	**type**\: list of str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Ipv6.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix_list = YLeafList(YType.str, "prefix-list")
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.Address, ['prefix_list'], name, value)


                    class Default(Entity):
                        """
                        Set default information
                        
                        .. attribute:: global_
                        
                        	global routing table
                        	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Global_>`
                        
                        .. attribute:: next_hop
                        
                        	Next hop along path
                        	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop>`
                        
                        .. attribute:: dvrf
                        
                        	
                        	**type**\: list of  		 :py:class:`Dvrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Ipv6.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"global" : ("global_", Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Global_), "next-hop" : ("next_hop", Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop)}
                            self._child_list_classes = {"dvrf" : ("dvrf", Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf)}

                            self.global_ = Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Global_()
                            self.global_.parent = self
                            self._children_name_map["global_"] = "global"
                            self._children_yang_names.add("global")

                            self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop()
                            self.next_hop.parent = self
                            self._children_name_map["next_hop"] = "next-hop"
                            self._children_yang_names.add("next-hop")

                            self.dvrf = YList(self)
                            self._segment_path = lambda: "default"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.Default, [], name, value)


                        class Global_(Entity):
                            """
                            global routing table
                            
                            .. attribute:: next_hop
                            
                            	Next hop along path
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Global_, self).__init__()

                                self.yang_name = "global"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.next_hop = YLeaf(YType.str, "next-hop")
                                self._segment_path = lambda: "global"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Global_, ['next_hop'], name, value)


                        class NextHop(Entity):
                            """
                            Next hop along path
                            
                            .. attribute:: ipv6s
                            
                            	
                            	**type**\: list of  		 :py:class:`Ipv6S <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop.Ipv6S>`
                            
                            .. attribute:: next_hop_address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop, self).__init__()

                                self.yang_name = "next-hop"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ipv6s" : ("ipv6s", Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop.Ipv6S)}

                                self.next_hop_address = YLeaf(YType.str, "next-hop-address")

                                self.ipv6s = YList(self)
                                self._segment_path = lambda: "next-hop"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop, ['next_hop_address'], name, value)


                            class Ipv6S(Entity):
                                """
                                
                                
                                .. attribute:: ipv6  <key>
                                
                                	Default next hop IPv6 address
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop.Ipv6S, self).__init__()

                                    self.yang_name = "ipv6s"
                                    self.yang_parent_name = "next-hop"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                    self._segment_path = lambda: "ipv6s" + "[ipv6='" + self.ipv6.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.NextHop.Ipv6S, ['ipv6'], name, value)


                        class Dvrf(Entity):
                            """
                            
                            
                            .. attribute:: dvrf  <key>
                            
                            	VRF name
                            	**type**\: str
                            
                            .. attribute:: dvrf0
                            
                            	
                            	**type**\: list of  		 :py:class:`Dvrf0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf.Dvrf0>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf, self).__init__()

                                self.yang_name = "dvrf"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"dvrf0" : ("dvrf0", Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf.Dvrf0)}

                                self.dvrf = YLeaf(YType.str, "dvrf")

                                self.dvrf0 = YList(self)
                                self._segment_path = lambda: "dvrf" + "[dvrf='" + self.dvrf.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf, ['dvrf'], name, value)


                            class Dvrf0(Entity):
                                """
                                
                                
                                .. attribute:: dvrf0  <key>
                                
                                	VRF name
                                	**type**\: str
                                
                                .. attribute:: next_hop
                                
                                	Next hop along path
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf.Dvrf0, self).__init__()

                                    self.yang_name = "dvrf0"
                                    self.yang_parent_name = "dvrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dvrf0 = YLeaf(YType.str, "dvrf0")

                                    self.next_hop = YLeaf(YType.empty, "next-hop")
                                    self._segment_path = lambda: "dvrf0" + "[dvrf0='" + self.dvrf0.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.Default.Dvrf.Dvrf0, ['dvrf0', 'next_hop'], name, value)


                    class Global_(Entity):
                        """
                        global routing table
                        
                        .. attribute:: next_hop
                        
                        	IPv6 Next hop
                        	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_, self).__init__()

                            self.yang_name = "global"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"next-hop" : ("next_hop", Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop)}
                            self._child_list_classes = {}

                            self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop()
                            self.next_hop.parent = self
                            self._children_name_map["next_hop"] = "next-hop"
                            self._children_yang_names.add("next-hop")
                            self._segment_path = lambda: "global"


                        class NextHop(Entity):
                            """
                            IPv6 Next hop
                            
                            .. attribute:: nh_ipv6
                            
                            	
                            	**type**\: list of  		 :py:class:`NhIpv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop.NhIpv6>`
                            
                            .. attribute:: verify_availability
                            
                            	Next hop address
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop, self).__init__()

                                self.yang_name = "next-hop"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"nh-ipv6" : ("nh_ipv6", Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop.NhIpv6)}

                                self.verify_availability = YLeaf(YType.str, "verify-availability")

                                self.nh_ipv6 = YList(self)
                                self._segment_path = lambda: "next-hop"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop, ['verify_availability'], name, value)


                            class NhIpv6(Entity):
                                """
                                
                                
                                .. attribute:: nh_ipv6  <key>
                                
                                	Next hop address
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: nh_ipv60
                                
                                	Next hop address
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop.NhIpv6, self).__init__()

                                    self.yang_name = "nh-ipv6"
                                    self.yang_parent_name = "next-hop"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.nh_ipv6 = YLeaf(YType.str, "nh-ipv6")

                                    self.nh_ipv60 = YLeaf(YType.str, "nh-ipv60")
                                    self._segment_path = lambda: "nh-ipv6" + "[nh-ipv6='" + self.nh_ipv6.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.Global_.NextHop.NhIpv6, ['nh_ipv6', 'nh_ipv60'], name, value)


                    class NextHop(Entity):
                        """
                        IPv6 Next hop
                        
                        .. attribute:: nha_ipv6
                        
                        	
                        	**type**\: list of  		 :py:class:`NhaIpv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6>`
                        
                        .. attribute:: encapsulate
                        
                        	Encapsulation profile for VPN nexthop
                        	**type**\:  :py:class:`Encapsulate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.Encapsulate>`
                        
                        .. attribute:: peer_address
                        
                        	Use peer address (for BGP only)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: recursive
                        
                        	IPv6 address of recursive next\-hop
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: verify_availability
                        
                        	Verify if nexthop is reachable
                        	**type**\:  :py:class:`VerifyAvailability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop, self).__init__()

                            self.yang_name = "next-hop"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encapsulate" : ("encapsulate", Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.Encapsulate), "verify-availability" : ("verify_availability", Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability)}
                            self._child_list_classes = {"nha-ipv6" : ("nha_ipv6", Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6)}

                            self.peer_address = YLeaf(YType.empty, "peer-address")

                            self.recursive = YLeaf(YType.str, "recursive")

                            self.encapsulate = Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.Encapsulate()
                            self.encapsulate.parent = self
                            self._children_name_map["encapsulate"] = "encapsulate"
                            self._children_yang_names.add("encapsulate")

                            self.verify_availability = Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability()
                            self.verify_availability.parent = self
                            self._children_name_map["verify_availability"] = "verify-availability"
                            self._children_yang_names.add("verify-availability")

                            self.nha_ipv6 = YList(self)
                            self._segment_path = lambda: "next-hop"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop, ['peer_address', 'recursive'], name, value)


                        class NhaIpv6(Entity):
                            """
                            
                            
                            .. attribute:: nha_ipv6  <key>
                            
                            	Next hop address
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: nha_ipv60
                            
                            	
                            	**type**\: list of  		 :py:class:`NhaIpv60 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6.NhaIpv60>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6, self).__init__()

                                self.yang_name = "nha-ipv6"
                                self.yang_parent_name = "next-hop"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"nha-ipv60" : ("nha_ipv60", Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6.NhaIpv60)}

                                self.nha_ipv6 = YLeaf(YType.str, "nha-ipv6")

                                self.nha_ipv60 = YList(self)
                                self._segment_path = lambda: "nha-ipv6" + "[nha-ipv6='" + self.nha_ipv6.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6, ['nha_ipv6'], name, value)


                            class NhaIpv60(Entity):
                                """
                                
                                
                                .. attribute:: nha_ipv60  <key>
                                
                                	Next hop address
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: nh_ipv6
                                
                                	Next hop address
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6.NhaIpv60, self).__init__()

                                    self.yang_name = "nha-ipv60"
                                    self.yang_parent_name = "nha-ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.nha_ipv60 = YLeaf(YType.str, "nha-ipv60")

                                    self.nh_ipv6 = YLeaf(YType.str, "nh-ipv6")
                                    self._segment_path = lambda: "nha-ipv60" + "[nha-ipv60='" + self.nha_ipv60.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.NhaIpv6.NhaIpv60, ['nha_ipv60', 'nh_ipv6'], name, value)


                        class Encapsulate(Entity):
                            """
                            Encapsulation profile for VPN nexthop
                            
                            .. attribute:: l3vpn
                            
                            	Encapsulation profile name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.Encapsulate, self).__init__()

                                self.yang_name = "encapsulate"
                                self.yang_parent_name = "next-hop"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.l3vpn = YLeaf(YType.str, "l3vpn")
                                self._segment_path = lambda: "encapsulate"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.Encapsulate, ['l3vpn'], name, value)


                        class VerifyAvailability(Entity):
                            """
                            Verify if nexthop is reachable
                            
                            .. attribute:: va_ipv6
                            
                            	
                            	**type**\: list of  		 :py:class:`VaIpv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability.VaIpv6>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability, self).__init__()

                                self.yang_name = "verify-availability"
                                self.yang_parent_name = "next-hop"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"va-ipv6" : ("va_ipv6", Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability.VaIpv6)}

                                self.va_ipv6 = YList(self)
                                self._segment_path = lambda: "verify-availability"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability, [], name, value)


                            class VaIpv6(Entity):
                                """
                                
                                
                                .. attribute:: va_ipv6  <key>
                                
                                	Next hop address
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: seq_nh
                                
                                	Sequence to insert into next\-hop list
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability.VaIpv6, self).__init__()

                                    self.yang_name = "va-ipv6"
                                    self.yang_parent_name = "verify-availability"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.va_ipv6 = YLeaf(YType.str, "va-ipv6")

                                    self.seq_nh = YLeaf(YType.uint16, "seq-nh")
                                    self._segment_path = lambda: "va-ipv6" + "[va-ipv6='" + self.va_ipv6.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.NextHop.VerifyAvailability.VaIpv6, ['va_ipv6', 'seq_nh'], name, value)


                    class Bvrf(Entity):
                        """
                        
                        
                        .. attribute:: bvrf  <key>
                        
                        	VRF name
                        	**type**\: str
                        
                        .. attribute:: bvrf0
                        
                        	
                        	**type**\: list of  		 :py:class:`Bvrf0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf, self).__init__()

                            self.yang_name = "bvrf"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"bvrf0" : ("bvrf0", Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0)}

                            self.bvrf = YLeaf(YType.str, "bvrf")

                            self.bvrf0 = YList(self)
                            self._segment_path = lambda: "bvrf" + "[bvrf='" + self.bvrf.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf, ['bvrf'], name, value)


                        class Bvrf0(Entity):
                            """
                            
                            
                            .. attribute:: bvrf0  <key>
                            
                            	VRF name
                            	**type**\: str
                            
                            .. attribute:: next_hop
                            
                            	IPv6 Next hop
                            	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0.NextHop>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0, self).__init__()

                                self.yang_name = "bvrf0"
                                self.yang_parent_name = "bvrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"next-hop" : ("next_hop", Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0.NextHop)}
                                self._child_list_classes = {}

                                self.bvrf0 = YLeaf(YType.str, "bvrf0")

                                self.next_hop = Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0.NextHop()
                                self.next_hop.parent = self
                                self._children_name_map["next_hop"] = "next-hop"
                                self._children_yang_names.add("next-hop")
                                self._segment_path = lambda: "bvrf0" + "[bvrf0='" + self.bvrf0.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0, ['bvrf0'], name, value)


                            class NextHop(Entity):
                                """
                                IPv6 Next hop
                                
                                .. attribute:: bipv6
                                
                                	Next hop address
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: verify_availability
                                
                                	Verify if nexthop is reachable
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0.NextHop, self).__init__()

                                    self.yang_name = "next-hop"
                                    self.yang_parent_name = "bvrf0"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.bipv6 = YLeaf(YType.str, "bipv6")

                                    self.verify_availability = YLeaf(YType.empty, "verify-availability")
                                    self._segment_path = lambda: "next-hop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Ipv6.Bvrf.Bvrf0.NextHop, ['bipv6', 'verify_availability'], name, value)


                class Level(Entity):
                    """
                    Where to import route
                    
                    .. attribute:: level_1
                    
                    	Import into a level\-1 area
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_1_2
                    
                    	Import into level\-1 and level\-2
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_2
                    
                    	Import into level\-2 sub\-domain
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nssa_only
                    
                    	Import only into OSPF NSSA areas and don't propagate
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.Level, self).__init__()

                        self.yang_name = "level"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level_1 = YLeaf(YType.empty, "level-1")

                        self.level_1_2 = YLeaf(YType.empty, "level-1-2")

                        self.level_2 = YLeaf(YType.empty, "level-2")

                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                        self._segment_path = lambda: "level"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Level, ['level_1', 'level_1_2', 'level_2', 'nssa_only'], name, value)


                class Lisp(Entity):
                    """
                    Locator ID Separation Protocol specific information
                    
                    .. attribute:: locator_set
                    
                    	The name of the locator set
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.Lisp, self).__init__()

                        self.yang_name = "lisp"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.locator_set = YLeaf(YType.str, "locator-set")
                        self._segment_path = lambda: "lisp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Lisp, ['locator_set'], name, value)


                class Origin(Entity):
                    """
                    BGP origin code
                    
                    .. attribute:: origin_value
                    
                    	
                    	**type**\:  :py:class:`OriginValue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Set.Origin.OriginValue>`
                    
                    .. attribute:: egp
                    
                    	remote EGP
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.Origin, self).__init__()

                        self.yang_name = "origin"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.origin_value = YLeaf(YType.enumeration, "origin-value")

                        self.egp = YLeaf(YType.uint32, "egp")
                        self._segment_path = lambda: "origin"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Origin, ['origin_value', 'egp'], name, value)

                    class OriginValue(Enum):
                        """
                        OriginValue

                        .. data:: igp = 0

                        .. data:: incomplete = 1

                        """

                        igp = Enum.YLeaf(0, "igp")

                        incomplete = Enum.YLeaf(1, "incomplete")



                class Tag(Entity):
                    """
                    Tag value for destination routing protocol
                    
                    .. attribute:: tag_val
                    
                    	Tag value
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: tag_ipv4
                    
                    	Tag value(dotted decimal format)
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Set.Tag, self).__init__()

                        self.yang_name = "tag"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tag_val = YLeaf(YType.uint32, "tag-val")

                        self.tag_ipv4 = YLeaf(YType.str, "tag-ipv4")
                        self._segment_path = lambda: "tag"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Set.Tag, ['tag_val', 'tag_ipv4'], name, value)


            class Match(Entity):
                """
                Match values from routing table
                
                .. attribute:: additional_paths
                
                	BGP Add\-Path match policies
                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths>`
                
                .. attribute:: as_path
                
                	Match BGP AS path list
                	**type**\:  :py:class:`AsPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AsPath>`
                
                .. attribute:: clns
                
                	CLNS information
                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Clns>`
                
                .. attribute:: community
                
                	Match BGP community list
                	**type**\:  :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Community>`
                
                .. attribute:: extcommunity
                
                	Match BGP/VPN extended community list
                	**type**\:  :py:class:`Extcommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Extcommunity>`
                
                .. attribute:: interface
                
                	SPAN source interface
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Interface>`
                
                .. attribute:: ip
                
                	IP specific information
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip>`
                
                .. attribute:: ipv6
                
                	IPv6 specific information
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6>`
                
                .. attribute:: length
                
                	Packet length
                	**type**\:  :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Length>`
                
                .. attribute:: local_preference
                
                	Local preference for route
                	**type**\:  :py:class:`LocalPreference <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.LocalPreference>`
                
                .. attribute:: mdt_group
                
                	Match routes corresponding to MDT group
                	**type**\:  :py:class:`MdtGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.MdtGroup>`
                
                .. attribute:: metric
                
                	Match metric of route
                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Metric>`
                
                .. attribute:: mpls_label
                
                	Match routes which have MPLS labels
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: policy_list
                
                	Match IP policy list
                	**type**\:  :py:class:`PolicyList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.PolicyList>`
                
                .. attribute:: route_type
                
                	Match route\-type of route
                	**type**\:  :py:class:`RouteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.RouteType>`
                
                .. attribute:: rpki
                
                	Match RPKI state of route
                	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Rpki>`
                
                .. attribute:: source_protocol
                
                	Match source\-protocol of route
                	**type**\:  :py:class:`SourceProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.SourceProtocol>`
                
                	**presence node**\: True
                
                .. attribute:: tag
                
                	Match tag of route
                	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Tag>`
                
                .. attribute:: track
                
                	tracking object
                	**type**\: int
                
                	**range:** 1..1000
                
                

                """

                _prefix = 'ios-route-map'
                _revision = '2017-06-07'

                def __init__(self):
                    super(Native.RouteMap.RouteMapSeq.Match, self).__init__()

                    self.yang_name = "match"
                    self.yang_parent_name = "route-map-seq"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"additional-paths" : ("additional_paths", Native.RouteMap.RouteMapSeq.Match.AdditionalPaths), "as-path" : ("as_path", Native.RouteMap.RouteMapSeq.Match.AsPath), "clns" : ("clns", Native.RouteMap.RouteMapSeq.Match.Clns), "community" : ("community", Native.RouteMap.RouteMapSeq.Match.Community), "extcommunity" : ("extcommunity", Native.RouteMap.RouteMapSeq.Match.Extcommunity), "interface" : ("interface", Native.RouteMap.RouteMapSeq.Match.Interface), "ip" : ("ip", Native.RouteMap.RouteMapSeq.Match.Ip), "ipv6" : ("ipv6", Native.RouteMap.RouteMapSeq.Match.Ipv6), "length" : ("length", Native.RouteMap.RouteMapSeq.Match.Length), "local-preference" : ("local_preference", Native.RouteMap.RouteMapSeq.Match.LocalPreference), "mdt-group" : ("mdt_group", Native.RouteMap.RouteMapSeq.Match.MdtGroup), "metric" : ("metric", Native.RouteMap.RouteMapSeq.Match.Metric), "policy-list" : ("policy_list", Native.RouteMap.RouteMapSeq.Match.PolicyList), "route-type" : ("route_type", Native.RouteMap.RouteMapSeq.Match.RouteType), "rpki" : ("rpki", Native.RouteMap.RouteMapSeq.Match.Rpki), "source-protocol" : ("source_protocol", Native.RouteMap.RouteMapSeq.Match.SourceProtocol), "tag" : ("tag", Native.RouteMap.RouteMapSeq.Match.Tag)}
                    self._child_list_classes = {}

                    self.mpls_label = YLeaf(YType.empty, "mpls-label")

                    self.track = YLeaf(YType.uint16, "track")

                    self.additional_paths = Native.RouteMap.RouteMapSeq.Match.AdditionalPaths()
                    self.additional_paths.parent = self
                    self._children_name_map["additional_paths"] = "additional-paths"
                    self._children_yang_names.add("additional-paths")

                    self.as_path = Native.RouteMap.RouteMapSeq.Match.AsPath()
                    self.as_path.parent = self
                    self._children_name_map["as_path"] = "as-path"
                    self._children_yang_names.add("as-path")

                    self.clns = Native.RouteMap.RouteMapSeq.Match.Clns()
                    self.clns.parent = self
                    self._children_name_map["clns"] = "clns"
                    self._children_yang_names.add("clns")

                    self.community = Native.RouteMap.RouteMapSeq.Match.Community()
                    self.community.parent = self
                    self._children_name_map["community"] = "community"
                    self._children_yang_names.add("community")

                    self.extcommunity = Native.RouteMap.RouteMapSeq.Match.Extcommunity()
                    self.extcommunity.parent = self
                    self._children_name_map["extcommunity"] = "extcommunity"
                    self._children_yang_names.add("extcommunity")

                    self.interface = Native.RouteMap.RouteMapSeq.Match.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")

                    self.ip = Native.RouteMap.RouteMapSeq.Match.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")

                    self.ipv6 = Native.RouteMap.RouteMapSeq.Match.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.length = Native.RouteMap.RouteMapSeq.Match.Length()
                    self.length.parent = self
                    self._children_name_map["length"] = "length"
                    self._children_yang_names.add("length")

                    self.local_preference = Native.RouteMap.RouteMapSeq.Match.LocalPreference()
                    self.local_preference.parent = self
                    self._children_name_map["local_preference"] = "local-preference"
                    self._children_yang_names.add("local-preference")

                    self.mdt_group = Native.RouteMap.RouteMapSeq.Match.MdtGroup()
                    self.mdt_group.parent = self
                    self._children_name_map["mdt_group"] = "mdt-group"
                    self._children_yang_names.add("mdt-group")

                    self.metric = Native.RouteMap.RouteMapSeq.Match.Metric()
                    self.metric.parent = self
                    self._children_name_map["metric"] = "metric"
                    self._children_yang_names.add("metric")

                    self.policy_list = Native.RouteMap.RouteMapSeq.Match.PolicyList()
                    self.policy_list.parent = self
                    self._children_name_map["policy_list"] = "policy-list"
                    self._children_yang_names.add("policy-list")

                    self.route_type = Native.RouteMap.RouteMapSeq.Match.RouteType()
                    self.route_type.parent = self
                    self._children_name_map["route_type"] = "route-type"
                    self._children_yang_names.add("route-type")

                    self.rpki = Native.RouteMap.RouteMapSeq.Match.Rpki()
                    self.rpki.parent = self
                    self._children_name_map["rpki"] = "rpki"
                    self._children_yang_names.add("rpki")

                    self.source_protocol = None
                    self._children_name_map["source_protocol"] = "source-protocol"
                    self._children_yang_names.add("source-protocol")

                    self.tag = Native.RouteMap.RouteMapSeq.Match.Tag()
                    self.tag.parent = self
                    self._children_name_map["tag"] = "tag"
                    self._children_yang_names.add("tag")
                    self._segment_path = lambda: "match"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Match, ['mpls_label', 'track'], name, value)


                class AdditionalPaths(Entity):
                    """
                    BGP Add\-Path match policies
                    
                    .. attribute:: advertise_set
                    
                    	BGP Add\-Path advertise\-set policy
                    	**type**\:  :py:class:`AdvertiseSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths, self).__init__()

                        self.yang_name = "additional-paths"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"advertise-set" : ("advertise_set", Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet)}
                        self._child_list_classes = {}

                        self.advertise_set = Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet()
                        self.advertise_set.parent = self
                        self._children_name_map["advertise_set"] = "advertise-set"
                        self._children_yang_names.add("advertise-set")
                        self._segment_path = lambda: "additional-paths"


                    class AdvertiseSet(Entity):
                        """
                        BGP Add\-Path advertise\-set policy
                        
                        .. attribute:: all
                        
                        	BGP Add\-Path advertise all paths
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: best
                        
                        	BGP Add\-Path advertise best n paths
                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best>`
                        
                        .. attribute:: best_range
                        
                        	BGP Add\-Path advertise best paths (range m to n)
                        	**type**\:  :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange>`
                        
                        .. attribute:: group_best
                        
                        	BGP Add\-Path advertise group\-best path
                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.GroupBest>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet, self).__init__()

                            self.yang_name = "advertise-set"
                            self.yang_parent_name = "additional-paths"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"all" : ("all", Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All), "best" : ("best", Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best), "best-range" : ("best_range", Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange), "group-best" : ("group_best", Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.GroupBest)}
                            self._child_list_classes = {}

                            self.all = None
                            self._children_name_map["all"] = "all"
                            self._children_yang_names.add("all")

                            self.best = Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best()
                            self.best.parent = self
                            self._children_name_map["best"] = "best"
                            self._children_yang_names.add("best")

                            self.best_range = Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange()
                            self.best_range.parent = self
                            self._children_name_map["best_range"] = "best-range"
                            self._children_yang_names.add("best-range")

                            self.group_best = None
                            self._children_name_map["group_best"] = "group-best"
                            self._children_yang_names.add("group-best")
                            self._segment_path = lambda: "advertise-set"


                        class All(Entity):
                            """
                            BGP Add\-Path advertise all paths
                            
                            .. attribute:: best
                            
                            	BGP Add\-Path best n paths to advertise
                            	**type**\: int
                            
                            	**range:** 1..3
                            
                            .. attribute:: best_range
                            
                            	BGP Add\-Path best paths to advertise (lower limit)
                            	**type**\: int
                            
                            	**range:** 1..3
                            
                            .. attribute:: group_best
                            
                            	BGP Add\-Path advertise group\-best path
                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All.GroupBest>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All, self).__init__()

                                self.yang_name = "all"
                                self.yang_parent_name = "advertise-set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"group-best" : ("group_best", Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All.GroupBest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.best = YLeaf(YType.uint8, "best")

                                self.best_range = YLeaf(YType.uint8, "best-range")

                                self.group_best = None
                                self._children_name_map["group_best"] = "group-best"
                                self._children_yang_names.add("group-best")
                                self._segment_path = lambda: "all"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All, ['best', 'best_range'], name, value)


                            class GroupBest(Entity):
                                """
                                BGP Add\-Path advertise group\-best path
                                
                                .. attribute:: best
                                
                                	BGP Add\-Path advertise best n paths
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: best_range
                                
                                	BGP Add\-Path advertise best paths (range m to n)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All.GroupBest, self).__init__()

                                    self.yang_name = "group-best"
                                    self.yang_parent_name = "all"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.best = YLeaf(YType.empty, "best")

                                    self.best_range = YLeaf(YType.empty, "best-range")
                                    self._segment_path = lambda: "group-best"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.All.GroupBest, ['best', 'best_range'], name, value)


                        class Best(Entity):
                            """
                            BGP Add\-Path advertise best n paths
                            
                            .. attribute:: best_range
                            
                            	
                            	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best.BestRange>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best, self).__init__()

                                self.yang_name = "best"
                                self.yang_parent_name = "advertise-set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"best-range" : ("best_range", Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best.BestRange)}

                                self.best_range = YList(self)
                                self._segment_path = lambda: "best"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best, [], name, value)


                            class BestRange(Entity):
                                """
                                
                                
                                .. attribute:: best_range  <key>
                                
                                	BGP Add\-Path best n paths to advertise
                                	**type**\: int
                                
                                	**range:** 1..3
                                
                                .. attribute:: all
                                
                                	BGP Add\-Path advertise all paths
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: group_best
                                
                                	BGP Add\-Path advertise group\-best path
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best.BestRange, self).__init__()

                                    self.yang_name = "best-range"
                                    self.yang_parent_name = "best"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.best_range = YLeaf(YType.uint8, "best-range")

                                    self.all = YLeaf(YType.empty, "all")

                                    self.group_best = YLeaf(YType.empty, "group-best")
                                    self._segment_path = lambda: "best-range" + "[best-range='" + self.best_range.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.Best.BestRange, ['best_range', 'all', 'group_best'], name, value)


                        class BestRange(Entity):
                            """
                            BGP Add\-Path advertise best paths (range m to n)
                            
                            .. attribute:: adv_path
                            
                            	
                            	**type**\: list of  		 :py:class:`AdvPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange.AdvPath>`
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange, self).__init__()

                                self.yang_name = "best-range"
                                self.yang_parent_name = "advertise-set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"adv-path" : ("adv_path", Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange.AdvPath)}

                                self.adv_path = YList(self)
                                self._segment_path = lambda: "best-range"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange, [], name, value)


                            class AdvPath(Entity):
                                """
                                
                                
                                .. attribute:: adv_path  <key>
                                
                                	BGP Add\-Path best paths to advertise (lower limit)
                                	**type**\: int
                                
                                	**range:** 1..3
                                
                                .. attribute:: adv_path0
                                
                                	BGP Add\-Path best paths to advertise (upper limit)
                                	**type**\: int
                                
                                	**range:** 1..3
                                
                                

                                """

                                _prefix = 'ios-route-map'
                                _revision = '2017-06-07'

                                def __init__(self):
                                    super(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange.AdvPath, self).__init__()

                                    self.yang_name = "adv-path"
                                    self.yang_parent_name = "best-range"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.adv_path = YLeaf(YType.uint8, "adv-path")

                                    self.adv_path0 = YLeaf(YType.uint8, "adv-path0")
                                    self._segment_path = lambda: "adv-path" + "[adv-path='" + self.adv_path.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.BestRange.AdvPath, ['adv_path', 'adv_path0'], name, value)


                        class GroupBest(Entity):
                            """
                            BGP Add\-Path advertise group\-best path
                            
                            .. attribute:: all
                            
                            	BGP Add\-Path advertise all paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: best
                            
                            	BGP Add\-Path best n paths to advertise
                            	**type**\: int
                            
                            	**range:** 1..3
                            
                            .. attribute:: best_range
                            
                            	BGP Add\-Path best paths to advertise (lower limit)
                            	**type**\: int
                            
                            	**range:** 1..3
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.GroupBest, self).__init__()

                                self.yang_name = "group-best"
                                self.yang_parent_name = "advertise-set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.all = YLeaf(YType.empty, "all")

                                self.best = YLeaf(YType.uint8, "best")

                                self.best_range = YLeaf(YType.uint8, "best-range")
                                self._segment_path = lambda: "group-best"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.AdditionalPaths.AdvertiseSet.GroupBest, ['all', 'best', 'best_range'], name, value)


                class AsPath(Entity):
                    """
                    Match BGP AS path list
                    
                    .. attribute:: access_list
                    
                    	AS path access\-list
                    	**type**\: list of int
                    
                    	**range:** 1..500
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.AsPath, self).__init__()

                        self.yang_name = "as-path"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.access_list = YLeafList(YType.uint16, "access-list")
                        self._segment_path = lambda: "as-path"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.AsPath, ['access_list'], name, value)


                class Clns(Entity):
                    """
                    CLNS information
                    
                    .. attribute:: name
                    
                    	Named clna list
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.Clns, self).__init__()

                        self.yang_name = "clns"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeafList(YType.str, "name")
                        self._segment_path = lambda: "clns"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Clns, ['name'], name, value)


                class Community(Entity):
                    """
                    Match BGP community list
                    
                    .. attribute:: name
                    
                    	Named Access List
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.Community, self).__init__()

                        self.yang_name = "community"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeafList(YType.str, "name")
                        self._segment_path = lambda: "community"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Community, ['name'], name, value)


                class Extcommunity(Entity):
                    """
                    Match BGP/VPN extended community list
                    
                    .. attribute:: name
                    
                    	Named Access List
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.Extcommunity, self).__init__()

                        self.yang_name = "extcommunity"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeafList(YType.str, "name")
                        self._segment_path = lambda: "extcommunity"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Extcommunity, ['name'], name, value)


                class Interface(Entity):
                    """
                    SPAN source interface
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interface = YLeafList(YType.str, "interface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Interface, ['interface'], name, value)


                class Ip(Entity):
                    """
                    IP specific information
                    
                    .. attribute:: address
                    
                    	Match address of route or match packet
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.Address>`
                    
                    .. attribute:: flowspec
                    
                    	Match address of route
                    	**type**\:  :py:class:`Flowspec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec>`
                    
                    .. attribute:: next_hop
                    
                    	Match next\-hop address of route
                    	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.NextHop>`
                    
                    .. attribute:: redistribution_source
                    
                    	route redistribution source (EIGRP only)
                    	**type**\:  :py:class:`RedistributionSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.RedistributionSource>`
                    
                    .. attribute:: route_source
                    
                    	Match advertising source address of route
                    	**type**\:  :py:class:`RouteSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.RouteSource>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.RouteMap.RouteMapSeq.Match.Ip.Address), "flowspec" : ("flowspec", Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec), "next-hop" : ("next_hop", Native.RouteMap.RouteMapSeq.Match.Ip.NextHop), "redistribution-source" : ("redistribution_source", Native.RouteMap.RouteMapSeq.Match.Ip.RedistributionSource), "route-source" : ("route_source", Native.RouteMap.RouteMapSeq.Match.Ip.RouteSource)}
                        self._child_list_classes = {}

                        self.address = Native.RouteMap.RouteMapSeq.Match.Ip.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.flowspec = Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec()
                        self.flowspec.parent = self
                        self._children_name_map["flowspec"] = "flowspec"
                        self._children_yang_names.add("flowspec")

                        self.next_hop = Native.RouteMap.RouteMapSeq.Match.Ip.NextHop()
                        self.next_hop.parent = self
                        self._children_name_map["next_hop"] = "next-hop"
                        self._children_yang_names.add("next-hop")

                        self.redistribution_source = Native.RouteMap.RouteMapSeq.Match.Ip.RedistributionSource()
                        self.redistribution_source.parent = self
                        self._children_name_map["redistribution_source"] = "redistribution-source"
                        self._children_yang_names.add("redistribution-source")

                        self.route_source = Native.RouteMap.RouteMapSeq.Match.Ip.RouteSource()
                        self.route_source.parent = self
                        self._children_name_map["route_source"] = "route-source"
                        self._children_yang_names.add("route-source")
                        self._segment_path = lambda: "ip"


                    class Address(Entity):
                        """
                        Match address of route or match packet
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: list of int
                        
                        			**range:** 1..199 \| 1300..2699
                        
                        		**type**\: list of str
                        
                        			**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: prefix_list
                        
                        	Match entries of prefix\-lists
                        	**type**\: list of str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.Ip.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_list = YLeafList(YType.str, "access-list")

                            self.prefix_list = YLeafList(YType.str, "prefix-list")
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Ip.Address, ['access_list', 'prefix_list'], name, value)


                    class Flowspec(Entity):
                        """
                        Match address of route
                        
                        .. attribute:: dest_pfx
                        
                        	Match dest prefix component of flowspec prefix
                        	**type**\:  :py:class:`DestPfx <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.DestPfx>`
                        
                        .. attribute:: src_pfx
                        
                        	Match source prefix component of flowspec prefix
                        	**type**\:  :py:class:`SrcPfx <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.SrcPfx>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec, self).__init__()

                            self.yang_name = "flowspec"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dest-pfx" : ("dest_pfx", Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.DestPfx), "src-pfx" : ("src_pfx", Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.SrcPfx)}
                            self._child_list_classes = {}

                            self.dest_pfx = Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.DestPfx()
                            self.dest_pfx.parent = self
                            self._children_name_map["dest_pfx"] = "dest-pfx"
                            self._children_yang_names.add("dest-pfx")

                            self.src_pfx = Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.SrcPfx()
                            self.src_pfx.parent = self
                            self._children_name_map["src_pfx"] = "src-pfx"
                            self._children_yang_names.add("src-pfx")
                            self._segment_path = lambda: "flowspec"


                        class DestPfx(Entity):
                            """
                            Match dest prefix component of flowspec prefix
                            
                            .. attribute:: access_list
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: list of str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: prefix_list
                            
                            	Match entries of prefix\-lists
                            	**type**\: list of str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.DestPfx, self).__init__()

                                self.yang_name = "dest-pfx"
                                self.yang_parent_name = "flowspec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.access_list = YLeafList(YType.str, "access-list")

                                self.prefix_list = YLeafList(YType.str, "prefix-list")
                                self._segment_path = lambda: "dest-pfx"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.DestPfx, ['access_list', 'prefix_list'], name, value)


                        class SrcPfx(Entity):
                            """
                            Match source prefix component of flowspec prefix
                            
                            .. attribute:: access_list
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: list of int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: list of str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: prefix_list
                            
                            	Match entries of prefix\-lists
                            	**type**\: list of str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.SrcPfx, self).__init__()

                                self.yang_name = "src-pfx"
                                self.yang_parent_name = "flowspec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.access_list = YLeafList(YType.str, "access-list")

                                self.prefix_list = YLeafList(YType.str, "prefix-list")
                                self._segment_path = lambda: "src-pfx"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Ip.Flowspec.SrcPfx, ['access_list', 'prefix_list'], name, value)


                    class NextHop(Entity):
                        """
                        Match next\-hop address of route
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: list of int
                        
                        			**range:** 1..199 \| 1300..2699
                        
                        		**type**\: list of str
                        
                        			**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: prefix_list
                        
                        	Match entries of prefix\-lists
                        	**type**\: list of str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.Ip.NextHop, self).__init__()

                            self.yang_name = "next-hop"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_list = YLeafList(YType.str, "access-list")

                            self.prefix_list = YLeafList(YType.str, "prefix-list")
                            self._segment_path = lambda: "next-hop"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Ip.NextHop, ['access_list', 'prefix_list'], name, value)


                    class RedistributionSource(Entity):
                        """
                        route redistribution source (EIGRP only)
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: list of int
                        
                        			**range:** 1..199 \| 1300..2699
                        
                        		**type**\: list of str
                        
                        			**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: prefix_list
                        
                        	Match entries of prefix\-lists
                        	**type**\: list of str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.Ip.RedistributionSource, self).__init__()

                            self.yang_name = "redistribution-source"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_list = YLeafList(YType.str, "access-list")

                            self.prefix_list = YLeafList(YType.str, "prefix-list")
                            self._segment_path = lambda: "redistribution-source"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Ip.RedistributionSource, ['access_list', 'prefix_list'], name, value)


                    class RouteSource(Entity):
                        """
                        Match advertising source address of route
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: list of int
                        
                        			**range:** 1..199 \| 1300..2699
                        
                        		**type**\: list of str
                        
                        			**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: prefix_list
                        
                        	Match entries of prefix\-lists
                        	**type**\: list of str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.Ip.RouteSource, self).__init__()

                            self.yang_name = "route-source"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_list = YLeafList(YType.str, "access-list")

                            self.prefix_list = YLeafList(YType.str, "prefix-list")
                            self._segment_path = lambda: "route-source"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Ip.RouteSource, ['access_list', 'prefix_list'], name, value)


                class Ipv6(Entity):
                    """
                    IPv6 specific information
                    
                    .. attribute:: address
                    
                    	Match address of route
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6.Address>`
                    
                    .. attribute:: flowspec
                    
                    	Match address of route
                    	**type**\:  :py:class:`Flowspec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec>`
                    
                    .. attribute:: next_hop
                    
                    	Match next\-hop address of route
                    	**type**\:  :py:class:`NextHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6.NextHop>`
                    
                    .. attribute:: route_source
                    
                    	Match advertising source address of route
                    	**type**\:  :py:class:`RouteSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6.RouteSource>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.RouteMap.RouteMapSeq.Match.Ipv6.Address), "flowspec" : ("flowspec", Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec), "next-hop" : ("next_hop", Native.RouteMap.RouteMapSeq.Match.Ipv6.NextHop), "route-source" : ("route_source", Native.RouteMap.RouteMapSeq.Match.Ipv6.RouteSource)}
                        self._child_list_classes = {}

                        self.address = Native.RouteMap.RouteMapSeq.Match.Ipv6.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.flowspec = Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec()
                        self.flowspec.parent = self
                        self._children_name_map["flowspec"] = "flowspec"
                        self._children_yang_names.add("flowspec")

                        self.next_hop = Native.RouteMap.RouteMapSeq.Match.Ipv6.NextHop()
                        self.next_hop.parent = self
                        self._children_name_map["next_hop"] = "next-hop"
                        self._children_yang_names.add("next-hop")

                        self.route_source = Native.RouteMap.RouteMapSeq.Match.Ipv6.RouteSource()
                        self.route_source.parent = self
                        self._children_name_map["route_source"] = "route-source"
                        self._children_yang_names.add("route-source")
                        self._segment_path = lambda: "ipv6"


                    class Address(Entity):
                        """
                        Match address of route
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: prefix_list
                        
                        	IPv6 prefix\-list
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.Ipv6.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_list = YLeaf(YType.str, "access-list")

                            self.prefix_list = YLeaf(YType.str, "prefix-list")
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Ipv6.Address, ['access_list', 'prefix_list'], name, value)


                    class Flowspec(Entity):
                        """
                        Match address of route
                        
                        .. attribute:: dest_pfx
                        
                        	Match dest prefix component of flowspec prefix
                        	**type**\:  :py:class:`DestPfx <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.DestPfx>`
                        
                        .. attribute:: src_pfx
                        
                        	Match source prefix component of flowspec prefix
                        	**type**\:  :py:class:`SrcPfx <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.SrcPfx>`
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec, self).__init__()

                            self.yang_name = "flowspec"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dest-pfx" : ("dest_pfx", Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.DestPfx), "src-pfx" : ("src_pfx", Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.SrcPfx)}
                            self._child_list_classes = {}

                            self.dest_pfx = Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.DestPfx()
                            self.dest_pfx.parent = self
                            self._children_name_map["dest_pfx"] = "dest-pfx"
                            self._children_yang_names.add("dest-pfx")

                            self.src_pfx = Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.SrcPfx()
                            self.src_pfx.parent = self
                            self._children_name_map["src_pfx"] = "src-pfx"
                            self._children_yang_names.add("src-pfx")
                            self._segment_path = lambda: "flowspec"


                        class DestPfx(Entity):
                            """
                            Match dest prefix component of flowspec prefix
                            
                            .. attribute:: access_list
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: prefix_list
                            
                            	IPv6 prefix\-list
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.DestPfx, self).__init__()

                                self.yang_name = "dest-pfx"
                                self.yang_parent_name = "flowspec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.access_list = YLeaf(YType.str, "access-list")

                                self.prefix_list = YLeaf(YType.str, "prefix-list")
                                self._segment_path = lambda: "dest-pfx"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.DestPfx, ['access_list', 'prefix_list'], name, value)


                        class SrcPfx(Entity):
                            """
                            Match source prefix component of flowspec prefix
                            
                            .. attribute:: access_list
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: prefix_list
                            
                            	IPv6 prefix\-list
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-route-map'
                            _revision = '2017-06-07'

                            def __init__(self):
                                super(Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.SrcPfx, self).__init__()

                                self.yang_name = "src-pfx"
                                self.yang_parent_name = "flowspec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.access_list = YLeaf(YType.str, "access-list")

                                self.prefix_list = YLeaf(YType.str, "prefix-list")
                                self._segment_path = lambda: "src-pfx"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Ipv6.Flowspec.SrcPfx, ['access_list', 'prefix_list'], name, value)


                    class NextHop(Entity):
                        """
                        Match next\-hop address of route
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: prefix_list
                        
                        	IPv6 prefix\-list
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.Ipv6.NextHop, self).__init__()

                            self.yang_name = "next-hop"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_list = YLeaf(YType.str, "access-list")

                            self.prefix_list = YLeaf(YType.str, "prefix-list")
                            self._segment_path = lambda: "next-hop"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Ipv6.NextHop, ['access_list', 'prefix_list'], name, value)


                    class RouteSource(Entity):
                        """
                        Match advertising source address of route
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: prefix_list
                        
                        	IPv6 prefix\-list
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.Ipv6.RouteSource, self).__init__()

                            self.yang_name = "route-source"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_list = YLeaf(YType.str, "access-list")

                            self.prefix_list = YLeaf(YType.str, "prefix-list")
                            self._segment_path = lambda: "route-source"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Ipv6.RouteSource, ['access_list', 'prefix_list'], name, value)


                class Length(Entity):
                    """
                    Packet length
                    
                    .. attribute:: lengths
                    
                    	
                    	**type**\: list of  		 :py:class:`Lengths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Length.Lengths>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.Length, self).__init__()

                        self.yang_name = "length"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"lengths" : ("lengths", Native.RouteMap.RouteMapSeq.Match.Length.Lengths)}

                        self.lengths = YList(self)
                        self._segment_path = lambda: "length"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Length, [], name, value)


                    class Lengths(Entity):
                        """
                        
                        
                        .. attribute:: min_len  <key>
                        
                        	Minimum packet length
                        	**type**\: int
                        
                        	**range:** 0..2147483647
                        
                        .. attribute:: max_len  <key>
                        
                        	Maximum packet length
                        	**type**\: int
                        
                        	**range:** 0..2147483647
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.Length.Lengths, self).__init__()

                            self.yang_name = "lengths"
                            self.yang_parent_name = "length"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.min_len = YLeaf(YType.uint32, "min-len")

                            self.max_len = YLeaf(YType.uint32, "max-len")
                            self._segment_path = lambda: "lengths" + "[min-len='" + self.min_len.get() + "']" + "[max-len='" + self.max_len.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Length.Lengths, ['min_len', 'max_len'], name, value)


                class LocalPreference(Entity):
                    """
                    Local preference for route
                    
                    .. attribute:: values
                    
                    	
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.LocalPreference, self).__init__()

                        self.yang_name = "local-preference"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.values = YLeafList(YType.str, "values")
                        self._segment_path = lambda: "local-preference"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.LocalPreference, ['values'], name, value)


                class MdtGroup(Entity):
                    """
                    Match routes corresponding to MDT group
                    
                    .. attribute:: name
                    
                    	IP Access List
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.MdtGroup, self).__init__()

                        self.yang_name = "mdt-group"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeafList(YType.str, "name")
                        self._segment_path = lambda: "mdt-group"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.MdtGroup, ['name'], name, value)


                class Metric(Entity):
                    """
                    Match metric of route
                    
                    .. attribute:: metric_value
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: external
                    
                    	match route using external protocol metric
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.Metric, self).__init__()

                        self.yang_name = "metric"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.metric_value = YLeaf(YType.str, "metric-value")

                        self.external = YLeaf(YType.str, "external")
                        self._segment_path = lambda: "metric"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Metric, ['metric_value', 'external'], name, value)


                class PolicyList(Entity):
                    """
                    Match IP policy list
                    
                    .. attribute:: policy_map_names
                    
                    	IP Policy map name
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.PolicyList, self).__init__()

                        self.yang_name = "policy-list"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_names = YLeafList(YType.str, "policy-map-names")
                        self._segment_path = lambda: "policy-list"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.PolicyList, ['policy_map_names'], name, value)


                class RouteType(Entity):
                    """
                    Match route\-type of route
                    
                    .. attribute:: external
                    
                    	external route (BGP, EIGRP and OSPF type 1/2)
                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.RouteType.External>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: internal
                    
                    	internal route (including OSPF intra/inter area)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_1
                    
                    	IS\-IS level\-1 route
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_2
                    
                    	IS\-IS level\-2 route
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	locally generated route
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nssa_external
                    
                    	nssa\-external route (OSPF type 1/2)
                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.RouteType.NssaExternal>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.RouteType, self).__init__()

                        self.yang_name = "route-type"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"external" : ("external", Native.RouteMap.RouteMapSeq.Match.RouteType.External), "nssa-external" : ("nssa_external", Native.RouteMap.RouteMapSeq.Match.RouteType.NssaExternal)}
                        self._child_list_classes = {}

                        self.internal = YLeaf(YType.empty, "internal")

                        self.level_1 = YLeaf(YType.empty, "level-1")

                        self.level_2 = YLeaf(YType.empty, "level-2")

                        self.local = YLeaf(YType.empty, "local")

                        self.external = None
                        self._children_name_map["external"] = "external"
                        self._children_yang_names.add("external")

                        self.nssa_external = None
                        self._children_name_map["nssa_external"] = "nssa-external"
                        self._children_yang_names.add("nssa-external")
                        self._segment_path = lambda: "route-type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.RouteType, ['internal', 'level_1', 'level_2', 'local'], name, value)


                    class External(Entity):
                        """
                        external route (BGP, EIGRP and OSPF type 1/2)
                        
                        .. attribute:: type_1
                        
                        	OSPF external type 1 route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: type_2
                        
                        	OSPF external type 2 route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.RouteType.External, self).__init__()

                            self.yang_name = "external"
                            self.yang_parent_name = "route-type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.type_1 = YLeaf(YType.empty, "type-1")

                            self.type_2 = YLeaf(YType.empty, "type-2")
                            self._segment_path = lambda: "external"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.RouteType.External, ['type_1', 'type_2'], name, value)


                    class NssaExternal(Entity):
                        """
                        nssa\-external route (OSPF type 1/2)
                        
                        .. attribute:: type_1
                        
                        	OSPF external type 1 route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: type_2
                        
                        	OSPF external type 2 route
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.RouteType.NssaExternal, self).__init__()

                            self.yang_name = "nssa-external"
                            self.yang_parent_name = "route-type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.type_1 = YLeaf(YType.empty, "type-1")

                            self.type_2 = YLeaf(YType.empty, "type-2")
                            self._segment_path = lambda: "nssa-external"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.RouteType.NssaExternal, ['type_1', 'type_2'], name, value)


                class Rpki(Entity):
                    """
                    Match RPKI state of route
                    
                    .. attribute:: invalid
                    
                    	RPKI Invalid State
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: not_found
                    
                    	RPKI Not Found State
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: valid
                    
                    	RPKI Valid State
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.Rpki, self).__init__()

                        self.yang_name = "rpki"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.invalid = YLeaf(YType.empty, "invalid")

                        self.not_found = YLeaf(YType.empty, "not-found")

                        self.valid = YLeaf(YType.empty, "valid")
                        self._segment_path = lambda: "rpki"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Rpki, ['invalid', 'not_found', 'valid'], name, value)


                class SourceProtocol(Entity):
                    """
                    Match source\-protocol of route
                    
                    .. attribute:: bgp
                    
                    	Border Gateway Protocol (BGP)
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 1..4294967295
                    
                    		**type**\: list of str
                    
                    .. attribute:: connected
                    
                    	Connected
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: eigrp
                    
                    	Border Gateway Protocol (BGP)
                    	**type**\: list of str
                    
                    .. attribute:: isis
                    
                    	ISO IS\-IS
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: lisp
                    
                    	Locator ID Separation Protocol (LISP)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mobile
                    
                    	Mobile routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ospf
                    
                    	Open Shortest Path First (OSPF)
                    	**type**\: list of str
                    
                    .. attribute:: ospfv3
                    
                    	OSPFv3
                    	**type**\: list of str
                    
                    .. attribute:: rip
                    
                    	Routing Information Protocol (RIP)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: static
                    
                    	Static routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.SourceProtocol, self).__init__()

                        self.yang_name = "source-protocol"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.bgp = YLeafList(YType.str, "bgp")

                        self.connected = YLeaf(YType.empty, "connected")

                        self.eigrp = YLeafList(YType.str, "eigrp")

                        self.isis = YLeaf(YType.empty, "isis")

                        self.lisp = YLeaf(YType.empty, "lisp")

                        self.mobile = YLeaf(YType.empty, "mobile")

                        self.ospf = YLeafList(YType.str, "ospf")

                        self.ospfv3 = YLeafList(YType.str, "ospfv3")

                        self.rip = YLeaf(YType.empty, "rip")

                        self.static = YLeaf(YType.empty, "static")
                        self._segment_path = lambda: "source-protocol"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.SourceProtocol, ['bgp', 'connected', 'eigrp', 'isis', 'lisp', 'mobile', 'ospf', 'ospfv3', 'rip', 'static'], name, value)


                class Tag(Entity):
                    """
                    Match tag of route
                    
                    .. attribute:: tag_value
                    
                    	Tag value
                    	**type**\: list of int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: ipv4_address
                    
                    	<A.B.C.D>;;Tag value(dotted decimal format)
                    	**type**\: list of str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: list
                    
                    	Route Tag List
                    	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteMap.RouteMapSeq.Match.Tag.List>`
                    
                    

                    """

                    _prefix = 'ios-route-map'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.RouteMap.RouteMapSeq.Match.Tag, self).__init__()

                        self.yang_name = "tag"
                        self.yang_parent_name = "match"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"list" : ("list", Native.RouteMap.RouteMapSeq.Match.Tag.List)}
                        self._child_list_classes = {}

                        self.tag_value = YLeafList(YType.uint32, "tag_value")

                        self.ipv4_address = YLeafList(YType.str, "ipv4-address")

                        self.list = Native.RouteMap.RouteMapSeq.Match.Tag.List()
                        self.list.parent = self
                        self._children_name_map["list"] = "list"
                        self._children_yang_names.add("list")
                        self._segment_path = lambda: "tag"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Tag, ['tag_value', 'ipv4_address'], name, value)


                    class List(Entity):
                        """
                        Route Tag List
                        
                        .. attribute:: tag_names
                        
                        	Tag list name
                        	**type**\: list of str
                        
                        

                        """

                        _prefix = 'ios-route-map'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.RouteMap.RouteMapSeq.Match.Tag.List, self).__init__()

                            self.yang_name = "list"
                            self.yang_parent_name = "tag"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tag_names = YLeafList(YType.str, "tag-names")
                            self._segment_path = lambda: "list"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteMap.RouteMapSeq.Match.Tag.List, ['tag_names'], name, value)


    class RouteTag(Entity):
        """
        
        
        .. attribute:: list
        
        	
        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List>`
        
        .. attribute:: notation
        
        	
        	**type**\:  :py:class:`Notation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.Notation>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.RouteTag, self).__init__()

            self.yang_name = "route-tag"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-eigrp:list" : ("list", Native.RouteTag.List), "Cisco-IOS-XE-eigrp:notation" : ("notation", Native.RouteTag.Notation)}
            self._child_list_classes = {}

            self.list = Native.RouteTag.List()
            self.list.parent = self
            self._children_name_map["list"] = "list"
            self._children_yang_names.add("list")

            self.notation = Native.RouteTag.Notation()
            self.notation.parent = self
            self._children_name_map["notation"] = "notation"
            self._children_yang_names.add("notation")
            self._segment_path = lambda: "route-tag"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class List(Entity):
            """
            
            
            .. attribute:: rt_name
            
            	
            	**type**\: list of  		 :py:class:`RtName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName>`
            
            

            """

            _prefix = 'ios-eigrp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.RouteTag.List, self).__init__()

                self.yang_name = "list"
                self.yang_parent_name = "route-tag"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"rt-name" : ("rt_name", Native.RouteTag.List.RtName)}

                self.rt_name = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-eigrp:list"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/route-tag/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.RouteTag.List, [], name, value)


            class RtName(Entity):
                """
                
                
                .. attribute:: rt_name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: deny
                
                	
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Deny>`
                
                .. attribute:: permit
                
                	
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Permit>`
                
                .. attribute:: seq
                
                	
                	**type**\:  :py:class:`Seq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Seq>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.RouteTag.List.RtName, self).__init__()

                    self.yang_name = "rt-name"
                    self.yang_parent_name = "list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"deny" : ("deny", Native.RouteTag.List.RtName.Deny), "permit" : ("permit", Native.RouteTag.List.RtName.Permit), "seq" : ("seq", Native.RouteTag.List.RtName.Seq)}
                    self._child_list_classes = {}

                    self.rt_name = YLeaf(YType.str, "rt-name")

                    self.deny = Native.RouteTag.List.RtName.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")

                    self.permit = Native.RouteTag.List.RtName.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")

                    self.seq = Native.RouteTag.List.RtName.Seq()
                    self.seq.parent = self
                    self._children_name_map["seq"] = "seq"
                    self._children_yang_names.add("seq")
                    self._segment_path = lambda: "rt-name" + "[rt-name='" + self.rt_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/route-tag/Cisco-IOS-XE-eigrp:list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.RouteTag.List.RtName, ['rt_name'], name, value)


                class Deny(Entity):
                    """
                    
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Deny.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.RouteTag.List.RtName.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "rt-name"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4" : ("ipv4", Native.RouteTag.List.RtName.Deny.Ipv4)}

                        self.ipv4 = YList(self)
                        self._segment_path = lambda: "deny"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteTag.List.RtName.Deny, [], name, value)


                    class Ipv4(Entity):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.RouteTag.List.RtName.Deny.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteTag.List.RtName.Deny.Ipv4, ['ipv4', 'mask'], name, value)


                class Permit(Entity):
                    """
                    
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Permit.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.RouteTag.List.RtName.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "rt-name"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4" : ("ipv4", Native.RouteTag.List.RtName.Permit.Ipv4)}

                        self.ipv4 = YList(self)
                        self._segment_path = lambda: "permit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteTag.List.RtName.Permit, [], name, value)


                    class Ipv4(Entity):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.RouteTag.List.RtName.Permit.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.mask = YLeaf(YType.str, "mask")
                            self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteTag.List.RtName.Permit.Ipv4, ['ipv4', 'mask'], name, value)


                class Seq(Entity):
                    """
                    
                    
                    .. attribute:: seq_num
                    
                    	
                    	**type**\: list of  		 :py:class:`SeqNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Seq.SeqNum>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.RouteTag.List.RtName.Seq, self).__init__()

                        self.yang_name = "seq"
                        self.yang_parent_name = "rt-name"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"seq-num" : ("seq_num", Native.RouteTag.List.RtName.Seq.SeqNum)}

                        self.seq_num = YList(self)
                        self._segment_path = lambda: "seq"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RouteTag.List.RtName.Seq, [], name, value)


                    class SeqNum(Entity):
                        """
                        
                        
                        .. attribute:: seq_num  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967294
                        
                        .. attribute:: deny
                        
                        	
                        	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Seq.SeqNum.Deny>`
                        
                        .. attribute:: permit
                        
                        	
                        	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RouteTag.List.RtName.Seq.SeqNum.Permit>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.RouteTag.List.RtName.Seq.SeqNum, self).__init__()

                            self.yang_name = "seq-num"
                            self.yang_parent_name = "seq"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"deny" : ("deny", Native.RouteTag.List.RtName.Seq.SeqNum.Deny), "permit" : ("permit", Native.RouteTag.List.RtName.Seq.SeqNum.Permit)}
                            self._child_list_classes = {}

                            self.seq_num = YLeaf(YType.uint32, "seq-num")

                            self.deny = Native.RouteTag.List.RtName.Seq.SeqNum.Deny()
                            self.deny.parent = self
                            self._children_name_map["deny"] = "deny"
                            self._children_yang_names.add("deny")

                            self.permit = Native.RouteTag.List.RtName.Seq.SeqNum.Permit()
                            self.permit.parent = self
                            self._children_name_map["permit"] = "permit"
                            self._children_yang_names.add("permit")
                            self._segment_path = lambda: "seq-num" + "[seq-num='" + self.seq_num.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RouteTag.List.RtName.Seq.SeqNum, ['seq_num'], name, value)


                        class Deny(Entity):
                            """
                            
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.RouteTag.List.RtName.Seq.SeqNum.Deny, self).__init__()

                                self.yang_name = "deny"
                                self.yang_parent_name = "seq-num"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                self.mask = YLeaf(YType.str, "mask")
                                self._segment_path = lambda: "deny"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteTag.List.RtName.Seq.SeqNum.Deny, ['ipv4', 'mask'], name, value)


                        class Permit(Entity):
                            """
                            
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.RouteTag.List.RtName.Seq.SeqNum.Permit, self).__init__()

                                self.yang_name = "permit"
                                self.yang_parent_name = "seq-num"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                self.mask = YLeaf(YType.str, "mask")
                                self._segment_path = lambda: "permit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.RouteTag.List.RtName.Seq.SeqNum.Permit, ['ipv4', 'mask'], name, value)


        class Notation(Entity):
            """
            
            
            .. attribute:: dotted_decimal
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-eigrp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.RouteTag.Notation, self).__init__()

                self.yang_name = "notation"
                self.yang_parent_name = "route-tag"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.dotted_decimal = YLeaf(YType.empty, "dotted-decimal")
                self._segment_path = lambda: "Cisco-IOS-XE-eigrp:notation"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/route-tag/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.RouteTag.Notation, ['dotted_decimal'], name, value)


    class TableMap(Entity):
        """
        Configure Table Map
        
        .. attribute:: name  <key>
        
        	
        	**type**\: str
        
        .. attribute:: default
        
        	the default behavior for setting value not found in the table map
        	**type**\: union of the below types:
        
        		**type**\: int
        
        			**range:** 0..63
        
        		**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap.Default>`
        
        .. attribute:: map
        
        	map to\_value from from\_value
        	**type**\: list of  		 :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TableMap.Map>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.TableMap, self).__init__()

            self.yang_name = "table-map"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-qos:map" : ("map", Native.TableMap.Map)}

            self.name = YLeaf(YType.str, "name")

            self.default = YLeaf(YType.str, "Cisco-IOS-XE-qos:default")

            self.map = YList(self)
            self._segment_path = lambda: "table-map" + "[name='" + self.name.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.TableMap, ['name', 'default'], name, value)

        class Default(Enum):
            """
            Default

            the default behavior for setting value not found in the table map

            .. data:: copy = 0

            .. data:: ignore = 1

            """

            copy = Enum.YLeaf(0, "copy")

            ignore = Enum.YLeaf(1, "ignore")



        class Map(Entity):
            """
            map to\_value from from\_value
            
            .. attribute:: from_  <key>
            
            	map from value
            	**type**\: int
            
            	**range:** 0..63
            
            .. attribute:: to  <key>
            
            	map to value
            	**type**\: int
            
            	**range:** 0..63
            
            

            """

            _prefix = 'ios-qos'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.TableMap.Map, self).__init__()

                self.yang_name = "map"
                self.yang_parent_name = "table-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.from_ = YLeaf(YType.uint8, "from")

                self.to = YLeaf(YType.uint8, "to")
                self._segment_path = lambda: "Cisco-IOS-XE-qos:map" + "[from='" + self.from_.get() + "']" + "[to='" + self.to.get() + "']"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.TableMap.Map, ['from_', 'to'], name, value)


    class Sdm(Entity):
        """
        Switch database management
        
        .. attribute:: prefer
        
        	Config TCAM and ASIC RAM size. Warning\: need to reset switch for configuration to take effect
        	**type**\:  :py:class:`Prefer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Sdm.Prefer>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Sdm, self).__init__()

            self.yang_name = "sdm"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-switch:prefer" : ("prefer", Native.Sdm.Prefer)}
            self._child_list_classes = {}

            self.prefer = None
            self._children_name_map["prefer"] = "prefer"
            self._children_yang_names.add("prefer")
            self._segment_path = lambda: "sdm"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Prefer(Entity):
            """
            Config TCAM and ASIC RAM size. Warning\: need to reset switch for configuration to take effect
            
            .. attribute:: default
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: qos
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.Sdm.Prefer, self).__init__()

                self.yang_name = "prefer"
                self.yang_parent_name = "sdm"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.default = YLeaf(YType.empty, "default")

                self.qos = YLeaf(YType.empty, "qos")
                self._segment_path = lambda: "Cisco-IOS-XE-switch:prefer"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/sdm/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Sdm.Prefer, ['default', 'qos'], name, value)


    class Mls(Entity):
        """
        mls global commands
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Mls, self).__init__()

            self.yang_name = "mls"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}
            self._segment_path = lambda: "mls"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


    class ObjectGroup(Entity):
        """
        Configure Object group
        
        .. attribute:: network
        
        	network group
        	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Network>`
        
        .. attribute:: security
        
        	security group
        	**type**\: list of  		 :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Security>`
        
        .. attribute:: service
        
        	service group
        	**type**\: list of  		 :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.ObjectGroup, self).__init__()

            self.yang_name = "object-group"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-object-group:network" : ("network", Native.ObjectGroup.Network), "Cisco-IOS-XE-object-group:security" : ("security", Native.ObjectGroup.Security), "Cisco-IOS-XE-object-group:service" : ("service", Native.ObjectGroup.Service)}

            self.network = YList(self)
            self.security = YList(self)
            self.service = YList(self)
            self._segment_path = lambda: "object-group"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.ObjectGroup, [], name, value)


        class Network(Entity):
            """
            network group
            
            .. attribute:: name  <key>
            
            	WORD;;object\-group name
            	**type**\: str
            
            .. attribute:: obj_mode_config_network_group
            
            	
            	**type**\:  :py:class:`ObjModeConfigNetworkGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Network.ObjModeConfigNetworkGroup>`
            
            

            """

            _prefix = 'ios-og'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.ObjectGroup.Network, self).__init__()

                self.yang_name = "network"
                self.yang_parent_name = "object-group"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"obj-Mode-config-network-group" : ("obj_mode_config_network_group", Native.ObjectGroup.Network.ObjModeConfigNetworkGroup)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.obj_mode_config_network_group = Native.ObjectGroup.Network.ObjModeConfigNetworkGroup()
                self.obj_mode_config_network_group.parent = self
                self._children_name_map["obj_mode_config_network_group"] = "obj-Mode-config-network-group"
                self._children_yang_names.add("obj-Mode-config-network-group")
                self._segment_path = lambda: "Cisco-IOS-XE-object-group:network" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/object-group/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ObjectGroup.Network, ['name'], name, value)


            class ObjModeConfigNetworkGroup(Entity):
                """
                
                
                .. attribute:: network_address
                
                	
                	**type**\: list of  		 :py:class:`NetworkAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.NetworkAddress>`
                
                .. attribute:: description
                
                	Network object group description
                	**type**\: str
                
                	**length:** 1..200
                
                .. attribute:: group_object
                
                	Nested object group
                	**type**\: str
                
                .. attribute:: host
                
                	Host address of the object\-group member
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                
                .. attribute:: range
                
                	
                	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Range>`
                
                

                """

                _prefix = 'ios-og'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ObjectGroup.Network.ObjModeConfigNetworkGroup, self).__init__()

                    self.yang_name = "obj-Mode-config-network-group"
                    self.yang_parent_name = "network"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"range" : ("range", Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Range)}
                    self._child_list_classes = {"network_address" : ("network_address", Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.NetworkAddress)}

                    self.description = YLeaf(YType.str, "description")

                    self.group_object = YLeaf(YType.str, "group-object")

                    self.host = YLeaf(YType.str, "host")

                    self.range = Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Range()
                    self.range.parent = self
                    self._children_name_map["range"] = "range"
                    self._children_yang_names.add("range")

                    self.network_address = YList(self)
                    self._segment_path = lambda: "obj-Mode-config-network-group"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ObjectGroup.Network.ObjModeConfigNetworkGroup, ['description', 'group_object', 'host'], name, value)


                class NetworkAddress(Entity):
                    """
                    
                    
                    .. attribute:: ipv4_addr  <key>
                    
                    	A.B.C.D;;Network address of the group members
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv4_mask  <key>
                    
                    	A.B.C.D;;Network mask
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-og'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.NetworkAddress, self).__init__()

                        self.yang_name = "network_address"
                        self.yang_parent_name = "obj-Mode-config-network-group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ipv4_addr = YLeaf(YType.str, "ipv4_addr")

                        self.ipv4_mask = YLeaf(YType.str, "ipv4_mask")
                        self._segment_path = lambda: "network_address" + "[ipv4_addr='" + self.ipv4_addr.get() + "']" + "[ipv4_mask='" + self.ipv4_mask.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.NetworkAddress, ['ipv4_addr', 'ipv4_mask'], name, value)


                class Range(Entity):
                    """
                    
                    
                    .. attribute:: ip_addr_min
                    
                    	Starting IPv4 Address
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ip_addr_max
                    
                    	Ending IPv4 Address
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-og'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Range, self).__init__()

                        self.yang_name = "range"
                        self.yang_parent_name = "obj-Mode-config-network-group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ip_addr_min = YLeaf(YType.str, "ip-addr-min")

                        self.ip_addr_max = YLeaf(YType.str, "ip-addr-max")
                        self._segment_path = lambda: "range"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ObjectGroup.Network.ObjModeConfigNetworkGroup.Range, ['ip_addr_min', 'ip_addr_max'], name, value)


        class Security(Entity):
            """
            security group
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: security_group
            
            	
            	**type**\:  :py:class:`SecurityGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Security.SecurityGroup>`
            
            

            """

            _prefix = 'ios-og'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.ObjectGroup.Security, self).__init__()

                self.yang_name = "security"
                self.yang_parent_name = "object-group"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"security-group" : ("security_group", Native.ObjectGroup.Security.SecurityGroup)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.security_group = Native.ObjectGroup.Security.SecurityGroup()
                self.security_group.parent = self
                self._children_name_map["security_group"] = "security-group"
                self._children_yang_names.add("security-group")
                self._segment_path = lambda: "Cisco-IOS-XE-object-group:security" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/object-group/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ObjectGroup.Security, ['name'], name, value)


            class SecurityGroup(Entity):
                """
                
                
                .. attribute:: description
                
                	Network object group description
                	**type**\: str
                
                	**length:** 1..200
                
                .. attribute:: group_object
                
                	Nested object group
                	**type**\: str
                
                .. attribute:: security_group
                
                	Security Group Tag
                	**type**\:  :py:class:`SecurityGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Security.SecurityGroup.SecurityGroup>`
                
                

                """

                _prefix = 'ios-og'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ObjectGroup.Security.SecurityGroup, self).__init__()

                    self.yang_name = "security-group"
                    self.yang_parent_name = "security"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"security-group" : ("security_group", Native.ObjectGroup.Security.SecurityGroup.SecurityGroup)}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.str, "description")

                    self.group_object = YLeaf(YType.str, "group-object")

                    self.security_group = Native.ObjectGroup.Security.SecurityGroup.SecurityGroup()
                    self.security_group.parent = self
                    self._children_name_map["security_group"] = "security-group"
                    self._children_yang_names.add("security-group")
                    self._segment_path = lambda: "security-group"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ObjectGroup.Security.SecurityGroup, ['description', 'group_object'], name, value)


                class SecurityGroup(Entity):
                    """
                    Security Group Tag
                    
                    .. attribute:: tag
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-og'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ObjectGroup.Security.SecurityGroup.SecurityGroup, self).__init__()

                        self.yang_name = "security-group"
                        self.yang_parent_name = "security-group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.uint16, "tag")
                        self._segment_path = lambda: "security-group"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ObjectGroup.Security.SecurityGroup.SecurityGroup, ['tag'], name, value)


        class Service(Entity):
            """
            service group
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: description
            
            	Service object group description
            	**type**\: str
            
            .. attribute:: group_object
            
            	Nested object group
            	**type**\: str
            
            .. attribute:: protocal_number
            
            	
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: ahp
            
            	Authentication Header Protocol
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: eigrp
            
            	Cisco's EIGRP routing protocol
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: esp
            
            	Encapsulation Security Payload
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: gre
            
            	Cisco's GRE tunneling
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: icmp
            
            	Internet Control Message Protocol
            	**type**\:  :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Icmp>`
            
            	**presence node**\: True
            
            .. attribute:: igmp
            
            	Internet Gateway Message Protocol
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ip
            
            	Any Internet Protocol
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ipinip
            
            	IP in IP tunneling
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: nos
            
            	KA9Q NOS compatible IP over IP tunneling
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ospf
            
            	OSPF routing protocol
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: pcp
            
            	Payload Compression Protocol
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: pim
            
            	Protocol Independent Multicast
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: tcp
            
            	Transmission Control Protocol
            	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Tcp>`
            
            	**presence node**\: True
            
            .. attribute:: tcp_udp
            
            	TCP or UDP protocol
            	**type**\:  :py:class:`TcpUdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.TcpUdp>`
            
            	**presence node**\: True
            
            .. attribute:: udp
            
            	User Datagram Protocol
            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Udp>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-og'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.ObjectGroup.Service, self).__init__()

                self.yang_name = "service"
                self.yang_parent_name = "object-group"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"icmp" : ("icmp", Native.ObjectGroup.Service.Icmp), "tcp" : ("tcp", Native.ObjectGroup.Service.Tcp), "tcp-udp" : ("tcp_udp", Native.ObjectGroup.Service.TcpUdp), "udp" : ("udp", Native.ObjectGroup.Service.Udp)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.description = YLeaf(YType.str, "description")

                self.group_object = YLeaf(YType.str, "group-object")

                self.protocal_number = YLeaf(YType.uint8, "protocal-number")

                self.ahp = YLeaf(YType.empty, "ahp")

                self.eigrp = YLeaf(YType.empty, "eigrp")

                self.esp = YLeaf(YType.empty, "esp")

                self.gre = YLeaf(YType.empty, "gre")

                self.igmp = YLeaf(YType.empty, "igmp")

                self.ip = YLeaf(YType.empty, "ip")

                self.ipinip = YLeaf(YType.empty, "ipinip")

                self.nos = YLeaf(YType.empty, "nos")

                self.ospf = YLeaf(YType.empty, "ospf")

                self.pcp = YLeaf(YType.empty, "pcp")

                self.pim = YLeaf(YType.empty, "pim")

                self.icmp = None
                self._children_name_map["icmp"] = "icmp"
                self._children_yang_names.add("icmp")

                self.tcp = None
                self._children_name_map["tcp"] = "tcp"
                self._children_yang_names.add("tcp")

                self.tcp_udp = None
                self._children_name_map["tcp_udp"] = "tcp-udp"
                self._children_yang_names.add("tcp-udp")

                self.udp = None
                self._children_name_map["udp"] = "udp"
                self._children_yang_names.add("udp")
                self._segment_path = lambda: "Cisco-IOS-XE-object-group:service" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/object-group/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ObjectGroup.Service, ['name', 'description', 'group_object', 'protocal_number', 'ahp', 'eigrp', 'esp', 'gre', 'igmp', 'ip', 'ipinip', 'nos', 'ospf', 'pcp', 'pim'], name, value)


            class Icmp(Entity):
                """
                Internet Control Message Protocol
                
                .. attribute:: port_number
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: alternate_address
                
                	Alternate address
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: conversion_error
                
                	Datagram conversion
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: echo
                
                	Echo (ping)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: echo_reply
                
                	Echo reply
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: information_reply
                
                	Information replies
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: information_request
                
                	Information requests
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mask_reply
                
                	Mask replies
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mask_request
                
                	Mask requests
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mobile_redirect
                
                	Mobile host redirect
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: parameter_problem
                
                	All parameter problems
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: redirect
                
                	All redirects
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: router_advertisement
                
                	Router discovery advertisements
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: router_solicitation
                
                	Router discovery solicitations
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source_quench
                
                	Source quenches
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: time_exceeded
                
                	All time exceededs
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: timestamp_reply
                
                	Timestamp replies
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: timestamp_request
                
                	Timestamp requests
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: traceroute
                
                	Traceroute
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: unreachable
                
                	All unreachables
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-og'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ObjectGroup.Service.Icmp, self).__init__()

                    self.yang_name = "icmp"
                    self.yang_parent_name = "service"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.port_number = YLeaf(YType.uint8, "port-number")

                    self.alternate_address = YLeaf(YType.empty, "alternate-address")

                    self.conversion_error = YLeaf(YType.empty, "conversion-error")

                    self.echo = YLeaf(YType.empty, "echo")

                    self.echo_reply = YLeaf(YType.empty, "echo-reply")

                    self.information_reply = YLeaf(YType.empty, "information-reply")

                    self.information_request = YLeaf(YType.empty, "information-request")

                    self.mask_reply = YLeaf(YType.empty, "mask-reply")

                    self.mask_request = YLeaf(YType.empty, "mask-request")

                    self.mobile_redirect = YLeaf(YType.empty, "mobile-redirect")

                    self.parameter_problem = YLeaf(YType.empty, "parameter-problem")

                    self.redirect = YLeaf(YType.empty, "redirect")

                    self.router_advertisement = YLeaf(YType.empty, "router-advertisement")

                    self.router_solicitation = YLeaf(YType.empty, "router-solicitation")

                    self.source_quench = YLeaf(YType.empty, "source-quench")

                    self.time_exceeded = YLeaf(YType.empty, "time-exceeded")

                    self.timestamp_reply = YLeaf(YType.empty, "timestamp-reply")

                    self.timestamp_request = YLeaf(YType.empty, "timestamp-request")

                    self.traceroute = YLeaf(YType.empty, "traceroute")

                    self.unreachable = YLeaf(YType.empty, "unreachable")
                    self._segment_path = lambda: "icmp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ObjectGroup.Service.Icmp, ['port_number', 'alternate_address', 'conversion_error', 'echo', 'echo_reply', 'information_reply', 'information_request', 'mask_reply', 'mask_request', 'mobile_redirect', 'parameter_problem', 'redirect', 'router_advertisement', 'router_solicitation', 'source_quench', 'time_exceeded', 'timestamp_reply', 'timestamp_request', 'traceroute', 'unreachable'], name, value)


            class Tcp(Entity):
                """
                Transmission Control Protocol
                
                .. attribute:: tcp_port_list
                
                	
                	**type**\: list of  		 :py:class:`TcpPortList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Tcp.TcpPortList>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-og'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ObjectGroup.Service.Tcp, self).__init__()

                    self.yang_name = "tcp"
                    self.yang_parent_name = "service"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"tcp-port-list" : ("tcp_port_list", Native.ObjectGroup.Service.Tcp.TcpPortList)}
                    self.is_presence_container = True

                    self.tcp_port_list = YList(self)
                    self._segment_path = lambda: "tcp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ObjectGroup.Service.Tcp, [], name, value)


                class TcpPortList(Entity):
                    """
                    
                    
                    .. attribute:: tcp_port  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..65535
                    
                    		**type**\:  :py:class:`AclTcpPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AclTcpPortType>`
                    
                    .. attribute:: operator
                    
                    	
                    	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Tcp.TcpPortList.Operator>`
                    
                    .. attribute:: max_tcp_port
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..65535
                    
                    		**type**\:  :py:class:`AclTcpPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AclTcpPortType>`
                    
                    

                    """

                    _prefix = 'ios-og'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ObjectGroup.Service.Tcp.TcpPortList, self).__init__()

                        self.yang_name = "tcp-port-list"
                        self.yang_parent_name = "tcp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tcp_port = YLeaf(YType.str, "tcp-port")

                        self.operator = YLeaf(YType.enumeration, "operator")

                        self.max_tcp_port = YLeaf(YType.str, "max-tcp-port")
                        self._segment_path = lambda: "tcp-port-list" + "[tcp-port='" + self.tcp_port.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ObjectGroup.Service.Tcp.TcpPortList, ['tcp_port', 'operator', 'max_tcp_port'], name, value)

                    class Operator(Enum):
                        """
                        Operator

                        .. data:: eq = 0

                        .. data:: gt = 1

                        .. data:: lt = 2

                        .. data:: range = 3

                        """

                        eq = Enum.YLeaf(0, "eq")

                        gt = Enum.YLeaf(1, "gt")

                        lt = Enum.YLeaf(2, "lt")

                        range = Enum.YLeaf(3, "range")



            class TcpUdp(Entity):
                """
                TCP or UDP protocol
                
                .. attribute:: udp_port_list
                
                	
                	**type**\: list of  		 :py:class:`UdpPortList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.TcpUdp.UdpPortList>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-og'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ObjectGroup.Service.TcpUdp, self).__init__()

                    self.yang_name = "tcp-udp"
                    self.yang_parent_name = "service"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"udp-port-list" : ("udp_port_list", Native.ObjectGroup.Service.TcpUdp.UdpPortList)}
                    self.is_presence_container = True

                    self.udp_port_list = YList(self)
                    self._segment_path = lambda: "tcp-udp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ObjectGroup.Service.TcpUdp, [], name, value)


                class UdpPortList(Entity):
                    """
                    
                    
                    .. attribute:: udp_port  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..65535
                    
                    		**type**\:  :py:class:`AclUdpPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AclUdpPortType>`
                    
                    .. attribute:: operator
                    
                    	
                    	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.TcpUdp.UdpPortList.Operator>`
                    
                    .. attribute:: max_udp_port
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..65535
                    
                    		**type**\:  :py:class:`AclUdpPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AclUdpPortType>`
                    
                    

                    """

                    _prefix = 'ios-og'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ObjectGroup.Service.TcpUdp.UdpPortList, self).__init__()

                        self.yang_name = "udp-port-list"
                        self.yang_parent_name = "tcp-udp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.udp_port = YLeaf(YType.str, "udp-port")

                        self.operator = YLeaf(YType.enumeration, "operator")

                        self.max_udp_port = YLeaf(YType.str, "max-udp-port")
                        self._segment_path = lambda: "udp-port-list" + "[udp-port='" + self.udp_port.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ObjectGroup.Service.TcpUdp.UdpPortList, ['udp_port', 'operator', 'max_udp_port'], name, value)

                    class Operator(Enum):
                        """
                        Operator

                        .. data:: eq = 0

                        .. data:: gt = 1

                        .. data:: lt = 2

                        .. data:: range = 3

                        """

                        eq = Enum.YLeaf(0, "eq")

                        gt = Enum.YLeaf(1, "gt")

                        lt = Enum.YLeaf(2, "lt")

                        range = Enum.YLeaf(3, "range")



            class Udp(Entity):
                """
                User Datagram Protocol
                
                .. attribute:: udp_port_list
                
                	
                	**type**\: list of  		 :py:class:`UdpPortList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Udp.UdpPortList>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-og'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ObjectGroup.Service.Udp, self).__init__()

                    self.yang_name = "udp"
                    self.yang_parent_name = "service"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"udp-port-list" : ("udp_port_list", Native.ObjectGroup.Service.Udp.UdpPortList)}
                    self.is_presence_container = True

                    self.udp_port_list = YList(self)
                    self._segment_path = lambda: "udp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ObjectGroup.Service.Udp, [], name, value)


                class UdpPortList(Entity):
                    """
                    
                    
                    .. attribute:: udp_port  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..65535
                    
                    		**type**\:  :py:class:`AclUdpPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AclUdpPortType>`
                    
                    .. attribute:: operator
                    
                    	
                    	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ObjectGroup.Service.Udp.UdpPortList.Operator>`
                    
                    .. attribute:: max_udp_port
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..65535
                    
                    		**type**\:  :py:class:`AclUdpPortType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AclUdpPortType>`
                    
                    

                    """

                    _prefix = 'ios-og'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ObjectGroup.Service.Udp.UdpPortList, self).__init__()

                        self.yang_name = "udp-port-list"
                        self.yang_parent_name = "udp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.udp_port = YLeaf(YType.str, "udp-port")

                        self.operator = YLeaf(YType.enumeration, "operator")

                        self.max_udp_port = YLeaf(YType.str, "max-udp-port")
                        self._segment_path = lambda: "udp-port-list" + "[udp-port='" + self.udp_port.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ObjectGroup.Service.Udp.UdpPortList, ['udp_port', 'operator', 'max_udp_port'], name, value)

                    class Operator(Enum):
                        """
                        Operator

                        .. data:: eq = 0

                        .. data:: gt = 1

                        .. data:: lt = 2

                        .. data:: range = 3

                        """

                        eq = Enum.YLeaf(0, "eq")

                        gt = Enum.YLeaf(1, "gt")

                        lt = Enum.YLeaf(2, "lt")

                        range = Enum.YLeaf(3, "range")



    class PseudowireClass(Entity):
        """
        Pseudowire\-class configuration
        
        .. attribute:: name  <key>
        
        	
        	**type**\: str
        
        .. attribute:: encapsulation
        
        	Data encapsulation method
        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Encapsulation>`
        
        .. attribute:: ip
        
        	Specify IP parameters
        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip>`
        
        .. attribute:: control_word
        
        	Include control\-word in pseudowire packets
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: interworking
        
        	Interworking options for pseudowire
        	**type**\:  :py:class:`Interworking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Interworking>`
        
        .. attribute:: load_balance
        
        	Loadbalancing for pseudowire
        	**type**\:  :py:class:`LoadBalance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.LoadBalance>`
        
        .. attribute:: monitor
        
        	Active monitoring of xconnect peer
        	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor>`
        
        .. attribute:: preferred_path
        
        	Preferred path
        	**type**\:  :py:class:`PreferredPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.PreferredPath>`
        
        .. attribute:: protocol_mpls
        
        	
        	**type**\:  :py:class:`ProtocolMpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.ProtocolMpls>`
        
        .. attribute:: protocol_l2tpv2
        
        	
        	**type**\:  :py:class:`ProtocolL2Tpv2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.ProtocolL2Tpv2>`
        
        .. attribute:: protocol_l2tpv3
        
        	
        	**type**\:  :py:class:`ProtocolL2Tpv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.ProtocolL2Tpv3>`
        
        .. attribute:: sequencing
        
        	Sequencing options for pseudowire
        	**type**\:  :py:class:`Sequencing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Sequencing>`
        
        .. attribute:: status
        
        	Pseudowire status capabilities
        	**type**\:  :py:class:`Status <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Status>`
        
        	**presence node**\: True
        
        .. attribute:: switching
        
        	Switching TLV on/off for pseudowire
        	**type**\:  :py:class:`Switching <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Switching>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.PseudowireClass, self).__init__()

            self.yang_name = "pseudowire-class"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-l2vpn:ip" : ("ip", Native.PseudowireClass.Ip), "Cisco-IOS-XE-l2vpn:load-balance" : ("load_balance", Native.PseudowireClass.LoadBalance), "Cisco-IOS-XE-l2vpn:monitor" : ("monitor", Native.PseudowireClass.Monitor), "Cisco-IOS-XE-l2vpn:preferred-path" : ("preferred_path", Native.PseudowireClass.PreferredPath), "Cisco-IOS-XE-l2vpn:protocol-mpls" : ("protocol_mpls", Native.PseudowireClass.ProtocolMpls), "Cisco-IOS-XE-l2vpn:protocol-l2tpv2" : ("protocol_l2tpv2", Native.PseudowireClass.ProtocolL2Tpv2), "Cisco-IOS-XE-l2vpn:protocol-l2tpv3" : ("protocol_l2tpv3", Native.PseudowireClass.ProtocolL2Tpv3), "Cisco-IOS-XE-l2vpn:status" : ("status", Native.PseudowireClass.Status), "Cisco-IOS-XE-l2vpn:switching" : ("switching", Native.PseudowireClass.Switching)}
            self._child_list_classes = {}

            self.name = YLeaf(YType.str, "name")

            self.encapsulation = YLeaf(YType.enumeration, "Cisco-IOS-XE-l2vpn:encapsulation")

            self.control_word = YLeaf(YType.empty, "Cisco-IOS-XE-l2vpn:control-word")

            self.interworking = YLeaf(YType.enumeration, "Cisco-IOS-XE-l2vpn:interworking")

            self.sequencing = YLeaf(YType.enumeration, "Cisco-IOS-XE-l2vpn:sequencing")

            self.ip = Native.PseudowireClass.Ip()
            self.ip.parent = self
            self._children_name_map["ip"] = "ip"
            self._children_yang_names.add("ip")

            self.load_balance = Native.PseudowireClass.LoadBalance()
            self.load_balance.parent = self
            self._children_name_map["load_balance"] = "load-balance"
            self._children_yang_names.add("load-balance")

            self.monitor = Native.PseudowireClass.Monitor()
            self.monitor.parent = self
            self._children_name_map["monitor"] = "monitor"
            self._children_yang_names.add("monitor")

            self.preferred_path = Native.PseudowireClass.PreferredPath()
            self.preferred_path.parent = self
            self._children_name_map["preferred_path"] = "preferred-path"
            self._children_yang_names.add("preferred-path")

            self.protocol_mpls = Native.PseudowireClass.ProtocolMpls()
            self.protocol_mpls.parent = self
            self._children_name_map["protocol_mpls"] = "protocol-mpls"
            self._children_yang_names.add("protocol-mpls")

            self.protocol_l2tpv2 = Native.PseudowireClass.ProtocolL2Tpv2()
            self.protocol_l2tpv2.parent = self
            self._children_name_map["protocol_l2tpv2"] = "protocol-l2tpv2"
            self._children_yang_names.add("protocol-l2tpv2")

            self.protocol_l2tpv3 = Native.PseudowireClass.ProtocolL2Tpv3()
            self.protocol_l2tpv3.parent = self
            self._children_name_map["protocol_l2tpv3"] = "protocol-l2tpv3"
            self._children_yang_names.add("protocol-l2tpv3")

            self.status = None
            self._children_name_map["status"] = "status"
            self._children_yang_names.add("status")

            self.switching = Native.PseudowireClass.Switching()
            self.switching.parent = self
            self._children_name_map["switching"] = "switching"
            self._children_yang_names.add("switching")
            self._segment_path = lambda: "pseudowire-class" + "[name='" + self.name.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.PseudowireClass, ['name', 'encapsulation', 'control_word', 'interworking', 'sequencing'], name, value)

        class Encapsulation(Enum):
            """
            Encapsulation

            Data encapsulation method

            .. data:: l2tpv2 = 0

            .. data:: l2tpv3 = 1

            .. data:: mpls = 2

            .. data:: udp = 3

            """

            l2tpv2 = Enum.YLeaf(0, "l2tpv2")

            l2tpv3 = Enum.YLeaf(1, "l2tpv3")

            mpls = Enum.YLeaf(2, "mpls")

            udp = Enum.YLeaf(3, "udp")


        class Interworking(Enum):
            """
            Interworking

            Interworking options for pseudowire

            .. data:: ethernet = 0

            .. data:: ip = 1

            .. data:: vlan = 2

            """

            ethernet = Enum.YLeaf(0, "ethernet")

            ip = Enum.YLeaf(1, "ip")

            vlan = Enum.YLeaf(2, "vlan")


        class Sequencing(Enum):
            """
            Sequencing

            Sequencing options for pseudowire

            .. data:: both = 0

            .. data:: receive = 1

            .. data:: resync = 2

            .. data:: transmit = 3

            """

            both = Enum.YLeaf(0, "both")

            receive = Enum.YLeaf(1, "receive")

            resync = Enum.YLeaf(2, "resync")

            transmit = Enum.YLeaf(3, "transmit")



        class Ip(Entity):
            """
            Specify IP parameters
            
            .. attribute:: dfbit
            
            	DF bit options for tunnel
            	**type**\:  :py:class:`Dfbit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Dfbit>`
            
            .. attribute:: local
            
            	Specify local information
            	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Local>`
            
            .. attribute:: pmtu
            
            	Enable Path MTU for tunnel
            	**type**\:  :py:class:`Pmtu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Pmtu>`
            
            	**presence node**\: True
            
            .. attribute:: protocol
            
            	Specific IP protocol number to use
            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Protocol>`
            
            .. attribute:: tos
            
            	Specify ToS options for IP tunnel header
            	**type**\:  :py:class:`Tos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Tos>`
            
            .. attribute:: ttl
            
            	Specify TTL value for IP tunnel header
            	**type**\: int
            
            	**range:** 0..255
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PseudowireClass.Ip, self).__init__()

                self.yang_name = "ip"
                self.yang_parent_name = "pseudowire-class"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"dfbit" : ("dfbit", Native.PseudowireClass.Ip.Dfbit), "local" : ("local", Native.PseudowireClass.Ip.Local), "pmtu" : ("pmtu", Native.PseudowireClass.Ip.Pmtu), "tos" : ("tos", Native.PseudowireClass.Ip.Tos)}
                self._child_list_classes = {}

                self.protocol = YLeaf(YType.enumeration, "protocol")

                self.ttl = YLeaf(YType.uint8, "ttl")

                self.dfbit = Native.PseudowireClass.Ip.Dfbit()
                self.dfbit.parent = self
                self._children_name_map["dfbit"] = "dfbit"
                self._children_yang_names.add("dfbit")

                self.local = Native.PseudowireClass.Ip.Local()
                self.local.parent = self
                self._children_name_map["local"] = "local"
                self._children_yang_names.add("local")

                self.pmtu = None
                self._children_name_map["pmtu"] = "pmtu"
                self._children_yang_names.add("pmtu")

                self.tos = Native.PseudowireClass.Ip.Tos()
                self.tos.parent = self
                self._children_name_map["tos"] = "tos"
                self._children_yang_names.add("tos")
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:ip"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.PseudowireClass.Ip, ['protocol', 'ttl'], name, value)

            class Protocol(Enum):
                """
                Protocol

                Specific IP protocol number to use

                .. data:: l2tp = 0

                .. data:: uti = 1

                """

                l2tp = Enum.YLeaf(0, "l2tp")

                uti = Enum.YLeaf(1, "uti")



            class Dfbit(Entity):
                """
                DF bit options for tunnel
                
                .. attribute:: set
                
                	Set the DF bit in the tunnel header
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PseudowireClass.Ip.Dfbit, self).__init__()

                    self.yang_name = "dfbit"
                    self.yang_parent_name = "ip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.set = YLeaf(YType.empty, "set")
                    self._segment_path = lambda: "dfbit"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PseudowireClass.Ip.Dfbit, ['set'], name, value)


            class Local(Entity):
                """
                Specify local information
                
                .. attribute:: interface
                
                	Source interface for pseudowire
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Local.Interface>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PseudowireClass.Ip.Local, self).__init__()

                    self.yang_name = "local"
                    self.yang_parent_name = "ip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"interface" : ("interface", Native.PseudowireClass.Ip.Local.Interface)}
                    self._child_list_classes = {}

                    self.interface = Native.PseudowireClass.Ip.Local.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")
                    self._segment_path = lambda: "local"


                class Interface(Entity):
                    """
                    Source interface for pseudowire
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Local.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Local.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Local.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Ip.Local.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PseudowireClass.Ip.Local.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "local"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.PseudowireClass.Ip.Local.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.PseudowireClass.Ip.Local.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.PseudowireClass.Ip.Local.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.PseudowireClass.Ip.Local.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.PseudowireClass.Ip.Local.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.PseudowireClass.Ip.Local.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.PseudowireClass.Ip.Local.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.PseudowireClass.Ip.Local.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PseudowireClass.Ip.Local.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PseudowireClass.Ip.Local.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PseudowireClass.Ip.Local.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PseudowireClass.Ip.Local.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PseudowireClass.Ip.Local.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PseudowireClass.Ip.Local.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PseudowireClass.Ip.Local.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PseudowireClass.Ip.Local.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PseudowireClass.Ip.Local.Interface.PortChannelSubinterface, ['port_channel'], name, value)


            class Pmtu(Entity):
                """
                Enable Path MTU for tunnel
                
                .. attribute:: max
                
                	Maximum Path MTU for session
                	**type**\: int
                
                	**range:** 68..65535
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PseudowireClass.Ip.Pmtu, self).__init__()

                    self.yang_name = "pmtu"
                    self.yang_parent_name = "ip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.max = YLeaf(YType.uint16, "max")
                    self._segment_path = lambda: "pmtu"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PseudowireClass.Ip.Pmtu, ['max'], name, value)


            class Tos(Entity):
                """
                Specify ToS options for IP tunnel header
                
                .. attribute:: reflect
                
                	Reflect IP payload ToS on tunnel
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: value
                
                	IP ToS value
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PseudowireClass.Ip.Tos, self).__init__()

                    self.yang_name = "tos"
                    self.yang_parent_name = "ip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.reflect = YLeaf(YType.empty, "reflect")

                    self.value = YLeaf(YType.uint8, "value")
                    self._segment_path = lambda: "tos"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PseudowireClass.Ip.Tos, ['reflect', 'value'], name, value)


        class LoadBalance(Entity):
            """
            Loadbalancing for pseudowire
            
            .. attribute:: flow
            
            	Enable flow based load balancing for pseudowire
            	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.LoadBalance.Flow>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PseudowireClass.LoadBalance, self).__init__()

                self.yang_name = "load-balance"
                self.yang_parent_name = "pseudowire-class"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"flow" : ("flow", Native.PseudowireClass.LoadBalance.Flow)}
                self._child_list_classes = {}

                self.flow = None
                self._children_name_map["flow"] = "flow"
                self._children_yang_names.add("flow")
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:load-balance"


            class Flow(Entity):
                """
                Enable flow based load balancing for pseudowire
                
                .. attribute:: ethernet
                
                	Ethernet pseudowire flow classification
                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.LoadBalance.Flow.Ethernet>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PseudowireClass.LoadBalance.Flow, self).__init__()

                    self.yang_name = "flow"
                    self.yang_parent_name = "load-balance"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.ethernet = YLeaf(YType.enumeration, "ethernet")
                    self._segment_path = lambda: "flow"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PseudowireClass.LoadBalance.Flow, ['ethernet'], name, value)

                class Ethernet(Enum):
                    """
                    Ethernet

                    Ethernet pseudowire flow classification

                    .. data:: dst_mac = 0

                    .. data:: src_dst_mac = 1

                    .. data:: src_mac = 2

                    """

                    dst_mac = Enum.YLeaf(0, "dst-mac")

                    src_dst_mac = Enum.YLeaf(1, "src-dst-mac")

                    src_mac = Enum.YLeaf(2, "src-mac")



        class Monitor(Entity):
            """
            Active monitoring of xconnect peer
            
            .. attribute:: peer
            
            	Active monitoring of xconnect peer
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PseudowireClass.Monitor, self).__init__()

                self.yang_name = "monitor"
                self.yang_parent_name = "pseudowire-class"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"peer" : ("peer", Native.PseudowireClass.Monitor.Peer)}
                self._child_list_classes = {}

                self.peer = Native.PseudowireClass.Monitor.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:monitor"


            class Peer(Entity):
                """
                Active monitoring of xconnect peer
                
                .. attribute:: bfd
                
                	BFD active monitoring for the xconnect peer
                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PseudowireClass.Monitor.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "monitor"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"bfd" : ("bfd", Native.PseudowireClass.Monitor.Peer.Bfd)}
                    self._child_list_classes = {}

                    self.bfd = None
                    self._children_name_map["bfd"] = "bfd"
                    self._children_yang_names.add("bfd")
                    self._segment_path = lambda: "peer"


                class Bfd(Entity):
                    """
                    BFD active monitoring for the xconnect peer
                    
                    .. attribute:: local
                    
                    	Specify local endpoint information to map to a BFD session
                    	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd.Local>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PseudowireClass.Monitor.Peer.Bfd, self).__init__()

                        self.yang_name = "bfd"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"local" : ("local", Native.PseudowireClass.Monitor.Peer.Bfd.Local)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.local = Native.PseudowireClass.Monitor.Peer.Bfd.Local()
                        self.local.parent = self
                        self._children_name_map["local"] = "local"
                        self._children_yang_names.add("local")
                        self._segment_path = lambda: "bfd"


                    class Local(Entity):
                        """
                        Specify local endpoint information to map to a BFD session
                        
                        .. attribute:: interface
                        
                        	Source interface for pseudowire
                        	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PseudowireClass.Monitor.Peer.Bfd.Local, self).__init__()

                            self.yang_name = "local"
                            self.yang_parent_name = "bfd"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"interface" : ("interface", Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface)}
                            self._child_list_classes = {}

                            self.interface = Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface()
                            self.interface.parent = self
                            self._children_name_map["interface"] = "interface"
                            self._children_yang_names.add("interface")
                            self._segment_path = lambda: "local"


                        class Interface(Entity):
                            """
                            Source interface for pseudowire
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.ATMSubinterface>`
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\: str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.ATMACRsubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\: str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\: str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\: str
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.LISPSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\: str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\: str
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\: str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface, self).__init__()

                                self.yang_name = "interface"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface)}
                                self._child_list_classes = {}

                                self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                self.atm = YLeaf(YType.str, "ATM")

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                self.bdi = YLeaf(YType.str, "BDI")

                                self.cem = YLeaf(YType.str, "CEM")

                                self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.lisp = YLeaf(YType.str, "LISP")

                                self.loopback = YLeaf(YType.uint32, "Loopback")

                                self.multilink = YLeaf(YType.uint16, "Multilink")

                                self.nve = YLeaf(YType.uint16, "nve")

                                self.overlay = YLeaf(YType.uint16, "overlay")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                self.sm = YLeaf(YType.str, "SM")

                                self.cellular = YLeaf(YType.str, "Cellular")

                                self.serial = YLeaf(YType.str, "Serial")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                self.vlan = YLeaf(YType.uint16, "Vlan")

                                self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                self.vasileft = YLeaf(YType.uint16, "vasileft")

                                self.vasiright = YLeaf(YType.uint16, "vasiright")

                                self.atm_subinterface = Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.ATMSubinterface()
                                self.atm_subinterface.parent = self
                                self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                self._children_yang_names.add("ATM-subinterface")

                                self.atm_acrsubinterface = Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.ATMACRsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                self._children_yang_names.add("ATM-ACRsubinterface")

                                self.lisp_subinterface = Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.LISPSubinterface()
                                self.lisp_subinterface.parent = self
                                self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                self._children_yang_names.add("LISP-subinterface")

                                self.port_channel_subinterface = Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                self._children_yang_names.add("Port-channel-subinterface")
                                self._segment_path = lambda: "interface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                            class ATMSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.ATMSubinterface, self).__init__()

                                    self.yang_name = "ATM-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm = YLeaf(YType.str, "ATM")
                                    self._segment_path = lambda: "ATM-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.ATMSubinterface, ['atm'], name, value)


                            class ATMACRsubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.ATMACRsubinterface, self).__init__()

                                    self.yang_name = "ATM-ACRsubinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                    self._segment_path = lambda: "ATM-ACRsubinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                            class LISPSubinterface(Entity):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.LISPSubinterface, self).__init__()

                                    self.yang_name = "LISP-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.lisp = YLeaf(YType.str, "LISP")
                                    self._segment_path = lambda: "LISP-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.LISPSubinterface, ['lisp'], name, value)


                            class PortChannelSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface, self).__init__()

                                    self.yang_name = "Port-channel-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port_channel = YLeaf(YType.str, "Port-channel")
                                    self._segment_path = lambda: "Port-channel-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.PseudowireClass.Monitor.Peer.Bfd.Local.Interface.PortChannelSubinterface, ['port_channel'], name, value)


        class PreferredPath(Entity):
            """
            Preferred path
            
            .. attribute:: interface
            
            	Output Interface
            	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.PreferredPath.Interface>`
            
            .. attribute:: peer_container
            
            	
            	**type**\:  :py:class:`PeerContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.PreferredPath.PeerContainer>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PseudowireClass.PreferredPath, self).__init__()

                self.yang_name = "preferred-path"
                self.yang_parent_name = "pseudowire-class"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"interface" : ("interface", Native.PseudowireClass.PreferredPath.Interface), "peer-container" : ("peer_container", Native.PseudowireClass.PreferredPath.PeerContainer)}
                self._child_list_classes = {}

                self.interface = Native.PseudowireClass.PreferredPath.Interface()
                self.interface.parent = self
                self._children_name_map["interface"] = "interface"
                self._children_yang_names.add("interface")

                self.peer_container = Native.PseudowireClass.PreferredPath.PeerContainer()
                self.peer_container.parent = self
                self._children_name_map["peer_container"] = "peer-container"
                self._children_yang_names.add("peer-container")
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:preferred-path"


            class Interface(Entity):
                """
                Output Interface
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\: int
                
                	**range:** 0..2147483647
                
                .. attribute:: tunnel_tp
                
                	MPLS Transport Profile interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: disable_fallback
                
                	disable fall back to alternative route
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PseudowireClass.PreferredPath.Interface, self).__init__()

                    self.yang_name = "interface"
                    self.yang_parent_name = "preferred-path"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.tunnel = YLeaf(YType.uint64, "Tunnel")

                    self.tunnel_tp = YLeaf(YType.uint16, "Tunnel-tp")

                    self.disable_fallback = YLeaf(YType.empty, "disable-fallback")
                    self._segment_path = lambda: "interface"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PseudowireClass.PreferredPath.Interface, ['tunnel', 'tunnel_tp', 'disable_fallback'], name, value)


            class PeerContainer(Entity):
                """
                
                
                .. attribute:: peer
                
                	Peer Address
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: disable_fallback
                
                	disable fall back to alternative route
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PseudowireClass.PreferredPath.PeerContainer, self).__init__()

                    self.yang_name = "peer-container"
                    self.yang_parent_name = "preferred-path"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.peer = YLeaf(YType.str, "peer")

                    self.disable_fallback = YLeaf(YType.empty, "disable-fallback")
                    self._segment_path = lambda: "peer-container"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PseudowireClass.PreferredPath.PeerContainer, ['peer', 'disable_fallback'], name, value)


        class ProtocolMpls(Entity):
            """
            
            
            .. attribute:: protocol
            
            	Signaling protocol to use
            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.ProtocolMpls.Protocol>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PseudowireClass.ProtocolMpls, self).__init__()

                self.yang_name = "protocol-mpls"
                self.yang_parent_name = "pseudowire-class"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.protocol = YLeaf(YType.enumeration, "protocol")
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:protocol-mpls"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.PseudowireClass.ProtocolMpls, ['protocol'], name, value)

            class Protocol(Enum):
                """
                Protocol

                Signaling protocol to use

                .. data:: ldp = 0

                .. data:: none = 1

                """

                ldp = Enum.YLeaf(0, "ldp")

                none = Enum.YLeaf(1, "none")



        class ProtocolL2Tpv2(Entity):
            """
            
            
            .. attribute:: protocol
            
            	Signaling protocol to use
            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.ProtocolL2Tpv2.Protocol>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PseudowireClass.ProtocolL2Tpv2, self).__init__()

                self.yang_name = "protocol-l2tpv2"
                self.yang_parent_name = "pseudowire-class"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.protocol = YLeaf(YType.enumeration, "protocol")
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:protocol-l2tpv2"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.PseudowireClass.ProtocolL2Tpv2, ['protocol'], name, value)

            class Protocol(Enum):
                """
                Protocol

                Signaling protocol to use

                .. data:: l2tpv2 = 0

                .. data:: none = 1

                """

                l2tpv2 = Enum.YLeaf(0, "l2tpv2")

                none = Enum.YLeaf(1, "none")



        class ProtocolL2Tpv3(Entity):
            """
            
            
            .. attribute:: protocol
            
            	Signaling protocol to use
            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.ProtocolL2Tpv3.Protocol>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PseudowireClass.ProtocolL2Tpv3, self).__init__()

                self.yang_name = "protocol-l2tpv3"
                self.yang_parent_name = "pseudowire-class"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.protocol = YLeaf(YType.enumeration, "protocol")
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:protocol-l2tpv3"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.PseudowireClass.ProtocolL2Tpv3, ['protocol'], name, value)

            class Protocol(Enum):
                """
                Protocol

                Signaling protocol to use

                .. data:: l2tpv3 = 0

                .. data:: l2tpv3ietf = 1

                .. data:: none = 2

                """

                l2tpv3 = Enum.YLeaf(0, "l2tpv3")

                l2tpv3ietf = Enum.YLeaf(1, "l2tpv3ietf")

                none = Enum.YLeaf(2, "none")



        class Status(Entity):
            """
            Pseudowire status capabilities
            
            .. attribute:: admin_down
            
            	Admin down of Attachment Circuit
            	**type**\:  :py:class:`AdminDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Status.AdminDown>`
            
            .. attribute:: control_plane
            
            	control plane status events
            	**type**\:  :py:class:`ControlPlane <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Status.ControlPlane>`
            
            .. attribute:: decoupled
            
            	Reflect standby status of the attachment circuit as up on the pseudowire
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: peer
            
            	peer status configuration
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Status.Peer>`
            
            .. attribute:: redundancy
            
            	Xconnect redundancy configuration
            	**type**\:  :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Status.Redundancy>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PseudowireClass.Status, self).__init__()

                self.yang_name = "status"
                self.yang_parent_name = "pseudowire-class"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"admin-down" : ("admin_down", Native.PseudowireClass.Status.AdminDown), "control-plane" : ("control_plane", Native.PseudowireClass.Status.ControlPlane), "peer" : ("peer", Native.PseudowireClass.Status.Peer), "redundancy" : ("redundancy", Native.PseudowireClass.Status.Redundancy)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.decoupled = YLeaf(YType.empty, "decoupled")

                self.admin_down = Native.PseudowireClass.Status.AdminDown()
                self.admin_down.parent = self
                self._children_name_map["admin_down"] = "admin-down"
                self._children_yang_names.add("admin-down")

                self.control_plane = Native.PseudowireClass.Status.ControlPlane()
                self.control_plane.parent = self
                self._children_name_map["control_plane"] = "control-plane"
                self._children_yang_names.add("control-plane")

                self.peer = Native.PseudowireClass.Status.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.redundancy = Native.PseudowireClass.Status.Redundancy()
                self.redundancy.parent = self
                self._children_name_map["redundancy"] = "redundancy"
                self._children_yang_names.add("redundancy")
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:status"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.PseudowireClass.Status, ['decoupled'], name, value)


            class AdminDown(Entity):
                """
                Admin down of Attachment Circuit
                
                .. attribute:: disconnect
                
                	Disconnect the session
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PseudowireClass.Status.AdminDown, self).__init__()

                    self.yang_name = "admin-down"
                    self.yang_parent_name = "status"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.disconnect = YLeaf(YType.empty, "disconnect")
                    self._segment_path = lambda: "admin-down"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PseudowireClass.Status.AdminDown, ['disconnect'], name, value)


            class ControlPlane(Entity):
                """
                control plane status events
                
                .. attribute:: route_watch
                
                	listen on the control plane to route\-watch events
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PseudowireClass.Status.ControlPlane, self).__init__()

                    self.yang_name = "control-plane"
                    self.yang_parent_name = "status"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.route_watch = YLeaf(YType.empty, "route-watch")
                    self._segment_path = lambda: "control-plane"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PseudowireClass.Status.ControlPlane, ['route_watch'], name, value)


            class Peer(Entity):
                """
                peer status configuration
                
                .. attribute:: topology
                
                	change status behaviour based on peer topology
                	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PseudowireClass.Status.Peer.Topology>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PseudowireClass.Status.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "status"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"topology" : ("topology", Native.PseudowireClass.Status.Peer.Topology)}
                    self._child_list_classes = {}

                    self.topology = Native.PseudowireClass.Status.Peer.Topology()
                    self.topology.parent = self
                    self._children_name_map["topology"] = "topology"
                    self._children_yang_names.add("topology")
                    self._segment_path = lambda: "peer"


                class Topology(Entity):
                    """
                    change status behaviour based on peer topology
                    
                    .. attribute:: dual_homed
                    
                    	Our peer(s) are participating in a redundant solution with some form of redundancyprotocol running between the peer routers, Only one of the remote peers will advertise astatus of UP at a time. The other will advertise standby. Change our configuration so wecan send a status of UP on both active and redundant pseudowires
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PseudowireClass.Status.Peer.Topology, self).__init__()

                        self.yang_name = "topology"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dual_homed = YLeaf(YType.empty, "dual-homed")
                        self._segment_path = lambda: "topology"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PseudowireClass.Status.Peer.Topology, ['dual_homed'], name, value)


            class Redundancy(Entity):
                """
                Xconnect redundancy configuration
                
                .. attribute:: master
                
                	Put the xconnect redundancy group on this node in master mode
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PseudowireClass.Status.Redundancy, self).__init__()

                    self.yang_name = "redundancy"
                    self.yang_parent_name = "status"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.master = YLeaf(YType.empty, "master")
                    self._segment_path = lambda: "redundancy"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PseudowireClass.Status.Redundancy, ['master'], name, value)


        class Switching(Entity):
            """
            Switching TLV on/off for pseudowire
            
            .. attribute:: tlv
            
            	Switching TLV on/off for pseudowire
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PseudowireClass.Switching, self).__init__()

                self.yang_name = "switching"
                self.yang_parent_name = "pseudowire-class"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.tlv = YLeaf(YType.empty, "tlv")
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:switching"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.PseudowireClass.Switching, ['tlv'], name, value)


    class ControlPlane(Entity):
        """
        Configure control plane services
        
        .. attribute:: service_policy
        
        	
        	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ControlPlane.ServicePolicy>`
        
        

        This class is a :ref:`presence class<presence-class>`

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.ControlPlane, self).__init__()

            self.yang_name = "control-plane"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-policy:service-policy" : ("service_policy", Native.ControlPlane.ServicePolicy)}
            self._child_list_classes = {}
            self.is_presence_container = True

            self.service_policy = Native.ControlPlane.ServicePolicy()
            self.service_policy.parent = self
            self._children_name_map["service_policy"] = "service-policy"
            self._children_yang_names.add("service-policy")
            self._segment_path = lambda: "control-plane"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class ServicePolicy(Entity):
            """
            
            
            .. attribute:: input
            
            	Assign policy\-map to the input of an interface
            	**type**\: str
            
            .. attribute:: output
            
            	Assign policy\-map to the output of an interface
            	**type**\: str
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ControlPlane.ServicePolicy, self).__init__()

                self.yang_name = "service-policy"
                self.yang_parent_name = "control-plane"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.input = YLeaf(YType.str, "input")

                self.output = YLeaf(YType.str, "output")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:service-policy"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/control-plane/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ControlPlane.ServicePolicy, ['input', 'output'], name, value)


    class ControlPlaneHost(Entity):
        """
        
        
        .. attribute:: control_plane
        
        	Configure control plane services
        	**type**\:  :py:class:`ControlPlane <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ControlPlaneHost.ControlPlane>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.ControlPlaneHost, self).__init__()

            self.yang_name = "control-plane-host"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"control-plane" : ("control_plane", Native.ControlPlaneHost.ControlPlane)}
            self._child_list_classes = {}

            self.control_plane = Native.ControlPlaneHost.ControlPlane()
            self.control_plane.parent = self
            self._children_name_map["control_plane"] = "control-plane"
            self._children_yang_names.add("control-plane")
            self._segment_path = lambda: "control-plane-host"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class ControlPlane(Entity):
            """
            Configure control plane services
            
            .. attribute:: host
            
            	
            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ControlPlaneHost.ControlPlane.Host>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.ControlPlaneHost.ControlPlane, self).__init__()

                self.yang_name = "control-plane"
                self.yang_parent_name = "control-plane-host"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"host" : ("host", Native.ControlPlaneHost.ControlPlane.Host)}
                self._child_list_classes = {}

                self.host = None
                self._children_name_map["host"] = "host"
                self._children_yang_names.add("host")
                self._segment_path = lambda: "control-plane"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/control-plane-host/%s" % self._segment_path()


            class Host(Entity):
                """
                
                
                .. attribute:: management_interface
                
                	Configure interface for receiving network management traffic
                	**type**\: list of  		 :py:class:`ManagementInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ControlPlaneHost.ControlPlane.Host.ManagementInterface>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.ControlPlaneHost.ControlPlane.Host, self).__init__()

                    self.yang_name = "host"
                    self.yang_parent_name = "control-plane"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"management-interface" : ("management_interface", Native.ControlPlaneHost.ControlPlane.Host.ManagementInterface)}
                    self.is_presence_container = True

                    self.management_interface = YList(self)
                    self._segment_path = lambda: "host"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/control-plane-host/control-plane/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ControlPlaneHost.ControlPlane.Host, [], name, value)


                class ManagementInterface(Entity):
                    """
                    Configure interface for receiving network management traffic
                    
                    .. attribute:: interface_name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: allow
                    
                    	Allowed network management protocols on selected interface
                    	**type**\:  :py:class:`Allow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ControlPlaneHost.ControlPlane.Host.ManagementInterface.Allow>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.ControlPlaneHost.ControlPlane.Host.ManagementInterface, self).__init__()

                        self.yang_name = "management-interface"
                        self.yang_parent_name = "host"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"allow" : ("allow", Native.ControlPlaneHost.ControlPlane.Host.ManagementInterface.Allow)}
                        self._child_list_classes = {}

                        self.interface_name = YLeaf(YType.str, "interface-name")

                        self.allow = Native.ControlPlaneHost.ControlPlane.Host.ManagementInterface.Allow()
                        self.allow.parent = self
                        self._children_name_map["allow"] = "allow"
                        self._children_yang_names.add("allow")
                        self._segment_path = lambda: "management-interface" + "[interface-name='" + self.interface_name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/control-plane-host/control-plane/host/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ControlPlaneHost.ControlPlane.Host.ManagementInterface, ['interface_name'], name, value)


                    class Allow(Entity):
                        """
                        Allowed network management protocols on selected interface
                        
                        .. attribute:: beep
                        
                        	Beep Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ftp
                        
                        	File Transfer Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: http
                        
                        	HTTP Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: https
                        
                        	HTTPS Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: snmp
                        
                        	Simple Network Management Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ssh
                        
                        	Secure Shell Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: telnet
                        
                        	Telnet Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tftp
                        
                        	Trivial File Transfer Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tl1
                        
                        	Transaction Language Session Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.ControlPlaneHost.ControlPlane.Host.ManagementInterface.Allow, self).__init__()

                            self.yang_name = "allow"
                            self.yang_parent_name = "management-interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.beep = YLeaf(YType.empty, "beep")

                            self.ftp = YLeaf(YType.empty, "ftp")

                            self.http = YLeaf(YType.empty, "http")

                            self.https = YLeaf(YType.empty, "https")

                            self.snmp = YLeaf(YType.empty, "snmp")

                            self.ssh = YLeaf(YType.empty, "ssh")

                            self.telnet = YLeaf(YType.empty, "telnet")

                            self.tftp = YLeaf(YType.empty, "tftp")

                            self.tl1 = YLeaf(YType.empty, "tl1")
                            self._segment_path = lambda: "allow"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.ControlPlaneHost.ControlPlane.Host.ManagementInterface.Allow, ['beep', 'ftp', 'http', 'https', 'snmp', 'ssh', 'telnet', 'tftp', 'tl1'], name, value)


    class Clock(Entity):
        """
        Configure time\-of\-day clock
        
        .. attribute:: calendar_valid
        
        	Calendar time is authoritative
        	**type**\:  :py:class:`CalendarValid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock.CalendarValid>`
        
        	**presence node**\: True
        
        .. attribute:: summer_time
        
        	Configure summer (daylight savings) time
        	**type**\:  :py:class:`SummerTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock.SummerTime>`
        
        .. attribute:: timezone
        
        	Configure time zone
        	**type**\:  :py:class:`Timezone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock.Timezone>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Clock, self).__init__()

            self.yang_name = "clock"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"calendar-valid" : ("calendar_valid", Native.Clock.CalendarValid), "summer-time" : ("summer_time", Native.Clock.SummerTime), "timezone" : ("timezone", Native.Clock.Timezone)}
            self._child_list_classes = {}

            self.calendar_valid = None
            self._children_name_map["calendar_valid"] = "calendar-valid"
            self._children_yang_names.add("calendar-valid")

            self.summer_time = Native.Clock.SummerTime()
            self.summer_time.parent = self
            self._children_name_map["summer_time"] = "summer-time"
            self._children_yang_names.add("summer-time")

            self.timezone = Native.Clock.Timezone()
            self.timezone.parent = self
            self._children_name_map["timezone"] = "timezone"
            self._children_yang_names.add("timezone")
            self._segment_path = lambda: "clock"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class CalendarValid(Entity):
            """
            Calendar time is authoritative
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Clock.CalendarValid, self).__init__()

                self.yang_name = "calendar-valid"
                self.yang_parent_name = "clock"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True
                self._segment_path = lambda: "calendar-valid"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/clock/%s" % self._segment_path()


        class SummerTime(Entity):
            """
            Configure summer (daylight savings) time
            
            .. attribute:: zone
            
            	
            	**type**\: str
            
            .. attribute:: date
            
            	Configure absolute summer time
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: start_day
            
            	
            	**type**\: int
            
            	**range:** 1..31
            
            .. attribute:: start_month
            
            	
            	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
            
            .. attribute:: start_year
            
            	
            	**type**\: int
            
            	**range:** 1993..2035
            
            .. attribute:: start_time
            
            	
            	**type**\: str
            
            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
            
            .. attribute:: date_end_day
            
            	
            	**type**\: int
            
            	**range:** 1..31
            
            .. attribute:: date_end_month
            
            	
            	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
            
            .. attribute:: date_end_year
            
            	
            	**type**\: int
            
            	**range:** 1993..2035
            
            .. attribute:: date_end_time
            
            	
            	**type**\: str
            
            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
            
            .. attribute:: offset
            
            	
            	**type**\: int
            
            	**range:** 1..1440
            
            .. attribute:: recurring
            
            	Configure recurring summer time
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: recurring_start
            
            	
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 1..4
            
            		**type**\:  :py:class:`RecurringStart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock.SummerTime.RecurringStart>`
            
            .. attribute:: recurring_start_day
            
            	
            	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
            
            .. attribute:: recurring_start_month
            
            	
            	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
            
            .. attribute:: recurring_start_time
            
            	
            	**type**\: str
            
            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
            
            .. attribute:: recurring_end
            
            	
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 1..4
            
            		**type**\:  :py:class:`RecurringEnd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock.SummerTime.RecurringEnd>`
            
            .. attribute:: recurring_end_day
            
            	
            	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
            
            .. attribute:: recurring_end_month
            
            	
            	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
            
            .. attribute:: recurring_end_time
            
            	
            	**type**\: str
            
            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
            
            .. attribute:: recurring_offset
            
            	
            	**type**\: int
            
            	**range:** 1..1440
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Clock.SummerTime, self).__init__()

                self.yang_name = "summer-time"
                self.yang_parent_name = "clock"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.zone = YLeaf(YType.str, "zone")

                self.date = YLeaf(YType.empty, "date")

                self.start_day = YLeaf(YType.uint8, "start-day")

                self.start_month = YLeaf(YType.enumeration, "start-month")

                self.start_year = YLeaf(YType.uint32, "start-year")

                self.start_time = YLeaf(YType.str, "start-time")

                self.date_end_day = YLeaf(YType.uint8, "date-end-day")

                self.date_end_month = YLeaf(YType.enumeration, "date-end-month")

                self.date_end_year = YLeaf(YType.uint32, "date-end-year")

                self.date_end_time = YLeaf(YType.str, "date-end-time")

                self.offset = YLeaf(YType.uint16, "offset")

                self.recurring = YLeaf(YType.empty, "recurring")

                self.recurring_start = YLeaf(YType.str, "recurring-start")

                self.recurring_start_day = YLeaf(YType.enumeration, "recurring-start-day")

                self.recurring_start_month = YLeaf(YType.enumeration, "recurring-start-month")

                self.recurring_start_time = YLeaf(YType.str, "recurring-start-time")

                self.recurring_end = YLeaf(YType.str, "recurring-end")

                self.recurring_end_day = YLeaf(YType.enumeration, "recurring-end-day")

                self.recurring_end_month = YLeaf(YType.enumeration, "recurring-end-month")

                self.recurring_end_time = YLeaf(YType.str, "recurring-end-time")

                self.recurring_offset = YLeaf(YType.uint16, "recurring-offset")
                self._segment_path = lambda: "summer-time"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/clock/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Clock.SummerTime, ['zone', 'date', 'start_day', 'start_month', 'start_year', 'start_time', 'date_end_day', 'date_end_month', 'date_end_year', 'date_end_time', 'offset', 'recurring', 'recurring_start', 'recurring_start_day', 'recurring_start_month', 'recurring_start_time', 'recurring_end', 'recurring_end_day', 'recurring_end_month', 'recurring_end_time', 'recurring_offset'], name, value)

            class RecurringEnd(Enum):
                """
                RecurringEnd

                .. data:: first = 0

                .. data:: last = 1

                """

                first = Enum.YLeaf(0, "first")

                last = Enum.YLeaf(1, "last")


            class RecurringStart(Enum):
                """
                RecurringStart

                .. data:: first = 0

                .. data:: last = 1

                """

                first = Enum.YLeaf(0, "first")

                last = Enum.YLeaf(1, "last")



        class Timezone(Entity):
            """
            Configure time zone
            
            .. attribute:: zone
            
            	
            	**type**\: str
            
            .. attribute:: offset
            
            	
            	**type**\:  :py:class:`Offset <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Clock.Timezone.Offset>`
            
            .. attribute:: hours
            
            	
            	**type**\: int
            
            	**range:** \-23..23
            
            .. attribute:: minutes
            
            	
            	**type**\: int
            
            	**range:** 0..59
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Clock.Timezone, self).__init__()

                self.yang_name = "timezone"
                self.yang_parent_name = "clock"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.zone = YLeaf(YType.str, "zone")

                self.offset = YLeaf(YType.enumeration, "offset")

                self.hours = YLeaf(YType.int8, "hours")

                self.minutes = YLeaf(YType.int8, "minutes")
                self._segment_path = lambda: "timezone"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/clock/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Clock.Timezone, ['zone', 'offset', 'hours', 'minutes'], name, value)

            class Offset(Enum):
                """
                Offset

                .. data:: Y__PLUS__ = 0

                .. data:: Y_ = 1

                """

                Y__PLUS__ = Enum.YLeaf(0, "+")

                Y_ = Enum.YLeaf(1, "-")



    class Logging(Entity):
        """
        Modify message logging facilities
        
        .. attribute:: discriminator
        
        	Create or modify a message discriminator
        	**type**\: list of  		 :py:class:`Discriminator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Discriminator>`
        
        .. attribute:: persistent
        
        	Set persistent logging parameters
        	**type**\:  :py:class:`Persistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Persistent>`
        
        	**presence node**\: True
        
        .. attribute:: monitor_conf
        
        	
        	**type**\:  :py:class:`MonitorConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.MonitorConf>`
        
        .. attribute:: monitor
        
        	Set terminal line (monitor) logging parameters
        	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Monitor>`
        
        	**presence node**\: True
        
        .. attribute:: alarm
        
        	Configure syslog for alarms
        	**type**\: union of the below types:
        
        		**type**\: int
        
        			**range:** 1..4
        
        		**type**\:  :py:class:`Alarm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Alarm>`
        
        .. attribute:: buffered
        
        	Set buffered logging parameters
        	**type**\:  :py:class:`Buffered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Buffered>`
        
        	**presence node**\: True
        
        .. attribute:: console_conf
        
        	
        	**type**\:  :py:class:`ConsoleConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.ConsoleConf>`
        
        .. attribute:: console
        
        	Set console logging parameters
        	**type**\:  :py:class:`Console <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Console>`
        
        	**presence node**\: True
        
        .. attribute:: event
        
        	Global interface events
        	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Event>`
        
        .. attribute:: esm
        
        	Set ESM filter restrictions
        	**type**\:  :py:class:`Esm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Esm>`
        
        .. attribute:: facility
        
        	Facility parameter for syslog messages
        	**type**\:  :py:class:`Facility <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Facility>`
        
        .. attribute:: history
        
        	Configure syslog history table
        	**type**\:  :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.History>`
        
        .. attribute:: host
        
        	Set syslog server IP address and parameters
        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host>`
        
        .. attribute:: origin_id
        
        	Add origin ID to syslog messages
        	**type**\:  :py:class:`OriginId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.OriginId>`
        
        .. attribute:: rate_limit_conf
        
        	
        	**type**\:  :py:class:`RateLimitConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimitConf>`
        
        .. attribute:: rate_limit
        
        	Set messages per second limit
        	**type**\:  :py:class:`RateLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit>`
        
        	**presence node**\: True
        
        .. attribute:: source_interface
        
        	Specify interface for source address in logging transactions
        	**type**\: list of  		 :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.SourceInterface>`
        
        .. attribute:: snmp_trap
        
        	Set SNMP trap logging level
        	**type**\:  :py:class:`SnmpTrap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.SnmpTrap>`
        
        .. attribute:: trap
        
        	Set trap server logging level
        	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Trap>`
        
        	**presence node**\: True
        
        .. attribute:: hostip
        
        	
        	**type**\: union of the below types:
        
        		**type**\: str
        
        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        		**type**\: str
        
        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
        
        		**type**\: str
        
        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
        
        .. attribute:: file
        
        	Set logging file parameters
        	**type**\:  :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.File>`
        
        .. attribute:: snmp_authfail
        
        	
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: buginf
        
        	Enable buginf logging for debugging
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: userinfo
        
        	Enable logging of user info on privileged mode enabling
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Logging, self).__init__()

            self.yang_name = "logging"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"persistent" : ("persistent", Native.Logging.Persistent), "monitor-conf" : ("monitor_conf", Native.Logging.MonitorConf), "monitor" : ("monitor", Native.Logging.Monitor), "buffered" : ("buffered", Native.Logging.Buffered), "console-conf" : ("console_conf", Native.Logging.ConsoleConf), "console" : ("console", Native.Logging.Console), "event" : ("event", Native.Logging.Event), "esm" : ("esm", Native.Logging.Esm), "history" : ("history", Native.Logging.History), "host" : ("host", Native.Logging.Host), "origin-id" : ("origin_id", Native.Logging.OriginId), "rate-limit-conf" : ("rate_limit_conf", Native.Logging.RateLimitConf), "rate-limit" : ("rate_limit", Native.Logging.RateLimit), "snmp-trap" : ("snmp_trap", Native.Logging.SnmpTrap), "trap" : ("trap", Native.Logging.Trap), "file" : ("file", Native.Logging.File)}
            self._child_list_classes = {"discriminator" : ("discriminator", Native.Logging.Discriminator), "source-interface" : ("source_interface", Native.Logging.SourceInterface)}

            self.alarm = YLeaf(YType.str, "alarm")

            self.facility = YLeaf(YType.enumeration, "facility")

            self.hostip = YLeaf(YType.str, "hostip")

            self.snmp_authfail = YLeaf(YType.empty, "snmp-authfail")

            self.buginf = YLeaf(YType.empty, "buginf")

            self.userinfo = YLeaf(YType.empty, "userinfo")

            self.persistent = None
            self._children_name_map["persistent"] = "persistent"
            self._children_yang_names.add("persistent")

            self.monitor_conf = Native.Logging.MonitorConf()
            self.monitor_conf.parent = self
            self._children_name_map["monitor_conf"] = "monitor-conf"
            self._children_yang_names.add("monitor-conf")

            self.monitor = None
            self._children_name_map["monitor"] = "monitor"
            self._children_yang_names.add("monitor")

            self.buffered = None
            self._children_name_map["buffered"] = "buffered"
            self._children_yang_names.add("buffered")

            self.console_conf = Native.Logging.ConsoleConf()
            self.console_conf.parent = self
            self._children_name_map["console_conf"] = "console-conf"
            self._children_yang_names.add("console-conf")

            self.console = None
            self._children_name_map["console"] = "console"
            self._children_yang_names.add("console")

            self.event = Native.Logging.Event()
            self.event.parent = self
            self._children_name_map["event"] = "event"
            self._children_yang_names.add("event")

            self.esm = Native.Logging.Esm()
            self.esm.parent = self
            self._children_name_map["esm"] = "esm"
            self._children_yang_names.add("esm")

            self.history = Native.Logging.History()
            self.history.parent = self
            self._children_name_map["history"] = "history"
            self._children_yang_names.add("history")

            self.host = Native.Logging.Host()
            self.host.parent = self
            self._children_name_map["host"] = "host"
            self._children_yang_names.add("host")

            self.origin_id = Native.Logging.OriginId()
            self.origin_id.parent = self
            self._children_name_map["origin_id"] = "origin-id"
            self._children_yang_names.add("origin-id")

            self.rate_limit_conf = Native.Logging.RateLimitConf()
            self.rate_limit_conf.parent = self
            self._children_name_map["rate_limit_conf"] = "rate-limit-conf"
            self._children_yang_names.add("rate-limit-conf")

            self.rate_limit = None
            self._children_name_map["rate_limit"] = "rate-limit"
            self._children_yang_names.add("rate-limit")

            self.snmp_trap = Native.Logging.SnmpTrap()
            self.snmp_trap.parent = self
            self._children_name_map["snmp_trap"] = "snmp-trap"
            self._children_yang_names.add("snmp-trap")

            self.trap = None
            self._children_name_map["trap"] = "trap"
            self._children_yang_names.add("trap")

            self.file = Native.Logging.File()
            self.file.parent = self
            self._children_name_map["file"] = "file"
            self._children_yang_names.add("file")

            self.discriminator = YList(self)
            self.source_interface = YList(self)
            self._segment_path = lambda: "logging"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Logging, ['alarm', 'facility', 'hostip', 'snmp_authfail', 'buginf', 'userinfo'], name, value)

        class Alarm(Enum):
            """
            Alarm

            Configure syslog for alarms

            .. data:: critical = 0

            .. data:: informational = 1

            .. data:: major = 2

            .. data:: minor = 3

            """

            critical = Enum.YLeaf(0, "critical")

            informational = Enum.YLeaf(1, "informational")

            major = Enum.YLeaf(2, "major")

            minor = Enum.YLeaf(3, "minor")


        class Facility(Enum):
            """
            Facility

            Facility parameter for syslog messages

            .. data:: auth = 0

            .. data:: cron = 1

            .. data:: daemon = 2

            .. data:: kern = 3

            .. data:: local0 = 4

            .. data:: local1 = 5

            .. data:: local2 = 6

            .. data:: local3 = 7

            .. data:: local4 = 8

            .. data:: local5 = 9

            .. data:: local6 = 10

            .. data:: local7 = 11

            .. data:: lpr = 12

            .. data:: mail = 13

            .. data:: news = 14

            .. data:: sys10 = 15

            .. data:: sys11 = 16

            .. data:: sys12 = 17

            .. data:: sys13 = 18

            .. data:: sys14 = 19

            .. data:: sys9 = 20

            .. data:: syslog = 21

            .. data:: user = 22

            .. data:: uucp = 23

            """

            auth = Enum.YLeaf(0, "auth")

            cron = Enum.YLeaf(1, "cron")

            daemon = Enum.YLeaf(2, "daemon")

            kern = Enum.YLeaf(3, "kern")

            local0 = Enum.YLeaf(4, "local0")

            local1 = Enum.YLeaf(5, "local1")

            local2 = Enum.YLeaf(6, "local2")

            local3 = Enum.YLeaf(7, "local3")

            local4 = Enum.YLeaf(8, "local4")

            local5 = Enum.YLeaf(9, "local5")

            local6 = Enum.YLeaf(10, "local6")

            local7 = Enum.YLeaf(11, "local7")

            lpr = Enum.YLeaf(12, "lpr")

            mail = Enum.YLeaf(13, "mail")

            news = Enum.YLeaf(14, "news")

            sys10 = Enum.YLeaf(15, "sys10")

            sys11 = Enum.YLeaf(16, "sys11")

            sys12 = Enum.YLeaf(17, "sys12")

            sys13 = Enum.YLeaf(18, "sys13")

            sys14 = Enum.YLeaf(19, "sys14")

            sys9 = Enum.YLeaf(20, "sys9")

            syslog = Enum.YLeaf(21, "syslog")

            user = Enum.YLeaf(22, "user")

            uucp = Enum.YLeaf(23, "uucp")



        class Discriminator(Entity):
            """
            Create or modify a message discriminator
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: msg_body
            
            	Msg\-body pattern for messsage filtering
            	**type**\:  :py:class:`MsgBody <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Discriminator.MsgBody>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.Discriminator, self).__init__()

                self.yang_name = "discriminator"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"msg-body" : ("msg_body", Native.Logging.Discriminator.MsgBody)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.msg_body = Native.Logging.Discriminator.MsgBody()
                self.msg_body.parent = self
                self._children_name_map["msg_body"] = "msg-body"
                self._children_yang_names.add("msg-body")
                self._segment_path = lambda: "discriminator" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.Discriminator, ['name'], name, value)


            class MsgBody(Entity):
                """
                Msg\-body pattern for messsage filtering
                
                .. attribute:: drops
                
                	To drop messages including the specified regular expression string
                	**type**\: str
                
                .. attribute:: includes
                
                	To deliver messages including the specified regular expression string
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.Discriminator.MsgBody, self).__init__()

                    self.yang_name = "msg-body"
                    self.yang_parent_name = "discriminator"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.drops = YLeaf(YType.str, "drops")

                    self.includes = YLeaf(YType.str, "includes")
                    self._segment_path = lambda: "msg-body"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.Discriminator.MsgBody, ['drops', 'includes'], name, value)


        class Persistent(Entity):
            """
            Set persistent logging parameters
            
            .. attribute:: file
            
            	
            	**type**\:  :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Persistent.File>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.Persistent, self).__init__()

                self.yang_name = "persistent"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"file" : ("file", Native.Logging.Persistent.File)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.file = Native.Logging.Persistent.File()
                self.file.parent = self
                self._children_name_map["file"] = "file"
                self._children_yang_names.add("file")
                self._segment_path = lambda: "persistent"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()


            class File(Entity):
                """
                
                
                .. attribute:: url
                
                	URL to store logging messages
                	**type**\: str
                
                .. attribute:: size
                
                	Set disk space for writing log messages
                	**type**\: str
                
                .. attribute:: threshold
                
                	Set threshold for logging persistent
                	**type**\: str
                
                .. attribute:: protected
                
                	Eliminates manipulation on logging\-persistent files
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.Persistent.File, self).__init__()

                    self.yang_name = "file"
                    self.yang_parent_name = "persistent"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.url = YLeaf(YType.str, "url")

                    self.size = YLeaf(YType.str, "size")

                    self.threshold = YLeaf(YType.str, "threshold")

                    self.protected = YLeaf(YType.empty, "protected")
                    self._segment_path = lambda: "file"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/persistent/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.Persistent.File, ['url', 'size', 'threshold', 'protected'], name, value)


        class MonitorConf(Entity):
            """
            
            
            .. attribute:: monitor
            
            	
            	**type**\: bool
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.MonitorConf, self).__init__()

                self.yang_name = "monitor-conf"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.monitor = YLeaf(YType.boolean, "monitor")
                self._segment_path = lambda: "monitor-conf"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.MonitorConf, ['monitor'], name, value)


        class Monitor(Entity):
            """
            Set terminal line (monitor) logging parameters
            
            .. attribute:: severity
            
            	
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..7
            
            		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
            
            .. attribute:: discriminator
            
            	Establish MD\-Console association
            	**type**\: list of  		 :py:class:`Discriminator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Monitor.Discriminator>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.Monitor, self).__init__()

                self.yang_name = "monitor"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"discriminator" : ("discriminator", Native.Logging.Monitor.Discriminator)}
                self.is_presence_container = True

                self.severity = YLeaf(YType.str, "severity")

                self.discriminator = YList(self)
                self._segment_path = lambda: "monitor"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.Monitor, ['severity'], name, value)


            class Discriminator(Entity):
                """
                Establish MD\-Console association
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: severity
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..7
                
                		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.Monitor.Discriminator, self).__init__()

                    self.yang_name = "discriminator"
                    self.yang_parent_name = "monitor"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.severity = YLeaf(YType.str, "severity")
                    self._segment_path = lambda: "discriminator" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/monitor/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.Monitor.Discriminator, ['name', 'severity'], name, value)


        class Buffered(Entity):
            """
            Set buffered logging parameters
            
            .. attribute:: discriminator
            
            	
            	**type**\: list of  		 :py:class:`Discriminator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Buffered.Discriminator>`
            
            .. attribute:: size
            
            	
            	**type**\:  :py:class:`Size <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Buffered.Size>`
            
            .. attribute:: severity
            
            	
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..7
            
            		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
            
            .. attribute:: xxml
            
            	Enable logging in XML to XML logging buffer
            	**type**\: int
            
            	**range:** 4096..2147483647
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.Buffered, self).__init__()

                self.yang_name = "buffered"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"size" : ("size", Native.Logging.Buffered.Size)}
                self._child_list_classes = {"discriminator" : ("discriminator", Native.Logging.Buffered.Discriminator)}
                self.is_presence_container = True

                self.severity = YLeaf(YType.str, "severity")

                self.xxml = YLeaf(YType.uint32, "xxml")

                self.size = Native.Logging.Buffered.Size()
                self.size.parent = self
                self._children_name_map["size"] = "size"
                self._children_yang_names.add("size")

                self.discriminator = YList(self)
                self._segment_path = lambda: "buffered"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.Buffered, ['severity', 'xxml'], name, value)


            class Discriminator(Entity):
                """
                
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: size_value
                
                	
                	**type**\: int
                
                	**range:** 4096..2147483647
                
                .. attribute:: severity
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..7
                
                		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.Buffered.Discriminator, self).__init__()

                    self.yang_name = "discriminator"
                    self.yang_parent_name = "buffered"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.size_value = YLeaf(YType.uint32, "size-value")

                    self.severity = YLeaf(YType.str, "severity")
                    self._segment_path = lambda: "discriminator" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/buffered/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.Buffered.Discriminator, ['name', 'size_value', 'severity'], name, value)


            class Size(Entity):
                """
                
                
                .. attribute:: size_value
                
                	
                	**type**\: int
                
                	**range:** 4096..2147483647
                
                .. attribute:: severity
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..7
                
                		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
                
                	**default value**\: debugging
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.Buffered.Size, self).__init__()

                    self.yang_name = "size"
                    self.yang_parent_name = "buffered"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.size_value = YLeaf(YType.uint32, "size-value")

                    self.severity = YLeaf(YType.str, "severity")
                    self._segment_path = lambda: "size"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/buffered/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.Buffered.Size, ['size_value', 'severity'], name, value)


        class ConsoleConf(Entity):
            """
            
            
            .. attribute:: console
            
            	Set console logging parameters
            	**type**\: bool
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.ConsoleConf, self).__init__()

                self.yang_name = "console-conf"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.console = YLeaf(YType.boolean, "console")
                self._segment_path = lambda: "console-conf"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.ConsoleConf, ['console'], name, value)


        class Console(Entity):
            """
            Set console logging parameters
            
            .. attribute:: discriminator
            
            	Establish MD\-Console association
            	**type**\: list of  		 :py:class:`Discriminator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Console.Discriminator>`
            
            .. attribute:: filtered
            
            	Enable filtered logging
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: guaranteed
            
            	Guarantee console messages
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: xxml
            
            	Enable logging in XML
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..7
            
            		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
            
            .. attribute:: severity
            
            	
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..7
            
            		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.Console, self).__init__()

                self.yang_name = "console"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"discriminator" : ("discriminator", Native.Logging.Console.Discriminator)}
                self.is_presence_container = True

                self.filtered = YLeaf(YType.empty, "filtered")

                self.guaranteed = YLeaf(YType.empty, "guaranteed")

                self.xxml = YLeaf(YType.str, "xxml")

                self.severity = YLeaf(YType.str, "severity")

                self.discriminator = YList(self)
                self._segment_path = lambda: "console"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.Console, ['filtered', 'guaranteed', 'xxml', 'severity'], name, value)


            class Discriminator(Entity):
                """
                Establish MD\-Console association
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: severity
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..7
                
                		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.Console.Discriminator, self).__init__()

                    self.yang_name = "discriminator"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.severity = YLeaf(YType.str, "severity")
                    self._segment_path = lambda: "discriminator" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/console/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.Console.Discriminator, ['name', 'severity'], name, value)


        class Event(Entity):
            """
            Global interface events
            
            .. attribute:: link_status
            
            	Globally enable/disable link UPDOWN message
            	**type**\:  :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Event.LinkStatus>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.Event, self).__init__()

                self.yang_name = "event"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"link-status" : ("link_status", Native.Logging.Event.LinkStatus)}
                self._child_list_classes = {}

                self.link_status = Native.Logging.Event.LinkStatus()
                self.link_status.parent = self
                self._children_name_map["link_status"] = "link-status"
                self._children_yang_names.add("link-status")
                self._segment_path = lambda: "event"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()


            class LinkStatus(Entity):
                """
                Globally enable/disable link UPDOWN message
                
                .. attribute:: boot
                
                	Supress/Allow link UPDOWN messages during boot
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: global_
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: default
                
                	Link UPDOWN messages for all interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.Event.LinkStatus, self).__init__()

                    self.yang_name = "link-status"
                    self.yang_parent_name = "event"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.boot = YLeaf(YType.empty, "boot")

                    self.global_ = YLeaf(YType.empty, "global")

                    self.default = YLeaf(YType.empty, "default")
                    self._segment_path = lambda: "link-status"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/event/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.Event.LinkStatus, ['boot', 'global_', 'default'], name, value)


        class Esm(Entity):
            """
            Set ESM filter restrictions
            
            .. attribute:: config
            
            	Permit/Deny configuration changes from ESM filters
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.Esm, self).__init__()

                self.yang_name = "esm"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.config = YLeaf(YType.empty, "config")
                self._segment_path = lambda: "esm"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.Esm, ['config'], name, value)


        class History(Entity):
            """
            Configure syslog history table
            
            .. attribute:: size
            
            	Set history table size
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: severity_level
            
            	
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..7
            
            		**type**\:  :py:class:`SeverityLevel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.History.SeverityLevel>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.History, self).__init__()

                self.yang_name = "history"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.size = YLeaf(YType.uint16, "size")

                self.severity_level = YLeaf(YType.str, "severity-level")
                self._segment_path = lambda: "history"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.History, ['size', 'severity_level'], name, value)

            class SeverityLevel(Enum):
                """
                SeverityLevel

                .. data:: alerts = 0

                .. data:: critical = 1

                .. data:: debugging = 2

                .. data:: emergencies = 3

                .. data:: errors = 4

                .. data:: informational = 5

                .. data:: notifications = 6

                .. data:: warnings = 7

                """

                alerts = Enum.YLeaf(0, "alerts")

                critical = Enum.YLeaf(1, "critical")

                debugging = Enum.YLeaf(2, "debugging")

                emergencies = Enum.YLeaf(3, "emergencies")

                errors = Enum.YLeaf(4, "errors")

                informational = Enum.YLeaf(5, "informational")

                notifications = Enum.YLeaf(6, "notifications")

                warnings = Enum.YLeaf(7, "warnings")



        class Host(Entity):
            """
            Set syslog server IP address and parameters
            
            .. attribute:: ipv4_host_list
            
            	
            	**type**\: list of  		 :py:class:`Ipv4HostList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv4HostList>`
            
            .. attribute:: ipv4_host_transport_list
            
            	
            	**type**\: list of  		 :py:class:`Ipv4HostTransportList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv4HostTransportList>`
            
            .. attribute:: ipv4_host_vrf_list
            
            	
            	**type**\: list of  		 :py:class:`Ipv4HostVrfList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv4HostVrfList>`
            
            .. attribute:: ipv4_host_vrf_transport_list
            
            	
            	**type**\: list of  		 :py:class:`Ipv4HostVrfTransportList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv4HostVrfTransportList>`
            
            .. attribute:: ipv6
            
            	Set syslog server IPv6 address
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv6>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.Host, self).__init__()

                self.yang_name = "host"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ipv6" : ("ipv6", Native.Logging.Host.Ipv6)}
                self._child_list_classes = {"ipv4-host-list" : ("ipv4_host_list", Native.Logging.Host.Ipv4HostList), "ipv4-host-transport-list" : ("ipv4_host_transport_list", Native.Logging.Host.Ipv4HostTransportList), "ipv4-host-vrf-list" : ("ipv4_host_vrf_list", Native.Logging.Host.Ipv4HostVrfList), "ipv4-host-vrf-transport-list" : ("ipv4_host_vrf_transport_list", Native.Logging.Host.Ipv4HostVrfTransportList)}

                self.ipv6 = Native.Logging.Host.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.ipv4_host_list = YList(self)
                self.ipv4_host_transport_list = YList(self)
                self.ipv4_host_vrf_list = YList(self)
                self.ipv4_host_vrf_transport_list = YList(self)
                self._segment_path = lambda: "host"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.Host, [], name, value)


            class Ipv4HostList(Entity):
                """
                
                
                .. attribute:: ipv4_host  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.Host.Ipv4HostList, self).__init__()

                    self.yang_name = "ipv4-host-list"
                    self.yang_parent_name = "host"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ipv4_host = YLeaf(YType.str, "ipv4-host")
                    self._segment_path = lambda: "ipv4-host-list" + "[ipv4-host='" + self.ipv4_host.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/host/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.Host.Ipv4HostList, ['ipv4_host'], name, value)


            class Ipv4HostTransportList(Entity):
                """
                
                
                .. attribute:: ipv4_host  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                
                .. attribute:: transport
                
                	
                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv4HostTransportList.Transport>`
                
                .. attribute:: discriminator
                
                	Specify a message discriminator identifier for this logging session
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.Host.Ipv4HostTransportList, self).__init__()

                    self.yang_name = "ipv4-host-transport-list"
                    self.yang_parent_name = "host"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"transport" : ("transport", Native.Logging.Host.Ipv4HostTransportList.Transport)}
                    self._child_list_classes = {}

                    self.ipv4_host = YLeaf(YType.str, "ipv4-host")

                    self.discriminator = YLeaf(YType.str, "discriminator")

                    self.transport = Native.Logging.Host.Ipv4HostTransportList.Transport()
                    self.transport.parent = self
                    self._children_name_map["transport"] = "transport"
                    self._children_yang_names.add("transport")
                    self._segment_path = lambda: "ipv4-host-transport-list" + "[ipv4-host='" + self.ipv4_host.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/host/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.Host.Ipv4HostTransportList, ['ipv4_host', 'discriminator'], name, value)


                class Transport(Entity):
                    """
                    
                    
                    .. attribute:: udp
                    
                    	
                    	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv4HostTransportList.Transport.Udp>`
                    
                    .. attribute:: tcp
                    
                    	
                    	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv4HostTransportList.Transport.Tcp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Logging.Host.Ipv4HostTransportList.Transport, self).__init__()

                        self.yang_name = "transport"
                        self.yang_parent_name = "ipv4-host-transport-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"udp" : ("udp", Native.Logging.Host.Ipv4HostTransportList.Transport.Udp), "tcp" : ("tcp", Native.Logging.Host.Ipv4HostTransportList.Transport.Tcp)}
                        self._child_list_classes = {}

                        self.udp = Native.Logging.Host.Ipv4HostTransportList.Transport.Udp()
                        self.udp.parent = self
                        self._children_name_map["udp"] = "udp"
                        self._children_yang_names.add("udp")

                        self.tcp = Native.Logging.Host.Ipv4HostTransportList.Transport.Tcp()
                        self.tcp.parent = self
                        self._children_name_map["tcp"] = "tcp"
                        self._children_yang_names.add("tcp")
                        self._segment_path = lambda: "transport"


                    class Udp(Entity):
                        """
                        
                        
                        .. attribute:: port
                        
                        	
                        	**type**\: list of int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Logging.Host.Ipv4HostTransportList.Transport.Udp, self).__init__()

                            self.yang_name = "udp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port = YLeafList(YType.uint16, "port")
                            self._segment_path = lambda: "udp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Logging.Host.Ipv4HostTransportList.Transport.Udp, ['port'], name, value)


                    class Tcp(Entity):
                        """
                        
                        
                        .. attribute:: port
                        
                        	
                        	**type**\: list of int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Logging.Host.Ipv4HostTransportList.Transport.Tcp, self).__init__()

                            self.yang_name = "tcp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port = YLeafList(YType.uint16, "port")
                            self._segment_path = lambda: "tcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Logging.Host.Ipv4HostTransportList.Transport.Tcp, ['port'], name, value)


            class Ipv4HostVrfList(Entity):
                """
                
                
                .. attribute:: ipv4_host  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                
                .. attribute:: vrf  <key>
                
                	Set VRF option
                	**type**\: str
                
                .. attribute:: discriminator
                
                	Specify a message discriminator identifier for this logging session
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.Host.Ipv4HostVrfList, self).__init__()

                    self.yang_name = "ipv4-host-vrf-list"
                    self.yang_parent_name = "host"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ipv4_host = YLeaf(YType.str, "ipv4-host")

                    self.vrf = YLeaf(YType.str, "vrf")

                    self.discriminator = YLeaf(YType.str, "discriminator")
                    self._segment_path = lambda: "ipv4-host-vrf-list" + "[ipv4-host='" + self.ipv4_host.get() + "']" + "[vrf='" + self.vrf.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/host/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.Host.Ipv4HostVrfList, ['ipv4_host', 'vrf', 'discriminator'], name, value)


            class Ipv4HostVrfTransportList(Entity):
                """
                
                
                .. attribute:: ipv4_host  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                
                .. attribute:: vrf  <key>
                
                	Set VRF option
                	**type**\: str
                
                .. attribute:: transport
                
                	
                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv4HostVrfTransportList.Transport>`
                
                .. attribute:: discriminator
                
                	Specify a message discriminator identifier for this logging session
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.Host.Ipv4HostVrfTransportList, self).__init__()

                    self.yang_name = "ipv4-host-vrf-transport-list"
                    self.yang_parent_name = "host"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"transport" : ("transport", Native.Logging.Host.Ipv4HostVrfTransportList.Transport)}
                    self._child_list_classes = {}

                    self.ipv4_host = YLeaf(YType.str, "ipv4-host")

                    self.vrf = YLeaf(YType.str, "vrf")

                    self.discriminator = YLeaf(YType.str, "discriminator")

                    self.transport = Native.Logging.Host.Ipv4HostVrfTransportList.Transport()
                    self.transport.parent = self
                    self._children_name_map["transport"] = "transport"
                    self._children_yang_names.add("transport")
                    self._segment_path = lambda: "ipv4-host-vrf-transport-list" + "[ipv4-host='" + self.ipv4_host.get() + "']" + "[vrf='" + self.vrf.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/host/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.Host.Ipv4HostVrfTransportList, ['ipv4_host', 'vrf', 'discriminator'], name, value)


                class Transport(Entity):
                    """
                    
                    
                    .. attribute:: udp
                    
                    	
                    	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv4HostVrfTransportList.Transport.Udp>`
                    
                    .. attribute:: tcp
                    
                    	
                    	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv4HostVrfTransportList.Transport.Tcp>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Logging.Host.Ipv4HostVrfTransportList.Transport, self).__init__()

                        self.yang_name = "transport"
                        self.yang_parent_name = "ipv4-host-vrf-transport-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"udp" : ("udp", Native.Logging.Host.Ipv4HostVrfTransportList.Transport.Udp), "tcp" : ("tcp", Native.Logging.Host.Ipv4HostVrfTransportList.Transport.Tcp)}
                        self._child_list_classes = {}

                        self.udp = Native.Logging.Host.Ipv4HostVrfTransportList.Transport.Udp()
                        self.udp.parent = self
                        self._children_name_map["udp"] = "udp"
                        self._children_yang_names.add("udp")

                        self.tcp = Native.Logging.Host.Ipv4HostVrfTransportList.Transport.Tcp()
                        self.tcp.parent = self
                        self._children_name_map["tcp"] = "tcp"
                        self._children_yang_names.add("tcp")
                        self._segment_path = lambda: "transport"


                    class Udp(Entity):
                        """
                        
                        
                        .. attribute:: port
                        
                        	
                        	**type**\: list of int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Logging.Host.Ipv4HostVrfTransportList.Transport.Udp, self).__init__()

                            self.yang_name = "udp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port = YLeafList(YType.uint16, "port")
                            self._segment_path = lambda: "udp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Logging.Host.Ipv4HostVrfTransportList.Transport.Udp, ['port'], name, value)


                    class Tcp(Entity):
                        """
                        
                        
                        .. attribute:: port
                        
                        	
                        	**type**\: list of int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Logging.Host.Ipv4HostVrfTransportList.Transport.Tcp, self).__init__()

                            self.yang_name = "tcp"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port = YLeafList(YType.uint16, "port")
                            self._segment_path = lambda: "tcp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Logging.Host.Ipv4HostVrfTransportList.Transport.Tcp, ['port'], name, value)


            class Ipv6(Entity):
                """
                Set syslog server IPv6 address
                
                .. attribute:: ipv6_host_list
                
                	
                	**type**\: list of  		 :py:class:`Ipv6HostList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv6.Ipv6HostList>`
                
                .. attribute:: ipv6_host_transport_list
                
                	
                	**type**\: list of  		 :py:class:`Ipv6HostTransportList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv6.Ipv6HostTransportList>`
                
                .. attribute:: ipv6_host_vrf_list
                
                	
                	**type**\: list of  		 :py:class:`Ipv6HostVrfList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv6.Ipv6HostVrfList>`
                
                .. attribute:: ipv6_host_vrf_transport_list
                
                	
                	**type**\: list of  		 :py:class:`Ipv6HostVrfTransportList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.Host.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "host"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"ipv6-host-list" : ("ipv6_host_list", Native.Logging.Host.Ipv6.Ipv6HostList), "ipv6-host-transport-list" : ("ipv6_host_transport_list", Native.Logging.Host.Ipv6.Ipv6HostTransportList), "ipv6-host-vrf-list" : ("ipv6_host_vrf_list", Native.Logging.Host.Ipv6.Ipv6HostVrfList), "ipv6-host-vrf-transport-list" : ("ipv6_host_vrf_transport_list", Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList)}

                    self.ipv6_host_list = YList(self)
                    self.ipv6_host_transport_list = YList(self)
                    self.ipv6_host_vrf_list = YList(self)
                    self.ipv6_host_vrf_transport_list = YList(self)
                    self._segment_path = lambda: "ipv6"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/host/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.Host.Ipv6, [], name, value)


                class Ipv6HostList(Entity):
                    """
                    
                    
                    .. attribute:: ipv6_host  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Logging.Host.Ipv6.Ipv6HostList, self).__init__()

                        self.yang_name = "ipv6-host-list"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ipv6_host = YLeaf(YType.str, "ipv6-host")
                        self._segment_path = lambda: "ipv6-host-list" + "[ipv6-host='" + self.ipv6_host.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/host/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Logging.Host.Ipv6.Ipv6HostList, ['ipv6_host'], name, value)


                class Ipv6HostTransportList(Entity):
                    """
                    
                    
                    .. attribute:: ipv6_host  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                    
                    .. attribute:: transport
                    
                    	
                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport>`
                    
                    .. attribute:: discriminator
                    
                    	Specify a message discriminator identifier for this logging session
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Logging.Host.Ipv6.Ipv6HostTransportList, self).__init__()

                        self.yang_name = "ipv6-host-transport-list"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"transport" : ("transport", Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport)}
                        self._child_list_classes = {}

                        self.ipv6_host = YLeaf(YType.str, "ipv6-host")

                        self.discriminator = YLeaf(YType.str, "discriminator")

                        self.transport = Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport()
                        self.transport.parent = self
                        self._children_name_map["transport"] = "transport"
                        self._children_yang_names.add("transport")
                        self._segment_path = lambda: "ipv6-host-transport-list" + "[ipv6-host='" + self.ipv6_host.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/host/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Logging.Host.Ipv6.Ipv6HostTransportList, ['ipv6_host', 'discriminator'], name, value)


                    class Transport(Entity):
                        """
                        
                        
                        .. attribute:: udp
                        
                        	
                        	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport.Udp>`
                        
                        .. attribute:: tcp
                        
                        	
                        	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport.Tcp>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport, self).__init__()

                            self.yang_name = "transport"
                            self.yang_parent_name = "ipv6-host-transport-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"udp" : ("udp", Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport.Udp), "tcp" : ("tcp", Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport.Tcp)}
                            self._child_list_classes = {}

                            self.udp = Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport.Udp()
                            self.udp.parent = self
                            self._children_name_map["udp"] = "udp"
                            self._children_yang_names.add("udp")

                            self.tcp = Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport.Tcp()
                            self.tcp.parent = self
                            self._children_name_map["tcp"] = "tcp"
                            self._children_yang_names.add("tcp")
                            self._segment_path = lambda: "transport"


                        class Udp(Entity):
                            """
                            
                            
                            .. attribute:: port
                            
                            	
                            	**type**\: list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport.Udp, self).__init__()

                                self.yang_name = "udp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port = YLeafList(YType.uint16, "port")
                                self._segment_path = lambda: "udp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport.Udp, ['port'], name, value)


                        class Tcp(Entity):
                            """
                            
                            
                            .. attribute:: port
                            
                            	
                            	**type**\: list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport.Tcp, self).__init__()

                                self.yang_name = "tcp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port = YLeafList(YType.uint16, "port")
                                self._segment_path = lambda: "tcp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Logging.Host.Ipv6.Ipv6HostTransportList.Transport.Tcp, ['port'], name, value)


                class Ipv6HostVrfList(Entity):
                    """
                    
                    
                    .. attribute:: ipv6_host  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                    
                    .. attribute:: vrf  <key>
                    
                    	Set VRF option
                    	**type**\: str
                    
                    .. attribute:: discriminator
                    
                    	Specify a message discriminator identifier for this logging session
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Logging.Host.Ipv6.Ipv6HostVrfList, self).__init__()

                        self.yang_name = "ipv6-host-vrf-list"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ipv6_host = YLeaf(YType.str, "ipv6-host")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.discriminator = YLeaf(YType.str, "discriminator")
                        self._segment_path = lambda: "ipv6-host-vrf-list" + "[ipv6-host='" + self.ipv6_host.get() + "']" + "[vrf='" + self.vrf.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/host/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Logging.Host.Ipv6.Ipv6HostVrfList, ['ipv6_host', 'vrf', 'discriminator'], name, value)


                class Ipv6HostVrfTransportList(Entity):
                    """
                    
                    
                    .. attribute:: ipv6_host  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                    
                    .. attribute:: vrf  <key>
                    
                    	Set VRF option
                    	**type**\: str
                    
                    .. attribute:: transport
                    
                    	
                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport>`
                    
                    .. attribute:: discriminator
                    
                    	Specify a message discriminator identifier for this logging session
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList, self).__init__()

                        self.yang_name = "ipv6-host-vrf-transport-list"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"transport" : ("transport", Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport)}
                        self._child_list_classes = {}

                        self.ipv6_host = YLeaf(YType.str, "ipv6-host")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.discriminator = YLeaf(YType.str, "discriminator")

                        self.transport = Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport()
                        self.transport.parent = self
                        self._children_name_map["transport"] = "transport"
                        self._children_yang_names.add("transport")
                        self._segment_path = lambda: "ipv6-host-vrf-transport-list" + "[ipv6-host='" + self.ipv6_host.get() + "']" + "[vrf='" + self.vrf.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/host/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList, ['ipv6_host', 'vrf', 'discriminator'], name, value)


                    class Transport(Entity):
                        """
                        
                        
                        .. attribute:: udp
                        
                        	
                        	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport.Udp>`
                        
                        .. attribute:: tcp
                        
                        	
                        	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport.Tcp>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport, self).__init__()

                            self.yang_name = "transport"
                            self.yang_parent_name = "ipv6-host-vrf-transport-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"udp" : ("udp", Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport.Udp), "tcp" : ("tcp", Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport.Tcp)}
                            self._child_list_classes = {}

                            self.udp = Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport.Udp()
                            self.udp.parent = self
                            self._children_name_map["udp"] = "udp"
                            self._children_yang_names.add("udp")

                            self.tcp = Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport.Tcp()
                            self.tcp.parent = self
                            self._children_name_map["tcp"] = "tcp"
                            self._children_yang_names.add("tcp")
                            self._segment_path = lambda: "transport"


                        class Udp(Entity):
                            """
                            
                            
                            .. attribute:: port
                            
                            	
                            	**type**\: list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport.Udp, self).__init__()

                                self.yang_name = "udp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port = YLeafList(YType.uint16, "port")
                                self._segment_path = lambda: "udp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport.Udp, ['port'], name, value)


                        class Tcp(Entity):
                            """
                            
                            
                            .. attribute:: port
                            
                            	
                            	**type**\: list of int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport.Tcp, self).__init__()

                                self.yang_name = "tcp"
                                self.yang_parent_name = "transport"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port = YLeafList(YType.uint16, "port")
                                self._segment_path = lambda: "tcp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Logging.Host.Ipv6.Ipv6HostVrfTransportList.Transport.Tcp, ['port'], name, value)


        class OriginId(Entity):
            """
            Add origin ID to syslog messages
            
            .. attribute:: type_value
            
            	Use origin hostname/ip/ipv6 as ID
            	**type**\:  :py:class:`TypeValue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.OriginId.TypeValue>`
            
            .. attribute:: string
            
            	Define a unique text string as ID
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.OriginId, self).__init__()

                self.yang_name = "origin-id"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.type_value = YLeaf(YType.enumeration, "type-value")

                self.string = YLeaf(YType.str, "string")
                self._segment_path = lambda: "origin-id"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.OriginId, ['type_value', 'string'], name, value)

            class TypeValue(Enum):
                """
                TypeValue

                Use origin hostname/ip/ipv6 as ID

                .. data:: hostname = 0

                .. data:: ip = 1

                .. data:: ipv6 = 2

                """

                hostname = Enum.YLeaf(0, "hostname")

                ip = Enum.YLeaf(1, "ip")

                ipv6 = Enum.YLeaf(2, "ipv6")



        class RateLimitConf(Entity):
            """
            
            
            .. attribute:: rate_limit
            
            	
            	**type**\: bool
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.RateLimitConf, self).__init__()

                self.yang_name = "rate-limit-conf"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.rate_limit = YLeaf(YType.boolean, "rate-limit")
                self._segment_path = lambda: "rate-limit-conf"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.RateLimitConf, ['rate_limit'], name, value)


        class RateLimit(Entity):
            """
            Set messages per second limit
            
            .. attribute:: ranges
            
            	
            	**type**\: list of  		 :py:class:`Ranges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Ranges>`
            
            .. attribute:: console
            
            	Rate limit only console messages
            	**type**\:  :py:class:`Console <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Console>`
            
            .. attribute:: all
            
            	Rate limit only console messages
            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.All>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.RateLimit, self).__init__()

                self.yang_name = "rate-limit"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"console" : ("console", Native.Logging.RateLimit.Console), "all" : ("all", Native.Logging.RateLimit.All)}
                self._child_list_classes = {"ranges" : ("ranges", Native.Logging.RateLimit.Ranges)}
                self.is_presence_container = True

                self.console = Native.Logging.RateLimit.Console()
                self.console.parent = self
                self._children_name_map["console"] = "console"
                self._children_yang_names.add("console")

                self.all = Native.Logging.RateLimit.All()
                self.all.parent = self
                self._children_name_map["all"] = "all"
                self._children_yang_names.add("all")

                self.ranges = YList(self)
                self._segment_path = lambda: "rate-limit"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.RateLimit, [], name, value)


            class Ranges(Entity):
                """
                
                
                .. attribute:: range  <key>
                
                	Messages per second
                	**type**\: int
                
                	**range:** 1..10000
                
                .. attribute:: except_
                
                	Messages of this severity or higher
                	**type**\:  :py:class:`Except_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Ranges.Except_>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.RateLimit.Ranges, self).__init__()

                    self.yang_name = "ranges"
                    self.yang_parent_name = "rate-limit"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"except" : ("except_", Native.Logging.RateLimit.Ranges.Except_)}
                    self._child_list_classes = {}

                    self.range = YLeaf(YType.uint16, "range")

                    self.except_ = None
                    self._children_name_map["except_"] = "except"
                    self._children_yang_names.add("except")
                    self._segment_path = lambda: "ranges" + "[range='" + self.range.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/rate-limit/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.RateLimit.Ranges, ['range'], name, value)


                class Except_(Entity):
                    """
                    Messages of this severity or higher
                    
                    .. attribute:: range
                    
                    	Logging severity level
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..7
                    
                    		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Logging.RateLimit.Ranges.Except_, self).__init__()

                        self.yang_name = "except"
                        self.yang_parent_name = "ranges"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.range = YLeaf(YType.str, "range")
                        self._segment_path = lambda: "except"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Logging.RateLimit.Ranges.Except_, ['range'], name, value)


            class Console(Entity):
                """
                Rate limit only console messages
                
                .. attribute:: ranges
                
                	
                	**type**\: list of  		 :py:class:`Ranges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Console.Ranges>`
                
                .. attribute:: all
                
                	all
                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Console.All>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.RateLimit.Console, self).__init__()

                    self.yang_name = "console"
                    self.yang_parent_name = "rate-limit"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"all" : ("all", Native.Logging.RateLimit.Console.All)}
                    self._child_list_classes = {"ranges" : ("ranges", Native.Logging.RateLimit.Console.Ranges)}

                    self.all = Native.Logging.RateLimit.Console.All()
                    self.all.parent = self
                    self._children_name_map["all"] = "all"
                    self._children_yang_names.add("all")

                    self.ranges = YList(self)
                    self._segment_path = lambda: "console"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/rate-limit/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.RateLimit.Console, [], name, value)


                class Ranges(Entity):
                    """
                    
                    
                    .. attribute:: range  <key>
                    
                    	Messages per second
                    	**type**\: int
                    
                    	**range:** 1..10000
                    
                    .. attribute:: except_
                    
                    	Messages of this severity or higher
                    	**type**\:  :py:class:`Except_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Console.Ranges.Except_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Logging.RateLimit.Console.Ranges, self).__init__()

                        self.yang_name = "ranges"
                        self.yang_parent_name = "console"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"except" : ("except_", Native.Logging.RateLimit.Console.Ranges.Except_)}
                        self._child_list_classes = {}

                        self.range = YLeaf(YType.uint16, "range")

                        self.except_ = None
                        self._children_name_map["except_"] = "except"
                        self._children_yang_names.add("except")
                        self._segment_path = lambda: "ranges" + "[range='" + self.range.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/rate-limit/console/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Logging.RateLimit.Console.Ranges, ['range'], name, value)


                    class Except_(Entity):
                        """
                        Messages of this severity or higher
                        
                        .. attribute:: range
                        
                        	Logging severity level
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..7
                        
                        		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Logging.RateLimit.Console.Ranges.Except_, self).__init__()

                            self.yang_name = "except"
                            self.yang_parent_name = "ranges"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.range = YLeaf(YType.str, "range")
                            self._segment_path = lambda: "except"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Logging.RateLimit.Console.Ranges.Except_, ['range'], name, value)


                class All(Entity):
                    """
                    all
                    
                    .. attribute:: ranges
                    
                    	
                    	**type**\: list of  		 :py:class:`Ranges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Console.All.Ranges>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Logging.RateLimit.Console.All, self).__init__()

                        self.yang_name = "all"
                        self.yang_parent_name = "console"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"ranges" : ("ranges", Native.Logging.RateLimit.Console.All.Ranges)}

                        self.ranges = YList(self)
                        self._segment_path = lambda: "all"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/rate-limit/console/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Logging.RateLimit.Console.All, [], name, value)


                    class Ranges(Entity):
                        """
                        
                        
                        .. attribute:: range  <key>
                        
                        	Messages per second
                        	**type**\: int
                        
                        	**range:** 1..10000
                        
                        .. attribute:: except_
                        
                        	Messages of this severity or higher
                        	**type**\:  :py:class:`Except_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.Console.All.Ranges.Except_>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Logging.RateLimit.Console.All.Ranges, self).__init__()

                            self.yang_name = "ranges"
                            self.yang_parent_name = "all"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"except" : ("except_", Native.Logging.RateLimit.Console.All.Ranges.Except_)}
                            self._child_list_classes = {}

                            self.range = YLeaf(YType.uint16, "range")

                            self.except_ = None
                            self._children_name_map["except_"] = "except"
                            self._children_yang_names.add("except")
                            self._segment_path = lambda: "ranges" + "[range='" + self.range.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/rate-limit/console/all/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Logging.RateLimit.Console.All.Ranges, ['range'], name, value)


                        class Except_(Entity):
                            """
                            Messages of this severity or higher
                            
                            .. attribute:: range
                            
                            	Logging severity level
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..7
                            
                            		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Logging.RateLimit.Console.All.Ranges.Except_, self).__init__()

                                self.yang_name = "except"
                                self.yang_parent_name = "ranges"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.range = YLeaf(YType.str, "range")
                                self._segment_path = lambda: "except"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Logging.RateLimit.Console.All.Ranges.Except_, ['range'], name, value)


            class All(Entity):
                """
                Rate limit only console messages
                
                .. attribute:: ranges
                
                	
                	**type**\: list of  		 :py:class:`Ranges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.All.Ranges>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Logging.RateLimit.All, self).__init__()

                    self.yang_name = "all"
                    self.yang_parent_name = "rate-limit"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"ranges" : ("ranges", Native.Logging.RateLimit.All.Ranges)}

                    self.ranges = YList(self)
                    self._segment_path = lambda: "all"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/rate-limit/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Logging.RateLimit.All, [], name, value)


                class Ranges(Entity):
                    """
                    
                    
                    .. attribute:: range  <key>
                    
                    	Messages per second
                    	**type**\: int
                    
                    	**range:** 1..10000
                    
                    .. attribute:: except_
                    
                    	Messages of this severity or higher
                    	**type**\:  :py:class:`Except_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.RateLimit.All.Ranges.Except_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Logging.RateLimit.All.Ranges, self).__init__()

                        self.yang_name = "ranges"
                        self.yang_parent_name = "all"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"except" : ("except_", Native.Logging.RateLimit.All.Ranges.Except_)}
                        self._child_list_classes = {}

                        self.range = YLeaf(YType.uint16, "range")

                        self.except_ = None
                        self._children_name_map["except_"] = "except"
                        self._children_yang_names.add("except")
                        self._segment_path = lambda: "ranges" + "[range='" + self.range.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/rate-limit/all/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Logging.RateLimit.All.Ranges, ['range'], name, value)


                    class Except_(Entity):
                        """
                        Messages of this severity or higher
                        
                        .. attribute:: range
                        
                        	Logging severity level
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..7
                        
                        		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Logging.RateLimit.All.Ranges.Except_, self).__init__()

                            self.yang_name = "except"
                            self.yang_parent_name = "ranges"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.range = YLeaf(YType.str, "range")
                            self._segment_path = lambda: "except"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Logging.RateLimit.All.Ranges.Except_, ['range'], name, value)


        class SourceInterface(Entity):
            """
            Specify interface for source address in logging transactions
            
            .. attribute:: interface_name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: vrf
            
            	Specify the vrf of source interface for logging transactions
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.SourceInterface, self).__init__()

                self.yang_name = "source-interface"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.interface_name = YLeaf(YType.str, "interface-name")

                self.vrf = YLeaf(YType.str, "vrf")
                self._segment_path = lambda: "source-interface" + "[interface-name='" + self.interface_name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.SourceInterface, ['interface_name', 'vrf'], name, value)


        class SnmpTrap(Entity):
            """
            Set SNMP trap logging level
            
            .. attribute:: alerts
            
            	Immediate action needed           (severity=1)
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: critical
            
            	Critical conditions               (severity=2)
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: debugging
            
            	Debugging messages                (severity=7)
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: emergencies
            
            	System is unusable                (severity=0)
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: errors
            
            	Error conditions                  (severity=3)
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: informational
            
            	Informational messages            (severity=6)
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: notifications
            
            	Normal but significant conditions (severity=5)
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: warnings
            
            	Warning conditions                (severity=4)
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.SnmpTrap, self).__init__()

                self.yang_name = "snmp-trap"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.alerts = YLeaf(YType.empty, "alerts")

                self.critical = YLeaf(YType.empty, "critical")

                self.debugging = YLeaf(YType.empty, "debugging")

                self.emergencies = YLeaf(YType.empty, "emergencies")

                self.errors = YLeaf(YType.empty, "errors")

                self.informational = YLeaf(YType.empty, "informational")

                self.notifications = YLeaf(YType.empty, "notifications")

                self.warnings = YLeaf(YType.empty, "warnings")
                self._segment_path = lambda: "snmp-trap"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.SnmpTrap, ['alerts', 'critical', 'debugging', 'emergencies', 'errors', 'informational', 'notifications', 'warnings'], name, value)


        class Trap(Entity):
            """
            Set trap server logging level
            
            .. attribute:: trap_default
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: severity
            
            	
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..7
            
            		**type**\:  :py:class:`Severity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Logging.Trap.Severity>`
            
            	**default value**\: informational
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.Trap, self).__init__()

                self.yang_name = "trap"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.trap_default = YLeaf(YType.empty, "trap-default")

                self.severity = YLeaf(YType.str, "severity")
                self._segment_path = lambda: "trap"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.Trap, ['trap_default', 'severity'], name, value)

            class Severity(Enum):
                """
                Severity

                .. data:: alerts = 0

                .. data:: critical = 1

                .. data:: debugging = 2

                .. data:: emergencies = 3

                .. data:: errors = 4

                .. data:: informational = 5

                .. data:: notifications = 6

                .. data:: warnings = 7

                """

                alerts = Enum.YLeaf(0, "alerts")

                critical = Enum.YLeaf(1, "critical")

                debugging = Enum.YLeaf(2, "debugging")

                emergencies = Enum.YLeaf(3, "emergencies")

                errors = Enum.YLeaf(4, "errors")

                informational = Enum.YLeaf(5, "informational")

                notifications = Enum.YLeaf(6, "notifications")

                warnings = Enum.YLeaf(7, "warnings")



        class File(Entity):
            """
            Set logging file parameters
            
            .. attribute:: name
            
            	
            	**type**\: str
            
            .. attribute:: max_size
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: min_size
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: severity
            
            	
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..7
            
            		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Logging.File, self).__init__()

                self.yang_name = "file"
                self.yang_parent_name = "logging"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.max_size = YLeaf(YType.uint32, "max-size")

                self.min_size = YLeaf(YType.uint32, "min-size")

                self.severity = YLeaf(YType.str, "severity")
                self._segment_path = lambda: "file"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/logging/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Logging.File, ['name', 'max_size', 'min_size', 'severity'], name, value)


    class Aaa(Entity):
        """
        Authentication, Authorization and Accounting.
        
        .. attribute:: new_model
        
        	Enable NEW access control commands and functions.(Disables OLD commands.)
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: group
        
        	AAA group definitions
        	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group>`
        
        .. attribute:: authentication
        
        	Authentication configurations parameters
        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication>`
        
        .. attribute:: authorization
        
        	Authorization configurations parameters
        	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization>`
        
        .. attribute:: accounting
        
        	Accounting configurations parameters
        	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting>`
        
        .. attribute:: server
        
        	Local AAA server
        	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server>`
        
        .. attribute:: session_id
        
        	AAA Session ID
        	**type**\:  :py:class:`SessionId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.SessionId>`
        
        .. attribute:: login
        
        	AAA login enable display
        	**type**\:  :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Login>`
        
        .. attribute:: max_sessions
        
        	Adjust initial hash size for estimated max sessions
        	**type**\: int
        
        	**range:** 1024..64000
        
        .. attribute:: memory
        
        	AAA memory parameters
        	**type**\:  :py:class:`Memory <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Memory>`
        
        .. attribute:: password
        
        	Configure password/secret related settings
        	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Password>`
        
        .. attribute:: policy
        
        	AAA policy parameters
        	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Policy>`
        
        .. attribute:: route
        
        	Static route downloading
        	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Route>`
        
        .. attribute:: traceback
        
        	Traceback recording
        	**type**\:  :py:class:`Traceback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Traceback>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Aaa, self).__init__()

            self.yang_name = "aaa"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-aaa:group" : ("group", Native.Aaa.Group), "Cisco-IOS-XE-aaa:authentication" : ("authentication", Native.Aaa.Authentication), "Cisco-IOS-XE-aaa:authorization" : ("authorization", Native.Aaa.Authorization), "Cisco-IOS-XE-aaa:accounting" : ("accounting", Native.Aaa.Accounting), "Cisco-IOS-XE-aaa:server" : ("server", Native.Aaa.Server), "Cisco-IOS-XE-aaa:login" : ("login", Native.Aaa.Login), "Cisco-IOS-XE-aaa:memory" : ("memory", Native.Aaa.Memory), "Cisco-IOS-XE-aaa:policy" : ("policy", Native.Aaa.Policy), "Cisco-IOS-XE-aaa:route" : ("route", Native.Aaa.Route)}
            self._child_list_classes = {}

            self.new_model = YLeaf(YType.empty, "Cisco-IOS-XE-aaa:new-model")

            self.session_id = YLeaf(YType.enumeration, "Cisco-IOS-XE-aaa:session-id")

            self.max_sessions = YLeaf(YType.uint16, "Cisco-IOS-XE-aaa:max-sessions")

            self.password = YLeaf(YType.enumeration, "Cisco-IOS-XE-aaa:password")

            self.traceback = YLeaf(YType.enumeration, "Cisco-IOS-XE-aaa:traceback")

            self.group = Native.Aaa.Group()
            self.group.parent = self
            self._children_name_map["group"] = "group"
            self._children_yang_names.add("group")

            self.authentication = Native.Aaa.Authentication()
            self.authentication.parent = self
            self._children_name_map["authentication"] = "authentication"
            self._children_yang_names.add("authentication")

            self.authorization = Native.Aaa.Authorization()
            self.authorization.parent = self
            self._children_name_map["authorization"] = "authorization"
            self._children_yang_names.add("authorization")

            self.accounting = Native.Aaa.Accounting()
            self.accounting.parent = self
            self._children_name_map["accounting"] = "accounting"
            self._children_yang_names.add("accounting")

            self.server = Native.Aaa.Server()
            self.server.parent = self
            self._children_name_map["server"] = "server"
            self._children_yang_names.add("server")

            self.login = Native.Aaa.Login()
            self.login.parent = self
            self._children_name_map["login"] = "login"
            self._children_yang_names.add("login")

            self.memory = Native.Aaa.Memory()
            self.memory.parent = self
            self._children_name_map["memory"] = "memory"
            self._children_yang_names.add("memory")

            self.policy = Native.Aaa.Policy()
            self.policy.parent = self
            self._children_name_map["policy"] = "policy"
            self._children_yang_names.add("policy")

            self.route = Native.Aaa.Route()
            self.route.parent = self
            self._children_name_map["route"] = "route"
            self._children_yang_names.add("route")
            self._segment_path = lambda: "aaa"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Aaa, ['new_model', 'session_id', 'max_sessions', 'password', 'traceback'], name, value)

        class Password(Enum):
            """
            Password

            Configure password/secret related settings

            .. data:: restriction = 0

            """

            restriction = Enum.YLeaf(0, "restriction")


        class SessionId(Enum):
            """
            SessionId

            AAA Session ID

            .. data:: common = 0

            .. data:: unique = 1

            """

            common = Enum.YLeaf(0, "common")

            unique = Enum.YLeaf(1, "unique")


        class Traceback(Enum):
            """
            Traceback

            Traceback recording

            .. data:: recording = 0

            """

            recording = Enum.YLeaf(0, "recording")



        class Group(Entity):
            """
            AAA group definitions
            
            .. attribute:: server
            
            	AAA Server group definitions
            	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Aaa.Group, self).__init__()

                self.yang_name = "group"
                self.yang_parent_name = "aaa"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"server" : ("server", Native.Aaa.Group.Server)}
                self._child_list_classes = {}

                self.server = Native.Aaa.Group.Server()
                self.server.parent = self
                self._children_name_map["server"] = "server"
                self._children_yang_names.add("server")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:group"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/%s" % self._segment_path()


            class Server(Entity):
                """
                AAA Server group definitions
                
                .. attribute:: tacacsplus
                
                	Tacacs+ server\-group definition
                	**type**\: list of  		 :py:class:`Tacacsplus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus>`
                
                .. attribute:: tacacs
                
                	Tacacs+ server\-group definition
                	**type**\: list of  		 :py:class:`Tacacs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacs>`
                
                .. attribute:: radius
                
                	Radius server\-group definition
                	**type**\: list of  		 :py:class:`Radius <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Group.Server, self).__init__()

                    self.yang_name = "server"
                    self.yang_parent_name = "group"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"tacacsplus" : ("tacacsplus", Native.Aaa.Group.Server.Tacacsplus), "tacacs" : ("tacacs", Native.Aaa.Group.Server.Tacacs), "radius" : ("radius", Native.Aaa.Group.Server.Radius)}

                    self.tacacsplus = YList(self)
                    self.tacacs = YList(self)
                    self.radius = YList(self)
                    self._segment_path = lambda: "server"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:group/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Group.Server, [], name, value)


                class Tacacsplus(Entity):
                    """
                    Tacacs+ server\-group definition
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: server
                    
                    	Specify a TACACS server
                    	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Server>`
                    
                    .. attribute:: server_private
                    
                    	Define a private TACACS server (per group)
                    	**type**\: list of  		 :py:class:`ServerPrivate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.ServerPrivate>`
                    
                    .. attribute:: ip
                    
                    	Internet Protocol config commands
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Group.Server.Tacacsplus, self).__init__()

                        self.yang_name = "tacacsplus"
                        self.yang_parent_name = "server"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"server" : ("server", Native.Aaa.Group.Server.Tacacsplus.Server), "ip" : ("ip", Native.Aaa.Group.Server.Tacacsplus.Ip)}
                        self._child_list_classes = {"server-private" : ("server_private", Native.Aaa.Group.Server.Tacacsplus.ServerPrivate)}

                        self.name = YLeaf(YType.str, "name")

                        self.server = Native.Aaa.Group.Server.Tacacsplus.Server()
                        self.server.parent = self
                        self._children_name_map["server"] = "server"
                        self._children_yang_names.add("server")

                        self.ip = Native.Aaa.Group.Server.Tacacsplus.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.server_private = YList(self)
                        self._segment_path = lambda: "tacacsplus" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:group/server/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Group.Server.Tacacsplus, ['name'], name, value)


                    class Server(Entity):
                        """
                        Specify a TACACS server
                        
                        .. attribute:: name
                        
                        	Name of tacacs server
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Group.Server.Tacacsplus.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "tacacsplus"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "server"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Group.Server.Tacacsplus.Server, ['name'], name, value)


                    class ServerPrivate(Entity):
                        """
                        Define a private TACACS server (per group)
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        .. attribute:: timeout
                        
                        	Time to wait for this TACACS server to reply (overrides default)
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: key
                        
                        	per\-server encryption key (overrides default)
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Group.Server.Tacacsplus.ServerPrivate, self).__init__()

                            self.yang_name = "server-private"
                            self.yang_parent_name = "tacacsplus"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"key" : ("key", Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key)}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.timeout = YLeaf(YType.uint16, "timeout")

                            self.key = Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key()
                            self.key.parent = self
                            self._children_name_map["key"] = "key"
                            self._children_yang_names.add("key")
                            self._segment_path = lambda: "server-private" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Group.Server.Tacacsplus.ServerPrivate, ['name', 'timeout'], name, value)


                        class Key(Entity):
                            """
                            per\-server encryption key (overrides default)
                            
                            .. attribute:: encryption
                            
                            	
                            	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key.Encryption>`
                            
                            .. attribute:: key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key, self).__init__()

                                self.yang_name = "key"
                                self.yang_parent_name = "server-private"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.encryption = YLeaf(YType.enumeration, "encryption")

                                self.key = YLeaf(YType.str, "key")
                                self._segment_path = lambda: "key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Group.Server.Tacacsplus.ServerPrivate.Key, ['encryption', 'key'], name, value)

                            class Encryption(Enum):
                                """
                                Encryption

                                .. data:: Y_0 = 0

                                .. data:: Y_7 = 1

                                """

                                Y_0 = Enum.YLeaf(0, "0")

                                Y_7 = Enum.YLeaf(1, "7")



                    class Ip(Entity):
                        """
                        Internet Protocol config commands
                        
                        .. attribute:: tacacs
                        
                        	TACACS configuration commands
                        	**type**\:  :py:class:`Tacacs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs>`
                        
                        .. attribute:: vrf
                        
                        	Set VPN Routing Forwarding to use with the servers
                        	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Group.Server.Tacacsplus.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "tacacsplus"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"tacacs" : ("tacacs", Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs), "vrf" : ("vrf", Native.Aaa.Group.Server.Tacacsplus.Ip.Vrf)}
                            self._child_list_classes = {}

                            self.tacacs = Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs()
                            self.tacacs.parent = self
                            self._children_name_map["tacacs"] = "tacacs"
                            self._children_yang_names.add("tacacs")

                            self.vrf = Native.Aaa.Group.Server.Tacacsplus.Ip.Vrf()
                            self.vrf.parent = self
                            self._children_name_map["vrf"] = "vrf"
                            self._children_yang_names.add("vrf")
                            self._segment_path = lambda: "ip"


                        class Tacacs(Entity):
                            """
                            TACACS configuration commands
                            
                            .. attribute:: source_interface
                            
                            	Specify interface for source address in TACACS packets
                            	**type**\:  :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs, self).__init__()

                                self.yang_name = "tacacs"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"source-interface" : ("source_interface", Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface)}
                                self._child_list_classes = {}

                                self.source_interface = Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface()
                                self.source_interface.parent = self
                                self._children_name_map["source_interface"] = "source-interface"
                                self._children_yang_names.add("source-interface")
                                self._segment_path = lambda: "tacacs"


                            class SourceInterface(Entity):
                                """
                                Specify interface for source address in TACACS packets
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface, self).__init__()

                                    self.yang_name = "source-interface"
                                    self.yang_parent_name = "tacacs"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "source-interface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "source-interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "source-interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "source-interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "source-interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Group.Server.Tacacsplus.Ip.Tacacs.SourceInterface.PortChannelSubinterface, ['port_channel'], name, value)


                        class Vrf(Entity):
                            """
                            Set VPN Routing Forwarding to use with the servers
                            
                            .. attribute:: forwarding
                            
                            	Configure forwarding table
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Group.Server.Tacacsplus.Ip.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.forwarding = YLeaf(YType.str, "forwarding")
                                self._segment_path = lambda: "vrf"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Group.Server.Tacacsplus.Ip.Vrf, ['forwarding'], name, value)


                class Tacacs(Entity):
                    """
                    Tacacs+ server\-group definition
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Group.Server.Tacacs, self).__init__()

                        self.yang_name = "tacacs"
                        self.yang_parent_name = "server"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")
                        self._segment_path = lambda: "tacacs" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:group/server/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Group.Server.Tacacs, ['name'], name, value)


                class Radius(Entity):
                    """
                    Radius server\-group definition
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: server
                    
                    	Specify a RADIUS server
                    	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.Server>`
                    
                    .. attribute:: deadtime
                    
                    	Specify time in minutes to ignore an unresponsive server
                    	**type**\: int
                    
                    	**range:** 0..1440
                    
                    .. attribute:: ip
                    
                    	Internet Protocol config commands
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.Ip>`
                    
                    .. attribute:: load_balance
                    
                    	Server group load\-balancing options
                    	**type**\:  :py:class:`LoadBalance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.LoadBalance>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Group.Server.Radius, self).__init__()

                        self.yang_name = "radius"
                        self.yang_parent_name = "server"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"server" : ("server", Native.Aaa.Group.Server.Radius.Server), "ip" : ("ip", Native.Aaa.Group.Server.Radius.Ip), "load-balance" : ("load_balance", Native.Aaa.Group.Server.Radius.LoadBalance)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.deadtime = YLeaf(YType.uint16, "deadtime")

                        self.server = Native.Aaa.Group.Server.Radius.Server()
                        self.server.parent = self
                        self._children_name_map["server"] = "server"
                        self._children_yang_names.add("server")

                        self.ip = Native.Aaa.Group.Server.Radius.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.load_balance = Native.Aaa.Group.Server.Radius.LoadBalance()
                        self.load_balance.parent = self
                        self._children_name_map["load_balance"] = "load-balance"
                        self._children_yang_names.add("load-balance")
                        self._segment_path = lambda: "radius" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:group/server/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Group.Server.Radius, ['name', 'deadtime'], name, value)


                    class Server(Entity):
                        """
                        Specify a RADIUS server
                        
                        .. attribute:: name
                        
                        	Name of radius server
                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.Server.Name>`
                        
                        .. attribute:: direct
                        
                        	
                        	**type**\: list of  		 :py:class:`Direct <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.Server.Direct>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Group.Server.Radius.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "radius"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"name" : ("name", Native.Aaa.Group.Server.Radius.Server.Name), "direct" : ("direct", Native.Aaa.Group.Server.Radius.Server.Direct)}

                            self.name = YList(self)
                            self.direct = YList(self)
                            self._segment_path = lambda: "server"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Group.Server.Radius.Server, [], name, value)


                        class Name(Entity):
                            """
                            Name of radius server
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Group.Server.Radius.Server.Name, self).__init__()

                                self.yang_name = "name"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Group.Server.Radius.Server.Name, ['name'], name, value)


                        class Direct(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: auth_port
                            
                            	UDP port for RADIUS authentication server (default is 1645)
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: acct_port
                            
                            	UDP port for RADIUS accounting server (default is 1646)
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Group.Server.Radius.Server.Direct, self).__init__()

                                self.yang_name = "direct"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.auth_port = YLeaf(YType.uint16, "auth-port")

                                self.acct_port = YLeaf(YType.uint16, "acct-port")
                                self._segment_path = lambda: "direct" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Group.Server.Radius.Server.Direct, ['name', 'auth_port', 'acct_port'], name, value)


                    class Ip(Entity):
                        """
                        Internet Protocol config commands
                        
                        .. attribute:: radius
                        
                        	RADIUS configuration commands
                        	**type**\:  :py:class:`Radius <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.Ip.Radius>`
                        
                        .. attribute:: vrf
                        
                        	Set VPN Routing Forwarding to use with the servers
                        	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.Ip.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Group.Server.Radius.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "radius"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"radius" : ("radius", Native.Aaa.Group.Server.Radius.Ip.Radius), "vrf" : ("vrf", Native.Aaa.Group.Server.Radius.Ip.Vrf)}
                            self._child_list_classes = {}

                            self.radius = Native.Aaa.Group.Server.Radius.Ip.Radius()
                            self.radius.parent = self
                            self._children_name_map["radius"] = "radius"
                            self._children_yang_names.add("radius")

                            self.vrf = Native.Aaa.Group.Server.Radius.Ip.Vrf()
                            self.vrf.parent = self
                            self._children_name_map["vrf"] = "vrf"
                            self._children_yang_names.add("vrf")
                            self._segment_path = lambda: "ip"


                        class Radius(Entity):
                            """
                            RADIUS configuration commands
                            
                            .. attribute:: source_interface
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Group.Server.Radius.Ip.Radius, self).__init__()

                                self.yang_name = "radius"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.source_interface = YLeaf(YType.str, "source-interface")
                                self._segment_path = lambda: "radius"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Group.Server.Radius.Ip.Radius, ['source_interface'], name, value)


                        class Vrf(Entity):
                            """
                            Set VPN Routing Forwarding to use with the servers
                            
                            .. attribute:: forwarding
                            
                            	Configure forwarding table
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Group.Server.Radius.Ip.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.forwarding = YLeaf(YType.str, "forwarding")
                                self._segment_path = lambda: "vrf"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Group.Server.Radius.Ip.Vrf, ['forwarding'], name, value)


                    class LoadBalance(Entity):
                        """
                        Server group load\-balancing options.
                        
                        .. attribute:: method
                        
                        	Method by which the next host will be picked
                        	**type**\:  :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.LoadBalance.Method>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Group.Server.Radius.LoadBalance, self).__init__()

                            self.yang_name = "load-balance"
                            self.yang_parent_name = "radius"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"method" : ("method", Native.Aaa.Group.Server.Radius.LoadBalance.Method)}
                            self._child_list_classes = {}

                            self.method = Native.Aaa.Group.Server.Radius.LoadBalance.Method()
                            self.method.parent = self
                            self._children_name_map["method"] = "method"
                            self._children_yang_names.add("method")
                            self._segment_path = lambda: "load-balance"


                        class Method(Entity):
                            """
                            Method by which the next host will be picked.
                            
                            .. attribute:: least_outstanding
                            
                            	Pick the server with the least transactions outstanding
                            	**type**\:  :py:class:`LeastOutstanding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Group.Server.Radius.LoadBalance.Method.LeastOutstanding>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Group.Server.Radius.LoadBalance.Method, self).__init__()

                                self.yang_name = "method"
                                self.yang_parent_name = "load-balance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"least-outstanding" : ("least_outstanding", Native.Aaa.Group.Server.Radius.LoadBalance.Method.LeastOutstanding)}
                                self._child_list_classes = {}

                                self.least_outstanding = Native.Aaa.Group.Server.Radius.LoadBalance.Method.LeastOutstanding()
                                self.least_outstanding.parent = self
                                self._children_name_map["least_outstanding"] = "least-outstanding"
                                self._children_yang_names.add("least-outstanding")
                                self._segment_path = lambda: "method"


                            class LeastOutstanding(Entity):
                                """
                                Pick the server with the least transactions outstanding.
                                
                                .. attribute:: batch_size
                                
                                	Size of the transaction batch that should be load\-balanced
                                	**type**\: int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: ignore_preferred_server
                                
                                	Should the preferred\-server be ignored
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Group.Server.Radius.LoadBalance.Method.LeastOutstanding, self).__init__()

                                    self.yang_name = "least-outstanding"
                                    self.yang_parent_name = "method"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.batch_size = YLeaf(YType.uint32, "batch-size")

                                    self.ignore_preferred_server = YLeaf(YType.empty, "ignore-preferred-server")
                                    self._segment_path = lambda: "least-outstanding"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Group.Server.Radius.LoadBalance.Method.LeastOutstanding, ['batch_size', 'ignore_preferred_server'], name, value)


        class Authentication(Entity):
            """
            Authentication configurations parameters.
            
            .. attribute:: attempts
            
            	Set the maximum number of authentication attempts
            	**type**\:  :py:class:`Attempts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Attempts>`
            
            .. attribute:: dot1x
            
            	Set authentication lists for IEEE 802.1x
            	**type**\:  :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Dot1X>`
            
            .. attribute:: enable
            
            	Set authentication list for enable
            	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Enable>`
            
            .. attribute:: eou
            
            	Set authentication lists for EAPoUDP
            	**type**\:  :py:class:`Eou <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Eou>`
            
            .. attribute:: login
            
            	Set authentication lists for logins
            	**type**\: list of  		 :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login>`
            
            .. attribute:: onep
            
            	Set authentication lists for ONEP
            	**type**\:  :py:class:`Onep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Onep>`
            
            .. attribute:: ppp
            
            	Set authentication lists for ppp
            	**type**\: list of  		 :py:class:`Ppp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Aaa.Authentication, self).__init__()

                self.yang_name = "authentication"
                self.yang_parent_name = "aaa"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"attempts" : ("attempts", Native.Aaa.Authentication.Attempts), "dot1x" : ("dot1x", Native.Aaa.Authentication.Dot1X), "enable" : ("enable", Native.Aaa.Authentication.Enable), "eou" : ("eou", Native.Aaa.Authentication.Eou), "onep" : ("onep", Native.Aaa.Authentication.Onep)}
                self._child_list_classes = {"login" : ("login", Native.Aaa.Authentication.Login), "ppp" : ("ppp", Native.Aaa.Authentication.Ppp)}

                self.attempts = Native.Aaa.Authentication.Attempts()
                self.attempts.parent = self
                self._children_name_map["attempts"] = "attempts"
                self._children_yang_names.add("attempts")

                self.dot1x = Native.Aaa.Authentication.Dot1X()
                self.dot1x.parent = self
                self._children_name_map["dot1x"] = "dot1x"
                self._children_yang_names.add("dot1x")

                self.enable = Native.Aaa.Authentication.Enable()
                self.enable.parent = self
                self._children_name_map["enable"] = "enable"
                self._children_yang_names.add("enable")

                self.eou = Native.Aaa.Authentication.Eou()
                self.eou.parent = self
                self._children_name_map["eou"] = "eou"
                self._children_yang_names.add("eou")

                self.onep = Native.Aaa.Authentication.Onep()
                self.onep.parent = self
                self._children_name_map["onep"] = "onep"
                self._children_yang_names.add("onep")

                self.login = YList(self)
                self.ppp = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:authentication"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Aaa.Authentication, [], name, value)


            class Attempts(Entity):
                """
                Set the maximum number of authentication attempts
                
                .. attribute:: login
                
                	Set the max. number of attempts for login service
                	**type**\: int
                
                	**range:** 1..25
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authentication.Attempts, self).__init__()

                    self.yang_name = "attempts"
                    self.yang_parent_name = "authentication"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.login = YLeaf(YType.uint8, "login")
                    self._segment_path = lambda: "attempts"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Authentication.Attempts, ['login'], name, value)


            class Dot1X(Entity):
                """
                Set authentication lists for IEEE 802.1x.
                
                .. attribute:: dot1x_list
                
                	
                	**type**\: list of  		 :py:class:`Dot1XList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Dot1X.Dot1XList>`
                
                .. attribute:: default
                
                	The default authentication list
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Dot1X.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authentication.Dot1X, self).__init__()

                    self.yang_name = "dot1x"
                    self.yang_parent_name = "authentication"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Aaa.Authentication.Dot1X.Default)}
                    self._child_list_classes = {"dot1x-list" : ("dot1x_list", Native.Aaa.Authentication.Dot1X.Dot1XList)}

                    self.default = Native.Aaa.Authentication.Dot1X.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.dot1x_list = YList(self)
                    self._segment_path = lambda: "dot1x"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Authentication.Dot1X, [], name, value)


                class Dot1XList(Entity):
                    """
                    
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Dot1X.Default.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authentication.Dot1X.Dot1XList, self).__init__()

                        self.yang_name = "dot1x-list"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "dot1x-list" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/dot1x/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authentication.Dot1X.Dot1XList, ['name', 'group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



                class Default(Entity):
                    """
                    The default authentication list.
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Dot1X.Default.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authentication.Dot1X.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "dot1x"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "default"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/dot1x/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authentication.Dot1X.Default, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



            class Enable(Entity):
                """
                Set authentication list for enable.
                
                .. attribute:: default
                
                	The default authentication list
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Enable.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authentication.Enable, self).__init__()

                    self.yang_name = "enable"
                    self.yang_parent_name = "authentication"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Aaa.Authentication.Enable.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Aaa.Authentication.Enable.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "enable"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/%s" % self._segment_path()


                class Default(Entity):
                    """
                    The default authentication list.
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Enable.Default.Group>`
                    
                    .. attribute:: enable
                    
                    	Use enable password for authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: line
                    
                    	Use line password for authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	No authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authentication.Enable.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "enable"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.line = YLeaf(YType.empty, "line")

                        self.none = YLeaf(YType.empty, "none")
                        self._segment_path = lambda: "default"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/enable/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authentication.Enable.Default, ['group', 'enable', 'line', 'none'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



            class Eou(Entity):
                """
                Set authentication lists for EAPoUDP
                
                .. attribute:: default
                
                	The default authentication list
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Eou.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authentication.Eou, self).__init__()

                    self.yang_name = "eou"
                    self.yang_parent_name = "authentication"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Aaa.Authentication.Eou.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Aaa.Authentication.Eou.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "eou"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/%s" % self._segment_path()


                class Default(Entity):
                    """
                    The default authentication list
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Eou.Default.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authentication.Eou.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "eou"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"group" : ("group", Native.Aaa.Authentication.Eou.Default.Group)}
                        self._child_list_classes = {}

                        self.group = Native.Aaa.Authentication.Eou.Default.Group()
                        self.group.parent = self
                        self._children_name_map["group"] = "group"
                        self._children_yang_names.add("group")
                        self._segment_path = lambda: "default"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/eou/%s" % self._segment_path()


                    class Group(Entity):
                        """
                        Use Server\-group
                        
                        .. attribute:: radius
                        
                        	Use list of all Radius hosts
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Authentication.Eou.Default.Group, self).__init__()

                            self.yang_name = "group"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.radius = YLeaf(YType.empty, "radius")
                            self._segment_path = lambda: "group"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/eou/default/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Authentication.Eou.Default.Group, ['radius'], name, value)


            class Login(Entity):
                """
                Set authentication lists for logins.
                
                .. attribute:: name  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.Name>`
                
                		**type**\: str
                
                			**length:** 1..31
                
                .. attribute:: a1
                
                	
                	**type**\:  :py:class:`A1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A1>`
                
                .. attribute:: a2
                
                	
                	**type**\:  :py:class:`A2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A2>`
                
                .. attribute:: a3
                
                	
                	**type**\:  :py:class:`A3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A3>`
                
                .. attribute:: a4
                
                	
                	**type**\:  :py:class:`A4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A4>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authentication.Login, self).__init__()

                    self.yang_name = "login"
                    self.yang_parent_name = "authentication"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"a1" : ("a1", Native.Aaa.Authentication.Login.A1), "a2" : ("a2", Native.Aaa.Authentication.Login.A2), "a3" : ("a3", Native.Aaa.Authentication.Login.A3), "a4" : ("a4", Native.Aaa.Authentication.Login.A4)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.a1 = Native.Aaa.Authentication.Login.A1()
                    self.a1.parent = self
                    self._children_name_map["a1"] = "a1"
                    self._children_yang_names.add("a1")

                    self.a2 = Native.Aaa.Authentication.Login.A2()
                    self.a2.parent = self
                    self._children_name_map["a2"] = "a2"
                    self._children_yang_names.add("a2")

                    self.a3 = Native.Aaa.Authentication.Login.A3()
                    self.a3.parent = self
                    self._children_name_map["a3"] = "a3"
                    self._children_yang_names.add("a3")

                    self.a4 = Native.Aaa.Authentication.Login.A4()
                    self.a4.parent = self
                    self._children_name_map["a4"] = "a4"
                    self._children_yang_names.add("a4")
                    self._segment_path = lambda: "login" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Authentication.Login, ['name'], name, value)

                class Name(Enum):
                    """
                    Name

                    .. data:: default = 0

                    """

                    default = Enum.YLeaf(0, "default")



                class A1(Entity):
                    """
                    
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5
                    
                    	Use Kerberos 5 authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_telnet
                    
                    	Allow logins only if already authenticated via Kerbero
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: line
                    
                    	Use line password for authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Use enable password for authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	Use local username authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	Use case\-sensitive local username authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A1.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A1.Cache>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authentication.Login.A1, self).__init__()

                        self.yang_name = "a1"
                        self.yang_parent_name = "login"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.none = YLeaf(YType.empty, "none")

                        self.krb5 = YLeaf(YType.empty, "krb5")

                        self.krb5_telnet = YLeaf(YType.empty, "krb5-telnet")

                        self.line = YLeaf(YType.empty, "line")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.local = YLeaf(YType.empty, "local")

                        self.local_case = YLeaf(YType.empty, "local-case")

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")
                        self._segment_path = lambda: "a1"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authentication.Login.A1, ['none', 'krb5', 'krb5_telnet', 'line', 'enable', 'local', 'local_case', 'group', 'cache'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")



                class A2(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A2.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A2.Cache>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_telnet
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: line
                    
                    	Use line password for authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Use enable password for authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authentication.Login.A2, self).__init__()

                        self.yang_name = "a2"
                        self.yang_parent_name = "login"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")

                        self.none = YLeaf(YType.empty, "none")

                        self.krb5 = YLeaf(YType.empty, "krb5")

                        self.krb5_telnet = YLeaf(YType.empty, "krb5-telnet")

                        self.line = YLeaf(YType.empty, "line")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.local = YLeaf(YType.empty, "local")

                        self.local_case = YLeaf(YType.empty, "local-case")
                        self._segment_path = lambda: "a2"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authentication.Login.A2, ['group', 'cache', 'none', 'krb5', 'krb5_telnet', 'line', 'enable', 'local', 'local_case'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")



                class A3(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A3.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A3.Cache>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_telnet
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: line
                    
                    	Use line password for authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Use enable password for authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authentication.Login.A3, self).__init__()

                        self.yang_name = "a3"
                        self.yang_parent_name = "login"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")

                        self.none = YLeaf(YType.empty, "none")

                        self.krb5 = YLeaf(YType.empty, "krb5")

                        self.krb5_telnet = YLeaf(YType.empty, "krb5-telnet")

                        self.line = YLeaf(YType.empty, "line")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.local = YLeaf(YType.empty, "local")

                        self.local_case = YLeaf(YType.empty, "local-case")
                        self._segment_path = lambda: "a3"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authentication.Login.A3, ['group', 'cache', 'none', 'krb5', 'krb5_telnet', 'line', 'enable', 'local', 'local_case'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")



                class A4(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A4.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Login.A4.Cache>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_telnet
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: line
                    
                    	Use line password for authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: enable
                    
                    	Use enable password for authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authentication.Login.A4, self).__init__()

                        self.yang_name = "a4"
                        self.yang_parent_name = "login"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")

                        self.none = YLeaf(YType.empty, "none")

                        self.krb5 = YLeaf(YType.empty, "krb5")

                        self.krb5_telnet = YLeaf(YType.empty, "krb5-telnet")

                        self.line = YLeaf(YType.empty, "line")

                        self.enable = YLeaf(YType.empty, "enable")

                        self.local = YLeaf(YType.empty, "local")

                        self.local_case = YLeaf(YType.empty, "local-case")
                        self._segment_path = lambda: "a4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authentication.Login.A4, ['group', 'cache', 'none', 'krb5', 'krb5_telnet', 'line', 'enable', 'local', 'local_case'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")



            class Onep(Entity):
                """
                Set authentication lists for ONEP
                
                .. attribute:: default
                
                	The default authentication list
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Onep.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authentication.Onep, self).__init__()

                    self.yang_name = "onep"
                    self.yang_parent_name = "authentication"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Aaa.Authentication.Onep.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Aaa.Authentication.Onep.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "onep"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/%s" % self._segment_path()


                class Default(Entity):
                    """
                    The default authentication list.
                    
                    .. attribute:: local
                    
                    	Use local username authentication
                    	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Onep.Default.Local>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authentication.Onep.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "onep"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"local" : ("local", Native.Aaa.Authentication.Onep.Default.Local)}
                        self._child_list_classes = {}

                        self.local = None
                        self._children_name_map["local"] = "local"
                        self._children_yang_names.add("local")
                        self._segment_path = lambda: "default"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/onep/%s" % self._segment_path()


                    class Local(Entity):
                        """
                        Use local username authentication.
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Authentication.Onep.Default.Local, self).__init__()

                            self.yang_name = "local"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "local"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/onep/default/%s" % self._segment_path()


            class Ppp(Entity):
                """
                Set authentication lists for ppp.
                
                .. attribute:: id  <key>
                
                	
                	**type**\: str
                
                	**length:** 1..31
                
                .. attribute:: a1
                
                	
                	**type**\:  :py:class:`A1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A1>`
                
                .. attribute:: a2
                
                	
                	**type**\:  :py:class:`A2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A2>`
                
                .. attribute:: a3
                
                	
                	**type**\:  :py:class:`A3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A3>`
                
                .. attribute:: a4
                
                	
                	**type**\:  :py:class:`A4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A4>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authentication.Ppp, self).__init__()

                    self.yang_name = "ppp"
                    self.yang_parent_name = "authentication"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"a1" : ("a1", Native.Aaa.Authentication.Ppp.A1), "a2" : ("a2", Native.Aaa.Authentication.Ppp.A2), "a3" : ("a3", Native.Aaa.Authentication.Ppp.A3), "a4" : ("a4", Native.Aaa.Authentication.Ppp.A4)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.a1 = Native.Aaa.Authentication.Ppp.A1()
                    self.a1.parent = self
                    self._children_name_map["a1"] = "a1"
                    self._children_yang_names.add("a1")

                    self.a2 = Native.Aaa.Authentication.Ppp.A2()
                    self.a2.parent = self
                    self._children_name_map["a2"] = "a2"
                    self._children_yang_names.add("a2")

                    self.a3 = Native.Aaa.Authentication.Ppp.A3()
                    self.a3.parent = self
                    self._children_name_map["a3"] = "a3"
                    self._children_yang_names.add("a3")

                    self.a4 = Native.Aaa.Authentication.Ppp.A4()
                    self.a4.parent = self
                    self._children_name_map["a4"] = "a4"
                    self._children_yang_names.add("a4")
                    self._segment_path = lambda: "ppp" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authentication/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Authentication.Ppp, ['id'], name, value)


                class A1(Entity):
                    """
                    
                    
                    .. attribute:: if_needed
                    
                    	Only authenticate if needed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5
                    
                    	Use Kerberos 5 authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	Use local username authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	Use case\-sensitive local username authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A1.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A1.Cache>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authentication.Ppp.A1, self).__init__()

                        self.yang_name = "a1"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.if_needed = YLeaf(YType.empty, "if-needed")

                        self.none = YLeaf(YType.empty, "none")

                        self.krb5 = YLeaf(YType.empty, "krb5")

                        self.local = YLeaf(YType.empty, "local")

                        self.local_case = YLeaf(YType.empty, "local-case")

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")
                        self._segment_path = lambda: "a1"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authentication.Ppp.A1, ['if_needed', 'none', 'krb5', 'local', 'local_case', 'group', 'cache'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



                class A2(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A2.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A2.Cache>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authentication.Ppp.A2, self).__init__()

                        self.yang_name = "a2"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")

                        self.none = YLeaf(YType.empty, "none")

                        self.krb5 = YLeaf(YType.empty, "krb5")

                        self.local = YLeaf(YType.empty, "local")

                        self.local_case = YLeaf(YType.empty, "local-case")
                        self._segment_path = lambda: "a2"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authentication.Ppp.A2, ['group', 'cache', 'none', 'krb5', 'local', 'local_case'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



                class A3(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A3.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A3.Cache>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authentication.Ppp.A3, self).__init__()

                        self.yang_name = "a3"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")

                        self.none = YLeaf(YType.empty, "none")

                        self.krb5 = YLeaf(YType.empty, "krb5")

                        self.local = YLeaf(YType.empty, "local")

                        self.local_case = YLeaf(YType.empty, "local-case")
                        self._segment_path = lambda: "a3"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authentication.Ppp.A3, ['group', 'cache', 'none', 'krb5', 'local', 'local_case'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



                class A4(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A4.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authentication.Ppp.A4.Cache>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_case
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authentication.Ppp.A4, self).__init__()

                        self.yang_name = "a4"
                        self.yang_parent_name = "ppp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")

                        self.none = YLeaf(YType.empty, "none")

                        self.krb5 = YLeaf(YType.empty, "krb5")

                        self.local = YLeaf(YType.empty, "local")

                        self.local_case = YLeaf(YType.empty, "local-case")
                        self._segment_path = lambda: "a4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authentication.Ppp.A4, ['group', 'cache', 'none', 'krb5', 'local', 'local_case'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



        class Authorization(Entity):
            """
            Authorization configurations parameters.
            
            .. attribute:: auth_type
            
            	For Authentication Proxy Services
            	**type**\:  :py:class:`AuthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.AuthType>`
            
            .. attribute:: commands
            
            	For exec (shell) commands
            	**type**\: list of  		 :py:class:`Commands <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Commands>`
            
            .. attribute:: console
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: config_commands
            
            	For configuration mode commands
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: configuration
            
            	For downloading configurations from AAA server
            	**type**\:  :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Configuration>`
            
            .. attribute:: exec_
            
            	For starting an exec (shell)
            	**type**\: list of  		 :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_>`
            
            .. attribute:: eventmanager
            
            	For starting an exec (shell)
            	**type**\: list of  		 :py:class:`Eventmanager <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Eventmanager>`
            
            .. attribute:: network
            
            	For network services. (PPP, SLIP, ARAP)
            	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network>`
            
            .. attribute:: auth_proxy
            
            	For Authentication Proxy Services
            	**type**\:  :py:class:`AuthProxy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.AuthProxy>`
            
            .. attribute:: onep
            
            	Set authorization lists for ONEP
            	**type**\:  :py:class:`Onep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Onep>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Aaa.Authorization, self).__init__()

                self.yang_name = "authorization"
                self.yang_parent_name = "aaa"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"auth-type" : ("auth_type", Native.Aaa.Authorization.AuthType), "configuration" : ("configuration", Native.Aaa.Authorization.Configuration), "auth-proxy" : ("auth_proxy", Native.Aaa.Authorization.AuthProxy), "onep" : ("onep", Native.Aaa.Authorization.Onep)}
                self._child_list_classes = {"commands" : ("commands", Native.Aaa.Authorization.Commands), "exec" : ("exec_", Native.Aaa.Authorization.Exec_), "eventmanager" : ("eventmanager", Native.Aaa.Authorization.Eventmanager), "network" : ("network", Native.Aaa.Authorization.Network)}

                self.console = YLeaf(YType.empty, "console")

                self.config_commands = YLeaf(YType.empty, "config-commands")

                self.auth_type = Native.Aaa.Authorization.AuthType()
                self.auth_type.parent = self
                self._children_name_map["auth_type"] = "auth-type"
                self._children_yang_names.add("auth-type")

                self.configuration = Native.Aaa.Authorization.Configuration()
                self.configuration.parent = self
                self._children_name_map["configuration"] = "configuration"
                self._children_yang_names.add("configuration")

                self.auth_proxy = Native.Aaa.Authorization.AuthProxy()
                self.auth_proxy.parent = self
                self._children_name_map["auth_proxy"] = "auth-proxy"
                self._children_yang_names.add("auth-proxy")

                self.onep = Native.Aaa.Authorization.Onep()
                self.onep.parent = self
                self._children_name_map["onep"] = "onep"
                self._children_yang_names.add("onep")

                self.commands = YList(self)
                self.exec_ = YList(self)
                self.eventmanager = YList(self)
                self.network = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:authorization"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Aaa.Authorization, ['console', 'config_commands'], name, value)


            class AuthType(Entity):
                """
                For Authentication Proxy Services
                
                .. attribute:: default
                
                	The default authorization list
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.AuthType.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authorization.AuthType, self).__init__()

                    self.yang_name = "auth-type"
                    self.yang_parent_name = "authorization"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Aaa.Authorization.AuthType.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Aaa.Authorization.AuthType.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "auth-type"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/%s" % self._segment_path()


                class Default(Entity):
                    """
                    The default authorization list.
                    
                    .. attribute:: group
                    
                    	Use server\-group
                    	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.AuthType.Default.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authorization.AuthType.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "auth-type"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.enumeration, "group")
                        self._segment_path = lambda: "default"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/auth-type/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authorization.AuthType.Default, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use server\-group.

                        .. data:: radius = 0

                        """

                        radius = Enum.YLeaf(0, "radius")



            class Commands(Entity):
                """
                For exec (shell) commands.
                
                .. attribute:: level  <key>
                
                	Enable level
                	**type**\: int
                
                	**range:** 0..15
                
                .. attribute:: list_name  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\:  :py:class:`ListName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Commands.ListName>`
                
                		**type**\: str
                
                .. attribute:: group
                
                	Use server\-group
                	**type**\: union of the below types:
                
                		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Commands.Group>`
                
                		**type**\: str
                
                .. attribute:: if_authenticated
                
                	Succeed if user has authenticated
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: local
                
                	Use local database
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	No authorization (always succeeds)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authorization.Commands, self).__init__()

                    self.yang_name = "commands"
                    self.yang_parent_name = "authorization"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.level = YLeaf(YType.uint8, "level")

                    self.list_name = YLeaf(YType.str, "list-name")

                    self.group = YLeaf(YType.str, "group")

                    self.if_authenticated = YLeaf(YType.empty, "if-authenticated")

                    self.local = YLeaf(YType.empty, "local")

                    self.none = YLeaf(YType.empty, "none")
                    self._segment_path = lambda: "commands" + "[level='" + self.level.get() + "']" + "[list-name='" + self.list_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Authorization.Commands, ['level', 'list_name', 'group', 'if_authenticated', 'local', 'none'], name, value)

                class Group(Enum):
                    """
                    Group

                    Use server\-group.

                    .. data:: tacacs__PLUS__ = 0

                    """

                    tacacs__PLUS__ = Enum.YLeaf(0, "tacacs+")


                class ListName(Enum):
                    """
                    ListName

                    .. data:: default = 0

                    """

                    default = Enum.YLeaf(0, "default")



            class Configuration(Entity):
                """
                For downloading configurations from AAA server
                
                .. attribute:: default
                
                	The default authorization list
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Configuration.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authorization.Configuration, self).__init__()

                    self.yang_name = "configuration"
                    self.yang_parent_name = "authorization"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Aaa.Authorization.Configuration.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Aaa.Authorization.Configuration.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "configuration"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/%s" % self._segment_path()


                class Default(Entity):
                    """
                    The default authorization list.
                    
                    .. attribute:: group
                    
                    	Use server\-group
                    	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Configuration.Default.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authorization.Configuration.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "configuration"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"group" : ("group", Native.Aaa.Authorization.Configuration.Default.Group)}
                        self._child_list_classes = {}

                        self.group = Native.Aaa.Authorization.Configuration.Default.Group()
                        self.group.parent = self
                        self._children_name_map["group"] = "group"
                        self._children_yang_names.add("group")
                        self._segment_path = lambda: "default"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/configuration/%s" % self._segment_path()


                    class Group(Entity):
                        """
                        Use server\-group.
                        
                        .. attribute:: group_name
                        
                        	
                        	**type**\: list of  		 :py:class:`GroupName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Configuration.Default.Group.GroupName>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Authorization.Configuration.Default.Group, self).__init__()

                            self.yang_name = "group"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"group-name" : ("group_name", Native.Aaa.Authorization.Configuration.Default.Group.GroupName)}

                            self.group_name = YList(self)
                            self._segment_path = lambda: "group"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/configuration/default/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Authorization.Configuration.Default.Group, [], name, value)


                        class GroupName(Entity):
                            """
                            
                            
                            .. attribute:: group_name  <key>
                            
                            	Server\-group name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Authorization.Configuration.Default.Group.GroupName, self).__init__()

                                self.yang_name = "group-name"
                                self.yang_parent_name = "group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group_name = YLeaf(YType.str, "group-name")
                                self._segment_path = lambda: "group-name" + "[group-name='" + self.group_name.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/configuration/default/group/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Authorization.Configuration.Default.Group.GroupName, ['group_name'], name, value)


            class Exec_(Entity):
                """
                For starting an exec (shell).
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: a1
                
                	
                	**type**\:  :py:class:`A1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A1>`
                
                .. attribute:: a2
                
                	
                	**type**\:  :py:class:`A2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A2>`
                
                .. attribute:: a3
                
                	
                	**type**\:  :py:class:`A3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A3>`
                
                .. attribute:: a4
                
                	
                	**type**\:  :py:class:`A4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A4>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authorization.Exec_, self).__init__()

                    self.yang_name = "exec"
                    self.yang_parent_name = "authorization"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"a1" : ("a1", Native.Aaa.Authorization.Exec_.A1), "a2" : ("a2", Native.Aaa.Authorization.Exec_.A2), "a3" : ("a3", Native.Aaa.Authorization.Exec_.A3), "a4" : ("a4", Native.Aaa.Authorization.Exec_.A4)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.a1 = Native.Aaa.Authorization.Exec_.A1()
                    self.a1.parent = self
                    self._children_name_map["a1"] = "a1"
                    self._children_yang_names.add("a1")

                    self.a2 = Native.Aaa.Authorization.Exec_.A2()
                    self.a2.parent = self
                    self._children_name_map["a2"] = "a2"
                    self._children_yang_names.add("a2")

                    self.a3 = Native.Aaa.Authorization.Exec_.A3()
                    self.a3.parent = self
                    self._children_name_map["a3"] = "a3"
                    self._children_yang_names.add("a3")

                    self.a4 = Native.Aaa.Authorization.Exec_.A4()
                    self.a4.parent = self
                    self._children_name_map["a4"] = "a4"
                    self._children_yang_names.add("a4")
                    self._segment_path = lambda: "exec" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Authorization.Exec_, ['name'], name, value)


                class A1(Entity):
                    """
                    
                    
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	No authorization (always succeeds)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_instance
                    
                    	Use Kerberos instance privilege maps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	Use local database
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A1.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A1.Cache>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authorization.Exec_.A1, self).__init__()

                        self.yang_name = "a1"
                        self.yang_parent_name = "exec"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.if_authenticated = YLeaf(YType.empty, "if-authenticated")

                        self.none = YLeaf(YType.empty, "none")

                        self.krb5_instance = YLeaf(YType.empty, "krb5-instance")

                        self.local = YLeaf(YType.empty, "local")

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")
                        self._segment_path = lambda: "a1"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authorization.Exec_.A1, ['if_authenticated', 'none', 'krb5_instance', 'local', 'group', 'cache'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")



                class A2(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A2.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A2.Cache>`
                    
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	No authorization (always succeeds)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_instance
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authorization.Exec_.A2, self).__init__()

                        self.yang_name = "a2"
                        self.yang_parent_name = "exec"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")

                        self.if_authenticated = YLeaf(YType.empty, "if-authenticated")

                        self.none = YLeaf(YType.empty, "none")

                        self.krb5_instance = YLeaf(YType.empty, "krb5-instance")

                        self.local = YLeaf(YType.empty, "local")
                        self._segment_path = lambda: "a2"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authorization.Exec_.A2, ['group', 'cache', 'if_authenticated', 'none', 'krb5_instance', 'local'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")



                class A3(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A3.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A3.Cache>`
                    
                    .. attribute:: none
                    
                    	No authorization (always succeeds)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_instance
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authorization.Exec_.A3, self).__init__()

                        self.yang_name = "a3"
                        self.yang_parent_name = "exec"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")

                        self.none = YLeaf(YType.empty, "none")

                        self.if_authenticated = YLeaf(YType.empty, "if-authenticated")

                        self.krb5_instance = YLeaf(YType.empty, "krb5-instance")

                        self.local = YLeaf(YType.empty, "local")
                        self._segment_path = lambda: "a3"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authorization.Exec_.A3, ['group', 'cache', 'none', 'if_authenticated', 'krb5_instance', 'local'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")



                class A4(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A4.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Exec_.A4.Cache>`
                    
                    .. attribute:: none
                    
                    	No authorization (always succeeds)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: krb5_instance
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authorization.Exec_.A4, self).__init__()

                        self.yang_name = "a4"
                        self.yang_parent_name = "exec"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")

                        self.none = YLeaf(YType.empty, "none")

                        self.if_authenticated = YLeaf(YType.empty, "if-authenticated")

                        self.krb5_instance = YLeaf(YType.empty, "krb5-instance")

                        self.local = YLeaf(YType.empty, "local")
                        self._segment_path = lambda: "a4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authorization.Exec_.A4, ['group', 'cache', 'none', 'if_authenticated', 'krb5_instance', 'local'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs__PLUS__ = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(2, "tacacs+")



            class Eventmanager(Entity):
                """
                For starting an exec (shell).
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: group
                
                	Use server\-group
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Eventmanager.Group>`
                
                .. attribute:: local
                
                	Use local database
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	No authorization (always succeeds)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authorization.Eventmanager, self).__init__()

                    self.yang_name = "eventmanager"
                    self.yang_parent_name = "authorization"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.group = YLeaf(YType.str, "group")

                    self.local = YLeaf(YType.empty, "local")

                    self.none = YLeaf(YType.empty, "none")
                    self._segment_path = lambda: "eventmanager" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Authorization.Eventmanager, ['name', 'group', 'local', 'none'], name, value)

                class Group(Enum):
                    """
                    Group

                    Use server\-group.

                    .. data:: ldap = 0

                    .. data:: radius = 1

                    .. data:: tacacs = 2

                    """

                    ldap = Enum.YLeaf(0, "ldap")

                    radius = Enum.YLeaf(1, "radius")

                    tacacs = Enum.YLeaf(2, "tacacs")



            class Network(Entity):
                """
                For network services. (PPP, SLIP, ARAP)
                
                .. attribute:: id  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.Id>`
                
                		**type**\: str
                
                			**length:** 1..31
                
                .. attribute:: a1
                
                	
                	**type**\:  :py:class:`A1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A1>`
                
                .. attribute:: a2
                
                	
                	**type**\:  :py:class:`A2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A2>`
                
                .. attribute:: a3
                
                	
                	**type**\:  :py:class:`A3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A3>`
                
                .. attribute:: a4
                
                	
                	**type**\:  :py:class:`A4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A4>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authorization.Network, self).__init__()

                    self.yang_name = "network"
                    self.yang_parent_name = "authorization"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"a1" : ("a1", Native.Aaa.Authorization.Network.A1), "a2" : ("a2", Native.Aaa.Authorization.Network.A2), "a3" : ("a3", Native.Aaa.Authorization.Network.A3), "a4" : ("a4", Native.Aaa.Authorization.Network.A4)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.a1 = Native.Aaa.Authorization.Network.A1()
                    self.a1.parent = self
                    self._children_name_map["a1"] = "a1"
                    self._children_yang_names.add("a1")

                    self.a2 = Native.Aaa.Authorization.Network.A2()
                    self.a2.parent = self
                    self._children_name_map["a2"] = "a2"
                    self._children_yang_names.add("a2")

                    self.a3 = Native.Aaa.Authorization.Network.A3()
                    self.a3.parent = self
                    self._children_name_map["a3"] = "a3"
                    self._children_yang_names.add("a3")

                    self.a4 = Native.Aaa.Authorization.Network.A4()
                    self.a4.parent = self
                    self._children_name_map["a4"] = "a4"
                    self._children_yang_names.add("a4")
                    self._segment_path = lambda: "network" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Authorization.Network, ['id'], name, value)

                class Id(Enum):
                    """
                    Id

                    .. data:: default = 0

                    """

                    default = Enum.YLeaf(0, "default")



                class A1(Entity):
                    """
                    
                    
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	Use local username authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A1.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A1.Cache>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authorization.Network.A1, self).__init__()

                        self.yang_name = "a1"
                        self.yang_parent_name = "network"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.if_authenticated = YLeaf(YType.empty, "if-authenticated")

                        self.none = YLeaf(YType.empty, "none")

                        self.local = YLeaf(YType.empty, "local")

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")
                        self._segment_path = lambda: "a1"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authorization.Network.A1, ['if_authenticated', 'none', 'local', 'group', 'cache'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



                class A2(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A2.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A2.Cache>`
                    
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authorization.Network.A2, self).__init__()

                        self.yang_name = "a2"
                        self.yang_parent_name = "network"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")

                        self.if_authenticated = YLeaf(YType.empty, "if-authenticated")

                        self.none = YLeaf(YType.empty, "none")

                        self.local = YLeaf(YType.empty, "local")
                        self._segment_path = lambda: "a2"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authorization.Network.A2, ['group', 'cache', 'if_authenticated', 'none', 'local'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



                class A3(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A3.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A3.Cache>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authorization.Network.A3, self).__init__()

                        self.yang_name = "a3"
                        self.yang_parent_name = "network"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")

                        self.none = YLeaf(YType.empty, "none")

                        self.if_authenticated = YLeaf(YType.empty, "if-authenticated")

                        self.local = YLeaf(YType.empty, "local")
                        self._segment_path = lambda: "a3"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authorization.Network.A3, ['group', 'cache', 'none', 'if_authenticated', 'local'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



                class A4(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A4.Group>`
                    
                    .. attribute:: cache
                    
                    	Use Cached\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Network.A4.Cache>`
                    
                    .. attribute:: none
                    
                    	NO authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: if_authenticated
                    
                    	Succeed if user has authenticated
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authorization.Network.A4, self).__init__()

                        self.yang_name = "a4"
                        self.yang_parent_name = "network"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.cache = YLeaf(YType.str, "cache")

                        self.none = YLeaf(YType.empty, "none")

                        self.if_authenticated = YLeaf(YType.empty, "if-authenticated")

                        self.local = YLeaf(YType.empty, "local")
                        self._segment_path = lambda: "a4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Authorization.Network.A4, ['group', 'cache', 'none', 'if_authenticated', 'local'], name, value)

                    class Cache(Enum):
                        """
                        Cache

                        Use Cached\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")


                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



            class AuthProxy(Entity):
                """
                For Authentication Proxy Services
                
                .. attribute:: default
                
                	The default authorization list
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.AuthProxy.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authorization.AuthProxy, self).__init__()

                    self.yang_name = "auth-proxy"
                    self.yang_parent_name = "authorization"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Aaa.Authorization.AuthProxy.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Aaa.Authorization.AuthProxy.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "auth-proxy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/%s" % self._segment_path()


                class Default(Entity):
                    """
                    The default authorization list.
                    
                    .. attribute:: group
                    
                    	Use server\-group
                    	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.AuthProxy.Default.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authorization.AuthProxy.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "auth-proxy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"group" : ("group", Native.Aaa.Authorization.AuthProxy.Default.Group)}
                        self._child_list_classes = {}

                        self.group = Native.Aaa.Authorization.AuthProxy.Default.Group()
                        self.group.parent = self
                        self._children_name_map["group"] = "group"
                        self._children_yang_names.add("group")
                        self._segment_path = lambda: "default"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/auth-proxy/%s" % self._segment_path()


                    class Group(Entity):
                        """
                        Use server\-group.
                        
                        .. attribute:: radius
                        
                        	Use list of all Radius hosts
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: group_name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Authorization.AuthProxy.Default.Group, self).__init__()

                            self.yang_name = "group"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.radius = YLeaf(YType.empty, "radius")

                            self.group_name = YLeaf(YType.str, "group-name")
                            self._segment_path = lambda: "group"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/auth-proxy/default/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Authorization.AuthProxy.Default.Group, ['radius', 'group_name'], name, value)


            class Onep(Entity):
                """
                Set authorization lists for ONEP
                
                .. attribute:: default
                
                	The default authorization list
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Onep.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Authorization.Onep, self).__init__()

                    self.yang_name = "onep"
                    self.yang_parent_name = "authorization"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Aaa.Authorization.Onep.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Aaa.Authorization.Onep.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "onep"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/%s" % self._segment_path()


                class Default(Entity):
                    """
                    The default authorization list.
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Onep.Default.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Authorization.Onep.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "onep"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"group" : ("group", Native.Aaa.Authorization.Onep.Default.Group)}
                        self._child_list_classes = {}

                        self.group = Native.Aaa.Authorization.Onep.Default.Group()
                        self.group.parent = self
                        self._children_name_map["group"] = "group"
                        self._children_yang_names.add("group")
                        self._segment_path = lambda: "default"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/onep/%s" % self._segment_path()


                    class Group(Entity):
                        """
                        Use Server\-group
                        
                        .. attribute:: group_word
                        
                        	
                        	**type**\: list of  		 :py:class:`GroupWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Authorization.Onep.Default.Group.GroupWord>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Authorization.Onep.Default.Group, self).__init__()

                            self.yang_name = "group"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"group-word" : ("group_word", Native.Aaa.Authorization.Onep.Default.Group.GroupWord)}

                            self.group_word = YList(self)
                            self._segment_path = lambda: "group"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/onep/default/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Authorization.Onep.Default.Group, [], name, value)


                        class GroupWord(Entity):
                            """
                            
                            
                            .. attribute:: group_word  <key>
                            
                            	Server\-group name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Authorization.Onep.Default.Group.GroupWord, self).__init__()

                                self.yang_name = "group-word"
                                self.yang_parent_name = "group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group_word = YLeaf(YType.str, "group-word")
                                self._segment_path = lambda: "group-word" + "[group-word='" + self.group_word.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:authorization/onep/default/group/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Authorization.Onep.Default.Group.GroupWord, ['group_word'], name, value)


        class Accounting(Entity):
            """
            Accounting configurations parameters.
            
            .. attribute:: commands
            
            	For exec (shell) commands
            	**type**\: list of  		 :py:class:`Commands <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Commands>`
            
            .. attribute:: connection
            
            	For outbound connections. (telnet, rlogin)
            	**type**\: list of  		 :py:class:`Connection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Connection>`
            
            .. attribute:: delay_start
            
            	Delay PPP Network start record until peer IP address is known
            	**type**\:  :py:class:`DelayStart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.DelayStart>`
            
            .. attribute:: identity
            
            	For identity sessions
            	**type**\: list of  		 :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Identity>`
            
            .. attribute:: exec_
            
            	For starting an exec (shell)
            	**type**\: list of  		 :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Exec_>`
            
            .. attribute:: exec_submode
            
            	
            	**type**\:  :py:class:`ExecSubmode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode>`
            
            .. attribute:: network
            
            	For network services. (PPP, SLIP, ARAP)
            	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network>`
            
            .. attribute:: send
            
            	Send records to accounting server
            	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send>`
            
            .. attribute:: system
            
            	For system events
            	**type**\:  :py:class:`System <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.System>`
            
            .. attribute:: update
            
            	Enable accounting update records
            	**type**\:  :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Update>`
            
            .. attribute:: auth_proxy
            
            	For Authentication Proxy Services
            	**type**\:  :py:class:`AuthProxy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.AuthProxy>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Aaa.Accounting, self).__init__()

                self.yang_name = "accounting"
                self.yang_parent_name = "aaa"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"delay-start" : ("delay_start", Native.Aaa.Accounting.DelayStart), "exec-submode" : ("exec_submode", Native.Aaa.Accounting.ExecSubmode), "send" : ("send", Native.Aaa.Accounting.Send), "system" : ("system", Native.Aaa.Accounting.System), "update" : ("update", Native.Aaa.Accounting.Update), "auth-proxy" : ("auth_proxy", Native.Aaa.Accounting.AuthProxy)}
                self._child_list_classes = {"commands" : ("commands", Native.Aaa.Accounting.Commands), "connection" : ("connection", Native.Aaa.Accounting.Connection), "identity" : ("identity", Native.Aaa.Accounting.Identity), "exec" : ("exec_", Native.Aaa.Accounting.Exec_), "network" : ("network", Native.Aaa.Accounting.Network)}

                self.delay_start = Native.Aaa.Accounting.DelayStart()
                self.delay_start.parent = self
                self._children_name_map["delay_start"] = "delay-start"
                self._children_yang_names.add("delay-start")

                self.exec_submode = Native.Aaa.Accounting.ExecSubmode()
                self.exec_submode.parent = self
                self._children_name_map["exec_submode"] = "exec-submode"
                self._children_yang_names.add("exec-submode")

                self.send = Native.Aaa.Accounting.Send()
                self.send.parent = self
                self._children_name_map["send"] = "send"
                self._children_yang_names.add("send")

                self.system = Native.Aaa.Accounting.System()
                self.system.parent = self
                self._children_name_map["system"] = "system"
                self._children_yang_names.add("system")

                self.update = Native.Aaa.Accounting.Update()
                self.update.parent = self
                self._children_name_map["update"] = "update"
                self._children_yang_names.add("update")

                self.auth_proxy = Native.Aaa.Accounting.AuthProxy()
                self.auth_proxy.parent = self
                self._children_name_map["auth_proxy"] = "auth-proxy"
                self._children_yang_names.add("auth-proxy")

                self.commands = YList(self)
                self.connection = YList(self)
                self.identity = YList(self)
                self.exec_ = YList(self)
                self.network = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:accounting"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Aaa.Accounting, [], name, value)


            class Commands(Entity):
                """
                For exec (shell) commands.
                
                .. attribute:: level  <key>
                
                	Enable level
                	**type**\: int
                
                	**range:** 0..15
                
                .. attribute:: list_name  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\:  :py:class:`ListName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Commands.ListName>`
                
                		**type**\: str
                
                			**length:** 1..31
                
                .. attribute:: action_type
                
                	
                	**type**\:  :py:class:`ActionType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Commands.ActionType>`
                
                .. attribute:: broadcast
                
                	Use Broadcast for Accounting
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: group
                
                	Use Server\-group
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Commands.Group>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Accounting.Commands, self).__init__()

                    self.yang_name = "commands"
                    self.yang_parent_name = "accounting"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.level = YLeaf(YType.uint8, "level")

                    self.list_name = YLeaf(YType.str, "list-name")

                    self.action_type = YLeaf(YType.enumeration, "action-type")

                    self.broadcast = YLeaf(YType.empty, "broadcast")

                    self.group = YLeaf(YType.str, "group")
                    self._segment_path = lambda: "commands" + "[level='" + self.level.get() + "']" + "[list-name='" + self.list_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Accounting.Commands, ['level', 'list_name', 'action_type', 'broadcast', 'group'], name, value)

                class ActionType(Enum):
                    """
                    ActionType

                    .. data:: none = 0

                    .. data:: start_stop = 1

                    .. data:: stop_only = 2

                    """

                    none = Enum.YLeaf(0, "none")

                    start_stop = Enum.YLeaf(1, "start-stop")

                    stop_only = Enum.YLeaf(2, "stop-only")


                class Group(Enum):
                    """
                    Group

                    Use Server\-group

                    .. data:: tacacs__PLUS__ = 0

                    """

                    tacacs__PLUS__ = Enum.YLeaf(0, "tacacs+")


                class ListName(Enum):
                    """
                    ListName

                    .. data:: default = 0

                    """

                    default = Enum.YLeaf(0, "default")



            class Connection(Entity):
                """
                For outbound connections. (telnet, rlogin)
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: none
                
                	No accounting
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: start_stop
                
                	Record start and stop without waiting
                	**type**\:  :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Connection.StartStop>`
                
                .. attribute:: stop_only
                
                	Record stop when service terminates
                	**type**\:  :py:class:`StopOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Connection.StopOnly>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Accounting.Connection, self).__init__()

                    self.yang_name = "connection"
                    self.yang_parent_name = "accounting"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"start-stop" : ("start_stop", Native.Aaa.Accounting.Connection.StartStop), "stop-only" : ("stop_only", Native.Aaa.Accounting.Connection.StopOnly)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.none = YLeaf(YType.empty, "none")

                    self.start_stop = Native.Aaa.Accounting.Connection.StartStop()
                    self.start_stop.parent = self
                    self._children_name_map["start_stop"] = "start-stop"
                    self._children_yang_names.add("start-stop")

                    self.stop_only = Native.Aaa.Accounting.Connection.StopOnly()
                    self.stop_only.parent = self
                    self._children_name_map["stop_only"] = "stop-only"
                    self._children_yang_names.add("stop-only")
                    self._segment_path = lambda: "connection" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Accounting.Connection, ['name', 'none'], name, value)


                class StartStop(Entity):
                    """
                    Record start and stop without waiting
                    
                    .. attribute:: broadcast
                    
                    	Use Broadcast for Accounting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.Connection.StartStop, self).__init__()

                        self.yang_name = "start-stop"
                        self.yang_parent_name = "connection"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.broadcast = YLeaf(YType.empty, "broadcast")

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "start-stop"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.Connection.StartStop, ['broadcast', 'group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



                class StopOnly(Entity):
                    """
                    Record stop when service terminates.
                    
                    .. attribute:: broadcast
                    
                    	Use Broadcast for Accounting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.Connection.StopOnly, self).__init__()

                        self.yang_name = "stop-only"
                        self.yang_parent_name = "connection"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.broadcast = YLeaf(YType.empty, "broadcast")

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "stop-only"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.Connection.StopOnly, ['broadcast', 'group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



            class DelayStart(Entity):
                """
                Delay PPP Network start record until peer IP address is known.
                
                .. attribute:: extended_delay
                
                	
                	**type**\: int
                
                	**range:** 1..2
                
                .. attribute:: all
                
                	Delay start records for all vrf and non\-vrf users
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Accounting.DelayStart, self).__init__()

                    self.yang_name = "delay-start"
                    self.yang_parent_name = "accounting"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.extended_delay = YLeaf(YType.uint8, "extended-delay")

                    self.all = YLeaf(YType.empty, "all")
                    self._segment_path = lambda: "delay-start"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Accounting.DelayStart, ['extended_delay', 'all'], name, value)


            class Identity(Entity):
                """
                For identity sessions.
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: start_stop
                
                	Record start and stop without waiting
                	**type**\:  :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Identity.StartStop>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Accounting.Identity, self).__init__()

                    self.yang_name = "identity"
                    self.yang_parent_name = "accounting"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"start-stop" : ("start_stop", Native.Aaa.Accounting.Identity.StartStop)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.start_stop = Native.Aaa.Accounting.Identity.StartStop()
                    self.start_stop.parent = self
                    self._children_name_map["start_stop"] = "start-stop"
                    self._children_yang_names.add("start-stop")
                    self._segment_path = lambda: "identity" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Accounting.Identity, ['name'], name, value)


                class StartStop(Entity):
                    """
                    Record start and stop without waiting
                    
                    .. attribute:: broadcast
                    
                    	Use Broadcast for Accounting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Identity.StartStop.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.Identity.StartStop, self).__init__()

                        self.yang_name = "start-stop"
                        self.yang_parent_name = "identity"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.broadcast = YLeaf(YType.empty, "broadcast")

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "start-stop"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.Identity.StartStop, ['broadcast', 'group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



            class Exec_(Entity):
                """
                For starting an exec (shell).
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: none
                
                	No accounting
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: start_stop
                
                	Record start and stop without waiting
                	**type**\:  :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Exec_.StartStop>`
                
                .. attribute:: stop_only
                
                	Record stop when service terminates
                	**type**\:  :py:class:`StopOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Exec_.StopOnly>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Accounting.Exec_, self).__init__()

                    self.yang_name = "exec"
                    self.yang_parent_name = "accounting"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"start-stop" : ("start_stop", Native.Aaa.Accounting.Exec_.StartStop), "stop-only" : ("stop_only", Native.Aaa.Accounting.Exec_.StopOnly)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.none = YLeaf(YType.empty, "none")

                    self.start_stop = Native.Aaa.Accounting.Exec_.StartStop()
                    self.start_stop.parent = self
                    self._children_name_map["start_stop"] = "start-stop"
                    self._children_yang_names.add("start-stop")

                    self.stop_only = Native.Aaa.Accounting.Exec_.StopOnly()
                    self.stop_only.parent = self
                    self._children_name_map["stop_only"] = "stop-only"
                    self._children_yang_names.add("stop-only")
                    self._segment_path = lambda: "exec" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Accounting.Exec_, ['name', 'none'], name, value)


                class StartStop(Entity):
                    """
                    Record start and stop without waiting
                    
                    .. attribute:: broadcast
                    
                    	Use Broadcast for Accounting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.Exec_.StartStop, self).__init__()

                        self.yang_name = "start-stop"
                        self.yang_parent_name = "exec"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.broadcast = YLeaf(YType.empty, "broadcast")

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "start-stop"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.Exec_.StartStop, ['broadcast', 'group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



                class StopOnly(Entity):
                    """
                    Record stop when service terminates.
                    
                    .. attribute:: broadcast
                    
                    	Use Broadcast for Accounting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.Exec_.StopOnly, self).__init__()

                        self.yang_name = "stop-only"
                        self.yang_parent_name = "exec"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.broadcast = YLeaf(YType.empty, "broadcast")

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "stop-only"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.Exec_.StopOnly, ['broadcast', 'group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        .. data:: tacacs__PLUS__ = 1

                        """

                        radius = Enum.YLeaf(0, "radius")

                        tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



            class ExecSubmode(Entity):
                """
                
                
                .. attribute:: exec_
                
                	For starting an exec (shell)
                	**type**\: list of  		 :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Accounting.ExecSubmode, self).__init__()

                    self.yang_name = "exec-submode"
                    self.yang_parent_name = "accounting"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"exec" : ("exec_", Native.Aaa.Accounting.ExecSubmode.Exec_)}

                    self.exec_ = YList(self)
                    self._segment_path = lambda: "exec-submode"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Accounting.ExecSubmode, [], name, value)


                class Exec_(Entity):
                    """
                    For starting an exec (shell).
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: action_type
                    
                    	Type of action to be performed on accounting records
                    	**type**\:  :py:class:`ActionType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.ExecSubmode.Exec_, self).__init__()

                        self.yang_name = "exec"
                        self.yang_parent_name = "exec-submode"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"action-type" : ("action_type", Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.action_type = Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType()
                        self.action_type.parent = self
                        self._children_name_map["action_type"] = "action-type"
                        self._children_yang_names.add("action-type")
                        self._segment_path = lambda: "exec" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/exec-submode/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.ExecSubmode.Exec_, ['name'], name, value)


                    class ActionType(Entity):
                        """
                        Type of action to be performed on accounting records
                        
                        .. attribute:: none
                        
                        	No accounting
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: start_stop
                        
                        	Record start and stop without waiting
                        	**type**\:  :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop>`
                        
                        .. attribute:: stop_only
                        
                        	Record stop when service terminates
                        	**type**\:  :py:class:`StopOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType, self).__init__()

                            self.yang_name = "action-type"
                            self.yang_parent_name = "exec"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"start-stop" : ("start_stop", Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop), "stop-only" : ("stop_only", Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly)}
                            self._child_list_classes = {}

                            self.none = YLeaf(YType.empty, "none")

                            self.start_stop = Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop()
                            self.start_stop.parent = self
                            self._children_name_map["start_stop"] = "start-stop"
                            self._children_yang_names.add("start-stop")

                            self.stop_only = Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly()
                            self.stop_only.parent = self
                            self._children_name_map["stop_only"] = "stop-only"
                            self._children_yang_names.add("stop-only")
                            self._segment_path = lambda: "action-type"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType, ['none'], name, value)


                        class StartStop(Entity):
                            """
                            Record start and stop without waiting
                            
                            .. attribute:: broadcast
                            
                            	Use Broadcast for Accounting
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: group
                            
                            	Use Server\-group
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop.Group>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop, self).__init__()

                                self.yang_name = "start-stop"
                                self.yang_parent_name = "action-type"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.group = YLeaf(YType.str, "group")
                                self._segment_path = lambda: "start-stop"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StartStop, ['broadcast', 'group'], name, value)

                            class Group(Enum):
                                """
                                Group

                                Use Server\-group

                                .. data:: radius = 0

                                .. data:: tacacs__PLUS__ = 1

                                """

                                radius = Enum.YLeaf(0, "radius")

                                tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



                        class StopOnly(Entity):
                            """
                            Record stop when service terminates.
                            
                            .. attribute:: broadcast
                            
                            	Use Broadcast for Accounting
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: group
                            
                            	Use Server\-group
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly.Group>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly, self).__init__()

                                self.yang_name = "stop-only"
                                self.yang_parent_name = "action-type"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.broadcast = YLeaf(YType.empty, "broadcast")

                                self.group = YLeaf(YType.str, "group")
                                self._segment_path = lambda: "stop-only"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Accounting.ExecSubmode.Exec_.ActionType.StopOnly, ['broadcast', 'group'], name, value)

                            class Group(Enum):
                                """
                                Group

                                Use Server\-group

                                .. data:: radius = 0

                                .. data:: tacacs__PLUS__ = 1

                                """

                                radius = Enum.YLeaf(0, "radius")

                                tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



            class Network(Entity):
                """
                For network services. (PPP, SLIP, ARAP)
                
                .. attribute:: id  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.Id>`
                
                		**type**\: str
                
                			**length:** 1..31
                
                .. attribute:: start_stop
                
                	Record start and stop without waiting
                	**type**\:  :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.StartStop>`
                
                .. attribute:: none
                
                	No accounting
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mode
                
                	
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.Mode>`
                
                .. attribute:: broadcast
                
                	Use Broadcast for Accounting
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: a1
                
                	
                	**type**\:  :py:class:`A1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A1>`
                
                .. attribute:: a2
                
                	
                	**type**\:  :py:class:`A2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A2>`
                
                .. attribute:: a3
                
                	
                	**type**\:  :py:class:`A3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A3>`
                
                .. attribute:: a4
                
                	
                	**type**\:  :py:class:`A4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A4>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Accounting.Network, self).__init__()

                    self.yang_name = "network"
                    self.yang_parent_name = "accounting"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"start-stop" : ("start_stop", Native.Aaa.Accounting.Network.StartStop), "a1" : ("a1", Native.Aaa.Accounting.Network.A1), "a2" : ("a2", Native.Aaa.Accounting.Network.A2), "a3" : ("a3", Native.Aaa.Accounting.Network.A3), "a4" : ("a4", Native.Aaa.Accounting.Network.A4)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.none = YLeaf(YType.empty, "none")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.broadcast = YLeaf(YType.empty, "broadcast")

                    self.start_stop = Native.Aaa.Accounting.Network.StartStop()
                    self.start_stop.parent = self
                    self._children_name_map["start_stop"] = "start-stop"
                    self._children_yang_names.add("start-stop")

                    self.a1 = Native.Aaa.Accounting.Network.A1()
                    self.a1.parent = self
                    self._children_name_map["a1"] = "a1"
                    self._children_yang_names.add("a1")

                    self.a2 = Native.Aaa.Accounting.Network.A2()
                    self.a2.parent = self
                    self._children_name_map["a2"] = "a2"
                    self._children_yang_names.add("a2")

                    self.a3 = Native.Aaa.Accounting.Network.A3()
                    self.a3.parent = self
                    self._children_name_map["a3"] = "a3"
                    self._children_yang_names.add("a3")

                    self.a4 = Native.Aaa.Accounting.Network.A4()
                    self.a4.parent = self
                    self._children_name_map["a4"] = "a4"
                    self._children_yang_names.add("a4")
                    self._segment_path = lambda: "network" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Accounting.Network, ['id', 'none', 'mode', 'broadcast'], name, value)

                class Id(Enum):
                    """
                    Id

                    .. data:: default = 0

                    """

                    default = Enum.YLeaf(0, "default")


                class Mode(Enum):
                    """
                    Mode

                    .. data:: start_stop = 0

                    .. data:: stop_only = 1

                    """

                    start_stop = Enum.YLeaf(0, "start-stop")

                    stop_only = Enum.YLeaf(1, "stop-only")



                class StartStop(Entity):
                    """
                    Record start and stop without waiting
                    
                    .. attribute:: group
                    
                    	Use Server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.StartStop.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.Network.StartStop, self).__init__()

                        self.yang_name = "start-stop"
                        self.yang_parent_name = "network"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "start-stop"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.Network.StartStop, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use Server\-group

                        .. data:: radius = 0

                        """

                        radius = Enum.YLeaf(0, "radius")



                class A1(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A1.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.Network.A1, self).__init__()

                        self.yang_name = "a1"
                        self.yang_parent_name = "network"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "a1"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.Network.A1, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use server\-group.

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs = Enum.YLeaf(2, "tacacs")



                class A2(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A2.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.Network.A2, self).__init__()

                        self.yang_name = "a2"
                        self.yang_parent_name = "network"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "a2"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.Network.A2, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use server\-group.

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs = Enum.YLeaf(2, "tacacs")



                class A3(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A3.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.Network.A3, self).__init__()

                        self.yang_name = "a3"
                        self.yang_parent_name = "network"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "a3"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.Network.A3, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use server\-group.

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs = Enum.YLeaf(2, "tacacs")



                class A4(Entity):
                    """
                    
                    
                    .. attribute:: group
                    
                    	Use server\-group
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Network.A4.Group>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.Network.A4, self).__init__()

                        self.yang_name = "a4"
                        self.yang_parent_name = "network"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")
                        self._segment_path = lambda: "a4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.Network.A4, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        Use server\-group.

                        .. data:: ldap = 0

                        .. data:: radius = 1

                        .. data:: tacacs = 2

                        """

                        ldap = Enum.YLeaf(0, "ldap")

                        radius = Enum.YLeaf(1, "radius")

                        tacacs = Enum.YLeaf(2, "tacacs")



            class Send(Entity):
                """
                Send records to accounting server
                
                .. attribute:: counters
                
                	Enable specific counters in the Stop record
                	**type**\:  :py:class:`Counters <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send.Counters>`
                
                .. attribute:: stop_record
                
                	Generate STOP records for a specified event
                	**type**\:  :py:class:`StopRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send.StopRecord>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Accounting.Send, self).__init__()

                    self.yang_name = "send"
                    self.yang_parent_name = "accounting"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"counters" : ("counters", Native.Aaa.Accounting.Send.Counters), "stop-record" : ("stop_record", Native.Aaa.Accounting.Send.StopRecord)}
                    self._child_list_classes = {}

                    self.counters = Native.Aaa.Accounting.Send.Counters()
                    self.counters.parent = self
                    self._children_name_map["counters"] = "counters"
                    self._children_yang_names.add("counters")

                    self.stop_record = Native.Aaa.Accounting.Send.StopRecord()
                    self.stop_record.parent = self
                    self._children_name_map["stop_record"] = "stop-record"
                    self._children_yang_names.add("stop-record")
                    self._segment_path = lambda: "send"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/%s" % self._segment_path()


                class Counters(Entity):
                    """
                    Enable specific counters in the Stop record
                    
                    .. attribute:: ipv6
                    
                    	Send IPv6 counters in the Stop Record
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.Send.Counters, self).__init__()

                        self.yang_name = "counters"
                        self.yang_parent_name = "send"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ipv6 = YLeaf(YType.empty, "ipv6")
                        self._segment_path = lambda: "counters"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/send/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.Send.Counters, ['ipv6'], name, value)


                class StopRecord(Entity):
                    """
                    Generate STOP records for a specified event
                    
                    .. attribute:: always
                    
                    	Generate STOP records always, even if the START record is not sent
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: authentication
                    
                    	Generate STOP records for authentication failures
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send.StopRecord.Authentication>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.Send.StopRecord, self).__init__()

                        self.yang_name = "stop-record"
                        self.yang_parent_name = "send"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"authentication" : ("authentication", Native.Aaa.Accounting.Send.StopRecord.Authentication)}
                        self._child_list_classes = {}

                        self.always = YLeaf(YType.empty, "always")

                        self.authentication = Native.Aaa.Accounting.Send.StopRecord.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")
                        self._segment_path = lambda: "stop-record"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/send/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.Send.StopRecord, ['always'], name, value)


                    class Authentication(Entity):
                        """
                        Generate STOP records for authentication failures
                        
                        .. attribute:: failure
                        
                        	Generate STOP records for authentication failures
                        	**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send.StopRecord.Authentication.Failure>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: success
                        
                        	Generate STOP records for authenticated users
                        	**type**\:  :py:class:`Success <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send.StopRecord.Authentication.Success>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Accounting.Send.StopRecord.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "stop-record"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"failure" : ("failure", Native.Aaa.Accounting.Send.StopRecord.Authentication.Failure), "success" : ("success", Native.Aaa.Accounting.Send.StopRecord.Authentication.Success)}
                            self._child_list_classes = {}

                            self.failure = None
                            self._children_name_map["failure"] = "failure"
                            self._children_yang_names.add("failure")

                            self.success = Native.Aaa.Accounting.Send.StopRecord.Authentication.Success()
                            self.success.parent = self
                            self._children_name_map["success"] = "success"
                            self._children_yang_names.add("success")
                            self._segment_path = lambda: "authentication"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/send/stop-record/%s" % self._segment_path()


                        class Failure(Entity):
                            """
                            Generate STOP records for authentication failures
                            
                            .. attribute:: vrf
                            
                            	VPN Routing/Forwarding parameters
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Accounting.Send.StopRecord.Authentication.Failure, self).__init__()

                                self.yang_name = "failure"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.vrf = YLeaf(YType.str, "vrf")
                                self._segment_path = lambda: "failure"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/send/stop-record/authentication/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Accounting.Send.StopRecord.Authentication.Failure, ['vrf'], name, value)


                        class Success(Entity):
                            """
                            Generate STOP records for authenticated users
                            
                            .. attribute:: remote_server
                            
                            	Successfully authenticated, through access\-accept, by a remote AAA server
                            	**type**\:  :py:class:`RemoteServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.Send.StopRecord.Authentication.Success.RemoteServer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Accounting.Send.StopRecord.Authentication.Success, self).__init__()

                                self.yang_name = "success"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"remote-server" : ("remote_server", Native.Aaa.Accounting.Send.StopRecord.Authentication.Success.RemoteServer)}
                                self._child_list_classes = {}

                                self.remote_server = None
                                self._children_name_map["remote_server"] = "remote-server"
                                self._children_yang_names.add("remote-server")
                                self._segment_path = lambda: "success"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/send/stop-record/authentication/%s" % self._segment_path()


                            class RemoteServer(Entity):
                                """
                                Successfully authenticated, through access\-accept, by a remote AAA server
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding parameters
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Accounting.Send.StopRecord.Authentication.Success.RemoteServer, self).__init__()

                                    self.yang_name = "remote-server"
                                    self.yang_parent_name = "success"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "remote-server"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/send/stop-record/authentication/success/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Accounting.Send.StopRecord.Authentication.Success.RemoteServer, ['vrf'], name, value)


            class System(Entity):
                """
                For system events.
                
                .. attribute:: default
                
                	The default accounting list
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.System.Default>`
                
                	**presence node**\: True
                
                .. attribute:: guarantee_first
                
                	Guarantee system accounting as first record
                	**type**\: bool
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Accounting.System, self).__init__()

                    self.yang_name = "system"
                    self.yang_parent_name = "accounting"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Aaa.Accounting.System.Default)}
                    self._child_list_classes = {}

                    self.guarantee_first = YLeaf(YType.boolean, "guarantee-first")

                    self.default = None
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "system"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Accounting.System, ['guarantee_first'], name, value)


                class Default(Entity):
                    """
                    The default accounting list.
                    
                    .. attribute:: none
                    
                    	No accounting
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: start_stop
                    
                    	Record start and stop without waiting
                    	**type**\:  :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.System.Default.StartStop>`
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding parameters
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.System.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "system"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"start-stop" : ("start_stop", Native.Aaa.Accounting.System.Default.StartStop)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.none = YLeaf(YType.empty, "none")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.start_stop = Native.Aaa.Accounting.System.Default.StartStop()
                        self.start_stop.parent = self
                        self._children_name_map["start_stop"] = "start-stop"
                        self._children_yang_names.add("start-stop")
                        self._segment_path = lambda: "default"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/system/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Accounting.System.Default, ['none', 'vrf'], name, value)


                    class StartStop(Entity):
                        """
                        Record start and stop without waiting
                        
                        .. attribute:: broadcast
                        
                        	Use Broadcast for Accounting
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: group
                        
                        	Use Server\-group
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.System.Default.StartStop.Group>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Accounting.System.Default.StartStop, self).__init__()

                            self.yang_name = "start-stop"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.broadcast = YLeaf(YType.empty, "broadcast")

                            self.group = YLeaf(YType.str, "group")
                            self._segment_path = lambda: "start-stop"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/system/default/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Accounting.System.Default.StartStop, ['broadcast', 'group'], name, value)

                        class Group(Enum):
                            """
                            Group

                            Use Server\-group

                            .. data:: radius = 0

                            .. data:: tacacs__PLUS__ = 1

                            """

                            radius = Enum.YLeaf(0, "radius")

                            tacacs__PLUS__ = Enum.YLeaf(1, "tacacs+")



            class Update(Entity):
                """
                Enable accounting update records
                
                .. attribute:: periodic
                
                	Periodic intervals to send accounting update records(in minutes)
                	**type**\: int
                
                	**range:** 1..71582
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Accounting.Update, self).__init__()

                    self.yang_name = "update"
                    self.yang_parent_name = "accounting"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.periodic = YLeaf(YType.uint32, "periodic")
                    self._segment_path = lambda: "update"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Accounting.Update, ['periodic'], name, value)


            class AuthProxy(Entity):
                """
                For Authentication Proxy Services
                
                .. attribute:: default
                
                	The default authorization list
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.AuthProxy.Default>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Accounting.AuthProxy, self).__init__()

                    self.yang_name = "auth-proxy"
                    self.yang_parent_name = "accounting"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Aaa.Accounting.AuthProxy.Default)}
                    self._child_list_classes = {}

                    self.default = Native.Aaa.Accounting.AuthProxy.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "auth-proxy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/%s" % self._segment_path()


                class Default(Entity):
                    """
                    The default authorization list.
                    
                    .. attribute:: start_stop
                    
                    	Record start and stop without waiting
                    	**type**\:  :py:class:`StartStop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Accounting.AuthProxy.Default.StartStop>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Accounting.AuthProxy.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "auth-proxy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"start-stop" : ("start_stop", Native.Aaa.Accounting.AuthProxy.Default.StartStop)}
                        self._child_list_classes = {}

                        self.start_stop = Native.Aaa.Accounting.AuthProxy.Default.StartStop()
                        self.start_stop.parent = self
                        self._children_name_map["start_stop"] = "start-stop"
                        self._children_yang_names.add("start-stop")
                        self._segment_path = lambda: "default"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/auth-proxy/%s" % self._segment_path()


                    class StartStop(Entity):
                        """
                        Record start and stop without waiting
                        
                        .. attribute:: group
                        
                        	Use server\-group
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Accounting.AuthProxy.Default.StartStop, self).__init__()

                            self.yang_name = "start-stop"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.group = YLeaf(YType.str, "group")
                            self._segment_path = lambda: "start-stop"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:accounting/auth-proxy/default/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Accounting.AuthProxy.Default.StartStop, ['group'], name, value)


        class Server(Entity):
            """
            Local AAA server
            
            .. attribute:: radius
            
            	Profile for local radius server
            	**type**\:  :py:class:`Radius <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Aaa.Server, self).__init__()

                self.yang_name = "server"
                self.yang_parent_name = "aaa"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"radius" : ("radius", Native.Aaa.Server.Radius)}
                self._child_list_classes = {}

                self.radius = Native.Aaa.Server.Radius()
                self.radius.parent = self
                self._children_name_map["radius"] = "radius"
                self._children_yang_names.add("radius")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:server"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/%s" % self._segment_path()


            class Radius(Entity):
                """
                Profile for local radius server
                
                .. attribute:: dynamic_author
                
                	Local server profile for RFC 3576 support
                	**type**\:  :py:class:`DynamicAuthor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor>`
                
                	**presence node**\: True
                
                .. attribute:: policy_device
                
                	Local server profile for RADIUS External Policy Delegation client
                	**type**\:  :py:class:`PolicyDevice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.PolicyDevice>`
                
                	**presence node**\: True
                
                .. attribute:: proxy
                
                	Local server profile for RADIUS proxy clients
                	**type**\:  :py:class:`Proxy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy>`
                
                	**presence node**\: True
                
                .. attribute:: sesm
                
                	Local server profile for a SESM client
                	**type**\:  :py:class:`Sesm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Sesm>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Server.Radius, self).__init__()

                    self.yang_name = "radius"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dynamic-author" : ("dynamic_author", Native.Aaa.Server.Radius.DynamicAuthor), "policy-device" : ("policy_device", Native.Aaa.Server.Radius.PolicyDevice), "proxy" : ("proxy", Native.Aaa.Server.Radius.Proxy), "sesm" : ("sesm", Native.Aaa.Server.Radius.Sesm)}
                    self._child_list_classes = {}

                    self.dynamic_author = None
                    self._children_name_map["dynamic_author"] = "dynamic-author"
                    self._children_yang_names.add("dynamic-author")

                    self.policy_device = None
                    self._children_name_map["policy_device"] = "policy-device"
                    self._children_yang_names.add("policy-device")

                    self.proxy = None
                    self._children_name_map["proxy"] = "proxy"
                    self._children_yang_names.add("proxy")

                    self.sesm = None
                    self._children_name_map["sesm"] = "sesm"
                    self._children_yang_names.add("sesm")
                    self._segment_path = lambda: "radius"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/%s" % self._segment_path()


                class DynamicAuthor(Entity):
                    """
                    Local server profile for RFC 3576 support
                    
                    .. attribute:: port
                    
                    	Radius server port
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: client
                    
                    	Specify a RADIUS client
                    	**type**\: list of  		 :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Client>`
                    
                    .. attribute:: server_key
                    
                    	Specify a RADIUS client server\-key
                    	**type**\:  :py:class:`ServerKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.ServerKey>`
                    
                    .. attribute:: domain
                    
                    	Username domain options
                    	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Domain>`
                    
                    .. attribute:: auth_type
                    
                    	Specify the server authorization type
                    	**type**\:  :py:class:`AuthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.AuthType>`
                    
                    .. attribute:: ignore
                    
                    	Override behaviour to ignore certain parameters
                    	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Ignore>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Server.Radius.DynamicAuthor, self).__init__()

                        self.yang_name = "dynamic-author"
                        self.yang_parent_name = "radius"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"server-key" : ("server_key", Native.Aaa.Server.Radius.DynamicAuthor.ServerKey), "domain" : ("domain", Native.Aaa.Server.Radius.DynamicAuthor.Domain), "ignore" : ("ignore", Native.Aaa.Server.Radius.DynamicAuthor.Ignore)}
                        self._child_list_classes = {"client" : ("client", Native.Aaa.Server.Radius.DynamicAuthor.Client)}
                        self.is_presence_container = True

                        self.port = YLeaf(YType.uint16, "port")

                        self.auth_type = YLeaf(YType.enumeration, "auth-type")

                        self.server_key = Native.Aaa.Server.Radius.DynamicAuthor.ServerKey()
                        self.server_key.parent = self
                        self._children_name_map["server_key"] = "server-key"
                        self._children_yang_names.add("server-key")

                        self.domain = Native.Aaa.Server.Radius.DynamicAuthor.Domain()
                        self.domain.parent = self
                        self._children_name_map["domain"] = "domain"
                        self._children_yang_names.add("domain")

                        self.ignore = Native.Aaa.Server.Radius.DynamicAuthor.Ignore()
                        self.ignore.parent = self
                        self._children_name_map["ignore"] = "ignore"
                        self._children_yang_names.add("ignore")

                        self.client = YList(self)
                        self._segment_path = lambda: "dynamic-author"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Server.Radius.DynamicAuthor, ['port', 'auth_type'], name, value)

                    class AuthType(Enum):
                        """
                        AuthType

                        Specify the server authorization type

                        .. data:: all = 0

                        .. data:: any = 1

                        .. data:: session_key = 2

                        """

                        all = Enum.YLeaf(0, "all")

                        any = Enum.YLeaf(1, "any")

                        session_key = Enum.YLeaf(2, "session-key")



                    class Client(Entity):
                        """
                        Specify a RADIUS client
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        .. attribute:: dtls
                        
                        	Enable DTLS for the client
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	 Virtual Routing/Forwarding parameters
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf>`
                        
                        .. attribute:: server_key
                        
                        	Specify a RADIUS client server\-key
                        	**type**\:  :py:class:`ServerKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.DynamicAuthor.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "dynamic-author"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"server-key" : ("server_key", Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey)}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf)}

                            self.ip = YLeaf(YType.str, "ip")

                            self.dtls = YLeaf(YType.empty, "dtls")

                            self.server_key = Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey()
                            self.server_key.parent = self
                            self._children_name_map["server_key"] = "server-key"
                            self._children_yang_names.add("server-key")

                            self.vrf = YList(self)
                            self._segment_path = lambda: "client" + "[ip='" + self.ip.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/dynamic-author/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.DynamicAuthor.Client, ['ip', 'dtls'], name, value)


                        class Vrf(Entity):
                            """
                             Virtual Routing/Forwarding parameters
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: dtls
                            
                            	Enable DTLS for the client
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: server_key
                            
                            	Specify a RADIUS client server\-key
                            	**type**\:  :py:class:`ServerKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf.ServerKey>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"server-key" : ("server_key", Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf.ServerKey)}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.dtls = YLeaf(YType.empty, "dtls")

                                self.server_key = Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf.ServerKey()
                                self.server_key.parent = self
                                self._children_name_map["server_key"] = "server-key"
                                self._children_yang_names.add("server-key")
                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf, ['name', 'dtls'], name, value)


                            class ServerKey(Entity):
                                """
                                Specify a RADIUS client server\-key
                                
                                .. attribute:: key
                                
                                	
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf.ServerKey.Key>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf.ServerKey, self).__init__()

                                    self.yang_name = "server-key"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.key = YLeaf(YType.enumeration, "key")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "server-key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.DynamicAuthor.Client.Vrf.ServerKey, ['key', 'string'], name, value)

                                class Key(Enum):
                                    """
                                    Key

                                    .. data:: Y_0 = 0

                                    .. data:: Y_6 = 1

                                    .. data:: Y_7 = 2

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_6 = Enum.YLeaf(1, "6")

                                    Y_7 = Enum.YLeaf(2, "7")



                        class ServerKey(Entity):
                            """
                            Specify a RADIUS client server\-key
                            
                            .. attribute:: key
                            
                            	
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey.Key>`
                            
                            .. attribute:: string
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey, self).__init__()

                                self.yang_name = "server-key"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key = YLeaf(YType.enumeration, "key")

                                self.string = YLeaf(YType.str, "string")
                                self._segment_path = lambda: "server-key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.DynamicAuthor.Client.ServerKey, ['key', 'string'], name, value)

                            class Key(Enum):
                                """
                                Key

                                .. data:: Y_0 = 0

                                .. data:: Y_6 = 1

                                .. data:: Y_7 = 2

                                """

                                Y_0 = Enum.YLeaf(0, "0")

                                Y_6 = Enum.YLeaf(1, "6")

                                Y_7 = Enum.YLeaf(2, "7")



                    class ServerKey(Entity):
                        """
                        Specify a RADIUS client server\-key
                        
                        .. attribute:: key
                        
                        	
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.ServerKey.Key>`
                        
                        .. attribute:: string
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.DynamicAuthor.ServerKey, self).__init__()

                            self.yang_name = "server-key"
                            self.yang_parent_name = "dynamic-author"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key = YLeaf(YType.enumeration, "key")

                            self.string = YLeaf(YType.str, "string")
                            self._segment_path = lambda: "server-key"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/dynamic-author/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.DynamicAuthor.ServerKey, ['key', 'string'], name, value)

                        class Key(Enum):
                            """
                            Key

                            .. data:: Y_0 = 0

                            .. data:: Y_6 = 1

                            .. data:: Y_7 = 2

                            """

                            Y_0 = Enum.YLeaf(0, "0")

                            Y_6 = Enum.YLeaf(1, "6")

                            Y_7 = Enum.YLeaf(2, "7")



                    class Domain(Entity):
                        """
                        Username domain options
                        
                        .. attribute:: delimiter
                        
                        	Domain delimiter, Choose from {@, /, $, %, \\, #, \-}
                        	**type**\: str
                        
                        .. attribute:: stripping
                        
                        	Match incoming username left oriented of the @ domain delimiter
                        	**type**\:  :py:class:`Stripping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.DynamicAuthor.Domain.Stripping>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.DynamicAuthor.Domain, self).__init__()

                            self.yang_name = "domain"
                            self.yang_parent_name = "dynamic-author"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"stripping" : ("stripping", Native.Aaa.Server.Radius.DynamicAuthor.Domain.Stripping)}
                            self._child_list_classes = {}

                            self.delimiter = YLeaf(YType.str, "delimiter")

                            self.stripping = None
                            self._children_name_map["stripping"] = "stripping"
                            self._children_yang_names.add("stripping")
                            self._segment_path = lambda: "domain"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/dynamic-author/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.DynamicAuthor.Domain, ['delimiter'], name, value)


                        class Stripping(Entity):
                            """
                            Match incoming username left oriented of the @ domain delimiter
                            
                            .. attribute:: right_to_left
                            
                            	Terminate the string at the first delimiter going from right to left
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.DynamicAuthor.Domain.Stripping, self).__init__()

                                self.yang_name = "stripping"
                                self.yang_parent_name = "domain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.right_to_left = YLeaf(YType.empty, "right-to-left")
                                self._segment_path = lambda: "stripping"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/dynamic-author/domain/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.DynamicAuthor.Domain.Stripping, ['right_to_left'], name, value)


                    class Ignore(Entity):
                        """
                        Override behaviour to ignore certain parameters
                        
                        .. attribute:: retransmission
                        
                        	Drop packets using same radius id
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: server_key
                        
                        	Ignore shared secret
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: session_key
                        
                        	Ignore attr 151
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.DynamicAuthor.Ignore, self).__init__()

                            self.yang_name = "ignore"
                            self.yang_parent_name = "dynamic-author"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.retransmission = YLeaf(YType.empty, "retransmission")

                            self.server_key = YLeaf(YType.empty, "server-key")

                            self.session_key = YLeaf(YType.empty, "session-key")
                            self._segment_path = lambda: "ignore"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/dynamic-author/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.DynamicAuthor.Ignore, ['retransmission', 'server_key', 'session_key'], name, value)


                class PolicyDevice(Entity):
                    """
                    Local server profile for RADIUS External Policy Delegation client
                    
                    .. attribute:: accounting
                    
                    	Specify accounting details
                    	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.PolicyDevice.Accounting>`
                    
                    .. attribute:: authentication
                    
                    	Specify authentication details
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.PolicyDevice.Authentication>`
                    
                    .. attribute:: client
                    
                    	Specify a RADIUS client
                    	**type**\: list of  		 :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.PolicyDevice.Client>`
                    
                    .. attribute:: key
                    
                    	Specify a RADIUS client
                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.PolicyDevice.Key>`
                    
                    .. attribute:: message_authenticator
                    
                    	Message Authenticator attribute from Clients
                    	**type**\:  :py:class:`MessageAuthenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.PolicyDevice.MessageAuthenticator>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Server.Radius.PolicyDevice, self).__init__()

                        self.yang_name = "policy-device"
                        self.yang_parent_name = "radius"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"accounting" : ("accounting", Native.Aaa.Server.Radius.PolicyDevice.Accounting), "authentication" : ("authentication", Native.Aaa.Server.Radius.PolicyDevice.Authentication), "key" : ("key", Native.Aaa.Server.Radius.PolicyDevice.Key), "message-authenticator" : ("message_authenticator", Native.Aaa.Server.Radius.PolicyDevice.MessageAuthenticator)}
                        self._child_list_classes = {"client" : ("client", Native.Aaa.Server.Radius.PolicyDevice.Client)}
                        self.is_presence_container = True

                        self.accounting = Native.Aaa.Server.Radius.PolicyDevice.Accounting()
                        self.accounting.parent = self
                        self._children_name_map["accounting"] = "accounting"
                        self._children_yang_names.add("accounting")

                        self.authentication = Native.Aaa.Server.Radius.PolicyDevice.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.key = Native.Aaa.Server.Radius.PolicyDevice.Key()
                        self.key.parent = self
                        self._children_name_map["key"] = "key"
                        self._children_yang_names.add("key")

                        self.message_authenticator = Native.Aaa.Server.Radius.PolicyDevice.MessageAuthenticator()
                        self.message_authenticator.parent = self
                        self._children_name_map["message_authenticator"] = "message-authenticator"
                        self._children_yang_names.add("message-authenticator")

                        self.client = YList(self)
                        self._segment_path = lambda: "policy-device"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Server.Radius.PolicyDevice, [], name, value)


                    class Accounting(Entity):
                        """
                        Specify accounting details
                        
                        .. attribute:: port
                        
                        	Radius server port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.PolicyDevice.Accounting, self).__init__()

                            self.yang_name = "accounting"
                            self.yang_parent_name = "policy-device"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port = YLeaf(YType.uint16, "port")
                            self._segment_path = lambda: "accounting"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/policy-device/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.PolicyDevice.Accounting, ['port'], name, value)


                    class Authentication(Entity):
                        """
                        Specify authentication details
                        
                        .. attribute:: port
                        
                        	Radius server port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.PolicyDevice.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "policy-device"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port = YLeaf(YType.uint16, "port")
                            self._segment_path = lambda: "authentication"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/policy-device/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.PolicyDevice.Authentication, ['port'], name, value)


                    class Client(Entity):
                        """
                        Specify a RADIUS client
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        .. attribute:: port
                        
                        	Port on which radius client listens for CoA messages (default is 3799)
                        	**type**\: int
                        
                        	**range:** 0..65534
                        
                        .. attribute:: vrf
                        
                        	 Virtual Routing/Forwarding parameters
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.PolicyDevice.Client.Vrf>`
                        
                        .. attribute:: key
                        
                        	Specify a RADIUS client
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.PolicyDevice.Client.Key>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.PolicyDevice.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "policy-device"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"key" : ("key", Native.Aaa.Server.Radius.PolicyDevice.Client.Key)}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Aaa.Server.Radius.PolicyDevice.Client.Vrf)}

                            self.ip = YLeaf(YType.str, "ip")

                            self.port = YLeaf(YType.uint16, "port")

                            self.key = Native.Aaa.Server.Radius.PolicyDevice.Client.Key()
                            self.key.parent = self
                            self._children_name_map["key"] = "key"
                            self._children_yang_names.add("key")

                            self.vrf = YList(self)
                            self._segment_path = lambda: "client" + "[ip='" + self.ip.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/policy-device/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.PolicyDevice.Client, ['ip', 'port'], name, value)


                        class Vrf(Entity):
                            """
                             Virtual Routing/Forwarding parameters
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: port
                            
                            	Port on which radius client listens for CoA messages (default is 3799)
                            	**type**\: int
                            
                            	**range:** 0..65534
                            
                            .. attribute:: key
                            
                            	Specify a RADIUS client
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.PolicyDevice.Client.Vrf.Key>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.PolicyDevice.Client.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key" : ("key", Native.Aaa.Server.Radius.PolicyDevice.Client.Vrf.Key)}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.port = YLeaf(YType.uint16, "port")

                                self.key = Native.Aaa.Server.Radius.PolicyDevice.Client.Vrf.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.PolicyDevice.Client.Vrf, ['name', 'port'], name, value)


                            class Key(Entity):
                                """
                                Specify a RADIUS client
                                
                                .. attribute:: key
                                
                                	
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.PolicyDevice.Client.Vrf.Key.Key>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.PolicyDevice.Client.Vrf.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.key = YLeaf(YType.enumeration, "key")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.PolicyDevice.Client.Vrf.Key, ['key', 'string'], name, value)

                                class Key(Enum):
                                    """
                                    Key

                                    .. data:: Y_0 = 0

                                    .. data:: Y_6 = 1

                                    .. data:: Y_7 = 2

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_6 = Enum.YLeaf(1, "6")

                                    Y_7 = Enum.YLeaf(2, "7")



                        class Key(Entity):
                            """
                            Specify a RADIUS client
                            
                            .. attribute:: key
                            
                            	
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.PolicyDevice.Client.Key.Key>`
                            
                            .. attribute:: string
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.PolicyDevice.Client.Key, self).__init__()

                                self.yang_name = "key"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key = YLeaf(YType.enumeration, "key")

                                self.string = YLeaf(YType.str, "string")
                                self._segment_path = lambda: "key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.PolicyDevice.Client.Key, ['key', 'string'], name, value)

                            class Key(Enum):
                                """
                                Key

                                .. data:: Y_0 = 0

                                .. data:: Y_6 = 1

                                .. data:: Y_7 = 2

                                """

                                Y_0 = Enum.YLeaf(0, "0")

                                Y_6 = Enum.YLeaf(1, "6")

                                Y_7 = Enum.YLeaf(2, "7")



                    class Key(Entity):
                        """
                        Specify a RADIUS client
                        
                        .. attribute:: key
                        
                        	
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.PolicyDevice.Key.Key>`
                        
                        .. attribute:: string
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.PolicyDevice.Key, self).__init__()

                            self.yang_name = "key"
                            self.yang_parent_name = "policy-device"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key = YLeaf(YType.enumeration, "key")

                            self.string = YLeaf(YType.str, "string")
                            self._segment_path = lambda: "key"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/policy-device/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.PolicyDevice.Key, ['key', 'string'], name, value)

                        class Key(Enum):
                            """
                            Key

                            .. data:: Y_0 = 0

                            .. data:: Y_6 = 1

                            .. data:: Y_7 = 2

                            """

                            Y_0 = Enum.YLeaf(0, "0")

                            Y_6 = Enum.YLeaf(1, "6")

                            Y_7 = Enum.YLeaf(2, "7")



                    class MessageAuthenticator(Entity):
                        """
                        Message Authenticator attribute from Clients
                        
                        .. attribute:: ignore
                        
                        	Ignore checking of Message Authenticator attribute from\\ Clients
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.PolicyDevice.MessageAuthenticator, self).__init__()

                            self.yang_name = "message-authenticator"
                            self.yang_parent_name = "policy-device"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "message-authenticator"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/policy-device/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.PolicyDevice.MessageAuthenticator, ['ignore'], name, value)


                class Proxy(Entity):
                    """
                    Local server profile for RADIUS proxy clients
                    
                    .. attribute:: accounting
                    
                    	Specify accounting details
                    	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Accounting>`
                    
                    .. attribute:: authentication
                    
                    	Specify authentication details
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Authentication>`
                    
                    .. attribute:: calling_station_id
                    
                    	Specify format of Calling\-Station\-Id, attribute\\ 31.Default format is to expect mac\-address in\\ calling\-station\-id
                    	**type**\:  :py:class:`CallingStationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId>`
                    
                    .. attribute:: eap_user
                    
                    	EAP users
                    	**type**\:  :py:class:`EapUser <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.EapUser>`
                    
                    .. attribute:: filter
                    
                    	Configure filter
                    	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Filter>`
                    
                    .. attribute:: key
                    
                    	Specify a RADIUS client
                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Key>`
                    
                    .. attribute:: message_authenticator
                    
                    	Message Authenticator attribute from Clients
                    	**type**\:  :py:class:`MessageAuthenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.MessageAuthenticator>`
                    
                    .. attribute:: mode
                    
                    	Radius Proxy Pass thru mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Mode>`
                    
                    .. attribute:: pwlan_session
                    
                    	PWLAN Reconnect feature
                    	**type**\:  :py:class:`PwlanSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.PwlanSession>`
                    
                    .. attribute:: re_authentication
                    
                    	Specify re\-authentication details
                    	**type**\:  :py:class:`ReAuthentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ReAuthentication>`
                    
                    .. attribute:: session_identifier
                    
                    	This attribute will be used to correlate Radius \\ requests of a session and to identify sessions within \\ radius\-proxy
                    	**type**\:  :py:class:`SessionIdentifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.SessionIdentifier>`
                    
                    .. attribute:: timer
                    
                    	Configure RADIUS proxy timer values
                    	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Timer>`
                    
                    .. attribute:: client_ip
                    
                    	
                    	**type**\:  :py:class:`ClientIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp>`
                    
                    .. attribute:: client_ip_mask
                    
                    	
                    	**type**\:  :py:class:`ClientIpMask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask>`
                    
                    .. attribute:: client_ip_vrf
                    
                    	
                    	**type**\:  :py:class:`ClientIpVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf>`
                    
                    .. attribute:: client_ip_mask_vrf
                    
                    	
                    	**type**\:  :py:class:`ClientIpMaskVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf>`
                    
                    .. attribute:: send
                    
                    	Send attributes in Radius requests
                    	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Send>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Server.Radius.Proxy, self).__init__()

                        self.yang_name = "proxy"
                        self.yang_parent_name = "radius"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"accounting" : ("accounting", Native.Aaa.Server.Radius.Proxy.Accounting), "authentication" : ("authentication", Native.Aaa.Server.Radius.Proxy.Authentication), "calling-station-id" : ("calling_station_id", Native.Aaa.Server.Radius.Proxy.CallingStationId), "eap-user" : ("eap_user", Native.Aaa.Server.Radius.Proxy.EapUser), "filter" : ("filter", Native.Aaa.Server.Radius.Proxy.Filter), "key" : ("key", Native.Aaa.Server.Radius.Proxy.Key), "message-authenticator" : ("message_authenticator", Native.Aaa.Server.Radius.Proxy.MessageAuthenticator), "mode" : ("mode", Native.Aaa.Server.Radius.Proxy.Mode), "pwlan-session" : ("pwlan_session", Native.Aaa.Server.Radius.Proxy.PwlanSession), "re-authentication" : ("re_authentication", Native.Aaa.Server.Radius.Proxy.ReAuthentication), "session-identifier" : ("session_identifier", Native.Aaa.Server.Radius.Proxy.SessionIdentifier), "timer" : ("timer", Native.Aaa.Server.Radius.Proxy.Timer), "client-ip" : ("client_ip", Native.Aaa.Server.Radius.Proxy.ClientIp), "client-ip-mask" : ("client_ip_mask", Native.Aaa.Server.Radius.Proxy.ClientIpMask), "client-ip-vrf" : ("client_ip_vrf", Native.Aaa.Server.Radius.Proxy.ClientIpVrf), "client-ip-mask-vrf" : ("client_ip_mask_vrf", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf), "send" : ("send", Native.Aaa.Server.Radius.Proxy.Send)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.accounting = Native.Aaa.Server.Radius.Proxy.Accounting()
                        self.accounting.parent = self
                        self._children_name_map["accounting"] = "accounting"
                        self._children_yang_names.add("accounting")

                        self.authentication = Native.Aaa.Server.Radius.Proxy.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.calling_station_id = Native.Aaa.Server.Radius.Proxy.CallingStationId()
                        self.calling_station_id.parent = self
                        self._children_name_map["calling_station_id"] = "calling-station-id"
                        self._children_yang_names.add("calling-station-id")

                        self.eap_user = Native.Aaa.Server.Radius.Proxy.EapUser()
                        self.eap_user.parent = self
                        self._children_name_map["eap_user"] = "eap-user"
                        self._children_yang_names.add("eap-user")

                        self.filter = Native.Aaa.Server.Radius.Proxy.Filter()
                        self.filter.parent = self
                        self._children_name_map["filter"] = "filter"
                        self._children_yang_names.add("filter")

                        self.key = Native.Aaa.Server.Radius.Proxy.Key()
                        self.key.parent = self
                        self._children_name_map["key"] = "key"
                        self._children_yang_names.add("key")

                        self.message_authenticator = Native.Aaa.Server.Radius.Proxy.MessageAuthenticator()
                        self.message_authenticator.parent = self
                        self._children_name_map["message_authenticator"] = "message-authenticator"
                        self._children_yang_names.add("message-authenticator")

                        self.mode = Native.Aaa.Server.Radius.Proxy.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")

                        self.pwlan_session = Native.Aaa.Server.Radius.Proxy.PwlanSession()
                        self.pwlan_session.parent = self
                        self._children_name_map["pwlan_session"] = "pwlan-session"
                        self._children_yang_names.add("pwlan-session")

                        self.re_authentication = Native.Aaa.Server.Radius.Proxy.ReAuthentication()
                        self.re_authentication.parent = self
                        self._children_name_map["re_authentication"] = "re-authentication"
                        self._children_yang_names.add("re-authentication")

                        self.session_identifier = Native.Aaa.Server.Radius.Proxy.SessionIdentifier()
                        self.session_identifier.parent = self
                        self._children_name_map["session_identifier"] = "session-identifier"
                        self._children_yang_names.add("session-identifier")

                        self.timer = Native.Aaa.Server.Radius.Proxy.Timer()
                        self.timer.parent = self
                        self._children_name_map["timer"] = "timer"
                        self._children_yang_names.add("timer")

                        self.client_ip = Native.Aaa.Server.Radius.Proxy.ClientIp()
                        self.client_ip.parent = self
                        self._children_name_map["client_ip"] = "client-ip"
                        self._children_yang_names.add("client-ip")

                        self.client_ip_mask = Native.Aaa.Server.Radius.Proxy.ClientIpMask()
                        self.client_ip_mask.parent = self
                        self._children_name_map["client_ip_mask"] = "client-ip-mask"
                        self._children_yang_names.add("client-ip-mask")

                        self.client_ip_vrf = Native.Aaa.Server.Radius.Proxy.ClientIpVrf()
                        self.client_ip_vrf.parent = self
                        self._children_name_map["client_ip_vrf"] = "client-ip-vrf"
                        self._children_yang_names.add("client-ip-vrf")

                        self.client_ip_mask_vrf = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf()
                        self.client_ip_mask_vrf.parent = self
                        self._children_name_map["client_ip_mask_vrf"] = "client-ip-mask-vrf"
                        self._children_yang_names.add("client-ip-mask-vrf")

                        self.send = Native.Aaa.Server.Radius.Proxy.Send()
                        self.send.parent = self
                        self._children_name_map["send"] = "send"
                        self._children_yang_names.add("send")
                        self._segment_path = lambda: "proxy"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/%s" % self._segment_path()


                    class Accounting(Entity):
                        """
                        Specify accounting details
                        
                        .. attribute:: method_list
                        
                        	Authentication method list details
                        	**type**\:  :py:class:`MethodList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Accounting.MethodList>`
                        
                        .. attribute:: port
                        
                        	Radius server port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.Accounting, self).__init__()

                            self.yang_name = "accounting"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"method-list" : ("method_list", Native.Aaa.Server.Radius.Proxy.Accounting.MethodList)}
                            self._child_list_classes = {}

                            self.port = YLeaf(YType.uint16, "port")

                            self.method_list = Native.Aaa.Server.Radius.Proxy.Accounting.MethodList()
                            self.method_list.parent = self
                            self._children_name_map["method_list"] = "method-list"
                            self._children_yang_names.add("method-list")
                            self._segment_path = lambda: "accounting"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Accounting, ['port'], name, value)


                        class MethodList(Entity):
                            """
                            Authentication method list details
                            
                            .. attribute:: method_name
                            
                            	Method list name
                            	**type**\: str
                            
                            .. attribute:: default
                            
                            	The default authentication list
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.Accounting.MethodList, self).__init__()

                                self.yang_name = "method-list"
                                self.yang_parent_name = "accounting"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.method_name = YLeaf(YType.str, "method-name")

                                self.default = YLeaf(YType.empty, "default")
                                self._segment_path = lambda: "method-list"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/accounting/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Accounting.MethodList, ['method_name', 'default'], name, value)


                    class Authentication(Entity):
                        """
                        Specify authentication details
                        
                        .. attribute:: method_list
                        
                        	Authentication method list details
                        	**type**\:  :py:class:`MethodList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Authentication.MethodList>`
                        
                        .. attribute:: port
                        
                        	Radius server port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"method-list" : ("method_list", Native.Aaa.Server.Radius.Proxy.Authentication.MethodList)}
                            self._child_list_classes = {}

                            self.port = YLeaf(YType.uint16, "port")

                            self.method_list = Native.Aaa.Server.Radius.Proxy.Authentication.MethodList()
                            self.method_list.parent = self
                            self._children_name_map["method_list"] = "method-list"
                            self._children_yang_names.add("method-list")
                            self._segment_path = lambda: "authentication"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Authentication, ['port'], name, value)


                        class MethodList(Entity):
                            """
                            Authentication method list details
                            
                            .. attribute:: method_name
                            
                            	Method list name
                            	**type**\: str
                            
                            .. attribute:: default
                            
                            	The default authentication list
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.Authentication.MethodList, self).__init__()

                                self.yang_name = "method-list"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.method_name = YLeaf(YType.str, "method-name")

                                self.default = YLeaf(YType.empty, "default")
                                self._segment_path = lambda: "method-list"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/authentication/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Authentication.MethodList, ['method_name', 'default'], name, value)


                    class CallingStationId(Entity):
                        """
                        Specify format of Calling\-Station\-Id, attribute\\
                        31.Default format is to expect mac\-address in\\
                        calling\-station\-id
                        
                        .. attribute:: format
                        
                        	Specify the format as MAC or MSISDN
                        	**type**\:  :py:class:`Format <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.CallingStationId, self).__init__()

                            self.yang_name = "calling-station-id"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"format" : ("format", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format)}
                            self._child_list_classes = {}

                            self.format = Native.Aaa.Server.Radius.Proxy.CallingStationId.Format()
                            self.format.parent = self
                            self._children_name_map["format"] = "format"
                            self._children_yang_names.add("format")
                            self._segment_path = lambda: "calling-station-id"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()


                        class Format(Entity):
                            """
                            Specify the format as MAC or MSISDN
                            
                            .. attribute:: mac_address
                            
                            	Expect MAC address to be present in CLID
                            	**type**\:  :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress>`
                            
                            .. attribute:: msisdn
                            
                            	Expect MSISDN value to be present in CLID
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format, self).__init__()

                                self.yang_name = "format"
                                self.yang_parent_name = "calling-station-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"mac-address" : ("mac_address", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress)}
                                self._child_list_classes = {}

                                self.msisdn = YLeaf(YType.empty, "msisdn")

                                self.mac_address = Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress()
                                self.mac_address.parent = self
                                self._children_name_map["mac_address"] = "mac-address"
                                self._children_yang_names.add("mac-address")
                                self._segment_path = lambda: "format"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format, ['msisdn'], name, value)


                            class MacAddress(Entity):
                                """
                                Expect MAC address to be present in CLID
                                
                                .. attribute:: default
                                
                                	format ex\: 0000.4096.3e4a
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Default>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ietf
                                
                                	format ex\: 00\-00\-40\-96\-3E\-4A
                                	**type**\:  :py:class:`Ietf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Ietf>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: none
                                
                                	format unspecified
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: one_byte
                                
                                	format ex\: 00.00.40.96.3e.4a
                                	**type**\:  :py:class:`OneByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte>`
                                
                                .. attribute:: three_byte
                                
                                	format ex\: 000040.963e4a
                                	**type**\:  :py:class:`ThreeByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte>`
                                
                                .. attribute:: two_byte
                                
                                	format ex\: 0000.4096.3e4a
                                	**type**\:  :py:class:`TwoByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte>`
                                
                                .. attribute:: unformatted
                                
                                	format ex\: 000040963e4a
                                	**type**\:  :py:class:`Unformatted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Unformatted>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress, self).__init__()

                                    self.yang_name = "mac-address"
                                    self.yang_parent_name = "format"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"default" : ("default", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Default), "ietf" : ("ietf", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Ietf), "one-byte" : ("one_byte", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte), "three-byte" : ("three_byte", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte), "two-byte" : ("two_byte", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte), "unformatted" : ("unformatted", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Unformatted)}
                                    self._child_list_classes = {}

                                    self.none = YLeaf(YType.empty, "none")

                                    self.default = None
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.ietf = None
                                    self._children_name_map["ietf"] = "ietf"
                                    self._children_yang_names.add("ietf")

                                    self.one_byte = Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte()
                                    self.one_byte.parent = self
                                    self._children_name_map["one_byte"] = "one-byte"
                                    self._children_yang_names.add("one-byte")

                                    self.three_byte = Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte()
                                    self.three_byte.parent = self
                                    self._children_name_map["three_byte"] = "three-byte"
                                    self._children_yang_names.add("three-byte")

                                    self.two_byte = Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte()
                                    self.two_byte.parent = self
                                    self._children_name_map["two_byte"] = "two-byte"
                                    self._children_yang_names.add("two-byte")

                                    self.unformatted = None
                                    self._children_name_map["unformatted"] = "unformatted"
                                    self._children_yang_names.add("unformatted")
                                    self._segment_path = lambda: "mac-address"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress, ['none'], name, value)


                                class Default(Entity):
                                    """
                                    format ex\: 0000.4096.3e4a
                                    
                                    .. attribute:: type
                                    
                                    	
                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Default.Type>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "mac-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.type = YLeaf(YType.enumeration, "type")
                                        self._segment_path = lambda: "default"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Default, ['type'], name, value)

                                    class Type(Enum):
                                        """
                                        Type

                                        .. data:: lower_case = 0

                                        .. data:: upper_case = 1

                                        """

                                        lower_case = Enum.YLeaf(0, "lower-case")

                                        upper_case = Enum.YLeaf(1, "upper-case")



                                class Ietf(Entity):
                                    """
                                    format ex\: 00\-00\-40\-96\-3E\-4A
                                    
                                    .. attribute:: type
                                    
                                    	
                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Ietf.Type>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Ietf, self).__init__()

                                        self.yang_name = "ietf"
                                        self.yang_parent_name = "mac-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.type = YLeaf(YType.enumeration, "type")
                                        self._segment_path = lambda: "ietf"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Ietf, ['type'], name, value)

                                    class Type(Enum):
                                        """
                                        Type

                                        .. data:: lower_case = 0

                                        .. data:: upper_case = 1

                                        """

                                        lower_case = Enum.YLeaf(0, "lower-case")

                                        upper_case = Enum.YLeaf(1, "upper-case")



                                class OneByte(Entity):
                                    """
                                    format ex\: 00.00.40.96.3e.4a
                                    
                                    .. attribute:: delimiter
                                    
                                    	
                                    	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte, self).__init__()

                                        self.yang_name = "one-byte"
                                        self.yang_parent_name = "mac-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter)}
                                        self._child_list_classes = {}

                                        self.delimiter = Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter()
                                        self.delimiter.parent = self
                                        self._children_name_map["delimiter"] = "delimiter"
                                        self._children_yang_names.add("delimiter")
                                        self._segment_path = lambda: "one-byte"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/%s" % self._segment_path()


                                    class Delimiter(Entity):
                                        """
                                        
                                        
                                        .. attribute:: colon
                                        
                                        	
                                        	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: dot
                                        
                                        	
                                        	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: hyphen
                                        
                                        	
                                        	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter, self).__init__()

                                            self.yang_name = "delimiter"
                                            self.yang_parent_name = "one-byte"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen)}
                                            self._child_list_classes = {}

                                            self.colon = None
                                            self._children_name_map["colon"] = "colon"
                                            self._children_yang_names.add("colon")

                                            self.dot = None
                                            self._children_name_map["dot"] = "dot"
                                            self._children_yang_names.add("dot")

                                            self.hyphen = None
                                            self._children_name_map["hyphen"] = "hyphen"
                                            self._children_yang_names.add("hyphen")
                                            self._segment_path = lambda: "delimiter"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/one-byte/%s" % self._segment_path()


                                        class Colon(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon, self).__init__()

                                                self.yang_name = "colon"
                                                self.yang_parent_name = "delimiter"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "colon"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/one-byte/delimiter/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class Dot(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot, self).__init__()

                                                self.yang_name = "dot"
                                                self.yang_parent_name = "delimiter"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "dot"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/one-byte/delimiter/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class Hyphen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen, self).__init__()

                                                self.yang_name = "hyphen"
                                                self.yang_parent_name = "delimiter"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "hyphen"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/one-byte/delimiter/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                class ThreeByte(Entity):
                                    """
                                    format ex\: 000040.963e4a
                                    
                                    .. attribute:: delimiter
                                    
                                    	
                                    	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte, self).__init__()

                                        self.yang_name = "three-byte"
                                        self.yang_parent_name = "mac-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter)}
                                        self._child_list_classes = {}

                                        self.delimiter = Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter()
                                        self.delimiter.parent = self
                                        self._children_name_map["delimiter"] = "delimiter"
                                        self._children_yang_names.add("delimiter")
                                        self._segment_path = lambda: "three-byte"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/%s" % self._segment_path()


                                    class Delimiter(Entity):
                                        """
                                        
                                        
                                        .. attribute:: colon
                                        
                                        	
                                        	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: dot
                                        
                                        	
                                        	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: hyphen
                                        
                                        	
                                        	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter, self).__init__()

                                            self.yang_name = "delimiter"
                                            self.yang_parent_name = "three-byte"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen)}
                                            self._child_list_classes = {}

                                            self.colon = None
                                            self._children_name_map["colon"] = "colon"
                                            self._children_yang_names.add("colon")

                                            self.dot = None
                                            self._children_name_map["dot"] = "dot"
                                            self._children_yang_names.add("dot")

                                            self.hyphen = None
                                            self._children_name_map["hyphen"] = "hyphen"
                                            self._children_yang_names.add("hyphen")
                                            self._segment_path = lambda: "delimiter"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/three-byte/%s" % self._segment_path()


                                        class Colon(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon, self).__init__()

                                                self.yang_name = "colon"
                                                self.yang_parent_name = "delimiter"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "colon"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/three-byte/delimiter/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class Dot(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot, self).__init__()

                                                self.yang_name = "dot"
                                                self.yang_parent_name = "delimiter"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "dot"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/three-byte/delimiter/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class Hyphen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen, self).__init__()

                                                self.yang_name = "hyphen"
                                                self.yang_parent_name = "delimiter"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "hyphen"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/three-byte/delimiter/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                class TwoByte(Entity):
                                    """
                                    format ex\: 0000.4096.3e4a
                                    
                                    .. attribute:: delimiter
                                    
                                    	
                                    	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte, self).__init__()

                                        self.yang_name = "two-byte"
                                        self.yang_parent_name = "mac-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter)}
                                        self._child_list_classes = {}

                                        self.delimiter = Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter()
                                        self.delimiter.parent = self
                                        self._children_name_map["delimiter"] = "delimiter"
                                        self._children_yang_names.add("delimiter")
                                        self._segment_path = lambda: "two-byte"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/%s" % self._segment_path()


                                    class Delimiter(Entity):
                                        """
                                        
                                        
                                        .. attribute:: colon
                                        
                                        	
                                        	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: dot
                                        
                                        	
                                        	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: hyphen
                                        
                                        	
                                        	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter, self).__init__()

                                            self.yang_name = "delimiter"
                                            self.yang_parent_name = "two-byte"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen)}
                                            self._child_list_classes = {}

                                            self.colon = None
                                            self._children_name_map["colon"] = "colon"
                                            self._children_yang_names.add("colon")

                                            self.dot = None
                                            self._children_name_map["dot"] = "dot"
                                            self._children_yang_names.add("dot")

                                            self.hyphen = None
                                            self._children_name_map["hyphen"] = "hyphen"
                                            self._children_yang_names.add("hyphen")
                                            self._segment_path = lambda: "delimiter"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/two-byte/%s" % self._segment_path()


                                        class Colon(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon, self).__init__()

                                                self.yang_name = "colon"
                                                self.yang_parent_name = "delimiter"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "colon"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/two-byte/delimiter/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class Dot(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot, self).__init__()

                                                self.yang_name = "dot"
                                                self.yang_parent_name = "delimiter"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "dot"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/two-byte/delimiter/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class Hyphen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen, self).__init__()

                                                self.yang_name = "hyphen"
                                                self.yang_parent_name = "delimiter"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "hyphen"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/two-byte/delimiter/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                class Unformatted(Entity):
                                    """
                                    format ex\: 000040963e4a
                                    
                                    .. attribute:: type
                                    
                                    	
                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Unformatted.Type>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Unformatted, self).__init__()

                                        self.yang_name = "unformatted"
                                        self.yang_parent_name = "mac-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.type = YLeaf(YType.enumeration, "type")
                                        self._segment_path = lambda: "unformatted"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/calling-station-id/format/mac-address/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.CallingStationId.Format.MacAddress.Unformatted, ['type'], name, value)

                                    class Type(Enum):
                                        """
                                        Type

                                        .. data:: lower_case = 0

                                        .. data:: upper_case = 1

                                        """

                                        lower_case = Enum.YLeaf(0, "lower-case")

                                        upper_case = Enum.YLeaf(1, "upper-case")



                    class EapUser(Entity):
                        """
                        EAP users
                        
                        .. attribute:: ignore_open_session
                        
                        	for EAP authenticated users, open\-session is not supported
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.EapUser, self).__init__()

                            self.yang_name = "eap-user"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore_open_session = YLeaf(YType.empty, "ignore-open-session")
                            self._segment_path = lambda: "eap-user"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.EapUser, ['ignore_open_session'], name, value)


                    class Filter(Entity):
                        """
                        Configure filter
                        
                        .. attribute:: access
                        
                        	For access requests
                        	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Filter.Access>`
                        
                        .. attribute:: accounting
                        
                        	For accounting requests
                        	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Filter.Accounting>`
                        
                        .. attribute:: attribute
                        
                        	Filter attributes in packets sent to clients
                        	**type**\:  :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Filter.Attribute>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.Filter, self).__init__()

                            self.yang_name = "filter"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"access" : ("access", Native.Aaa.Server.Radius.Proxy.Filter.Access), "accounting" : ("accounting", Native.Aaa.Server.Radius.Proxy.Filter.Accounting), "attribute" : ("attribute", Native.Aaa.Server.Radius.Proxy.Filter.Attribute)}
                            self._child_list_classes = {}

                            self.access = Native.Aaa.Server.Radius.Proxy.Filter.Access()
                            self.access.parent = self
                            self._children_name_map["access"] = "access"
                            self._children_yang_names.add("access")

                            self.accounting = Native.Aaa.Server.Radius.Proxy.Filter.Accounting()
                            self.accounting.parent = self
                            self._children_name_map["accounting"] = "accounting"
                            self._children_yang_names.add("accounting")

                            self.attribute = Native.Aaa.Server.Radius.Proxy.Filter.Attribute()
                            self.attribute.parent = self
                            self._children_name_map["attribute"] = "attribute"
                            self._children_yang_names.add("attribute")
                            self._segment_path = lambda: "filter"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()


                        class Access(Entity):
                            """
                            For access requests
                            
                            .. attribute:: ack
                            
                            	Acknowledge the packet
                            	**type**\:  :py:class:`Ack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Filter.Access.Ack>`
                            
                            .. attribute:: drop
                            
                            	Drop the packet
                            	**type**\:  :py:class:`Drop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Filter.Access.Drop>`
                            
                            .. attribute:: ignore
                            
                            	Ignore the packet for applying ISG features
                            	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Filter.Access.Ignore>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.Filter.Access, self).__init__()

                                self.yang_name = "access"
                                self.yang_parent_name = "filter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"ack" : ("ack", Native.Aaa.Server.Radius.Proxy.Filter.Access.Ack), "drop" : ("drop", Native.Aaa.Server.Radius.Proxy.Filter.Access.Drop), "ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.Filter.Access.Ignore)}
                                self._child_list_classes = {}

                                self.ack = Native.Aaa.Server.Radius.Proxy.Filter.Access.Ack()
                                self.ack.parent = self
                                self._children_name_map["ack"] = "ack"
                                self._children_yang_names.add("ack")

                                self.drop = Native.Aaa.Server.Radius.Proxy.Filter.Access.Drop()
                                self.drop.parent = self
                                self._children_name_map["drop"] = "drop"
                                self._children_yang_names.add("drop")

                                self.ignore = Native.Aaa.Server.Radius.Proxy.Filter.Access.Ignore()
                                self.ignore.parent = self
                                self._children_name_map["ignore"] = "ignore"
                                self._children_yang_names.add("ignore")
                                self._segment_path = lambda: "access"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/filter/%s" % self._segment_path()


                            class Ack(Entity):
                                """
                                Acknowledge the packet
                                
                                .. attribute:: word1
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word2
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word3
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word4
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.Filter.Access.Ack, self).__init__()

                                    self.yang_name = "ack"
                                    self.yang_parent_name = "access"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.word1 = YLeaf(YType.str, "word1")

                                    self.word2 = YLeaf(YType.str, "word2")

                                    self.word3 = YLeaf(YType.str, "word3")

                                    self.word4 = YLeaf(YType.str, "word4")
                                    self._segment_path = lambda: "ack"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/filter/access/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Filter.Access.Ack, ['word1', 'word2', 'word3', 'word4'], name, value)


                            class Drop(Entity):
                                """
                                Drop the packet
                                
                                .. attribute:: word1
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word2
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word3
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word4
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.Filter.Access.Drop, self).__init__()

                                    self.yang_name = "drop"
                                    self.yang_parent_name = "access"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.word1 = YLeaf(YType.str, "word1")

                                    self.word2 = YLeaf(YType.str, "word2")

                                    self.word3 = YLeaf(YType.str, "word3")

                                    self.word4 = YLeaf(YType.str, "word4")
                                    self._segment_path = lambda: "drop"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/filter/access/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Filter.Access.Drop, ['word1', 'word2', 'word3', 'word4'], name, value)


                            class Ignore(Entity):
                                """
                                Ignore the packet for applying ISG features
                                
                                .. attribute:: word1
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word2
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word3
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word4
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.Filter.Access.Ignore, self).__init__()

                                    self.yang_name = "ignore"
                                    self.yang_parent_name = "access"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.word1 = YLeaf(YType.str, "word1")

                                    self.word2 = YLeaf(YType.str, "word2")

                                    self.word3 = YLeaf(YType.str, "word3")

                                    self.word4 = YLeaf(YType.str, "word4")
                                    self._segment_path = lambda: "ignore"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/filter/access/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Filter.Access.Ignore, ['word1', 'word2', 'word3', 'word4'], name, value)


                        class Accounting(Entity):
                            """
                            For accounting requests
                            
                            .. attribute:: ack
                            
                            	Acknowledge the packet
                            	**type**\:  :py:class:`Ack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Ack>`
                            
                            .. attribute:: drop
                            
                            	Drop the packet
                            	**type**\:  :py:class:`Drop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Drop>`
                            
                            .. attribute:: ignore
                            
                            	Ignore the packet for applying ISG features
                            	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Ignore>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.Filter.Accounting, self).__init__()

                                self.yang_name = "accounting"
                                self.yang_parent_name = "filter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"ack" : ("ack", Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Ack), "drop" : ("drop", Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Drop), "ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Ignore)}
                                self._child_list_classes = {}

                                self.ack = Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Ack()
                                self.ack.parent = self
                                self._children_name_map["ack"] = "ack"
                                self._children_yang_names.add("ack")

                                self.drop = Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Drop()
                                self.drop.parent = self
                                self._children_name_map["drop"] = "drop"
                                self._children_yang_names.add("drop")

                                self.ignore = Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Ignore()
                                self.ignore.parent = self
                                self._children_name_map["ignore"] = "ignore"
                                self._children_yang_names.add("ignore")
                                self._segment_path = lambda: "accounting"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/filter/%s" % self._segment_path()


                            class Ack(Entity):
                                """
                                Acknowledge the packet
                                
                                .. attribute:: word1
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word2
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word3
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word4
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Ack, self).__init__()

                                    self.yang_name = "ack"
                                    self.yang_parent_name = "accounting"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.word1 = YLeaf(YType.str, "word1")

                                    self.word2 = YLeaf(YType.str, "word2")

                                    self.word3 = YLeaf(YType.str, "word3")

                                    self.word4 = YLeaf(YType.str, "word4")
                                    self._segment_path = lambda: "ack"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/filter/accounting/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Ack, ['word1', 'word2', 'word3', 'word4'], name, value)


                            class Drop(Entity):
                                """
                                Drop the packet
                                
                                .. attribute:: word1
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word2
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word3
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word4
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Drop, self).__init__()

                                    self.yang_name = "drop"
                                    self.yang_parent_name = "accounting"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.word1 = YLeaf(YType.str, "word1")

                                    self.word2 = YLeaf(YType.str, "word2")

                                    self.word3 = YLeaf(YType.str, "word3")

                                    self.word4 = YLeaf(YType.str, "word4")
                                    self._segment_path = lambda: "drop"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/filter/accounting/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Drop, ['word1', 'word2', 'word3', 'word4'], name, value)


                            class Ignore(Entity):
                                """
                                Ignore the packet for applying ISG features
                                
                                .. attribute:: word1
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word2
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word3
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                .. attribute:: word4
                                
                                	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Ignore, self).__init__()

                                    self.yang_name = "ignore"
                                    self.yang_parent_name = "accounting"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.word1 = YLeaf(YType.str, "word1")

                                    self.word2 = YLeaf(YType.str, "word2")

                                    self.word3 = YLeaf(YType.str, "word3")

                                    self.word4 = YLeaf(YType.str, "word4")
                                    self._segment_path = lambda: "ignore"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/filter/accounting/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Filter.Accounting.Ignore, ['word1', 'word2', 'word3', 'word4'], name, value)


                        class Attribute(Entity):
                            """
                            Filter attributes in packets sent to clients
                            
                            .. attribute:: allow
                            
                            	Allow only the attributes specified in the list
                            	**type**\: str
                            
                            .. attribute:: block
                            
                            	Block the attributes specified in the list
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.Filter.Attribute, self).__init__()

                                self.yang_name = "attribute"
                                self.yang_parent_name = "filter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.allow = YLeaf(YType.str, "allow")

                                self.block = YLeaf(YType.str, "block")
                                self._segment_path = lambda: "attribute"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/filter/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Filter.Attribute, ['allow', 'block'], name, value)


                    class Key(Entity):
                        """
                        Specify a RADIUS client
                        
                        .. attribute:: key
                        
                        	
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Key.Key>`
                        
                        .. attribute:: string
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.Key, self).__init__()

                            self.yang_name = "key"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key = YLeaf(YType.enumeration, "key")

                            self.string = YLeaf(YType.str, "string")
                            self._segment_path = lambda: "key"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Key, ['key', 'string'], name, value)

                        class Key(Enum):
                            """
                            Key

                            .. data:: Y_0 = 0

                            .. data:: Y_6 = 1

                            .. data:: Y_7 = 2

                            """

                            Y_0 = Enum.YLeaf(0, "0")

                            Y_6 = Enum.YLeaf(1, "6")

                            Y_7 = Enum.YLeaf(2, "7")



                    class MessageAuthenticator(Entity):
                        """
                        Message Authenticator attribute from Clients
                        
                        .. attribute:: ignore
                        
                        	Ignore checking of Message Authenticator attribute from\\ Clients
                        	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.MessageAuthenticator.Ignore>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.MessageAuthenticator, self).__init__()

                            self.yang_name = "message-authenticator"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.MessageAuthenticator.Ignore)}
                            self._child_list_classes = {}

                            self.ignore = None
                            self._children_name_map["ignore"] = "ignore"
                            self._children_yang_names.add("ignore")
                            self._segment_path = lambda: "message-authenticator"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()


                        class Ignore(Entity):
                            """
                            Ignore checking of Message Authenticator attribute from\\
                            Clients
                            
                            .. attribute:: accounting
                            
                            	Ignore checking of Message Authenticator attribute from\\ accounting packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.MessageAuthenticator.Ignore, self).__init__()

                                self.yang_name = "ignore"
                                self.yang_parent_name = "message-authenticator"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.accounting = YLeaf(YType.empty, "accounting")
                                self._segment_path = lambda: "ignore"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/message-authenticator/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.MessageAuthenticator.Ignore, ['accounting'], name, value)


                    class Mode(Entity):
                        """
                        Radius Proxy Pass thru mode
                        
                        .. attribute:: pass_through
                        
                        	Enable the pass\-through mode for Radius Proxy
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.pass_through = YLeaf(YType.empty, "pass-through")
                            self._segment_path = lambda: "mode"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Mode, ['pass_through'], name, value)


                    class PwlanSession(Entity):
                        """
                        PWLAN Reconnect feature
                        
                        .. attribute:: reconnect
                        
                        	Enable the reconnect feature for PWLAN RP sessions
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.PwlanSession, self).__init__()

                            self.yang_name = "pwlan-session"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.reconnect = YLeaf(YType.empty, "reconnect")
                            self._segment_path = lambda: "pwlan-session"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.PwlanSession, ['reconnect'], name, value)


                    class ReAuthentication(Entity):
                        """
                        Specify re\-authentication details
                        
                        .. attribute:: do_not_apply
                        
                        	Do not apply new data during re\-authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.ReAuthentication, self).__init__()

                            self.yang_name = "re-authentication"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.do_not_apply = YLeaf(YType.empty, "do-not-apply")
                            self._segment_path = lambda: "re-authentication"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ReAuthentication, ['do_not_apply'], name, value)


                    class SessionIdentifier(Entity):
                        """
                        This attribute will be used to correlate Radius \\
                        requests of a session and to identify sessions within \\
                        radius\-proxy
                        
                        .. attribute:: attribute
                        
                        	Specify an IETF Radius attribute
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: vsa
                        
                        	Specify Vendor\-Specific Attribute
                        	**type**\:  :py:class:`Vsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.SessionIdentifier.Vsa>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.SessionIdentifier, self).__init__()

                            self.yang_name = "session-identifier"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"vsa" : ("vsa", Native.Aaa.Server.Radius.Proxy.SessionIdentifier.Vsa)}
                            self._child_list_classes = {}

                            self.attribute = YLeaf(YType.uint8, "attribute")

                            self.vsa = Native.Aaa.Server.Radius.Proxy.SessionIdentifier.Vsa()
                            self.vsa.parent = self
                            self._children_name_map["vsa"] = "vsa"
                            self._children_yang_names.add("vsa")
                            self._segment_path = lambda: "session-identifier"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.SessionIdentifier, ['attribute'], name, value)


                        class Vsa(Entity):
                            """
                            Specify Vendor\-Specific Attribute
                            
                            .. attribute:: vendor
                            
                            	Specify the vendor type
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: type
                            
                            	Give attribute type for vsa
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.SessionIdentifier.Vsa, self).__init__()

                                self.yang_name = "vsa"
                                self.yang_parent_name = "session-identifier"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vendor = YLeaf(YType.uint16, "vendor")

                                self.type = YLeaf(YType.uint8, "type")
                                self._segment_path = lambda: "vsa"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/session-identifier/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.SessionIdentifier.Vsa, ['vendor', 'type'], name, value)


                    class Timer(Entity):
                        """
                        Configure RADIUS proxy timer values
                        
                        .. attribute:: disconnect
                        
                        	Specify disconnect timer
                        	**type**\:  :py:class:`Disconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Timer.Disconnect>`
                        
                        .. attribute:: ip_address
                        
                        	Specify value of wait for IP timer
                        	**type**\: int
                        
                        	**range:** 0..43200
                        
                        .. attribute:: reconnect
                        
                        	Specify value of wait for reconnect timer
                        	**type**\: int
                        
                        	**range:** 0..43200
                        
                        .. attribute:: request
                        
                        	Specify value of wait for Access\-Request timer
                        	**type**\: int
                        
                        	**range:** 0..43200
                        
                        .. attribute:: roaming
                        
                        	Specify value of wait for roaming timer
                        	**type**\: int
                        
                        	**range:** 0..43200
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.Timer, self).__init__()

                            self.yang_name = "timer"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"disconnect" : ("disconnect", Native.Aaa.Server.Radius.Proxy.Timer.Disconnect)}
                            self._child_list_classes = {}

                            self.ip_address = YLeaf(YType.uint16, "ip-address")

                            self.reconnect = YLeaf(YType.uint16, "reconnect")

                            self.request = YLeaf(YType.uint16, "request")

                            self.roaming = YLeaf(YType.uint16, "roaming")

                            self.disconnect = Native.Aaa.Server.Radius.Proxy.Timer.Disconnect()
                            self.disconnect.parent = self
                            self._children_name_map["disconnect"] = "disconnect"
                            self._children_yang_names.add("disconnect")
                            self._segment_path = lambda: "timer"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Timer, ['ip_address', 'reconnect', 'request', 'roaming'], name, value)


                        class Disconnect(Entity):
                            """
                            Specify disconnect timer
                            
                            .. attribute:: acct_stop
                            
                            	Specify disconnect delay timer for accounting stop
                            	**type**\: int
                            
                            	**range:** 0..43200
                            
                            .. attribute:: reauth_fail
                            
                            	Specify disconnect delay timer for reauthentication failure
                            	**type**\: int
                            
                            	**range:** 0..43200
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.Timer.Disconnect, self).__init__()

                                self.yang_name = "disconnect"
                                self.yang_parent_name = "timer"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.acct_stop = YLeaf(YType.uint16, "acct-stop")

                                self.reauth_fail = YLeaf(YType.uint16, "reauth-fail")
                                self._segment_path = lambda: "disconnect"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/timer/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Timer.Disconnect, ['acct_stop', 'reauth_fail'], name, value)


                    class ClientIp(Entity):
                        """
                        
                        
                        .. attribute:: client
                        
                        	Specify a RADIUS client
                        	**type**\: list of  		 :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.ClientIp, self).__init__()

                            self.yang_name = "client-ip"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"client" : ("client", Native.Aaa.Server.Radius.Proxy.ClientIp.Client)}

                            self.client = YList(self)
                            self._segment_path = lambda: "client-ip"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp, [], name, value)


                        class Client(Entity):
                            """
                            Specify a RADIUS client
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            .. attribute:: accounting
                            
                            	Specify accounting details
                            	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Accounting>`
                            
                            .. attribute:: authentication
                            
                            	Specify authentication details
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Authentication>`
                            
                            .. attribute:: calling_station_id
                            
                            	Specify format of Calling\-Station\-Id, attribute\\ 31.Default format is to expect mac\-address in\\ calling\-station\-id
                            	**type**\:  :py:class:`CallingStationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId>`
                            
                            .. attribute:: eap_user
                            
                            	EAP users
                            	**type**\:  :py:class:`EapUser <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.EapUser>`
                            
                            .. attribute:: filter
                            
                            	Configure filter
                            	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter>`
                            
                            .. attribute:: key
                            
                            	Specify a RADIUS client
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Key>`
                            
                            .. attribute:: message_authenticator
                            
                            	Message Authenticator attribute from Clients
                            	**type**\:  :py:class:`MessageAuthenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.MessageAuthenticator>`
                            
                            .. attribute:: mode
                            
                            	Radius Proxy Pass thru mode
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Mode>`
                            
                            .. attribute:: pwlan_session
                            
                            	PWLAN Reconnect feature
                            	**type**\:  :py:class:`PwlanSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.PwlanSession>`
                            
                            .. attribute:: re_authentication
                            
                            	Specify re\-authentication details
                            	**type**\:  :py:class:`ReAuthentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.ReAuthentication>`
                            
                            .. attribute:: session_identifier
                            
                            	This attribute will be used to correlate Radius \\ requests of a session and to identify sessions within \\ radius\-proxy
                            	**type**\:  :py:class:`SessionIdentifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.SessionIdentifier>`
                            
                            .. attribute:: timer
                            
                            	Configure RADIUS proxy timer values
                            	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Timer>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client, self).__init__()

                                self.yang_name = "client"
                                self.yang_parent_name = "client-ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"accounting" : ("accounting", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Accounting), "authentication" : ("authentication", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Authentication), "calling-station-id" : ("calling_station_id", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId), "eap-user" : ("eap_user", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.EapUser), "filter" : ("filter", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter), "key" : ("key", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Key), "message-authenticator" : ("message_authenticator", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.MessageAuthenticator), "mode" : ("mode", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Mode), "pwlan-session" : ("pwlan_session", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.PwlanSession), "re-authentication" : ("re_authentication", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.ReAuthentication), "session-identifier" : ("session_identifier", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.SessionIdentifier), "timer" : ("timer", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Timer)}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.str, "ip")

                                self.accounting = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Accounting()
                                self.accounting.parent = self
                                self._children_name_map["accounting"] = "accounting"
                                self._children_yang_names.add("accounting")

                                self.authentication = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")

                                self.calling_station_id = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId()
                                self.calling_station_id.parent = self
                                self._children_name_map["calling_station_id"] = "calling-station-id"
                                self._children_yang_names.add("calling-station-id")

                                self.eap_user = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.EapUser()
                                self.eap_user.parent = self
                                self._children_name_map["eap_user"] = "eap-user"
                                self._children_yang_names.add("eap-user")

                                self.filter = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter()
                                self.filter.parent = self
                                self._children_name_map["filter"] = "filter"
                                self._children_yang_names.add("filter")

                                self.key = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")

                                self.message_authenticator = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.MessageAuthenticator()
                                self.message_authenticator.parent = self
                                self._children_name_map["message_authenticator"] = "message-authenticator"
                                self._children_yang_names.add("message-authenticator")

                                self.mode = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Mode()
                                self.mode.parent = self
                                self._children_name_map["mode"] = "mode"
                                self._children_yang_names.add("mode")

                                self.pwlan_session = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.PwlanSession()
                                self.pwlan_session.parent = self
                                self._children_name_map["pwlan_session"] = "pwlan-session"
                                self._children_yang_names.add("pwlan-session")

                                self.re_authentication = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.ReAuthentication()
                                self.re_authentication.parent = self
                                self._children_name_map["re_authentication"] = "re-authentication"
                                self._children_yang_names.add("re-authentication")

                                self.session_identifier = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.SessionIdentifier()
                                self.session_identifier.parent = self
                                self._children_name_map["session_identifier"] = "session-identifier"
                                self._children_yang_names.add("session-identifier")

                                self.timer = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Timer()
                                self.timer.parent = self
                                self._children_name_map["timer"] = "timer"
                                self._children_yang_names.add("timer")
                                self._segment_path = lambda: "client" + "[ip='" + self.ip.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/client-ip/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client, ['ip'], name, value)


                            class Accounting(Entity):
                                """
                                Specify accounting details
                                
                                .. attribute:: method_list
                                
                                	Authentication method list details
                                	**type**\:  :py:class:`MethodList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Accounting.MethodList>`
                                
                                .. attribute:: port
                                
                                	Radius server port
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Accounting, self).__init__()

                                    self.yang_name = "accounting"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"method-list" : ("method_list", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Accounting.MethodList)}
                                    self._child_list_classes = {}

                                    self.port = YLeaf(YType.uint16, "port")

                                    self.method_list = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Accounting.MethodList()
                                    self.method_list.parent = self
                                    self._children_name_map["method_list"] = "method-list"
                                    self._children_yang_names.add("method-list")
                                    self._segment_path = lambda: "accounting"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Accounting, ['port'], name, value)


                                class MethodList(Entity):
                                    """
                                    Authentication method list details
                                    
                                    .. attribute:: method_name
                                    
                                    	Method list name
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	The default authentication list
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Accounting.MethodList, self).__init__()

                                        self.yang_name = "method-list"
                                        self.yang_parent_name = "accounting"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.method_name = YLeaf(YType.str, "method-name")

                                        self.default = YLeaf(YType.empty, "default")
                                        self._segment_path = lambda: "method-list"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Accounting.MethodList, ['method_name', 'default'], name, value)


                            class Authentication(Entity):
                                """
                                Specify authentication details
                                
                                .. attribute:: method_list
                                
                                	Authentication method list details
                                	**type**\:  :py:class:`MethodList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Authentication.MethodList>`
                                
                                .. attribute:: port
                                
                                	Radius server port
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"method-list" : ("method_list", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Authentication.MethodList)}
                                    self._child_list_classes = {}

                                    self.port = YLeaf(YType.uint16, "port")

                                    self.method_list = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Authentication.MethodList()
                                    self.method_list.parent = self
                                    self._children_name_map["method_list"] = "method-list"
                                    self._children_yang_names.add("method-list")
                                    self._segment_path = lambda: "authentication"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Authentication, ['port'], name, value)


                                class MethodList(Entity):
                                    """
                                    Authentication method list details
                                    
                                    .. attribute:: method_name
                                    
                                    	Method list name
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	The default authentication list
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Authentication.MethodList, self).__init__()

                                        self.yang_name = "method-list"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.method_name = YLeaf(YType.str, "method-name")

                                        self.default = YLeaf(YType.empty, "default")
                                        self._segment_path = lambda: "method-list"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Authentication.MethodList, ['method_name', 'default'], name, value)


                            class CallingStationId(Entity):
                                """
                                Specify format of Calling\-Station\-Id, attribute\\
                                31.Default format is to expect mac\-address in\\
                                calling\-station\-id
                                
                                .. attribute:: format
                                
                                	Specify the format as MAC or MSISDN
                                	**type**\:  :py:class:`Format <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId, self).__init__()

                                    self.yang_name = "calling-station-id"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"format" : ("format", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format)}
                                    self._child_list_classes = {}

                                    self.format = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format()
                                    self.format.parent = self
                                    self._children_name_map["format"] = "format"
                                    self._children_yang_names.add("format")
                                    self._segment_path = lambda: "calling-station-id"


                                class Format(Entity):
                                    """
                                    Specify the format as MAC or MSISDN
                                    
                                    .. attribute:: mac_address
                                    
                                    	Expect MAC address to be present in CLID
                                    	**type**\:  :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress>`
                                    
                                    .. attribute:: msisdn
                                    
                                    	Expect MSISDN value to be present in CLID
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format, self).__init__()

                                        self.yang_name = "format"
                                        self.yang_parent_name = "calling-station-id"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac-address" : ("mac_address", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress)}
                                        self._child_list_classes = {}

                                        self.msisdn = YLeaf(YType.empty, "msisdn")

                                        self.mac_address = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress()
                                        self.mac_address.parent = self
                                        self._children_name_map["mac_address"] = "mac-address"
                                        self._children_yang_names.add("mac-address")
                                        self._segment_path = lambda: "format"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format, ['msisdn'], name, value)


                                    class MacAddress(Entity):
                                        """
                                        Expect MAC address to be present in CLID
                                        
                                        .. attribute:: default
                                        
                                        	format ex\: 0000.4096.3e4a
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Default>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ietf
                                        
                                        	format ex\: 00\-00\-40\-96\-3E\-4A
                                        	**type**\:  :py:class:`Ietf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Ietf>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: none
                                        
                                        	format unspecified
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: one_byte
                                        
                                        	format ex\: 00.00.40.96.3e.4a
                                        	**type**\:  :py:class:`OneByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte>`
                                        
                                        .. attribute:: three_byte
                                        
                                        	format ex\: 000040.963e4a
                                        	**type**\:  :py:class:`ThreeByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte>`
                                        
                                        .. attribute:: two_byte
                                        
                                        	format ex\: 0000.4096.3e4a
                                        	**type**\:  :py:class:`TwoByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte>`
                                        
                                        .. attribute:: unformatted
                                        
                                        	format ex\: 000040963e4a
                                        	**type**\:  :py:class:`Unformatted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Unformatted>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress, self).__init__()

                                            self.yang_name = "mac-address"
                                            self.yang_parent_name = "format"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Default), "ietf" : ("ietf", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Ietf), "one-byte" : ("one_byte", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte), "three-byte" : ("three_byte", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte), "two-byte" : ("two_byte", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte), "unformatted" : ("unformatted", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Unformatted)}
                                            self._child_list_classes = {}

                                            self.none = YLeaf(YType.empty, "none")

                                            self.default = None
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.ietf = None
                                            self._children_name_map["ietf"] = "ietf"
                                            self._children_yang_names.add("ietf")

                                            self.one_byte = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte()
                                            self.one_byte.parent = self
                                            self._children_name_map["one_byte"] = "one-byte"
                                            self._children_yang_names.add("one-byte")

                                            self.three_byte = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte()
                                            self.three_byte.parent = self
                                            self._children_name_map["three_byte"] = "three-byte"
                                            self._children_yang_names.add("three-byte")

                                            self.two_byte = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte()
                                            self.two_byte.parent = self
                                            self._children_name_map["two_byte"] = "two-byte"
                                            self._children_yang_names.add("two-byte")

                                            self.unformatted = None
                                            self._children_name_map["unformatted"] = "unformatted"
                                            self._children_yang_names.add("unformatted")
                                            self._segment_path = lambda: "mac-address"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress, ['none'], name, value)


                                        class Default(Entity):
                                            """
                                            format ex\: 0000.4096.3e4a
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Default.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Default, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class Ietf(Entity):
                                            """
                                            format ex\: 00\-00\-40\-96\-3E\-4A
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Ietf.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Ietf, self).__init__()

                                                self.yang_name = "ietf"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "ietf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Ietf, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class OneByte(Entity):
                                            """
                                            format ex\: 00.00.40.96.3e.4a
                                            
                                            .. attribute:: delimiter
                                            
                                            	
                                            	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter>`
                                            
                                            

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte, self).__init__()

                                                self.yang_name = "one-byte"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter)}
                                                self._child_list_classes = {}

                                                self.delimiter = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter()
                                                self.delimiter.parent = self
                                                self._children_name_map["delimiter"] = "delimiter"
                                                self._children_yang_names.add("delimiter")
                                                self._segment_path = lambda: "one-byte"


                                            class Delimiter(Entity):
                                                """
                                                
                                                
                                                .. attribute:: colon
                                                
                                                	
                                                	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: dot
                                                
                                                	
                                                	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: hyphen
                                                
                                                	
                                                	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-aaa'
                                                _revision = '2017-09-05'

                                                def __init__(self):
                                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter, self).__init__()

                                                    self.yang_name = "delimiter"
                                                    self.yang_parent_name = "one-byte"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen)}
                                                    self._child_list_classes = {}

                                                    self.colon = None
                                                    self._children_name_map["colon"] = "colon"
                                                    self._children_yang_names.add("colon")

                                                    self.dot = None
                                                    self._children_name_map["dot"] = "dot"
                                                    self._children_yang_names.add("dot")

                                                    self.hyphen = None
                                                    self._children_name_map["hyphen"] = "hyphen"
                                                    self._children_yang_names.add("hyphen")
                                                    self._segment_path = lambda: "delimiter"


                                                class Colon(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon, self).__init__()

                                                        self.yang_name = "colon"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "colon"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Dot(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot, self).__init__()

                                                        self.yang_name = "dot"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "dot"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Hyphen(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen, self).__init__()

                                                        self.yang_name = "hyphen"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "hyphen"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                        class ThreeByte(Entity):
                                            """
                                            format ex\: 000040.963e4a
                                            
                                            .. attribute:: delimiter
                                            
                                            	
                                            	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter>`
                                            
                                            

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte, self).__init__()

                                                self.yang_name = "three-byte"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter)}
                                                self._child_list_classes = {}

                                                self.delimiter = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter()
                                                self.delimiter.parent = self
                                                self._children_name_map["delimiter"] = "delimiter"
                                                self._children_yang_names.add("delimiter")
                                                self._segment_path = lambda: "three-byte"


                                            class Delimiter(Entity):
                                                """
                                                
                                                
                                                .. attribute:: colon
                                                
                                                	
                                                	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: dot
                                                
                                                	
                                                	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: hyphen
                                                
                                                	
                                                	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-aaa'
                                                _revision = '2017-09-05'

                                                def __init__(self):
                                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter, self).__init__()

                                                    self.yang_name = "delimiter"
                                                    self.yang_parent_name = "three-byte"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen)}
                                                    self._child_list_classes = {}

                                                    self.colon = None
                                                    self._children_name_map["colon"] = "colon"
                                                    self._children_yang_names.add("colon")

                                                    self.dot = None
                                                    self._children_name_map["dot"] = "dot"
                                                    self._children_yang_names.add("dot")

                                                    self.hyphen = None
                                                    self._children_name_map["hyphen"] = "hyphen"
                                                    self._children_yang_names.add("hyphen")
                                                    self._segment_path = lambda: "delimiter"


                                                class Colon(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon, self).__init__()

                                                        self.yang_name = "colon"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "colon"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Dot(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot, self).__init__()

                                                        self.yang_name = "dot"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "dot"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Hyphen(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen, self).__init__()

                                                        self.yang_name = "hyphen"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "hyphen"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                        class TwoByte(Entity):
                                            """
                                            format ex\: 0000.4096.3e4a
                                            
                                            .. attribute:: delimiter
                                            
                                            	
                                            	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter>`
                                            
                                            

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte, self).__init__()

                                                self.yang_name = "two-byte"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter)}
                                                self._child_list_classes = {}

                                                self.delimiter = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter()
                                                self.delimiter.parent = self
                                                self._children_name_map["delimiter"] = "delimiter"
                                                self._children_yang_names.add("delimiter")
                                                self._segment_path = lambda: "two-byte"


                                            class Delimiter(Entity):
                                                """
                                                
                                                
                                                .. attribute:: colon
                                                
                                                	
                                                	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: dot
                                                
                                                	
                                                	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: hyphen
                                                
                                                	
                                                	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-aaa'
                                                _revision = '2017-09-05'

                                                def __init__(self):
                                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter, self).__init__()

                                                    self.yang_name = "delimiter"
                                                    self.yang_parent_name = "two-byte"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen)}
                                                    self._child_list_classes = {}

                                                    self.colon = None
                                                    self._children_name_map["colon"] = "colon"
                                                    self._children_yang_names.add("colon")

                                                    self.dot = None
                                                    self._children_name_map["dot"] = "dot"
                                                    self._children_yang_names.add("dot")

                                                    self.hyphen = None
                                                    self._children_name_map["hyphen"] = "hyphen"
                                                    self._children_yang_names.add("hyphen")
                                                    self._segment_path = lambda: "delimiter"


                                                class Colon(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon, self).__init__()

                                                        self.yang_name = "colon"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "colon"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Dot(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot, self).__init__()

                                                        self.yang_name = "dot"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "dot"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Hyphen(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen, self).__init__()

                                                        self.yang_name = "hyphen"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "hyphen"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                        class Unformatted(Entity):
                                            """
                                            format ex\: 000040963e4a
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Unformatted.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Unformatted, self).__init__()

                                                self.yang_name = "unformatted"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "unformatted"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.CallingStationId.Format.MacAddress.Unformatted, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                            class EapUser(Entity):
                                """
                                EAP users
                                
                                .. attribute:: ignore_open_session
                                
                                	for EAP authenticated users, open\-session is not supported
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.EapUser, self).__init__()

                                    self.yang_name = "eap-user"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore_open_session = YLeaf(YType.empty, "ignore-open-session")
                                    self._segment_path = lambda: "eap-user"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.EapUser, ['ignore_open_session'], name, value)


                            class Filter(Entity):
                                """
                                Configure filter
                                
                                .. attribute:: access
                                
                                	For access requests
                                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access>`
                                
                                .. attribute:: accounting
                                
                                	For accounting requests
                                	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting>`
                                
                                .. attribute:: attribute
                                
                                	Filter attributes in packets sent to clients
                                	**type**\:  :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Attribute>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter, self).__init__()

                                    self.yang_name = "filter"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"access" : ("access", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access), "accounting" : ("accounting", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting), "attribute" : ("attribute", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Attribute)}
                                    self._child_list_classes = {}

                                    self.access = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access()
                                    self.access.parent = self
                                    self._children_name_map["access"] = "access"
                                    self._children_yang_names.add("access")

                                    self.accounting = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting()
                                    self.accounting.parent = self
                                    self._children_name_map["accounting"] = "accounting"
                                    self._children_yang_names.add("accounting")

                                    self.attribute = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Attribute()
                                    self.attribute.parent = self
                                    self._children_name_map["attribute"] = "attribute"
                                    self._children_yang_names.add("attribute")
                                    self._segment_path = lambda: "filter"


                                class Access(Entity):
                                    """
                                    For access requests
                                    
                                    .. attribute:: ack
                                    
                                    	Acknowledge the packet
                                    	**type**\:  :py:class:`Ack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Ack>`
                                    
                                    .. attribute:: drop
                                    
                                    	Drop the packet
                                    	**type**\:  :py:class:`Drop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Drop>`
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore the packet for applying ISG features
                                    	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Ignore>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access, self).__init__()

                                        self.yang_name = "access"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ack" : ("ack", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Ack), "drop" : ("drop", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Drop), "ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Ignore)}
                                        self._child_list_classes = {}

                                        self.ack = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Ack()
                                        self.ack.parent = self
                                        self._children_name_map["ack"] = "ack"
                                        self._children_yang_names.add("ack")

                                        self.drop = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Drop()
                                        self.drop.parent = self
                                        self._children_name_map["drop"] = "drop"
                                        self._children_yang_names.add("drop")

                                        self.ignore = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Ignore()
                                        self.ignore.parent = self
                                        self._children_name_map["ignore"] = "ignore"
                                        self._children_yang_names.add("ignore")
                                        self._segment_path = lambda: "access"


                                    class Ack(Entity):
                                        """
                                        Acknowledge the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Ack, self).__init__()

                                            self.yang_name = "ack"
                                            self.yang_parent_name = "access"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ack"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Ack, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Drop(Entity):
                                        """
                                        Drop the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Drop, self).__init__()

                                            self.yang_name = "drop"
                                            self.yang_parent_name = "access"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "drop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Drop, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Ignore(Entity):
                                        """
                                        Ignore the packet for applying ISG features
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Ignore, self).__init__()

                                            self.yang_name = "ignore"
                                            self.yang_parent_name = "access"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ignore"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Access.Ignore, ['word1', 'word2', 'word3', 'word4'], name, value)


                                class Accounting(Entity):
                                    """
                                    For accounting requests
                                    
                                    .. attribute:: ack
                                    
                                    	Acknowledge the packet
                                    	**type**\:  :py:class:`Ack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Ack>`
                                    
                                    .. attribute:: drop
                                    
                                    	Drop the packet
                                    	**type**\:  :py:class:`Drop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Drop>`
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore the packet for applying ISG features
                                    	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Ignore>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting, self).__init__()

                                        self.yang_name = "accounting"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ack" : ("ack", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Ack), "drop" : ("drop", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Drop), "ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Ignore)}
                                        self._child_list_classes = {}

                                        self.ack = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Ack()
                                        self.ack.parent = self
                                        self._children_name_map["ack"] = "ack"
                                        self._children_yang_names.add("ack")

                                        self.drop = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Drop()
                                        self.drop.parent = self
                                        self._children_name_map["drop"] = "drop"
                                        self._children_yang_names.add("drop")

                                        self.ignore = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Ignore()
                                        self.ignore.parent = self
                                        self._children_name_map["ignore"] = "ignore"
                                        self._children_yang_names.add("ignore")
                                        self._segment_path = lambda: "accounting"


                                    class Ack(Entity):
                                        """
                                        Acknowledge the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Ack, self).__init__()

                                            self.yang_name = "ack"
                                            self.yang_parent_name = "accounting"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ack"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Ack, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Drop(Entity):
                                        """
                                        Drop the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Drop, self).__init__()

                                            self.yang_name = "drop"
                                            self.yang_parent_name = "accounting"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "drop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Drop, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Ignore(Entity):
                                        """
                                        Ignore the packet for applying ISG features
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Ignore, self).__init__()

                                            self.yang_name = "ignore"
                                            self.yang_parent_name = "accounting"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ignore"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Accounting.Ignore, ['word1', 'word2', 'word3', 'word4'], name, value)


                                class Attribute(Entity):
                                    """
                                    Filter attributes in packets sent to clients
                                    
                                    .. attribute:: allow
                                    
                                    	Allow only the attributes specified in the list
                                    	**type**\: str
                                    
                                    .. attribute:: block
                                    
                                    	Block the attributes specified in the list
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Attribute, self).__init__()

                                        self.yang_name = "attribute"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allow = YLeaf(YType.str, "allow")

                                        self.block = YLeaf(YType.str, "block")
                                        self._segment_path = lambda: "attribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Filter.Attribute, ['allow', 'block'], name, value)


                            class Key(Entity):
                                """
                                Specify a RADIUS client
                                
                                .. attribute:: key
                                
                                	
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Key.Key>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.key = YLeaf(YType.enumeration, "key")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Key, ['key', 'string'], name, value)

                                class Key(Enum):
                                    """
                                    Key

                                    .. data:: Y_0 = 0

                                    .. data:: Y_6 = 1

                                    .. data:: Y_7 = 2

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_6 = Enum.YLeaf(1, "6")

                                    Y_7 = Enum.YLeaf(2, "7")



                            class MessageAuthenticator(Entity):
                                """
                                Message Authenticator attribute from Clients
                                
                                .. attribute:: ignore
                                
                                	Ignore checking of Message Authenticator attribute from\\ Clients
                                	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.MessageAuthenticator.Ignore>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.MessageAuthenticator, self).__init__()

                                    self.yang_name = "message-authenticator"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.MessageAuthenticator.Ignore)}
                                    self._child_list_classes = {}

                                    self.ignore = None
                                    self._children_name_map["ignore"] = "ignore"
                                    self._children_yang_names.add("ignore")
                                    self._segment_path = lambda: "message-authenticator"


                                class Ignore(Entity):
                                    """
                                    Ignore checking of Message Authenticator attribute from\\
                                    Clients
                                    
                                    .. attribute:: accounting
                                    
                                    	Ignore checking of Message Authenticator attribute from\\ accounting packets
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.MessageAuthenticator.Ignore, self).__init__()

                                        self.yang_name = "ignore"
                                        self.yang_parent_name = "message-authenticator"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.accounting = YLeaf(YType.empty, "accounting")
                                        self._segment_path = lambda: "ignore"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.MessageAuthenticator.Ignore, ['accounting'], name, value)


                            class Mode(Entity):
                                """
                                Radius Proxy Pass thru mode
                                
                                .. attribute:: pass_through
                                
                                	Enable the pass\-through mode for Radius Proxy
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Mode, self).__init__()

                                    self.yang_name = "mode"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.pass_through = YLeaf(YType.empty, "pass-through")
                                    self._segment_path = lambda: "mode"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Mode, ['pass_through'], name, value)


                            class PwlanSession(Entity):
                                """
                                PWLAN Reconnect feature
                                
                                .. attribute:: reconnect
                                
                                	Enable the reconnect feature for PWLAN RP sessions
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.PwlanSession, self).__init__()

                                    self.yang_name = "pwlan-session"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reconnect = YLeaf(YType.empty, "reconnect")
                                    self._segment_path = lambda: "pwlan-session"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.PwlanSession, ['reconnect'], name, value)


                            class ReAuthentication(Entity):
                                """
                                Specify re\-authentication details
                                
                                .. attribute:: do_not_apply
                                
                                	Do not apply new data during re\-authentication
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.ReAuthentication, self).__init__()

                                    self.yang_name = "re-authentication"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.do_not_apply = YLeaf(YType.empty, "do-not-apply")
                                    self._segment_path = lambda: "re-authentication"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.ReAuthentication, ['do_not_apply'], name, value)


                            class SessionIdentifier(Entity):
                                """
                                This attribute will be used to correlate Radius \\
                                requests of a session and to identify sessions within \\
                                radius\-proxy
                                
                                .. attribute:: attribute
                                
                                	Specify an IETF Radius attribute
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: vsa
                                
                                	Specify Vendor\-Specific Attribute
                                	**type**\:  :py:class:`Vsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.SessionIdentifier.Vsa>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.SessionIdentifier, self).__init__()

                                    self.yang_name = "session-identifier"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"vsa" : ("vsa", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.SessionIdentifier.Vsa)}
                                    self._child_list_classes = {}

                                    self.attribute = YLeaf(YType.uint8, "attribute")

                                    self.vsa = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.SessionIdentifier.Vsa()
                                    self.vsa.parent = self
                                    self._children_name_map["vsa"] = "vsa"
                                    self._children_yang_names.add("vsa")
                                    self._segment_path = lambda: "session-identifier"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.SessionIdentifier, ['attribute'], name, value)


                                class Vsa(Entity):
                                    """
                                    Specify Vendor\-Specific Attribute
                                    
                                    .. attribute:: vendor
                                    
                                    	Specify the vendor type
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: type
                                    
                                    	Give attribute type for vsa
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.SessionIdentifier.Vsa, self).__init__()

                                        self.yang_name = "vsa"
                                        self.yang_parent_name = "session-identifier"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vendor = YLeaf(YType.uint16, "vendor")

                                        self.type = YLeaf(YType.uint8, "type")
                                        self._segment_path = lambda: "vsa"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.SessionIdentifier.Vsa, ['vendor', 'type'], name, value)


                            class Timer(Entity):
                                """
                                Configure RADIUS proxy timer values
                                
                                .. attribute:: disconnect
                                
                                	Specify disconnect timer
                                	**type**\:  :py:class:`Disconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Timer.Disconnect>`
                                
                                .. attribute:: ip_address
                                
                                	Specify value of wait for IP timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                .. attribute:: reconnect
                                
                                	Specify value of wait for reconnect timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                .. attribute:: request
                                
                                	Specify value of wait for Access\-Request timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                .. attribute:: roaming
                                
                                	Specify value of wait for roaming timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Timer, self).__init__()

                                    self.yang_name = "timer"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"disconnect" : ("disconnect", Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Timer.Disconnect)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.uint16, "ip-address")

                                    self.reconnect = YLeaf(YType.uint16, "reconnect")

                                    self.request = YLeaf(YType.uint16, "request")

                                    self.roaming = YLeaf(YType.uint16, "roaming")

                                    self.disconnect = Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Timer.Disconnect()
                                    self.disconnect.parent = self
                                    self._children_name_map["disconnect"] = "disconnect"
                                    self._children_yang_names.add("disconnect")
                                    self._segment_path = lambda: "timer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Timer, ['ip_address', 'reconnect', 'request', 'roaming'], name, value)


                                class Disconnect(Entity):
                                    """
                                    Specify disconnect timer
                                    
                                    .. attribute:: acct_stop
                                    
                                    	Specify disconnect delay timer for accounting stop
                                    	**type**\: int
                                    
                                    	**range:** 0..43200
                                    
                                    .. attribute:: reauth_fail
                                    
                                    	Specify disconnect delay timer for reauthentication failure
                                    	**type**\: int
                                    
                                    	**range:** 0..43200
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Timer.Disconnect, self).__init__()

                                        self.yang_name = "disconnect"
                                        self.yang_parent_name = "timer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.acct_stop = YLeaf(YType.uint16, "acct-stop")

                                        self.reauth_fail = YLeaf(YType.uint16, "reauth-fail")
                                        self._segment_path = lambda: "disconnect"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIp.Client.Timer.Disconnect, ['acct_stop', 'reauth_fail'], name, value)


                    class ClientIpMask(Entity):
                        """
                        
                        
                        .. attribute:: client
                        
                        	Specify a RADIUS client
                        	**type**\: list of  		 :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMask, self).__init__()

                            self.yang_name = "client-ip-mask"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"client" : ("client", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client)}

                            self.client = YList(self)
                            self._segment_path = lambda: "client-ip-mask"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask, [], name, value)


                        class Client(Entity):
                            """
                            Specify a RADIUS client
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            .. attribute:: mask  <key>
                            
                            	Network mask or prefix length
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** /(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: accounting
                            
                            	Specify accounting details
                            	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Accounting>`
                            
                            .. attribute:: authentication
                            
                            	Specify authentication details
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Authentication>`
                            
                            .. attribute:: calling_station_id
                            
                            	Specify format of Calling\-Station\-Id, attribute\\ 31.Default format is to expect mac\-address in\\ calling\-station\-id
                            	**type**\:  :py:class:`CallingStationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId>`
                            
                            .. attribute:: eap_user
                            
                            	EAP users
                            	**type**\:  :py:class:`EapUser <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.EapUser>`
                            
                            .. attribute:: filter
                            
                            	Configure filter
                            	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter>`
                            
                            .. attribute:: key
                            
                            	Specify a RADIUS client
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Key>`
                            
                            .. attribute:: message_authenticator
                            
                            	Message Authenticator attribute from Clients
                            	**type**\:  :py:class:`MessageAuthenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.MessageAuthenticator>`
                            
                            .. attribute:: mode
                            
                            	Radius Proxy Pass thru mode
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Mode>`
                            
                            .. attribute:: pwlan_session
                            
                            	PWLAN Reconnect feature
                            	**type**\:  :py:class:`PwlanSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.PwlanSession>`
                            
                            .. attribute:: re_authentication
                            
                            	Specify re\-authentication details
                            	**type**\:  :py:class:`ReAuthentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.ReAuthentication>`
                            
                            .. attribute:: session_identifier
                            
                            	This attribute will be used to correlate Radius \\ requests of a session and to identify sessions within \\ radius\-proxy
                            	**type**\:  :py:class:`SessionIdentifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.SessionIdentifier>`
                            
                            .. attribute:: timer
                            
                            	Configure RADIUS proxy timer values
                            	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Timer>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client, self).__init__()

                                self.yang_name = "client"
                                self.yang_parent_name = "client-ip-mask"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"accounting" : ("accounting", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Accounting), "authentication" : ("authentication", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Authentication), "calling-station-id" : ("calling_station_id", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId), "eap-user" : ("eap_user", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.EapUser), "filter" : ("filter", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter), "key" : ("key", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Key), "message-authenticator" : ("message_authenticator", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.MessageAuthenticator), "mode" : ("mode", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Mode), "pwlan-session" : ("pwlan_session", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.PwlanSession), "re-authentication" : ("re_authentication", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.ReAuthentication), "session-identifier" : ("session_identifier", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.SessionIdentifier), "timer" : ("timer", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Timer)}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.str, "ip")

                                self.mask = YLeaf(YType.str, "mask")

                                self.accounting = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Accounting()
                                self.accounting.parent = self
                                self._children_name_map["accounting"] = "accounting"
                                self._children_yang_names.add("accounting")

                                self.authentication = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")

                                self.calling_station_id = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId()
                                self.calling_station_id.parent = self
                                self._children_name_map["calling_station_id"] = "calling-station-id"
                                self._children_yang_names.add("calling-station-id")

                                self.eap_user = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.EapUser()
                                self.eap_user.parent = self
                                self._children_name_map["eap_user"] = "eap-user"
                                self._children_yang_names.add("eap-user")

                                self.filter = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter()
                                self.filter.parent = self
                                self._children_name_map["filter"] = "filter"
                                self._children_yang_names.add("filter")

                                self.key = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")

                                self.message_authenticator = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.MessageAuthenticator()
                                self.message_authenticator.parent = self
                                self._children_name_map["message_authenticator"] = "message-authenticator"
                                self._children_yang_names.add("message-authenticator")

                                self.mode = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Mode()
                                self.mode.parent = self
                                self._children_name_map["mode"] = "mode"
                                self._children_yang_names.add("mode")

                                self.pwlan_session = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.PwlanSession()
                                self.pwlan_session.parent = self
                                self._children_name_map["pwlan_session"] = "pwlan-session"
                                self._children_yang_names.add("pwlan-session")

                                self.re_authentication = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.ReAuthentication()
                                self.re_authentication.parent = self
                                self._children_name_map["re_authentication"] = "re-authentication"
                                self._children_yang_names.add("re-authentication")

                                self.session_identifier = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.SessionIdentifier()
                                self.session_identifier.parent = self
                                self._children_name_map["session_identifier"] = "session-identifier"
                                self._children_yang_names.add("session-identifier")

                                self.timer = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Timer()
                                self.timer.parent = self
                                self._children_name_map["timer"] = "timer"
                                self._children_yang_names.add("timer")
                                self._segment_path = lambda: "client" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/client-ip-mask/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client, ['ip', 'mask'], name, value)


                            class Accounting(Entity):
                                """
                                Specify accounting details
                                
                                .. attribute:: method_list
                                
                                	Authentication method list details
                                	**type**\:  :py:class:`MethodList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Accounting.MethodList>`
                                
                                .. attribute:: port
                                
                                	Radius server port
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Accounting, self).__init__()

                                    self.yang_name = "accounting"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"method-list" : ("method_list", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Accounting.MethodList)}
                                    self._child_list_classes = {}

                                    self.port = YLeaf(YType.uint16, "port")

                                    self.method_list = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Accounting.MethodList()
                                    self.method_list.parent = self
                                    self._children_name_map["method_list"] = "method-list"
                                    self._children_yang_names.add("method-list")
                                    self._segment_path = lambda: "accounting"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Accounting, ['port'], name, value)


                                class MethodList(Entity):
                                    """
                                    Authentication method list details
                                    
                                    .. attribute:: method_name
                                    
                                    	Method list name
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	The default authentication list
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Accounting.MethodList, self).__init__()

                                        self.yang_name = "method-list"
                                        self.yang_parent_name = "accounting"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.method_name = YLeaf(YType.str, "method-name")

                                        self.default = YLeaf(YType.empty, "default")
                                        self._segment_path = lambda: "method-list"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Accounting.MethodList, ['method_name', 'default'], name, value)


                            class Authentication(Entity):
                                """
                                Specify authentication details
                                
                                .. attribute:: method_list
                                
                                	Authentication method list details
                                	**type**\:  :py:class:`MethodList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Authentication.MethodList>`
                                
                                .. attribute:: port
                                
                                	Radius server port
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"method-list" : ("method_list", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Authentication.MethodList)}
                                    self._child_list_classes = {}

                                    self.port = YLeaf(YType.uint16, "port")

                                    self.method_list = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Authentication.MethodList()
                                    self.method_list.parent = self
                                    self._children_name_map["method_list"] = "method-list"
                                    self._children_yang_names.add("method-list")
                                    self._segment_path = lambda: "authentication"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Authentication, ['port'], name, value)


                                class MethodList(Entity):
                                    """
                                    Authentication method list details
                                    
                                    .. attribute:: method_name
                                    
                                    	Method list name
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	The default authentication list
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Authentication.MethodList, self).__init__()

                                        self.yang_name = "method-list"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.method_name = YLeaf(YType.str, "method-name")

                                        self.default = YLeaf(YType.empty, "default")
                                        self._segment_path = lambda: "method-list"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Authentication.MethodList, ['method_name', 'default'], name, value)


                            class CallingStationId(Entity):
                                """
                                Specify format of Calling\-Station\-Id, attribute\\
                                31.Default format is to expect mac\-address in\\
                                calling\-station\-id
                                
                                .. attribute:: format
                                
                                	Specify the format as MAC or MSISDN
                                	**type**\:  :py:class:`Format <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId, self).__init__()

                                    self.yang_name = "calling-station-id"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"format" : ("format", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format)}
                                    self._child_list_classes = {}

                                    self.format = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format()
                                    self.format.parent = self
                                    self._children_name_map["format"] = "format"
                                    self._children_yang_names.add("format")
                                    self._segment_path = lambda: "calling-station-id"


                                class Format(Entity):
                                    """
                                    Specify the format as MAC or MSISDN
                                    
                                    .. attribute:: mac_address
                                    
                                    	Expect MAC address to be present in CLID
                                    	**type**\:  :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress>`
                                    
                                    .. attribute:: msisdn
                                    
                                    	Expect MSISDN value to be present in CLID
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format, self).__init__()

                                        self.yang_name = "format"
                                        self.yang_parent_name = "calling-station-id"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac-address" : ("mac_address", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress)}
                                        self._child_list_classes = {}

                                        self.msisdn = YLeaf(YType.empty, "msisdn")

                                        self.mac_address = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress()
                                        self.mac_address.parent = self
                                        self._children_name_map["mac_address"] = "mac-address"
                                        self._children_yang_names.add("mac-address")
                                        self._segment_path = lambda: "format"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format, ['msisdn'], name, value)


                                    class MacAddress(Entity):
                                        """
                                        Expect MAC address to be present in CLID
                                        
                                        .. attribute:: default
                                        
                                        	format ex\: 0000.4096.3e4a
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Default>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ietf
                                        
                                        	format ex\: 00\-00\-40\-96\-3E\-4A
                                        	**type**\:  :py:class:`Ietf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Ietf>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: none
                                        
                                        	format unspecified
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: one_byte
                                        
                                        	format ex\: 00.00.40.96.3e.4a
                                        	**type**\:  :py:class:`OneByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte>`
                                        
                                        .. attribute:: three_byte
                                        
                                        	format ex\: 000040.963e4a
                                        	**type**\:  :py:class:`ThreeByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte>`
                                        
                                        .. attribute:: two_byte
                                        
                                        	format ex\: 0000.4096.3e4a
                                        	**type**\:  :py:class:`TwoByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte>`
                                        
                                        .. attribute:: unformatted
                                        
                                        	format ex\: 000040963e4a
                                        	**type**\:  :py:class:`Unformatted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Unformatted>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress, self).__init__()

                                            self.yang_name = "mac-address"
                                            self.yang_parent_name = "format"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Default), "ietf" : ("ietf", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Ietf), "one-byte" : ("one_byte", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte), "three-byte" : ("three_byte", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte), "two-byte" : ("two_byte", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte), "unformatted" : ("unformatted", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Unformatted)}
                                            self._child_list_classes = {}

                                            self.none = YLeaf(YType.empty, "none")

                                            self.default = None
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.ietf = None
                                            self._children_name_map["ietf"] = "ietf"
                                            self._children_yang_names.add("ietf")

                                            self.one_byte = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte()
                                            self.one_byte.parent = self
                                            self._children_name_map["one_byte"] = "one-byte"
                                            self._children_yang_names.add("one-byte")

                                            self.three_byte = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte()
                                            self.three_byte.parent = self
                                            self._children_name_map["three_byte"] = "three-byte"
                                            self._children_yang_names.add("three-byte")

                                            self.two_byte = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte()
                                            self.two_byte.parent = self
                                            self._children_name_map["two_byte"] = "two-byte"
                                            self._children_yang_names.add("two-byte")

                                            self.unformatted = None
                                            self._children_name_map["unformatted"] = "unformatted"
                                            self._children_yang_names.add("unformatted")
                                            self._segment_path = lambda: "mac-address"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress, ['none'], name, value)


                                        class Default(Entity):
                                            """
                                            format ex\: 0000.4096.3e4a
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Default.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Default, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class Ietf(Entity):
                                            """
                                            format ex\: 00\-00\-40\-96\-3E\-4A
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Ietf.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Ietf, self).__init__()

                                                self.yang_name = "ietf"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "ietf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Ietf, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class OneByte(Entity):
                                            """
                                            format ex\: 00.00.40.96.3e.4a
                                            
                                            .. attribute:: delimiter
                                            
                                            	
                                            	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter>`
                                            
                                            

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte, self).__init__()

                                                self.yang_name = "one-byte"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter)}
                                                self._child_list_classes = {}

                                                self.delimiter = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter()
                                                self.delimiter.parent = self
                                                self._children_name_map["delimiter"] = "delimiter"
                                                self._children_yang_names.add("delimiter")
                                                self._segment_path = lambda: "one-byte"


                                            class Delimiter(Entity):
                                                """
                                                
                                                
                                                .. attribute:: colon
                                                
                                                	
                                                	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: dot
                                                
                                                	
                                                	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: hyphen
                                                
                                                	
                                                	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-aaa'
                                                _revision = '2017-09-05'

                                                def __init__(self):
                                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter, self).__init__()

                                                    self.yang_name = "delimiter"
                                                    self.yang_parent_name = "one-byte"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen)}
                                                    self._child_list_classes = {}

                                                    self.colon = None
                                                    self._children_name_map["colon"] = "colon"
                                                    self._children_yang_names.add("colon")

                                                    self.dot = None
                                                    self._children_name_map["dot"] = "dot"
                                                    self._children_yang_names.add("dot")

                                                    self.hyphen = None
                                                    self._children_name_map["hyphen"] = "hyphen"
                                                    self._children_yang_names.add("hyphen")
                                                    self._segment_path = lambda: "delimiter"


                                                class Colon(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon, self).__init__()

                                                        self.yang_name = "colon"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "colon"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Dot(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot, self).__init__()

                                                        self.yang_name = "dot"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "dot"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Hyphen(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen, self).__init__()

                                                        self.yang_name = "hyphen"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "hyphen"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                        class ThreeByte(Entity):
                                            """
                                            format ex\: 000040.963e4a
                                            
                                            .. attribute:: delimiter
                                            
                                            	
                                            	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter>`
                                            
                                            

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte, self).__init__()

                                                self.yang_name = "three-byte"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter)}
                                                self._child_list_classes = {}

                                                self.delimiter = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter()
                                                self.delimiter.parent = self
                                                self._children_name_map["delimiter"] = "delimiter"
                                                self._children_yang_names.add("delimiter")
                                                self._segment_path = lambda: "three-byte"


                                            class Delimiter(Entity):
                                                """
                                                
                                                
                                                .. attribute:: colon
                                                
                                                	
                                                	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: dot
                                                
                                                	
                                                	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: hyphen
                                                
                                                	
                                                	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-aaa'
                                                _revision = '2017-09-05'

                                                def __init__(self):
                                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter, self).__init__()

                                                    self.yang_name = "delimiter"
                                                    self.yang_parent_name = "three-byte"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen)}
                                                    self._child_list_classes = {}

                                                    self.colon = None
                                                    self._children_name_map["colon"] = "colon"
                                                    self._children_yang_names.add("colon")

                                                    self.dot = None
                                                    self._children_name_map["dot"] = "dot"
                                                    self._children_yang_names.add("dot")

                                                    self.hyphen = None
                                                    self._children_name_map["hyphen"] = "hyphen"
                                                    self._children_yang_names.add("hyphen")
                                                    self._segment_path = lambda: "delimiter"


                                                class Colon(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon, self).__init__()

                                                        self.yang_name = "colon"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "colon"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Dot(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot, self).__init__()

                                                        self.yang_name = "dot"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "dot"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Hyphen(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen, self).__init__()

                                                        self.yang_name = "hyphen"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "hyphen"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                        class TwoByte(Entity):
                                            """
                                            format ex\: 0000.4096.3e4a
                                            
                                            .. attribute:: delimiter
                                            
                                            	
                                            	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter>`
                                            
                                            

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte, self).__init__()

                                                self.yang_name = "two-byte"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter)}
                                                self._child_list_classes = {}

                                                self.delimiter = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter()
                                                self.delimiter.parent = self
                                                self._children_name_map["delimiter"] = "delimiter"
                                                self._children_yang_names.add("delimiter")
                                                self._segment_path = lambda: "two-byte"


                                            class Delimiter(Entity):
                                                """
                                                
                                                
                                                .. attribute:: colon
                                                
                                                	
                                                	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: dot
                                                
                                                	
                                                	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: hyphen
                                                
                                                	
                                                	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-aaa'
                                                _revision = '2017-09-05'

                                                def __init__(self):
                                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter, self).__init__()

                                                    self.yang_name = "delimiter"
                                                    self.yang_parent_name = "two-byte"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen)}
                                                    self._child_list_classes = {}

                                                    self.colon = None
                                                    self._children_name_map["colon"] = "colon"
                                                    self._children_yang_names.add("colon")

                                                    self.dot = None
                                                    self._children_name_map["dot"] = "dot"
                                                    self._children_yang_names.add("dot")

                                                    self.hyphen = None
                                                    self._children_name_map["hyphen"] = "hyphen"
                                                    self._children_yang_names.add("hyphen")
                                                    self._segment_path = lambda: "delimiter"


                                                class Colon(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon, self).__init__()

                                                        self.yang_name = "colon"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "colon"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Dot(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot, self).__init__()

                                                        self.yang_name = "dot"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "dot"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Hyphen(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen, self).__init__()

                                                        self.yang_name = "hyphen"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "hyphen"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                        class Unformatted(Entity):
                                            """
                                            format ex\: 000040963e4a
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Unformatted.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Unformatted, self).__init__()

                                                self.yang_name = "unformatted"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "unformatted"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.CallingStationId.Format.MacAddress.Unformatted, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                            class EapUser(Entity):
                                """
                                EAP users
                                
                                .. attribute:: ignore_open_session
                                
                                	for EAP authenticated users, open\-session is not supported
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.EapUser, self).__init__()

                                    self.yang_name = "eap-user"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore_open_session = YLeaf(YType.empty, "ignore-open-session")
                                    self._segment_path = lambda: "eap-user"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.EapUser, ['ignore_open_session'], name, value)


                            class Filter(Entity):
                                """
                                Configure filter
                                
                                .. attribute:: access
                                
                                	For access requests
                                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access>`
                                
                                .. attribute:: accounting
                                
                                	For accounting requests
                                	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting>`
                                
                                .. attribute:: attribute
                                
                                	Filter attributes in packets sent to clients
                                	**type**\:  :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Attribute>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter, self).__init__()

                                    self.yang_name = "filter"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"access" : ("access", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access), "accounting" : ("accounting", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting), "attribute" : ("attribute", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Attribute)}
                                    self._child_list_classes = {}

                                    self.access = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access()
                                    self.access.parent = self
                                    self._children_name_map["access"] = "access"
                                    self._children_yang_names.add("access")

                                    self.accounting = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting()
                                    self.accounting.parent = self
                                    self._children_name_map["accounting"] = "accounting"
                                    self._children_yang_names.add("accounting")

                                    self.attribute = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Attribute()
                                    self.attribute.parent = self
                                    self._children_name_map["attribute"] = "attribute"
                                    self._children_yang_names.add("attribute")
                                    self._segment_path = lambda: "filter"


                                class Access(Entity):
                                    """
                                    For access requests
                                    
                                    .. attribute:: ack
                                    
                                    	Acknowledge the packet
                                    	**type**\:  :py:class:`Ack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Ack>`
                                    
                                    .. attribute:: drop
                                    
                                    	Drop the packet
                                    	**type**\:  :py:class:`Drop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Drop>`
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore the packet for applying ISG features
                                    	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Ignore>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access, self).__init__()

                                        self.yang_name = "access"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ack" : ("ack", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Ack), "drop" : ("drop", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Drop), "ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Ignore)}
                                        self._child_list_classes = {}

                                        self.ack = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Ack()
                                        self.ack.parent = self
                                        self._children_name_map["ack"] = "ack"
                                        self._children_yang_names.add("ack")

                                        self.drop = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Drop()
                                        self.drop.parent = self
                                        self._children_name_map["drop"] = "drop"
                                        self._children_yang_names.add("drop")

                                        self.ignore = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Ignore()
                                        self.ignore.parent = self
                                        self._children_name_map["ignore"] = "ignore"
                                        self._children_yang_names.add("ignore")
                                        self._segment_path = lambda: "access"


                                    class Ack(Entity):
                                        """
                                        Acknowledge the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Ack, self).__init__()

                                            self.yang_name = "ack"
                                            self.yang_parent_name = "access"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ack"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Ack, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Drop(Entity):
                                        """
                                        Drop the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Drop, self).__init__()

                                            self.yang_name = "drop"
                                            self.yang_parent_name = "access"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "drop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Drop, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Ignore(Entity):
                                        """
                                        Ignore the packet for applying ISG features
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Ignore, self).__init__()

                                            self.yang_name = "ignore"
                                            self.yang_parent_name = "access"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ignore"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Access.Ignore, ['word1', 'word2', 'word3', 'word4'], name, value)


                                class Accounting(Entity):
                                    """
                                    For accounting requests
                                    
                                    .. attribute:: ack
                                    
                                    	Acknowledge the packet
                                    	**type**\:  :py:class:`Ack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Ack>`
                                    
                                    .. attribute:: drop
                                    
                                    	Drop the packet
                                    	**type**\:  :py:class:`Drop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Drop>`
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore the packet for applying ISG features
                                    	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Ignore>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting, self).__init__()

                                        self.yang_name = "accounting"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ack" : ("ack", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Ack), "drop" : ("drop", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Drop), "ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Ignore)}
                                        self._child_list_classes = {}

                                        self.ack = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Ack()
                                        self.ack.parent = self
                                        self._children_name_map["ack"] = "ack"
                                        self._children_yang_names.add("ack")

                                        self.drop = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Drop()
                                        self.drop.parent = self
                                        self._children_name_map["drop"] = "drop"
                                        self._children_yang_names.add("drop")

                                        self.ignore = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Ignore()
                                        self.ignore.parent = self
                                        self._children_name_map["ignore"] = "ignore"
                                        self._children_yang_names.add("ignore")
                                        self._segment_path = lambda: "accounting"


                                    class Ack(Entity):
                                        """
                                        Acknowledge the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Ack, self).__init__()

                                            self.yang_name = "ack"
                                            self.yang_parent_name = "accounting"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ack"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Ack, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Drop(Entity):
                                        """
                                        Drop the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Drop, self).__init__()

                                            self.yang_name = "drop"
                                            self.yang_parent_name = "accounting"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "drop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Drop, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Ignore(Entity):
                                        """
                                        Ignore the packet for applying ISG features
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Ignore, self).__init__()

                                            self.yang_name = "ignore"
                                            self.yang_parent_name = "accounting"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ignore"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Accounting.Ignore, ['word1', 'word2', 'word3', 'word4'], name, value)


                                class Attribute(Entity):
                                    """
                                    Filter attributes in packets sent to clients
                                    
                                    .. attribute:: allow
                                    
                                    	Allow only the attributes specified in the list
                                    	**type**\: str
                                    
                                    .. attribute:: block
                                    
                                    	Block the attributes specified in the list
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Attribute, self).__init__()

                                        self.yang_name = "attribute"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allow = YLeaf(YType.str, "allow")

                                        self.block = YLeaf(YType.str, "block")
                                        self._segment_path = lambda: "attribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Filter.Attribute, ['allow', 'block'], name, value)


                            class Key(Entity):
                                """
                                Specify a RADIUS client
                                
                                .. attribute:: key
                                
                                	
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Key.Key>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.key = YLeaf(YType.enumeration, "key")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Key, ['key', 'string'], name, value)

                                class Key(Enum):
                                    """
                                    Key

                                    .. data:: Y_0 = 0

                                    .. data:: Y_6 = 1

                                    .. data:: Y_7 = 2

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_6 = Enum.YLeaf(1, "6")

                                    Y_7 = Enum.YLeaf(2, "7")



                            class MessageAuthenticator(Entity):
                                """
                                Message Authenticator attribute from Clients
                                
                                .. attribute:: ignore
                                
                                	Ignore checking of Message Authenticator attribute from\\ Clients
                                	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.MessageAuthenticator.Ignore>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.MessageAuthenticator, self).__init__()

                                    self.yang_name = "message-authenticator"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.MessageAuthenticator.Ignore)}
                                    self._child_list_classes = {}

                                    self.ignore = None
                                    self._children_name_map["ignore"] = "ignore"
                                    self._children_yang_names.add("ignore")
                                    self._segment_path = lambda: "message-authenticator"


                                class Ignore(Entity):
                                    """
                                    Ignore checking of Message Authenticator attribute from\\
                                    Clients
                                    
                                    .. attribute:: accounting
                                    
                                    	Ignore checking of Message Authenticator attribute from\\ accounting packets
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.MessageAuthenticator.Ignore, self).__init__()

                                        self.yang_name = "ignore"
                                        self.yang_parent_name = "message-authenticator"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.accounting = YLeaf(YType.empty, "accounting")
                                        self._segment_path = lambda: "ignore"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.MessageAuthenticator.Ignore, ['accounting'], name, value)


                            class Mode(Entity):
                                """
                                Radius Proxy Pass thru mode
                                
                                .. attribute:: pass_through
                                
                                	Enable the pass\-through mode for Radius Proxy
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Mode, self).__init__()

                                    self.yang_name = "mode"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.pass_through = YLeaf(YType.empty, "pass-through")
                                    self._segment_path = lambda: "mode"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Mode, ['pass_through'], name, value)


                            class PwlanSession(Entity):
                                """
                                PWLAN Reconnect feature
                                
                                .. attribute:: reconnect
                                
                                	Enable the reconnect feature for PWLAN RP sessions
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.PwlanSession, self).__init__()

                                    self.yang_name = "pwlan-session"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reconnect = YLeaf(YType.empty, "reconnect")
                                    self._segment_path = lambda: "pwlan-session"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.PwlanSession, ['reconnect'], name, value)


                            class ReAuthentication(Entity):
                                """
                                Specify re\-authentication details
                                
                                .. attribute:: do_not_apply
                                
                                	Do not apply new data during re\-authentication
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.ReAuthentication, self).__init__()

                                    self.yang_name = "re-authentication"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.do_not_apply = YLeaf(YType.empty, "do-not-apply")
                                    self._segment_path = lambda: "re-authentication"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.ReAuthentication, ['do_not_apply'], name, value)


                            class SessionIdentifier(Entity):
                                """
                                This attribute will be used to correlate Radius \\
                                requests of a session and to identify sessions within \\
                                radius\-proxy
                                
                                .. attribute:: attribute
                                
                                	Specify an IETF Radius attribute
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: vsa
                                
                                	Specify Vendor\-Specific Attribute
                                	**type**\:  :py:class:`Vsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.SessionIdentifier.Vsa>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.SessionIdentifier, self).__init__()

                                    self.yang_name = "session-identifier"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"vsa" : ("vsa", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.SessionIdentifier.Vsa)}
                                    self._child_list_classes = {}

                                    self.attribute = YLeaf(YType.uint8, "attribute")

                                    self.vsa = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.SessionIdentifier.Vsa()
                                    self.vsa.parent = self
                                    self._children_name_map["vsa"] = "vsa"
                                    self._children_yang_names.add("vsa")
                                    self._segment_path = lambda: "session-identifier"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.SessionIdentifier, ['attribute'], name, value)


                                class Vsa(Entity):
                                    """
                                    Specify Vendor\-Specific Attribute
                                    
                                    .. attribute:: vendor
                                    
                                    	Specify the vendor type
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: type
                                    
                                    	Give attribute type for vsa
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.SessionIdentifier.Vsa, self).__init__()

                                        self.yang_name = "vsa"
                                        self.yang_parent_name = "session-identifier"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vendor = YLeaf(YType.uint16, "vendor")

                                        self.type = YLeaf(YType.uint8, "type")
                                        self._segment_path = lambda: "vsa"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.SessionIdentifier.Vsa, ['vendor', 'type'], name, value)


                            class Timer(Entity):
                                """
                                Configure RADIUS proxy timer values
                                
                                .. attribute:: disconnect
                                
                                	Specify disconnect timer
                                	**type**\:  :py:class:`Disconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Timer.Disconnect>`
                                
                                .. attribute:: ip_address
                                
                                	Specify value of wait for IP timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                .. attribute:: reconnect
                                
                                	Specify value of wait for reconnect timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                .. attribute:: request
                                
                                	Specify value of wait for Access\-Request timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                .. attribute:: roaming
                                
                                	Specify value of wait for roaming timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Timer, self).__init__()

                                    self.yang_name = "timer"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"disconnect" : ("disconnect", Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Timer.Disconnect)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.uint16, "ip-address")

                                    self.reconnect = YLeaf(YType.uint16, "reconnect")

                                    self.request = YLeaf(YType.uint16, "request")

                                    self.roaming = YLeaf(YType.uint16, "roaming")

                                    self.disconnect = Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Timer.Disconnect()
                                    self.disconnect.parent = self
                                    self._children_name_map["disconnect"] = "disconnect"
                                    self._children_yang_names.add("disconnect")
                                    self._segment_path = lambda: "timer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Timer, ['ip_address', 'reconnect', 'request', 'roaming'], name, value)


                                class Disconnect(Entity):
                                    """
                                    Specify disconnect timer
                                    
                                    .. attribute:: acct_stop
                                    
                                    	Specify disconnect delay timer for accounting stop
                                    	**type**\: int
                                    
                                    	**range:** 0..43200
                                    
                                    .. attribute:: reauth_fail
                                    
                                    	Specify disconnect delay timer for reauthentication failure
                                    	**type**\: int
                                    
                                    	**range:** 0..43200
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Timer.Disconnect, self).__init__()

                                        self.yang_name = "disconnect"
                                        self.yang_parent_name = "timer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.acct_stop = YLeaf(YType.uint16, "acct-stop")

                                        self.reauth_fail = YLeaf(YType.uint16, "reauth-fail")
                                        self._segment_path = lambda: "disconnect"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMask.Client.Timer.Disconnect, ['acct_stop', 'reauth_fail'], name, value)


                    class ClientIpVrf(Entity):
                        """
                        
                        
                        .. attribute:: client
                        
                        	Specify a RADIUS client
                        	**type**\: list of  		 :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf, self).__init__()

                            self.yang_name = "client-ip-vrf"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"client" : ("client", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client)}

                            self.client = YList(self)
                            self._segment_path = lambda: "client-ip-vrf"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf, [], name, value)


                        class Client(Entity):
                            """
                            Specify a RADIUS client
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            .. attribute:: vrf  <key>
                            
                            	Virtual Routing/Forwarding parameters
                            	**type**\: str
                            
                            .. attribute:: accounting
                            
                            	Specify accounting details
                            	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Accounting>`
                            
                            .. attribute:: authentication
                            
                            	Specify authentication details
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Authentication>`
                            
                            .. attribute:: calling_station_id
                            
                            	Specify format of Calling\-Station\-Id, attribute\\ 31.Default format is to expect mac\-address in\\ calling\-station\-id
                            	**type**\:  :py:class:`CallingStationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId>`
                            
                            .. attribute:: eap_user
                            
                            	EAP users
                            	**type**\:  :py:class:`EapUser <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.EapUser>`
                            
                            .. attribute:: filter
                            
                            	Configure filter
                            	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter>`
                            
                            .. attribute:: key
                            
                            	Specify a RADIUS client
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Key>`
                            
                            .. attribute:: message_authenticator
                            
                            	Message Authenticator attribute from Clients
                            	**type**\:  :py:class:`MessageAuthenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.MessageAuthenticator>`
                            
                            .. attribute:: mode
                            
                            	Radius Proxy Pass thru mode
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Mode>`
                            
                            .. attribute:: pwlan_session
                            
                            	PWLAN Reconnect feature
                            	**type**\:  :py:class:`PwlanSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.PwlanSession>`
                            
                            .. attribute:: re_authentication
                            
                            	Specify re\-authentication details
                            	**type**\:  :py:class:`ReAuthentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.ReAuthentication>`
                            
                            .. attribute:: session_identifier
                            
                            	This attribute will be used to correlate Radius \\ requests of a session and to identify sessions within \\ radius\-proxy
                            	**type**\:  :py:class:`SessionIdentifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.SessionIdentifier>`
                            
                            .. attribute:: timer
                            
                            	Configure RADIUS proxy timer values
                            	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Timer>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client, self).__init__()

                                self.yang_name = "client"
                                self.yang_parent_name = "client-ip-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"accounting" : ("accounting", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Accounting), "authentication" : ("authentication", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Authentication), "calling-station-id" : ("calling_station_id", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId), "eap-user" : ("eap_user", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.EapUser), "filter" : ("filter", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter), "key" : ("key", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Key), "message-authenticator" : ("message_authenticator", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.MessageAuthenticator), "mode" : ("mode", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Mode), "pwlan-session" : ("pwlan_session", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.PwlanSession), "re-authentication" : ("re_authentication", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.ReAuthentication), "session-identifier" : ("session_identifier", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.SessionIdentifier), "timer" : ("timer", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Timer)}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.str, "ip")

                                self.vrf = YLeaf(YType.str, "vrf")

                                self.accounting = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Accounting()
                                self.accounting.parent = self
                                self._children_name_map["accounting"] = "accounting"
                                self._children_yang_names.add("accounting")

                                self.authentication = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")

                                self.calling_station_id = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId()
                                self.calling_station_id.parent = self
                                self._children_name_map["calling_station_id"] = "calling-station-id"
                                self._children_yang_names.add("calling-station-id")

                                self.eap_user = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.EapUser()
                                self.eap_user.parent = self
                                self._children_name_map["eap_user"] = "eap-user"
                                self._children_yang_names.add("eap-user")

                                self.filter = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter()
                                self.filter.parent = self
                                self._children_name_map["filter"] = "filter"
                                self._children_yang_names.add("filter")

                                self.key = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")

                                self.message_authenticator = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.MessageAuthenticator()
                                self.message_authenticator.parent = self
                                self._children_name_map["message_authenticator"] = "message-authenticator"
                                self._children_yang_names.add("message-authenticator")

                                self.mode = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Mode()
                                self.mode.parent = self
                                self._children_name_map["mode"] = "mode"
                                self._children_yang_names.add("mode")

                                self.pwlan_session = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.PwlanSession()
                                self.pwlan_session.parent = self
                                self._children_name_map["pwlan_session"] = "pwlan-session"
                                self._children_yang_names.add("pwlan-session")

                                self.re_authentication = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.ReAuthentication()
                                self.re_authentication.parent = self
                                self._children_name_map["re_authentication"] = "re-authentication"
                                self._children_yang_names.add("re-authentication")

                                self.session_identifier = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.SessionIdentifier()
                                self.session_identifier.parent = self
                                self._children_name_map["session_identifier"] = "session-identifier"
                                self._children_yang_names.add("session-identifier")

                                self.timer = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Timer()
                                self.timer.parent = self
                                self._children_name_map["timer"] = "timer"
                                self._children_yang_names.add("timer")
                                self._segment_path = lambda: "client" + "[ip='" + self.ip.get() + "']" + "[vrf='" + self.vrf.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/client-ip-vrf/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client, ['ip', 'vrf'], name, value)


                            class Accounting(Entity):
                                """
                                Specify accounting details
                                
                                .. attribute:: method_list
                                
                                	Authentication method list details
                                	**type**\:  :py:class:`MethodList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Accounting.MethodList>`
                                
                                .. attribute:: port
                                
                                	Radius server port
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Accounting, self).__init__()

                                    self.yang_name = "accounting"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"method-list" : ("method_list", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Accounting.MethodList)}
                                    self._child_list_classes = {}

                                    self.port = YLeaf(YType.uint16, "port")

                                    self.method_list = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Accounting.MethodList()
                                    self.method_list.parent = self
                                    self._children_name_map["method_list"] = "method-list"
                                    self._children_yang_names.add("method-list")
                                    self._segment_path = lambda: "accounting"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Accounting, ['port'], name, value)


                                class MethodList(Entity):
                                    """
                                    Authentication method list details
                                    
                                    .. attribute:: method_name
                                    
                                    	Method list name
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	The default authentication list
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Accounting.MethodList, self).__init__()

                                        self.yang_name = "method-list"
                                        self.yang_parent_name = "accounting"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.method_name = YLeaf(YType.str, "method-name")

                                        self.default = YLeaf(YType.empty, "default")
                                        self._segment_path = lambda: "method-list"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Accounting.MethodList, ['method_name', 'default'], name, value)


                            class Authentication(Entity):
                                """
                                Specify authentication details
                                
                                .. attribute:: method_list
                                
                                	Authentication method list details
                                	**type**\:  :py:class:`MethodList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Authentication.MethodList>`
                                
                                .. attribute:: port
                                
                                	Radius server port
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"method-list" : ("method_list", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Authentication.MethodList)}
                                    self._child_list_classes = {}

                                    self.port = YLeaf(YType.uint16, "port")

                                    self.method_list = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Authentication.MethodList()
                                    self.method_list.parent = self
                                    self._children_name_map["method_list"] = "method-list"
                                    self._children_yang_names.add("method-list")
                                    self._segment_path = lambda: "authentication"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Authentication, ['port'], name, value)


                                class MethodList(Entity):
                                    """
                                    Authentication method list details
                                    
                                    .. attribute:: method_name
                                    
                                    	Method list name
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	The default authentication list
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Authentication.MethodList, self).__init__()

                                        self.yang_name = "method-list"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.method_name = YLeaf(YType.str, "method-name")

                                        self.default = YLeaf(YType.empty, "default")
                                        self._segment_path = lambda: "method-list"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Authentication.MethodList, ['method_name', 'default'], name, value)


                            class CallingStationId(Entity):
                                """
                                Specify format of Calling\-Station\-Id, attribute\\
                                31.Default format is to expect mac\-address in\\
                                calling\-station\-id
                                
                                .. attribute:: format
                                
                                	Specify the format as MAC or MSISDN
                                	**type**\:  :py:class:`Format <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId, self).__init__()

                                    self.yang_name = "calling-station-id"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"format" : ("format", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format)}
                                    self._child_list_classes = {}

                                    self.format = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format()
                                    self.format.parent = self
                                    self._children_name_map["format"] = "format"
                                    self._children_yang_names.add("format")
                                    self._segment_path = lambda: "calling-station-id"


                                class Format(Entity):
                                    """
                                    Specify the format as MAC or MSISDN
                                    
                                    .. attribute:: mac_address
                                    
                                    	Expect MAC address to be present in CLID
                                    	**type**\:  :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress>`
                                    
                                    .. attribute:: msisdn
                                    
                                    	Expect MSISDN value to be present in CLID
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format, self).__init__()

                                        self.yang_name = "format"
                                        self.yang_parent_name = "calling-station-id"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac-address" : ("mac_address", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress)}
                                        self._child_list_classes = {}

                                        self.msisdn = YLeaf(YType.empty, "msisdn")

                                        self.mac_address = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress()
                                        self.mac_address.parent = self
                                        self._children_name_map["mac_address"] = "mac-address"
                                        self._children_yang_names.add("mac-address")
                                        self._segment_path = lambda: "format"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format, ['msisdn'], name, value)


                                    class MacAddress(Entity):
                                        """
                                        Expect MAC address to be present in CLID
                                        
                                        .. attribute:: default
                                        
                                        	format ex\: 0000.4096.3e4a
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Default>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ietf
                                        
                                        	format ex\: 00\-00\-40\-96\-3E\-4A
                                        	**type**\:  :py:class:`Ietf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Ietf>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: none
                                        
                                        	format unspecified
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: one_byte
                                        
                                        	format ex\: 00.00.40.96.3e.4a
                                        	**type**\:  :py:class:`OneByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte>`
                                        
                                        .. attribute:: three_byte
                                        
                                        	format ex\: 000040.963e4a
                                        	**type**\:  :py:class:`ThreeByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte>`
                                        
                                        .. attribute:: two_byte
                                        
                                        	format ex\: 0000.4096.3e4a
                                        	**type**\:  :py:class:`TwoByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte>`
                                        
                                        .. attribute:: unformatted
                                        
                                        	format ex\: 000040963e4a
                                        	**type**\:  :py:class:`Unformatted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Unformatted>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress, self).__init__()

                                            self.yang_name = "mac-address"
                                            self.yang_parent_name = "format"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Default), "ietf" : ("ietf", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Ietf), "one-byte" : ("one_byte", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte), "three-byte" : ("three_byte", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte), "two-byte" : ("two_byte", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte), "unformatted" : ("unformatted", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Unformatted)}
                                            self._child_list_classes = {}

                                            self.none = YLeaf(YType.empty, "none")

                                            self.default = None
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.ietf = None
                                            self._children_name_map["ietf"] = "ietf"
                                            self._children_yang_names.add("ietf")

                                            self.one_byte = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte()
                                            self.one_byte.parent = self
                                            self._children_name_map["one_byte"] = "one-byte"
                                            self._children_yang_names.add("one-byte")

                                            self.three_byte = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte()
                                            self.three_byte.parent = self
                                            self._children_name_map["three_byte"] = "three-byte"
                                            self._children_yang_names.add("three-byte")

                                            self.two_byte = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte()
                                            self.two_byte.parent = self
                                            self._children_name_map["two_byte"] = "two-byte"
                                            self._children_yang_names.add("two-byte")

                                            self.unformatted = None
                                            self._children_name_map["unformatted"] = "unformatted"
                                            self._children_yang_names.add("unformatted")
                                            self._segment_path = lambda: "mac-address"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress, ['none'], name, value)


                                        class Default(Entity):
                                            """
                                            format ex\: 0000.4096.3e4a
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Default.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Default, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class Ietf(Entity):
                                            """
                                            format ex\: 00\-00\-40\-96\-3E\-4A
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Ietf.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Ietf, self).__init__()

                                                self.yang_name = "ietf"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "ietf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Ietf, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class OneByte(Entity):
                                            """
                                            format ex\: 00.00.40.96.3e.4a
                                            
                                            .. attribute:: delimiter
                                            
                                            	
                                            	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter>`
                                            
                                            

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte, self).__init__()

                                                self.yang_name = "one-byte"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter)}
                                                self._child_list_classes = {}

                                                self.delimiter = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter()
                                                self.delimiter.parent = self
                                                self._children_name_map["delimiter"] = "delimiter"
                                                self._children_yang_names.add("delimiter")
                                                self._segment_path = lambda: "one-byte"


                                            class Delimiter(Entity):
                                                """
                                                
                                                
                                                .. attribute:: colon
                                                
                                                	
                                                	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: dot
                                                
                                                	
                                                	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: hyphen
                                                
                                                	
                                                	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-aaa'
                                                _revision = '2017-09-05'

                                                def __init__(self):
                                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter, self).__init__()

                                                    self.yang_name = "delimiter"
                                                    self.yang_parent_name = "one-byte"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen)}
                                                    self._child_list_classes = {}

                                                    self.colon = None
                                                    self._children_name_map["colon"] = "colon"
                                                    self._children_yang_names.add("colon")

                                                    self.dot = None
                                                    self._children_name_map["dot"] = "dot"
                                                    self._children_yang_names.add("dot")

                                                    self.hyphen = None
                                                    self._children_name_map["hyphen"] = "hyphen"
                                                    self._children_yang_names.add("hyphen")
                                                    self._segment_path = lambda: "delimiter"


                                                class Colon(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon, self).__init__()

                                                        self.yang_name = "colon"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "colon"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Dot(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot, self).__init__()

                                                        self.yang_name = "dot"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "dot"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Hyphen(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen, self).__init__()

                                                        self.yang_name = "hyphen"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "hyphen"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                        class ThreeByte(Entity):
                                            """
                                            format ex\: 000040.963e4a
                                            
                                            .. attribute:: delimiter
                                            
                                            	
                                            	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter>`
                                            
                                            

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte, self).__init__()

                                                self.yang_name = "three-byte"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter)}
                                                self._child_list_classes = {}

                                                self.delimiter = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter()
                                                self.delimiter.parent = self
                                                self._children_name_map["delimiter"] = "delimiter"
                                                self._children_yang_names.add("delimiter")
                                                self._segment_path = lambda: "three-byte"


                                            class Delimiter(Entity):
                                                """
                                                
                                                
                                                .. attribute:: colon
                                                
                                                	
                                                	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: dot
                                                
                                                	
                                                	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: hyphen
                                                
                                                	
                                                	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-aaa'
                                                _revision = '2017-09-05'

                                                def __init__(self):
                                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter, self).__init__()

                                                    self.yang_name = "delimiter"
                                                    self.yang_parent_name = "three-byte"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen)}
                                                    self._child_list_classes = {}

                                                    self.colon = None
                                                    self._children_name_map["colon"] = "colon"
                                                    self._children_yang_names.add("colon")

                                                    self.dot = None
                                                    self._children_name_map["dot"] = "dot"
                                                    self._children_yang_names.add("dot")

                                                    self.hyphen = None
                                                    self._children_name_map["hyphen"] = "hyphen"
                                                    self._children_yang_names.add("hyphen")
                                                    self._segment_path = lambda: "delimiter"


                                                class Colon(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon, self).__init__()

                                                        self.yang_name = "colon"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "colon"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Dot(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot, self).__init__()

                                                        self.yang_name = "dot"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "dot"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Hyphen(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen, self).__init__()

                                                        self.yang_name = "hyphen"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "hyphen"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                        class TwoByte(Entity):
                                            """
                                            format ex\: 0000.4096.3e4a
                                            
                                            .. attribute:: delimiter
                                            
                                            	
                                            	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter>`
                                            
                                            

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte, self).__init__()

                                                self.yang_name = "two-byte"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter)}
                                                self._child_list_classes = {}

                                                self.delimiter = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter()
                                                self.delimiter.parent = self
                                                self._children_name_map["delimiter"] = "delimiter"
                                                self._children_yang_names.add("delimiter")
                                                self._segment_path = lambda: "two-byte"


                                            class Delimiter(Entity):
                                                """
                                                
                                                
                                                .. attribute:: colon
                                                
                                                	
                                                	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: dot
                                                
                                                	
                                                	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: hyphen
                                                
                                                	
                                                	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-aaa'
                                                _revision = '2017-09-05'

                                                def __init__(self):
                                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter, self).__init__()

                                                    self.yang_name = "delimiter"
                                                    self.yang_parent_name = "two-byte"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen)}
                                                    self._child_list_classes = {}

                                                    self.colon = None
                                                    self._children_name_map["colon"] = "colon"
                                                    self._children_yang_names.add("colon")

                                                    self.dot = None
                                                    self._children_name_map["dot"] = "dot"
                                                    self._children_yang_names.add("dot")

                                                    self.hyphen = None
                                                    self._children_name_map["hyphen"] = "hyphen"
                                                    self._children_yang_names.add("hyphen")
                                                    self._segment_path = lambda: "delimiter"


                                                class Colon(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon, self).__init__()

                                                        self.yang_name = "colon"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "colon"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Dot(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot, self).__init__()

                                                        self.yang_name = "dot"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "dot"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Hyphen(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen, self).__init__()

                                                        self.yang_name = "hyphen"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "hyphen"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                        class Unformatted(Entity):
                                            """
                                            format ex\: 000040963e4a
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Unformatted.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Unformatted, self).__init__()

                                                self.yang_name = "unformatted"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "unformatted"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.CallingStationId.Format.MacAddress.Unformatted, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                            class EapUser(Entity):
                                """
                                EAP users
                                
                                .. attribute:: ignore_open_session
                                
                                	for EAP authenticated users, open\-session is not supported
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.EapUser, self).__init__()

                                    self.yang_name = "eap-user"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore_open_session = YLeaf(YType.empty, "ignore-open-session")
                                    self._segment_path = lambda: "eap-user"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.EapUser, ['ignore_open_session'], name, value)


                            class Filter(Entity):
                                """
                                Configure filter
                                
                                .. attribute:: access
                                
                                	For access requests
                                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access>`
                                
                                .. attribute:: accounting
                                
                                	For accounting requests
                                	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting>`
                                
                                .. attribute:: attribute
                                
                                	Filter attributes in packets sent to clients
                                	**type**\:  :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Attribute>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter, self).__init__()

                                    self.yang_name = "filter"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"access" : ("access", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access), "accounting" : ("accounting", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting), "attribute" : ("attribute", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Attribute)}
                                    self._child_list_classes = {}

                                    self.access = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access()
                                    self.access.parent = self
                                    self._children_name_map["access"] = "access"
                                    self._children_yang_names.add("access")

                                    self.accounting = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting()
                                    self.accounting.parent = self
                                    self._children_name_map["accounting"] = "accounting"
                                    self._children_yang_names.add("accounting")

                                    self.attribute = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Attribute()
                                    self.attribute.parent = self
                                    self._children_name_map["attribute"] = "attribute"
                                    self._children_yang_names.add("attribute")
                                    self._segment_path = lambda: "filter"


                                class Access(Entity):
                                    """
                                    For access requests
                                    
                                    .. attribute:: ack
                                    
                                    	Acknowledge the packet
                                    	**type**\:  :py:class:`Ack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Ack>`
                                    
                                    .. attribute:: drop
                                    
                                    	Drop the packet
                                    	**type**\:  :py:class:`Drop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Drop>`
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore the packet for applying ISG features
                                    	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Ignore>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access, self).__init__()

                                        self.yang_name = "access"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ack" : ("ack", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Ack), "drop" : ("drop", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Drop), "ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Ignore)}
                                        self._child_list_classes = {}

                                        self.ack = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Ack()
                                        self.ack.parent = self
                                        self._children_name_map["ack"] = "ack"
                                        self._children_yang_names.add("ack")

                                        self.drop = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Drop()
                                        self.drop.parent = self
                                        self._children_name_map["drop"] = "drop"
                                        self._children_yang_names.add("drop")

                                        self.ignore = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Ignore()
                                        self.ignore.parent = self
                                        self._children_name_map["ignore"] = "ignore"
                                        self._children_yang_names.add("ignore")
                                        self._segment_path = lambda: "access"


                                    class Ack(Entity):
                                        """
                                        Acknowledge the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Ack, self).__init__()

                                            self.yang_name = "ack"
                                            self.yang_parent_name = "access"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ack"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Ack, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Drop(Entity):
                                        """
                                        Drop the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Drop, self).__init__()

                                            self.yang_name = "drop"
                                            self.yang_parent_name = "access"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "drop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Drop, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Ignore(Entity):
                                        """
                                        Ignore the packet for applying ISG features
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Ignore, self).__init__()

                                            self.yang_name = "ignore"
                                            self.yang_parent_name = "access"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ignore"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Access.Ignore, ['word1', 'word2', 'word3', 'word4'], name, value)


                                class Accounting(Entity):
                                    """
                                    For accounting requests
                                    
                                    .. attribute:: ack
                                    
                                    	Acknowledge the packet
                                    	**type**\:  :py:class:`Ack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Ack>`
                                    
                                    .. attribute:: drop
                                    
                                    	Drop the packet
                                    	**type**\:  :py:class:`Drop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Drop>`
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore the packet for applying ISG features
                                    	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Ignore>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting, self).__init__()

                                        self.yang_name = "accounting"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ack" : ("ack", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Ack), "drop" : ("drop", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Drop), "ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Ignore)}
                                        self._child_list_classes = {}

                                        self.ack = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Ack()
                                        self.ack.parent = self
                                        self._children_name_map["ack"] = "ack"
                                        self._children_yang_names.add("ack")

                                        self.drop = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Drop()
                                        self.drop.parent = self
                                        self._children_name_map["drop"] = "drop"
                                        self._children_yang_names.add("drop")

                                        self.ignore = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Ignore()
                                        self.ignore.parent = self
                                        self._children_name_map["ignore"] = "ignore"
                                        self._children_yang_names.add("ignore")
                                        self._segment_path = lambda: "accounting"


                                    class Ack(Entity):
                                        """
                                        Acknowledge the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Ack, self).__init__()

                                            self.yang_name = "ack"
                                            self.yang_parent_name = "accounting"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ack"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Ack, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Drop(Entity):
                                        """
                                        Drop the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Drop, self).__init__()

                                            self.yang_name = "drop"
                                            self.yang_parent_name = "accounting"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "drop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Drop, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Ignore(Entity):
                                        """
                                        Ignore the packet for applying ISG features
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Ignore, self).__init__()

                                            self.yang_name = "ignore"
                                            self.yang_parent_name = "accounting"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ignore"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Accounting.Ignore, ['word1', 'word2', 'word3', 'word4'], name, value)


                                class Attribute(Entity):
                                    """
                                    Filter attributes in packets sent to clients
                                    
                                    .. attribute:: allow
                                    
                                    	Allow only the attributes specified in the list
                                    	**type**\: str
                                    
                                    .. attribute:: block
                                    
                                    	Block the attributes specified in the list
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Attribute, self).__init__()

                                        self.yang_name = "attribute"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allow = YLeaf(YType.str, "allow")

                                        self.block = YLeaf(YType.str, "block")
                                        self._segment_path = lambda: "attribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Filter.Attribute, ['allow', 'block'], name, value)


                            class Key(Entity):
                                """
                                Specify a RADIUS client
                                
                                .. attribute:: key
                                
                                	
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Key.Key>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.key = YLeaf(YType.enumeration, "key")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Key, ['key', 'string'], name, value)

                                class Key(Enum):
                                    """
                                    Key

                                    .. data:: Y_0 = 0

                                    .. data:: Y_6 = 1

                                    .. data:: Y_7 = 2

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_6 = Enum.YLeaf(1, "6")

                                    Y_7 = Enum.YLeaf(2, "7")



                            class MessageAuthenticator(Entity):
                                """
                                Message Authenticator attribute from Clients
                                
                                .. attribute:: ignore
                                
                                	Ignore checking of Message Authenticator attribute from\\ Clients
                                	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.MessageAuthenticator.Ignore>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.MessageAuthenticator, self).__init__()

                                    self.yang_name = "message-authenticator"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.MessageAuthenticator.Ignore)}
                                    self._child_list_classes = {}

                                    self.ignore = None
                                    self._children_name_map["ignore"] = "ignore"
                                    self._children_yang_names.add("ignore")
                                    self._segment_path = lambda: "message-authenticator"


                                class Ignore(Entity):
                                    """
                                    Ignore checking of Message Authenticator attribute from\\
                                    Clients
                                    
                                    .. attribute:: accounting
                                    
                                    	Ignore checking of Message Authenticator attribute from\\ accounting packets
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.MessageAuthenticator.Ignore, self).__init__()

                                        self.yang_name = "ignore"
                                        self.yang_parent_name = "message-authenticator"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.accounting = YLeaf(YType.empty, "accounting")
                                        self._segment_path = lambda: "ignore"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.MessageAuthenticator.Ignore, ['accounting'], name, value)


                            class Mode(Entity):
                                """
                                Radius Proxy Pass thru mode
                                
                                .. attribute:: pass_through
                                
                                	Enable the pass\-through mode for Radius Proxy
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Mode, self).__init__()

                                    self.yang_name = "mode"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.pass_through = YLeaf(YType.empty, "pass-through")
                                    self._segment_path = lambda: "mode"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Mode, ['pass_through'], name, value)


                            class PwlanSession(Entity):
                                """
                                PWLAN Reconnect feature
                                
                                .. attribute:: reconnect
                                
                                	Enable the reconnect feature for PWLAN RP sessions
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.PwlanSession, self).__init__()

                                    self.yang_name = "pwlan-session"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reconnect = YLeaf(YType.empty, "reconnect")
                                    self._segment_path = lambda: "pwlan-session"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.PwlanSession, ['reconnect'], name, value)


                            class ReAuthentication(Entity):
                                """
                                Specify re\-authentication details
                                
                                .. attribute:: do_not_apply
                                
                                	Do not apply new data during re\-authentication
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.ReAuthentication, self).__init__()

                                    self.yang_name = "re-authentication"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.do_not_apply = YLeaf(YType.empty, "do-not-apply")
                                    self._segment_path = lambda: "re-authentication"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.ReAuthentication, ['do_not_apply'], name, value)


                            class SessionIdentifier(Entity):
                                """
                                This attribute will be used to correlate Radius \\
                                requests of a session and to identify sessions within \\
                                radius\-proxy
                                
                                .. attribute:: attribute
                                
                                	Specify an IETF Radius attribute
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: vsa
                                
                                	Specify Vendor\-Specific Attribute
                                	**type**\:  :py:class:`Vsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.SessionIdentifier.Vsa>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.SessionIdentifier, self).__init__()

                                    self.yang_name = "session-identifier"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"vsa" : ("vsa", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.SessionIdentifier.Vsa)}
                                    self._child_list_classes = {}

                                    self.attribute = YLeaf(YType.uint8, "attribute")

                                    self.vsa = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.SessionIdentifier.Vsa()
                                    self.vsa.parent = self
                                    self._children_name_map["vsa"] = "vsa"
                                    self._children_yang_names.add("vsa")
                                    self._segment_path = lambda: "session-identifier"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.SessionIdentifier, ['attribute'], name, value)


                                class Vsa(Entity):
                                    """
                                    Specify Vendor\-Specific Attribute
                                    
                                    .. attribute:: vendor
                                    
                                    	Specify the vendor type
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: type
                                    
                                    	Give attribute type for vsa
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.SessionIdentifier.Vsa, self).__init__()

                                        self.yang_name = "vsa"
                                        self.yang_parent_name = "session-identifier"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vendor = YLeaf(YType.uint16, "vendor")

                                        self.type = YLeaf(YType.uint8, "type")
                                        self._segment_path = lambda: "vsa"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.SessionIdentifier.Vsa, ['vendor', 'type'], name, value)


                            class Timer(Entity):
                                """
                                Configure RADIUS proxy timer values
                                
                                .. attribute:: disconnect
                                
                                	Specify disconnect timer
                                	**type**\:  :py:class:`Disconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Timer.Disconnect>`
                                
                                .. attribute:: ip_address
                                
                                	Specify value of wait for IP timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                .. attribute:: reconnect
                                
                                	Specify value of wait for reconnect timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                .. attribute:: request
                                
                                	Specify value of wait for Access\-Request timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                .. attribute:: roaming
                                
                                	Specify value of wait for roaming timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Timer, self).__init__()

                                    self.yang_name = "timer"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"disconnect" : ("disconnect", Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Timer.Disconnect)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.uint16, "ip-address")

                                    self.reconnect = YLeaf(YType.uint16, "reconnect")

                                    self.request = YLeaf(YType.uint16, "request")

                                    self.roaming = YLeaf(YType.uint16, "roaming")

                                    self.disconnect = Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Timer.Disconnect()
                                    self.disconnect.parent = self
                                    self._children_name_map["disconnect"] = "disconnect"
                                    self._children_yang_names.add("disconnect")
                                    self._segment_path = lambda: "timer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Timer, ['ip_address', 'reconnect', 'request', 'roaming'], name, value)


                                class Disconnect(Entity):
                                    """
                                    Specify disconnect timer
                                    
                                    .. attribute:: acct_stop
                                    
                                    	Specify disconnect delay timer for accounting stop
                                    	**type**\: int
                                    
                                    	**range:** 0..43200
                                    
                                    .. attribute:: reauth_fail
                                    
                                    	Specify disconnect delay timer for reauthentication failure
                                    	**type**\: int
                                    
                                    	**range:** 0..43200
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Timer.Disconnect, self).__init__()

                                        self.yang_name = "disconnect"
                                        self.yang_parent_name = "timer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.acct_stop = YLeaf(YType.uint16, "acct-stop")

                                        self.reauth_fail = YLeaf(YType.uint16, "reauth-fail")
                                        self._segment_path = lambda: "disconnect"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpVrf.Client.Timer.Disconnect, ['acct_stop', 'reauth_fail'], name, value)


                    class ClientIpMaskVrf(Entity):
                        """
                        
                        
                        .. attribute:: client
                        
                        	Specify a RADIUS client
                        	**type**\: list of  		 :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf, self).__init__()

                            self.yang_name = "client-ip-mask-vrf"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"client" : ("client", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client)}

                            self.client = YList(self)
                            self._segment_path = lambda: "client-ip-mask-vrf"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf, [], name, value)


                        class Client(Entity):
                            """
                            Specify a RADIUS client
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            .. attribute:: mask  <key>
                            
                            	Network mask or prefix length
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** /(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vrf  <key>
                            
                            	Virtual Routing/Forwarding parameters
                            	**type**\: str
                            
                            .. attribute:: accounting
                            
                            	Specify accounting details
                            	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Accounting>`
                            
                            .. attribute:: authentication
                            
                            	Specify authentication details
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Authentication>`
                            
                            .. attribute:: calling_station_id
                            
                            	Specify format of Calling\-Station\-Id, attribute\\ 31.Default format is to expect mac\-address in\\ calling\-station\-id
                            	**type**\:  :py:class:`CallingStationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId>`
                            
                            .. attribute:: eap_user
                            
                            	EAP users
                            	**type**\:  :py:class:`EapUser <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.EapUser>`
                            
                            .. attribute:: filter
                            
                            	Configure filter
                            	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter>`
                            
                            .. attribute:: key
                            
                            	Specify a RADIUS client
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Key>`
                            
                            .. attribute:: message_authenticator
                            
                            	Message Authenticator attribute from Clients
                            	**type**\:  :py:class:`MessageAuthenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.MessageAuthenticator>`
                            
                            .. attribute:: mode
                            
                            	Radius Proxy Pass thru mode
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Mode>`
                            
                            .. attribute:: pwlan_session
                            
                            	PWLAN Reconnect feature
                            	**type**\:  :py:class:`PwlanSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.PwlanSession>`
                            
                            .. attribute:: re_authentication
                            
                            	Specify re\-authentication details
                            	**type**\:  :py:class:`ReAuthentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.ReAuthentication>`
                            
                            .. attribute:: session_identifier
                            
                            	This attribute will be used to correlate Radius \\ requests of a session and to identify sessions within \\ radius\-proxy
                            	**type**\:  :py:class:`SessionIdentifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.SessionIdentifier>`
                            
                            .. attribute:: timer
                            
                            	Configure RADIUS proxy timer values
                            	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Timer>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client, self).__init__()

                                self.yang_name = "client"
                                self.yang_parent_name = "client-ip-mask-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"accounting" : ("accounting", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Accounting), "authentication" : ("authentication", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Authentication), "calling-station-id" : ("calling_station_id", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId), "eap-user" : ("eap_user", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.EapUser), "filter" : ("filter", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter), "key" : ("key", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Key), "message-authenticator" : ("message_authenticator", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.MessageAuthenticator), "mode" : ("mode", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Mode), "pwlan-session" : ("pwlan_session", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.PwlanSession), "re-authentication" : ("re_authentication", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.ReAuthentication), "session-identifier" : ("session_identifier", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.SessionIdentifier), "timer" : ("timer", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Timer)}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.str, "ip")

                                self.mask = YLeaf(YType.str, "mask")

                                self.vrf = YLeaf(YType.str, "vrf")

                                self.accounting = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Accounting()
                                self.accounting.parent = self
                                self._children_name_map["accounting"] = "accounting"
                                self._children_yang_names.add("accounting")

                                self.authentication = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")

                                self.calling_station_id = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId()
                                self.calling_station_id.parent = self
                                self._children_name_map["calling_station_id"] = "calling-station-id"
                                self._children_yang_names.add("calling-station-id")

                                self.eap_user = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.EapUser()
                                self.eap_user.parent = self
                                self._children_name_map["eap_user"] = "eap-user"
                                self._children_yang_names.add("eap-user")

                                self.filter = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter()
                                self.filter.parent = self
                                self._children_name_map["filter"] = "filter"
                                self._children_yang_names.add("filter")

                                self.key = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")

                                self.message_authenticator = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.MessageAuthenticator()
                                self.message_authenticator.parent = self
                                self._children_name_map["message_authenticator"] = "message-authenticator"
                                self._children_yang_names.add("message-authenticator")

                                self.mode = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Mode()
                                self.mode.parent = self
                                self._children_name_map["mode"] = "mode"
                                self._children_yang_names.add("mode")

                                self.pwlan_session = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.PwlanSession()
                                self.pwlan_session.parent = self
                                self._children_name_map["pwlan_session"] = "pwlan-session"
                                self._children_yang_names.add("pwlan-session")

                                self.re_authentication = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.ReAuthentication()
                                self.re_authentication.parent = self
                                self._children_name_map["re_authentication"] = "re-authentication"
                                self._children_yang_names.add("re-authentication")

                                self.session_identifier = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.SessionIdentifier()
                                self.session_identifier.parent = self
                                self._children_name_map["session_identifier"] = "session-identifier"
                                self._children_yang_names.add("session-identifier")

                                self.timer = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Timer()
                                self.timer.parent = self
                                self._children_name_map["timer"] = "timer"
                                self._children_yang_names.add("timer")
                                self._segment_path = lambda: "client" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']" + "[vrf='" + self.vrf.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/client-ip-mask-vrf/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client, ['ip', 'mask', 'vrf'], name, value)


                            class Accounting(Entity):
                                """
                                Specify accounting details
                                
                                .. attribute:: method_list
                                
                                	Authentication method list details
                                	**type**\:  :py:class:`MethodList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Accounting.MethodList>`
                                
                                .. attribute:: port
                                
                                	Radius server port
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Accounting, self).__init__()

                                    self.yang_name = "accounting"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"method-list" : ("method_list", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Accounting.MethodList)}
                                    self._child_list_classes = {}

                                    self.port = YLeaf(YType.uint16, "port")

                                    self.method_list = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Accounting.MethodList()
                                    self.method_list.parent = self
                                    self._children_name_map["method_list"] = "method-list"
                                    self._children_yang_names.add("method-list")
                                    self._segment_path = lambda: "accounting"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Accounting, ['port'], name, value)


                                class MethodList(Entity):
                                    """
                                    Authentication method list details
                                    
                                    .. attribute:: method_name
                                    
                                    	Method list name
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	The default authentication list
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Accounting.MethodList, self).__init__()

                                        self.yang_name = "method-list"
                                        self.yang_parent_name = "accounting"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.method_name = YLeaf(YType.str, "method-name")

                                        self.default = YLeaf(YType.empty, "default")
                                        self._segment_path = lambda: "method-list"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Accounting.MethodList, ['method_name', 'default'], name, value)


                            class Authentication(Entity):
                                """
                                Specify authentication details
                                
                                .. attribute:: method_list
                                
                                	Authentication method list details
                                	**type**\:  :py:class:`MethodList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Authentication.MethodList>`
                                
                                .. attribute:: port
                                
                                	Radius server port
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"method-list" : ("method_list", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Authentication.MethodList)}
                                    self._child_list_classes = {}

                                    self.port = YLeaf(YType.uint16, "port")

                                    self.method_list = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Authentication.MethodList()
                                    self.method_list.parent = self
                                    self._children_name_map["method_list"] = "method-list"
                                    self._children_yang_names.add("method-list")
                                    self._segment_path = lambda: "authentication"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Authentication, ['port'], name, value)


                                class MethodList(Entity):
                                    """
                                    Authentication method list details
                                    
                                    .. attribute:: method_name
                                    
                                    	Method list name
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	The default authentication list
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Authentication.MethodList, self).__init__()

                                        self.yang_name = "method-list"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.method_name = YLeaf(YType.str, "method-name")

                                        self.default = YLeaf(YType.empty, "default")
                                        self._segment_path = lambda: "method-list"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Authentication.MethodList, ['method_name', 'default'], name, value)


                            class CallingStationId(Entity):
                                """
                                Specify format of Calling\-Station\-Id, attribute\\
                                31.Default format is to expect mac\-address in\\
                                calling\-station\-id
                                
                                .. attribute:: format
                                
                                	Specify the format as MAC or MSISDN
                                	**type**\:  :py:class:`Format <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId, self).__init__()

                                    self.yang_name = "calling-station-id"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"format" : ("format", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format)}
                                    self._child_list_classes = {}

                                    self.format = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format()
                                    self.format.parent = self
                                    self._children_name_map["format"] = "format"
                                    self._children_yang_names.add("format")
                                    self._segment_path = lambda: "calling-station-id"


                                class Format(Entity):
                                    """
                                    Specify the format as MAC or MSISDN
                                    
                                    .. attribute:: mac_address
                                    
                                    	Expect MAC address to be present in CLID
                                    	**type**\:  :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress>`
                                    
                                    .. attribute:: msisdn
                                    
                                    	Expect MSISDN value to be present in CLID
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format, self).__init__()

                                        self.yang_name = "format"
                                        self.yang_parent_name = "calling-station-id"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac-address" : ("mac_address", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress)}
                                        self._child_list_classes = {}

                                        self.msisdn = YLeaf(YType.empty, "msisdn")

                                        self.mac_address = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress()
                                        self.mac_address.parent = self
                                        self._children_name_map["mac_address"] = "mac-address"
                                        self._children_yang_names.add("mac-address")
                                        self._segment_path = lambda: "format"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format, ['msisdn'], name, value)


                                    class MacAddress(Entity):
                                        """
                                        Expect MAC address to be present in CLID
                                        
                                        .. attribute:: default
                                        
                                        	format ex\: 0000.4096.3e4a
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Default>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ietf
                                        
                                        	format ex\: 00\-00\-40\-96\-3E\-4A
                                        	**type**\:  :py:class:`Ietf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Ietf>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: none
                                        
                                        	format unspecified
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: one_byte
                                        
                                        	format ex\: 00.00.40.96.3e.4a
                                        	**type**\:  :py:class:`OneByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte>`
                                        
                                        .. attribute:: three_byte
                                        
                                        	format ex\: 000040.963e4a
                                        	**type**\:  :py:class:`ThreeByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte>`
                                        
                                        .. attribute:: two_byte
                                        
                                        	format ex\: 0000.4096.3e4a
                                        	**type**\:  :py:class:`TwoByte <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte>`
                                        
                                        .. attribute:: unformatted
                                        
                                        	format ex\: 000040963e4a
                                        	**type**\:  :py:class:`Unformatted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Unformatted>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress, self).__init__()

                                            self.yang_name = "mac-address"
                                            self.yang_parent_name = "format"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Default), "ietf" : ("ietf", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Ietf), "one-byte" : ("one_byte", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte), "three-byte" : ("three_byte", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte), "two-byte" : ("two_byte", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte), "unformatted" : ("unformatted", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Unformatted)}
                                            self._child_list_classes = {}

                                            self.none = YLeaf(YType.empty, "none")

                                            self.default = None
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.ietf = None
                                            self._children_name_map["ietf"] = "ietf"
                                            self._children_yang_names.add("ietf")

                                            self.one_byte = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte()
                                            self.one_byte.parent = self
                                            self._children_name_map["one_byte"] = "one-byte"
                                            self._children_yang_names.add("one-byte")

                                            self.three_byte = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte()
                                            self.three_byte.parent = self
                                            self._children_name_map["three_byte"] = "three-byte"
                                            self._children_yang_names.add("three-byte")

                                            self.two_byte = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte()
                                            self.two_byte.parent = self
                                            self._children_name_map["two_byte"] = "two-byte"
                                            self._children_yang_names.add("two-byte")

                                            self.unformatted = None
                                            self._children_name_map["unformatted"] = "unformatted"
                                            self._children_yang_names.add("unformatted")
                                            self._segment_path = lambda: "mac-address"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress, ['none'], name, value)


                                        class Default(Entity):
                                            """
                                            format ex\: 0000.4096.3e4a
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Default.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Default, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class Ietf(Entity):
                                            """
                                            format ex\: 00\-00\-40\-96\-3E\-4A
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Ietf.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Ietf, self).__init__()

                                                self.yang_name = "ietf"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "ietf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Ietf, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                                        class OneByte(Entity):
                                            """
                                            format ex\: 00.00.40.96.3e.4a
                                            
                                            .. attribute:: delimiter
                                            
                                            	
                                            	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter>`
                                            
                                            

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte, self).__init__()

                                                self.yang_name = "one-byte"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter)}
                                                self._child_list_classes = {}

                                                self.delimiter = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter()
                                                self.delimiter.parent = self
                                                self._children_name_map["delimiter"] = "delimiter"
                                                self._children_yang_names.add("delimiter")
                                                self._segment_path = lambda: "one-byte"


                                            class Delimiter(Entity):
                                                """
                                                
                                                
                                                .. attribute:: colon
                                                
                                                	
                                                	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: dot
                                                
                                                	
                                                	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: hyphen
                                                
                                                	
                                                	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-aaa'
                                                _revision = '2017-09-05'

                                                def __init__(self):
                                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter, self).__init__()

                                                    self.yang_name = "delimiter"
                                                    self.yang_parent_name = "one-byte"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen)}
                                                    self._child_list_classes = {}

                                                    self.colon = None
                                                    self._children_name_map["colon"] = "colon"
                                                    self._children_yang_names.add("colon")

                                                    self.dot = None
                                                    self._children_name_map["dot"] = "dot"
                                                    self._children_yang_names.add("dot")

                                                    self.hyphen = None
                                                    self._children_name_map["hyphen"] = "hyphen"
                                                    self._children_yang_names.add("hyphen")
                                                    self._segment_path = lambda: "delimiter"


                                                class Colon(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon, self).__init__()

                                                        self.yang_name = "colon"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "colon"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Colon, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Dot(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot, self).__init__()

                                                        self.yang_name = "dot"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "dot"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Dot, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Hyphen(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen, self).__init__()

                                                        self.yang_name = "hyphen"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "hyphen"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.OneByte.Delimiter.Hyphen, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                        class ThreeByte(Entity):
                                            """
                                            format ex\: 000040.963e4a
                                            
                                            .. attribute:: delimiter
                                            
                                            	
                                            	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter>`
                                            
                                            

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte, self).__init__()

                                                self.yang_name = "three-byte"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter)}
                                                self._child_list_classes = {}

                                                self.delimiter = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter()
                                                self.delimiter.parent = self
                                                self._children_name_map["delimiter"] = "delimiter"
                                                self._children_yang_names.add("delimiter")
                                                self._segment_path = lambda: "three-byte"


                                            class Delimiter(Entity):
                                                """
                                                
                                                
                                                .. attribute:: colon
                                                
                                                	
                                                	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: dot
                                                
                                                	
                                                	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: hyphen
                                                
                                                	
                                                	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-aaa'
                                                _revision = '2017-09-05'

                                                def __init__(self):
                                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter, self).__init__()

                                                    self.yang_name = "delimiter"
                                                    self.yang_parent_name = "three-byte"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen)}
                                                    self._child_list_classes = {}

                                                    self.colon = None
                                                    self._children_name_map["colon"] = "colon"
                                                    self._children_yang_names.add("colon")

                                                    self.dot = None
                                                    self._children_name_map["dot"] = "dot"
                                                    self._children_yang_names.add("dot")

                                                    self.hyphen = None
                                                    self._children_name_map["hyphen"] = "hyphen"
                                                    self._children_yang_names.add("hyphen")
                                                    self._segment_path = lambda: "delimiter"


                                                class Colon(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon, self).__init__()

                                                        self.yang_name = "colon"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "colon"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Colon, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Dot(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot, self).__init__()

                                                        self.yang_name = "dot"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "dot"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Dot, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Hyphen(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen, self).__init__()

                                                        self.yang_name = "hyphen"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "hyphen"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.ThreeByte.Delimiter.Hyphen, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                        class TwoByte(Entity):
                                            """
                                            format ex\: 0000.4096.3e4a
                                            
                                            .. attribute:: delimiter
                                            
                                            	
                                            	**type**\:  :py:class:`Delimiter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter>`
                                            
                                            

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte, self).__init__()

                                                self.yang_name = "two-byte"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"delimiter" : ("delimiter", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter)}
                                                self._child_list_classes = {}

                                                self.delimiter = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter()
                                                self.delimiter.parent = self
                                                self._children_name_map["delimiter"] = "delimiter"
                                                self._children_yang_names.add("delimiter")
                                                self._segment_path = lambda: "two-byte"


                                            class Delimiter(Entity):
                                                """
                                                
                                                
                                                .. attribute:: colon
                                                
                                                	
                                                	**type**\:  :py:class:`Colon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: dot
                                                
                                                	
                                                	**type**\:  :py:class:`Dot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: hyphen
                                                
                                                	
                                                	**type**\:  :py:class:`Hyphen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-aaa'
                                                _revision = '2017-09-05'

                                                def __init__(self):
                                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter, self).__init__()

                                                    self.yang_name = "delimiter"
                                                    self.yang_parent_name = "two-byte"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"colon" : ("colon", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon), "dot" : ("dot", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot), "hyphen" : ("hyphen", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen)}
                                                    self._child_list_classes = {}

                                                    self.colon = None
                                                    self._children_name_map["colon"] = "colon"
                                                    self._children_yang_names.add("colon")

                                                    self.dot = None
                                                    self._children_name_map["dot"] = "dot"
                                                    self._children_yang_names.add("dot")

                                                    self.hyphen = None
                                                    self._children_name_map["hyphen"] = "hyphen"
                                                    self._children_yang_names.add("hyphen")
                                                    self._segment_path = lambda: "delimiter"


                                                class Colon(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon, self).__init__()

                                                        self.yang_name = "colon"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "colon"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Colon, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Dot(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot, self).__init__()

                                                        self.yang_name = "dot"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "dot"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Dot, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                                class Hyphen(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: type
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen.Type>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-aaa'
                                                    _revision = '2017-09-05'

                                                    def __init__(self):
                                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen, self).__init__()

                                                        self.yang_name = "hyphen"
                                                        self.yang_parent_name = "delimiter"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.type = YLeaf(YType.enumeration, "type")
                                                        self._segment_path = lambda: "hyphen"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.TwoByte.Delimiter.Hyphen, ['type'], name, value)

                                                    class Type(Enum):
                                                        """
                                                        Type

                                                        .. data:: lower_case = 0

                                                        .. data:: upper_case = 1

                                                        """

                                                        lower_case = Enum.YLeaf(0, "lower-case")

                                                        upper_case = Enum.YLeaf(1, "upper-case")



                                        class Unformatted(Entity):
                                            """
                                            format ex\: 000040963e4a
                                            
                                            .. attribute:: type
                                            
                                            	
                                            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Unformatted.Type>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-aaa'
                                            _revision = '2017-09-05'

                                            def __init__(self):
                                                super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Unformatted, self).__init__()

                                                self.yang_name = "unformatted"
                                                self.yang_parent_name = "mac-address"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.type = YLeaf(YType.enumeration, "type")
                                                self._segment_path = lambda: "unformatted"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.CallingStationId.Format.MacAddress.Unformatted, ['type'], name, value)

                                            class Type(Enum):
                                                """
                                                Type

                                                .. data:: lower_case = 0

                                                .. data:: upper_case = 1

                                                """

                                                lower_case = Enum.YLeaf(0, "lower-case")

                                                upper_case = Enum.YLeaf(1, "upper-case")



                            class EapUser(Entity):
                                """
                                EAP users
                                
                                .. attribute:: ignore_open_session
                                
                                	for EAP authenticated users, open\-session is not supported
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.EapUser, self).__init__()

                                    self.yang_name = "eap-user"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore_open_session = YLeaf(YType.empty, "ignore-open-session")
                                    self._segment_path = lambda: "eap-user"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.EapUser, ['ignore_open_session'], name, value)


                            class Filter(Entity):
                                """
                                Configure filter
                                
                                .. attribute:: access
                                
                                	For access requests
                                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access>`
                                
                                .. attribute:: accounting
                                
                                	For accounting requests
                                	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting>`
                                
                                .. attribute:: attribute
                                
                                	Filter attributes in packets sent to clients
                                	**type**\:  :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Attribute>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter, self).__init__()

                                    self.yang_name = "filter"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"access" : ("access", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access), "accounting" : ("accounting", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting), "attribute" : ("attribute", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Attribute)}
                                    self._child_list_classes = {}

                                    self.access = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access()
                                    self.access.parent = self
                                    self._children_name_map["access"] = "access"
                                    self._children_yang_names.add("access")

                                    self.accounting = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting()
                                    self.accounting.parent = self
                                    self._children_name_map["accounting"] = "accounting"
                                    self._children_yang_names.add("accounting")

                                    self.attribute = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Attribute()
                                    self.attribute.parent = self
                                    self._children_name_map["attribute"] = "attribute"
                                    self._children_yang_names.add("attribute")
                                    self._segment_path = lambda: "filter"


                                class Access(Entity):
                                    """
                                    For access requests
                                    
                                    .. attribute:: ack
                                    
                                    	Acknowledge the packet
                                    	**type**\:  :py:class:`Ack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Ack>`
                                    
                                    .. attribute:: drop
                                    
                                    	Drop the packet
                                    	**type**\:  :py:class:`Drop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Drop>`
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore the packet for applying ISG features
                                    	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Ignore>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access, self).__init__()

                                        self.yang_name = "access"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ack" : ("ack", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Ack), "drop" : ("drop", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Drop), "ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Ignore)}
                                        self._child_list_classes = {}

                                        self.ack = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Ack()
                                        self.ack.parent = self
                                        self._children_name_map["ack"] = "ack"
                                        self._children_yang_names.add("ack")

                                        self.drop = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Drop()
                                        self.drop.parent = self
                                        self._children_name_map["drop"] = "drop"
                                        self._children_yang_names.add("drop")

                                        self.ignore = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Ignore()
                                        self.ignore.parent = self
                                        self._children_name_map["ignore"] = "ignore"
                                        self._children_yang_names.add("ignore")
                                        self._segment_path = lambda: "access"


                                    class Ack(Entity):
                                        """
                                        Acknowledge the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Ack, self).__init__()

                                            self.yang_name = "ack"
                                            self.yang_parent_name = "access"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ack"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Ack, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Drop(Entity):
                                        """
                                        Drop the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Drop, self).__init__()

                                            self.yang_name = "drop"
                                            self.yang_parent_name = "access"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "drop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Drop, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Ignore(Entity):
                                        """
                                        Ignore the packet for applying ISG features
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Ignore, self).__init__()

                                            self.yang_name = "ignore"
                                            self.yang_parent_name = "access"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ignore"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Access.Ignore, ['word1', 'word2', 'word3', 'word4'], name, value)


                                class Accounting(Entity):
                                    """
                                    For accounting requests
                                    
                                    .. attribute:: ack
                                    
                                    	Acknowledge the packet
                                    	**type**\:  :py:class:`Ack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Ack>`
                                    
                                    .. attribute:: drop
                                    
                                    	Drop the packet
                                    	**type**\:  :py:class:`Drop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Drop>`
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore the packet for applying ISG features
                                    	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Ignore>`
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting, self).__init__()

                                        self.yang_name = "accounting"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ack" : ("ack", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Ack), "drop" : ("drop", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Drop), "ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Ignore)}
                                        self._child_list_classes = {}

                                        self.ack = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Ack()
                                        self.ack.parent = self
                                        self._children_name_map["ack"] = "ack"
                                        self._children_yang_names.add("ack")

                                        self.drop = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Drop()
                                        self.drop.parent = self
                                        self._children_name_map["drop"] = "drop"
                                        self._children_yang_names.add("drop")

                                        self.ignore = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Ignore()
                                        self.ignore.parent = self
                                        self._children_name_map["ignore"] = "ignore"
                                        self._children_yang_names.add("ignore")
                                        self._segment_path = lambda: "accounting"


                                    class Ack(Entity):
                                        """
                                        Acknowledge the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Ack, self).__init__()

                                            self.yang_name = "ack"
                                            self.yang_parent_name = "accounting"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ack"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Ack, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Drop(Entity):
                                        """
                                        Drop the packet
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Drop, self).__init__()

                                            self.yang_name = "drop"
                                            self.yang_parent_name = "accounting"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "drop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Drop, ['word1', 'word2', 'word3', 'word4'], name, value)


                                    class Ignore(Entity):
                                        """
                                        Ignore the packet for applying ISG features
                                        
                                        .. attribute:: word1
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word2
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word3
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        .. attribute:: word4
                                        
                                        	Name of the filter to be applied (max 31 chars. \\ (max 31 chars. longer will be ignored)
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-aaa'
                                        _revision = '2017-09-05'

                                        def __init__(self):
                                            super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Ignore, self).__init__()

                                            self.yang_name = "ignore"
                                            self.yang_parent_name = "accounting"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word1 = YLeaf(YType.str, "word1")

                                            self.word2 = YLeaf(YType.str, "word2")

                                            self.word3 = YLeaf(YType.str, "word3")

                                            self.word4 = YLeaf(YType.str, "word4")
                                            self._segment_path = lambda: "ignore"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Accounting.Ignore, ['word1', 'word2', 'word3', 'word4'], name, value)


                                class Attribute(Entity):
                                    """
                                    Filter attributes in packets sent to clients
                                    
                                    .. attribute:: allow
                                    
                                    	Allow only the attributes specified in the list
                                    	**type**\: str
                                    
                                    .. attribute:: block
                                    
                                    	Block the attributes specified in the list
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Attribute, self).__init__()

                                        self.yang_name = "attribute"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allow = YLeaf(YType.str, "allow")

                                        self.block = YLeaf(YType.str, "block")
                                        self._segment_path = lambda: "attribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Filter.Attribute, ['allow', 'block'], name, value)


                            class Key(Entity):
                                """
                                Specify a RADIUS client
                                
                                .. attribute:: key
                                
                                	
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Key.Key>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.key = YLeaf(YType.enumeration, "key")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Key, ['key', 'string'], name, value)

                                class Key(Enum):
                                    """
                                    Key

                                    .. data:: Y_0 = 0

                                    .. data:: Y_6 = 1

                                    .. data:: Y_7 = 2

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_6 = Enum.YLeaf(1, "6")

                                    Y_7 = Enum.YLeaf(2, "7")



                            class MessageAuthenticator(Entity):
                                """
                                Message Authenticator attribute from Clients
                                
                                .. attribute:: ignore
                                
                                	Ignore checking of Message Authenticator attribute from\\ Clients
                                	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.MessageAuthenticator.Ignore>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.MessageAuthenticator, self).__init__()

                                    self.yang_name = "message-authenticator"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ignore" : ("ignore", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.MessageAuthenticator.Ignore)}
                                    self._child_list_classes = {}

                                    self.ignore = None
                                    self._children_name_map["ignore"] = "ignore"
                                    self._children_yang_names.add("ignore")
                                    self._segment_path = lambda: "message-authenticator"


                                class Ignore(Entity):
                                    """
                                    Ignore checking of Message Authenticator attribute from\\
                                    Clients
                                    
                                    .. attribute:: accounting
                                    
                                    	Ignore checking of Message Authenticator attribute from\\ accounting packets
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.MessageAuthenticator.Ignore, self).__init__()

                                        self.yang_name = "ignore"
                                        self.yang_parent_name = "message-authenticator"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.accounting = YLeaf(YType.empty, "accounting")
                                        self._segment_path = lambda: "ignore"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.MessageAuthenticator.Ignore, ['accounting'], name, value)


                            class Mode(Entity):
                                """
                                Radius Proxy Pass thru mode
                                
                                .. attribute:: pass_through
                                
                                	Enable the pass\-through mode for Radius Proxy
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Mode, self).__init__()

                                    self.yang_name = "mode"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.pass_through = YLeaf(YType.empty, "pass-through")
                                    self._segment_path = lambda: "mode"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Mode, ['pass_through'], name, value)


                            class PwlanSession(Entity):
                                """
                                PWLAN Reconnect feature
                                
                                .. attribute:: reconnect
                                
                                	Enable the reconnect feature for PWLAN RP sessions
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.PwlanSession, self).__init__()

                                    self.yang_name = "pwlan-session"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reconnect = YLeaf(YType.empty, "reconnect")
                                    self._segment_path = lambda: "pwlan-session"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.PwlanSession, ['reconnect'], name, value)


                            class ReAuthentication(Entity):
                                """
                                Specify re\-authentication details
                                
                                .. attribute:: do_not_apply
                                
                                	Do not apply new data during re\-authentication
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.ReAuthentication, self).__init__()

                                    self.yang_name = "re-authentication"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.do_not_apply = YLeaf(YType.empty, "do-not-apply")
                                    self._segment_path = lambda: "re-authentication"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.ReAuthentication, ['do_not_apply'], name, value)


                            class SessionIdentifier(Entity):
                                """
                                This attribute will be used to correlate Radius \\
                                requests of a session and to identify sessions within \\
                                radius\-proxy
                                
                                .. attribute:: attribute
                                
                                	Specify an IETF Radius attribute
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: vsa
                                
                                	Specify Vendor\-Specific Attribute
                                	**type**\:  :py:class:`Vsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.SessionIdentifier.Vsa>`
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.SessionIdentifier, self).__init__()

                                    self.yang_name = "session-identifier"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"vsa" : ("vsa", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.SessionIdentifier.Vsa)}
                                    self._child_list_classes = {}

                                    self.attribute = YLeaf(YType.uint8, "attribute")

                                    self.vsa = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.SessionIdentifier.Vsa()
                                    self.vsa.parent = self
                                    self._children_name_map["vsa"] = "vsa"
                                    self._children_yang_names.add("vsa")
                                    self._segment_path = lambda: "session-identifier"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.SessionIdentifier, ['attribute'], name, value)


                                class Vsa(Entity):
                                    """
                                    Specify Vendor\-Specific Attribute
                                    
                                    .. attribute:: vendor
                                    
                                    	Specify the vendor type
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: type
                                    
                                    	Give attribute type for vsa
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.SessionIdentifier.Vsa, self).__init__()

                                        self.yang_name = "vsa"
                                        self.yang_parent_name = "session-identifier"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vendor = YLeaf(YType.uint16, "vendor")

                                        self.type = YLeaf(YType.uint8, "type")
                                        self._segment_path = lambda: "vsa"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.SessionIdentifier.Vsa, ['vendor', 'type'], name, value)


                            class Timer(Entity):
                                """
                                Configure RADIUS proxy timer values
                                
                                .. attribute:: disconnect
                                
                                	Specify disconnect timer
                                	**type**\:  :py:class:`Disconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Timer.Disconnect>`
                                
                                .. attribute:: ip_address
                                
                                	Specify value of wait for IP timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                .. attribute:: reconnect
                                
                                	Specify value of wait for reconnect timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                .. attribute:: request
                                
                                	Specify value of wait for Access\-Request timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                .. attribute:: roaming
                                
                                	Specify value of wait for roaming timer
                                	**type**\: int
                                
                                	**range:** 0..43200
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Timer, self).__init__()

                                    self.yang_name = "timer"
                                    self.yang_parent_name = "client"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"disconnect" : ("disconnect", Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Timer.Disconnect)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.uint16, "ip-address")

                                    self.reconnect = YLeaf(YType.uint16, "reconnect")

                                    self.request = YLeaf(YType.uint16, "request")

                                    self.roaming = YLeaf(YType.uint16, "roaming")

                                    self.disconnect = Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Timer.Disconnect()
                                    self.disconnect.parent = self
                                    self._children_name_map["disconnect"] = "disconnect"
                                    self._children_yang_names.add("disconnect")
                                    self._segment_path = lambda: "timer"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Timer, ['ip_address', 'reconnect', 'request', 'roaming'], name, value)


                                class Disconnect(Entity):
                                    """
                                    Specify disconnect timer
                                    
                                    .. attribute:: acct_stop
                                    
                                    	Specify disconnect delay timer for accounting stop
                                    	**type**\: int
                                    
                                    	**range:** 0..43200
                                    
                                    .. attribute:: reauth_fail
                                    
                                    	Specify disconnect delay timer for reauthentication failure
                                    	**type**\: int
                                    
                                    	**range:** 0..43200
                                    
                                    

                                    """

                                    _prefix = 'ios-aaa'
                                    _revision = '2017-09-05'

                                    def __init__(self):
                                        super(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Timer.Disconnect, self).__init__()

                                        self.yang_name = "disconnect"
                                        self.yang_parent_name = "timer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.acct_stop = YLeaf(YType.uint16, "acct-stop")

                                        self.reauth_fail = YLeaf(YType.uint16, "reauth-fail")
                                        self._segment_path = lambda: "disconnect"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Aaa.Server.Radius.Proxy.ClientIpMaskVrf.Client.Timer.Disconnect, ['acct_stop', 'reauth_fail'], name, value)


                    class Send(Entity):
                        """
                        Send attributes in Radius requests
                        
                        .. attribute:: vsa
                        
                        	Vendor specific attribute configuration
                        	**type**\:  :py:class:`Vsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Send.Vsa>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Proxy.Send, self).__init__()

                            self.yang_name = "send"
                            self.yang_parent_name = "proxy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"vsa" : ("vsa", Native.Aaa.Server.Radius.Proxy.Send.Vsa)}
                            self._child_list_classes = {}

                            self.vsa = Native.Aaa.Server.Radius.Proxy.Send.Vsa()
                            self.vsa.parent = self
                            self._children_name_map["vsa"] = "vsa"
                            self._children_yang_names.add("vsa")
                            self._segment_path = lambda: "send"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/%s" % self._segment_path()


                        class Vsa(Entity):
                            """
                            Vendor specific attribute configuration
                            
                            .. attribute:: rpclient_source_address
                            
                            	AP Source Address
                            	**type**\:  :py:class:`RpclientSourceAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Proxy.Send.Vsa.RpclientSourceAddress>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Proxy.Send.Vsa, self).__init__()

                                self.yang_name = "vsa"
                                self.yang_parent_name = "send"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"rpclient-source-address" : ("rpclient_source_address", Native.Aaa.Server.Radius.Proxy.Send.Vsa.RpclientSourceAddress)}
                                self._child_list_classes = {}

                                self.rpclient_source_address = None
                                self._children_name_map["rpclient_source_address"] = "rpclient-source-address"
                                self._children_yang_names.add("rpclient-source-address")
                                self._segment_path = lambda: "vsa"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/send/%s" % self._segment_path()


                            class RpclientSourceAddress(Entity):
                                """
                                AP Source Address
                                
                                .. attribute:: accounting
                                
                                	send in accounting requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: authentication
                                
                                	send in access requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Proxy.Send.Vsa.RpclientSourceAddress, self).__init__()

                                    self.yang_name = "rpclient-source-address"
                                    self.yang_parent_name = "vsa"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.accounting = YLeaf(YType.empty, "accounting")

                                    self.authentication = YLeaf(YType.empty, "authentication")
                                    self._segment_path = lambda: "rpclient-source-address"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/proxy/send/vsa/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Proxy.Send.Vsa.RpclientSourceAddress, ['accounting', 'authentication'], name, value)


                class Sesm(Entity):
                    """
                    Local server profile for a SESM client
                    
                    .. attribute:: client
                    
                    	Specify a RADIUS client
                    	**type**\: list of  		 :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Sesm.Client>`
                    
                    .. attribute:: key
                    
                    	Specify a RADIUS client
                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Sesm.Key>`
                    
                    .. attribute:: message_authenticator
                    
                    	Message Authenticator attribute from Clients
                    	**type**\:  :py:class:`MessageAuthenticator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Sesm.MessageAuthenticator>`
                    
                    .. attribute:: port
                    
                    	Radius server port
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Server.Radius.Sesm, self).__init__()

                        self.yang_name = "sesm"
                        self.yang_parent_name = "radius"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"key" : ("key", Native.Aaa.Server.Radius.Sesm.Key), "message-authenticator" : ("message_authenticator", Native.Aaa.Server.Radius.Sesm.MessageAuthenticator)}
                        self._child_list_classes = {"client" : ("client", Native.Aaa.Server.Radius.Sesm.Client)}
                        self.is_presence_container = True

                        self.port = YLeaf(YType.uint16, "port")

                        self.key = Native.Aaa.Server.Radius.Sesm.Key()
                        self.key.parent = self
                        self._children_name_map["key"] = "key"
                        self._children_yang_names.add("key")

                        self.message_authenticator = Native.Aaa.Server.Radius.Sesm.MessageAuthenticator()
                        self.message_authenticator.parent = self
                        self._children_name_map["message_authenticator"] = "message-authenticator"
                        self._children_yang_names.add("message-authenticator")

                        self.client = YList(self)
                        self._segment_path = lambda: "sesm"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Server.Radius.Sesm, ['port'], name, value)


                    class Client(Entity):
                        """
                        Specify a RADIUS client
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        .. attribute:: vrf
                        
                        	 Virtual Routing/Forwarding parameters
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Sesm.Client.Vrf>`
                        
                        .. attribute:: key
                        
                        	Specify a RADIUS client
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Sesm.Client.Key>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Sesm.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "sesm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"key" : ("key", Native.Aaa.Server.Radius.Sesm.Client.Key)}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Aaa.Server.Radius.Sesm.Client.Vrf)}

                            self.ip = YLeaf(YType.str, "ip")

                            self.key = Native.Aaa.Server.Radius.Sesm.Client.Key()
                            self.key.parent = self
                            self._children_name_map["key"] = "key"
                            self._children_yang_names.add("key")

                            self.vrf = YList(self)
                            self._segment_path = lambda: "client" + "[ip='" + self.ip.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/sesm/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Sesm.Client, ['ip'], name, value)


                        class Vrf(Entity):
                            """
                             Virtual Routing/Forwarding parameters
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: key
                            
                            	Specify a RADIUS client
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Sesm.Client.Vrf.Key>`
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Sesm.Client.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key" : ("key", Native.Aaa.Server.Radius.Sesm.Client.Vrf.Key)}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.key = Native.Aaa.Server.Radius.Sesm.Client.Vrf.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.Sesm.Client.Vrf, ['name'], name, value)


                            class Key(Entity):
                                """
                                Specify a RADIUS client
                                
                                .. attribute:: key
                                
                                	
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Sesm.Client.Vrf.Key.Key>`
                                
                                .. attribute:: string
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-aaa'
                                _revision = '2017-09-05'

                                def __init__(self):
                                    super(Native.Aaa.Server.Radius.Sesm.Client.Vrf.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.key = YLeaf(YType.enumeration, "key")

                                    self.string = YLeaf(YType.str, "string")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Aaa.Server.Radius.Sesm.Client.Vrf.Key, ['key', 'string'], name, value)

                                class Key(Enum):
                                    """
                                    Key

                                    .. data:: Y_0 = 0

                                    .. data:: Y_6 = 1

                                    .. data:: Y_7 = 2

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_6 = Enum.YLeaf(1, "6")

                                    Y_7 = Enum.YLeaf(2, "7")



                        class Key(Entity):
                            """
                            Specify a RADIUS client
                            
                            .. attribute:: key
                            
                            	
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Sesm.Client.Key.Key>`
                            
                            .. attribute:: string
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-aaa'
                            _revision = '2017-09-05'

                            def __init__(self):
                                super(Native.Aaa.Server.Radius.Sesm.Client.Key, self).__init__()

                                self.yang_name = "key"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key = YLeaf(YType.enumeration, "key")

                                self.string = YLeaf(YType.str, "string")
                                self._segment_path = lambda: "key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Aaa.Server.Radius.Sesm.Client.Key, ['key', 'string'], name, value)

                            class Key(Enum):
                                """
                                Key

                                .. data:: Y_0 = 0

                                .. data:: Y_6 = 1

                                .. data:: Y_7 = 2

                                """

                                Y_0 = Enum.YLeaf(0, "0")

                                Y_6 = Enum.YLeaf(1, "6")

                                Y_7 = Enum.YLeaf(2, "7")



                    class Key(Entity):
                        """
                        Specify a RADIUS client
                        
                        .. attribute:: key
                        
                        	
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Server.Radius.Sesm.Key.Key>`
                        
                        .. attribute:: string
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Sesm.Key, self).__init__()

                            self.yang_name = "key"
                            self.yang_parent_name = "sesm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key = YLeaf(YType.enumeration, "key")

                            self.string = YLeaf(YType.str, "string")
                            self._segment_path = lambda: "key"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/sesm/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Sesm.Key, ['key', 'string'], name, value)

                        class Key(Enum):
                            """
                            Key

                            .. data:: Y_0 = 0

                            .. data:: Y_6 = 1

                            .. data:: Y_7 = 2

                            """

                            Y_0 = Enum.YLeaf(0, "0")

                            Y_6 = Enum.YLeaf(1, "6")

                            Y_7 = Enum.YLeaf(2, "7")



                    class MessageAuthenticator(Entity):
                        """
                        Message Authenticator attribute from Clients
                        
                        .. attribute:: ignore
                        
                        	Ignore checking of Message Authenticator attribute from\\ Clients
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.Aaa.Server.Radius.Sesm.MessageAuthenticator, self).__init__()

                            self.yang_name = "message-authenticator"
                            self.yang_parent_name = "sesm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "message-authenticator"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:server/radius/sesm/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Aaa.Server.Radius.Sesm.MessageAuthenticator, ['ignore'], name, value)


        class Login(Entity):
            """
            AAA login enable display
            
            .. attribute:: display
            
            	Display options for login info
            	**type**\:  :py:class:`Display <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Login.Display>`
            
            .. attribute:: success_track_conf_time
            
            	Track Successful login attempts occurring during configured time\-period
            	**type**\: int
            
            	**range:** 1..24
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Aaa.Login, self).__init__()

                self.yang_name = "login"
                self.yang_parent_name = "aaa"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.display = YLeaf(YType.enumeration, "display")

                self.success_track_conf_time = YLeaf(YType.uint8, "success-track-conf-time")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:login"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Aaa.Login, ['display', 'success_track_conf_time'], name, value)

            class Display(Enum):
                """
                Display

                Display options for login info

                .. data:: last_failure = 0

                .. data:: last_success = 1

                .. data:: number_failures = 2

                """

                last_failure = Enum.YLeaf(0, "last-failure")

                last_success = Enum.YLeaf(1, "last-success")

                number_failures = Enum.YLeaf(2, "number-failures")



        class Memory(Entity):
            """
            AAA memory parameters
            
            .. attribute:: threshold
            
            	set appropriate thresholds for the AAA process
            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Memory.Threshold>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Aaa.Memory, self).__init__()

                self.yang_name = "memory"
                self.yang_parent_name = "aaa"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"threshold" : ("threshold", Native.Aaa.Memory.Threshold)}
                self._child_list_classes = {}

                self.threshold = Native.Aaa.Memory.Threshold()
                self.threshold.parent = self
                self._children_name_map["threshold"] = "threshold"
                self._children_yang_names.add("threshold")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:memory"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/%s" % self._segment_path()


            class Threshold(Entity):
                """
                set appropriate thresholds for the AAA process
                
                .. attribute:: accounting
                
                	AAA accounting low\-memory threshold
                	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Memory.Threshold.Accounting>`
                
                .. attribute:: authentication
                
                	AAA authentication low\-memory threshold
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Memory.Threshold.Authentication>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Memory.Threshold, self).__init__()

                    self.yang_name = "threshold"
                    self.yang_parent_name = "memory"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"accounting" : ("accounting", Native.Aaa.Memory.Threshold.Accounting), "authentication" : ("authentication", Native.Aaa.Memory.Threshold.Authentication)}
                    self._child_list_classes = {}

                    self.accounting = Native.Aaa.Memory.Threshold.Accounting()
                    self.accounting.parent = self
                    self._children_name_map["accounting"] = "accounting"
                    self._children_yang_names.add("accounting")

                    self.authentication = Native.Aaa.Memory.Threshold.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")
                    self._segment_path = lambda: "threshold"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:memory/%s" % self._segment_path()


                class Accounting(Entity):
                    """
                    AAA accounting low\-memory threshold
                    
                    .. attribute:: disable
                    
                    	accounting may be disabled, if available memory falls below\\ this percentage
                    	**type**\: int
                    
                    	**range:** 1..15
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Memory.Threshold.Accounting, self).__init__()

                        self.yang_name = "accounting"
                        self.yang_parent_name = "threshold"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.uint8, "disable")
                        self._segment_path = lambda: "accounting"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:memory/threshold/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Memory.Threshold.Accounting, ['disable'], name, value)


                class Authentication(Entity):
                    """
                    AAA authentication low\-memory threshold
                    
                    .. attribute:: reject
                    
                    	requests will be rejected, if available memory falls below\\ this percentage
                    	**type**\: int
                    
                    	**range:** 2..15
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Aaa.Memory.Threshold.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "threshold"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.reject = YLeaf(YType.uint8, "reject")
                        self._segment_path = lambda: "authentication"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:memory/threshold/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Aaa.Memory.Threshold.Authentication, ['reject'], name, value)


        class Policy(Entity):
            """
            AAA policy parameters
            
            .. attribute:: interface_config
            
            	LCP interface config policy parameters
            	**type**\:  :py:class:`InterfaceConfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Policy.InterfaceConfig>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Aaa.Policy, self).__init__()

                self.yang_name = "policy"
                self.yang_parent_name = "aaa"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.interface_config = YLeaf(YType.enumeration, "interface-config")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:policy"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Aaa.Policy, ['interface_config'], name, value)

            class InterfaceConfig(Enum):
                """
                InterfaceConfig

                LCP interface config policy parameters

                .. data:: allow_subinterface = 0

                """

                allow_subinterface = Enum.YLeaf(0, "allow-subinterface")



        class Route(Entity):
            """
            Static route downloading
            
            .. attribute:: download
            
            	Download from AAA server
            	**type**\:  :py:class:`Download <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Aaa.Route.Download>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Aaa.Route, self).__init__()

                self.yang_name = "route"
                self.yang_parent_name = "aaa"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"download" : ("download", Native.Aaa.Route.Download)}
                self._child_list_classes = {}

                self.download = Native.Aaa.Route.Download()
                self.download.parent = self
                self._children_name_map["download"] = "download"
                self._children_yang_names.add("download")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:route"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/%s" % self._segment_path()


            class Download(Entity):
                """
                Download from AAA server
                
                .. attribute:: update_period
                
                	Route update period in minutes
                	**type**\: int
                
                	**range:** 1..1440
                
                .. attribute:: authorization
                
                	Method list to use for authorization
                	**type**\: str
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Aaa.Route.Download, self).__init__()

                    self.yang_name = "download"
                    self.yang_parent_name = "route"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.update_period = YLeaf(YType.uint16, "update-period")

                    self.authorization = YLeaf(YType.str, "authorization")
                    self._segment_path = lambda: "download"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/aaa/Cisco-IOS-XE-aaa:route/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Aaa.Route.Download, ['update_period', 'authorization'], name, value)


    class Privilege(Entity):
        """
        Command privilege parameters
        
        .. attribute:: exec_
        
        	Exec mode
        	**type**\:  :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Privilege.Exec_>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Privilege, self).__init__()

            self.yang_name = "privilege"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"exec" : ("exec_", Native.Privilege.Exec_)}
            self._child_list_classes = {}

            self.exec_ = Native.Privilege.Exec_()
            self.exec_.parent = self
            self._children_name_map["exec_"] = "exec"
            self._children_yang_names.add("exec")
            self._segment_path = lambda: "privilege"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Exec_(Entity):
            """
            Exec mode
            
            .. attribute:: level
            
            	Set privilege level of command
            	**type**\: list of  		 :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Privilege.Exec_.Level>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Privilege.Exec_, self).__init__()

                self.yang_name = "exec"
                self.yang_parent_name = "privilege"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"level" : ("level", Native.Privilege.Exec_.Level)}

                self.level = YList(self)
                self._segment_path = lambda: "exec"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/privilege/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Privilege.Exec_, [], name, value)


            class Level(Entity):
                """
                Set privilege level of command
                
                .. attribute:: privilege  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: command_list
                
                	
                	**type**\: list of  		 :py:class:`CommandList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Privilege.Exec_.Level.CommandList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Privilege.Exec_.Level, self).__init__()

                    self.yang_name = "level"
                    self.yang_parent_name = "exec"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"command-list" : ("command_list", Native.Privilege.Exec_.Level.CommandList)}

                    self.privilege = YLeaf(YType.uint8, "privilege")

                    self.command_list = YList(self)
                    self._segment_path = lambda: "level" + "[privilege='" + self.privilege.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/privilege/exec/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Privilege.Exec_.Level, ['privilege'], name, value)


                class CommandList(Entity):
                    """
                    
                    
                    .. attribute:: command  <key>
                    
                    	There are side effects
                    	**type**\: str
                    
                    	**pattern:** (show.\*)\|(write.\*)
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Privilege.Exec_.Level.CommandList, self).__init__()

                        self.yang_name = "command-list"
                        self.yang_parent_name = "level"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.command = YLeaf(YType.str, "command")
                        self._segment_path = lambda: "command-list" + "[command='" + self.command.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Privilege.Exec_.Level.CommandList, ['command'], name, value)


    class Login(Entity):
        """
        Enable secure login checking
        
        .. attribute:: delay
        
        	Set delay between successive fail login
        	**type**\: int
        
        	**range:** 1..10
        
        .. attribute:: on_failure
        
        	Set options for failed login attempt
        	**type**\:  :py:class:`OnFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Login.OnFailure>`
        
        	**presence node**\: True
        
        .. attribute:: on_success
        
        	Set options for successful login attempt
        	**type**\:  :py:class:`OnSuccess <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Login.OnSuccess>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Login, self).__init__()

            self.yang_name = "login"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"on-failure" : ("on_failure", Native.Login.OnFailure), "on-success" : ("on_success", Native.Login.OnSuccess)}
            self._child_list_classes = {}

            self.delay = YLeaf(YType.uint8, "delay")

            self.on_failure = None
            self._children_name_map["on_failure"] = "on-failure"
            self._children_yang_names.add("on-failure")

            self.on_success = None
            self._children_name_map["on_success"] = "on-success"
            self._children_yang_names.add("on-success")
            self._segment_path = lambda: "login"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Login, ['delay'], name, value)


        class OnFailure(Entity):
            """
            Set options for failed login attempt
            
            .. attribute:: log
            
            	Generate syslogs on failure logins
            	**type**\:  :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Login.OnFailure.Log>`
            
            	**presence node**\: True
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Login.OnFailure, self).__init__()

                self.yang_name = "on-failure"
                self.yang_parent_name = "login"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"log" : ("log", Native.Login.OnFailure.Log)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.log = None
                self._children_name_map["log"] = "log"
                self._children_yang_names.add("log")
                self._segment_path = lambda: "on-failure"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/login/%s" % self._segment_path()


            class Log(Entity):
                """
                Generate syslogs on failure logins
                
                .. attribute:: every
                
                	Periodicity for logs generated
                	**type**\: int
                
                	**range:** 1..65535
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Login.OnFailure.Log, self).__init__()

                    self.yang_name = "log"
                    self.yang_parent_name = "on-failure"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.every = YLeaf(YType.uint16, "every")
                    self._segment_path = lambda: "log"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/login/on-failure/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Login.OnFailure.Log, ['every'], name, value)


        class OnSuccess(Entity):
            """
            Set options for successful login attempt
            
            .. attribute:: log
            
            	Generate syslogs on successful logins
            	**type**\:  :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Login.OnSuccess.Log>`
            
            	**presence node**\: True
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Login.OnSuccess, self).__init__()

                self.yang_name = "on-success"
                self.yang_parent_name = "login"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"log" : ("log", Native.Login.OnSuccess.Log)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.log = None
                self._children_name_map["log"] = "log"
                self._children_yang_names.add("log")
                self._segment_path = lambda: "on-success"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/login/%s" % self._segment_path()


            class Log(Entity):
                """
                Generate syslogs on successful logins
                
                .. attribute:: every
                
                	Periodicity for logs generated
                	**type**\: int
                
                	**range:** 1..65535
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Login.OnSuccess.Log, self).__init__()

                    self.yang_name = "log"
                    self.yang_parent_name = "on-success"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.every = YLeaf(YType.uint16, "every")
                    self._segment_path = lambda: "log"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/login/on-success/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Login.OnSuccess.Log, ['every'], name, value)


    class Multilink(Entity):
        """
        PPP multilink global configuration
        
        .. attribute:: bundle_name
        
        	Select method for naming multilink bundles
        	**type**\:  :py:class:`BundleName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Multilink.BundleName>`
        
        .. attribute:: virtual_template
        
        	virtual\-template interface
        	**type**\: int
        
        	**range:** 1..4095
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Multilink, self).__init__()

            self.yang_name = "multilink"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.bundle_name = YLeaf(YType.enumeration, "Cisco-IOS-XE-ppp:bundle-name")

            self.virtual_template = YLeaf(YType.uint16, "Cisco-IOS-XE-ppp:virtual-template")
            self._segment_path = lambda: "multilink"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Multilink, ['bundle_name', 'virtual_template'], name, value)

        class BundleName(Enum):
            """
            BundleName

            Select method for naming multilink bundles

            .. data:: authenticated = 0

            .. data:: both = 1

            .. data:: endpoint = 2

            .. data:: rfc = 3

            """

            authenticated = Enum.YLeaf(0, "authenticated")

            both = Enum.YLeaf(1, "both")

            endpoint = Enum.YLeaf(2, "endpoint")

            rfc = Enum.YLeaf(3, "rfc")



    class MacAddressTable(Entity):
        """
        Configure the MAC address table
        
        .. attribute:: evc_xconnect
        
        	All ethernet virtual connections xconnect
        	**type**\:  :py:class:`EvcXconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable.EvcXconnect>`
        
        .. attribute:: limit
        
        	Enter parameters for mac limit feature
        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable.Limit>`
        
        .. attribute:: learning
        
        	Enable a MAC table learning feature
        	**type**\:  :py:class:`Learning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable.Learning>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.MacAddressTable, self).__init__()

            self.yang_name = "mac-address-table"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"evc-xconnect" : ("evc_xconnect", Native.MacAddressTable.EvcXconnect), "limit" : ("limit", Native.MacAddressTable.Limit), "learning" : ("learning", Native.MacAddressTable.Learning)}
            self._child_list_classes = {}

            self.evc_xconnect = Native.MacAddressTable.EvcXconnect()
            self.evc_xconnect.parent = self
            self._children_name_map["evc_xconnect"] = "evc-xconnect"
            self._children_yang_names.add("evc-xconnect")

            self.limit = Native.MacAddressTable.Limit()
            self.limit.parent = self
            self._children_name_map["limit"] = "limit"
            self._children_yang_names.add("limit")

            self.learning = Native.MacAddressTable.Learning()
            self.learning.parent = self
            self._children_name_map["learning"] = "learning"
            self._children_yang_names.add("learning")
            self._segment_path = lambda: "mac-address-table"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class EvcXconnect(Entity):
            """
            All ethernet virtual connections xconnect
            
            .. attribute:: l2pt_forward_all
            
            	Layer 2 Protocol Forward All
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.MacAddressTable.EvcXconnect, self).__init__()

                self.yang_name = "evc-xconnect"
                self.yang_parent_name = "mac-address-table"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.l2pt_forward_all = YLeaf(YType.empty, "l2pt-forward-all")
                self._segment_path = lambda: "evc-xconnect"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac-address-table/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.MacAddressTable.EvcXconnect, ['l2pt_forward_all'], name, value)


        class Limit(Entity):
            """
            Enter parameters for mac limit feature
            
            .. attribute:: bdomain
            
            	bdomain number for  mac limit feature
            	**type**\: list of  		 :py:class:`Bdomain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable.Limit.Bdomain>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.MacAddressTable.Limit, self).__init__()

                self.yang_name = "limit"
                self.yang_parent_name = "mac-address-table"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"bdomain" : ("bdomain", Native.MacAddressTable.Limit.Bdomain)}

                self.bdomain = YList(self)
                self._segment_path = lambda: "limit"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac-address-table/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.MacAddressTable.Limit, [], name, value)


            class Bdomain(Entity):
                """
                bdomain number for  mac limit feature
                
                .. attribute:: number  <key>
                
                	
                	**type**\: int
                
                	**range:** 1..4095
                
                .. attribute:: action
                
                	Enter action
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable.Limit.Bdomain.Action>`
                
                .. attribute:: maximum
                
                	Enter max allowed entries
                	**type**\: int
                
                	**range:** 0..16000
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.MacAddressTable.Limit.Bdomain, self).__init__()

                    self.yang_name = "bdomain"
                    self.yang_parent_name = "limit"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint16, "number")

                    self.action = YLeaf(YType.enumeration, "action")

                    self.maximum = YLeaf(YType.uint32, "maximum")
                    self._segment_path = lambda: "bdomain" + "[number='" + self.number.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac-address-table/limit/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.MacAddressTable.Limit.Bdomain, ['number', 'action', 'maximum'], name, value)

                class Action(Enum):
                    """
                    Action

                    Enter action

                    .. data:: warning = 0

                    .. data:: limit = 1

                    .. data:: shutdown = 2

                    """

                    warning = Enum.YLeaf(0, "warning")

                    limit = Enum.YLeaf(1, "limit")

                    shutdown = Enum.YLeaf(2, "shutdown")



        class Learning(Entity):
            """
            Enable a MAC table learning feature
            
            .. attribute:: vlan
            
            	Layer 2 table learning per VLAN
            	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MacAddressTable.Learning.Vlan>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.MacAddressTable.Learning, self).__init__()

                self.yang_name = "learning"
                self.yang_parent_name = "mac-address-table"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"vlan" : ("vlan", Native.MacAddressTable.Learning.Vlan)}

                self.vlan = YList(self)
                self._segment_path = lambda: "learning"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac-address-table/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.MacAddressTable.Learning, [], name, value)


            class Vlan(Entity):
                """
                Layer 2 table learning per VLAN
                
                .. attribute:: id  <key>
                
                	
                	**type**\: int
                
                	**range:** 1..4094
                
                .. attribute:: module
                
                	Layer 2 table learning per VLAN per module
                	**type**\: int
                
                	**range:** 1..9
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.MacAddressTable.Learning.Vlan, self).__init__()

                    self.yang_name = "vlan"
                    self.yang_parent_name = "learning"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.uint16, "id")

                    self.module = YLeaf(YType.uint8, "module")
                    self._segment_path = lambda: "vlan" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac-address-table/learning/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.MacAddressTable.Learning.Vlan, ['id', 'module'], name, value)


    class Redundancy(Entity):
        """
        Enter redundancy mode
        
        .. attribute:: maintenance_mode
        
        	Enable/Disable maintenance mode 
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: main_cpu
        
        	Enter main\-cpu mode
        	**type**\:  :py:class:`MainCpu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.MainCpu>`
        
        	**presence node**\: True
        
        .. attribute:: mode
        
        	redundancy mode for this chassis
        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Mode>`
        
        .. attribute:: policy
        
        	redundancy policy enforcement
        	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Policy>`
        
        .. attribute:: timer
        
        	Select a timer to configure
        	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Timer>`
        
        .. attribute:: interchassis
        
        	Enter interchassis mode
        	**type**\:  :py:class:`Interchassis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis>`
        
        

        This class is a :ref:`presence class<presence-class>`

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Redundancy, self).__init__()

            self.yang_name = "redundancy"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"main-cpu" : ("main_cpu", Native.Redundancy.MainCpu), "policy" : ("policy", Native.Redundancy.Policy), "timer" : ("timer", Native.Redundancy.Timer), "interchassis" : ("interchassis", Native.Redundancy.Interchassis)}
            self._child_list_classes = {}
            self.is_presence_container = True

            self.maintenance_mode = YLeaf(YType.empty, "maintenance-mode")

            self.mode = YLeaf(YType.enumeration, "mode")

            self.main_cpu = None
            self._children_name_map["main_cpu"] = "main-cpu"
            self._children_yang_names.add("main-cpu")

            self.policy = Native.Redundancy.Policy()
            self.policy.parent = self
            self._children_name_map["policy"] = "policy"
            self._children_yang_names.add("policy")

            self.timer = Native.Redundancy.Timer()
            self.timer.parent = self
            self._children_name_map["timer"] = "timer"
            self._children_yang_names.add("timer")

            self.interchassis = Native.Redundancy.Interchassis()
            self.interchassis.parent = self
            self._children_name_map["interchassis"] = "interchassis"
            self._children_yang_names.add("interchassis")
            self._segment_path = lambda: "redundancy"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Redundancy, ['maintenance_mode', 'mode'], name, value)

        class Mode(Enum):
            """
            Mode

            redundancy mode for this chassis

            .. data:: rpr = 0

            .. data:: rpr_plus = 1

            .. data:: sso = 2

            .. data:: none = 3

            """

            rpr = Enum.YLeaf(0, "rpr")

            rpr_plus = Enum.YLeaf(1, "rpr-plus")

            sso = Enum.YLeaf(2, "sso")

            none = Enum.YLeaf(3, "none")



        class MainCpu(Entity):
            """
            Enter main\-cpu mode
            
            .. attribute:: auto_sync
            
            	
            	**type**\:  :py:class:`AutoSync <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.MainCpu.AutoSync>`
            
            .. attribute:: standby
            
            	Standby
            	**type**\:  :py:class:`Standby <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.MainCpu.Standby>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Redundancy.MainCpu, self).__init__()

                self.yang_name = "main-cpu"
                self.yang_parent_name = "redundancy"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"auto-sync" : ("auto_sync", Native.Redundancy.MainCpu.AutoSync), "standby" : ("standby", Native.Redundancy.MainCpu.Standby)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.auto_sync = Native.Redundancy.MainCpu.AutoSync()
                self.auto_sync.parent = self
                self._children_name_map["auto_sync"] = "auto-sync"
                self._children_yang_names.add("auto-sync")

                self.standby = Native.Redundancy.MainCpu.Standby()
                self.standby.parent = self
                self._children_name_map["standby"] = "standby"
                self._children_yang_names.add("standby")
                self._segment_path = lambda: "main-cpu"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/%s" % self._segment_path()


            class AutoSync(Entity):
                """
                
                
                .. attribute:: running_config
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: config_register
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bootvar
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: standard
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Redundancy.MainCpu.AutoSync, self).__init__()

                    self.yang_name = "auto-sync"
                    self.yang_parent_name = "main-cpu"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.running_config = YLeaf(YType.empty, "running-config")

                    self.config_register = YLeaf(YType.empty, "config-register")

                    self.bootvar = YLeaf(YType.empty, "bootvar")

                    self.standard = YLeaf(YType.empty, "standard")
                    self._segment_path = lambda: "auto-sync"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/main-cpu/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Redundancy.MainCpu.AutoSync, ['running_config', 'config_register', 'bootvar', 'standard'], name, value)


            class Standby(Entity):
                """
                Standby
                
                .. attribute:: console
                
                	Console
                	**type**\:  :py:class:`Console <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.MainCpu.Standby.Console>`
                
                .. attribute:: initialization
                
                	Initialization
                	**type**\:  :py:class:`Initialization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.MainCpu.Standby.Initialization>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Redundancy.MainCpu.Standby, self).__init__()

                    self.yang_name = "standby"
                    self.yang_parent_name = "main-cpu"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"console" : ("console", Native.Redundancy.MainCpu.Standby.Console), "initialization" : ("initialization", Native.Redundancy.MainCpu.Standby.Initialization)}
                    self._child_list_classes = {}

                    self.console = Native.Redundancy.MainCpu.Standby.Console()
                    self.console.parent = self
                    self._children_name_map["console"] = "console"
                    self._children_yang_names.add("console")

                    self.initialization = Native.Redundancy.MainCpu.Standby.Initialization()
                    self.initialization.parent = self
                    self._children_name_map["initialization"] = "initialization"
                    self._children_yang_names.add("initialization")
                    self._segment_path = lambda: "standby"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/main-cpu/%s" % self._segment_path()


                class Console(Entity):
                    """
                    Console
                    
                    .. attribute:: enable
                    
                    	Enable
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Redundancy.MainCpu.Standby.Console, self).__init__()

                        self.yang_name = "console"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "console"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/main-cpu/standby/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Redundancy.MainCpu.Standby.Console, ['enable'], name, value)


                class Initialization(Entity):
                    """
                    Initialization
                    
                    .. attribute:: delay
                    
                    	Delay
                    	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.MainCpu.Standby.Initialization.Delay>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Redundancy.MainCpu.Standby.Initialization, self).__init__()

                        self.yang_name = "initialization"
                        self.yang_parent_name = "standby"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"delay" : ("delay", Native.Redundancy.MainCpu.Standby.Initialization.Delay)}
                        self._child_list_classes = {}

                        self.delay = Native.Redundancy.MainCpu.Standby.Initialization.Delay()
                        self.delay.parent = self
                        self._children_name_map["delay"] = "delay"
                        self._children_yang_names.add("delay")
                        self._segment_path = lambda: "initialization"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/main-cpu/standby/%s" % self._segment_path()


                    class Delay(Entity):
                        """
                        Delay
                        
                        .. attribute:: second
                        
                        	Delay value in seconds
                        	**type**\: int
                        
                        	**range:** 30..1800
                        
                        .. attribute:: boot_only
                        
                        	Delay effective only on system boot
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Redundancy.MainCpu.Standby.Initialization.Delay, self).__init__()

                            self.yang_name = "delay"
                            self.yang_parent_name = "initialization"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.second = YLeaf(YType.uint16, "second")

                            self.boot_only = YLeaf(YType.empty, "boot-only")
                            self._segment_path = lambda: "delay"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/main-cpu/standby/initialization/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Redundancy.MainCpu.Standby.Initialization.Delay, ['second', 'boot_only'], name, value)


        class Policy(Entity):
            """
            redundancy policy enforcement
            
            .. attribute:: config_sync
            
            	config sync parameters
            	**type**\:  :py:class:`ConfigSync <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Policy.ConfigSync>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Redundancy.Policy, self).__init__()

                self.yang_name = "policy"
                self.yang_parent_name = "redundancy"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"config-sync" : ("config_sync", Native.Redundancy.Policy.ConfigSync)}
                self._child_list_classes = {}

                self.config_sync = Native.Redundancy.Policy.ConfigSync()
                self.config_sync.parent = self
                self._children_name_map["config_sync"] = "config-sync"
                self._children_yang_names.add("config-sync")
                self._segment_path = lambda: "policy"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/%s" % self._segment_path()


            class ConfigSync(Entity):
                """
                config sync parameters
                
                .. attribute:: bulk
                
                	bulk configuration mode
                	**type**\:  :py:class:`Bulk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Policy.ConfigSync.Bulk>`
                
                .. attribute:: lbl
                
                	line\-by\-line configuration mode
                	**type**\:  :py:class:`Lbl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Policy.ConfigSync.Lbl>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Redundancy.Policy.ConfigSync, self).__init__()

                    self.yang_name = "config-sync"
                    self.yang_parent_name = "policy"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bulk" : ("bulk", Native.Redundancy.Policy.ConfigSync.Bulk), "lbl" : ("lbl", Native.Redundancy.Policy.ConfigSync.Lbl)}
                    self._child_list_classes = {}

                    self.bulk = Native.Redundancy.Policy.ConfigSync.Bulk()
                    self.bulk.parent = self
                    self._children_name_map["bulk"] = "bulk"
                    self._children_yang_names.add("bulk")

                    self.lbl = Native.Redundancy.Policy.ConfigSync.Lbl()
                    self.lbl.parent = self
                    self._children_name_map["lbl"] = "lbl"
                    self._children_yang_names.add("lbl")
                    self._segment_path = lambda: "config-sync"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/policy/%s" % self._segment_path()


                class Bulk(Entity):
                    """
                    bulk configuration mode
                    
                    .. attribute:: prc
                    
                    	prc policy enforcement
                    	**type**\:  :py:class:`Prc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Policy.ConfigSync.Bulk.Prc>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Redundancy.Policy.ConfigSync.Bulk, self).__init__()

                        self.yang_name = "bulk"
                        self.yang_parent_name = "config-sync"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"prc" : ("prc", Native.Redundancy.Policy.ConfigSync.Bulk.Prc)}
                        self._child_list_classes = {}

                        self.prc = Native.Redundancy.Policy.ConfigSync.Bulk.Prc()
                        self.prc.parent = self
                        self._children_name_map["prc"] = "prc"
                        self._children_yang_names.add("prc")
                        self._segment_path = lambda: "bulk"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/policy/config-sync/%s" % self._segment_path()


                    class Prc(Entity):
                        """
                        prc policy enforcement
                        
                        .. attribute:: reload
                        
                        	reload standby
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Redundancy.Policy.ConfigSync.Bulk.Prc, self).__init__()

                            self.yang_name = "prc"
                            self.yang_parent_name = "bulk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.reload = YLeaf(YType.boolean, "reload")
                            self._segment_path = lambda: "prc"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/policy/config-sync/bulk/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Redundancy.Policy.ConfigSync.Bulk.Prc, ['reload'], name, value)


                class Lbl(Entity):
                    """
                    line\-by\-line configuration mode
                    
                    .. attribute:: prc
                    
                    	prc policy enforcement
                    	**type**\:  :py:class:`Prc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Policy.ConfigSync.Lbl.Prc>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Redundancy.Policy.ConfigSync.Lbl, self).__init__()

                        self.yang_name = "lbl"
                        self.yang_parent_name = "config-sync"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"prc" : ("prc", Native.Redundancy.Policy.ConfigSync.Lbl.Prc)}
                        self._child_list_classes = {}

                        self.prc = Native.Redundancy.Policy.ConfigSync.Lbl.Prc()
                        self.prc.parent = self
                        self._children_name_map["prc"] = "prc"
                        self._children_yang_names.add("prc")
                        self._segment_path = lambda: "lbl"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/policy/config-sync/%s" % self._segment_path()


                    class Prc(Entity):
                        """
                        prc policy enforcement
                        
                        .. attribute:: reload
                        
                        	reload standby
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Redundancy.Policy.ConfigSync.Lbl.Prc, self).__init__()

                            self.yang_name = "prc"
                            self.yang_parent_name = "lbl"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.reload = YLeaf(YType.boolean, "reload")
                            self._segment_path = lambda: "prc"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/policy/config-sync/lbl/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Redundancy.Policy.ConfigSync.Lbl.Prc, ['reload'], name, value)


        class Timer(Entity):
            """
            Select a timer to configure
            
            .. attribute:: rpso
            
            	Delay value in seconds
            	**type**\: int
            
            	**range:** 120..1200
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Redundancy.Timer, self).__init__()

                self.yang_name = "timer"
                self.yang_parent_name = "redundancy"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.rpso = YLeaf(YType.uint16, "rpso")
                self._segment_path = lambda: "timer"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Redundancy.Timer, ['rpso'], name, value)


        class Interchassis(Entity):
            """
            Enter interchassis mode
            
            .. attribute:: group
            
            	Enter the redundancy group number
            	**type**\: list of  		 :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Redundancy.Interchassis, self).__init__()

                self.yang_name = "interchassis"
                self.yang_parent_name = "redundancy"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"group" : ("group", Native.Redundancy.Interchassis.Group)}

                self.group = YList(self)
                self._segment_path = lambda: "interchassis"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Redundancy.Interchassis, [], name, value)


            class Group(Entity):
                """
                Enter the redundancy group number
                
                .. attribute:: group_number  <key>
                
                	
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: monitor
                
                	define the peer monitoring method
                	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Monitor>`
                
                .. attribute:: member
                
                	specify a redundancy group member
                	**type**\:  :py:class:`Member <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Member>`
                
                .. attribute:: backbone
                
                	specify a redundancy group member
                	**type**\:  :py:class:`Backbone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Backbone>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Redundancy.Interchassis.Group, self).__init__()

                    self.yang_name = "group"
                    self.yang_parent_name = "interchassis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"monitor" : ("monitor", Native.Redundancy.Interchassis.Group.Monitor), "member" : ("member", Native.Redundancy.Interchassis.Group.Member), "backbone" : ("backbone", Native.Redundancy.Interchassis.Group.Backbone)}
                    self._child_list_classes = {}

                    self.group_number = YLeaf(YType.uint64, "group-number")

                    self.monitor = Native.Redundancy.Interchassis.Group.Monitor()
                    self.monitor.parent = self
                    self._children_name_map["monitor"] = "monitor"
                    self._children_yang_names.add("monitor")

                    self.member = Native.Redundancy.Interchassis.Group.Member()
                    self.member.parent = self
                    self._children_name_map["member"] = "member"
                    self._children_yang_names.add("member")

                    self.backbone = Native.Redundancy.Interchassis.Group.Backbone()
                    self.backbone.parent = self
                    self._children_name_map["backbone"] = "backbone"
                    self._children_yang_names.add("backbone")
                    self._segment_path = lambda: "group" + "[group-number='" + self.group_number.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/redundancy/interchassis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Redundancy.Interchassis.Group, ['group_number'], name, value)


                class Monitor(Entity):
                    """
                    define the peer monitoring method
                    
                    .. attribute:: peer
                    
                    	the peer method
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bfd
                    
                    	set peer monitoring method to bfd
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Redundancy.Interchassis.Group.Monitor, self).__init__()

                        self.yang_name = "monitor"
                        self.yang_parent_name = "group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.peer = YLeaf(YType.empty, "peer")

                        self.bfd = YLeaf(YType.empty, "bfd")
                        self._segment_path = lambda: "monitor"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Redundancy.Interchassis.Group.Monitor, ['peer', 'bfd'], name, value)


                class Member(Entity):
                    """
                    specify a redundancy group member
                    
                    .. attribute:: ip
                    
                    	specify the redundancy group member using an ip address
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Redundancy.Interchassis.Group.Member, self).__init__()

                        self.yang_name = "member"
                        self.yang_parent_name = "group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ip = YLeaf(YType.str, "ip")
                        self._segment_path = lambda: "member"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Redundancy.Interchassis.Group.Member, ['ip'], name, value)


                class Backbone(Entity):
                    """
                    specify a redundancy group member
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Backbone.Interface>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Redundancy.Interchassis.Group.Backbone, self).__init__()

                        self.yang_name = "backbone"
                        self.yang_parent_name = "group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"interface" : ("interface", Native.Redundancy.Interchassis.Group.Backbone.Interface)}
                        self._child_list_classes = {}

                        self.interface = Native.Redundancy.Interchassis.Group.Backbone.Interface()
                        self.interface.parent = self
                        self._children_name_map["interface"] = "interface"
                        self._children_yang_names.add("interface")
                        self._segment_path = lambda: "backbone"


                    class Interface(Entity):
                        """
                        
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Backbone.Interface.ATMSubinterface>`
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\: str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Backbone.Interface.ATMACRsubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\: str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\: str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\: str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\: str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\: str
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Backbone.Interface.LISPSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Redundancy.Interchassis.Group.Backbone.Interface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\: str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\: str
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\: str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\: str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Redundancy.Interchassis.Group.Backbone.Interface, self).__init__()

                            self.yang_name = "interface"
                            self.yang_parent_name = "backbone"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Redundancy.Interchassis.Group.Backbone.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Redundancy.Interchassis.Group.Backbone.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Redundancy.Interchassis.Group.Backbone.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Redundancy.Interchassis.Group.Backbone.Interface.PortChannelSubinterface)}
                            self._child_list_classes = {}

                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                            self.atm = YLeaf(YType.str, "ATM")

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                            self.bdi = YLeaf(YType.str, "BDI")

                            self.cem = YLeaf(YType.str, "CEM")

                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                            self.lisp = YLeaf(YType.str, "LISP")

                            self.loopback = YLeaf(YType.uint32, "Loopback")

                            self.multilink = YLeaf(YType.uint16, "Multilink")

                            self.nve = YLeaf(YType.uint16, "nve")

                            self.overlay = YLeaf(YType.uint16, "overlay")

                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                            self.sm = YLeaf(YType.str, "SM")

                            self.cellular = YLeaf(YType.str, "Cellular")

                            self.serial = YLeaf(YType.str, "Serial")

                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                            self.atm_subinterface = Native.Redundancy.Interchassis.Group.Backbone.Interface.ATMSubinterface()
                            self.atm_subinterface.parent = self
                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                            self._children_yang_names.add("ATM-subinterface")

                            self.atm_acrsubinterface = Native.Redundancy.Interchassis.Group.Backbone.Interface.ATMACRsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                            self._children_yang_names.add("ATM-ACRsubinterface")

                            self.lisp_subinterface = Native.Redundancy.Interchassis.Group.Backbone.Interface.LISPSubinterface()
                            self.lisp_subinterface.parent = self
                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                            self._children_yang_names.add("LISP-subinterface")

                            self.port_channel_subinterface = Native.Redundancy.Interchassis.Group.Backbone.Interface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                            self._children_yang_names.add("Port-channel-subinterface")
                            self._segment_path = lambda: "interface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Redundancy.Interchassis.Group.Backbone.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                        class ATMSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Redundancy.Interchassis.Group.Backbone.Interface.ATMSubinterface, self).__init__()

                                self.yang_name = "ATM-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm = YLeaf(YType.str, "ATM")
                                self._segment_path = lambda: "ATM-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Redundancy.Interchassis.Group.Backbone.Interface.ATMSubinterface, ['atm'], name, value)


                        class ATMACRsubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Redundancy.Interchassis.Group.Backbone.Interface.ATMACRsubinterface, self).__init__()

                                self.yang_name = "ATM-ACRsubinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                self._segment_path = lambda: "ATM-ACRsubinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Redundancy.Interchassis.Group.Backbone.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                        class LISPSubinterface(Entity):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Redundancy.Interchassis.Group.Backbone.Interface.LISPSubinterface, self).__init__()

                                self.yang_name = "LISP-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lisp = YLeaf(YType.str, "LISP")
                                self._segment_path = lambda: "LISP-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Redundancy.Interchassis.Group.Backbone.Interface.LISPSubinterface, ['lisp'], name, value)


                        class PortChannelSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Redundancy.Interchassis.Group.Backbone.Interface.PortChannelSubinterface, self).__init__()

                                self.yang_name = "Port-channel-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                self._segment_path = lambda: "Port-channel-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Redundancy.Interchassis.Group.Backbone.Interface.PortChannelSubinterface, ['port_channel'], name, value)


    class Scheduler(Entity):
        """
        Scheduler parameters
        
        .. attribute:: runtime
        
        	Process runtime controls
        	**type**\:  :py:class:`Runtime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Scheduler.Runtime>`
        
        .. attribute:: allocate
        
        	Guarantee CPU time for processes
        	**type**\:  :py:class:`Allocate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Scheduler.Allocate>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Scheduler, self).__init__()

            self.yang_name = "scheduler"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"runtime" : ("runtime", Native.Scheduler.Runtime), "allocate" : ("allocate", Native.Scheduler.Allocate)}
            self._child_list_classes = {}

            self.runtime = Native.Scheduler.Runtime()
            self.runtime.parent = self
            self._children_name_map["runtime"] = "runtime"
            self._children_yang_names.add("runtime")

            self.allocate = Native.Scheduler.Allocate()
            self.allocate.parent = self
            self._children_name_map["allocate"] = "allocate"
            self._children_yang_names.add("allocate")
            self._segment_path = lambda: "scheduler"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Runtime(Entity):
            """
            Process runtime controls
            
            .. attribute:: netinput
            
            	Process\-switching run time (in milliseconds)
            	**type**\: int
            
            	**range:** 100..40000
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Scheduler.Runtime, self).__init__()

                self.yang_name = "runtime"
                self.yang_parent_name = "scheduler"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.netinput = YLeaf(YType.uint16, "netinput")
                self._segment_path = lambda: "runtime"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/scheduler/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Scheduler.Runtime, ['netinput'], name, value)


        class Allocate(Entity):
            """
            Guarantee CPU time for processes
            
            .. attribute:: interrupt_time
            
            	
            	**type**\: int
            
            	**range:** 400..60000
            
            .. attribute:: process_time
            
            	
            	**type**\: int
            
            	**range:** 100..4000
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Scheduler.Allocate, self).__init__()

                self.yang_name = "allocate"
                self.yang_parent_name = "scheduler"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.interrupt_time = YLeaf(YType.uint16, "interrupt-time")

                self.process_time = YLeaf(YType.uint16, "process-time")
                self._segment_path = lambda: "allocate"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/scheduler/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Scheduler.Allocate, ['interrupt_time', 'process_time'], name, value)


    class Epm(Entity):
        """
        EPM Global Configuration Commands
        
        .. attribute:: logging
        
        	Enable EPM logging
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Epm, self).__init__()

            self.yang_name = "epm"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.logging = YLeaf(YType.empty, "logging")
            self._segment_path = lambda: "epm"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Epm, ['logging'], name, value)


    class SpanningTree(Entity):
        """
        Spanning Tree Subsystem
        
        .. attribute:: backbonefast
        
        	Enable BackboneFast Feature
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: bridge
        
        	
        	**type**\:  :py:class:`Bridge <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Bridge>`
        
        .. attribute:: etherchannel
        
        	Spanning tree etherchannel specific configuration
        	**type**\:  :py:class:`Etherchannel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Etherchannel>`
        
        .. attribute:: extend
        
        	Spanning Tree 802.1t extensions
        	**type**\:  :py:class:`Extend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Extend>`
        
        .. attribute:: logging
        
        	Enable Spanning tree logging
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: loopguard
        
        	Spanning tree loopguard options
        	**type**\:  :py:class:`Loopguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Loopguard>`
        
        .. attribute:: mst
        
        	Multiple spanning tree configuration
        	**type**\:  :py:class:`Mst <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Mst>`
        
        .. attribute:: optimize
        
        	
        	**type**\:  :py:class:`Optimize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Optimize>`
        
        .. attribute:: pathcost
        
        	Spanning tree pathcost options
        	**type**\:  :py:class:`Pathcost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Pathcost>`
        
        .. attribute:: portfast
        
        	Spanning tree portfast options
        	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Portfast>`
        
        .. attribute:: transmit
        
        	STP transmit parameters
        	**type**\:  :py:class:`Transmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Transmit>`
        
        .. attribute:: uplinkfast
        
        	Enable UplinkFast Feature
        	**type**\:  :py:class:`Uplinkfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Uplinkfast>`
        
        	**presence node**\: True
        
        .. attribute:: mode
        
        	Spanning tree operating mode
        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Mode>`
        
        .. attribute:: vlan
        
        	VLAN Switch Spanning Tree
        	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Vlan>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.SpanningTree, self).__init__()

            self.yang_name = "spanning-tree"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-spanning-tree:bridge" : ("bridge", Native.SpanningTree.Bridge), "Cisco-IOS-XE-spanning-tree:etherchannel" : ("etherchannel", Native.SpanningTree.Etherchannel), "Cisco-IOS-XE-spanning-tree:extend" : ("extend", Native.SpanningTree.Extend), "Cisco-IOS-XE-spanning-tree:loopguard" : ("loopguard", Native.SpanningTree.Loopguard), "Cisco-IOS-XE-spanning-tree:mst" : ("mst", Native.SpanningTree.Mst), "Cisco-IOS-XE-spanning-tree:optimize" : ("optimize", Native.SpanningTree.Optimize), "Cisco-IOS-XE-spanning-tree:pathcost" : ("pathcost", Native.SpanningTree.Pathcost), "Cisco-IOS-XE-spanning-tree:portfast" : ("portfast", Native.SpanningTree.Portfast), "Cisco-IOS-XE-spanning-tree:transmit" : ("transmit", Native.SpanningTree.Transmit), "Cisco-IOS-XE-spanning-tree:uplinkfast" : ("uplinkfast", Native.SpanningTree.Uplinkfast)}
            self._child_list_classes = {"Cisco-IOS-XE-spanning-tree:vlan" : ("vlan", Native.SpanningTree.Vlan)}

            self.backbonefast = YLeaf(YType.empty, "Cisco-IOS-XE-spanning-tree:backbonefast")

            self.logging = YLeaf(YType.empty, "Cisco-IOS-XE-spanning-tree:logging")

            self.mode = YLeaf(YType.enumeration, "Cisco-IOS-XE-spanning-tree:mode")

            self.bridge = Native.SpanningTree.Bridge()
            self.bridge.parent = self
            self._children_name_map["bridge"] = "bridge"
            self._children_yang_names.add("bridge")

            self.etherchannel = Native.SpanningTree.Etherchannel()
            self.etherchannel.parent = self
            self._children_name_map["etherchannel"] = "etherchannel"
            self._children_yang_names.add("etherchannel")

            self.extend = Native.SpanningTree.Extend()
            self.extend.parent = self
            self._children_name_map["extend"] = "extend"
            self._children_yang_names.add("extend")

            self.loopguard = Native.SpanningTree.Loopguard()
            self.loopguard.parent = self
            self._children_name_map["loopguard"] = "loopguard"
            self._children_yang_names.add("loopguard")

            self.mst = Native.SpanningTree.Mst()
            self.mst.parent = self
            self._children_name_map["mst"] = "mst"
            self._children_yang_names.add("mst")

            self.optimize = Native.SpanningTree.Optimize()
            self.optimize.parent = self
            self._children_name_map["optimize"] = "optimize"
            self._children_yang_names.add("optimize")

            self.pathcost = Native.SpanningTree.Pathcost()
            self.pathcost.parent = self
            self._children_name_map["pathcost"] = "pathcost"
            self._children_yang_names.add("pathcost")

            self.portfast = Native.SpanningTree.Portfast()
            self.portfast.parent = self
            self._children_name_map["portfast"] = "portfast"
            self._children_yang_names.add("portfast")

            self.transmit = Native.SpanningTree.Transmit()
            self.transmit.parent = self
            self._children_name_map["transmit"] = "transmit"
            self._children_yang_names.add("transmit")

            self.uplinkfast = None
            self._children_name_map["uplinkfast"] = "uplinkfast"
            self._children_yang_names.add("uplinkfast")

            self.vlan = YList(self)
            self._segment_path = lambda: "spanning-tree"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.SpanningTree, ['backbonefast', 'logging', 'mode'], name, value)

        class Mode(Enum):
            """
            Mode

            Spanning tree operating mode

            .. data:: mst = 0

            .. data:: pvst = 1

            .. data:: rapid_pvst = 2

            """

            mst = Enum.YLeaf(0, "mst")

            pvst = Enum.YLeaf(1, "pvst")

            rapid_pvst = Enum.YLeaf(2, "rapid-pvst")



        class Bridge(Entity):
            """
            
            
            .. attribute:: priority
            
            	
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: id
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SpanningTree.Bridge, self).__init__()

                self.yang_name = "bridge"
                self.yang_parent_name = "spanning-tree"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.priority = YLeaf(YType.uint8, "priority")

                self.id = YLeaf(YType.str, "ID")
                self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:bridge"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SpanningTree.Bridge, ['priority', 'id'], name, value)


        class Etherchannel(Entity):
            """
            Spanning tree etherchannel specific configuration
            
            .. attribute:: guard
            
            	Configure guard features for etherchannel
            	**type**\:  :py:class:`Guard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Etherchannel.Guard>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SpanningTree.Etherchannel, self).__init__()

                self.yang_name = "etherchannel"
                self.yang_parent_name = "spanning-tree"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"guard" : ("guard", Native.SpanningTree.Etherchannel.Guard)}
                self._child_list_classes = {}

                self.guard = Native.SpanningTree.Etherchannel.Guard()
                self.guard.parent = self
                self._children_name_map["guard"] = "guard"
                self._children_yang_names.add("guard")
                self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:etherchannel"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/%s" % self._segment_path()


            class Guard(Entity):
                """
                Configure guard features for etherchannel
                
                .. attribute:: misconfig
                
                	Enable guard to protect against etherchannel misconfiguration
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SpanningTree.Etherchannel.Guard, self).__init__()

                    self.yang_name = "guard"
                    self.yang_parent_name = "etherchannel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.misconfig = YLeaf(YType.empty, "misconfig")
                    self._segment_path = lambda: "guard"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/Cisco-IOS-XE-spanning-tree:etherchannel/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SpanningTree.Etherchannel.Guard, ['misconfig'], name, value)


        class Extend(Entity):
            """
            Spanning Tree 802.1t extensions
            
            .. attribute:: system_id
            
            	Extend system\-id into priority portion of the bridge id (PVST & Rapid PVST only)
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SpanningTree.Extend, self).__init__()

                self.yang_name = "extend"
                self.yang_parent_name = "spanning-tree"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.system_id = YLeaf(YType.empty, "system-id")
                self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:extend"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SpanningTree.Extend, ['system_id'], name, value)


        class Loopguard(Entity):
            """
            Spanning tree loopguard options
            
            .. attribute:: default
            
            	Enable loopguard by default on all ports
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SpanningTree.Loopguard, self).__init__()

                self.yang_name = "loopguard"
                self.yang_parent_name = "spanning-tree"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.default = YLeaf(YType.empty, "default")
                self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:loopguard"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SpanningTree.Loopguard, ['default'], name, value)


        class Mst(Entity):
            """
            Multiple spanning tree configuration
            
            .. attribute:: instance_range
            
            	
            	**type**\: list of  		 :py:class:`InstanceRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Mst.InstanceRange>`
            
            .. attribute:: configuration
            
            	Enter MST configuration submode
            	**type**\:  :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Mst.Configuration>`
            
            .. attribute:: forward_time
            
            	number of seconds for the forward delay timer
            	**type**\: int
            
            	**range:** 4..30
            
            .. attribute:: hello_time
            
            	number of seconds between generation of config BPDUs
            	**type**\: int
            
            	**range:** 1..10
            
            .. attribute:: max_age
            
            	maximum number of seconds the information in a BPDU is valid
            	**type**\: int
            
            	**range:** 6..40
            
            .. attribute:: max_hops
            
            	maximum number of hops a BPDU is valid
            	**type**\: int
            
            	**range:** 1..255
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SpanningTree.Mst, self).__init__()

                self.yang_name = "mst"
                self.yang_parent_name = "spanning-tree"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"configuration" : ("configuration", Native.SpanningTree.Mst.Configuration)}
                self._child_list_classes = {"instance-range" : ("instance_range", Native.SpanningTree.Mst.InstanceRange)}

                self.forward_time = YLeaf(YType.uint8, "forward-time")

                self.hello_time = YLeaf(YType.uint8, "hello-time")

                self.max_age = YLeaf(YType.uint8, "max-age")

                self.max_hops = YLeaf(YType.uint8, "max-hops")

                self.configuration = Native.SpanningTree.Mst.Configuration()
                self.configuration.parent = self
                self._children_name_map["configuration"] = "configuration"
                self._children_yang_names.add("configuration")

                self.instance_range = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:mst"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SpanningTree.Mst, ['forward_time', 'hello_time', 'max_age', 'max_hops'], name, value)


            class InstanceRange(Entity):
                """
                
                
                .. attribute:: id  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..65535
                
                		**type**\: str
                
                .. attribute:: priority
                
                	Set the bridge priority for the spanning tree
                	**type**\: int
                
                	**range:** 0..61440
                
                .. attribute:: root
                
                	Configure switch as root
                	**type**\:  :py:class:`Root <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Mst.InstanceRange.Root>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SpanningTree.Mst.InstanceRange, self).__init__()

                    self.yang_name = "instance-range"
                    self.yang_parent_name = "mst"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.priority = YLeaf(YType.uint16, "priority")

                    self.root = YLeaf(YType.enumeration, "root")
                    self._segment_path = lambda: "instance-range" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/Cisco-IOS-XE-spanning-tree:mst/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SpanningTree.Mst.InstanceRange, ['id', 'priority', 'root'], name, value)

                class Root(Enum):
                    """
                    Root

                    Configure switch as root

                    .. data:: primary = 0

                    .. data:: secondary = 1

                    """

                    primary = Enum.YLeaf(0, "primary")

                    secondary = Enum.YLeaf(1, "secondary")



            class Configuration(Entity):
                """
                Enter MST configuration submode
                
                .. attribute:: name
                
                	Set configuration name
                	**type**\: str
                
                .. attribute:: instance
                
                	Map vlans to an MST instance
                	**type**\: list of  		 :py:class:`Instance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Mst.Configuration.Instance>`
                
                .. attribute:: private_vlan
                
                	Set private\-vlan synchronization
                	**type**\:  :py:class:`PrivateVlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Mst.Configuration.PrivateVlan>`
                
                .. attribute:: revision
                
                	Set configuration revision number
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SpanningTree.Mst.Configuration, self).__init__()

                    self.yang_name = "configuration"
                    self.yang_parent_name = "mst"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"private-vlan" : ("private_vlan", Native.SpanningTree.Mst.Configuration.PrivateVlan)}
                    self._child_list_classes = {"instance" : ("instance", Native.SpanningTree.Mst.Configuration.Instance)}

                    self.name = YLeaf(YType.str, "name")

                    self.revision = YLeaf(YType.uint16, "revision")

                    self.private_vlan = Native.SpanningTree.Mst.Configuration.PrivateVlan()
                    self.private_vlan.parent = self
                    self._children_name_map["private_vlan"] = "private-vlan"
                    self._children_yang_names.add("private-vlan")

                    self.instance = YList(self)
                    self._segment_path = lambda: "configuration"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/Cisco-IOS-XE-spanning-tree:mst/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SpanningTree.Mst.Configuration, ['name', 'revision'], name, value)


                class Instance(Entity):
                    """
                    Map vlans to an MST instance
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4094
                    
                    .. attribute:: vlan
                    
                    	Range of vlans to add to the instance mapping
                    	**type**\: union of the below types:
                    
                    		**type**\: list of int
                    
                    			**range:** 0..65535
                    
                    		**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SpanningTree.Mst.Configuration.Instance, self).__init__()

                        self.yang_name = "instance"
                        self.yang_parent_name = "configuration"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint16, "id")

                        self.vlan = YLeafList(YType.str, "vlan")
                        self._segment_path = lambda: "instance" + "[id='" + self.id.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/Cisco-IOS-XE-spanning-tree:mst/configuration/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SpanningTree.Mst.Configuration.Instance, ['id', 'vlan'], name, value)


                class PrivateVlan(Entity):
                    """
                    Set private\-vlan synchronization
                    
                    .. attribute:: synchronize
                    
                    	Synchronize vlans
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SpanningTree.Mst.Configuration.PrivateVlan, self).__init__()

                        self.yang_name = "private-vlan"
                        self.yang_parent_name = "configuration"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.synchronize = YLeaf(YType.empty, "synchronize")
                        self._segment_path = lambda: "private-vlan"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/Cisco-IOS-XE-spanning-tree:mst/configuration/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SpanningTree.Mst.Configuration.PrivateVlan, ['synchronize'], name, value)


        class Optimize(Entity):
            """
            
            
            .. attribute:: bpdu
            
            	
            	**type**\:  :py:class:`Bpdu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Optimize.Bpdu>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SpanningTree.Optimize, self).__init__()

                self.yang_name = "optimize"
                self.yang_parent_name = "spanning-tree"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"bpdu" : ("bpdu", Native.SpanningTree.Optimize.Bpdu)}
                self._child_list_classes = {}

                self.bpdu = Native.SpanningTree.Optimize.Bpdu()
                self.bpdu.parent = self
                self._children_name_map["bpdu"] = "bpdu"
                self._children_yang_names.add("bpdu")
                self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:optimize"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/%s" % self._segment_path()


            class Bpdu(Entity):
                """
                
                
                .. attribute:: transmission
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SpanningTree.Optimize.Bpdu, self).__init__()

                    self.yang_name = "bpdu"
                    self.yang_parent_name = "optimize"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.transmission = YLeaf(YType.boolean, "transmission")
                    self._segment_path = lambda: "bpdu"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/Cisco-IOS-XE-spanning-tree:optimize/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SpanningTree.Optimize.Bpdu, ['transmission'], name, value)


        class Pathcost(Entity):
            """
            Spanning tree pathcost options
            
            .. attribute:: method
            
            	Method to calculate default port path cost
            	**type**\:  :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Pathcost.Method>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SpanningTree.Pathcost, self).__init__()

                self.yang_name = "pathcost"
                self.yang_parent_name = "spanning-tree"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"method" : ("method", Native.SpanningTree.Pathcost.Method)}
                self._child_list_classes = {}

                self.method = Native.SpanningTree.Pathcost.Method()
                self.method.parent = self
                self._children_name_map["method"] = "method"
                self._children_yang_names.add("method")
                self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:pathcost"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/%s" % self._segment_path()


            class Method(Entity):
                """
                Method to calculate default port path cost
                
                .. attribute:: long
                
                	Use 32 bit based values for default port path costs
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: short
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SpanningTree.Pathcost.Method, self).__init__()

                    self.yang_name = "method"
                    self.yang_parent_name = "pathcost"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.long = YLeaf(YType.empty, "long")

                    self.short = YLeaf(YType.empty, "short")
                    self._segment_path = lambda: "method"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/Cisco-IOS-XE-spanning-tree:pathcost/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SpanningTree.Pathcost.Method, ['long', 'short'], name, value)


        class Portfast(Entity):
            """
            Spanning tree portfast options
            
            .. attribute:: bdpu
            
            	
            	**type**\:  :py:class:`Bdpu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Portfast.Bdpu>`
            
            .. attribute:: default
            
            	Enable portfast by default on all access ports
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SpanningTree.Portfast, self).__init__()

                self.yang_name = "portfast"
                self.yang_parent_name = "spanning-tree"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.bdpu = YLeaf(YType.enumeration, "bdpu")

                self.default = YLeaf(YType.empty, "default")
                self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:portfast"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SpanningTree.Portfast, ['bdpu', 'default'], name, value)

            class Bdpu(Enum):
                """
                Bdpu

                .. data:: bpdufilter = 0

                .. data:: bpduguard = 1

                """

                bpdufilter = Enum.YLeaf(0, "bpdufilter")

                bpduguard = Enum.YLeaf(1, "bpduguard")



        class Transmit(Entity):
            """
            STP transmit parameters
            
            .. attribute:: hold_count
            
            	Value for txholdcount parameter
            	**type**\: int
            
            	**range:** 1..20
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SpanningTree.Transmit, self).__init__()

                self.yang_name = "transmit"
                self.yang_parent_name = "spanning-tree"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.hold_count = YLeaf(YType.uint8, "hold-count")
                self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:transmit"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SpanningTree.Transmit, ['hold_count'], name, value)


        class Uplinkfast(Entity):
            """
            Enable UplinkFast Feature
            
            .. attribute:: max_update_rate
            
            	Rate at which station address updates are sent
            	**type**\: int
            
            	**range:** 0..32000
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SpanningTree.Uplinkfast, self).__init__()

                self.yang_name = "uplinkfast"
                self.yang_parent_name = "spanning-tree"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.max_update_rate = YLeaf(YType.uint32, "max-update-rate")
                self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:uplinkfast"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SpanningTree.Uplinkfast, ['max_update_rate'], name, value)


        class Vlan(Entity):
            """
            VLAN Switch Spanning Tree
            
            .. attribute:: id  <key>
            
            	
            	**type**\: str
            
            .. attribute:: max_age
            
            	Set the max age interval for the spanning tree
            	**type**\: int
            
            	**range:** 6..40
            
            .. attribute:: forward_time
            
            	Set the forward delay for the spanning tree
            	**type**\: int
            
            	**range:** 4..30
            
            .. attribute:: hello_time
            
            	Set the hello interval for the spanning tree
            	**type**\: int
            
            	**range:** 1..10
            
            .. attribute:: priority
            
            	Set the bridge priority for the spanning tree
            	**type**\: int
            
            	**range:** 0..61440
            
            .. attribute:: root
            
            	Configure switch as root
            	**type**\:  :py:class:`Root <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Vlan.Root>`
            
            

            """

            _prefix = 'ios-stp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SpanningTree.Vlan, self).__init__()

                self.yang_name = "vlan"
                self.yang_parent_name = "spanning-tree"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"root" : ("root", Native.SpanningTree.Vlan.Root)}
                self._child_list_classes = {}

                self.id = YLeaf(YType.str, "id")

                self.max_age = YLeaf(YType.uint8, "max-age")

                self.forward_time = YLeaf(YType.uint8, "forward-time")

                self.hello_time = YLeaf(YType.uint8, "hello-time")

                self.priority = YLeaf(YType.uint16, "priority")

                self.root = Native.SpanningTree.Vlan.Root()
                self.root.parent = self
                self._children_name_map["root"] = "root"
                self._children_yang_names.add("root")
                self._segment_path = lambda: "Cisco-IOS-XE-spanning-tree:vlan" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/spanning-tree/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SpanningTree.Vlan, ['id', 'max_age', 'forward_time', 'hello_time', 'priority'], name, value)


            class Root(Entity):
                """
                Configure switch as root
                
                .. attribute:: primary
                
                	Configure this switch as primary root for this spanning tree
                	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Vlan.Root.Primary>`
                
                .. attribute:: secondary
                
                	Configure switch as secondary root
                	**type**\:  :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SpanningTree.Vlan.Root.Secondary>`
                
                

                """

                _prefix = 'ios-stp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SpanningTree.Vlan.Root, self).__init__()

                    self.yang_name = "root"
                    self.yang_parent_name = "vlan"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"primary" : ("primary", Native.SpanningTree.Vlan.Root.Primary), "secondary" : ("secondary", Native.SpanningTree.Vlan.Root.Secondary)}
                    self._child_list_classes = {}

                    self.primary = Native.SpanningTree.Vlan.Root.Primary()
                    self.primary.parent = self
                    self._children_name_map["primary"] = "primary"
                    self._children_yang_names.add("primary")

                    self.secondary = Native.SpanningTree.Vlan.Root.Secondary()
                    self.secondary.parent = self
                    self._children_name_map["secondary"] = "secondary"
                    self._children_yang_names.add("secondary")
                    self._segment_path = lambda: "root"


                class Primary(Entity):
                    """
                    Configure this switch as primary root for this spanning tree
                    
                    .. attribute:: diameter
                    
                    	Network diameter of this spanning tree
                    	**type**\: int
                    
                    	**range:** 2..7
                    
                    .. attribute:: hello_time
                    
                    	Hello interval for this spanning tree
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SpanningTree.Vlan.Root.Primary, self).__init__()

                        self.yang_name = "primary"
                        self.yang_parent_name = "root"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.diameter = YLeaf(YType.uint8, "diameter")

                        self.hello_time = YLeaf(YType.uint8, "hello-time")
                        self._segment_path = lambda: "primary"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SpanningTree.Vlan.Root.Primary, ['diameter', 'hello_time'], name, value)


                class Secondary(Entity):
                    """
                    Configure switch as secondary root
                    
                    .. attribute:: diameter
                    
                    	Network diameter of this spanning tree
                    	**type**\: int
                    
                    	**range:** 2..7
                    
                    .. attribute:: hello_time
                    
                    	Hello interval for this spanning tree
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    

                    """

                    _prefix = 'ios-stp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SpanningTree.Vlan.Root.Secondary, self).__init__()

                        self.yang_name = "secondary"
                        self.yang_parent_name = "root"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.diameter = YLeaf(YType.uint8, "diameter")

                        self.hello_time = YLeaf(YType.uint8, "hello-time")
                        self._segment_path = lambda: "secondary"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SpanningTree.Vlan.Root.Secondary, ['diameter', 'hello_time'], name, value)


    class Subscriber(Entity):
        """
        Subscriber configuration
        
        .. attribute:: templating
        
        	Configure subscriber templating
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Subscriber, self).__init__()

            self.yang_name = "subscriber"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.templating = YLeaf(YType.empty, "templating")
            self._segment_path = lambda: "subscriber"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Subscriber, ['templating'], name, value)


    class Track(Entity):
        """
        Object tracking configuration commands
        
        .. attribute:: tracked_object
        
        	
        	**type**\: list of  		 :py:class:`TrackedObject <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject>`
        
        .. attribute:: resolution
        
        	Tracking resolution parameters
        	**type**\:  :py:class:`Resolution <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Resolution>`
        
        .. attribute:: timer
        
        	Polling interval timers
        	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Track, self).__init__()

            self.yang_name = "track"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-track:resolution" : ("resolution", Native.Track.Resolution), "Cisco-IOS-XE-track:timer" : ("timer", Native.Track.Timer)}
            self._child_list_classes = {"Cisco-IOS-XE-track:tracked-object" : ("tracked_object", Native.Track.TrackedObject)}

            self.resolution = Native.Track.Resolution()
            self.resolution.parent = self
            self._children_name_map["resolution"] = "resolution"
            self._children_yang_names.add("resolution")

            self.timer = Native.Track.Timer()
            self.timer.parent = self
            self._children_name_map["timer"] = "timer"
            self._children_yang_names.add("timer")

            self.tracked_object = YList(self)
            self._segment_path = lambda: "track"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Track, [], name, value)


        class TrackedObject(Entity):
            """
            
            
            .. attribute:: object_number  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..1000
            
            .. attribute:: interface
            
            	Select an interface to track
            	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Interface>`
            
            .. attribute:: ip
            
            	IP protocol
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 protocol
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ipv6>`
            
            .. attribute:: list
            
            	Group objects in a list
            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.List>`
            
            .. attribute:: stub_object
            
            	Stub tracking object
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Default>`
            
            .. attribute:: delay
            
            	Tracking delay
            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Delay>`
            
            .. attribute:: default_state
            
            	default object state
            	**type**\:  :py:class:`DefaultState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.DefaultState>`
            
            .. attribute:: object
            
            	Add a tracked object to list
            	**type**\: list of  		 :py:class:`Object <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Object>`
            
            .. attribute:: ipv6_object
            
            	Tracking IPv6 object configuration
            	**type**\:  :py:class:`Ipv6Object <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ipv6Object>`
            
            .. attribute:: ip_object
            
            	Tracking IP object configuration
            	**type**\:  :py:class:`IpObject <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.IpObject>`
            
            

            """

            _prefix = 'ios-track'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.Track.TrackedObject, self).__init__()

                self.yang_name = "tracked-object"
                self.yang_parent_name = "track"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"interface" : ("interface", Native.Track.TrackedObject.Interface), "ip" : ("ip", Native.Track.TrackedObject.Ip), "ipv6" : ("ipv6", Native.Track.TrackedObject.Ipv6), "list" : ("list", Native.Track.TrackedObject.List), "default" : ("default", Native.Track.TrackedObject.Default), "delay" : ("delay", Native.Track.TrackedObject.Delay), "ipv6-object" : ("ipv6_object", Native.Track.TrackedObject.Ipv6Object), "ip-object" : ("ip_object", Native.Track.TrackedObject.IpObject)}
                self._child_list_classes = {"object" : ("object", Native.Track.TrackedObject.Object)}

                self.object_number = YLeaf(YType.uint32, "object-number")

                self.stub_object = YLeaf(YType.empty, "stub-object")

                self.default_state = YLeaf(YType.enumeration, "default-state")

                self.interface = Native.Track.TrackedObject.Interface()
                self.interface.parent = self
                self._children_name_map["interface"] = "interface"
                self._children_yang_names.add("interface")

                self.ip = Native.Track.TrackedObject.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Track.TrackedObject.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.list = Native.Track.TrackedObject.List()
                self.list.parent = self
                self._children_name_map["list"] = "list"
                self._children_yang_names.add("list")

                self.default = Native.Track.TrackedObject.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.delay = Native.Track.TrackedObject.Delay()
                self.delay.parent = self
                self._children_name_map["delay"] = "delay"
                self._children_yang_names.add("delay")

                self.ipv6_object = Native.Track.TrackedObject.Ipv6Object()
                self.ipv6_object.parent = self
                self._children_name_map["ipv6_object"] = "ipv6-object"
                self._children_yang_names.add("ipv6-object")

                self.ip_object = Native.Track.TrackedObject.IpObject()
                self.ip_object.parent = self
                self._children_name_map["ip_object"] = "ip-object"
                self._children_yang_names.add("ip-object")

                self.object = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-track:tracked-object" + "[object-number='" + self.object_number.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/track/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Track.TrackedObject, ['object_number', 'stub_object', 'default_state'], name, value)

            class DefaultState(Enum):
                """
                DefaultState

                default object state

                .. data:: down = 0

                .. data:: up = 1

                """

                down = Enum.YLeaf(0, "down")

                up = Enum.YLeaf(1, "up")



            class Interface(Entity):
                """
                Select an interface to track
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: protocol
                
                	
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Interface.Protocol>`
                
                .. attribute:: routing
                
                	Track interface IPv6 routing capability
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.TrackedObject.Interface, self).__init__()

                    self.yang_name = "interface"
                    self.yang_parent_name = "tracked-object"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.protocol = YLeaf(YType.enumeration, "protocol")

                    self.routing = YLeaf(YType.empty, "routing")
                    self._segment_path = lambda: "interface"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Track.TrackedObject.Interface, ['name', 'protocol', 'routing'], name, value)

                class Protocol(Enum):
                    """
                    Protocol

                    .. data:: ip = 0

                    .. data:: ipv6 = 1

                    .. data:: line_protocol = 2

                    """

                    ip = Enum.YLeaf(0, "ip")

                    ipv6 = Enum.YLeaf(1, "ipv6")

                    line_protocol = Enum.YLeaf(2, "line-protocol")



            class Ip(Entity):
                """
                IP protocol
                
                .. attribute:: route
                
                	
                	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ip.Route>`
                
                .. attribute:: sla
                
                	IP Service Level Agreement
                	**type**\:  :py:class:`Sla <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ip.Sla>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.TrackedObject.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "tracked-object"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"route" : ("route", Native.Track.TrackedObject.Ip.Route), "sla" : ("sla", Native.Track.TrackedObject.Ip.Sla)}
                    self._child_list_classes = {}

                    self.route = Native.Track.TrackedObject.Ip.Route()
                    self.route.parent = self
                    self._children_name_map["route"] = "route"
                    self._children_yang_names.add("route")

                    self.sla = Native.Track.TrackedObject.Ip.Sla()
                    self.sla.parent = self
                    self._children_name_map["sla"] = "sla"
                    self._children_yang_names.add("sla")
                    self._segment_path = lambda: "ip"


                class Route(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: reachability
                    
                    	Route reachability state
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: metric
                    
                    	Route metric
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ip.Route.Metric>`
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Track.TrackedObject.Ip.Route, self).__init__()

                        self.yang_name = "route"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.mask = YLeaf(YType.str, "mask")

                        self.reachability = YLeaf(YType.empty, "reachability")

                        self.metric = YLeaf(YType.enumeration, "metric")
                        self._segment_path = lambda: "route"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Track.TrackedObject.Ip.Route, ['address', 'mask', 'reachability', 'metric'], name, value)

                    class Metric(Enum):
                        """
                        Metric

                        Route metric

                        .. data:: threshold = 0

                        """

                        threshold = Enum.YLeaf(0, "threshold")



                class Sla(Entity):
                    """
                    IP Service Level Agreement
                    
                    .. attribute:: number
                    
                    	Entry number
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: reachability
                    
                    	Reachability
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: state
                    
                    	Return code state
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Track.TrackedObject.Ip.Sla, self).__init__()

                        self.yang_name = "sla"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint32, "number")

                        self.reachability = YLeaf(YType.empty, "reachability")

                        self.state = YLeaf(YType.empty, "state")
                        self._segment_path = lambda: "sla"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Track.TrackedObject.Ip.Sla, ['number', 'reachability', 'state'], name, value)


            class Ipv6(Entity):
                """
                IPv6 protocol
                
                .. attribute:: route
                
                	IPv6 route
                	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ipv6.Route>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.TrackedObject.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "tracked-object"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"route" : ("route", Native.Track.TrackedObject.Ipv6.Route)}
                    self._child_list_classes = {}

                    self.route = Native.Track.TrackedObject.Ipv6.Route()
                    self.route.parent = self
                    self._children_name_map["route"] = "route"
                    self._children_yang_names.add("route")
                    self._segment_path = lambda: "ipv6"


                class Route(Entity):
                    """
                    IPv6 route
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: reachability
                    
                    	Route reachability state
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: metric
                    
                    	Route metric
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Ipv6.Route.Metric>`
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Track.TrackedObject.Ipv6.Route, self).__init__()

                        self.yang_name = "route"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.reachability = YLeaf(YType.empty, "reachability")

                        self.metric = YLeaf(YType.enumeration, "metric")
                        self._segment_path = lambda: "route"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Track.TrackedObject.Ipv6.Route, ['address', 'reachability', 'metric'], name, value)

                    class Metric(Enum):
                        """
                        Metric

                        Route metric

                        .. data:: threshold = 0

                        """

                        threshold = Enum.YLeaf(0, "threshold")



            class List(Entity):
                """
                Group objects in a list
                
                .. attribute:: boolean
                
                	List state based on a boolean calculation on objects
                	**type**\:  :py:class:`Boolean <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.List.Boolean>`
                
                .. attribute:: threshold
                
                	List state based on a threshold of UP and DOWN objects
                	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.List.Threshold>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.TrackedObject.List, self).__init__()

                    self.yang_name = "list"
                    self.yang_parent_name = "tracked-object"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.boolean = YLeaf(YType.enumeration, "boolean")

                    self.threshold = YLeaf(YType.enumeration, "threshold")
                    self._segment_path = lambda: "list"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Track.TrackedObject.List, ['boolean', 'threshold'], name, value)

                class Boolean(Enum):
                    """
                    Boolean

                    List state based on a boolean calculation on objects

                    .. data:: and_ = 0

                    .. data:: or_ = 1

                    """

                    and_ = Enum.YLeaf(0, "and")

                    or_ = Enum.YLeaf(1, "or")


                class Threshold(Enum):
                    """
                    Threshold

                    List state based on a threshold of UP and DOWN objects

                    .. data:: percentage = 0

                    .. data:: weight = 1

                    """

                    percentage = Enum.YLeaf(0, "percentage")

                    weight = Enum.YLeaf(1, "weight")



            class Default(Entity):
                """
                Set a command to its defaults
                
                .. attribute:: delay
                
                	Tracking delay
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Default.Delay>`
                
                	**presence node**\: True
                
                .. attribute:: default_state
                
                	default object state
                	**type**\:  :py:class:`DefaultState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Default.DefaultState>`
                
                .. attribute:: ip
                
                	Tracking IP object configuration
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Default.Ip>`
                
                .. attribute:: ipv6
                
                	Tracking IPv6 object configuration
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.TrackedObject.Default.Ipv6>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.TrackedObject.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "tracked-object"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"delay" : ("delay", Native.Track.TrackedObject.Default.Delay), "ip" : ("ip", Native.Track.TrackedObject.Default.Ip), "ipv6" : ("ipv6", Native.Track.TrackedObject.Default.Ipv6)}
                    self._child_list_classes = {}

                    self.default_state = YLeaf(YType.enumeration, "default-state")

                    self.delay = None
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.ip = Native.Track.TrackedObject.Default.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")

                    self.ipv6 = Native.Track.TrackedObject.Default.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")
                    self._segment_path = lambda: "default"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Track.TrackedObject.Default, ['default_state'], name, value)

                class DefaultState(Enum):
                    """
                    DefaultState

                    default object state

                    .. data:: down = 0

                    .. data:: up = 1

                    """

                    down = Enum.YLeaf(0, "down")

                    up = Enum.YLeaf(1, "up")



                class Delay(Entity):
                    """
                    Tracking delay
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Track.TrackedObject.Default.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "delay"


                class Ip(Entity):
                    """
                    Tracking IP object configuration
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding table
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Track.TrackedObject.Default.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vrf = YLeaf(YType.empty, "vrf")
                        self._segment_path = lambda: "ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Track.TrackedObject.Default.Ip, ['vrf'], name, value)


                class Ipv6(Entity):
                    """
                    Tracking IPv6 object configuration
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding table
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Track.TrackedObject.Default.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vrf = YLeaf(YType.empty, "vrf")
                        self._segment_path = lambda: "ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Track.TrackedObject.Default.Ipv6, ['vrf'], name, value)


            class Delay(Entity):
                """
                Tracking delay
                
                .. attribute:: down
                
                	Delay down change notification
                	**type**\: int
                
                	**range:** 0..180
                
                .. attribute:: up
                
                	Delay up change notification
                	**type**\: int
                
                	**range:** 0..180
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.TrackedObject.Delay, self).__init__()

                    self.yang_name = "delay"
                    self.yang_parent_name = "tracked-object"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.down = YLeaf(YType.uint32, "down")

                    self.up = YLeaf(YType.uint32, "up")
                    self._segment_path = lambda: "delay"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Track.TrackedObject.Delay, ['down', 'up'], name, value)


            class Object(Entity):
                """
                Add a tracked object to list
                
                .. attribute:: number  <key>
                
                	
                	**type**\: int
                
                	**range:** 1..1000
                
                .. attribute:: not_
                
                	Negate the state of object
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.TrackedObject.Object, self).__init__()

                    self.yang_name = "object"
                    self.yang_parent_name = "tracked-object"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint32, "number")

                    self.not_ = YLeaf(YType.empty, "not")
                    self._segment_path = lambda: "object" + "[number='" + self.number.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Track.TrackedObject.Object, ['number', 'not_'], name, value)


            class Ipv6Object(Entity):
                """
                Tracking IPv6 object configuration
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding table name
                	**type**\: str
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.TrackedObject.Ipv6Object, self).__init__()

                    self.yang_name = "ipv6-object"
                    self.yang_parent_name = "tracked-object"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.vrf = YLeaf(YType.str, "vrf")
                    self._segment_path = lambda: "ipv6-object"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Track.TrackedObject.Ipv6Object, ['vrf'], name, value)


            class IpObject(Entity):
                """
                Tracking IP object configuration
                
                .. attribute:: vrf
                
                	VPN Routing/Forwarding table name
                	**type**\: str
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.TrackedObject.IpObject, self).__init__()

                    self.yang_name = "ip-object"
                    self.yang_parent_name = "tracked-object"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.vrf = YLeaf(YType.str, "vrf")
                    self._segment_path = lambda: "ip-object"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Track.TrackedObject.IpObject, ['vrf'], name, value)


        class Resolution(Entity):
            """
            Tracking resolution parameters
            
            .. attribute:: ip
            
            	IP protocol
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Resolution.Ip>`
            
            

            """

            _prefix = 'ios-track'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.Track.Resolution, self).__init__()

                self.yang_name = "resolution"
                self.yang_parent_name = "track"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ip" : ("ip", Native.Track.Resolution.Ip)}
                self._child_list_classes = {}

                self.ip = Native.Track.Resolution.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")
                self._segment_path = lambda: "Cisco-IOS-XE-track:resolution"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/track/%s" % self._segment_path()


            class Ip(Entity):
                """
                IP protocol
                
                .. attribute:: route
                
                	Route metric resolution
                	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Resolution.Ip.Route>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.Resolution.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "resolution"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"route" : ("route", Native.Track.Resolution.Ip.Route)}
                    self._child_list_classes = {}

                    self.route = Native.Track.Resolution.Ip.Route()
                    self.route.parent = self
                    self._children_name_map["route"] = "route"
                    self._children_yang_names.add("route")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/track/Cisco-IOS-XE-track:resolution/%s" % self._segment_path()


                class Route(Entity):
                    """
                    Route metric resolution
                    
                    .. attribute:: bgp
                    
                    	BGP route metric resolution
                    	**type**\: int
                    
                    	**range:** 256..40000000
                    
                    .. attribute:: eigrp
                    
                    	EIGRP route metric resolution
                    	**type**\: int
                    
                    	**range:** 256..40000000
                    
                    .. attribute:: isis
                    
                    	ISIS route metric resolution
                    	**type**\: int
                    
                    	**range:** 1..1000
                    
                    .. attribute:: ospf
                    
                    	OSPF route metric resolution
                    	**type**\: int
                    
                    	**range:** 1..1562
                    
                    .. attribute:: static
                    
                    	Static route metric resolution
                    	**type**\: int
                    
                    	**range:** 1..100000
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Track.Resolution.Ip.Route, self).__init__()

                        self.yang_name = "route"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.bgp = YLeaf(YType.uint32, "bgp")

                        self.eigrp = YLeaf(YType.uint32, "eigrp")

                        self.isis = YLeaf(YType.uint32, "isis")

                        self.ospf = YLeaf(YType.uint32, "ospf")

                        self.static = YLeaf(YType.uint32, "static")
                        self._segment_path = lambda: "route"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/track/Cisco-IOS-XE-track:resolution/ip/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Track.Resolution.Ip.Route, ['bgp', 'eigrp', 'isis', 'ospf', 'static'], name, value)


        class Timer(Entity):
            """
            Polling interval timers
            
            .. attribute:: interface
            
            	Interface polling timer
            	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.Interface>`
            
            .. attribute:: ip
            
            	IP protocol
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.Ip>`
            
            .. attribute:: ipv6
            
            	IPv6 protocol
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.Ipv6>`
            
            .. attribute:: list
            
            	Boolean list polling timer
            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.List>`
            
            .. attribute:: stub_object
            
            	EEM stub polling timer
            	**type**\:  :py:class:`StubObject <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.StubObject>`
            
            

            """

            _prefix = 'ios-track'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.Track.Timer, self).__init__()

                self.yang_name = "timer"
                self.yang_parent_name = "track"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"interface" : ("interface", Native.Track.Timer.Interface), "ip" : ("ip", Native.Track.Timer.Ip), "ipv6" : ("ipv6", Native.Track.Timer.Ipv6), "list" : ("list", Native.Track.Timer.List), "stub-object" : ("stub_object", Native.Track.Timer.StubObject)}
                self._child_list_classes = {}

                self.interface = Native.Track.Timer.Interface()
                self.interface.parent = self
                self._children_name_map["interface"] = "interface"
                self._children_yang_names.add("interface")

                self.ip = Native.Track.Timer.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Track.Timer.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.list = Native.Track.Timer.List()
                self.list.parent = self
                self._children_name_map["list"] = "list"
                self._children_yang_names.add("list")

                self.stub_object = Native.Track.Timer.StubObject()
                self.stub_object.parent = self
                self._children_name_map["stub_object"] = "stub-object"
                self._children_yang_names.add("stub-object")
                self._segment_path = lambda: "Cisco-IOS-XE-track:timer"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/track/%s" % self._segment_path()


            class Interface(Entity):
                """
                Interface polling timer
                
                .. attribute:: seconds
                
                	
                	**type**\: int
                
                	**range:** 1..3000
                
                .. attribute:: ms
                
                	Specify polling interval in milliseconds
                	**type**\: int
                
                	**range:** 500..5000
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.Timer.Interface, self).__init__()

                    self.yang_name = "interface"
                    self.yang_parent_name = "timer"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.seconds = YLeaf(YType.uint32, "seconds")

                    self.ms = YLeaf(YType.uint32, "ms")
                    self._segment_path = lambda: "interface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/track/Cisco-IOS-XE-track:timer/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Track.Timer.Interface, ['seconds', 'ms'], name, value)


            class Ip(Entity):
                """
                IP protocol
                
                .. attribute:: route
                
                	IP route polling timer
                	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.Ip.Route>`
                
                .. attribute:: sla
                
                	IP SLA polling timer
                	**type**\:  :py:class:`Sla <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.Ip.Sla>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.Timer.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "timer"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"route" : ("route", Native.Track.Timer.Ip.Route), "sla" : ("sla", Native.Track.Timer.Ip.Sla)}
                    self._child_list_classes = {}

                    self.route = Native.Track.Timer.Ip.Route()
                    self.route.parent = self
                    self._children_name_map["route"] = "route"
                    self._children_yang_names.add("route")

                    self.sla = Native.Track.Timer.Ip.Sla()
                    self.sla.parent = self
                    self._children_name_map["sla"] = "sla"
                    self._children_yang_names.add("sla")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/track/Cisco-IOS-XE-track:timer/%s" % self._segment_path()


                class Route(Entity):
                    """
                    IP route polling timer
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3000
                    
                    .. attribute:: ms
                    
                    	Specify polling interval in milliseconds
                    	**type**\: int
                    
                    	**range:** 500..5000
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Track.Timer.Ip.Route, self).__init__()

                        self.yang_name = "route"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint32, "seconds")

                        self.ms = YLeaf(YType.uint32, "ms")
                        self._segment_path = lambda: "route"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/track/Cisco-IOS-XE-track:timer/ip/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Track.Timer.Ip.Route, ['seconds', 'ms'], name, value)


                class Sla(Entity):
                    """
                    IP SLA polling timer
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3000
                    
                    .. attribute:: ms
                    
                    	Specify polling interval in milliseconds
                    	**type**\: int
                    
                    	**range:** 500..5000
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Track.Timer.Ip.Sla, self).__init__()

                        self.yang_name = "sla"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint32, "seconds")

                        self.ms = YLeaf(YType.uint32, "ms")
                        self._segment_path = lambda: "sla"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/track/Cisco-IOS-XE-track:timer/ip/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Track.Timer.Ip.Sla, ['seconds', 'ms'], name, value)


            class Ipv6(Entity):
                """
                IPv6 protocol
                
                .. attribute:: route
                
                	IPv6 route polling timer
                	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Track.Timer.Ipv6.Route>`
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.Timer.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "timer"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"route" : ("route", Native.Track.Timer.Ipv6.Route)}
                    self._child_list_classes = {}

                    self.route = Native.Track.Timer.Ipv6.Route()
                    self.route.parent = self
                    self._children_name_map["route"] = "route"
                    self._children_yang_names.add("route")
                    self._segment_path = lambda: "ipv6"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/track/Cisco-IOS-XE-track:timer/%s" % self._segment_path()


                class Route(Entity):
                    """
                    IPv6 route polling timer
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..3000
                    
                    .. attribute:: ms
                    
                    	Specify polling interval in milliseconds
                    	**type**\: int
                    
                    	**range:** 500..5000
                    
                    

                    """

                    _prefix = 'ios-track'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Track.Timer.Ipv6.Route, self).__init__()

                        self.yang_name = "route"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint32, "seconds")

                        self.ms = YLeaf(YType.uint32, "ms")
                        self._segment_path = lambda: "route"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/track/Cisco-IOS-XE-track:timer/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Track.Timer.Ipv6.Route, ['seconds', 'ms'], name, value)


            class List(Entity):
                """
                Boolean list polling timer
                
                .. attribute:: seconds
                
                	
                	**type**\: int
                
                	**range:** 1..3000
                
                .. attribute:: ms
                
                	Specify polling interval in milliseconds
                	**type**\: int
                
                	**range:** 500..5000
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.Timer.List, self).__init__()

                    self.yang_name = "list"
                    self.yang_parent_name = "timer"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.seconds = YLeaf(YType.uint32, "seconds")

                    self.ms = YLeaf(YType.uint32, "ms")
                    self._segment_path = lambda: "list"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/track/Cisco-IOS-XE-track:timer/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Track.Timer.List, ['seconds', 'ms'], name, value)


            class StubObject(Entity):
                """
                EEM stub polling timer
                
                .. attribute:: seconds
                
                	
                	**type**\: int
                
                	**range:** 1..3000
                
                .. attribute:: ms
                
                	Specify polling interval in milliseconds
                	**type**\: int
                
                	**range:** 500..5000
                
                

                """

                _prefix = 'ios-track'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Track.Timer.StubObject, self).__init__()

                    self.yang_name = "stub-object"
                    self.yang_parent_name = "timer"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.seconds = YLeaf(YType.uint32, "seconds")

                    self.ms = YLeaf(YType.uint32, "ms")
                    self._segment_path = lambda: "stub-object"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/track/Cisco-IOS-XE-track:timer/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Track.Timer.StubObject, ['seconds', 'ms'], name, value)


    class Dot1X(Entity):
        """
        IEEE 802.1X Global Configuration Commands
        
        .. attribute:: credentials
        
        	Configure 802.1X credentials profiles
        	**type**\: list of  		 :py:class:`Credentials <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Credentials>`
        
        .. attribute:: critical
        
        	Set 802.1x Critical Authentication parameters
        	**type**\:  :py:class:`Critical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Critical>`
        
        .. attribute:: test
        
        	Configure dot1x test related parameters
        	**type**\:  :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Test>`
        
        .. attribute:: supplicant
        
        	802.1X supplicant configuration
        	**type**\:  :py:class:`Supplicant <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Supplicant>`
        
        .. attribute:: system_auth_control
        
        	Enable or Disable SysAuthControl
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Dot1X, self).__init__()

            self.yang_name = "dot1x"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-dot1x:critical" : ("critical", Native.Dot1X.Critical), "Cisco-IOS-XE-dot1x:test" : ("test", Native.Dot1X.Test), "Cisco-IOS-XE-dot1x:supplicant" : ("supplicant", Native.Dot1X.Supplicant)}
            self._child_list_classes = {"Cisco-IOS-XE-dot1x:credentials" : ("credentials", Native.Dot1X.Credentials)}

            self.system_auth_control = YLeaf(YType.empty, "Cisco-IOS-XE-dot1x:system-auth-control")

            self.critical = Native.Dot1X.Critical()
            self.critical.parent = self
            self._children_name_map["critical"] = "critical"
            self._children_yang_names.add("critical")

            self.test = Native.Dot1X.Test()
            self.test.parent = self
            self._children_name_map["test"] = "test"
            self._children_yang_names.add("test")

            self.supplicant = Native.Dot1X.Supplicant()
            self.supplicant.parent = self
            self._children_name_map["supplicant"] = "supplicant"
            self._children_yang_names.add("supplicant")

            self.credentials = YList(self)
            self._segment_path = lambda: "dot1x"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Dot1X, ['system_auth_control'], name, value)


        class Credentials(Entity):
            """
            Configure 802.1X credentials profiles
            
            .. attribute:: profile_name  <key>
            
            	Specify a profile name
            	**type**\: str
            
            .. attribute:: username
            
            	Set the authentication userid
            	**type**\: str
            
            .. attribute:: password
            
            	Set the authentication password
            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Credentials.Password>`
            
            .. attribute:: pki_trustpoint
            
            	Set the default pki trustpoint
            	**type**\: str
            
            

            """

            _prefix = 'ios-dot1x'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Dot1X.Credentials, self).__init__()

                self.yang_name = "credentials"
                self.yang_parent_name = "dot1x"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"password" : ("password", Native.Dot1X.Credentials.Password)}
                self._child_list_classes = {}

                self.profile_name = YLeaf(YType.str, "profile-name")

                self.username = YLeaf(YType.str, "username")

                self.pki_trustpoint = YLeaf(YType.str, "pki-trustpoint")

                self.password = Native.Dot1X.Credentials.Password()
                self.password.parent = self
                self._children_name_map["password"] = "password"
                self._children_yang_names.add("password")
                self._segment_path = lambda: "Cisco-IOS-XE-dot1x:credentials" + "[profile-name='" + self.profile_name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/dot1x/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Dot1X.Credentials, ['profile_name', 'username', 'pki_trustpoint'], name, value)


            class Password(Entity):
                """
                Set the authentication password
                
                .. attribute:: type
                
                	
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Credentials.Password.Type>`
                
                .. attribute:: secret
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Dot1X.Credentials.Password, self).__init__()

                    self.yang_name = "password"
                    self.yang_parent_name = "credentials"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.type = YLeaf(YType.enumeration, "type")

                    self.secret = YLeaf(YType.str, "secret")
                    self._segment_path = lambda: "password"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Dot1X.Credentials.Password, ['type', 'secret'], name, value)

                class Type(Enum):
                    """
                    Type

                    .. data:: Y_0 = 0

                    .. data:: Y_7 = 1

                    """

                    Y_0 = Enum.YLeaf(0, "0")

                    Y_7 = Enum.YLeaf(1, "7")



        class Critical(Entity):
            """
            Set 802.1x Critical Authentication parameters
            
            .. attribute:: eapol
            
            	Send EAPOL\-Success on successful Critical Authentication
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: recovery
            
            	Set 802.1x Critical Authentication Recovery parameters
            	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Dot1X.Critical.Recovery>`
            
            

            """

            _prefix = 'ios-dot1x'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Dot1X.Critical, self).__init__()

                self.yang_name = "critical"
                self.yang_parent_name = "dot1x"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"recovery" : ("recovery", Native.Dot1X.Critical.Recovery)}
                self._child_list_classes = {}

                self.eapol = YLeaf(YType.empty, "eapol")

                self.recovery = Native.Dot1X.Critical.Recovery()
                self.recovery.parent = self
                self._children_name_map["recovery"] = "recovery"
                self._children_yang_names.add("recovery")
                self._segment_path = lambda: "Cisco-IOS-XE-dot1x:critical"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/dot1x/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Dot1X.Critical, ['eapol'], name, value)


            class Recovery(Entity):
                """
                Set 802.1x Critical Authentication Recovery parameters
                
                .. attribute:: delay
                
                	Set 802.1x Critical Authentication Recovery Delay period
                	**type**\: int
                
                	**range:** 1..10000
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Dot1X.Critical.Recovery, self).__init__()

                    self.yang_name = "recovery"
                    self.yang_parent_name = "critical"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.delay = YLeaf(YType.uint16, "delay")
                    self._segment_path = lambda: "recovery"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/dot1x/Cisco-IOS-XE-dot1x:critical/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Dot1X.Critical.Recovery, ['delay'], name, value)


        class Test(Entity):
            """
            Configure dot1x test related parameters
            
            .. attribute:: timeout
            
            	Seconds
            	**type**\: int
            
            	**range:** 1..65535
            
            

            """

            _prefix = 'ios-dot1x'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Dot1X.Test, self).__init__()

                self.yang_name = "test"
                self.yang_parent_name = "dot1x"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.timeout = YLeaf(YType.uint16, "timeout")
                self._segment_path = lambda: "Cisco-IOS-XE-dot1x:test"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/dot1x/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Dot1X.Test, ['timeout'], name, value)


        class Supplicant(Entity):
            """
            802.1X supplicant configuration
            
            .. attribute:: force_multicast
            
            	Force 802.1X supplicant to send multicast packets
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-dot1x'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Dot1X.Supplicant, self).__init__()

                self.yang_name = "supplicant"
                self.yang_parent_name = "dot1x"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.force_multicast = YLeaf(YType.empty, "force-multicast")
                self._segment_path = lambda: "Cisco-IOS-XE-dot1x:supplicant"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/dot1x/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Dot1X.Supplicant, ['force_multicast'], name, value)


    class Fallback(Entity):
        """
        Fallback configuration commands
        
        .. attribute:: profile
        
        	Create a Fallback profile
        	**type**\:  :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fallback.Profile>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Fallback, self).__init__()

            self.yang_name = "fallback"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-dot1x:profile" : ("profile", Native.Fallback.Profile)}
            self._child_list_classes = {}

            self.profile = Native.Fallback.Profile()
            self.profile.parent = self
            self._children_name_map["profile"] = "profile"
            self._children_yang_names.add("profile")
            self._segment_path = lambda: "fallback"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Profile(Entity):
            """
            Create a Fallback profile
            
            .. attribute:: fallback_list
            
            	Specify a policy name
            	**type**\: list of  		 :py:class:`FallbackList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fallback.Profile.FallbackList>`
            
            

            """

            _prefix = 'ios-dot1x'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Fallback.Profile, self).__init__()

                self.yang_name = "profile"
                self.yang_parent_name = "fallback"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"fallback-list" : ("fallback_list", Native.Fallback.Profile.FallbackList)}

                self.fallback_list = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-dot1x:profile"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/fallback/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Fallback.Profile, [], name, value)


            class FallbackList(Entity):
                """
                Specify a policy name
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: description
                
                	Any textual description
                	**type**\: str
                
                .. attribute:: ip
                
                	Internet Protocol configuration commands
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fallback.Profile.FallbackList.Ip>`
                
                

                """

                _prefix = 'ios-dot1x'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Fallback.Profile.FallbackList, self).__init__()

                    self.yang_name = "fallback-list"
                    self.yang_parent_name = "profile"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ip" : ("ip", Native.Fallback.Profile.FallbackList.Ip)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.description = YLeaf(YType.str, "description")

                    self.ip = Native.Fallback.Profile.FallbackList.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "fallback-list" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/fallback/Cisco-IOS-XE-dot1x:profile/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Fallback.Profile.FallbackList, ['name', 'description'], name, value)


                class Ip(Entity):
                    """
                    Internet Protocol configuration commands
                    
                    .. attribute:: access_group
                    
                    	Specify access control for packets
                    	**type**\: list of  		 :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fallback.Profile.FallbackList.Ip.AccessGroup>`
                    
                    .. attribute:: admission
                    
                    	Name of IP admission rule
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-dot1x'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Fallback.Profile.FallbackList.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "fallback-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"access-group" : ("access_group", Native.Fallback.Profile.FallbackList.Ip.AccessGroup)}

                        self.admission = YLeaf(YType.str, "admission")

                        self.access_group = YList(self)
                        self._segment_path = lambda: "ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Fallback.Profile.FallbackList.Ip, ['admission'], name, value)


                    class AccessGroup(Entity):
                        """
                        Specify access control for packets
                        
                        .. attribute:: name  <key>
                        
                        	IP expanded access list (standard or extended)
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1300..2699
                        
                        		**type**\: str
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-dot1x'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Fallback.Profile.FallbackList.Ip.AccessGroup, self).__init__()

                            self.yang_name = "access-group"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.in_ = YLeaf(YType.empty, "in")
                            self._segment_path = lambda: "access-group" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Fallback.Profile.FallbackList.Ip.AccessGroup, ['name', 'in_'], name, value)


    class ParameterMap(Entity):
        """
        parameter map
        
        .. attribute:: name  <key>
        
        	cws\_tunnel global parameter\-map
        	**type**\: union of the below types:
        
        		**type**\: str
        
        		**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Name>`
        
        .. attribute:: type
        
        	parameter map type
        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Type>`
        
        .. attribute:: parameter_map_type
        
        	type \- web\-auth, consent or both
        	**type**\:  :py:class:`ParameterMapType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ParameterMapType>`
        
        .. attribute:: regex
        
        	
        	**type**\:  :py:class:`Regex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Regex>`
        
        .. attribute:: timeout
        
        	timeout for the webauth session
        	**type**\:  :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Timeout>`
        
        .. attribute:: watch_list
        
        	Watch List of webauth clients
        	**type**\:  :py:class:`WatchList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.WatchList>`
        
        .. attribute:: aggressive_aging
        
        	Aggressive Aging parameters
        	**type**\:  :py:class:`AggressiveAging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.AggressiveAging>`
        
        .. attribute:: alert
        
        	Turn on/off alert
        	**type**\:  :py:class:`Alert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Alert>`
        
        .. attribute:: application_inspect
        
        	Turn on application inspection
        	**type**\:  :py:class:`ApplicationInspect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ApplicationInspect>`
        
        .. attribute:: audit_trail
        
        	Turn on/off audit trail
        	**type**\:  :py:class:`AuditTrail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.AuditTrail>`
        
        .. attribute:: dns_timeout
        
        	Specify timeout for DNS
        	**type**\: int
        
        	**range:** 1..2147483
        
        .. attribute:: global_
        
        	cws\_tunnel global parameter\-map
        	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_>`
        
        .. attribute:: icmp
        
        	Config timeout values for icmp
        	**type**\:  :py:class:`Icmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Icmp>`
        
        .. attribute:: lisp
        
        	Turn on LISP options
        	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Lisp>`
        
        .. attribute:: log
        
        	Configure inspect logging parameters
        	**type**\:  :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Log>`
        
        .. attribute:: max_destination
        
        	config maximum destination
        	**type**\: int
        
        	**range:** 1..4294967295
        
        .. attribute:: max_incomplete
        
        	Specify maximum number of incomplete connections before clamping
        	**type**\:  :py:class:`MaxIncomplete <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.MaxIncomplete>`
        
        .. attribute:: one_minute
        
        	Specify one\-minute\-sample watermarks for clamping
        	**type**\:  :py:class:`OneMinute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.OneMinute>`
        
        .. attribute:: sessions
        
        	Maximum number of inspect sessions
        	**type**\:  :py:class:`Sessions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Sessions>`
        
        .. attribute:: tcp_inspect
        
        	
        	**type**\:  :py:class:`TcpInspect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspect>`
        
        .. attribute:: tcp_inspect_zone
        
        	
        	**type**\:  :py:class:`TcpInspectZone <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspectZone>`
        
        .. attribute:: threat_detection
        
        	Configure Threat Detection
        	**type**\:  :py:class:`ThreatDetection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ThreatDetection>`
        
        .. attribute:: udp
        
        	Config timeout values for udp flows
        	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Udp>`
        
        .. attribute:: vrf
        
        	vrf binding with parameter map
        	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Vrf>`
        
        .. attribute:: zone_mismatch
        
        	Config zone\-mismatch option
        	**type**\:  :py:class:`ZoneMismatch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ZoneMismatch>`
        
        .. attribute:: umbrella_global
        
        	umbrella global parameter\-map
        	**type**\:  :py:class:`UmbrellaGlobal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.UmbrellaGlobal>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.ParameterMap, self).__init__()

            self.yang_name = "parameter-map"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-policy:regex" : ("regex", Native.ParameterMap.Regex), "Cisco-IOS-XE-policy:timeout" : ("timeout", Native.ParameterMap.Timeout), "Cisco-IOS-XE-policy:watch-list" : ("watch_list", Native.ParameterMap.WatchList), "Cisco-IOS-XE-policy:aggressive-aging" : ("aggressive_aging", Native.ParameterMap.AggressiveAging), "Cisco-IOS-XE-policy:global" : ("global_", Native.ParameterMap.Global_), "Cisco-IOS-XE-policy:icmp" : ("icmp", Native.ParameterMap.Icmp), "Cisco-IOS-XE-policy:lisp" : ("lisp", Native.ParameterMap.Lisp), "Cisco-IOS-XE-policy:log" : ("log", Native.ParameterMap.Log), "Cisco-IOS-XE-policy:max-incomplete" : ("max_incomplete", Native.ParameterMap.MaxIncomplete), "Cisco-IOS-XE-policy:one-minute" : ("one_minute", Native.ParameterMap.OneMinute), "Cisco-IOS-XE-policy:sessions" : ("sessions", Native.ParameterMap.Sessions), "Cisco-IOS-XE-policy:tcp-inspect" : ("tcp_inspect", Native.ParameterMap.TcpInspect), "Cisco-IOS-XE-policy:tcp-inspect-zone" : ("tcp_inspect_zone", Native.ParameterMap.TcpInspectZone), "Cisco-IOS-XE-policy:threat-detection" : ("threat_detection", Native.ParameterMap.ThreatDetection), "Cisco-IOS-XE-policy:udp" : ("udp", Native.ParameterMap.Udp), "Cisco-IOS-XE-policy:vrf" : ("vrf", Native.ParameterMap.Vrf), "Cisco-IOS-XE-umbrella:umbrella-global" : ("umbrella_global", Native.ParameterMap.UmbrellaGlobal)}
            self._child_list_classes = {}

            self.name = YLeaf(YType.str, "name")

            self.type = YLeaf(YType.enumeration, "type")

            self.parameter_map_type = YLeaf(YType.enumeration, "parameter-map-type")

            self.alert = YLeaf(YType.enumeration, "Cisco-IOS-XE-policy:alert")

            self.application_inspect = YLeaf(YType.enumeration, "Cisco-IOS-XE-policy:application-inspect")

            self.audit_trail = YLeaf(YType.enumeration, "Cisco-IOS-XE-policy:audit-trail")

            self.dns_timeout = YLeaf(YType.uint32, "Cisco-IOS-XE-policy:dns-timeout")

            self.max_destination = YLeaf(YType.uint32, "Cisco-IOS-XE-policy:max-destination")

            self.zone_mismatch = YLeaf(YType.enumeration, "Cisco-IOS-XE-policy:zone-mismatch")

            self.regex = Native.ParameterMap.Regex()
            self.regex.parent = self
            self._children_name_map["regex"] = "regex"
            self._children_yang_names.add("regex")

            self.timeout = Native.ParameterMap.Timeout()
            self.timeout.parent = self
            self._children_name_map["timeout"] = "timeout"
            self._children_yang_names.add("timeout")

            self.watch_list = Native.ParameterMap.WatchList()
            self.watch_list.parent = self
            self._children_name_map["watch_list"] = "watch-list"
            self._children_yang_names.add("watch-list")

            self.aggressive_aging = Native.ParameterMap.AggressiveAging()
            self.aggressive_aging.parent = self
            self._children_name_map["aggressive_aging"] = "aggressive-aging"
            self._children_yang_names.add("aggressive-aging")

            self.global_ = Native.ParameterMap.Global_()
            self.global_.parent = self
            self._children_name_map["global_"] = "global"
            self._children_yang_names.add("global")

            self.icmp = Native.ParameterMap.Icmp()
            self.icmp.parent = self
            self._children_name_map["icmp"] = "icmp"
            self._children_yang_names.add("icmp")

            self.lisp = Native.ParameterMap.Lisp()
            self.lisp.parent = self
            self._children_name_map["lisp"] = "lisp"
            self._children_yang_names.add("lisp")

            self.log = Native.ParameterMap.Log()
            self.log.parent = self
            self._children_name_map["log"] = "log"
            self._children_yang_names.add("log")

            self.max_incomplete = Native.ParameterMap.MaxIncomplete()
            self.max_incomplete.parent = self
            self._children_name_map["max_incomplete"] = "max-incomplete"
            self._children_yang_names.add("max-incomplete")

            self.one_minute = Native.ParameterMap.OneMinute()
            self.one_minute.parent = self
            self._children_name_map["one_minute"] = "one-minute"
            self._children_yang_names.add("one-minute")

            self.sessions = Native.ParameterMap.Sessions()
            self.sessions.parent = self
            self._children_name_map["sessions"] = "sessions"
            self._children_yang_names.add("sessions")

            self.tcp_inspect = Native.ParameterMap.TcpInspect()
            self.tcp_inspect.parent = self
            self._children_name_map["tcp_inspect"] = "tcp-inspect"
            self._children_yang_names.add("tcp-inspect")

            self.tcp_inspect_zone = Native.ParameterMap.TcpInspectZone()
            self.tcp_inspect_zone.parent = self
            self._children_name_map["tcp_inspect_zone"] = "tcp-inspect-zone"
            self._children_yang_names.add("tcp-inspect-zone")

            self.threat_detection = Native.ParameterMap.ThreatDetection()
            self.threat_detection.parent = self
            self._children_name_map["threat_detection"] = "threat-detection"
            self._children_yang_names.add("threat-detection")

            self.udp = Native.ParameterMap.Udp()
            self.udp.parent = self
            self._children_name_map["udp"] = "udp"
            self._children_yang_names.add("udp")

            self.vrf = Native.ParameterMap.Vrf()
            self.vrf.parent = self
            self._children_name_map["vrf"] = "vrf"
            self._children_yang_names.add("vrf")

            self.umbrella_global = Native.ParameterMap.UmbrellaGlobal()
            self.umbrella_global.parent = self
            self._children_name_map["umbrella_global"] = "umbrella-global"
            self._children_yang_names.add("umbrella-global")
            self._segment_path = lambda: "parameter-map" + "[name='" + self.name.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.ParameterMap, ['name', 'type', 'parameter_map_type', 'alert', 'application_inspect', 'audit_trail', 'dns_timeout', 'max_destination', 'zone_mismatch'], name, value)

        class Alert(Enum):
            """
            Alert

            Turn on/off alert

            .. data:: off = 0

            .. data:: on = 1

            """

            off = Enum.YLeaf(0, "off")

            on = Enum.YLeaf(1, "on")


        class ApplicationInspect(Enum):
            """
            ApplicationInspect

            Turn on application inspection

            .. data:: all = 0

            .. data:: dns = 1

            .. data:: exec_ = 2

            .. data:: ftp = 3

            .. data:: gtp = 4

            .. data:: h323 = 5

            .. data:: http = 6

            .. data:: imap = 7

            .. data:: login = 8

            .. data:: msrpc = 9

            .. data:: netbios = 10

            .. data:: pop3 = 11

            .. data:: rtsp = 12

            .. data:: shell = 13

            .. data:: sip = 14

            .. data:: skinny = 15

            .. data:: smtp = 16

            .. data:: sunrpc = 17

            .. data:: tftp = 18

            """

            all = Enum.YLeaf(0, "all")

            dns = Enum.YLeaf(1, "dns")

            exec_ = Enum.YLeaf(2, "exec")

            ftp = Enum.YLeaf(3, "ftp")

            gtp = Enum.YLeaf(4, "gtp")

            h323 = Enum.YLeaf(5, "h323")

            http = Enum.YLeaf(6, "http")

            imap = Enum.YLeaf(7, "imap")

            login = Enum.YLeaf(8, "login")

            msrpc = Enum.YLeaf(9, "msrpc")

            netbios = Enum.YLeaf(10, "netbios")

            pop3 = Enum.YLeaf(11, "pop3")

            rtsp = Enum.YLeaf(12, "rtsp")

            shell = Enum.YLeaf(13, "shell")

            sip = Enum.YLeaf(14, "sip")

            skinny = Enum.YLeaf(15, "skinny")

            smtp = Enum.YLeaf(16, "smtp")

            sunrpc = Enum.YLeaf(17, "sunrpc")

            tftp = Enum.YLeaf(18, "tftp")


        class AuditTrail(Enum):
            """
            AuditTrail

            Turn on/off audit trail

            .. data:: off = 0

            .. data:: on = 1

            """

            off = Enum.YLeaf(0, "off")

            on = Enum.YLeaf(1, "on")


        class Name(Enum):
            """
            Name

            cws\_tunnel global parameter\-map

            .. data:: global_ = 0

            .. data:: gtp = 1

            """

            global_ = Enum.YLeaf(0, "global")

            gtp = Enum.YLeaf(1, "gtp")


        class ParameterMapType(Enum):
            """
            ParameterMapType

            type \- web\-auth, consent or both

            .. data:: webauth = 0

            .. data:: authbypass = 1

            """

            webauth = Enum.YLeaf(0, "webauth")

            authbypass = Enum.YLeaf(1, "authbypass")


        class Type(Enum):
            """
            Type

            parameter map type

            .. data:: cws_tunnel = 0

            .. data:: inspect = 1

            .. data:: inspect_global = 2

            .. data:: webauth = 3

            .. data:: inspect_vrf = 4

            .. data:: inspect_zone = 5

            .. data:: regex = 6

            .. data:: authbypass = 7

            .. data:: umbrella = 8

            """

            cws_tunnel = Enum.YLeaf(0, "cws-tunnel")

            inspect = Enum.YLeaf(1, "inspect")

            inspect_global = Enum.YLeaf(2, "inspect-global")

            webauth = Enum.YLeaf(3, "webauth")

            inspect_vrf = Enum.YLeaf(4, "inspect-vrf")

            inspect_zone = Enum.YLeaf(5, "inspect-zone")

            regex = Enum.YLeaf(6, "regex")

            authbypass = Enum.YLeaf(7, "authbypass")

            umbrella = Enum.YLeaf(8, "umbrella")


        class ZoneMismatch(Enum):
            """
            ZoneMismatch

            Config zone\-mismatch option

            .. data:: drop = 0

            """

            drop = Enum.YLeaf(0, "drop")



        class Regex(Entity):
            """
            
            
            .. attribute:: pattern
            
            	Configure pattern to match
            	**type**\: list of  		 :py:class:`Pattern <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Regex.Pattern>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.Regex, self).__init__()

                self.yang_name = "regex"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {"pattern" : ("pattern", Native.ParameterMap.Regex.Pattern)}

                self.pattern = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-policy:regex"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ParameterMap.Regex, [], name, value)


            class Pattern(Entity):
                """
                Configure pattern to match
                
                .. attribute:: regexp  <key>
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.Regex.Pattern, self).__init__()

                    self.yang_name = "pattern"
                    self.yang_parent_name = "regex"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.regexp = YLeaf(YType.str, "regexp")
                    self._segment_path = lambda: "pattern" + "[regexp='" + self.regexp.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ParameterMap.Regex.Pattern, ['regexp'], name, value)


        class Timeout(Entity):
            """
            timeout for the webauth session
            
            .. attribute:: init_state
            
            	init\-state timeout
            	**type**\:  :py:class:`InitState <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Timeout.InitState>`
            
            	**presence node**\: True
            
            .. attribute:: fin_wait
            
            	fin\-wait timeout
            	**type**\:  :py:class:`FinWait <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Timeout.FinWait>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.Timeout, self).__init__()

                self.yang_name = "timeout"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"init-state" : ("init_state", Native.ParameterMap.Timeout.InitState), "fin-wait" : ("fin_wait", Native.ParameterMap.Timeout.FinWait)}
                self._child_list_classes = {}

                self.init_state = None
                self._children_name_map["init_state"] = "init-state"
                self._children_yang_names.add("init-state")

                self.fin_wait = Native.ParameterMap.Timeout.FinWait()
                self.fin_wait.parent = self
                self._children_name_map["fin_wait"] = "fin-wait"
                self._children_yang_names.add("fin-wait")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:timeout"


            class InitState(Entity):
                """
                init\-state timeout
                
                .. attribute:: sec
                
                	WEBAUTH Timeout in Seconds
                	**type**\: int
                
                	**range:** 60..3932100
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.Timeout.InitState, self).__init__()

                    self.yang_name = "init-state"
                    self.yang_parent_name = "timeout"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.sec = YLeaf(YType.uint32, "sec")
                    self._segment_path = lambda: "init-state"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ParameterMap.Timeout.InitState, ['sec'], name, value)


            class FinWait(Entity):
                """
                fin\-wait timeout
                
                .. attribute:: msec
                
                	WEBAUTH Timeout in milliseconds
                	**type**\: int
                
                	**range:** 1..2147483647
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.Timeout.FinWait, self).__init__()

                    self.yang_name = "fin-wait"
                    self.yang_parent_name = "timeout"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.msec = YLeaf(YType.uint32, "msec")
                    self._segment_path = lambda: "fin-wait"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ParameterMap.Timeout.FinWait, ['msec'], name, value)


        class WatchList(Entity):
            """
            Watch List of webauth clients
            
            .. attribute:: enabled
            
            	Enable Watchlist
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: dynamic_expiry_timeout
            
            	dynamic\_expiry\_timeout
            	**type**\: int
            
            	**range:** 0..2147483
            
            .. attribute:: add_item
            
            	Add item to Watch\-list
            	**type**\:  :py:class:`AddItem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.WatchList.AddItem>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.WatchList, self).__init__()

                self.yang_name = "watch-list"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"add-item" : ("add_item", Native.ParameterMap.WatchList.AddItem)}
                self._child_list_classes = {}

                self.enabled = YLeaf(YType.empty, "enabled")

                self.dynamic_expiry_timeout = YLeaf(YType.uint32, "dynamic-expiry-timeout")

                self.add_item = Native.ParameterMap.WatchList.AddItem()
                self.add_item.parent = self
                self._children_name_map["add_item"] = "add-item"
                self._children_yang_names.add("add-item")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:watch-list"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ParameterMap.WatchList, ['enabled', 'dynamic_expiry_timeout'], name, value)


            class AddItem(Entity):
                """
                Add item to Watch\-list
                
                .. attribute:: ipv4
                
                	IPv4 Watch List Entry
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: ipv6
                
                	IPv6 Watch List Entry
                	**type**\: str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.WatchList.AddItem, self).__init__()

                    self.yang_name = "add-item"
                    self.yang_parent_name = "watch-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ipv4 = YLeaf(YType.str, "ipv4")

                    self.ipv6 = YLeaf(YType.str, "ipv6")
                    self._segment_path = lambda: "add-item"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ParameterMap.WatchList.AddItem, ['ipv4', 'ipv6'], name, value)


        class AggressiveAging(Entity):
            """
            Aggressive Aging parameters
            
            .. attribute:: high
            
            	Specify the high watermark for aggressive\-aging
            	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.AggressiveAging.High>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.AggressiveAging, self).__init__()

                self.yang_name = "aggressive-aging"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"high" : ("high", Native.ParameterMap.AggressiveAging.High)}
                self._child_list_classes = {}

                self.high = Native.ParameterMap.AggressiveAging.High()
                self.high.parent = self
                self._children_name_map["high"] = "high"
                self._children_yang_names.add("high")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:aggressive-aging"


            class High(Entity):
                """
                Specify the high watermark for aggressive\-aging
                
                .. attribute:: absolute
                
                	
                	**type**\:  :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.AggressiveAging.High.Absolute>`
                
                .. attribute:: percent
                
                	high watermark in percentage of max\-incomplete value
                	**type**\:  :py:class:`Percent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.AggressiveAging.High.Percent>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.AggressiveAging.High, self).__init__()

                    self.yang_name = "high"
                    self.yang_parent_name = "aggressive-aging"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"absolute" : ("absolute", Native.ParameterMap.AggressiveAging.High.Absolute), "percent" : ("percent", Native.ParameterMap.AggressiveAging.High.Percent)}
                    self._child_list_classes = {}

                    self.absolute = Native.ParameterMap.AggressiveAging.High.Absolute()
                    self.absolute.parent = self
                    self._children_name_map["absolute"] = "absolute"
                    self._children_yang_names.add("absolute")

                    self.percent = Native.ParameterMap.AggressiveAging.High.Percent()
                    self.percent.parent = self
                    self._children_name_map["percent"] = "percent"
                    self._children_yang_names.add("percent")
                    self._segment_path = lambda: "high"


                class Absolute(Entity):
                    """
                    
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: low
                    
                    	Specify the low watermark for aggressive\-aging
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.AggressiveAging.High.Absolute, self).__init__()

                        self.yang_name = "absolute"
                        self.yang_parent_name = "high"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.value = YLeaf(YType.uint64, "value")

                        self.low = YLeaf(YType.uint64, "low")
                        self._segment_path = lambda: "absolute"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.AggressiveAging.High.Absolute, ['value', 'low'], name, value)


                class Percent(Entity):
                    """
                    high watermark in percentage of max\-incomplete value
                    
                    .. attribute:: value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    .. attribute:: low_percent
                    
                    	Specify the low watermark for aggressive\-aging in percents
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.AggressiveAging.High.Percent, self).__init__()

                        self.yang_name = "percent"
                        self.yang_parent_name = "high"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.value = YLeaf(YType.uint8, "value")

                        self.low_percent = YLeaf(YType.uint8, "low_percent")
                        self._segment_path = lambda: "percent"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.AggressiveAging.High.Percent, ['value', 'low_percent'], name, value)


        class Global_(Entity):
            """
            cws\_tunnel global parameter\-map
            
            .. attribute:: fail_open
            
            	Allow traffic to go in clear if CWS Towers are unreachable
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: license
            
            	License Key
            	**type**\:  :py:class:`License <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.License>`
            
            .. attribute:: logging
            
            	CWS syslogs
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: primary
            
            	Primary tower
            	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Primary>`
            
            	**presence node**\: True
            
            .. attribute:: redirect_list
            
            	Set access\-list for reverse route from CWS Tower Standard IP access\-list number <1\-199> Standard IP access\-list number (expanded range) <1300\-2699>
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 1..199
            
            		**type**\: int
            
            			**range:** 1300..2699
            
            .. attribute:: secondary
            
            	Secondary tower
            	**type**\:  :py:class:`Secondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Secondary>`
            
            	**presence node**\: True
            
            .. attribute:: whitelist
            
            	Disable redirection to CWS Access list (standard) <1\-199> Access list (extended) <1300\-2699> Access list name
            	**type**\:  :py:class:`Whitelist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Whitelist>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.Global_, self).__init__()

                self.yang_name = "global"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"license" : ("license", Native.ParameterMap.Global_.License), "primary" : ("primary", Native.ParameterMap.Global_.Primary), "secondary" : ("secondary", Native.ParameterMap.Global_.Secondary), "whitelist" : ("whitelist", Native.ParameterMap.Global_.Whitelist)}
                self._child_list_classes = {}

                self.fail_open = YLeaf(YType.empty, "fail-open")

                self.logging = YLeaf(YType.empty, "logging")

                self.redirect_list = YLeaf(YType.str, "redirect-list")

                self.license = Native.ParameterMap.Global_.License()
                self.license.parent = self
                self._children_name_map["license"] = "license"
                self._children_yang_names.add("license")

                self.primary = None
                self._children_name_map["primary"] = "primary"
                self._children_yang_names.add("primary")

                self.secondary = None
                self._children_name_map["secondary"] = "secondary"
                self._children_yang_names.add("secondary")

                self.whitelist = None
                self._children_name_map["whitelist"] = "whitelist"
                self._children_yang_names.add("whitelist")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:global"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ParameterMap.Global_, ['fail_open', 'logging', 'redirect_list'], name, value)


            class License(Entity):
                """
                License Key
                
                .. attribute:: unencypted
                
                	Unencrypted License
                	**type**\:  :py:class:`Unencypted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.License.Unencypted>`
                
                .. attribute:: encrypted
                
                	Encrypted License
                	**type**\:  :py:class:`Encrypted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.License.Encrypted>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.Global_.License, self).__init__()

                    self.yang_name = "license"
                    self.yang_parent_name = "global"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"Unencypted" : ("unencypted", Native.ParameterMap.Global_.License.Unencypted), "Encrypted" : ("encrypted", Native.ParameterMap.Global_.License.Encrypted)}
                    self._child_list_classes = {}

                    self.unencypted = Native.ParameterMap.Global_.License.Unencypted()
                    self.unencypted.parent = self
                    self._children_name_map["unencypted"] = "Unencypted"
                    self._children_yang_names.add("Unencypted")

                    self.encrypted = Native.ParameterMap.Global_.License.Encrypted()
                    self.encrypted.parent = self
                    self._children_name_map["encrypted"] = "Encrypted"
                    self._children_yang_names.add("Encrypted")
                    self._segment_path = lambda: "license"


                class Unencypted(Entity):
                    """
                    Unencrypted License
                    
                    .. attribute:: hex_string
                    
                    	32 char non encrypted hex key
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.Global_.License.Unencypted, self).__init__()

                        self.yang_name = "Unencypted"
                        self.yang_parent_name = "license"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.hex_string = YLeaf(YType.str, "Hex-string")
                        self._segment_path = lambda: "Unencypted"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.Global_.License.Unencypted, ['hex_string'], name, value)


                class Encrypted(Entity):
                    """
                    Encrypted License
                    
                    .. attribute:: hex_string
                    
                    	66 char encrypted hex key
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.Global_.License.Encrypted, self).__init__()

                        self.yang_name = "Encrypted"
                        self.yang_parent_name = "license"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.hex_string = YLeaf(YType.str, "Hex-string")
                        self._segment_path = lambda: "Encrypted"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.Global_.License.Encrypted, ['hex_string'], name, value)


            class Primary(Entity):
                """
                Primary tower
                
                .. attribute:: tower
                
                	Tower configuration for CWS
                	**type**\:  :py:class:`Tower <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Primary.Tower>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.Global_.Primary, self).__init__()

                    self.yang_name = "primary"
                    self.yang_parent_name = "global"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"tower" : ("tower", Native.ParameterMap.Global_.Primary.Tower)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.tower = Native.ParameterMap.Global_.Primary.Tower()
                    self.tower.parent = self
                    self._children_name_map["tower"] = "tower"
                    self._children_yang_names.add("tower")
                    self._segment_path = lambda: "primary"


                class Tower(Entity):
                    """
                    Tower configuration for CWS
                    
                    .. attribute:: ipv4
                    
                    	IPv4 address of the tower
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: name
                    
                    	Fully Qualified Domain Name of tower
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.Global_.Primary.Tower, self).__init__()

                        self.yang_name = "tower"
                        self.yang_parent_name = "primary"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ipv4 = YLeaf(YType.str, "ipv4")

                        self.name = YLeaf(YType.str, "name")
                        self._segment_path = lambda: "tower"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.Global_.Primary.Tower, ['ipv4', 'name'], name, value)


            class Secondary(Entity):
                """
                Secondary tower
                
                .. attribute:: tower
                
                	Tower configuration for CWS
                	**type**\:  :py:class:`Tower <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Secondary.Tower>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.Global_.Secondary, self).__init__()

                    self.yang_name = "secondary"
                    self.yang_parent_name = "global"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"tower" : ("tower", Native.ParameterMap.Global_.Secondary.Tower)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.tower = Native.ParameterMap.Global_.Secondary.Tower()
                    self.tower.parent = self
                    self._children_name_map["tower"] = "tower"
                    self._children_yang_names.add("tower")
                    self._segment_path = lambda: "secondary"


                class Tower(Entity):
                    """
                    Tower configuration for CWS
                    
                    .. attribute:: ipv4
                    
                    	IPv4 address of the tower
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: name
                    
                    	Fully Qualified Domain Name of tower
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.Global_.Secondary.Tower, self).__init__()

                        self.yang_name = "tower"
                        self.yang_parent_name = "secondary"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ipv4 = YLeaf(YType.str, "ipv4")

                        self.name = YLeaf(YType.str, "name")
                        self._segment_path = lambda: "tower"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.Global_.Secondary.Tower, ['ipv4', 'name'], name, value)


            class Whitelist(Entity):
                """
                Disable redirection to CWS
                Access list (standard) <1\-199>
                Access list (extended) <1300\-2699>
                Access list name
                
                .. attribute:: acl
                
                	Access list
                	**type**\:  :py:class:`Acl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Whitelist.Acl>`
                
                .. attribute:: domain_name
                
                	Domain name based Whitelist
                	**type**\:  :py:class:`DomainName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Whitelist.DomainName>`
                
                .. attribute:: download
                
                	whitelist download command
                	**type**\:  :py:class:`Download <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Global_.Whitelist.Download>`
                
                	**presence node**\: True
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.Global_.Whitelist, self).__init__()

                    self.yang_name = "whitelist"
                    self.yang_parent_name = "global"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"acl" : ("acl", Native.ParameterMap.Global_.Whitelist.Acl), "domain-name" : ("domain_name", Native.ParameterMap.Global_.Whitelist.DomainName), "download" : ("download", Native.ParameterMap.Global_.Whitelist.Download)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.acl = Native.ParameterMap.Global_.Whitelist.Acl()
                    self.acl.parent = self
                    self._children_name_map["acl"] = "acl"
                    self._children_yang_names.add("acl")

                    self.domain_name = Native.ParameterMap.Global_.Whitelist.DomainName()
                    self.domain_name.parent = self
                    self._children_name_map["domain_name"] = "domain-name"
                    self._children_yang_names.add("domain-name")

                    self.download = None
                    self._children_name_map["download"] = "download"
                    self._children_yang_names.add("download")
                    self._segment_path = lambda: "whitelist"


                class Acl(Entity):
                    """
                    Access list
                    
                    .. attribute:: acl_number
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199
                    
                    		**type**\: int
                    
                    			**range:** 1300..2699
                    
                    .. attribute:: name
                    
                    	Access list name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.Global_.Whitelist.Acl, self).__init__()

                        self.yang_name = "acl"
                        self.yang_parent_name = "whitelist"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acl_number = YLeaf(YType.str, "acl-number")

                        self.name = YLeaf(YType.str, "name")
                        self._segment_path = lambda: "acl"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.Global_.Whitelist.Acl, ['acl_number', 'name'], name, value)


                class DomainName(Entity):
                    """
                    Domain name based Whitelist
                    
                    .. attribute:: regex
                    
                    	Domain name regex parameter map
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.Global_.Whitelist.DomainName, self).__init__()

                        self.yang_name = "domain-name"
                        self.yang_parent_name = "whitelist"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.regex = YLeaf(YType.str, "regex")
                        self._segment_path = lambda: "domain-name"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.Global_.Whitelist.DomainName, ['regex'], name, value)


                class Download(Entity):
                    """
                    whitelist download command
                    
                    .. attribute:: interval
                    
                    	Download interval in minutes
                    	**type**\: int
                    
                    	**range:** 5..10080
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.Global_.Whitelist.Download, self).__init__()

                        self.yang_name = "download"
                        self.yang_parent_name = "whitelist"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.interval = YLeaf(YType.uint16, "interval")
                        self._segment_path = lambda: "download"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.Global_.Whitelist.Download, ['interval'], name, value)


        class Icmp(Entity):
            """
            Config timeout values for icmp
            
            .. attribute:: idle_time
            
            	Specify timeout for icmp
            	**type**\: int
            
            	**range:** 1..2147483
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.Icmp, self).__init__()

                self.yang_name = "icmp"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.idle_time = YLeaf(YType.uint32, "idle-time")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:icmp"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ParameterMap.Icmp, ['idle_time'], name, value)


        class Lisp(Entity):
            """
            Turn on LISP options
            
            .. attribute:: inner_packet_inspection
            
            	inner\-packet\-inspection
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.Lisp, self).__init__()

                self.yang_name = "lisp"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.inner_packet_inspection = YLeaf(YType.empty, "inner-packet-inspection")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:lisp"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ParameterMap.Lisp, ['inner_packet_inspection'], name, value)


        class Log(Entity):
            """
            Configure inspect logging parameters
            
            .. attribute:: dropped_packets
            
            	Log dropped packets
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: flow_export
            
            	Configure inspect external logging parameters
            	**type**\:  :py:class:`FlowExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Log.FlowExport>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.Log, self).__init__()

                self.yang_name = "log"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"flow-export" : ("flow_export", Native.ParameterMap.Log.FlowExport)}
                self._child_list_classes = {}

                self.dropped_packets = YLeaf(YType.empty, "dropped-packets")

                self.flow_export = Native.ParameterMap.Log.FlowExport()
                self.flow_export.parent = self
                self._children_name_map["flow_export"] = "flow-export"
                self._children_yang_names.add("flow-export")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:log"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ParameterMap.Log, ['dropped_packets'], name, value)


            class FlowExport(Entity):
                """
                Configure inspect external logging parameters
                
                .. attribute:: template
                
                	Configure record template parameters
                	**type**\:  :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Log.FlowExport.Template>`
                
                .. attribute:: v9
                
                	Netflow version 9
                	**type**\:  :py:class:`V9 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Log.FlowExport.V9>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.Log.FlowExport, self).__init__()

                    self.yang_name = "flow-export"
                    self.yang_parent_name = "log"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"template" : ("template", Native.ParameterMap.Log.FlowExport.Template), "v9" : ("v9", Native.ParameterMap.Log.FlowExport.V9)}
                    self._child_list_classes = {}

                    self.template = Native.ParameterMap.Log.FlowExport.Template()
                    self.template.parent = self
                    self._children_name_map["template"] = "template"
                    self._children_yang_names.add("template")

                    self.v9 = Native.ParameterMap.Log.FlowExport.V9()
                    self.v9.parent = self
                    self._children_name_map["v9"] = "v9"
                    self._children_yang_names.add("v9")
                    self._segment_path = lambda: "flow-export"


                class Template(Entity):
                    """
                    Configure record template parameters
                    
                    .. attribute:: timeout_rate
                    
                    	Rate to resend the template in seconds
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.Log.FlowExport.Template, self).__init__()

                        self.yang_name = "template"
                        self.yang_parent_name = "flow-export"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.timeout_rate = YLeaf(YType.uint32, "timeout-rate")
                        self._segment_path = lambda: "template"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.Log.FlowExport.Template, ['timeout_rate'], name, value)


                class V9(Entity):
                    """
                    Netflow version 9
                    
                    .. attribute:: udp
                    
                    	Use UDP to export records
                    	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Log.FlowExport.V9.Udp>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.Log.FlowExport.V9, self).__init__()

                        self.yang_name = "v9"
                        self.yang_parent_name = "flow-export"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"udp" : ("udp", Native.ParameterMap.Log.FlowExport.V9.Udp)}
                        self._child_list_classes = {}

                        self.udp = Native.ParameterMap.Log.FlowExport.V9.Udp()
                        self.udp.parent = self
                        self._children_name_map["udp"] = "udp"
                        self._children_yang_names.add("udp")
                        self._segment_path = lambda: "v9"


                    class Udp(Entity):
                        """
                        Use UDP to export records
                        
                        .. attribute:: destination
                        
                        	Specify the flow\-export destination
                        	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Log.FlowExport.V9.Udp.Destination>`
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.ParameterMap.Log.FlowExport.V9.Udp, self).__init__()

                            self.yang_name = "udp"
                            self.yang_parent_name = "v9"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"destination" : ("destination", Native.ParameterMap.Log.FlowExport.V9.Udp.Destination)}
                            self._child_list_classes = {}

                            self.destination = Native.ParameterMap.Log.FlowExport.V9.Udp.Destination()
                            self.destination.parent = self
                            self._children_name_map["destination"] = "destination"
                            self._children_yang_names.add("destination")
                            self._segment_path = lambda: "udp"


                        class Destination(Entity):
                            """
                            Specify the flow\-export destination
                            
                            .. attribute:: dst_ip
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: dst_port
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-policy'
                            _revision = '2017-08-21'

                            def __init__(self):
                                super(Native.ParameterMap.Log.FlowExport.V9.Udp.Destination, self).__init__()

                                self.yang_name = "destination"
                                self.yang_parent_name = "udp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dst_ip = YLeaf(YType.str, "dst-ip")

                                self.dst_port = YLeaf(YType.uint16, "dst-port")
                                self._segment_path = lambda: "destination"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.ParameterMap.Log.FlowExport.V9.Udp.Destination, ['dst_ip', 'dst_port'], name, value)


        class MaxIncomplete(Entity):
            """
            Specify maximum number of incomplete connections before clamping
            
            .. attribute:: high
            
            	Specify high\-watermark for clamping
            	**type**\: int
            
            	**range:** 1..2147483647
            
            .. attribute:: low
            
            	Specify low\-watermark for clamping
            	**type**\: int
            
            	**range:** 1..2147483647
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.MaxIncomplete, self).__init__()

                self.yang_name = "max-incomplete"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.high = YLeaf(YType.uint32, "high")

                self.low = YLeaf(YType.uint32, "low")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:max-incomplete"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ParameterMap.MaxIncomplete, ['high', 'low'], name, value)


        class OneMinute(Entity):
            """
            Specify one\-minute\-sample watermarks for clamping
            
            .. attribute:: high
            
            	Specify high\-watermark for clamping
            	**type**\: int
            
            	**range:** 1..2147483647
            
            .. attribute:: low
            
            	Specify low\-watermark for clamping
            	**type**\: int
            
            	**range:** 1..2147483647
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.OneMinute, self).__init__()

                self.yang_name = "one-minute"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.high = YLeaf(YType.uint32, "high")

                self.low = YLeaf(YType.uint32, "low")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:one-minute"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ParameterMap.OneMinute, ['high', 'low'], name, value)


        class Sessions(Entity):
            """
            Maximum number of inspect sessions
            
            .. attribute:: maximum
            
            	Maximum sessions
            	**type**\: int
            
            	**range:** 1..2147483647
            
            .. attribute:: queue
            
            	queue
            	**type**\:  :py:class:`Queue <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.Sessions.Queue>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.Sessions, self).__init__()

                self.yang_name = "sessions"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"queue" : ("queue", Native.ParameterMap.Sessions.Queue)}
                self._child_list_classes = {}

                self.maximum = YLeaf(YType.uint32, "maximum")

                self.queue = Native.ParameterMap.Sessions.Queue()
                self.queue.parent = self
                self._children_name_map["queue"] = "queue"
                self._children_yang_names.add("queue")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:sessions"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ParameterMap.Sessions, ['maximum'], name, value)


            class Queue(Entity):
                """
                queue
                
                .. attribute:: max_threshold
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: min_threshold
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.Sessions.Queue, self).__init__()

                    self.yang_name = "queue"
                    self.yang_parent_name = "sessions"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.max_threshold = YLeaf(YType.uint16, "max-threshold")

                    self.min_threshold = YLeaf(YType.uint16, "min-threshold")
                    self._segment_path = lambda: "queue"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ParameterMap.Sessions.Queue, ['max_threshold', 'min_threshold'], name, value)


        class TcpInspect(Entity):
            """
            
            
            .. attribute:: tcp
            
            	Config timeout values for tcp connections
            	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspect.Tcp>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.TcpInspect, self).__init__()

                self.yang_name = "tcp-inspect"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"tcp" : ("tcp", Native.ParameterMap.TcpInspect.Tcp)}
                self._child_list_classes = {}

                self.tcp = Native.ParameterMap.TcpInspect.Tcp()
                self.tcp.parent = self
                self._children_name_map["tcp"] = "tcp"
                self._children_yang_names.add("tcp")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:tcp-inspect"


            class Tcp(Entity):
                """
                Config timeout values for tcp connections
                
                .. attribute:: finwait_time
                
                	Specify timeout for TCP connections after a FIN
                	**type**\: int
                
                	**range:** 1..2147483
                
                .. attribute:: idle_time
                
                	Specify idle timeout for tcp connections
                	**type**\: int
                
                	**range:** 1..2147483
                
                .. attribute:: max_incomplete
                
                	Specify max half\-open connection per host
                	**type**\:  :py:class:`MaxIncomplete <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspect.Tcp.MaxIncomplete>`
                
                .. attribute:: synwait_time
                
                	Specify timeout for TCP connections after a SYN and no
                	**type**\: int
                
                	**range:** 1..2147483
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.TcpInspect.Tcp, self).__init__()

                    self.yang_name = "tcp"
                    self.yang_parent_name = "tcp-inspect"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"max-incomplete" : ("max_incomplete", Native.ParameterMap.TcpInspect.Tcp.MaxIncomplete)}
                    self._child_list_classes = {}

                    self.finwait_time = YLeaf(YType.uint32, "finwait-time")

                    self.idle_time = YLeaf(YType.uint32, "idle-time")

                    self.synwait_time = YLeaf(YType.uint32, "synwait-time")

                    self.max_incomplete = Native.ParameterMap.TcpInspect.Tcp.MaxIncomplete()
                    self.max_incomplete.parent = self
                    self._children_name_map["max_incomplete"] = "max-incomplete"
                    self._children_yang_names.add("max-incomplete")
                    self._segment_path = lambda: "tcp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ParameterMap.TcpInspect.Tcp, ['finwait_time', 'idle_time', 'synwait_time'], name, value)


                class MaxIncomplete(Entity):
                    """
                    Specify max half\-open connection per host
                    
                    .. attribute:: host
                    
                    	Specify max half\-open connection per host
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.TcpInspect.Tcp.MaxIncomplete, self).__init__()

                        self.yang_name = "max-incomplete"
                        self.yang_parent_name = "tcp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.host = YLeaf(YType.uint32, "host")
                        self._segment_path = lambda: "max-incomplete"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.TcpInspect.Tcp.MaxIncomplete, ['host'], name, value)


        class TcpInspectZone(Entity):
            """
            
            
            .. attribute:: tcp
            
            	Configure tcp syn\-flood per\-destination rate
            	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspectZone.Tcp>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.TcpInspectZone, self).__init__()

                self.yang_name = "tcp-inspect-zone"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"tcp" : ("tcp", Native.ParameterMap.TcpInspectZone.Tcp)}
                self._child_list_classes = {}

                self.tcp = Native.ParameterMap.TcpInspectZone.Tcp()
                self.tcp.parent = self
                self._children_name_map["tcp"] = "tcp"
                self._children_yang_names.add("tcp")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:tcp-inspect-zone"


            class Tcp(Entity):
                """
                Configure tcp syn\-flood per\-destination rate
                
                .. attribute:: syn_flood
                
                	maximum syn packet
                	**type**\:  :py:class:`SynFlood <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspectZone.Tcp.SynFlood>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.TcpInspectZone.Tcp, self).__init__()

                    self.yang_name = "tcp"
                    self.yang_parent_name = "tcp-inspect-zone"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"syn-flood" : ("syn_flood", Native.ParameterMap.TcpInspectZone.Tcp.SynFlood)}
                    self._child_list_classes = {}

                    self.syn_flood = Native.ParameterMap.TcpInspectZone.Tcp.SynFlood()
                    self.syn_flood.parent = self
                    self._children_name_map["syn_flood"] = "syn-flood"
                    self._children_yang_names.add("syn-flood")
                    self._segment_path = lambda: "tcp"


                class SynFlood(Entity):
                    """
                    maximum syn packet
                    
                    .. attribute:: rate
                    
                    	maximum syn packet rate
                    	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.TcpInspectZone.Tcp.SynFlood.Rate>`
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.TcpInspectZone.Tcp.SynFlood, self).__init__()

                        self.yang_name = "syn-flood"
                        self.yang_parent_name = "tcp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"rate" : ("rate", Native.ParameterMap.TcpInspectZone.Tcp.SynFlood.Rate)}
                        self._child_list_classes = {}

                        self.rate = Native.ParameterMap.TcpInspectZone.Tcp.SynFlood.Rate()
                        self.rate.parent = self
                        self._children_name_map["rate"] = "rate"
                        self._children_yang_names.add("rate")
                        self._segment_path = lambda: "syn-flood"


                    class Rate(Entity):
                        """
                        maximum syn packet rate
                        
                        .. attribute:: per_destination
                        
                        	per destination maximum rate of TCP SYN packets
                        	**type**\: int
                        
                        	**range:** 1..1000000000
                        
                        

                        """

                        _prefix = 'ios-policy'
                        _revision = '2017-08-21'

                        def __init__(self):
                            super(Native.ParameterMap.TcpInspectZone.Tcp.SynFlood.Rate, self).__init__()

                            self.yang_name = "rate"
                            self.yang_parent_name = "syn-flood"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.per_destination = YLeaf(YType.uint32, "per-destination")
                            self._segment_path = lambda: "rate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.ParameterMap.TcpInspectZone.Tcp.SynFlood.Rate, ['per_destination'], name, value)


        class ThreatDetection(Entity):
            """
            Configure Threat Detection
            
            .. attribute:: basic_threat
            
            	Enable Threat Detection
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: rate
            
            	Configure Threat Detection rate
            	**type**\:  :py:class:`Rate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ThreatDetection.Rate>`
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.ThreatDetection, self).__init__()

                self.yang_name = "threat-detection"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"rate" : ("rate", Native.ParameterMap.ThreatDetection.Rate)}
                self._child_list_classes = {}

                self.basic_threat = YLeaf(YType.empty, "basic-threat")

                self.rate = Native.ParameterMap.ThreatDetection.Rate()
                self.rate.parent = self
                self._children_name_map["rate"] = "rate"
                self._children_yang_names.add("rate")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:threat-detection"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ParameterMap.ThreatDetection, ['basic_threat'], name, value)


            class Rate(Entity):
                """
                Configure Threat Detection rate
                
                .. attribute:: fw_drop
                
                	Configure Threat Detection rate for firewall drop events
                	**type**\:  :py:class:`FwDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ThreatDetection.Rate.FwDrop>`
                
                .. attribute:: inspect_drop
                
                	Configure Threat Detection rate for firewall inspection based drop events
                	**type**\:  :py:class:`InspectDrop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ThreatDetection.Rate.InspectDrop>`
                
                .. attribute:: syn_attack
                
                	Configure Threat Detection rate for syn attack events
                	**type**\:  :py:class:`SynAttack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.ThreatDetection.Rate.SynAttack>`
                
                

                """

                _prefix = 'ios-policy'
                _revision = '2017-08-21'

                def __init__(self):
                    super(Native.ParameterMap.ThreatDetection.Rate, self).__init__()

                    self.yang_name = "rate"
                    self.yang_parent_name = "threat-detection"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"fw-drop" : ("fw_drop", Native.ParameterMap.ThreatDetection.Rate.FwDrop), "inspect-drop" : ("inspect_drop", Native.ParameterMap.ThreatDetection.Rate.InspectDrop), "syn-attack" : ("syn_attack", Native.ParameterMap.ThreatDetection.Rate.SynAttack)}
                    self._child_list_classes = {}

                    self.fw_drop = Native.ParameterMap.ThreatDetection.Rate.FwDrop()
                    self.fw_drop.parent = self
                    self._children_name_map["fw_drop"] = "fw-drop"
                    self._children_yang_names.add("fw-drop")

                    self.inspect_drop = Native.ParameterMap.ThreatDetection.Rate.InspectDrop()
                    self.inspect_drop.parent = self
                    self._children_name_map["inspect_drop"] = "inspect-drop"
                    self._children_yang_names.add("inspect-drop")

                    self.syn_attack = Native.ParameterMap.ThreatDetection.Rate.SynAttack()
                    self.syn_attack.parent = self
                    self._children_name_map["syn_attack"] = "syn-attack"
                    self._children_yang_names.add("syn-attack")
                    self._segment_path = lambda: "rate"


                class FwDrop(Entity):
                    """
                    Configure Threat Detection rate for firewall drop events
                    
                    .. attribute:: average_time_frame
                    
                    	Configure Threat Detection average time frame
                    	**type**\: int
                    
                    	**range:** 600..3600
                    
                    .. attribute:: average_threshold
                    
                    	Configure Threat Detection average threshold
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: burst_threshold
                    
                    	 Configure Threat Detection burst threshold
                    	**type**\: int
                    
                    	**range:** 1..1000000000
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.ThreatDetection.Rate.FwDrop, self).__init__()

                        self.yang_name = "fw-drop"
                        self.yang_parent_name = "rate"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.average_time_frame = YLeaf(YType.uint32, "average-time-frame")

                        self.average_threshold = YLeaf(YType.uint64, "average-threshold")

                        self.burst_threshold = YLeaf(YType.uint64, "burst-threshold")
                        self._segment_path = lambda: "fw-drop"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.ThreatDetection.Rate.FwDrop, ['average_time_frame', 'average_threshold', 'burst_threshold'], name, value)


                class InspectDrop(Entity):
                    """
                    Configure Threat Detection rate for firewall inspection based drop events
                    
                    .. attribute:: average_time_frame
                    
                    	Configure Threat Detection average time frame
                    	**type**\: int
                    
                    	**range:** 600..3600
                    
                    .. attribute:: average_threshold
                    
                    	Configure Threat Detection average threshold
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: burst_threshold
                    
                    	 Configure Threat Detection burst threshold
                    	**type**\: int
                    
                    	**range:** 1..1000000000
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.ThreatDetection.Rate.InspectDrop, self).__init__()

                        self.yang_name = "inspect-drop"
                        self.yang_parent_name = "rate"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.average_time_frame = YLeaf(YType.uint32, "average-time-frame")

                        self.average_threshold = YLeaf(YType.uint64, "average-threshold")

                        self.burst_threshold = YLeaf(YType.uint64, "burst-threshold")
                        self._segment_path = lambda: "inspect-drop"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.ThreatDetection.Rate.InspectDrop, ['average_time_frame', 'average_threshold', 'burst_threshold'], name, value)


                class SynAttack(Entity):
                    """
                    Configure Threat Detection rate for syn attack events
                    
                    .. attribute:: average_time_frame
                    
                    	Configure Threat Detection average time frame
                    	**type**\: int
                    
                    	**range:** 600..3600
                    
                    .. attribute:: average_threshold
                    
                    	Configure Threat Detection average threshold
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: burst_threshold
                    
                    	 Configure Threat Detection burst threshold
                    	**type**\: int
                    
                    	**range:** 1..1000000000
                    
                    

                    """

                    _prefix = 'ios-policy'
                    _revision = '2017-08-21'

                    def __init__(self):
                        super(Native.ParameterMap.ThreatDetection.Rate.SynAttack, self).__init__()

                        self.yang_name = "syn-attack"
                        self.yang_parent_name = "rate"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.average_time_frame = YLeaf(YType.uint32, "average-time-frame")

                        self.average_threshold = YLeaf(YType.uint64, "average-threshold")

                        self.burst_threshold = YLeaf(YType.uint64, "burst-threshold")
                        self._segment_path = lambda: "syn-attack"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.ThreatDetection.Rate.SynAttack, ['average_time_frame', 'average_threshold', 'burst_threshold'], name, value)


        class Udp(Entity):
            """
            Config timeout values for udp flows
            
            .. attribute:: idle_time
            
            	Specify idle timeout for udp
            	**type**\: int
            
            	**range:** 1..2147483
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.Udp, self).__init__()

                self.yang_name = "udp"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.idle_time = YLeaf(YType.uint32, "idle-time")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:udp"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ParameterMap.Udp, ['idle_time'], name, value)


        class Vrf(Entity):
            """
            vrf binding with parameter map
            
            .. attribute:: name
            
            	
            	**type**\: str
            
            .. attribute:: inspect
            
            	vrf binding with parameter map
            	**type**\: str
            
            

            """

            _prefix = 'ios-policy'
            _revision = '2017-08-21'

            def __init__(self):
                super(Native.ParameterMap.Vrf, self).__init__()

                self.yang_name = "vrf"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.inspect = YLeaf(YType.str, "inspect")
                self._segment_path = lambda: "Cisco-IOS-XE-policy:vrf"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ParameterMap.Vrf, ['name', 'inspect'], name, value)


        class UmbrellaGlobal(Entity):
            """
            umbrella global parameter\-map
            
            .. attribute:: token
            
            	Config umbrella token
            	**type**\: str
            
            .. attribute:: local_domain
            
            	Local domain processing
            	**type**\: union of the below types:
            
            		**type**\: str
            
            .. attribute:: dnscrypt
            
            	Enable DNSCrypt
            	**type**\: bool
            
            .. attribute:: public_key
            
            	DNSCrypt provider public key
            	**type**\: str
            
            .. attribute:: udp_timeout
            
            	Config timeout value for UDP sessions
            	**type**\: int
            
            	**range:** 1..30
            
            .. attribute:: resolver
            
            	Anycast address
            	**type**\:  :py:class:`Resolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.UmbrellaGlobal.Resolver>`
            
            

            """

            _prefix = 'ios-umbrella'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.ParameterMap.UmbrellaGlobal, self).__init__()

                self.yang_name = "umbrella-global"
                self.yang_parent_name = "parameter-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"resolver" : ("resolver", Native.ParameterMap.UmbrellaGlobal.Resolver)}
                self._child_list_classes = {}

                self.token = YLeaf(YType.str, "token")

                self.local_domain = YLeaf(YType.str, "local-domain")

                self.dnscrypt = YLeaf(YType.boolean, "dnscrypt")

                self.public_key = YLeaf(YType.str, "public-key")

                self.udp_timeout = YLeaf(YType.uint8, "udp-timeout")

                self.resolver = Native.ParameterMap.UmbrellaGlobal.Resolver()
                self.resolver.parent = self
                self._children_name_map["resolver"] = "resolver"
                self._children_yang_names.add("resolver")
                self._segment_path = lambda: "Cisco-IOS-XE-umbrella:umbrella-global"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ParameterMap.UmbrellaGlobal, ['token', 'local_domain', 'dnscrypt', 'public_key', 'udp_timeout'], name, value)


            class Resolver(Entity):
                """
                Anycast address
                
                .. attribute:: ipv4
                
                	IPv4 anycast address
                	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.UmbrellaGlobal.Resolver.Ipv4>`
                
                .. attribute:: ipv6
                
                	IPv6 anycast address
                	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ParameterMap.UmbrellaGlobal.Resolver.Ipv6>`
                
                

                """

                _prefix = 'ios-umbrella'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.ParameterMap.UmbrellaGlobal.Resolver, self).__init__()

                    self.yang_name = "resolver"
                    self.yang_parent_name = "umbrella-global"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"ipv4" : ("ipv4", Native.ParameterMap.UmbrellaGlobal.Resolver.Ipv4), "ipv6" : ("ipv6", Native.ParameterMap.UmbrellaGlobal.Resolver.Ipv6)}

                    self.ipv4 = YList(self)
                    self.ipv6 = YList(self)
                    self._segment_path = lambda: "resolver"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ParameterMap.UmbrellaGlobal.Resolver, [], name, value)


                class Ipv4(Entity):
                    """
                    IPv4 anycast address
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-umbrella'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.ParameterMap.UmbrellaGlobal.Resolver.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "resolver"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")
                        self._segment_path = lambda: "ipv4" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.UmbrellaGlobal.Resolver.Ipv4, ['address'], name, value)


                class Ipv6(Entity):
                    """
                    IPv6 anycast address
                    
                    .. attribute:: address  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-umbrella'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.ParameterMap.UmbrellaGlobal.Resolver.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "resolver"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")
                        self._segment_path = lambda: "ipv6" + "[address='" + self.address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ParameterMap.UmbrellaGlobal.Resolver.Ipv6, ['address'], name, value)


    class Ppp(Entity):
        """
        PPP global configuration
        
        .. attribute:: packet
        
        	Configure control packet rate throttling
        	**type**\:  :py:class:`Packet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ppp.Packet>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Ppp, self).__init__()

            self.yang_name = "ppp"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-ppp:packet" : ("packet", Native.Ppp.Packet)}
            self._child_list_classes = {}

            self.packet = Native.Ppp.Packet()
            self.packet.parent = self
            self._children_name_map["packet"] = "packet"
            self._children_yang_names.add("packet")
            self._segment_path = lambda: "ppp"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Packet(Entity):
            """
            Configure control packet rate throttling
            
            .. attribute:: throttle
            
            	Configure control packet rate throttling
            	**type**\: int
            
            	**range:** 1..100000
            
            .. attribute:: allow_time
            
            	
            	**type**\: int
            
            	**range:** 1..3600
            
            .. attribute:: block_time
            
            	
            	**type**\: int
            
            	**range:** 2..3600
            
            

            """

            _prefix = 'ios-ppp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ppp.Packet, self).__init__()

                self.yang_name = "packet"
                self.yang_parent_name = "ppp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.throttle = YLeaf(YType.uint32, "throttle")

                self.allow_time = YLeaf(YType.uint32, "allow_time")

                self.block_time = YLeaf(YType.uint32, "block_time")
                self._segment_path = lambda: "Cisco-IOS-XE-ppp:packet"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ppp/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ppp.Packet, ['throttle', 'allow_time', 'block_time'], name, value)


    class Mac(Entity):
        """
        Global MAC configuration subcommands
        
        .. attribute:: address_table
        
        	Configure the MAC address table
        	**type**\:  :py:class:`AddressTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable>`
        
        .. attribute:: access_list
        
        	Named access\-list
        	**type**\:  :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Mac, self).__init__()

            self.yang_name = "mac"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"address-table" : ("address_table", Native.Mac.AddressTable), "Cisco-IOS-XE-acl:access-list" : ("access_list", Native.Mac.AccessList)}
            self._child_list_classes = {}

            self.address_table = Native.Mac.AddressTable()
            self.address_table.parent = self
            self._children_name_map["address_table"] = "address-table"
            self._children_yang_names.add("address-table")

            self.access_list = Native.Mac.AccessList()
            self.access_list.parent = self
            self._children_name_map["access_list"] = "access-list"
            self._children_yang_names.add("access-list")
            self._segment_path = lambda: "mac"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class AddressTable(Entity):
            """
            Configure the MAC address table
            
            .. attribute:: aging_time
            
            	Set MAC address table entry maximum age
            	**type**\:  :py:class:`AgingTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable.AgingTime>`
            
            .. attribute:: control_packet_learn
            
            	Enable/Disable learning from Control Packets
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: learning
            
            	Enable MAC table learning feature
            	**type**\:  :py:class:`Learning <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable.Learning>`
            
            .. attribute:: notification
            
            	Enable/Disable MAC Notification on the switch
            	**type**\:  :py:class:`Notification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable.Notification>`
            
            .. attribute:: static
            
            	Static MAC entry
            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable.Static>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Mac.AddressTable, self).__init__()

                self.yang_name = "address-table"
                self.yang_parent_name = "mac"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"aging-time" : ("aging_time", Native.Mac.AddressTable.AgingTime), "learning" : ("learning", Native.Mac.AddressTable.Learning), "notification" : ("notification", Native.Mac.AddressTable.Notification), "static" : ("static", Native.Mac.AddressTable.Static)}
                self._child_list_classes = {}

                self.control_packet_learn = YLeaf(YType.empty, "control-packet-learn")

                self.aging_time = Native.Mac.AddressTable.AgingTime()
                self.aging_time.parent = self
                self._children_name_map["aging_time"] = "aging-time"
                self._children_yang_names.add("aging-time")

                self.learning = Native.Mac.AddressTable.Learning()
                self.learning.parent = self
                self._children_name_map["learning"] = "learning"
                self._children_yang_names.add("learning")

                self.notification = Native.Mac.AddressTable.Notification()
                self.notification.parent = self
                self._children_name_map["notification"] = "notification"
                self._children_yang_names.add("notification")

                self.static = Native.Mac.AddressTable.Static()
                self.static.parent = self
                self._children_name_map["static"] = "static"
                self._children_yang_names.add("static")
                self._segment_path = lambda: "address-table"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Mac.AddressTable, ['control_packet_learn'], name, value)


            class AgingTime(Entity):
                """
                Set MAC address table entry maximum age
                
                .. attribute:: val
                
                	
                	**type**\: int
                
                	**range:** 0..None \| 10..1000000
                
                .. attribute:: routed_mac
                
                	Set RM Aging interval
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	VLAN Keyword
                	**type**\: int
                
                	**range:** 1..4094
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Mac.AddressTable.AgingTime, self).__init__()

                    self.yang_name = "aging-time"
                    self.yang_parent_name = "address-table"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.val = YLeaf(YType.uint32, "val")

                    self.routed_mac = YLeaf(YType.empty, "routed-mac")

                    self.vlan = YLeaf(YType.uint16, "vlan")
                    self._segment_path = lambda: "aging-time"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac/address-table/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mac.AddressTable.AgingTime, ['val', 'routed_mac', 'vlan'], name, value)


            class Learning(Entity):
                """
                Enable MAC table learning feature
                
                .. attribute:: vlan
                
                	<1\-4094>;;VLAN id to enable MAC Address learning
                	**type**\: int
                
                	**range:** 1..4094
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Mac.AddressTable.Learning, self).__init__()

                    self.yang_name = "learning"
                    self.yang_parent_name = "address-table"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.vlan = YLeaf(YType.uint16, "vlan")
                    self._segment_path = lambda: "learning"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac/address-table/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mac.AddressTable.Learning, ['vlan'], name, value)


            class Notification(Entity):
                """
                Enable/Disable MAC Notification on the switch
                
                .. attribute:: change
                
                	Enable/Disable MAC Notification feature on the switch
                	**type**\:  :py:class:`Change <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable.Notification.Change>`
                
                	**presence node**\: True
                
                .. attribute:: mac_move
                
                	Enable Mac Move Notification
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: threshold
                
                	Configure L2 Table monitoring
                	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable.Notification.Threshold>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Mac.AddressTable.Notification, self).__init__()

                    self.yang_name = "notification"
                    self.yang_parent_name = "address-table"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"change" : ("change", Native.Mac.AddressTable.Notification.Change), "threshold" : ("threshold", Native.Mac.AddressTable.Notification.Threshold)}
                    self._child_list_classes = {}

                    self.mac_move = YLeaf(YType.empty, "mac-move")

                    self.change = None
                    self._children_name_map["change"] = "change"
                    self._children_yang_names.add("change")

                    self.threshold = None
                    self._children_name_map["threshold"] = "threshold"
                    self._children_yang_names.add("threshold")
                    self._segment_path = lambda: "notification"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac/address-table/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mac.AddressTable.Notification, ['mac_move'], name, value)


                class Change(Entity):
                    """
                    Enable/Disable MAC Notification feature on the switch
                    
                    .. attribute:: history_size
                    
                    	Number of entries in history table (0\-500)
                    	**type**\: int
                    
                    	**range:** 0..500
                    
                    .. attribute:: interval
                    
                    	Notification interval in seconds (0\-2147483647)
                    	**type**\: int
                    
                    	**range:** 0..2147483647
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Mac.AddressTable.Notification.Change, self).__init__()

                        self.yang_name = "change"
                        self.yang_parent_name = "notification"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.history_size = YLeaf(YType.uint16, "history-size")

                        self.interval = YLeaf(YType.uint32, "interval")
                        self._segment_path = lambda: "change"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac/address-table/notification/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mac.AddressTable.Notification.Change, ['history_size', 'interval'], name, value)


                class Threshold(Entity):
                    """
                    Configure L2 Table monitoring
                    
                    .. attribute:: interval
                    
                    	<120\-1000000> Interval time in seconds
                    	**type**\: int
                    
                    	**range:** 120..1000000
                    
                    .. attribute:: limit
                    
                    	Limit percentage
                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AddressTable.Notification.Threshold.Limit>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Mac.AddressTable.Notification.Threshold, self).__init__()

                        self.yang_name = "threshold"
                        self.yang_parent_name = "notification"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"limit" : ("limit", Native.Mac.AddressTable.Notification.Threshold.Limit)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.interval = YLeaf(YType.uint32, "interval")

                        self.limit = Native.Mac.AddressTable.Notification.Threshold.Limit()
                        self.limit.parent = self
                        self._children_name_map["limit"] = "limit"
                        self._children_yang_names.add("limit")
                        self._segment_path = lambda: "threshold"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac/address-table/notification/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mac.AddressTable.Notification.Threshold, ['interval'], name, value)


                    class Limit(Entity):
                        """
                        Limit percentage
                        
                        .. attribute:: percentage
                        
                        	Percentage (0\-100)
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        .. attribute:: interval
                        
                        	<120\-1000000> Interval time in seconds
                        	**type**\: int
                        
                        	**range:** 120..1000000
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Mac.AddressTable.Notification.Threshold.Limit, self).__init__()

                            self.yang_name = "limit"
                            self.yang_parent_name = "threshold"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.percentage = YLeaf(YType.uint8, "percentage")

                            self.interval = YLeaf(YType.uint32, "interval")
                            self._segment_path = lambda: "limit"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac/address-table/notification/threshold/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mac.AddressTable.Notification.Threshold.Limit, ['percentage', 'interval'], name, value)


            class Static(Entity):
                """
                Static MAC entry
                
                .. attribute:: mac_address
                
                	xxxx.xxxx.xxxx 48 bit mac address
                	**type**\: str
                
                	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                
                .. attribute:: vlan
                
                	<1\-4094> VLAN id of mac address table (1\-4094)
                	**type**\: int
                
                	**range:** 1..4094
                
                .. attribute:: drop
                
                	drop frames
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	Output interface exact long name
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Mac.AddressTable.Static, self).__init__()

                    self.yang_name = "static"
                    self.yang_parent_name = "address-table"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mac_address = YLeaf(YType.str, "mac-address")

                    self.vlan = YLeaf(YType.uint16, "vlan")

                    self.drop = YLeaf(YType.empty, "drop")

                    self.interface = YLeaf(YType.str, "interface")
                    self._segment_path = lambda: "static"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac/address-table/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mac.AddressTable.Static, ['mac_address', 'vlan', 'drop', 'interface'], name, value)


        class AccessList(Entity):
            """
            Named access\-list
            
            .. attribute:: extended
            
            	Extended Access List
            	**type**\: list of  		 :py:class:`Extended <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended>`
            
            

            """

            _prefix = 'ios-acl'
            _revision = '2017-08-01'

            def __init__(self):
                super(Native.Mac.AccessList, self).__init__()

                self.yang_name = "access-list"
                self.yang_parent_name = "mac"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"extended" : ("extended", Native.Mac.AccessList.Extended)}

                self.extended = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-acl:access-list"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Mac.AccessList, [], name, value)


            class Extended(Entity):
                """
                Extended Access List
                
                .. attribute:: id  <key>
                
                	
                	**type**\: str
                
                .. attribute:: deny
                
                	Specify packets to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended.Deny>`
                
                .. attribute:: permit
                
                	Specify packets to forward
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended.Permit>`
                
                

                """

                _prefix = 'ios-acl'
                _revision = '2017-08-01'

                def __init__(self):
                    super(Native.Mac.AccessList.Extended, self).__init__()

                    self.yang_name = "extended"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"deny" : ("deny", Native.Mac.AccessList.Extended.Deny), "permit" : ("permit", Native.Mac.AccessList.Extended.Permit)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.deny = Native.Mac.AccessList.Extended.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")

                    self.permit = Native.Mac.AccessList.Extended.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")
                    self._segment_path = lambda: "extended" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mac/Cisco-IOS-XE-acl:access-list/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mac.AccessList.Extended, ['id'], name, value)


                class Deny(Entity):
                    """
                    Specify packets to reject
                    
                    .. attribute:: source
                    
                    	
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended.Deny.Source>`
                    
                    .. attribute:: dest
                    
                    	
                    	**type**\:  :py:class:`Dest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended.Deny.Dest>`
                    
                    .. attribute:: ethertype
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-08-01'

                    def __init__(self):
                        super(Native.Mac.AccessList.Extended.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "extended"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Mac.AccessList.Extended.Deny.Source), "dest" : ("dest", Native.Mac.AccessList.Extended.Deny.Dest)}
                        self._child_list_classes = {}

                        self.ethertype = YLeaf(YType.str, "ethertype")

                        self.source = Native.Mac.AccessList.Extended.Deny.Source()
                        self.source.parent = self
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.dest = Native.Mac.AccessList.Extended.Deny.Dest()
                        self.dest.parent = self
                        self._children_name_map["dest"] = "dest"
                        self._children_yang_names.add("dest")
                        self._segment_path = lambda: "deny"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mac.AccessList.Extended.Deny, ['ethertype'], name, value)


                    class Source(Entity):
                        """
                        
                        
                        .. attribute:: any
                        
                        	any source MAC address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: host
                        
                        	A single source host
                        	**type**\: str
                        
                        .. attribute:: mac_address
                        
                        	48\-bit source MAC address
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Mac.AccessList.Extended.Deny.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.any = YLeaf(YType.empty, "any")

                            self.host = YLeaf(YType.str, "host")

                            self.mac_address = YLeaf(YType.str, "mac-address")
                            self._segment_path = lambda: "source"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mac.AccessList.Extended.Deny.Source, ['any', 'host', 'mac_address'], name, value)


                    class Dest(Entity):
                        """
                        
                        
                        .. attribute:: any
                        
                        	any destination MAC address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: host
                        
                        	A single destination host
                        	**type**\: str
                        
                        .. attribute:: mac_address
                        
                        	48\-bit destination MAC address
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Mac.AccessList.Extended.Deny.Dest, self).__init__()

                            self.yang_name = "dest"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.any = YLeaf(YType.empty, "any")

                            self.host = YLeaf(YType.str, "host")

                            self.mac_address = YLeaf(YType.str, "mac-address")
                            self._segment_path = lambda: "dest"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mac.AccessList.Extended.Deny.Dest, ['any', 'host', 'mac_address'], name, value)


                class Permit(Entity):
                    """
                    Specify packets to forward
                    
                    .. attribute:: source
                    
                    	
                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended.Permit.Source>`
                    
                    .. attribute:: dest
                    
                    	
                    	**type**\:  :py:class:`Dest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mac.AccessList.Extended.Permit.Dest>`
                    
                    .. attribute:: ethertype
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-acl'
                    _revision = '2017-08-01'

                    def __init__(self):
                        super(Native.Mac.AccessList.Extended.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "extended"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"source" : ("source", Native.Mac.AccessList.Extended.Permit.Source), "dest" : ("dest", Native.Mac.AccessList.Extended.Permit.Dest)}
                        self._child_list_classes = {}

                        self.ethertype = YLeaf(YType.str, "ethertype")

                        self.source = Native.Mac.AccessList.Extended.Permit.Source()
                        self.source.parent = self
                        self._children_name_map["source"] = "source"
                        self._children_yang_names.add("source")

                        self.dest = Native.Mac.AccessList.Extended.Permit.Dest()
                        self.dest.parent = self
                        self._children_name_map["dest"] = "dest"
                        self._children_yang_names.add("dest")
                        self._segment_path = lambda: "permit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mac.AccessList.Extended.Permit, ['ethertype'], name, value)


                    class Source(Entity):
                        """
                        
                        
                        .. attribute:: any
                        
                        	any source MAC address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: host
                        
                        	A single source host
                        	**type**\: str
                        
                        .. attribute:: mac_address
                        
                        	48\-bit source MAC address
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Mac.AccessList.Extended.Permit.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.any = YLeaf(YType.empty, "any")

                            self.host = YLeaf(YType.str, "host")

                            self.mac_address = YLeaf(YType.str, "mac-address")
                            self._segment_path = lambda: "source"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mac.AccessList.Extended.Permit.Source, ['any', 'host', 'mac_address'], name, value)


                    class Dest(Entity):
                        """
                        
                        
                        .. attribute:: any
                        
                        	any destination MAC address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: host
                        
                        	A single destination host
                        	**type**\: str
                        
                        .. attribute:: mac_address
                        
                        	48\-bit destination MAC address
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-acl'
                        _revision = '2017-08-01'

                        def __init__(self):
                            super(Native.Mac.AccessList.Extended.Permit.Dest, self).__init__()

                            self.yang_name = "dest"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.any = YLeaf(YType.empty, "any")

                            self.host = YLeaf(YType.str, "host")

                            self.mac_address = YLeaf(YType.str, "mac-address")
                            self._segment_path = lambda: "dest"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mac.AccessList.Extended.Permit.Dest, ['any', 'host', 'mac_address'], name, value)


    class Tacacs(Entity):
        """
        TACACS server configuration command
        
        .. attribute:: server
        
        	Server configuration
        	**type**\: list of  		 :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Tacacs.Server>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Tacacs, self).__init__()

            self.yang_name = "tacacs"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-aaa:server" : ("server", Native.Tacacs.Server)}

            self.server = YList(self)
            self._segment_path = lambda: "tacacs"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Tacacs, [], name, value)


        class Server(Entity):
            """
            Server configuration
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: address
            
            	Specify ip address for tacacs server
            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Tacacs.Server.Address>`
            
            .. attribute:: key
            
            	per\-server encryption key (overrides default)
            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Tacacs.Server.Key>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Tacacs.Server, self).__init__()

                self.yang_name = "server"
                self.yang_parent_name = "tacacs"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"address" : ("address", Native.Tacacs.Server.Address), "key" : ("key", Native.Tacacs.Server.Key)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.address = Native.Tacacs.Server.Address()
                self.address.parent = self
                self._children_name_map["address"] = "address"
                self._children_yang_names.add("address")

                self.key = Native.Tacacs.Server.Key()
                self.key.parent = self
                self._children_name_map["key"] = "key"
                self._children_yang_names.add("key")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:server" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/tacacs/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Tacacs.Server, ['name'], name, value)


            class Address(Entity):
                """
                Specify ip address for tacacs server
                
                .. attribute:: ipv4
                
                	Configure ipv4 address for tacacs server
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Tacacs.Server.Address, self).__init__()

                    self.yang_name = "address"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ipv4 = YLeaf(YType.str, "ipv4")
                    self._segment_path = lambda: "address"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Tacacs.Server.Address, ['ipv4'], name, value)


            class Key(Entity):
                """
                per\-server encryption key (overrides default)
                
                .. attribute:: encryption
                
                	
                	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Tacacs.Server.Key.Encryption>`
                
                .. attribute:: key
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Tacacs.Server.Key, self).__init__()

                    self.yang_name = "key"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.encryption = YLeaf(YType.enumeration, "encryption")

                    self.key = YLeaf(YType.str, "key")
                    self._segment_path = lambda: "key"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Tacacs.Server.Key, ['encryption', 'key'], name, value)

                class Encryption(Enum):
                    """
                    Encryption

                    .. data:: Y_0 = 0

                    .. data:: Y_7 = 1

                    """

                    Y_0 = Enum.YLeaf(0, "0")

                    Y_7 = Enum.YLeaf(1, "7")



    class TacacsServer(Entity):
        """
        Modify TACACS query parameters
        
        .. attribute:: host
        
        	Specify a TACACS server
        	**type**\: list of  		 :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TacacsServer.Host>`
        
        .. attribute:: timeout
        
        	Time to wait for a TACACS server to reply
        	**type**\: int
        
        	**range:** 1..1000
        
        .. attribute:: directed_request
        
        	Allow user to specify tacacs server to use with `@server'
        	**type**\:  :py:class:`DirectedRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TacacsServer.DirectedRequest>`
        
        	**presence node**\: True
        
        .. attribute:: key
        
        	Set TACACS+ encryption key
        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TacacsServer.Key>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.TacacsServer, self).__init__()

            self.yang_name = "tacacs-server"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-aaa:directed-request" : ("directed_request", Native.TacacsServer.DirectedRequest), "Cisco-IOS-XE-aaa:key" : ("key", Native.TacacsServer.Key)}
            self._child_list_classes = {"Cisco-IOS-XE-aaa:host" : ("host", Native.TacacsServer.Host)}

            self.timeout = YLeaf(YType.uint16, "Cisco-IOS-XE-aaa:timeout")

            self.directed_request = None
            self._children_name_map["directed_request"] = "directed-request"
            self._children_yang_names.add("directed-request")

            self.key = Native.TacacsServer.Key()
            self.key.parent = self
            self._children_name_map["key"] = "key"
            self._children_yang_names.add("key")

            self.host = YList(self)
            self._segment_path = lambda: "tacacs-server"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.TacacsServer, ['timeout'], name, value)


        class Host(Entity):
            """
            Specify a TACACS server
            
            .. attribute:: name  <key>
            
            	
            	**type**\: union of the below types:
            
            		**type**\: str
            
            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            		**type**\: str
            
            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
            
            		**type**\: str
            
            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
            
            .. attribute:: port
            
            	TCP port for TACACS+ server (default is 49)
            	**type**\: int
            
            	**range:** 1..65535
            
            .. attribute:: key
            
            	Set TACACS+ encryption key
            	**type**\: union of the below types:
            
            		**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TacacsServer.Host.Key>`
            
            		**type**\: str
            
            .. attribute:: encryption_key
            
            	
            	**type**\: str
            
            .. attribute:: timeout
            
            	Time to wait for this TACACS server to reply (overrides default)
            	**type**\: int
            
            	**range:** 1..1000
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.TacacsServer.Host, self).__init__()

                self.yang_name = "host"
                self.yang_parent_name = "tacacs-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.port = YLeaf(YType.uint16, "port")

                self.key = YLeaf(YType.str, "key")

                self.encryption_key = YLeaf(YType.str, "encryption-key")

                self.timeout = YLeaf(YType.uint16, "timeout")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:host" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/tacacs-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.TacacsServer.Host, ['name', 'port', 'key', 'encryption_key', 'timeout'], name, value)

            class Key(Enum):
                """
                Key

                Set TACACS+ encryption key.

                .. data:: Y_0 = 0

                .. data:: Y_7 = 1

                """

                Y_0 = Enum.YLeaf(0, "0")

                Y_7 = Enum.YLeaf(1, "7")



        class DirectedRequest(Entity):
            """
            Allow user to specify tacacs server to use with `@server'
            
            .. attribute:: restricted
            
            	restrict queries to directed request servers only
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: no_truncate
            
            	Do not truncate the @hostname from username
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.TacacsServer.DirectedRequest, self).__init__()

                self.yang_name = "directed-request"
                self.yang_parent_name = "tacacs-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.restricted = YLeaf(YType.empty, "restricted")

                self.no_truncate = YLeaf(YType.empty, "no-truncate")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:directed-request"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/tacacs-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.TacacsServer.DirectedRequest, ['restricted', 'no_truncate'], name, value)


        class Key(Entity):
            """
            Set TACACS+ encryption key.
            
            .. attribute:: encryption
            
            	
            	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TacacsServer.Key.Encryption>`
            
            .. attribute:: key
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.TacacsServer.Key, self).__init__()

                self.yang_name = "key"
                self.yang_parent_name = "tacacs-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.encryption = YLeaf(YType.enumeration, "encryption")

                self.key = YLeaf(YType.str, "key")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:key"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/tacacs-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.TacacsServer.Key, ['encryption', 'key'], name, value)

            class Encryption(Enum):
                """
                Encryption

                .. data:: Y_0 = 0

                .. data:: Y_7 = 1

                """

                Y_0 = Enum.YLeaf(0, "0")

                Y_7 = Enum.YLeaf(1, "7")



    class Software(Entity):
        """
        Configure software installation parameters
        
        .. attribute:: auto_upgrade
        
        	Configure software auto upgrade parameters
        	**type**\:  :py:class:`AutoUpgrade <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Software.AutoUpgrade>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Software, self).__init__()

            self.yang_name = "software"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"auto-upgrade" : ("auto_upgrade", Native.Software.AutoUpgrade)}
            self._child_list_classes = {}

            self.auto_upgrade = Native.Software.AutoUpgrade()
            self.auto_upgrade.parent = self
            self._children_name_map["auto_upgrade"] = "auto-upgrade"
            self._children_yang_names.add("auto-upgrade")
            self._segment_path = lambda: "software"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class AutoUpgrade(Entity):
            """
            Configure software auto upgrade parameters
            
            .. attribute:: enable
            
            	Enable the auto upgrade installation feature
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Software.AutoUpgrade, self).__init__()

                self.yang_name = "auto-upgrade"
                self.yang_parent_name = "software"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.enable = YLeaf(YType.empty, "enable")
                self._segment_path = lambda: "auto-upgrade"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/software/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Software.AutoUpgrade, ['enable'], name, value)


    class Upgrade(Entity):
        """
        Global upgrade configuration subcommands
        
        .. attribute:: fpd
        
        	Configure field programmable devices upgrade options
        	**type**\:  :py:class:`Fpd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Upgrade.Fpd>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Upgrade, self).__init__()

            self.yang_name = "upgrade"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"fpd" : ("fpd", Native.Upgrade.Fpd)}
            self._child_list_classes = {}

            self.fpd = Native.Upgrade.Fpd()
            self.fpd.parent = self
            self._children_name_map["fpd"] = "fpd"
            self._children_yang_names.add("fpd")
            self._segment_path = lambda: "upgrade"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Fpd(Entity):
            """
            Configure field programmable devices upgrade options
            
            .. attribute:: auto
            
            	Auto upgrade all FPD images
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: path
            
            	Set path to locate the FPD image package file for auto upgrade
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Upgrade.Fpd, self).__init__()

                self.yang_name = "fpd"
                self.yang_parent_name = "upgrade"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.auto = YLeaf(YType.empty, "auto")

                self.path = YLeaf(YType.str, "path")
                self._segment_path = lambda: "fpd"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/upgrade/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Upgrade.Fpd, ['auto', 'path'], name, value)


    class Vtp(Entity):
        """
        Configure global VTP state
        
        .. attribute:: file
        
        	Configure IFS filesystem file where VTP configuration is stored
        	**type**\: str
        
        .. attribute:: interface
        
        	Configure Interface as the preferred source for the VTP IP updater address
        	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Interface>`
        
        .. attribute:: password
        
        	Set the password for the VTP administrative domain
        	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Password>`
        
        .. attribute:: pruning
        
        	Set the adminstrative domain to permit pruning
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: version
        
        	Set the adminstrative domain to VTP version
        	**type**\: int
        
        	**range:** 1..3
        
        .. attribute:: domain
        
        	Set the name of the VTP administrative domain
        	**type**\: str
        
        .. attribute:: mode
        
        	Configure VTP device mode
        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Mode>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Vtp, self).__init__()

            self.yang_name = "vtp"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-vtp:interface" : ("interface", Native.Vtp.Interface), "Cisco-IOS-XE-vtp:password" : ("password", Native.Vtp.Password), "Cisco-IOS-XE-vtp:mode" : ("mode", Native.Vtp.Mode)}
            self._child_list_classes = {}

            self.file = YLeaf(YType.str, "Cisco-IOS-XE-vtp:file")

            self.pruning = YLeaf(YType.empty, "Cisco-IOS-XE-vtp:pruning")

            self.version = YLeaf(YType.uint8, "Cisco-IOS-XE-vtp:version")

            self.domain = YLeaf(YType.str, "Cisco-IOS-XE-vtp:domain")

            self.interface = Native.Vtp.Interface()
            self.interface.parent = self
            self._children_name_map["interface"] = "interface"
            self._children_yang_names.add("interface")

            self.password = Native.Vtp.Password()
            self.password.parent = self
            self._children_name_map["password"] = "password"
            self._children_yang_names.add("password")

            self.mode = Native.Vtp.Mode()
            self.mode.parent = self
            self._children_name_map["mode"] = "mode"
            self._children_yang_names.add("mode")
            self._segment_path = lambda: "vtp"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Vtp, ['file', 'pruning', 'version', 'domain'], name, value)


        class Interface(Entity):
            """
            Configure Interface as the preferred source for the VTP IP updater address
            
            .. attribute:: interface_name
            
            	The name of the interface providing the VTP updater ID for this device
            	**type**\: str
            
            .. attribute:: only
            
            	Use only this interface's IP address as the VTP IP updater address
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-vtp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Vtp.Interface, self).__init__()

                self.yang_name = "interface"
                self.yang_parent_name = "vtp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.interface_name = YLeaf(YType.str, "interface-name")

                self.only = YLeaf(YType.empty, "only")
                self._segment_path = lambda: "Cisco-IOS-XE-vtp:interface"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vtp/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Vtp.Interface, ['interface_name', 'only'], name, value)


        class Password(Entity):
            """
            Set the password for the VTP administrative domain
            
            .. attribute:: password
            
            	The ascii password for the VTP administrative domain
            	**type**\: str
            
            .. attribute:: hidden
            
            	Set the VTP password hidden option
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: secret
            
            	Specify the vtp password in encrypted form
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-vtp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Vtp.Password, self).__init__()

                self.yang_name = "password"
                self.yang_parent_name = "vtp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.password = YLeaf(YType.str, "password")

                self.hidden = YLeaf(YType.empty, "hidden")

                self.secret = YLeaf(YType.empty, "secret")
                self._segment_path = lambda: "Cisco-IOS-XE-vtp:password"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vtp/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Vtp.Password, ['password', 'hidden', 'secret'], name, value)


        class Mode(Entity):
            """
            Configure VTP device mode
            
            .. attribute:: client
            
            	Set the device to client mode
            	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Mode.Client>`
            
            	**presence node**\: True
            
            .. attribute:: off
            
            	Set the device to off mode
            	**type**\:  :py:class:`Off <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Mode.Off>`
            
            	**presence node**\: True
            
            .. attribute:: server
            
            	Set the device to server mode
            	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Mode.Server>`
            
            	**presence node**\: True
            
            .. attribute:: transparent
            
            	Set the device to transparent mode
            	**type**\:  :py:class:`Transparent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vtp.Mode.Transparent>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-vtp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Vtp.Mode, self).__init__()

                self.yang_name = "mode"
                self.yang_parent_name = "vtp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"client" : ("client", Native.Vtp.Mode.Client), "off" : ("off", Native.Vtp.Mode.Off), "server" : ("server", Native.Vtp.Mode.Server), "transparent" : ("transparent", Native.Vtp.Mode.Transparent)}
                self._child_list_classes = {}

                self.client = None
                self._children_name_map["client"] = "client"
                self._children_yang_names.add("client")

                self.off = None
                self._children_name_map["off"] = "off"
                self._children_yang_names.add("off")

                self.server = None
                self._children_name_map["server"] = "server"
                self._children_yang_names.add("server")

                self.transparent = None
                self._children_name_map["transparent"] = "transparent"
                self._children_yang_names.add("transparent")
                self._segment_path = lambda: "Cisco-IOS-XE-vtp:mode"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vtp/%s" % self._segment_path()


            class Client(Entity):
                """
                Set the device to client mode
                
                .. attribute:: mst
                
                	Set the mode for MST VTP instance
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: unknown
                
                	Set the mode for unknown VTP instances
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Set the mode for VLAN VTP instance
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-vtp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Vtp.Mode.Client, self).__init__()

                    self.yang_name = "client"
                    self.yang_parent_name = "mode"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.mst = YLeaf(YType.empty, "mst")

                    self.unknown = YLeaf(YType.empty, "unknown")

                    self.vlan = YLeaf(YType.empty, "vlan")
                    self._segment_path = lambda: "client"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vtp/Cisco-IOS-XE-vtp:mode/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Vtp.Mode.Client, ['mst', 'unknown', 'vlan'], name, value)


            class Off(Entity):
                """
                Set the device to off mode
                
                .. attribute:: mst
                
                	Set the mode for MST VTP instance
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: unknown
                
                	Set the mode for unknown VTP instances
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Set the mode for VLAN VTP instance
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-vtp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Vtp.Mode.Off, self).__init__()

                    self.yang_name = "off"
                    self.yang_parent_name = "mode"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.mst = YLeaf(YType.empty, "mst")

                    self.unknown = YLeaf(YType.empty, "unknown")

                    self.vlan = YLeaf(YType.empty, "vlan")
                    self._segment_path = lambda: "off"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vtp/Cisco-IOS-XE-vtp:mode/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Vtp.Mode.Off, ['mst', 'unknown', 'vlan'], name, value)


            class Server(Entity):
                """
                Set the device to server mode
                
                .. attribute:: mst
                
                	Set the mode for MST VTP instance
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: unknown
                
                	Set the mode for unknown VTP instances
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Set the mode for VLAN VTP instance
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-vtp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Vtp.Mode.Server, self).__init__()

                    self.yang_name = "server"
                    self.yang_parent_name = "mode"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.mst = YLeaf(YType.empty, "mst")

                    self.unknown = YLeaf(YType.empty, "unknown")

                    self.vlan = YLeaf(YType.empty, "vlan")
                    self._segment_path = lambda: "server"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vtp/Cisco-IOS-XE-vtp:mode/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Vtp.Mode.Server, ['mst', 'unknown', 'vlan'], name, value)


            class Transparent(Entity):
                """
                Set the device to transparent mode
                
                .. attribute:: mst
                
                	Set the mode for MST VTP instance
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: unknown
                
                	Set the mode for unknown VTP instances
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vlan
                
                	Set the mode for VLAN VTP instance
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-vtp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Vtp.Mode.Transparent, self).__init__()

                    self.yang_name = "transparent"
                    self.yang_parent_name = "mode"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.mst = YLeaf(YType.empty, "mst")

                    self.unknown = YLeaf(YType.empty, "unknown")

                    self.vlan = YLeaf(YType.empty, "vlan")
                    self._segment_path = lambda: "transparent"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/vtp/Cisco-IOS-XE-vtp:mode/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Vtp.Mode.Transparent, ['mst', 'unknown', 'vlan'], name, value)


    class Xconnect(Entity):
        """
        
        
        .. attribute:: logging
        
        	
        	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Xconnect.Logging>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Xconnect, self).__init__()

            self.yang_name = "xconnect"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-l2vpn:logging" : ("logging", Native.Xconnect.Logging)}
            self._child_list_classes = {}

            self.logging = Native.Xconnect.Logging()
            self.logging.parent = self
            self._children_name_map["logging"] = "logging"
            self._children_yang_names.add("logging")
            self._segment_path = lambda: "xconnect"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Logging(Entity):
            """
            
            
            .. attribute:: pseudowire
            
            	
            	**type**\:  :py:class:`Pseudowire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Xconnect.Logging.Pseudowire>`
            
            .. attribute:: redundancy
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Xconnect.Logging, self).__init__()

                self.yang_name = "logging"
                self.yang_parent_name = "xconnect"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"pseudowire" : ("pseudowire", Native.Xconnect.Logging.Pseudowire)}
                self._child_list_classes = {}

                self.redundancy = YLeaf(YType.empty, "redundancy")

                self.pseudowire = Native.Xconnect.Logging.Pseudowire()
                self.pseudowire.parent = self
                self._children_name_map["pseudowire"] = "pseudowire"
                self._children_yang_names.add("pseudowire")
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:logging"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/xconnect/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Xconnect.Logging, ['redundancy'], name, value)


            class Pseudowire(Entity):
                """
                
                
                .. attribute:: status
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Xconnect.Logging.Pseudowire, self).__init__()

                    self.yang_name = "pseudowire"
                    self.yang_parent_name = "logging"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.status = YLeaf(YType.empty, "status")
                    self._segment_path = lambda: "pseudowire"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/xconnect/Cisco-IOS-XE-l2vpn:logging/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Xconnect.Logging.Pseudowire, ['status'], name, value)


    class Fabric(Entity):
        """
        Catalyst 6000 crossbar fabric configuration commands
        
        .. attribute:: switching_mode
        
        	Switching mode settings
        	**type**\:  :py:class:`SwitchingMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fabric.SwitchingMode>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Fabric, self).__init__()

            self.yang_name = "fabric"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"switching-mode" : ("switching_mode", Native.Fabric.SwitchingMode)}
            self._child_list_classes = {}

            self.switching_mode = Native.Fabric.SwitchingMode()
            self.switching_mode.parent = self
            self._children_name_map["switching_mode"] = "switching-mode"
            self._children_yang_names.add("switching-mode")
            self._segment_path = lambda: "fabric"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class SwitchingMode(Entity):
            """
            Switching mode settings
            
            .. attribute:: allow
            
            	Allow settings
            	**type**\:  :py:class:`Allow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fabric.SwitchingMode.Allow>`
            
            .. attribute:: force
            
            	Force modules to different switching modes
            	**type**\:  :py:class:`Force <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fabric.SwitchingMode.Force>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Fabric.SwitchingMode, self).__init__()

                self.yang_name = "switching-mode"
                self.yang_parent_name = "fabric"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"allow" : ("allow", Native.Fabric.SwitchingMode.Allow), "force" : ("force", Native.Fabric.SwitchingMode.Force)}
                self._child_list_classes = {}

                self.allow = Native.Fabric.SwitchingMode.Allow()
                self.allow.parent = self
                self._children_name_map["allow"] = "allow"
                self._children_yang_names.add("allow")

                self.force = Native.Fabric.SwitchingMode.Force()
                self.force.parent = self
                self._children_name_map["force"] = "force"
                self._children_yang_names.add("force")
                self._segment_path = lambda: "switching-mode"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/fabric/%s" % self._segment_path()


            class Allow(Entity):
                """
                Allow settings
                
                .. attribute:: bus_mode
                
                	Allow switching in bus mode for modules
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: truncated
                
                	Truncated switching mode
                	**type**\:  :py:class:`Truncated <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fabric.SwitchingMode.Allow.Truncated>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Fabric.SwitchingMode.Allow, self).__init__()

                    self.yang_name = "allow"
                    self.yang_parent_name = "switching-mode"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"truncated" : ("truncated", Native.Fabric.SwitchingMode.Allow.Truncated)}
                    self._child_list_classes = {}

                    self.bus_mode = YLeaf(YType.empty, "bus-mode")

                    self.truncated = None
                    self._children_name_map["truncated"] = "truncated"
                    self._children_yang_names.add("truncated")
                    self._segment_path = lambda: "allow"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/fabric/switching-mode/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Fabric.SwitchingMode.Allow, ['bus_mode'], name, value)


                class Truncated(Entity):
                    """
                    Truncated switching mode
                    
                    .. attribute:: threshold
                    
                    	Number of SFM\-capable modules for truncated switching mode. Switch applies the threshold only when the mode is disallowed. Switch ignores the threshold when the truncated mode is allowed
                    	**type**\: int
                    
                    	**range:** 1..9
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Fabric.SwitchingMode.Allow.Truncated, self).__init__()

                        self.yang_name = "truncated"
                        self.yang_parent_name = "allow"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.threshold = YLeaf(YType.uint8, "threshold")
                        self._segment_path = lambda: "truncated"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/fabric/switching-mode/allow/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Fabric.SwitchingMode.Allow.Truncated, ['threshold'], name, value)


            class Force(Entity):
                """
                Force modules to different switching modes
                
                .. attribute:: bus_mode
                
                	Switching mode of service modules will be forced to bus\-mode by powercycling it
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Fabric.SwitchingMode.Force, self).__init__()

                    self.yang_name = "force"
                    self.yang_parent_name = "switching-mode"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.bus_mode = YLeaf(YType.empty, "bus-mode")
                    self._segment_path = lambda: "force"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/fabric/switching-mode/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Fabric.SwitchingMode.Force, ['bus_mode'], name, value)


    class PortChannel(Entity):
        """
        EtherChannel configuration
        
        .. attribute:: auto
        
        	LACP auto for the system
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: load_balance
        
        	Load Balancing method
        	**type**\:  :py:class:`LoadBalance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PortChannel.LoadBalance>`
        
        .. attribute:: load_balancing
        
        	Load Balance method
        	**type**\:  :py:class:`LoadBalancing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PortChannel.LoadBalancing>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.PortChannel, self).__init__()

            self.yang_name = "port-channel"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-ethernet:load-balance" : ("load_balance", Native.PortChannel.LoadBalance), "Cisco-IOS-XE-ethernet:load-balancing" : ("load_balancing", Native.PortChannel.LoadBalancing)}
            self._child_list_classes = {}

            self.auto = YLeaf(YType.empty, "Cisco-IOS-XE-ethernet:auto")

            self.load_balance = Native.PortChannel.LoadBalance()
            self.load_balance.parent = self
            self._children_name_map["load_balance"] = "load-balance"
            self._children_yang_names.add("load-balance")

            self.load_balancing = Native.PortChannel.LoadBalancing()
            self.load_balancing.parent = self
            self._children_name_map["load_balancing"] = "load-balancing"
            self._children_yang_names.add("load-balancing")
            self._segment_path = lambda: "port-channel"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.PortChannel, ['auto'], name, value)


        class LoadBalance(Entity):
            """
            Load Balancing method
            
            .. attribute:: load_balance
            
            	
            	**type**\:  :py:class:`LoadBalance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PortChannel.LoadBalance.LoadBalance>`
            
            .. attribute:: extended
            
            	Extended Load Balance Methods
            	**type**\:  :py:class:`Extended <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PortChannel.LoadBalance.Extended>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-eth'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PortChannel.LoadBalance, self).__init__()

                self.yang_name = "load-balance"
                self.yang_parent_name = "port-channel"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"extended" : ("extended", Native.PortChannel.LoadBalance.Extended)}
                self._child_list_classes = {}

                self.load_balance = YLeaf(YType.enumeration, "load-balance")

                self.extended = None
                self._children_name_map["extended"] = "extended"
                self._children_yang_names.add("extended")
                self._segment_path = lambda: "Cisco-IOS-XE-ethernet:load-balance"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/port-channel/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.PortChannel.LoadBalance, ['load_balance'], name, value)

            class LoadBalance(Enum):
                """
                LoadBalance

                .. data:: dst_ip = 0

                .. data:: dst_mac = 1

                .. data:: dst_mixed_ip_port = 2

                .. data:: dst_port = 3

                .. data:: mpls = 4

                .. data:: src_dst_ip = 5

                .. data:: src_dst_mac = 6

                .. data:: src_dst_mixed_ip_port = 7

                .. data:: src_dst_port = 8

                .. data:: src_ip = 9

                .. data:: src_mac = 10

                .. data:: src_mixed_ip_port = 11

                .. data:: src_port = 12

                """

                dst_ip = Enum.YLeaf(0, "dst-ip")

                dst_mac = Enum.YLeaf(1, "dst-mac")

                dst_mixed_ip_port = Enum.YLeaf(2, "dst-mixed-ip-port")

                dst_port = Enum.YLeaf(3, "dst-port")

                mpls = Enum.YLeaf(4, "mpls")

                src_dst_ip = Enum.YLeaf(5, "src-dst-ip")

                src_dst_mac = Enum.YLeaf(6, "src-dst-mac")

                src_dst_mixed_ip_port = Enum.YLeaf(7, "src-dst-mixed-ip-port")

                src_dst_port = Enum.YLeaf(8, "src-dst-port")

                src_ip = Enum.YLeaf(9, "src-ip")

                src_mac = Enum.YLeaf(10, "src-mac")

                src_mixed_ip_port = Enum.YLeaf(11, "src-mixed-ip-port")

                src_port = Enum.YLeaf(12, "src-port")



            class Extended(Entity):
                """
                Extended Load Balance Methods
                
                .. attribute:: extended
                
                	
                	**type**\: list of   :py:class:`Extended <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PortChannel.LoadBalance.Extended.Extended>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PortChannel.LoadBalance.Extended, self).__init__()

                    self.yang_name = "extended"
                    self.yang_parent_name = "load-balance"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.extended = YLeafList(YType.enumeration, "extended")
                    self._segment_path = lambda: "extended"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/port-channel/Cisco-IOS-XE-ethernet:load-balance/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PortChannel.LoadBalance.Extended, ['extended'], name, value)

                class Extended(Enum):
                    """
                    Extended

                    .. data:: dst_ip = 0

                    .. data:: dst_mac = 1

                    .. data:: dst_port = 2

                    .. data:: ipv6_label = 3

                    .. data:: l3_proto = 4

                    .. data:: src_ip = 5

                    .. data:: src_mac = 6

                    .. data:: src_port = 7

                    """

                    dst_ip = Enum.YLeaf(0, "dst-ip")

                    dst_mac = Enum.YLeaf(1, "dst-mac")

                    dst_port = Enum.YLeaf(2, "dst-port")

                    ipv6_label = Enum.YLeaf(3, "ipv6-label")

                    l3_proto = Enum.YLeaf(4, "l3-proto")

                    src_ip = Enum.YLeaf(5, "src-ip")

                    src_mac = Enum.YLeaf(6, "src-mac")

                    src_port = Enum.YLeaf(7, "src-port")



        class LoadBalancing(Entity):
            """
            Load Balance method
            
            .. attribute:: vlan_manual
            
            	Manual Traffic Distribution based on VLAN id
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-eth'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PortChannel.LoadBalancing, self).__init__()

                self.yang_name = "load-balancing"
                self.yang_parent_name = "port-channel"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.vlan_manual = YLeaf(YType.empty, "vlan-manual")
                self._segment_path = lambda: "Cisco-IOS-XE-ethernet:load-balancing"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/port-channel/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.PortChannel.LoadBalancing, ['vlan_manual'], name, value)


    class Key(Entity):
        """
        Key management
        
        .. attribute:: chain
        
        	Key\-chain management
        	**type**\: list of  		 :py:class:`Chain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Key.Chain>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Key, self).__init__()

            self.yang_name = "key"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-crypto:chain" : ("chain", Native.Key.Chain)}

            self.chain = YList(self)
            self._segment_path = lambda: "key"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Key, [], name, value)


        class Chain(Entity):
            """
            Key\-chain management
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: macsec
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: key
            
            	Configure a key
            	**type**\: list of  		 :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Key.Chain.Key>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Key.Chain, self).__init__()

                self.yang_name = "chain"
                self.yang_parent_name = "key"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"key" : ("key", Native.Key.Chain.Key)}

                self.name = YLeaf(YType.str, "name")

                self.macsec = YLeaf(YType.empty, "macsec")

                self.key = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:chain" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/key/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Key.Chain, ['name', 'macsec'], name, value)


            class Key(Entity):
                """
                Configure a key
                
                .. attribute:: id  <key>
                
                	
                	**type**\: str
                
                .. attribute:: cryptographic_algorithm
                
                	Set cryptographic authentication algorithm
                	**type**\:  :py:class:`CryptographicAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Key.Chain.Key.CryptographicAlgorithm>`
                
                .. attribute:: key_string
                
                	Set key string
                	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Key.Chain.Key.KeyString>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Key.Chain.Key, self).__init__()

                    self.yang_name = "key"
                    self.yang_parent_name = "chain"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"key-string" : ("key_string", Native.Key.Chain.Key.KeyString)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.cryptographic_algorithm = YLeaf(YType.enumeration, "cryptographic-algorithm")

                    self.key_string = Native.Key.Chain.Key.KeyString()
                    self.key_string.parent = self
                    self._children_name_map["key_string"] = "key-string"
                    self._children_yang_names.add("key-string")
                    self._segment_path = lambda: "key" + "[id='" + self.id.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Key.Chain.Key, ['id', 'cryptographic_algorithm'], name, value)

                class CryptographicAlgorithm(Enum):
                    """
                    CryptographicAlgorithm

                    Set cryptographic authentication algorithm

                    .. data:: aes_128_cmac = 0

                    .. data:: aes_256_cmac = 1

                    .. data:: hmac_sha_1 = 2

                    .. data:: hmac_sha_256 = 3

                    .. data:: hmac_sha_384 = 4

                    .. data:: hmac_sha_512 = 5

                    .. data:: md5 = 6

                    """

                    aes_128_cmac = Enum.YLeaf(0, "aes-128-cmac")

                    aes_256_cmac = Enum.YLeaf(1, "aes-256-cmac")

                    hmac_sha_1 = Enum.YLeaf(2, "hmac-sha-1")

                    hmac_sha_256 = Enum.YLeaf(3, "hmac-sha-256")

                    hmac_sha_384 = Enum.YLeaf(4, "hmac-sha-384")

                    hmac_sha_512 = Enum.YLeaf(5, "hmac-sha-512")

                    md5 = Enum.YLeaf(6, "md5")



                class KeyString(Entity):
                    """
                    Set key string
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Key.Chain.Key.KeyString.Encryption>`
                    
                    .. attribute:: key
                    
                    	
                    	**type**\: str
                    
                    	**length:** 0..80
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Key.Chain.Key.KeyString, self).__init__()

                        self.yang_name = "key-string"
                        self.yang_parent_name = "key"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.encryption = YLeaf(YType.enumeration, "encryption")

                        self.key = YLeaf(YType.str, "key")
                        self._segment_path = lambda: "key-string"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Key.Chain.Key.KeyString, ['encryption', 'key'], name, value)

                    class Encryption(Enum):
                        """
                        Encryption

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        .. data:: Y_7 = 2

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        Y_6 = Enum.YLeaf(1, "6")

                        Y_7 = Enum.YLeaf(2, "7")



    class L2(Entity):
        """
        Layer 2 configuration
        
        .. attribute:: router_id
        
        	Configure a layer 2 identifier
        	**type**\: str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        .. attribute:: vfi
        
        	Configure a virtual forwarding instance
        	**type**\: list of  		 :py:class:`Vfi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2.Vfi>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.L2, self).__init__()

            self.yang_name = "l2"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-l2vpn:vfi" : ("vfi", Native.L2.Vfi)}

            self.router_id = YLeaf(YType.str, "router-id")

            self.vfi = YList(self)
            self._segment_path = lambda: "l2"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.L2, ['router_id'], name, value)


        class Vfi(Entity):
            """
            Configure a virtual forwarding instance
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: mode
            
            	
            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2.Vfi.Mode>`
            
            .. attribute:: evc
            
            	
            	**type**\: str
            
            .. attribute:: vpn
            
            	VPN configuration
            	**type**\:  :py:class:`Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2.Vfi.Vpn>`
            
            .. attribute:: bridge_domain
            
            	bridge\-domain
            	**type**\: int
            
            	**range:** 1..16384
            
            .. attribute:: neighbor
            
            	VFI neighbor configuration
            	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2.Vfi.Neighbor>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.L2.Vfi, self).__init__()

                self.yang_name = "vfi"
                self.yang_parent_name = "l2"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"vpn" : ("vpn", Native.L2.Vfi.Vpn)}
                self._child_list_classes = {"neighbor" : ("neighbor", Native.L2.Vfi.Neighbor)}

                self.name = YLeaf(YType.str, "name")

                self.mode = YLeaf(YType.enumeration, "mode")

                self.evc = YLeaf(YType.str, "evc")

                self.bridge_domain = YLeaf(YType.uint16, "bridge-domain")

                self.vpn = Native.L2.Vfi.Vpn()
                self.vpn.parent = self
                self._children_name_map["vpn"] = "vpn"
                self._children_yang_names.add("vpn")

                self.neighbor = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:vfi" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.L2.Vfi, ['name', 'mode', 'evc', 'bridge_domain'], name, value)

            class Mode(Enum):
                """
                Mode

                .. data:: autodiscovery = 0

                .. data:: manual = 1

                .. data:: point_to_point = 2

                """

                autodiscovery = Enum.YLeaf(0, "autodiscovery")

                manual = Enum.YLeaf(1, "manual")

                point_to_point = Enum.YLeaf(2, "point-to-point")



            class Vpn(Entity):
                """
                VPN configuration
                
                .. attribute:: id
                
                	VPN id
                	**type**\: int
                
                	**range:** 1..4294967295
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.L2.Vfi.Vpn, self).__init__()

                    self.yang_name = "vpn"
                    self.yang_parent_name = "vfi"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.uint64, "id")
                    self._segment_path = lambda: "vpn"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.L2.Vfi.Vpn, ['id'], name, value)


            class Neighbor(Entity):
                """
                VFI neighbor configuration
                
                .. attribute:: router_id  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: vc_id
                
                	
                	**type**\: int
                
                	**range:** 1..4294967295
                
                .. attribute:: encapsulation
                
                	Connection encapsulation type
                	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2.Vfi.Neighbor.Encapsulation>`
                
                .. attribute:: pw_class
                
                	Pseudowire\-class configuration
                	**type**\: str
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.L2.Vfi.Neighbor, self).__init__()

                    self.yang_name = "neighbor"
                    self.yang_parent_name = "vfi"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.router_id = YLeaf(YType.str, "router-id")

                    self.vc_id = YLeaf(YType.uint64, "vc-id")

                    self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                    self.pw_class = YLeaf(YType.str, "pw-class")
                    self._segment_path = lambda: "neighbor" + "[router-id='" + self.router_id.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.L2.Vfi.Neighbor, ['router_id', 'vc_id', 'encapsulation', 'pw_class'], name, value)

                class Encapsulation(Enum):
                    """
                    Encapsulation

                    Connection encapsulation type

                    .. data:: l2tpv3 = 0

                    .. data:: mpls = 1

                    """

                    l2tpv3 = Enum.YLeaf(0, "l2tpv3")

                    mpls = Enum.YLeaf(1, "mpls")



    class System(Entity):
        """
        Set the system configuration
        
        .. attribute:: mode
        
        	System mode
        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Mode>`
        
        .. attribute:: debug
        
        	Debug Shell
        	**type**\:  :py:class:`Debug <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Debug>`
        
        .. attribute:: disable
        
        	Disable password recovery
        	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Disable>`
        
        .. attribute:: environment
        
        	Set the system environment settings
        	**type**\:  :py:class:`Environment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Environment>`
        
        .. attribute:: fnf
        
        	Flexible Netflow
        	**type**\:  :py:class:`Fnf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Fnf>`
        
        .. attribute:: ignore
        
        	Ignore Startup Config
        	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Ignore>`
        
        .. attribute:: mode_button
        
        	Enable Mode button for reset
        	**type**\:  :py:class:`ModeButton <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.ModeButton>`
        
        .. attribute:: mtu
        
        	Set the system Maximum Transmission Unit (MTU)
        	**type**\:  :py:class:`Mtu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Mtu>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.System, self).__init__()

            self.yang_name = "system"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-mmode:mode" : ("mode", Native.System.Mode), "Cisco-IOS-XE-switch:debug" : ("debug", Native.System.Debug), "Cisco-IOS-XE-switch:disable" : ("disable", Native.System.Disable), "Cisco-IOS-XE-switch:environment" : ("environment", Native.System.Environment), "Cisco-IOS-XE-switch:fnf" : ("fnf", Native.System.Fnf), "Cisco-IOS-XE-switch:ignore" : ("ignore", Native.System.Ignore), "Cisco-IOS-XE-switch:mode-button" : ("mode_button", Native.System.ModeButton), "Cisco-IOS-XE-switch:mtu" : ("mtu", Native.System.Mtu)}
            self._child_list_classes = {}

            self.mode = Native.System.Mode()
            self.mode.parent = self
            self._children_name_map["mode"] = "mode"
            self._children_yang_names.add("mode")

            self.debug = Native.System.Debug()
            self.debug.parent = self
            self._children_name_map["debug"] = "debug"
            self._children_yang_names.add("debug")

            self.disable = Native.System.Disable()
            self.disable.parent = self
            self._children_name_map["disable"] = "disable"
            self._children_yang_names.add("disable")

            self.environment = Native.System.Environment()
            self.environment.parent = self
            self._children_name_map["environment"] = "environment"
            self._children_yang_names.add("environment")

            self.fnf = Native.System.Fnf()
            self.fnf.parent = self
            self._children_name_map["fnf"] = "fnf"
            self._children_yang_names.add("fnf")

            self.ignore = Native.System.Ignore()
            self.ignore.parent = self
            self._children_name_map["ignore"] = "ignore"
            self._children_yang_names.add("ignore")

            self.mode_button = Native.System.ModeButton()
            self.mode_button.parent = self
            self._children_name_map["mode_button"] = "mode-button"
            self._children_yang_names.add("mode-button")

            self.mtu = Native.System.Mtu()
            self.mtu.parent = self
            self._children_name_map["mtu"] = "mtu"
            self._children_yang_names.add("mtu")
            self._segment_path = lambda: "system"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Mode(Entity):
            """
            System mode
            
            .. attribute:: maintenance
            
            	System maintenance
            	**type**\:  :py:class:`Maintenance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Mode.Maintenance>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-mmode'
            _revision = '2017-03-13'

            def __init__(self):
                super(Native.System.Mode, self).__init__()

                self.yang_name = "mode"
                self.yang_parent_name = "system"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"maintenance" : ("maintenance", Native.System.Mode.Maintenance)}
                self._child_list_classes = {}

                self.maintenance = None
                self._children_name_map["maintenance"] = "maintenance"
                self._children_yang_names.add("maintenance")
                self._segment_path = lambda: "Cisco-IOS-XE-mmode:mode"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/%s" % self._segment_path()


            class Maintenance(Entity):
                """
                System maintenance
                
                .. attribute:: config_maintenance
                
                	
                	**type**\:  :py:class:`ConfigMaintenance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Mode.Maintenance.ConfigMaintenance>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-mmode'
                _revision = '2017-03-13'

                def __init__(self):
                    super(Native.System.Mode.Maintenance, self).__init__()

                    self.yang_name = "maintenance"
                    self.yang_parent_name = "mode"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"config-maintenance" : ("config_maintenance", Native.System.Mode.Maintenance.ConfigMaintenance)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.config_maintenance = Native.System.Mode.Maintenance.ConfigMaintenance()
                    self.config_maintenance.parent = self
                    self._children_name_map["config_maintenance"] = "config-maintenance"
                    self._children_yang_names.add("config-maintenance")
                    self._segment_path = lambda: "maintenance"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-mmode:mode/%s" % self._segment_path()


                class ConfigMaintenance(Entity):
                    """
                    
                    
                    .. attribute:: failsafe
                    
                    	Client ack timeout minutes (default is 30 mins)
                    	**type**\: int
                    
                    	**range:** 15..180
                    
                    .. attribute:: on_reload
                    
                    	On reload maintenance mode configuration
                    	**type**\:  :py:class:`OnReload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Mode.Maintenance.ConfigMaintenance.OnReload>`
                    
                    .. attribute:: template
                    
                    	maintenance\-template name
                    	**type**\: str
                    
                    .. attribute:: timeout
                    
                    	maintenance duration minutes (default is 30 mins)
                    	**type**\: int
                    
                    	**range:** 15..180
                    
                    

                    """

                    _prefix = 'ios-mmode'
                    _revision = '2017-03-13'

                    def __init__(self):
                        super(Native.System.Mode.Maintenance.ConfigMaintenance, self).__init__()

                        self.yang_name = "config-maintenance"
                        self.yang_parent_name = "maintenance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"on-reload" : ("on_reload", Native.System.Mode.Maintenance.ConfigMaintenance.OnReload)}
                        self._child_list_classes = {}

                        self.failsafe = YLeaf(YType.uint8, "failsafe")

                        self.template = YLeaf(YType.str, "template")

                        self.timeout = YLeaf(YType.uint8, "timeout")

                        self.on_reload = Native.System.Mode.Maintenance.ConfigMaintenance.OnReload()
                        self.on_reload.parent = self
                        self._children_name_map["on_reload"] = "on-reload"
                        self._children_yang_names.add("on-reload")
                        self._segment_path = lambda: "config-maintenance"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-mmode:mode/maintenance/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.System.Mode.Maintenance.ConfigMaintenance, ['failsafe', 'template', 'timeout'], name, value)


                    class OnReload(Entity):
                        """
                        On reload maintenance mode configuration
                        
                        .. attribute:: reset_reason
                        
                        	Reset reason
                        	**type**\:  :py:class:`ResetReason <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Mode.Maintenance.ConfigMaintenance.OnReload.ResetReason>`
                        
                        

                        """

                        _prefix = 'ios-mmode'
                        _revision = '2017-03-13'

                        def __init__(self):
                            super(Native.System.Mode.Maintenance.ConfigMaintenance.OnReload, self).__init__()

                            self.yang_name = "on-reload"
                            self.yang_parent_name = "config-maintenance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"reset-reason" : ("reset_reason", Native.System.Mode.Maintenance.ConfigMaintenance.OnReload.ResetReason)}
                            self._child_list_classes = {}

                            self.reset_reason = Native.System.Mode.Maintenance.ConfigMaintenance.OnReload.ResetReason()
                            self.reset_reason.parent = self
                            self._children_name_map["reset_reason"] = "reset-reason"
                            self._children_yang_names.add("reset-reason")
                            self._segment_path = lambda: "on-reload"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-mmode:mode/maintenance/config-maintenance/%s" % self._segment_path()


                        class ResetReason(Entity):
                            """
                            Reset reason
                            
                            .. attribute:: maintenance
                            
                            	Maintenance mode
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-mmode'
                            _revision = '2017-03-13'

                            def __init__(self):
                                super(Native.System.Mode.Maintenance.ConfigMaintenance.OnReload.ResetReason, self).__init__()

                                self.yang_name = "reset-reason"
                                self.yang_parent_name = "on-reload"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.maintenance = YLeaf(YType.empty, "maintenance")
                                self._segment_path = lambda: "reset-reason"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-mmode:mode/maintenance/config-maintenance/on-reload/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.System.Mode.Maintenance.ConfigMaintenance.OnReload.ResetReason, ['maintenance'], name, value)


        class Debug(Entity):
            """
            Debug Shell
            
            .. attribute:: shell
            
            	Debug Shell
            	**type**\:  :py:class:`Shell <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Debug.Shell>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.System.Debug, self).__init__()

                self.yang_name = "debug"
                self.yang_parent_name = "system"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"shell" : ("shell", Native.System.Debug.Shell)}
                self._child_list_classes = {}

                self.shell = Native.System.Debug.Shell()
                self.shell.parent = self
                self._children_name_map["shell"] = "shell"
                self._children_yang_names.add("shell")
                self._segment_path = lambda: "Cisco-IOS-XE-switch:debug"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/%s" % self._segment_path()


            class Shell(Entity):
                """
                Debug Shell
                
                .. attribute:: switch
                
                	Set config on switches in stack
                	**type**\:  :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Debug.Shell.Switch>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.System.Debug.Shell, self).__init__()

                    self.yang_name = "shell"
                    self.yang_parent_name = "debug"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"switch" : ("switch", Native.System.Debug.Shell.Switch)}
                    self._child_list_classes = {}

                    self.switch = Native.System.Debug.Shell.Switch()
                    self.switch.parent = self
                    self._children_name_map["switch"] = "switch"
                    self._children_yang_names.add("switch")
                    self._segment_path = lambda: "shell"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-switch:debug/%s" % self._segment_path()


                class Switch(Entity):
                    """
                    Set config on switches in stack
                    
                    .. attribute:: switch_number
                    
                    	Switch number
                    	**type**\: int
                    
                    	**range:** 1..9
                    
                    .. attribute:: all
                    
                    	Set config for all switches in stack
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.System.Debug.Shell.Switch, self).__init__()

                        self.yang_name = "switch"
                        self.yang_parent_name = "shell"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.switch_number = YLeaf(YType.uint8, "switch-number")

                        self.all = YLeaf(YType.empty, "all")
                        self._segment_path = lambda: "switch"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-switch:debug/shell/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.System.Debug.Shell.Switch, ['switch_number', 'all'], name, value)


        class Disable(Entity):
            """
            Disable password recovery
            
            .. attribute:: password
            
            	Disable password recovery
            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Disable.Password>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.System.Disable, self).__init__()

                self.yang_name = "disable"
                self.yang_parent_name = "system"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"password" : ("password", Native.System.Disable.Password)}
                self._child_list_classes = {}

                self.password = Native.System.Disable.Password()
                self.password.parent = self
                self._children_name_map["password"] = "password"
                self._children_yang_names.add("password")
                self._segment_path = lambda: "Cisco-IOS-XE-switch:disable"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/%s" % self._segment_path()


            class Password(Entity):
                """
                Disable password recovery
                
                .. attribute:: recovery
                
                	Disable password recovery
                	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Disable.Password.Recovery>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.System.Disable.Password, self).__init__()

                    self.yang_name = "password"
                    self.yang_parent_name = "disable"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"recovery" : ("recovery", Native.System.Disable.Password.Recovery)}
                    self._child_list_classes = {}

                    self.recovery = Native.System.Disable.Password.Recovery()
                    self.recovery.parent = self
                    self._children_name_map["recovery"] = "recovery"
                    self._children_yang_names.add("recovery")
                    self._segment_path = lambda: "password"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-switch:disable/%s" % self._segment_path()


                class Recovery(Entity):
                    """
                    Disable password recovery
                    
                    .. attribute:: switch
                    
                    	Set config on switches in stack
                    	**type**\:  :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Disable.Password.Recovery.Switch>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.System.Disable.Password.Recovery, self).__init__()

                        self.yang_name = "recovery"
                        self.yang_parent_name = "password"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"switch" : ("switch", Native.System.Disable.Password.Recovery.Switch)}
                        self._child_list_classes = {}

                        self.switch = Native.System.Disable.Password.Recovery.Switch()
                        self.switch.parent = self
                        self._children_name_map["switch"] = "switch"
                        self._children_yang_names.add("switch")
                        self._segment_path = lambda: "recovery"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-switch:disable/password/%s" % self._segment_path()


                    class Switch(Entity):
                        """
                        Set config on switches in stack
                        
                        .. attribute:: number
                        
                        	Switch number
                        	**type**\: int
                        
                        	**range:** 1..9
                        
                        .. attribute:: all
                        
                        	Set config for all switches in stack
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.System.Disable.Password.Recovery.Switch, self).__init__()

                            self.yang_name = "switch"
                            self.yang_parent_name = "recovery"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint8, "number")

                            self.all = YLeaf(YType.empty, "all")
                            self._segment_path = lambda: "switch"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-switch:disable/password/recovery/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.System.Disable.Password.Recovery.Switch, ['number', 'all'], name, value)


        class Environment(Entity):
            """
            Set the system environment settings
            
            .. attribute:: fan_fail_action
            
            	Set the FRU/PS fan fail action. 
            	**type**\:  :py:class:`FanFailAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Environment.FanFailAction>`
            
            .. attribute:: temperature
            
            	Set the system temperature settings
            	**type**\:  :py:class:`Temperature <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Environment.Temperature>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.System.Environment, self).__init__()

                self.yang_name = "environment"
                self.yang_parent_name = "system"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"fan-fail-action" : ("fan_fail_action", Native.System.Environment.FanFailAction), "temperature" : ("temperature", Native.System.Environment.Temperature)}
                self._child_list_classes = {}

                self.fan_fail_action = Native.System.Environment.FanFailAction()
                self.fan_fail_action.parent = self
                self._children_name_map["fan_fail_action"] = "fan-fail-action"
                self._children_yang_names.add("fan-fail-action")

                self.temperature = Native.System.Environment.Temperature()
                self.temperature.parent = self
                self._children_name_map["temperature"] = "temperature"
                self._children_yang_names.add("temperature")
                self._segment_path = lambda: "Cisco-IOS-XE-switch:environment"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/%s" % self._segment_path()


            class FanFailAction(Entity):
                """
                Set the FRU/PS fan fail action. 
                
                .. attribute:: shut
                
                	Shutdown the system when multiple fan fails
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.System.Environment.FanFailAction, self).__init__()

                    self.yang_name = "fan-fail-action"
                    self.yang_parent_name = "environment"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.shut = YLeaf(YType.empty, "shut")
                    self._segment_path = lambda: "fan-fail-action"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-switch:environment/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.System.Environment.FanFailAction, ['shut'], name, value)


            class Temperature(Entity):
                """
                Set the system temperature settings
                
                .. attribute:: threshold
                
                	Set the system temperature thresholds
                	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Environment.Temperature.Threshold>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.System.Environment.Temperature, self).__init__()

                    self.yang_name = "temperature"
                    self.yang_parent_name = "environment"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"threshold" : ("threshold", Native.System.Environment.Temperature.Threshold)}
                    self._child_list_classes = {}

                    self.threshold = Native.System.Environment.Temperature.Threshold()
                    self.threshold.parent = self
                    self._children_name_map["threshold"] = "threshold"
                    self._children_yang_names.add("threshold")
                    self._segment_path = lambda: "temperature"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-switch:environment/%s" % self._segment_path()


                class Threshold(Entity):
                    """
                    Set the system temperature thresholds
                    
                    .. attribute:: yellow
                    
                    	Set the yellow thresholds. 
                    	**type**\:  :py:class:`Yellow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Environment.Temperature.Threshold.Yellow>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.System.Environment.Temperature.Threshold, self).__init__()

                        self.yang_name = "threshold"
                        self.yang_parent_name = "temperature"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"yellow" : ("yellow", Native.System.Environment.Temperature.Threshold.Yellow)}
                        self._child_list_classes = {}

                        self.yellow = Native.System.Environment.Temperature.Threshold.Yellow()
                        self.yellow.parent = self
                        self._children_name_map["yellow"] = "yellow"
                        self._children_yang_names.add("yellow")
                        self._segment_path = lambda: "threshold"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-switch:environment/temperature/%s" % self._segment_path()


                    class Yellow(Entity):
                        """
                        Set the yellow thresholds. 
                        
                        .. attribute:: delta_value
                        
                        	Delta value from Red threshold in Degree Celcius
                        	**type**\: int
                        
                        	**range:** 5..25
                        
                        .. attribute:: detail
                        
                        	print yellow temperature threshold
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.System.Environment.Temperature.Threshold.Yellow, self).__init__()

                            self.yang_name = "yellow"
                            self.yang_parent_name = "threshold"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.delta_value = YLeaf(YType.uint8, "delta-value")

                            self.detail = YLeaf(YType.empty, "detail")
                            self._segment_path = lambda: "yellow"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-switch:environment/temperature/threshold/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.System.Environment.Temperature.Threshold.Yellow, ['delta_value', 'detail'], name, value)


        class Fnf(Entity):
            """
            Flexible Netflow
            
            .. attribute:: bytes_count
            
            	Bytes Count
            	**type**\:  :py:class:`BytesCount <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Fnf.BytesCount>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.System.Fnf, self).__init__()

                self.yang_name = "fnf"
                self.yang_parent_name = "system"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"bytes-count" : ("bytes_count", Native.System.Fnf.BytesCount)}
                self._child_list_classes = {}

                self.bytes_count = Native.System.Fnf.BytesCount()
                self.bytes_count.parent = self
                self._children_name_map["bytes_count"] = "bytes-count"
                self._children_yang_names.add("bytes-count")
                self._segment_path = lambda: "Cisco-IOS-XE-switch:fnf"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/%s" % self._segment_path()


            class BytesCount(Entity):
                """
                Bytes Count
                
                .. attribute:: layer2
                
                	Show L2 bytes in byte count collect field
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.System.Fnf.BytesCount, self).__init__()

                    self.yang_name = "bytes-count"
                    self.yang_parent_name = "fnf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.layer2 = YLeaf(YType.empty, "layer2")
                    self._segment_path = lambda: "bytes-count"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-switch:fnf/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.System.Fnf.BytesCount, ['layer2'], name, value)


        class Ignore(Entity):
            """
            Ignore Startup Config
            
            .. attribute:: startupconfig
            
            	Ignore Startup Config
            	**type**\:  :py:class:`Startupconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Ignore.Startupconfig>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.System.Ignore, self).__init__()

                self.yang_name = "ignore"
                self.yang_parent_name = "system"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"startupconfig" : ("startupconfig", Native.System.Ignore.Startupconfig)}
                self._child_list_classes = {}

                self.startupconfig = Native.System.Ignore.Startupconfig()
                self.startupconfig.parent = self
                self._children_name_map["startupconfig"] = "startupconfig"
                self._children_yang_names.add("startupconfig")
                self._segment_path = lambda: "Cisco-IOS-XE-switch:ignore"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/%s" % self._segment_path()


            class Startupconfig(Entity):
                """
                Ignore Startup Config
                
                .. attribute:: switch
                
                	Set config on switches in stack
                	**type**\:  :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.System.Ignore.Startupconfig.Switch>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.System.Ignore.Startupconfig, self).__init__()

                    self.yang_name = "startupconfig"
                    self.yang_parent_name = "ignore"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"switch" : ("switch", Native.System.Ignore.Startupconfig.Switch)}
                    self._child_list_classes = {}

                    self.switch = Native.System.Ignore.Startupconfig.Switch()
                    self.switch.parent = self
                    self._children_name_map["switch"] = "switch"
                    self._children_yang_names.add("switch")
                    self._segment_path = lambda: "startupconfig"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-switch:ignore/%s" % self._segment_path()


                class Switch(Entity):
                    """
                    Set config on switches in stack
                    
                    .. attribute:: number
                    
                    	Switch number
                    	**type**\: int
                    
                    	**range:** 1..9
                    
                    .. attribute:: all
                    
                    	Set config for all switches in stack
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.System.Ignore.Startupconfig.Switch, self).__init__()

                        self.yang_name = "switch"
                        self.yang_parent_name = "startupconfig"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint8, "number")

                        self.all = YLeaf(YType.empty, "all")
                        self._segment_path = lambda: "switch"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/Cisco-IOS-XE-switch:ignore/startupconfig/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.System.Ignore.Startupconfig.Switch, ['number', 'all'], name, value)


        class ModeButton(Entity):
            """
            Enable Mode button for reset
            
            .. attribute:: reset
            
            	Enable reset
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.System.ModeButton, self).__init__()

                self.yang_name = "mode-button"
                self.yang_parent_name = "system"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.reset = YLeaf(YType.empty, "reset")
                self._segment_path = lambda: "Cisco-IOS-XE-switch:mode-button"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.System.ModeButton, ['reset'], name, value)


        class Mtu(Entity):
            """
            Set the system Maximum Transmission Unit (MTU)
            
            .. attribute:: size
            
            	
            	**type**\: int
            
            	**range:** 1500..9198
            
            .. attribute:: jumbo
            
            	Set Jumbo MTU value for GigabitEthernet or TenGigabitEthernet interfaces
            	**type**\: int
            
            	**range:** 1500..9000
            
            .. attribute:: routing
            
            	Set the Routing MTU for the system
            	**type**\: int
            
            	**range:** 1500..None
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.System.Mtu, self).__init__()

                self.yang_name = "mtu"
                self.yang_parent_name = "system"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.size = YLeaf(YType.uint16, "size")

                self.jumbo = YLeaf(YType.uint16, "jumbo")

                self.routing = YLeaf(YType.uint16, "routing")
                self._segment_path = lambda: "Cisco-IOS-XE-switch:mtu"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/system/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.System.Mtu, ['size', 'jumbo', 'routing'], name, value)


    class Errdisable(Entity):
        """
        Error disable
        
        .. attribute:: detect
        
        	Error disable detection
        	**type**\:  :py:class:`Detect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Detect>`
        
        .. attribute:: flap_setting
        
        	Error disable flap detection setting
        	**type**\:  :py:class:`FlapSetting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.FlapSetting>`
        
        .. attribute:: recovery
        
        	Error disable recovery
        	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Recovery>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Errdisable, self).__init__()

            self.yang_name = "errdisable"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"detect" : ("detect", Native.Errdisable.Detect), "flap-setting" : ("flap_setting", Native.Errdisable.FlapSetting), "recovery" : ("recovery", Native.Errdisable.Recovery)}
            self._child_list_classes = {}

            self.detect = Native.Errdisable.Detect()
            self.detect.parent = self
            self._children_name_map["detect"] = "detect"
            self._children_yang_names.add("detect")

            self.flap_setting = Native.Errdisable.FlapSetting()
            self.flap_setting.parent = self
            self._children_name_map["flap_setting"] = "flap-setting"
            self._children_yang_names.add("flap-setting")

            self.recovery = Native.Errdisable.Recovery()
            self.recovery.parent = self
            self._children_name_map["recovery"] = "recovery"
            self._children_yang_names.add("recovery")
            self._segment_path = lambda: "errdisable"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Detect(Entity):
            """
            Error disable detection
            
            .. attribute:: cause
            
            	Enable error disable detection for application
            	**type**\:  :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Detect.Cause>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Errdisable.Detect, self).__init__()

                self.yang_name = "detect"
                self.yang_parent_name = "errdisable"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"cause" : ("cause", Native.Errdisable.Detect.Cause)}
                self._child_list_classes = {}

                self.cause = Native.Errdisable.Detect.Cause()
                self.cause.parent = self
                self._children_name_map["cause"] = "cause"
                self._children_yang_names.add("cause")
                self._segment_path = lambda: "detect"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/errdisable/%s" % self._segment_path()


            class Cause(Entity):
                """
                Enable error disable detection for application
                
                .. attribute:: all
                
                	Enable error detection on all cases
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: arp_inspection
                
                	Enable error detection for arp inspection
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bpduguard
                
                	Enable error detection on bpdu\-guard
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dhcp_rate_limit
                
                	Enable error detection on dhcp\-rate\-limit
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtp_flap
                
                	Enable error detection on dtp\-flapping
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: gbic_invalid
                
                	Enable error detection on gbic\-invalid
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inline_power
                
                	Enable error detection for inline\-power
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: l2ptguard
                
                	Enable timer to recover from l2protocol\-tunnel error disable state
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link_flap
                
                	Enable error detection on linkstate\-flapping
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: loopback
                
                	Enable error detection on loopback
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mlacp_minlink
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pagp_flap
                
                	Enable error detection on pagp\-flapping
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pppoe_ia_rate_limit
                
                	Enable error detection on PPPoE IA rate\-limit
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: security_violation
                
                	Enable error detection on 802.1x\-guard
                	**type**\:  :py:class:`SecurityViolation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Detect.Cause.SecurityViolation>`
                
                .. attribute:: sfp_config_mismatch
                
                	Enable error detection on SFP config mismatch
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: small_frame
                
                	Enable error detection on small\_frame
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Errdisable.Detect.Cause, self).__init__()

                    self.yang_name = "cause"
                    self.yang_parent_name = "detect"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"security-violation" : ("security_violation", Native.Errdisable.Detect.Cause.SecurityViolation)}
                    self._child_list_classes = {}

                    self.all = YLeaf(YType.empty, "all")

                    self.arp_inspection = YLeaf(YType.empty, "arp-inspection")

                    self.bpduguard = YLeaf(YType.empty, "bpduguard")

                    self.dhcp_rate_limit = YLeaf(YType.empty, "dhcp-rate-limit")

                    self.dtp_flap = YLeaf(YType.empty, "dtp-flap")

                    self.gbic_invalid = YLeaf(YType.empty, "gbic-invalid")

                    self.inline_power = YLeaf(YType.empty, "inline-power")

                    self.l2ptguard = YLeaf(YType.empty, "l2ptguard")

                    self.link_flap = YLeaf(YType.empty, "link-flap")

                    self.loopback = YLeaf(YType.empty, "loopback")

                    self.mlacp_minlink = YLeaf(YType.empty, "mlacp-minlink")

                    self.pagp_flap = YLeaf(YType.empty, "pagp-flap")

                    self.pppoe_ia_rate_limit = YLeaf(YType.empty, "pppoe-ia-rate-limit")

                    self.sfp_config_mismatch = YLeaf(YType.empty, "sfp-config-mismatch")

                    self.small_frame = YLeaf(YType.empty, "small-frame")

                    self.security_violation = Native.Errdisable.Detect.Cause.SecurityViolation()
                    self.security_violation.parent = self
                    self._children_name_map["security_violation"] = "security-violation"
                    self._children_yang_names.add("security-violation")
                    self._segment_path = lambda: "cause"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/errdisable/detect/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Errdisable.Detect.Cause, ['all', 'arp_inspection', 'bpduguard', 'dhcp_rate_limit', 'dtp_flap', 'gbic_invalid', 'inline_power', 'l2ptguard', 'link_flap', 'loopback', 'mlacp_minlink', 'pagp_flap', 'pppoe_ia_rate_limit', 'sfp_config_mismatch', 'small_frame'], name, value)


                class SecurityViolation(Entity):
                    """
                    Enable error detection on 802.1x\-guard
                    
                    .. attribute:: shutdown
                    
                    	Specify error disable shutdown mode for 802.1x\-guard
                    	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Detect.Cause.SecurityViolation.Shutdown>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Errdisable.Detect.Cause.SecurityViolation, self).__init__()

                        self.yang_name = "security-violation"
                        self.yang_parent_name = "cause"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"shutdown" : ("shutdown", Native.Errdisable.Detect.Cause.SecurityViolation.Shutdown)}
                        self._child_list_classes = {}

                        self.shutdown = Native.Errdisable.Detect.Cause.SecurityViolation.Shutdown()
                        self.shutdown.parent = self
                        self._children_name_map["shutdown"] = "shutdown"
                        self._children_yang_names.add("shutdown")
                        self._segment_path = lambda: "security-violation"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/errdisable/detect/cause/%s" % self._segment_path()


                    class Shutdown(Entity):
                        """
                        Specify error disable shutdown mode for 802.1x\-guard
                        
                        .. attribute:: vlan
                        
                        	Shutdown vlan on 802.1x\-guard violation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Errdisable.Detect.Cause.SecurityViolation.Shutdown, self).__init__()

                            self.yang_name = "shutdown"
                            self.yang_parent_name = "security-violation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vlan = YLeaf(YType.empty, "vlan")
                            self._segment_path = lambda: "shutdown"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/errdisable/detect/cause/security-violation/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Errdisable.Detect.Cause.SecurityViolation.Shutdown, ['vlan'], name, value)


        class FlapSetting(Entity):
            """
            Error disable flap detection setting
            
            .. attribute:: cause
            
            	Set error disable flap parameters for application
            	**type**\:  :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.FlapSetting.Cause>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Errdisable.FlapSetting, self).__init__()

                self.yang_name = "flap-setting"
                self.yang_parent_name = "errdisable"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"cause" : ("cause", Native.Errdisable.FlapSetting.Cause)}
                self._child_list_classes = {}

                self.cause = Native.Errdisable.FlapSetting.Cause()
                self.cause.parent = self
                self._children_name_map["cause"] = "cause"
                self._children_yang_names.add("cause")
                self._segment_path = lambda: "flap-setting"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/errdisable/%s" % self._segment_path()


            class Cause(Entity):
                """
                Set error disable flap parameters for application
                
                .. attribute:: dtp_flap
                
                	Set the variables related to detection of dtp flaps
                	**type**\:  :py:class:`DtpFlap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.FlapSetting.Cause.DtpFlap>`
                
                .. attribute:: link_flap
                
                	Set the variables related to detection of link flaps
                	**type**\:  :py:class:`LinkFlap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.FlapSetting.Cause.LinkFlap>`
                
                .. attribute:: pagp_flap
                
                	Set the variables related to detection of pagp flaps
                	**type**\:  :py:class:`PagpFlap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.FlapSetting.Cause.PagpFlap>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Errdisable.FlapSetting.Cause, self).__init__()

                    self.yang_name = "cause"
                    self.yang_parent_name = "flap-setting"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dtp-flap" : ("dtp_flap", Native.Errdisable.FlapSetting.Cause.DtpFlap), "link-flap" : ("link_flap", Native.Errdisable.FlapSetting.Cause.LinkFlap), "pagp-flap" : ("pagp_flap", Native.Errdisable.FlapSetting.Cause.PagpFlap)}
                    self._child_list_classes = {}

                    self.dtp_flap = Native.Errdisable.FlapSetting.Cause.DtpFlap()
                    self.dtp_flap.parent = self
                    self._children_name_map["dtp_flap"] = "dtp-flap"
                    self._children_yang_names.add("dtp-flap")

                    self.link_flap = Native.Errdisable.FlapSetting.Cause.LinkFlap()
                    self.link_flap.parent = self
                    self._children_name_map["link_flap"] = "link-flap"
                    self._children_yang_names.add("link-flap")

                    self.pagp_flap = Native.Errdisable.FlapSetting.Cause.PagpFlap()
                    self.pagp_flap.parent = self
                    self._children_name_map["pagp_flap"] = "pagp-flap"
                    self._children_yang_names.add("pagp-flap")
                    self._segment_path = lambda: "cause"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/errdisable/flap-setting/%s" % self._segment_path()


                class DtpFlap(Entity):
                    """
                    Set the variables related to detection of dtp flaps
                    
                    .. attribute:: max_flaps
                    
                    	maximum flaps allowed before setting to errdisable
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    .. attribute:: time
                    
                    	time period the flaps are counted
                    	**type**\: int
                    
                    	**range:** 1..120
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Errdisable.FlapSetting.Cause.DtpFlap, self).__init__()

                        self.yang_name = "dtp-flap"
                        self.yang_parent_name = "cause"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_flaps = YLeaf(YType.uint8, "max-flaps")

                        self.time = YLeaf(YType.uint8, "time")
                        self._segment_path = lambda: "dtp-flap"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/errdisable/flap-setting/cause/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Errdisable.FlapSetting.Cause.DtpFlap, ['max_flaps', 'time'], name, value)


                class LinkFlap(Entity):
                    """
                    Set the variables related to detection of link flaps
                    
                    .. attribute:: max_flaps
                    
                    	maximum flaps allowed before setting to errdisable
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    .. attribute:: time
                    
                    	time period the flaps are counted
                    	**type**\: int
                    
                    	**range:** 1..120
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Errdisable.FlapSetting.Cause.LinkFlap, self).__init__()

                        self.yang_name = "link-flap"
                        self.yang_parent_name = "cause"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_flaps = YLeaf(YType.uint8, "max-flaps")

                        self.time = YLeaf(YType.uint8, "time")
                        self._segment_path = lambda: "link-flap"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/errdisable/flap-setting/cause/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Errdisable.FlapSetting.Cause.LinkFlap, ['max_flaps', 'time'], name, value)


                class PagpFlap(Entity):
                    """
                    Set the variables related to detection of pagp flaps
                    
                    .. attribute:: max_flaps
                    
                    	maximum flaps allowed before setting to errdisable
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    .. attribute:: time
                    
                    	time period the flaps are counted
                    	**type**\: int
                    
                    	**range:** 1..120
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Errdisable.FlapSetting.Cause.PagpFlap, self).__init__()

                        self.yang_name = "pagp-flap"
                        self.yang_parent_name = "cause"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_flaps = YLeaf(YType.uint8, "max-flaps")

                        self.time = YLeaf(YType.uint8, "time")
                        self._segment_path = lambda: "pagp-flap"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/errdisable/flap-setting/cause/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Errdisable.FlapSetting.Cause.PagpFlap, ['max_flaps', 'time'], name, value)


        class Recovery(Entity):
            """
            Error disable recovery
            
            .. attribute:: cause
            
            	Enable error disable recovery for application
            	**type**\:  :py:class:`Cause <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Recovery.Cause>`
            
            .. attribute:: interval
            
            	Error disable recovery timer value
            	**type**\: int
            
            	**range:** 30..86400
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Errdisable.Recovery, self).__init__()

                self.yang_name = "recovery"
                self.yang_parent_name = "errdisable"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"cause" : ("cause", Native.Errdisable.Recovery.Cause)}
                self._child_list_classes = {}

                self.interval = YLeaf(YType.uint32, "interval")

                self.cause = Native.Errdisable.Recovery.Cause()
                self.cause.parent = self
                self._children_name_map["cause"] = "cause"
                self._children_yang_names.add("cause")
                self._segment_path = lambda: "recovery"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/errdisable/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Errdisable.Recovery, ['interval'], name, value)


            class Cause(Entity):
                """
                Enable error disable recovery for application
                
                .. attribute:: all
                
                	Enable timer to recover from all error causes
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: arp_inspection
                
                	Enable timer to recover from arp inspection error disable state
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bpduguard
                
                	Enable timer to recover from BPDU Guard error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: channel_misconfig
                
                	(STP)  Enable timer to recover from channel misconfig error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dhcp_rate_limit
                
                	Enable timer to recover from dhcp\-rate\-limit error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtp_flap
                
                	Enable timer to recover from dtp\-flap error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: gbic_invalid
                
                	Enable timer to recover from invalid GBIC error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inline_power
                
                	Enable timer to recover from inline\-power error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: l2ptguard
                
                	Enable timer to recover from l2protocol\-tunnel error disable state
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link_flap
                
                	Enable timer to recover from link\-flap error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: link_monitor_failure
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: loopback
                
                	Enable timer to recover from loopback error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mac_limit
                
                	Enable timer to recover from mac limit disable state
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mlacp_minlink
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: oam_remote_failure
                
                	
                	**type**\:  :py:class:`OamRemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Errdisable.Recovery.Cause.OamRemoteFailure>`
                
                	**presence node**\: True
                
                .. attribute:: pagp_flap
                
                	Enable timer to recover from pagp\-flap error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: port_mode_failure
                
                	Enable timer to recover from port mode change failure
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pppoe_ia_rate_limit
                
                	Enable timer to recover from PPPoE IA rate\-limit error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: psp
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: psecure_violation
                
                	Enable timer to recover from psecure violation error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: security_violation
                
                	Enable timer to recover from 802.1x violation error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: sfp_config_mismatch
                
                	Enable timer to recover from SFP config mismatch error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: small_frame
                
                	Enable timer to recover from small frame error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: storm_control
                
                	Enable timer to recover from storm\-control error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: udld
                
                	Enable timer to recover from udld error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: unicast_flood
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vmps
                
                	Enable timer to recover from vmps shutdown error
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Errdisable.Recovery.Cause, self).__init__()

                    self.yang_name = "cause"
                    self.yang_parent_name = "recovery"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"oam-remote-failure" : ("oam_remote_failure", Native.Errdisable.Recovery.Cause.OamRemoteFailure)}
                    self._child_list_classes = {}

                    self.all = YLeaf(YType.empty, "all")

                    self.arp_inspection = YLeaf(YType.empty, "arp-inspection")

                    self.bpduguard = YLeaf(YType.empty, "bpduguard")

                    self.channel_misconfig = YLeaf(YType.empty, "channel-misconfig")

                    self.dhcp_rate_limit = YLeaf(YType.empty, "dhcp-rate-limit")

                    self.dtp_flap = YLeaf(YType.empty, "dtp-flap")

                    self.gbic_invalid = YLeaf(YType.empty, "gbic-invalid")

                    self.inline_power = YLeaf(YType.empty, "inline-power")

                    self.l2ptguard = YLeaf(YType.empty, "l2ptguard")

                    self.link_flap = YLeaf(YType.empty, "link-flap")

                    self.link_monitor_failure = YLeaf(YType.empty, "link-monitor-failure")

                    self.loopback = YLeaf(YType.empty, "loopback")

                    self.mac_limit = YLeaf(YType.empty, "mac-limit")

                    self.mlacp_minlink = YLeaf(YType.empty, "mlacp-minlink")

                    self.pagp_flap = YLeaf(YType.empty, "pagp-flap")

                    self.port_mode_failure = YLeaf(YType.empty, "port-mode-failure")

                    self.pppoe_ia_rate_limit = YLeaf(YType.empty, "pppoe-ia-rate-limit")

                    self.psp = YLeaf(YType.empty, "psp")

                    self.psecure_violation = YLeaf(YType.empty, "psecure-violation")

                    self.security_violation = YLeaf(YType.empty, "security-violation")

                    self.sfp_config_mismatch = YLeaf(YType.empty, "sfp-config-mismatch")

                    self.small_frame = YLeaf(YType.empty, "small-frame")

                    self.storm_control = YLeaf(YType.empty, "storm-control")

                    self.udld = YLeaf(YType.empty, "udld")

                    self.unicast_flood = YLeaf(YType.empty, "unicast-flood")

                    self.vmps = YLeaf(YType.empty, "vmps")

                    self.oam_remote_failure = None
                    self._children_name_map["oam_remote_failure"] = "oam-remote-failure"
                    self._children_yang_names.add("oam-remote-failure")
                    self._segment_path = lambda: "cause"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/errdisable/recovery/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Errdisable.Recovery.Cause, ['all', 'arp_inspection', 'bpduguard', 'channel_misconfig', 'dhcp_rate_limit', 'dtp_flap', 'gbic_invalid', 'inline_power', 'l2ptguard', 'link_flap', 'link_monitor_failure', 'loopback', 'mac_limit', 'mlacp_minlink', 'pagp_flap', 'port_mode_failure', 'pppoe_ia_rate_limit', 'psp', 'psecure_violation', 'security_violation', 'sfp_config_mismatch', 'small_frame', 'storm_control', 'udld', 'unicast_flood', 'vmps'], name, value)


                class OamRemoteFailure(Entity):
                    """
                    
                    
                    .. attribute:: critical_event
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dying_gasp
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: link_fault
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Errdisable.Recovery.Cause.OamRemoteFailure, self).__init__()

                        self.yang_name = "oam-remote-failure"
                        self.yang_parent_name = "cause"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.critical_event = YLeaf(YType.empty, "critical-event")

                        self.dying_gasp = YLeaf(YType.empty, "dying-gasp")

                        self.link_fault = YLeaf(YType.empty, "link-fault")
                        self._segment_path = lambda: "oam-remote-failure"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/errdisable/recovery/cause/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Errdisable.Recovery.Cause.OamRemoteFailure, ['critical_event', 'dying_gasp', 'link_fault'], name, value)


    class Identity(Entity):
        """
        Identity Configuration Commands
        
        .. attribute:: profile
        
        	Create an Identity profile
        	**type**\:  :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Identity.Profile>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Identity, self).__init__()

            self.yang_name = "identity"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"profile" : ("profile", Native.Identity.Profile)}
            self._child_list_classes = {}

            self.profile = Native.Identity.Profile()
            self.profile.parent = self
            self._children_name_map["profile"] = "profile"
            self._children_yang_names.add("profile")
            self._segment_path = lambda: "identity"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Profile(Entity):
            """
            Create an Identity profile
            
            .. attribute:: dot1x
            
            	Service type for 802.1x
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: default
            
            	Service type default
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Identity.Profile, self).__init__()

                self.yang_name = "profile"
                self.yang_parent_name = "identity"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.dot1x = YLeaf(YType.empty, "dot1x")

                self.default = YLeaf(YType.empty, "default")
                self._segment_path = lambda: "profile"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/identity/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Identity.Profile, ['dot1x', 'default'], name, value)


    class Monitor(Entity):
        """
        Monitoring different system events
        
        .. attribute:: event_trace
        
        	Tracing of system events
        	**type**\:  :py:class:`EventTrace <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.EventTrace>`
        
        .. attribute:: session
        
        	Configure a SPAN session
        	**type**\: list of  		 :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Monitor, self).__init__()

            self.yang_name = "monitor"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"event-trace" : ("event_trace", Native.Monitor.EventTrace)}
            self._child_list_classes = {"session" : ("session", Native.Monitor.Session)}

            self.event_trace = Native.Monitor.EventTrace()
            self.event_trace.parent = self
            self._children_name_map["event_trace"] = "event-trace"
            self._children_yang_names.add("event-trace")

            self.session = YList(self)
            self._segment_path = lambda: "monitor"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Monitor, [], name, value)


        class EventTrace(Entity):
            """
            Tracing of system events
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Monitor.EventTrace, self).__init__()

                self.yang_name = "event-trace"
                self.yang_parent_name = "monitor"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self._segment_path = lambda: "event-trace"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/monitor/%s" % self._segment_path()


        class Session(Entity):
            """
            Configure a SPAN session
            
            .. attribute:: id  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..66
            
            .. attribute:: destination
            
            	SPAN destination interface or VLAN
            	**type**\:  :py:class:`Destination <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Destination>`
            
            .. attribute:: filter
            
            	SPAN filter VLAN
            	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Filter>`
            
            .. attribute:: source
            
            	SPAN source interface, VLAN 
            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Source>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Monitor.Session, self).__init__()

                self.yang_name = "session"
                self.yang_parent_name = "monitor"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"destination" : ("destination", Native.Monitor.Session.Destination), "filter" : ("filter", Native.Monitor.Session.Filter), "source" : ("source", Native.Monitor.Session.Source)}
                self._child_list_classes = {}

                self.id = YLeaf(YType.uint8, "id")

                self.destination = Native.Monitor.Session.Destination()
                self.destination.parent = self
                self._children_name_map["destination"] = "destination"
                self._children_yang_names.add("destination")

                self.filter = Native.Monitor.Session.Filter()
                self.filter.parent = self
                self._children_name_map["filter"] = "filter"
                self._children_yang_names.add("filter")

                self.source = Native.Monitor.Session.Source()
                self.source.parent = self
                self._children_name_map["source"] = "source"
                self._children_yang_names.add("source")
                self._segment_path = lambda: "session" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/monitor/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Monitor.Session, ['id'], name, value)


            class Destination(Entity):
                """
                SPAN destination interface or VLAN
                
                .. attribute:: interface
                
                	SPAN destination interface
                	**type**\: list of  		 :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Destination.Interface>`
                
                .. attribute:: remote
                
                	SPAN destination Remote
                	**type**\:  :py:class:`Remote <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Destination.Remote>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Monitor.Session.Destination, self).__init__()

                    self.yang_name = "destination"
                    self.yang_parent_name = "session"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"remote" : ("remote", Native.Monitor.Session.Destination.Remote)}
                    self._child_list_classes = {"interface" : ("interface", Native.Monitor.Session.Destination.Interface)}

                    self.remote = Native.Monitor.Session.Destination.Remote()
                    self.remote.parent = self
                    self._children_name_map["remote"] = "remote"
                    self._children_yang_names.add("remote")

                    self.interface = YList(self)
                    self._segment_path = lambda: "destination"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Monitor.Session.Destination, [], name, value)


                class Interface(Entity):
                    """
                    SPAN destination interface
                    
                    .. attribute:: name  <key>
                    
                    	Interface Name
                    	**type**\: str
                    
                    .. attribute:: encapsulation
                    
                    	Set encapsulation for destination interface
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Destination.Interface.Encapsulation>`
                    
                    .. attribute:: ingress
                    
                    	Enable ingress traffic forwarding
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ingress_encap
                    
                    	
                    	**type**\:  :py:class:`IngressEncap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Destination.Interface.IngressEncap>`
                    
                    .. attribute:: vlan
                    
                    	Set default VLAN for untagged ingress traffic
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Monitor.Session.Destination.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "destination"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.ingress = YLeaf(YType.empty, "ingress")

                        self.ingress_encap = YLeaf(YType.enumeration, "ingress-encap")

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "interface" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Monitor.Session.Destination.Interface, ['name', 'encapsulation', 'ingress', 'ingress_encap', 'vlan'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Set encapsulation for destination interface

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: replicate = 2

                        """

                        dot1q = Enum.YLeaf(0, "dot1q")

                        isl = Enum.YLeaf(1, "isl")

                        replicate = Enum.YLeaf(2, "replicate")


                    class IngressEncap(Enum):
                        """
                        IngressEncap

                        .. data:: dot1q = 0

                        .. data:: isl = 1

                        .. data:: untagged = 2

                        """

                        dot1q = Enum.YLeaf(0, "dot1q")

                        isl = Enum.YLeaf(1, "isl")

                        untagged = Enum.YLeaf(2, "untagged")



                class Remote(Entity):
                    """
                    SPAN destination Remote
                    
                    .. attribute:: vlan
                    
                    	Remote SPAN destination RSPAN VLAN
                    	**type**\: int
                    
                    	**range:** 1006..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Monitor.Session.Destination.Remote, self).__init__()

                        self.yang_name = "remote"
                        self.yang_parent_name = "destination"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "remote"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Monitor.Session.Destination.Remote, ['vlan'], name, value)


            class Filter(Entity):
                """
                SPAN filter VLAN
                
                .. attribute:: packet_type
                
                	
                	**type**\:  :py:class:`PacketType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Filter.PacketType>`
                
                .. attribute:: ip
                
                	Specify IP Access control rules
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Filter.Ip>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Monitor.Session.Filter, self).__init__()

                    self.yang_name = "filter"
                    self.yang_parent_name = "session"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"packet-type" : ("packet_type", Native.Monitor.Session.Filter.PacketType), "ip" : ("ip", Native.Monitor.Session.Filter.Ip)}
                    self._child_list_classes = {}

                    self.packet_type = Native.Monitor.Session.Filter.PacketType()
                    self.packet_type.parent = self
                    self._children_name_map["packet_type"] = "packet-type"
                    self._children_yang_names.add("packet-type")

                    self.ip = Native.Monitor.Session.Filter.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "filter"


                class PacketType(Entity):
                    """
                    
                    
                    .. attribute:: status
                    
                    	
                    	**type**\:  :py:class:`Status <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Filter.PacketType.Status>`
                    
                    .. attribute:: direction
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Filter.PacketType.Direction>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Monitor.Session.Filter.PacketType, self).__init__()

                        self.yang_name = "packet-type"
                        self.yang_parent_name = "filter"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.status = YLeaf(YType.enumeration, "status")

                        self.direction = YLeaf(YType.enumeration, "direction")
                        self._segment_path = lambda: "packet-type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Monitor.Session.Filter.PacketType, ['status', 'direction'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: rx = 0

                        .. data:: tx = 1

                        """

                        rx = Enum.YLeaf(0, "rx")

                        tx = Enum.YLeaf(1, "tx")


                    class Status(Enum):
                        """
                        Status

                        .. data:: good = 0

                        .. data:: bad = 1

                        """

                        good = Enum.YLeaf(0, "good")

                        bad = Enum.YLeaf(1, "bad")



                class Ip(Entity):
                    """
                    Specify IP Access control rules
                    
                    .. attribute:: access_group
                    
                    	Specify access control group
                    	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Filter.Ip.AccessGroup>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Monitor.Session.Filter.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "filter"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"access-group" : ("access_group", Native.Monitor.Session.Filter.Ip.AccessGroup)}
                        self._child_list_classes = {}

                        self.access_group = Native.Monitor.Session.Filter.Ip.AccessGroup()
                        self.access_group.parent = self
                        self._children_name_map["access_group"] = "access-group"
                        self._children_yang_names.add("access-group")
                        self._segment_path = lambda: "ip"


                    class AccessGroup(Entity):
                        """
                        Specify access control group
                        
                        .. attribute:: acl_name
                        
                        	Access\-list name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Monitor.Session.Filter.Ip.AccessGroup, self).__init__()

                            self.yang_name = "access-group"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.acl_name = YLeaf(YType.str, "acl-name")
                            self._segment_path = lambda: "access-group"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Monitor.Session.Filter.Ip.AccessGroup, ['acl_name'], name, value)


            class Source(Entity):
                """
                SPAN source interface, VLAN 
                
                .. attribute:: interface
                
                	SPAN source interface
                	**type**\: list of  		 :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Source.Interface>`
                
                .. attribute:: vlan
                
                	SPAN source VLAN
                	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Source.Vlan>`
                
                .. attribute:: remote
                
                	SPAN source Remote
                	**type**\:  :py:class:`Remote <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Source.Remote>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Monitor.Session.Source, self).__init__()

                    self.yang_name = "source"
                    self.yang_parent_name = "session"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"vlan" : ("vlan", Native.Monitor.Session.Source.Vlan), "remote" : ("remote", Native.Monitor.Session.Source.Remote)}
                    self._child_list_classes = {"interface" : ("interface", Native.Monitor.Session.Source.Interface)}

                    self.vlan = Native.Monitor.Session.Source.Vlan()
                    self.vlan.parent = self
                    self._children_name_map["vlan"] = "vlan"
                    self._children_yang_names.add("vlan")

                    self.remote = Native.Monitor.Session.Source.Remote()
                    self.remote.parent = self
                    self._children_name_map["remote"] = "remote"
                    self._children_yang_names.add("remote")

                    self.interface = YList(self)
                    self._segment_path = lambda: "source"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Monitor.Session.Source, [], name, value)


                class Interface(Entity):
                    """
                    SPAN source interface
                    
                    .. attribute:: name  <key>
                    
                    	Interface Name
                    	**type**\: str
                    
                    .. attribute:: direction
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Source.Interface.Direction>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Monitor.Session.Source.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "source"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.direction = YLeaf(YType.enumeration, "direction")
                        self._segment_path = lambda: "interface" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Monitor.Session.Source.Interface, ['name', 'direction'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: both = 0

                        .. data:: rx = 1

                        .. data:: tx = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        rx = Enum.YLeaf(1, "rx")

                        tx = Enum.YLeaf(2, "tx")



                class Vlan(Entity):
                    """
                    SPAN source VLAN
                    
                    .. attribute:: vlan
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: direction
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Monitor.Session.Source.Vlan.Direction>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Monitor.Session.Source.Vlan, self).__init__()

                        self.yang_name = "vlan"
                        self.yang_parent_name = "source"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")

                        self.direction = YLeaf(YType.enumeration, "direction")
                        self._segment_path = lambda: "vlan"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Monitor.Session.Source.Vlan, ['vlan', 'direction'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: both = 0

                        .. data:: rx = 1

                        .. data:: tx = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        rx = Enum.YLeaf(1, "rx")

                        tx = Enum.YLeaf(2, "tx")



                class Remote(Entity):
                    """
                    SPAN source Remote
                    
                    .. attribute:: vlan
                    
                    	Remote SPAN source RSPAN VLAN <1\-1001>\|<1006\-4094>
                    	**type**\: int
                    
                    	**range:** 1..1001 \| 1006..4094
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Monitor.Session.Source.Remote, self).__init__()

                        self.yang_name = "remote"
                        self.yang_parent_name = "source"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "remote"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Monitor.Session.Source.Remote, ['vlan'], name, value)


    class TftpServer(Entity):
        """
        Provide TFTP service for netload requests
        
        .. attribute:: name  <key>
        
        	
        	**type**\: str
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.TftpServer, self).__init__()

            self.yang_name = "tftp-server"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.name = YLeaf(YType.str, "name")
            self._segment_path = lambda: "tftp-server" + "[name='" + self.name.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.TftpServer, ['name'], name, value)


    class RadiusServer(Entity):
        """
        Modify RADIUS query parameters
        
        .. attribute:: attribute
        
        	Customize selected radius attributes
        	**type**\: list of  		 :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Attribute>`
        
        .. attribute:: dead_criteria
        
        	Set the criteria used to decide when a radius server ismarked dead
        	**type**\:  :py:class:`DeadCriteria <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.DeadCriteria>`
        
        .. attribute:: deadtime
        
        	Time to stop using a server that doesn't respond
        	**type**\: int
        
        	**range:** 1..1440
        
        .. attribute:: host
        
        	Specify a RADIUS server
        	**type**\: list of  		 :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Host>`
        
        .. attribute:: key
        
        	encryption key shared with the radius servers
        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Key>`
        
        .. attribute:: retransmit
        
        	Specify the number of retries to active server
        	**type**\: int
        
        	**range:** 1..100
        
        .. attribute:: source_ports
        
        	source ports used for sending out RADIUS requests
        	**type**\:  :py:class:`SourcePorts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.SourcePorts>`
        
        .. attribute:: timeout
        
        	Time to wait for a RADIUS server to reply
        	**type**\: int
        
        	**range:** 1..1000
        
        .. attribute:: vsa
        
        	Vendor specific attribute configuration
        	**type**\:  :py:class:`Vsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Vsa>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.RadiusServer, self).__init__()

            self.yang_name = "radius-server"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-aaa:dead-criteria" : ("dead_criteria", Native.RadiusServer.DeadCriteria), "Cisco-IOS-XE-aaa:key" : ("key", Native.RadiusServer.Key), "Cisco-IOS-XE-aaa:source-ports" : ("source_ports", Native.RadiusServer.SourcePorts), "Cisco-IOS-XE-aaa:vsa" : ("vsa", Native.RadiusServer.Vsa)}
            self._child_list_classes = {"Cisco-IOS-XE-aaa:attribute" : ("attribute", Native.RadiusServer.Attribute), "Cisco-IOS-XE-aaa:host" : ("host", Native.RadiusServer.Host)}

            self.deadtime = YLeaf(YType.uint32, "Cisco-IOS-XE-aaa:deadtime")

            self.retransmit = YLeaf(YType.uint8, "Cisco-IOS-XE-aaa:retransmit")

            self.timeout = YLeaf(YType.uint16, "Cisco-IOS-XE-aaa:timeout")

            self.dead_criteria = Native.RadiusServer.DeadCriteria()
            self.dead_criteria.parent = self
            self._children_name_map["dead_criteria"] = "dead-criteria"
            self._children_yang_names.add("dead-criteria")

            self.key = Native.RadiusServer.Key()
            self.key.parent = self
            self._children_name_map["key"] = "key"
            self._children_yang_names.add("key")

            self.source_ports = Native.RadiusServer.SourcePorts()
            self.source_ports.parent = self
            self._children_name_map["source_ports"] = "source-ports"
            self._children_yang_names.add("source-ports")

            self.vsa = Native.RadiusServer.Vsa()
            self.vsa.parent = self
            self._children_name_map["vsa"] = "vsa"
            self._children_yang_names.add("vsa")

            self.attribute = YList(self)
            self.host = YList(self)
            self._segment_path = lambda: "radius-server"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.RadiusServer, ['deadtime', 'retransmit', 'timeout'], name, value)


        class Attribute(Entity):
            """
            Customize selected radius attributes
            
            .. attribute:: number  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: send_attribute
            
            	
            	**type**\: list of   :py:class:`SendAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Attribute.SendAttribute>`
            
            .. attribute:: access_request
            
            	Access\-Request packet
            	**type**\:  :py:class:`AccessRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Attribute.AccessRequest>`
            
            .. attribute:: attri31
            
            	Calling Station ID
            	**type**\:  :py:class:`Attri31 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Attribute.Attri31>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.RadiusServer.Attribute, self).__init__()

                self.yang_name = "attribute"
                self.yang_parent_name = "radius-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"access-request" : ("access_request", Native.RadiusServer.Attribute.AccessRequest), "attri31" : ("attri31", Native.RadiusServer.Attribute.Attri31)}
                self._child_list_classes = {}

                self.number = YLeaf(YType.uint32, "number")

                self.send_attribute = YLeafList(YType.enumeration, "send-attribute")

                self.access_request = Native.RadiusServer.Attribute.AccessRequest()
                self.access_request.parent = self
                self._children_name_map["access_request"] = "access-request"
                self._children_yang_names.add("access-request")

                self.attri31 = Native.RadiusServer.Attribute.Attri31()
                self.attri31.parent = self
                self._children_name_map["attri31"] = "attri31"
                self._children_yang_names.add("attri31")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:attribute" + "[number='" + self.number.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/radius-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.RadiusServer.Attribute, ['number', 'send_attribute'], name, value)

            class SendAttribute(Enum):
                """
                SendAttribute

                .. data:: on_for_login_auth = 0

                .. data:: include_in_access_req = 1

                .. data:: support_multiple = 2

                """

                on_for_login_auth = Enum.YLeaf(0, "on-for-login-auth")

                include_in_access_req = Enum.YLeaf(1, "include-in-access-req")

                support_multiple = Enum.YLeaf(2, "support-multiple")



            class AccessRequest(Entity):
                """
                Access\-Request packet
                
                .. attribute:: include
                
                	Include attribute
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.RadiusServer.Attribute.AccessRequest, self).__init__()

                    self.yang_name = "access-request"
                    self.yang_parent_name = "attribute"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.include = YLeaf(YType.empty, "include")
                    self._segment_path = lambda: "access-request"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.RadiusServer.Attribute.AccessRequest, ['include'], name, value)


            class Attri31(Entity):
                """
                Calling Station ID
                
                .. attribute:: attri31_list
                
                	
                	**type**\: list of  		 :py:class:`Attri31List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Attribute.Attri31.Attri31List>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.RadiusServer.Attribute.Attri31, self).__init__()

                    self.yang_name = "attri31"
                    self.yang_parent_name = "attribute"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"attri31-list" : ("attri31_list", Native.RadiusServer.Attribute.Attri31.Attri31List)}

                    self.attri31_list = YList(self)
                    self._segment_path = lambda: "attri31"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.RadiusServer.Attribute.Attri31, [], name, value)


                class Attri31List(Entity):
                    """
                    
                    
                    .. attribute:: calling_station_id  <key>
                    
                    	
                    	**type**\:  :py:class:`CallingStationId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Attribute.Attri31.Attri31List.CallingStationId>`
                    
                    .. attribute:: id_mac
                    
                    	
                    	**type**\:  :py:class:`IdMac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Attribute.Attri31.Attri31List.IdMac>`
                    
                    .. attribute:: id_send
                    
                    	
                    	**type**\:  :py:class:`IdSend <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Attribute.Attri31.Attri31List.IdSend>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.RadiusServer.Attribute.Attri31.Attri31List, self).__init__()

                        self.yang_name = "attri31-list"
                        self.yang_parent_name = "attri31"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"id-mac" : ("id_mac", Native.RadiusServer.Attribute.Attri31.Attri31List.IdMac), "id-send" : ("id_send", Native.RadiusServer.Attribute.Attri31.Attri31List.IdSend)}
                        self._child_list_classes = {}

                        self.calling_station_id = YLeaf(YType.enumeration, "calling-station-id")

                        self.id_mac = Native.RadiusServer.Attribute.Attri31.Attri31List.IdMac()
                        self.id_mac.parent = self
                        self._children_name_map["id_mac"] = "id-mac"
                        self._children_yang_names.add("id-mac")

                        self.id_send = Native.RadiusServer.Attribute.Attri31.Attri31List.IdSend()
                        self.id_send.parent = self
                        self._children_name_map["id_send"] = "id-send"
                        self._children_yang_names.add("id-send")
                        self._segment_path = lambda: "attri31-list" + "[calling-station-id='" + self.calling_station_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RadiusServer.Attribute.Attri31.Attri31List, ['calling_station_id'], name, value)

                    class CallingStationId(Enum):
                        """
                        CallingStationId

                        .. data:: mac = 0

                        .. data:: send = 1

                        """

                        mac = Enum.YLeaf(0, "mac")

                        send = Enum.YLeaf(1, "send")



                    class IdMac(Entity):
                        """
                        
                        
                        .. attribute:: format
                        
                        	
                        	**type**\:  :py:class:`Format <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Attribute.Attri31.Attri31List.IdMac.Format>`
                        
                        .. attribute:: lu_case
                        
                        	
                        	**type**\:  :py:class:`LuCase <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Attribute.Attri31.Attri31List.IdMac.LuCase>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.RadiusServer.Attribute.Attri31.Attri31List.IdMac, self).__init__()

                            self.yang_name = "id-mac"
                            self.yang_parent_name = "attri31-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.format = YLeaf(YType.enumeration, "format")

                            self.lu_case = YLeaf(YType.enumeration, "lu-case")
                            self._segment_path = lambda: "id-mac"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RadiusServer.Attribute.Attri31.Attri31List.IdMac, ['format', 'lu_case'], name, value)

                        class Format(Enum):
                            """
                            Format

                            .. data:: ietf = 0

                            """

                            ietf = Enum.YLeaf(0, "ietf")


                        class LuCase(Enum):
                            """
                            LuCase

                            .. data:: lower_case = 0

                            .. data:: upper_case = 1

                            """

                            lower_case = Enum.YLeaf(0, "lower-case")

                            upper_case = Enum.YLeaf(1, "upper-case")



                    class IdSend(Entity):
                        """
                        
                        
                        .. attribute:: nas_port_detail
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mac_only
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.RadiusServer.Attribute.Attri31.Attri31List.IdSend, self).__init__()

                            self.yang_name = "id-send"
                            self.yang_parent_name = "attri31-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.nas_port_detail = YLeaf(YType.empty, "nas-port-detail")

                            self.mac_only = YLeaf(YType.empty, "mac-only")
                            self._segment_path = lambda: "id-send"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RadiusServer.Attribute.Attri31.Attri31List.IdSend, ['nas_port_detail', 'mac_only'], name, value)


        class DeadCriteria(Entity):
            """
            Set the criteria used to decide when a radius server ismarked dead
            
            .. attribute:: time
            
            	The time during which no properly formed response must be recievedfrom the RADIUS server
            	**type**\: int
            
            	**range:** 1..120
            
            .. attribute:: tries
            
            	The number of times the router must fail to recieve a response fromthe radius server to mark it as dead
            	**type**\: int
            
            	**range:** 1..100
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.RadiusServer.DeadCriteria, self).__init__()

                self.yang_name = "dead-criteria"
                self.yang_parent_name = "radius-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.time = YLeaf(YType.uint8, "time")

                self.tries = YLeaf(YType.uint8, "tries")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:dead-criteria"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/radius-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.RadiusServer.DeadCriteria, ['time', 'tries'], name, value)


        class Host(Entity):
            """
            Specify a RADIUS server
            
            .. attribute:: id  <key>
            
            	
            	**type**\: union of the below types:
            
            		**type**\: str
            
            		**type**\: str
            
            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: auth_port
            
            	UDP port for RADIUS authentication server (default is 1645)
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: acct_port
            
            	UDP port for RADIUS accounting server (default is 1646)
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: retransmit
            
            	Specify the number of retries to active server
            	**type**\: int
            
            	**range:** 1..100
            
            .. attribute:: test
            
            	Configure server automated testing
            	**type**\:  :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Host.Test>`
            
            .. attribute:: timeout
            
            	Time to wait for a RADIUS server to reply (overrides default)
            	**type**\: int
            
            	**range:** 1..1000
            
            .. attribute:: key
            
            	per\-server encryption key (overrides default)
            	**type**\: union of the below types:
            
            		**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Host.Key>`
            
            		**type**\: str
            
            .. attribute:: clear_key
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.RadiusServer.Host, self).__init__()

                self.yang_name = "host"
                self.yang_parent_name = "radius-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"test" : ("test", Native.RadiusServer.Host.Test)}
                self._child_list_classes = {}

                self.id = YLeaf(YType.str, "id")

                self.auth_port = YLeaf(YType.uint16, "auth-port")

                self.acct_port = YLeaf(YType.uint16, "acct-port")

                self.retransmit = YLeaf(YType.uint8, "retransmit")

                self.timeout = YLeaf(YType.uint16, "timeout")

                self.key = YLeaf(YType.str, "key")

                self.clear_key = YLeaf(YType.str, "clear-key")

                self.test = Native.RadiusServer.Host.Test()
                self.test.parent = self
                self._children_name_map["test"] = "test"
                self._children_yang_names.add("test")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:host" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/radius-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.RadiusServer.Host, ['id', 'auth_port', 'acct_port', 'retransmit', 'timeout', 'key', 'clear_key'], name, value)

            class Key(Enum):
                """
                Key

                per\-server encryption key (overrides default)

                .. data:: Y_0 = 0

                .. data:: Y_7 = 1

                """

                Y_0 = Enum.YLeaf(0, "0")

                Y_7 = Enum.YLeaf(1, "7")



            class Test(Entity):
                """
                Configure server automated testing
                
                .. attribute:: username
                
                	A name (from local database) that should be used to send requests
                	**type**\: list of  		 :py:class:`Username <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Host.Test.Username>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.RadiusServer.Host.Test, self).__init__()

                    self.yang_name = "test"
                    self.yang_parent_name = "host"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"username" : ("username", Native.RadiusServer.Host.Test.Username)}

                    self.username = YList(self)
                    self._segment_path = lambda: "test"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.RadiusServer.Host.Test, [], name, value)


                class Username(Entity):
                    """
                    A name (from local database) that should be used to send requests.
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: key
                    
                    	per\-server encryption key (overrides default)
                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Host.Test.Username.Key>`
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.RadiusServer.Host.Test.Username, self).__init__()

                        self.yang_name = "username"
                        self.yang_parent_name = "test"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"key" : ("key", Native.RadiusServer.Host.Test.Username.Key)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.key = Native.RadiusServer.Host.Test.Username.Key()
                        self.key.parent = self
                        self._children_name_map["key"] = "key"
                        self._children_yang_names.add("key")
                        self._segment_path = lambda: "username" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RadiusServer.Host.Test.Username, ['name'], name, value)


                    class Key(Entity):
                        """
                        per\-server encryption key (overrides default)
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Host.Test.Username.Key.Encryption>`
                        
                        .. attribute:: clear_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-aaa'
                        _revision = '2017-09-05'

                        def __init__(self):
                            super(Native.RadiusServer.Host.Test.Username.Key, self).__init__()

                            self.yang_name = "key"
                            self.yang_parent_name = "username"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.encryption = YLeaf(YType.enumeration, "encryption")

                            self.clear_key = YLeaf(YType.str, "clear-key")
                            self._segment_path = lambda: "key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.RadiusServer.Host.Test.Username.Key, ['encryption', 'clear_key'], name, value)

                        class Encryption(Enum):
                            """
                            Encryption

                            .. data:: Y_0 = 0

                            .. data:: Y_7 = 1

                            """

                            Y_0 = Enum.YLeaf(0, "0")

                            Y_7 = Enum.YLeaf(1, "7")



        class Key(Entity):
            """
            encryption key shared with the radius servers
            
            .. attribute:: encryption
            
            	
            	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Key.Encryption>`
            
            .. attribute:: clear_key
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.RadiusServer.Key, self).__init__()

                self.yang_name = "key"
                self.yang_parent_name = "radius-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.encryption = YLeaf(YType.enumeration, "encryption")

                self.clear_key = YLeaf(YType.str, "clear-key")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:key"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/radius-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.RadiusServer.Key, ['encryption', 'clear_key'], name, value)

            class Encryption(Enum):
                """
                Encryption

                .. data:: Y_0 = 0

                .. data:: Y_7 = 1

                """

                Y_0 = Enum.YLeaf(0, "0")

                Y_7 = Enum.YLeaf(1, "7")



        class SourcePorts(Entity):
            """
            source ports used for sending out RADIUS requests
            
            .. attribute:: extended
            
            	Use 200 source\-ports between 21645\-21844
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.RadiusServer.SourcePorts, self).__init__()

                self.yang_name = "source-ports"
                self.yang_parent_name = "radius-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.extended = YLeaf(YType.empty, "extended")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:source-ports"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/radius-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.RadiusServer.SourcePorts, ['extended'], name, value)


        class Vsa(Entity):
            """
            Vendor specific attribute configuration
            
            .. attribute:: disallow
            
            	Forbid certain VSA behaviour
            	**type**\:  :py:class:`Disallow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Vsa.Disallow>`
            
            .. attribute:: send
            
            	Send vendor\-specific attributes in requests
            	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Vsa.Send>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.RadiusServer.Vsa, self).__init__()

                self.yang_name = "vsa"
                self.yang_parent_name = "radius-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"disallow" : ("disallow", Native.RadiusServer.Vsa.Disallow), "send" : ("send", Native.RadiusServer.Vsa.Send)}
                self._child_list_classes = {}

                self.disallow = Native.RadiusServer.Vsa.Disallow()
                self.disallow.parent = self
                self._children_name_map["disallow"] = "disallow"
                self._children_yang_names.add("disallow")

                self.send = None
                self._children_name_map["send"] = "send"
                self._children_yang_names.add("send")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:vsa"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/radius-server/%s" % self._segment_path()


            class Disallow(Entity):
                """
                Forbid certain VSA behaviour
                
                .. attribute:: unknown
                
                	Forbid unknown VSAs
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.RadiusServer.Vsa.Disallow, self).__init__()

                    self.yang_name = "disallow"
                    self.yang_parent_name = "vsa"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.unknown = YLeaf(YType.empty, "unknown")
                    self._segment_path = lambda: "disallow"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/radius-server/Cisco-IOS-XE-aaa:vsa/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.RadiusServer.Vsa.Disallow, ['unknown'], name, value)


            class Send(Entity):
                """
                Send vendor\-specific attributes in requests
                
                .. attribute:: accounting
                
                	Send in accounting requests
                	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Vsa.Send.Accounting>`
                
                	**presence node**\: True
                
                .. attribute:: authentication
                
                	Send in access requests
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Vsa.Send.Authentication>`
                
                	**presence node**\: True
                
                .. attribute:: cisco_nas_port
                
                	Send cisco\-nas\-port VSA(2)
                	**type**\:  :py:class:`CiscoNasPort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.RadiusServer.Vsa.Send.CiscoNasPort>`
                
                	**presence node**\: True
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.RadiusServer.Vsa.Send, self).__init__()

                    self.yang_name = "send"
                    self.yang_parent_name = "vsa"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"accounting" : ("accounting", Native.RadiusServer.Vsa.Send.Accounting), "authentication" : ("authentication", Native.RadiusServer.Vsa.Send.Authentication), "cisco-nas-port" : ("cisco_nas_port", Native.RadiusServer.Vsa.Send.CiscoNasPort)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.accounting = None
                    self._children_name_map["accounting"] = "accounting"
                    self._children_yang_names.add("accounting")

                    self.authentication = None
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.cisco_nas_port = None
                    self._children_name_map["cisco_nas_port"] = "cisco-nas-port"
                    self._children_yang_names.add("cisco-nas-port")
                    self._segment_path = lambda: "send"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/radius-server/Cisco-IOS-XE-aaa:vsa/%s" % self._segment_path()


                class Accounting(Entity):
                    """
                    Send in accounting requests
                    
                    .. attribute:: threegpp2
                    
                    	Send 3GPP2 VSAs in accounting requests
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.RadiusServer.Vsa.Send.Accounting, self).__init__()

                        self.yang_name = "accounting"
                        self.yang_parent_name = "send"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.threegpp2 = YLeaf(YType.empty, "threegpp2")
                        self._segment_path = lambda: "accounting"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/radius-server/Cisco-IOS-XE-aaa:vsa/send/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RadiusServer.Vsa.Send.Accounting, ['threegpp2'], name, value)


                class Authentication(Entity):
                    """
                    Send in access requests
                    
                    .. attribute:: threegpp2
                    
                    	Send 3GPP2 VSAs in accounting requests
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.RadiusServer.Vsa.Send.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "send"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.threegpp2 = YLeaf(YType.empty, "threegpp2")
                        self._segment_path = lambda: "authentication"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/radius-server/Cisco-IOS-XE-aaa:vsa/send/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RadiusServer.Vsa.Send.Authentication, ['threegpp2'], name, value)


                class CiscoNasPort(Entity):
                    """
                    Send cisco\-nas\-port VSA(2)
                    
                    .. attribute:: threegpp2
                    
                    	Send 3GPP2 VSAs in accounting requests
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.RadiusServer.Vsa.Send.CiscoNasPort, self).__init__()

                        self.yang_name = "cisco-nas-port"
                        self.yang_parent_name = "send"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.threegpp2 = YLeaf(YType.empty, "threegpp2")
                        self._segment_path = lambda: "cisco-nas-port"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/radius-server/Cisco-IOS-XE-aaa:vsa/send/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.RadiusServer.Vsa.Send.CiscoNasPort, ['threegpp2'], name, value)


    class Radius(Entity):
        """
        RADIUS server configuration command
        
        .. attribute:: filter
        
        	Packet filter configuration
        	**type**\: list of  		 :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Filter>`
        
        .. attribute:: server
        
        	Server configuration
        	**type**\: list of  		 :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Radius, self).__init__()

            self.yang_name = "radius"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-aaa:filter" : ("filter", Native.Radius.Filter), "Cisco-IOS-XE-aaa:server" : ("server", Native.Radius.Server)}

            self.filter = YList(self)
            self.server = YList(self)
            self._segment_path = lambda: "radius"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Radius, [], name, value)


        class Filter(Entity):
            """
            Packet filter configuration
            
            .. attribute:: id  <key>
            
            	
            	**type**\: str
            
            .. attribute:: match
            
            	
            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Filter.Match>`
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Radius.Filter, self).__init__()

                self.yang_name = "filter"
                self.yang_parent_name = "radius"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.id = YLeaf(YType.str, "id")

                self.match = YLeaf(YType.enumeration, "match")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:filter" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/radius/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Radius.Filter, ['id', 'match'], name, value)

            class Match(Enum):
                """
                Match

                .. data:: match_all = 0

                .. data:: match_any = 1

                """

                match_all = Enum.YLeaf(0, "match-all")

                match_any = Enum.YLeaf(1, "match-any")



        class Server(Entity):
            """
            Server configuration
            
            .. attribute:: id  <key>
            
            	
            	**type**\: str
            
            .. attribute:: address
            
            	Specify the radius server address
            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Address>`
            
            .. attribute:: automate_tester
            
            	Configure server automated testing
            	**type**\:  :py:class:`AutomateTester <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.AutomateTester>`
            
            .. attribute:: backoff
            
            	Retry backoff pattern(Default is retransmits with constant delay)
            	**type**\:  :py:class:`Backoff <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Backoff>`
            
            .. attribute:: key
            
            	Per\-server encryption key
            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Key>`
            
            .. attribute:: pac
            
            	Protected Access Credential key
            	**type**\:  :py:class:`Pac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Pac>`
            
            .. attribute:: retransmit
            
            	Number of retries to active server (overrides default)
            	**type**\: int
            
            	**range:** 0..100
            
            

            """

            _prefix = 'ios-aaa'
            _revision = '2017-09-05'

            def __init__(self):
                super(Native.Radius.Server, self).__init__()

                self.yang_name = "server"
                self.yang_parent_name = "radius"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"address" : ("address", Native.Radius.Server.Address), "automate-tester" : ("automate_tester", Native.Radius.Server.AutomateTester), "backoff" : ("backoff", Native.Radius.Server.Backoff), "key" : ("key", Native.Radius.Server.Key), "pac" : ("pac", Native.Radius.Server.Pac)}
                self._child_list_classes = {}

                self.id = YLeaf(YType.str, "id")

                self.retransmit = YLeaf(YType.uint8, "retransmit")

                self.address = Native.Radius.Server.Address()
                self.address.parent = self
                self._children_name_map["address"] = "address"
                self._children_yang_names.add("address")

                self.automate_tester = Native.Radius.Server.AutomateTester()
                self.automate_tester.parent = self
                self._children_name_map["automate_tester"] = "automate-tester"
                self._children_yang_names.add("automate-tester")

                self.backoff = Native.Radius.Server.Backoff()
                self.backoff.parent = self
                self._children_name_map["backoff"] = "backoff"
                self._children_yang_names.add("backoff")

                self.key = Native.Radius.Server.Key()
                self.key.parent = self
                self._children_name_map["key"] = "key"
                self._children_yang_names.add("key")

                self.pac = Native.Radius.Server.Pac()
                self.pac.parent = self
                self._children_name_map["pac"] = "pac"
                self._children_yang_names.add("pac")
                self._segment_path = lambda: "Cisco-IOS-XE-aaa:server" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/radius/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Radius.Server, ['id', 'retransmit'], name, value)


            class Address(Entity):
                """
                Specify the radius server address
                
                .. attribute:: ipv4
                
                	IPv4 Address
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Address.Ipv4>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Radius.Server.Address, self).__init__()

                    self.yang_name = "address"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Radius.Server.Address.Ipv4)}
                    self._child_list_classes = {}

                    self.ipv4 = Native.Radius.Server.Address.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")
                    self._segment_path = lambda: "address"


                class Ipv4(Entity):
                    """
                    IPv4 Address
                    
                    .. attribute:: host
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: auth_port
                    
                    	UDP port for RADIUS authentication server (default is 1645)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: acct_port
                    
                    	UDP port for RADIUS accounting server (default is 1646)
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Radius.Server.Address.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "address"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.host = YLeaf(YType.str, "host")

                        self.auth_port = YLeaf(YType.uint16, "auth-port")

                        self.acct_port = YLeaf(YType.uint16, "acct-port")
                        self._segment_path = lambda: "ipv4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Radius.Server.Address.Ipv4, ['host', 'auth_port', 'acct_port'], name, value)


            class AutomateTester(Entity):
                """
                Configure server automated testing.
                
                .. attribute:: username
                
                	
                	**type**\: str
                
                .. attribute:: at_option
                
                	
                	**type**\:  :py:class:`AtOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.AutomateTester.AtOption>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Radius.Server.AutomateTester, self).__init__()

                    self.yang_name = "automate-tester"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.username = YLeaf(YType.str, "username")

                    self.at_option = YLeaf(YType.enumeration, "at-option")
                    self._segment_path = lambda: "automate-tester"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Radius.Server.AutomateTester, ['username', 'at_option'], name, value)

                class AtOption(Enum):
                    """
                    AtOption

                    .. data:: probe_on = 0

                    """

                    probe_on = Enum.YLeaf(0, "probe-on")



            class Backoff(Entity):
                """
                Retry backoff pattern(Default is retransmits with constant delay)
                
                .. attribute:: exponential
                
                	Exponential retransmit backoff
                	**type**\:  :py:class:`Exponential <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Backoff.Exponential>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Radius.Server.Backoff, self).__init__()

                    self.yang_name = "backoff"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"exponential" : ("exponential", Native.Radius.Server.Backoff.Exponential)}
                    self._child_list_classes = {}

                    self.exponential = None
                    self._children_name_map["exponential"] = "exponential"
                    self._children_yang_names.add("exponential")
                    self._segment_path = lambda: "backoff"


                class Exponential(Entity):
                    """
                    Exponential retransmit backoff
                    
                    .. attribute:: max_delay
                    
                    	Max delay between retransmits(default is 3 min)
                    	**type**\: int
                    
                    	**range:** 1..120
                    
                    .. attribute:: backoff_retry
                    
                    	Exponential backoff retry number(default is 8)
                    	**type**\: int
                    
                    	**range:** 1..50
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Radius.Server.Backoff.Exponential, self).__init__()

                        self.yang_name = "exponential"
                        self.yang_parent_name = "backoff"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max_delay = YLeaf(YType.uint8, "max-delay")

                        self.backoff_retry = YLeaf(YType.uint8, "backoff-retry")
                        self._segment_path = lambda: "exponential"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Radius.Server.Backoff.Exponential, ['max_delay', 'backoff_retry'], name, value)


            class Key(Entity):
                """
                Per\-server encryption key
                
                .. attribute:: encryption
                
                	
                	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Key.Encryption>`
                
                .. attribute:: key
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Radius.Server.Key, self).__init__()

                    self.yang_name = "key"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.encryption = YLeaf(YType.enumeration, "encryption")

                    self.key = YLeaf(YType.str, "key")
                    self._segment_path = lambda: "key"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Radius.Server.Key, ['encryption', 'key'], name, value)

                class Encryption(Enum):
                    """
                    Encryption

                    .. data:: Y_0 = 0

                    .. data:: Y_5 = 1

                    """

                    Y_0 = Enum.YLeaf(0, "0")

                    Y_5 = Enum.YLeaf(1, "5")



            class Pac(Entity):
                """
                Protected Access Credential key
                
                .. attribute:: key
                
                	Per\-server encryption key
                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Pac.Key>`
                
                

                """

                _prefix = 'ios-aaa'
                _revision = '2017-09-05'

                def __init__(self):
                    super(Native.Radius.Server.Pac, self).__init__()

                    self.yang_name = "pac"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"key" : ("key", Native.Radius.Server.Pac.Key)}
                    self._child_list_classes = {}

                    self.key = Native.Radius.Server.Pac.Key()
                    self.key.parent = self
                    self._children_name_map["key"] = "key"
                    self._children_yang_names.add("key")
                    self._segment_path = lambda: "pac"


                class Key(Entity):
                    """
                    Per\-server encryption key
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Radius.Server.Pac.Key.Encryption>`
                    
                    .. attribute:: key
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-aaa'
                    _revision = '2017-09-05'

                    def __init__(self):
                        super(Native.Radius.Server.Pac.Key, self).__init__()

                        self.yang_name = "key"
                        self.yang_parent_name = "pac"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.encryption = YLeaf(YType.enumeration, "encryption")

                        self.key = YLeaf(YType.str, "key")
                        self._segment_path = lambda: "key"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Radius.Server.Pac.Key, ['encryption', 'key'], name, value)

                    class Encryption(Enum):
                        """
                        Encryption

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        .. data:: Y_7 = 2

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        Y_6 = Enum.YLeaf(1, "6")

                        Y_7 = Enum.YLeaf(2, "7")



    class Zone(Entity):
        """
        FW with zoning
        
        .. attribute:: security
        
        	Security zone
        	**type**\: list of  		 :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Zone.Security>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Zone, self).__init__()

            self.yang_name = "zone"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-zone:security" : ("security", Native.Zone.Security)}

            self.security = YList(self)
            self._segment_path = lambda: "zone"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Zone, [], name, value)


        class Security(Entity):
            """
            Security zone
            
            .. attribute:: id  <key>
            
            	
            	**type**\: str
            
            .. attribute:: description
            
            	Zone description
            	**type**\: str
            
            .. attribute:: protection
            
            	config sync cookie protection against sync flood
            	**type**\: str
            
            

            """

            _prefix = 'ios-zone'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Zone.Security, self).__init__()

                self.yang_name = "security"
                self.yang_parent_name = "zone"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.id = YLeaf(YType.str, "id")

                self.description = YLeaf(YType.str, "description")

                self.protection = YLeaf(YType.str, "protection")
                self._segment_path = lambda: "Cisco-IOS-XE-zone:security" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/zone/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Zone.Security, ['id', 'description', 'protection'], name, value)


    class ZonePair(Entity):
        """
        Zone pair command
        
        .. attribute:: security
        
        	Zone\-pair name
        	**type**\: list of  		 :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ZonePair.Security>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.ZonePair, self).__init__()

            self.yang_name = "zone-pair"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-zone:security" : ("security", Native.ZonePair.Security)}

            self.security = YList(self)
            self._segment_path = lambda: "zone-pair"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.ZonePair, [], name, value)


        class Security(Entity):
            """
            Zone\-pair name
            
            .. attribute:: id  <key>
            
            	
            	**type**\: str
            
            .. attribute:: source
            
            	Source zone
            	**type**\: str
            
            .. attribute:: destination
            
            	Destination zone
            	**type**\: str
            
            .. attribute:: description
            
            	Zone description
            	**type**\: str
            
            	**length:** 1..200
            
            .. attribute:: service_policy
            
            	Configure CBAC Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ZonePair.Security.ServicePolicy>`
            
            

            """

            _prefix = 'ios-zone'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.ZonePair.Security, self).__init__()

                self.yang_name = "security"
                self.yang_parent_name = "zone-pair"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"service-policy" : ("service_policy", Native.ZonePair.Security.ServicePolicy)}
                self._child_list_classes = {}

                self.id = YLeaf(YType.str, "id")

                self.source = YLeaf(YType.str, "source")

                self.destination = YLeaf(YType.str, "destination")

                self.description = YLeaf(YType.str, "description")

                self.service_policy = Native.ZonePair.Security.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")
                self._segment_path = lambda: "Cisco-IOS-XE-zone:security" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/zone-pair/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ZonePair.Security, ['id', 'source', 'destination', 'description'], name, value)


            class ServicePolicy(Entity):
                """
                Configure CBAC Service Policy
                
                .. attribute:: type
                
                	Service Policy type
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ZonePair.Security.ServicePolicy.Type>`
                
                

                """

                _prefix = 'ios-zone'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ZonePair.Security.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "security"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"type" : ("type", Native.ZonePair.Security.ServicePolicy.Type)}
                    self._child_list_classes = {}

                    self.type = Native.ZonePair.Security.ServicePolicy.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "service-policy"


                class Type(Entity):
                    """
                    Service Policy type
                    
                    .. attribute:: inspect
                    
                    	Configure CBAC Service Policy type inspect
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-zone'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ZonePair.Security.ServicePolicy.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inspect = YLeaf(YType.str, "inspect")
                        self._segment_path = lambda: "type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ZonePair.Security.ServicePolicy.Type, ['inspect'], name, value)


    class AlarmContact(Entity):
        """
        
        
        .. attribute:: name  <key>
        
        	
        	**type**\: int
        
        	**range:** 1..4
        
        .. attribute:: description
        
        	
        	**type**\: str
        
        	**length:** 1..80
        
        .. attribute:: severity
        
        	
        	**type**\:  :py:class:`Severity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AlarmContact.Severity>`
        
        .. attribute:: trigger
        
        	
        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AlarmContact.Trigger>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.AlarmContact, self).__init__()

            self.yang_name = "alarm-contact"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.name = YLeaf(YType.uint8, "name")

            self.description = YLeaf(YType.str, "description")

            self.severity = YLeaf(YType.enumeration, "severity")

            self.trigger = YLeaf(YType.enumeration, "trigger")
            self._segment_path = lambda: "alarm-contact" + "[name='" + self.name.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.AlarmContact, ['name', 'description', 'severity', 'trigger'], name, value)

        class Severity(Enum):
            """
            Severity

            .. data:: critical = 0

            .. data:: major = 1

            .. data:: minor = 2

            """

            critical = Enum.YLeaf(0, "critical")

            major = Enum.YLeaf(1, "major")

            minor = Enum.YLeaf(2, "minor")


        class Trigger(Enum):
            """
            Trigger

            .. data:: open = 0

            .. data:: closed = 1

            """

            open = Enum.YLeaf(0, "open")

            closed = Enum.YLeaf(1, "closed")



    class Ethernet(Entity):
        """
        Ethernet configuration
        
        .. attribute:: evc
        
        	define an Ethernet virtual connection (EVC)
        	**type**\: list of  		 :py:class:`Evc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Evc>`
        
        .. attribute:: lmi
        
        	Local Management Interface
        	**type**\:  :py:class:`Lmi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Lmi>`
        
        .. attribute:: cfm
        
        	Connectivity Fault Management
        	**type**\:  :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Ethernet, self).__init__()

            self.yang_name = "ethernet"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-ethernet:lmi" : ("lmi", Native.Ethernet.Lmi), "Cisco-IOS-XE-ethernet:cfm" : ("cfm", Native.Ethernet.Cfm)}
            self._child_list_classes = {"Cisco-IOS-XE-ethernet:evc" : ("evc", Native.Ethernet.Evc)}

            self.lmi = Native.Ethernet.Lmi()
            self.lmi.parent = self
            self._children_name_map["lmi"] = "lmi"
            self._children_yang_names.add("lmi")

            self.cfm = Native.Ethernet.Cfm()
            self.cfm.parent = self
            self._children_name_map["cfm"] = "cfm"
            self._children_yang_names.add("cfm")

            self.evc = YList(self)
            self._segment_path = lambda: "ethernet"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Ethernet, [], name, value)


        class Evc(Entity):
            """
            define an Ethernet virtual connection (EVC)
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            	**length:** 1..100
            
            

            """

            _prefix = 'ios-eth'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ethernet.Evc, self).__init__()

                self.yang_name = "evc"
                self.yang_parent_name = "ethernet"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")
                self._segment_path = lambda: "Cisco-IOS-XE-ethernet:evc" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ethernet.Evc, ['name'], name, value)


        class Lmi(Entity):
            """
            Local Management Interface
            
            .. attribute:: ce
            
            	Ethernet LMI Customer Edge
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: global_
            
            	Ethernet LMI is enabled on all supported Interfaces
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-eth'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ethernet.Lmi, self).__init__()

                self.yang_name = "lmi"
                self.yang_parent_name = "ethernet"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.ce = YLeaf(YType.empty, "ce")

                self.global_ = YLeaf(YType.empty, "global")
                self._segment_path = lambda: "Cisco-IOS-XE-ethernet:lmi"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ethernet.Lmi, ['ce', 'global_'], name, value)


        class Cfm(Entity):
            """
            Connectivity Fault Management
            
            .. attribute:: ais
            
            	AIS Maintenance Condition
            	**type**\:  :py:class:`Ais <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Ais>`
            
            .. attribute:: alarm
            
            	CFM Alarm
            	**type**\:  :py:class:`Alarm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Alarm>`
            
            .. attribute:: ieee
            
            	CFM IEEE enable
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: global_
            
            	CFM global enable
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: domain
            
            	Configure a domain
            	**type**\: list of  		 :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Domain>`
            
            .. attribute:: logging
            
            	Enable CFM syslog messages
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Logging>`
            
            	**presence node**\: True
            
            .. attribute:: mep
            
            	Maintenance End Point
            	**type**\:  :py:class:`Mep <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Mep>`
            
            .. attribute:: mip
            
            	CFM MIP commands
            	**type**\:  :py:class:`Mip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Mip>`
            
            .. attribute:: traceroute
            
            	CFM Traceroute
            	**type**\:  :py:class:`Traceroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Traceroute>`
            
            

            """

            _prefix = 'ios-eth'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ethernet.Cfm, self).__init__()

                self.yang_name = "cfm"
                self.yang_parent_name = "ethernet"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ais" : ("ais", Native.Ethernet.Cfm.Ais), "alarm" : ("alarm", Native.Ethernet.Cfm.Alarm), "logging" : ("logging", Native.Ethernet.Cfm.Logging), "mep" : ("mep", Native.Ethernet.Cfm.Mep), "mip" : ("mip", Native.Ethernet.Cfm.Mip), "traceroute" : ("traceroute", Native.Ethernet.Cfm.Traceroute)}
                self._child_list_classes = {"domain" : ("domain", Native.Ethernet.Cfm.Domain)}

                self.ieee = YLeaf(YType.empty, "ieee")

                self.global_ = YLeaf(YType.empty, "global")

                self.ais = Native.Ethernet.Cfm.Ais()
                self.ais.parent = self
                self._children_name_map["ais"] = "ais"
                self._children_yang_names.add("ais")

                self.alarm = Native.Ethernet.Cfm.Alarm()
                self.alarm.parent = self
                self._children_name_map["alarm"] = "alarm"
                self._children_yang_names.add("alarm")

                self.logging = None
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.mep = Native.Ethernet.Cfm.Mep()
                self.mep.parent = self
                self._children_name_map["mep"] = "mep"
                self._children_yang_names.add("mep")

                self.mip = Native.Ethernet.Cfm.Mip()
                self.mip.parent = self
                self._children_name_map["mip"] = "mip"
                self._children_yang_names.add("mip")

                self.traceroute = Native.Ethernet.Cfm.Traceroute()
                self.traceroute.parent = self
                self._children_name_map["traceroute"] = "traceroute"
                self._children_yang_names.add("traceroute")

                self.domain = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-ethernet:cfm"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ethernet.Cfm, ['ieee', 'global_'], name, value)


            class Ais(Entity):
                """
                AIS Maintenance Condition
                
                .. attribute:: link_status
                
                	8023ah SMEP or link state up/down
                	**type**\:  :py:class:`LinkStatus <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Ais.LinkStatus>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ethernet.Cfm.Ais, self).__init__()

                    self.yang_name = "ais"
                    self.yang_parent_name = "cfm"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"link-status" : ("link_status", Native.Ethernet.Cfm.Ais.LinkStatus)}
                    self._child_list_classes = {}

                    self.link_status = Native.Ethernet.Cfm.Ais.LinkStatus()
                    self.link_status.parent = self
                    self._children_name_map["link_status"] = "link-status"
                    self._children_yang_names.add("link-status")
                    self._segment_path = lambda: "ais"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/%s" % self._segment_path()


                class LinkStatus(Entity):
                    """
                    8023ah SMEP or link state up/down
                    
                    .. attribute:: global_
                    
                    	8023ah SMEP or link state state up/down AIS global configuration
                    	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Ais.LinkStatus.Global_>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ethernet.Cfm.Ais.LinkStatus, self).__init__()

                        self.yang_name = "link-status"
                        self.yang_parent_name = "ais"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"global" : ("global_", Native.Ethernet.Cfm.Ais.LinkStatus.Global_)}
                        self._child_list_classes = {}

                        self.global_ = None
                        self._children_name_map["global_"] = "global"
                        self._children_yang_names.add("global")
                        self._segment_path = lambda: "link-status"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/ais/%s" % self._segment_path()


                    class Global_(Entity):
                        """
                        8023ah SMEP or link state state up/down AIS global configuration
                        
                        .. attribute:: cfm_mode__config_ais_link_cfm
                        
                        	
                        	**type**\:  :py:class:`CfmModeConfigaislinkcfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmModeConfigaislinkcfm>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ethernet.Cfm.Ais.LinkStatus.Global_, self).__init__()

                            self.yang_name = "global"
                            self.yang_parent_name = "link-status"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"cfm-Mode__config-ais-link-cfm" : ("cfm_mode__config_ais_link_cfm", Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmModeConfigaislinkcfm)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cfm_mode__config_ais_link_cfm = Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmModeConfigaislinkcfm()
                            self.cfm_mode__config_ais_link_cfm.parent = self
                            self._children_name_map["cfm_mode__config_ais_link_cfm"] = "cfm-Mode__config-ais-link-cfm"
                            self._children_yang_names.add("cfm-Mode__config-ais-link-cfm")
                            self._segment_path = lambda: "global"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/ais/link-status/%s" % self._segment_path()


                        class CfmModeConfigaislinkcfm(Entity):
                            """
                            
                            
                            .. attribute:: disable
                            
                            	Disable AIS transmission
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: level
                            
                            	Maintenance Level
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: period
                            
                            	AIS Transmission period
                            	**type**\:  :py:class:`Period <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmModeConfigaislinkcfm.Period>`
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmModeConfigaislinkcfm, self).__init__()

                                self.yang_name = "cfm-Mode__config-ais-link-cfm"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"period" : ("period", Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmModeConfigaislinkcfm.Period)}
                                self._child_list_classes = {}

                                self.disable = YLeaf(YType.empty, "disable")

                                self.level = YLeaf(YType.uint8, "level")

                                self.period = Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmModeConfigaislinkcfm.Period()
                                self.period.parent = self
                                self._children_name_map["period"] = "period"
                                self._children_yang_names.add("period")
                                self._segment_path = lambda: "cfm-Mode__config-ais-link-cfm"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/ais/link-status/global/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmModeConfigaislinkcfm, ['disable', 'level'], name, value)


                            class Period(Entity):
                                """
                                AIS Transmission period
                                
                                .. attribute:: tp_1
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tp_60
                                
                                	Seconds
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eth'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmModeConfigaislinkcfm.Period, self).__init__()

                                    self.yang_name = "period"
                                    self.yang_parent_name = "cfm-Mode__config-ais-link-cfm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.tp_1 = YLeaf(YType.empty, "tp-1")

                                    self.tp_60 = YLeaf(YType.empty, "tp-60")
                                    self._segment_path = lambda: "period"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/ais/link-status/global/cfm-Mode__config-ais-link-cfm/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Ethernet.Cfm.Ais.LinkStatus.Global_.CfmModeConfigaislinkcfm.Period, ['tp_1', 'tp_60'], name, value)


            class Alarm(Entity):
                """
                CFM Alarm
                
                .. attribute:: delay
                
                	msec (default 2500 msec)
                	**type**\: int
                
                	**range:** 2500..10000
                
                .. attribute:: notification
                
                	CFM alarm notification
                	**type**\:  :py:class:`Notification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Alarm.Notification>`
                
                .. attribute:: packet
                
                	max DefError and DefXcon packets
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: reset
                
                	msec (default 10000 msec)
                	**type**\: int
                
                	**range:** 2500..10000
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ethernet.Cfm.Alarm, self).__init__()

                    self.yang_name = "alarm"
                    self.yang_parent_name = "cfm"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"notification" : ("notification", Native.Ethernet.Cfm.Alarm.Notification)}
                    self._child_list_classes = {}

                    self.delay = YLeaf(YType.uint16, "delay")

                    self.packet = YLeaf(YType.uint16, "packet")

                    self.reset = YLeaf(YType.uint16, "reset")

                    self.notification = Native.Ethernet.Cfm.Alarm.Notification()
                    self.notification.parent = self
                    self._children_name_map["notification"] = "notification"
                    self._children_yang_names.add("notification")
                    self._segment_path = lambda: "alarm"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ethernet.Cfm.Alarm, ['delay', 'packet', 'reset'], name, value)


                class Notification(Entity):
                    """
                    CFM alarm notification
                    
                    .. attribute:: all
                    
                    	Report all defects\: DefRDI, DefMACStatus, DefRemote, DefError, DefXcon
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: error_xcon
                    
                    	Report only\: DefError and DefXcon
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mac_remote_error_xcon
                    
                    	Report only\: DefMACStatus, DefRemote, DefError and DefXcon (default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: none
                    
                    	No defects to be reported
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: remote_error_xcon
                    
                    	Report only\: DefRemote, DefError and DefXcon
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xcon
                    
                    	Report only\: DefXcon
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ethernet.Cfm.Alarm.Notification, self).__init__()

                        self.yang_name = "notification"
                        self.yang_parent_name = "alarm"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.all = YLeaf(YType.empty, "all")

                        self.error_xcon = YLeaf(YType.empty, "error-xcon")

                        self.mac_remote_error_xcon = YLeaf(YType.empty, "mac-remote-error-xcon")

                        self.none = YLeaf(YType.empty, "none")

                        self.remote_error_xcon = YLeaf(YType.empty, "remote-error-xcon")

                        self.xcon = YLeaf(YType.empty, "xcon")
                        self._segment_path = lambda: "notification"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/alarm/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ethernet.Cfm.Alarm.Notification, ['all', 'error_xcon', 'mac_remote_error_xcon', 'none', 'remote_error_xcon', 'xcon'], name, value)


            class Domain(Entity):
                """
                Configure a domain
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: level
                
                	Maintenance Level
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: service
                
                	Maintenance Association within Domain
                	**type**\: list of  		 :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Domain.Service>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ethernet.Cfm.Domain, self).__init__()

                    self.yang_name = "domain"
                    self.yang_parent_name = "cfm"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"service" : ("service", Native.Ethernet.Cfm.Domain.Service)}

                    self.name = YLeaf(YType.str, "name")

                    self.level = YLeaf(YType.uint8, "level")

                    self.service = YList(self)
                    self._segment_path = lambda: "domain" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ethernet.Cfm.Domain, ['name', 'level'], name, value)


                class Service(Entity):
                    """
                    Maintenance Association within Domain
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: evc
                    
                    	Specify EVC
                    	**type**\: str
                    
                    .. attribute:: vlan
                    
                    	VLAN id
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    .. attribute:: continuity_check
                    
                    	Enable Continuity Check for Maintenance Association
                    	**type**\:  :py:class:`ContinuityCheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Domain.Service.ContinuityCheck>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ethernet.Cfm.Domain.Service, self).__init__()

                        self.yang_name = "service"
                        self.yang_parent_name = "domain"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"continuity-check" : ("continuity_check", Native.Ethernet.Cfm.Domain.Service.ContinuityCheck)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.evc = YLeaf(YType.str, "evc")

                        self.vlan = YLeaf(YType.uint16, "vlan")

                        self.continuity_check = None
                        self._children_name_map["continuity_check"] = "continuity-check"
                        self._children_yang_names.add("continuity-check")
                        self._segment_path = lambda: "service" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ethernet.Cfm.Domain.Service, ['name', 'evc', 'vlan'], name, value)


                    class ContinuityCheck(Entity):
                        """
                        Enable Continuity Check for Maintenance Association
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ethernet.Cfm.Domain.Service.ContinuityCheck, self).__init__()

                            self.yang_name = "continuity-check"
                            self.yang_parent_name = "service"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "continuity-check"


            class Logging(Entity):
                """
                Enable CFM syslog messages
                
                .. attribute:: ais
                
                	AIS logging
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: alarm
                
                	Alarm logging
                	**type**\:  :py:class:`Alarm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Logging.Alarm>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ethernet.Cfm.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "cfm"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"alarm" : ("alarm", Native.Ethernet.Cfm.Logging.Alarm)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.ais = YLeaf(YType.empty, "ais")

                    self.alarm = Native.Ethernet.Cfm.Logging.Alarm()
                    self.alarm.parent = self
                    self._children_name_map["alarm"] = "alarm"
                    self._children_yang_names.add("alarm")
                    self._segment_path = lambda: "logging"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ethernet.Cfm.Logging, ['ais'], name, value)


                class Alarm(Entity):
                    """
                    Alarm logging
                    
                    .. attribute:: cisco
                    
                    	Cisco MIB syslogs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ieee
                    
                    	IEEE MIB syslogs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ethernet.Cfm.Logging.Alarm, self).__init__()

                        self.yang_name = "alarm"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.cisco = YLeaf(YType.empty, "cisco")

                        self.ieee = YLeaf(YType.empty, "ieee")
                        self._segment_path = lambda: "alarm"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/logging/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ethernet.Cfm.Logging.Alarm, ['cisco', 'ieee'], name, value)


            class Mep(Entity):
                """
                Maintenance End Point
                
                .. attribute:: crosscheck
                
                	Cross Check remote MEPs
                	**type**\:  :py:class:`Crosscheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Mep.Crosscheck>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ethernet.Cfm.Mep, self).__init__()

                    self.yang_name = "mep"
                    self.yang_parent_name = "cfm"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"crosscheck" : ("crosscheck", Native.Ethernet.Cfm.Mep.Crosscheck)}
                    self._child_list_classes = {}

                    self.crosscheck = Native.Ethernet.Cfm.Mep.Crosscheck()
                    self.crosscheck.parent = self
                    self._children_name_map["crosscheck"] = "crosscheck"
                    self._children_yang_names.add("crosscheck")
                    self._segment_path = lambda: "mep"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/%s" % self._segment_path()


                class Crosscheck(Entity):
                    """
                    Cross Check remote MEPs
                    
                    .. attribute:: start_delay
                    
                    	seconds (30 seconds default)
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ethernet.Cfm.Mep.Crosscheck, self).__init__()

                        self.yang_name = "crosscheck"
                        self.yang_parent_name = "mep"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.start_delay = YLeaf(YType.uint16, "start-delay")
                        self._segment_path = lambda: "crosscheck"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/mep/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ethernet.Cfm.Mep.Crosscheck, ['start_delay'], name, value)


            class Mip(Entity):
                """
                CFM MIP commands
                
                .. attribute:: auto_create
                
                	CFM MIP auto creation
                	**type**\:  :py:class:`AutoCreate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Mip.AutoCreate>`
                
                .. attribute:: filter
                
                	CFM MIP filter
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ethernet.Cfm.Mip, self).__init__()

                    self.yang_name = "mip"
                    self.yang_parent_name = "cfm"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"auto-create" : ("auto_create", Native.Ethernet.Cfm.Mip.AutoCreate)}
                    self._child_list_classes = {}

                    self.filter = YLeaf(YType.empty, "filter")

                    self.auto_create = Native.Ethernet.Cfm.Mip.AutoCreate()
                    self.auto_create.parent = self
                    self._children_name_map["auto_create"] = "auto-create"
                    self._children_yang_names.add("auto-create")
                    self._segment_path = lambda: "mip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ethernet.Cfm.Mip, ['filter'], name, value)


                class AutoCreate(Entity):
                    """
                    CFM MIP auto creation
                    
                    .. attribute:: level
                    
                    	Maintenance Level
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Mip.AutoCreate.Level>`
                    
                    

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ethernet.Cfm.Mip.AutoCreate, self).__init__()

                        self.yang_name = "auto-create"
                        self.yang_parent_name = "mip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level" : ("level", Native.Ethernet.Cfm.Mip.AutoCreate.Level)}
                        self._child_list_classes = {}

                        self.level = Native.Ethernet.Cfm.Mip.AutoCreate.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "auto-create"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/mip/%s" % self._segment_path()


                    class Level(Entity):
                        """
                        Maintenance Level
                        
                        .. attribute:: mef_num
                        
                        	
                        	**type**\: list of  		 :py:class:`MefNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Mip.AutoCreate.Level.MefNum>`
                        
                        

                        """

                        _prefix = 'ios-eth'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Ethernet.Cfm.Mip.AutoCreate.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "auto-create"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"mef-num" : ("mef_num", Native.Ethernet.Cfm.Mip.AutoCreate.Level.MefNum)}

                            self.mef_num = YList(self)
                            self._segment_path = lambda: "level"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/mip/auto-create/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Ethernet.Cfm.Mip.AutoCreate.Level, [], name, value)


                        class MefNum(Entity):
                            """
                            
                            
                            .. attribute:: mef_num  <key>
                            
                            	maintenance level number
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: evc
                            
                            	EVC name
                            	**type**\: str
                            
                            .. attribute:: vlan
                            
                            	VLAN id
                            	**type**\: int
                            
                            	**range:** 1..4094
                            
                            

                            """

                            _prefix = 'ios-eth'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Ethernet.Cfm.Mip.AutoCreate.Level.MefNum, self).__init__()

                                self.yang_name = "mef-num"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.mef_num = YLeaf(YType.uint8, "mef-num")

                                self.evc = YLeaf(YType.str, "evc")

                                self.vlan = YLeaf(YType.uint16, "vlan")
                                self._segment_path = lambda: "mef-num" + "[mef-num='" + self.mef_num.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/mip/auto-create/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Ethernet.Cfm.Mip.AutoCreate.Level.MefNum, ['mef_num', 'evc', 'vlan'], name, value)


            class Traceroute(Entity):
                """
                CFM Traceroute
                
                .. attribute:: cache
                
                	CFM Traceroute Cache
                	**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ethernet.Cfm.Traceroute.Cache>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eth'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ethernet.Cfm.Traceroute, self).__init__()

                    self.yang_name = "traceroute"
                    self.yang_parent_name = "cfm"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"cache" : ("cache", Native.Ethernet.Cfm.Traceroute.Cache)}
                    self._child_list_classes = {}

                    self.cache = None
                    self._children_name_map["cache"] = "cache"
                    self._children_yang_names.add("cache")
                    self._segment_path = lambda: "traceroute"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/%s" % self._segment_path()


                class Cache(Entity):
                    """
                    CFM Traceroute Cache
                    
                    .. attribute:: hold_time
                    
                    	minutes (default 100)
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: size
                    
                    	Number of cached lines (default 100)
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eth'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ethernet.Cfm.Traceroute.Cache, self).__init__()

                        self.yang_name = "cache"
                        self.yang_parent_name = "traceroute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.hold_time = YLeaf(YType.uint16, "hold-time")

                        self.size = YLeaf(YType.uint16, "size")
                        self._segment_path = lambda: "cache"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ethernet/Cisco-IOS-XE-ethernet:cfm/traceroute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ethernet.Cfm.Traceroute.Cache, ['hold_time', 'size'], name, value)


    class AccessList(Entity):
        """
        Add an access list entry
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.AccessList, self).__init__()

            self.yang_name = "access-list"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}
            self._segment_path = lambda: "access-list"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


    class BridgeDomain(Entity):
        """
        Bridge\-domain global configuration commands
        
        .. attribute:: brd_id
        
        	
        	**type**\: list of  		 :py:class:`BrdId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId>`
        
        .. attribute:: c_mac
        
        	Configure c\-mac global commands
        	**type**\:  :py:class:`CMac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.CMac>`
        
        .. attribute:: otv
        
        	Configure overlay bridge domains
        	**type**\:  :py:class:`Otv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Otv>`
        
        .. attribute:: parameterized
        
        	bridge\-domain is derived from parameters
        	**type**\:  :py:class:`Parameterized <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.BridgeDomain, self).__init__()

            self.yang_name = "bridge-domain"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-bridge-domain:c-mac" : ("c_mac", Native.BridgeDomain.CMac), "Cisco-IOS-XE-bridge-domain:otv" : ("otv", Native.BridgeDomain.Otv), "Cisco-IOS-XE-bridge-domain:parameterized" : ("parameterized", Native.BridgeDomain.Parameterized)}
            self._child_list_classes = {"Cisco-IOS-XE-bridge-domain:brd-id" : ("brd_id", Native.BridgeDomain.BrdId)}

            self.c_mac = Native.BridgeDomain.CMac()
            self.c_mac.parent = self
            self._children_name_map["c_mac"] = "c-mac"
            self._children_yang_names.add("c-mac")

            self.otv = Native.BridgeDomain.Otv()
            self.otv.parent = self
            self._children_name_map["otv"] = "otv"
            self._children_yang_names.add("otv")

            self.parameterized = Native.BridgeDomain.Parameterized()
            self.parameterized.parent = self
            self._children_name_map["parameterized"] = "parameterized"
            self._children_yang_names.add("parameterized")

            self.brd_id = YList(self)
            self._segment_path = lambda: "bridge-domain"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.BridgeDomain, [], name, value)


        class BrdId(Entity):
            """
            
            
            .. attribute:: bridge_domain_id  <key>
            
            	<1..8192>;;bridge\-domain ID
            	**type**\: int
            
            	**range:** 1..8192
            
            .. attribute:: ip
            
            	IP related commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip>`
            
            .. attribute:: mac
            
            	MAC Address related commands
            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Mac>`
            
            .. attribute:: member
            
            	bridge\-domain member
            	**type**\:  :py:class:`Member <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member>`
            
            .. attribute:: shutdown
            
            	Take the bridge domain admin down
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-bd'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.BridgeDomain.BrdId, self).__init__()

                self.yang_name = "brd-id"
                self.yang_parent_name = "bridge-domain"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ip" : ("ip", Native.BridgeDomain.BrdId.Ip), "mac" : ("mac", Native.BridgeDomain.BrdId.Mac), "member" : ("member", Native.BridgeDomain.BrdId.Member)}
                self._child_list_classes = {}

                self.bridge_domain_id = YLeaf(YType.uint16, "bridge-domain-id")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.ip = Native.BridgeDomain.BrdId.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.mac = Native.BridgeDomain.BrdId.Mac()
                self.mac.parent = self
                self._children_name_map["mac"] = "mac"
                self._children_yang_names.add("mac")

                self.member = Native.BridgeDomain.BrdId.Member()
                self.member.parent = self
                self._children_name_map["member"] = "member"
                self._children_yang_names.add("member")
                self._segment_path = lambda: "Cisco-IOS-XE-bridge-domain:brd-id" + "[bridge-domain-id='" + self.bridge_domain_id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.BridgeDomain.BrdId, ['bridge_domain_id', 'shutdown'], name, value)


            class Ip(Entity):
                """
                IP related commands
                
                .. attribute:: igmp
                
                	IP igmp commands
                	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip.Igmp>`
                
                

                """

                _prefix = 'ios-bd'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.BridgeDomain.BrdId.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "brd-id"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"igmp" : ("igmp", Native.BridgeDomain.BrdId.Ip.Igmp)}
                    self._child_list_classes = {}

                    self.igmp = Native.BridgeDomain.BrdId.Ip.Igmp()
                    self.igmp.parent = self
                    self._children_name_map["igmp"] = "igmp"
                    self._children_yang_names.add("igmp")
                    self._segment_path = lambda: "ip"


                class Igmp(Entity):
                    """
                    IP igmp commands
                    
                    .. attribute:: snooping
                    
                    	IP igmp snooping commands
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip.Igmp.Snooping>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.BridgeDomain.BrdId.Ip.Igmp, self).__init__()

                        self.yang_name = "igmp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"snooping" : ("snooping", Native.BridgeDomain.BrdId.Ip.Igmp.Snooping)}
                        self._child_list_classes = {}

                        self.snooping = None
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "igmp"


                    class Snooping(Entity):
                        """
                        IP igmp snooping commands
                        
                        .. attribute:: check
                        
                        	enforce TTL or Rtr\-Alert Option checking
                        	**type**\:  :py:class:`Check <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Check>`
                        
                        .. attribute:: explicit_tracking
                        
                        	IGMP explicit host tracking configuration
                        	**type**\:  :py:class:`ExplicitTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.ExplicitTracking>`
                        
                        .. attribute:: immediate_leave
                        
                        	Enable IGMPv2 immediate leave processing
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: last_member_query_count
                        
                        	Last member query count
                        	**type**\: int
                        
                        	**range:** 1..7
                        
                        .. attribute:: last_member_query_interval
                        
                        	Last member query interval
                        	**type**\: int
                        
                        	**range:** 100..32767
                        
                        .. attribute:: mrouter
                        
                        	Configure an L2 port as a multicast router port
                        	**type**\:  :py:class:`Mrouter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Mrouter>`
                        
                        .. attribute:: querier
                        
                        	Enable IGMP querier for this Bdomain
                        	**type**\:  :py:class:`Querier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Querier>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: report_suppression
                        
                        	Enable IGMP report suppression
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: robustness_variable
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..3
                        
                        .. attribute:: static
                        
                        	Configure an L2 port as a member of a group
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.BridgeDomain.BrdId.Ip.Igmp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "igmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"check" : ("check", Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Check), "explicit-tracking" : ("explicit_tracking", Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.ExplicitTracking), "mrouter" : ("mrouter", Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Mrouter), "querier" : ("querier", Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Querier)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.immediate_leave = YLeaf(YType.empty, "immediate-leave")

                            self.last_member_query_count = YLeaf(YType.uint8, "last-member-query-count")

                            self.last_member_query_interval = YLeaf(YType.uint16, "last-member-query-interval")

                            self.report_suppression = YLeaf(YType.empty, "report-suppression")

                            self.robustness_variable = YLeaf(YType.uint8, "robustness-variable")

                            self.static = YLeaf(YType.str, "static")

                            self.check = Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Check()
                            self.check.parent = self
                            self._children_name_map["check"] = "check"
                            self._children_yang_names.add("check")

                            self.explicit_tracking = Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.ExplicitTracking()
                            self.explicit_tracking.parent = self
                            self._children_name_map["explicit_tracking"] = "explicit-tracking"
                            self._children_yang_names.add("explicit-tracking")

                            self.mrouter = Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Mrouter()
                            self.mrouter.parent = self
                            self._children_name_map["mrouter"] = "mrouter"
                            self._children_yang_names.add("mrouter")

                            self.querier = None
                            self._children_name_map["querier"] = "querier"
                            self._children_yang_names.add("querier")
                            self._segment_path = lambda: "snooping"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.BridgeDomain.BrdId.Ip.Igmp.Snooping, ['immediate_leave', 'last_member_query_count', 'last_member_query_interval', 'report_suppression', 'robustness_variable', 'static'], name, value)


                        class Check(Entity):
                            """
                            enforce TTL or Rtr\-Alert Option checking
                            
                            .. attribute:: rtr_alert_option
                            
                            	Only accept IGMP packets with router\-alert option
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ttl
                            
                            	Only accept IGMP packets with TTL=1
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Check, self).__init__()

                                self.yang_name = "check"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rtr_alert_option = YLeaf(YType.empty, "rtr-alert-option")

                                self.ttl = YLeaf(YType.empty, "ttl")
                                self._segment_path = lambda: "check"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Check, ['rtr_alert_option', 'ttl'], name, value)


                        class ExplicitTracking(Entity):
                            """
                            IGMP explicit host tracking configuration
                            
                            .. attribute:: limit
                            
                            	Explicit Host Tracking DB limit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.ExplicitTracking, self).__init__()

                                self.yang_name = "explicit-tracking"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.empty, "limit")
                                self._segment_path = lambda: "explicit-tracking"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.ExplicitTracking, ['limit'], name, value)


                        class Mrouter(Entity):
                            """
                            Configure an L2 port as a multicast router port
                            
                            .. attribute:: interface
                            
                            	next\-hop interface to mrouter
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Mrouter, self).__init__()

                                self.yang_name = "mrouter"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interface = YLeaf(YType.empty, "interface")
                                self._segment_path = lambda: "mrouter"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Mrouter, ['interface'], name, value)


                        class Querier(Entity):
                            """
                            Enable IGMP querier for this Bdomain
                            
                            .. attribute:: address
                            
                            	IGMP querier source IP address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_response_time
                            
                            	IGMP querier maximum response time (sec)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: query_interval
                            
                            	IGMP querier query interval (sec)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tcn
                            
                            	IGMP querier TCN related parameters
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: timer
                            
                            	IGMP other querier timer
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: version
                            
                            	IGMP version
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Querier, self).__init__()

                                self.yang_name = "querier"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.address = YLeaf(YType.empty, "address")

                                self.max_response_time = YLeaf(YType.empty, "max-response-time")

                                self.query_interval = YLeaf(YType.empty, "query-interval")

                                self.tcn = YLeaf(YType.empty, "tcn")

                                self.timer = YLeaf(YType.empty, "timer")

                                self.version = YLeaf(YType.empty, "version")
                                self._segment_path = lambda: "querier"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.BrdId.Ip.Igmp.Snooping.Querier, ['address', 'max_response_time', 'query_interval', 'tcn', 'timer', 'version'], name, value)


            class Mac(Entity):
                """
                MAC Address related commands
                
                .. attribute:: aging_time
                
                	Set age time of mac addresses per bridge domain
                	**type**\: int
                
                	**range:** 30..3600
                
                .. attribute:: learning
                
                	Disable mac learning on bridge domain
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: limit
                
                	Limit the MAC Addresses learnt
                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Mac.Limit>`
                
                

                """

                _prefix = 'ios-bd'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.BridgeDomain.BrdId.Mac, self).__init__()

                    self.yang_name = "mac"
                    self.yang_parent_name = "brd-id"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"limit" : ("limit", Native.BridgeDomain.BrdId.Mac.Limit)}
                    self._child_list_classes = {}

                    self.aging_time = YLeaf(YType.uint16, "aging-time")

                    self.learning = YLeaf(YType.empty, "learning")

                    self.limit = Native.BridgeDomain.BrdId.Mac.Limit()
                    self.limit.parent = self
                    self._children_name_map["limit"] = "limit"
                    self._children_yang_names.add("limit")
                    self._segment_path = lambda: "mac"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.BridgeDomain.BrdId.Mac, ['aging_time', 'learning'], name, value)


                class Limit(Entity):
                    """
                    Limit the MAC Addresses learnt
                    
                    .. attribute:: action
                    
                    	action when exceeding the limit
                    	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Mac.Limit.Action>`
                    
                    .. attribute:: maximum
                    
                    	Maximum
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Mac.Limit.Maximum>`
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.BridgeDomain.BrdId.Mac.Limit, self).__init__()

                        self.yang_name = "limit"
                        self.yang_parent_name = "mac"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"action" : ("action", Native.BridgeDomain.BrdId.Mac.Limit.Action), "maximum" : ("maximum", Native.BridgeDomain.BrdId.Mac.Limit.Maximum)}
                        self._child_list_classes = {}

                        self.action = Native.BridgeDomain.BrdId.Mac.Limit.Action()
                        self.action.parent = self
                        self._children_name_map["action"] = "action"
                        self._children_yang_names.add("action")

                        self.maximum = Native.BridgeDomain.BrdId.Mac.Limit.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")
                        self._segment_path = lambda: "limit"


                    class Action(Entity):
                        """
                        action when exceeding the limit
                        
                        .. attribute:: flooding
                        
                        	Mac flooding
                        	**type**\:  :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Mac.Limit.Action.Flooding>`
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.BridgeDomain.BrdId.Mac.Limit.Action, self).__init__()

                            self.yang_name = "action"
                            self.yang_parent_name = "limit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"flooding" : ("flooding", Native.BridgeDomain.BrdId.Mac.Limit.Action.Flooding)}
                            self._child_list_classes = {}

                            self.flooding = Native.BridgeDomain.BrdId.Mac.Limit.Action.Flooding()
                            self.flooding.parent = self
                            self._children_name_map["flooding"] = "flooding"
                            self._children_yang_names.add("flooding")
                            self._segment_path = lambda: "action"


                        class Flooding(Entity):
                            """
                            Mac flooding
                            
                            .. attribute:: disable
                            
                            	disable
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.BrdId.Mac.Limit.Action.Flooding, self).__init__()

                                self.yang_name = "flooding"
                                self.yang_parent_name = "action"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "flooding"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.BrdId.Mac.Limit.Action.Flooding, ['disable'], name, value)


                    class Maximum(Entity):
                        """
                        Maximum
                        
                        .. attribute:: addresses
                        
                        	Addresses
                        	**type**\: int
                        
                        	**range:** 1..65536
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.BridgeDomain.BrdId.Mac.Limit.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "limit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.addresses = YLeaf(YType.uint32, "addresses")
                            self._segment_path = lambda: "maximum"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.BridgeDomain.BrdId.Mac.Limit.Maximum, ['addresses'], name, value)


            class Member(Entity):
                """
                bridge\-domain member
                
                .. attribute:: mem_ipv4
                
                	
                	**type**\: list of  		 :py:class:`MemIpv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemIpv4>`
                
                .. attribute:: acr
                
                	
                	**type**\: list of  		 :py:class:`ACR <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.ACR>`
                
                .. attribute:: analysis_module
                
                	Cisco network analysis service module
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: fcpa
                
                	Fiber Channel
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: sbc
                
                	Session Border Controller
                	**type**\: int
                
                	**range:** 0..2147483647
                
                .. attribute:: sonet_acr
                
                	Virtual SONET\-ACR controller
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: y_controller
                
                	
                	**type**\: str
                
                .. attribute:: service_engine
                
                	Cisco service engine module
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: tunnel_tp
                
                	MPLS Transport Profile interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vpn
                
                	VPN interface
                	**type**\: int
                
                	**range:** 0..2147483647
                
                .. attribute:: virtual_tokenring
                
                	Virtual TokenRing
                	**type**\: int
                
                	**range:** 0..2147483647
                
                .. attribute:: ucse
                
                	Cisco ucse server
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: vasileft
                
                	VasiLeft interface
                	**type**\: int
                
                	**range:** 1..2000
                
                .. attribute:: vasiright
                
                	VasiRight interface
                	**type**\: int
                
                	**range:** 1..2000
                
                .. attribute:: vfi
                
                	Enter VFI name
                	**type**\: str
                
                .. attribute:: vni
                
                	
                	**type**\: int
                
                	**range:** 4096..16777215
                
                .. attribute:: member_interface
                
                	
                	**type**\: list of  		 :py:class:`MemberInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemberInterface>`
                
                

                """

                _prefix = 'ios-bd'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.BridgeDomain.BrdId.Member, self).__init__()

                    self.yang_name = "member"
                    self.yang_parent_name = "brd-id"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"mem-ipv4" : ("mem_ipv4", Native.BridgeDomain.BrdId.Member.MemIpv4), "ACR" : ("acr", Native.BridgeDomain.BrdId.Member.ACR), "member-interface" : ("member_interface", Native.BridgeDomain.BrdId.Member.MemberInterface)}

                    self.analysis_module = YLeaf(YType.uint8, "Analysis-Module")

                    self.fcpa = YLeaf(YType.uint8, "Fcpa")

                    self.sbc = YLeaf(YType.uint32, "SBC")

                    self.sonet_acr = YLeaf(YType.uint8, "SONET_ACR")

                    self.y_controller = YLeaf(YType.str, "_controller")

                    self.service_engine = YLeaf(YType.uint8, "Service-Engine")

                    self.tunnel_tp = YLeaf(YType.uint16, "Tunnel-tp")

                    self.vpn = YLeaf(YType.uint32, "VPN")

                    self.virtual_tokenring = YLeaf(YType.uint32, "Virtual-TokenRing")

                    self.ucse = YLeaf(YType.uint8, "ucse")

                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                    self.vfi = YLeaf(YType.str, "vfi")

                    self.vni = YLeaf(YType.uint32, "vni")

                    self.mem_ipv4 = YList(self)
                    self.acr = YList(self)
                    self.member_interface = YList(self)
                    self._segment_path = lambda: "member"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.BridgeDomain.BrdId.Member, ['analysis_module', 'fcpa', 'sbc', 'sonet_acr', 'y_controller', 'service_engine', 'tunnel_tp', 'vpn', 'virtual_tokenring', 'ucse', 'vasileft', 'vasiright', 'vfi', 'vni'], name, value)


                class MemIpv4(Entity):
                    """
                    
                    
                    .. attribute:: mem_ipv4  <key>
                    
                    	IP address of the peer
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mem_vcid
                    
                    	
                    	**type**\: list of  		 :py:class:`MemVcid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid>`
                    
                    .. attribute:: encapsulation
                    
                    	Data encapsulation method
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemIpv4.Encapsulation>`
                    
                    .. attribute:: template
                    
                    	Template to use for encapsulation and protocol configuration
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.BridgeDomain.BrdId.Member.MemIpv4, self).__init__()

                        self.yang_name = "mem-ipv4"
                        self.yang_parent_name = "member"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"encapsulation" : ("encapsulation", Native.BridgeDomain.BrdId.Member.MemIpv4.Encapsulation)}
                        self._child_list_classes = {"mem-vcid" : ("mem_vcid", Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid)}

                        self.mem_ipv4 = YLeaf(YType.str, "mem-ipv4")

                        self.template = YLeaf(YType.str, "template")

                        self.encapsulation = Native.BridgeDomain.BrdId.Member.MemIpv4.Encapsulation()
                        self.encapsulation.parent = self
                        self._children_name_map["encapsulation"] = "encapsulation"
                        self._children_yang_names.add("encapsulation")

                        self.mem_vcid = YList(self)
                        self._segment_path = lambda: "mem-ipv4" + "[mem-ipv4='" + self.mem_ipv4.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.BridgeDomain.BrdId.Member.MemIpv4, ['mem_ipv4', 'template'], name, value)


                    class MemVcid(Entity):
                        """
                        
                        
                        .. attribute:: mem_vcid  <key>
                        
                        	<1..4294967295>;;Enter VC ID value
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Encapsulation>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: template
                        
                        	Template to use for encapsulation and protocol configuration
                        	**type**\:  :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Template>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid, self).__init__()

                            self.yang_name = "mem-vcid"
                            self.yang_parent_name = "mem-ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encapsulation" : ("encapsulation", Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Encapsulation), "template" : ("template", Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Template)}
                            self._child_list_classes = {}

                            self.mem_vcid = YLeaf(YType.uint32, "mem-vcid")

                            self.encapsulation = None
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.template = None
                            self._children_name_map["template"] = "template"
                            self._children_yang_names.add("template")
                            self._segment_path = lambda: "mem-vcid" + "[mem-vcid='" + self.mem_vcid.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid, ['mem_vcid'], name, value)


                        class Encapsulation(Entity):
                            """
                            Data encapsulation method
                            
                            .. attribute:: mpls
                            
                            	Use MPLS encapsulation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "mem-vcid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.mpls = YLeaf(YType.empty, "mpls")
                                self._segment_path = lambda: "encapsulation"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Encapsulation, ['mpls'], name, value)


                        class Template(Entity):
                            """
                            Template to use for encapsulation and protocol configuration
                            
                            .. attribute:: template
                            
                            	<WORD>;;template name (Max size 32)
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Template, self).__init__()

                                self.yang_name = "template"
                                self.yang_parent_name = "mem-vcid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.template = YLeaf(YType.str, "template")
                                self._segment_path = lambda: "template"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.BrdId.Member.MemIpv4.MemVcid.Template, ['template'], name, value)


                    class Encapsulation(Entity):
                        """
                        Data encapsulation method
                        
                        .. attribute:: mpls
                        
                        	Use MPLS encapsulation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.BridgeDomain.BrdId.Member.MemIpv4.Encapsulation, self).__init__()

                            self.yang_name = "encapsulation"
                            self.yang_parent_name = "mem-ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.mpls = YLeaf(YType.empty, "mpls")
                            self._segment_path = lambda: "encapsulation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.BridgeDomain.BrdId.Member.MemIpv4.Encapsulation, ['mpls'], name, value)


                class ACR(Entity):
                    """
                    
                    
                    .. attribute:: acr_int  <key>
                    
                    	<WORD>;;Virtual ACR interface
                    	**type**\: str
                    
                    .. attribute:: service_instance
                    
                    	ethernt serivce instance
                    	**type**\:  :py:class:`ServiceInstance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.ACR.ServiceInstance>`
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.BridgeDomain.BrdId.Member.ACR, self).__init__()

                        self.yang_name = "ACR"
                        self.yang_parent_name = "member"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"service-instance" : ("service_instance", Native.BridgeDomain.BrdId.Member.ACR.ServiceInstance)}
                        self._child_list_classes = {}

                        self.acr_int = YLeaf(YType.str, "acr-int")

                        self.service_instance = Native.BridgeDomain.BrdId.Member.ACR.ServiceInstance()
                        self.service_instance.parent = self
                        self._children_name_map["service_instance"] = "service-instance"
                        self._children_yang_names.add("service-instance")
                        self._segment_path = lambda: "ACR" + "[acr-int='" + self.acr_int.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.BridgeDomain.BrdId.Member.ACR, ['acr_int'], name, value)


                    class ServiceInstance(Entity):
                        """
                        ethernt serivce instance
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: list of  		 :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.ACR.ServiceInstance.Id>`
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.BridgeDomain.BrdId.Member.ACR.ServiceInstance, self).__init__()

                            self.yang_name = "service-instance"
                            self.yang_parent_name = "ACR"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"id" : ("id", Native.BridgeDomain.BrdId.Member.ACR.ServiceInstance.Id)}

                            self.id = YList(self)
                            self._segment_path = lambda: "service-instance"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.BridgeDomain.BrdId.Member.ACR.ServiceInstance, [], name, value)


                        class Id(Entity):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	<1..8000>;;Service Instance Identifier
                            	**type**\: int
                            
                            	**range:** 1..8000
                            
                            .. attribute:: split_horizon
                            
                            	Configure this port as a member of a split horizon group
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.BrdId.Member.ACR.ServiceInstance.Id, self).__init__()

                                self.yang_name = "id"
                                self.yang_parent_name = "service-instance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.split_horizon = YLeaf(YType.empty, "split-horizon")
                                self._segment_path = lambda: "id" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.BrdId.Member.ACR.ServiceInstance.Id, ['id', 'split_horizon'], name, value)


                class MemberInterface(Entity):
                    """
                    
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: interface_id
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: int
                    
                    			**range:** 0..4294967295
                    
                    .. attribute:: service_instance
                    
                    	ethernt serivce instance
                    	**type**\: int
                    
                    	**range:** 1..8000
                    
                    .. attribute:: split_horizon
                    
                    	Configure this port as a member of a split horizon group
                    	**type**\:  :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.BrdId.Member.MemberInterface.SplitHorizon>`
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.BridgeDomain.BrdId.Member.MemberInterface, self).__init__()

                        self.yang_name = "member-interface"
                        self.yang_parent_name = "member"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"split-horizon" : ("split_horizon", Native.BridgeDomain.BrdId.Member.MemberInterface.SplitHorizon)}
                        self._child_list_classes = {}

                        self.interface = YLeaf(YType.str, "interface")

                        self.interface_id = YLeaf(YType.str, "interface-id")

                        self.service_instance = YLeaf(YType.uint32, "service-instance")

                        self.split_horizon = Native.BridgeDomain.BrdId.Member.MemberInterface.SplitHorizon()
                        self.split_horizon.parent = self
                        self._children_name_map["split_horizon"] = "split-horizon"
                        self._children_yang_names.add("split-horizon")
                        self._segment_path = lambda: "member-interface" + "[interface='" + self.interface.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.BridgeDomain.BrdId.Member.MemberInterface, ['interface', 'interface_id', 'service_instance'], name, value)


                    class SplitHorizon(Entity):
                        """
                        Configure this port as a member of a split horizon group
                        
                        .. attribute:: group
                        
                        	Split\-horizon group
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.BridgeDomain.BrdId.Member.MemberInterface.SplitHorizon, self).__init__()

                            self.yang_name = "split-horizon"
                            self.yang_parent_name = "member-interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.group = YLeaf(YType.uint8, "group")
                            self._segment_path = lambda: "split-horizon"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.BridgeDomain.BrdId.Member.MemberInterface.SplitHorizon, ['group'], name, value)


        class CMac(Entity):
            """
            Configure c\-mac global commands
            
            .. attribute:: aging_time
            
            	Configure aging time for c\-mac bridge domains
            	**type**\: int
            
            	**range:** 30..3600
            
            

            """

            _prefix = 'ios-bd'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.BridgeDomain.CMac, self).__init__()

                self.yang_name = "c-mac"
                self.yang_parent_name = "bridge-domain"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.aging_time = YLeaf(YType.uint16, "aging-time")
                self._segment_path = lambda: "Cisco-IOS-XE-bridge-domain:c-mac"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.BridgeDomain.CMac, ['aging_time'], name, value)


        class Otv(Entity):
            """
            Configure overlay bridge domains
            
            .. attribute:: default
            
            	Change default setting of overlay bridge domains
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Otv.Default>`
            
            

            """

            _prefix = 'ios-bd'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.BridgeDomain.Otv, self).__init__()

                self.yang_name = "otv"
                self.yang_parent_name = "bridge-domain"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"default" : ("default", Native.BridgeDomain.Otv.Default)}
                self._child_list_classes = {}

                self.default = Native.BridgeDomain.Otv.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")
                self._segment_path = lambda: "Cisco-IOS-XE-bridge-domain:otv"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/%s" % self._segment_path()


            class Default(Entity):
                """
                Change default setting of overlay bridge domains
                
                .. attribute:: age_time
                
                	Configure default mac aging time of overlay bridge domains
                	**type**\: int
                
                	**range:** 30..3600
                
                

                """

                _prefix = 'ios-bd'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.BridgeDomain.Otv.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "otv"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.age_time = YLeaf(YType.uint16, "age-time")
                    self._segment_path = lambda: "default"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:otv/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.BridgeDomain.Otv.Default, ['age_time'], name, value)


        class Parameterized(Entity):
            """
            bridge\-domain is derived from parameters
            
            .. attribute:: vlan
            
            	bridge\-domain from service instance vlan
            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-bd'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.BridgeDomain.Parameterized, self).__init__()

                self.yang_name = "parameterized"
                self.yang_parent_name = "bridge-domain"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"vlan" : ("vlan", Native.BridgeDomain.Parameterized.Vlan)}
                self._child_list_classes = {}

                self.vlan = None
                self._children_name_map["vlan"] = "vlan"
                self._children_yang_names.add("vlan")
                self._segment_path = lambda: "Cisco-IOS-XE-bridge-domain:parameterized"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/%s" % self._segment_path()


            class Vlan(Entity):
                """
                bridge\-domain from service instance vlan
                
                .. attribute:: ip
                
                	IP related commands
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip>`
                
                .. attribute:: mac
                
                	MAC Address related commands
                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Mac>`
                
                .. attribute:: member
                
                	bridge\-domain member
                	**type**\:  :py:class:`Member <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member>`
                
                .. attribute:: shutdown
                
                	Take the bridge domain admin down
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-bd'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.BridgeDomain.Parameterized.Vlan, self).__init__()

                    self.yang_name = "vlan"
                    self.yang_parent_name = "parameterized"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ip" : ("ip", Native.BridgeDomain.Parameterized.Vlan.Ip), "mac" : ("mac", Native.BridgeDomain.Parameterized.Vlan.Mac), "member" : ("member", Native.BridgeDomain.Parameterized.Vlan.Member)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.shutdown = YLeaf(YType.empty, "shutdown")

                    self.ip = Native.BridgeDomain.Parameterized.Vlan.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")

                    self.mac = Native.BridgeDomain.Parameterized.Vlan.Mac()
                    self.mac.parent = self
                    self._children_name_map["mac"] = "mac"
                    self._children_yang_names.add("mac")

                    self.member = Native.BridgeDomain.Parameterized.Vlan.Member()
                    self.member.parent = self
                    self._children_name_map["member"] = "member"
                    self._children_yang_names.add("member")
                    self._segment_path = lambda: "vlan"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan, ['shutdown'], name, value)


                class Ip(Entity):
                    """
                    IP related commands
                    
                    .. attribute:: igmp
                    
                    	IP igmp commands
                    	**type**\:  :py:class:`Igmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp>`
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.BridgeDomain.Parameterized.Vlan.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "vlan"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"igmp" : ("igmp", Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp)}
                        self._child_list_classes = {}

                        self.igmp = Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp()
                        self.igmp.parent = self
                        self._children_name_map["igmp"] = "igmp"
                        self._children_yang_names.add("igmp")
                        self._segment_path = lambda: "ip"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/%s" % self._segment_path()


                    class Igmp(Entity):
                        """
                        IP igmp commands
                        
                        .. attribute:: snooping
                        
                        	IP igmp snooping commands
                        	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp, self).__init__()

                            self.yang_name = "igmp"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"snooping" : ("snooping", Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping)}
                            self._child_list_classes = {}

                            self.snooping = None
                            self._children_name_map["snooping"] = "snooping"
                            self._children_yang_names.add("snooping")
                            self._segment_path = lambda: "igmp"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/ip/%s" % self._segment_path()


                        class Snooping(Entity):
                            """
                            IP igmp snooping commands
                            
                            .. attribute:: check
                            
                            	enforce TTL or Rtr\-Alert Option checking
                            	**type**\:  :py:class:`Check <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Check>`
                            
                            .. attribute:: explicit_tracking
                            
                            	IGMP explicit host tracking configuration
                            	**type**\:  :py:class:`ExplicitTracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.ExplicitTracking>`
                            
                            .. attribute:: immediate_leave
                            
                            	Enable IGMPv2 immediate leave processing
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: last_member_query_count
                            
                            	Last member query count
                            	**type**\: int
                            
                            	**range:** 1..7
                            
                            .. attribute:: last_member_query_interval
                            
                            	Last member query interval
                            	**type**\: int
                            
                            	**range:** 100..32767
                            
                            .. attribute:: mrouter
                            
                            	Configure an L2 port as a multicast router port
                            	**type**\:  :py:class:`Mrouter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Mrouter>`
                            
                            .. attribute:: querier
                            
                            	Enable IGMP querier for this Bdomain
                            	**type**\:  :py:class:`Querier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Querier>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: report_suppression
                            
                            	Enable IGMP report suppression
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: robustness_variable
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..3
                            
                            .. attribute:: static
                            
                            	Configure an L2 port as a member of a group
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping, self).__init__()

                                self.yang_name = "snooping"
                                self.yang_parent_name = "igmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"check" : ("check", Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Check), "explicit-tracking" : ("explicit_tracking", Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.ExplicitTracking), "mrouter" : ("mrouter", Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Mrouter), "querier" : ("querier", Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Querier)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.immediate_leave = YLeaf(YType.empty, "immediate-leave")

                                self.last_member_query_count = YLeaf(YType.uint8, "last-member-query-count")

                                self.last_member_query_interval = YLeaf(YType.uint16, "last-member-query-interval")

                                self.report_suppression = YLeaf(YType.empty, "report-suppression")

                                self.robustness_variable = YLeaf(YType.uint8, "robustness-variable")

                                self.static = YLeaf(YType.str, "static")

                                self.check = Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Check()
                                self.check.parent = self
                                self._children_name_map["check"] = "check"
                                self._children_yang_names.add("check")

                                self.explicit_tracking = Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.ExplicitTracking()
                                self.explicit_tracking.parent = self
                                self._children_name_map["explicit_tracking"] = "explicit-tracking"
                                self._children_yang_names.add("explicit-tracking")

                                self.mrouter = Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Mrouter()
                                self.mrouter.parent = self
                                self._children_name_map["mrouter"] = "mrouter"
                                self._children_yang_names.add("mrouter")

                                self.querier = None
                                self._children_name_map["querier"] = "querier"
                                self._children_yang_names.add("querier")
                                self._segment_path = lambda: "snooping"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/ip/igmp/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping, ['immediate_leave', 'last_member_query_count', 'last_member_query_interval', 'report_suppression', 'robustness_variable', 'static'], name, value)


                            class Check(Entity):
                                """
                                enforce TTL or Rtr\-Alert Option checking
                                
                                .. attribute:: rtr_alert_option
                                
                                	Only accept IGMP packets with router\-alert option
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ttl
                                
                                	Only accept IGMP packets with TTL=1
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Check, self).__init__()

                                    self.yang_name = "check"
                                    self.yang_parent_name = "snooping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rtr_alert_option = YLeaf(YType.empty, "rtr-alert-option")

                                    self.ttl = YLeaf(YType.empty, "ttl")
                                    self._segment_path = lambda: "check"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/ip/igmp/snooping/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Check, ['rtr_alert_option', 'ttl'], name, value)


                            class ExplicitTracking(Entity):
                                """
                                IGMP explicit host tracking configuration
                                
                                .. attribute:: limit
                                
                                	Explicit Host Tracking DB limit
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.ExplicitTracking, self).__init__()

                                    self.yang_name = "explicit-tracking"
                                    self.yang_parent_name = "snooping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.empty, "limit")
                                    self._segment_path = lambda: "explicit-tracking"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/ip/igmp/snooping/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.ExplicitTracking, ['limit'], name, value)


                            class Mrouter(Entity):
                                """
                                Configure an L2 port as a multicast router port
                                
                                .. attribute:: interface
                                
                                	next\-hop interface to mrouter
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Mrouter, self).__init__()

                                    self.yang_name = "mrouter"
                                    self.yang_parent_name = "snooping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interface = YLeaf(YType.empty, "interface")
                                    self._segment_path = lambda: "mrouter"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/ip/igmp/snooping/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Mrouter, ['interface'], name, value)


                            class Querier(Entity):
                                """
                                Enable IGMP querier for this Bdomain
                                
                                .. attribute:: address
                                
                                	IGMP querier source IP address
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_response_time
                                
                                	IGMP querier maximum response time (sec)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: query_interval
                                
                                	IGMP querier query interval (sec)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: tcn
                                
                                	IGMP querier TCN related parameters
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: timer
                                
                                	IGMP other querier timer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: version
                                
                                	IGMP version
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Querier, self).__init__()

                                    self.yang_name = "querier"
                                    self.yang_parent_name = "snooping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.address = YLeaf(YType.empty, "address")

                                    self.max_response_time = YLeaf(YType.empty, "max-response-time")

                                    self.query_interval = YLeaf(YType.empty, "query-interval")

                                    self.tcn = YLeaf(YType.empty, "tcn")

                                    self.timer = YLeaf(YType.empty, "timer")

                                    self.version = YLeaf(YType.empty, "version")
                                    self._segment_path = lambda: "querier"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/ip/igmp/snooping/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Ip.Igmp.Snooping.Querier, ['address', 'max_response_time', 'query_interval', 'tcn', 'timer', 'version'], name, value)


                class Mac(Entity):
                    """
                    MAC Address related commands
                    
                    .. attribute:: aging_time
                    
                    	Set age time of mac addresses per bridge domain
                    	**type**\: int
                    
                    	**range:** 30..3600
                    
                    .. attribute:: learning
                    
                    	Disable mac learning on bridge domain
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: limit
                    
                    	Limit the MAC Addresses learnt
                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Mac.Limit>`
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.BridgeDomain.Parameterized.Vlan.Mac, self).__init__()

                        self.yang_name = "mac"
                        self.yang_parent_name = "vlan"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"limit" : ("limit", Native.BridgeDomain.Parameterized.Vlan.Mac.Limit)}
                        self._child_list_classes = {}

                        self.aging_time = YLeaf(YType.uint16, "aging-time")

                        self.learning = YLeaf(YType.empty, "learning")

                        self.limit = Native.BridgeDomain.Parameterized.Vlan.Mac.Limit()
                        self.limit.parent = self
                        self._children_name_map["limit"] = "limit"
                        self._children_yang_names.add("limit")
                        self._segment_path = lambda: "mac"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Mac, ['aging_time', 'learning'], name, value)


                    class Limit(Entity):
                        """
                        Limit the MAC Addresses learnt
                        
                        .. attribute:: action
                        
                        	action when exceeding the limit
                        	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action>`
                        
                        .. attribute:: maximum
                        
                        	Maximum
                        	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Maximum>`
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.BridgeDomain.Parameterized.Vlan.Mac.Limit, self).__init__()

                            self.yang_name = "limit"
                            self.yang_parent_name = "mac"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"action" : ("action", Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action), "maximum" : ("maximum", Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Maximum)}
                            self._child_list_classes = {}

                            self.action = Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action()
                            self.action.parent = self
                            self._children_name_map["action"] = "action"
                            self._children_yang_names.add("action")

                            self.maximum = Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Maximum()
                            self.maximum.parent = self
                            self._children_name_map["maximum"] = "maximum"
                            self._children_yang_names.add("maximum")
                            self._segment_path = lambda: "limit"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/mac/%s" % self._segment_path()


                        class Action(Entity):
                            """
                            action when exceeding the limit
                            
                            .. attribute:: flooding
                            
                            	Mac flooding
                            	**type**\:  :py:class:`Flooding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action.Flooding>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action, self).__init__()

                                self.yang_name = "action"
                                self.yang_parent_name = "limit"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"flooding" : ("flooding", Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action.Flooding)}
                                self._child_list_classes = {}

                                self.flooding = Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action.Flooding()
                                self.flooding.parent = self
                                self._children_name_map["flooding"] = "flooding"
                                self._children_yang_names.add("flooding")
                                self._segment_path = lambda: "action"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/mac/limit/%s" % self._segment_path()


                            class Flooding(Entity):
                                """
                                Mac flooding
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action.Flooding, self).__init__()

                                    self.yang_name = "flooding"
                                    self.yang_parent_name = "action"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "flooding"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/mac/limit/action/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Action.Flooding, ['disable'], name, value)


                        class Maximum(Entity):
                            """
                            Maximum
                            
                            .. attribute:: addresses
                            
                            	Addresses
                            	**type**\: int
                            
                            	**range:** 1..65536
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Maximum, self).__init__()

                                self.yang_name = "maximum"
                                self.yang_parent_name = "limit"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.addresses = YLeaf(YType.uint32, "addresses")
                                self._segment_path = lambda: "maximum"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/mac/limit/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Mac.Limit.Maximum, ['addresses'], name, value)


                class Member(Entity):
                    """
                    bridge\-domain member
                    
                    .. attribute:: mem_ipv4
                    
                    	
                    	**type**\: list of  		 :py:class:`MemIpv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4>`
                    
                    .. attribute:: acr
                    
                    	
                    	**type**\: list of  		 :py:class:`ACR <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.ACR>`
                    
                    .. attribute:: analysis_module
                    
                    	Cisco network analysis service module
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: fcpa
                    
                    	Fiber Channel
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: sbc
                    
                    	Session Border Controller
                    	**type**\: int
                    
                    	**range:** 0..2147483647
                    
                    .. attribute:: sonet_acr
                    
                    	Virtual SONET\-ACR controller
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: y_controller
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: service_engine
                    
                    	Cisco service engine module
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: tunnel_tp
                    
                    	MPLS Transport Profile interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vpn
                    
                    	VPN interface
                    	**type**\: int
                    
                    	**range:** 0..2147483647
                    
                    .. attribute:: virtual_tokenring
                    
                    	Virtual TokenRing
                    	**type**\: int
                    
                    	**range:** 0..2147483647
                    
                    .. attribute:: ucse
                    
                    	Cisco ucse server
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: vasileft
                    
                    	VasiLeft interface
                    	**type**\: int
                    
                    	**range:** 1..2000
                    
                    .. attribute:: vasiright
                    
                    	VasiRight interface
                    	**type**\: int
                    
                    	**range:** 1..2000
                    
                    .. attribute:: vfi
                    
                    	Enter VFI name
                    	**type**\: str
                    
                    .. attribute:: vni
                    
                    	
                    	**type**\: int
                    
                    	**range:** 4096..16777215
                    
                    .. attribute:: member_interface
                    
                    	
                    	**type**\: list of  		 :py:class:`MemberInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface>`
                    
                    

                    """

                    _prefix = 'ios-bd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.BridgeDomain.Parameterized.Vlan.Member, self).__init__()

                        self.yang_name = "member"
                        self.yang_parent_name = "vlan"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"mem-ipv4" : ("mem_ipv4", Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4), "ACR" : ("acr", Native.BridgeDomain.Parameterized.Vlan.Member.ACR), "member-interface" : ("member_interface", Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface)}

                        self.analysis_module = YLeaf(YType.uint8, "Analysis-Module")

                        self.fcpa = YLeaf(YType.uint8, "Fcpa")

                        self.sbc = YLeaf(YType.uint32, "SBC")

                        self.sonet_acr = YLeaf(YType.uint8, "SONET_ACR")

                        self.y_controller = YLeaf(YType.str, "_controller")

                        self.service_engine = YLeaf(YType.uint8, "Service-Engine")

                        self.tunnel_tp = YLeaf(YType.uint16, "Tunnel-tp")

                        self.vpn = YLeaf(YType.uint32, "VPN")

                        self.virtual_tokenring = YLeaf(YType.uint32, "Virtual-TokenRing")

                        self.ucse = YLeaf(YType.uint8, "ucse")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.vfi = YLeaf(YType.str, "vfi")

                        self.vni = YLeaf(YType.uint32, "vni")

                        self.mem_ipv4 = YList(self)
                        self.acr = YList(self)
                        self.member_interface = YList(self)
                        self._segment_path = lambda: "member"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Member, ['analysis_module', 'fcpa', 'sbc', 'sonet_acr', 'y_controller', 'service_engine', 'tunnel_tp', 'vpn', 'virtual_tokenring', 'ucse', 'vasileft', 'vasiright', 'vfi', 'vni'], name, value)


                    class MemIpv4(Entity):
                        """
                        
                        
                        .. attribute:: mem_ipv4  <key>
                        
                        	IP address of the peer
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mem_vcid
                        
                        	
                        	**type**\: list of  		 :py:class:`MemVcid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid>`
                        
                        .. attribute:: encapsulation
                        
                        	Data encapsulation method
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.Encapsulation>`
                        
                        .. attribute:: template
                        
                        	Template to use for encapsulation and protocol configuration
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4, self).__init__()

                            self.yang_name = "mem-ipv4"
                            self.yang_parent_name = "member"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"encapsulation" : ("encapsulation", Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.Encapsulation)}
                            self._child_list_classes = {"mem-vcid" : ("mem_vcid", Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid)}

                            self.mem_ipv4 = YLeaf(YType.str, "mem-ipv4")

                            self.template = YLeaf(YType.str, "template")

                            self.encapsulation = Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.mem_vcid = YList(self)
                            self._segment_path = lambda: "mem-ipv4" + "[mem-ipv4='" + self.mem_ipv4.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/member/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4, ['mem_ipv4', 'template'], name, value)


                        class MemVcid(Entity):
                            """
                            
                            
                            .. attribute:: mem_vcid  <key>
                            
                            	<1..4294967295>;;Enter VC ID value
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: encapsulation
                            
                            	Data encapsulation method
                            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Encapsulation>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: template
                            
                            	Template to use for encapsulation and protocol configuration
                            	**type**\:  :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Template>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid, self).__init__()

                                self.yang_name = "mem-vcid"
                                self.yang_parent_name = "mem-ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"encapsulation" : ("encapsulation", Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Encapsulation), "template" : ("template", Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Template)}
                                self._child_list_classes = {}

                                self.mem_vcid = YLeaf(YType.uint32, "mem-vcid")

                                self.encapsulation = None
                                self._children_name_map["encapsulation"] = "encapsulation"
                                self._children_yang_names.add("encapsulation")

                                self.template = None
                                self._children_name_map["template"] = "template"
                                self._children_yang_names.add("template")
                                self._segment_path = lambda: "mem-vcid" + "[mem-vcid='" + self.mem_vcid.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid, ['mem_vcid'], name, value)


                            class Encapsulation(Entity):
                                """
                                Data encapsulation method
                                
                                .. attribute:: mpls
                                
                                	Use MPLS encapsulation
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Encapsulation, self).__init__()

                                    self.yang_name = "encapsulation"
                                    self.yang_parent_name = "mem-vcid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.mpls = YLeaf(YType.empty, "mpls")
                                    self._segment_path = lambda: "encapsulation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Encapsulation, ['mpls'], name, value)


                            class Template(Entity):
                                """
                                Template to use for encapsulation and protocol configuration
                                
                                .. attribute:: template
                                
                                	<WORD>;;template name (Max size 32)
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Template, self).__init__()

                                    self.yang_name = "template"
                                    self.yang_parent_name = "mem-vcid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.template = YLeaf(YType.str, "template")
                                    self._segment_path = lambda: "template"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.MemVcid.Template, ['template'], name, value)


                        class Encapsulation(Entity):
                            """
                            Data encapsulation method
                            
                            .. attribute:: mpls
                            
                            	Use MPLS encapsulation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "mem-ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.mpls = YLeaf(YType.empty, "mpls")
                                self._segment_path = lambda: "encapsulation"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Member.MemIpv4.Encapsulation, ['mpls'], name, value)


                    class ACR(Entity):
                        """
                        
                        
                        .. attribute:: acr_int  <key>
                        
                        	<WORD>;;Virtual ACR interface
                        	**type**\: str
                        
                        .. attribute:: service_instance
                        
                        	ethernt serivce instance
                        	**type**\:  :py:class:`ServiceInstance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.ACR.ServiceInstance>`
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.BridgeDomain.Parameterized.Vlan.Member.ACR, self).__init__()

                            self.yang_name = "ACR"
                            self.yang_parent_name = "member"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"service-instance" : ("service_instance", Native.BridgeDomain.Parameterized.Vlan.Member.ACR.ServiceInstance)}
                            self._child_list_classes = {}

                            self.acr_int = YLeaf(YType.str, "acr-int")

                            self.service_instance = Native.BridgeDomain.Parameterized.Vlan.Member.ACR.ServiceInstance()
                            self.service_instance.parent = self
                            self._children_name_map["service_instance"] = "service-instance"
                            self._children_yang_names.add("service-instance")
                            self._segment_path = lambda: "ACR" + "[acr-int='" + self.acr_int.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/member/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Member.ACR, ['acr_int'], name, value)


                        class ServiceInstance(Entity):
                            """
                            ethernt serivce instance
                            
                            .. attribute:: id
                            
                            	
                            	**type**\: list of  		 :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.ACR.ServiceInstance.Id>`
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.Parameterized.Vlan.Member.ACR.ServiceInstance, self).__init__()

                                self.yang_name = "service-instance"
                                self.yang_parent_name = "ACR"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"id" : ("id", Native.BridgeDomain.Parameterized.Vlan.Member.ACR.ServiceInstance.Id)}

                                self.id = YList(self)
                                self._segment_path = lambda: "service-instance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Member.ACR.ServiceInstance, [], name, value)


                            class Id(Entity):
                                """
                                
                                
                                .. attribute:: id  <key>
                                
                                	<1..8000>;;Service Instance Identifier
                                	**type**\: int
                                
                                	**range:** 1..8000
                                
                                .. attribute:: split_horizon
                                
                                	Configure this port as a member of a split horizon group
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bd'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.BridgeDomain.Parameterized.Vlan.Member.ACR.ServiceInstance.Id, self).__init__()

                                    self.yang_name = "id"
                                    self.yang_parent_name = "service-instance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.split_horizon = YLeaf(YType.empty, "split-horizon")
                                    self._segment_path = lambda: "id" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Member.ACR.ServiceInstance.Id, ['id', 'split_horizon'], name, value)


                    class MemberInterface(Entity):
                        """
                        
                        
                        .. attribute:: interface  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: interface_id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        .. attribute:: service_instance
                        
                        	ethernt serivce instance
                        	**type**\: int
                        
                        	**range:** 1..8000
                        
                        .. attribute:: split_horizon
                        
                        	Configure this port as a member of a split horizon group
                        	**type**\:  :py:class:`SplitHorizon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface.SplitHorizon>`
                        
                        

                        """

                        _prefix = 'ios-bd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface, self).__init__()

                            self.yang_name = "member-interface"
                            self.yang_parent_name = "member"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"split-horizon" : ("split_horizon", Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface.SplitHorizon)}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.str, "interface")

                            self.interface_id = YLeaf(YType.str, "interface-id")

                            self.service_instance = YLeaf(YType.uint32, "service-instance")

                            self.split_horizon = Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface.SplitHorizon()
                            self.split_horizon.parent = self
                            self._children_name_map["split_horizon"] = "split-horizon"
                            self._children_yang_names.add("split-horizon")
                            self._segment_path = lambda: "member-interface" + "[interface='" + self.interface.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bridge-domain/Cisco-IOS-XE-bridge-domain:parameterized/vlan/member/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface, ['interface', 'interface_id', 'service_instance'], name, value)


                        class SplitHorizon(Entity):
                            """
                            Configure this port as a member of a split horizon group
                            
                            .. attribute:: group
                            
                            	Split\-horizon group
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-bd'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface.SplitHorizon, self).__init__()

                                self.yang_name = "split-horizon"
                                self.yang_parent_name = "member-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.group = YLeaf(YType.uint8, "group")
                                self._segment_path = lambda: "split-horizon"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.BridgeDomain.Parameterized.Vlan.Member.MemberInterface.SplitHorizon, ['group'], name, value)


    class Crypto(Entity):
        """
        Encryption module
        
        .. attribute:: call
        
        	Configure Crypto Call Admission Control
        	**type**\:  :py:class:`Call <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Call>`
        
        .. attribute:: dynamic_map
        
        	Specify a dynamic crypto map template
        	**type**\: list of  		 :py:class:`DynamicMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap>`
        
        .. attribute:: engine
        
        	Enter a crypto engine configurable menu
        	**type**\:  :py:class:`Engine <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Engine>`
        
        .. attribute:: gdoi
        
        	Configure GKM (Group Key Management, GDOI or G\-IKEv2) Policy
        	**type**\:  :py:class:`Gdoi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi>`
        
        .. attribute:: ikev2
        
        	Configure IKEv2 Options
        	**type**\:  :py:class:`Ikev2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2>`
        
        .. attribute:: gkm
        
        	Configure GKM (Group Key Management, GDOI or G\-IKEv2) Policy
        	**type**\:  :py:class:`Gkm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm>`
        
        .. attribute:: identity
        
        	Enter a crypto identity list
        	**type**\: list of  		 :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Identity>`
        
        .. attribute:: ipsec
        
        	Configure IPSEC policy
        	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec>`
        
        .. attribute:: isakmp
        
        	Configure ISAKMP policy
        	**type**\:  :py:class:`Isakmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp>`
        
        .. attribute:: key
        
        	Long term key operations
        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key>`
        
        .. attribute:: keyring
        
        	Key ring commands
        	**type**\: list of  		 :py:class:`Keyring <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring>`
        
        .. attribute:: logging
        
        	logging messages
        	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Logging>`
        
        .. attribute:: crypto_map
        
        	
        	**type**\:  :py:class:`CryptoMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap>`
        
        .. attribute:: map_ipv6_gdoi
        
        	
        	**type**\:  :py:class:`MapIpv6Gdoi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6Gdoi>`
        
        .. attribute:: map_client
        
        	
        	**type**\:  :py:class:`MapClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient>`
        
        .. attribute:: mib
        
        	Configure Crypto\-related MIB Parameters
        	**type**\:  :py:class:`Mib <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Mib>`
        
        .. attribute:: pki
        
        	Public Key components
        	**type**\:  :py:class:`Pki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki>`
        
        .. attribute:: tls_tunnel
        
        	
        	**type**\:  :py:class:`TlsTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel>`
        
        .. attribute:: ssl
        
        	Configure Crypto SSL Options
        	**type**\:  :py:class:`Ssl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ssl>`
        
        .. attribute:: vpn
        
        	Configure crypto vpn commands
        	**type**\:  :py:class:`Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Vpn>`
        
        .. attribute:: xauth
        
        	X\-Auth parameters
        	**type**\: str
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Crypto, self).__init__()

            self.yang_name = "crypto"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-crypto:call" : ("call", Native.Crypto.Call), "Cisco-IOS-XE-crypto:engine" : ("engine", Native.Crypto.Engine), "Cisco-IOS-XE-crypto:gdoi" : ("gdoi", Native.Crypto.Gdoi), "Cisco-IOS-XE-crypto:ikev2" : ("ikev2", Native.Crypto.Ikev2), "Cisco-IOS-XE-crypto:gkm" : ("gkm", Native.Crypto.Gkm), "Cisco-IOS-XE-crypto:ipsec" : ("ipsec", Native.Crypto.Ipsec), "Cisco-IOS-XE-crypto:isakmp" : ("isakmp", Native.Crypto.Isakmp), "Cisco-IOS-XE-crypto:key" : ("key", Native.Crypto.Key), "Cisco-IOS-XE-crypto:logging" : ("logging", Native.Crypto.Logging), "Cisco-IOS-XE-crypto:crypto-map" : ("crypto_map", Native.Crypto.CryptoMap), "Cisco-IOS-XE-crypto:map-ipv6-gdoi" : ("map_ipv6_gdoi", Native.Crypto.MapIpv6Gdoi), "Cisco-IOS-XE-crypto:map-client" : ("map_client", Native.Crypto.MapClient), "Cisco-IOS-XE-crypto:mib" : ("mib", Native.Crypto.Mib), "Cisco-IOS-XE-crypto:pki" : ("pki", Native.Crypto.Pki), "Cisco-IOS-XE-crypto:tls-tunnel" : ("tls_tunnel", Native.Crypto.TlsTunnel), "Cisco-IOS-XE-crypto:ssl" : ("ssl", Native.Crypto.Ssl), "Cisco-IOS-XE-crypto:vpn" : ("vpn", Native.Crypto.Vpn)}
            self._child_list_classes = {"Cisco-IOS-XE-crypto:dynamic-map" : ("dynamic_map", Native.Crypto.DynamicMap), "Cisco-IOS-XE-crypto:identity" : ("identity", Native.Crypto.Identity), "Cisco-IOS-XE-crypto:keyring" : ("keyring", Native.Crypto.Keyring)}

            self.xauth = YLeaf(YType.str, "Cisco-IOS-XE-crypto:xauth")

            self.call = Native.Crypto.Call()
            self.call.parent = self
            self._children_name_map["call"] = "call"
            self._children_yang_names.add("call")

            self.engine = Native.Crypto.Engine()
            self.engine.parent = self
            self._children_name_map["engine"] = "engine"
            self._children_yang_names.add("engine")

            self.gdoi = Native.Crypto.Gdoi()
            self.gdoi.parent = self
            self._children_name_map["gdoi"] = "gdoi"
            self._children_yang_names.add("gdoi")

            self.ikev2 = Native.Crypto.Ikev2()
            self.ikev2.parent = self
            self._children_name_map["ikev2"] = "ikev2"
            self._children_yang_names.add("ikev2")

            self.gkm = Native.Crypto.Gkm()
            self.gkm.parent = self
            self._children_name_map["gkm"] = "gkm"
            self._children_yang_names.add("gkm")

            self.ipsec = Native.Crypto.Ipsec()
            self.ipsec.parent = self
            self._children_name_map["ipsec"] = "ipsec"
            self._children_yang_names.add("ipsec")

            self.isakmp = Native.Crypto.Isakmp()
            self.isakmp.parent = self
            self._children_name_map["isakmp"] = "isakmp"
            self._children_yang_names.add("isakmp")

            self.key = Native.Crypto.Key()
            self.key.parent = self
            self._children_name_map["key"] = "key"
            self._children_yang_names.add("key")

            self.logging = Native.Crypto.Logging()
            self.logging.parent = self
            self._children_name_map["logging"] = "logging"
            self._children_yang_names.add("logging")

            self.crypto_map = Native.Crypto.CryptoMap()
            self.crypto_map.parent = self
            self._children_name_map["crypto_map"] = "crypto-map"
            self._children_yang_names.add("crypto-map")

            self.map_ipv6_gdoi = Native.Crypto.MapIpv6Gdoi()
            self.map_ipv6_gdoi.parent = self
            self._children_name_map["map_ipv6_gdoi"] = "map-ipv6-gdoi"
            self._children_yang_names.add("map-ipv6-gdoi")

            self.map_client = Native.Crypto.MapClient()
            self.map_client.parent = self
            self._children_name_map["map_client"] = "map-client"
            self._children_yang_names.add("map-client")

            self.mib = Native.Crypto.Mib()
            self.mib.parent = self
            self._children_name_map["mib"] = "mib"
            self._children_yang_names.add("mib")

            self.pki = Native.Crypto.Pki()
            self.pki.parent = self
            self._children_name_map["pki"] = "pki"
            self._children_yang_names.add("pki")

            self.tls_tunnel = Native.Crypto.TlsTunnel()
            self.tls_tunnel.parent = self
            self._children_name_map["tls_tunnel"] = "tls-tunnel"
            self._children_yang_names.add("tls-tunnel")

            self.ssl = Native.Crypto.Ssl()
            self.ssl.parent = self
            self._children_name_map["ssl"] = "ssl"
            self._children_yang_names.add("ssl")

            self.vpn = Native.Crypto.Vpn()
            self.vpn.parent = self
            self._children_name_map["vpn"] = "vpn"
            self._children_yang_names.add("vpn")

            self.dynamic_map = YList(self)
            self.identity = YList(self)
            self.keyring = YList(self)
            self._segment_path = lambda: "crypto"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Crypto, ['xauth'], name, value)


        class Call(Entity):
            """
            Configure Crypto Call Admission Control
            
            .. attribute:: admission
            
            	Configure Crypto Call Admission Control
            	**type**\:  :py:class:`Admission <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Call.Admission>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Call, self).__init__()

                self.yang_name = "call"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"admission" : ("admission", Native.Crypto.Call.Admission)}
                self._child_list_classes = {}

                self.admission = Native.Crypto.Call.Admission()
                self.admission.parent = self
                self._children_name_map["admission"] = "admission"
                self._children_yang_names.add("admission")
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:call"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()


            class Admission(Entity):
                """
                Configure Crypto Call Admission Control
                
                .. attribute:: limit
                
                	Configure Crypto Call Admission Control limits
                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Call.Admission.Limit>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Call.Admission, self).__init__()

                    self.yang_name = "admission"
                    self.yang_parent_name = "call"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"limit" : ("limit", Native.Crypto.Call.Admission.Limit)}
                    self._child_list_classes = {}

                    self.limit = Native.Crypto.Call.Admission.Limit()
                    self.limit.parent = self
                    self._children_name_map["limit"] = "limit"
                    self._children_yang_names.add("limit")
                    self._segment_path = lambda: "admission"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:call/%s" % self._segment_path()


                class Limit(Entity):
                    """
                    Configure Crypto Call Admission Control limits
                    
                    .. attribute:: all
                    
                    	onfigure Crypto Call Admission Control total in\-negotiation SA limit
                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Call.Admission.Limit.All>`
                    
                    .. attribute:: ike
                    
                    	Configure Crypto Call Admission Control active IKE SA limit
                    	**type**\:  :py:class:`Ike <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Call.Admission.Limit.Ike>`
                    
                    .. attribute:: ipsec
                    
                    	Configure Crypto Call Admission Control active IPSec SA limit
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Call.Admission.Limit.Ipsec>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Call.Admission.Limit, self).__init__()

                        self.yang_name = "limit"
                        self.yang_parent_name = "admission"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"all" : ("all", Native.Crypto.Call.Admission.Limit.All), "ike" : ("ike", Native.Crypto.Call.Admission.Limit.Ike), "ipsec" : ("ipsec", Native.Crypto.Call.Admission.Limit.Ipsec)}
                        self._child_list_classes = {}

                        self.all = Native.Crypto.Call.Admission.Limit.All()
                        self.all.parent = self
                        self._children_name_map["all"] = "all"
                        self._children_yang_names.add("all")

                        self.ike = Native.Crypto.Call.Admission.Limit.Ike()
                        self.ike.parent = self
                        self._children_name_map["ike"] = "ike"
                        self._children_yang_names.add("ike")

                        self.ipsec = Native.Crypto.Call.Admission.Limit.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")
                        self._segment_path = lambda: "limit"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:call/admission/%s" % self._segment_path()


                    class All(Entity):
                        """
                        onfigure Crypto Call Admission Control total in\-negotiation SA limit
                        
                        .. attribute:: in_negotiation_sa
                        
                        	Maximum number of in\-negotiation SAs allowed
                        	**type**\: int
                        
                        	**range:** 10..99999
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Call.Admission.Limit.All, self).__init__()

                            self.yang_name = "all"
                            self.yang_parent_name = "limit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.in_negotiation_sa = YLeaf(YType.uint32, "in-negotiation-sa")
                            self._segment_path = lambda: "all"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:call/admission/limit/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Call.Admission.Limit.All, ['in_negotiation_sa'], name, value)


                    class Ike(Entity):
                        """
                        Configure Crypto Call Admission Control active IKE SA limit
                        
                        .. attribute:: in_negotiation_sa
                        
                        	Maximum number of in\-negotiation IKE SAs allowed
                        	**type**\: int
                        
                        	**range:** 10..99999
                        
                        .. attribute:: sa
                        
                        	Maximum active IKE SAs allowed
                        	**type**\: int
                        
                        	**range:** 0..99999
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Call.Admission.Limit.Ike, self).__init__()

                            self.yang_name = "ike"
                            self.yang_parent_name = "limit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.in_negotiation_sa = YLeaf(YType.uint32, "in-negotiation-sa")

                            self.sa = YLeaf(YType.uint32, "sa")
                            self._segment_path = lambda: "ike"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:call/admission/limit/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Call.Admission.Limit.Ike, ['in_negotiation_sa', 'sa'], name, value)


                    class Ipsec(Entity):
                        """
                        Configure Crypto Call Admission Control active IPSec SA limit
                        
                        .. attribute:: sa
                        
                        	Maximum active IPSec SAs allowed
                        	**type**\: int
                        
                        	**range:** 0..99999
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Call.Admission.Limit.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "limit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.sa = YLeaf(YType.uint32, "sa")
                            self._segment_path = lambda: "ipsec"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:call/admission/limit/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Call.Admission.Limit.Ipsec, ['sa'], name, value)


        class DynamicMap(Entity):
            """
            Specify a dynamic crypto map template
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: sequence  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default>`
            
            .. attribute:: description
            
            	Description of the crypto map statement policy
            	**type**\: str
            
            .. attribute:: dialer
            
            	Dialer related commands
            	**type**\:  :py:class:`Dialer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Dialer>`
            
            .. attribute:: match
            
            	Match values
            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Match>`
            
            .. attribute:: qos
            
            	Quality of Service related commands
            	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Qos>`
            
            .. attribute:: reverse_route
            
            	Reverse Route Injection
            	**type**\:  :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.ReverseRoute>`
            
            	**presence node**\: True
            
            .. attribute:: set
            
            	Set values for encryption/decryption
            	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.DynamicMap, self).__init__()

                self.yang_name = "dynamic-map"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"default" : ("default", Native.Crypto.DynamicMap.Default), "dialer" : ("dialer", Native.Crypto.DynamicMap.Dialer), "match" : ("match", Native.Crypto.DynamicMap.Match), "qos" : ("qos", Native.Crypto.DynamicMap.Qos), "reverse-route" : ("reverse_route", Native.Crypto.DynamicMap.ReverseRoute), "set" : ("set", Native.Crypto.DynamicMap.Set)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.sequence = YLeaf(YType.uint16, "sequence")

                self.description = YLeaf(YType.str, "description")

                self.default = Native.Crypto.DynamicMap.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.dialer = Native.Crypto.DynamicMap.Dialer()
                self.dialer.parent = self
                self._children_name_map["dialer"] = "dialer"
                self._children_yang_names.add("dialer")

                self.match = Native.Crypto.DynamicMap.Match()
                self.match.parent = self
                self._children_name_map["match"] = "match"
                self._children_yang_names.add("match")

                self.qos = Native.Crypto.DynamicMap.Qos()
                self.qos.parent = self
                self._children_name_map["qos"] = "qos"
                self._children_yang_names.add("qos")

                self.reverse_route = None
                self._children_name_map["reverse_route"] = "reverse-route"
                self._children_yang_names.add("reverse-route")

                self.set = Native.Crypto.DynamicMap.Set()
                self.set.parent = self
                self._children_name_map["set"] = "set"
                self._children_yang_names.add("set")
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:dynamic-map" + "[name='" + self.name.get() + "']" + "[sequence='" + self.sequence.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.DynamicMap, ['name', 'sequence', 'description'], name, value)


            class Default(Entity):
                """
                Set a command to its defaults
                
                .. attribute:: description
                
                	Description of the crypto map statement policy
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dialer
                
                	Dialer related commands
                	**type**\:  :py:class:`Dialer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Dialer>`
                
                .. attribute:: match
                
                	Match values
                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Match>`
                
                .. attribute:: qos
                
                	Quality of Service related commands
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Qos>`
                
                .. attribute:: reverse_route
                
                	Reverse Route Injection
                	**type**\:  :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.ReverseRoute>`
                
                	**presence node**\: True
                
                .. attribute:: set
                
                	Set values for encryption/decryption
                	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.DynamicMap.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "dynamic-map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"dialer" : ("dialer", Native.Crypto.DynamicMap.Default.Dialer), "match" : ("match", Native.Crypto.DynamicMap.Default.Match), "qos" : ("qos", Native.Crypto.DynamicMap.Default.Qos), "reverse-route" : ("reverse_route", Native.Crypto.DynamicMap.Default.ReverseRoute), "set" : ("set", Native.Crypto.DynamicMap.Default.Set)}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.empty, "description")

                    self.dialer = Native.Crypto.DynamicMap.Default.Dialer()
                    self.dialer.parent = self
                    self._children_name_map["dialer"] = "dialer"
                    self._children_yang_names.add("dialer")

                    self.match = Native.Crypto.DynamicMap.Default.Match()
                    self.match.parent = self
                    self._children_name_map["match"] = "match"
                    self._children_yang_names.add("match")

                    self.qos = Native.Crypto.DynamicMap.Default.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")

                    self.reverse_route = None
                    self._children_name_map["reverse_route"] = "reverse-route"
                    self._children_yang_names.add("reverse-route")

                    self.set = Native.Crypto.DynamicMap.Default.Set()
                    self.set.parent = self
                    self._children_name_map["set"] = "set"
                    self._children_yang_names.add("set")
                    self._segment_path = lambda: "default"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.DynamicMap.Default, ['description'], name, value)


                class Dialer(Entity):
                    """
                    Dialer related commands
                    
                    .. attribute:: pre_classify
                    
                    	Enable dialer list classification before initiating IKE
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.Default.Dialer, self).__init__()

                        self.yang_name = "dialer"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pre_classify = YLeaf(YType.empty, "pre-classify")
                        self._segment_path = lambda: "dialer"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.DynamicMap.Default.Dialer, ['pre_classify'], name, value)


                class Match(Entity):
                    """
                    Match values
                    
                    .. attribute:: address
                    
                    	Match address of packets to encrypt
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.Default.Match, self).__init__()

                        self.yang_name = "match"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.empty, "address")
                        self._segment_path = lambda: "match"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.DynamicMap.Default.Match, ['address'], name, value)


                class Qos(Entity):
                    """
                    Quality of Service related commands
                    
                    .. attribute:: pre_classify
                    
                    	Enable QOS classification before packets are tunnel encapsulated
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.Default.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pre_classify = YLeaf(YType.empty, "pre-classify")
                        self._segment_path = lambda: "qos"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.DynamicMap.Default.Qos, ['pre_classify'], name, value)


                class ReverseRoute(Entity):
                    """
                    Reverse Route Injection.
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.Default.ReverseRoute, self).__init__()

                        self.yang_name = "reverse-route"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "reverse-route"


                class Set(Entity):
                    """
                    Set values for encryption/decryption
                    
                    .. attribute:: group
                    
                    	Set the san group parameters
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: identity
                    
                    	Identity restriction
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ikev2_profile
                    
                    	Specify ikev2 Profile
                    	**type**\: str
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.Ip>`
                    
                    .. attribute:: isakmp_profile
                    
                    	Specify isakmp Profile
                    	**type**\: str
                    
                    .. attribute:: nat
                    
                    	Set NAT translation
                    	**type**\:  :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.Nat>`
                    
                    .. attribute:: peer_container
                    
                    	
                    	**type**\:  :py:class:`PeerContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.PeerContainer>`
                    
                    .. attribute:: pfs
                    
                    	Specify pfs settings
                    	**type**\:  :py:class:`Pfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.Pfs>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: reverse_route
                    
                    	Reverse Route Injection
                    	**type**\:  :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.ReverseRoute>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: security_association
                    
                    	Security association parameters
                    	**type**\:  :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.SecurityAssociation>`
                    
                    .. attribute:: transform_set
                    
                    	Specify list of transform sets in priority order
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.Default.Set, self).__init__()

                        self.yang_name = "set"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Crypto.DynamicMap.Default.Set.Ip), "nat" : ("nat", Native.Crypto.DynamicMap.Default.Set.Nat), "peer-container" : ("peer_container", Native.Crypto.DynamicMap.Default.Set.PeerContainer), "pfs" : ("pfs", Native.Crypto.DynamicMap.Default.Set.Pfs), "reverse-route" : ("reverse_route", Native.Crypto.DynamicMap.Default.Set.ReverseRoute), "security-association" : ("security_association", Native.Crypto.DynamicMap.Default.Set.SecurityAssociation)}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.empty, "group")

                        self.identity = YLeaf(YType.empty, "identity")

                        self.ikev2_profile = YLeaf(YType.str, "ikev2-profile")

                        self.isakmp_profile = YLeaf(YType.str, "isakmp-profile")

                        self.transform_set = YLeaf(YType.empty, "transform-set")

                        self.ip = Native.Crypto.DynamicMap.Default.Set.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.nat = Native.Crypto.DynamicMap.Default.Set.Nat()
                        self.nat.parent = self
                        self._children_name_map["nat"] = "nat"
                        self._children_yang_names.add("nat")

                        self.peer_container = Native.Crypto.DynamicMap.Default.Set.PeerContainer()
                        self.peer_container.parent = self
                        self._children_name_map["peer_container"] = "peer-container"
                        self._children_yang_names.add("peer-container")

                        self.pfs = None
                        self._children_name_map["pfs"] = "pfs"
                        self._children_yang_names.add("pfs")

                        self.reverse_route = None
                        self._children_name_map["reverse_route"] = "reverse-route"
                        self._children_yang_names.add("reverse-route")

                        self.security_association = Native.Crypto.DynamicMap.Default.Set.SecurityAssociation()
                        self.security_association.parent = self
                        self._children_name_map["security_association"] = "security-association"
                        self._children_yang_names.add("security-association")
                        self._segment_path = lambda: "set"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.DynamicMap.Default.Set, ['group', 'identity', 'ikev2_profile', 'isakmp_profile', 'transform_set'], name, value)


                    class Ip(Entity):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: access_group
                        
                        	Specify access control for packets
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..199 \| 1300..2699
                        
                        		**type**\: str
                        
                        			**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: direction
                        
                        	
                        	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.Ip.Direction>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.DynamicMap.Default.Set.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_group = YLeaf(YType.str, "access-group")

                            self.direction = YLeaf(YType.enumeration, "direction")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.DynamicMap.Default.Set.Ip, ['access_group', 'direction'], name, value)

                        class Direction(Enum):
                            """
                            Direction

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = Enum.YLeaf(0, "in")

                            out = Enum.YLeaf(1, "out")



                    class Nat(Entity):
                        """
                        Set NAT translation
                        
                        .. attribute:: demux
                        
                        	Set NAT demultiplexing
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.DynamicMap.Default.Set.Nat, self).__init__()

                            self.yang_name = "nat"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.demux = YLeaf(YType.empty, "demux")
                            self._segment_path = lambda: "nat"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.DynamicMap.Default.Set.Nat, ['demux'], name, value)


                    class PeerContainer(Entity):
                        """
                        
                        
                        .. attribute:: peer
                        
                        	Allowed Encryption/Decryption peer
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        .. attribute:: default
                        
                        	Reset to default peer in list in the event of a failure
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.DynamicMap.Default.Set.PeerContainer, self).__init__()

                            self.yang_name = "peer-container"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.peer = YLeaf(YType.str, "peer")

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "peer-container"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.DynamicMap.Default.Set.PeerContainer, ['peer', 'default'], name, value)


                    class Pfs(Entity):
                        """
                        Specify pfs settings
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.DynamicMap.Default.Set.Pfs, self).__init__()

                            self.yang_name = "pfs"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "pfs"


                    class ReverseRoute(Entity):
                        """
                        Reverse Route Injection
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.DynamicMap.Default.Set.ReverseRoute, self).__init__()

                            self.yang_name = "reverse-route"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "reverse-route"


                    class SecurityAssociation(Entity):
                        """
                        Security association parameters
                        
                        .. attribute:: dfbit
                        
                        	Handling of encapsulated DF bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dummy
                        
                        	Enable transmitting dummy packets
                        	**type**\:  :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Dummy>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ecn
                        
                        	Handling of ECN bit
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: idle_time_container
                        
                        	
                        	**type**\:  :py:class:`IdleTimeContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.IdleTimeContainer>`
                        
                        .. attribute:: lifetime
                        
                        	security association lifetime
                        	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Lifetime>`
                        
                        .. attribute:: replay
                        
                        	Set replay checking
                        	**type**\:  :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Replay>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.DynamicMap.Default.Set.SecurityAssociation, self).__init__()

                            self.yang_name = "security-association"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dummy" : ("dummy", Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Dummy), "idle-time-container" : ("idle_time_container", Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.IdleTimeContainer), "lifetime" : ("lifetime", Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Lifetime), "replay" : ("replay", Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Replay)}
                            self._child_list_classes = {}

                            self.dfbit = YLeaf(YType.empty, "dfbit")

                            self.ecn = YLeaf(YType.empty, "ecn")

                            self.dummy = None
                            self._children_name_map["dummy"] = "dummy"
                            self._children_yang_names.add("dummy")

                            self.idle_time_container = Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.IdleTimeContainer()
                            self.idle_time_container.parent = self
                            self._children_name_map["idle_time_container"] = "idle-time-container"
                            self._children_yang_names.add("idle-time-container")

                            self.lifetime = Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Lifetime()
                            self.lifetime.parent = self
                            self._children_name_map["lifetime"] = "lifetime"
                            self._children_yang_names.add("lifetime")

                            self.replay = Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Replay()
                            self.replay.parent = self
                            self._children_name_map["replay"] = "replay"
                            self._children_yang_names.add("replay")
                            self._segment_path = lambda: "security-association"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.DynamicMap.Default.Set.SecurityAssociation, ['dfbit', 'ecn'], name, value)


                        class Dummy(Entity):
                            """
                            Enable transmitting dummy packets
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Dummy, self).__init__()

                                self.yang_name = "dummy"
                                self.yang_parent_name = "security-association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "dummy"


                        class IdleTimeContainer(Entity):
                            """
                            
                            
                            .. attribute:: idle_time
                            
                            	Automatically delete IPSec SAs after a given idle period
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: default
                            
                            	All SAs idle\-out reset to default peer
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.IdleTimeContainer, self).__init__()

                                self.yang_name = "idle-time-container"
                                self.yang_parent_name = "security-association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.idle_time = YLeaf(YType.empty, "idle-time")

                                self.default = YLeaf(YType.empty, "default")
                                self._segment_path = lambda: "idle-time-container"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.IdleTimeContainer, ['idle_time', 'default'], name, value)


                        class Lifetime(Entity):
                            """
                            security association lifetime
                            
                            .. attribute:: days
                            
                            	Time\-based key duration in days
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: kilobytes
                            
                            	Volume\-based key duration
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: seconds
                            
                            	Time\-based key duration in seconds
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Lifetime, self).__init__()

                                self.yang_name = "lifetime"
                                self.yang_parent_name = "security-association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.days = YLeaf(YType.empty, "days")

                                self.kilobytes = YLeaf(YType.empty, "kilobytes")

                                self.seconds = YLeaf(YType.empty, "seconds")
                                self._segment_path = lambda: "lifetime"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Lifetime, ['days', 'kilobytes', 'seconds'], name, value)


                        class Replay(Entity):
                            """
                            Set replay checking.
                            
                            .. attribute:: disable
                            
                            	Disable replay checking
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: window_size
                            
                            	Set replay window size
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Replay, self).__init__()

                                self.yang_name = "replay"
                                self.yang_parent_name = "security-association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.disable = YLeaf(YType.empty, "disable")

                                self.window_size = YLeaf(YType.empty, "window-size")
                                self._segment_path = lambda: "replay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.DynamicMap.Default.Set.SecurityAssociation.Replay, ['disable', 'window_size'], name, value)


            class Dialer(Entity):
                """
                Dialer related commands
                
                .. attribute:: pre_classify
                
                	Enable dialer list classification before initiating IKE
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.DynamicMap.Dialer, self).__init__()

                    self.yang_name = "dialer"
                    self.yang_parent_name = "dynamic-map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.pre_classify = YLeaf(YType.empty, "pre-classify")
                    self._segment_path = lambda: "dialer"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.DynamicMap.Dialer, ['pre_classify'], name, value)


            class Match(Entity):
                """
                Match values
                
                .. attribute:: address
                
                	Match address of packets to encrypt
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 100..199
                
                		**type**\: int
                
                			**range:** 2000..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.DynamicMap.Match, self).__init__()

                    self.yang_name = "match"
                    self.yang_parent_name = "dynamic-map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.str, "address")
                    self._segment_path = lambda: "match"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.DynamicMap.Match, ['address'], name, value)


            class Qos(Entity):
                """
                Quality of Service related commands
                
                .. attribute:: pre_classify
                
                	Enable QOS classification before packets are tunnel encapsulated
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.DynamicMap.Qos, self).__init__()

                    self.yang_name = "qos"
                    self.yang_parent_name = "dynamic-map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.pre_classify = YLeaf(YType.empty, "pre-classify")
                    self._segment_path = lambda: "qos"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.DynamicMap.Qos, ['pre_classify'], name, value)


            class ReverseRoute(Entity):
                """
                Reverse Route Injection.
                
                .. attribute:: remote_peer_conatiner
                
                	
                	**type**\:  :py:class:`RemotePeerConatiner <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.ReverseRoute.RemotePeerConatiner>`
                
                .. attribute:: static
                
                	Create routes based on static ACLs permanently
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.DynamicMap.ReverseRoute, self).__init__()

                    self.yang_name = "reverse-route"
                    self.yang_parent_name = "dynamic-map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"remote-peer-conatiner" : ("remote_peer_conatiner", Native.Crypto.DynamicMap.ReverseRoute.RemotePeerConatiner)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.static = YLeaf(YType.empty, "static")

                    self.remote_peer_conatiner = Native.Crypto.DynamicMap.ReverseRoute.RemotePeerConatiner()
                    self.remote_peer_conatiner.parent = self
                    self._children_name_map["remote_peer_conatiner"] = "remote-peer-conatiner"
                    self._children_yang_names.add("remote-peer-conatiner")
                    self._segment_path = lambda: "reverse-route"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.DynamicMap.ReverseRoute, ['static'], name, value)


                class RemotePeerConatiner(Entity):
                    """
                    
                    
                    .. attribute:: remote_peer
                    
                    	Create route in route table for remote tunnel endpoint
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: gateway
                    
                    	Force encrypted traffic via this preferred gateway
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: static
                    
                    	Create routes based on static ACLs permanently
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.ReverseRoute.RemotePeerConatiner, self).__init__()

                        self.yang_name = "remote-peer-conatiner"
                        self.yang_parent_name = "reverse-route"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.remote_peer = YLeaf(YType.str, "remote-peer")

                        self.gateway = YLeaf(YType.empty, "gateway")

                        self.static = YLeaf(YType.empty, "static")
                        self._segment_path = lambda: "remote-peer-conatiner"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.DynamicMap.ReverseRoute.RemotePeerConatiner, ['remote_peer', 'gateway', 'static'], name, value)


            class Set(Entity):
                """
                Set values for encryption/decryption
                
                .. attribute:: group
                
                	Set the san group parameters
                	**type**\: str
                
                .. attribute:: identity
                
                	Identity restriction
                	**type**\: str
                
                .. attribute:: ikev2_profile
                
                	Specify ikev2 Profile
                	**type**\: str
                
                .. attribute:: isakmp_profile
                
                	Specify isakmp Profile
                	**type**\: str
                
                .. attribute:: peer
                
                	Allowed Encryption/Decryption peer
                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.Peer>`
                
                .. attribute:: pfs
                
                	Specify pfs settings
                	**type**\:  :py:class:`Pfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.Pfs>`
                
                	**presence node**\: True
                
                .. attribute:: reverse_route
                
                	Reverse Route Injection
                	**type**\:  :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.ReverseRoute>`
                
                .. attribute:: transform_set
                
                	Specify list of transform sets in priority order
                	**type**\: list of str
                
                .. attribute:: ip_in
                
                	
                	**type**\:  :py:class:`IpIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.IpIn>`
                
                .. attribute:: ip_out
                
                	
                	**type**\:  :py:class:`IpOut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.IpOut>`
                
                .. attribute:: nat
                
                	Set NAT translation
                	**type**\:  :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.Nat>`
                
                .. attribute:: peer_container
                
                	
                	**type**\:  :py:class:`PeerContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.PeerContainer>`
                
                .. attribute:: security_association
                
                	Security association parameters
                	**type**\:  :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.DynamicMap.Set, self).__init__()

                    self.yang_name = "set"
                    self.yang_parent_name = "dynamic-map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"peer" : ("peer", Native.Crypto.DynamicMap.Set.Peer), "pfs" : ("pfs", Native.Crypto.DynamicMap.Set.Pfs), "reverse-route" : ("reverse_route", Native.Crypto.DynamicMap.Set.ReverseRoute), "ip-in" : ("ip_in", Native.Crypto.DynamicMap.Set.IpIn), "ip-out" : ("ip_out", Native.Crypto.DynamicMap.Set.IpOut), "nat" : ("nat", Native.Crypto.DynamicMap.Set.Nat), "peer-container" : ("peer_container", Native.Crypto.DynamicMap.Set.PeerContainer), "security-association" : ("security_association", Native.Crypto.DynamicMap.Set.SecurityAssociation)}
                    self._child_list_classes = {}

                    self.group = YLeaf(YType.str, "group")

                    self.identity = YLeaf(YType.str, "identity")

                    self.ikev2_profile = YLeaf(YType.str, "ikev2-profile")

                    self.isakmp_profile = YLeaf(YType.str, "isakmp-profile")

                    self.transform_set = YLeafList(YType.str, "transform-set")

                    self.peer = Native.Crypto.DynamicMap.Set.Peer()
                    self.peer.parent = self
                    self._children_name_map["peer"] = "peer"
                    self._children_yang_names.add("peer")

                    self.pfs = None
                    self._children_name_map["pfs"] = "pfs"
                    self._children_yang_names.add("pfs")

                    self.reverse_route = Native.Crypto.DynamicMap.Set.ReverseRoute()
                    self.reverse_route.parent = self
                    self._children_name_map["reverse_route"] = "reverse-route"
                    self._children_yang_names.add("reverse-route")

                    self.ip_in = Native.Crypto.DynamicMap.Set.IpIn()
                    self.ip_in.parent = self
                    self._children_name_map["ip_in"] = "ip-in"
                    self._children_yang_names.add("ip-in")

                    self.ip_out = Native.Crypto.DynamicMap.Set.IpOut()
                    self.ip_out.parent = self
                    self._children_name_map["ip_out"] = "ip-out"
                    self._children_yang_names.add("ip-out")

                    self.nat = Native.Crypto.DynamicMap.Set.Nat()
                    self.nat.parent = self
                    self._children_name_map["nat"] = "nat"
                    self._children_yang_names.add("nat")

                    self.peer_container = Native.Crypto.DynamicMap.Set.PeerContainer()
                    self.peer_container.parent = self
                    self._children_name_map["peer_container"] = "peer-container"
                    self._children_yang_names.add("peer-container")

                    self.security_association = Native.Crypto.DynamicMap.Set.SecurityAssociation()
                    self.security_association.parent = self
                    self._children_name_map["security_association"] = "security-association"
                    self._children_yang_names.add("security-association")
                    self._segment_path = lambda: "set"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.DynamicMap.Set, ['group', 'identity', 'ikev2_profile', 'isakmp_profile', 'transform_set'], name, value)


                class Peer(Entity):
                    """
                    Allowed Encryption/Decryption peer.
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: default
                    
                    	Reset to default peer in list in the event of a failure
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dynamic
                    
                    	Resolve the peer address at the time of negotiation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.Set.Peer, self).__init__()

                        self.yang_name = "peer"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.default = YLeaf(YType.empty, "default")

                        self.dynamic = YLeaf(YType.empty, "dynamic")
                        self._segment_path = lambda: "peer"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.DynamicMap.Set.Peer, ['address', 'default', 'dynamic'], name, value)


                class Pfs(Entity):
                    """
                    Specify pfs settings
                    
                    .. attribute:: group
                    
                    	
                    	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.Pfs.Group>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.Set.Pfs, self).__init__()

                        self.yang_name = "pfs"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.group = YLeaf(YType.enumeration, "group")
                        self._segment_path = lambda: "pfs"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.DynamicMap.Set.Pfs, ['group'], name, value)

                    class Group(Enum):
                        """
                        Group

                        .. data:: group1 = 0

                        .. data:: group14 = 1

                        .. data:: group15 = 2

                        .. data:: group16 = 3

                        .. data:: group19 = 4

                        .. data:: group2 = 5

                        .. data:: group20 = 6

                        .. data:: group21 = 7

                        .. data:: group24 = 8

                        .. data:: group5 = 9

                        """

                        group1 = Enum.YLeaf(0, "group1")

                        group14 = Enum.YLeaf(1, "group14")

                        group15 = Enum.YLeaf(2, "group15")

                        group16 = Enum.YLeaf(3, "group16")

                        group19 = Enum.YLeaf(4, "group19")

                        group2 = Enum.YLeaf(5, "group2")

                        group20 = Enum.YLeaf(6, "group20")

                        group21 = Enum.YLeaf(7, "group21")

                        group24 = Enum.YLeaf(8, "group24")

                        group5 = Enum.YLeaf(9, "group5")



                class ReverseRoute(Entity):
                    """
                    Reverse Route Injection
                    
                    .. attribute:: distance
                    
                    	Distance metric for this static route
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: tag
                    
                    	Create route and tag it
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.Set.ReverseRoute, self).__init__()

                        self.yang_name = "reverse-route"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.distance = YLeaf(YType.uint8, "distance")

                        self.tag = YLeaf(YType.uint64, "tag")
                        self._segment_path = lambda: "reverse-route"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.DynamicMap.Set.ReverseRoute, ['distance', 'tag'], name, value)


                class IpIn(Entity):
                    """
                    
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.IpIn.Ip>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.Set.IpIn, self).__init__()

                        self.yang_name = "ip-in"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Crypto.DynamicMap.Set.IpIn.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Crypto.DynamicMap.Set.IpIn.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "ip-in"


                    class Ip(Entity):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: access_group
                        
                        	Specify access control for packets
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..199 \| 1300..2699
                        
                        		**type**\: str
                        
                        			**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: in_
                        
                        	inbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.DynamicMap.Set.IpIn.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "ip-in"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_group = YLeaf(YType.str, "access-group")

                            self.in_ = YLeaf(YType.empty, "in")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.DynamicMap.Set.IpIn.Ip, ['access_group', 'in_'], name, value)


                class IpOut(Entity):
                    """
                    
                    
                    .. attribute:: ip
                    
                    	Interface Internet Protocol config commands
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.IpOut.Ip>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.Set.IpOut, self).__init__()

                        self.yang_name = "ip-out"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Crypto.DynamicMap.Set.IpOut.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Crypto.DynamicMap.Set.IpOut.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "ip-out"


                    class Ip(Entity):
                        """
                        Interface Internet Protocol config commands
                        
                        .. attribute:: access_group
                        
                        	Specify access control for packets
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..199 \| 1300..2699
                        
                        		**type**\: str
                        
                        			**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: out
                        
                        	outbound packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.DynamicMap.Set.IpOut.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "ip-out"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_group = YLeaf(YType.str, "access-group")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.DynamicMap.Set.IpOut.Ip, ['access_group', 'out'], name, value)


                class Nat(Entity):
                    """
                    Set NAT translation
                    
                    .. attribute:: demux
                    
                    	Set NAT demultiplexing
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.Set.Nat, self).__init__()

                        self.yang_name = "nat"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.demux = YLeaf(YType.empty, "demux")
                        self._segment_path = lambda: "nat"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.DynamicMap.Set.Nat, ['demux'], name, value)


                class PeerContainer(Entity):
                    """
                    
                    
                    .. attribute:: peer
                    
                    	Allowed Encryption/Decryption peer
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                    
                    .. attribute:: default
                    
                    	Reset to default peer in list in the event of a failure
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.Set.PeerContainer, self).__init__()

                        self.yang_name = "peer-container"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.peer = YLeaf(YType.str, "peer")

                        self.default = YLeaf(YType.empty, "default")
                        self._segment_path = lambda: "peer-container"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.DynamicMap.Set.PeerContainer, ['peer', 'default'], name, value)


                class SecurityAssociation(Entity):
                    """
                    Security association parameters
                    
                    .. attribute:: dfbit
                    
                    	Handling of encapsulated DF bit
                    	**type**\:  :py:class:`Dfbit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.Dfbit>`
                    
                    .. attribute:: dummy
                    
                    	Enable transmitting dummy packets
                    	**type**\:  :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.Dummy>`
                    
                    .. attribute:: ecn
                    
                    	Handling of ECN bit
                    	**type**\:  :py:class:`Ecn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.Ecn>`
                    
                    .. attribute:: idle_time_container
                    
                    	
                    	**type**\:  :py:class:`IdleTimeContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.IdleTimeContainer>`
                    
                    .. attribute:: lifetime
                    
                    	security association lifetime
                    	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime>`
                    
                    .. attribute:: replay
                    
                    	Set replay checking
                    	**type**\:  :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.DynamicMap.Set.SecurityAssociation, self).__init__()

                        self.yang_name = "security-association"
                        self.yang_parent_name = "set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dummy" : ("dummy", Native.Crypto.DynamicMap.Set.SecurityAssociation.Dummy), "idle-time-container" : ("idle_time_container", Native.Crypto.DynamicMap.Set.SecurityAssociation.IdleTimeContainer), "lifetime" : ("lifetime", Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime), "replay" : ("replay", Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay)}
                        self._child_list_classes = {}

                        self.dfbit = YLeaf(YType.enumeration, "dfbit")

                        self.ecn = YLeaf(YType.enumeration, "ecn")

                        self.dummy = Native.Crypto.DynamicMap.Set.SecurityAssociation.Dummy()
                        self.dummy.parent = self
                        self._children_name_map["dummy"] = "dummy"
                        self._children_yang_names.add("dummy")

                        self.idle_time_container = Native.Crypto.DynamicMap.Set.SecurityAssociation.IdleTimeContainer()
                        self.idle_time_container.parent = self
                        self._children_name_map["idle_time_container"] = "idle-time-container"
                        self._children_yang_names.add("idle-time-container")

                        self.lifetime = Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime()
                        self.lifetime.parent = self
                        self._children_name_map["lifetime"] = "lifetime"
                        self._children_yang_names.add("lifetime")

                        self.replay = Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay()
                        self.replay.parent = self
                        self._children_name_map["replay"] = "replay"
                        self._children_yang_names.add("replay")
                        self._segment_path = lambda: "security-association"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.DynamicMap.Set.SecurityAssociation, ['dfbit', 'ecn'], name, value)

                    class Dfbit(Enum):
                        """
                        Dfbit

                        Handling of encapsulated DF bit.

                        .. data:: clear = 0

                        .. data:: copy = 1

                        .. data:: set = 2

                        """

                        clear = Enum.YLeaf(0, "clear")

                        copy = Enum.YLeaf(1, "copy")

                        set = Enum.YLeaf(2, "set")


                    class Ecn(Enum):
                        """
                        Ecn

                        Handling of ECN bit

                        .. data:: discard = 0

                        .. data:: propagate = 1

                        """

                        discard = Enum.YLeaf(0, "discard")

                        propagate = Enum.YLeaf(1, "propagate")



                    class Dummy(Entity):
                        """
                        Enable transmitting dummy packets
                        
                        .. attribute:: pps
                        
                        	Simulated traffic rate (in pps)
                        	**type**\: int
                        
                        	**range:** 0..25
                        
                        .. attribute:: seconds
                        
                        	Simulated traffic rate (in seconds)
                        	**type**\: int
                        
                        	**range:** 1..3600
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.DynamicMap.Set.SecurityAssociation.Dummy, self).__init__()

                            self.yang_name = "dummy"
                            self.yang_parent_name = "security-association"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.pps = YLeaf(YType.uint8, "pps")

                            self.seconds = YLeaf(YType.uint16, "seconds")
                            self._segment_path = lambda: "dummy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.DynamicMap.Set.SecurityAssociation.Dummy, ['pps', 'seconds'], name, value)


                    class IdleTimeContainer(Entity):
                        """
                        
                        
                        .. attribute:: idle_time
                        
                        	Automatically delete IPSec SAs after a given idle period
                        	**type**\: int
                        
                        	**range:** 60..86400
                        
                        .. attribute:: default
                        
                        	All SAs idle\-out reset to default peer
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.DynamicMap.Set.SecurityAssociation.IdleTimeContainer, self).__init__()

                            self.yang_name = "idle-time-container"
                            self.yang_parent_name = "security-association"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.idle_time = YLeaf(YType.uint32, "idle-time")

                            self.default = YLeaf(YType.empty, "default")
                            self._segment_path = lambda: "idle-time-container"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.DynamicMap.Set.SecurityAssociation.IdleTimeContainer, ['idle_time', 'default'], name, value)


                    class Lifetime(Entity):
                        """
                        security association lifetime
                        
                        .. attribute:: days
                        
                        	Time\-based key duration in days
                        	**type**\: int
                        
                        	**range:** 1..30
                        
                        .. attribute:: kilobytes
                        
                        	Volume\-based key duration
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 2560..4294967295
                        
                        		**type**\:  :py:class:`Kilobytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Lifetime.Kilobytes>`
                        
                        .. attribute:: seconds
                        
                        	Time\-based key duration in seconds
                        	**type**\: int
                        
                        	**range:** 120..2592000
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime, self).__init__()

                            self.yang_name = "lifetime"
                            self.yang_parent_name = "security-association"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.days = YLeaf(YType.uint8, "days")

                            self.kilobytes = YLeaf(YType.str, "kilobytes")

                            self.seconds = YLeaf(YType.uint64, "seconds")
                            self._segment_path = lambda: "lifetime"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.DynamicMap.Set.SecurityAssociation.Lifetime, ['days', 'kilobytes', 'seconds'], name, value)

                        class Kilobytes(Enum):
                            """
                            Kilobytes

                            Volume\-based key duration

                            .. data:: disable = 0

                            """

                            disable = Enum.YLeaf(0, "disable")



                    class Replay(Entity):
                        """
                        Set replay checking.
                        
                        .. attribute:: disable
                        
                        	Disable replay checking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: window_size
                        
                        	Set replay window size
                        	**type**\:  :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay.WindowSize>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay, self).__init__()

                            self.yang_name = "replay"
                            self.yang_parent_name = "security-association"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.disable = YLeaf(YType.empty, "disable")

                            self.window_size = YLeaf(YType.enumeration, "window-size")
                            self._segment_path = lambda: "replay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.DynamicMap.Set.SecurityAssociation.Replay, ['disable', 'window_size'], name, value)

                        class WindowSize(Enum):
                            """
                            WindowSize

                            Set replay window size.

                            .. data:: Y_1024 = 0

                            .. data:: Y_128 = 1

                            .. data:: Y_256 = 2

                            .. data:: Y_512 = 3

                            .. data:: Y_64 = 4

                            """

                            Y_1024 = Enum.YLeaf(0, "1024")

                            Y_128 = Enum.YLeaf(1, "128")

                            Y_256 = Enum.YLeaf(2, "256")

                            Y_512 = Enum.YLeaf(3, "512")

                            Y_64 = Enum.YLeaf(4, "64")



        class Engine(Entity):
            """
            Enter a crypto engine configurable menu
            
            .. attribute:: software
            
            	Software crypto engine
            	**type**\:  :py:class:`Software <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Engine.Software>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Engine, self).__init__()

                self.yang_name = "engine"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.software = YLeaf(YType.enumeration, "software")
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:engine"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.Engine, ['software'], name, value)

            class Software(Enum):
                """
                Software

                Software crypto engine

                .. data:: ipsec = 0

                .. data:: isakmp = 1

                """

                ipsec = Enum.YLeaf(0, "ipsec")

                isakmp = Enum.YLeaf(1, "isakmp")



        class Gdoi(Entity):
            """
            Configure GKM (Group Key Management, GDOI or G\-IKEv2) Policy
            
            .. attribute:: group
            
            	Configure a GKM (Group Key Management, GDOI or G\-IKEv2) Group
            	**type**\: list of  		 :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Gdoi, self).__init__()

                self.yang_name = "gdoi"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"group" : ("group", Native.Crypto.Gdoi.Group)}

                self.group = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:gdoi"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.Gdoi, [], name, value)


            class Group(Entity):
                """
                Configure a GKM (Group Key Management, GDOI or G\-IKEv2) Group
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: ipv6
                
                	IPv6 GKM (Group Key Management) Group
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: client
                
                	Set the group client parameters
                	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client>`
                
                .. attribute:: identity
                
                	Set the identity of the group
                	**type**\:  :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Identity>`
                
                .. attribute:: passive
                
                	Set the group in passive mode
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: server
                
                	Set the group server for of the group
                	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Gdoi.Group, self).__init__()

                    self.yang_name = "group"
                    self.yang_parent_name = "gdoi"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"client" : ("client", Native.Crypto.Gdoi.Group.Client), "identity" : ("identity", Native.Crypto.Gdoi.Group.Identity), "server" : ("server", Native.Crypto.Gdoi.Group.Server), "default" : ("default", Native.Crypto.Gdoi.Group.Default)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.ipv6 = YLeaf(YType.empty, "ipv6")

                    self.passive = YLeaf(YType.empty, "passive")

                    self.client = Native.Crypto.Gdoi.Group.Client()
                    self.client.parent = self
                    self._children_name_map["client"] = "client"
                    self._children_yang_names.add("client")

                    self.identity = Native.Crypto.Gdoi.Group.Identity()
                    self.identity.parent = self
                    self._children_name_map["identity"] = "identity"
                    self._children_yang_names.add("identity")

                    self.server = Native.Crypto.Gdoi.Group.Server()
                    self.server.parent = self
                    self._children_name_map["server"] = "server"
                    self._children_yang_names.add("server")

                    self.default = Native.Crypto.Gdoi.Group.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "group" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:gdoi/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Gdoi.Group, ['name', 'ipv6', 'passive'], name, value)


                class Client(Entity):
                    """
                    Set the group client parameters
                    
                    .. attribute:: bypass_policy
                    
                    	Allow group\-key management traffic sent to this GM only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protocol
                    
                    	Group Member Registration & Rekey Protocol
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Protocol>`
                    
                    .. attribute:: recovery_check
                    
                    	Specify GM recovery check parameters
                    	**type**\:  :py:class:`RecoveryCheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.RecoveryCheck>`
                    
                    .. attribute:: registration
                    
                    	Set the group client management/register interface
                    	**type**\:  :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Registration>`
                    
                    .. attribute:: rekey
                    
                    	Set the group client acceptable rekey ciphers and hashs
                    	**type**\:  :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Rekey>`
                    
                    .. attribute:: status
                    
                    	group\-member status
                    	**type**\:  :py:class:`Status <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Status>`
                    
                    .. attribute:: transform_sets
                    
                    	Specify list of group client acceptable transform sets
                    	**type**\: list of str
                    
                    .. attribute:: transport_encrypt_key
                    
                    	Enforce group or pair\-wise keying
                    	**type**\:  :py:class:`TransportEncryptKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.TransportEncryptKey>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Gdoi.Group.Client, self).__init__()

                        self.yang_name = "client"
                        self.yang_parent_name = "group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"protocol" : ("protocol", Native.Crypto.Gdoi.Group.Client.Protocol), "recovery-check" : ("recovery_check", Native.Crypto.Gdoi.Group.Client.RecoveryCheck), "registration" : ("registration", Native.Crypto.Gdoi.Group.Client.Registration), "rekey" : ("rekey", Native.Crypto.Gdoi.Group.Client.Rekey), "status" : ("status", Native.Crypto.Gdoi.Group.Client.Status)}
                        self._child_list_classes = {}

                        self.bypass_policy = YLeaf(YType.empty, "bypass-policy")

                        self.transform_sets = YLeafList(YType.str, "transform-sets")

                        self.transport_encrypt_key = YLeaf(YType.enumeration, "transport-encrypt-key")

                        self.protocol = Native.Crypto.Gdoi.Group.Client.Protocol()
                        self.protocol.parent = self
                        self._children_name_map["protocol"] = "protocol"
                        self._children_yang_names.add("protocol")

                        self.recovery_check = Native.Crypto.Gdoi.Group.Client.RecoveryCheck()
                        self.recovery_check.parent = self
                        self._children_name_map["recovery_check"] = "recovery-check"
                        self._children_yang_names.add("recovery-check")

                        self.registration = Native.Crypto.Gdoi.Group.Client.Registration()
                        self.registration.parent = self
                        self._children_name_map["registration"] = "registration"
                        self._children_yang_names.add("registration")

                        self.rekey = Native.Crypto.Gdoi.Group.Client.Rekey()
                        self.rekey.parent = self
                        self._children_name_map["rekey"] = "rekey"
                        self._children_yang_names.add("rekey")

                        self.status = Native.Crypto.Gdoi.Group.Client.Status()
                        self.status.parent = self
                        self._children_name_map["status"] = "status"
                        self._children_yang_names.add("status")
                        self._segment_path = lambda: "client"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Gdoi.Group.Client, ['bypass_policy', 'transform_sets', 'transport_encrypt_key'], name, value)

                    class TransportEncryptKey(Enum):
                        """
                        TransportEncryptKey

                        Enforce group or pair\-wise keying

                        .. data:: group_key = 0

                        .. data:: pair_wise_key = 1

                        """

                        group_key = Enum.YLeaf(0, "group-key")

                        pair_wise_key = Enum.YLeaf(1, "pair-wise-key")



                    class Protocol(Entity):
                        """
                        Group Member Registration & Rekey Protocol
                        
                        .. attribute:: gdoi
                        
                        	Use GDOI (ISAKMP) Protocol for Registration & Rekey
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gikev2
                        
                        	Use G\-IKEv2 Protocol for Registration & Rekey
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gdoi.Group.Client.Protocol, self).__init__()

                            self.yang_name = "protocol"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.gdoi = YLeaf(YType.empty, "gdoi")

                            self.gikev2 = YLeaf(YType.str, "gikev2")
                            self._segment_path = lambda: "protocol"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gdoi.Group.Client.Protocol, ['gdoi', 'gikev2'], name, value)


                    class RecoveryCheck(Entity):
                        """
                        Specify GM recovery check parameters
                        
                        .. attribute:: interval
                        
                        	Waiting period(sec) between consecutive recovery registrations
                        	**type**\: int
                        
                        	**range:** 100..1000
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gdoi.Group.Client.RecoveryCheck, self).__init__()

                            self.yang_name = "recovery-check"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint16, "interval")
                            self._segment_path = lambda: "recovery-check"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gdoi.Group.Client.RecoveryCheck, ['interval'], name, value)


                    class Registration(Entity):
                        """
                        Set the group client management/register interface
                        
                        .. attribute:: interface
                        
                        	Set the group client management/register interface
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gdoi.Group.Client.Registration, self).__init__()

                            self.yang_name = "registration"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.str, "interface")
                            self._segment_path = lambda: "registration"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gdoi.Group.Client.Registration, ['interface'], name, value)


                    class Rekey(Entity):
                        """
                        Set the group client acceptable rekey ciphers and hashs
                        
                        .. attribute:: encryption
                        
                        	Set the group client acceptable rekey ciphers
                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Rekey.Encryption>`
                        
                        .. attribute:: hash
                        
                        	Set the group client acceptable rekey hash
                        	**type**\:  :py:class:`Hash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Rekey.Hash>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gdoi.Group.Client.Rekey, self).__init__()

                            self.yang_name = "rekey"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encryption" : ("encryption", Native.Crypto.Gdoi.Group.Client.Rekey.Encryption), "hash" : ("hash", Native.Crypto.Gdoi.Group.Client.Rekey.Hash)}
                            self._child_list_classes = {}

                            self.encryption = Native.Crypto.Gdoi.Group.Client.Rekey.Encryption()
                            self.encryption.parent = self
                            self._children_name_map["encryption"] = "encryption"
                            self._children_yang_names.add("encryption")

                            self.hash = Native.Crypto.Gdoi.Group.Client.Rekey.Hash()
                            self.hash.parent = self
                            self._children_name_map["hash"] = "hash"
                            self._children_yang_names.add("hash")
                            self._segment_path = lambda: "rekey"


                        class Encryption(Entity):
                            """
                            Set the group client acceptable rekey ciphers
                            
                            .. attribute:: rekey_3des_cbc
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aes_128
                            
                            	128 bit AES
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aes_192
                            
                            	192 bit AES
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aes_256
                            
                            	256 bit AES
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: des_cbc
                            
                            	DES in CBC mode
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Client.Rekey.Encryption, self).__init__()

                                self.yang_name = "encryption"
                                self.yang_parent_name = "rekey"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rekey_3des_cbc = YLeaf(YType.empty, "rekey-3des-cbc")

                                self.aes_128 = YLeaf(YType.empty, "aes-128")

                                self.aes_192 = YLeaf(YType.empty, "aes-192")

                                self.aes_256 = YLeaf(YType.empty, "aes-256")

                                self.des_cbc = YLeaf(YType.empty, "des-cbc")
                                self._segment_path = lambda: "encryption"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gdoi.Group.Client.Rekey.Encryption, ['rekey_3des_cbc', 'aes_128', 'aes_192', 'aes_256', 'des_cbc'], name, value)


                        class Hash(Entity):
                            """
                            Set the group client acceptable rekey hash
                            
                            .. attribute:: sha
                            
                            	Secure Hash Standard
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sha256
                            
                            	Secure Hash Standard 2 (256 bit)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sha384
                            
                            	Secure Hash Standard 2 (384 bit)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sha512
                            
                            	Secure Hash Standard 2 (512 bit)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Client.Rekey.Hash, self).__init__()

                                self.yang_name = "hash"
                                self.yang_parent_name = "rekey"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sha = YLeaf(YType.empty, "sha")

                                self.sha256 = YLeaf(YType.empty, "sha256")

                                self.sha384 = YLeaf(YType.empty, "sha384")

                                self.sha512 = YLeaf(YType.empty, "sha512")
                                self._segment_path = lambda: "hash"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gdoi.Group.Client.Rekey.Hash, ['sha', 'sha256', 'sha384', 'sha512'], name, value)


                    class Status(Entity):
                        """
                        group\-member status
                        
                        .. attribute:: active_sa
                        
                        	TEK SA with positive remaining lifetime
                        	**type**\:  :py:class:`ActiveSa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Client.Status.ActiveSa>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gdoi.Group.Client.Status, self).__init__()

                            self.yang_name = "status"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"active-sa" : ("active_sa", Native.Crypto.Gdoi.Group.Client.Status.ActiveSa)}
                            self._child_list_classes = {}

                            self.active_sa = Native.Crypto.Gdoi.Group.Client.Status.ActiveSa()
                            self.active_sa.parent = self
                            self._children_name_map["active_sa"] = "active-sa"
                            self._children_yang_names.add("active-sa")
                            self._segment_path = lambda: "status"


                        class ActiveSa(Entity):
                            """
                            TEK SA with positive remaining lifetime
                            
                            .. attribute:: track
                            
                            	enable stub tracking object
                            	**type**\: int
                            
                            	**range:** 1..1000
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Client.Status.ActiveSa, self).__init__()

                                self.yang_name = "active-sa"
                                self.yang_parent_name = "status"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.track = YLeaf(YType.uint16, "track")
                                self._segment_path = lambda: "active-sa"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gdoi.Group.Client.Status.ActiveSa, ['track'], name, value)


                class Identity(Entity):
                    """
                    Set the identity of the group
                    
                    .. attribute:: address
                    
                    	Set the identity of the group as an address
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Identity.Address>`
                    
                    .. attribute:: number
                    
                    	Set the identity of the group as a number
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Gdoi.Group.Identity, self).__init__()

                        self.yang_name = "identity"
                        self.yang_parent_name = "group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.Crypto.Gdoi.Group.Identity.Address)}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint64, "number")

                        self.address = Native.Crypto.Gdoi.Group.Identity.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")
                        self._segment_path = lambda: "identity"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Gdoi.Group.Identity, ['number'], name, value)


                    class Address(Entity):
                        """
                        Set the identity of the group as an address
                        
                        .. attribute:: ipv4
                        
                        	Set the identity of the group as an IPv4 address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gdoi.Group.Identity.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "identity"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gdoi.Group.Identity.Address, ['ipv4'], name, value)


                class Server(Entity):
                    """
                    Set the group server for of the group
                    
                    .. attribute:: address
                    
                    	Identify the group server by address
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Address>`
                    
                    .. attribute:: hostname
                    
                    	Identify the group server by hostname
                    	**type**\:  :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Hostname>`
                    
                    .. attribute:: local
                    
                    	Configure GKM group server defined locally
                    	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Gdoi.Group.Server, self).__init__()

                        self.yang_name = "server"
                        self.yang_parent_name = "group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.Crypto.Gdoi.Group.Server.Address), "hostname" : ("hostname", Native.Crypto.Gdoi.Group.Server.Hostname), "local" : ("local", Native.Crypto.Gdoi.Group.Server.Local)}
                        self._child_list_classes = {}

                        self.address = Native.Crypto.Gdoi.Group.Server.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.hostname = Native.Crypto.Gdoi.Group.Server.Hostname()
                        self.hostname.parent = self
                        self._children_name_map["hostname"] = "hostname"
                        self._children_yang_names.add("hostname")

                        self.local = Native.Crypto.Gdoi.Group.Server.Local()
                        self.local.parent = self
                        self._children_name_map["local"] = "local"
                        self._children_yang_names.add("local")
                        self._segment_path = lambda: "server"


                    class Address(Entity):
                        """
                        Identify the group server by address
                        
                        .. attribute:: ipv4
                        
                        	Set the IPv4 address of the group server
                        	**type**\: list of str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv6
                        
                        	Set the IPv6 address of the group server
                        	**type**\: list of str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gdoi.Group.Server.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeafList(YType.str, "ipv4")

                            self.ipv6 = YLeafList(YType.str, "ipv6")
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Address, ['ipv4', 'ipv6'], name, value)


                    class Hostname(Entity):
                        """
                        Identify the group server by hostname
                        
                        .. attribute:: ipv4
                        
                        	Set the IPv4 hostname of the group server
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gdoi.Group.Server.Hostname, self).__init__()

                            self.yang_name = "hostname"
                            self.yang_parent_name = "server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")
                            self._segment_path = lambda: "hostname"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Hostname, ['ipv4'], name, value)


                    class Local(Entity):
                        """
                        Configure GKM group server defined locally
                        
                        .. attribute:: address
                        
                        	Configure server source address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Address>`
                        
                        .. attribute:: authorization
                        
                        	Configure authorization for the group
                        	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Authorization>`
                        
                        .. attribute:: gdoi
                        
                        	Enable GDOI (ISAKMP) Protocol for Registration & Rekey
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gikev2
                        
                        	Enable G\-IKEv2 (IKEv2) Protocol for Registration & Rekey
                        	**type**\: str
                        
                        .. attribute:: group
                        
                        	Configure parameters for the group (e.g. Suite\-B)
                        	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Group>`
                        
                        .. attribute:: identifier
                        
                        	Enter Suite\-B KSSID (Key Server Sender ID) config mode
                        	**type**\:  :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Identifier>`
                        
                        .. attribute:: redundancy
                        
                        	Enter cooperative key server configuration mode
                        	**type**\:  :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy>`
                        
                        .. attribute:: registration
                        
                        	Configure registration for the group
                        	**type**\:  :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Registration>`
                        
                        .. attribute:: rekey
                        
                        	Configure rekey policy for the group
                        	**type**\:  :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey>`
                        
                        .. attribute:: sa
                        
                        	Configure a security association
                        	**type**\:  :py:class:`Sa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa>`
                        
                        .. attribute:: default
                        
                        	Set a command to its defaults
                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gdoi.Group.Server.Local, self).__init__()

                            self.yang_name = "local"
                            self.yang_parent_name = "server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Crypto.Gdoi.Group.Server.Local.Address), "authorization" : ("authorization", Native.Crypto.Gdoi.Group.Server.Local.Authorization), "group" : ("group", Native.Crypto.Gdoi.Group.Server.Local.Group), "identifier" : ("identifier", Native.Crypto.Gdoi.Group.Server.Local.Identifier), "redundancy" : ("redundancy", Native.Crypto.Gdoi.Group.Server.Local.Redundancy), "registration" : ("registration", Native.Crypto.Gdoi.Group.Server.Local.Registration), "rekey" : ("rekey", Native.Crypto.Gdoi.Group.Server.Local.Rekey), "sa" : ("sa", Native.Crypto.Gdoi.Group.Server.Local.Sa), "default" : ("default", Native.Crypto.Gdoi.Group.Server.Local.Default)}
                            self._child_list_classes = {}

                            self.gdoi = YLeaf(YType.empty, "gdoi")

                            self.gikev2 = YLeaf(YType.str, "gikev2")

                            self.address = Native.Crypto.Gdoi.Group.Server.Local.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")

                            self.authorization = Native.Crypto.Gdoi.Group.Server.Local.Authorization()
                            self.authorization.parent = self
                            self._children_name_map["authorization"] = "authorization"
                            self._children_yang_names.add("authorization")

                            self.group = Native.Crypto.Gdoi.Group.Server.Local.Group()
                            self.group.parent = self
                            self._children_name_map["group"] = "group"
                            self._children_yang_names.add("group")

                            self.identifier = Native.Crypto.Gdoi.Group.Server.Local.Identifier()
                            self.identifier.parent = self
                            self._children_name_map["identifier"] = "identifier"
                            self._children_yang_names.add("identifier")

                            self.redundancy = Native.Crypto.Gdoi.Group.Server.Local.Redundancy()
                            self.redundancy.parent = self
                            self._children_name_map["redundancy"] = "redundancy"
                            self._children_yang_names.add("redundancy")

                            self.registration = Native.Crypto.Gdoi.Group.Server.Local.Registration()
                            self.registration.parent = self
                            self._children_name_map["registration"] = "registration"
                            self._children_yang_names.add("registration")

                            self.rekey = Native.Crypto.Gdoi.Group.Server.Local.Rekey()
                            self.rekey.parent = self
                            self._children_name_map["rekey"] = "rekey"
                            self._children_yang_names.add("rekey")

                            self.sa = Native.Crypto.Gdoi.Group.Server.Local.Sa()
                            self.sa.parent = self
                            self._children_name_map["sa"] = "sa"
                            self._children_yang_names.add("sa")

                            self.default = Native.Crypto.Gdoi.Group.Server.Local.Default()
                            self.default.parent = self
                            self._children_name_map["default"] = "default"
                            self._children_yang_names.add("default")
                            self._segment_path = lambda: "local"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local, ['gdoi', 'gikev2'], name, value)


                        class Address(Entity):
                            """
                            Configure server source address
                            
                            .. attribute:: ipv4
                            
                            	Set ipv4 address of local server
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Server.Local.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Address, ['ipv4'], name, value)


                        class Authorization(Entity):
                            """
                            Configure authorization for the group
                            
                            .. attribute:: address
                            
                            	Set authorization by address
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Authorization.Address>`
                            
                            .. attribute:: identity
                            
                            	Set authorization by identity
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Server.Local.Authorization, self).__init__()

                                self.yang_name = "authorization"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Crypto.Gdoi.Group.Server.Local.Authorization.Address)}
                                self._child_list_classes = {}

                                self.identity = YLeaf(YType.str, "identity")

                                self.address = Native.Crypto.Gdoi.Group.Server.Local.Authorization.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")
                                self._segment_path = lambda: "authorization"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Authorization, ['identity'], name, value)


                            class Address(Entity):
                                """
                                Set authorization by address
                                
                                .. attribute:: ipv4
                                
                                	Set authorization by address
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Authorization.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "authorization"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.str, "ipv4")
                                    self._segment_path = lambda: "address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Authorization.Address, ['ipv4'], name, value)


                        class Group(Entity):
                            """
                            Configure parameters for the group (e.g. Suite\-B)
                            
                            .. attribute:: size
                            
                            	Set Group Size for Suite\-B counter transforms (SID length)
                            	**type**\:  :py:class:`Size <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Group.Size>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Server.Local.Group, self).__init__()

                                self.yang_name = "group"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"size" : ("size", Native.Crypto.Gdoi.Group.Server.Local.Group.Size)}
                                self._child_list_classes = {}

                                self.size = Native.Crypto.Gdoi.Group.Server.Local.Group.Size()
                                self.size.parent = self
                                self._children_name_map["size"] = "size"
                                self._children_yang_names.add("size")
                                self._segment_path = lambda: "group"


                            class Size(Entity):
                                """
                                Set Group Size for Suite\-B counter transforms (SID length)
                                
                                .. attribute:: large
                                
                                	32\-bit Sender ID (FIPS 140\-2 Operating Mode)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: medium
                                
                                	24\-bit Sender ID (Default)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: small
                                
                                	Interoperable with GDOI / G\-IKEv2 Standard
                                	**type**\:  :py:class:`Small <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Group.Size.Small>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Group.Size, self).__init__()

                                    self.yang_name = "size"
                                    self.yang_parent_name = "group"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.large = YLeaf(YType.empty, "large")

                                    self.medium = YLeaf(YType.empty, "medium")

                                    self.small = YLeaf(YType.enumeration, "small")
                                    self._segment_path = lambda: "size"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Group.Size, ['large', 'medium', 'small'], name, value)

                                class Small(Enum):
                                    """
                                    Small

                                    Interoperable with GDOI / G\-IKEv2 Standard

                                    .. data:: Y_12 = 0

                                    .. data:: Y_16 = 1

                                    .. data:: Y_8 = 2

                                    """

                                    Y_12 = Enum.YLeaf(0, "12")

                                    Y_16 = Enum.YLeaf(1, "16")

                                    Y_8 = Enum.YLeaf(2, "8")



                        class Identifier(Entity):
                            """
                            Enter Suite\-B KSSID (Key Server Sender ID) config mode
                            
                            .. attribute:: default
                            
                            	Set a command to its defaults
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default>`
                            
                            .. attribute:: range
                            
                            	Assign range of Key Server Sender IDs (unique in entire group)
                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Identifier.Range>`
                            
                            .. attribute:: value
                            
                            	Assign Key Server Sender ID (unique in entire group)
                            	**type**\: int
                            
                            	**range:** 0..1
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Server.Local.Identifier, self).__init__()

                                self.yang_name = "identifier"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"default" : ("default", Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default), "range" : ("range", Native.Crypto.Gdoi.Group.Server.Local.Identifier.Range)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint8, "value")

                                self.default = Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.range = Native.Crypto.Gdoi.Group.Server.Local.Identifier.Range()
                                self.range.parent = self
                                self._children_name_map["range"] = "range"
                                self._children_yang_names.add("range")
                                self._segment_path = lambda: "identifier"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Identifier, ['value'], name, value)


                            class Default(Entity):
                                """
                                Set a command to its defaults
                                
                                .. attribute:: range
                                
                                	Assign range of Key Server Sender IDs (unique in entire group)
                                	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default.Range>`
                                
                                .. attribute:: value
                                
                                	Assign Key Server Sender ID (unique in entire group)
                                	**type**\: int
                                
                                	**range:** 0..1
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "identifier"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"range" : ("range", Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default.Range)}
                                    self._child_list_classes = {}

                                    self.value = YLeaf(YType.uint8, "value")

                                    self.range = Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default.Range()
                                    self.range.parent = self
                                    self._children_name_map["range"] = "range"
                                    self._children_yang_names.add("range")
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default, ['value'], name, value)


                                class Range(Entity):
                                    """
                                    Assign range of Key Server Sender IDs (unique in entire group)
                                    
                                    .. attribute:: lowest
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..1
                                    
                                    .. attribute:: hyphen
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: highest
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..1
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lowest = YLeaf(YType.uint8, "lowest")

                                        self.hyphen = YLeaf(YType.empty, "hyphen")

                                        self.highest = YLeaf(YType.uint8, "highest")
                                        self._segment_path = lambda: "range"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Identifier.Default.Range, ['lowest', 'hyphen', 'highest'], name, value)


                            class Range(Entity):
                                """
                                Assign range of Key Server Sender IDs (unique in entire group)
                                
                                .. attribute:: lowest
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..1
                                
                                .. attribute:: hyphen
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: highest
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..1
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Identifier.Range, self).__init__()

                                    self.yang_name = "range"
                                    self.yang_parent_name = "identifier"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.lowest = YLeaf(YType.uint8, "lowest")

                                    self.hyphen = YLeaf(YType.empty, "hyphen")

                                    self.highest = YLeaf(YType.uint8, "highest")
                                    self._segment_path = lambda: "range"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Identifier.Range, ['lowest', 'hyphen', 'highest'], name, value)


                        class Redundancy(Entity):
                            """
                            Enter cooperative key server configuration mode
                            
                            .. attribute:: default
                            
                            	Set a command to its defaults
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default>`
                            
                            .. attribute:: local
                            
                            	Local key server configurations
                            	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Local>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: peer
                            
                            	Peer server configurations
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer>`
                            
                            .. attribute:: protocol
                            
                            	Specify various protocol operational values
                            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Server.Local.Redundancy, self).__init__()

                                self.yang_name = "redundancy"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"default" : ("default", Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default), "local" : ("local", Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Local), "peer" : ("peer", Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer), "protocol" : ("protocol", Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol)}
                                self._child_list_classes = {}

                                self.default = Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.local = None
                                self._children_name_map["local"] = "local"
                                self._children_yang_names.add("local")

                                self.peer = Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.protocol = None
                                self._children_name_map["protocol"] = "protocol"
                                self._children_yang_names.add("protocol")
                                self._segment_path = lambda: "redundancy"


                            class Default(Entity):
                                """
                                Set a command to its defaults
                                
                                .. attribute:: local
                                
                                	Local key server configurations
                                	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Local>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: peer
                                
                                	Peer server configurations
                                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer>`
                                
                                .. attribute:: protocol
                                
                                	Specify various protocol operational values
                                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "redundancy"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"local" : ("local", Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Local), "peer" : ("peer", Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer), "protocol" : ("protocol", Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol)}
                                    self._child_list_classes = {}

                                    self.local = None
                                    self._children_name_map["local"] = "local"
                                    self._children_yang_names.add("local")

                                    self.peer = Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer()
                                    self.peer.parent = self
                                    self._children_name_map["peer"] = "peer"
                                    self._children_yang_names.add("peer")

                                    self.protocol = None
                                    self._children_name_map["protocol"] = "protocol"
                                    self._children_yang_names.add("protocol")
                                    self._segment_path = lambda: "default"


                                class Local(Entity):
                                    """
                                    Local key server configurations
                                    
                                    .. attribute:: priority
                                    
                                    	Set local server priority
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Local, self).__init__()

                                        self.yang_name = "local"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.priority = YLeaf(YType.uint8, "priority")
                                        self._segment_path = lambda: "local"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Local, ['priority'], name, value)


                                class Peer(Entity):
                                    """
                                    Peer server configurations
                                    
                                    .. attribute:: address
                                    
                                    	Peer server address
                                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer.Address>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer, self).__init__()

                                        self.yang_name = "peer"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"address" : ("address", Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer.Address)}
                                        self._child_list_classes = {}

                                        self.address = Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer.Address()
                                        self.address.parent = self
                                        self._children_name_map["address"] = "address"
                                        self._children_yang_names.add("address")
                                        self._segment_path = lambda: "peer"


                                    class Address(Entity):
                                        """
                                        Peer server address
                                        
                                        .. attribute:: ipv4
                                        
                                        	Set peer server ipv4 address
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer.Address, self).__init__()

                                            self.yang_name = "address"
                                            self.yang_parent_name = "peer"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.str, "ipv4")
                                            self._segment_path = lambda: "address"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Peer.Address, ['ipv4'], name, value)


                                class Protocol(Entity):
                                    """
                                    Specify various protocol operational values
                                    
                                    .. attribute:: pdu
                                    
                                    	Maximum size of COOP messages
                                    	**type**\: int
                                    
                                    	**range:** 1..65000
                                    
                                    .. attribute:: version
                                    
                                    	Set COOP ANN version
                                    	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol.Version>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol, self).__init__()

                                        self.yang_name = "protocol"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.pdu = YLeaf(YType.uint32, "pdu")

                                        self.version = YLeaf(YType.enumeration, "version")
                                        self._segment_path = lambda: "protocol"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Default.Protocol, ['pdu', 'version'], name, value)

                                    class Version(Enum):
                                        """
                                        Version

                                        Set COOP ANN version

                                        .. data:: base = 0

                                        .. data:: optimize = 1

                                        """

                                        base = Enum.YLeaf(0, "base")

                                        optimize = Enum.YLeaf(1, "optimize")



                            class Local(Entity):
                                """
                                Local key server configurations
                                
                                .. attribute:: priority
                                
                                	Set local server priority
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Local, self).__init__()

                                    self.yang_name = "local"
                                    self.yang_parent_name = "redundancy"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "local"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Local, ['priority'], name, value)


                            class Peer(Entity):
                                """
                                Peer server configurations
                                
                                .. attribute:: address
                                
                                	Peer server address
                                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer.Address>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "redundancy"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"address" : ("address", Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer.Address)}
                                    self._child_list_classes = {}

                                    self.address = Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer.Address()
                                    self.address.parent = self
                                    self._children_name_map["address"] = "address"
                                    self._children_yang_names.add("address")
                                    self._segment_path = lambda: "peer"


                                class Address(Entity):
                                    """
                                    Peer server address
                                    
                                    .. attribute:: ipv4
                                    
                                    	Set peer server ipv4 address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer.Address, self).__init__()

                                        self.yang_name = "address"
                                        self.yang_parent_name = "peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.str, "ipv4")
                                        self._segment_path = lambda: "address"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Peer.Address, ['ipv4'], name, value)


                            class Protocol(Entity):
                                """
                                Specify various protocol operational values
                                
                                .. attribute:: pdu
                                
                                	Maximum size of COOP messages
                                	**type**\: int
                                
                                	**range:** 1..65000
                                
                                .. attribute:: version
                                
                                	Set COOP ANN version
                                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol.Version>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol, self).__init__()

                                    self.yang_name = "protocol"
                                    self.yang_parent_name = "redundancy"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pdu = YLeaf(YType.uint32, "pdu")

                                    self.version = YLeaf(YType.enumeration, "version")
                                    self._segment_path = lambda: "protocol"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Redundancy.Protocol, ['pdu', 'version'], name, value)

                                class Version(Enum):
                                    """
                                    Version

                                    Set COOP ANN version

                                    .. data:: base = 0

                                    .. data:: optimize = 1

                                    """

                                    base = Enum.YLeaf(0, "base")

                                    optimize = Enum.YLeaf(1, "optimize")



                        class Registration(Entity):
                            """
                            Configure registration for the group
                            
                            .. attribute:: interface
                            
                            	Identify an interface on which to respond to GKM registrations
                            	**type**\: str
                            
                            .. attribute:: periodic
                            
                            	Define periodic registrations for the group
                            	**type**\:  :py:class:`Periodic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Server.Local.Registration, self).__init__()

                                self.yang_name = "registration"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"periodic" : ("periodic", Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic)}
                                self._child_list_classes = {}

                                self.interface = YLeaf(YType.str, "interface")

                                self.periodic = Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic()
                                self.periodic.parent = self
                                self._children_name_map["periodic"] = "periodic"
                                self._children_yang_names.add("periodic")
                                self._segment_path = lambda: "registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Registration, ['interface'], name, value)


                            class Periodic(Entity):
                                """
                                Define periodic registrations for the group
                                
                                .. attribute:: crl
                                
                                	On every new CRL
                                	**type**\:  :py:class:`Crl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic.Crl>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic, self).__init__()

                                    self.yang_name = "periodic"
                                    self.yang_parent_name = "registration"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"crl" : ("crl", Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic.Crl)}
                                    self._child_list_classes = {}

                                    self.crl = Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic.Crl()
                                    self.crl.parent = self
                                    self._children_name_map["crl"] = "crl"
                                    self._children_yang_names.add("crl")
                                    self._segment_path = lambda: "periodic"


                                class Crl(Entity):
                                    """
                                    On every new CRL
                                    
                                    .. attribute:: trustpoint
                                    
                                    	For a PKI trustpoint
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic.Crl, self).__init__()

                                        self.yang_name = "crl"
                                        self.yang_parent_name = "periodic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.trustpoint = YLeaf(YType.str, "trustpoint")
                                        self._segment_path = lambda: "crl"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Registration.Periodic.Crl, ['trustpoint'], name, value)


                        class Rekey(Entity):
                            """
                            Configure rekey policy for the group
                            
                            .. attribute:: acknowledgement
                            
                            	Request group members to acknowledge rekeys
                            	**type**\:  :py:class:`Acknowledgement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Acknowledgement>`
                            
                            .. attribute:: address
                            
                            	Define the rekey packet format
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Address>`
                            
                            .. attribute:: algorithm
                            
                            	Set the rekey encryption algorithm
                            	**type**\:  :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Algorithm>`
                            
                            .. attribute:: authentication
                            
                            	Identify the rekey authentication keypair
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication>`
                            
                            .. attribute:: lifetime
                            
                            	Define the rekey lifetime
                            	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Lifetime>`
                            
                            .. attribute:: retransmit
                            
                            	Define the rekey retransmission parameters
                            	**type**\:  :py:class:`Retransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Retransmit>`
                            
                            .. attribute:: sig_hash
                            
                            	Set rekey signature\-hash parameters
                            	**type**\:  :py:class:`SigHash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash>`
                            
                            .. attribute:: transport
                            
                            	Specify the rekey distribution method
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Transport>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Server.Local.Rekey, self).__init__()

                                self.yang_name = "rekey"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Crypto.Gdoi.Group.Server.Local.Rekey.Address), "algorithm" : ("algorithm", Native.Crypto.Gdoi.Group.Server.Local.Rekey.Algorithm), "authentication" : ("authentication", Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication), "lifetime" : ("lifetime", Native.Crypto.Gdoi.Group.Server.Local.Rekey.Lifetime), "retransmit" : ("retransmit", Native.Crypto.Gdoi.Group.Server.Local.Rekey.Retransmit), "sig-hash" : ("sig_hash", Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash), "transport" : ("transport", Native.Crypto.Gdoi.Group.Server.Local.Rekey.Transport)}
                                self._child_list_classes = {}

                                self.acknowledgement = YLeaf(YType.enumeration, "acknowledgement")

                                self.address = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")

                                self.algorithm = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Algorithm()
                                self.algorithm.parent = self
                                self._children_name_map["algorithm"] = "algorithm"
                                self._children_yang_names.add("algorithm")

                                self.authentication = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")

                                self.lifetime = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Lifetime()
                                self.lifetime.parent = self
                                self._children_name_map["lifetime"] = "lifetime"
                                self._children_yang_names.add("lifetime")

                                self.retransmit = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Retransmit()
                                self.retransmit.parent = self
                                self._children_name_map["retransmit"] = "retransmit"
                                self._children_yang_names.add("retransmit")

                                self.sig_hash = Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash()
                                self.sig_hash.parent = self
                                self._children_name_map["sig_hash"] = "sig-hash"
                                self._children_yang_names.add("sig-hash")

                                self.transport = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")
                                self._segment_path = lambda: "rekey"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Rekey, ['acknowledgement'], name, value)

                            class Acknowledgement(Enum):
                                """
                                Acknowledgement

                                Request group members to acknowledge rekeys

                                .. data:: any = 0

                                .. data:: cisco = 1

                                .. data:: interoperable = 2

                                """

                                any = Enum.YLeaf(0, "any")

                                cisco = Enum.YLeaf(1, "cisco")

                                interoperable = Enum.YLeaf(2, "interoperable")



                            class Address(Entity):
                                """
                                Define the rekey packet format
                                
                                .. attribute:: ipv4
                                
                                	Match ipv4 packets
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 100..199
                                
                                		**type**\: int
                                
                                			**range:** 2000..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Rekey.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.str, "ipv4")
                                    self._segment_path = lambda: "address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Rekey.Address, ['ipv4'], name, value)


                            class Algorithm(Entity):
                                """
                                Set the rekey encryption algorithm
                                
                                .. attribute:: a3des_cbc
                                
                                	Triple DES in CBC mode
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aes_128
                                
                                	128 bit AES
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aes_192
                                
                                	192 bit AES
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aes_256
                                
                                	256 bit AES
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: des_cbc
                                
                                	DES in CBC mode
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Rekey.Algorithm, self).__init__()

                                    self.yang_name = "algorithm"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.a3des_cbc = YLeaf(YType.empty, "a3des-cbc")

                                    self.aes_128 = YLeaf(YType.empty, "aes-128")

                                    self.aes_192 = YLeaf(YType.empty, "aes-192")

                                    self.aes_256 = YLeaf(YType.empty, "aes-256")

                                    self.des_cbc = YLeaf(YType.empty, "des-cbc")
                                    self._segment_path = lambda: "algorithm"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Rekey.Algorithm, ['a3des_cbc', 'aes_128', 'aes_192', 'aes_256', 'des_cbc'], name, value)


                            class Authentication(Entity):
                                """
                                Identify the rekey authentication keypair
                                
                                .. attribute:: mypubkey
                                
                                	Identify a keypair associated with this device
                                	**type**\:  :py:class:`Mypubkey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication.Mypubkey>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mypubkey" : ("mypubkey", Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication.Mypubkey)}
                                    self._child_list_classes = {}

                                    self.mypubkey = Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication.Mypubkey()
                                    self.mypubkey.parent = self
                                    self._children_name_map["mypubkey"] = "mypubkey"
                                    self._children_yang_names.add("mypubkey")
                                    self._segment_path = lambda: "authentication"


                                class Mypubkey(Entity):
                                    """
                                    Identify a keypair associated with this device
                                    
                                    .. attribute:: rsa
                                    
                                    	Identify an RSA keypair
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication.Mypubkey, self).__init__()

                                        self.yang_name = "mypubkey"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.rsa = YLeaf(YType.str, "rsa")
                                        self._segment_path = lambda: "mypubkey"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Rekey.Authentication.Mypubkey, ['rsa'], name, value)


                            class Lifetime(Entity):
                                """
                                Define the rekey lifetime
                                
                                .. attribute:: days
                                
                                	Time\-based key duration in days
                                	**type**\: int
                                
                                	**range:** 1..30
                                
                                .. attribute:: seconds
                                
                                	Time\-based key duration in seconds
                                	**type**\: int
                                
                                	**range:** 300..2592000
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Rekey.Lifetime, self).__init__()

                                    self.yang_name = "lifetime"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.days = YLeaf(YType.uint8, "days")

                                    self.seconds = YLeaf(YType.uint64, "seconds")
                                    self._segment_path = lambda: "lifetime"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Rekey.Lifetime, ['days', 'seconds'], name, value)


                            class Retransmit(Entity):
                                """
                                Define the rekey retransmission parameters
                                
                                .. attribute:: seconds
                                
                                	
                                	**type**\: int
                                
                                	**range:** 10..60
                                
                                .. attribute:: number
                                
                                	Retransmit this many times
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: periodic
                                
                                	Periodically send retransmit rekeys
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Rekey.Retransmit, self).__init__()

                                    self.yang_name = "retransmit"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.seconds = YLeaf(YType.uint8, "seconds")

                                    self.number = YLeaf(YType.uint8, "number")

                                    self.periodic = YLeaf(YType.empty, "periodic")
                                    self._segment_path = lambda: "retransmit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Rekey.Retransmit, ['seconds', 'number', 'periodic'], name, value)


                            class SigHash(Entity):
                                """
                                Set rekey signature\-hash parameters
                                
                                .. attribute:: algorithm
                                
                                	Set the rekey signature\-hash algorithm
                                	**type**\:  :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash.Algorithm>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash, self).__init__()

                                    self.yang_name = "sig-hash"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.algorithm = YLeaf(YType.enumeration, "algorithm")
                                    self._segment_path = lambda: "sig-hash"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Rekey.SigHash, ['algorithm'], name, value)

                                class Algorithm(Enum):
                                    """
                                    Algorithm

                                    Set the rekey signature\-hash algorithm

                                    .. data:: sha = 0

                                    .. data:: sha256 = 1

                                    .. data:: sha384 = 2

                                    .. data:: sha512 = 3

                                    """

                                    sha = Enum.YLeaf(0, "sha")

                                    sha256 = Enum.YLeaf(1, "sha256")

                                    sha384 = Enum.YLeaf(2, "sha384")

                                    sha512 = Enum.YLeaf(3, "sha512")



                            class Transport(Entity):
                                """
                                Specify the rekey distribution method
                                
                                .. attribute:: unicast
                                
                                	specify unicast rekey distribution
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Rekey.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.unicast = YLeaf(YType.empty, "unicast")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Rekey.Transport, ['unicast'], name, value)


                        class Sa(Entity):
                            """
                            Configure a security association
                            
                            .. attribute:: d3p
                            
                            	Enable IP delivery delay detection protocol for all SAs within the group
                            	**type**\:  :py:class:`D3P <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P>`
                            
                            .. attribute:: ipsec
                            
                            	Configure an IPsec SA
                            	**type**\: list of  		 :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec>`
                            
                            .. attribute:: pair_wise_keying
                            
                            	Enable KGS pair\-wise\-keying
                            	**type**\:  :py:class:`PairWiseKeying <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.PairWiseKeying>`
                            
                            .. attribute:: receive_only
                            
                            	Configure SA to work only in inbound direction
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Server.Local.Sa, self).__init__()

                                self.yang_name = "sa"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"d3p" : ("d3p", Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P), "pair-wise-keying" : ("pair_wise_keying", Native.Crypto.Gdoi.Group.Server.Local.Sa.PairWiseKeying)}
                                self._child_list_classes = {"ipsec" : ("ipsec", Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec)}

                                self.receive_only = YLeaf(YType.empty, "receive-only")

                                self.d3p = Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P()
                                self.d3p.parent = self
                                self._children_name_map["d3p"] = "d3p"
                                self._children_yang_names.add("d3p")

                                self.pair_wise_keying = Native.Crypto.Gdoi.Group.Server.Local.Sa.PairWiseKeying()
                                self.pair_wise_keying.parent = self
                                self._children_name_map["pair_wise_keying"] = "pair-wise-keying"
                                self._children_yang_names.add("pair-wise-keying")

                                self.ipsec = YList(self)
                                self._segment_path = lambda: "sa"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Sa, ['receive_only'], name, value)


                            class D3P(Entity):
                                """
                                Enable IP delivery delay detection protocol for all SAs within the group
                                
                                .. attribute:: window
                                
                                	IP\-D3P window size
                                	**type**\:  :py:class:`Window <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P.Window>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P, self).__init__()

                                    self.yang_name = "d3p"
                                    self.yang_parent_name = "sa"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"window" : ("window", Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P.Window)}
                                    self._child_list_classes = {}

                                    self.window = Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P.Window()
                                    self.window.parent = self
                                    self._children_name_map["window"] = "window"
                                    self._children_yang_names.add("window")
                                    self._segment_path = lambda: "d3p"


                                class Window(Entity):
                                    """
                                    IP\-D3P window size
                                    
                                    .. attribute:: msec
                                    
                                    	IP\-D3P window size in milliseconds
                                    	**type**\: int
                                    
                                    	**range:** 1000..100000
                                    
                                    .. attribute:: sec
                                    
                                    	IP\-D3P window size in seconds
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P.Window, self).__init__()

                                        self.yang_name = "window"
                                        self.yang_parent_name = "d3p"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.msec = YLeaf(YType.uint32, "msec")

                                        self.sec = YLeaf(YType.uint8, "sec")
                                        self._segment_path = lambda: "window"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Sa.D3P.Window, ['msec', 'sec'], name, value)


                            class Ipsec(Entity):
                                """
                                Configure an IPsec SA
                                
                                .. attribute:: sequence  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: default
                                
                                	Set a command to its defaults
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default>`
                                
                                .. attribute:: match
                                
                                	Match characteristics of packets to encrypt
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match>`
                                
                                .. attribute:: profile
                                
                                	Configure an ipsec profile for the SA
                                	**type**\: str
                                
                                .. attribute:: replay
                                
                                	Set replay method
                                	**type**\:  :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay>`
                                
                                .. attribute:: tag
                                
                                	Set inline tagging method
                                	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec, self).__init__()

                                    self.yang_name = "ipsec"
                                    self.yang_parent_name = "sa"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default), "match" : ("match", Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match), "replay" : ("replay", Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay), "tag" : ("tag", Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag)}
                                    self._child_list_classes = {}

                                    self.sequence = YLeaf(YType.uint16, "sequence")

                                    self.profile = YLeaf(YType.str, "profile")

                                    self.default = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.match = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")

                                    self.replay = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay()
                                    self.replay.parent = self
                                    self._children_name_map["replay"] = "replay"
                                    self._children_yang_names.add("replay")

                                    self.tag = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag()
                                    self.tag.parent = self
                                    self._children_name_map["tag"] = "tag"
                                    self._children_yang_names.add("tag")
                                    self._segment_path = lambda: "ipsec" + "[sequence='" + self.sequence.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec, ['sequence', 'profile'], name, value)


                                class Default(Entity):
                                    """
                                    Set a command to its defaults
                                    
                                    .. attribute:: match
                                    
                                    	Match characteristics of packets to encrypt
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match>`
                                    
                                    .. attribute:: profile
                                    
                                    	Configure an ipsec profile for the SA
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: replay
                                    
                                    	Set replay method
                                    	**type**\:  :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Replay>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: tag
                                    
                                    	Set inline tagging method
                                    	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Tag>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ipsec"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match), "replay" : ("replay", Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Replay), "tag" : ("tag", Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Tag)}
                                        self._child_list_classes = {}

                                        self.profile = YLeaf(YType.empty, "profile")

                                        self.match = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")

                                        self.replay = None
                                        self._children_name_map["replay"] = "replay"
                                        self._children_yang_names.add("replay")

                                        self.tag = None
                                        self._children_name_map["tag"] = "tag"
                                        self._children_yang_names.add("tag")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default, ['profile'], name, value)


                                    class Match(Entity):
                                        """
                                        Match characteristics of packets to encrypt
                                        
                                        .. attribute:: address
                                        
                                        	Match addresses of packets to encrypt
                                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match.Address>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"address" : ("address", Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match.Address)}
                                            self._child_list_classes = {}

                                            self.address = None
                                            self._children_name_map["address"] = "address"
                                            self._children_yang_names.add("address")
                                            self._segment_path = lambda: "match"


                                        class Address(Entity):
                                            """
                                            Match addresses of packets to encrypt
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-crypto'
                                            _revision = '2017-05-10'

                                            def __init__(self):
                                                super(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Match.Address, self).__init__()

                                                self.yang_name = "address"
                                                self.yang_parent_name = "match"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "address"


                                    class Replay(Entity):
                                        """
                                        Set replay method
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Replay, self).__init__()

                                            self.yang_name = "replay"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True
                                            self._segment_path = lambda: "replay"


                                    class Tag(Entity):
                                        """
                                        Set inline tagging method
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Default.Tag, self).__init__()

                                            self.yang_name = "tag"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True
                                            self._segment_path = lambda: "tag"


                                class Match(Entity):
                                    """
                                    Match characteristics of packets to encrypt
                                    
                                    .. attribute:: address
                                    
                                    	Match addresses of packets to encrypt
                                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match.Address>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ipsec"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"address" : ("address", Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match.Address)}
                                        self._child_list_classes = {}

                                        self.address = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match.Address()
                                        self.address.parent = self
                                        self._children_name_map["address"] = "address"
                                        self._children_yang_names.add("address")
                                        self._segment_path = lambda: "match"


                                    class Address(Entity):
                                        """
                                        Match addresses of packets to encrypt
                                        
                                        .. attribute:: ipv4
                                        
                                        	Match ipv4 packets
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 100..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 2000..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        .. attribute:: ipv6
                                        
                                        	Match ipv6 packets
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match.Address, self).__init__()

                                            self.yang_name = "address"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.str, "ipv4")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")
                                            self._segment_path = lambda: "address"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Match.Address, ['ipv4', 'ipv6'], name, value)


                                class Replay(Entity):
                                    """
                                    Set replay method
                                    
                                    .. attribute:: counter
                                    
                                    	Enable anti\-replay check for single source traffic by using sequence number
                                    	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: time
                                    
                                    	Enable anti\-replay check for any traffic by using time
                                    	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Time>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay, self).__init__()

                                        self.yang_name = "replay"
                                        self.yang_parent_name = "ipsec"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"counter" : ("counter", Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter), "time" : ("time", Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Time)}
                                        self._child_list_classes = {}

                                        self.counter = None
                                        self._children_name_map["counter"] = "counter"
                                        self._children_yang_names.add("counter")

                                        self.time = None
                                        self._children_name_map["time"] = "time"
                                        self._children_yang_names.add("time")
                                        self._segment_path = lambda: "replay"


                                    class Counter(Entity):
                                        """
                                        Enable anti\-replay check for single source traffic by using sequence number
                                        
                                        .. attribute:: window_size
                                        
                                        	Set replay window size
                                        	**type**\:  :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter.WindowSize>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter, self).__init__()

                                            self.yang_name = "counter"
                                            self.yang_parent_name = "replay"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.window_size = YLeaf(YType.enumeration, "window-size")
                                            self._segment_path = lambda: "counter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Counter, ['window_size'], name, value)

                                        class WindowSize(Enum):
                                            """
                                            WindowSize

                                            Set replay window size.

                                            .. data:: Y_1024 = 0

                                            .. data:: Y_128 = 1

                                            .. data:: Y_256 = 2

                                            .. data:: Y_512 = 3

                                            .. data:: Y_64 = 4

                                            """

                                            Y_1024 = Enum.YLeaf(0, "1024")

                                            Y_128 = Enum.YLeaf(1, "128")

                                            Y_256 = Enum.YLeaf(2, "256")

                                            Y_512 = Enum.YLeaf(3, "512")

                                            Y_64 = Enum.YLeaf(4, "64")



                                    class Time(Entity):
                                        """
                                        Enable anti\-replay check for any traffic by using time
                                        
                                        .. attribute:: window_size
                                        
                                        	Time based replay window size
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Time, self).__init__()

                                            self.yang_name = "time"
                                            self.yang_parent_name = "replay"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.window_size = YLeaf(YType.uint8, "window-size")
                                            self._segment_path = lambda: "time"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Replay.Time, ['window_size'], name, value)


                                class Tag(Entity):
                                    """
                                    Set inline tagging method
                                    
                                    .. attribute:: cts
                                    
                                    	Cisco Trust Security
                                    	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag.Cts>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag, self).__init__()

                                        self.yang_name = "tag"
                                        self.yang_parent_name = "ipsec"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"cts" : ("cts", Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag.Cts)}
                                        self._child_list_classes = {}

                                        self.cts = Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag.Cts()
                                        self.cts.parent = self
                                        self._children_name_map["cts"] = "cts"
                                        self._children_yang_names.add("cts")
                                        self._segment_path = lambda: "tag"


                                    class Cts(Entity):
                                        """
                                        Cisco Trust Security
                                        
                                        .. attribute:: sgt
                                        
                                        	Security Group Tag
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag.Cts, self).__init__()

                                            self.yang_name = "cts"
                                            self.yang_parent_name = "tag"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.sgt = YLeaf(YType.empty, "sgt")
                                            self._segment_path = lambda: "cts"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Sa.Ipsec.Tag.Cts, ['sgt'], name, value)


                            class PairWiseKeying(Entity):
                                """
                                Enable KGS pair\-wise\-keying
                                
                                .. attribute:: safety_limit
                                
                                	KGS safety limit
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Sa.PairWiseKeying, self).__init__()

                                    self.yang_name = "pair-wise-keying"
                                    self.yang_parent_name = "sa"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.safety_limit = YLeaf(YType.uint8, "safety-limit")
                                    self._segment_path = lambda: "pair-wise-keying"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Sa.PairWiseKeying, ['safety_limit'], name, value)


                        class Default(Entity):
                            """
                            Set a command to its defaults
                            
                            .. attribute:: address
                            
                            	Configure server source address
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Address>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: authorization
                            
                            	Configure authorization for the group
                            	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization>`
                            
                            .. attribute:: gdoi
                            
                            	Enable GDOI (ISAKMP) Protocol for Registration & Rekey
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: gikev2
                            
                            	Enable G\-IKEv2 (IKEv2) Protocol for Registration & Rekey
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: group
                            
                            	Configure parameters for the group (e.g. Suite\-B)
                            	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Group>`
                            
                            .. attribute:: identifier
                            
                            	Enter Suite\-B KSSID (Key Server Sender ID) config mode
                            	**type**\:  :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Identifier>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: redundancy
                            
                            	Enter cooperative key server configuration mode
                            	**type**\:  :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Redundancy>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: registration
                            
                            	Configure registration for the group
                            	**type**\:  :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Registration>`
                            
                            .. attribute:: rekey
                            
                            	Configure rekey policy for the group
                            	**type**\:  :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey>`
                            
                            .. attribute:: sa
                            
                            	Configure a security association
                            	**type**\:  :py:class:`Sa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Sa>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Server.Local.Default, self).__init__()

                                self.yang_name = "default"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Crypto.Gdoi.Group.Server.Local.Default.Address), "authorization" : ("authorization", Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization), "group" : ("group", Native.Crypto.Gdoi.Group.Server.Local.Default.Group), "identifier" : ("identifier", Native.Crypto.Gdoi.Group.Server.Local.Default.Identifier), "redundancy" : ("redundancy", Native.Crypto.Gdoi.Group.Server.Local.Default.Redundancy), "registration" : ("registration", Native.Crypto.Gdoi.Group.Server.Local.Default.Registration), "rekey" : ("rekey", Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey), "sa" : ("sa", Native.Crypto.Gdoi.Group.Server.Local.Default.Sa)}
                                self._child_list_classes = {}

                                self.gdoi = YLeaf(YType.empty, "gdoi")

                                self.gikev2 = YLeaf(YType.empty, "gikev2")

                                self.address = None
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")

                                self.authorization = Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization()
                                self.authorization.parent = self
                                self._children_name_map["authorization"] = "authorization"
                                self._children_yang_names.add("authorization")

                                self.group = Native.Crypto.Gdoi.Group.Server.Local.Default.Group()
                                self.group.parent = self
                                self._children_name_map["group"] = "group"
                                self._children_yang_names.add("group")

                                self.identifier = None
                                self._children_name_map["identifier"] = "identifier"
                                self._children_yang_names.add("identifier")

                                self.redundancy = None
                                self._children_name_map["redundancy"] = "redundancy"
                                self._children_yang_names.add("redundancy")

                                self.registration = Native.Crypto.Gdoi.Group.Server.Local.Default.Registration()
                                self.registration.parent = self
                                self._children_name_map["registration"] = "registration"
                                self._children_yang_names.add("registration")

                                self.rekey = Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey()
                                self.rekey.parent = self
                                self._children_name_map["rekey"] = "rekey"
                                self._children_yang_names.add("rekey")

                                self.sa = Native.Crypto.Gdoi.Group.Server.Local.Default.Sa()
                                self.sa.parent = self
                                self._children_name_map["sa"] = "sa"
                                self._children_yang_names.add("sa")
                                self._segment_path = lambda: "default"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Default, ['gdoi', 'gikev2'], name, value)


                            class Address(Entity):
                                """
                                Configure server source address
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Default.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "address"


                            class Authorization(Entity):
                                """
                                Configure authorization for the group
                                
                                .. attribute:: address
                                
                                	Set authorization by address
                                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization.Address>`
                                
                                .. attribute:: identity
                                
                                	Set authorization by identity
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization, self).__init__()

                                    self.yang_name = "authorization"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"address" : ("address", Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization.Address)}
                                    self._child_list_classes = {}

                                    self.identity = YLeaf(YType.empty, "identity")

                                    self.address = Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization.Address()
                                    self.address.parent = self
                                    self._children_name_map["address"] = "address"
                                    self._children_yang_names.add("address")
                                    self._segment_path = lambda: "authorization"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization, ['identity'], name, value)


                                class Address(Entity):
                                    """
                                    Set authorization by address
                                    
                                    .. attribute:: ipv4
                                    
                                    	Set authorization by address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization.Address, self).__init__()

                                        self.yang_name = "address"
                                        self.yang_parent_name = "authorization"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")
                                        self._segment_path = lambda: "address"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Default.Authorization.Address, ['ipv4'], name, value)


                            class Group(Entity):
                                """
                                Configure parameters for the group (e.g. Suite\-B)
                                
                                .. attribute:: size
                                
                                	Set Group Size for Suite\-B counter transforms (SID length)
                                	**type**\:  :py:class:`Size <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Group.Size>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Default.Group, self).__init__()

                                    self.yang_name = "group"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"size" : ("size", Native.Crypto.Gdoi.Group.Server.Local.Default.Group.Size)}
                                    self._child_list_classes = {}

                                    self.size = None
                                    self._children_name_map["size"] = "size"
                                    self._children_yang_names.add("size")
                                    self._segment_path = lambda: "group"


                                class Size(Entity):
                                    """
                                    Set Group Size for Suite\-B counter transforms (SID length)
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Default.Group.Size, self).__init__()

                                        self.yang_name = "size"
                                        self.yang_parent_name = "group"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "size"


                            class Identifier(Entity):
                                """
                                Enter Suite\-B KSSID (Key Server Sender ID) config mode
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Default.Identifier, self).__init__()

                                    self.yang_name = "identifier"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "identifier"


                            class Redundancy(Entity):
                                """
                                Enter cooperative key server configuration mode
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Default.Redundancy, self).__init__()

                                    self.yang_name = "redundancy"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "redundancy"


                            class Registration(Entity):
                                """
                                Configure registration for the group
                                
                                .. attribute:: interface
                                
                                	Identify an interface on which to respond to GKM registrations
                                	**type**\: str
                                
                                .. attribute:: periodic
                                
                                	Define periodic registrations for the group
                                	**type**\:  :py:class:`Periodic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Default.Registration, self).__init__()

                                    self.yang_name = "registration"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"periodic" : ("periodic", Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic)}
                                    self._child_list_classes = {}

                                    self.interface = YLeaf(YType.str, "interface")

                                    self.periodic = Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic()
                                    self.periodic.parent = self
                                    self._children_name_map["periodic"] = "periodic"
                                    self._children_yang_names.add("periodic")
                                    self._segment_path = lambda: "registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Default.Registration, ['interface'], name, value)


                                class Periodic(Entity):
                                    """
                                    Define periodic registrations for the group
                                    
                                    .. attribute:: crl
                                    
                                    	On every new CRL
                                    	**type**\:  :py:class:`Crl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic.Crl>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic, self).__init__()

                                        self.yang_name = "periodic"
                                        self.yang_parent_name = "registration"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"crl" : ("crl", Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic.Crl)}
                                        self._child_list_classes = {}

                                        self.crl = Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic.Crl()
                                        self.crl.parent = self
                                        self._children_name_map["crl"] = "crl"
                                        self._children_yang_names.add("crl")
                                        self._segment_path = lambda: "periodic"


                                    class Crl(Entity):
                                        """
                                        On every new CRL
                                        
                                        .. attribute:: trustpoint
                                        
                                        	For a PKI trustpoint
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic.Crl, self).__init__()

                                            self.yang_name = "crl"
                                            self.yang_parent_name = "periodic"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.trustpoint = YLeaf(YType.empty, "trustpoint")
                                            self._segment_path = lambda: "crl"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Default.Registration.Periodic.Crl, ['trustpoint'], name, value)


                            class Rekey(Entity):
                                """
                                Configure rekey policy for the group
                                
                                .. attribute:: acknowledgement
                                
                                	Request group members to acknowledge rekeys
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: address
                                
                                	Define the rekey packet format
                                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Address>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: algorithm
                                
                                	Set the rekey encryption algorithm
                                	**type**\:  :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Algorithm>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: authentication
                                
                                	Identify the rekey authentication keypair
                                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Authentication>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: lifetime
                                
                                	Define the rekey lifetime
                                	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Lifetime>`
                                
                                .. attribute:: retransmit
                                
                                	Define the rekey retransmission parameters
                                	**type**\:  :py:class:`Retransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Retransmit>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sig_hash
                                
                                	Set rekey signature\-hash parameters
                                	**type**\:  :py:class:`SigHash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.SigHash>`
                                
                                .. attribute:: transport
                                
                                	Specify the rekey distribution method
                                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Transport>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey, self).__init__()

                                    self.yang_name = "rekey"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"address" : ("address", Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Address), "algorithm" : ("algorithm", Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Algorithm), "authentication" : ("authentication", Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Authentication), "lifetime" : ("lifetime", Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Lifetime), "retransmit" : ("retransmit", Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Retransmit), "sig-hash" : ("sig_hash", Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.SigHash), "transport" : ("transport", Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Transport)}
                                    self._child_list_classes = {}

                                    self.acknowledgement = YLeaf(YType.empty, "acknowledgement")

                                    self.address = None
                                    self._children_name_map["address"] = "address"
                                    self._children_yang_names.add("address")

                                    self.algorithm = None
                                    self._children_name_map["algorithm"] = "algorithm"
                                    self._children_yang_names.add("algorithm")

                                    self.authentication = None
                                    self._children_name_map["authentication"] = "authentication"
                                    self._children_yang_names.add("authentication")

                                    self.lifetime = Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Lifetime()
                                    self.lifetime.parent = self
                                    self._children_name_map["lifetime"] = "lifetime"
                                    self._children_yang_names.add("lifetime")

                                    self.retransmit = None
                                    self._children_name_map["retransmit"] = "retransmit"
                                    self._children_yang_names.add("retransmit")

                                    self.sig_hash = Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.SigHash()
                                    self.sig_hash.parent = self
                                    self._children_name_map["sig_hash"] = "sig-hash"
                                    self._children_yang_names.add("sig-hash")

                                    self.transport = Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Transport()
                                    self.transport.parent = self
                                    self._children_name_map["transport"] = "transport"
                                    self._children_yang_names.add("transport")
                                    self._segment_path = lambda: "rekey"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey, ['acknowledgement'], name, value)


                                class Address(Entity):
                                    """
                                    Define the rekey packet format
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Address, self).__init__()

                                        self.yang_name = "address"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "address"


                                class Algorithm(Entity):
                                    """
                                    Set the rekey encryption algorithm
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Algorithm, self).__init__()

                                        self.yang_name = "algorithm"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "algorithm"


                                class Authentication(Entity):
                                    """
                                    Identify the rekey authentication keypair
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Authentication, self).__init__()

                                        self.yang_name = "authentication"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "authentication"


                                class Lifetime(Entity):
                                    """
                                    Define the rekey lifetime
                                    
                                    .. attribute:: days
                                    
                                    	Time\-based key duration in days
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: seconds
                                    
                                    	Time\-based key duration in seconds
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Lifetime, self).__init__()

                                        self.yang_name = "lifetime"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.days = YLeaf(YType.empty, "days")

                                        self.seconds = YLeaf(YType.empty, "seconds")
                                        self._segment_path = lambda: "lifetime"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Lifetime, ['days', 'seconds'], name, value)


                                class Retransmit(Entity):
                                    """
                                    Define the rekey retransmission parameters
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Retransmit, self).__init__()

                                        self.yang_name = "retransmit"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "retransmit"


                                class SigHash(Entity):
                                    """
                                    Set rekey signature\-hash parameters
                                    
                                    .. attribute:: algorithm
                                    
                                    	Set the rekey signature\-hash algorithm
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.SigHash, self).__init__()

                                        self.yang_name = "sig-hash"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.algorithm = YLeaf(YType.empty, "algorithm")
                                        self._segment_path = lambda: "sig-hash"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.SigHash, ['algorithm'], name, value)


                                class Transport(Entity):
                                    """
                                    Specify the rekey distribution method
                                    
                                    .. attribute:: unicast
                                    
                                    	specify unicast rekey distribution
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Transport, self).__init__()

                                        self.yang_name = "transport"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unicast = YLeaf(YType.empty, "unicast")
                                        self._segment_path = lambda: "transport"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Default.Rekey.Transport, ['unicast'], name, value)


                            class Sa(Entity):
                                """
                                Configure a security association
                                
                                .. attribute:: d3p
                                
                                	Enable IP delivery delay detection protocol for all SAs within the group
                                	**type**\:  :py:class:`D3P <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.D3P>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipsec
                                
                                	Configure an IPsec SA
                                	**type**\: list of  		 :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.Ipsec>`
                                
                                .. attribute:: pair_wise_keying
                                
                                	Enable KGS pair\-wise\-keying
                                	**type**\:  :py:class:`PairWiseKeying <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.PairWiseKeying>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: receive_only
                                
                                	Configure SA to work only in inbound direction
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Server.Local.Default.Sa, self).__init__()

                                    self.yang_name = "sa"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"d3p" : ("d3p", Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.D3P), "pair-wise-keying" : ("pair_wise_keying", Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.PairWiseKeying)}
                                    self._child_list_classes = {"ipsec" : ("ipsec", Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.Ipsec)}

                                    self.receive_only = YLeaf(YType.empty, "receive-only")

                                    self.d3p = None
                                    self._children_name_map["d3p"] = "d3p"
                                    self._children_yang_names.add("d3p")

                                    self.pair_wise_keying = None
                                    self._children_name_map["pair_wise_keying"] = "pair-wise-keying"
                                    self._children_yang_names.add("pair-wise-keying")

                                    self.ipsec = YList(self)
                                    self._segment_path = lambda: "sa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Default.Sa, ['receive_only'], name, value)


                                class D3P(Entity):
                                    """
                                    Enable IP delivery delay detection protocol for all SAs within the group
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.D3P, self).__init__()

                                        self.yang_name = "d3p"
                                        self.yang_parent_name = "sa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "d3p"


                                class Ipsec(Entity):
                                    """
                                    Configure an IPsec SA
                                    
                                    .. attribute:: sequence  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.Ipsec, self).__init__()

                                        self.yang_name = "ipsec"
                                        self.yang_parent_name = "sa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.sequence = YLeaf(YType.uint16, "sequence")
                                        self._segment_path = lambda: "ipsec" + "[sequence='" + self.sequence.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.Ipsec, ['sequence'], name, value)


                                class PairWiseKeying(Entity):
                                    """
                                    Enable KGS pair\-wise\-keying
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gdoi.Group.Server.Local.Default.Sa.PairWiseKeying, self).__init__()

                                        self.yang_name = "pair-wise-keying"
                                        self.yang_parent_name = "sa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "pair-wise-keying"


                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: client
                    
                    	Set the group client parameters
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client>`
                    
                    .. attribute:: identity
                    
                    	Set the identity of the group
                    	**type**\:  :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Identity>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: passive
                    
                    	Set the group in passive mode
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: server
                    
                    	Set the group server for of the group
                    	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Server>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Gdoi.Group.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"client" : ("client", Native.Crypto.Gdoi.Group.Default.Client), "identity" : ("identity", Native.Crypto.Gdoi.Group.Default.Identity), "server" : ("server", Native.Crypto.Gdoi.Group.Default.Server)}
                        self._child_list_classes = {}

                        self.passive = YLeaf(YType.empty, "passive")

                        self.client = Native.Crypto.Gdoi.Group.Default.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.identity = None
                        self._children_name_map["identity"] = "identity"
                        self._children_yang_names.add("identity")

                        self.server = Native.Crypto.Gdoi.Group.Default.Server()
                        self.server.parent = self
                        self._children_name_map["server"] = "server"
                        self._children_yang_names.add("server")
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Gdoi.Group.Default, ['passive'], name, value)


                    class Client(Entity):
                        """
                        Set the group client parameters
                        
                        .. attribute:: bypass_policy
                        
                        	Allow group\-key management traffic sent to this GM only
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	Group Member Registration & Rekey Protocol
                        	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Protocol>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: recovery_check
                        
                        	Specify GM recovery check parameters
                        	**type**\:  :py:class:`RecoveryCheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.RecoveryCheck>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: registration
                        
                        	Set the group client management/register interface
                        	**type**\:  :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Registration>`
                        
                        .. attribute:: rekey
                        
                        	Set the group client acceptable rekey ciphers and hashs
                        	**type**\:  :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Rekey>`
                        
                        .. attribute:: status
                        
                        	group\-member status
                        	**type**\:  :py:class:`Status <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Status>`
                        
                        .. attribute:: transform_sets
                        
                        	Specify list of group client acceptable transform sets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: transport_encrypt_key
                        
                        	Enforce group or pair\-wise keying
                        	**type**\:  :py:class:`TransportEncryptKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.TransportEncryptKey>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gdoi.Group.Default.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"protocol" : ("protocol", Native.Crypto.Gdoi.Group.Default.Client.Protocol), "recovery-check" : ("recovery_check", Native.Crypto.Gdoi.Group.Default.Client.RecoveryCheck), "registration" : ("registration", Native.Crypto.Gdoi.Group.Default.Client.Registration), "rekey" : ("rekey", Native.Crypto.Gdoi.Group.Default.Client.Rekey), "status" : ("status", Native.Crypto.Gdoi.Group.Default.Client.Status)}
                            self._child_list_classes = {}

                            self.bypass_policy = YLeaf(YType.empty, "bypass-policy")

                            self.transform_sets = YLeaf(YType.empty, "transform-sets")

                            self.transport_encrypt_key = YLeaf(YType.enumeration, "transport-encrypt-key")

                            self.protocol = None
                            self._children_name_map["protocol"] = "protocol"
                            self._children_yang_names.add("protocol")

                            self.recovery_check = None
                            self._children_name_map["recovery_check"] = "recovery-check"
                            self._children_yang_names.add("recovery-check")

                            self.registration = Native.Crypto.Gdoi.Group.Default.Client.Registration()
                            self.registration.parent = self
                            self._children_name_map["registration"] = "registration"
                            self._children_yang_names.add("registration")

                            self.rekey = Native.Crypto.Gdoi.Group.Default.Client.Rekey()
                            self.rekey.parent = self
                            self._children_name_map["rekey"] = "rekey"
                            self._children_yang_names.add("rekey")

                            self.status = Native.Crypto.Gdoi.Group.Default.Client.Status()
                            self.status.parent = self
                            self._children_name_map["status"] = "status"
                            self._children_yang_names.add("status")
                            self._segment_path = lambda: "client"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gdoi.Group.Default.Client, ['bypass_policy', 'transform_sets', 'transport_encrypt_key'], name, value)

                        class TransportEncryptKey(Enum):
                            """
                            TransportEncryptKey

                            Enforce group or pair\-wise keying

                            .. data:: group_key = 0

                            .. data:: pair_wise_key = 1

                            """

                            group_key = Enum.YLeaf(0, "group-key")

                            pair_wise_key = Enum.YLeaf(1, "pair-wise-key")



                        class Protocol(Entity):
                            """
                            Group Member Registration & Rekey Protocol
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Default.Client.Protocol, self).__init__()

                                self.yang_name = "protocol"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "protocol"


                        class RecoveryCheck(Entity):
                            """
                            Specify GM recovery check parameters
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Default.Client.RecoveryCheck, self).__init__()

                                self.yang_name = "recovery-check"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "recovery-check"


                        class Registration(Entity):
                            """
                            Set the group client management/register interface
                            
                            .. attribute:: interface
                            
                            	Set the group client management/register interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Default.Client.Registration, self).__init__()

                                self.yang_name = "registration"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interface = YLeaf(YType.empty, "interface")
                                self._segment_path = lambda: "registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gdoi.Group.Default.Client.Registration, ['interface'], name, value)


                        class Rekey(Entity):
                            """
                            Set the group client acceptable rekey ciphers and hashs
                            
                            .. attribute:: encryption
                            
                            	Set the group client acceptable rekey ciphers
                            	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Rekey.Encryption>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: hash
                            
                            	Set the group client acceptable rekey hash
                            	**type**\:  :py:class:`Hash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Rekey.Hash>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Default.Client.Rekey, self).__init__()

                                self.yang_name = "rekey"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"encryption" : ("encryption", Native.Crypto.Gdoi.Group.Default.Client.Rekey.Encryption), "hash" : ("hash", Native.Crypto.Gdoi.Group.Default.Client.Rekey.Hash)}
                                self._child_list_classes = {}

                                self.encryption = None
                                self._children_name_map["encryption"] = "encryption"
                                self._children_yang_names.add("encryption")

                                self.hash = None
                                self._children_name_map["hash"] = "hash"
                                self._children_yang_names.add("hash")
                                self._segment_path = lambda: "rekey"


                            class Encryption(Entity):
                                """
                                Set the group client acceptable rekey ciphers
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Default.Client.Rekey.Encryption, self).__init__()

                                    self.yang_name = "encryption"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "encryption"


                            class Hash(Entity):
                                """
                                Set the group client acceptable rekey hash
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Default.Client.Rekey.Hash, self).__init__()

                                    self.yang_name = "hash"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "hash"


                        class Status(Entity):
                            """
                            group\-member status
                            
                            .. attribute:: active_sa
                            
                            	TEK SA with positive remaining lifetime
                            	**type**\:  :py:class:`ActiveSa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Client.Status.ActiveSa>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Default.Client.Status, self).__init__()

                                self.yang_name = "status"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"active-sa" : ("active_sa", Native.Crypto.Gdoi.Group.Default.Client.Status.ActiveSa)}
                                self._child_list_classes = {}

                                self.active_sa = None
                                self._children_name_map["active_sa"] = "active-sa"
                                self._children_yang_names.add("active-sa")
                                self._segment_path = lambda: "status"


                            class ActiveSa(Entity):
                                """
                                TEK SA with positive remaining lifetime
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gdoi.Group.Default.Client.Status.ActiveSa, self).__init__()

                                    self.yang_name = "active-sa"
                                    self.yang_parent_name = "status"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "active-sa"


                    class Identity(Entity):
                        """
                        Set the identity of the group
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gdoi.Group.Default.Identity, self).__init__()

                            self.yang_name = "identity"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "identity"


                    class Server(Entity):
                        """
                        Set the group server for of the group
                        
                        .. attribute:: address
                        
                        	Identify the group server by address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Server.Address>`
                        
                        .. attribute:: hostname
                        
                        	Identify the group server by hostname
                        	**type**\:  :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gdoi.Group.Default.Server.Hostname>`
                        
                        .. attribute:: local
                        
                        	Configure GKM group server defined locally
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gdoi.Group.Default.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Crypto.Gdoi.Group.Default.Server.Address), "hostname" : ("hostname", Native.Crypto.Gdoi.Group.Default.Server.Hostname)}
                            self._child_list_classes = {}

                            self.local = YLeaf(YType.empty, "local")

                            self.address = Native.Crypto.Gdoi.Group.Default.Server.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")

                            self.hostname = Native.Crypto.Gdoi.Group.Default.Server.Hostname()
                            self.hostname.parent = self
                            self._children_name_map["hostname"] = "hostname"
                            self._children_yang_names.add("hostname")
                            self._segment_path = lambda: "server"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gdoi.Group.Default.Server, ['local'], name, value)


                        class Address(Entity):
                            """
                            Identify the group server by address
                            
                            .. attribute:: ipv4
                            
                            	Set the IPv4 address of the group server
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Default.Server.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gdoi.Group.Default.Server.Address, ['ipv4'], name, value)


                        class Hostname(Entity):
                            """
                            Identify the group server by hostname
                            
                            .. attribute:: ipv4
                            
                            	Set the IPv4 hostname of the group server
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gdoi.Group.Default.Server.Hostname, self).__init__()

                                self.yang_name = "hostname"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")
                                self._segment_path = lambda: "hostname"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gdoi.Group.Default.Server.Hostname, ['ipv4'], name, value)


        class Ikev2(Entity):
            """
            Configure IKEv2 Options
            
            .. attribute:: authorization
            
            	IKEv2 authorization
            	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Authorization>`
            
            .. attribute:: certificate_cache
            
            	Cache for storing certs fetched from HTTP URLs
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: client
            
            	IKEv2 client configuration
            	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client>`
            
            .. attribute:: cluster
            
            	Cluster load\-balancer settings
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: cookie_challenge
            
            	Set Cookie\-challenge watermark
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: cts
            
            	Cisco Trust Security
            	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Cts>`
            
            .. attribute:: diagnose
            
            	IKEV2 diagnose
            	**type**\:  :py:class:`Diagnose <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Diagnose>`
            
            .. attribute:: disconnect_revoked_peers
            
            	Disconnect Crypto Session with Cert Revoked Peer
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: dpd_container
            
            	
            	**type**\:  :py:class:`DpdContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.DpdContainer>`
            
            .. attribute:: fragmentation
            
            	Enable fragmentation of ikev2 packets
            	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Fragmentation>`
            
            	**presence node**\: True
            
            .. attribute:: http_url
            
            	Enable http URL lookup
            	**type**\:  :py:class:`HttpUrl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.HttpUrl>`
            
            .. attribute:: keyring
            
            	Define IKEv2 Keyring
            	**type**\: list of  		 :py:class:`Keyring <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring>`
            
            .. attribute:: limit
            
            	Limit the number of maximum and negotiating sa
            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Limit>`
            
            .. attribute:: name_mangler
            
            	Name mangler
            	**type**\: str
            
            .. attribute:: nat
            
            	NAT\-transparency
            	**type**\:  :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Nat>`
            
            .. attribute:: policy
            
            	Define IKEV2 policies
            	**type**\: list of  		 :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Policy>`
            
            .. attribute:: profile
            
            	Define IKEV2 profiles
            	**type**\: list of  		 :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile>`
            
            .. attribute:: proposal
            
            	Define IKEV2 proposals
            	**type**\: list of  		 :py:class:`Proposal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Proposal>`
            
            .. attribute:: reconnect
            
            	Cluster Reconnect
            	**type**\:  :py:class:`Reconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Reconnect>`
            
            .. attribute:: redirect
            
            	IKEv2 Redirect Mechanism for load\-balancing
            	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Redirect>`
            
            .. attribute:: window
            
            	IKEV2 window size
            	**type**\: int
            
            	**range:** 0..255
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Ikev2, self).__init__()

                self.yang_name = "ikev2"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"authorization" : ("authorization", Native.Crypto.Ikev2.Authorization), "client" : ("client", Native.Crypto.Ikev2.Client), "cts" : ("cts", Native.Crypto.Ikev2.Cts), "diagnose" : ("diagnose", Native.Crypto.Ikev2.Diagnose), "dpd-container" : ("dpd_container", Native.Crypto.Ikev2.DpdContainer), "fragmentation" : ("fragmentation", Native.Crypto.Ikev2.Fragmentation), "http-url" : ("http_url", Native.Crypto.Ikev2.HttpUrl), "limit" : ("limit", Native.Crypto.Ikev2.Limit), "nat" : ("nat", Native.Crypto.Ikev2.Nat), "reconnect" : ("reconnect", Native.Crypto.Ikev2.Reconnect), "redirect" : ("redirect", Native.Crypto.Ikev2.Redirect)}
                self._child_list_classes = {"keyring" : ("keyring", Native.Crypto.Ikev2.Keyring), "policy" : ("policy", Native.Crypto.Ikev2.Policy), "profile" : ("profile", Native.Crypto.Ikev2.Profile), "proposal" : ("proposal", Native.Crypto.Ikev2.Proposal)}

                self.certificate_cache = YLeaf(YType.uint16, "certificate-cache")

                self.cluster = YLeaf(YType.empty, "cluster")

                self.cookie_challenge = YLeaf(YType.uint16, "cookie-challenge")

                self.disconnect_revoked_peers = YLeaf(YType.empty, "disconnect-revoked-peers")

                self.name_mangler = YLeaf(YType.str, "name-mangler")

                self.window = YLeaf(YType.uint8, "window")

                self.authorization = Native.Crypto.Ikev2.Authorization()
                self.authorization.parent = self
                self._children_name_map["authorization"] = "authorization"
                self._children_yang_names.add("authorization")

                self.client = Native.Crypto.Ikev2.Client()
                self.client.parent = self
                self._children_name_map["client"] = "client"
                self._children_yang_names.add("client")

                self.cts = Native.Crypto.Ikev2.Cts()
                self.cts.parent = self
                self._children_name_map["cts"] = "cts"
                self._children_yang_names.add("cts")

                self.diagnose = Native.Crypto.Ikev2.Diagnose()
                self.diagnose.parent = self
                self._children_name_map["diagnose"] = "diagnose"
                self._children_yang_names.add("diagnose")

                self.dpd_container = Native.Crypto.Ikev2.DpdContainer()
                self.dpd_container.parent = self
                self._children_name_map["dpd_container"] = "dpd-container"
                self._children_yang_names.add("dpd-container")

                self.fragmentation = None
                self._children_name_map["fragmentation"] = "fragmentation"
                self._children_yang_names.add("fragmentation")

                self.http_url = Native.Crypto.Ikev2.HttpUrl()
                self.http_url.parent = self
                self._children_name_map["http_url"] = "http-url"
                self._children_yang_names.add("http-url")

                self.limit = Native.Crypto.Ikev2.Limit()
                self.limit.parent = self
                self._children_name_map["limit"] = "limit"
                self._children_yang_names.add("limit")

                self.nat = Native.Crypto.Ikev2.Nat()
                self.nat.parent = self
                self._children_name_map["nat"] = "nat"
                self._children_yang_names.add("nat")

                self.reconnect = Native.Crypto.Ikev2.Reconnect()
                self.reconnect.parent = self
                self._children_name_map["reconnect"] = "reconnect"
                self._children_yang_names.add("reconnect")

                self.redirect = Native.Crypto.Ikev2.Redirect()
                self.redirect.parent = self
                self._children_name_map["redirect"] = "redirect"
                self._children_yang_names.add("redirect")

                self.keyring = YList(self)
                self.policy = YList(self)
                self.profile = YList(self)
                self.proposal = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:ikev2"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.Ikev2, ['certificate_cache', 'cluster', 'cookie_challenge', 'disconnect_revoked_peers', 'name_mangler', 'window'], name, value)


            class Authorization(Entity):
                """
                IKEv2 authorization
                
                .. attribute:: policy
                
                	IKEv2 authorization policy
                	**type**\: list of  		 :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Authorization.Policy>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.Authorization, self).__init__()

                    self.yang_name = "authorization"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"policy" : ("policy", Native.Crypto.Ikev2.Authorization.Policy)}

                    self.policy = YList(self)
                    self._segment_path = lambda: "authorization"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.Authorization, [], name, value)


                class Policy(Entity):
                    """
                    IKEv2 authorization policy
                    
                    .. attribute:: policy_name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: route
                    
                    	
                    	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Authorization.Policy.Route>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Authorization.Policy, self).__init__()

                        self.yang_name = "policy"
                        self.yang_parent_name = "authorization"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"route" : ("route", Native.Crypto.Ikev2.Authorization.Policy.Route)}
                        self._child_list_classes = {}

                        self.policy_name = YLeaf(YType.str, "policy-name")

                        self.route = Native.Crypto.Ikev2.Authorization.Policy.Route()
                        self.route.parent = self
                        self._children_name_map["route"] = "route"
                        self._children_yang_names.add("route")
                        self._segment_path = lambda: "policy" + "[policy-name='" + self.policy_name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/authorization/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Authorization.Policy, ['policy_name'], name, value)


                    class Route(Entity):
                        """
                        
                        
                        .. attribute:: set
                        
                        	
                        	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Authorization.Policy.Route.Set>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Authorization.Policy.Route, self).__init__()

                            self.yang_name = "route"
                            self.yang_parent_name = "policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"set" : ("set", Native.Crypto.Ikev2.Authorization.Policy.Route.Set)}
                            self._child_list_classes = {}

                            self.set = Native.Crypto.Ikev2.Authorization.Policy.Route.Set()
                            self.set.parent = self
                            self._children_name_map["set"] = "set"
                            self._children_yang_names.add("set")
                            self._segment_path = lambda: "route"


                        class Set(Entity):
                            """
                            
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Authorization.Policy.Route.Set, self).__init__()

                                self.yang_name = "set"
                                self.yang_parent_name = "route"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"interface" : ("interface", Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface)}
                                self._child_list_classes = {}

                                self.interface = Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface()
                                self.interface.parent = self
                                self._children_name_map["interface"] = "interface"
                                self._children_yang_names.add("interface")
                                self._segment_path = lambda: "set"


                            class Interface(Entity):
                                """
                                
                                
                                .. attribute:: interface_default
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: interface_list
                                
                                	
                                	**type**\: list of  		 :py:class:`InterfaceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface.InterfaceList>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface, self).__init__()

                                    self.yang_name = "interface"
                                    self.yang_parent_name = "set"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"interface-list" : ("interface_list", Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface.InterfaceList)}

                                    self.interface_default = YLeaf(YType.empty, "interface-default")

                                    self.interface_list = YList(self)
                                    self._segment_path = lambda: "interface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface, ['interface_default'], name, value)


                                class InterfaceList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: interface_name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface.InterfaceList, self).__init__()

                                        self.yang_name = "interface-list"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interface_name = YLeaf(YType.str, "interface-name")
                                        self._segment_path = lambda: "interface-list" + "[interface-name='" + self.interface_name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Ikev2.Authorization.Policy.Route.Set.Interface.InterfaceList, ['interface_name'], name, value)


            class Client(Entity):
                """
                IKEv2 client configuration
                
                .. attribute:: flexvpn
                
                	
                	**type**\: list of  		 :py:class:`Flexvpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.Client, self).__init__()

                    self.yang_name = "client"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"flexvpn" : ("flexvpn", Native.Crypto.Ikev2.Client.Flexvpn)}

                    self.flexvpn = YList(self)
                    self._segment_path = lambda: "client"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.Client, [], name, value)


                class Flexvpn(Entity):
                    """
                    
                    
                    .. attribute:: flexvpn_name  <key>
                    
                    	Configure an IKEv2 FlexVPN client
                    	**type**\: str
                    
                    .. attribute:: peer
                    
                    	
                    	**type**\: list of  		 :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Peer>`
                    
                    .. attribute:: connect
                    
                    	
                    	**type**\:  :py:class:`Connect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Connect>`
                    
                    .. attribute:: source
                    
                    	
                    	**type**\: list of  		 :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Source>`
                    
                    .. attribute:: client
                    
                    	
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Client>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Client.Flexvpn, self).__init__()

                        self.yang_name = "flexvpn"
                        self.yang_parent_name = "client"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"connect" : ("connect", Native.Crypto.Ikev2.Client.Flexvpn.Connect), "client" : ("client", Native.Crypto.Ikev2.Client.Flexvpn.Client)}
                        self._child_list_classes = {"peer" : ("peer", Native.Crypto.Ikev2.Client.Flexvpn.Peer), "source" : ("source", Native.Crypto.Ikev2.Client.Flexvpn.Source)}

                        self.flexvpn_name = YLeaf(YType.str, "flexvpn-name")

                        self.connect = Native.Crypto.Ikev2.Client.Flexvpn.Connect()
                        self.connect.parent = self
                        self._children_name_map["connect"] = "connect"
                        self._children_yang_names.add("connect")

                        self.client = Native.Crypto.Ikev2.Client.Flexvpn.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.peer = YList(self)
                        self.source = YList(self)
                        self._segment_path = lambda: "flexvpn" + "[flexvpn-name='" + self.flexvpn_name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/client/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Client.Flexvpn, ['flexvpn_name'], name, value)


                    class Peer(Entity):
                        """
                        
                        
                        .. attribute:: peer_id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: peer_id_container
                        
                        	
                        	**type**\:  :py:class:`PeerIdContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Client.Flexvpn.Peer, self).__init__()

                            self.yang_name = "peer"
                            self.yang_parent_name = "flexvpn"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer-id-container" : ("peer_id_container", Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer)}
                            self._child_list_classes = {}

                            self.peer_id = YLeaf(YType.uint8, "peer-id")

                            self.peer_id_container = Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer()
                            self.peer_id_container.parent = self
                            self._children_name_map["peer_id_container"] = "peer-id-container"
                            self._children_yang_names.add("peer-id-container")
                            self._segment_path = lambda: "peer" + "[peer-id='" + self.peer_id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Client.Flexvpn.Peer, ['peer_id'], name, value)


                        class PeerIdContainer(Entity):
                            """
                            
                            
                            .. attribute:: peer_address
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: track
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..1000
                            
                            .. attribute:: up_down
                            
                            	
                            	**type**\:  :py:class:`UpDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer.UpDown>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer, self).__init__()

                                self.yang_name = "peer-id-container"
                                self.yang_parent_name = "peer"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.peer_address = YLeaf(YType.str, "peer-address")

                                self.track = YLeaf(YType.uint16, "track")

                                self.up_down = YLeaf(YType.enumeration, "up-down")
                                self._segment_path = lambda: "peer-id-container"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ikev2.Client.Flexvpn.Peer.PeerIdContainer, ['peer_address', 'track', 'up_down'], name, value)

                            class UpDown(Enum):
                                """
                                UpDown

                                .. data:: up = 0

                                .. data:: down = 1

                                """

                                up = Enum.YLeaf(0, "up")

                                down = Enum.YLeaf(1, "down")



                    class Connect(Entity):
                        """
                        
                        
                        .. attribute:: track
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..1000
                        
                        .. attribute:: up_down
                        
                        	
                        	**type**\:  :py:class:`UpDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Connect.UpDown>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Client.Flexvpn.Connect, self).__init__()

                            self.yang_name = "connect"
                            self.yang_parent_name = "flexvpn"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.track = YLeaf(YType.uint16, "track")

                            self.up_down = YLeaf(YType.enumeration, "up-down")
                            self._segment_path = lambda: "connect"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Client.Flexvpn.Connect, ['track', 'up_down'], name, value)

                        class UpDown(Enum):
                            """
                            UpDown

                            .. data:: up = 0

                            .. data:: down = 1

                            """

                            up = Enum.YLeaf(0, "up")

                            down = Enum.YLeaf(1, "down")



                    class Source(Entity):
                        """
                        
                        
                        .. attribute:: source_id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: source_id_container
                        
                        	
                        	**type**\:  :py:class:`SourceIdContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Source.SourceIdContainer>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Client.Flexvpn.Source, self).__init__()

                            self.yang_name = "source"
                            self.yang_parent_name = "flexvpn"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"source-id-container" : ("source_id_container", Native.Crypto.Ikev2.Client.Flexvpn.Source.SourceIdContainer)}
                            self._child_list_classes = {}

                            self.source_id = YLeaf(YType.uint8, "source-id")

                            self.source_id_container = Native.Crypto.Ikev2.Client.Flexvpn.Source.SourceIdContainer()
                            self.source_id_container.parent = self
                            self._children_name_map["source_id_container"] = "source-id-container"
                            self._children_yang_names.add("source-id-container")
                            self._segment_path = lambda: "source" + "[source-id='" + self.source_id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Client.Flexvpn.Source, ['source_id'], name, value)


                        class SourceIdContainer(Entity):
                            """
                            
                            
                            .. attribute:: interface_name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: track
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..1000
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Client.Flexvpn.Source.SourceIdContainer, self).__init__()

                                self.yang_name = "source-id-container"
                                self.yang_parent_name = "source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interface_name = YLeaf(YType.str, "interface-name")

                                self.track = YLeaf(YType.uint16, "track")
                                self._segment_path = lambda: "source-id-container"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ikev2.Client.Flexvpn.Source.SourceIdContainer, ['interface_name', 'track'], name, value)


                    class Client(Entity):
                        """
                        
                        
                        .. attribute:: connect
                        
                        	
                        	**type**\:  :py:class:`Connect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Client.Flexvpn.Client.Connect>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Client.Flexvpn.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "flexvpn"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"connect" : ("connect", Native.Crypto.Ikev2.Client.Flexvpn.Client.Connect)}
                            self._child_list_classes = {}

                            self.connect = Native.Crypto.Ikev2.Client.Flexvpn.Client.Connect()
                            self.connect.parent = self
                            self._children_name_map["connect"] = "connect"
                            self._children_yang_names.add("connect")
                            self._segment_path = lambda: "client"


                        class Connect(Entity):
                            """
                            
                            
                            .. attribute:: tunnel
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..2147483647
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Client.Flexvpn.Client.Connect, self).__init__()

                                self.yang_name = "connect"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.tunnel = YLeaf(YType.uint32, "Tunnel")
                                self._segment_path = lambda: "connect"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ikev2.Client.Flexvpn.Client.Connect, ['tunnel'], name, value)


            class Cts(Entity):
                """
                Cisco Trust Security
                
                .. attribute:: sgt
                
                	Security Group Tag
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.Cts, self).__init__()

                    self.yang_name = "cts"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.sgt = YLeaf(YType.empty, "sgt")
                    self._segment_path = lambda: "cts"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.Cts, ['sgt'], name, value)


            class Diagnose(Entity):
                """
                IKEV2 diagnose
                
                .. attribute:: error
                
                	Start IKEv2 error trace debug
                	**type**\: int
                
                	**range:** 1..1000
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.Diagnose, self).__init__()

                    self.yang_name = "diagnose"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.error = YLeaf(YType.uint16, "error")
                    self._segment_path = lambda: "diagnose"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.Diagnose, ['error'], name, value)


            class DpdContainer(Entity):
                """
                
                
                .. attribute:: dpd
                
                	Enable IKE liveness check for peers
                	**type**\: int
                
                	**range:** 10..3600
                
                .. attribute:: retry_interval
                
                	
                	**type**\: int
                
                	**range:** 2..60
                
                .. attribute:: dpd_query
                
                	
                	**type**\:  :py:class:`DpdQuery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.DpdContainer.DpdQuery>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.DpdContainer, self).__init__()

                    self.yang_name = "dpd-container"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.dpd = YLeaf(YType.uint16, "dpd")

                    self.retry_interval = YLeaf(YType.uint8, "retry-interval")

                    self.dpd_query = YLeaf(YType.enumeration, "dpd-query")
                    self._segment_path = lambda: "dpd-container"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.DpdContainer, ['dpd', 'retry_interval', 'dpd_query'], name, value)

                class DpdQuery(Enum):
                    """
                    DpdQuery

                    .. data:: on_demand = 0

                    .. data:: periodic = 1

                    """

                    on_demand = Enum.YLeaf(0, "on-demand")

                    periodic = Enum.YLeaf(1, "periodic")



            class Fragmentation(Entity):
                """
                Enable fragmentation of ikev2 packets
                
                .. attribute:: mtu
                
                	MTU size for fragmentation
                	**type**\: int
                
                	**range:** 68..1500
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.Fragmentation, self).__init__()

                    self.yang_name = "fragmentation"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.mtu = YLeaf(YType.uint16, "mtu")
                    self._segment_path = lambda: "fragmentation"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.Fragmentation, ['mtu'], name, value)


            class HttpUrl(Entity):
                """
                Enable http URL lookup
                
                .. attribute:: cert
                
                	Enable certificate lookup based on HTTP\-based URL
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.HttpUrl, self).__init__()

                    self.yang_name = "http-url"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.cert = YLeaf(YType.empty, "cert")
                    self._segment_path = lambda: "http-url"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.HttpUrl, ['cert'], name, value)


            class Keyring(Entity):
                """
                Define IKEv2 Keyring
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: peer
                
                	Configure a Peer and associated keys
                	**type**\: list of  		 :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.Keyring, self).__init__()

                    self.yang_name = "keyring"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"peer" : ("peer", Native.Crypto.Ikev2.Keyring.Peer)}

                    self.name = YLeaf(YType.str, "name")

                    self.peer = YList(self)
                    self._segment_path = lambda: "keyring" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.Keyring, ['name'], name, value)


                class Peer(Entity):
                    """
                    Configure a Peer and associated keys
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: address
                    
                    	Specify IPv4/IPv6 address of peer
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.Address>`
                    
                    .. attribute:: description
                    
                    	Specify a description of this peer
                    	**type**\: str
                    
                    .. attribute:: hostname
                    
                    	Hostname of peer
                    	**type**\: str
                    
                    .. attribute:: identity
                    
                    	Specify IKE identity to use
                    	**type**\:  :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.Identity>`
                    
                    .. attribute:: pre_shared_key
                    
                    	specify the pre\-shared key
                    	**type**\:  :py:class:`PreSharedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Keyring.Peer, self).__init__()

                        self.yang_name = "peer"
                        self.yang_parent_name = "keyring"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.Crypto.Ikev2.Keyring.Peer.Address), "identity" : ("identity", Native.Crypto.Ikev2.Keyring.Peer.Identity), "pre-shared-key" : ("pre_shared_key", Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.description = YLeaf(YType.str, "description")

                        self.hostname = YLeaf(YType.str, "hostname")

                        self.address = Native.Crypto.Ikev2.Keyring.Peer.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.identity = Native.Crypto.Ikev2.Keyring.Peer.Identity()
                        self.identity.parent = self
                        self._children_name_map["identity"] = "identity"
                        self._children_yang_names.add("identity")

                        self.pre_shared_key = Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey()
                        self.pre_shared_key.parent = self
                        self._children_name_map["pre_shared_key"] = "pre-shared-key"
                        self._children_yang_names.add("pre-shared-key")
                        self._segment_path = lambda: "peer" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Keyring.Peer, ['name', 'description', 'hostname'], name, value)


                    class Address(Entity):
                        """
                        Specify IPv4/IPv6 address of peer
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.Address.Ipv4>`
                        
                        .. attribute:: ipv6_prefix
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Keyring.Peer.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Crypto.Ikev2.Keyring.Peer.Address.Ipv4)}
                            self._child_list_classes = {}

                            self.ipv6_prefix = YLeaf(YType.str, "ipv6-prefix")

                            self.ipv4 = Native.Crypto.Ikev2.Keyring.Peer.Address.Ipv4()
                            self.ipv4.parent = self
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Keyring.Peer.Address, ['ipv6_prefix'], name, value)


                        class Ipv4(Entity):
                            """
                            
                            
                            .. attribute:: ipv4_address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Keyring.Peer.Address.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_address = YLeaf(YType.str, "ipv4-address")

                                self.ipv4_mask = YLeaf(YType.str, "ipv4-mask")
                                self._segment_path = lambda: "ipv4"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ikev2.Keyring.Peer.Address.Ipv4, ['ipv4_address', 'ipv4_mask'], name, value)


                    class Identity(Entity):
                        """
                        Specify IKE identity to use
                        
                        .. attribute:: address
                        
                        	IP address
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: email
                        
                        	Use email address
                        	**type**\:  :py:class:`Email <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.Identity.Email>`
                        
                        .. attribute:: fqdn
                        
                        	Use FQDN
                        	**type**\:  :py:class:`Fqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.Identity.Fqdn>`
                        
                        .. attribute:: key_id
                        
                        	proprietary types of identification (ID KEY ID)
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Keyring.Peer.Identity, self).__init__()

                            self.yang_name = "identity"
                            self.yang_parent_name = "peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"email" : ("email", Native.Crypto.Ikev2.Keyring.Peer.Identity.Email), "fqdn" : ("fqdn", Native.Crypto.Ikev2.Keyring.Peer.Identity.Fqdn)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.key_id = YLeaf(YType.str, "key-id")

                            self.email = Native.Crypto.Ikev2.Keyring.Peer.Identity.Email()
                            self.email.parent = self
                            self._children_name_map["email"] = "email"
                            self._children_yang_names.add("email")

                            self.fqdn = Native.Crypto.Ikev2.Keyring.Peer.Identity.Fqdn()
                            self.fqdn.parent = self
                            self._children_name_map["fqdn"] = "fqdn"
                            self._children_yang_names.add("fqdn")
                            self._segment_path = lambda: "identity"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Keyring.Peer.Identity, ['address', 'key_id'], name, value)


                        class Email(Entity):
                            """
                            Use email address
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: domain
                            
                            	email Domain Name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Keyring.Peer.Identity.Email, self).__init__()

                                self.yang_name = "email"
                                self.yang_parent_name = "identity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.domain = YLeaf(YType.str, "domain")
                                self._segment_path = lambda: "email"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ikev2.Keyring.Peer.Identity.Email, ['name', 'domain'], name, value)


                        class Fqdn(Entity):
                            """
                            Use FQDN
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: domain
                            
                            	email Domain Name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Keyring.Peer.Identity.Fqdn, self).__init__()

                                self.yang_name = "fqdn"
                                self.yang_parent_name = "identity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.domain = YLeaf(YType.str, "domain")
                                self._segment_path = lambda: "fqdn"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ikev2.Keyring.Peer.Identity.Fqdn, ['name', 'domain'], name, value)


                    class PreSharedKey(Entity):
                        """
                        specify the pre\-shared key
                        
                        .. attribute:: local
                        
                        	specify signing key
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: remote
                        
                        	specify verifying key
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey.Encryption>`
                        
                        .. attribute:: key
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: hex
                        
                        	Key entered in hex string
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey, self).__init__()

                            self.yang_name = "pre-shared-key"
                            self.yang_parent_name = "peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.local = YLeaf(YType.empty, "local")

                            self.remote = YLeaf(YType.empty, "remote")

                            self.encryption = YLeaf(YType.enumeration, "encryption")

                            self.key = YLeaf(YType.str, "key")

                            self.hex = YLeaf(YType.str, "hex")
                            self._segment_path = lambda: "pre-shared-key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Keyring.Peer.PreSharedKey, ['local', 'remote', 'encryption', 'key', 'hex'], name, value)

                        class Encryption(Enum):
                            """
                            Encryption

                            .. data:: Y_0 = 0

                            .. data:: Y_6 = 1

                            """

                            Y_0 = Enum.YLeaf(0, "0")

                            Y_6 = Enum.YLeaf(1, "6")



            class Limit(Entity):
                """
                Limit the number of maximum and negotiating sa
                
                .. attribute:: max_neg_sa
                
                	
                	**type**\:  :py:class:`MaxNegSa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Limit.MaxNegSa>`
                
                .. attribute:: max_sa
                
                	Limit the maximum number of SA allowed
                	**type**\: int
                
                	**range:** 1..9999
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.Limit, self).__init__()

                    self.yang_name = "limit"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"max-neg-sa" : ("max_neg_sa", Native.Crypto.Ikev2.Limit.MaxNegSa)}
                    self._child_list_classes = {}

                    self.max_sa = YLeaf(YType.uint32, "max-sa")

                    self.max_neg_sa = Native.Crypto.Ikev2.Limit.MaxNegSa()
                    self.max_neg_sa.parent = self
                    self._children_name_map["max_neg_sa"] = "max-neg-sa"
                    self._children_yang_names.add("max-neg-sa")
                    self._segment_path = lambda: "limit"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.Limit, ['max_sa'], name, value)


                class MaxNegSa(Entity):
                    """
                    
                    
                    .. attribute:: max_in_negotation_sa
                    
                    	Limit the maximum number of negotiating SA
                    	**type**\: int
                    
                    	**range:** 1..9999
                    
                    .. attribute:: direction
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Limit.MaxNegSa.Direction>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Limit.MaxNegSa, self).__init__()

                        self.yang_name = "max-neg-sa"
                        self.yang_parent_name = "limit"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_in_negotation_sa = YLeaf(YType.uint32, "max-in-negotation-sa")

                        self.direction = YLeaf(YType.enumeration, "direction")
                        self._segment_path = lambda: "max-neg-sa"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/limit/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Limit.MaxNegSa, ['max_in_negotation_sa', 'direction'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: incoming = 0

                        .. data:: outgoing = 1

                        """

                        incoming = Enum.YLeaf(0, "incoming")

                        outgoing = Enum.YLeaf(1, "outgoing")



            class Nat(Entity):
                """
                NAT\-transparency
                
                .. attribute:: keepalive
                
                	Set NAT keepalive interval
                	**type**\: int
                
                	**range:** 5..3600
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.Nat, self).__init__()

                    self.yang_name = "nat"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.keepalive = YLeaf(YType.uint16, "keepalive")
                    self._segment_path = lambda: "nat"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.Nat, ['keepalive'], name, value)


            class Policy(Entity):
                """
                Define IKEV2 policies
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: match
                
                	Match values of local fields
                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Policy.Match>`
                
                .. attribute:: proposal
                
                	Specify Proposal
                	**type**\: str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.Policy, self).__init__()

                    self.yang_name = "policy"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"match" : ("match", Native.Crypto.Ikev2.Policy.Match)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.proposal = YLeaf(YType.str, "proposal")

                    self.match = Native.Crypto.Ikev2.Policy.Match()
                    self.match.parent = self
                    self._children_name_map["match"] = "match"
                    self._children_yang_names.add("match")
                    self._segment_path = lambda: "policy" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.Policy, ['name', 'proposal'], name, value)


                class Match(Entity):
                    """
                    Match values of local fields
                    
                    .. attribute:: address
                    
                    	Specify the address to match
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Policy.Match.Address>`
                    
                    .. attribute:: fvrf
                    
                    	Specify fvrf
                    	**type**\:  :py:class:`Fvrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Policy.Match.Fvrf>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Policy.Match, self).__init__()

                        self.yang_name = "match"
                        self.yang_parent_name = "policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.Crypto.Ikev2.Policy.Match.Address), "fvrf" : ("fvrf", Native.Crypto.Ikev2.Policy.Match.Fvrf)}
                        self._child_list_classes = {}

                        self.address = Native.Crypto.Ikev2.Policy.Match.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.fvrf = Native.Crypto.Ikev2.Policy.Match.Fvrf()
                        self.fvrf.parent = self
                        self._children_name_map["fvrf"] = "fvrf"
                        self._children_yang_names.add("fvrf")
                        self._segment_path = lambda: "match"


                    class Address(Entity):
                        """
                        Specify the address to match
                        
                        .. attribute:: local
                        
                        	Local address
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Policy.Match.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.local = YLeaf(YType.str, "local")
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Policy.Match.Address, ['local'], name, value)


                    class Fvrf(Entity):
                        """
                        Specify fvrf
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: any
                        
                        	Any fvrf
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Policy.Match.Fvrf, self).__init__()

                            self.yang_name = "fvrf"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.any = YLeaf(YType.empty, "any")
                            self._segment_path = lambda: "fvrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Policy.Match.Fvrf, ['name', 'any'], name, value)


            class Profile(Entity):
                """
                Define IKEV2 profiles
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: aaa
                
                	Specify AAA related configs
                	**type**\:  :py:class:`Aaa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa>`
                
                .. attribute:: authentication
                
                	Set authentication method
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication>`
                
                .. attribute:: config_exchange
                
                	config\-exchange options
                	**type**\:  :py:class:`ConfigExchange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.ConfigExchange>`
                
                .. attribute:: description
                
                	Specify a description of this profile
                	**type**\: str
                
                .. attribute:: dpd
                
                	Enable IKE liveness check for peers
                	**type**\:  :py:class:`Dpd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Dpd>`
                
                .. attribute:: identity
                
                	Specify IKE identity to use
                	**type**\:  :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Identity>`
                
                .. attribute:: initial_contact
                
                	initial\-contact processing options
                	**type**\:  :py:class:`InitialContact <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.InitialContact>`
                
                .. attribute:: ivrf
                
                	I\-VRF of the profile
                	**type**\: str
                
                .. attribute:: keyring
                
                	Specify keyring to use
                	**type**\:  :py:class:`Keyring <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Keyring>`
                
                .. attribute:: lifetime
                
                	Set lifetime for ISAKMP security association
                	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Lifetime>`
                
                .. attribute:: match
                
                	Match values of peer
                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match>`
                
                .. attribute:: nat
                
                	NAT\-transparency
                	**type**\:  :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Nat>`
                
                .. attribute:: pki
                
                	Specify certificate authorities to trust
                	**type**\:  :py:class:`Pki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Pki>`
                
                .. attribute:: reconnect
                
                	Enable profile for auto re\-connect
                	**type**\:  :py:class:`Reconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Reconnect>`
                
                	**presence node**\: True
                
                .. attribute:: redirect
                
                	IKEv2 Redirect Mechanism for load\-balancing
                	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Redirect>`
                
                .. attribute:: shutdown
                
                	shutdown the IKEv2 profile
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: virtual_template
                
                	Specify the virtual\-template for dynamic interface creation
                	**type**\:  :py:class:`VirtualTemplate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.VirtualTemplate>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.Profile, self).__init__()

                    self.yang_name = "profile"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"aaa" : ("aaa", Native.Crypto.Ikev2.Profile.Aaa), "authentication" : ("authentication", Native.Crypto.Ikev2.Profile.Authentication), "config-exchange" : ("config_exchange", Native.Crypto.Ikev2.Profile.ConfigExchange), "dpd" : ("dpd", Native.Crypto.Ikev2.Profile.Dpd), "identity" : ("identity", Native.Crypto.Ikev2.Profile.Identity), "initial-contact" : ("initial_contact", Native.Crypto.Ikev2.Profile.InitialContact), "keyring" : ("keyring", Native.Crypto.Ikev2.Profile.Keyring), "lifetime" : ("lifetime", Native.Crypto.Ikev2.Profile.Lifetime), "match" : ("match", Native.Crypto.Ikev2.Profile.Match), "nat" : ("nat", Native.Crypto.Ikev2.Profile.Nat), "pki" : ("pki", Native.Crypto.Ikev2.Profile.Pki), "reconnect" : ("reconnect", Native.Crypto.Ikev2.Profile.Reconnect), "redirect" : ("redirect", Native.Crypto.Ikev2.Profile.Redirect), "virtual-template" : ("virtual_template", Native.Crypto.Ikev2.Profile.VirtualTemplate)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.description = YLeaf(YType.str, "description")

                    self.ivrf = YLeaf(YType.str, "ivrf")

                    self.shutdown = YLeaf(YType.empty, "shutdown")

                    self.aaa = Native.Crypto.Ikev2.Profile.Aaa()
                    self.aaa.parent = self
                    self._children_name_map["aaa"] = "aaa"
                    self._children_yang_names.add("aaa")

                    self.authentication = Native.Crypto.Ikev2.Profile.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.config_exchange = Native.Crypto.Ikev2.Profile.ConfigExchange()
                    self.config_exchange.parent = self
                    self._children_name_map["config_exchange"] = "config-exchange"
                    self._children_yang_names.add("config-exchange")

                    self.dpd = Native.Crypto.Ikev2.Profile.Dpd()
                    self.dpd.parent = self
                    self._children_name_map["dpd"] = "dpd"
                    self._children_yang_names.add("dpd")

                    self.identity = Native.Crypto.Ikev2.Profile.Identity()
                    self.identity.parent = self
                    self._children_name_map["identity"] = "identity"
                    self._children_yang_names.add("identity")

                    self.initial_contact = Native.Crypto.Ikev2.Profile.InitialContact()
                    self.initial_contact.parent = self
                    self._children_name_map["initial_contact"] = "initial-contact"
                    self._children_yang_names.add("initial-contact")

                    self.keyring = Native.Crypto.Ikev2.Profile.Keyring()
                    self.keyring.parent = self
                    self._children_name_map["keyring"] = "keyring"
                    self._children_yang_names.add("keyring")

                    self.lifetime = Native.Crypto.Ikev2.Profile.Lifetime()
                    self.lifetime.parent = self
                    self._children_name_map["lifetime"] = "lifetime"
                    self._children_yang_names.add("lifetime")

                    self.match = Native.Crypto.Ikev2.Profile.Match()
                    self.match.parent = self
                    self._children_name_map["match"] = "match"
                    self._children_yang_names.add("match")

                    self.nat = Native.Crypto.Ikev2.Profile.Nat()
                    self.nat.parent = self
                    self._children_name_map["nat"] = "nat"
                    self._children_yang_names.add("nat")

                    self.pki = Native.Crypto.Ikev2.Profile.Pki()
                    self.pki.parent = self
                    self._children_name_map["pki"] = "pki"
                    self._children_yang_names.add("pki")

                    self.reconnect = None
                    self._children_name_map["reconnect"] = "reconnect"
                    self._children_yang_names.add("reconnect")

                    self.redirect = Native.Crypto.Ikev2.Profile.Redirect()
                    self.redirect.parent = self
                    self._children_name_map["redirect"] = "redirect"
                    self._children_yang_names.add("redirect")

                    self.virtual_template = Native.Crypto.Ikev2.Profile.VirtualTemplate()
                    self.virtual_template.parent = self
                    self._children_name_map["virtual_template"] = "virtual-template"
                    self._children_yang_names.add("virtual-template")
                    self._segment_path = lambda: "profile" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.Profile, ['name', 'description', 'ivrf', 'shutdown'], name, value)


                class Aaa(Entity):
                    """
                    Specify AAA related configs
                    
                    .. attribute:: accounting
                    
                    	AAA accounting
                    	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Accounting>`
                    
                    .. attribute:: authentication
                    
                    	AAA authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authentication>`
                    
                    .. attribute:: authorization
                    
                    	AAA authorization
                    	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.Aaa, self).__init__()

                        self.yang_name = "aaa"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"accounting" : ("accounting", Native.Crypto.Ikev2.Profile.Aaa.Accounting), "authentication" : ("authentication", Native.Crypto.Ikev2.Profile.Aaa.Authentication), "authorization" : ("authorization", Native.Crypto.Ikev2.Profile.Aaa.Authorization)}
                        self._child_list_classes = {}

                        self.accounting = Native.Crypto.Ikev2.Profile.Aaa.Accounting()
                        self.accounting.parent = self
                        self._children_name_map["accounting"] = "accounting"
                        self._children_yang_names.add("accounting")

                        self.authentication = Native.Crypto.Ikev2.Profile.Aaa.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.authorization = Native.Crypto.Ikev2.Profile.Aaa.Authorization()
                        self.authorization.parent = self
                        self._children_name_map["authorization"] = "authorization"
                        self._children_yang_names.add("authorization")
                        self._segment_path = lambda: "aaa"


                    class Accounting(Entity):
                        """
                        AAA accounting
                        
                        .. attribute:: anyconnect_eap
                        
                        	AAA list to use when IKEv2 remote auth method is AnyConnect EAP
                        	**type**\: str
                        
                        .. attribute:: cert
                        
                        	AAA list to use when IKEv2 remote auth method is certificate based
                        	**type**\: str
                        
                        .. attribute:: eap
                        
                        	AAA list to use when IKEv2 remote auth method is EAP
                        	**type**\: str
                        
                        .. attribute:: psk
                        
                        	AAA list to use when IKEv2 remote auth method is PSK
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Profile.Aaa.Accounting, self).__init__()

                            self.yang_name = "accounting"
                            self.yang_parent_name = "aaa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.anyconnect_eap = YLeaf(YType.str, "anyconnect-eap")

                            self.cert = YLeaf(YType.str, "cert")

                            self.eap = YLeaf(YType.str, "eap")

                            self.psk = YLeaf(YType.str, "psk")
                            self._segment_path = lambda: "accounting"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Accounting, ['anyconnect_eap', 'cert', 'eap', 'psk'], name, value)


                    class Authentication(Entity):
                        """
                        AAA authentication
                        
                        .. attribute:: anyconnect_eap
                        
                        	AAA AnyConnect EAP authentication
                        	**type**\: str
                        
                        .. attribute:: eap
                        
                        	AAA EAP authentication
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Profile.Aaa.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "aaa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.anyconnect_eap = YLeaf(YType.str, "anyconnect-eap")

                            self.eap = YLeaf(YType.str, "eap")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authentication, ['anyconnect_eap', 'eap'], name, value)


                    class Authorization(Entity):
                        """
                        AAA authorization
                        
                        .. attribute:: group
                        
                        	AAA group authorization
                        	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group>`
                        
                        .. attribute:: user
                        
                        	AAA user authorization
                        	**type**\:  :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Profile.Aaa.Authorization, self).__init__()

                            self.yang_name = "authorization"
                            self.yang_parent_name = "aaa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"group" : ("group", Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group), "user" : ("user", Native.Crypto.Ikev2.Profile.Aaa.Authorization.User)}
                            self._child_list_classes = {}

                            self.group = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group()
                            self.group.parent = self
                            self._children_name_map["group"] = "group"
                            self._children_yang_names.add("group")

                            self.user = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User()
                            self.user.parent = self
                            self._children_name_map["user"] = "user"
                            self._children_yang_names.add("user")
                            self._segment_path = lambda: "authorization"


                        class Group(Entity):
                            """
                            AAA group authorization
                            
                            .. attribute:: anyconnect_eap
                            
                            	AAA list to use when IKEv2 remote auth method is anyconnect eap based
                            	**type**\:  :py:class:`AnyconnectEap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap>`
                            
                            .. attribute:: cert
                            
                            	AAA list to use when IKEv2 remote auth method is certificate based
                            	**type**\:  :py:class:`Cert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert>`
                            
                            .. attribute:: eap
                            
                            	AAA list to use when IKEv2 remote auth method is EAP
                            	**type**\:  :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap>`
                            
                            .. attribute:: psk
                            
                            	AAA list to use when IKEv2 remote auth method is PSK
                            	**type**\:  :py:class:`Psk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk>`
                            
                            .. attribute:: override
                            
                            	Override user authorization with group authorization.By default, group authorization isoverridden with user authorization
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group, self).__init__()

                                self.yang_name = "group"
                                self.yang_parent_name = "authorization"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"anyconnect-eap" : ("anyconnect_eap", Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap), "cert" : ("cert", Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert), "eap" : ("eap", Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap), "psk" : ("psk", Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk)}
                                self._child_list_classes = {}

                                self.override = YLeaf(YType.empty, "override")

                                self.anyconnect_eap = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap()
                                self.anyconnect_eap.parent = self
                                self._children_name_map["anyconnect_eap"] = "anyconnect-eap"
                                self._children_yang_names.add("anyconnect-eap")

                                self.cert = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert()
                                self.cert.parent = self
                                self._children_name_map["cert"] = "cert"
                                self._children_yang_names.add("cert")

                                self.eap = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap()
                                self.eap.parent = self
                                self._children_name_map["eap"] = "eap"
                                self._children_yang_names.add("eap")

                                self.psk = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk()
                                self.psk.parent = self
                                self._children_name_map["psk"] = "psk"
                                self._children_yang_names.add("psk")
                                self._segment_path = lambda: "group"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group, ['override'], name, value)


                            class AnyconnectEap(Entity):
                                """
                                AAA list to use when IKEv2 remote auth method is anyconnect eap based
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of  		 :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap, self).__init__()

                                    self.yang_name = "anyconnect-eap"
                                    self.yang_parent_name = "group"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"list" : ("list", Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List)}

                                    self.list = YList(self)
                                    self._segment_path = lambda: "anyconnect-eap"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap, [], name, value)


                                class List(Entity):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\: str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List, self).__init__()

                                        self.yang_name = "list"
                                        self.yang_parent_name = "anyconnect-eap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"password" : ("password", Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.username = YLeaf(YType.str, "username")

                                        self.local = YLeaf(YType.empty, "local")

                                        self.name_mangler = YLeaf(YType.str, "name-mangler")

                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")
                                        self._segment_path = lambda: "list" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List, ['name', 'username', 'local', 'name_mangler'], name, value)


                                    class Password(Entity):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password.Encryption>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encryption = YLeaf(YType.enumeration, "encryption")

                                            self.key = YLeaf(YType.str, "key")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.AnyconnectEap.List.Password, ['encryption', 'key'], name, value)

                                        class Encryption(Enum):
                                            """
                                            Encryption

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_6 = Enum.YLeaf(1, "6")



                            class Cert(Entity):
                                """
                                AAA list to use when IKEv2 remote auth method is certificate based
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of  		 :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert, self).__init__()

                                    self.yang_name = "cert"
                                    self.yang_parent_name = "group"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"list" : ("list", Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List)}

                                    self.list = YList(self)
                                    self._segment_path = lambda: "cert"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert, [], name, value)


                                class List(Entity):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\: str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List, self).__init__()

                                        self.yang_name = "list"
                                        self.yang_parent_name = "cert"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"password" : ("password", Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.username = YLeaf(YType.str, "username")

                                        self.local = YLeaf(YType.empty, "local")

                                        self.name_mangler = YLeaf(YType.str, "name-mangler")

                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")
                                        self._segment_path = lambda: "list" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List, ['name', 'username', 'local', 'name_mangler'], name, value)


                                    class Password(Entity):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password.Encryption>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encryption = YLeaf(YType.enumeration, "encryption")

                                            self.key = YLeaf(YType.str, "key")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Cert.List.Password, ['encryption', 'key'], name, value)

                                        class Encryption(Enum):
                                            """
                                            Encryption

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_6 = Enum.YLeaf(1, "6")



                            class Eap(Entity):
                                """
                                AAA list to use when IKEv2 remote auth method is EAP
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of  		 :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap, self).__init__()

                                    self.yang_name = "eap"
                                    self.yang_parent_name = "group"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"list" : ("list", Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List)}

                                    self.list = YList(self)
                                    self._segment_path = lambda: "eap"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap, [], name, value)


                                class List(Entity):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\: str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List, self).__init__()

                                        self.yang_name = "list"
                                        self.yang_parent_name = "eap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"password" : ("password", Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.username = YLeaf(YType.str, "username")

                                        self.local = YLeaf(YType.empty, "local")

                                        self.name_mangler = YLeaf(YType.str, "name-mangler")

                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")
                                        self._segment_path = lambda: "list" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List, ['name', 'username', 'local', 'name_mangler'], name, value)


                                    class Password(Entity):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password.Encryption>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encryption = YLeaf(YType.enumeration, "encryption")

                                            self.key = YLeaf(YType.str, "key")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Eap.List.Password, ['encryption', 'key'], name, value)

                                        class Encryption(Enum):
                                            """
                                            Encryption

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_6 = Enum.YLeaf(1, "6")



                            class Psk(Entity):
                                """
                                AAA list to use when IKEv2 remote auth method is PSK
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of  		 :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk, self).__init__()

                                    self.yang_name = "psk"
                                    self.yang_parent_name = "group"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"list" : ("list", Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List)}

                                    self.list = YList(self)
                                    self._segment_path = lambda: "psk"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk, [], name, value)


                                class List(Entity):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\: str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List, self).__init__()

                                        self.yang_name = "list"
                                        self.yang_parent_name = "psk"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"password" : ("password", Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.username = YLeaf(YType.str, "username")

                                        self.local = YLeaf(YType.empty, "local")

                                        self.name_mangler = YLeaf(YType.str, "name-mangler")

                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")
                                        self._segment_path = lambda: "list" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List, ['name', 'username', 'local', 'name_mangler'], name, value)


                                    class Password(Entity):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password.Encryption>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encryption = YLeaf(YType.enumeration, "encryption")

                                            self.key = YLeaf(YType.str, "key")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.Group.Psk.List.Password, ['encryption', 'key'], name, value)

                                        class Encryption(Enum):
                                            """
                                            Encryption

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_6 = Enum.YLeaf(1, "6")



                        class User(Entity):
                            """
                            AAA user authorization
                            
                            .. attribute:: anyconnect_eap
                            
                            	AAA list to use when IKEv2 remote auth method is anyconnect eap based
                            	**type**\:  :py:class:`AnyconnectEap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap>`
                            
                            .. attribute:: cert
                            
                            	AAA list to use when IKEv2 remote auth method is certificate based
                            	**type**\:  :py:class:`Cert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert>`
                            
                            .. attribute:: eap
                            
                            	AAA list to use when IKEv2 remote auth method is EAP
                            	**type**\:  :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap>`
                            
                            .. attribute:: psk
                            
                            	AAA list to use when IKEv2 remote auth method is PSK
                            	**type**\:  :py:class:`Psk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User, self).__init__()

                                self.yang_name = "user"
                                self.yang_parent_name = "authorization"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"anyconnect-eap" : ("anyconnect_eap", Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap), "cert" : ("cert", Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert), "eap" : ("eap", Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap), "psk" : ("psk", Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk)}
                                self._child_list_classes = {}

                                self.anyconnect_eap = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap()
                                self.anyconnect_eap.parent = self
                                self._children_name_map["anyconnect_eap"] = "anyconnect-eap"
                                self._children_yang_names.add("anyconnect-eap")

                                self.cert = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert()
                                self.cert.parent = self
                                self._children_name_map["cert"] = "cert"
                                self._children_yang_names.add("cert")

                                self.eap = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap()
                                self.eap.parent = self
                                self._children_name_map["eap"] = "eap"
                                self._children_yang_names.add("eap")

                                self.psk = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk()
                                self.psk.parent = self
                                self._children_name_map["psk"] = "psk"
                                self._children_yang_names.add("psk")
                                self._segment_path = lambda: "user"


                            class AnyconnectEap(Entity):
                                """
                                AAA list to use when IKEv2 remote auth method is anyconnect eap based
                                
                                .. attribute:: cached
                                
                                	Use cached attributes from EAP authentication or AAA pre\-shared key fetch
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of  		 :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap, self).__init__()

                                    self.yang_name = "anyconnect-eap"
                                    self.yang_parent_name = "user"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"list" : ("list", Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List)}

                                    self.cached = YLeaf(YType.empty, "cached")

                                    self.list = YList(self)
                                    self._segment_path = lambda: "anyconnect-eap"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap, ['cached'], name, value)


                                class List(Entity):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\: str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List, self).__init__()

                                        self.yang_name = "list"
                                        self.yang_parent_name = "anyconnect-eap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"password" : ("password", Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.username = YLeaf(YType.str, "username")

                                        self.local = YLeaf(YType.empty, "local")

                                        self.name_mangler = YLeaf(YType.str, "name-mangler")

                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")
                                        self._segment_path = lambda: "list" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List, ['name', 'username', 'local', 'name_mangler'], name, value)


                                    class Password(Entity):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password.Encryption>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encryption = YLeaf(YType.enumeration, "encryption")

                                            self.key = YLeaf(YType.str, "key")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.AnyconnectEap.List.Password, ['encryption', 'key'], name, value)

                                        class Encryption(Enum):
                                            """
                                            Encryption

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_6 = Enum.YLeaf(1, "6")



                            class Cert(Entity):
                                """
                                AAA list to use when IKEv2 remote auth method is certificate based
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of  		 :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert, self).__init__()

                                    self.yang_name = "cert"
                                    self.yang_parent_name = "user"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"list" : ("list", Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List)}

                                    self.list = YList(self)
                                    self._segment_path = lambda: "cert"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert, [], name, value)


                                class List(Entity):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\: str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List, self).__init__()

                                        self.yang_name = "list"
                                        self.yang_parent_name = "cert"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"password" : ("password", Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.username = YLeaf(YType.str, "username")

                                        self.local = YLeaf(YType.empty, "local")

                                        self.name_mangler = YLeaf(YType.str, "name-mangler")

                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")
                                        self._segment_path = lambda: "list" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List, ['name', 'username', 'local', 'name_mangler'], name, value)


                                    class Password(Entity):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password.Encryption>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encryption = YLeaf(YType.enumeration, "encryption")

                                            self.key = YLeaf(YType.str, "key")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Cert.List.Password, ['encryption', 'key'], name, value)

                                        class Encryption(Enum):
                                            """
                                            Encryption

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_6 = Enum.YLeaf(1, "6")



                            class Eap(Entity):
                                """
                                AAA list to use when IKEv2 remote auth method is EAP
                                
                                .. attribute:: cached
                                
                                	Use cached attributes from EAP authentication or AAA pre\-shared key fetch
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of  		 :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap, self).__init__()

                                    self.yang_name = "eap"
                                    self.yang_parent_name = "user"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"list" : ("list", Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List)}

                                    self.cached = YLeaf(YType.empty, "cached")

                                    self.list = YList(self)
                                    self._segment_path = lambda: "eap"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap, ['cached'], name, value)


                                class List(Entity):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\: str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List, self).__init__()

                                        self.yang_name = "list"
                                        self.yang_parent_name = "eap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"password" : ("password", Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.username = YLeaf(YType.str, "username")

                                        self.local = YLeaf(YType.empty, "local")

                                        self.name_mangler = YLeaf(YType.str, "name-mangler")

                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")
                                        self._segment_path = lambda: "list" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List, ['name', 'username', 'local', 'name_mangler'], name, value)


                                    class Password(Entity):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password.Encryption>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encryption = YLeaf(YType.enumeration, "encryption")

                                            self.key = YLeaf(YType.str, "key")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Eap.List.Password, ['encryption', 'key'], name, value)

                                        class Encryption(Enum):
                                            """
                                            Encryption

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_6 = Enum.YLeaf(1, "6")



                            class Psk(Entity):
                                """
                                AAA list to use when IKEv2 remote auth method is PSK
                                
                                .. attribute:: cached
                                
                                	Use cached attributes from EAP authentication or AAA pre\-shared key fetch
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: list
                                
                                	AAA method list
                                	**type**\: list of  		 :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk, self).__init__()

                                    self.yang_name = "psk"
                                    self.yang_parent_name = "user"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"list" : ("list", Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List)}

                                    self.cached = YLeaf(YType.empty, "cached")

                                    self.list = YList(self)
                                    self._segment_path = lambda: "psk"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk, ['cached'], name, value)


                                class List(Entity):
                                    """
                                    AAA method list
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: username
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: local
                                    
                                    	Local AAA Authorization
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: name_mangler
                                    
                                    	Specify the name\-mangler to derive AAA username
                                    	**type**\: str
                                    
                                    .. attribute:: password
                                    
                                    	Specify the AAA password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List, self).__init__()

                                        self.yang_name = "list"
                                        self.yang_parent_name = "psk"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"password" : ("password", Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.username = YLeaf(YType.str, "username")

                                        self.local = YLeaf(YType.empty, "local")

                                        self.name_mangler = YLeaf(YType.str, "name-mangler")

                                        self.password = Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")
                                        self._segment_path = lambda: "list" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List, ['name', 'username', 'local', 'name_mangler'], name, value)


                                    class Password(Entity):
                                        """
                                        Specify the AAA password
                                        
                                        .. attribute:: encryption
                                        
                                        	
                                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password.Encryption>`
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.encryption = YLeaf(YType.enumeration, "encryption")

                                            self.key = YLeaf(YType.str, "key")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Aaa.Authorization.User.Psk.List.Password, ['encryption', 'key'], name, value)

                                        class Encryption(Enum):
                                            """
                                            Encryption

                                            .. data:: Y_0 = 0

                                            .. data:: Y_6 = 1

                                            """

                                            Y_0 = Enum.YLeaf(0, "0")

                                            Y_6 = Enum.YLeaf(1, "6")



                class Authentication(Entity):
                    """
                    Set authentication method
                    
                    .. attribute:: local
                    
                    	Set local authentication method
                    	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local>`
                    
                    .. attribute:: remote
                    
                    	Set remote authentication method
                    	**type**\:  :py:class:`Remote <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"local" : ("local", Native.Crypto.Ikev2.Profile.Authentication.Local), "remote" : ("remote", Native.Crypto.Ikev2.Profile.Authentication.Remote)}
                        self._child_list_classes = {}

                        self.local = Native.Crypto.Ikev2.Profile.Authentication.Local()
                        self.local.parent = self
                        self._children_name_map["local"] = "local"
                        self._children_yang_names.add("local")

                        self.remote = Native.Crypto.Ikev2.Profile.Authentication.Remote()
                        self.remote.parent = self
                        self._children_name_map["remote"] = "remote"
                        self._children_yang_names.add("remote")
                        self._segment_path = lambda: "authentication"


                    class Local(Entity):
                        """
                        Set local authentication method
                        
                        .. attribute:: eap
                        
                        	Extended Authentication Protocol
                        	**type**\:  :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ecdsa_sig
                        
                        	ECDSA Signature
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pre_share
                        
                        	Pre\-Shared Key
                        	**type**\:  :py:class:`PreShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: rsa_sig
                        
                        	Rivest\-Shamir\-Adleman Signature
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Profile.Authentication.Local, self).__init__()

                            self.yang_name = "local"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"eap" : ("eap", Native.Crypto.Ikev2.Profile.Authentication.Local.Eap), "pre-share" : ("pre_share", Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare)}
                            self._child_list_classes = {}

                            self.ecdsa_sig = YLeaf(YType.empty, "ecdsa-sig")

                            self.rsa_sig = YLeaf(YType.empty, "rsa-sig")

                            self.eap = None
                            self._children_name_map["eap"] = "eap"
                            self._children_yang_names.add("eap")

                            self.pre_share = None
                            self._children_name_map["pre_share"] = "pre-share"
                            self._children_yang_names.add("pre-share")
                            self._segment_path = lambda: "local"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Authentication.Local, ['ecdsa_sig', 'rsa_sig'], name, value)


                        class Eap(Entity):
                            """
                            Extended Authentication Protocol
                            
                            .. attribute:: gtc
                            
                            	eap method gtc credentials
                            	**type**\:  :py:class:`Gtc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc>`
                            
                            .. attribute:: md5
                            
                            	eap method md5 credentials
                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5>`
                            
                            .. attribute:: mschapv2
                            
                            	eap method mschapv2 credentials
                            	**type**\:  :py:class:`Mschapv2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Profile.Authentication.Local.Eap, self).__init__()

                                self.yang_name = "eap"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"gtc" : ("gtc", Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc), "md5" : ("md5", Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5), "mschapv2" : ("mschapv2", Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.gtc = Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc()
                                self.gtc.parent = self
                                self._children_name_map["gtc"] = "gtc"
                                self._children_yang_names.add("gtc")

                                self.md5 = Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5()
                                self.md5.parent = self
                                self._children_name_map["md5"] = "md5"
                                self._children_yang_names.add("md5")

                                self.mschapv2 = Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2()
                                self.mschapv2.parent = self
                                self._children_name_map["mschapv2"] = "mschapv2"
                                self._children_yang_names.add("mschapv2")
                                self._segment_path = lambda: "eap"


                            class Gtc(Entity):
                                """
                                eap method gtc credentials
                                
                                .. attribute:: username
                                
                                	EAP username
                                	**type**\: str
                                
                                .. attribute:: password
                                
                                	EAP password
                                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc, self).__init__()

                                    self.yang_name = "gtc"
                                    self.yang_parent_name = "eap"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"password" : ("password", Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password)}
                                    self._child_list_classes = {}

                                    self.username = YLeaf(YType.str, "username")

                                    self.password = Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password()
                                    self.password.parent = self
                                    self._children_name_map["password"] = "password"
                                    self._children_yang_names.add("password")
                                    self._segment_path = lambda: "gtc"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc, ['username'], name, value)


                                class Password(Entity):
                                    """
                                    EAP password
                                    
                                    .. attribute:: encryption
                                    
                                    	
                                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password.Encryption>`
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password, self).__init__()

                                        self.yang_name = "password"
                                        self.yang_parent_name = "gtc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encryption = YLeaf(YType.enumeration, "encryption")

                                        self.key = YLeaf(YType.str, "key")
                                        self._segment_path = lambda: "password"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Gtc.Password, ['encryption', 'key'], name, value)

                                    class Encryption(Enum):
                                        """
                                        Encryption

                                        .. data:: Y_0 = 0

                                        .. data:: Y_6 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_6 = Enum.YLeaf(1, "6")



                            class Md5(Entity):
                                """
                                eap method md5 credentials
                                
                                .. attribute:: username
                                
                                	EAP username
                                	**type**\: str
                                
                                .. attribute:: password
                                
                                	EAP password
                                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5, self).__init__()

                                    self.yang_name = "md5"
                                    self.yang_parent_name = "eap"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"password" : ("password", Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password)}
                                    self._child_list_classes = {}

                                    self.username = YLeaf(YType.str, "username")

                                    self.password = Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password()
                                    self.password.parent = self
                                    self._children_name_map["password"] = "password"
                                    self._children_yang_names.add("password")
                                    self._segment_path = lambda: "md5"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5, ['username'], name, value)


                                class Password(Entity):
                                    """
                                    EAP password
                                    
                                    .. attribute:: encryption
                                    
                                    	
                                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password.Encryption>`
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password, self).__init__()

                                        self.yang_name = "password"
                                        self.yang_parent_name = "md5"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encryption = YLeaf(YType.enumeration, "encryption")

                                        self.key = YLeaf(YType.str, "key")
                                        self._segment_path = lambda: "password"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Md5.Password, ['encryption', 'key'], name, value)

                                    class Encryption(Enum):
                                        """
                                        Encryption

                                        .. data:: Y_0 = 0

                                        .. data:: Y_6 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_6 = Enum.YLeaf(1, "6")



                            class Mschapv2(Entity):
                                """
                                eap method mschapv2 credentials
                                
                                .. attribute:: username
                                
                                	EAP username
                                	**type**\: str
                                
                                .. attribute:: password
                                
                                	EAP password
                                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2, self).__init__()

                                    self.yang_name = "mschapv2"
                                    self.yang_parent_name = "eap"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"password" : ("password", Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password)}
                                    self._child_list_classes = {}

                                    self.username = YLeaf(YType.str, "username")

                                    self.password = Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password()
                                    self.password.parent = self
                                    self._children_name_map["password"] = "password"
                                    self._children_yang_names.add("password")
                                    self._segment_path = lambda: "mschapv2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2, ['username'], name, value)


                                class Password(Entity):
                                    """
                                    EAP password
                                    
                                    .. attribute:: encryption
                                    
                                    	
                                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password.Encryption>`
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password, self).__init__()

                                        self.yang_name = "password"
                                        self.yang_parent_name = "mschapv2"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encryption = YLeaf(YType.enumeration, "encryption")

                                        self.key = YLeaf(YType.str, "key")
                                        self._segment_path = lambda: "password"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Authentication.Local.Eap.Mschapv2.Password, ['encryption', 'key'], name, value)

                                    class Encryption(Enum):
                                        """
                                        Encryption

                                        .. data:: Y_0 = 0

                                        .. data:: Y_6 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_6 = Enum.YLeaf(1, "6")



                        class PreShare(Entity):
                            """
                            Pre\-Shared Key
                            
                            .. attribute:: key
                            
                            	specify key
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare, self).__init__()

                                self.yang_name = "pre-share"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key" : ("key", Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.key = Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "pre-share"


                            class Key(Entity):
                                """
                                specify key
                                
                                .. attribute:: encryption
                                
                                	
                                	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key.Encryption>`
                                
                                .. attribute:: key
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "pre-share"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encryption = YLeaf(YType.enumeration, "encryption")

                                    self.key = YLeaf(YType.str, "key")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Authentication.Local.PreShare.Key, ['encryption', 'key'], name, value)

                                class Encryption(Enum):
                                    """
                                    Encryption

                                    .. data:: Y_0 = 0

                                    .. data:: Y_6 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_6 = Enum.YLeaf(1, "6")



                    class Remote(Entity):
                        """
                        Set remote authentication method
                        
                        .. attribute:: anyconnect_eap
                        
                        	AnyConnect EAP
                        	**type**\:  :py:class:`AnyconnectEap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap>`
                        
                        .. attribute:: eap
                        
                        	Extended Authentication Protocol
                        	**type**\:  :py:class:`Eap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote.Eap>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ecdsa_sig
                        
                        	ECDSA Signature
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pre_share
                        
                        	Pre\-Shared Key
                        	**type**\:  :py:class:`PreShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: rsa_sig
                        
                        	Rivest\-Shamir\-Adleman Signature
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Profile.Authentication.Remote, self).__init__()

                            self.yang_name = "remote"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"anyconnect-eap" : ("anyconnect_eap", Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap), "eap" : ("eap", Native.Crypto.Ikev2.Profile.Authentication.Remote.Eap), "pre-share" : ("pre_share", Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare)}
                            self._child_list_classes = {}

                            self.ecdsa_sig = YLeaf(YType.empty, "ecdsa-sig")

                            self.rsa_sig = YLeaf(YType.empty, "rsa-sig")

                            self.anyconnect_eap = Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap()
                            self.anyconnect_eap.parent = self
                            self._children_name_map["anyconnect_eap"] = "anyconnect-eap"
                            self._children_yang_names.add("anyconnect-eap")

                            self.eap = None
                            self._children_name_map["eap"] = "eap"
                            self._children_yang_names.add("eap")

                            self.pre_share = None
                            self._children_name_map["pre_share"] = "pre-share"
                            self._children_yang_names.add("pre-share")
                            self._segment_path = lambda: "remote"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Authentication.Remote, ['ecdsa_sig', 'rsa_sig'], name, value)


                        class AnyconnectEap(Entity):
                            """
                            AnyConnect EAP
                            
                            .. attribute:: aggregate
                            
                            	use aggregate auth for anyconnect eap
                            	**type**\:  :py:class:`Aggregate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap.Aggregate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap, self).__init__()

                                self.yang_name = "anyconnect-eap"
                                self.yang_parent_name = "remote"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"aggregate" : ("aggregate", Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap.Aggregate)}
                                self._child_list_classes = {}

                                self.aggregate = None
                                self._children_name_map["aggregate"] = "aggregate"
                                self._children_yang_names.add("aggregate")
                                self._segment_path = lambda: "anyconnect-eap"


                            class Aggregate(Entity):
                                """
                                use aggregate auth for anyconnect eap
                                
                                .. attribute:: cert_request
                                
                                	use double authentication during anyconnect eap
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap.Aggregate, self).__init__()

                                    self.yang_name = "aggregate"
                                    self.yang_parent_name = "anyconnect-eap"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.cert_request = YLeaf(YType.empty, "cert-request")
                                    self._segment_path = lambda: "aggregate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Authentication.Remote.AnyconnectEap.Aggregate, ['cert_request'], name, value)


                        class Eap(Entity):
                            """
                            Extended Authentication Protocol
                            
                            .. attribute:: query_identity
                            
                            	query EAP identity from peer
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: timeout
                            
                            	timeout
                            	**type**\: int
                            
                            	**range:** 45..180
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Profile.Authentication.Remote.Eap, self).__init__()

                                self.yang_name = "eap"
                                self.yang_parent_name = "remote"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.query_identity = YLeaf(YType.empty, "query-identity")

                                self.timeout = YLeaf(YType.uint8, "timeout")
                                self._segment_path = lambda: "eap"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ikev2.Profile.Authentication.Remote.Eap, ['query_identity', 'timeout'], name, value)


                        class PreShare(Entity):
                            """
                            Pre\-Shared Key
                            
                            .. attribute:: key
                            
                            	specify key
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare, self).__init__()

                                self.yang_name = "pre-share"
                                self.yang_parent_name = "remote"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key" : ("key", Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.key = Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "pre-share"


                            class Key(Entity):
                                """
                                specify key
                                
                                .. attribute:: encryption
                                
                                	
                                	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key.Encryption>`
                                
                                .. attribute:: key
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "pre-share"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encryption = YLeaf(YType.enumeration, "encryption")

                                    self.key = YLeaf(YType.str, "key")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Authentication.Remote.PreShare.Key, ['encryption', 'key'], name, value)

                                class Encryption(Enum):
                                    """
                                    Encryption

                                    .. data:: Y_0 = 0

                                    .. data:: Y_6 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_6 = Enum.YLeaf(1, "6")



                class ConfigExchange(Entity):
                    """
                    config\-exchange options
                    
                    .. attribute:: request
                    
                    	enable config\-exchange request
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: set
                    
                    	config\-exchange set options
                    	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.ConfigExchange.Set>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.ConfigExchange, self).__init__()

                        self.yang_name = "config-exchange"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.request = YLeaf(YType.empty, "request")

                        self.set = YLeaf(YType.enumeration, "set")
                        self._segment_path = lambda: "config-exchange"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Profile.ConfigExchange, ['request', 'set'], name, value)

                    class Set(Enum):
                        """
                        Set

                        config\-exchange set options

                        .. data:: accept = 0

                        .. data:: send = 1

                        """

                        accept = Enum.YLeaf(0, "accept")

                        send = Enum.YLeaf(1, "send")



                class Dpd(Entity):
                    """
                    Enable IKE liveness check for peers
                    
                    .. attribute:: interval
                    
                    	
                    	**type**\: int
                    
                    	**range:** 10..3600
                    
                    .. attribute:: retry
                    
                    	
                    	**type**\: int
                    
                    	**range:** 2..60
                    
                    .. attribute:: query
                    
                    	
                    	**type**\:  :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Dpd.Query>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.Dpd, self).__init__()

                        self.yang_name = "dpd"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interval = YLeaf(YType.uint16, "interval")

                        self.retry = YLeaf(YType.uint8, "retry")

                        self.query = YLeaf(YType.enumeration, "query")
                        self._segment_path = lambda: "dpd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Dpd, ['interval', 'retry', 'query'], name, value)

                    class Query(Enum):
                        """
                        Query

                        .. data:: on_demand = 0

                        .. data:: periodic = 1

                        """

                        on_demand = Enum.YLeaf(0, "on-demand")

                        periodic = Enum.YLeaf(1, "periodic")



                class Identity(Entity):
                    """
                    Specify IKE identity to use
                    
                    .. attribute:: local
                    
                    	Specify the local IKE identity to use for the negotiation
                    	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Identity.Local>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.Identity, self).__init__()

                        self.yang_name = "identity"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"local" : ("local", Native.Crypto.Ikev2.Profile.Identity.Local)}
                        self._child_list_classes = {}

                        self.local = Native.Crypto.Ikev2.Profile.Identity.Local()
                        self.local.parent = self
                        self._children_name_map["local"] = "local"
                        self._children_yang_names.add("local")
                        self._segment_path = lambda: "identity"


                    class Local(Entity):
                        """
                        Specify the local IKE identity to use for the negotiation
                        
                        .. attribute:: address
                        
                        	address
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: dn
                        
                        	Distinguished Name
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: email
                        
                        	Fully qualified email string email <user@domain>
                        	**type**\: str
                        
                        .. attribute:: fqdn
                        
                        	Fully qualified domain name string FQDN <host.domain>
                        	**type**\: str
                        
                        .. attribute:: key_id
                        
                        	key\-id opaque string \- proprietary types of identification key\-id string
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Profile.Identity.Local, self).__init__()

                            self.yang_name = "local"
                            self.yang_parent_name = "identity"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.dn = YLeaf(YType.empty, "dn")

                            self.email = YLeaf(YType.str, "email")

                            self.fqdn = YLeaf(YType.str, "fqdn")

                            self.key_id = YLeaf(YType.str, "key-id")
                            self._segment_path = lambda: "local"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Identity.Local, ['address', 'dn', 'email', 'fqdn', 'key_id'], name, value)


                class InitialContact(Entity):
                    """
                    initial\-contact processing options
                    
                    .. attribute:: force
                    
                    	Enforces initial\-contact based clean\-up
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.InitialContact, self).__init__()

                        self.yang_name = "initial-contact"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.force = YLeaf(YType.empty, "force")
                        self._segment_path = lambda: "initial-contact"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Profile.InitialContact, ['force'], name, value)


                class Keyring(Entity):
                    """
                    Specify keyring to use
                    
                    .. attribute:: aaa
                    
                    	AAA based keyring
                    	**type**\: list of  		 :py:class:`Aaa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Keyring.Aaa>`
                    
                    .. attribute:: local
                    
                    	Local keyring
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.Keyring, self).__init__()

                        self.yang_name = "keyring"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"aaa" : ("aaa", Native.Crypto.Ikev2.Profile.Keyring.Aaa)}

                        self.local = YLeaf(YType.str, "local")

                        self.aaa = YList(self)
                        self._segment_path = lambda: "keyring"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Keyring, ['local'], name, value)


                    class Aaa(Entity):
                        """
                        AAA based keyring
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: name_mangler
                        
                        	Specify the name\-mangler to derive username
                        	**type**\: str
                        
                        .. attribute:: password
                        
                        	Specify the AAA password
                        	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Profile.Keyring.Aaa, self).__init__()

                            self.yang_name = "aaa"
                            self.yang_parent_name = "keyring"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"password" : ("password", Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password)}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.name_mangler = YLeaf(YType.str, "name-mangler")

                            self.password = Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password()
                            self.password.parent = self
                            self._children_name_map["password"] = "password"
                            self._children_yang_names.add("password")
                            self._segment_path = lambda: "aaa" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Keyring.Aaa, ['name', 'name_mangler'], name, value)


                        class Password(Entity):
                            """
                            Specify the AAA password
                            
                            .. attribute:: encryption
                            
                            	
                            	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password.Encryption>`
                            
                            .. attribute:: key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password, self).__init__()

                                self.yang_name = "password"
                                self.yang_parent_name = "aaa"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.encryption = YLeaf(YType.enumeration, "encryption")

                                self.key = YLeaf(YType.str, "key")
                                self._segment_path = lambda: "password"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ikev2.Profile.Keyring.Aaa.Password, ['encryption', 'key'], name, value)

                            class Encryption(Enum):
                                """
                                Encryption

                                .. data:: Y_0 = 0

                                .. data:: Y_6 = 1

                                """

                                Y_0 = Enum.YLeaf(0, "0")

                                Y_6 = Enum.YLeaf(1, "6")



                class Lifetime(Entity):
                    """
                    Set lifetime for ISAKMP security association
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 120..86400
                    
                    .. attribute:: certificate
                    
                    	Enable certificate based lifetime
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.Lifetime, self).__init__()

                        self.yang_name = "lifetime"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint32, "seconds")

                        self.certificate = YLeaf(YType.empty, "certificate")
                        self._segment_path = lambda: "lifetime"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Lifetime, ['seconds', 'certificate'], name, value)


                class Match(Entity):
                    """
                    Match values of peer
                    
                    .. attribute:: address
                    
                    	IP address
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Address>`
                    
                    .. attribute:: certificate
                    
                    	Peer certificate attributes
                    	**type**\: str
                    
                    .. attribute:: fvrf
                    
                    	fvrf of the profile
                    	**type**\:  :py:class:`Fvrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Fvrf>`
                    
                    .. attribute:: identity
                    
                    	IKE identity
                    	**type**\:  :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Identity>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.Match, self).__init__()

                        self.yang_name = "match"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.Crypto.Ikev2.Profile.Match.Address), "fvrf" : ("fvrf", Native.Crypto.Ikev2.Profile.Match.Fvrf), "identity" : ("identity", Native.Crypto.Ikev2.Profile.Match.Identity)}
                        self._child_list_classes = {}

                        self.certificate = YLeaf(YType.str, "certificate")

                        self.address = Native.Crypto.Ikev2.Profile.Match.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.fvrf = Native.Crypto.Ikev2.Profile.Match.Fvrf()
                        self.fvrf.parent = self
                        self._children_name_map["fvrf"] = "fvrf"
                        self._children_yang_names.add("fvrf")

                        self.identity = Native.Crypto.Ikev2.Profile.Match.Identity()
                        self.identity.parent = self
                        self._children_name_map["identity"] = "identity"
                        self._children_yang_names.add("identity")
                        self._segment_path = lambda: "match"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Match, ['certificate'], name, value)


                    class Address(Entity):
                        """
                        IP address
                        
                        .. attribute:: local
                        
                        	Local address
                        	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Address.Local>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Profile.Match.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"local" : ("local", Native.Crypto.Ikev2.Profile.Match.Address.Local)}
                            self._child_list_classes = {}

                            self.local = Native.Crypto.Ikev2.Profile.Match.Address.Local()
                            self.local.parent = self
                            self._children_name_map["local"] = "local"
                            self._children_yang_names.add("local")
                            self._segment_path = lambda: "address"


                        class Local(Entity):
                            """
                            Local address
                            
                            .. attribute:: ip
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: interface
                            
                            	Specify an interface
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Profile.Match.Address.Local, self).__init__()

                                self.yang_name = "local"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.str, "ip")

                                self.interface = YLeaf(YType.str, "interface")
                                self._segment_path = lambda: "local"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ikev2.Profile.Match.Address.Local, ['ip', 'interface'], name, value)


                    class Fvrf(Entity):
                        """
                        fvrf of the profile
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: any
                        
                        	Any fvrf
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Profile.Match.Fvrf, self).__init__()

                            self.yang_name = "fvrf"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.any = YLeaf(YType.empty, "any")
                            self._segment_path = lambda: "fvrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Match.Fvrf, ['name', 'any'], name, value)


                    class Identity(Entity):
                        """
                        IKE identity
                        
                        .. attribute:: remote
                        
                        	Remote identity
                        	**type**\:  :py:class:`Remote <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Identity.Remote>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Profile.Match.Identity, self).__init__()

                            self.yang_name = "identity"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"remote" : ("remote", Native.Crypto.Ikev2.Profile.Match.Identity.Remote)}
                            self._child_list_classes = {}

                            self.remote = Native.Crypto.Ikev2.Profile.Match.Identity.Remote()
                            self.remote.parent = self
                            self._children_name_map["remote"] = "remote"
                            self._children_yang_names.add("remote")
                            self._segment_path = lambda: "identity"


                        class Remote(Entity):
                            """
                            Remote identity
                            
                            .. attribute:: address
                            
                            	IP address(es)
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address>`
                            
                            .. attribute:: any
                            
                            	match any peer identity
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: email
                            
                            	Fully qualified email string [Max. 255 char(s)]
                            	**type**\:  :py:class:`Email <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Email>`
                            
                            .. attribute:: fqdn
                            
                            	Fully qualified domain name string [Max. 255 char(s)]
                            	**type**\:  :py:class:`Fqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Fqdn>`
                            
                            .. attribute:: key_id
                            
                            	key\-id opaque string
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ikev2.Profile.Match.Identity.Remote, self).__init__()

                                self.yang_name = "remote"
                                self.yang_parent_name = "identity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address), "email" : ("email", Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Email), "fqdn" : ("fqdn", Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Fqdn)}
                                self._child_list_classes = {}

                                self.any = YLeaf(YType.empty, "any")

                                self.key_id = YLeaf(YType.str, "key-id")

                                self.address = Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")

                                self.email = Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Email()
                                self.email.parent = self
                                self._children_name_map["email"] = "email"
                                self._children_yang_names.add("email")

                                self.fqdn = Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Fqdn()
                                self.fqdn.parent = self
                                self._children_name_map["fqdn"] = "fqdn"
                                self._children_yang_names.add("fqdn")
                                self._segment_path = lambda: "remote"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ikev2.Profile.Match.Identity.Remote, ['any', 'key_id'], name, value)


                            class Address(Entity):
                                """
                                IP address(es)
                                
                                .. attribute:: ipv4
                                
                                	
                                	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address.Ipv4>`
                                
                                .. attribute:: ipv6_prefix
                                
                                	
                                	**type**\: list of str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "remote"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ipv4" : ("ipv4", Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address.Ipv4)}

                                    self.ipv6_prefix = YLeafList(YType.str, "ipv6-prefix")

                                    self.ipv4 = YList(self)
                                    self._segment_path = lambda: "address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address, ['ipv6_prefix'], name, value)


                                class Ipv4(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ipv4_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv4_mask
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_address = YLeaf(YType.str, "ipv4-address")

                                        self.ipv4_mask = YLeaf(YType.str, "ipv4-mask")
                                        self._segment_path = lambda: "ipv4" + "[ipv4-address='" + self.ipv4_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Address.Ipv4, ['ipv4_address', 'ipv4_mask'], name, value)


                            class Email(Entity):
                                """
                                Fully qualified email string [Max. 255 char(s)]
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: domain
                                
                                	match domain instead of exact
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Email, self).__init__()

                                    self.yang_name = "email"
                                    self.yang_parent_name = "remote"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.domain = YLeaf(YType.str, "domain")
                                    self._segment_path = lambda: "email"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Email, ['name', 'domain'], name, value)


                            class Fqdn(Entity):
                                """
                                Fully qualified domain name string [Max. 255 char(s)]
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: domain
                                
                                	match domain instead of exact
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Fqdn, self).__init__()

                                    self.yang_name = "fqdn"
                                    self.yang_parent_name = "remote"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.domain = YLeaf(YType.str, "domain")
                                    self._segment_path = lambda: "fqdn"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ikev2.Profile.Match.Identity.Remote.Fqdn, ['name', 'domain'], name, value)


                class Nat(Entity):
                    """
                    NAT\-transparency
                    
                    .. attribute:: keepalive
                    
                    	NAT keepalive interval
                    	**type**\: int
                    
                    	**range:** 5..3600
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.Nat, self).__init__()

                        self.yang_name = "nat"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.keepalive = YLeaf(YType.uint16, "keepalive")
                        self._segment_path = lambda: "nat"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Nat, ['keepalive'], name, value)


                class Pki(Entity):
                    """
                    Specify certificate authorities to trust
                    
                    .. attribute:: trustpoint
                    
                    	Cert authority trustpoint for RSA sig
                    	**type**\: str
                    
                    .. attribute:: use
                    
                    	
                    	**type**\:  :py:class:`Use <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Pki.Use>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.Pki, self).__init__()

                        self.yang_name = "pki"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.trustpoint = YLeaf(YType.str, "trustpoint")

                        self.use = YLeaf(YType.enumeration, "use")
                        self._segment_path = lambda: "pki"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Pki, ['trustpoint', 'use'], name, value)

                    class Use(Enum):
                        """
                        Use

                        .. data:: sign = 0

                        .. data:: verify = 1

                        """

                        sign = Enum.YLeaf(0, "sign")

                        verify = Enum.YLeaf(1, "verify")



                class Reconnect(Entity):
                    """
                    Enable profile for auto re\-connect
                    
                    .. attribute:: timeout
                    
                    	timeout value for session in reconnect state
                    	**type**\: int
                    
                    	**range:** 600..86400
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.Reconnect, self).__init__()

                        self.yang_name = "reconnect"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.timeout = YLeaf(YType.uint32, "timeout")
                        self._segment_path = lambda: "reconnect"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Profile.Reconnect, ['timeout'], name, value)


                class Redirect(Entity):
                    """
                    IKEv2 Redirect Mechanism for load\-balancing
                    
                    .. attribute:: gateway
                    
                    	Enables Redirect Mechanism on Gateway
                    	**type**\:  :py:class:`Gateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.Redirect.Gateway>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.Redirect, self).__init__()

                        self.yang_name = "redirect"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"gateway" : ("gateway", Native.Crypto.Ikev2.Profile.Redirect.Gateway)}
                        self._child_list_classes = {}

                        self.gateway = Native.Crypto.Ikev2.Profile.Redirect.Gateway()
                        self.gateway.parent = self
                        self._children_name_map["gateway"] = "gateway"
                        self._children_yang_names.add("gateway")
                        self._segment_path = lambda: "redirect"


                    class Gateway(Entity):
                        """
                        Enables Redirect Mechanism on Gateway
                        
                        .. attribute:: auth
                        
                        	Redirect at SA authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ikev2.Profile.Redirect.Gateway, self).__init__()

                            self.yang_name = "gateway"
                            self.yang_parent_name = "redirect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.auth = YLeaf(YType.empty, "auth")
                            self._segment_path = lambda: "gateway"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ikev2.Profile.Redirect.Gateway, ['auth'], name, value)


                class VirtualTemplate(Entity):
                    """
                    Specify the virtual\-template for dynamic interface creation.
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4095
                    
                    .. attribute:: mode
                    
                    	Enabling Tunnel Auto Mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Profile.VirtualTemplate.Mode>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Profile.VirtualTemplate, self).__init__()

                        self.yang_name = "virtual-template"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint16, "number")

                        self.mode = YLeaf(YType.enumeration, "mode")
                        self._segment_path = lambda: "virtual-template"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Profile.VirtualTemplate, ['number', 'mode'], name, value)

                    class Mode(Enum):
                        """
                        Mode

                        Enabling Tunnel Auto Mode

                        .. data:: auto = 0

                        """

                        auto = Enum.YLeaf(0, "auto")



            class Proposal(Entity):
                """
                Define IKEV2 proposals
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: encryption
                
                	Set encryption algorithm(s) for proposal
                	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Proposal.Encryption>`
                
                .. attribute:: group
                
                	Set the Diffie\-Hellman group(s)
                	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Proposal.Group>`
                
                .. attribute:: integrity
                
                	Set integrity hash algorithm(s) for proposal
                	**type**\:  :py:class:`Integrity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Proposal.Integrity>`
                
                .. attribute:: prf
                
                	Set prf algorithm(s) for proposal
                	**type**\:  :py:class:`Prf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Proposal.Prf>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.Proposal, self).__init__()

                    self.yang_name = "proposal"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"encryption" : ("encryption", Native.Crypto.Ikev2.Proposal.Encryption), "group" : ("group", Native.Crypto.Ikev2.Proposal.Group), "integrity" : ("integrity", Native.Crypto.Ikev2.Proposal.Integrity), "prf" : ("prf", Native.Crypto.Ikev2.Proposal.Prf)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.encryption = Native.Crypto.Ikev2.Proposal.Encryption()
                    self.encryption.parent = self
                    self._children_name_map["encryption"] = "encryption"
                    self._children_yang_names.add("encryption")

                    self.group = Native.Crypto.Ikev2.Proposal.Group()
                    self.group.parent = self
                    self._children_name_map["group"] = "group"
                    self._children_yang_names.add("group")

                    self.integrity = Native.Crypto.Ikev2.Proposal.Integrity()
                    self.integrity.parent = self
                    self._children_name_map["integrity"] = "integrity"
                    self._children_yang_names.add("integrity")

                    self.prf = Native.Crypto.Ikev2.Proposal.Prf()
                    self.prf.parent = self
                    self._children_name_map["prf"] = "prf"
                    self._children_yang_names.add("prf")
                    self._segment_path = lambda: "proposal" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.Proposal, ['name'], name, value)


                class Encryption(Entity):
                    """
                    Set encryption algorithm(s) for proposal
                    
                    .. attribute:: en_3des
                    
                    	3DES
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: aes_cbc_128
                    
                    	AES\-CBC\-128
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: aes_cbc_192
                    
                    	AES\-CBC\-192
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: aes_cbc_256
                    
                    	AES\-CBC\-256
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: aes_gcm_128
                    
                    	Combined\-mode,128 bit key,16 byte ICV(Authentication Tag)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: aes_gcm_256
                    
                    	Combined\-mode,256 bit key,16 byte ICV(Authentication Tag)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: des
                    
                    	DES
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Proposal.Encryption, self).__init__()

                        self.yang_name = "encryption"
                        self.yang_parent_name = "proposal"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.en_3des = YLeaf(YType.empty, "en-3des")

                        self.aes_cbc_128 = YLeaf(YType.empty, "aes-cbc-128")

                        self.aes_cbc_192 = YLeaf(YType.empty, "aes-cbc-192")

                        self.aes_cbc_256 = YLeaf(YType.empty, "aes-cbc-256")

                        self.aes_gcm_128 = YLeaf(YType.empty, "aes-gcm-128")

                        self.aes_gcm_256 = YLeaf(YType.empty, "aes-gcm-256")

                        self.des = YLeaf(YType.empty, "des")
                        self._segment_path = lambda: "encryption"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Proposal.Encryption, ['en_3des', 'aes_cbc_128', 'aes_cbc_192', 'aes_cbc_256', 'aes_gcm_128', 'aes_gcm_256', 'des'], name, value)


                class Group(Entity):
                    """
                    Set the Diffie\-Hellman group(s)
                    
                    .. attribute:: one
                    
                    	DH 768 MODP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fourteen
                    
                    	DH 2048 MODP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: fifteen
                    
                    	DH 3072 MODP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sixteen
                    
                    	DH 4096 MODP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nineteen
                    
                    	DH 256 ECP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: two
                    
                    	DH 1024 MODP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: twenty
                    
                    	DH 384 ECP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: twenty_one
                    
                    	DH 521 ECP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: twenty_four
                    
                    	DH 2048 (256 subgroup) MODP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: five
                    
                    	DH 1536 MODP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Proposal.Group, self).__init__()

                        self.yang_name = "group"
                        self.yang_parent_name = "proposal"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.one = YLeaf(YType.empty, "one")

                        self.fourteen = YLeaf(YType.empty, "fourteen")

                        self.fifteen = YLeaf(YType.empty, "fifteen")

                        self.sixteen = YLeaf(YType.empty, "sixteen")

                        self.nineteen = YLeaf(YType.empty, "nineteen")

                        self.two = YLeaf(YType.empty, "two")

                        self.twenty = YLeaf(YType.empty, "twenty")

                        self.twenty_one = YLeaf(YType.empty, "twenty-one")

                        self.twenty_four = YLeaf(YType.empty, "twenty-four")

                        self.five = YLeaf(YType.empty, "five")
                        self._segment_path = lambda: "group"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Proposal.Group, ['one', 'fourteen', 'fifteen', 'sixteen', 'nineteen', 'two', 'twenty', 'twenty_one', 'twenty_four', 'five'], name, value)


                class Integrity(Entity):
                    """
                    Set integrity hash algorithm(s) for proposal
                    
                    .. attribute:: md5
                    
                    	Message Digest 5
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha1
                    
                    	Secure Hash Standard
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha256
                    
                    	Secure Hash Standard 2 (256 bit)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha384
                    
                    	Secure Hash Standard 2 (384 bit)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha512
                    
                    	Secure Hash Standard 2 (512 bit)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Proposal.Integrity, self).__init__()

                        self.yang_name = "integrity"
                        self.yang_parent_name = "proposal"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.md5 = YLeaf(YType.empty, "md5")

                        self.sha1 = YLeaf(YType.empty, "sha1")

                        self.sha256 = YLeaf(YType.empty, "sha256")

                        self.sha384 = YLeaf(YType.empty, "sha384")

                        self.sha512 = YLeaf(YType.empty, "sha512")
                        self._segment_path = lambda: "integrity"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Proposal.Integrity, ['md5', 'sha1', 'sha256', 'sha384', 'sha512'], name, value)


                class Prf(Entity):
                    """
                    Set prf algorithm(s) for proposal
                    
                    .. attribute:: md5
                    
                    	Message Digest 5
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha1
                    
                    	Secure Hash Standard
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha256
                    
                    	Secure Hash Standard 2 (256 bit)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha384
                    
                    	Secure Hash Standard 2 (384 bit)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sha512
                    
                    	Secure Hash Standard 2 (512 bit)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Proposal.Prf, self).__init__()

                        self.yang_name = "prf"
                        self.yang_parent_name = "proposal"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.md5 = YLeaf(YType.empty, "md5")

                        self.sha1 = YLeaf(YType.empty, "sha1")

                        self.sha256 = YLeaf(YType.empty, "sha256")

                        self.sha384 = YLeaf(YType.empty, "sha384")

                        self.sha512 = YLeaf(YType.empty, "sha512")
                        self._segment_path = lambda: "prf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Proposal.Prf, ['md5', 'sha1', 'sha256', 'sha384', 'sha512'], name, value)


            class Reconnect(Entity):
                """
                Cluster Reconnect
                
                .. attribute:: key
                
                	Cluster Reconnect key
                	**type**\: int
                
                	**range:** 1..2
                
                .. attribute:: value
                
                	
                	**type**\: str
                
                	**length:** 1..128
                
                .. attribute:: active
                
                	Current active cluster reconnect key
                	**type**\: str
                
                	**length:** 1..128
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.Reconnect, self).__init__()

                    self.yang_name = "reconnect"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.key = YLeaf(YType.uint8, "key")

                    self.value = YLeaf(YType.str, "value")

                    self.active = YLeaf(YType.str, "active")
                    self._segment_path = lambda: "reconnect"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.Reconnect, ['key', 'value', 'active'], name, value)


            class Redirect(Entity):
                """
                IKEv2 Redirect Mechanism for load\-balancing
                
                .. attribute:: client
                
                	Enables Redirect Mechanism on Client
                	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Redirect.Client>`
                
                	**presence node**\: True
                
                .. attribute:: gateway
                
                	Enables Redirect Mechanism on Gateway
                	**type**\:  :py:class:`Gateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ikev2.Redirect.Gateway>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ikev2.Redirect, self).__init__()

                    self.yang_name = "redirect"
                    self.yang_parent_name = "ikev2"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"client" : ("client", Native.Crypto.Ikev2.Redirect.Client)}
                    self._child_list_classes = {}

                    self.gateway = YLeaf(YType.enumeration, "gateway")

                    self.client = None
                    self._children_name_map["client"] = "client"
                    self._children_yang_names.add("client")
                    self._segment_path = lambda: "redirect"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ikev2.Redirect, ['gateway'], name, value)

                class Gateway(Enum):
                    """
                    Gateway

                    Enables Redirect Mechanism on Gateway

                    .. data:: auth = 0

                    .. data:: init = 1

                    """

                    auth = Enum.YLeaf(0, "auth")

                    init = Enum.YLeaf(1, "init")



                class Client(Entity):
                    """
                    Enables Redirect Mechanism on Client
                    
                    .. attribute:: max_redirects
                    
                    	Redirect loop detection
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ikev2.Redirect.Client, self).__init__()

                        self.yang_name = "client"
                        self.yang_parent_name = "redirect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max_redirects = YLeaf(YType.uint8, "max-redirects")
                        self._segment_path = lambda: "client"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ikev2/redirect/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ikev2.Redirect.Client, ['max_redirects'], name, value)


        class Gkm(Entity):
            """
            Configure GKM (Group Key Management, GDOI or G\-IKEv2) Policy
            
            .. attribute:: group
            
            	Configure a GKM (Group Key Management, GDOI or G\-IKEv2) Group
            	**type**\: list of  		 :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Gkm, self).__init__()

                self.yang_name = "gkm"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"group" : ("group", Native.Crypto.Gkm.Group)}

                self.group = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:gkm"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.Gkm, [], name, value)


            class Group(Entity):
                """
                Configure a GKM (Group Key Management, GDOI or G\-IKEv2) Group
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: ipv6
                
                	IPv6 GKM (Group Key Management) Group
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: client
                
                	Set the group client parameters
                	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client>`
                
                .. attribute:: identity
                
                	Set the identity of the group
                	**type**\:  :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Identity>`
                
                .. attribute:: passive
                
                	Set the group in passive mode
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: server
                
                	Set the group server for of the group
                	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Gkm.Group, self).__init__()

                    self.yang_name = "group"
                    self.yang_parent_name = "gkm"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"client" : ("client", Native.Crypto.Gkm.Group.Client), "identity" : ("identity", Native.Crypto.Gkm.Group.Identity), "server" : ("server", Native.Crypto.Gkm.Group.Server), "default" : ("default", Native.Crypto.Gkm.Group.Default)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.ipv6 = YLeaf(YType.empty, "ipv6")

                    self.passive = YLeaf(YType.empty, "passive")

                    self.client = Native.Crypto.Gkm.Group.Client()
                    self.client.parent = self
                    self._children_name_map["client"] = "client"
                    self._children_yang_names.add("client")

                    self.identity = Native.Crypto.Gkm.Group.Identity()
                    self.identity.parent = self
                    self._children_name_map["identity"] = "identity"
                    self._children_yang_names.add("identity")

                    self.server = Native.Crypto.Gkm.Group.Server()
                    self.server.parent = self
                    self._children_name_map["server"] = "server"
                    self._children_yang_names.add("server")

                    self.default = Native.Crypto.Gkm.Group.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")
                    self._segment_path = lambda: "group" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:gkm/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Gkm.Group, ['name', 'ipv6', 'passive'], name, value)


                class Client(Entity):
                    """
                    Set the group client parameters
                    
                    .. attribute:: bypass_policy
                    
                    	Allow group\-key management traffic sent to this GM only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protocol
                    
                    	Group Member Registration & Rekey Protocol
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Protocol>`
                    
                    .. attribute:: recovery_check
                    
                    	Specify GM recovery check parameters
                    	**type**\:  :py:class:`RecoveryCheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.RecoveryCheck>`
                    
                    .. attribute:: registration
                    
                    	Set the group client management/register interface
                    	**type**\:  :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Registration>`
                    
                    .. attribute:: rekey
                    
                    	Set the group client acceptable rekey ciphers and hashs
                    	**type**\:  :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Rekey>`
                    
                    .. attribute:: status
                    
                    	group\-member status
                    	**type**\:  :py:class:`Status <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Status>`
                    
                    .. attribute:: transform_sets
                    
                    	Specify list of group client acceptable transform sets
                    	**type**\: list of str
                    
                    .. attribute:: transport_encrypt_key
                    
                    	Enforce group or pair\-wise keying
                    	**type**\:  :py:class:`TransportEncryptKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.TransportEncryptKey>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Gkm.Group.Client, self).__init__()

                        self.yang_name = "client"
                        self.yang_parent_name = "group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"protocol" : ("protocol", Native.Crypto.Gkm.Group.Client.Protocol), "recovery-check" : ("recovery_check", Native.Crypto.Gkm.Group.Client.RecoveryCheck), "registration" : ("registration", Native.Crypto.Gkm.Group.Client.Registration), "rekey" : ("rekey", Native.Crypto.Gkm.Group.Client.Rekey), "status" : ("status", Native.Crypto.Gkm.Group.Client.Status)}
                        self._child_list_classes = {}

                        self.bypass_policy = YLeaf(YType.empty, "bypass-policy")

                        self.transform_sets = YLeafList(YType.str, "transform-sets")

                        self.transport_encrypt_key = YLeaf(YType.enumeration, "transport-encrypt-key")

                        self.protocol = Native.Crypto.Gkm.Group.Client.Protocol()
                        self.protocol.parent = self
                        self._children_name_map["protocol"] = "protocol"
                        self._children_yang_names.add("protocol")

                        self.recovery_check = Native.Crypto.Gkm.Group.Client.RecoveryCheck()
                        self.recovery_check.parent = self
                        self._children_name_map["recovery_check"] = "recovery-check"
                        self._children_yang_names.add("recovery-check")

                        self.registration = Native.Crypto.Gkm.Group.Client.Registration()
                        self.registration.parent = self
                        self._children_name_map["registration"] = "registration"
                        self._children_yang_names.add("registration")

                        self.rekey = Native.Crypto.Gkm.Group.Client.Rekey()
                        self.rekey.parent = self
                        self._children_name_map["rekey"] = "rekey"
                        self._children_yang_names.add("rekey")

                        self.status = Native.Crypto.Gkm.Group.Client.Status()
                        self.status.parent = self
                        self._children_name_map["status"] = "status"
                        self._children_yang_names.add("status")
                        self._segment_path = lambda: "client"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Gkm.Group.Client, ['bypass_policy', 'transform_sets', 'transport_encrypt_key'], name, value)

                    class TransportEncryptKey(Enum):
                        """
                        TransportEncryptKey

                        Enforce group or pair\-wise keying

                        .. data:: group_key = 0

                        .. data:: pair_wise_key = 1

                        """

                        group_key = Enum.YLeaf(0, "group-key")

                        pair_wise_key = Enum.YLeaf(1, "pair-wise-key")



                    class Protocol(Entity):
                        """
                        Group Member Registration & Rekey Protocol
                        
                        .. attribute:: gdoi
                        
                        	Use GDOI (ISAKMP) Protocol for Registration & Rekey
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gikev2
                        
                        	Use G\-IKEv2 Protocol for Registration & Rekey
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gkm.Group.Client.Protocol, self).__init__()

                            self.yang_name = "protocol"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.gdoi = YLeaf(YType.empty, "gdoi")

                            self.gikev2 = YLeaf(YType.str, "gikev2")
                            self._segment_path = lambda: "protocol"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gkm.Group.Client.Protocol, ['gdoi', 'gikev2'], name, value)


                    class RecoveryCheck(Entity):
                        """
                        Specify GM recovery check parameters
                        
                        .. attribute:: interval
                        
                        	Waiting period(sec) between consecutive recovery registrations
                        	**type**\: int
                        
                        	**range:** 100..1000
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gkm.Group.Client.RecoveryCheck, self).__init__()

                            self.yang_name = "recovery-check"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint16, "interval")
                            self._segment_path = lambda: "recovery-check"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gkm.Group.Client.RecoveryCheck, ['interval'], name, value)


                    class Registration(Entity):
                        """
                        Set the group client management/register interface
                        
                        .. attribute:: interface
                        
                        	Set the group client management/register interface
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gkm.Group.Client.Registration, self).__init__()

                            self.yang_name = "registration"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.str, "interface")
                            self._segment_path = lambda: "registration"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gkm.Group.Client.Registration, ['interface'], name, value)


                    class Rekey(Entity):
                        """
                        Set the group client acceptable rekey ciphers and hashs
                        
                        .. attribute:: encryption
                        
                        	Set the group client acceptable rekey ciphers
                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Rekey.Encryption>`
                        
                        .. attribute:: hash
                        
                        	Set the group client acceptable rekey hash
                        	**type**\:  :py:class:`Hash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Rekey.Hash>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gkm.Group.Client.Rekey, self).__init__()

                            self.yang_name = "rekey"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encryption" : ("encryption", Native.Crypto.Gkm.Group.Client.Rekey.Encryption), "hash" : ("hash", Native.Crypto.Gkm.Group.Client.Rekey.Hash)}
                            self._child_list_classes = {}

                            self.encryption = Native.Crypto.Gkm.Group.Client.Rekey.Encryption()
                            self.encryption.parent = self
                            self._children_name_map["encryption"] = "encryption"
                            self._children_yang_names.add("encryption")

                            self.hash = Native.Crypto.Gkm.Group.Client.Rekey.Hash()
                            self.hash.parent = self
                            self._children_name_map["hash"] = "hash"
                            self._children_yang_names.add("hash")
                            self._segment_path = lambda: "rekey"


                        class Encryption(Entity):
                            """
                            Set the group client acceptable rekey ciphers
                            
                            .. attribute:: rekey_3des_cbc
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aes_128
                            
                            	128 bit AES
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aes_192
                            
                            	192 bit AES
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aes_256
                            
                            	256 bit AES
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: des_cbc
                            
                            	DES in CBC mode
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Client.Rekey.Encryption, self).__init__()

                                self.yang_name = "encryption"
                                self.yang_parent_name = "rekey"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rekey_3des_cbc = YLeaf(YType.empty, "rekey-3des-cbc")

                                self.aes_128 = YLeaf(YType.empty, "aes-128")

                                self.aes_192 = YLeaf(YType.empty, "aes-192")

                                self.aes_256 = YLeaf(YType.empty, "aes-256")

                                self.des_cbc = YLeaf(YType.empty, "des-cbc")
                                self._segment_path = lambda: "encryption"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gkm.Group.Client.Rekey.Encryption, ['rekey_3des_cbc', 'aes_128', 'aes_192', 'aes_256', 'des_cbc'], name, value)


                        class Hash(Entity):
                            """
                            Set the group client acceptable rekey hash
                            
                            .. attribute:: sha
                            
                            	Secure Hash Standard
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sha256
                            
                            	Secure Hash Standard 2 (256 bit)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sha384
                            
                            	Secure Hash Standard 2 (384 bit)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sha512
                            
                            	Secure Hash Standard 2 (512 bit)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Client.Rekey.Hash, self).__init__()

                                self.yang_name = "hash"
                                self.yang_parent_name = "rekey"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.sha = YLeaf(YType.empty, "sha")

                                self.sha256 = YLeaf(YType.empty, "sha256")

                                self.sha384 = YLeaf(YType.empty, "sha384")

                                self.sha512 = YLeaf(YType.empty, "sha512")
                                self._segment_path = lambda: "hash"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gkm.Group.Client.Rekey.Hash, ['sha', 'sha256', 'sha384', 'sha512'], name, value)


                    class Status(Entity):
                        """
                        group\-member status
                        
                        .. attribute:: active_sa
                        
                        	TEK SA with positive remaining lifetime
                        	**type**\:  :py:class:`ActiveSa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Client.Status.ActiveSa>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gkm.Group.Client.Status, self).__init__()

                            self.yang_name = "status"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"active-sa" : ("active_sa", Native.Crypto.Gkm.Group.Client.Status.ActiveSa)}
                            self._child_list_classes = {}

                            self.active_sa = Native.Crypto.Gkm.Group.Client.Status.ActiveSa()
                            self.active_sa.parent = self
                            self._children_name_map["active_sa"] = "active-sa"
                            self._children_yang_names.add("active-sa")
                            self._segment_path = lambda: "status"


                        class ActiveSa(Entity):
                            """
                            TEK SA with positive remaining lifetime
                            
                            .. attribute:: track
                            
                            	enable stub tracking object
                            	**type**\: int
                            
                            	**range:** 1..1000
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Client.Status.ActiveSa, self).__init__()

                                self.yang_name = "active-sa"
                                self.yang_parent_name = "status"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.track = YLeaf(YType.uint16, "track")
                                self._segment_path = lambda: "active-sa"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gkm.Group.Client.Status.ActiveSa, ['track'], name, value)


                class Identity(Entity):
                    """
                    Set the identity of the group
                    
                    .. attribute:: address
                    
                    	Set the identity of the group as an address
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Identity.Address>`
                    
                    .. attribute:: number
                    
                    	Set the identity of the group as a number
                    	**type**\: int
                    
                    	**range:** 0..18446744073709551615
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Gkm.Group.Identity, self).__init__()

                        self.yang_name = "identity"
                        self.yang_parent_name = "group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.Crypto.Gkm.Group.Identity.Address)}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint64, "number")

                        self.address = Native.Crypto.Gkm.Group.Identity.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")
                        self._segment_path = lambda: "identity"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Gkm.Group.Identity, ['number'], name, value)


                    class Address(Entity):
                        """
                        Set the identity of the group as an address
                        
                        .. attribute:: ipv4
                        
                        	Set the identity of the group as an IPv4 address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gkm.Group.Identity.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "identity"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gkm.Group.Identity.Address, ['ipv4'], name, value)


                class Server(Entity):
                    """
                    Set the group server for of the group
                    
                    .. attribute:: address
                    
                    	Identify the group server by address
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Address>`
                    
                    .. attribute:: hostname
                    
                    	Identify the group server by hostname
                    	**type**\:  :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Hostname>`
                    
                    .. attribute:: local
                    
                    	Configure GKM group server defined locally
                    	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Gkm.Group.Server, self).__init__()

                        self.yang_name = "server"
                        self.yang_parent_name = "group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.Crypto.Gkm.Group.Server.Address), "hostname" : ("hostname", Native.Crypto.Gkm.Group.Server.Hostname), "local" : ("local", Native.Crypto.Gkm.Group.Server.Local)}
                        self._child_list_classes = {}

                        self.address = Native.Crypto.Gkm.Group.Server.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.hostname = Native.Crypto.Gkm.Group.Server.Hostname()
                        self.hostname.parent = self
                        self._children_name_map["hostname"] = "hostname"
                        self._children_yang_names.add("hostname")

                        self.local = Native.Crypto.Gkm.Group.Server.Local()
                        self.local.parent = self
                        self._children_name_map["local"] = "local"
                        self._children_yang_names.add("local")
                        self._segment_path = lambda: "server"


                    class Address(Entity):
                        """
                        Identify the group server by address
                        
                        .. attribute:: ipv4
                        
                        	Set the IPv4 address of the group server
                        	**type**\: list of str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv6
                        
                        	Set the IPv6 address of the group server
                        	**type**\: list of str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gkm.Group.Server.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeafList(YType.str, "ipv4")

                            self.ipv6 = YLeafList(YType.str, "ipv6")
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gkm.Group.Server.Address, ['ipv4', 'ipv6'], name, value)


                    class Hostname(Entity):
                        """
                        Identify the group server by hostname
                        
                        .. attribute:: ipv4
                        
                        	Set the IPv4 hostname of the group server
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gkm.Group.Server.Hostname, self).__init__()

                            self.yang_name = "hostname"
                            self.yang_parent_name = "server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")
                            self._segment_path = lambda: "hostname"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gkm.Group.Server.Hostname, ['ipv4'], name, value)


                    class Local(Entity):
                        """
                        Configure GKM group server defined locally
                        
                        .. attribute:: address
                        
                        	Configure server source address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Address>`
                        
                        .. attribute:: authorization
                        
                        	Configure authorization for the group
                        	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Authorization>`
                        
                        .. attribute:: gdoi
                        
                        	Enable GDOI (ISAKMP) Protocol for Registration & Rekey
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: gikev2
                        
                        	Enable G\-IKEv2 (IKEv2) Protocol for Registration & Rekey
                        	**type**\: str
                        
                        .. attribute:: group
                        
                        	Configure parameters for the group (e.g. Suite\-B)
                        	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Group>`
                        
                        .. attribute:: identifier
                        
                        	Enter Suite\-B KSSID (Key Server Sender ID) config mode
                        	**type**\:  :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Identifier>`
                        
                        .. attribute:: redundancy
                        
                        	Enter cooperative key server configuration mode
                        	**type**\:  :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy>`
                        
                        .. attribute:: registration
                        
                        	Configure registration for the group
                        	**type**\:  :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Registration>`
                        
                        .. attribute:: rekey
                        
                        	Configure rekey policy for the group
                        	**type**\:  :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey>`
                        
                        .. attribute:: sa
                        
                        	Configure a security association
                        	**type**\:  :py:class:`Sa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa>`
                        
                        .. attribute:: default
                        
                        	Set a command to its defaults
                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gkm.Group.Server.Local, self).__init__()

                            self.yang_name = "local"
                            self.yang_parent_name = "server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Crypto.Gkm.Group.Server.Local.Address), "authorization" : ("authorization", Native.Crypto.Gkm.Group.Server.Local.Authorization), "group" : ("group", Native.Crypto.Gkm.Group.Server.Local.Group), "identifier" : ("identifier", Native.Crypto.Gkm.Group.Server.Local.Identifier), "redundancy" : ("redundancy", Native.Crypto.Gkm.Group.Server.Local.Redundancy), "registration" : ("registration", Native.Crypto.Gkm.Group.Server.Local.Registration), "rekey" : ("rekey", Native.Crypto.Gkm.Group.Server.Local.Rekey), "sa" : ("sa", Native.Crypto.Gkm.Group.Server.Local.Sa), "default" : ("default", Native.Crypto.Gkm.Group.Server.Local.Default)}
                            self._child_list_classes = {}

                            self.gdoi = YLeaf(YType.empty, "gdoi")

                            self.gikev2 = YLeaf(YType.str, "gikev2")

                            self.address = Native.Crypto.Gkm.Group.Server.Local.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")

                            self.authorization = Native.Crypto.Gkm.Group.Server.Local.Authorization()
                            self.authorization.parent = self
                            self._children_name_map["authorization"] = "authorization"
                            self._children_yang_names.add("authorization")

                            self.group = Native.Crypto.Gkm.Group.Server.Local.Group()
                            self.group.parent = self
                            self._children_name_map["group"] = "group"
                            self._children_yang_names.add("group")

                            self.identifier = Native.Crypto.Gkm.Group.Server.Local.Identifier()
                            self.identifier.parent = self
                            self._children_name_map["identifier"] = "identifier"
                            self._children_yang_names.add("identifier")

                            self.redundancy = Native.Crypto.Gkm.Group.Server.Local.Redundancy()
                            self.redundancy.parent = self
                            self._children_name_map["redundancy"] = "redundancy"
                            self._children_yang_names.add("redundancy")

                            self.registration = Native.Crypto.Gkm.Group.Server.Local.Registration()
                            self.registration.parent = self
                            self._children_name_map["registration"] = "registration"
                            self._children_yang_names.add("registration")

                            self.rekey = Native.Crypto.Gkm.Group.Server.Local.Rekey()
                            self.rekey.parent = self
                            self._children_name_map["rekey"] = "rekey"
                            self._children_yang_names.add("rekey")

                            self.sa = Native.Crypto.Gkm.Group.Server.Local.Sa()
                            self.sa.parent = self
                            self._children_name_map["sa"] = "sa"
                            self._children_yang_names.add("sa")

                            self.default = Native.Crypto.Gkm.Group.Server.Local.Default()
                            self.default.parent = self
                            self._children_name_map["default"] = "default"
                            self._children_yang_names.add("default")
                            self._segment_path = lambda: "local"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local, ['gdoi', 'gikev2'], name, value)


                        class Address(Entity):
                            """
                            Configure server source address
                            
                            .. attribute:: ipv4
                            
                            	Set ipv4 address of local server
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Server.Local.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Address, ['ipv4'], name, value)


                        class Authorization(Entity):
                            """
                            Configure authorization for the group
                            
                            .. attribute:: address
                            
                            	Set authorization by address
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Authorization.Address>`
                            
                            .. attribute:: identity
                            
                            	Set authorization by identity
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Server.Local.Authorization, self).__init__()

                                self.yang_name = "authorization"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Crypto.Gkm.Group.Server.Local.Authorization.Address)}
                                self._child_list_classes = {}

                                self.identity = YLeaf(YType.str, "identity")

                                self.address = Native.Crypto.Gkm.Group.Server.Local.Authorization.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")
                                self._segment_path = lambda: "authorization"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Authorization, ['identity'], name, value)


                            class Address(Entity):
                                """
                                Set authorization by address
                                
                                .. attribute:: ipv4
                                
                                	Set authorization by address
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Authorization.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "authorization"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.str, "ipv4")
                                    self._segment_path = lambda: "address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Authorization.Address, ['ipv4'], name, value)


                        class Group(Entity):
                            """
                            Configure parameters for the group (e.g. Suite\-B)
                            
                            .. attribute:: size
                            
                            	Set Group Size for Suite\-B counter transforms (SID length)
                            	**type**\:  :py:class:`Size <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Group.Size>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Server.Local.Group, self).__init__()

                                self.yang_name = "group"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"size" : ("size", Native.Crypto.Gkm.Group.Server.Local.Group.Size)}
                                self._child_list_classes = {}

                                self.size = Native.Crypto.Gkm.Group.Server.Local.Group.Size()
                                self.size.parent = self
                                self._children_name_map["size"] = "size"
                                self._children_yang_names.add("size")
                                self._segment_path = lambda: "group"


                            class Size(Entity):
                                """
                                Set Group Size for Suite\-B counter transforms (SID length)
                                
                                .. attribute:: large
                                
                                	32\-bit Sender ID (FIPS 140\-2 Operating Mode)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: medium
                                
                                	24\-bit Sender ID (Default)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: small
                                
                                	Interoperable with GDOI / G\-IKEv2 Standard
                                	**type**\:  :py:class:`Small <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Group.Size.Small>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Group.Size, self).__init__()

                                    self.yang_name = "size"
                                    self.yang_parent_name = "group"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.large = YLeaf(YType.empty, "large")

                                    self.medium = YLeaf(YType.empty, "medium")

                                    self.small = YLeaf(YType.enumeration, "small")
                                    self._segment_path = lambda: "size"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Group.Size, ['large', 'medium', 'small'], name, value)

                                class Small(Enum):
                                    """
                                    Small

                                    Interoperable with GDOI / G\-IKEv2 Standard

                                    .. data:: Y_12 = 0

                                    .. data:: Y_16 = 1

                                    .. data:: Y_8 = 2

                                    """

                                    Y_12 = Enum.YLeaf(0, "12")

                                    Y_16 = Enum.YLeaf(1, "16")

                                    Y_8 = Enum.YLeaf(2, "8")



                        class Identifier(Entity):
                            """
                            Enter Suite\-B KSSID (Key Server Sender ID) config mode
                            
                            .. attribute:: default
                            
                            	Set a command to its defaults
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Identifier.Default>`
                            
                            .. attribute:: range
                            
                            	Assign range of Key Server Sender IDs (unique in entire group)
                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Identifier.Range>`
                            
                            .. attribute:: value
                            
                            	Assign Key Server Sender ID (unique in entire group)
                            	**type**\: int
                            
                            	**range:** 0..1
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Server.Local.Identifier, self).__init__()

                                self.yang_name = "identifier"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"default" : ("default", Native.Crypto.Gkm.Group.Server.Local.Identifier.Default), "range" : ("range", Native.Crypto.Gkm.Group.Server.Local.Identifier.Range)}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint8, "value")

                                self.default = Native.Crypto.Gkm.Group.Server.Local.Identifier.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.range = Native.Crypto.Gkm.Group.Server.Local.Identifier.Range()
                                self.range.parent = self
                                self._children_name_map["range"] = "range"
                                self._children_yang_names.add("range")
                                self._segment_path = lambda: "identifier"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Identifier, ['value'], name, value)


                            class Default(Entity):
                                """
                                Set a command to its defaults
                                
                                .. attribute:: range
                                
                                	Assign range of Key Server Sender IDs (unique in entire group)
                                	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Identifier.Default.Range>`
                                
                                .. attribute:: value
                                
                                	Assign Key Server Sender ID (unique in entire group)
                                	**type**\: int
                                
                                	**range:** 0..1
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Identifier.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "identifier"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"range" : ("range", Native.Crypto.Gkm.Group.Server.Local.Identifier.Default.Range)}
                                    self._child_list_classes = {}

                                    self.value = YLeaf(YType.uint8, "value")

                                    self.range = Native.Crypto.Gkm.Group.Server.Local.Identifier.Default.Range()
                                    self.range.parent = self
                                    self._children_name_map["range"] = "range"
                                    self._children_yang_names.add("range")
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Identifier.Default, ['value'], name, value)


                                class Range(Entity):
                                    """
                                    Assign range of Key Server Sender IDs (unique in entire group)
                                    
                                    .. attribute:: lowest
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..1
                                    
                                    .. attribute:: hyphen
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: highest
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..1
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Identifier.Default.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lowest = YLeaf(YType.uint8, "lowest")

                                        self.hyphen = YLeaf(YType.empty, "hyphen")

                                        self.highest = YLeaf(YType.uint8, "highest")
                                        self._segment_path = lambda: "range"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Identifier.Default.Range, ['lowest', 'hyphen', 'highest'], name, value)


                            class Range(Entity):
                                """
                                Assign range of Key Server Sender IDs (unique in entire group)
                                
                                .. attribute:: lowest
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..1
                                
                                .. attribute:: hyphen
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: highest
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..1
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Identifier.Range, self).__init__()

                                    self.yang_name = "range"
                                    self.yang_parent_name = "identifier"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.lowest = YLeaf(YType.uint8, "lowest")

                                    self.hyphen = YLeaf(YType.empty, "hyphen")

                                    self.highest = YLeaf(YType.uint8, "highest")
                                    self._segment_path = lambda: "range"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Identifier.Range, ['lowest', 'hyphen', 'highest'], name, value)


                        class Redundancy(Entity):
                            """
                            Enter cooperative key server configuration mode
                            
                            .. attribute:: default
                            
                            	Set a command to its defaults
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default>`
                            
                            .. attribute:: local
                            
                            	Local key server configurations
                            	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Local>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: peer
                            
                            	Peer server configurations
                            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer>`
                            
                            .. attribute:: protocol
                            
                            	Specify various protocol operational values
                            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Server.Local.Redundancy, self).__init__()

                                self.yang_name = "redundancy"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"default" : ("default", Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default), "local" : ("local", Native.Crypto.Gkm.Group.Server.Local.Redundancy.Local), "peer" : ("peer", Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer), "protocol" : ("protocol", Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol)}
                                self._child_list_classes = {}

                                self.default = Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.local = None
                                self._children_name_map["local"] = "local"
                                self._children_yang_names.add("local")

                                self.peer = Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer()
                                self.peer.parent = self
                                self._children_name_map["peer"] = "peer"
                                self._children_yang_names.add("peer")

                                self.protocol = None
                                self._children_name_map["protocol"] = "protocol"
                                self._children_yang_names.add("protocol")
                                self._segment_path = lambda: "redundancy"


                            class Default(Entity):
                                """
                                Set a command to its defaults
                                
                                .. attribute:: local
                                
                                	Local key server configurations
                                	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Local>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: peer
                                
                                	Peer server configurations
                                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer>`
                                
                                .. attribute:: protocol
                                
                                	Specify various protocol operational values
                                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "redundancy"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"local" : ("local", Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Local), "peer" : ("peer", Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer), "protocol" : ("protocol", Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol)}
                                    self._child_list_classes = {}

                                    self.local = None
                                    self._children_name_map["local"] = "local"
                                    self._children_yang_names.add("local")

                                    self.peer = Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer()
                                    self.peer.parent = self
                                    self._children_name_map["peer"] = "peer"
                                    self._children_yang_names.add("peer")

                                    self.protocol = None
                                    self._children_name_map["protocol"] = "protocol"
                                    self._children_yang_names.add("protocol")
                                    self._segment_path = lambda: "default"


                                class Local(Entity):
                                    """
                                    Local key server configurations
                                    
                                    .. attribute:: priority
                                    
                                    	Set local server priority
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Local, self).__init__()

                                        self.yang_name = "local"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.priority = YLeaf(YType.uint8, "priority")
                                        self._segment_path = lambda: "local"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Local, ['priority'], name, value)


                                class Peer(Entity):
                                    """
                                    Peer server configurations
                                    
                                    .. attribute:: address
                                    
                                    	Peer server address
                                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer.Address>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer, self).__init__()

                                        self.yang_name = "peer"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"address" : ("address", Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer.Address)}
                                        self._child_list_classes = {}

                                        self.address = Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer.Address()
                                        self.address.parent = self
                                        self._children_name_map["address"] = "address"
                                        self._children_yang_names.add("address")
                                        self._segment_path = lambda: "peer"


                                    class Address(Entity):
                                        """
                                        Peer server address
                                        
                                        .. attribute:: ipv4
                                        
                                        	Set peer server ipv4 address
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer.Address, self).__init__()

                                            self.yang_name = "address"
                                            self.yang_parent_name = "peer"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.str, "ipv4")
                                            self._segment_path = lambda: "address"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Peer.Address, ['ipv4'], name, value)


                                class Protocol(Entity):
                                    """
                                    Specify various protocol operational values
                                    
                                    .. attribute:: pdu
                                    
                                    	Maximum size of COOP messages
                                    	**type**\: int
                                    
                                    	**range:** 1..65000
                                    
                                    .. attribute:: version
                                    
                                    	Set COOP ANN version
                                    	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol.Version>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol, self).__init__()

                                        self.yang_name = "protocol"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.pdu = YLeaf(YType.uint32, "pdu")

                                        self.version = YLeaf(YType.enumeration, "version")
                                        self._segment_path = lambda: "protocol"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Default.Protocol, ['pdu', 'version'], name, value)

                                    class Version(Enum):
                                        """
                                        Version

                                        Set COOP ANN version

                                        .. data:: base = 0

                                        .. data:: optimize = 1

                                        """

                                        base = Enum.YLeaf(0, "base")

                                        optimize = Enum.YLeaf(1, "optimize")



                            class Local(Entity):
                                """
                                Local key server configurations
                                
                                .. attribute:: priority
                                
                                	Set local server priority
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Local, self).__init__()

                                    self.yang_name = "local"
                                    self.yang_parent_name = "redundancy"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.priority = YLeaf(YType.uint8, "priority")
                                    self._segment_path = lambda: "local"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Local, ['priority'], name, value)


                            class Peer(Entity):
                                """
                                Peer server configurations
                                
                                .. attribute:: address
                                
                                	Peer server address
                                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer.Address>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer, self).__init__()

                                    self.yang_name = "peer"
                                    self.yang_parent_name = "redundancy"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"address" : ("address", Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer.Address)}
                                    self._child_list_classes = {}

                                    self.address = Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer.Address()
                                    self.address.parent = self
                                    self._children_name_map["address"] = "address"
                                    self._children_yang_names.add("address")
                                    self._segment_path = lambda: "peer"


                                class Address(Entity):
                                    """
                                    Peer server address
                                    
                                    .. attribute:: ipv4
                                    
                                    	Set peer server ipv4 address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer.Address, self).__init__()

                                        self.yang_name = "address"
                                        self.yang_parent_name = "peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.str, "ipv4")
                                        self._segment_path = lambda: "address"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Peer.Address, ['ipv4'], name, value)


                            class Protocol(Entity):
                                """
                                Specify various protocol operational values
                                
                                .. attribute:: pdu
                                
                                	Maximum size of COOP messages
                                	**type**\: int
                                
                                	**range:** 1..65000
                                
                                .. attribute:: version
                                
                                	Set COOP ANN version
                                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol.Version>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol, self).__init__()

                                    self.yang_name = "protocol"
                                    self.yang_parent_name = "redundancy"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.pdu = YLeaf(YType.uint32, "pdu")

                                    self.version = YLeaf(YType.enumeration, "version")
                                    self._segment_path = lambda: "protocol"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Redundancy.Protocol, ['pdu', 'version'], name, value)

                                class Version(Enum):
                                    """
                                    Version

                                    Set COOP ANN version

                                    .. data:: base = 0

                                    .. data:: optimize = 1

                                    """

                                    base = Enum.YLeaf(0, "base")

                                    optimize = Enum.YLeaf(1, "optimize")



                        class Registration(Entity):
                            """
                            Configure registration for the group
                            
                            .. attribute:: interface
                            
                            	Identify an interface on which to respond to GKM registrations
                            	**type**\: str
                            
                            .. attribute:: periodic
                            
                            	Define periodic registrations for the group
                            	**type**\:  :py:class:`Periodic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Server.Local.Registration, self).__init__()

                                self.yang_name = "registration"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"periodic" : ("periodic", Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic)}
                                self._child_list_classes = {}

                                self.interface = YLeaf(YType.str, "interface")

                                self.periodic = Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic()
                                self.periodic.parent = self
                                self._children_name_map["periodic"] = "periodic"
                                self._children_yang_names.add("periodic")
                                self._segment_path = lambda: "registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Registration, ['interface'], name, value)


                            class Periodic(Entity):
                                """
                                Define periodic registrations for the group
                                
                                .. attribute:: crl
                                
                                	On every new CRL
                                	**type**\:  :py:class:`Crl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic.Crl>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic, self).__init__()

                                    self.yang_name = "periodic"
                                    self.yang_parent_name = "registration"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"crl" : ("crl", Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic.Crl)}
                                    self._child_list_classes = {}

                                    self.crl = Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic.Crl()
                                    self.crl.parent = self
                                    self._children_name_map["crl"] = "crl"
                                    self._children_yang_names.add("crl")
                                    self._segment_path = lambda: "periodic"


                                class Crl(Entity):
                                    """
                                    On every new CRL
                                    
                                    .. attribute:: trustpoint
                                    
                                    	For a PKI trustpoint
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic.Crl, self).__init__()

                                        self.yang_name = "crl"
                                        self.yang_parent_name = "periodic"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.trustpoint = YLeaf(YType.str, "trustpoint")
                                        self._segment_path = lambda: "crl"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Registration.Periodic.Crl, ['trustpoint'], name, value)


                        class Rekey(Entity):
                            """
                            Configure rekey policy for the group
                            
                            .. attribute:: acknowledgement
                            
                            	Request group members to acknowledge rekeys
                            	**type**\:  :py:class:`Acknowledgement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Acknowledgement>`
                            
                            .. attribute:: address
                            
                            	Define the rekey packet format
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Address>`
                            
                            .. attribute:: algorithm
                            
                            	Set the rekey encryption algorithm
                            	**type**\:  :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Algorithm>`
                            
                            .. attribute:: authentication
                            
                            	Identify the rekey authentication keypair
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication>`
                            
                            .. attribute:: lifetime
                            
                            	Define the rekey lifetime
                            	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Lifetime>`
                            
                            .. attribute:: retransmit
                            
                            	Define the rekey retransmission parameters
                            	**type**\:  :py:class:`Retransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Retransmit>`
                            
                            .. attribute:: sig_hash
                            
                            	Set rekey signature\-hash parameters
                            	**type**\:  :py:class:`SigHash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash>`
                            
                            .. attribute:: transport
                            
                            	Specify the rekey distribution method
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Transport>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Server.Local.Rekey, self).__init__()

                                self.yang_name = "rekey"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Crypto.Gkm.Group.Server.Local.Rekey.Address), "algorithm" : ("algorithm", Native.Crypto.Gkm.Group.Server.Local.Rekey.Algorithm), "authentication" : ("authentication", Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication), "lifetime" : ("lifetime", Native.Crypto.Gkm.Group.Server.Local.Rekey.Lifetime), "retransmit" : ("retransmit", Native.Crypto.Gkm.Group.Server.Local.Rekey.Retransmit), "sig-hash" : ("sig_hash", Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash), "transport" : ("transport", Native.Crypto.Gkm.Group.Server.Local.Rekey.Transport)}
                                self._child_list_classes = {}

                                self.acknowledgement = YLeaf(YType.enumeration, "acknowledgement")

                                self.address = Native.Crypto.Gkm.Group.Server.Local.Rekey.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")

                                self.algorithm = Native.Crypto.Gkm.Group.Server.Local.Rekey.Algorithm()
                                self.algorithm.parent = self
                                self._children_name_map["algorithm"] = "algorithm"
                                self._children_yang_names.add("algorithm")

                                self.authentication = Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication()
                                self.authentication.parent = self
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")

                                self.lifetime = Native.Crypto.Gkm.Group.Server.Local.Rekey.Lifetime()
                                self.lifetime.parent = self
                                self._children_name_map["lifetime"] = "lifetime"
                                self._children_yang_names.add("lifetime")

                                self.retransmit = Native.Crypto.Gkm.Group.Server.Local.Rekey.Retransmit()
                                self.retransmit.parent = self
                                self._children_name_map["retransmit"] = "retransmit"
                                self._children_yang_names.add("retransmit")

                                self.sig_hash = Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash()
                                self.sig_hash.parent = self
                                self._children_name_map["sig_hash"] = "sig-hash"
                                self._children_yang_names.add("sig-hash")

                                self.transport = Native.Crypto.Gkm.Group.Server.Local.Rekey.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")
                                self._segment_path = lambda: "rekey"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Rekey, ['acknowledgement'], name, value)

                            class Acknowledgement(Enum):
                                """
                                Acknowledgement

                                Request group members to acknowledge rekeys

                                .. data:: any = 0

                                .. data:: cisco = 1

                                .. data:: interoperable = 2

                                """

                                any = Enum.YLeaf(0, "any")

                                cisco = Enum.YLeaf(1, "cisco")

                                interoperable = Enum.YLeaf(2, "interoperable")



                            class Address(Entity):
                                """
                                Define the rekey packet format
                                
                                .. attribute:: ipv4
                                
                                	Match ipv4 packets
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 100..199
                                
                                		**type**\: int
                                
                                			**range:** 2000..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Rekey.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.str, "ipv4")
                                    self._segment_path = lambda: "address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Rekey.Address, ['ipv4'], name, value)


                            class Algorithm(Entity):
                                """
                                Set the rekey encryption algorithm
                                
                                .. attribute:: a3des_cbc
                                
                                	Triple DES in CBC mode
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aes_128
                                
                                	128 bit AES
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aes_192
                                
                                	192 bit AES
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aes_256
                                
                                	256 bit AES
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: des_cbc
                                
                                	DES in CBC mode
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Rekey.Algorithm, self).__init__()

                                    self.yang_name = "algorithm"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.a3des_cbc = YLeaf(YType.empty, "a3des-cbc")

                                    self.aes_128 = YLeaf(YType.empty, "aes-128")

                                    self.aes_192 = YLeaf(YType.empty, "aes-192")

                                    self.aes_256 = YLeaf(YType.empty, "aes-256")

                                    self.des_cbc = YLeaf(YType.empty, "des-cbc")
                                    self._segment_path = lambda: "algorithm"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Rekey.Algorithm, ['a3des_cbc', 'aes_128', 'aes_192', 'aes_256', 'des_cbc'], name, value)


                            class Authentication(Entity):
                                """
                                Identify the rekey authentication keypair
                                
                                .. attribute:: mypubkey
                                
                                	Identify a keypair associated with this device
                                	**type**\:  :py:class:`Mypubkey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication.Mypubkey>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mypubkey" : ("mypubkey", Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication.Mypubkey)}
                                    self._child_list_classes = {}

                                    self.mypubkey = Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication.Mypubkey()
                                    self.mypubkey.parent = self
                                    self._children_name_map["mypubkey"] = "mypubkey"
                                    self._children_yang_names.add("mypubkey")
                                    self._segment_path = lambda: "authentication"


                                class Mypubkey(Entity):
                                    """
                                    Identify a keypair associated with this device
                                    
                                    .. attribute:: rsa
                                    
                                    	Identify an RSA keypair
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication.Mypubkey, self).__init__()

                                        self.yang_name = "mypubkey"
                                        self.yang_parent_name = "authentication"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.rsa = YLeaf(YType.str, "rsa")
                                        self._segment_path = lambda: "mypubkey"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Rekey.Authentication.Mypubkey, ['rsa'], name, value)


                            class Lifetime(Entity):
                                """
                                Define the rekey lifetime
                                
                                .. attribute:: days
                                
                                	Time\-based key duration in days
                                	**type**\: int
                                
                                	**range:** 1..30
                                
                                .. attribute:: seconds
                                
                                	Time\-based key duration in seconds
                                	**type**\: int
                                
                                	**range:** 300..2592000
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Rekey.Lifetime, self).__init__()

                                    self.yang_name = "lifetime"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.days = YLeaf(YType.uint8, "days")

                                    self.seconds = YLeaf(YType.uint64, "seconds")
                                    self._segment_path = lambda: "lifetime"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Rekey.Lifetime, ['days', 'seconds'], name, value)


                            class Retransmit(Entity):
                                """
                                Define the rekey retransmission parameters
                                
                                .. attribute:: seconds
                                
                                	
                                	**type**\: int
                                
                                	**range:** 10..60
                                
                                .. attribute:: number
                                
                                	Retransmit this many times
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: periodic
                                
                                	Periodically send retransmit rekeys
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Rekey.Retransmit, self).__init__()

                                    self.yang_name = "retransmit"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.seconds = YLeaf(YType.uint8, "seconds")

                                    self.number = YLeaf(YType.uint8, "number")

                                    self.periodic = YLeaf(YType.empty, "periodic")
                                    self._segment_path = lambda: "retransmit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Rekey.Retransmit, ['seconds', 'number', 'periodic'], name, value)


                            class SigHash(Entity):
                                """
                                Set rekey signature\-hash parameters
                                
                                .. attribute:: algorithm
                                
                                	Set the rekey signature\-hash algorithm
                                	**type**\:  :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash.Algorithm>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash, self).__init__()

                                    self.yang_name = "sig-hash"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.algorithm = YLeaf(YType.enumeration, "algorithm")
                                    self._segment_path = lambda: "sig-hash"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Rekey.SigHash, ['algorithm'], name, value)

                                class Algorithm(Enum):
                                    """
                                    Algorithm

                                    Set the rekey signature\-hash algorithm

                                    .. data:: sha = 0

                                    .. data:: sha256 = 1

                                    .. data:: sha384 = 2

                                    .. data:: sha512 = 3

                                    """

                                    sha = Enum.YLeaf(0, "sha")

                                    sha256 = Enum.YLeaf(1, "sha256")

                                    sha384 = Enum.YLeaf(2, "sha384")

                                    sha512 = Enum.YLeaf(3, "sha512")



                            class Transport(Entity):
                                """
                                Specify the rekey distribution method
                                
                                .. attribute:: unicast
                                
                                	specify unicast rekey distribution
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Rekey.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.unicast = YLeaf(YType.empty, "unicast")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Rekey.Transport, ['unicast'], name, value)


                        class Sa(Entity):
                            """
                            Configure a security association
                            
                            .. attribute:: d3p
                            
                            	Enable IP delivery delay detection protocol for all SAs within the group
                            	**type**\:  :py:class:`D3P <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.D3P>`
                            
                            .. attribute:: ipsec
                            
                            	Configure an IPsec SA
                            	**type**\: list of  		 :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec>`
                            
                            .. attribute:: pair_wise_keying
                            
                            	Enable KGS pair\-wise\-keying
                            	**type**\:  :py:class:`PairWiseKeying <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.PairWiseKeying>`
                            
                            .. attribute:: receive_only
                            
                            	Configure SA to work only in inbound direction
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Server.Local.Sa, self).__init__()

                                self.yang_name = "sa"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"d3p" : ("d3p", Native.Crypto.Gkm.Group.Server.Local.Sa.D3P), "pair-wise-keying" : ("pair_wise_keying", Native.Crypto.Gkm.Group.Server.Local.Sa.PairWiseKeying)}
                                self._child_list_classes = {"ipsec" : ("ipsec", Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec)}

                                self.receive_only = YLeaf(YType.empty, "receive-only")

                                self.d3p = Native.Crypto.Gkm.Group.Server.Local.Sa.D3P()
                                self.d3p.parent = self
                                self._children_name_map["d3p"] = "d3p"
                                self._children_yang_names.add("d3p")

                                self.pair_wise_keying = Native.Crypto.Gkm.Group.Server.Local.Sa.PairWiseKeying()
                                self.pair_wise_keying.parent = self
                                self._children_name_map["pair_wise_keying"] = "pair-wise-keying"
                                self._children_yang_names.add("pair-wise-keying")

                                self.ipsec = YList(self)
                                self._segment_path = lambda: "sa"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Sa, ['receive_only'], name, value)


                            class D3P(Entity):
                                """
                                Enable IP delivery delay detection protocol for all SAs within the group
                                
                                .. attribute:: window
                                
                                	IP\-D3P window size
                                	**type**\:  :py:class:`Window <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.D3P.Window>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Sa.D3P, self).__init__()

                                    self.yang_name = "d3p"
                                    self.yang_parent_name = "sa"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"window" : ("window", Native.Crypto.Gkm.Group.Server.Local.Sa.D3P.Window)}
                                    self._child_list_classes = {}

                                    self.window = Native.Crypto.Gkm.Group.Server.Local.Sa.D3P.Window()
                                    self.window.parent = self
                                    self._children_name_map["window"] = "window"
                                    self._children_yang_names.add("window")
                                    self._segment_path = lambda: "d3p"


                                class Window(Entity):
                                    """
                                    IP\-D3P window size
                                    
                                    .. attribute:: msec
                                    
                                    	IP\-D3P window size in milliseconds
                                    	**type**\: int
                                    
                                    	**range:** 1000..100000
                                    
                                    .. attribute:: sec
                                    
                                    	IP\-D3P window size in seconds
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Sa.D3P.Window, self).__init__()

                                        self.yang_name = "window"
                                        self.yang_parent_name = "d3p"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.msec = YLeaf(YType.uint32, "msec")

                                        self.sec = YLeaf(YType.uint8, "sec")
                                        self._segment_path = lambda: "window"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Sa.D3P.Window, ['msec', 'sec'], name, value)


                            class Ipsec(Entity):
                                """
                                Configure an IPsec SA
                                
                                .. attribute:: sequence  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: default
                                
                                	Set a command to its defaults
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default>`
                                
                                .. attribute:: match
                                
                                	Match characteristics of packets to encrypt
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match>`
                                
                                .. attribute:: profile
                                
                                	Configure an ipsec profile for the SA
                                	**type**\: str
                                
                                .. attribute:: replay
                                
                                	Set replay method
                                	**type**\:  :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay>`
                                
                                .. attribute:: tag
                                
                                	Set inline tagging method
                                	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec, self).__init__()

                                    self.yang_name = "ipsec"
                                    self.yang_parent_name = "sa"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default), "match" : ("match", Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match), "replay" : ("replay", Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay), "tag" : ("tag", Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag)}
                                    self._child_list_classes = {}

                                    self.sequence = YLeaf(YType.uint16, "sequence")

                                    self.profile = YLeaf(YType.str, "profile")

                                    self.default = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.match = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")

                                    self.replay = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay()
                                    self.replay.parent = self
                                    self._children_name_map["replay"] = "replay"
                                    self._children_yang_names.add("replay")

                                    self.tag = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag()
                                    self.tag.parent = self
                                    self._children_name_map["tag"] = "tag"
                                    self._children_yang_names.add("tag")
                                    self._segment_path = lambda: "ipsec" + "[sequence='" + self.sequence.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec, ['sequence', 'profile'], name, value)


                                class Default(Entity):
                                    """
                                    Set a command to its defaults
                                    
                                    .. attribute:: match
                                    
                                    	Match characteristics of packets to encrypt
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match>`
                                    
                                    .. attribute:: profile
                                    
                                    	Configure an ipsec profile for the SA
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: replay
                                    
                                    	Set replay method
                                    	**type**\:  :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Replay>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: tag
                                    
                                    	Set inline tagging method
                                    	**type**\:  :py:class:`Tag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Tag>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ipsec"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match), "replay" : ("replay", Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Replay), "tag" : ("tag", Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Tag)}
                                        self._child_list_classes = {}

                                        self.profile = YLeaf(YType.empty, "profile")

                                        self.match = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")

                                        self.replay = None
                                        self._children_name_map["replay"] = "replay"
                                        self._children_yang_names.add("replay")

                                        self.tag = None
                                        self._children_name_map["tag"] = "tag"
                                        self._children_yang_names.add("tag")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default, ['profile'], name, value)


                                    class Match(Entity):
                                        """
                                        Match characteristics of packets to encrypt
                                        
                                        .. attribute:: address
                                        
                                        	Match addresses of packets to encrypt
                                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match.Address>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"address" : ("address", Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match.Address)}
                                            self._child_list_classes = {}

                                            self.address = None
                                            self._children_name_map["address"] = "address"
                                            self._children_yang_names.add("address")
                                            self._segment_path = lambda: "match"


                                        class Address(Entity):
                                            """
                                            Match addresses of packets to encrypt
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-crypto'
                                            _revision = '2017-05-10'

                                            def __init__(self):
                                                super(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Match.Address, self).__init__()

                                                self.yang_name = "address"
                                                self.yang_parent_name = "match"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "address"


                                    class Replay(Entity):
                                        """
                                        Set replay method
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Replay, self).__init__()

                                            self.yang_name = "replay"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True
                                            self._segment_path = lambda: "replay"


                                    class Tag(Entity):
                                        """
                                        Set inline tagging method
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Default.Tag, self).__init__()

                                            self.yang_name = "tag"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True
                                            self._segment_path = lambda: "tag"


                                class Match(Entity):
                                    """
                                    Match characteristics of packets to encrypt
                                    
                                    .. attribute:: address
                                    
                                    	Match addresses of packets to encrypt
                                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match.Address>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ipsec"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"address" : ("address", Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match.Address)}
                                        self._child_list_classes = {}

                                        self.address = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match.Address()
                                        self.address.parent = self
                                        self._children_name_map["address"] = "address"
                                        self._children_yang_names.add("address")
                                        self._segment_path = lambda: "match"


                                    class Address(Entity):
                                        """
                                        Match addresses of packets to encrypt
                                        
                                        .. attribute:: ipv4
                                        
                                        	Match ipv4 packets
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 100..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 2000..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        .. attribute:: ipv6
                                        
                                        	Match ipv6 packets
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match.Address, self).__init__()

                                            self.yang_name = "address"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.str, "ipv4")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")
                                            self._segment_path = lambda: "address"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Match.Address, ['ipv4', 'ipv6'], name, value)


                                class Replay(Entity):
                                    """
                                    Set replay method
                                    
                                    .. attribute:: counter
                                    
                                    	Enable anti\-replay check for single source traffic by using sequence number
                                    	**type**\:  :py:class:`Counter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: time
                                    
                                    	Enable anti\-replay check for any traffic by using time
                                    	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Time>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay, self).__init__()

                                        self.yang_name = "replay"
                                        self.yang_parent_name = "ipsec"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"counter" : ("counter", Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter), "time" : ("time", Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Time)}
                                        self._child_list_classes = {}

                                        self.counter = None
                                        self._children_name_map["counter"] = "counter"
                                        self._children_yang_names.add("counter")

                                        self.time = None
                                        self._children_name_map["time"] = "time"
                                        self._children_yang_names.add("time")
                                        self._segment_path = lambda: "replay"


                                    class Counter(Entity):
                                        """
                                        Enable anti\-replay check for single source traffic by using sequence number
                                        
                                        .. attribute:: window_size
                                        
                                        	Set replay window size
                                        	**type**\:  :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter.WindowSize>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter, self).__init__()

                                            self.yang_name = "counter"
                                            self.yang_parent_name = "replay"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.window_size = YLeaf(YType.enumeration, "window-size")
                                            self._segment_path = lambda: "counter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Counter, ['window_size'], name, value)

                                        class WindowSize(Enum):
                                            """
                                            WindowSize

                                            Set replay window size.

                                            .. data:: Y_1024 = 0

                                            .. data:: Y_128 = 1

                                            .. data:: Y_256 = 2

                                            .. data:: Y_512 = 3

                                            .. data:: Y_64 = 4

                                            """

                                            Y_1024 = Enum.YLeaf(0, "1024")

                                            Y_128 = Enum.YLeaf(1, "128")

                                            Y_256 = Enum.YLeaf(2, "256")

                                            Y_512 = Enum.YLeaf(3, "512")

                                            Y_64 = Enum.YLeaf(4, "64")



                                    class Time(Entity):
                                        """
                                        Enable anti\-replay check for any traffic by using time
                                        
                                        .. attribute:: window_size
                                        
                                        	Time based replay window size
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Time, self).__init__()

                                            self.yang_name = "time"
                                            self.yang_parent_name = "replay"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.window_size = YLeaf(YType.uint8, "window-size")
                                            self._segment_path = lambda: "time"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Replay.Time, ['window_size'], name, value)


                                class Tag(Entity):
                                    """
                                    Set inline tagging method
                                    
                                    .. attribute:: cts
                                    
                                    	Cisco Trust Security
                                    	**type**\:  :py:class:`Cts <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag.Cts>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag, self).__init__()

                                        self.yang_name = "tag"
                                        self.yang_parent_name = "ipsec"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"cts" : ("cts", Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag.Cts)}
                                        self._child_list_classes = {}

                                        self.cts = Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag.Cts()
                                        self.cts.parent = self
                                        self._children_name_map["cts"] = "cts"
                                        self._children_yang_names.add("cts")
                                        self._segment_path = lambda: "tag"


                                    class Cts(Entity):
                                        """
                                        Cisco Trust Security
                                        
                                        .. attribute:: sgt
                                        
                                        	Security Group Tag
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag.Cts, self).__init__()

                                            self.yang_name = "cts"
                                            self.yang_parent_name = "tag"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.sgt = YLeaf(YType.empty, "sgt")
                                            self._segment_path = lambda: "cts"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Sa.Ipsec.Tag.Cts, ['sgt'], name, value)


                            class PairWiseKeying(Entity):
                                """
                                Enable KGS pair\-wise\-keying
                                
                                .. attribute:: safety_limit
                                
                                	KGS safety limit
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Sa.PairWiseKeying, self).__init__()

                                    self.yang_name = "pair-wise-keying"
                                    self.yang_parent_name = "sa"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.safety_limit = YLeaf(YType.uint8, "safety-limit")
                                    self._segment_path = lambda: "pair-wise-keying"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Sa.PairWiseKeying, ['safety_limit'], name, value)


                        class Default(Entity):
                            """
                            Set a command to its defaults
                            
                            .. attribute:: address
                            
                            	Configure server source address
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Address>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: authorization
                            
                            	Configure authorization for the group
                            	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Authorization>`
                            
                            .. attribute:: gdoi
                            
                            	Enable GDOI (ISAKMP) Protocol for Registration & Rekey
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: gikev2
                            
                            	Enable G\-IKEv2 (IKEv2) Protocol for Registration & Rekey
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: group
                            
                            	Configure parameters for the group (e.g. Suite\-B)
                            	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Group>`
                            
                            .. attribute:: identifier
                            
                            	Enter Suite\-B KSSID (Key Server Sender ID) config mode
                            	**type**\:  :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Identifier>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: redundancy
                            
                            	Enter cooperative key server configuration mode
                            	**type**\:  :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Redundancy>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: registration
                            
                            	Configure registration for the group
                            	**type**\:  :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Registration>`
                            
                            .. attribute:: rekey
                            
                            	Configure rekey policy for the group
                            	**type**\:  :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey>`
                            
                            .. attribute:: sa
                            
                            	Configure a security association
                            	**type**\:  :py:class:`Sa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Sa>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Server.Local.Default, self).__init__()

                                self.yang_name = "default"
                                self.yang_parent_name = "local"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"address" : ("address", Native.Crypto.Gkm.Group.Server.Local.Default.Address), "authorization" : ("authorization", Native.Crypto.Gkm.Group.Server.Local.Default.Authorization), "group" : ("group", Native.Crypto.Gkm.Group.Server.Local.Default.Group), "identifier" : ("identifier", Native.Crypto.Gkm.Group.Server.Local.Default.Identifier), "redundancy" : ("redundancy", Native.Crypto.Gkm.Group.Server.Local.Default.Redundancy), "registration" : ("registration", Native.Crypto.Gkm.Group.Server.Local.Default.Registration), "rekey" : ("rekey", Native.Crypto.Gkm.Group.Server.Local.Default.Rekey), "sa" : ("sa", Native.Crypto.Gkm.Group.Server.Local.Default.Sa)}
                                self._child_list_classes = {}

                                self.gdoi = YLeaf(YType.empty, "gdoi")

                                self.gikev2 = YLeaf(YType.empty, "gikev2")

                                self.address = None
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")

                                self.authorization = Native.Crypto.Gkm.Group.Server.Local.Default.Authorization()
                                self.authorization.parent = self
                                self._children_name_map["authorization"] = "authorization"
                                self._children_yang_names.add("authorization")

                                self.group = Native.Crypto.Gkm.Group.Server.Local.Default.Group()
                                self.group.parent = self
                                self._children_name_map["group"] = "group"
                                self._children_yang_names.add("group")

                                self.identifier = None
                                self._children_name_map["identifier"] = "identifier"
                                self._children_yang_names.add("identifier")

                                self.redundancy = None
                                self._children_name_map["redundancy"] = "redundancy"
                                self._children_yang_names.add("redundancy")

                                self.registration = Native.Crypto.Gkm.Group.Server.Local.Default.Registration()
                                self.registration.parent = self
                                self._children_name_map["registration"] = "registration"
                                self._children_yang_names.add("registration")

                                self.rekey = Native.Crypto.Gkm.Group.Server.Local.Default.Rekey()
                                self.rekey.parent = self
                                self._children_name_map["rekey"] = "rekey"
                                self._children_yang_names.add("rekey")

                                self.sa = Native.Crypto.Gkm.Group.Server.Local.Default.Sa()
                                self.sa.parent = self
                                self._children_name_map["sa"] = "sa"
                                self._children_yang_names.add("sa")
                                self._segment_path = lambda: "default"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Default, ['gdoi', 'gikev2'], name, value)


                            class Address(Entity):
                                """
                                Configure server source address
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Default.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "address"


                            class Authorization(Entity):
                                """
                                Configure authorization for the group
                                
                                .. attribute:: address
                                
                                	Set authorization by address
                                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Authorization.Address>`
                                
                                .. attribute:: identity
                                
                                	Set authorization by identity
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Default.Authorization, self).__init__()

                                    self.yang_name = "authorization"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"address" : ("address", Native.Crypto.Gkm.Group.Server.Local.Default.Authorization.Address)}
                                    self._child_list_classes = {}

                                    self.identity = YLeaf(YType.empty, "identity")

                                    self.address = Native.Crypto.Gkm.Group.Server.Local.Default.Authorization.Address()
                                    self.address.parent = self
                                    self._children_name_map["address"] = "address"
                                    self._children_yang_names.add("address")
                                    self._segment_path = lambda: "authorization"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Default.Authorization, ['identity'], name, value)


                                class Address(Entity):
                                    """
                                    Set authorization by address
                                    
                                    .. attribute:: ipv4
                                    
                                    	Set authorization by address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Default.Authorization.Address, self).__init__()

                                        self.yang_name = "address"
                                        self.yang_parent_name = "authorization"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4 = YLeaf(YType.empty, "ipv4")
                                        self._segment_path = lambda: "address"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Default.Authorization.Address, ['ipv4'], name, value)


                            class Group(Entity):
                                """
                                Configure parameters for the group (e.g. Suite\-B)
                                
                                .. attribute:: size
                                
                                	Set Group Size for Suite\-B counter transforms (SID length)
                                	**type**\:  :py:class:`Size <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Group.Size>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Default.Group, self).__init__()

                                    self.yang_name = "group"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"size" : ("size", Native.Crypto.Gkm.Group.Server.Local.Default.Group.Size)}
                                    self._child_list_classes = {}

                                    self.size = None
                                    self._children_name_map["size"] = "size"
                                    self._children_yang_names.add("size")
                                    self._segment_path = lambda: "group"


                                class Size(Entity):
                                    """
                                    Set Group Size for Suite\-B counter transforms (SID length)
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Default.Group.Size, self).__init__()

                                        self.yang_name = "size"
                                        self.yang_parent_name = "group"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "size"


                            class Identifier(Entity):
                                """
                                Enter Suite\-B KSSID (Key Server Sender ID) config mode
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Default.Identifier, self).__init__()

                                    self.yang_name = "identifier"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "identifier"


                            class Redundancy(Entity):
                                """
                                Enter cooperative key server configuration mode
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Default.Redundancy, self).__init__()

                                    self.yang_name = "redundancy"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "redundancy"


                            class Registration(Entity):
                                """
                                Configure registration for the group
                                
                                .. attribute:: interface
                                
                                	Identify an interface on which to respond to GKM registrations
                                	**type**\: str
                                
                                .. attribute:: periodic
                                
                                	Define periodic registrations for the group
                                	**type**\:  :py:class:`Periodic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Default.Registration, self).__init__()

                                    self.yang_name = "registration"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"periodic" : ("periodic", Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic)}
                                    self._child_list_classes = {}

                                    self.interface = YLeaf(YType.str, "interface")

                                    self.periodic = Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic()
                                    self.periodic.parent = self
                                    self._children_name_map["periodic"] = "periodic"
                                    self._children_yang_names.add("periodic")
                                    self._segment_path = lambda: "registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Default.Registration, ['interface'], name, value)


                                class Periodic(Entity):
                                    """
                                    Define periodic registrations for the group
                                    
                                    .. attribute:: crl
                                    
                                    	On every new CRL
                                    	**type**\:  :py:class:`Crl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic.Crl>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic, self).__init__()

                                        self.yang_name = "periodic"
                                        self.yang_parent_name = "registration"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"crl" : ("crl", Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic.Crl)}
                                        self._child_list_classes = {}

                                        self.crl = Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic.Crl()
                                        self.crl.parent = self
                                        self._children_name_map["crl"] = "crl"
                                        self._children_yang_names.add("crl")
                                        self._segment_path = lambda: "periodic"


                                    class Crl(Entity):
                                        """
                                        On every new CRL
                                        
                                        .. attribute:: trustpoint
                                        
                                        	For a PKI trustpoint
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-crypto'
                                        _revision = '2017-05-10'

                                        def __init__(self):
                                            super(Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic.Crl, self).__init__()

                                            self.yang_name = "crl"
                                            self.yang_parent_name = "periodic"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.trustpoint = YLeaf(YType.empty, "trustpoint")
                                            self._segment_path = lambda: "crl"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Default.Registration.Periodic.Crl, ['trustpoint'], name, value)


                            class Rekey(Entity):
                                """
                                Configure rekey policy for the group
                                
                                .. attribute:: acknowledgement
                                
                                	Request group members to acknowledge rekeys
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: address
                                
                                	Define the rekey packet format
                                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Address>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: algorithm
                                
                                	Set the rekey encryption algorithm
                                	**type**\:  :py:class:`Algorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Algorithm>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: authentication
                                
                                	Identify the rekey authentication keypair
                                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Authentication>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: lifetime
                                
                                	Define the rekey lifetime
                                	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Lifetime>`
                                
                                .. attribute:: retransmit
                                
                                	Define the rekey retransmission parameters
                                	**type**\:  :py:class:`Retransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Retransmit>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sig_hash
                                
                                	Set rekey signature\-hash parameters
                                	**type**\:  :py:class:`SigHash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.SigHash>`
                                
                                .. attribute:: transport
                                
                                	Specify the rekey distribution method
                                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Transport>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Default.Rekey, self).__init__()

                                    self.yang_name = "rekey"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"address" : ("address", Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Address), "algorithm" : ("algorithm", Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Algorithm), "authentication" : ("authentication", Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Authentication), "lifetime" : ("lifetime", Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Lifetime), "retransmit" : ("retransmit", Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Retransmit), "sig-hash" : ("sig_hash", Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.SigHash), "transport" : ("transport", Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Transport)}
                                    self._child_list_classes = {}

                                    self.acknowledgement = YLeaf(YType.empty, "acknowledgement")

                                    self.address = None
                                    self._children_name_map["address"] = "address"
                                    self._children_yang_names.add("address")

                                    self.algorithm = None
                                    self._children_name_map["algorithm"] = "algorithm"
                                    self._children_yang_names.add("algorithm")

                                    self.authentication = None
                                    self._children_name_map["authentication"] = "authentication"
                                    self._children_yang_names.add("authentication")

                                    self.lifetime = Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Lifetime()
                                    self.lifetime.parent = self
                                    self._children_name_map["lifetime"] = "lifetime"
                                    self._children_yang_names.add("lifetime")

                                    self.retransmit = None
                                    self._children_name_map["retransmit"] = "retransmit"
                                    self._children_yang_names.add("retransmit")

                                    self.sig_hash = Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.SigHash()
                                    self.sig_hash.parent = self
                                    self._children_name_map["sig_hash"] = "sig-hash"
                                    self._children_yang_names.add("sig-hash")

                                    self.transport = Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Transport()
                                    self.transport.parent = self
                                    self._children_name_map["transport"] = "transport"
                                    self._children_yang_names.add("transport")
                                    self._segment_path = lambda: "rekey"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Default.Rekey, ['acknowledgement'], name, value)


                                class Address(Entity):
                                    """
                                    Define the rekey packet format
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Address, self).__init__()

                                        self.yang_name = "address"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "address"


                                class Algorithm(Entity):
                                    """
                                    Set the rekey encryption algorithm
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Algorithm, self).__init__()

                                        self.yang_name = "algorithm"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "algorithm"


                                class Authentication(Entity):
                                    """
                                    Identify the rekey authentication keypair
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Authentication, self).__init__()

                                        self.yang_name = "authentication"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "authentication"


                                class Lifetime(Entity):
                                    """
                                    Define the rekey lifetime
                                    
                                    .. attribute:: days
                                    
                                    	Time\-based key duration in days
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: seconds
                                    
                                    	Time\-based key duration in seconds
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Lifetime, self).__init__()

                                        self.yang_name = "lifetime"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.days = YLeaf(YType.empty, "days")

                                        self.seconds = YLeaf(YType.empty, "seconds")
                                        self._segment_path = lambda: "lifetime"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Lifetime, ['days', 'seconds'], name, value)


                                class Retransmit(Entity):
                                    """
                                    Define the rekey retransmission parameters
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Retransmit, self).__init__()

                                        self.yang_name = "retransmit"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "retransmit"


                                class SigHash(Entity):
                                    """
                                    Set rekey signature\-hash parameters
                                    
                                    .. attribute:: algorithm
                                    
                                    	Set the rekey signature\-hash algorithm
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.SigHash, self).__init__()

                                        self.yang_name = "sig-hash"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.algorithm = YLeaf(YType.empty, "algorithm")
                                        self._segment_path = lambda: "sig-hash"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.SigHash, ['algorithm'], name, value)


                                class Transport(Entity):
                                    """
                                    Specify the rekey distribution method
                                    
                                    .. attribute:: unicast
                                    
                                    	specify unicast rekey distribution
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Transport, self).__init__()

                                        self.yang_name = "transport"
                                        self.yang_parent_name = "rekey"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unicast = YLeaf(YType.empty, "unicast")
                                        self._segment_path = lambda: "transport"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Default.Rekey.Transport, ['unicast'], name, value)


                            class Sa(Entity):
                                """
                                Configure a security association
                                
                                .. attribute:: d3p
                                
                                	Enable IP delivery delay detection protocol for all SAs within the group
                                	**type**\:  :py:class:`D3P <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Sa.D3P>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipsec
                                
                                	Configure an IPsec SA
                                	**type**\: list of  		 :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Sa.Ipsec>`
                                
                                .. attribute:: pair_wise_keying
                                
                                	Enable KGS pair\-wise\-keying
                                	**type**\:  :py:class:`PairWiseKeying <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Server.Local.Default.Sa.PairWiseKeying>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: receive_only
                                
                                	Configure SA to work only in inbound direction
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Server.Local.Default.Sa, self).__init__()

                                    self.yang_name = "sa"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"d3p" : ("d3p", Native.Crypto.Gkm.Group.Server.Local.Default.Sa.D3P), "pair-wise-keying" : ("pair_wise_keying", Native.Crypto.Gkm.Group.Server.Local.Default.Sa.PairWiseKeying)}
                                    self._child_list_classes = {"ipsec" : ("ipsec", Native.Crypto.Gkm.Group.Server.Local.Default.Sa.Ipsec)}

                                    self.receive_only = YLeaf(YType.empty, "receive-only")

                                    self.d3p = None
                                    self._children_name_map["d3p"] = "d3p"
                                    self._children_yang_names.add("d3p")

                                    self.pair_wise_keying = None
                                    self._children_name_map["pair_wise_keying"] = "pair-wise-keying"
                                    self._children_yang_names.add("pair-wise-keying")

                                    self.ipsec = YList(self)
                                    self._segment_path = lambda: "sa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Default.Sa, ['receive_only'], name, value)


                                class D3P(Entity):
                                    """
                                    Enable IP delivery delay detection protocol for all SAs within the group
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Default.Sa.D3P, self).__init__()

                                        self.yang_name = "d3p"
                                        self.yang_parent_name = "sa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "d3p"


                                class Ipsec(Entity):
                                    """
                                    Configure an IPsec SA
                                    
                                    .. attribute:: sequence  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Default.Sa.Ipsec, self).__init__()

                                        self.yang_name = "ipsec"
                                        self.yang_parent_name = "sa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.sequence = YLeaf(YType.uint16, "sequence")
                                        self._segment_path = lambda: "ipsec" + "[sequence='" + self.sequence.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Gkm.Group.Server.Local.Default.Sa.Ipsec, ['sequence'], name, value)


                                class PairWiseKeying(Entity):
                                    """
                                    Enable KGS pair\-wise\-keying
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Gkm.Group.Server.Local.Default.Sa.PairWiseKeying, self).__init__()

                                        self.yang_name = "pair-wise-keying"
                                        self.yang_parent_name = "sa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "pair-wise-keying"


                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: client
                    
                    	Set the group client parameters
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client>`
                    
                    .. attribute:: identity
                    
                    	Set the identity of the group
                    	**type**\:  :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Identity>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: passive
                    
                    	Set the group in passive mode
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: server
                    
                    	Set the group server for of the group
                    	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Server>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Gkm.Group.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"client" : ("client", Native.Crypto.Gkm.Group.Default.Client), "identity" : ("identity", Native.Crypto.Gkm.Group.Default.Identity), "server" : ("server", Native.Crypto.Gkm.Group.Default.Server)}
                        self._child_list_classes = {}

                        self.passive = YLeaf(YType.empty, "passive")

                        self.client = Native.Crypto.Gkm.Group.Default.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.identity = None
                        self._children_name_map["identity"] = "identity"
                        self._children_yang_names.add("identity")

                        self.server = Native.Crypto.Gkm.Group.Default.Server()
                        self.server.parent = self
                        self._children_name_map["server"] = "server"
                        self._children_yang_names.add("server")
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Gkm.Group.Default, ['passive'], name, value)


                    class Client(Entity):
                        """
                        Set the group client parameters
                        
                        .. attribute:: bypass_policy
                        
                        	Allow group\-key management traffic sent to this GM only
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	Group Member Registration & Rekey Protocol
                        	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Protocol>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: recovery_check
                        
                        	Specify GM recovery check parameters
                        	**type**\:  :py:class:`RecoveryCheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.RecoveryCheck>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: registration
                        
                        	Set the group client management/register interface
                        	**type**\:  :py:class:`Registration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Registration>`
                        
                        .. attribute:: rekey
                        
                        	Set the group client acceptable rekey ciphers and hashs
                        	**type**\:  :py:class:`Rekey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Rekey>`
                        
                        .. attribute:: status
                        
                        	group\-member status
                        	**type**\:  :py:class:`Status <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Status>`
                        
                        .. attribute:: transform_sets
                        
                        	Specify list of group client acceptable transform sets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: transport_encrypt_key
                        
                        	Enforce group or pair\-wise keying
                        	**type**\:  :py:class:`TransportEncryptKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.TransportEncryptKey>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gkm.Group.Default.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"protocol" : ("protocol", Native.Crypto.Gkm.Group.Default.Client.Protocol), "recovery-check" : ("recovery_check", Native.Crypto.Gkm.Group.Default.Client.RecoveryCheck), "registration" : ("registration", Native.Crypto.Gkm.Group.Default.Client.Registration), "rekey" : ("rekey", Native.Crypto.Gkm.Group.Default.Client.Rekey), "status" : ("status", Native.Crypto.Gkm.Group.Default.Client.Status)}
                            self._child_list_classes = {}

                            self.bypass_policy = YLeaf(YType.empty, "bypass-policy")

                            self.transform_sets = YLeaf(YType.empty, "transform-sets")

                            self.transport_encrypt_key = YLeaf(YType.enumeration, "transport-encrypt-key")

                            self.protocol = None
                            self._children_name_map["protocol"] = "protocol"
                            self._children_yang_names.add("protocol")

                            self.recovery_check = None
                            self._children_name_map["recovery_check"] = "recovery-check"
                            self._children_yang_names.add("recovery-check")

                            self.registration = Native.Crypto.Gkm.Group.Default.Client.Registration()
                            self.registration.parent = self
                            self._children_name_map["registration"] = "registration"
                            self._children_yang_names.add("registration")

                            self.rekey = Native.Crypto.Gkm.Group.Default.Client.Rekey()
                            self.rekey.parent = self
                            self._children_name_map["rekey"] = "rekey"
                            self._children_yang_names.add("rekey")

                            self.status = Native.Crypto.Gkm.Group.Default.Client.Status()
                            self.status.parent = self
                            self._children_name_map["status"] = "status"
                            self._children_yang_names.add("status")
                            self._segment_path = lambda: "client"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gkm.Group.Default.Client, ['bypass_policy', 'transform_sets', 'transport_encrypt_key'], name, value)

                        class TransportEncryptKey(Enum):
                            """
                            TransportEncryptKey

                            Enforce group or pair\-wise keying

                            .. data:: group_key = 0

                            .. data:: pair_wise_key = 1

                            """

                            group_key = Enum.YLeaf(0, "group-key")

                            pair_wise_key = Enum.YLeaf(1, "pair-wise-key")



                        class Protocol(Entity):
                            """
                            Group Member Registration & Rekey Protocol
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Default.Client.Protocol, self).__init__()

                                self.yang_name = "protocol"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "protocol"


                        class RecoveryCheck(Entity):
                            """
                            Specify GM recovery check parameters
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Default.Client.RecoveryCheck, self).__init__()

                                self.yang_name = "recovery-check"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "recovery-check"


                        class Registration(Entity):
                            """
                            Set the group client management/register interface
                            
                            .. attribute:: interface
                            
                            	Set the group client management/register interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Default.Client.Registration, self).__init__()

                                self.yang_name = "registration"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interface = YLeaf(YType.empty, "interface")
                                self._segment_path = lambda: "registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gkm.Group.Default.Client.Registration, ['interface'], name, value)


                        class Rekey(Entity):
                            """
                            Set the group client acceptable rekey ciphers and hashs
                            
                            .. attribute:: encryption
                            
                            	Set the group client acceptable rekey ciphers
                            	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Rekey.Encryption>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: hash
                            
                            	Set the group client acceptable rekey hash
                            	**type**\:  :py:class:`Hash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Rekey.Hash>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Default.Client.Rekey, self).__init__()

                                self.yang_name = "rekey"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"encryption" : ("encryption", Native.Crypto.Gkm.Group.Default.Client.Rekey.Encryption), "hash" : ("hash", Native.Crypto.Gkm.Group.Default.Client.Rekey.Hash)}
                                self._child_list_classes = {}

                                self.encryption = None
                                self._children_name_map["encryption"] = "encryption"
                                self._children_yang_names.add("encryption")

                                self.hash = None
                                self._children_name_map["hash"] = "hash"
                                self._children_yang_names.add("hash")
                                self._segment_path = lambda: "rekey"


                            class Encryption(Entity):
                                """
                                Set the group client acceptable rekey ciphers
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Default.Client.Rekey.Encryption, self).__init__()

                                    self.yang_name = "encryption"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "encryption"


                            class Hash(Entity):
                                """
                                Set the group client acceptable rekey hash
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Default.Client.Rekey.Hash, self).__init__()

                                    self.yang_name = "hash"
                                    self.yang_parent_name = "rekey"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "hash"


                        class Status(Entity):
                            """
                            group\-member status
                            
                            .. attribute:: active_sa
                            
                            	TEK SA with positive remaining lifetime
                            	**type**\:  :py:class:`ActiveSa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Client.Status.ActiveSa>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Default.Client.Status, self).__init__()

                                self.yang_name = "status"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"active-sa" : ("active_sa", Native.Crypto.Gkm.Group.Default.Client.Status.ActiveSa)}
                                self._child_list_classes = {}

                                self.active_sa = None
                                self._children_name_map["active_sa"] = "active-sa"
                                self._children_yang_names.add("active-sa")
                                self._segment_path = lambda: "status"


                            class ActiveSa(Entity):
                                """
                                TEK SA with positive remaining lifetime
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Gkm.Group.Default.Client.Status.ActiveSa, self).__init__()

                                    self.yang_name = "active-sa"
                                    self.yang_parent_name = "status"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "active-sa"


                    class Identity(Entity):
                        """
                        Set the identity of the group
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gkm.Group.Default.Identity, self).__init__()

                            self.yang_name = "identity"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "identity"


                    class Server(Entity):
                        """
                        Set the group server for of the group
                        
                        .. attribute:: address
                        
                        	Identify the group server by address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Server.Address>`
                        
                        .. attribute:: hostname
                        
                        	Identify the group server by hostname
                        	**type**\:  :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Gkm.Group.Default.Server.Hostname>`
                        
                        .. attribute:: local
                        
                        	Configure GKM group server defined locally
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Gkm.Group.Default.Server, self).__init__()

                            self.yang_name = "server"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Crypto.Gkm.Group.Default.Server.Address), "hostname" : ("hostname", Native.Crypto.Gkm.Group.Default.Server.Hostname)}
                            self._child_list_classes = {}

                            self.local = YLeaf(YType.empty, "local")

                            self.address = Native.Crypto.Gkm.Group.Default.Server.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")

                            self.hostname = Native.Crypto.Gkm.Group.Default.Server.Hostname()
                            self.hostname.parent = self
                            self._children_name_map["hostname"] = "hostname"
                            self._children_yang_names.add("hostname")
                            self._segment_path = lambda: "server"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Gkm.Group.Default.Server, ['local'], name, value)


                        class Address(Entity):
                            """
                            Identify the group server by address
                            
                            .. attribute:: ipv4
                            
                            	Set the IPv4 address of the group server
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Default.Server.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gkm.Group.Default.Server.Address, ['ipv4'], name, value)


                        class Hostname(Entity):
                            """
                            Identify the group server by hostname
                            
                            .. attribute:: ipv4
                            
                            	Set the IPv4 hostname of the group server
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Gkm.Group.Default.Server.Hostname, self).__init__()

                                self.yang_name = "hostname"
                                self.yang_parent_name = "server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")
                                self._segment_path = lambda: "hostname"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Gkm.Group.Default.Server.Hostname, ['ipv4'], name, value)


        class Identity(Entity):
            """
            Enter a crypto identity list
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Identity.Default>`
            
            .. attribute:: description
            
            	Description of the crypto identity
            	**type**\: str
            
            .. attribute:: dn
            
            	Distinguished name identifier
            	**type**\: str
            
            .. attribute:: fqdn
            
            	Fully qualified distinguished name identifier
            	**type**\: str
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Identity, self).__init__()

                self.yang_name = "identity"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"default" : ("default", Native.Crypto.Identity.Default)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.description = YLeaf(YType.str, "description")

                self.dn = YLeaf(YType.str, "dn")

                self.fqdn = YLeaf(YType.str, "fqdn")

                self.default = Native.Crypto.Identity.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:identity" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.Identity, ['name', 'description', 'dn', 'fqdn'], name, value)


            class Default(Entity):
                """
                Set a command to its defaults
                
                .. attribute:: description
                
                	Description of the crypto identity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dn
                
                	Distinguished name identifier
                	**type**\: str
                
                .. attribute:: fqdn
                
                	Fully qualified distinguished name identifier
                	**type**\: str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Identity.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "identity"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.empty, "description")

                    self.dn = YLeaf(YType.str, "dn")

                    self.fqdn = YLeaf(YType.str, "fqdn")
                    self._segment_path = lambda: "default"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Identity.Default, ['description', 'dn', 'fqdn'], name, value)


        class Ipsec(Entity):
            """
            Configure IPSEC policy
            
            .. attribute:: df_bit
            
            	Handling of encapsulated DF bit
            	**type**\:  :py:class:`DfBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.DfBit>`
            
            .. attribute:: fragmentation
            
            	Handling of fragmentation of near\-MTU sized packets
            	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Fragmentation>`
            
            .. attribute:: ipv4_deny
            
            	Configure global ipv4 deny policy
            	**type**\:  :py:class:`Ipv4Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Ipv4Deny>`
            
            .. attribute:: nat_transparency
            
            	IPsec NAT transparency model
            	**type**\:  :py:class:`NatTransparency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.NatTransparency>`
            
            .. attribute:: optional
            
            	Enable optional encryption for IPSec
            	**type**\:  :py:class:`Optional <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Optional>`
            
            	**presence node**\: True
            
            .. attribute:: profile
            
            	Configure an ipsec policy profile
            	**type**\: list of  		 :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile>`
            
            .. attribute:: security_association
            
            	Security association parameters
            	**type**\:  :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation>`
            
            .. attribute:: transform_set
            
            	Define transform and settings
            	**type**\: list of  		 :py:class:`TransformSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Ipsec, self).__init__()

                self.yang_name = "ipsec"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"optional" : ("optional", Native.Crypto.Ipsec.Optional), "security-association" : ("security_association", Native.Crypto.Ipsec.SecurityAssociation)}
                self._child_list_classes = {"profile" : ("profile", Native.Crypto.Ipsec.Profile), "transform-set" : ("transform_set", Native.Crypto.Ipsec.TransformSet)}

                self.df_bit = YLeaf(YType.enumeration, "df-bit")

                self.fragmentation = YLeaf(YType.enumeration, "fragmentation")

                self.ipv4_deny = YLeaf(YType.enumeration, "ipv4-deny")

                self.nat_transparency = YLeaf(YType.enumeration, "nat-transparency")

                self.optional = None
                self._children_name_map["optional"] = "optional"
                self._children_yang_names.add("optional")

                self.security_association = Native.Crypto.Ipsec.SecurityAssociation()
                self.security_association.parent = self
                self._children_name_map["security_association"] = "security-association"
                self._children_yang_names.add("security-association")

                self.profile = YList(self)
                self.transform_set = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:ipsec"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.Ipsec, ['df_bit', 'fragmentation', 'ipv4_deny', 'nat_transparency'], name, value)

            class DfBit(Enum):
                """
                DfBit

                Handling of encapsulated DF bit.

                .. data:: clear = 0

                .. data:: copy = 1

                .. data:: set = 2

                """

                clear = Enum.YLeaf(0, "clear")

                copy = Enum.YLeaf(1, "copy")

                set = Enum.YLeaf(2, "set")


            class Fragmentation(Enum):
                """
                Fragmentation

                Handling of fragmentation of near\-MTU sized packets

                .. data:: after_encryption = 0

                .. data:: before_encryption = 1

                """

                after_encryption = Enum.YLeaf(0, "after-encryption")

                before_encryption = Enum.YLeaf(1, "before-encryption")


            class Ipv4Deny(Enum):
                """
                Ipv4Deny

                Configure global ipv4 deny policy.

                .. data:: clear = 0

                .. data:: drop = 1

                .. data:: jump = 2

                """

                clear = Enum.YLeaf(0, "clear")

                drop = Enum.YLeaf(1, "drop")

                jump = Enum.YLeaf(2, "jump")


            class NatTransparency(Enum):
                """
                NatTransparency

                IPsec NAT transparency model

                .. data:: spi_matching = 0

                .. data:: udp_encapsulation = 1

                """

                spi_matching = Enum.YLeaf(0, "spi-matching")

                udp_encapsulation = Enum.YLeaf(1, "udp-encapsulation")



            class Optional(Entity):
                """
                Enable optional encryption for IPSec
                
                .. attribute:: retry
                
                	Configure length of IPSec retry interval
                	**type**\: int
                
                	**range:** 60..86400
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ipsec.Optional, self).__init__()

                    self.yang_name = "optional"
                    self.yang_parent_name = "ipsec"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.retry = YLeaf(YType.uint32, "retry")
                    self._segment_path = lambda: "optional"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ipsec/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ipsec.Optional, ['retry'], name, value)


            class Profile(Entity):
                """
                Configure an ipsec policy profile
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default>`
                
                .. attribute:: description
                
                	Description of the crypto map statement policy
                	**type**\: str
                
                .. attribute:: dialer
                
                	Dialer related commands
                	**type**\:  :py:class:`Dialer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Dialer>`
                
                .. attribute:: redundancy
                
                	Configure HA for this ipsec profile
                	**type**\:  :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Redundancy>`
                
                .. attribute:: responder_only
                
                	Do not initiate SAs from this device
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set
                
                	Set values for encryption/decryption
                	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ipsec.Profile, self).__init__()

                    self.yang_name = "profile"
                    self.yang_parent_name = "ipsec"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Crypto.Ipsec.Profile.Default), "dialer" : ("dialer", Native.Crypto.Ipsec.Profile.Dialer), "redundancy" : ("redundancy", Native.Crypto.Ipsec.Profile.Redundancy), "set" : ("set", Native.Crypto.Ipsec.Profile.Set)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.description = YLeaf(YType.str, "description")

                    self.responder_only = YLeaf(YType.empty, "responder-only")

                    self.default = Native.Crypto.Ipsec.Profile.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.dialer = Native.Crypto.Ipsec.Profile.Dialer()
                    self.dialer.parent = self
                    self._children_name_map["dialer"] = "dialer"
                    self._children_yang_names.add("dialer")

                    self.redundancy = Native.Crypto.Ipsec.Profile.Redundancy()
                    self.redundancy.parent = self
                    self._children_name_map["redundancy"] = "redundancy"
                    self._children_yang_names.add("redundancy")

                    self.set = Native.Crypto.Ipsec.Profile.Set()
                    self.set.parent = self
                    self._children_name_map["set"] = "set"
                    self._children_yang_names.add("set")
                    self._segment_path = lambda: "profile" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ipsec/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ipsec.Profile, ['name', 'description', 'responder_only'], name, value)


                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: description
                    
                    	Description of the crypto map statement policy
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dialer
                    
                    	Dialer related commands
                    	**type**\:  :py:class:`Dialer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Dialer>`
                    
                    .. attribute:: redundancy
                    
                    	Configure HA for this ipsec profile
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: responder_only
                    
                    	Do not initiate SAs from this device
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: set
                    
                    	Set values for encryption/decryption
                    	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ipsec.Profile.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dialer" : ("dialer", Native.Crypto.Ipsec.Profile.Default.Dialer), "set" : ("set", Native.Crypto.Ipsec.Profile.Default.Set)}
                        self._child_list_classes = {}

                        self.description = YLeaf(YType.empty, "description")

                        self.redundancy = YLeaf(YType.empty, "redundancy")

                        self.responder_only = YLeaf(YType.empty, "responder-only")

                        self.dialer = Native.Crypto.Ipsec.Profile.Default.Dialer()
                        self.dialer.parent = self
                        self._children_name_map["dialer"] = "dialer"
                        self._children_yang_names.add("dialer")

                        self.set = Native.Crypto.Ipsec.Profile.Default.Set()
                        self.set.parent = self
                        self._children_name_map["set"] = "set"
                        self._children_yang_names.add("set")
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ipsec.Profile.Default, ['description', 'redundancy', 'responder_only'], name, value)


                    class Dialer(Entity):
                        """
                        Dialer related commands
                        
                        .. attribute:: pre_classify
                        
                        	Enable dialer list classification before initiating IKE
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ipsec.Profile.Default.Dialer, self).__init__()

                            self.yang_name = "dialer"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.pre_classify = YLeaf(YType.empty, "pre-classify")
                            self._segment_path = lambda: "dialer"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ipsec.Profile.Default.Dialer, ['pre_classify'], name, value)


                    class Set(Entity):
                        """
                        Set values for encryption/decryption
                        
                        .. attribute:: group
                        
                        	Set the san group parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: identity
                        
                        	Identity restriction
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ikev2_profile
                        
                        	Specify ikev2 Profile
                        	**type**\: str
                        
                        .. attribute:: isakmp_profile
                        
                        	Specify isakmp Profile
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mixed_mode
                        
                        	Turn on IPSec mixed\-mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pfs
                        
                        	Specify pfs settings
                        	**type**\:  :py:class:`Pfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.Pfs>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: reverse_route
                        
                        	Reverse Route Injection
                        	**type**\:  :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.ReverseRoute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: security_association
                        
                        	Security association parameters
                        	**type**\:  :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation>`
                        
                        .. attribute:: security_policy
                        
                        	Maximum number of Security Policy entries that can be negotiated with the peer
                        	**type**\:  :py:class:`SecurityPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityPolicy>`
                        
                        .. attribute:: transform_set
                        
                        	Specify list of transform sets in priority order
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ipsec.Profile.Default.Set, self).__init__()

                            self.yang_name = "set"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"pfs" : ("pfs", Native.Crypto.Ipsec.Profile.Default.Set.Pfs), "reverse-route" : ("reverse_route", Native.Crypto.Ipsec.Profile.Default.Set.ReverseRoute), "security-association" : ("security_association", Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation), "security-policy" : ("security_policy", Native.Crypto.Ipsec.Profile.Default.Set.SecurityPolicy)}
                            self._child_list_classes = {}

                            self.group = YLeaf(YType.empty, "group")

                            self.identity = YLeaf(YType.empty, "identity")

                            self.ikev2_profile = YLeaf(YType.str, "ikev2-profile")

                            self.isakmp_profile = YLeaf(YType.empty, "isakmp-profile")

                            self.mixed_mode = YLeaf(YType.empty, "mixed-mode")

                            self.transform_set = YLeaf(YType.empty, "transform-set")

                            self.pfs = None
                            self._children_name_map["pfs"] = "pfs"
                            self._children_yang_names.add("pfs")

                            self.reverse_route = None
                            self._children_name_map["reverse_route"] = "reverse-route"
                            self._children_yang_names.add("reverse-route")

                            self.security_association = Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation()
                            self.security_association.parent = self
                            self._children_name_map["security_association"] = "security-association"
                            self._children_yang_names.add("security-association")

                            self.security_policy = Native.Crypto.Ipsec.Profile.Default.Set.SecurityPolicy()
                            self.security_policy.parent = self
                            self._children_name_map["security_policy"] = "security-policy"
                            self._children_yang_names.add("security-policy")
                            self._segment_path = lambda: "set"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ipsec.Profile.Default.Set, ['group', 'identity', 'ikev2_profile', 'isakmp_profile', 'mixed_mode', 'transform_set'], name, value)


                        class Pfs(Entity):
                            """
                            Specify pfs settings
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ipsec.Profile.Default.Set.Pfs, self).__init__()

                                self.yang_name = "pfs"
                                self.yang_parent_name = "set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "pfs"


                        class ReverseRoute(Entity):
                            """
                            Reverse Route Injection
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ipsec.Profile.Default.Set.ReverseRoute, self).__init__()

                                self.yang_name = "reverse-route"
                                self.yang_parent_name = "set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-route"


                        class SecurityAssociation(Entity):
                            """
                            Security association parameters
                            
                            .. attribute:: dfbit
                            
                            	Handling of encapsulated DF bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dummy
                            
                            	Enable transmitting dummy packets
                            	**type**\:  :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Dummy>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ecn
                            
                            	Handling of ECN bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: idle_time_container
                            
                            	
                            	**type**\:  :py:class:`IdleTimeContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.IdleTimeContainer>`
                            
                            .. attribute:: level
                            
                            	specify a security association granularity level for identities
                            	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Level>`
                            
                            .. attribute:: lifetime
                            
                            	security association lifetime
                            	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Lifetime>`
                            
                            .. attribute:: replay
                            
                            	Set replay checking
                            	**type**\:  :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Replay>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation, self).__init__()

                                self.yang_name = "security-association"
                                self.yang_parent_name = "set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dummy" : ("dummy", Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Dummy), "idle-time-container" : ("idle_time_container", Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.IdleTimeContainer), "lifetime" : ("lifetime", Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Lifetime), "replay" : ("replay", Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Replay)}
                                self._child_list_classes = {}

                                self.dfbit = YLeaf(YType.empty, "dfbit")

                                self.ecn = YLeaf(YType.empty, "ecn")

                                self.level = YLeaf(YType.enumeration, "level")

                                self.dummy = None
                                self._children_name_map["dummy"] = "dummy"
                                self._children_yang_names.add("dummy")

                                self.idle_time_container = Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.IdleTimeContainer()
                                self.idle_time_container.parent = self
                                self._children_name_map["idle_time_container"] = "idle-time-container"
                                self._children_yang_names.add("idle-time-container")

                                self.lifetime = Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Lifetime()
                                self.lifetime.parent = self
                                self._children_name_map["lifetime"] = "lifetime"
                                self._children_yang_names.add("lifetime")

                                self.replay = Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Replay()
                                self.replay.parent = self
                                self._children_name_map["replay"] = "replay"
                                self._children_yang_names.add("replay")
                                self._segment_path = lambda: "security-association"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation, ['dfbit', 'ecn', 'level'], name, value)

                            class Level(Enum):
                                """
                                Level

                                specify a security association granularity level for identities

                                .. data:: per_host = 0

                                """

                                per_host = Enum.YLeaf(0, "per-host")



                            class Dummy(Entity):
                                """
                                Enable transmitting dummy packets
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Dummy, self).__init__()

                                    self.yang_name = "dummy"
                                    self.yang_parent_name = "security-association"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "dummy"


                            class IdleTimeContainer(Entity):
                                """
                                
                                
                                .. attribute:: idle_time
                                
                                	Automatically delete IPSec SAs after a given idle period
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: default
                                
                                	All SAs idle\-out reset to default peer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.IdleTimeContainer, self).__init__()

                                    self.yang_name = "idle-time-container"
                                    self.yang_parent_name = "security-association"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.idle_time = YLeaf(YType.empty, "idle-time")

                                    self.default = YLeaf(YType.empty, "default")
                                    self._segment_path = lambda: "idle-time-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.IdleTimeContainer, ['idle_time', 'default'], name, value)


                            class Lifetime(Entity):
                                """
                                security association lifetime
                                
                                .. attribute:: days
                                
                                	Time\-based key duration in days
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: kilobytes
                                
                                	Volume\-based key duration
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: seconds
                                
                                	Time\-based key duration in seconds
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Lifetime, self).__init__()

                                    self.yang_name = "lifetime"
                                    self.yang_parent_name = "security-association"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.days = YLeaf(YType.empty, "days")

                                    self.kilobytes = YLeaf(YType.empty, "kilobytes")

                                    self.seconds = YLeaf(YType.empty, "seconds")
                                    self._segment_path = lambda: "lifetime"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Lifetime, ['days', 'kilobytes', 'seconds'], name, value)


                            class Replay(Entity):
                                """
                                Set replay checking.
                                
                                .. attribute:: disable
                                
                                	Disable replay checking
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: window_size
                                
                                	Set replay window size
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Replay, self).__init__()

                                    self.yang_name = "replay"
                                    self.yang_parent_name = "security-association"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.disable = YLeaf(YType.empty, "disable")

                                    self.window_size = YLeaf(YType.empty, "window-size")
                                    self._segment_path = lambda: "replay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Ipsec.Profile.Default.Set.SecurityAssociation.Replay, ['disable', 'window_size'], name, value)


                        class SecurityPolicy(Entity):
                            """
                            Maximum number of Security Policy entries that can be negotiated with the peer
                            
                            .. attribute:: limit
                            
                            	limit  0 \- 50000
                            	**type**\: int
                            
                            	**range:** 0..50000
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ipsec.Profile.Default.Set.SecurityPolicy, self).__init__()

                                self.yang_name = "security-policy"
                                self.yang_parent_name = "set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")
                                self._segment_path = lambda: "security-policy"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ipsec.Profile.Default.Set.SecurityPolicy, ['limit'], name, value)


                class Dialer(Entity):
                    """
                    Dialer related commands
                    
                    .. attribute:: pre_classify
                    
                    	Enable dialer list classification before initiating IKE
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ipsec.Profile.Dialer, self).__init__()

                        self.yang_name = "dialer"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pre_classify = YLeaf(YType.empty, "pre-classify")
                        self._segment_path = lambda: "dialer"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ipsec.Profile.Dialer, ['pre_classify'], name, value)


                class Redundancy(Entity):
                    """
                    Configure HA for this ipsec profile
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: stateful
                    
                    	enable stateful failover
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ipsec.Profile.Redundancy, self).__init__()

                        self.yang_name = "redundancy"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.stateful = YLeaf(YType.empty, "stateful")
                        self._segment_path = lambda: "redundancy"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ipsec.Profile.Redundancy, ['name', 'stateful'], name, value)


                class Set(Entity):
                    """
                    Set values for encryption/decryption
                    
                    .. attribute:: group
                    
                    	Set the san group parameters
                    	**type**\: str
                    
                    .. attribute:: identity
                    
                    	Identity restriction
                    	**type**\: str
                    
                    .. attribute:: ikev2_profile
                    
                    	Specify ikev2 Profile
                    	**type**\: str
                    
                    .. attribute:: isakmp_profile
                    
                    	Specify isakmp Profile
                    	**type**\: str
                    
                    .. attribute:: peer
                    
                    	Allowed Encryption/Decryption peer
                    	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.Peer>`
                    
                    .. attribute:: pfs
                    
                    	Specify pfs settings
                    	**type**\:  :py:class:`Pfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.Pfs>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: reverse_route
                    
                    	Reverse Route Injection
                    	**type**\:  :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.ReverseRoute>`
                    
                    .. attribute:: transform_set
                    
                    	Specify list of transform sets in priority order
                    	**type**\: list of str
                    
                    .. attribute:: mixed_mode
                    
                    	Turn on IPSec mixed\-mode
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: security_association
                    
                    	Security association parameters
                    	**type**\:  :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation>`
                    
                    .. attribute:: security_policy
                    
                    	Maximum number of Security Policy entries that can be negotiated with the peer
                    	**type**\:  :py:class:`SecurityPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityPolicy>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ipsec.Profile.Set, self).__init__()

                        self.yang_name = "set"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"peer" : ("peer", Native.Crypto.Ipsec.Profile.Set.Peer), "pfs" : ("pfs", Native.Crypto.Ipsec.Profile.Set.Pfs), "reverse-route" : ("reverse_route", Native.Crypto.Ipsec.Profile.Set.ReverseRoute), "security-association" : ("security_association", Native.Crypto.Ipsec.Profile.Set.SecurityAssociation), "security-policy" : ("security_policy", Native.Crypto.Ipsec.Profile.Set.SecurityPolicy)}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.identity = YLeaf(YType.str, "identity")

                        self.ikev2_profile = YLeaf(YType.str, "ikev2-profile")

                        self.isakmp_profile = YLeaf(YType.str, "isakmp-profile")

                        self.transform_set = YLeafList(YType.str, "transform-set")

                        self.mixed_mode = YLeaf(YType.empty, "mixed-mode")

                        self.peer = Native.Crypto.Ipsec.Profile.Set.Peer()
                        self.peer.parent = self
                        self._children_name_map["peer"] = "peer"
                        self._children_yang_names.add("peer")

                        self.pfs = None
                        self._children_name_map["pfs"] = "pfs"
                        self._children_yang_names.add("pfs")

                        self.reverse_route = Native.Crypto.Ipsec.Profile.Set.ReverseRoute()
                        self.reverse_route.parent = self
                        self._children_name_map["reverse_route"] = "reverse-route"
                        self._children_yang_names.add("reverse-route")

                        self.security_association = Native.Crypto.Ipsec.Profile.Set.SecurityAssociation()
                        self.security_association.parent = self
                        self._children_name_map["security_association"] = "security-association"
                        self._children_yang_names.add("security-association")

                        self.security_policy = Native.Crypto.Ipsec.Profile.Set.SecurityPolicy()
                        self.security_policy.parent = self
                        self._children_name_map["security_policy"] = "security-policy"
                        self._children_yang_names.add("security-policy")
                        self._segment_path = lambda: "set"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ipsec.Profile.Set, ['group', 'identity', 'ikev2_profile', 'isakmp_profile', 'transform_set', 'mixed_mode'], name, value)


                    class Peer(Entity):
                        """
                        Allowed Encryption/Decryption peer.
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: default
                        
                        	Reset to default peer in list in the event of a failure
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic
                        
                        	Resolve the peer address at the time of negotiation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ipsec.Profile.Set.Peer, self).__init__()

                            self.yang_name = "peer"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.default = YLeaf(YType.empty, "default")

                            self.dynamic = YLeaf(YType.empty, "dynamic")
                            self._segment_path = lambda: "peer"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ipsec.Profile.Set.Peer, ['address', 'default', 'dynamic'], name, value)


                    class Pfs(Entity):
                        """
                        Specify pfs settings
                        
                        .. attribute:: group
                        
                        	
                        	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.Pfs.Group>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ipsec.Profile.Set.Pfs, self).__init__()

                            self.yang_name = "pfs"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.group = YLeaf(YType.enumeration, "group")
                            self._segment_path = lambda: "pfs"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ipsec.Profile.Set.Pfs, ['group'], name, value)

                        class Group(Enum):
                            """
                            Group

                            .. data:: group1 = 0

                            .. data:: group14 = 1

                            .. data:: group15 = 2

                            .. data:: group16 = 3

                            .. data:: group19 = 4

                            .. data:: group2 = 5

                            .. data:: group20 = 6

                            .. data:: group21 = 7

                            .. data:: group24 = 8

                            .. data:: group5 = 9

                            """

                            group1 = Enum.YLeaf(0, "group1")

                            group14 = Enum.YLeaf(1, "group14")

                            group15 = Enum.YLeaf(2, "group15")

                            group16 = Enum.YLeaf(3, "group16")

                            group19 = Enum.YLeaf(4, "group19")

                            group2 = Enum.YLeaf(5, "group2")

                            group20 = Enum.YLeaf(6, "group20")

                            group21 = Enum.YLeaf(7, "group21")

                            group24 = Enum.YLeaf(8, "group24")

                            group5 = Enum.YLeaf(9, "group5")



                    class ReverseRoute(Entity):
                        """
                        Reverse Route Injection
                        
                        .. attribute:: distance
                        
                        	Distance metric for this static route
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: tag
                        
                        	Create route and tag it
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ipsec.Profile.Set.ReverseRoute, self).__init__()

                            self.yang_name = "reverse-route"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.distance = YLeaf(YType.uint8, "distance")

                            self.tag = YLeaf(YType.uint64, "tag")
                            self._segment_path = lambda: "reverse-route"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ipsec.Profile.Set.ReverseRoute, ['distance', 'tag'], name, value)


                    class SecurityAssociation(Entity):
                        """
                        Security association parameters
                        
                        .. attribute:: dfbit
                        
                        	Handling of encapsulated DF bit
                        	**type**\:  :py:class:`Dfbit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Dfbit>`
                        
                        .. attribute:: dummy
                        
                        	Enable transmitting dummy packets
                        	**type**\:  :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Dummy>`
                        
                        .. attribute:: ecn
                        
                        	Handling of ECN bit
                        	**type**\:  :py:class:`Ecn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Ecn>`
                        
                        .. attribute:: idle_time_container
                        
                        	
                        	**type**\:  :py:class:`IdleTimeContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.IdleTimeContainer>`
                        
                        .. attribute:: lifetime
                        
                        	security association lifetime
                        	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime>`
                        
                        .. attribute:: replay
                        
                        	Set replay checking
                        	**type**\:  :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay>`
                        
                        .. attribute:: level
                        
                        	specify a security association granularity level for identities
                        	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Level>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ipsec.Profile.Set.SecurityAssociation, self).__init__()

                            self.yang_name = "security-association"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dummy" : ("dummy", Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Dummy), "idle-time-container" : ("idle_time_container", Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.IdleTimeContainer), "lifetime" : ("lifetime", Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime), "replay" : ("replay", Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay)}
                            self._child_list_classes = {}

                            self.dfbit = YLeaf(YType.enumeration, "dfbit")

                            self.ecn = YLeaf(YType.enumeration, "ecn")

                            self.level = YLeaf(YType.enumeration, "level")

                            self.dummy = Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Dummy()
                            self.dummy.parent = self
                            self._children_name_map["dummy"] = "dummy"
                            self._children_yang_names.add("dummy")

                            self.idle_time_container = Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.IdleTimeContainer()
                            self.idle_time_container.parent = self
                            self._children_name_map["idle_time_container"] = "idle-time-container"
                            self._children_yang_names.add("idle-time-container")

                            self.lifetime = Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime()
                            self.lifetime.parent = self
                            self._children_name_map["lifetime"] = "lifetime"
                            self._children_yang_names.add("lifetime")

                            self.replay = Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay()
                            self.replay.parent = self
                            self._children_name_map["replay"] = "replay"
                            self._children_yang_names.add("replay")
                            self._segment_path = lambda: "security-association"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ipsec.Profile.Set.SecurityAssociation, ['dfbit', 'ecn', 'level'], name, value)

                        class Dfbit(Enum):
                            """
                            Dfbit

                            Handling of encapsulated DF bit.

                            .. data:: clear = 0

                            .. data:: copy = 1

                            .. data:: set = 2

                            """

                            clear = Enum.YLeaf(0, "clear")

                            copy = Enum.YLeaf(1, "copy")

                            set = Enum.YLeaf(2, "set")


                        class Ecn(Enum):
                            """
                            Ecn

                            Handling of ECN bit

                            .. data:: discard = 0

                            .. data:: propagate = 1

                            """

                            discard = Enum.YLeaf(0, "discard")

                            propagate = Enum.YLeaf(1, "propagate")


                        class Level(Enum):
                            """
                            Level

                            specify a security association granularity level for identities

                            .. data:: per_host = 0

                            """

                            per_host = Enum.YLeaf(0, "per-host")



                        class Dummy(Entity):
                            """
                            Enable transmitting dummy packets
                            
                            .. attribute:: pps
                            
                            	Simulated traffic rate (in pps)
                            	**type**\: int
                            
                            	**range:** 0..25
                            
                            .. attribute:: seconds
                            
                            	Simulated traffic rate (in seconds)
                            	**type**\: int
                            
                            	**range:** 1..3600
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Dummy, self).__init__()

                                self.yang_name = "dummy"
                                self.yang_parent_name = "security-association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.pps = YLeaf(YType.uint8, "pps")

                                self.seconds = YLeaf(YType.uint16, "seconds")
                                self._segment_path = lambda: "dummy"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Dummy, ['pps', 'seconds'], name, value)


                        class IdleTimeContainer(Entity):
                            """
                            
                            
                            .. attribute:: idle_time
                            
                            	Automatically delete IPSec SAs after a given idle period
                            	**type**\: int
                            
                            	**range:** 60..86400
                            
                            .. attribute:: default
                            
                            	All SAs idle\-out reset to default peer
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.IdleTimeContainer, self).__init__()

                                self.yang_name = "idle-time-container"
                                self.yang_parent_name = "security-association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.idle_time = YLeaf(YType.uint32, "idle-time")

                                self.default = YLeaf(YType.empty, "default")
                                self._segment_path = lambda: "idle-time-container"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.IdleTimeContainer, ['idle_time', 'default'], name, value)


                        class Lifetime(Entity):
                            """
                            security association lifetime
                            
                            .. attribute:: days
                            
                            	Time\-based key duration in days
                            	**type**\: int
                            
                            	**range:** 1..30
                            
                            .. attribute:: kilobytes
                            
                            	Volume\-based key duration
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 2560..4294967295
                            
                            		**type**\:  :py:class:`Kilobytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Lifetime.Kilobytes>`
                            
                            .. attribute:: seconds
                            
                            	Time\-based key duration in seconds
                            	**type**\: int
                            
                            	**range:** 120..2592000
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime, self).__init__()

                                self.yang_name = "lifetime"
                                self.yang_parent_name = "security-association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.days = YLeaf(YType.uint8, "days")

                                self.kilobytes = YLeaf(YType.str, "kilobytes")

                                self.seconds = YLeaf(YType.uint64, "seconds")
                                self._segment_path = lambda: "lifetime"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Lifetime, ['days', 'kilobytes', 'seconds'], name, value)

                            class Kilobytes(Enum):
                                """
                                Kilobytes

                                Volume\-based key duration

                                .. data:: disable = 0

                                """

                                disable = Enum.YLeaf(0, "disable")



                        class Replay(Entity):
                            """
                            Set replay checking.
                            
                            .. attribute:: disable
                            
                            	Disable replay checking
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: window_size
                            
                            	Set replay window size
                            	**type**\:  :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay.WindowSize>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay, self).__init__()

                                self.yang_name = "replay"
                                self.yang_parent_name = "security-association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.disable = YLeaf(YType.empty, "disable")

                                self.window_size = YLeaf(YType.enumeration, "window-size")
                                self._segment_path = lambda: "replay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Ipsec.Profile.Set.SecurityAssociation.Replay, ['disable', 'window_size'], name, value)

                            class WindowSize(Enum):
                                """
                                WindowSize

                                Set replay window size.

                                .. data:: Y_1024 = 0

                                .. data:: Y_128 = 1

                                .. data:: Y_256 = 2

                                .. data:: Y_512 = 3

                                .. data:: Y_64 = 4

                                """

                                Y_1024 = Enum.YLeaf(0, "1024")

                                Y_128 = Enum.YLeaf(1, "128")

                                Y_256 = Enum.YLeaf(2, "256")

                                Y_512 = Enum.YLeaf(3, "512")

                                Y_64 = Enum.YLeaf(4, "64")



                    class SecurityPolicy(Entity):
                        """
                        Maximum number of Security Policy entries that can be negotiated with the peer
                        
                        .. attribute:: limit
                        
                        	limit  0 \- 50000
                        	**type**\: int
                        
                        	**range:** 0..50000
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ipsec.Profile.Set.SecurityPolicy, self).__init__()

                            self.yang_name = "security-policy"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.limit = YLeaf(YType.uint32, "limit")
                            self._segment_path = lambda: "security-policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ipsec.Profile.Set.SecurityPolicy, ['limit'], name, value)


            class SecurityAssociation(Entity):
                """
                Security association parameters
                
                .. attribute:: dummy
                
                	Enable transmitting dummy packets
                	**type**\:  :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation.Dummy>`
                
                .. attribute:: ecn
                
                	Handling of ECN bit
                	**type**\:  :py:class:`Ecn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation.Ecn>`
                
                .. attribute:: idle_time
                
                	Automatically delete IPSec SAs after a given idle period
                	**type**\: int
                
                	**range:** 60..86400
                
                .. attribute:: lifetime
                
                	security association lifetime
                	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation.Lifetime>`
                
                .. attribute:: replay
                
                	Set replay checking
                	**type**\:  :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation.Replay>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ipsec.SecurityAssociation, self).__init__()

                    self.yang_name = "security-association"
                    self.yang_parent_name = "ipsec"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dummy" : ("dummy", Native.Crypto.Ipsec.SecurityAssociation.Dummy), "lifetime" : ("lifetime", Native.Crypto.Ipsec.SecurityAssociation.Lifetime), "replay" : ("replay", Native.Crypto.Ipsec.SecurityAssociation.Replay)}
                    self._child_list_classes = {}

                    self.ecn = YLeaf(YType.enumeration, "ecn")

                    self.idle_time = YLeaf(YType.uint32, "idle-time")

                    self.dummy = Native.Crypto.Ipsec.SecurityAssociation.Dummy()
                    self.dummy.parent = self
                    self._children_name_map["dummy"] = "dummy"
                    self._children_yang_names.add("dummy")

                    self.lifetime = Native.Crypto.Ipsec.SecurityAssociation.Lifetime()
                    self.lifetime.parent = self
                    self._children_name_map["lifetime"] = "lifetime"
                    self._children_yang_names.add("lifetime")

                    self.replay = Native.Crypto.Ipsec.SecurityAssociation.Replay()
                    self.replay.parent = self
                    self._children_name_map["replay"] = "replay"
                    self._children_yang_names.add("replay")
                    self._segment_path = lambda: "security-association"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ipsec/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ipsec.SecurityAssociation, ['ecn', 'idle_time'], name, value)

                class Ecn(Enum):
                    """
                    Ecn

                    Handling of ECN bit

                    .. data:: discard = 0

                    .. data:: propagate = 1

                    """

                    discard = Enum.YLeaf(0, "discard")

                    propagate = Enum.YLeaf(1, "propagate")



                class Dummy(Entity):
                    """
                    Enable transmitting dummy packets
                    
                    .. attribute:: pps
                    
                    	Simulated traffic rate (in pps)
                    	**type**\: int
                    
                    	**range:** 0..25
                    
                    .. attribute:: seconds
                    
                    	Simulated traffic rate (in seconds)
                    	**type**\: int
                    
                    	**range:** 1..3600
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ipsec.SecurityAssociation.Dummy, self).__init__()

                        self.yang_name = "dummy"
                        self.yang_parent_name = "security-association"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pps = YLeaf(YType.uint8, "pps")

                        self.seconds = YLeaf(YType.uint16, "seconds")
                        self._segment_path = lambda: "dummy"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ipsec/security-association/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ipsec.SecurityAssociation.Dummy, ['pps', 'seconds'], name, value)


                class Lifetime(Entity):
                    """
                    security association lifetime
                    
                    .. attribute:: days
                    
                    	Time\-based key duration in days
                    	**type**\: int
                    
                    	**range:** 1..30
                    
                    .. attribute:: kilobytes
                    
                    	Volume\-based key duration
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 2560..4294967295
                    
                    		**type**\:  :py:class:`Kilobytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation.Lifetime.Kilobytes>`
                    
                    .. attribute:: seconds
                    
                    	Time\-based key duration in seconds
                    	**type**\: int
                    
                    	**range:** 120..2592000
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ipsec.SecurityAssociation.Lifetime, self).__init__()

                        self.yang_name = "lifetime"
                        self.yang_parent_name = "security-association"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.days = YLeaf(YType.uint8, "days")

                        self.kilobytes = YLeaf(YType.str, "kilobytes")

                        self.seconds = YLeaf(YType.uint64, "seconds")
                        self._segment_path = lambda: "lifetime"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ipsec/security-association/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ipsec.SecurityAssociation.Lifetime, ['days', 'kilobytes', 'seconds'], name, value)

                    class Kilobytes(Enum):
                        """
                        Kilobytes

                        Volume\-based key duration

                        .. data:: disable = 0

                        """

                        disable = Enum.YLeaf(0, "disable")



                class Replay(Entity):
                    """
                    Set replay checking.
                    
                    .. attribute:: disable
                    
                    	Disable replay checking
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: window_size
                    
                    	Set replay window size
                    	**type**\:  :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.SecurityAssociation.Replay.WindowSize>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ipsec.SecurityAssociation.Replay, self).__init__()

                        self.yang_name = "replay"
                        self.yang_parent_name = "security-association"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.window_size = YLeaf(YType.enumeration, "window-size")
                        self._segment_path = lambda: "replay"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ipsec/security-association/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ipsec.SecurityAssociation.Replay, ['disable', 'window_size'], name, value)

                    class WindowSize(Enum):
                        """
                        WindowSize

                        Set replay window size.

                        .. data:: Y_1024 = 0

                        .. data:: Y_128 = 1

                        .. data:: Y_256 = 2

                        .. data:: Y_512 = 3

                        .. data:: Y_64 = 4

                        """

                        Y_1024 = Enum.YLeaf(0, "1024")

                        Y_128 = Enum.YLeaf(1, "128")

                        Y_256 = Enum.YLeaf(2, "256")

                        Y_512 = Enum.YLeaf(3, "512")

                        Y_64 = Enum.YLeaf(4, "64")



            class TransformSet(Entity):
                """
                Define transform and settings
                
                .. attribute:: tag  <key>
                
                	
                	**type**\: str
                
                .. attribute:: ah_hmac
                
                	
                	**type**\:  :py:class:`AhHmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.AhHmac>`
                
                .. attribute:: comp_lzs
                
                	IP Compression using the LZS compression algorithm
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: esp
                
                	
                	**type**\:  :py:class:`Esp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.Esp>`
                
                .. attribute:: key_bit
                
                	
                	**type**\:  :py:class:`KeyBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.KeyBit>`
                
                .. attribute:: esp_hmac
                
                	
                	**type**\:  :py:class:`EspHmac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.EspHmac>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.Default>`
                
                .. attribute:: mode
                
                	encapsulation mode (transport/tunnel)
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.Mode>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ipsec.TransformSet, self).__init__()

                    self.yang_name = "transform-set"
                    self.yang_parent_name = "ipsec"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Crypto.Ipsec.TransformSet.Default), "mode" : ("mode", Native.Crypto.Ipsec.TransformSet.Mode)}
                    self._child_list_classes = {}

                    self.tag = YLeaf(YType.str, "tag")

                    self.ah_hmac = YLeaf(YType.enumeration, "ah-hmac")

                    self.comp_lzs = YLeaf(YType.empty, "comp-lzs")

                    self.esp = YLeaf(YType.enumeration, "esp")

                    self.key_bit = YLeaf(YType.enumeration, "key-bit")

                    self.esp_hmac = YLeaf(YType.enumeration, "esp-hmac")

                    self.default = Native.Crypto.Ipsec.TransformSet.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.mode = Native.Crypto.Ipsec.TransformSet.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")
                    self._segment_path = lambda: "transform-set" + "[tag='" + self.tag.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ipsec/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ipsec.TransformSet, ['tag', 'ah_hmac', 'comp_lzs', 'esp', 'key_bit', 'esp_hmac'], name, value)

                class AhHmac(Enum):
                    """
                    AhHmac

                    .. data:: ah_md5_hmac = 0

                    .. data:: ah_sha_hmac = 1

                    .. data:: ah_sha256_hmac = 2

                    .. data:: ah_sha384_hmac = 3

                    .. data:: ah_sha512_hmac = 4

                    """

                    ah_md5_hmac = Enum.YLeaf(0, "ah-md5-hmac")

                    ah_sha_hmac = Enum.YLeaf(1, "ah-sha-hmac")

                    ah_sha256_hmac = Enum.YLeaf(2, "ah-sha256-hmac")

                    ah_sha384_hmac = Enum.YLeaf(3, "ah-sha384-hmac")

                    ah_sha512_hmac = Enum.YLeaf(4, "ah-sha512-hmac")


                class Esp(Enum):
                    """
                    Esp

                    .. data:: esp_3des = 0

                    .. data:: esp_aes = 1

                    .. data:: esp_des = 2

                    .. data:: esp_gcm = 3

                    .. data:: esp_gmac = 4

                    .. data:: esp_null = 5

                    .. data:: esp_seal = 6

                    """

                    esp_3des = Enum.YLeaf(0, "esp-3des")

                    esp_aes = Enum.YLeaf(1, "esp-aes")

                    esp_des = Enum.YLeaf(2, "esp-des")

                    esp_gcm = Enum.YLeaf(3, "esp-gcm")

                    esp_gmac = Enum.YLeaf(4, "esp-gmac")

                    esp_null = Enum.YLeaf(5, "esp-null")

                    esp_seal = Enum.YLeaf(6, "esp-seal")


                class EspHmac(Enum):
                    """
                    EspHmac

                    .. data:: esp_md5_hmac = 0

                    .. data:: esp_sha_hmac = 1

                    .. data:: esp_sha256_hmac = 2

                    .. data:: esp_sha384_hmac = 3

                    .. data:: esp_sha512_hmac = 4

                    """

                    esp_md5_hmac = Enum.YLeaf(0, "esp-md5-hmac")

                    esp_sha_hmac = Enum.YLeaf(1, "esp-sha-hmac")

                    esp_sha256_hmac = Enum.YLeaf(2, "esp-sha256-hmac")

                    esp_sha384_hmac = Enum.YLeaf(3, "esp-sha384-hmac")

                    esp_sha512_hmac = Enum.YLeaf(4, "esp-sha512-hmac")


                class KeyBit(Enum):
                    """
                    KeyBit

                    .. data:: Y_128 = 0

                    .. data:: Y_192 = 1

                    .. data:: Y_256 = 2

                    """

                    Y_128 = Enum.YLeaf(0, "128")

                    Y_192 = Enum.YLeaf(1, "192")

                    Y_256 = Enum.YLeaf(2, "256")



                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: mode
                    
                    	encapsulation mode (transport/tunnel)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ipsec.TransformSet.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "transform-set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.mode = YLeaf(YType.empty, "mode")
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ipsec.TransformSet.Default, ['mode'], name, value)


                class Mode(Entity):
                    """
                    encapsulation mode (transport/tunnel)
                    
                    .. attribute:: transport
                    
                    	transport (payload encapsulation) mode
                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ipsec.TransformSet.Mode.Transport>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: tunnel
                    
                    	tunnel (datagram encapsulation) mode
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ipsec.TransformSet.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "transform-set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"transport" : ("transport", Native.Crypto.Ipsec.TransformSet.Mode.Transport)}
                        self._child_list_classes = {}

                        self.tunnel = YLeaf(YType.empty, "tunnel")

                        self.transport = None
                        self._children_name_map["transport"] = "transport"
                        self._children_yang_names.add("transport")
                        self._segment_path = lambda: "mode"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ipsec.TransformSet.Mode, ['tunnel'], name, value)


                    class Transport(Entity):
                        """
                        transport (payload encapsulation) mode
                        
                        .. attribute:: require
                        
                        	Accept only the configured encapsulation mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Ipsec.TransformSet.Mode.Transport, self).__init__()

                            self.yang_name = "transport"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.require = YLeaf(YType.empty, "require")
                            self._segment_path = lambda: "transport"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Ipsec.TransformSet.Mode.Transport, ['require'], name, value)


        class Isakmp(Entity):
            """
            Configure ISAKMP policy
            
            .. attribute:: aggressive_mode
            
            	Disable ISAKMP aggressive mode
            	**type**\:  :py:class:`AggressiveMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.AggressiveMode>`
            
            .. attribute:: client
            
            	Set client configuration policy
            	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client>`
            
            .. attribute:: default
            
            	ISAKMP default policy
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Default>`
            
            .. attribute:: disconnect_revoked_peers
            
            	Disconnect Crypto Session with Revoked Peer
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: enable
            
            	Enable ISAKMP
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: fragmentation
            
            	IKE Fragmentation enabled if required
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: identity
            
            	Set the identity which ISAKMP will use
            	**type**\:  :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Identity>`
            
            .. attribute:: invalid_spi_recovery
            
            	Initiate IKE and send Invalid SPI Notify
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: keepalive
            
            	Set a keepalive interval for use with IOS peers
            	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Keepalive>`
            
            .. attribute:: key
            
            	Set pre\-shared key for remote peer
            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key>`
            
            .. attribute:: nat
            
            	Set a nat  keepalive interval for use with IOS peers
            	**type**\:  :py:class:`Nat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Nat>`
            
            .. attribute:: peer
            
            	Set Peer Policy
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer>`
            
            .. attribute:: policy
            
            	Set policy for an ISAKMP protection suite
            	**type**\: list of  		 :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy>`
            
            .. attribute:: profile
            
            	Define ISAKMP Profiles
            	**type**\: list of  		 :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile>`
            
            .. attribute:: xauth
            
            	Set Extended Authentication values
            	**type**\:  :py:class:`Xauth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Xauth>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Isakmp, self).__init__()

                self.yang_name = "isakmp"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"client" : ("client", Native.Crypto.Isakmp.Client), "default" : ("default", Native.Crypto.Isakmp.Default), "keepalive" : ("keepalive", Native.Crypto.Isakmp.Keepalive), "key" : ("key", Native.Crypto.Isakmp.Key), "nat" : ("nat", Native.Crypto.Isakmp.Nat), "peer" : ("peer", Native.Crypto.Isakmp.Peer), "xauth" : ("xauth", Native.Crypto.Isakmp.Xauth)}
                self._child_list_classes = {"policy" : ("policy", Native.Crypto.Isakmp.Policy), "profile" : ("profile", Native.Crypto.Isakmp.Profile)}

                self.aggressive_mode = YLeaf(YType.enumeration, "aggressive-mode")

                self.disconnect_revoked_peers = YLeaf(YType.empty, "disconnect-revoked-peers")

                self.enable = YLeaf(YType.empty, "enable")

                self.fragmentation = YLeaf(YType.empty, "fragmentation")

                self.identity = YLeaf(YType.enumeration, "identity")

                self.invalid_spi_recovery = YLeaf(YType.empty, "invalid-spi-recovery")

                self.client = Native.Crypto.Isakmp.Client()
                self.client.parent = self
                self._children_name_map["client"] = "client"
                self._children_yang_names.add("client")

                self.default = Native.Crypto.Isakmp.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.keepalive = Native.Crypto.Isakmp.Keepalive()
                self.keepalive.parent = self
                self._children_name_map["keepalive"] = "keepalive"
                self._children_yang_names.add("keepalive")

                self.key = Native.Crypto.Isakmp.Key()
                self.key.parent = self
                self._children_name_map["key"] = "key"
                self._children_yang_names.add("key")

                self.nat = Native.Crypto.Isakmp.Nat()
                self.nat.parent = self
                self._children_name_map["nat"] = "nat"
                self._children_yang_names.add("nat")

                self.peer = Native.Crypto.Isakmp.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.xauth = Native.Crypto.Isakmp.Xauth()
                self.xauth.parent = self
                self._children_name_map["xauth"] = "xauth"
                self._children_yang_names.add("xauth")

                self.policy = YList(self)
                self.profile = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:isakmp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.Isakmp, ['aggressive_mode', 'disconnect_revoked_peers', 'enable', 'fragmentation', 'identity', 'invalid_spi_recovery'], name, value)

            class AggressiveMode(Enum):
                """
                AggressiveMode

                Disable ISAKMP aggressive mode

                .. data:: disable = 0

                """

                disable = Enum.YLeaf(0, "disable")


            class Identity(Enum):
                """
                Identity

                Set the identity which ISAKMP will use

                .. data:: address = 0

                .. data:: dn = 1

                .. data:: hostname = 2

                """

                address = Enum.YLeaf(0, "address")

                dn = Enum.YLeaf(1, "dn")

                hostname = Enum.YLeaf(2, "hostname")



            class Client(Entity):
                """
                Set client configuration policy
                
                .. attribute:: configuration
                
                	Set client configuration policy
                	**type**\:  :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration>`
                
                .. attribute:: firewall
                
                	Define client firewall
                	**type**\: list of  		 :py:class:`Firewall <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Isakmp.Client, self).__init__()

                    self.yang_name = "client"
                    self.yang_parent_name = "isakmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"configuration" : ("configuration", Native.Crypto.Isakmp.Client.Configuration)}
                    self._child_list_classes = {"firewall" : ("firewall", Native.Crypto.Isakmp.Client.Firewall)}

                    self.configuration = Native.Crypto.Isakmp.Client.Configuration()
                    self.configuration.parent = self
                    self._children_name_map["configuration"] = "configuration"
                    self._children_yang_names.add("configuration")

                    self.firewall = YList(self)
                    self._segment_path = lambda: "client"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Isakmp.Client, [], name, value)


                class Configuration(Entity):
                    """
                    Set client configuration policy
                    
                    .. attribute:: address_pool
                    
                    	Set network address for client
                    	**type**\:  :py:class:`AddressPool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.AddressPool>`
                    
                    .. attribute:: browser_proxy
                    
                    	Set browser proxy attributes for client
                    	**type**\: str
                    
                    .. attribute:: group
                    
                    	Set group profile attributes for client
                    	**type**\: list of  		 :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Client.Configuration, self).__init__()

                        self.yang_name = "configuration"
                        self.yang_parent_name = "client"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"address-pool" : ("address_pool", Native.Crypto.Isakmp.Client.Configuration.AddressPool)}
                        self._child_list_classes = {"group" : ("group", Native.Crypto.Isakmp.Client.Configuration.Group)}

                        self.browser_proxy = YLeaf(YType.str, "browser-proxy")

                        self.address_pool = Native.Crypto.Isakmp.Client.Configuration.AddressPool()
                        self.address_pool.parent = self
                        self._children_name_map["address_pool"] = "address-pool"
                        self._children_yang_names.add("address-pool")

                        self.group = YList(self)
                        self._segment_path = lambda: "configuration"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/client/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Client.Configuration, ['browser_proxy'], name, value)


                    class AddressPool(Entity):
                        """
                        Set network address for client
                        
                        .. attribute:: local
                        
                        	Set a local address pool for clients
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Client.Configuration.AddressPool, self).__init__()

                            self.yang_name = "address-pool"
                            self.yang_parent_name = "configuration"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.local = YLeaf(YType.str, "local")
                            self._segment_path = lambda: "address-pool"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/client/configuration/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Client.Configuration.AddressPool, ['local'], name, value)


                    class Group(Entity):
                        """
                        Set group profile attributes for client
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: access_restrict
                        
                        	Restrict clients in this group to an interface
                        	**type**\: str
                        
                        .. attribute:: acl
                        
                        	Specify split tunneling inclusion access\-list number
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 100..199
                        
                        		**type**\: str
                        
                        			**pattern:** [a\-zA\-Z].\*
                        
                        .. attribute:: auto_update
                        
                        	Configure auto\-upgrade
                        	**type**\:  :py:class:`AutoUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.AutoUpdate>`
                        
                        .. attribute:: backup_gateway
                        
                        	Specify backup gateway
                        	**type**\: str
                        
                        .. attribute:: browser_proxy
                        
                        	Configure browser\-proxy
                        	**type**\: str
                        
                        .. attribute:: configuration
                        
                        	Push configuration to the client
                        	**type**\:  :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Configuration>`
                        
                        .. attribute:: crypto
                        
                        	Client group crypto aaa attribute list
                        	**type**\:  :py:class:`Crypto <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Crypto>`
                        
                        .. attribute:: dhcp
                        
                        	Configure DHCP parameters
                        	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Dhcp>`
                        
                        .. attribute:: dns
                        
                        	Specify DNS Addresses
                        	**type**\:  :py:class:`Dns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Dns>`
                        
                        .. attribute:: domain
                        
                        	Set default domain name to send to client
                        	**type**\: str
                        
                        .. attribute:: firewall
                        
                        	Enforce group firewall feature
                        	**type**\:  :py:class:`Firewall <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Firewall>`
                        
                        .. attribute:: group_lock
                        
                        	Enforce group lock feature
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: include_local_lan
                        
                        	Enable Local LAN Access with no split tunnel
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: key
                        
                        	pre\-shared key/IKE password
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Key>`
                        
                        .. attribute:: max_logins
                        
                        	Set maximum simultaneous logins for users in this group
                        	**type**\: int
                        
                        	**range:** 1..10
                        
                        .. attribute:: max_users
                        
                        	Set maximum number of users for this group
                        	**type**\: int
                        
                        	**range:** 1..5000
                        
                        .. attribute:: netmask
                        
                        	netmask used by the client for local connectivity
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: pfs
                        
                        	The client should propose PFS
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pool
                        
                        	Set name of address pool
                        	**type**\: str
                        
                        .. attribute:: save_password
                        
                        	Allows remote client to save XAUTH password
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: smartcard_removal_disconnect
                        
                        	Enables smartcard\-removal\-disconnect
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_dns
                        
                        	DNS name to append for resolution
                        	**type**\: str
                        
                        .. attribute:: wins
                        
                        	Specify WINS Addresses
                        	**type**\:  :py:class:`Wins <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Wins>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Client.Configuration.Group, self).__init__()

                            self.yang_name = "group"
                            self.yang_parent_name = "configuration"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"auto-update" : ("auto_update", Native.Crypto.Isakmp.Client.Configuration.Group.AutoUpdate), "configuration" : ("configuration", Native.Crypto.Isakmp.Client.Configuration.Group.Configuration), "crypto" : ("crypto", Native.Crypto.Isakmp.Client.Configuration.Group.Crypto), "dhcp" : ("dhcp", Native.Crypto.Isakmp.Client.Configuration.Group.Dhcp), "dns" : ("dns", Native.Crypto.Isakmp.Client.Configuration.Group.Dns), "firewall" : ("firewall", Native.Crypto.Isakmp.Client.Configuration.Group.Firewall), "key" : ("key", Native.Crypto.Isakmp.Client.Configuration.Group.Key), "wins" : ("wins", Native.Crypto.Isakmp.Client.Configuration.Group.Wins)}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.access_restrict = YLeaf(YType.str, "access-restrict")

                            self.acl = YLeaf(YType.str, "acl")

                            self.backup_gateway = YLeaf(YType.str, "backup-gateway")

                            self.browser_proxy = YLeaf(YType.str, "browser-proxy")

                            self.domain = YLeaf(YType.str, "domain")

                            self.group_lock = YLeaf(YType.empty, "group-lock")

                            self.include_local_lan = YLeaf(YType.empty, "include-local-lan")

                            self.max_logins = YLeaf(YType.uint8, "max-logins")

                            self.max_users = YLeaf(YType.uint32, "max-users")

                            self.netmask = YLeaf(YType.str, "netmask")

                            self.pfs = YLeaf(YType.empty, "pfs")

                            self.pool = YLeaf(YType.str, "pool")

                            self.save_password = YLeaf(YType.empty, "save-password")

                            self.smartcard_removal_disconnect = YLeaf(YType.empty, "smartcard-removal-disconnect")

                            self.split_dns = YLeaf(YType.str, "split-dns")

                            self.auto_update = Native.Crypto.Isakmp.Client.Configuration.Group.AutoUpdate()
                            self.auto_update.parent = self
                            self._children_name_map["auto_update"] = "auto-update"
                            self._children_yang_names.add("auto-update")

                            self.configuration = Native.Crypto.Isakmp.Client.Configuration.Group.Configuration()
                            self.configuration.parent = self
                            self._children_name_map["configuration"] = "configuration"
                            self._children_yang_names.add("configuration")

                            self.crypto = Native.Crypto.Isakmp.Client.Configuration.Group.Crypto()
                            self.crypto.parent = self
                            self._children_name_map["crypto"] = "crypto"
                            self._children_yang_names.add("crypto")

                            self.dhcp = Native.Crypto.Isakmp.Client.Configuration.Group.Dhcp()
                            self.dhcp.parent = self
                            self._children_name_map["dhcp"] = "dhcp"
                            self._children_yang_names.add("dhcp")

                            self.dns = Native.Crypto.Isakmp.Client.Configuration.Group.Dns()
                            self.dns.parent = self
                            self._children_name_map["dns"] = "dns"
                            self._children_yang_names.add("dns")

                            self.firewall = Native.Crypto.Isakmp.Client.Configuration.Group.Firewall()
                            self.firewall.parent = self
                            self._children_name_map["firewall"] = "firewall"
                            self._children_yang_names.add("firewall")

                            self.key = Native.Crypto.Isakmp.Client.Configuration.Group.Key()
                            self.key.parent = self
                            self._children_name_map["key"] = "key"
                            self._children_yang_names.add("key")

                            self.wins = Native.Crypto.Isakmp.Client.Configuration.Group.Wins()
                            self.wins.parent = self
                            self._children_name_map["wins"] = "wins"
                            self._children_yang_names.add("wins")
                            self._segment_path = lambda: "group" + "[name='" + self.name.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/client/configuration/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Client.Configuration.Group, ['name', 'access_restrict', 'acl', 'backup_gateway', 'browser_proxy', 'domain', 'group_lock', 'include_local_lan', 'max_logins', 'max_users', 'netmask', 'pfs', 'pool', 'save_password', 'smartcard_removal_disconnect', 'split_dns'], name, value)


                        class AutoUpdate(Entity):
                            """
                            Configure auto\-upgrade
                            
                            .. attribute:: client
                            
                            	Configure client
                            	**type**\: str
                            
                            .. attribute:: url
                            
                            	Configure URL to download from
                            	**type**\: str
                            
                            .. attribute:: rev
                            
                            	Use comma delimited list of revision strings only
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Client.Configuration.Group.AutoUpdate, self).__init__()

                                self.yang_name = "auto-update"
                                self.yang_parent_name = "group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.client = YLeaf(YType.str, "client")

                                self.url = YLeaf(YType.str, "url")

                                self.rev = YLeaf(YType.str, "rev")
                                self._segment_path = lambda: "auto-update"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Client.Configuration.Group.AutoUpdate, ['client', 'url', 'rev'], name, value)


                        class Configuration(Entity):
                            """
                            Push configuration to the client
                            
                            .. attribute:: url
                            
                            	URL for the client to fetch configuration
                            	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Configuration.Url>`
                            
                            .. attribute:: version
                            
                            	version of the configuration available at the URL
                            	**type**\: int
                            
                            	**range:** 1..32767
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Client.Configuration.Group.Configuration, self).__init__()

                                self.yang_name = "configuration"
                                self.yang_parent_name = "group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.url = YLeaf(YType.enumeration, "url")

                                self.version = YLeaf(YType.uint32, "version")
                                self._segment_path = lambda: "configuration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Client.Configuration.Group.Configuration, ['url', 'version'], name, value)

                            class Url(Enum):
                                """
                                Url

                                URL for the client to fetch configuration

                                .. data:: bootflash__COLON__ = 0

                                .. data:: cns__COLON__ = 1

                                .. data:: flash__COLON__ = 2

                                .. data:: ftp__COLON__ = 3

                                .. data:: http__COLON__ = 4

                                .. data:: https__COLON__ = 5

                                .. data:: null__COLON__ = 6

                                .. data:: nvram__COLON__ = 7

                                .. data:: pram__COLON__ = 8

                                .. data:: rcp__COLON__ = 9

                                .. data:: scp__COLON__ = 10

                                .. data:: system__COLON__ = 11

                                .. data:: tar__COLON__ = 12

                                .. data:: tftp__COLON__ = 13

                                .. data:: tmpsys__COLON__ = 14

                                """

                                bootflash__COLON__ = Enum.YLeaf(0, "bootflash:")

                                cns__COLON__ = Enum.YLeaf(1, "cns:")

                                flash__COLON__ = Enum.YLeaf(2, "flash:")

                                ftp__COLON__ = Enum.YLeaf(3, "ftp:")

                                http__COLON__ = Enum.YLeaf(4, "http:")

                                https__COLON__ = Enum.YLeaf(5, "https:")

                                null__COLON__ = Enum.YLeaf(6, "null:")

                                nvram__COLON__ = Enum.YLeaf(7, "nvram:")

                                pram__COLON__ = Enum.YLeaf(8, "pram:")

                                rcp__COLON__ = Enum.YLeaf(9, "rcp:")

                                scp__COLON__ = Enum.YLeaf(10, "scp:")

                                system__COLON__ = Enum.YLeaf(11, "system:")

                                tar__COLON__ = Enum.YLeaf(12, "tar:")

                                tftp__COLON__ = Enum.YLeaf(13, "tftp:")

                                tmpsys__COLON__ = Enum.YLeaf(14, "tmpsys:")



                        class Crypto(Entity):
                            """
                            Client group crypto aaa attribute list
                            
                            .. attribute:: aaa
                            
                            	AAA directive
                            	**type**\:  :py:class:`Aaa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Crypto.Aaa>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Client.Configuration.Group.Crypto, self).__init__()

                                self.yang_name = "crypto"
                                self.yang_parent_name = "group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"aaa" : ("aaa", Native.Crypto.Isakmp.Client.Configuration.Group.Crypto.Aaa)}
                                self._child_list_classes = {}

                                self.aaa = Native.Crypto.Isakmp.Client.Configuration.Group.Crypto.Aaa()
                                self.aaa.parent = self
                                self._children_name_map["aaa"] = "aaa"
                                self._children_yang_names.add("aaa")
                                self._segment_path = lambda: "crypto"


                            class Aaa(Entity):
                                """
                                AAA directive
                                
                                .. attribute:: attribute
                                
                                	AAA attribute directive
                                	**type**\:  :py:class:`Attribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Crypto.Aaa.Attribute>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Client.Configuration.Group.Crypto.Aaa, self).__init__()

                                    self.yang_name = "aaa"
                                    self.yang_parent_name = "crypto"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"attribute" : ("attribute", Native.Crypto.Isakmp.Client.Configuration.Group.Crypto.Aaa.Attribute)}
                                    self._child_list_classes = {}

                                    self.attribute = Native.Crypto.Isakmp.Client.Configuration.Group.Crypto.Aaa.Attribute()
                                    self.attribute.parent = self
                                    self._children_name_map["attribute"] = "attribute"
                                    self._children_yang_names.add("attribute")
                                    self._segment_path = lambda: "aaa"


                                class Attribute(Entity):
                                    """
                                    AAA attribute directive
                                    
                                    .. attribute:: list
                                    
                                    	AAA attribute list
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Isakmp.Client.Configuration.Group.Crypto.Aaa.Attribute, self).__init__()

                                        self.yang_name = "attribute"
                                        self.yang_parent_name = "aaa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.list = YLeaf(YType.str, "list")
                                        self._segment_path = lambda: "attribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Isakmp.Client.Configuration.Group.Crypto.Aaa.Attribute, ['list'], name, value)


                        class Dhcp(Entity):
                            """
                            Configure DHCP parameters
                            
                            .. attribute:: giaddr
                            
                            	Specify giaddr for dhcp scope
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: server
                            
                            	Specify dhcp server
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            .. attribute:: timeout
                            
                            	Configure DHCP response timeout in seconds
                            	**type**\: int
                            
                            	**range:** 4..30
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Client.Configuration.Group.Dhcp, self).__init__()

                                self.yang_name = "dhcp"
                                self.yang_parent_name = "group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.giaddr = YLeaf(YType.str, "giaddr")

                                self.server = YLeaf(YType.str, "server")

                                self.timeout = YLeaf(YType.uint8, "timeout")
                                self._segment_path = lambda: "dhcp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Client.Configuration.Group.Dhcp, ['giaddr', 'server', 'timeout'], name, value)


                        class Dns(Entity):
                            """
                            Specify DNS Addresses
                            
                            .. attribute:: primary
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: secondary
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Client.Configuration.Group.Dns, self).__init__()

                                self.yang_name = "dns"
                                self.yang_parent_name = "group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary = YLeaf(YType.str, "primary")

                                self.secondary = YLeaf(YType.str, "secondary")
                                self._segment_path = lambda: "dns"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Client.Configuration.Group.Dns, ['primary', 'secondary'], name, value)


                        class Firewall(Entity):
                            """
                            Enforce group firewall feature
                            
                            .. attribute:: are_u_there
                            
                            	firewall attribute, are\-u\-there
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: policy
                            
                            	Specify firewall policy
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Client.Configuration.Group.Firewall, self).__init__()

                                self.yang_name = "firewall"
                                self.yang_parent_name = "group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.are_u_there = YLeaf(YType.empty, "are-u-there")

                                self.policy = YLeaf(YType.str, "policy")
                                self._segment_path = lambda: "firewall"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Client.Configuration.Group.Firewall, ['are_u_there', 'policy'], name, value)


                        class Key(Entity):
                            """
                            pre\-shared key/IKE password
                            
                            .. attribute:: encryption
                            
                            	
                            	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Configuration.Group.Key.Encryption>`
                            
                            .. attribute:: key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Client.Configuration.Group.Key, self).__init__()

                                self.yang_name = "key"
                                self.yang_parent_name = "group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.encryption = YLeaf(YType.enumeration, "encryption")

                                self.key = YLeaf(YType.str, "key")
                                self._segment_path = lambda: "key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Client.Configuration.Group.Key, ['encryption', 'key'], name, value)

                            class Encryption(Enum):
                                """
                                Encryption

                                .. data:: Y_0 = 0

                                .. data:: Y_6 = 1

                                """

                                Y_0 = Enum.YLeaf(0, "0")

                                Y_6 = Enum.YLeaf(1, "6")



                        class Wins(Entity):
                            """
                            Specify WINS Addresses
                            
                            .. attribute:: primary
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: secondary
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Client.Configuration.Group.Wins, self).__init__()

                                self.yang_name = "wins"
                                self.yang_parent_name = "group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.primary = YLeaf(YType.str, "primary")

                                self.secondary = YLeaf(YType.str, "secondary")
                                self._segment_path = lambda: "wins"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Client.Configuration.Group.Wins, ['primary', 'secondary'], name, value)


                class Firewall(Entity):
                    """
                    Define client firewall
                    
                    .. attribute:: policy_name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: optional
                    
                    	firewall policy is optional
                    	**type**\:  :py:class:`Optional <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall.Optional>`
                    
                    .. attribute:: required
                    
                    	firewall policy is mandatory
                    	**type**\:  :py:class:`Required <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall.Required>`
                    
                    .. attribute:: policy
                    
                    	Define Cisco firewall Policy
                    	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall.Policy>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Client.Firewall, self).__init__()

                        self.yang_name = "firewall"
                        self.yang_parent_name = "client"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"policy" : ("policy", Native.Crypto.Isakmp.Client.Firewall.Policy)}
                        self._child_list_classes = {}

                        self.policy_name = YLeaf(YType.str, "policy-name")

                        self.optional = YLeaf(YType.enumeration, "optional")

                        self.required = YLeaf(YType.enumeration, "required")

                        self.policy = Native.Crypto.Isakmp.Client.Firewall.Policy()
                        self.policy.parent = self
                        self._children_name_map["policy"] = "policy"
                        self._children_yang_names.add("policy")
                        self._segment_path = lambda: "firewall" + "[policy-name='" + self.policy_name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/client/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Client.Firewall, ['policy_name', 'optional', 'required'], name, value)

                    class Optional(Enum):
                        """
                        Optional

                        firewall policy is optional

                        .. data:: cisco_integrated_client_firewall = 0

                        .. data:: cisco_security_agent = 1

                        .. data:: zonelabs_zonealarm = 2

                        .. data:: zonelabs_zonealarmpro = 3

                        """

                        cisco_integrated_client_firewall = Enum.YLeaf(0, "cisco-integrated-client-firewall")

                        cisco_security_agent = Enum.YLeaf(1, "cisco-security-agent")

                        zonelabs_zonealarm = Enum.YLeaf(2, "zonelabs-zonealarm")

                        zonelabs_zonealarmpro = Enum.YLeaf(3, "zonelabs-zonealarmpro")


                    class Required(Enum):
                        """
                        Required

                        firewall policy is mandatory

                        .. data:: cisco_integrated_client_firewall = 0

                        .. data:: cisco_security_agent = 1

                        .. data:: zonelabs_zonealarm = 2

                        .. data:: zonelabs_zonealarmpro = 3

                        """

                        cisco_integrated_client_firewall = Enum.YLeaf(0, "cisco-integrated-client-firewall")

                        cisco_security_agent = Enum.YLeaf(1, "cisco-security-agent")

                        zonelabs_zonealarm = Enum.YLeaf(2, "zonelabs-zonealarm")

                        zonelabs_zonealarmpro = Enum.YLeaf(3, "zonelabs-zonealarmpro")



                    class Policy(Entity):
                        """
                        Define Cisco firewall Policy
                        
                        .. attribute:: central_policy_push
                        
                        	Define Cisco Protection Policy
                        	**type**\:  :py:class:`CentralPolicyPush <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush>`
                        
                        .. attribute:: check_presence
                        
                        	Define firewall are\-you\-there policy
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Client.Firewall.Policy, self).__init__()

                            self.yang_name = "policy"
                            self.yang_parent_name = "firewall"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"central-policy-push" : ("central_policy_push", Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush)}
                            self._child_list_classes = {}

                            self.check_presence = YLeaf(YType.empty, "check-presence")

                            self.central_policy_push = Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush()
                            self.central_policy_push.parent = self
                            self._children_name_map["central_policy_push"] = "central-policy-push"
                            self._children_yang_names.add("central-policy-push")
                            self._segment_path = lambda: "policy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Client.Firewall.Policy, ['check_presence'], name, value)


                        class CentralPolicyPush(Entity):
                            """
                            Define Cisco Protection Policy
                            
                            .. attribute:: access_list
                            
                            	Specify access list
                            	**type**\:  :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush, self).__init__()

                                self.yang_name = "central-policy-push"
                                self.yang_parent_name = "policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"access-list" : ("access_list", Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList)}
                                self._child_list_classes = {}

                                self.access_list = Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList()
                                self.access_list.parent = self
                                self._children_name_map["access_list"] = "access-list"
                                self._children_yang_names.add("access-list")
                                self._segment_path = lambda: "central-policy-push"


                            class AccessList(Entity):
                                """
                                Specify access list
                                
                                .. attribute:: direction
                                
                                	
                                	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList.Direction>`
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 100..199
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList, self).__init__()

                                    self.yang_name = "access-list"
                                    self.yang_parent_name = "central-policy-push"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.direction = YLeaf(YType.enumeration, "direction")

                                    self.acl = YLeaf(YType.str, "acl")
                                    self._segment_path = lambda: "access-list"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Isakmp.Client.Firewall.Policy.CentralPolicyPush.AccessList, ['direction', 'acl'], name, value)

                                class Direction(Enum):
                                    """
                                    Direction

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



            class Default(Entity):
                """
                ISAKMP default policy
                
                .. attribute:: policy
                
                	Enable default policies for ISAKMP protection suite
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Isakmp.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "isakmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.policy = YLeaf(YType.empty, "policy")
                    self._segment_path = lambda: "default"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Isakmp.Default, ['policy'], name, value)


            class Keepalive(Entity):
                """
                Set a keepalive interval for use with IOS peers
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 10..3600
                
                .. attribute:: retry_number
                
                	
                	**type**\: int
                
                	**range:** 2..60
                
                .. attribute:: send
                
                	
                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Keepalive.Send>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Isakmp.Keepalive, self).__init__()

                    self.yang_name = "keepalive"
                    self.yang_parent_name = "isakmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint16, "number")

                    self.retry_number = YLeaf(YType.uint8, "retry-number")

                    self.send = YLeaf(YType.enumeration, "send")
                    self._segment_path = lambda: "keepalive"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Isakmp.Keepalive, ['number', 'retry_number', 'send'], name, value)

                class Send(Enum):
                    """
                    Send

                    .. data:: on_demand = 0

                    .. data:: periodic = 1

                    """

                    on_demand = Enum.YLeaf(0, "on-demand")

                    periodic = Enum.YLeaf(1, "periodic")



            class Key(Entity):
                """
                Set pre\-shared key for remote peer
                
                .. attribute:: key_address
                
                	
                	**type**\:  :py:class:`KeyAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyAddress>`
                
                .. attribute:: key_host
                
                	
                	**type**\:  :py:class:`KeyHost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyHost>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Isakmp.Key, self).__init__()

                    self.yang_name = "key"
                    self.yang_parent_name = "isakmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"key-address" : ("key_address", Native.Crypto.Isakmp.Key.KeyAddress), "key-host" : ("key_host", Native.Crypto.Isakmp.Key.KeyHost)}
                    self._child_list_classes = {}

                    self.key_address = Native.Crypto.Isakmp.Key.KeyAddress()
                    self.key_address.parent = self
                    self._children_name_map["key_address"] = "key-address"
                    self._children_yang_names.add("key-address")

                    self.key_host = Native.Crypto.Isakmp.Key.KeyHost()
                    self.key_host.parent = self
                    self._children_name_map["key_host"] = "key-host"
                    self._children_yang_names.add("key-host")
                    self._segment_path = lambda: "key"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/%s" % self._segment_path()


                class KeyAddress(Entity):
                    """
                    
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyAddress.Encryption>`
                    
                    .. attribute:: key
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: addr4_container
                    
                    	
                    	**type**\:  :py:class:`Addr4Container <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyAddress.Addr4Container>`
                    
                    .. attribute:: addr6_container
                    
                    	
                    	**type**\:  :py:class:`Addr6Container <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Key.KeyAddress, self).__init__()

                        self.yang_name = "key-address"
                        self.yang_parent_name = "key"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"addr4-container" : ("addr4_container", Native.Crypto.Isakmp.Key.KeyAddress.Addr4Container), "addr6-container" : ("addr6_container", Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container)}
                        self._child_list_classes = {}

                        self.encryption = YLeaf(YType.enumeration, "encryption")

                        self.key = YLeaf(YType.str, "key")

                        self.addr4_container = Native.Crypto.Isakmp.Key.KeyAddress.Addr4Container()
                        self.addr4_container.parent = self
                        self._children_name_map["addr4_container"] = "addr4-container"
                        self._children_yang_names.add("addr4-container")

                        self.addr6_container = Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container()
                        self.addr6_container.parent = self
                        self._children_name_map["addr6_container"] = "addr6-container"
                        self._children_yang_names.add("addr6-container")
                        self._segment_path = lambda: "key-address"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/key/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Key.KeyAddress, ['encryption', 'key'], name, value)

                    class Encryption(Enum):
                        """
                        Encryption

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        Y_6 = Enum.YLeaf(1, "6")



                    class Addr4Container(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	define shared key with IP address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: no_xauth
                        
                        	Bypasses XAuth for this peer
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Key.KeyAddress.Addr4Container, self).__init__()

                            self.yang_name = "addr4-container"
                            self.yang_parent_name = "key-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.no_xauth = YLeaf(YType.empty, "no-xauth")
                            self._segment_path = lambda: "addr4-container"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/key/key-address/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Key.KeyAddress.Addr4Container, ['address', 'mask', 'no_xauth'], name, value)


                    class Addr6Container(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	define shared key with IP address
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container.Address>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container, self).__init__()

                            self.yang_name = "addr6-container"
                            self.yang_parent_name = "key-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"address" : ("address", Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "addr6-container"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/key/key-address/%s" % self._segment_path()


                        class Address(Entity):
                            """
                            define shared key with IP address
                            
                            .. attribute:: ipv6
                            
                            	define shared key with IPv6 address
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: no_xauth
                            
                            	Bypasses XAuth for this peer
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "addr6-container"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv6 = YLeaf(YType.str, "ipv6")

                                self.no_xauth = YLeaf(YType.empty, "no-xauth")
                                self._segment_path = lambda: "address"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/key/key-address/addr6-container/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Key.KeyAddress.Addr6Container.Address, ['ipv6', 'no_xauth'], name, value)


                class KeyHost(Entity):
                    """
                    
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyHost.Encryption>`
                    
                    .. attribute:: key
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: host_container
                    
                    	
                    	**type**\:  :py:class:`HostContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Key.KeyHost.HostContainer>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Key.KeyHost, self).__init__()

                        self.yang_name = "key-host"
                        self.yang_parent_name = "key"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"host-container" : ("host_container", Native.Crypto.Isakmp.Key.KeyHost.HostContainer)}
                        self._child_list_classes = {}

                        self.encryption = YLeaf(YType.enumeration, "encryption")

                        self.key = YLeaf(YType.str, "key")

                        self.host_container = Native.Crypto.Isakmp.Key.KeyHost.HostContainer()
                        self.host_container.parent = self
                        self._children_name_map["host_container"] = "host-container"
                        self._children_yang_names.add("host-container")
                        self._segment_path = lambda: "key-host"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/key/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Key.KeyHost, ['encryption', 'key'], name, value)

                    class Encryption(Enum):
                        """
                        Encryption

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        Y_6 = Enum.YLeaf(1, "6")



                    class HostContainer(Entity):
                        """
                        
                        
                        .. attribute:: hostname
                        
                        	define shared key with hostname
                        	**type**\: str
                        
                        .. attribute:: no_xauth
                        
                        	Bypasses XAuth for this peer
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Key.KeyHost.HostContainer, self).__init__()

                            self.yang_name = "host-container"
                            self.yang_parent_name = "key-host"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hostname = YLeaf(YType.str, "hostname")

                            self.no_xauth = YLeaf(YType.empty, "no-xauth")
                            self._segment_path = lambda: "host-container"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/key/key-host/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Key.KeyHost.HostContainer, ['hostname', 'no_xauth'], name, value)


            class Nat(Entity):
                """
                Set a nat  keepalive interval for use with IOS peers
                
                .. attribute:: keepalive
                
                	Set a nat keepalive interval for use with IOS peers
                	**type**\: int
                
                	**range:** 5..3600
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Isakmp.Nat, self).__init__()

                    self.yang_name = "nat"
                    self.yang_parent_name = "isakmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.keepalive = YLeaf(YType.uint16, "keepalive")
                    self._segment_path = lambda: "nat"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Isakmp.Nat, ['keepalive'], name, value)


            class Peer(Entity):
                """
                Set Peer Policy
                
                .. attribute:: ipv4_addr
                
                	
                	**type**\:  :py:class:`Ipv4Addr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr>`
                
                .. attribute:: ipv6_addr
                
                	
                	**type**\:  :py:class:`Ipv6Addr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr>`
                
                .. attribute:: hostname
                
                	hostname  define peer policy for hostname
                	**type**\: list of  		 :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Hostname>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Isakmp.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "isakmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ipv4-addr" : ("ipv4_addr", Native.Crypto.Isakmp.Peer.Ipv4Addr), "ipv6-addr" : ("ipv6_addr", Native.Crypto.Isakmp.Peer.Ipv6Addr)}
                    self._child_list_classes = {"hostname" : ("hostname", Native.Crypto.Isakmp.Peer.Hostname)}

                    self.ipv4_addr = Native.Crypto.Isakmp.Peer.Ipv4Addr()
                    self.ipv4_addr.parent = self
                    self._children_name_map["ipv4_addr"] = "ipv4-addr"
                    self._children_yang_names.add("ipv4-addr")

                    self.ipv6_addr = Native.Crypto.Isakmp.Peer.Ipv6Addr()
                    self.ipv6_addr.parent = self
                    self._children_name_map["ipv6_addr"] = "ipv6-addr"
                    self._children_yang_names.add("ipv6-addr")

                    self.hostname = YList(self)
                    self._segment_path = lambda: "peer"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Isakmp.Peer, [], name, value)


                class Ipv4Addr(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	define peer policy for IP address
                    	**type**\: list of  		 :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr.Address>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Peer.Ipv4Addr, self).__init__()

                        self.yang_name = "ipv4-addr"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"address" : ("address", Native.Crypto.Isakmp.Peer.Ipv4Addr.Address)}

                        self.address = YList(self)
                        self._segment_path = lambda: "ipv4-addr"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/peer/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Peer.Ipv4Addr, [], name, value)


                    class Address(Entity):
                        """
                        define peer policy for IP address
                        
                        .. attribute:: ipv4  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vrf
                        
                        	specify front door vrf of the peer
                        	**type**\: str
                        
                        .. attribute:: description
                        
                        	IKE peer specific description
                        	**type**\: str
                        
                        	**length:** 1..80
                        
                        .. attribute:: set
                        
                        	set peer policy attributes
                        	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Peer.Ipv4Addr.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "ipv4-addr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"set" : ("set", Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set)}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.vrf = YLeaf(YType.str, "vrf")

                            self.description = YLeaf(YType.str, "description")

                            self.set = Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set()
                            self.set.parent = self
                            self._children_name_map["set"] = "set"
                            self._children_yang_names.add("set")
                            self._segment_path = lambda: "address" + "[ipv4='" + self.ipv4.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/peer/ipv4-addr/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Peer.Ipv4Addr.Address, ['ipv4', 'vrf', 'description'], name, value)


                        class Set(Entity):
                            """
                            set peer policy attributes
                            
                            .. attribute:: aggressive_mode
                            
                            	aggressive mode attributes
                            	**type**\:  :py:class:`AggressiveMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set, self).__init__()

                                self.yang_name = "set"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"aggressive-mode" : ("aggressive_mode", Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode)}
                                self._child_list_classes = {}

                                self.aggressive_mode = Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode()
                                self.aggressive_mode.parent = self
                                self._children_name_map["aggressive_mode"] = "aggressive-mode"
                                self._children_yang_names.add("aggressive-mode")
                                self._segment_path = lambda: "set"


                            class AggressiveMode(Entity):
                                """
                                aggressive mode attributes
                                
                                .. attribute:: client_endpoint
                                
                                	specify a tunnel\-client\-endpoint attribute
                                	**type**\:  :py:class:`ClientEndpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.ClientEndpoint>`
                                
                                .. attribute:: password
                                
                                	specify a tunnel\-password attribute
                                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode, self).__init__()

                                    self.yang_name = "aggressive-mode"
                                    self.yang_parent_name = "set"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"client-endpoint" : ("client_endpoint", Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.ClientEndpoint), "password" : ("password", Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password)}
                                    self._child_list_classes = {}

                                    self.client_endpoint = Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.ClientEndpoint()
                                    self.client_endpoint.parent = self
                                    self._children_name_map["client_endpoint"] = "client-endpoint"
                                    self._children_yang_names.add("client-endpoint")

                                    self.password = Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password()
                                    self.password.parent = self
                                    self._children_name_map["password"] = "password"
                                    self._children_yang_names.add("password")
                                    self._segment_path = lambda: "aggressive-mode"


                                class ClientEndpoint(Entity):
                                    """
                                    specify a tunnel\-client\-endpoint attribute
                                    
                                    .. attribute:: fqdn
                                    
                                    	Use the fqdn as tunnel\-client\-endpoint
                                    	**type**\: str
                                    
                                    .. attribute:: ipv4_address
                                    
                                    	Use the IP address as tunnel\-client\-endpoint
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_address
                                    
                                    	Use the IPv6 address as tunnel\-client\-endpoint
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: user_fqdn
                                    
                                    	Use the user\-fqdn as tunnel\-client\-endpoint
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.ClientEndpoint, self).__init__()

                                        self.yang_name = "client-endpoint"
                                        self.yang_parent_name = "aggressive-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.fqdn = YLeaf(YType.str, "fqdn")

                                        self.ipv4_address = YLeaf(YType.str, "ipv4-address")

                                        self.ipv6_address = YLeaf(YType.str, "ipv6-address")

                                        self.user_fqdn = YLeaf(YType.str, "user-fqdn")
                                        self._segment_path = lambda: "client-endpoint"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.ClientEndpoint, ['fqdn', 'ipv4_address', 'ipv6_address', 'user_fqdn'], name, value)


                                class Password(Entity):
                                    """
                                    specify a tunnel\-password attribute
                                    
                                    .. attribute:: encryption
                                    
                                    	
                                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password.Encryption>`
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password, self).__init__()

                                        self.yang_name = "password"
                                        self.yang_parent_name = "aggressive-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encryption = YLeaf(YType.enumeration, "encryption")

                                        self.key = YLeaf(YType.str, "key")
                                        self._segment_path = lambda: "password"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Isakmp.Peer.Ipv4Addr.Address.Set.AggressiveMode.Password, ['encryption', 'key'], name, value)

                                    class Encryption(Enum):
                                        """
                                        Encryption

                                        .. data:: Y_0 = 0

                                        .. data:: Y_6 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_6 = Enum.YLeaf(1, "6")



                class Ipv6Addr(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	define peer policy for IP address
                    	**type**\: list of  		 :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr.Address>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Peer.Ipv6Addr, self).__init__()

                        self.yang_name = "ipv6-addr"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"address" : ("address", Native.Crypto.Isakmp.Peer.Ipv6Addr.Address)}

                        self.address = YList(self)
                        self._segment_path = lambda: "ipv6-addr"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/peer/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Peer.Ipv6Addr, [], name, value)


                    class Address(Entity):
                        """
                        define peer policy for IP address
                        
                        .. attribute:: ipv6  <key>
                        
                        	define peer policy for IPv6 address
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: vrf
                        
                        	specify front door vrf of the peer
                        	**type**\: str
                        
                        .. attribute:: description
                        
                        	IKE peer specific description
                        	**type**\: str
                        
                        	**length:** 1..80
                        
                        .. attribute:: set
                        
                        	set peer policy attributes
                        	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Peer.Ipv6Addr.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "ipv6-addr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"set" : ("set", Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set)}
                            self._child_list_classes = {}

                            self.ipv6 = YLeaf(YType.str, "ipv6")

                            self.vrf = YLeaf(YType.str, "vrf")

                            self.description = YLeaf(YType.str, "description")

                            self.set = Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set()
                            self.set.parent = self
                            self._children_name_map["set"] = "set"
                            self._children_yang_names.add("set")
                            self._segment_path = lambda: "address" + "[ipv6='" + self.ipv6.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/peer/ipv6-addr/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Peer.Ipv6Addr.Address, ['ipv6', 'vrf', 'description'], name, value)


                        class Set(Entity):
                            """
                            set peer policy attributes
                            
                            .. attribute:: aggressive_mode
                            
                            	aggressive mode attributes
                            	**type**\:  :py:class:`AggressiveMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set, self).__init__()

                                self.yang_name = "set"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"aggressive-mode" : ("aggressive_mode", Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode)}
                                self._child_list_classes = {}

                                self.aggressive_mode = Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode()
                                self.aggressive_mode.parent = self
                                self._children_name_map["aggressive_mode"] = "aggressive-mode"
                                self._children_yang_names.add("aggressive-mode")
                                self._segment_path = lambda: "set"


                            class AggressiveMode(Entity):
                                """
                                aggressive mode attributes
                                
                                .. attribute:: client_endpoint
                                
                                	specify a tunnel\-client\-endpoint attribute
                                	**type**\:  :py:class:`ClientEndpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.ClientEndpoint>`
                                
                                .. attribute:: password
                                
                                	specify a tunnel\-password attribute
                                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode, self).__init__()

                                    self.yang_name = "aggressive-mode"
                                    self.yang_parent_name = "set"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"client-endpoint" : ("client_endpoint", Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.ClientEndpoint), "password" : ("password", Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password)}
                                    self._child_list_classes = {}

                                    self.client_endpoint = Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.ClientEndpoint()
                                    self.client_endpoint.parent = self
                                    self._children_name_map["client_endpoint"] = "client-endpoint"
                                    self._children_yang_names.add("client-endpoint")

                                    self.password = Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password()
                                    self.password.parent = self
                                    self._children_name_map["password"] = "password"
                                    self._children_yang_names.add("password")
                                    self._segment_path = lambda: "aggressive-mode"


                                class ClientEndpoint(Entity):
                                    """
                                    specify a tunnel\-client\-endpoint attribute
                                    
                                    .. attribute:: fqdn
                                    
                                    	Use the fqdn as tunnel\-client\-endpoint
                                    	**type**\: str
                                    
                                    .. attribute:: ipv4_address
                                    
                                    	Use the IP address as tunnel\-client\-endpoint
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_address
                                    
                                    	Use the IPv6 address as tunnel\-client\-endpoint
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: user_fqdn
                                    
                                    	Use the user\-fqdn as tunnel\-client\-endpoint
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.ClientEndpoint, self).__init__()

                                        self.yang_name = "client-endpoint"
                                        self.yang_parent_name = "aggressive-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.fqdn = YLeaf(YType.str, "fqdn")

                                        self.ipv4_address = YLeaf(YType.str, "ipv4-address")

                                        self.ipv6_address = YLeaf(YType.str, "ipv6-address")

                                        self.user_fqdn = YLeaf(YType.str, "user-fqdn")
                                        self._segment_path = lambda: "client-endpoint"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.ClientEndpoint, ['fqdn', 'ipv4_address', 'ipv6_address', 'user_fqdn'], name, value)


                                class Password(Entity):
                                    """
                                    specify a tunnel\-password attribute
                                    
                                    .. attribute:: encryption
                                    
                                    	
                                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password.Encryption>`
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password, self).__init__()

                                        self.yang_name = "password"
                                        self.yang_parent_name = "aggressive-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.encryption = YLeaf(YType.enumeration, "encryption")

                                        self.key = YLeaf(YType.str, "key")
                                        self._segment_path = lambda: "password"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Isakmp.Peer.Ipv6Addr.Address.Set.AggressiveMode.Password, ['encryption', 'key'], name, value)

                                    class Encryption(Enum):
                                        """
                                        Encryption

                                        .. data:: Y_0 = 0

                                        .. data:: Y_6 = 1

                                        """

                                        Y_0 = Enum.YLeaf(0, "0")

                                        Y_6 = Enum.YLeaf(1, "6")



                class Hostname(Entity):
                    """
                    hostname  define peer policy for hostname
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: vrf
                    
                    	specify front door vrf of the peer
                    	**type**\: str
                    
                    .. attribute:: description
                    
                    	IKE peer specific description
                    	**type**\: str
                    
                    	**length:** 1..80
                    
                    .. attribute:: set
                    
                    	set peer policy attributes
                    	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Hostname.Set>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Peer.Hostname, self).__init__()

                        self.yang_name = "hostname"
                        self.yang_parent_name = "peer"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"set" : ("set", Native.Crypto.Isakmp.Peer.Hostname.Set)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.description = YLeaf(YType.str, "description")

                        self.set = Native.Crypto.Isakmp.Peer.Hostname.Set()
                        self.set.parent = self
                        self._children_name_map["set"] = "set"
                        self._children_yang_names.add("set")
                        self._segment_path = lambda: "hostname" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/peer/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Peer.Hostname, ['name', 'vrf', 'description'], name, value)


                    class Set(Entity):
                        """
                        set peer policy attributes
                        
                        .. attribute:: aggressive_mode
                        
                        	aggressive mode attributes
                        	**type**\:  :py:class:`AggressiveMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Peer.Hostname.Set, self).__init__()

                            self.yang_name = "set"
                            self.yang_parent_name = "hostname"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"aggressive-mode" : ("aggressive_mode", Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode)}
                            self._child_list_classes = {}

                            self.aggressive_mode = Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode()
                            self.aggressive_mode.parent = self
                            self._children_name_map["aggressive_mode"] = "aggressive-mode"
                            self._children_yang_names.add("aggressive-mode")
                            self._segment_path = lambda: "set"


                        class AggressiveMode(Entity):
                            """
                            aggressive mode attributes
                            
                            .. attribute:: client_endpoint
                            
                            	specify a tunnel\-client\-endpoint attribute
                            	**type**\:  :py:class:`ClientEndpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.ClientEndpoint>`
                            
                            .. attribute:: password
                            
                            	specify a tunnel\-password attribute
                            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode, self).__init__()

                                self.yang_name = "aggressive-mode"
                                self.yang_parent_name = "set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"client-endpoint" : ("client_endpoint", Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.ClientEndpoint), "password" : ("password", Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password)}
                                self._child_list_classes = {}

                                self.client_endpoint = Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.ClientEndpoint()
                                self.client_endpoint.parent = self
                                self._children_name_map["client_endpoint"] = "client-endpoint"
                                self._children_yang_names.add("client-endpoint")

                                self.password = Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password()
                                self.password.parent = self
                                self._children_name_map["password"] = "password"
                                self._children_yang_names.add("password")
                                self._segment_path = lambda: "aggressive-mode"


                            class ClientEndpoint(Entity):
                                """
                                specify a tunnel\-client\-endpoint attribute
                                
                                .. attribute:: fqdn
                                
                                	Use the fqdn as tunnel\-client\-endpoint
                                	**type**\: str
                                
                                .. attribute:: ipv4_address
                                
                                	Use the IP address as tunnel\-client\-endpoint
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_address
                                
                                	Use the IPv6 address as tunnel\-client\-endpoint
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: user_fqdn
                                
                                	Use the user\-fqdn as tunnel\-client\-endpoint
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.ClientEndpoint, self).__init__()

                                    self.yang_name = "client-endpoint"
                                    self.yang_parent_name = "aggressive-mode"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.fqdn = YLeaf(YType.str, "fqdn")

                                    self.ipv4_address = YLeaf(YType.str, "ipv4-address")

                                    self.ipv6_address = YLeaf(YType.str, "ipv6-address")

                                    self.user_fqdn = YLeaf(YType.str, "user-fqdn")
                                    self._segment_path = lambda: "client-endpoint"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.ClientEndpoint, ['fqdn', 'ipv4_address', 'ipv6_address', 'user_fqdn'], name, value)


                            class Password(Entity):
                                """
                                specify a tunnel\-password attribute
                                
                                .. attribute:: encryption
                                
                                	
                                	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password.Encryption>`
                                
                                .. attribute:: key
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password, self).__init__()

                                    self.yang_name = "password"
                                    self.yang_parent_name = "aggressive-mode"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.encryption = YLeaf(YType.enumeration, "encryption")

                                    self.key = YLeaf(YType.str, "key")
                                    self._segment_path = lambda: "password"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Isakmp.Peer.Hostname.Set.AggressiveMode.Password, ['encryption', 'key'], name, value)

                                class Encryption(Enum):
                                    """
                                    Encryption

                                    .. data:: Y_0 = 0

                                    .. data:: Y_6 = 1

                                    """

                                    Y_0 = Enum.YLeaf(0, "0")

                                    Y_6 = Enum.YLeaf(1, "6")



            class Policy(Entity):
                """
                Set policy for an ISAKMP protection suite
                
                .. attribute:: number  <key>
                
                	
                	**type**\: int
                
                	**range:** 1..10000
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default>`
                
                .. attribute:: authentication
                
                	Set authentication method for protection suite
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Authentication>`
                
                .. attribute:: encryption
                
                	Set encryption algorithm for protection suite
                	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Encryption>`
                
                .. attribute:: group
                
                	Set the Diffie\-Hellman group
                	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Group>`
                
                .. attribute:: hash
                
                	Set hash algorithm for protection suite
                	**type**\:  :py:class:`Hash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Hash>`
                
                .. attribute:: lifetime
                
                	Set lifetime for ISAKMP security association
                	**type**\: int
                
                	**range:** 60..86400
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Isakmp.Policy, self).__init__()

                    self.yang_name = "policy"
                    self.yang_parent_name = "isakmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Crypto.Isakmp.Policy.Default), "encryption" : ("encryption", Native.Crypto.Isakmp.Policy.Encryption)}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint32, "number")

                    self.authentication = YLeaf(YType.enumeration, "authentication")

                    self.group = YLeaf(YType.enumeration, "group")

                    self.hash = YLeaf(YType.enumeration, "hash")

                    self.lifetime = YLeaf(YType.uint32, "lifetime")

                    self.default = Native.Crypto.Isakmp.Policy.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.encryption = Native.Crypto.Isakmp.Policy.Encryption()
                    self.encryption.parent = self
                    self._children_name_map["encryption"] = "encryption"
                    self._children_yang_names.add("encryption")
                    self._segment_path = lambda: "policy" + "[number='" + self.number.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Isakmp.Policy, ['number', 'authentication', 'group', 'hash', 'lifetime'], name, value)

                class Authentication(Enum):
                    """
                    Authentication

                    Set authentication method for protection suite

                    .. data:: pre_share = 0

                    .. data:: rsa_encr = 1

                    .. data:: rsa_sig = 2

                    """

                    pre_share = Enum.YLeaf(0, "pre-share")

                    rsa_encr = Enum.YLeaf(1, "rsa-encr")

                    rsa_sig = Enum.YLeaf(2, "rsa-sig")


                class Group(Enum):
                    """
                    Group

                    Set the Diffie\-Hellman group

                    .. data:: Y_1 = 0

                    .. data:: Y_14 = 1

                    .. data:: Y_15 = 2

                    .. data:: Y_16 = 3

                    .. data:: Y_19 = 4

                    .. data:: Y_2 = 5

                    .. data:: Y_20 = 6

                    .. data:: Y_21 = 7

                    .. data:: Y_24 = 8

                    .. data:: Y_5 = 9

                    """

                    Y_1 = Enum.YLeaf(0, "1")

                    Y_14 = Enum.YLeaf(1, "14")

                    Y_15 = Enum.YLeaf(2, "15")

                    Y_16 = Enum.YLeaf(3, "16")

                    Y_19 = Enum.YLeaf(4, "19")

                    Y_2 = Enum.YLeaf(5, "2")

                    Y_20 = Enum.YLeaf(6, "20")

                    Y_21 = Enum.YLeaf(7, "21")

                    Y_24 = Enum.YLeaf(8, "24")

                    Y_5 = Enum.YLeaf(9, "5")


                class Hash(Enum):
                    """
                    Hash

                    Set hash algorithm for protection suite

                    .. data:: md5 = 0

                    .. data:: sha = 1

                    .. data:: sha256 = 2

                    .. data:: sha384 = 3

                    .. data:: sha512 = 4

                    """

                    md5 = Enum.YLeaf(0, "md5")

                    sha = Enum.YLeaf(1, "sha")

                    sha256 = Enum.YLeaf(2, "sha256")

                    sha384 = Enum.YLeaf(3, "sha384")

                    sha512 = Enum.YLeaf(4, "sha512")



                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: authentication
                    
                    	Set authentication method for protection suite
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default.Authentication>`
                    
                    .. attribute:: encryption
                    
                    	Set encryption algorithm for protection suite
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default.Encryption>`
                    
                    .. attribute:: group
                    
                    	Set the Diffie\-Hellman group
                    	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default.Group>`
                    
                    .. attribute:: hash
                    
                    	Set hash algorithm for protection suite
                    	**type**\:  :py:class:`Hash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default.Hash>`
                    
                    .. attribute:: lifetime
                    
                    	Set lifetime for ISAKMP security association
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Policy.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"encryption" : ("encryption", Native.Crypto.Isakmp.Policy.Default.Encryption)}
                        self._child_list_classes = {}

                        self.authentication = YLeaf(YType.enumeration, "authentication")

                        self.group = YLeaf(YType.enumeration, "group")

                        self.hash = YLeaf(YType.enumeration, "hash")

                        self.lifetime = YLeaf(YType.empty, "lifetime")

                        self.encryption = Native.Crypto.Isakmp.Policy.Default.Encryption()
                        self.encryption.parent = self
                        self._children_name_map["encryption"] = "encryption"
                        self._children_yang_names.add("encryption")
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Policy.Default, ['authentication', 'group', 'hash', 'lifetime'], name, value)

                    class Authentication(Enum):
                        """
                        Authentication

                        Set authentication method for protection suite

                        .. data:: pre_share = 0

                        .. data:: rsa_encr = 1

                        .. data:: rsa_sig = 2

                        """

                        pre_share = Enum.YLeaf(0, "pre-share")

                        rsa_encr = Enum.YLeaf(1, "rsa-encr")

                        rsa_sig = Enum.YLeaf(2, "rsa-sig")


                    class Group(Enum):
                        """
                        Group

                        Set the Diffie\-Hellman group

                        .. data:: Y_1 = 0

                        .. data:: Y_14 = 1

                        .. data:: Y_15 = 2

                        .. data:: Y_16 = 3

                        .. data:: Y_19 = 4

                        .. data:: Y_2 = 5

                        .. data:: Y_20 = 6

                        .. data:: Y_21 = 7

                        .. data:: Y_24 = 8

                        .. data:: Y_5 = 9

                        """

                        Y_1 = Enum.YLeaf(0, "1")

                        Y_14 = Enum.YLeaf(1, "14")

                        Y_15 = Enum.YLeaf(2, "15")

                        Y_16 = Enum.YLeaf(3, "16")

                        Y_19 = Enum.YLeaf(4, "19")

                        Y_2 = Enum.YLeaf(5, "2")

                        Y_20 = Enum.YLeaf(6, "20")

                        Y_21 = Enum.YLeaf(7, "21")

                        Y_24 = Enum.YLeaf(8, "24")

                        Y_5 = Enum.YLeaf(9, "5")


                    class Hash(Enum):
                        """
                        Hash

                        Set hash algorithm for protection suite

                        .. data:: md5 = 0

                        .. data:: sha = 1

                        .. data:: sha256 = 2

                        .. data:: sha384 = 3

                        .. data:: sha512 = 4

                        """

                        md5 = Enum.YLeaf(0, "md5")

                        sha = Enum.YLeaf(1, "sha")

                        sha256 = Enum.YLeaf(2, "sha256")

                        sha384 = Enum.YLeaf(3, "sha384")

                        sha512 = Enum.YLeaf(4, "sha512")



                    class Encryption(Entity):
                        """
                        Set encryption algorithm for protection suite
                        
                        .. attribute:: a3des
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: aes
                        
                        	AES \- Advanced Encryption Standard
                        	**type**\:  :py:class:`Aes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default.Encryption.Aes>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: des
                        
                        	DES \- Data Encryption Standard (56 bit keys)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Policy.Default.Encryption, self).__init__()

                            self.yang_name = "encryption"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"aes" : ("aes", Native.Crypto.Isakmp.Policy.Default.Encryption.Aes)}
                            self._child_list_classes = {}

                            self.a3des = YLeaf(YType.empty, "a3des")

                            self.des = YLeaf(YType.empty, "des")

                            self.aes = None
                            self._children_name_map["aes"] = "aes"
                            self._children_yang_names.add("aes")
                            self._segment_path = lambda: "encryption"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Policy.Default.Encryption, ['a3des', 'des'], name, value)


                        class Aes(Entity):
                            """
                            AES \- Advanced Encryption Standard.
                            
                            .. attribute:: key
                            
                            	
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Default.Encryption.Aes.Key>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Policy.Default.Encryption.Aes, self).__init__()

                                self.yang_name = "aes"
                                self.yang_parent_name = "encryption"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.key = YLeaf(YType.enumeration, "key")
                                self._segment_path = lambda: "aes"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Policy.Default.Encryption.Aes, ['key'], name, value)

                            class Key(Enum):
                                """
                                Key

                                .. data:: Y_128 = 0

                                .. data:: Y_192 = 1

                                .. data:: Y_256 = 2

                                """

                                Y_128 = Enum.YLeaf(0, "128")

                                Y_192 = Enum.YLeaf(1, "192")

                                Y_256 = Enum.YLeaf(2, "256")



                class Encryption(Entity):
                    """
                    Set encryption algorithm for protection suite
                    
                    .. attribute:: a3des
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: aes
                    
                    	AES \- Advanced Encryption Standard
                    	**type**\:  :py:class:`Aes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Encryption.Aes>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: des
                    
                    	DES \- Data Encryption Standard (56 bit keys)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Policy.Encryption, self).__init__()

                        self.yang_name = "encryption"
                        self.yang_parent_name = "policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"aes" : ("aes", Native.Crypto.Isakmp.Policy.Encryption.Aes)}
                        self._child_list_classes = {}

                        self.a3des = YLeaf(YType.empty, "a3des")

                        self.des = YLeaf(YType.empty, "des")

                        self.aes = None
                        self._children_name_map["aes"] = "aes"
                        self._children_yang_names.add("aes")
                        self._segment_path = lambda: "encryption"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Policy.Encryption, ['a3des', 'des'], name, value)


                    class Aes(Entity):
                        """
                        AES \- Advanced Encryption Standard.
                        
                        .. attribute:: key
                        
                        	
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Policy.Encryption.Aes.Key>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Policy.Encryption.Aes, self).__init__()

                            self.yang_name = "aes"
                            self.yang_parent_name = "encryption"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.key = YLeaf(YType.enumeration, "key")
                            self._segment_path = lambda: "aes"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Policy.Encryption.Aes, ['key'], name, value)

                        class Key(Enum):
                            """
                            Key

                            .. data:: Y_128 = 0

                            .. data:: Y_192 = 1

                            .. data:: Y_256 = 2

                            """

                            Y_128 = Enum.YLeaf(0, "128")

                            Y_192 = Enum.YLeaf(1, "192")

                            Y_256 = Enum.YLeaf(2, "256")



            class Profile(Entity):
                """
                Define ISAKMP Profiles
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default>`
                
                .. attribute:: accounting
                
                	Enable AAA Accounting for IPSec Sessions
                	**type**\: str
                
                .. attribute:: ca
                
                	Specify certificate authorities to trust
                	**type**\:  :py:class:`Ca <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Ca>`
                
                .. attribute:: client
                
                	Specify client configuration settings
                	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Client>`
                
                .. attribute:: description
                
                	Specify a description of this profile
                	**type**\: str
                
                .. attribute:: initiate
                
                	Initiator property
                	**type**\:  :py:class:`Initiate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Initiate>`
                
                .. attribute:: isakmp
                
                	ISAKMP Authorization command
                	**type**\:  :py:class:`Isakmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Isakmp>`
                
                .. attribute:: keepalive
                
                	Set a keepalive interval for use with IOS peers
                	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Keepalive>`
                
                .. attribute:: keyring
                
                	Specify keyring to use
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\:  :py:class:`Keyring <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Keyring>`
                
                .. attribute:: local_address
                
                	Interface to use for local address for this isakmp profile
                	**type**\: str
                
                .. attribute:: match
                
                	Match values of peer
                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match>`
                
                .. attribute:: qos_group
                
                	Apply a Qos policy class map for this profile
                	**type**\: int
                
                	**range:** 1..1023
                
                .. attribute:: self_identity
                
                	Specify Identity to use
                	**type**\:  :py:class:`SelfIdentity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.SelfIdentity>`
                
                .. attribute:: virtual_template
                
                	Specify the virtual\-template for dynamic interface creation
                	**type**\: int
                
                	**range:** 1..4095
                
                .. attribute:: vrf
                
                	Specify the VRF it is related to
                	**type**\: str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Isakmp.Profile, self).__init__()

                    self.yang_name = "profile"
                    self.yang_parent_name = "isakmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Crypto.Isakmp.Profile.Default), "ca" : ("ca", Native.Crypto.Isakmp.Profile.Ca), "client" : ("client", Native.Crypto.Isakmp.Profile.Client), "initiate" : ("initiate", Native.Crypto.Isakmp.Profile.Initiate), "isakmp" : ("isakmp", Native.Crypto.Isakmp.Profile.Isakmp), "keepalive" : ("keepalive", Native.Crypto.Isakmp.Profile.Keepalive), "match" : ("match", Native.Crypto.Isakmp.Profile.Match), "self-identity" : ("self_identity", Native.Crypto.Isakmp.Profile.SelfIdentity)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.accounting = YLeaf(YType.str, "accounting")

                    self.description = YLeaf(YType.str, "description")

                    self.keyring = YLeaf(YType.str, "keyring")

                    self.local_address = YLeaf(YType.str, "local-address")

                    self.qos_group = YLeaf(YType.uint16, "qos-group")

                    self.virtual_template = YLeaf(YType.uint16, "virtual-template")

                    self.vrf = YLeaf(YType.str, "vrf")

                    self.default = Native.Crypto.Isakmp.Profile.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.ca = Native.Crypto.Isakmp.Profile.Ca()
                    self.ca.parent = self
                    self._children_name_map["ca"] = "ca"
                    self._children_yang_names.add("ca")

                    self.client = Native.Crypto.Isakmp.Profile.Client()
                    self.client.parent = self
                    self._children_name_map["client"] = "client"
                    self._children_yang_names.add("client")

                    self.initiate = Native.Crypto.Isakmp.Profile.Initiate()
                    self.initiate.parent = self
                    self._children_name_map["initiate"] = "initiate"
                    self._children_yang_names.add("initiate")

                    self.isakmp = Native.Crypto.Isakmp.Profile.Isakmp()
                    self.isakmp.parent = self
                    self._children_name_map["isakmp"] = "isakmp"
                    self._children_yang_names.add("isakmp")

                    self.keepalive = Native.Crypto.Isakmp.Profile.Keepalive()
                    self.keepalive.parent = self
                    self._children_name_map["keepalive"] = "keepalive"
                    self._children_yang_names.add("keepalive")

                    self.match = Native.Crypto.Isakmp.Profile.Match()
                    self.match.parent = self
                    self._children_name_map["match"] = "match"
                    self._children_yang_names.add("match")

                    self.self_identity = Native.Crypto.Isakmp.Profile.SelfIdentity()
                    self.self_identity.parent = self
                    self._children_name_map["self_identity"] = "self-identity"
                    self._children_yang_names.add("self-identity")
                    self._segment_path = lambda: "profile" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Isakmp.Profile, ['name', 'accounting', 'description', 'keyring', 'local_address', 'qos_group', 'virtual_template', 'vrf'], name, value)

                class Keyring(Enum):
                    """
                    Keyring

                    Specify keyring to use

                    .. data:: default = 0

                    """

                    default = Enum.YLeaf(0, "default")



                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: accounting
                    
                    	Enable AAA Accounting for IPSec Sessions
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ca
                    
                    	Specify certificate authorities to trust
                    	**type**\:  :py:class:`Ca <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Ca>`
                    
                    .. attribute:: client
                    
                    	Specify client configuration settings
                    	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Client>`
                    
                    .. attribute:: description
                    
                    	Specify a description of this profile
                    	**type**\: str
                    
                    .. attribute:: initiate
                    
                    	Initiator property
                    	**type**\:  :py:class:`Initiate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Initiate>`
                    
                    .. attribute:: isakmp
                    
                    	ISAKMP Authorization command
                    	**type**\:  :py:class:`Isakmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Isakmp>`
                    
                    .. attribute:: keepalive
                    
                    	Set a keepalive interval for use with IOS peers
                    	**type**\:  :py:class:`Keepalive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Keepalive>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: keyring
                    
                    	Specify keyring to use
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Keyring <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Keyring>`
                    
                    .. attribute:: local_address
                    
                    	Interface to use for local address for this isakmp profile
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: match
                    
                    	Match values of peer
                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match>`
                    
                    .. attribute:: qos_group
                    
                    	Apply a Qos policy class map for this profile
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: self_identity
                    
                    	Specify Identity to use
                    	**type**\:  :py:class:`SelfIdentity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.SelfIdentity>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: virtual_template
                    
                    	Specify the virtual\-template for dynamic interface creation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	Specify the VRF it is related to
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Profile.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ca" : ("ca", Native.Crypto.Isakmp.Profile.Default.Ca), "client" : ("client", Native.Crypto.Isakmp.Profile.Default.Client), "initiate" : ("initiate", Native.Crypto.Isakmp.Profile.Default.Initiate), "isakmp" : ("isakmp", Native.Crypto.Isakmp.Profile.Default.Isakmp), "keepalive" : ("keepalive", Native.Crypto.Isakmp.Profile.Default.Keepalive), "match" : ("match", Native.Crypto.Isakmp.Profile.Default.Match), "self-identity" : ("self_identity", Native.Crypto.Isakmp.Profile.Default.SelfIdentity)}
                        self._child_list_classes = {}

                        self.accounting = YLeaf(YType.empty, "accounting")

                        self.description = YLeaf(YType.str, "description")

                        self.keyring = YLeaf(YType.str, "keyring")

                        self.local_address = YLeaf(YType.empty, "local-address")

                        self.qos_group = YLeaf(YType.empty, "qos-group")

                        self.virtual_template = YLeaf(YType.empty, "virtual-template")

                        self.vrf = YLeaf(YType.empty, "vrf")

                        self.ca = Native.Crypto.Isakmp.Profile.Default.Ca()
                        self.ca.parent = self
                        self._children_name_map["ca"] = "ca"
                        self._children_yang_names.add("ca")

                        self.client = Native.Crypto.Isakmp.Profile.Default.Client()
                        self.client.parent = self
                        self._children_name_map["client"] = "client"
                        self._children_yang_names.add("client")

                        self.initiate = Native.Crypto.Isakmp.Profile.Default.Initiate()
                        self.initiate.parent = self
                        self._children_name_map["initiate"] = "initiate"
                        self._children_yang_names.add("initiate")

                        self.isakmp = Native.Crypto.Isakmp.Profile.Default.Isakmp()
                        self.isakmp.parent = self
                        self._children_name_map["isakmp"] = "isakmp"
                        self._children_yang_names.add("isakmp")

                        self.keepalive = None
                        self._children_name_map["keepalive"] = "keepalive"
                        self._children_yang_names.add("keepalive")

                        self.match = Native.Crypto.Isakmp.Profile.Default.Match()
                        self.match.parent = self
                        self._children_name_map["match"] = "match"
                        self._children_yang_names.add("match")

                        self.self_identity = None
                        self._children_name_map["self_identity"] = "self-identity"
                        self._children_yang_names.add("self-identity")
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Profile.Default, ['accounting', 'description', 'keyring', 'local_address', 'qos_group', 'virtual_template', 'vrf'], name, value)

                    class Keyring(Enum):
                        """
                        Keyring

                        Specify keyring to use

                        .. data:: default = 0

                        """

                        default = Enum.YLeaf(0, "default")



                    class Ca(Entity):
                        """
                        Specify certificate authorities to trust
                        
                        .. attribute:: trust_point
                        
                        	Cert authority trustpoint for RSA sig
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.Default.Ca, self).__init__()

                            self.yang_name = "ca"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.trust_point = YLeaf(YType.str, "trust-point")
                            self._segment_path = lambda: "ca"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Profile.Default.Ca, ['trust_point'], name, value)


                    class Client(Entity):
                        """
                        Specify client configuration settings
                        
                        .. attribute:: authentication
                        
                        	Use Extended Authentication
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Client.Authentication>`
                        
                        .. attribute:: configuration
                        
                        	Specify client configuration settings
                        	**type**\:  :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Client.Configuration>`
                        
                        .. attribute:: pki
                        
                        	Use username in the crypto certificate for authorization
                        	**type**\:  :py:class:`Pki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Client.Pki>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.Default.Client, self).__init__()

                            self.yang_name = "client"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Crypto.Isakmp.Profile.Default.Client.Authentication), "configuration" : ("configuration", Native.Crypto.Isakmp.Profile.Default.Client.Configuration), "pki" : ("pki", Native.Crypto.Isakmp.Profile.Default.Client.Pki)}
                            self._child_list_classes = {}

                            self.authentication = Native.Crypto.Isakmp.Profile.Default.Client.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.configuration = Native.Crypto.Isakmp.Profile.Default.Client.Configuration()
                            self.configuration.parent = self
                            self._children_name_map["configuration"] = "configuration"
                            self._children_yang_names.add("configuration")

                            self.pki = Native.Crypto.Isakmp.Profile.Default.Client.Pki()
                            self.pki.parent = self
                            self._children_name_map["pki"] = "pki"
                            self._children_yang_names.add("pki")
                            self._segment_path = lambda: "client"


                        class Authentication(Entity):
                            """
                            Use Extended Authentication
                            
                            .. attribute:: list
                            
                            	AAA authentication list to use
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Profile.Default.Client.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.list = YLeaf(YType.empty, "list")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Profile.Default.Client.Authentication, ['list'], name, value)


                        class Configuration(Entity):
                            """
                            Specify client configuration settings
                            
                            .. attribute:: address
                            
                            	Specify client network address configuration
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Client.Configuration.Address>`
                            
                            .. attribute:: group
                            
                            	Specify group profile attributes for client
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Profile.Default.Client.Configuration, self).__init__()

                                self.yang_name = "configuration"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.enumeration, "address")

                                self.group = YLeaf(YType.str, "group")
                                self._segment_path = lambda: "configuration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Profile.Default.Client.Configuration, ['address', 'group'], name, value)

                            class Address(Enum):
                                """
                                Address

                                Specify client network address configuration

                                .. data:: initiate = 0

                                .. data:: respond = 1

                                """

                                initiate = Enum.YLeaf(0, "initiate")

                                respond = Enum.YLeaf(1, "respond")



                        class Pki(Entity):
                            """
                            Use username in the crypto certificate for authorization
                            
                            .. attribute:: authorization
                            
                            	User authorization parameters
                            	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Client.Pki.Authorization>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Profile.Default.Client.Pki, self).__init__()

                                self.yang_name = "pki"
                                self.yang_parent_name = "client"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authorization" : ("authorization", Native.Crypto.Isakmp.Profile.Default.Client.Pki.Authorization)}
                                self._child_list_classes = {}

                                self.authorization = None
                                self._children_name_map["authorization"] = "authorization"
                                self._children_yang_names.add("authorization")
                                self._segment_path = lambda: "pki"


                            class Authorization(Entity):
                                """
                                User authorization parameters
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Profile.Default.Client.Pki.Authorization, self).__init__()

                                    self.yang_name = "authorization"
                                    self.yang_parent_name = "pki"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "authorization"


                    class Initiate(Entity):
                        """
                        Initiator property
                        
                        .. attribute:: mode
                        
                        	Phase 1 negotiation mode to use
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Initiate.Mode>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.Default.Initiate, self).__init__()

                            self.yang_name = "initiate"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mode" : ("mode", Native.Crypto.Isakmp.Profile.Default.Initiate.Mode)}
                            self._child_list_classes = {}

                            self.mode = None
                            self._children_name_map["mode"] = "mode"
                            self._children_yang_names.add("mode")
                            self._segment_path = lambda: "initiate"


                        class Mode(Entity):
                            """
                            Phase 1 negotiation mode to use
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Profile.Default.Initiate.Mode, self).__init__()

                                self.yang_name = "mode"
                                self.yang_parent_name = "initiate"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "mode"


                    class Isakmp(Entity):
                        """
                        ISAKMP Authorization command
                        
                        .. attribute:: authorization
                        
                        	Authorization parameters
                        	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Isakmp.Authorization>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.Default.Isakmp, self).__init__()

                            self.yang_name = "isakmp"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authorization" : ("authorization", Native.Crypto.Isakmp.Profile.Default.Isakmp.Authorization)}
                            self._child_list_classes = {}

                            self.authorization = Native.Crypto.Isakmp.Profile.Default.Isakmp.Authorization()
                            self.authorization.parent = self
                            self._children_name_map["authorization"] = "authorization"
                            self._children_yang_names.add("authorization")
                            self._segment_path = lambda: "isakmp"


                        class Authorization(Entity):
                            """
                            Authorization parameters.
                            
                            .. attribute:: list
                            
                            	AAA authorization list to use
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Profile.Default.Isakmp.Authorization, self).__init__()

                                self.yang_name = "authorization"
                                self.yang_parent_name = "isakmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.list = YLeaf(YType.empty, "list")
                                self._segment_path = lambda: "authorization"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Profile.Default.Isakmp.Authorization, ['list'], name, value)


                    class Keepalive(Entity):
                        """
                        Set a keepalive interval for use with IOS peers
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.Default.Keepalive, self).__init__()

                            self.yang_name = "keepalive"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "keepalive"


                    class Match(Entity):
                        """
                        Match values of peer
                        
                        .. attribute:: certificate
                        
                        	Peer certificate attributes
                        	**type**\: str
                        
                        .. attribute:: identity
                        
                        	Peer identity
                        	**type**\:  :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.Default.Match, self).__init__()

                            self.yang_name = "match"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"identity" : ("identity", Native.Crypto.Isakmp.Profile.Default.Match.Identity)}
                            self._child_list_classes = {}

                            self.certificate = YLeaf(YType.str, "certificate")

                            self.identity = Native.Crypto.Isakmp.Profile.Default.Match.Identity()
                            self.identity.parent = self
                            self._children_name_map["identity"] = "identity"
                            self._children_yang_names.add("identity")
                            self._segment_path = lambda: "match"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Profile.Default.Match, ['certificate'], name, value)


                        class Identity(Entity):
                            """
                            Peer identity
                            
                            .. attribute:: ipv4_address
                            
                            	
                            	**type**\:  :py:class:`Ipv4Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.Ipv4Address>`
                            
                            .. attribute:: address
                            
                            	IP Address(es)
                            	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.Address>`
                            
                            .. attribute:: group
                            
                            	Group name
                            	**type**\: str
                            
                            .. attribute:: host
                            
                            	match a hostname/domain
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host>`
                            
                            .. attribute:: user_fqdn
                            
                            	match a hostname/domain
                            	**type**\:  :py:class:`UserFqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Profile.Default.Match.Identity, self).__init__()

                                self.yang_name = "identity"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipv4-address" : ("ipv4_address", Native.Crypto.Isakmp.Profile.Default.Match.Identity.Ipv4Address), "address" : ("address", Native.Crypto.Isakmp.Profile.Default.Match.Identity.Address), "host" : ("host", Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host), "user-fqdn" : ("user_fqdn", Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn)}
                                self._child_list_classes = {}

                                self.group = YLeaf(YType.str, "group")

                                self.ipv4_address = Native.Crypto.Isakmp.Profile.Default.Match.Identity.Ipv4Address()
                                self.ipv4_address.parent = self
                                self._children_name_map["ipv4_address"] = "ipv4-address"
                                self._children_yang_names.add("ipv4-address")

                                self.address = Native.Crypto.Isakmp.Profile.Default.Match.Identity.Address()
                                self.address.parent = self
                                self._children_name_map["address"] = "address"
                                self._children_yang_names.add("address")

                                self.host = Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.user_fqdn = Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn()
                                self.user_fqdn.parent = self
                                self._children_name_map["user_fqdn"] = "user-fqdn"
                                self._children_yang_names.add("user-fqdn")
                                self._segment_path = lambda: "identity"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Profile.Default.Match.Identity, ['group'], name, value)


                            class Ipv4Address(Entity):
                                """
                                
                                
                                .. attribute:: address
                                
                                	IP Address(es)
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: mask
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Profile.Default.Match.Identity.Ipv4Address, self).__init__()

                                    self.yang_name = "ipv4-address"
                                    self.yang_parent_name = "identity"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.str, "address")

                                    self.mask = YLeaf(YType.str, "mask")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "ipv4-address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Isakmp.Profile.Default.Match.Identity.Ipv4Address, ['address', 'mask', 'vrf'], name, value)


                            class Address(Entity):
                                """
                                IP Address(es)
                                
                                .. attribute:: ipv6
                                
                                	IPv6 Address(es)
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Profile.Default.Match.Identity.Address, self).__init__()

                                    self.yang_name = "address"
                                    self.yang_parent_name = "identity"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv6 = YLeaf(YType.str, "ipv6")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Isakmp.Profile.Default.Match.Identity.Address, ['ipv6', 'vrf'], name, value)


                            class Host(Entity):
                                """
                                match a hostname/domain
                                
                                .. attribute:: domain_name
                                
                                	
                                	**type**\:  :py:class:`DomainName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainName>`
                                
                                .. attribute:: domain_match
                                
                                	
                                	**type**\:  :py:class:`DomainMatch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainMatch>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "identity"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"domain-name" : ("domain_name", Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainName), "domain-match" : ("domain_match", Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainMatch)}
                                    self._child_list_classes = {}

                                    self.domain_name = Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainName()
                                    self.domain_name.parent = self
                                    self._children_name_map["domain_name"] = "domain-name"
                                    self._children_yang_names.add("domain-name")

                                    self.domain_match = Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainMatch()
                                    self.domain_match.parent = self
                                    self._children_name_map["domain_match"] = "domain-match"
                                    self._children_yang_names.add("domain-match")
                                    self._segment_path = lambda: "host"


                                class DomainName(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainName, self).__init__()

                                        self.yang_name = "domain-name"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "domain-name"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainName, ['name', 'vrf'], name, value)


                                class DomainMatch(Entity):
                                    """
                                    
                                    
                                    .. attribute:: domain
                                    
                                    	match domain instead of exact
                                    	**type**\: str
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainMatch, self).__init__()

                                        self.yang_name = "domain-match"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.domain = YLeaf(YType.str, "domain")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "domain-match"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Isakmp.Profile.Default.Match.Identity.Host.DomainMatch, ['domain', 'vrf'], name, value)


                            class UserFqdn(Entity):
                                """
                                match a hostname/domain
                                
                                .. attribute:: domain_name
                                
                                	
                                	**type**\:  :py:class:`DomainName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainName>`
                                
                                .. attribute:: domain_match
                                
                                	
                                	**type**\:  :py:class:`DomainMatch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainMatch>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn, self).__init__()

                                    self.yang_name = "user-fqdn"
                                    self.yang_parent_name = "identity"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"domain-name" : ("domain_name", Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainName), "domain-match" : ("domain_match", Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainMatch)}
                                    self._child_list_classes = {}

                                    self.domain_name = Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainName()
                                    self.domain_name.parent = self
                                    self._children_name_map["domain_name"] = "domain-name"
                                    self._children_yang_names.add("domain-name")

                                    self.domain_match = Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainMatch()
                                    self.domain_match.parent = self
                                    self._children_name_map["domain_match"] = "domain-match"
                                    self._children_yang_names.add("domain-match")
                                    self._segment_path = lambda: "user-fqdn"


                                class DomainName(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainName, self).__init__()

                                        self.yang_name = "domain-name"
                                        self.yang_parent_name = "user-fqdn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "domain-name"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainName, ['name', 'vrf'], name, value)


                                class DomainMatch(Entity):
                                    """
                                    
                                    
                                    .. attribute:: domain
                                    
                                    	match domain instead of exact
                                    	**type**\: str
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-crypto'
                                    _revision = '2017-05-10'

                                    def __init__(self):
                                        super(Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainMatch, self).__init__()

                                        self.yang_name = "domain-match"
                                        self.yang_parent_name = "user-fqdn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.domain = YLeaf(YType.str, "domain")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "domain-match"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Crypto.Isakmp.Profile.Default.Match.Identity.UserFqdn.DomainMatch, ['domain', 'vrf'], name, value)


                    class SelfIdentity(Entity):
                        """
                        Specify Identity to use
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.Default.SelfIdentity, self).__init__()

                            self.yang_name = "self-identity"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "self-identity"


                class Ca(Entity):
                    """
                    Specify certificate authorities to trust
                    
                    .. attribute:: trust_point
                    
                    	Cert authority trustpoint for RSA sig
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Profile.Ca, self).__init__()

                        self.yang_name = "ca"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.trust_point = YLeaf(YType.str, "trust-point")
                        self._segment_path = lambda: "ca"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Profile.Ca, ['trust_point'], name, value)


                class Client(Entity):
                    """
                    Specify client configuration settings
                    
                    .. attribute:: authentication
                    
                    	Use Extended Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Client.Authentication>`
                    
                    .. attribute:: configuration
                    
                    	Specify client configuration settings
                    	**type**\:  :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Client.Configuration>`
                    
                    .. attribute:: pki
                    
                    	Use username in the crypto certificate for authorization
                    	**type**\:  :py:class:`Pki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Client.Pki>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Profile.Client, self).__init__()

                        self.yang_name = "client"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Crypto.Isakmp.Profile.Client.Authentication), "configuration" : ("configuration", Native.Crypto.Isakmp.Profile.Client.Configuration), "pki" : ("pki", Native.Crypto.Isakmp.Profile.Client.Pki)}
                        self._child_list_classes = {}

                        self.authentication = Native.Crypto.Isakmp.Profile.Client.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.configuration = Native.Crypto.Isakmp.Profile.Client.Configuration()
                        self.configuration.parent = self
                        self._children_name_map["configuration"] = "configuration"
                        self._children_yang_names.add("configuration")

                        self.pki = Native.Crypto.Isakmp.Profile.Client.Pki()
                        self.pki.parent = self
                        self._children_name_map["pki"] = "pki"
                        self._children_yang_names.add("pki")
                        self._segment_path = lambda: "client"


                    class Authentication(Entity):
                        """
                        Use Extended Authentication
                        
                        .. attribute:: list
                        
                        	AAA authentication list to use
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.Client.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.list = YLeaf(YType.str, "list")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Profile.Client.Authentication, ['list'], name, value)


                    class Configuration(Entity):
                        """
                        Specify client configuration settings
                        
                        .. attribute:: address
                        
                        	Specify client network address configuration
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Client.Configuration.Address>`
                        
                        .. attribute:: group
                        
                        	Specify group profile attributes for client
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.Client.Configuration, self).__init__()

                            self.yang_name = "configuration"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.enumeration, "address")

                            self.group = YLeaf(YType.str, "group")
                            self._segment_path = lambda: "configuration"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Profile.Client.Configuration, ['address', 'group'], name, value)

                        class Address(Enum):
                            """
                            Address

                            Specify client network address configuration

                            .. data:: initiate = 0

                            .. data:: respond = 1

                            """

                            initiate = Enum.YLeaf(0, "initiate")

                            respond = Enum.YLeaf(1, "respond")



                    class Pki(Entity):
                        """
                        Use username in the crypto certificate for authorization
                        
                        .. attribute:: authorization
                        
                        	User authorization parameters
                        	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Client.Pki.Authorization>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.Client.Pki, self).__init__()

                            self.yang_name = "pki"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authorization" : ("authorization", Native.Crypto.Isakmp.Profile.Client.Pki.Authorization)}
                            self._child_list_classes = {}

                            self.authorization = Native.Crypto.Isakmp.Profile.Client.Pki.Authorization()
                            self.authorization.parent = self
                            self._children_name_map["authorization"] = "authorization"
                            self._children_yang_names.add("authorization")
                            self._segment_path = lambda: "pki"


                        class Authorization(Entity):
                            """
                            User authorization parameters
                            
                            .. attribute:: list
                            
                            	AAA user authorization list
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Profile.Client.Pki.Authorization, self).__init__()

                                self.yang_name = "authorization"
                                self.yang_parent_name = "pki"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.list = YLeaf(YType.str, "list")
                                self._segment_path = lambda: "authorization"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Profile.Client.Pki.Authorization, ['list'], name, value)


                class Initiate(Entity):
                    """
                    Initiator property
                    
                    .. attribute:: mode
                    
                    	Phase 1 negotiation mode to use
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Initiate.Mode>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Profile.Initiate, self).__init__()

                        self.yang_name = "initiate"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mode" : ("mode", Native.Crypto.Isakmp.Profile.Initiate.Mode)}
                        self._child_list_classes = {}

                        self.mode = None
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "initiate"


                    class Mode(Entity):
                        """
                        Phase 1 negotiation mode to use
                        
                        .. attribute:: aggressive
                        
                        	Start agressive mode negotiation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.Initiate.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "initiate"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.aggressive = YLeaf(YType.empty, "aggressive")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Profile.Initiate.Mode, ['aggressive'], name, value)


                class Isakmp(Entity):
                    """
                    ISAKMP Authorization command
                    
                    .. attribute:: authorization
                    
                    	Authorization parameters
                    	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Isakmp.Authorization>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Profile.Isakmp, self).__init__()

                        self.yang_name = "isakmp"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authorization" : ("authorization", Native.Crypto.Isakmp.Profile.Isakmp.Authorization)}
                        self._child_list_classes = {}

                        self.authorization = Native.Crypto.Isakmp.Profile.Isakmp.Authorization()
                        self.authorization.parent = self
                        self._children_name_map["authorization"] = "authorization"
                        self._children_yang_names.add("authorization")
                        self._segment_path = lambda: "isakmp"


                    class Authorization(Entity):
                        """
                        Authorization parameters.
                        
                        .. attribute:: list
                        
                        	AAA authorization list to use
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.Isakmp.Authorization, self).__init__()

                            self.yang_name = "authorization"
                            self.yang_parent_name = "isakmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.list = YLeaf(YType.str, "list")
                            self._segment_path = lambda: "authorization"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Profile.Isakmp.Authorization, ['list'], name, value)


                class Keepalive(Entity):
                    """
                    Set a keepalive interval for use with IOS peers
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 10..3600
                    
                    .. attribute:: retry
                    
                    	Retry interval if keepalive fails
                    	**type**\: int
                    
                    	**range:** 2..60
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Profile.Keepalive, self).__init__()

                        self.yang_name = "keepalive"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint16, "number")

                        self.retry = YLeaf(YType.uint8, "retry")
                        self._segment_path = lambda: "keepalive"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Profile.Keepalive, ['number', 'retry'], name, value)


                class Match(Entity):
                    """
                    Match values of peer
                    
                    .. attribute:: certificate
                    
                    	Peer certificate attributes
                    	**type**\: str
                    
                    .. attribute:: identity
                    
                    	Peer identity
                    	**type**\:  :py:class:`Identity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Profile.Match, self).__init__()

                        self.yang_name = "match"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"identity" : ("identity", Native.Crypto.Isakmp.Profile.Match.Identity)}
                        self._child_list_classes = {}

                        self.certificate = YLeaf(YType.str, "certificate")

                        self.identity = Native.Crypto.Isakmp.Profile.Match.Identity()
                        self.identity.parent = self
                        self._children_name_map["identity"] = "identity"
                        self._children_yang_names.add("identity")
                        self._segment_path = lambda: "match"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Profile.Match, ['certificate'], name, value)


                    class Identity(Entity):
                        """
                        Peer identity
                        
                        .. attribute:: ipv4_address
                        
                        	
                        	**type**\:  :py:class:`Ipv4Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.Ipv4Address>`
                        
                        .. attribute:: address
                        
                        	IP Address(es)
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.Address>`
                        
                        .. attribute:: group
                        
                        	Group name
                        	**type**\: str
                        
                        .. attribute:: host
                        
                        	match a hostname/domain
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.Host>`
                        
                        .. attribute:: user_fqdn
                        
                        	match a hostname/domain
                        	**type**\:  :py:class:`UserFqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.Match.Identity, self).__init__()

                            self.yang_name = "identity"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipv4-address" : ("ipv4_address", Native.Crypto.Isakmp.Profile.Match.Identity.Ipv4Address), "address" : ("address", Native.Crypto.Isakmp.Profile.Match.Identity.Address), "host" : ("host", Native.Crypto.Isakmp.Profile.Match.Identity.Host), "user-fqdn" : ("user_fqdn", Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn)}
                            self._child_list_classes = {}

                            self.group = YLeaf(YType.str, "group")

                            self.ipv4_address = Native.Crypto.Isakmp.Profile.Match.Identity.Ipv4Address()
                            self.ipv4_address.parent = self
                            self._children_name_map["ipv4_address"] = "ipv4-address"
                            self._children_yang_names.add("ipv4-address")

                            self.address = Native.Crypto.Isakmp.Profile.Match.Identity.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")

                            self.host = Native.Crypto.Isakmp.Profile.Match.Identity.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.user_fqdn = Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn()
                            self.user_fqdn.parent = self
                            self._children_name_map["user_fqdn"] = "user-fqdn"
                            self._children_yang_names.add("user-fqdn")
                            self._segment_path = lambda: "identity"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Profile.Match.Identity, ['group'], name, value)


                        class Ipv4Address(Entity):
                            """
                            
                            
                            .. attribute:: address
                            
                            	IP Address(es)
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: vrf
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Profile.Match.Identity.Ipv4Address, self).__init__()

                                self.yang_name = "ipv4-address"
                                self.yang_parent_name = "identity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.mask = YLeaf(YType.str, "mask")

                                self.vrf = YLeaf(YType.str, "vrf")
                                self._segment_path = lambda: "ipv4-address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Profile.Match.Identity.Ipv4Address, ['address', 'mask', 'vrf'], name, value)


                        class Address(Entity):
                            """
                            IP Address(es)
                            
                            .. attribute:: ipv6
                            
                            	IPv6 Address(es)
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: vrf
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Profile.Match.Identity.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "identity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv6 = YLeaf(YType.str, "ipv6")

                                self.vrf = YLeaf(YType.str, "vrf")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Isakmp.Profile.Match.Identity.Address, ['ipv6', 'vrf'], name, value)


                        class Host(Entity):
                            """
                            match a hostname/domain
                            
                            .. attribute:: domain_name
                            
                            	
                            	**type**\:  :py:class:`DomainName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainName>`
                            
                            .. attribute:: domain_match
                            
                            	
                            	**type**\:  :py:class:`DomainMatch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainMatch>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Profile.Match.Identity.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "identity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"domain-name" : ("domain_name", Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainName), "domain-match" : ("domain_match", Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainMatch)}
                                self._child_list_classes = {}

                                self.domain_name = Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainName()
                                self.domain_name.parent = self
                                self._children_name_map["domain_name"] = "domain-name"
                                self._children_yang_names.add("domain-name")

                                self.domain_match = Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainMatch()
                                self.domain_match.parent = self
                                self._children_name_map["domain_match"] = "domain-match"
                                self._children_yang_names.add("domain-match")
                                self._segment_path = lambda: "host"


                            class DomainName(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainName, self).__init__()

                                    self.yang_name = "domain-name"
                                    self.yang_parent_name = "host"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "domain-name"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainName, ['name', 'vrf'], name, value)


                            class DomainMatch(Entity):
                                """
                                
                                
                                .. attribute:: domain
                                
                                	match domain instead of exact
                                	**type**\: str
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainMatch, self).__init__()

                                    self.yang_name = "domain-match"
                                    self.yang_parent_name = "host"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.domain = YLeaf(YType.str, "domain")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "domain-match"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Isakmp.Profile.Match.Identity.Host.DomainMatch, ['domain', 'vrf'], name, value)


                        class UserFqdn(Entity):
                            """
                            match a hostname/domain
                            
                            .. attribute:: domain_name
                            
                            	
                            	**type**\:  :py:class:`DomainName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainName>`
                            
                            .. attribute:: domain_match
                            
                            	
                            	**type**\:  :py:class:`DomainMatch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainMatch>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn, self).__init__()

                                self.yang_name = "user-fqdn"
                                self.yang_parent_name = "identity"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"domain-name" : ("domain_name", Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainName), "domain-match" : ("domain_match", Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainMatch)}
                                self._child_list_classes = {}

                                self.domain_name = Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainName()
                                self.domain_name.parent = self
                                self._children_name_map["domain_name"] = "domain-name"
                                self._children_yang_names.add("domain-name")

                                self.domain_match = Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainMatch()
                                self.domain_match.parent = self
                                self._children_name_map["domain_match"] = "domain-match"
                                self._children_yang_names.add("domain-match")
                                self._segment_path = lambda: "user-fqdn"


                            class DomainName(Entity):
                                """
                                
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainName, self).__init__()

                                    self.yang_name = "domain-name"
                                    self.yang_parent_name = "user-fqdn"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "domain-name"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainName, ['name', 'vrf'], name, value)


                            class DomainMatch(Entity):
                                """
                                
                                
                                .. attribute:: domain
                                
                                	match domain instead of exact
                                	**type**\: str
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainMatch, self).__init__()

                                    self.yang_name = "domain-match"
                                    self.yang_parent_name = "user-fqdn"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.domain = YLeaf(YType.str, "domain")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "domain-match"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Isakmp.Profile.Match.Identity.UserFqdn.DomainMatch, ['domain', 'vrf'], name, value)


                class SelfIdentity(Entity):
                    """
                    Specify Identity to use
                    
                    .. attribute:: address
                    
                    	Use IPv4 address
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.SelfIdentity.Address>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fqdn
                    
                    	Use FQDN
                    	**type**\:  :py:class:`Fqdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Isakmp.Profile.SelfIdentity.Fqdn>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: user_fqdn
                    
                    	Use user FQDN
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Isakmp.Profile.SelfIdentity, self).__init__()

                        self.yang_name = "self-identity"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.Crypto.Isakmp.Profile.SelfIdentity.Address), "fqdn" : ("fqdn", Native.Crypto.Isakmp.Profile.SelfIdentity.Fqdn)}
                        self._child_list_classes = {}

                        self.user_fqdn = YLeaf(YType.str, "user-fqdn")

                        self.address = None
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.fqdn = None
                        self._children_name_map["fqdn"] = "fqdn"
                        self._children_yang_names.add("fqdn")
                        self._segment_path = lambda: "self-identity"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Isakmp.Profile.SelfIdentity, ['user_fqdn'], name, value)


                    class Address(Entity):
                        """
                        Use IPv4 address
                        
                        .. attribute:: ipv6
                        
                        	Use IPv6 address
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.SelfIdentity.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "self-identity"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ipv6 = YLeaf(YType.empty, "ipv6")
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Profile.SelfIdentity.Address, ['ipv6'], name, value)


                    class Fqdn(Entity):
                        """
                        Use FQDN
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Isakmp.Profile.SelfIdentity.Fqdn, self).__init__()

                            self.yang_name = "fqdn"
                            self.yang_parent_name = "self-identity"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.id = YLeaf(YType.str, "id")
                            self._segment_path = lambda: "fqdn"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Isakmp.Profile.SelfIdentity.Fqdn, ['id'], name, value)


            class Xauth(Entity):
                """
                Set Extended Authentication values
                
                .. attribute:: timeout
                
                	Set Extended Authentication timeout
                	**type**\: int
                
                	**range:** 5..90
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Isakmp.Xauth, self).__init__()

                    self.yang_name = "xauth"
                    self.yang_parent_name = "isakmp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.timeout = YLeaf(YType.uint8, "timeout")
                    self._segment_path = lambda: "xauth"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:isakmp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Isakmp.Xauth, ['timeout'], name, value)


        class Key(Entity):
            """
            Long term key operations
            
            .. attribute:: decrypt
            
            	Decrypt a keypair
            	**type**\:  :py:class:`Decrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Decrypt>`
            
            .. attribute:: encrypt
            
            	Encrypt a keypair
            	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Encrypt>`
            
            .. attribute:: export
            
            	Export keys
            	**type**\:  :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export>`
            
            .. attribute:: generate
            
            	Generate new keys
            	**type**\:  :py:class:`Generate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Generate>`
            
            .. attribute:: import_
            
            	Import keys
            	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_>`
            
            .. attribute:: move
            
            	Move keys
            	**type**\:  :py:class:`Move <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Move>`
            
            .. attribute:: pubkey_chain
            
            	Peer public key chain management
            	**type**\:  :py:class:`PubkeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain>`
            
            .. attribute:: storage
            
            	default storage location for keypairs
            	**type**\: str
            
            .. attribute:: zeroize
            
            	Remove keys
            	**type**\:  :py:class:`Zeroize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Zeroize>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Key, self).__init__()

                self.yang_name = "key"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"decrypt" : ("decrypt", Native.Crypto.Key.Decrypt), "encrypt" : ("encrypt", Native.Crypto.Key.Encrypt), "export" : ("export", Native.Crypto.Key.Export), "generate" : ("generate", Native.Crypto.Key.Generate), "import" : ("import_", Native.Crypto.Key.Import_), "move" : ("move", Native.Crypto.Key.Move), "pubkey-chain" : ("pubkey_chain", Native.Crypto.Key.PubkeyChain), "zeroize" : ("zeroize", Native.Crypto.Key.Zeroize)}
                self._child_list_classes = {}

                self.storage = YLeaf(YType.str, "storage")

                self.decrypt = Native.Crypto.Key.Decrypt()
                self.decrypt.parent = self
                self._children_name_map["decrypt"] = "decrypt"
                self._children_yang_names.add("decrypt")

                self.encrypt = Native.Crypto.Key.Encrypt()
                self.encrypt.parent = self
                self._children_name_map["encrypt"] = "encrypt"
                self._children_yang_names.add("encrypt")

                self.export = Native.Crypto.Key.Export()
                self.export.parent = self
                self._children_name_map["export"] = "export"
                self._children_yang_names.add("export")

                self.generate = Native.Crypto.Key.Generate()
                self.generate.parent = self
                self._children_name_map["generate"] = "generate"
                self._children_yang_names.add("generate")

                self.import_ = Native.Crypto.Key.Import_()
                self.import_.parent = self
                self._children_name_map["import_"] = "import"
                self._children_yang_names.add("import")

                self.move = Native.Crypto.Key.Move()
                self.move.parent = self
                self._children_name_map["move"] = "move"
                self._children_yang_names.add("move")

                self.pubkey_chain = Native.Crypto.Key.PubkeyChain()
                self.pubkey_chain.parent = self
                self._children_name_map["pubkey_chain"] = "pubkey-chain"
                self._children_yang_names.add("pubkey-chain")

                self.zeroize = Native.Crypto.Key.Zeroize()
                self.zeroize.parent = self
                self._children_name_map["zeroize"] = "zeroize"
                self._children_yang_names.add("zeroize")
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:key"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.Key, ['storage'], name, value)


            class Decrypt(Entity):
                """
                Decrypt a keypair.
                
                .. attribute:: ec
                
                	EC keys
                	**type**\:  :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Decrypt.Ec>`
                
                	**presence node**\: True
                
                .. attribute:: rsa
                
                	RSA keys
                	**type**\:  :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Decrypt.Rsa>`
                
                	**presence node**\: True
                
                .. attribute:: write
                
                	Will write the configuration to startup\-config
                	**type**\:  :py:class:`Write <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Decrypt.Write>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Key.Decrypt, self).__init__()

                    self.yang_name = "decrypt"
                    self.yang_parent_name = "key"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ec" : ("ec", Native.Crypto.Key.Decrypt.Ec), "rsa" : ("rsa", Native.Crypto.Key.Decrypt.Rsa), "write" : ("write", Native.Crypto.Key.Decrypt.Write)}
                    self._child_list_classes = {}

                    self.ec = None
                    self._children_name_map["ec"] = "ec"
                    self._children_yang_names.add("ec")

                    self.rsa = None
                    self._children_name_map["rsa"] = "rsa"
                    self._children_yang_names.add("rsa")

                    self.write = Native.Crypto.Key.Decrypt.Write()
                    self.write.parent = self
                    self._children_name_map["write"] = "write"
                    self._children_yang_names.add("write")
                    self._segment_path = lambda: "decrypt"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/%s" % self._segment_path()


                class Ec(Entity):
                    """
                    EC keys
                    
                    .. attribute:: name
                    
                    	Name of keypair to decrypt
                    	**type**\: str
                    
                    .. attribute:: passphrase
                    
                    	decryption key
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Decrypt.Ec, self).__init__()

                        self.yang_name = "ec"
                        self.yang_parent_name = "decrypt"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.name = YLeaf(YType.str, "name")

                        self.passphrase = YLeaf(YType.str, "passphrase")
                        self._segment_path = lambda: "ec"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/decrypt/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Decrypt.Ec, ['name', 'passphrase'], name, value)


                class Rsa(Entity):
                    """
                    RSA keys
                    
                    .. attribute:: name
                    
                    	Name of keypair to decrypt
                    	**type**\: str
                    
                    .. attribute:: passphrase
                    
                    	decryption key
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Decrypt.Rsa, self).__init__()

                        self.yang_name = "rsa"
                        self.yang_parent_name = "decrypt"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.name = YLeaf(YType.str, "name")

                        self.passphrase = YLeaf(YType.str, "passphrase")
                        self._segment_path = lambda: "rsa"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/decrypt/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Decrypt.Rsa, ['name', 'passphrase'], name, value)


                class Write(Entity):
                    """
                    Will write the configuration to startup\-config.
                    
                    .. attribute:: ec
                    
                    	EC keys
                    	**type**\:  :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Decrypt.Write.Ec>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rsa
                    
                    	RSA keys
                    	**type**\:  :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Decrypt.Write.Rsa>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Decrypt.Write, self).__init__()

                        self.yang_name = "write"
                        self.yang_parent_name = "decrypt"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"ec" : ("ec", Native.Crypto.Key.Decrypt.Write.Ec), "rsa" : ("rsa", Native.Crypto.Key.Decrypt.Write.Rsa)}
                        self._child_list_classes = {}

                        self.ec = None
                        self._children_name_map["ec"] = "ec"
                        self._children_yang_names.add("ec")

                        self.rsa = None
                        self._children_name_map["rsa"] = "rsa"
                        self._children_yang_names.add("rsa")
                        self._segment_path = lambda: "write"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/decrypt/%s" % self._segment_path()


                    class Ec(Entity):
                        """
                        EC keys
                        
                        .. attribute:: name
                        
                        	Name of keypair to decrypt
                        	**type**\: str
                        
                        .. attribute:: passphrase
                        
                        	decryption key
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Key.Decrypt.Write.Ec, self).__init__()

                            self.yang_name = "ec"
                            self.yang_parent_name = "write"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.name = YLeaf(YType.str, "name")

                            self.passphrase = YLeaf(YType.str, "passphrase")
                            self._segment_path = lambda: "ec"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/decrypt/write/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Key.Decrypt.Write.Ec, ['name', 'passphrase'], name, value)


                    class Rsa(Entity):
                        """
                        RSA keys
                        
                        .. attribute:: name
                        
                        	Name of keypair to decrypt
                        	**type**\: str
                        
                        .. attribute:: passphrase
                        
                        	decryption key
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Key.Decrypt.Write.Rsa, self).__init__()

                            self.yang_name = "rsa"
                            self.yang_parent_name = "write"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.name = YLeaf(YType.str, "name")

                            self.passphrase = YLeaf(YType.str, "passphrase")
                            self._segment_path = lambda: "rsa"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/decrypt/write/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Key.Decrypt.Write.Rsa, ['name', 'passphrase'], name, value)


            class Encrypt(Entity):
                """
                Encrypt a keypair.
                
                .. attribute:: ec
                
                	EC keys
                	**type**\:  :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Encrypt.Ec>`
                
                	**presence node**\: True
                
                .. attribute:: rsa
                
                	RSA keys
                	**type**\:  :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Encrypt.Rsa>`
                
                	**presence node**\: True
                
                .. attribute:: write
                
                	Will write the configuration to startup\-config
                	**type**\:  :py:class:`Write <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Encrypt.Write>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Key.Encrypt, self).__init__()

                    self.yang_name = "encrypt"
                    self.yang_parent_name = "key"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ec" : ("ec", Native.Crypto.Key.Encrypt.Ec), "rsa" : ("rsa", Native.Crypto.Key.Encrypt.Rsa), "write" : ("write", Native.Crypto.Key.Encrypt.Write)}
                    self._child_list_classes = {}

                    self.ec = None
                    self._children_name_map["ec"] = "ec"
                    self._children_yang_names.add("ec")

                    self.rsa = None
                    self._children_name_map["rsa"] = "rsa"
                    self._children_yang_names.add("rsa")

                    self.write = Native.Crypto.Key.Encrypt.Write()
                    self.write.parent = self
                    self._children_name_map["write"] = "write"
                    self._children_yang_names.add("write")
                    self._segment_path = lambda: "encrypt"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/%s" % self._segment_path()


                class Ec(Entity):
                    """
                    EC keys
                    
                    .. attribute:: name
                    
                    	Name of keypair to encrypt
                    	**type**\: str
                    
                    .. attribute:: passphrase
                    
                    	encryption key
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Encrypt.Ec, self).__init__()

                        self.yang_name = "ec"
                        self.yang_parent_name = "encrypt"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.name = YLeaf(YType.str, "name")

                        self.passphrase = YLeaf(YType.str, "passphrase")
                        self._segment_path = lambda: "ec"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/encrypt/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Encrypt.Ec, ['name', 'passphrase'], name, value)


                class Rsa(Entity):
                    """
                    RSA keys
                    
                    .. attribute:: name
                    
                    	Name of keypair to encrypt
                    	**type**\: str
                    
                    .. attribute:: passphrase
                    
                    	encryption key
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Encrypt.Rsa, self).__init__()

                        self.yang_name = "rsa"
                        self.yang_parent_name = "encrypt"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.name = YLeaf(YType.str, "name")

                        self.passphrase = YLeaf(YType.str, "passphrase")
                        self._segment_path = lambda: "rsa"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/encrypt/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Encrypt.Rsa, ['name', 'passphrase'], name, value)


                class Write(Entity):
                    """
                    Will write the configuration to startup\-config.
                    
                    .. attribute:: ec
                    
                    	EC keys
                    	**type**\:  :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Encrypt.Write.Ec>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rsa
                    
                    	RSA keys
                    	**type**\:  :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Encrypt.Write.Rsa>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Encrypt.Write, self).__init__()

                        self.yang_name = "write"
                        self.yang_parent_name = "encrypt"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"ec" : ("ec", Native.Crypto.Key.Encrypt.Write.Ec), "rsa" : ("rsa", Native.Crypto.Key.Encrypt.Write.Rsa)}
                        self._child_list_classes = {}

                        self.ec = None
                        self._children_name_map["ec"] = "ec"
                        self._children_yang_names.add("ec")

                        self.rsa = None
                        self._children_name_map["rsa"] = "rsa"
                        self._children_yang_names.add("rsa")
                        self._segment_path = lambda: "write"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/encrypt/%s" % self._segment_path()


                    class Ec(Entity):
                        """
                        EC keys
                        
                        .. attribute:: name
                        
                        	Name of keypair to encrypt
                        	**type**\: str
                        
                        .. attribute:: passphrase
                        
                        	encryption key
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Key.Encrypt.Write.Ec, self).__init__()

                            self.yang_name = "ec"
                            self.yang_parent_name = "write"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.name = YLeaf(YType.str, "name")

                            self.passphrase = YLeaf(YType.str, "passphrase")
                            self._segment_path = lambda: "ec"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/encrypt/write/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Key.Encrypt.Write.Ec, ['name', 'passphrase'], name, value)


                    class Rsa(Entity):
                        """
                        RSA keys
                        
                        .. attribute:: name
                        
                        	Name of keypair to encrypt
                        	**type**\: str
                        
                        .. attribute:: passphrase
                        
                        	encryption key
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Key.Encrypt.Write.Rsa, self).__init__()

                            self.yang_name = "rsa"
                            self.yang_parent_name = "write"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.name = YLeaf(YType.str, "name")

                            self.passphrase = YLeaf(YType.str, "passphrase")
                            self._segment_path = lambda: "rsa"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/encrypt/write/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Key.Encrypt.Write.Rsa, ['name', 'passphrase'], name, value)


            class Export(Entity):
                """
                Export keys
                
                .. attribute:: ec
                
                	Export EC keys
                	**type**\: list of  		 :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Ec>`
                
                .. attribute:: rsa
                
                	Export RSRA keys
                	**type**\: list of  		 :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Rsa>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Key.Export, self).__init__()

                    self.yang_name = "export"
                    self.yang_parent_name = "key"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"ec" : ("ec", Native.Crypto.Key.Export.Ec), "rsa" : ("rsa", Native.Crypto.Key.Export.Rsa)}

                    self.ec = YList(self)
                    self.rsa = YList(self)
                    self._segment_path = lambda: "export"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Key.Export, [], name, value)


                class Ec(Entity):
                    """
                    Export EC keys
                    
                    .. attribute:: label  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: pem
                    
                    	File type to export
                    	**type**\:  :py:class:`Pem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Ec.Pem>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Export.Ec, self).__init__()

                        self.yang_name = "ec"
                        self.yang_parent_name = "export"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"pem" : ("pem", Native.Crypto.Key.Export.Ec.Pem)}
                        self._child_list_classes = {}

                        self.label = YLeaf(YType.str, "label")

                        self.pem = Native.Crypto.Key.Export.Ec.Pem()
                        self.pem.parent = self
                        self._children_name_map["pem"] = "pem"
                        self._children_yang_names.add("pem")
                        self._segment_path = lambda: "ec" + "[label='" + self.label.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/export/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Export.Ec, ['label'], name, value)


                    class Pem(Entity):
                        """
                        File type to export
                        
                        .. attribute:: terminal
                        
                        	Export via the terminal (cut\-and\-paste)
                        	**type**\:  :py:class:`Terminal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Ec.Pem.Terminal>`
                        
                        .. attribute:: url
                        
                        	Export via the file systems
                        	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Ec.Pem.Url>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Key.Export.Ec.Pem, self).__init__()

                            self.yang_name = "pem"
                            self.yang_parent_name = "ec"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"terminal" : ("terminal", Native.Crypto.Key.Export.Ec.Pem.Terminal), "url" : ("url", Native.Crypto.Key.Export.Ec.Pem.Url)}
                            self._child_list_classes = {}

                            self.terminal = Native.Crypto.Key.Export.Ec.Pem.Terminal()
                            self.terminal.parent = self
                            self._children_name_map["terminal"] = "terminal"
                            self._children_yang_names.add("terminal")

                            self.url = Native.Crypto.Key.Export.Ec.Pem.Url()
                            self.url.parent = self
                            self._children_name_map["url"] = "url"
                            self._children_yang_names.add("url")
                            self._segment_path = lambda: "pem"


                        class Terminal(Entity):
                            """
                            Export via the terminal (cut\-and\-paste)
                            
                            .. attribute:: pk_3des
                            
                            	Encrypt the private key with 3DES
                            	**type**\: str
                            
                            .. attribute:: des
                            
                            	Encrypt the private key with DES
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Key.Export.Ec.Pem.Terminal, self).__init__()

                                self.yang_name = "terminal"
                                self.yang_parent_name = "pem"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.pk_3des = YLeaf(YType.str, "pk-3des")

                                self.des = YLeaf(YType.str, "des")
                                self._segment_path = lambda: "terminal"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Key.Export.Ec.Pem.Terminal, ['pk_3des', 'des'], name, value)


                        class Url(Entity):
                            """
                            Export via the file systems
                            
                            .. attribute:: file
                            
                            	
                            	**type**\:  :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Ec.Pem.Url.File>`
                            
                            .. attribute:: url_3des
                            
                            	Encrypt the private key with 3DES
                            	**type**\: str
                            
                            .. attribute:: des
                            
                            	Encrypt the private key with DES
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Key.Export.Ec.Pem.Url, self).__init__()

                                self.yang_name = "url"
                                self.yang_parent_name = "pem"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.file = YLeaf(YType.enumeration, "file")

                                self.url_3des = YLeaf(YType.str, "url-3des")

                                self.des = YLeaf(YType.str, "des")
                                self._segment_path = lambda: "url"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Key.Export.Ec.Pem.Url, ['file', 'url_3des', 'des'], name, value)

                            class File(Enum):
                                """
                                File

                                .. data:: bootflash__COLON__ = 0

                                .. data:: flash__COLON__ = 1

                                .. data:: ftp__COLON__ = 2

                                .. data:: http__COLON__ = 3

                                .. data:: https__COLON__ = 4

                                .. data:: null__COLON__ = 5

                                .. data:: nvram__COLON__ = 6

                                .. data:: pram__COLON__ = 7

                                .. data:: rcp__COLON__ = 8

                                .. data:: scp__COLON__ = 9

                                .. data:: system__COLON__ = 10

                                .. data:: tftp__COLON__ = 11

                                .. data:: tmpsys__COLON__ = 12

                                """

                                bootflash__COLON__ = Enum.YLeaf(0, "bootflash:")

                                flash__COLON__ = Enum.YLeaf(1, "flash:")

                                ftp__COLON__ = Enum.YLeaf(2, "ftp:")

                                http__COLON__ = Enum.YLeaf(3, "http:")

                                https__COLON__ = Enum.YLeaf(4, "https:")

                                null__COLON__ = Enum.YLeaf(5, "null:")

                                nvram__COLON__ = Enum.YLeaf(6, "nvram:")

                                pram__COLON__ = Enum.YLeaf(7, "pram:")

                                rcp__COLON__ = Enum.YLeaf(8, "rcp:")

                                scp__COLON__ = Enum.YLeaf(9, "scp:")

                                system__COLON__ = Enum.YLeaf(10, "system:")

                                tftp__COLON__ = Enum.YLeaf(11, "tftp:")

                                tmpsys__COLON__ = Enum.YLeaf(12, "tmpsys:")



                class Rsa(Entity):
                    """
                    Export RSRA keys
                    
                    .. attribute:: label  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: pem
                    
                    	File type to export
                    	**type**\:  :py:class:`Pem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Rsa.Pem>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Export.Rsa, self).__init__()

                        self.yang_name = "rsa"
                        self.yang_parent_name = "export"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"pem" : ("pem", Native.Crypto.Key.Export.Rsa.Pem)}
                        self._child_list_classes = {}

                        self.label = YLeaf(YType.str, "label")

                        self.pem = Native.Crypto.Key.Export.Rsa.Pem()
                        self.pem.parent = self
                        self._children_name_map["pem"] = "pem"
                        self._children_yang_names.add("pem")
                        self._segment_path = lambda: "rsa" + "[label='" + self.label.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/export/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Export.Rsa, ['label'], name, value)


                    class Pem(Entity):
                        """
                        File type to export
                        
                        .. attribute:: terminal
                        
                        	Export via the terminal (cut\-and\-paste)
                        	**type**\:  :py:class:`Terminal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Rsa.Pem.Terminal>`
                        
                        .. attribute:: url
                        
                        	Export via the file systems
                        	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Rsa.Pem.Url>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Key.Export.Rsa.Pem, self).__init__()

                            self.yang_name = "pem"
                            self.yang_parent_name = "rsa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"terminal" : ("terminal", Native.Crypto.Key.Export.Rsa.Pem.Terminal), "url" : ("url", Native.Crypto.Key.Export.Rsa.Pem.Url)}
                            self._child_list_classes = {}

                            self.terminal = Native.Crypto.Key.Export.Rsa.Pem.Terminal()
                            self.terminal.parent = self
                            self._children_name_map["terminal"] = "terminal"
                            self._children_yang_names.add("terminal")

                            self.url = Native.Crypto.Key.Export.Rsa.Pem.Url()
                            self.url.parent = self
                            self._children_name_map["url"] = "url"
                            self._children_yang_names.add("url")
                            self._segment_path = lambda: "pem"


                        class Terminal(Entity):
                            """
                            Export via the terminal (cut\-and\-paste)
                            
                            .. attribute:: pk_3des
                            
                            	Encrypt the private key with 3DES
                            	**type**\: str
                            
                            .. attribute:: des
                            
                            	Encrypt the private key with DES
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Key.Export.Rsa.Pem.Terminal, self).__init__()

                                self.yang_name = "terminal"
                                self.yang_parent_name = "pem"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.pk_3des = YLeaf(YType.str, "pk-3des")

                                self.des = YLeaf(YType.str, "des")
                                self._segment_path = lambda: "terminal"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Key.Export.Rsa.Pem.Terminal, ['pk_3des', 'des'], name, value)


                        class Url(Entity):
                            """
                            Export via the file systems
                            
                            .. attribute:: file
                            
                            	
                            	**type**\:  :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Export.Rsa.Pem.Url.File>`
                            
                            .. attribute:: url_3des
                            
                            	Encrypt the private key with 3DES
                            	**type**\: str
                            
                            .. attribute:: des
                            
                            	Encrypt the private key with DES
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Key.Export.Rsa.Pem.Url, self).__init__()

                                self.yang_name = "url"
                                self.yang_parent_name = "pem"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.file = YLeaf(YType.enumeration, "file")

                                self.url_3des = YLeaf(YType.str, "url-3des")

                                self.des = YLeaf(YType.str, "des")
                                self._segment_path = lambda: "url"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Key.Export.Rsa.Pem.Url, ['file', 'url_3des', 'des'], name, value)

                            class File(Enum):
                                """
                                File

                                .. data:: bootflash__COLON__ = 0

                                .. data:: flash__COLON__ = 1

                                .. data:: ftp__COLON__ = 2

                                .. data:: http__COLON__ = 3

                                .. data:: https__COLON__ = 4

                                .. data:: null__COLON__ = 5

                                .. data:: nvram__COLON__ = 6

                                .. data:: pram__COLON__ = 7

                                .. data:: rcp__COLON__ = 8

                                .. data:: scp__COLON__ = 9

                                .. data:: system__COLON__ = 10

                                .. data:: tftp__COLON__ = 11

                                .. data:: tmpsys__COLON__ = 12

                                """

                                bootflash__COLON__ = Enum.YLeaf(0, "bootflash:")

                                flash__COLON__ = Enum.YLeaf(1, "flash:")

                                ftp__COLON__ = Enum.YLeaf(2, "ftp:")

                                http__COLON__ = Enum.YLeaf(3, "http:")

                                https__COLON__ = Enum.YLeaf(4, "https:")

                                null__COLON__ = Enum.YLeaf(5, "null:")

                                nvram__COLON__ = Enum.YLeaf(6, "nvram:")

                                pram__COLON__ = Enum.YLeaf(7, "pram:")

                                rcp__COLON__ = Enum.YLeaf(8, "rcp:")

                                scp__COLON__ = Enum.YLeaf(9, "scp:")

                                system__COLON__ = Enum.YLeaf(10, "system:")

                                tftp__COLON__ = Enum.YLeaf(11, "tftp:")

                                tmpsys__COLON__ = Enum.YLeaf(12, "tmpsys:")



            class Generate(Entity):
                """
                Generate new keys
                
                .. attribute:: ec
                
                	Generate EC keys for ECDSA
                	**type**\:  :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Generate.Ec>`
                
                .. attribute:: rsa
                
                	Generate RSA keys
                	**type**\:  :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Generate.Rsa>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Key.Generate, self).__init__()

                    self.yang_name = "generate"
                    self.yang_parent_name = "key"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ec" : ("ec", Native.Crypto.Key.Generate.Ec), "rsa" : ("rsa", Native.Crypto.Key.Generate.Rsa)}
                    self._child_list_classes = {}

                    self.ec = Native.Crypto.Key.Generate.Ec()
                    self.ec.parent = self
                    self._children_name_map["ec"] = "ec"
                    self._children_yang_names.add("ec")

                    self.rsa = None
                    self._children_name_map["rsa"] = "rsa"
                    self._children_yang_names.add("rsa")
                    self._segment_path = lambda: "generate"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/%s" % self._segment_path()


                class Ec(Entity):
                    """
                    Generate EC keys for ECDSA
                    
                    .. attribute:: keysize
                    
                    	Number of bits
                    	**type**\:  :py:class:`Keysize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Generate.Ec.Keysize>`
                    
                    .. attribute:: exportable
                    
                    	Allow key to be exported
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: label
                    
                    	Provide a label
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Generate.Ec, self).__init__()

                        self.yang_name = "ec"
                        self.yang_parent_name = "generate"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.keysize = YLeaf(YType.enumeration, "keysize")

                        self.exportable = YLeaf(YType.empty, "exportable")

                        self.label = YLeaf(YType.str, "label")
                        self._segment_path = lambda: "ec"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/generate/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Generate.Ec, ['keysize', 'exportable', 'label'], name, value)

                    class Keysize(Enum):
                        """
                        Keysize

                        Number of bits

                        .. data:: Y_256 = 0

                        .. data:: Y_384 = 1

                        """

                        Y_256 = Enum.YLeaf(0, "256")

                        Y_384 = Enum.YLeaf(1, "384")



                class Rsa(Entity):
                    """
                    Generate RSA keys
                    
                    .. attribute:: encryption
                    
                    	Generate a general purpose RSA key pair for signing and encryption
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: exportable
                    
                    	Allow the key to be exported
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: general_keys
                    
                    	Generate a general purpose RSA key pair for signing and encryption
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: label
                    
                    	Provide a label
                    	**type**\: str
                    
                    .. attribute:: modulus
                    
                    	Provide number of modulus bits on the command line
                    	**type**\: int
                    
                    	**range:** 360..4096
                    
                    .. attribute:: on
                    
                    	create key on specified device
                    	**type**\: str
                    
                    .. attribute:: redundancy
                    
                    	Allow the key to be synced to high\-availability peer
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: signature
                    
                    	Generate a general purpose RSA key pair for signing and encryption
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: storage
                    
                    	Store key on specified device
                    	**type**\: str
                    
                    .. attribute:: usage_keys
                    
                    	Generate separate RSA key pairs for signing and encryption
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Generate.Rsa, self).__init__()

                        self.yang_name = "rsa"
                        self.yang_parent_name = "generate"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.encryption = YLeaf(YType.empty, "encryption")

                        self.exportable = YLeaf(YType.empty, "exportable")

                        self.general_keys = YLeaf(YType.empty, "general-keys")

                        self.label = YLeaf(YType.str, "label")

                        self.modulus = YLeaf(YType.uint16, "modulus")

                        self.on = YLeaf(YType.str, "on")

                        self.redundancy = YLeaf(YType.empty, "redundancy")

                        self.signature = YLeaf(YType.empty, "signature")

                        self.storage = YLeaf(YType.str, "storage")

                        self.usage_keys = YLeaf(YType.empty, "usage-keys")
                        self._segment_path = lambda: "rsa"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/generate/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Generate.Rsa, ['encryption', 'exportable', 'general_keys', 'label', 'modulus', 'on', 'redundancy', 'signature', 'storage', 'usage_keys'], name, value)


            class Import_(Entity):
                """
                Import keys
                
                .. attribute:: ec
                
                	Import EC keys
                	**type**\: list of  		 :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_.Ec>`
                
                .. attribute:: rsa
                
                	Import RSA keys
                	**type**\: list of  		 :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_.Rsa>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Key.Import_, self).__init__()

                    self.yang_name = "import"
                    self.yang_parent_name = "key"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"ec" : ("ec", Native.Crypto.Key.Import_.Ec), "rsa" : ("rsa", Native.Crypto.Key.Import_.Rsa)}

                    self.ec = YList(self)
                    self.rsa = YList(self)
                    self._segment_path = lambda: "import"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Key.Import_, [], name, value)


                class Ec(Entity):
                    """
                    Import EC keys
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: exportable
                    
                    	Allow key to be exported
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: terminal
                    
                    	Import via the terminal (cut\-and\-paste)
                    	**type**\: str
                    
                    .. attribute:: url
                    
                    	Export via the file systems
                    	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_.Ec.Url>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Import_.Ec, self).__init__()

                        self.yang_name = "ec"
                        self.yang_parent_name = "import"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"url" : ("url", Native.Crypto.Key.Import_.Ec.Url)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.exportable = YLeaf(YType.empty, "exportable")

                        self.terminal = YLeaf(YType.str, "terminal")

                        self.url = Native.Crypto.Key.Import_.Ec.Url()
                        self.url.parent = self
                        self._children_name_map["url"] = "url"
                        self._children_yang_names.add("url")
                        self._segment_path = lambda: "ec" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/import/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Import_.Ec, ['name', 'exportable', 'terminal'], name, value)


                    class Url(Entity):
                        """
                        Export via the file systems
                        
                        .. attribute:: file
                        
                        	
                        	**type**\:  :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_.Ec.Url.File>`
                        
                        .. attribute:: key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Key.Import_.Ec.Url, self).__init__()

                            self.yang_name = "url"
                            self.yang_parent_name = "ec"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.file = YLeaf(YType.enumeration, "file")

                            self.key = YLeaf(YType.str, "key")
                            self._segment_path = lambda: "url"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Key.Import_.Ec.Url, ['file', 'key'], name, value)

                        class File(Enum):
                            """
                            File

                            .. data:: bootflash__COLON__ = 0

                            .. data:: cns__COLON__ = 1

                            .. data:: flash__COLON__ = 2

                            .. data:: ftp__COLON__ = 3

                            .. data:: http__COLON__ = 4

                            .. data:: https__COLON__ = 5

                            .. data:: null__COLON__ = 6

                            .. data:: nvram__COLON__ = 7

                            .. data:: pram__COLON__ = 8

                            .. data:: rcp__COLON__ = 9

                            .. data:: scp__COLON__ = 10

                            .. data:: system__COLON__ = 11

                            .. data:: tar__COLON__ = 12

                            .. data:: tftp__COLON__ = 13

                            .. data:: tmpsys__COLON__ = 14

                            """

                            bootflash__COLON__ = Enum.YLeaf(0, "bootflash:")

                            cns__COLON__ = Enum.YLeaf(1, "cns:")

                            flash__COLON__ = Enum.YLeaf(2, "flash:")

                            ftp__COLON__ = Enum.YLeaf(3, "ftp:")

                            http__COLON__ = Enum.YLeaf(4, "http:")

                            https__COLON__ = Enum.YLeaf(5, "https:")

                            null__COLON__ = Enum.YLeaf(6, "null:")

                            nvram__COLON__ = Enum.YLeaf(7, "nvram:")

                            pram__COLON__ = Enum.YLeaf(8, "pram:")

                            rcp__COLON__ = Enum.YLeaf(9, "rcp:")

                            scp__COLON__ = Enum.YLeaf(10, "scp:")

                            system__COLON__ = Enum.YLeaf(11, "system:")

                            tar__COLON__ = Enum.YLeaf(12, "tar:")

                            tftp__COLON__ = Enum.YLeaf(13, "tftp:")

                            tmpsys__COLON__ = Enum.YLeaf(14, "tmpsys:")



                class Rsa(Entity):
                    """
                    Import RSA keys
                    
                    .. attribute:: label  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: encryption
                    
                    	Encryption key
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: exportable
                    
                    	Allow the key to be exported
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: general_purpose
                    
                    	General Purpose key
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: on
                    
                    	Make this an on\-token key
                    	**type**\: str
                    
                    .. attribute:: pem
                    
                    	File type to import
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: redundancy
                    
                    	Sync this key to the standby
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: signature
                    
                    	Signature key
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: storage
                    
                    	Store key on specified device
                    	**type**\: str
                    
                    .. attribute:: usage_keys
                    
                    	Usage key pairs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: terminal
                    
                    	Import via the terminal (cut\-and\-paste)
                    	**type**\: str
                    
                    .. attribute:: url
                    
                    	Export via the file systems
                    	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_.Rsa.Url>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Import_.Rsa, self).__init__()

                        self.yang_name = "rsa"
                        self.yang_parent_name = "import"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"url" : ("url", Native.Crypto.Key.Import_.Rsa.Url)}
                        self._child_list_classes = {}

                        self.label = YLeaf(YType.str, "label")

                        self.encryption = YLeaf(YType.empty, "encryption")

                        self.exportable = YLeaf(YType.empty, "exportable")

                        self.general_purpose = YLeaf(YType.empty, "general-purpose")

                        self.on = YLeaf(YType.str, "on")

                        self.pem = YLeaf(YType.empty, "pem")

                        self.redundancy = YLeaf(YType.empty, "redundancy")

                        self.signature = YLeaf(YType.empty, "signature")

                        self.storage = YLeaf(YType.str, "storage")

                        self.usage_keys = YLeaf(YType.empty, "usage-keys")

                        self.terminal = YLeaf(YType.str, "terminal")

                        self.url = Native.Crypto.Key.Import_.Rsa.Url()
                        self.url.parent = self
                        self._children_name_map["url"] = "url"
                        self._children_yang_names.add("url")
                        self._segment_path = lambda: "rsa" + "[label='" + self.label.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/import/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Import_.Rsa, ['label', 'encryption', 'exportable', 'general_purpose', 'on', 'pem', 'redundancy', 'signature', 'storage', 'usage_keys', 'terminal'], name, value)


                    class Url(Entity):
                        """
                        Export via the file systems
                        
                        .. attribute:: file
                        
                        	
                        	**type**\:  :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Import_.Rsa.Url.File>`
                        
                        .. attribute:: key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Key.Import_.Rsa.Url, self).__init__()

                            self.yang_name = "url"
                            self.yang_parent_name = "rsa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.file = YLeaf(YType.enumeration, "file")

                            self.key = YLeaf(YType.str, "key")
                            self._segment_path = lambda: "url"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Key.Import_.Rsa.Url, ['file', 'key'], name, value)

                        class File(Enum):
                            """
                            File

                            .. data:: bootflash__COLON__ = 0

                            .. data:: cns__COLON__ = 1

                            .. data:: flash__COLON__ = 2

                            .. data:: ftp__COLON__ = 3

                            .. data:: http__COLON__ = 4

                            .. data:: https__COLON__ = 5

                            .. data:: null__COLON__ = 6

                            .. data:: nvram__COLON__ = 7

                            .. data:: pram__COLON__ = 8

                            .. data:: rcp__COLON__ = 9

                            .. data:: scp__COLON__ = 10

                            .. data:: system__COLON__ = 11

                            .. data:: tar__COLON__ = 12

                            .. data:: tftp__COLON__ = 13

                            .. data:: tmpsys__COLON__ = 14

                            """

                            bootflash__COLON__ = Enum.YLeaf(0, "bootflash:")

                            cns__COLON__ = Enum.YLeaf(1, "cns:")

                            flash__COLON__ = Enum.YLeaf(2, "flash:")

                            ftp__COLON__ = Enum.YLeaf(3, "ftp:")

                            http__COLON__ = Enum.YLeaf(4, "http:")

                            https__COLON__ = Enum.YLeaf(5, "https:")

                            null__COLON__ = Enum.YLeaf(6, "null:")

                            nvram__COLON__ = Enum.YLeaf(7, "nvram:")

                            pram__COLON__ = Enum.YLeaf(8, "pram:")

                            rcp__COLON__ = Enum.YLeaf(9, "rcp:")

                            scp__COLON__ = Enum.YLeaf(10, "scp:")

                            system__COLON__ = Enum.YLeaf(11, "system:")

                            tar__COLON__ = Enum.YLeaf(12, "tar:")

                            tftp__COLON__ = Enum.YLeaf(13, "tftp:")

                            tmpsys__COLON__ = Enum.YLeaf(14, "tmpsys:")



            class Move(Entity):
                """
                Move keys
                
                .. attribute:: rsa
                
                	Move RSA keys
                	**type**\:  :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Move.Rsa>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Key.Move, self).__init__()

                    self.yang_name = "move"
                    self.yang_parent_name = "key"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"rsa" : ("rsa", Native.Crypto.Key.Move.Rsa)}
                    self._child_list_classes = {}

                    self.rsa = Native.Crypto.Key.Move.Rsa()
                    self.rsa.parent = self
                    self._children_name_map["rsa"] = "rsa"
                    self._children_yang_names.add("rsa")
                    self._segment_path = lambda: "move"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/%s" % self._segment_path()


                class Rsa(Entity):
                    """
                    Move RSA keys
                    
                    .. attribute:: label
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: non_exportable
                    
                    	Do Not allow the key to be exported
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: on
                    
                    	Make this an on\-token key
                    	**type**\: str
                    
                    .. attribute:: redundancy
                    
                    	Sync this key to the standby
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: storage
                    
                    	Store key on specified device
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Move.Rsa, self).__init__()

                        self.yang_name = "rsa"
                        self.yang_parent_name = "move"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.label = YLeaf(YType.str, "label")

                        self.non_exportable = YLeaf(YType.empty, "non-exportable")

                        self.on = YLeaf(YType.str, "on")

                        self.redundancy = YLeaf(YType.empty, "redundancy")

                        self.storage = YLeaf(YType.str, "storage")
                        self._segment_path = lambda: "rsa"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/move/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Move.Rsa, ['label', 'non_exportable', 'on', 'redundancy', 'storage'], name, value)


            class PubkeyChain(Entity):
                """
                Peer public key chain management
                
                .. attribute:: rsa
                
                	Peer RSA public key chain management
                	**type**\:  :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Key.PubkeyChain, self).__init__()

                    self.yang_name = "pubkey-chain"
                    self.yang_parent_name = "key"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"rsa" : ("rsa", Native.Crypto.Key.PubkeyChain.Rsa)}
                    self._child_list_classes = {}

                    self.rsa = Native.Crypto.Key.PubkeyChain.Rsa()
                    self.rsa.parent = self
                    self._children_name_map["rsa"] = "rsa"
                    self._children_yang_names.add("rsa")
                    self._segment_path = lambda: "pubkey-chain"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/%s" % self._segment_path()


                class Rsa(Entity):
                    """
                    Peer RSA public key chain management
                    
                    .. attribute:: addressed_key
                    
                    	Public key associated with an address
                    	**type**\: list of  		 :py:class:`AddressedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey>`
                    
                    .. attribute:: named_key
                    
                    	Public key associated with a name
                    	**type**\: list of  		 :py:class:`NamedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.NamedKey>`
                    
                    .. attribute:: default
                    
                    	Set a command to its defaults
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.Default>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.PubkeyChain.Rsa, self).__init__()

                        self.yang_name = "rsa"
                        self.yang_parent_name = "pubkey-chain"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"default" : ("default", Native.Crypto.Key.PubkeyChain.Rsa.Default)}
                        self._child_list_classes = {"addressed-key" : ("addressed_key", Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey), "named-key" : ("named_key", Native.Crypto.Key.PubkeyChain.Rsa.NamedKey)}

                        self.default = Native.Crypto.Key.PubkeyChain.Rsa.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.addressed_key = YList(self)
                        self.named_key = YList(self)
                        self._segment_path = lambda: "rsa"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/pubkey-chain/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.PubkeyChain.Rsa, [], name, value)


                    class AddressedKey(Entity):
                        """
                        Public key associated with an address
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: use
                        
                        	
                        	**type**\:  :py:class:`Use <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Use>`
                        
                        .. attribute:: address
                        
                        	Assign an address to the key
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: key_string
                        
                        	Key data
                        	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.KeyString>`
                        
                        .. attribute:: serial_number
                        
                        	Serial number of the device
                        	**type**\: str
                        
                        .. attribute:: default
                        
                        	Set a command to its defaults
                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey, self).__init__()

                            self.yang_name = "addressed-key"
                            self.yang_parent_name = "rsa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"key-string" : ("key_string", Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.KeyString), "default" : ("default", Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default)}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.str, "ip")

                            self.use = YLeaf(YType.enumeration, "use")

                            self.address = YLeaf(YType.str, "address")

                            self.serial_number = YLeaf(YType.str, "serial-number")

                            self.key_string = Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.KeyString()
                            self.key_string.parent = self
                            self._children_name_map["key_string"] = "key-string"
                            self._children_yang_names.add("key-string")

                            self.default = Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default()
                            self.default.parent = self
                            self._children_name_map["default"] = "default"
                            self._children_yang_names.add("default")
                            self._segment_path = lambda: "addressed-key" + "[ip='" + self.ip.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/pubkey-chain/rsa/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey, ['ip', 'use', 'address', 'serial_number'], name, value)

                        class Use(Enum):
                            """
                            Use

                            .. data:: encryption = 0

                            .. data:: signature = 1

                            """

                            encryption = Enum.YLeaf(0, "encryption")

                            signature = Enum.YLeaf(1, "signature")



                        class KeyString(Entity):
                            """
                            Key data
                            
                            .. attribute:: hex_data
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: quit
                            
                            	Exit data entry mode
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.KeyString, self).__init__()

                                self.yang_name = "key-string"
                                self.yang_parent_name = "addressed-key"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hex_data = YLeaf(YType.str, "hex-data")

                                self.quit = YLeaf(YType.empty, "quit")
                                self._segment_path = lambda: "key-string"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.KeyString, ['hex_data', 'quit'], name, value)


                        class Default(Entity):
                            """
                            Set a command to its defaults
                            
                            .. attribute:: address
                            
                            	Assign an address to the key
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: key_string
                            
                            	Key data
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default.KeyString>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: serial_number
                            
                            	Serial number of the device
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default, self).__init__()

                                self.yang_name = "default"
                                self.yang_parent_name = "addressed-key"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default.KeyString)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")

                                self.serial_number = YLeaf(YType.empty, "serial-number")

                                self.key_string = None
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "default"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default, ['address', 'serial_number'], name, value)


                            class KeyString(Entity):
                                """
                                Key data
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Key.PubkeyChain.Rsa.AddressedKey.Default.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "key-string"


                    class NamedKey(Entity):
                        """
                        Public key associated with a name
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: use
                        
                        	
                        	**type**\:  :py:class:`Use <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Use>`
                        
                        .. attribute:: address
                        
                        	Assign an address to the key
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: key_string
                        
                        	Key data
                        	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.KeyString>`
                        
                        .. attribute:: serial_number
                        
                        	Serial number of the device
                        	**type**\: str
                        
                        .. attribute:: default
                        
                        	Set a command to its defaults
                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Key.PubkeyChain.Rsa.NamedKey, self).__init__()

                            self.yang_name = "named-key"
                            self.yang_parent_name = "rsa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"key-string" : ("key_string", Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.KeyString), "default" : ("default", Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default)}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.use = YLeaf(YType.enumeration, "use")

                            self.address = YLeaf(YType.str, "address")

                            self.serial_number = YLeaf(YType.str, "serial-number")

                            self.key_string = Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.KeyString()
                            self.key_string.parent = self
                            self._children_name_map["key_string"] = "key-string"
                            self._children_yang_names.add("key-string")

                            self.default = Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default()
                            self.default.parent = self
                            self._children_name_map["default"] = "default"
                            self._children_yang_names.add("default")
                            self._segment_path = lambda: "named-key" + "[name='" + self.name.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/pubkey-chain/rsa/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Key.PubkeyChain.Rsa.NamedKey, ['name', 'use', 'address', 'serial_number'], name, value)

                        class Use(Enum):
                            """
                            Use

                            .. data:: encryption = 0

                            .. data:: signature = 1

                            """

                            encryption = Enum.YLeaf(0, "encryption")

                            signature = Enum.YLeaf(1, "signature")



                        class KeyString(Entity):
                            """
                            Key data
                            
                            .. attribute:: hex_data
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: quit
                            
                            	Exit data entry mode
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.KeyString, self).__init__()

                                self.yang_name = "key-string"
                                self.yang_parent_name = "named-key"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hex_data = YLeaf(YType.str, "hex-data")

                                self.quit = YLeaf(YType.empty, "quit")
                                self._segment_path = lambda: "key-string"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.KeyString, ['hex_data', 'quit'], name, value)


                        class Default(Entity):
                            """
                            Set a command to its defaults
                            
                            .. attribute:: address
                            
                            	Assign an address to the key
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: key_string
                            
                            	Key data
                            	**type**\:  :py:class:`KeyString <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default.KeyString>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: serial_number
                            
                            	Serial number of the device
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default, self).__init__()

                                self.yang_name = "default"
                                self.yang_parent_name = "named-key"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key-string" : ("key_string", Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default.KeyString)}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.empty, "address")

                                self.serial_number = YLeaf(YType.empty, "serial-number")

                                self.key_string = None
                                self._children_name_map["key_string"] = "key-string"
                                self._children_yang_names.add("key-string")
                                self._segment_path = lambda: "default"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default, ['address', 'serial_number'], name, value)


                            class KeyString(Entity):
                                """
                                Key data
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Key.PubkeyChain.Rsa.NamedKey.Default.KeyString, self).__init__()

                                    self.yang_name = "key-string"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "key-string"


                    class Default(Entity):
                        """
                        Set a command to its defaults
                        
                        .. attribute:: addressed_key
                        
                        	Public key associated with an address
                        	**type**\: list of  		 :py:class:`AddressedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey>`
                        
                        .. attribute:: named_key
                        
                        	Public key associated with a name
                        	**type**\: list of  		 :py:class:`NamedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Key.PubkeyChain.Rsa.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "rsa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"addressed-key" : ("addressed_key", Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey), "named-key" : ("named_key", Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey)}

                            self.addressed_key = YList(self)
                            self.named_key = YList(self)
                            self._segment_path = lambda: "default"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/pubkey-chain/rsa/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Key.PubkeyChain.Rsa.Default, [], name, value)


                        class AddressedKey(Entity):
                            """
                            Public key associated with an address
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: use
                            
                            	
                            	**type**\:  :py:class:`Use <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey.Use>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey, self).__init__()

                                self.yang_name = "addressed-key"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.str, "ip")

                                self.use = YLeaf(YType.enumeration, "use")
                                self._segment_path = lambda: "addressed-key" + "[ip='" + self.ip.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/pubkey-chain/rsa/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Key.PubkeyChain.Rsa.Default.AddressedKey, ['ip', 'use'], name, value)

                            class Use(Enum):
                                """
                                Use

                                .. data:: encryption = 0

                                .. data:: signature = 1

                                """

                                encryption = Enum.YLeaf(0, "encryption")

                                signature = Enum.YLeaf(1, "signature")



                        class NamedKey(Entity):
                            """
                            Public key associated with a name
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: use
                            
                            	
                            	**type**\:  :py:class:`Use <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey.Use>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey, self).__init__()

                                self.yang_name = "named-key"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.use = YLeaf(YType.enumeration, "use")
                                self._segment_path = lambda: "named-key" + "[name='" + self.name.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/pubkey-chain/rsa/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Key.PubkeyChain.Rsa.Default.NamedKey, ['name', 'use'], name, value)

                            class Use(Enum):
                                """
                                Use

                                .. data:: encryption = 0

                                .. data:: signature = 1

                                """

                                encryption = Enum.YLeaf(0, "encryption")

                                signature = Enum.YLeaf(1, "signature")



            class Zeroize(Entity):
                """
                Remove keys
                
                .. attribute:: ec
                
                	Remove EC keys
                	**type**\:  :py:class:`Ec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Zeroize.Ec>`
                
                	**presence node**\: True
                
                .. attribute:: pubkey_chain
                
                	Remove peer's cached public key
                	**type**\:  :py:class:`PubkeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Zeroize.PubkeyChain>`
                
                	**presence node**\: True
                
                .. attribute:: rsa
                
                	Remove RSA keys
                	**type**\:  :py:class:`Rsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Key.Zeroize.Rsa>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Key.Zeroize, self).__init__()

                    self.yang_name = "zeroize"
                    self.yang_parent_name = "key"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ec" : ("ec", Native.Crypto.Key.Zeroize.Ec), "pubkey-chain" : ("pubkey_chain", Native.Crypto.Key.Zeroize.PubkeyChain), "rsa" : ("rsa", Native.Crypto.Key.Zeroize.Rsa)}
                    self._child_list_classes = {}

                    self.ec = None
                    self._children_name_map["ec"] = "ec"
                    self._children_yang_names.add("ec")

                    self.pubkey_chain = None
                    self._children_name_map["pubkey_chain"] = "pubkey-chain"
                    self._children_yang_names.add("pubkey-chain")

                    self.rsa = None
                    self._children_name_map["rsa"] = "rsa"
                    self._children_yang_names.add("rsa")
                    self._segment_path = lambda: "zeroize"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/%s" % self._segment_path()


                class Ec(Entity):
                    """
                    Remove EC keys
                    
                    .. attribute:: label
                    
                    	
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Zeroize.Ec, self).__init__()

                        self.yang_name = "ec"
                        self.yang_parent_name = "zeroize"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.label = YLeaf(YType.str, "label")
                        self._segment_path = lambda: "ec"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/zeroize/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Zeroize.Ec, ['label'], name, value)


                class PubkeyChain(Entity):
                    """
                    Remove peer's cached public key
                    
                    .. attribute:: index
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Zeroize.PubkeyChain, self).__init__()

                        self.yang_name = "pubkey-chain"
                        self.yang_parent_name = "zeroize"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.index = YLeaf(YType.uint16, "index")
                        self._segment_path = lambda: "pubkey-chain"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/zeroize/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Zeroize.PubkeyChain, ['index'], name, value)


                class Rsa(Entity):
                    """
                    Remove RSA keys
                    
                    .. attribute:: label
                    
                    	
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Key.Zeroize.Rsa, self).__init__()

                        self.yang_name = "rsa"
                        self.yang_parent_name = "zeroize"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.label = YLeaf(YType.str, "label")
                        self._segment_path = lambda: "rsa"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:key/zeroize/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Key.Zeroize.Rsa, ['label'], name, value)


        class Keyring(Entity):
            """
            Key ring commands
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: vrf
            
            	Mention a vrf it belongs to
            	**type**\: str
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default>`
            
            .. attribute:: description
            
            	Specify a description about this keyring
            	**type**\: str
            
            .. attribute:: local_address
            
            	Limit the keyring usage to a local address
            	**type**\: str
            
            .. attribute:: pre_shared_key
            
            	Pre\-Shared Key
            	**type**\:  :py:class:`PreSharedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey>`
            
            .. attribute:: rsa_pubkey
            
            	Peer RSA public key chain management
            	**type**\:  :py:class:`RsaPubkey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.RsaPubkey>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Keyring, self).__init__()

                self.yang_name = "keyring"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"default" : ("default", Native.Crypto.Keyring.Default), "pre-shared-key" : ("pre_shared_key", Native.Crypto.Keyring.PreSharedKey), "rsa-pubkey" : ("rsa_pubkey", Native.Crypto.Keyring.RsaPubkey)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.vrf = YLeaf(YType.str, "vrf")

                self.description = YLeaf(YType.str, "description")

                self.local_address = YLeaf(YType.str, "local-address")

                self.default = Native.Crypto.Keyring.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.pre_shared_key = Native.Crypto.Keyring.PreSharedKey()
                self.pre_shared_key.parent = self
                self._children_name_map["pre_shared_key"] = "pre-shared-key"
                self._children_yang_names.add("pre-shared-key")

                self.rsa_pubkey = Native.Crypto.Keyring.RsaPubkey()
                self.rsa_pubkey.parent = self
                self._children_name_map["rsa_pubkey"] = "rsa-pubkey"
                self._children_yang_names.add("rsa-pubkey")
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:keyring" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.Keyring, ['name', 'vrf', 'description', 'local_address'], name, value)


            class Default(Entity):
                """
                Set a command to its defaults
                
                .. attribute:: description
                
                	Specify a description about this keyring
                	**type**\: str
                
                .. attribute:: local_address
                
                	Limit the keyring usage to a local address
                	**type**\: str
                
                .. attribute:: pre_shared_key
                
                	Pre\-Shared Key
                	**type**\:  :py:class:`PreSharedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey>`
                
                .. attribute:: rsa_pubkey
                
                	Peer RSA public key chain management
                	**type**\:  :py:class:`RsaPubkey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.RsaPubkey>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Keyring.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "keyring"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"pre-shared-key" : ("pre_shared_key", Native.Crypto.Keyring.Default.PreSharedKey), "rsa-pubkey" : ("rsa_pubkey", Native.Crypto.Keyring.Default.RsaPubkey)}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.str, "description")

                    self.local_address = YLeaf(YType.str, "local-address")

                    self.pre_shared_key = Native.Crypto.Keyring.Default.PreSharedKey()
                    self.pre_shared_key.parent = self
                    self._children_name_map["pre_shared_key"] = "pre-shared-key"
                    self._children_yang_names.add("pre-shared-key")

                    self.rsa_pubkey = Native.Crypto.Keyring.Default.RsaPubkey()
                    self.rsa_pubkey.parent = self
                    self._children_name_map["rsa_pubkey"] = "rsa-pubkey"
                    self._children_yang_names.add("rsa-pubkey")
                    self._segment_path = lambda: "default"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Keyring.Default, ['description', 'local_address'], name, value)


                class PreSharedKey(Entity):
                    """
                    Pre\-Shared Key
                    
                    .. attribute:: address
                    
                    	pre shared key by address
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey.Address>`
                    
                    .. attribute:: hostname
                    
                    	hostname  define peer policy for hostname
                    	**type**\: list of  		 :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey.Hostname>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Keyring.Default.PreSharedKey, self).__init__()

                        self.yang_name = "pre-shared-key"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address" : ("address", Native.Crypto.Keyring.Default.PreSharedKey.Address)}
                        self._child_list_classes = {"hostname" : ("hostname", Native.Crypto.Keyring.Default.PreSharedKey.Hostname)}

                        self.address = Native.Crypto.Keyring.Default.PreSharedKey.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")

                        self.hostname = YList(self)
                        self._segment_path = lambda: "pre-shared-key"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Keyring.Default.PreSharedKey, [], name, value)


                    class Address(Entity):
                        """
                        pre shared key by address
                        
                        .. attribute:: ipv4
                        
                        	address prefix
                        	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey.Address.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	define shared key with IPv6 address
                        	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey.Address.Ipv6>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Keyring.Default.PreSharedKey.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "pre-shared-key"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"ipv4" : ("ipv4", Native.Crypto.Keyring.Default.PreSharedKey.Address.Ipv4), "ipv6" : ("ipv6", Native.Crypto.Keyring.Default.PreSharedKey.Address.Ipv6)}

                            self.ipv4 = YList(self)
                            self.ipv6 = YList(self)
                            self._segment_path = lambda: "address"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Keyring.Default.PreSharedKey.Address, [], name, value)


                        class Ipv4(Entity):
                            """
                            address prefix
                            
                            .. attribute:: ipv4_addr  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	address prefix mask
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	specify the key
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: encryption
                            
                            	
                            	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey.Address.Ipv4.Encryption>`
                            
                            .. attribute:: unencryt_key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Keyring.Default.PreSharedKey.Address.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                self.mask = YLeaf(YType.str, "mask")

                                self.key = YLeaf(YType.empty, "key")

                                self.encryption = YLeaf(YType.enumeration, "encryption")

                                self.unencryt_key = YLeaf(YType.str, "unencryt-key")
                                self._segment_path = lambda: "ipv4" + "[ipv4-addr='" + self.ipv4_addr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Keyring.Default.PreSharedKey.Address.Ipv4, ['ipv4_addr', 'mask', 'key', 'encryption', 'unencryt_key'], name, value)

                            class Encryption(Enum):
                                """
                                Encryption

                                .. data:: Y_0 = 0

                                .. data:: Y_6 = 1

                                """

                                Y_0 = Enum.YLeaf(0, "0")

                                Y_6 = Enum.YLeaf(1, "6")



                        class Ipv6(Entity):
                            """
                            define shared key with IPv6 address
                            
                            .. attribute:: ipv6  <key>
                            
                            	IPv6 prefix mask
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: key
                            
                            	specify the key
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: encryption
                            
                            	
                            	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey.Address.Ipv6.Encryption>`
                            
                            .. attribute:: unencryt_key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Keyring.Default.PreSharedKey.Address.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv6 = YLeaf(YType.str, "ipv6")

                                self.key = YLeaf(YType.empty, "key")

                                self.encryption = YLeaf(YType.enumeration, "encryption")

                                self.unencryt_key = YLeaf(YType.str, "unencryt-key")
                                self._segment_path = lambda: "ipv6" + "[ipv6='" + self.ipv6.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Keyring.Default.PreSharedKey.Address.Ipv6, ['ipv6', 'key', 'encryption', 'unencryt_key'], name, value)

                            class Encryption(Enum):
                                """
                                Encryption

                                .. data:: Y_0 = 0

                                .. data:: Y_6 = 1

                                """

                                Y_0 = Enum.YLeaf(0, "0")

                                Y_6 = Enum.YLeaf(1, "6")



                    class Hostname(Entity):
                        """
                        hostname  define peer policy for hostname
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: key
                        
                        	specify the key
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.PreSharedKey.Hostname.Encryption>`
                        
                        .. attribute:: unencryt_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Keyring.Default.PreSharedKey.Hostname, self).__init__()

                            self.yang_name = "hostname"
                            self.yang_parent_name = "pre-shared-key"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.key = YLeaf(YType.empty, "key")

                            self.encryption = YLeaf(YType.enumeration, "encryption")

                            self.unencryt_key = YLeaf(YType.str, "unencryt-key")
                            self._segment_path = lambda: "hostname" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Keyring.Default.PreSharedKey.Hostname, ['name', 'key', 'encryption', 'unencryt_key'], name, value)

                        class Encryption(Enum):
                            """
                            Encryption

                            .. data:: Y_0 = 0

                            .. data:: Y_6 = 1

                            """

                            Y_0 = Enum.YLeaf(0, "0")

                            Y_6 = Enum.YLeaf(1, "6")



                class RsaPubkey(Entity):
                    """
                    Peer RSA public key chain management
                    
                    .. attribute:: addr
                    
                    	
                    	**type**\:  :py:class:`Addr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.RsaPubkey.Addr>`
                    
                    .. attribute:: hostname
                    
                    	
                    	**type**\:  :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.RsaPubkey.Hostname>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Keyring.Default.RsaPubkey, self).__init__()

                        self.yang_name = "rsa-pubkey"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"addr" : ("addr", Native.Crypto.Keyring.Default.RsaPubkey.Addr), "hostname" : ("hostname", Native.Crypto.Keyring.Default.RsaPubkey.Hostname)}
                        self._child_list_classes = {}

                        self.addr = Native.Crypto.Keyring.Default.RsaPubkey.Addr()
                        self.addr.parent = self
                        self._children_name_map["addr"] = "addr"
                        self._children_yang_names.add("addr")

                        self.hostname = Native.Crypto.Keyring.Default.RsaPubkey.Hostname()
                        self.hostname.parent = self
                        self._children_name_map["hostname"] = "hostname"
                        self._children_yang_names.add("hostname")
                        self._segment_path = lambda: "rsa-pubkey"


                    class Addr(Entity):
                        """
                        
                        
                        .. attribute:: address
                        
                        	Public key associated with an address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: way
                        
                        	
                        	**type**\:  :py:class:`Way <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.RsaPubkey.Addr.Way>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Keyring.Default.RsaPubkey.Addr, self).__init__()

                            self.yang_name = "addr"
                            self.yang_parent_name = "rsa-pubkey"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.way = YLeaf(YType.enumeration, "way")
                            self._segment_path = lambda: "addr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Keyring.Default.RsaPubkey.Addr, ['address', 'way'], name, value)

                        class Way(Enum):
                            """
                            Way

                            .. data:: encryption = 0

                            .. data:: signature = 1

                            """

                            encryption = Enum.YLeaf(0, "encryption")

                            signature = Enum.YLeaf(1, "signature")



                    class Hostname(Entity):
                        """
                        
                        
                        .. attribute:: name
                        
                        	Public key associated with a hostname
                        	**type**\: str
                        
                        .. attribute:: way
                        
                        	
                        	**type**\:  :py:class:`Way <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.Default.RsaPubkey.Hostname.Way>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Keyring.Default.RsaPubkey.Hostname, self).__init__()

                            self.yang_name = "hostname"
                            self.yang_parent_name = "rsa-pubkey"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.way = YLeaf(YType.enumeration, "way")
                            self._segment_path = lambda: "hostname"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Keyring.Default.RsaPubkey.Hostname, ['name', 'way'], name, value)

                        class Way(Enum):
                            """
                            Way

                            .. data:: encryption = 0

                            .. data:: signature = 1

                            """

                            encryption = Enum.YLeaf(0, "encryption")

                            signature = Enum.YLeaf(1, "signature")



            class PreSharedKey(Entity):
                """
                Pre\-Shared Key
                
                .. attribute:: address
                
                	pre shared key by address
                	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey.Address>`
                
                .. attribute:: hostname
                
                	hostname  define peer policy for hostname
                	**type**\: list of  		 :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey.Hostname>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Keyring.PreSharedKey, self).__init__()

                    self.yang_name = "pre-shared-key"
                    self.yang_parent_name = "keyring"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"address" : ("address", Native.Crypto.Keyring.PreSharedKey.Address)}
                    self._child_list_classes = {"hostname" : ("hostname", Native.Crypto.Keyring.PreSharedKey.Hostname)}

                    self.address = Native.Crypto.Keyring.PreSharedKey.Address()
                    self.address.parent = self
                    self._children_name_map["address"] = "address"
                    self._children_yang_names.add("address")

                    self.hostname = YList(self)
                    self._segment_path = lambda: "pre-shared-key"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Keyring.PreSharedKey, [], name, value)


                class Address(Entity):
                    """
                    pre shared key by address
                    
                    .. attribute:: ipv4
                    
                    	address prefix
                    	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey.Address.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	define shared key with IPv6 address
                    	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey.Address.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Keyring.PreSharedKey.Address, self).__init__()

                        self.yang_name = "address"
                        self.yang_parent_name = "pre-shared-key"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4" : ("ipv4", Native.Crypto.Keyring.PreSharedKey.Address.Ipv4), "ipv6" : ("ipv6", Native.Crypto.Keyring.PreSharedKey.Address.Ipv6)}

                        self.ipv4 = YList(self)
                        self.ipv6 = YList(self)
                        self._segment_path = lambda: "address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Keyring.PreSharedKey.Address, [], name, value)


                    class Ipv4(Entity):
                        """
                        address prefix
                        
                        .. attribute:: ipv4_addr  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	address prefix mask
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: key
                        
                        	specify the key
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey.Address.Ipv4.Encryption>`
                        
                        .. attribute:: unencryt_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Keyring.PreSharedKey.Address.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                            self.mask = YLeaf(YType.str, "mask")

                            self.key = YLeaf(YType.empty, "key")

                            self.encryption = YLeaf(YType.enumeration, "encryption")

                            self.unencryt_key = YLeaf(YType.str, "unencryt-key")
                            self._segment_path = lambda: "ipv4" + "[ipv4-addr='" + self.ipv4_addr.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Keyring.PreSharedKey.Address.Ipv4, ['ipv4_addr', 'mask', 'key', 'encryption', 'unencryt_key'], name, value)

                        class Encryption(Enum):
                            """
                            Encryption

                            .. data:: Y_0 = 0

                            .. data:: Y_6 = 1

                            """

                            Y_0 = Enum.YLeaf(0, "0")

                            Y_6 = Enum.YLeaf(1, "6")



                    class Ipv6(Entity):
                        """
                        define shared key with IPv6 address
                        
                        .. attribute:: ipv6  <key>
                        
                        	IPv6 prefix mask
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: key
                        
                        	specify the key
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: encryption
                        
                        	
                        	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey.Address.Ipv6.Encryption>`
                        
                        .. attribute:: unencryt_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Keyring.PreSharedKey.Address.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv6 = YLeaf(YType.str, "ipv6")

                            self.key = YLeaf(YType.empty, "key")

                            self.encryption = YLeaf(YType.enumeration, "encryption")

                            self.unencryt_key = YLeaf(YType.str, "unencryt-key")
                            self._segment_path = lambda: "ipv6" + "[ipv6='" + self.ipv6.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Keyring.PreSharedKey.Address.Ipv6, ['ipv6', 'key', 'encryption', 'unencryt_key'], name, value)

                        class Encryption(Enum):
                            """
                            Encryption

                            .. data:: Y_0 = 0

                            .. data:: Y_6 = 1

                            """

                            Y_0 = Enum.YLeaf(0, "0")

                            Y_6 = Enum.YLeaf(1, "6")



                class Hostname(Entity):
                    """
                    hostname  define peer policy for hostname
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: key
                    
                    	specify the key
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: encryption
                    
                    	
                    	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.PreSharedKey.Hostname.Encryption>`
                    
                    .. attribute:: unencryt_key
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Keyring.PreSharedKey.Hostname, self).__init__()

                        self.yang_name = "hostname"
                        self.yang_parent_name = "pre-shared-key"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.key = YLeaf(YType.empty, "key")

                        self.encryption = YLeaf(YType.enumeration, "encryption")

                        self.unencryt_key = YLeaf(YType.str, "unencryt-key")
                        self._segment_path = lambda: "hostname" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Keyring.PreSharedKey.Hostname, ['name', 'key', 'encryption', 'unencryt_key'], name, value)

                    class Encryption(Enum):
                        """
                        Encryption

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        Y_6 = Enum.YLeaf(1, "6")



            class RsaPubkey(Entity):
                """
                Peer RSA public key chain management
                
                .. attribute:: addr
                
                	
                	**type**\:  :py:class:`Addr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.RsaPubkey.Addr>`
                
                .. attribute:: hostname
                
                	
                	**type**\:  :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.RsaPubkey.Hostname>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Keyring.RsaPubkey, self).__init__()

                    self.yang_name = "rsa-pubkey"
                    self.yang_parent_name = "keyring"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"addr" : ("addr", Native.Crypto.Keyring.RsaPubkey.Addr), "hostname" : ("hostname", Native.Crypto.Keyring.RsaPubkey.Hostname)}
                    self._child_list_classes = {}

                    self.addr = Native.Crypto.Keyring.RsaPubkey.Addr()
                    self.addr.parent = self
                    self._children_name_map["addr"] = "addr"
                    self._children_yang_names.add("addr")

                    self.hostname = Native.Crypto.Keyring.RsaPubkey.Hostname()
                    self.hostname.parent = self
                    self._children_name_map["hostname"] = "hostname"
                    self._children_yang_names.add("hostname")
                    self._segment_path = lambda: "rsa-pubkey"


                class Addr(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	Public key associated with an address
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: way
                    
                    	
                    	**type**\:  :py:class:`Way <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.RsaPubkey.Addr.Way>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Keyring.RsaPubkey.Addr, self).__init__()

                        self.yang_name = "addr"
                        self.yang_parent_name = "rsa-pubkey"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.way = YLeaf(YType.enumeration, "way")
                        self._segment_path = lambda: "addr"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Keyring.RsaPubkey.Addr, ['address', 'way'], name, value)

                    class Way(Enum):
                        """
                        Way

                        .. data:: encryption = 0

                        .. data:: signature = 1

                        """

                        encryption = Enum.YLeaf(0, "encryption")

                        signature = Enum.YLeaf(1, "signature")



                class Hostname(Entity):
                    """
                    
                    
                    .. attribute:: name
                    
                    	Public key associated with a hostname
                    	**type**\: str
                    
                    .. attribute:: way
                    
                    	
                    	**type**\:  :py:class:`Way <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Keyring.RsaPubkey.Hostname.Way>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Keyring.RsaPubkey.Hostname, self).__init__()

                        self.yang_name = "hostname"
                        self.yang_parent_name = "rsa-pubkey"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.way = YLeaf(YType.enumeration, "way")
                        self._segment_path = lambda: "hostname"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Keyring.RsaPubkey.Hostname, ['name', 'way'], name, value)

                    class Way(Enum):
                        """
                        Way

                        .. data:: encryption = 0

                        .. data:: signature = 1

                        """

                        encryption = Enum.YLeaf(0, "encryption")

                        signature = Enum.YLeaf(1, "signature")



        class Logging(Entity):
            """
            logging messages
            
            .. attribute:: ezvpn
            
            	ezvpn logging enable/disable
            	**type**\:  :py:class:`Ezvpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Logging.Ezvpn>`
            
            	**presence node**\: True
            
            .. attribute:: ikev2
            
            	logging IKEv2 sessions
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: session
            
            	logging up/down session
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Logging, self).__init__()

                self.yang_name = "logging"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ezvpn" : ("ezvpn", Native.Crypto.Logging.Ezvpn)}
                self._child_list_classes = {}

                self.ikev2 = YLeaf(YType.empty, "ikev2")

                self.session = YLeaf(YType.empty, "session")

                self.ezvpn = None
                self._children_name_map["ezvpn"] = "ezvpn"
                self._children_yang_names.add("ezvpn")
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:logging"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.Logging, ['ikev2', 'session'], name, value)


            class Ezvpn(Entity):
                """
                ezvpn logging enable/disable
                
                .. attribute:: group
                
                	ezvpn group
                	**type**\: str
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Logging.Ezvpn, self).__init__()

                    self.yang_name = "ezvpn"
                    self.yang_parent_name = "logging"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.group = YLeaf(YType.str, "group")
                    self._segment_path = lambda: "ezvpn"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:logging/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Logging.Ezvpn, ['group'], name, value)


        class CryptoMap(Entity):
            """
            
            
            .. attribute:: map
            
            	Enter a crypto map
            	**type**\: list of  		 :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.CryptoMap, self).__init__()

                self.yang_name = "crypto-map"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"map" : ("map", Native.Crypto.CryptoMap.Map)}

                self.map = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:crypto-map"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.CryptoMap, [], name, value)


            class Map(Entity):
                """
                Enter a crypto map
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: ipv6
                
                	IPv6 crypto map
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: sequence_number
                
                	
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: keying
                
                	
                	**type**\:  :py:class:`Keying <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Keying>`
                
                .. attribute:: dynamic
                
                	Enable dynamic crypto map support
                	**type**\: str
                
                .. attribute:: profile
                
                	Enable crypto map as a crypto\-profile
                	**type**\: str
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default>`
                
                .. attribute:: description
                
                	Description of the crypto map statement policy
                	**type**\: str
                
                .. attribute:: dialer
                
                	Dialer related commands
                	**type**\:  :py:class:`Dialer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Dialer>`
                
                .. attribute:: match
                
                	Match values
                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Match>`
                
                .. attribute:: qos
                
                	Quality of Service related commands
                	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Qos>`
                
                .. attribute:: reverse_route
                
                	Reverse Route Injection
                	**type**\:  :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.ReverseRoute>`
                
                	**presence node**\: True
                
                .. attribute:: set
                
                	Set values for encryption/decryption
                	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.CryptoMap.Map, self).__init__()

                    self.yang_name = "map"
                    self.yang_parent_name = "crypto-map"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Crypto.CryptoMap.Map.Default), "dialer" : ("dialer", Native.Crypto.CryptoMap.Map.Dialer), "match" : ("match", Native.Crypto.CryptoMap.Map.Match), "qos" : ("qos", Native.Crypto.CryptoMap.Map.Qos), "reverse-route" : ("reverse_route", Native.Crypto.CryptoMap.Map.ReverseRoute), "set" : ("set", Native.Crypto.CryptoMap.Map.Set)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.ipv6 = YLeaf(YType.empty, "ipv6")

                    self.sequence_number = YLeaf(YType.uint16, "sequence-number")

                    self.keying = YLeaf(YType.enumeration, "keying")

                    self.dynamic = YLeaf(YType.str, "dynamic")

                    self.profile = YLeaf(YType.str, "profile")

                    self.description = YLeaf(YType.str, "description")

                    self.default = Native.Crypto.CryptoMap.Map.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.dialer = Native.Crypto.CryptoMap.Map.Dialer()
                    self.dialer.parent = self
                    self._children_name_map["dialer"] = "dialer"
                    self._children_yang_names.add("dialer")

                    self.match = Native.Crypto.CryptoMap.Map.Match()
                    self.match.parent = self
                    self._children_name_map["match"] = "match"
                    self._children_yang_names.add("match")

                    self.qos = Native.Crypto.CryptoMap.Map.Qos()
                    self.qos.parent = self
                    self._children_name_map["qos"] = "qos"
                    self._children_yang_names.add("qos")

                    self.reverse_route = None
                    self._children_name_map["reverse_route"] = "reverse-route"
                    self._children_yang_names.add("reverse-route")

                    self.set = Native.Crypto.CryptoMap.Map.Set()
                    self.set.parent = self
                    self._children_name_map["set"] = "set"
                    self._children_yang_names.add("set")
                    self._segment_path = lambda: "map" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:crypto-map/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.CryptoMap.Map, ['name', 'ipv6', 'sequence_number', 'keying', 'dynamic', 'profile', 'description'], name, value)

                class Keying(Enum):
                    """
                    Keying

                    .. data:: ipsec_isakmp = 0

                    .. data:: ipsec_manual = 1

                    .. data:: gdoi = 2

                    .. data:: ckm = 3

                    """

                    ipsec_isakmp = Enum.YLeaf(0, "ipsec-isakmp")

                    ipsec_manual = Enum.YLeaf(1, "ipsec-manual")

                    gdoi = Enum.YLeaf(2, "gdoi")

                    ckm = Enum.YLeaf(3, "ckm")



                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: description
                    
                    	Description of the crypto map statement policy
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dialer
                    
                    	Dialer related commands
                    	**type**\:  :py:class:`Dialer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default.Dialer>`
                    
                    .. attribute:: match
                    
                    	Match values
                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default.Match>`
                    
                    .. attribute:: qos
                    
                    	Quality of Service related commands
                    	**type**\:  :py:class:`Qos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default.Qos>`
                    
                    .. attribute:: reverse_route
                    
                    	Reverse Route Injection
                    	**type**\:  :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default.ReverseRoute>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: set
                    
                    	Set values for encryption/decryption
                    	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default.Set>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.CryptoMap.Map.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dialer" : ("dialer", Native.Crypto.CryptoMap.Map.Default.Dialer), "match" : ("match", Native.Crypto.CryptoMap.Map.Default.Match), "qos" : ("qos", Native.Crypto.CryptoMap.Map.Default.Qos), "reverse-route" : ("reverse_route", Native.Crypto.CryptoMap.Map.Default.ReverseRoute), "set" : ("set", Native.Crypto.CryptoMap.Map.Default.Set)}
                        self._child_list_classes = {}

                        self.description = YLeaf(YType.empty, "description")

                        self.dialer = Native.Crypto.CryptoMap.Map.Default.Dialer()
                        self.dialer.parent = self
                        self._children_name_map["dialer"] = "dialer"
                        self._children_yang_names.add("dialer")

                        self.match = Native.Crypto.CryptoMap.Map.Default.Match()
                        self.match.parent = self
                        self._children_name_map["match"] = "match"
                        self._children_yang_names.add("match")

                        self.qos = Native.Crypto.CryptoMap.Map.Default.Qos()
                        self.qos.parent = self
                        self._children_name_map["qos"] = "qos"
                        self._children_yang_names.add("qos")

                        self.reverse_route = None
                        self._children_name_map["reverse_route"] = "reverse-route"
                        self._children_yang_names.add("reverse-route")

                        self.set = Native.Crypto.CryptoMap.Map.Default.Set()
                        self.set.parent = self
                        self._children_name_map["set"] = "set"
                        self._children_yang_names.add("set")
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.CryptoMap.Map.Default, ['description'], name, value)


                    class Dialer(Entity):
                        """
                        Dialer related commands
                        
                        .. attribute:: pre_classify
                        
                        	Enable dialer list classification before initiating IKE
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.CryptoMap.Map.Default.Dialer, self).__init__()

                            self.yang_name = "dialer"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.pre_classify = YLeaf(YType.empty, "pre-classify")
                            self._segment_path = lambda: "dialer"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.CryptoMap.Map.Default.Dialer, ['pre_classify'], name, value)


                    class Match(Entity):
                        """
                        Match values
                        
                        .. attribute:: address
                        
                        	Match address of packets to encrypt
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.CryptoMap.Map.Default.Match, self).__init__()

                            self.yang_name = "match"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.empty, "address")
                            self._segment_path = lambda: "match"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.CryptoMap.Map.Default.Match, ['address'], name, value)


                    class Qos(Entity):
                        """
                        Quality of Service related commands
                        
                        .. attribute:: pre_classify
                        
                        	Enable QOS classification before packets are tunnel encapsulated
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.CryptoMap.Map.Default.Qos, self).__init__()

                            self.yang_name = "qos"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.pre_classify = YLeaf(YType.empty, "pre-classify")
                            self._segment_path = lambda: "qos"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.CryptoMap.Map.Default.Qos, ['pre_classify'], name, value)


                    class ReverseRoute(Entity):
                        """
                        Reverse Route Injection.
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.CryptoMap.Map.Default.ReverseRoute, self).__init__()

                            self.yang_name = "reverse-route"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "reverse-route"


                    class Set(Entity):
                        """
                        Set values for encryption/decryption
                        
                        .. attribute:: group
                        
                        	Set the san group parameters
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: identity
                        
                        	Identity restriction
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ikev2_profile
                        
                        	Specify ikev2 Profile
                        	**type**\: str
                        
                        .. attribute:: isakmp_profile
                        
                        	Specify isakmp Profile
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pfs
                        
                        	Specify pfs settings
                        	**type**\:  :py:class:`Pfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default.Set.Pfs>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: reverse_route
                        
                        	Reverse Route Injection
                        	**type**\:  :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default.Set.ReverseRoute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: security_association
                        
                        	Security association parameters
                        	**type**\:  :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation>`
                        
                        .. attribute:: transform_set
                        
                        	Specify list of transform sets in priority order
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.CryptoMap.Map.Default.Set, self).__init__()

                            self.yang_name = "set"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"pfs" : ("pfs", Native.Crypto.CryptoMap.Map.Default.Set.Pfs), "reverse-route" : ("reverse_route", Native.Crypto.CryptoMap.Map.Default.Set.ReverseRoute), "security-association" : ("security_association", Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation)}
                            self._child_list_classes = {}

                            self.group = YLeaf(YType.empty, "group")

                            self.identity = YLeaf(YType.empty, "identity")

                            self.ikev2_profile = YLeaf(YType.str, "ikev2-profile")

                            self.isakmp_profile = YLeaf(YType.empty, "isakmp-profile")

                            self.transform_set = YLeaf(YType.empty, "transform-set")

                            self.pfs = None
                            self._children_name_map["pfs"] = "pfs"
                            self._children_yang_names.add("pfs")

                            self.reverse_route = None
                            self._children_name_map["reverse_route"] = "reverse-route"
                            self._children_yang_names.add("reverse-route")

                            self.security_association = Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation()
                            self.security_association.parent = self
                            self._children_name_map["security_association"] = "security-association"
                            self._children_yang_names.add("security-association")
                            self._segment_path = lambda: "set"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.CryptoMap.Map.Default.Set, ['group', 'identity', 'ikev2_profile', 'isakmp_profile', 'transform_set'], name, value)


                        class Pfs(Entity):
                            """
                            Specify pfs settings
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.CryptoMap.Map.Default.Set.Pfs, self).__init__()

                                self.yang_name = "pfs"
                                self.yang_parent_name = "set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "pfs"


                        class ReverseRoute(Entity):
                            """
                            Reverse Route Injection
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.CryptoMap.Map.Default.Set.ReverseRoute, self).__init__()

                                self.yang_name = "reverse-route"
                                self.yang_parent_name = "set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "reverse-route"


                        class SecurityAssociation(Entity):
                            """
                            Security association parameters
                            
                            .. attribute:: dfbit
                            
                            	Handling of encapsulated DF bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dummy
                            
                            	Enable transmitting dummy packets
                            	**type**\:  :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Dummy>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ecn
                            
                            	Handling of ECN bit
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: idle_time_container
                            
                            	
                            	**type**\:  :py:class:`IdleTimeContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.IdleTimeContainer>`
                            
                            .. attribute:: level
                            
                            	specify a security association granularity level for identities
                            	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Level>`
                            
                            .. attribute:: lifetime
                            
                            	security association lifetime
                            	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Lifetime>`
                            
                            .. attribute:: replay
                            
                            	Set replay checking
                            	**type**\:  :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Replay>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation, self).__init__()

                                self.yang_name = "security-association"
                                self.yang_parent_name = "set"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"dummy" : ("dummy", Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Dummy), "idle-time-container" : ("idle_time_container", Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.IdleTimeContainer), "lifetime" : ("lifetime", Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Lifetime), "replay" : ("replay", Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Replay)}
                                self._child_list_classes = {}

                                self.dfbit = YLeaf(YType.empty, "dfbit")

                                self.ecn = YLeaf(YType.empty, "ecn")

                                self.level = YLeaf(YType.enumeration, "level")

                                self.dummy = None
                                self._children_name_map["dummy"] = "dummy"
                                self._children_yang_names.add("dummy")

                                self.idle_time_container = Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.IdleTimeContainer()
                                self.idle_time_container.parent = self
                                self._children_name_map["idle_time_container"] = "idle-time-container"
                                self._children_yang_names.add("idle-time-container")

                                self.lifetime = Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Lifetime()
                                self.lifetime.parent = self
                                self._children_name_map["lifetime"] = "lifetime"
                                self._children_yang_names.add("lifetime")

                                self.replay = Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Replay()
                                self.replay.parent = self
                                self._children_name_map["replay"] = "replay"
                                self._children_yang_names.add("replay")
                                self._segment_path = lambda: "security-association"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation, ['dfbit', 'ecn', 'level'], name, value)

                            class Level(Enum):
                                """
                                Level

                                specify a security association granularity level for identities

                                .. data:: per_host = 0

                                """

                                per_host = Enum.YLeaf(0, "per-host")



                            class Dummy(Entity):
                                """
                                Enable transmitting dummy packets
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Dummy, self).__init__()

                                    self.yang_name = "dummy"
                                    self.yang_parent_name = "security-association"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "dummy"


                            class IdleTimeContainer(Entity):
                                """
                                
                                
                                .. attribute:: idle_time
                                
                                	Automatically delete IPSec SAs after a given idle period
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: default
                                
                                	All SAs idle\-out reset to default peer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.IdleTimeContainer, self).__init__()

                                    self.yang_name = "idle-time-container"
                                    self.yang_parent_name = "security-association"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.idle_time = YLeaf(YType.empty, "idle-time")

                                    self.default = YLeaf(YType.empty, "default")
                                    self._segment_path = lambda: "idle-time-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.IdleTimeContainer, ['idle_time', 'default'], name, value)


                            class Lifetime(Entity):
                                """
                                security association lifetime
                                
                                .. attribute:: days
                                
                                	Time\-based key duration in days
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: kilobytes
                                
                                	Volume\-based key duration
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: seconds
                                
                                	Time\-based key duration in seconds
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Lifetime, self).__init__()

                                    self.yang_name = "lifetime"
                                    self.yang_parent_name = "security-association"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.days = YLeaf(YType.empty, "days")

                                    self.kilobytes = YLeaf(YType.empty, "kilobytes")

                                    self.seconds = YLeaf(YType.empty, "seconds")
                                    self._segment_path = lambda: "lifetime"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Lifetime, ['days', 'kilobytes', 'seconds'], name, value)


                            class Replay(Entity):
                                """
                                Set replay checking.
                                
                                .. attribute:: disable
                                
                                	Disable replay checking
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: window_size
                                
                                	Set replay window size
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Replay, self).__init__()

                                    self.yang_name = "replay"
                                    self.yang_parent_name = "security-association"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.disable = YLeaf(YType.empty, "disable")

                                    self.window_size = YLeaf(YType.empty, "window-size")
                                    self._segment_path = lambda: "replay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.CryptoMap.Map.Default.Set.SecurityAssociation.Replay, ['disable', 'window_size'], name, value)


                class Dialer(Entity):
                    """
                    Dialer related commands
                    
                    .. attribute:: pre_classify
                    
                    	Enable dialer list classification before initiating IKE
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.CryptoMap.Map.Dialer, self).__init__()

                        self.yang_name = "dialer"
                        self.yang_parent_name = "map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pre_classify = YLeaf(YType.empty, "pre-classify")
                        self._segment_path = lambda: "dialer"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.CryptoMap.Map.Dialer, ['pre_classify'], name, value)


                class Match(Entity):
                    """
                    Match values
                    
                    .. attribute:: address
                    
                    	Match address of packets to encrypt
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 100..199
                    
                    		**type**\: int
                    
                    			**range:** 2000..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.CryptoMap.Map.Match, self).__init__()

                        self.yang_name = "match"
                        self.yang_parent_name = "map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")
                        self._segment_path = lambda: "match"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.CryptoMap.Map.Match, ['address'], name, value)


                class Qos(Entity):
                    """
                    Quality of Service related commands
                    
                    .. attribute:: pre_classify
                    
                    	Enable QOS classification before packets are tunnel encapsulated
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.CryptoMap.Map.Qos, self).__init__()

                        self.yang_name = "qos"
                        self.yang_parent_name = "map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pre_classify = YLeaf(YType.empty, "pre-classify")
                        self._segment_path = lambda: "qos"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.CryptoMap.Map.Qos, ['pre_classify'], name, value)


                class ReverseRoute(Entity):
                    """
                    Reverse Route Injection.
                    
                    .. attribute:: remote_peer_conatiner
                    
                    	
                    	**type**\:  :py:class:`RemotePeerConatiner <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.ReverseRoute.RemotePeerConatiner>`
                    
                    .. attribute:: static
                    
                    	Create routes based on static ACLs permanently
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.CryptoMap.Map.ReverseRoute, self).__init__()

                        self.yang_name = "reverse-route"
                        self.yang_parent_name = "map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"remote-peer-conatiner" : ("remote_peer_conatiner", Native.Crypto.CryptoMap.Map.ReverseRoute.RemotePeerConatiner)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.static = YLeaf(YType.empty, "static")

                        self.remote_peer_conatiner = Native.Crypto.CryptoMap.Map.ReverseRoute.RemotePeerConatiner()
                        self.remote_peer_conatiner.parent = self
                        self._children_name_map["remote_peer_conatiner"] = "remote-peer-conatiner"
                        self._children_yang_names.add("remote-peer-conatiner")
                        self._segment_path = lambda: "reverse-route"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.CryptoMap.Map.ReverseRoute, ['static'], name, value)


                    class RemotePeerConatiner(Entity):
                        """
                        
                        
                        .. attribute:: remote_peer
                        
                        	Create route in route table for remote tunnel endpoint
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: gateway
                        
                        	Force encrypted traffic via this preferred gateway
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: static
                        
                        	Create routes based on static ACLs permanently
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.CryptoMap.Map.ReverseRoute.RemotePeerConatiner, self).__init__()

                            self.yang_name = "remote-peer-conatiner"
                            self.yang_parent_name = "reverse-route"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.remote_peer = YLeaf(YType.str, "remote-peer")

                            self.gateway = YLeaf(YType.empty, "gateway")

                            self.static = YLeaf(YType.empty, "static")
                            self._segment_path = lambda: "remote-peer-conatiner"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.CryptoMap.Map.ReverseRoute.RemotePeerConatiner, ['remote_peer', 'gateway', 'static'], name, value)


                class Set(Entity):
                    """
                    Set values for encryption/decryption
                    
                    .. attribute:: group
                    
                    	Set the san group parameters
                    	**type**\: str
                    
                    .. attribute:: identity
                    
                    	Identity restriction
                    	**type**\: str
                    
                    .. attribute:: ikev2_profile
                    
                    	Specify ikev2 Profile
                    	**type**\: str
                    
                    .. attribute:: isakmp_profile
                    
                    	Specify isakmp Profile
                    	**type**\: str
                    
                    .. attribute:: peer
                    
                    	Allowed Encryption/Decryption peer
                    	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.Peer>`
                    
                    .. attribute:: pfs
                    
                    	Specify pfs settings
                    	**type**\:  :py:class:`Pfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.Pfs>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: reverse_route
                    
                    	Reverse Route Injection
                    	**type**\:  :py:class:`ReverseRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.ReverseRoute>`
                    
                    .. attribute:: transform_set
                    
                    	Specify list of transform sets in priority order
                    	**type**\: list of str
                    
                    .. attribute:: security_association
                    
                    	Security association parameters
                    	**type**\:  :py:class:`SecurityAssociation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.SecurityAssociation>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.CryptoMap.Map.Set, self).__init__()

                        self.yang_name = "set"
                        self.yang_parent_name = "map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"peer" : ("peer", Native.Crypto.CryptoMap.Map.Set.Peer), "pfs" : ("pfs", Native.Crypto.CryptoMap.Map.Set.Pfs), "reverse-route" : ("reverse_route", Native.Crypto.CryptoMap.Map.Set.ReverseRoute), "security-association" : ("security_association", Native.Crypto.CryptoMap.Map.Set.SecurityAssociation)}
                        self._child_list_classes = {}

                        self.group = YLeaf(YType.str, "group")

                        self.identity = YLeaf(YType.str, "identity")

                        self.ikev2_profile = YLeaf(YType.str, "ikev2-profile")

                        self.isakmp_profile = YLeaf(YType.str, "isakmp-profile")

                        self.transform_set = YLeafList(YType.str, "transform-set")

                        self.peer = Native.Crypto.CryptoMap.Map.Set.Peer()
                        self.peer.parent = self
                        self._children_name_map["peer"] = "peer"
                        self._children_yang_names.add("peer")

                        self.pfs = None
                        self._children_name_map["pfs"] = "pfs"
                        self._children_yang_names.add("pfs")

                        self.reverse_route = Native.Crypto.CryptoMap.Map.Set.ReverseRoute()
                        self.reverse_route.parent = self
                        self._children_name_map["reverse_route"] = "reverse-route"
                        self._children_yang_names.add("reverse-route")

                        self.security_association = Native.Crypto.CryptoMap.Map.Set.SecurityAssociation()
                        self.security_association.parent = self
                        self._children_name_map["security_association"] = "security-association"
                        self._children_yang_names.add("security-association")
                        self._segment_path = lambda: "set"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.CryptoMap.Map.Set, ['group', 'identity', 'ikev2_profile', 'isakmp_profile', 'transform_set'], name, value)


                    class Peer(Entity):
                        """
                        Allowed Encryption/Decryption peer.
                        
                        .. attribute:: address
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: default
                        
                        	Reset to default peer in list in the event of a failure
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic
                        
                        	Resolve the peer address at the time of negotiation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.CryptoMap.Map.Set.Peer, self).__init__()

                            self.yang_name = "peer"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.default = YLeaf(YType.empty, "default")

                            self.dynamic = YLeaf(YType.empty, "dynamic")
                            self._segment_path = lambda: "peer"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.CryptoMap.Map.Set.Peer, ['address', 'default', 'dynamic'], name, value)


                    class Pfs(Entity):
                        """
                        Specify pfs settings
                        
                        .. attribute:: group
                        
                        	
                        	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.Pfs.Group>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.CryptoMap.Map.Set.Pfs, self).__init__()

                            self.yang_name = "pfs"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.group = YLeaf(YType.enumeration, "group")
                            self._segment_path = lambda: "pfs"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.CryptoMap.Map.Set.Pfs, ['group'], name, value)

                        class Group(Enum):
                            """
                            Group

                            .. data:: group1 = 0

                            .. data:: group14 = 1

                            .. data:: group15 = 2

                            .. data:: group16 = 3

                            .. data:: group19 = 4

                            .. data:: group2 = 5

                            .. data:: group20 = 6

                            .. data:: group21 = 7

                            .. data:: group24 = 8

                            .. data:: group5 = 9

                            """

                            group1 = Enum.YLeaf(0, "group1")

                            group14 = Enum.YLeaf(1, "group14")

                            group15 = Enum.YLeaf(2, "group15")

                            group16 = Enum.YLeaf(3, "group16")

                            group19 = Enum.YLeaf(4, "group19")

                            group2 = Enum.YLeaf(5, "group2")

                            group20 = Enum.YLeaf(6, "group20")

                            group21 = Enum.YLeaf(7, "group21")

                            group24 = Enum.YLeaf(8, "group24")

                            group5 = Enum.YLeaf(9, "group5")



                    class ReverseRoute(Entity):
                        """
                        Reverse Route Injection
                        
                        .. attribute:: distance
                        
                        	Distance metric for this static route
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: tag
                        
                        	Create route and tag it
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.CryptoMap.Map.Set.ReverseRoute, self).__init__()

                            self.yang_name = "reverse-route"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.distance = YLeaf(YType.uint8, "distance")

                            self.tag = YLeaf(YType.uint64, "tag")
                            self._segment_path = lambda: "reverse-route"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.CryptoMap.Map.Set.ReverseRoute, ['distance', 'tag'], name, value)


                    class SecurityAssociation(Entity):
                        """
                        Security association parameters
                        
                        .. attribute:: dfbit
                        
                        	Handling of encapsulated DF bit
                        	**type**\:  :py:class:`Dfbit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Dfbit>`
                        
                        .. attribute:: dummy
                        
                        	Enable transmitting dummy packets
                        	**type**\:  :py:class:`Dummy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Dummy>`
                        
                        .. attribute:: ecn
                        
                        	Handling of ECN bit
                        	**type**\:  :py:class:`Ecn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Ecn>`
                        
                        .. attribute:: idle_time_container
                        
                        	
                        	**type**\:  :py:class:`IdleTimeContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.IdleTimeContainer>`
                        
                        .. attribute:: lifetime
                        
                        	security association lifetime
                        	**type**\:  :py:class:`Lifetime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Lifetime>`
                        
                        .. attribute:: replay
                        
                        	Set replay checking
                        	**type**\:  :py:class:`Replay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Replay>`
                        
                        .. attribute:: level
                        
                        	specify a security association granularity level for identities
                        	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Level>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.CryptoMap.Map.Set.SecurityAssociation, self).__init__()

                            self.yang_name = "security-association"
                            self.yang_parent_name = "set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dummy" : ("dummy", Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Dummy), "idle-time-container" : ("idle_time_container", Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.IdleTimeContainer), "lifetime" : ("lifetime", Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Lifetime), "replay" : ("replay", Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Replay)}
                            self._child_list_classes = {}

                            self.dfbit = YLeaf(YType.enumeration, "dfbit")

                            self.ecn = YLeaf(YType.enumeration, "ecn")

                            self.level = YLeaf(YType.enumeration, "level")

                            self.dummy = Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Dummy()
                            self.dummy.parent = self
                            self._children_name_map["dummy"] = "dummy"
                            self._children_yang_names.add("dummy")

                            self.idle_time_container = Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.IdleTimeContainer()
                            self.idle_time_container.parent = self
                            self._children_name_map["idle_time_container"] = "idle-time-container"
                            self._children_yang_names.add("idle-time-container")

                            self.lifetime = Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Lifetime()
                            self.lifetime.parent = self
                            self._children_name_map["lifetime"] = "lifetime"
                            self._children_yang_names.add("lifetime")

                            self.replay = Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Replay()
                            self.replay.parent = self
                            self._children_name_map["replay"] = "replay"
                            self._children_yang_names.add("replay")
                            self._segment_path = lambda: "security-association"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.CryptoMap.Map.Set.SecurityAssociation, ['dfbit', 'ecn', 'level'], name, value)

                        class Dfbit(Enum):
                            """
                            Dfbit

                            Handling of encapsulated DF bit.

                            .. data:: clear = 0

                            .. data:: copy = 1

                            .. data:: set = 2

                            """

                            clear = Enum.YLeaf(0, "clear")

                            copy = Enum.YLeaf(1, "copy")

                            set = Enum.YLeaf(2, "set")


                        class Ecn(Enum):
                            """
                            Ecn

                            Handling of ECN bit

                            .. data:: discard = 0

                            .. data:: propagate = 1

                            """

                            discard = Enum.YLeaf(0, "discard")

                            propagate = Enum.YLeaf(1, "propagate")


                        class Level(Enum):
                            """
                            Level

                            specify a security association granularity level for identities

                            .. data:: per_host = 0

                            """

                            per_host = Enum.YLeaf(0, "per-host")



                        class Dummy(Entity):
                            """
                            Enable transmitting dummy packets
                            
                            .. attribute:: pps
                            
                            	Simulated traffic rate (in pps)
                            	**type**\: int
                            
                            	**range:** 0..25
                            
                            .. attribute:: seconds
                            
                            	Simulated traffic rate (in seconds)
                            	**type**\: int
                            
                            	**range:** 1..3600
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Dummy, self).__init__()

                                self.yang_name = "dummy"
                                self.yang_parent_name = "security-association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.pps = YLeaf(YType.uint8, "pps")

                                self.seconds = YLeaf(YType.uint16, "seconds")
                                self._segment_path = lambda: "dummy"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Dummy, ['pps', 'seconds'], name, value)


                        class IdleTimeContainer(Entity):
                            """
                            
                            
                            .. attribute:: idle_time
                            
                            	Automatically delete IPSec SAs after a given idle period
                            	**type**\: int
                            
                            	**range:** 60..86400
                            
                            .. attribute:: default
                            
                            	All SAs idle\-out reset to default peer
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.IdleTimeContainer, self).__init__()

                                self.yang_name = "idle-time-container"
                                self.yang_parent_name = "security-association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.idle_time = YLeaf(YType.uint32, "idle-time")

                                self.default = YLeaf(YType.empty, "default")
                                self._segment_path = lambda: "idle-time-container"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.IdleTimeContainer, ['idle_time', 'default'], name, value)


                        class Lifetime(Entity):
                            """
                            security association lifetime
                            
                            .. attribute:: days
                            
                            	Time\-based key duration in days
                            	**type**\: int
                            
                            	**range:** 1..30
                            
                            .. attribute:: kilobytes
                            
                            	Volume\-based key duration
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 2560..4294967295
                            
                            		**type**\:  :py:class:`Kilobytes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Lifetime.Kilobytes>`
                            
                            .. attribute:: seconds
                            
                            	Time\-based key duration in seconds
                            	**type**\: int
                            
                            	**range:** 120..2592000
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Lifetime, self).__init__()

                                self.yang_name = "lifetime"
                                self.yang_parent_name = "security-association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.days = YLeaf(YType.uint8, "days")

                                self.kilobytes = YLeaf(YType.str, "kilobytes")

                                self.seconds = YLeaf(YType.uint64, "seconds")
                                self._segment_path = lambda: "lifetime"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Lifetime, ['days', 'kilobytes', 'seconds'], name, value)

                            class Kilobytes(Enum):
                                """
                                Kilobytes

                                Volume\-based key duration

                                .. data:: disable = 0

                                """

                                disable = Enum.YLeaf(0, "disable")



                        class Replay(Entity):
                            """
                            Set replay checking.
                            
                            .. attribute:: disable
                            
                            	Disable replay checking
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: window_size
                            
                            	Set replay window size
                            	**type**\:  :py:class:`WindowSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Replay.WindowSize>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Replay, self).__init__()

                                self.yang_name = "replay"
                                self.yang_parent_name = "security-association"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.disable = YLeaf(YType.empty, "disable")

                                self.window_size = YLeaf(YType.enumeration, "window-size")
                                self._segment_path = lambda: "replay"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.CryptoMap.Map.Set.SecurityAssociation.Replay, ['disable', 'window_size'], name, value)

                            class WindowSize(Enum):
                                """
                                WindowSize

                                Set replay window size.

                                .. data:: Y_1024 = 0

                                .. data:: Y_128 = 1

                                .. data:: Y_256 = 2

                                .. data:: Y_512 = 3

                                .. data:: Y_64 = 4

                                """

                                Y_1024 = Enum.YLeaf(0, "1024")

                                Y_128 = Enum.YLeaf(1, "128")

                                Y_256 = Enum.YLeaf(2, "256")

                                Y_512 = Enum.YLeaf(3, "512")

                                Y_64 = Enum.YLeaf(4, "64")



        class MapIpv6Gdoi(Entity):
            """
            
            
            .. attribute:: map
            
            	Enter a crypto map
            	**type**\: list of  		 :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6Gdoi.Map>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.MapIpv6Gdoi, self).__init__()

                self.yang_name = "map-ipv6-gdoi"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"map" : ("map", Native.Crypto.MapIpv6Gdoi.Map)}

                self.map = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:map-ipv6-gdoi"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.MapIpv6Gdoi, [], name, value)


            class Map(Entity):
                """
                Enter a crypto map
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: ipv6
                
                	IPv6 crypto map
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: gdoi
                
                	Configure crypto map gdoi features
                	**type**\:  :py:class:`Gdoi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6Gdoi.Map.Gdoi>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6Gdoi.Map.Default>`
                
                .. attribute:: activate
                
                	Activate the crypto map to work in fail\-close mode
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: match
                
                	Match address of packets for fail\-close
                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6Gdoi.Map.Match>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.MapIpv6Gdoi.Map, self).__init__()

                    self.yang_name = "map"
                    self.yang_parent_name = "map-ipv6-gdoi"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Crypto.MapIpv6Gdoi.Map.Default), "match" : ("match", Native.Crypto.MapIpv6Gdoi.Map.Match)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.ipv6 = YLeaf(YType.empty, "ipv6")

                    self.gdoi = YLeaf(YType.enumeration, "gdoi")

                    self.activate = YLeaf(YType.empty, "activate")

                    self.default = Native.Crypto.MapIpv6Gdoi.Map.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.match = Native.Crypto.MapIpv6Gdoi.Map.Match()
                    self.match.parent = self
                    self._children_name_map["match"] = "match"
                    self._children_yang_names.add("match")
                    self._segment_path = lambda: "map" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:map-ipv6-gdoi/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.MapIpv6Gdoi.Map, ['name', 'ipv6', 'gdoi', 'activate'], name, value)

                class Gdoi(Enum):
                    """
                    Gdoi

                    Configure crypto map gdoi features

                    .. data:: fail_close = 0

                    """

                    fail_close = Enum.YLeaf(0, "fail-close")



                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: activate
                    
                    	Activate the crypto map to work in fail\-close mode
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: match
                    
                    	Match address of packets for fail\-close
                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapIpv6Gdoi.Map.Default.Match>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.MapIpv6Gdoi.Map.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"match" : ("match", Native.Crypto.MapIpv6Gdoi.Map.Default.Match)}
                        self._child_list_classes = {}

                        self.activate = YLeaf(YType.empty, "activate")

                        self.match = Native.Crypto.MapIpv6Gdoi.Map.Default.Match()
                        self.match.parent = self
                        self._children_name_map["match"] = "match"
                        self._children_yang_names.add("match")
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.MapIpv6Gdoi.Map.Default, ['activate'], name, value)


                    class Match(Entity):
                        """
                        Match address of packets for fail\-close
                        
                        .. attribute:: address
                        
                        	Match address of packets for fail\-close
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.MapIpv6Gdoi.Map.Default.Match, self).__init__()

                            self.yang_name = "match"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.empty, "address")
                            self._segment_path = lambda: "match"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.MapIpv6Gdoi.Map.Default.Match, ['address'], name, value)


                class Match(Entity):
                    """
                    Match address of packets for fail\-close
                    
                    .. attribute:: address
                    
                    	Match address of packets for fail\-close
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 100..199
                    
                    		**type**\: int
                    
                    			**range:** 2000..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.MapIpv6Gdoi.Map.Match, self).__init__()

                        self.yang_name = "match"
                        self.yang_parent_name = "map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")
                        self._segment_path = lambda: "match"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.MapIpv6Gdoi.Map.Match, ['address'], name, value)


        class MapClient(Entity):
            """
            
            
            .. attribute:: map
            
            	Enter a crypto map
            	**type**\: list of  		 :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.MapClient, self).__init__()

                self.yang_name = "map-client"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"map" : ("map", Native.Crypto.MapClient.Map)}

                self.map = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:map-client"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.MapClient, [], name, value)


            class Map(Entity):
                """
                Enter a crypto map
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: ipv6
                
                	IPv6 crypto map
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: client
                
                	Specify client configuration settings
                	**type**\:  :py:class:`Client <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Client>`
                
                .. attribute:: isakmp
                
                	Specify isakmp configuration settings
                	**type**\:  :py:class:`Isakmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Isakmp>`
                
                .. attribute:: isakmp_profile
                
                	Specify isakmp profile to use
                	**type**\: str
                
                .. attribute:: local_address
                
                	Interface to use for local address for this crypto map
                	**type**\: str
                
                .. attribute:: redundancy
                
                	High availability options for this map
                	**type**\:  :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Redundancy>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.MapClient.Map, self).__init__()

                    self.yang_name = "map"
                    self.yang_parent_name = "map-client"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"client" : ("client", Native.Crypto.MapClient.Map.Client), "isakmp" : ("isakmp", Native.Crypto.MapClient.Map.Isakmp), "redundancy" : ("redundancy", Native.Crypto.MapClient.Map.Redundancy)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.ipv6 = YLeaf(YType.empty, "ipv6")

                    self.isakmp_profile = YLeaf(YType.str, "isakmp-profile")

                    self.local_address = YLeaf(YType.str, "local-address")

                    self.client = Native.Crypto.MapClient.Map.Client()
                    self.client.parent = self
                    self._children_name_map["client"] = "client"
                    self._children_yang_names.add("client")

                    self.isakmp = Native.Crypto.MapClient.Map.Isakmp()
                    self.isakmp.parent = self
                    self._children_name_map["isakmp"] = "isakmp"
                    self._children_yang_names.add("isakmp")

                    self.redundancy = Native.Crypto.MapClient.Map.Redundancy()
                    self.redundancy.parent = self
                    self._children_name_map["redundancy"] = "redundancy"
                    self._children_yang_names.add("redundancy")
                    self._segment_path = lambda: "map" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:map-client/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.MapClient.Map, ['name', 'ipv6', 'isakmp_profile', 'local_address'], name, value)


                class Client(Entity):
                    """
                    Specify client configuration settings
                    
                    .. attribute:: accounting
                    
                    	Accounting parameters
                    	**type**\:  :py:class:`Accounting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Client.Accounting>`
                    
                    .. attribute:: authentication
                    
                    	Use Extended Authentication
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Client.Authentication>`
                    
                    .. attribute:: configuration
                    
                    	Specify client configuration settings
                    	**type**\:  :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Client.Configuration>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.MapClient.Map.Client, self).__init__()

                        self.yang_name = "client"
                        self.yang_parent_name = "map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"accounting" : ("accounting", Native.Crypto.MapClient.Map.Client.Accounting), "authentication" : ("authentication", Native.Crypto.MapClient.Map.Client.Authentication), "configuration" : ("configuration", Native.Crypto.MapClient.Map.Client.Configuration)}
                        self._child_list_classes = {}

                        self.accounting = Native.Crypto.MapClient.Map.Client.Accounting()
                        self.accounting.parent = self
                        self._children_name_map["accounting"] = "accounting"
                        self._children_yang_names.add("accounting")

                        self.authentication = Native.Crypto.MapClient.Map.Client.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.configuration = Native.Crypto.MapClient.Map.Client.Configuration()
                        self.configuration.parent = self
                        self._children_name_map["configuration"] = "configuration"
                        self._children_yang_names.add("configuration")
                        self._segment_path = lambda: "client"


                    class Accounting(Entity):
                        """
                        Accounting parameters.
                        
                        .. attribute:: list
                        
                        	AAA accounting list to use
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.MapClient.Map.Client.Accounting, self).__init__()

                            self.yang_name = "accounting"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.list = YLeaf(YType.str, "list")
                            self._segment_path = lambda: "accounting"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.MapClient.Map.Client.Accounting, ['list'], name, value)


                    class Authentication(Entity):
                        """
                        Use Extended Authentication
                        
                        .. attribute:: list
                        
                        	AAA authentication list to use
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.MapClient.Map.Client.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.list = YLeaf(YType.str, "list")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.MapClient.Map.Client.Authentication, ['list'], name, value)


                    class Configuration(Entity):
                        """
                        Specify client configuration settings
                        
                        .. attribute:: address
                        
                        	Specify client network address configuration
                        	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Client.Configuration.Address>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.MapClient.Map.Client.Configuration, self).__init__()

                            self.yang_name = "configuration"
                            self.yang_parent_name = "client"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"address" : ("address", Native.Crypto.MapClient.Map.Client.Configuration.Address)}
                            self._child_list_classes = {}

                            self.address = Native.Crypto.MapClient.Map.Client.Configuration.Address()
                            self.address.parent = self
                            self._children_name_map["address"] = "address"
                            self._children_yang_names.add("address")
                            self._segment_path = lambda: "configuration"


                        class Address(Entity):
                            """
                            Specify client network address configuration
                            
                            .. attribute:: initiate
                            
                            	Push the network address to the client
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: respond
                            
                            	Respond to network address requests from the client
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.MapClient.Map.Client.Configuration.Address, self).__init__()

                                self.yang_name = "address"
                                self.yang_parent_name = "configuration"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.initiate = YLeaf(YType.empty, "initiate")

                                self.respond = YLeaf(YType.empty, "respond")
                                self._segment_path = lambda: "address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.MapClient.Map.Client.Configuration.Address, ['initiate', 'respond'], name, value)


                class Isakmp(Entity):
                    """
                    Specify isakmp configuration settings
                    
                    .. attribute:: authorization
                    
                    	Authorization parameters
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: list
                    
                    	AAA Authorization list to use
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.MapClient.Map.Isakmp, self).__init__()

                        self.yang_name = "isakmp"
                        self.yang_parent_name = "map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.authorization = YLeaf(YType.empty, "authorization")

                        self.list = YLeaf(YType.str, "list")
                        self._segment_path = lambda: "isakmp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.MapClient.Map.Isakmp, ['authorization', 'list'], name, value)


                class Redundancy(Entity):
                    """
                    High availability options for this map
                    
                    .. attribute:: replay_interval
                    
                    	HA replay counter interval
                    	**type**\:  :py:class:`ReplayInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.MapClient.Map.Redundancy.ReplayInterval>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.MapClient.Map.Redundancy, self).__init__()

                        self.yang_name = "redundancy"
                        self.yang_parent_name = "map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"replay-interval" : ("replay_interval", Native.Crypto.MapClient.Map.Redundancy.ReplayInterval)}
                        self._child_list_classes = {}

                        self.replay_interval = Native.Crypto.MapClient.Map.Redundancy.ReplayInterval()
                        self.replay_interval.parent = self
                        self._children_name_map["replay_interval"] = "replay-interval"
                        self._children_yang_names.add("replay-interval")
                        self._segment_path = lambda: "redundancy"


                    class ReplayInterval(Entity):
                        """
                        HA replay counter interval
                        
                        .. attribute:: inbound
                        
                        	HA inbound replay counter interval
                        	**type**\: int
                        
                        	**range:** 0..1000
                        
                        .. attribute:: outbound
                        
                        	HA outbound replay counter interval
                        	**type**\: int
                        
                        	**range:** 1000..10000
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.MapClient.Map.Redundancy.ReplayInterval, self).__init__()

                            self.yang_name = "replay-interval"
                            self.yang_parent_name = "redundancy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.inbound = YLeaf(YType.uint32, "inbound")

                            self.outbound = YLeaf(YType.uint32, "outbound")
                            self._segment_path = lambda: "replay-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.MapClient.Map.Redundancy.ReplayInterval, ['inbound', 'outbound'], name, value)


        class Mib(Entity):
            """
            Configure Crypto\-related MIB Parameters
            
            .. attribute:: ipsec
            
            	onfigure MIB Parameters
            	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Mib.Ipsec>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Mib, self).__init__()

                self.yang_name = "mib"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ipsec" : ("ipsec", Native.Crypto.Mib.Ipsec)}
                self._child_list_classes = {}

                self.ipsec = Native.Crypto.Mib.Ipsec()
                self.ipsec.parent = self
                self._children_name_map["ipsec"] = "ipsec"
                self._children_yang_names.add("ipsec")
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:mib"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()


            class Ipsec(Entity):
                """
                onfigure MIB Parameters
                
                .. attribute:: flowmib
                
                	Configure IPSec Flow\-MIB Parameters
                	**type**\:  :py:class:`Flowmib <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Mib.Ipsec.Flowmib>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Mib.Ipsec, self).__init__()

                    self.yang_name = "ipsec"
                    self.yang_parent_name = "mib"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"flowmib" : ("flowmib", Native.Crypto.Mib.Ipsec.Flowmib)}
                    self._child_list_classes = {}

                    self.flowmib = Native.Crypto.Mib.Ipsec.Flowmib()
                    self.flowmib.parent = self
                    self._children_name_map["flowmib"] = "flowmib"
                    self._children_yang_names.add("flowmib")
                    self._segment_path = lambda: "ipsec"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:mib/%s" % self._segment_path()


                class Flowmib(Entity):
                    """
                    Configure IPSec Flow\-MIB Parameters
                    
                    .. attribute:: history
                    
                    	Configure IPSEC Flow MIB History Parameters
                    	**type**\:  :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Mib.Ipsec.Flowmib.History>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Mib.Ipsec.Flowmib, self).__init__()

                        self.yang_name = "flowmib"
                        self.yang_parent_name = "ipsec"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"history" : ("history", Native.Crypto.Mib.Ipsec.Flowmib.History)}
                        self._child_list_classes = {}

                        self.history = Native.Crypto.Mib.Ipsec.Flowmib.History()
                        self.history.parent = self
                        self._children_name_map["history"] = "history"
                        self._children_yang_names.add("history")
                        self._segment_path = lambda: "flowmib"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:mib/ipsec/%s" % self._segment_path()


                    class History(Entity):
                        """
                        Configure IPSEC Flow MIB History Parameters
                        
                        .. attribute:: failure
                        
                        	Configure IPSEC Flow MIB Failure History Parameters
                        	**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Mib.Ipsec.Flowmib.History.Failure>`
                        
                        .. attribute:: tunnel
                        
                        	Configure IPSEC Flow MIB Tunnel History Parameters
                        	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Mib.Ipsec.Flowmib.History.Tunnel>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Mib.Ipsec.Flowmib.History, self).__init__()

                            self.yang_name = "history"
                            self.yang_parent_name = "flowmib"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"failure" : ("failure", Native.Crypto.Mib.Ipsec.Flowmib.History.Failure), "tunnel" : ("tunnel", Native.Crypto.Mib.Ipsec.Flowmib.History.Tunnel)}
                            self._child_list_classes = {}

                            self.failure = Native.Crypto.Mib.Ipsec.Flowmib.History.Failure()
                            self.failure.parent = self
                            self._children_name_map["failure"] = "failure"
                            self._children_yang_names.add("failure")

                            self.tunnel = Native.Crypto.Mib.Ipsec.Flowmib.History.Tunnel()
                            self.tunnel.parent = self
                            self._children_name_map["tunnel"] = "tunnel"
                            self._children_yang_names.add("tunnel")
                            self._segment_path = lambda: "history"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:mib/ipsec/flowmib/%s" % self._segment_path()


                        class Failure(Entity):
                            """
                            Configure IPSEC Flow MIB Failure History Parameters
                            
                            .. attribute:: size
                            
                            	Configure IPSEC Flow MIB Tunnel Failure History Window Size
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Mib.Ipsec.Flowmib.History.Failure, self).__init__()

                                self.yang_name = "failure"
                                self.yang_parent_name = "history"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.size = YLeaf(YType.uint8, "size")
                                self._segment_path = lambda: "failure"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:mib/ipsec/flowmib/history/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Mib.Ipsec.Flowmib.History.Failure, ['size'], name, value)


                        class Tunnel(Entity):
                            """
                            Configure IPSEC Flow MIB Tunnel History Parameters
                            
                            .. attribute:: size
                            
                            	Configure IPSEC Flow MIB Tunnel Failure History Window Size
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Mib.Ipsec.Flowmib.History.Tunnel, self).__init__()

                                self.yang_name = "tunnel"
                                self.yang_parent_name = "history"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.size = YLeaf(YType.uint8, "size")
                                self._segment_path = lambda: "tunnel"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:mib/ipsec/flowmib/history/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Mib.Ipsec.Flowmib.History.Tunnel, ['size'], name, value)


        class Pki(Entity):
            """
            Public Key components
            
            .. attribute:: authenticate
            
            	Get the CA certificate
            	**type**\: str
            
            .. attribute:: certificate
            
            	Actions on certificates
            	**type**\:  :py:class:`Certificate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate>`
            
            .. attribute:: crl
            
            	Actions on certificate revocation lists
            	**type**\:  :py:class:`Crl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl>`
            
            .. attribute:: enroll
            
            	Request a certificate from a CA
            	**type**\: str
            
            .. attribute:: export
            
            	Export certificate or PKCS12 file
            	**type**\: list of  		 :py:class:`Export <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export>`
            
            .. attribute:: import_
            
            	Import certificate or PKCS12 file
            	**type**\: list of  		 :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_>`
            
            .. attribute:: profile
            
            	Define a certificate profile
            	**type**\:  :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile>`
            
            .. attribute:: server
            
            	Enable IOS Certificate server
            	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Server>`
            
            .. attribute:: trustpoint
            
            	Define a CA trustpoint
            	**type**\: list of  		 :py:class:`Trustpoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint>`
            
            .. attribute:: token
            
            	Configure cryptographic token
            	**type**\:  :py:class:`Token <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Token>`
            
            .. attribute:: trustpool
            
            	Define CA trustpool
            	**type**\:  :py:class:`Trustpool <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpool>`
            
            .. attribute:: default
            
            	set default values for tokens
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Default>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Pki, self).__init__()

                self.yang_name = "pki"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"certificate" : ("certificate", Native.Crypto.Pki.Certificate), "crl" : ("crl", Native.Crypto.Pki.Crl), "profile" : ("profile", Native.Crypto.Pki.Profile), "server" : ("server", Native.Crypto.Pki.Server), "token" : ("token", Native.Crypto.Pki.Token), "trustpool" : ("trustpool", Native.Crypto.Pki.Trustpool), "default" : ("default", Native.Crypto.Pki.Default)}
                self._child_list_classes = {"export" : ("export", Native.Crypto.Pki.Export), "import" : ("import_", Native.Crypto.Pki.Import_), "trustpoint" : ("trustpoint", Native.Crypto.Pki.Trustpoint)}

                self.authenticate = YLeaf(YType.str, "authenticate")

                self.enroll = YLeaf(YType.str, "enroll")

                self.certificate = Native.Crypto.Pki.Certificate()
                self.certificate.parent = self
                self._children_name_map["certificate"] = "certificate"
                self._children_yang_names.add("certificate")

                self.crl = Native.Crypto.Pki.Crl()
                self.crl.parent = self
                self._children_name_map["crl"] = "crl"
                self._children_yang_names.add("crl")

                self.profile = Native.Crypto.Pki.Profile()
                self.profile.parent = self
                self._children_name_map["profile"] = "profile"
                self._children_yang_names.add("profile")

                self.server = Native.Crypto.Pki.Server()
                self.server.parent = self
                self._children_name_map["server"] = "server"
                self._children_yang_names.add("server")

                self.token = Native.Crypto.Pki.Token()
                self.token.parent = self
                self._children_name_map["token"] = "token"
                self._children_yang_names.add("token")

                self.trustpool = Native.Crypto.Pki.Trustpool()
                self.trustpool.parent = self
                self._children_name_map["trustpool"] = "trustpool"
                self._children_yang_names.add("trustpool")

                self.default = Native.Crypto.Pki.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.export = YList(self)
                self.import_ = YList(self)
                self.trustpoint = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:pki"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.Pki, ['authenticate', 'enroll'], name, value)


            class Certificate(Entity):
                """
                Actions on certificates
                
                .. attribute:: chain
                
                	Identify certificates
                	**type**\: list of  		 :py:class:`Chain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Chain>`
                
                .. attribute:: map
                
                	Define certificate attributes map
                	**type**\: list of  		 :py:class:`Map <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map>`
                
                .. attribute:: pool
                
                	Identify CA certificates in pool
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: query
                
                	Get certificates from the CA after reboot
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: storage
                
                	specify where to store certificates
                	**type**\:  :py:class:`Storage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Storage>`
                
                .. attribute:: validate
                
                	Validate a certificate chain
                	**type**\: str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Pki.Certificate, self).__init__()

                    self.yang_name = "certificate"
                    self.yang_parent_name = "pki"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"storage" : ("storage", Native.Crypto.Pki.Certificate.Storage)}
                    self._child_list_classes = {"chain" : ("chain", Native.Crypto.Pki.Certificate.Chain), "map" : ("map", Native.Crypto.Pki.Certificate.Map)}

                    self.pool = YLeaf(YType.empty, "pool")

                    self.query = YLeaf(YType.empty, "query")

                    self.validate = YLeaf(YType.str, "validate")

                    self.storage = Native.Crypto.Pki.Certificate.Storage()
                    self.storage.parent = self
                    self._children_name_map["storage"] = "storage"
                    self._children_yang_names.add("storage")

                    self.chain = YList(self)
                    self.map = YList(self)
                    self._segment_path = lambda: "certificate"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Pki.Certificate, ['pool', 'query', 'validate'], name, value)


                class Chain(Entity):
                    """
                    Identify certificates
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: certificate
                    
                    	Certificate issued by the CA
                    	**type**\: list of  		 :py:class:`Certificate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Chain.Certificate>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Certificate.Chain, self).__init__()

                        self.yang_name = "chain"
                        self.yang_parent_name = "certificate"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"certificate" : ("certificate", Native.Crypto.Pki.Certificate.Chain.Certificate)}

                        self.name = YLeaf(YType.str, "name")

                        self.certificate = YList(self)
                        self._segment_path = lambda: "chain" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/certificate/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Certificate.Chain, ['name'], name, value)


                    class Certificate(Entity):
                        """
                        Certificate issued by the CA
                        
                        .. attribute:: serial  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: certtype
                        
                        	
                        	**type**\:  :py:class:`Certtype <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Chain.Certificate.Certtype>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Certificate.Chain.Certificate, self).__init__()

                            self.yang_name = "certificate"
                            self.yang_parent_name = "chain"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.serial = YLeaf(YType.str, "serial")

                            self.certtype = YLeaf(YType.enumeration, "certtype")
                            self._segment_path = lambda: "certificate" + "[serial='" + self.serial.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Certificate.Chain.Certificate, ['serial', 'certtype'], name, value)

                        class Certtype(Enum):
                            """
                            Certtype

                            .. data:: ca = 0

                            .. data:: ra_encrypt = 1

                            .. data:: ra_general = 2

                            .. data:: ra_sign = 3

                            .. data:: rollover = 4

                            .. data:: self_signed = 5

                            """

                            ca = Enum.YLeaf(0, "ca")

                            ra_encrypt = Enum.YLeaf(1, "ra-encrypt")

                            ra_general = Enum.YLeaf(2, "ra-general")

                            ra_sign = Enum.YLeaf(3, "ra-sign")

                            rollover = Enum.YLeaf(4, "rollover")

                            self_signed = Enum.YLeaf(5, "self-signed")



                class Map(Entity):
                    """
                    Define certificate attributes map
                    
                    .. attribute:: tag  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: sequence
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: alt_subject_name
                    
                    	Alternate subject name
                    	**type**\:  :py:class:`AltSubjectName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.AltSubjectName>`
                    
                    .. attribute:: expires_on
                    
                    	Expiration date/time
                    	**type**\:  :py:class:`ExpiresOn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn>`
                    
                    .. attribute:: issuer_name
                    
                    	Certificate issuer name
                    	**type**\:  :py:class:`IssuerName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.IssuerName>`
                    
                    .. attribute:: name
                    
                    	Any subject name field
                    	**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.Name>`
                    
                    .. attribute:: serial_number
                    
                    	Certificate serial number (hexidecimal)
                    	**type**\:  :py:class:`SerialNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.SerialNumber>`
                    
                    .. attribute:: subject_name
                    
                    	Certificate subject name
                    	**type**\:  :py:class:`SubjectName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.SubjectName>`
                    
                    .. attribute:: unstructured_subject_name
                    
                    	Unstructured subject name
                    	**type**\:  :py:class:`UnstructuredSubjectName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.UnstructuredSubjectName>`
                    
                    .. attribute:: valid_start
                    
                    	Valid after date/time
                    	**type**\:  :py:class:`ValidStart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Certificate.Map, self).__init__()

                        self.yang_name = "map"
                        self.yang_parent_name = "certificate"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"alt-subject-name" : ("alt_subject_name", Native.Crypto.Pki.Certificate.Map.AltSubjectName), "expires-on" : ("expires_on", Native.Crypto.Pki.Certificate.Map.ExpiresOn), "issuer-name" : ("issuer_name", Native.Crypto.Pki.Certificate.Map.IssuerName), "name" : ("name", Native.Crypto.Pki.Certificate.Map.Name), "serial-number" : ("serial_number", Native.Crypto.Pki.Certificate.Map.SerialNumber), "subject-name" : ("subject_name", Native.Crypto.Pki.Certificate.Map.SubjectName), "unstructured-subject-name" : ("unstructured_subject_name", Native.Crypto.Pki.Certificate.Map.UnstructuredSubjectName), "valid-start" : ("valid_start", Native.Crypto.Pki.Certificate.Map.ValidStart)}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.str, "tag")

                        self.sequence = YLeaf(YType.uint16, "sequence")

                        self.alt_subject_name = Native.Crypto.Pki.Certificate.Map.AltSubjectName()
                        self.alt_subject_name.parent = self
                        self._children_name_map["alt_subject_name"] = "alt-subject-name"
                        self._children_yang_names.add("alt-subject-name")

                        self.expires_on = Native.Crypto.Pki.Certificate.Map.ExpiresOn()
                        self.expires_on.parent = self
                        self._children_name_map["expires_on"] = "expires-on"
                        self._children_yang_names.add("expires-on")

                        self.issuer_name = Native.Crypto.Pki.Certificate.Map.IssuerName()
                        self.issuer_name.parent = self
                        self._children_name_map["issuer_name"] = "issuer-name"
                        self._children_yang_names.add("issuer-name")

                        self.name = Native.Crypto.Pki.Certificate.Map.Name()
                        self.name.parent = self
                        self._children_name_map["name"] = "name"
                        self._children_yang_names.add("name")

                        self.serial_number = Native.Crypto.Pki.Certificate.Map.SerialNumber()
                        self.serial_number.parent = self
                        self._children_name_map["serial_number"] = "serial-number"
                        self._children_yang_names.add("serial-number")

                        self.subject_name = Native.Crypto.Pki.Certificate.Map.SubjectName()
                        self.subject_name.parent = self
                        self._children_name_map["subject_name"] = "subject-name"
                        self._children_yang_names.add("subject-name")

                        self.unstructured_subject_name = Native.Crypto.Pki.Certificate.Map.UnstructuredSubjectName()
                        self.unstructured_subject_name.parent = self
                        self._children_name_map["unstructured_subject_name"] = "unstructured-subject-name"
                        self._children_yang_names.add("unstructured-subject-name")

                        self.valid_start = Native.Crypto.Pki.Certificate.Map.ValidStart()
                        self.valid_start.parent = self
                        self._children_name_map["valid_start"] = "valid-start"
                        self._children_yang_names.add("valid-start")
                        self._segment_path = lambda: "map" + "[tag='" + self.tag.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/certificate/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Certificate.Map, ['tag', 'sequence'], name, value)


                    class AltSubjectName(Entity):
                        """
                        Alternate subject name
                        
                        .. attribute:: co
                        
                        	Contains
                        	**type**\: str
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\: str
                        
                        .. attribute:: nc
                        
                        	Does not contain
                        	**type**\: str
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Certificate.Map.AltSubjectName, self).__init__()

                            self.yang_name = "alt-subject-name"
                            self.yang_parent_name = "map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.co = YLeaf(YType.str, "co")

                            self.eq = YLeaf(YType.str, "eq")

                            self.nc = YLeaf(YType.str, "nc")

                            self.ne = YLeaf(YType.str, "ne")
                            self._segment_path = lambda: "alt-subject-name"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Certificate.Map.AltSubjectName, ['co', 'eq', 'nc', 'ne'], name, value)


                    class ExpiresOn(Entity):
                        """
                        Expiration date/time
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\:  :py:class:`Eq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq>`
                        
                        .. attribute:: ge
                        
                        	Greater than or equal
                        	**type**\:  :py:class:`Ge <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge>`
                        
                        .. attribute:: lt
                        
                        	Less Than
                        	**type**\:  :py:class:`Lt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt>`
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\:  :py:class:`Ne <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Certificate.Map.ExpiresOn, self).__init__()

                            self.yang_name = "expires-on"
                            self.yang_parent_name = "map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"eq" : ("eq", Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq), "ge" : ("ge", Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge), "lt" : ("lt", Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt), "ne" : ("ne", Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne)}
                            self._child_list_classes = {}

                            self.eq = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq()
                            self.eq.parent = self
                            self._children_name_map["eq"] = "eq"
                            self._children_yang_names.add("eq")

                            self.ge = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge()
                            self.ge.parent = self
                            self._children_name_map["ge"] = "ge"
                            self._children_yang_names.add("ge")

                            self.lt = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt()
                            self.lt.parent = self
                            self._children_name_map["lt"] = "lt"
                            self._children_yang_names.add("lt")

                            self.ne = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne()
                            self.ne.parent = self
                            self._children_name_map["ne"] = "ne"
                            self._children_yang_names.add("ne")
                            self._segment_path = lambda: "expires-on"


                        class Eq(Entity):
                            """
                            Equal
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq, self).__init__()

                                self.yang_name = "eq"
                                self.yang_parent_name = "expires-on"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"time" : ("time", Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq.Time)}
                                self._child_list_classes = {}

                                self.time = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq.Time()
                                self.time.parent = self
                                self._children_name_map["time"] = "time"
                                self._children_yang_names.add("time")
                                self._segment_path = lambda: "eq"


                            class Time(Entity):
                                """
                                
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: year
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1993..2035
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq.Time, self).__init__()

                                    self.yang_name = "time"
                                    self.yang_parent_name = "eq"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.date1 = YLeaf(YType.uint8, "date1")

                                    self.month1 = YLeaf(YType.str, "month1")

                                    self.date2 = YLeaf(YType.uint8, "date2")

                                    self.month2 = YLeaf(YType.str, "month2")

                                    self.year = YLeaf(YType.uint16, "year")

                                    self.clock = YLeaf(YType.str, "clock")

                                    self.utc = YLeaf(YType.empty, "utc")
                                    self._segment_path = lambda: "time"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Pki.Certificate.Map.ExpiresOn.Eq.Time, ['date1', 'month1', 'date2', 'month2', 'year', 'clock', 'utc'], name, value)


                        class Ge(Entity):
                            """
                            Greater than or equal
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge, self).__init__()

                                self.yang_name = "ge"
                                self.yang_parent_name = "expires-on"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"time" : ("time", Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge.Time)}
                                self._child_list_classes = {}

                                self.time = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge.Time()
                                self.time.parent = self
                                self._children_name_map["time"] = "time"
                                self._children_yang_names.add("time")
                                self._segment_path = lambda: "ge"


                            class Time(Entity):
                                """
                                
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: year
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1993..2035
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge.Time, self).__init__()

                                    self.yang_name = "time"
                                    self.yang_parent_name = "ge"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.date1 = YLeaf(YType.uint8, "date1")

                                    self.month1 = YLeaf(YType.str, "month1")

                                    self.date2 = YLeaf(YType.uint8, "date2")

                                    self.month2 = YLeaf(YType.str, "month2")

                                    self.year = YLeaf(YType.uint16, "year")

                                    self.clock = YLeaf(YType.str, "clock")

                                    self.utc = YLeaf(YType.empty, "utc")
                                    self._segment_path = lambda: "time"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ge.Time, ['date1', 'month1', 'date2', 'month2', 'year', 'clock', 'utc'], name, value)


                        class Lt(Entity):
                            """
                            Less Than
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt, self).__init__()

                                self.yang_name = "lt"
                                self.yang_parent_name = "expires-on"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"time" : ("time", Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt.Time)}
                                self._child_list_classes = {}

                                self.time = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt.Time()
                                self.time.parent = self
                                self._children_name_map["time"] = "time"
                                self._children_yang_names.add("time")
                                self._segment_path = lambda: "lt"


                            class Time(Entity):
                                """
                                
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: year
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1993..2035
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt.Time, self).__init__()

                                    self.yang_name = "time"
                                    self.yang_parent_name = "lt"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.date1 = YLeaf(YType.uint8, "date1")

                                    self.month1 = YLeaf(YType.str, "month1")

                                    self.date2 = YLeaf(YType.uint8, "date2")

                                    self.month2 = YLeaf(YType.str, "month2")

                                    self.year = YLeaf(YType.uint16, "year")

                                    self.clock = YLeaf(YType.str, "clock")

                                    self.utc = YLeaf(YType.empty, "utc")
                                    self._segment_path = lambda: "time"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Pki.Certificate.Map.ExpiresOn.Lt.Time, ['date1', 'month1', 'date2', 'month2', 'year', 'clock', 'utc'], name, value)


                        class Ne(Entity):
                            """
                            Not Equal
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne, self).__init__()

                                self.yang_name = "ne"
                                self.yang_parent_name = "expires-on"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"time" : ("time", Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne.Time)}
                                self._child_list_classes = {}

                                self.time = Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne.Time()
                                self.time.parent = self
                                self._children_name_map["time"] = "time"
                                self._children_yang_names.add("time")
                                self._segment_path = lambda: "ne"


                            class Time(Entity):
                                """
                                
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: year
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1993..2035
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne.Time, self).__init__()

                                    self.yang_name = "time"
                                    self.yang_parent_name = "ne"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.date1 = YLeaf(YType.uint8, "date1")

                                    self.month1 = YLeaf(YType.str, "month1")

                                    self.date2 = YLeaf(YType.uint8, "date2")

                                    self.month2 = YLeaf(YType.str, "month2")

                                    self.year = YLeaf(YType.uint16, "year")

                                    self.clock = YLeaf(YType.str, "clock")

                                    self.utc = YLeaf(YType.empty, "utc")
                                    self._segment_path = lambda: "time"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Pki.Certificate.Map.ExpiresOn.Ne.Time, ['date1', 'month1', 'date2', 'month2', 'year', 'clock', 'utc'], name, value)


                    class IssuerName(Entity):
                        """
                        Certificate issuer name
                        
                        .. attribute:: co
                        
                        	Contains
                        	**type**\: str
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\: str
                        
                        .. attribute:: nc
                        
                        	Does not contain
                        	**type**\: str
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Certificate.Map.IssuerName, self).__init__()

                            self.yang_name = "issuer-name"
                            self.yang_parent_name = "map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.co = YLeaf(YType.str, "co")

                            self.eq = YLeaf(YType.str, "eq")

                            self.nc = YLeaf(YType.str, "nc")

                            self.ne = YLeaf(YType.str, "ne")
                            self._segment_path = lambda: "issuer-name"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Certificate.Map.IssuerName, ['co', 'eq', 'nc', 'ne'], name, value)


                    class Name(Entity):
                        """
                        Any subject name field
                        
                        .. attribute:: co
                        
                        	Contains
                        	**type**\: str
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\: str
                        
                        .. attribute:: nc
                        
                        	Does not contain
                        	**type**\: str
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Certificate.Map.Name, self).__init__()

                            self.yang_name = "name"
                            self.yang_parent_name = "map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.co = YLeaf(YType.str, "co")

                            self.eq = YLeaf(YType.str, "eq")

                            self.nc = YLeaf(YType.str, "nc")

                            self.ne = YLeaf(YType.str, "ne")
                            self._segment_path = lambda: "name"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Certificate.Map.Name, ['co', 'eq', 'nc', 'ne'], name, value)


                    class SerialNumber(Entity):
                        """
                        Certificate serial number (hexidecimal)
                        
                        .. attribute:: co
                        
                        	Contains
                        	**type**\: str
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\: str
                        
                        .. attribute:: nc
                        
                        	Does not contain
                        	**type**\: str
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Certificate.Map.SerialNumber, self).__init__()

                            self.yang_name = "serial-number"
                            self.yang_parent_name = "map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.co = YLeaf(YType.str, "co")

                            self.eq = YLeaf(YType.str, "eq")

                            self.nc = YLeaf(YType.str, "nc")

                            self.ne = YLeaf(YType.str, "ne")
                            self._segment_path = lambda: "serial-number"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Certificate.Map.SerialNumber, ['co', 'eq', 'nc', 'ne'], name, value)


                    class SubjectName(Entity):
                        """
                        Certificate subject name
                        
                        .. attribute:: co
                        
                        	Contains
                        	**type**\: str
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\: str
                        
                        .. attribute:: nc
                        
                        	Does not contain
                        	**type**\: str
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Certificate.Map.SubjectName, self).__init__()

                            self.yang_name = "subject-name"
                            self.yang_parent_name = "map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.co = YLeaf(YType.str, "co")

                            self.eq = YLeaf(YType.str, "eq")

                            self.nc = YLeaf(YType.str, "nc")

                            self.ne = YLeaf(YType.str, "ne")
                            self._segment_path = lambda: "subject-name"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Certificate.Map.SubjectName, ['co', 'eq', 'nc', 'ne'], name, value)


                    class UnstructuredSubjectName(Entity):
                        """
                        Unstructured subject name
                        
                        .. attribute:: co
                        
                        	Contains
                        	**type**\: str
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\: str
                        
                        .. attribute:: nc
                        
                        	Does not contain
                        	**type**\: str
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Certificate.Map.UnstructuredSubjectName, self).__init__()

                            self.yang_name = "unstructured-subject-name"
                            self.yang_parent_name = "map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.co = YLeaf(YType.str, "co")

                            self.eq = YLeaf(YType.str, "eq")

                            self.nc = YLeaf(YType.str, "nc")

                            self.ne = YLeaf(YType.str, "ne")
                            self._segment_path = lambda: "unstructured-subject-name"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Certificate.Map.UnstructuredSubjectName, ['co', 'eq', 'nc', 'ne'], name, value)


                    class ValidStart(Entity):
                        """
                        Valid after date/time
                        
                        .. attribute:: eq
                        
                        	Equal
                        	**type**\:  :py:class:`Eq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Eq>`
                        
                        .. attribute:: ge
                        
                        	Greater than or equal
                        	**type**\:  :py:class:`Ge <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Ge>`
                        
                        .. attribute:: lt
                        
                        	Less Than
                        	**type**\:  :py:class:`Lt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Lt>`
                        
                        .. attribute:: ne
                        
                        	Not Equal
                        	**type**\:  :py:class:`Ne <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Ne>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Certificate.Map.ValidStart, self).__init__()

                            self.yang_name = "valid-start"
                            self.yang_parent_name = "map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"eq" : ("eq", Native.Crypto.Pki.Certificate.Map.ValidStart.Eq), "ge" : ("ge", Native.Crypto.Pki.Certificate.Map.ValidStart.Ge), "lt" : ("lt", Native.Crypto.Pki.Certificate.Map.ValidStart.Lt), "ne" : ("ne", Native.Crypto.Pki.Certificate.Map.ValidStart.Ne)}
                            self._child_list_classes = {}

                            self.eq = Native.Crypto.Pki.Certificate.Map.ValidStart.Eq()
                            self.eq.parent = self
                            self._children_name_map["eq"] = "eq"
                            self._children_yang_names.add("eq")

                            self.ge = Native.Crypto.Pki.Certificate.Map.ValidStart.Ge()
                            self.ge.parent = self
                            self._children_name_map["ge"] = "ge"
                            self._children_yang_names.add("ge")

                            self.lt = Native.Crypto.Pki.Certificate.Map.ValidStart.Lt()
                            self.lt.parent = self
                            self._children_name_map["lt"] = "lt"
                            self._children_yang_names.add("lt")

                            self.ne = Native.Crypto.Pki.Certificate.Map.ValidStart.Ne()
                            self.ne.parent = self
                            self._children_name_map["ne"] = "ne"
                            self._children_yang_names.add("ne")
                            self._segment_path = lambda: "valid-start"


                        class Eq(Entity):
                            """
                            Equal
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Eq.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Certificate.Map.ValidStart.Eq, self).__init__()

                                self.yang_name = "eq"
                                self.yang_parent_name = "valid-start"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"time" : ("time", Native.Crypto.Pki.Certificate.Map.ValidStart.Eq.Time)}
                                self._child_list_classes = {}

                                self.time = Native.Crypto.Pki.Certificate.Map.ValidStart.Eq.Time()
                                self.time.parent = self
                                self._children_name_map["time"] = "time"
                                self._children_yang_names.add("time")
                                self._segment_path = lambda: "eq"


                            class Time(Entity):
                                """
                                
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: year
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1993..2035
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Pki.Certificate.Map.ValidStart.Eq.Time, self).__init__()

                                    self.yang_name = "time"
                                    self.yang_parent_name = "eq"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.date1 = YLeaf(YType.uint8, "date1")

                                    self.month1 = YLeaf(YType.str, "month1")

                                    self.date2 = YLeaf(YType.uint8, "date2")

                                    self.month2 = YLeaf(YType.str, "month2")

                                    self.year = YLeaf(YType.uint16, "year")

                                    self.clock = YLeaf(YType.str, "clock")

                                    self.utc = YLeaf(YType.empty, "utc")
                                    self._segment_path = lambda: "time"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Pki.Certificate.Map.ValidStart.Eq.Time, ['date1', 'month1', 'date2', 'month2', 'year', 'clock', 'utc'], name, value)


                        class Ge(Entity):
                            """
                            Greater than or equal
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Ge.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Certificate.Map.ValidStart.Ge, self).__init__()

                                self.yang_name = "ge"
                                self.yang_parent_name = "valid-start"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"time" : ("time", Native.Crypto.Pki.Certificate.Map.ValidStart.Ge.Time)}
                                self._child_list_classes = {}

                                self.time = Native.Crypto.Pki.Certificate.Map.ValidStart.Ge.Time()
                                self.time.parent = self
                                self._children_name_map["time"] = "time"
                                self._children_yang_names.add("time")
                                self._segment_path = lambda: "ge"


                            class Time(Entity):
                                """
                                
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: year
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1993..2035
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Pki.Certificate.Map.ValidStart.Ge.Time, self).__init__()

                                    self.yang_name = "time"
                                    self.yang_parent_name = "ge"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.date1 = YLeaf(YType.uint8, "date1")

                                    self.month1 = YLeaf(YType.str, "month1")

                                    self.date2 = YLeaf(YType.uint8, "date2")

                                    self.month2 = YLeaf(YType.str, "month2")

                                    self.year = YLeaf(YType.uint16, "year")

                                    self.clock = YLeaf(YType.str, "clock")

                                    self.utc = YLeaf(YType.empty, "utc")
                                    self._segment_path = lambda: "time"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Pki.Certificate.Map.ValidStart.Ge.Time, ['date1', 'month1', 'date2', 'month2', 'year', 'clock', 'utc'], name, value)


                        class Lt(Entity):
                            """
                            Less Than
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Lt.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Certificate.Map.ValidStart.Lt, self).__init__()

                                self.yang_name = "lt"
                                self.yang_parent_name = "valid-start"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"time" : ("time", Native.Crypto.Pki.Certificate.Map.ValidStart.Lt.Time)}
                                self._child_list_classes = {}

                                self.time = Native.Crypto.Pki.Certificate.Map.ValidStart.Lt.Time()
                                self.time.parent = self
                                self._children_name_map["time"] = "time"
                                self._children_yang_names.add("time")
                                self._segment_path = lambda: "lt"


                            class Time(Entity):
                                """
                                
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: year
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1993..2035
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Pki.Certificate.Map.ValidStart.Lt.Time, self).__init__()

                                    self.yang_name = "time"
                                    self.yang_parent_name = "lt"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.date1 = YLeaf(YType.uint8, "date1")

                                    self.month1 = YLeaf(YType.str, "month1")

                                    self.date2 = YLeaf(YType.uint8, "date2")

                                    self.month2 = YLeaf(YType.str, "month2")

                                    self.year = YLeaf(YType.uint16, "year")

                                    self.clock = YLeaf(YType.str, "clock")

                                    self.utc = YLeaf(YType.empty, "utc")
                                    self._segment_path = lambda: "time"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Pki.Certificate.Map.ValidStart.Lt.Time, ['date1', 'month1', 'date2', 'month2', 'year', 'clock', 'utc'], name, value)


                        class Ne(Entity):
                            """
                            Not Equal
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Map.ValidStart.Ne.Time>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Certificate.Map.ValidStart.Ne, self).__init__()

                                self.yang_name = "ne"
                                self.yang_parent_name = "valid-start"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"time" : ("time", Native.Crypto.Pki.Certificate.Map.ValidStart.Ne.Time)}
                                self._child_list_classes = {}

                                self.time = Native.Crypto.Pki.Certificate.Map.ValidStart.Ne.Time()
                                self.time.parent = self
                                self._children_name_map["time"] = "time"
                                self._children_yang_names.add("time")
                                self._segment_path = lambda: "ne"


                            class Time(Entity):
                                """
                                
                                
                                .. attribute:: date1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month1
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: date2
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..31
                                
                                .. attribute:: month2
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: year
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1993..2035
                                
                                .. attribute:: clock
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: utc
                                
                                	Time is in UTC (not local Time Zone)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Pki.Certificate.Map.ValidStart.Ne.Time, self).__init__()

                                    self.yang_name = "time"
                                    self.yang_parent_name = "ne"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.date1 = YLeaf(YType.uint8, "date1")

                                    self.month1 = YLeaf(YType.str, "month1")

                                    self.date2 = YLeaf(YType.uint8, "date2")

                                    self.month2 = YLeaf(YType.str, "month2")

                                    self.year = YLeaf(YType.uint16, "year")

                                    self.clock = YLeaf(YType.str, "clock")

                                    self.utc = YLeaf(YType.empty, "utc")
                                    self._segment_path = lambda: "time"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Pki.Certificate.Map.ValidStart.Ne.Time, ['date1', 'month1', 'date2', 'month2', 'year', 'clock', 'utc'], name, value)


                class Storage(Entity):
                    """
                    specify where to store certificates
                    
                    .. attribute:: path
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Certificate.Storage.Path>`
                    
                    		**type**\: str
                    
                    .. attribute:: on
                    
                    	Create keypairs on device
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: with_keypair
                    
                    	Store certificates with keypair
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Certificate.Storage, self).__init__()

                        self.yang_name = "storage"
                        self.yang_parent_name = "certificate"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.path = YLeaf(YType.str, "path")

                        self.on = YLeaf(YType.empty, "on")

                        self.with_keypair = YLeaf(YType.empty, "with-keypair")
                        self._segment_path = lambda: "storage"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/certificate/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Certificate.Storage, ['path', 'on', 'with_keypair'], name, value)

                    class Path(Enum):
                        """
                        Path

                        .. data:: bootflash__COLON__ = 0

                        .. data:: flash__COLON__ = 1

                        .. data:: nvram__COLON__ = 2

                        """

                        bootflash__COLON__ = Enum.YLeaf(0, "bootflash:")

                        flash__COLON__ = Enum.YLeaf(1, "flash:")

                        nvram__COLON__ = Enum.YLeaf(2, "nvram:")



            class Crl(Entity):
                """
                Actions on certificate revocation lists
                
                .. attribute:: cache
                
                	Cache which holds recently parsed CRLs
                	**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Cache>`
                
                .. attribute:: download
                
                	auto\-download CRL
                	**type**\:  :py:class:`Download <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Download>`
                
                .. attribute:: request
                
                	Requests a current CRL
                	**type**\: str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Pki.Crl, self).__init__()

                    self.yang_name = "crl"
                    self.yang_parent_name = "pki"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"cache" : ("cache", Native.Crypto.Pki.Crl.Cache), "download" : ("download", Native.Crypto.Pki.Crl.Download)}
                    self._child_list_classes = {}

                    self.request = YLeaf(YType.str, "request")

                    self.cache = Native.Crypto.Pki.Crl.Cache()
                    self.cache.parent = self
                    self._children_name_map["cache"] = "cache"
                    self._children_yang_names.add("cache")

                    self.download = Native.Crypto.Pki.Crl.Download()
                    self.download.parent = self
                    self._children_name_map["download"] = "download"
                    self._children_yang_names.add("download")
                    self._segment_path = lambda: "crl"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Pki.Crl, ['request'], name, value)


                class Cache(Entity):
                    """
                    Cache which holds recently parsed CRLs
                    
                    .. attribute:: size
                    
                    	Size of the recently parsed CRL cache
                    	**type**\: int
                    
                    	**range:** 0..131072
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Crl.Cache, self).__init__()

                        self.yang_name = "cache"
                        self.yang_parent_name = "crl"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.size = YLeaf(YType.uint32, "size")
                        self._segment_path = lambda: "cache"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/crl/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Crl.Cache, ['size'], name, value)


                class Download(Entity):
                    """
                    auto\-download CRL
                    
                    .. attribute:: schedule
                    
                    	Schedule time to auto\-download CRL
                    	**type**\:  :py:class:`Schedule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Download.Schedule>`
                    
                    .. attribute:: trustpoint
                    
                    	Trustpoint to auto\-download CRL
                    	**type**\: str
                    
                    .. attribute:: url
                    
                    	URL to auto\-download CRL
                    	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Download.Url>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Crl.Download, self).__init__()

                        self.yang_name = "download"
                        self.yang_parent_name = "crl"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"schedule" : ("schedule", Native.Crypto.Pki.Crl.Download.Schedule), "url" : ("url", Native.Crypto.Pki.Crl.Download.Url)}
                        self._child_list_classes = {}

                        self.trustpoint = YLeaf(YType.str, "trustpoint")

                        self.schedule = Native.Crypto.Pki.Crl.Download.Schedule()
                        self.schedule.parent = self
                        self._children_name_map["schedule"] = "schedule"
                        self._children_yang_names.add("schedule")

                        self.url = Native.Crypto.Pki.Crl.Download.Url()
                        self.url.parent = self
                        self._children_name_map["url"] = "url"
                        self._children_yang_names.add("url")
                        self._segment_path = lambda: "download"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/crl/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Crl.Download, ['trustpoint'], name, value)


                    class Schedule(Entity):
                        """
                        Schedule time to auto\-download CRL
                        
                        .. attribute:: prepublish
                        
                        	Requests CRL at prepublish time
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: retries
                        
                        	Retry request for failed CDP locations
                        	**type**\:  :py:class:`Retries <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Download.Schedule.Retries>`
                        
                        .. attribute:: time
                        
                        	Request auto\-download CRL at this time
                        	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Download.Schedule.Time>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Crl.Download.Schedule, self).__init__()

                            self.yang_name = "schedule"
                            self.yang_parent_name = "download"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"retries" : ("retries", Native.Crypto.Pki.Crl.Download.Schedule.Retries), "time" : ("time", Native.Crypto.Pki.Crl.Download.Schedule.Time)}
                            self._child_list_classes = {}

                            self.prepublish = YLeaf(YType.uint16, "prepublish")

                            self.retries = Native.Crypto.Pki.Crl.Download.Schedule.Retries()
                            self.retries.parent = self
                            self._children_name_map["retries"] = "retries"
                            self._children_yang_names.add("retries")

                            self.time = Native.Crypto.Pki.Crl.Download.Schedule.Time()
                            self.time.parent = self
                            self._children_name_map["time"] = "time"
                            self._children_yang_names.add("time")
                            self._segment_path = lambda: "schedule"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/crl/download/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Crl.Download.Schedule, ['prepublish'], name, value)


                        class Retries(Entity):
                            """
                            Retry request for failed CDP locations
                            
                            .. attribute:: number
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..15
                            
                            .. attribute:: interval
                            
                            	retry time interval for each attempt
                            	**type**\: int
                            
                            	**range:** 15..600
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Crl.Download.Schedule.Retries, self).__init__()

                                self.yang_name = "retries"
                                self.yang_parent_name = "schedule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.uint8, "number")

                                self.interval = YLeaf(YType.uint16, "interval")
                                self._segment_path = lambda: "retries"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/crl/download/schedule/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Pki.Crl.Download.Schedule.Retries, ['number', 'interval'], name, value)


                        class Time(Entity):
                            """
                            Request auto\-download CRL at this time
                            
                            .. attribute:: date
                            
                            	
                            	**type**\:  :py:class:`Date <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Crl.Download.Schedule.Time.Date>`
                            
                            .. attribute:: clock
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Crl.Download.Schedule.Time, self).__init__()

                                self.yang_name = "time"
                                self.yang_parent_name = "schedule"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.date = YLeaf(YType.enumeration, "date")

                                self.clock = YLeaf(YType.str, "clock")
                                self._segment_path = lambda: "time"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/crl/download/schedule/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Pki.Crl.Download.Schedule.Time, ['date', 'clock'], name, value)

                            class Date(Enum):
                                """
                                Date

                                .. data:: Friday = 0

                                .. data:: Monday = 1

                                .. data:: Saturday = 2

                                .. data:: Sunday = 3

                                .. data:: Thursday = 4

                                .. data:: Tuesday = 5

                                .. data:: Wednesday = 6

                                """

                                Friday = Enum.YLeaf(0, "Friday")

                                Monday = Enum.YLeaf(1, "Monday")

                                Saturday = Enum.YLeaf(2, "Saturday")

                                Sunday = Enum.YLeaf(3, "Sunday")

                                Thursday = Enum.YLeaf(4, "Thursday")

                                Tuesday = Enum.YLeaf(5, "Tuesday")

                                Wednesday = Enum.YLeaf(6, "Wednesday")



                    class Url(Entity):
                        """
                        URL to auto\-download CRL
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: source_interface
                        
                        	Interface used as source address
                        	**type**\: str
                        
                        .. attribute:: vrf
                        
                        	VRF to use for CRL download
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Crl.Download.Url, self).__init__()

                            self.yang_name = "url"
                            self.yang_parent_name = "download"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.source_interface = YLeaf(YType.str, "source-interface")

                            self.vrf = YLeaf(YType.str, "vrf")
                            self._segment_path = lambda: "url"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/crl/download/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Crl.Download.Url, ['name', 'source_interface', 'vrf'], name, value)


            class Export(Entity):
                """
                Export certificate or PKCS12 file
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: pem
                
                	Export to PEM files
                	**type**\:  :py:class:`Pem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem>`
                
                .. attribute:: pkcs12
                
                	Export to PKCS12 file
                	**type**\:  :py:class:`Pkcs12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pkcs12>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Pki.Export, self).__init__()

                    self.yang_name = "export"
                    self.yang_parent_name = "pki"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"pem" : ("pem", Native.Crypto.Pki.Export.Pem), "pkcs12" : ("pkcs12", Native.Crypto.Pki.Export.Pkcs12)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.pem = Native.Crypto.Pki.Export.Pem()
                    self.pem.parent = self
                    self._children_name_map["pem"] = "pem"
                    self._children_yang_names.add("pem")

                    self.pkcs12 = Native.Crypto.Pki.Export.Pkcs12()
                    self.pkcs12.parent = self
                    self._children_name_map["pkcs12"] = "pkcs12"
                    self._children_yang_names.add("pkcs12")
                    self._segment_path = lambda: "export" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Pki.Export, ['name'], name, value)


                class Pem(Entity):
                    """
                    Export to PEM files
                    
                    .. attribute:: terminal
                    
                    	Export via the terminal (cut\-and\-paste)
                    	**type**\:  :py:class:`Terminal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem.Terminal>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: url
                    
                    	Export via the file systems
                    	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem.Url>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Export.Pem, self).__init__()

                        self.yang_name = "pem"
                        self.yang_parent_name = "export"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"terminal" : ("terminal", Native.Crypto.Pki.Export.Pem.Terminal), "url" : ("url", Native.Crypto.Pki.Export.Pem.Url)}
                        self._child_list_classes = {}

                        self.terminal = None
                        self._children_name_map["terminal"] = "terminal"
                        self._children_yang_names.add("terminal")

                        self.url = Native.Crypto.Pki.Export.Pem.Url()
                        self.url.parent = self
                        self._children_name_map["url"] = "url"
                        self._children_yang_names.add("url")
                        self._segment_path = lambda: "pem"


                    class Terminal(Entity):
                        """
                        Export via the terminal (cut\-and\-paste)
                        
                        .. attribute:: pem_3des
                        
                        	Encrypt the private key with 3DES
                        	**type**\:  :py:class:`Pem3des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem.Terminal.Pem3des>`
                        
                        .. attribute:: des
                        
                        	Encrypt the private key with DES
                        	**type**\:  :py:class:`Des <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem.Terminal.Des>`
                        
                        .. attribute:: rollover
                        
                        	Export the rollover CA certificate
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Export.Pem.Terminal, self).__init__()

                            self.yang_name = "terminal"
                            self.yang_parent_name = "pem"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"pem-3des" : ("pem_3des", Native.Crypto.Pki.Export.Pem.Terminal.Pem3des), "des" : ("des", Native.Crypto.Pki.Export.Pem.Terminal.Des)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rollover = YLeaf(YType.empty, "rollover")

                            self.pem_3des = Native.Crypto.Pki.Export.Pem.Terminal.Pem3des()
                            self.pem_3des.parent = self
                            self._children_name_map["pem_3des"] = "pem-3des"
                            self._children_yang_names.add("pem-3des")

                            self.des = Native.Crypto.Pki.Export.Pem.Terminal.Des()
                            self.des.parent = self
                            self._children_name_map["des"] = "des"
                            self._children_yang_names.add("des")
                            self._segment_path = lambda: "terminal"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Export.Pem.Terminal, ['rollover'], name, value)


                        class Pem3des(Entity):
                            """
                            Encrypt the private key with 3DES
                            
                            .. attribute:: password
                            
                            	Passphrase
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Export.Pem.Terminal.Pem3des, self).__init__()

                                self.yang_name = "pem-3des"
                                self.yang_parent_name = "terminal"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.password = YLeaf(YType.str, "password")
                                self._segment_path = lambda: "pem-3des"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Pki.Export.Pem.Terminal.Pem3des, ['password'], name, value)


                        class Des(Entity):
                            """
                            Encrypt the private key with DES
                            
                            .. attribute:: password
                            
                            	Passphrase
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Export.Pem.Terminal.Des, self).__init__()

                                self.yang_name = "des"
                                self.yang_parent_name = "terminal"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.password = YLeaf(YType.str, "password")
                                self._segment_path = lambda: "des"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Pki.Export.Pem.Terminal.Des, ['password'], name, value)


                    class Url(Entity):
                        """
                        Export via the file systems
                        
                        .. attribute:: file
                        
                        	
                        	**type**\:  :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem.Url.File>`
                        
                        .. attribute:: encrypt
                        
                        	
                        	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pem.Url.Encrypt>`
                        
                        .. attribute:: password
                        
                        	Passphrase
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Export.Pem.Url, self).__init__()

                            self.yang_name = "url"
                            self.yang_parent_name = "pem"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.file = YLeaf(YType.enumeration, "file")

                            self.encrypt = YLeaf(YType.enumeration, "encrypt")

                            self.password = YLeaf(YType.str, "password")
                            self._segment_path = lambda: "url"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Export.Pem.Url, ['file', 'encrypt', 'password'], name, value)

                        class Encrypt(Enum):
                            """
                            Encrypt

                            .. data:: Y_3des = 0

                            .. data:: des = 1

                            """

                            Y_3des = Enum.YLeaf(0, "3des")

                            des = Enum.YLeaf(1, "des")


                        class File(Enum):
                            """
                            File

                            .. data:: bootflash__COLON__ = 0

                            .. data:: flash__COLON__ = 1

                            .. data:: ftp__COLON__ = 2

                            .. data:: http__COLON__ = 3

                            .. data:: https__COLON__ = 4

                            .. data:: null__COLON__ = 5

                            .. data:: nvram__COLON__ = 6

                            .. data:: pram__COLON__ = 7

                            .. data:: rcp__COLON__ = 8

                            .. data:: scp__COLON__ = 9

                            .. data:: system__COLON__ = 10

                            .. data:: tftp__COLON__ = 11

                            .. data:: tmpsys__COLON__ = 12

                            """

                            bootflash__COLON__ = Enum.YLeaf(0, "bootflash:")

                            flash__COLON__ = Enum.YLeaf(1, "flash:")

                            ftp__COLON__ = Enum.YLeaf(2, "ftp:")

                            http__COLON__ = Enum.YLeaf(3, "http:")

                            https__COLON__ = Enum.YLeaf(4, "https:")

                            null__COLON__ = Enum.YLeaf(5, "null:")

                            nvram__COLON__ = Enum.YLeaf(6, "nvram:")

                            pram__COLON__ = Enum.YLeaf(7, "pram:")

                            rcp__COLON__ = Enum.YLeaf(8, "rcp:")

                            scp__COLON__ = Enum.YLeaf(9, "scp:")

                            system__COLON__ = Enum.YLeaf(10, "system:")

                            tftp__COLON__ = Enum.YLeaf(11, "tftp:")

                            tmpsys__COLON__ = Enum.YLeaf(12, "tmpsys:")



                class Pkcs12(Entity):
                    """
                    Export to PKCS12 file
                    
                    .. attribute:: file
                    
                    	
                    	**type**\:  :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Export.Pkcs12.File>`
                    
                    .. attribute:: password
                    
                    	Passphrase
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Export.Pkcs12, self).__init__()

                        self.yang_name = "pkcs12"
                        self.yang_parent_name = "export"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.file = YLeaf(YType.enumeration, "file")

                        self.password = YLeaf(YType.str, "password")
                        self._segment_path = lambda: "pkcs12"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Export.Pkcs12, ['file', 'password'], name, value)

                    class File(Enum):
                        """
                        File

                        .. data:: bootflash__COLON__ = 0

                        .. data:: flash__COLON__ = 1

                        .. data:: ftp__COLON__ = 2

                        .. data:: http__COLON__ = 3

                        .. data:: https__COLON__ = 4

                        .. data:: null__COLON__ = 5

                        .. data:: nvram__COLON__ = 6

                        .. data:: pram__COLON__ = 7

                        .. data:: rcp__COLON__ = 8

                        .. data:: scp__COLON__ = 9

                        .. data:: system__COLON__ = 10

                        .. data:: tftp__COLON__ = 11

                        .. data:: tmpsys__COLON__ = 12

                        """

                        bootflash__COLON__ = Enum.YLeaf(0, "bootflash:")

                        flash__COLON__ = Enum.YLeaf(1, "flash:")

                        ftp__COLON__ = Enum.YLeaf(2, "ftp:")

                        http__COLON__ = Enum.YLeaf(3, "http:")

                        https__COLON__ = Enum.YLeaf(4, "https:")

                        null__COLON__ = Enum.YLeaf(5, "null:")

                        nvram__COLON__ = Enum.YLeaf(6, "nvram:")

                        pram__COLON__ = Enum.YLeaf(7, "pram:")

                        rcp__COLON__ = Enum.YLeaf(8, "rcp:")

                        scp__COLON__ = Enum.YLeaf(9, "scp:")

                        system__COLON__ = Enum.YLeaf(10, "system:")

                        tftp__COLON__ = Enum.YLeaf(11, "tftp:")

                        tmpsys__COLON__ = Enum.YLeaf(12, "tmpsys:")



            class Import_(Entity):
                """
                Import certificate or PKCS12 file
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: certificate
                
                	Import a certificate from a TFTP server or the terminal
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pem
                
                	Import from PEM files
                	**type**\:  :py:class:`Pem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_.Pem>`
                
                .. attribute:: pkcs12
                
                	Import from PKCS12 file
                	**type**\:  :py:class:`Pkcs12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_.Pkcs12>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Pki.Import_, self).__init__()

                    self.yang_name = "import"
                    self.yang_parent_name = "pki"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"pem" : ("pem", Native.Crypto.Pki.Import_.Pem), "pkcs12" : ("pkcs12", Native.Crypto.Pki.Import_.Pkcs12)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.certificate = YLeaf(YType.empty, "certificate")

                    self.pem = Native.Crypto.Pki.Import_.Pem()
                    self.pem.parent = self
                    self._children_name_map["pem"] = "pem"
                    self._children_yang_names.add("pem")

                    self.pkcs12 = Native.Crypto.Pki.Import_.Pkcs12()
                    self.pkcs12.parent = self
                    self._children_name_map["pkcs12"] = "pkcs12"
                    self._children_yang_names.add("pkcs12")
                    self._segment_path = lambda: "import" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Pki.Import_, ['name', 'certificate'], name, value)


                class Pem(Entity):
                    """
                    Import from PEM files
                    
                    .. attribute:: check
                    
                    	Validate certificate on input
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: exportable
                    
                    	Allow the key as to be exported
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: terminal
                    
                    	Import via the terminal (cut\-and\-paste)
                    	**type**\:  :py:class:`Terminal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_.Pem.Terminal>`
                    
                    .. attribute:: url
                    
                    	Export via the file systems
                    	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_.Pem.Url>`
                    
                    .. attribute:: usage_keys
                    
                    	Usage key pairs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Import_.Pem, self).__init__()

                        self.yang_name = "pem"
                        self.yang_parent_name = "import"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"terminal" : ("terminal", Native.Crypto.Pki.Import_.Pem.Terminal), "url" : ("url", Native.Crypto.Pki.Import_.Pem.Url)}
                        self._child_list_classes = {}

                        self.check = YLeaf(YType.empty, "check")

                        self.exportable = YLeaf(YType.empty, "exportable")

                        self.usage_keys = YLeaf(YType.empty, "usage-keys")

                        self.terminal = Native.Crypto.Pki.Import_.Pem.Terminal()
                        self.terminal.parent = self
                        self._children_name_map["terminal"] = "terminal"
                        self._children_yang_names.add("terminal")

                        self.url = Native.Crypto.Pki.Import_.Pem.Url()
                        self.url.parent = self
                        self._children_name_map["url"] = "url"
                        self._children_yang_names.add("url")
                        self._segment_path = lambda: "pem"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Import_.Pem, ['check', 'exportable', 'usage_keys'], name, value)


                    class Terminal(Entity):
                        """
                        Import via the terminal (cut\-and\-paste)
                        
                        .. attribute:: password
                        
                        	Passphrase
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Import_.Pem.Terminal, self).__init__()

                            self.yang_name = "terminal"
                            self.yang_parent_name = "pem"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.password = YLeaf(YType.str, "password")
                            self._segment_path = lambda: "terminal"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Import_.Pem.Terminal, ['password'], name, value)


                    class Url(Entity):
                        """
                        Export via the file systems
                        
                        .. attribute:: file
                        
                        	
                        	**type**\:  :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_.Pem.Url.File>`
                        
                        .. attribute:: password
                        
                        	Passphrase
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Import_.Pem.Url, self).__init__()

                            self.yang_name = "url"
                            self.yang_parent_name = "pem"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.file = YLeaf(YType.enumeration, "file")

                            self.password = YLeaf(YType.str, "password")
                            self._segment_path = lambda: "url"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Import_.Pem.Url, ['file', 'password'], name, value)

                        class File(Enum):
                            """
                            File

                            .. data:: bootflash__COLON__ = 0

                            .. data:: flash__COLON__ = 1

                            .. data:: ftp__COLON__ = 2

                            .. data:: http__COLON__ = 3

                            .. data:: https__COLON__ = 4

                            .. data:: null__COLON__ = 5

                            .. data:: nvram__COLON__ = 6

                            .. data:: pram__COLON__ = 7

                            .. data:: rcp__COLON__ = 8

                            .. data:: scp__COLON__ = 9

                            .. data:: system__COLON__ = 10

                            .. data:: tftp__COLON__ = 11

                            .. data:: tmpsys__COLON__ = 12

                            """

                            bootflash__COLON__ = Enum.YLeaf(0, "bootflash:")

                            flash__COLON__ = Enum.YLeaf(1, "flash:")

                            ftp__COLON__ = Enum.YLeaf(2, "ftp:")

                            http__COLON__ = Enum.YLeaf(3, "http:")

                            https__COLON__ = Enum.YLeaf(4, "https:")

                            null__COLON__ = Enum.YLeaf(5, "null:")

                            nvram__COLON__ = Enum.YLeaf(6, "nvram:")

                            pram__COLON__ = Enum.YLeaf(7, "pram:")

                            rcp__COLON__ = Enum.YLeaf(8, "rcp:")

                            scp__COLON__ = Enum.YLeaf(9, "scp:")

                            system__COLON__ = Enum.YLeaf(10, "system:")

                            tftp__COLON__ = Enum.YLeaf(11, "tftp:")

                            tmpsys__COLON__ = Enum.YLeaf(12, "tmpsys:")



                class Pkcs12(Entity):
                    """
                    Import from PKCS12 file
                    
                    .. attribute:: file
                    
                    	
                    	**type**\:  :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Import_.Pkcs12.File>`
                    
                    .. attribute:: password
                    
                    	Passphrase
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Import_.Pkcs12, self).__init__()

                        self.yang_name = "pkcs12"
                        self.yang_parent_name = "import"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.file = YLeaf(YType.enumeration, "file")

                        self.password = YLeaf(YType.str, "password")
                        self._segment_path = lambda: "pkcs12"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Import_.Pkcs12, ['file', 'password'], name, value)

                    class File(Enum):
                        """
                        File

                        .. data:: bootflash__COLON__ = 0

                        .. data:: flash__COLON__ = 1

                        .. data:: ftp__COLON__ = 2

                        .. data:: http__COLON__ = 3

                        .. data:: https__COLON__ = 4

                        .. data:: null__COLON__ = 5

                        .. data:: nvram__COLON__ = 6

                        .. data:: pram__COLON__ = 7

                        .. data:: rcp__COLON__ = 8

                        .. data:: scp__COLON__ = 9

                        .. data:: system__COLON__ = 10

                        .. data:: tftp__COLON__ = 11

                        .. data:: tmpsys__COLON__ = 12

                        """

                        bootflash__COLON__ = Enum.YLeaf(0, "bootflash:")

                        flash__COLON__ = Enum.YLeaf(1, "flash:")

                        ftp__COLON__ = Enum.YLeaf(2, "ftp:")

                        http__COLON__ = Enum.YLeaf(3, "http:")

                        https__COLON__ = Enum.YLeaf(4, "https:")

                        null__COLON__ = Enum.YLeaf(5, "null:")

                        nvram__COLON__ = Enum.YLeaf(6, "nvram:")

                        pram__COLON__ = Enum.YLeaf(7, "pram:")

                        rcp__COLON__ = Enum.YLeaf(8, "rcp:")

                        scp__COLON__ = Enum.YLeaf(9, "scp:")

                        system__COLON__ = Enum.YLeaf(10, "system:")

                        tftp__COLON__ = Enum.YLeaf(11, "tftp:")

                        tmpsys__COLON__ = Enum.YLeaf(12, "tmpsys:")



            class Profile(Entity):
                """
                Define a certificate profile
                
                .. attribute:: enrollment
                
                	Define an enrollment profile
                	**type**\: list of  		 :py:class:`Enrollment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Pki.Profile, self).__init__()

                    self.yang_name = "profile"
                    self.yang_parent_name = "pki"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"enrollment" : ("enrollment", Native.Crypto.Pki.Profile.Enrollment)}

                    self.enrollment = YList(self)
                    self._segment_path = lambda: "profile"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Pki.Profile, [], name, value)


                class Enrollment(Entity):
                    """
                    Define an enrollment profile
                    
                    .. attribute:: tag  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: authentication
                    
                    	Retrieve CA certificate(s)
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Authentication>`
                    
                    .. attribute:: enrollment
                    
                    	Enroll router with a CA
                    	**type**\:  :py:class:`Enrollment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Enrollment>`
                    
                    .. attribute:: method_est
                    
                    	Use EST for this profile
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: parameter
                    
                    	Define a parameter value or prompt
                    	**type**\: list of  		 :py:class:`Parameter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Parameter>`
                    
                    .. attribute:: reenrollment
                    
                    	Re\-enroll router with a CA
                    	**type**\:  :py:class:`Reenrollment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Reenrollment>`
                    
                    .. attribute:: source_interface
                    
                    	Interface used as source address
                    	**type**\: str
                    
                    .. attribute:: default
                    
                    	Set a command to its defaults
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Profile.Enrollment, self).__init__()

                        self.yang_name = "enrollment"
                        self.yang_parent_name = "profile"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"authentication" : ("authentication", Native.Crypto.Pki.Profile.Enrollment.Authentication), "enrollment" : ("enrollment", Native.Crypto.Pki.Profile.Enrollment.Enrollment), "reenrollment" : ("reenrollment", Native.Crypto.Pki.Profile.Enrollment.Reenrollment), "default" : ("default", Native.Crypto.Pki.Profile.Enrollment.Default)}
                        self._child_list_classes = {"parameter" : ("parameter", Native.Crypto.Pki.Profile.Enrollment.Parameter)}

                        self.tag = YLeaf(YType.str, "tag")

                        self.method_est = YLeaf(YType.empty, "method-est")

                        self.source_interface = YLeaf(YType.str, "source-interface")

                        self.authentication = Native.Crypto.Pki.Profile.Enrollment.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.enrollment = Native.Crypto.Pki.Profile.Enrollment.Enrollment()
                        self.enrollment.parent = self
                        self._children_name_map["enrollment"] = "enrollment"
                        self._children_yang_names.add("enrollment")

                        self.reenrollment = Native.Crypto.Pki.Profile.Enrollment.Reenrollment()
                        self.reenrollment.parent = self
                        self._children_name_map["reenrollment"] = "reenrollment"
                        self._children_yang_names.add("reenrollment")

                        self.default = Native.Crypto.Pki.Profile.Enrollment.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.parameter = YList(self)
                        self._segment_path = lambda: "enrollment" + "[tag='" + self.tag.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/profile/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment, ['tag', 'method_est', 'source_interface'], name, value)


                    class Authentication(Entity):
                        """
                        Retrieve CA certificate(s)
                        
                        .. attribute:: command
                        
                        	command to authenticate or enroll
                        	**type**\: str
                        
                        .. attribute:: terminal
                        
                        	authenticate or enroll using terminal
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: url
                        
                        	url to authenticate/enroll
                        	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Authentication.Url>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Profile.Enrollment.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "enrollment"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"url" : ("url", Native.Crypto.Pki.Profile.Enrollment.Authentication.Url)}
                            self._child_list_classes = {}

                            self.command = YLeaf(YType.str, "command")

                            self.terminal = YLeaf(YType.empty, "terminal")

                            self.url = Native.Crypto.Pki.Profile.Enrollment.Authentication.Url()
                            self.url.parent = self
                            self._children_name_map["url"] = "url"
                            self._children_yang_names.add("url")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Authentication, ['command', 'terminal'], name, value)


                        class Url(Entity):
                            """
                            url to authenticate/enroll
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: vrf
                            
                            	VRF to use for certificate enrollment 
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Profile.Enrollment.Authentication.Url, self).__init__()

                                self.yang_name = "url"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.vrf = YLeaf(YType.str, "vrf")
                                self._segment_path = lambda: "url"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Authentication.Url, ['name', 'vrf'], name, value)


                    class Enrollment(Entity):
                        """
                        Enroll router with a CA
                        
                        .. attribute:: command
                        
                        	command to authenticate or enroll
                        	**type**\: str
                        
                        .. attribute:: terminal
                        
                        	authenticate or enroll using terminal
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: url
                        
                        	url to authenticate/enroll
                        	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Enrollment.Url>`
                        
                        .. attribute:: credential
                        
                        	Use existing router cert for new enrollment
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Profile.Enrollment.Enrollment, self).__init__()

                            self.yang_name = "enrollment"
                            self.yang_parent_name = "enrollment"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"url" : ("url", Native.Crypto.Pki.Profile.Enrollment.Enrollment.Url)}
                            self._child_list_classes = {}

                            self.command = YLeaf(YType.str, "command")

                            self.terminal = YLeaf(YType.empty, "terminal")

                            self.credential = YLeaf(YType.str, "credential")

                            self.url = Native.Crypto.Pki.Profile.Enrollment.Enrollment.Url()
                            self.url.parent = self
                            self._children_name_map["url"] = "url"
                            self._children_yang_names.add("url")
                            self._segment_path = lambda: "enrollment"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Enrollment, ['command', 'terminal', 'credential'], name, value)


                        class Url(Entity):
                            """
                            url to authenticate/enroll
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: vrf
                            
                            	VRF to use for certificate enrollment 
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Profile.Enrollment.Enrollment.Url, self).__init__()

                                self.yang_name = "url"
                                self.yang_parent_name = "enrollment"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.vrf = YLeaf(YType.str, "vrf")
                                self._segment_path = lambda: "url"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Enrollment.Url, ['name', 'vrf'], name, value)


                    class Parameter(Entity):
                        """
                        Define a parameter value or prompt
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..8
                        
                        .. attribute:: prompt
                        
                        	Define a parameter prompt
                        	**type**\: str
                        
                        .. attribute:: value
                        
                        	Define a parameter value
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Profile.Enrollment.Parameter, self).__init__()

                            self.yang_name = "parameter"
                            self.yang_parent_name = "enrollment"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint8, "number")

                            self.prompt = YLeaf(YType.str, "prompt")

                            self.value = YLeaf(YType.str, "value")
                            self._segment_path = lambda: "parameter" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Parameter, ['number', 'prompt', 'value'], name, value)


                    class Reenrollment(Entity):
                        """
                        Re\-enroll router with a CA
                        
                        .. attribute:: command
                        
                        	command to authenticate or enroll
                        	**type**\: str
                        
                        .. attribute:: terminal
                        
                        	authenticate or enroll using terminal
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: url
                        
                        	url to authenticate/enroll
                        	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Reenrollment.Url>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Profile.Enrollment.Reenrollment, self).__init__()

                            self.yang_name = "reenrollment"
                            self.yang_parent_name = "enrollment"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"url" : ("url", Native.Crypto.Pki.Profile.Enrollment.Reenrollment.Url)}
                            self._child_list_classes = {}

                            self.command = YLeaf(YType.str, "command")

                            self.terminal = YLeaf(YType.empty, "terminal")

                            self.url = Native.Crypto.Pki.Profile.Enrollment.Reenrollment.Url()
                            self.url.parent = self
                            self._children_name_map["url"] = "url"
                            self._children_yang_names.add("url")
                            self._segment_path = lambda: "reenrollment"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Reenrollment, ['command', 'terminal'], name, value)


                        class Url(Entity):
                            """
                            url to authenticate/enroll
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: vrf
                            
                            	VRF to use for certificate enrollment 
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Profile.Enrollment.Reenrollment.Url, self).__init__()

                                self.yang_name = "url"
                                self.yang_parent_name = "reenrollment"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.vrf = YLeaf(YType.str, "vrf")
                                self._segment_path = lambda: "url"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Reenrollment.Url, ['name', 'vrf'], name, value)


                    class Default(Entity):
                        """
                        Set a command to its defaults
                        
                        .. attribute:: authentication
                        
                        	Retrieve CA certificate(s)
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Authentication>`
                        
                        .. attribute:: enrollment
                        
                        	Enroll router with a CA
                        	**type**\:  :py:class:`Enrollment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment>`
                        
                        .. attribute:: method_est
                        
                        	Use EST for this profile
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: parameter
                        
                        	Define a parameter value or prompt
                        	**type**\: list of  		 :py:class:`Parameter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Parameter>`
                        
                        .. attribute:: reenrollment
                        
                        	Re\-enroll router with a CA
                        	**type**\:  :py:class:`Reenrollment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment>`
                        
                        .. attribute:: source_interface
                        
                        	Interface used as source address
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Profile.Enrollment.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "enrollment"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Crypto.Pki.Profile.Enrollment.Default.Authentication), "enrollment" : ("enrollment", Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment), "reenrollment" : ("reenrollment", Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment)}
                            self._child_list_classes = {"parameter" : ("parameter", Native.Crypto.Pki.Profile.Enrollment.Default.Parameter)}

                            self.method_est = YLeaf(YType.empty, "method-est")

                            self.source_interface = YLeaf(YType.str, "source-interface")

                            self.authentication = Native.Crypto.Pki.Profile.Enrollment.Default.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.enrollment = Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment()
                            self.enrollment.parent = self
                            self._children_name_map["enrollment"] = "enrollment"
                            self._children_yang_names.add("enrollment")

                            self.reenrollment = Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment()
                            self.reenrollment.parent = self
                            self._children_name_map["reenrollment"] = "reenrollment"
                            self._children_yang_names.add("reenrollment")

                            self.parameter = YList(self)
                            self._segment_path = lambda: "default"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Default, ['method_est', 'source_interface'], name, value)


                        class Authentication(Entity):
                            """
                            Retrieve CA certificate(s)
                            
                            .. attribute:: command
                            
                            	command to authenticate or enroll
                            	**type**\: str
                            
                            .. attribute:: terminal
                            
                            	authenticate or enroll using terminal
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: url
                            
                            	url to authenticate/enroll
                            	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Authentication.Url>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Profile.Enrollment.Default.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"url" : ("url", Native.Crypto.Pki.Profile.Enrollment.Default.Authentication.Url)}
                                self._child_list_classes = {}

                                self.command = YLeaf(YType.str, "command")

                                self.terminal = YLeaf(YType.empty, "terminal")

                                self.url = Native.Crypto.Pki.Profile.Enrollment.Default.Authentication.Url()
                                self.url.parent = self
                                self._children_name_map["url"] = "url"
                                self._children_yang_names.add("url")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Default.Authentication, ['command', 'terminal'], name, value)


                            class Url(Entity):
                                """
                                url to authenticate/enroll
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: vrf
                                
                                	VRF to use for certificate enrollment 
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Pki.Profile.Enrollment.Default.Authentication.Url, self).__init__()

                                    self.yang_name = "url"
                                    self.yang_parent_name = "authentication"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "url"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Default.Authentication.Url, ['name', 'vrf'], name, value)


                        class Enrollment(Entity):
                            """
                            Enroll router with a CA
                            
                            .. attribute:: command
                            
                            	command to authenticate or enroll
                            	**type**\: str
                            
                            .. attribute:: terminal
                            
                            	authenticate or enroll using terminal
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: url
                            
                            	url to authenticate/enroll
                            	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment.Url>`
                            
                            .. attribute:: credential
                            
                            	Use existing router cert for new enrollment
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment, self).__init__()

                                self.yang_name = "enrollment"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"url" : ("url", Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment.Url)}
                                self._child_list_classes = {}

                                self.command = YLeaf(YType.str, "command")

                                self.terminal = YLeaf(YType.empty, "terminal")

                                self.credential = YLeaf(YType.str, "credential")

                                self.url = Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment.Url()
                                self.url.parent = self
                                self._children_name_map["url"] = "url"
                                self._children_yang_names.add("url")
                                self._segment_path = lambda: "enrollment"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment, ['command', 'terminal', 'credential'], name, value)


                            class Url(Entity):
                                """
                                url to authenticate/enroll
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: vrf
                                
                                	VRF to use for certificate enrollment 
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment.Url, self).__init__()

                                    self.yang_name = "url"
                                    self.yang_parent_name = "enrollment"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "url"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Default.Enrollment.Url, ['name', 'vrf'], name, value)


                        class Parameter(Entity):
                            """
                            Define a parameter value or prompt
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..8
                            
                            .. attribute:: prompt
                            
                            	Define a parameter prompt
                            	**type**\: str
                            
                            .. attribute:: value
                            
                            	Define a parameter value
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Profile.Enrollment.Default.Parameter, self).__init__()

                                self.yang_name = "parameter"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.uint8, "number")

                                self.prompt = YLeaf(YType.str, "prompt")

                                self.value = YLeaf(YType.str, "value")
                                self._segment_path = lambda: "parameter" + "[number='" + self.number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Default.Parameter, ['number', 'prompt', 'value'], name, value)


                        class Reenrollment(Entity):
                            """
                            Re\-enroll router with a CA
                            
                            .. attribute:: command
                            
                            	command to authenticate or enroll
                            	**type**\: str
                            
                            .. attribute:: terminal
                            
                            	authenticate or enroll using terminal
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: url
                            
                            	url to authenticate/enroll
                            	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment.Url>`
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment, self).__init__()

                                self.yang_name = "reenrollment"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"url" : ("url", Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment.Url)}
                                self._child_list_classes = {}

                                self.command = YLeaf(YType.str, "command")

                                self.terminal = YLeaf(YType.empty, "terminal")

                                self.url = Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment.Url()
                                self.url.parent = self
                                self._children_name_map["url"] = "url"
                                self._children_yang_names.add("url")
                                self._segment_path = lambda: "reenrollment"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment, ['command', 'terminal'], name, value)


                            class Url(Entity):
                                """
                                url to authenticate/enroll
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: vrf
                                
                                	VRF to use for certificate enrollment 
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-crypto'
                                _revision = '2017-05-10'

                                def __init__(self):
                                    super(Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment.Url, self).__init__()

                                    self.yang_name = "url"
                                    self.yang_parent_name = "reenrollment"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "url"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Crypto.Pki.Profile.Enrollment.Default.Reenrollment.Url, ['name', 'vrf'], name, value)


            class Server(Entity):
                """
                Enable IOS Certificate server
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: rollover
                
                	Rollover the server's key and certificate
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: cancel
                
                	Cancel a pending rollover
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Pki.Server, self).__init__()

                    self.yang_name = "server"
                    self.yang_parent_name = "pki"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.rollover = YLeaf(YType.empty, "rollover")

                    self.cancel = YLeaf(YType.empty, "cancel")
                    self._segment_path = lambda: "server"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Pki.Server, ['name', 'rollover', 'cancel'], name, value)


            class Trustpoint(Entity):
                """
                Define a CA trustpoint
                
                .. attribute:: id  <key>
                
                	
                	**type**\: str
                
                .. attribute:: auto_enroll
                
                	Automatically enroll this router identity
                	**type**\:  :py:class:`AutoEnroll <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.AutoEnroll>`
                
                .. attribute:: enrollment
                
                	Enrollment parameters
                	**type**\:  :py:class:`Enrollment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.Enrollment>`
                
                .. attribute:: password
                
                	revocation password
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.Password>`
                
                	**presence node**\: True
                
                .. attribute:: revocation_check
                
                	Revocation checking options
                	**type**\:  :py:class:`RevocationCheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.RevocationCheck>`
                
                .. attribute:: rsakeypair
                
                	Specify rsakeypair for this identity
                	**type**\:  :py:class:`Rsakeypair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.Rsakeypair>`
                
                .. attribute:: serial_number
                
                	help
                	**type**\:  :py:class:`SerialNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.SerialNumber>`
                
                	**presence node**\: True
                
                .. attribute:: ip_address
                
                	include ip address
                	**type**\:  :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.IpAddress>`
                
                .. attribute:: subject_name
                
                	Subject Name
                	**type**\: str
                
                .. attribute:: vrf
                
                	Name of VRF to use with trustpoint
                	**type**\: str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Pki.Trustpoint, self).__init__()

                    self.yang_name = "trustpoint"
                    self.yang_parent_name = "pki"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"auto-enroll" : ("auto_enroll", Native.Crypto.Pki.Trustpoint.AutoEnroll), "enrollment" : ("enrollment", Native.Crypto.Pki.Trustpoint.Enrollment), "password" : ("password", Native.Crypto.Pki.Trustpoint.Password), "rsakeypair" : ("rsakeypair", Native.Crypto.Pki.Trustpoint.Rsakeypair), "serial-number" : ("serial_number", Native.Crypto.Pki.Trustpoint.SerialNumber), "ip-address" : ("ip_address", Native.Crypto.Pki.Trustpoint.IpAddress)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.revocation_check = YLeaf(YType.enumeration, "revocation-check")

                    self.subject_name = YLeaf(YType.str, "subject-name")

                    self.vrf = YLeaf(YType.str, "vrf")

                    self.auto_enroll = Native.Crypto.Pki.Trustpoint.AutoEnroll()
                    self.auto_enroll.parent = self
                    self._children_name_map["auto_enroll"] = "auto-enroll"
                    self._children_yang_names.add("auto-enroll")

                    self.enrollment = Native.Crypto.Pki.Trustpoint.Enrollment()
                    self.enrollment.parent = self
                    self._children_name_map["enrollment"] = "enrollment"
                    self._children_yang_names.add("enrollment")

                    self.password = None
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")

                    self.rsakeypair = Native.Crypto.Pki.Trustpoint.Rsakeypair()
                    self.rsakeypair.parent = self
                    self._children_name_map["rsakeypair"] = "rsakeypair"
                    self._children_yang_names.add("rsakeypair")

                    self.serial_number = None
                    self._children_name_map["serial_number"] = "serial-number"
                    self._children_yang_names.add("serial-number")

                    self.ip_address = Native.Crypto.Pki.Trustpoint.IpAddress()
                    self.ip_address.parent = self
                    self._children_name_map["ip_address"] = "ip-address"
                    self._children_yang_names.add("ip-address")
                    self._segment_path = lambda: "trustpoint" + "[id='" + self.id.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Pki.Trustpoint, ['id', 'revocation_check', 'subject_name', 'vrf'], name, value)

                class RevocationCheck(Enum):
                    """
                    RevocationCheck

                    Revocation checking options

                    .. data:: crl = 0

                    .. data:: none = 1

                    .. data:: ocsp = 2

                    """

                    crl = Enum.YLeaf(0, "crl")

                    none = Enum.YLeaf(1, "none")

                    ocsp = Enum.YLeaf(2, "ocsp")



                class AutoEnroll(Entity):
                    """
                    Automatically enroll this router identity
                    
                    .. attribute:: percent
                    
                    	renewal percentage
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    .. attribute:: regenerate
                    
                    	Regenerate keys on re\-enrollment
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Trustpoint.AutoEnroll, self).__init__()

                        self.yang_name = "auto-enroll"
                        self.yang_parent_name = "trustpoint"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.percent = YLeaf(YType.uint8, "percent")

                        self.regenerate = YLeaf(YType.empty, "regenerate")
                        self._segment_path = lambda: "auto-enroll"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Trustpoint.AutoEnroll, ['percent', 'regenerate'], name, value)


                class Enrollment(Entity):
                    """
                    Enrollment parameters
                    
                    .. attribute:: http_proxy
                    
                    	HTTP proxy server for enrollment
                    	**type**\: str
                    
                    .. attribute:: mode
                    
                    	Mode supported by the Certificate Authority
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.Enrollment.Mode>`
                    
                    .. attribute:: pkcs12
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: profile
                    
                    	Specify an profile for enrollment
                    	**type**\: str
                    
                    .. attribute:: retry
                    
                    	Polling parameters
                    	**type**\:  :py:class:`Retry <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.Enrollment.Retry>`
                    
                    .. attribute:: selfsigned
                    
                    	Generate a Self Signed Certificate
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: terminal
                    
                    	Enroll via the terminal (cut\-and\-paste)
                    	**type**\:  :py:class:`Terminal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpoint.Enrollment.Terminal>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: url
                    
                    	CA server enrollment URL
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Trustpoint.Enrollment, self).__init__()

                        self.yang_name = "enrollment"
                        self.yang_parent_name = "trustpoint"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mode" : ("mode", Native.Crypto.Pki.Trustpoint.Enrollment.Mode), "retry" : ("retry", Native.Crypto.Pki.Trustpoint.Enrollment.Retry), "terminal" : ("terminal", Native.Crypto.Pki.Trustpoint.Enrollment.Terminal)}
                        self._child_list_classes = {}

                        self.http_proxy = YLeaf(YType.str, "http-proxy")

                        self.pkcs12 = YLeaf(YType.empty, "pkcs12")

                        self.profile = YLeaf(YType.str, "profile")

                        self.selfsigned = YLeaf(YType.empty, "selfsigned")

                        self.url = YLeaf(YType.str, "url")

                        self.mode = Native.Crypto.Pki.Trustpoint.Enrollment.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")

                        self.retry = Native.Crypto.Pki.Trustpoint.Enrollment.Retry()
                        self.retry.parent = self
                        self._children_name_map["retry"] = "retry"
                        self._children_yang_names.add("retry")

                        self.terminal = None
                        self._children_name_map["terminal"] = "terminal"
                        self._children_yang_names.add("terminal")
                        self._segment_path = lambda: "enrollment"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Trustpoint.Enrollment, ['http_proxy', 'pkcs12', 'profile', 'selfsigned', 'url'], name, value)


                    class Mode(Entity):
                        """
                        Mode supported by the Certificate Authority
                        
                        .. attribute:: ra
                        
                        	Registration Authority mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Trustpoint.Enrollment.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "enrollment"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ra = YLeaf(YType.empty, "ra")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Trustpoint.Enrollment.Mode, ['ra'], name, value)


                    class Retry(Entity):
                        """
                        Polling parameters
                        
                        .. attribute:: count
                        
                        	How many times to poll CA for our certificate
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: period
                        
                        	How long to wait between requests to CA for our certificate
                        	**type**\: int
                        
                        	**range:** 1..60
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Trustpoint.Enrollment.Retry, self).__init__()

                            self.yang_name = "retry"
                            self.yang_parent_name = "enrollment"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.count = YLeaf(YType.uint8, "count")

                            self.period = YLeaf(YType.uint8, "period")
                            self._segment_path = lambda: "retry"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Trustpoint.Enrollment.Retry, ['count', 'period'], name, value)


                    class Terminal(Entity):
                        """
                        Enroll via the terminal (cut\-and\-paste)
                        
                        .. attribute:: pem
                        
                        	Include PEM encapsulation boundaries
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Trustpoint.Enrollment.Terminal, self).__init__()

                            self.yang_name = "terminal"
                            self.yang_parent_name = "enrollment"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.pem = YLeaf(YType.empty, "pem")
                            self._segment_path = lambda: "terminal"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Trustpoint.Enrollment.Terminal, ['pem'], name, value)


                class Password(Entity):
                    """
                    revocation password
                    
                    .. attribute:: encryption_type
                    
                    	Encryption type
                    	**type**\: int
                    
                    	**range:** 0..9
                    
                    .. attribute:: clear_password
                    
                    	revocation password
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Trustpoint.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "trustpoint"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.encryption_type = YLeaf(YType.uint8, "encryption_type")

                        self.clear_password = YLeaf(YType.str, "clear_password")
                        self._segment_path = lambda: "password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Trustpoint.Password, ['encryption_type', 'clear_password'], name, value)


                class Rsakeypair(Entity):
                    """
                    Specify rsakeypair for this identity
                    
                    .. attribute:: key_label
                    
                    	RSA keypair label
                    	**type**\: str
                    
                    .. attribute:: gen_key
                    
                    	General Purpose or Signature Key length
                    	**type**\: int
                    
                    	**range:** 360..4096
                    
                    .. attribute:: encrypt_key
                    
                    	Encryption Key length
                    	**type**\: int
                    
                    	**range:** 360..4096
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Trustpoint.Rsakeypair, self).__init__()

                        self.yang_name = "rsakeypair"
                        self.yang_parent_name = "trustpoint"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.key_label = YLeaf(YType.str, "key-label")

                        self.gen_key = YLeaf(YType.uint16, "gen-key")

                        self.encrypt_key = YLeaf(YType.uint16, "encrypt-key")
                        self._segment_path = lambda: "rsakeypair"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Trustpoint.Rsakeypair, ['key_label', 'gen_key', 'encrypt_key'], name, value)


                class SerialNumber(Entity):
                    """
                    help
                    
                    .. attribute:: none
                    
                    	do not include serial number
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Trustpoint.SerialNumber, self).__init__()

                        self.yang_name = "serial-number"
                        self.yang_parent_name = "trustpoint"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.none = YLeaf(YType.empty, "none")
                        self._segment_path = lambda: "serial-number"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Trustpoint.SerialNumber, ['none'], name, value)


                class IpAddress(Entity):
                    """
                    include ip address
                    
                    .. attribute:: address_line
                    
                    	interface name or ip address
                    	**type**\: str
                    
                    .. attribute:: none
                    
                    	do not include ip address
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Trustpoint.IpAddress, self).__init__()

                        self.yang_name = "ip-address"
                        self.yang_parent_name = "trustpoint"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address_line = YLeaf(YType.str, "address-line")

                        self.none = YLeaf(YType.empty, "none")
                        self._segment_path = lambda: "ip-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Trustpoint.IpAddress, ['address_line', 'none'], name, value)


            class Token(Entity):
                """
                Configure cryptographic token
                
                .. attribute:: token_name
                
                	
                	**type**\: list of  		 :py:class:`TokenName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Token.TokenName>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Pki.Token, self).__init__()

                    self.yang_name = "token"
                    self.yang_parent_name = "pki"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"token-name" : ("token_name", Native.Crypto.Pki.Token.TokenName)}

                    self.token_name = YList(self)
                    self._segment_path = lambda: "token"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Pki.Token, [], name, value)


                class TokenName(Entity):
                    """
                    
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: removal
                    
                    	actions to take after token removal
                    	**type**\:  :py:class:`Removal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Token.TokenName.Removal>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Token.TokenName, self).__init__()

                        self.yang_name = "token-name"
                        self.yang_parent_name = "token"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"removal" : ("removal", Native.Crypto.Pki.Token.TokenName.Removal)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.removal = Native.Crypto.Pki.Token.TokenName.Removal()
                        self.removal.parent = self
                        self._children_name_map["removal"] = "removal"
                        self._children_yang_names.add("removal")
                        self._segment_path = lambda: "token-name" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/token/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Token.TokenName, ['name'], name, value)


                    class Removal(Entity):
                        """
                        actions to take after token removal
                        
                        .. attribute:: timeout
                        
                        	seconds after token removal at which keys from the token are cleared
                        	**type**\: int
                        
                        	**range:** 0..480
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Token.TokenName.Removal, self).__init__()

                            self.yang_name = "removal"
                            self.yang_parent_name = "token-name"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.timeout = YLeaf(YType.uint16, "timeout")
                            self._segment_path = lambda: "removal"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Token.TokenName.Removal, ['timeout'], name, value)


            class Trustpool(Entity):
                """
                Define CA trustpool
                
                .. attribute:: import_
                
                	Import a trustpool bundle
                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpool.Import_>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Pki.Trustpool, self).__init__()

                    self.yang_name = "trustpool"
                    self.yang_parent_name = "pki"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"import" : ("import_", Native.Crypto.Pki.Trustpool.Import_)}
                    self._child_list_classes = {}

                    self.import_ = None
                    self._children_name_map["import_"] = "import"
                    self._children_yang_names.add("import")
                    self._segment_path = lambda: "trustpool"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/%s" % self._segment_path()


                class Import_(Entity):
                    """
                    Import a trustpool bundle
                    
                    .. attribute:: clean
                    
                    	Remove all downloaded trustpool certificates prior to import
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: terminal
                    
                    	Import bundle via the terminal (cut\-and\-paste) in PEM format
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: url
                    
                    	Import via the file systems
                    	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpool.Import_.Url>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Trustpool.Import_, self).__init__()

                        self.yang_name = "import"
                        self.yang_parent_name = "trustpool"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"url" : ("url", Native.Crypto.Pki.Trustpool.Import_.Url)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.clean = YLeaf(YType.empty, "clean")

                        self.terminal = YLeaf(YType.empty, "terminal")

                        self.url = Native.Crypto.Pki.Trustpool.Import_.Url()
                        self.url.parent = self
                        self._children_name_map["url"] = "url"
                        self._children_yang_names.add("url")
                        self._segment_path = lambda: "import"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/trustpool/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Trustpool.Import_, ['clean', 'terminal'], name, value)


                    class Url(Entity):
                        """
                        Import via the file systems
                        
                        .. attribute:: file
                        
                        	
                        	**type**\:  :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Trustpool.Import_.Url.File>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.Pki.Trustpool.Import_.Url, self).__init__()

                            self.yang_name = "url"
                            self.yang_parent_name = "import"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.file = YLeaf(YType.enumeration, "file")
                            self._segment_path = lambda: "url"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/trustpool/import/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.Pki.Trustpool.Import_.Url, ['file'], name, value)

                        class File(Enum):
                            """
                            File

                            .. data:: bootflash__COLON__ = 0

                            .. data:: cns__COLON__ = 1

                            .. data:: flash__COLON__ = 2

                            .. data:: ftp__COLON__ = 3

                            .. data:: http__COLON__ = 4

                            .. data:: https__COLON__ = 5

                            .. data:: null__COLON__ = 6

                            .. data:: nvram__COLON__ = 7

                            .. data:: pram__COLON__ = 8

                            .. data:: rcp__COLON__ = 9

                            .. data:: scp__COLON__ = 10

                            .. data:: system__COLON__ = 11

                            .. data:: tar__COLON__ = 12

                            .. data:: tftp__COLON__ = 13

                            .. data:: tmpsys__COLON__ = 14

                            """

                            bootflash__COLON__ = Enum.YLeaf(0, "bootflash:")

                            cns__COLON__ = Enum.YLeaf(1, "cns:")

                            flash__COLON__ = Enum.YLeaf(2, "flash:")

                            ftp__COLON__ = Enum.YLeaf(3, "ftp:")

                            http__COLON__ = Enum.YLeaf(4, "http:")

                            https__COLON__ = Enum.YLeaf(5, "https:")

                            null__COLON__ = Enum.YLeaf(6, "null:")

                            nvram__COLON__ = Enum.YLeaf(7, "nvram:")

                            pram__COLON__ = Enum.YLeaf(8, "pram:")

                            rcp__COLON__ = Enum.YLeaf(9, "rcp:")

                            scp__COLON__ = Enum.YLeaf(10, "scp:")

                            system__COLON__ = Enum.YLeaf(11, "system:")

                            tar__COLON__ = Enum.YLeaf(12, "tar:")

                            tftp__COLON__ = Enum.YLeaf(13, "tftp:")

                            tmpsys__COLON__ = Enum.YLeaf(14, "tmpsys:")



            class Default(Entity):
                """
                set default values for tokens
                
                .. attribute:: removal
                
                	actions to take after token removal
                	**type**\:  :py:class:`Removal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Pki.Default.Removal>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Pki.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "pki"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"removal" : ("removal", Native.Crypto.Pki.Default.Removal)}
                    self._child_list_classes = {}

                    self.removal = Native.Crypto.Pki.Default.Removal()
                    self.removal.parent = self
                    self._children_name_map["removal"] = "removal"
                    self._children_yang_names.add("removal")
                    self._segment_path = lambda: "default"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/%s" % self._segment_path()


                class Removal(Entity):
                    """
                    actions to take after token removal
                    
                    .. attribute:: timeout
                    
                    	seconds after token removal at which keys from the token are cleared
                    	**type**\: int
                    
                    	**range:** 0..480
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Pki.Default.Removal, self).__init__()

                        self.yang_name = "removal"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.timeout = YLeaf(YType.uint16, "timeout")
                        self._segment_path = lambda: "removal"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:pki/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Pki.Default.Removal, ['timeout'], name, value)


        class TlsTunnel(Entity):
            """
            
            
            .. attribute:: tls_tunnel_list
            
            	Configure Crypto TLS\-Tunnel Options
            	**type**\: list of  		 :py:class:`TlsTunnelList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.TlsTunnel, self).__init__()

                self.yang_name = "tls-tunnel"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"tls-tunnel-list" : ("tls_tunnel_list", Native.Crypto.TlsTunnel.TlsTunnelList)}

                self.tls_tunnel_list = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:tls-tunnel"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.TlsTunnel, [], name, value)


            class TlsTunnelList(Entity):
                """
                Configure Crypto TLS\-Tunnel Options
                
                .. attribute:: tunnel_name  <key>
                
                	Name of TLS\-Tunnel
                	**type**\: str
                
                .. attribute:: local_interface
                
                	Specify the WAN interfaces
                	**type**\: list of  		 :py:class:`LocalInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface>`
                
                .. attribute:: overlay_address
                
                	Specify the Overlay Address
                	**type**\:  :py:class:`OverlayAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.OverlayAddress>`
                
                .. attribute:: protection
                
                	Cipher\-Suite
                	**type**\:  :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Protection>`
                
                .. attribute:: psk
                
                	Specify the Pre\-Shared Key
                	**type**\:  :py:class:`Psk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Psk>`
                
                .. attribute:: server
                
                	Specify the Server Address
                	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Server>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.TlsTunnel.TlsTunnelList, self).__init__()

                    self.yang_name = "tls-tunnel-list"
                    self.yang_parent_name = "tls-tunnel"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"overlay-address" : ("overlay_address", Native.Crypto.TlsTunnel.TlsTunnelList.OverlayAddress), "protection" : ("protection", Native.Crypto.TlsTunnel.TlsTunnelList.Protection), "psk" : ("psk", Native.Crypto.TlsTunnel.TlsTunnelList.Psk), "server" : ("server", Native.Crypto.TlsTunnel.TlsTunnelList.Server)}
                    self._child_list_classes = {"local-interface" : ("local_interface", Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface)}

                    self.tunnel_name = YLeaf(YType.str, "tunnel-name")

                    self.overlay_address = Native.Crypto.TlsTunnel.TlsTunnelList.OverlayAddress()
                    self.overlay_address.parent = self
                    self._children_name_map["overlay_address"] = "overlay-address"
                    self._children_yang_names.add("overlay-address")

                    self.protection = Native.Crypto.TlsTunnel.TlsTunnelList.Protection()
                    self.protection.parent = self
                    self._children_name_map["protection"] = "protection"
                    self._children_yang_names.add("protection")

                    self.psk = Native.Crypto.TlsTunnel.TlsTunnelList.Psk()
                    self.psk.parent = self
                    self._children_name_map["psk"] = "psk"
                    self._children_yang_names.add("psk")

                    self.server = Native.Crypto.TlsTunnel.TlsTunnelList.Server()
                    self.server.parent = self
                    self._children_name_map["server"] = "server"
                    self._children_yang_names.add("server")

                    self.local_interface = YList(self)
                    self._segment_path = lambda: "tls-tunnel-list" + "[tunnel-name='" + self.tunnel_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:tls-tunnel/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.TlsTunnel.TlsTunnelList, ['tunnel_name'], name, value)


                class LocalInterface(Entity):
                    """
                    Specify the WAN interfaces
                    
                    .. attribute:: interface_name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: priority
                    
                    	priority level
                    	**type**\: int
                    
                    	**range:** 1..3
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface, self).__init__()

                        self.yang_name = "local-interface"
                        self.yang_parent_name = "tls-tunnel-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interface_name = YLeaf(YType.str, "interface-name")

                        self.priority = YLeaf(YType.uint8, "priority")
                        self._segment_path = lambda: "local-interface" + "[interface-name='" + self.interface_name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.TlsTunnel.TlsTunnelList.LocalInterface, ['interface_name', 'priority'], name, value)


                class OverlayAddress(Entity):
                    """
                    Specify the Overlay Address
                    
                    .. attribute:: addresses
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: vrf
                    
                    	VRF name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.TlsTunnel.TlsTunnelList.OverlayAddress, self).__init__()

                        self.yang_name = "overlay-address"
                        self.yang_parent_name = "tls-tunnel-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.addresses = YLeaf(YType.str, "addresses")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "overlay-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.TlsTunnel.TlsTunnelList.OverlayAddress, ['addresses', 'vrf'], name, value)


                class Protection(Entity):
                    """
                    Cipher\-Suite
                    
                    .. attribute:: protection
                    
                    	
                    	**type**\:  :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Protection.Protection>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.TlsTunnel.TlsTunnelList.Protection, self).__init__()

                        self.yang_name = "protection"
                        self.yang_parent_name = "tls-tunnel-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.protection = YLeaf(YType.enumeration, "protection")
                        self._segment_path = lambda: "protection"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.TlsTunnel.TlsTunnelList.Protection, ['protection'], name, value)

                    class Protection(Enum):
                        """
                        Protection

                        .. data:: dhe_psk_aes128_cbc_sha1 = 0

                        .. data:: dhe_psk_aes256_cbc_sha1 = 1

                        .. data:: psk_aes128_cbc_sha1 = 2

                        .. data:: psk_aes256_cbc_sha1 = 3

                        """

                        dhe_psk_aes128_cbc_sha1 = Enum.YLeaf(0, "dhe-psk-aes128-cbc-sha1")

                        dhe_psk_aes256_cbc_sha1 = Enum.YLeaf(1, "dhe-psk-aes256-cbc-sha1")

                        psk_aes128_cbc_sha1 = Enum.YLeaf(2, "psk-aes128-cbc-sha1")

                        psk_aes256_cbc_sha1 = Enum.YLeaf(3, "psk-aes256-cbc-sha1")



                class Psk(Entity):
                    """
                    Specify the Pre\-Shared Key
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: list of  		 :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.TlsTunnel.TlsTunnelList.Psk, self).__init__()

                        self.yang_name = "psk"
                        self.yang_parent_name = "tls-tunnel-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"id" : ("id", Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id)}

                        self.id = YList(self)
                        self._segment_path = lambda: "psk"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.TlsTunnel.TlsTunnelList.Psk, [], name, value)


                    class Id(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: key
                        
                        	
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key>`
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id, self).__init__()

                            self.yang_name = "id"
                            self.yang_parent_name = "psk"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"key" : ("key", Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.key = Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key()
                            self.key.parent = self
                            self._children_name_map["key"] = "key"
                            self._children_yang_names.add("key")
                            self._segment_path = lambda: "id" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id, ['id'], name, value)


                        class Key(Entity):
                            """
                            
                            
                            .. attribute:: key
                            
                            	specify the key
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: encryption
                            
                            	
                            	**type**\:  :py:class:`Encryption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key.Encryption>`
                            
                            .. attribute:: unencryt_key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-crypto'
                            _revision = '2017-05-10'

                            def __init__(self):
                                super(Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key, self).__init__()

                                self.yang_name = "key"
                                self.yang_parent_name = "id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key = YLeaf(YType.empty, "key")

                                self.encryption = YLeaf(YType.enumeration, "encryption")

                                self.unencryt_key = YLeaf(YType.str, "unencryt-key")
                                self._segment_path = lambda: "key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Crypto.TlsTunnel.TlsTunnelList.Psk.Id.Key, ['key', 'encryption', 'unencryt_key'], name, value)

                            class Encryption(Enum):
                                """
                                Encryption

                                .. data:: Y_0 = 0

                                .. data:: Y_6 = 1

                                """

                                Y_0 = Enum.YLeaf(0, "0")

                                Y_6 = Enum.YLeaf(1, "6")



                class Server(Entity):
                    """
                    Specify the Server Address
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.TlsTunnel.TlsTunnelList.Server, self).__init__()

                        self.yang_name = "server"
                        self.yang_parent_name = "tls-tunnel-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4" : ("ipv4", Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv4), "ipv6" : ("ipv6", Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv6)}

                        self.ipv4 = YList(self)
                        self.ipv6 = YList(self)
                        self._segment_path = lambda: "server"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.TlsTunnel.TlsTunnelList.Server, [], name, value)


                    class Ipv4(Entity):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: port
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.port = YLeaf(YType.uint32, "port")
                            self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv4, ['ipv4', 'port'], name, value)


                    class Ipv6(Entity):
                        """
                        
                        
                        .. attribute:: ipv6  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: port
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-crypto'
                        _revision = '2017-05-10'

                        def __init__(self):
                            super(Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv6 = YLeaf(YType.str, "ipv6")

                            self.port = YLeaf(YType.uint32, "port")
                            self._segment_path = lambda: "ipv6" + "[ipv6='" + self.ipv6.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Crypto.TlsTunnel.TlsTunnelList.Server.Ipv6, ['ipv6', 'port'], name, value)


        class Ssl(Entity):
            """
            Configure Crypto SSL Options
            
            .. attribute:: authorization
            
            	ssl authorization
            	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ssl.Authorization>`
            
            .. attribute:: diagnose
            
            	SSLVPN diagnose
            	**type**\:  :py:class:`Diagnose <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ssl.Diagnose>`
            
            .. attribute:: policy
            
            	Define SSL policies
            	**type**\: str
            
            .. attribute:: profile
            
            	Define SSL profiles
            	**type**\: str
            
            .. attribute:: proposal
            
            	Define ssl Proposal
            	**type**\:  :py:class:`Proposal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ssl.Proposal>`
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Ssl, self).__init__()

                self.yang_name = "ssl"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"authorization" : ("authorization", Native.Crypto.Ssl.Authorization), "diagnose" : ("diagnose", Native.Crypto.Ssl.Diagnose), "proposal" : ("proposal", Native.Crypto.Ssl.Proposal)}
                self._child_list_classes = {}

                self.policy = YLeaf(YType.str, "policy")

                self.profile = YLeaf(YType.str, "profile")

                self.authorization = Native.Crypto.Ssl.Authorization()
                self.authorization.parent = self
                self._children_name_map["authorization"] = "authorization"
                self._children_yang_names.add("authorization")

                self.diagnose = Native.Crypto.Ssl.Diagnose()
                self.diagnose.parent = self
                self._children_name_map["diagnose"] = "diagnose"
                self._children_yang_names.add("diagnose")

                self.proposal = Native.Crypto.Ssl.Proposal()
                self.proposal.parent = self
                self._children_name_map["proposal"] = "proposal"
                self._children_yang_names.add("proposal")
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:ssl"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.Ssl, ['policy', 'profile'], name, value)


            class Authorization(Entity):
                """
                ssl authorization
                
                .. attribute:: policy
                
                	Crypto SSL authorization policy
                	**type**\: str
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ssl.Authorization, self).__init__()

                    self.yang_name = "authorization"
                    self.yang_parent_name = "ssl"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.policy = YLeaf(YType.str, "policy")
                    self._segment_path = lambda: "authorization"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ssl/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ssl.Authorization, ['policy'], name, value)


            class Diagnose(Entity):
                """
                SSLVPN diagnose
                
                .. attribute:: error
                
                	Start error trace debug
                	**type**\: int
                
                	**range:** 1..1000
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ssl.Diagnose, self).__init__()

                    self.yang_name = "diagnose"
                    self.yang_parent_name = "ssl"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.error = YLeaf(YType.uint16, "error")
                    self._segment_path = lambda: "diagnose"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ssl/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ssl.Diagnose, ['error'], name, value)


            class Proposal(Entity):
                """
                Define ssl Proposal
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: protection
                
                	Specify the protection algorithms
                	**type**\:  :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Ssl.Proposal.Protection>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Ssl.Proposal, self).__init__()

                    self.yang_name = "proposal"
                    self.yang_parent_name = "ssl"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"protection" : ("protection", Native.Crypto.Ssl.Proposal.Protection)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.protection = Native.Crypto.Ssl.Proposal.Protection()
                    self.protection.parent = self
                    self._children_name_map["protection"] = "protection"
                    self._children_yang_names.add("protection")
                    self._segment_path = lambda: "proposal"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ssl/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Crypto.Ssl.Proposal, ['name'], name, value)


                class Protection(Entity):
                    """
                    Specify the protection algorithms
                    
                    .. attribute:: rsa_3des_ede_sha1
                    
                    	RSA, 3DES and SHA1
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rsa_aes128_sha1
                    
                    	RSA, AES128 and SHA1
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rsa_aes256_sha1
                    
                    	RSA, AES256 and SHA1
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rsa_rc4128_md5
                    
                    	RSA, RC4 and MD5
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Ssl.Proposal.Protection, self).__init__()

                        self.yang_name = "protection"
                        self.yang_parent_name = "proposal"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.rsa_3des_ede_sha1 = YLeaf(YType.empty, "rsa-3des-ede-sha1")

                        self.rsa_aes128_sha1 = YLeaf(YType.empty, "rsa-aes128-sha1")

                        self.rsa_aes256_sha1 = YLeaf(YType.empty, "rsa-aes256-sha1")

                        self.rsa_rc4128_md5 = YLeaf(YType.empty, "rsa-rc4128-md5")
                        self._segment_path = lambda: "protection"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:ssl/proposal/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Ssl.Proposal.Protection, ['rsa_3des_ede_sha1', 'rsa_aes128_sha1', 'rsa_aes256_sha1', 'rsa_rc4128_md5'], name, value)


        class Vpn(Entity):
            """
            Configure crypto vpn commands
            
            .. attribute:: anyconnect
            
            	Configure anyconnect client package
            	**type**\:  :py:class:`Anyconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Vpn.Anyconnect>`
            
            .. attribute:: csd
            
            	Configure Secure Desktop package
            	**type**\: str
            
            

            """

            _prefix = 'ios-crypto'
            _revision = '2017-05-10'

            def __init__(self):
                super(Native.Crypto.Vpn, self).__init__()

                self.yang_name = "vpn"
                self.yang_parent_name = "crypto"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"anyconnect" : ("anyconnect", Native.Crypto.Vpn.Anyconnect)}
                self._child_list_classes = {}

                self.csd = YLeaf(YType.str, "csd")

                self.anyconnect = Native.Crypto.Vpn.Anyconnect()
                self.anyconnect.parent = self
                self._children_name_map["anyconnect"] = "anyconnect"
                self._children_yang_names.add("anyconnect")
                self._segment_path = lambda: "Cisco-IOS-XE-crypto:vpn"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Crypto.Vpn, ['csd'], name, value)


            class Anyconnect(Entity):
                """
                Configure anyconnect client package
                
                .. attribute:: file
                
                	
                	**type**\:  :py:class:`File <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Vpn.Anyconnect.File>`
                
                .. attribute:: profile_container
                
                	
                	**type**\:  :py:class:`ProfileContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Crypto.Vpn.Anyconnect.ProfileContainer>`
                
                

                """

                _prefix = 'ios-crypto'
                _revision = '2017-05-10'

                def __init__(self):
                    super(Native.Crypto.Vpn.Anyconnect, self).__init__()

                    self.yang_name = "anyconnect"
                    self.yang_parent_name = "vpn"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"file" : ("file", Native.Crypto.Vpn.Anyconnect.File), "profile-container" : ("profile_container", Native.Crypto.Vpn.Anyconnect.ProfileContainer)}
                    self._child_list_classes = {}

                    self.file = Native.Crypto.Vpn.Anyconnect.File()
                    self.file.parent = self
                    self._children_name_map["file"] = "file"
                    self._children_yang_names.add("file")

                    self.profile_container = Native.Crypto.Vpn.Anyconnect.ProfileContainer()
                    self.profile_container.parent = self
                    self._children_name_map["profile_container"] = "profile-container"
                    self._children_yang_names.add("profile-container")
                    self._segment_path = lambda: "anyconnect"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:vpn/%s" % self._segment_path()


                class File(Entity):
                    """
                    
                    
                    .. attribute:: filename
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: sequence
                    
                    	client\-side download sequence num (priority) of this package
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Vpn.Anyconnect.File, self).__init__()

                        self.yang_name = "file"
                        self.yang_parent_name = "anyconnect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.filename = YLeaf(YType.str, "filename")

                        self.sequence = YLeaf(YType.uint8, "sequence")
                        self._segment_path = lambda: "file"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:vpn/anyconnect/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Vpn.Anyconnect.File, ['filename', 'sequence'], name, value)


                class ProfileContainer(Entity):
                    """
                    
                    
                    .. attribute:: profile
                    
                    	Configure anyconnect client profile
                    	**type**\: str
                    
                    .. attribute:: filename
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-crypto'
                    _revision = '2017-05-10'

                    def __init__(self):
                        super(Native.Crypto.Vpn.Anyconnect.ProfileContainer, self).__init__()

                        self.yang_name = "profile-container"
                        self.yang_parent_name = "anyconnect"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.profile = YLeaf(YType.str, "profile")

                        self.filename = YLeaf(YType.str, "filename")
                        self._segment_path = lambda: "profile-container"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/crypto/Cisco-IOS-XE-crypto:vpn/anyconnect/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Crypto.Vpn.Anyconnect.ProfileContainer, ['profile', 'filename'], name, value)


    class Cts(Entity):
        """
        Configures Cisco TrustSec
        
        .. attribute:: cache
        
        	CTS cache configuration
        	**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Cache>`
        
        .. attribute:: critical_authentication_conf
        
        	
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: critical_authentication
        
        	Critical\-Auth configuration commands
        	**type**\:  :py:class:`CriticalAuthentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication>`
        
        	**presence node**\: True
        
        .. attribute:: authorization
        
        	CTS global authorization configuration
        	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Authorization>`
        
        .. attribute:: dot1x_server_timeout
        
        	Timeout for Radius Retries
        	**type**\: int
        
        	**range:** 30..65535
        
        .. attribute:: dot1x_supp_timeout
        
        	Timeout for supplicant reply
        	**type**\: int
        
        	**range:** 30..65535
        
        .. attribute:: logging
        
        	Set logging parameters
        	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Logging>`
        
        .. attribute:: role_based
        
        	Role\-based Access Control configuration commands
        	**type**\:  :py:class:`RoleBased <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased>`
        
        .. attribute:: server
        
        	CTS server list configuration
        	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server>`
        
        .. attribute:: sgt
        
        	Local device security group
        	**type**\: int
        
        	**range:** 2..65519
        
        .. attribute:: sg_epg
        
        	Security\-Group and Endpoint\-Group Configuration commands
        	**type**\:  :py:class:`SgEpg <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.SgEpg>`
        
        .. attribute:: sxp
        
        	CTS sxp configuration
        	**type**\:  :py:class:`Sxp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Cts, self).__init__()

            self.yang_name = "cts"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-cts:cache" : ("cache", Native.Cts.Cache), "Cisco-IOS-XE-cts:critical-authentication" : ("critical_authentication", Native.Cts.CriticalAuthentication), "Cisco-IOS-XE-cts:authorization" : ("authorization", Native.Cts.Authorization), "Cisco-IOS-XE-cts:role-based" : ("role_based", Native.Cts.RoleBased), "Cisco-IOS-XE-cts:server" : ("server", Native.Cts.Server), "Cisco-IOS-XE-cts:sxp" : ("sxp", Native.Cts.Sxp)}
            self._child_list_classes = {}

            self.critical_authentication_conf = YLeaf(YType.empty, "Cisco-IOS-XE-cts:critical-authentication-conf")

            self.dot1x_server_timeout = YLeaf(YType.uint16, "Cisco-IOS-XE-cts:dot1x-server-timeout")

            self.dot1x_supp_timeout = YLeaf(YType.uint16, "Cisco-IOS-XE-cts:dot1x-supp-timeout")

            self.logging = YLeaf(YType.enumeration, "Cisco-IOS-XE-cts:logging")

            self.sgt = YLeaf(YType.uint16, "Cisco-IOS-XE-cts:sgt")

            self.sg_epg = YLeaf(YType.enumeration, "Cisco-IOS-XE-cts:sg-epg")

            self.cache = Native.Cts.Cache()
            self.cache.parent = self
            self._children_name_map["cache"] = "cache"
            self._children_yang_names.add("cache")

            self.critical_authentication = None
            self._children_name_map["critical_authentication"] = "critical-authentication"
            self._children_yang_names.add("critical-authentication")

            self.authorization = Native.Cts.Authorization()
            self.authorization.parent = self
            self._children_name_map["authorization"] = "authorization"
            self._children_yang_names.add("authorization")

            self.role_based = Native.Cts.RoleBased()
            self.role_based.parent = self
            self._children_name_map["role_based"] = "role-based"
            self._children_yang_names.add("role-based")

            self.server = Native.Cts.Server()
            self.server.parent = self
            self._children_name_map["server"] = "server"
            self._children_yang_names.add("server")

            self.sxp = Native.Cts.Sxp()
            self.sxp.parent = self
            self._children_name_map["sxp"] = "sxp"
            self._children_yang_names.add("sxp")
            self._segment_path = lambda: "cts"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Cts, ['critical_authentication_conf', 'dot1x_server_timeout', 'dot1x_supp_timeout', 'logging', 'sgt', 'sg_epg'], name, value)

        class Logging(Enum):
            """
            Logging

            Set logging parameters

            .. data:: verbose = 0

            """

            verbose = Enum.YLeaf(0, "verbose")


        class SgEpg(Enum):
            """
            SgEpg

            Security\-Group and Endpoint\-Group Configuration commands

            .. data:: translation = 0

            """

            translation = Enum.YLeaf(0, "translation")



        class Cache(Entity):
            """
            CTS cache configuration
            
            .. attribute:: enable
            
            	Enable CTS cache support
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: nv_storage
            
            	CTS nv\-storage options
            	**type**\:  :py:class:`NvStorage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Cache.NvStorage>`
            
            

            """

            _prefix = 'ios-cts'
            _revision = '2017-06-29'

            def __init__(self):
                super(Native.Cts.Cache, self).__init__()

                self.yang_name = "cache"
                self.yang_parent_name = "cts"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"nv-storage" : ("nv_storage", Native.Cts.Cache.NvStorage)}
                self._child_list_classes = {}

                self.enable = YLeaf(YType.empty, "enable")

                self.nv_storage = Native.Cts.Cache.NvStorage()
                self.nv_storage.parent = self
                self._children_name_map["nv_storage"] = "nv-storage"
                self._children_yang_names.add("nv-storage")
                self._segment_path = lambda: "Cisco-IOS-XE-cts:cache"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Cts.Cache, ['enable'], name, value)


            class NvStorage(Entity):
                """
                CTS nv\-storage options
                
                .. attribute:: nv_storage
                
                	
                	**type**\:  :py:class:`NvStorage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Cache.NvStorage.NvStorage>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.Cache.NvStorage, self).__init__()

                    self.yang_name = "nv-storage"
                    self.yang_parent_name = "cache"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.nv_storage = YLeaf(YType.enumeration, "nv-storage")
                    self._segment_path = lambda: "nv-storage"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:cache/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Cts.Cache.NvStorage, ['nv_storage'], name, value)

                class NvStorage(Enum):
                    """
                    NvStorage

                    .. data:: bootflash__COLON__ = 0

                    .. data:: crashinfo__COLON__ = 1

                    .. data:: kinfo__COLON__ = 2

                    .. data:: slot0__COLON__ = 3

                    .. data:: usb0__COLON__ = 4

                    """

                    bootflash__COLON__ = Enum.YLeaf(0, "bootflash:")

                    crashinfo__COLON__ = Enum.YLeaf(1, "crashinfo:")

                    kinfo__COLON__ = Enum.YLeaf(2, "kinfo:")

                    slot0__COLON__ = Enum.YLeaf(3, "slot0:")

                    usb0__COLON__ = Enum.YLeaf(4, "usb0:")



        class CriticalAuthentication(Entity):
            """
            Critical\-Auth configuration commands
            
            .. attribute:: default
            
            	Enter default value
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication.Default>`
            
            .. attribute:: fallback
            
            	Access policy to be applied in Critical\-Auth
            	**type**\:  :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication.Fallback>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-cts'
            _revision = '2017-06-29'

            def __init__(self):
                super(Native.Cts.CriticalAuthentication, self).__init__()

                self.yang_name = "critical-authentication"
                self.yang_parent_name = "cts"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"default" : ("default", Native.Cts.CriticalAuthentication.Default), "fallback" : ("fallback", Native.Cts.CriticalAuthentication.Fallback)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.default = Native.Cts.CriticalAuthentication.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.fallback = Native.Cts.CriticalAuthentication.Fallback()
                self.fallback.parent = self
                self._children_name_map["fallback"] = "fallback"
                self._children_yang_names.add("fallback")
                self._segment_path = lambda: "Cisco-IOS-XE-cts:critical-authentication"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/%s" % self._segment_path()


            class Default(Entity):
                """
                Enter default value
                
                .. attribute:: peer_sgt
                
                	Default Peer SGT value
                	**type**\:  :py:class:`PeerSgt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication.Default.PeerSgt>`
                
                .. attribute:: pmk
                
                	Default PMK value to be used for all SAP
                	**type**\:  :py:class:`Pmk <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication.Default.Pmk>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.CriticalAuthentication.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "critical-authentication"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"peer-sgt" : ("peer_sgt", Native.Cts.CriticalAuthentication.Default.PeerSgt), "pmk" : ("pmk", Native.Cts.CriticalAuthentication.Default.Pmk)}
                    self._child_list_classes = {}

                    self.peer_sgt = Native.Cts.CriticalAuthentication.Default.PeerSgt()
                    self.peer_sgt.parent = self
                    self._children_name_map["peer_sgt"] = "peer-sgt"
                    self._children_yang_names.add("peer-sgt")

                    self.pmk = Native.Cts.CriticalAuthentication.Default.Pmk()
                    self.pmk.parent = self
                    self._children_name_map["pmk"] = "pmk"
                    self._children_yang_names.add("pmk")
                    self._segment_path = lambda: "default"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:critical-authentication/%s" % self._segment_path()


                class PeerSgt(Entity):
                    """
                    Default Peer SGT value
                    
                    .. attribute:: range
                    
                    	
                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication.Default.PeerSgt.Range>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Cts.CriticalAuthentication.Default.PeerSgt, self).__init__()

                        self.yang_name = "peer-sgt"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"range" : ("range", Native.Cts.CriticalAuthentication.Default.PeerSgt.Range)}

                        self.range = YList(self)
                        self._segment_path = lambda: "peer-sgt"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:critical-authentication/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Cts.CriticalAuthentication.Default.PeerSgt, [], name, value)


                    class Range(Entity):
                        """
                        
                        
                        .. attribute:: range  <key>
                        
                        	Enter default peer\-sgt value
                        	**type**\: int
                        
                        	**range:** 2..65519
                        
                        .. attribute:: trusted
                        
                        	Trust the Source Group Tags that peer uses for sending
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Cts.CriticalAuthentication.Default.PeerSgt.Range, self).__init__()

                            self.yang_name = "range"
                            self.yang_parent_name = "peer-sgt"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.range = YLeaf(YType.uint16, "range")

                            self.trusted = YLeaf(YType.empty, "trusted")
                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:critical-authentication/default/peer-sgt/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cts.CriticalAuthentication.Default.PeerSgt.Range, ['range', 'trusted'], name, value)


                class Pmk(Entity):
                    """
                    Default PMK value to be used for all SAP
                    
                    .. attribute:: type
                    
                    	
                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.CriticalAuthentication.Default.Pmk.Type>`
                    
                    .. attribute:: secret
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Cts.CriticalAuthentication.Default.Pmk, self).__init__()

                        self.yang_name = "pmk"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.type = YLeaf(YType.enumeration, "type")

                        self.secret = YLeaf(YType.str, "secret")
                        self._segment_path = lambda: "pmk"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:critical-authentication/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Cts.CriticalAuthentication.Default.Pmk, ['type', 'secret'], name, value)

                    class Type(Enum):
                        """
                        Type

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        Y_6 = Enum.YLeaf(1, "6")



            class Fallback(Entity):
                """
                Access policy to be applied in Critical\-Auth
                
                .. attribute:: cached
                
                	Cached values to be used for existing sessions
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: default
                
                	Configured values to be applied for existing sessions
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.CriticalAuthentication.Fallback, self).__init__()

                    self.yang_name = "fallback"
                    self.yang_parent_name = "critical-authentication"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.cached = YLeaf(YType.empty, "Cached")

                    self.default = YLeaf(YType.empty, "default")
                    self._segment_path = lambda: "fallback"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:critical-authentication/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Cts.CriticalAuthentication.Fallback, ['cached', 'default'], name, value)


        class Authorization(Entity):
            """
            CTS global authorization configuration
            
            .. attribute:: list
            
            	Local authorization list to use for CTS
            	**type**\: str
            
            

            """

            _prefix = 'ios-cts'
            _revision = '2017-06-29'

            def __init__(self):
                super(Native.Cts.Authorization, self).__init__()

                self.yang_name = "authorization"
                self.yang_parent_name = "cts"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.list = YLeaf(YType.str, "list")
                self._segment_path = lambda: "Cisco-IOS-XE-cts:authorization"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Cts.Authorization, ['list'], name, value)


        class RoleBased(Entity):
            """
            Role\-based Access Control configuration commands
            
            .. attribute:: sgt_caching
            
            	Enable SGT caching
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: permissions
            
            	Permissions from a source group to a destination group
            	**type**\:  :py:class:`Permissions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Permissions>`
            
            .. attribute:: enforcement_only
            
            	
            	**type**\:  :py:class:`EnforcementOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.EnforcementOnly>`
            
            .. attribute:: enforcement
            
            	Enable Role\-based Access Control enforcement
            	**type**\:  :py:class:`Enforcement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Enforcement>`
            
            .. attribute:: monitor
            
            	Role\-based Access List Monitor Commands
            	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Monitor>`
            
            .. attribute:: sgt_map
            
            	Assign Security Group Tag (SGT) to IP host or network address
            	**type**\: list of  		 :py:class:`SgtMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.SgtMap>`
            
            .. attribute:: sgt_map_vlan_list
            
            	VLANs on which Role\-based ACLs are enforced
            	**type**\:  :py:class:`SgtMapVlanList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.SgtMapVlanList>`
            
            

            """

            _prefix = 'ios-cts'
            _revision = '2017-06-29'

            def __init__(self):
                super(Native.Cts.RoleBased, self).__init__()

                self.yang_name = "role-based"
                self.yang_parent_name = "cts"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"permissions" : ("permissions", Native.Cts.RoleBased.Permissions), "enforcement-only" : ("enforcement_only", Native.Cts.RoleBased.EnforcementOnly), "enforcement" : ("enforcement", Native.Cts.RoleBased.Enforcement), "monitor" : ("monitor", Native.Cts.RoleBased.Monitor), "sgt-map-vlan-list" : ("sgt_map_vlan_list", Native.Cts.RoleBased.SgtMapVlanList)}
                self._child_list_classes = {"sgt-map" : ("sgt_map", Native.Cts.RoleBased.SgtMap)}

                self.sgt_caching = YLeaf(YType.empty, "sgt-caching")

                self.permissions = Native.Cts.RoleBased.Permissions()
                self.permissions.parent = self
                self._children_name_map["permissions"] = "permissions"
                self._children_yang_names.add("permissions")

                self.enforcement_only = Native.Cts.RoleBased.EnforcementOnly()
                self.enforcement_only.parent = self
                self._children_name_map["enforcement_only"] = "enforcement-only"
                self._children_yang_names.add("enforcement-only")

                self.enforcement = Native.Cts.RoleBased.Enforcement()
                self.enforcement.parent = self
                self._children_name_map["enforcement"] = "enforcement"
                self._children_yang_names.add("enforcement")

                self.monitor = Native.Cts.RoleBased.Monitor()
                self.monitor.parent = self
                self._children_name_map["monitor"] = "monitor"
                self._children_yang_names.add("monitor")

                self.sgt_map_vlan_list = Native.Cts.RoleBased.SgtMapVlanList()
                self.sgt_map_vlan_list.parent = self
                self._children_name_map["sgt_map_vlan_list"] = "sgt-map-vlan-list"
                self._children_yang_names.add("sgt-map-vlan-list")

                self.sgt_map = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-cts:role-based"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Cts.RoleBased, ['sgt_caching'], name, value)


            class Permissions(Entity):
                """
                Permissions from a source group to a destination group
                
                .. attribute:: default
                
                	Default Permission list
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Permissions.Default>`
                
                .. attribute:: from_
                
                	Source Group Tag (SGT) of filtered traffic
                	**type**\:  :py:class:`From_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Permissions.From_>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.RoleBased.Permissions, self).__init__()

                    self.yang_name = "permissions"
                    self.yang_parent_name = "role-based"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Cts.RoleBased.Permissions.Default), "from" : ("from_", Native.Cts.RoleBased.Permissions.From_)}
                    self._child_list_classes = {}

                    self.default = Native.Cts.RoleBased.Permissions.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.from_ = Native.Cts.RoleBased.Permissions.From_()
                    self.from_.parent = self
                    self._children_name_map["from_"] = "from"
                    self._children_yang_names.add("from")
                    self._segment_path = lambda: "permissions"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:role-based/%s" % self._segment_path()


                class Default(Entity):
                    """
                    Default Permission list
                    
                    .. attribute:: name
                    
                    	Role\-based Access\-list name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Cts.RoleBased.Permissions.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "permissions"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")
                        self._segment_path = lambda: "default"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:role-based/permissions/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Cts.RoleBased.Permissions.Default, ['name'], name, value)


                class From_(Entity):
                    """
                    Source Group Tag (SGT) of filtered traffic
                    
                    .. attribute:: range
                    
                    	
                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Permissions.From_.Range>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Cts.RoleBased.Permissions.From_, self).__init__()

                        self.yang_name = "from"
                        self.yang_parent_name = "permissions"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"range" : ("range", Native.Cts.RoleBased.Permissions.From_.Range)}

                        self.range = YList(self)
                        self._segment_path = lambda: "from"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:role-based/permissions/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Cts.RoleBased.Permissions.From_, [], name, value)


                    class Range(Entity):
                        """
                        
                        
                        .. attribute:: range  <key>
                        
                        	Security Group Tag
                        	**type**\: int
                        
                        	**range:** 0..65519
                        
                        .. attribute:: to
                        
                        	Destination Group Tag (DGT) of filtered traffic
                        	**type**\:  :py:class:`To <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Permissions.From_.Range.To>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Cts.RoleBased.Permissions.From_.Range, self).__init__()

                            self.yang_name = "range"
                            self.yang_parent_name = "from"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"to" : ("to", Native.Cts.RoleBased.Permissions.From_.Range.To)}
                            self._child_list_classes = {}

                            self.range = YLeaf(YType.uint16, "range")

                            self.to = Native.Cts.RoleBased.Permissions.From_.Range.To()
                            self.to.parent = self
                            self._children_name_map["to"] = "to"
                            self._children_yang_names.add("to")
                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:role-based/permissions/from/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cts.RoleBased.Permissions.From_.Range, ['range'], name, value)


                        class To(Entity):
                            """
                            Destination Group Tag (DGT) of filtered traffic
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Permissions.From_.Range.To.Range>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Cts.RoleBased.Permissions.From_.Range.To, self).__init__()

                                self.yang_name = "to"
                                self.yang_parent_name = "range"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"range" : ("range", Native.Cts.RoleBased.Permissions.From_.Range.To.Range)}

                                self.range = YList(self)
                                self._segment_path = lambda: "to"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Cts.RoleBased.Permissions.From_.Range.To, [], name, value)


                            class Range(Entity):
                                """
                                
                                
                                .. attribute:: range  <key>
                                
                                	Security Group Tag
                                	**type**\: int
                                
                                	**range:** 0..65519
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-06-29'

                                def __init__(self):
                                    super(Native.Cts.RoleBased.Permissions.From_.Range.To.Range, self).__init__()

                                    self.yang_name = "range"
                                    self.yang_parent_name = "to"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.range = YLeaf(YType.uint16, "range")

                                    self.name = YLeaf(YType.str, "name")
                                    self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Cts.RoleBased.Permissions.From_.Range.To.Range, ['range', 'name'], name, value)


            class EnforcementOnly(Entity):
                """
                
                
                .. attribute:: enforcement
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.RoleBased.EnforcementOnly, self).__init__()

                    self.yang_name = "enforcement-only"
                    self.yang_parent_name = "role-based"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enforcement = YLeaf(YType.empty, "enforcement")
                    self._segment_path = lambda: "enforcement-only"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:role-based/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Cts.RoleBased.EnforcementOnly, ['enforcement'], name, value)


            class Enforcement(Entity):
                """
                Enable Role\-based Access Control enforcement
                
                .. attribute:: logging_interval
                
                	Configure sgacl logging interval
                	**type**\: int
                
                	**range:** 5..86400
                
                .. attribute:: vlan_list
                
                	VLANs on which Role\-based ACLs are enforced
                	**type**\: list of  		 :py:class:`VlanList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Enforcement.VlanList>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.RoleBased.Enforcement, self).__init__()

                    self.yang_name = "enforcement"
                    self.yang_parent_name = "role-based"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"vlan-list" : ("vlan_list", Native.Cts.RoleBased.Enforcement.VlanList)}

                    self.logging_interval = YLeaf(YType.uint32, "logging-interval")

                    self.vlan_list = YList(self)
                    self._segment_path = lambda: "enforcement"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:role-based/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Cts.RoleBased.Enforcement, ['logging_interval'], name, value)


                class VlanList(Entity):
                    """
                    VLANs on which Role\-based ACLs are enforced
                    
                    .. attribute:: id  <key>
                    
                    	VLAN id
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.Enforcement.VlanList.Id>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Cts.RoleBased.Enforcement.VlanList, self).__init__()

                        self.yang_name = "vlan-list"
                        self.yang_parent_name = "enforcement"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")
                        self._segment_path = lambda: "vlan-list" + "[id='" + self.id.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:role-based/enforcement/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Cts.RoleBased.Enforcement.VlanList, ['id'], name, value)

                    class Id(Enum):
                        """
                        Id

                        VLAN id

                        .. data:: all = 0

                        """

                        all = Enum.YLeaf(0, "all")



            class Monitor(Entity):
                """
                Role\-based Access List Monitor Commands
                
                .. attribute:: all
                
                	Monitoring permissions for all source group to all destination group
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.RoleBased.Monitor, self).__init__()

                    self.yang_name = "monitor"
                    self.yang_parent_name = "role-based"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.all = YLeaf(YType.empty, "all")
                    self._segment_path = lambda: "monitor"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:role-based/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Cts.RoleBased.Monitor, ['all'], name, value)


            class SgtMap(Entity):
                """
                Assign Security Group Tag (SGT) to IP host or network address
                
                .. attribute:: ip  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                
                .. attribute:: sgt  <key>
                
                	Security Group Tag (SGT)
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vrf
                
                	Select VPN Routing/Forwarding instance for the binding
                	**type**\: str
                
                .. attribute:: host
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.RoleBased.SgtMap, self).__init__()

                    self.yang_name = "sgt-map"
                    self.yang_parent_name = "role-based"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.str, "ip")

                    self.sgt = YLeaf(YType.uint16, "sgt")

                    self.vrf = YLeaf(YType.str, "vrf")

                    self.host = YLeaf(YType.empty, "host")
                    self._segment_path = lambda: "sgt-map" + "[ip='" + self.ip.get() + "']" + "[sgt='" + self.sgt.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:role-based/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Cts.RoleBased.SgtMap, ['ip', 'sgt', 'vrf', 'host'], name, value)


            class SgtMapVlanList(Entity):
                """
                VLANs on which Role\-based ACLs are enforced
                
                .. attribute:: sgt_map
                
                	
                	**type**\: list of  		 :py:class:`SgtMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.SgtMapVlanList.SgtMap>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.RoleBased.SgtMapVlanList, self).__init__()

                    self.yang_name = "sgt-map-vlan-list"
                    self.yang_parent_name = "role-based"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"sgt-map" : ("sgt_map", Native.Cts.RoleBased.SgtMapVlanList.SgtMap)}

                    self.sgt_map = YList(self)
                    self._segment_path = lambda: "sgt-map-vlan-list"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:role-based/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Cts.RoleBased.SgtMapVlanList, [], name, value)


                class SgtMap(Entity):
                    """
                    
                    
                    .. attribute:: vlan_list  <key>
                    
                    	VLANs id
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\:  :py:class:`VlanList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.RoleBased.SgtMapVlanList.SgtMap.VlanList>`
                    
                    .. attribute:: sgt
                    
                    	Security Group Tag value
                    	**type**\: int
                    
                    	**range:** \-32768..32767
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Cts.RoleBased.SgtMapVlanList.SgtMap, self).__init__()

                        self.yang_name = "sgt-map"
                        self.yang_parent_name = "sgt-map-vlan-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan_list = YLeaf(YType.str, "vlan-list")

                        self.sgt = YLeaf(YType.int16, "sgt")
                        self._segment_path = lambda: "sgt-map" + "[vlan-list='" + self.vlan_list.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:role-based/sgt-map-vlan-list/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Cts.RoleBased.SgtMapVlanList.SgtMap, ['vlan_list', 'sgt'], name, value)

                    class VlanList(Enum):
                        """
                        VlanList

                        VLANs id

                        .. data:: all = 0

                        """

                        all = Enum.YLeaf(0, "all")



        class Server(Entity):
            """
            CTS server list configuration
            
            .. attribute:: deadtime
            
            	Configure server group deadtime to specify how long a servermarked as dead should not be used
            	**type**\: int
            
            	**range:** 0..864000
            
            .. attribute:: key_wrap
            
            	CTS key\-wrap configuration
            	**type**\:  :py:class:`KeyWrap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.KeyWrap>`
            
            .. attribute:: load_balance
            
            	CTS Server group load\-balancing options
            	**type**\:  :py:class:`LoadBalance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.LoadBalance>`
            
            .. attribute:: test
            
            	Configure server automated test for liveness check
            	**type**\:  :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.Test>`
            
            

            """

            _prefix = 'ios-cts'
            _revision = '2017-06-29'

            def __init__(self):
                super(Native.Cts.Server, self).__init__()

                self.yang_name = "server"
                self.yang_parent_name = "cts"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"key-wrap" : ("key_wrap", Native.Cts.Server.KeyWrap), "load-balance" : ("load_balance", Native.Cts.Server.LoadBalance), "test" : ("test", Native.Cts.Server.Test)}
                self._child_list_classes = {}

                self.deadtime = YLeaf(YType.uint32, "deadtime")

                self.key_wrap = Native.Cts.Server.KeyWrap()
                self.key_wrap.parent = self
                self._children_name_map["key_wrap"] = "key-wrap"
                self._children_yang_names.add("key-wrap")

                self.load_balance = Native.Cts.Server.LoadBalance()
                self.load_balance.parent = self
                self._children_name_map["load_balance"] = "load-balance"
                self._children_yang_names.add("load-balance")

                self.test = Native.Cts.Server.Test()
                self.test.parent = self
                self._children_name_map["test"] = "test"
                self._children_yang_names.add("test")
                self._segment_path = lambda: "Cisco-IOS-XE-cts:server"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Cts.Server, ['deadtime'], name, value)


            class KeyWrap(Entity):
                """
                CTS key\-wrap configuration
                
                .. attribute:: enable
                
                	Enable CTS key\-wrap for Private server\-list
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.Server.KeyWrap, self).__init__()

                    self.yang_name = "key-wrap"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.enable = YLeaf(YType.empty, "enable")
                    self._segment_path = lambda: "key-wrap"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:server/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Cts.Server.KeyWrap, ['enable'], name, value)


            class LoadBalance(Entity):
                """
                CTS Server group load\-balancing options
                
                .. attribute:: method
                
                	Method by which the next server will be picked
                	**type**\:  :py:class:`Method <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.LoadBalance.Method>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.Server.LoadBalance, self).__init__()

                    self.yang_name = "load-balance"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"method" : ("method", Native.Cts.Server.LoadBalance.Method)}
                    self._child_list_classes = {}

                    self.method = Native.Cts.Server.LoadBalance.Method()
                    self.method.parent = self
                    self._children_name_map["method"] = "method"
                    self._children_yang_names.add("method")
                    self._segment_path = lambda: "load-balance"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:server/%s" % self._segment_path()


                class Method(Entity):
                    """
                    Method by which the next server will be picked
                    
                    .. attribute:: least_outstanding
                    
                    	Pick the server with the least transactions outstanding
                    	**type**\:  :py:class:`LeastOutstanding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.LoadBalance.Method.LeastOutstanding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Cts.Server.LoadBalance.Method, self).__init__()

                        self.yang_name = "method"
                        self.yang_parent_name = "load-balance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"least-outstanding" : ("least_outstanding", Native.Cts.Server.LoadBalance.Method.LeastOutstanding)}
                        self._child_list_classes = {}

                        self.least_outstanding = None
                        self._children_name_map["least_outstanding"] = "least-outstanding"
                        self._children_yang_names.add("least-outstanding")
                        self._segment_path = lambda: "method"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:server/load-balance/%s" % self._segment_path()


                    class LeastOutstanding(Entity):
                        """
                        Pick the server with the least transactions outstanding
                        
                        .. attribute:: batch_size
                        
                        	Size of the transaction batch that should be load\-balanced
                        	**type**\: int
                        
                        	**range:** 1..2147483647
                        
                        .. attribute:: ignore_preferred_server
                        
                        	Do not attempt to stick with the same server throughout a session
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Cts.Server.LoadBalance.Method.LeastOutstanding, self).__init__()

                            self.yang_name = "least-outstanding"
                            self.yang_parent_name = "method"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.batch_size = YLeaf(YType.uint32, "batch-size")

                            self.ignore_preferred_server = YLeaf(YType.empty, "ignore-preferred-server")
                            self._segment_path = lambda: "least-outstanding"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:server/load-balance/method/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cts.Server.LoadBalance.Method.LeastOutstanding, ['batch_size', 'ignore_preferred_server'], name, value)


            class Test(Entity):
                """
                Configure server automated test for liveness check
                
                .. attribute:: server
                
                	
                	**type**\: list of  		 :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.Test.Server>`
                
                .. attribute:: all
                
                	Configure for all servers
                	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Server.Test.All>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.Server.Test, self).__init__()

                    self.yang_name = "test"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"all" : ("all", Native.Cts.Server.Test.All)}
                    self._child_list_classes = {"server" : ("server", Native.Cts.Server.Test.Server)}

                    self.all = Native.Cts.Server.Test.All()
                    self.all.parent = self
                    self._children_name_map["all"] = "all"
                    self._children_yang_names.add("all")

                    self.server = YList(self)
                    self._segment_path = lambda: "test"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:server/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Cts.Server.Test, [], name, value)


                class Server(Entity):
                    """
                    
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: deadtime
                    
                    	Configure how long a server marked as dead should not be used
                    	**type**\: int
                    
                    	**range:** 0..864000
                    
                    .. attribute:: enable
                    
                    	Enable server liveness automated test
                    	**type**\: bool
                    
                    .. attribute:: idle_time
                    
                    	Configure how often to send an automated test message
                    	**type**\: int
                    
                    	**range:** 0..14400
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Cts.Server.Test.Server, self).__init__()

                        self.yang_name = "server"
                        self.yang_parent_name = "test"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ip = YLeaf(YType.str, "ip")

                        self.deadtime = YLeaf(YType.uint32, "deadtime")

                        self.enable = YLeaf(YType.boolean, "enable")

                        self.idle_time = YLeaf(YType.uint32, "idle-time")
                        self._segment_path = lambda: "server" + "[ip='" + self.ip.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:server/test/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Cts.Server.Test.Server, ['ip', 'deadtime', 'enable', 'idle_time'], name, value)


                class All(Entity):
                    """
                    Configure for all servers
                    
                    .. attribute:: deadtime
                    
                    	Configure how long a server marked as dead should not be used
                    	**type**\: int
                    
                    	**range:** 0..864000
                    
                    .. attribute:: enable
                    
                    	Enable server liveness automated test
                    	**type**\: bool
                    
                    .. attribute:: idle_time
                    
                    	Configure how often to send an automated test message
                    	**type**\: int
                    
                    	**range:** 0..14400
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Cts.Server.Test.All, self).__init__()

                        self.yang_name = "all"
                        self.yang_parent_name = "test"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.deadtime = YLeaf(YType.uint32, "deadtime")

                        self.enable = YLeaf(YType.boolean, "enable")

                        self.idle_time = YLeaf(YType.uint32, "idle-time")
                        self._segment_path = lambda: "all"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:server/test/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Cts.Server.Test.All, ['deadtime', 'enable', 'idle_time'], name, value)


        class Sxp(Entity):
            """
            CTS sxp configuration
            
            .. attribute:: default
            
            	Enter default value
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Default>`
            
            .. attribute:: connection
            
            	CTS SXP Connection Configuration
            	**type**\:  :py:class:`Connection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection>`
            
            .. attribute:: enable
            
            	Enable CTS SXP support
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-cts'
            _revision = '2017-06-29'

            def __init__(self):
                super(Native.Cts.Sxp, self).__init__()

                self.yang_name = "sxp"
                self.yang_parent_name = "cts"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"default" : ("default", Native.Cts.Sxp.Default), "connection" : ("connection", Native.Cts.Sxp.Connection)}
                self._child_list_classes = {}

                self.enable = YLeaf(YType.empty, "enable")

                self.default = Native.Cts.Sxp.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.connection = Native.Cts.Sxp.Connection()
                self.connection.parent = self
                self._children_name_map["connection"] = "connection"
                self._children_yang_names.add("connection")
                self._segment_path = lambda: "Cisco-IOS-XE-cts:sxp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Cts.Sxp, ['enable'], name, value)


            class Default(Entity):
                """
                Enter default value
                
                .. attribute:: password
                
                	
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Default.Password>`
                
                .. attribute:: source_ip
                
                	Enter Source IPv4 Address
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.Sxp.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "sxp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"password" : ("password", Native.Cts.Sxp.Default.Password)}
                    self._child_list_classes = {}

                    self.source_ip = YLeaf(YType.str, "source-ip")

                    self.password = Native.Cts.Sxp.Default.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")
                    self._segment_path = lambda: "default"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:sxp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Cts.Sxp.Default, ['source_ip'], name, value)


                class Password(Entity):
                    """
                    
                    
                    .. attribute:: type
                    
                    	
                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Default.Password.Type>`
                    
                    .. attribute:: secret
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Cts.Sxp.Default.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.type = YLeaf(YType.enumeration, "type")

                        self.secret = YLeaf(YType.str, "secret")
                        self._segment_path = lambda: "password"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:sxp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Cts.Sxp.Default.Password, ['type', 'secret'], name, value)

                    class Type(Enum):
                        """
                        Type

                        .. data:: Y_0 = 0

                        .. data:: Y_6 = 1

                        .. data:: Y_7 = 2

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        Y_6 = Enum.YLeaf(1, "6")

                        Y_7 = Enum.YLeaf(2, "7")



            class Connection(Entity):
                """
                CTS SXP Connection Configuration
                
                .. attribute:: peer
                
                	SXP Peer IP address
                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer>`
                
                

                """

                _prefix = 'ios-cts'
                _revision = '2017-06-29'

                def __init__(self):
                    super(Native.Cts.Sxp.Connection, self).__init__()

                    self.yang_name = "connection"
                    self.yang_parent_name = "sxp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"peer" : ("peer", Native.Cts.Sxp.Connection.Peer)}
                    self._child_list_classes = {}

                    self.peer = Native.Cts.Sxp.Connection.Peer()
                    self.peer.parent = self
                    self._children_name_map["peer"] = "peer"
                    self._children_yang_names.add("peer")
                    self._segment_path = lambda: "connection"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:sxp/%s" % self._segment_path()


                class Peer(Entity):
                    """
                    SXP Peer IP address
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-cts'
                    _revision = '2017-06-29'

                    def __init__(self):
                        super(Native.Cts.Sxp.Connection.Peer, self).__init__()

                        self.yang_name = "peer"
                        self.yang_parent_name = "connection"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4" : ("ipv4", Native.Cts.Sxp.Connection.Peer.Ipv4)}

                        self.ipv4 = YList(self)
                        self._segment_path = lambda: "peer"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:sxp/connection/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Cts.Sxp.Connection.Peer, [], name, value)


                    class Ipv4(Entity):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	Enter SXP Peer IP address (IPv4)
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	Source IP address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source>`
                        
                        .. attribute:: password
                        
                        	password details
                        	**type**\: list of  		 :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password>`
                        
                        

                        """

                        _prefix = 'ios-cts'
                        _revision = '2017-06-29'

                        def __init__(self):
                            super(Native.Cts.Sxp.Connection.Peer.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"source" : ("source", Native.Cts.Sxp.Connection.Peer.Ipv4.Source)}
                            self._child_list_classes = {"password" : ("password", Native.Cts.Sxp.Connection.Peer.Ipv4.Password)}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.source = Native.Cts.Sxp.Connection.Peer.Ipv4.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")

                            self.password = YList(self)
                            self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/cts/Cisco-IOS-XE-cts:sxp/connection/peer/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4, ['ipv4'], name, value)


                        class Source(Entity):
                            """
                            Source IP address
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ipv4" : ("ipv4", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4)}

                                self.ipv4 = YList(self)
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Source, [], name, value)


                            class Ipv4(Entity):
                                """
                                
                                
                                .. attribute:: ipv4  <key>
                                
                                	Enter SXP Source IP address (IPv4)
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: password
                                
                                	password details
                                	**type**\: list of  		 :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password>`
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-06-29'

                                def __init__(self):
                                    super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"password" : ("password", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password)}

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.password = YList(self)
                                    self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4, ['ipv4'], name, value)


                                class Password(Entity):
                                    """
                                    password details
                                    
                                    .. attribute:: password_type  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`PasswordType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.PasswordType>`
                                    
                                    .. attribute:: mode
                                    
                                    	Specify SXP connection mode
                                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password, self).__init__()

                                        self.yang_name = "password"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mode" : ("mode", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode)}
                                        self._child_list_classes = {}

                                        self.password_type = YLeaf(YType.enumeration, "password-type")

                                        self.mode = Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode()
                                        self.mode.parent = self
                                        self._children_name_map["mode"] = "mode"
                                        self._children_yang_names.add("mode")
                                        self._segment_path = lambda: "password" + "[password-type='" + self.password_type.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password, ['password_type'], name, value)

                                    class PasswordType(Enum):
                                        """
                                        PasswordType

                                        .. data:: default = 0

                                        .. data:: none = 1

                                        """

                                        default = Enum.YLeaf(0, "default")

                                        none = Enum.YLeaf(1, "none")



                                    class Mode(Entity):
                                        """
                                        Specify SXP connection mode
                                        
                                        .. attribute:: local
                                        
                                        	Configure the mode on the local device
                                        	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: peer
                                        
                                        	Configure the mode on the peer device
                                        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode, self).__init__()

                                            self.yang_name = "mode"
                                            self.yang_parent_name = "password"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"local" : ("local", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local), "peer" : ("peer", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer)}
                                            self._child_list_classes = {}

                                            self.local = None
                                            self._children_name_map["local"] = "local"
                                            self._children_yang_names.add("local")

                                            self.peer = None
                                            self._children_name_map["peer"] = "peer"
                                            self._children_yang_names.add("peer")
                                            self._segment_path = lambda: "mode"


                                        class Local(Entity):
                                            """
                                            Configure the mode on the local device
                                            
                                            .. attribute:: both
                                            
                                            	Configure the mode as both
                                            	**type**\:  :py:class:`Both <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Both>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: listener
                                            
                                            	Receive SXP messages on the conn
                                            	**type**\:  :py:class:`Listener <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Listener>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: speaker
                                            
                                            	Send SXP messages on the conn
                                            	**type**\:  :py:class:`Speaker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Speaker>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-cts'
                                            _revision = '2017-06-29'

                                            def __init__(self):
                                                super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local, self).__init__()

                                                self.yang_name = "local"
                                                self.yang_parent_name = "mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"both" : ("both", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Both), "listener" : ("listener", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Listener), "speaker" : ("speaker", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Speaker)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.both = None
                                                self._children_name_map["both"] = "both"
                                                self._children_yang_names.add("both")

                                                self.listener = None
                                                self._children_name_map["listener"] = "listener"
                                                self._children_yang_names.add("listener")

                                                self.speaker = None
                                                self._children_name_map["speaker"] = "speaker"
                                                self._children_yang_names.add("speaker")
                                                self._segment_path = lambda: "local"


                                            class Both(Entity):
                                                """
                                                Configure the mode as both
                                                
                                                .. attribute:: vrf
                                                
                                                	Name of the vrf this connection is in
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-cts'
                                                _revision = '2017-06-29'

                                                def __init__(self):
                                                    super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Both, self).__init__()

                                                    self.yang_name = "both"
                                                    self.yang_parent_name = "local"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.vrf = YLeaf(YType.str, "vrf")
                                                    self._segment_path = lambda: "both"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Both, ['vrf'], name, value)


                                            class Listener(Entity):
                                                """
                                                Receive SXP messages on the conn
                                                
                                                .. attribute:: hold_time
                                                
                                                	Connection hold time period
                                                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Listener.HoldTime>`
                                                
                                                .. attribute:: vrf
                                                
                                                	Name of the vrf this connection is in
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-cts'
                                                _revision = '2017-06-29'

                                                def __init__(self):
                                                    super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Listener, self).__init__()

                                                    self.yang_name = "listener"
                                                    self.yang_parent_name = "local"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"hold-time" : ("hold_time", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Listener.HoldTime)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.vrf = YLeaf(YType.str, "vrf")

                                                    self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Listener.HoldTime()
                                                    self.hold_time.parent = self
                                                    self._children_name_map["hold_time"] = "hold-time"
                                                    self._children_yang_names.add("hold-time")
                                                    self._segment_path = lambda: "listener"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Listener, ['vrf'], name, value)


                                                class HoldTime(Entity):
                                                    """
                                                    Connection hold time period
                                                    
                                                    .. attribute:: min_time
                                                    
                                                    	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: max_time
                                                    
                                                    	Enter maximum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: vrf
                                                    
                                                    	Name of the vrf this connection is in
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-cts'
                                                    _revision = '2017-06-29'

                                                    def __init__(self):
                                                        super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Listener.HoldTime, self).__init__()

                                                        self.yang_name = "hold-time"
                                                        self.yang_parent_name = "listener"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.min_time = YLeaf(YType.uint16, "min-time")

                                                        self.max_time = YLeaf(YType.uint16, "max-time")

                                                        self.vrf = YLeaf(YType.str, "vrf")
                                                        self._segment_path = lambda: "hold-time"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Listener.HoldTime, ['min_time', 'max_time', 'vrf'], name, value)


                                            class Speaker(Entity):
                                                """
                                                Send SXP messages on the conn
                                                
                                                .. attribute:: hold_time
                                                
                                                	Connection hold time period
                                                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Speaker.HoldTime>`
                                                
                                                .. attribute:: vrf
                                                
                                                	Name of the vrf this connection is in
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-cts'
                                                _revision = '2017-06-29'

                                                def __init__(self):
                                                    super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Speaker, self).__init__()

                                                    self.yang_name = "speaker"
                                                    self.yang_parent_name = "local"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"hold-time" : ("hold_time", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Speaker.HoldTime)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.vrf = YLeaf(YType.str, "vrf")

                                                    self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Speaker.HoldTime()
                                                    self.hold_time.parent = self
                                                    self._children_name_map["hold_time"] = "hold-time"
                                                    self._children_yang_names.add("hold-time")
                                                    self._segment_path = lambda: "speaker"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Speaker, ['vrf'], name, value)


                                                class HoldTime(Entity):
                                                    """
                                                    Connection hold time period
                                                    
                                                    .. attribute:: min_time
                                                    
                                                    	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: vrf
                                                    
                                                    	Name of the vrf this connection is in
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-cts'
                                                    _revision = '2017-06-29'

                                                    def __init__(self):
                                                        super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Speaker.HoldTime, self).__init__()

                                                        self.yang_name = "hold-time"
                                                        self.yang_parent_name = "speaker"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.min_time = YLeaf(YType.uint16, "min-time")

                                                        self.vrf = YLeaf(YType.str, "vrf")
                                                        self._segment_path = lambda: "hold-time"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Local.Speaker.HoldTime, ['min_time', 'vrf'], name, value)


                                        class Peer(Entity):
                                            """
                                            Configure the mode on the peer device
                                            
                                            .. attribute:: both
                                            
                                            	Configure the mode as both
                                            	**type**\:  :py:class:`Both <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Both>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: listener
                                            
                                            	Receive SXP messages on the conn
                                            	**type**\:  :py:class:`Listener <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Listener>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: speaker
                                            
                                            	Send SXP messages on the conn
                                            	**type**\:  :py:class:`Speaker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Speaker>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-cts'
                                            _revision = '2017-06-29'

                                            def __init__(self):
                                                super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer, self).__init__()

                                                self.yang_name = "peer"
                                                self.yang_parent_name = "mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"both" : ("both", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Both), "listener" : ("listener", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Listener), "speaker" : ("speaker", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Speaker)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.both = None
                                                self._children_name_map["both"] = "both"
                                                self._children_yang_names.add("both")

                                                self.listener = None
                                                self._children_name_map["listener"] = "listener"
                                                self._children_yang_names.add("listener")

                                                self.speaker = None
                                                self._children_name_map["speaker"] = "speaker"
                                                self._children_yang_names.add("speaker")
                                                self._segment_path = lambda: "peer"


                                            class Both(Entity):
                                                """
                                                Configure the mode as both
                                                
                                                .. attribute:: vrf
                                                
                                                	Name of the vrf this connection is in
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-cts'
                                                _revision = '2017-06-29'

                                                def __init__(self):
                                                    super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Both, self).__init__()

                                                    self.yang_name = "both"
                                                    self.yang_parent_name = "peer"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.vrf = YLeaf(YType.str, "vrf")
                                                    self._segment_path = lambda: "both"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Both, ['vrf'], name, value)


                                            class Listener(Entity):
                                                """
                                                Receive SXP messages on the conn
                                                
                                                .. attribute:: hold_time
                                                
                                                	Connection hold time period
                                                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Listener.HoldTime>`
                                                
                                                .. attribute:: vrf
                                                
                                                	Name of the vrf this connection is in
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-cts'
                                                _revision = '2017-06-29'

                                                def __init__(self):
                                                    super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Listener, self).__init__()

                                                    self.yang_name = "listener"
                                                    self.yang_parent_name = "peer"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"hold-time" : ("hold_time", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Listener.HoldTime)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.vrf = YLeaf(YType.str, "vrf")

                                                    self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Listener.HoldTime()
                                                    self.hold_time.parent = self
                                                    self._children_name_map["hold_time"] = "hold-time"
                                                    self._children_yang_names.add("hold-time")
                                                    self._segment_path = lambda: "listener"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Listener, ['vrf'], name, value)


                                                class HoldTime(Entity):
                                                    """
                                                    Connection hold time period
                                                    
                                                    .. attribute:: min_time
                                                    
                                                    	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: vrf
                                                    
                                                    	Name of the vrf this connection is in
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-cts'
                                                    _revision = '2017-06-29'

                                                    def __init__(self):
                                                        super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Listener.HoldTime, self).__init__()

                                                        self.yang_name = "hold-time"
                                                        self.yang_parent_name = "listener"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.min_time = YLeaf(YType.uint16, "min-time")

                                                        self.vrf = YLeaf(YType.str, "vrf")
                                                        self._segment_path = lambda: "hold-time"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Listener.HoldTime, ['min_time', 'vrf'], name, value)


                                            class Speaker(Entity):
                                                """
                                                Send SXP messages on the conn
                                                
                                                .. attribute:: hold_time
                                                
                                                	Connection hold time period
                                                	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Speaker.HoldTime>`
                                                
                                                .. attribute:: vrf
                                                
                                                	Name of the vrf this connection is in
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-cts'
                                                _revision = '2017-06-29'

                                                def __init__(self):
                                                    super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Speaker, self).__init__()

                                                    self.yang_name = "speaker"
                                                    self.yang_parent_name = "peer"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"hold-time" : ("hold_time", Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Speaker.HoldTime)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.vrf = YLeaf(YType.str, "vrf")

                                                    self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Speaker.HoldTime()
                                                    self.hold_time.parent = self
                                                    self._children_name_map["hold_time"] = "hold-time"
                                                    self._children_yang_names.add("hold-time")
                                                    self._segment_path = lambda: "speaker"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Speaker, ['vrf'], name, value)


                                                class HoldTime(Entity):
                                                    """
                                                    Connection hold time period
                                                    
                                                    .. attribute:: min_time
                                                    
                                                    	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: max_time
                                                    
                                                    	Enter maximum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..65535
                                                    
                                                    .. attribute:: vrf
                                                    
                                                    	Name of the vrf this connection is in
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-cts'
                                                    _revision = '2017-06-29'

                                                    def __init__(self):
                                                        super(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Speaker.HoldTime, self).__init__()

                                                        self.yang_name = "hold-time"
                                                        self.yang_parent_name = "speaker"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.min_time = YLeaf(YType.uint16, "min-time")

                                                        self.max_time = YLeaf(YType.uint16, "max-time")

                                                        self.vrf = YLeaf(YType.str, "vrf")
                                                        self._segment_path = lambda: "hold-time"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Source.Ipv4.Password.Mode.Peer.Speaker.HoldTime, ['min_time', 'max_time', 'vrf'], name, value)


                        class Password(Entity):
                            """
                            password details
                            
                            .. attribute:: password_type  <key>
                            
                            	
                            	**type**\:  :py:class:`PasswordType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.PasswordType>`
                            
                            .. attribute:: mode
                            
                            	Specify SXP connection mode
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode>`
                            
                            

                            """

                            _prefix = 'ios-cts'
                            _revision = '2017-06-29'

                            def __init__(self):
                                super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password, self).__init__()

                                self.yang_name = "password"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode" : ("mode", Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode)}
                                self._child_list_classes = {}

                                self.password_type = YLeaf(YType.enumeration, "password-type")

                                self.mode = Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode()
                                self.mode.parent = self
                                self._children_name_map["mode"] = "mode"
                                self._children_yang_names.add("mode")
                                self._segment_path = lambda: "password" + "[password-type='" + self.password_type.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Password, ['password_type'], name, value)

                            class PasswordType(Enum):
                                """
                                PasswordType

                                .. data:: default = 0

                                .. data:: none = 1

                                """

                                default = Enum.YLeaf(0, "default")

                                none = Enum.YLeaf(1, "none")



                            class Mode(Entity):
                                """
                                Specify SXP connection mode
                                
                                .. attribute:: local
                                
                                	Configure the mode on the local device
                                	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: peer
                                
                                	Configure the mode on the peer device
                                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-cts'
                                _revision = '2017-06-29'

                                def __init__(self):
                                    super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode, self).__init__()

                                    self.yang_name = "mode"
                                    self.yang_parent_name = "password"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"local" : ("local", Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local), "peer" : ("peer", Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer)}
                                    self._child_list_classes = {}

                                    self.local = None
                                    self._children_name_map["local"] = "local"
                                    self._children_yang_names.add("local")

                                    self.peer = None
                                    self._children_name_map["peer"] = "peer"
                                    self._children_yang_names.add("peer")
                                    self._segment_path = lambda: "mode"


                                class Local(Entity):
                                    """
                                    Configure the mode on the local device
                                    
                                    .. attribute:: both
                                    
                                    	Configure the mode as both
                                    	**type**\:  :py:class:`Both <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Both>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: listener
                                    
                                    	Receive SXP messages on the conn
                                    	**type**\:  :py:class:`Listener <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: speaker
                                    
                                    	Send SXP messages on the conn
                                    	**type**\:  :py:class:`Speaker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local, self).__init__()

                                        self.yang_name = "local"
                                        self.yang_parent_name = "mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"both" : ("both", Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Both), "listener" : ("listener", Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener), "speaker" : ("speaker", Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.both = None
                                        self._children_name_map["both"] = "both"
                                        self._children_yang_names.add("both")

                                        self.listener = None
                                        self._children_name_map["listener"] = "listener"
                                        self._children_yang_names.add("listener")

                                        self.speaker = None
                                        self._children_name_map["speaker"] = "speaker"
                                        self._children_yang_names.add("speaker")
                                        self._segment_path = lambda: "local"


                                    class Both(Entity):
                                        """
                                        Configure the mode as both
                                        
                                        .. attribute:: vrf
                                        
                                        	Name of the vrf this connection is in
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Both, self).__init__()

                                            self.yang_name = "both"
                                            self.yang_parent_name = "local"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "both"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Both, ['vrf'], name, value)


                                    class Listener(Entity):
                                        """
                                        Receive SXP messages on the conn
                                        
                                        .. attribute:: hold_time
                                        
                                        	Connection hold time period
                                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener.HoldTime>`
                                        
                                        .. attribute:: vrf
                                        
                                        	Name of the vrf this connection is in
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener, self).__init__()

                                            self.yang_name = "listener"
                                            self.yang_parent_name = "local"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"hold-time" : ("hold_time", Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener.HoldTime)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.vrf = YLeaf(YType.str, "vrf")

                                            self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener.HoldTime()
                                            self.hold_time.parent = self
                                            self._children_name_map["hold_time"] = "hold-time"
                                            self._children_yang_names.add("hold-time")
                                            self._segment_path = lambda: "listener"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener, ['vrf'], name, value)


                                        class HoldTime(Entity):
                                            """
                                            Connection hold time period
                                            
                                            .. attribute:: min_time
                                            
                                            	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                            	**type**\: int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: max_time
                                            
                                            	Enter maximum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                            	**type**\: int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: vrf
                                            
                                            	Name of the vrf this connection is in
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-cts'
                                            _revision = '2017-06-29'

                                            def __init__(self):
                                                super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener.HoldTime, self).__init__()

                                                self.yang_name = "hold-time"
                                                self.yang_parent_name = "listener"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.min_time = YLeaf(YType.uint16, "min-time")

                                                self.max_time = YLeaf(YType.uint16, "max-time")

                                                self.vrf = YLeaf(YType.str, "vrf")
                                                self._segment_path = lambda: "hold-time"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Listener.HoldTime, ['min_time', 'max_time', 'vrf'], name, value)


                                    class Speaker(Entity):
                                        """
                                        Send SXP messages on the conn
                                        
                                        .. attribute:: hold_time
                                        
                                        	Connection hold time period
                                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker.HoldTime>`
                                        
                                        .. attribute:: vrf
                                        
                                        	Name of the vrf this connection is in
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker, self).__init__()

                                            self.yang_name = "speaker"
                                            self.yang_parent_name = "local"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"hold-time" : ("hold_time", Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker.HoldTime)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.vrf = YLeaf(YType.str, "vrf")

                                            self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker.HoldTime()
                                            self.hold_time.parent = self
                                            self._children_name_map["hold_time"] = "hold-time"
                                            self._children_yang_names.add("hold-time")
                                            self._segment_path = lambda: "speaker"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker, ['vrf'], name, value)


                                        class HoldTime(Entity):
                                            """
                                            Connection hold time period
                                            
                                            .. attribute:: min_time
                                            
                                            	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                            	**type**\: int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: vrf
                                            
                                            	Name of the vrf this connection is in
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-cts'
                                            _revision = '2017-06-29'

                                            def __init__(self):
                                                super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker.HoldTime, self).__init__()

                                                self.yang_name = "hold-time"
                                                self.yang_parent_name = "speaker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.min_time = YLeaf(YType.uint16, "min-time")

                                                self.vrf = YLeaf(YType.str, "vrf")
                                                self._segment_path = lambda: "hold-time"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Local.Speaker.HoldTime, ['min_time', 'vrf'], name, value)


                                class Peer(Entity):
                                    """
                                    Configure the mode on the peer device
                                    
                                    .. attribute:: both
                                    
                                    	Configure the mode as both
                                    	**type**\:  :py:class:`Both <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Both>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: listener
                                    
                                    	Receive SXP messages on the conn
                                    	**type**\:  :py:class:`Listener <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Listener>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: speaker
                                    
                                    	Send SXP messages on the conn
                                    	**type**\:  :py:class:`Speaker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Speaker>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-cts'
                                    _revision = '2017-06-29'

                                    def __init__(self):
                                        super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer, self).__init__()

                                        self.yang_name = "peer"
                                        self.yang_parent_name = "mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"both" : ("both", Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Both), "listener" : ("listener", Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Listener), "speaker" : ("speaker", Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Speaker)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.both = None
                                        self._children_name_map["both"] = "both"
                                        self._children_yang_names.add("both")

                                        self.listener = None
                                        self._children_name_map["listener"] = "listener"
                                        self._children_yang_names.add("listener")

                                        self.speaker = None
                                        self._children_name_map["speaker"] = "speaker"
                                        self._children_yang_names.add("speaker")
                                        self._segment_path = lambda: "peer"


                                    class Both(Entity):
                                        """
                                        Configure the mode as both
                                        
                                        .. attribute:: vrf
                                        
                                        	Name of the vrf this connection is in
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Both, self).__init__()

                                            self.yang_name = "both"
                                            self.yang_parent_name = "peer"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "both"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Both, ['vrf'], name, value)


                                    class Listener(Entity):
                                        """
                                        Receive SXP messages on the conn
                                        
                                        .. attribute:: hold_time
                                        
                                        	Connection hold time period
                                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Listener.HoldTime>`
                                        
                                        .. attribute:: vrf
                                        
                                        	Name of the vrf this connection is in
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Listener, self).__init__()

                                            self.yang_name = "listener"
                                            self.yang_parent_name = "peer"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"hold-time" : ("hold_time", Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Listener.HoldTime)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.vrf = YLeaf(YType.str, "vrf")

                                            self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Listener.HoldTime()
                                            self.hold_time.parent = self
                                            self._children_name_map["hold_time"] = "hold-time"
                                            self._children_yang_names.add("hold-time")
                                            self._segment_path = lambda: "listener"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Listener, ['vrf'], name, value)


                                        class HoldTime(Entity):
                                            """
                                            Connection hold time period
                                            
                                            .. attribute:: min_time
                                            
                                            	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                            	**type**\: int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: vrf
                                            
                                            	Name of the vrf this connection is in
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-cts'
                                            _revision = '2017-06-29'

                                            def __init__(self):
                                                super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Listener.HoldTime, self).__init__()

                                                self.yang_name = "hold-time"
                                                self.yang_parent_name = "listener"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.min_time = YLeaf(YType.uint16, "min-time")

                                                self.vrf = YLeaf(YType.str, "vrf")
                                                self._segment_path = lambda: "hold-time"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Listener.HoldTime, ['min_time', 'vrf'], name, value)


                                    class Speaker(Entity):
                                        """
                                        Send SXP messages on the conn
                                        
                                        .. attribute:: hold_time
                                        
                                        	Connection hold time period
                                        	**type**\:  :py:class:`HoldTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Speaker.HoldTime>`
                                        
                                        .. attribute:: vrf
                                        
                                        	Name of the vrf this connection is in
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-cts'
                                        _revision = '2017-06-29'

                                        def __init__(self):
                                            super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Speaker, self).__init__()

                                            self.yang_name = "speaker"
                                            self.yang_parent_name = "peer"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"hold-time" : ("hold_time", Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Speaker.HoldTime)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.vrf = YLeaf(YType.str, "vrf")

                                            self.hold_time = Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Speaker.HoldTime()
                                            self.hold_time.parent = self
                                            self._children_name_map["hold_time"] = "hold-time"
                                            self._children_yang_names.add("hold-time")
                                            self._segment_path = lambda: "speaker"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Speaker, ['vrf'], name, value)


                                        class HoldTime(Entity):
                                            """
                                            Connection hold time period
                                            
                                            .. attribute:: min_time
                                            
                                            	Enter minimum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                            	**type**\: int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: max_time
                                            
                                            	Enter maximum allowed Hold Time in seconds (0\: apply global, 65535\: no keepalive)
                                            	**type**\: int
                                            
                                            	**range:** 0..65535
                                            
                                            .. attribute:: vrf
                                            
                                            	Name of the vrf this connection is in
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-cts'
                                            _revision = '2017-06-29'

                                            def __init__(self):
                                                super(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Speaker.HoldTime, self).__init__()

                                                self.yang_name = "hold-time"
                                                self.yang_parent_name = "speaker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.min_time = YLeaf(YType.uint16, "min-time")

                                                self.max_time = YLeaf(YType.uint16, "max-time")

                                                self.vrf = YLeaf(YType.str, "vrf")
                                                self._segment_path = lambda: "hold-time"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Cts.Sxp.Connection.Peer.Ipv4.Password.Mode.Peer.Speaker.HoldTime, ['min_time', 'max_time', 'vrf'], name, value)


    class BfdTemplate(Entity):
        """
        BFD\-template
        
        .. attribute:: single_hop
        
        	Single\-hop template
        	**type**\:  :py:class:`SingleHop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BfdTemplate.SingleHop>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.BfdTemplate, self).__init__()

            self.yang_name = "bfd-template"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-bfd:single-hop" : ("single_hop", Native.BfdTemplate.SingleHop)}
            self._child_list_classes = {}

            self.single_hop = Native.BfdTemplate.SingleHop()
            self.single_hop.parent = self
            self._children_name_map["single_hop"] = "single-hop"
            self._children_yang_names.add("single-hop")
            self._segment_path = lambda: "bfd-template"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class SingleHop(Entity):
            """
            Single\-hop template
            
            .. attribute:: name
            
            	
            	**type**\: str
            
            .. attribute:: interval
            
            	Transmit interval between BFD packets
            	**type**\:  :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BfdTemplate.SingleHop.Interval>`
            
            

            """

            _prefix = 'ios-bfd'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.BfdTemplate.SingleHop, self).__init__()

                self.yang_name = "single-hop"
                self.yang_parent_name = "bfd-template"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"interval" : ("interval", Native.BfdTemplate.SingleHop.Interval)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.interval = Native.BfdTemplate.SingleHop.Interval()
                self.interval.parent = self
                self._children_name_map["interval"] = "interval"
                self._children_yang_names.add("interval")
                self._segment_path = lambda: "Cisco-IOS-XE-bfd:single-hop"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bfd-template/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.BfdTemplate.SingleHop, ['name'], name, value)


            class Interval(Entity):
                """
                Transmit interval between BFD packets
                
                .. attribute:: microseconds
                
                	Specify BFD timers in microseconds
                	**type**\:  :py:class:`Microseconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BfdTemplate.SingleHop.Interval.Microseconds>`
                
                

                """

                _prefix = 'ios-bfd'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.BfdTemplate.SingleHop.Interval, self).__init__()

                    self.yang_name = "interval"
                    self.yang_parent_name = "single-hop"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"microseconds" : ("microseconds", Native.BfdTemplate.SingleHop.Interval.Microseconds)}
                    self._child_list_classes = {}

                    self.microseconds = Native.BfdTemplate.SingleHop.Interval.Microseconds()
                    self.microseconds.parent = self
                    self._children_name_map["microseconds"] = "microseconds"
                    self._children_yang_names.add("microseconds")
                    self._segment_path = lambda: "interval"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bfd-template/Cisco-IOS-XE-bfd:single-hop/%s" % self._segment_path()


                class Microseconds(Entity):
                    """
                    Specify BFD timers in microseconds
                    
                    .. attribute:: min_tx
                    
                    	Minimum transmit interval capability
                    	**type**\: int
                    
                    	**range:** 3300..999000
                    
                    .. attribute:: min_rx
                    
                    	Minimum receive interval capability
                    	**type**\: int
                    
                    	**range:** 3300..999000
                    
                    .. attribute:: multiplier
                    
                    	Multiplier value used to compute holddown
                    	**type**\: int
                    
                    	**range:** 3..50
                    
                    

                    """

                    _prefix = 'ios-bfd'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.BfdTemplate.SingleHop.Interval.Microseconds, self).__init__()

                        self.yang_name = "microseconds"
                        self.yang_parent_name = "interval"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.min_tx = YLeaf(YType.uint32, "min-tx")

                        self.min_rx = YLeaf(YType.uint32, "min-rx")

                        self.multiplier = YLeaf(YType.uint8, "multiplier")
                        self._segment_path = lambda: "microseconds"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/bfd-template/Cisco-IOS-XE-bfd:single-hop/interval/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.BfdTemplate.SingleHop.Interval.Microseconds, ['min_tx', 'min_rx', 'multiplier'], name, value)


    class Pfr(Entity):
        """
        Performance Routing configuration submodes
        
        .. attribute:: border
        
        	Enter PfR border router configuration submode
        	**type**\:  :py:class:`Border <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border>`
        
        	**presence node**\: True
        
        .. attribute:: master
        
        	Enter PfR master controller configuration submode
        	**type**\:  :py:class:`Master <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Pfr, self).__init__()

            self.yang_name = "pfr"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-pfr:border" : ("border", Native.Pfr.Border), "Cisco-IOS-XE-pfr:master" : ("master", Native.Pfr.Master)}
            self._child_list_classes = {}

            self.border = None
            self._children_name_map["border"] = "border"
            self._children_yang_names.add("border")

            self.master = None
            self._children_name_map["master"] = "master"
            self._children_yang_names.add("master")
            self._segment_path = lambda: "pfr"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Border(Entity):
            """
            Enter PfR border router configuration submode
            
            .. attribute:: pfr_mode__config_pfr_br
            
            	
            	**type**\:  :py:class:`PfrModeConfigpfrbr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-pfr'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Pfr.Border, self).__init__()

                self.yang_name = "border"
                self.yang_parent_name = "pfr"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"pfr-Mode__config-pfr-br" : ("pfr_mode__config_pfr_br", Native.Pfr.Border.PfrModeConfigpfrbr)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.pfr_mode__config_pfr_br = Native.Pfr.Border.PfrModeConfigpfrbr()
                self.pfr_mode__config_pfr_br.parent = self
                self._children_name_map["pfr_mode__config_pfr_br"] = "pfr-Mode__config-pfr-br"
                self._children_yang_names.add("pfr-Mode__config-pfr-br")
                self._segment_path = lambda: "Cisco-IOS-XE-pfr:border"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/%s" % self._segment_path()


            class PfrModeConfigpfrbr(Entity):
                """
                
                
                .. attribute:: active_probe
                
                	Specify active probe parameters
                	**type**\:  :py:class:`ActiveProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe>`
                
                .. attribute:: local
                
                	Specify the local interface for PfR connection
                	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.Local>`
                
                .. attribute:: logging
                
                	Event logging
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: master
                
                	Specify the PfR master controller IP address
                	**type**\:  :py:class:`Master <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.Master>`
                
                .. attribute:: port
                
                	Specify PfR port number
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: shutdown
                
                	Disable PfR border router functionality
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Pfr.Border.PfrModeConfigpfrbr, self).__init__()

                    self.yang_name = "pfr-Mode__config-pfr-br"
                    self.yang_parent_name = "border"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"active-probe" : ("active_probe", Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe), "local" : ("local", Native.Pfr.Border.PfrModeConfigpfrbr.Local), "master" : ("master", Native.Pfr.Border.PfrModeConfigpfrbr.Master)}
                    self._child_list_classes = {}

                    self.logging = YLeaf(YType.empty, "logging")

                    self.port = YLeaf(YType.uint16, "port")

                    self.shutdown = YLeaf(YType.empty, "shutdown")

                    self.active_probe = Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe()
                    self.active_probe.parent = self
                    self._children_name_map["active_probe"] = "active-probe"
                    self._children_yang_names.add("active-probe")

                    self.local = Native.Pfr.Border.PfrModeConfigpfrbr.Local()
                    self.local.parent = self
                    self._children_name_map["local"] = "local"
                    self._children_yang_names.add("local")

                    self.master = Native.Pfr.Border.PfrModeConfigpfrbr.Master()
                    self.master.parent = self
                    self._children_name_map["master"] = "master"
                    self._children_yang_names.add("master")
                    self._segment_path = lambda: "pfr-Mode__config-pfr-br"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Pfr.Border.PfrModeConfigpfrbr, ['logging', 'port', 'shutdown'], name, value)


                class ActiveProbe(Entity):
                    """
                    Specify active probe parameters
                    
                    .. attribute:: address
                    
                    	Identify probe address parameters
                    	**type**\:  :py:class:`Address <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe, self).__init__()

                        self.yang_name = "active-probe"
                        self.yang_parent_name = "pfr-Mode__config-pfr-br"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"address" : ("address", Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address)}
                        self._child_list_classes = {}

                        self.address = Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address()
                        self.address.parent = self
                        self._children_name_map["address"] = "address"
                        self._children_yang_names.add("address")
                        self._segment_path = lambda: "active-probe"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/%s" % self._segment_path()


                    class Address(Entity):
                        """
                        Identify probe address parameters
                        
                        .. attribute:: source
                        
                        	Identify probe source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address, self).__init__()

                            self.yang_name = "address"
                            self.yang_parent_name = "active-probe"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"source" : ("source", Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source)}
                            self._child_list_classes = {}

                            self.source = Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "address"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/active-probe/%s" % self._segment_path()


                        class Source(Entity):
                            """
                            Identify probe source address
                            
                            .. attribute:: interface
                            
                            	Identify probe source address from interface
                            	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"interface" : ("interface", Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface)}
                                self._child_list_classes = {}

                                self.interface = Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface()
                                self.interface.parent = self
                                self._children_name_map["interface"] = "interface"
                                self._children_yang_names.add("interface")
                                self._segment_path = lambda: "source"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/active-probe/address/%s" % self._segment_path()


                            class Interface(Entity):
                                """
                                Identify probe source address from interface
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface, self).__init__()

                                    self.yang_name = "interface"
                                    self.yang_parent_name = "source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "interface"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/active-probe/address/source/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/active-probe/address/source/interface/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/active-probe/address/source/interface/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/active-probe/address/source/interface/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/active-probe/address/source/interface/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Pfr.Border.PfrModeConfigpfrbr.ActiveProbe.Address.Source.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Local(Entity):
                    """
                    Specify the local interface for PfR connection
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Border.PfrModeConfigpfrbr.Local, self).__init__()

                        self.yang_name = "local"
                        self.yang_parent_name = "pfr-Mode__config-pfr-br"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"interface" : ("interface", Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface)}
                        self._child_list_classes = {}

                        self.interface = Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface()
                        self.interface.parent = self
                        self._children_name_map["interface"] = "interface"
                        self._children_yang_names.add("interface")
                        self._segment_path = lambda: "local"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/%s" % self._segment_path()


                    class Interface(Entity):
                        """
                        
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.ATMSubinterface>`
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\: str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.ATMACRsubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\: str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\: str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\: str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\: str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\: str
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.LISPSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\: str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\: str
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\: str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\: str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface, self).__init__()

                            self.yang_name = "interface"
                            self.yang_parent_name = "local"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.PortChannelSubinterface)}
                            self._child_list_classes = {}

                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                            self.atm = YLeaf(YType.str, "ATM")

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                            self.bdi = YLeaf(YType.str, "BDI")

                            self.cem = YLeaf(YType.str, "CEM")

                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                            self.lisp = YLeaf(YType.str, "LISP")

                            self.loopback = YLeaf(YType.uint32, "Loopback")

                            self.multilink = YLeaf(YType.uint16, "Multilink")

                            self.nve = YLeaf(YType.uint16, "nve")

                            self.overlay = YLeaf(YType.uint16, "overlay")

                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                            self.sm = YLeaf(YType.str, "SM")

                            self.cellular = YLeaf(YType.str, "Cellular")

                            self.serial = YLeaf(YType.str, "Serial")

                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                            self.atm_subinterface = Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.ATMSubinterface()
                            self.atm_subinterface.parent = self
                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                            self._children_yang_names.add("ATM-subinterface")

                            self.atm_acrsubinterface = Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.ATMACRsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                            self._children_yang_names.add("ATM-ACRsubinterface")

                            self.lisp_subinterface = Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.LISPSubinterface()
                            self.lisp_subinterface.parent = self
                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                            self._children_yang_names.add("LISP-subinterface")

                            self.port_channel_subinterface = Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                            self._children_yang_names.add("Port-channel-subinterface")
                            self._segment_path = lambda: "interface"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/local/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                        class ATMSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.ATMSubinterface, self).__init__()

                                self.yang_name = "ATM-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm = YLeaf(YType.str, "ATM")
                                self._segment_path = lambda: "ATM-subinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/local/interface/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.ATMSubinterface, ['atm'], name, value)


                        class ATMACRsubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.ATMACRsubinterface, self).__init__()

                                self.yang_name = "ATM-ACRsubinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                self._segment_path = lambda: "ATM-ACRsubinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/local/interface/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                        class LISPSubinterface(Entity):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.LISPSubinterface, self).__init__()

                                self.yang_name = "LISP-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lisp = YLeaf(YType.str, "LISP")
                                self._segment_path = lambda: "LISP-subinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/local/interface/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.LISPSubinterface, ['lisp'], name, value)


                        class PortChannelSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.PortChannelSubinterface, self).__init__()

                                self.yang_name = "Port-channel-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                self._segment_path = lambda: "Port-channel-subinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/local/interface/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Border.PfrModeConfigpfrbr.Local.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Master(Entity):
                    """
                    Specify the PfR master controller IP address
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Border.PfrModeConfigpfrbr.Master.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Border.PfrModeConfigpfrbr.Master, self).__init__()

                        self.yang_name = "master"
                        self.yang_parent_name = "pfr-Mode__config-pfr-br"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4" : ("ipv4", Native.Pfr.Border.PfrModeConfigpfrbr.Master.Ipv4)}

                        self.ipv4 = YList(self)
                        self._segment_path = lambda: "master"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Border.PfrModeConfigpfrbr.Master, [], name, value)


                    class Ipv4(Entity):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	IP address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: key_chain
                        
                        	name of key\-chain
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Border.PfrModeConfigpfrbr.Master.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "master"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.key_chain = YLeaf(YType.str, "key-chain")
                            self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:border/pfr-Mode__config-pfr-br/master/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Border.PfrModeConfigpfrbr.Master.Ipv4, ['ipv4', 'key_chain'], name, value)


        class Master(Entity):
            """
            Enter PfR master controller configuration submode
            
            .. attribute:: icmp_mode_config_pfr_mc
            
            	
            	**type**\:  :py:class:`IcmpModeConfigPfrMc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-pfr'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Pfr.Master, self).__init__()

                self.yang_name = "master"
                self.yang_parent_name = "pfr"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"icmp-Mode-config-pfr-mc" : ("icmp_mode_config_pfr_mc", Native.Pfr.Master.IcmpModeConfigPfrMc)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.icmp_mode_config_pfr_mc = Native.Pfr.Master.IcmpModeConfigPfrMc()
                self.icmp_mode_config_pfr_mc.parent = self
                self._children_name_map["icmp_mode_config_pfr_mc"] = "icmp-Mode-config-pfr-mc"
                self._children_yang_names.add("icmp-Mode-config-pfr-mc")
                self._segment_path = lambda: "Cisco-IOS-XE-pfr:master"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/%s" % self._segment_path()


            class IcmpModeConfigPfrMc(Entity):
                """
                
                
                .. attribute:: active_probe
                
                	Manually create an active probe for a known target
                	**type**\:  :py:class:`ActiveProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe>`
                
                .. attribute:: application
                
                	Define application
                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Application>`
                
                .. attribute:: backoff
                
                	Specify backoff timer parameters
                	**type**\:  :py:class:`Backoff <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff>`
                
                .. attribute:: bandwidth_resolution
                
                	Enable/configure Bandwidth Resolution
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: border
                
                	Enter PfR managed border router configuration submode
                	**type**\:  :py:class:`Border <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Border>`
                
                .. attribute:: delay
                
                	Specify delay parameters
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Delay>`
                
                .. attribute:: exporter
                
                	name of flow exporter
                	**type**\: str
                
                .. attribute:: holddown
                
                	Specify hold\-down timer parameter (secs)
                	**type**\: int
                
                	**range:** 90..65535
                
                .. attribute:: jitter
                
                	Specify jitter parameters
                	**type**\:  :py:class:`Jitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Jitter>`
                
                .. attribute:: keepalive
                
                	Specify keepalive interval in seconds
                	**type**\: int
                
                	**range:** 0..1000
                
                .. attribute:: learn
                
                	Enter prefix and traffic class learning submode
                	**type**\:  :py:class:`Learn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn>`
                
                	**presence node**\: True
                
                .. attribute:: logging
                
                	Event Logging
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: loss
                
                	Specify loss parameters
                	**type**\:  :py:class:`Loss <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Loss>`
                
                .. attribute:: max
                
                	Specify the upper limit
                	**type**\:  :py:class:`Max <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Max>`
                
                .. attribute:: max_range_utilization
                
                	Configure the maximum range for utilization of all exits
                	**type**\:  :py:class:`MaxRangeUtilization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.MaxRangeUtilization>`
                
                .. attribute:: mc_peer
                
                	Enable MC\-to\-MC peering
                	**type**\:  :py:class:`McPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer>`
                
                	**presence node**\: True
                
                .. attribute:: mode
                
                	Specify PfR operating mode settings
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode>`
                
                .. attribute:: mos
                
                	Specify mos parameters
                	**type**\:  :py:class:`Mos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mos>`
                
                .. attribute:: periodic
                
                	Specify periodic rotation timer value (secs)
                	**type**\: int
                
                	**range:** 90..7200
                
                .. attribute:: policy_rules
                
                	pfr\-map name
                	**type**\: str
                
                .. attribute:: port
                
                	Specify tcp port number for PfR communication
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: probe
                
                	Specify number of packets for jitter probe
                	**type**\:  :py:class:`Probe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Probe>`
                
                .. attribute:: resolve
                
                	Specify PfR policy resolver settings
                	**type**\:  :py:class:`Resolve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve>`
                
                .. attribute:: rsvp
                
                	Specify rsvp parameters
                	**type**\:  :py:class:`Rsvp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Rsvp>`
                
                .. attribute:: shutdown
                
                	Disable PfR master controller functionality
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: target_discovery
                
                	Enable/configure Target Discovery
                	**type**\:  :py:class:`TargetDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: traceroute
                
                	Configure Traceroute global parameters
                	**type**\:  :py:class:`Traceroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Traceroute>`
                
                .. attribute:: trigger_log_percentage
                
                	Specify the percentage of out\-of\-policy TCs that will trigger a syslog
                	**type**\: int
                
                	**range:** 0..100
                
                .. attribute:: unreachable
                
                	Specify unreachable parameters
                	**type**\:  :py:class:`Unreachable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Unreachable>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Pfr.Master.IcmpModeConfigPfrMc, self).__init__()

                    self.yang_name = "icmp-Mode-config-pfr-mc"
                    self.yang_parent_name = "master"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"active-probe" : ("active_probe", Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe), "application" : ("application", Native.Pfr.Master.IcmpModeConfigPfrMc.Application), "backoff" : ("backoff", Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff), "border" : ("border", Native.Pfr.Master.IcmpModeConfigPfrMc.Border), "delay" : ("delay", Native.Pfr.Master.IcmpModeConfigPfrMc.Delay), "jitter" : ("jitter", Native.Pfr.Master.IcmpModeConfigPfrMc.Jitter), "learn" : ("learn", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn), "loss" : ("loss", Native.Pfr.Master.IcmpModeConfigPfrMc.Loss), "max" : ("max", Native.Pfr.Master.IcmpModeConfigPfrMc.Max), "max-range-utilization" : ("max_range_utilization", Native.Pfr.Master.IcmpModeConfigPfrMc.MaxRangeUtilization), "mc-peer" : ("mc_peer", Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer), "mode" : ("mode", Native.Pfr.Master.IcmpModeConfigPfrMc.Mode), "mos" : ("mos", Native.Pfr.Master.IcmpModeConfigPfrMc.Mos), "probe" : ("probe", Native.Pfr.Master.IcmpModeConfigPfrMc.Probe), "resolve" : ("resolve", Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve), "rsvp" : ("rsvp", Native.Pfr.Master.IcmpModeConfigPfrMc.Rsvp), "target-discovery" : ("target_discovery", Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery), "traceroute" : ("traceroute", Native.Pfr.Master.IcmpModeConfigPfrMc.Traceroute), "unreachable" : ("unreachable", Native.Pfr.Master.IcmpModeConfigPfrMc.Unreachable)}
                    self._child_list_classes = {}

                    self.bandwidth_resolution = YLeaf(YType.empty, "bandwidth-resolution")

                    self.exporter = YLeaf(YType.str, "exporter")

                    self.holddown = YLeaf(YType.uint16, "holddown")

                    self.keepalive = YLeaf(YType.uint16, "keepalive")

                    self.logging = YLeaf(YType.empty, "logging")

                    self.periodic = YLeaf(YType.uint16, "periodic")

                    self.policy_rules = YLeaf(YType.str, "policy-rules")

                    self.port = YLeaf(YType.uint16, "port")

                    self.shutdown = YLeaf(YType.empty, "shutdown")

                    self.trigger_log_percentage = YLeaf(YType.uint8, "trigger-log-percentage")

                    self.active_probe = Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe()
                    self.active_probe.parent = self
                    self._children_name_map["active_probe"] = "active-probe"
                    self._children_yang_names.add("active-probe")

                    self.application = Native.Pfr.Master.IcmpModeConfigPfrMc.Application()
                    self.application.parent = self
                    self._children_name_map["application"] = "application"
                    self._children_yang_names.add("application")

                    self.backoff = Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff()
                    self.backoff.parent = self
                    self._children_name_map["backoff"] = "backoff"
                    self._children_yang_names.add("backoff")

                    self.border = Native.Pfr.Master.IcmpModeConfigPfrMc.Border()
                    self.border.parent = self
                    self._children_name_map["border"] = "border"
                    self._children_yang_names.add("border")

                    self.delay = Native.Pfr.Master.IcmpModeConfigPfrMc.Delay()
                    self.delay.parent = self
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.jitter = Native.Pfr.Master.IcmpModeConfigPfrMc.Jitter()
                    self.jitter.parent = self
                    self._children_name_map["jitter"] = "jitter"
                    self._children_yang_names.add("jitter")

                    self.learn = None
                    self._children_name_map["learn"] = "learn"
                    self._children_yang_names.add("learn")

                    self.loss = Native.Pfr.Master.IcmpModeConfigPfrMc.Loss()
                    self.loss.parent = self
                    self._children_name_map["loss"] = "loss"
                    self._children_yang_names.add("loss")

                    self.max = Native.Pfr.Master.IcmpModeConfigPfrMc.Max()
                    self.max.parent = self
                    self._children_name_map["max"] = "max"
                    self._children_yang_names.add("max")

                    self.max_range_utilization = Native.Pfr.Master.IcmpModeConfigPfrMc.MaxRangeUtilization()
                    self.max_range_utilization.parent = self
                    self._children_name_map["max_range_utilization"] = "max-range-utilization"
                    self._children_yang_names.add("max-range-utilization")

                    self.mc_peer = None
                    self._children_name_map["mc_peer"] = "mc-peer"
                    self._children_yang_names.add("mc-peer")

                    self.mode = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.mos = Native.Pfr.Master.IcmpModeConfigPfrMc.Mos()
                    self.mos.parent = self
                    self._children_name_map["mos"] = "mos"
                    self._children_yang_names.add("mos")

                    self.probe = Native.Pfr.Master.IcmpModeConfigPfrMc.Probe()
                    self.probe.parent = self
                    self._children_name_map["probe"] = "probe"
                    self._children_yang_names.add("probe")

                    self.resolve = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve()
                    self.resolve.parent = self
                    self._children_name_map["resolve"] = "resolve"
                    self._children_yang_names.add("resolve")

                    self.rsvp = Native.Pfr.Master.IcmpModeConfigPfrMc.Rsvp()
                    self.rsvp.parent = self
                    self._children_name_map["rsvp"] = "rsvp"
                    self._children_yang_names.add("rsvp")

                    self.target_discovery = None
                    self._children_name_map["target_discovery"] = "target-discovery"
                    self._children_yang_names.add("target-discovery")

                    self.traceroute = Native.Pfr.Master.IcmpModeConfigPfrMc.Traceroute()
                    self.traceroute.parent = self
                    self._children_name_map["traceroute"] = "traceroute"
                    self._children_yang_names.add("traceroute")

                    self.unreachable = Native.Pfr.Master.IcmpModeConfigPfrMc.Unreachable()
                    self.unreachable.parent = self
                    self._children_name_map["unreachable"] = "unreachable"
                    self._children_yang_names.add("unreachable")
                    self._segment_path = lambda: "icmp-Mode-config-pfr-mc"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc, ['bandwidth_resolution', 'exporter', 'holddown', 'keepalive', 'logging', 'periodic', 'policy_rules', 'port', 'shutdown', 'trigger_log_percentage'], name, value)


                class ActiveProbe(Entity):
                    """
                    Manually create an active probe for a known target
                    
                    .. attribute:: echo
                    
                    	IP address of probe target
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                    
                    .. attribute:: jitter
                    
                    	Perform jitter probe operations (requires a responder)
                    	**type**\:  :py:class:`Jitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter>`
                    
                    .. attribute:: tcp_conn
                    
                    	Perform TCP Connection / Disconnect probe operations
                    	**type**\:  :py:class:`TcpConn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn>`
                    
                    .. attribute:: udp_echo
                    
                    	Perform UDP Echo probe operations (requires a responder)
                    	**type**\:  :py:class:`UdpEcho <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe, self).__init__()

                        self.yang_name = "active-probe"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"jitter" : ("jitter", Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter), "tcp-conn" : ("tcp_conn", Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn), "udp-echo" : ("udp_echo", Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho)}
                        self._child_list_classes = {}

                        self.echo = YLeaf(YType.str, "echo")

                        self.jitter = Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter()
                        self.jitter.parent = self
                        self._children_name_map["jitter"] = "jitter"
                        self._children_yang_names.add("jitter")

                        self.tcp_conn = Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn()
                        self.tcp_conn.parent = self
                        self._children_name_map["tcp_conn"] = "tcp-conn"
                        self._children_yang_names.add("tcp-conn")

                        self.udp_echo = Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho()
                        self.udp_echo.parent = self
                        self._children_name_map["udp_echo"] = "udp-echo"
                        self._children_yang_names.add("udp-echo")
                        self._segment_path = lambda: "active-probe"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe, ['echo'], name, value)


                    class Jitter(Entity):
                        """
                        Perform jitter probe operations (requires a responder)
                        
                        .. attribute:: ipv4_or_hostname
                        
                        	
                        	**type**\: list of  		 :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter.Ipv4OrHostname>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter, self).__init__()

                            self.yang_name = "jitter"
                            self.yang_parent_name = "active-probe"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"ipv4-or-hostname" : ("ipv4_or_hostname", Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter.Ipv4OrHostname)}

                            self.ipv4_or_hostname = YList(self)
                            self._segment_path = lambda: "jitter"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/active-probe/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter, [], name, value)


                        class Ipv4OrHostname(Entity):
                            """
                            
                            
                            .. attribute:: ipv4_or_hostname  <key>
                            
                            	IP address of probe target
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: target_port
                            
                            	Target Port Number
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter.Ipv4OrHostname, self).__init__()

                                self.yang_name = "ipv4-or-hostname"
                                self.yang_parent_name = "jitter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_or_hostname = YLeaf(YType.str, "ipv4-or-hostname")

                                self.target_port = YLeaf(YType.uint16, "target-port")
                                self._segment_path = lambda: "ipv4-or-hostname" + "[ipv4-or-hostname='" + self.ipv4_or_hostname.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/active-probe/jitter/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.Jitter.Ipv4OrHostname, ['ipv4_or_hostname', 'target_port'], name, value)


                    class TcpConn(Entity):
                        """
                        Perform TCP Connection / Disconnect probe operations
                        
                        .. attribute:: ipv4_or_hostname
                        
                        	
                        	**type**\: list of  		 :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn.Ipv4OrHostname>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn, self).__init__()

                            self.yang_name = "tcp-conn"
                            self.yang_parent_name = "active-probe"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"ipv4-or-hostname" : ("ipv4_or_hostname", Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn.Ipv4OrHostname)}

                            self.ipv4_or_hostname = YList(self)
                            self._segment_path = lambda: "tcp-conn"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/active-probe/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn, [], name, value)


                        class Ipv4OrHostname(Entity):
                            """
                            
                            
                            .. attribute:: ipv4_or_hostname  <key>
                            
                            	IP address of probe target
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: target_port
                            
                            	Target Port Number
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn.Ipv4OrHostname, self).__init__()

                                self.yang_name = "ipv4-or-hostname"
                                self.yang_parent_name = "tcp-conn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_or_hostname = YLeaf(YType.str, "ipv4-or-hostname")

                                self.target_port = YLeaf(YType.uint16, "target-port")
                                self._segment_path = lambda: "ipv4-or-hostname" + "[ipv4-or-hostname='" + self.ipv4_or_hostname.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/active-probe/tcp-conn/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.TcpConn.Ipv4OrHostname, ['ipv4_or_hostname', 'target_port'], name, value)


                    class UdpEcho(Entity):
                        """
                        Perform UDP Echo probe operations (requires a responder)
                        
                        .. attribute:: ipv4_or_hostname
                        
                        	
                        	**type**\: list of  		 :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho.Ipv4OrHostname>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho, self).__init__()

                            self.yang_name = "udp-echo"
                            self.yang_parent_name = "active-probe"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"ipv4-or-hostname" : ("ipv4_or_hostname", Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho.Ipv4OrHostname)}

                            self.ipv4_or_hostname = YList(self)
                            self._segment_path = lambda: "udp-echo"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/active-probe/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho, [], name, value)


                        class Ipv4OrHostname(Entity):
                            """
                            
                            
                            .. attribute:: ipv4_or_hostname  <key>
                            
                            	IP address of probe target
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                            
                            .. attribute:: target_port
                            
                            	Target Port Number
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho.Ipv4OrHostname, self).__init__()

                                self.yang_name = "ipv4-or-hostname"
                                self.yang_parent_name = "udp-echo"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_or_hostname = YLeaf(YType.str, "ipv4-or-hostname")

                                self.target_port = YLeaf(YType.uint16, "target-port")
                                self._segment_path = lambda: "ipv4-or-hostname" + "[ipv4-or-hostname='" + self.ipv4_or_hostname.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/active-probe/udp-echo/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.ActiveProbe.UdpEcho.Ipv4OrHostname, ['ipv4_or_hostname', 'target_port'], name, value)


                class Application(Entity):
                    """
                    Define application
                    
                    .. attribute:: define
                    
                    	Define application
                    	**type**\:  :py:class:`Define <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Application, self).__init__()

                        self.yang_name = "application"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"define" : ("define", Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define)}
                        self._child_list_classes = {}

                        self.define = Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define()
                        self.define.parent = self
                        self._children_name_map["define"] = "define"
                        self._children_yang_names.add("define")
                        self._segment_path = lambda: "application"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()


                    class Define(Entity):
                        """
                        Define application
                        
                        .. attribute:: app_def
                        
                        	
                        	**type**\: list of  		 :py:class:`AppDef <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define.AppDef>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define, self).__init__()

                            self.yang_name = "define"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"app-def" : ("app_def", Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define.AppDef)}

                            self.app_def = YList(self)
                            self._segment_path = lambda: "define"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/application/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define, [], name, value)


                        class AppDef(Entity):
                            """
                            
                            
                            .. attribute:: app_def  <key>
                            
                            	Application definition name
                            	**type**\: str
                            
                            .. attribute:: access_list
                            
                            	Application definition access\-list name
                            	**type**\: str
                            
                            .. attribute:: nbar
                            
                            	Define nbar application
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define.AppDef, self).__init__()

                                self.yang_name = "app-def"
                                self.yang_parent_name = "define"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.app_def = YLeaf(YType.str, "app-def")

                                self.access_list = YLeaf(YType.str, "access-list")

                                self.nbar = YLeaf(YType.empty, "nbar")
                                self._segment_path = lambda: "app-def" + "[app-def='" + self.app_def.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/application/define/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Application.Define.AppDef, ['app_def', 'access_list', 'nbar'], name, value)


                class Backoff(Entity):
                    """
                    Specify backoff timer parameters
                    
                    .. attribute:: boff
                    
                    	
                    	**type**\: list of  		 :py:class:`Boff <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff, self).__init__()

                        self.yang_name = "backoff"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"boff" : ("boff", Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff)}

                        self.boff = YList(self)
                        self._segment_path = lambda: "backoff"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff, [], name, value)


                    class Boff(Entity):
                        """
                        
                        
                        .. attribute:: boff  <key>
                        
                        	Specify minimum value of backoff timer (secs)
                        	**type**\: int
                        
                        	**range:** 90..7200
                        
                        .. attribute:: boff0
                        
                        	
                        	**type**\: list of  		 :py:class:`Boff0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff.Boff0>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff, self).__init__()

                            self.yang_name = "boff"
                            self.yang_parent_name = "backoff"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"boff0" : ("boff0", Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff.Boff0)}

                            self.boff = YLeaf(YType.uint16, "boff")

                            self.boff0 = YList(self)
                            self._segment_path = lambda: "boff" + "[boff='" + self.boff.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/backoff/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff, ['boff'], name, value)


                        class Boff0(Entity):
                            """
                            
                            
                            .. attribute:: boff0  <key>
                            
                            	Specify maximum value of backoff timer (secs)
                            	**type**\: int
                            
                            	**range:** 90..7200
                            
                            .. attribute:: bstep
                            
                            	Specify optional backoff timer step (secs)
                            	**type**\: int
                            
                            	**range:** 90..7110
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff.Boff0, self).__init__()

                                self.yang_name = "boff0"
                                self.yang_parent_name = "boff"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.boff0 = YLeaf(YType.uint16, "boff0")

                                self.bstep = YLeaf(YType.uint16, "bstep")
                                self._segment_path = lambda: "boff0" + "[boff0='" + self.boff0.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Backoff.Boff.Boff0, ['boff0', 'bstep'], name, value)


                class Border(Entity):
                    """
                    Enter PfR managed border router configuration submode
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Border, self).__init__()

                        self.yang_name = "border"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4" : ("ipv4", Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4)}

                        self.ipv4 = YList(self)
                        self._segment_path = lambda: "border"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Border, [], name, value)


                    class Ipv4(Entity):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	IP address of border router
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: key_chain
                        
                        	Specify a key\-chain
                        	**type**\: list of  		 :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4.KeyChain>`
                        
                        .. attribute:: interface
                        
                        	Specify an PfR managed border router interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "border"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"key-chain" : ("key_chain", Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4.KeyChain)}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.interface = YLeaf(YType.empty, "interface")

                            self.key_chain = YList(self)
                            self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/border/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4, ['ipv4', 'interface'], name, value)


                        class KeyChain(Entity):
                            """
                            Specify a key\-chain
                            
                            .. attribute:: kc_name  <key>
                            
                            	name of key\-chain
                            	**type**\: str
                            
                            .. attribute:: interface
                            
                            	Specify an PfR managed border router interface
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4.KeyChain, self).__init__()

                                self.yang_name = "key-chain"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.kc_name = YLeaf(YType.str, "kc-name")

                                self.interface = YLeaf(YType.empty, "interface")
                                self._segment_path = lambda: "key-chain" + "[kc-name='" + self.kc_name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Border.Ipv4.KeyChain, ['kc_name', 'interface'], name, value)


                class Delay(Entity):
                    """
                    Specify delay parameters
                    
                    .. attribute:: relative
                    
                    	short/long term in percentage. e.g. 125 is short/long = 1.25
                    	**type**\: int
                    
                    	**range:** 1..1000
                    
                    .. attribute:: threshold
                    
                    	Maximum absolute delay threshold (msecs)
                    	**type**\: int
                    
                    	**range:** 1..10000
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.relative = YLeaf(YType.uint16, "relative")

                        self.threshold = YLeaf(YType.uint16, "threshold")
                        self._segment_path = lambda: "delay"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Delay, ['relative', 'threshold'], name, value)


                class Jitter(Entity):
                    """
                    Specify jitter parameters
                    
                    .. attribute:: threshold
                    
                    	Maximum absolute jitter threshold (ms)
                    	**type**\: int
                    
                    	**range:** 1..1000
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Jitter, self).__init__()

                        self.yang_name = "jitter"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.threshold = YLeaf(YType.uint16, "threshold")
                        self._segment_path = lambda: "jitter"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Jitter, ['threshold'], name, value)


                class Learn(Entity):
                    """
                    Enter prefix and traffic class learning submode
                    
                    .. attribute:: lrn_mode__config_pfr_mc_learn
                    
                    	
                    	**type**\:  :py:class:`LrnModeConfigpfrmclearn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn, self).__init__()

                        self.yang_name = "learn"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"lrn-Mode__config-pfr-mc-learn" : ("lrn_mode__config_pfr_mc_learn", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.lrn_mode__config_pfr_mc_learn = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn()
                        self.lrn_mode__config_pfr_mc_learn.parent = self
                        self._children_name_map["lrn_mode__config_pfr_mc_learn"] = "lrn-Mode__config-pfr-mc-learn"
                        self._children_yang_names.add("lrn-Mode__config-pfr-mc-learn")
                        self._segment_path = lambda: "learn"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()


                    class LrnModeConfigpfrmclearn(Entity):
                        """
                        
                        
                        .. attribute:: aggregation_type
                        
                        	Type of prefix to aggregate
                        	**type**\:  :py:class:`AggregationType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.AggregationType>`
                        
                        .. attribute:: delay
                        
                        	Learn top prefixes based on delay
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: expire
                        
                        	Set expiry criteria for learn prefixes
                        	**type**\:  :py:class:`Expire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Expire>`
                        
                        .. attribute:: inside
                        
                        	Learn prefixes inside the network
                        	**type**\:  :py:class:`Inside <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Inside>`
                        
                        .. attribute:: list
                        
                        	Create PfR Learn Traffic Class List and enter the sub\-mode
                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.List>`
                        
                        .. attribute:: monitor_period
                        
                        	Specify the period in minutes
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: periodic_interval
                        
                        	Specify the interval in minutes
                        	**type**\: int
                        
                        	**range:** 0..10080
                        
                        .. attribute:: prefixes
                        
                        	Number of prefixes to learn
                        	**type**\:  :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Prefixes>`
                        
                        .. attribute:: throughput
                        
                        	Learn top prefixes based on throughput
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_class
                        
                        	Set traffic class filters
                        	**type**\:  :py:class:`TrafficClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn, self).__init__()

                            self.yang_name = "lrn-Mode__config-pfr-mc-learn"
                            self.yang_parent_name = "learn"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"aggregation-type" : ("aggregation_type", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.AggregationType), "expire" : ("expire", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Expire), "inside" : ("inside", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Inside), "list" : ("list", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.List), "prefixes" : ("prefixes", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Prefixes), "traffic-class" : ("traffic_class", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass)}
                            self._child_list_classes = {}

                            self.delay = YLeaf(YType.empty, "delay")

                            self.monitor_period = YLeaf(YType.uint16, "monitor-period")

                            self.periodic_interval = YLeaf(YType.uint16, "periodic-interval")

                            self.throughput = YLeaf(YType.empty, "throughput")

                            self.aggregation_type = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.AggregationType()
                            self.aggregation_type.parent = self
                            self._children_name_map["aggregation_type"] = "aggregation-type"
                            self._children_yang_names.add("aggregation-type")

                            self.expire = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Expire()
                            self.expire.parent = self
                            self._children_name_map["expire"] = "expire"
                            self._children_yang_names.add("expire")

                            self.inside = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Inside()
                            self.inside.parent = self
                            self._children_name_map["inside"] = "inside"
                            self._children_yang_names.add("inside")

                            self.list = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.List()
                            self.list.parent = self
                            self._children_name_map["list"] = "list"
                            self._children_yang_names.add("list")

                            self.prefixes = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Prefixes()
                            self.prefixes.parent = self
                            self._children_name_map["prefixes"] = "prefixes"
                            self._children_yang_names.add("prefixes")

                            self.traffic_class = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass()
                            self.traffic_class.parent = self
                            self._children_name_map["traffic_class"] = "traffic-class"
                            self._children_yang_names.add("traffic-class")
                            self._segment_path = lambda: "lrn-Mode__config-pfr-mc-learn"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn, ['delay', 'monitor_period', 'periodic_interval', 'throughput'], name, value)


                        class AggregationType(Entity):
                            """
                            Type of prefix to aggregate
                            
                            .. attribute:: bgp
                            
                            	Aggregate prefixes learned via BGP
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: non_bgp
                            
                            	Aggregate prefixes not learned via BGP
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: prefix_length
                            
                            	Specify the prefix mask
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.AggregationType, self).__init__()

                                self.yang_name = "aggregation-type"
                                self.yang_parent_name = "lrn-Mode__config-pfr-mc-learn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.bgp = YLeaf(YType.empty, "bgp")

                                self.non_bgp = YLeaf(YType.empty, "non-bgp")

                                self.prefix_length = YLeaf(YType.uint8, "prefix-length")
                                self._segment_path = lambda: "aggregation-type"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.AggregationType, ['bgp', 'non_bgp', 'prefix_length'], name, value)


                        class Expire(Entity):
                            """
                            Set expiry criteria for learn prefixes
                            
                            .. attribute:: after
                            
                            	Specify expiry criteria for learn prefixes
                            	**type**\:  :py:class:`After <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Expire.After>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Expire, self).__init__()

                                self.yang_name = "expire"
                                self.yang_parent_name = "lrn-Mode__config-pfr-mc-learn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"after" : ("after", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Expire.After)}
                                self._child_list_classes = {}

                                self.after = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Expire.After()
                                self.after.parent = self
                                self._children_name_map["after"] = "after"
                                self._children_yang_names.add("after")
                                self._segment_path = lambda: "expire"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/%s" % self._segment_path()


                            class After(Entity):
                                """
                                Specify expiry criteria for learn prefixes
                                
                                .. attribute:: session
                                
                                	Specify the value
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: time
                                
                                	Specify the value
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Expire.After, self).__init__()

                                    self.yang_name = "after"
                                    self.yang_parent_name = "expire"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.session = YLeaf(YType.uint16, "session")

                                    self.time = YLeaf(YType.uint16, "time")
                                    self._segment_path = lambda: "after"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/expire/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Expire.After, ['session', 'time'], name, value)


                        class Inside(Entity):
                            """
                            Learn prefixes inside the network
                            
                            .. attribute:: bgp
                            
                            	Learn inside prefixes advertised by BGP out PfR External Interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Inside, self).__init__()

                                self.yang_name = "inside"
                                self.yang_parent_name = "lrn-Mode__config-pfr-mc-learn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.bgp = YLeaf(YType.empty, "bgp")
                                self._segment_path = lambda: "inside"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Inside, ['bgp'], name, value)


                        class List(Entity):
                            """
                            Create PfR Learn Traffic Class List and enter the sub\-mode
                            
                            .. attribute:: seq
                            
                            	PfR Learn Traffic Class List sequence number
                            	**type**\:  :py:class:`Seq <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.List.Seq>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.List, self).__init__()

                                self.yang_name = "list"
                                self.yang_parent_name = "lrn-Mode__config-pfr-mc-learn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"seq" : ("seq", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.List.Seq)}
                                self._child_list_classes = {}

                                self.seq = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.List.Seq()
                                self.seq.parent = self
                                self._children_name_map["seq"] = "seq"
                                self._children_yang_names.add("seq")
                                self._segment_path = lambda: "list"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/%s" % self._segment_path()


                            class Seq(Entity):
                                """
                                PfR Learn Traffic Class List sequence number
                                
                                .. attribute:: pfr_tc
                                
                                	
                                	**type**\: list of  		 :py:class:`PfrTc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.List.Seq.PfrTc>`
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.List.Seq, self).__init__()

                                    self.yang_name = "seq"
                                    self.yang_parent_name = "list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"pfr-tc" : ("pfr_tc", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.List.Seq.PfrTc)}

                                    self.pfr_tc = YList(self)
                                    self._segment_path = lambda: "seq"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/list/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.List.Seq, [], name, value)


                                class PfrTc(Entity):
                                    """
                                    
                                    
                                    .. attribute:: pfr_tc  <key>
                                    
                                    	PfR Learn Traffic Class List sequence number
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: refname
                                    
                                    	PfR Learn Traffic Class List reference name
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.List.Seq.PfrTc, self).__init__()

                                        self.yang_name = "pfr-tc"
                                        self.yang_parent_name = "seq"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.pfr_tc = YLeaf(YType.uint16, "pfr-tc")

                                        self.refname = YLeaf(YType.empty, "refname")
                                        self._segment_path = lambda: "pfr-tc" + "[pfr-tc='" + self.pfr_tc.get() + "']"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/list/seq/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.List.Seq.PfrTc, ['pfr_tc', 'refname'], name, value)


                        class Prefixes(Entity):
                            """
                            Number of prefixes to learn
                            
                            .. attribute:: prnum
                            
                            	
                            	**type**\: list of  		 :py:class:`Prnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Prefixes.Prnum>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "lrn-Mode__config-pfr-mc-learn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"prnum" : ("prnum", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Prefixes.Prnum)}

                                self.prnum = YList(self)
                                self._segment_path = lambda: "prefixes"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Prefixes, [], name, value)


                            class Prnum(Entity):
                                """
                                
                                
                                .. attribute:: prnum  <key>
                                
                                	Specify the number of prefixes
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: applications
                                
                                	Specify the number of appl
                                	**type**\: int
                                
                                	**range:** 0..50000
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Prefixes.Prnum, self).__init__()

                                    self.yang_name = "prnum"
                                    self.yang_parent_name = "prefixes"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.prnum = YLeaf(YType.uint32, "prnum")

                                    self.applications = YLeaf(YType.uint16, "applications")
                                    self._segment_path = lambda: "prnum" + "[prnum='" + self.prnum.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/prefixes/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.Prefixes.Prnum, ['prnum', 'applications'], name, value)


                        class TrafficClass(Entity):
                            """
                            Set traffic class filters
                            
                            .. attribute:: aggregate
                            
                            	Traffic class aggregation specification
                            	**type**\:  :py:class:`Aggregate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Aggregate>`
                            
                            .. attribute:: filter
                            
                            	Traffic class filter specification
                            	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Filter>`
                            
                            .. attribute:: keys
                            
                            	Specify Learn keys for applications
                            	**type**\:  :py:class:`Keys <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass, self).__init__()

                                self.yang_name = "traffic-class"
                                self.yang_parent_name = "lrn-Mode__config-pfr-mc-learn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"aggregate" : ("aggregate", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Aggregate), "filter" : ("filter", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Filter), "keys" : ("keys", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys)}
                                self._child_list_classes = {}

                                self.aggregate = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Aggregate()
                                self.aggregate.parent = self
                                self._children_name_map["aggregate"] = "aggregate"
                                self._children_yang_names.add("aggregate")

                                self.filter = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Filter()
                                self.filter.parent = self
                                self._children_name_map["filter"] = "filter"
                                self._children_yang_names.add("filter")

                                self.keys = Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys()
                                self.keys.parent = self
                                self._children_name_map["keys"] = "keys"
                                self._children_yang_names.add("keys")
                                self._segment_path = lambda: "traffic-class"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/%s" % self._segment_path()


                            class Aggregate(Entity):
                                """
                                Traffic class aggregation specification
                                
                                .. attribute:: access_list
                                
                                	IP access\-list name
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Aggregate, self).__init__()

                                    self.yang_name = "aggregate"
                                    self.yang_parent_name = "traffic-class"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.access_list = YLeaf(YType.str, "access-list")
                                    self._segment_path = lambda: "aggregate"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/traffic-class/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Aggregate, ['access_list'], name, value)


                            class Filter(Entity):
                                """
                                Traffic class filter specification
                                
                                .. attribute:: access_list
                                
                                	IP access\-list name
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Filter, self).__init__()

                                    self.yang_name = "filter"
                                    self.yang_parent_name = "traffic-class"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.access_list = YLeaf(YType.str, "access-list")
                                    self._segment_path = lambda: "filter"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/traffic-class/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Filter, ['access_list'], name, value)


                            class Keys(Entity):
                                """
                                Specify Learn keys for applications
                                
                                .. attribute:: dport
                                
                                	Learn top appls based on destination port
                                	**type**\:  :py:class:`Dport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Dport>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: dscp
                                
                                	Learn top appls based on DSCP
                                	**type**\:  :py:class:`Dscp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Dscp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: protocol
                                
                                	Learn top appls based on protocol
                                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Protocol>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sport
                                
                                	Learn top appls based on source port
                                	**type**\:  :py:class:`Sport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Sport>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys, self).__init__()

                                    self.yang_name = "keys"
                                    self.yang_parent_name = "traffic-class"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"dport" : ("dport", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Dport), "dscp" : ("dscp", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Dscp), "protocol" : ("protocol", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Protocol), "sport" : ("sport", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Sport)}
                                    self._child_list_classes = {}

                                    self.dport = None
                                    self._children_name_map["dport"] = "dport"
                                    self._children_yang_names.add("dport")

                                    self.dscp = None
                                    self._children_name_map["dscp"] = "dscp"
                                    self._children_yang_names.add("dscp")

                                    self.protocol = None
                                    self._children_name_map["protocol"] = "protocol"
                                    self._children_yang_names.add("protocol")

                                    self.sport = None
                                    self._children_name_map["sport"] = "sport"
                                    self._children_yang_names.add("sport")
                                    self._segment_path = lambda: "keys"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/traffic-class/%s" % self._segment_path()


                                class Dport(Entity):
                                    """
                                    Learn top appls based on destination port
                                    
                                    .. attribute:: dscp
                                    
                                    	Learn top appls based on DSCP
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: protocol
                                    
                                    	Learn top appls based on protocol
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sport
                                    
                                    	Learn top appls based on source port
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Dport, self).__init__()

                                        self.yang_name = "dport"
                                        self.yang_parent_name = "keys"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.dscp = YLeaf(YType.empty, "dscp")

                                        self.protocol = YLeaf(YType.empty, "protocol")

                                        self.sport = YLeaf(YType.empty, "sport")
                                        self._segment_path = lambda: "dport"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/traffic-class/keys/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Dport, ['dscp', 'protocol', 'sport'], name, value)


                                class Dscp(Entity):
                                    """
                                    Learn top appls based on DSCP
                                    
                                    .. attribute:: dport
                                    
                                    	Learn top appls based on destination port
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: protocol
                                    
                                    	Learn top appls based on protocol
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sport
                                    
                                    	Learn top appls based on source port
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Dscp, self).__init__()

                                        self.yang_name = "dscp"
                                        self.yang_parent_name = "keys"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.dport = YLeaf(YType.empty, "dport")

                                        self.protocol = YLeaf(YType.empty, "protocol")

                                        self.sport = YLeaf(YType.empty, "sport")
                                        self._segment_path = lambda: "dscp"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/traffic-class/keys/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Dscp, ['dport', 'protocol', 'sport'], name, value)


                                class Protocol(Entity):
                                    """
                                    Learn top appls based on protocol
                                    
                                    .. attribute:: dport
                                    
                                    	Learn top appls based on destination port
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dscp
                                    
                                    	Learn top appls based on DSCP
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: sport
                                    
                                    	Learn top appls based on source port
                                    	**type**\:  :py:class:`Sport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Protocol.Sport>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Protocol, self).__init__()

                                        self.yang_name = "protocol"
                                        self.yang_parent_name = "keys"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"sport" : ("sport", Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Protocol.Sport)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.dport = YLeaf(YType.empty, "dport")

                                        self.dscp = YLeaf(YType.empty, "dscp")

                                        self.sport = None
                                        self._children_name_map["sport"] = "sport"
                                        self._children_yang_names.add("sport")
                                        self._segment_path = lambda: "protocol"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/traffic-class/keys/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Protocol, ['dport', 'dscp'], name, value)


                                    class Sport(Entity):
                                        """
                                        Learn top appls based on source port
                                        
                                        .. attribute:: dport
                                        
                                        	Learn top appls based on destination port
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dscp
                                        
                                        	Learn top appls based on DSCP
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-pfr'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Protocol.Sport, self).__init__()

                                            self.yang_name = "sport"
                                            self.yang_parent_name = "protocol"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.dport = YLeaf(YType.empty, "dport")

                                            self.dscp = YLeaf(YType.empty, "dscp")
                                            self._segment_path = lambda: "sport"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/traffic-class/keys/protocol/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Protocol.Sport, ['dport', 'dscp'], name, value)


                                class Sport(Entity):
                                    """
                                    Learn top appls based on source port
                                    
                                    .. attribute:: dport
                                    
                                    	Learn top appls based on destination port
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dscp
                                    
                                    	Learn top appls based on DSCP
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: protocol
                                    
                                    	Learn top appls based on protocol
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-pfr'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Sport, self).__init__()

                                        self.yang_name = "sport"
                                        self.yang_parent_name = "keys"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.dport = YLeaf(YType.empty, "dport")

                                        self.dscp = YLeaf(YType.empty, "dscp")

                                        self.protocol = YLeaf(YType.empty, "protocol")
                                        self._segment_path = lambda: "sport"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/learn/lrn-Mode__config-pfr-mc-learn/traffic-class/keys/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Learn.LrnModeConfigpfrmclearn.TrafficClass.Keys.Sport, ['dport', 'dscp', 'protocol'], name, value)


                class Loss(Entity):
                    """
                    Specify loss parameters
                    
                    .. attribute:: relative
                    
                    	short/long term in percentage. e.g. 125 is short/long = 1.25
                    	**type**\: int
                    
                    	**range:** 1..1000
                    
                    .. attribute:: threshold
                    
                    	Maximum absolute lost packet threshold in percentage e.g., 1 is 0.0001 percent
                    	**type**\: int
                    
                    	**range:** 1..1000000
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Loss, self).__init__()

                        self.yang_name = "loss"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.relative = YLeaf(YType.uint16, "relative")

                        self.threshold = YLeaf(YType.uint32, "threshold")
                        self._segment_path = lambda: "loss"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Loss, ['relative', 'threshold'], name, value)


                class Max(Entity):
                    """
                    Specify the upper limit
                    
                    .. attribute:: prefix
                    
                    	Specify prefix upper limit
                    	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix>`
                    
                    .. attribute:: range
                    
                    	Specify range value
                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Max, self).__init__()

                        self.yang_name = "max"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"prefix" : ("prefix", Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix), "range" : ("range", Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range)}
                        self._child_list_classes = {}

                        self.prefix = Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix()
                        self.prefix.parent = self
                        self._children_name_map["prefix"] = "prefix"
                        self._children_yang_names.add("prefix")

                        self.range = Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range()
                        self.range.parent = self
                        self._children_name_map["range"] = "range"
                        self._children_yang_names.add("range")
                        self._segment_path = lambda: "max"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()


                    class Prefix(Entity):
                        """
                        Specify prefix upper limit
                        
                        .. attribute:: total
                        
                        	Specify max total prefix limit
                        	**type**\:  :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix, self).__init__()

                            self.yang_name = "prefix"
                            self.yang_parent_name = "max"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"total" : ("total", Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total)}
                            self._child_list_classes = {}

                            self.total = Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total()
                            self.total.parent = self
                            self._children_name_map["total"] = "total"
                            self._children_yang_names.add("total")
                            self._segment_path = lambda: "prefix"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/max/%s" % self._segment_path()


                        class Total(Entity):
                            """
                            Specify max total prefix limit
                            
                            .. attribute:: maxpr
                            
                            	
                            	**type**\: list of  		 :py:class:`Maxpr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total.Maxpr>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total, self).__init__()

                                self.yang_name = "total"
                                self.yang_parent_name = "prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"maxpr" : ("maxpr", Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total.Maxpr)}

                                self.maxpr = YList(self)
                                self._segment_path = lambda: "total"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/max/prefix/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total, [], name, value)


                            class Maxpr(Entity):
                                """
                                
                                
                                .. attribute:: maxpr  <key>
                                
                                	Specify the max total prefix limit value
                                	**type**\: int
                                
                                	**range:** 1..100000
                                
                                .. attribute:: learn
                                
                                	Specify max learn prefix limit value
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total.Maxpr, self).__init__()

                                    self.yang_name = "maxpr"
                                    self.yang_parent_name = "total"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.maxpr = YLeaf(YType.uint32, "maxpr")

                                    self.learn = YLeaf(YType.uint32, "learn")
                                    self._segment_path = lambda: "maxpr" + "[maxpr='" + self.maxpr.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/max/prefix/total/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Prefix.Total.Maxpr, ['maxpr', 'learn'], name, value)


                    class Range(Entity):
                        """
                        Specify range value
                        
                        .. attribute:: receive
                        
                        	Specify receive range
                        	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range.Receive>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range, self).__init__()

                            self.yang_name = "range"
                            self.yang_parent_name = "max"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"receive" : ("receive", Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range.Receive)}
                            self._child_list_classes = {}

                            self.receive = Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range.Receive()
                            self.receive.parent = self
                            self._children_name_map["receive"] = "receive"
                            self._children_yang_names.add("receive")
                            self._segment_path = lambda: "range"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/max/%s" % self._segment_path()


                        class Receive(Entity):
                            """
                            Specify receive range
                            
                            .. attribute:: percent
                            
                            	Specify the percentage range
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range.Receive, self).__init__()

                                self.yang_name = "receive"
                                self.yang_parent_name = "range"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.percent = YLeaf(YType.uint8, "percent")
                                self._segment_path = lambda: "receive"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/max/range/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Max.Range.Receive, ['percent'], name, value)


                class MaxRangeUtilization(Entity):
                    """
                    Configure the maximum range for utilization of all exits
                    
                    .. attribute:: percent
                    
                    	Specify the percentage range
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.MaxRangeUtilization, self).__init__()

                        self.yang_name = "max-range-utilization"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.percent = YLeaf(YType.uint8, "percent")
                        self._segment_path = lambda: "max-range-utilization"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.MaxRangeUtilization, ['percent'], name, value)


                class McPeer(Entity):
                    """
                    Enable MC\-to\-MC peering
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4>`
                    
                    .. attribute:: description
                    
                    	MC site description (max 40 char)
                    	**type**\: str
                    
                    .. attribute:: domain
                    
                    	SAF domain ID to be used for MC\-to\-MC peering
                    	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain>`
                    
                    .. attribute:: eigrp
                    
                    	Use explicit EIGRP configuration instead of auto\-config
                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp>`
                    
                    .. attribute:: head_end
                    
                    	Specify this router as head\-end MC\-peer
                    	**type**\:  :py:class:`HeadEnd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer, self).__init__()

                        self.yang_name = "mc-peer"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"domain" : ("domain", Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain), "eigrp" : ("eigrp", Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp), "head-end" : ("head_end", Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd)}
                        self._child_list_classes = {"ipv4" : ("ipv4", Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4)}
                        self.is_presence_container = True

                        self.description = YLeaf(YType.str, "description")

                        self.domain = Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain()
                        self.domain.parent = self
                        self._children_name_map["domain"] = "domain"
                        self._children_yang_names.add("domain")

                        self.eigrp = Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp()
                        self.eigrp.parent = self
                        self._children_name_map["eigrp"] = "eigrp"
                        self._children_yang_names.add("eigrp")

                        self.head_end = Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd()
                        self.head_end.parent = self
                        self._children_name_map["head_end"] = "head-end"
                        self._children_yang_names.add("head-end")

                        self.ipv4 = YList(self)
                        self._segment_path = lambda: "mc-peer"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer, ['description'], name, value)


                    class Ipv4(Entity):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	IP address of head\-end MC peer
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: interface
                        
                        	
                        	**type**\: list of  		 :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4.Interface>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "mc-peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"interface" : ("interface", Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4.Interface)}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.interface = YList(self)
                            self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mc-peer/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4, ['ipv4'], name, value)


                        class Interface(Entity):
                            """
                            
                            
                            .. attribute:: interface  <key>
                            
                            	Loopback interface
                            	**type**\: str
                            
                            .. attribute:: description
                            
                            	MC site description (max 40 char)
                            	**type**\: str
                            
                            .. attribute:: domain
                            
                            	Domain value
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4.Interface, self).__init__()

                                self.yang_name = "interface"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interface = YLeaf(YType.str, "interface")

                                self.description = YLeaf(YType.str, "description")

                                self.domain = YLeaf(YType.uint16, "domain")
                                self._segment_path = lambda: "interface" + "[interface='" + self.interface.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Ipv4.Interface, ['interface', 'description', 'domain'], name, value)


                    class Domain(Entity):
                        """
                        SAF domain ID to be used for MC\-to\-MC peering
                        
                        .. attribute:: dmval
                        
                        	
                        	**type**\: list of  		 :py:class:`Dmval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain, self).__init__()

                            self.yang_name = "domain"
                            self.yang_parent_name = "mc-peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"dmval" : ("dmval", Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval)}

                            self.dmval = YList(self)
                            self._segment_path = lambda: "domain"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mc-peer/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain, [], name, value)


                        class Dmval(Entity):
                            """
                            
                            
                            .. attribute:: dmval  <key>
                            
                            	Domain value
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval.Ipv4>`
                            
                            .. attribute:: description
                            
                            	MC site description (max 40 char)
                            	**type**\: str
                            
                            .. attribute:: eigrp
                            
                            	Loopback interface
                            	**type**\: str
                            
                            .. attribute:: head_end
                            
                            	Loopback interface
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval, self).__init__()

                                self.yang_name = "dmval"
                                self.yang_parent_name = "domain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"ipv4" : ("ipv4", Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval.Ipv4)}

                                self.dmval = YLeaf(YType.uint16, "dmval")

                                self.description = YLeaf(YType.str, "description")

                                self.eigrp = YLeaf(YType.str, "eigrp")

                                self.head_end = YLeaf(YType.str, "head-end")

                                self.ipv4 = YList(self)
                                self._segment_path = lambda: "dmval" + "[dmval='" + self.dmval.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mc-peer/domain/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval, ['dmval', 'description', 'eigrp', 'head_end'], name, value)


                            class Ipv4(Entity):
                                """
                                
                                
                                .. attribute:: ipv4  <key>
                                
                                	IP address of head\-end MC peer
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: interface
                                
                                	Loopback interface
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "dmval"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Domain.Dmval.Ipv4, ['ipv4', 'interface'], name, value)


                    class Eigrp(Entity):
                        """
                        Use explicit EIGRP configuration instead of auto\-config
                        
                        .. attribute:: interface
                        
                        	
                        	**type**\: list of  		 :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp.Interface>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "mc-peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"interface" : ("interface", Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp.Interface)}

                            self.interface = YList(self)
                            self._segment_path = lambda: "eigrp"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mc-peer/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp, [], name, value)


                        class Interface(Entity):
                            """
                            
                            
                            .. attribute:: interface  <key>
                            
                            	Loopback interface
                            	**type**\: str
                            
                            .. attribute:: description
                            
                            	MC site description (max 40 char)
                            	**type**\: str
                            
                            .. attribute:: domain
                            
                            	Domain value
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp.Interface, self).__init__()

                                self.yang_name = "interface"
                                self.yang_parent_name = "eigrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interface = YLeaf(YType.str, "interface")

                                self.description = YLeaf(YType.str, "description")

                                self.domain = YLeaf(YType.uint16, "domain")
                                self._segment_path = lambda: "interface" + "[interface='" + self.interface.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mc-peer/eigrp/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.Eigrp.Interface, ['interface', 'description', 'domain'], name, value)


                    class HeadEnd(Entity):
                        """
                        Specify this router as head\-end MC\-peer
                        
                        .. attribute:: interface
                        
                        	
                        	**type**\: list of  		 :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd.Interface>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd, self).__init__()

                            self.yang_name = "head-end"
                            self.yang_parent_name = "mc-peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"interface" : ("interface", Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd.Interface)}

                            self.interface = YList(self)
                            self._segment_path = lambda: "head-end"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mc-peer/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd, [], name, value)


                        class Interface(Entity):
                            """
                            
                            
                            .. attribute:: interface  <key>
                            
                            	Loopback interface
                            	**type**\: str
                            
                            .. attribute:: description
                            
                            	MC site description (max 40 char)
                            	**type**\: str
                            
                            .. attribute:: domain
                            
                            	Domain value
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd.Interface, self).__init__()

                                self.yang_name = "interface"
                                self.yang_parent_name = "head-end"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interface = YLeaf(YType.str, "interface")

                                self.description = YLeaf(YType.str, "description")

                                self.domain = YLeaf(YType.uint16, "domain")
                                self._segment_path = lambda: "interface" + "[interface='" + self.interface.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mc-peer/head-end/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.McPeer.HeadEnd.Interface, ['interface', 'description', 'domain'], name, value)


                class Mode(Entity):
                    """
                    Specify PfR operating mode settings
                    
                    .. attribute:: monitor
                    
                    	Specify PfR prefix monitoring policy settings
                    	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor>`
                    
                    .. attribute:: route
                    
                    	Specify PfR route control policy settings
                    	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route>`
                    
                    .. attribute:: verify
                    
                    	Specify verification behavior
                    	**type**\:  :py:class:`Verify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Verify>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"monitor" : ("monitor", Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor), "route" : ("route", Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route), "verify" : ("verify", Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Verify)}
                        self._child_list_classes = {}

                        self.monitor = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor()
                        self.monitor.parent = self
                        self._children_name_map["monitor"] = "monitor"
                        self._children_yang_names.add("monitor")

                        self.route = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route()
                        self.route.parent = self
                        self._children_name_map["route"] = "route"
                        self._children_yang_names.add("route")

                        self.verify = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Verify()
                        self.verify.parent = self
                        self._children_name_map["verify"] = "verify"
                        self._children_yang_names.add("verify")
                        self._segment_path = lambda: "mode"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()


                    class Monitor(Entity):
                        """
                        Specify PfR prefix monitoring policy settings
                        
                        .. attribute:: active
                        
                        	Enable active monitoring mode
                        	**type**\:  :py:class:`Active <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor.Active>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: both
                        
                        	Enable active and passive monitoring modes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: fast
                        
                        	Enable fast monitoring mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: passive
                        
                        	Enable passive monitoring mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor, self).__init__()

                            self.yang_name = "monitor"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"active" : ("active", Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor.Active)}
                            self._child_list_classes = {}

                            self.both = YLeaf(YType.empty, "both")

                            self.fast = YLeaf(YType.empty, "fast")

                            self.passive = YLeaf(YType.empty, "passive")

                            self.active = None
                            self._children_name_map["active"] = "active"
                            self._children_yang_names.add("active")
                            self._segment_path = lambda: "monitor"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mode/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor, ['both', 'fast', 'passive'], name, value)


                        class Active(Entity):
                            """
                            Enable active monitoring mode
                            
                            .. attribute:: throughput
                            
                            	Enable active monitoring with throughput from passive mode
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor.Active, self).__init__()

                                self.yang_name = "active"
                                self.yang_parent_name = "monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.throughput = YLeaf(YType.empty, "throughput")
                                self._segment_path = lambda: "active"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mode/monitor/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Monitor.Active, ['throughput'], name, value)


                    class Route(Entity):
                        """
                        Specify PfR route control policy settings
                        
                        .. attribute:: control
                        
                        	Enable PfR to control routes automatically
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: metric
                        
                        	Specify PfR route protocol related settings
                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric>`
                        
                        .. attribute:: observe
                        
                        	PfR offers route control advice, but does not take any action
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protocol
                        
                        	Specify OER route control protocol
                        	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Protocol>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route, self).__init__()

                            self.yang_name = "route"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"metric" : ("metric", Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric), "protocol" : ("protocol", Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Protocol)}
                            self._child_list_classes = {}

                            self.control = YLeaf(YType.empty, "control")

                            self.observe = YLeaf(YType.empty, "observe")

                            self.metric = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric()
                            self.metric.parent = self
                            self._children_name_map["metric"] = "metric"
                            self._children_yang_names.add("metric")

                            self.protocol = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Protocol()
                            self.protocol.parent = self
                            self._children_name_map["protocol"] = "protocol"
                            self._children_yang_names.add("protocol")
                            self._segment_path = lambda: "route"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mode/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route, ['control', 'observe'], name, value)


                        class Metric(Entity):
                            """
                            Specify PfR route protocol related settings
                            
                            .. attribute:: bgp
                            
                            	Specify PfR bgp protocol settings
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Bgp>`
                            
                            .. attribute:: eigrp
                            
                            	Specify PfR eigrp routes related settings
                            	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Eigrp>`
                            
                            .. attribute:: static
                            
                            	Specify PfR static routes related settings
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Static>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric, self).__init__()

                                self.yang_name = "metric"
                                self.yang_parent_name = "route"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"bgp" : ("bgp", Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Bgp), "eigrp" : ("eigrp", Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Eigrp), "static" : ("static", Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Static)}
                                self._child_list_classes = {}

                                self.bgp = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.eigrp = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Eigrp()
                                self.eigrp.parent = self
                                self._children_name_map["eigrp"] = "eigrp"
                                self._children_yang_names.add("eigrp")

                                self.static = Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Static()
                                self.static.parent = self
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")
                                self._segment_path = lambda: "metric"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mode/route/%s" % self._segment_path()


                            class Bgp(Entity):
                                """
                                Specify PfR bgp protocol settings
                                
                                .. attribute:: local_pref
                                
                                	Specify the local preference for bgp controlled routes
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "metric"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.local_pref = YLeaf(YType.uint16, "local-pref")
                                    self._segment_path = lambda: "bgp"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mode/route/metric/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Bgp, ['local_pref'], name, value)


                            class Eigrp(Entity):
                                """
                                Specify PfR eigrp routes related settings
                                
                                .. attribute:: tag
                                
                                	Specify a tag value for PfR controlled eigrp routes
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "metric"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.tag = YLeaf(YType.uint16, "tag")
                                    self._segment_path = lambda: "eigrp"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mode/route/metric/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Eigrp, ['tag'], name, value)


                            class Static(Entity):
                                """
                                Specify PfR static routes related settings
                                
                                .. attribute:: tag
                                
                                	Specify a tag value for PfR controlled static routes
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "metric"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.tag = YLeaf(YType.uint16, "tag")
                                    self._segment_path = lambda: "static"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mode/route/metric/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Metric.Static, ['tag'], name, value)


                        class Protocol(Entity):
                            """
                            Specify OER route control protocol
                            
                            .. attribute:: pbr
                            
                            	Specify OER route control protocol Policy\-Based\-Routing
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Protocol, self).__init__()

                                self.yang_name = "protocol"
                                self.yang_parent_name = "route"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.pbr = YLeaf(YType.empty, "pbr")
                                self._segment_path = lambda: "protocol"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mode/route/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Route.Protocol, ['pbr'], name, value)


                    class Verify(Entity):
                        """
                        Specify verification behavior
                        
                        .. attribute:: bidirectional
                        
                        	Verify bidirectional traffic of applications
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Verify, self).__init__()

                            self.yang_name = "verify"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.bidirectional = YLeaf(YType.empty, "bidirectional")
                            self._segment_path = lambda: "verify"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mode/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Mode.Verify, ['bidirectional'], name, value)


                class Mos(Entity):
                    """
                    Specify mos parameters
                    
                    .. attribute:: threshold
                    
                    	Minimum MOS threshold
                    	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Mos, self).__init__()

                        self.yang_name = "mos"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"threshold" : ("threshold", Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold)}
                        self._child_list_classes = {}

                        self.threshold = Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold()
                        self.threshold.parent = self
                        self._children_name_map["threshold"] = "threshold"
                        self._children_yang_names.add("threshold")
                        self._segment_path = lambda: "mos"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()


                    class Threshold(Entity):
                        """
                        Minimum MOS threshold
                        
                        .. attribute:: mos_thresh
                        
                        	
                        	**type**\: list of  		 :py:class:`MosThresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold.MosThresh>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold, self).__init__()

                            self.yang_name = "threshold"
                            self.yang_parent_name = "mos"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"mos-thresh" : ("mos_thresh", Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold.MosThresh)}

                            self.mos_thresh = YList(self)
                            self._segment_path = lambda: "threshold"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mos/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold, [], name, value)


                        class MosThresh(Entity):
                            """
                            
                            
                            .. attribute:: mos_thresh  <key>
                            
                            	Minimum absolute MOS threshold 1.00 \- 5.00
                            	**type**\: str
                            
                            .. attribute:: percent
                            
                            	Maximum percentage probe with MOS below threshold
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold.MosThresh, self).__init__()

                                self.yang_name = "mos-thresh"
                                self.yang_parent_name = "threshold"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.mos_thresh = YLeaf(YType.str, "mos-thresh")

                                self.percent = YLeaf(YType.uint8, "percent")
                                self._segment_path = lambda: "mos-thresh" + "[mos-thresh='" + self.mos_thresh.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/mos/threshold/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Mos.Threshold.MosThresh, ['mos_thresh', 'percent'], name, value)


                class Probe(Entity):
                    """
                    Specify number of packets for jitter probe
                    
                    .. attribute:: packets
                    
                    	probe packets <number>
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Probe, self).__init__()

                        self.yang_name = "probe"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.packets = YLeaf(YType.uint8, "packets")
                        self._segment_path = lambda: "probe"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Probe, ['packets'], name, value)


                class Resolve(Entity):
                    """
                    Specify PfR policy resolver settings
                    
                    .. attribute:: cost
                    
                    	Specify PfR cost policy resolver settings
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	Specify PfR delay policy resolver settings
                    	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay>`
                    
                    .. attribute:: equivalent_path_round_robin
                    
                    	Specify equivalent\-path round\-robin resolver
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: jitter
                    
                    	Specify PfR jitter policy resolver settings
                    	**type**\:  :py:class:`Jitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter>`
                    
                    .. attribute:: loss
                    
                    	Specify PfR loss policy resolver settings
                    	**type**\:  :py:class:`Loss <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss>`
                    
                    .. attribute:: mos
                    
                    	Specify PfR MOS policy resolver settings
                    	**type**\:  :py:class:`Mos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve, self).__init__()

                        self.yang_name = "resolve"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"delay" : ("delay", Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay), "jitter" : ("jitter", Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter), "loss" : ("loss", Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss), "mos" : ("mos", Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos)}
                        self._child_list_classes = {}

                        self.cost = YLeaf(YType.empty, "cost")

                        self.equivalent_path_round_robin = YLeaf(YType.empty, "equivalent-path-round-robin")

                        self.delay = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay()
                        self.delay.parent = self
                        self._children_name_map["delay"] = "delay"
                        self._children_yang_names.add("delay")

                        self.jitter = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter()
                        self.jitter.parent = self
                        self._children_name_map["jitter"] = "jitter"
                        self._children_yang_names.add("jitter")

                        self.loss = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss()
                        self.loss.parent = self
                        self._children_name_map["loss"] = "loss"
                        self._children_yang_names.add("loss")

                        self.mos = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos()
                        self.mos.parent = self
                        self._children_name_map["mos"] = "mos"
                        self._children_yang_names.add("mos")
                        self._segment_path = lambda: "resolve"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve, ['cost', 'equivalent_path_round_robin'], name, value)


                    class Delay(Entity):
                        """
                        Specify PfR delay policy resolver settings
                        
                        .. attribute:: priority
                        
                        	Specify the order in which resolver will consider this policy
                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay, self).__init__()

                            self.yang_name = "delay"
                            self.yang_parent_name = "resolve"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"priority" : ("priority", Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority)}
                            self._child_list_classes = {}

                            self.priority = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority()
                            self.priority.parent = self
                            self._children_name_map["priority"] = "priority"
                            self._children_yang_names.add("priority")
                            self._segment_path = lambda: "delay"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/resolve/%s" % self._segment_path()


                        class Priority(Entity):
                            """
                            Specify the order in which resolver will consider this policy
                            
                            .. attribute:: del_pol
                            
                            	
                            	**type**\: list of  		 :py:class:`DelPol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority.DelPol>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority, self).__init__()

                                self.yang_name = "priority"
                                self.yang_parent_name = "delay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"del-pol" : ("del_pol", Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority.DelPol)}

                                self.del_pol = YList(self)
                                self._segment_path = lambda: "priority"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/resolve/delay/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority, [], name, value)


                            class DelPol(Entity):
                                """
                                
                                
                                .. attribute:: del_pol  <key>
                                
                                	Specify this policy's priority; 1 being highest
                                	**type**\: int
                                
                                	**range:** 1..9
                                
                                .. attribute:: variance
                                
                                	Specify range; e.g. 25 means all exits measuring up to 25% worse than the best exit are considered equivalent
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority.DelPol, self).__init__()

                                    self.yang_name = "del-pol"
                                    self.yang_parent_name = "priority"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.del_pol = YLeaf(YType.uint8, "del-pol")

                                    self.variance = YLeaf(YType.uint8, "variance")
                                    self._segment_path = lambda: "del-pol" + "[del-pol='" + self.del_pol.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/resolve/delay/priority/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Delay.Priority.DelPol, ['del_pol', 'variance'], name, value)


                    class Jitter(Entity):
                        """
                        Specify PfR jitter policy resolver settings
                        
                        .. attribute:: priority
                        
                        	Specify the order in which resolver will consider this policy
                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter, self).__init__()

                            self.yang_name = "jitter"
                            self.yang_parent_name = "resolve"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"priority" : ("priority", Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority)}
                            self._child_list_classes = {}

                            self.priority = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority()
                            self.priority.parent = self
                            self._children_name_map["priority"] = "priority"
                            self._children_yang_names.add("priority")
                            self._segment_path = lambda: "jitter"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/resolve/%s" % self._segment_path()


                        class Priority(Entity):
                            """
                            Specify the order in which resolver will consider this policy
                            
                            .. attribute:: jit_pol
                            
                            	
                            	**type**\: list of  		 :py:class:`JitPol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority.JitPol>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority, self).__init__()

                                self.yang_name = "priority"
                                self.yang_parent_name = "jitter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"jit-pol" : ("jit_pol", Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority.JitPol)}

                                self.jit_pol = YList(self)
                                self._segment_path = lambda: "priority"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/resolve/jitter/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority, [], name, value)


                            class JitPol(Entity):
                                """
                                
                                
                                .. attribute:: jit_pol  <key>
                                
                                	Specify this policy's priority; 1 being highest
                                	**type**\: int
                                
                                	**range:** 1..9
                                
                                .. attribute:: variance
                                
                                	Specify range; e.g. 25 means all exits measuring up to 25% worse than the best exit are considered equivalent
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority.JitPol, self).__init__()

                                    self.yang_name = "jit-pol"
                                    self.yang_parent_name = "priority"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.jit_pol = YLeaf(YType.uint8, "jit-pol")

                                    self.variance = YLeaf(YType.uint8, "variance")
                                    self._segment_path = lambda: "jit-pol" + "[jit-pol='" + self.jit_pol.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/resolve/jitter/priority/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Jitter.Priority.JitPol, ['jit_pol', 'variance'], name, value)


                    class Loss(Entity):
                        """
                        Specify PfR loss policy resolver settings
                        
                        .. attribute:: priority
                        
                        	Specify the order in which resolver will consider this policy
                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss, self).__init__()

                            self.yang_name = "loss"
                            self.yang_parent_name = "resolve"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"priority" : ("priority", Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority)}
                            self._child_list_classes = {}

                            self.priority = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority()
                            self.priority.parent = self
                            self._children_name_map["priority"] = "priority"
                            self._children_yang_names.add("priority")
                            self._segment_path = lambda: "loss"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/resolve/%s" % self._segment_path()


                        class Priority(Entity):
                            """
                            Specify the order in which resolver will consider this policy
                            
                            .. attribute:: loss_pol
                            
                            	
                            	**type**\: list of  		 :py:class:`LossPol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority.LossPol>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority, self).__init__()

                                self.yang_name = "priority"
                                self.yang_parent_name = "loss"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"loss-pol" : ("loss_pol", Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority.LossPol)}

                                self.loss_pol = YList(self)
                                self._segment_path = lambda: "priority"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/resolve/loss/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority, [], name, value)


                            class LossPol(Entity):
                                """
                                
                                
                                .. attribute:: loss_pol  <key>
                                
                                	Specify this policy's priority; 1 being highest
                                	**type**\: int
                                
                                	**range:** 1..9
                                
                                .. attribute:: variance
                                
                                	Specify range; e.g. 25 means all exits measuring up to 25% worse than the best exit are considered equivalent
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority.LossPol, self).__init__()

                                    self.yang_name = "loss-pol"
                                    self.yang_parent_name = "priority"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.loss_pol = YLeaf(YType.uint8, "loss-pol")

                                    self.variance = YLeaf(YType.uint8, "variance")
                                    self._segment_path = lambda: "loss-pol" + "[loss-pol='" + self.loss_pol.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/resolve/loss/priority/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Loss.Priority.LossPol, ['loss_pol', 'variance'], name, value)


                    class Mos(Entity):
                        """
                        Specify PfR MOS policy resolver settings
                        
                        .. attribute:: priority
                        
                        	Specify the order in which resolver will consider this policy
                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos, self).__init__()

                            self.yang_name = "mos"
                            self.yang_parent_name = "resolve"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"priority" : ("priority", Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority)}
                            self._child_list_classes = {}

                            self.priority = Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority()
                            self.priority.parent = self
                            self._children_name_map["priority"] = "priority"
                            self._children_yang_names.add("priority")
                            self._segment_path = lambda: "mos"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/resolve/%s" % self._segment_path()


                        class Priority(Entity):
                            """
                            Specify the order in which resolver will consider this policy
                            
                            .. attribute:: mos_pol
                            
                            	
                            	**type**\: list of  		 :py:class:`MosPol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority.MosPol>`
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority, self).__init__()

                                self.yang_name = "priority"
                                self.yang_parent_name = "mos"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"mos-pol" : ("mos_pol", Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority.MosPol)}

                                self.mos_pol = YList(self)
                                self._segment_path = lambda: "priority"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/resolve/mos/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority, [], name, value)


                            class MosPol(Entity):
                                """
                                
                                
                                .. attribute:: mos_pol  <key>
                                
                                	Specify this policy's priority; 1 being highest
                                	**type**\: int
                                
                                	**range:** 1..9
                                
                                .. attribute:: variance
                                
                                	Specify range; e.g. 25 means all exits measuring up to 25% worse than the best exit are considered equivalent
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-pfr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority.MosPol, self).__init__()

                                    self.yang_name = "mos-pol"
                                    self.yang_parent_name = "priority"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mos_pol = YLeaf(YType.uint8, "mos-pol")

                                    self.variance = YLeaf(YType.uint8, "variance")
                                    self._segment_path = lambda: "mos-pol" + "[mos-pol='" + self.mos_pol.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/resolve/mos/priority/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Resolve.Mos.Priority.MosPol, ['mos_pol', 'variance'], name, value)


                class Rsvp(Entity):
                    """
                    Specify rsvp parameters
                    
                    .. attribute:: post_dial_delay
                    
                    	RSVP post\-dial\-delay in msecs
                    	**type**\: int
                    
                    	**range:** 0..500
                    
                    .. attribute:: signaling_retries
                    
                    	Number of signaling\-retries
                    	**type**\: int
                    
                    	**range:** 0..1
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Rsvp, self).__init__()

                        self.yang_name = "rsvp"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.post_dial_delay = YLeaf(YType.uint16, "post-dial-delay")

                        self.signaling_retries = YLeaf(YType.uint8, "signaling-retries")
                        self._segment_path = lambda: "rsvp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Rsvp, ['post_dial_delay', 'signaling_retries'], name, value)


                class TargetDiscovery(Entity):
                    """
                    Enable/configure Target Discovery
                    
                    .. attribute:: responder_list
                    
                    	Specify static list of responders
                    	**type**\:  :py:class:`ResponderList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery, self).__init__()

                        self.yang_name = "target-discovery"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"responder-list" : ("responder_list", Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.responder_list = Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList()
                        self.responder_list.parent = self
                        self._children_name_map["responder_list"] = "responder-list"
                        self._children_yang_names.add("responder-list")
                        self._segment_path = lambda: "target-discovery"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()


                    class ResponderList(Entity):
                        """
                        Specify static list of responders
                        
                        .. attribute:: td_num
                        
                        	
                        	**type**\: list of  		 :py:class:`TdNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList.TdNum>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList, self).__init__()

                            self.yang_name = "responder-list"
                            self.yang_parent_name = "target-discovery"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"td-num" : ("td_num", Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList.TdNum)}

                            self.td_num = YList(self)
                            self._segment_path = lambda: "responder-list"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/target-discovery/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList, [], name, value)


                        class TdNum(Entity):
                            """
                            
                            
                            .. attribute:: td_num  <key>
                            
                            	Prefix\-list containing list of responders
                            	**type**\: str
                            
                            .. attribute:: inside_prefixes
                            
                            	Prefix\-list containing list of inside prefixes
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-pfr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList.TdNum, self).__init__()

                                self.yang_name = "td-num"
                                self.yang_parent_name = "responder-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.td_num = YLeaf(YType.str, "td-num")

                                self.inside_prefixes = YLeaf(YType.str, "inside-prefixes")
                                self._segment_path = lambda: "td-num" + "[td-num='" + self.td_num.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/target-discovery/responder-list/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.TargetDiscovery.ResponderList.TdNum, ['td_num', 'inside_prefixes'], name, value)


                class Traceroute(Entity):
                    """
                    Configure Traceroute global parameters
                    
                    .. attribute:: probe_delay
                    
                    	Specify the time between two probes in msec
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Traceroute, self).__init__()

                        self.yang_name = "traceroute"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.probe_delay = YLeaf(YType.uint16, "probe-delay")
                        self._segment_path = lambda: "traceroute"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Traceroute, ['probe_delay'], name, value)


                class Unreachable(Entity):
                    """
                    Specify unreachable parameters
                    
                    .. attribute:: relative
                    
                    	short/long term in percentage. e.g. 125 is short/long = 1.25
                    	**type**\: int
                    
                    	**range:** 1..1000
                    
                    .. attribute:: threshold
                    
                    	Maximum absolute unreachable threshold (flows\-per\-million)
                    	**type**\: int
                    
                    	**range:** 1..1000000
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Pfr.Master.IcmpModeConfigPfrMc.Unreachable, self).__init__()

                        self.yang_name = "unreachable"
                        self.yang_parent_name = "icmp-Mode-config-pfr-mc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.relative = YLeaf(YType.uint16, "relative")

                        self.threshold = YLeaf(YType.uint32, "threshold")
                        self._segment_path = lambda: "unreachable"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/pfr/Cisco-IOS-XE-pfr:master/icmp-Mode-config-pfr-mc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Pfr.Master.IcmpModeConfigPfrMc.Unreachable, ['relative', 'threshold'], name, value)


    class PfrMap(Entity):
        """
        Create pfr\-map and enter pfr\-map command mode
        
        .. attribute:: pfr_tg  <key>
        
        	pfr\-map tag
        	**type**\: str
        
        .. attribute:: match
        
        	Match values for PfR policy
        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Match>`
        
        .. attribute:: set
        
        	Set values for PfR policy
        	**type**\:  :py:class:`Set <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.PfrMap, self).__init__()

            self.yang_name = "pfr-map"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-pfr:match" : ("match", Native.PfrMap.Match), "Cisco-IOS-XE-pfr:set" : ("set", Native.PfrMap.Set)}
            self._child_list_classes = {}

            self.pfr_tg = YLeaf(YType.str, "pfr-tg")

            self.match = Native.PfrMap.Match()
            self.match.parent = self
            self._children_name_map["match"] = "match"
            self._children_yang_names.add("match")

            self.set = Native.PfrMap.Set()
            self.set.parent = self
            self._children_name_map["set"] = "set"
            self._children_yang_names.add("set")
            self._segment_path = lambda: "pfr-map" + "[pfr-tg='" + self.pfr_tg.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.PfrMap, ['pfr_tg'], name, value)


        class Match(Entity):
            """
            Match values for PfR policy
            
            .. attribute:: ip
            
            	IP specific information
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Match.Ip>`
            
            .. attribute:: pfr
            
            	Match PfR prefixes
            	**type**\:  :py:class:`Pfr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Match.Pfr>`
            
            .. attribute:: traffic_class
            
            	Specify Traffic class
            	**type**\:  :py:class:`TrafficClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Match.TrafficClass>`
            
            

            """

            _prefix = 'ios-pfr'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PfrMap.Match, self).__init__()

                self.yang_name = "match"
                self.yang_parent_name = "pfr-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"ip" : ("ip", Native.PfrMap.Match.Ip), "pfr" : ("pfr", Native.PfrMap.Match.Pfr), "traffic-class" : ("traffic_class", Native.PfrMap.Match.TrafficClass)}
                self._child_list_classes = {}

                self.ip = Native.PfrMap.Match.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.pfr = Native.PfrMap.Match.Pfr()
                self.pfr.parent = self
                self._children_name_map["pfr"] = "pfr"
                self._children_yang_names.add("pfr")

                self.traffic_class = Native.PfrMap.Match.TrafficClass()
                self.traffic_class.parent = self
                self._children_name_map["traffic_class"] = "traffic-class"
                self._children_yang_names.add("traffic-class")
                self._segment_path = lambda: "Cisco-IOS-XE-pfr:match"


            class Ip(Entity):
                """
                IP specific information
                
                .. attribute:: address
                
                	Match address
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PfrMap.Match.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "match"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.empty, "address")
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PfrMap.Match.Ip, ['address'], name, value)


            class Pfr(Entity):
                """
                Match PfR prefixes
                
                .. attribute:: learn
                
                	Match PfR learned prefixes
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PfrMap.Match.Pfr, self).__init__()

                    self.yang_name = "pfr"
                    self.yang_parent_name = "match"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.learn = YLeaf(YType.empty, "learn")
                    self._segment_path = lambda: "pfr"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PfrMap.Match.Pfr, ['learn'], name, value)


            class TrafficClass(Entity):
                """
                Specify Traffic class
                
                .. attribute:: access_list
                
                	Specify Traffic class(es) using access\-list
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: application
                
                	Specify the application to learn
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: prefix_list
                
                	Specify Traffic class(es) using prefix\-list
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PfrMap.Match.TrafficClass, self).__init__()

                    self.yang_name = "traffic-class"
                    self.yang_parent_name = "match"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.access_list = YLeaf(YType.empty, "access-list")

                    self.application = YLeaf(YType.empty, "application")

                    self.prefix_list = YLeaf(YType.empty, "prefix-list")
                    self._segment_path = lambda: "traffic-class"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PfrMap.Match.TrafficClass, ['access_list', 'application', 'prefix_list'], name, value)


        class Set(Entity):
            """
            Set values for PfR policy
            
            .. attribute:: active_probe
            
            	Manually create an active probe for a known target
            	**type**\:  :py:class:`ActiveProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe>`
            
            .. attribute:: backoff
            
            	Specify backoff timer parameters
            	**type**\:  :py:class:`Backoff <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.Backoff>`
            
            .. attribute:: delay
            
            	Specify delay parameters
            	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.Delay>`
            
            .. attribute:: holddown
            
            	Specify hold\-down timer parameter (secs)
            	**type**\: int
            
            	**range:** 90..65535
            
            .. attribute:: interface
            
            	Set the forwarding interface to Null0
            	**type**\: str
            
            .. attribute:: jitter
            
            	Specify jitter parameters
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: link_group
            
            	Specify the link group
            	**type**\:  :py:class:`LinkGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.LinkGroup>`
            
            .. attribute:: loss
            
            	Specify loss parameters
            	**type**\:  :py:class:`Loss <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.Loss>`
            
            .. attribute:: mode
            
            	Specify PfR operating mode settings
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: mos
            
            	Specify mos parameters
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: next_hop
            
            	Specify the next\-hop ip address
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: periodic
            
            	Specify periodic rotation timer value
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: probe
            
            	Specify active probe parameter
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: resolve
            
            	Specify PfR policy resolver settings
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: traceroute
            
            	Enable traceroute
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: trap_enable
            
            	Enable PfR MIB Traps
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: trigger_log_percentage
            
            	Specify the percentage of out\-of\-policy TCs that will trigger a syslog
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: unreachable
            
            	Specify unreachable parameters
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-pfr'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PfrMap.Set, self).__init__()

                self.yang_name = "set"
                self.yang_parent_name = "pfr-map"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"active-probe" : ("active_probe", Native.PfrMap.Set.ActiveProbe), "backoff" : ("backoff", Native.PfrMap.Set.Backoff), "delay" : ("delay", Native.PfrMap.Set.Delay), "link-group" : ("link_group", Native.PfrMap.Set.LinkGroup), "loss" : ("loss", Native.PfrMap.Set.Loss)}
                self._child_list_classes = {}

                self.holddown = YLeaf(YType.uint16, "holddown")

                self.interface = YLeaf(YType.str, "interface")

                self.jitter = YLeaf(YType.empty, "jitter")

                self.mode = YLeaf(YType.empty, "mode")

                self.mos = YLeaf(YType.empty, "mos")

                self.next_hop = YLeaf(YType.empty, "next-hop")

                self.periodic = YLeaf(YType.empty, "periodic")

                self.probe = YLeaf(YType.empty, "probe")

                self.resolve = YLeaf(YType.empty, "resolve")

                self.traceroute = YLeaf(YType.empty, "traceroute")

                self.trap_enable = YLeaf(YType.empty, "trap-enable")

                self.trigger_log_percentage = YLeaf(YType.empty, "trigger-log-percentage")

                self.unreachable = YLeaf(YType.empty, "unreachable")

                self.active_probe = Native.PfrMap.Set.ActiveProbe()
                self.active_probe.parent = self
                self._children_name_map["active_probe"] = "active-probe"
                self._children_yang_names.add("active-probe")

                self.backoff = Native.PfrMap.Set.Backoff()
                self.backoff.parent = self
                self._children_name_map["backoff"] = "backoff"
                self._children_yang_names.add("backoff")

                self.delay = Native.PfrMap.Set.Delay()
                self.delay.parent = self
                self._children_name_map["delay"] = "delay"
                self._children_yang_names.add("delay")

                self.link_group = Native.PfrMap.Set.LinkGroup()
                self.link_group.parent = self
                self._children_name_map["link_group"] = "link-group"
                self._children_yang_names.add("link-group")

                self.loss = Native.PfrMap.Set.Loss()
                self.loss.parent = self
                self._children_name_map["loss"] = "loss"
                self._children_yang_names.add("loss")
                self._segment_path = lambda: "Cisco-IOS-XE-pfr:set"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.PfrMap.Set, ['holddown', 'interface', 'jitter', 'mode', 'mos', 'next_hop', 'periodic', 'probe', 'resolve', 'traceroute', 'trap_enable', 'trigger_log_percentage', 'unreachable'], name, value)


            class ActiveProbe(Entity):
                """
                Manually create an active probe for a known target
                
                .. attribute:: echo
                
                	Perform ICMP echo probe operations
                	**type**\:  :py:class:`Echo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.Echo>`
                
                .. attribute:: jitter
                
                	Perform jitter probe operations (requires a responder)
                	**type**\:  :py:class:`Jitter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.Jitter>`
                
                .. attribute:: tcp_conn
                
                	Perform TCP Connection / Disconnect probe operations
                	**type**\:  :py:class:`TcpConn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.TcpConn>`
                
                .. attribute:: udp_echo
                
                	Perform UDP Echo probe operations (requires a responder)
                	**type**\:  :py:class:`UdpEcho <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.UdpEcho>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PfrMap.Set.ActiveProbe, self).__init__()

                    self.yang_name = "active-probe"
                    self.yang_parent_name = "set"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"echo" : ("echo", Native.PfrMap.Set.ActiveProbe.Echo), "jitter" : ("jitter", Native.PfrMap.Set.ActiveProbe.Jitter), "tcp-conn" : ("tcp_conn", Native.PfrMap.Set.ActiveProbe.TcpConn), "udp-echo" : ("udp_echo", Native.PfrMap.Set.ActiveProbe.UdpEcho)}
                    self._child_list_classes = {}

                    self.echo = Native.PfrMap.Set.ActiveProbe.Echo()
                    self.echo.parent = self
                    self._children_name_map["echo"] = "echo"
                    self._children_yang_names.add("echo")

                    self.jitter = Native.PfrMap.Set.ActiveProbe.Jitter()
                    self.jitter.parent = self
                    self._children_name_map["jitter"] = "jitter"
                    self._children_yang_names.add("jitter")

                    self.tcp_conn = Native.PfrMap.Set.ActiveProbe.TcpConn()
                    self.tcp_conn.parent = self
                    self._children_name_map["tcp_conn"] = "tcp-conn"
                    self._children_yang_names.add("tcp-conn")

                    self.udp_echo = Native.PfrMap.Set.ActiveProbe.UdpEcho()
                    self.udp_echo.parent = self
                    self._children_name_map["udp_echo"] = "udp-echo"
                    self._children_yang_names.add("udp-echo")
                    self._segment_path = lambda: "active-probe"


                class Echo(Entity):
                    """
                    Perform ICMP echo probe operations
                    
                    .. attribute:: ipv4_or_hostname
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.Echo.Ipv4OrHostname>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PfrMap.Set.ActiveProbe.Echo, self).__init__()

                        self.yang_name = "echo"
                        self.yang_parent_name = "active-probe"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4-or-hostname" : ("ipv4_or_hostname", Native.PfrMap.Set.ActiveProbe.Echo.Ipv4OrHostname)}

                        self.ipv4_or_hostname = YList(self)
                        self._segment_path = lambda: "echo"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PfrMap.Set.ActiveProbe.Echo, [], name, value)


                    class Ipv4OrHostname(Entity):
                        """
                        
                        
                        .. attribute:: ipv4_or_hostname  <key>
                        
                        	IP address of probe target
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        .. attribute:: dscp
                        
                        	Specify the DSCP value
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PfrMap.Set.ActiveProbe.Echo.Ipv4OrHostname, self).__init__()

                            self.yang_name = "ipv4-or-hostname"
                            self.yang_parent_name = "echo"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4_or_hostname = YLeaf(YType.str, "ipv4-or-hostname")

                            self.dscp = YLeaf(YType.empty, "dscp")
                            self._segment_path = lambda: "ipv4-or-hostname" + "[ipv4-or-hostname='" + self.ipv4_or_hostname.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PfrMap.Set.ActiveProbe.Echo.Ipv4OrHostname, ['ipv4_or_hostname', 'dscp'], name, value)


                class Jitter(Entity):
                    """
                    Perform jitter probe operations (requires a responder)
                    
                    .. attribute:: ipv4_or_hostname
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.Jitter.Ipv4OrHostname>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PfrMap.Set.ActiveProbe.Jitter, self).__init__()

                        self.yang_name = "jitter"
                        self.yang_parent_name = "active-probe"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4-or-hostname" : ("ipv4_or_hostname", Native.PfrMap.Set.ActiveProbe.Jitter.Ipv4OrHostname)}

                        self.ipv4_or_hostname = YList(self)
                        self._segment_path = lambda: "jitter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PfrMap.Set.ActiveProbe.Jitter, [], name, value)


                    class Ipv4OrHostname(Entity):
                        """
                        
                        
                        .. attribute:: ipv4_or_hostname  <key>
                        
                        	IP address of probe target
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        .. attribute:: target_port
                        
                        	Required Target Port for udp\-echo or tcp\-conn or jitter
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PfrMap.Set.ActiveProbe.Jitter.Ipv4OrHostname, self).__init__()

                            self.yang_name = "ipv4-or-hostname"
                            self.yang_parent_name = "jitter"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4_or_hostname = YLeaf(YType.str, "ipv4-or-hostname")

                            self.target_port = YLeaf(YType.empty, "target-port")
                            self._segment_path = lambda: "ipv4-or-hostname" + "[ipv4-or-hostname='" + self.ipv4_or_hostname.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PfrMap.Set.ActiveProbe.Jitter.Ipv4OrHostname, ['ipv4_or_hostname', 'target_port'], name, value)


                class TcpConn(Entity):
                    """
                    Perform TCP Connection / Disconnect probe operations
                    
                    .. attribute:: ipv4_or_hostname
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.TcpConn.Ipv4OrHostname>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PfrMap.Set.ActiveProbe.TcpConn, self).__init__()

                        self.yang_name = "tcp-conn"
                        self.yang_parent_name = "active-probe"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4-or-hostname" : ("ipv4_or_hostname", Native.PfrMap.Set.ActiveProbe.TcpConn.Ipv4OrHostname)}

                        self.ipv4_or_hostname = YList(self)
                        self._segment_path = lambda: "tcp-conn"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PfrMap.Set.ActiveProbe.TcpConn, [], name, value)


                    class Ipv4OrHostname(Entity):
                        """
                        
                        
                        .. attribute:: ipv4_or_hostname  <key>
                        
                        	IP address of probe target
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        .. attribute:: target_port
                        
                        	Required Target Port for udp\-echo or tcp\-conn or jitter
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PfrMap.Set.ActiveProbe.TcpConn.Ipv4OrHostname, self).__init__()

                            self.yang_name = "ipv4-or-hostname"
                            self.yang_parent_name = "tcp-conn"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4_or_hostname = YLeaf(YType.str, "ipv4-or-hostname")

                            self.target_port = YLeaf(YType.empty, "target-port")
                            self._segment_path = lambda: "ipv4-or-hostname" + "[ipv4-or-hostname='" + self.ipv4_or_hostname.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PfrMap.Set.ActiveProbe.TcpConn.Ipv4OrHostname, ['ipv4_or_hostname', 'target_port'], name, value)


                class UdpEcho(Entity):
                    """
                    Perform UDP Echo probe operations (requires a responder)
                    
                    .. attribute:: ipv4_or_hostname
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv4OrHostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.ActiveProbe.UdpEcho.Ipv4OrHostname>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PfrMap.Set.ActiveProbe.UdpEcho, self).__init__()

                        self.yang_name = "udp-echo"
                        self.yang_parent_name = "active-probe"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4-or-hostname" : ("ipv4_or_hostname", Native.PfrMap.Set.ActiveProbe.UdpEcho.Ipv4OrHostname)}

                        self.ipv4_or_hostname = YList(self)
                        self._segment_path = lambda: "udp-echo"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PfrMap.Set.ActiveProbe.UdpEcho, [], name, value)


                    class Ipv4OrHostname(Entity):
                        """
                        
                        
                        .. attribute:: ipv4_or_hostname  <key>
                        
                        	IP address of probe target
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
                        
                        .. attribute:: target_port
                        
                        	Required Target Port for udp\-echo or tcp\-conn or jitter
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PfrMap.Set.ActiveProbe.UdpEcho.Ipv4OrHostname, self).__init__()

                            self.yang_name = "ipv4-or-hostname"
                            self.yang_parent_name = "udp-echo"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4_or_hostname = YLeaf(YType.str, "ipv4-or-hostname")

                            self.target_port = YLeaf(YType.empty, "target-port")
                            self._segment_path = lambda: "ipv4-or-hostname" + "[ipv4-or-hostname='" + self.ipv4_or_hostname.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PfrMap.Set.ActiveProbe.UdpEcho.Ipv4OrHostname, ['ipv4_or_hostname', 'target_port'], name, value)


            class Backoff(Entity):
                """
                Specify backoff timer parameters
                
                .. attribute:: boff_t
                
                	
                	**type**\: list of  		 :py:class:`BoffT <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.Backoff.BoffT>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PfrMap.Set.Backoff, self).__init__()

                    self.yang_name = "backoff"
                    self.yang_parent_name = "set"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"boff-t" : ("boff_t", Native.PfrMap.Set.Backoff.BoffT)}

                    self.boff_t = YList(self)
                    self._segment_path = lambda: "backoff"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PfrMap.Set.Backoff, [], name, value)


                class BoffT(Entity):
                    """
                    
                    
                    .. attribute:: boff_t  <key>
                    
                    	Specify minimum value of backoff timer (secs)
                    	**type**\: int
                    
                    	**range:** 90..7200
                    
                    .. attribute:: boff_t0
                    
                    	
                    	**type**\: list of  		 :py:class:`BoffT0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.Backoff.BoffT.BoffT0>`
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PfrMap.Set.Backoff.BoffT, self).__init__()

                        self.yang_name = "boff-t"
                        self.yang_parent_name = "backoff"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"boff-t0" : ("boff_t0", Native.PfrMap.Set.Backoff.BoffT.BoffT0)}

                        self.boff_t = YLeaf(YType.uint16, "boff-t")

                        self.boff_t0 = YList(self)
                        self._segment_path = lambda: "boff-t" + "[boff-t='" + self.boff_t.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PfrMap.Set.Backoff.BoffT, ['boff_t'], name, value)


                    class BoffT0(Entity):
                        """
                        
                        
                        .. attribute:: boff_t0  <key>
                        
                        	Specify maximum value of backoff timer (secs)
                        	**type**\: int
                        
                        	**range:** 90..7200
                        
                        .. attribute:: boff_rng
                        
                        	Specify optional backoff timer step (secs)
                        	**type**\: int
                        
                        	**range:** 90..7110
                        
                        

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PfrMap.Set.Backoff.BoffT.BoffT0, self).__init__()

                            self.yang_name = "boff-t0"
                            self.yang_parent_name = "boff-t"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.boff_t0 = YLeaf(YType.uint16, "boff-t0")

                            self.boff_rng = YLeaf(YType.uint16, "boff-rng")
                            self._segment_path = lambda: "boff-t0" + "[boff-t0='" + self.boff_t0.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PfrMap.Set.Backoff.BoffT.BoffT0, ['boff_t0', 'boff_rng'], name, value)


            class Delay(Entity):
                """
                Specify delay parameters
                
                .. attribute:: relative
                
                	Maximum allowable relative change from short to long term
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: threshold
                
                	Maximum allowable absolute delay
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PfrMap.Set.Delay, self).__init__()

                    self.yang_name = "delay"
                    self.yang_parent_name = "set"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.relative = YLeaf(YType.empty, "relative")

                    self.threshold = YLeaf(YType.empty, "threshold")
                    self._segment_path = lambda: "delay"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PfrMap.Set.Delay, ['relative', 'threshold'], name, value)


            class LinkGroup(Entity):
                """
                Specify the link group
                
                .. attribute:: lg_name
                
                	
                	**type**\: list of  		 :py:class:`LgName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.LinkGroup.LgName>`
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PfrMap.Set.LinkGroup, self).__init__()

                    self.yang_name = "link-group"
                    self.yang_parent_name = "set"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"lg-name" : ("lg_name", Native.PfrMap.Set.LinkGroup.LgName)}

                    self.lg_name = YList(self)
                    self._segment_path = lambda: "link-group"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PfrMap.Set.LinkGroup, [], name, value)


                class LgName(Entity):
                    """
                    
                    
                    .. attribute:: lg_name  <key>
                    
                    	Specify primary link group name
                    	**type**\: str
                    
                    .. attribute:: fallback
                    
                    	Specify the fallback link group
                    	**type**\:  :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PfrMap.Set.LinkGroup.LgName.Fallback>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-pfr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PfrMap.Set.LinkGroup.LgName, self).__init__()

                        self.yang_name = "lg-name"
                        self.yang_parent_name = "link-group"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"fallback" : ("fallback", Native.PfrMap.Set.LinkGroup.LgName.Fallback)}
                        self._child_list_classes = {}

                        self.lg_name = YLeaf(YType.str, "lg-name")

                        self.fallback = None
                        self._children_name_map["fallback"] = "fallback"
                        self._children_yang_names.add("fallback")
                        self._segment_path = lambda: "lg-name" + "[lg-name='" + self.lg_name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PfrMap.Set.LinkGroup.LgName, ['lg_name'], name, value)


                    class Fallback(Entity):
                        """
                        Specify the fallback link group
                        
                        .. attribute:: fall_name
                        
                        	Specify Fallback link group name
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-pfr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PfrMap.Set.LinkGroup.LgName.Fallback, self).__init__()

                            self.yang_name = "fallback"
                            self.yang_parent_name = "lg-name"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.fall_name = YLeaf(YType.str, "fall-name")
                            self._segment_path = lambda: "fallback"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PfrMap.Set.LinkGroup.LgName.Fallback, ['fall_name'], name, value)


            class Loss(Entity):
                """
                Specify loss parameters
                
                .. attribute:: relative
                
                	short/long term in percentage. e.g. 125 is short/long = 1.25
                	**type**\: int
                
                	**range:** 1..1000
                
                .. attribute:: threshold
                
                	Maximum absolute lost packet threshold in percentage e.g., 1 is 0.0001 percent
                	**type**\: int
                
                	**range:** 1..1000000
                
                

                """

                _prefix = 'ios-pfr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PfrMap.Set.Loss, self).__init__()

                    self.yang_name = "loss"
                    self.yang_parent_name = "set"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.relative = YLeaf(YType.uint16, "relative")

                    self.threshold = YLeaf(YType.uint32, "threshold")
                    self._segment_path = lambda: "loss"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PfrMap.Set.Loss, ['relative', 'threshold'], name, value)


    class FacilityAlarm(Entity):
        """
        Configure facility alarms
        
        .. attribute:: severity
        
        	
        	**type**\:  :py:class:`Severity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.FacilityAlarm.Severity>`
        
        .. attribute:: exceed_action
        
        	Behavior on critical threshold exceed
        	**type**\:  :py:class:`ExceedAction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.FacilityAlarm.ExceedAction>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.FacilityAlarm, self).__init__()

            self.yang_name = "facility-alarm"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.severity = YLeaf(YType.enumeration, "severity")

            self.exceed_action = YLeaf(YType.enumeration, "exceed-action")
            self._segment_path = lambda: "facility-alarm"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.FacilityAlarm, ['severity', 'exceed_action'], name, value)

        class ExceedAction(Enum):
            """
            ExceedAction

            Behavior on critical threshold exceed

            .. data:: shutdown = 0

            """

            shutdown = Enum.YLeaf(0, "shutdown")


        class Severity(Enum):
            """
            Severity

            .. data:: critical = 0

            """

            critical = Enum.YLeaf(0, "critical")



    class Setup(Entity):
        """
        Configure setup options
        
        .. attribute:: express
        
        	Configure whether express setup mode is enabled
        	**type**\: bool
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Setup, self).__init__()

            self.yang_name = "setup"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.express = YLeaf(YType.boolean, "Cisco-IOS-XE-switch:express")
            self._segment_path = lambda: "setup"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Setup, ['express'], name, value)


    class TodClock(Entity):
        """
        Tod clock config commands
        
        .. attribute:: input_source
        
        	Synchronization Input Source
        	**type**\:  :py:class:`InputSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TodClock.InputSource>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.TodClock, self).__init__()

            self.yang_name = "tod-clock"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"input-source" : ("input_source", Native.TodClock.InputSource)}
            self._child_list_classes = {}

            self.input_source = Native.TodClock.InputSource()
            self.input_source.parent = self
            self._children_name_map["input_source"] = "input-source"
            self._children_yang_names.add("input-source")
            self._segment_path = lambda: "tod-clock"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class InputSource(Entity):
            """
            Synchronization Input Source
            
            .. attribute:: priority
            
            	
            	**type**\: int
            
            	**range:** 1..250
            
            .. attribute:: ptp
            
            	
            	**type**\:  :py:class:`Ptp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TodClock.InputSource.Ptp>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.TodClock.InputSource, self).__init__()

                self.yang_name = "input-source"
                self.yang_parent_name = "tod-clock"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ptp" : ("ptp", Native.TodClock.InputSource.Ptp)}
                self._child_list_classes = {}

                self.priority = YLeaf(YType.uint8, "priority")

                self.ptp = Native.TodClock.InputSource.Ptp()
                self.ptp.parent = self
                self._children_name_map["ptp"] = "ptp"
                self._children_yang_names.add("ptp")
                self._segment_path = lambda: "input-source"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/tod-clock/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.TodClock.InputSource, ['priority'], name, value)


            class Ptp(Entity):
                """
                
                
                .. attribute:: domain
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.TodClock.InputSource.Ptp, self).__init__()

                    self.yang_name = "ptp"
                    self.yang_parent_name = "input-source"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.domain = YLeaf(YType.uint8, "domain")
                    self._segment_path = lambda: "ptp"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/tod-clock/input-source/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.TodClock.InputSource.Ptp, ['domain'], name, value)


    class NetworkClock(Entity):
        """
        Network clock config commands
        
        .. attribute:: synchronization
        
        	Network clock synchronization selection process
        	**type**\:  :py:class:`Synchronization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.Synchronization>`
        
        .. attribute:: wait_to_restore
        
        	Wait\-to\-Restore timer
        	**type**\:  :py:class:`WaitToRestore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.WaitToRestore>`
        
        .. attribute:: input_source
        
        	Synchronization Input Source
        	**type**\:  :py:class:`InputSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.NetworkClock, self).__init__()

            self.yang_name = "network-clock"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"synchronization" : ("synchronization", Native.NetworkClock.Synchronization), "wait-to-restore" : ("wait_to_restore", Native.NetworkClock.WaitToRestore), "input-source" : ("input_source", Native.NetworkClock.InputSource)}
            self._child_list_classes = {}

            self.synchronization = Native.NetworkClock.Synchronization()
            self.synchronization.parent = self
            self._children_name_map["synchronization"] = "synchronization"
            self._children_yang_names.add("synchronization")

            self.wait_to_restore = Native.NetworkClock.WaitToRestore()
            self.wait_to_restore.parent = self
            self._children_name_map["wait_to_restore"] = "wait-to-restore"
            self._children_yang_names.add("wait-to-restore")

            self.input_source = Native.NetworkClock.InputSource()
            self.input_source.parent = self
            self._children_name_map["input_source"] = "input-source"
            self._children_yang_names.add("input-source")
            self._segment_path = lambda: "network-clock"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Synchronization(Entity):
            """
            Network clock synchronization selection process
            
            .. attribute:: automatic
            
            	ITU\-T G.781/Telcordia standard based
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: mode
            
            	synchronization networking mode
            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.Synchronization.Mode>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.NetworkClock.Synchronization, self).__init__()

                self.yang_name = "synchronization"
                self.yang_parent_name = "network-clock"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.automatic = YLeaf(YType.empty, "automatic")

                self.mode = YLeaf(YType.enumeration, "mode")
                self._segment_path = lambda: "synchronization"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/network-clock/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.NetworkClock.Synchronization, ['automatic', 'mode'], name, value)

            class Mode(Enum):
                """
                Mode

                synchronization networking mode

                .. data:: QL_enabled = 0

                """

                QL_enabled = Enum.YLeaf(0, "QL-enabled")



        class WaitToRestore(Entity):
            """
            Wait\-to\-Restore timer
            
            .. attribute:: time
            
            	Wait\-to\-Restore time
            	**type**\: int
            
            	**range:** 0..86400
            
            .. attribute:: global_
            
            	Global
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.NetworkClock.WaitToRestore, self).__init__()

                self.yang_name = "wait-to-restore"
                self.yang_parent_name = "network-clock"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.time = YLeaf(YType.uint32, "time")

                self.global_ = YLeaf(YType.empty, "global")
                self._segment_path = lambda: "wait-to-restore"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/network-clock/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.NetworkClock.WaitToRestore, ['time', 'global_'], name, value)


        class InputSource(Entity):
            """
            Synchronization Input Source
            
            .. attribute:: priority
            
            	
            	**type**\: int
            
            	**range:** 1..250
            
            .. attribute:: interface
            
            	
            	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource.Interface>`
            
            .. attribute:: ptp
            
            	
            	**type**\:  :py:class:`Ptp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource.Ptp>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.NetworkClock.InputSource, self).__init__()

                self.yang_name = "input-source"
                self.yang_parent_name = "network-clock"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"interface" : ("interface", Native.NetworkClock.InputSource.Interface), "ptp" : ("ptp", Native.NetworkClock.InputSource.Ptp)}
                self._child_list_classes = {}

                self.priority = YLeaf(YType.uint8, "priority")

                self.interface = Native.NetworkClock.InputSource.Interface()
                self.interface.parent = self
                self._children_name_map["interface"] = "interface"
                self._children_yang_names.add("interface")

                self.ptp = Native.NetworkClock.InputSource.Ptp()
                self.ptp.parent = self
                self._children_name_map["ptp"] = "ptp"
                self._children_yang_names.add("ptp")
                self._segment_path = lambda: "input-source"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/network-clock/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.NetworkClock.InputSource, ['priority'], name, value)


            class Interface(Entity):
                """
                
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource.Interface.ATMSubinterface>`
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\: str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource.Interface.ATMACRsubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\: str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\: str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\: str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\: str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\: str
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource.Interface.LISPSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.NetworkClock.InputSource.Interface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\: str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\: str
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\: str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\: str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.NetworkClock.InputSource.Interface, self).__init__()

                    self.yang_name = "interface"
                    self.yang_parent_name = "input-source"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.NetworkClock.InputSource.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.NetworkClock.InputSource.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.NetworkClock.InputSource.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.NetworkClock.InputSource.Interface.PortChannelSubinterface)}
                    self._child_list_classes = {}

                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                    self.atm = YLeaf(YType.str, "ATM")

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                    self.bdi = YLeaf(YType.str, "BDI")

                    self.cem = YLeaf(YType.str, "CEM")

                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                    self.lisp = YLeaf(YType.str, "LISP")

                    self.loopback = YLeaf(YType.uint32, "Loopback")

                    self.multilink = YLeaf(YType.uint16, "Multilink")

                    self.nve = YLeaf(YType.uint16, "nve")

                    self.overlay = YLeaf(YType.uint16, "overlay")

                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                    self.sm = YLeaf(YType.str, "SM")

                    self.cellular = YLeaf(YType.str, "Cellular")

                    self.serial = YLeaf(YType.str, "Serial")

                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                    self.vlan = YLeaf(YType.uint16, "Vlan")

                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                    self.atm_subinterface = Native.NetworkClock.InputSource.Interface.ATMSubinterface()
                    self.atm_subinterface.parent = self
                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                    self._children_yang_names.add("ATM-subinterface")

                    self.atm_acrsubinterface = Native.NetworkClock.InputSource.Interface.ATMACRsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                    self._children_yang_names.add("ATM-ACRsubinterface")

                    self.lisp_subinterface = Native.NetworkClock.InputSource.Interface.LISPSubinterface()
                    self.lisp_subinterface.parent = self
                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                    self._children_yang_names.add("LISP-subinterface")

                    self.port_channel_subinterface = Native.NetworkClock.InputSource.Interface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                    self._children_yang_names.add("Port-channel-subinterface")
                    self._segment_path = lambda: "interface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/network-clock/input-source/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.NetworkClock.InputSource.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                class ATMSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.NetworkClock.InputSource.Interface.ATMSubinterface, self).__init__()

                        self.yang_name = "ATM-subinterface"
                        self.yang_parent_name = "interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm = YLeaf(YType.str, "ATM")
                        self._segment_path = lambda: "ATM-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/network-clock/input-source/interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.NetworkClock.InputSource.Interface.ATMSubinterface, ['atm'], name, value)


                class ATMACRsubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.NetworkClock.InputSource.Interface.ATMACRsubinterface, self).__init__()

                        self.yang_name = "ATM-ACRsubinterface"
                        self.yang_parent_name = "interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                        self._segment_path = lambda: "ATM-ACRsubinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/network-clock/input-source/interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.NetworkClock.InputSource.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                class LISPSubinterface(Entity):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.NetworkClock.InputSource.Interface.LISPSubinterface, self).__init__()

                        self.yang_name = "LISP-subinterface"
                        self.yang_parent_name = "interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.lisp = YLeaf(YType.str, "LISP")
                        self._segment_path = lambda: "LISP-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/network-clock/input-source/interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.NetworkClock.InputSource.Interface.LISPSubinterface, ['lisp'], name, value)


                class PortChannelSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.NetworkClock.InputSource.Interface.PortChannelSubinterface, self).__init__()

                        self.yang_name = "Port-channel-subinterface"
                        self.yang_parent_name = "interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_channel = YLeaf(YType.str, "Port-channel")
                        self._segment_path = lambda: "Port-channel-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/network-clock/input-source/interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.NetworkClock.InputSource.Interface.PortChannelSubinterface, ['port_channel'], name, value)


            class Ptp(Entity):
                """
                
                
                .. attribute:: domain
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.NetworkClock.InputSource.Ptp, self).__init__()

                    self.yang_name = "ptp"
                    self.yang_parent_name = "input-source"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.domain = YLeaf(YType.uint8, "domain")
                    self._segment_path = lambda: "ptp"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/network-clock/input-source/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.NetworkClock.InputSource.Ptp, ['domain'], name, value)


    class L2Vpn(Entity):
        """
        Layer2 VPN commands
        
        .. attribute:: pseudowire
        
        	Global pseudowire parameters
        	**type**\:  :py:class:`Pseudowire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire>`
        
        .. attribute:: vfi
        
        	Configure a Virtual Forwarding Instance (VFI)
        	**type**\:  :py:class:`Vfi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi>`
        
        .. attribute:: xconnect
        
        	Configure a cross connect
        	**type**\:  :py:class:`Xconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.L2Vpn, self).__init__()

            self.yang_name = "l2vpn"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-l2vpn:pseudowire" : ("pseudowire", Native.L2Vpn.Pseudowire), "Cisco-IOS-XE-l2vpn:vfi" : ("vfi", Native.L2Vpn.Vfi), "Cisco-IOS-XE-l2vpn:xconnect" : ("xconnect", Native.L2Vpn.Xconnect)}
            self._child_list_classes = {}

            self.pseudowire = Native.L2Vpn.Pseudowire()
            self.pseudowire.parent = self
            self._children_name_map["pseudowire"] = "pseudowire"
            self._children_yang_names.add("pseudowire")

            self.vfi = Native.L2Vpn.Vfi()
            self.vfi.parent = self
            self._children_name_map["vfi"] = "vfi"
            self._children_yang_names.add("vfi")

            self.xconnect = Native.L2Vpn.Xconnect()
            self.xconnect.parent = self
            self._children_name_map["xconnect"] = "xconnect"
            self._children_yang_names.add("xconnect")
            self._segment_path = lambda: "l2vpn"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Pseudowire(Entity):
            """
            Global pseudowire parameters
            
            .. attribute:: static_oam
            
            	Static PW OAM configuration
            	**type**\:  :py:class:`StaticOam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.StaticOam>`
            
            .. attribute:: tlv
            
            	Global PW TLV configuration
            	**type**\:  :py:class:`Tlv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.Tlv>`
            
            .. attribute:: group
            
            	Configure pseudowire group parameters
            	**type**\:  :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.Group>`
            
            .. attribute:: routing
            
            	Configure l2vpn pseudowire routing
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.L2Vpn.Pseudowire, self).__init__()

                self.yang_name = "pseudowire"
                self.yang_parent_name = "l2vpn"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"static-oam" : ("static_oam", Native.L2Vpn.Pseudowire.StaticOam), "tlv" : ("tlv", Native.L2Vpn.Pseudowire.Tlv), "group" : ("group", Native.L2Vpn.Pseudowire.Group)}
                self._child_list_classes = {}

                self.routing = YLeaf(YType.empty, "routing")

                self.static_oam = Native.L2Vpn.Pseudowire.StaticOam()
                self.static_oam.parent = self
                self._children_name_map["static_oam"] = "static-oam"
                self._children_yang_names.add("static-oam")

                self.tlv = Native.L2Vpn.Pseudowire.Tlv()
                self.tlv.parent = self
                self._children_name_map["tlv"] = "tlv"
                self._children_yang_names.add("tlv")

                self.group = Native.L2Vpn.Pseudowire.Group()
                self.group.parent = self
                self._children_name_map["group"] = "group"
                self._children_yang_names.add("group")
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:pseudowire"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.L2Vpn.Pseudowire, ['routing'], name, value)


            class StaticOam(Entity):
                """
                Static PW OAM configuration
                
                .. attribute:: class_
                
                	Static PW OAM class configuration
                	**type**\: list of  		 :py:class:`Class_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.StaticOam.Class_>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.L2Vpn.Pseudowire.StaticOam, self).__init__()

                    self.yang_name = "static-oam"
                    self.yang_parent_name = "pseudowire"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"class" : ("class_", Native.L2Vpn.Pseudowire.StaticOam.Class_)}

                    self.class_ = YList(self)
                    self._segment_path = lambda: "static-oam"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn/Cisco-IOS-XE-l2vpn:pseudowire/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.L2Vpn.Pseudowire.StaticOam, [], name, value)


                class Class_(Entity):
                    """
                    Static PW OAM class configuration
                    
                    .. attribute:: pw_nm  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: timeout
                    
                    	timeout configurations
                    	**type**\:  :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.L2Vpn.Pseudowire.StaticOam.Class_, self).__init__()

                        self.yang_name = "class"
                        self.yang_parent_name = "static-oam"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"timeout" : ("timeout", Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout)}
                        self._child_list_classes = {}

                        self.pw_nm = YLeaf(YType.str, "pw-nm")

                        self.timeout = Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout()
                        self.timeout.parent = self
                        self._children_name_map["timeout"] = "timeout"
                        self._children_yang_names.add("timeout")
                        self._segment_path = lambda: "class" + "[pw-nm='" + self.pw_nm.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn/Cisco-IOS-XE-l2vpn:pseudowire/static-oam/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.L2Vpn.Pseudowire.StaticOam.Class_, ['pw_nm'], name, value)


                    class Timeout(Entity):
                        """
                        timeout configurations
                        
                        .. attribute:: refresh
                        
                        	refresh timeout configurations
                        	**type**\:  :py:class:`Refresh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout, self).__init__()

                            self.yang_name = "timeout"
                            self.yang_parent_name = "class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"refresh" : ("refresh", Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh)}
                            self._child_list_classes = {}

                            self.refresh = Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh()
                            self.refresh.parent = self
                            self._children_name_map["refresh"] = "refresh"
                            self._children_yang_names.add("refresh")
                            self._segment_path = lambda: "timeout"


                        class Refresh(Entity):
                            """
                            refresh timeout configurations
                            
                            .. attribute:: send
                            
                            	refresh send timeout configuration
                            	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh.Send>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh, self).__init__()

                                self.yang_name = "refresh"
                                self.yang_parent_name = "timeout"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"send" : ("send", Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh.Send)}
                                self._child_list_classes = {}

                                self.send = Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh.Send()
                                self.send.parent = self
                                self._children_name_map["send"] = "send"
                                self._children_yang_names.add("send")
                                self._segment_path = lambda: "refresh"


                            class Send(Entity):
                                """
                                refresh send timeout configuration
                                
                                .. attribute:: interval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4095
                                
                                

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh.Send, self).__init__()

                                    self.yang_name = "send"
                                    self.yang_parent_name = "refresh"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint32, "interval")
                                    self._segment_path = lambda: "send"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.L2Vpn.Pseudowire.StaticOam.Class_.Timeout.Refresh.Send, ['interval'], name, value)


            class Tlv(Entity):
                """
                Global PW TLV configuration
                
                .. attribute:: template
                
                	PW TLV Template Keyword
                	**type**\: list of  		 :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.Tlv.Template>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.L2Vpn.Pseudowire.Tlv, self).__init__()

                    self.yang_name = "tlv"
                    self.yang_parent_name = "pseudowire"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"template" : ("template", Native.L2Vpn.Pseudowire.Tlv.Template)}

                    self.template = YList(self)
                    self._segment_path = lambda: "tlv"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn/Cisco-IOS-XE-l2vpn:pseudowire/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.L2Vpn.Pseudowire.Tlv, [], name, value)


                class Template(Entity):
                    """
                    PW TLV Template Keyword
                    
                    .. attribute:: tlv_nm  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: tlv
                    
                    	TLV config command
                    	**type**\:  :py:class:`Tlv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.Tlv.Template.Tlv>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.L2Vpn.Pseudowire.Tlv.Template, self).__init__()

                        self.yang_name = "template"
                        self.yang_parent_name = "tlv"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"tlv" : ("tlv", Native.L2Vpn.Pseudowire.Tlv.Template.Tlv)}
                        self._child_list_classes = {}

                        self.tlv_nm = YLeaf(YType.str, "tlv-nm")

                        self.tlv = Native.L2Vpn.Pseudowire.Tlv.Template.Tlv()
                        self.tlv.parent = self
                        self._children_name_map["tlv"] = "tlv"
                        self._children_yang_names.add("tlv")
                        self._segment_path = lambda: "template" + "[tlv-nm='" + self.tlv_nm.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn/Cisco-IOS-XE-l2vpn:pseudowire/tlv/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.L2Vpn.Pseudowire.Tlv.Template, ['tlv_nm'], name, value)


                    class Tlv(Entity):
                        """
                        TLV config command
                        
                        .. attribute:: tlv_type
                        
                        	
                        	**type**\:  :py:class:`TlvType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.Tlv.Template.Tlv.TlvType>`
                        
                        .. attribute:: tlv_description
                        
                        	
                        	**type**\:  :py:class:`TlvDescription <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Pseudowire.Tlv.Template.Tlv.TlvDescription>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.L2Vpn.Pseudowire.Tlv.Template.Tlv, self).__init__()

                            self.yang_name = "tlv"
                            self.yang_parent_name = "template"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"tlv-type" : ("tlv_type", Native.L2Vpn.Pseudowire.Tlv.Template.Tlv.TlvType), "tlv-description" : ("tlv_description", Native.L2Vpn.Pseudowire.Tlv.Template.Tlv.TlvDescription)}
                            self._child_list_classes = {}

                            self.tlv_type = Native.L2Vpn.Pseudowire.Tlv.Template.Tlv.TlvType()
                            self.tlv_type.parent = self
                            self._children_name_map["tlv_type"] = "tlv-type"
                            self._children_yang_names.add("tlv-type")

                            self.tlv_description = Native.L2Vpn.Pseudowire.Tlv.Template.Tlv.TlvDescription()
                            self.tlv_description.parent = self
                            self._children_name_map["tlv_description"] = "tlv-description"
                            self._children_yang_names.add("tlv-description")
                            self._segment_path = lambda: "tlv"


                        class TlvType(Entity):
                            """
                            
                            
                            .. attribute:: type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..40
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.L2Vpn.Pseudowire.Tlv.Template.Tlv.TlvType, self).__init__()

                                self.yang_name = "tlv-type"
                                self.yang_parent_name = "tlv"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.type = YLeaf(YType.uint8, "type")
                                self._segment_path = lambda: "tlv-type"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.L2Vpn.Pseudowire.Tlv.Template.Tlv.TlvType, ['type'], name, value)


                        class TlvDescription(Entity):
                            """
                            
                            
                            .. attribute:: description
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.L2Vpn.Pseudowire.Tlv.Template.Tlv.TlvDescription, self).__init__()

                                self.yang_name = "tlv-description"
                                self.yang_parent_name = "tlv"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.description = YLeaf(YType.str, "description")
                                self._segment_path = lambda: "tlv-description"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.L2Vpn.Pseudowire.Tlv.Template.Tlv.TlvDescription, ['description'], name, value)


            class Group(Entity):
                """
                Configure pseudowire group parameters
                
                .. attribute:: status
                
                	Send pseudowire group status messages
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.L2Vpn.Pseudowire.Group, self).__init__()

                    self.yang_name = "group"
                    self.yang_parent_name = "pseudowire"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.status = YLeaf(YType.empty, "status")
                    self._segment_path = lambda: "group"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn/Cisco-IOS-XE-l2vpn:pseudowire/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.L2Vpn.Pseudowire.Group, ['status'], name, value)


        class Vfi(Entity):
            """
            Configure a Virtual Forwarding Instance (VFI)
            
            .. attribute:: context
            
            	Layer2 VPN Context
            	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.L2Vpn.Vfi, self).__init__()

                self.yang_name = "vfi"
                self.yang_parent_name = "l2vpn"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"context" : ("context", Native.L2Vpn.Vfi.Context)}

                self.context = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:vfi"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.L2Vpn.Vfi, [], name, value)


            class Context(Entity):
                """
                Layer2 VPN Context
                
                .. attribute:: vfi_nm  <key>
                
                	Virtual Forwarding Instance (VFI) name
                	**type**\: str
                
                .. attribute:: autodiscovery
                
                	Auto Discovery mode
                	**type**\:  :py:class:`Autodiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context.Autodiscovery>`
                
                .. attribute:: vpn
                
                	VPN configuration
                	**type**\:  :py:class:`Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context.Vpn>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.L2Vpn.Vfi.Context, self).__init__()

                    self.yang_name = "context"
                    self.yang_parent_name = "vfi"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"autodiscovery" : ("autodiscovery", Native.L2Vpn.Vfi.Context.Autodiscovery), "vpn" : ("vpn", Native.L2Vpn.Vfi.Context.Vpn)}
                    self._child_list_classes = {}

                    self.vfi_nm = YLeaf(YType.str, "vfi-nm")

                    self.autodiscovery = Native.L2Vpn.Vfi.Context.Autodiscovery()
                    self.autodiscovery.parent = self
                    self._children_name_map["autodiscovery"] = "autodiscovery"
                    self._children_yang_names.add("autodiscovery")

                    self.vpn = Native.L2Vpn.Vfi.Context.Vpn()
                    self.vpn.parent = self
                    self._children_name_map["vpn"] = "vpn"
                    self._children_yang_names.add("vpn")
                    self._segment_path = lambda: "context" + "[vfi-nm='" + self.vfi_nm.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn/Cisco-IOS-XE-l2vpn:vfi/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.L2Vpn.Vfi.Context, ['vfi_nm'], name, value)


                class Autodiscovery(Entity):
                    """
                    Auto Discovery mode
                    
                    .. attribute:: bgp
                    
                    	Use BGP for neighbor discovery
                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.L2Vpn.Vfi.Context.Autodiscovery, self).__init__()

                        self.yang_name = "autodiscovery"
                        self.yang_parent_name = "context"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bgp" : ("bgp", Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp)}
                        self._child_list_classes = {}

                        self.bgp = Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp()
                        self.bgp.parent = self
                        self._children_name_map["bgp"] = "bgp"
                        self._children_yang_names.add("bgp")
                        self._segment_path = lambda: "autodiscovery"


                    class Bgp(Entity):
                        """
                        Use BGP for neighbor discovery
                        
                        .. attribute:: signaling
                        
                        	Signaling protocol to use
                        	**type**\:  :py:class:`Signaling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp, self).__init__()

                            self.yang_name = "bgp"
                            self.yang_parent_name = "autodiscovery"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"signaling" : ("signaling", Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling)}
                            self._child_list_classes = {}

                            self.signaling = Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling()
                            self.signaling.parent = self
                            self._children_name_map["signaling"] = "signaling"
                            self._children_yang_names.add("signaling")
                            self._segment_path = lambda: "bgp"


                        class Signaling(Entity):
                            """
                            Signaling protocol to use
                            
                            .. attribute:: bgp
                            
                            	Use BGP signaling and discovery
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Bgp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ldp
                            
                            	Use LDP signaling
                            	**type**\:  :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Ldp>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling, self).__init__()

                                self.yang_name = "signaling"
                                self.yang_parent_name = "bgp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bgp" : ("bgp", Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Bgp), "ldp" : ("ldp", Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Ldp)}
                                self._child_list_classes = {}

                                self.bgp = None
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.ldp = None
                                self._children_name_map["ldp"] = "ldp"
                                self._children_yang_names.add("ldp")
                                self._segment_path = lambda: "signaling"


                            class Bgp(Entity):
                                """
                                Use BGP signaling and discovery
                                
                                .. attribute:: template
                                
                                	Template to be used for autodiscovered pseudowires
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "signaling"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.template = YLeaf(YType.str, "template")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Bgp, ['template'], name, value)


                            class Ldp(Entity):
                                """
                                Use LDP signaling
                                
                                .. attribute:: template
                                
                                	Template to be used for autodiscovered pseudowires
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-l2vpn'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Ldp, self).__init__()

                                    self.yang_name = "ldp"
                                    self.yang_parent_name = "signaling"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.template = YLeaf(YType.str, "template")
                                    self._segment_path = lambda: "ldp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.L2Vpn.Vfi.Context.Autodiscovery.Bgp.Signaling.Ldp, ['template'], name, value)


                class Vpn(Entity):
                    """
                    VPN configuration
                    
                    .. attribute:: id
                    
                    	VPN id value
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.L2Vpn.Vfi.Context.Vpn, self).__init__()

                        self.yang_name = "vpn"
                        self.yang_parent_name = "context"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint32, "id")
                        self._segment_path = lambda: "vpn"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.L2Vpn.Vfi.Context.Vpn, ['id'], name, value)


        class Xconnect(Entity):
            """
            Configure a cross connect
            
            .. attribute:: context
            
            	Layer2 VPN Context
            	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context>`
            
            

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.L2Vpn.Xconnect, self).__init__()

                self.yang_name = "xconnect"
                self.yang_parent_name = "l2vpn"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"context" : ("context", Native.L2Vpn.Xconnect.Context)}

                self.context = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:xconnect"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.L2Vpn.Xconnect, [], name, value)


            class Context(Entity):
                """
                Layer2 VPN Context
                
                .. attribute:: xc_name  <key>
                
                	Configure the cross connect name
                	**type**\: str
                
                .. attribute:: xc_mode_config_xconnect
                
                	
                	**type**\:  :py:class:`XcModeConfigXconnect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.L2Vpn.Xconnect.Context, self).__init__()

                    self.yang_name = "context"
                    self.yang_parent_name = "xconnect"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"xc-Mode-config-xconnect" : ("xc_mode_config_xconnect", Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect)}
                    self._child_list_classes = {}

                    self.xc_name = YLeaf(YType.str, "xc-name")

                    self.xc_mode_config_xconnect = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect()
                    self.xc_mode_config_xconnect.parent = self
                    self._children_name_map["xc_mode_config_xconnect"] = "xc-Mode-config-xconnect"
                    self._children_yang_names.add("xc-Mode-config-xconnect")
                    self._segment_path = lambda: "context" + "[xc-name='" + self.xc_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn/Cisco-IOS-XE-l2vpn:xconnect/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.L2Vpn.Xconnect.Context, ['xc_name'], name, value)


                class XcModeConfigXconnect(Entity):
                    """
                    
                    
                    .. attribute:: description
                    
                    	Description string
                    	**type**\: str
                    
                    .. attribute:: interworking
                    
                    	Interworking options for the cross connect
                    	**type**\:  :py:class:`Interworking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Interworking>`
                    
                    .. attribute:: match
                    
                    	Set Xconnect packet matching criteria
                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match>`
                    
                    .. attribute:: member
                    
                    	Configure the cross connect member
                    	**type**\:  :py:class:`Member <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member>`
                    
                    .. attribute:: redundancy
                    
                    	Xconnect redundancy information
                    	**type**\:  :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy>`
                    
                    .. attribute:: remote
                    
                    	L2VPN remote peer configuration commands
                    	**type**\:  :py:class:`Remote <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote>`
                    
                    .. attribute:: shutdown
                    
                    	Shutdown Xconnect
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect, self).__init__()

                        self.yang_name = "xc-Mode-config-xconnect"
                        self.yang_parent_name = "context"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"interworking" : ("interworking", Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Interworking), "match" : ("match", Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match), "member" : ("member", Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member), "redundancy" : ("redundancy", Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy), "remote" : ("remote", Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote)}
                        self._child_list_classes = {}

                        self.description = YLeaf(YType.str, "description")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.interworking = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Interworking()
                        self.interworking.parent = self
                        self._children_name_map["interworking"] = "interworking"
                        self._children_yang_names.add("interworking")

                        self.match = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match()
                        self.match.parent = self
                        self._children_name_map["match"] = "match"
                        self._children_yang_names.add("match")

                        self.member = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member()
                        self.member.parent = self
                        self._children_name_map["member"] = "member"
                        self._children_yang_names.add("member")

                        self.redundancy = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy()
                        self.redundancy.parent = self
                        self._children_name_map["redundancy"] = "redundancy"
                        self._children_yang_names.add("redundancy")

                        self.remote = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote()
                        self.remote.parent = self
                        self._children_name_map["remote"] = "remote"
                        self._children_yang_names.add("remote")
                        self._segment_path = lambda: "xc-Mode-config-xconnect"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect, ['description', 'shutdown'], name, value)


                    class Interworking(Entity):
                        """
                        Interworking options for the cross connect
                        
                        .. attribute:: ethernet
                        
                        	Ethernet interworking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ip
                        
                        	IP interworking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vlan
                        
                        	VLAN interworking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Interworking, self).__init__()

                            self.yang_name = "interworking"
                            self.yang_parent_name = "xc-Mode-config-xconnect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ethernet = YLeaf(YType.empty, "ethernet")

                            self.ip = YLeaf(YType.empty, "ip")

                            self.vlan = YLeaf(YType.empty, "vlan")
                            self._segment_path = lambda: "interworking"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Interworking, ['ethernet', 'ip', 'vlan'], name, value)


                    class Match(Entity):
                        """
                        Set Xconnect packet matching criteria
                        
                        .. attribute:: protocol
                        
                        	Protocol matching criterion
                        	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match.Protocol>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match, self).__init__()

                            self.yang_name = "match"
                            self.yang_parent_name = "xc-Mode-config-xconnect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"protocol" : ("protocol", Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match.Protocol)}
                            self._child_list_classes = {}

                            self.protocol = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match.Protocol()
                            self.protocol.parent = self
                            self._children_name_map["protocol"] = "protocol"
                            self._children_yang_names.add("protocol")
                            self._segment_path = lambda: "match"


                        class Protocol(Entity):
                            """
                            Protocol matching criterion
                            
                            .. attribute:: ipv6
                            
                            	IPV6
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match.Protocol, self).__init__()

                                self.yang_name = "protocol"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv6 = YLeaf(YType.empty, "ipv6")
                                self._segment_path = lambda: "protocol"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Match.Protocol, ['ipv6'], name, value)


                    class Member(Entity):
                        """
                        Configure the cross connect member
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Ipv4>`
                        
                        .. attribute:: interface
                        
                        	
                        	**type**\: list of  		 :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Interface>`
                        
                        .. attribute:: vlan
                        
                        	Vlan interface number
                        	**type**\: int
                        
                        	**range:** 1..4094
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member, self).__init__()

                            self.yang_name = "member"
                            self.yang_parent_name = "xc-Mode-config-xconnect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"ipv4" : ("ipv4", Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Ipv4), "interface" : ("interface", Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Interface)}

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.ipv4 = YList(self)
                            self.interface = YList(self)
                            self._segment_path = lambda: "member"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member, ['vlan'], name, value)


                        class Ipv4(Entity):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	IP address of the peer
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mem_vcid
                            
                            	Enter VC ID value
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "member"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                self.mem_vcid = YLeaf(YType.uint32, "mem-vcid")
                                self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Ipv4, ['ipv4', 'mem_vcid'], name, value)


                        class Interface(Entity):
                            """
                            
                            
                            .. attribute:: interface  <key>
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: group
                            
                            	Configure the cross connect member redundancy group
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: service_instance
                            
                            	Ethernet Service Instance
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Interface, self).__init__()

                                self.yang_name = "interface"
                                self.yang_parent_name = "member"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interface = YLeaf(YType.str, "interface")

                                self.group = YLeaf(YType.empty, "group")

                                self.service_instance = YLeaf(YType.empty, "service-instance")
                                self._segment_path = lambda: "interface" + "[interface='" + self.interface.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Member.Interface, ['interface', 'group', 'service_instance'], name, value)


                    class Redundancy(Entity):
                        """
                        Xconnect redundancy information
                        
                        .. attribute:: delay
                        
                        	Enable delay
                        	**type**\: int
                        
                        	**range:** 0..180
                        
                        .. attribute:: predictive
                        
                        	Switch over to backup member without waiting for UP status
                        	**type**\:  :py:class:`Predictive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy.Predictive>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy, self).__init__()

                            self.yang_name = "redundancy"
                            self.yang_parent_name = "xc-Mode-config-xconnect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"predictive" : ("predictive", Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy.Predictive)}
                            self._child_list_classes = {}

                            self.delay = YLeaf(YType.uint8, "delay")

                            self.predictive = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy.Predictive()
                            self.predictive.parent = self
                            self._children_name_map["predictive"] = "predictive"
                            self._children_yang_names.add("predictive")
                            self._segment_path = lambda: "redundancy"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy, ['delay'], name, value)


                        class Predictive(Entity):
                            """
                            Switch over to backup member without waiting for UP status
                            
                            .. attribute:: disabled
                            
                            	Disable predictive switchover capability for this xconnect
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enabled
                            
                            	Enable predictive switchover capability for this xconnect
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy.Predictive, self).__init__()

                                self.yang_name = "predictive"
                                self.yang_parent_name = "redundancy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.disabled = YLeaf(YType.empty, "disabled")

                                self.enabled = YLeaf(YType.empty, "enabled")
                                self._segment_path = lambda: "predictive"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Redundancy.Predictive, ['disabled', 'enabled'], name, value)


                    class Remote(Entity):
                        """
                        L2VPN remote peer configuration commands
                        
                        .. attribute:: circuit
                        
                        	Remote peer circuit configuration
                        	**type**\:  :py:class:`Circuit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Circuit>`
                        
                        .. attribute:: link
                        
                        	Link information
                        	**type**\:  :py:class:`Link <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Link>`
                        
                        

                        """

                        _prefix = 'ios-l2vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote, self).__init__()

                            self.yang_name = "remote"
                            self.yang_parent_name = "xc-Mode-config-xconnect"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"circuit" : ("circuit", Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Circuit), "link" : ("link", Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Link)}
                            self._child_list_classes = {}

                            self.circuit = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Circuit()
                            self.circuit.parent = self
                            self._children_name_map["circuit"] = "circuit"
                            self._children_yang_names.add("circuit")

                            self.link = Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Link()
                            self.link.parent = self
                            self._children_name_map["link"] = "link"
                            self._children_yang_names.add("link")
                            self._segment_path = lambda: "remote"


                        class Circuit(Entity):
                            """
                            Remote peer circuit configuration
                            
                            .. attribute:: id
                            
                            	Remote peer circuit ID
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Circuit, self).__init__()

                                self.yang_name = "circuit"
                                self.yang_parent_name = "remote"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.empty, "id")
                                self._segment_path = lambda: "circuit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Circuit, ['id'], name, value)


                        class Link(Entity):
                            """
                            Link information
                            
                            .. attribute:: failure
                            
                            	Failure information
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-l2vpn'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Link, self).__init__()

                                self.yang_name = "link"
                                self.yang_parent_name = "remote"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.failure = YLeaf(YType.empty, "failure")
                                self._segment_path = lambda: "link"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.L2Vpn.Xconnect.Context.XcModeConfigXconnect.Remote.Link, ['failure'], name, value)


    class L2VpnConfig(Entity):
        """
        
        
        .. attribute:: l2vpn
        
        	Layer2 VPN commands
        	**type**\:  :py:class:`L2Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2VpnConfig.L2Vpn>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.L2VpnConfig, self).__init__()

            self.yang_name = "l2vpn-config"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-l2vpn:l2vpn" : ("l2vpn", Native.L2VpnConfig.L2Vpn)}
            self._child_list_classes = {}

            self.l2vpn = None
            self._children_name_map["l2vpn"] = "l2vpn"
            self._children_yang_names.add("l2vpn")
            self._segment_path = lambda: "l2vpn-config"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class L2Vpn(Entity):
            """
            Layer2 VPN commands
            
            .. attribute:: logging
            
            	Configure logging flags
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2VpnConfig.L2Vpn.Logging>`
            
            .. attribute:: redundancy
            
            	Configure L2VPN redundancy parameters
            	**type**\:  :py:class:`Redundancy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2VpnConfig.L2Vpn.Redundancy>`
            
            .. attribute:: router_id
            
            	Layer2 router\-id value
            	**type**\: str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: shutdown
            
            	Shutdown Layer2 VPN
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-l2vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.L2VpnConfig.L2Vpn, self).__init__()

                self.yang_name = "l2vpn"
                self.yang_parent_name = "l2vpn-config"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"logging" : ("logging", Native.L2VpnConfig.L2Vpn.Logging), "redundancy" : ("redundancy", Native.L2VpnConfig.L2Vpn.Redundancy)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.router_id = YLeaf(YType.str, "router-id")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.logging = Native.L2VpnConfig.L2Vpn.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.redundancy = Native.L2VpnConfig.L2Vpn.Redundancy()
                self.redundancy.parent = self
                self._children_name_map["redundancy"] = "redundancy"
                self._children_yang_names.add("redundancy")
                self._segment_path = lambda: "Cisco-IOS-XE-l2vpn:l2vpn"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn-config/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.L2VpnConfig.L2Vpn, ['router_id', 'shutdown'], name, value)


            class Logging(Entity):
                """
                Configure logging flags
                
                .. attribute:: pseudowire
                
                	pseudowire status transition logging
                	**type**\:  :py:class:`Pseudowire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2VpnConfig.L2Vpn.Logging.Pseudowire>`
                
                .. attribute:: redundancy
                
                	xconnect redundancy events
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.L2VpnConfig.L2Vpn.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "l2vpn"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"pseudowire" : ("pseudowire", Native.L2VpnConfig.L2Vpn.Logging.Pseudowire)}
                    self._child_list_classes = {}

                    self.redundancy = YLeaf(YType.empty, "redundancy")

                    self.pseudowire = Native.L2VpnConfig.L2Vpn.Logging.Pseudowire()
                    self.pseudowire.parent = self
                    self._children_name_map["pseudowire"] = "pseudowire"
                    self._children_yang_names.add("pseudowire")
                    self._segment_path = lambda: "logging"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn-config/Cisco-IOS-XE-l2vpn:l2vpn/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.L2VpnConfig.L2Vpn.Logging, ['redundancy'], name, value)


                class Pseudowire(Entity):
                    """
                    pseudowire status transition logging
                    
                    .. attribute:: status
                    
                    	pseudowire status up/down logging
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.L2VpnConfig.L2Vpn.Logging.Pseudowire, self).__init__()

                        self.yang_name = "pseudowire"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.status = YLeaf(YType.empty, "status")
                        self._segment_path = lambda: "pseudowire"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn-config/Cisco-IOS-XE-l2vpn:l2vpn/logging/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.L2VpnConfig.L2Vpn.Logging.Pseudowire, ['status'], name, value)


            class Redundancy(Entity):
                """
                Configure L2VPN redundancy parameters
                
                .. attribute:: predictive
                
                	Switch over to backup member without waiting for UP status
                	**type**\:  :py:class:`Predictive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2VpnConfig.L2Vpn.Redundancy.Predictive>`
                
                

                """

                _prefix = 'ios-l2vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.L2VpnConfig.L2Vpn.Redundancy, self).__init__()

                    self.yang_name = "redundancy"
                    self.yang_parent_name = "l2vpn"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"predictive" : ("predictive", Native.L2VpnConfig.L2Vpn.Redundancy.Predictive)}
                    self._child_list_classes = {}

                    self.predictive = Native.L2VpnConfig.L2Vpn.Redundancy.Predictive()
                    self.predictive.parent = self
                    self._children_name_map["predictive"] = "predictive"
                    self._children_yang_names.add("predictive")
                    self._segment_path = lambda: "redundancy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn-config/Cisco-IOS-XE-l2vpn:l2vpn/%s" % self._segment_path()


                class Predictive(Entity):
                    """
                    Switch over to backup member without waiting for UP status
                    
                    .. attribute:: enabled
                    
                    	Enable predictive switchover capability for all xconnects
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-l2vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.L2VpnConfig.L2Vpn.Redundancy.Predictive, self).__init__()

                        self.yang_name = "predictive"
                        self.yang_parent_name = "redundancy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enabled = YLeaf(YType.empty, "enabled")
                        self._segment_path = lambda: "predictive"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l2vpn-config/Cisco-IOS-XE-l2vpn:l2vpn/redundancy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.L2VpnConfig.L2Vpn.Redundancy.Predictive, ['enabled'], name, value)


    class L3Vpn(Entity):
        """
        l3vpn encapsulation ip commands
        
        .. attribute:: encapsulation
        
        	l3vpn encapsulation ip
        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.L3Vpn, self).__init__()

            self.yang_name = "l3vpn"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-l3vpn:encapsulation" : ("encapsulation", Native.L3Vpn.Encapsulation)}
            self._child_list_classes = {}

            self.encapsulation = Native.L3Vpn.Encapsulation()
            self.encapsulation.parent = self
            self._children_name_map["encapsulation"] = "encapsulation"
            self._children_yang_names.add("encapsulation")
            self._segment_path = lambda: "l3vpn"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Encapsulation(Entity):
            """
            l3vpn encapsulation ip
            
            .. attribute:: ip
            
            	l3vpn encapsulation ip
            	**type**\: list of  		 :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip>`
            
            

            """

            _prefix = 'ios-l3vpn'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.L3Vpn.Encapsulation, self).__init__()

                self.yang_name = "encapsulation"
                self.yang_parent_name = "l3vpn"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"ip" : ("ip", Native.L3Vpn.Encapsulation.Ip)}

                self.ip = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-l3vpn:encapsulation"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l3vpn/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.L3Vpn.Encapsulation, [], name, value)


            class Ip(Entity):
                """
                l3vpn encapsulation ip
                
                .. attribute:: profile_name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: transport
                
                	transport mode
                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip.Transport>`
                
                .. attribute:: protocol
                
                	protocol mode
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip.Protocol>`
                
                .. attribute:: mpls
                
                	Configure MPLS interface parameters
                	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip.Mpls>`
                
                

                """

                _prefix = 'ios-l3vpn'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.L3Vpn.Encapsulation.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "encapsulation"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"transport" : ("transport", Native.L3Vpn.Encapsulation.Ip.Transport), "protocol" : ("protocol", Native.L3Vpn.Encapsulation.Ip.Protocol), "mpls" : ("mpls", Native.L3Vpn.Encapsulation.Ip.Mpls)}
                    self._child_list_classes = {}

                    self.profile_name = YLeaf(YType.str, "profile-name")

                    self.transport = Native.L3Vpn.Encapsulation.Ip.Transport()
                    self.transport.parent = self
                    self._children_name_map["transport"] = "transport"
                    self._children_yang_names.add("transport")

                    self.protocol = Native.L3Vpn.Encapsulation.Ip.Protocol()
                    self.protocol.parent = self
                    self._children_name_map["protocol"] = "protocol"
                    self._children_yang_names.add("protocol")

                    self.mpls = Native.L3Vpn.Encapsulation.Ip.Mpls()
                    self.mpls.parent = self
                    self._children_name_map["mpls"] = "mpls"
                    self._children_yang_names.add("mpls")
                    self._segment_path = lambda: "ip" + "[profile-name='" + self.profile_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/l3vpn/Cisco-IOS-XE-l3vpn:encapsulation/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.L3Vpn.Encapsulation.Ip, ['profile_name'], name, value)


                class Transport(Entity):
                    """
                    transport mode
                    
                    .. attribute:: ipv4
                    
                    	transport ipv4 mode
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip.Transport.Ipv4>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-l3vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.L3Vpn.Encapsulation.Ip.Transport, self).__init__()

                        self.yang_name = "transport"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipv4" : ("ipv4", Native.L3Vpn.Encapsulation.Ip.Transport.Ipv4)}
                        self._child_list_classes = {}

                        self.ipv4 = None
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")
                        self._segment_path = lambda: "transport"


                    class Ipv4(Entity):
                        """
                        transport ipv4 mode
                        
                        .. attribute:: source
                        
                        	transport source
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-l3vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.L3Vpn.Encapsulation.Ip.Transport.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.source = YLeaf(YType.str, "source")
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.L3Vpn.Encapsulation.Ip.Transport.Ipv4, ['source'], name, value)


                class Protocol(Entity):
                    """
                    protocol mode
                    
                    .. attribute:: gre
                    
                    	protocol gre
                    	**type**\:  :py:class:`Gre <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip.Protocol.Gre>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-l3vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.L3Vpn.Encapsulation.Ip.Protocol, self).__init__()

                        self.yang_name = "protocol"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"gre" : ("gre", Native.L3Vpn.Encapsulation.Ip.Protocol.Gre)}
                        self._child_list_classes = {}

                        self.gre = None
                        self._children_name_map["gre"] = "gre"
                        self._children_yang_names.add("gre")
                        self._segment_path = lambda: "protocol"


                    class Gre(Entity):
                        """
                        protocol gre
                        
                        .. attribute:: key
                        
                        	gre key
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-l3vpn'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.L3Vpn.Encapsulation.Ip.Protocol.Gre, self).__init__()

                            self.yang_name = "gre"
                            self.yang_parent_name = "protocol"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.key = YLeaf(YType.uint32, "key")
                            self._segment_path = lambda: "gre"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.L3Vpn.Encapsulation.Ip.Protocol.Gre, ['key'], name, value)


                class Mpls(Entity):
                    """
                    Configure MPLS interface parameters
                    
                    .. attribute:: mtu
                    
                    	Set MPLS Maximum Transmission Unit
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 64..17916
                    
                    		**type**\:  :py:class:`Mtu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L3Vpn.Encapsulation.Ip.Mpls.Mtu>`
                    
                    

                    """

                    _prefix = 'ios-l3vpn'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.L3Vpn.Encapsulation.Ip.Mpls, self).__init__()

                        self.yang_name = "mpls"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.mtu = YLeaf(YType.str, "mtu")
                        self._segment_path = lambda: "mpls"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.L3Vpn.Encapsulation.Ip.Mpls, ['mtu'], name, value)

                    class Mtu(Enum):
                        """
                        Mtu

                        Set MPLS Maximum Transmission Unit

                        .. data:: max = 0

                        """

                        max = Enum.YLeaf(0, "max")



    class Mpls(Entity):
        """
        Configure MPLS parameters
        
        .. attribute:: atm
        
        	Configure ATM options
        	**type**\:  :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Atm>`
        
        .. attribute:: cos_map
        
        	Configure MPLS CoS ATM Multi\-VC CoS Map
        	**type**\: int
        
        	**range:** 1..255
        
        .. attribute:: ip
        
        	Dynamic MPLS forwarding for IP
        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ip>`
        
        .. attribute:: label
        
        	Label properties
        	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label>`
        
        .. attribute:: ldp
        
        	Label Distribution Protocol
        	**type**\:  :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp>`
        
        .. attribute:: prefix_map
        
        	Configure MPLS CoS Tag\-VC Multi\-VC Prefix Map
        	**type**\:  :py:class:`PrefixMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.PrefixMap>`
        
        .. attribute:: static
        
        	MPLS static application
        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static>`
        
        	**presence node**\: True
        
        .. attribute:: traffic_eng
        
        	Configure Traffic Engineering parameters
        	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng>`
        
        .. attribute:: tp
        
        	Configure MPLS Transport Profile parameters
        	**type**\:  :py:class:`Tp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Tp>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Mpls, self).__init__()

            self.yang_name = "mpls"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-mpls:atm" : ("atm", Native.Mpls.Atm), "Cisco-IOS-XE-mpls:ip" : ("ip", Native.Mpls.Ip), "Cisco-IOS-XE-mpls:label" : ("label", Native.Mpls.Label), "Cisco-IOS-XE-mpls:ldp" : ("ldp", Native.Mpls.Ldp), "Cisco-IOS-XE-mpls:prefix-map" : ("prefix_map", Native.Mpls.PrefixMap), "Cisco-IOS-XE-mpls:static" : ("static", Native.Mpls.Static), "Cisco-IOS-XE-mpls:traffic-eng" : ("traffic_eng", Native.Mpls.TrafficEng), "Cisco-IOS-XE-mpls:tp" : ("tp", Native.Mpls.Tp)}
            self._child_list_classes = {}

            self.cos_map = YLeaf(YType.uint8, "Cisco-IOS-XE-mpls:cos-map")

            self.atm = Native.Mpls.Atm()
            self.atm.parent = self
            self._children_name_map["atm"] = "atm"
            self._children_yang_names.add("atm")

            self.ip = Native.Mpls.Ip()
            self.ip.parent = self
            self._children_name_map["ip"] = "ip"
            self._children_yang_names.add("ip")

            self.label = Native.Mpls.Label()
            self.label.parent = self
            self._children_name_map["label"] = "label"
            self._children_yang_names.add("label")

            self.ldp = Native.Mpls.Ldp()
            self.ldp.parent = self
            self._children_name_map["ldp"] = "ldp"
            self._children_yang_names.add("ldp")

            self.prefix_map = Native.Mpls.PrefixMap()
            self.prefix_map.parent = self
            self._children_name_map["prefix_map"] = "prefix-map"
            self._children_yang_names.add("prefix-map")

            self.static = None
            self._children_name_map["static"] = "static"
            self._children_yang_names.add("static")

            self.traffic_eng = Native.Mpls.TrafficEng()
            self.traffic_eng.parent = self
            self._children_name_map["traffic_eng"] = "traffic-eng"
            self._children_yang_names.add("traffic-eng")

            self.tp = None
            self._children_name_map["tp"] = "tp"
            self._children_yang_names.add("tp")
            self._segment_path = lambda: "mpls"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Mpls, ['cos_map'], name, value)


        class Atm(Entity):
            """
            Configure ATM options
            
            .. attribute:: disable_headend_vc
            
            	Dedicated lsc capability\: In this mode headend Tag VCs are disabled
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-23'

            def __init__(self):
                super(Native.Mpls.Atm, self).__init__()

                self.yang_name = "atm"
                self.yang_parent_name = "mpls"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.disable_headend_vc = YLeaf(YType.empty, "disable-headend-vc")
                self._segment_path = lambda: "Cisco-IOS-XE-mpls:atm"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Mpls.Atm, ['disable_headend_vc'], name, value)


        class Ip(Entity):
            """
            Dynamic MPLS forwarding for IP
            
            .. attribute:: default_route
            
            	Allow MPLS forwarding for ip default route
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: conf
            
            	
            	**type**\:  :py:class:`Conf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ip.Conf>`
            
            .. attribute:: conf_arg
            
            	
            	**type**\:  :py:class:`ConfArg <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ip.ConfArg>`
            
            .. attribute:: ttl_expiration
            
            	Control MPLS TTL expiration behavior
            	**type**\:  :py:class:`TtlExpiration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ip.TtlExpiration>`
            
            

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-23'

            def __init__(self):
                super(Native.Mpls.Ip, self).__init__()

                self.yang_name = "ip"
                self.yang_parent_name = "mpls"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"conf" : ("conf", Native.Mpls.Ip.Conf), "conf-arg" : ("conf_arg", Native.Mpls.Ip.ConfArg), "ttl-expiration" : ("ttl_expiration", Native.Mpls.Ip.TtlExpiration)}
                self._child_list_classes = {}

                self.default_route = YLeaf(YType.empty, "default-route")

                self.conf = Native.Mpls.Ip.Conf()
                self.conf.parent = self
                self._children_name_map["conf"] = "conf"
                self._children_yang_names.add("conf")

                self.conf_arg = Native.Mpls.Ip.ConfArg()
                self.conf_arg.parent = self
                self._children_name_map["conf_arg"] = "conf-arg"
                self._children_yang_names.add("conf-arg")

                self.ttl_expiration = Native.Mpls.Ip.TtlExpiration()
                self.ttl_expiration.parent = self
                self._children_name_map["ttl_expiration"] = "ttl-expiration"
                self._children_yang_names.add("ttl-expiration")
                self._segment_path = lambda: "Cisco-IOS-XE-mpls:ip"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Mpls.Ip, ['default_route'], name, value)


            class Conf(Entity):
                """
                
                
                .. attribute:: propagate_ttl
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.Ip.Conf, self).__init__()

                    self.yang_name = "conf"
                    self.yang_parent_name = "ip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.propagate_ttl = YLeaf(YType.boolean, "propagate-ttl")
                    self._segment_path = lambda: "conf"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ip/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mpls.Ip.Conf, ['propagate_ttl'], name, value)


            class ConfArg(Entity):
                """
                
                
                .. attribute:: propagate_ttl
                
                	
                	**type**\:  :py:class:`PropagateTtl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ip.ConfArg.PropagateTtl>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.Ip.ConfArg, self).__init__()

                    self.yang_name = "conf-arg"
                    self.yang_parent_name = "ip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"propagate-ttl" : ("propagate_ttl", Native.Mpls.Ip.ConfArg.PropagateTtl)}
                    self._child_list_classes = {}

                    self.propagate_ttl = Native.Mpls.Ip.ConfArg.PropagateTtl()
                    self.propagate_ttl.parent = self
                    self._children_name_map["propagate_ttl"] = "propagate-ttl"
                    self._children_yang_names.add("propagate-ttl")
                    self._segment_path = lambda: "conf-arg"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ip/%s" % self._segment_path()


                class PropagateTtl(Entity):
                    """
                    
                    
                    .. attribute:: forwarded
                    
                    	
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ip.ConfArg.PropagateTtl, self).__init__()

                        self.yang_name = "propagate-ttl"
                        self.yang_parent_name = "conf-arg"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.forwarded = YLeaf(YType.boolean, "forwarded")
                        self._segment_path = lambda: "propagate-ttl"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ip/conf-arg/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.Ip.ConfArg.PropagateTtl, ['forwarded'], name, value)


            class TtlExpiration(Entity):
                """
                Control MPLS TTL expiration behavior
                
                .. attribute:: pop
                
                	Popping labels on TTL expiration
                	**type**\: int
                
                	**range:** 1..6
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.Ip.TtlExpiration, self).__init__()

                    self.yang_name = "ttl-expiration"
                    self.yang_parent_name = "ip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.pop = YLeaf(YType.uint8, "pop")
                    self._segment_path = lambda: "ttl-expiration"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ip/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mpls.Ip.TtlExpiration, ['pop'], name, value)


        class Label(Entity):
            """
            Label properties
            
            .. attribute:: atm
            
            	Configure ATM options
            	**type**\:  :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Atm>`
            
            .. attribute:: mode
            
            	MPLS Label allocation mode
            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode>`
            
            .. attribute:: protocol
            
            	Set platform default label distribution protocol
            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Protocol>`
            
            .. attribute:: range
            
            	Label range
            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Range>`
            
            

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-23'

            def __init__(self):
                super(Native.Mpls.Label, self).__init__()

                self.yang_name = "label"
                self.yang_parent_name = "mpls"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"atm" : ("atm", Native.Mpls.Label.Atm), "mode" : ("mode", Native.Mpls.Label.Mode), "range" : ("range", Native.Mpls.Label.Range)}
                self._child_list_classes = {}

                self.protocol = YLeaf(YType.enumeration, "protocol")

                self.atm = Native.Mpls.Label.Atm()
                self.atm.parent = self
                self._children_name_map["atm"] = "atm"
                self._children_yang_names.add("atm")

                self.mode = Native.Mpls.Label.Mode()
                self.mode.parent = self
                self._children_name_map["mode"] = "mode"
                self._children_yang_names.add("mode")

                self.range = Native.Mpls.Label.Range()
                self.range.parent = self
                self._children_name_map["range"] = "range"
                self._children_yang_names.add("range")
                self._segment_path = lambda: "Cisco-IOS-XE-mpls:label"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Mpls.Label, ['protocol'], name, value)

            class Protocol(Enum):
                """
                Protocol

                Set platform default label distribution protocol

                .. data:: ldp = 0

                .. data:: tdp = 1

                """

                ldp = Enum.YLeaf(0, "ldp")

                tdp = Enum.YLeaf(1, "tdp")



            class Atm(Entity):
                """
                Configure ATM options
                
                .. attribute:: disable_headend_vc
                
                	Dedicated lsc capability\: In this mode headend Tag VCs are disabled
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.Label.Atm, self).__init__()

                    self.yang_name = "atm"
                    self.yang_parent_name = "label"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.disable_headend_vc = YLeaf(YType.empty, "disable-headend-vc")
                    self._segment_path = lambda: "atm"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:label/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mpls.Label.Atm, ['disable_headend_vc'], name, value)


            class Mode(Entity):
                """
                MPLS Label allocation mode
                
                .. attribute:: all_vrfs
                
                	MPLS Label allocation mode for all VRFs
                	**type**\:  :py:class:`AllVrfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.AllVrfs>`
                
                .. attribute:: vrf
                
                	MPLS Label allocation mode for a specific VRF
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.Vrf>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.Label.Mode, self).__init__()

                    self.yang_name = "mode"
                    self.yang_parent_name = "label"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"all-vrfs" : ("all_vrfs", Native.Mpls.Label.Mode.AllVrfs), "vrf" : ("vrf", Native.Mpls.Label.Mode.Vrf)}
                    self._child_list_classes = {}

                    self.all_vrfs = Native.Mpls.Label.Mode.AllVrfs()
                    self.all_vrfs.parent = self
                    self._children_name_map["all_vrfs"] = "all-vrfs"
                    self._children_yang_names.add("all-vrfs")

                    self.vrf = Native.Mpls.Label.Mode.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")
                    self._segment_path = lambda: "mode"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:label/%s" % self._segment_path()


                class AllVrfs(Entity):
                    """
                    MPLS Label allocation mode for all VRFs
                    
                    .. attribute:: protocol
                    
                    	MPLS Label allocation protocol
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.AllVrfs.Protocol>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Label.Mode.AllVrfs, self).__init__()

                        self.yang_name = "all-vrfs"
                        self.yang_parent_name = "mode"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"protocol" : ("protocol", Native.Mpls.Label.Mode.AllVrfs.Protocol)}
                        self._child_list_classes = {}

                        self.protocol = Native.Mpls.Label.Mode.AllVrfs.Protocol()
                        self.protocol.parent = self
                        self._children_name_map["protocol"] = "protocol"
                        self._children_yang_names.add("protocol")
                        self._segment_path = lambda: "all-vrfs"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:label/mode/%s" % self._segment_path()


                    class Protocol(Entity):
                        """
                        MPLS Label allocation protocol
                        
                        .. attribute:: all_afs
                        
                        	All VRF (IPv4 and IPv6) address families
                        	**type**\:  :py:class:`AllAfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.AllVrfs.Protocol.AllAfs>`
                        
                        .. attribute:: bgp_vpnv4
                        
                        	VRF IPv4 address family
                        	**type**\:  :py:class:`BgpVpnv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv4>`
                        
                        .. attribute:: bgp_vpnv6
                        
                        	VRF IPv6 address family
                        	**type**\:  :py:class:`BgpVpnv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv6>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Label.Mode.AllVrfs.Protocol, self).__init__()

                            self.yang_name = "protocol"
                            self.yang_parent_name = "all-vrfs"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"all-afs" : ("all_afs", Native.Mpls.Label.Mode.AllVrfs.Protocol.AllAfs), "bgp-vpnv4" : ("bgp_vpnv4", Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv4), "bgp-vpnv6" : ("bgp_vpnv6", Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv6)}
                            self._child_list_classes = {}

                            self.all_afs = Native.Mpls.Label.Mode.AllVrfs.Protocol.AllAfs()
                            self.all_afs.parent = self
                            self._children_name_map["all_afs"] = "all-afs"
                            self._children_yang_names.add("all-afs")

                            self.bgp_vpnv4 = Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv4()
                            self.bgp_vpnv4.parent = self
                            self._children_name_map["bgp_vpnv4"] = "bgp-vpnv4"
                            self._children_yang_names.add("bgp-vpnv4")

                            self.bgp_vpnv6 = Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv6()
                            self.bgp_vpnv6.parent = self
                            self._children_name_map["bgp_vpnv6"] = "bgp-vpnv6"
                            self._children_yang_names.add("bgp-vpnv6")
                            self._segment_path = lambda: "protocol"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:label/mode/all-vrfs/%s" % self._segment_path()


                        class AllAfs(Entity):
                            """
                            All VRF (IPv4 and IPv6) address families
                            
                            .. attribute:: per_ce
                            
                            	Per CE label
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: per_prefix
                            
                            	Per prefix label (default)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: per_vrf
                            
                            	Per VRF label for entire VRF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vrf_conn_aggr
                            
                            	Per VRF label for connected and BGP aggregates in VRF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Label.Mode.AllVrfs.Protocol.AllAfs, self).__init__()

                                self.yang_name = "all-afs"
                                self.yang_parent_name = "protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.per_ce = YLeaf(YType.empty, "per-ce")

                                self.per_prefix = YLeaf(YType.empty, "per-prefix")

                                self.per_vrf = YLeaf(YType.empty, "per-vrf")

                                self.vrf_conn_aggr = YLeaf(YType.empty, "vrf-conn-aggr")
                                self._segment_path = lambda: "all-afs"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:label/mode/all-vrfs/protocol/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Label.Mode.AllVrfs.Protocol.AllAfs, ['per_ce', 'per_prefix', 'per_vrf', 'vrf_conn_aggr'], name, value)


                        class BgpVpnv4(Entity):
                            """
                            VRF IPv4 address family
                            
                            .. attribute:: per_ce
                            
                            	Per CE label
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: per_prefix
                            
                            	Per prefix label (default)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: per_vrf
                            
                            	Per VRF label for entire VRF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vrf_conn_aggr
                            
                            	Per VRF label for connected and BGP aggregates in VRF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv4, self).__init__()

                                self.yang_name = "bgp-vpnv4"
                                self.yang_parent_name = "protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.per_ce = YLeaf(YType.empty, "per-ce")

                                self.per_prefix = YLeaf(YType.empty, "per-prefix")

                                self.per_vrf = YLeaf(YType.empty, "per-vrf")

                                self.vrf_conn_aggr = YLeaf(YType.empty, "vrf-conn-aggr")
                                self._segment_path = lambda: "bgp-vpnv4"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:label/mode/all-vrfs/protocol/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv4, ['per_ce', 'per_prefix', 'per_vrf', 'vrf_conn_aggr'], name, value)


                        class BgpVpnv6(Entity):
                            """
                            VRF IPv6 address family
                            
                            .. attribute:: per_ce
                            
                            	Per CE label
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: per_prefix
                            
                            	Per prefix label (default)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: per_vrf
                            
                            	Per VRF label for entire VRF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vrf_conn_aggr
                            
                            	Per VRF label for connected and BGP aggregates in VRF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv6, self).__init__()

                                self.yang_name = "bgp-vpnv6"
                                self.yang_parent_name = "protocol"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.per_ce = YLeaf(YType.empty, "per-ce")

                                self.per_prefix = YLeaf(YType.empty, "per-prefix")

                                self.per_vrf = YLeaf(YType.empty, "per-vrf")

                                self.vrf_conn_aggr = YLeaf(YType.empty, "vrf-conn-aggr")
                                self._segment_path = lambda: "bgp-vpnv6"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:label/mode/all-vrfs/protocol/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Label.Mode.AllVrfs.Protocol.BgpVpnv6, ['per_ce', 'per_prefix', 'per_vrf', 'vrf_conn_aggr'], name, value)


                class Vrf(Entity):
                    """
                    MPLS Label allocation mode for a specific VRF
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.Vrf.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Label.Mode.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "mode"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"vrf" : ("vrf", Native.Mpls.Label.Mode.Vrf.Vrf)}

                        self.vrf = YList(self)
                        self._segment_path = lambda: "vrf"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:label/mode/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.Label.Mode.Vrf, [], name, value)


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: vrf_name  <key>
                        
                        	VPN Routing/Forwarding instance name
                        	**type**\: str
                        
                        .. attribute:: protocol
                        
                        	MPLS Label allocation protocol
                        	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.Vrf.Vrf.Protocol>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Label.Mode.Vrf.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"protocol" : ("protocol", Native.Mpls.Label.Mode.Vrf.Vrf.Protocol)}
                            self._child_list_classes = {}

                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                            self.protocol = Native.Mpls.Label.Mode.Vrf.Vrf.Protocol()
                            self.protocol.parent = self
                            self._children_name_map["protocol"] = "protocol"
                            self._children_yang_names.add("protocol")
                            self._segment_path = lambda: "vrf" + "[vrf-name='" + self.vrf_name.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:label/mode/vrf/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Label.Mode.Vrf.Vrf, ['vrf_name'], name, value)


                        class Protocol(Entity):
                            """
                            MPLS Label allocation protocol
                            
                            .. attribute:: all_afs
                            
                            	All VRF (IPv4 and IPv6) address families
                            	**type**\:  :py:class:`AllAfs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.AllAfs>`
                            
                            .. attribute:: bgp_vpnv4
                            
                            	VRF IPv4 address family
                            	**type**\:  :py:class:`BgpVpnv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.BgpVpnv4>`
                            
                            .. attribute:: bgp_vpnv6
                            
                            	VRF IPv6 address family
                            	**type**\:  :py:class:`BgpVpnv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.BgpVpnv6>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Label.Mode.Vrf.Vrf.Protocol, self).__init__()

                                self.yang_name = "protocol"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"all-afs" : ("all_afs", Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.AllAfs), "bgp-vpnv4" : ("bgp_vpnv4", Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.BgpVpnv4), "bgp-vpnv6" : ("bgp_vpnv6", Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.BgpVpnv6)}
                                self._child_list_classes = {}

                                self.all_afs = Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.AllAfs()
                                self.all_afs.parent = self
                                self._children_name_map["all_afs"] = "all-afs"
                                self._children_yang_names.add("all-afs")

                                self.bgp_vpnv4 = Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.BgpVpnv4()
                                self.bgp_vpnv4.parent = self
                                self._children_name_map["bgp_vpnv4"] = "bgp-vpnv4"
                                self._children_yang_names.add("bgp-vpnv4")

                                self.bgp_vpnv6 = Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.BgpVpnv6()
                                self.bgp_vpnv6.parent = self
                                self._children_name_map["bgp_vpnv6"] = "bgp-vpnv6"
                                self._children_yang_names.add("bgp-vpnv6")
                                self._segment_path = lambda: "protocol"


                            class AllAfs(Entity):
                                """
                                All VRF (IPv4 and IPv6) address families
                                
                                .. attribute:: per_ce
                                
                                	Per CE label
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: per_prefix
                                
                                	Per prefix label (default)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: per_vrf
                                
                                	Per VRF label for entire VRF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf_conn_aggr
                                
                                	Per VRF label for connected and BGP aggregates in VRF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.AllAfs, self).__init__()

                                    self.yang_name = "all-afs"
                                    self.yang_parent_name = "protocol"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.per_ce = YLeaf(YType.empty, "per-ce")

                                    self.per_prefix = YLeaf(YType.empty, "per-prefix")

                                    self.per_vrf = YLeaf(YType.empty, "per-vrf")

                                    self.vrf_conn_aggr = YLeaf(YType.empty, "vrf-conn-aggr")
                                    self._segment_path = lambda: "all-afs"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.AllAfs, ['per_ce', 'per_prefix', 'per_vrf', 'vrf_conn_aggr'], name, value)


                            class BgpVpnv4(Entity):
                                """
                                VRF IPv4 address family
                                
                                .. attribute:: per_ce
                                
                                	Per CE label
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: per_prefix
                                
                                	Per prefix label (default)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: per_vrf
                                
                                	Per VRF label for entire VRF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf_conn_aggr
                                
                                	Per VRF label for connected and BGP aggregates in VRF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.BgpVpnv4, self).__init__()

                                    self.yang_name = "bgp-vpnv4"
                                    self.yang_parent_name = "protocol"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.per_ce = YLeaf(YType.empty, "per-ce")

                                    self.per_prefix = YLeaf(YType.empty, "per-prefix")

                                    self.per_vrf = YLeaf(YType.empty, "per-vrf")

                                    self.vrf_conn_aggr = YLeaf(YType.empty, "vrf-conn-aggr")
                                    self._segment_path = lambda: "bgp-vpnv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.BgpVpnv4, ['per_ce', 'per_prefix', 'per_vrf', 'vrf_conn_aggr'], name, value)


                            class BgpVpnv6(Entity):
                                """
                                VRF IPv6 address family
                                
                                .. attribute:: per_ce
                                
                                	Per CE label
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: per_prefix
                                
                                	Per prefix label (default)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: per_vrf
                                
                                	Per VRF label for entire VRF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf_conn_aggr
                                
                                	Per VRF label for connected and BGP aggregates in VRF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.BgpVpnv6, self).__init__()

                                    self.yang_name = "bgp-vpnv6"
                                    self.yang_parent_name = "protocol"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.per_ce = YLeaf(YType.empty, "per-ce")

                                    self.per_prefix = YLeaf(YType.empty, "per-prefix")

                                    self.per_vrf = YLeaf(YType.empty, "per-vrf")

                                    self.vrf_conn_aggr = YLeaf(YType.empty, "vrf-conn-aggr")
                                    self._segment_path = lambda: "bgp-vpnv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Label.Mode.Vrf.Vrf.Protocol.BgpVpnv6, ['per_ce', 'per_prefix', 'per_vrf', 'vrf_conn_aggr'], name, value)


            class Range(Entity):
                """
                Label range
                
                .. attribute:: min
                
                	
                	**type**\: int
                
                	**range:** 16..1048575
                
                .. attribute:: max
                
                	
                	**type**\: int
                
                	**range:** 16..1048575
                
                .. attribute:: static
                
                	Specify block of labels for static bindings
                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Label.Range.Static>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.Label.Range, self).__init__()

                    self.yang_name = "range"
                    self.yang_parent_name = "label"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"static" : ("static", Native.Mpls.Label.Range.Static)}
                    self._child_list_classes = {}

                    self.min = YLeaf(YType.uint32, "min")

                    self.max = YLeaf(YType.uint32, "max")

                    self.static = Native.Mpls.Label.Range.Static()
                    self.static.parent = self
                    self._children_name_map["static"] = "static"
                    self._children_yang_names.add("static")
                    self._segment_path = lambda: "range"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:label/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mpls.Label.Range, ['min', 'max'], name, value)


                class Static(Entity):
                    """
                    Specify block of labels for static bindings
                    
                    .. attribute:: min
                    
                    	
                    	**type**\: int
                    
                    	**range:** 16..1048575
                    
                    .. attribute:: max
                    
                    	
                    	**type**\: int
                    
                    	**range:** 16..1048575
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Label.Range.Static, self).__init__()

                        self.yang_name = "static"
                        self.yang_parent_name = "range"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.min = YLeaf(YType.uint32, "min")

                        self.max = YLeaf(YType.uint32, "max")
                        self._segment_path = lambda: "static"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:label/range/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.Label.Range.Static, ['min', 'max'], name, value)


        class Ldp(Entity):
            """
            Label Distribution Protocol
            
            .. attribute:: enable
            
            	
            	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable>`
            
            .. attribute:: enable2
            
            	
            	**type**\:  :py:class:`Enable2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2>`
            
            .. attribute:: session
            
            	Configure session parameters
            	**type**\:  :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session>`
            
            

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-23'

            def __init__(self):
                super(Native.Mpls.Ldp, self).__init__()

                self.yang_name = "ldp"
                self.yang_parent_name = "mpls"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"enable" : ("enable", Native.Mpls.Ldp.Enable), "enable2" : ("enable2", Native.Mpls.Ldp.Enable2), "session" : ("session", Native.Mpls.Ldp.Session)}
                self._child_list_classes = {}

                self.enable = Native.Mpls.Ldp.Enable()
                self.enable.parent = self
                self._children_name_map["enable"] = "enable"
                self._children_yang_names.add("enable")

                self.enable2 = Native.Mpls.Ldp.Enable2()
                self.enable2.parent = self
                self._children_name_map["enable2"] = "enable2"
                self._children_yang_names.add("enable2")

                self.session = Native.Mpls.Ldp.Session()
                self.session.parent = self
                self._children_name_map["session"] = "session"
                self._children_yang_names.add("session")
                self._segment_path = lambda: "Cisco-IOS-XE-mpls:ldp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/%s" % self._segment_path()


            class Enable(Entity):
                """
                
                
                .. attribute:: advertise_labels
                
                	
                	**type**\: bool
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.Ldp.Enable, self).__init__()

                    self.yang_name = "enable"
                    self.yang_parent_name = "ldp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.advertise_labels = YLeaf(YType.boolean, "advertise-labels")
                    self._segment_path = lambda: "enable"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mpls.Ldp.Enable, ['advertise_labels'], name, value)


            class Enable2(Entity):
                """
                
                
                .. attribute:: advertise_labels
                
                	Label advertisements
                	**type**\:  :py:class:`AdvertiseLabels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels>`
                
                .. attribute:: atm
                
                	Configure ATM MPLS options
                	**type**\:  :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Atm>`
                
                .. attribute:: backoff
                
                	Set LDP session backoff parameters
                	**type**\:  :py:class:`Backoff <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Backoff>`
                
                .. attribute:: discovery
                
                	LDP discovery
                	**type**\:  :py:class:`Discovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Discovery>`
                
                .. attribute:: entropy_label
                
                	Enable Entropy Label for LDP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: explicit_null
                
                	Advertise Explicit Null label in place of Implicit Null
                	**type**\:  :py:class:`ExplicitNull <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.ExplicitNull>`
                
                	**presence node**\: True
                
                .. attribute:: graceful_restart
                
                	Configure Graceful Restart timers
                	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.GracefulRestart>`
                
                	**presence node**\: True
                
                .. attribute:: holdtime
                
                	LDP session holdtime
                	**type**\: int
                
                	**range:** 15..2147483
                
                .. attribute:: igp
                
                	Configure IGP\-related LDP parameters
                	**type**\:  :py:class:`Igp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Igp>`
                
                .. attribute:: label
                
                	LDP label mode
                	**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Label>`
                
                	**presence node**\: True
                
                .. attribute:: logging
                
                	Enable LDP logging
                	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Logging>`
                
                .. attribute:: loop_detection
                
                	Enable LDP Loop Detection
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: maxhops
                
                	Limit hop count for LDP LSP setup
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: neighbor
                
                	
                	**type**\:  :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor>`
                
                .. attribute:: nsr
                
                	Enable Non Stop Routing for LDP
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: password
                
                	Configure LDP MD5 password
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password>`
                
                .. attribute:: request_labels
                
                	Access list to specify valid downstream on demand destinations
                	**type**\:  :py:class:`RequestLabels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RequestLabels>`
                
                .. attribute:: router_id
                
                	Select interface to prefer for LDP identifier address
                	**type**\:  :py:class:`RouterId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId>`
                
                .. attribute:: tcp
                
                	Set TCP parameters for LDP
                	**type**\:  :py:class:`Tcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Tcp>`
                
                .. attribute:: vrf
                
                	
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.Ldp.Enable2, self).__init__()

                    self.yang_name = "enable2"
                    self.yang_parent_name = "ldp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"advertise-labels" : ("advertise_labels", Native.Mpls.Ldp.Enable2.AdvertiseLabels), "atm" : ("atm", Native.Mpls.Ldp.Enable2.Atm), "backoff" : ("backoff", Native.Mpls.Ldp.Enable2.Backoff), "discovery" : ("discovery", Native.Mpls.Ldp.Enable2.Discovery), "explicit-null" : ("explicit_null", Native.Mpls.Ldp.Enable2.ExplicitNull), "graceful-restart" : ("graceful_restart", Native.Mpls.Ldp.Enable2.GracefulRestart), "igp" : ("igp", Native.Mpls.Ldp.Enable2.Igp), "label" : ("label", Native.Mpls.Ldp.Enable2.Label), "logging" : ("logging", Native.Mpls.Ldp.Enable2.Logging), "neighbor" : ("neighbor", Native.Mpls.Ldp.Enable2.Neighbor), "password" : ("password", Native.Mpls.Ldp.Enable2.Password), "request-labels" : ("request_labels", Native.Mpls.Ldp.Enable2.RequestLabels), "router-id" : ("router_id", Native.Mpls.Ldp.Enable2.RouterId), "tcp" : ("tcp", Native.Mpls.Ldp.Enable2.Tcp), "vrf" : ("vrf", Native.Mpls.Ldp.Enable2.Vrf)}
                    self._child_list_classes = {}

                    self.entropy_label = YLeaf(YType.empty, "entropy-label")

                    self.holdtime = YLeaf(YType.uint32, "holdtime")

                    self.loop_detection = YLeaf(YType.empty, "loop-detection")

                    self.maxhops = YLeaf(YType.uint8, "maxhops")

                    self.nsr = YLeaf(YType.empty, "nsr")

                    self.advertise_labels = Native.Mpls.Ldp.Enable2.AdvertiseLabels()
                    self.advertise_labels.parent = self
                    self._children_name_map["advertise_labels"] = "advertise-labels"
                    self._children_yang_names.add("advertise-labels")

                    self.atm = Native.Mpls.Ldp.Enable2.Atm()
                    self.atm.parent = self
                    self._children_name_map["atm"] = "atm"
                    self._children_yang_names.add("atm")

                    self.backoff = Native.Mpls.Ldp.Enable2.Backoff()
                    self.backoff.parent = self
                    self._children_name_map["backoff"] = "backoff"
                    self._children_yang_names.add("backoff")

                    self.discovery = Native.Mpls.Ldp.Enable2.Discovery()
                    self.discovery.parent = self
                    self._children_name_map["discovery"] = "discovery"
                    self._children_yang_names.add("discovery")

                    self.explicit_null = None
                    self._children_name_map["explicit_null"] = "explicit-null"
                    self._children_yang_names.add("explicit-null")

                    self.graceful_restart = None
                    self._children_name_map["graceful_restart"] = "graceful-restart"
                    self._children_yang_names.add("graceful-restart")

                    self.igp = Native.Mpls.Ldp.Enable2.Igp()
                    self.igp.parent = self
                    self._children_name_map["igp"] = "igp"
                    self._children_yang_names.add("igp")

                    self.label = None
                    self._children_name_map["label"] = "label"
                    self._children_yang_names.add("label")

                    self.logging = Native.Mpls.Ldp.Enable2.Logging()
                    self.logging.parent = self
                    self._children_name_map["logging"] = "logging"
                    self._children_yang_names.add("logging")

                    self.neighbor = Native.Mpls.Ldp.Enable2.Neighbor()
                    self.neighbor.parent = self
                    self._children_name_map["neighbor"] = "neighbor"
                    self._children_yang_names.add("neighbor")

                    self.password = Native.Mpls.Ldp.Enable2.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")

                    self.request_labels = Native.Mpls.Ldp.Enable2.RequestLabels()
                    self.request_labels.parent = self
                    self._children_name_map["request_labels"] = "request-labels"
                    self._children_yang_names.add("request-labels")

                    self.router_id = Native.Mpls.Ldp.Enable2.RouterId()
                    self.router_id.parent = self
                    self._children_name_map["router_id"] = "router-id"
                    self._children_yang_names.add("router-id")

                    self.tcp = Native.Mpls.Ldp.Enable2.Tcp()
                    self.tcp.parent = self
                    self._children_name_map["tcp"] = "tcp"
                    self._children_yang_names.add("tcp")

                    self.vrf = Native.Mpls.Ldp.Enable2.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")
                    self._segment_path = lambda: "enable2"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mpls.Ldp.Enable2, ['entropy_label', 'holdtime', 'loop_detection', 'maxhops', 'nsr'], name, value)


                class AdvertiseLabels(Entity):
                    """
                    Label advertisements
                    
                    .. attribute:: for_
                    
                    	Access\-list specifying controls on destination prefixes
                    	**type**\:  :py:class:`For_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.For_>`
                    
                    .. attribute:: interface
                    
                    	Advertise /32 interface address
                    	**type**\: list of  		 :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Interface>`
                    
                    .. attribute:: oldstyle
                    
                    	Use old style (TDP) method for matching prefix acl
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.AdvertiseLabels, self).__init__()

                        self.yang_name = "advertise-labels"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"for" : ("for_", Native.Mpls.Ldp.Enable2.AdvertiseLabels.For_), "vrf" : ("vrf", Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf)}
                        self._child_list_classes = {"interface" : ("interface", Native.Mpls.Ldp.Enable2.AdvertiseLabels.Interface)}

                        self.oldstyle = YLeaf(YType.empty, "oldstyle")

                        self.for_ = Native.Mpls.Ldp.Enable2.AdvertiseLabels.For_()
                        self.for_.parent = self
                        self._children_name_map["for_"] = "for"
                        self._children_yang_names.add("for")

                        self.vrf = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")

                        self.interface = YList(self)
                        self._segment_path = lambda: "advertise-labels"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.Ldp.Enable2.AdvertiseLabels, ['oldstyle'], name, value)


                    class For_(Entity):
                        """
                        Access\-list specifying controls on destination prefixes
                        
                        .. attribute:: from_
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: to
                        
                        	Access\-list specifying controls on LDP peers
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.AdvertiseLabels.For_, self).__init__()

                            self.yang_name = "for"
                            self.yang_parent_name = "advertise-labels"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.from_ = YLeaf(YType.str, "from")

                            self.to = YLeaf(YType.str, "to")
                            self._segment_path = lambda: "for"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/advertise-labels/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.AdvertiseLabels.For_, ['from_', 'to'], name, value)


                    class Interface(Entity):
                        """
                        Advertise /32 interface address
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Interface, self).__init__()

                            self.yang_name = "interface"
                            self.yang_parent_name = "advertise-labels"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "interface" + "[name='" + self.name.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/advertise-labels/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Interface, ['name'], name, value)


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "advertise-labels"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf)}

                            self.vrf = YList(self)
                            self._segment_path = lambda: "vrf"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/advertise-labels/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf, [], name, value)


                        class Vrf(Entity):
                            """
                            
                            
                            .. attribute:: vrf_name  <key>
                            
                            	VPN Routing/Forwarding instance name
                            	**type**\: str
                            
                            .. attribute:: for_
                            
                            	Access\-list specifying controls on destination prefixes
                            	**type**\:  :py:class:`For_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.For_>`
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface>`
                            
                            .. attribute:: oldstyle
                            
                            	Use old style (TDP) method for matching prefix acl
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"for" : ("for_", Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.For_), "interface" : ("interface", Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface)}
                                self._child_list_classes = {}

                                self.vrf_name = YLeaf(YType.str, "vrf-name")

                                self.oldstyle = YLeaf(YType.empty, "oldstyle")

                                self.for_ = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.For_()
                                self.for_.parent = self
                                self._children_name_map["for_"] = "for"
                                self._children_yang_names.add("for")

                                self.interface = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface()
                                self.interface.parent = self
                                self._children_name_map["interface"] = "interface"
                                self._children_yang_names.add("interface")
                                self._segment_path = lambda: "vrf" + "[vrf-name='" + self.vrf_name.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/advertise-labels/vrf/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf, ['vrf_name', 'oldstyle'], name, value)


                            class For_(Entity):
                                """
                                Access\-list specifying controls on destination prefixes
                                
                                .. attribute:: from_
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: to
                                
                                	Access\-list specifying controls on LDP peers
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.For_, self).__init__()

                                    self.yang_name = "for"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.from_ = YLeaf(YType.str, "from")

                                    self.to = YLeaf(YType.str, "to")
                                    self._segment_path = lambda: "for"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.For_, ['from_', 'to'], name, value)


                            class Interface(Entity):
                                """
                                
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface, self).__init__()

                                    self.yang_name = "interface"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "interface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.AdvertiseLabels.Vrf.Vrf.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Atm(Entity):
                    """
                    Configure ATM MPLS options
                    
                    .. attribute:: control_mode
                    
                    	Select LSP setup control mode for MPLS VCs
                    	**type**\:  :py:class:`ControlMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Atm.ControlMode>`
                    
                    .. attribute:: vc_merge
                    
                    	Select VC merge capability
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.Atm, self).__init__()

                        self.yang_name = "atm"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.control_mode = YLeaf(YType.enumeration, "control-mode")

                        self.vc_merge = YLeaf(YType.boolean, "vc-merge")
                        self._segment_path = lambda: "atm"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.Ldp.Enable2.Atm, ['control_mode', 'vc_merge'], name, value)

                    class ControlMode(Enum):
                        """
                        ControlMode

                        Select LSP setup control mode for MPLS VCs

                        .. data:: independent = 0

                        .. data:: ordered = 1

                        """

                        independent = Enum.YLeaf(0, "independent")

                        ordered = Enum.YLeaf(1, "ordered")



                class Backoff(Entity):
                    """
                    Set LDP session backoff parameters
                    
                    .. attribute:: initial
                    
                    	
                    	**type**\: int
                    
                    	**range:** 5..2147483
                    
                    .. attribute:: max
                    
                    	
                    	**type**\: int
                    
                    	**range:** 5..2147483
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.Backoff, self).__init__()

                        self.yang_name = "backoff"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.initial = YLeaf(YType.uint32, "initial")

                        self.max = YLeaf(YType.uint32, "max")
                        self._segment_path = lambda: "backoff"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.Ldp.Enable2.Backoff, ['initial', 'max'], name, value)


                class Discovery(Entity):
                    """
                    LDP discovery
                    
                    .. attribute:: hello
                    
                    	LDP discovery Hello
                    	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Discovery.Hello>`
                    
                    .. attribute:: targeted_hello
                    
                    	LDP discovery Targeted Hello
                    	**type**\:  :py:class:`TargetedHello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Discovery.TargetedHello>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.Discovery, self).__init__()

                        self.yang_name = "discovery"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"hello" : ("hello", Native.Mpls.Ldp.Enable2.Discovery.Hello), "targeted-hello" : ("targeted_hello", Native.Mpls.Ldp.Enable2.Discovery.TargetedHello)}
                        self._child_list_classes = {}

                        self.hello = Native.Mpls.Ldp.Enable2.Discovery.Hello()
                        self.hello.parent = self
                        self._children_name_map["hello"] = "hello"
                        self._children_yang_names.add("hello")

                        self.targeted_hello = Native.Mpls.Ldp.Enable2.Discovery.TargetedHello()
                        self.targeted_hello.parent = self
                        self._children_name_map["targeted_hello"] = "targeted-hello"
                        self._children_yang_names.add("targeted-hello")
                        self._segment_path = lambda: "discovery"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()


                    class Hello(Entity):
                        """
                        LDP discovery Hello
                        
                        .. attribute:: holdtime
                        
                        	LDP discovery Hello holdtime
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: interval
                        
                        	LDP discovery Hello interval
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.Discovery.Hello, self).__init__()

                            self.yang_name = "hello"
                            self.yang_parent_name = "discovery"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                            self.interval = YLeaf(YType.uint16, "interval")
                            self._segment_path = lambda: "hello"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/discovery/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.Discovery.Hello, ['holdtime', 'interval'], name, value)


                    class TargetedHello(Entity):
                        """
                        LDP discovery Targeted Hello
                        
                        .. attribute:: accept
                        
                        	Accept targeted hellos
                        	**type**\:  :py:class:`Accept <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Discovery.TargetedHello.Accept>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: holdtime
                        
                        	LDP discovery Hello holdtime
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: interval
                        
                        	LDP discovery Hello interval
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.Discovery.TargetedHello, self).__init__()

                            self.yang_name = "targeted-hello"
                            self.yang_parent_name = "discovery"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"accept" : ("accept", Native.Mpls.Ldp.Enable2.Discovery.TargetedHello.Accept)}
                            self._child_list_classes = {}

                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                            self.interval = YLeaf(YType.uint16, "interval")

                            self.accept = None
                            self._children_name_map["accept"] = "accept"
                            self._children_yang_names.add("accept")
                            self._segment_path = lambda: "targeted-hello"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/discovery/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.Discovery.TargetedHello, ['holdtime', 'interval'], name, value)


                        class Accept(Entity):
                            """
                            Accept targeted hellos
                            
                            .. attribute:: from_
                            
                            	Access list to specify acceptable targeted hello sources
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.Discovery.TargetedHello.Accept, self).__init__()

                                self.yang_name = "accept"
                                self.yang_parent_name = "targeted-hello"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.from_ = YLeaf(YType.str, "from")
                                self._segment_path = lambda: "accept"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/discovery/targeted-hello/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.Discovery.TargetedHello.Accept, ['from_'], name, value)


                class ExplicitNull(Entity):
                    """
                    Advertise Explicit Null label in place of Implicit Null
                    
                    .. attribute:: for_
                    
                    	Access\-list specifying controls on destination prefixes
                    	**type**\: str
                    
                    .. attribute:: to
                    
                    	Access\-list specifying controls on LDP peers
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.ExplicitNull, self).__init__()

                        self.yang_name = "explicit-null"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.for_ = YLeaf(YType.str, "for")

                        self.to = YLeaf(YType.str, "to")
                        self._segment_path = lambda: "explicit-null"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.Ldp.Enable2.ExplicitNull, ['for_', 'to'], name, value)


                class GracefulRestart(Entity):
                    """
                    Configure Graceful Restart timers
                    
                    .. attribute:: timers
                    
                    	Configure Graceful Restart timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.GracefulRestart.Timers>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.GracefulRestart, self).__init__()

                        self.yang_name = "graceful-restart"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"timers" : ("timers", Native.Mpls.Ldp.Enable2.GracefulRestart.Timers)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.timers = Native.Mpls.Ldp.Enable2.GracefulRestart.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")
                        self._segment_path = lambda: "graceful-restart"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()


                    class Timers(Entity):
                        """
                        Configure Graceful Restart timers
                        
                        .. attribute:: forwarding_holding
                        
                        	Forwarding State Holding time
                        	**type**\: int
                        
                        	**range:** 30..600
                        
                        .. attribute:: max_recovery
                        
                        	Max\-Recovery time
                        	**type**\: int
                        
                        	**range:** 15..600
                        
                        .. attribute:: neighbor_liveness
                        
                        	Neighbor\-Liveness time
                        	**type**\: int
                        
                        	**range:** 5..600
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.GracefulRestart.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "graceful-restart"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.forwarding_holding = YLeaf(YType.uint16, "forwarding-holding")

                            self.max_recovery = YLeaf(YType.uint16, "max-recovery")

                            self.neighbor_liveness = YLeaf(YType.uint16, "neighbor-liveness")
                            self._segment_path = lambda: "timers"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/graceful-restart/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.GracefulRestart.Timers, ['forwarding_holding', 'max_recovery', 'neighbor_liveness'], name, value)


                class Igp(Entity):
                    """
                    Configure IGP\-related LDP parameters
                    
                    .. attribute:: sync
                    
                    	Configure LDP\-IGP Synchronization parameters
                    	**type**\:  :py:class:`Sync <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Igp.Sync>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.Igp, self).__init__()

                        self.yang_name = "igp"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"sync" : ("sync", Native.Mpls.Ldp.Enable2.Igp.Sync)}
                        self._child_list_classes = {}

                        self.sync = Native.Mpls.Ldp.Enable2.Igp.Sync()
                        self.sync.parent = self
                        self._children_name_map["sync"] = "sync"
                        self._children_yang_names.add("sync")
                        self._segment_path = lambda: "igp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()


                    class Sync(Entity):
                        """
                        Configure LDP\-IGP Synchronization parameters
                        
                        .. attribute:: holddown
                        
                        	Hold down time in milliseconds
                        	**type**\: int
                        
                        	**range:** 1..2147483647
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.Igp.Sync, self).__init__()

                            self.yang_name = "sync"
                            self.yang_parent_name = "igp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.holddown = YLeaf(YType.uint32, "holddown")
                            self._segment_path = lambda: "sync"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/igp/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.Igp.Sync, ['holddown'], name, value)


                class Label(Entity):
                    """
                    LDP label mode
                    
                    .. attribute:: label_mode__config_ldp_lbl
                    
                    	
                    	**type**\:  :py:class:`LabelModeConfigldplbl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Label.LabelModeConfigldplbl>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.Label, self).__init__()

                        self.yang_name = "label"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"label-Mode__config-ldp-lbl" : ("label_mode__config_ldp_lbl", Native.Mpls.Ldp.Enable2.Label.LabelModeConfigldplbl)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.label_mode__config_ldp_lbl = Native.Mpls.Ldp.Enable2.Label.LabelModeConfigldplbl()
                        self.label_mode__config_ldp_lbl.parent = self
                        self._children_name_map["label_mode__config_ldp_lbl"] = "label-Mode__config-ldp-lbl"
                        self._children_yang_names.add("label-Mode__config-ldp-lbl")
                        self._segment_path = lambda: "label"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()


                    class LabelModeConfigldplbl(Entity):
                        """
                        
                        
                        .. attribute:: allocate
                        
                        	Allocate local labels for specified destination prefixes
                        	**type**\:  :py:class:`Allocate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Label.LabelModeConfigldplbl.Allocate>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.Label.LabelModeConfigldplbl, self).__init__()

                            self.yang_name = "label-Mode__config-ldp-lbl"
                            self.yang_parent_name = "label"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"allocate" : ("allocate", Native.Mpls.Ldp.Enable2.Label.LabelModeConfigldplbl.Allocate)}
                            self._child_list_classes = {}

                            self.allocate = Native.Mpls.Ldp.Enable2.Label.LabelModeConfigldplbl.Allocate()
                            self.allocate.parent = self
                            self._children_name_map["allocate"] = "allocate"
                            self._children_yang_names.add("allocate")
                            self._segment_path = lambda: "label-Mode__config-ldp-lbl"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/label/%s" % self._segment_path()


                        class Allocate(Entity):
                            """
                            Allocate local labels for specified destination prefixes
                            
                            .. attribute:: global_
                            
                            	Specify global Routing/Forwarding instance
                            	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Label.LabelModeConfigldplbl.Allocate.Global_>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.Label.LabelModeConfigldplbl.Allocate, self).__init__()

                                self.yang_name = "allocate"
                                self.yang_parent_name = "label-Mode__config-ldp-lbl"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"global" : ("global_", Native.Mpls.Ldp.Enable2.Label.LabelModeConfigldplbl.Allocate.Global_)}
                                self._child_list_classes = {}

                                self.global_ = None
                                self._children_name_map["global_"] = "global"
                                self._children_yang_names.add("global")
                                self._segment_path = lambda: "allocate"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/label/label-Mode__config-ldp-lbl/%s" % self._segment_path()


                            class Global_(Entity):
                                """
                                Specify global Routing/Forwarding instance
                                
                                .. attribute:: host_routes
                                
                                	allocate local label for host routes only
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: prefix_list
                                
                                	IP prefix\-list for destination prefixes
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Ldp.Enable2.Label.LabelModeConfigldplbl.Allocate.Global_, self).__init__()

                                    self.yang_name = "global"
                                    self.yang_parent_name = "allocate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.host_routes = YLeaf(YType.empty, "host-routes")

                                    self.prefix_list = YLeaf(YType.str, "prefix-list")
                                    self._segment_path = lambda: "global"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/label/label-Mode__config-ldp-lbl/allocate/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Ldp.Enable2.Label.LabelModeConfigldplbl.Allocate.Global_, ['host_routes', 'prefix_list'], name, value)


                class Logging(Entity):
                    """
                    Enable LDP logging
                    
                    .. attribute:: neighbor_changes
                    
                    	Log LDP neighbor state changes
                    	**type**\: bool
                    
                    .. attribute:: password
                    
                    	Log LDP password events
                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Logging.Password>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.Logging, self).__init__()

                        self.yang_name = "logging"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"password" : ("password", Native.Mpls.Ldp.Enable2.Logging.Password)}
                        self._child_list_classes = {}

                        self.neighbor_changes = YLeaf(YType.boolean, "neighbor-changes")

                        self.password = Native.Mpls.Ldp.Enable2.Logging.Password()
                        self.password.parent = self
                        self._children_name_map["password"] = "password"
                        self._children_yang_names.add("password")
                        self._segment_path = lambda: "logging"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.Ldp.Enable2.Logging, ['neighbor_changes'], name, value)


                    class Password(Entity):
                        """
                        Log LDP password events
                        
                        .. attribute:: configuration_conf
                        
                        	
                        	**type**\:  :py:class:`ConfigurationConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Logging.Password.ConfigurationConf>`
                        
                        .. attribute:: rollover_conf
                        
                        	
                        	**type**\:  :py:class:`RolloverConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Logging.Password.RolloverConf>`
                        
                        .. attribute:: configuration
                        
                        	Log LDP password configuration changes
                        	**type**\:  :py:class:`Configuration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Logging.Password.Configuration>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: rollover
                        
                        	Log LDP password rollover events
                        	**type**\:  :py:class:`Rollover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Logging.Password.Rollover>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.Logging.Password, self).__init__()

                            self.yang_name = "password"
                            self.yang_parent_name = "logging"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"configuration-conf" : ("configuration_conf", Native.Mpls.Ldp.Enable2.Logging.Password.ConfigurationConf), "rollover-conf" : ("rollover_conf", Native.Mpls.Ldp.Enable2.Logging.Password.RolloverConf), "configuration" : ("configuration", Native.Mpls.Ldp.Enable2.Logging.Password.Configuration), "rollover" : ("rollover", Native.Mpls.Ldp.Enable2.Logging.Password.Rollover)}
                            self._child_list_classes = {}

                            self.configuration_conf = Native.Mpls.Ldp.Enable2.Logging.Password.ConfigurationConf()
                            self.configuration_conf.parent = self
                            self._children_name_map["configuration_conf"] = "configuration-conf"
                            self._children_yang_names.add("configuration-conf")

                            self.rollover_conf = Native.Mpls.Ldp.Enable2.Logging.Password.RolloverConf()
                            self.rollover_conf.parent = self
                            self._children_name_map["rollover_conf"] = "rollover-conf"
                            self._children_yang_names.add("rollover-conf")

                            self.configuration = None
                            self._children_name_map["configuration"] = "configuration"
                            self._children_yang_names.add("configuration")

                            self.rollover = None
                            self._children_name_map["rollover"] = "rollover"
                            self._children_yang_names.add("rollover")
                            self._segment_path = lambda: "password"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/logging/%s" % self._segment_path()


                        class ConfigurationConf(Entity):
                            """
                            
                            
                            .. attribute:: configuration
                            
                            	
                            	**type**\: bool
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.Logging.Password.ConfigurationConf, self).__init__()

                                self.yang_name = "configuration-conf"
                                self.yang_parent_name = "password"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.configuration = YLeaf(YType.boolean, "configuration")
                                self._segment_path = lambda: "configuration-conf"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/logging/password/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.Logging.Password.ConfigurationConf, ['configuration'], name, value)


                        class RolloverConf(Entity):
                            """
                            
                            
                            .. attribute:: rollover
                            
                            	
                            	**type**\: bool
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.Logging.Password.RolloverConf, self).__init__()

                                self.yang_name = "rollover-conf"
                                self.yang_parent_name = "password"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rollover = YLeaf(YType.boolean, "rollover")
                                self._segment_path = lambda: "rollover-conf"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/logging/password/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.Logging.Password.RolloverConf, ['rollover'], name, value)


                        class Configuration(Entity):
                            """
                            Log LDP password configuration changes
                            
                            .. attribute:: rate_limit
                            
                            	Messages per minute
                            	**type**\: int
                            
                            	**range:** 1..60
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.Logging.Password.Configuration, self).__init__()

                                self.yang_name = "configuration"
                                self.yang_parent_name = "password"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.rate_limit = YLeaf(YType.uint8, "rate-limit")
                                self._segment_path = lambda: "configuration"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/logging/password/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.Logging.Password.Configuration, ['rate_limit'], name, value)


                        class Rollover(Entity):
                            """
                            Log LDP password rollover events
                            
                            .. attribute:: rate_limit
                            
                            	Messages per minute
                            	**type**\: int
                            
                            	**range:** 1..60
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.Logging.Password.Rollover, self).__init__()

                                self.yang_name = "rollover"
                                self.yang_parent_name = "password"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.rate_limit = YLeaf(YType.uint8, "rate-limit")
                                self._segment_path = lambda: "rollover"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/logging/password/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.Logging.Password.Rollover, ['rate_limit'], name, value)


                class Neighbor(Entity):
                    """
                    
                    
                    .. attribute:: neighbor_content
                    
                    	Configure neighbor parameters
                    	**type**\: list of  		 :py:class:`NeighborContent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent>`
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.Neighbor, self).__init__()

                        self.yang_name = "neighbor"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"vrf" : ("vrf", Native.Mpls.Ldp.Enable2.Neighbor.Vrf)}
                        self._child_list_classes = {"neighbor-content" : ("neighbor_content", Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent)}

                        self.vrf = Native.Mpls.Ldp.Enable2.Neighbor.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")

                        self.neighbor_content = YList(self)
                        self._segment_path = lambda: "neighbor"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.Ldp.Enable2.Neighbor, [], name, value)


                    class NeighborContent(Entity):
                        """
                        Configure neighbor parameters
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: implicit_withdraw
                        
                        	Enable LDP Implicit Withdraw Label
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: labels
                        
                        	Configure label binding exchange controls
                        	**type**\:  :py:class:`Labels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Labels>`
                        
                        .. attribute:: password
                        
                        	Set a password
                        	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Password>`
                        
                        .. attribute:: targeted
                        
                        	Establish targeted session
                        	**type**\:  :py:class:`Targeted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent, self).__init__()

                            self.yang_name = "neighbor-content"
                            self.yang_parent_name = "neighbor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"labels" : ("labels", Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Labels), "password" : ("password", Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Password), "targeted" : ("targeted", Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.implicit_withdraw = YLeaf(YType.empty, "implicit-withdraw")

                            self.labels = Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Labels()
                            self.labels.parent = self
                            self._children_name_map["labels"] = "labels"
                            self._children_yang_names.add("labels")

                            self.password = Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Password()
                            self.password.parent = self
                            self._children_name_map["password"] = "password"
                            self._children_yang_names.add("password")

                            self.targeted = None
                            self._children_name_map["targeted"] = "targeted"
                            self._children_yang_names.add("targeted")
                            self._segment_path = lambda: "neighbor-content" + "[address='" + self.address.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/neighbor/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent, ['address', 'implicit_withdraw'], name, value)


                        class Labels(Entity):
                            """
                            Configure label binding exchange controls
                            
                            .. attribute:: accept
                            
                            	Specify label bindings to accept
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Labels, self).__init__()

                                self.yang_name = "labels"
                                self.yang_parent_name = "neighbor-content"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.accept = YLeaf(YType.str, "accept")
                                self._segment_path = lambda: "labels"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Labels, ['accept'], name, value)


                        class Password(Entity):
                            """
                            Set a password
                            
                            .. attribute:: enctype
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: text
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [a\-zA\-Z].\*
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Password, self).__init__()

                                self.yang_name = "password"
                                self.yang_parent_name = "neighbor-content"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.enctype = YLeaf(YType.uint8, "enctype")

                                self.text = YLeaf(YType.str, "text")
                                self._segment_path = lambda: "password"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Password, ['enctype', 'text'], name, value)


                        class Targeted(Entity):
                            """
                            Establish targeted session
                            
                            .. attribute:: protocol
                            
                            	
                            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted.Protocol>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted, self).__init__()

                                self.yang_name = "targeted"
                                self.yang_parent_name = "neighbor-content"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protocol = YLeaf(YType.enumeration, "protocol")
                                self._segment_path = lambda: "targeted"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.Neighbor.NeighborContent.Targeted, ['protocol'], name, value)

                            class Protocol(Enum):
                                """
                                Protocol

                                .. data:: ldp = 0

                                .. data:: tdp = 1

                                """

                                ldp = Enum.YLeaf(0, "ldp")

                                tdp = Enum.YLeaf(1, "tdp")



                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.Neighbor.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "neighbor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf)}

                            self.vrf = YList(self)
                            self._segment_path = lambda: "vrf"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/neighbor/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.Neighbor.Vrf, [], name, value)


                        class Vrf(Entity):
                            """
                            
                            
                            .. attribute:: vrf_name  <key>
                            
                            	VPN Routing/Forwarding instance name
                            	**type**\: str
                            
                            .. attribute:: neighbor_content
                            
                            	Configure neighbor parameters
                            	**type**\: list of  		 :py:class:`NeighborContent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"neighbor-content" : ("neighbor_content", Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent)}

                                self.vrf_name = YLeaf(YType.str, "vrf-name")

                                self.neighbor_content = YList(self)
                                self._segment_path = lambda: "vrf" + "[vrf-name='" + self.vrf_name.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/neighbor/vrf/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf, ['vrf_name'], name, value)


                            class NeighborContent(Entity):
                                """
                                Configure neighbor parameters
                                
                                .. attribute:: address  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: implicit_withdraw
                                
                                	Enable LDP Implicit Withdraw Label
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: labels
                                
                                	Configure label binding exchange controls
                                	**type**\:  :py:class:`Labels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Labels>`
                                
                                .. attribute:: password
                                
                                	Set a password
                                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Password>`
                                
                                .. attribute:: targeted
                                
                                	Establish targeted session
                                	**type**\:  :py:class:`Targeted <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Targeted>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent, self).__init__()

                                    self.yang_name = "neighbor-content"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"labels" : ("labels", Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Labels), "password" : ("password", Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Password), "targeted" : ("targeted", Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Targeted)}
                                    self._child_list_classes = {}

                                    self.address = YLeaf(YType.str, "address")

                                    self.implicit_withdraw = YLeaf(YType.empty, "implicit-withdraw")

                                    self.labels = Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Labels()
                                    self.labels.parent = self
                                    self._children_name_map["labels"] = "labels"
                                    self._children_yang_names.add("labels")

                                    self.password = Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Password()
                                    self.password.parent = self
                                    self._children_name_map["password"] = "password"
                                    self._children_yang_names.add("password")

                                    self.targeted = None
                                    self._children_name_map["targeted"] = "targeted"
                                    self._children_yang_names.add("targeted")
                                    self._segment_path = lambda: "neighbor-content" + "[address='" + self.address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent, ['address', 'implicit_withdraw'], name, value)


                                class Labels(Entity):
                                    """
                                    Configure label binding exchange controls
                                    
                                    .. attribute:: accept
                                    
                                    	Specify label bindings to accept
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Labels, self).__init__()

                                        self.yang_name = "labels"
                                        self.yang_parent_name = "neighbor-content"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.accept = YLeaf(YType.str, "accept")
                                        self._segment_path = lambda: "labels"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Labels, ['accept'], name, value)


                                class Password(Entity):
                                    """
                                    Set a password
                                    
                                    .. attribute:: enctype
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: text
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [a\-zA\-Z].\*
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Password, self).__init__()

                                        self.yang_name = "password"
                                        self.yang_parent_name = "neighbor-content"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enctype = YLeaf(YType.uint8, "enctype")

                                        self.text = YLeaf(YType.str, "text")
                                        self._segment_path = lambda: "password"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Password, ['enctype', 'text'], name, value)


                                class Targeted(Entity):
                                    """
                                    Establish targeted session
                                    
                                    .. attribute:: protocol
                                    
                                    	
                                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Targeted.Protocol>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Targeted, self).__init__()

                                        self.yang_name = "targeted"
                                        self.yang_parent_name = "neighbor-content"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.protocol = YLeaf(YType.enumeration, "protocol")
                                        self._segment_path = lambda: "targeted"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.Neighbor.Vrf.Vrf.NeighborContent.Targeted, ['protocol'], name, value)

                                    class Protocol(Enum):
                                        """
                                        Protocol

                                        .. data:: ldp = 0

                                        .. data:: tdp = 1

                                        """

                                        ldp = Enum.YLeaf(0, "ldp")

                                        tdp = Enum.YLeaf(1, "tdp")



                class Password(Entity):
                    """
                    Configure LDP MD5 password
                    
                    .. attribute:: fallback
                    
                    	Specifies a fallback password will follow
                    	**type**\:  :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Fallback>`
                    
                    .. attribute:: option
                    
                    	LDP password options
                    	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Option>`
                    
                    .. attribute:: required
                    
                    	MD5 password is required for the peer
                    	**type**\:  :py:class:`Required <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Required>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rollover
                    
                    	LDP password rollover parameters
                    	**type**\:  :py:class:`Rollover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Rollover>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"fallback" : ("fallback", Native.Mpls.Ldp.Enable2.Password.Fallback), "option" : ("option", Native.Mpls.Ldp.Enable2.Password.Option), "required" : ("required", Native.Mpls.Ldp.Enable2.Password.Required), "rollover" : ("rollover", Native.Mpls.Ldp.Enable2.Password.Rollover)}
                        self._child_list_classes = {}

                        self.fallback = Native.Mpls.Ldp.Enable2.Password.Fallback()
                        self.fallback.parent = self
                        self._children_name_map["fallback"] = "fallback"
                        self._children_yang_names.add("fallback")

                        self.option = Native.Mpls.Ldp.Enable2.Password.Option()
                        self.option.parent = self
                        self._children_name_map["option"] = "option"
                        self._children_yang_names.add("option")

                        self.required = None
                        self._children_name_map["required"] = "required"
                        self._children_yang_names.add("required")

                        self.rollover = Native.Mpls.Ldp.Enable2.Password.Rollover()
                        self.rollover.parent = self
                        self._children_name_map["rollover"] = "rollover"
                        self._children_yang_names.add("rollover")
                        self._segment_path = lambda: "password"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()


                    class Fallback(Entity):
                        """
                        Specifies a fallback password will follow
                        
                        .. attribute:: encryption_type
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: line
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\: str
                        
                        .. attribute:: key_chain
                        
                        	Specifies a key\-chain name will follow
                        	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Fallback.KeyChain>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.Password.Fallback, self).__init__()

                            self.yang_name = "fallback"
                            self.yang_parent_name = "password"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"key-chain" : ("key_chain", Native.Mpls.Ldp.Enable2.Password.Fallback.KeyChain)}
                            self._child_list_classes = {}

                            self.encryption_type = YLeaf(YType.uint8, "encryption-type")

                            self.line = YLeaf(YType.str, "LINE")

                            self.key_chain = None
                            self._children_name_map["key_chain"] = "key-chain"
                            self._children_yang_names.add("key-chain")
                            self._segment_path = lambda: "fallback"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/password/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.Password.Fallback, ['encryption_type', 'line'], name, value)


                        class KeyChain(Entity):
                            """
                            Specifies a key\-chain name will follow
                            
                            .. attribute:: line
                            
                            	help
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.Password.Fallback.KeyChain, self).__init__()

                                self.yang_name = "key-chain"
                                self.yang_parent_name = "fallback"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.line = YLeaf(YType.str, "LINE")
                                self._segment_path = lambda: "key-chain"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/password/fallback/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.Password.Fallback.KeyChain, ['line'], name, value)


                    class Option(Entity):
                        """
                        LDP password options
                        
                        .. attribute:: seq_num
                        
                        	
                        	**type**\: list of  		 :py:class:`SeqNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Option.SeqNum>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.Password.Option, self).__init__()

                            self.yang_name = "option"
                            self.yang_parent_name = "password"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"seq-num" : ("seq_num", Native.Mpls.Ldp.Enable2.Password.Option.SeqNum)}

                            self.seq_num = YList(self)
                            self._segment_path = lambda: "option"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/password/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.Password.Option, [], name, value)


                        class SeqNum(Entity):
                            """
                            
                            
                            .. attribute:: seq_num  <key>
                            
                            	Sequence number of the LDP password option
                            	**type**\: int
                            
                            	**range:** 1..32767
                            
                            .. attribute:: for_
                            
                            	IP access\-list specifying control on LDP peers
                            	**type**\:  :py:class:`For_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.Password.Option.SeqNum, self).__init__()

                                self.yang_name = "seq-num"
                                self.yang_parent_name = "option"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"for" : ("for_", Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_)}
                                self._child_list_classes = {}

                                self.seq_num = YLeaf(YType.uint16, "seq-num")

                                self.for_ = Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_()
                                self.for_.parent = self
                                self._children_name_map["for_"] = "for"
                                self._children_yang_names.add("for")
                                self._segment_path = lambda: "seq-num" + "[seq-num='" + self.seq_num.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/password/option/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.Password.Option.SeqNum, ['seq_num'], name, value)


                            class For_(Entity):
                                """
                                IP access\-list specifying control on LDP peers
                                
                                .. attribute:: line
                                
                                	
                                	**type**\: list of  		 :py:class:`LINE <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.LINE>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_, self).__init__()

                                    self.yang_name = "for"
                                    self.yang_parent_name = "seq-num"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"LINE" : ("line", Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.LINE)}

                                    self.line = YList(self)
                                    self._segment_path = lambda: "for"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_, [], name, value)


                                class LINE(Entity):
                                    """
                                    
                                    
                                    .. attribute:: acl_name  <key>
                                    
                                    	IP standard access\-list for LDP peers; name or number (1\-99)
                                    	**type**\: str
                                    
                                    .. attribute:: encryption_type
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: line
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_chain
                                    
                                    	Specifies a key\-chain name will follow
                                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.LINE.KeyChain>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.LINE, self).__init__()

                                        self.yang_name = "LINE"
                                        self.yang_parent_name = "for"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-chain" : ("key_chain", Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.LINE.KeyChain)}
                                        self._child_list_classes = {}

                                        self.acl_name = YLeaf(YType.str, "acl-name")

                                        self.encryption_type = YLeaf(YType.uint8, "encryption-type")

                                        self.line = YLeaf(YType.str, "LINE")

                                        self.key_chain = None
                                        self._children_name_map["key_chain"] = "key-chain"
                                        self._children_yang_names.add("key-chain")
                                        self._segment_path = lambda: "LINE" + "[acl-name='" + self.acl_name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.LINE, ['acl_name', 'encryption_type', 'line'], name, value)


                                    class KeyChain(Entity):
                                        """
                                        Specifies a key\-chain name will follow
                                        
                                        .. attribute:: line
                                        
                                        	help
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-mpls'
                                        _revision = '2017-02-23'

                                        def __init__(self):
                                            super(Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.LINE.KeyChain, self).__init__()

                                            self.yang_name = "key-chain"
                                            self.yang_parent_name = "LINE"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.line = YLeaf(YType.str, "LINE")
                                            self._segment_path = lambda: "key-chain"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Mpls.Ldp.Enable2.Password.Option.SeqNum.For_.LINE.KeyChain, ['line'], name, value)


                    class Required(Entity):
                        """
                        MD5 password is required for the peer
                        
                        .. attribute:: for_
                        
                        	IP access\-list specifying control on LDP peers
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.Password.Required, self).__init__()

                            self.yang_name = "required"
                            self.yang_parent_name = "password"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.for_ = YLeaf(YType.str, "for")
                            self._segment_path = lambda: "required"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/password/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.Password.Required, ['for_'], name, value)


                    class Rollover(Entity):
                        """
                        LDP password rollover parameters
                        
                        .. attribute:: duration
                        
                        	Configure LDP password rollover duration in minutes
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.Password.Rollover, self).__init__()

                            self.yang_name = "rollover"
                            self.yang_parent_name = "password"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.duration = YLeaf(YType.uint16, "duration")
                            self._segment_path = lambda: "rollover"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/password/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.Password.Rollover, ['duration'], name, value)


                class RequestLabels(Entity):
                    """
                    Access list to specify valid downstream on demand destinations.
                    
                    .. attribute:: for_
                    
                    	Access list to specify acceptable downstream on demand destinations
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.RequestLabels, self).__init__()

                        self.yang_name = "request-labels"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.for_ = YLeaf(YType.str, "for")
                        self._segment_path = lambda: "request-labels"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.Ldp.Enable2.RequestLabels, ['for_'], name, value)


                class RouterId(Entity):
                    """
                    Select interface to prefer for LDP identifier address
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Interface>`
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.RouterId, self).__init__()

                        self.yang_name = "router-id"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"interface" : ("interface", Native.Mpls.Ldp.Enable2.RouterId.Interface), "vrf" : ("vrf", Native.Mpls.Ldp.Enable2.RouterId.Vrf)}
                        self._child_list_classes = {}

                        self.interface = Native.Mpls.Ldp.Enable2.RouterId.Interface()
                        self.interface.parent = self
                        self._children_name_map["interface"] = "interface"
                        self._children_yang_names.add("interface")

                        self.vrf = Native.Mpls.Ldp.Enable2.RouterId.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "router-id"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()


                    class Interface(Entity):
                        """
                        
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Interface.ATMSubinterface>`
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\: str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Interface.ATMACRsubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\: str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\: str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\: str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\: str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\: str
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Interface.LISPSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Interface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\: str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\: str
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\: str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\: str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: force
                        
                        	Forcibly change the LDP router id
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.RouterId.Interface, self).__init__()

                            self.yang_name = "interface"
                            self.yang_parent_name = "router-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Mpls.Ldp.Enable2.RouterId.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Mpls.Ldp.Enable2.RouterId.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Mpls.Ldp.Enable2.RouterId.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Mpls.Ldp.Enable2.RouterId.Interface.PortChannelSubinterface)}
                            self._child_list_classes = {}

                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                            self.atm = YLeaf(YType.str, "ATM")

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                            self.bdi = YLeaf(YType.str, "BDI")

                            self.cem = YLeaf(YType.str, "CEM")

                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                            self.lisp = YLeaf(YType.str, "LISP")

                            self.loopback = YLeaf(YType.uint32, "Loopback")

                            self.multilink = YLeaf(YType.uint16, "Multilink")

                            self.nve = YLeaf(YType.uint16, "nve")

                            self.overlay = YLeaf(YType.uint16, "overlay")

                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                            self.sm = YLeaf(YType.str, "SM")

                            self.cellular = YLeaf(YType.str, "Cellular")

                            self.serial = YLeaf(YType.str, "Serial")

                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                            self.force = YLeaf(YType.empty, "force")

                            self.atm_subinterface = Native.Mpls.Ldp.Enable2.RouterId.Interface.ATMSubinterface()
                            self.atm_subinterface.parent = self
                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                            self._children_yang_names.add("ATM-subinterface")

                            self.atm_acrsubinterface = Native.Mpls.Ldp.Enable2.RouterId.Interface.ATMACRsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                            self._children_yang_names.add("ATM-ACRsubinterface")

                            self.lisp_subinterface = Native.Mpls.Ldp.Enable2.RouterId.Interface.LISPSubinterface()
                            self.lisp_subinterface.parent = self
                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                            self._children_yang_names.add("LISP-subinterface")

                            self.port_channel_subinterface = Native.Mpls.Ldp.Enable2.RouterId.Interface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                            self._children_yang_names.add("Port-channel-subinterface")
                            self._segment_path = lambda: "interface"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/router-id/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.RouterId.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright', 'force'], name, value)


                        class ATMSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.RouterId.Interface.ATMSubinterface, self).__init__()

                                self.yang_name = "ATM-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm = YLeaf(YType.str, "ATM")
                                self._segment_path = lambda: "ATM-subinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/router-id/interface/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.RouterId.Interface.ATMSubinterface, ['atm'], name, value)


                        class ATMACRsubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.RouterId.Interface.ATMACRsubinterface, self).__init__()

                                self.yang_name = "ATM-ACRsubinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                self._segment_path = lambda: "ATM-ACRsubinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/router-id/interface/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.RouterId.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                        class LISPSubinterface(Entity):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.RouterId.Interface.LISPSubinterface, self).__init__()

                                self.yang_name = "LISP-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lisp = YLeaf(YType.str, "LISP")
                                self._segment_path = lambda: "LISP-subinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/router-id/interface/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.RouterId.Interface.LISPSubinterface, ['lisp'], name, value)


                        class PortChannelSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.RouterId.Interface.PortChannelSubinterface, self).__init__()

                                self.yang_name = "Port-channel-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                self._segment_path = lambda: "Port-channel-subinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/router-id/interface/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.RouterId.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.RouterId.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "router-id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf)}

                            self.vrf = YList(self)
                            self._segment_path = lambda: "vrf"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/router-id/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.RouterId.Vrf, [], name, value)


                        class Vrf(Entity):
                            """
                            
                            
                            .. attribute:: vrf_name  <key>
                            
                            	VPN Routing/Forwarding instance name
                            	**type**\: str
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"interface" : ("interface", Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface)}
                                self._child_list_classes = {}

                                self.vrf_name = YLeaf(YType.str, "vrf-name")

                                self.interface = Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface()
                                self.interface.parent = self
                                self._children_name_map["interface"] = "interface"
                                self._children_yang_names.add("interface")
                                self._segment_path = lambda: "vrf" + "[vrf-name='" + self.vrf_name.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/router-id/vrf/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf, ['vrf_name'], name, value)


                            class Interface(Entity):
                                """
                                
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: force
                                
                                	Forcibly change the LDP router id
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface, self).__init__()

                                    self.yang_name = "interface"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.force = YLeaf(YType.empty, "force")

                                    self.atm_subinterface = Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "interface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright', 'force'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.RouterId.Vrf.Vrf.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                class Tcp(Entity):
                    """
                    Set TCP parameters for LDP
                    
                    .. attribute:: pak_priority
                    
                    	Set (local) priority for LDP session TCP connection
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.Tcp, self).__init__()

                        self.yang_name = "tcp"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.pak_priority = YLeaf(YType.empty, "pak-priority")
                        self._segment_path = lambda: "tcp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.Ldp.Enable2.Tcp, ['pak_priority'], name, value)


                class Vrf(Entity):
                    """
                    
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Enable2.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "enable2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"vrf" : ("vrf", Native.Mpls.Ldp.Enable2.Vrf.Vrf)}

                        self.vrf = YList(self)
                        self._segment_path = lambda: "vrf"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.Ldp.Enable2.Vrf, [], name, value)


                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: vrf_name  <key>
                        
                        	VPN Routing/Forwarding instance name
                        	**type**\: str
                        
                        .. attribute:: password
                        
                        	Configure LDP MD5 password
                        	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Enable2.Vrf.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"password" : ("password", Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password)}
                            self._child_list_classes = {}

                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                            self.password = Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password()
                            self.password.parent = self
                            self._children_name_map["password"] = "password"
                            self._children_yang_names.add("password")
                            self._segment_path = lambda: "vrf" + "[vrf-name='" + self.vrf_name.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/enable2/vrf/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Enable2.Vrf.Vrf, ['vrf_name'], name, value)


                        class Password(Entity):
                            """
                            Configure LDP MD5 password
                            
                            .. attribute:: fallback
                            
                            	Specifies a fallback password will follow
                            	**type**\:  :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Fallback>`
                            
                            .. attribute:: option
                            
                            	LDP password options
                            	**type**\:  :py:class:`Option <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option>`
                            
                            .. attribute:: required
                            
                            	MD5 password is required for the peer
                            	**type**\:  :py:class:`Required <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Required>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: rollover
                            
                            	LDP password rollover parameters
                            	**type**\:  :py:class:`Rollover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Rollover>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password, self).__init__()

                                self.yang_name = "password"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"fallback" : ("fallback", Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Fallback), "option" : ("option", Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option), "required" : ("required", Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Required), "rollover" : ("rollover", Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Rollover)}
                                self._child_list_classes = {}

                                self.fallback = Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Fallback()
                                self.fallback.parent = self
                                self._children_name_map["fallback"] = "fallback"
                                self._children_yang_names.add("fallback")

                                self.option = Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option()
                                self.option.parent = self
                                self._children_name_map["option"] = "option"
                                self._children_yang_names.add("option")

                                self.required = None
                                self._children_name_map["required"] = "required"
                                self._children_yang_names.add("required")

                                self.rollover = Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Rollover()
                                self.rollover.parent = self
                                self._children_name_map["rollover"] = "rollover"
                                self._children_yang_names.add("rollover")
                                self._segment_path = lambda: "password"


                            class Fallback(Entity):
                                """
                                Specifies a fallback password will follow
                                
                                .. attribute:: encryption_type
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: line
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: key_chain
                                
                                	Specifies a key\-chain name will follow
                                	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Fallback.KeyChain>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Fallback, self).__init__()

                                    self.yang_name = "fallback"
                                    self.yang_parent_name = "password"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-chain" : ("key_chain", Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Fallback.KeyChain)}
                                    self._child_list_classes = {}

                                    self.encryption_type = YLeaf(YType.uint8, "encryption-type")

                                    self.line = YLeaf(YType.str, "LINE")

                                    self.key_chain = None
                                    self._children_name_map["key_chain"] = "key-chain"
                                    self._children_yang_names.add("key-chain")
                                    self._segment_path = lambda: "fallback"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Fallback, ['encryption_type', 'line'], name, value)


                                class KeyChain(Entity):
                                    """
                                    Specifies a key\-chain name will follow
                                    
                                    .. attribute:: line
                                    
                                    	help
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Fallback.KeyChain, self).__init__()

                                        self.yang_name = "key-chain"
                                        self.yang_parent_name = "fallback"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.line = YLeaf(YType.str, "LINE")
                                        self._segment_path = lambda: "key-chain"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Fallback.KeyChain, ['line'], name, value)


                            class Option(Entity):
                                """
                                LDP password options
                                
                                .. attribute:: seq_num
                                
                                	
                                	**type**\: list of  		 :py:class:`SeqNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option, self).__init__()

                                    self.yang_name = "option"
                                    self.yang_parent_name = "password"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"seq-num" : ("seq_num", Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum)}

                                    self.seq_num = YList(self)
                                    self._segment_path = lambda: "option"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option, [], name, value)


                                class SeqNum(Entity):
                                    """
                                    
                                    
                                    .. attribute:: seq_num  <key>
                                    
                                    	Sequence number of the LDP password option
                                    	**type**\: int
                                    
                                    	**range:** 1..32767
                                    
                                    .. attribute:: for_
                                    
                                    	IP access\-list specifying control on LDP peers
                                    	**type**\:  :py:class:`For_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum.For_>`
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum, self).__init__()

                                        self.yang_name = "seq-num"
                                        self.yang_parent_name = "option"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"for" : ("for_", Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum.For_)}
                                        self._child_list_classes = {}

                                        self.seq_num = YLeaf(YType.uint16, "seq-num")

                                        self.for_ = Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum.For_()
                                        self.for_.parent = self
                                        self._children_name_map["for_"] = "for"
                                        self._children_yang_names.add("for")
                                        self._segment_path = lambda: "seq-num" + "[seq-num='" + self.seq_num.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum, ['seq_num'], name, value)


                                    class For_(Entity):
                                        """
                                        IP access\-list specifying control on LDP peers
                                        
                                        .. attribute:: line
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`LINE <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum.For_.LINE>`
                                        
                                        

                                        """

                                        _prefix = 'ios-mpls'
                                        _revision = '2017-02-23'

                                        def __init__(self):
                                            super(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum.For_, self).__init__()

                                            self.yang_name = "for"
                                            self.yang_parent_name = "seq-num"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"LINE" : ("line", Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum.For_.LINE)}

                                            self.line = YList(self)
                                            self._segment_path = lambda: "for"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum.For_, [], name, value)


                                        class LINE(Entity):
                                            """
                                            
                                            
                                            .. attribute:: acl_name  <key>
                                            
                                            	IP standard access\-list for LDP peers; name or number (1\-99)
                                            	**type**\: str
                                            
                                            .. attribute:: encryption_type
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: line
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: key_chain
                                            
                                            	Specifies a key\-chain name will follow
                                            	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum.For_.LINE.KeyChain>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-mpls'
                                            _revision = '2017-02-23'

                                            def __init__(self):
                                                super(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum.For_.LINE, self).__init__()

                                                self.yang_name = "LINE"
                                                self.yang_parent_name = "for"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-chain" : ("key_chain", Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum.For_.LINE.KeyChain)}
                                                self._child_list_classes = {}

                                                self.acl_name = YLeaf(YType.str, "acl-name")

                                                self.encryption_type = YLeaf(YType.uint8, "encryption-type")

                                                self.line = YLeaf(YType.str, "LINE")

                                                self.key_chain = None
                                                self._children_name_map["key_chain"] = "key-chain"
                                                self._children_yang_names.add("key-chain")
                                                self._segment_path = lambda: "LINE" + "[acl-name='" + self.acl_name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum.For_.LINE, ['acl_name', 'encryption_type', 'line'], name, value)


                                            class KeyChain(Entity):
                                                """
                                                Specifies a key\-chain name will follow
                                                
                                                .. attribute:: line
                                                
                                                	help
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-mpls'
                                                _revision = '2017-02-23'

                                                def __init__(self):
                                                    super(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum.For_.LINE.KeyChain, self).__init__()

                                                    self.yang_name = "key-chain"
                                                    self.yang_parent_name = "LINE"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.line = YLeaf(YType.str, "LINE")
                                                    self._segment_path = lambda: "key-chain"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Option.SeqNum.For_.LINE.KeyChain, ['line'], name, value)


                            class Required(Entity):
                                """
                                MD5 password is required for the peer
                                
                                .. attribute:: for_
                                
                                	IP access\-list specifying control on LDP peers
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Required, self).__init__()

                                    self.yang_name = "required"
                                    self.yang_parent_name = "password"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.for_ = YLeaf(YType.str, "for")
                                    self._segment_path = lambda: "required"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Required, ['for_'], name, value)


                            class Rollover(Entity):
                                """
                                LDP password rollover parameters
                                
                                .. attribute:: duration
                                
                                	Configure LDP password rollover duration in minutes
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Rollover, self).__init__()

                                    self.yang_name = "rollover"
                                    self.yang_parent_name = "password"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.duration = YLeaf(YType.uint16, "duration")
                                    self._segment_path = lambda: "rollover"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Ldp.Enable2.Vrf.Vrf.Password.Rollover, ['duration'], name, value)


            class Session(Entity):
                """
                Configure session parameters
                
                .. attribute:: protection
                
                	Configure session protection parameters
                	**type**\:  :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.Ldp.Session, self).__init__()

                    self.yang_name = "session"
                    self.yang_parent_name = "ldp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"protection" : ("protection", Native.Mpls.Ldp.Session.Protection)}
                    self._child_list_classes = {}

                    self.protection = None
                    self._children_name_map["protection"] = "protection"
                    self._children_yang_names.add("protection")
                    self._segment_path = lambda: "session"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/%s" % self._segment_path()


                class Protection(Entity):
                    """
                    Configure session protection parameters
                    
                    .. attribute:: duration
                    
                    	Period to sustain session protection after loss of link discovery
                    	**type**\:  :py:class:`Duration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.Duration>`
                    
                    .. attribute:: for_
                    
                    	Access\-list to specify LDP peers
                    	**type**\:  :py:class:`For_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.For_>`
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding instance name
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.Vrf>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Ldp.Session.Protection, self).__init__()

                        self.yang_name = "protection"
                        self.yang_parent_name = "session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"duration" : ("duration", Native.Mpls.Ldp.Session.Protection.Duration), "for" : ("for_", Native.Mpls.Ldp.Session.Protection.For_), "vrf" : ("vrf", Native.Mpls.Ldp.Session.Protection.Vrf)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.duration = Native.Mpls.Ldp.Session.Protection.Duration()
                        self.duration.parent = self
                        self._children_name_map["duration"] = "duration"
                        self._children_yang_names.add("duration")

                        self.for_ = Native.Mpls.Ldp.Session.Protection.For_()
                        self.for_.parent = self
                        self._children_name_map["for_"] = "for"
                        self._children_yang_names.add("for")

                        self.vrf = Native.Mpls.Ldp.Session.Protection.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")
                        self._segment_path = lambda: "protection"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/session/%s" % self._segment_path()


                    class Duration(Entity):
                        """
                        Period to sustain session protection after loss of link discovery
                        
                        .. attribute:: holdup_time
                        
                        	Holdup time in seconds
                        	**type**\: int
                        
                        	**range:** 30..2147483
                        
                        .. attribute:: infinite
                        
                        	Protect session forever after loss of link discovery
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Session.Protection.Duration, self).__init__()

                            self.yang_name = "duration"
                            self.yang_parent_name = "protection"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.holdup_time = YLeaf(YType.uint32, "holdup-time")

                            self.infinite = YLeaf(YType.empty, "infinite")
                            self._segment_path = lambda: "duration"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/session/protection/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Session.Protection.Duration, ['holdup_time', 'infinite'], name, value)


                    class For_(Entity):
                        """
                        Access\-list to specify LDP peers
                        
                        .. attribute:: acl_name
                        
                        	IP access\-list for LDP peers; name or number (1\-99)
                        	**type**\: str
                        
                        .. attribute:: duration
                        
                        	Period to sustain session protection after loss of link discovery
                        	**type**\:  :py:class:`Duration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.For_.Duration>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Session.Protection.For_, self).__init__()

                            self.yang_name = "for"
                            self.yang_parent_name = "protection"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"duration" : ("duration", Native.Mpls.Ldp.Session.Protection.For_.Duration)}
                            self._child_list_classes = {}

                            self.acl_name = YLeaf(YType.str, "acl-name")

                            self.duration = Native.Mpls.Ldp.Session.Protection.For_.Duration()
                            self.duration.parent = self
                            self._children_name_map["duration"] = "duration"
                            self._children_yang_names.add("duration")
                            self._segment_path = lambda: "for"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/session/protection/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Session.Protection.For_, ['acl_name'], name, value)


                        class Duration(Entity):
                            """
                            Period to sustain session protection after loss of link discovery
                            
                            .. attribute:: holdup_time
                            
                            	Holdup time in seconds
                            	**type**\: int
                            
                            	**range:** 30..2147483
                            
                            .. attribute:: infinite
                            
                            	Protect session forever after loss of link discovery
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Session.Protection.For_.Duration, self).__init__()

                                self.yang_name = "duration"
                                self.yang_parent_name = "for"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.holdup_time = YLeaf(YType.uint32, "holdup-time")

                                self.infinite = YLeaf(YType.empty, "infinite")
                                self._segment_path = lambda: "duration"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/session/protection/for/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Session.Protection.For_.Duration, ['holdup_time', 'infinite'], name, value)


                    class Vrf(Entity):
                        """
                        VPN Routing/Forwarding instance name
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.Vrf.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Ldp.Session.Protection.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "protection"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Mpls.Ldp.Session.Protection.Vrf.Vrf)}

                            self.vrf = YList(self)
                            self._segment_path = lambda: "vrf"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/session/protection/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Ldp.Session.Protection.Vrf, [], name, value)


                        class Vrf(Entity):
                            """
                            
                            
                            .. attribute:: vrf_name  <key>
                            
                            	VPN Routing/Forwarding instance name
                            	**type**\: str
                            
                            .. attribute:: for_
                            
                            	Access\-list to specify LDP peers
                            	**type**\:  :py:class:`For_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.For_>`
                            
                            .. attribute:: duration
                            
                            	Period to sustain session protection after loss of link discovery
                            	**type**\:  :py:class:`Duration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.Duration>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Ldp.Session.Protection.Vrf.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"for" : ("for_", Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.For_), "duration" : ("duration", Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.Duration)}
                                self._child_list_classes = {}

                                self.vrf_name = YLeaf(YType.str, "vrf-name")

                                self.for_ = Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.For_()
                                self.for_.parent = self
                                self._children_name_map["for_"] = "for"
                                self._children_yang_names.add("for")

                                self.duration = Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.Duration()
                                self.duration.parent = self
                                self._children_name_map["duration"] = "duration"
                                self._children_yang_names.add("duration")
                                self._segment_path = lambda: "vrf" + "[vrf-name='" + self.vrf_name.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:ldp/session/protection/vrf/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Ldp.Session.Protection.Vrf.Vrf, ['vrf_name'], name, value)


                            class For_(Entity):
                                """
                                Access\-list to specify LDP peers
                                
                                .. attribute:: acl_name
                                
                                	IP access\-list for LDP peers; name or number (1\-99)
                                	**type**\: str
                                
                                .. attribute:: duration
                                
                                	Period to sustain session protection after loss of link discovery
                                	**type**\:  :py:class:`Duration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.For_.Duration>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.For_, self).__init__()

                                    self.yang_name = "for"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"duration" : ("duration", Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.For_.Duration)}
                                    self._child_list_classes = {}

                                    self.acl_name = YLeaf(YType.str, "acl-name")

                                    self.duration = Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.For_.Duration()
                                    self.duration.parent = self
                                    self._children_name_map["duration"] = "duration"
                                    self._children_yang_names.add("duration")
                                    self._segment_path = lambda: "for"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.For_, ['acl_name'], name, value)


                                class Duration(Entity):
                                    """
                                    Period to sustain session protection after loss of link discovery
                                    
                                    .. attribute:: holdup_time
                                    
                                    	Holdup time in seconds
                                    	**type**\: int
                                    
                                    	**range:** 30..2147483
                                    
                                    .. attribute:: infinite
                                    
                                    	Protect session forever after loss of link discovery
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.For_.Duration, self).__init__()

                                        self.yang_name = "duration"
                                        self.yang_parent_name = "for"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.holdup_time = YLeaf(YType.uint32, "holdup-time")

                                        self.infinite = YLeaf(YType.empty, "infinite")
                                        self._segment_path = lambda: "duration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.For_.Duration, ['holdup_time', 'infinite'], name, value)


                            class Duration(Entity):
                                """
                                Period to sustain session protection after loss of link discovery
                                
                                .. attribute:: holdup_time
                                
                                	Holdup time in seconds
                                	**type**\: int
                                
                                	**range:** 30..2147483
                                
                                .. attribute:: infinite
                                
                                	Protect session forever after loss of link discovery
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.Duration, self).__init__()

                                    self.yang_name = "duration"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.holdup_time = YLeaf(YType.uint32, "holdup-time")

                                    self.infinite = YLeaf(YType.empty, "infinite")
                                    self._segment_path = lambda: "duration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.Ldp.Session.Protection.Vrf.Vrf.Duration, ['holdup_time', 'infinite'], name, value)


        class PrefixMap(Entity):
            """
            Configure MPLS CoS Tag\-VC Multi\-VC Prefix Map
            
            .. attribute:: nr
            
            	
            	**type**\: int
            
            	**range:** 1..255
            
            .. attribute:: access_list
            
            	Configure access\-list for this prefix\-map
            	**type**\: int
            
            	**range:** 1..255
            
            .. attribute:: cos_map
            
            	Configure cos\-map for this prefix\-map
            	**type**\: int
            
            	**range:** 1..255
            
            

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-23'

            def __init__(self):
                super(Native.Mpls.PrefixMap, self).__init__()

                self.yang_name = "prefix-map"
                self.yang_parent_name = "mpls"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.nr = YLeaf(YType.uint8, "nr")

                self.access_list = YLeaf(YType.uint8, "access-list")

                self.cos_map = YLeaf(YType.uint8, "cos-map")
                self._segment_path = lambda: "Cisco-IOS-XE-mpls:prefix-map"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Mpls.PrefixMap, ['nr', 'access_list', 'cos_map'], name, value)


        class Static(Entity):
            """
            MPLS static application
            
            .. attribute:: binding
            
            	Establish static label bindings
            	**type**\:  :py:class:`Binding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-23'

            def __init__(self):
                super(Native.Mpls.Static, self).__init__()

                self.yang_name = "static"
                self.yang_parent_name = "mpls"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"binding" : ("binding", Native.Mpls.Static.Binding)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.binding = Native.Mpls.Static.Binding()
                self.binding.parent = self
                self._children_name_map["binding"] = "binding"
                self._children_yang_names.add("binding")
                self._segment_path = lambda: "Cisco-IOS-XE-mpls:static"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/%s" % self._segment_path()


            class Binding(Entity):
                """
                Establish static label bindings
                
                .. attribute:: ipv4
                
                	Bind IPv4 destination with label
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.Static.Binding, self).__init__()

                    self.yang_name = "binding"
                    self.yang_parent_name = "static"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Mpls.Static.Binding.Ipv4)}
                    self._child_list_classes = {}

                    self.ipv4 = Native.Mpls.Static.Binding.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")
                    self._segment_path = lambda: "binding"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:static/%s" % self._segment_path()


                class Ipv4(Entity):
                    """
                    Bind IPv4 destination with label
                    
                    .. attribute:: global_
                    
                    	
                    	**type**\: list of  		 :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Global_>`
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.Static.Binding.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "binding"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"global" : ("global_", Native.Mpls.Static.Binding.Ipv4.Global_), "vrf" : ("vrf", Native.Mpls.Static.Binding.Ipv4.Vrf)}

                        self.global_ = YList(self)
                        self.vrf = YList(self)
                        self._segment_path = lambda: "ipv4"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:static/binding/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.Static.Binding.Ipv4, [], name, value)


                    class Global_(Entity):
                        """
                        
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: label
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: input
                        
                        	Incoming (local) label
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Global_.Input>`
                        
                        .. attribute:: output
                        
                        	Outgoing (remote) label
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Global_.Output>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Static.Binding.Ipv4.Global_, self).__init__()

                            self.yang_name = "global"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"input" : ("input", Native.Mpls.Static.Binding.Ipv4.Global_.Input), "output" : ("output", Native.Mpls.Static.Binding.Ipv4.Global_.Output)}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.label = YLeaf(YType.uint32, "label")

                            self.input = Native.Mpls.Static.Binding.Ipv4.Global_.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Mpls.Static.Binding.Ipv4.Global_.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "global" + "[address='" + self.address.get() + "']" + "[mask='" + self.mask.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:static/binding/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Static.Binding.Ipv4.Global_, ['address', 'mask', 'label'], name, value)


                        class Input(Entity):
                            """
                            Incoming (local) label
                            
                            .. attribute:: label
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Static.Binding.Ipv4.Global_.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.label = YLeaf(YType.uint32, "label")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Static.Binding.Ipv4.Global_.Input, ['label'], name, value)


                        class Output(Entity):
                            """
                            Outgoing (remote) label
                            
                            .. attribute:: dst_next_hop
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: label
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Vrf.Output.Label>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Static.Binding.Ipv4.Global_.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dst_next_hop = YLeaf(YType.str, "dst-next-hop")

                                self.label = YLeaf(YType.str, "label")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Static.Binding.Ipv4.Global_.Output, ['dst_next_hop', 'label'], name, value)

                            class Label(Enum):
                                """
                                Label

                                .. data:: explicit_null = 0

                                .. data:: implicit_null = 1

                                """

                                explicit_null = Enum.YLeaf(0, "explicit-null")

                                implicit_null = Enum.YLeaf(1, "implicit-null")



                    class Vrf(Entity):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: address  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: label
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: input
                        
                        	Incoming (local) label
                        	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Vrf.Input>`
                        
                        .. attribute:: output
                        
                        	Outgoing (remote) label
                        	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Vrf.Output>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.Static.Binding.Ipv4.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"input" : ("input", Native.Mpls.Static.Binding.Ipv4.Vrf.Input), "output" : ("output", Native.Mpls.Static.Binding.Ipv4.Vrf.Output)}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.address = YLeaf(YType.str, "address")

                            self.mask = YLeaf(YType.str, "mask")

                            self.label = YLeaf(YType.uint32, "label")

                            self.input = Native.Mpls.Static.Binding.Ipv4.Vrf.Input()
                            self.input.parent = self
                            self._children_name_map["input"] = "input"
                            self._children_yang_names.add("input")

                            self.output = Native.Mpls.Static.Binding.Ipv4.Vrf.Output()
                            self.output.parent = self
                            self._children_name_map["output"] = "output"
                            self._children_yang_names.add("output")
                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']" + "[address='" + self.address.get() + "']" + "[mask='" + self.mask.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:static/binding/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.Static.Binding.Ipv4.Vrf, ['name', 'address', 'mask', 'label'], name, value)


                        class Input(Entity):
                            """
                            Incoming (local) label
                            
                            .. attribute:: label
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Static.Binding.Ipv4.Vrf.Input, self).__init__()

                                self.yang_name = "input"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.label = YLeaf(YType.uint32, "label")
                                self._segment_path = lambda: "input"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Static.Binding.Ipv4.Vrf.Input, ['label'], name, value)


                        class Output(Entity):
                            """
                            Outgoing (remote) label
                            
                            .. attribute:: dst_next_hop
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: label
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\:  :py:class:`Label <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.Static.Binding.Ipv4.Vrf.Output.Label>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.Static.Binding.Ipv4.Vrf.Output, self).__init__()

                                self.yang_name = "output"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dst_next_hop = YLeaf(YType.str, "dst-next-hop")

                                self.label = YLeaf(YType.str, "label")
                                self._segment_path = lambda: "output"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.Static.Binding.Ipv4.Vrf.Output, ['dst_next_hop', 'label'], name, value)

                            class Label(Enum):
                                """
                                Label

                                .. data:: explicit_null = 0

                                .. data:: implicit_null = 1

                                """

                                explicit_null = Enum.YLeaf(0, "explicit-null")

                                implicit_null = Enum.YLeaf(1, "implicit-null")



        class TrafficEng(Entity):
            """
            Configure Traffic Engineering parameters
            
            .. attribute:: auto_bw
            
            	auto\-bw parameters
            	**type**\:  :py:class:`AutoBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoBw>`
            
            .. attribute:: auto_tunnel
            
            	Configure automatic TE tunnels
            	**type**\:  :py:class:`AutoTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel>`
            
            .. attribute:: ds_te
            
            	Configure standard DS\-TE parameters
            	**type**\:  :py:class:`DsTe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.DsTe>`
            
            .. attribute:: fault_oam
            
            	Node level fault OAM configuration
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: fast_reroute
            
            	fast\-reroute parameters
            	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.FastReroute>`
            
            .. attribute:: link_management
            
            	Link Management configuration
            	**type**\:  :py:class:`LinkManagement <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.LinkManagement>`
            
            .. attribute:: logging
            
            	Trap logging configuration
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging>`
            
            .. attribute:: lsp
            
            	Configure LSP parameters
            	**type**\:  :py:class:`Lsp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp>`
            
            .. attribute:: nsr
            
            	TE NSR configuration
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: path_option
            
            	Configure path\-option
            	**type**\:  :py:class:`PathOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption>`
            
            .. attribute:: path_selection
            
            	Path Selection Configuration
            	**type**\:  :py:class:`PathSelection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathSelection>`
            
            .. attribute:: pcc
            
            	Path Computation Client form MPLS\-TE
            	**type**\:  :py:class:`Pcc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Pcc>`
            
            .. attribute:: reoptimize
            
            	Reoptimization parameters
            	**type**\:  :py:class:`Reoptimize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Reoptimize>`
            
            .. attribute:: signalling
            
            	Traffic Engineering Signalling Parameters
            	**type**\:  :py:class:`Signalling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Signalling>`
            
            .. attribute:: topology
            
            	Topology Database Configuration
            	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Topology>`
            
            .. attribute:: trace
            
            	Trace configuration
            	**type**\:  :py:class:`Trace <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Trace>`
            
            .. attribute:: tunnels
            
            	Traffic Engineering tunnels
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-23'

            def __init__(self):
                super(Native.Mpls.TrafficEng, self).__init__()

                self.yang_name = "traffic-eng"
                self.yang_parent_name = "mpls"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"auto-bw" : ("auto_bw", Native.Mpls.TrafficEng.AutoBw), "auto-tunnel" : ("auto_tunnel", Native.Mpls.TrafficEng.AutoTunnel), "ds-te" : ("ds_te", Native.Mpls.TrafficEng.DsTe), "fast-reroute" : ("fast_reroute", Native.Mpls.TrafficEng.FastReroute), "link-management" : ("link_management", Native.Mpls.TrafficEng.LinkManagement), "logging" : ("logging", Native.Mpls.TrafficEng.Logging), "lsp" : ("lsp", Native.Mpls.TrafficEng.Lsp), "path-option" : ("path_option", Native.Mpls.TrafficEng.PathOption), "path-selection" : ("path_selection", Native.Mpls.TrafficEng.PathSelection), "pcc" : ("pcc", Native.Mpls.TrafficEng.Pcc), "reoptimize" : ("reoptimize", Native.Mpls.TrafficEng.Reoptimize), "signalling" : ("signalling", Native.Mpls.TrafficEng.Signalling), "topology" : ("topology", Native.Mpls.TrafficEng.Topology), "trace" : ("trace", Native.Mpls.TrafficEng.Trace)}
                self._child_list_classes = {}

                self.fault_oam = YLeaf(YType.empty, "fault-oam")

                self.nsr = YLeaf(YType.empty, "nsr")

                self.tunnels = YLeaf(YType.empty, "tunnels")

                self.auto_bw = Native.Mpls.TrafficEng.AutoBw()
                self.auto_bw.parent = self
                self._children_name_map["auto_bw"] = "auto-bw"
                self._children_yang_names.add("auto-bw")

                self.auto_tunnel = Native.Mpls.TrafficEng.AutoTunnel()
                self.auto_tunnel.parent = self
                self._children_name_map["auto_tunnel"] = "auto-tunnel"
                self._children_yang_names.add("auto-tunnel")

                self.ds_te = Native.Mpls.TrafficEng.DsTe()
                self.ds_te.parent = self
                self._children_name_map["ds_te"] = "ds-te"
                self._children_yang_names.add("ds-te")

                self.fast_reroute = Native.Mpls.TrafficEng.FastReroute()
                self.fast_reroute.parent = self
                self._children_name_map["fast_reroute"] = "fast-reroute"
                self._children_yang_names.add("fast-reroute")

                self.link_management = Native.Mpls.TrafficEng.LinkManagement()
                self.link_management.parent = self
                self._children_name_map["link_management"] = "link-management"
                self._children_yang_names.add("link-management")

                self.logging = Native.Mpls.TrafficEng.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.lsp = Native.Mpls.TrafficEng.Lsp()
                self.lsp.parent = self
                self._children_name_map["lsp"] = "lsp"
                self._children_yang_names.add("lsp")

                self.path_option = Native.Mpls.TrafficEng.PathOption()
                self.path_option.parent = self
                self._children_name_map["path_option"] = "path-option"
                self._children_yang_names.add("path-option")

                self.path_selection = Native.Mpls.TrafficEng.PathSelection()
                self.path_selection.parent = self
                self._children_name_map["path_selection"] = "path-selection"
                self._children_yang_names.add("path-selection")

                self.pcc = Native.Mpls.TrafficEng.Pcc()
                self.pcc.parent = self
                self._children_name_map["pcc"] = "pcc"
                self._children_yang_names.add("pcc")

                self.reoptimize = Native.Mpls.TrafficEng.Reoptimize()
                self.reoptimize.parent = self
                self._children_name_map["reoptimize"] = "reoptimize"
                self._children_yang_names.add("reoptimize")

                self.signalling = Native.Mpls.TrafficEng.Signalling()
                self.signalling.parent = self
                self._children_name_map["signalling"] = "signalling"
                self._children_yang_names.add("signalling")

                self.topology = Native.Mpls.TrafficEng.Topology()
                self.topology.parent = self
                self._children_name_map["topology"] = "topology"
                self._children_yang_names.add("topology")

                self.trace = Native.Mpls.TrafficEng.Trace()
                self.trace.parent = self
                self._children_name_map["trace"] = "trace"
                self._children_yang_names.add("trace")
                self._segment_path = lambda: "Cisco-IOS-XE-mpls:traffic-eng"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Mpls.TrafficEng, ['fault_oam', 'nsr', 'tunnels'], name, value)


            class AutoBw(Entity):
                """
                auto\-bw parameters
                
                .. attribute:: timers
                
                	Enable auto\-bw Timers Collection and Application
                	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoBw.Timers>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.AutoBw, self).__init__()

                    self.yang_name = "auto-bw"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"timers" : ("timers", Native.Mpls.TrafficEng.AutoBw.Timers)}
                    self._child_list_classes = {}

                    self.timers = None
                    self._children_name_map["timers"] = "timers"
                    self._children_yang_names.add("timers")
                    self._segment_path = lambda: "auto-bw"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()


                class Timers(Entity):
                    """
                    Enable auto\-bw Timers Collection and Application
                    
                    .. attribute:: frequency
                    
                    	Interval between auto\-bw data collection\: <1..604800> seconds
                    	**type**\: int
                    
                    	**range:** 1..604800
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.AutoBw.Timers, self).__init__()

                        self.yang_name = "timers"
                        self.yang_parent_name = "auto-bw"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.frequency = YLeaf(YType.uint32, "frequency")
                        self._segment_path = lambda: "timers"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-bw/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.AutoBw.Timers, ['frequency'], name, value)


            class AutoTunnel(Entity):
                """
                Configure automatic TE tunnels
                
                .. attribute:: backup
                
                	Configure auto\-tunnel backup tunnel
                	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup>`
                
                	**presence node**\: True
                
                .. attribute:: mesh
                
                	Automatically create mesh tunnels
                	**type**\:  :py:class:`Mesh <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Mesh>`
                
                	**presence node**\: True
                
                .. attribute:: p2p
                
                	Enable and configure TE service P2P auto tunnels
                	**type**\:  :py:class:`P2P <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.P2P>`
                
                	**presence node**\: True
                
                .. attribute:: primary
                
                	Automatically create one\-hop primary tunnels
                	**type**\:  :py:class:`Primary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.AutoTunnel, self).__init__()

                    self.yang_name = "auto-tunnel"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"backup" : ("backup", Native.Mpls.TrafficEng.AutoTunnel.Backup), "mesh" : ("mesh", Native.Mpls.TrafficEng.AutoTunnel.Mesh), "p2p" : ("p2p", Native.Mpls.TrafficEng.AutoTunnel.P2P), "primary" : ("primary", Native.Mpls.TrafficEng.AutoTunnel.Primary)}
                    self._child_list_classes = {}

                    self.backup = None
                    self._children_name_map["backup"] = "backup"
                    self._children_yang_names.add("backup")

                    self.mesh = None
                    self._children_name_map["mesh"] = "mesh"
                    self._children_yang_names.add("mesh")

                    self.p2p = None
                    self._children_name_map["p2p"] = "p2p"
                    self._children_yang_names.add("p2p")

                    self.primary = Native.Mpls.TrafficEng.AutoTunnel.Primary()
                    self.primary.parent = self
                    self._children_name_map["primary"] = "primary"
                    self._children_yang_names.add("primary")
                    self._segment_path = lambda: "auto-tunnel"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()


                class Backup(Entity):
                    """
                    Configure auto\-tunnel backup tunnel
                    
                    .. attribute:: config
                    
                    	Config commands to apply to all backup auto\-tunnels
                    	**type**\:  :py:class:`Config <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Config>`
                    
                    .. attribute:: nhop_only
                    
                    	Automatically create n\-hop backup tunnels only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: srlg
                    
                    	Shared Risk Link Groups influence backup tunnel path selection
                    	**type**\:  :py:class:`Srlg <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg>`
                    
                    .. attribute:: timers
                    
                    	Configure timers for backup auto\-tunnels
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers>`
                    
                    .. attribute:: tunnel_num
                    
                    	Configure tunnel I/F numbers for backup auto\-tunnels
                    	**type**\:  :py:class:`TunnelNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.AutoTunnel.Backup, self).__init__()

                        self.yang_name = "backup"
                        self.yang_parent_name = "auto-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"config" : ("config", Native.Mpls.TrafficEng.AutoTunnel.Backup.Config), "srlg" : ("srlg", Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg), "timers" : ("timers", Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers), "tunnel-num" : ("tunnel_num", Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.nhop_only = YLeaf(YType.empty, "nhop-only")

                        self.config = Native.Mpls.TrafficEng.AutoTunnel.Backup.Config()
                        self.config.parent = self
                        self._children_name_map["config"] = "config"
                        self._children_yang_names.add("config")

                        self.srlg = Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg()
                        self.srlg.parent = self
                        self._children_name_map["srlg"] = "srlg"
                        self._children_yang_names.add("srlg")

                        self.timers = Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.tunnel_num = Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum()
                        self.tunnel_num.parent = self
                        self._children_name_map["tunnel_num"] = "tunnel-num"
                        self._children_yang_names.add("tunnel-num")
                        self._segment_path = lambda: "backup"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Backup, ['nhop_only'], name, value)


                    class Config(Entity):
                        """
                        Config commands to apply to all backup auto\-tunnels
                        
                        .. attribute:: affinity_mask
                        
                        	desired link affinity attributes
                        	**type**\:  :py:class:`AffinityMask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.AffinityMask>`
                        
                        .. attribute:: unnumbered_interface
                        
                        	Configure the interface to use for unnumbered
                        	**type**\:  :py:class:`UnnumberedInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.AutoTunnel.Backup.Config, self).__init__()

                            self.yang_name = "config"
                            self.yang_parent_name = "backup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"affinity-mask" : ("affinity_mask", Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.AffinityMask), "unnumbered-interface" : ("unnumbered_interface", Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface)}
                            self._child_list_classes = {}

                            self.affinity_mask = Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.AffinityMask()
                            self.affinity_mask.parent = self
                            self._children_name_map["affinity_mask"] = "affinity-mask"
                            self._children_yang_names.add("affinity-mask")

                            self.unnumbered_interface = Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface()
                            self.unnumbered_interface.parent = self
                            self._children_name_map["unnumbered_interface"] = "unnumbered-interface"
                            self._children_yang_names.add("unnumbered-interface")
                            self._segment_path = lambda: "config"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/backup/%s" % self._segment_path()


                        class AffinityMask(Entity):
                            """
                            desired link affinity attributes
                            
                            .. attribute:: affinity
                            
                            	Desired link attributes for links comprising tunnel\: <0x0\-0xFFFFFFFF>
                            	**type**\: str
                            
                            	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                            
                            .. attribute:: mask
                            
                            	Mask on desired link attributes\: <0x0\-0xFFFFFFFF>
                            	**type**\: str
                            
                            	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.AffinityMask, self).__init__()

                                self.yang_name = "affinity-mask"
                                self.yang_parent_name = "config"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.affinity = YLeaf(YType.str, "affinity")

                                self.mask = YLeaf(YType.str, "mask")
                                self._segment_path = lambda: "affinity-mask"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/backup/config/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.AffinityMask, ['affinity', 'mask'], name, value)


                        class UnnumberedInterface(Entity):
                            """
                            Configure the interface to use for unnumbered
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.ATMSubinterface>`
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\: str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.ATMACRsubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\: str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\: str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\: str
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.LISPSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\: str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\: str
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\: str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface, self).__init__()

                                self.yang_name = "unnumbered-interface"
                                self.yang_parent_name = "config"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.PortChannelSubinterface)}
                                self._child_list_classes = {}

                                self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                self.atm = YLeaf(YType.str, "ATM")

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                self.bdi = YLeaf(YType.str, "BDI")

                                self.cem = YLeaf(YType.str, "CEM")

                                self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.lisp = YLeaf(YType.str, "LISP")

                                self.loopback = YLeaf(YType.uint32, "Loopback")

                                self.multilink = YLeaf(YType.uint16, "Multilink")

                                self.nve = YLeaf(YType.uint16, "nve")

                                self.overlay = YLeaf(YType.uint16, "overlay")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                self.sm = YLeaf(YType.str, "SM")

                                self.cellular = YLeaf(YType.str, "Cellular")

                                self.serial = YLeaf(YType.str, "Serial")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                self.vlan = YLeaf(YType.uint16, "Vlan")

                                self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                self.vasileft = YLeaf(YType.uint16, "vasileft")

                                self.vasiright = YLeaf(YType.uint16, "vasiright")

                                self.atm_subinterface = Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.ATMSubinterface()
                                self.atm_subinterface.parent = self
                                self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                self._children_yang_names.add("ATM-subinterface")

                                self.atm_acrsubinterface = Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.ATMACRsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                self._children_yang_names.add("ATM-ACRsubinterface")

                                self.lisp_subinterface = Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.LISPSubinterface()
                                self.lisp_subinterface.parent = self
                                self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                self._children_yang_names.add("LISP-subinterface")

                                self.port_channel_subinterface = Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                self._children_yang_names.add("Port-channel-subinterface")
                                self._segment_path = lambda: "unnumbered-interface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/backup/config/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                            class ATMSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.ATMSubinterface, self).__init__()

                                    self.yang_name = "ATM-subinterface"
                                    self.yang_parent_name = "unnumbered-interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm = YLeaf(YType.str, "ATM")
                                    self._segment_path = lambda: "ATM-subinterface"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/backup/config/unnumbered-interface/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.ATMSubinterface, ['atm'], name, value)


                            class ATMACRsubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.ATMACRsubinterface, self).__init__()

                                    self.yang_name = "ATM-ACRsubinterface"
                                    self.yang_parent_name = "unnumbered-interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                    self._segment_path = lambda: "ATM-ACRsubinterface"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/backup/config/unnumbered-interface/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                            class LISPSubinterface(Entity):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.LISPSubinterface, self).__init__()

                                    self.yang_name = "LISP-subinterface"
                                    self.yang_parent_name = "unnumbered-interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.lisp = YLeaf(YType.str, "LISP")
                                    self._segment_path = lambda: "LISP-subinterface"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/backup/config/unnumbered-interface/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.LISPSubinterface, ['lisp'], name, value)


                            class PortChannelSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.PortChannelSubinterface, self).__init__()

                                    self.yang_name = "Port-channel-subinterface"
                                    self.yang_parent_name = "unnumbered-interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port_channel = YLeaf(YType.str, "Port-channel")
                                    self._segment_path = lambda: "Port-channel-subinterface"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/backup/config/unnumbered-interface/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Backup.Config.UnnumberedInterface.PortChannelSubinterface, ['port_channel'], name, value)


                    class Srlg(Entity):
                        """
                        Shared Risk Link Groups influence backup tunnel path selection
                        
                        .. attribute:: exclude
                        
                        	Backup tunnels avoid SRLGs of protected interfaces\: < force \| preferred >
                        	**type**\:  :py:class:`Exclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg.Exclude>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg, self).__init__()

                            self.yang_name = "srlg"
                            self.yang_parent_name = "backup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.exclude = YLeaf(YType.enumeration, "exclude")
                            self._segment_path = lambda: "srlg"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/backup/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Backup.Srlg, ['exclude'], name, value)

                        class Exclude(Enum):
                            """
                            Exclude

                            Backup tunnels avoid SRLGs of protected interfaces\: < force \| preferred >

                            .. data:: force = 0

                            	Backup tunnels MUST not use SRLGs of protected interfaces

                            .. data:: preferred = 1

                            	Backup tunnels try to avoid using SRLGs of protected interfaces

                            """

                            force = Enum.YLeaf(0, "force")

                            preferred = Enum.YLeaf(1, "preferred")



                    class Timers(Entity):
                        """
                        Configure timers for backup auto\-tunnels
                        
                        .. attribute:: removal
                        
                        	Configure timer for removal of backup tunnel
                        	**type**\:  :py:class:`Removal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "backup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"removal" : ("removal", Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal)}
                            self._child_list_classes = {}

                            self.removal = Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal()
                            self.removal.parent = self
                            self._children_name_map["removal"] = "removal"
                            self._children_yang_names.add("removal")
                            self._segment_path = lambda: "timers"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/backup/%s" % self._segment_path()


                        class Removal(Entity):
                            """
                            Configure timer for removal of backup tunnel
                            
                            .. attribute:: unused
                            
                            	seconds between scanning to remove not in use tunnels
                            	**type**\:  :py:class:`Unused <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal.Unused>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal, self).__init__()

                                self.yang_name = "removal"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"unused" : ("unused", Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal.Unused)}
                                self._child_list_classes = {}

                                self.unused = Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal.Unused()
                                self.unused.parent = self
                                self._children_name_map["unused"] = "unused"
                                self._children_yang_names.add("unused")
                                self._segment_path = lambda: "removal"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/backup/timers/%s" % self._segment_path()


                            class Unused(Entity):
                                """
                                seconds between scanning to remove not in use tunnels
                                
                                .. attribute:: interval
                                
                                	Seconds between scanning to remove not in use tunnels\: <0..604800> seconds
                                	**type**\: int
                                
                                	**range:** 0..604800
                                
                                .. attribute:: duration
                                
                                	 How long auto backup is unused before removal\: <0..604800> seconds, 0 = never remove
                                	**type**\: int
                                
                                	**range:** 0..604800
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal.Unused, self).__init__()

                                    self.yang_name = "unused"
                                    self.yang_parent_name = "removal"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint32, "interval")

                                    self.duration = YLeaf(YType.uint32, "duration")
                                    self._segment_path = lambda: "unused"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/backup/timers/removal/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Backup.Timers.Removal.Unused, ['interval', 'duration'], name, value)


                    class TunnelNum(Entity):
                        """
                        Configure tunnel I/F numbers for backup auto\-tunnels
                        
                        .. attribute:: min_max
                        
                        	Configure the starting id\-range
                        	**type**\:  :py:class:`MinMax <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.MinMax>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum, self).__init__()

                            self.yang_name = "tunnel-num"
                            self.yang_parent_name = "backup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"min-max" : ("min_max", Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.MinMax)}
                            self._child_list_classes = {}

                            self.min_max = Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.MinMax()
                            self.min_max.parent = self
                            self._children_name_map["min_max"] = "min-max"
                            self._children_yang_names.add("min-max")
                            self._segment_path = lambda: "tunnel-num"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/backup/%s" % self._segment_path()


                        class MinMax(Entity):
                            """
                            Configure the starting id\-range
                            
                            .. attribute:: min
                            
                            	starting tunnel number range
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: max
                            
                            	Configure the ending id\-range\: <0..65535>
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.MinMax, self).__init__()

                                self.yang_name = "min-max"
                                self.yang_parent_name = "tunnel-num"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.uint16, "min")

                                self.max = YLeaf(YType.uint16, "max")
                                self._segment_path = lambda: "min-max"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/backup/tunnel-num/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Backup.TunnelNum.MinMax, ['min', 'max'], name, value)


                class Mesh(Entity):
                    """
                    Automatically create mesh tunnels
                    
                    .. attribute:: tunnel_num
                    
                    	Configure tunnel I/F numbers for mesh auto\-tunnels
                    	**type**\:  :py:class:`TunnelNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.AutoTunnel.Mesh, self).__init__()

                        self.yang_name = "mesh"
                        self.yang_parent_name = "auto-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"tunnel-num" : ("tunnel_num", Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.tunnel_num = Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum()
                        self.tunnel_num.parent = self
                        self._children_name_map["tunnel_num"] = "tunnel-num"
                        self._children_yang_names.add("tunnel-num")
                        self._segment_path = lambda: "mesh"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/%s" % self._segment_path()


                    class TunnelNum(Entity):
                        """
                        Configure tunnel I/F numbers for mesh auto\-tunnels
                        
                        .. attribute:: min_max
                        
                        	Configure the starting id\-range
                        	**type**\:  :py:class:`MinMax <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.MinMax>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum, self).__init__()

                            self.yang_name = "tunnel-num"
                            self.yang_parent_name = "mesh"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"min-max" : ("min_max", Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.MinMax)}
                            self._child_list_classes = {}

                            self.min_max = Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.MinMax()
                            self.min_max.parent = self
                            self._children_name_map["min_max"] = "min-max"
                            self._children_yang_names.add("min-max")
                            self._segment_path = lambda: "tunnel-num"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/mesh/%s" % self._segment_path()


                        class MinMax(Entity):
                            """
                            Configure the starting id\-range
                            
                            .. attribute:: min
                            
                            	starting tunnel number range
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: max
                            
                            	Configure the ending id\-range\: <0..65535>
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.MinMax, self).__init__()

                                self.yang_name = "min-max"
                                self.yang_parent_name = "tunnel-num"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.uint16, "min")

                                self.max = YLeaf(YType.uint16, "max")
                                self._segment_path = lambda: "min-max"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/mesh/tunnel-num/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Mesh.TunnelNum.MinMax, ['min', 'max'], name, value)


                class P2P(Entity):
                    """
                    Enable and configure TE service P2P auto tunnels
                    
                    .. attribute:: config
                    
                    	Config commands to apply to all TE service P2P auto\-tunnels
                    	**type**\:  :py:class:`Config <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.P2P.Config>`
                    
                    .. attribute:: tunnel_num
                    
                    	Configure tunnel I/F numbers for TE service P2P auto\-tunnels
                    	**type**\:  :py:class:`TunnelNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.P2P.TunnelNum>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.AutoTunnel.P2P, self).__init__()

                        self.yang_name = "p2p"
                        self.yang_parent_name = "auto-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"config" : ("config", Native.Mpls.TrafficEng.AutoTunnel.P2P.Config), "tunnel-num" : ("tunnel_num", Native.Mpls.TrafficEng.AutoTunnel.P2P.TunnelNum)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.config = Native.Mpls.TrafficEng.AutoTunnel.P2P.Config()
                        self.config.parent = self
                        self._children_name_map["config"] = "config"
                        self._children_yang_names.add("config")

                        self.tunnel_num = Native.Mpls.TrafficEng.AutoTunnel.P2P.TunnelNum()
                        self.tunnel_num.parent = self
                        self._children_name_map["tunnel_num"] = "tunnel-num"
                        self._children_yang_names.add("tunnel-num")
                        self._segment_path = lambda: "p2p"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/%s" % self._segment_path()


                    class Config(Entity):
                        """
                        Config commands to apply to all TE service P2P auto\-tunnels
                        
                        .. attribute:: unnumbered_interface
                        
                        	Configure the interface to use for unnumbered
                        	**type**\:  :py:class:`UnnumberedInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.AutoTunnel.P2P.Config, self).__init__()

                            self.yang_name = "config"
                            self.yang_parent_name = "p2p"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"unnumbered-interface" : ("unnumbered_interface", Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface)}
                            self._child_list_classes = {}

                            self.unnumbered_interface = Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface()
                            self.unnumbered_interface.parent = self
                            self._children_name_map["unnumbered_interface"] = "unnumbered-interface"
                            self._children_yang_names.add("unnumbered-interface")
                            self._segment_path = lambda: "config"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/p2p/%s" % self._segment_path()


                        class UnnumberedInterface(Entity):
                            """
                            Configure the interface to use for unnumbered
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.ATMSubinterface>`
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\: str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.ATMACRsubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\: str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\: str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\: str
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.LISPSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\: str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\: str
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\: str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface, self).__init__()

                                self.yang_name = "unnumbered-interface"
                                self.yang_parent_name = "config"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.PortChannelSubinterface)}
                                self._child_list_classes = {}

                                self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                self.atm = YLeaf(YType.str, "ATM")

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                self.bdi = YLeaf(YType.str, "BDI")

                                self.cem = YLeaf(YType.str, "CEM")

                                self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.lisp = YLeaf(YType.str, "LISP")

                                self.loopback = YLeaf(YType.uint32, "Loopback")

                                self.multilink = YLeaf(YType.uint16, "Multilink")

                                self.nve = YLeaf(YType.uint16, "nve")

                                self.overlay = YLeaf(YType.uint16, "overlay")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                self.sm = YLeaf(YType.str, "SM")

                                self.cellular = YLeaf(YType.str, "Cellular")

                                self.serial = YLeaf(YType.str, "Serial")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                self.vlan = YLeaf(YType.uint16, "Vlan")

                                self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                self.vasileft = YLeaf(YType.uint16, "vasileft")

                                self.vasiright = YLeaf(YType.uint16, "vasiright")

                                self.atm_subinterface = Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.ATMSubinterface()
                                self.atm_subinterface.parent = self
                                self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                self._children_yang_names.add("ATM-subinterface")

                                self.atm_acrsubinterface = Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.ATMACRsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                self._children_yang_names.add("ATM-ACRsubinterface")

                                self.lisp_subinterface = Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.LISPSubinterface()
                                self.lisp_subinterface.parent = self
                                self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                self._children_yang_names.add("LISP-subinterface")

                                self.port_channel_subinterface = Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                self._children_yang_names.add("Port-channel-subinterface")
                                self._segment_path = lambda: "unnumbered-interface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/p2p/config/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                            class ATMSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.ATMSubinterface, self).__init__()

                                    self.yang_name = "ATM-subinterface"
                                    self.yang_parent_name = "unnumbered-interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm = YLeaf(YType.str, "ATM")
                                    self._segment_path = lambda: "ATM-subinterface"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/p2p/config/unnumbered-interface/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.ATMSubinterface, ['atm'], name, value)


                            class ATMACRsubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.ATMACRsubinterface, self).__init__()

                                    self.yang_name = "ATM-ACRsubinterface"
                                    self.yang_parent_name = "unnumbered-interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                    self._segment_path = lambda: "ATM-ACRsubinterface"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/p2p/config/unnumbered-interface/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                            class LISPSubinterface(Entity):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.LISPSubinterface, self).__init__()

                                    self.yang_name = "LISP-subinterface"
                                    self.yang_parent_name = "unnumbered-interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.lisp = YLeaf(YType.str, "LISP")
                                    self._segment_path = lambda: "LISP-subinterface"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/p2p/config/unnumbered-interface/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.LISPSubinterface, ['lisp'], name, value)


                            class PortChannelSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.PortChannelSubinterface, self).__init__()

                                    self.yang_name = "Port-channel-subinterface"
                                    self.yang_parent_name = "unnumbered-interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port_channel = YLeaf(YType.str, "Port-channel")
                                    self._segment_path = lambda: "Port-channel-subinterface"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/p2p/config/unnumbered-interface/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.P2P.Config.UnnumberedInterface.PortChannelSubinterface, ['port_channel'], name, value)


                    class TunnelNum(Entity):
                        """
                        Configure tunnel I/F numbers for TE service P2P auto\-tunnels
                        
                        .. attribute:: min_max
                        
                        	Configure the starting id\-range
                        	**type**\:  :py:class:`MinMax <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.P2P.TunnelNum.MinMax>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.AutoTunnel.P2P.TunnelNum, self).__init__()

                            self.yang_name = "tunnel-num"
                            self.yang_parent_name = "p2p"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"min-max" : ("min_max", Native.Mpls.TrafficEng.AutoTunnel.P2P.TunnelNum.MinMax)}
                            self._child_list_classes = {}

                            self.min_max = Native.Mpls.TrafficEng.AutoTunnel.P2P.TunnelNum.MinMax()
                            self.min_max.parent = self
                            self._children_name_map["min_max"] = "min-max"
                            self._children_yang_names.add("min-max")
                            self._segment_path = lambda: "tunnel-num"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/p2p/%s" % self._segment_path()


                        class MinMax(Entity):
                            """
                            Configure the starting id\-range
                            
                            .. attribute:: min
                            
                            	starting tunnel number range
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: max
                            
                            	Configure the ending id\-range\: <0..65535>
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.AutoTunnel.P2P.TunnelNum.MinMax, self).__init__()

                                self.yang_name = "min-max"
                                self.yang_parent_name = "tunnel-num"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.uint16, "min")

                                self.max = YLeaf(YType.uint16, "max")
                                self._segment_path = lambda: "min-max"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/p2p/tunnel-num/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.P2P.TunnelNum.MinMax, ['min', 'max'], name, value)


                class Primary(Entity):
                    """
                    Automatically create one\-hop primary tunnels
                    
                    .. attribute:: config
                    
                    	Config commands to apply to all primary auto\-tunnels
                    	**type**\:  :py:class:`Config <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Config>`
                    
                    .. attribute:: onehop
                    
                    	Automatically create tunnel to all next\-hops
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: timers
                    
                    	Configure timers for primary auto\-tunnels
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers>`
                    
                    .. attribute:: tunnel_num
                    
                    	Configure tunnel I/F numbers for primary auto\-tunnels
                    	**type**\:  :py:class:`TunnelNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.AutoTunnel.Primary, self).__init__()

                        self.yang_name = "primary"
                        self.yang_parent_name = "auto-tunnel"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"config" : ("config", Native.Mpls.TrafficEng.AutoTunnel.Primary.Config), "timers" : ("timers", Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers), "tunnel-num" : ("tunnel_num", Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum)}
                        self._child_list_classes = {}

                        self.onehop = YLeaf(YType.empty, "onehop")

                        self.config = Native.Mpls.TrafficEng.AutoTunnel.Primary.Config()
                        self.config.parent = self
                        self._children_name_map["config"] = "config"
                        self._children_yang_names.add("config")

                        self.timers = Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.tunnel_num = Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum()
                        self.tunnel_num.parent = self
                        self._children_name_map["tunnel_num"] = "tunnel-num"
                        self._children_yang_names.add("tunnel-num")
                        self._segment_path = lambda: "primary"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Primary, ['onehop'], name, value)


                    class Config(Entity):
                        """
                        Config commands to apply to all primary auto\-tunnels
                        
                        .. attribute:: mpls
                        
                        	Configure dynamic MPLS forwarding
                        	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.Mpls>`
                        
                        .. attribute:: unnumbered_interface
                        
                        	Configure the interface to use for unnumbered
                        	**type**\:  :py:class:`UnnumberedInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.AutoTunnel.Primary.Config, self).__init__()

                            self.yang_name = "config"
                            self.yang_parent_name = "primary"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"mpls" : ("mpls", Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.Mpls), "unnumbered-interface" : ("unnumbered_interface", Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface)}
                            self._child_list_classes = {}

                            self.mpls = Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.Mpls()
                            self.mpls.parent = self
                            self._children_name_map["mpls"] = "mpls"
                            self._children_yang_names.add("mpls")

                            self.unnumbered_interface = Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface()
                            self.unnumbered_interface.parent = self
                            self._children_name_map["unnumbered_interface"] = "unnumbered-interface"
                            self._children_yang_names.add("unnumbered-interface")
                            self._segment_path = lambda: "config"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/primary/%s" % self._segment_path()


                        class Mpls(Entity):
                            """
                            Configure dynamic MPLS forwarding
                            
                            .. attribute:: ip
                            
                            	Configure dynamic MPLS forwarding for ip
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.Mpls, self).__init__()

                                self.yang_name = "mpls"
                                self.yang_parent_name = "config"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.empty, "ip")
                                self._segment_path = lambda: "mpls"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/primary/config/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.Mpls, ['ip'], name, value)


                        class UnnumberedInterface(Entity):
                            """
                            Configure the interface to use for unnumbered
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.ATMSubinterface>`
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\: str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.ATMACRsubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\: str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\: str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\: str
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.LISPSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\: str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\: str
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\: str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface, self).__init__()

                                self.yang_name = "unnumbered-interface"
                                self.yang_parent_name = "config"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.PortChannelSubinterface)}
                                self._child_list_classes = {}

                                self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                self.atm = YLeaf(YType.str, "ATM")

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                self.bdi = YLeaf(YType.str, "BDI")

                                self.cem = YLeaf(YType.str, "CEM")

                                self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.lisp = YLeaf(YType.str, "LISP")

                                self.loopback = YLeaf(YType.uint32, "Loopback")

                                self.multilink = YLeaf(YType.uint16, "Multilink")

                                self.nve = YLeaf(YType.uint16, "nve")

                                self.overlay = YLeaf(YType.uint16, "overlay")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                self.sm = YLeaf(YType.str, "SM")

                                self.cellular = YLeaf(YType.str, "Cellular")

                                self.serial = YLeaf(YType.str, "Serial")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                self.vlan = YLeaf(YType.uint16, "Vlan")

                                self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                self.vasileft = YLeaf(YType.uint16, "vasileft")

                                self.vasiright = YLeaf(YType.uint16, "vasiright")

                                self.atm_subinterface = Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.ATMSubinterface()
                                self.atm_subinterface.parent = self
                                self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                self._children_yang_names.add("ATM-subinterface")

                                self.atm_acrsubinterface = Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.ATMACRsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                self._children_yang_names.add("ATM-ACRsubinterface")

                                self.lisp_subinterface = Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.LISPSubinterface()
                                self.lisp_subinterface.parent = self
                                self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                self._children_yang_names.add("LISP-subinterface")

                                self.port_channel_subinterface = Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                self._children_yang_names.add("Port-channel-subinterface")
                                self._segment_path = lambda: "unnumbered-interface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/primary/config/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                            class ATMSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.ATMSubinterface, self).__init__()

                                    self.yang_name = "ATM-subinterface"
                                    self.yang_parent_name = "unnumbered-interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm = YLeaf(YType.str, "ATM")
                                    self._segment_path = lambda: "ATM-subinterface"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/primary/config/unnumbered-interface/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.ATMSubinterface, ['atm'], name, value)


                            class ATMACRsubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.ATMACRsubinterface, self).__init__()

                                    self.yang_name = "ATM-ACRsubinterface"
                                    self.yang_parent_name = "unnumbered-interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                    self._segment_path = lambda: "ATM-ACRsubinterface"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/primary/config/unnumbered-interface/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                            class LISPSubinterface(Entity):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.LISPSubinterface, self).__init__()

                                    self.yang_name = "LISP-subinterface"
                                    self.yang_parent_name = "unnumbered-interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.lisp = YLeaf(YType.str, "LISP")
                                    self._segment_path = lambda: "LISP-subinterface"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/primary/config/unnumbered-interface/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.LISPSubinterface, ['lisp'], name, value)


                            class PortChannelSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.PortChannelSubinterface, self).__init__()

                                    self.yang_name = "Port-channel-subinterface"
                                    self.yang_parent_name = "unnumbered-interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port_channel = YLeaf(YType.str, "Port-channel")
                                    self._segment_path = lambda: "Port-channel-subinterface"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/primary/config/unnumbered-interface/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Primary.Config.UnnumberedInterface.PortChannelSubinterface, ['port_channel'], name, value)


                    class Timers(Entity):
                        """
                        Configure timers for primary auto\-tunnels
                        
                        .. attribute:: removal
                        
                        	Configure removal of primary tunnels
                        	**type**\:  :py:class:`Removal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers.Removal>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "primary"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"removal" : ("removal", Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers.Removal)}
                            self._child_list_classes = {}

                            self.removal = Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers.Removal()
                            self.removal.parent = self
                            self._children_name_map["removal"] = "removal"
                            self._children_yang_names.add("removal")
                            self._segment_path = lambda: "timers"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/primary/%s" % self._segment_path()


                        class Removal(Entity):
                            """
                            Configure removal of primary tunnels
                            
                            .. attribute:: rerouted
                            
                            	How long auto\-tunnel primary can stay frr active\: <30..604800> seconds
                            	**type**\: int
                            
                            	**range:** 30..604800
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers.Removal, self).__init__()

                                self.yang_name = "removal"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rerouted = YLeaf(YType.uint32, "rerouted")
                                self._segment_path = lambda: "removal"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/primary/timers/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Primary.Timers.Removal, ['rerouted'], name, value)


                    class TunnelNum(Entity):
                        """
                        Configure tunnel I/F numbers for primary auto\-tunnels
                        
                        .. attribute:: min_max
                        
                        	Configure the starting id\-range
                        	**type**\:  :py:class:`MinMax <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.MinMax>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum, self).__init__()

                            self.yang_name = "tunnel-num"
                            self.yang_parent_name = "primary"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"min-max" : ("min_max", Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.MinMax)}
                            self._child_list_classes = {}

                            self.min_max = Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.MinMax()
                            self.min_max.parent = self
                            self._children_name_map["min_max"] = "min-max"
                            self._children_yang_names.add("min-max")
                            self._segment_path = lambda: "tunnel-num"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/primary/%s" % self._segment_path()


                        class MinMax(Entity):
                            """
                            Configure the starting id\-range
                            
                            .. attribute:: min
                            
                            	starting tunnel number range
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: max
                            
                            	Configure the ending id\-range\: <0..65535>
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.MinMax, self).__init__()

                                self.yang_name = "min-max"
                                self.yang_parent_name = "tunnel-num"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.uint16, "min")

                                self.max = YLeaf(YType.uint16, "max")
                                self._segment_path = lambda: "min-max"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/auto-tunnel/primary/tunnel-num/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.AutoTunnel.Primary.TunnelNum.MinMax, ['min', 'max'], name, value)


            class DsTe(Entity):
                """
                Configure standard DS\-TE parameters
                
                .. attribute:: bc_model
                
                	Configure BC model\: < mam >
                	**type**\:  :py:class:`BcModel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.DsTe.BcModel>`
                
                .. attribute:: mode
                
                	Configure DS\-TE mode\: < ietf \| migration >
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.DsTe.Mode>`
                
                .. attribute:: te_classes
                
                	Specify TE\-Class parameters
                	**type**\:  :py:class:`TeClasses <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.DsTe.TeClasses>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.DsTe, self).__init__()

                    self.yang_name = "ds-te"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"te-classes" : ("te_classes", Native.Mpls.TrafficEng.DsTe.TeClasses)}
                    self._child_list_classes = {}

                    self.bc_model = YLeaf(YType.enumeration, "bc-model")

                    self.mode = YLeaf(YType.enumeration, "mode")

                    self.te_classes = None
                    self._children_name_map["te_classes"] = "te-classes"
                    self._children_yang_names.add("te-classes")
                    self._segment_path = lambda: "ds-te"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mpls.TrafficEng.DsTe, ['bc_model', 'mode'], name, value)

                class BcModel(Enum):
                    """
                    BcModel

                    Configure BC model\: < mam >

                    .. data:: mam = 0

                    	BC Maximum allocation model

                    """

                    mam = Enum.YLeaf(0, "mam")


                class Mode(Enum):
                    """
                    Mode

                    Configure DS\-TE mode\: < ietf \| migration >

                    .. data:: ietf = 0

                    	Configure DS-TE standard mode

                    .. data:: migration = 1

                    	Configure DS-TE migration mode

                    """

                    ietf = Enum.YLeaf(0, "ietf")

                    migration = Enum.YLeaf(1, "migration")



                class TeClasses(Entity):
                    """
                    Specify TE\-Class parameters
                    
                    .. attribute:: te_class
                    
                    	Configure a TE\-Class
                    	**type**\: list of  		 :py:class:`TeClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.DsTe.TeClasses.TeClass>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.DsTe.TeClasses, self).__init__()

                        self.yang_name = "te-classes"
                        self.yang_parent_name = "ds-te"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"te-class" : ("te_class", Native.Mpls.TrafficEng.DsTe.TeClasses.TeClass)}
                        self.is_presence_container = True

                        self.te_class = YList(self)
                        self._segment_path = lambda: "te-classes"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/ds-te/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.DsTe.TeClasses, [], name, value)


                    class TeClass(Entity):
                        """
                        Configure a TE\-Class
                        
                        .. attribute:: te_idx  <key>
                        
                        	Specify the TE\-Class index\: <0..7>
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: class_type
                        
                        	Specify the Class\-Type for this TE\-Class
                        	**type**\:  :py:class:`ClassType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.DsTe.TeClasses.TeClass.ClassType>`
                        
                        .. attribute:: unused
                        
                        	Specify that this TE\-Class index is unused
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.DsTe.TeClasses.TeClass, self).__init__()

                            self.yang_name = "te-class"
                            self.yang_parent_name = "te-classes"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"class-type" : ("class_type", Native.Mpls.TrafficEng.DsTe.TeClasses.TeClass.ClassType)}
                            self._child_list_classes = {}

                            self.te_idx = YLeaf(YType.uint8, "te-idx")

                            self.unused = YLeaf(YType.empty, "unused")

                            self.class_type = Native.Mpls.TrafficEng.DsTe.TeClasses.TeClass.ClassType()
                            self.class_type.parent = self
                            self._children_name_map["class_type"] = "class-type"
                            self._children_yang_names.add("class-type")
                            self._segment_path = lambda: "te-class" + "[te-idx='" + self.te_idx.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/ds-te/te-classes/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.DsTe.TeClasses.TeClass, ['te_idx', 'unused'], name, value)


                        class ClassType(Entity):
                            """
                            Specify the Class\-Type for this TE\-Class
                            
                            .. attribute:: type
                            
                            	Specify Class\-Type value (0 for Global and 1 for Sub\-Pool)
                            	**type**\: int
                            
                            	**range:** 0..1
                            
                            .. attribute:: priority
                            
                            	Specify preemption priority value for this TE Class\-Type\: <0..7>
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.DsTe.TeClasses.TeClass.ClassType, self).__init__()

                                self.yang_name = "class-type"
                                self.yang_parent_name = "te-class"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.type = YLeaf(YType.uint8, "type")

                                self.priority = YLeaf(YType.uint8, "priority")
                                self._segment_path = lambda: "class-type"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.DsTe.TeClasses.TeClass.ClassType, ['type', 'priority'], name, value)


            class FastReroute(Entity):
                """
                fast\-reroute parameters
                
                .. attribute:: backup_prot_preempt
                
                	Preemption algorithm for backup tunnels
                	**type**\:  :py:class:`BackupProtPreempt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.FastReroute.BackupProtPreempt>`
                
                .. attribute:: timers
                
                	configure fast\-reroute timer
                	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.FastReroute.Timers>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.FastReroute, self).__init__()

                    self.yang_name = "fast-reroute"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"backup-prot-preempt" : ("backup_prot_preempt", Native.Mpls.TrafficEng.FastReroute.BackupProtPreempt), "timers" : ("timers", Native.Mpls.TrafficEng.FastReroute.Timers)}
                    self._child_list_classes = {}

                    self.backup_prot_preempt = Native.Mpls.TrafficEng.FastReroute.BackupProtPreempt()
                    self.backup_prot_preempt.parent = self
                    self._children_name_map["backup_prot_preempt"] = "backup-prot-preempt"
                    self._children_yang_names.add("backup-prot-preempt")

                    self.timers = Native.Mpls.TrafficEng.FastReroute.Timers()
                    self.timers.parent = self
                    self._children_name_map["timers"] = "timers"
                    self._children_yang_names.add("timers")
                    self._segment_path = lambda: "fast-reroute"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()


                class BackupProtPreempt(Entity):
                    """
                    Preemption algorithm for backup tunnels
                    
                    .. attribute:: optimize_bw
                    
                    	Reduce bandwidth wastage (default\: minimize LSPs preempted)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.FastReroute.BackupProtPreempt, self).__init__()

                        self.yang_name = "backup-prot-preempt"
                        self.yang_parent_name = "fast-reroute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.optimize_bw = YLeaf(YType.empty, "optimize-bw")
                        self._segment_path = lambda: "backup-prot-preempt"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/fast-reroute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.FastReroute.BackupProtPreempt, ['optimize_bw'], name, value)


                class Timers(Entity):
                    """
                    configure fast\-reroute timer
                    
                    .. attribute:: promotion
                    
                    	Time between promotions\: <0..604800> seconds, (0 disables promotion)
                    	**type**\: int
                    
                    	**range:** 0..604800
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.FastReroute.Timers, self).__init__()

                        self.yang_name = "timers"
                        self.yang_parent_name = "fast-reroute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.promotion = YLeaf(YType.uint32, "promotion")
                        self._segment_path = lambda: "timers"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/fast-reroute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.FastReroute.Timers, ['promotion'], name, value)


            class LinkManagement(Entity):
                """
                Link Management configuration
                
                .. attribute:: timers
                
                	Link Management timers configuration
                	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.LinkManagement.Timers>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.LinkManagement, self).__init__()

                    self.yang_name = "link-management"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"timers" : ("timers", Native.Mpls.TrafficEng.LinkManagement.Timers)}
                    self._child_list_classes = {}

                    self.timers = Native.Mpls.TrafficEng.LinkManagement.Timers()
                    self.timers.parent = self
                    self._children_name_map["timers"] = "timers"
                    self._children_yang_names.add("timers")
                    self._segment_path = lambda: "link-management"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()


                class Timers(Entity):
                    """
                    Link Management timers configuration
                    
                    .. attribute:: bandwidth_hold
                    
                    	Link Management bandwidth hold timer\: <1..300> seconds
                    	**type**\: int
                    
                    	**range:** 1..300
                    
                    .. attribute:: periodic_flooding
                    
                    	Link Management periodic flooding interval\: <0..3600> seconds
                    	**type**\: int
                    
                    	**range:** 0..3600
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.LinkManagement.Timers, self).__init__()

                        self.yang_name = "timers"
                        self.yang_parent_name = "link-management"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.bandwidth_hold = YLeaf(YType.uint16, "bandwidth-hold")

                        self.periodic_flooding = YLeaf(YType.uint16, "periodic-flooding")
                        self._segment_path = lambda: "timers"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/link-management/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.LinkManagement.Timers, ['bandwidth_hold', 'periodic_flooding'], name, value)


            class Logging(Entity):
                """
                Trap logging configuration
                
                .. attribute:: lsp
                
                	LSP\-specific traps logging configuration
                	**type**\:  :py:class:`Lsp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Lsp>`
                
                .. attribute:: tunnel
                
                	Tunnel\-specific traps logging configuration
                	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Tunnel>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"lsp" : ("lsp", Native.Mpls.TrafficEng.Logging.Lsp), "tunnel" : ("tunnel", Native.Mpls.TrafficEng.Logging.Tunnel)}
                    self._child_list_classes = {}

                    self.lsp = Native.Mpls.TrafficEng.Logging.Lsp()
                    self.lsp.parent = self
                    self._children_name_map["lsp"] = "lsp"
                    self._children_yang_names.add("lsp")

                    self.tunnel = Native.Mpls.TrafficEng.Logging.Tunnel()
                    self.tunnel.parent = self
                    self._children_name_map["tunnel"] = "tunnel"
                    self._children_yang_names.add("tunnel")
                    self._segment_path = lambda: "logging"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()


                class Lsp(Entity):
                    """
                    LSP\-specific traps logging configuration
                    
                    .. attribute:: path_errors
                    
                    	Log LSP Path Error traps
                    	**type**\:  :py:class:`PathErrors <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Lsp.PathErrors>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: preemption
                    
                    	Log LSP Preemption traps
                    	**type**\:  :py:class:`Preemption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Lsp.Preemption>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: reservation_errors
                    
                    	Log LSP Reservation Error traps
                    	**type**\:  :py:class:`ReservationErrors <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Lsp.ReservationErrors>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: setups
                    
                    	Log LSP Establishment Traps
                    	**type**\:  :py:class:`Setups <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Lsp.Setups>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: teardowns
                    
                    	Log LSP Teardown Traps
                    	**type**\:  :py:class:`Teardowns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Lsp.Teardowns>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.Logging.Lsp, self).__init__()

                        self.yang_name = "lsp"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"path-errors" : ("path_errors", Native.Mpls.TrafficEng.Logging.Lsp.PathErrors), "preemption" : ("preemption", Native.Mpls.TrafficEng.Logging.Lsp.Preemption), "reservation-errors" : ("reservation_errors", Native.Mpls.TrafficEng.Logging.Lsp.ReservationErrors), "setups" : ("setups", Native.Mpls.TrafficEng.Logging.Lsp.Setups), "teardowns" : ("teardowns", Native.Mpls.TrafficEng.Logging.Lsp.Teardowns)}
                        self._child_list_classes = {}

                        self.path_errors = None
                        self._children_name_map["path_errors"] = "path-errors"
                        self._children_yang_names.add("path-errors")

                        self.preemption = None
                        self._children_name_map["preemption"] = "preemption"
                        self._children_yang_names.add("preemption")

                        self.reservation_errors = None
                        self._children_name_map["reservation_errors"] = "reservation-errors"
                        self._children_yang_names.add("reservation-errors")

                        self.setups = None
                        self._children_name_map["setups"] = "setups"
                        self._children_yang_names.add("setups")

                        self.teardowns = None
                        self._children_name_map["teardowns"] = "teardowns"
                        self._children_yang_names.add("teardowns")
                        self._segment_path = lambda: "lsp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/logging/%s" % self._segment_path()


                    class PathErrors(Entity):
                        """
                        Log LSP Path Error traps
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..199
                        
                        		**type**\: int
                        
                        			**range:** 1300..2699
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.Logging.Lsp.PathErrors, self).__init__()

                            self.yang_name = "path-errors"
                            self.yang_parent_name = "lsp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.access_list = YLeaf(YType.str, "access-list")
                            self._segment_path = lambda: "path-errors"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/logging/lsp/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.Logging.Lsp.PathErrors, ['access_list'], name, value)


                    class Preemption(Entity):
                        """
                        Log LSP Preemption traps
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..199
                        
                        		**type**\: int
                        
                        			**range:** 1300..2699
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.Logging.Lsp.Preemption, self).__init__()

                            self.yang_name = "preemption"
                            self.yang_parent_name = "lsp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.access_list = YLeaf(YType.str, "access-list")
                            self._segment_path = lambda: "preemption"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/logging/lsp/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.Logging.Lsp.Preemption, ['access_list'], name, value)


                    class ReservationErrors(Entity):
                        """
                        Log LSP Reservation Error traps
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..199
                        
                        		**type**\: int
                        
                        			**range:** 1300..2699
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.Logging.Lsp.ReservationErrors, self).__init__()

                            self.yang_name = "reservation-errors"
                            self.yang_parent_name = "lsp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.access_list = YLeaf(YType.str, "access-list")
                            self._segment_path = lambda: "reservation-errors"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/logging/lsp/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.Logging.Lsp.ReservationErrors, ['access_list'], name, value)


                    class Setups(Entity):
                        """
                        Log LSP Establishment Traps
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..199
                        
                        		**type**\: int
                        
                        			**range:** 1300..2699
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.Logging.Lsp.Setups, self).__init__()

                            self.yang_name = "setups"
                            self.yang_parent_name = "lsp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.access_list = YLeaf(YType.str, "access-list")
                            self._segment_path = lambda: "setups"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/logging/lsp/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.Logging.Lsp.Setups, ['access_list'], name, value)


                    class Teardowns(Entity):
                        """
                        Log LSP Teardown Traps
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..199
                        
                        		**type**\: int
                        
                        			**range:** 1300..2699
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.Logging.Lsp.Teardowns, self).__init__()

                            self.yang_name = "teardowns"
                            self.yang_parent_name = "lsp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.access_list = YLeaf(YType.str, "access-list")
                            self._segment_path = lambda: "teardowns"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/logging/lsp/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.Logging.Lsp.Teardowns, ['access_list'], name, value)


                class Tunnel(Entity):
                    """
                    Tunnel\-specific traps logging configuration
                    
                    .. attribute:: lsp_selection
                    
                    	Log Tunnel LSP Selection traps
                    	**type**\:  :py:class:`LspSelection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Tunnel.LspSelection>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: lsp_switchover
                    
                    	Log Tunnel LSP Switchover traps
                    	**type**\:  :py:class:`LspSwitchover <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Tunnel.LspSwitchover>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: path
                    
                    	Log Tunnel Path\-related traps
                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Tunnel.Path>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.Logging.Tunnel, self).__init__()

                        self.yang_name = "tunnel"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"lsp-selection" : ("lsp_selection", Native.Mpls.TrafficEng.Logging.Tunnel.LspSelection), "lsp-switchover" : ("lsp_switchover", Native.Mpls.TrafficEng.Logging.Tunnel.LspSwitchover), "path" : ("path", Native.Mpls.TrafficEng.Logging.Tunnel.Path)}
                        self._child_list_classes = {}

                        self.lsp_selection = None
                        self._children_name_map["lsp_selection"] = "lsp-selection"
                        self._children_yang_names.add("lsp-selection")

                        self.lsp_switchover = None
                        self._children_name_map["lsp_switchover"] = "lsp-switchover"
                        self._children_yang_names.add("lsp-switchover")

                        self.path = Native.Mpls.TrafficEng.Logging.Tunnel.Path()
                        self.path.parent = self
                        self._children_name_map["path"] = "path"
                        self._children_yang_names.add("path")
                        self._segment_path = lambda: "tunnel"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/logging/%s" % self._segment_path()


                    class LspSelection(Entity):
                        """
                        Log Tunnel LSP Selection traps
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..199
                        
                        		**type**\: int
                        
                        			**range:** 1300..2699
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.Logging.Tunnel.LspSelection, self).__init__()

                            self.yang_name = "lsp-selection"
                            self.yang_parent_name = "tunnel"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.access_list = YLeaf(YType.str, "access-list")
                            self._segment_path = lambda: "lsp-selection"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/logging/tunnel/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.Logging.Tunnel.LspSelection, ['access_list'], name, value)


                    class LspSwitchover(Entity):
                        """
                        Log Tunnel LSP Switchover traps
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..199
                        
                        		**type**\: int
                        
                        			**range:** 1300..2699
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.Logging.Tunnel.LspSwitchover, self).__init__()

                            self.yang_name = "lsp-switchover"
                            self.yang_parent_name = "tunnel"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.access_list = YLeaf(YType.str, "access-list")
                            self._segment_path = lambda: "lsp-switchover"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/logging/tunnel/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.Logging.Tunnel.LspSwitchover, ['access_list'], name, value)


                    class Path(Entity):
                        """
                        Log Tunnel Path\-related traps
                        
                        .. attribute:: change
                        
                        	Log Tunnel Path change traps
                        	**type**\:  :py:class:`Change <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Logging.Tunnel.Path.Change>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.Logging.Tunnel.Path, self).__init__()

                            self.yang_name = "path"
                            self.yang_parent_name = "tunnel"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"change" : ("change", Native.Mpls.TrafficEng.Logging.Tunnel.Path.Change)}
                            self._child_list_classes = {}

                            self.change = None
                            self._children_name_map["change"] = "change"
                            self._children_yang_names.add("change")
                            self._segment_path = lambda: "path"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/logging/tunnel/%s" % self._segment_path()


                        class Change(Entity):
                            """
                            Log Tunnel Path change traps
                            
                            .. attribute:: access_list
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199
                            
                            		**type**\: int
                            
                            			**range:** 1300..2699
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.Logging.Tunnel.Path.Change, self).__init__()

                                self.yang_name = "change"
                                self.yang_parent_name = "path"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.access_list = YLeaf(YType.str, "access-list")
                                self._segment_path = lambda: "change"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/logging/tunnel/path/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.Logging.Tunnel.Path.Change, ['access_list'], name, value)


            class Lsp(Entity):
                """
                Configure LSP parameters
                
                .. attribute:: attributes
                
                	Configure LSP attributes
                	**type**\: list of  		 :py:class:`Attributes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.Lsp, self).__init__()

                    self.yang_name = "lsp"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"attributes" : ("attributes", Native.Mpls.TrafficEng.Lsp.Attributes)}

                    self.attributes = YList(self)
                    self._segment_path = lambda: "lsp"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mpls.TrafficEng.Lsp, [], name, value)


                class Attributes(Entity):
                    """
                    Configure LSP attributes
                    
                    .. attribute:: name  <key>
                    
                    	Name of LSP attribute list
                    	**type**\: str
                    
                    .. attribute:: mpls_te_mode_config_lsp_attr
                    
                    	
                    	**type**\:  :py:class:`MplsTeModeConfigLspAttr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.Lsp.Attributes, self).__init__()

                        self.yang_name = "attributes"
                        self.yang_parent_name = "lsp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"mpls-te-mode-config-lsp-attr" : ("mpls_te_mode_config_lsp_attr", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.mpls_te_mode_config_lsp_attr = Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr()
                        self.mpls_te_mode_config_lsp_attr.parent = self
                        self._children_name_map["mpls_te_mode_config_lsp_attr"] = "mpls-te-mode-config-lsp-attr"
                        self._children_yang_names.add("mpls-te-mode-config-lsp-attr")
                        self._segment_path = lambda: "attributes" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/lsp/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes, ['name'], name, value)


                    class MplsTeModeConfigLspAttr(Entity):
                        """
                        
                        
                        .. attribute:: affinity_mask
                        
                        	desired link affinity attributes
                        	**type**\:  :py:class:`AffinityMask <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AffinityMask>`
                        
                        .. attribute:: auto_bw
                        
                        	Specify automatic bandwidth configuration
                        	**type**\:  :py:class:`AutoBw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AutoBw>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bandwidth
                        
                        	Specify LSP bandwidth
                        	**type**\:  :py:class:`Bandwidth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Bandwidth>`
                        
                        .. attribute:: bfd_reverse_path
                        
                        	Specify bfd reverse path
                        	**type**\:  :py:class:`BfdReversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.BfdReversePath>`
                        
                        .. attribute:: lockdown
                        
                        	Lockdown the LSP\-\-disable reoptimization
                        	**type**\:  :py:class:`Lockdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Lockdown>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: path_selection
                        
                        	Path Selection Configuration
                        	**type**\:  :py:class:`PathSelection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection>`
                        
                        .. attribute:: pce
                        
                        	Specify PCE Configuration
                        	**type**\:  :py:class:`Pce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Pce>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: priority
                        
                        	Specify LSP priority
                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Priority>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: protection
                        
                        	Enable failure protection
                        	**type**\:  :py:class:`Protection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Protection>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: record_route
                        
                        	Record the route used by the LSP
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr, self).__init__()

                            self.yang_name = "mpls-te-mode-config-lsp-attr"
                            self.yang_parent_name = "attributes"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"affinity-mask" : ("affinity_mask", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AffinityMask), "auto-bw" : ("auto_bw", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AutoBw), "bandwidth" : ("bandwidth", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Bandwidth), "bfd-reverse-path" : ("bfd_reverse_path", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.BfdReversePath), "lockdown" : ("lockdown", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Lockdown), "path-selection" : ("path_selection", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection), "pce" : ("pce", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Pce), "priority" : ("priority", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Priority), "protection" : ("protection", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Protection)}
                            self._child_list_classes = {}

                            self.record_route = YLeaf(YType.empty, "record-route")

                            self.affinity_mask = Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AffinityMask()
                            self.affinity_mask.parent = self
                            self._children_name_map["affinity_mask"] = "affinity-mask"
                            self._children_yang_names.add("affinity-mask")

                            self.auto_bw = None
                            self._children_name_map["auto_bw"] = "auto-bw"
                            self._children_yang_names.add("auto-bw")

                            self.bandwidth = Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Bandwidth()
                            self.bandwidth.parent = self
                            self._children_name_map["bandwidth"] = "bandwidth"
                            self._children_yang_names.add("bandwidth")

                            self.bfd_reverse_path = Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.BfdReversePath()
                            self.bfd_reverse_path.parent = self
                            self._children_name_map["bfd_reverse_path"] = "bfd-reverse-path"
                            self._children_yang_names.add("bfd-reverse-path")

                            self.lockdown = None
                            self._children_name_map["lockdown"] = "lockdown"
                            self._children_yang_names.add("lockdown")

                            self.path_selection = Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection()
                            self.path_selection.parent = self
                            self._children_name_map["path_selection"] = "path-selection"
                            self._children_yang_names.add("path-selection")

                            self.pce = None
                            self._children_name_map["pce"] = "pce"
                            self._children_yang_names.add("pce")

                            self.priority = None
                            self._children_name_map["priority"] = "priority"
                            self._children_yang_names.add("priority")

                            self.protection = None
                            self._children_name_map["protection"] = "protection"
                            self._children_yang_names.add("protection")
                            self._segment_path = lambda: "mpls-te-mode-config-lsp-attr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr, ['record_route'], name, value)


                        class AffinityMask(Entity):
                            """
                            desired link affinity attributes
                            
                            .. attribute:: affinity
                            
                            	Specify attribute flags for links comprising LSP\: <0x0\-0xFFFFFFFF>
                            	**type**\: str
                            
                            	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                            
                            .. attribute:: mask
                            
                            	Mask on desired link attributes\: <0x0\-0xFFFFFFFF>
                            	**type**\: str
                            
                            	**pattern:** 0[xX][0\-9a\-fA\-F]{1,8}
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AffinityMask, self).__init__()

                                self.yang_name = "affinity-mask"
                                self.yang_parent_name = "mpls-te-mode-config-lsp-attr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.affinity = YLeaf(YType.str, "affinity")

                                self.mask = YLeaf(YType.str, "mask")
                                self._segment_path = lambda: "affinity-mask"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AffinityMask, ['affinity', 'mask'], name, value)


                        class AutoBw(Entity):
                            """
                            Specify automatic bandwidth configuration
                            
                            .. attribute:: frequency
                            
                            	Seconds between applying auto\-bw\: <300..604800>
                            	**type**\: int
                            
                            	**range:** 300..604800
                            
                            .. attribute:: collect_bw
                            
                            	Just collect bandwidth info
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: adjustment_threshold
                            
                            	Percent bandwidth change to trigger adjustment\: <1..99>
                            	**type**\: int
                            
                            	**range:** 1..99
                            
                            .. attribute:: overflow_limit
                            
                            	Number of consecutive samples exceeding threshold\: <1..10>
                            	**type**\:  :py:class:`OverflowLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AutoBw.OverflowLimit>`
                            
                            .. attribute:: max_bw
                            
                            	Maximum bandwidth to apply\: <0..4294967295> (kbps)
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: min_bw
                            
                            	Minimum bandwidth to apply\: <0..4294967294> (kbps)
                            	**type**\: int
                            
                            	**range:** 0..4294967294
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AutoBw, self).__init__()

                                self.yang_name = "auto-bw"
                                self.yang_parent_name = "mpls-te-mode-config-lsp-attr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"overflow-limit" : ("overflow_limit", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AutoBw.OverflowLimit)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.frequency = YLeaf(YType.uint32, "frequency")

                                self.collect_bw = YLeaf(YType.empty, "collect-bw")

                                self.adjustment_threshold = YLeaf(YType.uint8, "adjustment-threshold")

                                self.max_bw = YLeaf(YType.uint32, "max-bw")

                                self.min_bw = YLeaf(YType.uint32, "min-bw")

                                self.overflow_limit = Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AutoBw.OverflowLimit()
                                self.overflow_limit.parent = self
                                self._children_name_map["overflow_limit"] = "overflow-limit"
                                self._children_yang_names.add("overflow-limit")
                                self._segment_path = lambda: "auto-bw"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AutoBw, ['frequency', 'collect_bw', 'adjustment_threshold', 'max_bw', 'min_bw'], name, value)


                            class OverflowLimit(Entity):
                                """
                                Number of consecutive samples exceeding threshold\: <1..10>
                                
                                .. attribute:: limit
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                .. attribute:: overflow_threshold
                                
                                	Set the bandwidth change threshold to trigger overflow adjustment\: <1..99> %
                                	**type**\: int
                                
                                	**range:** 1..99
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AutoBw.OverflowLimit, self).__init__()

                                    self.yang_name = "overflow-limit"
                                    self.yang_parent_name = "auto-bw"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint8, "limit")

                                    self.overflow_threshold = YLeaf(YType.uint8, "overflow-threshold")
                                    self._segment_path = lambda: "overflow-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.AutoBw.OverflowLimit, ['limit', 'overflow_threshold'], name, value)


                        class Bandwidth(Entity):
                            """
                            Specify LSP bandwidth
                            
                            .. attribute:: bw
                            
                            	Bandwidth requirement\: <0..4294967295> (kbps)
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: sub_pool
                            
                            	Sub\-pool Bandwidth requirement\: <1..4294967295> (kbps)
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Bandwidth, self).__init__()

                                self.yang_name = "bandwidth"
                                self.yang_parent_name = "mpls-te-mode-config-lsp-attr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.bw = YLeaf(YType.uint32, "bw")

                                self.sub_pool = YLeaf(YType.uint32, "sub-pool")
                                self._segment_path = lambda: "bandwidth"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Bandwidth, ['bw', 'sub_pool'], name, value)


                        class BfdReversePath(Entity):
                            """
                            Specify bfd reverse path
                            
                            .. attribute:: binding_label
                            
                            	MPLS binding\-label value\: <16..1048575>
                            	**type**\: int
                            
                            	**range:** 16..1048575
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.BfdReversePath, self).__init__()

                                self.yang_name = "bfd-reverse-path"
                                self.yang_parent_name = "mpls-te-mode-config-lsp-attr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.binding_label = YLeaf(YType.uint32, "binding-label")
                                self._segment_path = lambda: "bfd-reverse-path"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.BfdReversePath, ['binding_label'], name, value)


                        class Lockdown(Entity):
                            """
                            Lockdown the LSP\-\-disable reoptimization
                            
                            .. attribute:: sticky
                            
                            	stay on the same path after change in required resources
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Lockdown, self).__init__()

                                self.yang_name = "lockdown"
                                self.yang_parent_name = "mpls-te-mode-config-lsp-attr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.sticky = YLeaf(YType.empty, "sticky")
                                self._segment_path = lambda: "lockdown"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Lockdown, ['sticky'], name, value)


                        class PathSelection(Entity):
                            """
                            Path Selection Configuration
                            
                            .. attribute:: metric
                            
                            	Metric Type Configuration\: < te \| igp >
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection.Metric>`
                            
                            .. attribute:: invalidation
                            
                            	Path invalidation configuration
                            	**type**\:  :py:class:`Invalidation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection.Invalidation>`
                            
                            .. attribute:: segment_routing
                            
                            	Segment\-routing path\-selection options
                            	**type**\:  :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection.SegmentRouting>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection, self).__init__()

                                self.yang_name = "path-selection"
                                self.yang_parent_name = "mpls-te-mode-config-lsp-attr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"invalidation" : ("invalidation", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection.Invalidation), "segment-routing" : ("segment_routing", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection.SegmentRouting)}
                                self._child_list_classes = {}

                                self.metric = YLeaf(YType.enumeration, "metric")

                                self.invalidation = Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection.Invalidation()
                                self.invalidation.parent = self
                                self._children_name_map["invalidation"] = "invalidation"
                                self._children_yang_names.add("invalidation")

                                self.segment_routing = Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection.SegmentRouting()
                                self.segment_routing.parent = self
                                self._children_name_map["segment_routing"] = "segment-routing"
                                self._children_yang_names.add("segment-routing")
                                self._segment_path = lambda: "path-selection"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection, ['metric'], name, value)

                            class Metric(Enum):
                                """
                                Metric

                                Metric Type Configuration\: < te \| igp >

                                .. data:: igp = 0

                                .. data:: te = 1

                                """

                                igp = Enum.YLeaf(0, "igp")

                                te = Enum.YLeaf(1, "te")



                            class Invalidation(Entity):
                                """
                                Path invalidation configuration
                                
                                .. attribute:: value
                                
                                	Path invalidation timer value\: <0..60000> milliseconds, (default 10000)
                                	**type**\: int
                                
                                	**range:** 0..60000
                                
                                .. attribute:: drop
                                
                                	Drop Tunnel Traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection.Invalidation, self).__init__()

                                    self.yang_name = "invalidation"
                                    self.yang_parent_name = "path-selection"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.value = YLeaf(YType.int32, "value")

                                    self.drop = YLeaf(YType.empty, "drop")
                                    self._segment_path = lambda: "invalidation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection.Invalidation, ['value', 'drop'], name, value)


                            class SegmentRouting(Entity):
                                """
                                Segment\-routing path\-selection options
                                
                                .. attribute:: adjacency
                                
                                	Segment\-routing adjacency path\-selection type
                                	**type**\:  :py:class:`Adjacency <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection.SegmentRouting.Adjacency>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection.SegmentRouting, self).__init__()

                                    self.yang_name = "segment-routing"
                                    self.yang_parent_name = "path-selection"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.adjacency = YLeaf(YType.enumeration, "adjacency")
                                    self._segment_path = lambda: "segment-routing"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.PathSelection.SegmentRouting, ['adjacency'], name, value)

                                class Adjacency(Enum):
                                    """
                                    Adjacency

                                    Segment\-routing adjacency path\-selection type

                                    .. data:: protected = 0

                                    .. data:: unprotected = 1

                                    """

                                    protected = Enum.YLeaf(0, "protected")

                                    unprotected = Enum.YLeaf(1, "unprotected")



                        class Pce(Entity):
                            """
                            Specify PCE Configuration
                            
                            .. attribute:: disjoint_path
                            
                            	Disjoint Path Configuration
                            	**type**\:  :py:class:`DisjointPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Pce.DisjointPath>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Pce, self).__init__()

                                self.yang_name = "pce"
                                self.yang_parent_name = "mpls-te-mode-config-lsp-attr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"disjoint-path" : ("disjoint_path", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Pce.DisjointPath)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disjoint_path = Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Pce.DisjointPath()
                                self.disjoint_path.parent = self
                                self._children_name_map["disjoint_path"] = "disjoint-path"
                                self._children_yang_names.add("disjoint-path")
                                self._segment_path = lambda: "pce"


                            class DisjointPath(Entity):
                                """
                                Disjoint Path Configuration
                                
                                .. attribute:: source
                                
                                	Source IPv4 address
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: type
                                
                                	Disjointness type\: <link \| node \| srlg>
                                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Pce.DisjointPath.Type>`
                                
                                .. attribute:: group_id
                                
                                	Group ID\: <1..4294967295>
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Pce.DisjointPath, self).__init__()

                                    self.yang_name = "disjoint-path"
                                    self.yang_parent_name = "pce"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.source = YLeaf(YType.str, "source")

                                    self.type = YLeaf(YType.enumeration, "type")

                                    self.group_id = YLeaf(YType.uint32, "group-id")
                                    self._segment_path = lambda: "disjoint-path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Pce.DisjointPath, ['source', 'type', 'group_id'], name, value)

                                class Type(Enum):
                                    """
                                    Type

                                    Disjointness type\: <link \| node \| srlg>

                                    .. data:: link = 0

                                    	Link Disjointness

                                    .. data:: node = 1

                                    	Node Disjointness

                                    .. data:: srlg = 2

                                    	SRLG Disjointness

                                    """

                                    link = Enum.YLeaf(0, "link")

                                    node = Enum.YLeaf(1, "node")

                                    srlg = Enum.YLeaf(2, "srlg")



                        class Priority(Entity):
                            """
                            Specify LSP priority
                            
                            .. attribute:: setup_priority
                            
                            	Setup priority\: <0..7>
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            	**mandatory**\: True
                            
                            .. attribute:: hold_priority
                            
                            	Hold priority\: <0..7>
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Priority, self).__init__()

                                self.yang_name = "priority"
                                self.yang_parent_name = "mpls-te-mode-config-lsp-attr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.setup_priority = YLeaf(YType.uint8, "setup-priority")

                                self.hold_priority = YLeaf(YType.uint8, "hold-priority")
                                self._segment_path = lambda: "priority"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Priority, ['setup_priority', 'hold_priority'], name, value)


                        class Protection(Entity):
                            """
                            Enable failure protection
                            
                            .. attribute:: fast_reroute
                            
                            	Enable fast\-reroute failure protection
                            	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Protection.FastReroute>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Protection, self).__init__()

                                self.yang_name = "protection"
                                self.yang_parent_name = "mpls-te-mode-config-lsp-attr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"fast-reroute" : ("fast_reroute", Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Protection.FastReroute)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.fast_reroute = None
                                self._children_name_map["fast_reroute"] = "fast-reroute"
                                self._children_yang_names.add("fast-reroute")
                                self._segment_path = lambda: "protection"


                            class FastReroute(Entity):
                                """
                                Enable fast\-reroute failure protection
                                
                                .. attribute:: bw_protect
                                
                                	Enable BW protection
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Protection.FastReroute, self).__init__()

                                    self.yang_name = "fast-reroute"
                                    self.yang_parent_name = "protection"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.bw_protect = YLeaf(YType.empty, "bw-protect")
                                    self._segment_path = lambda: "fast-reroute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Mpls.TrafficEng.Lsp.Attributes.MplsTeModeConfigLspAttr.Protection.FastReroute, ['bw_protect'], name, value)


            class PathOption(Entity):
                """
                Configure path\-option
                
                .. attribute:: list
                
                	Configure path\-option list
                	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.PathOption, self).__init__()

                    self.yang_name = "path-option"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"list" : ("list", Native.Mpls.TrafficEng.PathOption.List)}
                    self._child_list_classes = {}

                    self.list = Native.Mpls.TrafficEng.PathOption.List()
                    self.list.parent = self
                    self._children_name_map["list"] = "list"
                    self._children_yang_names.add("list")
                    self._segment_path = lambda: "path-option"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()


                class List(Entity):
                    """
                    Configure path\-option list
                    
                    .. attribute:: identifier
                    
                    	Specify path\-option list by number
                    	**type**\: list of  		 :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List.Identifier>`
                    
                    .. attribute:: name
                    
                    	Specify path\-option list by name
                    	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List.Name>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.PathOption.List, self).__init__()

                        self.yang_name = "list"
                        self.yang_parent_name = "path-option"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"identifier" : ("identifier", Native.Mpls.TrafficEng.PathOption.List.Identifier), "name" : ("name", Native.Mpls.TrafficEng.PathOption.List.Name)}

                        self.identifier = YList(self)
                        self.name = YList(self)
                        self._segment_path = lambda: "list"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/path-option/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.PathOption.List, [], name, value)


                    class Identifier(Entity):
                        """
                        Specify path\-option list by number
                        
                        .. attribute:: pol_num  <key>
                        
                        	Path option list identifier\: <1..65535>
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: path_option
                        
                        	Specify the path\-option to add, edit (or delete)
                        	**type**\: list of  		 :py:class:`PathOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.PathOption.List.Identifier, self).__init__()

                            self.yang_name = "identifier"
                            self.yang_parent_name = "list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"path-option" : ("path_option", Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption)}

                            self.pol_num = YLeaf(YType.uint16, "pol-num")

                            self.path_option = YList(self)
                            self._segment_path = lambda: "identifier" + "[pol-num='" + self.pol_num.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/path-option/list/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.PathOption.List.Identifier, ['pol_num'], name, value)


                        class PathOption(Entity):
                            """
                            Specify the path\-option to add, edit (or delete)
                            
                            .. attribute:: po_num  <key>
                            
                            	Entry path\-option number
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: explicit
                            
                            	setup based on preconfigured path
                            	**type**\:  :py:class:`Explicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption, self).__init__()

                                self.yang_name = "path-option"
                                self.yang_parent_name = "identifier"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"explicit" : ("explicit", Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit)}
                                self._child_list_classes = {}

                                self.po_num = YLeaf(YType.uint16, "po-num")

                                self.explicit = Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit()
                                self.explicit.parent = self
                                self._children_name_map["explicit"] = "explicit"
                                self._children_yang_names.add("explicit")
                                self._segment_path = lambda: "path-option" + "[po-num='" + self.po_num.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption, ['po_num'], name, value)


                            class Explicit(Entity):
                                """
                                setup based on preconfigured path
                                
                                .. attribute:: identifier
                                
                                	Specify path by number
                                	**type**\:  :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit.Identifier>`
                                
                                .. attribute:: name
                                
                                	Specify path by name
                                	**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit.Name>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit, self).__init__()

                                    self.yang_name = "explicit"
                                    self.yang_parent_name = "path-option"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"identifier" : ("identifier", Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit.Identifier), "name" : ("name", Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit.Name)}
                                    self._child_list_classes = {}

                                    self.identifier = Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit.Identifier()
                                    self.identifier.parent = self
                                    self._children_name_map["identifier"] = "identifier"
                                    self._children_yang_names.add("identifier")

                                    self.name = Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit.Name()
                                    self.name.parent = self
                                    self._children_name_map["name"] = "name"
                                    self._children_yang_names.add("name")
                                    self._segment_path = lambda: "explicit"


                                class Identifier(Entity):
                                    """
                                    Specify path by number
                                    
                                    .. attribute:: pnum
                                    
                                    	Path number\: <1..65535>
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: verbatim
                                    
                                    	Send out path as is, with no checking
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit.Identifier, self).__init__()

                                        self.yang_name = "identifier"
                                        self.yang_parent_name = "explicit"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.pnum = YLeaf(YType.uint16, "pnum")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")
                                        self._segment_path = lambda: "identifier"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit.Identifier, ['pnum', 'verbatim'], name, value)


                                class Name(Entity):
                                    """
                                    Specify path by name
                                    
                                    .. attribute:: pname
                                    
                                    	Path name
                                    	**type**\: str
                                    
                                    .. attribute:: verbatim
                                    
                                    	Send out path as is, with no checking
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "explicit"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.pname = YLeaf(YType.str, "pname")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")
                                        self._segment_path = lambda: "name"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.TrafficEng.PathOption.List.Identifier.PathOption.Explicit.Name, ['pname', 'verbatim'], name, value)


                    class Name(Entity):
                        """
                        Specify path\-option list by name
                        
                        .. attribute:: pol_name  <key>
                        
                        	Path option list name
                        	**type**\: str
                        
                        .. attribute:: path_option
                        
                        	Specify the path\-option to add, edit (or delete)
                        	**type**\: list of  		 :py:class:`PathOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List.Name.PathOption>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.PathOption.List.Name, self).__init__()

                            self.yang_name = "name"
                            self.yang_parent_name = "list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"path-option" : ("path_option", Native.Mpls.TrafficEng.PathOption.List.Name.PathOption)}

                            self.pol_name = YLeaf(YType.str, "pol-name")

                            self.path_option = YList(self)
                            self._segment_path = lambda: "name" + "[pol-name='" + self.pol_name.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/path-option/list/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.PathOption.List.Name, ['pol_name'], name, value)


                        class PathOption(Entity):
                            """
                            Specify the path\-option to add, edit (or delete)
                            
                            .. attribute:: po_num  <key>
                            
                            	Entry path\-option number
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: explicit
                            
                            	setup based on preconfigured path
                            	**type**\:  :py:class:`Explicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit>`
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.PathOption.List.Name.PathOption, self).__init__()

                                self.yang_name = "path-option"
                                self.yang_parent_name = "name"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"explicit" : ("explicit", Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit)}
                                self._child_list_classes = {}

                                self.po_num = YLeaf(YType.uint16, "po-num")

                                self.explicit = Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit()
                                self.explicit.parent = self
                                self._children_name_map["explicit"] = "explicit"
                                self._children_yang_names.add("explicit")
                                self._segment_path = lambda: "path-option" + "[po-num='" + self.po_num.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.PathOption.List.Name.PathOption, ['po_num'], name, value)


                            class Explicit(Entity):
                                """
                                setup based on preconfigured path
                                
                                .. attribute:: identifier
                                
                                	Specify path by number
                                	**type**\:  :py:class:`Identifier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit.Identifier>`
                                
                                .. attribute:: name
                                
                                	Specify path by name
                                	**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit.Name>`
                                
                                

                                """

                                _prefix = 'ios-mpls'
                                _revision = '2017-02-23'

                                def __init__(self):
                                    super(Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit, self).__init__()

                                    self.yang_name = "explicit"
                                    self.yang_parent_name = "path-option"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"identifier" : ("identifier", Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit.Identifier), "name" : ("name", Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit.Name)}
                                    self._child_list_classes = {}

                                    self.identifier = Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit.Identifier()
                                    self.identifier.parent = self
                                    self._children_name_map["identifier"] = "identifier"
                                    self._children_yang_names.add("identifier")

                                    self.name = Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit.Name()
                                    self.name.parent = self
                                    self._children_name_map["name"] = "name"
                                    self._children_yang_names.add("name")
                                    self._segment_path = lambda: "explicit"


                                class Identifier(Entity):
                                    """
                                    Specify path by number
                                    
                                    .. attribute:: pnum
                                    
                                    	Path number\: <1..65535>
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: verbatim
                                    
                                    	Send out path as is, with no checking
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit.Identifier, self).__init__()

                                        self.yang_name = "identifier"
                                        self.yang_parent_name = "explicit"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.pnum = YLeaf(YType.uint16, "pnum")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")
                                        self._segment_path = lambda: "identifier"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit.Identifier, ['pnum', 'verbatim'], name, value)


                                class Name(Entity):
                                    """
                                    Specify path by name
                                    
                                    .. attribute:: pname
                                    
                                    	Path name
                                    	**type**\: str
                                    
                                    .. attribute:: verbatim
                                    
                                    	Send out path as is, with no checking
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-mpls'
                                    _revision = '2017-02-23'

                                    def __init__(self):
                                        super(Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "explicit"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.pname = YLeaf(YType.str, "pname")

                                        self.verbatim = YLeaf(YType.empty, "verbatim")
                                        self._segment_path = lambda: "name"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Mpls.TrafficEng.PathOption.List.Name.PathOption.Explicit.Name, ['pname', 'verbatim'], name, value)


            class PathSelection(Entity):
                """
                Path Selection Configuration
                
                .. attribute:: metric
                
                	Metric Type Configuration\: < te \| igp >
                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathSelection.Metric>`
                
                .. attribute:: invalidation
                
                	Path invalidation configuration
                	**type**\:  :py:class:`Invalidation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathSelection.Invalidation>`
                
                .. attribute:: overload
                
                	Overload Node Configuration
                	**type**\:  :py:class:`Overload <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathSelection.Overload>`
                
                .. attribute:: tiebreaker
                
                	Tiebreaker Configuration\: < max\-fill \| min\-fill \| random >
                	**type**\:  :py:class:`MplsTeTiebreakerType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_mpls.MplsTeTiebreakerType>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.PathSelection, self).__init__()

                    self.yang_name = "path-selection"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"invalidation" : ("invalidation", Native.Mpls.TrafficEng.PathSelection.Invalidation), "overload" : ("overload", Native.Mpls.TrafficEng.PathSelection.Overload)}
                    self._child_list_classes = {}

                    self.metric = YLeaf(YType.enumeration, "metric")

                    self.tiebreaker = YLeaf(YType.enumeration, "tiebreaker")

                    self.invalidation = Native.Mpls.TrafficEng.PathSelection.Invalidation()
                    self.invalidation.parent = self
                    self._children_name_map["invalidation"] = "invalidation"
                    self._children_yang_names.add("invalidation")

                    self.overload = Native.Mpls.TrafficEng.PathSelection.Overload()
                    self.overload.parent = self
                    self._children_name_map["overload"] = "overload"
                    self._children_yang_names.add("overload")
                    self._segment_path = lambda: "path-selection"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mpls.TrafficEng.PathSelection, ['metric', 'tiebreaker'], name, value)

                class Metric(Enum):
                    """
                    Metric

                    Metric Type Configuration\: < te \| igp >

                    .. data:: igp = 0

                    .. data:: te = 1

                    """

                    igp = Enum.YLeaf(0, "igp")

                    te = Enum.YLeaf(1, "te")



                class Invalidation(Entity):
                    """
                    Path invalidation configuration
                    
                    .. attribute:: value
                    
                    	Path invalidation timer value\: <0..60000> milliseconds, (default 10000)
                    	**type**\: int
                    
                    	**range:** 0..60000
                    
                    .. attribute:: drop
                    
                    	Drop Tunnel Traffic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.PathSelection.Invalidation, self).__init__()

                        self.yang_name = "invalidation"
                        self.yang_parent_name = "path-selection"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.value = YLeaf(YType.int32, "value")

                        self.drop = YLeaf(YType.empty, "drop")
                        self._segment_path = lambda: "invalidation"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/path-selection/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.PathSelection.Invalidation, ['value', 'drop'], name, value)


                class Overload(Entity):
                    """
                    Overload Node Configuration
                    
                    .. attribute:: allow
                    
                    	Allow overloaded nodes in CSPFs
                    	**type**\:  :py:class:`Allow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.PathSelection.Overload.Allow>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.PathSelection.Overload, self).__init__()

                        self.yang_name = "overload"
                        self.yang_parent_name = "path-selection"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"allow" : ("allow", Native.Mpls.TrafficEng.PathSelection.Overload.Allow)}
                        self._child_list_classes = {}

                        self.allow = Native.Mpls.TrafficEng.PathSelection.Overload.Allow()
                        self.allow.parent = self
                        self._children_name_map["allow"] = "allow"
                        self._children_yang_names.add("allow")
                        self._segment_path = lambda: "overload"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/path-selection/%s" % self._segment_path()


                    class Allow(Entity):
                        """
                        Allow overloaded nodes in CSPFs
                        
                        .. attribute:: head
                        
                        	Allow overloaded head node in TE CSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: middle
                        
                        	Allow overloaded middle node in TE CSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: tail
                        
                        	Allow overloaded tail node in TE CSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.PathSelection.Overload.Allow, self).__init__()

                            self.yang_name = "allow"
                            self.yang_parent_name = "overload"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.head = YLeaf(YType.empty, "head")

                            self.middle = YLeaf(YType.empty, "middle")

                            self.tail = YLeaf(YType.empty, "tail")
                            self._segment_path = lambda: "allow"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/path-selection/overload/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.PathSelection.Overload.Allow, ['head', 'middle', 'tail'], name, value)


            class Pcc(Entity):
                """
                Path Computation Client form MPLS\-TE
                
                .. attribute:: report_all
                
                	Force reporting of all MPLS\-TE LSPs
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: peer
                
                	Specify a PCEP peer
                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Pcc.Peer>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.Pcc, self).__init__()

                    self.yang_name = "pcc"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"peer" : ("peer", Native.Mpls.TrafficEng.Pcc.Peer)}
                    self._child_list_classes = {}

                    self.report_all = YLeaf(YType.empty, "report-all")

                    self.peer = Native.Mpls.TrafficEng.Pcc.Peer()
                    self.peer.parent = self
                    self._children_name_map["peer"] = "peer"
                    self._children_yang_names.add("peer")
                    self._segment_path = lambda: "pcc"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Mpls.TrafficEng.Pcc, ['report_all'], name, value)


                class Peer(Entity):
                    """
                    Specify a PCEP peer
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Pcc.Peer.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.Pcc.Peer, self).__init__()

                        self.yang_name = "peer"
                        self.yang_parent_name = "pcc"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4" : ("ipv4", Native.Mpls.TrafficEng.Pcc.Peer.Ipv4)}

                        self.ipv4 = YList(self)
                        self._segment_path = lambda: "peer"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/pcc/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.Pcc.Peer, [], name, value)


                    class Ipv4(Entity):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	PCE server IPv4 address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	Source IPv4 address to use
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: precedence
                        
                        	Specify Precedence for this PCE\: <0..255>, (default is 0)
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: keychain
                        
                        	Use key\-chain\: <password text> \| <keychain name>
                        	**type**\: str
                        
                        .. attribute:: password
                        
                        	Configure PCE MD5 pasword
                        	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Pcc.Peer.Ipv4.Password>`
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.Pcc.Peer.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"password" : ("password", Native.Mpls.TrafficEng.Pcc.Peer.Ipv4.Password)}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.source = YLeaf(YType.str, "source")

                            self.precedence = YLeaf(YType.uint8, "precedence")

                            self.keychain = YLeaf(YType.str, "keychain")

                            self.password = Native.Mpls.TrafficEng.Pcc.Peer.Ipv4.Password()
                            self.password.parent = self
                            self._children_name_map["password"] = "password"
                            self._children_yang_names.add("password")
                            self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/pcc/peer/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.Pcc.Peer.Ipv4, ['ipv4', 'source', 'precedence', 'keychain'], name, value)


                        class Password(Entity):
                            """
                            Configure PCE MD5 pasword
                            
                            .. attribute:: clear
                            
                            	Unencrypted password\: <password text> \| <keychain name>
                            	**type**\: str
                            
                            .. attribute:: encrypted
                            
                            	Hidden password\: <password text> \| <keychain name>
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-mpls'
                            _revision = '2017-02-23'

                            def __init__(self):
                                super(Native.Mpls.TrafficEng.Pcc.Peer.Ipv4.Password, self).__init__()

                                self.yang_name = "password"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.clear = YLeaf(YType.str, "clear")

                                self.encrypted = YLeaf(YType.str, "encrypted")
                                self._segment_path = lambda: "password"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Mpls.TrafficEng.Pcc.Peer.Ipv4.Password, ['clear', 'encrypted'], name, value)


            class Reoptimize(Entity):
                """
                Reoptimization parameters
                
                .. attribute:: events
                
                	Reoptimization triggers
                	**type**\:  :py:class:`Events <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Reoptimize.Events>`
                
                .. attribute:: timers
                
                	Reoptimization timers
                	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Reoptimize.Timers>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.Reoptimize, self).__init__()

                    self.yang_name = "reoptimize"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"events" : ("events", Native.Mpls.TrafficEng.Reoptimize.Events), "timers" : ("timers", Native.Mpls.TrafficEng.Reoptimize.Timers)}
                    self._child_list_classes = {}

                    self.events = Native.Mpls.TrafficEng.Reoptimize.Events()
                    self.events.parent = self
                    self._children_name_map["events"] = "events"
                    self._children_yang_names.add("events")

                    self.timers = Native.Mpls.TrafficEng.Reoptimize.Timers()
                    self.timers.parent = self
                    self._children_name_map["timers"] = "timers"
                    self._children_yang_names.add("timers")
                    self._segment_path = lambda: "reoptimize"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()


                class Events(Entity):
                    """
                    Reoptimization triggers
                    
                    .. attribute:: link_up
                    
                    	Reoptimize tunnels on link up events
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.Reoptimize.Events, self).__init__()

                        self.yang_name = "events"
                        self.yang_parent_name = "reoptimize"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.link_up = YLeaf(YType.empty, "link-up")
                        self._segment_path = lambda: "events"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/reoptimize/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.Reoptimize.Events, ['link_up'], name, value)


                class Timers(Entity):
                    """
                    Reoptimization timers
                    
                    .. attribute:: delay
                    
                    	Delay reoptimization action
                    	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Reoptimize.Timers.Delay>`
                    
                    .. attribute:: frequency
                    
                    	Interval between reoptimization scans\: <0..604800> seconds
                    	**type**\: int
                    
                    	**range:** 0..604800
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.Reoptimize.Timers, self).__init__()

                        self.yang_name = "timers"
                        self.yang_parent_name = "reoptimize"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"delay" : ("delay", Native.Mpls.TrafficEng.Reoptimize.Timers.Delay)}
                        self._child_list_classes = {}

                        self.frequency = YLeaf(YType.uint32, "frequency")

                        self.delay = Native.Mpls.TrafficEng.Reoptimize.Timers.Delay()
                        self.delay.parent = self
                        self._children_name_map["delay"] = "delay"
                        self._children_yang_names.add("delay")
                        self._segment_path = lambda: "timers"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/reoptimize/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.Reoptimize.Timers, ['frequency'], name, value)


                    class Delay(Entity):
                        """
                        Delay reoptimization action
                        
                        .. attribute:: after_frr
                        
                        	Delay LSP reoptimization in the event of FRR\: <0..120> seconds
                        	**type**\: int
                        
                        	**range:** 0..120
                        
                        .. attribute:: cleanup
                        
                        	Delay cleanup of reoptimized LSP\: <0..60> seconds
                        	**type**\: int
                        
                        	**range:** 0..60
                        
                        .. attribute:: installation
                        
                        	Delay replacement of current LSP by reoptimized LSP\: <0..3600> seconds
                        	**type**\: int
                        
                        	**range:** 0..3600
                        
                        

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.Reoptimize.Timers.Delay, self).__init__()

                            self.yang_name = "delay"
                            self.yang_parent_name = "timers"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.after_frr = YLeaf(YType.uint8, "after-frr")

                            self.cleanup = YLeaf(YType.uint8, "cleanup")

                            self.installation = YLeaf(YType.uint16, "installation")
                            self._segment_path = lambda: "delay"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/reoptimize/timers/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.Reoptimize.Timers.Delay, ['after_frr', 'cleanup', 'installation'], name, value)


            class Signalling(Entity):
                """
                Traffic Engineering Signalling Parameters
                
                .. attribute:: advertise
                
                	Signalling advertisement parameters
                	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Signalling.Advertise>`
                
                .. attribute:: forwarding
                
                	Control interaction of LSP signalling and LFIB maintenance
                	**type**\:  :py:class:`Forwarding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Signalling.Forwarding>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.Signalling, self).__init__()

                    self.yang_name = "signalling"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"advertise" : ("advertise", Native.Mpls.TrafficEng.Signalling.Advertise), "forwarding" : ("forwarding", Native.Mpls.TrafficEng.Signalling.Forwarding)}
                    self._child_list_classes = {}

                    self.advertise = Native.Mpls.TrafficEng.Signalling.Advertise()
                    self.advertise.parent = self
                    self._children_name_map["advertise"] = "advertise"
                    self._children_yang_names.add("advertise")

                    self.forwarding = Native.Mpls.TrafficEng.Signalling.Forwarding()
                    self.forwarding.parent = self
                    self._children_name_map["forwarding"] = "forwarding"
                    self._children_yang_names.add("forwarding")
                    self._segment_path = lambda: "signalling"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()


                class Advertise(Entity):
                    """
                    Signalling advertisement parameters
                    
                    .. attribute:: explicit_null
                    
                    	Use MPLS encoding for Explicit\-Null Label in signalling messages
                    	**type**\:  :py:class:`ExplicitNull <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Signalling.Advertise.ExplicitNull>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.Signalling.Advertise, self).__init__()

                        self.yang_name = "advertise"
                        self.yang_parent_name = "signalling"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"explicit-null" : ("explicit_null", Native.Mpls.TrafficEng.Signalling.Advertise.ExplicitNull)}
                        self._child_list_classes = {}

                        self.explicit_null = None
                        self._children_name_map["explicit_null"] = "explicit-null"
                        self._children_yang_names.add("explicit-null")
                        self._segment_path = lambda: "advertise"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/signalling/%s" % self._segment_path()


                    class ExplicitNull(Entity):
                        """
                        Use MPLS encoding for Explicit\-Null Label in signalling messages
                        
                        .. attribute:: access_list
                        
                        	IP access\-list to determine applicable signalling peers. Either a string or number\: <1..99>
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..99
                        
                        		**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-mpls'
                        _revision = '2017-02-23'

                        def __init__(self):
                            super(Native.Mpls.TrafficEng.Signalling.Advertise.ExplicitNull, self).__init__()

                            self.yang_name = "explicit-null"
                            self.yang_parent_name = "advertise"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.access_list = YLeaf(YType.str, "access-list")
                            self._segment_path = lambda: "explicit-null"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/signalling/advertise/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Mpls.TrafficEng.Signalling.Advertise.ExplicitNull, ['access_list'], name, value)


                class Forwarding(Entity):
                    """
                    Control interaction of LSP signalling and LFIB maintenance
                    
                    .. attribute:: sync
                    
                    	Program linecard LFIBs before signalling LSP label upstream
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.Signalling.Forwarding, self).__init__()

                        self.yang_name = "forwarding"
                        self.yang_parent_name = "signalling"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.sync = YLeaf(YType.empty, "sync")
                        self._segment_path = lambda: "forwarding"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/signalling/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.Signalling.Forwarding, ['sync'], name, value)


            class Topology(Entity):
                """
                Topology Database Configuration
                
                .. attribute:: holddown
                
                	Topology Database hold down timers
                	**type**\:  :py:class:`Holddown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Topology.Holddown>`
                
                .. attribute:: mesh_group
                
                	mesh\-group commands
                	**type**\:  :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Topology.MeshGroup>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.Topology, self).__init__()

                    self.yang_name = "topology"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"holddown" : ("holddown", Native.Mpls.TrafficEng.Topology.Holddown), "mesh-group" : ("mesh_group", Native.Mpls.TrafficEng.Topology.MeshGroup)}
                    self._child_list_classes = {}

                    self.holddown = Native.Mpls.TrafficEng.Topology.Holddown()
                    self.holddown.parent = self
                    self._children_name_map["holddown"] = "holddown"
                    self._children_yang_names.add("holddown")

                    self.mesh_group = Native.Mpls.TrafficEng.Topology.MeshGroup()
                    self.mesh_group.parent = self
                    self._children_name_map["mesh_group"] = "mesh-group"
                    self._children_yang_names.add("mesh-group")
                    self._segment_path = lambda: "topology"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()


                class Holddown(Entity):
                    """
                    Topology Database hold down timers
                    
                    .. attribute:: sigerr
                    
                    	Link hold down time for signalling errors\: <0..300> seconds
                    	**type**\: int
                    
                    	**range:** 0..300
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.Topology.Holddown, self).__init__()

                        self.yang_name = "holddown"
                        self.yang_parent_name = "topology"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.sigerr = YLeaf(YType.uint16, "sigerr")
                        self._segment_path = lambda: "holddown"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/topology/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.Topology.Holddown, ['sigerr'], name, value)


                class MeshGroup(Entity):
                    """
                    mesh\-group commands
                    
                    .. attribute:: accept_domain
                    
                    	accept receipt of Domain Scope
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.Topology.MeshGroup, self).__init__()

                        self.yang_name = "mesh-group"
                        self.yang_parent_name = "topology"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.accept_domain = YLeaf(YType.empty, "accept-domain")
                        self._segment_path = lambda: "mesh-group"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/topology/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.Topology.MeshGroup, ['accept_domain'], name, value)


            class Trace(Entity):
                """
                Trace configuration
                
                .. attribute:: buffer_size
                
                	Trace buffer size configuration
                	**type**\:  :py:class:`BufferSize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Mpls.TrafficEng.Trace.BufferSize>`
                
                

                """

                _prefix = 'ios-mpls'
                _revision = '2017-02-23'

                def __init__(self):
                    super(Native.Mpls.TrafficEng.Trace, self).__init__()

                    self.yang_name = "trace"
                    self.yang_parent_name = "traffic-eng"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"buffer-size" : ("buffer_size", Native.Mpls.TrafficEng.Trace.BufferSize)}
                    self._child_list_classes = {}

                    self.buffer_size = Native.Mpls.TrafficEng.Trace.BufferSize()
                    self.buffer_size.parent = self
                    self._children_name_map["buffer_size"] = "buffer-size"
                    self._children_yang_names.add("buffer-size")
                    self._segment_path = lambda: "trace"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/%s" % self._segment_path()


                class BufferSize(Entity):
                    """
                    Trace buffer size configuration
                    
                    .. attribute:: error
                    
                    	Trace error buffer size\: <1..500> kB, (default 32kB)
                    	**type**\: int
                    
                    	**range:** 1..500
                    
                    .. attribute:: event
                    
                    	Trace event buffer size\: <1..2500> kB, (default 1% of system memory)
                    	**type**\: int
                    
                    	**range:** 1..2500
                    
                    .. attribute:: warning
                    
                    	Trace warning buffer size\: <1..250> kB (default 32kB)
                    	**type**\: int
                    
                    	**range:** 1..250
                    
                    

                    """

                    _prefix = 'ios-mpls'
                    _revision = '2017-02-23'

                    def __init__(self):
                        super(Native.Mpls.TrafficEng.Trace.BufferSize, self).__init__()

                        self.yang_name = "buffer-size"
                        self.yang_parent_name = "trace"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.error = YLeaf(YType.uint16, "error")

                        self.event = YLeaf(YType.uint16, "event")

                        self.warning = YLeaf(YType.uint8, "warning")
                        self._segment_path = lambda: "buffer-size"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/Cisco-IOS-XE-mpls:traffic-eng/trace/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Mpls.TrafficEng.Trace.BufferSize, ['error', 'event', 'warning'], name, value)


        class Tp(Entity):
            """
            Configure MPLS Transport Profile parameters
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-mpls'
            _revision = '2017-02-23'

            def __init__(self):
                super(Native.Mpls.Tp, self).__init__()

                self.yang_name = "tp"
                self.yang_parent_name = "mpls"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True
                self._segment_path = lambda: "Cisco-IOS-XE-mpls:tp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/mpls/%s" % self._segment_path()


    class Router(Entity):
        """
        
        
        .. attribute:: bgp
        
        	Border Gateway Protocol (BGP)
        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp>`
        
        .. attribute:: isis
        
        	ISO IS\-IS
        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis>`
        
        	**presence node**\: True
        
        .. attribute:: isis_container
        
        	
        	**type**\:  :py:class:`IsisContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer>`
        
        .. attribute:: eigrp
        
        	Enhanced Interior Gateway Routing Protocol (EIGRP)
        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp>`
        
        .. attribute:: lisp
        
        	Locator/ID Separation Protocol
        	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp>`
        
        	**presence node**\: True
        
        .. attribute:: lisp_list
        
        	Locator/ID Separation Protocol
        	**type**\: list of  		 :py:class:`LispList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList>`
        
        .. attribute:: ospf
        
        	Open Shortest Path First (OSPF)
        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf>`
        
        .. attribute:: ospfv3
        
        	OSPFv3
        	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3>`
        
        .. attribute:: rip
        
        	Routing Information Protocol (RIP)
        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Router, self).__init__()

            self.yang_name = "router"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-isis:isis" : ("isis", Native.Router.Isis), "Cisco-IOS-XE-isis:isis-container" : ("isis_container", Native.Router.IsisContainer), "Cisco-IOS-XE-lisp:lisp" : ("lisp", Native.Router.Lisp), "Cisco-IOS-XE-rip:rip" : ("rip", Native.Router.Rip)}
            self._child_list_classes = {"Cisco-IOS-XE-bgp:bgp" : ("bgp", Native.Router.Bgp), "Cisco-IOS-XE-eigrp:eigrp" : ("eigrp", Native.Router.Eigrp), "Cisco-IOS-XE-lisp:lisp-list" : ("lisp_list", Native.Router.LispList), "Cisco-IOS-XE-ospf:ospf" : ("ospf", Native.Router.Ospf), "Cisco-IOS-XE-ospfv3:ospfv3" : ("ospfv3", Native.Router.Ospfv3)}

            self.isis = None
            self._children_name_map["isis"] = "isis"
            self._children_yang_names.add("isis")

            self.isis_container = Native.Router.IsisContainer()
            self.isis_container.parent = self
            self._children_name_map["isis_container"] = "isis-container"
            self._children_yang_names.add("isis-container")

            self.lisp = None
            self._children_name_map["lisp"] = "lisp"
            self._children_yang_names.add("lisp")

            self.rip = None
            self._children_name_map["rip"] = "rip"
            self._children_yang_names.add("rip")

            self.bgp = YList(self)
            self.eigrp = YList(self)
            self.lisp_list = YList(self)
            self.ospf = YList(self)
            self.ospfv3 = YList(self)
            self._segment_path = lambda: "router"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Router, [], name, value)


        class Bgp(Entity):
            """
            Border Gateway Protocol (BGP)
            
            .. attribute:: id  <key>
            
            	
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 1..4294967295
            
            		**type**\: str
            
            .. attribute:: import_
            
            	Configure path import
            	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Import_>`
            
            .. attribute:: bgp
            
            	BGP specific commands
            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp>`
            
            .. attribute:: default_information
            
            	Control distribution of default information
            	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.DefaultInformation>`
            
            .. attribute:: default_metric
            
            	Set metric of redistributed routes
            	**type**\: int
            
            	**range:** 1..4294967295
            
            .. attribute:: distance
            
            	Define an administrative distance
            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Distance>`
            
            .. attribute:: distribute_list
            
            	Filter networks in routing updates
            	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.DistributeList>`
            
            .. attribute:: maximum_paths
            
            	Forward packets over multiple paths
            	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths>`
            
            .. attribute:: neighbor
            
            	Specify a neighbor router
            	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor>`
            
            .. attribute:: network
            
            	Specify a network to announce via BGP
            	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Network>`
            
            .. attribute:: redistribute
            
            	Redistribute information from another routing protocol
            	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute>`
            
            .. attribute:: synchronization
            
            	Perform IGP synchronization
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: auto_summary
            
            	Enable automatic network number summarization
            	**type**\: bool
            
            .. attribute:: table_map
            
            	Map external entry attributes into routing table
            	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.TableMap>`
            
            	**presence node**\: True
            
            .. attribute:: snmp
            
            	Modify snmp parameters
            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Snmp>`
            
            	**presence node**\: True
            
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily>`
            
            .. attribute:: template
            
            	Enter template command mode
            	**type**\:  :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template>`
            
            .. attribute:: timers
            
            	Adjust routing timers
            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Timers>`
            
            .. attribute:: scope
            
            	
            	**type**\:  :py:class:`Scope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope>`
            
            

            """

            _prefix = 'ios-bgp'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.Router.Bgp, self).__init__()

                self.yang_name = "bgp"
                self.yang_parent_name = "router"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.Import_), "bgp" : ("bgp", Native.Router.Bgp.Bgp), "default-information" : ("default_information", Native.Router.Bgp.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Snmp), "address-family" : ("address_family", Native.Router.Bgp.AddressFamily), "template" : ("template", Native.Router.Bgp.Template), "timers" : ("timers", Native.Router.Bgp.Timers), "scope" : ("scope", Native.Router.Bgp.Scope)}
                self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Neighbor), "network" : ("network", Native.Router.Bgp.Network)}

                self.id = YLeaf(YType.str, "id")

                self.default_metric = YLeaf(YType.uint32, "default-metric")

                self.synchronization = YLeaf(YType.empty, "synchronization")

                self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                self.import_ = Native.Router.Bgp.Import_()
                self.import_.parent = self
                self._children_name_map["import_"] = "import"
                self._children_yang_names.add("import")

                self.bgp = Native.Router.Bgp.Bgp()
                self.bgp.parent = self
                self._children_name_map["bgp"] = "bgp"
                self._children_yang_names.add("bgp")

                self.default_information = Native.Router.Bgp.DefaultInformation()
                self.default_information.parent = self
                self._children_name_map["default_information"] = "default-information"
                self._children_yang_names.add("default-information")

                self.distance = Native.Router.Bgp.Distance()
                self.distance.parent = self
                self._children_name_map["distance"] = "distance"
                self._children_yang_names.add("distance")

                self.maximum_paths = Native.Router.Bgp.MaximumPaths()
                self.maximum_paths.parent = self
                self._children_name_map["maximum_paths"] = "maximum-paths"
                self._children_yang_names.add("maximum-paths")

                self.redistribute = Native.Router.Bgp.Redistribute()
                self.redistribute.parent = self
                self._children_name_map["redistribute"] = "redistribute"
                self._children_yang_names.add("redistribute")

                self.table_map = None
                self._children_name_map["table_map"] = "table-map"
                self._children_yang_names.add("table-map")

                self.snmp = None
                self._children_name_map["snmp"] = "snmp"
                self._children_yang_names.add("snmp")

                self.address_family = Native.Router.Bgp.AddressFamily()
                self.address_family.parent = self
                self._children_name_map["address_family"] = "address-family"
                self._children_yang_names.add("address-family")

                self.template = Native.Router.Bgp.Template()
                self.template.parent = self
                self._children_name_map["template"] = "template"
                self._children_yang_names.add("template")

                self.timers = Native.Router.Bgp.Timers()
                self.timers.parent = self
                self._children_name_map["timers"] = "timers"
                self._children_yang_names.add("timers")

                self.scope = Native.Router.Bgp.Scope()
                self.scope.parent = self
                self._children_name_map["scope"] = "scope"
                self._children_yang_names.add("scope")

                self.distribute_list = YList(self)
                self.neighbor = YList(self)
                self.network = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-bgp:bgp" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Router.Bgp, ['id', 'default_metric', 'synchronization', 'auto_summary'], name, value)


            class Import_(Entity):
                """
                Configure path import
                
                .. attribute:: path
                
                	Path selection and path limit
                	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Import_.Path>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.Import_, self).__init__()

                    self.yang_name = "import"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Import_.Path)}
                    self._child_list_classes = {}

                    self.path = Native.Router.Bgp.Import_.Path()
                    self.path.parent = self
                    self._children_name_map["path"] = "path"
                    self._children_yang_names.add("path")
                    self._segment_path = lambda: "import"


                class Path(Entity):
                    """
                    Path selection and path limit
                    
                    .. attribute:: limit
                    
                    	Per net imported path limit
                    	**type**\: int
                    
                    	**range:** 2..255
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Import_.Path, self).__init__()

                        self.yang_name = "path"
                        self.yang_parent_name = "import"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.limit = YLeaf(YType.uint8, "limit")
                        self._segment_path = lambda: "path"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Import_.Path, ['limit'], name, value)


            class Bgp(Entity):
                """
                BGP specific commands
                
                .. attribute:: router_id
                
                	Override configured router identifier (peers will reset)
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: always_compare_med
                
                	Allow comparing MED from different neighbors
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: aggregate_timer
                
                	Timer interval
                	**type**\: int
                
                	**range:** 6..60
                
                .. attribute:: asnotation
                
                	Change the default asplain notation
                	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Asnotation>`
                
                .. attribute:: nopeerup_delay
                
                	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.NopeerupDelay>`
                
                .. attribute:: recursion
                
                	recursion rule for the nexthops
                	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Recursion>`
                
                .. attribute:: advertise_best_external
                
                	Advertise best external path to internal peers
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: additional_paths
                
                	Additional paths in the BGP table
                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.AdditionalPaths>`
                
                .. attribute:: bestpath
                
                	Change the default bestpath selection
                	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Bestpath>`
                
                .. attribute:: client_to_client
                
                	Configure client to client route reflection
                	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.ClientToClient>`
                
                .. attribute:: cluster_id
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4294967295
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: confederation
                
                	AS confederation parameters
                	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Confederation>`
                
                .. attribute:: consistency_checker
                
                	Consistency\-checker
                	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.ConsistencyChecker>`
                
                .. attribute:: dampening
                
                	Enable route\-flap dampening
                	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Dampening>`
                
                	**presence node**\: True
                
                .. attribute:: default
                
                	Configure BGP defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Default>`
                
                .. attribute:: deterministic_med
                
                	Pick the best\-MED path among paths advertised from the neighboring AS
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dmzlink_bw
                
                	Use DMZ Link Bandwidth as weight for BGP multipaths
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: enforce_first_as
                
                	Enforce the first AS for EBGP routes(default)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: enhanced_error
                
                	Enabled BGP Enhanced error handling
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: fast_external_fallover
                
                	Immediately reset session if a link to a directly connected external peer goes down
                	**type**\: bool
                
                .. attribute:: graceful_restart
                
                	Graceful restart capability parameters
                	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.GracefulRestart>`
                
                	**presence node**\: True
                
                .. attribute:: ha_mode
                
                	Select BGP High Availability mode
                	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.HaMode>`
                
                .. attribute:: inject_map
                
                	Routemap which specifies prefixes to inject
                	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.InjectMap>`
                
                .. attribute:: log_neighbor_changes
                
                	Log neighbor up/down and reset reason
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: maxas_limit
                
                	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                	**type**\: int
                
                	**range:** 1..2000
                
                .. attribute:: maxcommunity_limit
                
                	Number of communities in the COMMUNITY attribute
                	**type**\: int
                
                	**range:** 1..1018
                
                .. attribute:: route_map
                
                	bgp route\-map commands
                	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.RouteMap>`
                
                .. attribute:: slow_peer
                
                	Configure slow\-peer
                	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.SlowPeer>`
                
                .. attribute:: update_group
                
                	Manage peers in bgp update groups
                	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.UpdateGroup>`
                
                .. attribute:: nexthop
                
                	Nexthop tracking commands
                	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Nexthop>`
                
                .. attribute:: redistribute_internal
                
                	Allow redistribution of iBGP into IGPs (dangerous)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: regexp
                
                	Select regular expression engine
                	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Regexp>`
                
                .. attribute:: scan_time
                
                	Configure background scanner interval
                	**type**\: int
                
                	**range:** 5..60
                
                .. attribute:: soft_reconfig_backup
                
                	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: suppress_inactive
                
                	Suppress routes that are not in the routing table
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: transport
                
                	Transport options
                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Transport>`
                
                .. attribute:: update_delay
                
                	Set the max initial delay for sending update
                	**type**\: int
                
                	**range:** 1..3600
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.Bgp, self).__init__()

                    self.yang_name = "bgp"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Bgp.Transport)}
                    self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Bgp.InjectMap)}

                    self.router_id = YLeaf(YType.str, "router-id")

                    self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                    self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                    self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                    self.cluster_id = YLeaf(YType.str, "cluster-id")

                    self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                    self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                    self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                    self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                    self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                    self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                    self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                    self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                    self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                    self.scan_time = YLeaf(YType.uint8, "scan-time")

                    self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                    self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                    self.update_delay = YLeaf(YType.uint16, "update-delay")

                    self.asnotation = Native.Router.Bgp.Bgp.Asnotation()
                    self.asnotation.parent = self
                    self._children_name_map["asnotation"] = "asnotation"
                    self._children_yang_names.add("asnotation")

                    self.nopeerup_delay = Native.Router.Bgp.Bgp.NopeerupDelay()
                    self.nopeerup_delay.parent = self
                    self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                    self._children_yang_names.add("nopeerup-delay")

                    self.recursion = Native.Router.Bgp.Bgp.Recursion()
                    self.recursion.parent = self
                    self._children_name_map["recursion"] = "recursion"
                    self._children_yang_names.add("recursion")

                    self.additional_paths = Native.Router.Bgp.Bgp.AdditionalPaths()
                    self.additional_paths.parent = self
                    self._children_name_map["additional_paths"] = "additional-paths"
                    self._children_yang_names.add("additional-paths")

                    self.bestpath = Native.Router.Bgp.Bgp.Bestpath()
                    self.bestpath.parent = self
                    self._children_name_map["bestpath"] = "bestpath"
                    self._children_yang_names.add("bestpath")

                    self.client_to_client = Native.Router.Bgp.Bgp.ClientToClient()
                    self.client_to_client.parent = self
                    self._children_name_map["client_to_client"] = "client-to-client"
                    self._children_yang_names.add("client-to-client")

                    self.confederation = Native.Router.Bgp.Bgp.Confederation()
                    self.confederation.parent = self
                    self._children_name_map["confederation"] = "confederation"
                    self._children_yang_names.add("confederation")

                    self.consistency_checker = Native.Router.Bgp.Bgp.ConsistencyChecker()
                    self.consistency_checker.parent = self
                    self._children_name_map["consistency_checker"] = "consistency-checker"
                    self._children_yang_names.add("consistency-checker")

                    self.dampening = None
                    self._children_name_map["dampening"] = "dampening"
                    self._children_yang_names.add("dampening")

                    self.default = Native.Router.Bgp.Bgp.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.graceful_restart = None
                    self._children_name_map["graceful_restart"] = "graceful-restart"
                    self._children_yang_names.add("graceful-restart")

                    self.ha_mode = Native.Router.Bgp.Bgp.HaMode()
                    self.ha_mode.parent = self
                    self._children_name_map["ha_mode"] = "ha-mode"
                    self._children_yang_names.add("ha-mode")

                    self.route_map = Native.Router.Bgp.Bgp.RouteMap()
                    self.route_map.parent = self
                    self._children_name_map["route_map"] = "route-map"
                    self._children_yang_names.add("route-map")

                    self.slow_peer = Native.Router.Bgp.Bgp.SlowPeer()
                    self.slow_peer.parent = self
                    self._children_name_map["slow_peer"] = "slow-peer"
                    self._children_yang_names.add("slow-peer")

                    self.update_group = Native.Router.Bgp.Bgp.UpdateGroup()
                    self.update_group.parent = self
                    self._children_name_map["update_group"] = "update-group"
                    self._children_yang_names.add("update-group")

                    self.nexthop = Native.Router.Bgp.Bgp.Nexthop()
                    self.nexthop.parent = self
                    self._children_name_map["nexthop"] = "nexthop"
                    self._children_yang_names.add("nexthop")

                    self.regexp = Native.Router.Bgp.Bgp.Regexp()
                    self.regexp.parent = self
                    self._children_name_map["regexp"] = "regexp"
                    self._children_yang_names.add("regexp")

                    self.transport = Native.Router.Bgp.Bgp.Transport()
                    self.transport.parent = self
                    self._children_name_map["transport"] = "transport"
                    self._children_yang_names.add("transport")

                    self.inject_map = YList(self)
                    self._segment_path = lambda: "bgp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Bgp.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                class Asnotation(Entity):
                    """
                    Change the default asplain notation
                    
                    .. attribute:: dot
                    
                    	asdot notation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.Asnotation, self).__init__()

                        self.yang_name = "asnotation"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dot = YLeaf(YType.empty, "dot")
                        self._segment_path = lambda: "asnotation"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.Asnotation, ['dot'], name, value)


                class NopeerupDelay(Entity):
                    """
                    Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                    
                    .. attribute:: cold_boot
                    
                    	Delay in seconds
                    	**type**\: int
                    
                    	**range:** 1..3600
                    
                    .. attribute:: nsf_switchover
                    
                    	Delay in seconds
                    	**type**\: int
                    
                    	**range:** 1..3600
                    
                    .. attribute:: post_boot
                    
                    	Delay in seconds
                    	**type**\: int
                    
                    	**range:** 1..3600
                    
                    .. attribute:: user_initiated
                    
                    	Delay in seconds
                    	**type**\: int
                    
                    	**range:** 1..3600
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.NopeerupDelay, self).__init__()

                        self.yang_name = "nopeerup-delay"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                        self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                        self.post_boot = YLeaf(YType.uint16, "post-boot")

                        self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                        self._segment_path = lambda: "nopeerup-delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                class Recursion(Entity):
                    """
                    recursion rule for the nexthops
                    
                    .. attribute:: host
                    
                    	recursion via host for the nexthops
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.Recursion, self).__init__()

                        self.yang_name = "recursion"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.host = YLeaf(YType.empty, "host")
                        self._segment_path = lambda: "recursion"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.Recursion, ['host'], name, value)


                class AdditionalPaths(Entity):
                    """
                    Additional paths in the BGP table
                    
                    .. attribute:: install
                    
                    	Additional paths to install into RIB
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: receive
                    
                    	Receive additional paths from neighbors
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: select
                    
                    	Selection criteria to pick the paths
                    	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.AdditionalPaths.Select>`
                    
                    .. attribute:: send
                    
                    	Send additional paths to neighbors
                    	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.AdditionalPaths.Send>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.AdditionalPaths, self).__init__()

                        self.yang_name = "additional-paths"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Bgp.AdditionalPaths.Send)}
                        self._child_list_classes = {}

                        self.install = YLeaf(YType.empty, "install")

                        self.receive = YLeaf(YType.empty, "receive")

                        self.select = Native.Router.Bgp.Bgp.AdditionalPaths.Select()
                        self.select.parent = self
                        self._children_name_map["select"] = "select"
                        self._children_yang_names.add("select")

                        self.send = None
                        self._children_name_map["send"] = "send"
                        self._children_yang_names.add("send")
                        self._segment_path = lambda: "additional-paths"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                    class Select(Entity):
                        """
                        Selection criteria to pick the paths
                        
                        .. attribute:: all
                        
                        	Select all available paths
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.AdditionalPaths.Select.All>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: backup
                        
                        	Select backup path
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.AdditionalPaths.Select.Backup>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: best
                        
                        	Select best N paths
                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.AdditionalPaths.Select.Best>`
                        
                        .. attribute:: best_external
                        
                        	Select best\-external path
                        	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.AdditionalPaths.Select.BestExternal>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: group_best
                        
                        	Select group\-best path
                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.AdditionalPaths.Select.GroupBest>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.AdditionalPaths.Select, self).__init__()

                            self.yang_name = "select"
                            self.yang_parent_name = "additional-paths"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Bgp.AdditionalPaths.Select.GroupBest)}
                            self._child_list_classes = {}

                            self.all = None
                            self._children_name_map["all"] = "all"
                            self._children_yang_names.add("all")

                            self.backup = None
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")

                            self.best = Native.Router.Bgp.Bgp.AdditionalPaths.Select.Best()
                            self.best.parent = self
                            self._children_name_map["best"] = "best"
                            self._children_yang_names.add("best")

                            self.best_external = None
                            self._children_name_map["best_external"] = "best-external"
                            self._children_yang_names.add("best-external")

                            self.group_best = None
                            self._children_name_map["group_best"] = "group-best"
                            self._children_yang_names.add("group-best")
                            self._segment_path = lambda: "select"


                        class All(Entity):
                            """
                            Select all available paths
                            
                            .. attribute:: best
                            
                            	Select best N paths
                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.AdditionalPaths.Select.All.Best>`
                            
                            .. attribute:: group_best
                            
                            	Select group\-best path
                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.AdditionalPaths.Select.All.GroupBest>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Bgp.AdditionalPaths.Select.All, self).__init__()

                                self.yang_name = "all"
                                self.yang_parent_name = "select"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.best = Native.Router.Bgp.Bgp.AdditionalPaths.Select.All.Best()
                                self.best.parent = self
                                self._children_name_map["best"] = "best"
                                self._children_yang_names.add("best")

                                self.group_best = None
                                self._children_name_map["group_best"] = "group-best"
                                self._children_yang_names.add("group-best")
                                self._segment_path = lambda: "all"


                            class Best(Entity):
                                """
                                Select best N paths
                                
                                .. attribute:: range
                                
                                	
                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                    self.yang_name = "best"
                                    self.yang_parent_name = "all"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                    self.range = YList(self)
                                    self._segment_path = lambda: "best"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                class Range(Entity):
                                    """
                                    
                                    
                                    .. attribute:: range  <key>
                                    
                                    	Number of best paths in additional paths to be selected
                                    	**type**\: int
                                    
                                    	**range:** 2..3
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "best"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.range = YLeaf(YType.uint8, "range")

                                        self.group_best = YLeaf(YType.empty, "group-best")
                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                            class GroupBest(Entity):
                                """
                                Select group\-best path
                                
                                .. attribute:: best
                                
                                	Number of best paths in additional paths to be selected
                                	**type**\: int
                                
                                	**range:** 2..3
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                    self.yang_name = "group-best"
                                    self.yang_parent_name = "all"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.best = YLeaf(YType.uint8, "best")
                                    self._segment_path = lambda: "group-best"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                        class Backup(Entity):
                            """
                            Select backup path
                            
                            .. attribute:: best_external
                            
                            	Select best\-external path
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "select"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.best_external = YLeaf(YType.empty, "best-external")
                                self._segment_path = lambda: "backup"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                        class Best(Entity):
                            """
                            Select best N paths
                            
                            .. attribute:: range
                            
                            	
                            	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.AdditionalPaths.Select.Best.Range>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                self.yang_name = "best"
                                self.yang_parent_name = "select"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Bgp.AdditionalPaths.Select.Best.Range)}

                                self.range = YList(self)
                                self._segment_path = lambda: "best"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Bgp.AdditionalPaths.Select.Best, [], name, value)


                            class Range(Entity):
                                """
                                
                                
                                .. attribute:: range  <key>
                                
                                	Number of best paths in additional paths to be selected
                                	**type**\: int
                                
                                	**range:** 2..3
                                
                                .. attribute:: all
                                
                                	Select all available paths
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: group_best
                                
                                	Select group\-best path
                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                    self.yang_name = "range"
                                    self.yang_parent_name = "best"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                    self._child_list_classes = {}

                                    self.range = YLeaf(YType.uint8, "range")

                                    self.all = YLeaf(YType.empty, "all")

                                    self.group_best = None
                                    self._children_name_map["group_best"] = "group-best"
                                    self._children_yang_names.add("group-best")
                                    self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                class GroupBest(Entity):
                                    """
                                    Select group\-best path
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                        self.yang_name = "group-best"
                                        self.yang_parent_name = "range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.all = YLeaf(YType.empty, "all")
                                        self._segment_path = lambda: "group-best"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                        class BestExternal(Entity):
                            """
                            Select best\-external path
                            
                            .. attribute:: backup
                            
                            	Select backup path
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                self.yang_name = "best-external"
                                self.yang_parent_name = "select"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.backup = YLeaf(YType.empty, "backup")
                                self._segment_path = lambda: "best-external"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                        class GroupBest(Entity):
                            """
                            Select group\-best path
                            
                            .. attribute:: all
                            
                            	Select all available paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: best
                            
                            	Number of best paths in additional paths to be selected
                            	**type**\: int
                            
                            	**range:** 2..3
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                self.yang_name = "group-best"
                                self.yang_parent_name = "select"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.all = YLeaf(YType.empty, "all")

                                self.best = YLeaf(YType.uint8, "best")
                                self._segment_path = lambda: "group-best"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                    class Send(Entity):
                        """
                        Send additional paths to neighbors
                        
                        .. attribute:: receive
                        
                        	Receive additional paths from neighbors
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.AdditionalPaths.Send, self).__init__()

                            self.yang_name = "send"
                            self.yang_parent_name = "additional-paths"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.receive = YLeaf(YType.empty, "receive")
                            self._segment_path = lambda: "send"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                class Bestpath(Entity):
                    """
                    Change the default bestpath selection
                    
                    .. attribute:: compare_routerid
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cost_community
                    
                    	cost community
                    	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Bestpath.CostCommunity>`
                    
                    .. attribute:: igp_metric
                    
                    	igp metric
                    	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Bestpath.IgpMetric>`
                    
                    .. attribute:: med
                    
                    	MED attribute
                    	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Bestpath.Med>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.Bestpath, self).__init__()

                        self.yang_name = "bestpath"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Bgp.Bestpath.Med)}
                        self._child_list_classes = {}

                        self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                        self.cost_community = Native.Router.Bgp.Bgp.Bestpath.CostCommunity()
                        self.cost_community.parent = self
                        self._children_name_map["cost_community"] = "cost-community"
                        self._children_yang_names.add("cost-community")

                        self.igp_metric = Native.Router.Bgp.Bgp.Bestpath.IgpMetric()
                        self.igp_metric.parent = self
                        self._children_name_map["igp_metric"] = "igp-metric"
                        self._children_yang_names.add("igp-metric")

                        self.med = Native.Router.Bgp.Bgp.Bestpath.Med()
                        self.med.parent = self
                        self._children_name_map["med"] = "med"
                        self._children_yang_names.add("med")
                        self._segment_path = lambda: "bestpath"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.Bestpath, ['compare_routerid'], name, value)


                    class CostCommunity(Entity):
                        """
                        cost community
                        
                        .. attribute:: ignore
                        
                        	Ignore cost communities in bestpath selection
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.Bestpath.CostCommunity, self).__init__()

                            self.yang_name = "cost-community"
                            self.yang_parent_name = "bestpath"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "cost-community"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                    class IgpMetric(Entity):
                        """
                        igp metric
                        
                        .. attribute:: ignore
                        
                        	Ignore igp metric in bestpath selection
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.Bestpath.IgpMetric, self).__init__()

                            self.yang_name = "igp-metric"
                            self.yang_parent_name = "bestpath"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "igp-metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                    class Med(Entity):
                        """
                        MED attribute
                        
                        .. attribute:: confed
                        
                        	Compare MED among confederation paths
                        	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Bestpath.Med.Confed>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: missing_at_worst
                        
                        	Treat missing MED as the least preferred one
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.Bestpath.Med, self).__init__()

                            self.yang_name = "med"
                            self.yang_parent_name = "bestpath"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Bgp.Bestpath.Med.Confed)}
                            self._child_list_classes = {}

                            self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                            self.confed = None
                            self._children_name_map["confed"] = "confed"
                            self._children_yang_names.add("confed")
                            self._segment_path = lambda: "med"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                        class Confed(Entity):
                            """
                            Compare MED among confederation paths
                            
                            .. attribute:: missing_at_worst
                            
                            	Treat missing MED as the least preferred one
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Bgp.Bestpath.Med.Confed, self).__init__()

                                self.yang_name = "confed"
                                self.yang_parent_name = "med"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                self._segment_path = lambda: "confed"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                class ClientToClient(Entity):
                    """
                    Configure client to client route reflection
                    
                    .. attribute:: reflection
                    
                    	reflection of routes allowed
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.ClientToClient, self).__init__()

                        self.yang_name = "client-to-client"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.reflection = YLeaf(YType.empty, "reflection")
                        self._segment_path = lambda: "client-to-client"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.ClientToClient, ['reflection'], name, value)


                class Confederation(Entity):
                    """
                    AS confederation parameters
                    
                    .. attribute:: identifier
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: peers
                    
                    	Peer ASs in BGP confederation
                    	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Confederation.Peers>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.Confederation, self).__init__()

                        self.yang_name = "confederation"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Bgp.Confederation.Peers)}
                        self._child_list_classes = {}

                        self.identifier = YLeaf(YType.uint32, "identifier")

                        self.peers = Native.Router.Bgp.Bgp.Confederation.Peers()
                        self.peers.parent = self
                        self._children_name_map["peers"] = "peers"
                        self._children_yang_names.add("peers")
                        self._segment_path = lambda: "confederation"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.Confederation, ['identifier'], name, value)


                    class Peers(Entity):
                        """
                        Peer ASs in BGP confederation
                        
                        .. attribute:: peers_as
                        
                        	
                        	**type**\: list of int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.Confederation.Peers, self).__init__()

                            self.yang_name = "peers"
                            self.yang_parent_name = "confederation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.peers_as = YLeafList(YType.uint32, "peers-as")
                            self._segment_path = lambda: "peers"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Bgp.Confederation.Peers, ['peers_as'], name, value)


                class ConsistencyChecker(Entity):
                    """
                    Consistency\-checker
                    
                    .. attribute:: auto_repair
                    
                    	Auto\-Repair
                    	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.ConsistencyChecker.AutoRepair>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: error_message
                    
                    	Log Error\-Msg
                    	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.ConsistencyChecker.ErrorMessage>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.ConsistencyChecker, self).__init__()

                        self.yang_name = "consistency-checker"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Bgp.ConsistencyChecker.ErrorMessage)}
                        self._child_list_classes = {}

                        self.auto_repair = None
                        self._children_name_map["auto_repair"] = "auto-repair"
                        self._children_yang_names.add("auto-repair")

                        self.error_message = None
                        self._children_name_map["error_message"] = "error-message"
                        self._children_yang_names.add("error-message")
                        self._segment_path = lambda: "consistency-checker"


                    class AutoRepair(Entity):
                        """
                        Auto\-Repair
                        
                        .. attribute:: interval
                        
                        	Interval (minutes)
                        	**type**\: int
                        
                        	**range:** 5..1440
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                            self.yang_name = "auto-repair"
                            self.yang_parent_name = "consistency-checker"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.interval = YLeaf(YType.uint16, "interval")
                            self._segment_path = lambda: "auto-repair"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                    class ErrorMessage(Entity):
                        """
                        Log Error\-Msg
                        
                        .. attribute:: interval
                        
                        	Interval (minutes)
                        	**type**\: int
                        
                        	**range:** 5..1440
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                            self.yang_name = "error-message"
                            self.yang_parent_name = "consistency-checker"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.interval = YLeaf(YType.uint16, "interval")
                            self._segment_path = lambda: "error-message"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                class Dampening(Entity):
                    """
                    Enable route\-flap dampening
                    
                    .. attribute:: route_map
                    
                    	Route\-map to specify criteria for dampening
                    	**type**\: str
                    
                    .. attribute:: dampen
                    
                    	
                    	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Dampening.Dampen>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.Dampening, self).__init__()

                        self.yang_name = "dampening"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Bgp.Dampening.Dampen)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.dampen = Native.Router.Bgp.Bgp.Dampening.Dampen()
                        self.dampen.parent = self
                        self._children_name_map["dampen"] = "dampen"
                        self._children_yang_names.add("dampen")
                        self._segment_path = lambda: "dampening"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.Dampening, ['route_map'], name, value)


                    class Dampen(Entity):
                        """
                        
                        
                        .. attribute:: half_life_time
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..45
                        
                        .. attribute:: reuse_time
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..20000
                        
                        .. attribute:: suppress_time
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..20000
                        
                        .. attribute:: max_suppress_time
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.Dampening.Dampen, self).__init__()

                            self.yang_name = "dampen"
                            self.yang_parent_name = "dampening"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                            self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                            self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                            self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                            self._segment_path = lambda: "dampen"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                class Default(Entity):
                    """
                    Configure BGP defaults
                    
                    .. attribute:: ipv4_unicast
                    
                    	Activate ipv4\-unicast for a peer by default
                    	**type**\: bool
                    
                    .. attribute:: ipv6_nexthop
                    
                    	Default IPv6 nexthop format
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: local_preference
                    
                    	local preference (higher=more preferred)
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: route_target
                    
                    	Control behavior based on Route\-Target attributes
                    	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Default.RouteTarget>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                        self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                        self.local_preference = YLeaf(YType.uint32, "local-preference")

                        self.route_target = YLeaf(YType.enumeration, "route-target")
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                    class RouteTarget(Enum):
                        """
                        RouteTarget

                        Control behavior based on Route\-Target attributes

                        .. data:: filter = 0

                        """

                        filter = Enum.YLeaf(0, "filter")



                class GracefulRestart(Entity):
                    """
                    Graceful restart capability parameters
                    
                    .. attribute:: extended
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: restart_time
                    
                    	Set the max time needed to restart and come back up
                    	**type**\: int
                    
                    	**range:** 1..3600
                    
                    .. attribute:: stalepath_time
                    
                    	Set the max time to hold onto restarting peer's stale paths
                    	**type**\: int
                    
                    	**range:** 1..3600
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.GracefulRestart, self).__init__()

                        self.yang_name = "graceful-restart"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.extended = YLeaf(YType.empty, "extended")

                        self.restart_time = YLeaf(YType.uint16, "restart-time")

                        self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                        self._segment_path = lambda: "graceful-restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                class HaMode(Entity):
                    """
                    Select BGP High Availability mode
                    
                    .. attribute:: sso
                    
                    	BGP High Availability NSR sso mode
                    	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.HaMode.Sso>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.HaMode, self).__init__()

                        self.yang_name = "ha-mode"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Bgp.HaMode.Sso)}
                        self._child_list_classes = {}

                        self.sso = None
                        self._children_name_map["sso"] = "sso"
                        self._children_yang_names.add("sso")
                        self._segment_path = lambda: "ha-mode"


                    class Sso(Entity):
                        """
                        BGP High Availability NSR sso mode
                        
                        .. attribute:: prefer
                        
                        	Perfer BGP High Availability NSR sso mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.HaMode.Sso, self).__init__()

                            self.yang_name = "sso"
                            self.yang_parent_name = "ha-mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.prefer = YLeaf(YType.empty, "prefer")
                            self._segment_path = lambda: "sso"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Bgp.HaMode.Sso, ['prefer'], name, value)


                class InjectMap(Entity):
                    """
                    Routemap which specifies prefixes to inject
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: exist_map
                    
                    	Routemap which specifies exist condition
                    	**type**\: str
                    
                    .. attribute:: copy_attributes
                    
                    	Copy attributes from aggregate
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.InjectMap, self).__init__()

                        self.yang_name = "inject-map"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.exist_map = YLeaf(YType.str, "exist-map")

                        self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                        self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                class RouteMap(Entity):
                    """
                    bgp route\-map commands
                    
                    .. attribute:: priority
                    
                    	Have route\-map set commands take priority over BGP commands such 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.RouteMap, self).__init__()

                        self.yang_name = "route-map"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.priority = YLeaf(YType.empty, "priority")
                        self._segment_path = lambda: "route-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.RouteMap, ['priority'], name, value)


                class SlowPeer(Entity):
                    """
                    Configure slow\-peer
                    
                    .. attribute:: detection
                    
                    	Slow\-peer detection
                    	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.SlowPeer.Detection>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: split_update_group
                    
                    	Configure slow\-peer split\-update\-group
                    	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.SlowPeer.SplitUpdateGroup>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.SlowPeer, self).__init__()

                        self.yang_name = "slow-peer"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Bgp.SlowPeer.SplitUpdateGroup)}
                        self._child_list_classes = {}

                        self.detection = None
                        self._children_name_map["detection"] = "detection"
                        self._children_yang_names.add("detection")

                        self.split_update_group = Native.Router.Bgp.Bgp.SlowPeer.SplitUpdateGroup()
                        self.split_update_group.parent = self
                        self._children_name_map["split_update_group"] = "split-update-group"
                        self._children_yang_names.add("split-update-group")
                        self._segment_path = lambda: "slow-peer"


                    class Detection(Entity):
                        """
                        Slow\-peer detection
                        
                        .. attribute:: disable
                        
                        	Disable slow\-peer detection
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: threshold
                        
                        	Threshold value (seconds)
                        	**type**\: int
                        
                        	**range:** 120..3600
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.SlowPeer.Detection, self).__init__()

                            self.yang_name = "detection"
                            self.yang_parent_name = "slow-peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.threshold = YLeaf(YType.uint16, "threshold")
                            self._segment_path = lambda: "detection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                    class SplitUpdateGroup(Entity):
                        """
                        Configure slow\-peer split\-update\-group
                        
                        .. attribute:: dynamic
                        
                        	Dynamically split the slow peer to slow\-update group
                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                            self.yang_name = "split-update-group"
                            self.yang_parent_name = "slow-peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                            self._child_list_classes = {}

                            self.dynamic = None
                            self._children_name_map["dynamic"] = "dynamic"
                            self._children_yang_names.add("dynamic")
                            self._segment_path = lambda: "split-update-group"


                        class Dynamic(Entity):
                            """
                            Dynamically split the slow peer to slow\-update group
                            
                            .. attribute:: permanent
                            
                            	Keep the slow\-peer permanently in slow\-update group
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                self.yang_name = "dynamic"
                                self.yang_parent_name = "split-update-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.permanent = YLeaf(YType.empty, "permanent")
                                self._segment_path = lambda: "dynamic"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                class UpdateGroup(Entity):
                    """
                    Manage peers in bgp update groups
                    
                    .. attribute:: split
                    
                    	Split update groups based on Policy
                    	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.UpdateGroup.Split>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.UpdateGroup, self).__init__()

                        self.yang_name = "update-group"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Bgp.UpdateGroup.Split)}
                        self._child_list_classes = {}

                        self.split = Native.Router.Bgp.Bgp.UpdateGroup.Split()
                        self.split.parent = self
                        self._children_name_map["split"] = "split"
                        self._children_yang_names.add("split")
                        self._segment_path = lambda: "update-group"


                    class Split(Entity):
                        """
                        Split update groups based on Policy
                        
                        .. attribute:: as_override
                        
                        	Keep peers with as\-override in different update groups
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.UpdateGroup.Split, self).__init__()

                            self.yang_name = "split"
                            self.yang_parent_name = "update-group"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.as_override = YLeaf(YType.empty, "as-override")
                            self._segment_path = lambda: "split"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                class Nexthop(Entity):
                    """
                    Nexthop tracking commands
                    
                    .. attribute:: trigger
                    
                    	Nexthop triggering
                    	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Bgp.Nexthop.Trigger>`
                    
                    .. attribute:: route_map
                    
                    	Route map for valid nexthops
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.Nexthop, self).__init__()

                        self.yang_name = "nexthop"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Bgp.Nexthop.Trigger)}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.trigger = Native.Router.Bgp.Bgp.Nexthop.Trigger()
                        self.trigger.parent = self
                        self._children_name_map["trigger"] = "trigger"
                        self._children_yang_names.add("trigger")
                        self._segment_path = lambda: "nexthop"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.Nexthop, ['route_map'], name, value)


                    class Trigger(Entity):
                        """
                        Nexthop triggering
                        
                        .. attribute:: delay
                        
                        	Set the delay to tigger nexthop tracking
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        .. attribute:: enable
                        
                        	Enable nexthop tracking
                        	**type**\: bool
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Bgp.Nexthop.Trigger, self).__init__()

                            self.yang_name = "trigger"
                            self.yang_parent_name = "nexthop"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.delay = YLeaf(YType.uint8, "delay")

                            self.enable = YLeaf(YType.boolean, "enable")
                            self._segment_path = lambda: "trigger"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                class Regexp(Entity):
                    """
                    Select regular expression engine
                    
                    .. attribute:: deterministic
                    
                    	Enable bounded\-execution\-time regular expression engine
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.Regexp, self).__init__()

                        self.yang_name = "regexp"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.deterministic = YLeaf(YType.empty, "deterministic")
                        self._segment_path = lambda: "regexp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.Regexp, ['deterministic'], name, value)


                class Transport(Entity):
                    """
                    Transport options
                    
                    .. attribute:: path_mtu_discovery
                    
                    	Use transport path MTU discovery
                    	**type**\: bool
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Bgp.Transport, self).__init__()

                        self.yang_name = "transport"
                        self.yang_parent_name = "bgp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                        self._segment_path = lambda: "transport"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Bgp.Transport, ['path_mtu_discovery'], name, value)


            class DefaultInformation(Entity):
                """
                Control distribution of default information
                
                .. attribute:: originate
                
                	Distribute a default route
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.DefaultInformation, self).__init__()

                    self.yang_name = "default-information"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.originate = YLeaf(YType.empty, "originate")
                    self._segment_path = lambda: "default-information"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Bgp.DefaultInformation, ['originate'], name, value)


            class Distance(Entity):
                """
                Define an administrative distance
                
                .. attribute:: bgp
                
                	BGP distance
                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Distance.Bgp>`
                
                .. attribute:: adm_distance
                
                	
                	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Distance.AdmDistance>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.Distance, self).__init__()

                    self.yang_name = "distance"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Distance.Bgp)}
                    self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Distance.AdmDistance)}

                    self.bgp = Native.Router.Bgp.Distance.Bgp()
                    self.bgp.parent = self
                    self._children_name_map["bgp"] = "bgp"
                    self._children_yang_names.add("bgp")

                    self.adm_distance = YList(self)
                    self._segment_path = lambda: "distance"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Bgp.Distance, [], name, value)


                class Bgp(Entity):
                    """
                    BGP distance
                    
                    .. attribute:: extern_as
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: internal_as
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: local
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Distance.Bgp, self).__init__()

                        self.yang_name = "bgp"
                        self.yang_parent_name = "distance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.extern_as = YLeaf(YType.uint16, "extern-as")

                        self.internal_as = YLeaf(YType.uint16, "internal-as")

                        self.local = YLeaf(YType.uint16, "local")
                        self._segment_path = lambda: "bgp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                class AdmDistance(Entity):
                    """
                    
                    
                    .. attribute:: distance  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: srcip  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: wildbits  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Distance.AdmDistance, self).__init__()

                        self.yang_name = "adm-distance"
                        self.yang_parent_name = "distance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.distance = YLeaf(YType.uint16, "distance")

                        self.srcip = YLeaf(YType.str, "srcip")

                        self.wildbits = YLeaf(YType.str, "wildbits")

                        self.acl = YLeaf(YType.str, "acl")
                        self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


            class DistributeList(Entity):
                """
                Filter networks in routing updates
                
                .. attribute:: id  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 100..199
                
                		**type**\: int
                
                			**range:** 2000..2699
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: in_
                
                	Filter incoming routing updates
                	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.DistributeList.In_>`
                
                	**presence node**\: True
                
                .. attribute:: out
                
                	Filter outgoing routing updates
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.DistributeList.Out>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.DistributeList, self).__init__()

                    self.yang_name = "distribute-list"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.DistributeList.In_), "out" : ("out", Native.Router.Bgp.DistributeList.Out)}
                    self._child_list_classes = {}

                    self.id = YLeaf(YType.str, "id")

                    self.in_ = None
                    self._children_name_map["in_"] = "in"
                    self._children_yang_names.add("in")

                    self.out = None
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Bgp.DistributeList, ['id'], name, value)


                class In_(Entity):
                    """
                    Filter incoming routing updates
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.DistributeList.In_, self).__init__()

                        self.yang_name = "in"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.interface = YLeaf(YType.str, "interface")
                        self._segment_path = lambda: "in"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.DistributeList.In_, ['interface'], name, value)


                class Out(Entity):
                    """
                    Filter outgoing routing updates
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.DistributeList.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.interface = YLeaf(YType.str, "interface")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.DistributeList.Out, ['interface'], name, value)


            class MaximumPaths(Entity):
                """
                Forward packets over multiple paths
                
                .. attribute:: max_path
                
                	
                	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.MaxPath>`
                
                .. attribute:: external_rtfilter
                
                	VPN prefix multipath on external RTFilter peers
                	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.ExternalRtfilter>`
                
                .. attribute:: eibgp
                
                	Both eBGP and iBGP paths as multipath
                	**type**\: int
                
                	**range:** 1..32
                
                .. attribute:: ibgp
                
                	iBGP\-multipath
                	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.MaximumPaths.Ibgp>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.MaximumPaths, self).__init__()

                    self.yang_name = "maximum-paths"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.MaximumPaths.Ibgp)}
                    self._child_list_classes = {}

                    self.eibgp = YLeaf(YType.uint16, "eibgp")

                    self.max_path = Native.Router.Bgp.MaximumPaths.MaxPath()
                    self.max_path.parent = self
                    self._children_name_map["max_path"] = "max-path"
                    self._children_yang_names.add("max-path")

                    self.external_rtfilter = Native.Router.Bgp.MaximumPaths.ExternalRtfilter()
                    self.external_rtfilter.parent = self
                    self._children_name_map["external_rtfilter"] = "external-rtfilter"
                    self._children_yang_names.add("external-rtfilter")

                    self.ibgp = Native.Router.Bgp.MaximumPaths.Ibgp()
                    self.ibgp.parent = self
                    self._children_name_map["ibgp"] = "ibgp"
                    self._children_yang_names.add("ibgp")
                    self._segment_path = lambda: "maximum-paths"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Bgp.MaximumPaths, ['eibgp'], name, value)


                class MaxPath(Entity):
                    """
                    
                    
                    .. attribute:: max
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..32
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.MaximumPaths.MaxPath, self).__init__()

                        self.yang_name = "max-path"
                        self.yang_parent_name = "maximum-paths"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max = YLeaf(YType.uint16, "max")
                        self._segment_path = lambda: "max-path"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.MaximumPaths.MaxPath, ['max'], name, value)


                class ExternalRtfilter(Entity):
                    """
                    VPN prefix multipath on external RTFilter peers
                    
                    .. attribute:: max
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..32
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.MaximumPaths.ExternalRtfilter, self).__init__()

                        self.yang_name = "external-rtfilter"
                        self.yang_parent_name = "maximum-paths"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max = YLeaf(YType.uint16, "max")
                        self._segment_path = lambda: "external-rtfilter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                class Ibgp(Entity):
                    """
                    iBGP\-multipath
                    
                    .. attribute:: unequal_cost
                    
                    	Perform Un\-Equal cost multipath selection
                    	**type**\: int
                    
                    	**range:** 1..32
                    
                    .. attribute:: max
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..32
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.MaximumPaths.Ibgp, self).__init__()

                        self.yang_name = "ibgp"
                        self.yang_parent_name = "maximum-paths"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                        self.max = YLeaf(YType.uint16, "max")
                        self._segment_path = lambda: "ibgp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


            class Neighbor(Entity):
                """
                Specify a neighbor router
                
                .. attribute:: id  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: peer_group
                
                	Member of the peer\-group
                	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PeerGroup>`
                
                	**presence node**\: True
                
                .. attribute:: remote_as
                
                	Specify a BGP neighbor
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4294967295
                
                		**type**\: str
                
                .. attribute:: local_as
                
                	Specify a local\-as number
                	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.LocalAs>`
                
                	**presence node**\: True
                
                .. attribute:: activate
                
                	Enable the Address Family for this Neighbor
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: additional_paths
                
                	
                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.AdditionalPaths>`
                
                .. attribute:: advertise
                
                	Advertise to this neighbor
                	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise>`
                
                .. attribute:: advertise_map
                
                	specify route\-map for conditional advertisement
                	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.AdvertiseMap>`
                
                .. attribute:: aigp
                
                	Enable a AIGP on neighbor
                	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp>`
                
                	**presence node**\: True
                
                .. attribute:: allow_policy
                
                	Enable the policy support for this IBGP Neighbor
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: announce
                
                	Announce RPKI State using an Extended Community
                	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Announce>`
                
                .. attribute:: advertisement_interval
                
                	Minimum interval between sending BGP routing updates
                	**type**\: int
                
                	**range:** 0..600
                
                .. attribute:: allowas_in
                
                	Accept as\-path with my AS present in it
                	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.AllowasIn>`
                
                	**presence node**\: True
                
                .. attribute:: as_override
                
                	Override matching AS\-number while sending update
                	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.AsOverride>`
                
                	**presence node**\: True
                
                .. attribute:: capability
                
                	Advertise capability to the peer
                	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Capability>`
                
                .. attribute:: cluster_id
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4294967295
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: default_originate
                
                	Originate default route to this neighbour
                	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.DefaultOriginate>`
                
                	**presence node**\: True
                
                .. attribute:: description
                
                	Neighbor specific description
                	**type**\: str
                
                .. attribute:: disable_connected_check
                
                	One\-hop away EBGP peer using loopback address
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: distribute_list
                
                	Filter updates to/from this neighbor
                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.DistributeList>`
                
                .. attribute:: dmzlink_bw
                
                	Propagate the DMZ link bandwidth
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ebgp_multihop
                
                	Allow EBGP neighbors not on directly connected networks
                	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.EbgpMultihop>`
                
                	**presence node**\: True
                
                .. attribute:: fall_over
                
                	session fall on peer route lost
                	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.FallOver>`
                
                .. attribute:: filter_list
                
                	Establish BGP filters
                	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.FilterList>`
                
                .. attribute:: inherit
                
                	Inherit a template
                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Inherit>`
                
                .. attribute:: log_neighbor_changes
                
                	Log neighbor up/down and reset reason
                	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.LogNeighborChanges>`
                
                	**presence node**\: True
                
                .. attribute:: maximum_prefix
                
                	Maximum number of prefixes accepted from this peer
                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.MaximumPrefix>`
                
                .. attribute:: next_hop_self
                
                	Disable the next hop calculation for this neighbor
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: next_hop_unchanged
                
                	Propagate the iBGP paths's next hop unchanged for this neighbor
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: password
                
                	Set a password
                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Password>`
                
                .. attribute:: prefix_list
                
                	Filter updates to/from this neighbor
                	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PrefixList>`
                
                .. attribute:: path_attribute
                
                	BGP optional attribute filtering
                	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute>`
                
                .. attribute:: remove_private_as
                
                	Remove private AS number from outbound updates
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: route_map
                
                	Apply route map to neighbor
                	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.RouteMap>`
                
                .. attribute:: route_reflector_client
                
                	Configure a neighbor as Route Reflector client
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: route_reflector_cluster_id
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..4294967295
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: send_community
                
                	Send Community attribute to this neighbor
                	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SendCommunity>`
                
                	**presence node**\: True
                
                .. attribute:: send_label
                
                	Send NLRI + MPLS Label to this peer
                	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SendLabel>`
                
                .. attribute:: soo
                
                	ASN\:nn or IP\-address\:nn  VPN extended community
                	**type**\: str
                
                .. attribute:: shutdown
                
                	Administratively shut down this neighbor
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: soft_reconfiguration
                
                	Per neighbor soft reconfiguration
                	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SoftReconfiguration>`
                
                .. attribute:: slow_peer
                
                	Configure slow\-peer
                	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SlowPeer>`
                
                .. attribute:: timers
                
                	BGP per neighbor timers
                	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Timers>`
                
                .. attribute:: translate_update
                
                	Translate Update to MBGP format
                	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.TranslateUpdate>`
                
                .. attribute:: transport
                
                	Transport options
                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Transport>`
                
                .. attribute:: ttl_security
                
                	BGP ttl security check
                	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.TtlSecurity>`
                
                .. attribute:: unsuppress_map
                
                	Route\-map to selectively unsuppress suppressed routes
                	**type**\: str
                
                .. attribute:: update_source
                
                	Source of routing updates
                	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.UpdateSource>`
                
                .. attribute:: version
                
                	Set the BGP version to match a neighbor
                	**type**\: int
                
                	**range:** 4..None
                
                .. attribute:: weight
                
                	Set default weight for routes from this neighbor
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: ha_mode
                
                	high availability mode
                	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.HaMode>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.Neighbor, self).__init__()

                    self.yang_name = "neighbor"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Neighbor.HaMode)}
                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Neighbor.RouteMap)}

                    self.id = YLeaf(YType.str, "id")

                    self.remote_as = YLeaf(YType.str, "remote-as")

                    self.activate = YLeaf(YType.empty, "activate")

                    self.allow_policy = YLeaf(YType.empty, "allow-policy")

                    self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                    self.cluster_id = YLeaf(YType.str, "cluster-id")

                    self.description = YLeaf(YType.str, "description")

                    self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                    self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                    self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                    self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                    self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                    self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                    self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                    self.soo = YLeaf(YType.str, "soo")

                    self.shutdown = YLeaf(YType.empty, "shutdown")

                    self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                    self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                    self.version = YLeaf(YType.uint16, "version")

                    self.weight = YLeaf(YType.uint16, "weight")

                    self.peer_group = None
                    self._children_name_map["peer_group"] = "peer-group"
                    self._children_yang_names.add("peer-group")

                    self.local_as = None
                    self._children_name_map["local_as"] = "local-as"
                    self._children_yang_names.add("local-as")

                    self.additional_paths = Native.Router.Bgp.Neighbor.AdditionalPaths()
                    self.additional_paths.parent = self
                    self._children_name_map["additional_paths"] = "additional-paths"
                    self._children_yang_names.add("additional-paths")

                    self.advertise = Native.Router.Bgp.Neighbor.Advertise()
                    self.advertise.parent = self
                    self._children_name_map["advertise"] = "advertise"
                    self._children_yang_names.add("advertise")

                    self.advertise_map = Native.Router.Bgp.Neighbor.AdvertiseMap()
                    self.advertise_map.parent = self
                    self._children_name_map["advertise_map"] = "advertise-map"
                    self._children_yang_names.add("advertise-map")

                    self.aigp = None
                    self._children_name_map["aigp"] = "aigp"
                    self._children_yang_names.add("aigp")

                    self.announce = Native.Router.Bgp.Neighbor.Announce()
                    self.announce.parent = self
                    self._children_name_map["announce"] = "announce"
                    self._children_yang_names.add("announce")

                    self.allowas_in = None
                    self._children_name_map["allowas_in"] = "allowas-in"
                    self._children_yang_names.add("allowas-in")

                    self.as_override = None
                    self._children_name_map["as_override"] = "as-override"
                    self._children_yang_names.add("as-override")

                    self.capability = Native.Router.Bgp.Neighbor.Capability()
                    self.capability.parent = self
                    self._children_name_map["capability"] = "capability"
                    self._children_yang_names.add("capability")

                    self.default_originate = None
                    self._children_name_map["default_originate"] = "default-originate"
                    self._children_yang_names.add("default-originate")

                    self.ebgp_multihop = None
                    self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                    self._children_yang_names.add("ebgp-multihop")

                    self.fall_over = Native.Router.Bgp.Neighbor.FallOver()
                    self.fall_over.parent = self
                    self._children_name_map["fall_over"] = "fall-over"
                    self._children_yang_names.add("fall-over")

                    self.inherit = Native.Router.Bgp.Neighbor.Inherit()
                    self.inherit.parent = self
                    self._children_name_map["inherit"] = "inherit"
                    self._children_yang_names.add("inherit")

                    self.log_neighbor_changes = None
                    self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                    self._children_yang_names.add("log-neighbor-changes")

                    self.maximum_prefix = Native.Router.Bgp.Neighbor.MaximumPrefix()
                    self.maximum_prefix.parent = self
                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                    self._children_yang_names.add("maximum-prefix")

                    self.password = Native.Router.Bgp.Neighbor.Password()
                    self.password.parent = self
                    self._children_name_map["password"] = "password"
                    self._children_yang_names.add("password")

                    self.path_attribute = Native.Router.Bgp.Neighbor.PathAttribute()
                    self.path_attribute.parent = self
                    self._children_name_map["path_attribute"] = "path-attribute"
                    self._children_yang_names.add("path-attribute")

                    self.send_community = None
                    self._children_name_map["send_community"] = "send-community"
                    self._children_yang_names.add("send-community")

                    self.send_label = Native.Router.Bgp.Neighbor.SendLabel()
                    self.send_label.parent = self
                    self._children_name_map["send_label"] = "send-label"
                    self._children_yang_names.add("send-label")

                    self.slow_peer = Native.Router.Bgp.Neighbor.SlowPeer()
                    self.slow_peer.parent = self
                    self._children_name_map["slow_peer"] = "slow-peer"
                    self._children_yang_names.add("slow-peer")

                    self.timers = Native.Router.Bgp.Neighbor.Timers()
                    self.timers.parent = self
                    self._children_name_map["timers"] = "timers"
                    self._children_yang_names.add("timers")

                    self.translate_update = Native.Router.Bgp.Neighbor.TranslateUpdate()
                    self.translate_update.parent = self
                    self._children_name_map["translate_update"] = "translate-update"
                    self._children_yang_names.add("translate-update")

                    self.transport = Native.Router.Bgp.Neighbor.Transport()
                    self.transport.parent = self
                    self._children_name_map["transport"] = "transport"
                    self._children_yang_names.add("transport")

                    self.ttl_security = Native.Router.Bgp.Neighbor.TtlSecurity()
                    self.ttl_security.parent = self
                    self._children_name_map["ttl_security"] = "ttl-security"
                    self._children_yang_names.add("ttl-security")

                    self.update_source = Native.Router.Bgp.Neighbor.UpdateSource()
                    self.update_source.parent = self
                    self._children_name_map["update_source"] = "update-source"
                    self._children_yang_names.add("update-source")

                    self.ha_mode = Native.Router.Bgp.Neighbor.HaMode()
                    self.ha_mode.parent = self
                    self._children_name_map["ha_mode"] = "ha-mode"
                    self._children_yang_names.add("ha-mode")

                    self.distribute_list = YList(self)
                    self.filter_list = YList(self)
                    self.prefix_list = YList(self)
                    self.route_map = YList(self)
                    self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Bgp.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                class SoftReconfiguration(Enum):
                    """
                    SoftReconfiguration

                    Per neighbor soft reconfiguration

                    .. data:: inbound = 0

                    """

                    inbound = Enum.YLeaf(0, "inbound")



                class PeerGroup(Entity):
                    """
                    Member of the peer\-group
                    
                    .. attribute:: peer_group_name
                    
                    	WORD;;peer\-group name
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.PeerGroup, self).__init__()

                        self.yang_name = "peer-group"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                        self._segment_path = lambda: "peer-group"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                class LocalAs(Entity):
                    """
                    Specify a local\-as number
                    
                    .. attribute:: as_no
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..4294967295
                    
                    		**type**\: str
                    
                    .. attribute:: no_prepend
                    
                    	Do not prepend local\-as to updates from ebgp peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: replace_as
                    
                    	Replace real AS with local AS in the EBGP updates
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dual_as
                    
                    	Accept either real AS or local AS from the ebgp peer
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.LocalAs, self).__init__()

                        self.yang_name = "local-as"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.as_no = YLeaf(YType.str, "as-no")

                        self.no_prepend = YLeaf(YType.empty, "no-prepend")

                        self.replace_as = YLeaf(YType.empty, "replace-as")

                        self.dual_as = YLeaf(YType.empty, "dual-as")
                        self._segment_path = lambda: "local-as"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                class AdditionalPaths(Entity):
                    """
                    
                    
                    .. attribute:: disable
                    
                    	Disable additional paths for this neighbor
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: receive
                    
                    	Receive additional paths from neighbors
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: send
                    
                    	Send additional paths to this neighbor
                    	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.AdditionalPaths.Send>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.AdditionalPaths, self).__init__()

                        self.yang_name = "additional-paths"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Neighbor.AdditionalPaths.Send)}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.receive = YLeaf(YType.empty, "receive")

                        self.send = None
                        self._children_name_map["send"] = "send"
                        self._children_yang_names.add("send")
                        self._segment_path = lambda: "additional-paths"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                    class Send(Entity):
                        """
                        Send additional paths to this neighbor
                        
                        .. attribute:: receive
                        
                        	Receive additional paths from this neighbor
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.AdditionalPaths.Send, self).__init__()

                            self.yang_name = "send"
                            self.yang_parent_name = "additional-paths"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.receive = YLeaf(YType.empty, "receive")
                            self._segment_path = lambda: "send"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                class Advertise(Entity):
                    """
                    Advertise to this neighbor
                    
                    .. attribute:: additional_paths
                    
                    	Advertise additional paths
                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths>`
                    
                    .. attribute:: best_external
                    
                    	Advertise best\-external (at RRs best\-internal) path
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: diverse_path
                    
                    	Advertise diverse path
                    	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.DiversePath>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.Advertise, self).__init__()

                        self.yang_name = "advertise"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Neighbor.Advertise.DiversePath)}
                        self._child_list_classes = {}

                        self.best_external = YLeaf(YType.empty, "best-external")

                        self.additional_paths = Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths()
                        self.additional_paths.parent = self
                        self._children_name_map["additional_paths"] = "additional-paths"
                        self._children_yang_names.add("additional-paths")

                        self.diverse_path = Native.Router.Bgp.Neighbor.Advertise.DiversePath()
                        self.diverse_path.parent = self
                        self._children_name_map["diverse_path"] = "diverse-path"
                        self._children_yang_names.add("diverse-path")
                        self._segment_path = lambda: "advertise"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.Advertise, ['best_external'], name, value)


                    class AdditionalPaths(Entity):
                        """
                        Advertise additional paths
                        
                        .. attribute:: all
                        
                        	Select all available paths
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: best
                        
                        	Select best N paths
                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best>`
                        
                        .. attribute:: group_best
                        
                        	Select group\-best paths
                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths, self).__init__()

                            self.yang_name = "additional-paths"
                            self.yang_parent_name = "advertise"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                            self._child_list_classes = {}

                            self.all = None
                            self._children_name_map["all"] = "all"
                            self._children_yang_names.add("all")

                            self.best = Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best()
                            self.best.parent = self
                            self._children_name_map["best"] = "best"
                            self._children_yang_names.add("best")

                            self.group_best = None
                            self._children_name_map["group_best"] = "group-best"
                            self._children_yang_names.add("group-best")
                            self._segment_path = lambda: "additional-paths"


                        class All(Entity):
                            """
                            Select all available paths
                            
                            .. attribute:: best
                            
                            	Select best N paths
                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best>`
                            
                            .. attribute:: group_best
                            
                            	Select group\-best paths
                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                self.yang_name = "all"
                                self.yang_parent_name = "additional-paths"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.best = Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best()
                                self.best.parent = self
                                self._children_name_map["best"] = "best"
                                self._children_yang_names.add("best")

                                self.group_best = None
                                self._children_name_map["group_best"] = "group-best"
                                self._children_yang_names.add("group-best")
                                self._segment_path = lambda: "all"


                            class Best(Entity):
                                """
                                Select best N paths
                                
                                .. attribute:: best_range
                                
                                	
                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                    self.yang_name = "best"
                                    self.yang_parent_name = "all"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                    self.best_range = YList(self)
                                    self._segment_path = lambda: "best"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                class BestRange(Entity):
                                    """
                                    
                                    
                                    .. attribute:: range  <key>
                                    
                                    	Number of best paths in additional paths to be selected
                                    	**type**\: int
                                    
                                    	**range:** 2..3
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                        self.yang_name = "best-range"
                                        self.yang_parent_name = "best"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.range = YLeaf(YType.uint8, "range")

                                        self.group_best = YLeaf(YType.empty, "group-best")
                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                            class GroupBest(Entity):
                                """
                                Select group\-best paths
                                
                                .. attribute:: best
                                
                                	Number of best paths in additional paths to be selected
                                	**type**\: int
                                
                                	**range:** 2..3
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                    self.yang_name = "group-best"
                                    self.yang_parent_name = "all"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.best = YLeaf(YType.uint8, "best")
                                    self._segment_path = lambda: "group-best"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                        class Best(Entity):
                            """
                            Select best N paths
                            
                            .. attribute:: best_range
                            
                            	
                            	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                self.yang_name = "best"
                                self.yang_parent_name = "additional-paths"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                self.best_range = YList(self)
                                self._segment_path = lambda: "best"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                            class BestRange(Entity):
                                """
                                
                                
                                .. attribute:: range  <key>
                                
                                	Number of best paths in additional paths to be selected
                                	**type**\: int
                                
                                	**range:** 2..3
                                
                                .. attribute:: all
                                
                                	Select all available paths
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: group_best
                                
                                	Select group\-best paths
                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                    self.yang_name = "best-range"
                                    self.yang_parent_name = "best"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                    self._child_list_classes = {}

                                    self.range = YLeaf(YType.uint8, "range")

                                    self.all = YLeaf(YType.empty, "all")

                                    self.group_best = None
                                    self._children_name_map["group_best"] = "group-best"
                                    self._children_yang_names.add("group-best")
                                    self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                class GroupBest(Entity):
                                    """
                                    Select group\-best paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                        self.yang_name = "group-best"
                                        self.yang_parent_name = "best-range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.all = YLeaf(YType.empty, "all")
                                        self._segment_path = lambda: "group-best"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                        class GroupBest(Entity):
                            """
                            Select group\-best paths
                            
                            .. attribute:: all
                            
                            	Select all available paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: best
                            
                            	Number of best paths in additional paths to be selected
                            	**type**\: int
                            
                            	**range:** 2..3
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                self.yang_name = "group-best"
                                self.yang_parent_name = "additional-paths"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.all = YLeaf(YType.empty, "all")

                                self.best = YLeaf(YType.uint8, "best")
                                self._segment_path = lambda: "group-best"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                    class DiversePath(Entity):
                        """
                        Advertise diverse path
                        
                        .. attribute:: backup
                        
                        	Diverse path can be backup path
                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Advertise.DiversePath.Backup>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: mpath
                        
                        	Diverse path can be multipath
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.Advertise.DiversePath, self).__init__()

                            self.yang_name = "diverse-path"
                            self.yang_parent_name = "advertise"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Neighbor.Advertise.DiversePath.Backup)}
                            self._child_list_classes = {}

                            self.mpath = YLeaf(YType.empty, "mpath")

                            self.backup = None
                            self._children_name_map["backup"] = "backup"
                            self._children_yang_names.add("backup")
                            self._segment_path = lambda: "diverse-path"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                        class Backup(Entity):
                            """
                            Diverse path can be backup path
                            
                            .. attribute:: mpath
                            
                            	Diverse path can be multipath
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                self.yang_name = "backup"
                                self.yang_parent_name = "diverse-path"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.mpath = YLeaf(YType.empty, "mpath")
                                self._segment_path = lambda: "backup"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                class AdvertiseMap(Entity):
                    """
                    specify route\-map for conditional advertisement
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.AdvertiseMap.Name>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.AdvertiseMap, self).__init__()

                        self.yang_name = "advertise-map"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Neighbor.AdvertiseMap.Name)}

                        self.name = YList(self)
                        self._segment_path = lambda: "advertise-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.AdvertiseMap, [], name, value)


                    class Name(Entity):
                        """
                        
                        
                        .. attribute:: word  <key>
                        
                        	advertise route\-map name
                        	**type**\: str
                        
                        .. attribute:: exist_map
                        
                        	condition route\-map name
                        	**type**\: str
                        
                        .. attribute:: non_exist_map
                        
                        	condition route\-map name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.AdvertiseMap.Name, self).__init__()

                            self.yang_name = "name"
                            self.yang_parent_name = "advertise-map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.exist_map = YLeaf(YType.str, "exist-map")

                            self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                            self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                class Aigp(Entity):
                    """
                    Enable a AIGP on neighbor
                    
                    .. attribute:: send
                    
                    	Cost community or MED carrying AIGP VALUE
                    	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp.Send>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.Aigp, self).__init__()

                        self.yang_name = "aigp"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Neighbor.Aigp.Send)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.send = Native.Router.Bgp.Neighbor.Aigp.Send()
                        self.send.parent = self
                        self._children_name_map["send"] = "send"
                        self._children_yang_names.add("send")
                        self._segment_path = lambda: "aigp"


                    class Send(Entity):
                        """
                        Cost community or MED carrying AIGP VALUE
                        
                        .. attribute:: cost_community
                        
                        	Cost extended community carrying AIGP Value
                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity>`
                        
                        .. attribute:: med
                        
                        	Med carrying AIGP Value
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.Aigp.Send, self).__init__()

                            self.yang_name = "send"
                            self.yang_parent_name = "aigp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity)}
                            self._child_list_classes = {}

                            self.med = YLeaf(YType.empty, "med")

                            self.cost_community = Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity()
                            self.cost_community.parent = self
                            self._children_name_map["cost_community"] = "cost-community"
                            self._children_yang_names.add("cost-community")
                            self._segment_path = lambda: "send"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.Aigp.Send, ['med'], name, value)


                        class CostCommunity(Entity):
                            """
                            Cost extended community carrying AIGP Value
                            
                            .. attribute:: cc_range
                            
                            	
                            	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                self.yang_name = "cost-community"
                                self.yang_parent_name = "send"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                self.cc_range = YList(self)
                                self._segment_path = lambda: "cost-community"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                            class CcRange(Entity):
                                """
                                
                                
                                .. attribute:: range  <key>
                                
                                	Community ID
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: poi
                                
                                	Point of Insertion
                                	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                    self.yang_name = "cc-range"
                                    self.yang_parent_name = "cost-community"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                    self._child_list_classes = {}

                                    self.range = YLeaf(YType.uint8, "range")

                                    self.poi = Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                    self.poi.parent = self
                                    self._children_name_map["poi"] = "poi"
                                    self._children_yang_names.add("poi")
                                    self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                class Poi(Entity):
                                    """
                                    Point of Insertion
                                    
                                    .. attribute:: igp_cost
                                    
                                    	Point of Insertion After IGP
                                    	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: pre_bestpath
                                    
                                    	Point of Insertion At Beginning
                                    	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                        self.yang_name = "poi"
                                        self.yang_parent_name = "cc-range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                        self._child_list_classes = {}

                                        self.igp_cost = None
                                        self._children_name_map["igp_cost"] = "igp-cost"
                                        self._children_yang_names.add("igp-cost")

                                        self.pre_bestpath = None
                                        self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                        self._children_yang_names.add("pre-bestpath")
                                        self._segment_path = lambda: "poi"


                                    class IgpCost(Entity):
                                        """
                                        Point of Insertion After IGP
                                        
                                        .. attribute:: transitive
                                        
                                        	Cost community is Transitive
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                            self.yang_name = "igp-cost"
                                            self.yang_parent_name = "poi"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.transitive = YLeaf(YType.empty, "transitive")
                                            self._segment_path = lambda: "igp-cost"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                    class PreBestpath(Entity):
                                        """
                                        Point of Insertion At Beginning
                                        
                                        .. attribute:: transitive
                                        
                                        	Cost community is Transitive
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                            self.yang_name = "pre-bestpath"
                                            self.yang_parent_name = "poi"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.transitive = YLeaf(YType.empty, "transitive")
                                            self._segment_path = lambda: "pre-bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                class Announce(Entity):
                    """
                    Announce RPKI State using an Extended Community
                    
                    .. attribute:: rpki
                    
                    	Announce RPKI information using an Extended Community
                    	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Announce.Rpki>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.Announce, self).__init__()

                        self.yang_name = "announce"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Neighbor.Announce.Rpki)}
                        self._child_list_classes = {}

                        self.rpki = Native.Router.Bgp.Neighbor.Announce.Rpki()
                        self.rpki.parent = self
                        self._children_name_map["rpki"] = "rpki"
                        self._children_yang_names.add("rpki")
                        self._segment_path = lambda: "announce"


                    class Rpki(Entity):
                        """
                        Announce RPKI information using an Extended Community
                        
                        .. attribute:: state
                        
                        	Announce RPKI State information using an Extended Community
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.Announce.Rpki, self).__init__()

                            self.yang_name = "rpki"
                            self.yang_parent_name = "announce"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.state = YLeaf(YType.empty, "state")
                            self._segment_path = lambda: "rpki"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.Announce.Rpki, ['state'], name, value)


                class AllowasIn(Entity):
                    """
                    Accept as\-path with my AS present in it
                    
                    .. attribute:: as_number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..10
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.AllowasIn, self).__init__()

                        self.yang_name = "allowas-in"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.as_number = YLeaf(YType.uint8, "as-number")
                        self._segment_path = lambda: "allowas-in"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.AllowasIn, ['as_number'], name, value)


                class AsOverride(Entity):
                    """
                    Override matching AS\-number while sending update
                    
                    .. attribute:: disable
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.AsOverride, self).__init__()

                        self.yang_name = "as-override"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "as-override"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.AsOverride, ['disable'], name, value)


                class Capability(Entity):
                    """
                    Advertise capability to the peer
                    
                    .. attribute:: orf
                    
                    	Advertise ORF capability to the peer
                    	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Capability.Orf>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.Capability, self).__init__()

                        self.yang_name = "capability"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Neighbor.Capability.Orf)}
                        self._child_list_classes = {}

                        self.orf = Native.Router.Bgp.Neighbor.Capability.Orf()
                        self.orf.parent = self
                        self._children_name_map["orf"] = "orf"
                        self._children_yang_names.add("orf")
                        self._segment_path = lambda: "capability"


                    class Orf(Entity):
                        """
                        Advertise ORF capability to the peer
                        
                        .. attribute:: prefix_list
                        
                        	Advertise prefixlist ORF capability to this neighbor
                        	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Capability.Orf.PrefixList>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.Capability.Orf, self).__init__()

                            self.yang_name = "orf"
                            self.yang_parent_name = "capability"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                            self._segment_path = lambda: "orf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                        class PrefixList(Enum):
                            """
                            PrefixList

                            Advertise prefixlist ORF capability to this neighbor

                            .. data:: both = 0

                            .. data:: receive = 1

                            .. data:: send = 2

                            """

                            both = Enum.YLeaf(0, "both")

                            receive = Enum.YLeaf(1, "receive")

                            send = Enum.YLeaf(2, "send")



                class DefaultOriginate(Entity):
                    """
                    Originate default route to this neighbour
                    
                    .. attribute:: route_map
                    
                    	Route\-map to specify criteria to originate default
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.DefaultOriginate, self).__init__()

                        self.yang_name = "default-originate"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "default-originate"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.DefaultOriginate, ['route_map'], name, value)


                class DistributeList(Entity):
                    """
                    Filter updates to/from this neighbor
                    
                    .. attribute:: inout  <key>
                    
                    	
                    	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.DistributeList.Inout>`
                    
                    .. attribute:: accesslist
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199
                    
                    		**type**\: int
                    
                    			**range:** 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.DistributeList, self).__init__()

                        self.yang_name = "distribute-list"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inout = YLeaf(YType.enumeration, "inout")

                        self.accesslist = YLeaf(YType.str, "accesslist")
                        self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                    class Inout(Enum):
                        """
                        Inout

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class EbgpMultihop(Entity):
                    """
                    Allow EBGP neighbors not on directly connected networks
                    
                    .. attribute:: max_hop
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.EbgpMultihop, self).__init__()

                        self.yang_name = "ebgp-multihop"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max_hop = YLeaf(YType.uint8, "max-hop")
                        self._segment_path = lambda: "ebgp-multihop"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                class FallOver(Entity):
                    """
                    session fall on peer route lost
                    
                    .. attribute:: bfd
                    
                    	Use BFD to detect failure
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.FallOver.Bfd>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.FallOver, self).__init__()

                        self.yang_name = "fall-over"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Neighbor.FallOver.Bfd)}
                        self._child_list_classes = {}

                        self.bfd = None
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")
                        self._segment_path = lambda: "fall-over"


                    class Bfd(Entity):
                        """
                        Use BFD to detect failure
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.FallOver.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "fall-over"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "bfd"


                class FilterList(Entity):
                    """
                    Establish BGP filters
                    
                    .. attribute:: inout  <key>
                    
                    	
                    	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.FilterList.Inout>`
                    
                    .. attribute:: as_path_list
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..500
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.FilterList, self).__init__()

                        self.yang_name = "filter-list"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inout = YLeaf(YType.enumeration, "inout")

                        self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                        self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                    class Inout(Enum):
                        """
                        Inout

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class Inherit(Entity):
                    """
                    Inherit a template
                    
                    .. attribute:: peer_policy
                    
                    	Inherit a peer\-policy template
                    	**type**\: str
                    
                    .. attribute:: peer_session
                    
                    	Inherit a peer\-session template
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.Inherit, self).__init__()

                        self.yang_name = "inherit"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.peer_policy = YLeaf(YType.str, "peer-policy")

                        self.peer_session = YLeaf(YType.str, "peer-session")
                        self._segment_path = lambda: "inherit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                class LogNeighborChanges(Entity):
                    """
                    Log neighbor up/down and reset reason
                    
                    .. attribute:: disable
                    
                    	disable
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.LogNeighborChanges, self).__init__()

                        self.yang_name = "log-neighbor-changes"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "log-neighbor-changes"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.LogNeighborChanges, ['disable'], name, value)


                class MaximumPrefix(Entity):
                    """
                    Maximum number of prefixes accepted from this peer
                    
                    .. attribute:: max_prefix_no
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..2147483647
                    
                    .. attribute:: threshold
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    .. attribute:: restart
                    
                    	Restart bgp connection after limit is exceeded
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: warning_only
                    
                    	Only give warning message when limit is exceeded
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.MaximumPrefix, self).__init__()

                        self.yang_name = "maximum-prefix"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                        self.threshold = YLeaf(YType.uint8, "threshold")

                        self.restart = YLeaf(YType.uint16, "restart")

                        self.warning_only = YLeaf(YType.empty, "warning-only")
                        self._segment_path = lambda: "maximum-prefix"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                class Password(Entity):
                    """
                    Set a password
                    
                    .. attribute:: enctype
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..7
                    
                    .. attribute:: text
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.Password, self).__init__()

                        self.yang_name = "password"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enctype = YLeaf(YType.uint8, "enctype")

                        self.text = YLeaf(YType.str, "text")
                        self._segment_path = lambda: "password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.Password, ['enctype', 'text'], name, value)


                class PrefixList(Entity):
                    """
                    Filter updates to/from this neighbor
                    
                    .. attribute:: inout  <key>
                    
                    	
                    	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PrefixList.Inout>`
                    
                    .. attribute:: prefix_list_name
                    
                    	
                    	**type**\: str
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.PrefixList, self).__init__()

                        self.yang_name = "prefix-list"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inout = YLeaf(YType.enumeration, "inout")

                        self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                        self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                    class Inout(Enum):
                        """
                        Inout

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class PathAttribute(Entity):
                    """
                    BGP optional attribute filtering
                    
                    .. attribute:: discard
                    
                    	Discard matching path\-attribute for this neighbor
                    	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute.Discard>`
                    
                    .. attribute:: treat_as_withdraw
                    
                    	Treat\-as\-withdraw matching path\-attribute for this neighbor
                    	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.PathAttribute, self).__init__()

                        self.yang_name = "path-attribute"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw)}
                        self._child_list_classes = {}

                        self.discard = Native.Router.Bgp.Neighbor.PathAttribute.Discard()
                        self.discard.parent = self
                        self._children_name_map["discard"] = "discard"
                        self._children_yang_names.add("discard")

                        self.treat_as_withdraw = Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw()
                        self.treat_as_withdraw.parent = self
                        self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                        self._children_yang_names.add("treat-as-withdraw")
                        self._segment_path = lambda: "path-attribute"


                    class Discard(Entity):
                        """
                        Discard matching path\-attribute for this neighbor
                        
                        .. attribute:: attibute_type
                        
                        	
                        	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute.Discard.AttibuteType>`
                        
                        .. attribute:: range
                        
                        	
                        	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute.Discard.Range>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.PathAttribute.Discard, self).__init__()

                            self.yang_name = "discard"
                            self.yang_parent_name = "path-attribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Neighbor.PathAttribute.Discard.Range)}
                            self._child_list_classes = {}

                            self.attibute_type = Native.Router.Bgp.Neighbor.PathAttribute.Discard.AttibuteType()
                            self.attibute_type.parent = self
                            self._children_name_map["attibute_type"] = "attibute_type"
                            self._children_yang_names.add("attibute_type")

                            self.range = Native.Router.Bgp.Neighbor.PathAttribute.Discard.Range()
                            self.range.parent = self
                            self._children_name_map["range"] = "range"
                            self._children_yang_names.add("range")
                            self._segment_path = lambda: "discard"


                        class AttibuteType(Entity):
                            """
                            
                            
                            .. attribute:: type
                            
                            	path attribute type
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: in_
                            
                            	Perform inbound path\-attribute filtering
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                self.yang_name = "attibute_type"
                                self.yang_parent_name = "discard"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.type = YLeaf(YType.uint8, "type")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "attibute_type"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: start_value
                            
                            	path attribute range start value
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: end_value
                            
                            	path attribute range end value
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: in_
                            
                            	Perform inbound path\-attribute filtering
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "discard"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.start_value = YLeaf(YType.uint8, "start_value")

                                self.end_value = YLeaf(YType.uint8, "end_value")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "range"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                    class TreatAsWithdraw(Entity):
                        """
                        Treat\-as\-withdraw matching path\-attribute for this neighbor
                        
                        .. attribute:: attibute_type
                        
                        	
                        	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                        
                        .. attribute:: range
                        
                        	
                        	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                            self.yang_name = "treat-as-withdraw"
                            self.yang_parent_name = "path-attribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                            self._child_list_classes = {}

                            self.attibute_type = Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                            self.attibute_type.parent = self
                            self._children_name_map["attibute_type"] = "attibute_type"
                            self._children_yang_names.add("attibute_type")

                            self.range = Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                            self.range.parent = self
                            self._children_name_map["range"] = "range"
                            self._children_yang_names.add("range")
                            self._segment_path = lambda: "treat-as-withdraw"


                        class AttibuteType(Entity):
                            """
                            
                            
                            .. attribute:: type
                            
                            	path attribute type
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: in_
                            
                            	Perform inbound path\-attribute filtering
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                self.yang_name = "attibute_type"
                                self.yang_parent_name = "treat-as-withdraw"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.type = YLeaf(YType.uint8, "type")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "attibute_type"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: start_value
                            
                            	path attribute range start value
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: end_value
                            
                            	path attribute range end value
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: in_
                            
                            	Perform inbound path\-attribute filtering
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "treat-as-withdraw"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.start_value = YLeaf(YType.uint8, "start_value")

                                self.end_value = YLeaf(YType.uint8, "end_value")

                                self.in_ = YLeaf(YType.empty, "in")
                                self._segment_path = lambda: "range"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                class RouteMap(Entity):
                    """
                    Apply route map to neighbor
                    
                    .. attribute:: inout  <key>
                    
                    	
                    	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.RouteMap.Inout>`
                    
                    .. attribute:: route_map_name
                    
                    	
                    	**type**\: str
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.RouteMap, self).__init__()

                        self.yang_name = "route-map"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.inout = YLeaf(YType.enumeration, "inout")

                        self.route_map_name = YLeaf(YType.str, "route-map-name")
                        self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                    class Inout(Enum):
                        """
                        Inout

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class SendCommunity(Entity):
                    """
                    Send Community attribute to this neighbor
                    
                    .. attribute:: send_community_where
                    
                    	
                    	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SendCommunity.SendCommunityWhere>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.SendCommunity, self).__init__()

                        self.yang_name = "send-community"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                        self._segment_path = lambda: "send-community"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.SendCommunity, ['send_community_where'], name, value)

                    class SendCommunityWhere(Enum):
                        """
                        SendCommunityWhere

                        .. data:: both = 0

                        .. data:: extended = 1

                        .. data:: standard = 2

                        """

                        both = Enum.YLeaf(0, "both")

                        extended = Enum.YLeaf(1, "extended")

                        standard = Enum.YLeaf(2, "standard")



                class SendLabel(Entity):
                    """
                    Send NLRI + MPLS Label to this peer
                    
                    .. attribute:: send_label_explicit
                    
                    	
                    	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SendLabel.SendLabelExplicit>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.SendLabel, self).__init__()

                        self.yang_name = "send-label"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                        self._segment_path = lambda: "send-label"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                    class SendLabelExplicit(Enum):
                        """
                        SendLabelExplicit

                        .. data:: explicit_null = 0

                        """

                        explicit_null = Enum.YLeaf(0, "explicit-null")



                class SlowPeer(Entity):
                    """
                    Configure slow\-peer
                    
                    .. attribute:: detection
                    
                    	Slow\-peer detection
                    	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SlowPeer.Detection>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: split_update_group
                    
                    	Configure slow\-peer split\-update\-group
                    	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.SlowPeer, self).__init__()

                        self.yang_name = "slow-peer"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup)}
                        self._child_list_classes = {}

                        self.detection = None
                        self._children_name_map["detection"] = "detection"
                        self._children_yang_names.add("detection")

                        self.split_update_group = Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup()
                        self.split_update_group.parent = self
                        self._children_name_map["split_update_group"] = "split-update-group"
                        self._children_yang_names.add("split-update-group")
                        self._segment_path = lambda: "slow-peer"


                    class Detection(Entity):
                        """
                        Slow\-peer detection
                        
                        .. attribute:: threshold
                        
                        	Threshold value (seconds)
                        	**type**\: int
                        
                        	**range:** 120..3600
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.SlowPeer.Detection, self).__init__()

                            self.yang_name = "detection"
                            self.yang_parent_name = "slow-peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.threshold = YLeaf(YType.uint16, "threshold")
                            self._segment_path = lambda: "detection"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                    class SplitUpdateGroup(Entity):
                        """
                        Configure slow\-peer split\-update\-group
                        
                        .. attribute:: dynamic
                        
                        	Dynamically split the slow peer to slow\-update group
                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                            self.yang_name = "split-update-group"
                            self.yang_parent_name = "slow-peer"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                            self._child_list_classes = {}

                            self.dynamic = None
                            self._children_name_map["dynamic"] = "dynamic"
                            self._children_yang_names.add("dynamic")
                            self._segment_path = lambda: "split-update-group"


                        class Dynamic(Entity):
                            """
                            Dynamically split the slow peer to slow\-update group
                            
                            .. attribute:: permanent
                            
                            	Keep the slow\-peer permanently in slow\-update group
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                self.yang_name = "dynamic"
                                self.yang_parent_name = "split-update-group"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.permanent = YLeaf(YType.empty, "permanent")
                                self._segment_path = lambda: "dynamic"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                class Timers(Entity):
                    """
                    BGP per neighbor timers
                    
                    .. attribute:: keepalive_interval
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: holdtime
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: minimum_neighbor_hold
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.Timers, self).__init__()

                        self.yang_name = "timers"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                        self.holdtime = YLeaf(YType.uint16, "holdtime")

                        self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                        self._segment_path = lambda: "timers"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                class TranslateUpdate(Entity):
                    """
                    Translate Update to MBGP format
                    
                    .. attribute:: ipv4
                    
                    	Address Family
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.TranslateUpdate, self).__init__()

                        self.yang_name = "translate-update"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4)}
                        self._child_list_classes = {}

                        self.ipv4 = Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")
                        self._segment_path = lambda: "translate-update"


                    class Ipv4(Entity):
                        """
                        Address Family
                        
                        .. attribute:: multicast
                        
                        	Address Family modifier
                        	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "translate-update"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                            self._child_list_classes = {}

                            self.multicast = None
                            self._children_name_map["multicast"] = "multicast"
                            self._children_yang_names.add("multicast")
                            self._segment_path = lambda: "ipv4"


                        class Multicast(Entity):
                            """
                            Address Family modifier
                            
                            .. attribute:: unicast
                            
                            	Address Family modifier
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                self.yang_name = "multicast"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.unicast = YLeaf(YType.empty, "unicast")
                                self._segment_path = lambda: "multicast"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                class Transport(Entity):
                    """
                    Transport options
                    
                    .. attribute:: connection_mode
                    
                    	Specify passive or active connection
                    	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Transport.ConnectionMode>`
                    
                    .. attribute:: multi_session
                    
                    	Use Multi\-session for transport
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: path_mtu_discovery
                    
                    	Use transport path MTU discovery
                    	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.Transport.PathMtuDiscovery>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.Transport, self).__init__()

                        self.yang_name = "transport"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Neighbor.Transport.PathMtuDiscovery)}
                        self._child_list_classes = {}

                        self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                        self.multi_session = YLeaf(YType.empty, "multi-session")

                        self.path_mtu_discovery = None
                        self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                        self._children_yang_names.add("path-mtu-discovery")
                        self._segment_path = lambda: "transport"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                    class ConnectionMode(Enum):
                        """
                        ConnectionMode

                        Specify passive or active connection

                        .. data:: active = 0

                        .. data:: passive = 1

                        """

                        active = Enum.YLeaf(0, "active")

                        passive = Enum.YLeaf(1, "passive")



                    class PathMtuDiscovery(Entity):
                        """
                        Use transport path MTU discovery
                        
                        .. attribute:: disable
                        
                        	disable
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                            self.yang_name = "path-mtu-discovery"
                            self.yang_parent_name = "transport"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "path-mtu-discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                class TtlSecurity(Entity):
                    """
                    BGP ttl security check
                    
                    .. attribute:: hops
                    
                    	IP hops
                    	**type**\: int
                    
                    	**range:** 1..254
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.TtlSecurity, self).__init__()

                        self.yang_name = "ttl-security"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.hops = YLeaf(YType.uint8, "hops")
                        self._segment_path = lambda: "ttl-security"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.TtlSecurity, ['hops'], name, value)


                class UpdateSource(Entity):
                    """
                    Source of routing updates
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.UpdateSource.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.UpdateSource.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.UpdateSource.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.UpdateSource.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.UpdateSource, self).__init__()

                        self.yang_name = "update-source"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Neighbor.UpdateSource.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Router.Bgp.Neighbor.UpdateSource.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Router.Bgp.Neighbor.UpdateSource.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Router.Bgp.Neighbor.UpdateSource.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Router.Bgp.Neighbor.UpdateSource.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "update-source"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "update-source"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "update-source"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "update-source"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "update-source"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                class HaMode(Entity):
                    """
                    high availability mode
                    
                    .. attribute:: graceful_restart
                    
                    	graceful\-restart for this peer
                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.HaMode.GracefulRestart>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: sso
                    
                    	stateful\-switchover support for this peer
                    	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Neighbor.HaMode.Sso>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Neighbor.HaMode, self).__init__()

                        self.yang_name = "ha-mode"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Neighbor.HaMode.Sso)}
                        self._child_list_classes = {}

                        self.graceful_restart = None
                        self._children_name_map["graceful_restart"] = "graceful-restart"
                        self._children_yang_names.add("graceful-restart")

                        self.sso = None
                        self._children_name_map["sso"] = "sso"
                        self._children_yang_names.add("sso")
                        self._segment_path = lambda: "ha-mode"


                    class GracefulRestart(Entity):
                        """
                        graceful\-restart for this peer
                        
                        .. attribute:: disable
                        
                        	disable graceful\-restart
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.HaMode.GracefulRestart, self).__init__()

                            self.yang_name = "graceful-restart"
                            self.yang_parent_name = "ha-mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "graceful-restart"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                    class Sso(Entity):
                        """
                        stateful\-switchover support for this peer
                        
                        .. attribute:: disable
                        
                        	disable stateful\-switchover
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Neighbor.HaMode.Sso, self).__init__()

                            self.yang_name = "sso"
                            self.yang_parent_name = "ha-mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "sso"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Neighbor.HaMode.Sso, ['disable'], name, value)


            class Network(Entity):
                """
                Specify a network to announce via BGP
                
                .. attribute:: number  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                
                .. attribute:: backdoor
                
                	Specify a BGP backdoor route
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mask
                
                	Network mask
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: route_map
                
                	Route\-map to modify the attributes
                	**type**\: str
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.Network, self).__init__()

                    self.yang_name = "network"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.str, "number")

                    self.backdoor = YLeaf(YType.empty, "backdoor")

                    self.mask = YLeaf(YType.str, "mask")

                    self.route_map = YLeaf(YType.str, "route-map")
                    self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Bgp.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


            class Redistribute(Entity):
                """
                Redistribute information from another routing protocol
                
                .. attribute:: application
                
                	Application
                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Application>`
                
                	**presence node**\: True
                
                .. attribute:: bgp
                
                	Border Gateway Protocol (BGP)
                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Bgp>`
                
                .. attribute:: connected
                
                	Connected
                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Connected>`
                
                	**presence node**\: True
                
                .. attribute:: dvmrp
                
                	Redistribution of DVMRP into BGP IPv4 Multicast
                	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Dvmrp>`
                
                	**presence node**\: True
                
                .. attribute:: eigrp
                
                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Eigrp>`
                
                .. attribute:: isis
                
                	ISO IS\-IS
                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Isis>`
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol
                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Lisp>`
                
                	**presence node**\: True
                
                .. attribute:: iso_igrp
                
                	IGRP for OSI networks
                	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.IsoIgrp>`
                
                .. attribute:: mobile
                
                	Mobile routes
                	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Mobile>`
                
                	**presence node**\: True
                
                .. attribute:: odr
                
                	On Demand stub Routes
                	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Odr>`
                
                	**presence node**\: True
                
                .. attribute:: ospf
                
                	Open Shortest Path First (OSPF)
                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Ospf>`
                
                .. attribute:: rip
                
                	Routing Information Protocol (RIP)
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Rip>`
                
                	**presence node**\: True
                
                .. attribute:: static
                
                	Static routes
                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Static>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.Redistribute, self).__init__()

                    self.yang_name = "redistribute"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Redistribute.Static)}
                    self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Redistribute.Ospf)}

                    self.application = None
                    self._children_name_map["application"] = "application"
                    self._children_yang_names.add("application")

                    self.bgp = Native.Router.Bgp.Redistribute.Bgp()
                    self.bgp.parent = self
                    self._children_name_map["bgp"] = "bgp"
                    self._children_yang_names.add("bgp")

                    self.connected = None
                    self._children_name_map["connected"] = "connected"
                    self._children_yang_names.add("connected")

                    self.dvmrp = None
                    self._children_name_map["dvmrp"] = "dvmrp"
                    self._children_yang_names.add("dvmrp")

                    self.eigrp = Native.Router.Bgp.Redistribute.Eigrp()
                    self.eigrp.parent = self
                    self._children_name_map["eigrp"] = "eigrp"
                    self._children_yang_names.add("eigrp")

                    self.isis = Native.Router.Bgp.Redistribute.Isis()
                    self.isis.parent = self
                    self._children_name_map["isis"] = "isis"
                    self._children_yang_names.add("isis")

                    self.lisp = None
                    self._children_name_map["lisp"] = "lisp"
                    self._children_yang_names.add("lisp")

                    self.iso_igrp = Native.Router.Bgp.Redistribute.IsoIgrp()
                    self.iso_igrp.parent = self
                    self._children_name_map["iso_igrp"] = "iso-igrp"
                    self._children_yang_names.add("iso-igrp")

                    self.mobile = None
                    self._children_name_map["mobile"] = "mobile"
                    self._children_yang_names.add("mobile")

                    self.odr = None
                    self._children_name_map["odr"] = "odr"
                    self._children_yang_names.add("odr")

                    self.rip = None
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.static = None
                    self._children_name_map["static"] = "static"
                    self._children_yang_names.add("static")

                    self.ospf = YList(self)
                    self._segment_path = lambda: "redistribute"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Bgp.Redistribute, [], name, value)


                class Application(Entity):
                    """
                    Application
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Application.Name>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Redistribute.Application, self).__init__()

                        self.yang_name = "application"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Redistribute.Application.Name)}
                        self.is_presence_container = True

                        self.name = YList(self)
                        self._segment_path = lambda: "application"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Redistribute.Application, [], name, value)


                    class Name(Entity):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	WORD;;Route map name
                        	**type**\: str
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Redistribute.Application.Name, self).__init__()

                            self.yang_name = "name"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                class Bgp(Entity):
                    """
                    Border Gateway Protocol (BGP)
                    
                    .. attribute:: as_no
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..4294967295
                    
                    		**type**\: str
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Redistribute.Bgp, self).__init__()

                        self.yang_name = "bgp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.as_no = YLeaf(YType.str, "as-no")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "bgp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                class Connected(Entity):
                    """
                    Connected
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Redistribute.Connected, self).__init__()

                        self.yang_name = "connected"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "connected"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Redistribute.Connected, ['metric', 'route_map'], name, value)


                class Dvmrp(Entity):
                    """
                    Redistribution of DVMRP into BGP IPv4 Multicast
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Redistribute.Dvmrp, self).__init__()

                        self.yang_name = "dvmrp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.metric = YLeaf(YType.uint32, "metric")
                        self._segment_path = lambda: "dvmrp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                class Eigrp(Entity):
                    """
                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                    
                    .. attribute:: as_no
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Redistribute.Eigrp, self).__init__()

                        self.yang_name = "eigrp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.as_no = YLeaf(YType.uint16, "as-no")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "eigrp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                class Isis(Entity):
                    """
                    ISO IS\-IS
                    
                    .. attribute:: isis_area
                    
                    	
                    	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Isis.IsisArea>`
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Isis.Default>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Redistribute.Isis, self).__init__()

                        self.yang_name = "isis"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Redistribute.Isis.Default)}
                        self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Redistribute.Isis.IsisArea)}

                        self.default = Native.Router.Bgp.Redistribute.Isis.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.isis_area = YList(self)
                        self._segment_path = lambda: "isis"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Redistribute.Isis, [], name, value)


                    class IsisArea(Entity):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	Redistribution of IP dynamic routes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: clns
                        
                        	Redistribution of OSI dynamic routes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: routes
                        
                        	
                        	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Isis.IsisArea.Routes>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Redistribute.Isis.IsisArea, self).__init__()

                            self.yang_name = "isis-area"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.ip = YLeaf(YType.empty, "ip")

                            self.clns = YLeaf(YType.empty, "clns")

                            self.routes = YLeaf(YType.enumeration, "routes")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                        class Routes(Enum):
                            """
                            Routes

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            .. data:: level_1_2 = 2

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")

                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                    class Default(Entity):
                        """
                        
                        
                        .. attribute:: ip
                        
                        	Redistribution of IP dynamic routes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: clns
                        
                        	Redistribution of OSI dynamic routes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: routes
                        
                        	
                        	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Isis.Default.Routes>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Redistribute.Isis.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.empty, "ip")

                            self.clns = YLeaf(YType.empty, "clns")

                            self.routes = YLeaf(YType.enumeration, "routes")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "default"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                        class Routes(Enum):
                            """
                            Routes

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            .. data:: level_1_2 = 2

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")

                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                class Lisp(Entity):
                    """
                    Locator/ID Separation Protocol
                    
                    .. attribute:: include_connected
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Redistribute.Lisp, self).__init__()

                        self.yang_name = "lisp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.include_connected = YLeaf(YType.empty, "include-connected")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "lisp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                class IsoIgrp(Entity):
                    """
                    IGRP for OSI networks
                    
                    .. attribute:: iso_igrp_area
                    
                    	
                    	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.IsoIgrp.IsoIgrpArea>`
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.IsoIgrp.Default>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Redistribute.IsoIgrp, self).__init__()

                        self.yang_name = "iso-igrp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Redistribute.IsoIgrp.Default)}
                        self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Redistribute.IsoIgrp.IsoIgrpArea)}

                        self.default = Native.Router.Bgp.Redistribute.IsoIgrp.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.iso_igrp_area = YList(self)
                        self._segment_path = lambda: "iso-igrp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Redistribute.IsoIgrp, [], name, value)


                    class IsoIgrpArea(Entity):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                            self.yang_name = "iso-igrp-area"
                            self.yang_parent_name = "iso-igrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                    class Default(Entity):
                        """
                        
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Redistribute.IsoIgrp.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "iso-igrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "default"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                class Mobile(Entity):
                    """
                    Mobile routes
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Redistribute.Mobile, self).__init__()

                        self.yang_name = "mobile"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "mobile"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                class Odr(Entity):
                    """
                    On Demand stub Routes
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Redistribute.Odr, self).__init__()

                        self.yang_name = "odr"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "odr"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Redistribute.Odr, ['metric', 'route_map'], name, value)


                class Ospf(Entity):
                    """
                    Open Shortest Path First (OSPF)
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Ospf.Vrf>`
                    
                    .. attribute:: non_vrf
                    
                    	
                    	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Ospf.NonVrf>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Redistribute.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Redistribute.Ospf.NonVrf)}
                        self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Redistribute.Ospf.Vrf)}

                        self.id = YLeaf(YType.uint16, "id")

                        self.non_vrf = Native.Router.Bgp.Redistribute.Ospf.NonVrf()
                        self.non_vrf.parent = self
                        self._children_name_map["non_vrf"] = "non-vrf"
                        self._children_yang_names.add("non-vrf")

                        self.vrf = YList(self)
                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Redistribute.Ospf, ['id'], name, value)


                    class Vrf(Entity):
                        """
                        VPN Routing/Forwarding Instance
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: match
                        
                        	
                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Ospf.Vrf.Match>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Redistribute.Ospf.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Redistribute.Ospf.Vrf.Match)}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.match = Native.Router.Bgp.Redistribute.Ospf.Vrf.Match()
                            self.match.parent = self
                            self._children_name_map["match"] = "match"
                            self._children_yang_names.add("match")
                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                        class Match(Entity):
                            """
                            
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Redistribute.Ospf.Vrf.Match, self).__init__()

                                self.yang_name = "match"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self._segment_path = lambda: "match"


                    class NonVrf(Entity):
                        """
                        
                        
                        .. attribute:: match
                        
                        	
                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Ospf.NonVrf.Match>`
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Redistribute.Ospf.NonVrf, self).__init__()

                            self.yang_name = "non-vrf"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Redistribute.Ospf.NonVrf.Match)}
                            self._child_list_classes = {}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.match = Native.Router.Bgp.Redistribute.Ospf.NonVrf.Match()
                            self.match.parent = self
                            self._children_name_map["match"] = "match"
                            self._children_yang_names.add("match")
                            self._segment_path = lambda: "non-vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                        class Match(Entity):
                            """
                            
                            
                            .. attribute:: internal
                            
                            	Redistribute OSPF internal routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: external
                            
                            	Redistribute OSPF external routes
                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                            
                            .. attribute:: external2
                            
                            	Redistribute OSPF external routes
                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                            
                            .. attribute:: nssa_external
                            
                            	Redistribute OSPF NSSA external routes
                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                self.yang_name = "match"
                                self.yang_parent_name = "non-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.internal = YLeaf(YType.empty, "internal")

                                self.external = YLeaf(YType.enumeration, "external")

                                self.external2 = YLeaf(YType.enumeration, "external2")

                                self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "match"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                class Rip(Entity):
                    """
                    Routing Information Protocol (RIP)
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    .. attribute:: name
                    
                    	User selected string identifying this process
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Redistribute.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.name = YLeaf(YType.str, "name")
                        self._segment_path = lambda: "rip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                class Static(Entity):
                    """
                    Static routes
                    
                    .. attribute:: clns
                    
                    	Redistribution of OSI dynamic routes
                    	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Static.Clns>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ip
                    
                    	
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Redistribute.Static.Ip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Redistribute.Static, self).__init__()

                        self.yang_name = "static"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Redistribute.Static.Ip)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.clns = None
                        self._children_name_map["clns"] = "clns"
                        self._children_yang_names.add("clns")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "static"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Redistribute.Static, ['metric', 'route_map'], name, value)


                    class Clns(Entity):
                        """
                        Redistribution of OSI dynamic routes
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Redistribute.Static.Clns, self).__init__()

                            self.yang_name = "clns"
                            self.yang_parent_name = "static"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "clns"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                    class Ip(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Redistribute.Static.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "static"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


            class TableMap(Entity):
                """
                Map external entry attributes into routing table
                
                .. attribute:: name
                
                	WORD;;route\-map name
                	**type**\: str
                
                .. attribute:: filter
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.TableMap, self).__init__()

                    self.yang_name = "table-map"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.name = YLeaf(YType.str, "name")

                    self.filter = YLeaf(YType.empty, "filter")
                    self._segment_path = lambda: "table-map"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Bgp.TableMap, ['name', 'filter'], name, value)


            class Snmp(Entity):
                """
                Modify snmp parameters
                
                .. attribute:: context
                
                	Configure a SNMP context
                	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Snmp.Context>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.Snmp, self).__init__()

                    self.yang_name = "snmp"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Snmp.Context)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.context = Native.Router.Bgp.Snmp.Context()
                    self.context.parent = self
                    self._children_name_map["context"] = "context"
                    self._children_yang_names.add("context")
                    self._segment_path = lambda: "snmp"


                class Context(Entity):
                    """
                    Configure a SNMP context
                    
                    .. attribute:: context_word
                    
                    	
                    	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Snmp.Context.ContextWord>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Snmp.Context, self).__init__()

                        self.yang_name = "context"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Snmp.Context.ContextWord)}

                        self.context_word = YList(self)
                        self._segment_path = lambda: "context"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Snmp.Context, [], name, value)


                    class ContextWord(Entity):
                        """
                        
                        
                        .. attribute:: context_word  <key>
                        
                        	Context Name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Snmp.Context.ContextWord, self).__init__()

                            self.yang_name = "context_word"
                            self.yang_parent_name = "context"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.context_word = YLeaf(YType.str, "context_word")
                            self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Snmp.Context.ContextWord, ['context_word'], name, value)


            class AddressFamily(Entity):
                """
                Enter Address Family command mode
                
                .. attribute:: with_vrf
                
                	
                	**type**\:  :py:class:`WithVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf>`
                
                .. attribute:: no_vrf
                
                	
                	**type**\:  :py:class:`NoVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.AddressFamily, self).__init__()

                    self.yang_name = "address-family"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"with-vrf" : ("with_vrf", Native.Router.Bgp.AddressFamily.WithVrf), "no-vrf" : ("no_vrf", Native.Router.Bgp.AddressFamily.NoVrf)}
                    self._child_list_classes = {}

                    self.with_vrf = Native.Router.Bgp.AddressFamily.WithVrf()
                    self.with_vrf.parent = self
                    self._children_name_map["with_vrf"] = "with-vrf"
                    self._children_yang_names.add("with-vrf")

                    self.no_vrf = Native.Router.Bgp.AddressFamily.NoVrf()
                    self.no_vrf.parent = self
                    self._children_name_map["no_vrf"] = "no-vrf"
                    self._children_yang_names.add("no-vrf")
                    self._segment_path = lambda: "address-family"


                class WithVrf(Entity):
                    """
                    
                    
                    .. attribute:: ipv4
                    
                    	Address family
                    	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Address family
                    	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.AddressFamily.WithVrf, self).__init__()

                        self.yang_name = "with-vrf"
                        self.yang_parent_name = "address-family"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4), "ipv6" : ("ipv6", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6)}

                        self.ipv4 = YList(self)
                        self.ipv6 = YList(self)
                        self._segment_path = lambda: "with-vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf, [], name, value)


                    class Ipv4(Entity):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:  :py:class:`BgpIpv4AfType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.BgpIpv4AfType>`
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "with-vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf)}

                            self.af_name = YLeaf(YType.enumeration, "af-name")

                            self.vrf = YList(self)
                            self._segment_path = lambda: "ipv4" + "[af-name='" + self.af_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4, ['af_name'], name, value)


                        class Vrf(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: aggregate_address
                            
                            	Configure BGP aggregate entries
                            	**type**\:  :py:class:`AggregateAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.AggregateAddress>`
                            
                            .. attribute:: import_
                            
                            	Configure path import
                            	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Import_>`
                            
                            .. attribute:: bgp
                            
                            	BGP specific commands
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp>`
                            
                            .. attribute:: default_information
                            
                            	Control distribution of default information
                            	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DefaultInformation>`
                            
                            .. attribute:: default_metric
                            
                            	Set metric of redistributed routes
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: distance
                            
                            	Define an administrative distance
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter networks in routing updates
                            	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList>`
                            
                            .. attribute:: maximum_paths
                            
                            	Forward packets over multiple paths
                            	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths>`
                            
                            .. attribute:: neighbor
                            
                            	Specify a neighbor router
                            	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor>`
                            
                            .. attribute:: network
                            
                            	Specify a network to announce via BGP
                            	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Network>`
                            
                            .. attribute:: redistribute
                            
                            	Redistribute information from another routing protocol
                            	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute>`
                            
                            .. attribute:: synchronization
                            
                            	Perform IGP synchronization
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: auto_summary
                            
                            	Enable automatic network number summarization
                            	**type**\: bool
                            
                            .. attribute:: table_map
                            
                            	Map external entry attributes into routing table
                            	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.TableMap>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: snmp
                            
                            	Modify snmp parameters
                            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"aggregate-address" : ("aggregate_address", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.AggregateAddress), "import" : ("import_", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Import_), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp), "default-information" : ("default_information", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.TableMap), "snmp" : ("snmp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp)}
                                self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor), "network" : ("network", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Network)}

                                self.name = YLeaf(YType.str, "name")

                                self.default_metric = YLeaf(YType.uint32, "default-metric")

                                self.synchronization = YLeaf(YType.empty, "synchronization")

                                self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                self.aggregate_address = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.AggregateAddress()
                                self.aggregate_address.parent = self
                                self._children_name_map["aggregate_address"] = "aggregate-address"
                                self._children_yang_names.add("aggregate-address")

                                self.import_ = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Import_()
                                self.import_.parent = self
                                self._children_name_map["import_"] = "import"
                                self._children_yang_names.add("import")

                                self.bgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.default_information = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DefaultInformation()
                                self.default_information.parent = self
                                self._children_name_map["default_information"] = "default-information"
                                self._children_yang_names.add("default-information")

                                self.distance = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.maximum_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths()
                                self.maximum_paths.parent = self
                                self._children_name_map["maximum_paths"] = "maximum-paths"
                                self._children_yang_names.add("maximum-paths")

                                self.redistribute = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute()
                                self.redistribute.parent = self
                                self._children_name_map["redistribute"] = "redistribute"
                                self._children_yang_names.add("redistribute")

                                self.table_map = None
                                self._children_name_map["table_map"] = "table-map"
                                self._children_yang_names.add("table-map")

                                self.snmp = None
                                self._children_name_map["snmp"] = "snmp"
                                self._children_yang_names.add("snmp")

                                self.distribute_list = YList(self)
                                self.neighbor = YList(self)
                                self.network = YList(self)
                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf, ['name', 'default_metric', 'synchronization', 'auto_summary'], name, value)


                            class AggregateAddress(Entity):
                                """
                                Configure BGP aggregate entries
                                
                                .. attribute:: ipv4_address
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv4_mask
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: advertise_map
                                
                                	Set condition to advertise attribute
                                	**type**\: str
                                
                                .. attribute:: as_set
                                
                                	Generate AS set path information
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: attribute_map
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: as_override
                                
                                	Override matching AS\-number while sending update
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: summary_only
                                
                                	Filter more specific routes from updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: suppress_map
                                
                                	Conditionally filter more specific routes from updates
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.AggregateAddress, self).__init__()

                                    self.yang_name = "aggregate-address"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_address = YLeaf(YType.str, "ipv4-address")

                                    self.ipv4_mask = YLeaf(YType.str, "ipv4-mask")

                                    self.advertise_map = YLeaf(YType.str, "advertise-map")

                                    self.as_set = YLeaf(YType.empty, "as-set")

                                    self.attribute_map = YLeaf(YType.str, "attribute-map")

                                    self.as_override = YLeaf(YType.empty, "as-override")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.summary_only = YLeaf(YType.empty, "summary-only")

                                    self.suppress_map = YLeaf(YType.str, "suppress-map")
                                    self._segment_path = lambda: "aggregate-address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.AggregateAddress, ['ipv4_address', 'ipv4_mask', 'advertise_map', 'as_set', 'attribute_map', 'as_override', 'route_map', 'summary_only', 'suppress_map'], name, value)


                            class Import_(Entity):
                                """
                                Configure path import
                                
                                .. attribute:: path
                                
                                	Path selection and path limit
                                	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Import_.Path>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Import_, self).__init__()

                                    self.yang_name = "import"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"path" : ("path", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Import_.Path)}
                                    self._child_list_classes = {}

                                    self.path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Import_.Path()
                                    self.path.parent = self
                                    self._children_name_map["path"] = "path"
                                    self._children_yang_names.add("path")
                                    self._segment_path = lambda: "import"


                                class Path(Entity):
                                    """
                                    Path selection and path limit
                                    
                                    .. attribute:: limit
                                    
                                    	Per net imported path limit
                                    	**type**\: int
                                    
                                    	**range:** 2..255
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Import_.Path, self).__init__()

                                        self.yang_name = "path"
                                        self.yang_parent_name = "import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint8, "limit")
                                        self._segment_path = lambda: "path"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Import_.Path, ['limit'], name, value)


                            class Bgp(Entity):
                                """
                                BGP specific commands
                                
                                .. attribute:: router_id
                                
                                	Override configured router identifier (peers will reset)
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: always_compare_med
                                
                                	Allow comparing MED from different neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aggregate_timer
                                
                                	Timer interval
                                	**type**\: int
                                
                                	**range:** 6..60
                                
                                .. attribute:: asnotation
                                
                                	Change the default asplain notation
                                	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Asnotation>`
                                
                                .. attribute:: nopeerup_delay
                                
                                	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.NopeerupDelay>`
                                
                                .. attribute:: recursion
                                
                                	recursion rule for the nexthops
                                	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Recursion>`
                                
                                .. attribute:: advertise_best_external
                                
                                	Advertise best external path to internal peers
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: additional_paths
                                
                                	Additional paths in the BGP table
                                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths>`
                                
                                .. attribute:: bestpath
                                
                                	Change the default bestpath selection
                                	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath>`
                                
                                .. attribute:: client_to_client
                                
                                	Configure client to client route reflection
                                	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ClientToClient>`
                                
                                .. attribute:: cluster_id
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: confederation
                                
                                	AS confederation parameters
                                	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Confederation>`
                                
                                .. attribute:: consistency_checker
                                
                                	Consistency\-checker
                                	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ConsistencyChecker>`
                                
                                .. attribute:: dampening
                                
                                	Enable route\-flap dampening
                                	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Dampening>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: default
                                
                                	Configure BGP defaults
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Default>`
                                
                                .. attribute:: deterministic_med
                                
                                	Pick the best\-MED path among paths advertised from the neighboring AS
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dmzlink_bw
                                
                                	Use DMZ Link Bandwidth as weight for BGP multipaths
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: enforce_first_as
                                
                                	Enforce the first AS for EBGP routes(default)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: enhanced_error
                                
                                	Enabled BGP Enhanced error handling
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: fast_external_fallover
                                
                                	Immediately reset session if a link to a directly connected external peer goes down
                                	**type**\: bool
                                
                                .. attribute:: graceful_restart
                                
                                	Graceful restart capability parameters
                                	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ha_mode
                                
                                	Select BGP High Availability mode
                                	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.HaMode>`
                                
                                .. attribute:: inject_map
                                
                                	Routemap which specifies prefixes to inject
                                	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.InjectMap>`
                                
                                .. attribute:: log_neighbor_changes
                                
                                	Log neighbor up/down and reset reason
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: maxas_limit
                                
                                	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                	**type**\: int
                                
                                	**range:** 1..2000
                                
                                .. attribute:: maxcommunity_limit
                                
                                	Number of communities in the COMMUNITY attribute
                                	**type**\: int
                                
                                	**range:** 1..1018
                                
                                .. attribute:: route_map
                                
                                	bgp route\-map commands
                                	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.RouteMap>`
                                
                                .. attribute:: slow_peer
                                
                                	Configure slow\-peer
                                	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer>`
                                
                                .. attribute:: update_group
                                
                                	Manage peers in bgp update groups
                                	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.UpdateGroup>`
                                
                                .. attribute:: nexthop
                                
                                	Nexthop tracking commands
                                	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Nexthop>`
                                
                                .. attribute:: redistribute_internal
                                
                                	Allow redistribution of iBGP into IGPs (dangerous)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: regexp
                                
                                	Select regular expression engine
                                	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Regexp>`
                                
                                .. attribute:: scan_time
                                
                                	Configure background scanner interval
                                	**type**\: int
                                
                                	**range:** 5..60
                                
                                .. attribute:: soft_reconfig_backup
                                
                                	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: suppress_inactive
                                
                                	Suppress routes that are not in the routing table
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: transport
                                
                                	Transport options
                                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Transport>`
                                
                                .. attribute:: update_delay
                                
                                	Set the max initial delay for sending update
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Transport)}
                                    self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.InjectMap)}

                                    self.router_id = YLeaf(YType.str, "router-id")

                                    self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                    self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                    self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                    self.cluster_id = YLeaf(YType.str, "cluster-id")

                                    self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                    self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                    self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                    self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                    self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                    self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                    self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                    self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                    self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                    self.scan_time = YLeaf(YType.uint8, "scan-time")

                                    self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                    self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                    self.update_delay = YLeaf(YType.uint16, "update-delay")

                                    self.asnotation = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Asnotation()
                                    self.asnotation.parent = self
                                    self._children_name_map["asnotation"] = "asnotation"
                                    self._children_yang_names.add("asnotation")

                                    self.nopeerup_delay = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.NopeerupDelay()
                                    self.nopeerup_delay.parent = self
                                    self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                    self._children_yang_names.add("nopeerup-delay")

                                    self.recursion = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Recursion()
                                    self.recursion.parent = self
                                    self._children_name_map["recursion"] = "recursion"
                                    self._children_yang_names.add("recursion")

                                    self.additional_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self._children_name_map["additional_paths"] = "additional-paths"
                                    self._children_yang_names.add("additional-paths")

                                    self.bestpath = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath()
                                    self.bestpath.parent = self
                                    self._children_name_map["bestpath"] = "bestpath"
                                    self._children_yang_names.add("bestpath")

                                    self.client_to_client = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ClientToClient()
                                    self.client_to_client.parent = self
                                    self._children_name_map["client_to_client"] = "client-to-client"
                                    self._children_yang_names.add("client-to-client")

                                    self.confederation = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Confederation()
                                    self.confederation.parent = self
                                    self._children_name_map["confederation"] = "confederation"
                                    self._children_yang_names.add("confederation")

                                    self.consistency_checker = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ConsistencyChecker()
                                    self.consistency_checker.parent = self
                                    self._children_name_map["consistency_checker"] = "consistency-checker"
                                    self._children_yang_names.add("consistency-checker")

                                    self.dampening = None
                                    self._children_name_map["dampening"] = "dampening"
                                    self._children_yang_names.add("dampening")

                                    self.default = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.graceful_restart = None
                                    self._children_name_map["graceful_restart"] = "graceful-restart"
                                    self._children_yang_names.add("graceful-restart")

                                    self.ha_mode = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.HaMode()
                                    self.ha_mode.parent = self
                                    self._children_name_map["ha_mode"] = "ha-mode"
                                    self._children_yang_names.add("ha-mode")

                                    self.route_map = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.RouteMap()
                                    self.route_map.parent = self
                                    self._children_name_map["route_map"] = "route-map"
                                    self._children_yang_names.add("route-map")

                                    self.slow_peer = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer()
                                    self.slow_peer.parent = self
                                    self._children_name_map["slow_peer"] = "slow-peer"
                                    self._children_yang_names.add("slow-peer")

                                    self.update_group = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.UpdateGroup()
                                    self.update_group.parent = self
                                    self._children_name_map["update_group"] = "update-group"
                                    self._children_yang_names.add("update-group")

                                    self.nexthop = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Nexthop()
                                    self.nexthop.parent = self
                                    self._children_name_map["nexthop"] = "nexthop"
                                    self._children_yang_names.add("nexthop")

                                    self.regexp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Regexp()
                                    self.regexp.parent = self
                                    self._children_name_map["regexp"] = "regexp"
                                    self._children_yang_names.add("regexp")

                                    self.transport = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Transport()
                                    self.transport.parent = self
                                    self._children_name_map["transport"] = "transport"
                                    self._children_yang_names.add("transport")

                                    self.inject_map = YList(self)
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                class Asnotation(Entity):
                                    """
                                    Change the default asplain notation
                                    
                                    .. attribute:: dot
                                    
                                    	asdot notation
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Asnotation, self).__init__()

                                        self.yang_name = "asnotation"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dot = YLeaf(YType.empty, "dot")
                                        self._segment_path = lambda: "asnotation"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Asnotation, ['dot'], name, value)


                                class NopeerupDelay(Entity):
                                    """
                                    Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    
                                    .. attribute:: cold_boot
                                    
                                    	Delay in seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: nsf_switchover
                                    
                                    	Delay in seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: post_boot
                                    
                                    	Delay in seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: user_initiated
                                    
                                    	Delay in seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.NopeerupDelay, self).__init__()

                                        self.yang_name = "nopeerup-delay"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                        self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                        self.post_boot = YLeaf(YType.uint16, "post-boot")

                                        self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                        self._segment_path = lambda: "nopeerup-delay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                class Recursion(Entity):
                                    """
                                    recursion rule for the nexthops
                                    
                                    .. attribute:: host
                                    
                                    	recursion via host for the nexthops
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Recursion, self).__init__()

                                        self.yang_name = "recursion"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.host = YLeaf(YType.empty, "host")
                                        self._segment_path = lambda: "recursion"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Recursion, ['host'], name, value)


                                class AdditionalPaths(Entity):
                                    """
                                    Additional paths in the BGP table
                                    
                                    .. attribute:: install
                                    
                                    	Additional paths to install into RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: select
                                    
                                    	Selection criteria to pick the paths
                                    	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select>`
                                    
                                    .. attribute:: send
                                    
                                    	Send additional paths to neighbors
                                    	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Send>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths, self).__init__()

                                        self.yang_name = "additional-paths"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"select" : ("select", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Send)}
                                        self._child_list_classes = {}

                                        self.install = YLeaf(YType.empty, "install")

                                        self.receive = YLeaf(YType.empty, "receive")

                                        self.select = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select()
                                        self.select.parent = self
                                        self._children_name_map["select"] = "select"
                                        self._children_yang_names.add("select")

                                        self.send = None
                                        self._children_name_map["send"] = "send"
                                        self._children_yang_names.add("send")
                                        self._segment_path = lambda: "additional-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                    class Select(Entity):
                                        """
                                        Selection criteria to pick the paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Backup>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Best>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.BestExternal>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select, self).__init__()

                                            self.yang_name = "select"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.GroupBest)}
                                            self._child_list_classes = {}

                                            self.all = None
                                            self._children_name_map["all"] = "all"
                                            self._children_yang_names.add("all")

                                            self.backup = None
                                            self._children_name_map["backup"] = "backup"
                                            self._children_yang_names.add("backup")

                                            self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.best_external = None
                                            self._children_name_map["best_external"] = "best-external"
                                            self._children_yang_names.add("best-external")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "select"


                                        class All(Entity):
                                            """
                                            Select all available paths
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                self.yang_name = "all"
                                                self.yang_parent_name = "select"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "all"


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "all"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.group_best = YLeaf(YType.empty, "group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "all"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                        class Backup(Entity):
                                            """
                                            Select backup path
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                self.yang_name = "backup"
                                                self.yang_parent_name = "select"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best_external = YLeaf(YType.empty, "best-external")
                                                self._segment_path = lambda: "backup"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "select"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Best.Range)}

                                                self.range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "range"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.all = YLeaf(YType.empty, "all")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                        class BestExternal(Entity):
                                            """
                                            Select best\-external path
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                self.yang_name = "best-external"
                                                self.yang_parent_name = "select"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.backup = YLeaf(YType.empty, "backup")
                                                self._segment_path = lambda: "best-external"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "select"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.all = YLeaf(YType.empty, "all")

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                    class Send(Entity):
                                        """
                                        Send additional paths to neighbors
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Send, self).__init__()

                                            self.yang_name = "send"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.receive = YLeaf(YType.empty, "receive")
                                            self._segment_path = lambda: "send"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                class Bestpath(Entity):
                                    """
                                    Change the default bestpath selection
                                    
                                    .. attribute:: compare_routerid
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost_community
                                    
                                    	cost community
                                    	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.CostCommunity>`
                                    
                                    .. attribute:: igp_metric
                                    
                                    	igp metric
                                    	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.IgpMetric>`
                                    
                                    .. attribute:: med
                                    
                                    	MED attribute
                                    	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.Med>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath, self).__init__()

                                        self.yang_name = "bestpath"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.Med)}
                                        self._child_list_classes = {}

                                        self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                        self.cost_community = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.CostCommunity()
                                        self.cost_community.parent = self
                                        self._children_name_map["cost_community"] = "cost-community"
                                        self._children_yang_names.add("cost-community")

                                        self.igp_metric = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.IgpMetric()
                                        self.igp_metric.parent = self
                                        self._children_name_map["igp_metric"] = "igp-metric"
                                        self._children_yang_names.add("igp-metric")

                                        self.med = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.Med()
                                        self.med.parent = self
                                        self._children_name_map["med"] = "med"
                                        self._children_yang_names.add("med")
                                        self._segment_path = lambda: "bestpath"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath, ['compare_routerid'], name, value)


                                    class CostCommunity(Entity):
                                        """
                                        cost community
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore cost communities in bestpath selection
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.CostCommunity, self).__init__()

                                            self.yang_name = "cost-community"
                                            self.yang_parent_name = "bestpath"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")
                                            self._segment_path = lambda: "cost-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                    class IgpMetric(Entity):
                                        """
                                        igp metric
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore igp metric in bestpath selection
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.IgpMetric, self).__init__()

                                            self.yang_name = "igp-metric"
                                            self.yang_parent_name = "bestpath"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")
                                            self._segment_path = lambda: "igp-metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                    class Med(Entity):
                                        """
                                        MED attribute
                                        
                                        .. attribute:: confed
                                        
                                        	Compare MED among confederation paths
                                        	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.Med.Confed>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.Med, self).__init__()

                                            self.yang_name = "med"
                                            self.yang_parent_name = "bestpath"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.Med.Confed)}
                                            self._child_list_classes = {}

                                            self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                            self.confed = None
                                            self._children_name_map["confed"] = "confed"
                                            self._children_yang_names.add("confed")
                                            self._segment_path = lambda: "med"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                        class Confed(Entity):
                                            """
                                            Compare MED among confederation paths
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.Med.Confed, self).__init__()

                                                self.yang_name = "confed"
                                                self.yang_parent_name = "med"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                self._segment_path = lambda: "confed"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                class ClientToClient(Entity):
                                    """
                                    Configure client to client route reflection
                                    
                                    .. attribute:: reflection
                                    
                                    	reflection of routes allowed
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ClientToClient, self).__init__()

                                        self.yang_name = "client-to-client"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.reflection = YLeaf(YType.empty, "reflection")
                                        self._segment_path = lambda: "client-to-client"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ClientToClient, ['reflection'], name, value)


                                class Confederation(Entity):
                                    """
                                    AS confederation parameters
                                    
                                    .. attribute:: identifier
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: peers
                                    
                                    	Peer ASs in BGP confederation
                                    	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Confederation.Peers>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Confederation, self).__init__()

                                        self.yang_name = "confederation"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Confederation.Peers)}
                                        self._child_list_classes = {}

                                        self.identifier = YLeaf(YType.uint32, "identifier")

                                        self.peers = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Confederation.Peers()
                                        self.peers.parent = self
                                        self._children_name_map["peers"] = "peers"
                                        self._children_yang_names.add("peers")
                                        self._segment_path = lambda: "confederation"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Confederation, ['identifier'], name, value)


                                    class Peers(Entity):
                                        """
                                        Peer ASs in BGP confederation
                                        
                                        .. attribute:: peers_as
                                        
                                        	
                                        	**type**\: list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Confederation.Peers, self).__init__()

                                            self.yang_name = "peers"
                                            self.yang_parent_name = "confederation"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peers_as = YLeafList(YType.uint32, "peers-as")
                                            self._segment_path = lambda: "peers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                class ConsistencyChecker(Entity):
                                    """
                                    Consistency\-checker
                                    
                                    .. attribute:: auto_repair
                                    
                                    	Auto\-Repair
                                    	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ConsistencyChecker.AutoRepair>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: error_message
                                    
                                    	Log Error\-Msg
                                    	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ConsistencyChecker.ErrorMessage>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ConsistencyChecker, self).__init__()

                                        self.yang_name = "consistency-checker"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ConsistencyChecker.ErrorMessage)}
                                        self._child_list_classes = {}

                                        self.auto_repair = None
                                        self._children_name_map["auto_repair"] = "auto-repair"
                                        self._children_yang_names.add("auto-repair")

                                        self.error_message = None
                                        self._children_name_map["error_message"] = "error-message"
                                        self._children_yang_names.add("error-message")
                                        self._segment_path = lambda: "consistency-checker"


                                    class AutoRepair(Entity):
                                        """
                                        Auto\-Repair
                                        
                                        .. attribute:: interval
                                        
                                        	Interval (minutes)
                                        	**type**\: int
                                        
                                        	**range:** 5..1440
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                            self.yang_name = "auto-repair"
                                            self.yang_parent_name = "consistency-checker"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "auto-repair"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                    class ErrorMessage(Entity):
                                        """
                                        Log Error\-Msg
                                        
                                        .. attribute:: interval
                                        
                                        	Interval (minutes)
                                        	**type**\: int
                                        
                                        	**range:** 5..1440
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                            self.yang_name = "error-message"
                                            self.yang_parent_name = "consistency-checker"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "error-message"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                class Dampening(Entity):
                                    """
                                    Enable route\-flap dampening
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to specify criteria for dampening
                                    	**type**\: str
                                    
                                    .. attribute:: dampen
                                    
                                    	
                                    	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Dampening.Dampen>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Dampening, self).__init__()

                                        self.yang_name = "dampening"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Dampening.Dampen)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.dampen = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Dampening.Dampen()
                                        self.dampen.parent = self
                                        self._children_name_map["dampen"] = "dampen"
                                        self._children_yang_names.add("dampen")
                                        self._segment_path = lambda: "dampening"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Dampening, ['route_map'], name, value)


                                    class Dampen(Entity):
                                        """
                                        
                                        
                                        .. attribute:: half_life_time
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..45
                                        
                                        .. attribute:: reuse_time
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..20000
                                        
                                        .. attribute:: suppress_time
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..20000
                                        
                                        .. attribute:: max_suppress_time
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Dampening.Dampen, self).__init__()

                                            self.yang_name = "dampen"
                                            self.yang_parent_name = "dampening"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                            self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                            self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                            self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                            self._segment_path = lambda: "dampen"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                class Default(Entity):
                                    """
                                    Configure BGP defaults
                                    
                                    .. attribute:: ipv4_unicast
                                    
                                    	Activate ipv4\-unicast for a peer by default
                                    	**type**\: bool
                                    
                                    .. attribute:: ipv6_nexthop
                                    
                                    	Default IPv6 nexthop format
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: local_preference
                                    
                                    	local preference (higher=more preferred)
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: route_target
                                    
                                    	Control behavior based on Route\-Target attributes
                                    	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Default.RouteTarget>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                        self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                        self.local_preference = YLeaf(YType.uint32, "local-preference")

                                        self.route_target = YLeaf(YType.enumeration, "route-target")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                    class RouteTarget(Enum):
                                        """
                                        RouteTarget

                                        Control behavior based on Route\-Target attributes

                                        .. data:: filter = 0

                                        """

                                        filter = Enum.YLeaf(0, "filter")



                                class GracefulRestart(Entity):
                                    """
                                    Graceful restart capability parameters
                                    
                                    .. attribute:: extended
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: restart_time
                                    
                                    	Set the max time needed to restart and come back up
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: stalepath_time
                                    
                                    	Set the max time to hold onto restarting peer's stale paths
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.GracefulRestart, self).__init__()

                                        self.yang_name = "graceful-restart"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.extended = YLeaf(YType.empty, "extended")

                                        self.restart_time = YLeaf(YType.uint16, "restart-time")

                                        self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                        self._segment_path = lambda: "graceful-restart"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                class HaMode(Entity):
                                    """
                                    Select BGP High Availability mode
                                    
                                    .. attribute:: sso
                                    
                                    	BGP High Availability NSR sso mode
                                    	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.HaMode.Sso>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.HaMode, self).__init__()

                                        self.yang_name = "ha-mode"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.HaMode.Sso)}
                                        self._child_list_classes = {}

                                        self.sso = None
                                        self._children_name_map["sso"] = "sso"
                                        self._children_yang_names.add("sso")
                                        self._segment_path = lambda: "ha-mode"


                                    class Sso(Entity):
                                        """
                                        BGP High Availability NSR sso mode
                                        
                                        .. attribute:: prefer
                                        
                                        	Perfer BGP High Availability NSR sso mode
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.HaMode.Sso, self).__init__()

                                            self.yang_name = "sso"
                                            self.yang_parent_name = "ha-mode"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.prefer = YLeaf(YType.empty, "prefer")
                                            self._segment_path = lambda: "sso"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.HaMode.Sso, ['prefer'], name, value)


                                class InjectMap(Entity):
                                    """
                                    Routemap which specifies prefixes to inject
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: exist_map
                                    
                                    	Routemap which specifies exist condition
                                    	**type**\: str
                                    
                                    .. attribute:: copy_attributes
                                    
                                    	Copy attributes from aggregate
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.InjectMap, self).__init__()

                                        self.yang_name = "inject-map"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.exist_map = YLeaf(YType.str, "exist-map")

                                        self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                        self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                class RouteMap(Entity):
                                    """
                                    bgp route\-map commands
                                    
                                    .. attribute:: priority
                                    
                                    	Have route\-map set commands take priority over BGP commands such 
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.RouteMap, self).__init__()

                                        self.yang_name = "route-map"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.priority = YLeaf(YType.empty, "priority")
                                        self._segment_path = lambda: "route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.RouteMap, ['priority'], name, value)


                                class SlowPeer(Entity):
                                    """
                                    Configure slow\-peer
                                    
                                    .. attribute:: detection
                                    
                                    	Slow\-peer detection
                                    	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer.Detection>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: split_update_group
                                    
                                    	Configure slow\-peer split\-update\-group
                                    	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer.SplitUpdateGroup>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer, self).__init__()

                                        self.yang_name = "slow-peer"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer.SplitUpdateGroup)}
                                        self._child_list_classes = {}

                                        self.detection = None
                                        self._children_name_map["detection"] = "detection"
                                        self._children_yang_names.add("detection")

                                        self.split_update_group = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer.SplitUpdateGroup()
                                        self.split_update_group.parent = self
                                        self._children_name_map["split_update_group"] = "split-update-group"
                                        self._children_yang_names.add("split-update-group")
                                        self._segment_path = lambda: "slow-peer"


                                    class Detection(Entity):
                                        """
                                        Slow\-peer detection
                                        
                                        .. attribute:: disable
                                        
                                        	Disable slow\-peer detection
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	Threshold value (seconds)
                                        	**type**\: int
                                        
                                        	**range:** 120..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer.Detection, self).__init__()

                                            self.yang_name = "detection"
                                            self.yang_parent_name = "slow-peer"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.threshold = YLeaf(YType.uint16, "threshold")
                                            self._segment_path = lambda: "detection"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                    class SplitUpdateGroup(Entity):
                                        """
                                        Configure slow\-peer split\-update\-group
                                        
                                        .. attribute:: dynamic
                                        
                                        	Dynamically split the slow peer to slow\-update group
                                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                            self.yang_name = "split-update-group"
                                            self.yang_parent_name = "slow-peer"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                            self._child_list_classes = {}

                                            self.dynamic = None
                                            self._children_name_map["dynamic"] = "dynamic"
                                            self._children_yang_names.add("dynamic")
                                            self._segment_path = lambda: "split-update-group"


                                        class Dynamic(Entity):
                                            """
                                            Dynamically split the slow peer to slow\-update group
                                            
                                            .. attribute:: permanent
                                            
                                            	Keep the slow\-peer permanently in slow\-update group
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                self.yang_name = "dynamic"
                                                self.yang_parent_name = "split-update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.permanent = YLeaf(YType.empty, "permanent")
                                                self._segment_path = lambda: "dynamic"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                class UpdateGroup(Entity):
                                    """
                                    Manage peers in bgp update groups
                                    
                                    .. attribute:: split
                                    
                                    	Split update groups based on Policy
                                    	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.UpdateGroup.Split>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.UpdateGroup, self).__init__()

                                        self.yang_name = "update-group"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"split" : ("split", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.UpdateGroup.Split)}
                                        self._child_list_classes = {}

                                        self.split = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.UpdateGroup.Split()
                                        self.split.parent = self
                                        self._children_name_map["split"] = "split"
                                        self._children_yang_names.add("split")
                                        self._segment_path = lambda: "update-group"


                                    class Split(Entity):
                                        """
                                        Split update groups based on Policy
                                        
                                        .. attribute:: as_override
                                        
                                        	Keep peers with as\-override in different update groups
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.UpdateGroup.Split, self).__init__()

                                            self.yang_name = "split"
                                            self.yang_parent_name = "update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_override = YLeaf(YType.empty, "as-override")
                                            self._segment_path = lambda: "split"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                class Nexthop(Entity):
                                    """
                                    Nexthop tracking commands
                                    
                                    .. attribute:: trigger
                                    
                                    	Nexthop triggering
                                    	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Nexthop.Trigger>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for valid nexthops
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Nexthop, self).__init__()

                                        self.yang_name = "nexthop"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Nexthop.Trigger)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.trigger = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Nexthop.Trigger()
                                        self.trigger.parent = self
                                        self._children_name_map["trigger"] = "trigger"
                                        self._children_yang_names.add("trigger")
                                        self._segment_path = lambda: "nexthop"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Nexthop, ['route_map'], name, value)


                                    class Trigger(Entity):
                                        """
                                        Nexthop triggering
                                        
                                        .. attribute:: delay
                                        
                                        	Set the delay to tigger nexthop tracking
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: enable
                                        
                                        	Enable nexthop tracking
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Nexthop.Trigger, self).__init__()

                                            self.yang_name = "trigger"
                                            self.yang_parent_name = "nexthop"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.delay = YLeaf(YType.uint8, "delay")

                                            self.enable = YLeaf(YType.boolean, "enable")
                                            self._segment_path = lambda: "trigger"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                class Regexp(Entity):
                                    """
                                    Select regular expression engine
                                    
                                    .. attribute:: deterministic
                                    
                                    	Enable bounded\-execution\-time regular expression engine
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Regexp, self).__init__()

                                        self.yang_name = "regexp"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.deterministic = YLeaf(YType.empty, "deterministic")
                                        self._segment_path = lambda: "regexp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Regexp, ['deterministic'], name, value)


                                class Transport(Entity):
                                    """
                                    Transport options
                                    
                                    .. attribute:: path_mtu_discovery
                                    
                                    	Use transport path MTU discovery
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Transport, self).__init__()

                                        self.yang_name = "transport"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                        self._segment_path = lambda: "transport"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Bgp.Transport, ['path_mtu_discovery'], name, value)


                            class DefaultInformation(Entity):
                                """
                                Control distribution of default information
                                
                                .. attribute:: originate
                                
                                	Distribute a default route
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DefaultInformation, self).__init__()

                                    self.yang_name = "default-information"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.originate = YLeaf(YType.empty, "originate")
                                    self._segment_path = lambda: "default-information"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DefaultInformation, ['originate'], name, value)


                            class Distance(Entity):
                                """
                                Define an administrative distance
                                
                                .. attribute:: bgp
                                
                                	BGP distance
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.Bgp>`
                                
                                .. attribute:: adm_distance
                                
                                	
                                	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.AdmDistance>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.Bgp)}
                                    self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.AdmDistance)}

                                    self.bgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.adm_distance = YList(self)
                                    self._segment_path = lambda: "distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance, [], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP distance
                                    
                                    .. attribute:: extern_as
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: internal_as
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "distance"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.extern_as = YLeaf(YType.uint16, "extern-as")

                                        self.internal_as = YLeaf(YType.uint16, "internal-as")

                                        self.local = YLeaf(YType.uint16, "local")
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                class AdmDistance(Entity):
                                    """
                                    
                                    
                                    .. attribute:: distance  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: srcip  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: wildbits  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: acl
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..99
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1300..1999
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.AdmDistance, self).__init__()

                                        self.yang_name = "adm-distance"
                                        self.yang_parent_name = "distance"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.distance = YLeaf(YType.uint16, "distance")

                                        self.srcip = YLeaf(YType.str, "srcip")

                                        self.wildbits = YLeaf(YType.str, "wildbits")

                                        self.acl = YLeaf(YType.str, "acl")
                                        self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                            class DistributeList(Entity):
                                """
                                Filter networks in routing updates
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 100..199
                                
                                		**type**\: int
                                
                                			**range:** 2000..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                .. attribute:: in_
                                
                                	Filter incoming routing updates
                                	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.In_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: out
                                
                                	Filter outgoing routing updates
                                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.Out>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList, self).__init__()

                                    self.yang_name = "distribute-list"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.In_), "out" : ("out", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.Out)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.in_ = None
                                    self._children_name_map["in_"] = "in"
                                    self._children_yang_names.add("in")

                                    self.out = None
                                    self._children_name_map["out"] = "out"
                                    self._children_yang_names.add("out")
                                    self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList, ['id'], name, value)


                                class In_(Entity):
                                    """
                                    Filter incoming routing updates
                                    
                                    .. attribute:: interface
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.In_, self).__init__()

                                        self.yang_name = "in"
                                        self.yang_parent_name = "distribute-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interface = YLeaf(YType.str, "interface")
                                        self._segment_path = lambda: "in"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.In_, ['interface'], name, value)


                                class Out(Entity):
                                    """
                                    Filter outgoing routing updates
                                    
                                    .. attribute:: interface
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.Out, self).__init__()

                                        self.yang_name = "out"
                                        self.yang_parent_name = "distribute-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interface = YLeaf(YType.str, "interface")
                                        self._segment_path = lambda: "out"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.DistributeList.Out, ['interface'], name, value)


                            class MaximumPaths(Entity):
                                """
                                Forward packets over multiple paths
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.MaxPath>`
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.ExternalRtfilter>`
                                
                                .. attribute:: eibgp
                                
                                	Both eBGP and iBGP paths as multipath
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: ibgp
                                
                                	iBGP\-multipath
                                	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths, self).__init__()

                                    self.yang_name = "maximum-paths"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp)}
                                    self._child_list_classes = {}

                                    self.eibgp = YLeaf(YType.uint16, "eibgp")

                                    self.max_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.MaxPath()
                                    self.max_path.parent = self
                                    self._children_name_map["max_path"] = "max-path"
                                    self._children_yang_names.add("max-path")

                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                    self._children_yang_names.add("external-rtfilter")

                                    self.ibgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp()
                                    self.ibgp.parent = self
                                    self._children_name_map["ibgp"] = "ibgp"
                                    self._children_yang_names.add("ibgp")
                                    self._segment_path = lambda: "maximum-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths, ['eibgp'], name, value)


                                class MaxPath(Entity):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.MaxPath, self).__init__()

                                        self.yang_name = "max-path"
                                        self.yang_parent_name = "maximum-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max = YLeaf(YType.uint16, "max")
                                        self._segment_path = lambda: "max-path"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.MaxPath, ['max'], name, value)


                                class ExternalRtfilter(Entity):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.ExternalRtfilter, self).__init__()

                                        self.yang_name = "external-rtfilter"
                                        self.yang_parent_name = "maximum-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max = YLeaf(YType.uint16, "max")
                                        self._segment_path = lambda: "external-rtfilter"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                class Ibgp(Entity):
                                    """
                                    iBGP\-multipath
                                    
                                    .. attribute:: unequal_cost
                                    
                                    	Perform Un\-Equal cost multipath selection
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp, self).__init__()

                                        self.yang_name = "ibgp"
                                        self.yang_parent_name = "maximum-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                        self.max = YLeaf(YType.uint16, "max")
                                        self._segment_path = lambda: "ibgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                            class Neighbor(Entity):
                                """
                                Specify a neighbor router
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: peer_group
                                
                                	Member of the peer\-group
                                	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PeerGroup>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: remote_as
                                
                                	Specify a BGP neighbor
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: local_as
                                
                                	Specify a local\-as number
                                	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LocalAs>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: activate
                                
                                	Enable the Address Family for this Neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: additional_paths
                                
                                	
                                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths>`
                                
                                .. attribute:: advertise
                                
                                	Advertise to this neighbor
                                	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise>`
                                
                                .. attribute:: advertise_map
                                
                                	specify route\-map for conditional advertisement
                                	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap>`
                                
                                .. attribute:: aigp
                                
                                	Enable a AIGP on neighbor
                                	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: allow_policy
                                
                                	Enable the policy support for this IBGP Neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: announce
                                
                                	Announce RPKI State using an Extended Community
                                	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce>`
                                
                                .. attribute:: advertisement_interval
                                
                                	Minimum interval between sending BGP routing updates
                                	**type**\: int
                                
                                	**range:** 0..600
                                
                                .. attribute:: allowas_in
                                
                                	Accept as\-path with my AS present in it
                                	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AllowasIn>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: as_override
                                
                                	Override matching AS\-number while sending update
                                	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AsOverride>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: capability
                                
                                	Advertise capability to the peer
                                	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability>`
                                
                                .. attribute:: cluster_id
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: default_originate
                                
                                	Originate default route to this neighbour
                                	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DefaultOriginate>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: description
                                
                                	Neighbor specific description
                                	**type**\: str
                                
                                .. attribute:: disable_connected_check
                                
                                	One\-hop away EBGP peer using loopback address
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter updates to/from this neighbor
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList>`
                                
                                .. attribute:: dmzlink_bw
                                
                                	Propagate the DMZ link bandwidth
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ebgp_multihop
                                
                                	Allow EBGP neighbors not on directly connected networks
                                	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.EbgpMultihop>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: fall_over
                                
                                	session fall on peer route lost
                                	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver>`
                                
                                .. attribute:: filter_list
                                
                                	Establish BGP filters
                                	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList>`
                                
                                .. attribute:: inherit
                                
                                	Inherit a template
                                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Inherit>`
                                
                                .. attribute:: log_neighbor_changes
                                
                                	Log neighbor up/down and reset reason
                                	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LogNeighborChanges>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes accepted from this peer
                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.MaximumPrefix>`
                                
                                .. attribute:: next_hop_self
                                
                                	Disable the next hop calculation for this neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: next_hop_unchanged
                                
                                	Propagate the iBGP paths's next hop unchanged for this neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: password
                                
                                	Set a password
                                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Password>`
                                
                                .. attribute:: prefix_list
                                
                                	Filter updates to/from this neighbor
                                	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList>`
                                
                                .. attribute:: path_attribute
                                
                                	BGP optional attribute filtering
                                	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute>`
                                
                                .. attribute:: remove_private_as
                                
                                	Remove private AS number from outbound updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Apply route map to neighbor
                                	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap>`
                                
                                .. attribute:: route_reflector_client
                                
                                	Configure a neighbor as Route Reflector client
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_reflector_cluster_id
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: send_community
                                
                                	Send Community attribute to this neighbor
                                	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: send_label
                                
                                	Send NLRI + MPLS Label to this peer
                                	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel>`
                                
                                .. attribute:: soo
                                
                                	ASN\:nn or IP\-address\:nn  VPN extended community
                                	**type**\: str
                                
                                .. attribute:: shutdown
                                
                                	Administratively shut down this neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: soft_reconfiguration
                                
                                	Per neighbor soft reconfiguration
                                	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SoftReconfiguration>`
                                
                                .. attribute:: slow_peer
                                
                                	Configure slow\-peer
                                	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer>`
                                
                                .. attribute:: timers
                                
                                	BGP per neighbor timers
                                	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Timers>`
                                
                                .. attribute:: translate_update
                                
                                	Translate Update to MBGP format
                                	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate>`
                                
                                .. attribute:: transport
                                
                                	Transport options
                                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport>`
                                
                                .. attribute:: ttl_security
                                
                                	BGP ttl security check
                                	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TtlSecurity>`
                                
                                .. attribute:: unsuppress_map
                                
                                	Route\-map to selectively unsuppress suppressed routes
                                	**type**\: str
                                
                                .. attribute:: update_source
                                
                                	Source of routing updates
                                	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource>`
                                
                                .. attribute:: version
                                
                                	Set the BGP version to match a neighbor
                                	**type**\: int
                                
                                	**range:** 4..None
                                
                                .. attribute:: weight
                                
                                	Set default weight for routes from this neighbor
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: ha_mode
                                
                                	high availability mode
                                	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor, self).__init__()

                                    self.yang_name = "neighbor"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap)}

                                    self.id = YLeaf(YType.str, "id")

                                    self.remote_as = YLeaf(YType.str, "remote-as")

                                    self.activate = YLeaf(YType.empty, "activate")

                                    self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                    self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                    self.cluster_id = YLeaf(YType.str, "cluster-id")

                                    self.description = YLeaf(YType.str, "description")

                                    self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                    self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                    self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                    self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                    self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                    self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                    self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                    self.soo = YLeaf(YType.str, "soo")

                                    self.shutdown = YLeaf(YType.empty, "shutdown")

                                    self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                    self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                    self.version = YLeaf(YType.uint16, "version")

                                    self.weight = YLeaf(YType.uint16, "weight")

                                    self.peer_group = None
                                    self._children_name_map["peer_group"] = "peer-group"
                                    self._children_yang_names.add("peer-group")

                                    self.local_as = None
                                    self._children_name_map["local_as"] = "local-as"
                                    self._children_yang_names.add("local-as")

                                    self.additional_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self._children_name_map["additional_paths"] = "additional-paths"
                                    self._children_yang_names.add("additional-paths")

                                    self.advertise = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise()
                                    self.advertise.parent = self
                                    self._children_name_map["advertise"] = "advertise"
                                    self._children_yang_names.add("advertise")

                                    self.advertise_map = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap()
                                    self.advertise_map.parent = self
                                    self._children_name_map["advertise_map"] = "advertise-map"
                                    self._children_yang_names.add("advertise-map")

                                    self.aigp = None
                                    self._children_name_map["aigp"] = "aigp"
                                    self._children_yang_names.add("aigp")

                                    self.announce = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce()
                                    self.announce.parent = self
                                    self._children_name_map["announce"] = "announce"
                                    self._children_yang_names.add("announce")

                                    self.allowas_in = None
                                    self._children_name_map["allowas_in"] = "allowas-in"
                                    self._children_yang_names.add("allowas-in")

                                    self.as_override = None
                                    self._children_name_map["as_override"] = "as-override"
                                    self._children_yang_names.add("as-override")

                                    self.capability = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability()
                                    self.capability.parent = self
                                    self._children_name_map["capability"] = "capability"
                                    self._children_yang_names.add("capability")

                                    self.default_originate = None
                                    self._children_name_map["default_originate"] = "default-originate"
                                    self._children_yang_names.add("default-originate")

                                    self.ebgp_multihop = None
                                    self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                    self._children_yang_names.add("ebgp-multihop")

                                    self.fall_over = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver()
                                    self.fall_over.parent = self
                                    self._children_name_map["fall_over"] = "fall-over"
                                    self._children_yang_names.add("fall-over")

                                    self.inherit = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Inherit()
                                    self.inherit.parent = self
                                    self._children_name_map["inherit"] = "inherit"
                                    self._children_yang_names.add("inherit")

                                    self.log_neighbor_changes = None
                                    self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                    self._children_yang_names.add("log-neighbor-changes")

                                    self.maximum_prefix = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                    self._children_yang_names.add("maximum-prefix")

                                    self.password = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Password()
                                    self.password.parent = self
                                    self._children_name_map["password"] = "password"
                                    self._children_yang_names.add("password")

                                    self.path_attribute = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute()
                                    self.path_attribute.parent = self
                                    self._children_name_map["path_attribute"] = "path-attribute"
                                    self._children_yang_names.add("path-attribute")

                                    self.send_community = None
                                    self._children_name_map["send_community"] = "send-community"
                                    self._children_yang_names.add("send-community")

                                    self.send_label = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel()
                                    self.send_label.parent = self
                                    self._children_name_map["send_label"] = "send-label"
                                    self._children_yang_names.add("send-label")

                                    self.slow_peer = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer()
                                    self.slow_peer.parent = self
                                    self._children_name_map["slow_peer"] = "slow-peer"
                                    self._children_yang_names.add("slow-peer")

                                    self.timers = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Timers()
                                    self.timers.parent = self
                                    self._children_name_map["timers"] = "timers"
                                    self._children_yang_names.add("timers")

                                    self.translate_update = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate()
                                    self.translate_update.parent = self
                                    self._children_name_map["translate_update"] = "translate-update"
                                    self._children_yang_names.add("translate-update")

                                    self.transport = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport()
                                    self.transport.parent = self
                                    self._children_name_map["transport"] = "transport"
                                    self._children_yang_names.add("transport")

                                    self.ttl_security = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TtlSecurity()
                                    self.ttl_security.parent = self
                                    self._children_name_map["ttl_security"] = "ttl-security"
                                    self._children_yang_names.add("ttl-security")

                                    self.update_source = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource()
                                    self.update_source.parent = self
                                    self._children_name_map["update_source"] = "update-source"
                                    self._children_yang_names.add("update-source")

                                    self.ha_mode = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode()
                                    self.ha_mode.parent = self
                                    self._children_name_map["ha_mode"] = "ha-mode"
                                    self._children_yang_names.add("ha-mode")

                                    self.distribute_list = YList(self)
                                    self.filter_list = YList(self)
                                    self.prefix_list = YList(self)
                                    self.route_map = YList(self)
                                    self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                class SoftReconfiguration(Enum):
                                    """
                                    SoftReconfiguration

                                    Per neighbor soft reconfiguration

                                    .. data:: inbound = 0

                                    """

                                    inbound = Enum.YLeaf(0, "inbound")



                                class PeerGroup(Entity):
                                    """
                                    Member of the peer\-group
                                    
                                    .. attribute:: peer_group_name
                                    
                                    	WORD;;peer\-group name
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PeerGroup, self).__init__()

                                        self.yang_name = "peer-group"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                        self._segment_path = lambda: "peer-group"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                class LocalAs(Entity):
                                    """
                                    Specify a local\-as number
                                    
                                    .. attribute:: as_no
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: no_prepend
                                    
                                    	Do not prepend local\-as to updates from ebgp peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: replace_as
                                    
                                    	Replace real AS with local AS in the EBGP updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dual_as
                                    
                                    	Accept either real AS or local AS from the ebgp peer
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LocalAs, self).__init__()

                                        self.yang_name = "local-as"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.as_no = YLeaf(YType.str, "as-no")

                                        self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                        self.replace_as = YLeaf(YType.empty, "replace-as")

                                        self.dual_as = YLeaf(YType.empty, "dual-as")
                                        self._segment_path = lambda: "local-as"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                class AdditionalPaths(Entity):
                                    """
                                    
                                    
                                    .. attribute:: disable
                                    
                                    	Disable additional paths for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: send
                                    
                                    	Send additional paths to this neighbor
                                    	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths.Send>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths, self).__init__()

                                        self.yang_name = "additional-paths"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths.Send)}
                                        self._child_list_classes = {}

                                        self.disable = YLeaf(YType.empty, "disable")

                                        self.receive = YLeaf(YType.empty, "receive")

                                        self.send = None
                                        self._children_name_map["send"] = "send"
                                        self._children_yang_names.add("send")
                                        self._segment_path = lambda: "additional-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                    class Send(Entity):
                                        """
                                        Send additional paths to this neighbor
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths.Send, self).__init__()

                                            self.yang_name = "send"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.receive = YLeaf(YType.empty, "receive")
                                            self._segment_path = lambda: "send"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                class Advertise(Entity):
                                    """
                                    Advertise to this neighbor
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Advertise additional paths
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Advertise best\-external (at RRs best\-internal) path
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: diverse_path
                                    
                                    	Advertise diverse path
                                    	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise, self).__init__()

                                        self.yang_name = "advertise"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath)}
                                        self._child_list_classes = {}

                                        self.best_external = YLeaf(YType.empty, "best-external")

                                        self.additional_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.diverse_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath()
                                        self.diverse_path.parent = self
                                        self._children_name_map["diverse_path"] = "diverse-path"
                                        self._children_yang_names.add("diverse-path")
                                        self._segment_path = lambda: "advertise"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise, ['best_external'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Advertise additional paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "advertise"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                            self._child_list_classes = {}

                                            self.all = None
                                            self._children_name_map["all"] = "all"
                                            self._children_yang_names.add("all")

                                            self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "additional-paths"


                                        class All(Entity):
                                            """
                                            Select all available paths
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                self.yang_name = "all"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "all"


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "all"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.group_best = YLeaf(YType.empty, "group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "all"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                self.best_range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                            class BestRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                    self.yang_name = "best-range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "best-range"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.all = YLeaf(YType.empty, "all")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.all = YLeaf(YType.empty, "all")

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                    class DiversePath(Entity):
                                        """
                                        Advertise diverse path
                                        
                                        .. attribute:: backup
                                        
                                        	Diverse path can be backup path
                                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath.Backup>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath, self).__init__()

                                            self.yang_name = "diverse-path"
                                            self.yang_parent_name = "advertise"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath.Backup)}
                                            self._child_list_classes = {}

                                            self.mpath = YLeaf(YType.empty, "mpath")

                                            self.backup = None
                                            self._children_name_map["backup"] = "backup"
                                            self._children_yang_names.add("backup")
                                            self._segment_path = lambda: "diverse-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                        class Backup(Entity):
                                            """
                                            Diverse path can be backup path
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                self.yang_name = "backup"
                                                self.yang_parent_name = "diverse-path"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.mpath = YLeaf(YType.empty, "mpath")
                                                self._segment_path = lambda: "backup"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                class AdvertiseMap(Entity):
                                    """
                                    specify route\-map for conditional advertisement
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap.Name>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap, self).__init__()

                                        self.yang_name = "advertise-map"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap.Name)}

                                        self.name = YList(self)
                                        self._segment_path = lambda: "advertise-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap, [], name, value)


                                    class Name(Entity):
                                        """
                                        
                                        
                                        .. attribute:: word  <key>
                                        
                                        	advertise route\-map name
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	condition route\-map name
                                        	**type**\: str
                                        
                                        .. attribute:: non_exist_map
                                        
                                        	condition route\-map name
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap.Name, self).__init__()

                                            self.yang_name = "name"
                                            self.yang_parent_name = "advertise-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word = YLeaf(YType.str, "word")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                            self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                class Aigp(Entity):
                                    """
                                    Enable a AIGP on neighbor
                                    
                                    .. attribute:: send
                                    
                                    	Cost community or MED carrying AIGP VALUE
                                    	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp, self).__init__()

                                        self.yang_name = "aigp"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.send = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send()
                                        self.send.parent = self
                                        self._children_name_map["send"] = "send"
                                        self._children_yang_names.add("send")
                                        self._segment_path = lambda: "aigp"


                                    class Send(Entity):
                                        """
                                        Cost community or MED carrying AIGP VALUE
                                        
                                        .. attribute:: cost_community
                                        
                                        	Cost extended community carrying AIGP Value
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity>`
                                        
                                        .. attribute:: med
                                        
                                        	Med carrying AIGP Value
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send, self).__init__()

                                            self.yang_name = "send"
                                            self.yang_parent_name = "aigp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity)}
                                            self._child_list_classes = {}

                                            self.med = YLeaf(YType.empty, "med")

                                            self.cost_community = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")
                                            self._segment_path = lambda: "send"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send, ['med'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            Cost extended community carrying AIGP Value
                                            
                                            .. attribute:: cc_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "send"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                self.cc_range = YList(self)
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                            class CcRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Community ID
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: poi
                                                
                                                	Point of Insertion
                                                	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                    self.yang_name = "cc-range"
                                                    self.yang_parent_name = "cost-community"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.poi = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                    self.poi.parent = self
                                                    self._children_name_map["poi"] = "poi"
                                                    self._children_yang_names.add("poi")
                                                    self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                class Poi(Entity):
                                                    """
                                                    Point of Insertion
                                                    
                                                    .. attribute:: igp_cost
                                                    
                                                    	Point of Insertion After IGP
                                                    	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: pre_bestpath
                                                    
                                                    	Point of Insertion At Beginning
                                                    	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                        self.yang_name = "poi"
                                                        self.yang_parent_name = "cc-range"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                        self._child_list_classes = {}

                                                        self.igp_cost = None
                                                        self._children_name_map["igp_cost"] = "igp-cost"
                                                        self._children_yang_names.add("igp-cost")

                                                        self.pre_bestpath = None
                                                        self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                        self._children_yang_names.add("pre-bestpath")
                                                        self._segment_path = lambda: "poi"


                                                    class IgpCost(Entity):
                                                        """
                                                        Point of Insertion After IGP
                                                        
                                                        .. attribute:: transitive
                                                        
                                                        	Cost community is Transitive
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                            self.yang_name = "igp-cost"
                                                            self.yang_parent_name = "poi"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.transitive = YLeaf(YType.empty, "transitive")
                                                            self._segment_path = lambda: "igp-cost"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                    class PreBestpath(Entity):
                                                        """
                                                        Point of Insertion At Beginning
                                                        
                                                        .. attribute:: transitive
                                                        
                                                        	Cost community is Transitive
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                            self.yang_name = "pre-bestpath"
                                                            self.yang_parent_name = "poi"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.transitive = YLeaf(YType.empty, "transitive")
                                                            self._segment_path = lambda: "pre-bestpath"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                class Announce(Entity):
                                    """
                                    Announce RPKI State using an Extended Community
                                    
                                    .. attribute:: rpki
                                    
                                    	Announce RPKI information using an Extended Community
                                    	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce.Rpki>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce, self).__init__()

                                        self.yang_name = "announce"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce.Rpki)}
                                        self._child_list_classes = {}

                                        self.rpki = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce.Rpki()
                                        self.rpki.parent = self
                                        self._children_name_map["rpki"] = "rpki"
                                        self._children_yang_names.add("rpki")
                                        self._segment_path = lambda: "announce"


                                    class Rpki(Entity):
                                        """
                                        Announce RPKI information using an Extended Community
                                        
                                        .. attribute:: state
                                        
                                        	Announce RPKI State information using an Extended Community
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce.Rpki, self).__init__()

                                            self.yang_name = "rpki"
                                            self.yang_parent_name = "announce"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.state = YLeaf(YType.empty, "state")
                                            self._segment_path = lambda: "rpki"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Announce.Rpki, ['state'], name, value)


                                class AllowasIn(Entity):
                                    """
                                    Accept as\-path with my AS present in it
                                    
                                    .. attribute:: as_number
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..10
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AllowasIn, self).__init__()

                                        self.yang_name = "allowas-in"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.as_number = YLeaf(YType.uint8, "as-number")
                                        self._segment_path = lambda: "allowas-in"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AllowasIn, ['as_number'], name, value)


                                class AsOverride(Entity):
                                    """
                                    Override matching AS\-number while sending update
                                    
                                    .. attribute:: disable
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AsOverride, self).__init__()

                                        self.yang_name = "as-override"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "as-override"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.AsOverride, ['disable'], name, value)


                                class Capability(Entity):
                                    """
                                    Advertise capability to the peer
                                    
                                    .. attribute:: orf
                                    
                                    	Advertise ORF capability to the peer
                                    	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability, self).__init__()

                                        self.yang_name = "capability"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf)}
                                        self._child_list_classes = {}

                                        self.orf = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf()
                                        self.orf.parent = self
                                        self._children_name_map["orf"] = "orf"
                                        self._children_yang_names.add("orf")
                                        self._segment_path = lambda: "capability"


                                    class Orf(Entity):
                                        """
                                        Advertise ORF capability to the peer
                                        
                                        .. attribute:: prefix_list
                                        
                                        	Advertise prefixlist ORF capability to this neighbor
                                        	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf.PrefixList>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf, self).__init__()

                                            self.yang_name = "orf"
                                            self.yang_parent_name = "capability"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                            self._segment_path = lambda: "orf"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                        class PrefixList(Enum):
                                            """
                                            PrefixList

                                            Advertise prefixlist ORF capability to this neighbor

                                            .. data:: both = 0

                                            .. data:: receive = 1

                                            .. data:: send = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            receive = Enum.YLeaf(1, "receive")

                                            send = Enum.YLeaf(2, "send")



                                class DefaultOriginate(Entity):
                                    """
                                    Originate default route to this neighbour
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to specify criteria to originate default
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DefaultOriginate, self).__init__()

                                        self.yang_name = "default-originate"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "default-originate"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter updates to/from this neighbor
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList.Inout>`
                                    
                                    .. attribute:: accesslist
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1300..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.inout = YLeaf(YType.enumeration, "inout")

                                        self.accesslist = YLeaf(YType.str, "accesslist")
                                        self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                    class Inout(Enum):
                                        """
                                        Inout

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = Enum.YLeaf(0, "in")

                                        out = Enum.YLeaf(1, "out")



                                class EbgpMultihop(Entity):
                                    """
                                    Allow EBGP neighbors not on directly connected networks
                                    
                                    .. attribute:: max_hop
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.EbgpMultihop, self).__init__()

                                        self.yang_name = "ebgp-multihop"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.max_hop = YLeaf(YType.uint8, "max-hop")
                                        self._segment_path = lambda: "ebgp-multihop"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                class FallOver(Entity):
                                    """
                                    session fall on peer route lost
                                    
                                    .. attribute:: bfd
                                    
                                    	Use BFD to detect failure
                                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver.Bfd>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver, self).__init__()

                                        self.yang_name = "fall-over"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver.Bfd)}
                                        self._child_list_classes = {}

                                        self.bfd = None
                                        self._children_name_map["bfd"] = "bfd"
                                        self._children_yang_names.add("bfd")
                                        self._segment_path = lambda: "fall-over"


                                    class Bfd(Entity):
                                        """
                                        Use BFD to detect failure
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FallOver.Bfd, self).__init__()

                                            self.yang_name = "bfd"
                                            self.yang_parent_name = "fall-over"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True
                                            self._segment_path = lambda: "bfd"


                                class FilterList(Entity):
                                    """
                                    Establish BGP filters
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList.Inout>`
                                    
                                    .. attribute:: as_path_list
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..500
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList, self).__init__()

                                        self.yang_name = "filter-list"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.inout = YLeaf(YType.enumeration, "inout")

                                        self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                        self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                    class Inout(Enum):
                                        """
                                        Inout

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = Enum.YLeaf(0, "in")

                                        out = Enum.YLeaf(1, "out")



                                class Inherit(Entity):
                                    """
                                    Inherit a template
                                    
                                    .. attribute:: peer_policy
                                    
                                    	Inherit a peer\-policy template
                                    	**type**\: str
                                    
                                    .. attribute:: peer_session
                                    
                                    	Inherit a peer\-session template
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Inherit, self).__init__()

                                        self.yang_name = "inherit"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.peer_policy = YLeaf(YType.str, "peer-policy")

                                        self.peer_session = YLeaf(YType.str, "peer-session")
                                        self._segment_path = lambda: "inherit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                class LogNeighborChanges(Entity):
                                    """
                                    Log neighbor up/down and reset reason
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LogNeighborChanges, self).__init__()

                                        self.yang_name = "log-neighbor-changes"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "log-neighbor-changes"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                class MaximumPrefix(Entity):
                                    """
                                    Maximum number of prefixes accepted from this peer
                                    
                                    .. attribute:: max_prefix_no
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..2147483647
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: restart
                                    
                                    	Restart bgp connection after limit is exceeded
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.MaximumPrefix, self).__init__()

                                        self.yang_name = "maximum-prefix"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                        self.restart = YLeaf(YType.uint16, "restart")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")
                                        self._segment_path = lambda: "maximum-prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                class Password(Entity):
                                    """
                                    Set a password
                                    
                                    .. attribute:: enctype
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: text
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Password, self).__init__()

                                        self.yang_name = "password"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enctype = YLeaf(YType.uint8, "enctype")

                                        self.text = YLeaf(YType.str, "text")
                                        self._segment_path = lambda: "password"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Password, ['enctype', 'text'], name, value)


                                class PrefixList(Entity):
                                    """
                                    Filter updates to/from this neighbor
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList.Inout>`
                                    
                                    .. attribute:: prefix_list_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList, self).__init__()

                                        self.yang_name = "prefix-list"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.inout = YLeaf(YType.enumeration, "inout")

                                        self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                        self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                    class Inout(Enum):
                                        """
                                        Inout

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = Enum.YLeaf(0, "in")

                                        out = Enum.YLeaf(1, "out")



                                class PathAttribute(Entity):
                                    """
                                    BGP optional attribute filtering
                                    
                                    .. attribute:: discard
                                    
                                    	Discard matching path\-attribute for this neighbor
                                    	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard>`
                                    
                                    .. attribute:: treat_as_withdraw
                                    
                                    	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute, self).__init__()

                                        self.yang_name = "path-attribute"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw)}
                                        self._child_list_classes = {}

                                        self.discard = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard()
                                        self.discard.parent = self
                                        self._children_name_map["discard"] = "discard"
                                        self._children_yang_names.add("discard")

                                        self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw()
                                        self.treat_as_withdraw.parent = self
                                        self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                        self._children_yang_names.add("treat-as-withdraw")
                                        self._segment_path = lambda: "path-attribute"


                                    class Discard(Entity):
                                        """
                                        Discard matching path\-attribute for this neighbor
                                        
                                        .. attribute:: attibute_type
                                        
                                        	
                                        	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.AttibuteType>`
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard, self).__init__()

                                            self.yang_name = "discard"
                                            self.yang_parent_name = "path-attribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Range)}
                                            self._child_list_classes = {}

                                            self.attibute_type = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.AttibuteType()
                                            self.attibute_type.parent = self
                                            self._children_name_map["attibute_type"] = "attibute_type"
                                            self._children_yang_names.add("attibute_type")

                                            self.range = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Range()
                                            self.range.parent = self
                                            self._children_name_map["range"] = "range"
                                            self._children_yang_names.add("range")
                                            self._segment_path = lambda: "discard"


                                        class AttibuteType(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type
                                            
                                            	path attribute type
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                self.yang_name = "attibute_type"
                                                self.yang_parent_name = "discard"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.type = YLeaf(YType.uint8, "type")

                                                self.in_ = YLeaf(YType.empty, "in")
                                                self._segment_path = lambda: "attibute_type"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                        class Range(Entity):
                                            """
                                            
                                            
                                            .. attribute:: start_value
                                            
                                            	path attribute range start value
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: end_value
                                            
                                            	path attribute range end value
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                self.yang_name = "range"
                                                self.yang_parent_name = "discard"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.start_value = YLeaf(YType.uint8, "start_value")

                                                self.end_value = YLeaf(YType.uint8, "end_value")

                                                self.in_ = YLeaf(YType.empty, "in")
                                                self._segment_path = lambda: "range"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class TreatAsWithdraw(Entity):
                                        """
                                        Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        
                                        .. attribute:: attibute_type
                                        
                                        	
                                        	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                            self.yang_name = "treat-as-withdraw"
                                            self.yang_parent_name = "path-attribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                            self._child_list_classes = {}

                                            self.attibute_type = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                            self.attibute_type.parent = self
                                            self._children_name_map["attibute_type"] = "attibute_type"
                                            self._children_yang_names.add("attibute_type")

                                            self.range = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                            self.range.parent = self
                                            self._children_name_map["range"] = "range"
                                            self._children_yang_names.add("range")
                                            self._segment_path = lambda: "treat-as-withdraw"


                                        class AttibuteType(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type
                                            
                                            	path attribute type
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                self.yang_name = "attibute_type"
                                                self.yang_parent_name = "treat-as-withdraw"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.type = YLeaf(YType.uint8, "type")

                                                self.in_ = YLeaf(YType.empty, "in")
                                                self._segment_path = lambda: "attibute_type"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                        class Range(Entity):
                                            """
                                            
                                            
                                            .. attribute:: start_value
                                            
                                            	path attribute range start value
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: end_value
                                            
                                            	path attribute range end value
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                self.yang_name = "range"
                                                self.yang_parent_name = "treat-as-withdraw"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.start_value = YLeaf(YType.uint8, "start_value")

                                                self.end_value = YLeaf(YType.uint8, "end_value")

                                                self.in_ = YLeaf(YType.empty, "in")
                                                self._segment_path = lambda: "range"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                class RouteMap(Entity):
                                    """
                                    Apply route map to neighbor
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap.Inout>`
                                    
                                    .. attribute:: route_map_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap, self).__init__()

                                        self.yang_name = "route-map"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.inout = YLeaf(YType.enumeration, "inout")

                                        self.route_map_name = YLeaf(YType.str, "route-map-name")
                                        self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                    class Inout(Enum):
                                        """
                                        Inout

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = Enum.YLeaf(0, "in")

                                        out = Enum.YLeaf(1, "out")



                                class SendCommunity(Entity):
                                    """
                                    Send Community attribute to this neighbor
                                    
                                    .. attribute:: send_community_where
                                    
                                    	
                                    	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity.SendCommunityWhere>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity, self).__init__()

                                        self.yang_name = "send-community"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                        self._segment_path = lambda: "send-community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                    class SendCommunityWhere(Enum):
                                        """
                                        SendCommunityWhere

                                        .. data:: both = 0

                                        .. data:: extended = 1

                                        .. data:: standard = 2

                                        """

                                        both = Enum.YLeaf(0, "both")

                                        extended = Enum.YLeaf(1, "extended")

                                        standard = Enum.YLeaf(2, "standard")



                                class SendLabel(Entity):
                                    """
                                    Send NLRI + MPLS Label to this peer
                                    
                                    .. attribute:: send_label_explicit
                                    
                                    	
                                    	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel.SendLabelExplicit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel, self).__init__()

                                        self.yang_name = "send-label"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                        self._segment_path = lambda: "send-label"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                    class SendLabelExplicit(Enum):
                                        """
                                        SendLabelExplicit

                                        .. data:: explicit_null = 0

                                        """

                                        explicit_null = Enum.YLeaf(0, "explicit-null")



                                class SlowPeer(Entity):
                                    """
                                    Configure slow\-peer
                                    
                                    .. attribute:: detection
                                    
                                    	Slow\-peer detection
                                    	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.Detection>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: split_update_group
                                    
                                    	Configure slow\-peer split\-update\-group
                                    	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer, self).__init__()

                                        self.yang_name = "slow-peer"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup)}
                                        self._child_list_classes = {}

                                        self.detection = None
                                        self._children_name_map["detection"] = "detection"
                                        self._children_yang_names.add("detection")

                                        self.split_update_group = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup()
                                        self.split_update_group.parent = self
                                        self._children_name_map["split_update_group"] = "split-update-group"
                                        self._children_yang_names.add("split-update-group")
                                        self._segment_path = lambda: "slow-peer"


                                    class Detection(Entity):
                                        """
                                        Slow\-peer detection
                                        
                                        .. attribute:: threshold
                                        
                                        	Threshold value (seconds)
                                        	**type**\: int
                                        
                                        	**range:** 120..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.Detection, self).__init__()

                                            self.yang_name = "detection"
                                            self.yang_parent_name = "slow-peer"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.threshold = YLeaf(YType.uint16, "threshold")
                                            self._segment_path = lambda: "detection"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                    class SplitUpdateGroup(Entity):
                                        """
                                        Configure slow\-peer split\-update\-group
                                        
                                        .. attribute:: dynamic
                                        
                                        	Dynamically split the slow peer to slow\-update group
                                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                            self.yang_name = "split-update-group"
                                            self.yang_parent_name = "slow-peer"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                            self._child_list_classes = {}

                                            self.dynamic = None
                                            self._children_name_map["dynamic"] = "dynamic"
                                            self._children_yang_names.add("dynamic")
                                            self._segment_path = lambda: "split-update-group"


                                        class Dynamic(Entity):
                                            """
                                            Dynamically split the slow peer to slow\-update group
                                            
                                            .. attribute:: permanent
                                            
                                            	Keep the slow\-peer permanently in slow\-update group
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                self.yang_name = "dynamic"
                                                self.yang_parent_name = "split-update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.permanent = YLeaf(YType.empty, "permanent")
                                                self._segment_path = lambda: "dynamic"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                class Timers(Entity):
                                    """
                                    BGP per neighbor timers
                                    
                                    .. attribute:: keepalive_interval
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: holdtime
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: minimum_neighbor_hold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Timers, self).__init__()

                                        self.yang_name = "timers"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                        self.holdtime = YLeaf(YType.uint16, "holdtime")

                                        self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                        self._segment_path = lambda: "timers"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                class TranslateUpdate(Entity):
                                    """
                                    Translate Update to MBGP format
                                    
                                    .. attribute:: ipv4
                                    
                                    	Address Family
                                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate, self).__init__()

                                        self.yang_name = "translate-update"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4)}
                                        self._child_list_classes = {}

                                        self.ipv4 = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4()
                                        self.ipv4.parent = self
                                        self._children_name_map["ipv4"] = "ipv4"
                                        self._children_yang_names.add("ipv4")
                                        self._segment_path = lambda: "translate-update"


                                    class Ipv4(Entity):
                                        """
                                        Address Family
                                        
                                        .. attribute:: multicast
                                        
                                        	Address Family modifier
                                        	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                            self.yang_name = "ipv4"
                                            self.yang_parent_name = "translate-update"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                            self._child_list_classes = {}

                                            self.multicast = None
                                            self._children_name_map["multicast"] = "multicast"
                                            self._children_yang_names.add("multicast")
                                            self._segment_path = lambda: "ipv4"


                                        class Multicast(Entity):
                                            """
                                            Address Family modifier
                                            
                                            .. attribute:: unicast
                                            
                                            	Address Family modifier
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                self.yang_name = "multicast"
                                                self.yang_parent_name = "ipv4"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.unicast = YLeaf(YType.empty, "unicast")
                                                self._segment_path = lambda: "multicast"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                class Transport(Entity):
                                    """
                                    Transport options
                                    
                                    .. attribute:: connection_mode
                                    
                                    	Specify passive or active connection
                                    	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.ConnectionMode>`
                                    
                                    .. attribute:: multi_session
                                    
                                    	Use Multi\-session for transport
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: path_mtu_discovery
                                    
                                    	Use transport path MTU discovery
                                    	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.PathMtuDiscovery>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport, self).__init__()

                                        self.yang_name = "transport"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.PathMtuDiscovery)}
                                        self._child_list_classes = {}

                                        self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                        self.multi_session = YLeaf(YType.empty, "multi-session")

                                        self.path_mtu_discovery = None
                                        self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                        self._children_yang_names.add("path-mtu-discovery")
                                        self._segment_path = lambda: "transport"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                    class ConnectionMode(Enum):
                                        """
                                        ConnectionMode

                                        Specify passive or active connection

                                        .. data:: active = 0

                                        .. data:: passive = 1

                                        """

                                        active = Enum.YLeaf(0, "active")

                                        passive = Enum.YLeaf(1, "passive")



                                    class PathMtuDiscovery(Entity):
                                        """
                                        Use transport path MTU discovery
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                            self.yang_name = "path-mtu-discovery"
                                            self.yang_parent_name = "transport"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "path-mtu-discovery"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                class TtlSecurity(Entity):
                                    """
                                    BGP ttl security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\: int
                                    
                                    	**range:** 1..254
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TtlSecurity, self).__init__()

                                        self.yang_name = "ttl-security"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hops = YLeaf(YType.uint8, "hops")
                                        self._segment_path = lambda: "ttl-security"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.TtlSecurity, ['hops'], name, value)


                                class UpdateSource(Entity):
                                    """
                                    Source of routing updates
                                    
                                    .. attribute:: appnav_compress
                                    
                                    	Service\-Context Virtual Interface Compress
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: appnav_uncompress
                                    
                                    	Service\-Context Virtual Interface UnCompress
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: atm
                                    
                                    	ATM interface
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                    
                                    .. attribute:: atm_subinterface
                                    
                                    	
                                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.ATMSubinterface>`
                                    
                                    .. attribute:: atm_acr
                                    
                                    	ATM\-ACR interface
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]
                                    
                                    .. attribute:: atm_acrsubinterface
                                    
                                    	
                                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.ATMACRsubinterface>`
                                    
                                    .. attribute:: bdi
                                    
                                    	Bridge\-Domain interface
                                    	**type**\: str
                                    
                                    .. attribute:: cem
                                    
                                    	CEM interface
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]
                                    
                                    .. attribute:: cem_acr
                                    
                                    	CEM\-ACR interface
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: embedded_service_engine
                                    
                                    	cisco embedded service engine module
                                    	**type**\: str
                                    
                                    .. attribute:: fastethernet
                                    
                                    	FastEthernet IEEE 802.3
                                    	**type**\: str
                                    
                                    .. attribute:: gigabitethernet
                                    
                                    	GigabitEthernet IEEE 802.3z
                                    	**type**\: str
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol Virtual Interface
                                    	**type**\: str
                                    
                                    .. attribute:: lisp_subinterface
                                    
                                    	Locator/ID Separation Protocol Virtual Interface
                                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.LISPSubinterface>`
                                    
                                    .. attribute:: loopback
                                    
                                    	Loopback interface
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: multilink
                                    
                                    	Multilink\-group interface
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: nve
                                    
                                    	Network virtualization endpoint interface
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: overlay
                                    
                                    	Overlay interface
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: port_channel
                                    
                                    	Ethernet Channel of interfaces
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: port_channel_subinterface
                                    
                                    	
                                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.PortChannelSubinterface>`
                                    
                                    .. attribute:: pseudowire
                                    
                                    	Pseudowire Interface
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: sm
                                    
                                    	SM Interface
                                    	**type**\: str
                                    
                                    .. attribute:: cellular
                                    
                                    	Cellular Interface
                                    	**type**\: str
                                    
                                    .. attribute:: serial
                                    
                                    	Serial interface
                                    	**type**\: str
                                    
                                    .. attribute:: tengigabitethernet
                                    
                                    	Ten Gigabit Ethernet
                                    	**type**\: str
                                    
                                    .. attribute:: tunnel
                                    
                                    	Tunnel interface
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: virtual_template
                                    
                                    	Virtual Template interface
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vlan
                                    
                                    	Iosxr Vlans
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: virtualportgroup
                                    
                                    	Virtual Port Group
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vasileft
                                    
                                    	vasileft
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vasiright
                                    
                                    	vasiright
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource, self).__init__()

                                        self.yang_name = "update-source"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.PortChannelSubinterface)}
                                        self._child_list_classes = {}

                                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                        self.atm = YLeaf(YType.str, "ATM")

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                        self.bdi = YLeaf(YType.str, "BDI")

                                        self.cem = YLeaf(YType.str, "CEM")

                                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                        self.lisp = YLeaf(YType.str, "LISP")

                                        self.loopback = YLeaf(YType.uint32, "Loopback")

                                        self.multilink = YLeaf(YType.uint16, "Multilink")

                                        self.nve = YLeaf(YType.uint16, "nve")

                                        self.overlay = YLeaf(YType.uint16, "overlay")

                                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                        self.sm = YLeaf(YType.str, "SM")

                                        self.cellular = YLeaf(YType.str, "Cellular")

                                        self.serial = YLeaf(YType.str, "Serial")

                                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                        self.vlan = YLeaf(YType.uint16, "Vlan")

                                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                                        self.atm_subinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.ATMSubinterface()
                                        self.atm_subinterface.parent = self
                                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                        self._children_yang_names.add("ATM-subinterface")

                                        self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.ATMACRsubinterface()
                                        self.atm_acrsubinterface.parent = self
                                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                        self._children_yang_names.add("ATM-ACRsubinterface")

                                        self.lisp_subinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.LISPSubinterface()
                                        self.lisp_subinterface.parent = self
                                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                        self._children_yang_names.add("LISP-subinterface")

                                        self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.PortChannelSubinterface()
                                        self.port_channel_subinterface.parent = self
                                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                        self._children_yang_names.add("Port-channel-subinterface")
                                        self._segment_path = lambda: "update-source"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                    class ATMSubinterface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: atm
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                            self.yang_name = "ATM-subinterface"
                                            self.yang_parent_name = "update-source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.atm = YLeaf(YType.str, "ATM")
                                            self._segment_path = lambda: "ATM-subinterface"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                    class ATMACRsubinterface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: atm_acr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                            self.yang_name = "ATM-ACRsubinterface"
                                            self.yang_parent_name = "update-source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                            self._segment_path = lambda: "ATM-ACRsubinterface"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                    class LISPSubinterface(Entity):
                                        """
                                        Locator/ID Separation Protocol Virtual Interface
                                        
                                        .. attribute:: lisp
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                            self.yang_name = "LISP-subinterface"
                                            self.yang_parent_name = "update-source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.lisp = YLeaf(YType.str, "LISP")
                                            self._segment_path = lambda: "LISP-subinterface"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                    class PortChannelSubinterface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: port_channel
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                            self.yang_name = "Port-channel-subinterface"
                                            self.yang_parent_name = "update-source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.port_channel = YLeaf(YType.str, "Port-channel")
                                            self._segment_path = lambda: "Port-channel-subinterface"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                class HaMode(Entity):
                                    """
                                    high availability mode
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	graceful\-restart for this peer
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: sso
                                    
                                    	stateful\-switchover support for this peer
                                    	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.Sso>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode, self).__init__()

                                        self.yang_name = "ha-mode"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.Sso)}
                                        self._child_list_classes = {}

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.sso = None
                                        self._children_name_map["sso"] = "sso"
                                        self._children_yang_names.add("sso")
                                        self._segment_path = lambda: "ha-mode"


                                    class GracefulRestart(Entity):
                                        """
                                        graceful\-restart for this peer
                                        
                                        .. attribute:: disable
                                        
                                        	disable graceful\-restart
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "ha-mode"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                    class Sso(Entity):
                                        """
                                        stateful\-switchover support for this peer
                                        
                                        .. attribute:: disable
                                        
                                        	disable stateful\-switchover
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.Sso, self).__init__()

                                            self.yang_name = "sso"
                                            self.yang_parent_name = "ha-mode"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "sso"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Neighbor.HaMode.Sso, ['disable'], name, value)


                            class Network(Entity):
                                """
                                Specify a network to announce via BGP
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: backdoor
                                
                                	Specify a BGP backdoor route
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	Network mask
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: route_map
                                
                                	Route\-map to modify the attributes
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Network, self).__init__()

                                    self.yang_name = "network"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.str, "number")

                                    self.backdoor = YLeaf(YType.empty, "backdoor")

                                    self.mask = YLeaf(YType.str, "mask")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                            class Redistribute(Entity):
                                """
                                Redistribute information from another routing protocol
                                
                                .. attribute:: application
                                
                                	Application
                                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: dvmrp
                                
                                	Redistribution of DVMRP into BGP IPv4 Multicast
                                	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Dvmrp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis>`
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol
                                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Lisp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: iso_igrp
                                
                                	IGRP for OSI networks
                                	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp>`
                                
                                .. attribute:: mobile
                                
                                	Mobile routes
                                	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Mobile>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: odr
                                
                                	On Demand stub Routes
                                	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Odr>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute, self).__init__()

                                    self.yang_name = "redistribute"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"application" : ("application", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static)}
                                    self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf)}

                                    self.application = None
                                    self._children_name_map["application"] = "application"
                                    self._children_yang_names.add("application")

                                    self.bgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.connected = None
                                    self._children_name_map["connected"] = "connected"
                                    self._children_yang_names.add("connected")

                                    self.dvmrp = None
                                    self._children_name_map["dvmrp"] = "dvmrp"
                                    self._children_yang_names.add("dvmrp")

                                    self.eigrp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Eigrp()
                                    self.eigrp.parent = self
                                    self._children_name_map["eigrp"] = "eigrp"
                                    self._children_yang_names.add("eigrp")

                                    self.isis = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis()
                                    self.isis.parent = self
                                    self._children_name_map["isis"] = "isis"
                                    self._children_yang_names.add("isis")

                                    self.lisp = None
                                    self._children_name_map["lisp"] = "lisp"
                                    self._children_yang_names.add("lisp")

                                    self.iso_igrp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp()
                                    self.iso_igrp.parent = self
                                    self._children_name_map["iso_igrp"] = "iso-igrp"
                                    self._children_yang_names.add("iso-igrp")

                                    self.mobile = None
                                    self._children_name_map["mobile"] = "mobile"
                                    self._children_yang_names.add("mobile")

                                    self.odr = None
                                    self._children_name_map["odr"] = "odr"
                                    self._children_yang_names.add("odr")

                                    self.rip = None
                                    self._children_name_map["rip"] = "rip"
                                    self._children_yang_names.add("rip")

                                    self.static = None
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")

                                    self.ospf = YList(self)
                                    self._segment_path = lambda: "redistribute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute, [], name, value)


                                class Application(Entity):
                                    """
                                    Application
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application.Name>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application, self).__init__()

                                        self.yang_name = "application"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application.Name)}
                                        self.is_presence_container = True

                                        self.name = YList(self)
                                        self._segment_path = lambda: "application"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application, [], name, value)


                                    class Name(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	WORD;;Route map name
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application.Name, self).__init__()

                                            self.yang_name = "name"
                                            self.yang_parent_name = "application"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                class Bgp(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: as_no
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.as_no = YLeaf(YType.str, "as-no")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                class Connected(Entity):
                                    """
                                    Connected
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Connected, self).__init__()

                                        self.yang_name = "connected"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "connected"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                class Dvmrp(Entity):
                                    """
                                    Redistribution of DVMRP into BGP IPv4 Multicast
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Dvmrp, self).__init__()

                                        self.yang_name = "dvmrp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "dvmrp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: as_no
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.as_no = YLeaf(YType.uint16, "as-no")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "eigrp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                class Isis(Entity):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: isis_area
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea>`
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis, self).__init__()

                                        self.yang_name = "isis"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default)}
                                        self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea)}

                                        self.default = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.isis_area = YList(self)
                                        self._segment_path = lambda: "isis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis, [], name, value)


                                    class IsisArea(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP dynamic routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: routes
                                        
                                        	
                                        	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea.Routes>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea, self).__init__()

                                            self.yang_name = "isis-area"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.ip = YLeaf(YType.empty, "ip")

                                            self.clns = YLeaf(YType.empty, "clns")

                                            self.routes = YLeaf(YType.enumeration, "routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                        class Routes(Enum):
                                            """
                                            Routes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Default(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP dynamic routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: routes
                                        
                                        	
                                        	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default.Routes>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip = YLeaf(YType.empty, "ip")

                                            self.clns = YLeaf(YType.empty, "clns")

                                            self.routes = YLeaf(YType.enumeration, "routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                        class Routes(Enum):
                                            """
                                            Routes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class Lisp(Entity):
                                    """
                                    Locator/ID Separation Protocol
                                    
                                    .. attribute:: include_connected
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Lisp, self).__init__()

                                        self.yang_name = "lisp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.include_connected = YLeaf(YType.empty, "include-connected")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "lisp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                class IsoIgrp(Entity):
                                    """
                                    IGRP for OSI networks
                                    
                                    .. attribute:: iso_igrp_area
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpArea>`
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.Default>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp, self).__init__()

                                        self.yang_name = "iso-igrp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.Default)}
                                        self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpArea)}

                                        self.default = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.iso_igrp_area = YList(self)
                                        self._segment_path = lambda: "iso-igrp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp, [], name, value)


                                    class IsoIgrpArea(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                            self.yang_name = "iso-igrp-area"
                                            self.yang_parent_name = "iso-igrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                    class Default(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "iso-igrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                class Mobile(Entity):
                                    """
                                    Mobile routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Mobile, self).__init__()

                                        self.yang_name = "mobile"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "mobile"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                class Odr(Entity):
                                    """
                                    On Demand stub Routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Odr, self).__init__()

                                        self.yang_name = "odr"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "odr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: vrf
                                    
                                    	VPN Routing/Forwarding Instance
                                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf>`
                                    
                                    .. attribute:: non_vrf
                                    
                                    	
                                    	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf)}
                                        self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf)}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.non_vrf = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf()
                                        self.non_vrf.parent = self
                                        self._children_name_map["non_vrf"] = "non-vrf"
                                        self._children_yang_names.add("non-vrf")

                                        self.vrf = YList(self)
                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf, ['id'], name, value)


                                    class Vrf(Entity):
                                        """
                                        VPN Routing/Forwarding Instance
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: match
                                        
                                        	
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf, self).__init__()

                                            self.yang_name = "vrf"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf.Match)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.match = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                        class Match(Entity):
                                            """
                                            
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "vrf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self._segment_path = lambda: "match"


                                    class NonVrf(Entity):
                                        """
                                        
                                        
                                        .. attribute:: match
                                        
                                        	
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf, self).__init__()

                                            self.yang_name = "non-vrf"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf.Match)}
                                            self._child_list_classes = {}

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.match = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "non-vrf"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                        class Match(Entity):
                                            """
                                            
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                            
                                            .. attribute:: external2
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "non-vrf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.internal = YLeaf(YType.empty, "internal")

                                                self.external = YLeaf(YType.enumeration, "external")

                                                self.external2 = YLeaf(YType.enumeration, "external2")

                                                self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "match"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                class Rip(Entity):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: name
                                    
                                    	User selected string identifying this process
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Rip, self).__init__()

                                        self.yang_name = "rip"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.name = YLeaf(YType.str, "name")
                                        self._segment_path = lambda: "rip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                class Static(Entity):
                                    """
                                    Static routes
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Clns>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ip
                                    
                                    	
                                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Ip)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.clns = None
                                        self._children_name_map["clns"] = "clns"
                                        self._children_yang_names.add("clns")

                                        self.ip = None
                                        self._children_name_map["ip"] = "ip"
                                        self._children_yang_names.add("ip")
                                        self._segment_path = lambda: "static"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static, ['metric', 'route_map'], name, value)


                                    class Clns(Entity):
                                        """
                                        Redistribution of OSI dynamic routes
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Clns, self).__init__()

                                            self.yang_name = "clns"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "clns"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                    class Ip(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Ip, self).__init__()

                                            self.yang_name = "ip"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                            class TableMap(Entity):
                                """
                                Map external entry attributes into routing table
                                
                                .. attribute:: name
                                
                                	WORD;;route\-map name
                                	**type**\: str
                                
                                .. attribute:: filter
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.TableMap, self).__init__()

                                    self.yang_name = "table-map"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.name = YLeaf(YType.str, "name")

                                    self.filter = YLeaf(YType.empty, "filter")
                                    self._segment_path = lambda: "table-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.TableMap, ['name', 'filter'], name, value)


                            class Snmp(Entity):
                                """
                                Modify snmp parameters
                                
                                .. attribute:: context
                                
                                	Configure a SNMP context
                                	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp, self).__init__()

                                    self.yang_name = "snmp"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"context" : ("context", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.context = Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context()
                                    self.context.parent = self
                                    self._children_name_map["context"] = "context"
                                    self._children_yang_names.add("context")
                                    self._segment_path = lambda: "snmp"


                                class Context(Entity):
                                    """
                                    Configure a SNMP context
                                    
                                    .. attribute:: context_word
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context.ContextWord>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context, self).__init__()

                                        self.yang_name = "context"
                                        self.yang_parent_name = "snmp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context.ContextWord)}

                                        self.context_word = YList(self)
                                        self._segment_path = lambda: "context"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context, [], name, value)


                                    class ContextWord(Entity):
                                        """
                                        
                                        
                                        .. attribute:: context_word  <key>
                                        
                                        	Context Name
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context.ContextWord, self).__init__()

                                            self.yang_name = "context_word"
                                            self.yang_parent_name = "context"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.context_word = YLeaf(YType.str, "context_word")
                                            self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv4.Vrf.Snmp.Context.ContextWord, ['context_word'], name, value)


                    class Ipv6(Entity):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:  :py:class:`BgpIpv6AfType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.BgpIpv6AfType>`
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "with-vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf)}

                            self.af_name = YLeaf(YType.enumeration, "af-name")

                            self.vrf = YList(self)
                            self._segment_path = lambda: "ipv6" + "[af-name='" + self.af_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6, ['af_name'], name, value)


                        class Vrf(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: aggregate_address
                            
                            	Configure BGP aggregate entries
                            	**type**\:  :py:class:`AggregateAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.AggregateAddress>`
                            
                            .. attribute:: import_
                            
                            	Configure path import
                            	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Import_>`
                            
                            .. attribute:: bgp
                            
                            	BGP specific commands
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp>`
                            
                            .. attribute:: default_information
                            
                            	Control distribution of default information
                            	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DefaultInformation>`
                            
                            .. attribute:: default_metric
                            
                            	Set metric of redistributed routes
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: distance
                            
                            	Define an administrative distance
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter networks in routing updates
                            	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList>`
                            
                            .. attribute:: maximum_paths
                            
                            	Forward packets over multiple paths
                            	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths>`
                            
                            .. attribute:: neighbor
                            
                            	Specify a neighbor router
                            	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor>`
                            
                            .. attribute:: network
                            
                            	Specify a network to announce via BGP
                            	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Network>`
                            
                            .. attribute:: redistribute
                            
                            	Redistribute information from another routing protocol
                            	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute>`
                            
                            .. attribute:: synchronization
                            
                            	Perform IGP synchronization
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: auto_summary
                            
                            	Enable automatic network number summarization
                            	**type**\: bool
                            
                            .. attribute:: table_map
                            
                            	Map external entry attributes into routing table
                            	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.TableMap>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: snmp
                            
                            	Modify snmp parameters
                            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"aggregate-address" : ("aggregate_address", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.AggregateAddress), "import" : ("import_", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Import_), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp), "default-information" : ("default_information", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.TableMap), "snmp" : ("snmp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp)}
                                self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor), "network" : ("network", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Network)}

                                self.name = YLeaf(YType.str, "name")

                                self.default_metric = YLeaf(YType.uint32, "default-metric")

                                self.synchronization = YLeaf(YType.empty, "synchronization")

                                self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                self.aggregate_address = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.AggregateAddress()
                                self.aggregate_address.parent = self
                                self._children_name_map["aggregate_address"] = "aggregate-address"
                                self._children_yang_names.add("aggregate-address")

                                self.import_ = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Import_()
                                self.import_.parent = self
                                self._children_name_map["import_"] = "import"
                                self._children_yang_names.add("import")

                                self.bgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.default_information = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DefaultInformation()
                                self.default_information.parent = self
                                self._children_name_map["default_information"] = "default-information"
                                self._children_yang_names.add("default-information")

                                self.distance = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.maximum_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths()
                                self.maximum_paths.parent = self
                                self._children_name_map["maximum_paths"] = "maximum-paths"
                                self._children_yang_names.add("maximum-paths")

                                self.redistribute = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute()
                                self.redistribute.parent = self
                                self._children_name_map["redistribute"] = "redistribute"
                                self._children_yang_names.add("redistribute")

                                self.table_map = None
                                self._children_name_map["table_map"] = "table-map"
                                self._children_yang_names.add("table-map")

                                self.snmp = None
                                self._children_name_map["snmp"] = "snmp"
                                self._children_yang_names.add("snmp")

                                self.distribute_list = YList(self)
                                self.neighbor = YList(self)
                                self.network = YList(self)
                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf, ['name', 'default_metric', 'synchronization', 'auto_summary'], name, value)


                            class AggregateAddress(Entity):
                                """
                                Configure BGP aggregate entries
                                
                                .. attribute:: ipv6_address
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: advertise_map
                                
                                	Set condition to advertise attribute
                                	**type**\: str
                                
                                .. attribute:: as_set
                                
                                	Generate AS set path information
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: attribute_map
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: as_override
                                
                                	Override matching AS\-number while sending update
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: summary_only
                                
                                	Filter more specific routes from updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: suppress_map
                                
                                	Conditionally filter more specific routes from updates
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.AggregateAddress, self).__init__()

                                    self.yang_name = "aggregate-address"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv6_address = YLeaf(YType.str, "ipv6-address")

                                    self.advertise_map = YLeaf(YType.str, "advertise-map")

                                    self.as_set = YLeaf(YType.empty, "as-set")

                                    self.attribute_map = YLeaf(YType.str, "attribute-map")

                                    self.as_override = YLeaf(YType.empty, "as-override")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.summary_only = YLeaf(YType.empty, "summary-only")

                                    self.suppress_map = YLeaf(YType.str, "suppress-map")
                                    self._segment_path = lambda: "aggregate-address"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.AggregateAddress, ['ipv6_address', 'advertise_map', 'as_set', 'attribute_map', 'as_override', 'route_map', 'summary_only', 'suppress_map'], name, value)


                            class Import_(Entity):
                                """
                                Configure path import
                                
                                .. attribute:: path
                                
                                	Path selection and path limit
                                	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Import_.Path>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Import_, self).__init__()

                                    self.yang_name = "import"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"path" : ("path", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Import_.Path)}
                                    self._child_list_classes = {}

                                    self.path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Import_.Path()
                                    self.path.parent = self
                                    self._children_name_map["path"] = "path"
                                    self._children_yang_names.add("path")
                                    self._segment_path = lambda: "import"


                                class Path(Entity):
                                    """
                                    Path selection and path limit
                                    
                                    .. attribute:: limit
                                    
                                    	Per net imported path limit
                                    	**type**\: int
                                    
                                    	**range:** 2..255
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Import_.Path, self).__init__()

                                        self.yang_name = "path"
                                        self.yang_parent_name = "import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint8, "limit")
                                        self._segment_path = lambda: "path"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Import_.Path, ['limit'], name, value)


                            class Bgp(Entity):
                                """
                                BGP specific commands
                                
                                .. attribute:: router_id
                                
                                	Override configured router identifier (peers will reset)
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: always_compare_med
                                
                                	Allow comparing MED from different neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: aggregate_timer
                                
                                	Timer interval
                                	**type**\: int
                                
                                	**range:** 6..60
                                
                                .. attribute:: asnotation
                                
                                	Change the default asplain notation
                                	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Asnotation>`
                                
                                .. attribute:: nopeerup_delay
                                
                                	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.NopeerupDelay>`
                                
                                .. attribute:: recursion
                                
                                	recursion rule for the nexthops
                                	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Recursion>`
                                
                                .. attribute:: advertise_best_external
                                
                                	Advertise best external path to internal peers
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: additional_paths
                                
                                	Additional paths in the BGP table
                                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths>`
                                
                                .. attribute:: bestpath
                                
                                	Change the default bestpath selection
                                	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath>`
                                
                                .. attribute:: client_to_client
                                
                                	Configure client to client route reflection
                                	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ClientToClient>`
                                
                                .. attribute:: cluster_id
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: confederation
                                
                                	AS confederation parameters
                                	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Confederation>`
                                
                                .. attribute:: consistency_checker
                                
                                	Consistency\-checker
                                	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ConsistencyChecker>`
                                
                                .. attribute:: dampening
                                
                                	Enable route\-flap dampening
                                	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Dampening>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: default
                                
                                	Configure BGP defaults
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Default>`
                                
                                .. attribute:: deterministic_med
                                
                                	Pick the best\-MED path among paths advertised from the neighboring AS
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dmzlink_bw
                                
                                	Use DMZ Link Bandwidth as weight for BGP multipaths
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: enforce_first_as
                                
                                	Enforce the first AS for EBGP routes(default)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: enhanced_error
                                
                                	Enabled BGP Enhanced error handling
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: fast_external_fallover
                                
                                	Immediately reset session if a link to a directly connected external peer goes down
                                	**type**\: bool
                                
                                .. attribute:: graceful_restart
                                
                                	Graceful restart capability parameters
                                	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ha_mode
                                
                                	Select BGP High Availability mode
                                	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.HaMode>`
                                
                                .. attribute:: inject_map
                                
                                	Routemap which specifies prefixes to inject
                                	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.InjectMap>`
                                
                                .. attribute:: log_neighbor_changes
                                
                                	Log neighbor up/down and reset reason
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: maxas_limit
                                
                                	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                	**type**\: int
                                
                                	**range:** 1..2000
                                
                                .. attribute:: maxcommunity_limit
                                
                                	Number of communities in the COMMUNITY attribute
                                	**type**\: int
                                
                                	**range:** 1..1018
                                
                                .. attribute:: route_map
                                
                                	bgp route\-map commands
                                	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.RouteMap>`
                                
                                .. attribute:: slow_peer
                                
                                	Configure slow\-peer
                                	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer>`
                                
                                .. attribute:: update_group
                                
                                	Manage peers in bgp update groups
                                	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.UpdateGroup>`
                                
                                .. attribute:: nexthop
                                
                                	Nexthop tracking commands
                                	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Nexthop>`
                                
                                .. attribute:: redistribute_internal
                                
                                	Allow redistribution of iBGP into IGPs (dangerous)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: regexp
                                
                                	Select regular expression engine
                                	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Regexp>`
                                
                                .. attribute:: scan_time
                                
                                	Configure background scanner interval
                                	**type**\: int
                                
                                	**range:** 5..60
                                
                                .. attribute:: soft_reconfig_backup
                                
                                	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: suppress_inactive
                                
                                	Suppress routes that are not in the routing table
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: transport
                                
                                	Transport options
                                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Transport>`
                                
                                .. attribute:: update_delay
                                
                                	Set the max initial delay for sending update
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Transport)}
                                    self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.InjectMap)}

                                    self.router_id = YLeaf(YType.str, "router-id")

                                    self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                    self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                    self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                    self.cluster_id = YLeaf(YType.str, "cluster-id")

                                    self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                    self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                    self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                    self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                    self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                    self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                    self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                    self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                    self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                    self.scan_time = YLeaf(YType.uint8, "scan-time")

                                    self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                    self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                    self.update_delay = YLeaf(YType.uint16, "update-delay")

                                    self.asnotation = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Asnotation()
                                    self.asnotation.parent = self
                                    self._children_name_map["asnotation"] = "asnotation"
                                    self._children_yang_names.add("asnotation")

                                    self.nopeerup_delay = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.NopeerupDelay()
                                    self.nopeerup_delay.parent = self
                                    self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                    self._children_yang_names.add("nopeerup-delay")

                                    self.recursion = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Recursion()
                                    self.recursion.parent = self
                                    self._children_name_map["recursion"] = "recursion"
                                    self._children_yang_names.add("recursion")

                                    self.additional_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self._children_name_map["additional_paths"] = "additional-paths"
                                    self._children_yang_names.add("additional-paths")

                                    self.bestpath = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath()
                                    self.bestpath.parent = self
                                    self._children_name_map["bestpath"] = "bestpath"
                                    self._children_yang_names.add("bestpath")

                                    self.client_to_client = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ClientToClient()
                                    self.client_to_client.parent = self
                                    self._children_name_map["client_to_client"] = "client-to-client"
                                    self._children_yang_names.add("client-to-client")

                                    self.confederation = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Confederation()
                                    self.confederation.parent = self
                                    self._children_name_map["confederation"] = "confederation"
                                    self._children_yang_names.add("confederation")

                                    self.consistency_checker = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ConsistencyChecker()
                                    self.consistency_checker.parent = self
                                    self._children_name_map["consistency_checker"] = "consistency-checker"
                                    self._children_yang_names.add("consistency-checker")

                                    self.dampening = None
                                    self._children_name_map["dampening"] = "dampening"
                                    self._children_yang_names.add("dampening")

                                    self.default = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.graceful_restart = None
                                    self._children_name_map["graceful_restart"] = "graceful-restart"
                                    self._children_yang_names.add("graceful-restart")

                                    self.ha_mode = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.HaMode()
                                    self.ha_mode.parent = self
                                    self._children_name_map["ha_mode"] = "ha-mode"
                                    self._children_yang_names.add("ha-mode")

                                    self.route_map = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.RouteMap()
                                    self.route_map.parent = self
                                    self._children_name_map["route_map"] = "route-map"
                                    self._children_yang_names.add("route-map")

                                    self.slow_peer = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer()
                                    self.slow_peer.parent = self
                                    self._children_name_map["slow_peer"] = "slow-peer"
                                    self._children_yang_names.add("slow-peer")

                                    self.update_group = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.UpdateGroup()
                                    self.update_group.parent = self
                                    self._children_name_map["update_group"] = "update-group"
                                    self._children_yang_names.add("update-group")

                                    self.nexthop = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Nexthop()
                                    self.nexthop.parent = self
                                    self._children_name_map["nexthop"] = "nexthop"
                                    self._children_yang_names.add("nexthop")

                                    self.regexp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Regexp()
                                    self.regexp.parent = self
                                    self._children_name_map["regexp"] = "regexp"
                                    self._children_yang_names.add("regexp")

                                    self.transport = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Transport()
                                    self.transport.parent = self
                                    self._children_name_map["transport"] = "transport"
                                    self._children_yang_names.add("transport")

                                    self.inject_map = YList(self)
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                class Asnotation(Entity):
                                    """
                                    Change the default asplain notation
                                    
                                    .. attribute:: dot
                                    
                                    	asdot notation
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Asnotation, self).__init__()

                                        self.yang_name = "asnotation"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dot = YLeaf(YType.empty, "dot")
                                        self._segment_path = lambda: "asnotation"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Asnotation, ['dot'], name, value)


                                class NopeerupDelay(Entity):
                                    """
                                    Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    
                                    .. attribute:: cold_boot
                                    
                                    	Delay in seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: nsf_switchover
                                    
                                    	Delay in seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: post_boot
                                    
                                    	Delay in seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: user_initiated
                                    
                                    	Delay in seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.NopeerupDelay, self).__init__()

                                        self.yang_name = "nopeerup-delay"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                        self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                        self.post_boot = YLeaf(YType.uint16, "post-boot")

                                        self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                        self._segment_path = lambda: "nopeerup-delay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                class Recursion(Entity):
                                    """
                                    recursion rule for the nexthops
                                    
                                    .. attribute:: host
                                    
                                    	recursion via host for the nexthops
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Recursion, self).__init__()

                                        self.yang_name = "recursion"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.host = YLeaf(YType.empty, "host")
                                        self._segment_path = lambda: "recursion"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Recursion, ['host'], name, value)


                                class AdditionalPaths(Entity):
                                    """
                                    Additional paths in the BGP table
                                    
                                    .. attribute:: install
                                    
                                    	Additional paths to install into RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: select
                                    
                                    	Selection criteria to pick the paths
                                    	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select>`
                                    
                                    .. attribute:: send
                                    
                                    	Send additional paths to neighbors
                                    	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Send>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths, self).__init__()

                                        self.yang_name = "additional-paths"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"select" : ("select", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Send)}
                                        self._child_list_classes = {}

                                        self.install = YLeaf(YType.empty, "install")

                                        self.receive = YLeaf(YType.empty, "receive")

                                        self.select = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select()
                                        self.select.parent = self
                                        self._children_name_map["select"] = "select"
                                        self._children_yang_names.add("select")

                                        self.send = None
                                        self._children_name_map["send"] = "send"
                                        self._children_yang_names.add("send")
                                        self._segment_path = lambda: "additional-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                    class Select(Entity):
                                        """
                                        Selection criteria to pick the paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Backup>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Best>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.BestExternal>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select, self).__init__()

                                            self.yang_name = "select"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.GroupBest)}
                                            self._child_list_classes = {}

                                            self.all = None
                                            self._children_name_map["all"] = "all"
                                            self._children_yang_names.add("all")

                                            self.backup = None
                                            self._children_name_map["backup"] = "backup"
                                            self._children_yang_names.add("backup")

                                            self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.best_external = None
                                            self._children_name_map["best_external"] = "best-external"
                                            self._children_yang_names.add("best-external")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "select"


                                        class All(Entity):
                                            """
                                            Select all available paths
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                self.yang_name = "all"
                                                self.yang_parent_name = "select"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "all"


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "all"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.group_best = YLeaf(YType.empty, "group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "all"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                        class Backup(Entity):
                                            """
                                            Select backup path
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                self.yang_name = "backup"
                                                self.yang_parent_name = "select"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best_external = YLeaf(YType.empty, "best-external")
                                                self._segment_path = lambda: "backup"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "select"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Best.Range)}

                                                self.range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "range"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.all = YLeaf(YType.empty, "all")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                        class BestExternal(Entity):
                                            """
                                            Select best\-external path
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                self.yang_name = "best-external"
                                                self.yang_parent_name = "select"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.backup = YLeaf(YType.empty, "backup")
                                                self._segment_path = lambda: "best-external"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "select"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.all = YLeaf(YType.empty, "all")

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                    class Send(Entity):
                                        """
                                        Send additional paths to neighbors
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Send, self).__init__()

                                            self.yang_name = "send"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.receive = YLeaf(YType.empty, "receive")
                                            self._segment_path = lambda: "send"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                class Bestpath(Entity):
                                    """
                                    Change the default bestpath selection
                                    
                                    .. attribute:: compare_routerid
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost_community
                                    
                                    	cost community
                                    	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.CostCommunity>`
                                    
                                    .. attribute:: igp_metric
                                    
                                    	igp metric
                                    	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.IgpMetric>`
                                    
                                    .. attribute:: med
                                    
                                    	MED attribute
                                    	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.Med>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath, self).__init__()

                                        self.yang_name = "bestpath"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.Med)}
                                        self._child_list_classes = {}

                                        self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                        self.cost_community = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.CostCommunity()
                                        self.cost_community.parent = self
                                        self._children_name_map["cost_community"] = "cost-community"
                                        self._children_yang_names.add("cost-community")

                                        self.igp_metric = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.IgpMetric()
                                        self.igp_metric.parent = self
                                        self._children_name_map["igp_metric"] = "igp-metric"
                                        self._children_yang_names.add("igp-metric")

                                        self.med = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.Med()
                                        self.med.parent = self
                                        self._children_name_map["med"] = "med"
                                        self._children_yang_names.add("med")
                                        self._segment_path = lambda: "bestpath"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath, ['compare_routerid'], name, value)


                                    class CostCommunity(Entity):
                                        """
                                        cost community
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore cost communities in bestpath selection
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.CostCommunity, self).__init__()

                                            self.yang_name = "cost-community"
                                            self.yang_parent_name = "bestpath"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")
                                            self._segment_path = lambda: "cost-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                    class IgpMetric(Entity):
                                        """
                                        igp metric
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore igp metric in bestpath selection
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.IgpMetric, self).__init__()

                                            self.yang_name = "igp-metric"
                                            self.yang_parent_name = "bestpath"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")
                                            self._segment_path = lambda: "igp-metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                    class Med(Entity):
                                        """
                                        MED attribute
                                        
                                        .. attribute:: confed
                                        
                                        	Compare MED among confederation paths
                                        	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.Med.Confed>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.Med, self).__init__()

                                            self.yang_name = "med"
                                            self.yang_parent_name = "bestpath"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.Med.Confed)}
                                            self._child_list_classes = {}

                                            self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                            self.confed = None
                                            self._children_name_map["confed"] = "confed"
                                            self._children_yang_names.add("confed")
                                            self._segment_path = lambda: "med"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                        class Confed(Entity):
                                            """
                                            Compare MED among confederation paths
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.Med.Confed, self).__init__()

                                                self.yang_name = "confed"
                                                self.yang_parent_name = "med"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                self._segment_path = lambda: "confed"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                class ClientToClient(Entity):
                                    """
                                    Configure client to client route reflection
                                    
                                    .. attribute:: reflection
                                    
                                    	reflection of routes allowed
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ClientToClient, self).__init__()

                                        self.yang_name = "client-to-client"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.reflection = YLeaf(YType.empty, "reflection")
                                        self._segment_path = lambda: "client-to-client"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ClientToClient, ['reflection'], name, value)


                                class Confederation(Entity):
                                    """
                                    AS confederation parameters
                                    
                                    .. attribute:: identifier
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: peers
                                    
                                    	Peer ASs in BGP confederation
                                    	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Confederation.Peers>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Confederation, self).__init__()

                                        self.yang_name = "confederation"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Confederation.Peers)}
                                        self._child_list_classes = {}

                                        self.identifier = YLeaf(YType.uint32, "identifier")

                                        self.peers = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Confederation.Peers()
                                        self.peers.parent = self
                                        self._children_name_map["peers"] = "peers"
                                        self._children_yang_names.add("peers")
                                        self._segment_path = lambda: "confederation"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Confederation, ['identifier'], name, value)


                                    class Peers(Entity):
                                        """
                                        Peer ASs in BGP confederation
                                        
                                        .. attribute:: peers_as
                                        
                                        	
                                        	**type**\: list of int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Confederation.Peers, self).__init__()

                                            self.yang_name = "peers"
                                            self.yang_parent_name = "confederation"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peers_as = YLeafList(YType.uint32, "peers-as")
                                            self._segment_path = lambda: "peers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                class ConsistencyChecker(Entity):
                                    """
                                    Consistency\-checker
                                    
                                    .. attribute:: auto_repair
                                    
                                    	Auto\-Repair
                                    	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ConsistencyChecker.AutoRepair>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: error_message
                                    
                                    	Log Error\-Msg
                                    	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ConsistencyChecker.ErrorMessage>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ConsistencyChecker, self).__init__()

                                        self.yang_name = "consistency-checker"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ConsistencyChecker.ErrorMessage)}
                                        self._child_list_classes = {}

                                        self.auto_repair = None
                                        self._children_name_map["auto_repair"] = "auto-repair"
                                        self._children_yang_names.add("auto-repair")

                                        self.error_message = None
                                        self._children_name_map["error_message"] = "error-message"
                                        self._children_yang_names.add("error-message")
                                        self._segment_path = lambda: "consistency-checker"


                                    class AutoRepair(Entity):
                                        """
                                        Auto\-Repair
                                        
                                        .. attribute:: interval
                                        
                                        	Interval (minutes)
                                        	**type**\: int
                                        
                                        	**range:** 5..1440
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                            self.yang_name = "auto-repair"
                                            self.yang_parent_name = "consistency-checker"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "auto-repair"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                    class ErrorMessage(Entity):
                                        """
                                        Log Error\-Msg
                                        
                                        .. attribute:: interval
                                        
                                        	Interval (minutes)
                                        	**type**\: int
                                        
                                        	**range:** 5..1440
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                            self.yang_name = "error-message"
                                            self.yang_parent_name = "consistency-checker"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "error-message"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                class Dampening(Entity):
                                    """
                                    Enable route\-flap dampening
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to specify criteria for dampening
                                    	**type**\: str
                                    
                                    .. attribute:: dampen
                                    
                                    	
                                    	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Dampening.Dampen>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Dampening, self).__init__()

                                        self.yang_name = "dampening"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Dampening.Dampen)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.dampen = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Dampening.Dampen()
                                        self.dampen.parent = self
                                        self._children_name_map["dampen"] = "dampen"
                                        self._children_yang_names.add("dampen")
                                        self._segment_path = lambda: "dampening"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Dampening, ['route_map'], name, value)


                                    class Dampen(Entity):
                                        """
                                        
                                        
                                        .. attribute:: half_life_time
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..45
                                        
                                        .. attribute:: reuse_time
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..20000
                                        
                                        .. attribute:: suppress_time
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..20000
                                        
                                        .. attribute:: max_suppress_time
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Dampening.Dampen, self).__init__()

                                            self.yang_name = "dampen"
                                            self.yang_parent_name = "dampening"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                            self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                            self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                            self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                            self._segment_path = lambda: "dampen"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                class Default(Entity):
                                    """
                                    Configure BGP defaults
                                    
                                    .. attribute:: ipv4_unicast
                                    
                                    	Activate ipv4\-unicast for a peer by default
                                    	**type**\: bool
                                    
                                    .. attribute:: ipv6_nexthop
                                    
                                    	Default IPv6 nexthop format
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: local_preference
                                    
                                    	local preference (higher=more preferred)
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: route_target
                                    
                                    	Control behavior based on Route\-Target attributes
                                    	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Default.RouteTarget>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                        self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                        self.local_preference = YLeaf(YType.uint32, "local-preference")

                                        self.route_target = YLeaf(YType.enumeration, "route-target")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                    class RouteTarget(Enum):
                                        """
                                        RouteTarget

                                        Control behavior based on Route\-Target attributes

                                        .. data:: filter = 0

                                        """

                                        filter = Enum.YLeaf(0, "filter")



                                class GracefulRestart(Entity):
                                    """
                                    Graceful restart capability parameters
                                    
                                    .. attribute:: extended
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: restart_time
                                    
                                    	Set the max time needed to restart and come back up
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    .. attribute:: stalepath_time
                                    
                                    	Set the max time to hold onto restarting peer's stale paths
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.GracefulRestart, self).__init__()

                                        self.yang_name = "graceful-restart"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.extended = YLeaf(YType.empty, "extended")

                                        self.restart_time = YLeaf(YType.uint16, "restart-time")

                                        self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                        self._segment_path = lambda: "graceful-restart"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                class HaMode(Entity):
                                    """
                                    Select BGP High Availability mode
                                    
                                    .. attribute:: sso
                                    
                                    	BGP High Availability NSR sso mode
                                    	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.HaMode.Sso>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.HaMode, self).__init__()

                                        self.yang_name = "ha-mode"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.HaMode.Sso)}
                                        self._child_list_classes = {}

                                        self.sso = None
                                        self._children_name_map["sso"] = "sso"
                                        self._children_yang_names.add("sso")
                                        self._segment_path = lambda: "ha-mode"


                                    class Sso(Entity):
                                        """
                                        BGP High Availability NSR sso mode
                                        
                                        .. attribute:: prefer
                                        
                                        	Perfer BGP High Availability NSR sso mode
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.HaMode.Sso, self).__init__()

                                            self.yang_name = "sso"
                                            self.yang_parent_name = "ha-mode"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.prefer = YLeaf(YType.empty, "prefer")
                                            self._segment_path = lambda: "sso"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.HaMode.Sso, ['prefer'], name, value)


                                class InjectMap(Entity):
                                    """
                                    Routemap which specifies prefixes to inject
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: exist_map
                                    
                                    	Routemap which specifies exist condition
                                    	**type**\: str
                                    
                                    .. attribute:: copy_attributes
                                    
                                    	Copy attributes from aggregate
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.InjectMap, self).__init__()

                                        self.yang_name = "inject-map"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.exist_map = YLeaf(YType.str, "exist-map")

                                        self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                        self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                class RouteMap(Entity):
                                    """
                                    bgp route\-map commands
                                    
                                    .. attribute:: priority
                                    
                                    	Have route\-map set commands take priority over BGP commands such 
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.RouteMap, self).__init__()

                                        self.yang_name = "route-map"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.priority = YLeaf(YType.empty, "priority")
                                        self._segment_path = lambda: "route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.RouteMap, ['priority'], name, value)


                                class SlowPeer(Entity):
                                    """
                                    Configure slow\-peer
                                    
                                    .. attribute:: detection
                                    
                                    	Slow\-peer detection
                                    	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer.Detection>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: split_update_group
                                    
                                    	Configure slow\-peer split\-update\-group
                                    	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer.SplitUpdateGroup>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer, self).__init__()

                                        self.yang_name = "slow-peer"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer.SplitUpdateGroup)}
                                        self._child_list_classes = {}

                                        self.detection = None
                                        self._children_name_map["detection"] = "detection"
                                        self._children_yang_names.add("detection")

                                        self.split_update_group = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer.SplitUpdateGroup()
                                        self.split_update_group.parent = self
                                        self._children_name_map["split_update_group"] = "split-update-group"
                                        self._children_yang_names.add("split-update-group")
                                        self._segment_path = lambda: "slow-peer"


                                    class Detection(Entity):
                                        """
                                        Slow\-peer detection
                                        
                                        .. attribute:: disable
                                        
                                        	Disable slow\-peer detection
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	Threshold value (seconds)
                                        	**type**\: int
                                        
                                        	**range:** 120..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer.Detection, self).__init__()

                                            self.yang_name = "detection"
                                            self.yang_parent_name = "slow-peer"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.threshold = YLeaf(YType.uint16, "threshold")
                                            self._segment_path = lambda: "detection"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                    class SplitUpdateGroup(Entity):
                                        """
                                        Configure slow\-peer split\-update\-group
                                        
                                        .. attribute:: dynamic
                                        
                                        	Dynamically split the slow peer to slow\-update group
                                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                            self.yang_name = "split-update-group"
                                            self.yang_parent_name = "slow-peer"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                            self._child_list_classes = {}

                                            self.dynamic = None
                                            self._children_name_map["dynamic"] = "dynamic"
                                            self._children_yang_names.add("dynamic")
                                            self._segment_path = lambda: "split-update-group"


                                        class Dynamic(Entity):
                                            """
                                            Dynamically split the slow peer to slow\-update group
                                            
                                            .. attribute:: permanent
                                            
                                            	Keep the slow\-peer permanently in slow\-update group
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                self.yang_name = "dynamic"
                                                self.yang_parent_name = "split-update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.permanent = YLeaf(YType.empty, "permanent")
                                                self._segment_path = lambda: "dynamic"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                class UpdateGroup(Entity):
                                    """
                                    Manage peers in bgp update groups
                                    
                                    .. attribute:: split
                                    
                                    	Split update groups based on Policy
                                    	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.UpdateGroup.Split>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.UpdateGroup, self).__init__()

                                        self.yang_name = "update-group"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"split" : ("split", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.UpdateGroup.Split)}
                                        self._child_list_classes = {}

                                        self.split = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.UpdateGroup.Split()
                                        self.split.parent = self
                                        self._children_name_map["split"] = "split"
                                        self._children_yang_names.add("split")
                                        self._segment_path = lambda: "update-group"


                                    class Split(Entity):
                                        """
                                        Split update groups based on Policy
                                        
                                        .. attribute:: as_override
                                        
                                        	Keep peers with as\-override in different update groups
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.UpdateGroup.Split, self).__init__()

                                            self.yang_name = "split"
                                            self.yang_parent_name = "update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_override = YLeaf(YType.empty, "as-override")
                                            self._segment_path = lambda: "split"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                class Nexthop(Entity):
                                    """
                                    Nexthop tracking commands
                                    
                                    .. attribute:: trigger
                                    
                                    	Nexthop triggering
                                    	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Nexthop.Trigger>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for valid nexthops
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Nexthop, self).__init__()

                                        self.yang_name = "nexthop"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Nexthop.Trigger)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.trigger = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Nexthop.Trigger()
                                        self.trigger.parent = self
                                        self._children_name_map["trigger"] = "trigger"
                                        self._children_yang_names.add("trigger")
                                        self._segment_path = lambda: "nexthop"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Nexthop, ['route_map'], name, value)


                                    class Trigger(Entity):
                                        """
                                        Nexthop triggering
                                        
                                        .. attribute:: delay
                                        
                                        	Set the delay to tigger nexthop tracking
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        .. attribute:: enable
                                        
                                        	Enable nexthop tracking
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Nexthop.Trigger, self).__init__()

                                            self.yang_name = "trigger"
                                            self.yang_parent_name = "nexthop"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.delay = YLeaf(YType.uint8, "delay")

                                            self.enable = YLeaf(YType.boolean, "enable")
                                            self._segment_path = lambda: "trigger"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                class Regexp(Entity):
                                    """
                                    Select regular expression engine
                                    
                                    .. attribute:: deterministic
                                    
                                    	Enable bounded\-execution\-time regular expression engine
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Regexp, self).__init__()

                                        self.yang_name = "regexp"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.deterministic = YLeaf(YType.empty, "deterministic")
                                        self._segment_path = lambda: "regexp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Regexp, ['deterministic'], name, value)


                                class Transport(Entity):
                                    """
                                    Transport options
                                    
                                    .. attribute:: path_mtu_discovery
                                    
                                    	Use transport path MTU discovery
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Transport, self).__init__()

                                        self.yang_name = "transport"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                        self._segment_path = lambda: "transport"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Bgp.Transport, ['path_mtu_discovery'], name, value)


                            class DefaultInformation(Entity):
                                """
                                Control distribution of default information
                                
                                .. attribute:: originate
                                
                                	Distribute a default route
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DefaultInformation, self).__init__()

                                    self.yang_name = "default-information"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.originate = YLeaf(YType.empty, "originate")
                                    self._segment_path = lambda: "default-information"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DefaultInformation, ['originate'], name, value)


                            class Distance(Entity):
                                """
                                Define an administrative distance
                                
                                .. attribute:: bgp
                                
                                	BGP distance
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.Bgp>`
                                
                                .. attribute:: adm_distance
                                
                                	
                                	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.AdmDistance>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.Bgp)}
                                    self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.AdmDistance)}

                                    self.bgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.adm_distance = YList(self)
                                    self._segment_path = lambda: "distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance, [], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP distance
                                    
                                    .. attribute:: extern_as
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: internal_as
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: local
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "distance"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.extern_as = YLeaf(YType.uint16, "extern-as")

                                        self.internal_as = YLeaf(YType.uint16, "internal-as")

                                        self.local = YLeaf(YType.uint16, "local")
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                class AdmDistance(Entity):
                                    """
                                    
                                    
                                    .. attribute:: distance  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: srcip  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: wildbits  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: acl
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..99
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1300..1999
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.AdmDistance, self).__init__()

                                        self.yang_name = "adm-distance"
                                        self.yang_parent_name = "distance"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.distance = YLeaf(YType.uint16, "distance")

                                        self.srcip = YLeaf(YType.str, "srcip")

                                        self.wildbits = YLeaf(YType.str, "wildbits")

                                        self.acl = YLeaf(YType.str, "acl")
                                        self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                            class DistributeList(Entity):
                                """
                                Filter networks in routing updates
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 100..199
                                
                                		**type**\: int
                                
                                			**range:** 2000..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                .. attribute:: in_
                                
                                	Filter incoming routing updates
                                	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.In_>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: out
                                
                                	Filter outgoing routing updates
                                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.Out>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList, self).__init__()

                                    self.yang_name = "distribute-list"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.In_), "out" : ("out", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.Out)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.in_ = None
                                    self._children_name_map["in_"] = "in"
                                    self._children_yang_names.add("in")

                                    self.out = None
                                    self._children_name_map["out"] = "out"
                                    self._children_yang_names.add("out")
                                    self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList, ['id'], name, value)


                                class In_(Entity):
                                    """
                                    Filter incoming routing updates
                                    
                                    .. attribute:: interface
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.In_, self).__init__()

                                        self.yang_name = "in"
                                        self.yang_parent_name = "distribute-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interface = YLeaf(YType.str, "interface")
                                        self._segment_path = lambda: "in"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.In_, ['interface'], name, value)


                                class Out(Entity):
                                    """
                                    Filter outgoing routing updates
                                    
                                    .. attribute:: interface
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.Out, self).__init__()

                                        self.yang_name = "out"
                                        self.yang_parent_name = "distribute-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interface = YLeaf(YType.str, "interface")
                                        self._segment_path = lambda: "out"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.DistributeList.Out, ['interface'], name, value)


                            class MaximumPaths(Entity):
                                """
                                Forward packets over multiple paths
                                
                                .. attribute:: max_path
                                
                                	
                                	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.MaxPath>`
                                
                                .. attribute:: external_rtfilter
                                
                                	VPN prefix multipath on external RTFilter peers
                                	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.ExternalRtfilter>`
                                
                                .. attribute:: eibgp
                                
                                	Both eBGP and iBGP paths as multipath
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: ibgp
                                
                                	iBGP\-multipath
                                	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths, self).__init__()

                                    self.yang_name = "maximum-paths"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp)}
                                    self._child_list_classes = {}

                                    self.eibgp = YLeaf(YType.uint16, "eibgp")

                                    self.max_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.MaxPath()
                                    self.max_path.parent = self
                                    self._children_name_map["max_path"] = "max-path"
                                    self._children_yang_names.add("max-path")

                                    self.external_rtfilter = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.ExternalRtfilter()
                                    self.external_rtfilter.parent = self
                                    self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                    self._children_yang_names.add("external-rtfilter")

                                    self.ibgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp()
                                    self.ibgp.parent = self
                                    self._children_name_map["ibgp"] = "ibgp"
                                    self._children_yang_names.add("ibgp")
                                    self._segment_path = lambda: "maximum-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths, ['eibgp'], name, value)


                                class MaxPath(Entity):
                                    """
                                    
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.MaxPath, self).__init__()

                                        self.yang_name = "max-path"
                                        self.yang_parent_name = "maximum-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max = YLeaf(YType.uint16, "max")
                                        self._segment_path = lambda: "max-path"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.MaxPath, ['max'], name, value)


                                class ExternalRtfilter(Entity):
                                    """
                                    VPN prefix multipath on external RTFilter peers
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.ExternalRtfilter, self).__init__()

                                        self.yang_name = "external-rtfilter"
                                        self.yang_parent_name = "maximum-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max = YLeaf(YType.uint16, "max")
                                        self._segment_path = lambda: "external-rtfilter"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                class Ibgp(Entity):
                                    """
                                    iBGP\-multipath
                                    
                                    .. attribute:: unequal_cost
                                    
                                    	Perform Un\-Equal cost multipath selection
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: max
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp, self).__init__()

                                        self.yang_name = "ibgp"
                                        self.yang_parent_name = "maximum-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                        self.max = YLeaf(YType.uint16, "max")
                                        self._segment_path = lambda: "ibgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                            class Neighbor(Entity):
                                """
                                Specify a neighbor router
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: peer_group
                                
                                	Member of the peer\-group
                                	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PeerGroup>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: remote_as
                                
                                	Specify a BGP neighbor
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: local_as
                                
                                	Specify a local\-as number
                                	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LocalAs>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: activate
                                
                                	Enable the Address Family for this Neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: additional_paths
                                
                                	
                                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths>`
                                
                                .. attribute:: advertise
                                
                                	Advertise to this neighbor
                                	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise>`
                                
                                .. attribute:: advertise_map
                                
                                	specify route\-map for conditional advertisement
                                	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap>`
                                
                                .. attribute:: aigp
                                
                                	Enable a AIGP on neighbor
                                	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: allow_policy
                                
                                	Enable the policy support for this IBGP Neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: announce
                                
                                	Announce RPKI State using an Extended Community
                                	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce>`
                                
                                .. attribute:: advertisement_interval
                                
                                	Minimum interval between sending BGP routing updates
                                	**type**\: int
                                
                                	**range:** 0..600
                                
                                .. attribute:: allowas_in
                                
                                	Accept as\-path with my AS present in it
                                	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AllowasIn>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: as_override
                                
                                	Override matching AS\-number while sending update
                                	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AsOverride>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: capability
                                
                                	Advertise capability to the peer
                                	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability>`
                                
                                .. attribute:: cluster_id
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: default_originate
                                
                                	Originate default route to this neighbour
                                	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DefaultOriginate>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: description
                                
                                	Neighbor specific description
                                	**type**\: str
                                
                                .. attribute:: disable_connected_check
                                
                                	One\-hop away EBGP peer using loopback address
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter updates to/from this neighbor
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList>`
                                
                                .. attribute:: dmzlink_bw
                                
                                	Propagate the DMZ link bandwidth
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ebgp_multihop
                                
                                	Allow EBGP neighbors not on directly connected networks
                                	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.EbgpMultihop>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: fall_over
                                
                                	session fall on peer route lost
                                	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver>`
                                
                                .. attribute:: filter_list
                                
                                	Establish BGP filters
                                	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList>`
                                
                                .. attribute:: inherit
                                
                                	Inherit a template
                                	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Inherit>`
                                
                                .. attribute:: log_neighbor_changes
                                
                                	Log neighbor up/down and reset reason
                                	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LogNeighborChanges>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes accepted from this peer
                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.MaximumPrefix>`
                                
                                .. attribute:: next_hop_self
                                
                                	Disable the next hop calculation for this neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: next_hop_unchanged
                                
                                	Propagate the iBGP paths's next hop unchanged for this neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: password
                                
                                	Set a password
                                	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Password>`
                                
                                .. attribute:: prefix_list
                                
                                	Filter updates to/from this neighbor
                                	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList>`
                                
                                .. attribute:: path_attribute
                                
                                	BGP optional attribute filtering
                                	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute>`
                                
                                .. attribute:: remove_private_as
                                
                                	Remove private AS number from outbound updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Apply route map to neighbor
                                	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap>`
                                
                                .. attribute:: route_reflector_client
                                
                                	Configure a neighbor as Route Reflector client
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_reflector_cluster_id
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: send_community
                                
                                	Send Community attribute to this neighbor
                                	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: send_label
                                
                                	Send NLRI + MPLS Label to this peer
                                	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel>`
                                
                                .. attribute:: soo
                                
                                	ASN\:nn or IP\-address\:nn  VPN extended community
                                	**type**\: str
                                
                                .. attribute:: shutdown
                                
                                	Administratively shut down this neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: soft_reconfiguration
                                
                                	Per neighbor soft reconfiguration
                                	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SoftReconfiguration>`
                                
                                .. attribute:: slow_peer
                                
                                	Configure slow\-peer
                                	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer>`
                                
                                .. attribute:: timers
                                
                                	BGP per neighbor timers
                                	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Timers>`
                                
                                .. attribute:: translate_update
                                
                                	Translate Update to MBGP format
                                	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate>`
                                
                                .. attribute:: transport
                                
                                	Transport options
                                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport>`
                                
                                .. attribute:: ttl_security
                                
                                	BGP ttl security check
                                	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TtlSecurity>`
                                
                                .. attribute:: unsuppress_map
                                
                                	Route\-map to selectively unsuppress suppressed routes
                                	**type**\: str
                                
                                .. attribute:: update_source
                                
                                	Source of routing updates
                                	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource>`
                                
                                .. attribute:: version
                                
                                	Set the BGP version to match a neighbor
                                	**type**\: int
                                
                                	**range:** 4..None
                                
                                .. attribute:: weight
                                
                                	Set default weight for routes from this neighbor
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: ha_mode
                                
                                	high availability mode
                                	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor, self).__init__()

                                    self.yang_name = "neighbor"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap)}

                                    self.id = YLeaf(YType.str, "id")

                                    self.remote_as = YLeaf(YType.str, "remote-as")

                                    self.activate = YLeaf(YType.empty, "activate")

                                    self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                    self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                    self.cluster_id = YLeaf(YType.str, "cluster-id")

                                    self.description = YLeaf(YType.str, "description")

                                    self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                    self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                    self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                    self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                    self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                    self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                    self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                    self.soo = YLeaf(YType.str, "soo")

                                    self.shutdown = YLeaf(YType.empty, "shutdown")

                                    self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                    self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                    self.version = YLeaf(YType.uint16, "version")

                                    self.weight = YLeaf(YType.uint16, "weight")

                                    self.peer_group = None
                                    self._children_name_map["peer_group"] = "peer-group"
                                    self._children_yang_names.add("peer-group")

                                    self.local_as = None
                                    self._children_name_map["local_as"] = "local-as"
                                    self._children_yang_names.add("local-as")

                                    self.additional_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self._children_name_map["additional_paths"] = "additional-paths"
                                    self._children_yang_names.add("additional-paths")

                                    self.advertise = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise()
                                    self.advertise.parent = self
                                    self._children_name_map["advertise"] = "advertise"
                                    self._children_yang_names.add("advertise")

                                    self.advertise_map = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap()
                                    self.advertise_map.parent = self
                                    self._children_name_map["advertise_map"] = "advertise-map"
                                    self._children_yang_names.add("advertise-map")

                                    self.aigp = None
                                    self._children_name_map["aigp"] = "aigp"
                                    self._children_yang_names.add("aigp")

                                    self.announce = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce()
                                    self.announce.parent = self
                                    self._children_name_map["announce"] = "announce"
                                    self._children_yang_names.add("announce")

                                    self.allowas_in = None
                                    self._children_name_map["allowas_in"] = "allowas-in"
                                    self._children_yang_names.add("allowas-in")

                                    self.as_override = None
                                    self._children_name_map["as_override"] = "as-override"
                                    self._children_yang_names.add("as-override")

                                    self.capability = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability()
                                    self.capability.parent = self
                                    self._children_name_map["capability"] = "capability"
                                    self._children_yang_names.add("capability")

                                    self.default_originate = None
                                    self._children_name_map["default_originate"] = "default-originate"
                                    self._children_yang_names.add("default-originate")

                                    self.ebgp_multihop = None
                                    self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                    self._children_yang_names.add("ebgp-multihop")

                                    self.fall_over = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver()
                                    self.fall_over.parent = self
                                    self._children_name_map["fall_over"] = "fall-over"
                                    self._children_yang_names.add("fall-over")

                                    self.inherit = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Inherit()
                                    self.inherit.parent = self
                                    self._children_name_map["inherit"] = "inherit"
                                    self._children_yang_names.add("inherit")

                                    self.log_neighbor_changes = None
                                    self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                    self._children_yang_names.add("log-neighbor-changes")

                                    self.maximum_prefix = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                    self._children_yang_names.add("maximum-prefix")

                                    self.password = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Password()
                                    self.password.parent = self
                                    self._children_name_map["password"] = "password"
                                    self._children_yang_names.add("password")

                                    self.path_attribute = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute()
                                    self.path_attribute.parent = self
                                    self._children_name_map["path_attribute"] = "path-attribute"
                                    self._children_yang_names.add("path-attribute")

                                    self.send_community = None
                                    self._children_name_map["send_community"] = "send-community"
                                    self._children_yang_names.add("send-community")

                                    self.send_label = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel()
                                    self.send_label.parent = self
                                    self._children_name_map["send_label"] = "send-label"
                                    self._children_yang_names.add("send-label")

                                    self.slow_peer = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer()
                                    self.slow_peer.parent = self
                                    self._children_name_map["slow_peer"] = "slow-peer"
                                    self._children_yang_names.add("slow-peer")

                                    self.timers = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Timers()
                                    self.timers.parent = self
                                    self._children_name_map["timers"] = "timers"
                                    self._children_yang_names.add("timers")

                                    self.translate_update = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate()
                                    self.translate_update.parent = self
                                    self._children_name_map["translate_update"] = "translate-update"
                                    self._children_yang_names.add("translate-update")

                                    self.transport = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport()
                                    self.transport.parent = self
                                    self._children_name_map["transport"] = "transport"
                                    self._children_yang_names.add("transport")

                                    self.ttl_security = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TtlSecurity()
                                    self.ttl_security.parent = self
                                    self._children_name_map["ttl_security"] = "ttl-security"
                                    self._children_yang_names.add("ttl-security")

                                    self.update_source = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource()
                                    self.update_source.parent = self
                                    self._children_name_map["update_source"] = "update-source"
                                    self._children_yang_names.add("update-source")

                                    self.ha_mode = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode()
                                    self.ha_mode.parent = self
                                    self._children_name_map["ha_mode"] = "ha-mode"
                                    self._children_yang_names.add("ha-mode")

                                    self.distribute_list = YList(self)
                                    self.filter_list = YList(self)
                                    self.prefix_list = YList(self)
                                    self.route_map = YList(self)
                                    self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                class SoftReconfiguration(Enum):
                                    """
                                    SoftReconfiguration

                                    Per neighbor soft reconfiguration

                                    .. data:: inbound = 0

                                    """

                                    inbound = Enum.YLeaf(0, "inbound")



                                class PeerGroup(Entity):
                                    """
                                    Member of the peer\-group
                                    
                                    .. attribute:: peer_group_name
                                    
                                    	WORD;;peer\-group name
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PeerGroup, self).__init__()

                                        self.yang_name = "peer-group"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                        self._segment_path = lambda: "peer-group"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                class LocalAs(Entity):
                                    """
                                    Specify a local\-as number
                                    
                                    .. attribute:: as_no
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: no_prepend
                                    
                                    	Do not prepend local\-as to updates from ebgp peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: replace_as
                                    
                                    	Replace real AS with local AS in the EBGP updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dual_as
                                    
                                    	Accept either real AS or local AS from the ebgp peer
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LocalAs, self).__init__()

                                        self.yang_name = "local-as"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.as_no = YLeaf(YType.str, "as-no")

                                        self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                        self.replace_as = YLeaf(YType.empty, "replace-as")

                                        self.dual_as = YLeaf(YType.empty, "dual-as")
                                        self._segment_path = lambda: "local-as"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                class AdditionalPaths(Entity):
                                    """
                                    
                                    
                                    .. attribute:: disable
                                    
                                    	Disable additional paths for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: send
                                    
                                    	Send additional paths to this neighbor
                                    	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths.Send>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths, self).__init__()

                                        self.yang_name = "additional-paths"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths.Send)}
                                        self._child_list_classes = {}

                                        self.disable = YLeaf(YType.empty, "disable")

                                        self.receive = YLeaf(YType.empty, "receive")

                                        self.send = None
                                        self._children_name_map["send"] = "send"
                                        self._children_yang_names.add("send")
                                        self._segment_path = lambda: "additional-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                    class Send(Entity):
                                        """
                                        Send additional paths to this neighbor
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths.Send, self).__init__()

                                            self.yang_name = "send"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.receive = YLeaf(YType.empty, "receive")
                                            self._segment_path = lambda: "send"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                class Advertise(Entity):
                                    """
                                    Advertise to this neighbor
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Advertise additional paths
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Advertise best\-external (at RRs best\-internal) path
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: diverse_path
                                    
                                    	Advertise diverse path
                                    	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise, self).__init__()

                                        self.yang_name = "advertise"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath)}
                                        self._child_list_classes = {}

                                        self.best_external = YLeaf(YType.empty, "best-external")

                                        self.additional_paths = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.diverse_path = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath()
                                        self.diverse_path.parent = self
                                        self._children_name_map["diverse_path"] = "diverse-path"
                                        self._children_yang_names.add("diverse-path")
                                        self._segment_path = lambda: "advertise"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise, ['best_external'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Advertise additional paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "advertise"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                            self._child_list_classes = {}

                                            self.all = None
                                            self._children_name_map["all"] = "all"
                                            self._children_yang_names.add("all")

                                            self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "additional-paths"


                                        class All(Entity):
                                            """
                                            Select all available paths
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                self.yang_name = "all"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "all"


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "all"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.group_best = YLeaf(YType.empty, "group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "all"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                self.best_range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                            class BestRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                    self.yang_name = "best-range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "best-range"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.all = YLeaf(YType.empty, "all")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.all = YLeaf(YType.empty, "all")

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                    class DiversePath(Entity):
                                        """
                                        Advertise diverse path
                                        
                                        .. attribute:: backup
                                        
                                        	Diverse path can be backup path
                                        	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath.Backup>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath, self).__init__()

                                            self.yang_name = "diverse-path"
                                            self.yang_parent_name = "advertise"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath.Backup)}
                                            self._child_list_classes = {}

                                            self.mpath = YLeaf(YType.empty, "mpath")

                                            self.backup = None
                                            self._children_name_map["backup"] = "backup"
                                            self._children_yang_names.add("backup")
                                            self._segment_path = lambda: "diverse-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                        class Backup(Entity):
                                            """
                                            Diverse path can be backup path
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                self.yang_name = "backup"
                                                self.yang_parent_name = "diverse-path"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.mpath = YLeaf(YType.empty, "mpath")
                                                self._segment_path = lambda: "backup"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                class AdvertiseMap(Entity):
                                    """
                                    specify route\-map for conditional advertisement
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap.Name>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap, self).__init__()

                                        self.yang_name = "advertise-map"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap.Name)}

                                        self.name = YList(self)
                                        self._segment_path = lambda: "advertise-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap, [], name, value)


                                    class Name(Entity):
                                        """
                                        
                                        
                                        .. attribute:: word  <key>
                                        
                                        	advertise route\-map name
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	condition route\-map name
                                        	**type**\: str
                                        
                                        .. attribute:: non_exist_map
                                        
                                        	condition route\-map name
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap.Name, self).__init__()

                                            self.yang_name = "name"
                                            self.yang_parent_name = "advertise-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.word = YLeaf(YType.str, "word")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                            self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                class Aigp(Entity):
                                    """
                                    Enable a AIGP on neighbor
                                    
                                    .. attribute:: send
                                    
                                    	Cost community or MED carrying AIGP VALUE
                                    	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp, self).__init__()

                                        self.yang_name = "aigp"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.send = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send()
                                        self.send.parent = self
                                        self._children_name_map["send"] = "send"
                                        self._children_yang_names.add("send")
                                        self._segment_path = lambda: "aigp"


                                    class Send(Entity):
                                        """
                                        Cost community or MED carrying AIGP VALUE
                                        
                                        .. attribute:: cost_community
                                        
                                        	Cost extended community carrying AIGP Value
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity>`
                                        
                                        .. attribute:: med
                                        
                                        	Med carrying AIGP Value
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send, self).__init__()

                                            self.yang_name = "send"
                                            self.yang_parent_name = "aigp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity)}
                                            self._child_list_classes = {}

                                            self.med = YLeaf(YType.empty, "med")

                                            self.cost_community = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")
                                            self._segment_path = lambda: "send"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send, ['med'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            Cost extended community carrying AIGP Value
                                            
                                            .. attribute:: cc_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "send"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                self.cc_range = YList(self)
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                            class CcRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Community ID
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: poi
                                                
                                                	Point of Insertion
                                                	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                    self.yang_name = "cc-range"
                                                    self.yang_parent_name = "cost-community"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.poi = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                    self.poi.parent = self
                                                    self._children_name_map["poi"] = "poi"
                                                    self._children_yang_names.add("poi")
                                                    self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                class Poi(Entity):
                                                    """
                                                    Point of Insertion
                                                    
                                                    .. attribute:: igp_cost
                                                    
                                                    	Point of Insertion After IGP
                                                    	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    .. attribute:: pre_bestpath
                                                    
                                                    	Point of Insertion At Beginning
                                                    	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                        self.yang_name = "poi"
                                                        self.yang_parent_name = "cc-range"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                        self._child_list_classes = {}

                                                        self.igp_cost = None
                                                        self._children_name_map["igp_cost"] = "igp-cost"
                                                        self._children_yang_names.add("igp-cost")

                                                        self.pre_bestpath = None
                                                        self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                        self._children_yang_names.add("pre-bestpath")
                                                        self._segment_path = lambda: "poi"


                                                    class IgpCost(Entity):
                                                        """
                                                        Point of Insertion After IGP
                                                        
                                                        .. attribute:: transitive
                                                        
                                                        	Cost community is Transitive
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                            self.yang_name = "igp-cost"
                                                            self.yang_parent_name = "poi"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.transitive = YLeaf(YType.empty, "transitive")
                                                            self._segment_path = lambda: "igp-cost"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                    class PreBestpath(Entity):
                                                        """
                                                        Point of Insertion At Beginning
                                                        
                                                        .. attribute:: transitive
                                                        
                                                        	Cost community is Transitive
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                            self.yang_name = "pre-bestpath"
                                                            self.yang_parent_name = "poi"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.transitive = YLeaf(YType.empty, "transitive")
                                                            self._segment_path = lambda: "pre-bestpath"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                class Announce(Entity):
                                    """
                                    Announce RPKI State using an Extended Community
                                    
                                    .. attribute:: rpki
                                    
                                    	Announce RPKI information using an Extended Community
                                    	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce.Rpki>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce, self).__init__()

                                        self.yang_name = "announce"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce.Rpki)}
                                        self._child_list_classes = {}

                                        self.rpki = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce.Rpki()
                                        self.rpki.parent = self
                                        self._children_name_map["rpki"] = "rpki"
                                        self._children_yang_names.add("rpki")
                                        self._segment_path = lambda: "announce"


                                    class Rpki(Entity):
                                        """
                                        Announce RPKI information using an Extended Community
                                        
                                        .. attribute:: state
                                        
                                        	Announce RPKI State information using an Extended Community
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce.Rpki, self).__init__()

                                            self.yang_name = "rpki"
                                            self.yang_parent_name = "announce"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.state = YLeaf(YType.empty, "state")
                                            self._segment_path = lambda: "rpki"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Announce.Rpki, ['state'], name, value)


                                class AllowasIn(Entity):
                                    """
                                    Accept as\-path with my AS present in it
                                    
                                    .. attribute:: as_number
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..10
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AllowasIn, self).__init__()

                                        self.yang_name = "allowas-in"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.as_number = YLeaf(YType.uint8, "as-number")
                                        self._segment_path = lambda: "allowas-in"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AllowasIn, ['as_number'], name, value)


                                class AsOverride(Entity):
                                    """
                                    Override matching AS\-number while sending update
                                    
                                    .. attribute:: disable
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AsOverride, self).__init__()

                                        self.yang_name = "as-override"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "as-override"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.AsOverride, ['disable'], name, value)


                                class Capability(Entity):
                                    """
                                    Advertise capability to the peer
                                    
                                    .. attribute:: orf
                                    
                                    	Advertise ORF capability to the peer
                                    	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability, self).__init__()

                                        self.yang_name = "capability"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf)}
                                        self._child_list_classes = {}

                                        self.orf = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf()
                                        self.orf.parent = self
                                        self._children_name_map["orf"] = "orf"
                                        self._children_yang_names.add("orf")
                                        self._segment_path = lambda: "capability"


                                    class Orf(Entity):
                                        """
                                        Advertise ORF capability to the peer
                                        
                                        .. attribute:: prefix_list
                                        
                                        	Advertise prefixlist ORF capability to this neighbor
                                        	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf.PrefixList>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf, self).__init__()

                                            self.yang_name = "orf"
                                            self.yang_parent_name = "capability"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                            self._segment_path = lambda: "orf"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                        class PrefixList(Enum):
                                            """
                                            PrefixList

                                            Advertise prefixlist ORF capability to this neighbor

                                            .. data:: both = 0

                                            .. data:: receive = 1

                                            .. data:: send = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            receive = Enum.YLeaf(1, "receive")

                                            send = Enum.YLeaf(2, "send")



                                class DefaultOriginate(Entity):
                                    """
                                    Originate default route to this neighbour
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to specify criteria to originate default
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DefaultOriginate, self).__init__()

                                        self.yang_name = "default-originate"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "default-originate"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter updates to/from this neighbor
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList.Inout>`
                                    
                                    .. attribute:: accesslist
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1300..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.inout = YLeaf(YType.enumeration, "inout")

                                        self.accesslist = YLeaf(YType.str, "accesslist")
                                        self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                    class Inout(Enum):
                                        """
                                        Inout

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = Enum.YLeaf(0, "in")

                                        out = Enum.YLeaf(1, "out")



                                class EbgpMultihop(Entity):
                                    """
                                    Allow EBGP neighbors not on directly connected networks
                                    
                                    .. attribute:: max_hop
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.EbgpMultihop, self).__init__()

                                        self.yang_name = "ebgp-multihop"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.max_hop = YLeaf(YType.uint8, "max-hop")
                                        self._segment_path = lambda: "ebgp-multihop"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                class FallOver(Entity):
                                    """
                                    session fall on peer route lost
                                    
                                    .. attribute:: bfd
                                    
                                    	Use BFD to detect failure
                                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver.Bfd>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver, self).__init__()

                                        self.yang_name = "fall-over"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver.Bfd)}
                                        self._child_list_classes = {}

                                        self.bfd = None
                                        self._children_name_map["bfd"] = "bfd"
                                        self._children_yang_names.add("bfd")
                                        self._segment_path = lambda: "fall-over"


                                    class Bfd(Entity):
                                        """
                                        Use BFD to detect failure
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FallOver.Bfd, self).__init__()

                                            self.yang_name = "bfd"
                                            self.yang_parent_name = "fall-over"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True
                                            self._segment_path = lambda: "bfd"


                                class FilterList(Entity):
                                    """
                                    Establish BGP filters
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList.Inout>`
                                    
                                    .. attribute:: as_path_list
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..500
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList, self).__init__()

                                        self.yang_name = "filter-list"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.inout = YLeaf(YType.enumeration, "inout")

                                        self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                        self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                    class Inout(Enum):
                                        """
                                        Inout

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = Enum.YLeaf(0, "in")

                                        out = Enum.YLeaf(1, "out")



                                class Inherit(Entity):
                                    """
                                    Inherit a template
                                    
                                    .. attribute:: peer_policy
                                    
                                    	Inherit a peer\-policy template
                                    	**type**\: str
                                    
                                    .. attribute:: peer_session
                                    
                                    	Inherit a peer\-session template
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Inherit, self).__init__()

                                        self.yang_name = "inherit"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.peer_policy = YLeaf(YType.str, "peer-policy")

                                        self.peer_session = YLeaf(YType.str, "peer-session")
                                        self._segment_path = lambda: "inherit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                class LogNeighborChanges(Entity):
                                    """
                                    Log neighbor up/down and reset reason
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LogNeighborChanges, self).__init__()

                                        self.yang_name = "log-neighbor-changes"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "log-neighbor-changes"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                class MaximumPrefix(Entity):
                                    """
                                    Maximum number of prefixes accepted from this peer
                                    
                                    .. attribute:: max_prefix_no
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..2147483647
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: restart
                                    
                                    	Restart bgp connection after limit is exceeded
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.MaximumPrefix, self).__init__()

                                        self.yang_name = "maximum-prefix"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                        self.restart = YLeaf(YType.uint16, "restart")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")
                                        self._segment_path = lambda: "maximum-prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                class Password(Entity):
                                    """
                                    Set a password
                                    
                                    .. attribute:: enctype
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: text
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Password, self).__init__()

                                        self.yang_name = "password"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enctype = YLeaf(YType.uint8, "enctype")

                                        self.text = YLeaf(YType.str, "text")
                                        self._segment_path = lambda: "password"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Password, ['enctype', 'text'], name, value)


                                class PrefixList(Entity):
                                    """
                                    Filter updates to/from this neighbor
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList.Inout>`
                                    
                                    .. attribute:: prefix_list_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList, self).__init__()

                                        self.yang_name = "prefix-list"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.inout = YLeaf(YType.enumeration, "inout")

                                        self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                        self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                    class Inout(Enum):
                                        """
                                        Inout

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = Enum.YLeaf(0, "in")

                                        out = Enum.YLeaf(1, "out")



                                class PathAttribute(Entity):
                                    """
                                    BGP optional attribute filtering
                                    
                                    .. attribute:: discard
                                    
                                    	Discard matching path\-attribute for this neighbor
                                    	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard>`
                                    
                                    .. attribute:: treat_as_withdraw
                                    
                                    	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute, self).__init__()

                                        self.yang_name = "path-attribute"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw)}
                                        self._child_list_classes = {}

                                        self.discard = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard()
                                        self.discard.parent = self
                                        self._children_name_map["discard"] = "discard"
                                        self._children_yang_names.add("discard")

                                        self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw()
                                        self.treat_as_withdraw.parent = self
                                        self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                        self._children_yang_names.add("treat-as-withdraw")
                                        self._segment_path = lambda: "path-attribute"


                                    class Discard(Entity):
                                        """
                                        Discard matching path\-attribute for this neighbor
                                        
                                        .. attribute:: attibute_type
                                        
                                        	
                                        	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.AttibuteType>`
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard, self).__init__()

                                            self.yang_name = "discard"
                                            self.yang_parent_name = "path-attribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Range)}
                                            self._child_list_classes = {}

                                            self.attibute_type = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.AttibuteType()
                                            self.attibute_type.parent = self
                                            self._children_name_map["attibute_type"] = "attibute_type"
                                            self._children_yang_names.add("attibute_type")

                                            self.range = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Range()
                                            self.range.parent = self
                                            self._children_name_map["range"] = "range"
                                            self._children_yang_names.add("range")
                                            self._segment_path = lambda: "discard"


                                        class AttibuteType(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type
                                            
                                            	path attribute type
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                self.yang_name = "attibute_type"
                                                self.yang_parent_name = "discard"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.type = YLeaf(YType.uint8, "type")

                                                self.in_ = YLeaf(YType.empty, "in")
                                                self._segment_path = lambda: "attibute_type"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                        class Range(Entity):
                                            """
                                            
                                            
                                            .. attribute:: start_value
                                            
                                            	path attribute range start value
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: end_value
                                            
                                            	path attribute range end value
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                self.yang_name = "range"
                                                self.yang_parent_name = "discard"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.start_value = YLeaf(YType.uint8, "start_value")

                                                self.end_value = YLeaf(YType.uint8, "end_value")

                                                self.in_ = YLeaf(YType.empty, "in")
                                                self._segment_path = lambda: "range"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class TreatAsWithdraw(Entity):
                                        """
                                        Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        
                                        .. attribute:: attibute_type
                                        
                                        	
                                        	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                            self.yang_name = "treat-as-withdraw"
                                            self.yang_parent_name = "path-attribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                            self._child_list_classes = {}

                                            self.attibute_type = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                            self.attibute_type.parent = self
                                            self._children_name_map["attibute_type"] = "attibute_type"
                                            self._children_yang_names.add("attibute_type")

                                            self.range = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                            self.range.parent = self
                                            self._children_name_map["range"] = "range"
                                            self._children_yang_names.add("range")
                                            self._segment_path = lambda: "treat-as-withdraw"


                                        class AttibuteType(Entity):
                                            """
                                            
                                            
                                            .. attribute:: type
                                            
                                            	path attribute type
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                self.yang_name = "attibute_type"
                                                self.yang_parent_name = "treat-as-withdraw"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.type = YLeaf(YType.uint8, "type")

                                                self.in_ = YLeaf(YType.empty, "in")
                                                self._segment_path = lambda: "attibute_type"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                        class Range(Entity):
                                            """
                                            
                                            
                                            .. attribute:: start_value
                                            
                                            	path attribute range start value
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: end_value
                                            
                                            	path attribute range end value
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: in_
                                            
                                            	Perform inbound path\-attribute filtering
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                self.yang_name = "range"
                                                self.yang_parent_name = "treat-as-withdraw"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.start_value = YLeaf(YType.uint8, "start_value")

                                                self.end_value = YLeaf(YType.uint8, "end_value")

                                                self.in_ = YLeaf(YType.empty, "in")
                                                self._segment_path = lambda: "range"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                class RouteMap(Entity):
                                    """
                                    Apply route map to neighbor
                                    
                                    .. attribute:: inout  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap.Inout>`
                                    
                                    .. attribute:: route_map_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**mandatory**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap, self).__init__()

                                        self.yang_name = "route-map"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.inout = YLeaf(YType.enumeration, "inout")

                                        self.route_map_name = YLeaf(YType.str, "route-map-name")
                                        self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                    class Inout(Enum):
                                        """
                                        Inout

                                        .. data:: in_ = 0

                                        .. data:: out = 1

                                        """

                                        in_ = Enum.YLeaf(0, "in")

                                        out = Enum.YLeaf(1, "out")



                                class SendCommunity(Entity):
                                    """
                                    Send Community attribute to this neighbor
                                    
                                    .. attribute:: send_community_where
                                    
                                    	
                                    	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity.SendCommunityWhere>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity, self).__init__()

                                        self.yang_name = "send-community"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                        self._segment_path = lambda: "send-community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                    class SendCommunityWhere(Enum):
                                        """
                                        SendCommunityWhere

                                        .. data:: both = 0

                                        .. data:: extended = 1

                                        .. data:: standard = 2

                                        """

                                        both = Enum.YLeaf(0, "both")

                                        extended = Enum.YLeaf(1, "extended")

                                        standard = Enum.YLeaf(2, "standard")



                                class SendLabel(Entity):
                                    """
                                    Send NLRI + MPLS Label to this peer
                                    
                                    .. attribute:: send_label_explicit
                                    
                                    	
                                    	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel.SendLabelExplicit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel, self).__init__()

                                        self.yang_name = "send-label"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                        self._segment_path = lambda: "send-label"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                    class SendLabelExplicit(Enum):
                                        """
                                        SendLabelExplicit

                                        .. data:: explicit_null = 0

                                        """

                                        explicit_null = Enum.YLeaf(0, "explicit-null")



                                class SlowPeer(Entity):
                                    """
                                    Configure slow\-peer
                                    
                                    .. attribute:: detection
                                    
                                    	Slow\-peer detection
                                    	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.Detection>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: split_update_group
                                    
                                    	Configure slow\-peer split\-update\-group
                                    	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer, self).__init__()

                                        self.yang_name = "slow-peer"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup)}
                                        self._child_list_classes = {}

                                        self.detection = None
                                        self._children_name_map["detection"] = "detection"
                                        self._children_yang_names.add("detection")

                                        self.split_update_group = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup()
                                        self.split_update_group.parent = self
                                        self._children_name_map["split_update_group"] = "split-update-group"
                                        self._children_yang_names.add("split-update-group")
                                        self._segment_path = lambda: "slow-peer"


                                    class Detection(Entity):
                                        """
                                        Slow\-peer detection
                                        
                                        .. attribute:: threshold
                                        
                                        	Threshold value (seconds)
                                        	**type**\: int
                                        
                                        	**range:** 120..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.Detection, self).__init__()

                                            self.yang_name = "detection"
                                            self.yang_parent_name = "slow-peer"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.threshold = YLeaf(YType.uint16, "threshold")
                                            self._segment_path = lambda: "detection"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                    class SplitUpdateGroup(Entity):
                                        """
                                        Configure slow\-peer split\-update\-group
                                        
                                        .. attribute:: dynamic
                                        
                                        	Dynamically split the slow peer to slow\-update group
                                        	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                            self.yang_name = "split-update-group"
                                            self.yang_parent_name = "slow-peer"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                            self._child_list_classes = {}

                                            self.dynamic = None
                                            self._children_name_map["dynamic"] = "dynamic"
                                            self._children_yang_names.add("dynamic")
                                            self._segment_path = lambda: "split-update-group"


                                        class Dynamic(Entity):
                                            """
                                            Dynamically split the slow peer to slow\-update group
                                            
                                            .. attribute:: permanent
                                            
                                            	Keep the slow\-peer permanently in slow\-update group
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                self.yang_name = "dynamic"
                                                self.yang_parent_name = "split-update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.permanent = YLeaf(YType.empty, "permanent")
                                                self._segment_path = lambda: "dynamic"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                class Timers(Entity):
                                    """
                                    BGP per neighbor timers
                                    
                                    .. attribute:: keepalive_interval
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: holdtime
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: minimum_neighbor_hold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Timers, self).__init__()

                                        self.yang_name = "timers"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                        self.holdtime = YLeaf(YType.uint16, "holdtime")

                                        self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                        self._segment_path = lambda: "timers"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                class TranslateUpdate(Entity):
                                    """
                                    Translate Update to MBGP format
                                    
                                    .. attribute:: ipv4
                                    
                                    	Address Family
                                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate, self).__init__()

                                        self.yang_name = "translate-update"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4)}
                                        self._child_list_classes = {}

                                        self.ipv4 = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4()
                                        self.ipv4.parent = self
                                        self._children_name_map["ipv4"] = "ipv4"
                                        self._children_yang_names.add("ipv4")
                                        self._segment_path = lambda: "translate-update"


                                    class Ipv4(Entity):
                                        """
                                        Address Family
                                        
                                        .. attribute:: multicast
                                        
                                        	Address Family modifier
                                        	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                            self.yang_name = "ipv4"
                                            self.yang_parent_name = "translate-update"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                            self._child_list_classes = {}

                                            self.multicast = None
                                            self._children_name_map["multicast"] = "multicast"
                                            self._children_yang_names.add("multicast")
                                            self._segment_path = lambda: "ipv4"


                                        class Multicast(Entity):
                                            """
                                            Address Family modifier
                                            
                                            .. attribute:: unicast
                                            
                                            	Address Family modifier
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                self.yang_name = "multicast"
                                                self.yang_parent_name = "ipv4"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.unicast = YLeaf(YType.empty, "unicast")
                                                self._segment_path = lambda: "multicast"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                class Transport(Entity):
                                    """
                                    Transport options
                                    
                                    .. attribute:: connection_mode
                                    
                                    	Specify passive or active connection
                                    	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.ConnectionMode>`
                                    
                                    .. attribute:: multi_session
                                    
                                    	Use Multi\-session for transport
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: path_mtu_discovery
                                    
                                    	Use transport path MTU discovery
                                    	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.PathMtuDiscovery>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport, self).__init__()

                                        self.yang_name = "transport"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.PathMtuDiscovery)}
                                        self._child_list_classes = {}

                                        self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                        self.multi_session = YLeaf(YType.empty, "multi-session")

                                        self.path_mtu_discovery = None
                                        self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                        self._children_yang_names.add("path-mtu-discovery")
                                        self._segment_path = lambda: "transport"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                    class ConnectionMode(Enum):
                                        """
                                        ConnectionMode

                                        Specify passive or active connection

                                        .. data:: active = 0

                                        .. data:: passive = 1

                                        """

                                        active = Enum.YLeaf(0, "active")

                                        passive = Enum.YLeaf(1, "passive")



                                    class PathMtuDiscovery(Entity):
                                        """
                                        Use transport path MTU discovery
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                            self.yang_name = "path-mtu-discovery"
                                            self.yang_parent_name = "transport"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "path-mtu-discovery"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                class TtlSecurity(Entity):
                                    """
                                    BGP ttl security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\: int
                                    
                                    	**range:** 1..254
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TtlSecurity, self).__init__()

                                        self.yang_name = "ttl-security"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hops = YLeaf(YType.uint8, "hops")
                                        self._segment_path = lambda: "ttl-security"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.TtlSecurity, ['hops'], name, value)


                                class UpdateSource(Entity):
                                    """
                                    Source of routing updates
                                    
                                    .. attribute:: appnav_compress
                                    
                                    	Service\-Context Virtual Interface Compress
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: appnav_uncompress
                                    
                                    	Service\-Context Virtual Interface UnCompress
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: atm
                                    
                                    	ATM interface
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                    
                                    .. attribute:: atm_subinterface
                                    
                                    	
                                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.ATMSubinterface>`
                                    
                                    .. attribute:: atm_acr
                                    
                                    	ATM\-ACR interface
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]
                                    
                                    .. attribute:: atm_acrsubinterface
                                    
                                    	
                                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.ATMACRsubinterface>`
                                    
                                    .. attribute:: bdi
                                    
                                    	Bridge\-Domain interface
                                    	**type**\: str
                                    
                                    .. attribute:: cem
                                    
                                    	CEM interface
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]
                                    
                                    .. attribute:: cem_acr
                                    
                                    	CEM\-ACR interface
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: embedded_service_engine
                                    
                                    	cisco embedded service engine module
                                    	**type**\: str
                                    
                                    .. attribute:: fastethernet
                                    
                                    	FastEthernet IEEE 802.3
                                    	**type**\: str
                                    
                                    .. attribute:: gigabitethernet
                                    
                                    	GigabitEthernet IEEE 802.3z
                                    	**type**\: str
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol Virtual Interface
                                    	**type**\: str
                                    
                                    .. attribute:: lisp_subinterface
                                    
                                    	Locator/ID Separation Protocol Virtual Interface
                                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.LISPSubinterface>`
                                    
                                    .. attribute:: loopback
                                    
                                    	Loopback interface
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: multilink
                                    
                                    	Multilink\-group interface
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: nve
                                    
                                    	Network virtualization endpoint interface
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: overlay
                                    
                                    	Overlay interface
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: port_channel
                                    
                                    	Ethernet Channel of interfaces
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: port_channel_subinterface
                                    
                                    	
                                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.PortChannelSubinterface>`
                                    
                                    .. attribute:: pseudowire
                                    
                                    	Pseudowire Interface
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: sm
                                    
                                    	SM Interface
                                    	**type**\: str
                                    
                                    .. attribute:: cellular
                                    
                                    	Cellular Interface
                                    	**type**\: str
                                    
                                    .. attribute:: serial
                                    
                                    	Serial interface
                                    	**type**\: str
                                    
                                    .. attribute:: tengigabitethernet
                                    
                                    	Ten Gigabit Ethernet
                                    	**type**\: str
                                    
                                    .. attribute:: tunnel
                                    
                                    	Tunnel interface
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: virtual_template
                                    
                                    	Virtual Template interface
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vlan
                                    
                                    	Iosxr Vlans
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: virtualportgroup
                                    
                                    	Virtual Port Group
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vasileft
                                    
                                    	vasileft
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vasiright
                                    
                                    	vasiright
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource, self).__init__()

                                        self.yang_name = "update-source"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.PortChannelSubinterface)}
                                        self._child_list_classes = {}

                                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                        self.atm = YLeaf(YType.str, "ATM")

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                        self.bdi = YLeaf(YType.str, "BDI")

                                        self.cem = YLeaf(YType.str, "CEM")

                                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                        self.lisp = YLeaf(YType.str, "LISP")

                                        self.loopback = YLeaf(YType.uint32, "Loopback")

                                        self.multilink = YLeaf(YType.uint16, "Multilink")

                                        self.nve = YLeaf(YType.uint16, "nve")

                                        self.overlay = YLeaf(YType.uint16, "overlay")

                                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                        self.sm = YLeaf(YType.str, "SM")

                                        self.cellular = YLeaf(YType.str, "Cellular")

                                        self.serial = YLeaf(YType.str, "Serial")

                                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                        self.vlan = YLeaf(YType.uint16, "Vlan")

                                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                                        self.atm_subinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.ATMSubinterface()
                                        self.atm_subinterface.parent = self
                                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                        self._children_yang_names.add("ATM-subinterface")

                                        self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.ATMACRsubinterface()
                                        self.atm_acrsubinterface.parent = self
                                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                        self._children_yang_names.add("ATM-ACRsubinterface")

                                        self.lisp_subinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.LISPSubinterface()
                                        self.lisp_subinterface.parent = self
                                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                        self._children_yang_names.add("LISP-subinterface")

                                        self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.PortChannelSubinterface()
                                        self.port_channel_subinterface.parent = self
                                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                        self._children_yang_names.add("Port-channel-subinterface")
                                        self._segment_path = lambda: "update-source"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                    class ATMSubinterface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: atm
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                            self.yang_name = "ATM-subinterface"
                                            self.yang_parent_name = "update-source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.atm = YLeaf(YType.str, "ATM")
                                            self._segment_path = lambda: "ATM-subinterface"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                    class ATMACRsubinterface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: atm_acr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                            self.yang_name = "ATM-ACRsubinterface"
                                            self.yang_parent_name = "update-source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                            self._segment_path = lambda: "ATM-ACRsubinterface"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                    class LISPSubinterface(Entity):
                                        """
                                        Locator/ID Separation Protocol Virtual Interface
                                        
                                        .. attribute:: lisp
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                            self.yang_name = "LISP-subinterface"
                                            self.yang_parent_name = "update-source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.lisp = YLeaf(YType.str, "LISP")
                                            self._segment_path = lambda: "LISP-subinterface"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                    class PortChannelSubinterface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: port_channel
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                            self.yang_name = "Port-channel-subinterface"
                                            self.yang_parent_name = "update-source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.port_channel = YLeaf(YType.str, "Port-channel")
                                            self._segment_path = lambda: "Port-channel-subinterface"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                class HaMode(Entity):
                                    """
                                    high availability mode
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	graceful\-restart for this peer
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: sso
                                    
                                    	stateful\-switchover support for this peer
                                    	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.Sso>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode, self).__init__()

                                        self.yang_name = "ha-mode"
                                        self.yang_parent_name = "neighbor"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.Sso)}
                                        self._child_list_classes = {}

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.sso = None
                                        self._children_name_map["sso"] = "sso"
                                        self._children_yang_names.add("sso")
                                        self._segment_path = lambda: "ha-mode"


                                    class GracefulRestart(Entity):
                                        """
                                        graceful\-restart for this peer
                                        
                                        .. attribute:: disable
                                        
                                        	disable graceful\-restart
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "ha-mode"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                    class Sso(Entity):
                                        """
                                        stateful\-switchover support for this peer
                                        
                                        .. attribute:: disable
                                        
                                        	disable stateful\-switchover
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.Sso, self).__init__()

                                            self.yang_name = "sso"
                                            self.yang_parent_name = "ha-mode"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "sso"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Neighbor.HaMode.Sso, ['disable'], name, value)


                            class Network(Entity):
                                """
                                Specify a network to announce via BGP
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: backdoor
                                
                                	Specify a BGP backdoor route
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mask
                                
                                	Network mask
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: route_map
                                
                                	Route\-map to modify the attributes
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Network, self).__init__()

                                    self.yang_name = "network"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.str, "number")

                                    self.backdoor = YLeaf(YType.empty, "backdoor")

                                    self.mask = YLeaf(YType.str, "mask")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                            class Redistribute(Entity):
                                """
                                Redistribute information from another routing protocol
                                
                                .. attribute:: application
                                
                                	Application
                                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: dvmrp
                                
                                	Redistribution of DVMRP into BGP IPv4 Multicast
                                	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Dvmrp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis>`
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol
                                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Lisp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: iso_igrp
                                
                                	IGRP for OSI networks
                                	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp>`
                                
                                .. attribute:: mobile
                                
                                	Mobile routes
                                	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Mobile>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: odr
                                
                                	On Demand stub Routes
                                	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Odr>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute, self).__init__()

                                    self.yang_name = "redistribute"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"application" : ("application", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static)}
                                    self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf)}

                                    self.application = None
                                    self._children_name_map["application"] = "application"
                                    self._children_yang_names.add("application")

                                    self.bgp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.connected = None
                                    self._children_name_map["connected"] = "connected"
                                    self._children_yang_names.add("connected")

                                    self.dvmrp = None
                                    self._children_name_map["dvmrp"] = "dvmrp"
                                    self._children_yang_names.add("dvmrp")

                                    self.eigrp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Eigrp()
                                    self.eigrp.parent = self
                                    self._children_name_map["eigrp"] = "eigrp"
                                    self._children_yang_names.add("eigrp")

                                    self.isis = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis()
                                    self.isis.parent = self
                                    self._children_name_map["isis"] = "isis"
                                    self._children_yang_names.add("isis")

                                    self.lisp = None
                                    self._children_name_map["lisp"] = "lisp"
                                    self._children_yang_names.add("lisp")

                                    self.iso_igrp = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp()
                                    self.iso_igrp.parent = self
                                    self._children_name_map["iso_igrp"] = "iso-igrp"
                                    self._children_yang_names.add("iso-igrp")

                                    self.mobile = None
                                    self._children_name_map["mobile"] = "mobile"
                                    self._children_yang_names.add("mobile")

                                    self.odr = None
                                    self._children_name_map["odr"] = "odr"
                                    self._children_yang_names.add("odr")

                                    self.rip = None
                                    self._children_name_map["rip"] = "rip"
                                    self._children_yang_names.add("rip")

                                    self.static = None
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")

                                    self.ospf = YList(self)
                                    self._segment_path = lambda: "redistribute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute, [], name, value)


                                class Application(Entity):
                                    """
                                    Application
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application.Name>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application, self).__init__()

                                        self.yang_name = "application"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application.Name)}
                                        self.is_presence_container = True

                                        self.name = YList(self)
                                        self._segment_path = lambda: "application"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application, [], name, value)


                                    class Name(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	WORD;;Route map name
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application.Name, self).__init__()

                                            self.yang_name = "name"
                                            self.yang_parent_name = "application"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                class Bgp(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: as_no
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.as_no = YLeaf(YType.str, "as-no")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                class Connected(Entity):
                                    """
                                    Connected
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Connected, self).__init__()

                                        self.yang_name = "connected"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "connected"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                class Dvmrp(Entity):
                                    """
                                    Redistribution of DVMRP into BGP IPv4 Multicast
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Dvmrp, self).__init__()

                                        self.yang_name = "dvmrp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "dvmrp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: as_no
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.as_no = YLeaf(YType.uint16, "as-no")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "eigrp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                class Isis(Entity):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: isis_area
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea>`
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis, self).__init__()

                                        self.yang_name = "isis"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default)}
                                        self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea)}

                                        self.default = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.isis_area = YList(self)
                                        self._segment_path = lambda: "isis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis, [], name, value)


                                    class IsisArea(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP dynamic routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: routes
                                        
                                        	
                                        	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea.Routes>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea, self).__init__()

                                            self.yang_name = "isis-area"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.ip = YLeaf(YType.empty, "ip")

                                            self.clns = YLeaf(YType.empty, "clns")

                                            self.routes = YLeaf(YType.enumeration, "routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                        class Routes(Enum):
                                            """
                                            Routes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Default(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP dynamic routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: routes
                                        
                                        	
                                        	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default.Routes>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip = YLeaf(YType.empty, "ip")

                                            self.clns = YLeaf(YType.empty, "clns")

                                            self.routes = YLeaf(YType.enumeration, "routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                        class Routes(Enum):
                                            """
                                            Routes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class Lisp(Entity):
                                    """
                                    Locator/ID Separation Protocol
                                    
                                    .. attribute:: include_connected
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Lisp, self).__init__()

                                        self.yang_name = "lisp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.include_connected = YLeaf(YType.empty, "include-connected")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "lisp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                class IsoIgrp(Entity):
                                    """
                                    IGRP for OSI networks
                                    
                                    .. attribute:: iso_igrp_area
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpArea>`
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.Default>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp, self).__init__()

                                        self.yang_name = "iso-igrp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.Default)}
                                        self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpArea)}

                                        self.default = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.iso_igrp_area = YList(self)
                                        self._segment_path = lambda: "iso-igrp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp, [], name, value)


                                    class IsoIgrpArea(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                            self.yang_name = "iso-igrp-area"
                                            self.yang_parent_name = "iso-igrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                    class Default(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "iso-igrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                class Mobile(Entity):
                                    """
                                    Mobile routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Mobile, self).__init__()

                                        self.yang_name = "mobile"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "mobile"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                class Odr(Entity):
                                    """
                                    On Demand stub Routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Odr, self).__init__()

                                        self.yang_name = "odr"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "odr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: vrf
                                    
                                    	VPN Routing/Forwarding Instance
                                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf>`
                                    
                                    .. attribute:: non_vrf
                                    
                                    	
                                    	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf)}
                                        self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf)}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.non_vrf = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf()
                                        self.non_vrf.parent = self
                                        self._children_name_map["non_vrf"] = "non-vrf"
                                        self._children_yang_names.add("non-vrf")

                                        self.vrf = YList(self)
                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf, ['id'], name, value)


                                    class Vrf(Entity):
                                        """
                                        VPN Routing/Forwarding Instance
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: match
                                        
                                        	
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf, self).__init__()

                                            self.yang_name = "vrf"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf.Match)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.match = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                        class Match(Entity):
                                            """
                                            
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "vrf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self._segment_path = lambda: "match"


                                    class NonVrf(Entity):
                                        """
                                        
                                        
                                        .. attribute:: match
                                        
                                        	
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf, self).__init__()

                                            self.yang_name = "non-vrf"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf.Match)}
                                            self._child_list_classes = {}

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.match = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "non-vrf"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                        class Match(Entity):
                                            """
                                            
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                            
                                            .. attribute:: external2
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "non-vrf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.internal = YLeaf(YType.empty, "internal")

                                                self.external = YLeaf(YType.enumeration, "external")

                                                self.external2 = YLeaf(YType.enumeration, "external2")

                                                self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "match"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                class Rip(Entity):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: name
                                    
                                    	User selected string identifying this process
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Rip, self).__init__()

                                        self.yang_name = "rip"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.name = YLeaf(YType.str, "name")
                                        self._segment_path = lambda: "rip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                class Static(Entity):
                                    """
                                    Static routes
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Clns>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ip
                                    
                                    	
                                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Ip)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.clns = None
                                        self._children_name_map["clns"] = "clns"
                                        self._children_yang_names.add("clns")

                                        self.ip = None
                                        self._children_name_map["ip"] = "ip"
                                        self._children_yang_names.add("ip")
                                        self._segment_path = lambda: "static"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static, ['metric', 'route_map'], name, value)


                                    class Clns(Entity):
                                        """
                                        Redistribution of OSI dynamic routes
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Clns, self).__init__()

                                            self.yang_name = "clns"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "clns"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                    class Ip(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Ip, self).__init__()

                                            self.yang_name = "ip"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                            class TableMap(Entity):
                                """
                                Map external entry attributes into routing table
                                
                                .. attribute:: name
                                
                                	WORD;;route\-map name
                                	**type**\: str
                                
                                .. attribute:: filter
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.TableMap, self).__init__()

                                    self.yang_name = "table-map"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.name = YLeaf(YType.str, "name")

                                    self.filter = YLeaf(YType.empty, "filter")
                                    self._segment_path = lambda: "table-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.TableMap, ['name', 'filter'], name, value)


                            class Snmp(Entity):
                                """
                                Modify snmp parameters
                                
                                .. attribute:: context
                                
                                	Configure a SNMP context
                                	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp, self).__init__()

                                    self.yang_name = "snmp"
                                    self.yang_parent_name = "vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"context" : ("context", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.context = Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context()
                                    self.context.parent = self
                                    self._children_name_map["context"] = "context"
                                    self._children_yang_names.add("context")
                                    self._segment_path = lambda: "snmp"


                                class Context(Entity):
                                    """
                                    Configure a SNMP context
                                    
                                    .. attribute:: context_word
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context.ContextWord>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context, self).__init__()

                                        self.yang_name = "context"
                                        self.yang_parent_name = "snmp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context.ContextWord)}

                                        self.context_word = YList(self)
                                        self._segment_path = lambda: "context"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context, [], name, value)


                                    class ContextWord(Entity):
                                        """
                                        
                                        
                                        .. attribute:: context_word  <key>
                                        
                                        	Context Name
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context.ContextWord, self).__init__()

                                            self.yang_name = "context_word"
                                            self.yang_parent_name = "context"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.context_word = YLeaf(YType.str, "context_word")
                                            self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.WithVrf.Ipv6.Vrf.Snmp.Context.ContextWord, ['context_word'], name, value)


                class NoVrf(Entity):
                    """
                    
                    
                    .. attribute:: ipv4
                    
                    	Address family
                    	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Address family
                    	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6>`
                    
                    .. attribute:: vpnv4
                    
                    	Address family
                    	**type**\: list of  		 :py:class:`Vpnv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4>`
                    
                    .. attribute:: vpnv6
                    
                    	Address family
                    	**type**\: list of  		 :py:class:`Vpnv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6>`
                    
                    .. attribute:: nsap
                    
                    	Address family
                    	**type**\: list of  		 :py:class:`Nsap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap>`
                    
                    .. attribute:: l2vpn
                    
                    	Address family
                    	**type**\: list of  		 :py:class:`L2Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn>`
                    
                    .. attribute:: rtfilter
                    
                    	Address family
                    	**type**\: list of  		 :py:class:`Rtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.AddressFamily.NoVrf, self).__init__()

                        self.yang_name = "no-vrf"
                        self.yang_parent_name = "address-family"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4), "ipv6" : ("ipv6", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6), "vpnv4" : ("vpnv4", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4), "vpnv6" : ("vpnv6", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6), "nsap" : ("nsap", Native.Router.Bgp.AddressFamily.NoVrf.Nsap), "l2vpn" : ("l2vpn", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn), "rtfilter" : ("rtfilter", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter)}

                        self.ipv4 = YList(self)
                        self.ipv6 = YList(self)
                        self.vpnv4 = YList(self)
                        self.vpnv6 = YList(self)
                        self.nsap = YList(self)
                        self.l2vpn = YList(self)
                        self.rtfilter = YList(self)
                        self._segment_path = lambda: "no-vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf, [], name, value)


                    class Ipv4(Entity):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:  :py:class:`BgpIpv4AfType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.BgpIpv4AfType>`
                        
                        .. attribute:: aggregate_address
                        
                        	Configure BGP aggregate entries
                        	**type**\:  :py:class:`AggregateAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.AggregateAddress>`
                        
                        .. attribute:: import_
                        
                        	Configure path import
                        	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Import_>`
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute>`
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\: bool
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.TableMap>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "no-vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"aggregate-address" : ("aggregate_address", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.AggregateAddress), "import" : ("import_", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Import_), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp), "default-information" : ("default_information", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.TableMap), "snmp" : ("snmp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp)}
                            self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor), "network" : ("network", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Network)}

                            self.af_name = YLeaf(YType.enumeration, "af-name")

                            self.default_metric = YLeaf(YType.uint32, "default-metric")

                            self.synchronization = YLeaf(YType.empty, "synchronization")

                            self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                            self.aggregate_address = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.AggregateAddress()
                            self.aggregate_address.parent = self
                            self._children_name_map["aggregate_address"] = "aggregate-address"
                            self._children_yang_names.add("aggregate-address")

                            self.import_ = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Import_()
                            self.import_.parent = self
                            self._children_name_map["import_"] = "import"
                            self._children_yang_names.add("import")

                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp()
                            self.bgp.parent = self
                            self._children_name_map["bgp"] = "bgp"
                            self._children_yang_names.add("bgp")

                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths()
                            self.maximum_paths.parent = self
                            self._children_name_map["maximum_paths"] = "maximum-paths"
                            self._children_yang_names.add("maximum-paths")

                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.table_map = None
                            self._children_name_map["table_map"] = "table-map"
                            self._children_yang_names.add("table-map")

                            self.snmp = None
                            self._children_name_map["snmp"] = "snmp"
                            self._children_yang_names.add("snmp")

                            self.distribute_list = YList(self)
                            self.neighbor = YList(self)
                            self.network = YList(self)
                            self._segment_path = lambda: "ipv4" + "[af-name='" + self.af_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)


                        class AggregateAddress(Entity):
                            """
                            Configure BGP aggregate entries
                            
                            .. attribute:: ipv4_address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: advertise_map
                            
                            	Set condition to advertise attribute
                            	**type**\: str
                            
                            .. attribute:: as_set
                            
                            	Generate AS set path information
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: attribute_map
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: summary_only
                            
                            	Filter more specific routes from updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_map
                            
                            	Conditionally filter more specific routes from updates
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.AggregateAddress, self).__init__()

                                self.yang_name = "aggregate-address"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_address = YLeaf(YType.str, "ipv4-address")

                                self.ipv4_mask = YLeaf(YType.str, "ipv4-mask")

                                self.advertise_map = YLeaf(YType.str, "advertise-map")

                                self.as_set = YLeaf(YType.empty, "as-set")

                                self.attribute_map = YLeaf(YType.str, "attribute-map")

                                self.as_override = YLeaf(YType.empty, "as-override")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.summary_only = YLeaf(YType.empty, "summary-only")

                                self.suppress_map = YLeaf(YType.str, "suppress-map")
                                self._segment_path = lambda: "aggregate-address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.AggregateAddress, ['ipv4_address', 'ipv4_mask', 'advertise_map', 'as_set', 'attribute_map', 'as_override', 'route_map', 'summary_only', 'suppress_map'], name, value)


                        class Import_(Entity):
                            """
                            Configure path import
                            
                            .. attribute:: path
                            
                            	Path selection and path limit
                            	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Import_.Path>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Import_, self).__init__()

                                self.yang_name = "import"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"path" : ("path", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Import_.Path)}
                                self._child_list_classes = {}

                                self.path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Import_.Path()
                                self.path.parent = self
                                self._children_name_map["path"] = "path"
                                self._children_yang_names.add("path")
                                self._segment_path = lambda: "import"


                            class Path(Entity):
                                """
                                Path selection and path limit
                                
                                .. attribute:: limit
                                
                                	Per net imported path limit
                                	**type**\: int
                                
                                	**range:** 2..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Import_.Path, self).__init__()

                                    self.yang_name = "path"
                                    self.yang_parent_name = "import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint8, "limit")
                                    self._segment_path = lambda: "path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Import_.Path, ['limit'], name, value)


                        class Bgp(Entity):
                            """
                            BGP specific commands
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\: int
                            
                            	**range:** 6..60
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Recursion>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\: bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\: int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\: int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer>`
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup>`
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Regexp>`
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\: int
                            
                            	**range:** 5..60
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\: int
                            
                            	**range:** 1..3600
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Transport)}
                                self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.InjectMap)}

                                self.router_id = YLeaf(YType.str, "router-id")

                                self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                self.scan_time = YLeaf(YType.uint8, "scan-time")

                                self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                self.update_delay = YLeaf(YType.uint16, "update-delay")

                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation()
                                self.asnotation.parent = self
                                self._children_name_map["asnotation"] = "asnotation"
                                self._children_yang_names.add("asnotation")

                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                self._children_yang_names.add("nopeerup-delay")

                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Recursion()
                                self.recursion.parent = self
                                self._children_name_map["recursion"] = "recursion"
                                self._children_yang_names.add("recursion")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath()
                                self.bestpath.parent = self
                                self._children_name_map["bestpath"] = "bestpath"
                                self._children_yang_names.add("bestpath")

                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient()
                                self.client_to_client.parent = self
                                self._children_name_map["client_to_client"] = "client-to-client"
                                self._children_yang_names.add("client-to-client")

                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Confederation()
                                self.confederation.parent = self
                                self._children_name_map["confederation"] = "confederation"
                                self._children_yang_names.add("confederation")

                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self._children_name_map["consistency_checker"] = "consistency-checker"
                                self._children_yang_names.add("consistency-checker")

                                self.dampening = None
                                self._children_name_map["dampening"] = "dampening"
                                self._children_yang_names.add("dampening")

                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.graceful_restart = None
                                self._children_name_map["graceful_restart"] = "graceful-restart"
                                self._children_yang_names.add("graceful-restart")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap()
                                self.route_map.parent = self
                                self._children_name_map["route_map"] = "route-map"
                                self._children_yang_names.add("route-map")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup()
                                self.update_group.parent = self
                                self._children_name_map["update_group"] = "update-group"
                                self._children_yang_names.add("update-group")

                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop()
                                self.nexthop.parent = self
                                self._children_name_map["nexthop"] = "nexthop"
                                self._children_yang_names.add("nexthop")

                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Regexp()
                                self.regexp.parent = self
                                self._children_name_map["regexp"] = "regexp"
                                self._children_yang_names.add("regexp")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.inject_map = YList(self)
                                self._segment_path = lambda: "bgp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                            class Asnotation(Entity):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation, self).__init__()

                                    self.yang_name = "asnotation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dot = YLeaf(YType.empty, "dot")
                                    self._segment_path = lambda: "asnotation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation, ['dot'], name, value)


                            class NopeerupDelay(Entity):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay, self).__init__()

                                    self.yang_name = "nopeerup-delay"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                    self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                    self.post_boot = YLeaf(YType.uint16, "post-boot")

                                    self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                    self._segment_path = lambda: "nopeerup-delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                            class Recursion(Entity):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Recursion, self).__init__()

                                    self.yang_name = "recursion"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.host = YLeaf(YType.empty, "host")
                                    self._segment_path = lambda: "recursion"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Recursion, ['host'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"select" : ("select", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.install = YLeaf(YType.empty, "install")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self._children_name_map["select"] = "select"
                                    self._children_yang_names.add("select")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                class Select(Entity):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select, self).__init__()

                                        self.yang_name = "select"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.best_external = None
                                        self._children_name_map["best_external"] = "best-external"
                                        self._children_yang_names.add("best-external")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "select"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                self.range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                    class Backup(Entity):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best_external = YLeaf(YType.empty, "best-external")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range)}

                                            self.range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                        class Range(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                self.yang_name = "range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                    class BestExternal(Entity):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                            self.yang_name = "best-external"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.backup = YLeaf(YType.empty, "backup")
                                            self._segment_path = lambda: "best-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                            class Bestpath(Entity):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath, self).__init__()

                                    self.yang_name = "bestpath"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med)}
                                    self._child_list_classes = {}

                                    self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self._children_name_map["cost_community"] = "cost-community"
                                    self._children_yang_names.add("cost-community")

                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self._children_name_map["igp_metric"] = "igp-metric"
                                    self._children_yang_names.add("igp-metric")

                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med()
                                    self.med.parent = self
                                    self._children_name_map["med"] = "med"
                                    self._children_yang_names.add("med")
                                    self._segment_path = lambda: "bestpath"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath, ['compare_routerid'], name, value)


                                class CostCommunity(Entity):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity, self).__init__()

                                        self.yang_name = "cost-community"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "cost-community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                class IgpMetric(Entity):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric, self).__init__()

                                        self.yang_name = "igp-metric"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "igp-metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                class Med(Entity):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med, self).__init__()

                                        self.yang_name = "med"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med.Confed)}
                                        self._child_list_classes = {}

                                        self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                        self.confed = None
                                        self._children_name_map["confed"] = "confed"
                                        self._children_yang_names.add("confed")
                                        self._segment_path = lambda: "med"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                    class Confed(Entity):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med.Confed, self).__init__()

                                            self.yang_name = "confed"
                                            self.yang_parent_name = "med"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                            self._segment_path = lambda: "confed"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                            class ClientToClient(Entity):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient, self).__init__()

                                    self.yang_name = "client-to-client"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reflection = YLeaf(YType.empty, "reflection")
                                    self._segment_path = lambda: "client-to-client"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient, ['reflection'], name, value)


                            class Confederation(Entity):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Confederation, self).__init__()

                                    self.yang_name = "confederation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers)}
                                    self._child_list_classes = {}

                                    self.identifier = YLeaf(YType.uint32, "identifier")

                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers()
                                    self.peers.parent = self
                                    self._children_name_map["peers"] = "peers"
                                    self._children_yang_names.add("peers")
                                    self._segment_path = lambda: "confederation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Confederation, ['identifier'], name, value)


                                class Peers(Entity):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\: list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers, self).__init__()

                                        self.yang_name = "peers"
                                        self.yang_parent_name = "confederation"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.peers_as = YLeafList(YType.uint32, "peers-as")
                                        self._segment_path = lambda: "peers"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers, ['peers_as'], name, value)


                            class ConsistencyChecker(Entity):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker, self).__init__()

                                    self.yang_name = "consistency-checker"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.ErrorMessage)}
                                    self._child_list_classes = {}

                                    self.auto_repair = None
                                    self._children_name_map["auto_repair"] = "auto-repair"
                                    self._children_yang_names.add("auto-repair")

                                    self.error_message = None
                                    self._children_name_map["error_message"] = "error-message"
                                    self._children_yang_names.add("error-message")
                                    self._segment_path = lambda: "consistency-checker"


                                class AutoRepair(Entity):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                        self.yang_name = "auto-repair"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "auto-repair"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                class ErrorMessage(Entity):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                        self.yang_name = "error-message"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "error-message"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                            class Dampening(Entity):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\: str
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Dampening, self).__init__()

                                    self.yang_name = "dampening"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self._children_name_map["dampen"] = "dampen"
                                    self._children_yang_names.add("dampen")
                                    self._segment_path = lambda: "dampening"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Dampening, ['route_map'], name, value)


                                class Dampen(Entity):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen, self).__init__()

                                        self.yang_name = "dampen"
                                        self.yang_parent_name = "dampening"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                        self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                        self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                        self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                        self._segment_path = lambda: "dampen"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                            class Default(Entity):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\: bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Default.RouteTarget>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                    self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                    self.local_preference = YLeaf(YType.uint32, "local-preference")

                                    self.route_target = YLeaf(YType.enumeration, "route-target")
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                class RouteTarget(Enum):
                                    """
                                    RouteTarget

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = Enum.YLeaf(0, "filter")



                            class GracefulRestart(Entity):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.GracefulRestart, self).__init__()

                                    self.yang_name = "graceful-restart"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.extended = YLeaf(YType.empty, "extended")

                                    self.restart_time = YLeaf(YType.uint16, "restart-time")

                                    self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                    self._segment_path = lambda: "graceful-restart"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                            class HaMode(Entity):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class Sso(Entity):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.prefer = YLeaf(YType.empty, "prefer")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.HaMode.Sso, ['prefer'], name, value)


                            class InjectMap(Entity):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\: str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.InjectMap, self).__init__()

                                    self.yang_name = "inject-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.exist_map = YLeaf(YType.str, "exist-map")

                                    self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                    self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                            class RouteMap(Entity):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority = YLeaf(YType.empty, "priority")
                                    self._segment_path = lambda: "route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap, ['priority'], name, value)


                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class UpdateGroup(Entity):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup, self).__init__()

                                    self.yang_name = "update-group"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"split" : ("split", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split)}
                                    self._child_list_classes = {}

                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split()
                                    self.split.parent = self
                                    self._children_name_map["split"] = "split"
                                    self._children_yang_names.add("split")
                                    self._segment_path = lambda: "update-group"


                                class Split(Entity):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split, self).__init__()

                                        self.yang_name = "split"
                                        self.yang_parent_name = "update-group"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.as_override = YLeaf(YType.empty, "as-override")
                                        self._segment_path = lambda: "split"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                            class Nexthop(Entity):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger>`
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop, self).__init__()

                                    self.yang_name = "nexthop"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger()
                                    self.trigger.parent = self
                                    self._children_name_map["trigger"] = "trigger"
                                    self._children_yang_names.add("trigger")
                                    self._segment_path = lambda: "nexthop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop, ['route_map'], name, value)


                                class Trigger(Entity):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger, self).__init__()

                                        self.yang_name = "trigger"
                                        self.yang_parent_name = "nexthop"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.delay = YLeaf(YType.uint8, "delay")

                                        self.enable = YLeaf(YType.boolean, "enable")
                                        self._segment_path = lambda: "trigger"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                            class Regexp(Entity):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Regexp, self).__init__()

                                    self.yang_name = "regexp"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.deterministic = YLeaf(YType.empty, "deterministic")
                                    self._segment_path = lambda: "regexp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Regexp, ['deterministic'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\: bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Bgp.Transport, ['path_mtu_discovery'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.originate = YLeaf(YType.empty, "originate")
                                self._segment_path = lambda: "default-information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DefaultInformation, ['originate'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.Bgp>`
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.Bgp)}
                                self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance)}

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.adm_distance = YList(self)
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance, [], name, value)


                            class Bgp(Entity):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.extern_as = YLeaf(YType.uint16, "extern-as")

                                    self.internal_as = YLeaf(YType.uint16, "internal-as")

                                    self.local = YLeaf(YType.uint16, "local")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                            class AdmDistance(Entity):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: int
                                
                                			**range:** 1300..1999
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance, self).__init__()

                                    self.yang_name = "adm-distance"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.distance = YLeaf(YType.uint16, "distance")

                                    self.srcip = YLeaf(YType.str, "srcip")

                                    self.wildbits = YLeaf(YType.str, "wildbits")

                                    self.acl = YLeaf(YType.str, "acl")
                                    self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                        class DistributeList(Entity):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 100..199
                            
                            		**type**\: int
                            
                            			**range:** 2000..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList, self).__init__()

                                self.yang_name = "distribute-list"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.In_), "out" : ("out", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.Out)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.in_ = None
                                self._children_name_map["in_"] = "in"
                                self._children_yang_names.add("in")

                                self.out = None
                                self._children_name_map["out"] = "out"
                                self._children_yang_names.add("out")
                                self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList, ['id'], name, value)


                            class In_(Entity):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.In_, self).__init__()

                                    self.yang_name = "in"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.In_, ['interface'], name, value)


                            class Out(Entity):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.Out, self).__init__()

                                    self.yang_name = "out"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "out"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.DistributeList.Out, ['interface'], name, value)


                        class MaximumPaths(Entity):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths, self).__init__()

                                self.yang_name = "maximum-paths"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp)}
                                self._child_list_classes = {}

                                self.eibgp = YLeaf(YType.uint16, "eibgp")

                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath()
                                self.max_path.parent = self
                                self._children_name_map["max_path"] = "max-path"
                                self._children_yang_names.add("max-path")

                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                self._children_yang_names.add("external-rtfilter")

                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self._children_name_map["ibgp"] = "ibgp"
                                self._children_yang_names.add("ibgp")
                                self._segment_path = lambda: "maximum-paths"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths, ['eibgp'], name, value)


                            class MaxPath(Entity):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath, self).__init__()

                                    self.yang_name = "max-path"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "max-path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath, ['max'], name, value)


                            class ExternalRtfilter(Entity):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter, self).__init__()

                                    self.yang_name = "external-rtfilter"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "external-rtfilter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                            class Ibgp(Entity):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp, self).__init__()

                                    self.yang_name = "ibgp"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "ibgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                        class Neighbor(Entity):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\: int
                            
                            	**range:** 0..600
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\: str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Password>`
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute>`
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel>`
                            
                            .. attribute:: soo
                            
                            	ASN\:nn or IP\-address\:nn  VPN extended community
                            	**type**\: str
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SoftReconfiguration>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\: str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\: int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode)}
                                self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap)}

                                self.id = YLeaf(YType.str, "id")

                                self.remote_as = YLeaf(YType.str, "remote-as")

                                self.activate = YLeaf(YType.empty, "activate")

                                self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.description = YLeaf(YType.str, "description")

                                self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                self.soo = YLeaf(YType.str, "soo")

                                self.shutdown = YLeaf(YType.empty, "shutdown")

                                self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                self.version = YLeaf(YType.uint16, "version")

                                self.weight = YLeaf(YType.uint16, "weight")

                                self.peer_group = None
                                self._children_name_map["peer_group"] = "peer-group"
                                self._children_yang_names.add("peer-group")

                                self.local_as = None
                                self._children_name_map["local_as"] = "local-as"
                                self._children_yang_names.add("local-as")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise()
                                self.advertise.parent = self
                                self._children_name_map["advertise"] = "advertise"
                                self._children_yang_names.add("advertise")

                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self._children_name_map["advertise_map"] = "advertise-map"
                                self._children_yang_names.add("advertise-map")

                                self.aigp = None
                                self._children_name_map["aigp"] = "aigp"
                                self._children_yang_names.add("aigp")

                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce()
                                self.announce.parent = self
                                self._children_name_map["announce"] = "announce"
                                self._children_yang_names.add("announce")

                                self.allowas_in = None
                                self._children_name_map["allowas_in"] = "allowas-in"
                                self._children_yang_names.add("allowas-in")

                                self.as_override = None
                                self._children_name_map["as_override"] = "as-override"
                                self._children_yang_names.add("as-override")

                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability()
                                self.capability.parent = self
                                self._children_name_map["capability"] = "capability"
                                self._children_yang_names.add("capability")

                                self.default_originate = None
                                self._children_name_map["default_originate"] = "default-originate"
                                self._children_yang_names.add("default-originate")

                                self.ebgp_multihop = None
                                self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                self._children_yang_names.add("ebgp-multihop")

                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self._children_name_map["fall_over"] = "fall-over"
                                self._children_yang_names.add("fall-over")

                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit()
                                self.inherit.parent = self
                                self._children_name_map["inherit"] = "inherit"
                                self._children_yang_names.add("inherit")

                                self.log_neighbor_changes = None
                                self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                self._children_yang_names.add("log-neighbor-changes")

                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Password()
                                self.password.parent = self
                                self._children_name_map["password"] = "password"
                                self._children_yang_names.add("password")

                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self._children_name_map["path_attribute"] = "path-attribute"
                                self._children_yang_names.add("path-attribute")

                                self.send_community = None
                                self._children_name_map["send_community"] = "send-community"
                                self._children_yang_names.add("send-community")

                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self._children_name_map["send_label"] = "send-label"
                                self._children_yang_names.add("send-label")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Timers()
                                self.timers.parent = self
                                self._children_name_map["timers"] = "timers"
                                self._children_yang_names.add("timers")

                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self._children_name_map["translate_update"] = "translate-update"
                                self._children_yang_names.add("translate-update")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self._children_name_map["ttl_security"] = "ttl-security"
                                self._children_yang_names.add("ttl-security")

                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self._children_name_map["update_source"] = "update-source"
                                self._children_yang_names.add("update-source")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.distribute_list = YList(self)
                                self.filter_list = YList(self)
                                self.prefix_list = YList(self)
                                self.route_map = YList(self)
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                            class SoftReconfiguration(Enum):
                                """
                                SoftReconfiguration

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = Enum.YLeaf(0, "inbound")



                            class PeerGroup(Entity):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup, self).__init__()

                                    self.yang_name = "peer-group"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                    self._segment_path = lambda: "peer-group"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                            class LocalAs(Entity):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs, self).__init__()

                                    self.yang_name = "local-as"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                    self.replace_as = YLeaf(YType.empty, "replace-as")

                                    self.dual_as = YLeaf(YType.empty, "dual-as")
                                    self._segment_path = lambda: "local-as"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.disable = YLeaf(YType.empty, "disable")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                            class Advertise(Entity):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise, self).__init__()

                                    self.yang_name = "advertise"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath)}
                                    self._child_list_classes = {}

                                    self.best_external = YLeaf(YType.empty, "best-external")

                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self._children_name_map["additional_paths"] = "additional-paths"
                                    self._children_yang_names.add("additional-paths")

                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self
                                    self._children_name_map["diverse_path"] = "diverse-path"
                                    self._children_yang_names.add("diverse-path")
                                    self._segment_path = lambda: "advertise"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise, ['best_external'], name, value)


                                class AdditionalPaths(Entity):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                        self.yang_name = "additional-paths"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "additional-paths"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                self.best_range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                            class BestRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                    self.yang_name = "best-range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                            self.best_range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                        class BestRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                self.yang_name = "best-range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "best-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                class DiversePath(Entity):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath, self).__init__()

                                        self.yang_name = "diverse-path"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup)}
                                        self._child_list_classes = {}

                                        self.mpath = YLeaf(YType.empty, "mpath")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")
                                        self._segment_path = lambda: "diverse-path"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                    class Backup(Entity):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "diverse-path"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.mpath = YLeaf(YType.empty, "mpath")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                            class AdvertiseMap(Entity):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap, self).__init__()

                                    self.yang_name = "advertise-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name)}

                                    self.name = YList(self)
                                    self._segment_path = lambda: "advertise-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "advertise-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.word = YLeaf(YType.str, "word")

                                        self.exist_map = YLeaf(YType.str, "exist-map")

                                        self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                        self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                            class Aigp(Entity):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp, self).__init__()

                                    self.yang_name = "aigp"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send()
                                    self.send.parent = self
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "aigp"


                                class Send(Entity):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "aigp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity)}
                                        self._child_list_classes = {}

                                        self.med = YLeaf(YType.empty, "med")

                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self._children_name_map["cost_community"] = "cost-community"
                                        self._children_yang_names.add("cost-community")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send, ['med'], name, value)


                                    class CostCommunity(Entity):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                            self.yang_name = "cost-community"
                                            self.yang_parent_name = "send"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                            self.cc_range = YList(self)
                                            self._segment_path = lambda: "cost-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                        class CcRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                self.yang_name = "cc-range"
                                                self.yang_parent_name = "cost-community"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self
                                                self._children_name_map["poi"] = "poi"
                                                self._children_yang_names.add("poi")
                                                self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                            class Poi(Entity):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                    self.yang_name = "poi"
                                                    self.yang_parent_name = "cc-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                    self._child_list_classes = {}

                                                    self.igp_cost = None
                                                    self._children_name_map["igp_cost"] = "igp-cost"
                                                    self._children_yang_names.add("igp-cost")

                                                    self.pre_bestpath = None
                                                    self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                    self._children_yang_names.add("pre-bestpath")
                                                    self._segment_path = lambda: "poi"


                                                class IgpCost(Entity):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                        self.yang_name = "igp-cost"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "igp-cost"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                class PreBestpath(Entity):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                        self.yang_name = "pre-bestpath"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "pre-bestpath"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                            class Announce(Entity):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce, self).__init__()

                                    self.yang_name = "announce"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki)}
                                    self._child_list_classes = {}

                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self
                                    self._children_name_map["rpki"] = "rpki"
                                    self._children_yang_names.add("rpki")
                                    self._segment_path = lambda: "announce"


                                class Rpki(Entity):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki, self).__init__()

                                        self.yang_name = "rpki"
                                        self.yang_parent_name = "announce"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.state = YLeaf(YType.empty, "state")
                                        self._segment_path = lambda: "rpki"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki, ['state'], name, value)


                            class AllowasIn(Entity):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn, self).__init__()

                                    self.yang_name = "allowas-in"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_number = YLeaf(YType.uint8, "as-number")
                                    self._segment_path = lambda: "allowas-in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn, ['as_number'], name, value)


                            class AsOverride(Entity):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride, self).__init__()

                                    self.yang_name = "as-override"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "as-override"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride, ['disable'], name, value)


                            class Capability(Entity):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability, self).__init__()

                                    self.yang_name = "capability"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf)}
                                    self._child_list_classes = {}

                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf()
                                    self.orf.parent = self
                                    self._children_name_map["orf"] = "orf"
                                    self._children_yang_names.add("orf")
                                    self._segment_path = lambda: "capability"


                                class Orf(Entity):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf.PrefixList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf, self).__init__()

                                        self.yang_name = "orf"
                                        self.yang_parent_name = "capability"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                        self._segment_path = lambda: "orf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                    class PrefixList(Enum):
                                        """
                                        PrefixList

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = Enum.YLeaf(0, "both")

                                        receive = Enum.YLeaf(1, "receive")

                                        send = Enum.YLeaf(2, "send")



                            class DefaultOriginate(Entity):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate, self).__init__()

                                    self.yang_name = "default-originate"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "default-originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate, ['route_map'], name, value)


                            class DistributeList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList.Inout>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199
                                
                                		**type**\: int
                                
                                			**range:** 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList, self).__init__()

                                    self.yang_name = "distribute-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.accesslist = YLeaf(YType.str, "accesslist")
                                    self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class EbgpMultihop(Entity):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop, self).__init__()

                                    self.yang_name = "ebgp-multihop"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max_hop = YLeaf(YType.uint8, "max-hop")
                                    self._segment_path = lambda: "ebgp-multihop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                            class FallOver(Entity):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver, self).__init__()

                                    self.yang_name = "fall-over"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd)}
                                    self._child_list_classes = {}

                                    self.bfd = None
                                    self._children_name_map["bfd"] = "bfd"
                                    self._children_yang_names.add("bfd")
                                    self._segment_path = lambda: "fall-over"


                                class Bfd(Entity):
                                    """
                                    Use BFD to detect failure
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd, self).__init__()

                                        self.yang_name = "bfd"
                                        self.yang_parent_name = "fall-over"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "bfd"


                            class FilterList(Entity):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList.Inout>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList, self).__init__()

                                    self.yang_name = "filter-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                    self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class Inherit(Entity):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\: str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit, self).__init__()

                                    self.yang_name = "inherit"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_policy = YLeaf(YType.str, "peer-policy")

                                    self.peer_session = YLeaf(YType.str, "peer-session")
                                    self._segment_path = lambda: "inherit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                            class LogNeighborChanges(Entity):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges, self).__init__()

                                    self.yang_name = "log-neighbor-changes"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "log-neighbor-changes"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges, ['disable'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.restart = YLeaf(YType.uint16, "restart")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                            class Password(Entity):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Password, self).__init__()

                                    self.yang_name = "password"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.enctype = YLeaf(YType.uint8, "enctype")

                                    self.text = YLeaf(YType.str, "text")
                                    self._segment_path = lambda: "password"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Password, ['enctype', 'text'], name, value)


                            class PrefixList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList.Inout>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList, self).__init__()

                                    self.yang_name = "prefix-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                    self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class PathAttribute(Entity):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute, self).__init__()

                                    self.yang_name = "path-attribute"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw)}
                                    self._child_list_classes = {}

                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self._children_name_map["discard"] = "discard"
                                    self._children_yang_names.add("discard")

                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self
                                    self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                    self._children_yang_names.add("treat-as-withdraw")
                                    self._segment_path = lambda: "path-attribute"


                                class Discard(Entity):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard, self).__init__()

                                        self.yang_name = "discard"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "discard"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                class TreatAsWithdraw(Entity):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                        self.yang_name = "treat-as-withdraw"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "treat-as-withdraw"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                            class RouteMap(Entity):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap.Inout>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.route_map_name = YLeaf(YType.str, "route-map-name")
                                    self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class SendCommunity(Entity):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity.SendCommunityWhere>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity, self).__init__()

                                    self.yang_name = "send-community"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                    self._segment_path = lambda: "send-community"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                class SendCommunityWhere(Enum):
                                    """
                                    SendCommunityWhere

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = Enum.YLeaf(0, "both")

                                    extended = Enum.YLeaf(1, "extended")

                                    standard = Enum.YLeaf(2, "standard")



                            class SendLabel(Entity):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel.SendLabelExplicit>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel, self).__init__()

                                    self.yang_name = "send-label"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                    self._segment_path = lambda: "send-label"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                class SendLabelExplicit(Enum):
                                    """
                                    SendLabelExplicit

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = Enum.YLeaf(0, "explicit-null")



                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class Timers(Entity):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Timers, self).__init__()

                                    self.yang_name = "timers"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                    self.holdtime = YLeaf(YType.uint16, "holdtime")

                                    self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                    self._segment_path = lambda: "timers"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                            class TranslateUpdate(Entity):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate, self).__init__()

                                    self.yang_name = "translate-update"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4)}
                                    self._child_list_classes = {}

                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4()
                                    self.ipv4.parent = self
                                    self._children_name_map["ipv4"] = "ipv4"
                                    self._children_yang_names.add("ipv4")
                                    self._segment_path = lambda: "translate-update"


                                class Ipv4(Entity):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "translate-update"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                        self._child_list_classes = {}

                                        self.multicast = None
                                        self._children_name_map["multicast"] = "multicast"
                                        self._children_yang_names.add("multicast")
                                        self._segment_path = lambda: "ipv4"


                                    class Multicast(Entity):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                            self.yang_name = "multicast"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.unicast = YLeaf(YType.empty, "unicast")
                                            self._segment_path = lambda: "multicast"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.ConnectionMode>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery)}
                                    self._child_list_classes = {}

                                    self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                    self.multi_session = YLeaf(YType.empty, "multi-session")

                                    self.path_mtu_discovery = None
                                    self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                    self._children_yang_names.add("path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                class ConnectionMode(Enum):
                                    """
                                    ConnectionMode

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = Enum.YLeaf(0, "active")

                                    passive = Enum.YLeaf(1, "passive")



                                class PathMtuDiscovery(Entity):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                        self.yang_name = "path-mtu-discovery"
                                        self.yang_parent_name = "transport"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "path-mtu-discovery"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                            class TtlSecurity(Entity):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\: int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity, self).__init__()

                                    self.yang_name = "ttl-security"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hops = YLeaf(YType.uint8, "hops")
                                    self._segment_path = lambda: "ttl-security"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity, ['hops'], name, value)


                            class UpdateSource(Entity):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource, self).__init__()

                                    self.yang_name = "update-source"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "update-source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                            class HaMode(Entity):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.graceful_restart = None
                                    self._children_name_map["graceful_restart"] = "graceful-restart"
                                    self._children_yang_names.add("graceful-restart")

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class GracefulRestart(Entity):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart, self).__init__()

                                        self.yang_name = "graceful-restart"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "graceful-restart"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                class Sso(Entity):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso, ['disable'], name, value)


                        class Network(Entity):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.str, "number")

                                self.backdoor = YLeaf(YType.empty, "backdoor")

                                self.mask = YLeaf(YType.str, "mask")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"application" : ("application", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static)}
                                self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf)}

                                self.application = None
                                self._children_name_map["application"] = "application"
                                self._children_yang_names.add("application")

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.dvmrp = None
                                self._children_name_map["dvmrp"] = "dvmrp"
                                self._children_yang_names.add("dvmrp")

                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self._children_name_map["eigrp"] = "eigrp"
                                self._children_yang_names.add("eigrp")

                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis()
                                self.isis.parent = self
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.lisp = None
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.ospf = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute, [], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name)}
                                    self.is_presence_container = True

                                    self.name = YList(self)
                                    self._segment_path = lambda: "application"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "application"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "connected"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Connected, ['metric', 'route_map'], name, value)


                            class Dvmrp(Entity):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp, self).__init__()

                                    self.yang_name = "dvmrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = YLeaf(YType.uint32, "metric")
                                    self._segment_path = lambda: "dvmrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.uint16, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "eigrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default)}
                                    self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.isis_area = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis, [], name, value)


                                class IsisArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea, self).__init__()

                                        self.yang_name = "isis-area"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                            class Lisp(Entity):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "lisp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default)}
                                    self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.iso_igrp_area = YList(self)
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp, [], name, value)


                                class IsoIgrpArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                        self.yang_name = "iso-igrp-area"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "mobile"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "odr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Odr, ['metric', 'route_map'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf>`
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf)}
                                    self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf)}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self._children_name_map["non_vrf"] = "non-vrf"
                                    self._children_yang_names.add("non-vrf")

                                    self.vrf = YList(self)
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf, ['id'], name, value)


                                class Vrf(Entity):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf, self).__init__()

                                        self.yang_name = "vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self._segment_path = lambda: "match"


                                class NonVrf(Entity):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf, self).__init__()

                                        self.yang_name = "non-vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match)}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "non-vrf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "non-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.internal = YLeaf(YType.empty, "internal")

                                            self.external = YLeaf(YType.enumeration, "external")

                                            self.external2 = YLeaf(YType.enumeration, "external2")

                                            self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "match"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	User selected string identifying this process
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.name = YLeaf(YType.str, "name")
                                    self._segment_path = lambda: "rip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.clns = None
                                    self._children_name_map["clns"] = "clns"
                                    self._children_yang_names.add("clns")

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "static"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static, ['metric', 'route_map'], name, value)


                                class Clns(Entity):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns, self).__init__()

                                        self.yang_name = "clns"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "clns"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                class Ip(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                        class TableMap(Entity):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\: str
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.TableMap, self).__init__()

                                self.yang_name = "table-map"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.name = YLeaf(YType.str, "name")

                                self.filter = YLeaf(YType.empty, "filter")
                                self._segment_path = lambda: "table-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.TableMap, ['name', 'filter'], name, value)


                        class Snmp(Entity):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp, self).__init__()

                                self.yang_name = "snmp"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"context" : ("context", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context()
                                self.context.parent = self
                                self._children_name_map["context"] = "context"
                                self._children_yang_names.add("context")
                                self._segment_path = lambda: "snmp"


                            class Context(Entity):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context.ContextWord>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context, self).__init__()

                                    self.yang_name = "context"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context.ContextWord)}

                                    self.context_word = YList(self)
                                    self._segment_path = lambda: "context"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context, [], name, value)


                                class ContextWord(Entity):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context.ContextWord, self).__init__()

                                        self.yang_name = "context_word"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.context_word = YLeaf(YType.str, "context_word")
                                        self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv4.Snmp.Context.ContextWord, ['context_word'], name, value)


                    class Ipv6(Entity):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:  :py:class:`BgpIpv6AfType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.BgpIpv6AfType>`
                        
                        .. attribute:: aggregate_address
                        
                        	Configure BGP aggregate entries
                        	**type**\:  :py:class:`AggregateAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.AggregateAddress>`
                        
                        .. attribute:: import_
                        
                        	Configure path import
                        	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Import_>`
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute>`
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\: bool
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.TableMap>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "no-vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"aggregate-address" : ("aggregate_address", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.AggregateAddress), "import" : ("import_", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Import_), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp), "default-information" : ("default_information", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.TableMap), "snmp" : ("snmp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp)}
                            self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor), "network" : ("network", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Network)}

                            self.af_name = YLeaf(YType.enumeration, "af-name")

                            self.default_metric = YLeaf(YType.uint32, "default-metric")

                            self.synchronization = YLeaf(YType.empty, "synchronization")

                            self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                            self.aggregate_address = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.AggregateAddress()
                            self.aggregate_address.parent = self
                            self._children_name_map["aggregate_address"] = "aggregate-address"
                            self._children_yang_names.add("aggregate-address")

                            self.import_ = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Import_()
                            self.import_.parent = self
                            self._children_name_map["import_"] = "import"
                            self._children_yang_names.add("import")

                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp()
                            self.bgp.parent = self
                            self._children_name_map["bgp"] = "bgp"
                            self._children_yang_names.add("bgp")

                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths()
                            self.maximum_paths.parent = self
                            self._children_name_map["maximum_paths"] = "maximum-paths"
                            self._children_yang_names.add("maximum-paths")

                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.table_map = None
                            self._children_name_map["table_map"] = "table-map"
                            self._children_yang_names.add("table-map")

                            self.snmp = None
                            self._children_name_map["snmp"] = "snmp"
                            self._children_yang_names.add("snmp")

                            self.distribute_list = YList(self)
                            self.neighbor = YList(self)
                            self.network = YList(self)
                            self._segment_path = lambda: "ipv6" + "[af-name='" + self.af_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)


                        class AggregateAddress(Entity):
                            """
                            Configure BGP aggregate entries
                            
                            .. attribute:: ipv6_address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: advertise_map
                            
                            	Set condition to advertise attribute
                            	**type**\: str
                            
                            .. attribute:: as_set
                            
                            	Generate AS set path information
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: attribute_map
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: summary_only
                            
                            	Filter more specific routes from updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_map
                            
                            	Conditionally filter more specific routes from updates
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.AggregateAddress, self).__init__()

                                self.yang_name = "aggregate-address"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv6_address = YLeaf(YType.str, "ipv6-address")

                                self.advertise_map = YLeaf(YType.str, "advertise-map")

                                self.as_set = YLeaf(YType.empty, "as-set")

                                self.attribute_map = YLeaf(YType.str, "attribute-map")

                                self.as_override = YLeaf(YType.empty, "as-override")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.summary_only = YLeaf(YType.empty, "summary-only")

                                self.suppress_map = YLeaf(YType.str, "suppress-map")
                                self._segment_path = lambda: "aggregate-address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.AggregateAddress, ['ipv6_address', 'advertise_map', 'as_set', 'attribute_map', 'as_override', 'route_map', 'summary_only', 'suppress_map'], name, value)


                        class Import_(Entity):
                            """
                            Configure path import
                            
                            .. attribute:: path
                            
                            	Path selection and path limit
                            	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Import_.Path>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Import_, self).__init__()

                                self.yang_name = "import"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"path" : ("path", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Import_.Path)}
                                self._child_list_classes = {}

                                self.path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Import_.Path()
                                self.path.parent = self
                                self._children_name_map["path"] = "path"
                                self._children_yang_names.add("path")
                                self._segment_path = lambda: "import"


                            class Path(Entity):
                                """
                                Path selection and path limit
                                
                                .. attribute:: limit
                                
                                	Per net imported path limit
                                	**type**\: int
                                
                                	**range:** 2..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Import_.Path, self).__init__()

                                    self.yang_name = "path"
                                    self.yang_parent_name = "import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint8, "limit")
                                    self._segment_path = lambda: "path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Import_.Path, ['limit'], name, value)


                        class Bgp(Entity):
                            """
                            BGP specific commands
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\: int
                            
                            	**range:** 6..60
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Recursion>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\: bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\: int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\: int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer>`
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup>`
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Regexp>`
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\: int
                            
                            	**range:** 5..60
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\: int
                            
                            	**range:** 1..3600
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Transport)}
                                self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.InjectMap)}

                                self.router_id = YLeaf(YType.str, "router-id")

                                self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                self.scan_time = YLeaf(YType.uint8, "scan-time")

                                self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                self.update_delay = YLeaf(YType.uint16, "update-delay")

                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation()
                                self.asnotation.parent = self
                                self._children_name_map["asnotation"] = "asnotation"
                                self._children_yang_names.add("asnotation")

                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                self._children_yang_names.add("nopeerup-delay")

                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Recursion()
                                self.recursion.parent = self
                                self._children_name_map["recursion"] = "recursion"
                                self._children_yang_names.add("recursion")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath()
                                self.bestpath.parent = self
                                self._children_name_map["bestpath"] = "bestpath"
                                self._children_yang_names.add("bestpath")

                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient()
                                self.client_to_client.parent = self
                                self._children_name_map["client_to_client"] = "client-to-client"
                                self._children_yang_names.add("client-to-client")

                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Confederation()
                                self.confederation.parent = self
                                self._children_name_map["confederation"] = "confederation"
                                self._children_yang_names.add("confederation")

                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self._children_name_map["consistency_checker"] = "consistency-checker"
                                self._children_yang_names.add("consistency-checker")

                                self.dampening = None
                                self._children_name_map["dampening"] = "dampening"
                                self._children_yang_names.add("dampening")

                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.graceful_restart = None
                                self._children_name_map["graceful_restart"] = "graceful-restart"
                                self._children_yang_names.add("graceful-restart")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap()
                                self.route_map.parent = self
                                self._children_name_map["route_map"] = "route-map"
                                self._children_yang_names.add("route-map")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup()
                                self.update_group.parent = self
                                self._children_name_map["update_group"] = "update-group"
                                self._children_yang_names.add("update-group")

                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop()
                                self.nexthop.parent = self
                                self._children_name_map["nexthop"] = "nexthop"
                                self._children_yang_names.add("nexthop")

                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Regexp()
                                self.regexp.parent = self
                                self._children_name_map["regexp"] = "regexp"
                                self._children_yang_names.add("regexp")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.inject_map = YList(self)
                                self._segment_path = lambda: "bgp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                            class Asnotation(Entity):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation, self).__init__()

                                    self.yang_name = "asnotation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dot = YLeaf(YType.empty, "dot")
                                    self._segment_path = lambda: "asnotation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation, ['dot'], name, value)


                            class NopeerupDelay(Entity):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay, self).__init__()

                                    self.yang_name = "nopeerup-delay"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                    self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                    self.post_boot = YLeaf(YType.uint16, "post-boot")

                                    self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                    self._segment_path = lambda: "nopeerup-delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                            class Recursion(Entity):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Recursion, self).__init__()

                                    self.yang_name = "recursion"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.host = YLeaf(YType.empty, "host")
                                    self._segment_path = lambda: "recursion"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Recursion, ['host'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"select" : ("select", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.install = YLeaf(YType.empty, "install")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self._children_name_map["select"] = "select"
                                    self._children_yang_names.add("select")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                class Select(Entity):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select, self).__init__()

                                        self.yang_name = "select"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.best_external = None
                                        self._children_name_map["best_external"] = "best-external"
                                        self._children_yang_names.add("best-external")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "select"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                self.range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                    class Backup(Entity):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best_external = YLeaf(YType.empty, "best-external")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range)}

                                            self.range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                        class Range(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                self.yang_name = "range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                    class BestExternal(Entity):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                            self.yang_name = "best-external"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.backup = YLeaf(YType.empty, "backup")
                                            self._segment_path = lambda: "best-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                            class Bestpath(Entity):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath, self).__init__()

                                    self.yang_name = "bestpath"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med)}
                                    self._child_list_classes = {}

                                    self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self._children_name_map["cost_community"] = "cost-community"
                                    self._children_yang_names.add("cost-community")

                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self._children_name_map["igp_metric"] = "igp-metric"
                                    self._children_yang_names.add("igp-metric")

                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med()
                                    self.med.parent = self
                                    self._children_name_map["med"] = "med"
                                    self._children_yang_names.add("med")
                                    self._segment_path = lambda: "bestpath"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath, ['compare_routerid'], name, value)


                                class CostCommunity(Entity):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity, self).__init__()

                                        self.yang_name = "cost-community"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "cost-community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                class IgpMetric(Entity):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric, self).__init__()

                                        self.yang_name = "igp-metric"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "igp-metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                class Med(Entity):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med, self).__init__()

                                        self.yang_name = "med"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med.Confed)}
                                        self._child_list_classes = {}

                                        self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                        self.confed = None
                                        self._children_name_map["confed"] = "confed"
                                        self._children_yang_names.add("confed")
                                        self._segment_path = lambda: "med"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                    class Confed(Entity):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med.Confed, self).__init__()

                                            self.yang_name = "confed"
                                            self.yang_parent_name = "med"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                            self._segment_path = lambda: "confed"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                            class ClientToClient(Entity):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient, self).__init__()

                                    self.yang_name = "client-to-client"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reflection = YLeaf(YType.empty, "reflection")
                                    self._segment_path = lambda: "client-to-client"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient, ['reflection'], name, value)


                            class Confederation(Entity):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Confederation, self).__init__()

                                    self.yang_name = "confederation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers)}
                                    self._child_list_classes = {}

                                    self.identifier = YLeaf(YType.uint32, "identifier")

                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers()
                                    self.peers.parent = self
                                    self._children_name_map["peers"] = "peers"
                                    self._children_yang_names.add("peers")
                                    self._segment_path = lambda: "confederation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Confederation, ['identifier'], name, value)


                                class Peers(Entity):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\: list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers, self).__init__()

                                        self.yang_name = "peers"
                                        self.yang_parent_name = "confederation"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.peers_as = YLeafList(YType.uint32, "peers-as")
                                        self._segment_path = lambda: "peers"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers, ['peers_as'], name, value)


                            class ConsistencyChecker(Entity):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker, self).__init__()

                                    self.yang_name = "consistency-checker"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.ErrorMessage)}
                                    self._child_list_classes = {}

                                    self.auto_repair = None
                                    self._children_name_map["auto_repair"] = "auto-repair"
                                    self._children_yang_names.add("auto-repair")

                                    self.error_message = None
                                    self._children_name_map["error_message"] = "error-message"
                                    self._children_yang_names.add("error-message")
                                    self._segment_path = lambda: "consistency-checker"


                                class AutoRepair(Entity):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                        self.yang_name = "auto-repair"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "auto-repair"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                class ErrorMessage(Entity):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                        self.yang_name = "error-message"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "error-message"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                            class Dampening(Entity):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\: str
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Dampening, self).__init__()

                                    self.yang_name = "dampening"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self._children_name_map["dampen"] = "dampen"
                                    self._children_yang_names.add("dampen")
                                    self._segment_path = lambda: "dampening"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Dampening, ['route_map'], name, value)


                                class Dampen(Entity):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen, self).__init__()

                                        self.yang_name = "dampen"
                                        self.yang_parent_name = "dampening"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                        self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                        self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                        self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                        self._segment_path = lambda: "dampen"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                            class Default(Entity):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\: bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Default.RouteTarget>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                    self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                    self.local_preference = YLeaf(YType.uint32, "local-preference")

                                    self.route_target = YLeaf(YType.enumeration, "route-target")
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                class RouteTarget(Enum):
                                    """
                                    RouteTarget

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = Enum.YLeaf(0, "filter")



                            class GracefulRestart(Entity):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.GracefulRestart, self).__init__()

                                    self.yang_name = "graceful-restart"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.extended = YLeaf(YType.empty, "extended")

                                    self.restart_time = YLeaf(YType.uint16, "restart-time")

                                    self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                    self._segment_path = lambda: "graceful-restart"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                            class HaMode(Entity):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class Sso(Entity):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.prefer = YLeaf(YType.empty, "prefer")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.HaMode.Sso, ['prefer'], name, value)


                            class InjectMap(Entity):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\: str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.InjectMap, self).__init__()

                                    self.yang_name = "inject-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.exist_map = YLeaf(YType.str, "exist-map")

                                    self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                    self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                            class RouteMap(Entity):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority = YLeaf(YType.empty, "priority")
                                    self._segment_path = lambda: "route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap, ['priority'], name, value)


                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class UpdateGroup(Entity):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup, self).__init__()

                                    self.yang_name = "update-group"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"split" : ("split", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split)}
                                    self._child_list_classes = {}

                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split()
                                    self.split.parent = self
                                    self._children_name_map["split"] = "split"
                                    self._children_yang_names.add("split")
                                    self._segment_path = lambda: "update-group"


                                class Split(Entity):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split, self).__init__()

                                        self.yang_name = "split"
                                        self.yang_parent_name = "update-group"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.as_override = YLeaf(YType.empty, "as-override")
                                        self._segment_path = lambda: "split"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                            class Nexthop(Entity):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger>`
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop, self).__init__()

                                    self.yang_name = "nexthop"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger()
                                    self.trigger.parent = self
                                    self._children_name_map["trigger"] = "trigger"
                                    self._children_yang_names.add("trigger")
                                    self._segment_path = lambda: "nexthop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop, ['route_map'], name, value)


                                class Trigger(Entity):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger, self).__init__()

                                        self.yang_name = "trigger"
                                        self.yang_parent_name = "nexthop"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.delay = YLeaf(YType.uint8, "delay")

                                        self.enable = YLeaf(YType.boolean, "enable")
                                        self._segment_path = lambda: "trigger"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                            class Regexp(Entity):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Regexp, self).__init__()

                                    self.yang_name = "regexp"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.deterministic = YLeaf(YType.empty, "deterministic")
                                    self._segment_path = lambda: "regexp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Regexp, ['deterministic'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\: bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Bgp.Transport, ['path_mtu_discovery'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.originate = YLeaf(YType.empty, "originate")
                                self._segment_path = lambda: "default-information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DefaultInformation, ['originate'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.Bgp>`
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.Bgp)}
                                self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance)}

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.adm_distance = YList(self)
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance, [], name, value)


                            class Bgp(Entity):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.extern_as = YLeaf(YType.uint16, "extern-as")

                                    self.internal_as = YLeaf(YType.uint16, "internal-as")

                                    self.local = YLeaf(YType.uint16, "local")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                            class AdmDistance(Entity):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: int
                                
                                			**range:** 1300..1999
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance, self).__init__()

                                    self.yang_name = "adm-distance"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.distance = YLeaf(YType.uint16, "distance")

                                    self.srcip = YLeaf(YType.str, "srcip")

                                    self.wildbits = YLeaf(YType.str, "wildbits")

                                    self.acl = YLeaf(YType.str, "acl")
                                    self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                        class DistributeList(Entity):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 100..199
                            
                            		**type**\: int
                            
                            			**range:** 2000..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList, self).__init__()

                                self.yang_name = "distribute-list"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.In_), "out" : ("out", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.Out)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.in_ = None
                                self._children_name_map["in_"] = "in"
                                self._children_yang_names.add("in")

                                self.out = None
                                self._children_name_map["out"] = "out"
                                self._children_yang_names.add("out")
                                self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList, ['id'], name, value)


                            class In_(Entity):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.In_, self).__init__()

                                    self.yang_name = "in"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.In_, ['interface'], name, value)


                            class Out(Entity):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.Out, self).__init__()

                                    self.yang_name = "out"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "out"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.DistributeList.Out, ['interface'], name, value)


                        class MaximumPaths(Entity):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths, self).__init__()

                                self.yang_name = "maximum-paths"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp)}
                                self._child_list_classes = {}

                                self.eibgp = YLeaf(YType.uint16, "eibgp")

                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath()
                                self.max_path.parent = self
                                self._children_name_map["max_path"] = "max-path"
                                self._children_yang_names.add("max-path")

                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                self._children_yang_names.add("external-rtfilter")

                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self._children_name_map["ibgp"] = "ibgp"
                                self._children_yang_names.add("ibgp")
                                self._segment_path = lambda: "maximum-paths"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths, ['eibgp'], name, value)


                            class MaxPath(Entity):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath, self).__init__()

                                    self.yang_name = "max-path"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "max-path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath, ['max'], name, value)


                            class ExternalRtfilter(Entity):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter, self).__init__()

                                    self.yang_name = "external-rtfilter"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "external-rtfilter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                            class Ibgp(Entity):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp, self).__init__()

                                    self.yang_name = "ibgp"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "ibgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                        class Neighbor(Entity):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\: int
                            
                            	**range:** 0..600
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\: str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Password>`
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute>`
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel>`
                            
                            .. attribute:: soo
                            
                            	ASN\:nn or IP\-address\:nn  VPN extended community
                            	**type**\: str
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SoftReconfiguration>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\: str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\: int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode)}
                                self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap)}

                                self.id = YLeaf(YType.str, "id")

                                self.remote_as = YLeaf(YType.str, "remote-as")

                                self.activate = YLeaf(YType.empty, "activate")

                                self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.description = YLeaf(YType.str, "description")

                                self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                self.soo = YLeaf(YType.str, "soo")

                                self.shutdown = YLeaf(YType.empty, "shutdown")

                                self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                self.version = YLeaf(YType.uint16, "version")

                                self.weight = YLeaf(YType.uint16, "weight")

                                self.peer_group = None
                                self._children_name_map["peer_group"] = "peer-group"
                                self._children_yang_names.add("peer-group")

                                self.local_as = None
                                self._children_name_map["local_as"] = "local-as"
                                self._children_yang_names.add("local-as")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise()
                                self.advertise.parent = self
                                self._children_name_map["advertise"] = "advertise"
                                self._children_yang_names.add("advertise")

                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self._children_name_map["advertise_map"] = "advertise-map"
                                self._children_yang_names.add("advertise-map")

                                self.aigp = None
                                self._children_name_map["aigp"] = "aigp"
                                self._children_yang_names.add("aigp")

                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce()
                                self.announce.parent = self
                                self._children_name_map["announce"] = "announce"
                                self._children_yang_names.add("announce")

                                self.allowas_in = None
                                self._children_name_map["allowas_in"] = "allowas-in"
                                self._children_yang_names.add("allowas-in")

                                self.as_override = None
                                self._children_name_map["as_override"] = "as-override"
                                self._children_yang_names.add("as-override")

                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability()
                                self.capability.parent = self
                                self._children_name_map["capability"] = "capability"
                                self._children_yang_names.add("capability")

                                self.default_originate = None
                                self._children_name_map["default_originate"] = "default-originate"
                                self._children_yang_names.add("default-originate")

                                self.ebgp_multihop = None
                                self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                self._children_yang_names.add("ebgp-multihop")

                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self._children_name_map["fall_over"] = "fall-over"
                                self._children_yang_names.add("fall-over")

                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit()
                                self.inherit.parent = self
                                self._children_name_map["inherit"] = "inherit"
                                self._children_yang_names.add("inherit")

                                self.log_neighbor_changes = None
                                self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                self._children_yang_names.add("log-neighbor-changes")

                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Password()
                                self.password.parent = self
                                self._children_name_map["password"] = "password"
                                self._children_yang_names.add("password")

                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self._children_name_map["path_attribute"] = "path-attribute"
                                self._children_yang_names.add("path-attribute")

                                self.send_community = None
                                self._children_name_map["send_community"] = "send-community"
                                self._children_yang_names.add("send-community")

                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self._children_name_map["send_label"] = "send-label"
                                self._children_yang_names.add("send-label")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Timers()
                                self.timers.parent = self
                                self._children_name_map["timers"] = "timers"
                                self._children_yang_names.add("timers")

                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self._children_name_map["translate_update"] = "translate-update"
                                self._children_yang_names.add("translate-update")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self._children_name_map["ttl_security"] = "ttl-security"
                                self._children_yang_names.add("ttl-security")

                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self._children_name_map["update_source"] = "update-source"
                                self._children_yang_names.add("update-source")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.distribute_list = YList(self)
                                self.filter_list = YList(self)
                                self.prefix_list = YList(self)
                                self.route_map = YList(self)
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                            class SoftReconfiguration(Enum):
                                """
                                SoftReconfiguration

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = Enum.YLeaf(0, "inbound")



                            class PeerGroup(Entity):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup, self).__init__()

                                    self.yang_name = "peer-group"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                    self._segment_path = lambda: "peer-group"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                            class LocalAs(Entity):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs, self).__init__()

                                    self.yang_name = "local-as"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                    self.replace_as = YLeaf(YType.empty, "replace-as")

                                    self.dual_as = YLeaf(YType.empty, "dual-as")
                                    self._segment_path = lambda: "local-as"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.disable = YLeaf(YType.empty, "disable")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                            class Advertise(Entity):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise, self).__init__()

                                    self.yang_name = "advertise"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath)}
                                    self._child_list_classes = {}

                                    self.best_external = YLeaf(YType.empty, "best-external")

                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self._children_name_map["additional_paths"] = "additional-paths"
                                    self._children_yang_names.add("additional-paths")

                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self
                                    self._children_name_map["diverse_path"] = "diverse-path"
                                    self._children_yang_names.add("diverse-path")
                                    self._segment_path = lambda: "advertise"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise, ['best_external'], name, value)


                                class AdditionalPaths(Entity):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                        self.yang_name = "additional-paths"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "additional-paths"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                self.best_range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                            class BestRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                    self.yang_name = "best-range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                            self.best_range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                        class BestRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                self.yang_name = "best-range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "best-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                class DiversePath(Entity):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath, self).__init__()

                                        self.yang_name = "diverse-path"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup)}
                                        self._child_list_classes = {}

                                        self.mpath = YLeaf(YType.empty, "mpath")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")
                                        self._segment_path = lambda: "diverse-path"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                    class Backup(Entity):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "diverse-path"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.mpath = YLeaf(YType.empty, "mpath")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                            class AdvertiseMap(Entity):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap, self).__init__()

                                    self.yang_name = "advertise-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name)}

                                    self.name = YList(self)
                                    self._segment_path = lambda: "advertise-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "advertise-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.word = YLeaf(YType.str, "word")

                                        self.exist_map = YLeaf(YType.str, "exist-map")

                                        self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                        self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                            class Aigp(Entity):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp, self).__init__()

                                    self.yang_name = "aigp"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send()
                                    self.send.parent = self
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "aigp"


                                class Send(Entity):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "aigp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity)}
                                        self._child_list_classes = {}

                                        self.med = YLeaf(YType.empty, "med")

                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self._children_name_map["cost_community"] = "cost-community"
                                        self._children_yang_names.add("cost-community")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send, ['med'], name, value)


                                    class CostCommunity(Entity):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                            self.yang_name = "cost-community"
                                            self.yang_parent_name = "send"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                            self.cc_range = YList(self)
                                            self._segment_path = lambda: "cost-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                        class CcRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                self.yang_name = "cc-range"
                                                self.yang_parent_name = "cost-community"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self
                                                self._children_name_map["poi"] = "poi"
                                                self._children_yang_names.add("poi")
                                                self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                            class Poi(Entity):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                    self.yang_name = "poi"
                                                    self.yang_parent_name = "cc-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                    self._child_list_classes = {}

                                                    self.igp_cost = None
                                                    self._children_name_map["igp_cost"] = "igp-cost"
                                                    self._children_yang_names.add("igp-cost")

                                                    self.pre_bestpath = None
                                                    self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                    self._children_yang_names.add("pre-bestpath")
                                                    self._segment_path = lambda: "poi"


                                                class IgpCost(Entity):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                        self.yang_name = "igp-cost"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "igp-cost"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                class PreBestpath(Entity):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                        self.yang_name = "pre-bestpath"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "pre-bestpath"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                            class Announce(Entity):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce, self).__init__()

                                    self.yang_name = "announce"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki)}
                                    self._child_list_classes = {}

                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self
                                    self._children_name_map["rpki"] = "rpki"
                                    self._children_yang_names.add("rpki")
                                    self._segment_path = lambda: "announce"


                                class Rpki(Entity):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki, self).__init__()

                                        self.yang_name = "rpki"
                                        self.yang_parent_name = "announce"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.state = YLeaf(YType.empty, "state")
                                        self._segment_path = lambda: "rpki"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki, ['state'], name, value)


                            class AllowasIn(Entity):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn, self).__init__()

                                    self.yang_name = "allowas-in"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_number = YLeaf(YType.uint8, "as-number")
                                    self._segment_path = lambda: "allowas-in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn, ['as_number'], name, value)


                            class AsOverride(Entity):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride, self).__init__()

                                    self.yang_name = "as-override"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "as-override"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride, ['disable'], name, value)


                            class Capability(Entity):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability, self).__init__()

                                    self.yang_name = "capability"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf)}
                                    self._child_list_classes = {}

                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf()
                                    self.orf.parent = self
                                    self._children_name_map["orf"] = "orf"
                                    self._children_yang_names.add("orf")
                                    self._segment_path = lambda: "capability"


                                class Orf(Entity):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf.PrefixList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf, self).__init__()

                                        self.yang_name = "orf"
                                        self.yang_parent_name = "capability"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                        self._segment_path = lambda: "orf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                    class PrefixList(Enum):
                                        """
                                        PrefixList

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = Enum.YLeaf(0, "both")

                                        receive = Enum.YLeaf(1, "receive")

                                        send = Enum.YLeaf(2, "send")



                            class DefaultOriginate(Entity):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate, self).__init__()

                                    self.yang_name = "default-originate"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "default-originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate, ['route_map'], name, value)


                            class DistributeList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList.Inout>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199
                                
                                		**type**\: int
                                
                                			**range:** 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList, self).__init__()

                                    self.yang_name = "distribute-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.accesslist = YLeaf(YType.str, "accesslist")
                                    self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class EbgpMultihop(Entity):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop, self).__init__()

                                    self.yang_name = "ebgp-multihop"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max_hop = YLeaf(YType.uint8, "max-hop")
                                    self._segment_path = lambda: "ebgp-multihop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                            class FallOver(Entity):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver, self).__init__()

                                    self.yang_name = "fall-over"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd)}
                                    self._child_list_classes = {}

                                    self.bfd = None
                                    self._children_name_map["bfd"] = "bfd"
                                    self._children_yang_names.add("bfd")
                                    self._segment_path = lambda: "fall-over"


                                class Bfd(Entity):
                                    """
                                    Use BFD to detect failure
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd, self).__init__()

                                        self.yang_name = "bfd"
                                        self.yang_parent_name = "fall-over"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "bfd"


                            class FilterList(Entity):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList.Inout>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList, self).__init__()

                                    self.yang_name = "filter-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                    self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class Inherit(Entity):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\: str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit, self).__init__()

                                    self.yang_name = "inherit"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_policy = YLeaf(YType.str, "peer-policy")

                                    self.peer_session = YLeaf(YType.str, "peer-session")
                                    self._segment_path = lambda: "inherit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                            class LogNeighborChanges(Entity):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges, self).__init__()

                                    self.yang_name = "log-neighbor-changes"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "log-neighbor-changes"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges, ['disable'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.restart = YLeaf(YType.uint16, "restart")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                            class Password(Entity):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Password, self).__init__()

                                    self.yang_name = "password"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.enctype = YLeaf(YType.uint8, "enctype")

                                    self.text = YLeaf(YType.str, "text")
                                    self._segment_path = lambda: "password"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Password, ['enctype', 'text'], name, value)


                            class PrefixList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList.Inout>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList, self).__init__()

                                    self.yang_name = "prefix-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                    self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class PathAttribute(Entity):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute, self).__init__()

                                    self.yang_name = "path-attribute"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw)}
                                    self._child_list_classes = {}

                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self._children_name_map["discard"] = "discard"
                                    self._children_yang_names.add("discard")

                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self
                                    self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                    self._children_yang_names.add("treat-as-withdraw")
                                    self._segment_path = lambda: "path-attribute"


                                class Discard(Entity):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard, self).__init__()

                                        self.yang_name = "discard"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "discard"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                class TreatAsWithdraw(Entity):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                        self.yang_name = "treat-as-withdraw"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "treat-as-withdraw"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                            class RouteMap(Entity):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap.Inout>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.route_map_name = YLeaf(YType.str, "route-map-name")
                                    self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class SendCommunity(Entity):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity.SendCommunityWhere>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity, self).__init__()

                                    self.yang_name = "send-community"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                    self._segment_path = lambda: "send-community"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                class SendCommunityWhere(Enum):
                                    """
                                    SendCommunityWhere

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = Enum.YLeaf(0, "both")

                                    extended = Enum.YLeaf(1, "extended")

                                    standard = Enum.YLeaf(2, "standard")



                            class SendLabel(Entity):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel.SendLabelExplicit>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel, self).__init__()

                                    self.yang_name = "send-label"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                    self._segment_path = lambda: "send-label"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                class SendLabelExplicit(Enum):
                                    """
                                    SendLabelExplicit

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = Enum.YLeaf(0, "explicit-null")



                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class Timers(Entity):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Timers, self).__init__()

                                    self.yang_name = "timers"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                    self.holdtime = YLeaf(YType.uint16, "holdtime")

                                    self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                    self._segment_path = lambda: "timers"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                            class TranslateUpdate(Entity):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate, self).__init__()

                                    self.yang_name = "translate-update"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4)}
                                    self._child_list_classes = {}

                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4()
                                    self.ipv4.parent = self
                                    self._children_name_map["ipv4"] = "ipv4"
                                    self._children_yang_names.add("ipv4")
                                    self._segment_path = lambda: "translate-update"


                                class Ipv4(Entity):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "translate-update"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                        self._child_list_classes = {}

                                        self.multicast = None
                                        self._children_name_map["multicast"] = "multicast"
                                        self._children_yang_names.add("multicast")
                                        self._segment_path = lambda: "ipv4"


                                    class Multicast(Entity):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                            self.yang_name = "multicast"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.unicast = YLeaf(YType.empty, "unicast")
                                            self._segment_path = lambda: "multicast"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.ConnectionMode>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery)}
                                    self._child_list_classes = {}

                                    self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                    self.multi_session = YLeaf(YType.empty, "multi-session")

                                    self.path_mtu_discovery = None
                                    self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                    self._children_yang_names.add("path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                class ConnectionMode(Enum):
                                    """
                                    ConnectionMode

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = Enum.YLeaf(0, "active")

                                    passive = Enum.YLeaf(1, "passive")



                                class PathMtuDiscovery(Entity):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                        self.yang_name = "path-mtu-discovery"
                                        self.yang_parent_name = "transport"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "path-mtu-discovery"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                            class TtlSecurity(Entity):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\: int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity, self).__init__()

                                    self.yang_name = "ttl-security"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hops = YLeaf(YType.uint8, "hops")
                                    self._segment_path = lambda: "ttl-security"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity, ['hops'], name, value)


                            class UpdateSource(Entity):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource, self).__init__()

                                    self.yang_name = "update-source"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "update-source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                            class HaMode(Entity):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.graceful_restart = None
                                    self._children_name_map["graceful_restart"] = "graceful-restart"
                                    self._children_yang_names.add("graceful-restart")

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class GracefulRestart(Entity):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart, self).__init__()

                                        self.yang_name = "graceful-restart"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "graceful-restart"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                class Sso(Entity):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso, ['disable'], name, value)


                        class Network(Entity):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.str, "number")

                                self.backdoor = YLeaf(YType.empty, "backdoor")

                                self.mask = YLeaf(YType.str, "mask")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"application" : ("application", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static)}
                                self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf)}

                                self.application = None
                                self._children_name_map["application"] = "application"
                                self._children_yang_names.add("application")

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.dvmrp = None
                                self._children_name_map["dvmrp"] = "dvmrp"
                                self._children_yang_names.add("dvmrp")

                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self._children_name_map["eigrp"] = "eigrp"
                                self._children_yang_names.add("eigrp")

                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis()
                                self.isis.parent = self
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.lisp = None
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.ospf = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute, [], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name)}
                                    self.is_presence_container = True

                                    self.name = YList(self)
                                    self._segment_path = lambda: "application"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "application"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "connected"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Connected, ['metric', 'route_map'], name, value)


                            class Dvmrp(Entity):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp, self).__init__()

                                    self.yang_name = "dvmrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = YLeaf(YType.uint32, "metric")
                                    self._segment_path = lambda: "dvmrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.uint16, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "eigrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default)}
                                    self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.isis_area = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis, [], name, value)


                                class IsisArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea, self).__init__()

                                        self.yang_name = "isis-area"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                            class Lisp(Entity):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "lisp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default)}
                                    self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.iso_igrp_area = YList(self)
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp, [], name, value)


                                class IsoIgrpArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                        self.yang_name = "iso-igrp-area"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "mobile"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "odr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Odr, ['metric', 'route_map'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf>`
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf)}
                                    self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf)}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self._children_name_map["non_vrf"] = "non-vrf"
                                    self._children_yang_names.add("non-vrf")

                                    self.vrf = YList(self)
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf, ['id'], name, value)


                                class Vrf(Entity):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf, self).__init__()

                                        self.yang_name = "vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self._segment_path = lambda: "match"


                                class NonVrf(Entity):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf, self).__init__()

                                        self.yang_name = "non-vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match)}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "non-vrf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "non-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.internal = YLeaf(YType.empty, "internal")

                                            self.external = YLeaf(YType.enumeration, "external")

                                            self.external2 = YLeaf(YType.enumeration, "external2")

                                            self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "match"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	User selected string identifying this process
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.name = YLeaf(YType.str, "name")
                                    self._segment_path = lambda: "rip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.clns = None
                                    self._children_name_map["clns"] = "clns"
                                    self._children_yang_names.add("clns")

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "static"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static, ['metric', 'route_map'], name, value)


                                class Clns(Entity):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns, self).__init__()

                                        self.yang_name = "clns"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "clns"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                class Ip(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                        class TableMap(Entity):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\: str
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.TableMap, self).__init__()

                                self.yang_name = "table-map"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.name = YLeaf(YType.str, "name")

                                self.filter = YLeaf(YType.empty, "filter")
                                self._segment_path = lambda: "table-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.TableMap, ['name', 'filter'], name, value)


                        class Snmp(Entity):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp, self).__init__()

                                self.yang_name = "snmp"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"context" : ("context", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context()
                                self.context.parent = self
                                self._children_name_map["context"] = "context"
                                self._children_yang_names.add("context")
                                self._segment_path = lambda: "snmp"


                            class Context(Entity):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context.ContextWord>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context, self).__init__()

                                    self.yang_name = "context"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context.ContextWord)}

                                    self.context_word = YList(self)
                                    self._segment_path = lambda: "context"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context, [], name, value)


                                class ContextWord(Entity):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context.ContextWord, self).__init__()

                                        self.yang_name = "context_word"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.context_word = YLeaf(YType.str, "context_word")
                                        self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Ipv6.Snmp.Context.ContextWord, ['context_word'], name, value)


                    class Vpnv4(Entity):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.AfName>`
                        
                        .. attribute:: import_
                        
                        	Configure path import
                        	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Import_>`
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute>`
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\: bool
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.TableMap>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4, self).__init__()

                            self.yang_name = "vpnv4"
                            self.yang_parent_name = "no-vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Import_), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp), "default-information" : ("default_information", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.TableMap), "snmp" : ("snmp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp)}
                            self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor), "network" : ("network", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Network)}

                            self.af_name = YLeaf(YType.enumeration, "af-name")

                            self.default_metric = YLeaf(YType.uint32, "default-metric")

                            self.synchronization = YLeaf(YType.empty, "synchronization")

                            self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                            self.import_ = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Import_()
                            self.import_.parent = self
                            self._children_name_map["import_"] = "import"
                            self._children_yang_names.add("import")

                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp()
                            self.bgp.parent = self
                            self._children_name_map["bgp"] = "bgp"
                            self._children_yang_names.add("bgp")

                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths()
                            self.maximum_paths.parent = self
                            self._children_name_map["maximum_paths"] = "maximum-paths"
                            self._children_yang_names.add("maximum-paths")

                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.table_map = None
                            self._children_name_map["table_map"] = "table-map"
                            self._children_yang_names.add("table-map")

                            self.snmp = None
                            self._children_name_map["snmp"] = "snmp"
                            self._children_yang_names.add("snmp")

                            self.distribute_list = YList(self)
                            self.neighbor = YList(self)
                            self.network = YList(self)
                            self._segment_path = lambda: "vpnv4" + "[af-name='" + self.af_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                        class AfName(Enum):
                            """
                            AfName

                            .. data:: unicast = 0

                            .. data:: multicast = 1

                            .. data:: flowspec = 2

                            """

                            unicast = Enum.YLeaf(0, "unicast")

                            multicast = Enum.YLeaf(1, "multicast")

                            flowspec = Enum.YLeaf(2, "flowspec")



                        class Import_(Entity):
                            """
                            Configure path import
                            
                            .. attribute:: path
                            
                            	Path selection and path limit
                            	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Import_.Path>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Import_, self).__init__()

                                self.yang_name = "import"
                                self.yang_parent_name = "vpnv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"path" : ("path", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Import_.Path)}
                                self._child_list_classes = {}

                                self.path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Import_.Path()
                                self.path.parent = self
                                self._children_name_map["path"] = "path"
                                self._children_yang_names.add("path")
                                self._segment_path = lambda: "import"


                            class Path(Entity):
                                """
                                Path selection and path limit
                                
                                .. attribute:: limit
                                
                                	Per net imported path limit
                                	**type**\: int
                                
                                	**range:** 2..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Import_.Path, self).__init__()

                                    self.yang_name = "path"
                                    self.yang_parent_name = "import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint8, "limit")
                                    self._segment_path = lambda: "path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Import_.Path, ['limit'], name, value)


                        class Bgp(Entity):
                            """
                            BGP specific commands
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\: int
                            
                            	**range:** 6..60
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\: bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\: int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\: int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer>`
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup>`
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp>`
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\: int
                            
                            	**range:** 5..60
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\: int
                            
                            	**range:** 1..3600
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "vpnv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Transport)}
                                self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.InjectMap)}

                                self.router_id = YLeaf(YType.str, "router-id")

                                self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                self.scan_time = YLeaf(YType.uint8, "scan-time")

                                self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                self.update_delay = YLeaf(YType.uint16, "update-delay")

                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation()
                                self.asnotation.parent = self
                                self._children_name_map["asnotation"] = "asnotation"
                                self._children_yang_names.add("asnotation")

                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                self._children_yang_names.add("nopeerup-delay")

                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion()
                                self.recursion.parent = self
                                self._children_name_map["recursion"] = "recursion"
                                self._children_yang_names.add("recursion")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath()
                                self.bestpath.parent = self
                                self._children_name_map["bestpath"] = "bestpath"
                                self._children_yang_names.add("bestpath")

                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient()
                                self.client_to_client.parent = self
                                self._children_name_map["client_to_client"] = "client-to-client"
                                self._children_yang_names.add("client-to-client")

                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation()
                                self.confederation.parent = self
                                self._children_name_map["confederation"] = "confederation"
                                self._children_yang_names.add("confederation")

                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self._children_name_map["consistency_checker"] = "consistency-checker"
                                self._children_yang_names.add("consistency-checker")

                                self.dampening = None
                                self._children_name_map["dampening"] = "dampening"
                                self._children_yang_names.add("dampening")

                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.graceful_restart = None
                                self._children_name_map["graceful_restart"] = "graceful-restart"
                                self._children_yang_names.add("graceful-restart")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap()
                                self.route_map.parent = self
                                self._children_name_map["route_map"] = "route-map"
                                self._children_yang_names.add("route-map")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup()
                                self.update_group.parent = self
                                self._children_name_map["update_group"] = "update-group"
                                self._children_yang_names.add("update-group")

                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop()
                                self.nexthop.parent = self
                                self._children_name_map["nexthop"] = "nexthop"
                                self._children_yang_names.add("nexthop")

                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp()
                                self.regexp.parent = self
                                self._children_name_map["regexp"] = "regexp"
                                self._children_yang_names.add("regexp")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.inject_map = YList(self)
                                self._segment_path = lambda: "bgp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                            class Asnotation(Entity):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation, self).__init__()

                                    self.yang_name = "asnotation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dot = YLeaf(YType.empty, "dot")
                                    self._segment_path = lambda: "asnotation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation, ['dot'], name, value)


                            class NopeerupDelay(Entity):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay, self).__init__()

                                    self.yang_name = "nopeerup-delay"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                    self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                    self.post_boot = YLeaf(YType.uint16, "post-boot")

                                    self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                    self._segment_path = lambda: "nopeerup-delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                            class Recursion(Entity):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion, self).__init__()

                                    self.yang_name = "recursion"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.host = YLeaf(YType.empty, "host")
                                    self._segment_path = lambda: "recursion"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion, ['host'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"select" : ("select", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.install = YLeaf(YType.empty, "install")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self._children_name_map["select"] = "select"
                                    self._children_yang_names.add("select")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                class Select(Entity):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select, self).__init__()

                                        self.yang_name = "select"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.best_external = None
                                        self._children_name_map["best_external"] = "best-external"
                                        self._children_yang_names.add("best-external")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "select"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                self.range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                    class Backup(Entity):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best_external = YLeaf(YType.empty, "best-external")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range)}

                                            self.range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                        class Range(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                self.yang_name = "range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                    class BestExternal(Entity):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                            self.yang_name = "best-external"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.backup = YLeaf(YType.empty, "backup")
                                            self._segment_path = lambda: "best-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                            class Bestpath(Entity):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath, self).__init__()

                                    self.yang_name = "bestpath"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med)}
                                    self._child_list_classes = {}

                                    self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self._children_name_map["cost_community"] = "cost-community"
                                    self._children_yang_names.add("cost-community")

                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self._children_name_map["igp_metric"] = "igp-metric"
                                    self._children_yang_names.add("igp-metric")

                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med()
                                    self.med.parent = self
                                    self._children_name_map["med"] = "med"
                                    self._children_yang_names.add("med")
                                    self._segment_path = lambda: "bestpath"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath, ['compare_routerid'], name, value)


                                class CostCommunity(Entity):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity, self).__init__()

                                        self.yang_name = "cost-community"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "cost-community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                class IgpMetric(Entity):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric, self).__init__()

                                        self.yang_name = "igp-metric"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "igp-metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                class Med(Entity):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med, self).__init__()

                                        self.yang_name = "med"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med.Confed)}
                                        self._child_list_classes = {}

                                        self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                        self.confed = None
                                        self._children_name_map["confed"] = "confed"
                                        self._children_yang_names.add("confed")
                                        self._segment_path = lambda: "med"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                    class Confed(Entity):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med.Confed, self).__init__()

                                            self.yang_name = "confed"
                                            self.yang_parent_name = "med"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                            self._segment_path = lambda: "confed"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                            class ClientToClient(Entity):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient, self).__init__()

                                    self.yang_name = "client-to-client"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reflection = YLeaf(YType.empty, "reflection")
                                    self._segment_path = lambda: "client-to-client"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient, ['reflection'], name, value)


                            class Confederation(Entity):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation, self).__init__()

                                    self.yang_name = "confederation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers)}
                                    self._child_list_classes = {}

                                    self.identifier = YLeaf(YType.uint32, "identifier")

                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers()
                                    self.peers.parent = self
                                    self._children_name_map["peers"] = "peers"
                                    self._children_yang_names.add("peers")
                                    self._segment_path = lambda: "confederation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation, ['identifier'], name, value)


                                class Peers(Entity):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\: list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers, self).__init__()

                                        self.yang_name = "peers"
                                        self.yang_parent_name = "confederation"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.peers_as = YLeafList(YType.uint32, "peers-as")
                                        self._segment_path = lambda: "peers"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers, ['peers_as'], name, value)


                            class ConsistencyChecker(Entity):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker, self).__init__()

                                    self.yang_name = "consistency-checker"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.ErrorMessage)}
                                    self._child_list_classes = {}

                                    self.auto_repair = None
                                    self._children_name_map["auto_repair"] = "auto-repair"
                                    self._children_yang_names.add("auto-repair")

                                    self.error_message = None
                                    self._children_name_map["error_message"] = "error-message"
                                    self._children_yang_names.add("error-message")
                                    self._segment_path = lambda: "consistency-checker"


                                class AutoRepair(Entity):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                        self.yang_name = "auto-repair"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "auto-repair"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                class ErrorMessage(Entity):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                        self.yang_name = "error-message"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "error-message"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                            class Dampening(Entity):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\: str
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening, self).__init__()

                                    self.yang_name = "dampening"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self._children_name_map["dampen"] = "dampen"
                                    self._children_yang_names.add("dampen")
                                    self._segment_path = lambda: "dampening"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening, ['route_map'], name, value)


                                class Dampen(Entity):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen, self).__init__()

                                        self.yang_name = "dampen"
                                        self.yang_parent_name = "dampening"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                        self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                        self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                        self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                        self._segment_path = lambda: "dampen"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                            class Default(Entity):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\: bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Default.RouteTarget>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                    self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                    self.local_preference = YLeaf(YType.uint32, "local-preference")

                                    self.route_target = YLeaf(YType.enumeration, "route-target")
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                class RouteTarget(Enum):
                                    """
                                    RouteTarget

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = Enum.YLeaf(0, "filter")



                            class GracefulRestart(Entity):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.GracefulRestart, self).__init__()

                                    self.yang_name = "graceful-restart"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.extended = YLeaf(YType.empty, "extended")

                                    self.restart_time = YLeaf(YType.uint16, "restart-time")

                                    self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                    self._segment_path = lambda: "graceful-restart"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                            class HaMode(Entity):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class Sso(Entity):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.prefer = YLeaf(YType.empty, "prefer")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode.Sso, ['prefer'], name, value)


                            class InjectMap(Entity):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\: str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.InjectMap, self).__init__()

                                    self.yang_name = "inject-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.exist_map = YLeaf(YType.str, "exist-map")

                                    self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                    self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                            class RouteMap(Entity):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority = YLeaf(YType.empty, "priority")
                                    self._segment_path = lambda: "route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap, ['priority'], name, value)


                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class UpdateGroup(Entity):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup, self).__init__()

                                    self.yang_name = "update-group"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"split" : ("split", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split)}
                                    self._child_list_classes = {}

                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split()
                                    self.split.parent = self
                                    self._children_name_map["split"] = "split"
                                    self._children_yang_names.add("split")
                                    self._segment_path = lambda: "update-group"


                                class Split(Entity):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split, self).__init__()

                                        self.yang_name = "split"
                                        self.yang_parent_name = "update-group"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.as_override = YLeaf(YType.empty, "as-override")
                                        self._segment_path = lambda: "split"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                            class Nexthop(Entity):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger>`
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop, self).__init__()

                                    self.yang_name = "nexthop"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger()
                                    self.trigger.parent = self
                                    self._children_name_map["trigger"] = "trigger"
                                    self._children_yang_names.add("trigger")
                                    self._segment_path = lambda: "nexthop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop, ['route_map'], name, value)


                                class Trigger(Entity):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger, self).__init__()

                                        self.yang_name = "trigger"
                                        self.yang_parent_name = "nexthop"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.delay = YLeaf(YType.uint8, "delay")

                                        self.enable = YLeaf(YType.boolean, "enable")
                                        self._segment_path = lambda: "trigger"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                            class Regexp(Entity):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp, self).__init__()

                                    self.yang_name = "regexp"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.deterministic = YLeaf(YType.empty, "deterministic")
                                    self._segment_path = lambda: "regexp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp, ['deterministic'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\: bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Bgp.Transport, ['path_mtu_discovery'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "vpnv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.originate = YLeaf(YType.empty, "originate")
                                self._segment_path = lambda: "default-information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DefaultInformation, ['originate'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.Bgp>`
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "vpnv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.Bgp)}
                                self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance)}

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.adm_distance = YList(self)
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance, [], name, value)


                            class Bgp(Entity):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.extern_as = YLeaf(YType.uint16, "extern-as")

                                    self.internal_as = YLeaf(YType.uint16, "internal-as")

                                    self.local = YLeaf(YType.uint16, "local")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                            class AdmDistance(Entity):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: int
                                
                                			**range:** 1300..1999
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance, self).__init__()

                                    self.yang_name = "adm-distance"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.distance = YLeaf(YType.uint16, "distance")

                                    self.srcip = YLeaf(YType.str, "srcip")

                                    self.wildbits = YLeaf(YType.str, "wildbits")

                                    self.acl = YLeaf(YType.str, "acl")
                                    self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                        class DistributeList(Entity):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 100..199
                            
                            		**type**\: int
                            
                            			**range:** 2000..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList, self).__init__()

                                self.yang_name = "distribute-list"
                                self.yang_parent_name = "vpnv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.In_), "out" : ("out", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.Out)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.in_ = None
                                self._children_name_map["in_"] = "in"
                                self._children_yang_names.add("in")

                                self.out = None
                                self._children_name_map["out"] = "out"
                                self._children_yang_names.add("out")
                                self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList, ['id'], name, value)


                            class In_(Entity):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.In_, self).__init__()

                                    self.yang_name = "in"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.In_, ['interface'], name, value)


                            class Out(Entity):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.Out, self).__init__()

                                    self.yang_name = "out"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "out"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.DistributeList.Out, ['interface'], name, value)


                        class MaximumPaths(Entity):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths, self).__init__()

                                self.yang_name = "maximum-paths"
                                self.yang_parent_name = "vpnv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp)}
                                self._child_list_classes = {}

                                self.eibgp = YLeaf(YType.uint16, "eibgp")

                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath()
                                self.max_path.parent = self
                                self._children_name_map["max_path"] = "max-path"
                                self._children_yang_names.add("max-path")

                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                self._children_yang_names.add("external-rtfilter")

                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self._children_name_map["ibgp"] = "ibgp"
                                self._children_yang_names.add("ibgp")
                                self._segment_path = lambda: "maximum-paths"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths, ['eibgp'], name, value)


                            class MaxPath(Entity):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath, self).__init__()

                                    self.yang_name = "max-path"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "max-path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath, ['max'], name, value)


                            class ExternalRtfilter(Entity):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter, self).__init__()

                                    self.yang_name = "external-rtfilter"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "external-rtfilter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                            class Ibgp(Entity):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp, self).__init__()

                                    self.yang_name = "ibgp"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "ibgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                        class Neighbor(Entity):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\: int
                            
                            	**range:** 0..600
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\: str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Password>`
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute>`
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel>`
                            
                            .. attribute:: soo
                            
                            	ASN\:nn or IP\-address\:nn  VPN extended community
                            	**type**\: str
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SoftReconfiguration>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\: str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\: int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "vpnv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode)}
                                self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap)}

                                self.id = YLeaf(YType.str, "id")

                                self.remote_as = YLeaf(YType.str, "remote-as")

                                self.activate = YLeaf(YType.empty, "activate")

                                self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.description = YLeaf(YType.str, "description")

                                self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                self.soo = YLeaf(YType.str, "soo")

                                self.shutdown = YLeaf(YType.empty, "shutdown")

                                self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                self.version = YLeaf(YType.uint16, "version")

                                self.weight = YLeaf(YType.uint16, "weight")

                                self.peer_group = None
                                self._children_name_map["peer_group"] = "peer-group"
                                self._children_yang_names.add("peer-group")

                                self.local_as = None
                                self._children_name_map["local_as"] = "local-as"
                                self._children_yang_names.add("local-as")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise()
                                self.advertise.parent = self
                                self._children_name_map["advertise"] = "advertise"
                                self._children_yang_names.add("advertise")

                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self._children_name_map["advertise_map"] = "advertise-map"
                                self._children_yang_names.add("advertise-map")

                                self.aigp = None
                                self._children_name_map["aigp"] = "aigp"
                                self._children_yang_names.add("aigp")

                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce()
                                self.announce.parent = self
                                self._children_name_map["announce"] = "announce"
                                self._children_yang_names.add("announce")

                                self.allowas_in = None
                                self._children_name_map["allowas_in"] = "allowas-in"
                                self._children_yang_names.add("allowas-in")

                                self.as_override = None
                                self._children_name_map["as_override"] = "as-override"
                                self._children_yang_names.add("as-override")

                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability()
                                self.capability.parent = self
                                self._children_name_map["capability"] = "capability"
                                self._children_yang_names.add("capability")

                                self.default_originate = None
                                self._children_name_map["default_originate"] = "default-originate"
                                self._children_yang_names.add("default-originate")

                                self.ebgp_multihop = None
                                self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                self._children_yang_names.add("ebgp-multihop")

                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self._children_name_map["fall_over"] = "fall-over"
                                self._children_yang_names.add("fall-over")

                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit()
                                self.inherit.parent = self
                                self._children_name_map["inherit"] = "inherit"
                                self._children_yang_names.add("inherit")

                                self.log_neighbor_changes = None
                                self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                self._children_yang_names.add("log-neighbor-changes")

                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Password()
                                self.password.parent = self
                                self._children_name_map["password"] = "password"
                                self._children_yang_names.add("password")

                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self._children_name_map["path_attribute"] = "path-attribute"
                                self._children_yang_names.add("path-attribute")

                                self.send_community = None
                                self._children_name_map["send_community"] = "send-community"
                                self._children_yang_names.add("send-community")

                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self._children_name_map["send_label"] = "send-label"
                                self._children_yang_names.add("send-label")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers()
                                self.timers.parent = self
                                self._children_name_map["timers"] = "timers"
                                self._children_yang_names.add("timers")

                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self._children_name_map["translate_update"] = "translate-update"
                                self._children_yang_names.add("translate-update")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self._children_name_map["ttl_security"] = "ttl-security"
                                self._children_yang_names.add("ttl-security")

                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self._children_name_map["update_source"] = "update-source"
                                self._children_yang_names.add("update-source")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.distribute_list = YList(self)
                                self.filter_list = YList(self)
                                self.prefix_list = YList(self)
                                self.route_map = YList(self)
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                            class SoftReconfiguration(Enum):
                                """
                                SoftReconfiguration

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = Enum.YLeaf(0, "inbound")



                            class PeerGroup(Entity):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup, self).__init__()

                                    self.yang_name = "peer-group"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                    self._segment_path = lambda: "peer-group"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                            class LocalAs(Entity):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs, self).__init__()

                                    self.yang_name = "local-as"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                    self.replace_as = YLeaf(YType.empty, "replace-as")

                                    self.dual_as = YLeaf(YType.empty, "dual-as")
                                    self._segment_path = lambda: "local-as"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.disable = YLeaf(YType.empty, "disable")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                            class Advertise(Entity):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise, self).__init__()

                                    self.yang_name = "advertise"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath)}
                                    self._child_list_classes = {}

                                    self.best_external = YLeaf(YType.empty, "best-external")

                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self._children_name_map["additional_paths"] = "additional-paths"
                                    self._children_yang_names.add("additional-paths")

                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self
                                    self._children_name_map["diverse_path"] = "diverse-path"
                                    self._children_yang_names.add("diverse-path")
                                    self._segment_path = lambda: "advertise"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise, ['best_external'], name, value)


                                class AdditionalPaths(Entity):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                        self.yang_name = "additional-paths"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "additional-paths"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                self.best_range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                            class BestRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                    self.yang_name = "best-range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                            self.best_range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                        class BestRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                self.yang_name = "best-range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "best-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                class DiversePath(Entity):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath, self).__init__()

                                        self.yang_name = "diverse-path"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup)}
                                        self._child_list_classes = {}

                                        self.mpath = YLeaf(YType.empty, "mpath")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")
                                        self._segment_path = lambda: "diverse-path"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                    class Backup(Entity):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "diverse-path"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.mpath = YLeaf(YType.empty, "mpath")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                            class AdvertiseMap(Entity):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap, self).__init__()

                                    self.yang_name = "advertise-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name)}

                                    self.name = YList(self)
                                    self._segment_path = lambda: "advertise-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "advertise-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.word = YLeaf(YType.str, "word")

                                        self.exist_map = YLeaf(YType.str, "exist-map")

                                        self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                        self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                            class Aigp(Entity):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp, self).__init__()

                                    self.yang_name = "aigp"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send()
                                    self.send.parent = self
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "aigp"


                                class Send(Entity):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "aigp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity)}
                                        self._child_list_classes = {}

                                        self.med = YLeaf(YType.empty, "med")

                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self._children_name_map["cost_community"] = "cost-community"
                                        self._children_yang_names.add("cost-community")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send, ['med'], name, value)


                                    class CostCommunity(Entity):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                            self.yang_name = "cost-community"
                                            self.yang_parent_name = "send"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                            self.cc_range = YList(self)
                                            self._segment_path = lambda: "cost-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                        class CcRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                self.yang_name = "cc-range"
                                                self.yang_parent_name = "cost-community"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self
                                                self._children_name_map["poi"] = "poi"
                                                self._children_yang_names.add("poi")
                                                self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                            class Poi(Entity):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                    self.yang_name = "poi"
                                                    self.yang_parent_name = "cc-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                    self._child_list_classes = {}

                                                    self.igp_cost = None
                                                    self._children_name_map["igp_cost"] = "igp-cost"
                                                    self._children_yang_names.add("igp-cost")

                                                    self.pre_bestpath = None
                                                    self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                    self._children_yang_names.add("pre-bestpath")
                                                    self._segment_path = lambda: "poi"


                                                class IgpCost(Entity):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                        self.yang_name = "igp-cost"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "igp-cost"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                class PreBestpath(Entity):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                        self.yang_name = "pre-bestpath"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "pre-bestpath"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                            class Announce(Entity):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce, self).__init__()

                                    self.yang_name = "announce"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki)}
                                    self._child_list_classes = {}

                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self
                                    self._children_name_map["rpki"] = "rpki"
                                    self._children_yang_names.add("rpki")
                                    self._segment_path = lambda: "announce"


                                class Rpki(Entity):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki, self).__init__()

                                        self.yang_name = "rpki"
                                        self.yang_parent_name = "announce"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.state = YLeaf(YType.empty, "state")
                                        self._segment_path = lambda: "rpki"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki, ['state'], name, value)


                            class AllowasIn(Entity):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn, self).__init__()

                                    self.yang_name = "allowas-in"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_number = YLeaf(YType.uint8, "as-number")
                                    self._segment_path = lambda: "allowas-in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn, ['as_number'], name, value)


                            class AsOverride(Entity):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride, self).__init__()

                                    self.yang_name = "as-override"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "as-override"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride, ['disable'], name, value)


                            class Capability(Entity):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability, self).__init__()

                                    self.yang_name = "capability"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf)}
                                    self._child_list_classes = {}

                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf()
                                    self.orf.parent = self
                                    self._children_name_map["orf"] = "orf"
                                    self._children_yang_names.add("orf")
                                    self._segment_path = lambda: "capability"


                                class Orf(Entity):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf.PrefixList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf, self).__init__()

                                        self.yang_name = "orf"
                                        self.yang_parent_name = "capability"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                        self._segment_path = lambda: "orf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                    class PrefixList(Enum):
                                        """
                                        PrefixList

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = Enum.YLeaf(0, "both")

                                        receive = Enum.YLeaf(1, "receive")

                                        send = Enum.YLeaf(2, "send")



                            class DefaultOriginate(Entity):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate, self).__init__()

                                    self.yang_name = "default-originate"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "default-originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate, ['route_map'], name, value)


                            class DistributeList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList.Inout>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199
                                
                                		**type**\: int
                                
                                			**range:** 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList, self).__init__()

                                    self.yang_name = "distribute-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.accesslist = YLeaf(YType.str, "accesslist")
                                    self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class EbgpMultihop(Entity):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop, self).__init__()

                                    self.yang_name = "ebgp-multihop"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max_hop = YLeaf(YType.uint8, "max-hop")
                                    self._segment_path = lambda: "ebgp-multihop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                            class FallOver(Entity):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver, self).__init__()

                                    self.yang_name = "fall-over"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd)}
                                    self._child_list_classes = {}

                                    self.bfd = None
                                    self._children_name_map["bfd"] = "bfd"
                                    self._children_yang_names.add("bfd")
                                    self._segment_path = lambda: "fall-over"


                                class Bfd(Entity):
                                    """
                                    Use BFD to detect failure
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd, self).__init__()

                                        self.yang_name = "bfd"
                                        self.yang_parent_name = "fall-over"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "bfd"


                            class FilterList(Entity):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList.Inout>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList, self).__init__()

                                    self.yang_name = "filter-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                    self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class Inherit(Entity):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\: str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit, self).__init__()

                                    self.yang_name = "inherit"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_policy = YLeaf(YType.str, "peer-policy")

                                    self.peer_session = YLeaf(YType.str, "peer-session")
                                    self._segment_path = lambda: "inherit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                            class LogNeighborChanges(Entity):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges, self).__init__()

                                    self.yang_name = "log-neighbor-changes"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "log-neighbor-changes"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges, ['disable'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.restart = YLeaf(YType.uint16, "restart")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                            class Password(Entity):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Password, self).__init__()

                                    self.yang_name = "password"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.enctype = YLeaf(YType.uint8, "enctype")

                                    self.text = YLeaf(YType.str, "text")
                                    self._segment_path = lambda: "password"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Password, ['enctype', 'text'], name, value)


                            class PrefixList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList.Inout>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList, self).__init__()

                                    self.yang_name = "prefix-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                    self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class PathAttribute(Entity):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute, self).__init__()

                                    self.yang_name = "path-attribute"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw)}
                                    self._child_list_classes = {}

                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self._children_name_map["discard"] = "discard"
                                    self._children_yang_names.add("discard")

                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self
                                    self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                    self._children_yang_names.add("treat-as-withdraw")
                                    self._segment_path = lambda: "path-attribute"


                                class Discard(Entity):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard, self).__init__()

                                        self.yang_name = "discard"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "discard"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                class TreatAsWithdraw(Entity):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                        self.yang_name = "treat-as-withdraw"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "treat-as-withdraw"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                            class RouteMap(Entity):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap.Inout>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.route_map_name = YLeaf(YType.str, "route-map-name")
                                    self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class SendCommunity(Entity):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity.SendCommunityWhere>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity, self).__init__()

                                    self.yang_name = "send-community"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                    self._segment_path = lambda: "send-community"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                class SendCommunityWhere(Enum):
                                    """
                                    SendCommunityWhere

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = Enum.YLeaf(0, "both")

                                    extended = Enum.YLeaf(1, "extended")

                                    standard = Enum.YLeaf(2, "standard")



                            class SendLabel(Entity):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel.SendLabelExplicit>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel, self).__init__()

                                    self.yang_name = "send-label"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                    self._segment_path = lambda: "send-label"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                class SendLabelExplicit(Enum):
                                    """
                                    SendLabelExplicit

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = Enum.YLeaf(0, "explicit-null")



                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class Timers(Entity):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers, self).__init__()

                                    self.yang_name = "timers"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                    self.holdtime = YLeaf(YType.uint16, "holdtime")

                                    self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                    self._segment_path = lambda: "timers"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                            class TranslateUpdate(Entity):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate, self).__init__()

                                    self.yang_name = "translate-update"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4)}
                                    self._child_list_classes = {}

                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4()
                                    self.ipv4.parent = self
                                    self._children_name_map["ipv4"] = "ipv4"
                                    self._children_yang_names.add("ipv4")
                                    self._segment_path = lambda: "translate-update"


                                class Ipv4(Entity):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "translate-update"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                        self._child_list_classes = {}

                                        self.multicast = None
                                        self._children_name_map["multicast"] = "multicast"
                                        self._children_yang_names.add("multicast")
                                        self._segment_path = lambda: "ipv4"


                                    class Multicast(Entity):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                            self.yang_name = "multicast"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.unicast = YLeaf(YType.empty, "unicast")
                                            self._segment_path = lambda: "multicast"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.ConnectionMode>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery)}
                                    self._child_list_classes = {}

                                    self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                    self.multi_session = YLeaf(YType.empty, "multi-session")

                                    self.path_mtu_discovery = None
                                    self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                    self._children_yang_names.add("path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                class ConnectionMode(Enum):
                                    """
                                    ConnectionMode

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = Enum.YLeaf(0, "active")

                                    passive = Enum.YLeaf(1, "passive")



                                class PathMtuDiscovery(Entity):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                        self.yang_name = "path-mtu-discovery"
                                        self.yang_parent_name = "transport"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "path-mtu-discovery"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                            class TtlSecurity(Entity):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\: int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity, self).__init__()

                                    self.yang_name = "ttl-security"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hops = YLeaf(YType.uint8, "hops")
                                    self._segment_path = lambda: "ttl-security"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity, ['hops'], name, value)


                            class UpdateSource(Entity):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource, self).__init__()

                                    self.yang_name = "update-source"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "update-source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                            class HaMode(Entity):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.graceful_restart = None
                                    self._children_name_map["graceful_restart"] = "graceful-restart"
                                    self._children_yang_names.add("graceful-restart")

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class GracefulRestart(Entity):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart, self).__init__()

                                        self.yang_name = "graceful-restart"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "graceful-restart"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                class Sso(Entity):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso, ['disable'], name, value)


                        class Network(Entity):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "vpnv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.str, "number")

                                self.backdoor = YLeaf(YType.empty, "backdoor")

                                self.mask = YLeaf(YType.str, "mask")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "vpnv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"application" : ("application", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static)}
                                self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf)}

                                self.application = None
                                self._children_name_map["application"] = "application"
                                self._children_yang_names.add("application")

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.dvmrp = None
                                self._children_name_map["dvmrp"] = "dvmrp"
                                self._children_yang_names.add("dvmrp")

                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self._children_name_map["eigrp"] = "eigrp"
                                self._children_yang_names.add("eigrp")

                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis()
                                self.isis.parent = self
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.lisp = None
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.ospf = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute, [], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name)}
                                    self.is_presence_container = True

                                    self.name = YList(self)
                                    self._segment_path = lambda: "application"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "application"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "connected"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected, ['metric', 'route_map'], name, value)


                            class Dvmrp(Entity):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp, self).__init__()

                                    self.yang_name = "dvmrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = YLeaf(YType.uint32, "metric")
                                    self._segment_path = lambda: "dvmrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.uint16, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "eigrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default)}
                                    self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.isis_area = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis, [], name, value)


                                class IsisArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea, self).__init__()

                                        self.yang_name = "isis-area"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                            class Lisp(Entity):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "lisp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default)}
                                    self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.iso_igrp_area = YList(self)
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp, [], name, value)


                                class IsoIgrpArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                        self.yang_name = "iso-igrp-area"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "mobile"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "odr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr, ['metric', 'route_map'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf>`
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf)}
                                    self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf)}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self._children_name_map["non_vrf"] = "non-vrf"
                                    self._children_yang_names.add("non-vrf")

                                    self.vrf = YList(self)
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf, ['id'], name, value)


                                class Vrf(Entity):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf, self).__init__()

                                        self.yang_name = "vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self._segment_path = lambda: "match"


                                class NonVrf(Entity):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf, self).__init__()

                                        self.yang_name = "non-vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match)}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "non-vrf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "non-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.internal = YLeaf(YType.empty, "internal")

                                            self.external = YLeaf(YType.enumeration, "external")

                                            self.external2 = YLeaf(YType.enumeration, "external2")

                                            self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "match"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	User selected string identifying this process
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.name = YLeaf(YType.str, "name")
                                    self._segment_path = lambda: "rip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.clns = None
                                    self._children_name_map["clns"] = "clns"
                                    self._children_yang_names.add("clns")

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "static"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static, ['metric', 'route_map'], name, value)


                                class Clns(Entity):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns, self).__init__()

                                        self.yang_name = "clns"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "clns"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                class Ip(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                        class TableMap(Entity):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\: str
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.TableMap, self).__init__()

                                self.yang_name = "table-map"
                                self.yang_parent_name = "vpnv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.name = YLeaf(YType.str, "name")

                                self.filter = YLeaf(YType.empty, "filter")
                                self._segment_path = lambda: "table-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.TableMap, ['name', 'filter'], name, value)


                        class Snmp(Entity):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp, self).__init__()

                                self.yang_name = "snmp"
                                self.yang_parent_name = "vpnv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"context" : ("context", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context()
                                self.context.parent = self
                                self._children_name_map["context"] = "context"
                                self._children_yang_names.add("context")
                                self._segment_path = lambda: "snmp"


                            class Context(Entity):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context.ContextWord>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context, self).__init__()

                                    self.yang_name = "context"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context.ContextWord)}

                                    self.context_word = YList(self)
                                    self._segment_path = lambda: "context"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context, [], name, value)


                                class ContextWord(Entity):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context.ContextWord, self).__init__()

                                        self.yang_name = "context_word"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.context_word = YLeaf(YType.str, "context_word")
                                        self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv4.Snmp.Context.ContextWord, ['context_word'], name, value)


                    class Vpnv6(Entity):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.AfName>`
                        
                        .. attribute:: import_
                        
                        	Configure path import
                        	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Import_>`
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute>`
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\: bool
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.TableMap>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6, self).__init__()

                            self.yang_name = "vpnv6"
                            self.yang_parent_name = "no-vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Import_), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp), "default-information" : ("default_information", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.TableMap), "snmp" : ("snmp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp)}
                            self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor), "network" : ("network", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Network)}

                            self.af_name = YLeaf(YType.enumeration, "af-name")

                            self.default_metric = YLeaf(YType.uint32, "default-metric")

                            self.synchronization = YLeaf(YType.empty, "synchronization")

                            self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                            self.import_ = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Import_()
                            self.import_.parent = self
                            self._children_name_map["import_"] = "import"
                            self._children_yang_names.add("import")

                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp()
                            self.bgp.parent = self
                            self._children_name_map["bgp"] = "bgp"
                            self._children_yang_names.add("bgp")

                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths()
                            self.maximum_paths.parent = self
                            self._children_name_map["maximum_paths"] = "maximum-paths"
                            self._children_yang_names.add("maximum-paths")

                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.table_map = None
                            self._children_name_map["table_map"] = "table-map"
                            self._children_yang_names.add("table-map")

                            self.snmp = None
                            self._children_name_map["snmp"] = "snmp"
                            self._children_yang_names.add("snmp")

                            self.distribute_list = YList(self)
                            self.neighbor = YList(self)
                            self.network = YList(self)
                            self._segment_path = lambda: "vpnv6" + "[af-name='" + self.af_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                        class AfName(Enum):
                            """
                            AfName

                            .. data:: unicast = 0

                            .. data:: multicast = 1

                            .. data:: flowspec = 2

                            """

                            unicast = Enum.YLeaf(0, "unicast")

                            multicast = Enum.YLeaf(1, "multicast")

                            flowspec = Enum.YLeaf(2, "flowspec")



                        class Import_(Entity):
                            """
                            Configure path import
                            
                            .. attribute:: path
                            
                            	Path selection and path limit
                            	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Import_.Path>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Import_, self).__init__()

                                self.yang_name = "import"
                                self.yang_parent_name = "vpnv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"path" : ("path", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Import_.Path)}
                                self._child_list_classes = {}

                                self.path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Import_.Path()
                                self.path.parent = self
                                self._children_name_map["path"] = "path"
                                self._children_yang_names.add("path")
                                self._segment_path = lambda: "import"


                            class Path(Entity):
                                """
                                Path selection and path limit
                                
                                .. attribute:: limit
                                
                                	Per net imported path limit
                                	**type**\: int
                                
                                	**range:** 2..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Import_.Path, self).__init__()

                                    self.yang_name = "path"
                                    self.yang_parent_name = "import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint8, "limit")
                                    self._segment_path = lambda: "path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Import_.Path, ['limit'], name, value)


                        class Bgp(Entity):
                            """
                            BGP specific commands
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\: int
                            
                            	**range:** 6..60
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\: bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\: int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\: int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer>`
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup>`
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp>`
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\: int
                            
                            	**range:** 5..60
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\: int
                            
                            	**range:** 1..3600
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "vpnv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Transport)}
                                self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.InjectMap)}

                                self.router_id = YLeaf(YType.str, "router-id")

                                self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                self.scan_time = YLeaf(YType.uint8, "scan-time")

                                self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                self.update_delay = YLeaf(YType.uint16, "update-delay")

                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation()
                                self.asnotation.parent = self
                                self._children_name_map["asnotation"] = "asnotation"
                                self._children_yang_names.add("asnotation")

                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                self._children_yang_names.add("nopeerup-delay")

                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion()
                                self.recursion.parent = self
                                self._children_name_map["recursion"] = "recursion"
                                self._children_yang_names.add("recursion")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath()
                                self.bestpath.parent = self
                                self._children_name_map["bestpath"] = "bestpath"
                                self._children_yang_names.add("bestpath")

                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient()
                                self.client_to_client.parent = self
                                self._children_name_map["client_to_client"] = "client-to-client"
                                self._children_yang_names.add("client-to-client")

                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation()
                                self.confederation.parent = self
                                self._children_name_map["confederation"] = "confederation"
                                self._children_yang_names.add("confederation")

                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self._children_name_map["consistency_checker"] = "consistency-checker"
                                self._children_yang_names.add("consistency-checker")

                                self.dampening = None
                                self._children_name_map["dampening"] = "dampening"
                                self._children_yang_names.add("dampening")

                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.graceful_restart = None
                                self._children_name_map["graceful_restart"] = "graceful-restart"
                                self._children_yang_names.add("graceful-restart")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap()
                                self.route_map.parent = self
                                self._children_name_map["route_map"] = "route-map"
                                self._children_yang_names.add("route-map")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup()
                                self.update_group.parent = self
                                self._children_name_map["update_group"] = "update-group"
                                self._children_yang_names.add("update-group")

                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop()
                                self.nexthop.parent = self
                                self._children_name_map["nexthop"] = "nexthop"
                                self._children_yang_names.add("nexthop")

                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp()
                                self.regexp.parent = self
                                self._children_name_map["regexp"] = "regexp"
                                self._children_yang_names.add("regexp")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.inject_map = YList(self)
                                self._segment_path = lambda: "bgp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                            class Asnotation(Entity):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation, self).__init__()

                                    self.yang_name = "asnotation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dot = YLeaf(YType.empty, "dot")
                                    self._segment_path = lambda: "asnotation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation, ['dot'], name, value)


                            class NopeerupDelay(Entity):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay, self).__init__()

                                    self.yang_name = "nopeerup-delay"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                    self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                    self.post_boot = YLeaf(YType.uint16, "post-boot")

                                    self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                    self._segment_path = lambda: "nopeerup-delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                            class Recursion(Entity):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion, self).__init__()

                                    self.yang_name = "recursion"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.host = YLeaf(YType.empty, "host")
                                    self._segment_path = lambda: "recursion"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion, ['host'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"select" : ("select", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.install = YLeaf(YType.empty, "install")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self._children_name_map["select"] = "select"
                                    self._children_yang_names.add("select")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                class Select(Entity):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select, self).__init__()

                                        self.yang_name = "select"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.best_external = None
                                        self._children_name_map["best_external"] = "best-external"
                                        self._children_yang_names.add("best-external")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "select"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                self.range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                    class Backup(Entity):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best_external = YLeaf(YType.empty, "best-external")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range)}

                                            self.range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                        class Range(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                self.yang_name = "range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                    class BestExternal(Entity):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                            self.yang_name = "best-external"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.backup = YLeaf(YType.empty, "backup")
                                            self._segment_path = lambda: "best-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                            class Bestpath(Entity):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath, self).__init__()

                                    self.yang_name = "bestpath"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med)}
                                    self._child_list_classes = {}

                                    self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self._children_name_map["cost_community"] = "cost-community"
                                    self._children_yang_names.add("cost-community")

                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self._children_name_map["igp_metric"] = "igp-metric"
                                    self._children_yang_names.add("igp-metric")

                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med()
                                    self.med.parent = self
                                    self._children_name_map["med"] = "med"
                                    self._children_yang_names.add("med")
                                    self._segment_path = lambda: "bestpath"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath, ['compare_routerid'], name, value)


                                class CostCommunity(Entity):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity, self).__init__()

                                        self.yang_name = "cost-community"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "cost-community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                class IgpMetric(Entity):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric, self).__init__()

                                        self.yang_name = "igp-metric"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "igp-metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                class Med(Entity):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med, self).__init__()

                                        self.yang_name = "med"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med.Confed)}
                                        self._child_list_classes = {}

                                        self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                        self.confed = None
                                        self._children_name_map["confed"] = "confed"
                                        self._children_yang_names.add("confed")
                                        self._segment_path = lambda: "med"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                    class Confed(Entity):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med.Confed, self).__init__()

                                            self.yang_name = "confed"
                                            self.yang_parent_name = "med"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                            self._segment_path = lambda: "confed"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                            class ClientToClient(Entity):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient, self).__init__()

                                    self.yang_name = "client-to-client"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reflection = YLeaf(YType.empty, "reflection")
                                    self._segment_path = lambda: "client-to-client"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient, ['reflection'], name, value)


                            class Confederation(Entity):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation, self).__init__()

                                    self.yang_name = "confederation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers)}
                                    self._child_list_classes = {}

                                    self.identifier = YLeaf(YType.uint32, "identifier")

                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers()
                                    self.peers.parent = self
                                    self._children_name_map["peers"] = "peers"
                                    self._children_yang_names.add("peers")
                                    self._segment_path = lambda: "confederation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation, ['identifier'], name, value)


                                class Peers(Entity):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\: list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers, self).__init__()

                                        self.yang_name = "peers"
                                        self.yang_parent_name = "confederation"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.peers_as = YLeafList(YType.uint32, "peers-as")
                                        self._segment_path = lambda: "peers"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers, ['peers_as'], name, value)


                            class ConsistencyChecker(Entity):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker, self).__init__()

                                    self.yang_name = "consistency-checker"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.ErrorMessage)}
                                    self._child_list_classes = {}

                                    self.auto_repair = None
                                    self._children_name_map["auto_repair"] = "auto-repair"
                                    self._children_yang_names.add("auto-repair")

                                    self.error_message = None
                                    self._children_name_map["error_message"] = "error-message"
                                    self._children_yang_names.add("error-message")
                                    self._segment_path = lambda: "consistency-checker"


                                class AutoRepair(Entity):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                        self.yang_name = "auto-repair"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "auto-repair"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                class ErrorMessage(Entity):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                        self.yang_name = "error-message"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "error-message"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                            class Dampening(Entity):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\: str
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening, self).__init__()

                                    self.yang_name = "dampening"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self._children_name_map["dampen"] = "dampen"
                                    self._children_yang_names.add("dampen")
                                    self._segment_path = lambda: "dampening"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening, ['route_map'], name, value)


                                class Dampen(Entity):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen, self).__init__()

                                        self.yang_name = "dampen"
                                        self.yang_parent_name = "dampening"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                        self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                        self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                        self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                        self._segment_path = lambda: "dampen"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                            class Default(Entity):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\: bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Default.RouteTarget>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                    self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                    self.local_preference = YLeaf(YType.uint32, "local-preference")

                                    self.route_target = YLeaf(YType.enumeration, "route-target")
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                class RouteTarget(Enum):
                                    """
                                    RouteTarget

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = Enum.YLeaf(0, "filter")



                            class GracefulRestart(Entity):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.GracefulRestart, self).__init__()

                                    self.yang_name = "graceful-restart"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.extended = YLeaf(YType.empty, "extended")

                                    self.restart_time = YLeaf(YType.uint16, "restart-time")

                                    self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                    self._segment_path = lambda: "graceful-restart"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                            class HaMode(Entity):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class Sso(Entity):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.prefer = YLeaf(YType.empty, "prefer")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode.Sso, ['prefer'], name, value)


                            class InjectMap(Entity):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\: str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.InjectMap, self).__init__()

                                    self.yang_name = "inject-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.exist_map = YLeaf(YType.str, "exist-map")

                                    self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                    self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                            class RouteMap(Entity):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority = YLeaf(YType.empty, "priority")
                                    self._segment_path = lambda: "route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap, ['priority'], name, value)


                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class UpdateGroup(Entity):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup, self).__init__()

                                    self.yang_name = "update-group"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"split" : ("split", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split)}
                                    self._child_list_classes = {}

                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split()
                                    self.split.parent = self
                                    self._children_name_map["split"] = "split"
                                    self._children_yang_names.add("split")
                                    self._segment_path = lambda: "update-group"


                                class Split(Entity):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split, self).__init__()

                                        self.yang_name = "split"
                                        self.yang_parent_name = "update-group"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.as_override = YLeaf(YType.empty, "as-override")
                                        self._segment_path = lambda: "split"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                            class Nexthop(Entity):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger>`
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop, self).__init__()

                                    self.yang_name = "nexthop"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger()
                                    self.trigger.parent = self
                                    self._children_name_map["trigger"] = "trigger"
                                    self._children_yang_names.add("trigger")
                                    self._segment_path = lambda: "nexthop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop, ['route_map'], name, value)


                                class Trigger(Entity):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger, self).__init__()

                                        self.yang_name = "trigger"
                                        self.yang_parent_name = "nexthop"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.delay = YLeaf(YType.uint8, "delay")

                                        self.enable = YLeaf(YType.boolean, "enable")
                                        self._segment_path = lambda: "trigger"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                            class Regexp(Entity):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp, self).__init__()

                                    self.yang_name = "regexp"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.deterministic = YLeaf(YType.empty, "deterministic")
                                    self._segment_path = lambda: "regexp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp, ['deterministic'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\: bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Bgp.Transport, ['path_mtu_discovery'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "vpnv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.originate = YLeaf(YType.empty, "originate")
                                self._segment_path = lambda: "default-information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DefaultInformation, ['originate'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.Bgp>`
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "vpnv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.Bgp)}
                                self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance)}

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.adm_distance = YList(self)
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance, [], name, value)


                            class Bgp(Entity):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.extern_as = YLeaf(YType.uint16, "extern-as")

                                    self.internal_as = YLeaf(YType.uint16, "internal-as")

                                    self.local = YLeaf(YType.uint16, "local")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                            class AdmDistance(Entity):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: int
                                
                                			**range:** 1300..1999
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance, self).__init__()

                                    self.yang_name = "adm-distance"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.distance = YLeaf(YType.uint16, "distance")

                                    self.srcip = YLeaf(YType.str, "srcip")

                                    self.wildbits = YLeaf(YType.str, "wildbits")

                                    self.acl = YLeaf(YType.str, "acl")
                                    self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                        class DistributeList(Entity):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 100..199
                            
                            		**type**\: int
                            
                            			**range:** 2000..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList, self).__init__()

                                self.yang_name = "distribute-list"
                                self.yang_parent_name = "vpnv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.In_), "out" : ("out", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.Out)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.in_ = None
                                self._children_name_map["in_"] = "in"
                                self._children_yang_names.add("in")

                                self.out = None
                                self._children_name_map["out"] = "out"
                                self._children_yang_names.add("out")
                                self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList, ['id'], name, value)


                            class In_(Entity):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.In_, self).__init__()

                                    self.yang_name = "in"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.In_, ['interface'], name, value)


                            class Out(Entity):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.Out, self).__init__()

                                    self.yang_name = "out"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "out"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.DistributeList.Out, ['interface'], name, value)


                        class MaximumPaths(Entity):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths, self).__init__()

                                self.yang_name = "maximum-paths"
                                self.yang_parent_name = "vpnv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp)}
                                self._child_list_classes = {}

                                self.eibgp = YLeaf(YType.uint16, "eibgp")

                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath()
                                self.max_path.parent = self
                                self._children_name_map["max_path"] = "max-path"
                                self._children_yang_names.add("max-path")

                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                self._children_yang_names.add("external-rtfilter")

                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self._children_name_map["ibgp"] = "ibgp"
                                self._children_yang_names.add("ibgp")
                                self._segment_path = lambda: "maximum-paths"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths, ['eibgp'], name, value)


                            class MaxPath(Entity):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath, self).__init__()

                                    self.yang_name = "max-path"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "max-path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath, ['max'], name, value)


                            class ExternalRtfilter(Entity):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter, self).__init__()

                                    self.yang_name = "external-rtfilter"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "external-rtfilter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                            class Ibgp(Entity):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp, self).__init__()

                                    self.yang_name = "ibgp"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "ibgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                        class Neighbor(Entity):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\: int
                            
                            	**range:** 0..600
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\: str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Password>`
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute>`
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel>`
                            
                            .. attribute:: soo
                            
                            	ASN\:nn or IP\-address\:nn  VPN extended community
                            	**type**\: str
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SoftReconfiguration>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\: str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\: int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "vpnv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode)}
                                self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap)}

                                self.id = YLeaf(YType.str, "id")

                                self.remote_as = YLeaf(YType.str, "remote-as")

                                self.activate = YLeaf(YType.empty, "activate")

                                self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.description = YLeaf(YType.str, "description")

                                self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                self.soo = YLeaf(YType.str, "soo")

                                self.shutdown = YLeaf(YType.empty, "shutdown")

                                self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                self.version = YLeaf(YType.uint16, "version")

                                self.weight = YLeaf(YType.uint16, "weight")

                                self.peer_group = None
                                self._children_name_map["peer_group"] = "peer-group"
                                self._children_yang_names.add("peer-group")

                                self.local_as = None
                                self._children_name_map["local_as"] = "local-as"
                                self._children_yang_names.add("local-as")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise()
                                self.advertise.parent = self
                                self._children_name_map["advertise"] = "advertise"
                                self._children_yang_names.add("advertise")

                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self._children_name_map["advertise_map"] = "advertise-map"
                                self._children_yang_names.add("advertise-map")

                                self.aigp = None
                                self._children_name_map["aigp"] = "aigp"
                                self._children_yang_names.add("aigp")

                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce()
                                self.announce.parent = self
                                self._children_name_map["announce"] = "announce"
                                self._children_yang_names.add("announce")

                                self.allowas_in = None
                                self._children_name_map["allowas_in"] = "allowas-in"
                                self._children_yang_names.add("allowas-in")

                                self.as_override = None
                                self._children_name_map["as_override"] = "as-override"
                                self._children_yang_names.add("as-override")

                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability()
                                self.capability.parent = self
                                self._children_name_map["capability"] = "capability"
                                self._children_yang_names.add("capability")

                                self.default_originate = None
                                self._children_name_map["default_originate"] = "default-originate"
                                self._children_yang_names.add("default-originate")

                                self.ebgp_multihop = None
                                self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                self._children_yang_names.add("ebgp-multihop")

                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self._children_name_map["fall_over"] = "fall-over"
                                self._children_yang_names.add("fall-over")

                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit()
                                self.inherit.parent = self
                                self._children_name_map["inherit"] = "inherit"
                                self._children_yang_names.add("inherit")

                                self.log_neighbor_changes = None
                                self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                self._children_yang_names.add("log-neighbor-changes")

                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Password()
                                self.password.parent = self
                                self._children_name_map["password"] = "password"
                                self._children_yang_names.add("password")

                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self._children_name_map["path_attribute"] = "path-attribute"
                                self._children_yang_names.add("path-attribute")

                                self.send_community = None
                                self._children_name_map["send_community"] = "send-community"
                                self._children_yang_names.add("send-community")

                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self._children_name_map["send_label"] = "send-label"
                                self._children_yang_names.add("send-label")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers()
                                self.timers.parent = self
                                self._children_name_map["timers"] = "timers"
                                self._children_yang_names.add("timers")

                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self._children_name_map["translate_update"] = "translate-update"
                                self._children_yang_names.add("translate-update")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self._children_name_map["ttl_security"] = "ttl-security"
                                self._children_yang_names.add("ttl-security")

                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self._children_name_map["update_source"] = "update-source"
                                self._children_yang_names.add("update-source")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.distribute_list = YList(self)
                                self.filter_list = YList(self)
                                self.prefix_list = YList(self)
                                self.route_map = YList(self)
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                            class SoftReconfiguration(Enum):
                                """
                                SoftReconfiguration

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = Enum.YLeaf(0, "inbound")



                            class PeerGroup(Entity):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup, self).__init__()

                                    self.yang_name = "peer-group"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                    self._segment_path = lambda: "peer-group"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                            class LocalAs(Entity):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs, self).__init__()

                                    self.yang_name = "local-as"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                    self.replace_as = YLeaf(YType.empty, "replace-as")

                                    self.dual_as = YLeaf(YType.empty, "dual-as")
                                    self._segment_path = lambda: "local-as"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.disable = YLeaf(YType.empty, "disable")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                            class Advertise(Entity):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise, self).__init__()

                                    self.yang_name = "advertise"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath)}
                                    self._child_list_classes = {}

                                    self.best_external = YLeaf(YType.empty, "best-external")

                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self._children_name_map["additional_paths"] = "additional-paths"
                                    self._children_yang_names.add("additional-paths")

                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self
                                    self._children_name_map["diverse_path"] = "diverse-path"
                                    self._children_yang_names.add("diverse-path")
                                    self._segment_path = lambda: "advertise"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise, ['best_external'], name, value)


                                class AdditionalPaths(Entity):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                        self.yang_name = "additional-paths"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "additional-paths"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                self.best_range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                            class BestRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                    self.yang_name = "best-range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                            self.best_range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                        class BestRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                self.yang_name = "best-range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "best-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                class DiversePath(Entity):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath, self).__init__()

                                        self.yang_name = "diverse-path"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup)}
                                        self._child_list_classes = {}

                                        self.mpath = YLeaf(YType.empty, "mpath")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")
                                        self._segment_path = lambda: "diverse-path"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                    class Backup(Entity):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "diverse-path"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.mpath = YLeaf(YType.empty, "mpath")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                            class AdvertiseMap(Entity):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap, self).__init__()

                                    self.yang_name = "advertise-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name)}

                                    self.name = YList(self)
                                    self._segment_path = lambda: "advertise-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "advertise-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.word = YLeaf(YType.str, "word")

                                        self.exist_map = YLeaf(YType.str, "exist-map")

                                        self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                        self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                            class Aigp(Entity):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp, self).__init__()

                                    self.yang_name = "aigp"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send()
                                    self.send.parent = self
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "aigp"


                                class Send(Entity):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "aigp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity)}
                                        self._child_list_classes = {}

                                        self.med = YLeaf(YType.empty, "med")

                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self._children_name_map["cost_community"] = "cost-community"
                                        self._children_yang_names.add("cost-community")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send, ['med'], name, value)


                                    class CostCommunity(Entity):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                            self.yang_name = "cost-community"
                                            self.yang_parent_name = "send"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                            self.cc_range = YList(self)
                                            self._segment_path = lambda: "cost-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                        class CcRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                self.yang_name = "cc-range"
                                                self.yang_parent_name = "cost-community"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self
                                                self._children_name_map["poi"] = "poi"
                                                self._children_yang_names.add("poi")
                                                self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                            class Poi(Entity):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                    self.yang_name = "poi"
                                                    self.yang_parent_name = "cc-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                    self._child_list_classes = {}

                                                    self.igp_cost = None
                                                    self._children_name_map["igp_cost"] = "igp-cost"
                                                    self._children_yang_names.add("igp-cost")

                                                    self.pre_bestpath = None
                                                    self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                    self._children_yang_names.add("pre-bestpath")
                                                    self._segment_path = lambda: "poi"


                                                class IgpCost(Entity):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                        self.yang_name = "igp-cost"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "igp-cost"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                class PreBestpath(Entity):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                        self.yang_name = "pre-bestpath"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "pre-bestpath"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                            class Announce(Entity):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce, self).__init__()

                                    self.yang_name = "announce"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki)}
                                    self._child_list_classes = {}

                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self
                                    self._children_name_map["rpki"] = "rpki"
                                    self._children_yang_names.add("rpki")
                                    self._segment_path = lambda: "announce"


                                class Rpki(Entity):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki, self).__init__()

                                        self.yang_name = "rpki"
                                        self.yang_parent_name = "announce"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.state = YLeaf(YType.empty, "state")
                                        self._segment_path = lambda: "rpki"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki, ['state'], name, value)


                            class AllowasIn(Entity):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn, self).__init__()

                                    self.yang_name = "allowas-in"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_number = YLeaf(YType.uint8, "as-number")
                                    self._segment_path = lambda: "allowas-in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn, ['as_number'], name, value)


                            class AsOverride(Entity):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride, self).__init__()

                                    self.yang_name = "as-override"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "as-override"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride, ['disable'], name, value)


                            class Capability(Entity):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability, self).__init__()

                                    self.yang_name = "capability"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf)}
                                    self._child_list_classes = {}

                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf()
                                    self.orf.parent = self
                                    self._children_name_map["orf"] = "orf"
                                    self._children_yang_names.add("orf")
                                    self._segment_path = lambda: "capability"


                                class Orf(Entity):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf.PrefixList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf, self).__init__()

                                        self.yang_name = "orf"
                                        self.yang_parent_name = "capability"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                        self._segment_path = lambda: "orf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                    class PrefixList(Enum):
                                        """
                                        PrefixList

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = Enum.YLeaf(0, "both")

                                        receive = Enum.YLeaf(1, "receive")

                                        send = Enum.YLeaf(2, "send")



                            class DefaultOriginate(Entity):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate, self).__init__()

                                    self.yang_name = "default-originate"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "default-originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate, ['route_map'], name, value)


                            class DistributeList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList.Inout>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199
                                
                                		**type**\: int
                                
                                			**range:** 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList, self).__init__()

                                    self.yang_name = "distribute-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.accesslist = YLeaf(YType.str, "accesslist")
                                    self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class EbgpMultihop(Entity):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop, self).__init__()

                                    self.yang_name = "ebgp-multihop"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max_hop = YLeaf(YType.uint8, "max-hop")
                                    self._segment_path = lambda: "ebgp-multihop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                            class FallOver(Entity):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver, self).__init__()

                                    self.yang_name = "fall-over"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd)}
                                    self._child_list_classes = {}

                                    self.bfd = None
                                    self._children_name_map["bfd"] = "bfd"
                                    self._children_yang_names.add("bfd")
                                    self._segment_path = lambda: "fall-over"


                                class Bfd(Entity):
                                    """
                                    Use BFD to detect failure
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd, self).__init__()

                                        self.yang_name = "bfd"
                                        self.yang_parent_name = "fall-over"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "bfd"


                            class FilterList(Entity):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList.Inout>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList, self).__init__()

                                    self.yang_name = "filter-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                    self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class Inherit(Entity):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\: str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit, self).__init__()

                                    self.yang_name = "inherit"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_policy = YLeaf(YType.str, "peer-policy")

                                    self.peer_session = YLeaf(YType.str, "peer-session")
                                    self._segment_path = lambda: "inherit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                            class LogNeighborChanges(Entity):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges, self).__init__()

                                    self.yang_name = "log-neighbor-changes"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "log-neighbor-changes"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges, ['disable'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.restart = YLeaf(YType.uint16, "restart")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                            class Password(Entity):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Password, self).__init__()

                                    self.yang_name = "password"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.enctype = YLeaf(YType.uint8, "enctype")

                                    self.text = YLeaf(YType.str, "text")
                                    self._segment_path = lambda: "password"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Password, ['enctype', 'text'], name, value)


                            class PrefixList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList.Inout>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList, self).__init__()

                                    self.yang_name = "prefix-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                    self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class PathAttribute(Entity):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute, self).__init__()

                                    self.yang_name = "path-attribute"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw)}
                                    self._child_list_classes = {}

                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self._children_name_map["discard"] = "discard"
                                    self._children_yang_names.add("discard")

                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self
                                    self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                    self._children_yang_names.add("treat-as-withdraw")
                                    self._segment_path = lambda: "path-attribute"


                                class Discard(Entity):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard, self).__init__()

                                        self.yang_name = "discard"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "discard"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                class TreatAsWithdraw(Entity):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                        self.yang_name = "treat-as-withdraw"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "treat-as-withdraw"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                            class RouteMap(Entity):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap.Inout>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.route_map_name = YLeaf(YType.str, "route-map-name")
                                    self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class SendCommunity(Entity):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity.SendCommunityWhere>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity, self).__init__()

                                    self.yang_name = "send-community"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                    self._segment_path = lambda: "send-community"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                class SendCommunityWhere(Enum):
                                    """
                                    SendCommunityWhere

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = Enum.YLeaf(0, "both")

                                    extended = Enum.YLeaf(1, "extended")

                                    standard = Enum.YLeaf(2, "standard")



                            class SendLabel(Entity):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel.SendLabelExplicit>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel, self).__init__()

                                    self.yang_name = "send-label"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                    self._segment_path = lambda: "send-label"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                class SendLabelExplicit(Enum):
                                    """
                                    SendLabelExplicit

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = Enum.YLeaf(0, "explicit-null")



                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class Timers(Entity):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers, self).__init__()

                                    self.yang_name = "timers"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                    self.holdtime = YLeaf(YType.uint16, "holdtime")

                                    self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                    self._segment_path = lambda: "timers"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                            class TranslateUpdate(Entity):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate, self).__init__()

                                    self.yang_name = "translate-update"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4)}
                                    self._child_list_classes = {}

                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4()
                                    self.ipv4.parent = self
                                    self._children_name_map["ipv4"] = "ipv4"
                                    self._children_yang_names.add("ipv4")
                                    self._segment_path = lambda: "translate-update"


                                class Ipv4(Entity):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "translate-update"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                        self._child_list_classes = {}

                                        self.multicast = None
                                        self._children_name_map["multicast"] = "multicast"
                                        self._children_yang_names.add("multicast")
                                        self._segment_path = lambda: "ipv4"


                                    class Multicast(Entity):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                            self.yang_name = "multicast"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.unicast = YLeaf(YType.empty, "unicast")
                                            self._segment_path = lambda: "multicast"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.ConnectionMode>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery)}
                                    self._child_list_classes = {}

                                    self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                    self.multi_session = YLeaf(YType.empty, "multi-session")

                                    self.path_mtu_discovery = None
                                    self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                    self._children_yang_names.add("path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                class ConnectionMode(Enum):
                                    """
                                    ConnectionMode

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = Enum.YLeaf(0, "active")

                                    passive = Enum.YLeaf(1, "passive")



                                class PathMtuDiscovery(Entity):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                        self.yang_name = "path-mtu-discovery"
                                        self.yang_parent_name = "transport"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "path-mtu-discovery"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                            class TtlSecurity(Entity):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\: int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity, self).__init__()

                                    self.yang_name = "ttl-security"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hops = YLeaf(YType.uint8, "hops")
                                    self._segment_path = lambda: "ttl-security"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity, ['hops'], name, value)


                            class UpdateSource(Entity):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource, self).__init__()

                                    self.yang_name = "update-source"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "update-source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                            class HaMode(Entity):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.graceful_restart = None
                                    self._children_name_map["graceful_restart"] = "graceful-restart"
                                    self._children_yang_names.add("graceful-restart")

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class GracefulRestart(Entity):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart, self).__init__()

                                        self.yang_name = "graceful-restart"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "graceful-restart"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                class Sso(Entity):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso, ['disable'], name, value)


                        class Network(Entity):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "vpnv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.str, "number")

                                self.backdoor = YLeaf(YType.empty, "backdoor")

                                self.mask = YLeaf(YType.str, "mask")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "vpnv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"application" : ("application", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static)}
                                self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf)}

                                self.application = None
                                self._children_name_map["application"] = "application"
                                self._children_yang_names.add("application")

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.dvmrp = None
                                self._children_name_map["dvmrp"] = "dvmrp"
                                self._children_yang_names.add("dvmrp")

                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self._children_name_map["eigrp"] = "eigrp"
                                self._children_yang_names.add("eigrp")

                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis()
                                self.isis.parent = self
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.lisp = None
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.ospf = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute, [], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name)}
                                    self.is_presence_container = True

                                    self.name = YList(self)
                                    self._segment_path = lambda: "application"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "application"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "connected"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected, ['metric', 'route_map'], name, value)


                            class Dvmrp(Entity):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp, self).__init__()

                                    self.yang_name = "dvmrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = YLeaf(YType.uint32, "metric")
                                    self._segment_path = lambda: "dvmrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.uint16, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "eigrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default)}
                                    self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.isis_area = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis, [], name, value)


                                class IsisArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea, self).__init__()

                                        self.yang_name = "isis-area"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                            class Lisp(Entity):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "lisp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default)}
                                    self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.iso_igrp_area = YList(self)
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp, [], name, value)


                                class IsoIgrpArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                        self.yang_name = "iso-igrp-area"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "mobile"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "odr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr, ['metric', 'route_map'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf>`
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf)}
                                    self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf)}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self._children_name_map["non_vrf"] = "non-vrf"
                                    self._children_yang_names.add("non-vrf")

                                    self.vrf = YList(self)
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf, ['id'], name, value)


                                class Vrf(Entity):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf, self).__init__()

                                        self.yang_name = "vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self._segment_path = lambda: "match"


                                class NonVrf(Entity):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf, self).__init__()

                                        self.yang_name = "non-vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match)}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "non-vrf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "non-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.internal = YLeaf(YType.empty, "internal")

                                            self.external = YLeaf(YType.enumeration, "external")

                                            self.external2 = YLeaf(YType.enumeration, "external2")

                                            self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "match"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	User selected string identifying this process
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.name = YLeaf(YType.str, "name")
                                    self._segment_path = lambda: "rip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.clns = None
                                    self._children_name_map["clns"] = "clns"
                                    self._children_yang_names.add("clns")

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "static"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static, ['metric', 'route_map'], name, value)


                                class Clns(Entity):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns, self).__init__()

                                        self.yang_name = "clns"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "clns"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                class Ip(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                        class TableMap(Entity):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\: str
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.TableMap, self).__init__()

                                self.yang_name = "table-map"
                                self.yang_parent_name = "vpnv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.name = YLeaf(YType.str, "name")

                                self.filter = YLeaf(YType.empty, "filter")
                                self._segment_path = lambda: "table-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.TableMap, ['name', 'filter'], name, value)


                        class Snmp(Entity):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp, self).__init__()

                                self.yang_name = "snmp"
                                self.yang_parent_name = "vpnv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"context" : ("context", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context()
                                self.context.parent = self
                                self._children_name_map["context"] = "context"
                                self._children_yang_names.add("context")
                                self._segment_path = lambda: "snmp"


                            class Context(Entity):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context.ContextWord>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context, self).__init__()

                                    self.yang_name = "context"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context.ContextWord)}

                                    self.context_word = YList(self)
                                    self._segment_path = lambda: "context"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context, [], name, value)


                                class ContextWord(Entity):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context.ContextWord, self).__init__()

                                        self.yang_name = "context_word"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.context_word = YLeaf(YType.str, "context_word")
                                        self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Vpnv6.Snmp.Context.ContextWord, ['context_word'], name, value)


                    class Nsap(Entity):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.AfName>`
                        
                        .. attribute:: import_
                        
                        	Configure path import
                        	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Import_>`
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute>`
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\: bool
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.TableMap>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap, self).__init__()

                            self.yang_name = "nsap"
                            self.yang_parent_name = "no-vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Import_), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp), "default-information" : ("default_information", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.TableMap), "snmp" : ("snmp", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp)}
                            self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor), "network" : ("network", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Network)}

                            self.af_name = YLeaf(YType.enumeration, "af-name")

                            self.default_metric = YLeaf(YType.uint32, "default-metric")

                            self.synchronization = YLeaf(YType.empty, "synchronization")

                            self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                            self.import_ = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Import_()
                            self.import_.parent = self
                            self._children_name_map["import_"] = "import"
                            self._children_yang_names.add("import")

                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp()
                            self.bgp.parent = self
                            self._children_name_map["bgp"] = "bgp"
                            self._children_yang_names.add("bgp")

                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths()
                            self.maximum_paths.parent = self
                            self._children_name_map["maximum_paths"] = "maximum-paths"
                            self._children_yang_names.add("maximum-paths")

                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.table_map = None
                            self._children_name_map["table_map"] = "table-map"
                            self._children_yang_names.add("table-map")

                            self.snmp = None
                            self._children_name_map["snmp"] = "snmp"
                            self._children_yang_names.add("snmp")

                            self.distribute_list = YList(self)
                            self.neighbor = YList(self)
                            self.network = YList(self)
                            self._segment_path = lambda: "nsap" + "[af-name='" + self.af_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                        class AfName(Enum):
                            """
                            AfName

                            .. data:: unicast = 0

                            """

                            unicast = Enum.YLeaf(0, "unicast")



                        class Import_(Entity):
                            """
                            Configure path import
                            
                            .. attribute:: path
                            
                            	Path selection and path limit
                            	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Import_.Path>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Import_, self).__init__()

                                self.yang_name = "import"
                                self.yang_parent_name = "nsap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"path" : ("path", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Import_.Path)}
                                self._child_list_classes = {}

                                self.path = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Import_.Path()
                                self.path.parent = self
                                self._children_name_map["path"] = "path"
                                self._children_yang_names.add("path")
                                self._segment_path = lambda: "import"


                            class Path(Entity):
                                """
                                Path selection and path limit
                                
                                .. attribute:: limit
                                
                                	Per net imported path limit
                                	**type**\: int
                                
                                	**range:** 2..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Import_.Path, self).__init__()

                                    self.yang_name = "path"
                                    self.yang_parent_name = "import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint8, "limit")
                                    self._segment_path = lambda: "path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Import_.Path, ['limit'], name, value)


                        class Bgp(Entity):
                            """
                            BGP specific commands
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\: int
                            
                            	**range:** 6..60
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Asnotation>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Recursion>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\: bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\: int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\: int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.RouteMap>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer>`
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup>`
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Nexthop>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Regexp>`
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\: int
                            
                            	**range:** 5..60
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\: int
                            
                            	**range:** 1..3600
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "nsap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Transport)}
                                self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.InjectMap)}

                                self.router_id = YLeaf(YType.str, "router-id")

                                self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                self.scan_time = YLeaf(YType.uint8, "scan-time")

                                self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                self.update_delay = YLeaf(YType.uint16, "update-delay")

                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Asnotation()
                                self.asnotation.parent = self
                                self._children_name_map["asnotation"] = "asnotation"
                                self._children_yang_names.add("asnotation")

                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                self._children_yang_names.add("nopeerup-delay")

                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Recursion()
                                self.recursion.parent = self
                                self._children_name_map["recursion"] = "recursion"
                                self._children_yang_names.add("recursion")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath()
                                self.bestpath.parent = self
                                self._children_name_map["bestpath"] = "bestpath"
                                self._children_yang_names.add("bestpath")

                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient()
                                self.client_to_client.parent = self
                                self._children_name_map["client_to_client"] = "client-to-client"
                                self._children_yang_names.add("client-to-client")

                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Confederation()
                                self.confederation.parent = self
                                self._children_name_map["confederation"] = "confederation"
                                self._children_yang_names.add("confederation")

                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self._children_name_map["consistency_checker"] = "consistency-checker"
                                self._children_yang_names.add("consistency-checker")

                                self.dampening = None
                                self._children_name_map["dampening"] = "dampening"
                                self._children_yang_names.add("dampening")

                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.graceful_restart = None
                                self._children_name_map["graceful_restart"] = "graceful-restart"
                                self._children_yang_names.add("graceful-restart")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.RouteMap()
                                self.route_map.parent = self
                                self._children_name_map["route_map"] = "route-map"
                                self._children_yang_names.add("route-map")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup()
                                self.update_group.parent = self
                                self._children_name_map["update_group"] = "update-group"
                                self._children_yang_names.add("update-group")

                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Nexthop()
                                self.nexthop.parent = self
                                self._children_name_map["nexthop"] = "nexthop"
                                self._children_yang_names.add("nexthop")

                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Regexp()
                                self.regexp.parent = self
                                self._children_name_map["regexp"] = "regexp"
                                self._children_yang_names.add("regexp")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.inject_map = YList(self)
                                self._segment_path = lambda: "bgp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                            class Asnotation(Entity):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Asnotation, self).__init__()

                                    self.yang_name = "asnotation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dot = YLeaf(YType.empty, "dot")
                                    self._segment_path = lambda: "asnotation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Asnotation, ['dot'], name, value)


                            class NopeerupDelay(Entity):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay, self).__init__()

                                    self.yang_name = "nopeerup-delay"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                    self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                    self.post_boot = YLeaf(YType.uint16, "post-boot")

                                    self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                    self._segment_path = lambda: "nopeerup-delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                            class Recursion(Entity):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Recursion, self).__init__()

                                    self.yang_name = "recursion"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.host = YLeaf(YType.empty, "host")
                                    self._segment_path = lambda: "recursion"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Recursion, ['host'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"select" : ("select", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.install = YLeaf(YType.empty, "install")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self._children_name_map["select"] = "select"
                                    self._children_yang_names.add("select")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                class Select(Entity):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select, self).__init__()

                                        self.yang_name = "select"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.best_external = None
                                        self._children_name_map["best_external"] = "best-external"
                                        self._children_yang_names.add("best-external")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "select"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                self.range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                    class Backup(Entity):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best_external = YLeaf(YType.empty, "best-external")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range)}

                                            self.range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                        class Range(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                self.yang_name = "range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                    class BestExternal(Entity):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                            self.yang_name = "best-external"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.backup = YLeaf(YType.empty, "backup")
                                            self._segment_path = lambda: "best-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                            class Bestpath(Entity):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath, self).__init__()

                                    self.yang_name = "bestpath"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med)}
                                    self._child_list_classes = {}

                                    self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self._children_name_map["cost_community"] = "cost-community"
                                    self._children_yang_names.add("cost-community")

                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self._children_name_map["igp_metric"] = "igp-metric"
                                    self._children_yang_names.add("igp-metric")

                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med()
                                    self.med.parent = self
                                    self._children_name_map["med"] = "med"
                                    self._children_yang_names.add("med")
                                    self._segment_path = lambda: "bestpath"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath, ['compare_routerid'], name, value)


                                class CostCommunity(Entity):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity, self).__init__()

                                        self.yang_name = "cost-community"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "cost-community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                class IgpMetric(Entity):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric, self).__init__()

                                        self.yang_name = "igp-metric"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "igp-metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                class Med(Entity):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med, self).__init__()

                                        self.yang_name = "med"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med.Confed)}
                                        self._child_list_classes = {}

                                        self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                        self.confed = None
                                        self._children_name_map["confed"] = "confed"
                                        self._children_yang_names.add("confed")
                                        self._segment_path = lambda: "med"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                    class Confed(Entity):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med.Confed, self).__init__()

                                            self.yang_name = "confed"
                                            self.yang_parent_name = "med"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                            self._segment_path = lambda: "confed"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                            class ClientToClient(Entity):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient, self).__init__()

                                    self.yang_name = "client-to-client"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reflection = YLeaf(YType.empty, "reflection")
                                    self._segment_path = lambda: "client-to-client"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient, ['reflection'], name, value)


                            class Confederation(Entity):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Confederation, self).__init__()

                                    self.yang_name = "confederation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers)}
                                    self._child_list_classes = {}

                                    self.identifier = YLeaf(YType.uint32, "identifier")

                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers()
                                    self.peers.parent = self
                                    self._children_name_map["peers"] = "peers"
                                    self._children_yang_names.add("peers")
                                    self._segment_path = lambda: "confederation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Confederation, ['identifier'], name, value)


                                class Peers(Entity):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\: list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers, self).__init__()

                                        self.yang_name = "peers"
                                        self.yang_parent_name = "confederation"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.peers_as = YLeafList(YType.uint32, "peers-as")
                                        self._segment_path = lambda: "peers"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers, ['peers_as'], name, value)


                            class ConsistencyChecker(Entity):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker, self).__init__()

                                    self.yang_name = "consistency-checker"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.ErrorMessage)}
                                    self._child_list_classes = {}

                                    self.auto_repair = None
                                    self._children_name_map["auto_repair"] = "auto-repair"
                                    self._children_yang_names.add("auto-repair")

                                    self.error_message = None
                                    self._children_name_map["error_message"] = "error-message"
                                    self._children_yang_names.add("error-message")
                                    self._segment_path = lambda: "consistency-checker"


                                class AutoRepair(Entity):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                        self.yang_name = "auto-repair"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "auto-repair"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                class ErrorMessage(Entity):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                        self.yang_name = "error-message"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "error-message"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                            class Dampening(Entity):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\: str
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Dampening, self).__init__()

                                    self.yang_name = "dampening"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self._children_name_map["dampen"] = "dampen"
                                    self._children_yang_names.add("dampen")
                                    self._segment_path = lambda: "dampening"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Dampening, ['route_map'], name, value)


                                class Dampen(Entity):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen, self).__init__()

                                        self.yang_name = "dampen"
                                        self.yang_parent_name = "dampening"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                        self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                        self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                        self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                        self._segment_path = lambda: "dampen"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                            class Default(Entity):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\: bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Default.RouteTarget>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                    self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                    self.local_preference = YLeaf(YType.uint32, "local-preference")

                                    self.route_target = YLeaf(YType.enumeration, "route-target")
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                class RouteTarget(Enum):
                                    """
                                    RouteTarget

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = Enum.YLeaf(0, "filter")



                            class GracefulRestart(Entity):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.GracefulRestart, self).__init__()

                                    self.yang_name = "graceful-restart"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.extended = YLeaf(YType.empty, "extended")

                                    self.restart_time = YLeaf(YType.uint16, "restart-time")

                                    self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                    self._segment_path = lambda: "graceful-restart"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                            class HaMode(Entity):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class Sso(Entity):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.prefer = YLeaf(YType.empty, "prefer")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.HaMode.Sso, ['prefer'], name, value)


                            class InjectMap(Entity):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\: str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.InjectMap, self).__init__()

                                    self.yang_name = "inject-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.exist_map = YLeaf(YType.str, "exist-map")

                                    self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                    self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                            class RouteMap(Entity):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority = YLeaf(YType.empty, "priority")
                                    self._segment_path = lambda: "route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.RouteMap, ['priority'], name, value)


                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class UpdateGroup(Entity):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup, self).__init__()

                                    self.yang_name = "update-group"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"split" : ("split", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split)}
                                    self._child_list_classes = {}

                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split()
                                    self.split.parent = self
                                    self._children_name_map["split"] = "split"
                                    self._children_yang_names.add("split")
                                    self._segment_path = lambda: "update-group"


                                class Split(Entity):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split, self).__init__()

                                        self.yang_name = "split"
                                        self.yang_parent_name = "update-group"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.as_override = YLeaf(YType.empty, "as-override")
                                        self._segment_path = lambda: "split"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                            class Nexthop(Entity):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger>`
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Nexthop, self).__init__()

                                    self.yang_name = "nexthop"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger()
                                    self.trigger.parent = self
                                    self._children_name_map["trigger"] = "trigger"
                                    self._children_yang_names.add("trigger")
                                    self._segment_path = lambda: "nexthop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Nexthop, ['route_map'], name, value)


                                class Trigger(Entity):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger, self).__init__()

                                        self.yang_name = "trigger"
                                        self.yang_parent_name = "nexthop"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.delay = YLeaf(YType.uint8, "delay")

                                        self.enable = YLeaf(YType.boolean, "enable")
                                        self._segment_path = lambda: "trigger"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                            class Regexp(Entity):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Regexp, self).__init__()

                                    self.yang_name = "regexp"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.deterministic = YLeaf(YType.empty, "deterministic")
                                    self._segment_path = lambda: "regexp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Regexp, ['deterministic'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\: bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Bgp.Transport, ['path_mtu_discovery'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "nsap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.originate = YLeaf(YType.empty, "originate")
                                self._segment_path = lambda: "default-information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DefaultInformation, ['originate'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.Bgp>`
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.AdmDistance>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "nsap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.Bgp)}
                                self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.AdmDistance)}

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.adm_distance = YList(self)
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance, [], name, value)


                            class Bgp(Entity):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.extern_as = YLeaf(YType.uint16, "extern-as")

                                    self.internal_as = YLeaf(YType.uint16, "internal-as")

                                    self.local = YLeaf(YType.uint16, "local")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                            class AdmDistance(Entity):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: int
                                
                                			**range:** 1300..1999
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.AdmDistance, self).__init__()

                                    self.yang_name = "adm-distance"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.distance = YLeaf(YType.uint16, "distance")

                                    self.srcip = YLeaf(YType.str, "srcip")

                                    self.wildbits = YLeaf(YType.str, "wildbits")

                                    self.acl = YLeaf(YType.str, "acl")
                                    self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                        class DistributeList(Entity):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 100..199
                            
                            		**type**\: int
                            
                            			**range:** 2000..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList, self).__init__()

                                self.yang_name = "distribute-list"
                                self.yang_parent_name = "nsap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.In_), "out" : ("out", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.Out)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.in_ = None
                                self._children_name_map["in_"] = "in"
                                self._children_yang_names.add("in")

                                self.out = None
                                self._children_name_map["out"] = "out"
                                self._children_yang_names.add("out")
                                self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList, ['id'], name, value)


                            class In_(Entity):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.In_, self).__init__()

                                    self.yang_name = "in"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.In_, ['interface'], name, value)


                            class Out(Entity):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.Out, self).__init__()

                                    self.yang_name = "out"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "out"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.DistributeList.Out, ['interface'], name, value)


                        class MaximumPaths(Entity):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths, self).__init__()

                                self.yang_name = "maximum-paths"
                                self.yang_parent_name = "nsap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp)}
                                self._child_list_classes = {}

                                self.eibgp = YLeaf(YType.uint16, "eibgp")

                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath()
                                self.max_path.parent = self
                                self._children_name_map["max_path"] = "max-path"
                                self._children_yang_names.add("max-path")

                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                self._children_yang_names.add("external-rtfilter")

                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self._children_name_map["ibgp"] = "ibgp"
                                self._children_yang_names.add("ibgp")
                                self._segment_path = lambda: "maximum-paths"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths, ['eibgp'], name, value)


                            class MaxPath(Entity):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath, self).__init__()

                                    self.yang_name = "max-path"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "max-path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath, ['max'], name, value)


                            class ExternalRtfilter(Entity):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter, self).__init__()

                                    self.yang_name = "external-rtfilter"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "external-rtfilter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                            class Ibgp(Entity):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp, self).__init__()

                                    self.yang_name = "ibgp"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "ibgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                        class Neighbor(Entity):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\: int
                            
                            	**range:** 0..600
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\: str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Inherit>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Password>`
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute>`
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel>`
                            
                            .. attribute:: soo
                            
                            	ASN\:nn or IP\-address\:nn  VPN extended community
                            	**type**\: str
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SoftReconfiguration>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\: str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\: int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "nsap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode)}
                                self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap)}

                                self.id = YLeaf(YType.str, "id")

                                self.remote_as = YLeaf(YType.str, "remote-as")

                                self.activate = YLeaf(YType.empty, "activate")

                                self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.description = YLeaf(YType.str, "description")

                                self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                self.soo = YLeaf(YType.str, "soo")

                                self.shutdown = YLeaf(YType.empty, "shutdown")

                                self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                self.version = YLeaf(YType.uint16, "version")

                                self.weight = YLeaf(YType.uint16, "weight")

                                self.peer_group = None
                                self._children_name_map["peer_group"] = "peer-group"
                                self._children_yang_names.add("peer-group")

                                self.local_as = None
                                self._children_name_map["local_as"] = "local-as"
                                self._children_yang_names.add("local-as")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise()
                                self.advertise.parent = self
                                self._children_name_map["advertise"] = "advertise"
                                self._children_yang_names.add("advertise")

                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self._children_name_map["advertise_map"] = "advertise-map"
                                self._children_yang_names.add("advertise-map")

                                self.aigp = None
                                self._children_name_map["aigp"] = "aigp"
                                self._children_yang_names.add("aigp")

                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce()
                                self.announce.parent = self
                                self._children_name_map["announce"] = "announce"
                                self._children_yang_names.add("announce")

                                self.allowas_in = None
                                self._children_name_map["allowas_in"] = "allowas-in"
                                self._children_yang_names.add("allowas-in")

                                self.as_override = None
                                self._children_name_map["as_override"] = "as-override"
                                self._children_yang_names.add("as-override")

                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability()
                                self.capability.parent = self
                                self._children_name_map["capability"] = "capability"
                                self._children_yang_names.add("capability")

                                self.default_originate = None
                                self._children_name_map["default_originate"] = "default-originate"
                                self._children_yang_names.add("default-originate")

                                self.ebgp_multihop = None
                                self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                self._children_yang_names.add("ebgp-multihop")

                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self._children_name_map["fall_over"] = "fall-over"
                                self._children_yang_names.add("fall-over")

                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Inherit()
                                self.inherit.parent = self
                                self._children_name_map["inherit"] = "inherit"
                                self._children_yang_names.add("inherit")

                                self.log_neighbor_changes = None
                                self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                self._children_yang_names.add("log-neighbor-changes")

                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Password()
                                self.password.parent = self
                                self._children_name_map["password"] = "password"
                                self._children_yang_names.add("password")

                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self._children_name_map["path_attribute"] = "path-attribute"
                                self._children_yang_names.add("path-attribute")

                                self.send_community = None
                                self._children_name_map["send_community"] = "send-community"
                                self._children_yang_names.add("send-community")

                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self._children_name_map["send_label"] = "send-label"
                                self._children_yang_names.add("send-label")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Timers()
                                self.timers.parent = self
                                self._children_name_map["timers"] = "timers"
                                self._children_yang_names.add("timers")

                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self._children_name_map["translate_update"] = "translate-update"
                                self._children_yang_names.add("translate-update")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self._children_name_map["ttl_security"] = "ttl-security"
                                self._children_yang_names.add("ttl-security")

                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self._children_name_map["update_source"] = "update-source"
                                self._children_yang_names.add("update-source")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.distribute_list = YList(self)
                                self.filter_list = YList(self)
                                self.prefix_list = YList(self)
                                self.route_map = YList(self)
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                            class SoftReconfiguration(Enum):
                                """
                                SoftReconfiguration

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = Enum.YLeaf(0, "inbound")



                            class PeerGroup(Entity):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup, self).__init__()

                                    self.yang_name = "peer-group"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                    self._segment_path = lambda: "peer-group"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                            class LocalAs(Entity):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs, self).__init__()

                                    self.yang_name = "local-as"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                    self.replace_as = YLeaf(YType.empty, "replace-as")

                                    self.dual_as = YLeaf(YType.empty, "dual-as")
                                    self._segment_path = lambda: "local-as"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.disable = YLeaf(YType.empty, "disable")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                            class Advertise(Entity):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise, self).__init__()

                                    self.yang_name = "advertise"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath)}
                                    self._child_list_classes = {}

                                    self.best_external = YLeaf(YType.empty, "best-external")

                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self._children_name_map["additional_paths"] = "additional-paths"
                                    self._children_yang_names.add("additional-paths")

                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self
                                    self._children_name_map["diverse_path"] = "diverse-path"
                                    self._children_yang_names.add("diverse-path")
                                    self._segment_path = lambda: "advertise"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise, ['best_external'], name, value)


                                class AdditionalPaths(Entity):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                        self.yang_name = "additional-paths"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "additional-paths"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                self.best_range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                            class BestRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                    self.yang_name = "best-range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                            self.best_range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                        class BestRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                self.yang_name = "best-range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "best-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                class DiversePath(Entity):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath, self).__init__()

                                        self.yang_name = "diverse-path"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup)}
                                        self._child_list_classes = {}

                                        self.mpath = YLeaf(YType.empty, "mpath")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")
                                        self._segment_path = lambda: "diverse-path"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                    class Backup(Entity):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "diverse-path"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.mpath = YLeaf(YType.empty, "mpath")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                            class AdvertiseMap(Entity):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap, self).__init__()

                                    self.yang_name = "advertise-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name)}

                                    self.name = YList(self)
                                    self._segment_path = lambda: "advertise-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "advertise-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.word = YLeaf(YType.str, "word")

                                        self.exist_map = YLeaf(YType.str, "exist-map")

                                        self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                        self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                            class Aigp(Entity):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp, self).__init__()

                                    self.yang_name = "aigp"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send()
                                    self.send.parent = self
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "aigp"


                                class Send(Entity):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "aigp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity)}
                                        self._child_list_classes = {}

                                        self.med = YLeaf(YType.empty, "med")

                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self._children_name_map["cost_community"] = "cost-community"
                                        self._children_yang_names.add("cost-community")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send, ['med'], name, value)


                                    class CostCommunity(Entity):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                            self.yang_name = "cost-community"
                                            self.yang_parent_name = "send"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                            self.cc_range = YList(self)
                                            self._segment_path = lambda: "cost-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                        class CcRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                self.yang_name = "cc-range"
                                                self.yang_parent_name = "cost-community"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self
                                                self._children_name_map["poi"] = "poi"
                                                self._children_yang_names.add("poi")
                                                self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                            class Poi(Entity):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                    self.yang_name = "poi"
                                                    self.yang_parent_name = "cc-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                    self._child_list_classes = {}

                                                    self.igp_cost = None
                                                    self._children_name_map["igp_cost"] = "igp-cost"
                                                    self._children_yang_names.add("igp-cost")

                                                    self.pre_bestpath = None
                                                    self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                    self._children_yang_names.add("pre-bestpath")
                                                    self._segment_path = lambda: "poi"


                                                class IgpCost(Entity):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                        self.yang_name = "igp-cost"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "igp-cost"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                class PreBestpath(Entity):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                        self.yang_name = "pre-bestpath"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "pre-bestpath"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                            class Announce(Entity):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce, self).__init__()

                                    self.yang_name = "announce"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki)}
                                    self._child_list_classes = {}

                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self
                                    self._children_name_map["rpki"] = "rpki"
                                    self._children_yang_names.add("rpki")
                                    self._segment_path = lambda: "announce"


                                class Rpki(Entity):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki, self).__init__()

                                        self.yang_name = "rpki"
                                        self.yang_parent_name = "announce"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.state = YLeaf(YType.empty, "state")
                                        self._segment_path = lambda: "rpki"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki, ['state'], name, value)


                            class AllowasIn(Entity):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn, self).__init__()

                                    self.yang_name = "allowas-in"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_number = YLeaf(YType.uint8, "as-number")
                                    self._segment_path = lambda: "allowas-in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn, ['as_number'], name, value)


                            class AsOverride(Entity):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride, self).__init__()

                                    self.yang_name = "as-override"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "as-override"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride, ['disable'], name, value)


                            class Capability(Entity):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability, self).__init__()

                                    self.yang_name = "capability"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf)}
                                    self._child_list_classes = {}

                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf()
                                    self.orf.parent = self
                                    self._children_name_map["orf"] = "orf"
                                    self._children_yang_names.add("orf")
                                    self._segment_path = lambda: "capability"


                                class Orf(Entity):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf.PrefixList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf, self).__init__()

                                        self.yang_name = "orf"
                                        self.yang_parent_name = "capability"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                        self._segment_path = lambda: "orf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                    class PrefixList(Enum):
                                        """
                                        PrefixList

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = Enum.YLeaf(0, "both")

                                        receive = Enum.YLeaf(1, "receive")

                                        send = Enum.YLeaf(2, "send")



                            class DefaultOriginate(Entity):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate, self).__init__()

                                    self.yang_name = "default-originate"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "default-originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate, ['route_map'], name, value)


                            class DistributeList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList.Inout>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199
                                
                                		**type**\: int
                                
                                			**range:** 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList, self).__init__()

                                    self.yang_name = "distribute-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.accesslist = YLeaf(YType.str, "accesslist")
                                    self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class EbgpMultihop(Entity):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop, self).__init__()

                                    self.yang_name = "ebgp-multihop"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max_hop = YLeaf(YType.uint8, "max-hop")
                                    self._segment_path = lambda: "ebgp-multihop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                            class FallOver(Entity):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver, self).__init__()

                                    self.yang_name = "fall-over"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd)}
                                    self._child_list_classes = {}

                                    self.bfd = None
                                    self._children_name_map["bfd"] = "bfd"
                                    self._children_yang_names.add("bfd")
                                    self._segment_path = lambda: "fall-over"


                                class Bfd(Entity):
                                    """
                                    Use BFD to detect failure
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd, self).__init__()

                                        self.yang_name = "bfd"
                                        self.yang_parent_name = "fall-over"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "bfd"


                            class FilterList(Entity):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList.Inout>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList, self).__init__()

                                    self.yang_name = "filter-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                    self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class Inherit(Entity):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\: str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Inherit, self).__init__()

                                    self.yang_name = "inherit"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_policy = YLeaf(YType.str, "peer-policy")

                                    self.peer_session = YLeaf(YType.str, "peer-session")
                                    self._segment_path = lambda: "inherit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                            class LogNeighborChanges(Entity):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges, self).__init__()

                                    self.yang_name = "log-neighbor-changes"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "log-neighbor-changes"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges, ['disable'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.restart = YLeaf(YType.uint16, "restart")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                            class Password(Entity):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Password, self).__init__()

                                    self.yang_name = "password"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.enctype = YLeaf(YType.uint8, "enctype")

                                    self.text = YLeaf(YType.str, "text")
                                    self._segment_path = lambda: "password"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Password, ['enctype', 'text'], name, value)


                            class PrefixList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList.Inout>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList, self).__init__()

                                    self.yang_name = "prefix-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                    self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class PathAttribute(Entity):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute, self).__init__()

                                    self.yang_name = "path-attribute"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw)}
                                    self._child_list_classes = {}

                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self._children_name_map["discard"] = "discard"
                                    self._children_yang_names.add("discard")

                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self
                                    self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                    self._children_yang_names.add("treat-as-withdraw")
                                    self._segment_path = lambda: "path-attribute"


                                class Discard(Entity):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard, self).__init__()

                                        self.yang_name = "discard"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "discard"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                class TreatAsWithdraw(Entity):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                        self.yang_name = "treat-as-withdraw"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "treat-as-withdraw"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                            class RouteMap(Entity):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap.Inout>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.route_map_name = YLeaf(YType.str, "route-map-name")
                                    self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class SendCommunity(Entity):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity.SendCommunityWhere>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity, self).__init__()

                                    self.yang_name = "send-community"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                    self._segment_path = lambda: "send-community"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                class SendCommunityWhere(Enum):
                                    """
                                    SendCommunityWhere

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = Enum.YLeaf(0, "both")

                                    extended = Enum.YLeaf(1, "extended")

                                    standard = Enum.YLeaf(2, "standard")



                            class SendLabel(Entity):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel.SendLabelExplicit>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel, self).__init__()

                                    self.yang_name = "send-label"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                    self._segment_path = lambda: "send-label"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                class SendLabelExplicit(Enum):
                                    """
                                    SendLabelExplicit

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = Enum.YLeaf(0, "explicit-null")



                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class Timers(Entity):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Timers, self).__init__()

                                    self.yang_name = "timers"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                    self.holdtime = YLeaf(YType.uint16, "holdtime")

                                    self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                    self._segment_path = lambda: "timers"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                            class TranslateUpdate(Entity):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate, self).__init__()

                                    self.yang_name = "translate-update"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4)}
                                    self._child_list_classes = {}

                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4()
                                    self.ipv4.parent = self
                                    self._children_name_map["ipv4"] = "ipv4"
                                    self._children_yang_names.add("ipv4")
                                    self._segment_path = lambda: "translate-update"


                                class Ipv4(Entity):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "translate-update"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                        self._child_list_classes = {}

                                        self.multicast = None
                                        self._children_name_map["multicast"] = "multicast"
                                        self._children_yang_names.add("multicast")
                                        self._segment_path = lambda: "ipv4"


                                    class Multicast(Entity):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                            self.yang_name = "multicast"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.unicast = YLeaf(YType.empty, "unicast")
                                            self._segment_path = lambda: "multicast"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.ConnectionMode>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery)}
                                    self._child_list_classes = {}

                                    self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                    self.multi_session = YLeaf(YType.empty, "multi-session")

                                    self.path_mtu_discovery = None
                                    self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                    self._children_yang_names.add("path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                class ConnectionMode(Enum):
                                    """
                                    ConnectionMode

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = Enum.YLeaf(0, "active")

                                    passive = Enum.YLeaf(1, "passive")



                                class PathMtuDiscovery(Entity):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                        self.yang_name = "path-mtu-discovery"
                                        self.yang_parent_name = "transport"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "path-mtu-discovery"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                            class TtlSecurity(Entity):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\: int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity, self).__init__()

                                    self.yang_name = "ttl-security"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hops = YLeaf(YType.uint8, "hops")
                                    self._segment_path = lambda: "ttl-security"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity, ['hops'], name, value)


                            class UpdateSource(Entity):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource, self).__init__()

                                    self.yang_name = "update-source"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "update-source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                            class HaMode(Entity):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.graceful_restart = None
                                    self._children_name_map["graceful_restart"] = "graceful-restart"
                                    self._children_yang_names.add("graceful-restart")

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class GracefulRestart(Entity):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart, self).__init__()

                                        self.yang_name = "graceful-restart"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "graceful-restart"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                class Sso(Entity):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso, ['disable'], name, value)


                        class Network(Entity):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "nsap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.str, "number")

                                self.backdoor = YLeaf(YType.empty, "backdoor")

                                self.mask = YLeaf(YType.str, "mask")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "nsap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"application" : ("application", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static)}
                                self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf)}

                                self.application = None
                                self._children_name_map["application"] = "application"
                                self._children_yang_names.add("application")

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.dvmrp = None
                                self._children_name_map["dvmrp"] = "dvmrp"
                                self._children_yang_names.add("dvmrp")

                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self._children_name_map["eigrp"] = "eigrp"
                                self._children_yang_names.add("eigrp")

                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis()
                                self.isis.parent = self
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.lisp = None
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.ospf = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute, [], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name)}
                                    self.is_presence_container = True

                                    self.name = YList(self)
                                    self._segment_path = lambda: "application"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "application"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "connected"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Connected, ['metric', 'route_map'], name, value)


                            class Dvmrp(Entity):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp, self).__init__()

                                    self.yang_name = "dvmrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = YLeaf(YType.uint32, "metric")
                                    self._segment_path = lambda: "dvmrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.uint16, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "eigrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default)}
                                    self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.isis_area = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis, [], name, value)


                                class IsisArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea, self).__init__()

                                        self.yang_name = "isis-area"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                            class Lisp(Entity):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "lisp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default)}
                                    self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.iso_igrp_area = YList(self)
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp, [], name, value)


                                class IsoIgrpArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                        self.yang_name = "iso-igrp-area"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "mobile"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "odr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Odr, ['metric', 'route_map'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf>`
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf)}
                                    self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf)}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self._children_name_map["non_vrf"] = "non-vrf"
                                    self._children_yang_names.add("non-vrf")

                                    self.vrf = YList(self)
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf, ['id'], name, value)


                                class Vrf(Entity):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf, self).__init__()

                                        self.yang_name = "vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self._segment_path = lambda: "match"


                                class NonVrf(Entity):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf, self).__init__()

                                        self.yang_name = "non-vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match)}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "non-vrf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "non-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.internal = YLeaf(YType.empty, "internal")

                                            self.external = YLeaf(YType.enumeration, "external")

                                            self.external2 = YLeaf(YType.enumeration, "external2")

                                            self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "match"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	User selected string identifying this process
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.name = YLeaf(YType.str, "name")
                                    self._segment_path = lambda: "rip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.clns = None
                                    self._children_name_map["clns"] = "clns"
                                    self._children_yang_names.add("clns")

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "static"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static, ['metric', 'route_map'], name, value)


                                class Clns(Entity):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns, self).__init__()

                                        self.yang_name = "clns"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "clns"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                class Ip(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                        class TableMap(Entity):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\: str
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.TableMap, self).__init__()

                                self.yang_name = "table-map"
                                self.yang_parent_name = "nsap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.name = YLeaf(YType.str, "name")

                                self.filter = YLeaf(YType.empty, "filter")
                                self._segment_path = lambda: "table-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.TableMap, ['name', 'filter'], name, value)


                        class Snmp(Entity):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp, self).__init__()

                                self.yang_name = "snmp"
                                self.yang_parent_name = "nsap"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"context" : ("context", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context()
                                self.context.parent = self
                                self._children_name_map["context"] = "context"
                                self._children_yang_names.add("context")
                                self._segment_path = lambda: "snmp"


                            class Context(Entity):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context.ContextWord>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context, self).__init__()

                                    self.yang_name = "context"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context.ContextWord)}

                                    self.context_word = YList(self)
                                    self._segment_path = lambda: "context"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context, [], name, value)


                                class ContextWord(Entity):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context.ContextWord, self).__init__()

                                        self.yang_name = "context_word"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.context_word = YLeaf(YType.str, "context_word")
                                        self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Nsap.Snmp.Context.ContextWord, ['context_word'], name, value)


                    class L2Vpn(Entity):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.AfName>`
                        
                        .. attribute:: import_
                        
                        	Configure path import
                        	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Import_>`
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute>`
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\: bool
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.TableMap>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn, self).__init__()

                            self.yang_name = "l2vpn"
                            self.yang_parent_name = "no-vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Import_), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp), "default-information" : ("default_information", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.TableMap), "snmp" : ("snmp", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp)}
                            self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor), "network" : ("network", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Network)}

                            self.af_name = YLeaf(YType.enumeration, "af-name")

                            self.default_metric = YLeaf(YType.uint32, "default-metric")

                            self.synchronization = YLeaf(YType.empty, "synchronization")

                            self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                            self.import_ = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Import_()
                            self.import_.parent = self
                            self._children_name_map["import_"] = "import"
                            self._children_yang_names.add("import")

                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp()
                            self.bgp.parent = self
                            self._children_name_map["bgp"] = "bgp"
                            self._children_yang_names.add("bgp")

                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths()
                            self.maximum_paths.parent = self
                            self._children_name_map["maximum_paths"] = "maximum-paths"
                            self._children_yang_names.add("maximum-paths")

                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.table_map = None
                            self._children_name_map["table_map"] = "table-map"
                            self._children_yang_names.add("table-map")

                            self.snmp = None
                            self._children_name_map["snmp"] = "snmp"
                            self._children_yang_names.add("snmp")

                            self.distribute_list = YList(self)
                            self.neighbor = YList(self)
                            self.network = YList(self)
                            self._segment_path = lambda: "l2vpn" + "[af-name='" + self.af_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                        class AfName(Enum):
                            """
                            AfName

                            .. data:: evpn = 0

                            .. data:: vpls = 1

                            """

                            evpn = Enum.YLeaf(0, "evpn")

                            vpls = Enum.YLeaf(1, "vpls")



                        class Import_(Entity):
                            """
                            Configure path import
                            
                            .. attribute:: path
                            
                            	Path selection and path limit
                            	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Import_.Path>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Import_, self).__init__()

                                self.yang_name = "import"
                                self.yang_parent_name = "l2vpn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"path" : ("path", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Import_.Path)}
                                self._child_list_classes = {}

                                self.path = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Import_.Path()
                                self.path.parent = self
                                self._children_name_map["path"] = "path"
                                self._children_yang_names.add("path")
                                self._segment_path = lambda: "import"


                            class Path(Entity):
                                """
                                Path selection and path limit
                                
                                .. attribute:: limit
                                
                                	Per net imported path limit
                                	**type**\: int
                                
                                	**range:** 2..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Import_.Path, self).__init__()

                                    self.yang_name = "path"
                                    self.yang_parent_name = "import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint8, "limit")
                                    self._segment_path = lambda: "path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Import_.Path, ['limit'], name, value)


                        class Bgp(Entity):
                            """
                            BGP specific commands
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\: int
                            
                            	**range:** 6..60
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\: bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\: int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\: int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer>`
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup>`
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp>`
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\: int
                            
                            	**range:** 5..60
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\: int
                            
                            	**range:** 1..3600
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "l2vpn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Transport)}
                                self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.InjectMap)}

                                self.router_id = YLeaf(YType.str, "router-id")

                                self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                self.scan_time = YLeaf(YType.uint8, "scan-time")

                                self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                self.update_delay = YLeaf(YType.uint16, "update-delay")

                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation()
                                self.asnotation.parent = self
                                self._children_name_map["asnotation"] = "asnotation"
                                self._children_yang_names.add("asnotation")

                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                self._children_yang_names.add("nopeerup-delay")

                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion()
                                self.recursion.parent = self
                                self._children_name_map["recursion"] = "recursion"
                                self._children_yang_names.add("recursion")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath()
                                self.bestpath.parent = self
                                self._children_name_map["bestpath"] = "bestpath"
                                self._children_yang_names.add("bestpath")

                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient()
                                self.client_to_client.parent = self
                                self._children_name_map["client_to_client"] = "client-to-client"
                                self._children_yang_names.add("client-to-client")

                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation()
                                self.confederation.parent = self
                                self._children_name_map["confederation"] = "confederation"
                                self._children_yang_names.add("confederation")

                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self._children_name_map["consistency_checker"] = "consistency-checker"
                                self._children_yang_names.add("consistency-checker")

                                self.dampening = None
                                self._children_name_map["dampening"] = "dampening"
                                self._children_yang_names.add("dampening")

                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.graceful_restart = None
                                self._children_name_map["graceful_restart"] = "graceful-restart"
                                self._children_yang_names.add("graceful-restart")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap()
                                self.route_map.parent = self
                                self._children_name_map["route_map"] = "route-map"
                                self._children_yang_names.add("route-map")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup()
                                self.update_group.parent = self
                                self._children_name_map["update_group"] = "update-group"
                                self._children_yang_names.add("update-group")

                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop()
                                self.nexthop.parent = self
                                self._children_name_map["nexthop"] = "nexthop"
                                self._children_yang_names.add("nexthop")

                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp()
                                self.regexp.parent = self
                                self._children_name_map["regexp"] = "regexp"
                                self._children_yang_names.add("regexp")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.inject_map = YList(self)
                                self._segment_path = lambda: "bgp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                            class Asnotation(Entity):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation, self).__init__()

                                    self.yang_name = "asnotation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dot = YLeaf(YType.empty, "dot")
                                    self._segment_path = lambda: "asnotation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation, ['dot'], name, value)


                            class NopeerupDelay(Entity):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay, self).__init__()

                                    self.yang_name = "nopeerup-delay"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                    self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                    self.post_boot = YLeaf(YType.uint16, "post-boot")

                                    self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                    self._segment_path = lambda: "nopeerup-delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                            class Recursion(Entity):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion, self).__init__()

                                    self.yang_name = "recursion"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.host = YLeaf(YType.empty, "host")
                                    self._segment_path = lambda: "recursion"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion, ['host'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"select" : ("select", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.install = YLeaf(YType.empty, "install")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self._children_name_map["select"] = "select"
                                    self._children_yang_names.add("select")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                class Select(Entity):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select, self).__init__()

                                        self.yang_name = "select"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.best_external = None
                                        self._children_name_map["best_external"] = "best-external"
                                        self._children_yang_names.add("best-external")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "select"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                self.range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                    class Backup(Entity):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best_external = YLeaf(YType.empty, "best-external")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range)}

                                            self.range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                        class Range(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                self.yang_name = "range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                    class BestExternal(Entity):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                            self.yang_name = "best-external"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.backup = YLeaf(YType.empty, "backup")
                                            self._segment_path = lambda: "best-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                            class Bestpath(Entity):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath, self).__init__()

                                    self.yang_name = "bestpath"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med)}
                                    self._child_list_classes = {}

                                    self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self._children_name_map["cost_community"] = "cost-community"
                                    self._children_yang_names.add("cost-community")

                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self._children_name_map["igp_metric"] = "igp-metric"
                                    self._children_yang_names.add("igp-metric")

                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med()
                                    self.med.parent = self
                                    self._children_name_map["med"] = "med"
                                    self._children_yang_names.add("med")
                                    self._segment_path = lambda: "bestpath"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath, ['compare_routerid'], name, value)


                                class CostCommunity(Entity):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity, self).__init__()

                                        self.yang_name = "cost-community"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "cost-community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                class IgpMetric(Entity):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric, self).__init__()

                                        self.yang_name = "igp-metric"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "igp-metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                class Med(Entity):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med, self).__init__()

                                        self.yang_name = "med"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med.Confed)}
                                        self._child_list_classes = {}

                                        self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                        self.confed = None
                                        self._children_name_map["confed"] = "confed"
                                        self._children_yang_names.add("confed")
                                        self._segment_path = lambda: "med"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                    class Confed(Entity):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med.Confed, self).__init__()

                                            self.yang_name = "confed"
                                            self.yang_parent_name = "med"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                            self._segment_path = lambda: "confed"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                            class ClientToClient(Entity):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient, self).__init__()

                                    self.yang_name = "client-to-client"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reflection = YLeaf(YType.empty, "reflection")
                                    self._segment_path = lambda: "client-to-client"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient, ['reflection'], name, value)


                            class Confederation(Entity):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation, self).__init__()

                                    self.yang_name = "confederation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers)}
                                    self._child_list_classes = {}

                                    self.identifier = YLeaf(YType.uint32, "identifier")

                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers()
                                    self.peers.parent = self
                                    self._children_name_map["peers"] = "peers"
                                    self._children_yang_names.add("peers")
                                    self._segment_path = lambda: "confederation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation, ['identifier'], name, value)


                                class Peers(Entity):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\: list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers, self).__init__()

                                        self.yang_name = "peers"
                                        self.yang_parent_name = "confederation"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.peers_as = YLeafList(YType.uint32, "peers-as")
                                        self._segment_path = lambda: "peers"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers, ['peers_as'], name, value)


                            class ConsistencyChecker(Entity):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker, self).__init__()

                                    self.yang_name = "consistency-checker"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.ErrorMessage)}
                                    self._child_list_classes = {}

                                    self.auto_repair = None
                                    self._children_name_map["auto_repair"] = "auto-repair"
                                    self._children_yang_names.add("auto-repair")

                                    self.error_message = None
                                    self._children_name_map["error_message"] = "error-message"
                                    self._children_yang_names.add("error-message")
                                    self._segment_path = lambda: "consistency-checker"


                                class AutoRepair(Entity):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                        self.yang_name = "auto-repair"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "auto-repair"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                class ErrorMessage(Entity):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                        self.yang_name = "error-message"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "error-message"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                            class Dampening(Entity):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\: str
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening, self).__init__()

                                    self.yang_name = "dampening"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self._children_name_map["dampen"] = "dampen"
                                    self._children_yang_names.add("dampen")
                                    self._segment_path = lambda: "dampening"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening, ['route_map'], name, value)


                                class Dampen(Entity):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen, self).__init__()

                                        self.yang_name = "dampen"
                                        self.yang_parent_name = "dampening"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                        self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                        self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                        self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                        self._segment_path = lambda: "dampen"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                            class Default(Entity):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\: bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Default.RouteTarget>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                    self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                    self.local_preference = YLeaf(YType.uint32, "local-preference")

                                    self.route_target = YLeaf(YType.enumeration, "route-target")
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                class RouteTarget(Enum):
                                    """
                                    RouteTarget

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = Enum.YLeaf(0, "filter")



                            class GracefulRestart(Entity):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.GracefulRestart, self).__init__()

                                    self.yang_name = "graceful-restart"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.extended = YLeaf(YType.empty, "extended")

                                    self.restart_time = YLeaf(YType.uint16, "restart-time")

                                    self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                    self._segment_path = lambda: "graceful-restart"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                            class HaMode(Entity):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class Sso(Entity):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.prefer = YLeaf(YType.empty, "prefer")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode.Sso, ['prefer'], name, value)


                            class InjectMap(Entity):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\: str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.InjectMap, self).__init__()

                                    self.yang_name = "inject-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.exist_map = YLeaf(YType.str, "exist-map")

                                    self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                    self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                            class RouteMap(Entity):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority = YLeaf(YType.empty, "priority")
                                    self._segment_path = lambda: "route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap, ['priority'], name, value)


                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class UpdateGroup(Entity):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup, self).__init__()

                                    self.yang_name = "update-group"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"split" : ("split", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split)}
                                    self._child_list_classes = {}

                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split()
                                    self.split.parent = self
                                    self._children_name_map["split"] = "split"
                                    self._children_yang_names.add("split")
                                    self._segment_path = lambda: "update-group"


                                class Split(Entity):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split, self).__init__()

                                        self.yang_name = "split"
                                        self.yang_parent_name = "update-group"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.as_override = YLeaf(YType.empty, "as-override")
                                        self._segment_path = lambda: "split"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                            class Nexthop(Entity):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger>`
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop, self).__init__()

                                    self.yang_name = "nexthop"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger()
                                    self.trigger.parent = self
                                    self._children_name_map["trigger"] = "trigger"
                                    self._children_yang_names.add("trigger")
                                    self._segment_path = lambda: "nexthop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop, ['route_map'], name, value)


                                class Trigger(Entity):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger, self).__init__()

                                        self.yang_name = "trigger"
                                        self.yang_parent_name = "nexthop"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.delay = YLeaf(YType.uint8, "delay")

                                        self.enable = YLeaf(YType.boolean, "enable")
                                        self._segment_path = lambda: "trigger"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                            class Regexp(Entity):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp, self).__init__()

                                    self.yang_name = "regexp"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.deterministic = YLeaf(YType.empty, "deterministic")
                                    self._segment_path = lambda: "regexp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp, ['deterministic'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\: bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Bgp.Transport, ['path_mtu_discovery'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "l2vpn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.originate = YLeaf(YType.empty, "originate")
                                self._segment_path = lambda: "default-information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DefaultInformation, ['originate'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.Bgp>`
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "l2vpn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.Bgp)}
                                self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance)}

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.adm_distance = YList(self)
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance, [], name, value)


                            class Bgp(Entity):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.extern_as = YLeaf(YType.uint16, "extern-as")

                                    self.internal_as = YLeaf(YType.uint16, "internal-as")

                                    self.local = YLeaf(YType.uint16, "local")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                            class AdmDistance(Entity):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: int
                                
                                			**range:** 1300..1999
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance, self).__init__()

                                    self.yang_name = "adm-distance"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.distance = YLeaf(YType.uint16, "distance")

                                    self.srcip = YLeaf(YType.str, "srcip")

                                    self.wildbits = YLeaf(YType.str, "wildbits")

                                    self.acl = YLeaf(YType.str, "acl")
                                    self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                        class DistributeList(Entity):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 100..199
                            
                            		**type**\: int
                            
                            			**range:** 2000..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList, self).__init__()

                                self.yang_name = "distribute-list"
                                self.yang_parent_name = "l2vpn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.In_), "out" : ("out", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.Out)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.in_ = None
                                self._children_name_map["in_"] = "in"
                                self._children_yang_names.add("in")

                                self.out = None
                                self._children_name_map["out"] = "out"
                                self._children_yang_names.add("out")
                                self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList, ['id'], name, value)


                            class In_(Entity):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.In_, self).__init__()

                                    self.yang_name = "in"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.In_, ['interface'], name, value)


                            class Out(Entity):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.Out, self).__init__()

                                    self.yang_name = "out"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "out"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.DistributeList.Out, ['interface'], name, value)


                        class MaximumPaths(Entity):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths, self).__init__()

                                self.yang_name = "maximum-paths"
                                self.yang_parent_name = "l2vpn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp)}
                                self._child_list_classes = {}

                                self.eibgp = YLeaf(YType.uint16, "eibgp")

                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath()
                                self.max_path.parent = self
                                self._children_name_map["max_path"] = "max-path"
                                self._children_yang_names.add("max-path")

                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                self._children_yang_names.add("external-rtfilter")

                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self._children_name_map["ibgp"] = "ibgp"
                                self._children_yang_names.add("ibgp")
                                self._segment_path = lambda: "maximum-paths"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths, ['eibgp'], name, value)


                            class MaxPath(Entity):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath, self).__init__()

                                    self.yang_name = "max-path"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "max-path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath, ['max'], name, value)


                            class ExternalRtfilter(Entity):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter, self).__init__()

                                    self.yang_name = "external-rtfilter"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "external-rtfilter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                            class Ibgp(Entity):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp, self).__init__()

                                    self.yang_name = "ibgp"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "ibgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                        class Neighbor(Entity):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\: int
                            
                            	**range:** 0..600
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\: str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Password>`
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute>`
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel>`
                            
                            .. attribute:: soo
                            
                            	ASN\:nn or IP\-address\:nn  VPN extended community
                            	**type**\: str
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SoftReconfiguration>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\: str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\: int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "l2vpn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode)}
                                self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap)}

                                self.id = YLeaf(YType.str, "id")

                                self.remote_as = YLeaf(YType.str, "remote-as")

                                self.activate = YLeaf(YType.empty, "activate")

                                self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.description = YLeaf(YType.str, "description")

                                self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                self.soo = YLeaf(YType.str, "soo")

                                self.shutdown = YLeaf(YType.empty, "shutdown")

                                self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                self.version = YLeaf(YType.uint16, "version")

                                self.weight = YLeaf(YType.uint16, "weight")

                                self.peer_group = None
                                self._children_name_map["peer_group"] = "peer-group"
                                self._children_yang_names.add("peer-group")

                                self.local_as = None
                                self._children_name_map["local_as"] = "local-as"
                                self._children_yang_names.add("local-as")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise()
                                self.advertise.parent = self
                                self._children_name_map["advertise"] = "advertise"
                                self._children_yang_names.add("advertise")

                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self._children_name_map["advertise_map"] = "advertise-map"
                                self._children_yang_names.add("advertise-map")

                                self.aigp = None
                                self._children_name_map["aigp"] = "aigp"
                                self._children_yang_names.add("aigp")

                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce()
                                self.announce.parent = self
                                self._children_name_map["announce"] = "announce"
                                self._children_yang_names.add("announce")

                                self.allowas_in = None
                                self._children_name_map["allowas_in"] = "allowas-in"
                                self._children_yang_names.add("allowas-in")

                                self.as_override = None
                                self._children_name_map["as_override"] = "as-override"
                                self._children_yang_names.add("as-override")

                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability()
                                self.capability.parent = self
                                self._children_name_map["capability"] = "capability"
                                self._children_yang_names.add("capability")

                                self.default_originate = None
                                self._children_name_map["default_originate"] = "default-originate"
                                self._children_yang_names.add("default-originate")

                                self.ebgp_multihop = None
                                self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                self._children_yang_names.add("ebgp-multihop")

                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self._children_name_map["fall_over"] = "fall-over"
                                self._children_yang_names.add("fall-over")

                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit()
                                self.inherit.parent = self
                                self._children_name_map["inherit"] = "inherit"
                                self._children_yang_names.add("inherit")

                                self.log_neighbor_changes = None
                                self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                self._children_yang_names.add("log-neighbor-changes")

                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Password()
                                self.password.parent = self
                                self._children_name_map["password"] = "password"
                                self._children_yang_names.add("password")

                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self._children_name_map["path_attribute"] = "path-attribute"
                                self._children_yang_names.add("path-attribute")

                                self.send_community = None
                                self._children_name_map["send_community"] = "send-community"
                                self._children_yang_names.add("send-community")

                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self._children_name_map["send_label"] = "send-label"
                                self._children_yang_names.add("send-label")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers()
                                self.timers.parent = self
                                self._children_name_map["timers"] = "timers"
                                self._children_yang_names.add("timers")

                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self._children_name_map["translate_update"] = "translate-update"
                                self._children_yang_names.add("translate-update")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self._children_name_map["ttl_security"] = "ttl-security"
                                self._children_yang_names.add("ttl-security")

                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self._children_name_map["update_source"] = "update-source"
                                self._children_yang_names.add("update-source")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.distribute_list = YList(self)
                                self.filter_list = YList(self)
                                self.prefix_list = YList(self)
                                self.route_map = YList(self)
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                            class SoftReconfiguration(Enum):
                                """
                                SoftReconfiguration

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = Enum.YLeaf(0, "inbound")



                            class PeerGroup(Entity):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup, self).__init__()

                                    self.yang_name = "peer-group"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                    self._segment_path = lambda: "peer-group"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                            class LocalAs(Entity):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs, self).__init__()

                                    self.yang_name = "local-as"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                    self.replace_as = YLeaf(YType.empty, "replace-as")

                                    self.dual_as = YLeaf(YType.empty, "dual-as")
                                    self._segment_path = lambda: "local-as"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.disable = YLeaf(YType.empty, "disable")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                            class Advertise(Entity):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise, self).__init__()

                                    self.yang_name = "advertise"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath)}
                                    self._child_list_classes = {}

                                    self.best_external = YLeaf(YType.empty, "best-external")

                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self._children_name_map["additional_paths"] = "additional-paths"
                                    self._children_yang_names.add("additional-paths")

                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self
                                    self._children_name_map["diverse_path"] = "diverse-path"
                                    self._children_yang_names.add("diverse-path")
                                    self._segment_path = lambda: "advertise"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise, ['best_external'], name, value)


                                class AdditionalPaths(Entity):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                        self.yang_name = "additional-paths"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "additional-paths"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                self.best_range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                            class BestRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                    self.yang_name = "best-range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                            self.best_range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                        class BestRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                self.yang_name = "best-range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "best-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                class DiversePath(Entity):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath, self).__init__()

                                        self.yang_name = "diverse-path"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup)}
                                        self._child_list_classes = {}

                                        self.mpath = YLeaf(YType.empty, "mpath")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")
                                        self._segment_path = lambda: "diverse-path"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                    class Backup(Entity):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "diverse-path"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.mpath = YLeaf(YType.empty, "mpath")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                            class AdvertiseMap(Entity):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap, self).__init__()

                                    self.yang_name = "advertise-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name)}

                                    self.name = YList(self)
                                    self._segment_path = lambda: "advertise-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "advertise-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.word = YLeaf(YType.str, "word")

                                        self.exist_map = YLeaf(YType.str, "exist-map")

                                        self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                        self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                            class Aigp(Entity):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp, self).__init__()

                                    self.yang_name = "aigp"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send()
                                    self.send.parent = self
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "aigp"


                                class Send(Entity):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "aigp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity)}
                                        self._child_list_classes = {}

                                        self.med = YLeaf(YType.empty, "med")

                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self._children_name_map["cost_community"] = "cost-community"
                                        self._children_yang_names.add("cost-community")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send, ['med'], name, value)


                                    class CostCommunity(Entity):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                            self.yang_name = "cost-community"
                                            self.yang_parent_name = "send"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                            self.cc_range = YList(self)
                                            self._segment_path = lambda: "cost-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                        class CcRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                self.yang_name = "cc-range"
                                                self.yang_parent_name = "cost-community"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self
                                                self._children_name_map["poi"] = "poi"
                                                self._children_yang_names.add("poi")
                                                self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                            class Poi(Entity):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                    self.yang_name = "poi"
                                                    self.yang_parent_name = "cc-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                    self._child_list_classes = {}

                                                    self.igp_cost = None
                                                    self._children_name_map["igp_cost"] = "igp-cost"
                                                    self._children_yang_names.add("igp-cost")

                                                    self.pre_bestpath = None
                                                    self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                    self._children_yang_names.add("pre-bestpath")
                                                    self._segment_path = lambda: "poi"


                                                class IgpCost(Entity):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                        self.yang_name = "igp-cost"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "igp-cost"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                class PreBestpath(Entity):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                        self.yang_name = "pre-bestpath"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "pre-bestpath"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                            class Announce(Entity):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce, self).__init__()

                                    self.yang_name = "announce"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki)}
                                    self._child_list_classes = {}

                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self
                                    self._children_name_map["rpki"] = "rpki"
                                    self._children_yang_names.add("rpki")
                                    self._segment_path = lambda: "announce"


                                class Rpki(Entity):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki, self).__init__()

                                        self.yang_name = "rpki"
                                        self.yang_parent_name = "announce"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.state = YLeaf(YType.empty, "state")
                                        self._segment_path = lambda: "rpki"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki, ['state'], name, value)


                            class AllowasIn(Entity):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn, self).__init__()

                                    self.yang_name = "allowas-in"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_number = YLeaf(YType.uint8, "as-number")
                                    self._segment_path = lambda: "allowas-in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn, ['as_number'], name, value)


                            class AsOverride(Entity):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride, self).__init__()

                                    self.yang_name = "as-override"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "as-override"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride, ['disable'], name, value)


                            class Capability(Entity):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability, self).__init__()

                                    self.yang_name = "capability"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf)}
                                    self._child_list_classes = {}

                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf()
                                    self.orf.parent = self
                                    self._children_name_map["orf"] = "orf"
                                    self._children_yang_names.add("orf")
                                    self._segment_path = lambda: "capability"


                                class Orf(Entity):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf.PrefixList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf, self).__init__()

                                        self.yang_name = "orf"
                                        self.yang_parent_name = "capability"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                        self._segment_path = lambda: "orf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                    class PrefixList(Enum):
                                        """
                                        PrefixList

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = Enum.YLeaf(0, "both")

                                        receive = Enum.YLeaf(1, "receive")

                                        send = Enum.YLeaf(2, "send")



                            class DefaultOriginate(Entity):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate, self).__init__()

                                    self.yang_name = "default-originate"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "default-originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate, ['route_map'], name, value)


                            class DistributeList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList.Inout>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199
                                
                                		**type**\: int
                                
                                			**range:** 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList, self).__init__()

                                    self.yang_name = "distribute-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.accesslist = YLeaf(YType.str, "accesslist")
                                    self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class EbgpMultihop(Entity):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop, self).__init__()

                                    self.yang_name = "ebgp-multihop"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max_hop = YLeaf(YType.uint8, "max-hop")
                                    self._segment_path = lambda: "ebgp-multihop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                            class FallOver(Entity):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver, self).__init__()

                                    self.yang_name = "fall-over"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd)}
                                    self._child_list_classes = {}

                                    self.bfd = None
                                    self._children_name_map["bfd"] = "bfd"
                                    self._children_yang_names.add("bfd")
                                    self._segment_path = lambda: "fall-over"


                                class Bfd(Entity):
                                    """
                                    Use BFD to detect failure
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd, self).__init__()

                                        self.yang_name = "bfd"
                                        self.yang_parent_name = "fall-over"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "bfd"


                            class FilterList(Entity):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList.Inout>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList, self).__init__()

                                    self.yang_name = "filter-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                    self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class Inherit(Entity):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\: str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit, self).__init__()

                                    self.yang_name = "inherit"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_policy = YLeaf(YType.str, "peer-policy")

                                    self.peer_session = YLeaf(YType.str, "peer-session")
                                    self._segment_path = lambda: "inherit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                            class LogNeighborChanges(Entity):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges, self).__init__()

                                    self.yang_name = "log-neighbor-changes"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "log-neighbor-changes"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges, ['disable'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.restart = YLeaf(YType.uint16, "restart")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                            class Password(Entity):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Password, self).__init__()

                                    self.yang_name = "password"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.enctype = YLeaf(YType.uint8, "enctype")

                                    self.text = YLeaf(YType.str, "text")
                                    self._segment_path = lambda: "password"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Password, ['enctype', 'text'], name, value)


                            class PrefixList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList.Inout>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList, self).__init__()

                                    self.yang_name = "prefix-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                    self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class PathAttribute(Entity):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute, self).__init__()

                                    self.yang_name = "path-attribute"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw)}
                                    self._child_list_classes = {}

                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self._children_name_map["discard"] = "discard"
                                    self._children_yang_names.add("discard")

                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self
                                    self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                    self._children_yang_names.add("treat-as-withdraw")
                                    self._segment_path = lambda: "path-attribute"


                                class Discard(Entity):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard, self).__init__()

                                        self.yang_name = "discard"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "discard"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                class TreatAsWithdraw(Entity):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                        self.yang_name = "treat-as-withdraw"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "treat-as-withdraw"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                            class RouteMap(Entity):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap.Inout>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.route_map_name = YLeaf(YType.str, "route-map-name")
                                    self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class SendCommunity(Entity):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity.SendCommunityWhere>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity, self).__init__()

                                    self.yang_name = "send-community"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                    self._segment_path = lambda: "send-community"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                class SendCommunityWhere(Enum):
                                    """
                                    SendCommunityWhere

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = Enum.YLeaf(0, "both")

                                    extended = Enum.YLeaf(1, "extended")

                                    standard = Enum.YLeaf(2, "standard")



                            class SendLabel(Entity):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel.SendLabelExplicit>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel, self).__init__()

                                    self.yang_name = "send-label"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                    self._segment_path = lambda: "send-label"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                class SendLabelExplicit(Enum):
                                    """
                                    SendLabelExplicit

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = Enum.YLeaf(0, "explicit-null")



                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class Timers(Entity):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers, self).__init__()

                                    self.yang_name = "timers"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                    self.holdtime = YLeaf(YType.uint16, "holdtime")

                                    self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                    self._segment_path = lambda: "timers"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                            class TranslateUpdate(Entity):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate, self).__init__()

                                    self.yang_name = "translate-update"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4)}
                                    self._child_list_classes = {}

                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4()
                                    self.ipv4.parent = self
                                    self._children_name_map["ipv4"] = "ipv4"
                                    self._children_yang_names.add("ipv4")
                                    self._segment_path = lambda: "translate-update"


                                class Ipv4(Entity):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "translate-update"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                        self._child_list_classes = {}

                                        self.multicast = None
                                        self._children_name_map["multicast"] = "multicast"
                                        self._children_yang_names.add("multicast")
                                        self._segment_path = lambda: "ipv4"


                                    class Multicast(Entity):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                            self.yang_name = "multicast"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.unicast = YLeaf(YType.empty, "unicast")
                                            self._segment_path = lambda: "multicast"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.ConnectionMode>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery)}
                                    self._child_list_classes = {}

                                    self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                    self.multi_session = YLeaf(YType.empty, "multi-session")

                                    self.path_mtu_discovery = None
                                    self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                    self._children_yang_names.add("path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                class ConnectionMode(Enum):
                                    """
                                    ConnectionMode

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = Enum.YLeaf(0, "active")

                                    passive = Enum.YLeaf(1, "passive")



                                class PathMtuDiscovery(Entity):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                        self.yang_name = "path-mtu-discovery"
                                        self.yang_parent_name = "transport"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "path-mtu-discovery"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                            class TtlSecurity(Entity):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\: int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity, self).__init__()

                                    self.yang_name = "ttl-security"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hops = YLeaf(YType.uint8, "hops")
                                    self._segment_path = lambda: "ttl-security"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity, ['hops'], name, value)


                            class UpdateSource(Entity):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource, self).__init__()

                                    self.yang_name = "update-source"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "update-source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                            class HaMode(Entity):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.graceful_restart = None
                                    self._children_name_map["graceful_restart"] = "graceful-restart"
                                    self._children_yang_names.add("graceful-restart")

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class GracefulRestart(Entity):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart, self).__init__()

                                        self.yang_name = "graceful-restart"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "graceful-restart"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                class Sso(Entity):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso, ['disable'], name, value)


                        class Network(Entity):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "l2vpn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.str, "number")

                                self.backdoor = YLeaf(YType.empty, "backdoor")

                                self.mask = YLeaf(YType.str, "mask")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "l2vpn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"application" : ("application", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static)}
                                self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf)}

                                self.application = None
                                self._children_name_map["application"] = "application"
                                self._children_yang_names.add("application")

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.dvmrp = None
                                self._children_name_map["dvmrp"] = "dvmrp"
                                self._children_yang_names.add("dvmrp")

                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self._children_name_map["eigrp"] = "eigrp"
                                self._children_yang_names.add("eigrp")

                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis()
                                self.isis.parent = self
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.lisp = None
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.ospf = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute, [], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name)}
                                    self.is_presence_container = True

                                    self.name = YList(self)
                                    self._segment_path = lambda: "application"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "application"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "connected"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected, ['metric', 'route_map'], name, value)


                            class Dvmrp(Entity):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp, self).__init__()

                                    self.yang_name = "dvmrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = YLeaf(YType.uint32, "metric")
                                    self._segment_path = lambda: "dvmrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.uint16, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "eigrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default)}
                                    self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.isis_area = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis, [], name, value)


                                class IsisArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea, self).__init__()

                                        self.yang_name = "isis-area"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                            class Lisp(Entity):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "lisp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default)}
                                    self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.iso_igrp_area = YList(self)
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp, [], name, value)


                                class IsoIgrpArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                        self.yang_name = "iso-igrp-area"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "mobile"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "odr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr, ['metric', 'route_map'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf>`
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf)}
                                    self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf)}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self._children_name_map["non_vrf"] = "non-vrf"
                                    self._children_yang_names.add("non-vrf")

                                    self.vrf = YList(self)
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf, ['id'], name, value)


                                class Vrf(Entity):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf, self).__init__()

                                        self.yang_name = "vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self._segment_path = lambda: "match"


                                class NonVrf(Entity):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf, self).__init__()

                                        self.yang_name = "non-vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match)}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "non-vrf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "non-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.internal = YLeaf(YType.empty, "internal")

                                            self.external = YLeaf(YType.enumeration, "external")

                                            self.external2 = YLeaf(YType.enumeration, "external2")

                                            self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "match"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	User selected string identifying this process
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.name = YLeaf(YType.str, "name")
                                    self._segment_path = lambda: "rip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.clns = None
                                    self._children_name_map["clns"] = "clns"
                                    self._children_yang_names.add("clns")

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "static"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static, ['metric', 'route_map'], name, value)


                                class Clns(Entity):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns, self).__init__()

                                        self.yang_name = "clns"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "clns"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                class Ip(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                        class TableMap(Entity):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\: str
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.TableMap, self).__init__()

                                self.yang_name = "table-map"
                                self.yang_parent_name = "l2vpn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.name = YLeaf(YType.str, "name")

                                self.filter = YLeaf(YType.empty, "filter")
                                self._segment_path = lambda: "table-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.TableMap, ['name', 'filter'], name, value)


                        class Snmp(Entity):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp, self).__init__()

                                self.yang_name = "snmp"
                                self.yang_parent_name = "l2vpn"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"context" : ("context", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context()
                                self.context.parent = self
                                self._children_name_map["context"] = "context"
                                self._children_yang_names.add("context")
                                self._segment_path = lambda: "snmp"


                            class Context(Entity):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context.ContextWord>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context, self).__init__()

                                    self.yang_name = "context"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context.ContextWord)}

                                    self.context_word = YList(self)
                                    self._segment_path = lambda: "context"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context, [], name, value)


                                class ContextWord(Entity):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context.ContextWord, self).__init__()

                                        self.yang_name = "context_word"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.context_word = YLeaf(YType.str, "context_word")
                                        self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.L2Vpn.Snmp.Context.ContextWord, ['context_word'], name, value)


                    class Rtfilter(Entity):
                        """
                        Address family
                        
                        .. attribute:: af_name  <key>
                        
                        	
                        	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.AfName>`
                        
                        .. attribute:: import_
                        
                        	Configure path import
                        	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Import_>`
                        
                        .. attribute:: bgp
                        
                        	BGP specific commands
                        	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths>`
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Specify a network to announce via BGP
                        	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Network>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute>`
                        
                        .. attribute:: synchronization
                        
                        	Perform IGP synchronization
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\: bool
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.TableMap>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter, self).__init__()

                            self.yang_name = "rtfilter"
                            self.yang_parent_name = "no-vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Import_), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp), "default-information" : ("default_information", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.TableMap), "snmp" : ("snmp", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp)}
                            self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor), "network" : ("network", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Network)}

                            self.af_name = YLeaf(YType.enumeration, "af-name")

                            self.default_metric = YLeaf(YType.uint32, "default-metric")

                            self.synchronization = YLeaf(YType.empty, "synchronization")

                            self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                            self.import_ = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Import_()
                            self.import_.parent = self
                            self._children_name_map["import_"] = "import"
                            self._children_yang_names.add("import")

                            self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp()
                            self.bgp.parent = self
                            self._children_name_map["bgp"] = "bgp"
                            self._children_yang_names.add("bgp")

                            self.default_information = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.distance = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.maximum_paths = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths()
                            self.maximum_paths.parent = self
                            self._children_name_map["maximum_paths"] = "maximum-paths"
                            self._children_yang_names.add("maximum-paths")

                            self.redistribute = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.table_map = None
                            self._children_name_map["table_map"] = "table-map"
                            self._children_yang_names.add("table-map")

                            self.snmp = None
                            self._children_name_map["snmp"] = "snmp"
                            self._children_yang_names.add("snmp")

                            self.distribute_list = YList(self)
                            self.neighbor = YList(self)
                            self.network = YList(self)
                            self._segment_path = lambda: "rtfilter" + "[af-name='" + self.af_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                        class AfName(Enum):
                            """
                            AfName

                            .. data:: unicast = 0

                            """

                            unicast = Enum.YLeaf(0, "unicast")



                        class Import_(Entity):
                            """
                            Configure path import
                            
                            .. attribute:: path
                            
                            	Path selection and path limit
                            	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Import_.Path>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Import_, self).__init__()

                                self.yang_name = "import"
                                self.yang_parent_name = "rtfilter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"path" : ("path", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Import_.Path)}
                                self._child_list_classes = {}

                                self.path = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Import_.Path()
                                self.path.parent = self
                                self._children_name_map["path"] = "path"
                                self._children_yang_names.add("path")
                                self._segment_path = lambda: "import"


                            class Path(Entity):
                                """
                                Path selection and path limit
                                
                                .. attribute:: limit
                                
                                	Per net imported path limit
                                	**type**\: int
                                
                                	**range:** 2..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Import_.Path, self).__init__()

                                    self.yang_name = "path"
                                    self.yang_parent_name = "import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint8, "limit")
                                    self._segment_path = lambda: "path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Import_.Path, ['limit'], name, value)


                        class Bgp(Entity):
                            """
                            BGP specific commands
                            
                            .. attribute:: router_id
                            
                            	Override configured router identifier (peers will reset)
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: always_compare_med
                            
                            	Allow comparing MED from different neighbors
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: aggregate_timer
                            
                            	Timer interval
                            	**type**\: int
                            
                            	**range:** 6..60
                            
                            .. attribute:: asnotation
                            
                            	Change the default asplain notation
                            	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation>`
                            
                            .. attribute:: nopeerup_delay
                            
                            	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                            	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay>`
                            
                            .. attribute:: recursion
                            
                            	recursion rule for the nexthops
                            	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion>`
                            
                            .. attribute:: advertise_best_external
                            
                            	Advertise best external path to internal peers
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	Additional paths in the BGP table
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths>`
                            
                            .. attribute:: bestpath
                            
                            	Change the default bestpath selection
                            	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath>`
                            
                            .. attribute:: client_to_client
                            
                            	Configure client to client route reflection
                            	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: confederation
                            
                            	AS confederation parameters
                            	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation>`
                            
                            .. attribute:: consistency_checker
                            
                            	Consistency\-checker
                            	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker>`
                            
                            .. attribute:: dampening
                            
                            	Enable route\-flap dampening
                            	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: default
                            
                            	Configure BGP defaults
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Default>`
                            
                            .. attribute:: deterministic_med
                            
                            	Pick the best\-MED path among paths advertised from the neighboring AS
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Use DMZ Link Bandwidth as weight for BGP multipaths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enforce_first_as
                            
                            	Enforce the first AS for EBGP routes(default)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: enhanced_error
                            
                            	Enabled BGP Enhanced error handling
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: fast_external_fallover
                            
                            	Immediately reset session if a link to a directly connected external peer goes down
                            	**type**\: bool
                            
                            .. attribute:: graceful_restart
                            
                            	Graceful restart capability parameters
                            	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.GracefulRestart>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ha_mode
                            
                            	Select BGP High Availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode>`
                            
                            .. attribute:: inject_map
                            
                            	Routemap which specifies prefixes to inject
                            	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.InjectMap>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maxas_limit
                            
                            	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                            	**type**\: int
                            
                            	**range:** 1..2000
                            
                            .. attribute:: maxcommunity_limit
                            
                            	Number of communities in the COMMUNITY attribute
                            	**type**\: int
                            
                            	**range:** 1..1018
                            
                            .. attribute:: route_map
                            
                            	bgp route\-map commands
                            	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer>`
                            
                            .. attribute:: update_group
                            
                            	Manage peers in bgp update groups
                            	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup>`
                            
                            .. attribute:: nexthop
                            
                            	Nexthop tracking commands
                            	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop>`
                            
                            .. attribute:: redistribute_internal
                            
                            	Allow redistribution of iBGP into IGPs (dangerous)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: regexp
                            
                            	Select regular expression engine
                            	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp>`
                            
                            .. attribute:: scan_time
                            
                            	Configure background scanner interval
                            	**type**\: int
                            
                            	**range:** 5..60
                            
                            .. attribute:: soft_reconfig_backup
                            
                            	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_inactive
                            
                            	Suppress routes that are not in the routing table
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Transport>`
                            
                            .. attribute:: update_delay
                            
                            	Set the max initial delay for sending update
                            	**type**\: int
                            
                            	**range:** 1..3600
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "rtfilter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Transport)}
                                self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.InjectMap)}

                                self.router_id = YLeaf(YType.str, "router-id")

                                self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                self.scan_time = YLeaf(YType.uint8, "scan-time")

                                self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                self.update_delay = YLeaf(YType.uint16, "update-delay")

                                self.asnotation = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation()
                                self.asnotation.parent = self
                                self._children_name_map["asnotation"] = "asnotation"
                                self._children_yang_names.add("asnotation")

                                self.nopeerup_delay = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay()
                                self.nopeerup_delay.parent = self
                                self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                self._children_yang_names.add("nopeerup-delay")

                                self.recursion = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion()
                                self.recursion.parent = self
                                self._children_name_map["recursion"] = "recursion"
                                self._children_yang_names.add("recursion")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.bestpath = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath()
                                self.bestpath.parent = self
                                self._children_name_map["bestpath"] = "bestpath"
                                self._children_yang_names.add("bestpath")

                                self.client_to_client = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient()
                                self.client_to_client.parent = self
                                self._children_name_map["client_to_client"] = "client-to-client"
                                self._children_yang_names.add("client-to-client")

                                self.confederation = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation()
                                self.confederation.parent = self
                                self._children_name_map["confederation"] = "confederation"
                                self._children_yang_names.add("confederation")

                                self.consistency_checker = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker()
                                self.consistency_checker.parent = self
                                self._children_name_map["consistency_checker"] = "consistency-checker"
                                self._children_yang_names.add("consistency-checker")

                                self.dampening = None
                                self._children_name_map["dampening"] = "dampening"
                                self._children_yang_names.add("dampening")

                                self.default = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.graceful_restart = None
                                self._children_name_map["graceful_restart"] = "graceful-restart"
                                self._children_yang_names.add("graceful-restart")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.route_map = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap()
                                self.route_map.parent = self
                                self._children_name_map["route_map"] = "route-map"
                                self._children_yang_names.add("route-map")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.update_group = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup()
                                self.update_group.parent = self
                                self._children_name_map["update_group"] = "update-group"
                                self._children_yang_names.add("update-group")

                                self.nexthop = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop()
                                self.nexthop.parent = self
                                self._children_name_map["nexthop"] = "nexthop"
                                self._children_yang_names.add("nexthop")

                                self.regexp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp()
                                self.regexp.parent = self
                                self._children_name_map["regexp"] = "regexp"
                                self._children_yang_names.add("regexp")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.inject_map = YList(self)
                                self._segment_path = lambda: "bgp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                            class Asnotation(Entity):
                                """
                                Change the default asplain notation
                                
                                .. attribute:: dot
                                
                                	asdot notation
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation, self).__init__()

                                    self.yang_name = "asnotation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dot = YLeaf(YType.empty, "dot")
                                    self._segment_path = lambda: "asnotation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation, ['dot'], name, value)


                            class NopeerupDelay(Entity):
                                """
                                Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                
                                .. attribute:: cold_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: nsf_switchover
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: post_boot
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: user_initiated
                                
                                	Delay in seconds
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay, self).__init__()

                                    self.yang_name = "nopeerup-delay"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                    self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                    self.post_boot = YLeaf(YType.uint16, "post-boot")

                                    self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                    self._segment_path = lambda: "nopeerup-delay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                            class Recursion(Entity):
                                """
                                recursion rule for the nexthops
                                
                                .. attribute:: host
                                
                                	recursion via host for the nexthops
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion, self).__init__()

                                    self.yang_name = "recursion"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.host = YLeaf(YType.empty, "host")
                                    self._segment_path = lambda: "recursion"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion, ['host'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                Additional paths in the BGP table
                                
                                .. attribute:: install
                                
                                	Additional paths to install into RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: select
                                
                                	Selection criteria to pick the paths
                                	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to neighbors
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"select" : ("select", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.install = YLeaf(YType.empty, "install")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.select = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select()
                                    self.select.parent = self
                                    self._children_name_map["select"] = "select"
                                    self._children_yang_names.add("select")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                class Select(Entity):
                                    """
                                    Selection criteria to pick the paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: backup
                                    
                                    	Select backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best>`
                                    
                                    .. attribute:: best_external
                                    
                                    	Select best\-external path
                                    	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.BestExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best path
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select, self).__init__()

                                        self.yang_name = "select"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.best_external = None
                                        self._children_name_map["best_external"] = "best-external"
                                        self._children_yang_names.add("best-external")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "select"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best path
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                self.range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best path
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                    class Backup(Entity):
                                        """
                                        Select backup path
                                        
                                        .. attribute:: best_external
                                        
                                        	Select best\-external path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best_external = YLeaf(YType.empty, "best-external")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range)}

                                            self.range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                        class Range(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                self.yang_name = "range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                    class BestExternal(Entity):
                                        """
                                        Select best\-external path
                                        
                                        .. attribute:: backup
                                        
                                        	Select backup path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                            self.yang_name = "best-external"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.backup = YLeaf(YType.empty, "backup")
                                            self._segment_path = lambda: "best-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best path
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "select"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to neighbors
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                            class Bestpath(Entity):
                                """
                                Change the default bestpath selection
                                
                                .. attribute:: compare_routerid
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cost_community
                                
                                	cost community
                                	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity>`
                                
                                .. attribute:: igp_metric
                                
                                	igp metric
                                	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric>`
                                
                                .. attribute:: med
                                
                                	MED attribute
                                	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath, self).__init__()

                                    self.yang_name = "bestpath"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med)}
                                    self._child_list_classes = {}

                                    self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                    self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity()
                                    self.cost_community.parent = self
                                    self._children_name_map["cost_community"] = "cost-community"
                                    self._children_yang_names.add("cost-community")

                                    self.igp_metric = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric()
                                    self.igp_metric.parent = self
                                    self._children_name_map["igp_metric"] = "igp-metric"
                                    self._children_yang_names.add("igp-metric")

                                    self.med = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med()
                                    self.med.parent = self
                                    self._children_name_map["med"] = "med"
                                    self._children_yang_names.add("med")
                                    self._segment_path = lambda: "bestpath"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath, ['compare_routerid'], name, value)


                                class CostCommunity(Entity):
                                    """
                                    cost community
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore cost communities in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity, self).__init__()

                                        self.yang_name = "cost-community"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "cost-community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                class IgpMetric(Entity):
                                    """
                                    igp metric
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore igp metric in bestpath selection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric, self).__init__()

                                        self.yang_name = "igp-metric"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "igp-metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                class Med(Entity):
                                    """
                                    MED attribute
                                    
                                    .. attribute:: confed
                                    
                                    	Compare MED among confederation paths
                                    	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med.Confed>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: missing_at_worst
                                    
                                    	Treat missing MED as the least preferred one
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med, self).__init__()

                                        self.yang_name = "med"
                                        self.yang_parent_name = "bestpath"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med.Confed)}
                                        self._child_list_classes = {}

                                        self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                        self.confed = None
                                        self._children_name_map["confed"] = "confed"
                                        self._children_yang_names.add("confed")
                                        self._segment_path = lambda: "med"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                    class Confed(Entity):
                                        """
                                        Compare MED among confederation paths
                                        
                                        .. attribute:: missing_at_worst
                                        
                                        	Treat missing MED as the least preferred one
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med.Confed, self).__init__()

                                            self.yang_name = "confed"
                                            self.yang_parent_name = "med"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                            self._segment_path = lambda: "confed"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                            class ClientToClient(Entity):
                                """
                                Configure client to client route reflection
                                
                                .. attribute:: reflection
                                
                                	reflection of routes allowed
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient, self).__init__()

                                    self.yang_name = "client-to-client"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.reflection = YLeaf(YType.empty, "reflection")
                                    self._segment_path = lambda: "client-to-client"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient, ['reflection'], name, value)


                            class Confederation(Entity):
                                """
                                AS confederation parameters
                                
                                .. attribute:: identifier
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: peers
                                
                                	Peer ASs in BGP confederation
                                	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation, self).__init__()

                                    self.yang_name = "confederation"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers)}
                                    self._child_list_classes = {}

                                    self.identifier = YLeaf(YType.uint32, "identifier")

                                    self.peers = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers()
                                    self.peers.parent = self
                                    self._children_name_map["peers"] = "peers"
                                    self._children_yang_names.add("peers")
                                    self._segment_path = lambda: "confederation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation, ['identifier'], name, value)


                                class Peers(Entity):
                                    """
                                    Peer ASs in BGP confederation
                                    
                                    .. attribute:: peers_as
                                    
                                    	
                                    	**type**\: list of int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers, self).__init__()

                                        self.yang_name = "peers"
                                        self.yang_parent_name = "confederation"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.peers_as = YLeafList(YType.uint32, "peers-as")
                                        self._segment_path = lambda: "peers"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers, ['peers_as'], name, value)


                            class ConsistencyChecker(Entity):
                                """
                                Consistency\-checker
                                
                                .. attribute:: auto_repair
                                
                                	Auto\-Repair
                                	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.AutoRepair>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: error_message
                                
                                	Log Error\-Msg
                                	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.ErrorMessage>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker, self).__init__()

                                    self.yang_name = "consistency-checker"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.ErrorMessage)}
                                    self._child_list_classes = {}

                                    self.auto_repair = None
                                    self._children_name_map["auto_repair"] = "auto-repair"
                                    self._children_yang_names.add("auto-repair")

                                    self.error_message = None
                                    self._children_name_map["error_message"] = "error-message"
                                    self._children_yang_names.add("error-message")
                                    self._segment_path = lambda: "consistency-checker"


                                class AutoRepair(Entity):
                                    """
                                    Auto\-Repair
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                        self.yang_name = "auto-repair"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "auto-repair"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                class ErrorMessage(Entity):
                                    """
                                    Log Error\-Msg
                                    
                                    .. attribute:: interval
                                    
                                    	Interval (minutes)
                                    	**type**\: int
                                    
                                    	**range:** 5..1440
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                        self.yang_name = "error-message"
                                        self.yang_parent_name = "consistency-checker"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "error-message"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                            class Dampening(Entity):
                                """
                                Enable route\-flap dampening
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria for dampening
                                	**type**\: str
                                
                                .. attribute:: dampen
                                
                                	
                                	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening, self).__init__()

                                    self.yang_name = "dampening"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.dampen = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen()
                                    self.dampen.parent = self
                                    self._children_name_map["dampen"] = "dampen"
                                    self._children_yang_names.add("dampen")
                                    self._segment_path = lambda: "dampening"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening, ['route_map'], name, value)


                                class Dampen(Entity):
                                    """
                                    
                                    
                                    .. attribute:: half_life_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..45
                                    
                                    .. attribute:: reuse_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..20000
                                    
                                    .. attribute:: max_suppress_time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen, self).__init__()

                                        self.yang_name = "dampen"
                                        self.yang_parent_name = "dampening"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                        self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                        self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                        self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                        self._segment_path = lambda: "dampen"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                            class Default(Entity):
                                """
                                Configure BGP defaults
                                
                                .. attribute:: ipv4_unicast
                                
                                	Activate ipv4\-unicast for a peer by default
                                	**type**\: bool
                                
                                .. attribute:: ipv6_nexthop
                                
                                	Default IPv6 nexthop format
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: local_preference
                                
                                	local preference (higher=more preferred)
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: route_target
                                
                                	Control behavior based on Route\-Target attributes
                                	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Default.RouteTarget>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                    self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                    self.local_preference = YLeaf(YType.uint32, "local-preference")

                                    self.route_target = YLeaf(YType.enumeration, "route-target")
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                class RouteTarget(Enum):
                                    """
                                    RouteTarget

                                    Control behavior based on Route\-Target attributes

                                    .. data:: filter = 0

                                    """

                                    filter = Enum.YLeaf(0, "filter")



                            class GracefulRestart(Entity):
                                """
                                Graceful restart capability parameters
                                
                                .. attribute:: extended
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: restart_time
                                
                                	Set the max time needed to restart and come back up
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                .. attribute:: stalepath_time
                                
                                	Set the max time to hold onto restarting peer's stale paths
                                	**type**\: int
                                
                                	**range:** 1..3600
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.GracefulRestart, self).__init__()

                                    self.yang_name = "graceful-restart"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.extended = YLeaf(YType.empty, "extended")

                                    self.restart_time = YLeaf(YType.uint16, "restart-time")

                                    self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                    self._segment_path = lambda: "graceful-restart"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                            class HaMode(Entity):
                                """
                                Select BGP High Availability mode
                                
                                .. attribute:: sso
                                
                                	BGP High Availability NSR sso mode
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class Sso(Entity):
                                    """
                                    BGP High Availability NSR sso mode
                                    
                                    .. attribute:: prefer
                                    
                                    	Perfer BGP High Availability NSR sso mode
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.prefer = YLeaf(YType.empty, "prefer")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode.Sso, ['prefer'], name, value)


                            class InjectMap(Entity):
                                """
                                Routemap which specifies prefixes to inject
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: exist_map
                                
                                	Routemap which specifies exist condition
                                	**type**\: str
                                
                                .. attribute:: copy_attributes
                                
                                	Copy attributes from aggregate
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.InjectMap, self).__init__()

                                    self.yang_name = "inject-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.exist_map = YLeaf(YType.str, "exist-map")

                                    self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                    self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                            class RouteMap(Entity):
                                """
                                bgp route\-map commands
                                
                                .. attribute:: priority
                                
                                	Have route\-map set commands take priority over BGP commands such 
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority = YLeaf(YType.empty, "priority")
                                    self._segment_path = lambda: "route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap, ['priority'], name, value)


                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: disable
                                    
                                    	Disable slow\-peer detection
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class UpdateGroup(Entity):
                                """
                                Manage peers in bgp update groups
                                
                                .. attribute:: split
                                
                                	Split update groups based on Policy
                                	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup, self).__init__()

                                    self.yang_name = "update-group"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"split" : ("split", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split)}
                                    self._child_list_classes = {}

                                    self.split = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split()
                                    self.split.parent = self
                                    self._children_name_map["split"] = "split"
                                    self._children_yang_names.add("split")
                                    self._segment_path = lambda: "update-group"


                                class Split(Entity):
                                    """
                                    Split update groups based on Policy
                                    
                                    .. attribute:: as_override
                                    
                                    	Keep peers with as\-override in different update groups
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split, self).__init__()

                                        self.yang_name = "split"
                                        self.yang_parent_name = "update-group"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.as_override = YLeaf(YType.empty, "as-override")
                                        self._segment_path = lambda: "split"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                            class Nexthop(Entity):
                                """
                                Nexthop tracking commands
                                
                                .. attribute:: trigger
                                
                                	Nexthop triggering
                                	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger>`
                                
                                .. attribute:: route_map
                                
                                	Route map for valid nexthops
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop, self).__init__()

                                    self.yang_name = "nexthop"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.trigger = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger()
                                    self.trigger.parent = self
                                    self._children_name_map["trigger"] = "trigger"
                                    self._children_yang_names.add("trigger")
                                    self._segment_path = lambda: "nexthop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop, ['route_map'], name, value)


                                class Trigger(Entity):
                                    """
                                    Nexthop triggering
                                    
                                    .. attribute:: delay
                                    
                                    	Set the delay to tigger nexthop tracking
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    .. attribute:: enable
                                    
                                    	Enable nexthop tracking
                                    	**type**\: bool
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger, self).__init__()

                                        self.yang_name = "trigger"
                                        self.yang_parent_name = "nexthop"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.delay = YLeaf(YType.uint8, "delay")

                                        self.enable = YLeaf(YType.boolean, "enable")
                                        self._segment_path = lambda: "trigger"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                            class Regexp(Entity):
                                """
                                Select regular expression engine
                                
                                .. attribute:: deterministic
                                
                                	Enable bounded\-execution\-time regular expression engine
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp, self).__init__()

                                    self.yang_name = "regexp"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.deterministic = YLeaf(YType.empty, "deterministic")
                                    self._segment_path = lambda: "regexp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp, ['deterministic'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\: bool
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Bgp.Transport, ['path_mtu_discovery'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "rtfilter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.originate = YLeaf(YType.empty, "originate")
                                self._segment_path = lambda: "default-information"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DefaultInformation, ['originate'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: bgp
                            
                            	BGP distance
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.Bgp>`
                            
                            .. attribute:: adm_distance
                            
                            	
                            	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "rtfilter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.Bgp)}
                                self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance)}

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.adm_distance = YList(self)
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance, [], name, value)


                            class Bgp(Entity):
                                """
                                BGP distance
                                
                                .. attribute:: extern_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: internal_as
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: local
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.extern_as = YLeaf(YType.uint16, "extern-as")

                                    self.internal_as = YLeaf(YType.uint16, "internal-as")

                                    self.local = YLeaf(YType.uint16, "local")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                            class AdmDistance(Entity):
                                """
                                
                                
                                .. attribute:: distance  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: srcip  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildbits  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: int
                                
                                			**range:** 1300..1999
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance, self).__init__()

                                    self.yang_name = "adm-distance"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.distance = YLeaf(YType.uint16, "distance")

                                    self.srcip = YLeaf(YType.str, "srcip")

                                    self.wildbits = YLeaf(YType.str, "wildbits")

                                    self.acl = YLeaf(YType.str, "acl")
                                    self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                        class DistributeList(Entity):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 100..199
                            
                            		**type**\: int
                            
                            			**range:** 2000..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing routing updates
                            	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList, self).__init__()

                                self.yang_name = "distribute-list"
                                self.yang_parent_name = "rtfilter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.In_), "out" : ("out", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.Out)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.in_ = None
                                self._children_name_map["in_"] = "in"
                                self._children_yang_names.add("in")

                                self.out = None
                                self._children_name_map["out"] = "out"
                                self._children_yang_names.add("out")
                                self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList, ['id'], name, value)


                            class In_(Entity):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.In_, self).__init__()

                                    self.yang_name = "in"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.In_, ['interface'], name, value)


                            class Out(Entity):
                                """
                                Filter outgoing routing updates
                                
                                .. attribute:: interface
                                
                                	
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.Out, self).__init__()

                                    self.yang_name = "out"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "out"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.DistributeList.Out, ['interface'], name, value)


                        class MaximumPaths(Entity):
                            """
                            Forward packets over multiple paths
                            
                            .. attribute:: max_path
                            
                            	
                            	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath>`
                            
                            .. attribute:: external_rtfilter
                            
                            	VPN prefix multipath on external RTFilter peers
                            	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter>`
                            
                            .. attribute:: eibgp
                            
                            	Both eBGP and iBGP paths as multipath
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            .. attribute:: ibgp
                            
                            	iBGP\-multipath
                            	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths, self).__init__()

                                self.yang_name = "maximum-paths"
                                self.yang_parent_name = "rtfilter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp)}
                                self._child_list_classes = {}

                                self.eibgp = YLeaf(YType.uint16, "eibgp")

                                self.max_path = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath()
                                self.max_path.parent = self
                                self._children_name_map["max_path"] = "max-path"
                                self._children_yang_names.add("max-path")

                                self.external_rtfilter = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter()
                                self.external_rtfilter.parent = self
                                self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                self._children_yang_names.add("external-rtfilter")

                                self.ibgp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp()
                                self.ibgp.parent = self
                                self._children_name_map["ibgp"] = "ibgp"
                                self._children_yang_names.add("ibgp")
                                self._segment_path = lambda: "maximum-paths"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths, ['eibgp'], name, value)


                            class MaxPath(Entity):
                                """
                                
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath, self).__init__()

                                    self.yang_name = "max-path"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "max-path"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath, ['max'], name, value)


                            class ExternalRtfilter(Entity):
                                """
                                VPN prefix multipath on external RTFilter peers
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter, self).__init__()

                                    self.yang_name = "external-rtfilter"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "external-rtfilter"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                            class Ibgp(Entity):
                                """
                                iBGP\-multipath
                                
                                .. attribute:: unequal_cost
                                
                                	Perform Un\-Equal cost multipath selection
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: max
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp, self).__init__()

                                    self.yang_name = "ibgp"
                                    self.yang_parent_name = "maximum-paths"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                    self.max = YLeaf(YType.uint16, "max")
                                    self._segment_path = lambda: "ibgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                        class Neighbor(Entity):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: peer_group
                            
                            	Member of the peer\-group
                            	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: remote_as
                            
                            	Specify a BGP neighbor
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: local_as
                            
                            	Specify a local\-as number
                            	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: activate
                            
                            	Enable the Address Family for this Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: additional_paths
                            
                            	
                            	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths>`
                            
                            .. attribute:: advertise
                            
                            	Advertise to this neighbor
                            	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise>`
                            
                            .. attribute:: advertise_map
                            
                            	specify route\-map for conditional advertisement
                            	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap>`
                            
                            .. attribute:: aigp
                            
                            	Enable a AIGP on neighbor
                            	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: allow_policy
                            
                            	Enable the policy support for this IBGP Neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: announce
                            
                            	Announce RPKI State using an Extended Community
                            	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce>`
                            
                            .. attribute:: advertisement_interval
                            
                            	Minimum interval between sending BGP routing updates
                            	**type**\: int
                            
                            	**range:** 0..600
                            
                            .. attribute:: allowas_in
                            
                            	Accept as\-path with my AS present in it
                            	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: as_override
                            
                            	Override matching AS\-number while sending update
                            	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Advertise capability to the peer
                            	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability>`
                            
                            .. attribute:: cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: default_originate
                            
                            	Originate default route to this neighbour
                            	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: description
                            
                            	Neighbor specific description
                            	**type**\: str
                            
                            .. attribute:: disable_connected_check
                            
                            	One\-hop away EBGP peer using loopback address
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList>`
                            
                            .. attribute:: dmzlink_bw
                            
                            	Propagate the DMZ link bandwidth
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ebgp_multihop
                            
                            	Allow EBGP neighbors not on directly connected networks
                            	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: fall_over
                            
                            	session fall on peer route lost
                            	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver>`
                            
                            .. attribute:: filter_list
                            
                            	Establish BGP filters
                            	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList>`
                            
                            .. attribute:: inherit
                            
                            	Inherit a template
                            	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit>`
                            
                            .. attribute:: log_neighbor_changes
                            
                            	Log neighbor up/down and reset reason
                            	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes accepted from this peer
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix>`
                            
                            .. attribute:: next_hop_self
                            
                            	Disable the next hop calculation for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: next_hop_unchanged
                            
                            	Propagate the iBGP paths's next hop unchanged for this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: password
                            
                            	Set a password
                            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Password>`
                            
                            .. attribute:: prefix_list
                            
                            	Filter updates to/from this neighbor
                            	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList>`
                            
                            .. attribute:: path_attribute
                            
                            	BGP optional attribute filtering
                            	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute>`
                            
                            .. attribute:: remove_private_as
                            
                            	Remove private AS number from outbound updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Apply route map to neighbor
                            	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap>`
                            
                            .. attribute:: route_reflector_client
                            
                            	Configure a neighbor as Route Reflector client
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_reflector_cluster_id
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: send_community
                            
                            	Send Community attribute to this neighbor
                            	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: send_label
                            
                            	Send NLRI + MPLS Label to this peer
                            	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel>`
                            
                            .. attribute:: soo
                            
                            	ASN\:nn or IP\-address\:nn  VPN extended community
                            	**type**\: str
                            
                            .. attribute:: shutdown
                            
                            	Administratively shut down this neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: soft_reconfiguration
                            
                            	Per neighbor soft reconfiguration
                            	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SoftReconfiguration>`
                            
                            .. attribute:: slow_peer
                            
                            	Configure slow\-peer
                            	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer>`
                            
                            .. attribute:: timers
                            
                            	BGP per neighbor timers
                            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers>`
                            
                            .. attribute:: translate_update
                            
                            	Translate Update to MBGP format
                            	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate>`
                            
                            .. attribute:: transport
                            
                            	Transport options
                            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport>`
                            
                            .. attribute:: ttl_security
                            
                            	BGP ttl security check
                            	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity>`
                            
                            .. attribute:: unsuppress_map
                            
                            	Route\-map to selectively unsuppress suppressed routes
                            	**type**\: str
                            
                            .. attribute:: update_source
                            
                            	Source of routing updates
                            	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource>`
                            
                            .. attribute:: version
                            
                            	Set the BGP version to match a neighbor
                            	**type**\: int
                            
                            	**range:** 4..None
                            
                            .. attribute:: weight
                            
                            	Set default weight for routes from this neighbor
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: ha_mode
                            
                            	high availability mode
                            	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "rtfilter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode)}
                                self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap)}

                                self.id = YLeaf(YType.str, "id")

                                self.remote_as = YLeaf(YType.str, "remote-as")

                                self.activate = YLeaf(YType.empty, "activate")

                                self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                self.cluster_id = YLeaf(YType.str, "cluster-id")

                                self.description = YLeaf(YType.str, "description")

                                self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                self.soo = YLeaf(YType.str, "soo")

                                self.shutdown = YLeaf(YType.empty, "shutdown")

                                self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                self.version = YLeaf(YType.uint16, "version")

                                self.weight = YLeaf(YType.uint16, "weight")

                                self.peer_group = None
                                self._children_name_map["peer_group"] = "peer-group"
                                self._children_yang_names.add("peer-group")

                                self.local_as = None
                                self._children_name_map["local_as"] = "local-as"
                                self._children_yang_names.add("local-as")

                                self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths()
                                self.additional_paths.parent = self
                                self._children_name_map["additional_paths"] = "additional-paths"
                                self._children_yang_names.add("additional-paths")

                                self.advertise = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise()
                                self.advertise.parent = self
                                self._children_name_map["advertise"] = "advertise"
                                self._children_yang_names.add("advertise")

                                self.advertise_map = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap()
                                self.advertise_map.parent = self
                                self._children_name_map["advertise_map"] = "advertise-map"
                                self._children_yang_names.add("advertise-map")

                                self.aigp = None
                                self._children_name_map["aigp"] = "aigp"
                                self._children_yang_names.add("aigp")

                                self.announce = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce()
                                self.announce.parent = self
                                self._children_name_map["announce"] = "announce"
                                self._children_yang_names.add("announce")

                                self.allowas_in = None
                                self._children_name_map["allowas_in"] = "allowas-in"
                                self._children_yang_names.add("allowas-in")

                                self.as_override = None
                                self._children_name_map["as_override"] = "as-override"
                                self._children_yang_names.add("as-override")

                                self.capability = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability()
                                self.capability.parent = self
                                self._children_name_map["capability"] = "capability"
                                self._children_yang_names.add("capability")

                                self.default_originate = None
                                self._children_name_map["default_originate"] = "default-originate"
                                self._children_yang_names.add("default-originate")

                                self.ebgp_multihop = None
                                self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                self._children_yang_names.add("ebgp-multihop")

                                self.fall_over = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver()
                                self.fall_over.parent = self
                                self._children_name_map["fall_over"] = "fall-over"
                                self._children_yang_names.add("fall-over")

                                self.inherit = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit()
                                self.inherit.parent = self
                                self._children_name_map["inherit"] = "inherit"
                                self._children_yang_names.add("inherit")

                                self.log_neighbor_changes = None
                                self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                self._children_yang_names.add("log-neighbor-changes")

                                self.maximum_prefix = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.password = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Password()
                                self.password.parent = self
                                self._children_name_map["password"] = "password"
                                self._children_yang_names.add("password")

                                self.path_attribute = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute()
                                self.path_attribute.parent = self
                                self._children_name_map["path_attribute"] = "path-attribute"
                                self._children_yang_names.add("path-attribute")

                                self.send_community = None
                                self._children_name_map["send_community"] = "send-community"
                                self._children_yang_names.add("send-community")

                                self.send_label = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel()
                                self.send_label.parent = self
                                self._children_name_map["send_label"] = "send-label"
                                self._children_yang_names.add("send-label")

                                self.slow_peer = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer()
                                self.slow_peer.parent = self
                                self._children_name_map["slow_peer"] = "slow-peer"
                                self._children_yang_names.add("slow-peer")

                                self.timers = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers()
                                self.timers.parent = self
                                self._children_name_map["timers"] = "timers"
                                self._children_yang_names.add("timers")

                                self.translate_update = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate()
                                self.translate_update.parent = self
                                self._children_name_map["translate_update"] = "translate-update"
                                self._children_yang_names.add("translate-update")

                                self.transport = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport()
                                self.transport.parent = self
                                self._children_name_map["transport"] = "transport"
                                self._children_yang_names.add("transport")

                                self.ttl_security = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity()
                                self.ttl_security.parent = self
                                self._children_name_map["ttl_security"] = "ttl-security"
                                self._children_yang_names.add("ttl-security")

                                self.update_source = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource()
                                self.update_source.parent = self
                                self._children_name_map["update_source"] = "update-source"
                                self._children_yang_names.add("update-source")

                                self.ha_mode = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode()
                                self.ha_mode.parent = self
                                self._children_name_map["ha_mode"] = "ha-mode"
                                self._children_yang_names.add("ha-mode")

                                self.distribute_list = YList(self)
                                self.filter_list = YList(self)
                                self.prefix_list = YList(self)
                                self.route_map = YList(self)
                                self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                            class SoftReconfiguration(Enum):
                                """
                                SoftReconfiguration

                                Per neighbor soft reconfiguration

                                .. data:: inbound = 0

                                """

                                inbound = Enum.YLeaf(0, "inbound")



                            class PeerGroup(Entity):
                                """
                                Member of the peer\-group
                                
                                .. attribute:: peer_group_name
                                
                                	WORD;;peer\-group name
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup, self).__init__()

                                    self.yang_name = "peer-group"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                    self._segment_path = lambda: "peer-group"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                            class LocalAs(Entity):
                                """
                                Specify a local\-as number
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: no_prepend
                                
                                	Do not prepend local\-as to updates from ebgp peers
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: replace_as
                                
                                	Replace real AS with local AS in the EBGP updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: dual_as
                                
                                	Accept either real AS or local AS from the ebgp peer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs, self).__init__()

                                    self.yang_name = "local-as"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                    self.replace_as = YLeaf(YType.empty, "replace-as")

                                    self.dual_as = YLeaf(YType.empty, "dual-as")
                                    self._segment_path = lambda: "local-as"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                            class AdditionalPaths(Entity):
                                """
                                
                                
                                .. attribute:: disable
                                
                                	Disable additional paths for this neighbor
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: receive
                                
                                	Receive additional paths from neighbors
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: send
                                
                                	Send additional paths to this neighbor
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths, self).__init__()

                                    self.yang_name = "additional-paths"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send)}
                                    self._child_list_classes = {}

                                    self.disable = YLeaf(YType.empty, "disable")

                                    self.receive = YLeaf(YType.empty, "receive")

                                    self.send = None
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "additional-paths"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                class Send(Entity):
                                    """
                                    Send additional paths to this neighbor
                                    
                                    .. attribute:: receive
                                    
                                    	Receive additional paths from this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "additional-paths"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.receive = YLeaf(YType.empty, "receive")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                            class Advertise(Entity):
                                """
                                Advertise to this neighbor
                                
                                .. attribute:: additional_paths
                                
                                	Advertise additional paths
                                	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths>`
                                
                                .. attribute:: best_external
                                
                                	Advertise best\-external (at RRs best\-internal) path
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: diverse_path
                                
                                	Advertise diverse path
                                	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise, self).__init__()

                                    self.yang_name = "advertise"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath)}
                                    self._child_list_classes = {}

                                    self.best_external = YLeaf(YType.empty, "best-external")

                                    self.additional_paths = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths()
                                    self.additional_paths.parent = self
                                    self._children_name_map["additional_paths"] = "additional-paths"
                                    self._children_yang_names.add("additional-paths")

                                    self.diverse_path = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath()
                                    self.diverse_path.parent = self
                                    self._children_name_map["diverse_path"] = "diverse-path"
                                    self._children_yang_names.add("diverse-path")
                                    self._segment_path = lambda: "advertise"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise, ['best_external'], name, value)


                                class AdditionalPaths(Entity):
                                    """
                                    Advertise additional paths
                                    
                                    .. attribute:: all
                                    
                                    	Select all available paths
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: best
                                    
                                    	Select best N paths
                                    	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best>`
                                    
                                    .. attribute:: group_best
                                    
                                    	Select group\-best paths
                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                        self.yang_name = "additional-paths"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                        self._child_list_classes = {}

                                        self.all = None
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")

                                        self.best = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best()
                                        self.best.parent = self
                                        self._children_name_map["best"] = "best"
                                        self._children_yang_names.add("best")

                                        self.group_best = None
                                        self._children_name_map["group_best"] = "group-best"
                                        self._children_yang_names.add("group-best")
                                        self._segment_path = lambda: "additional-paths"


                                    class All(Entity):
                                        """
                                        Select all available paths
                                        
                                        .. attribute:: best
                                        
                                        	Select best N paths
                                        	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                        
                                        .. attribute:: group_best
                                        
                                        	Select group\-best paths
                                        	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"best" : ("best", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.best = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best()
                                            self.best.parent = self
                                            self._children_name_map["best"] = "best"
                                            self._children_yang_names.add("best")

                                            self.group_best = None
                                            self._children_name_map["group_best"] = "group-best"
                                            self._children_yang_names.add("group-best")
                                            self._segment_path = lambda: "all"


                                        class Best(Entity):
                                            """
                                            Select best N paths
                                            
                                            .. attribute:: best_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                self.yang_name = "best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                self.best_range = YList(self)
                                                self._segment_path = lambda: "best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                            class BestRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: range  <key>
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                    self.yang_name = "best-range"
                                                    self.yang_parent_name = "best"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.range = YLeaf(YType.uint8, "range")

                                                    self.group_best = YLeaf(YType.empty, "group-best")
                                                    self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                        class GroupBest(Entity):
                                            """
                                            Select group\-best paths
                                            
                                            .. attribute:: best
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                self.yang_name = "group-best"
                                                self.yang_parent_name = "all"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.best = YLeaf(YType.uint8, "best")
                                                self._segment_path = lambda: "group-best"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                    class Best(Entity):
                                        """
                                        Select best N paths
                                        
                                        .. attribute:: best_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                            self.yang_name = "best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                            self.best_range = YList(self)
                                            self._segment_path = lambda: "best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                        class BestRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Number of best paths in additional paths to be selected
                                            	**type**\: int
                                            
                                            	**range:** 2..3
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                self.yang_name = "best-range"
                                                self.yang_parent_name = "best"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.all = YLeaf(YType.empty, "all")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "best-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                    class GroupBest(Entity):
                                        """
                                        Select group\-best paths
                                        
                                        .. attribute:: all
                                        
                                        	Select all available paths
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: best
                                        
                                        	Number of best paths in additional paths to be selected
                                        	**type**\: int
                                        
                                        	**range:** 2..3
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                            self.yang_name = "group-best"
                                            self.yang_parent_name = "additional-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.all = YLeaf(YType.empty, "all")

                                            self.best = YLeaf(YType.uint8, "best")
                                            self._segment_path = lambda: "group-best"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                class DiversePath(Entity):
                                    """
                                    Advertise diverse path
                                    
                                    .. attribute:: backup
                                    
                                    	Diverse path can be backup path
                                    	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mpath
                                    
                                    	Diverse path can be multipath
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath, self).__init__()

                                        self.yang_name = "diverse-path"
                                        self.yang_parent_name = "advertise"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup)}
                                        self._child_list_classes = {}

                                        self.mpath = YLeaf(YType.empty, "mpath")

                                        self.backup = None
                                        self._children_name_map["backup"] = "backup"
                                        self._children_yang_names.add("backup")
                                        self._segment_path = lambda: "diverse-path"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                    class Backup(Entity):
                                        """
                                        Diverse path can be backup path
                                        
                                        .. attribute:: mpath
                                        
                                        	Diverse path can be multipath
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                            self.yang_name = "backup"
                                            self.yang_parent_name = "diverse-path"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.mpath = YLeaf(YType.empty, "mpath")
                                            self._segment_path = lambda: "backup"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                            class AdvertiseMap(Entity):
                                """
                                specify route\-map for conditional advertisement
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap, self).__init__()

                                    self.yang_name = "advertise-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name)}

                                    self.name = YList(self)
                                    self._segment_path = lambda: "advertise-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: word  <key>
                                    
                                    	advertise route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: non_exist_map
                                    
                                    	condition route\-map name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "advertise-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.word = YLeaf(YType.str, "word")

                                        self.exist_map = YLeaf(YType.str, "exist-map")

                                        self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                        self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                            class Aigp(Entity):
                                """
                                Enable a AIGP on neighbor
                                
                                .. attribute:: send
                                
                                	Cost community or MED carrying AIGP VALUE
                                	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp, self).__init__()

                                    self.yang_name = "aigp"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"send" : ("send", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send()
                                    self.send.parent = self
                                    self._children_name_map["send"] = "send"
                                    self._children_yang_names.add("send")
                                    self._segment_path = lambda: "aigp"


                                class Send(Entity):
                                    """
                                    Cost community or MED carrying AIGP VALUE
                                    
                                    .. attribute:: cost_community
                                    
                                    	Cost extended community carrying AIGP Value
                                    	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity>`
                                    
                                    .. attribute:: med
                                    
                                    	Med carrying AIGP Value
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send, self).__init__()

                                        self.yang_name = "send"
                                        self.yang_parent_name = "aigp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity)}
                                        self._child_list_classes = {}

                                        self.med = YLeaf(YType.empty, "med")

                                        self.cost_community = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity()
                                        self.cost_community.parent = self
                                        self._children_name_map["cost_community"] = "cost-community"
                                        self._children_yang_names.add("cost-community")
                                        self._segment_path = lambda: "send"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send, ['med'], name, value)


                                    class CostCommunity(Entity):
                                        """
                                        Cost extended community carrying AIGP Value
                                        
                                        .. attribute:: cc_range
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                            self.yang_name = "cost-community"
                                            self.yang_parent_name = "send"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                            self.cc_range = YList(self)
                                            self._segment_path = lambda: "cost-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                        class CcRange(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range  <key>
                                            
                                            	Community ID
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: poi
                                            
                                            	Point of Insertion
                                            	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                self.yang_name = "cc-range"
                                                self.yang_parent_name = "cost-community"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                self._child_list_classes = {}

                                                self.range = YLeaf(YType.uint8, "range")

                                                self.poi = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                self.poi.parent = self
                                                self._children_name_map["poi"] = "poi"
                                                self._children_yang_names.add("poi")
                                                self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                            class Poi(Entity):
                                                """
                                                Point of Insertion
                                                
                                                .. attribute:: igp_cost
                                                
                                                	Point of Insertion After IGP
                                                	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: pre_bestpath
                                                
                                                	Point of Insertion At Beginning
                                                	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                    self.yang_name = "poi"
                                                    self.yang_parent_name = "cc-range"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                    self._child_list_classes = {}

                                                    self.igp_cost = None
                                                    self._children_name_map["igp_cost"] = "igp-cost"
                                                    self._children_yang_names.add("igp-cost")

                                                    self.pre_bestpath = None
                                                    self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                    self._children_yang_names.add("pre-bestpath")
                                                    self._segment_path = lambda: "poi"


                                                class IgpCost(Entity):
                                                    """
                                                    Point of Insertion After IGP
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                        self.yang_name = "igp-cost"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "igp-cost"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                class PreBestpath(Entity):
                                                    """
                                                    Point of Insertion At Beginning
                                                    
                                                    .. attribute:: transitive
                                                    
                                                    	Cost community is Transitive
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                        self.yang_name = "pre-bestpath"
                                                        self.yang_parent_name = "poi"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.transitive = YLeaf(YType.empty, "transitive")
                                                        self._segment_path = lambda: "pre-bestpath"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                            class Announce(Entity):
                                """
                                Announce RPKI State using an Extended Community
                                
                                .. attribute:: rpki
                                
                                	Announce RPKI information using an Extended Community
                                	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce, self).__init__()

                                    self.yang_name = "announce"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki)}
                                    self._child_list_classes = {}

                                    self.rpki = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki()
                                    self.rpki.parent = self
                                    self._children_name_map["rpki"] = "rpki"
                                    self._children_yang_names.add("rpki")
                                    self._segment_path = lambda: "announce"


                                class Rpki(Entity):
                                    """
                                    Announce RPKI information using an Extended Community
                                    
                                    .. attribute:: state
                                    
                                    	Announce RPKI State information using an Extended Community
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki, self).__init__()

                                        self.yang_name = "rpki"
                                        self.yang_parent_name = "announce"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.state = YLeaf(YType.empty, "state")
                                        self._segment_path = lambda: "rpki"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki, ['state'], name, value)


                            class AllowasIn(Entity):
                                """
                                Accept as\-path with my AS present in it
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..10
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn, self).__init__()

                                    self.yang_name = "allowas-in"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.as_number = YLeaf(YType.uint8, "as-number")
                                    self._segment_path = lambda: "allowas-in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn, ['as_number'], name, value)


                            class AsOverride(Entity):
                                """
                                Override matching AS\-number while sending update
                                
                                .. attribute:: disable
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride, self).__init__()

                                    self.yang_name = "as-override"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "as-override"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride, ['disable'], name, value)


                            class Capability(Entity):
                                """
                                Advertise capability to the peer
                                
                                .. attribute:: orf
                                
                                	Advertise ORF capability to the peer
                                	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability, self).__init__()

                                    self.yang_name = "capability"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf)}
                                    self._child_list_classes = {}

                                    self.orf = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf()
                                    self.orf.parent = self
                                    self._children_name_map["orf"] = "orf"
                                    self._children_yang_names.add("orf")
                                    self._segment_path = lambda: "capability"


                                class Orf(Entity):
                                    """
                                    Advertise ORF capability to the peer
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Advertise prefixlist ORF capability to this neighbor
                                    	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf.PrefixList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf, self).__init__()

                                        self.yang_name = "orf"
                                        self.yang_parent_name = "capability"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                        self._segment_path = lambda: "orf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                    class PrefixList(Enum):
                                        """
                                        PrefixList

                                        Advertise prefixlist ORF capability to this neighbor

                                        .. data:: both = 0

                                        .. data:: receive = 1

                                        .. data:: send = 2

                                        """

                                        both = Enum.YLeaf(0, "both")

                                        receive = Enum.YLeaf(1, "receive")

                                        send = Enum.YLeaf(2, "send")



                            class DefaultOriginate(Entity):
                                """
                                Originate default route to this neighbour
                                
                                .. attribute:: route_map
                                
                                	Route\-map to specify criteria to originate default
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate, self).__init__()

                                    self.yang_name = "default-originate"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "default-originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate, ['route_map'], name, value)


                            class DistributeList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList.Inout>`
                                
                                .. attribute:: accesslist
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..199
                                
                                		**type**\: int
                                
                                			**range:** 1300..2699
                                
                                		**type**\: str
                                
                                			**pattern:** [a\-zA\-Z].\*
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList, self).__init__()

                                    self.yang_name = "distribute-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.accesslist = YLeaf(YType.str, "accesslist")
                                    self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class EbgpMultihop(Entity):
                                """
                                Allow EBGP neighbors not on directly connected networks
                                
                                .. attribute:: max_hop
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop, self).__init__()

                                    self.yang_name = "ebgp-multihop"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max_hop = YLeaf(YType.uint8, "max-hop")
                                    self._segment_path = lambda: "ebgp-multihop"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                            class FallOver(Entity):
                                """
                                session fall on peer route lost
                                
                                .. attribute:: bfd
                                
                                	Use BFD to detect failure
                                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver, self).__init__()

                                    self.yang_name = "fall-over"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd)}
                                    self._child_list_classes = {}

                                    self.bfd = None
                                    self._children_name_map["bfd"] = "bfd"
                                    self._children_yang_names.add("bfd")
                                    self._segment_path = lambda: "fall-over"


                                class Bfd(Entity):
                                    """
                                    Use BFD to detect failure
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd, self).__init__()

                                        self.yang_name = "bfd"
                                        self.yang_parent_name = "fall-over"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "bfd"


                            class FilterList(Entity):
                                """
                                Establish BGP filters
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList.Inout>`
                                
                                .. attribute:: as_path_list
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..500
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList, self).__init__()

                                    self.yang_name = "filter-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                    self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class Inherit(Entity):
                                """
                                Inherit a template
                                
                                .. attribute:: peer_policy
                                
                                	Inherit a peer\-policy template
                                	**type**\: str
                                
                                .. attribute:: peer_session
                                
                                	Inherit a peer\-session template
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit, self).__init__()

                                    self.yang_name = "inherit"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.peer_policy = YLeaf(YType.str, "peer-policy")

                                    self.peer_session = YLeaf(YType.str, "peer-session")
                                    self._segment_path = lambda: "inherit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                            class LogNeighborChanges(Entity):
                                """
                                Log neighbor up/down and reset reason
                                
                                .. attribute:: disable
                                
                                	disable
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges, self).__init__()

                                    self.yang_name = "log-neighbor-changes"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")
                                    self._segment_path = lambda: "log-neighbor-changes"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges, ['disable'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes accepted from this peer
                                
                                .. attribute:: max_prefix_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..2147483647
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: restart
                                
                                	Restart bgp connection after limit is exceeded
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.restart = YLeaf(YType.uint16, "restart")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                            class Password(Entity):
                                """
                                Set a password
                                
                                .. attribute:: enctype
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: text
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Password, self).__init__()

                                    self.yang_name = "password"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.enctype = YLeaf(YType.uint8, "enctype")

                                    self.text = YLeaf(YType.str, "text")
                                    self._segment_path = lambda: "password"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Password, ['enctype', 'text'], name, value)


                            class PrefixList(Entity):
                                """
                                Filter updates to/from this neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList.Inout>`
                                
                                .. attribute:: prefix_list_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList, self).__init__()

                                    self.yang_name = "prefix-list"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                    self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class PathAttribute(Entity):
                                """
                                BGP optional attribute filtering
                                
                                .. attribute:: discard
                                
                                	Discard matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard>`
                                
                                .. attribute:: treat_as_withdraw
                                
                                	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute, self).__init__()

                                    self.yang_name = "path-attribute"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw)}
                                    self._child_list_classes = {}

                                    self.discard = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard()
                                    self.discard.parent = self
                                    self._children_name_map["discard"] = "discard"
                                    self._children_yang_names.add("discard")

                                    self.treat_as_withdraw = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw()
                                    self.treat_as_withdraw.parent = self
                                    self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                    self._children_yang_names.add("treat-as-withdraw")
                                    self._segment_path = lambda: "path-attribute"


                                class Discard(Entity):
                                    """
                                    Discard matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard, self).__init__()

                                        self.yang_name = "discard"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "discard"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "discard"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                class TreatAsWithdraw(Entity):
                                    """
                                    Treat\-as\-withdraw matching path\-attribute for this neighbor
                                    
                                    .. attribute:: attibute_type
                                    
                                    	
                                    	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                    
                                    .. attribute:: range
                                    
                                    	
                                    	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                        self.yang_name = "treat-as-withdraw"
                                        self.yang_parent_name = "path-attribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                        self._child_list_classes = {}

                                        self.attibute_type = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                        self.attibute_type.parent = self
                                        self._children_name_map["attibute_type"] = "attibute_type"
                                        self._children_yang_names.add("attibute_type")

                                        self.range = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                        self.range.parent = self
                                        self._children_name_map["range"] = "range"
                                        self._children_yang_names.add("range")
                                        self._segment_path = lambda: "treat-as-withdraw"


                                    class AttibuteType(Entity):
                                        """
                                        
                                        
                                        .. attribute:: type
                                        
                                        	path attribute type
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                            self.yang_name = "attibute_type"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.type = YLeaf(YType.uint8, "type")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "attibute_type"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                    class Range(Entity):
                                        """
                                        
                                        
                                        .. attribute:: start_value
                                        
                                        	path attribute range start value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: end_value
                                        
                                        	path attribute range end value
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: in_
                                        
                                        	Perform inbound path\-attribute filtering
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                            self.yang_name = "range"
                                            self.yang_parent_name = "treat-as-withdraw"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.start_value = YLeaf(YType.uint8, "start_value")

                                            self.end_value = YLeaf(YType.uint8, "end_value")

                                            self.in_ = YLeaf(YType.empty, "in")
                                            self._segment_path = lambda: "range"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                            class RouteMap(Entity):
                                """
                                Apply route map to neighbor
                                
                                .. attribute:: inout  <key>
                                
                                	
                                	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap.Inout>`
                                
                                .. attribute:: route_map_name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.inout = YLeaf(YType.enumeration, "inout")

                                    self.route_map_name = YLeaf(YType.str, "route-map-name")
                                    self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                class Inout(Enum):
                                    """
                                    Inout

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class SendCommunity(Entity):
                                """
                                Send Community attribute to this neighbor
                                
                                .. attribute:: send_community_where
                                
                                	
                                	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity.SendCommunityWhere>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity, self).__init__()

                                    self.yang_name = "send-community"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                    self._segment_path = lambda: "send-community"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                class SendCommunityWhere(Enum):
                                    """
                                    SendCommunityWhere

                                    .. data:: both = 0

                                    .. data:: extended = 1

                                    .. data:: standard = 2

                                    """

                                    both = Enum.YLeaf(0, "both")

                                    extended = Enum.YLeaf(1, "extended")

                                    standard = Enum.YLeaf(2, "standard")



                            class SendLabel(Entity):
                                """
                                Send NLRI + MPLS Label to this peer
                                
                                .. attribute:: send_label_explicit
                                
                                	
                                	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel.SendLabelExplicit>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel, self).__init__()

                                    self.yang_name = "send-label"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                    self._segment_path = lambda: "send-label"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                class SendLabelExplicit(Enum):
                                    """
                                    SendLabelExplicit

                                    .. data:: explicit_null = 0

                                    """

                                    explicit_null = Enum.YLeaf(0, "explicit-null")



                            class SlowPeer(Entity):
                                """
                                Configure slow\-peer
                                
                                .. attribute:: detection
                                
                                	Slow\-peer detection
                                	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: split_update_group
                                
                                	Configure slow\-peer split\-update\-group
                                	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer, self).__init__()

                                    self.yang_name = "slow-peer"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup)}
                                    self._child_list_classes = {}

                                    self.detection = None
                                    self._children_name_map["detection"] = "detection"
                                    self._children_yang_names.add("detection")

                                    self.split_update_group = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup()
                                    self.split_update_group.parent = self
                                    self._children_name_map["split_update_group"] = "split-update-group"
                                    self._children_yang_names.add("split-update-group")
                                    self._segment_path = lambda: "slow-peer"


                                class Detection(Entity):
                                    """
                                    Slow\-peer detection
                                    
                                    .. attribute:: threshold
                                    
                                    	Threshold value (seconds)
                                    	**type**\: int
                                    
                                    	**range:** 120..3600
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection, self).__init__()

                                        self.yang_name = "detection"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.threshold = YLeaf(YType.uint16, "threshold")
                                        self._segment_path = lambda: "detection"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                class SplitUpdateGroup(Entity):
                                    """
                                    Configure slow\-peer split\-update\-group
                                    
                                    .. attribute:: dynamic
                                    
                                    	Dynamically split the slow peer to slow\-update group
                                    	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                        self.yang_name = "split-update-group"
                                        self.yang_parent_name = "slow-peer"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                        self._child_list_classes = {}

                                        self.dynamic = None
                                        self._children_name_map["dynamic"] = "dynamic"
                                        self._children_yang_names.add("dynamic")
                                        self._segment_path = lambda: "split-update-group"


                                    class Dynamic(Entity):
                                        """
                                        Dynamically split the slow peer to slow\-update group
                                        
                                        .. attribute:: permanent
                                        
                                        	Keep the slow\-peer permanently in slow\-update group
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                            self.yang_name = "dynamic"
                                            self.yang_parent_name = "split-update-group"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.permanent = YLeaf(YType.empty, "permanent")
                                            self._segment_path = lambda: "dynamic"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                            class Timers(Entity):
                                """
                                BGP per neighbor timers
                                
                                .. attribute:: keepalive_interval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: holdtime
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: minimum_neighbor_hold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers, self).__init__()

                                    self.yang_name = "timers"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                    self.holdtime = YLeaf(YType.uint16, "holdtime")

                                    self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                    self._segment_path = lambda: "timers"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                            class TranslateUpdate(Entity):
                                """
                                Translate Update to MBGP format
                                
                                .. attribute:: ipv4
                                
                                	Address Family
                                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate, self).__init__()

                                    self.yang_name = "translate-update"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4)}
                                    self._child_list_classes = {}

                                    self.ipv4 = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4()
                                    self.ipv4.parent = self
                                    self._children_name_map["ipv4"] = "ipv4"
                                    self._children_yang_names.add("ipv4")
                                    self._segment_path = lambda: "translate-update"


                                class Ipv4(Entity):
                                    """
                                    Address Family
                                    
                                    .. attribute:: multicast
                                    
                                    	Address Family modifier
                                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "translate-update"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                        self._child_list_classes = {}

                                        self.multicast = None
                                        self._children_name_map["multicast"] = "multicast"
                                        self._children_yang_names.add("multicast")
                                        self._segment_path = lambda: "ipv4"


                                    class Multicast(Entity):
                                        """
                                        Address Family modifier
                                        
                                        .. attribute:: unicast
                                        
                                        	Address Family modifier
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                            self.yang_name = "multicast"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.unicast = YLeaf(YType.empty, "unicast")
                                            self._segment_path = lambda: "multicast"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                            class Transport(Entity):
                                """
                                Transport options
                                
                                .. attribute:: connection_mode
                                
                                	Specify passive or active connection
                                	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.ConnectionMode>`
                                
                                .. attribute:: multi_session
                                
                                	Use Multi\-session for transport
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: path_mtu_discovery
                                
                                	Use transport path MTU discovery
                                	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport, self).__init__()

                                    self.yang_name = "transport"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery)}
                                    self._child_list_classes = {}

                                    self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                    self.multi_session = YLeaf(YType.empty, "multi-session")

                                    self.path_mtu_discovery = None
                                    self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                    self._children_yang_names.add("path-mtu-discovery")
                                    self._segment_path = lambda: "transport"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                class ConnectionMode(Enum):
                                    """
                                    ConnectionMode

                                    Specify passive or active connection

                                    .. data:: active = 0

                                    .. data:: passive = 1

                                    """

                                    active = Enum.YLeaf(0, "active")

                                    passive = Enum.YLeaf(1, "passive")



                                class PathMtuDiscovery(Entity):
                                    """
                                    Use transport path MTU discovery
                                    
                                    .. attribute:: disable
                                    
                                    	disable
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                        self.yang_name = "path-mtu-discovery"
                                        self.yang_parent_name = "transport"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "path-mtu-discovery"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                            class TtlSecurity(Entity):
                                """
                                BGP ttl security check
                                
                                .. attribute:: hops
                                
                                	IP hops
                                	**type**\: int
                                
                                	**range:** 1..254
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity, self).__init__()

                                    self.yang_name = "ttl-security"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hops = YLeaf(YType.uint8, "hops")
                                    self._segment_path = lambda: "ttl-security"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity, ['hops'], name, value)


                            class UpdateSource(Entity):
                                """
                                Source of routing updates
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource, self).__init__()

                                    self.yang_name = "update-source"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "update-source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "update-source"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                            class HaMode(Entity):
                                """
                                high availability mode
                                
                                .. attribute:: graceful_restart
                                
                                	graceful\-restart for this peer
                                	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: sso
                                
                                	stateful\-switchover support for this peer
                                	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode, self).__init__()

                                    self.yang_name = "ha-mode"
                                    self.yang_parent_name = "neighbor"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso)}
                                    self._child_list_classes = {}

                                    self.graceful_restart = None
                                    self._children_name_map["graceful_restart"] = "graceful-restart"
                                    self._children_yang_names.add("graceful-restart")

                                    self.sso = None
                                    self._children_name_map["sso"] = "sso"
                                    self._children_yang_names.add("sso")
                                    self._segment_path = lambda: "ha-mode"


                                class GracefulRestart(Entity):
                                    """
                                    graceful\-restart for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable graceful\-restart
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart, self).__init__()

                                        self.yang_name = "graceful-restart"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "graceful-restart"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                class Sso(Entity):
                                    """
                                    stateful\-switchover support for this peer
                                    
                                    .. attribute:: disable
                                    
                                    	disable stateful\-switchover
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso, self).__init__()

                                        self.yang_name = "sso"
                                        self.yang_parent_name = "ha-mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "sso"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso, ['disable'], name, value)


                        class Network(Entity):
                            """
                            Specify a network to announce via BGP
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: backdoor
                            
                            	Specify a BGP backdoor route
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_map
                            
                            	Route\-map to modify the attributes
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "rtfilter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.str, "number")

                                self.backdoor = YLeaf(YType.empty, "backdoor")

                                self.mask = YLeaf(YType.str, "mask")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: dvmrp
                            
                            	Redistribution of DVMRP into BGP IPv4 Multicast
                            	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis>`
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "rtfilter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"application" : ("application", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static)}
                                self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf)}

                                self.application = None
                                self._children_name_map["application"] = "application"
                                self._children_yang_names.add("application")

                                self.bgp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.dvmrp = None
                                self._children_name_map["dvmrp"] = "dvmrp"
                                self._children_yang_names.add("dvmrp")

                                self.eigrp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp()
                                self.eigrp.parent = self
                                self._children_name_map["eigrp"] = "eigrp"
                                self._children_yang_names.add("eigrp")

                                self.isis = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis()
                                self.isis.parent = self
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.lisp = None
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.iso_igrp = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp()
                                self.iso_igrp.parent = self
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.ospf = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute, [], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"name" : ("name", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name)}
                                    self.is_presence_container = True

                                    self.name = YList(self)
                                    self._segment_path = lambda: "application"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application, [], name, value)


                                class Name(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	WORD;;Route map name
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name, self).__init__()

                                        self.yang_name = "name"
                                        self.yang_parent_name = "application"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.str, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "connected"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected, ['metric', 'route_map'], name, value)


                            class Dvmrp(Entity):
                                """
                                Redistribution of DVMRP into BGP IPv4 Multicast
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp, self).__init__()

                                    self.yang_name = "dvmrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = YLeaf(YType.uint32, "metric")
                                    self._segment_path = lambda: "dvmrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_no
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_no = YLeaf(YType.uint16, "as-no")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "eigrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default)}
                                    self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.isis_area = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis, [], name, value)


                                class IsisArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea, self).__init__()

                                        self.yang_name = "isis-area"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of OSI dynamic routes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: routes
                                    
                                    	
                                    	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default.Routes>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.empty, "ip")

                                        self.clns = YLeaf(YType.empty, "clns")

                                        self.routes = YLeaf(YType.enumeration, "routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                    class Routes(Enum):
                                        """
                                        Routes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                            class Lisp(Entity):
                                """
                                Locator/ID Separation Protocol
                                
                                .. attribute:: include_connected
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "lisp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: iso_igrp_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea>`
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default)}
                                    self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea)}

                                    self.default = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.iso_igrp_area = YList(self)
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp, [], name, value)


                                class IsoIgrpArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                        self.yang_name = "iso-igrp-area"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "mobile"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "odr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr, ['metric', 'route_map'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf>`
                                
                                .. attribute:: non_vrf
                                
                                	
                                	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf)}
                                    self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf)}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.non_vrf = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf()
                                    self.non_vrf.parent = self
                                    self._children_name_map["non_vrf"] = "non-vrf"
                                    self._children_yang_names.add("non-vrf")

                                    self.vrf = YList(self)
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf, ['id'], name, value)


                                class Vrf(Entity):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf, self).__init__()

                                        self.yang_name = "vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self._segment_path = lambda: "match"


                                class NonVrf(Entity):
                                    """
                                    
                                    
                                    .. attribute:: match
                                    
                                    	
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf, self).__init__()

                                        self.yang_name = "non-vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match)}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.match = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "non-vrf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                    class Match(Entity):
                                        """
                                        
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: external2
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "non-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.internal = YLeaf(YType.empty, "internal")

                                            self.external = YLeaf(YType.enumeration, "external")

                                            self.external2 = YLeaf(YType.enumeration, "external2")

                                            self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "match"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: name
                                
                                	User selected string identifying this process
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.name = YLeaf(YType.str, "name")
                                    self._segment_path = lambda: "rip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of OSI dynamic routes
                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.clns = None
                                    self._children_name_map["clns"] = "clns"
                                    self._children_yang_names.add("clns")

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "static"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static, ['metric', 'route_map'], name, value)


                                class Clns(Entity):
                                    """
                                    Redistribution of OSI dynamic routes
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns, self).__init__()

                                        self.yang_name = "clns"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "clns"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                class Ip(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                        class TableMap(Entity):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: name
                            
                            	WORD;;route\-map name
                            	**type**\: str
                            
                            .. attribute:: filter
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.TableMap, self).__init__()

                                self.yang_name = "table-map"
                                self.yang_parent_name = "rtfilter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.name = YLeaf(YType.str, "name")

                                self.filter = YLeaf(YType.empty, "filter")
                                self._segment_path = lambda: "table-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.TableMap, ['name', 'filter'], name, value)


                        class Snmp(Entity):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp, self).__init__()

                                self.yang_name = "snmp"
                                self.yang_parent_name = "rtfilter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"context" : ("context", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.context = Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context()
                                self.context.parent = self
                                self._children_name_map["context"] = "context"
                                self._children_yang_names.add("context")
                                self._segment_path = lambda: "snmp"


                            class Context(Entity):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: context_word
                                
                                	
                                	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context.ContextWord>`
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context, self).__init__()

                                    self.yang_name = "context"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context.ContextWord)}

                                    self.context_word = YList(self)
                                    self._segment_path = lambda: "context"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context, [], name, value)


                                class ContextWord(Entity):
                                    """
                                    
                                    
                                    .. attribute:: context_word  <key>
                                    
                                    	Context Name
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context.ContextWord, self).__init__()

                                        self.yang_name = "context_word"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.context_word = YLeaf(YType.str, "context_word")
                                        self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.AddressFamily.NoVrf.Rtfilter.Snmp.Context.ContextWord, ['context_word'], name, value)


            class Template(Entity):
                """
                Enter template command mode
                
                .. attribute:: peer_policy
                
                	Template configuration for policy parameters
                	**type**\: list of  		 :py:class:`PeerPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerPolicy>`
                
                .. attribute:: peer_session
                
                	Template configuration for session parameters
                	**type**\: list of  		 :py:class:`PeerSession <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.Template, self).__init__()

                    self.yang_name = "template"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"peer-policy" : ("peer_policy", Native.Router.Bgp.Template.PeerPolicy), "peer-session" : ("peer_session", Native.Router.Bgp.Template.PeerSession)}

                    self.peer_policy = YList(self)
                    self.peer_session = YList(self)
                    self._segment_path = lambda: "template"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Bgp.Template, [], name, value)


                class PeerPolicy(Entity):
                    """
                    Template configuration for policy parameters
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: route_map
                    
                    	Apply route map to neighbor
                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerPolicy.RouteMap>`
                    
                    .. attribute:: filter_list
                    
                    	Establish BGP filters
                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerPolicy.FilterList>`
                    
                    .. attribute:: inherit
                    
                    	Inherit a template
                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerPolicy.Inherit>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Template.PeerPolicy, self).__init__()

                        self.yang_name = "peer-policy"
                        self.yang_parent_name = "template"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"inherit" : ("inherit", Native.Router.Bgp.Template.PeerPolicy.Inherit)}
                        self._child_list_classes = {"route-map" : ("route_map", Native.Router.Bgp.Template.PeerPolicy.RouteMap), "filter-list" : ("filter_list", Native.Router.Bgp.Template.PeerPolicy.FilterList)}

                        self.name = YLeaf(YType.str, "name")

                        self.inherit = Native.Router.Bgp.Template.PeerPolicy.Inherit()
                        self.inherit.parent = self
                        self._children_name_map["inherit"] = "inherit"
                        self._children_yang_names.add("inherit")

                        self.route_map = YList(self)
                        self.filter_list = YList(self)
                        self._segment_path = lambda: "peer-policy" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Template.PeerPolicy, ['name'], name, value)


                    class RouteMap(Entity):
                        """
                        Apply route map to neighbor
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: in_
                        
                        	Apply map to incoming routes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Apply map to outgong routes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Template.PeerPolicy.RouteMap, self).__init__()

                            self.yang_name = "route-map"
                            self.yang_parent_name = "peer-policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "route-map" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Template.PeerPolicy.RouteMap, ['name', 'in_', 'out'], name, value)


                    class FilterList(Entity):
                        """
                        Establish BGP filters
                        
                        .. attribute:: filter_range  <key>
                        
                        	AS path access list
                        	**type**\: int
                        
                        	**range:** 1..500
                        
                        .. attribute:: in_
                        
                        	Filter incoming routes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Filter outgoing routes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Template.PeerPolicy.FilterList, self).__init__()

                            self.yang_name = "filter-list"
                            self.yang_parent_name = "peer-policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.filter_range = YLeaf(YType.uint16, "filter-range")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "filter-list" + "[filter-range='" + self.filter_range.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Template.PeerPolicy.FilterList, ['filter_range', 'in_', 'out'], name, value)


                    class Inherit(Entity):
                        """
                        Inherit a template
                        
                        .. attribute:: peer_policy
                        
                        	
                        	**type**\:  :py:class:`PeerPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Template.PeerPolicy.Inherit, self).__init__()

                            self.yang_name = "inherit"
                            self.yang_parent_name = "peer-policy"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer-policy" : ("peer_policy", Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy)}
                            self._child_list_classes = {}

                            self.peer_policy = Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy()
                            self.peer_policy.parent = self
                            self._children_name_map["peer_policy"] = "peer-policy"
                            self._children_yang_names.add("peer-policy")
                            self._segment_path = lambda: "inherit"


                        class PeerPolicy(Entity):
                            """
                            
                            
                            .. attribute:: template
                            
                            	
                            	**type**\: list of  		 :py:class:`Template <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy.Template>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy, self).__init__()

                                self.yang_name = "peer-policy"
                                self.yang_parent_name = "inherit"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"template" : ("template", Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy.Template)}

                                self.template = YList(self)
                                self._segment_path = lambda: "peer-policy"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy, [], name, value)


                            class Template(Entity):
                                """
                                
                                
                                .. attribute:: name  <key>
                                
                                	Template name
                                	**type**\: str
                                
                                .. attribute:: range
                                
                                	Sequence number
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy.Template, self).__init__()

                                    self.yang_name = "template"
                                    self.yang_parent_name = "peer-policy"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.range = YLeaf(YType.uint16, "range")
                                    self._segment_path = lambda: "template" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Template.PeerPolicy.Inherit.PeerPolicy.Template, ['name', 'range'], name, value)


                class PeerSession(Entity):
                    """
                    Template configuration for session parameters
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: ha_mode
                    
                    	high availability mode
                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.HaMode>`
                    
                    .. attribute:: password
                    
                    	Set a password
                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.Password>`
                    
                    .. attribute:: remote_as
                    
                    	Specify a BGP neighbor
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..4294967295
                    
                    		**type**\: str
                    
                    .. attribute:: update_source
                    
                    	Source of routing updates
                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.UpdateSource>`
                    
                    .. attribute:: version
                    
                    	Set the BGP version to match a neighbor
                    	**type**\: int
                    
                    	**range:** 4..None
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Template.PeerSession, self).__init__()

                        self.yang_name = "peer-session"
                        self.yang_parent_name = "template"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ha-mode" : ("ha_mode", Native.Router.Bgp.Template.PeerSession.HaMode), "password" : ("password", Native.Router.Bgp.Template.PeerSession.Password), "update-source" : ("update_source", Native.Router.Bgp.Template.PeerSession.UpdateSource)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.remote_as = YLeaf(YType.str, "remote-as")

                        self.version = YLeaf(YType.uint8, "version")

                        self.ha_mode = Native.Router.Bgp.Template.PeerSession.HaMode()
                        self.ha_mode.parent = self
                        self._children_name_map["ha_mode"] = "ha-mode"
                        self._children_yang_names.add("ha-mode")

                        self.password = Native.Router.Bgp.Template.PeerSession.Password()
                        self.password.parent = self
                        self._children_name_map["password"] = "password"
                        self._children_yang_names.add("password")

                        self.update_source = Native.Router.Bgp.Template.PeerSession.UpdateSource()
                        self.update_source.parent = self
                        self._children_name_map["update_source"] = "update-source"
                        self._children_yang_names.add("update-source")
                        self._segment_path = lambda: "peer-session" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Template.PeerSession, ['name', 'remote_as', 'version'], name, value)


                    class HaMode(Entity):
                        """
                        high availability mode
                        
                        .. attribute:: graceful_restart
                        
                        	graceful\-restart for this peer
                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.HaMode.GracefulRestart>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Template.PeerSession.HaMode, self).__init__()

                            self.yang_name = "ha-mode"
                            self.yang_parent_name = "peer-session"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Template.PeerSession.HaMode.GracefulRestart)}
                            self._child_list_classes = {}

                            self.graceful_restart = None
                            self._children_name_map["graceful_restart"] = "graceful-restart"
                            self._children_yang_names.add("graceful-restart")
                            self._segment_path = lambda: "ha-mode"


                        class GracefulRestart(Entity):
                            """
                            graceful\-restart for this peer
                            
                            .. attribute:: disable
                            
                            	disable graceful\-restart
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Template.PeerSession.HaMode.GracefulRestart, self).__init__()

                                self.yang_name = "graceful-restart"
                                self.yang_parent_name = "ha-mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "graceful-restart"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Template.PeerSession.HaMode.GracefulRestart, ['disable'], name, value)


                    class Password(Entity):
                        """
                        Set a password
                        
                        .. attribute:: password_range
                        
                        	
                        	**type**\: list of  		 :py:class:`PasswordRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.Password.PasswordRange>`
                        
                        .. attribute:: password
                        
                        	The password
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Template.PeerSession.Password, self).__init__()

                            self.yang_name = "password"
                            self.yang_parent_name = "peer-session"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"password-range" : ("password_range", Native.Router.Bgp.Template.PeerSession.Password.PasswordRange)}

                            self.password = YLeaf(YType.str, "password")

                            self.password_range = YList(self)
                            self._segment_path = lambda: "password"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Template.PeerSession.Password, ['password'], name, value)


                        class PasswordRange(Entity):
                            """
                            
                            
                            .. attribute:: encruption_type_range  <key>
                            
                            	Encryption type (0 to disable encryption, 7 for proprietary)
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: password
                            
                            	The password
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Template.PeerSession.Password.PasswordRange, self).__init__()

                                self.yang_name = "password-range"
                                self.yang_parent_name = "password"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.encruption_type_range = YLeaf(YType.uint8, "encruption-type-range")

                                self.password = YLeaf(YType.str, "password")
                                self._segment_path = lambda: "password-range" + "[encruption-type-range='" + self.encruption_type_range.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Template.PeerSession.Password.PasswordRange, ['encruption_type_range', 'password'], name, value)


                    class UpdateSource(Entity):
                        """
                        Source of routing updates
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.UpdateSource.ATMSubinterface>`
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\: str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.UpdateSource.ATMACRsubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\: str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\: str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\: str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\: str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\: str
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.UpdateSource.LISPSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Template.PeerSession.UpdateSource.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\: str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\: str
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\: str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\: str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Template.PeerSession.UpdateSource, self).__init__()

                            self.yang_name = "update-source"
                            self.yang_parent_name = "peer-session"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Template.PeerSession.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Template.PeerSession.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Template.PeerSession.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Template.PeerSession.UpdateSource.PortChannelSubinterface)}
                            self._child_list_classes = {}

                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                            self.atm = YLeaf(YType.str, "ATM")

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                            self.bdi = YLeaf(YType.str, "BDI")

                            self.cem = YLeaf(YType.str, "CEM")

                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                            self.lisp = YLeaf(YType.str, "LISP")

                            self.loopback = YLeaf(YType.uint32, "Loopback")

                            self.multilink = YLeaf(YType.uint16, "Multilink")

                            self.nve = YLeaf(YType.uint16, "nve")

                            self.overlay = YLeaf(YType.uint16, "overlay")

                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                            self.sm = YLeaf(YType.str, "SM")

                            self.cellular = YLeaf(YType.str, "Cellular")

                            self.serial = YLeaf(YType.str, "Serial")

                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                            self.atm_subinterface = Native.Router.Bgp.Template.PeerSession.UpdateSource.ATMSubinterface()
                            self.atm_subinterface.parent = self
                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                            self._children_yang_names.add("ATM-subinterface")

                            self.atm_acrsubinterface = Native.Router.Bgp.Template.PeerSession.UpdateSource.ATMACRsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                            self._children_yang_names.add("ATM-ACRsubinterface")

                            self.lisp_subinterface = Native.Router.Bgp.Template.PeerSession.UpdateSource.LISPSubinterface()
                            self.lisp_subinterface.parent = self
                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                            self._children_yang_names.add("LISP-subinterface")

                            self.port_channel_subinterface = Native.Router.Bgp.Template.PeerSession.UpdateSource.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                            self._children_yang_names.add("Port-channel-subinterface")
                            self._segment_path = lambda: "update-source"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Template.PeerSession.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                        class ATMSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Template.PeerSession.UpdateSource.ATMSubinterface, self).__init__()

                                self.yang_name = "ATM-subinterface"
                                self.yang_parent_name = "update-source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm = YLeaf(YType.str, "ATM")
                                self._segment_path = lambda: "ATM-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Template.PeerSession.UpdateSource.ATMSubinterface, ['atm'], name, value)


                        class ATMACRsubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Template.PeerSession.UpdateSource.ATMACRsubinterface, self).__init__()

                                self.yang_name = "ATM-ACRsubinterface"
                                self.yang_parent_name = "update-source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                self._segment_path = lambda: "ATM-ACRsubinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Template.PeerSession.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                        class LISPSubinterface(Entity):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Template.PeerSession.UpdateSource.LISPSubinterface, self).__init__()

                                self.yang_name = "LISP-subinterface"
                                self.yang_parent_name = "update-source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lisp = YLeaf(YType.str, "LISP")
                                self._segment_path = lambda: "LISP-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Template.PeerSession.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                        class PortChannelSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Template.PeerSession.UpdateSource.PortChannelSubinterface, self).__init__()

                                self.yang_name = "Port-channel-subinterface"
                                self.yang_parent_name = "update-source"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                self._segment_path = lambda: "Port-channel-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Template.PeerSession.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


            class Timers(Entity):
                """
                Adjust routing timers
                
                .. attribute:: bgp
                
                	BGP timers
                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Timers.Bgp>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.Timers, self).__init__()

                    self.yang_name = "timers"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Timers.Bgp)}
                    self._child_list_classes = {}

                    self.bgp = Native.Router.Bgp.Timers.Bgp()
                    self.bgp.parent = self
                    self._children_name_map["bgp"] = "bgp"
                    self._children_yang_names.add("bgp")
                    self._segment_path = lambda: "timers"


                class Bgp(Entity):
                    """
                    BGP timers
                    
                    .. attribute:: keepalive_interval
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: holdtime
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: minimum_neighbor_hold
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Timers.Bgp, self).__init__()

                        self.yang_name = "bgp"
                        self.yang_parent_name = "timers"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                        self.holdtime = YLeaf(YType.uint16, "holdtime")

                        self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                        self._segment_path = lambda: "bgp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Timers.Bgp, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


            class Scope(Entity):
                """
                
                
                .. attribute:: global_
                
                	
                	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_>`
                
                	**presence node**\: True
                
                .. attribute:: vrf
                
                	
                	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf>`
                
                

                """

                _prefix = 'ios-bgp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Bgp.Scope, self).__init__()

                    self.yang_name = "scope"
                    self.yang_parent_name = "bgp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"global" : ("global_", Native.Router.Bgp.Scope.Global_)}
                    self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Vrf)}

                    self.global_ = None
                    self._children_name_map["global_"] = "global"
                    self._children_yang_names.add("global")

                    self.vrf = YList(self)
                    self._segment_path = lambda: "scope"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Bgp.Scope, [], name, value)


                class Global_(Entity):
                    """
                    
                    
                    .. attribute:: neighbor
                    
                    	Specify a neighbor router
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.Neighbor>`
                    
                    .. attribute:: address_family
                    
                    	Enter Address Family command mode
                    	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Scope.Global_, self).__init__()

                        self.yang_name = "global"
                        self.yang_parent_name = "scope"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address-family" : ("address_family", Native.Router.Bgp.Scope.Global_.AddressFamily)}
                        self._child_list_classes = {"neighbor" : ("neighbor", Native.Router.Bgp.Scope.Global_.Neighbor)}
                        self.is_presence_container = True

                        self.address_family = Native.Router.Bgp.Scope.Global_.AddressFamily()
                        self.address_family.parent = self
                        self._children_name_map["address_family"] = "address-family"
                        self._children_yang_names.add("address-family")

                        self.neighbor = YList(self)
                        self._segment_path = lambda: "global"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Scope.Global_, [], name, value)


                    class Neighbor(Entity):
                        """
                        Specify a neighbor router
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: peer_group
                        
                        	Member of the peer\-group
                        	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.Neighbor.PeerGroup>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: remote_as
                        
                        	Specify a BGP neighbor
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..4294967295
                        
                        		**type**\: str
                        
                        .. attribute:: description
                        
                        	Neighbor specific description
                        	**type**\: str
                        
                        .. attribute:: password
                        
                        	Set a password
                        	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.Neighbor.Password>`
                        
                        .. attribute:: update_source
                        
                        	Source of routing updates
                        	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource>`
                        
                        .. attribute:: version
                        
                        	Set the BGP version to match a neighbor
                        	**type**\: int
                        
                        	**range:** 4..None
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Scope.Global_.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "global"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Global_.Neighbor.PeerGroup), "password" : ("password", Native.Router.Bgp.Scope.Global_.Neighbor.Password), "update-source" : ("update_source", Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.remote_as = YLeaf(YType.str, "remote-as")

                            self.description = YLeaf(YType.str, "description")

                            self.version = YLeaf(YType.uint16, "version")

                            self.peer_group = None
                            self._children_name_map["peer_group"] = "peer-group"
                            self._children_yang_names.add("peer-group")

                            self.password = Native.Router.Bgp.Scope.Global_.Neighbor.Password()
                            self.password.parent = self
                            self._children_name_map["password"] = "password"
                            self._children_yang_names.add("password")

                            self.update_source = Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource()
                            self.update_source.parent = self
                            self._children_name_map["update_source"] = "update-source"
                            self._children_yang_names.add("update-source")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.Neighbor, ['id', 'remote_as', 'description', 'version'], name, value)


                        class PeerGroup(Entity):
                            """
                            Member of the peer\-group
                            
                            .. attribute:: peer_group_name
                            
                            	WORD;;peer\-group name
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Scope.Global_.Neighbor.PeerGroup, self).__init__()

                                self.yang_name = "peer-group"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                self._segment_path = lambda: "peer-group"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                        class Password(Entity):
                            """
                            Set a password
                            
                            .. attribute:: enctype
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: text
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Scope.Global_.Neighbor.Password, self).__init__()

                                self.yang_name = "password"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.enctype = YLeaf(YType.uint8, "enctype")

                                self.text = YLeaf(YType.str, "text")
                                self._segment_path = lambda: "password"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.Neighbor.Password, ['enctype', 'text'], name, value)


                        class UpdateSource(Entity):
                            """
                            Source of routing updates
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.ATMSubinterface>`
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\: str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.ATMACRsubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\: str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\: str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\: str
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.LISPSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\: str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\: str
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\: str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource, self).__init__()

                                self.yang_name = "update-source"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.PortChannelSubinterface)}
                                self._child_list_classes = {}

                                self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                self.atm = YLeaf(YType.str, "ATM")

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                self.bdi = YLeaf(YType.str, "BDI")

                                self.cem = YLeaf(YType.str, "CEM")

                                self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.lisp = YLeaf(YType.str, "LISP")

                                self.loopback = YLeaf(YType.uint32, "Loopback")

                                self.multilink = YLeaf(YType.uint16, "Multilink")

                                self.nve = YLeaf(YType.uint16, "nve")

                                self.overlay = YLeaf(YType.uint16, "overlay")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                self.sm = YLeaf(YType.str, "SM")

                                self.cellular = YLeaf(YType.str, "Cellular")

                                self.serial = YLeaf(YType.str, "Serial")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                self.vlan = YLeaf(YType.uint16, "Vlan")

                                self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                self.vasileft = YLeaf(YType.uint16, "vasileft")

                                self.vasiright = YLeaf(YType.uint16, "vasiright")

                                self.atm_subinterface = Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.ATMSubinterface()
                                self.atm_subinterface.parent = self
                                self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                self._children_yang_names.add("ATM-subinterface")

                                self.atm_acrsubinterface = Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.ATMACRsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                self._children_yang_names.add("ATM-ACRsubinterface")

                                self.lisp_subinterface = Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.LISPSubinterface()
                                self.lisp_subinterface.parent = self
                                self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                self._children_yang_names.add("LISP-subinterface")

                                self.port_channel_subinterface = Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                self._children_yang_names.add("Port-channel-subinterface")
                                self._segment_path = lambda: "update-source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                            class ATMSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                    self.yang_name = "ATM-subinterface"
                                    self.yang_parent_name = "update-source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm = YLeaf(YType.str, "ATM")
                                    self._segment_path = lambda: "ATM-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                            class ATMACRsubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                    self.yang_name = "ATM-ACRsubinterface"
                                    self.yang_parent_name = "update-source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                    self._segment_path = lambda: "ATM-ACRsubinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                            class LISPSubinterface(Entity):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                    self.yang_name = "LISP-subinterface"
                                    self.yang_parent_name = "update-source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.lisp = YLeaf(YType.str, "LISP")
                                    self._segment_path = lambda: "LISP-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                            class PortChannelSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                    self.yang_name = "Port-channel-subinterface"
                                    self.yang_parent_name = "update-source"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port_channel = YLeaf(YType.str, "Port-channel")
                                    self._segment_path = lambda: "Port-channel-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                    class AddressFamily(Entity):
                        """
                        Enter Address Family command mode
                        
                        .. attribute:: no_vrf
                        
                        	
                        	**type**\:  :py:class:`NoVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Scope.Global_.AddressFamily, self).__init__()

                            self.yang_name = "address-family"
                            self.yang_parent_name = "global"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"no-vrf" : ("no_vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf)}
                            self._child_list_classes = {}

                            self.no_vrf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf()
                            self.no_vrf.parent = self
                            self._children_name_map["no_vrf"] = "no-vrf"
                            self._children_yang_names.add("no-vrf")
                            self._segment_path = lambda: "address-family"


                        class NoVrf(Entity):
                            """
                            
                            
                            .. attribute:: ipv4
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6>`
                            
                            .. attribute:: vpnv4
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`Vpnv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4>`
                            
                            .. attribute:: vpnv6
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`Vpnv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6>`
                            
                            .. attribute:: nsap
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`Nsap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap>`
                            
                            .. attribute:: l2vpn
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`L2Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn>`
                            
                            .. attribute:: rtfilter
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`Rtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf, self).__init__()

                                self.yang_name = "no-vrf"
                                self.yang_parent_name = "address-family"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4), "ipv6" : ("ipv6", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6), "vpnv4" : ("vpnv4", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4), "vpnv6" : ("vpnv6", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6), "nsap" : ("nsap", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap), "l2vpn" : ("l2vpn", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn), "rtfilter" : ("rtfilter", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter)}

                                self.ipv4 = YList(self)
                                self.ipv6 = YList(self)
                                self.vpnv4 = YList(self)
                                self.vpnv6 = YList(self)
                                self.nsap = YList(self)
                                self.l2vpn = YList(self)
                                self.rtfilter = YList(self)
                                self._segment_path = lambda: "no-vrf"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf, [], name, value)


                            class Ipv4(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`BgpIpv4AfType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.BgpIpv4AfType>`
                                
                                .. attribute:: aggregate_address
                                
                                	Configure BGP aggregate entries
                                	**type**\:  :py:class:`AggregateAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.AggregateAddress>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"aggregate-address" : ("aggregate_address", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.AggregateAddress), "import" : ("import_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.aggregate_address = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.AggregateAddress()
                                    self.aggregate_address.parent = self
                                    self._children_name_map["aggregate_address"] = "aggregate-address"
                                    self._children_yang_names.add("aggregate-address")

                                    self.import_ = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "ipv4" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)


                                class AggregateAddress(Entity):
                                    """
                                    Configure BGP aggregate entries
                                    
                                    .. attribute:: ipv4_address
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv4_mask
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: advertise_map
                                    
                                    	Set condition to advertise attribute
                                    	**type**\: str
                                    
                                    .. attribute:: as_set
                                    
                                    	Generate AS set path information
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: attribute_map
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: summary_only
                                    
                                    	Filter more specific routes from updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_map
                                    
                                    	Conditionally filter more specific routes from updates
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.AggregateAddress, self).__init__()

                                        self.yang_name = "aggregate-address"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_address = YLeaf(YType.str, "ipv4-address")

                                        self.ipv4_mask = YLeaf(YType.str, "ipv4-mask")

                                        self.advertise_map = YLeaf(YType.str, "advertise-map")

                                        self.as_set = YLeaf(YType.empty, "as-set")

                                        self.attribute_map = YLeaf(YType.str, "attribute-map")

                                        self.as_override = YLeaf(YType.empty, "as-override")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.summary_only = YLeaf(YType.empty, "summary-only")

                                        self.suppress_map = YLeaf(YType.str, "suppress-map")
                                        self._segment_path = lambda: "aggregate-address"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.AggregateAddress, ['ipv4_address', 'ipv4_mask', 'advertise_map', 'as_set', 'attribute_map', 'as_override', 'route_map', 'summary_only', 'suppress_map'], name, value)


                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv4.Snmp.Context.ContextWord, ['context_word'], name, value)


                            class Ipv6(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`BgpIpv6AfType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.BgpIpv6AfType>`
                                
                                .. attribute:: aggregate_address
                                
                                	Configure BGP aggregate entries
                                	**type**\:  :py:class:`AggregateAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.AggregateAddress>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"aggregate-address" : ("aggregate_address", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.AggregateAddress), "import" : ("import_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.aggregate_address = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.AggregateAddress()
                                    self.aggregate_address.parent = self
                                    self._children_name_map["aggregate_address"] = "aggregate-address"
                                    self._children_yang_names.add("aggregate-address")

                                    self.import_ = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "ipv6" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)


                                class AggregateAddress(Entity):
                                    """
                                    Configure BGP aggregate entries
                                    
                                    .. attribute:: ipv6_address
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: advertise_map
                                    
                                    	Set condition to advertise attribute
                                    	**type**\: str
                                    
                                    .. attribute:: as_set
                                    
                                    	Generate AS set path information
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: attribute_map
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: summary_only
                                    
                                    	Filter more specific routes from updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_map
                                    
                                    	Conditionally filter more specific routes from updates
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.AggregateAddress, self).__init__()

                                        self.yang_name = "aggregate-address"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv6_address = YLeaf(YType.str, "ipv6-address")

                                        self.advertise_map = YLeaf(YType.str, "advertise-map")

                                        self.as_set = YLeaf(YType.empty, "as-set")

                                        self.attribute_map = YLeaf(YType.str, "attribute-map")

                                        self.as_override = YLeaf(YType.empty, "as-override")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.summary_only = YLeaf(YType.empty, "summary-only")

                                        self.suppress_map = YLeaf(YType.str, "suppress-map")
                                        self._segment_path = lambda: "aggregate-address"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.AggregateAddress, ['ipv6_address', 'advertise_map', 'as_set', 'attribute_map', 'as_override', 'route_map', 'summary_only', 'suppress_map'], name, value)


                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Ipv6.Snmp.Context.ContextWord, ['context_word'], name, value)


                            class Vpnv4(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.AfName>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4, self).__init__()

                                    self.yang_name = "vpnv4"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.import_ = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "vpnv4" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                                class AfName(Enum):
                                    """
                                    AfName

                                    .. data:: unicast = 0

                                    .. data:: multicast = 1

                                    .. data:: flowspec = 2

                                    """

                                    unicast = Enum.YLeaf(0, "unicast")

                                    multicast = Enum.YLeaf(1, "multicast")

                                    flowspec = Enum.YLeaf(2, "flowspec")



                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv4.Snmp.Context.ContextWord, ['context_word'], name, value)


                            class Vpnv6(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.AfName>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6, self).__init__()

                                    self.yang_name = "vpnv6"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.import_ = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "vpnv6" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                                class AfName(Enum):
                                    """
                                    AfName

                                    .. data:: unicast = 0

                                    .. data:: multicast = 1

                                    .. data:: flowspec = 2

                                    """

                                    unicast = Enum.YLeaf(0, "unicast")

                                    multicast = Enum.YLeaf(1, "multicast")

                                    flowspec = Enum.YLeaf(2, "flowspec")



                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Vpnv6.Snmp.Context.ContextWord, ['context_word'], name, value)


                            class Nsap(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.AfName>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap, self).__init__()

                                    self.yang_name = "nsap"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.import_ = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "nsap" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                                class AfName(Enum):
                                    """
                                    AfName

                                    .. data:: unicast = 0

                                    """

                                    unicast = Enum.YLeaf(0, "unicast")



                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Nsap.Snmp.Context.ContextWord, ['context_word'], name, value)


                            class L2Vpn(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.AfName>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn, self).__init__()

                                    self.yang_name = "l2vpn"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.import_ = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "l2vpn" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                                class AfName(Enum):
                                    """
                                    AfName

                                    .. data:: evpn = 0

                                    .. data:: vpls = 1

                                    """

                                    evpn = Enum.YLeaf(0, "evpn")

                                    vpls = Enum.YLeaf(1, "vpls")



                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.L2Vpn.Snmp.Context.ContextWord, ['context_word'], name, value)


                            class Rtfilter(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.AfName>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter, self).__init__()

                                    self.yang_name = "rtfilter"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.import_ = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "rtfilter" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                                class AfName(Enum):
                                    """
                                    AfName

                                    .. data:: unicast = 0

                                    """

                                    unicast = Enum.YLeaf(0, "unicast")



                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Global_.AddressFamily.NoVrf.Rtfilter.Snmp.Context.ContextWord, ['context_word'], name, value)


                class Vrf(Entity):
                    """
                    
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: neighbor
                    
                    	Specify a neighbor router
                    	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.Neighbor>`
                    
                    .. attribute:: address_family
                    
                    	Enter Address Family command mode
                    	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily>`
                    
                    

                    """

                    _prefix = 'ios-bgp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Bgp.Scope.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "scope"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"address-family" : ("address_family", Native.Router.Bgp.Scope.Vrf.AddressFamily)}
                        self._child_list_classes = {"neighbor" : ("neighbor", Native.Router.Bgp.Scope.Vrf.Neighbor)}

                        self.id = YLeaf(YType.str, "id")

                        self.address_family = Native.Router.Bgp.Scope.Vrf.AddressFamily()
                        self.address_family.parent = self
                        self._children_name_map["address_family"] = "address-family"
                        self._children_yang_names.add("address-family")

                        self.neighbor = YList(self)
                        self._segment_path = lambda: "vrf" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf, ['id'], name, value)


                    class Neighbor(Entity):
                        """
                        Specify a neighbor router
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: peer_group
                        
                        	Member of the peer\-group
                        	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.Neighbor.PeerGroup>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: remote_as
                        
                        	Specify a BGP neighbor
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..4294967295
                        
                        		**type**\: str
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Scope.Vrf.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Vrf.Neighbor.PeerGroup)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.remote_as = YLeaf(YType.str, "remote-as")

                            self.peer_group = None
                            self._children_name_map["peer_group"] = "peer-group"
                            self._children_yang_names.add("peer-group")
                            self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.Neighbor, ['id', 'remote_as'], name, value)


                        class PeerGroup(Entity):
                            """
                            Member of the peer\-group
                            
                            .. attribute:: peer_group_name
                            
                            	WORD;;peer\-group name
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Scope.Vrf.Neighbor.PeerGroup, self).__init__()

                                self.yang_name = "peer-group"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                self._segment_path = lambda: "peer-group"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                    class AddressFamily(Entity):
                        """
                        Enter Address Family command mode
                        
                        .. attribute:: no_vrf
                        
                        	
                        	**type**\:  :py:class:`NoVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf>`
                        
                        

                        """

                        _prefix = 'ios-bgp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily, self).__init__()

                            self.yang_name = "address-family"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"no-vrf" : ("no_vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf)}
                            self._child_list_classes = {}

                            self.no_vrf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf()
                            self.no_vrf.parent = self
                            self._children_name_map["no_vrf"] = "no-vrf"
                            self._children_yang_names.add("no-vrf")
                            self._segment_path = lambda: "address-family"


                        class NoVrf(Entity):
                            """
                            
                            
                            .. attribute:: ipv4
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4>`
                            
                            .. attribute:: ipv6
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6>`
                            
                            .. attribute:: vpnv4
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`Vpnv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4>`
                            
                            .. attribute:: vpnv6
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`Vpnv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6>`
                            
                            .. attribute:: nsap
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`Nsap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap>`
                            
                            .. attribute:: l2vpn
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`L2Vpn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn>`
                            
                            .. attribute:: rtfilter
                            
                            	Address family
                            	**type**\: list of  		 :py:class:`Rtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter>`
                            
                            

                            """

                            _prefix = 'ios-bgp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf, self).__init__()

                                self.yang_name = "no-vrf"
                                self.yang_parent_name = "address-family"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4), "ipv6" : ("ipv6", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6), "vpnv4" : ("vpnv4", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4), "vpnv6" : ("vpnv6", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6), "nsap" : ("nsap", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap), "l2vpn" : ("l2vpn", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn), "rtfilter" : ("rtfilter", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter)}

                                self.ipv4 = YList(self)
                                self.ipv6 = YList(self)
                                self.vpnv4 = YList(self)
                                self.vpnv6 = YList(self)
                                self.nsap = YList(self)
                                self.l2vpn = YList(self)
                                self.rtfilter = YList(self)
                                self._segment_path = lambda: "no-vrf"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf, [], name, value)


                            class Ipv4(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`BgpIpv4AfType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.BgpIpv4AfType>`
                                
                                .. attribute:: aggregate_address
                                
                                	Configure BGP aggregate entries
                                	**type**\:  :py:class:`AggregateAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.AggregateAddress>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"aggregate-address" : ("aggregate_address", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.AggregateAddress), "import" : ("import_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.aggregate_address = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.AggregateAddress()
                                    self.aggregate_address.parent = self
                                    self._children_name_map["aggregate_address"] = "aggregate-address"
                                    self._children_yang_names.add("aggregate-address")

                                    self.import_ = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "ipv4" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)


                                class AggregateAddress(Entity):
                                    """
                                    Configure BGP aggregate entries
                                    
                                    .. attribute:: ipv4_address
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv4_mask
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: advertise_map
                                    
                                    	Set condition to advertise attribute
                                    	**type**\: str
                                    
                                    .. attribute:: as_set
                                    
                                    	Generate AS set path information
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: attribute_map
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: summary_only
                                    
                                    	Filter more specific routes from updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_map
                                    
                                    	Conditionally filter more specific routes from updates
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.AggregateAddress, self).__init__()

                                        self.yang_name = "aggregate-address"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_address = YLeaf(YType.str, "ipv4-address")

                                        self.ipv4_mask = YLeaf(YType.str, "ipv4-mask")

                                        self.advertise_map = YLeaf(YType.str, "advertise-map")

                                        self.as_set = YLeaf(YType.empty, "as-set")

                                        self.attribute_map = YLeaf(YType.str, "attribute-map")

                                        self.as_override = YLeaf(YType.empty, "as-override")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.summary_only = YLeaf(YType.empty, "summary-only")

                                        self.suppress_map = YLeaf(YType.str, "suppress-map")
                                        self._segment_path = lambda: "aggregate-address"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.AggregateAddress, ['ipv4_address', 'ipv4_mask', 'advertise_map', 'as_set', 'attribute_map', 'as_override', 'route_map', 'summary_only', 'suppress_map'], name, value)


                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv4.Snmp.Context.ContextWord, ['context_word'], name, value)


                            class Ipv6(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`BgpIpv6AfType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.BgpIpv6AfType>`
                                
                                .. attribute:: aggregate_address
                                
                                	Configure BGP aggregate entries
                                	**type**\:  :py:class:`AggregateAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.AggregateAddress>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"aggregate-address" : ("aggregate_address", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.AggregateAddress), "import" : ("import_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.aggregate_address = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.AggregateAddress()
                                    self.aggregate_address.parent = self
                                    self._children_name_map["aggregate_address"] = "aggregate-address"
                                    self._children_yang_names.add("aggregate-address")

                                    self.import_ = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "ipv6" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)


                                class AggregateAddress(Entity):
                                    """
                                    Configure BGP aggregate entries
                                    
                                    .. attribute:: ipv6_address
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: advertise_map
                                    
                                    	Set condition to advertise attribute
                                    	**type**\: str
                                    
                                    .. attribute:: as_set
                                    
                                    	Generate AS set path information
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: attribute_map
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: summary_only
                                    
                                    	Filter more specific routes from updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_map
                                    
                                    	Conditionally filter more specific routes from updates
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.AggregateAddress, self).__init__()

                                        self.yang_name = "aggregate-address"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv6_address = YLeaf(YType.str, "ipv6-address")

                                        self.advertise_map = YLeaf(YType.str, "advertise-map")

                                        self.as_set = YLeaf(YType.empty, "as-set")

                                        self.attribute_map = YLeaf(YType.str, "attribute-map")

                                        self.as_override = YLeaf(YType.empty, "as-override")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.summary_only = YLeaf(YType.empty, "summary-only")

                                        self.suppress_map = YLeaf(YType.str, "suppress-map")
                                        self._segment_path = lambda: "aggregate-address"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.AggregateAddress, ['ipv6_address', 'advertise_map', 'as_set', 'attribute_map', 'as_override', 'route_map', 'summary_only', 'suppress_map'], name, value)


                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Ipv6.Snmp.Context.ContextWord, ['context_word'], name, value)


                            class Vpnv4(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.AfName>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4, self).__init__()

                                    self.yang_name = "vpnv4"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.import_ = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "vpnv4" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                                class AfName(Enum):
                                    """
                                    AfName

                                    .. data:: unicast = 0

                                    .. data:: multicast = 1

                                    .. data:: flowspec = 2

                                    """

                                    unicast = Enum.YLeaf(0, "unicast")

                                    multicast = Enum.YLeaf(1, "multicast")

                                    flowspec = Enum.YLeaf(2, "flowspec")



                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "vpnv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv4.Snmp.Context.ContextWord, ['context_word'], name, value)


                            class Vpnv6(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.AfName>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6, self).__init__()

                                    self.yang_name = "vpnv6"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.import_ = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "vpnv6" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                                class AfName(Enum):
                                    """
                                    AfName

                                    .. data:: unicast = 0

                                    .. data:: multicast = 1

                                    .. data:: flowspec = 2

                                    """

                                    unicast = Enum.YLeaf(0, "unicast")

                                    multicast = Enum.YLeaf(1, "multicast")

                                    flowspec = Enum.YLeaf(2, "flowspec")



                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "vpnv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Vpnv6.Snmp.Context.ContextWord, ['context_word'], name, value)


                            class Nsap(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.AfName>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap, self).__init__()

                                    self.yang_name = "nsap"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.import_ = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "nsap" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                                class AfName(Enum):
                                    """
                                    AfName

                                    .. data:: unicast = 0

                                    """

                                    unicast = Enum.YLeaf(0, "unicast")



                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "nsap"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Nsap.Snmp.Context.ContextWord, ['context_word'], name, value)


                            class L2Vpn(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.AfName>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn, self).__init__()

                                    self.yang_name = "l2vpn"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.import_ = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "l2vpn" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                                class AfName(Enum):
                                    """
                                    AfName

                                    .. data:: evpn = 0

                                    .. data:: vpls = 1

                                    """

                                    evpn = Enum.YLeaf(0, "evpn")

                                    vpls = Enum.YLeaf(1, "vpls")



                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "l2vpn"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.L2Vpn.Snmp.Context.ContextWord, ['context_word'], name, value)


                            class Rtfilter(Entity):
                                """
                                Address family
                                
                                .. attribute:: af_name  <key>
                                
                                	
                                	**type**\:  :py:class:`AfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.AfName>`
                                
                                .. attribute:: import_
                                
                                	Configure path import
                                	**type**\:  :py:class:`Import_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Import_>`
                                
                                .. attribute:: bgp
                                
                                	BGP specific commands
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp>`
                                
                                .. attribute:: default_information
                                
                                	Control distribution of default information
                                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DefaultInformation>`
                                
                                .. attribute:: default_metric
                                
                                	Set metric of redistributed routes
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: distance
                                
                                	Define an administrative distance
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance>`
                                
                                .. attribute:: distribute_list
                                
                                	Filter networks in routing updates
                                	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DistributeList>`
                                
                                .. attribute:: maximum_paths
                                
                                	Forward packets over multiple paths
                                	**type**\:  :py:class:`MaximumPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths>`
                                
                                .. attribute:: neighbor
                                
                                	Specify a neighbor router
                                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor>`
                                
                                .. attribute:: network
                                
                                	Specify a network to announce via BGP
                                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Network>`
                                
                                .. attribute:: redistribute
                                
                                	Redistribute information from another routing protocol
                                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute>`
                                
                                .. attribute:: synchronization
                                
                                	Perform IGP synchronization
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: auto_summary
                                
                                	Enable automatic network number summarization
                                	**type**\: bool
                                
                                .. attribute:: table_map
                                
                                	Map external entry attributes into routing table
                                	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.TableMap>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: snmp
                                
                                	Modify snmp parameters
                                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Snmp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-bgp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter, self).__init__()

                                    self.yang_name = "rtfilter"
                                    self.yang_parent_name = "no-vrf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"import" : ("import_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Import_), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp), "default-information" : ("default_information", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DefaultInformation), "distance" : ("distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance), "maximum-paths" : ("maximum_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths), "redistribute" : ("redistribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute), "table-map" : ("table_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.TableMap), "snmp" : ("snmp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Snmp)}
                                    self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DistributeList), "neighbor" : ("neighbor", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor), "network" : ("network", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Network)}

                                    self.af_name = YLeaf(YType.enumeration, "af-name")

                                    self.default_metric = YLeaf(YType.uint32, "default-metric")

                                    self.synchronization = YLeaf(YType.empty, "synchronization")

                                    self.auto_summary = YLeaf(YType.boolean, "auto-summary")

                                    self.import_ = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Import_()
                                    self.import_.parent = self
                                    self._children_name_map["import_"] = "import"
                                    self._children_yang_names.add("import")

                                    self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.default_information = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DefaultInformation()
                                    self.default_information.parent = self
                                    self._children_name_map["default_information"] = "default-information"
                                    self._children_yang_names.add("default-information")

                                    self.distance = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.maximum_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths()
                                    self.maximum_paths.parent = self
                                    self._children_name_map["maximum_paths"] = "maximum-paths"
                                    self._children_yang_names.add("maximum-paths")

                                    self.redistribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute()
                                    self.redistribute.parent = self
                                    self._children_name_map["redistribute"] = "redistribute"
                                    self._children_yang_names.add("redistribute")

                                    self.table_map = None
                                    self._children_name_map["table_map"] = "table-map"
                                    self._children_yang_names.add("table-map")

                                    self.snmp = None
                                    self._children_name_map["snmp"] = "snmp"
                                    self._children_yang_names.add("snmp")

                                    self.distribute_list = YList(self)
                                    self.neighbor = YList(self)
                                    self.network = YList(self)
                                    self._segment_path = lambda: "rtfilter" + "[af-name='" + self.af_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter, ['af_name', 'default_metric', 'synchronization', 'auto_summary'], name, value)

                                class AfName(Enum):
                                    """
                                    AfName

                                    .. data:: unicast = 0

                                    """

                                    unicast = Enum.YLeaf(0, "unicast")



                                class Import_(Entity):
                                    """
                                    Configure path import
                                    
                                    .. attribute:: path
                                    
                                    	Path selection and path limit
                                    	**type**\:  :py:class:`Path <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Import_.Path>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Import_, self).__init__()

                                        self.yang_name = "import"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"path" : ("path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Import_.Path)}
                                        self._child_list_classes = {}

                                        self.path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Import_.Path()
                                        self.path.parent = self
                                        self._children_name_map["path"] = "path"
                                        self._children_yang_names.add("path")
                                        self._segment_path = lambda: "import"


                                    class Path(Entity):
                                        """
                                        Path selection and path limit
                                        
                                        .. attribute:: limit
                                        
                                        	Per net imported path limit
                                        	**type**\: int
                                        
                                        	**range:** 2..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Import_.Path, self).__init__()

                                            self.yang_name = "path"
                                            self.yang_parent_name = "import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint8, "limit")
                                            self._segment_path = lambda: "path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Import_.Path, ['limit'], name, value)


                                class Bgp(Entity):
                                    """
                                    BGP specific commands
                                    
                                    .. attribute:: router_id
                                    
                                    	Override configured router identifier (peers will reset)
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: always_compare_med
                                    
                                    	Allow comparing MED from different neighbors
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: aggregate_timer
                                    
                                    	Timer interval
                                    	**type**\: int
                                    
                                    	**range:** 6..60
                                    
                                    .. attribute:: asnotation
                                    
                                    	Change the default asplain notation
                                    	**type**\:  :py:class:`Asnotation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation>`
                                    
                                    .. attribute:: nopeerup_delay
                                    
                                    	Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                    	**type**\:  :py:class:`NopeerupDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay>`
                                    
                                    .. attribute:: recursion
                                    
                                    	recursion rule for the nexthops
                                    	**type**\:  :py:class:`Recursion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion>`
                                    
                                    .. attribute:: advertise_best_external
                                    
                                    	Advertise best external path to internal peers
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	Additional paths in the BGP table
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths>`
                                    
                                    .. attribute:: bestpath
                                    
                                    	Change the default bestpath selection
                                    	**type**\:  :py:class:`Bestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath>`
                                    
                                    .. attribute:: client_to_client
                                    
                                    	Configure client to client route reflection
                                    	**type**\:  :py:class:`ClientToClient <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: confederation
                                    
                                    	AS confederation parameters
                                    	**type**\:  :py:class:`Confederation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation>`
                                    
                                    .. attribute:: consistency_checker
                                    
                                    	Consistency\-checker
                                    	**type**\:  :py:class:`ConsistencyChecker <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker>`
                                    
                                    .. attribute:: dampening
                                    
                                    	Enable route\-flap dampening
                                    	**type**\:  :py:class:`Dampening <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: default
                                    
                                    	Configure BGP defaults
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Default>`
                                    
                                    .. attribute:: deterministic_med
                                    
                                    	Pick the best\-MED path among paths advertised from the neighboring AS
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Use DMZ Link Bandwidth as weight for BGP multipaths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enforce_first_as
                                    
                                    	Enforce the first AS for EBGP routes(default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: enhanced_error
                                    
                                    	Enabled BGP Enhanced error handling
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: fast_external_fallover
                                    
                                    	Immediately reset session if a link to a directly connected external peer goes down
                                    	**type**\: bool
                                    
                                    .. attribute:: graceful_restart
                                    
                                    	Graceful restart capability parameters
                                    	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.GracefulRestart>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ha_mode
                                    
                                    	Select BGP High Availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode>`
                                    
                                    .. attribute:: inject_map
                                    
                                    	Routemap which specifies prefixes to inject
                                    	**type**\: list of  		 :py:class:`InjectMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.InjectMap>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: maxas_limit
                                    
                                    	Allow AS\-PATH attribute from any neighbor imposing a limit on number of ASes
                                    	**type**\: int
                                    
                                    	**range:** 1..2000
                                    
                                    .. attribute:: maxcommunity_limit
                                    
                                    	Number of communities in the COMMUNITY attribute
                                    	**type**\: int
                                    
                                    	**range:** 1..1018
                                    
                                    .. attribute:: route_map
                                    
                                    	bgp route\-map commands
                                    	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer>`
                                    
                                    .. attribute:: update_group
                                    
                                    	Manage peers in bgp update groups
                                    	**type**\:  :py:class:`UpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup>`
                                    
                                    .. attribute:: nexthop
                                    
                                    	Nexthop tracking commands
                                    	**type**\:  :py:class:`Nexthop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop>`
                                    
                                    .. attribute:: redistribute_internal
                                    
                                    	Allow redistribution of iBGP into IGPs (dangerous)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: regexp
                                    
                                    	Select regular expression engine
                                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp>`
                                    
                                    .. attribute:: scan_time
                                    
                                    	Configure background scanner interval
                                    	**type**\: int
                                    
                                    	**range:** 5..60
                                    
                                    .. attribute:: soft_reconfig_backup
                                    
                                    	Use soft\-reconfiguration inbound only when route\-refresh is not negotiated
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: suppress_inactive
                                    
                                    	Suppress routes that are not in the routing table
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Transport>`
                                    
                                    .. attribute:: update_delay
                                    
                                    	Set the max initial delay for sending update
                                    	**type**\: int
                                    
                                    	**range:** 1..3600
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"asnotation" : ("asnotation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation), "nopeerup-delay" : ("nopeerup_delay", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay), "recursion" : ("recursion", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths), "bestpath" : ("bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath), "client-to-client" : ("client_to_client", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient), "confederation" : ("confederation", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation), "consistency-checker" : ("consistency_checker", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker), "dampening" : ("dampening", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening), "default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Default), "graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.GracefulRestart), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer), "update-group" : ("update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup), "nexthop" : ("nexthop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop), "regexp" : ("regexp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Transport)}
                                        self._child_list_classes = {"inject-map" : ("inject_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.InjectMap)}

                                        self.router_id = YLeaf(YType.str, "router-id")

                                        self.always_compare_med = YLeaf(YType.empty, "always-compare-med")

                                        self.aggregate_timer = YLeaf(YType.uint8, "aggregate-timer")

                                        self.advertise_best_external = YLeaf(YType.empty, "advertise-best-external")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.deterministic_med = YLeaf(YType.empty, "deterministic-med")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.enforce_first_as = YLeaf(YType.empty, "enforce-first-as")

                                        self.enhanced_error = YLeaf(YType.empty, "enhanced-error")

                                        self.fast_external_fallover = YLeaf(YType.boolean, "fast-external-fallover")

                                        self.log_neighbor_changes = YLeaf(YType.empty, "log-neighbor-changes")

                                        self.maxas_limit = YLeaf(YType.uint16, "maxas-limit")

                                        self.maxcommunity_limit = YLeaf(YType.uint16, "maxcommunity-limit")

                                        self.redistribute_internal = YLeaf(YType.empty, "redistribute-internal")

                                        self.scan_time = YLeaf(YType.uint8, "scan-time")

                                        self.soft_reconfig_backup = YLeaf(YType.empty, "soft-reconfig-backup")

                                        self.suppress_inactive = YLeaf(YType.empty, "suppress-inactive")

                                        self.update_delay = YLeaf(YType.uint16, "update-delay")

                                        self.asnotation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation()
                                        self.asnotation.parent = self
                                        self._children_name_map["asnotation"] = "asnotation"
                                        self._children_yang_names.add("asnotation")

                                        self.nopeerup_delay = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay()
                                        self.nopeerup_delay.parent = self
                                        self._children_name_map["nopeerup_delay"] = "nopeerup-delay"
                                        self._children_yang_names.add("nopeerup-delay")

                                        self.recursion = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion()
                                        self.recursion.parent = self
                                        self._children_name_map["recursion"] = "recursion"
                                        self._children_yang_names.add("recursion")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.bestpath = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath()
                                        self.bestpath.parent = self
                                        self._children_name_map["bestpath"] = "bestpath"
                                        self._children_yang_names.add("bestpath")

                                        self.client_to_client = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient()
                                        self.client_to_client.parent = self
                                        self._children_name_map["client_to_client"] = "client-to-client"
                                        self._children_yang_names.add("client-to-client")

                                        self.confederation = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation()
                                        self.confederation.parent = self
                                        self._children_name_map["confederation"] = "confederation"
                                        self._children_yang_names.add("confederation")

                                        self.consistency_checker = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker()
                                        self.consistency_checker.parent = self
                                        self._children_name_map["consistency_checker"] = "consistency-checker"
                                        self._children_yang_names.add("consistency-checker")

                                        self.dampening = None
                                        self._children_name_map["dampening"] = "dampening"
                                        self._children_yang_names.add("dampening")

                                        self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.graceful_restart = None
                                        self._children_name_map["graceful_restart"] = "graceful-restart"
                                        self._children_yang_names.add("graceful-restart")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.route_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap()
                                        self.route_map.parent = self
                                        self._children_name_map["route_map"] = "route-map"
                                        self._children_yang_names.add("route-map")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup()
                                        self.update_group.parent = self
                                        self._children_name_map["update_group"] = "update-group"
                                        self._children_yang_names.add("update-group")

                                        self.nexthop = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop()
                                        self.nexthop.parent = self
                                        self._children_name_map["nexthop"] = "nexthop"
                                        self._children_yang_names.add("nexthop")

                                        self.regexp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp()
                                        self.regexp.parent = self
                                        self._children_name_map["regexp"] = "regexp"
                                        self._children_yang_names.add("regexp")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.inject_map = YList(self)
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp, ['router_id', 'always_compare_med', 'aggregate_timer', 'advertise_best_external', 'cluster_id', 'deterministic_med', 'dmzlink_bw', 'enforce_first_as', 'enhanced_error', 'fast_external_fallover', 'log_neighbor_changes', 'maxas_limit', 'maxcommunity_limit', 'redistribute_internal', 'scan_time', 'soft_reconfig_backup', 'suppress_inactive', 'update_delay'], name, value)


                                    class Asnotation(Entity):
                                        """
                                        Change the default asplain notation
                                        
                                        .. attribute:: dot
                                        
                                        	asdot notation
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation, self).__init__()

                                            self.yang_name = "asnotation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dot = YLeaf(YType.empty, "dot")
                                            self._segment_path = lambda: "asnotation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Asnotation, ['dot'], name, value)


                                    class NopeerupDelay(Entity):
                                        """
                                        Set how long BGP will wait for the first peer to come up before beginning the update delay or graceful restart timers (in seconds)
                                        
                                        .. attribute:: cold_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: nsf_switchover
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: post_boot
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: user_initiated
                                        
                                        	Delay in seconds
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay, self).__init__()

                                            self.yang_name = "nopeerup-delay"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.cold_boot = YLeaf(YType.uint16, "cold-boot")

                                            self.nsf_switchover = YLeaf(YType.uint16, "nsf-switchover")

                                            self.post_boot = YLeaf(YType.uint16, "post-boot")

                                            self.user_initiated = YLeaf(YType.uint16, "user-initiated")
                                            self._segment_path = lambda: "nopeerup-delay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.NopeerupDelay, ['cold_boot', 'nsf_switchover', 'post_boot', 'user_initiated'], name, value)


                                    class Recursion(Entity):
                                        """
                                        recursion rule for the nexthops
                                        
                                        .. attribute:: host
                                        
                                        	recursion via host for the nexthops
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion, self).__init__()

                                            self.yang_name = "recursion"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.host = YLeaf(YType.empty, "host")
                                            self._segment_path = lambda: "recursion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Recursion, ['host'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        Additional paths in the BGP table
                                        
                                        .. attribute:: install
                                        
                                        	Additional paths to install into RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: select
                                        
                                        	Selection criteria to pick the paths
                                        	**type**\:  :py:class:`Select <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to neighbors
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"select" : ("select", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select), "send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.install = YLeaf(YType.empty, "install")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.select = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select()
                                            self.select.parent = self
                                            self._children_name_map["select"] = "select"
                                            self._children_yang_names.add("select")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths, ['install', 'receive'], name, value)


                                        class Select(Entity):
                                            """
                                            Selection criteria to pick the paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: backup
                                            
                                            	Select backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best>`
                                            
                                            .. attribute:: best_external
                                            
                                            	Select best\-external path
                                            	**type**\:  :py:class:`BestExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.BestExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best path
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select, self).__init__()

                                                self.yang_name = "select"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All), "backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Backup), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best), "best-external" : ("best_external", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.BestExternal), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.best_external = None
                                                self._children_name_map["best_external"] = "best-external"
                                                self._children_yang_names.add("best-external")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "select"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best path
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best.Range>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best.Range)}

                                                        self.range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best, [], name, value)


                                                    class Range(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best path
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best.Range, self).__init__()

                                                            self.yang_name = "range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.Best.Range, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best path
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.All.GroupBest, ['best'], name, value)


                                            class Backup(Entity):
                                                """
                                                Select backup path
                                                
                                                .. attribute:: best_external
                                                
                                                	Select best\-external path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best_external = YLeaf(YType.empty, "best-external")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Backup, ['best_external'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range)}

                                                    self.range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best, [], name, value)


                                                class Range(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best path
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range, self).__init__()

                                                        self.yang_name = "range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best path
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.Best.Range.GroupBest, ['all'], name, value)


                                            class BestExternal(Entity):
                                                """
                                                Select best\-external path
                                                
                                                .. attribute:: backup
                                                
                                                	Select backup path
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.BestExternal, self).__init__()

                                                    self.yang_name = "best-external"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.backup = YLeaf(YType.empty, "backup")
                                                    self._segment_path = lambda: "best-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.BestExternal, ['backup'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best path
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "select"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Select.GroupBest, ['all', 'best'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to neighbors
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from neighbors
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.AdditionalPaths.Send, ['receive'], name, value)


                                    class Bestpath(Entity):
                                        """
                                        Change the default bestpath selection
                                        
                                        .. attribute:: compare_routerid
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: cost_community
                                        
                                        	cost community
                                        	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity>`
                                        
                                        .. attribute:: igp_metric
                                        
                                        	igp metric
                                        	**type**\:  :py:class:`IgpMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric>`
                                        
                                        .. attribute:: med
                                        
                                        	MED attribute
                                        	**type**\:  :py:class:`Med <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath, self).__init__()

                                            self.yang_name = "bestpath"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity), "igp-metric" : ("igp_metric", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric), "med" : ("med", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med)}
                                            self._child_list_classes = {}

                                            self.compare_routerid = YLeaf(YType.empty, "compare-routerid")

                                            self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity()
                                            self.cost_community.parent = self
                                            self._children_name_map["cost_community"] = "cost-community"
                                            self._children_yang_names.add("cost-community")

                                            self.igp_metric = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric()
                                            self.igp_metric.parent = self
                                            self._children_name_map["igp_metric"] = "igp-metric"
                                            self._children_yang_names.add("igp-metric")

                                            self.med = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med()
                                            self.med.parent = self
                                            self._children_name_map["med"] = "med"
                                            self._children_yang_names.add("med")
                                            self._segment_path = lambda: "bestpath"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath, ['compare_routerid'], name, value)


                                        class CostCommunity(Entity):
                                            """
                                            cost community
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore cost communities in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity, self).__init__()

                                                self.yang_name = "cost-community"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "cost-community"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.CostCommunity, ['ignore'], name, value)


                                        class IgpMetric(Entity):
                                            """
                                            igp metric
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore igp metric in bestpath selection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric, self).__init__()

                                                self.yang_name = "igp-metric"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")
                                                self._segment_path = lambda: "igp-metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.IgpMetric, ['ignore'], name, value)


                                        class Med(Entity):
                                            """
                                            MED attribute
                                            
                                            .. attribute:: confed
                                            
                                            	Compare MED among confederation paths
                                            	**type**\:  :py:class:`Confed <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med.Confed>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: missing_at_worst
                                            
                                            	Treat missing MED as the least preferred one
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med, self).__init__()

                                                self.yang_name = "med"
                                                self.yang_parent_name = "bestpath"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"confed" : ("confed", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med.Confed)}
                                                self._child_list_classes = {}

                                                self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")

                                                self.confed = None
                                                self._children_name_map["confed"] = "confed"
                                                self._children_yang_names.add("confed")
                                                self._segment_path = lambda: "med"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med, ['missing_at_worst'], name, value)


                                            class Confed(Entity):
                                                """
                                                Compare MED among confederation paths
                                                
                                                .. attribute:: missing_at_worst
                                                
                                                	Treat missing MED as the least preferred one
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med.Confed, self).__init__()

                                                    self.yang_name = "confed"
                                                    self.yang_parent_name = "med"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.missing_at_worst = YLeaf(YType.empty, "missing-at-worst")
                                                    self._segment_path = lambda: "confed"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Bestpath.Med.Confed, ['missing_at_worst'], name, value)


                                    class ClientToClient(Entity):
                                        """
                                        Configure client to client route reflection
                                        
                                        .. attribute:: reflection
                                        
                                        	reflection of routes allowed
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient, self).__init__()

                                            self.yang_name = "client-to-client"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.reflection = YLeaf(YType.empty, "reflection")
                                            self._segment_path = lambda: "client-to-client"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ClientToClient, ['reflection'], name, value)


                                    class Confederation(Entity):
                                        """
                                        AS confederation parameters
                                        
                                        .. attribute:: identifier
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: peers
                                        
                                        	Peer ASs in BGP confederation
                                        	**type**\:  :py:class:`Peers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation, self).__init__()

                                            self.yang_name = "confederation"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"peers" : ("peers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers)}
                                            self._child_list_classes = {}

                                            self.identifier = YLeaf(YType.uint32, "identifier")

                                            self.peers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers()
                                            self.peers.parent = self
                                            self._children_name_map["peers"] = "peers"
                                            self._children_yang_names.add("peers")
                                            self._segment_path = lambda: "confederation"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation, ['identifier'], name, value)


                                        class Peers(Entity):
                                            """
                                            Peer ASs in BGP confederation
                                            
                                            .. attribute:: peers_as
                                            
                                            	
                                            	**type**\: list of int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers, self).__init__()

                                                self.yang_name = "peers"
                                                self.yang_parent_name = "confederation"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.peers_as = YLeafList(YType.uint32, "peers-as")
                                                self._segment_path = lambda: "peers"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Confederation.Peers, ['peers_as'], name, value)


                                    class ConsistencyChecker(Entity):
                                        """
                                        Consistency\-checker
                                        
                                        .. attribute:: auto_repair
                                        
                                        	Auto\-Repair
                                        	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.AutoRepair>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: error_message
                                        
                                        	Log Error\-Msg
                                        	**type**\:  :py:class:`ErrorMessage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.ErrorMessage>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker, self).__init__()

                                            self.yang_name = "consistency-checker"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.AutoRepair), "error-message" : ("error_message", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.ErrorMessage)}
                                            self._child_list_classes = {}

                                            self.auto_repair = None
                                            self._children_name_map["auto_repair"] = "auto-repair"
                                            self._children_yang_names.add("auto-repair")

                                            self.error_message = None
                                            self._children_name_map["error_message"] = "error-message"
                                            self._children_yang_names.add("error-message")
                                            self._segment_path = lambda: "consistency-checker"


                                        class AutoRepair(Entity):
                                            """
                                            Auto\-Repair
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.AutoRepair, self).__init__()

                                                self.yang_name = "auto-repair"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "auto-repair"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.AutoRepair, ['interval'], name, value)


                                        class ErrorMessage(Entity):
                                            """
                                            Log Error\-Msg
                                            
                                            .. attribute:: interval
                                            
                                            	Interval (minutes)
                                            	**type**\: int
                                            
                                            	**range:** 5..1440
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.ErrorMessage, self).__init__()

                                                self.yang_name = "error-message"
                                                self.yang_parent_name = "consistency-checker"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "error-message"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.ConsistencyChecker.ErrorMessage, ['interval'], name, value)


                                    class Dampening(Entity):
                                        """
                                        Enable route\-flap dampening
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria for dampening
                                        	**type**\: str
                                        
                                        .. attribute:: dampen
                                        
                                        	
                                        	**type**\:  :py:class:`Dampen <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening, self).__init__()

                                            self.yang_name = "dampening"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"dampen" : ("dampen", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.dampen = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen()
                                            self.dampen.parent = self
                                            self._children_name_map["dampen"] = "dampen"
                                            self._children_yang_names.add("dampen")
                                            self._segment_path = lambda: "dampening"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening, ['route_map'], name, value)


                                        class Dampen(Entity):
                                            """
                                            
                                            
                                            .. attribute:: half_life_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..45
                                            
                                            .. attribute:: reuse_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..20000
                                            
                                            .. attribute:: max_suppress_time
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen, self).__init__()

                                                self.yang_name = "dampen"
                                                self.yang_parent_name = "dampening"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.half_life_time = YLeaf(YType.uint8, "half-life-time")

                                                self.reuse_time = YLeaf(YType.uint16, "reuse-time")

                                                self.suppress_time = YLeaf(YType.uint16, "suppress-time")

                                                self.max_suppress_time = YLeaf(YType.uint8, "max-suppress-time")
                                                self._segment_path = lambda: "dampen"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Dampening.Dampen, ['half_life_time', 'reuse_time', 'suppress_time', 'max_suppress_time'], name, value)


                                    class Default(Entity):
                                        """
                                        Configure BGP defaults
                                        
                                        .. attribute:: ipv4_unicast
                                        
                                        	Activate ipv4\-unicast for a peer by default
                                        	**type**\: bool
                                        
                                        .. attribute:: ipv6_nexthop
                                        
                                        	Default IPv6 nexthop format
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: local_preference
                                        
                                        	local preference (higher=more preferred)
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: route_target
                                        
                                        	Control behavior based on Route\-Target attributes
                                        	**type**\:  :py:class:`RouteTarget <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Default.RouteTarget>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_unicast = YLeaf(YType.boolean, "ipv4-unicast")

                                            self.ipv6_nexthop = YLeaf(YType.empty, "ipv6-nexthop")

                                            self.local_preference = YLeaf(YType.uint32, "local-preference")

                                            self.route_target = YLeaf(YType.enumeration, "route-target")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Default, ['ipv4_unicast', 'ipv6_nexthop', 'local_preference', 'route_target'], name, value)

                                        class RouteTarget(Enum):
                                            """
                                            RouteTarget

                                            Control behavior based on Route\-Target attributes

                                            .. data:: filter = 0

                                            """

                                            filter = Enum.YLeaf(0, "filter")



                                    class GracefulRestart(Entity):
                                        """
                                        Graceful restart capability parameters
                                        
                                        .. attribute:: extended
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: restart_time
                                        
                                        	Set the max time needed to restart and come back up
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        .. attribute:: stalepath_time
                                        
                                        	Set the max time to hold onto restarting peer's stale paths
                                        	**type**\: int
                                        
                                        	**range:** 1..3600
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.GracefulRestart, self).__init__()

                                            self.yang_name = "graceful-restart"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.extended = YLeaf(YType.empty, "extended")

                                            self.restart_time = YLeaf(YType.uint16, "restart-time")

                                            self.stalepath_time = YLeaf(YType.uint16, "stalepath-time")
                                            self._segment_path = lambda: "graceful-restart"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.GracefulRestart, ['extended', 'restart_time', 'stalepath_time'], name, value)


                                    class HaMode(Entity):
                                        """
                                        Select BGP High Availability mode
                                        
                                        .. attribute:: sso
                                        
                                        	BGP High Availability NSR sso mode
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class Sso(Entity):
                                            """
                                            BGP High Availability NSR sso mode
                                            
                                            .. attribute:: prefer
                                            
                                            	Perfer BGP High Availability NSR sso mode
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.prefer = YLeaf(YType.empty, "prefer")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.HaMode.Sso, ['prefer'], name, value)


                                    class InjectMap(Entity):
                                        """
                                        Routemap which specifies prefixes to inject
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: exist_map
                                        
                                        	Routemap which specifies exist condition
                                        	**type**\: str
                                        
                                        .. attribute:: copy_attributes
                                        
                                        	Copy attributes from aggregate
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.InjectMap, self).__init__()

                                            self.yang_name = "inject-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.exist_map = YLeaf(YType.str, "exist-map")

                                            self.copy_attributes = YLeaf(YType.empty, "copy-attributes")
                                            self._segment_path = lambda: "inject-map" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.InjectMap, ['name', 'exist_map', 'copy_attributes'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        bgp route\-map commands
                                        
                                        .. attribute:: priority
                                        
                                        	Have route\-map set commands take priority over BGP commands such 
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority = YLeaf(YType.empty, "priority")
                                            self._segment_path = lambda: "route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.RouteMap, ['priority'], name, value)


                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: disable
                                            
                                            	Disable slow\-peer detection
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.Detection, ['disable', 'threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class UpdateGroup(Entity):
                                        """
                                        Manage peers in bgp update groups
                                        
                                        .. attribute:: split
                                        
                                        	Split update groups based on Policy
                                        	**type**\:  :py:class:`Split <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup, self).__init__()

                                            self.yang_name = "update-group"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"split" : ("split", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split)}
                                            self._child_list_classes = {}

                                            self.split = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split()
                                            self.split.parent = self
                                            self._children_name_map["split"] = "split"
                                            self._children_yang_names.add("split")
                                            self._segment_path = lambda: "update-group"


                                        class Split(Entity):
                                            """
                                            Split update groups based on Policy
                                            
                                            .. attribute:: as_override
                                            
                                            	Keep peers with as\-override in different update groups
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split, self).__init__()

                                                self.yang_name = "split"
                                                self.yang_parent_name = "update-group"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.as_override = YLeaf(YType.empty, "as-override")
                                                self._segment_path = lambda: "split"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.UpdateGroup.Split, ['as_override'], name, value)


                                    class Nexthop(Entity):
                                        """
                                        Nexthop tracking commands
                                        
                                        .. attribute:: trigger
                                        
                                        	Nexthop triggering
                                        	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for valid nexthops
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop, self).__init__()

                                            self.yang_name = "nexthop"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"trigger" : ("trigger", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.trigger = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger()
                                            self.trigger.parent = self
                                            self._children_name_map["trigger"] = "trigger"
                                            self._children_yang_names.add("trigger")
                                            self._segment_path = lambda: "nexthop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop, ['route_map'], name, value)


                                        class Trigger(Entity):
                                            """
                                            Nexthop triggering
                                            
                                            .. attribute:: delay
                                            
                                            	Set the delay to tigger nexthop tracking
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: enable
                                            
                                            	Enable nexthop tracking
                                            	**type**\: bool
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger, self).__init__()

                                                self.yang_name = "trigger"
                                                self.yang_parent_name = "nexthop"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.delay = YLeaf(YType.uint8, "delay")

                                                self.enable = YLeaf(YType.boolean, "enable")
                                                self._segment_path = lambda: "trigger"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Nexthop.Trigger, ['delay', 'enable'], name, value)


                                    class Regexp(Entity):
                                        """
                                        Select regular expression engine
                                        
                                        .. attribute:: deterministic
                                        
                                        	Enable bounded\-execution\-time regular expression engine
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp, self).__init__()

                                            self.yang_name = "regexp"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.deterministic = YLeaf(YType.empty, "deterministic")
                                            self._segment_path = lambda: "regexp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Regexp, ['deterministic'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\: bool
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.path_mtu_discovery = YLeaf(YType.boolean, "path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Bgp.Transport, ['path_mtu_discovery'], name, value)


                                class DefaultInformation(Entity):
                                    """
                                    Control distribution of default information
                                    
                                    .. attribute:: originate
                                    
                                    	Distribute a default route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DefaultInformation, self).__init__()

                                        self.yang_name = "default-information"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.originate = YLeaf(YType.empty, "originate")
                                        self._segment_path = lambda: "default-information"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DefaultInformation, ['originate'], name, value)


                                class Distance(Entity):
                                    """
                                    Define an administrative distance
                                    
                                    .. attribute:: bgp
                                    
                                    	BGP distance
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance.Bgp>`
                                    
                                    .. attribute:: adm_distance
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AdmDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance.Bgp)}
                                        self._child_list_classes = {"adm-distance" : ("adm_distance", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance)}

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.adm_distance = YList(self)
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        BGP distance
                                        
                                        .. attribute:: extern_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: internal_as
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: local
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.extern_as = YLeaf(YType.uint16, "extern-as")

                                            self.internal_as = YLeaf(YType.uint16, "internal-as")

                                            self.local = YLeaf(YType.uint16, "local")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance.Bgp, ['extern_as', 'internal_as', 'local'], name, value)


                                    class AdmDistance(Entity):
                                        """
                                        
                                        
                                        .. attribute:: distance  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: srcip  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: wildbits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: acl
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance, self).__init__()

                                            self.yang_name = "adm-distance"
                                            self.yang_parent_name = "distance"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.distance = YLeaf(YType.uint16, "distance")

                                            self.srcip = YLeaf(YType.str, "srcip")

                                            self.wildbits = YLeaf(YType.str, "wildbits")

                                            self.acl = YLeaf(YType.str, "acl")
                                            self._segment_path = lambda: "adm-distance" + "[distance='" + self.distance.get() + "']" + "[srcip='" + self.srcip.get() + "']" + "[wildbits='" + self.wildbits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Distance.AdmDistance, ['distance', 'srcip', 'wildbits', 'acl'], name, value)


                                class DistributeList(Entity):
                                    """
                                    Filter networks in routing updates
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 100..199
                                    
                                    		**type**\: int
                                    
                                    			**range:** 2000..2699
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** [a\-zA\-Z].\*
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming routing updates
                                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DistributeList.In_>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing routing updates
                                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DistributeList.Out>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DistributeList, self).__init__()

                                        self.yang_name = "distribute-list"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"in" : ("in_", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DistributeList.In_), "out" : ("out", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DistributeList.Out)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.in_ = None
                                        self._children_name_map["in_"] = "in"
                                        self._children_yang_names.add("in")

                                        self.out = None
                                        self._children_name_map["out"] = "out"
                                        self._children_yang_names.add("out")
                                        self._segment_path = lambda: "distribute-list" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DistributeList, ['id'], name, value)


                                    class In_(Entity):
                                        """
                                        Filter incoming routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DistributeList.In_, self).__init__()

                                            self.yang_name = "in"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DistributeList.In_, ['interface'], name, value)


                                    class Out(Entity):
                                        """
                                        Filter outgoing routing updates
                                        
                                        .. attribute:: interface
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DistributeList.Out, self).__init__()

                                            self.yang_name = "out"
                                            self.yang_parent_name = "distribute-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.interface = YLeaf(YType.str, "interface")
                                            self._segment_path = lambda: "out"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.DistributeList.Out, ['interface'], name, value)


                                class MaximumPaths(Entity):
                                    """
                                    Forward packets over multiple paths
                                    
                                    .. attribute:: max_path
                                    
                                    	
                                    	**type**\:  :py:class:`MaxPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath>`
                                    
                                    .. attribute:: external_rtfilter
                                    
                                    	VPN prefix multipath on external RTFilter peers
                                    	**type**\:  :py:class:`ExternalRtfilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter>`
                                    
                                    .. attribute:: eibgp
                                    
                                    	Both eBGP and iBGP paths as multipath
                                    	**type**\: int
                                    
                                    	**range:** 1..32
                                    
                                    .. attribute:: ibgp
                                    
                                    	iBGP\-multipath
                                    	**type**\:  :py:class:`Ibgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths, self).__init__()

                                        self.yang_name = "maximum-paths"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"max-path" : ("max_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath), "external-rtfilter" : ("external_rtfilter", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter), "ibgp" : ("ibgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp)}
                                        self._child_list_classes = {}

                                        self.eibgp = YLeaf(YType.uint16, "eibgp")

                                        self.max_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath()
                                        self.max_path.parent = self
                                        self._children_name_map["max_path"] = "max-path"
                                        self._children_yang_names.add("max-path")

                                        self.external_rtfilter = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter()
                                        self.external_rtfilter.parent = self
                                        self._children_name_map["external_rtfilter"] = "external-rtfilter"
                                        self._children_yang_names.add("external-rtfilter")

                                        self.ibgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp()
                                        self.ibgp.parent = self
                                        self._children_name_map["ibgp"] = "ibgp"
                                        self._children_yang_names.add("ibgp")
                                        self._segment_path = lambda: "maximum-paths"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths, ['eibgp'], name, value)


                                    class MaxPath(Entity):
                                        """
                                        
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath, self).__init__()

                                            self.yang_name = "max-path"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "max-path"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.MaxPath, ['max'], name, value)


                                    class ExternalRtfilter(Entity):
                                        """
                                        VPN prefix multipath on external RTFilter peers
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter, self).__init__()

                                            self.yang_name = "external-rtfilter"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "external-rtfilter"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.ExternalRtfilter, ['max'], name, value)


                                    class Ibgp(Entity):
                                        """
                                        iBGP\-multipath
                                        
                                        .. attribute:: unequal_cost
                                        
                                        	Perform Un\-Equal cost multipath selection
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        .. attribute:: max
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..32
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp, self).__init__()

                                            self.yang_name = "ibgp"
                                            self.yang_parent_name = "maximum-paths"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unequal_cost = YLeaf(YType.uint16, "unequal-cost")

                                            self.max = YLeaf(YType.uint16, "max")
                                            self._segment_path = lambda: "ibgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.MaximumPaths.Ibgp, ['unequal_cost', 'max'], name, value)


                                class Neighbor(Entity):
                                    """
                                    Specify a neighbor router
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: peer_group
                                    
                                    	Member of the peer\-group
                                    	**type**\:  :py:class:`PeerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: remote_as
                                    
                                    	Specify a BGP neighbor
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: local_as
                                    
                                    	Specify a local\-as number
                                    	**type**\:  :py:class:`LocalAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: activate
                                    
                                    	Enable the Address Family for this Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: additional_paths
                                    
                                    	
                                    	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths>`
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise to this neighbor
                                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise>`
                                    
                                    .. attribute:: advertise_map
                                    
                                    	specify route\-map for conditional advertisement
                                    	**type**\:  :py:class:`AdvertiseMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap>`
                                    
                                    .. attribute:: aigp
                                    
                                    	Enable a AIGP on neighbor
                                    	**type**\:  :py:class:`Aigp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: allow_policy
                                    
                                    	Enable the policy support for this IBGP Neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: announce
                                    
                                    	Announce RPKI State using an Extended Community
                                    	**type**\:  :py:class:`Announce <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce>`
                                    
                                    .. attribute:: advertisement_interval
                                    
                                    	Minimum interval between sending BGP routing updates
                                    	**type**\: int
                                    
                                    	**range:** 0..600
                                    
                                    .. attribute:: allowas_in
                                    
                                    	Accept as\-path with my AS present in it
                                    	**type**\:  :py:class:`AllowasIn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: as_override
                                    
                                    	Override matching AS\-number while sending update
                                    	**type**\:  :py:class:`AsOverride <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: capability
                                    
                                    	Advertise capability to the peer
                                    	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability>`
                                    
                                    .. attribute:: cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: default_originate
                                    
                                    	Originate default route to this neighbour
                                    	**type**\:  :py:class:`DefaultOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: description
                                    
                                    	Neighbor specific description
                                    	**type**\: str
                                    
                                    .. attribute:: disable_connected_check
                                    
                                    	One\-hop away EBGP peer using loopback address
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList>`
                                    
                                    .. attribute:: dmzlink_bw
                                    
                                    	Propagate the DMZ link bandwidth
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ebgp_multihop
                                    
                                    	Allow EBGP neighbors not on directly connected networks
                                    	**type**\:  :py:class:`EbgpMultihop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: fall_over
                                    
                                    	session fall on peer route lost
                                    	**type**\:  :py:class:`FallOver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver>`
                                    
                                    .. attribute:: filter_list
                                    
                                    	Establish BGP filters
                                    	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList>`
                                    
                                    .. attribute:: inherit
                                    
                                    	Inherit a template
                                    	**type**\:  :py:class:`Inherit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit>`
                                    
                                    .. attribute:: log_neighbor_changes
                                    
                                    	Log neighbor up/down and reset reason
                                    	**type**\:  :py:class:`LogNeighborChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes accepted from this peer
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix>`
                                    
                                    .. attribute:: next_hop_self
                                    
                                    	Disable the next hop calculation for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: next_hop_unchanged
                                    
                                    	Propagate the iBGP paths's next hop unchanged for this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: password
                                    
                                    	Set a password
                                    	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Password>`
                                    
                                    .. attribute:: prefix_list
                                    
                                    	Filter updates to/from this neighbor
                                    	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList>`
                                    
                                    .. attribute:: path_attribute
                                    
                                    	BGP optional attribute filtering
                                    	**type**\:  :py:class:`PathAttribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute>`
                                    
                                    .. attribute:: remove_private_as
                                    
                                    	Remove private AS number from outbound updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Apply route map to neighbor
                                    	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap>`
                                    
                                    .. attribute:: route_reflector_client
                                    
                                    	Configure a neighbor as Route Reflector client
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_reflector_cluster_id
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: send_community
                                    
                                    	Send Community attribute to this neighbor
                                    	**type**\:  :py:class:`SendCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: send_label
                                    
                                    	Send NLRI + MPLS Label to this peer
                                    	**type**\:  :py:class:`SendLabel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel>`
                                    
                                    .. attribute:: soo
                                    
                                    	ASN\:nn or IP\-address\:nn  VPN extended community
                                    	**type**\: str
                                    
                                    .. attribute:: shutdown
                                    
                                    	Administratively shut down this neighbor
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: soft_reconfiguration
                                    
                                    	Per neighbor soft reconfiguration
                                    	**type**\:  :py:class:`SoftReconfiguration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SoftReconfiguration>`
                                    
                                    .. attribute:: slow_peer
                                    
                                    	Configure slow\-peer
                                    	**type**\:  :py:class:`SlowPeer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer>`
                                    
                                    .. attribute:: timers
                                    
                                    	BGP per neighbor timers
                                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers>`
                                    
                                    .. attribute:: translate_update
                                    
                                    	Translate Update to MBGP format
                                    	**type**\:  :py:class:`TranslateUpdate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate>`
                                    
                                    .. attribute:: transport
                                    
                                    	Transport options
                                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport>`
                                    
                                    .. attribute:: ttl_security
                                    
                                    	BGP ttl security check
                                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity>`
                                    
                                    .. attribute:: unsuppress_map
                                    
                                    	Route\-map to selectively unsuppress suppressed routes
                                    	**type**\: str
                                    
                                    .. attribute:: update_source
                                    
                                    	Source of routing updates
                                    	**type**\:  :py:class:`UpdateSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource>`
                                    
                                    .. attribute:: version
                                    
                                    	Set the BGP version to match a neighbor
                                    	**type**\: int
                                    
                                    	**range:** 4..None
                                    
                                    .. attribute:: weight
                                    
                                    	Set default weight for routes from this neighbor
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: ha_mode
                                    
                                    	high availability mode
                                    	**type**\:  :py:class:`HaMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode>`
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor, self).__init__()

                                        self.yang_name = "neighbor"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"peer-group" : ("peer_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup), "local-as" : ("local_as", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs), "additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths), "advertise" : ("advertise", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise), "advertise-map" : ("advertise_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap), "aigp" : ("aigp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp), "announce" : ("announce", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce), "allowas-in" : ("allowas_in", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn), "as-override" : ("as_override", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride), "capability" : ("capability", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability), "default-originate" : ("default_originate", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate), "ebgp-multihop" : ("ebgp_multihop", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop), "fall-over" : ("fall_over", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver), "inherit" : ("inherit", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit), "log-neighbor-changes" : ("log_neighbor_changes", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges), "maximum-prefix" : ("maximum_prefix", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix), "password" : ("password", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Password), "path-attribute" : ("path_attribute", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute), "send-community" : ("send_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity), "send-label" : ("send_label", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel), "slow-peer" : ("slow_peer", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer), "timers" : ("timers", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers), "translate-update" : ("translate_update", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate), "transport" : ("transport", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport), "ttl-security" : ("ttl_security", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity), "update-source" : ("update_source", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource), "ha-mode" : ("ha_mode", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode)}
                                        self._child_list_classes = {"distribute-list" : ("distribute_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList), "filter-list" : ("filter_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList), "prefix-list" : ("prefix_list", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList), "route-map" : ("route_map", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap)}

                                        self.id = YLeaf(YType.str, "id")

                                        self.remote_as = YLeaf(YType.str, "remote-as")

                                        self.activate = YLeaf(YType.empty, "activate")

                                        self.allow_policy = YLeaf(YType.empty, "allow-policy")

                                        self.advertisement_interval = YLeaf(YType.uint16, "advertisement-interval")

                                        self.cluster_id = YLeaf(YType.str, "cluster-id")

                                        self.description = YLeaf(YType.str, "description")

                                        self.disable_connected_check = YLeaf(YType.empty, "disable-connected-check")

                                        self.dmzlink_bw = YLeaf(YType.empty, "dmzlink-bw")

                                        self.next_hop_self = YLeaf(YType.empty, "next-hop-self")

                                        self.next_hop_unchanged = YLeaf(YType.empty, "next-hop-unchanged")

                                        self.remove_private_as = YLeaf(YType.empty, "remove-private-as")

                                        self.route_reflector_client = YLeaf(YType.empty, "route-reflector-client")

                                        self.route_reflector_cluster_id = YLeaf(YType.str, "route-reflector-cluster-id")

                                        self.soo = YLeaf(YType.str, "soo")

                                        self.shutdown = YLeaf(YType.empty, "shutdown")

                                        self.soft_reconfiguration = YLeaf(YType.enumeration, "soft-reconfiguration")

                                        self.unsuppress_map = YLeaf(YType.str, "unsuppress-map")

                                        self.version = YLeaf(YType.uint16, "version")

                                        self.weight = YLeaf(YType.uint16, "weight")

                                        self.peer_group = None
                                        self._children_name_map["peer_group"] = "peer-group"
                                        self._children_yang_names.add("peer-group")

                                        self.local_as = None
                                        self._children_name_map["local_as"] = "local-as"
                                        self._children_yang_names.add("local-as")

                                        self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths()
                                        self.additional_paths.parent = self
                                        self._children_name_map["additional_paths"] = "additional-paths"
                                        self._children_yang_names.add("additional-paths")

                                        self.advertise = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise()
                                        self.advertise.parent = self
                                        self._children_name_map["advertise"] = "advertise"
                                        self._children_yang_names.add("advertise")

                                        self.advertise_map = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap()
                                        self.advertise_map.parent = self
                                        self._children_name_map["advertise_map"] = "advertise-map"
                                        self._children_yang_names.add("advertise-map")

                                        self.aigp = None
                                        self._children_name_map["aigp"] = "aigp"
                                        self._children_yang_names.add("aigp")

                                        self.announce = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce()
                                        self.announce.parent = self
                                        self._children_name_map["announce"] = "announce"
                                        self._children_yang_names.add("announce")

                                        self.allowas_in = None
                                        self._children_name_map["allowas_in"] = "allowas-in"
                                        self._children_yang_names.add("allowas-in")

                                        self.as_override = None
                                        self._children_name_map["as_override"] = "as-override"
                                        self._children_yang_names.add("as-override")

                                        self.capability = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability()
                                        self.capability.parent = self
                                        self._children_name_map["capability"] = "capability"
                                        self._children_yang_names.add("capability")

                                        self.default_originate = None
                                        self._children_name_map["default_originate"] = "default-originate"
                                        self._children_yang_names.add("default-originate")

                                        self.ebgp_multihop = None
                                        self._children_name_map["ebgp_multihop"] = "ebgp-multihop"
                                        self._children_yang_names.add("ebgp-multihop")

                                        self.fall_over = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver()
                                        self.fall_over.parent = self
                                        self._children_name_map["fall_over"] = "fall-over"
                                        self._children_yang_names.add("fall-over")

                                        self.inherit = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit()
                                        self.inherit.parent = self
                                        self._children_name_map["inherit"] = "inherit"
                                        self._children_yang_names.add("inherit")

                                        self.log_neighbor_changes = None
                                        self._children_name_map["log_neighbor_changes"] = "log-neighbor-changes"
                                        self._children_yang_names.add("log-neighbor-changes")

                                        self.maximum_prefix = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.password = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Password()
                                        self.password.parent = self
                                        self._children_name_map["password"] = "password"
                                        self._children_yang_names.add("password")

                                        self.path_attribute = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute()
                                        self.path_attribute.parent = self
                                        self._children_name_map["path_attribute"] = "path-attribute"
                                        self._children_yang_names.add("path-attribute")

                                        self.send_community = None
                                        self._children_name_map["send_community"] = "send-community"
                                        self._children_yang_names.add("send-community")

                                        self.send_label = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel()
                                        self.send_label.parent = self
                                        self._children_name_map["send_label"] = "send-label"
                                        self._children_yang_names.add("send-label")

                                        self.slow_peer = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer()
                                        self.slow_peer.parent = self
                                        self._children_name_map["slow_peer"] = "slow-peer"
                                        self._children_yang_names.add("slow-peer")

                                        self.timers = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers()
                                        self.timers.parent = self
                                        self._children_name_map["timers"] = "timers"
                                        self._children_yang_names.add("timers")

                                        self.translate_update = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate()
                                        self.translate_update.parent = self
                                        self._children_name_map["translate_update"] = "translate-update"
                                        self._children_yang_names.add("translate-update")

                                        self.transport = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport()
                                        self.transport.parent = self
                                        self._children_name_map["transport"] = "transport"
                                        self._children_yang_names.add("transport")

                                        self.ttl_security = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity()
                                        self.ttl_security.parent = self
                                        self._children_name_map["ttl_security"] = "ttl-security"
                                        self._children_yang_names.add("ttl-security")

                                        self.update_source = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource()
                                        self.update_source.parent = self
                                        self._children_name_map["update_source"] = "update-source"
                                        self._children_yang_names.add("update-source")

                                        self.ha_mode = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode()
                                        self.ha_mode.parent = self
                                        self._children_name_map["ha_mode"] = "ha-mode"
                                        self._children_yang_names.add("ha-mode")

                                        self.distribute_list = YList(self)
                                        self.filter_list = YList(self)
                                        self.prefix_list = YList(self)
                                        self.route_map = YList(self)
                                        self._segment_path = lambda: "neighbor" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor, ['id', 'remote_as', 'activate', 'allow_policy', 'advertisement_interval', 'cluster_id', 'description', 'disable_connected_check', 'dmzlink_bw', 'next_hop_self', 'next_hop_unchanged', 'remove_private_as', 'route_reflector_client', 'route_reflector_cluster_id', 'soo', 'shutdown', 'soft_reconfiguration', 'unsuppress_map', 'version', 'weight'], name, value)

                                    class SoftReconfiguration(Enum):
                                        """
                                        SoftReconfiguration

                                        Per neighbor soft reconfiguration

                                        .. data:: inbound = 0

                                        """

                                        inbound = Enum.YLeaf(0, "inbound")



                                    class PeerGroup(Entity):
                                        """
                                        Member of the peer\-group
                                        
                                        .. attribute:: peer_group_name
                                        
                                        	WORD;;peer\-group name
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup, self).__init__()

                                            self.yang_name = "peer-group"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.peer_group_name = YLeaf(YType.str, "peer-group-name")
                                            self._segment_path = lambda: "peer-group"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PeerGroup, ['peer_group_name'], name, value)


                                    class LocalAs(Entity):
                                        """
                                        Specify a local\-as number
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: no_prepend
                                        
                                        	Do not prepend local\-as to updates from ebgp peers
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: replace_as
                                        
                                        	Replace real AS with local AS in the EBGP updates
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: dual_as
                                        
                                        	Accept either real AS or local AS from the ebgp peer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs, self).__init__()

                                            self.yang_name = "local-as"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.no_prepend = YLeaf(YType.empty, "no-prepend")

                                            self.replace_as = YLeaf(YType.empty, "replace-as")

                                            self.dual_as = YLeaf(YType.empty, "dual-as")
                                            self._segment_path = lambda: "local-as"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.LocalAs, ['as_no', 'no_prepend', 'replace_as', 'dual_as'], name, value)


                                    class AdditionalPaths(Entity):
                                        """
                                        
                                        
                                        .. attribute:: disable
                                        
                                        	Disable additional paths for this neighbor
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: receive
                                        
                                        	Receive additional paths from neighbors
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: send
                                        
                                        	Send additional paths to this neighbor
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths, self).__init__()

                                            self.yang_name = "additional-paths"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send)}
                                            self._child_list_classes = {}

                                            self.disable = YLeaf(YType.empty, "disable")

                                            self.receive = YLeaf(YType.empty, "receive")

                                            self.send = None
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "additional-paths"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths, ['disable', 'receive'], name, value)


                                        class Send(Entity):
                                            """
                                            Send additional paths to this neighbor
                                            
                                            .. attribute:: receive
                                            
                                            	Receive additional paths from this neighbor
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "additional-paths"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.receive = YLeaf(YType.empty, "receive")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdditionalPaths.Send, ['receive'], name, value)


                                    class Advertise(Entity):
                                        """
                                        Advertise to this neighbor
                                        
                                        .. attribute:: additional_paths
                                        
                                        	Advertise additional paths
                                        	**type**\:  :py:class:`AdditionalPaths <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths>`
                                        
                                        .. attribute:: best_external
                                        
                                        	Advertise best\-external (at RRs best\-internal) path
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: diverse_path
                                        
                                        	Advertise diverse path
                                        	**type**\:  :py:class:`DiversePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise, self).__init__()

                                            self.yang_name = "advertise"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"additional-paths" : ("additional_paths", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths), "diverse-path" : ("diverse_path", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath)}
                                            self._child_list_classes = {}

                                            self.best_external = YLeaf(YType.empty, "best-external")

                                            self.additional_paths = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths()
                                            self.additional_paths.parent = self
                                            self._children_name_map["additional_paths"] = "additional-paths"
                                            self._children_yang_names.add("additional-paths")

                                            self.diverse_path = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath()
                                            self.diverse_path.parent = self
                                            self._children_name_map["diverse_path"] = "diverse-path"
                                            self._children_yang_names.add("diverse-path")
                                            self._segment_path = lambda: "advertise"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise, ['best_external'], name, value)


                                        class AdditionalPaths(Entity):
                                            """
                                            Advertise additional paths
                                            
                                            .. attribute:: all
                                            
                                            	Select all available paths
                                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: best
                                            
                                            	Select best N paths
                                            	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best>`
                                            
                                            .. attribute:: group_best
                                            
                                            	Select group\-best paths
                                            	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths, self).__init__()

                                                self.yang_name = "additional-paths"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"all" : ("all", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All), "best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest)}
                                                self._child_list_classes = {}

                                                self.all = None
                                                self._children_name_map["all"] = "all"
                                                self._children_yang_names.add("all")

                                                self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best()
                                                self.best.parent = self
                                                self._children_name_map["best"] = "best"
                                                self._children_yang_names.add("best")

                                                self.group_best = None
                                                self._children_name_map["group_best"] = "group-best"
                                                self._children_yang_names.add("group-best")
                                                self._segment_path = lambda: "additional-paths"


                                            class All(Entity):
                                                """
                                                Select all available paths
                                                
                                                .. attribute:: best
                                                
                                                	Select best N paths
                                                	**type**\:  :py:class:`Best <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best>`
                                                
                                                .. attribute:: group_best
                                                
                                                	Select group\-best paths
                                                	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All, self).__init__()

                                                    self.yang_name = "all"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"best" : ("best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best), "group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.best = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best()
                                                    self.best.parent = self
                                                    self._children_name_map["best"] = "best"
                                                    self._children_yang_names.add("best")

                                                    self.group_best = None
                                                    self._children_name_map["group_best"] = "group-best"
                                                    self._children_yang_names.add("group-best")
                                                    self._segment_path = lambda: "all"


                                                class Best(Entity):
                                                    """
                                                    Select best N paths
                                                    
                                                    .. attribute:: best_range
                                                    
                                                    	
                                                    	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best, self).__init__()

                                                        self.yang_name = "best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange)}

                                                        self.best_range = YList(self)
                                                        self._segment_path = lambda: "best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best, [], name, value)


                                                    class BestRange(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: range  <key>
                                                        
                                                        	Number of best paths in additional paths to be selected
                                                        	**type**\: int
                                                        
                                                        	**range:** 2..3
                                                        
                                                        .. attribute:: group_best
                                                        
                                                        	Select group\-best paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, self).__init__()

                                                            self.yang_name = "best-range"
                                                            self.yang_parent_name = "best"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.range = YLeaf(YType.uint8, "range")

                                                            self.group_best = YLeaf(YType.empty, "group-best")
                                                            self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.Best.BestRange, ['range', 'group_best'], name, value)


                                                class GroupBest(Entity):
                                                    """
                                                    Select group\-best paths
                                                    
                                                    .. attribute:: best
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest, self).__init__()

                                                        self.yang_name = "group-best"
                                                        self.yang_parent_name = "all"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.best = YLeaf(YType.uint8, "best")
                                                        self._segment_path = lambda: "group-best"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.All.GroupBest, ['best'], name, value)


                                            class Best(Entity):
                                                """
                                                Select best N paths
                                                
                                                .. attribute:: best_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`BestRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best, self).__init__()

                                                    self.yang_name = "best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"best-range" : ("best_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange)}

                                                    self.best_range = YList(self)
                                                    self._segment_path = lambda: "best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best, [], name, value)


                                                class BestRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Number of best paths in additional paths to be selected
                                                    	**type**\: int
                                                    
                                                    	**range:** 2..3
                                                    
                                                    .. attribute:: all
                                                    
                                                    	Select all available paths
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: group_best
                                                    
                                                    	Select group\-best paths
                                                    	**type**\:  :py:class:`GroupBest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange, self).__init__()

                                                        self.yang_name = "best-range"
                                                        self.yang_parent_name = "best"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"group-best" : ("group_best", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.all = YLeaf(YType.empty, "all")

                                                        self.group_best = None
                                                        self._children_name_map["group_best"] = "group-best"
                                                        self._children_yang_names.add("group-best")
                                                        self._segment_path = lambda: "best-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange, ['range', 'all'], name, value)


                                                    class GroupBest(Entity):
                                                        """
                                                        Select group\-best paths
                                                        
                                                        .. attribute:: all
                                                        
                                                        	Select all available paths
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, self).__init__()

                                                            self.yang_name = "group-best"
                                                            self.yang_parent_name = "best-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.all = YLeaf(YType.empty, "all")
                                                            self._segment_path = lambda: "group-best"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.Best.BestRange.GroupBest, ['all'], name, value)


                                            class GroupBest(Entity):
                                                """
                                                Select group\-best paths
                                                
                                                .. attribute:: all
                                                
                                                	Select all available paths
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: best
                                                
                                                	Number of best paths in additional paths to be selected
                                                	**type**\: int
                                                
                                                	**range:** 2..3
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest, self).__init__()

                                                    self.yang_name = "group-best"
                                                    self.yang_parent_name = "additional-paths"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.all = YLeaf(YType.empty, "all")

                                                    self.best = YLeaf(YType.uint8, "best")
                                                    self._segment_path = lambda: "group-best"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.AdditionalPaths.GroupBest, ['all', 'best'], name, value)


                                        class DiversePath(Entity):
                                            """
                                            Advertise diverse path
                                            
                                            .. attribute:: backup
                                            
                                            	Diverse path can be backup path
                                            	**type**\:  :py:class:`Backup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: mpath
                                            
                                            	Diverse path can be multipath
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath, self).__init__()

                                                self.yang_name = "diverse-path"
                                                self.yang_parent_name = "advertise"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"backup" : ("backup", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup)}
                                                self._child_list_classes = {}

                                                self.mpath = YLeaf(YType.empty, "mpath")

                                                self.backup = None
                                                self._children_name_map["backup"] = "backup"
                                                self._children_yang_names.add("backup")
                                                self._segment_path = lambda: "diverse-path"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath, ['mpath'], name, value)


                                            class Backup(Entity):
                                                """
                                                Diverse path can be backup path
                                                
                                                .. attribute:: mpath
                                                
                                                	Diverse path can be multipath
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup, self).__init__()

                                                    self.yang_name = "backup"
                                                    self.yang_parent_name = "diverse-path"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.mpath = YLeaf(YType.empty, "mpath")
                                                    self._segment_path = lambda: "backup"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Advertise.DiversePath.Backup, ['mpath'], name, value)


                                    class AdvertiseMap(Entity):
                                        """
                                        specify route\-map for conditional advertisement
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap, self).__init__()

                                            self.yang_name = "advertise-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name)}

                                            self.name = YList(self)
                                            self._segment_path = lambda: "advertise-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: word  <key>
                                            
                                            	advertise route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            .. attribute:: non_exist_map
                                            
                                            	condition route\-map name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "advertise-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.word = YLeaf(YType.str, "word")

                                                self.exist_map = YLeaf(YType.str, "exist-map")

                                                self.non_exist_map = YLeaf(YType.str, "non-exist-map")
                                                self._segment_path = lambda: "name" + "[word='" + self.word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AdvertiseMap.Name, ['word', 'exist_map', 'non_exist_map'], name, value)


                                    class Aigp(Entity):
                                        """
                                        Enable a AIGP on neighbor
                                        
                                        .. attribute:: send
                                        
                                        	Cost community or MED carrying AIGP VALUE
                                        	**type**\:  :py:class:`Send <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp, self).__init__()

                                            self.yang_name = "aigp"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"send" : ("send", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send()
                                            self.send.parent = self
                                            self._children_name_map["send"] = "send"
                                            self._children_yang_names.add("send")
                                            self._segment_path = lambda: "aigp"


                                        class Send(Entity):
                                            """
                                            Cost community or MED carrying AIGP VALUE
                                            
                                            .. attribute:: cost_community
                                            
                                            	Cost extended community carrying AIGP Value
                                            	**type**\:  :py:class:`CostCommunity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity>`
                                            
                                            .. attribute:: med
                                            
                                            	Med carrying AIGP Value
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send, self).__init__()

                                                self.yang_name = "send"
                                                self.yang_parent_name = "aigp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"cost-community" : ("cost_community", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity)}
                                                self._child_list_classes = {}

                                                self.med = YLeaf(YType.empty, "med")

                                                self.cost_community = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity()
                                                self.cost_community.parent = self
                                                self._children_name_map["cost_community"] = "cost-community"
                                                self._children_yang_names.add("cost-community")
                                                self._segment_path = lambda: "send"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send, ['med'], name, value)


                                            class CostCommunity(Entity):
                                                """
                                                Cost extended community carrying AIGP Value
                                                
                                                .. attribute:: cc_range
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`CcRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity, self).__init__()

                                                    self.yang_name = "cost-community"
                                                    self.yang_parent_name = "send"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"cc-range" : ("cc_range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange)}

                                                    self.cc_range = YList(self)
                                                    self._segment_path = lambda: "cost-community"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity, [], name, value)


                                                class CcRange(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: range  <key>
                                                    
                                                    	Community ID
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: poi
                                                    
                                                    	Point of Insertion
                                                    	**type**\:  :py:class:`Poi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-bgp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange, self).__init__()

                                                        self.yang_name = "cc-range"
                                                        self.yang_parent_name = "cost-community"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"poi" : ("poi", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi)}
                                                        self._child_list_classes = {}

                                                        self.range = YLeaf(YType.uint8, "range")

                                                        self.poi = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi()
                                                        self.poi.parent = self
                                                        self._children_name_map["poi"] = "poi"
                                                        self._children_yang_names.add("poi")
                                                        self._segment_path = lambda: "cc-range" + "[range='" + self.range.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange, ['range'], name, value)


                                                    class Poi(Entity):
                                                        """
                                                        Point of Insertion
                                                        
                                                        .. attribute:: igp_cost
                                                        
                                                        	Point of Insertion After IGP
                                                        	**type**\:  :py:class:`IgpCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        .. attribute:: pre_bestpath
                                                        
                                                        	Point of Insertion At Beginning
                                                        	**type**\:  :py:class:`PreBestpath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath>`
                                                        
                                                        	**presence node**\: True
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-bgp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi, self).__init__()

                                                            self.yang_name = "poi"
                                                            self.yang_parent_name = "cc-range"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {"igp-cost" : ("igp_cost", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost), "pre-bestpath" : ("pre_bestpath", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath)}
                                                            self._child_list_classes = {}

                                                            self.igp_cost = None
                                                            self._children_name_map["igp_cost"] = "igp-cost"
                                                            self._children_yang_names.add("igp-cost")

                                                            self.pre_bestpath = None
                                                            self._children_name_map["pre_bestpath"] = "pre-bestpath"
                                                            self._children_yang_names.add("pre-bestpath")
                                                            self._segment_path = lambda: "poi"


                                                        class IgpCost(Entity):
                                                            """
                                                            Point of Insertion After IGP
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, self).__init__()

                                                                self.yang_name = "igp-cost"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "igp-cost"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.IgpCost, ['transitive'], name, value)


                                                        class PreBestpath(Entity):
                                                            """
                                                            Point of Insertion At Beginning
                                                            
                                                            .. attribute:: transitive
                                                            
                                                            	Cost community is Transitive
                                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                            
                                                            

                                                            This class is a :ref:`presence class<presence-class>`

                                                            """

                                                            _prefix = 'ios-bgp'
                                                            _revision = '2017-04-28'

                                                            def __init__(self):
                                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, self).__init__()

                                                                self.yang_name = "pre-bestpath"
                                                                self.yang_parent_name = "poi"
                                                                self.is_top_level_class = False
                                                                self.has_list_ancestor = True
                                                                self._child_container_classes = {}
                                                                self._child_list_classes = {}
                                                                self.is_presence_container = True

                                                                self.transitive = YLeaf(YType.empty, "transitive")
                                                                self._segment_path = lambda: "pre-bestpath"

                                                            def __setattr__(self, name, value):
                                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Aigp.Send.CostCommunity.CcRange.Poi.PreBestpath, ['transitive'], name, value)


                                    class Announce(Entity):
                                        """
                                        Announce RPKI State using an Extended Community
                                        
                                        .. attribute:: rpki
                                        
                                        	Announce RPKI information using an Extended Community
                                        	**type**\:  :py:class:`Rpki <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce, self).__init__()

                                            self.yang_name = "announce"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rpki" : ("rpki", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki)}
                                            self._child_list_classes = {}

                                            self.rpki = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki()
                                            self.rpki.parent = self
                                            self._children_name_map["rpki"] = "rpki"
                                            self._children_yang_names.add("rpki")
                                            self._segment_path = lambda: "announce"


                                        class Rpki(Entity):
                                            """
                                            Announce RPKI information using an Extended Community
                                            
                                            .. attribute:: state
                                            
                                            	Announce RPKI State information using an Extended Community
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki, self).__init__()

                                                self.yang_name = "rpki"
                                                self.yang_parent_name = "announce"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.state = YLeaf(YType.empty, "state")
                                                self._segment_path = lambda: "rpki"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Announce.Rpki, ['state'], name, value)


                                    class AllowasIn(Entity):
                                        """
                                        Accept as\-path with my AS present in it
                                        
                                        .. attribute:: as_number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..10
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn, self).__init__()

                                            self.yang_name = "allowas-in"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.as_number = YLeaf(YType.uint8, "as-number")
                                            self._segment_path = lambda: "allowas-in"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AllowasIn, ['as_number'], name, value)


                                    class AsOverride(Entity):
                                        """
                                        Override matching AS\-number while sending update
                                        
                                        .. attribute:: disable
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride, self).__init__()

                                            self.yang_name = "as-override"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "as-override"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.AsOverride, ['disable'], name, value)


                                    class Capability(Entity):
                                        """
                                        Advertise capability to the peer
                                        
                                        .. attribute:: orf
                                        
                                        	Advertise ORF capability to the peer
                                        	**type**\:  :py:class:`Orf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability, self).__init__()

                                            self.yang_name = "capability"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"orf" : ("orf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf)}
                                            self._child_list_classes = {}

                                            self.orf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf()
                                            self.orf.parent = self
                                            self._children_name_map["orf"] = "orf"
                                            self._children_yang_names.add("orf")
                                            self._segment_path = lambda: "capability"


                                        class Orf(Entity):
                                            """
                                            Advertise ORF capability to the peer
                                            
                                            .. attribute:: prefix_list
                                            
                                            	Advertise prefixlist ORF capability to this neighbor
                                            	**type**\: list of   :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf.PrefixList>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf, self).__init__()

                                                self.yang_name = "orf"
                                                self.yang_parent_name = "capability"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.prefix_list = YLeafList(YType.enumeration, "prefix-list")
                                                self._segment_path = lambda: "orf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Capability.Orf, ['prefix_list'], name, value)

                                            class PrefixList(Enum):
                                                """
                                                PrefixList

                                                Advertise prefixlist ORF capability to this neighbor

                                                .. data:: both = 0

                                                .. data:: receive = 1

                                                .. data:: send = 2

                                                """

                                                both = Enum.YLeaf(0, "both")

                                                receive = Enum.YLeaf(1, "receive")

                                                send = Enum.YLeaf(2, "send")



                                    class DefaultOriginate(Entity):
                                        """
                                        Originate default route to this neighbour
                                        
                                        .. attribute:: route_map
                                        
                                        	Route\-map to specify criteria to originate default
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate, self).__init__()

                                            self.yang_name = "default-originate"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "default-originate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.DefaultOriginate, ['route_map'], name, value)


                                    class DistributeList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList.Inout>`
                                        
                                        .. attribute:: accesslist
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..199
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..2699
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** [a\-zA\-Z].\*
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList, self).__init__()

                                            self.yang_name = "distribute-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.accesslist = YLeaf(YType.str, "accesslist")
                                            self._segment_path = lambda: "distribute-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.DistributeList, ['inout', 'accesslist'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class EbgpMultihop(Entity):
                                        """
                                        Allow EBGP neighbors not on directly connected networks
                                        
                                        .. attribute:: max_hop
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop, self).__init__()

                                            self.yang_name = "ebgp-multihop"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.max_hop = YLeaf(YType.uint8, "max-hop")
                                            self._segment_path = lambda: "ebgp-multihop"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.EbgpMultihop, ['max_hop'], name, value)


                                    class FallOver(Entity):
                                        """
                                        session fall on peer route lost
                                        
                                        .. attribute:: bfd
                                        
                                        	Use BFD to detect failure
                                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver, self).__init__()

                                            self.yang_name = "fall-over"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"bfd" : ("bfd", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd)}
                                            self._child_list_classes = {}

                                            self.bfd = None
                                            self._children_name_map["bfd"] = "bfd"
                                            self._children_yang_names.add("bfd")
                                            self._segment_path = lambda: "fall-over"


                                        class Bfd(Entity):
                                            """
                                            Use BFD to detect failure
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.FallOver.Bfd, self).__init__()

                                                self.yang_name = "bfd"
                                                self.yang_parent_name = "fall-over"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True
                                                self._segment_path = lambda: "bfd"


                                    class FilterList(Entity):
                                        """
                                        Establish BGP filters
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList.Inout>`
                                        
                                        .. attribute:: as_path_list
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..500
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList, self).__init__()

                                            self.yang_name = "filter-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.as_path_list = YLeaf(YType.uint16, "as-path-list")
                                            self._segment_path = lambda: "filter-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.FilterList, ['inout', 'as_path_list'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class Inherit(Entity):
                                        """
                                        Inherit a template
                                        
                                        .. attribute:: peer_policy
                                        
                                        	Inherit a peer\-policy template
                                        	**type**\: str
                                        
                                        .. attribute:: peer_session
                                        
                                        	Inherit a peer\-session template
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit, self).__init__()

                                            self.yang_name = "inherit"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.peer_policy = YLeaf(YType.str, "peer-policy")

                                            self.peer_session = YLeaf(YType.str, "peer-session")
                                            self._segment_path = lambda: "inherit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Inherit, ['peer_policy', 'peer_session'], name, value)


                                    class LogNeighborChanges(Entity):
                                        """
                                        Log neighbor up/down and reset reason
                                        
                                        .. attribute:: disable
                                        
                                        	disable
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges, self).__init__()

                                            self.yang_name = "log-neighbor-changes"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.disable = YLeaf(YType.empty, "disable")
                                            self._segment_path = lambda: "log-neighbor-changes"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.LogNeighborChanges, ['disable'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes accepted from this peer
                                        
                                        .. attribute:: max_prefix_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..2147483647
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: restart
                                        
                                        	Restart bgp connection after limit is exceeded
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give warning message when limit is exceeded
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_prefix_no = YLeaf(YType.uint32, "max-prefix-no")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.restart = YLeaf(YType.uint16, "restart")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.MaximumPrefix, ['max_prefix_no', 'threshold', 'restart', 'warning_only'], name, value)


                                    class Password(Entity):
                                        """
                                        Set a password
                                        
                                        .. attribute:: enctype
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: text
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Password, self).__init__()

                                            self.yang_name = "password"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.enctype = YLeaf(YType.uint8, "enctype")

                                            self.text = YLeaf(YType.str, "text")
                                            self._segment_path = lambda: "password"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Password, ['enctype', 'text'], name, value)


                                    class PrefixList(Entity):
                                        """
                                        Filter updates to/from this neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList.Inout>`
                                        
                                        .. attribute:: prefix_list_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList, self).__init__()

                                            self.yang_name = "prefix-list"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.prefix_list_name = YLeaf(YType.str, "prefix-list-name")
                                            self._segment_path = lambda: "prefix-list" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PrefixList, ['inout', 'prefix_list_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class PathAttribute(Entity):
                                        """
                                        BGP optional attribute filtering
                                        
                                        .. attribute:: discard
                                        
                                        	Discard matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`Discard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard>`
                                        
                                        .. attribute:: treat_as_withdraw
                                        
                                        	Treat\-as\-withdraw matching path\-attribute for this neighbor
                                        	**type**\:  :py:class:`TreatAsWithdraw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute, self).__init__()

                                            self.yang_name = "path-attribute"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"discard" : ("discard", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard), "treat-as-withdraw" : ("treat_as_withdraw", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw)}
                                            self._child_list_classes = {}

                                            self.discard = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard()
                                            self.discard.parent = self
                                            self._children_name_map["discard"] = "discard"
                                            self._children_yang_names.add("discard")

                                            self.treat_as_withdraw = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw()
                                            self.treat_as_withdraw.parent = self
                                            self._children_name_map["treat_as_withdraw"] = "treat-as-withdraw"
                                            self._children_yang_names.add("treat-as-withdraw")
                                            self._segment_path = lambda: "path-attribute"


                                        class Discard(Entity):
                                            """
                                            Discard matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard, self).__init__()

                                                self.yang_name = "discard"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "discard"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "discard"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.Discard.Range, ['start_value', 'end_value', 'in_'], name, value)


                                        class TreatAsWithdraw(Entity):
                                            """
                                            Treat\-as\-withdraw matching path\-attribute for this neighbor
                                            
                                            .. attribute:: attibute_type
                                            
                                            	
                                            	**type**\:  :py:class:`AttibuteType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType>`
                                            
                                            .. attribute:: range
                                            
                                            	
                                            	**type**\:  :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range>`
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw, self).__init__()

                                                self.yang_name = "treat-as-withdraw"
                                                self.yang_parent_name = "path-attribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"attibute_type" : ("attibute_type", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType), "range" : ("range", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range)}
                                                self._child_list_classes = {}

                                                self.attibute_type = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType()
                                                self.attibute_type.parent = self
                                                self._children_name_map["attibute_type"] = "attibute_type"
                                                self._children_yang_names.add("attibute_type")

                                                self.range = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range()
                                                self.range.parent = self
                                                self._children_name_map["range"] = "range"
                                                self._children_yang_names.add("range")
                                                self._segment_path = lambda: "treat-as-withdraw"


                                            class AttibuteType(Entity):
                                                """
                                                
                                                
                                                .. attribute:: type
                                                
                                                	path attribute type
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, self).__init__()

                                                    self.yang_name = "attibute_type"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.type = YLeaf(YType.uint8, "type")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "attibute_type"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.AttibuteType, ['type', 'in_'], name, value)


                                            class Range(Entity):
                                                """
                                                
                                                
                                                .. attribute:: start_value
                                                
                                                	path attribute range start value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: end_value
                                                
                                                	path attribute range end value
                                                	**type**\: int
                                                
                                                	**range:** 1..255
                                                
                                                .. attribute:: in_
                                                
                                                	Perform inbound path\-attribute filtering
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range, self).__init__()

                                                    self.yang_name = "range"
                                                    self.yang_parent_name = "treat-as-withdraw"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.start_value = YLeaf(YType.uint8, "start_value")

                                                    self.end_value = YLeaf(YType.uint8, "end_value")

                                                    self.in_ = YLeaf(YType.empty, "in")
                                                    self._segment_path = lambda: "range"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.PathAttribute.TreatAsWithdraw.Range, ['start_value', 'end_value', 'in_'], name, value)


                                    class RouteMap(Entity):
                                        """
                                        Apply route map to neighbor
                                        
                                        .. attribute:: inout  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`Inout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap.Inout>`
                                        
                                        .. attribute:: route_map_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**mandatory**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap, self).__init__()

                                            self.yang_name = "route-map"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.inout = YLeaf(YType.enumeration, "inout")

                                            self.route_map_name = YLeaf(YType.str, "route-map-name")
                                            self._segment_path = lambda: "route-map" + "[inout='" + self.inout.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.RouteMap, ['inout', 'route_map_name'], name, value)

                                        class Inout(Enum):
                                            """
                                            Inout

                                            .. data:: in_ = 0

                                            .. data:: out = 1

                                            """

                                            in_ = Enum.YLeaf(0, "in")

                                            out = Enum.YLeaf(1, "out")



                                    class SendCommunity(Entity):
                                        """
                                        Send Community attribute to this neighbor
                                        
                                        .. attribute:: send_community_where
                                        
                                        	
                                        	**type**\:  :py:class:`SendCommunityWhere <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity.SendCommunityWhere>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity, self).__init__()

                                            self.yang_name = "send-community"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.send_community_where = YLeaf(YType.enumeration, "send-community-where")
                                            self._segment_path = lambda: "send-community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SendCommunity, ['send_community_where'], name, value)

                                        class SendCommunityWhere(Enum):
                                            """
                                            SendCommunityWhere

                                            .. data:: both = 0

                                            .. data:: extended = 1

                                            .. data:: standard = 2

                                            """

                                            both = Enum.YLeaf(0, "both")

                                            extended = Enum.YLeaf(1, "extended")

                                            standard = Enum.YLeaf(2, "standard")



                                    class SendLabel(Entity):
                                        """
                                        Send NLRI + MPLS Label to this peer
                                        
                                        .. attribute:: send_label_explicit
                                        
                                        	
                                        	**type**\:  :py:class:`SendLabelExplicit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel.SendLabelExplicit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel, self).__init__()

                                            self.yang_name = "send-label"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_label_explicit = YLeaf(YType.enumeration, "send-label-explicit")
                                            self._segment_path = lambda: "send-label"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SendLabel, ['send_label_explicit'], name, value)

                                        class SendLabelExplicit(Enum):
                                            """
                                            SendLabelExplicit

                                            .. data:: explicit_null = 0

                                            """

                                            explicit_null = Enum.YLeaf(0, "explicit-null")



                                    class SlowPeer(Entity):
                                        """
                                        Configure slow\-peer
                                        
                                        .. attribute:: detection
                                        
                                        	Slow\-peer detection
                                        	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: split_update_group
                                        
                                        	Configure slow\-peer split\-update\-group
                                        	**type**\:  :py:class:`SplitUpdateGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer, self).__init__()

                                            self.yang_name = "slow-peer"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"detection" : ("detection", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection), "split-update-group" : ("split_update_group", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup)}
                                            self._child_list_classes = {}

                                            self.detection = None
                                            self._children_name_map["detection"] = "detection"
                                            self._children_yang_names.add("detection")

                                            self.split_update_group = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup()
                                            self.split_update_group.parent = self
                                            self._children_name_map["split_update_group"] = "split-update-group"
                                            self._children_yang_names.add("split-update-group")
                                            self._segment_path = lambda: "slow-peer"


                                        class Detection(Entity):
                                            """
                                            Slow\-peer detection
                                            
                                            .. attribute:: threshold
                                            
                                            	Threshold value (seconds)
                                            	**type**\: int
                                            
                                            	**range:** 120..3600
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection, self).__init__()

                                                self.yang_name = "detection"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.threshold = YLeaf(YType.uint16, "threshold")
                                                self._segment_path = lambda: "detection"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.Detection, ['threshold'], name, value)


                                        class SplitUpdateGroup(Entity):
                                            """
                                            Configure slow\-peer split\-update\-group
                                            
                                            .. attribute:: dynamic
                                            
                                            	Dynamically split the slow peer to slow\-update group
                                            	**type**\:  :py:class:`Dynamic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup, self).__init__()

                                                self.yang_name = "split-update-group"
                                                self.yang_parent_name = "slow-peer"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"dynamic" : ("dynamic", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic)}
                                                self._child_list_classes = {}

                                                self.dynamic = None
                                                self._children_name_map["dynamic"] = "dynamic"
                                                self._children_yang_names.add("dynamic")
                                                self._segment_path = lambda: "split-update-group"


                                            class Dynamic(Entity):
                                                """
                                                Dynamically split the slow peer to slow\-update group
                                                
                                                .. attribute:: permanent
                                                
                                                	Keep the slow\-peer permanently in slow\-update group
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, self).__init__()

                                                    self.yang_name = "dynamic"
                                                    self.yang_parent_name = "split-update-group"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.permanent = YLeaf(YType.empty, "permanent")
                                                    self._segment_path = lambda: "dynamic"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.SlowPeer.SplitUpdateGroup.Dynamic, ['permanent'], name, value)


                                    class Timers(Entity):
                                        """
                                        BGP per neighbor timers
                                        
                                        .. attribute:: keepalive_interval
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: holdtime
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: minimum_neighbor_hold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers, self).__init__()

                                            self.yang_name = "timers"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.keepalive_interval = YLeaf(YType.uint16, "keepalive-interval")

                                            self.holdtime = YLeaf(YType.uint16, "holdtime")

                                            self.minimum_neighbor_hold = YLeaf(YType.uint16, "minimum-neighbor-hold")
                                            self._segment_path = lambda: "timers"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Timers, ['keepalive_interval', 'holdtime', 'minimum_neighbor_hold'], name, value)


                                    class TranslateUpdate(Entity):
                                        """
                                        Translate Update to MBGP format
                                        
                                        .. attribute:: ipv4
                                        
                                        	Address Family
                                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate, self).__init__()

                                            self.yang_name = "translate-update"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4)}
                                            self._child_list_classes = {}

                                            self.ipv4 = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4()
                                            self.ipv4.parent = self
                                            self._children_name_map["ipv4"] = "ipv4"
                                            self._children_yang_names.add("ipv4")
                                            self._segment_path = lambda: "translate-update"


                                        class Ipv4(Entity):
                                            """
                                            Address Family
                                            
                                            .. attribute:: multicast
                                            
                                            	Address Family modifier
                                            	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4, self).__init__()

                                                self.yang_name = "ipv4"
                                                self.yang_parent_name = "translate-update"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"multicast" : ("multicast", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast)}
                                                self._child_list_classes = {}

                                                self.multicast = None
                                                self._children_name_map["multicast"] = "multicast"
                                                self._children_yang_names.add("multicast")
                                                self._segment_path = lambda: "ipv4"


                                            class Multicast(Entity):
                                                """
                                                Address Family modifier
                                                
                                                .. attribute:: unicast
                                                
                                                	Address Family modifier
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast, self).__init__()

                                                    self.yang_name = "multicast"
                                                    self.yang_parent_name = "ipv4"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.unicast = YLeaf(YType.empty, "unicast")
                                                    self._segment_path = lambda: "multicast"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TranslateUpdate.Ipv4.Multicast, ['unicast'], name, value)


                                    class Transport(Entity):
                                        """
                                        Transport options
                                        
                                        .. attribute:: connection_mode
                                        
                                        	Specify passive or active connection
                                        	**type**\:  :py:class:`ConnectionMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.ConnectionMode>`
                                        
                                        .. attribute:: multi_session
                                        
                                        	Use Multi\-session for transport
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: path_mtu_discovery
                                        
                                        	Use transport path MTU discovery
                                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport, self).__init__()

                                            self.yang_name = "transport"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery)}
                                            self._child_list_classes = {}

                                            self.connection_mode = YLeaf(YType.enumeration, "connection-mode")

                                            self.multi_session = YLeaf(YType.empty, "multi-session")

                                            self.path_mtu_discovery = None
                                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                            self._children_yang_names.add("path-mtu-discovery")
                                            self._segment_path = lambda: "transport"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport, ['connection_mode', 'multi_session'], name, value)

                                        class ConnectionMode(Enum):
                                            """
                                            ConnectionMode

                                            Specify passive or active connection

                                            .. data:: active = 0

                                            .. data:: passive = 1

                                            """

                                            active = Enum.YLeaf(0, "active")

                                            passive = Enum.YLeaf(1, "passive")



                                        class PathMtuDiscovery(Entity):
                                            """
                                            Use transport path MTU discovery
                                            
                                            .. attribute:: disable
                                            
                                            	disable
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery, self).__init__()

                                                self.yang_name = "path-mtu-discovery"
                                                self.yang_parent_name = "transport"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "path-mtu-discovery"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.Transport.PathMtuDiscovery, ['disable'], name, value)


                                    class TtlSecurity(Entity):
                                        """
                                        BGP ttl security check
                                        
                                        .. attribute:: hops
                                        
                                        	IP hops
                                        	**type**\: int
                                        
                                        	**range:** 1..254
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity, self).__init__()

                                            self.yang_name = "ttl-security"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.hops = YLeaf(YType.uint8, "hops")
                                            self._segment_path = lambda: "ttl-security"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.TtlSecurity, ['hops'], name, value)


                                    class UpdateSource(Entity):
                                        """
                                        Source of routing updates
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource, self).__init__()

                                            self.yang_name = "update-source"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "update-source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "update-source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.UpdateSource.PortChannelSubinterface, ['port_channel'], name, value)


                                    class HaMode(Entity):
                                        """
                                        high availability mode
                                        
                                        .. attribute:: graceful_restart
                                        
                                        	graceful\-restart for this peer
                                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: sso
                                        
                                        	stateful\-switchover support for this peer
                                        	**type**\:  :py:class:`Sso <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode, self).__init__()

                                            self.yang_name = "ha-mode"
                                            self.yang_parent_name = "neighbor"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"graceful-restart" : ("graceful_restart", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart), "sso" : ("sso", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso)}
                                            self._child_list_classes = {}

                                            self.graceful_restart = None
                                            self._children_name_map["graceful_restart"] = "graceful-restart"
                                            self._children_yang_names.add("graceful-restart")

                                            self.sso = None
                                            self._children_name_map["sso"] = "sso"
                                            self._children_yang_names.add("sso")
                                            self._segment_path = lambda: "ha-mode"


                                        class GracefulRestart(Entity):
                                            """
                                            graceful\-restart for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable graceful\-restart
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart, self).__init__()

                                                self.yang_name = "graceful-restart"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "graceful-restart"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.GracefulRestart, ['disable'], name, value)


                                        class Sso(Entity):
                                            """
                                            stateful\-switchover support for this peer
                                            
                                            .. attribute:: disable
                                            
                                            	disable stateful\-switchover
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso, self).__init__()

                                                self.yang_name = "sso"
                                                self.yang_parent_name = "ha-mode"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.disable = YLeaf(YType.empty, "disable")
                                                self._segment_path = lambda: "sso"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Neighbor.HaMode.Sso, ['disable'], name, value)


                                class Network(Entity):
                                    """
                                    Specify a network to announce via BGP
                                    
                                    .. attribute:: number  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: backdoor
                                    
                                    	Specify a BGP backdoor route
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: mask
                                    
                                    	Network mask
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map to modify the attributes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Network, self).__init__()

                                        self.yang_name = "network"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.str, "number")

                                        self.backdoor = YLeaf(YType.empty, "backdoor")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Network, ['number', 'backdoor', 'mask', 'route_map'], name, value)


                                class Redistribute(Entity):
                                    """
                                    Redistribute information from another routing protocol
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: dvmrp
                                    
                                    	Redistribution of DVMRP into BGP IPv4 Multicast
                                    	**type**\:  :py:class:`Dvmrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis>`
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute, self).__init__()

                                        self.yang_name = "redistribute"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Application), "bgp" : ("bgp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp), "connected" : ("connected", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected), "dvmrp" : ("dvmrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp), "eigrp" : ("eigrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp), "isis" : ("isis", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp), "iso-igrp" : ("iso_igrp", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile), "odr" : ("odr", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr), "rip" : ("rip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip), "static" : ("static", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Static)}
                                        self._child_list_classes = {"ospf" : ("ospf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.dvmrp = None
                                        self._children_name_map["dvmrp"] = "dvmrp"
                                        self._children_yang_names.add("dvmrp")

                                        self.eigrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.iso_igrp = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp()
                                        self.iso_igrp.parent = self
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "redistribute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"name" : ("name", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name)}
                                            self.is_presence_container = True

                                            self.name = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Application, [], name, value)


                                        class Name(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	WORD;;Route map name
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name, self).__init__()

                                                self.yang_name = "name"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "name" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Application.Name, ['name', 'metric', 'route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.str, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Bgp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Connected, ['metric', 'route_map'], name, value)


                                    class Dvmrp(Entity):
                                        """
                                        Redistribution of DVMRP into BGP IPv4 Multicast
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp, self).__init__()

                                            self.yang_name = "dvmrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = YLeaf(YType.uint32, "metric")
                                            self._segment_path = lambda: "dvmrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Dvmrp, ['route_map', 'metric'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_no
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.as_no = YLeaf(YType.uint16, "as-no")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Eigrp, ['as_no', 'metric', 'route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis, [], name, value)


                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.IsisArea, ['name', 'ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of OSI dynamic routes
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: routes
                                            
                                            	
                                            	**type**\:  :py:class:`Routes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default.Routes>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip = YLeaf(YType.empty, "ip")

                                                self.clns = YLeaf(YType.empty, "clns")

                                                self.routes = YLeaf(YType.enumeration, "routes")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Isis.Default, ['ip', 'clns', 'routes', 'metric', 'route_map'], name, value)

                                            class Routes(Enum):
                                                """
                                                Routes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class Lisp(Entity):
                                        """
                                        Locator/ID Separation Protocol
                                        
                                        .. attribute:: include_connected
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.include_connected = YLeaf(YType.empty, "include-connected")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Lisp, ['include_connected', 'metric', 'route_map'], name, value)


                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_igrp_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoIgrpArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea>`
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"default" : ("default", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default)}
                                            self._child_list_classes = {"iso-igrp-area" : ("iso_igrp_area", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea)}

                                            self.default = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default()
                                            self.default.parent = self
                                            self._children_name_map["default"] = "default"
                                            self._children_yang_names.add("default")

                                            self.iso_igrp_area = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp, [], name, value)


                                        class IsoIgrpArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea, self).__init__()

                                                self.yang_name = "iso-igrp-area"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "iso-igrp-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.IsoIgrpArea, ['name', 'route_map', 'metric'], name, value)


                                        class Default(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default, self).__init__()

                                                self.yang_name = "default"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "default"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.IsoIgrp.Default, ['route_map', 'metric'], name, value)


                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "odr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Odr, ['metric', 'route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf>`
                                        
                                        .. attribute:: non_vrf
                                        
                                        	
                                        	**type**\:  :py:class:`NonVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"non-vrf" : ("non_vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf)}
                                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf)}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.non_vrf = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf()
                                            self.non_vrf.parent = self
                                            self._children_name_map["non_vrf"] = "non-vrf"
                                            self._children_yang_names.add("non-vrf")

                                            self.vrf = YList(self)
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf, ['id'], name, value)


                                        class Vrf(Entity):
                                            """
                                            VPN Routing/Forwarding Instance
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf, self).__init__()

                                                self.yang_name = "vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf, ['name', 'metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.Vrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self._segment_path = lambda: "match"


                                        class NonVrf(Entity):
                                            """
                                            
                                            
                                            .. attribute:: match
                                            
                                            	
                                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match>`
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf, self).__init__()

                                                self.yang_name = "non-vrf"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"match" : ("match", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match)}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.match = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match()
                                                self.match.parent = self
                                                self._children_name_map["match"] = "match"
                                                self._children_yang_names.add("match")
                                                self._segment_path = lambda: "non-vrf"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf, ['metric', 'route_map'], name, value)


                                            class Match(Entity):
                                                """
                                                
                                                
                                                .. attribute:: internal
                                                
                                                	Redistribute OSPF internal routes
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: external
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: external2
                                                
                                                	Redistribute OSPF external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: nssa_external
                                                
                                                	Redistribute OSPF NSSA external routes
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-bgp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match, self).__init__()

                                                    self.yang_name = "match"
                                                    self.yang_parent_name = "non-vrf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.internal = YLeaf(YType.empty, "internal")

                                                    self.external = YLeaf(YType.enumeration, "external")

                                                    self.external2 = YLeaf(YType.enumeration, "external2")

                                                    self.nssa_external = YLeaf(YType.enumeration, "nssa-external")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "match"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Ospf.NonVrf.Match, ['internal', 'external', 'external2', 'nssa_external', 'metric', 'route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: name
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.name = YLeaf(YType.str, "name")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Rip, ['metric', 'route_map', 'name'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of OSI dynamic routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Static, ['metric', 'route_map'], name, value)


                                        class Clns(Entity):
                                            """
                                            Redistribution of OSI dynamic routes
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = YLeaf(YType.uint32, "metric")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Clns, ['route_map', 'metric'], name, value)


                                        class Ip(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Redistribute.Static.Ip, ['metric', 'route_map'], name, value)


                                class TableMap(Entity):
                                    """
                                    Map external entry attributes into routing table
                                    
                                    .. attribute:: name
                                    
                                    	WORD;;route\-map name
                                    	**type**\: str
                                    
                                    .. attribute:: filter
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.TableMap, self).__init__()

                                        self.yang_name = "table-map"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.name = YLeaf(YType.str, "name")

                                        self.filter = YLeaf(YType.empty, "filter")
                                        self._segment_path = lambda: "table-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.TableMap, ['name', 'filter'], name, value)


                                class Snmp(Entity):
                                    """
                                    Modify snmp parameters
                                    
                                    .. attribute:: context
                                    
                                    	Configure a SNMP context
                                    	**type**\:  :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Snmp.Context>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-bgp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Snmp, self).__init__()

                                        self.yang_name = "snmp"
                                        self.yang_parent_name = "rtfilter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"context" : ("context", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Snmp.Context)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.context = Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Snmp.Context()
                                        self.context.parent = self
                                        self._children_name_map["context"] = "context"
                                        self._children_yang_names.add("context")
                                        self._segment_path = lambda: "snmp"


                                    class Context(Entity):
                                        """
                                        Configure a SNMP context
                                        
                                        .. attribute:: context_word
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`ContextWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Snmp.Context.ContextWord>`
                                        
                                        

                                        """

                                        _prefix = 'ios-bgp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Snmp.Context, self).__init__()

                                            self.yang_name = "context"
                                            self.yang_parent_name = "snmp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"context_word" : ("context_word", Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Snmp.Context.ContextWord)}

                                            self.context_word = YList(self)
                                            self._segment_path = lambda: "context"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Snmp.Context, [], name, value)


                                        class ContextWord(Entity):
                                            """
                                            
                                            
                                            .. attribute:: context_word  <key>
                                            
                                            	Context Name
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-bgp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Snmp.Context.ContextWord, self).__init__()

                                                self.yang_name = "context_word"
                                                self.yang_parent_name = "context"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.context_word = YLeaf(YType.str, "context_word")
                                                self._segment_path = lambda: "context_word" + "[context_word='" + self.context_word.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Bgp.Scope.Vrf.AddressFamily.NoVrf.Rtfilter.Snmp.Context.ContextWord, ['context_word'], name, value)


        class Isis(Entity):
            """
            ISO IS\-IS
            
            .. attribute:: metric_style
            
            	Use old\-style (ISO 10589) or new\-style packet formats
            	**type**\:  :py:class:`MetricStyle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.MetricStyle>`
            
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily>`
            
            .. attribute:: distance
            
            	Define an administrative distance
            	**type**\: list of  		 :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Distance>`
            
            .. attribute:: ip
            
            	IP specific commands
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Ip>`
            
            .. attribute:: priority
            
            	priority value
            	**type**\: int
            
            	**range:** 0..127
            
            .. attribute:: redistribute
            
            	Redistribute information from another routing protocol
            	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute>`
            
            .. attribute:: set_attached_bit
            
            	Conditionally advertise us as attached to L2
            	**type**\:  :py:class:`SetAttachedBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetAttachedBit>`
            
            .. attribute:: snmp
            
            	Modify snmp parameters
            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp>`
            
            .. attribute:: summary_address
            
            	Configure IP address summaries
            	**type**\: list of  		 :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SummaryAddress>`
            
            .. attribute:: traffic_share
            
            	How to compute traffic share over alternate paths
            	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TrafficShare>`
            
            .. attribute:: advertise
            
            	Control which IP routes flow in L1 and L2 LSPs
            	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Advertise>`
            
            .. attribute:: default_information
            
            	Control distribution of default information
            	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.DefaultInformation>`
            
            .. attribute:: help
            
            	Description of the interactive help system
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: maximum_paths
            
            	Forward packets over multiple paths
            	**type**\: int
            
            	**range:** 1..32
            
            .. attribute:: metric
            
            	Set ISIS metric for all interfaces
            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Metric>`
            
            .. attribute:: prc_interval
            
            	Minimum interval between partial route calculations
            	**type**\:  :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.PrcInterval>`
            
            .. attribute:: set_overload_bit
            
            	Signal other routers not to use us in SPF
            	**type**\:  :py:class:`SetOverloadBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetOverloadBit>`
            
            	**presence node**\: True
            
            .. attribute:: spf_interval
            
            	Minimum interval between SPF calculations
            	**type**\:  :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SpfInterval>`
            
            .. attribute:: area_password
            
            	Configure the authentication password for an area
            	**type**\:  :py:class:`AreaPassword <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AreaPassword>`
            
            .. attribute:: authentication
            
            	ISIS authentication for LSPs
            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication>`
            
            .. attribute:: distribute_list
            
            	Filter networks in routing updates
            	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.DistributeList>`
            
            .. attribute:: domain_password
            
            	Set the authentication password for a routing domain
            	**type**\:  :py:class:`DomainPassword <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.DomainPassword>`
            
            .. attribute:: fast_flood
            
            	Flood LSPs (that triggered SPF) before running SPF
            	**type**\:  :py:class:`FastFlood <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastFlood>`
            
            	**presence node**\: True
            
            .. attribute:: fast_reroute
            
            	Configure Fast\-Reroute
            	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute>`
            
            .. attribute:: ti_lfa
            
            	
            	**type**\:  :py:class:`TiLfa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TiLfa>`
            
            .. attribute:: hello
            
            	Pad ISIS hello PDUs to full MTU
            	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Hello>`
            
            .. attribute:: hostname
            
            	Dynamic hostname for IS\-IS
            	**type**\:  :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Hostname>`
            
            .. attribute:: ignore_lsp_errors
            
            	Ignore LSPs with bad checksums
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: is_type
            
            	IS Level for this routing process (OSI only)
            	**type**\:  :py:class:`IsType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.IsType>`
            
            .. attribute:: ispf
            
            	Configure execution of incremental SPF
            	**type**\:  :py:class:`Ispf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Ispf>`
            
            .. attribute:: log_adjacency_changes
            
            	Log changes in adjacency state
            	**type**\:  :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LogAdjacencyChanges>`
            
            	**presence node**\: True
            
            .. attribute:: lsp_full
            
            	If we run out of LSP fragments
            	**type**\:  :py:class:`LspFull <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspFull>`
            
            .. attribute:: lsp_gen_interval
            
            	Minimum interval between regenerating same LSP
            	**type**\:  :py:class:`LspGenInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspGenInterval>`
            
            .. attribute:: lsp_mtu
            
            	Set maximum LSP size
            	**type**\: int
            
            	**range:** 128..4352
            
            .. attribute:: lsp_refresh_interval
            
            	Set LSP refresh interval
            	**type**\: int
            
            	**range:** 1..65535
            
            .. attribute:: max_area_addresses
            
            	Allow configuration of more manual area addresses
            	**type**\: int
            
            	**range:** 3..254
            
            .. attribute:: max_lsp_lifetime
            
            	Set maximum LSP lifetime
            	**type**\: int
            
            	**range:** 1..65535
            
            .. attribute:: microloop
            
            	Enable microloop protection configuration commands
            	**type**\:  :py:class:`Microloop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Microloop>`
            
            .. attribute:: mpls
            
            	Configure MPLS routing protocol parameters
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls>`
            
            .. attribute:: net
            
            	A Network Entity Title for this process (OSI only)
            	**type**\: list of  		 :py:class:`Net <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Net>`
            
            .. attribute:: nsf
            
            	Non\-stop forwarding
            	**type**\:  :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Nsf>`
            
            .. attribute:: partition
            
            	CLNS area partition
            	**type**\:  :py:class:`Partition <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Partition>`
            
            .. attribute:: passive_interface
            
            	Suppress routing updates on an interface
            	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.PassiveInterface>`
            
            .. attribute:: disable
            
            	
            	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Disable>`
            
            .. attribute:: protocol
            
            	Set protocol's administrative state
            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Protocol>`
            
            .. attribute:: segment_routing
            
            	Enable Segment Routing Feature
            	**type**\:  :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SegmentRouting>`
            
            .. attribute:: skeptical
            
            	Be a cautious NSF helper when refresh adjacency
            	**type**\:  :py:class:`Skeptical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Skeptical>`
            
            .. attribute:: update_queue_depth
            
            	Set Update process queue depth
            	**type**\: int
            
            	**range:** 1..2147483647
            
            .. attribute:: use
            
            	Use different algorithms during SPF
            	**type**\:  :py:class:`Use <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Use>`
            
            .. attribute:: vrf
            
            	VRF name for this process
            	**type**\: str
            
            .. attribute:: adjacency_check
            
            	Check ISIS neighbor protocol support
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: bfd
            
            	BFD configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Bfd>`
            
            .. attribute:: router_id
            
            	Interface of stable IP address for system
            	**type**\: str
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-isis'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.Router.Isis, self).__init__()

                self.yang_name = "isis"
                self.yang_parent_name = "router"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"metric-style" : ("metric_style", Native.Router.Isis.MetricStyle), "address-family" : ("address_family", Native.Router.Isis.AddressFamily), "ip" : ("ip", Native.Router.Isis.Ip), "redistribute" : ("redistribute", Native.Router.Isis.Redistribute), "set-attached-bit" : ("set_attached_bit", Native.Router.Isis.SetAttachedBit), "snmp" : ("snmp", Native.Router.Isis.Snmp), "traffic-share" : ("traffic_share", Native.Router.Isis.TrafficShare), "advertise" : ("advertise", Native.Router.Isis.Advertise), "default-information" : ("default_information", Native.Router.Isis.DefaultInformation), "metric" : ("metric", Native.Router.Isis.Metric), "prc-interval" : ("prc_interval", Native.Router.Isis.PrcInterval), "set-overload-bit" : ("set_overload_bit", Native.Router.Isis.SetOverloadBit), "spf-interval" : ("spf_interval", Native.Router.Isis.SpfInterval), "area-password" : ("area_password", Native.Router.Isis.AreaPassword), "authentication" : ("authentication", Native.Router.Isis.Authentication), "distribute-list" : ("distribute_list", Native.Router.Isis.DistributeList), "domain-password" : ("domain_password", Native.Router.Isis.DomainPassword), "fast-flood" : ("fast_flood", Native.Router.Isis.FastFlood), "fast-reroute" : ("fast_reroute", Native.Router.Isis.FastReroute), "ti-lfa" : ("ti_lfa", Native.Router.Isis.TiLfa), "hello" : ("hello", Native.Router.Isis.Hello), "hostname" : ("hostname", Native.Router.Isis.Hostname), "ispf" : ("ispf", Native.Router.Isis.Ispf), "log-adjacency-changes" : ("log_adjacency_changes", Native.Router.Isis.LogAdjacencyChanges), "lsp-full" : ("lsp_full", Native.Router.Isis.LspFull), "lsp-gen-interval" : ("lsp_gen_interval", Native.Router.Isis.LspGenInterval), "microloop" : ("microloop", Native.Router.Isis.Microloop), "mpls" : ("mpls", Native.Router.Isis.Mpls), "nsf" : ("nsf", Native.Router.Isis.Nsf), "partition" : ("partition", Native.Router.Isis.Partition), "passive-interface" : ("passive_interface", Native.Router.Isis.PassiveInterface), "disable" : ("disable", Native.Router.Isis.Disable), "protocol" : ("protocol", Native.Router.Isis.Protocol), "segment-routing" : ("segment_routing", Native.Router.Isis.SegmentRouting), "skeptical" : ("skeptical", Native.Router.Isis.Skeptical), "use" : ("use", Native.Router.Isis.Use), "bfd" : ("bfd", Native.Router.Isis.Bfd)}
                self._child_list_classes = {"distance" : ("distance", Native.Router.Isis.Distance), "summary-address" : ("summary_address", Native.Router.Isis.SummaryAddress), "net" : ("net", Native.Router.Isis.Net)}
                self.is_presence_container = True

                self.priority = YLeaf(YType.uint8, "priority")

                self.help = YLeaf(YType.empty, "help")

                self.maximum_paths = YLeaf(YType.uint32, "maximum-paths")

                self.ignore_lsp_errors = YLeaf(YType.empty, "ignore-lsp-errors")

                self.is_type = YLeaf(YType.enumeration, "is-type")

                self.lsp_mtu = YLeaf(YType.uint32, "lsp-mtu")

                self.lsp_refresh_interval = YLeaf(YType.uint32, "lsp-refresh-interval")

                self.max_area_addresses = YLeaf(YType.uint32, "max-area-addresses")

                self.max_lsp_lifetime = YLeaf(YType.uint32, "max-lsp-lifetime")

                self.update_queue_depth = YLeaf(YType.uint32, "update-queue-depth")

                self.vrf = YLeaf(YType.str, "vrf")

                self.adjacency_check = YLeaf(YType.empty, "adjacency-check")

                self.router_id = YLeaf(YType.str, "router-id")

                self.metric_style = Native.Router.Isis.MetricStyle()
                self.metric_style.parent = self
                self._children_name_map["metric_style"] = "metric-style"
                self._children_yang_names.add("metric-style")

                self.address_family = Native.Router.Isis.AddressFamily()
                self.address_family.parent = self
                self._children_name_map["address_family"] = "address-family"
                self._children_yang_names.add("address-family")

                self.ip = Native.Router.Isis.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.redistribute = Native.Router.Isis.Redistribute()
                self.redistribute.parent = self
                self._children_name_map["redistribute"] = "redistribute"
                self._children_yang_names.add("redistribute")

                self.set_attached_bit = Native.Router.Isis.SetAttachedBit()
                self.set_attached_bit.parent = self
                self._children_name_map["set_attached_bit"] = "set-attached-bit"
                self._children_yang_names.add("set-attached-bit")

                self.snmp = Native.Router.Isis.Snmp()
                self.snmp.parent = self
                self._children_name_map["snmp"] = "snmp"
                self._children_yang_names.add("snmp")

                self.traffic_share = Native.Router.Isis.TrafficShare()
                self.traffic_share.parent = self
                self._children_name_map["traffic_share"] = "traffic-share"
                self._children_yang_names.add("traffic-share")

                self.advertise = Native.Router.Isis.Advertise()
                self.advertise.parent = self
                self._children_name_map["advertise"] = "advertise"
                self._children_yang_names.add("advertise")

                self.default_information = Native.Router.Isis.DefaultInformation()
                self.default_information.parent = self
                self._children_name_map["default_information"] = "default-information"
                self._children_yang_names.add("default-information")

                self.metric = Native.Router.Isis.Metric()
                self.metric.parent = self
                self._children_name_map["metric"] = "metric"
                self._children_yang_names.add("metric")

                self.prc_interval = Native.Router.Isis.PrcInterval()
                self.prc_interval.parent = self
                self._children_name_map["prc_interval"] = "prc-interval"
                self._children_yang_names.add("prc-interval")

                self.set_overload_bit = None
                self._children_name_map["set_overload_bit"] = "set-overload-bit"
                self._children_yang_names.add("set-overload-bit")

                self.spf_interval = Native.Router.Isis.SpfInterval()
                self.spf_interval.parent = self
                self._children_name_map["spf_interval"] = "spf-interval"
                self._children_yang_names.add("spf-interval")

                self.area_password = Native.Router.Isis.AreaPassword()
                self.area_password.parent = self
                self._children_name_map["area_password"] = "area-password"
                self._children_yang_names.add("area-password")

                self.authentication = Native.Router.Isis.Authentication()
                self.authentication.parent = self
                self._children_name_map["authentication"] = "authentication"
                self._children_yang_names.add("authentication")

                self.distribute_list = Native.Router.Isis.DistributeList()
                self.distribute_list.parent = self
                self._children_name_map["distribute_list"] = "distribute-list"
                self._children_yang_names.add("distribute-list")

                self.domain_password = Native.Router.Isis.DomainPassword()
                self.domain_password.parent = self
                self._children_name_map["domain_password"] = "domain-password"
                self._children_yang_names.add("domain-password")

                self.fast_flood = None
                self._children_name_map["fast_flood"] = "fast-flood"
                self._children_yang_names.add("fast-flood")

                self.fast_reroute = Native.Router.Isis.FastReroute()
                self.fast_reroute.parent = self
                self._children_name_map["fast_reroute"] = "fast-reroute"
                self._children_yang_names.add("fast-reroute")

                self.ti_lfa = Native.Router.Isis.TiLfa()
                self.ti_lfa.parent = self
                self._children_name_map["ti_lfa"] = "ti-lfa"
                self._children_yang_names.add("ti-lfa")

                self.hello = Native.Router.Isis.Hello()
                self.hello.parent = self
                self._children_name_map["hello"] = "hello"
                self._children_yang_names.add("hello")

                self.hostname = Native.Router.Isis.Hostname()
                self.hostname.parent = self
                self._children_name_map["hostname"] = "hostname"
                self._children_yang_names.add("hostname")

                self.ispf = Native.Router.Isis.Ispf()
                self.ispf.parent = self
                self._children_name_map["ispf"] = "ispf"
                self._children_yang_names.add("ispf")

                self.log_adjacency_changes = None
                self._children_name_map["log_adjacency_changes"] = "log-adjacency-changes"
                self._children_yang_names.add("log-adjacency-changes")

                self.lsp_full = Native.Router.Isis.LspFull()
                self.lsp_full.parent = self
                self._children_name_map["lsp_full"] = "lsp-full"
                self._children_yang_names.add("lsp-full")

                self.lsp_gen_interval = Native.Router.Isis.LspGenInterval()
                self.lsp_gen_interval.parent = self
                self._children_name_map["lsp_gen_interval"] = "lsp-gen-interval"
                self._children_yang_names.add("lsp-gen-interval")

                self.microloop = Native.Router.Isis.Microloop()
                self.microloop.parent = self
                self._children_name_map["microloop"] = "microloop"
                self._children_yang_names.add("microloop")

                self.mpls = Native.Router.Isis.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.nsf = Native.Router.Isis.Nsf()
                self.nsf.parent = self
                self._children_name_map["nsf"] = "nsf"
                self._children_yang_names.add("nsf")

                self.partition = Native.Router.Isis.Partition()
                self.partition.parent = self
                self._children_name_map["partition"] = "partition"
                self._children_yang_names.add("partition")

                self.passive_interface = Native.Router.Isis.PassiveInterface()
                self.passive_interface.parent = self
                self._children_name_map["passive_interface"] = "passive-interface"
                self._children_yang_names.add("passive-interface")

                self.disable = Native.Router.Isis.Disable()
                self.disable.parent = self
                self._children_name_map["disable"] = "disable"
                self._children_yang_names.add("disable")

                self.protocol = Native.Router.Isis.Protocol()
                self.protocol.parent = self
                self._children_name_map["protocol"] = "protocol"
                self._children_yang_names.add("protocol")

                self.segment_routing = Native.Router.Isis.SegmentRouting()
                self.segment_routing.parent = self
                self._children_name_map["segment_routing"] = "segment-routing"
                self._children_yang_names.add("segment-routing")

                self.skeptical = Native.Router.Isis.Skeptical()
                self.skeptical.parent = self
                self._children_name_map["skeptical"] = "skeptical"
                self._children_yang_names.add("skeptical")

                self.use = Native.Router.Isis.Use()
                self.use.parent = self
                self._children_name_map["use"] = "use"
                self._children_yang_names.add("use")

                self.bfd = Native.Router.Isis.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.distance = YList(self)
                self.summary_address = YList(self)
                self.net = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-isis:isis"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Router.Isis, ['priority', 'help', 'maximum_paths', 'ignore_lsp_errors', 'is_type', 'lsp_mtu', 'lsp_refresh_interval', 'max_area_addresses', 'max_lsp_lifetime', 'update_queue_depth', 'vrf', 'adjacency_check', 'router_id'], name, value)

            class IsType(Enum):
                """
                IsType

                IS Level for this routing process (OSI only)

                .. data:: level_1 = 0

                .. data:: level_1_2 = 1

                .. data:: level_2_only = 2

                """

                level_1 = Enum.YLeaf(0, "level-1")

                level_1_2 = Enum.YLeaf(1, "level-1-2")

                level_2_only = Enum.YLeaf(2, "level-2-only")



            class MetricStyle(Entity):
                """
                Use old\-style (ISO 10589) or new\-style packet formats
                
                .. attribute:: narrow
                
                	Use old style of TLVs with narrow metric
                	**type**\:  :py:class:`Narrow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.MetricStyle.Narrow>`
                
                	**presence node**\: True
                
                .. attribute:: transition
                
                	Send and accept both styles of TLVs during transition
                	**type**\:  :py:class:`Transition <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.MetricStyle.Transition>`
                
                	**presence node**\: True
                
                .. attribute:: wide
                
                	Use new style of TLVs to carry wider metric
                	**type**\:  :py:class:`Wide <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.MetricStyle.Wide>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.MetricStyle, self).__init__()

                    self.yang_name = "metric-style"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"narrow" : ("narrow", Native.Router.Isis.MetricStyle.Narrow), "transition" : ("transition", Native.Router.Isis.MetricStyle.Transition), "wide" : ("wide", Native.Router.Isis.MetricStyle.Wide)}
                    self._child_list_classes = {}

                    self.narrow = None
                    self._children_name_map["narrow"] = "narrow"
                    self._children_yang_names.add("narrow")

                    self.transition = None
                    self._children_name_map["transition"] = "transition"
                    self._children_yang_names.add("transition")

                    self.wide = None
                    self._children_name_map["wide"] = "wide"
                    self._children_yang_names.add("wide")
                    self._segment_path = lambda: "metric-style"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class Narrow(Entity):
                    """
                    Use old style of TLVs with narrow metric
                    
                    .. attribute:: narrow_wide
                    
                    	
                    	**type**\:  :py:class:`IsisLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelType>`
                    
                    .. attribute:: transition
                    
                    	Accept both styles of TLVs during transition
                    	**type**\:  :py:class:`IsisLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelType>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.MetricStyle.Narrow, self).__init__()

                        self.yang_name = "narrow"
                        self.yang_parent_name = "metric-style"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.narrow_wide = YLeaf(YType.enumeration, "narrow-wide")

                        self.transition = YLeaf(YType.enumeration, "transition")
                        self._segment_path = lambda: "narrow"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/metric-style/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.MetricStyle.Narrow, ['narrow_wide', 'transition'], name, value)


                class Transition(Entity):
                    """
                    Send and accept both styles of TLVs during transition
                    
                    .. attribute:: transition
                    
                    	
                    	**type**\:  :py:class:`IsisLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelType>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.MetricStyle.Transition, self).__init__()

                        self.yang_name = "transition"
                        self.yang_parent_name = "metric-style"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.transition = YLeaf(YType.enumeration, "transition")
                        self._segment_path = lambda: "transition"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/metric-style/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.MetricStyle.Transition, ['transition'], name, value)


                class Wide(Entity):
                    """
                    Use new style of TLVs to carry wider metric
                    
                    .. attribute:: narrow_wide
                    
                    	
                    	**type**\:  :py:class:`IsisLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelType>`
                    
                    .. attribute:: transition
                    
                    	Accept both styles of TLVs during transition
                    	**type**\:  :py:class:`IsisLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelType>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.MetricStyle.Wide, self).__init__()

                        self.yang_name = "wide"
                        self.yang_parent_name = "metric-style"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.narrow_wide = YLeaf(YType.enumeration, "narrow-wide")

                        self.transition = YLeaf(YType.enumeration, "transition")
                        self._segment_path = lambda: "wide"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/metric-style/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.MetricStyle.Wide, ['narrow_wide', 'transition'], name, value)


            class AddressFamily(Entity):
                """
                Enter Address Family command mode
                
                .. attribute:: ipv4
                
                	Address family
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4>`
                
                .. attribute:: ipv6
                
                	Address family
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.AddressFamily, self).__init__()

                    self.yang_name = "address-family"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Isis.AddressFamily.Ipv4), "ipv6" : ("ipv6", Native.Router.Isis.AddressFamily.Ipv6)}
                    self._child_list_classes = {}

                    self.ipv4 = Native.Router.Isis.AddressFamily.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")

                    self.ipv6 = Native.Router.Isis.AddressFamily.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")
                    self._segment_path = lambda: "address-family"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class Ipv4(Entity):
                    """
                    Address family
                    
                    .. attribute:: unicast_multicast
                    
                    	
                    	**type**\:  :py:class:`UnicastMulticast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.UnicastMulticast>`
                    
                    .. attribute:: help
                    
                    	Description of the interactive help system
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snmp
                    
                    	Modify snmp parameters
                    	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp>`
                    
                    .. attribute:: topology
                    
                    	Associate the routing protocol to a topology instance
                    	**type**\: list of  		 :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.AddressFamily.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "address-family"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"snmp" : ("snmp", Native.Router.Isis.AddressFamily.Ipv4.Snmp)}
                        self._child_list_classes = {"topology" : ("topology", Native.Router.Isis.AddressFamily.Ipv4.Topology)}

                        self.unicast_multicast = YLeaf(YType.enumeration, "unicast-multicast")

                        self.help = YLeaf(YType.empty, "help")

                        self.snmp = Native.Router.Isis.AddressFamily.Ipv4.Snmp()
                        self.snmp.parent = self
                        self._children_name_map["snmp"] = "snmp"
                        self._children_yang_names.add("snmp")

                        self.topology = YList(self)
                        self._segment_path = lambda: "ipv4"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4, ['unicast_multicast', 'help'], name, value)

                    class UnicastMulticast(Enum):
                        """
                        UnicastMulticast

                        .. data:: unicast = 0

                        .. data:: multicast = 1

                        """

                        unicast = Enum.YLeaf(0, "unicast")

                        multicast = Enum.YLeaf(1, "multicast")



                    class Snmp(Entity):
                        """
                        Modify snmp parameters
                        
                        .. attribute:: context
                        
                        	Configure a SNMP context
                        	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv4.Snmp, self).__init__()

                            self.yang_name = "snmp"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"context" : ("context", Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context)}

                            self.context = YList(self)
                            self._segment_path = lambda: "snmp"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Snmp, [], name, value)


                        class Context(Entity):
                            """
                            Configure a SNMP context
                            
                            .. attribute:: name  <key>
                            
                            	Context Name
                            	**type**\: str
                            
                            .. attribute:: community
                            
                            	Configure a SNMP v2c Community string and access privs
                            	**type**\:  :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community>`
                            
                            .. attribute:: user
                            
                            	Configure a SNMP v3 user
                            	**type**\:  :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context, self).__init__()

                                self.yang_name = "context"
                                self.yang_parent_name = "snmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"community" : ("community", Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community), "user" : ("user", Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User)}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.community = Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community()
                                self.community.parent = self
                                self._children_name_map["community"] = "community"
                                self._children_yang_names.add("community")

                                self.user = Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User()
                                self.user.parent = self
                                self._children_name_map["user"] = "user"
                                self._children_yang_names.add("user")
                                self._segment_path = lambda: "context" + "[name='" + self.name.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv4/snmp/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context, ['name'], name, value)


                            class Community(Entity):
                                """
                                Configure a SNMP v2c Community string and access privs
                                
                                .. attribute:: community_string
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: access
                                
                                	
                                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community, self).__init__()

                                    self.yang_name = "community"
                                    self.yang_parent_name = "context"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"access" : ("access", Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access)}
                                    self._child_list_classes = {}

                                    self.community_string = YLeaf(YType.str, "community-string")

                                    self.access = Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access()
                                    self.access.parent = self
                                    self._children_name_map["access"] = "access"
                                    self._children_yang_names.add("access")
                                    self._segment_path = lambda: "community"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community, ['community_string'], name, value)


                                class Access(Entity):
                                    """
                                    
                                    
                                    .. attribute:: standard_acl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..99
                                    
                                    .. attribute:: expanded_acl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1300..1999
                                    
                                    .. attribute:: acl_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: ipv6
                                    
                                    	Specify IPv6 Named Access\-List
                                    	**type**\: str
                                    
                                    .. attribute:: ro
                                    
                                    	Read\-only access with this community string
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: rw
                                    
                                    	Read\-write access with this community string
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access, self).__init__()

                                        self.yang_name = "access"
                                        self.yang_parent_name = "community"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                        self.expanded_acl = YLeaf(YType.uint32, "expanded-acl")

                                        self.acl_name = YLeaf(YType.str, "acl-name")

                                        self.ipv6 = YLeaf(YType.str, "ipv6")

                                        self.ro = YLeaf(YType.empty, "ro")

                                        self.rw = YLeaf(YType.empty, "rw")
                                        self._segment_path = lambda: "access"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access, ['standard_acl', 'expanded_acl', 'acl_name', 'ipv6', 'ro', 'rw'], name, value)


                            class User(Entity):
                                """
                                Configure a SNMP v3 user
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: permisssion
                                
                                	
                                	**type**\:  :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User, self).__init__()

                                    self.yang_name = "user"
                                    self.yang_parent_name = "context"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"permisssion" : ("permisssion", Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion)}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.permisssion = Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion()
                                    self.permisssion.parent = self
                                    self._children_name_map["permisssion"] = "permisssion"
                                    self._children_yang_names.add("permisssion")
                                    self._segment_path = lambda: "user"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User, ['name'], name, value)


                                class Permisssion(Entity):
                                    """
                                    
                                    
                                    .. attribute:: access
                                    
                                    	specify an access\-list associated with this group
                                    	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access>`
                                    
                                    .. attribute:: auth
                                    
                                    	authentication parameters for the user
                                    	**type**\:  :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth>`
                                    
                                    .. attribute:: credential
                                    
                                    	If the user password is already configured and saved
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: encrypted
                                    
                                    	specifying passwords as MD5 or SHA digests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion, self).__init__()

                                        self.yang_name = "permisssion"
                                        self.yang_parent_name = "user"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"access" : ("access", Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access), "auth" : ("auth", Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth)}
                                        self._child_list_classes = {}

                                        self.credential = YLeaf(YType.empty, "credential")

                                        self.encrypted = YLeaf(YType.empty, "encrypted")

                                        self.access = Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access()
                                        self.access.parent = self
                                        self._children_name_map["access"] = "access"
                                        self._children_yang_names.add("access")

                                        self.auth = Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth()
                                        self.auth.parent = self
                                        self._children_name_map["auth"] = "auth"
                                        self._children_yang_names.add("auth")
                                        self._segment_path = lambda: "permisssion"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion, ['credential', 'encrypted'], name, value)


                                    class Access(Entity):
                                        """
                                        specify an access\-list associated with this group
                                        
                                        .. attribute:: standard_acl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: acl_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access, self).__init__()

                                            self.yang_name = "access"
                                            self.yang_parent_name = "permisssion"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                            self.acl_name = YLeaf(YType.str, "acl-name")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")
                                            self._segment_path = lambda: "access"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access, ['standard_acl', 'acl_name', 'ipv6'], name, value)


                                    class Auth(Entity):
                                        """
                                        authentication parameters for the user
                                        
                                        .. attribute:: md5
                                        
                                        	Use HMAC MD5 algorithm for authentication
                                        	**type**\: str
                                        
                                        .. attribute:: sha
                                        
                                        	Use HMAC SHA algorithm for authentication
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth, self).__init__()

                                            self.yang_name = "auth"
                                            self.yang_parent_name = "permisssion"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.md5 = YLeaf(YType.str, "md5")

                                            self.sha = YLeaf(YType.str, "sha")
                                            self._segment_path = lambda: "auth"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth, ['md5', 'sha'], name, value)


                    class Topology(Entity):
                        """
                        Associate the routing protocol to a topology instance
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: tid
                        
                        	Configuring the routing protocol topology tid
                        	**type**\: int
                        
                        	**range:** 5..4095
                        
                        .. attribute:: ignore_attached_bit
                        
                        	Never install default route to closest L2 router
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\: list of  		 :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance>`
                        
                        .. attribute:: ip
                        
                        	IP specific commands
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip>`
                        
                        .. attribute:: priority
                        
                        	priority value
                        	**type**\: int
                        
                        	**range:** 0..127
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute>`
                        
                        .. attribute:: set_attached_bit
                        
                        	Conditionally advertise us as attached to L2
                        	**type**\:  :py:class:`SetAttachedBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit>`
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp>`
                        
                        .. attribute:: summary_address
                        
                        	Configure IP address summaries
                        	**type**\: list of  		 :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress>`
                        
                        .. attribute:: traffic_share
                        
                        	How to compute traffic share over alternate paths
                        	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare>`
                        
                        .. attribute:: advertise
                        
                        	Control which IP routes flow in L1 and L2 LSPs
                        	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Advertise>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation>`
                        
                        .. attribute:: help
                        
                        	Description of the interactive help system
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        .. attribute:: metric
                        
                        	Set ISIS metric for all interfaces
                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric>`
                        
                        .. attribute:: prc_interval
                        
                        	Minimum interval between partial route calculations
                        	**type**\:  :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.PrcInterval>`
                        
                        .. attribute:: set_overload_bit
                        
                        	Signal other routers not to use us in SPF
                        	**type**\:  :py:class:`SetOverloadBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: spf_interval
                        
                        	Minimum interval between SPF calculations
                        	**type**\:  :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology, self).__init__()

                            self.yang_name = "topology"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"ip" : ("ip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip), "redistribute" : ("redistribute", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute), "set-attached-bit" : ("set_attached_bit", Native.Router.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit), "snmp" : ("snmp", Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp), "traffic-share" : ("traffic_share", Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare), "advertise" : ("advertise", Native.Router.Isis.AddressFamily.Ipv4.Topology.Advertise), "default-information" : ("default_information", Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation), "metric" : ("metric", Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric), "prc-interval" : ("prc_interval", Native.Router.Isis.AddressFamily.Ipv4.Topology.PrcInterval), "set-overload-bit" : ("set_overload_bit", Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit), "spf-interval" : ("spf_interval", Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval)}
                            self._child_list_classes = {"distance" : ("distance", Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance), "summary-address" : ("summary_address", Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress)}

                            self.name = YLeaf(YType.str, "name")

                            self.tid = YLeaf(YType.uint32, "tid")

                            self.ignore_attached_bit = YLeaf(YType.empty, "ignore-attached-bit")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.help = YLeaf(YType.empty, "help")

                            self.maximum_paths = YLeaf(YType.uint32, "maximum-paths")

                            self.ip = Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")

                            self.redistribute = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.set_attached_bit = Native.Router.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit()
                            self.set_attached_bit.parent = self
                            self._children_name_map["set_attached_bit"] = "set-attached-bit"
                            self._children_yang_names.add("set-attached-bit")

                            self.snmp = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp()
                            self.snmp.parent = self
                            self._children_name_map["snmp"] = "snmp"
                            self._children_yang_names.add("snmp")

                            self.traffic_share = Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare()
                            self.traffic_share.parent = self
                            self._children_name_map["traffic_share"] = "traffic-share"
                            self._children_yang_names.add("traffic-share")

                            self.advertise = Native.Router.Isis.AddressFamily.Ipv4.Topology.Advertise()
                            self.advertise.parent = self
                            self._children_name_map["advertise"] = "advertise"
                            self._children_yang_names.add("advertise")

                            self.default_information = Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.metric = Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric()
                            self.metric.parent = self
                            self._children_name_map["metric"] = "metric"
                            self._children_yang_names.add("metric")

                            self.prc_interval = Native.Router.Isis.AddressFamily.Ipv4.Topology.PrcInterval()
                            self.prc_interval.parent = self
                            self._children_name_map["prc_interval"] = "prc-interval"
                            self._children_yang_names.add("prc-interval")

                            self.set_overload_bit = None
                            self._children_name_map["set_overload_bit"] = "set-overload-bit"
                            self._children_yang_names.add("set-overload-bit")

                            self.spf_interval = Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval()
                            self.spf_interval.parent = self
                            self._children_name_map["spf_interval"] = "spf-interval"
                            self._children_yang_names.add("spf-interval")

                            self.distance = YList(self)
                            self.summary_address = YList(self)
                            self._segment_path = lambda: "topology" + "[name='" + self.name.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology, ['name', 'tid', 'ignore_attached_bit', 'priority', 'help', 'maximum_paths'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: number  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: ip_list
                            
                            	
                            	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList>`
                            
                            .. attribute:: clns
                            
                            	Distance applied for CLNS derived routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ip
                            
                            	Distance applied for IP derived routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ip-list" : ("ip_list", Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList)}

                                self.number = YLeaf(YType.uint8, "number")

                                self.clns = YLeaf(YType.empty, "clns")

                                self.ip = YLeaf(YType.empty, "ip")

                                self.ip_list = YList(self)
                                self._segment_path = lambda: "distance" + "[number='" + self.number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance, ['number', 'clns', 'ip'], name, value)


                            class IpList(Entity):
                                """
                                
                                
                                .. attribute:: ip  <key>
                                
                                	IP Source address
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildcard_bits
                                
                                	
                                	**type**\: list of  		 :py:class:`WildcardBits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList, self).__init__()

                                    self.yang_name = "ip-list"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"wildcard-bits" : ("wildcard_bits", Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits)}

                                    self.ip = YLeaf(YType.str, "ip")

                                    self.wildcard_bits = YList(self)
                                    self._segment_path = lambda: "ip-list" + "[ip='" + self.ip.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList, ['ip'], name, value)


                                class WildcardBits(Entity):
                                    """
                                    
                                    
                                    .. attribute:: w_bits  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: access_list
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..99
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1300..1999
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits, self).__init__()

                                        self.yang_name = "wildcard-bits"
                                        self.yang_parent_name = "ip-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.w_bits = YLeaf(YType.str, "w-bits")

                                        self.access_list = YLeaf(YType.str, "access-list")
                                        self._segment_path = lambda: "wildcard-bits" + "[w-bits='" + self.w_bits.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits, ['w_bits', 'access_list'], name, value)


                        class Ip(Entity):
                            """
                            IP specific commands
                            
                            .. attribute:: route
                            
                            	ISIS IP routes
                            	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"route" : ("route", Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route)}
                                self._child_list_classes = {}

                                self.route = Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route()
                                self.route.parent = self
                                self._children_name_map["route"] = "route"
                                self._children_yang_names.add("route")
                                self._segment_path = lambda: "ip"


                            class Route(Entity):
                                """
                                ISIS IP routes
                                
                                .. attribute:: priority
                                
                                	Assign priority to IP prefixes
                                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route, self).__init__()

                                    self.yang_name = "route"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"priority" : ("priority", Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority)}
                                    self._child_list_classes = {}

                                    self.priority = Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority()
                                    self.priority.parent = self
                                    self._children_name_map["priority"] = "priority"
                                    self._children_yang_names.add("priority")
                                    self._segment_path = lambda: "route"


                                class Priority(Entity):
                                    """
                                    Assign priority to IP prefixes
                                    
                                    .. attribute:: high
                                    
                                    	Assign high priority to important IP prefixes in ISIS IP local RIB
                                    	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority, self).__init__()

                                        self.yang_name = "priority"
                                        self.yang_parent_name = "route"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"high" : ("high", Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High)}
                                        self._child_list_classes = {}

                                        self.high = Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High()
                                        self.high.parent = self
                                        self._children_name_map["high"] = "high"
                                        self._children_yang_names.add("high")
                                        self._segment_path = lambda: "priority"


                                    class High(Entity):
                                        """
                                        Assign high priority to important IP prefixes in ISIS IP local RIB
                                        
                                        .. attribute:: tag
                                        
                                        	Assign high priority to IP prefixes with a specific route tag
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High, self).__init__()

                                            self.yang_name = "high"
                                            self.yang_parent_name = "priority"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "high"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High, ['tag'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis>`
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes redistributed to protocol
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: vrf
                            
                            	Specify a source VRF
                            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"bgp" : ("bgp", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp), "connected" : ("connected", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected), "isis" : ("isis", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp), "lisp" : ("lisp", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp), "maximum-prefix" : ("maximum_prefix", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix), "mobile" : ("mobile", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile), "odr" : ("odr", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr), "rip" : ("rip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip), "static" : ("static", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static), "vrf" : ("vrf", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf)}
                                self._child_list_classes = {"application" : ("application", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application), "eigrp" : ("eigrp", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf), "ospfv3" : ("ospfv3", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3)}

                                self.bgp = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.isis = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis()
                                self.isis.parent = self
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.iso_igrp = None
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.lisp = None
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.maximum_prefix = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.vrf = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf()
                                self.vrf.parent = self
                                self._children_name_map["vrf"] = "vrf"
                                self._children_yang_names.add("vrf")

                                self.application = YList(self)
                                self.eigrp = YList(self)
                                self.ospf = YList(self)
                                self.ospfv3 = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute, [], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: name  <key>
                                
                                	Application name
                                	**type**\: str
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application, ['name', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: clns
                                
                                	Redistribution of BGP NSAP routes
                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	Redistribution of BGP IP routes
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"clns" : ("clns", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns), "ip" : ("ip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip)}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.str, "as-number")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.clns = None
                                    self._children_name_map["clns"] = "clns"
                                    self._children_yang_names.add("clns")

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp, ['as_number', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Clns(Entity):
                                    """
                                    Redistribution of BGP NSAP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns, self).__init__()

                                        self.yang_name = "clns"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "clns"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Ip(Entity):
                                    """
                                    Redistribution of BGP IP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "connected"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.uint32, "as-number")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp, ['as_number', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_redistribute
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisRedistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute>`
                                
                                .. attribute:: ip
                                
                                	Redistribution of IP routes between levels
                                	**type**\: list of  		 :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.Ip>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"isis-redistribute" : ("isis_redistribute", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute), "ip" : ("ip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.Ip)}

                                    self.isis_redistribute = YList(self)
                                    self.ip = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis, [], name, value)


                                class IsisRedistribute(Entity):
                                    """
                                    
                                    
                                    .. attribute:: area_tag  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP routes between levels or processes
                                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute, self).__init__()

                                        self.yang_name = "isis-redistribute"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ip" : ("ip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute.Ip)}
                                        self._child_list_classes = {}

                                        self.area_tag = YLeaf(YType.str, "area-tag")

                                        self.ip = None
                                        self._children_name_map["ip"] = "ip"
                                        self._children_yang_names.add("ip")
                                        self._segment_path = lambda: "isis-redistribute" + "[area-tag='" + self.area_tag.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute, ['area_tag'], name, value)


                                    class Ip(Entity):
                                        """
                                        Redistribution of IP routes between levels or processes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute.Ip.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute.Ip, self).__init__()

                                            self.yang_name = "ip"
                                            self.yang_parent_name = "isis-redistribute"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Ip(Entity):
                                    """
                                    Redistribution of IP routes between levels
                                    
                                    .. attribute:: isis_redist_levels1  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRedistLevels1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.Ip.IsisRedistLevels1>`
                                    
                                    .. attribute:: isis_redist_levels2  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRedistLevels2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.Ip.IsisRedistLevels2>`
                                    
                                    .. attribute:: into
                                    
                                    	from level\-n into level\-m
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	select routes
                                    	**type**\: int
                                    
                                    	**range:** 100..199
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route matching
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.isis_redist_levels1 = YLeaf(YType.enumeration, "isis-redist-levels1")

                                        self.isis_redist_levels2 = YLeaf(YType.enumeration, "isis-redist-levels2")

                                        self.into = YLeaf(YType.empty, "into")

                                        self.distribute_list = YLeaf(YType.uint32, "distribute-list")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip" + "[isis-redist-levels1='" + self.isis_redist_levels1.get() + "']" + "[isis-redist-levels2='" + self.isis_redist_levels2.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.Ip, ['isis_redist_levels1', 'isis_redist_levels2', 'into', 'distribute_list', 'route_map'], name, value)

                                    class IsisRedistLevels1(Enum):
                                        """
                                        IsisRedistLevels1

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")


                                    class IsisRedistLevels2(Enum):
                                        """
                                        IsisRedistLevels2

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")



                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: area_tag_route_map_container
                                
                                	
                                	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.MetricType>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.area_tag_route_map_container = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                                    self.area_tag_route_map_container.parent = self
                                    self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                    self._children_yang_names.add("area-tag-route-map-container")
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp, ['route_map', 'levels', 'metric', 'metric_type'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class AreaTagRouteMapContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: area_tag
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                        self.yang_name = "area-tag-route-map-container"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.area_tag = YLeaf(YType.str, "area-tag")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "area-tag-route-map-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                            class Lisp(Entity):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "lisp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp, ['include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes redistributed to protocol
                                
                                .. attribute:: number
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: threshold_value
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only
                                
                                	Only give warning message when limit is exceeded
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: withdraw
                                
                                	Withdraw redistibuted prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.uint32, "number")

                                    self.threshold_value = YLeaf(YType.uint32, "threshold-value")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                    self.withdraw = YLeaf(YType.empty, "withdraw")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix, ['number', 'threshold_value', 'warning_only', 'withdraw'], name, value)


                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "mobile"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "odr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: process_id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match>`
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"match" : ("match", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match)}
                                    self._child_list_classes = {}

                                    self.process_id = YLeaf(YType.uint32, "process-id")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.vrf = YLeaf(YType.str, "vrf")

                                    self.match = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")
                                    self._segment_path = lambda: "ospf" + "[process-id='" + self.process_id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf, ['process_id', 'levels', 'metric', 'metric_type', 'route_map', 'vrf'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Match(Entity):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"internal" : ("internal", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal)}
                                        self._child_list_classes = {}

                                        self.internal = None
                                        self._children_name_map["internal"] = "internal"
                                        self._children_yang_names.add("internal")

                                        self.external = None
                                        self._children_name_map["external"] = "external"
                                        self._children_yang_names.add("external")

                                        self.nssa_external = None
                                        self._children_name_map["nssa_external"] = "nssa-external"
                                        self._children_yang_names.add("nssa-external")
                                        self._segment_path = lambda: "match"


                                    class Internal(Entity):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal, self).__init__()

                                            self.yang_name = "internal"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "internal"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class External(Entity):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External, self).__init__()

                                            self.yang_name = "external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External, ['external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class NssaExternal(Entity):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                            self.yang_name = "nssa-external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "nssa-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Ospfv3(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: process_id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match>`
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"match" : ("match", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match)}
                                    self._child_list_classes = {}

                                    self.process_id = YLeaf(YType.uint32, "process-id")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.vrf = YLeaf(YType.str, "vrf")

                                    self.match = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")
                                    self._segment_path = lambda: "ospfv3" + "[process-id='" + self.process_id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3, ['process_id', 'levels', 'metric', 'metric_type', 'route_map', 'vrf'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Match(Entity):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"internal" : ("internal", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal)}
                                        self._child_list_classes = {}

                                        self.internal = None
                                        self._children_name_map["internal"] = "internal"
                                        self._children_yang_names.add("internal")

                                        self.external = None
                                        self._children_name_map["external"] = "external"
                                        self._children_yang_names.add("external")

                                        self.nssa_external = None
                                        self._children_name_map["nssa_external"] = "nssa-external"
                                        self._children_yang_names.add("nssa-external")
                                        self._segment_path = lambda: "match"


                                    class Internal(Entity):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal, self).__init__()

                                            self.yang_name = "internal"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "internal"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class External(Entity):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External, self).__init__()

                                            self.yang_name = "external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External, ['external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class NssaExternal(Entity):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal, self).__init__()

                                            self.yang_name = "nssa-external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "nssa-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "rip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of BGP NSAP routes
                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	Redistribution of BGP IP routes
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"clns" : ("clns", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.clns = None
                                    self._children_name_map["clns"] = "clns"
                                    self._children_yang_names.add("clns")

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "static"


                                class Clns(Entity):
                                    """
                                    Redistribution of BGP NSAP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns, self).__init__()

                                        self.yang_name = "clns"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "clns"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Ip(Entity):
                                    """
                                    Redistribution of BGP IP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Vrf(Entity):
                                """
                                Specify a source VRF
                                
                                .. attribute:: vrf_nm
                                
                                	
                                	**type**\: list of  		 :py:class:`VrfNm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm>`
                                
                                .. attribute:: global_
                                
                                	global VRF
                                	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf, self).__init__()

                                    self.yang_name = "vrf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"global" : ("global_", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_)}
                                    self._child_list_classes = {"vrf-nm" : ("vrf_nm", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm)}

                                    self.global_ = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_()
                                    self.global_.parent = self
                                    self._children_name_map["global_"] = "global"
                                    self._children_yang_names.add("global")

                                    self.vrf_nm = YList(self)
                                    self._segment_path = lambda: "vrf"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf, [], name, value)


                                class VrfNm(Entity):
                                    """
                                    
                                    
                                    .. attribute:: vrf_nm  <key>
                                    
                                    	Source VRF name
                                    	**type**\: str
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis>`
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Process ID
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm, self).__init__()

                                        self.yang_name = "vrf-nm"
                                        self.yang_parent_name = "vrf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application), "bgp" : ("bgp", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp), "connected" : ("connected", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected), "eigrp" : ("eigrp", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp), "isis" : ("isis", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp), "lisp" : ("lisp", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp), "mobile" : ("mobile", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile), "ospfv3" : ("ospfv3", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3), "rip" : ("rip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip), "static" : ("static", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static)}
                                        self._child_list_classes = {}

                                        self.vrf_nm = YLeaf(YType.str, "vrf-nm")

                                        self.ospf = YLeaf(YType.uint16, "ospf")

                                        self.application = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application()
                                        self.application.parent = self
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.eigrp = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.iso_igrp = None
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.ospfv3 = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3()
                                        self.ospfv3.parent = self
                                        self._children_name_map["ospfv3"] = "ospfv3"
                                        self._children_yang_names.add("ospfv3")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")
                                        self._segment_path = lambda: "vrf-nm" + "[vrf-nm='" + self.vrf_nm.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm, ['vrf_nm', 'ospf'], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: appname
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "vrf-nm"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"appname" : ("appname", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname)}

                                            self.appname = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application, [], name, value)


                                        class Appname(Entity):
                                            """
                                            
                                            
                                            .. attribute:: appname  <key>
                                            
                                            	Application name
                                            	**type**\: str
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname, self).__init__()

                                                self.yang_name = "appname"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.appname = YLeaf(YType.str, "appname")

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "appname" + "[appname='" + self.appname.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname, ['appname', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: bp_as_num
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum>`
                                        
                                        .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                                        
                                        	Autonomous system number
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "vrf-nm"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"bp-as-num" : ("bp_as_num", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum)}

                                            self.a_lesser_1_period_0_xx_period_yy_greater_ = YLeaf(YType.empty, "a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_")

                                            self.bp_as_num = YList(self)
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp, ['a_lesser_1_period_0_xx_period_yy_greater_'], name, value)


                                        class BpAsNum(Entity):
                                            """
                                            
                                            
                                            .. attribute:: bp_as_num  <key>
                                            
                                            	Autonomous system number
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of BGP NSAP routes
                                            	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of BGP IP routes
                                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum, self).__init__()

                                                self.yang_name = "bp-as-num"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"clns" : ("clns", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns), "ip" : ("ip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip)}
                                                self._child_list_classes = {}

                                                self.bp_as_num = YLeaf(YType.str, "bp-as-num")

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.clns = None
                                                self._children_name_map["clns"] = "clns"
                                                self._children_yang_names.add("clns")

                                                self.ip = None
                                                self._children_name_map["ip"] = "ip"
                                                self._children_yang_names.add("ip")
                                                self._segment_path = lambda: "bp-as-num" + "[bp-as-num='" + self.bp_as_num.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum, ['bp_as_num', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                            class Clns(Entity):
                                                """
                                                Redistribution of BGP NSAP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns, self).__init__()

                                                    self.yang_name = "clns"
                                                    self.yang_parent_name = "bp-as-num"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "clns"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                            class Ip(Entity):
                                                """
                                                Redistribution of BGP IP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip, self).__init__()

                                                    self.yang_name = "ip"
                                                    self.yang_parent_name = "bp-as-num"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "vrf-nm"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: eigrp_as
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "vrf-nm"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"eigrp-as" : ("eigrp_as", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs)}

                                            self.eigrp_as = YList(self)
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp, [], name, value)


                                        class EigrpAs(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eigrp_as  <key>
                                            
                                            	AS number
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs, self).__init__()

                                                self.yang_name = "eigrp-as"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eigrp_as = YLeaf(YType.uint16, "eigrp-as")

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "eigrp-as" + "[eigrp-as='" + self.eigrp_as.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs, ['eigrp_as', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_atag
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag>`
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP routes between levels or processes
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "vrf-nm"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ip" : ("ip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.Ip)}
                                            self._child_list_classes = {"isis-atag" : ("isis_atag", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag)}

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")

                                            self.isis_atag = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis, [], name, value)


                                        class IsisAtag(Entity):
                                            """
                                            
                                            
                                            .. attribute:: isis_atag  <key>
                                            
                                            	ISO routing area tag
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP routes between levels or processes
                                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag, self).__init__()

                                                self.yang_name = "isis-atag"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"ip" : ("ip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip)}
                                                self._child_list_classes = {}

                                                self.isis_atag = YLeaf(YType.str, "isis-atag")

                                                self.ip = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip()
                                                self.ip.parent = self
                                                self._children_name_map["ip"] = "ip"
                                                self._children_yang_names.add("ip")
                                                self._segment_path = lambda: "isis-atag" + "[isis-atag='" + self.isis_atag.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag, ['isis_atag'], name, value)


                                            class Ip(Entity):
                                                """
                                                Redistribution of IP routes between levels or processes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip, self).__init__()

                                                    self.yang_name = "ip"
                                                    self.yang_parent_name = "isis-atag"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Ip(Entity):
                                            """
                                            Redistribution of IP routes between levels or processes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.Ip.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_atag
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "vrf-nm"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"route-map" : ("route_map", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap)}
                                            self._child_list_classes = {"iso-atag" : ("iso_atag", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag)}
                                            self.is_presence_container = True

                                            self.route_map = None
                                            self._children_name_map["route_map"] = "route-map"
                                            self._children_yang_names.add("route-map")

                                            self.iso_atag = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp, [], name, value)


                                        class IsoAtag(Entity):
                                            """
                                            
                                            
                                            .. attribute:: iso_atag  <key>
                                            
                                            	ISO routing area tag
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag, self).__init__()

                                                self.yang_name = "iso-atag"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.iso_atag = YLeaf(YType.str, "iso-atag")

                                                self.route_map = YLeaf(YType.empty, "route-map")
                                                self._segment_path = lambda: "iso-atag" + "[iso-atag='" + self.iso_atag.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag, ['iso_atag', 'route_map'], name, value)


                                        class RouteMap(Entity):
                                            """
                                            Route map reference
                                            
                                            .. attribute:: rm_point
                                            
                                            	Pointer to route\-map entries
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap, self).__init__()

                                                self.yang_name = "route-map"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.rm_point = YLeaf(YType.str, "rm-point")
                                                self._segment_path = lambda: "route-map"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap, ['rm_point'], name, value)


                                    class Lisp(Entity):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "vrf-nm"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "vrf-nm"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: os3_id
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "vrf-nm"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"os3-id" : ("os3_id", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id)}

                                            self.os3_id = YList(self)
                                            self._segment_path = lambda: "ospfv3"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3, [], name, value)


                                        class Os3Id(Entity):
                                            """
                                            
                                            
                                            .. attribute:: os3_id  <key>
                                            
                                            	Process ID
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id, self).__init__()

                                                self.yang_name = "os3-id"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.os3_id = YLeaf(YType.uint16, "os3-id")

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "os3-id" + "[os3-id='" + self.os3_id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id, ['os3_id', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "vrf-nm"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of BGP NSAP routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of BGP IP routes
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "vrf-nm"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns), "ip" : ("ip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Clns(Entity):
                                            """
                                            Redistribution of BGP NSAP routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Ip(Entity):
                                            """
                                            Redistribution of BGP IP routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Global_(Entity):
                                    """
                                    global VRF
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis>`
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Process ID
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_, self).__init__()

                                        self.yang_name = "global"
                                        self.yang_parent_name = "vrf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application), "bgp" : ("bgp", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp), "connected" : ("connected", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected), "eigrp" : ("eigrp", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp), "isis" : ("isis", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp), "lisp" : ("lisp", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp), "mobile" : ("mobile", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile), "ospfv3" : ("ospfv3", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3), "rip" : ("rip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip), "static" : ("static", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static)}
                                        self._child_list_classes = {}

                                        self.ospf = YLeaf(YType.uint16, "ospf")

                                        self.application = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application()
                                        self.application.parent = self
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.bgp = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp()
                                        self.bgp.parent = self
                                        self._children_name_map["bgp"] = "bgp"
                                        self._children_yang_names.add("bgp")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.eigrp = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp()
                                        self.eigrp.parent = self
                                        self._children_name_map["eigrp"] = "eigrp"
                                        self._children_yang_names.add("eigrp")

                                        self.isis = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.iso_igrp = None
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.lisp = None
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.ospfv3 = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3()
                                        self.ospfv3.parent = self
                                        self._children_name_map["ospfv3"] = "ospfv3"
                                        self._children_yang_names.add("ospfv3")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")
                                        self._segment_path = lambda: "global"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_, ['ospf'], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: appname
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"appname" : ("appname", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname)}

                                            self.appname = YList(self)
                                            self._segment_path = lambda: "application"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application, [], name, value)


                                        class Appname(Entity):
                                            """
                                            
                                            
                                            .. attribute:: appname  <key>
                                            
                                            	Application name
                                            	**type**\: str
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname, self).__init__()

                                                self.yang_name = "appname"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.appname = YLeaf(YType.str, "appname")

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "appname" + "[appname='" + self.appname.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname, ['appname', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: bp_as_num
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum>`
                                        
                                        .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                                        
                                        	Autonomous system number
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"bp-as-num" : ("bp_as_num", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum)}

                                            self.a_lesser_1_period_0_xx_period_yy_greater_ = YLeaf(YType.empty, "a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_")

                                            self.bp_as_num = YList(self)
                                            self._segment_path = lambda: "bgp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp, ['a_lesser_1_period_0_xx_period_yy_greater_'], name, value)


                                        class BpAsNum(Entity):
                                            """
                                            
                                            
                                            .. attribute:: bp_as_num  <key>
                                            
                                            	Autonomous system number
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of BGP NSAP routes
                                            	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of BGP IP routes
                                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum, self).__init__()

                                                self.yang_name = "bp-as-num"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"clns" : ("clns", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns), "ip" : ("ip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip)}
                                                self._child_list_classes = {}

                                                self.bp_as_num = YLeaf(YType.str, "bp-as-num")

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.clns = None
                                                self._children_name_map["clns"] = "clns"
                                                self._children_yang_names.add("clns")

                                                self.ip = None
                                                self._children_name_map["ip"] = "ip"
                                                self._children_yang_names.add("ip")
                                                self._segment_path = lambda: "bp-as-num" + "[bp-as-num='" + self.bp_as_num.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum, ['bp_as_num', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                            class Clns(Entity):
                                                """
                                                Redistribution of BGP NSAP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns, self).__init__()

                                                    self.yang_name = "clns"
                                                    self.yang_parent_name = "bp-as-num"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "clns"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                            class Ip(Entity):
                                                """
                                                Redistribution of BGP IP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip, self).__init__()

                                                    self.yang_name = "ip"
                                                    self.yang_parent_name = "bp-as-num"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "connected"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: eigrp_as
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"eigrp-as" : ("eigrp_as", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs)}

                                            self.eigrp_as = YList(self)
                                            self._segment_path = lambda: "eigrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp, [], name, value)


                                        class EigrpAs(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eigrp_as  <key>
                                            
                                            	AS number
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs, self).__init__()

                                                self.yang_name = "eigrp-as"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eigrp_as = YLeaf(YType.uint16, "eigrp-as")

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "eigrp-as" + "[eigrp-as='" + self.eigrp_as.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs, ['eigrp_as', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_atag
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag>`
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP routes between levels or processes
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ip" : ("ip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.Ip)}
                                            self._child_list_classes = {"isis-atag" : ("isis_atag", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag)}

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")

                                            self.isis_atag = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis, [], name, value)


                                        class IsisAtag(Entity):
                                            """
                                            
                                            
                                            .. attribute:: isis_atag  <key>
                                            
                                            	ISO routing area tag
                                            	**type**\: str
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP routes between levels or processes
                                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag, self).__init__()

                                                self.yang_name = "isis-atag"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"ip" : ("ip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip)}
                                                self._child_list_classes = {}

                                                self.isis_atag = YLeaf(YType.str, "isis-atag")

                                                self.ip = Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip()
                                                self.ip.parent = self
                                                self._children_name_map["ip"] = "ip"
                                                self._children_yang_names.add("ip")
                                                self._segment_path = lambda: "isis-atag" + "[isis-atag='" + self.isis_atag.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag, ['isis_atag'], name, value)


                                            class Ip(Entity):
                                                """
                                                Redistribution of IP routes between levels or processes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip, self).__init__()

                                                    self.yang_name = "ip"
                                                    self.yang_parent_name = "isis-atag"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Ip(Entity):
                                            """
                                            Redistribution of IP routes between levels or processes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.Ip.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: iso_atag
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"route-map" : ("route_map", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap)}
                                            self._child_list_classes = {"iso-atag" : ("iso_atag", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag)}
                                            self.is_presence_container = True

                                            self.route_map = None
                                            self._children_name_map["route_map"] = "route-map"
                                            self._children_yang_names.add("route-map")

                                            self.iso_atag = YList(self)
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp, [], name, value)


                                        class IsoAtag(Entity):
                                            """
                                            
                                            
                                            .. attribute:: iso_atag  <key>
                                            
                                            	ISO routing area tag
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag, self).__init__()

                                                self.yang_name = "iso-atag"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.iso_atag = YLeaf(YType.str, "iso-atag")

                                                self.route_map = YLeaf(YType.empty, "route-map")
                                                self._segment_path = lambda: "iso-atag" + "[iso-atag='" + self.iso_atag.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag, ['iso_atag', 'route_map'], name, value)


                                        class RouteMap(Entity):
                                            """
                                            Route map reference
                                            
                                            .. attribute:: rm_point
                                            
                                            	Pointer to route\-map entries
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap, self).__init__()

                                                self.yang_name = "route-map"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.rm_point = YLeaf(YType.str, "rm-point")
                                                self._segment_path = lambda: "route-map"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap, ['rm_point'], name, value)


                                    class Lisp(Entity):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "lisp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "mobile"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: os3_id
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"os3-id" : ("os3_id", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id)}

                                            self.os3_id = YList(self)
                                            self._segment_path = lambda: "ospfv3"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3, [], name, value)


                                        class Os3Id(Entity):
                                            """
                                            
                                            
                                            .. attribute:: os3_id  <key>
                                            
                                            	Process ID
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id, self).__init__()

                                                self.yang_name = "os3-id"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.os3_id = YLeaf(YType.uint16, "os3-id")

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "os3-id" + "[os3-id='" + self.os3_id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id, ['os3_id', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "rip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: clns
                                        
                                        	Redistribution of BGP NSAP routes
                                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of BGP IP routes
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"clns" : ("clns", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns), "ip" : ("ip", Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.clns = None
                                            self._children_name_map["clns"] = "clns"
                                            self._children_yang_names.add("clns")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "static"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Clns(Entity):
                                            """
                                            Redistribution of BGP NSAP routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns, self).__init__()

                                                self.yang_name = "clns"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "clns"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Ip(Entity):
                                            """
                                            Redistribution of BGP IP routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class SetAttachedBit(Entity):
                            """
                            Conditionally advertise us as attached to L2
                            
                            .. attribute:: route_map
                            
                            	Route\-map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit, self).__init__()

                                self.yang_name = "set-attached-bit"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "set-attached-bit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit, ['route_map'], name, value)


                        class Snmp(Entity):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp, self).__init__()

                                self.yang_name = "snmp"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"context" : ("context", Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context)}

                                self.context = YList(self)
                                self._segment_path = lambda: "snmp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp, [], name, value)


                            class Context(Entity):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: name  <key>
                                
                                	Context Name
                                	**type**\: str
                                
                                .. attribute:: community
                                
                                	Configure a SNMP v2c Community string and access privs
                                	**type**\:  :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community>`
                                
                                .. attribute:: user
                                
                                	Configure a SNMP v3 user
                                	**type**\:  :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context, self).__init__()

                                    self.yang_name = "context"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"community" : ("community", Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community), "user" : ("user", Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User)}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.community = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community()
                                    self.community.parent = self
                                    self._children_name_map["community"] = "community"
                                    self._children_yang_names.add("community")

                                    self.user = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User()
                                    self.user.parent = self
                                    self._children_name_map["user"] = "user"
                                    self._children_yang_names.add("user")
                                    self._segment_path = lambda: "context" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context, ['name'], name, value)


                                class Community(Entity):
                                    """
                                    Configure a SNMP v2c Community string and access privs
                                    
                                    .. attribute:: community_string
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: access
                                    
                                    	
                                    	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community, self).__init__()

                                        self.yang_name = "community"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"access" : ("access", Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access)}
                                        self._child_list_classes = {}

                                        self.community_string = YLeaf(YType.str, "community-string")

                                        self.access = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access()
                                        self.access.parent = self
                                        self._children_name_map["access"] = "access"
                                        self._children_yang_names.add("access")
                                        self._segment_path = lambda: "community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community, ['community_string'], name, value)


                                    class Access(Entity):
                                        """
                                        
                                        
                                        .. attribute:: standard_acl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..99
                                        
                                        .. attribute:: expanded_acl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1300..1999
                                        
                                        .. attribute:: acl_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	Specify IPv6 Named Access\-List
                                        	**type**\: str
                                        
                                        .. attribute:: ro
                                        
                                        	Read\-only access with this community string
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: rw
                                        
                                        	Read\-write access with this community string
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access, self).__init__()

                                            self.yang_name = "access"
                                            self.yang_parent_name = "community"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                            self.expanded_acl = YLeaf(YType.uint32, "expanded-acl")

                                            self.acl_name = YLeaf(YType.str, "acl-name")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")

                                            self.ro = YLeaf(YType.empty, "ro")

                                            self.rw = YLeaf(YType.empty, "rw")
                                            self._segment_path = lambda: "access"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access, ['standard_acl', 'expanded_acl', 'acl_name', 'ipv6', 'ro', 'rw'], name, value)


                                class User(Entity):
                                    """
                                    Configure a SNMP v3 user
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: permisssion
                                    
                                    	
                                    	**type**\:  :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User, self).__init__()

                                        self.yang_name = "user"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"permisssion" : ("permisssion", Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.permisssion = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion()
                                        self.permisssion.parent = self
                                        self._children_name_map["permisssion"] = "permisssion"
                                        self._children_yang_names.add("permisssion")
                                        self._segment_path = lambda: "user"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User, ['name'], name, value)


                                    class Permisssion(Entity):
                                        """
                                        
                                        
                                        .. attribute:: access
                                        
                                        	specify an access\-list associated with this group
                                        	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access>`
                                        
                                        .. attribute:: auth
                                        
                                        	authentication parameters for the user
                                        	**type**\:  :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth>`
                                        
                                        .. attribute:: credential
                                        
                                        	If the user password is already configured and saved
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: encrypted
                                        
                                        	specifying passwords as MD5 or SHA digests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion, self).__init__()

                                            self.yang_name = "permisssion"
                                            self.yang_parent_name = "user"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"access" : ("access", Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access), "auth" : ("auth", Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth)}
                                            self._child_list_classes = {}

                                            self.credential = YLeaf(YType.empty, "credential")

                                            self.encrypted = YLeaf(YType.empty, "encrypted")

                                            self.access = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access()
                                            self.access.parent = self
                                            self._children_name_map["access"] = "access"
                                            self._children_yang_names.add("access")

                                            self.auth = Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth()
                                            self.auth.parent = self
                                            self._children_name_map["auth"] = "auth"
                                            self._children_yang_names.add("auth")
                                            self._segment_path = lambda: "permisssion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion, ['credential', 'encrypted'], name, value)


                                        class Access(Entity):
                                            """
                                            specify an access\-list associated with this group
                                            
                                            .. attribute:: standard_acl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: acl_name
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access, self).__init__()

                                                self.yang_name = "access"
                                                self.yang_parent_name = "permisssion"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                                self.acl_name = YLeaf(YType.str, "acl-name")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "access"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access, ['standard_acl', 'acl_name', 'ipv6'], name, value)


                                        class Auth(Entity):
                                            """
                                            authentication parameters for the user
                                            
                                            .. attribute:: md5
                                            
                                            	Use HMAC MD5 algorithm for authentication
                                            	**type**\: str
                                            
                                            .. attribute:: sha
                                            
                                            	Use HMAC SHA algorithm for authentication
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth, self).__init__()

                                                self.yang_name = "auth"
                                                self.yang_parent_name = "permisssion"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.md5 = YLeaf(YType.str, "md5")

                                                self.sha = YLeaf(YType.str, "sha")
                                                self._segment_path = lambda: "auth"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth, ['md5', 'sha'], name, value)


                        class SummaryAddress(Entity):
                            """
                            Configure IP address summaries
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: level_1
                            
                            	Summarize into level\-1 area
                            	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: level_1_2
                            
                            	Summarize into both area and sub\-domain
                            	**type**\:  :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: level_2
                            
                            	Summarize into level\-2 sub\-domain
                            	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: metric_tag_container
                            
                            	
                            	**type**\:  :py:class:`MetricTagContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress, self).__init__()

                                self.yang_name = "summary-address"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"level-1" : ("level_1", Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1), "level-1-2" : ("level_1_2", Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12), "level-2" : ("level_2", Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2), "metric-tag-container" : ("metric_tag_container", Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer)}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.str, "ip")

                                self.mask = YLeaf(YType.str, "mask")

                                self.level_1 = None
                                self._children_name_map["level_1"] = "level-1"
                                self._children_yang_names.add("level-1")

                                self.level_1_2 = None
                                self._children_name_map["level_1_2"] = "level-1-2"
                                self._children_yang_names.add("level-1-2")

                                self.level_2 = None
                                self._children_name_map["level_2"] = "level-2"
                                self._children_yang_names.add("level-2")

                                self.metric_tag_container = Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer()
                                self.metric_tag_container.parent = self
                                self._children_name_map["metric_tag_container"] = "metric-tag-container"
                                self._children_yang_names.add("metric-tag-container")
                                self._segment_path = lambda: "summary-address" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress, ['ip', 'mask'], name, value)


                            class Level1(Entity):
                                """
                                Summarize into level\-1 area
                                
                                .. attribute:: metric
                                
                                	Set metric for summay route
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: tag
                                
                                	Set tag
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1, self).__init__()

                                    self.yang_name = "level-1"
                                    self.yang_parent_name = "summary-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.tag = YLeaf(YType.uint32, "tag")
                                    self._segment_path = lambda: "level-1"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1, ['metric', 'tag'], name, value)


                            class Level12(Entity):
                                """
                                Summarize into both area and sub\-domain
                                
                                .. attribute:: metric
                                
                                	Set metric for summay route
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: tag
                                
                                	Set tag
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12, self).__init__()

                                    self.yang_name = "level-1-2"
                                    self.yang_parent_name = "summary-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.tag = YLeaf(YType.uint32, "tag")
                                    self._segment_path = lambda: "level-1-2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12, ['metric', 'tag'], name, value)


                            class Level2(Entity):
                                """
                                Summarize into level\-2 sub\-domain
                                
                                .. attribute:: metric
                                
                                	Set metric for summay route
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: tag
                                
                                	Set tag
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2, self).__init__()

                                    self.yang_name = "level-2"
                                    self.yang_parent_name = "summary-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.tag = YLeaf(YType.uint32, "tag")
                                    self._segment_path = lambda: "level-2"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2, ['metric', 'tag'], name, value)


                            class MetricTagContainer(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Set metric for summay route
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: tag
                                
                                	Set tag
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer, self).__init__()

                                    self.yang_name = "metric-tag-container"
                                    self.yang_parent_name = "summary-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.tag = YLeaf(YType.uint32, "tag")
                                    self._segment_path = lambda: "metric-tag-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer, ['metric', 'tag'], name, value)


                        class TrafficShare(Entity):
                            """
                            How to compute traffic share over alternate paths
                            
                            .. attribute:: min
                            
                            	All traffic shared among min metric paths
                            	**type**\:  :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare, self).__init__()

                                self.yang_name = "traffic-share"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"min" : ("min", Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min)}
                                self._child_list_classes = {}

                                self.min = Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min()
                                self.min.parent = self
                                self._children_name_map["min"] = "min"
                                self._children_yang_names.add("min")
                                self._segment_path = lambda: "traffic-share"


                            class Min(Entity):
                                """
                                All traffic shared among min metric paths
                                
                                .. attribute:: across_interfaces
                                
                                	Use different interfaces for equal\-cost paths
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min, self).__init__()

                                    self.yang_name = "min"
                                    self.yang_parent_name = "traffic-share"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                                    self._segment_path = lambda: "min"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min, ['across_interfaces'], name, value)


                        class Advertise(Entity):
                            """
                            Control which IP routes flow in L1 and L2 LSPs
                            
                            .. attribute:: passive_only
                            
                            	only interface address of passive interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Advertise, self).__init__()

                                self.yang_name = "advertise"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.passive_only = YLeaf(YType.empty, "passive-only")
                                self._segment_path = lambda: "advertise"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Advertise, ['passive_only'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"originate" : ("originate", Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate)}
                                self._child_list_classes = {}

                                self.originate = None
                                self._children_name_map["originate"] = "originate"
                                self._children_yang_names.add("originate")
                                self._segment_path = lambda: "default-information"


                            class Originate(Entity):
                                """
                                Distribute a default route
                                
                                .. attribute:: route_map
                                
                                	Route\-map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate, self).__init__()

                                    self.yang_name = "originate"
                                    self.yang_parent_name = "default-information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate, ['route_map'], name, value)


                        class Metric(Entity):
                            """
                            Set ISIS metric for all interfaces
                            
                            .. attribute:: metrics
                            
                            	
                            	**type**\: list of  		 :py:class:`Metrics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..16777214
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric, self).__init__()

                                self.yang_name = "metric"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"metrics" : ("metrics", Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics)}

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metrics = YList(self)
                                self._segment_path = lambda: "metric"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric, ['metric'], name, value)


                            class Metrics(Entity):
                                """
                                
                                
                                .. attribute:: level  <key>
                                
                                	
                                	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics.Level>`
                                
                                .. attribute:: metric
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..16777214
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics, self).__init__()

                                    self.yang_name = "metrics"
                                    self.yang_parent_name = "metric"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.level = YLeaf(YType.enumeration, "level")

                                    self.metric = YLeaf(YType.uint32, "metric")
                                    self._segment_path = lambda: "metrics" + "[level='" + self.level.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics, ['level', 'metric'], name, value)

                                class Level(Enum):
                                    """
                                    Level

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")



                        class PrcInterval(Entity):
                            """
                            Minimum interval between partial route calculations
                            
                            .. attribute:: interval
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120
                            
                            .. attribute:: initial_wait
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120000
                            
                            .. attribute:: minimum_wait
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120000
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.PrcInterval, self).__init__()

                                self.yang_name = "prc-interval"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint32, "interval")

                                self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                                self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                                self._segment_path = lambda: "prc-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.PrcInterval, ['interval', 'initial_wait', 'minimum_wait'], name, value)


                        class SetOverloadBit(Entity):
                            """
                            Signal other routers not to use us in SPF
                            
                            .. attribute:: on_startup
                            
                            	Set overload\-bit only temporarily after reboot
                            	**type**\:  :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup>`
                            
                            .. attribute:: suppress
                            
                            	If overload\-bit set, suppress the following types of IP prefixes
                            	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit, self).__init__()

                                self.yang_name = "set-overload-bit"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"on-startup" : ("on_startup", Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup), "suppress" : ("suppress", Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.on_startup = Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup()
                                self.on_startup.parent = self
                                self._children_name_map["on_startup"] = "on-startup"
                                self._children_yang_names.add("on-startup")

                                self.suppress = Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress()
                                self.suppress.parent = self
                                self._children_name_map["suppress"] = "suppress"
                                self._children_yang_names.add("suppress")
                                self._segment_path = lambda: "set-overload-bit"


                            class OnStartup(Entity):
                                """
                                Set overload\-bit only temporarily after reboot
                                
                                .. attribute:: time
                                
                                	
                                	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time>`
                                
                                .. attribute:: wait_for_bgp
                                
                                	Let BGP decide when to unset the overload bit
                                	**type**\:  :py:class:`WaitForBgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup, self).__init__()

                                    self.yang_name = "on-startup"
                                    self.yang_parent_name = "set-overload-bit"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"time" : ("time", Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time), "wait-for-bgp" : ("wait_for_bgp", Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp)}
                                    self._child_list_classes = {}

                                    self.time = Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time()
                                    self.time.parent = self
                                    self._children_name_map["time"] = "time"
                                    self._children_yang_names.add("time")

                                    self.wait_for_bgp = None
                                    self._children_name_map["wait_for_bgp"] = "wait-for-bgp"
                                    self._children_yang_names.add("wait-for-bgp")
                                    self._segment_path = lambda: "on-startup"


                                class Time(Entity):
                                    """
                                    
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 5..86400
                                    
                                    .. attribute:: suppress
                                    
                                    	If overload\-bit set, suppress the following types of IP prefixes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: external
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: interlevel
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time, self).__init__()

                                        self.yang_name = "time"
                                        self.yang_parent_name = "on-startup"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.time = YLeaf(YType.uint32, "time")

                                        self.suppress = YLeaf(YType.empty, "suppress")

                                        self.external = YLeaf(YType.empty, "external")

                                        self.interlevel = YLeaf(YType.empty, "interlevel")
                                        self._segment_path = lambda: "time"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time, ['time', 'suppress', 'external', 'interlevel'], name, value)


                                class WaitForBgp(Entity):
                                    """
                                    Let BGP decide when to unset the overload bit
                                    
                                    .. attribute:: suppress
                                    
                                    	If overload\-bit set, suppress the following types of IP prefixes
                                    	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp, self).__init__()

                                        self.yang_name = "wait-for-bgp"
                                        self.yang_parent_name = "on-startup"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"suppress" : ("suppress", Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.suppress = Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress()
                                        self.suppress.parent = self
                                        self._children_name_map["suppress"] = "suppress"
                                        self._children_yang_names.add("suppress")
                                        self._segment_path = lambda: "wait-for-bgp"


                                    class Suppress(Entity):
                                        """
                                        If overload\-bit set, suppress the following types of IP prefixes
                                        
                                        .. attribute:: external
                                        
                                        	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: interlevel
                                        
                                        	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress, self).__init__()

                                            self.yang_name = "suppress"
                                            self.yang_parent_name = "wait-for-bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.external = YLeaf(YType.empty, "external")

                                            self.interlevel = YLeaf(YType.empty, "interlevel")
                                            self._segment_path = lambda: "suppress"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress, ['external', 'interlevel'], name, value)


                            class Suppress(Entity):
                                """
                                If overload\-bit set, suppress the following types of IP prefixes
                                
                                .. attribute:: external
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: interlevel
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress, self).__init__()

                                    self.yang_name = "suppress"
                                    self.yang_parent_name = "set-overload-bit"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.external = YLeaf(YType.empty, "external")

                                    self.interlevel = YLeaf(YType.empty, "interlevel")
                                    self._segment_path = lambda: "suppress"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress, ['external', 'interlevel'], name, value)


                        class SpfInterval(Entity):
                            """
                            Minimum interval between SPF calculations
                            
                            .. attribute:: level_1_2
                            
                            	
                            	**type**\: list of  		 :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12>`
                            
                            .. attribute:: intervals
                            
                            	
                            	**type**\:  :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval, self).__init__()

                                self.yang_name = "spf-interval"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"intervals" : ("intervals", Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals)}
                                self._child_list_classes = {"level-1-2" : ("level_1_2", Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12)}

                                self.intervals = Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals()
                                self.intervals.parent = self
                                self._children_name_map["intervals"] = "intervals"
                                self._children_yang_names.add("intervals")

                                self.level_1_2 = YList(self)
                                self._segment_path = lambda: "spf-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval, [], name, value)


                            class Level12(Entity):
                                """
                                
                                
                                .. attribute:: level  <key>
                                
                                	
                                	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12.Level>`
                                
                                .. attribute:: interval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120
                                
                                .. attribute:: initial_wait
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120000
                                
                                .. attribute:: minimum_wait
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120000
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12, self).__init__()

                                    self.yang_name = "level-1-2"
                                    self.yang_parent_name = "spf-interval"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.level = YLeaf(YType.enumeration, "level")

                                    self.interval = YLeaf(YType.uint32, "interval")

                                    self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                                    self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                                    self._segment_path = lambda: "level-1-2" + "[level='" + self.level.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12, ['level', 'interval', 'initial_wait', 'minimum_wait'], name, value)

                                class Level(Enum):
                                    """
                                    Level

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")



                            class Intervals(Entity):
                                """
                                
                                
                                .. attribute:: interval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120
                                
                                .. attribute:: initial_wait
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120000
                                
                                .. attribute:: minimum_wait
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120000
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals, self).__init__()

                                    self.yang_name = "intervals"
                                    self.yang_parent_name = "spf-interval"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint32, "interval")

                                    self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                                    self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                                    self._segment_path = lambda: "intervals"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals, ['interval', 'initial_wait', 'minimum_wait'], name, value)


                class Ipv6(Entity):
                    """
                    Address family
                    
                    .. attribute:: unicast
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: advertise
                    
                    	Control which IP routes flow in L1 and L2 LSPs
                    	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Advertise>`
                    
                    .. attribute:: default_information
                    
                    	Control distribution of default information
                    	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation>`
                    
                    .. attribute:: help
                    
                    	Description of the interactive help system
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: maximum_paths
                    
                    	Forward packets over multiple paths
                    	**type**\: int
                    
                    	**range:** 1..32
                    
                    .. attribute:: metric
                    
                    	Set ISIS metric for all interfaces
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Metric>`
                    
                    .. attribute:: prc_interval
                    
                    	Minimum interval between partial route calculations
                    	**type**\:  :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.PrcInterval>`
                    
                    .. attribute:: set_overload_bit
                    
                    	Signal other routers not to use us in SPF
                    	**type**\:  :py:class:`SetOverloadBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: spf_interval
                    
                    	Minimum interval between SPF calculations
                    	**type**\:  :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SpfInterval>`
                    
                    .. attribute:: adjacency_check
                    
                    	Check ISIS neighbor protocol support
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bfd
                    
                    	BFD configuration commands
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Bfd>`
                    
                    .. attribute:: router_id
                    
                    	Interface of stable IP address for system
                    	**type**\: str
                    
                    .. attribute:: distance
                    
                    	Administrative distance
                    	**type**\: int
                    
                    	**range:** 1..254
                    
                    .. attribute:: distribute_list
                    
                    	Filter networks in routing updates
                    	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 specific commands
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Ipv6>`
                    
                    .. attribute:: multi_topology
                    
                    	Enable multi\-topology mode
                    	**type**\:  :py:class:`MultiTopology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.MultiTopology>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: redistribute
                    
                    	Redistribute IPv6 prefixes from another routing protocol
                    	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute>`
                    
                    .. attribute:: summary_prefix
                    
                    	Configure IPv6 summary prefix
                    	**type**\: list of  		 :py:class:`SummaryPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix>`
                    
                    .. attribute:: table_map
                    
                    	Map external entry attributes into routing table
                    	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.TableMap>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.AddressFamily.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "address-family"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"advertise" : ("advertise", Native.Router.Isis.AddressFamily.Ipv6.Advertise), "default-information" : ("default_information", Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation), "metric" : ("metric", Native.Router.Isis.AddressFamily.Ipv6.Metric), "prc-interval" : ("prc_interval", Native.Router.Isis.AddressFamily.Ipv6.PrcInterval), "set-overload-bit" : ("set_overload_bit", Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit), "spf-interval" : ("spf_interval", Native.Router.Isis.AddressFamily.Ipv6.SpfInterval), "bfd" : ("bfd", Native.Router.Isis.AddressFamily.Ipv6.Bfd), "distribute-list" : ("distribute_list", Native.Router.Isis.AddressFamily.Ipv6.DistributeList), "ipv6" : ("ipv6", Native.Router.Isis.AddressFamily.Ipv6.Ipv6), "multi-topology" : ("multi_topology", Native.Router.Isis.AddressFamily.Ipv6.MultiTopology), "redistribute" : ("redistribute", Native.Router.Isis.AddressFamily.Ipv6.Redistribute), "table-map" : ("table_map", Native.Router.Isis.AddressFamily.Ipv6.TableMap)}
                        self._child_list_classes = {"summary-prefix" : ("summary_prefix", Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix)}

                        self.unicast = YLeaf(YType.empty, "unicast")

                        self.help = YLeaf(YType.empty, "help")

                        self.maximum_paths = YLeaf(YType.uint32, "maximum-paths")

                        self.adjacency_check = YLeaf(YType.empty, "adjacency-check")

                        self.router_id = YLeaf(YType.str, "router-id")

                        self.distance = YLeaf(YType.uint32, "distance")

                        self.advertise = Native.Router.Isis.AddressFamily.Ipv6.Advertise()
                        self.advertise.parent = self
                        self._children_name_map["advertise"] = "advertise"
                        self._children_yang_names.add("advertise")

                        self.default_information = Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation()
                        self.default_information.parent = self
                        self._children_name_map["default_information"] = "default-information"
                        self._children_yang_names.add("default-information")

                        self.metric = Native.Router.Isis.AddressFamily.Ipv6.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")

                        self.prc_interval = Native.Router.Isis.AddressFamily.Ipv6.PrcInterval()
                        self.prc_interval.parent = self
                        self._children_name_map["prc_interval"] = "prc-interval"
                        self._children_yang_names.add("prc-interval")

                        self.set_overload_bit = None
                        self._children_name_map["set_overload_bit"] = "set-overload-bit"
                        self._children_yang_names.add("set-overload-bit")

                        self.spf_interval = Native.Router.Isis.AddressFamily.Ipv6.SpfInterval()
                        self.spf_interval.parent = self
                        self._children_name_map["spf_interval"] = "spf-interval"
                        self._children_yang_names.add("spf-interval")

                        self.bfd = Native.Router.Isis.AddressFamily.Ipv6.Bfd()
                        self.bfd.parent = self
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.distribute_list = Native.Router.Isis.AddressFamily.Ipv6.DistributeList()
                        self.distribute_list.parent = self
                        self._children_name_map["distribute_list"] = "distribute-list"
                        self._children_yang_names.add("distribute-list")

                        self.ipv6 = Native.Router.Isis.AddressFamily.Ipv6.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.multi_topology = None
                        self._children_name_map["multi_topology"] = "multi-topology"
                        self._children_yang_names.add("multi-topology")

                        self.redistribute = Native.Router.Isis.AddressFamily.Ipv6.Redistribute()
                        self.redistribute.parent = self
                        self._children_name_map["redistribute"] = "redistribute"
                        self._children_yang_names.add("redistribute")

                        self.table_map = Native.Router.Isis.AddressFamily.Ipv6.TableMap()
                        self.table_map.parent = self
                        self._children_name_map["table_map"] = "table-map"
                        self._children_yang_names.add("table-map")

                        self.summary_prefix = YList(self)
                        self._segment_path = lambda: "ipv6"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6, ['unicast', 'help', 'maximum_paths', 'adjacency_check', 'router_id', 'distance'], name, value)


                    class Advertise(Entity):
                        """
                        Control which IP routes flow in L1 and L2 LSPs
                        
                        .. attribute:: passive_only
                        
                        	only interface address of passive interfaces
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv6.Advertise, self).__init__()

                            self.yang_name = "advertise"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.passive_only = YLeaf(YType.empty, "passive-only")
                            self._segment_path = lambda: "advertise"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Advertise, ['passive_only'], name, value)


                    class DefaultInformation(Entity):
                        """
                        Control distribution of default information
                        
                        .. attribute:: originate
                        
                        	Distribute a default route
                        	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation.Originate>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation, self).__init__()

                            self.yang_name = "default-information"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"originate" : ("originate", Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation.Originate)}
                            self._child_list_classes = {}

                            self.originate = None
                            self._children_name_map["originate"] = "originate"
                            self._children_yang_names.add("originate")
                            self._segment_path = lambda: "default-information"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/%s" % self._segment_path()


                        class Originate(Entity):
                            """
                            Distribute a default route
                            
                            .. attribute:: route_map
                            
                            	Route\-map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation.Originate, self).__init__()

                                self.yang_name = "originate"
                                self.yang_parent_name = "default-information"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "originate"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/default-information/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.DefaultInformation.Originate, ['route_map'], name, value)


                    class Metric(Entity):
                        """
                        Set ISIS metric for all interfaces
                        
                        .. attribute:: metrics
                        
                        	
                        	**type**\: list of  		 :py:class:`Metrics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics>`
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv6.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"metrics" : ("metrics", Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics)}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metrics = YList(self)
                            self._segment_path = lambda: "metric"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Metric, ['metric'], name, value)


                        class Metrics(Entity):
                            """
                            
                            
                            .. attribute:: level  <key>
                            
                            	
                            	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics.Level>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..16777214
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics, self).__init__()

                                self.yang_name = "metrics"
                                self.yang_parent_name = "metric"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level = YLeaf(YType.enumeration, "level")

                                self.metric = YLeaf(YType.uint32, "metric")
                                self._segment_path = lambda: "metrics" + "[level='" + self.level.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/metric/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Metric.Metrics, ['level', 'metric'], name, value)

                            class Level(Enum):
                                """
                                Level

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")



                    class PrcInterval(Entity):
                        """
                        Minimum interval between partial route calculations
                        
                        .. attribute:: interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120
                        
                        .. attribute:: initial_wait
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120000
                        
                        .. attribute:: minimum_wait
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv6.PrcInterval, self).__init__()

                            self.yang_name = "prc-interval"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint32, "interval")

                            self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                            self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                            self._segment_path = lambda: "prc-interval"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.PrcInterval, ['interval', 'initial_wait', 'minimum_wait'], name, value)


                    class SetOverloadBit(Entity):
                        """
                        Signal other routers not to use us in SPF
                        
                        .. attribute:: on_startup
                        
                        	Set overload\-bit only temporarily after reboot
                        	**type**\:  :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup>`
                        
                        .. attribute:: suppress
                        
                        	If overload\-bit set, suppress the following types of IP prefixes
                        	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit, self).__init__()

                            self.yang_name = "set-overload-bit"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"on-startup" : ("on_startup", Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup), "suppress" : ("suppress", Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.on_startup = Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup()
                            self.on_startup.parent = self
                            self._children_name_map["on_startup"] = "on-startup"
                            self._children_yang_names.add("on-startup")

                            self.suppress = Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress()
                            self.suppress.parent = self
                            self._children_name_map["suppress"] = "suppress"
                            self._children_yang_names.add("suppress")
                            self._segment_path = lambda: "set-overload-bit"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/%s" % self._segment_path()


                        class OnStartup(Entity):
                            """
                            Set overload\-bit only temporarily after reboot
                            
                            .. attribute:: time
                            
                            	
                            	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time>`
                            
                            .. attribute:: wait_for_bgp
                            
                            	Let BGP decide when to unset the overload bit
                            	**type**\:  :py:class:`WaitForBgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup, self).__init__()

                                self.yang_name = "on-startup"
                                self.yang_parent_name = "set-overload-bit"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"time" : ("time", Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time), "wait-for-bgp" : ("wait_for_bgp", Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp)}
                                self._child_list_classes = {}

                                self.time = Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time()
                                self.time.parent = self
                                self._children_name_map["time"] = "time"
                                self._children_yang_names.add("time")

                                self.wait_for_bgp = None
                                self._children_name_map["wait_for_bgp"] = "wait-for-bgp"
                                self._children_yang_names.add("wait-for-bgp")
                                self._segment_path = lambda: "on-startup"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/set-overload-bit/%s" % self._segment_path()


                            class Time(Entity):
                                """
                                
                                
                                .. attribute:: time
                                
                                	
                                	**type**\: int
                                
                                	**range:** 5..86400
                                
                                .. attribute:: suppress
                                
                                	If overload\-bit set, suppress the following types of IP prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: external
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: interlevel
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time, self).__init__()

                                    self.yang_name = "time"
                                    self.yang_parent_name = "on-startup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.time = YLeaf(YType.uint32, "time")

                                    self.suppress = YLeaf(YType.empty, "suppress")

                                    self.external = YLeaf(YType.empty, "external")

                                    self.interlevel = YLeaf(YType.empty, "interlevel")
                                    self._segment_path = lambda: "time"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/set-overload-bit/on-startup/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time, ['time', 'suppress', 'external', 'interlevel'], name, value)


                            class WaitForBgp(Entity):
                                """
                                Let BGP decide when to unset the overload bit
                                
                                .. attribute:: suppress
                                
                                	If overload\-bit set, suppress the following types of IP prefixes
                                	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp, self).__init__()

                                    self.yang_name = "wait-for-bgp"
                                    self.yang_parent_name = "on-startup"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"suppress" : ("suppress", Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.suppress = Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress()
                                    self.suppress.parent = self
                                    self._children_name_map["suppress"] = "suppress"
                                    self._children_yang_names.add("suppress")
                                    self._segment_path = lambda: "wait-for-bgp"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/set-overload-bit/on-startup/%s" % self._segment_path()


                                class Suppress(Entity):
                                    """
                                    If overload\-bit set, suppress the following types of IP prefixes
                                    
                                    .. attribute:: external
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: interlevel
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress, self).__init__()

                                        self.yang_name = "suppress"
                                        self.yang_parent_name = "wait-for-bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.external = YLeaf(YType.empty, "external")

                                        self.interlevel = YLeaf(YType.empty, "interlevel")
                                        self._segment_path = lambda: "suppress"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/set-overload-bit/on-startup/wait-for-bgp/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress, ['external', 'interlevel'], name, value)


                        class Suppress(Entity):
                            """
                            If overload\-bit set, suppress the following types of IP prefixes
                            
                            .. attribute:: external
                            
                            	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interlevel
                            
                            	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress, self).__init__()

                                self.yang_name = "suppress"
                                self.yang_parent_name = "set-overload-bit"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.external = YLeaf(YType.empty, "external")

                                self.interlevel = YLeaf(YType.empty, "interlevel")
                                self._segment_path = lambda: "suppress"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/set-overload-bit/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress, ['external', 'interlevel'], name, value)


                    class SpfInterval(Entity):
                        """
                        Minimum interval between SPF calculations
                        
                        .. attribute:: level_1_2
                        
                        	
                        	**type**\: list of  		 :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12>`
                        
                        .. attribute:: intervals
                        
                        	
                        	**type**\:  :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Intervals>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv6.SpfInterval, self).__init__()

                            self.yang_name = "spf-interval"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"intervals" : ("intervals", Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Intervals)}
                            self._child_list_classes = {"level-1-2" : ("level_1_2", Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12)}

                            self.intervals = Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Intervals()
                            self.intervals.parent = self
                            self._children_name_map["intervals"] = "intervals"
                            self._children_yang_names.add("intervals")

                            self.level_1_2 = YList(self)
                            self._segment_path = lambda: "spf-interval"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.SpfInterval, [], name, value)


                        class Level12(Entity):
                            """
                            
                            
                            .. attribute:: level  <key>
                            
                            	
                            	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12.Level>`
                            
                            .. attribute:: interval
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120
                            
                            .. attribute:: initial_wait
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120000
                            
                            .. attribute:: minimum_wait
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120000
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12, self).__init__()

                                self.yang_name = "level-1-2"
                                self.yang_parent_name = "spf-interval"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level = YLeaf(YType.enumeration, "level")

                                self.interval = YLeaf(YType.uint32, "interval")

                                self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                                self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                                self._segment_path = lambda: "level-1-2" + "[level='" + self.level.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/spf-interval/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Level12, ['level', 'interval', 'initial_wait', 'minimum_wait'], name, value)

                            class Level(Enum):
                                """
                                Level

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")



                        class Intervals(Entity):
                            """
                            
                            
                            .. attribute:: interval
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120
                            
                            .. attribute:: initial_wait
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120000
                            
                            .. attribute:: minimum_wait
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120000
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Intervals, self).__init__()

                                self.yang_name = "intervals"
                                self.yang_parent_name = "spf-interval"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint32, "interval")

                                self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                                self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                                self._segment_path = lambda: "intervals"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/spf-interval/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.SpfInterval.Intervals, ['interval', 'initial_wait', 'minimum_wait'], name, value)


                    class Bfd(Entity):
                        """
                        BFD configuration commands
                        
                        .. attribute:: all_interfaces
                        
                        	Enable BFD on all interfaces
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: check_ctrl_plane_failure
                        
                        	BFD check control plane failure
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv6.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

                            self.check_ctrl_plane_failure = YLeaf(YType.empty, "check-ctrl-plane-failure")
                            self._segment_path = lambda: "bfd"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Bfd, ['all_interfaces', 'check_ctrl_plane_failure'], name, value)


                    class DistributeList(Entity):
                        """
                        Filter networks in routing updates
                        
                        .. attribute:: prefix_list
                        
                        	Filter connections based on an IPv6 prefix\-list
                        	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv6.DistributeList, self).__init__()

                            self.yang_name = "distribute-list"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList)}

                            self.prefix_list = YList(self)
                            self._segment_path = lambda: "distribute-list"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.DistributeList, [], name, value)


                        class PrefixList(Entity):
                            """
                            Filter connections based on an IPv6 prefix\-list
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: in_
                            
                            	Filter incoming routing updates
                            	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList, self).__init__()

                                self.yang_name = "prefix-list"
                                self.yang_parent_name = "distribute-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"in" : ("in_", Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_)}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.in_ = None
                                self._children_name_map["in_"] = "in"
                                self._children_yang_names.add("in")
                                self._segment_path = lambda: "prefix-list" + "[name='" + self.name.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/distribute-list/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList, ['name'], name, value)


                            class In_(Entity):
                                """
                                Filter incoming routing updates
                                
                                .. attribute:: interface
                                
                                	Specify interface
                                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_, self).__init__()

                                    self.yang_name = "in"
                                    self.yang_parent_name = "prefix-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"interface" : ("interface", Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface = Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface()
                                    self.interface.parent = self
                                    self._children_name_map["interface"] = "interface"
                                    self._children_yang_names.add("interface")
                                    self._segment_path = lambda: "in"


                                class Interface(Entity):
                                    """
                                    Specify interface
                                    
                                    .. attribute:: appnav_compress
                                    
                                    	Service\-Context Virtual Interface Compress
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: appnav_uncompress
                                    
                                    	Service\-Context Virtual Interface UnCompress
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: atm
                                    
                                    	ATM interface
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                    
                                    .. attribute:: atm_subinterface
                                    
                                    	
                                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMSubinterface>`
                                    
                                    .. attribute:: atm_acr
                                    
                                    	ATM\-ACR interface
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]
                                    
                                    .. attribute:: atm_acrsubinterface
                                    
                                    	
                                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMACRsubinterface>`
                                    
                                    .. attribute:: bdi
                                    
                                    	Bridge\-Domain interface
                                    	**type**\: str
                                    
                                    .. attribute:: cem
                                    
                                    	CEM interface
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]
                                    
                                    .. attribute:: cem_acr
                                    
                                    	CEM\-ACR interface
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: embedded_service_engine
                                    
                                    	cisco embedded service engine module
                                    	**type**\: str
                                    
                                    .. attribute:: fastethernet
                                    
                                    	FastEthernet IEEE 802.3
                                    	**type**\: str
                                    
                                    .. attribute:: gigabitethernet
                                    
                                    	GigabitEthernet IEEE 802.3z
                                    	**type**\: str
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator/ID Separation Protocol Virtual Interface
                                    	**type**\: str
                                    
                                    .. attribute:: lisp_subinterface
                                    
                                    	Locator/ID Separation Protocol Virtual Interface
                                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LISPSubinterface>`
                                    
                                    .. attribute:: loopback
                                    
                                    	Loopback interface
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: multilink
                                    
                                    	Multilink\-group interface
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: nve
                                    
                                    	Network virtualization endpoint interface
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: overlay
                                    
                                    	Overlay interface
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: port_channel
                                    
                                    	Ethernet Channel of interfaces
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: port_channel_subinterface
                                    
                                    	
                                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface>`
                                    
                                    .. attribute:: pseudowire
                                    
                                    	Pseudowire Interface
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: sm
                                    
                                    	SM Interface
                                    	**type**\: str
                                    
                                    .. attribute:: cellular
                                    
                                    	Cellular Interface
                                    	**type**\: str
                                    
                                    .. attribute:: serial
                                    
                                    	Serial interface
                                    	**type**\: str
                                    
                                    .. attribute:: tengigabitethernet
                                    
                                    	Ten Gigabit Ethernet
                                    	**type**\: str
                                    
                                    .. attribute:: tunnel
                                    
                                    	Tunnel interface
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: virtual_template
                                    
                                    	Virtual Template interface
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vlan
                                    
                                    	Iosxr Vlans
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: virtualportgroup
                                    
                                    	Virtual Port Group
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vasileft
                                    
                                    	vasileft
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: vasiright
                                    
                                    	vasiright
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface, self).__init__()

                                        self.yang_name = "interface"
                                        self.yang_parent_name = "in"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface)}
                                        self._child_list_classes = {}

                                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                        self.atm = YLeaf(YType.str, "ATM")

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                        self.bdi = YLeaf(YType.str, "BDI")

                                        self.cem = YLeaf(YType.str, "CEM")

                                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                        self.lisp = YLeaf(YType.str, "LISP")

                                        self.loopback = YLeaf(YType.uint32, "Loopback")

                                        self.multilink = YLeaf(YType.uint16, "Multilink")

                                        self.nve = YLeaf(YType.uint16, "nve")

                                        self.overlay = YLeaf(YType.uint16, "overlay")

                                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                        self.sm = YLeaf(YType.str, "SM")

                                        self.cellular = YLeaf(YType.str, "Cellular")

                                        self.serial = YLeaf(YType.str, "Serial")

                                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                        self.vlan = YLeaf(YType.uint16, "Vlan")

                                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                                        self.atm_subinterface = Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMSubinterface()
                                        self.atm_subinterface.parent = self
                                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                        self._children_yang_names.add("ATM-subinterface")

                                        self.atm_acrsubinterface = Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMACRsubinterface()
                                        self.atm_acrsubinterface.parent = self
                                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                        self._children_yang_names.add("ATM-ACRsubinterface")

                                        self.lisp_subinterface = Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LISPSubinterface()
                                        self.lisp_subinterface.parent = self
                                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                        self._children_yang_names.add("LISP-subinterface")

                                        self.port_channel_subinterface = Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface()
                                        self.port_channel_subinterface.parent = self
                                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                        self._children_yang_names.add("Port-channel-subinterface")
                                        self._segment_path = lambda: "interface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                    class ATMSubinterface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: atm
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMSubinterface, self).__init__()

                                            self.yang_name = "ATM-subinterface"
                                            self.yang_parent_name = "interface"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.atm = YLeaf(YType.str, "ATM")
                                            self._segment_path = lambda: "ATM-subinterface"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMSubinterface, ['atm'], name, value)


                                    class ATMACRsubinterface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: atm_acr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMACRsubinterface, self).__init__()

                                            self.yang_name = "ATM-ACRsubinterface"
                                            self.yang_parent_name = "interface"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                            self._segment_path = lambda: "ATM-ACRsubinterface"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                                    class LISPSubinterface(Entity):
                                        """
                                        Locator/ID Separation Protocol Virtual Interface
                                        
                                        .. attribute:: lisp
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LISPSubinterface, self).__init__()

                                            self.yang_name = "LISP-subinterface"
                                            self.yang_parent_name = "interface"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.lisp = YLeaf(YType.str, "LISP")
                                            self._segment_path = lambda: "LISP-subinterface"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LISPSubinterface, ['lisp'], name, value)


                                    class PortChannelSubinterface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: port_channel
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface, self).__init__()

                                            self.yang_name = "Port-channel-subinterface"
                                            self.yang_parent_name = "interface"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.port_channel = YLeaf(YType.str, "Port-channel")
                                            self._segment_path = lambda: "Port-channel-subinterface"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                    class Ipv6(Entity):
                        """
                        IPv6 specific commands
                        
                        .. attribute:: route
                        
                        	ISIS IPV6 routes
                        	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Ipv6.Route>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv6.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"route" : ("route", Native.Router.Isis.AddressFamily.Ipv6.Ipv6.Route)}
                            self._child_list_classes = {}

                            self.route = Native.Router.Isis.AddressFamily.Ipv6.Ipv6.Route()
                            self.route.parent = self
                            self._children_name_map["route"] = "route"
                            self._children_yang_names.add("route")
                            self._segment_path = lambda: "ipv6"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/%s" % self._segment_path()


                        class Route(Entity):
                            """
                            ISIS IPV6 routes
                            
                            .. attribute:: priority
                            
                            	Assign priority to IPV6 prefixes
                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.Ipv6.Route, self).__init__()

                                self.yang_name = "route"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"priority" : ("priority", Native.Router.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority)}
                                self._child_list_classes = {}

                                self.priority = Native.Router.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority()
                                self.priority.parent = self
                                self._children_name_map["priority"] = "priority"
                                self._children_yang_names.add("priority")
                                self._segment_path = lambda: "route"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/ipv6/%s" % self._segment_path()


                            class Priority(Entity):
                                """
                                Assign priority to IPV6 prefixes
                                
                                .. attribute:: high
                                
                                	Assign high priority to important IPV6 prefixes in ISIS IPV6 local RIB
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority.High>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority, self).__init__()

                                    self.yang_name = "priority"
                                    self.yang_parent_name = "route"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"high" : ("high", Native.Router.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority.High)}
                                    self._child_list_classes = {}

                                    self.high = Native.Router.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "priority"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/ipv6/route/%s" % self._segment_path()


                                class High(Entity):
                                    """
                                    Assign high priority to important IPV6 prefixes in ISIS IPV6 local RIB
                                    
                                    .. attribute:: tag
                                    
                                    	Assign high priority to IPV6 prefixes with a specific route tag
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "priority"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "high"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/ipv6/route/priority/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority.High, ['tag'], name, value)


                    class MultiTopology(Entity):
                        """
                        Enable multi\-topology mode
                        
                        .. attribute:: transition
                        
                        	Accept and generate both IS\-IS IPv6 and Multi\-topology IPv6 TLVs
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv6.MultiTopology, self).__init__()

                            self.yang_name = "multi-topology"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.transition = YLeaf(YType.empty, "transition")
                            self._segment_path = lambda: "multi-topology"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.MultiTopology, ['transition'], name, value)


                    class Redistribute(Entity):
                        """
                        Redistribute IPv6 prefixes from another routing protocol
                        
                        .. attribute:: application
                        
                        	Application Protocol
                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nd
                        
                        	Neighbor Discovery
                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nemo
                        
                        	Network Mobility (NEMO)
                        	**type**\:  :py:class:`Nemo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf>`
                        
                        .. attribute:: rip
                        
                        	IPv6 Routing Information Protocol (RIPv6)
                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute, self).__init__()

                            self.yang_name = "redistribute"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"application" : ("application", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application), "bgp" : ("bgp", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp), "connected" : ("connected", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected), "isis" : ("isis", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp), "nd" : ("nd", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd), "nemo" : ("nemo", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo), "static" : ("static", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static)}
                            self._child_list_classes = {"eigrp" : ("eigrp", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf), "rip" : ("rip", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip)}

                            self.application = None
                            self._children_name_map["application"] = "application"
                            self._children_yang_names.add("application")

                            self.bgp = Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp()
                            self.bgp.parent = self
                            self._children_name_map["bgp"] = "bgp"
                            self._children_yang_names.add("bgp")

                            self.connected = None
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.isis = None
                            self._children_name_map["isis"] = "isis"
                            self._children_yang_names.add("isis")

                            self.lisp = None
                            self._children_name_map["lisp"] = "lisp"
                            self._children_yang_names.add("lisp")

                            self.nd = None
                            self._children_name_map["nd"] = "nd"
                            self._children_yang_names.add("nd")

                            self.nemo = Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo()
                            self.nemo.parent = self
                            self._children_name_map["nemo"] = "nemo"
                            self._children_yang_names.add("nemo")

                            self.static = None
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")

                            self.eigrp = YList(self)
                            self.ospf = YList(self)
                            self.rip = YList(self)
                            self._segment_path = lambda: "redistribute"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute, [], name, value)


                        class Application(Entity):
                            """
                            Application Protocol
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application, self).__init__()

                                self.yang_name = "application"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.include_connected = YLeaf(YType.empty, "include-connected")

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "application"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/redistribute/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Application, ['include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: as_number
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.as_number = YLeaf(YType.str, "as-number")

                                self.include_connected = YLeaf(YType.empty, "include-connected")

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "bgp"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/redistribute/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Bgp, ['as_number', 'include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "connected"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/redistribute/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Eigrp(Entity):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: as_number  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.as_number = YLeaf(YType.uint32, "as-number")

                                self.include_connected = YLeaf(YType.empty, "include-connected")

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/redistribute/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Eigrp, ['as_number', 'include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: isis_redistribute
                            
                            	
                            	**type**\: list of  		 :py:class:`IsisRedistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisRedistribute>`
                            
                            .. attribute:: isis_leak
                            
                            	
                            	**type**\: list of  		 :py:class:`IsisLeak <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisLeak>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"isis-redistribute" : ("isis_redistribute", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisRedistribute), "isis-leak" : ("isis_leak", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisLeak)}
                                self.is_presence_container = True

                                self.isis_redistribute = YList(self)
                                self.isis_leak = YList(self)
                                self._segment_path = lambda: "isis"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/redistribute/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis, [], name, value)


                            class IsisRedistribute(Entity):
                                """
                                
                                
                                .. attribute:: area_tag  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisRedistribute.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisRedistribute, self).__init__()

                                    self.yang_name = "isis-redistribute"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.area_tag = YLeaf(YType.str, "area-tag")

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "isis-redistribute" + "[area-tag='" + self.area_tag.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/redistribute/isis/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisRedistribute, ['area_tag', 'include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class IsisLeak(Entity):
                                """
                                
                                
                                .. attribute:: isis_redist_levels1  <key>
                                
                                	
                                	**type**\:  :py:class:`IsisRedistLevels1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisLeak.IsisRedistLevels1>`
                                
                                .. attribute:: isis_redist_levels2  <key>
                                
                                	
                                	**type**\:  :py:class:`IsisRedistLevels2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisLeak.IsisRedistLevels2>`
                                
                                .. attribute:: into
                                
                                	from level\-n into level\-m
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: distribute_list
                                
                                	select routes
                                	**type**\: str
                                
                                .. attribute:: route_map
                                
                                	Route map for route matching
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisLeak, self).__init__()

                                    self.yang_name = "isis-leak"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.isis_redist_levels1 = YLeaf(YType.enumeration, "isis-redist-levels1")

                                    self.isis_redist_levels2 = YLeaf(YType.enumeration, "isis-redist-levels2")

                                    self.into = YLeaf(YType.empty, "into")

                                    self.distribute_list = YLeaf(YType.str, "distribute-list")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "isis-leak" + "[isis-redist-levels1='" + self.isis_redist_levels1.get() + "']" + "[isis-redist-levels2='" + self.isis_redist_levels2.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/redistribute/isis/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisLeak, ['isis_redist_levels1', 'isis_redist_levels2', 'into', 'distribute_list', 'route_map'], name, value)

                                class IsisRedistLevels1(Enum):
                                    """
                                    IsisRedistLevels1

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")


                                class IsisRedistLevels2(Enum):
                                    """
                                    IsisRedistLevels2

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")



                        class Lisp(Entity):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp, self).__init__()

                                self.yang_name = "lisp"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.include_connected = YLeaf(YType.empty, "include-connected")

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "lisp"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/redistribute/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Lisp, ['include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Nd(Entity):
                            """
                            Neighbor Discovery
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd, self).__init__()

                                self.yang_name = "nd"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.include_connected = YLeaf(YType.empty, "include-connected")

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "nd"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/redistribute/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nd, ['include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Nemo(Entity):
                            """
                            Network Mobility (NEMO)
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo, self).__init__()

                                self.yang_name = "nemo"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.include_connected = YLeaf(YType.empty, "include-connected")

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "nemo"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/redistribute/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Nemo, ['include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Ospf(Entity):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: process_id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: match
                            
                            	Redistribution of OSPF routes
                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf, self).__init__()

                                self.yang_name = "ospf"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"match" : ("match", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match)}
                                self._child_list_classes = {}

                                self.process_id = YLeaf(YType.uint32, "process-id")

                                self.include_connected = YLeaf(YType.empty, "include-connected")

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.match = Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match()
                                self.match.parent = self
                                self._children_name_map["match"] = "match"
                                self._children_yang_names.add("match")
                                self._segment_path = lambda: "ospf" + "[process-id='" + self.process_id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/redistribute/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf, ['process_id', 'include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Match(Entity):
                                """
                                Redistribution of OSPF routes
                                
                                .. attribute:: internal
                                
                                	Redistribute OSPF internal routes
                                	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: external
                                
                                	Redistribute OSPF external routes
                                	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: nssa_external
                                
                                	Redistribute OSPF NSSA external routes
                                	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match, self).__init__()

                                    self.yang_name = "match"
                                    self.yang_parent_name = "ospf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"internal" : ("internal", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal)}
                                    self._child_list_classes = {}

                                    self.internal = None
                                    self._children_name_map["internal"] = "internal"
                                    self._children_yang_names.add("internal")

                                    self.external = None
                                    self._children_name_map["external"] = "external"
                                    self._children_yang_names.add("external")

                                    self.nssa_external = None
                                    self._children_name_map["nssa_external"] = "nssa-external"
                                    self._children_yang_names.add("nssa-external")
                                    self._segment_path = lambda: "match"


                                class Internal(Entity):
                                    """
                                    Redistribute OSPF internal routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal, self).__init__()

                                        self.yang_name = "internal"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "internal"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class External(Entity):
                                    """
                                    Redistribute OSPF external routes
                                    
                                    .. attribute:: external_routes
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External, self).__init__()

                                        self.yang_name = "external"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "external"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External, ['external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class NssaExternal(Entity):
                                    """
                                    Redistribute OSPF NSSA external routes
                                    
                                    .. attribute:: nssa_external_routes
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                        self.yang_name = "nssa-external"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "nssa-external"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Rip(Entity):
                            """
                            IPv6 Routing Information Protocol (RIPv6)
                            
                            .. attribute:: process  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: include_connected
                            
                            	Include connected
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.process = YLeaf(YType.str, "process")

                                self.include_connected = YLeaf(YType.empty, "include-connected")

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "rip" + "[process='" + self.process.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/redistribute/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Rip, ['process', 'include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "static"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/redistribute/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.Redistribute.Static, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class SummaryPrefix(Entity):
                        """
                        Configure IPv6 summary prefix
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix.Levels>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix, self).__init__()

                            self.yang_name = "summary-prefix"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.levels = YLeaf(YType.enumeration, "levels")
                            self._segment_path = lambda: "summary-prefix" + "[prefix='" + self.prefix.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.SummaryPrefix, ['prefix', 'levels'], name, value)

                        class Levels(Enum):
                            """
                            Levels

                            .. data:: level_1 = 0

                            .. data:: level_1_2 = 1

                            .. data:: level_2 = 2

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_1_2 = Enum.YLeaf(1, "level-1-2")

                            level_2 = Enum.YLeaf(2, "level-2")



                    class TableMap(Entity):
                        """
                        Map external entry attributes into routing table
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: filter
                        
                        	Selective route download
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.AddressFamily.Ipv6.TableMap, self).__init__()

                            self.yang_name = "table-map"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.filter = YLeaf(YType.empty, "filter")
                            self._segment_path = lambda: "table-map"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/address-family/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.AddressFamily.Ipv6.TableMap, ['name', 'filter'], name, value)


            class Distance(Entity):
                """
                Define an administrative distance
                
                .. attribute:: number  <key>
                
                	
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: ip_list
                
                	
                	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Distance.IpList>`
                
                .. attribute:: clns
                
                	Distance applied for CLNS derived routes
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ip
                
                	Distance applied for IP derived routes
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Distance, self).__init__()

                    self.yang_name = "distance"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"ip-list" : ("ip_list", Native.Router.Isis.Distance.IpList)}

                    self.number = YLeaf(YType.uint8, "number")

                    self.clns = YLeaf(YType.empty, "clns")

                    self.ip = YLeaf(YType.empty, "ip")

                    self.ip_list = YList(self)
                    self._segment_path = lambda: "distance" + "[number='" + self.number.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Distance, ['number', 'clns', 'ip'], name, value)


                class IpList(Entity):
                    """
                    
                    
                    .. attribute:: ip  <key>
                    
                    	IP Source address
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: wildcard_bits
                    
                    	
                    	**type**\: list of  		 :py:class:`WildcardBits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Distance.IpList.WildcardBits>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Distance.IpList, self).__init__()

                        self.yang_name = "ip-list"
                        self.yang_parent_name = "distance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"wildcard-bits" : ("wildcard_bits", Native.Router.Isis.Distance.IpList.WildcardBits)}

                        self.ip = YLeaf(YType.str, "ip")

                        self.wildcard_bits = YList(self)
                        self._segment_path = lambda: "ip-list" + "[ip='" + self.ip.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Distance.IpList, ['ip'], name, value)


                    class WildcardBits(Entity):
                        """
                        
                        
                        .. attribute:: w_bits  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..99
                        
                        		**type**\: int
                        
                        			**range:** 1300..1999
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Distance.IpList.WildcardBits, self).__init__()

                            self.yang_name = "wildcard-bits"
                            self.yang_parent_name = "ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.w_bits = YLeaf(YType.str, "w-bits")

                            self.access_list = YLeaf(YType.str, "access-list")
                            self._segment_path = lambda: "wildcard-bits" + "[w-bits='" + self.w_bits.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Distance.IpList.WildcardBits, ['w_bits', 'access_list'], name, value)


            class Ip(Entity):
                """
                IP specific commands
                
                .. attribute:: route
                
                	ISIS IP routes
                	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Ip.Route>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"route" : ("route", Native.Router.Isis.Ip.Route)}
                    self._child_list_classes = {}

                    self.route = Native.Router.Isis.Ip.Route()
                    self.route.parent = self
                    self._children_name_map["route"] = "route"
                    self._children_yang_names.add("route")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class Route(Entity):
                    """
                    ISIS IP routes
                    
                    .. attribute:: priority
                    
                    	Assign priority to IP prefixes
                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Ip.Route.Priority>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Ip.Route, self).__init__()

                        self.yang_name = "route"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"priority" : ("priority", Native.Router.Isis.Ip.Route.Priority)}
                        self._child_list_classes = {}

                        self.priority = Native.Router.Isis.Ip.Route.Priority()
                        self.priority.parent = self
                        self._children_name_map["priority"] = "priority"
                        self._children_yang_names.add("priority")
                        self._segment_path = lambda: "route"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/ip/%s" % self._segment_path()


                    class Priority(Entity):
                        """
                        Assign priority to IP prefixes
                        
                        .. attribute:: high
                        
                        	Assign high priority to important IP prefixes in ISIS IP local RIB
                        	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Ip.Route.Priority.High>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Ip.Route.Priority, self).__init__()

                            self.yang_name = "priority"
                            self.yang_parent_name = "route"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"high" : ("high", Native.Router.Isis.Ip.Route.Priority.High)}
                            self._child_list_classes = {}

                            self.high = Native.Router.Isis.Ip.Route.Priority.High()
                            self.high.parent = self
                            self._children_name_map["high"] = "high"
                            self._children_yang_names.add("high")
                            self._segment_path = lambda: "priority"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/ip/route/%s" % self._segment_path()


                        class High(Entity):
                            """
                            Assign high priority to important IP prefixes in ISIS IP local RIB
                            
                            .. attribute:: tag
                            
                            	Assign high priority to IP prefixes with a specific route tag
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Ip.Route.Priority.High, self).__init__()

                                self.yang_name = "high"
                                self.yang_parent_name = "priority"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.tag = YLeaf(YType.uint32, "tag")
                                self._segment_path = lambda: "high"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/ip/route/priority/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Ip.Route.Priority.High, ['tag'], name, value)


            class Redistribute(Entity):
                """
                Redistribute information from another routing protocol
                
                .. attribute:: application
                
                	Application
                	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Application>`
                
                .. attribute:: bgp
                
                	Border Gateway Protocol (BGP)
                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Bgp>`
                
                .. attribute:: connected
                
                	Connected
                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Connected>`
                
                	**presence node**\: True
                
                .. attribute:: eigrp
                
                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Eigrp>`
                
                .. attribute:: isis
                
                	ISO IS\-IS
                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis>`
                
                .. attribute:: iso_igrp
                
                	IGRP for OSI networks
                	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.IsoIgrp>`
                
                	**presence node**\: True
                
                .. attribute:: lisp
                
                	Locator ID Separation Protocol (LISP)
                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Lisp>`
                
                	**presence node**\: True
                
                .. attribute:: maximum_prefix
                
                	Maximum number of prefixes redistributed to protocol
                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.MaximumPrefix>`
                
                .. attribute:: mobile
                
                	Mobile routes
                	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Mobile>`
                
                	**presence node**\: True
                
                .. attribute:: odr
                
                	On Demand stub Routes
                	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Odr>`
                
                	**presence node**\: True
                
                .. attribute:: ospf
                
                	Open Shortest Path First (OSPF)
                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf>`
                
                .. attribute:: ospfv3
                
                	Open Shortest Path First (OSPF)
                	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3>`
                
                .. attribute:: rip
                
                	Routing Information Protocol (RIP)
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Rip>`
                
                	**presence node**\: True
                
                .. attribute:: static
                
                	Static routes
                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Static>`
                
                	**presence node**\: True
                
                .. attribute:: vrf
                
                	Specify a source VRF
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Redistribute, self).__init__()

                    self.yang_name = "redistribute"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bgp" : ("bgp", Native.Router.Isis.Redistribute.Bgp), "connected" : ("connected", Native.Router.Isis.Redistribute.Connected), "isis" : ("isis", Native.Router.Isis.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Isis.Redistribute.IsoIgrp), "lisp" : ("lisp", Native.Router.Isis.Redistribute.Lisp), "maximum-prefix" : ("maximum_prefix", Native.Router.Isis.Redistribute.MaximumPrefix), "mobile" : ("mobile", Native.Router.Isis.Redistribute.Mobile), "odr" : ("odr", Native.Router.Isis.Redistribute.Odr), "rip" : ("rip", Native.Router.Isis.Redistribute.Rip), "static" : ("static", Native.Router.Isis.Redistribute.Static), "vrf" : ("vrf", Native.Router.Isis.Redistribute.Vrf)}
                    self._child_list_classes = {"application" : ("application", Native.Router.Isis.Redistribute.Application), "eigrp" : ("eigrp", Native.Router.Isis.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Isis.Redistribute.Ospf), "ospfv3" : ("ospfv3", Native.Router.Isis.Redistribute.Ospfv3)}

                    self.bgp = Native.Router.Isis.Redistribute.Bgp()
                    self.bgp.parent = self
                    self._children_name_map["bgp"] = "bgp"
                    self._children_yang_names.add("bgp")

                    self.connected = None
                    self._children_name_map["connected"] = "connected"
                    self._children_yang_names.add("connected")

                    self.isis = Native.Router.Isis.Redistribute.Isis()
                    self.isis.parent = self
                    self._children_name_map["isis"] = "isis"
                    self._children_yang_names.add("isis")

                    self.iso_igrp = None
                    self._children_name_map["iso_igrp"] = "iso-igrp"
                    self._children_yang_names.add("iso-igrp")

                    self.lisp = None
                    self._children_name_map["lisp"] = "lisp"
                    self._children_yang_names.add("lisp")

                    self.maximum_prefix = Native.Router.Isis.Redistribute.MaximumPrefix()
                    self.maximum_prefix.parent = self
                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                    self._children_yang_names.add("maximum-prefix")

                    self.mobile = None
                    self._children_name_map["mobile"] = "mobile"
                    self._children_yang_names.add("mobile")

                    self.odr = None
                    self._children_name_map["odr"] = "odr"
                    self._children_yang_names.add("odr")

                    self.rip = None
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.static = None
                    self._children_name_map["static"] = "static"
                    self._children_yang_names.add("static")

                    self.vrf = Native.Router.Isis.Redistribute.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.application = YList(self)
                    self.eigrp = YList(self)
                    self.ospf = YList(self)
                    self.ospfv3 = YList(self)
                    self._segment_path = lambda: "redistribute"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Redistribute, [], name, value)


                class Application(Entity):
                    """
                    Application
                    
                    .. attribute:: name  <key>
                    
                    	Application name
                    	**type**\: str
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Application.MetricType>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.Application, self).__init__()

                        self.yang_name = "application"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.levels = YLeaf(YType.enumeration, "levels")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.Application, ['name', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                    class MetricType(Enum):
                        """
                        MetricType

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = Enum.YLeaf(0, "external")

                        internal = Enum.YLeaf(1, "internal")

                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                class Bgp(Entity):
                    """
                    Border Gateway Protocol (BGP)
                    
                    .. attribute:: as_number
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..4294967295
                    
                    		**type**\: str
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Bgp.MetricType>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    .. attribute:: clns
                    
                    	Redistribution of BGP NSAP routes
                    	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Bgp.Clns>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ip
                    
                    	Redistribution of BGP IP routes
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Bgp.Ip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.Bgp, self).__init__()

                        self.yang_name = "bgp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"clns" : ("clns", Native.Router.Isis.Redistribute.Bgp.Clns), "ip" : ("ip", Native.Router.Isis.Redistribute.Bgp.Ip)}
                        self._child_list_classes = {}

                        self.as_number = YLeaf(YType.str, "as-number")

                        self.levels = YLeaf(YType.enumeration, "levels")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.clns = None
                        self._children_name_map["clns"] = "clns"
                        self._children_yang_names.add("clns")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "bgp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.Bgp, ['as_number', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                    class MetricType(Enum):
                        """
                        MetricType

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = Enum.YLeaf(0, "external")

                        internal = Enum.YLeaf(1, "internal")

                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Clns(Entity):
                        """
                        Redistribution of BGP NSAP routes
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Bgp.Clns.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Redistribute.Bgp.Clns, self).__init__()

                            self.yang_name = "clns"
                            self.yang_parent_name = "bgp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "clns"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/bgp/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Redistribute.Bgp.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Ip(Entity):
                        """
                        Redistribution of BGP IP routes
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Bgp.Ip.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Redistribute.Bgp.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "bgp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "ip"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/bgp/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Redistribute.Bgp.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                class Connected(Entity):
                    """
                    Connected
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Connected.MetricType>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.Connected, self).__init__()

                        self.yang_name = "connected"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.levels = YLeaf(YType.enumeration, "levels")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "connected"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                    class MetricType(Enum):
                        """
                        MetricType

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = Enum.YLeaf(0, "external")

                        internal = Enum.YLeaf(1, "internal")

                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                class Eigrp(Entity):
                    """
                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                    
                    .. attribute:: as_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Eigrp.MetricType>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.Eigrp, self).__init__()

                        self.yang_name = "eigrp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.as_number = YLeaf(YType.uint32, "as-number")

                        self.levels = YLeaf(YType.enumeration, "levels")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.Eigrp, ['as_number', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                    class MetricType(Enum):
                        """
                        MetricType

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = Enum.YLeaf(0, "external")

                        internal = Enum.YLeaf(1, "internal")

                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                class Isis(Entity):
                    """
                    ISO IS\-IS
                    
                    .. attribute:: isis_redistribute
                    
                    	
                    	**type**\: list of  		 :py:class:`IsisRedistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis.IsisRedistribute>`
                    
                    .. attribute:: ip
                    
                    	Redistribution of IP routes between levels
                    	**type**\: list of  		 :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis.Ip>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.Isis, self).__init__()

                        self.yang_name = "isis"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"isis-redistribute" : ("isis_redistribute", Native.Router.Isis.Redistribute.Isis.IsisRedistribute), "ip" : ("ip", Native.Router.Isis.Redistribute.Isis.Ip)}

                        self.isis_redistribute = YList(self)
                        self.ip = YList(self)
                        self._segment_path = lambda: "isis"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.Isis, [], name, value)


                    class IsisRedistribute(Entity):
                        """
                        
                        
                        .. attribute:: area_tag  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip
                        
                        	Redistribution of IP routes between levels or processes
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis.IsisRedistribute.Ip>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Redistribute.Isis.IsisRedistribute, self).__init__()

                            self.yang_name = "isis-redistribute"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"ip" : ("ip", Native.Router.Isis.Redistribute.Isis.IsisRedistribute.Ip)}
                            self._child_list_classes = {}

                            self.area_tag = YLeaf(YType.str, "area-tag")

                            self.ip = None
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")
                            self._segment_path = lambda: "isis-redistribute" + "[area-tag='" + self.area_tag.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/isis/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Redistribute.Isis.IsisRedistribute, ['area_tag'], name, value)


                        class Ip(Entity):
                            """
                            Redistribution of IP routes between levels or processes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis.IsisRedistribute.Ip.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Isis.IsisRedistribute.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "isis-redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Isis.IsisRedistribute.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Ip(Entity):
                        """
                        Redistribution of IP routes between levels
                        
                        .. attribute:: isis_redist_levels1  <key>
                        
                        	
                        	**type**\:  :py:class:`IsisRedistLevels1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis.Ip.IsisRedistLevels1>`
                        
                        .. attribute:: isis_redist_levels2  <key>
                        
                        	
                        	**type**\:  :py:class:`IsisRedistLevels2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Isis.Ip.IsisRedistLevels2>`
                        
                        .. attribute:: into
                        
                        	from level\-n into level\-m
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: distribute_list
                        
                        	select routes
                        	**type**\: int
                        
                        	**range:** 100..199
                        
                        .. attribute:: route_map
                        
                        	Route map for route matching
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Redistribute.Isis.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.isis_redist_levels1 = YLeaf(YType.enumeration, "isis-redist-levels1")

                            self.isis_redist_levels2 = YLeaf(YType.enumeration, "isis-redist-levels2")

                            self.into = YLeaf(YType.empty, "into")

                            self.distribute_list = YLeaf(YType.uint32, "distribute-list")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "ip" + "[isis-redist-levels1='" + self.isis_redist_levels1.get() + "']" + "[isis-redist-levels2='" + self.isis_redist_levels2.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/isis/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Redistribute.Isis.Ip, ['isis_redist_levels1', 'isis_redist_levels2', 'into', 'distribute_list', 'route_map'], name, value)

                        class IsisRedistLevels1(Enum):
                            """
                            IsisRedistLevels1

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")


                        class IsisRedistLevels2(Enum):
                            """
                            IsisRedistLevels2

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class IsoIgrp(Entity):
                    """
                    IGRP for OSI networks
                    
                    .. attribute:: area_tag_route_map_container
                    
                    	
                    	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.IsoIgrp.MetricType>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.IsoIgrp, self).__init__()

                        self.yang_name = "iso-igrp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.levels = YLeaf(YType.enumeration, "levels")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                        self.area_tag_route_map_container = Native.Router.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                        self.area_tag_route_map_container.parent = self
                        self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                        self._children_yang_names.add("area-tag-route-map-container")
                        self._segment_path = lambda: "iso-igrp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.IsoIgrp, ['route_map', 'levels', 'metric', 'metric_type'], name, value)

                    class MetricType(Enum):
                        """
                        MetricType

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = Enum.YLeaf(0, "external")

                        internal = Enum.YLeaf(1, "internal")

                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class AreaTagRouteMapContainer(Entity):
                        """
                        
                        
                        .. attribute:: area_tag
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                            self.yang_name = "area-tag-route-map-container"
                            self.yang_parent_name = "iso-igrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.area_tag = YLeaf(YType.str, "area-tag")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "area-tag-route-map-container"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/iso-igrp/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                class Lisp(Entity):
                    """
                    Locator ID Separation Protocol (LISP)
                    
                    .. attribute:: include_connected
                    
                    	Include connected
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Lisp.MetricType>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.Lisp, self).__init__()

                        self.yang_name = "lisp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.include_connected = YLeaf(YType.empty, "include-connected")

                        self.levels = YLeaf(YType.enumeration, "levels")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "lisp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.Lisp, ['include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                    class MetricType(Enum):
                        """
                        MetricType

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = Enum.YLeaf(0, "external")

                        internal = Enum.YLeaf(1, "internal")

                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                class MaximumPrefix(Entity):
                    """
                    Maximum number of prefixes redistributed to protocol
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: threshold_value
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    .. attribute:: warning_only
                    
                    	Only give warning message when limit is exceeded
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: withdraw
                    
                    	Withdraw redistibuted prefixes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.MaximumPrefix, self).__init__()

                        self.yang_name = "maximum-prefix"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint32, "number")

                        self.threshold_value = YLeaf(YType.uint32, "threshold-value")

                        self.warning_only = YLeaf(YType.empty, "warning-only")

                        self.withdraw = YLeaf(YType.empty, "withdraw")
                        self._segment_path = lambda: "maximum-prefix"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.MaximumPrefix, ['number', 'threshold_value', 'warning_only', 'withdraw'], name, value)


                class Mobile(Entity):
                    """
                    Mobile routes
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Mobile.MetricType>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.Mobile, self).__init__()

                        self.yang_name = "mobile"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.levels = YLeaf(YType.enumeration, "levels")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "mobile"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.Mobile, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                    class MetricType(Enum):
                        """
                        MetricType

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = Enum.YLeaf(0, "external")

                        internal = Enum.YLeaf(1, "internal")

                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                class Odr(Entity):
                    """
                    On Demand stub Routes
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Odr.MetricType>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.Odr, self).__init__()

                        self.yang_name = "odr"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.levels = YLeaf(YType.enumeration, "levels")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "odr"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.Odr, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                    class MetricType(Enum):
                        """
                        MetricType

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = Enum.YLeaf(0, "external")

                        internal = Enum.YLeaf(1, "internal")

                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                class Ospf(Entity):
                    """
                    Open Shortest Path First (OSPF)
                    
                    .. attribute:: process_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.MetricType>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    .. attribute:: match
                    
                    	Redistribution of OSPF routes
                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match>`
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"match" : ("match", Native.Router.Isis.Redistribute.Ospf.Match)}
                        self._child_list_classes = {}

                        self.process_id = YLeaf(YType.uint32, "process-id")

                        self.levels = YLeaf(YType.enumeration, "levels")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.match = Native.Router.Isis.Redistribute.Ospf.Match()
                        self.match.parent = self
                        self._children_name_map["match"] = "match"
                        self._children_yang_names.add("match")
                        self._segment_path = lambda: "ospf" + "[process-id='" + self.process_id.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.Ospf, ['process_id', 'levels', 'metric', 'metric_type', 'route_map', 'vrf'], name, value)

                    class MetricType(Enum):
                        """
                        MetricType

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = Enum.YLeaf(0, "external")

                        internal = Enum.YLeaf(1, "internal")

                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Match(Entity):
                        """
                        Redistribution of OSPF routes
                        
                        .. attribute:: internal
                        
                        	Redistribute OSPF internal routes
                        	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match.Internal>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: external
                        
                        	Redistribute OSPF external routes
                        	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match.External>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nssa_external
                        
                        	Redistribute OSPF NSSA external routes
                        	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Redistribute.Ospf.Match, self).__init__()

                            self.yang_name = "match"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"internal" : ("internal", Native.Router.Isis.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.Isis.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal)}
                            self._child_list_classes = {}

                            self.internal = None
                            self._children_name_map["internal"] = "internal"
                            self._children_yang_names.add("internal")

                            self.external = None
                            self._children_name_map["external"] = "external"
                            self._children_yang_names.add("external")

                            self.nssa_external = None
                            self._children_name_map["nssa_external"] = "nssa-external"
                            self._children_yang_names.add("nssa-external")
                            self._segment_path = lambda: "match"


                        class Internal(Entity):
                            """
                            Redistribute OSPF internal routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match.Internal.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Ospf.Match.Internal, self).__init__()

                                self.yang_name = "internal"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "internal"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Ospf.Match.Internal, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class External(Entity):
                            """
                            Redistribute OSPF external routes
                            
                            .. attribute:: external_routes
                            
                            	
                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match.External.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Ospf.Match.External, self).__init__()

                                self.yang_name = "external"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "external"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Ospf.Match.External, ['external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class NssaExternal(Entity):
                            """
                            Redistribute OSPF NSSA external routes
                            
                            .. attribute:: nssa_external_routes
                            
                            	
                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                self.yang_name = "nssa-external"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "nssa-external"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                class Ospfv3(Entity):
                    """
                    Open Shortest Path First (OSPF)
                    
                    .. attribute:: process_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.MetricType>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    .. attribute:: match
                    
                    	Redistribution of OSPF routes
                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match>`
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.Ospfv3, self).__init__()

                        self.yang_name = "ospfv3"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"match" : ("match", Native.Router.Isis.Redistribute.Ospfv3.Match)}
                        self._child_list_classes = {}

                        self.process_id = YLeaf(YType.uint32, "process-id")

                        self.levels = YLeaf(YType.enumeration, "levels")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.match = Native.Router.Isis.Redistribute.Ospfv3.Match()
                        self.match.parent = self
                        self._children_name_map["match"] = "match"
                        self._children_yang_names.add("match")
                        self._segment_path = lambda: "ospfv3" + "[process-id='" + self.process_id.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.Ospfv3, ['process_id', 'levels', 'metric', 'metric_type', 'route_map', 'vrf'], name, value)

                    class MetricType(Enum):
                        """
                        MetricType

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = Enum.YLeaf(0, "external")

                        internal = Enum.YLeaf(1, "internal")

                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Match(Entity):
                        """
                        Redistribution of OSPF routes
                        
                        .. attribute:: internal
                        
                        	Redistribute OSPF internal routes
                        	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match.Internal>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: external
                        
                        	Redistribute OSPF external routes
                        	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match.External>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nssa_external
                        
                        	Redistribute OSPF NSSA external routes
                        	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Redistribute.Ospfv3.Match, self).__init__()

                            self.yang_name = "match"
                            self.yang_parent_name = "ospfv3"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"internal" : ("internal", Native.Router.Isis.Redistribute.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Isis.Redistribute.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal)}
                            self._child_list_classes = {}

                            self.internal = None
                            self._children_name_map["internal"] = "internal"
                            self._children_yang_names.add("internal")

                            self.external = None
                            self._children_name_map["external"] = "external"
                            self._children_yang_names.add("external")

                            self.nssa_external = None
                            self._children_name_map["nssa_external"] = "nssa-external"
                            self._children_yang_names.add("nssa-external")
                            self._segment_path = lambda: "match"


                        class Internal(Entity):
                            """
                            Redistribute OSPF internal routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match.Internal.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Ospfv3.Match.Internal, self).__init__()

                                self.yang_name = "internal"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "internal"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Ospfv3.Match.Internal, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class External(Entity):
                            """
                            Redistribute OSPF external routes
                            
                            .. attribute:: external_routes
                            
                            	
                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match.External.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Ospfv3.Match.External, self).__init__()

                                self.yang_name = "external"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "external"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Ospfv3.Match.External, ['external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class NssaExternal(Entity):
                            """
                            Redistribute OSPF NSSA external routes
                            
                            .. attribute:: nssa_external_routes
                            
                            	
                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal, self).__init__()

                                self.yang_name = "nssa-external"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "nssa-external"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                class Rip(Entity):
                    """
                    Routing Information Protocol (RIP)
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                    
                    .. attribute:: metric
                    
                    	ISIS default metric
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Rip.MetricType>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.levels = YLeaf(YType.enumeration, "levels")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "rip"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.Rip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                    class MetricType(Enum):
                        """
                        MetricType

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: external = 0

                        .. data:: internal = 1

                        .. data:: rib_metric_as_external = 2

                        .. data:: rib_metric_as_internal = 3

                        """

                        external = Enum.YLeaf(0, "external")

                        internal = Enum.YLeaf(1, "internal")

                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                class Static(Entity):
                    """
                    Static routes
                    
                    .. attribute:: clns
                    
                    	Redistribution of BGP NSAP routes
                    	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Static.Clns>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ip
                    
                    	Redistribution of BGP IP routes
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Static.Ip>`
                    
                    	**presence node**\: True
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.Static, self).__init__()

                        self.yang_name = "static"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"clns" : ("clns", Native.Router.Isis.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.Isis.Redistribute.Static.Ip)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.clns = None
                        self._children_name_map["clns"] = "clns"
                        self._children_yang_names.add("clns")

                        self.ip = None
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "static"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()


                    class Clns(Entity):
                        """
                        Redistribution of BGP NSAP routes
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Static.Clns.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Redistribute.Static.Clns, self).__init__()

                            self.yang_name = "clns"
                            self.yang_parent_name = "static"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "clns"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/static/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Redistribute.Static.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Ip(Entity):
                        """
                        Redistribution of BGP IP routes
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Static.Ip.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Redistribute.Static.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "static"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "ip"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/static/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Redistribute.Static.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                class Vrf(Entity):
                    """
                    Specify a source VRF
                    
                    .. attribute:: vrf_nm
                    
                    	
                    	**type**\: list of  		 :py:class:`VrfNm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm>`
                    
                    .. attribute:: global_
                    
                    	global VRF
                    	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Redistribute.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"global" : ("global_", Native.Router.Isis.Redistribute.Vrf.Global_)}
                        self._child_list_classes = {"vrf-nm" : ("vrf_nm", Native.Router.Isis.Redistribute.Vrf.VrfNm)}

                        self.global_ = Native.Router.Isis.Redistribute.Vrf.Global_()
                        self.global_.parent = self
                        self._children_name_map["global_"] = "global"
                        self._children_yang_names.add("global")

                        self.vrf_nm = YList(self)
                        self._segment_path = lambda: "vrf"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Redistribute.Vrf, [], name, value)


                    class VrfNm(Entity):
                        """
                        
                        
                        .. attribute:: vrf_nm  <key>
                        
                        	Source VRF name
                        	**type**\: str
                        
                        .. attribute:: application
                        
                        	Application
                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Application>`
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis>`
                        
                        .. attribute:: iso_igrp
                        
                        	IGRP for OSI networks
                        	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: mobile
                        
                        	Mobile routes
                        	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ospf
                        
                        	Process ID
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Redistribute.Vrf.VrfNm, self).__init__()

                            self.yang_name = "vrf-nm"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"application" : ("application", Native.Router.Isis.Redistribute.Vrf.VrfNm.Application), "bgp" : ("bgp", Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp), "connected" : ("connected", Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected), "eigrp" : ("eigrp", Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp), "isis" : ("isis", Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp), "lisp" : ("lisp", Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp), "mobile" : ("mobile", Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile), "ospfv3" : ("ospfv3", Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3), "rip" : ("rip", Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip), "static" : ("static", Native.Router.Isis.Redistribute.Vrf.VrfNm.Static)}
                            self._child_list_classes = {}

                            self.vrf_nm = YLeaf(YType.str, "vrf-nm")

                            self.ospf = YLeaf(YType.uint16, "ospf")

                            self.application = Native.Router.Isis.Redistribute.Vrf.VrfNm.Application()
                            self.application.parent = self
                            self._children_name_map["application"] = "application"
                            self._children_yang_names.add("application")

                            self.bgp = Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp()
                            self.bgp.parent = self
                            self._children_name_map["bgp"] = "bgp"
                            self._children_yang_names.add("bgp")

                            self.connected = None
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.eigrp = Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp()
                            self.eigrp.parent = self
                            self._children_name_map["eigrp"] = "eigrp"
                            self._children_yang_names.add("eigrp")

                            self.isis = Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis()
                            self.isis.parent = self
                            self._children_name_map["isis"] = "isis"
                            self._children_yang_names.add("isis")

                            self.iso_igrp = None
                            self._children_name_map["iso_igrp"] = "iso-igrp"
                            self._children_yang_names.add("iso-igrp")

                            self.lisp = None
                            self._children_name_map["lisp"] = "lisp"
                            self._children_yang_names.add("lisp")

                            self.mobile = None
                            self._children_name_map["mobile"] = "mobile"
                            self._children_yang_names.add("mobile")

                            self.ospfv3 = Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3()
                            self.ospfv3.parent = self
                            self._children_name_map["ospfv3"] = "ospfv3"
                            self._children_yang_names.add("ospfv3")

                            self.rip = None
                            self._children_name_map["rip"] = "rip"
                            self._children_yang_names.add("rip")

                            self.static = None
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")
                            self._segment_path = lambda: "vrf-nm" + "[vrf-nm='" + self.vrf_nm.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm, ['vrf_nm', 'ospf'], name, value)


                        class Application(Entity):
                            """
                            Application
                            
                            .. attribute:: appname
                            
                            	
                            	**type**\: list of  		 :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Application, self).__init__()

                                self.yang_name = "application"
                                self.yang_parent_name = "vrf-nm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"appname" : ("appname", Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname)}

                                self.appname = YList(self)
                                self._segment_path = lambda: "application"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Application, [], name, value)


                            class Appname(Entity):
                                """
                                
                                
                                .. attribute:: appname  <key>
                                
                                	Application name
                                	**type**\: str
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname, self).__init__()

                                    self.yang_name = "appname"
                                    self.yang_parent_name = "application"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.appname = YLeaf(YType.str, "appname")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "appname" + "[appname='" + self.appname.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Application.Appname, ['appname', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: bp_as_num
                            
                            	
                            	**type**\: list of  		 :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum>`
                            
                            .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                            
                            	Autonomous system number
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "vrf-nm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"bp-as-num" : ("bp_as_num", Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum)}

                                self.a_lesser_1_period_0_xx_period_yy_greater_ = YLeaf(YType.empty, "a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_")

                                self.bp_as_num = YList(self)
                                self._segment_path = lambda: "bgp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp, ['a_lesser_1_period_0_xx_period_yy_greater_'], name, value)


                            class BpAsNum(Entity):
                                """
                                
                                
                                .. attribute:: bp_as_num  <key>
                                
                                	Autonomous system number
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: clns
                                
                                	Redistribution of BGP NSAP routes
                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	Redistribution of BGP IP routes
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum, self).__init__()

                                    self.yang_name = "bp-as-num"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"clns" : ("clns", Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns), "ip" : ("ip", Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip)}
                                    self._child_list_classes = {}

                                    self.bp_as_num = YLeaf(YType.str, "bp-as-num")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.clns = None
                                    self._children_name_map["clns"] = "clns"
                                    self._children_yang_names.add("clns")

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "bp-as-num" + "[bp-as-num='" + self.bp_as_num.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum, ['bp_as_num', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Clns(Entity):
                                    """
                                    Redistribution of BGP NSAP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns, self).__init__()

                                        self.yang_name = "clns"
                                        self.yang_parent_name = "bp-as-num"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "clns"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Ip(Entity):
                                    """
                                    Redistribution of BGP IP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "bp-as-num"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "vrf-nm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "connected"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Eigrp(Entity):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: eigrp_as
                            
                            	
                            	**type**\: list of  		 :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "vrf-nm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"eigrp-as" : ("eigrp_as", Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs)}

                                self.eigrp_as = YList(self)
                                self._segment_path = lambda: "eigrp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp, [], name, value)


                            class EigrpAs(Entity):
                                """
                                
                                
                                .. attribute:: eigrp_as  <key>
                                
                                	AS number
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs, self).__init__()

                                    self.yang_name = "eigrp-as"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.eigrp_as = YLeaf(YType.uint16, "eigrp-as")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "eigrp-as" + "[eigrp-as='" + self.eigrp_as.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs, ['eigrp_as', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: isis_atag
                            
                            	
                            	**type**\: list of  		 :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag>`
                            
                            .. attribute:: ip
                            
                            	Redistribution of IP routes between levels or processes
                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.Ip>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "vrf-nm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ip" : ("ip", Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.Ip)}
                                self._child_list_classes = {"isis-atag" : ("isis_atag", Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag)}

                                self.ip = None
                                self._children_name_map["ip"] = "ip"
                                self._children_yang_names.add("ip")

                                self.isis_atag = YList(self)
                                self._segment_path = lambda: "isis"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis, [], name, value)


                            class IsisAtag(Entity):
                                """
                                
                                
                                .. attribute:: isis_atag  <key>
                                
                                	ISO routing area tag
                                	**type**\: str
                                
                                .. attribute:: ip
                                
                                	Redistribution of IP routes between levels or processes
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag, self).__init__()

                                    self.yang_name = "isis-atag"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ip" : ("ip", Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip)}
                                    self._child_list_classes = {}

                                    self.isis_atag = YLeaf(YType.str, "isis-atag")

                                    self.ip = Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip()
                                    self.ip.parent = self
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "isis-atag" + "[isis-atag='" + self.isis_atag.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag, ['isis_atag'], name, value)


                                class Ip(Entity):
                                    """
                                    Redistribution of IP routes between levels or processes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "isis-atag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Ip(Entity):
                                """
                                Redistribution of IP routes between levels or processes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.Ip.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.Ip, self).__init__()

                                    self.yang_name = "ip"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "ip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Isis.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class IsoIgrp(Entity):
                            """
                            IGRP for OSI networks
                            
                            .. attribute:: iso_atag
                            
                            	
                            	**type**\: list of  		 :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp, self).__init__()

                                self.yang_name = "iso-igrp"
                                self.yang_parent_name = "vrf-nm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"route-map" : ("route_map", Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap)}
                                self._child_list_classes = {"iso-atag" : ("iso_atag", Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag)}
                                self.is_presence_container = True

                                self.route_map = None
                                self._children_name_map["route_map"] = "route-map"
                                self._children_yang_names.add("route-map")

                                self.iso_atag = YList(self)
                                self._segment_path = lambda: "iso-igrp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp, [], name, value)


                            class IsoAtag(Entity):
                                """
                                
                                
                                .. attribute:: iso_atag  <key>
                                
                                	ISO routing area tag
                                	**type**\: str
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag, self).__init__()

                                    self.yang_name = "iso-atag"
                                    self.yang_parent_name = "iso-igrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.iso_atag = YLeaf(YType.str, "iso-atag")

                                    self.route_map = YLeaf(YType.empty, "route-map")
                                    self._segment_path = lambda: "iso-atag" + "[iso-atag='" + self.iso_atag.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag, ['iso_atag', 'route_map'], name, value)


                            class RouteMap(Entity):
                                """
                                Route map reference
                                
                                .. attribute:: rm_point
                                
                                	Pointer to route\-map entries
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "iso-igrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rm_point = YLeaf(YType.str, "rm-point")
                                    self._segment_path = lambda: "route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap, ['rm_point'], name, value)


                        class Lisp(Entity):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp, self).__init__()

                                self.yang_name = "lisp"
                                self.yang_parent_name = "vrf-nm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "lisp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Lisp, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Mobile(Entity):
                            """
                            Mobile routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile, self).__init__()

                                self.yang_name = "mobile"
                                self.yang_parent_name = "vrf-nm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "mobile"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Mobile, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Ospfv3(Entity):
                            """
                            OSPFv3
                            
                            .. attribute:: os3_id
                            
                            	
                            	**type**\: list of  		 :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3, self).__init__()

                                self.yang_name = "ospfv3"
                                self.yang_parent_name = "vrf-nm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"os3-id" : ("os3_id", Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id)}

                                self.os3_id = YList(self)
                                self._segment_path = lambda: "ospfv3"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3, [], name, value)


                            class Os3Id(Entity):
                                """
                                
                                
                                .. attribute:: os3_id  <key>
                                
                                	Process ID
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id, self).__init__()

                                    self.yang_name = "os3-id"
                                    self.yang_parent_name = "ospfv3"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.os3_id = YLeaf(YType.uint16, "os3-id")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "os3-id" + "[os3-id='" + self.os3_id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id, ['os3_id', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "vrf-nm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "rip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Rip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: clns
                            
                            	Redistribution of BGP NSAP routes
                            	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ip
                            
                            	Redistribution of BGP IP routes
                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "vrf-nm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"clns" : ("clns", Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns), "ip" : ("ip", Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.clns = None
                                self._children_name_map["clns"] = "clns"
                                self._children_yang_names.add("clns")

                                self.ip = None
                                self._children_name_map["ip"] = "ip"
                                self._children_yang_names.add("ip")
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Static, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Clns(Entity):
                                """
                                Redistribution of BGP NSAP routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns, self).__init__()

                                    self.yang_name = "clns"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "clns"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Ip(Entity):
                                """
                                Redistribution of BGP IP routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip, self).__init__()

                                    self.yang_name = "ip"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "ip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.VrfNm.Static.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Global_(Entity):
                        """
                        global VRF
                        
                        .. attribute:: application
                        
                        	Application
                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Application>`
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Isis>`
                        
                        .. attribute:: iso_igrp
                        
                        	IGRP for OSI networks
                        	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Lisp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: mobile
                        
                        	Mobile routes
                        	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Mobile>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ospf
                        
                        	Process ID
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Redistribute.Vrf.Global_, self).__init__()

                            self.yang_name = "global"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"application" : ("application", Native.Router.Isis.Redistribute.Vrf.Global_.Application), "bgp" : ("bgp", Native.Router.Isis.Redistribute.Vrf.Global_.Bgp), "connected" : ("connected", Native.Router.Isis.Redistribute.Vrf.Global_.Connected), "eigrp" : ("eigrp", Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp), "isis" : ("isis", Native.Router.Isis.Redistribute.Vrf.Global_.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp), "lisp" : ("lisp", Native.Router.Isis.Redistribute.Vrf.Global_.Lisp), "mobile" : ("mobile", Native.Router.Isis.Redistribute.Vrf.Global_.Mobile), "ospfv3" : ("ospfv3", Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3), "rip" : ("rip", Native.Router.Isis.Redistribute.Vrf.Global_.Rip), "static" : ("static", Native.Router.Isis.Redistribute.Vrf.Global_.Static)}
                            self._child_list_classes = {}

                            self.ospf = YLeaf(YType.uint16, "ospf")

                            self.application = Native.Router.Isis.Redistribute.Vrf.Global_.Application()
                            self.application.parent = self
                            self._children_name_map["application"] = "application"
                            self._children_yang_names.add("application")

                            self.bgp = Native.Router.Isis.Redistribute.Vrf.Global_.Bgp()
                            self.bgp.parent = self
                            self._children_name_map["bgp"] = "bgp"
                            self._children_yang_names.add("bgp")

                            self.connected = None
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.eigrp = Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp()
                            self.eigrp.parent = self
                            self._children_name_map["eigrp"] = "eigrp"
                            self._children_yang_names.add("eigrp")

                            self.isis = Native.Router.Isis.Redistribute.Vrf.Global_.Isis()
                            self.isis.parent = self
                            self._children_name_map["isis"] = "isis"
                            self._children_yang_names.add("isis")

                            self.iso_igrp = None
                            self._children_name_map["iso_igrp"] = "iso-igrp"
                            self._children_yang_names.add("iso-igrp")

                            self.lisp = None
                            self._children_name_map["lisp"] = "lisp"
                            self._children_yang_names.add("lisp")

                            self.mobile = None
                            self._children_name_map["mobile"] = "mobile"
                            self._children_yang_names.add("mobile")

                            self.ospfv3 = Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3()
                            self.ospfv3.parent = self
                            self._children_name_map["ospfv3"] = "ospfv3"
                            self._children_yang_names.add("ospfv3")

                            self.rip = None
                            self._children_name_map["rip"] = "rip"
                            self._children_yang_names.add("rip")

                            self.static = None
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")
                            self._segment_path = lambda: "global"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_, ['ospf'], name, value)


                        class Application(Entity):
                            """
                            Application
                            
                            .. attribute:: appname
                            
                            	
                            	**type**\: list of  		 :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.Global_.Application, self).__init__()

                                self.yang_name = "application"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"appname" : ("appname", Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname)}

                                self.appname = YList(self)
                                self._segment_path = lambda: "application"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Application, [], name, value)


                            class Appname(Entity):
                                """
                                
                                
                                .. attribute:: appname  <key>
                                
                                	Application name
                                	**type**\: str
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname, self).__init__()

                                    self.yang_name = "appname"
                                    self.yang_parent_name = "application"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.appname = YLeaf(YType.str, "appname")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "appname" + "[appname='" + self.appname.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/application/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Application.Appname, ['appname', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: bp_as_num
                            
                            	
                            	**type**\: list of  		 :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum>`
                            
                            .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                            
                            	Autonomous system number
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.Global_.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"bp-as-num" : ("bp_as_num", Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum)}

                                self.a_lesser_1_period_0_xx_period_yy_greater_ = YLeaf(YType.empty, "a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_")

                                self.bp_as_num = YList(self)
                                self._segment_path = lambda: "bgp"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Bgp, ['a_lesser_1_period_0_xx_period_yy_greater_'], name, value)


                            class BpAsNum(Entity):
                                """
                                
                                
                                .. attribute:: bp_as_num  <key>
                                
                                	Autonomous system number
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: clns
                                
                                	Redistribution of BGP NSAP routes
                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	Redistribution of BGP IP routes
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum, self).__init__()

                                    self.yang_name = "bp-as-num"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"clns" : ("clns", Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns), "ip" : ("ip", Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip)}
                                    self._child_list_classes = {}

                                    self.bp_as_num = YLeaf(YType.str, "bp-as-num")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.clns = None
                                    self._children_name_map["clns"] = "clns"
                                    self._children_yang_names.add("clns")

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "bp-as-num" + "[bp-as-num='" + self.bp_as_num.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/bgp/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum, ['bp_as_num', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Clns(Entity):
                                    """
                                    Redistribution of BGP NSAP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns, self).__init__()

                                        self.yang_name = "clns"
                                        self.yang_parent_name = "bp-as-num"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "clns"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Ip(Entity):
                                    """
                                    Redistribution of BGP IP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "bp-as-num"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Connected.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.Global_.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "connected"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Eigrp(Entity):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: eigrp_as
                            
                            	
                            	**type**\: list of  		 :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"eigrp-as" : ("eigrp_as", Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs)}

                                self.eigrp_as = YList(self)
                                self._segment_path = lambda: "eigrp"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp, [], name, value)


                            class EigrpAs(Entity):
                                """
                                
                                
                                .. attribute:: eigrp_as  <key>
                                
                                	AS number
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs, self).__init__()

                                    self.yang_name = "eigrp-as"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.eigrp_as = YLeaf(YType.uint16, "eigrp-as")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "eigrp-as" + "[eigrp-as='" + self.eigrp_as.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/eigrp/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs, ['eigrp_as', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: isis_atag
                            
                            	
                            	**type**\: list of  		 :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag>`
                            
                            .. attribute:: ip
                            
                            	Redistribution of IP routes between levels or processes
                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Isis.Ip>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.Global_.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"ip" : ("ip", Native.Router.Isis.Redistribute.Vrf.Global_.Isis.Ip)}
                                self._child_list_classes = {"isis-atag" : ("isis_atag", Native.Router.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag)}

                                self.ip = None
                                self._children_name_map["ip"] = "ip"
                                self._children_yang_names.add("ip")

                                self.isis_atag = YList(self)
                                self._segment_path = lambda: "isis"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Isis, [], name, value)


                            class IsisAtag(Entity):
                                """
                                
                                
                                .. attribute:: isis_atag  <key>
                                
                                	ISO routing area tag
                                	**type**\: str
                                
                                .. attribute:: ip
                                
                                	Redistribution of IP routes between levels or processes
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag, self).__init__()

                                    self.yang_name = "isis-atag"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"ip" : ("ip", Native.Router.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip)}
                                    self._child_list_classes = {}

                                    self.isis_atag = YLeaf(YType.str, "isis-atag")

                                    self.ip = Native.Router.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip()
                                    self.ip.parent = self
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "isis-atag" + "[isis-atag='" + self.isis_atag.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/isis/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag, ['isis_atag'], name, value)


                                class Ip(Entity):
                                    """
                                    Redistribution of IP routes between levels or processes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "isis-atag"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Ip(Entity):
                                """
                                Redistribution of IP routes between levels or processes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Isis.Ip.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.Global_.Isis.Ip, self).__init__()

                                    self.yang_name = "ip"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "ip"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/isis/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Isis.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class IsoIgrp(Entity):
                            """
                            IGRP for OSI networks
                            
                            .. attribute:: iso_atag
                            
                            	
                            	**type**\: list of  		 :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp, self).__init__()

                                self.yang_name = "iso-igrp"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"route-map" : ("route_map", Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap)}
                                self._child_list_classes = {"iso-atag" : ("iso_atag", Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag)}
                                self.is_presence_container = True

                                self.route_map = None
                                self._children_name_map["route_map"] = "route-map"
                                self._children_yang_names.add("route-map")

                                self.iso_atag = YList(self)
                                self._segment_path = lambda: "iso-igrp"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp, [], name, value)


                            class IsoAtag(Entity):
                                """
                                
                                
                                .. attribute:: iso_atag  <key>
                                
                                	ISO routing area tag
                                	**type**\: str
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag, self).__init__()

                                    self.yang_name = "iso-atag"
                                    self.yang_parent_name = "iso-igrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.iso_atag = YLeaf(YType.str, "iso-atag")

                                    self.route_map = YLeaf(YType.empty, "route-map")
                                    self._segment_path = lambda: "iso-atag" + "[iso-atag='" + self.iso_atag.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/iso-igrp/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag, ['iso_atag', 'route_map'], name, value)


                            class RouteMap(Entity):
                                """
                                Route map reference
                                
                                .. attribute:: rm_point
                                
                                	Pointer to route\-map entries
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap, self).__init__()

                                    self.yang_name = "route-map"
                                    self.yang_parent_name = "iso-igrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rm_point = YLeaf(YType.str, "rm-point")
                                    self._segment_path = lambda: "route-map"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/iso-igrp/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap, ['rm_point'], name, value)


                        class Lisp(Entity):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Lisp.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.Global_.Lisp, self).__init__()

                                self.yang_name = "lisp"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "lisp"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Lisp, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Mobile(Entity):
                            """
                            Mobile routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Mobile.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.Global_.Mobile, self).__init__()

                                self.yang_name = "mobile"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "mobile"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Mobile, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Ospfv3(Entity):
                            """
                            OSPFv3
                            
                            .. attribute:: os3_id
                            
                            	
                            	**type**\: list of  		 :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3, self).__init__()

                                self.yang_name = "ospfv3"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"os3-id" : ("os3_id", Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id)}

                                self.os3_id = YList(self)
                                self._segment_path = lambda: "ospfv3"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3, [], name, value)


                            class Os3Id(Entity):
                                """
                                
                                
                                .. attribute:: os3_id  <key>
                                
                                	Process ID
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id, self).__init__()

                                    self.yang_name = "os3-id"
                                    self.yang_parent_name = "ospfv3"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.os3_id = YLeaf(YType.uint16, "os3-id")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "os3-id" + "[os3-id='" + self.os3_id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/ospfv3/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id, ['os3_id', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Rip.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.Global_.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "rip"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Rip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: clns
                            
                            	Redistribution of BGP NSAP routes
                            	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ip
                            
                            	Redistribution of BGP IP routes
                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Static.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Redistribute.Vrf.Global_.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"clns" : ("clns", Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns), "ip" : ("ip", Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.clns = None
                                self._children_name_map["clns"] = "clns"
                                self._children_yang_names.add("clns")

                                self.ip = None
                                self._children_name_map["ip"] = "ip"
                                self._children_yang_names.add("ip")
                                self._segment_path = lambda: "static"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Static, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Clns(Entity):
                                """
                                Redistribution of BGP NSAP routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns, self).__init__()

                                    self.yang_name = "clns"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "clns"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/static/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Static.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Ip(Entity):
                                """
                                Redistribution of BGP IP routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip, self).__init__()

                                    self.yang_name = "ip"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "ip"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/redistribute/vrf/global/static/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Redistribute.Vrf.Global_.Static.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



            class SetAttachedBit(Entity):
                """
                Conditionally advertise us as attached to L2
                
                .. attribute:: route_map
                
                	Route\-map reference
                	**type**\: str
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.SetAttachedBit, self).__init__()

                    self.yang_name = "set-attached-bit"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.route_map = YLeaf(YType.str, "route-map")
                    self._segment_path = lambda: "set-attached-bit"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.SetAttachedBit, ['route_map'], name, value)


            class Snmp(Entity):
                """
                Modify snmp parameters
                
                .. attribute:: context
                
                	Configure a SNMP context
                	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Snmp, self).__init__()

                    self.yang_name = "snmp"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"context" : ("context", Native.Router.Isis.Snmp.Context)}

                    self.context = YList(self)
                    self._segment_path = lambda: "snmp"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Snmp, [], name, value)


                class Context(Entity):
                    """
                    Configure a SNMP context
                    
                    .. attribute:: name  <key>
                    
                    	Context Name
                    	**type**\: str
                    
                    .. attribute:: community
                    
                    	Configure a SNMP v2c Community string and access privs
                    	**type**\:  :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context.Community>`
                    
                    .. attribute:: user
                    
                    	Configure a SNMP v3 user
                    	**type**\:  :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context.User>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Snmp.Context, self).__init__()

                        self.yang_name = "context"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"community" : ("community", Native.Router.Isis.Snmp.Context.Community), "user" : ("user", Native.Router.Isis.Snmp.Context.User)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.community = Native.Router.Isis.Snmp.Context.Community()
                        self.community.parent = self
                        self._children_name_map["community"] = "community"
                        self._children_yang_names.add("community")

                        self.user = Native.Router.Isis.Snmp.Context.User()
                        self.user.parent = self
                        self._children_name_map["user"] = "user"
                        self._children_yang_names.add("user")
                        self._segment_path = lambda: "context" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/snmp/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Snmp.Context, ['name'], name, value)


                    class Community(Entity):
                        """
                        Configure a SNMP v2c Community string and access privs
                        
                        .. attribute:: community_string
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: access
                        
                        	
                        	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context.Community.Access>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Snmp.Context.Community, self).__init__()

                            self.yang_name = "community"
                            self.yang_parent_name = "context"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"access" : ("access", Native.Router.Isis.Snmp.Context.Community.Access)}
                            self._child_list_classes = {}

                            self.community_string = YLeaf(YType.str, "community-string")

                            self.access = Native.Router.Isis.Snmp.Context.Community.Access()
                            self.access.parent = self
                            self._children_name_map["access"] = "access"
                            self._children_yang_names.add("access")
                            self._segment_path = lambda: "community"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Snmp.Context.Community, ['community_string'], name, value)


                        class Access(Entity):
                            """
                            
                            
                            .. attribute:: standard_acl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..99
                            
                            .. attribute:: expanded_acl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ipv6
                            
                            	Specify IPv6 Named Access\-List
                            	**type**\: str
                            
                            .. attribute:: ro
                            
                            	Read\-only access with this community string
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rw
                            
                            	Read\-write access with this community string
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Snmp.Context.Community.Access, self).__init__()

                                self.yang_name = "access"
                                self.yang_parent_name = "community"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                self.expanded_acl = YLeaf(YType.uint32, "expanded-acl")

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.ipv6 = YLeaf(YType.str, "ipv6")

                                self.ro = YLeaf(YType.empty, "ro")

                                self.rw = YLeaf(YType.empty, "rw")
                                self._segment_path = lambda: "access"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Snmp.Context.Community.Access, ['standard_acl', 'expanded_acl', 'acl_name', 'ipv6', 'ro', 'rw'], name, value)


                    class User(Entity):
                        """
                        Configure a SNMP v3 user
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: permisssion
                        
                        	
                        	**type**\:  :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context.User.Permisssion>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Snmp.Context.User, self).__init__()

                            self.yang_name = "user"
                            self.yang_parent_name = "context"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"permisssion" : ("permisssion", Native.Router.Isis.Snmp.Context.User.Permisssion)}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.permisssion = Native.Router.Isis.Snmp.Context.User.Permisssion()
                            self.permisssion.parent = self
                            self._children_name_map["permisssion"] = "permisssion"
                            self._children_yang_names.add("permisssion")
                            self._segment_path = lambda: "user"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Snmp.Context.User, ['name'], name, value)


                        class Permisssion(Entity):
                            """
                            
                            
                            .. attribute:: access
                            
                            	specify an access\-list associated with this group
                            	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context.User.Permisssion.Access>`
                            
                            .. attribute:: auth
                            
                            	authentication parameters for the user
                            	**type**\:  :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Snmp.Context.User.Permisssion.Auth>`
                            
                            .. attribute:: credential
                            
                            	If the user password is already configured and saved
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: encrypted
                            
                            	specifying passwords as MD5 or SHA digests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Snmp.Context.User.Permisssion, self).__init__()

                                self.yang_name = "permisssion"
                                self.yang_parent_name = "user"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"access" : ("access", Native.Router.Isis.Snmp.Context.User.Permisssion.Access), "auth" : ("auth", Native.Router.Isis.Snmp.Context.User.Permisssion.Auth)}
                                self._child_list_classes = {}

                                self.credential = YLeaf(YType.empty, "credential")

                                self.encrypted = YLeaf(YType.empty, "encrypted")

                                self.access = Native.Router.Isis.Snmp.Context.User.Permisssion.Access()
                                self.access.parent = self
                                self._children_name_map["access"] = "access"
                                self._children_yang_names.add("access")

                                self.auth = Native.Router.Isis.Snmp.Context.User.Permisssion.Auth()
                                self.auth.parent = self
                                self._children_name_map["auth"] = "auth"
                                self._children_yang_names.add("auth")
                                self._segment_path = lambda: "permisssion"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Snmp.Context.User.Permisssion, ['credential', 'encrypted'], name, value)


                            class Access(Entity):
                                """
                                specify an access\-list associated with this group
                                
                                .. attribute:: standard_acl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Snmp.Context.User.Permisssion.Access, self).__init__()

                                    self.yang_name = "access"
                                    self.yang_parent_name = "permisssion"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                    self.acl_name = YLeaf(YType.str, "acl-name")

                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                    self._segment_path = lambda: "access"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Snmp.Context.User.Permisssion.Access, ['standard_acl', 'acl_name', 'ipv6'], name, value)


                            class Auth(Entity):
                                """
                                authentication parameters for the user
                                
                                .. attribute:: md5
                                
                                	Use HMAC MD5 algorithm for authentication
                                	**type**\: str
                                
                                .. attribute:: sha
                                
                                	Use HMAC SHA algorithm for authentication
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.Snmp.Context.User.Permisssion.Auth, self).__init__()

                                    self.yang_name = "auth"
                                    self.yang_parent_name = "permisssion"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.md5 = YLeaf(YType.str, "md5")

                                    self.sha = YLeaf(YType.str, "sha")
                                    self._segment_path = lambda: "auth"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.Snmp.Context.User.Permisssion.Auth, ['md5', 'sha'], name, value)


            class SummaryAddress(Entity):
                """
                Configure IP address summaries
                
                .. attribute:: ip  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: mask  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: level_1
                
                	Summarize into level\-1 area
                	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SummaryAddress.Level1>`
                
                	**presence node**\: True
                
                .. attribute:: level_1_2
                
                	Summarize into both area and sub\-domain
                	**type**\:  :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SummaryAddress.Level12>`
                
                	**presence node**\: True
                
                .. attribute:: level_2
                
                	Summarize into level\-2 sub\-domain
                	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SummaryAddress.Level2>`
                
                	**presence node**\: True
                
                .. attribute:: metric_tag_container
                
                	
                	**type**\:  :py:class:`MetricTagContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SummaryAddress.MetricTagContainer>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.SummaryAddress, self).__init__()

                    self.yang_name = "summary-address"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"level-1" : ("level_1", Native.Router.Isis.SummaryAddress.Level1), "level-1-2" : ("level_1_2", Native.Router.Isis.SummaryAddress.Level12), "level-2" : ("level_2", Native.Router.Isis.SummaryAddress.Level2), "metric-tag-container" : ("metric_tag_container", Native.Router.Isis.SummaryAddress.MetricTagContainer)}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.str, "ip")

                    self.mask = YLeaf(YType.str, "mask")

                    self.level_1 = None
                    self._children_name_map["level_1"] = "level-1"
                    self._children_yang_names.add("level-1")

                    self.level_1_2 = None
                    self._children_name_map["level_1_2"] = "level-1-2"
                    self._children_yang_names.add("level-1-2")

                    self.level_2 = None
                    self._children_name_map["level_2"] = "level-2"
                    self._children_yang_names.add("level-2")

                    self.metric_tag_container = Native.Router.Isis.SummaryAddress.MetricTagContainer()
                    self.metric_tag_container.parent = self
                    self._children_name_map["metric_tag_container"] = "metric-tag-container"
                    self._children_yang_names.add("metric-tag-container")
                    self._segment_path = lambda: "summary-address" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.SummaryAddress, ['ip', 'mask'], name, value)


                class Level1(Entity):
                    """
                    Summarize into level\-1 area
                    
                    .. attribute:: metric
                    
                    	Set metric for summay route
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: tag
                    
                    	Set tag
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.SummaryAddress.Level1, self).__init__()

                        self.yang_name = "level-1"
                        self.yang_parent_name = "summary-address"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.tag = YLeaf(YType.uint32, "tag")
                        self._segment_path = lambda: "level-1"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.SummaryAddress.Level1, ['metric', 'tag'], name, value)


                class Level12(Entity):
                    """
                    Summarize into both area and sub\-domain
                    
                    .. attribute:: metric
                    
                    	Set metric for summay route
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: tag
                    
                    	Set tag
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.SummaryAddress.Level12, self).__init__()

                        self.yang_name = "level-1-2"
                        self.yang_parent_name = "summary-address"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.tag = YLeaf(YType.uint32, "tag")
                        self._segment_path = lambda: "level-1-2"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.SummaryAddress.Level12, ['metric', 'tag'], name, value)


                class Level2(Entity):
                    """
                    Summarize into level\-2 sub\-domain
                    
                    .. attribute:: metric
                    
                    	Set metric for summay route
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: tag
                    
                    	Set tag
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.SummaryAddress.Level2, self).__init__()

                        self.yang_name = "level-2"
                        self.yang_parent_name = "summary-address"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.tag = YLeaf(YType.uint32, "tag")
                        self._segment_path = lambda: "level-2"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.SummaryAddress.Level2, ['metric', 'tag'], name, value)


                class MetricTagContainer(Entity):
                    """
                    
                    
                    .. attribute:: metric
                    
                    	Set metric for summay route
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: tag
                    
                    	Set tag
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.SummaryAddress.MetricTagContainer, self).__init__()

                        self.yang_name = "metric-tag-container"
                        self.yang_parent_name = "summary-address"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.tag = YLeaf(YType.uint32, "tag")
                        self._segment_path = lambda: "metric-tag-container"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.SummaryAddress.MetricTagContainer, ['metric', 'tag'], name, value)


            class TrafficShare(Entity):
                """
                How to compute traffic share over alternate paths
                
                .. attribute:: min
                
                	All traffic shared among min metric paths
                	**type**\:  :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TrafficShare.Min>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.TrafficShare, self).__init__()

                    self.yang_name = "traffic-share"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"min" : ("min", Native.Router.Isis.TrafficShare.Min)}
                    self._child_list_classes = {}

                    self.min = Native.Router.Isis.TrafficShare.Min()
                    self.min.parent = self
                    self._children_name_map["min"] = "min"
                    self._children_yang_names.add("min")
                    self._segment_path = lambda: "traffic-share"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class Min(Entity):
                    """
                    All traffic shared among min metric paths
                    
                    .. attribute:: across_interfaces
                    
                    	Use different interfaces for equal\-cost paths
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.TrafficShare.Min, self).__init__()

                        self.yang_name = "min"
                        self.yang_parent_name = "traffic-share"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                        self._segment_path = lambda: "min"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/traffic-share/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.TrafficShare.Min, ['across_interfaces'], name, value)


            class Advertise(Entity):
                """
                Control which IP routes flow in L1 and L2 LSPs
                
                .. attribute:: passive_only
                
                	only interface address of passive interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Advertise, self).__init__()

                    self.yang_name = "advertise"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.passive_only = YLeaf(YType.empty, "passive-only")
                    self._segment_path = lambda: "advertise"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Advertise, ['passive_only'], name, value)


            class DefaultInformation(Entity):
                """
                Control distribution of default information
                
                .. attribute:: originate
                
                	Distribute a default route
                	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.DefaultInformation.Originate>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.DefaultInformation, self).__init__()

                    self.yang_name = "default-information"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"originate" : ("originate", Native.Router.Isis.DefaultInformation.Originate)}
                    self._child_list_classes = {}

                    self.originate = None
                    self._children_name_map["originate"] = "originate"
                    self._children_yang_names.add("originate")
                    self._segment_path = lambda: "default-information"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class Originate(Entity):
                    """
                    Distribute a default route
                    
                    .. attribute:: route_map
                    
                    	Route\-map reference
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.DefaultInformation.Originate, self).__init__()

                        self.yang_name = "originate"
                        self.yang_parent_name = "default-information"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "originate"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/default-information/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.DefaultInformation.Originate, ['route_map'], name, value)


            class Metric(Entity):
                """
                Set ISIS metric for all interfaces
                
                .. attribute:: metrics
                
                	
                	**type**\: list of  		 :py:class:`Metrics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Metric.Metrics>`
                
                .. attribute:: metric
                
                	
                	**type**\: int
                
                	**range:** 1..16777214
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Metric, self).__init__()

                    self.yang_name = "metric"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"metrics" : ("metrics", Native.Router.Isis.Metric.Metrics)}

                    self.metric = YLeaf(YType.uint32, "metric")

                    self.metrics = YList(self)
                    self._segment_path = lambda: "metric"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Metric, ['metric'], name, value)


                class Metrics(Entity):
                    """
                    
                    
                    .. attribute:: level  <key>
                    
                    	
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Metric.Metrics.Level>`
                    
                    .. attribute:: metric
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..16777214
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Metric.Metrics, self).__init__()

                        self.yang_name = "metrics"
                        self.yang_parent_name = "metric"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.enumeration, "level")

                        self.metric = YLeaf(YType.uint32, "metric")
                        self._segment_path = lambda: "metrics" + "[level='" + self.level.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/metric/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Metric.Metrics, ['level', 'metric'], name, value)

                    class Level(Enum):
                        """
                        Level

                        .. data:: level_1 = 0

                        .. data:: level_2 = 1

                        """

                        level_1 = Enum.YLeaf(0, "level-1")

                        level_2 = Enum.YLeaf(1, "level-2")



            class PrcInterval(Entity):
                """
                Minimum interval between partial route calculations
                
                .. attribute:: interval
                
                	
                	**type**\: int
                
                	**range:** 1..120
                
                .. attribute:: initial_wait
                
                	
                	**type**\: int
                
                	**range:** 1..120000
                
                .. attribute:: minimum_wait
                
                	
                	**type**\: int
                
                	**range:** 1..120000
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.PrcInterval, self).__init__()

                    self.yang_name = "prc-interval"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.interval = YLeaf(YType.uint32, "interval")

                    self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                    self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                    self._segment_path = lambda: "prc-interval"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.PrcInterval, ['interval', 'initial_wait', 'minimum_wait'], name, value)


            class SetOverloadBit(Entity):
                """
                Signal other routers not to use us in SPF
                
                .. attribute:: on_startup
                
                	Set overload\-bit only temporarily after reboot
                	**type**\:  :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetOverloadBit.OnStartup>`
                
                .. attribute:: suppress
                
                	If overload\-bit set, suppress the following types of IP prefixes
                	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetOverloadBit.Suppress>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.SetOverloadBit, self).__init__()

                    self.yang_name = "set-overload-bit"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"on-startup" : ("on_startup", Native.Router.Isis.SetOverloadBit.OnStartup), "suppress" : ("suppress", Native.Router.Isis.SetOverloadBit.Suppress)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.on_startup = Native.Router.Isis.SetOverloadBit.OnStartup()
                    self.on_startup.parent = self
                    self._children_name_map["on_startup"] = "on-startup"
                    self._children_yang_names.add("on-startup")

                    self.suppress = Native.Router.Isis.SetOverloadBit.Suppress()
                    self.suppress.parent = self
                    self._children_name_map["suppress"] = "suppress"
                    self._children_yang_names.add("suppress")
                    self._segment_path = lambda: "set-overload-bit"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class OnStartup(Entity):
                    """
                    Set overload\-bit only temporarily after reboot
                    
                    .. attribute:: time
                    
                    	
                    	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetOverloadBit.OnStartup.Time>`
                    
                    .. attribute:: wait_for_bgp
                    
                    	Let BGP decide when to unset the overload bit
                    	**type**\:  :py:class:`WaitForBgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.SetOverloadBit.OnStartup, self).__init__()

                        self.yang_name = "on-startup"
                        self.yang_parent_name = "set-overload-bit"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"time" : ("time", Native.Router.Isis.SetOverloadBit.OnStartup.Time), "wait-for-bgp" : ("wait_for_bgp", Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp)}
                        self._child_list_classes = {}

                        self.time = Native.Router.Isis.SetOverloadBit.OnStartup.Time()
                        self.time.parent = self
                        self._children_name_map["time"] = "time"
                        self._children_yang_names.add("time")

                        self.wait_for_bgp = None
                        self._children_name_map["wait_for_bgp"] = "wait-for-bgp"
                        self._children_yang_names.add("wait-for-bgp")
                        self._segment_path = lambda: "on-startup"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/set-overload-bit/%s" % self._segment_path()


                    class Time(Entity):
                        """
                        
                        
                        .. attribute:: time
                        
                        	
                        	**type**\: int
                        
                        	**range:** 5..86400
                        
                        .. attribute:: suppress
                        
                        	If overload\-bit set, suppress the following types of IP prefixes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: external
                        
                        	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interlevel
                        
                        	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.SetOverloadBit.OnStartup.Time, self).__init__()

                            self.yang_name = "time"
                            self.yang_parent_name = "on-startup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.time = YLeaf(YType.uint32, "time")

                            self.suppress = YLeaf(YType.empty, "suppress")

                            self.external = YLeaf(YType.empty, "external")

                            self.interlevel = YLeaf(YType.empty, "interlevel")
                            self._segment_path = lambda: "time"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/set-overload-bit/on-startup/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.SetOverloadBit.OnStartup.Time, ['time', 'suppress', 'external', 'interlevel'], name, value)


                    class WaitForBgp(Entity):
                        """
                        Let BGP decide when to unset the overload bit
                        
                        .. attribute:: suppress
                        
                        	If overload\-bit set, suppress the following types of IP prefixes
                        	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp, self).__init__()

                            self.yang_name = "wait-for-bgp"
                            self.yang_parent_name = "on-startup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"suppress" : ("suppress", Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.suppress = Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress()
                            self.suppress.parent = self
                            self._children_name_map["suppress"] = "suppress"
                            self._children_yang_names.add("suppress")
                            self._segment_path = lambda: "wait-for-bgp"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/set-overload-bit/on-startup/%s" % self._segment_path()


                        class Suppress(Entity):
                            """
                            If overload\-bit set, suppress the following types of IP prefixes
                            
                            .. attribute:: external
                            
                            	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interlevel
                            
                            	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress, self).__init__()

                                self.yang_name = "suppress"
                                self.yang_parent_name = "wait-for-bgp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.external = YLeaf(YType.empty, "external")

                                self.interlevel = YLeaf(YType.empty, "interlevel")
                                self._segment_path = lambda: "suppress"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/set-overload-bit/on-startup/wait-for-bgp/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress, ['external', 'interlevel'], name, value)


                class Suppress(Entity):
                    """
                    If overload\-bit set, suppress the following types of IP prefixes
                    
                    .. attribute:: external
                    
                    	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: interlevel
                    
                    	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.SetOverloadBit.Suppress, self).__init__()

                        self.yang_name = "suppress"
                        self.yang_parent_name = "set-overload-bit"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.external = YLeaf(YType.empty, "external")

                        self.interlevel = YLeaf(YType.empty, "interlevel")
                        self._segment_path = lambda: "suppress"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/set-overload-bit/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.SetOverloadBit.Suppress, ['external', 'interlevel'], name, value)


            class SpfInterval(Entity):
                """
                Minimum interval between SPF calculations
                
                .. attribute:: level_1_2
                
                	
                	**type**\: list of  		 :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SpfInterval.Level12>`
                
                .. attribute:: intervals
                
                	
                	**type**\:  :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SpfInterval.Intervals>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.SpfInterval, self).__init__()

                    self.yang_name = "spf-interval"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"intervals" : ("intervals", Native.Router.Isis.SpfInterval.Intervals)}
                    self._child_list_classes = {"level-1-2" : ("level_1_2", Native.Router.Isis.SpfInterval.Level12)}

                    self.intervals = Native.Router.Isis.SpfInterval.Intervals()
                    self.intervals.parent = self
                    self._children_name_map["intervals"] = "intervals"
                    self._children_yang_names.add("intervals")

                    self.level_1_2 = YList(self)
                    self._segment_path = lambda: "spf-interval"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.SpfInterval, [], name, value)


                class Level12(Entity):
                    """
                    
                    
                    .. attribute:: level  <key>
                    
                    	
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SpfInterval.Level12.Level>`
                    
                    .. attribute:: interval
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120
                    
                    .. attribute:: initial_wait
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: minimum_wait
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.SpfInterval.Level12, self).__init__()

                        self.yang_name = "level-1-2"
                        self.yang_parent_name = "spf-interval"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.enumeration, "level")

                        self.interval = YLeaf(YType.uint32, "interval")

                        self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                        self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                        self._segment_path = lambda: "level-1-2" + "[level='" + self.level.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/spf-interval/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.SpfInterval.Level12, ['level', 'interval', 'initial_wait', 'minimum_wait'], name, value)

                    class Level(Enum):
                        """
                        Level

                        .. data:: level_1 = 0

                        .. data:: level_2 = 1

                        """

                        level_1 = Enum.YLeaf(0, "level-1")

                        level_2 = Enum.YLeaf(1, "level-2")



                class Intervals(Entity):
                    """
                    
                    
                    .. attribute:: interval
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120
                    
                    .. attribute:: initial_wait
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: minimum_wait
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.SpfInterval.Intervals, self).__init__()

                        self.yang_name = "intervals"
                        self.yang_parent_name = "spf-interval"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interval = YLeaf(YType.uint32, "interval")

                        self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                        self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                        self._segment_path = lambda: "intervals"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/spf-interval/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.SpfInterval.Intervals, ['interval', 'initial_wait', 'minimum_wait'], name, value)


            class AreaPassword(Entity):
                """
                Configure the authentication password for an area
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: authenticate
                
                	Authentication
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: snp
                
                	SNP PDUs
                	**type**\:  :py:class:`Snp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.AreaPassword.Snp>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.AreaPassword, self).__init__()

                    self.yang_name = "area-password"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.authenticate = YLeaf(YType.empty, "authenticate")

                    self.snp = YLeaf(YType.enumeration, "snp")
                    self._segment_path = lambda: "area-password"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.AreaPassword, ['name', 'authenticate', 'snp'], name, value)

                class Snp(Enum):
                    """
                    Snp

                    SNP PDUs

                    .. data:: send_only = 0

                    .. data:: validate = 1

                    """

                    send_only = Enum.YLeaf(0, "send-only")

                    validate = Enum.YLeaf(1, "validate")



            class Authentication(Entity):
                """
                ISIS authentication for LSPs
                
                .. attribute:: mode
                
                	Authentication mode
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication.Mode>`
                
                .. attribute:: key_chain
                
                	Authentication key\-chain
                	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication.KeyChain>`
                
                .. attribute:: send_only
                
                	Authentication send only, receive ignore
                	**type**\:  :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication.SendOnly>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Authentication, self).__init__()

                    self.yang_name = "authentication"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"mode" : ("mode", Native.Router.Isis.Authentication.Mode), "key-chain" : ("key_chain", Native.Router.Isis.Authentication.KeyChain), "send-only" : ("send_only", Native.Router.Isis.Authentication.SendOnly)}
                    self._child_list_classes = {}

                    self.mode = Native.Router.Isis.Authentication.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.key_chain = Native.Router.Isis.Authentication.KeyChain()
                    self.key_chain.parent = self
                    self._children_name_map["key_chain"] = "key-chain"
                    self._children_yang_names.add("key-chain")

                    self.send_only = None
                    self._children_name_map["send_only"] = "send-only"
                    self._children_yang_names.add("send-only")
                    self._segment_path = lambda: "authentication"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class Mode(Entity):
                    """
                    Authentication mode
                    
                    .. attribute:: md5
                    
                    	Keyed message digest
                    	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication.Mode.Md5>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: text
                    
                    	Clear text password
                    	**type**\:  :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication.Mode.Text>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Authentication.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"md5" : ("md5", Native.Router.Isis.Authentication.Mode.Md5), "text" : ("text", Native.Router.Isis.Authentication.Mode.Text)}
                        self._child_list_classes = {}

                        self.md5 = None
                        self._children_name_map["md5"] = "md5"
                        self._children_yang_names.add("md5")

                        self.text = None
                        self._children_name_map["text"] = "text"
                        self._children_yang_names.add("text")
                        self._segment_path = lambda: "mode"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/authentication/%s" % self._segment_path()


                    class Md5(Entity):
                        """
                        Keyed message digest
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Authentication.Mode.Md5, self).__init__()

                            self.yang_name = "md5"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")
                            self._segment_path = lambda: "md5"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/authentication/mode/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Authentication.Mode.Md5, ['levels'], name, value)


                    class Text(Entity):
                        """
                        Clear text password
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Authentication.Mode.Text, self).__init__()

                            self.yang_name = "text"
                            self.yang_parent_name = "mode"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")
                            self._segment_path = lambda: "text"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/authentication/mode/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Authentication.Mode.Text, ['levels'], name, value)


                class KeyChain(Entity):
                    """
                    Authentication key\-chain
                    
                    .. attribute:: key_chain_list
                    
                    	
                    	**type**\: list of  		 :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Authentication.KeyChain.KeyChainList>`
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Authentication.KeyChain, self).__init__()

                        self.yang_name = "key-chain"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"key-chain-list" : ("key_chain_list", Native.Router.Isis.Authentication.KeyChain.KeyChainList)}

                        self.name = YLeaf(YType.str, "name")

                        self.key_chain_list = YList(self)
                        self._segment_path = lambda: "key-chain"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/authentication/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Authentication.KeyChain, ['name'], name, value)


                    class KeyChainList(Entity):
                        """
                        
                        
                        .. attribute:: levels  <key>
                        
                        	
                        	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Authentication.KeyChain.KeyChainList, self).__init__()

                            self.yang_name = "key-chain-list"
                            self.yang_parent_name = "key-chain"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "key-chain-list" + "[levels='" + self.levels.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/authentication/key-chain/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Authentication.KeyChain.KeyChainList, ['levels', 'name'], name, value)


                class SendOnly(Entity):
                    """
                    Authentication send only, receive ignore
                    
                    .. attribute:: levels
                    
                    	
                    	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Authentication.SendOnly, self).__init__()

                        self.yang_name = "send-only"
                        self.yang_parent_name = "authentication"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.levels = YLeaf(YType.enumeration, "levels")
                        self._segment_path = lambda: "send-only"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/authentication/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Authentication.SendOnly, ['levels'], name, value)


            class DistributeList(Entity):
                """
                Filter networks in routing updates
                
                .. attribute:: acl_name
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..99
                
                		**type**\: int
                
                			**range:** 1300..1999
                
                		**type**\: str
                
                .. attribute:: in_
                
                	Filter incoming routing updates
                	**type**\: str
                
                .. attribute:: gateway
                
                	Filtering incoming updates based on gateway
                	**type**\: str
                
                .. attribute:: prefix
                
                	Filter prefixes in routing updates
                	**type**\: str
                
                .. attribute:: gateway_prefix_in
                
                	Filter incoming routing updates
                	**type**\: str
                
                .. attribute:: route_map
                
                	Filter prefixes based on the route\-map
                	**type**\: str
                
                .. attribute:: route_map_in
                
                	Filter incoming routing updates
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.DistributeList, self).__init__()

                    self.yang_name = "distribute-list"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.acl_name = YLeaf(YType.str, "acl-name")

                    self.in_ = YLeaf(YType.str, "in")

                    self.gateway = YLeaf(YType.str, "gateway")

                    self.prefix = YLeaf(YType.str, "prefix")

                    self.gateway_prefix_in = YLeaf(YType.str, "gateway-prefix-in")

                    self.route_map = YLeaf(YType.str, "route-map")

                    self.route_map_in = YLeaf(YType.empty, "route-map-in")
                    self._segment_path = lambda: "distribute-list"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.DistributeList, ['acl_name', 'in_', 'gateway', 'prefix', 'gateway_prefix_in', 'route_map', 'route_map_in'], name, value)


            class DomainPassword(Entity):
                """
                Set the authentication password for a routing domain
                
                .. attribute:: name
                
                	
                	**type**\: str
                
                .. attribute:: authenticate
                
                	Authentication
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: snp
                
                	SNP PDUs
                	**type**\:  :py:class:`Snp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.DomainPassword.Snp>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.DomainPassword, self).__init__()

                    self.yang_name = "domain-password"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.authenticate = YLeaf(YType.empty, "authenticate")

                    self.snp = YLeaf(YType.enumeration, "snp")
                    self._segment_path = lambda: "domain-password"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.DomainPassword, ['name', 'authenticate', 'snp'], name, value)

                class Snp(Enum):
                    """
                    Snp

                    SNP PDUs

                    .. data:: send_only = 0

                    .. data:: validate = 1

                    """

                    send_only = Enum.YLeaf(0, "send-only")

                    validate = Enum.YLeaf(1, "validate")



            class FastFlood(Entity):
                """
                Flood LSPs (that triggered SPF) before running SPF
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 1..15
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.FastFlood, self).__init__()

                    self.yang_name = "fast-flood"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.number = YLeaf(YType.uint32, "number")
                    self._segment_path = lambda: "fast-flood"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.FastFlood, ['number'], name, value)


            class FastReroute(Entity):
                """
                Configure Fast\-Reroute
                
                .. attribute:: load_sharing
                
                	Distributes repair paths equally among links and prefixes
                	**type**\:  :py:class:`LoadSharing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.LoadSharing>`
                
                .. attribute:: per_prefix
                
                	Enable Fast\-Reroute Per\-Prefix
                	**type**\:  :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.PerPrefix>`
                
                .. attribute:: remote_lfa
                
                	Configuring fast\-reroute remote\-lfa
                	**type**\:  :py:class:`RemoteLfa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa>`
                
                .. attribute:: tie_break
                
                	Set repair path preference
                	**type**\:  :py:class:`TieBreak <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.TieBreak>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.FastReroute, self).__init__()

                    self.yang_name = "fast-reroute"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"load-sharing" : ("load_sharing", Native.Router.Isis.FastReroute.LoadSharing), "per-prefix" : ("per_prefix", Native.Router.Isis.FastReroute.PerPrefix), "remote-lfa" : ("remote_lfa", Native.Router.Isis.FastReroute.RemoteLfa), "tie-break" : ("tie_break", Native.Router.Isis.FastReroute.TieBreak)}
                    self._child_list_classes = {}

                    self.load_sharing = Native.Router.Isis.FastReroute.LoadSharing()
                    self.load_sharing.parent = self
                    self._children_name_map["load_sharing"] = "load-sharing"
                    self._children_yang_names.add("load-sharing")

                    self.per_prefix = Native.Router.Isis.FastReroute.PerPrefix()
                    self.per_prefix.parent = self
                    self._children_name_map["per_prefix"] = "per-prefix"
                    self._children_yang_names.add("per-prefix")

                    self.remote_lfa = Native.Router.Isis.FastReroute.RemoteLfa()
                    self.remote_lfa.parent = self
                    self._children_name_map["remote_lfa"] = "remote-lfa"
                    self._children_yang_names.add("remote-lfa")

                    self.tie_break = Native.Router.Isis.FastReroute.TieBreak()
                    self.tie_break.parent = self
                    self._children_name_map["tie_break"] = "tie-break"
                    self._children_yang_names.add("tie-break")
                    self._segment_path = lambda: "fast-reroute"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class LoadSharing(Entity):
                    """
                    Distributes repair paths equally among links and prefixes
                    
                    .. attribute:: level_1
                    
                    	Apply to level\-1
                    	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.LoadSharing.Level1>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: level_2
                    
                    	Apply to level\-2
                    	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.LoadSharing.Level2>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.FastReroute.LoadSharing, self).__init__()

                        self.yang_name = "load-sharing"
                        self.yang_parent_name = "fast-reroute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level-1" : ("level_1", Native.Router.Isis.FastReroute.LoadSharing.Level1), "level-2" : ("level_2", Native.Router.Isis.FastReroute.LoadSharing.Level2)}
                        self._child_list_classes = {}

                        self.level_1 = None
                        self._children_name_map["level_1"] = "level-1"
                        self._children_yang_names.add("level-1")

                        self.level_2 = None
                        self._children_name_map["level_2"] = "level-2"
                        self._children_yang_names.add("level-2")
                        self._segment_path = lambda: "load-sharing"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/%s" % self._segment_path()


                    class Level1(Entity):
                        """
                        Apply to level\-1
                        
                        .. attribute:: disable
                        
                        	Disable load\-sharing
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.FastReroute.LoadSharing.Level1, self).__init__()

                            self.yang_name = "level-1"
                            self.yang_parent_name = "load-sharing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "level-1"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/load-sharing/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.FastReroute.LoadSharing.Level1, ['disable'], name, value)


                    class Level2(Entity):
                        """
                        Apply to level\-2
                        
                        .. attribute:: disable
                        
                        	Disable load\-sharing
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.FastReroute.LoadSharing.Level2, self).__init__()

                            self.yang_name = "level-2"
                            self.yang_parent_name = "load-sharing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "level-2"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/load-sharing/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.FastReroute.LoadSharing.Level2, ['disable'], name, value)


                class PerPrefix(Entity):
                    """
                    Enable Fast\-Reroute Per\-Prefix
                    
                    .. attribute:: level_1
                    
                    	Apply to level\-1
                    	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.PerPrefix.Level1>`
                    
                    .. attribute:: level_2
                    
                    	Apply to level\-2
                    	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.PerPrefix.Level2>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.FastReroute.PerPrefix, self).__init__()

                        self.yang_name = "per-prefix"
                        self.yang_parent_name = "fast-reroute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level-1" : ("level_1", Native.Router.Isis.FastReroute.PerPrefix.Level1), "level-2" : ("level_2", Native.Router.Isis.FastReroute.PerPrefix.Level2)}
                        self._child_list_classes = {}

                        self.level_1 = Native.Router.Isis.FastReroute.PerPrefix.Level1()
                        self.level_1.parent = self
                        self._children_name_map["level_1"] = "level-1"
                        self._children_yang_names.add("level-1")

                        self.level_2 = Native.Router.Isis.FastReroute.PerPrefix.Level2()
                        self.level_2.parent = self
                        self._children_name_map["level_2"] = "level-2"
                        self._children_yang_names.add("level-2")
                        self._segment_path = lambda: "per-prefix"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/%s" % self._segment_path()


                    class Level1(Entity):
                        """
                        Apply to level\-1
                        
                        .. attribute:: all
                        
                        	Enable Fast\-Reroute for primary paths
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	route\-map name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.FastReroute.PerPrefix.Level1, self).__init__()

                            self.yang_name = "level-1"
                            self.yang_parent_name = "per-prefix"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.empty, "all")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "level-1"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/per-prefix/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.FastReroute.PerPrefix.Level1, ['all', 'route_map'], name, value)


                    class Level2(Entity):
                        """
                        Apply to level\-2
                        
                        .. attribute:: all
                        
                        	Enable Fast\-Reroute for primary paths
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	route\-map name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.FastReroute.PerPrefix.Level2, self).__init__()

                            self.yang_name = "level-2"
                            self.yang_parent_name = "per-prefix"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.empty, "all")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "level-2"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/per-prefix/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.FastReroute.PerPrefix.Level2, ['all', 'route_map'], name, value)


                class RemoteLfa(Entity):
                    """
                    Configuring fast\-reroute remote\-lfa
                    
                    .. attribute:: level_1
                    
                    	Apply to level\-1
                    	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa.Level1>`
                    
                    .. attribute:: level_2
                    
                    	Apply to level\-2
                    	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa.Level2>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.FastReroute.RemoteLfa, self).__init__()

                        self.yang_name = "remote-lfa"
                        self.yang_parent_name = "fast-reroute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level-1" : ("level_1", Native.Router.Isis.FastReroute.RemoteLfa.Level1), "level-2" : ("level_2", Native.Router.Isis.FastReroute.RemoteLfa.Level2)}
                        self._child_list_classes = {}

                        self.level_1 = Native.Router.Isis.FastReroute.RemoteLfa.Level1()
                        self.level_1.parent = self
                        self._children_name_map["level_1"] = "level-1"
                        self._children_yang_names.add("level-1")

                        self.level_2 = Native.Router.Isis.FastReroute.RemoteLfa.Level2()
                        self.level_2.parent = self
                        self._children_name_map["level_2"] = "level-2"
                        self._children_yang_names.add("level-2")
                        self._segment_path = lambda: "remote-lfa"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/%s" % self._segment_path()


                    class Level1(Entity):
                        """
                        Apply to level\-1
                        
                        .. attribute:: mpls_ldp
                        
                        	Use mpls\-ldp tunnel type
                        	**type**\:  :py:class:`MplsLdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.FastReroute.RemoteLfa.Level1, self).__init__()

                            self.yang_name = "level-1"
                            self.yang_parent_name = "remote-lfa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"mpls-ldp" : ("mpls_ldp", Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp)}
                            self._child_list_classes = {}

                            self.mpls_ldp = None
                            self._children_name_map["mpls_ldp"] = "mpls-ldp"
                            self._children_yang_names.add("mpls-ldp")
                            self._segment_path = lambda: "level-1"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/remote-lfa/%s" % self._segment_path()


                        class MplsLdp(Entity):
                            """
                            Use mpls\-ldp tunnel type
                            
                            .. attribute:: maximum_metric
                            
                            	maximum metric to reach release node
                            	**type**\:  :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp, self).__init__()

                                self.yang_name = "mpls-ldp"
                                self.yang_parent_name = "level-1"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"maximum-metric" : ("maximum_metric", Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum_metric = None
                                self._children_name_map["maximum_metric"] = "maximum-metric"
                                self._children_yang_names.add("maximum-metric")
                                self._segment_path = lambda: "mpls-ldp"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/remote-lfa/level-1/%s" % self._segment_path()


                            class MaximumMetric(Entity):
                                """
                                maximum metric to reach release node
                                
                                .. attribute:: max_met
                                
                                	metric value
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric, self).__init__()

                                    self.yang_name = "maximum-metric"
                                    self.yang_parent_name = "mpls-ldp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max_met = YLeaf(YType.uint32, "max-met")
                                    self._segment_path = lambda: "maximum-metric"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/remote-lfa/level-1/mpls-ldp/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric, ['max_met'], name, value)


                    class Level2(Entity):
                        """
                        Apply to level\-2
                        
                        .. attribute:: mpls_ldp
                        
                        	Use mpls\-ldp tunnel type
                        	**type**\:  :py:class:`MplsLdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.FastReroute.RemoteLfa.Level2, self).__init__()

                            self.yang_name = "level-2"
                            self.yang_parent_name = "remote-lfa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"mpls-ldp" : ("mpls_ldp", Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp)}
                            self._child_list_classes = {}

                            self.mpls_ldp = None
                            self._children_name_map["mpls_ldp"] = "mpls-ldp"
                            self._children_yang_names.add("mpls-ldp")
                            self._segment_path = lambda: "level-2"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/remote-lfa/%s" % self._segment_path()


                        class MplsLdp(Entity):
                            """
                            Use mpls\-ldp tunnel type
                            
                            .. attribute:: maximum_metric
                            
                            	maximum metric to reach release node
                            	**type**\:  :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp, self).__init__()

                                self.yang_name = "mpls-ldp"
                                self.yang_parent_name = "level-2"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"maximum-metric" : ("maximum_metric", Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.maximum_metric = None
                                self._children_name_map["maximum_metric"] = "maximum-metric"
                                self._children_yang_names.add("maximum-metric")
                                self._segment_path = lambda: "mpls-ldp"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/remote-lfa/level-2/%s" % self._segment_path()


                            class MaximumMetric(Entity):
                                """
                                maximum metric to reach release node
                                
                                .. attribute:: max_met
                                
                                	metric value
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric, self).__init__()

                                    self.yang_name = "maximum-metric"
                                    self.yang_parent_name = "mpls-ldp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max_met = YLeaf(YType.uint32, "max-met")
                                    self._segment_path = lambda: "maximum-metric"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/remote-lfa/level-2/mpls-ldp/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric, ['max_met'], name, value)


                class TieBreak(Entity):
                    """
                    Set repair path preference
                    
                    .. attribute:: level_1
                    
                    	Apply to level\-1
                    	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.TieBreak.Level1>`
                    
                    .. attribute:: level_2
                    
                    	Apply to level\-2
                    	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.FastReroute.TieBreak.Level2>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.FastReroute.TieBreak, self).__init__()

                        self.yang_name = "tie-break"
                        self.yang_parent_name = "fast-reroute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level-1" : ("level_1", Native.Router.Isis.FastReroute.TieBreak.Level1), "level-2" : ("level_2", Native.Router.Isis.FastReroute.TieBreak.Level2)}
                        self._child_list_classes = {}

                        self.level_1 = Native.Router.Isis.FastReroute.TieBreak.Level1()
                        self.level_1.parent = self
                        self._children_name_map["level_1"] = "level-1"
                        self._children_yang_names.add("level-1")

                        self.level_2 = Native.Router.Isis.FastReroute.TieBreak.Level2()
                        self.level_2.parent = self
                        self._children_name_map["level_2"] = "level-2"
                        self._children_yang_names.add("level-2")
                        self._segment_path = lambda: "tie-break"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/%s" % self._segment_path()


                    class Level1(Entity):
                        """
                        Apply to level\-1
                        
                        .. attribute:: downstream
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: linecard_disjoint
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: lowest_backup_path_metric
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: node_protecting
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: primary_path
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: secondary_path
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: srlg_disjoint
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.FastReroute.TieBreak.Level1, self).__init__()

                            self.yang_name = "level-1"
                            self.yang_parent_name = "tie-break"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.downstream = YLeaf(YType.uint8, "downstream")

                            self.linecard_disjoint = YLeaf(YType.uint8, "linecard-disjoint")

                            self.lowest_backup_path_metric = YLeaf(YType.uint8, "lowest-backup-path-metric")

                            self.node_protecting = YLeaf(YType.uint8, "node-protecting")

                            self.primary_path = YLeaf(YType.uint8, "primary-path")

                            self.secondary_path = YLeaf(YType.uint8, "secondary-path")

                            self.srlg_disjoint = YLeaf(YType.uint8, "srlg-disjoint")
                            self._segment_path = lambda: "level-1"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/tie-break/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.FastReroute.TieBreak.Level1, ['downstream', 'linecard_disjoint', 'lowest_backup_path_metric', 'node_protecting', 'primary_path', 'secondary_path', 'srlg_disjoint'], name, value)


                    class Level2(Entity):
                        """
                        Apply to level\-2
                        
                        .. attribute:: downstream
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: linecard_disjoint
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: lowest_backup_path_metric
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: node_protecting
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: primary_path
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: secondary_path
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: srlg_disjoint
                        
                        	priority number
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.FastReroute.TieBreak.Level2, self).__init__()

                            self.yang_name = "level-2"
                            self.yang_parent_name = "tie-break"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.downstream = YLeaf(YType.uint8, "downstream")

                            self.linecard_disjoint = YLeaf(YType.uint8, "linecard-disjoint")

                            self.lowest_backup_path_metric = YLeaf(YType.uint8, "lowest-backup-path-metric")

                            self.node_protecting = YLeaf(YType.uint8, "node-protecting")

                            self.primary_path = YLeaf(YType.uint8, "primary-path")

                            self.secondary_path = YLeaf(YType.uint8, "secondary-path")

                            self.srlg_disjoint = YLeaf(YType.uint8, "srlg-disjoint")
                            self._segment_path = lambda: "level-2"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/fast-reroute/tie-break/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.FastReroute.TieBreak.Level2, ['downstream', 'linecard_disjoint', 'lowest_backup_path_metric', 'node_protecting', 'primary_path', 'secondary_path', 'srlg_disjoint'], name, value)


            class TiLfa(Entity):
                """
                
                
                .. attribute:: level_1
                
                	Apply to level\-1
                	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TiLfa.Level1>`
                
                .. attribute:: level_2
                
                	Apply to level\-2
                	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TiLfa.Level2>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.TiLfa, self).__init__()

                    self.yang_name = "ti-lfa"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"level-1" : ("level_1", Native.Router.Isis.TiLfa.Level1), "level-2" : ("level_2", Native.Router.Isis.TiLfa.Level2)}
                    self._child_list_classes = {}

                    self.level_1 = Native.Router.Isis.TiLfa.Level1()
                    self.level_1.parent = self
                    self._children_name_map["level_1"] = "level-1"
                    self._children_yang_names.add("level-1")

                    self.level_2 = None
                    self._children_name_map["level_2"] = "level-2"
                    self._children_yang_names.add("level-2")
                    self._segment_path = lambda: "ti-lfa"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class Level1(Entity):
                    """
                    Apply to level\-1
                    
                    .. attribute:: maximum_metric
                    
                    	maximum metric to reach release node
                    	**type**\:  :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TiLfa.Level1.MaximumMetric>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.TiLfa.Level1, self).__init__()

                        self.yang_name = "level-1"
                        self.yang_parent_name = "ti-lfa"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"maximum-metric" : ("maximum_metric", Native.Router.Isis.TiLfa.Level1.MaximumMetric)}
                        self._child_list_classes = {}

                        self.maximum_metric = Native.Router.Isis.TiLfa.Level1.MaximumMetric()
                        self.maximum_metric.parent = self
                        self._children_name_map["maximum_metric"] = "maximum-metric"
                        self._children_yang_names.add("maximum-metric")
                        self._segment_path = lambda: "level-1"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/ti-lfa/%s" % self._segment_path()


                    class MaximumMetric(Entity):
                        """
                        maximum metric to reach release node
                        
                        .. attribute:: max_met
                        
                        	metric value
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.TiLfa.Level1.MaximumMetric, self).__init__()

                            self.yang_name = "maximum-metric"
                            self.yang_parent_name = "level-1"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_met = YLeaf(YType.uint32, "max-met")
                            self._segment_path = lambda: "maximum-metric"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/ti-lfa/level-1/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.TiLfa.Level1.MaximumMetric, ['max_met'], name, value)


                class Level2(Entity):
                    """
                    Apply to level\-2
                    
                    .. attribute:: maximum_metric
                    
                    	maximum metric to reach release node
                    	**type**\:  :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.TiLfa.Level2.MaximumMetric>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.TiLfa.Level2, self).__init__()

                        self.yang_name = "level-2"
                        self.yang_parent_name = "ti-lfa"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"maximum-metric" : ("maximum_metric", Native.Router.Isis.TiLfa.Level2.MaximumMetric)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.maximum_metric = Native.Router.Isis.TiLfa.Level2.MaximumMetric()
                        self.maximum_metric.parent = self
                        self._children_name_map["maximum_metric"] = "maximum-metric"
                        self._children_yang_names.add("maximum-metric")
                        self._segment_path = lambda: "level-2"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/ti-lfa/%s" % self._segment_path()


                    class MaximumMetric(Entity):
                        """
                        maximum metric to reach release node
                        
                        .. attribute:: max_met
                        
                        	metric value
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.TiLfa.Level2.MaximumMetric, self).__init__()

                            self.yang_name = "maximum-metric"
                            self.yang_parent_name = "level-2"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_met = YLeaf(YType.uint32, "max-met")
                            self._segment_path = lambda: "maximum-metric"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/ti-lfa/level-2/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.TiLfa.Level2.MaximumMetric, ['max_met'], name, value)


            class Hello(Entity):
                """
                Pad ISIS hello PDUs to full MTU
                
                .. attribute:: padding
                
                	Pad hello PDU
                	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Hello.Padding>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Hello, self).__init__()

                    self.yang_name = "hello"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"padding" : ("padding", Native.Router.Isis.Hello.Padding)}
                    self._child_list_classes = {}

                    self.padding = None
                    self._children_name_map["padding"] = "padding"
                    self._children_yang_names.add("padding")
                    self._segment_path = lambda: "hello"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class Padding(Entity):
                    """
                    Pad hello PDU
                    
                    .. attribute:: pad_type
                    
                    	
                    	**type**\:  :py:class:`PadType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Hello.Padding.PadType>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Hello.Padding, self).__init__()

                        self.yang_name = "padding"
                        self.yang_parent_name = "hello"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.pad_type = YLeaf(YType.enumeration, "pad-type")
                        self._segment_path = lambda: "padding"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/hello/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Hello.Padding, ['pad_type'], name, value)

                    class PadType(Enum):
                        """
                        PadType

                        .. data:: multi_point = 0

                        .. data:: point_to_point = 1

                        """

                        multi_point = Enum.YLeaf(0, "multi-point")

                        point_to_point = Enum.YLeaf(1, "point-to-point")



            class Hostname(Entity):
                """
                Dynamic hostname for IS\-IS
                
                .. attribute:: dynamic
                
                	Dynamic hostname
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Hostname, self).__init__()

                    self.yang_name = "hostname"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.dynamic = YLeaf(YType.empty, "dynamic")
                    self._segment_path = lambda: "hostname"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Hostname, ['dynamic'], name, value)


            class Ispf(Entity):
                """
                Configure execution of incremental SPF
                
                .. attribute:: level
                
                	
                	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Ispf.Level>`
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 1..600
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Ispf, self).__init__()

                    self.yang_name = "ispf"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.level = YLeaf(YType.enumeration, "level")

                    self.number = YLeaf(YType.uint32, "number")
                    self._segment_path = lambda: "ispf"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Ispf, ['level', 'number'], name, value)

                class Level(Enum):
                    """
                    Level

                    .. data:: level_1 = 0

                    .. data:: level_1_2 = 1

                    .. data:: level_2 = 2

                    """

                    level_1 = Enum.YLeaf(0, "level-1")

                    level_1_2 = Enum.YLeaf(1, "level-1-2")

                    level_2 = Enum.YLeaf(2, "level-2")



            class LogAdjacencyChanges(Entity):
                """
                Log changes in adjacency state
                
                .. attribute:: all
                
                	Include changes generated by non\-IIH event
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.LogAdjacencyChanges, self).__init__()

                    self.yang_name = "log-adjacency-changes"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.all = YLeaf(YType.empty, "all")
                    self._segment_path = lambda: "log-adjacency-changes"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.LogAdjacencyChanges, ['all'], name, value)


            class LspFull(Entity):
                """
                If we run out of LSP fragments
                
                .. attribute:: suppress
                
                	suppress the following types of IP prefixes
                	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspFull.Suppress>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.LspFull, self).__init__()

                    self.yang_name = "lsp-full"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"suppress" : ("suppress", Native.Router.Isis.LspFull.Suppress)}
                    self._child_list_classes = {}

                    self.suppress = Native.Router.Isis.LspFull.Suppress()
                    self.suppress.parent = self
                    self._children_name_map["suppress"] = "suppress"
                    self._children_yang_names.add("suppress")
                    self._segment_path = lambda: "lsp-full"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class Suppress(Entity):
                    """
                    suppress the following types of IP prefixes
                    
                    .. attribute:: external_interlevel_container
                    
                    	
                    	**type**\:  :py:class:`ExternalInterlevelContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspFull.Suppress.ExternalInterlevelContainer>`
                    
                    .. attribute:: none
                    
                    	don't suppress any prefixes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.LspFull.Suppress, self).__init__()

                        self.yang_name = "suppress"
                        self.yang_parent_name = "lsp-full"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"external-interlevel-container" : ("external_interlevel_container", Native.Router.Isis.LspFull.Suppress.ExternalInterlevelContainer)}
                        self._child_list_classes = {}

                        self.none = YLeaf(YType.empty, "none")

                        self.external_interlevel_container = Native.Router.Isis.LspFull.Suppress.ExternalInterlevelContainer()
                        self.external_interlevel_container.parent = self
                        self._children_name_map["external_interlevel_container"] = "external-interlevel-container"
                        self._children_yang_names.add("external-interlevel-container")
                        self._segment_path = lambda: "suppress"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/lsp-full/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.LspFull.Suppress, ['none'], name, value)


                    class ExternalInterlevelContainer(Entity):
                        """
                        
                        
                        .. attribute:: external
                        
                        	don't advertise IP prefixes learned from other protocols
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interlevel
                        
                        	don't advertise IP prefixes learned from another ISIS level
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.LspFull.Suppress.ExternalInterlevelContainer, self).__init__()

                            self.yang_name = "external-interlevel-container"
                            self.yang_parent_name = "suppress"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.external = YLeaf(YType.empty, "external")

                            self.interlevel = YLeaf(YType.empty, "interlevel")
                            self._segment_path = lambda: "external-interlevel-container"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/lsp-full/suppress/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.LspFull.Suppress.ExternalInterlevelContainer, ['external', 'interlevel'], name, value)


            class LspGenInterval(Entity):
                """
                Minimum interval between regenerating same LSP
                
                .. attribute:: intervals
                
                	
                	**type**\:  :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspGenInterval.Intervals>`
                
                .. attribute:: intervals_levels
                
                	
                	**type**\:  :py:class:`IntervalsLevels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspGenInterval.IntervalsLevels>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.LspGenInterval, self).__init__()

                    self.yang_name = "lsp-gen-interval"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"intervals" : ("intervals", Native.Router.Isis.LspGenInterval.Intervals), "intervals-levels" : ("intervals_levels", Native.Router.Isis.LspGenInterval.IntervalsLevels)}
                    self._child_list_classes = {}

                    self.intervals = Native.Router.Isis.LspGenInterval.Intervals()
                    self.intervals.parent = self
                    self._children_name_map["intervals"] = "intervals"
                    self._children_yang_names.add("intervals")

                    self.intervals_levels = Native.Router.Isis.LspGenInterval.IntervalsLevels()
                    self.intervals_levels.parent = self
                    self._children_name_map["intervals_levels"] = "intervals-levels"
                    self._children_yang_names.add("intervals-levels")
                    self._segment_path = lambda: "lsp-gen-interval"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class Intervals(Entity):
                    """
                    
                    
                    .. attribute:: interval
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120
                    
                    .. attribute:: initial_wait
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: wait
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.LspGenInterval.Intervals, self).__init__()

                        self.yang_name = "intervals"
                        self.yang_parent_name = "lsp-gen-interval"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interval = YLeaf(YType.uint32, "interval")

                        self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                        self.wait = YLeaf(YType.uint32, "wait")
                        self._segment_path = lambda: "intervals"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/lsp-gen-interval/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.LspGenInterval.Intervals, ['interval', 'initial_wait', 'wait'], name, value)


                class IntervalsLevels(Entity):
                    """
                    
                    
                    .. attribute:: intervals_level_1
                    
                    	
                    	**type**\:  :py:class:`IntervalsLevel1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1>`
                    
                    .. attribute:: intervals_level_2
                    
                    	
                    	**type**\:  :py:class:`IntervalsLevel2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.LspGenInterval.IntervalsLevels, self).__init__()

                        self.yang_name = "intervals-levels"
                        self.yang_parent_name = "lsp-gen-interval"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"intervals-level-1" : ("intervals_level_1", Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1), "intervals-level-2" : ("intervals_level_2", Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2)}
                        self._child_list_classes = {}

                        self.intervals_level_1 = Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1()
                        self.intervals_level_1.parent = self
                        self._children_name_map["intervals_level_1"] = "intervals-level-1"
                        self._children_yang_names.add("intervals-level-1")

                        self.intervals_level_2 = Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2()
                        self.intervals_level_2.parent = self
                        self._children_name_map["intervals_level_2"] = "intervals-level-2"
                        self._children_yang_names.add("intervals-level-2")
                        self._segment_path = lambda: "intervals-levels"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/lsp-gen-interval/%s" % self._segment_path()


                    class IntervalsLevel1(Entity):
                        """
                        
                        
                        .. attribute:: level_1
                        
                        	Set interval for level 1 only
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120
                        
                        .. attribute:: initial_wait
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120000
                        
                        .. attribute:: wait
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1, self).__init__()

                            self.yang_name = "intervals-level-1"
                            self.yang_parent_name = "intervals-levels"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.level_1 = YLeaf(YType.empty, "level-1")

                            self.interval = YLeaf(YType.uint32, "interval")

                            self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                            self.wait = YLeaf(YType.uint32, "wait")
                            self._segment_path = lambda: "intervals-level-1"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/lsp-gen-interval/intervals-levels/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1, ['level_1', 'interval', 'initial_wait', 'wait'], name, value)


                    class IntervalsLevel2(Entity):
                        """
                        
                        
                        .. attribute:: level_2
                        
                        	Set interval for level 2 only
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120
                        
                        .. attribute:: initial_wait
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120000
                        
                        .. attribute:: wait
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2, self).__init__()

                            self.yang_name = "intervals-level-2"
                            self.yang_parent_name = "intervals-levels"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.level_2 = YLeaf(YType.empty, "level-2")

                            self.interval = YLeaf(YType.uint32, "interval")

                            self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                            self.wait = YLeaf(YType.uint32, "wait")
                            self._segment_path = lambda: "intervals-level-2"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/lsp-gen-interval/intervals-levels/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2, ['level_2', 'interval', 'initial_wait', 'wait'], name, value)


            class Microloop(Entity):
                """
                Enable microloop protection configuration commands
                
                .. attribute:: avoidance
                
                	Enable local microloop avoidance
                	**type**\:  :py:class:`Avoidance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Microloop.Avoidance>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Microloop, self).__init__()

                    self.yang_name = "microloop"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"avoidance" : ("avoidance", Native.Router.Isis.Microloop.Avoidance)}
                    self._child_list_classes = {}

                    self.avoidance = None
                    self._children_name_map["avoidance"] = "avoidance"
                    self._children_yang_names.add("avoidance")
                    self._segment_path = lambda: "microloop"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class Avoidance(Entity):
                    """
                    Enable local microloop avoidance
                    
                    .. attribute:: disable
                    
                    	Disable Microloop avoidance
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protected
                    
                    	Microloop avoidance for protected link or prefix only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rib_update_delay
                    
                    	Value of the delay in milliseconds
                    	**type**\: int
                    
                    	**range:** 1..600000
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Microloop.Avoidance, self).__init__()

                        self.yang_name = "avoidance"
                        self.yang_parent_name = "microloop"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")

                        self.protected = YLeaf(YType.empty, "protected")

                        self.rib_update_delay = YLeaf(YType.uint32, "rib-update-delay")
                        self._segment_path = lambda: "avoidance"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/microloop/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Microloop.Avoidance, ['disable', 'protected', 'rib_update_delay'], name, value)


            class Mpls(Entity):
                """
                Configure MPLS routing protocol parameters
                
                .. attribute:: ldp
                
                	routing protocol commands for MPLS LDP
                	**type**\:  :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.Ldp>`
                
                .. attribute:: traffic_eng
                
                	routing protocol commands for MPLS Traffic Engineering
                	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ldp" : ("ldp", Native.Router.Isis.Mpls.Ldp), "traffic-eng" : ("traffic_eng", Native.Router.Isis.Mpls.TrafficEng)}
                    self._child_list_classes = {}

                    self.ldp = Native.Router.Isis.Mpls.Ldp()
                    self.ldp.parent = self
                    self._children_name_map["ldp"] = "ldp"
                    self._children_yang_names.add("ldp")

                    self.traffic_eng = Native.Router.Isis.Mpls.TrafficEng()
                    self.traffic_eng.parent = self
                    self._children_name_map["traffic_eng"] = "traffic-eng"
                    self._children_yang_names.add("traffic-eng")
                    self._segment_path = lambda: "mpls"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()


                class Ldp(Entity):
                    """
                    routing protocol commands for MPLS LDP
                    
                    .. attribute:: autoconfig
                    
                    	Configure LDP automatic configuration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.Ldp.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: sync
                    
                    	Configure LDP\-IGP Synchronization
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: sync_igp_shortcuts
                    
                    	Configure LDP\-IGP Synchronization on MPLS shortcuts
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Mpls.Ldp, self).__init__()

                        self.yang_name = "ldp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"autoconfig" : ("autoconfig", Native.Router.Isis.Mpls.Ldp.Autoconfig)}
                        self._child_list_classes = {}

                        self.sync = YLeaf(YType.empty, "sync")

                        self.sync_igp_shortcuts = YLeaf(YType.empty, "sync-igp-shortcuts")

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")
                        self._segment_path = lambda: "ldp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/mpls/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Mpls.Ldp, ['sync', 'sync_igp_shortcuts'], name, value)


                    class Autoconfig(Entity):
                        """
                        Configure LDP automatic configuration
                        
                        .. attribute:: level_1
                        
                        	Configure ISIS level\-1 to run MPLS LDP
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: level_2
                        
                        	Configure ISIS level\-2 to run MPLS LDP
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Mpls.Ldp.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "ldp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.level_1 = YLeaf(YType.empty, "level-1")

                            self.level_2 = YLeaf(YType.empty, "level-2")
                            self._segment_path = lambda: "autoconfig"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/mpls/ldp/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Mpls.Ldp.Autoconfig, ['level_1', 'level_2'], name, value)


                class TrafficEng(Entity):
                    """
                    routing protocol commands for MPLS Traffic Engineering
                    
                    .. attribute:: level_1
                    
                    	Run MPLS TE on IS\-IS level 1 only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_2
                    
                    	Run MPLS TE on IS\-IS level 2 only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: multicast_intact
                    
                    	MPLS TE and PIM interaction
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: router_id
                    
                    	Traffic Engineering stable IP address for system
                    	**type**\:  :py:class:`RouterId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng.RouterId>`
                    
                    .. attribute:: scanner
                    
                    	Timer parameters for TE database
                    	**type**\:  :py:class:`Scanner <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng.Scanner>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Mpls.TrafficEng, self).__init__()

                        self.yang_name = "traffic-eng"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"router-id" : ("router_id", Native.Router.Isis.Mpls.TrafficEng.RouterId), "scanner" : ("scanner", Native.Router.Isis.Mpls.TrafficEng.Scanner)}
                        self._child_list_classes = {}

                        self.level_1 = YLeaf(YType.empty, "level-1")

                        self.level_2 = YLeaf(YType.empty, "level-2")

                        self.multicast_intact = YLeaf(YType.empty, "multicast-intact")

                        self.router_id = Native.Router.Isis.Mpls.TrafficEng.RouterId()
                        self.router_id.parent = self
                        self._children_name_map["router_id"] = "router-id"
                        self._children_yang_names.add("router-id")

                        self.scanner = Native.Router.Isis.Mpls.TrafficEng.Scanner()
                        self.scanner.parent = self
                        self._children_name_map["scanner"] = "scanner"
                        self._children_yang_names.add("scanner")
                        self._segment_path = lambda: "traffic-eng"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/mpls/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Mpls.TrafficEng, ['level_1', 'level_2', 'multicast_intact'], name, value)


                    class RouterId(Entity):
                        """
                        Traffic Engineering stable IP address for system
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng.RouterId.ATMSubinterface>`
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\: str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng.RouterId.ATMACRsubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\: str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\: str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\: str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\: str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\: str
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng.RouterId.LISPSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\: str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\: str
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\: str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\: str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Mpls.TrafficEng.RouterId, self).__init__()

                            self.yang_name = "router-id"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Isis.Mpls.TrafficEng.RouterId.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Isis.Mpls.TrafficEng.RouterId.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Isis.Mpls.TrafficEng.RouterId.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface)}
                            self._child_list_classes = {}

                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                            self.atm = YLeaf(YType.str, "ATM")

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                            self.bdi = YLeaf(YType.str, "BDI")

                            self.cem = YLeaf(YType.str, "CEM")

                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                            self.lisp = YLeaf(YType.str, "LISP")

                            self.loopback = YLeaf(YType.uint32, "Loopback")

                            self.multilink = YLeaf(YType.uint16, "Multilink")

                            self.nve = YLeaf(YType.uint16, "nve")

                            self.overlay = YLeaf(YType.uint16, "overlay")

                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                            self.sm = YLeaf(YType.str, "SM")

                            self.cellular = YLeaf(YType.str, "Cellular")

                            self.serial = YLeaf(YType.str, "Serial")

                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                            self.atm_subinterface = Native.Router.Isis.Mpls.TrafficEng.RouterId.ATMSubinterface()
                            self.atm_subinterface.parent = self
                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                            self._children_yang_names.add("ATM-subinterface")

                            self.atm_acrsubinterface = Native.Router.Isis.Mpls.TrafficEng.RouterId.ATMACRsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                            self._children_yang_names.add("ATM-ACRsubinterface")

                            self.lisp_subinterface = Native.Router.Isis.Mpls.TrafficEng.RouterId.LISPSubinterface()
                            self.lisp_subinterface.parent = self
                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                            self._children_yang_names.add("LISP-subinterface")

                            self.port_channel_subinterface = Native.Router.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                            self._children_yang_names.add("Port-channel-subinterface")
                            self._segment_path = lambda: "router-id"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/mpls/traffic-eng/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Mpls.TrafficEng.RouterId, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                        class ATMSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Mpls.TrafficEng.RouterId.ATMSubinterface, self).__init__()

                                self.yang_name = "ATM-subinterface"
                                self.yang_parent_name = "router-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm = YLeaf(YType.str, "ATM")
                                self._segment_path = lambda: "ATM-subinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/mpls/traffic-eng/router-id/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Mpls.TrafficEng.RouterId.ATMSubinterface, ['atm'], name, value)


                        class ATMACRsubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Mpls.TrafficEng.RouterId.ATMACRsubinterface, self).__init__()

                                self.yang_name = "ATM-ACRsubinterface"
                                self.yang_parent_name = "router-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                self._segment_path = lambda: "ATM-ACRsubinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/mpls/traffic-eng/router-id/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Mpls.TrafficEng.RouterId.ATMACRsubinterface, ['atm_acr'], name, value)


                        class LISPSubinterface(Entity):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Mpls.TrafficEng.RouterId.LISPSubinterface, self).__init__()

                                self.yang_name = "LISP-subinterface"
                                self.yang_parent_name = "router-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lisp = YLeaf(YType.str, "LISP")
                                self._segment_path = lambda: "LISP-subinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/mpls/traffic-eng/router-id/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Mpls.TrafficEng.RouterId.LISPSubinterface, ['lisp'], name, value)


                        class PortChannelSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface, self).__init__()

                                self.yang_name = "Port-channel-subinterface"
                                self.yang_parent_name = "router-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                self._segment_path = lambda: "Port-channel-subinterface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/mpls/traffic-eng/router-id/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface, ['port_channel'], name, value)


                    class Scanner(Entity):
                        """
                        Timer parameters for TE database
                        
                        .. attribute:: interval
                        
                        	Time (secs) between LSPDB walks for TE
                        	**type**\: int
                        
                        	**range:** 1..60
                        
                        .. attribute:: max_flash
                        
                        	Max. number of LSPs ISIS may send to TE db without delay\: <0..200>
                        	**type**\: int
                        
                        	**range:** 0..200
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.Mpls.TrafficEng.Scanner, self).__init__()

                            self.yang_name = "scanner"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint32, "interval")

                            self.max_flash = YLeaf(YType.uint32, "max-flash")
                            self._segment_path = lambda: "scanner"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/mpls/traffic-eng/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.Mpls.TrafficEng.Scanner, ['interval', 'max_flash'], name, value)


            class Net(Entity):
                """
                A Network Entity Title for this process (OSI only)
                
                .. attribute:: tag  <key>
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Net, self).__init__()

                    self.yang_name = "net"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.tag = YLeaf(YType.str, "tag")
                    self._segment_path = lambda: "net" + "[tag='" + self.tag.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Net, ['tag'], name, value)


            class Nsf(Entity):
                """
                Non\-stop forwarding
                
                .. attribute:: cisco
                
                	Checkpoint method
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ietf
                
                	IETF method
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	Interface properties
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Nsf.Interface>`
                
                .. attribute:: interval
                
                	Minutes
                	**type**\: int
                
                	**range:** 0..1440
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Nsf, self).__init__()

                    self.yang_name = "nsf"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"interface" : ("interface", Native.Router.Isis.Nsf.Interface)}
                    self._child_list_classes = {}

                    self.cisco = YLeaf(YType.empty, "cisco")

                    self.ietf = YLeaf(YType.empty, "ietf")

                    self.interval = YLeaf(YType.uint16, "interval")

                    self.interface = Native.Router.Isis.Nsf.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")
                    self._segment_path = lambda: "nsf"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Nsf, ['cisco', 'ietf', 'interval'], name, value)


                class Interface(Entity):
                    """
                    Interface properties
                    
                    .. attribute:: wait
                    
                    	Seconds
                    	**type**\: int
                    
                    	**range:** 1..60
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Nsf.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "nsf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.wait = YLeaf(YType.uint8, "wait")
                        self._segment_path = lambda: "interface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/nsf/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Nsf.Interface, ['wait'], name, value)


            class Partition(Entity):
                """
                CLNS area partition
                
                .. attribute:: avoidance
                
                	Withdraw area prefix if partition detected
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Partition, self).__init__()

                    self.yang_name = "partition"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.avoidance = YLeaf(YType.empty, "avoidance")
                    self._segment_path = lambda: "partition"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Partition, ['avoidance'], name, value)


            class PassiveInterface(Entity):
                """
                Suppress routing updates on an interface
                
                .. attribute:: default
                
                	Suppress routing updates on all interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.PassiveInterface, self).__init__()

                    self.yang_name = "passive-interface"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.default = YLeaf(YType.empty, "default")

                    self.interface = YLeaf(YType.str, "interface")
                    self._segment_path = lambda: "passive-interface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.PassiveInterface, ['default', 'interface'], name, value)


            class Disable(Entity):
                """
                
                
                .. attribute:: passive_interface
                
                	
                	**type**\: list of  		 :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.Disable.PassiveInterface>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Disable, self).__init__()

                    self.yang_name = "disable"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"passive-interface" : ("passive_interface", Native.Router.Isis.Disable.PassiveInterface)}

                    self.passive_interface = YList(self)
                    self._segment_path = lambda: "disable"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Disable, [], name, value)


                class PassiveInterface(Entity):
                    """
                    
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.Disable.PassiveInterface, self).__init__()

                        self.yang_name = "passive-interface"
                        self.yang_parent_name = "disable"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interface = YLeaf(YType.str, "interface")
                        self._segment_path = lambda: "passive-interface" + "[interface='" + self.interface.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/disable/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.Disable.PassiveInterface, ['interface'], name, value)


            class Protocol(Entity):
                """
                Set protocol's administrative state
                
                .. attribute:: shutdown
                
                	Set protocol's administrative state to disable
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Protocol, self).__init__()

                    self.yang_name = "protocol"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.shutdown = YLeaf(YType.empty, "shutdown")
                    self._segment_path = lambda: "protocol"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Protocol, ['shutdown'], name, value)


            class SegmentRouting(Entity):
                """
                Enable Segment Routing Feature
                
                .. attribute:: mpls
                
                	Enable Segment Routing Feature using MPLS encapsulation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: prefix_sid_map
                
                	Enable prefix\-sid\-map
                	**type**\:  :py:class:`PrefixSidMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SegmentRouting.PrefixSidMap>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.SegmentRouting, self).__init__()

                    self.yang_name = "segment-routing"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"prefix-sid-map" : ("prefix_sid_map", Native.Router.Isis.SegmentRouting.PrefixSidMap)}
                    self._child_list_classes = {}

                    self.mpls = YLeaf(YType.empty, "mpls")

                    self.prefix_sid_map = Native.Router.Isis.SegmentRouting.PrefixSidMap()
                    self.prefix_sid_map.parent = self
                    self._children_name_map["prefix_sid_map"] = "prefix-sid-map"
                    self._children_yang_names.add("prefix-sid-map")
                    self._segment_path = lambda: "segment-routing"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.SegmentRouting, ['mpls'], name, value)


                class PrefixSidMap(Entity):
                    """
                    Enable prefix\-sid\-map
                    
                    .. attribute:: advertise_local
                    
                    	Advertise active local prefix\-SID mappings
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: receive
                    
                    	Enable prefix\-SID mapping client
                    	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Isis.SegmentRouting.PrefixSidMap.Receive>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Isis.SegmentRouting.PrefixSidMap, self).__init__()

                        self.yang_name = "prefix-sid-map"
                        self.yang_parent_name = "segment-routing"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"receive" : ("receive", Native.Router.Isis.SegmentRouting.PrefixSidMap.Receive)}
                        self._child_list_classes = {}

                        self.advertise_local = YLeaf(YType.empty, "advertise-local")

                        self.receive = None
                        self._children_name_map["receive"] = "receive"
                        self._children_yang_names.add("receive")
                        self._segment_path = lambda: "prefix-sid-map"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/segment-routing/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Isis.SegmentRouting.PrefixSidMap, ['advertise_local'], name, value)


                    class Receive(Entity):
                        """
                        Enable prefix\-SID mapping client
                        
                        .. attribute:: disable
                        
                        	Disable prefix\-SID mapping
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Isis.SegmentRouting.PrefixSidMap.Receive, self).__init__()

                            self.yang_name = "receive"
                            self.yang_parent_name = "prefix-sid-map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "receive"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/segment-routing/prefix-sid-map/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Isis.SegmentRouting.PrefixSidMap.Receive, ['disable'], name, value)


            class Skeptical(Entity):
                """
                Be a cautious NSF helper when refresh adjacency
                
                .. attribute:: interval
                
                	Minutes
                	**type**\: int
                
                	**range:** 0..1440
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Skeptical, self).__init__()

                    self.yang_name = "skeptical"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.interval = YLeaf(YType.uint16, "interval")
                    self._segment_path = lambda: "skeptical"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Skeptical, ['interval'], name, value)


            class Use(Entity):
                """
                Use different algorithms during SPF
                
                .. attribute:: external_metrics
                
                	Honour external metrics during SPF
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Use, self).__init__()

                    self.yang_name = "use"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.external_metrics = YLeaf(YType.empty, "external-metrics")
                    self._segment_path = lambda: "use"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Use, ['external_metrics'], name, value)


            class Bfd(Entity):
                """
                BFD configuration commands
                
                .. attribute:: all_interfaces
                
                	Enable BFD on all interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: check_ctrl_plane_failure
                
                	BFD check control plane failure
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Isis.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

                    self.check_ctrl_plane_failure = YLeaf(YType.empty, "check-ctrl-plane-failure")
                    self._segment_path = lambda: "bfd"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Isis.Bfd, ['all_interfaces', 'check_ctrl_plane_failure'], name, value)


        class IsisContainer(Entity):
            """
            
            
            .. attribute:: isis
            
            	ISO IS\-IS
            	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis>`
            
            

            """

            _prefix = 'ios-isis'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.Router.IsisContainer, self).__init__()

                self.yang_name = "isis-container"
                self.yang_parent_name = "router"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"isis" : ("isis", Native.Router.IsisContainer.Isis)}

                self.isis = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-isis:isis-container"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Router.IsisContainer, [], name, value)


            class Isis(Entity):
                """
                ISO IS\-IS
                
                .. attribute:: area_tag  <key>
                
                	
                	**type**\: str
                
                .. attribute:: metric_style
                
                	Use old\-style (ISO 10589) or new\-style packet formats
                	**type**\:  :py:class:`MetricStyle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.MetricStyle>`
                
                .. attribute:: address_family
                
                	Enter Address Family command mode
                	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily>`
                
                .. attribute:: distance
                
                	Define an administrative distance
                	**type**\: list of  		 :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Distance>`
                
                .. attribute:: ip
                
                	IP specific commands
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Ip>`
                
                .. attribute:: priority
                
                	priority value
                	**type**\: int
                
                	**range:** 0..127
                
                .. attribute:: redistribute
                
                	Redistribute information from another routing protocol
                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute>`
                
                .. attribute:: set_attached_bit
                
                	Conditionally advertise us as attached to L2
                	**type**\:  :py:class:`SetAttachedBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetAttachedBit>`
                
                .. attribute:: snmp
                
                	Modify snmp parameters
                	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp>`
                
                .. attribute:: summary_address
                
                	Configure IP address summaries
                	**type**\: list of  		 :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SummaryAddress>`
                
                .. attribute:: traffic_share
                
                	How to compute traffic share over alternate paths
                	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TrafficShare>`
                
                .. attribute:: advertise
                
                	Control which IP routes flow in L1 and L2 LSPs
                	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Advertise>`
                
                .. attribute:: default_information
                
                	Control distribution of default information
                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.DefaultInformation>`
                
                .. attribute:: help
                
                	Description of the interactive help system
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: maximum_paths
                
                	Forward packets over multiple paths
                	**type**\: int
                
                	**range:** 1..32
                
                .. attribute:: metric
                
                	Set ISIS metric for all interfaces
                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Metric>`
                
                .. attribute:: prc_interval
                
                	Minimum interval between partial route calculations
                	**type**\:  :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.PrcInterval>`
                
                .. attribute:: set_overload_bit
                
                	Signal other routers not to use us in SPF
                	**type**\:  :py:class:`SetOverloadBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetOverloadBit>`
                
                	**presence node**\: True
                
                .. attribute:: spf_interval
                
                	Minimum interval between SPF calculations
                	**type**\:  :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SpfInterval>`
                
                .. attribute:: area_password
                
                	Configure the authentication password for an area
                	**type**\:  :py:class:`AreaPassword <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AreaPassword>`
                
                .. attribute:: authentication
                
                	ISIS authentication for LSPs
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication>`
                
                .. attribute:: distribute_list
                
                	Filter networks in routing updates
                	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.DistributeList>`
                
                .. attribute:: domain_password
                
                	Set the authentication password for a routing domain
                	**type**\:  :py:class:`DomainPassword <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.DomainPassword>`
                
                .. attribute:: fast_flood
                
                	Flood LSPs (that triggered SPF) before running SPF
                	**type**\:  :py:class:`FastFlood <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastFlood>`
                
                	**presence node**\: True
                
                .. attribute:: fast_reroute
                
                	Configure Fast\-Reroute
                	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute>`
                
                .. attribute:: ti_lfa
                
                	
                	**type**\:  :py:class:`TiLfa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TiLfa>`
                
                .. attribute:: hello
                
                	Pad ISIS hello PDUs to full MTU
                	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Hello>`
                
                .. attribute:: hostname
                
                	Dynamic hostname for IS\-IS
                	**type**\:  :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Hostname>`
                
                .. attribute:: ignore_lsp_errors
                
                	Ignore LSPs with bad checksums
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: is_type
                
                	IS Level for this routing process (OSI only)
                	**type**\:  :py:class:`IsType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.IsType>`
                
                .. attribute:: ispf
                
                	Configure execution of incremental SPF
                	**type**\:  :py:class:`Ispf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Ispf>`
                
                .. attribute:: log_adjacency_changes
                
                	Log changes in adjacency state
                	**type**\:  :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LogAdjacencyChanges>`
                
                	**presence node**\: True
                
                .. attribute:: lsp_full
                
                	If we run out of LSP fragments
                	**type**\:  :py:class:`LspFull <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspFull>`
                
                .. attribute:: lsp_gen_interval
                
                	Minimum interval between regenerating same LSP
                	**type**\:  :py:class:`LspGenInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspGenInterval>`
                
                .. attribute:: lsp_mtu
                
                	Set maximum LSP size
                	**type**\: int
                
                	**range:** 128..4352
                
                .. attribute:: lsp_refresh_interval
                
                	Set LSP refresh interval
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: max_area_addresses
                
                	Allow configuration of more manual area addresses
                	**type**\: int
                
                	**range:** 3..254
                
                .. attribute:: max_lsp_lifetime
                
                	Set maximum LSP lifetime
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: microloop
                
                	Enable microloop protection configuration commands
                	**type**\:  :py:class:`Microloop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Microloop>`
                
                .. attribute:: mpls
                
                	Configure MPLS routing protocol parameters
                	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls>`
                
                .. attribute:: net
                
                	A Network Entity Title for this process (OSI only)
                	**type**\: list of  		 :py:class:`Net <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Net>`
                
                .. attribute:: nsf
                
                	Non\-stop forwarding
                	**type**\:  :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Nsf>`
                
                .. attribute:: partition
                
                	CLNS area partition
                	**type**\:  :py:class:`Partition <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Partition>`
                
                .. attribute:: passive_interface
                
                	Suppress routing updates on an interface
                	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.PassiveInterface>`
                
                .. attribute:: disable
                
                	
                	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Disable>`
                
                .. attribute:: protocol
                
                	Set protocol's administrative state
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Protocol>`
                
                .. attribute:: segment_routing
                
                	Enable Segment Routing Feature
                	**type**\:  :py:class:`SegmentRouting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SegmentRouting>`
                
                .. attribute:: skeptical
                
                	Be a cautious NSF helper when refresh adjacency
                	**type**\:  :py:class:`Skeptical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Skeptical>`
                
                .. attribute:: update_queue_depth
                
                	Set Update process queue depth
                	**type**\: int
                
                	**range:** 1..2147483647
                
                .. attribute:: use
                
                	Use different algorithms during SPF
                	**type**\:  :py:class:`Use <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Use>`
                
                .. attribute:: vrf
                
                	VRF name for this process
                	**type**\: str
                
                .. attribute:: adjacency_check
                
                	Check ISIS neighbor protocol support
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bfd
                
                	BFD configuration commands
                	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Bfd>`
                
                .. attribute:: router_id
                
                	Interface of stable IP address for system
                	**type**\: str
                
                

                """

                _prefix = 'ios-isis'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.IsisContainer.Isis, self).__init__()

                    self.yang_name = "isis"
                    self.yang_parent_name = "isis-container"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"metric-style" : ("metric_style", Native.Router.IsisContainer.Isis.MetricStyle), "address-family" : ("address_family", Native.Router.IsisContainer.Isis.AddressFamily), "ip" : ("ip", Native.Router.IsisContainer.Isis.Ip), "redistribute" : ("redistribute", Native.Router.IsisContainer.Isis.Redistribute), "set-attached-bit" : ("set_attached_bit", Native.Router.IsisContainer.Isis.SetAttachedBit), "snmp" : ("snmp", Native.Router.IsisContainer.Isis.Snmp), "traffic-share" : ("traffic_share", Native.Router.IsisContainer.Isis.TrafficShare), "advertise" : ("advertise", Native.Router.IsisContainer.Isis.Advertise), "default-information" : ("default_information", Native.Router.IsisContainer.Isis.DefaultInformation), "metric" : ("metric", Native.Router.IsisContainer.Isis.Metric), "prc-interval" : ("prc_interval", Native.Router.IsisContainer.Isis.PrcInterval), "set-overload-bit" : ("set_overload_bit", Native.Router.IsisContainer.Isis.SetOverloadBit), "spf-interval" : ("spf_interval", Native.Router.IsisContainer.Isis.SpfInterval), "area-password" : ("area_password", Native.Router.IsisContainer.Isis.AreaPassword), "authentication" : ("authentication", Native.Router.IsisContainer.Isis.Authentication), "distribute-list" : ("distribute_list", Native.Router.IsisContainer.Isis.DistributeList), "domain-password" : ("domain_password", Native.Router.IsisContainer.Isis.DomainPassword), "fast-flood" : ("fast_flood", Native.Router.IsisContainer.Isis.FastFlood), "fast-reroute" : ("fast_reroute", Native.Router.IsisContainer.Isis.FastReroute), "ti-lfa" : ("ti_lfa", Native.Router.IsisContainer.Isis.TiLfa), "hello" : ("hello", Native.Router.IsisContainer.Isis.Hello), "hostname" : ("hostname", Native.Router.IsisContainer.Isis.Hostname), "ispf" : ("ispf", Native.Router.IsisContainer.Isis.Ispf), "log-adjacency-changes" : ("log_adjacency_changes", Native.Router.IsisContainer.Isis.LogAdjacencyChanges), "lsp-full" : ("lsp_full", Native.Router.IsisContainer.Isis.LspFull), "lsp-gen-interval" : ("lsp_gen_interval", Native.Router.IsisContainer.Isis.LspGenInterval), "microloop" : ("microloop", Native.Router.IsisContainer.Isis.Microloop), "mpls" : ("mpls", Native.Router.IsisContainer.Isis.Mpls), "nsf" : ("nsf", Native.Router.IsisContainer.Isis.Nsf), "partition" : ("partition", Native.Router.IsisContainer.Isis.Partition), "passive-interface" : ("passive_interface", Native.Router.IsisContainer.Isis.PassiveInterface), "disable" : ("disable", Native.Router.IsisContainer.Isis.Disable), "protocol" : ("protocol", Native.Router.IsisContainer.Isis.Protocol), "segment-routing" : ("segment_routing", Native.Router.IsisContainer.Isis.SegmentRouting), "skeptical" : ("skeptical", Native.Router.IsisContainer.Isis.Skeptical), "use" : ("use", Native.Router.IsisContainer.Isis.Use), "bfd" : ("bfd", Native.Router.IsisContainer.Isis.Bfd)}
                    self._child_list_classes = {"distance" : ("distance", Native.Router.IsisContainer.Isis.Distance), "summary-address" : ("summary_address", Native.Router.IsisContainer.Isis.SummaryAddress), "net" : ("net", Native.Router.IsisContainer.Isis.Net)}

                    self.area_tag = YLeaf(YType.str, "area-tag")

                    self.priority = YLeaf(YType.uint8, "priority")

                    self.help = YLeaf(YType.empty, "help")

                    self.maximum_paths = YLeaf(YType.uint32, "maximum-paths")

                    self.ignore_lsp_errors = YLeaf(YType.empty, "ignore-lsp-errors")

                    self.is_type = YLeaf(YType.enumeration, "is-type")

                    self.lsp_mtu = YLeaf(YType.uint32, "lsp-mtu")

                    self.lsp_refresh_interval = YLeaf(YType.uint32, "lsp-refresh-interval")

                    self.max_area_addresses = YLeaf(YType.uint32, "max-area-addresses")

                    self.max_lsp_lifetime = YLeaf(YType.uint32, "max-lsp-lifetime")

                    self.update_queue_depth = YLeaf(YType.uint32, "update-queue-depth")

                    self.vrf = YLeaf(YType.str, "vrf")

                    self.adjacency_check = YLeaf(YType.empty, "adjacency-check")

                    self.router_id = YLeaf(YType.str, "router-id")

                    self.metric_style = Native.Router.IsisContainer.Isis.MetricStyle()
                    self.metric_style.parent = self
                    self._children_name_map["metric_style"] = "metric-style"
                    self._children_yang_names.add("metric-style")

                    self.address_family = Native.Router.IsisContainer.Isis.AddressFamily()
                    self.address_family.parent = self
                    self._children_name_map["address_family"] = "address-family"
                    self._children_yang_names.add("address-family")

                    self.ip = Native.Router.IsisContainer.Isis.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")

                    self.redistribute = Native.Router.IsisContainer.Isis.Redistribute()
                    self.redistribute.parent = self
                    self._children_name_map["redistribute"] = "redistribute"
                    self._children_yang_names.add("redistribute")

                    self.set_attached_bit = Native.Router.IsisContainer.Isis.SetAttachedBit()
                    self.set_attached_bit.parent = self
                    self._children_name_map["set_attached_bit"] = "set-attached-bit"
                    self._children_yang_names.add("set-attached-bit")

                    self.snmp = Native.Router.IsisContainer.Isis.Snmp()
                    self.snmp.parent = self
                    self._children_name_map["snmp"] = "snmp"
                    self._children_yang_names.add("snmp")

                    self.traffic_share = Native.Router.IsisContainer.Isis.TrafficShare()
                    self.traffic_share.parent = self
                    self._children_name_map["traffic_share"] = "traffic-share"
                    self._children_yang_names.add("traffic-share")

                    self.advertise = Native.Router.IsisContainer.Isis.Advertise()
                    self.advertise.parent = self
                    self._children_name_map["advertise"] = "advertise"
                    self._children_yang_names.add("advertise")

                    self.default_information = Native.Router.IsisContainer.Isis.DefaultInformation()
                    self.default_information.parent = self
                    self._children_name_map["default_information"] = "default-information"
                    self._children_yang_names.add("default-information")

                    self.metric = Native.Router.IsisContainer.Isis.Metric()
                    self.metric.parent = self
                    self._children_name_map["metric"] = "metric"
                    self._children_yang_names.add("metric")

                    self.prc_interval = Native.Router.IsisContainer.Isis.PrcInterval()
                    self.prc_interval.parent = self
                    self._children_name_map["prc_interval"] = "prc-interval"
                    self._children_yang_names.add("prc-interval")

                    self.set_overload_bit = None
                    self._children_name_map["set_overload_bit"] = "set-overload-bit"
                    self._children_yang_names.add("set-overload-bit")

                    self.spf_interval = Native.Router.IsisContainer.Isis.SpfInterval()
                    self.spf_interval.parent = self
                    self._children_name_map["spf_interval"] = "spf-interval"
                    self._children_yang_names.add("spf-interval")

                    self.area_password = Native.Router.IsisContainer.Isis.AreaPassword()
                    self.area_password.parent = self
                    self._children_name_map["area_password"] = "area-password"
                    self._children_yang_names.add("area-password")

                    self.authentication = Native.Router.IsisContainer.Isis.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.distribute_list = Native.Router.IsisContainer.Isis.DistributeList()
                    self.distribute_list.parent = self
                    self._children_name_map["distribute_list"] = "distribute-list"
                    self._children_yang_names.add("distribute-list")

                    self.domain_password = Native.Router.IsisContainer.Isis.DomainPassword()
                    self.domain_password.parent = self
                    self._children_name_map["domain_password"] = "domain-password"
                    self._children_yang_names.add("domain-password")

                    self.fast_flood = None
                    self._children_name_map["fast_flood"] = "fast-flood"
                    self._children_yang_names.add("fast-flood")

                    self.fast_reroute = Native.Router.IsisContainer.Isis.FastReroute()
                    self.fast_reroute.parent = self
                    self._children_name_map["fast_reroute"] = "fast-reroute"
                    self._children_yang_names.add("fast-reroute")

                    self.ti_lfa = Native.Router.IsisContainer.Isis.TiLfa()
                    self.ti_lfa.parent = self
                    self._children_name_map["ti_lfa"] = "ti-lfa"
                    self._children_yang_names.add("ti-lfa")

                    self.hello = Native.Router.IsisContainer.Isis.Hello()
                    self.hello.parent = self
                    self._children_name_map["hello"] = "hello"
                    self._children_yang_names.add("hello")

                    self.hostname = Native.Router.IsisContainer.Isis.Hostname()
                    self.hostname.parent = self
                    self._children_name_map["hostname"] = "hostname"
                    self._children_yang_names.add("hostname")

                    self.ispf = Native.Router.IsisContainer.Isis.Ispf()
                    self.ispf.parent = self
                    self._children_name_map["ispf"] = "ispf"
                    self._children_yang_names.add("ispf")

                    self.log_adjacency_changes = None
                    self._children_name_map["log_adjacency_changes"] = "log-adjacency-changes"
                    self._children_yang_names.add("log-adjacency-changes")

                    self.lsp_full = Native.Router.IsisContainer.Isis.LspFull()
                    self.lsp_full.parent = self
                    self._children_name_map["lsp_full"] = "lsp-full"
                    self._children_yang_names.add("lsp-full")

                    self.lsp_gen_interval = Native.Router.IsisContainer.Isis.LspGenInterval()
                    self.lsp_gen_interval.parent = self
                    self._children_name_map["lsp_gen_interval"] = "lsp-gen-interval"
                    self._children_yang_names.add("lsp-gen-interval")

                    self.microloop = Native.Router.IsisContainer.Isis.Microloop()
                    self.microloop.parent = self
                    self._children_name_map["microloop"] = "microloop"
                    self._children_yang_names.add("microloop")

                    self.mpls = Native.Router.IsisContainer.Isis.Mpls()
                    self.mpls.parent = self
                    self._children_name_map["mpls"] = "mpls"
                    self._children_yang_names.add("mpls")

                    self.nsf = Native.Router.IsisContainer.Isis.Nsf()
                    self.nsf.parent = self
                    self._children_name_map["nsf"] = "nsf"
                    self._children_yang_names.add("nsf")

                    self.partition = Native.Router.IsisContainer.Isis.Partition()
                    self.partition.parent = self
                    self._children_name_map["partition"] = "partition"
                    self._children_yang_names.add("partition")

                    self.passive_interface = Native.Router.IsisContainer.Isis.PassiveInterface()
                    self.passive_interface.parent = self
                    self._children_name_map["passive_interface"] = "passive-interface"
                    self._children_yang_names.add("passive-interface")

                    self.disable = Native.Router.IsisContainer.Isis.Disable()
                    self.disable.parent = self
                    self._children_name_map["disable"] = "disable"
                    self._children_yang_names.add("disable")

                    self.protocol = Native.Router.IsisContainer.Isis.Protocol()
                    self.protocol.parent = self
                    self._children_name_map["protocol"] = "protocol"
                    self._children_yang_names.add("protocol")

                    self.segment_routing = Native.Router.IsisContainer.Isis.SegmentRouting()
                    self.segment_routing.parent = self
                    self._children_name_map["segment_routing"] = "segment-routing"
                    self._children_yang_names.add("segment-routing")

                    self.skeptical = Native.Router.IsisContainer.Isis.Skeptical()
                    self.skeptical.parent = self
                    self._children_name_map["skeptical"] = "skeptical"
                    self._children_yang_names.add("skeptical")

                    self.use = Native.Router.IsisContainer.Isis.Use()
                    self.use.parent = self
                    self._children_name_map["use"] = "use"
                    self._children_yang_names.add("use")

                    self.bfd = Native.Router.IsisContainer.Isis.Bfd()
                    self.bfd.parent = self
                    self._children_name_map["bfd"] = "bfd"
                    self._children_yang_names.add("bfd")

                    self.distance = YList(self)
                    self.summary_address = YList(self)
                    self.net = YList(self)
                    self._segment_path = lambda: "isis" + "[area-tag='" + self.area_tag.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-isis:isis-container/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.IsisContainer.Isis, ['area_tag', 'priority', 'help', 'maximum_paths', 'ignore_lsp_errors', 'is_type', 'lsp_mtu', 'lsp_refresh_interval', 'max_area_addresses', 'max_lsp_lifetime', 'update_queue_depth', 'vrf', 'adjacency_check', 'router_id'], name, value)

                class IsType(Enum):
                    """
                    IsType

                    IS Level for this routing process (OSI only)

                    .. data:: level_1 = 0

                    .. data:: level_1_2 = 1

                    .. data:: level_2_only = 2

                    """

                    level_1 = Enum.YLeaf(0, "level-1")

                    level_1_2 = Enum.YLeaf(1, "level-1-2")

                    level_2_only = Enum.YLeaf(2, "level-2-only")



                class MetricStyle(Entity):
                    """
                    Use old\-style (ISO 10589) or new\-style packet formats
                    
                    .. attribute:: narrow
                    
                    	Use old style of TLVs with narrow metric
                    	**type**\:  :py:class:`Narrow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.MetricStyle.Narrow>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: transition
                    
                    	Send and accept both styles of TLVs during transition
                    	**type**\:  :py:class:`Transition <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.MetricStyle.Transition>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: wide
                    
                    	Use new style of TLVs to carry wider metric
                    	**type**\:  :py:class:`Wide <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.MetricStyle.Wide>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.MetricStyle, self).__init__()

                        self.yang_name = "metric-style"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"narrow" : ("narrow", Native.Router.IsisContainer.Isis.MetricStyle.Narrow), "transition" : ("transition", Native.Router.IsisContainer.Isis.MetricStyle.Transition), "wide" : ("wide", Native.Router.IsisContainer.Isis.MetricStyle.Wide)}
                        self._child_list_classes = {}

                        self.narrow = None
                        self._children_name_map["narrow"] = "narrow"
                        self._children_yang_names.add("narrow")

                        self.transition = None
                        self._children_name_map["transition"] = "transition"
                        self._children_yang_names.add("transition")

                        self.wide = None
                        self._children_name_map["wide"] = "wide"
                        self._children_yang_names.add("wide")
                        self._segment_path = lambda: "metric-style"


                    class Narrow(Entity):
                        """
                        Use old style of TLVs with narrow metric
                        
                        .. attribute:: narrow_wide
                        
                        	
                        	**type**\:  :py:class:`IsisLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelType>`
                        
                        .. attribute:: transition
                        
                        	Accept both styles of TLVs during transition
                        	**type**\:  :py:class:`IsisLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.MetricStyle.Narrow, self).__init__()

                            self.yang_name = "narrow"
                            self.yang_parent_name = "metric-style"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.narrow_wide = YLeaf(YType.enumeration, "narrow-wide")

                            self.transition = YLeaf(YType.enumeration, "transition")
                            self._segment_path = lambda: "narrow"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.MetricStyle.Narrow, ['narrow_wide', 'transition'], name, value)


                    class Transition(Entity):
                        """
                        Send and accept both styles of TLVs during transition
                        
                        .. attribute:: transition
                        
                        	
                        	**type**\:  :py:class:`IsisLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.MetricStyle.Transition, self).__init__()

                            self.yang_name = "transition"
                            self.yang_parent_name = "metric-style"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.transition = YLeaf(YType.enumeration, "transition")
                            self._segment_path = lambda: "transition"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.MetricStyle.Transition, ['transition'], name, value)


                    class Wide(Entity):
                        """
                        Use new style of TLVs to carry wider metric
                        
                        .. attribute:: narrow_wide
                        
                        	
                        	**type**\:  :py:class:`IsisLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelType>`
                        
                        .. attribute:: transition
                        
                        	Accept both styles of TLVs during transition
                        	**type**\:  :py:class:`IsisLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.MetricStyle.Wide, self).__init__()

                            self.yang_name = "wide"
                            self.yang_parent_name = "metric-style"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.narrow_wide = YLeaf(YType.enumeration, "narrow-wide")

                            self.transition = YLeaf(YType.enumeration, "transition")
                            self._segment_path = lambda: "wide"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.MetricStyle.Wide, ['narrow_wide', 'transition'], name, value)


                class AddressFamily(Entity):
                    """
                    Enter Address Family command mode
                    
                    .. attribute:: ipv4
                    
                    	Address family
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	Address family
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.AddressFamily, self).__init__()

                        self.yang_name = "address-family"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4), "ipv6" : ("ipv6", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6)}
                        self._child_list_classes = {}

                        self.ipv4 = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")
                        self._segment_path = lambda: "address-family"


                    class Ipv4(Entity):
                        """
                        Address family
                        
                        .. attribute:: unicast_multicast
                        
                        	
                        	**type**\:  :py:class:`UnicastMulticast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.UnicastMulticast>`
                        
                        .. attribute:: help
                        
                        	Description of the interactive help system
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp>`
                        
                        .. attribute:: topology
                        
                        	Associate the routing protocol to a topology instance
                        	**type**\: list of  		 :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "address-family"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"snmp" : ("snmp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp)}
                            self._child_list_classes = {"topology" : ("topology", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology)}

                            self.unicast_multicast = YLeaf(YType.enumeration, "unicast-multicast")

                            self.help = YLeaf(YType.empty, "help")

                            self.snmp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp()
                            self.snmp.parent = self
                            self._children_name_map["snmp"] = "snmp"
                            self._children_yang_names.add("snmp")

                            self.topology = YList(self)
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4, ['unicast_multicast', 'help'], name, value)

                        class UnicastMulticast(Enum):
                            """
                            UnicastMulticast

                            .. data:: unicast = 0

                            .. data:: multicast = 1

                            """

                            unicast = Enum.YLeaf(0, "unicast")

                            multicast = Enum.YLeaf(1, "multicast")



                        class Snmp(Entity):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp, self).__init__()

                                self.yang_name = "snmp"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"context" : ("context", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context)}

                                self.context = YList(self)
                                self._segment_path = lambda: "snmp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp, [], name, value)


                            class Context(Entity):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: name  <key>
                                
                                	Context Name
                                	**type**\: str
                                
                                .. attribute:: community
                                
                                	Configure a SNMP v2c Community string and access privs
                                	**type**\:  :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community>`
                                
                                .. attribute:: user
                                
                                	Configure a SNMP v3 user
                                	**type**\:  :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context, self).__init__()

                                    self.yang_name = "context"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"community" : ("community", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community), "user" : ("user", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User)}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.community = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community()
                                    self.community.parent = self
                                    self._children_name_map["community"] = "community"
                                    self._children_yang_names.add("community")

                                    self.user = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User()
                                    self.user.parent = self
                                    self._children_name_map["user"] = "user"
                                    self._children_yang_names.add("user")
                                    self._segment_path = lambda: "context" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context, ['name'], name, value)


                                class Community(Entity):
                                    """
                                    Configure a SNMP v2c Community string and access privs
                                    
                                    .. attribute:: community_string
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: access
                                    
                                    	
                                    	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community, self).__init__()

                                        self.yang_name = "community"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"access" : ("access", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access)}
                                        self._child_list_classes = {}

                                        self.community_string = YLeaf(YType.str, "community-string")

                                        self.access = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access()
                                        self.access.parent = self
                                        self._children_name_map["access"] = "access"
                                        self._children_yang_names.add("access")
                                        self._segment_path = lambda: "community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community, ['community_string'], name, value)


                                    class Access(Entity):
                                        """
                                        
                                        
                                        .. attribute:: standard_acl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..99
                                        
                                        .. attribute:: expanded_acl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1300..1999
                                        
                                        .. attribute:: acl_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	Specify IPv6 Named Access\-List
                                        	**type**\: str
                                        
                                        .. attribute:: ro
                                        
                                        	Read\-only access with this community string
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: rw
                                        
                                        	Read\-write access with this community string
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access, self).__init__()

                                            self.yang_name = "access"
                                            self.yang_parent_name = "community"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                            self.expanded_acl = YLeaf(YType.uint32, "expanded-acl")

                                            self.acl_name = YLeaf(YType.str, "acl-name")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")

                                            self.ro = YLeaf(YType.empty, "ro")

                                            self.rw = YLeaf(YType.empty, "rw")
                                            self._segment_path = lambda: "access"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.Community.Access, ['standard_acl', 'expanded_acl', 'acl_name', 'ipv6', 'ro', 'rw'], name, value)


                                class User(Entity):
                                    """
                                    Configure a SNMP v3 user
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: permisssion
                                    
                                    	
                                    	**type**\:  :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User, self).__init__()

                                        self.yang_name = "user"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"permisssion" : ("permisssion", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.permisssion = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion()
                                        self.permisssion.parent = self
                                        self._children_name_map["permisssion"] = "permisssion"
                                        self._children_yang_names.add("permisssion")
                                        self._segment_path = lambda: "user"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User, ['name'], name, value)


                                    class Permisssion(Entity):
                                        """
                                        
                                        
                                        .. attribute:: access
                                        
                                        	specify an access\-list associated with this group
                                        	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access>`
                                        
                                        .. attribute:: auth
                                        
                                        	authentication parameters for the user
                                        	**type**\:  :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth>`
                                        
                                        .. attribute:: credential
                                        
                                        	If the user password is already configured and saved
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: encrypted
                                        
                                        	specifying passwords as MD5 or SHA digests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion, self).__init__()

                                            self.yang_name = "permisssion"
                                            self.yang_parent_name = "user"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"access" : ("access", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access), "auth" : ("auth", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth)}
                                            self._child_list_classes = {}

                                            self.credential = YLeaf(YType.empty, "credential")

                                            self.encrypted = YLeaf(YType.empty, "encrypted")

                                            self.access = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access()
                                            self.access.parent = self
                                            self._children_name_map["access"] = "access"
                                            self._children_yang_names.add("access")

                                            self.auth = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth()
                                            self.auth.parent = self
                                            self._children_name_map["auth"] = "auth"
                                            self._children_yang_names.add("auth")
                                            self._segment_path = lambda: "permisssion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion, ['credential', 'encrypted'], name, value)


                                        class Access(Entity):
                                            """
                                            specify an access\-list associated with this group
                                            
                                            .. attribute:: standard_acl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: acl_name
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access, self).__init__()

                                                self.yang_name = "access"
                                                self.yang_parent_name = "permisssion"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                                self.acl_name = YLeaf(YType.str, "acl-name")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "access"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Access, ['standard_acl', 'acl_name', 'ipv6'], name, value)


                                        class Auth(Entity):
                                            """
                                            authentication parameters for the user
                                            
                                            .. attribute:: md5
                                            
                                            	Use HMAC MD5 algorithm for authentication
                                            	**type**\: str
                                            
                                            .. attribute:: sha
                                            
                                            	Use HMAC SHA algorithm for authentication
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth, self).__init__()

                                                self.yang_name = "auth"
                                                self.yang_parent_name = "permisssion"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.md5 = YLeaf(YType.str, "md5")

                                                self.sha = YLeaf(YType.str, "sha")
                                                self._segment_path = lambda: "auth"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Snmp.Context.User.Permisssion.Auth, ['md5', 'sha'], name, value)


                        class Topology(Entity):
                            """
                            Associate the routing protocol to a topology instance
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: tid
                            
                            	Configuring the routing protocol topology tid
                            	**type**\: int
                            
                            	**range:** 5..4095
                            
                            .. attribute:: ignore_attached_bit
                            
                            	Never install default route to closest L2 router
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distance
                            
                            	Define an administrative distance
                            	**type**\: list of  		 :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance>`
                            
                            .. attribute:: ip
                            
                            	IP specific commands
                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip>`
                            
                            .. attribute:: priority
                            
                            	priority value
                            	**type**\: int
                            
                            	**range:** 0..127
                            
                            .. attribute:: redistribute
                            
                            	Redistribute information from another routing protocol
                            	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute>`
                            
                            .. attribute:: set_attached_bit
                            
                            	Conditionally advertise us as attached to L2
                            	**type**\:  :py:class:`SetAttachedBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit>`
                            
                            .. attribute:: snmp
                            
                            	Modify snmp parameters
                            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp>`
                            
                            .. attribute:: summary_address
                            
                            	Configure IP address summaries
                            	**type**\: list of  		 :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress>`
                            
                            .. attribute:: traffic_share
                            
                            	How to compute traffic share over alternate paths
                            	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare>`
                            
                            .. attribute:: advertise
                            
                            	Control which IP routes flow in L1 and L2 LSPs
                            	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Advertise>`
                            
                            .. attribute:: default_information
                            
                            	Control distribution of default information
                            	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation>`
                            
                            .. attribute:: help
                            
                            	Description of the interactive help system
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: maximum_paths
                            
                            	Forward packets over multiple paths
                            	**type**\: int
                            
                            	**range:** 1..32
                            
                            .. attribute:: metric
                            
                            	Set ISIS metric for all interfaces
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric>`
                            
                            .. attribute:: prc_interval
                            
                            	Minimum interval between partial route calculations
                            	**type**\:  :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.PrcInterval>`
                            
                            .. attribute:: set_overload_bit
                            
                            	Signal other routers not to use us in SPF
                            	**type**\:  :py:class:`SetOverloadBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: spf_interval
                            
                            	Minimum interval between SPF calculations
                            	**type**\:  :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology, self).__init__()

                                self.yang_name = "topology"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ip" : ("ip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip), "redistribute" : ("redistribute", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute), "set-attached-bit" : ("set_attached_bit", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit), "snmp" : ("snmp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp), "traffic-share" : ("traffic_share", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare), "advertise" : ("advertise", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Advertise), "default-information" : ("default_information", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation), "metric" : ("metric", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric), "prc-interval" : ("prc_interval", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.PrcInterval), "set-overload-bit" : ("set_overload_bit", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit), "spf-interval" : ("spf_interval", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval)}
                                self._child_list_classes = {"distance" : ("distance", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance), "summary-address" : ("summary_address", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress)}

                                self.name = YLeaf(YType.str, "name")

                                self.tid = YLeaf(YType.uint32, "tid")

                                self.ignore_attached_bit = YLeaf(YType.empty, "ignore-attached-bit")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.help = YLeaf(YType.empty, "help")

                                self.maximum_paths = YLeaf(YType.uint32, "maximum-paths")

                                self.ip = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip()
                                self.ip.parent = self
                                self._children_name_map["ip"] = "ip"
                                self._children_yang_names.add("ip")

                                self.redistribute = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute()
                                self.redistribute.parent = self
                                self._children_name_map["redistribute"] = "redistribute"
                                self._children_yang_names.add("redistribute")

                                self.set_attached_bit = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit()
                                self.set_attached_bit.parent = self
                                self._children_name_map["set_attached_bit"] = "set-attached-bit"
                                self._children_yang_names.add("set-attached-bit")

                                self.snmp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp()
                                self.snmp.parent = self
                                self._children_name_map["snmp"] = "snmp"
                                self._children_yang_names.add("snmp")

                                self.traffic_share = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare()
                                self.traffic_share.parent = self
                                self._children_name_map["traffic_share"] = "traffic-share"
                                self._children_yang_names.add("traffic-share")

                                self.advertise = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Advertise()
                                self.advertise.parent = self
                                self._children_name_map["advertise"] = "advertise"
                                self._children_yang_names.add("advertise")

                                self.default_information = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation()
                                self.default_information.parent = self
                                self._children_name_map["default_information"] = "default-information"
                                self._children_yang_names.add("default-information")

                                self.metric = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")

                                self.prc_interval = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.PrcInterval()
                                self.prc_interval.parent = self
                                self._children_name_map["prc_interval"] = "prc-interval"
                                self._children_yang_names.add("prc-interval")

                                self.set_overload_bit = None
                                self._children_name_map["set_overload_bit"] = "set-overload-bit"
                                self._children_yang_names.add("set-overload-bit")

                                self.spf_interval = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval()
                                self.spf_interval.parent = self
                                self._children_name_map["spf_interval"] = "spf-interval"
                                self._children_yang_names.add("spf-interval")

                                self.distance = YList(self)
                                self.summary_address = YList(self)
                                self._segment_path = lambda: "topology" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology, ['name', 'tid', 'ignore_attached_bit', 'priority', 'help', 'maximum_paths'], name, value)


                            class Distance(Entity):
                                """
                                Define an administrative distance
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: ip_list
                                
                                	
                                	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList>`
                                
                                .. attribute:: clns
                                
                                	Distance applied for CLNS derived routes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ip
                                
                                	Distance applied for IP derived routes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "topology"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ip-list" : ("ip_list", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList)}

                                    self.number = YLeaf(YType.uint8, "number")

                                    self.clns = YLeaf(YType.empty, "clns")

                                    self.ip = YLeaf(YType.empty, "ip")

                                    self.ip_list = YList(self)
                                    self._segment_path = lambda: "distance" + "[number='" + self.number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance, ['number', 'clns', 'ip'], name, value)


                                class IpList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	IP Source address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: wildcard_bits
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`WildcardBits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList, self).__init__()

                                        self.yang_name = "ip-list"
                                        self.yang_parent_name = "distance"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"wildcard-bits" : ("wildcard_bits", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits)}

                                        self.ip = YLeaf(YType.str, "ip")

                                        self.wildcard_bits = YList(self)
                                        self._segment_path = lambda: "ip-list" + "[ip='" + self.ip.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList, ['ip'], name, value)


                                    class WildcardBits(Entity):
                                        """
                                        
                                        
                                        .. attribute:: w_bits  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: access_list
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..99
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1300..1999
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits, self).__init__()

                                            self.yang_name = "wildcard-bits"
                                            self.yang_parent_name = "ip-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.w_bits = YLeaf(YType.str, "w-bits")

                                            self.access_list = YLeaf(YType.str, "access-list")
                                            self._segment_path = lambda: "wildcard-bits" + "[w-bits='" + self.w_bits.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Distance.IpList.WildcardBits, ['w_bits', 'access_list'], name, value)


                            class Ip(Entity):
                                """
                                IP specific commands
                                
                                .. attribute:: route
                                
                                	ISIS IP routes
                                	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip, self).__init__()

                                    self.yang_name = "ip"
                                    self.yang_parent_name = "topology"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"route" : ("route", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route)}
                                    self._child_list_classes = {}

                                    self.route = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route()
                                    self.route.parent = self
                                    self._children_name_map["route"] = "route"
                                    self._children_yang_names.add("route")
                                    self._segment_path = lambda: "ip"


                                class Route(Entity):
                                    """
                                    ISIS IP routes
                                    
                                    .. attribute:: priority
                                    
                                    	Assign priority to IP prefixes
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route, self).__init__()

                                        self.yang_name = "route"
                                        self.yang_parent_name = "ip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"priority" : ("priority", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority)}
                                        self._child_list_classes = {}

                                        self.priority = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "route"


                                    class Priority(Entity):
                                        """
                                        Assign priority to IP prefixes
                                        
                                        .. attribute:: high
                                        
                                        	Assign high priority to important IP prefixes in ISIS IP local RIB
                                        	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "route"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"high" : ("high", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High)}
                                            self._child_list_classes = {}

                                            self.high = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High()
                                            self.high.parent = self
                                            self._children_name_map["high"] = "high"
                                            self._children_yang_names.add("high")
                                            self._segment_path = lambda: "priority"


                                        class High(Entity):
                                            """
                                            Assign high priority to important IP prefixes in ISIS IP local RIB
                                            
                                            .. attribute:: tag
                                            
                                            	Assign high priority to IP prefixes with a specific route tag
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High, self).__init__()

                                                self.yang_name = "high"
                                                self.yang_parent_name = "priority"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.tag = YLeaf(YType.uint32, "tag")
                                                self._segment_path = lambda: "high"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Ip.Route.Priority.High, ['tag'], name, value)


                            class Redistribute(Entity):
                                """
                                Redistribute information from another routing protocol
                                
                                .. attribute:: application
                                
                                	Application
                                	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application>`
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis>`
                                
                                .. attribute:: iso_igrp
                                
                                	IGRP for OSI networks
                                	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: lisp
                                
                                	Locator ID Separation Protocol (LISP)
                                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes redistributed to protocol
                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix>`
                                
                                .. attribute:: mobile
                                
                                	Mobile routes
                                	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: odr
                                
                                	On Demand stub Routes
                                	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: vrf
                                
                                	Specify a source VRF
                                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute, self).__init__()

                                    self.yang_name = "redistribute"
                                    self.yang_parent_name = "topology"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"bgp" : ("bgp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp), "connected" : ("connected", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected), "isis" : ("isis", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp), "lisp" : ("lisp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp), "maximum-prefix" : ("maximum_prefix", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix), "mobile" : ("mobile", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile), "odr" : ("odr", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr), "rip" : ("rip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip), "static" : ("static", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static), "vrf" : ("vrf", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf)}
                                    self._child_list_classes = {"application" : ("application", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application), "eigrp" : ("eigrp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf), "ospfv3" : ("ospfv3", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3)}

                                    self.bgp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp()
                                    self.bgp.parent = self
                                    self._children_name_map["bgp"] = "bgp"
                                    self._children_yang_names.add("bgp")

                                    self.connected = None
                                    self._children_name_map["connected"] = "connected"
                                    self._children_yang_names.add("connected")

                                    self.isis = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis()
                                    self.isis.parent = self
                                    self._children_name_map["isis"] = "isis"
                                    self._children_yang_names.add("isis")

                                    self.iso_igrp = None
                                    self._children_name_map["iso_igrp"] = "iso-igrp"
                                    self._children_yang_names.add("iso-igrp")

                                    self.lisp = None
                                    self._children_name_map["lisp"] = "lisp"
                                    self._children_yang_names.add("lisp")

                                    self.maximum_prefix = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                    self._children_yang_names.add("maximum-prefix")

                                    self.mobile = None
                                    self._children_name_map["mobile"] = "mobile"
                                    self._children_yang_names.add("mobile")

                                    self.odr = None
                                    self._children_name_map["odr"] = "odr"
                                    self._children_yang_names.add("odr")

                                    self.rip = None
                                    self._children_name_map["rip"] = "rip"
                                    self._children_yang_names.add("rip")

                                    self.static = None
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")

                                    self.vrf = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf()
                                    self.vrf.parent = self
                                    self._children_name_map["vrf"] = "vrf"
                                    self._children_yang_names.add("vrf")

                                    self.application = YList(self)
                                    self.eigrp = YList(self)
                                    self.ospf = YList(self)
                                    self.ospfv3 = YList(self)
                                    self._segment_path = lambda: "redistribute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute, [], name, value)


                                class Application(Entity):
                                    """
                                    Application
                                    
                                    .. attribute:: name  <key>
                                    
                                    	Application name
                                    	**type**\: str
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application, self).__init__()

                                        self.yang_name = "application"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Application, ['name', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Bgp(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: as_number
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of BGP NSAP routes
                                    	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of BGP IP routes
                                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"clns" : ("clns", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns), "ip" : ("ip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip)}
                                        self._child_list_classes = {}

                                        self.as_number = YLeaf(YType.str, "as-number")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.clns = None
                                        self._children_name_map["clns"] = "clns"
                                        self._children_yang_names.add("clns")

                                        self.ip = None
                                        self._children_name_map["ip"] = "ip"
                                        self._children_yang_names.add("ip")
                                        self._segment_path = lambda: "bgp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp, ['as_number', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Clns(Entity):
                                        """
                                        Redistribution of BGP NSAP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns, self).__init__()

                                            self.yang_name = "clns"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "clns"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Ip(Entity):
                                        """
                                        Redistribution of BGP IP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip, self).__init__()

                                            self.yang_name = "ip"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Bgp.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Connected(Entity):
                                    """
                                    Connected
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected, self).__init__()

                                        self.yang_name = "connected"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "connected"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: as_number  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.as_number = YLeaf(YType.uint32, "as-number")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Eigrp, ['as_number', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Isis(Entity):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: isis_redistribute
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IsisRedistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute>`
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP routes between levels
                                    	**type**\: list of  		 :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.Ip>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis, self).__init__()

                                        self.yang_name = "isis"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"isis-redistribute" : ("isis_redistribute", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute), "ip" : ("ip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.Ip)}

                                        self.isis_redistribute = YList(self)
                                        self.ip = YList(self)
                                        self._segment_path = lambda: "isis"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis, [], name, value)


                                    class IsisRedistribute(Entity):
                                        """
                                        
                                        
                                        .. attribute:: area_tag  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: ip
                                        
                                        	Redistribution of IP routes between levels or processes
                                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute.Ip>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute, self).__init__()

                                            self.yang_name = "isis-redistribute"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ip" : ("ip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute.Ip)}
                                            self._child_list_classes = {}

                                            self.area_tag = YLeaf(YType.str, "area-tag")

                                            self.ip = None
                                            self._children_name_map["ip"] = "ip"
                                            self._children_yang_names.add("ip")
                                            self._segment_path = lambda: "isis-redistribute" + "[area-tag='" + self.area_tag.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute, ['area_tag'], name, value)


                                        class Ip(Entity):
                                            """
                                            Redistribution of IP routes between levels or processes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute.Ip.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute.Ip, self).__init__()

                                                self.yang_name = "ip"
                                                self.yang_parent_name = "isis-redistribute"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.IsisRedistribute.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Ip(Entity):
                                        """
                                        Redistribution of IP routes between levels
                                        
                                        .. attribute:: isis_redist_levels1  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRedistLevels1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.Ip.IsisRedistLevels1>`
                                        
                                        .. attribute:: isis_redist_levels2  <key>
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRedistLevels2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.Ip.IsisRedistLevels2>`
                                        
                                        .. attribute:: into
                                        
                                        	from level\-n into level\-m
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: distribute_list
                                        
                                        	select routes
                                        	**type**\: int
                                        
                                        	**range:** 100..199
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route matching
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.Ip, self).__init__()

                                            self.yang_name = "ip"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.isis_redist_levels1 = YLeaf(YType.enumeration, "isis-redist-levels1")

                                            self.isis_redist_levels2 = YLeaf(YType.enumeration, "isis-redist-levels2")

                                            self.into = YLeaf(YType.empty, "into")

                                            self.distribute_list = YLeaf(YType.uint32, "distribute-list")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "ip" + "[isis-redist-levels1='" + self.isis_redist_levels1.get() + "']" + "[isis-redist-levels2='" + self.isis_redist_levels2.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Isis.Ip, ['isis_redist_levels1', 'isis_redist_levels2', 'into', 'distribute_list', 'route_map'], name, value)

                                        class IsisRedistLevels1(Enum):
                                            """
                                            IsisRedistLevels1

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")


                                        class IsisRedistLevels2(Enum):
                                            """
                                            IsisRedistLevels2

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")



                                class IsoIgrp(Entity):
                                    """
                                    IGRP for OSI networks
                                    
                                    .. attribute:: area_tag_route_map_container
                                    
                                    	
                                    	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.MetricType>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp, self).__init__()

                                        self.yang_name = "iso-igrp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.area_tag_route_map_container = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                                        self.area_tag_route_map_container.parent = self
                                        self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                        self._children_yang_names.add("area-tag-route-map-container")
                                        self._segment_path = lambda: "iso-igrp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp, ['route_map', 'levels', 'metric', 'metric_type'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class AreaTagRouteMapContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: area_tag
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                            self.yang_name = "area-tag-route-map-container"
                                            self.yang_parent_name = "iso-igrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.area_tag = YLeaf(YType.str, "area-tag")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "area-tag-route-map-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                                class Lisp(Entity):
                                    """
                                    Locator ID Separation Protocol (LISP)
                                    
                                    .. attribute:: include_connected
                                    
                                    	Include connected
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp, self).__init__()

                                        self.yang_name = "lisp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.include_connected = YLeaf(YType.empty, "include-connected")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "lisp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Lisp, ['include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class MaximumPrefix(Entity):
                                    """
                                    Maximum number of prefixes redistributed to protocol
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: threshold_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: withdraw
                                    
                                    	Withdraw redistibuted prefixes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix, self).__init__()

                                        self.yang_name = "maximum-prefix"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.uint32, "number")

                                        self.threshold_value = YLeaf(YType.uint32, "threshold-value")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                        self.withdraw = YLeaf(YType.empty, "withdraw")
                                        self._segment_path = lambda: "maximum-prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.MaximumPrefix, ['number', 'threshold_value', 'warning_only', 'withdraw'], name, value)


                                class Mobile(Entity):
                                    """
                                    Mobile routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile, self).__init__()

                                        self.yang_name = "mobile"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "mobile"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Mobile, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Odr(Entity):
                                    """
                                    On Demand stub Routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr, self).__init__()

                                        self.yang_name = "odr"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "odr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Odr, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: process_id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: match
                                    
                                    	Redistribution of OSPF routes
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match>`
                                    
                                    .. attribute:: vrf
                                    
                                    	VPN Routing/Forwarding Instance
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match)}
                                        self._child_list_classes = {}

                                        self.process_id = YLeaf(YType.uint32, "process-id")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.vrf = YLeaf(YType.str, "vrf")

                                        self.match = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "ospf" + "[process-id='" + self.process_id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf, ['process_id', 'levels', 'metric', 'metric_type', 'route_map', 'vrf'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Match(Entity):
                                        """
                                        Redistribution of OSPF routes
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"internal" : ("internal", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal)}
                                            self._child_list_classes = {}

                                            self.internal = None
                                            self._children_name_map["internal"] = "internal"
                                            self._children_yang_names.add("internal")

                                            self.external = None
                                            self._children_name_map["external"] = "external"
                                            self._children_yang_names.add("external")

                                            self.nssa_external = None
                                            self._children_name_map["nssa_external"] = "nssa-external"
                                            self._children_yang_names.add("nssa-external")
                                            self._segment_path = lambda: "match"


                                        class Internal(Entity):
                                            """
                                            Redistribute OSPF internal routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal, self).__init__()

                                                self.yang_name = "internal"
                                                self.yang_parent_name = "match"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "internal"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.Internal, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class External(Entity):
                                            """
                                            Redistribute OSPF external routes
                                            
                                            .. attribute:: external_routes
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External, self).__init__()

                                                self.yang_name = "external"
                                                self.yang_parent_name = "match"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "external"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.External, ['external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class NssaExternal(Entity):
                                            """
                                            Redistribute OSPF NSSA external routes
                                            
                                            .. attribute:: nssa_external_routes
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                                self.yang_name = "nssa-external"
                                                self.yang_parent_name = "match"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "nssa-external"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Ospfv3(Entity):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: process_id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: match
                                    
                                    	Redistribution of OSPF routes
                                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match>`
                                    
                                    .. attribute:: vrf
                                    
                                    	VPN Routing/Forwarding Instance
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3, self).__init__()

                                        self.yang_name = "ospfv3"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"match" : ("match", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match)}
                                        self._child_list_classes = {}

                                        self.process_id = YLeaf(YType.uint32, "process-id")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.vrf = YLeaf(YType.str, "vrf")

                                        self.match = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match()
                                        self.match.parent = self
                                        self._children_name_map["match"] = "match"
                                        self._children_yang_names.add("match")
                                        self._segment_path = lambda: "ospfv3" + "[process-id='" + self.process_id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3, ['process_id', 'levels', 'metric', 'metric_type', 'route_map', 'vrf'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Match(Entity):
                                        """
                                        Redistribution of OSPF routes
                                        
                                        .. attribute:: internal
                                        
                                        	Redistribute OSPF internal routes
                                        	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: external
                                        
                                        	Redistribute OSPF external routes
                                        	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: nssa_external
                                        
                                        	Redistribute OSPF NSSA external routes
                                        	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match, self).__init__()

                                            self.yang_name = "match"
                                            self.yang_parent_name = "ospfv3"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"internal" : ("internal", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal), "external" : ("external", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal)}
                                            self._child_list_classes = {}

                                            self.internal = None
                                            self._children_name_map["internal"] = "internal"
                                            self._children_yang_names.add("internal")

                                            self.external = None
                                            self._children_name_map["external"] = "external"
                                            self._children_yang_names.add("external")

                                            self.nssa_external = None
                                            self._children_name_map["nssa_external"] = "nssa-external"
                                            self._children_yang_names.add("nssa-external")
                                            self._segment_path = lambda: "match"


                                        class Internal(Entity):
                                            """
                                            Redistribute OSPF internal routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal, self).__init__()

                                                self.yang_name = "internal"
                                                self.yang_parent_name = "match"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "internal"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.Internal, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class External(Entity):
                                            """
                                            Redistribute OSPF external routes
                                            
                                            .. attribute:: external_routes
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External, self).__init__()

                                                self.yang_name = "external"
                                                self.yang_parent_name = "match"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "external"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.External, ['external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class NssaExternal(Entity):
                                            """
                                            Redistribute OSPF NSSA external routes
                                            
                                            .. attribute:: nssa_external_routes
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal, self).__init__()

                                                self.yang_name = "nssa-external"
                                                self.yang_parent_name = "match"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "nssa-external"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Rip(Entity):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip, self).__init__()

                                        self.yang_name = "rip"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "rip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Rip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Static(Entity):
                                    """
                                    Static routes
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of BGP NSAP routes
                                    	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of BGP IP routes
                                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"clns" : ("clns", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.clns = None
                                        self._children_name_map["clns"] = "clns"
                                        self._children_yang_names.add("clns")

                                        self.ip = None
                                        self._children_name_map["ip"] = "ip"
                                        self._children_yang_names.add("ip")
                                        self._segment_path = lambda: "static"


                                    class Clns(Entity):
                                        """
                                        Redistribution of BGP NSAP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns, self).__init__()

                                            self.yang_name = "clns"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "clns"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Ip(Entity):
                                        """
                                        Redistribution of BGP IP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip, self).__init__()

                                            self.yang_name = "ip"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Static.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Vrf(Entity):
                                    """
                                    Specify a source VRF
                                    
                                    .. attribute:: vrf_nm
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`VrfNm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm>`
                                    
                                    .. attribute:: global_
                                    
                                    	global VRF
                                    	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf, self).__init__()

                                        self.yang_name = "vrf"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"global" : ("global_", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_)}
                                        self._child_list_classes = {"vrf-nm" : ("vrf_nm", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm)}

                                        self.global_ = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_()
                                        self.global_.parent = self
                                        self._children_name_map["global_"] = "global"
                                        self._children_yang_names.add("global")

                                        self.vrf_nm = YList(self)
                                        self._segment_path = lambda: "vrf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf, [], name, value)


                                    class VrfNm(Entity):
                                        """
                                        
                                        
                                        .. attribute:: vrf_nm  <key>
                                        
                                        	Source VRF name
                                        	**type**\: str
                                        
                                        .. attribute:: application
                                        
                                        	Application
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis>`
                                        
                                        .. attribute:: iso_igrp
                                        
                                        	IGRP for OSI networks
                                        	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator ID Separation Protocol (LISP)
                                        	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: mobile
                                        
                                        	Mobile routes
                                        	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Process ID
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: ospfv3
                                        
                                        	OSPFv3
                                        	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm, self).__init__()

                                            self.yang_name = "vrf-nm"
                                            self.yang_parent_name = "vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application), "bgp" : ("bgp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp), "connected" : ("connected", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected), "eigrp" : ("eigrp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp), "isis" : ("isis", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis), "iso-igrp" : ("iso_igrp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp), "lisp" : ("lisp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp), "mobile" : ("mobile", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile), "ospfv3" : ("ospfv3", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3), "rip" : ("rip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip), "static" : ("static", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static)}
                                            self._child_list_classes = {}

                                            self.vrf_nm = YLeaf(YType.str, "vrf-nm")

                                            self.ospf = YLeaf(YType.uint16, "ospf")

                                            self.application = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.bgp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp()
                                            self.bgp.parent = self
                                            self._children_name_map["bgp"] = "bgp"
                                            self._children_yang_names.add("bgp")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.eigrp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp()
                                            self.eigrp.parent = self
                                            self._children_name_map["eigrp"] = "eigrp"
                                            self._children_yang_names.add("eigrp")

                                            self.isis = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.iso_igrp = None
                                            self._children_name_map["iso_igrp"] = "iso-igrp"
                                            self._children_yang_names.add("iso-igrp")

                                            self.lisp = None
                                            self._children_name_map["lisp"] = "lisp"
                                            self._children_yang_names.add("lisp")

                                            self.mobile = None
                                            self._children_name_map["mobile"] = "mobile"
                                            self._children_yang_names.add("mobile")

                                            self.ospfv3 = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3()
                                            self.ospfv3.parent = self
                                            self._children_name_map["ospfv3"] = "ospfv3"
                                            self._children_yang_names.add("ospfv3")

                                            self.rip = None
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")
                                            self._segment_path = lambda: "vrf-nm" + "[vrf-nm='" + self.vrf_nm.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm, ['vrf_nm', 'ospf'], name, value)


                                        class Application(Entity):
                                            """
                                            Application
                                            
                                            .. attribute:: appname
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "vrf-nm"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"appname" : ("appname", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname)}

                                                self.appname = YList(self)
                                                self._segment_path = lambda: "application"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application, [], name, value)


                                            class Appname(Entity):
                                                """
                                                
                                                
                                                .. attribute:: appname  <key>
                                                
                                                	Application name
                                                	**type**\: str
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname, self).__init__()

                                                    self.yang_name = "appname"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.appname = YLeaf(YType.str, "appname")

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "appname" + "[appname='" + self.appname.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Application.Appname, ['appname', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: bp_as_num
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum>`
                                            
                                            .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                                            
                                            	Autonomous system number
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "vrf-nm"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"bp-as-num" : ("bp_as_num", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum)}

                                                self.a_lesser_1_period_0_xx_period_yy_greater_ = YLeaf(YType.empty, "a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_")

                                                self.bp_as_num = YList(self)
                                                self._segment_path = lambda: "bgp"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp, ['a_lesser_1_period_0_xx_period_yy_greater_'], name, value)


                                            class BpAsNum(Entity):
                                                """
                                                
                                                
                                                .. attribute:: bp_as_num  <key>
                                                
                                                	Autonomous system number
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: clns
                                                
                                                	Redistribution of BGP NSAP routes
                                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: ip
                                                
                                                	Redistribution of BGP IP routes
                                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum, self).__init__()

                                                    self.yang_name = "bp-as-num"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"clns" : ("clns", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns), "ip" : ("ip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip)}
                                                    self._child_list_classes = {}

                                                    self.bp_as_num = YLeaf(YType.str, "bp-as-num")

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.clns = None
                                                    self._children_name_map["clns"] = "clns"
                                                    self._children_yang_names.add("clns")

                                                    self.ip = None
                                                    self._children_name_map["ip"] = "ip"
                                                    self._children_yang_names.add("ip")
                                                    self._segment_path = lambda: "bp-as-num" + "[bp-as-num='" + self.bp_as_num.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum, ['bp_as_num', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                                class Clns(Entity):
                                                    """
                                                    Redistribution of BGP NSAP routes
                                                    
                                                    .. attribute:: levels
                                                    
                                                    	
                                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	ISIS default metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: metric_type
                                                    
                                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricType>`
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map reference
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-isis'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns, self).__init__()

                                                        self.yang_name = "clns"
                                                        self.yang_parent_name = "bp-as-num"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.levels = YLeaf(YType.enumeration, "levels")

                                                        self.metric = YLeaf(YType.uint32, "metric")

                                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "clns"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                    class MetricType(Enum):
                                                        """
                                                        MetricType

                                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                                        .. data:: external = 0

                                                        .. data:: internal = 1

                                                        .. data:: rib_metric_as_external = 2

                                                        .. data:: rib_metric_as_internal = 3

                                                        """

                                                        external = Enum.YLeaf(0, "external")

                                                        internal = Enum.YLeaf(1, "internal")

                                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                                class Ip(Entity):
                                                    """
                                                    Redistribution of BGP IP routes
                                                    
                                                    .. attribute:: levels
                                                    
                                                    	
                                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	ISIS default metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: metric_type
                                                    
                                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricType>`
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map reference
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-isis'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip, self).__init__()

                                                        self.yang_name = "ip"
                                                        self.yang_parent_name = "bp-as-num"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.levels = YLeaf(YType.enumeration, "levels")

                                                        self.metric = YLeaf(YType.uint32, "metric")

                                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "ip"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                    class MetricType(Enum):
                                                        """
                                                        MetricType

                                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                                        .. data:: external = 0

                                                        .. data:: internal = 1

                                                        .. data:: rib_metric_as_external = 2

                                                        .. data:: rib_metric_as_internal = 3

                                                        """

                                                        external = Enum.YLeaf(0, "external")

                                                        internal = Enum.YLeaf(1, "internal")

                                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "vrf-nm"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "connected"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: eigrp_as
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "vrf-nm"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"eigrp-as" : ("eigrp_as", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs)}

                                                self.eigrp_as = YList(self)
                                                self._segment_path = lambda: "eigrp"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp, [], name, value)


                                            class EigrpAs(Entity):
                                                """
                                                
                                                
                                                .. attribute:: eigrp_as  <key>
                                                
                                                	AS number
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs, self).__init__()

                                                    self.yang_name = "eigrp-as"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.eigrp_as = YLeaf(YType.uint16, "eigrp-as")

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "eigrp-as" + "[eigrp-as='" + self.eigrp_as.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs, ['eigrp_as', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: isis_atag
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag>`
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP routes between levels or processes
                                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.Ip>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "vrf-nm"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"ip" : ("ip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.Ip)}
                                                self._child_list_classes = {"isis-atag" : ("isis_atag", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag)}

                                                self.ip = None
                                                self._children_name_map["ip"] = "ip"
                                                self._children_yang_names.add("ip")

                                                self.isis_atag = YList(self)
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis, [], name, value)


                                            class IsisAtag(Entity):
                                                """
                                                
                                                
                                                .. attribute:: isis_atag  <key>
                                                
                                                	ISO routing area tag
                                                	**type**\: str
                                                
                                                .. attribute:: ip
                                                
                                                	Redistribution of IP routes between levels or processes
                                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip>`
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag, self).__init__()

                                                    self.yang_name = "isis-atag"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"ip" : ("ip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip)}
                                                    self._child_list_classes = {}

                                                    self.isis_atag = YLeaf(YType.str, "isis-atag")

                                                    self.ip = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip()
                                                    self.ip.parent = self
                                                    self._children_name_map["ip"] = "ip"
                                                    self._children_yang_names.add("ip")
                                                    self._segment_path = lambda: "isis-atag" + "[isis-atag='" + self.isis_atag.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag, ['isis_atag'], name, value)


                                                class Ip(Entity):
                                                    """
                                                    Redistribution of IP routes between levels or processes
                                                    
                                                    .. attribute:: levels
                                                    
                                                    	
                                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	ISIS default metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: metric_type
                                                    
                                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip.MetricType>`
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map reference
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-isis'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip, self).__init__()

                                                        self.yang_name = "ip"
                                                        self.yang_parent_name = "isis-atag"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.levels = YLeaf(YType.enumeration, "levels")

                                                        self.metric = YLeaf(YType.uint32, "metric")

                                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "ip"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                    class MetricType(Enum):
                                                        """
                                                        MetricType

                                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                                        .. data:: external = 0

                                                        .. data:: internal = 1

                                                        .. data:: rib_metric_as_external = 2

                                                        .. data:: rib_metric_as_internal = 3

                                                        """

                                                        external = Enum.YLeaf(0, "external")

                                                        internal = Enum.YLeaf(1, "internal")

                                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                            class Ip(Entity):
                                                """
                                                Redistribution of IP routes between levels or processes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.Ip.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.Ip, self).__init__()

                                                    self.yang_name = "ip"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Isis.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class IsoIgrp(Entity):
                                            """
                                            IGRP for OSI networks
                                            
                                            .. attribute:: iso_atag
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp, self).__init__()

                                                self.yang_name = "iso-igrp"
                                                self.yang_parent_name = "vrf-nm"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"route-map" : ("route_map", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap)}
                                                self._child_list_classes = {"iso-atag" : ("iso_atag", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag)}
                                                self.is_presence_container = True

                                                self.route_map = None
                                                self._children_name_map["route_map"] = "route-map"
                                                self._children_yang_names.add("route-map")

                                                self.iso_atag = YList(self)
                                                self._segment_path = lambda: "iso-igrp"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp, [], name, value)


                                            class IsoAtag(Entity):
                                                """
                                                
                                                
                                                .. attribute:: iso_atag  <key>
                                                
                                                	ISO routing area tag
                                                	**type**\: str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag, self).__init__()

                                                    self.yang_name = "iso-atag"
                                                    self.yang_parent_name = "iso-igrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.iso_atag = YLeaf(YType.str, "iso-atag")

                                                    self.route_map = YLeaf(YType.empty, "route-map")
                                                    self._segment_path = lambda: "iso-atag" + "[iso-atag='" + self.iso_atag.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag, ['iso_atag', 'route_map'], name, value)


                                            class RouteMap(Entity):
                                                """
                                                Route map reference
                                                
                                                .. attribute:: rm_point
                                                
                                                	Pointer to route\-map entries
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap, self).__init__()

                                                    self.yang_name = "route-map"
                                                    self.yang_parent_name = "iso-igrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.rm_point = YLeaf(YType.str, "rm-point")
                                                    self._segment_path = lambda: "route-map"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap, ['rm_point'], name, value)


                                        class Lisp(Entity):
                                            """
                                            Locator ID Separation Protocol (LISP)
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp, self).__init__()

                                                self.yang_name = "lisp"
                                                self.yang_parent_name = "vrf-nm"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "lisp"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Lisp, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Mobile(Entity):
                                            """
                                            Mobile routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile, self).__init__()

                                                self.yang_name = "mobile"
                                                self.yang_parent_name = "vrf-nm"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "mobile"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Mobile, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Ospfv3(Entity):
                                            """
                                            OSPFv3
                                            
                                            .. attribute:: os3_id
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3, self).__init__()

                                                self.yang_name = "ospfv3"
                                                self.yang_parent_name = "vrf-nm"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"os3-id" : ("os3_id", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id)}

                                                self.os3_id = YList(self)
                                                self._segment_path = lambda: "ospfv3"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3, [], name, value)


                                            class Os3Id(Entity):
                                                """
                                                
                                                
                                                .. attribute:: os3_id  <key>
                                                
                                                	Process ID
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id, self).__init__()

                                                    self.yang_name = "os3-id"
                                                    self.yang_parent_name = "ospfv3"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.os3_id = YLeaf(YType.uint16, "os3-id")

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "os3-id" + "[os3-id='" + self.os3_id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id, ['os3_id', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "vrf-nm"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "rip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Rip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of BGP NSAP routes
                                            	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of BGP IP routes
                                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "vrf-nm"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"clns" : ("clns", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns), "ip" : ("ip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.clns = None
                                                self._children_name_map["clns"] = "clns"
                                                self._children_yang_names.add("clns")

                                                self.ip = None
                                                self._children_name_map["ip"] = "ip"
                                                self._children_yang_names.add("ip")
                                                self._segment_path = lambda: "static"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                            class Clns(Entity):
                                                """
                                                Redistribution of BGP NSAP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns, self).__init__()

                                                    self.yang_name = "clns"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "clns"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                            class Ip(Entity):
                                                """
                                                Redistribution of BGP IP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip, self).__init__()

                                                    self.yang_name = "ip"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.VrfNm.Static.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Global_(Entity):
                                        """
                                        global VRF
                                        
                                        .. attribute:: application
                                        
                                        	Application
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis>`
                                        
                                        .. attribute:: iso_igrp
                                        
                                        	IGRP for OSI networks
                                        	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator ID Separation Protocol (LISP)
                                        	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: mobile
                                        
                                        	Mobile routes
                                        	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Process ID
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: ospfv3
                                        
                                        	OSPFv3
                                        	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_, self).__init__()

                                            self.yang_name = "global"
                                            self.yang_parent_name = "vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application), "bgp" : ("bgp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp), "connected" : ("connected", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected), "eigrp" : ("eigrp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp), "isis" : ("isis", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis), "iso-igrp" : ("iso_igrp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp), "lisp" : ("lisp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp), "mobile" : ("mobile", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile), "ospfv3" : ("ospfv3", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3), "rip" : ("rip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip), "static" : ("static", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static)}
                                            self._child_list_classes = {}

                                            self.ospf = YLeaf(YType.uint16, "ospf")

                                            self.application = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.bgp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp()
                                            self.bgp.parent = self
                                            self._children_name_map["bgp"] = "bgp"
                                            self._children_yang_names.add("bgp")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.eigrp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp()
                                            self.eigrp.parent = self
                                            self._children_name_map["eigrp"] = "eigrp"
                                            self._children_yang_names.add("eigrp")

                                            self.isis = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.iso_igrp = None
                                            self._children_name_map["iso_igrp"] = "iso-igrp"
                                            self._children_yang_names.add("iso-igrp")

                                            self.lisp = None
                                            self._children_name_map["lisp"] = "lisp"
                                            self._children_yang_names.add("lisp")

                                            self.mobile = None
                                            self._children_name_map["mobile"] = "mobile"
                                            self._children_yang_names.add("mobile")

                                            self.ospfv3 = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3()
                                            self.ospfv3.parent = self
                                            self._children_name_map["ospfv3"] = "ospfv3"
                                            self._children_yang_names.add("ospfv3")

                                            self.rip = None
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")
                                            self._segment_path = lambda: "global"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_, ['ospf'], name, value)


                                        class Application(Entity):
                                            """
                                            Application
                                            
                                            .. attribute:: appname
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "global"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"appname" : ("appname", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname)}

                                                self.appname = YList(self)
                                                self._segment_path = lambda: "application"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application, [], name, value)


                                            class Appname(Entity):
                                                """
                                                
                                                
                                                .. attribute:: appname  <key>
                                                
                                                	Application name
                                                	**type**\: str
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname, self).__init__()

                                                    self.yang_name = "appname"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.appname = YLeaf(YType.str, "appname")

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "appname" + "[appname='" + self.appname.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Application.Appname, ['appname', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: bp_as_num
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum>`
                                            
                                            .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                                            
                                            	Autonomous system number
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "global"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"bp-as-num" : ("bp_as_num", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum)}

                                                self.a_lesser_1_period_0_xx_period_yy_greater_ = YLeaf(YType.empty, "a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_")

                                                self.bp_as_num = YList(self)
                                                self._segment_path = lambda: "bgp"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp, ['a_lesser_1_period_0_xx_period_yy_greater_'], name, value)


                                            class BpAsNum(Entity):
                                                """
                                                
                                                
                                                .. attribute:: bp_as_num  <key>
                                                
                                                	Autonomous system number
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: clns
                                                
                                                	Redistribution of BGP NSAP routes
                                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: ip
                                                
                                                	Redistribution of BGP IP routes
                                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum, self).__init__()

                                                    self.yang_name = "bp-as-num"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"clns" : ("clns", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns), "ip" : ("ip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip)}
                                                    self._child_list_classes = {}

                                                    self.bp_as_num = YLeaf(YType.str, "bp-as-num")

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.clns = None
                                                    self._children_name_map["clns"] = "clns"
                                                    self._children_yang_names.add("clns")

                                                    self.ip = None
                                                    self._children_name_map["ip"] = "ip"
                                                    self._children_yang_names.add("ip")
                                                    self._segment_path = lambda: "bp-as-num" + "[bp-as-num='" + self.bp_as_num.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum, ['bp_as_num', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                                class Clns(Entity):
                                                    """
                                                    Redistribution of BGP NSAP routes
                                                    
                                                    .. attribute:: levels
                                                    
                                                    	
                                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	ISIS default metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: metric_type
                                                    
                                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricType>`
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map reference
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-isis'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns, self).__init__()

                                                        self.yang_name = "clns"
                                                        self.yang_parent_name = "bp-as-num"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.levels = YLeaf(YType.enumeration, "levels")

                                                        self.metric = YLeaf(YType.uint32, "metric")

                                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "clns"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                    class MetricType(Enum):
                                                        """
                                                        MetricType

                                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                                        .. data:: external = 0

                                                        .. data:: internal = 1

                                                        .. data:: rib_metric_as_external = 2

                                                        .. data:: rib_metric_as_internal = 3

                                                        """

                                                        external = Enum.YLeaf(0, "external")

                                                        internal = Enum.YLeaf(1, "internal")

                                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                                class Ip(Entity):
                                                    """
                                                    Redistribution of BGP IP routes
                                                    
                                                    .. attribute:: levels
                                                    
                                                    	
                                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	ISIS default metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: metric_type
                                                    
                                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricType>`
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map reference
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-isis'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip, self).__init__()

                                                        self.yang_name = "ip"
                                                        self.yang_parent_name = "bp-as-num"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.levels = YLeaf(YType.enumeration, "levels")

                                                        self.metric = YLeaf(YType.uint32, "metric")

                                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "ip"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                    class MetricType(Enum):
                                                        """
                                                        MetricType

                                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                                        .. data:: external = 0

                                                        .. data:: internal = 1

                                                        .. data:: rib_metric_as_external = 2

                                                        .. data:: rib_metric_as_internal = 3

                                                        """

                                                        external = Enum.YLeaf(0, "external")

                                                        internal = Enum.YLeaf(1, "internal")

                                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "global"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "connected"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: eigrp_as
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "global"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"eigrp-as" : ("eigrp_as", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs)}

                                                self.eigrp_as = YList(self)
                                                self._segment_path = lambda: "eigrp"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp, [], name, value)


                                            class EigrpAs(Entity):
                                                """
                                                
                                                
                                                .. attribute:: eigrp_as  <key>
                                                
                                                	AS number
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs, self).__init__()

                                                    self.yang_name = "eigrp-as"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.eigrp_as = YLeaf(YType.uint16, "eigrp-as")

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "eigrp-as" + "[eigrp-as='" + self.eigrp_as.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Eigrp.EigrpAs, ['eigrp_as', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: isis_atag
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag>`
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of IP routes between levels or processes
                                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.Ip>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "global"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"ip" : ("ip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.Ip)}
                                                self._child_list_classes = {"isis-atag" : ("isis_atag", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag)}

                                                self.ip = None
                                                self._children_name_map["ip"] = "ip"
                                                self._children_yang_names.add("ip")

                                                self.isis_atag = YList(self)
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis, [], name, value)


                                            class IsisAtag(Entity):
                                                """
                                                
                                                
                                                .. attribute:: isis_atag  <key>
                                                
                                                	ISO routing area tag
                                                	**type**\: str
                                                
                                                .. attribute:: ip
                                                
                                                	Redistribution of IP routes between levels or processes
                                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip>`
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag, self).__init__()

                                                    self.yang_name = "isis-atag"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"ip" : ("ip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip)}
                                                    self._child_list_classes = {}

                                                    self.isis_atag = YLeaf(YType.str, "isis-atag")

                                                    self.ip = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip()
                                                    self.ip.parent = self
                                                    self._children_name_map["ip"] = "ip"
                                                    self._children_yang_names.add("ip")
                                                    self._segment_path = lambda: "isis-atag" + "[isis-atag='" + self.isis_atag.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag, ['isis_atag'], name, value)


                                                class Ip(Entity):
                                                    """
                                                    Redistribution of IP routes between levels or processes
                                                    
                                                    .. attribute:: levels
                                                    
                                                    	
                                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                    
                                                    .. attribute:: metric
                                                    
                                                    	ISIS default metric
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..4294967295
                                                    
                                                    .. attribute:: metric_type
                                                    
                                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip.MetricType>`
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map reference
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-isis'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip, self).__init__()

                                                        self.yang_name = "ip"
                                                        self.yang_parent_name = "isis-atag"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.levels = YLeaf(YType.enumeration, "levels")

                                                        self.metric = YLeaf(YType.uint32, "metric")

                                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "ip"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                    class MetricType(Enum):
                                                        """
                                                        MetricType

                                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                                        .. data:: external = 0

                                                        .. data:: internal = 1

                                                        .. data:: rib_metric_as_external = 2

                                                        .. data:: rib_metric_as_internal = 3

                                                        """

                                                        external = Enum.YLeaf(0, "external")

                                                        internal = Enum.YLeaf(1, "internal")

                                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                            class Ip(Entity):
                                                """
                                                Redistribution of IP routes between levels or processes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.Ip.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.Ip, self).__init__()

                                                    self.yang_name = "ip"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Isis.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class IsoIgrp(Entity):
                                            """
                                            IGRP for OSI networks
                                            
                                            .. attribute:: iso_atag
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp, self).__init__()

                                                self.yang_name = "iso-igrp"
                                                self.yang_parent_name = "global"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"route-map" : ("route_map", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap)}
                                                self._child_list_classes = {"iso-atag" : ("iso_atag", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag)}
                                                self.is_presence_container = True

                                                self.route_map = None
                                                self._children_name_map["route_map"] = "route-map"
                                                self._children_yang_names.add("route-map")

                                                self.iso_atag = YList(self)
                                                self._segment_path = lambda: "iso-igrp"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp, [], name, value)


                                            class IsoAtag(Entity):
                                                """
                                                
                                                
                                                .. attribute:: iso_atag  <key>
                                                
                                                	ISO routing area tag
                                                	**type**\: str
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag, self).__init__()

                                                    self.yang_name = "iso-atag"
                                                    self.yang_parent_name = "iso-igrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.iso_atag = YLeaf(YType.str, "iso-atag")

                                                    self.route_map = YLeaf(YType.empty, "route-map")
                                                    self._segment_path = lambda: "iso-atag" + "[iso-atag='" + self.iso_atag.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag, ['iso_atag', 'route_map'], name, value)


                                            class RouteMap(Entity):
                                                """
                                                Route map reference
                                                
                                                .. attribute:: rm_point
                                                
                                                	Pointer to route\-map entries
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap, self).__init__()

                                                    self.yang_name = "route-map"
                                                    self.yang_parent_name = "iso-igrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.rm_point = YLeaf(YType.str, "rm-point")
                                                    self._segment_path = lambda: "route-map"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.IsoIgrp.RouteMap, ['rm_point'], name, value)


                                        class Lisp(Entity):
                                            """
                                            Locator ID Separation Protocol (LISP)
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp, self).__init__()

                                                self.yang_name = "lisp"
                                                self.yang_parent_name = "global"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "lisp"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Lisp, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Mobile(Entity):
                                            """
                                            Mobile routes
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile, self).__init__()

                                                self.yang_name = "mobile"
                                                self.yang_parent_name = "global"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "mobile"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Mobile, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Ospfv3(Entity):
                                            """
                                            OSPFv3
                                            
                                            .. attribute:: os3_id
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3, self).__init__()

                                                self.yang_name = "ospfv3"
                                                self.yang_parent_name = "global"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"os3-id" : ("os3_id", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id)}

                                                self.os3_id = YList(self)
                                                self._segment_path = lambda: "ospfv3"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3, [], name, value)


                                            class Os3Id(Entity):
                                                """
                                                
                                                
                                                .. attribute:: os3_id  <key>
                                                
                                                	Process ID
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id, self).__init__()

                                                    self.yang_name = "os3-id"
                                                    self.yang_parent_name = "ospfv3"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.os3_id = YLeaf(YType.uint16, "os3-id")

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "os3-id" + "[os3-id='" + self.os3_id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Ospfv3.Os3Id, ['os3_id', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "global"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "rip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Rip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: clns
                                            
                                            	Redistribution of BGP NSAP routes
                                            	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ip
                                            
                                            	Redistribution of BGP IP routes
                                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: levels
                                            
                                            	
                                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                            
                                            .. attribute:: metric
                                            
                                            	ISIS default metric
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.MetricType>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "global"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"clns" : ("clns", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns), "ip" : ("ip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.levels = YLeaf(YType.enumeration, "levels")

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.clns = None
                                                self._children_name_map["clns"] = "clns"
                                                self._children_yang_names.add("clns")

                                                self.ip = None
                                                self._children_name_map["ip"] = "ip"
                                                self._children_yang_names.add("ip")
                                                self._segment_path = lambda: "static"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: external = 0

                                                .. data:: internal = 1

                                                .. data:: rib_metric_as_external = 2

                                                .. data:: rib_metric_as_internal = 3

                                                """

                                                external = Enum.YLeaf(0, "external")

                                                internal = Enum.YLeaf(1, "internal")

                                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                            class Clns(Entity):
                                                """
                                                Redistribution of BGP NSAP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns, self).__init__()

                                                    self.yang_name = "clns"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "clns"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                            class Ip(Entity):
                                                """
                                                Redistribution of BGP IP routes
                                                
                                                .. attribute:: levels
                                                
                                                	
                                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                                
                                                .. attribute:: metric
                                                
                                                	ISIS default metric
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip.MetricType>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip, self).__init__()

                                                    self.yang_name = "ip"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.levels = YLeaf(YType.enumeration, "levels")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Redistribute.Vrf.Global_.Static.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: external = 0

                                                    .. data:: internal = 1

                                                    .. data:: rib_metric_as_external = 2

                                                    .. data:: rib_metric_as_internal = 3

                                                    """

                                                    external = Enum.YLeaf(0, "external")

                                                    internal = Enum.YLeaf(1, "internal")

                                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class SetAttachedBit(Entity):
                                """
                                Conditionally advertise us as attached to L2
                                
                                .. attribute:: route_map
                                
                                	Route\-map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit, self).__init__()

                                    self.yang_name = "set-attached-bit"
                                    self.yang_parent_name = "topology"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "set-attached-bit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetAttachedBit, ['route_map'], name, value)


                            class Snmp(Entity):
                                """
                                Modify snmp parameters
                                
                                .. attribute:: context
                                
                                	Configure a SNMP context
                                	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp, self).__init__()

                                    self.yang_name = "snmp"
                                    self.yang_parent_name = "topology"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"context" : ("context", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context)}

                                    self.context = YList(self)
                                    self._segment_path = lambda: "snmp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp, [], name, value)


                                class Context(Entity):
                                    """
                                    Configure a SNMP context
                                    
                                    .. attribute:: name  <key>
                                    
                                    	Context Name
                                    	**type**\: str
                                    
                                    .. attribute:: community
                                    
                                    	Configure a SNMP v2c Community string and access privs
                                    	**type**\:  :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community>`
                                    
                                    .. attribute:: user
                                    
                                    	Configure a SNMP v3 user
                                    	**type**\:  :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context, self).__init__()

                                        self.yang_name = "context"
                                        self.yang_parent_name = "snmp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"community" : ("community", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community), "user" : ("user", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.community = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community()
                                        self.community.parent = self
                                        self._children_name_map["community"] = "community"
                                        self._children_yang_names.add("community")

                                        self.user = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User()
                                        self.user.parent = self
                                        self._children_name_map["user"] = "user"
                                        self._children_yang_names.add("user")
                                        self._segment_path = lambda: "context" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context, ['name'], name, value)


                                    class Community(Entity):
                                        """
                                        Configure a SNMP v2c Community string and access privs
                                        
                                        .. attribute:: community_string
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: access
                                        
                                        	
                                        	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community, self).__init__()

                                            self.yang_name = "community"
                                            self.yang_parent_name = "context"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"access" : ("access", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access)}
                                            self._child_list_classes = {}

                                            self.community_string = YLeaf(YType.str, "community-string")

                                            self.access = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access()
                                            self.access.parent = self
                                            self._children_name_map["access"] = "access"
                                            self._children_yang_names.add("access")
                                            self._segment_path = lambda: "community"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community, ['community_string'], name, value)


                                        class Access(Entity):
                                            """
                                            
                                            
                                            .. attribute:: standard_acl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..99
                                            
                                            .. attribute:: expanded_acl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1300..1999
                                            
                                            .. attribute:: acl_name
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	Specify IPv6 Named Access\-List
                                            	**type**\: str
                                            
                                            .. attribute:: ro
                                            
                                            	Read\-only access with this community string
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: rw
                                            
                                            	Read\-write access with this community string
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access, self).__init__()

                                                self.yang_name = "access"
                                                self.yang_parent_name = "community"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                                self.expanded_acl = YLeaf(YType.uint32, "expanded-acl")

                                                self.acl_name = YLeaf(YType.str, "acl-name")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")

                                                self.ro = YLeaf(YType.empty, "ro")

                                                self.rw = YLeaf(YType.empty, "rw")
                                                self._segment_path = lambda: "access"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.Community.Access, ['standard_acl', 'expanded_acl', 'acl_name', 'ipv6', 'ro', 'rw'], name, value)


                                    class User(Entity):
                                        """
                                        Configure a SNMP v3 user
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: permisssion
                                        
                                        	
                                        	**type**\:  :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User, self).__init__()

                                            self.yang_name = "user"
                                            self.yang_parent_name = "context"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"permisssion" : ("permisssion", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.permisssion = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion()
                                            self.permisssion.parent = self
                                            self._children_name_map["permisssion"] = "permisssion"
                                            self._children_yang_names.add("permisssion")
                                            self._segment_path = lambda: "user"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User, ['name'], name, value)


                                        class Permisssion(Entity):
                                            """
                                            
                                            
                                            .. attribute:: access
                                            
                                            	specify an access\-list associated with this group
                                            	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access>`
                                            
                                            .. attribute:: auth
                                            
                                            	authentication parameters for the user
                                            	**type**\:  :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth>`
                                            
                                            .. attribute:: credential
                                            
                                            	If the user password is already configured and saved
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: encrypted
                                            
                                            	specifying passwords as MD5 or SHA digests
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion, self).__init__()

                                                self.yang_name = "permisssion"
                                                self.yang_parent_name = "user"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"access" : ("access", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access), "auth" : ("auth", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth)}
                                                self._child_list_classes = {}

                                                self.credential = YLeaf(YType.empty, "credential")

                                                self.encrypted = YLeaf(YType.empty, "encrypted")

                                                self.access = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access()
                                                self.access.parent = self
                                                self._children_name_map["access"] = "access"
                                                self._children_yang_names.add("access")

                                                self.auth = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth()
                                                self.auth.parent = self
                                                self._children_name_map["auth"] = "auth"
                                                self._children_yang_names.add("auth")
                                                self._segment_path = lambda: "permisssion"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion, ['credential', 'encrypted'], name, value)


                                            class Access(Entity):
                                                """
                                                specify an access\-list associated with this group
                                                
                                                .. attribute:: standard_acl
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: acl_name
                                                
                                                	
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access, self).__init__()

                                                    self.yang_name = "access"
                                                    self.yang_parent_name = "permisssion"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                                    self.acl_name = YLeaf(YType.str, "acl-name")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "access"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Access, ['standard_acl', 'acl_name', 'ipv6'], name, value)


                                            class Auth(Entity):
                                                """
                                                authentication parameters for the user
                                                
                                                .. attribute:: md5
                                                
                                                	Use HMAC MD5 algorithm for authentication
                                                	**type**\: str
                                                
                                                .. attribute:: sha
                                                
                                                	Use HMAC SHA algorithm for authentication
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-isis'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth, self).__init__()

                                                    self.yang_name = "auth"
                                                    self.yang_parent_name = "permisssion"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.md5 = YLeaf(YType.str, "md5")

                                                    self.sha = YLeaf(YType.str, "sha")
                                                    self._segment_path = lambda: "auth"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Snmp.Context.User.Permisssion.Auth, ['md5', 'sha'], name, value)


                            class SummaryAddress(Entity):
                                """
                                Configure IP address summaries
                                
                                .. attribute:: ip  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: mask  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: level_1
                                
                                	Summarize into level\-1 area
                                	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: level_1_2
                                
                                	Summarize into both area and sub\-domain
                                	**type**\:  :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: level_2
                                
                                	Summarize into level\-2 sub\-domain
                                	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: metric_tag_container
                                
                                	
                                	**type**\:  :py:class:`MetricTagContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress, self).__init__()

                                    self.yang_name = "summary-address"
                                    self.yang_parent_name = "topology"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"level-1" : ("level_1", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1), "level-1-2" : ("level_1_2", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12), "level-2" : ("level_2", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2), "metric-tag-container" : ("metric_tag_container", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer)}
                                    self._child_list_classes = {}

                                    self.ip = YLeaf(YType.str, "ip")

                                    self.mask = YLeaf(YType.str, "mask")

                                    self.level_1 = None
                                    self._children_name_map["level_1"] = "level-1"
                                    self._children_yang_names.add("level-1")

                                    self.level_1_2 = None
                                    self._children_name_map["level_1_2"] = "level-1-2"
                                    self._children_yang_names.add("level-1-2")

                                    self.level_2 = None
                                    self._children_name_map["level_2"] = "level-2"
                                    self._children_yang_names.add("level-2")

                                    self.metric_tag_container = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer()
                                    self.metric_tag_container.parent = self
                                    self._children_name_map["metric_tag_container"] = "metric-tag-container"
                                    self._children_yang_names.add("metric-tag-container")
                                    self._segment_path = lambda: "summary-address" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress, ['ip', 'mask'], name, value)


                                class Level1(Entity):
                                    """
                                    Summarize into level\-1 area
                                    
                                    .. attribute:: metric
                                    
                                    	Set metric for summay route
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1, self).__init__()

                                        self.yang_name = "level-1"
                                        self.yang_parent_name = "summary-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "level-1"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level1, ['metric', 'tag'], name, value)


                                class Level12(Entity):
                                    """
                                    Summarize into both area and sub\-domain
                                    
                                    .. attribute:: metric
                                    
                                    	Set metric for summay route
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12, self).__init__()

                                        self.yang_name = "level-1-2"
                                        self.yang_parent_name = "summary-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "level-1-2"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level12, ['metric', 'tag'], name, value)


                                class Level2(Entity):
                                    """
                                    Summarize into level\-2 sub\-domain
                                    
                                    .. attribute:: metric
                                    
                                    	Set metric for summay route
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2, self).__init__()

                                        self.yang_name = "level-2"
                                        self.yang_parent_name = "summary-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "level-2"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.Level2, ['metric', 'tag'], name, value)


                                class MetricTagContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Set metric for summay route
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer, self).__init__()

                                        self.yang_name = "metric-tag-container"
                                        self.yang_parent_name = "summary-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "metric-tag-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SummaryAddress.MetricTagContainer, ['metric', 'tag'], name, value)


                            class TrafficShare(Entity):
                                """
                                How to compute traffic share over alternate paths
                                
                                .. attribute:: min
                                
                                	All traffic shared among min metric paths
                                	**type**\:  :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare, self).__init__()

                                    self.yang_name = "traffic-share"
                                    self.yang_parent_name = "topology"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"min" : ("min", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min)}
                                    self._child_list_classes = {}

                                    self.min = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min()
                                    self.min.parent = self
                                    self._children_name_map["min"] = "min"
                                    self._children_yang_names.add("min")
                                    self._segment_path = lambda: "traffic-share"


                                class Min(Entity):
                                    """
                                    All traffic shared among min metric paths
                                    
                                    .. attribute:: across_interfaces
                                    
                                    	Use different interfaces for equal\-cost paths
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min, self).__init__()

                                        self.yang_name = "min"
                                        self.yang_parent_name = "traffic-share"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                                        self._segment_path = lambda: "min"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.TrafficShare.Min, ['across_interfaces'], name, value)


                            class Advertise(Entity):
                                """
                                Control which IP routes flow in L1 and L2 LSPs
                                
                                .. attribute:: passive_only
                                
                                	only interface address of passive interfaces
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Advertise, self).__init__()

                                    self.yang_name = "advertise"
                                    self.yang_parent_name = "topology"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.passive_only = YLeaf(YType.empty, "passive-only")
                                    self._segment_path = lambda: "advertise"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Advertise, ['passive_only'], name, value)


                            class DefaultInformation(Entity):
                                """
                                Control distribution of default information
                                
                                .. attribute:: originate
                                
                                	Distribute a default route
                                	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation, self).__init__()

                                    self.yang_name = "default-information"
                                    self.yang_parent_name = "topology"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"originate" : ("originate", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate)}
                                    self._child_list_classes = {}

                                    self.originate = None
                                    self._children_name_map["originate"] = "originate"
                                    self._children_yang_names.add("originate")
                                    self._segment_path = lambda: "default-information"


                                class Originate(Entity):
                                    """
                                    Distribute a default route
                                    
                                    .. attribute:: route_map
                                    
                                    	Route\-map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate, self).__init__()

                                        self.yang_name = "originate"
                                        self.yang_parent_name = "default-information"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "originate"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.DefaultInformation.Originate, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Set ISIS metric for all interfaces
                                
                                .. attribute:: metrics
                                
                                	
                                	**type**\: list of  		 :py:class:`Metrics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics>`
                                
                                .. attribute:: metric
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..16777214
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "topology"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"metrics" : ("metrics", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics)}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metrics = YList(self)
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric, ['metric'], name, value)


                                class Metrics(Entity):
                                    """
                                    
                                    
                                    .. attribute:: level  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics.Level>`
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..16777214
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics, self).__init__()

                                        self.yang_name = "metrics"
                                        self.yang_parent_name = "metric"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.level = YLeaf(YType.enumeration, "level")

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "metrics" + "[level='" + self.level.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.Metric.Metrics, ['level', 'metric'], name, value)

                                    class Level(Enum):
                                        """
                                        Level

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")



                            class PrcInterval(Entity):
                                """
                                Minimum interval between partial route calculations
                                
                                .. attribute:: interval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120
                                
                                .. attribute:: initial_wait
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120000
                                
                                .. attribute:: minimum_wait
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120000
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.PrcInterval, self).__init__()

                                    self.yang_name = "prc-interval"
                                    self.yang_parent_name = "topology"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint32, "interval")

                                    self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                                    self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                                    self._segment_path = lambda: "prc-interval"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.PrcInterval, ['interval', 'initial_wait', 'minimum_wait'], name, value)


                            class SetOverloadBit(Entity):
                                """
                                Signal other routers not to use us in SPF
                                
                                .. attribute:: on_startup
                                
                                	Set overload\-bit only temporarily after reboot
                                	**type**\:  :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup>`
                                
                                .. attribute:: suppress
                                
                                	If overload\-bit set, suppress the following types of IP prefixes
                                	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit, self).__init__()

                                    self.yang_name = "set-overload-bit"
                                    self.yang_parent_name = "topology"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"on-startup" : ("on_startup", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup), "suppress" : ("suppress", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.on_startup = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup()
                                    self.on_startup.parent = self
                                    self._children_name_map["on_startup"] = "on-startup"
                                    self._children_yang_names.add("on-startup")

                                    self.suppress = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress()
                                    self.suppress.parent = self
                                    self._children_name_map["suppress"] = "suppress"
                                    self._children_yang_names.add("suppress")
                                    self._segment_path = lambda: "set-overload-bit"


                                class OnStartup(Entity):
                                    """
                                    Set overload\-bit only temporarily after reboot
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time>`
                                    
                                    .. attribute:: wait_for_bgp
                                    
                                    	Let BGP decide when to unset the overload bit
                                    	**type**\:  :py:class:`WaitForBgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup, self).__init__()

                                        self.yang_name = "on-startup"
                                        self.yang_parent_name = "set-overload-bit"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"time" : ("time", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time), "wait-for-bgp" : ("wait_for_bgp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp)}
                                        self._child_list_classes = {}

                                        self.time = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time()
                                        self.time.parent = self
                                        self._children_name_map["time"] = "time"
                                        self._children_yang_names.add("time")

                                        self.wait_for_bgp = None
                                        self._children_name_map["wait_for_bgp"] = "wait-for-bgp"
                                        self._children_yang_names.add("wait-for-bgp")
                                        self._segment_path = lambda: "on-startup"


                                    class Time(Entity):
                                        """
                                        
                                        
                                        .. attribute:: time
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 5..86400
                                        
                                        .. attribute:: suppress
                                        
                                        	If overload\-bit set, suppress the following types of IP prefixes
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: external
                                        
                                        	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: interlevel
                                        
                                        	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time, self).__init__()

                                            self.yang_name = "time"
                                            self.yang_parent_name = "on-startup"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.time = YLeaf(YType.uint32, "time")

                                            self.suppress = YLeaf(YType.empty, "suppress")

                                            self.external = YLeaf(YType.empty, "external")

                                            self.interlevel = YLeaf(YType.empty, "interlevel")
                                            self._segment_path = lambda: "time"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.Time, ['time', 'suppress', 'external', 'interlevel'], name, value)


                                    class WaitForBgp(Entity):
                                        """
                                        Let BGP decide when to unset the overload bit
                                        
                                        .. attribute:: suppress
                                        
                                        	If overload\-bit set, suppress the following types of IP prefixes
                                        	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp, self).__init__()

                                            self.yang_name = "wait-for-bgp"
                                            self.yang_parent_name = "on-startup"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"suppress" : ("suppress", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.suppress = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress()
                                            self.suppress.parent = self
                                            self._children_name_map["suppress"] = "suppress"
                                            self._children_yang_names.add("suppress")
                                            self._segment_path = lambda: "wait-for-bgp"


                                        class Suppress(Entity):
                                            """
                                            If overload\-bit set, suppress the following types of IP prefixes
                                            
                                            .. attribute:: external
                                            
                                            	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: interlevel
                                            
                                            	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress, self).__init__()

                                                self.yang_name = "suppress"
                                                self.yang_parent_name = "wait-for-bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.external = YLeaf(YType.empty, "external")

                                                self.interlevel = YLeaf(YType.empty, "interlevel")
                                                self._segment_path = lambda: "suppress"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.OnStartup.WaitForBgp.Suppress, ['external', 'interlevel'], name, value)


                                class Suppress(Entity):
                                    """
                                    If overload\-bit set, suppress the following types of IP prefixes
                                    
                                    .. attribute:: external
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: interlevel
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress, self).__init__()

                                        self.yang_name = "suppress"
                                        self.yang_parent_name = "set-overload-bit"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.external = YLeaf(YType.empty, "external")

                                        self.interlevel = YLeaf(YType.empty, "interlevel")
                                        self._segment_path = lambda: "suppress"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SetOverloadBit.Suppress, ['external', 'interlevel'], name, value)


                            class SpfInterval(Entity):
                                """
                                Minimum interval between SPF calculations
                                
                                .. attribute:: level_1_2
                                
                                	
                                	**type**\: list of  		 :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12>`
                                
                                .. attribute:: intervals
                                
                                	
                                	**type**\:  :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval, self).__init__()

                                    self.yang_name = "spf-interval"
                                    self.yang_parent_name = "topology"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"intervals" : ("intervals", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals)}
                                    self._child_list_classes = {"level-1-2" : ("level_1_2", Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12)}

                                    self.intervals = Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals()
                                    self.intervals.parent = self
                                    self._children_name_map["intervals"] = "intervals"
                                    self._children_yang_names.add("intervals")

                                    self.level_1_2 = YList(self)
                                    self._segment_path = lambda: "spf-interval"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval, [], name, value)


                                class Level12(Entity):
                                    """
                                    
                                    
                                    .. attribute:: level  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12.Level>`
                                    
                                    .. attribute:: interval
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..120
                                    
                                    .. attribute:: initial_wait
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..120000
                                    
                                    .. attribute:: minimum_wait
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..120000
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12, self).__init__()

                                        self.yang_name = "level-1-2"
                                        self.yang_parent_name = "spf-interval"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.level = YLeaf(YType.enumeration, "level")

                                        self.interval = YLeaf(YType.uint32, "interval")

                                        self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                                        self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                                        self._segment_path = lambda: "level-1-2" + "[level='" + self.level.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Level12, ['level', 'interval', 'initial_wait', 'minimum_wait'], name, value)

                                    class Level(Enum):
                                        """
                                        Level

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")



                                class Intervals(Entity):
                                    """
                                    
                                    
                                    .. attribute:: interval
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..120
                                    
                                    .. attribute:: initial_wait
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..120000
                                    
                                    .. attribute:: minimum_wait
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..120000
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals, self).__init__()

                                        self.yang_name = "intervals"
                                        self.yang_parent_name = "spf-interval"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint32, "interval")

                                        self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                                        self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                                        self._segment_path = lambda: "intervals"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv4.Topology.SpfInterval.Intervals, ['interval', 'initial_wait', 'minimum_wait'], name, value)


                    class Ipv6(Entity):
                        """
                        Address family
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: advertise
                        
                        	Control which IP routes flow in L1 and L2 LSPs
                        	**type**\:  :py:class:`Advertise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Advertise>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation>`
                        
                        .. attribute:: help
                        
                        	Description of the interactive help system
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        .. attribute:: metric
                        
                        	Set ISIS metric for all interfaces
                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric>`
                        
                        .. attribute:: prc_interval
                        
                        	Minimum interval between partial route calculations
                        	**type**\:  :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.PrcInterval>`
                        
                        .. attribute:: set_overload_bit
                        
                        	Signal other routers not to use us in SPF
                        	**type**\:  :py:class:`SetOverloadBit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: spf_interval
                        
                        	Minimum interval between SPF calculations
                        	**type**\:  :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval>`
                        
                        .. attribute:: adjacency_check
                        
                        	Check ISIS neighbor protocol support
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: bfd
                        
                        	BFD configuration commands
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Bfd>`
                        
                        .. attribute:: router_id
                        
                        	Interface of stable IP address for system
                        	**type**\: str
                        
                        .. attribute:: distance
                        
                        	Administrative distance
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 specific commands
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6>`
                        
                        .. attribute:: multi_topology
                        
                        	Enable multi\-topology mode
                        	**type**\:  :py:class:`MultiTopology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.MultiTopology>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: redistribute
                        
                        	Redistribute IPv6 prefixes from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute>`
                        
                        .. attribute:: summary_prefix
                        
                        	Configure IPv6 summary prefix
                        	**type**\: list of  		 :py:class:`SummaryPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix>`
                        
                        .. attribute:: table_map
                        
                        	Map external entry attributes into routing table
                        	**type**\:  :py:class:`TableMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.TableMap>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "address-family"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"advertise" : ("advertise", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Advertise), "default-information" : ("default_information", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation), "metric" : ("metric", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric), "prc-interval" : ("prc_interval", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.PrcInterval), "set-overload-bit" : ("set_overload_bit", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit), "spf-interval" : ("spf_interval", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval), "bfd" : ("bfd", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Bfd), "distribute-list" : ("distribute_list", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList), "ipv6" : ("ipv6", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6), "multi-topology" : ("multi_topology", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.MultiTopology), "redistribute" : ("redistribute", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute), "table-map" : ("table_map", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.TableMap)}
                            self._child_list_classes = {"summary-prefix" : ("summary_prefix", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix)}

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.help = YLeaf(YType.empty, "help")

                            self.maximum_paths = YLeaf(YType.uint32, "maximum-paths")

                            self.adjacency_check = YLeaf(YType.empty, "adjacency-check")

                            self.router_id = YLeaf(YType.str, "router-id")

                            self.distance = YLeaf(YType.uint32, "distance")

                            self.advertise = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Advertise()
                            self.advertise.parent = self
                            self._children_name_map["advertise"] = "advertise"
                            self._children_yang_names.add("advertise")

                            self.default_information = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.metric = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric()
                            self.metric.parent = self
                            self._children_name_map["metric"] = "metric"
                            self._children_yang_names.add("metric")

                            self.prc_interval = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.PrcInterval()
                            self.prc_interval.parent = self
                            self._children_name_map["prc_interval"] = "prc-interval"
                            self._children_yang_names.add("prc-interval")

                            self.set_overload_bit = None
                            self._children_name_map["set_overload_bit"] = "set-overload-bit"
                            self._children_yang_names.add("set-overload-bit")

                            self.spf_interval = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval()
                            self.spf_interval.parent = self
                            self._children_name_map["spf_interval"] = "spf-interval"
                            self._children_yang_names.add("spf-interval")

                            self.bfd = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Bfd()
                            self.bfd.parent = self
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.distribute_list = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList()
                            self.distribute_list.parent = self
                            self._children_name_map["distribute_list"] = "distribute-list"
                            self._children_yang_names.add("distribute-list")

                            self.ipv6 = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6()
                            self.ipv6.parent = self
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")

                            self.multi_topology = None
                            self._children_name_map["multi_topology"] = "multi-topology"
                            self._children_yang_names.add("multi-topology")

                            self.redistribute = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.table_map = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.TableMap()
                            self.table_map.parent = self
                            self._children_name_map["table_map"] = "table-map"
                            self._children_yang_names.add("table-map")

                            self.summary_prefix = YList(self)
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6, ['unicast', 'help', 'maximum_paths', 'adjacency_check', 'router_id', 'distance'], name, value)


                        class Advertise(Entity):
                            """
                            Control which IP routes flow in L1 and L2 LSPs
                            
                            .. attribute:: passive_only
                            
                            	only interface address of passive interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Advertise, self).__init__()

                                self.yang_name = "advertise"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.passive_only = YLeaf(YType.empty, "passive-only")
                                self._segment_path = lambda: "advertise"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Advertise, ['passive_only'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"originate" : ("originate", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation.Originate)}
                                self._child_list_classes = {}

                                self.originate = None
                                self._children_name_map["originate"] = "originate"
                                self._children_yang_names.add("originate")
                                self._segment_path = lambda: "default-information"


                            class Originate(Entity):
                                """
                                Distribute a default route
                                
                                .. attribute:: route_map
                                
                                	Route\-map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation.Originate, self).__init__()

                                    self.yang_name = "originate"
                                    self.yang_parent_name = "default-information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DefaultInformation.Originate, ['route_map'], name, value)


                        class Metric(Entity):
                            """
                            Set ISIS metric for all interfaces
                            
                            .. attribute:: metrics
                            
                            	
                            	**type**\: list of  		 :py:class:`Metrics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..16777214
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric, self).__init__()

                                self.yang_name = "metric"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"metrics" : ("metrics", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics)}

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metrics = YList(self)
                                self._segment_path = lambda: "metric"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric, ['metric'], name, value)


                            class Metrics(Entity):
                                """
                                
                                
                                .. attribute:: level  <key>
                                
                                	
                                	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics.Level>`
                                
                                .. attribute:: metric
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..16777214
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics, self).__init__()

                                    self.yang_name = "metrics"
                                    self.yang_parent_name = "metric"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.level = YLeaf(YType.enumeration, "level")

                                    self.metric = YLeaf(YType.uint32, "metric")
                                    self._segment_path = lambda: "metrics" + "[level='" + self.level.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Metric.Metrics, ['level', 'metric'], name, value)

                                class Level(Enum):
                                    """
                                    Level

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")



                        class PrcInterval(Entity):
                            """
                            Minimum interval between partial route calculations
                            
                            .. attribute:: interval
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120
                            
                            .. attribute:: initial_wait
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120000
                            
                            .. attribute:: minimum_wait
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120000
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.PrcInterval, self).__init__()

                                self.yang_name = "prc-interval"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint32, "interval")

                                self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                                self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                                self._segment_path = lambda: "prc-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.PrcInterval, ['interval', 'initial_wait', 'minimum_wait'], name, value)


                        class SetOverloadBit(Entity):
                            """
                            Signal other routers not to use us in SPF
                            
                            .. attribute:: on_startup
                            
                            	Set overload\-bit only temporarily after reboot
                            	**type**\:  :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup>`
                            
                            .. attribute:: suppress
                            
                            	If overload\-bit set, suppress the following types of IP prefixes
                            	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit, self).__init__()

                                self.yang_name = "set-overload-bit"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"on-startup" : ("on_startup", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup), "suppress" : ("suppress", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.on_startup = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup()
                                self.on_startup.parent = self
                                self._children_name_map["on_startup"] = "on-startup"
                                self._children_yang_names.add("on-startup")

                                self.suppress = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress()
                                self.suppress.parent = self
                                self._children_name_map["suppress"] = "suppress"
                                self._children_yang_names.add("suppress")
                                self._segment_path = lambda: "set-overload-bit"


                            class OnStartup(Entity):
                                """
                                Set overload\-bit only temporarily after reboot
                                
                                .. attribute:: time
                                
                                	
                                	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time>`
                                
                                .. attribute:: wait_for_bgp
                                
                                	Let BGP decide when to unset the overload bit
                                	**type**\:  :py:class:`WaitForBgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup, self).__init__()

                                    self.yang_name = "on-startup"
                                    self.yang_parent_name = "set-overload-bit"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"time" : ("time", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time), "wait-for-bgp" : ("wait_for_bgp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp)}
                                    self._child_list_classes = {}

                                    self.time = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time()
                                    self.time.parent = self
                                    self._children_name_map["time"] = "time"
                                    self._children_yang_names.add("time")

                                    self.wait_for_bgp = None
                                    self._children_name_map["wait_for_bgp"] = "wait-for-bgp"
                                    self._children_yang_names.add("wait-for-bgp")
                                    self._segment_path = lambda: "on-startup"


                                class Time(Entity):
                                    """
                                    
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 5..86400
                                    
                                    .. attribute:: suppress
                                    
                                    	If overload\-bit set, suppress the following types of IP prefixes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: external
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: interlevel
                                    
                                    	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time, self).__init__()

                                        self.yang_name = "time"
                                        self.yang_parent_name = "on-startup"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.time = YLeaf(YType.uint32, "time")

                                        self.suppress = YLeaf(YType.empty, "suppress")

                                        self.external = YLeaf(YType.empty, "external")

                                        self.interlevel = YLeaf(YType.empty, "interlevel")
                                        self._segment_path = lambda: "time"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.Time, ['time', 'suppress', 'external', 'interlevel'], name, value)


                                class WaitForBgp(Entity):
                                    """
                                    Let BGP decide when to unset the overload bit
                                    
                                    .. attribute:: suppress
                                    
                                    	If overload\-bit set, suppress the following types of IP prefixes
                                    	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp, self).__init__()

                                        self.yang_name = "wait-for-bgp"
                                        self.yang_parent_name = "on-startup"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"suppress" : ("suppress", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.suppress = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress()
                                        self.suppress.parent = self
                                        self._children_name_map["suppress"] = "suppress"
                                        self._children_yang_names.add("suppress")
                                        self._segment_path = lambda: "wait-for-bgp"


                                    class Suppress(Entity):
                                        """
                                        If overload\-bit set, suppress the following types of IP prefixes
                                        
                                        .. attribute:: external
                                        
                                        	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: interlevel
                                        
                                        	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress, self).__init__()

                                            self.yang_name = "suppress"
                                            self.yang_parent_name = "wait-for-bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.external = YLeaf(YType.empty, "external")

                                            self.interlevel = YLeaf(YType.empty, "interlevel")
                                            self._segment_path = lambda: "suppress"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.OnStartup.WaitForBgp.Suppress, ['external', 'interlevel'], name, value)


                            class Suppress(Entity):
                                """
                                If overload\-bit set, suppress the following types of IP prefixes
                                
                                .. attribute:: external
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: interlevel
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress, self).__init__()

                                    self.yang_name = "suppress"
                                    self.yang_parent_name = "set-overload-bit"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.external = YLeaf(YType.empty, "external")

                                    self.interlevel = YLeaf(YType.empty, "interlevel")
                                    self._segment_path = lambda: "suppress"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SetOverloadBit.Suppress, ['external', 'interlevel'], name, value)


                        class SpfInterval(Entity):
                            """
                            Minimum interval between SPF calculations
                            
                            .. attribute:: level_1_2
                            
                            	
                            	**type**\: list of  		 :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12>`
                            
                            .. attribute:: intervals
                            
                            	
                            	**type**\:  :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Intervals>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval, self).__init__()

                                self.yang_name = "spf-interval"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"intervals" : ("intervals", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Intervals)}
                                self._child_list_classes = {"level-1-2" : ("level_1_2", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12)}

                                self.intervals = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Intervals()
                                self.intervals.parent = self
                                self._children_name_map["intervals"] = "intervals"
                                self._children_yang_names.add("intervals")

                                self.level_1_2 = YList(self)
                                self._segment_path = lambda: "spf-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval, [], name, value)


                            class Level12(Entity):
                                """
                                
                                
                                .. attribute:: level  <key>
                                
                                	
                                	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12.Level>`
                                
                                .. attribute:: interval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120
                                
                                .. attribute:: initial_wait
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120000
                                
                                .. attribute:: minimum_wait
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120000
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12, self).__init__()

                                    self.yang_name = "level-1-2"
                                    self.yang_parent_name = "spf-interval"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.level = YLeaf(YType.enumeration, "level")

                                    self.interval = YLeaf(YType.uint32, "interval")

                                    self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                                    self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                                    self._segment_path = lambda: "level-1-2" + "[level='" + self.level.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Level12, ['level', 'interval', 'initial_wait', 'minimum_wait'], name, value)

                                class Level(Enum):
                                    """
                                    Level

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")



                            class Intervals(Entity):
                                """
                                
                                
                                .. attribute:: interval
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120
                                
                                .. attribute:: initial_wait
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120000
                                
                                .. attribute:: minimum_wait
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..120000
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Intervals, self).__init__()

                                    self.yang_name = "intervals"
                                    self.yang_parent_name = "spf-interval"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint32, "interval")

                                    self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                                    self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                                    self._segment_path = lambda: "intervals"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SpfInterval.Intervals, ['interval', 'initial_wait', 'minimum_wait'], name, value)


                        class Bfd(Entity):
                            """
                            BFD configuration commands
                            
                            .. attribute:: all_interfaces
                            
                            	Enable BFD on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: check_ctrl_plane_failure
                            
                            	BFD check control plane failure
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

                                self.check_ctrl_plane_failure = YLeaf(YType.empty, "check-ctrl-plane-failure")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Bfd, ['all_interfaces', 'check_ctrl_plane_failure'], name, value)


                        class DistributeList(Entity):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: prefix_list
                            
                            	Filter connections based on an IPv6 prefix\-list
                            	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList, self).__init__()

                                self.yang_name = "distribute-list"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList)}

                                self.prefix_list = YList(self)
                                self._segment_path = lambda: "distribute-list"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList, [], name, value)


                            class PrefixList(Entity):
                                """
                                Filter connections based on an IPv6 prefix\-list
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: in_
                                
                                	Filter incoming routing updates
                                	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList, self).__init__()

                                    self.yang_name = "prefix-list"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"in" : ("in_", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_)}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.in_ = None
                                    self._children_name_map["in_"] = "in"
                                    self._children_yang_names.add("in")
                                    self._segment_path = lambda: "prefix-list" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList, ['name'], name, value)


                                class In_(Entity):
                                    """
                                    Filter incoming routing updates
                                    
                                    .. attribute:: interface
                                    
                                    	Specify interface
                                    	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_, self).__init__()

                                        self.yang_name = "in"
                                        self.yang_parent_name = "prefix-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"interface" : ("interface", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interface = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface()
                                        self.interface.parent = self
                                        self._children_name_map["interface"] = "interface"
                                        self._children_yang_names.add("interface")
                                        self._segment_path = lambda: "in"


                                    class Interface(Entity):
                                        """
                                        Specify interface
                                        
                                        .. attribute:: appnav_compress
                                        
                                        	Service\-Context Virtual Interface Compress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: appnav_uncompress
                                        
                                        	Service\-Context Virtual Interface UnCompress
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: atm
                                        
                                        	ATM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                        
                                        .. attribute:: atm_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMSubinterface>`
                                        
                                        .. attribute:: atm_acr
                                        
                                        	ATM\-ACR interface
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9]
                                        
                                        .. attribute:: atm_acrsubinterface
                                        
                                        	
                                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMACRsubinterface>`
                                        
                                        .. attribute:: bdi
                                        
                                        	Bridge\-Domain interface
                                        	**type**\: str
                                        
                                        .. attribute:: cem
                                        
                                        	CEM interface
                                        	**type**\: str
                                        
                                        	**pattern:** ([0\-9]/){2}[0\-9]
                                        
                                        .. attribute:: cem_acr
                                        
                                        	CEM\-ACR interface
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: embedded_service_engine
                                        
                                        	cisco embedded service engine module
                                        	**type**\: str
                                        
                                        .. attribute:: fastethernet
                                        
                                        	FastEthernet IEEE 802.3
                                        	**type**\: str
                                        
                                        .. attribute:: gigabitethernet
                                        
                                        	GigabitEthernet IEEE 802.3z
                                        	**type**\: str
                                        
                                        .. attribute:: lisp
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_subinterface
                                        
                                        	Locator/ID Separation Protocol Virtual Interface
                                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LISPSubinterface>`
                                        
                                        .. attribute:: loopback
                                        
                                        	Loopback interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: multilink
                                        
                                        	Multilink\-group interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: nve
                                        
                                        	Network virtualization endpoint interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: overlay
                                        
                                        	Overlay interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: port_channel
                                        
                                        	Ethernet Channel of interfaces
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: port_channel_subinterface
                                        
                                        	
                                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface>`
                                        
                                        .. attribute:: pseudowire
                                        
                                        	Pseudowire Interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: sm
                                        
                                        	SM Interface
                                        	**type**\: str
                                        
                                        .. attribute:: cellular
                                        
                                        	Cellular Interface
                                        	**type**\: str
                                        
                                        .. attribute:: serial
                                        
                                        	Serial interface
                                        	**type**\: str
                                        
                                        .. attribute:: tengigabitethernet
                                        
                                        	Ten Gigabit Ethernet
                                        	**type**\: str
                                        
                                        .. attribute:: tunnel
                                        
                                        	Tunnel interface
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: virtual_template
                                        
                                        	Virtual Template interface
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vlan
                                        
                                        	Iosxr Vlans
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: virtualportgroup
                                        
                                        	Virtual Port Group
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasileft
                                        
                                        	vasileft
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: vasiright
                                        
                                        	vasiright
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface, self).__init__()

                                            self.yang_name = "interface"
                                            self.yang_parent_name = "in"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface)}
                                            self._child_list_classes = {}

                                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                            self.atm = YLeaf(YType.str, "ATM")

                                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                            self.bdi = YLeaf(YType.str, "BDI")

                                            self.cem = YLeaf(YType.str, "CEM")

                                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                            self.lisp = YLeaf(YType.str, "LISP")

                                            self.loopback = YLeaf(YType.uint32, "Loopback")

                                            self.multilink = YLeaf(YType.uint16, "Multilink")

                                            self.nve = YLeaf(YType.uint16, "nve")

                                            self.overlay = YLeaf(YType.uint16, "overlay")

                                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                            self.sm = YLeaf(YType.str, "SM")

                                            self.cellular = YLeaf(YType.str, "Cellular")

                                            self.serial = YLeaf(YType.str, "Serial")

                                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                            self.vlan = YLeaf(YType.uint16, "Vlan")

                                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                                            self.atm_subinterface = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMSubinterface()
                                            self.atm_subinterface.parent = self
                                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                            self._children_yang_names.add("ATM-subinterface")

                                            self.atm_acrsubinterface = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMACRsubinterface()
                                            self.atm_acrsubinterface.parent = self
                                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                            self._children_yang_names.add("ATM-ACRsubinterface")

                                            self.lisp_subinterface = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LISPSubinterface()
                                            self.lisp_subinterface.parent = self
                                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                            self._children_yang_names.add("LISP-subinterface")

                                            self.port_channel_subinterface = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface()
                                            self.port_channel_subinterface.parent = self
                                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                            self._children_yang_names.add("Port-channel-subinterface")
                                            self._segment_path = lambda: "interface"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                        class ATMSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMSubinterface, self).__init__()

                                                self.yang_name = "ATM-subinterface"
                                                self.yang_parent_name = "interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm = YLeaf(YType.str, "ATM")
                                                self._segment_path = lambda: "ATM-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMSubinterface, ['atm'], name, value)


                                        class ATMACRsubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: atm_acr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMACRsubinterface, self).__init__()

                                                self.yang_name = "ATM-ACRsubinterface"
                                                self.yang_parent_name = "interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                                self._segment_path = lambda: "ATM-ACRsubinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                                        class LISPSubinterface(Entity):
                                            """
                                            Locator/ID Separation Protocol Virtual Interface
                                            
                                            .. attribute:: lisp
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LISPSubinterface, self).__init__()

                                                self.yang_name = "LISP-subinterface"
                                                self.yang_parent_name = "interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.lisp = YLeaf(YType.str, "LISP")
                                                self._segment_path = lambda: "LISP-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.LISPSubinterface, ['lisp'], name, value)


                                        class PortChannelSubinterface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: port_channel
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-isis'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface, self).__init__()

                                                self.yang_name = "Port-channel-subinterface"
                                                self.yang_parent_name = "interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                                self._segment_path = lambda: "Port-channel-subinterface"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.DistributeList.PrefixList.In_.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                        class Ipv6(Entity):
                            """
                            IPv6 specific commands
                            
                            .. attribute:: route
                            
                            	ISIS IPV6 routes
                            	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6.Route>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"route" : ("route", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6.Route)}
                                self._child_list_classes = {}

                                self.route = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6.Route()
                                self.route.parent = self
                                self._children_name_map["route"] = "route"
                                self._children_yang_names.add("route")
                                self._segment_path = lambda: "ipv6"


                            class Route(Entity):
                                """
                                ISIS IPV6 routes
                                
                                .. attribute:: priority
                                
                                	Assign priority to IPV6 prefixes
                                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6.Route, self).__init__()

                                    self.yang_name = "route"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"priority" : ("priority", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority)}
                                    self._child_list_classes = {}

                                    self.priority = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority()
                                    self.priority.parent = self
                                    self._children_name_map["priority"] = "priority"
                                    self._children_yang_names.add("priority")
                                    self._segment_path = lambda: "route"


                                class Priority(Entity):
                                    """
                                    Assign priority to IPV6 prefixes
                                    
                                    .. attribute:: high
                                    
                                    	Assign high priority to important IPV6 prefixes in ISIS IPV6 local RIB
                                    	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority.High>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority, self).__init__()

                                        self.yang_name = "priority"
                                        self.yang_parent_name = "route"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"high" : ("high", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority.High)}
                                        self._child_list_classes = {}

                                        self.high = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority.High()
                                        self.high.parent = self
                                        self._children_name_map["high"] = "high"
                                        self._children_yang_names.add("high")
                                        self._segment_path = lambda: "priority"


                                    class High(Entity):
                                        """
                                        Assign high priority to important IPV6 prefixes in ISIS IPV6 local RIB
                                        
                                        .. attribute:: tag
                                        
                                        	Assign high priority to IPV6 prefixes with a specific route tag
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority.High, self).__init__()

                                            self.yang_name = "high"
                                            self.yang_parent_name = "priority"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "high"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Ipv6.Route.Priority.High, ['tag'], name, value)


                        class MultiTopology(Entity):
                            """
                            Enable multi\-topology mode
                            
                            .. attribute:: transition
                            
                            	Accept and generate both IS\-IS IPv6 and Multi\-topology IPv6 TLVs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.MultiTopology, self).__init__()

                                self.yang_name = "multi-topology"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.transition = YLeaf(YType.empty, "transition")
                                self._segment_path = lambda: "multi-topology"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.MultiTopology, ['transition'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute IPv6 prefixes from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application Protocol
                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: nd
                            
                            	Neighbor Discovery
                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: nemo
                            
                            	Network Mobility (NEMO)
                            	**type**\:  :py:class:`Nemo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf>`
                            
                            .. attribute:: rip
                            
                            	IPv6 Routing Information Protocol (RIPv6)
                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"application" : ("application", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application), "bgp" : ("bgp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp), "connected" : ("connected", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected), "isis" : ("isis", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis), "lisp" : ("lisp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp), "nd" : ("nd", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd), "nemo" : ("nemo", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo), "static" : ("static", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static)}
                                self._child_list_classes = {"eigrp" : ("eigrp", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf), "rip" : ("rip", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip)}

                                self.application = None
                                self._children_name_map["application"] = "application"
                                self._children_yang_names.add("application")

                                self.bgp = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.isis = None
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.lisp = None
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.nd = None
                                self._children_name_map["nd"] = "nd"
                                self._children_yang_names.add("nd")

                                self.nemo = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo()
                                self.nemo.parent = self
                                self._children_name_map["nemo"] = "nemo"
                                self._children_yang_names.add("nemo")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.eigrp = YList(self)
                                self.ospf = YList(self)
                                self.rip = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute, [], name, value)


                            class Application(Entity):
                                """
                                Application Protocol
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "application"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Application, ['include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.str, "as-number")

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Bgp, ['as_number', 'include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "connected"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.uint32, "as-number")

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Eigrp, ['as_number', 'include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_redistribute
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisRedistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisRedistribute>`
                                
                                .. attribute:: isis_leak
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisLeak <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisLeak>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"isis-redistribute" : ("isis_redistribute", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisRedistribute), "isis-leak" : ("isis_leak", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisLeak)}
                                    self.is_presence_container = True

                                    self.isis_redistribute = YList(self)
                                    self.isis_leak = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis, [], name, value)


                                class IsisRedistribute(Entity):
                                    """
                                    
                                    
                                    .. attribute:: area_tag  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: include_connected
                                    
                                    	Include connected
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisRedistribute.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisRedistribute, self).__init__()

                                        self.yang_name = "isis-redistribute"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.area_tag = YLeaf(YType.str, "area-tag")

                                        self.include_connected = YLeaf(YType.empty, "include-connected")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "isis-redistribute" + "[area-tag='" + self.area_tag.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisRedistribute, ['area_tag', 'include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class IsisLeak(Entity):
                                    """
                                    
                                    
                                    .. attribute:: isis_redist_levels1  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRedistLevels1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisLeak.IsisRedistLevels1>`
                                    
                                    .. attribute:: isis_redist_levels2  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRedistLevels2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisLeak.IsisRedistLevels2>`
                                    
                                    .. attribute:: into
                                    
                                    	from level\-n into level\-m
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: distribute_list
                                    
                                    	select routes
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route matching
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisLeak, self).__init__()

                                        self.yang_name = "isis-leak"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.isis_redist_levels1 = YLeaf(YType.enumeration, "isis-redist-levels1")

                                        self.isis_redist_levels2 = YLeaf(YType.enumeration, "isis-redist-levels2")

                                        self.into = YLeaf(YType.empty, "into")

                                        self.distribute_list = YLeaf(YType.str, "distribute-list")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "isis-leak" + "[isis-redist-levels1='" + self.isis_redist_levels1.get() + "']" + "[isis-redist-levels2='" + self.isis_redist_levels2.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Isis.IsisLeak, ['isis_redist_levels1', 'isis_redist_levels2', 'into', 'distribute_list', 'route_map'], name, value)

                                    class IsisRedistLevels1(Enum):
                                        """
                                        IsisRedistLevels1

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")


                                    class IsisRedistLevels2(Enum):
                                        """
                                        IsisRedistLevels2

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")



                            class Lisp(Entity):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "lisp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Lisp, ['include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Nd(Entity):
                                """
                                Neighbor Discovery
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd, self).__init__()

                                    self.yang_name = "nd"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "nd"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nd, ['include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Nemo(Entity):
                                """
                                Network Mobility (NEMO)
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo, self).__init__()

                                    self.yang_name = "nemo"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "nemo"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Nemo, ['include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: process_id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"match" : ("match", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match)}
                                    self._child_list_classes = {}

                                    self.process_id = YLeaf(YType.uint32, "process-id")

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.match = Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")
                                    self._segment_path = lambda: "ospf" + "[process-id='" + self.process_id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf, ['process_id', 'include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Match(Entity):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"internal" : ("internal", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal)}
                                        self._child_list_classes = {}

                                        self.internal = None
                                        self._children_name_map["internal"] = "internal"
                                        self._children_yang_names.add("internal")

                                        self.external = None
                                        self._children_name_map["external"] = "external"
                                        self._children_yang_names.add("external")

                                        self.nssa_external = None
                                        self._children_name_map["nssa_external"] = "nssa-external"
                                        self._children_yang_names.add("nssa-external")
                                        self._segment_path = lambda: "match"


                                    class Internal(Entity):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal, self).__init__()

                                            self.yang_name = "internal"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "internal"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.Internal, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class External(Entity):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External, self).__init__()

                                            self.yang_name = "external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.External, ['external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class NssaExternal(Entity):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                            self.yang_name = "nssa-external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "nssa-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Rip(Entity):
                                """
                                IPv6 Routing Information Protocol (RIPv6)
                                
                                .. attribute:: process  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: include_connected
                                
                                	Include connected
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.process = YLeaf(YType.str, "process")

                                    self.include_connected = YLeaf(YType.empty, "include-connected")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "rip" + "[process='" + self.process.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Rip, ['process', 'include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "static"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.Redistribute.Static, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class SummaryPrefix(Entity):
                            """
                            Configure IPv6 summary prefix
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`Levels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix.Levels>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix, self).__init__()

                                self.yang_name = "summary-prefix"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "summary-prefix" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.SummaryPrefix, ['prefix', 'levels'], name, value)

                            class Levels(Enum):
                                """
                                Levels

                                .. data:: level_1 = 0

                                .. data:: level_1_2 = 1

                                .. data:: level_2 = 2

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_1_2 = Enum.YLeaf(1, "level-1-2")

                                level_2 = Enum.YLeaf(2, "level-2")



                        class TableMap(Entity):
                            """
                            Map external entry attributes into routing table
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: filter
                            
                            	Selective route download
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.TableMap, self).__init__()

                                self.yang_name = "table-map"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.filter = YLeaf(YType.empty, "filter")
                                self._segment_path = lambda: "table-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.AddressFamily.Ipv6.TableMap, ['name', 'filter'], name, value)


                class Distance(Entity):
                    """
                    Define an administrative distance
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: ip_list
                    
                    	
                    	**type**\: list of  		 :py:class:`IpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Distance.IpList>`
                    
                    .. attribute:: clns
                    
                    	Distance applied for CLNS derived routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ip
                    
                    	Distance applied for IP derived routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Distance, self).__init__()

                        self.yang_name = "distance"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ip-list" : ("ip_list", Native.Router.IsisContainer.Isis.Distance.IpList)}

                        self.number = YLeaf(YType.uint8, "number")

                        self.clns = YLeaf(YType.empty, "clns")

                        self.ip = YLeaf(YType.empty, "ip")

                        self.ip_list = YList(self)
                        self._segment_path = lambda: "distance" + "[number='" + self.number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Distance, ['number', 'clns', 'ip'], name, value)


                    class IpList(Entity):
                        """
                        
                        
                        .. attribute:: ip  <key>
                        
                        	IP Source address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: wildcard_bits
                        
                        	
                        	**type**\: list of  		 :py:class:`WildcardBits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Distance.IpList.WildcardBits>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Distance.IpList, self).__init__()

                            self.yang_name = "ip-list"
                            self.yang_parent_name = "distance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"wildcard-bits" : ("wildcard_bits", Native.Router.IsisContainer.Isis.Distance.IpList.WildcardBits)}

                            self.ip = YLeaf(YType.str, "ip")

                            self.wildcard_bits = YList(self)
                            self._segment_path = lambda: "ip-list" + "[ip='" + self.ip.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Distance.IpList, ['ip'], name, value)


                        class WildcardBits(Entity):
                            """
                            
                            
                            .. attribute:: w_bits  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: access_list
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..99
                            
                            		**type**\: int
                            
                            			**range:** 1300..1999
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Distance.IpList.WildcardBits, self).__init__()

                                self.yang_name = "wildcard-bits"
                                self.yang_parent_name = "ip-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.w_bits = YLeaf(YType.str, "w-bits")

                                self.access_list = YLeaf(YType.str, "access-list")
                                self._segment_path = lambda: "wildcard-bits" + "[w-bits='" + self.w_bits.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Distance.IpList.WildcardBits, ['w_bits', 'access_list'], name, value)


                class Ip(Entity):
                    """
                    IP specific commands
                    
                    .. attribute:: route
                    
                    	ISIS IP routes
                    	**type**\:  :py:class:`Route <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Ip.Route>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"route" : ("route", Native.Router.IsisContainer.Isis.Ip.Route)}
                        self._child_list_classes = {}

                        self.route = Native.Router.IsisContainer.Isis.Ip.Route()
                        self.route.parent = self
                        self._children_name_map["route"] = "route"
                        self._children_yang_names.add("route")
                        self._segment_path = lambda: "ip"


                    class Route(Entity):
                        """
                        ISIS IP routes
                        
                        .. attribute:: priority
                        
                        	Assign priority to IP prefixes
                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Ip.Route.Priority>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Ip.Route, self).__init__()

                            self.yang_name = "route"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"priority" : ("priority", Native.Router.IsisContainer.Isis.Ip.Route.Priority)}
                            self._child_list_classes = {}

                            self.priority = Native.Router.IsisContainer.Isis.Ip.Route.Priority()
                            self.priority.parent = self
                            self._children_name_map["priority"] = "priority"
                            self._children_yang_names.add("priority")
                            self._segment_path = lambda: "route"


                        class Priority(Entity):
                            """
                            Assign priority to IP prefixes
                            
                            .. attribute:: high
                            
                            	Assign high priority to important IP prefixes in ISIS IP local RIB
                            	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Ip.Route.Priority.High>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Ip.Route.Priority, self).__init__()

                                self.yang_name = "priority"
                                self.yang_parent_name = "route"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"high" : ("high", Native.Router.IsisContainer.Isis.Ip.Route.Priority.High)}
                                self._child_list_classes = {}

                                self.high = Native.Router.IsisContainer.Isis.Ip.Route.Priority.High()
                                self.high.parent = self
                                self._children_name_map["high"] = "high"
                                self._children_yang_names.add("high")
                                self._segment_path = lambda: "priority"


                            class High(Entity):
                                """
                                Assign high priority to important IP prefixes in ISIS IP local RIB
                                
                                .. attribute:: tag
                                
                                	Assign high priority to IP prefixes with a specific route tag
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Ip.Route.Priority.High, self).__init__()

                                    self.yang_name = "high"
                                    self.yang_parent_name = "priority"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.tag = YLeaf(YType.uint32, "tag")
                                    self._segment_path = lambda: "high"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Ip.Route.Priority.High, ['tag'], name, value)


                class Redistribute(Entity):
                    """
                    Redistribute information from another routing protocol
                    
                    .. attribute:: application
                    
                    	Application
                    	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Application>`
                    
                    .. attribute:: bgp
                    
                    	Border Gateway Protocol (BGP)
                    	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Bgp>`
                    
                    .. attribute:: connected
                    
                    	Connected
                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Connected>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Eigrp>`
                    
                    .. attribute:: isis
                    
                    	ISO IS\-IS
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis>`
                    
                    .. attribute:: iso_igrp
                    
                    	IGRP for OSI networks
                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: lisp
                    
                    	Locator ID Separation Protocol (LISP)
                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Lisp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: maximum_prefix
                    
                    	Maximum number of prefixes redistributed to protocol
                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.MaximumPrefix>`
                    
                    .. attribute:: mobile
                    
                    	Mobile routes
                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Mobile>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: odr
                    
                    	On Demand stub Routes
                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Odr>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ospf
                    
                    	Open Shortest Path First (OSPF)
                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf>`
                    
                    .. attribute:: ospfv3
                    
                    	Open Shortest Path First (OSPF)
                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3>`
                    
                    .. attribute:: rip
                    
                    	Routing Information Protocol (RIP)
                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Rip>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: static
                    
                    	Static routes
                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Static>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vrf
                    
                    	Specify a source VRF
                    	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Redistribute, self).__init__()

                        self.yang_name = "redistribute"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bgp" : ("bgp", Native.Router.IsisContainer.Isis.Redistribute.Bgp), "connected" : ("connected", Native.Router.IsisContainer.Isis.Redistribute.Connected), "isis" : ("isis", Native.Router.IsisContainer.Isis.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp), "lisp" : ("lisp", Native.Router.IsisContainer.Isis.Redistribute.Lisp), "maximum-prefix" : ("maximum_prefix", Native.Router.IsisContainer.Isis.Redistribute.MaximumPrefix), "mobile" : ("mobile", Native.Router.IsisContainer.Isis.Redistribute.Mobile), "odr" : ("odr", Native.Router.IsisContainer.Isis.Redistribute.Odr), "rip" : ("rip", Native.Router.IsisContainer.Isis.Redistribute.Rip), "static" : ("static", Native.Router.IsisContainer.Isis.Redistribute.Static), "vrf" : ("vrf", Native.Router.IsisContainer.Isis.Redistribute.Vrf)}
                        self._child_list_classes = {"application" : ("application", Native.Router.IsisContainer.Isis.Redistribute.Application), "eigrp" : ("eigrp", Native.Router.IsisContainer.Isis.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.IsisContainer.Isis.Redistribute.Ospf), "ospfv3" : ("ospfv3", Native.Router.IsisContainer.Isis.Redistribute.Ospfv3)}

                        self.bgp = Native.Router.IsisContainer.Isis.Redistribute.Bgp()
                        self.bgp.parent = self
                        self._children_name_map["bgp"] = "bgp"
                        self._children_yang_names.add("bgp")

                        self.connected = None
                        self._children_name_map["connected"] = "connected"
                        self._children_yang_names.add("connected")

                        self.isis = Native.Router.IsisContainer.Isis.Redistribute.Isis()
                        self.isis.parent = self
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")

                        self.iso_igrp = None
                        self._children_name_map["iso_igrp"] = "iso-igrp"
                        self._children_yang_names.add("iso-igrp")

                        self.lisp = None
                        self._children_name_map["lisp"] = "lisp"
                        self._children_yang_names.add("lisp")

                        self.maximum_prefix = Native.Router.IsisContainer.Isis.Redistribute.MaximumPrefix()
                        self.maximum_prefix.parent = self
                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                        self._children_yang_names.add("maximum-prefix")

                        self.mobile = None
                        self._children_name_map["mobile"] = "mobile"
                        self._children_yang_names.add("mobile")

                        self.odr = None
                        self._children_name_map["odr"] = "odr"
                        self._children_yang_names.add("odr")

                        self.rip = None
                        self._children_name_map["rip"] = "rip"
                        self._children_yang_names.add("rip")

                        self.static = None
                        self._children_name_map["static"] = "static"
                        self._children_yang_names.add("static")

                        self.vrf = Native.Router.IsisContainer.Isis.Redistribute.Vrf()
                        self.vrf.parent = self
                        self._children_name_map["vrf"] = "vrf"
                        self._children_yang_names.add("vrf")

                        self.application = YList(self)
                        self.eigrp = YList(self)
                        self.ospf = YList(self)
                        self.ospfv3 = YList(self)
                        self._segment_path = lambda: "redistribute"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute, [], name, value)


                    class Application(Entity):
                        """
                        Application
                        
                        .. attribute:: name  <key>
                        
                        	Application name
                        	**type**\: str
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Application.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.Application, self).__init__()

                            self.yang_name = "application"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Application, ['name', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Bgp(Entity):
                        """
                        Border Gateway Protocol (BGP)
                        
                        .. attribute:: as_number
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..4294967295
                        
                        		**type**\: str
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Bgp.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: clns
                        
                        	Redistribution of BGP NSAP routes
                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ip
                        
                        	Redistribution of BGP IP routes
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.Bgp, self).__init__()

                            self.yang_name = "bgp"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"clns" : ("clns", Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns), "ip" : ("ip", Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip)}
                            self._child_list_classes = {}

                            self.as_number = YLeaf(YType.str, "as-number")

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.clns = None
                            self._children_name_map["clns"] = "clns"
                            self._children_yang_names.add("clns")

                            self.ip = None
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")
                            self._segment_path = lambda: "bgp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Bgp, ['as_number', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Clns(Entity):
                            """
                            Redistribution of BGP NSAP routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns, self).__init__()

                                self.yang_name = "clns"
                                self.yang_parent_name = "bgp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "clns"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Bgp.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Ip(Entity):
                            """
                            Redistribution of BGP IP routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "bgp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Bgp.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Connected(Entity):
                        """
                        Connected
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Connected.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.Connected, self).__init__()

                            self.yang_name = "connected"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "connected"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Eigrp(Entity):
                        """
                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                        
                        .. attribute:: as_number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Eigrp.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.as_number = YLeaf(YType.uint32, "as-number")

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Eigrp, ['as_number', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Isis(Entity):
                        """
                        ISO IS\-IS
                        
                        .. attribute:: isis_redistribute
                        
                        	
                        	**type**\: list of  		 :py:class:`IsisRedistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis.IsisRedistribute>`
                        
                        .. attribute:: ip
                        
                        	Redistribution of IP routes between levels
                        	**type**\: list of  		 :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis.Ip>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"isis-redistribute" : ("isis_redistribute", Native.Router.IsisContainer.Isis.Redistribute.Isis.IsisRedistribute), "ip" : ("ip", Native.Router.IsisContainer.Isis.Redistribute.Isis.Ip)}

                            self.isis_redistribute = YList(self)
                            self.ip = YList(self)
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Isis, [], name, value)


                        class IsisRedistribute(Entity):
                            """
                            
                            
                            .. attribute:: area_tag  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ip
                            
                            	Redistribution of IP routes between levels or processes
                            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis.IsisRedistribute.Ip>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Redistribute.Isis.IsisRedistribute, self).__init__()

                                self.yang_name = "isis-redistribute"
                                self.yang_parent_name = "isis"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ip" : ("ip", Native.Router.IsisContainer.Isis.Redistribute.Isis.IsisRedistribute.Ip)}
                                self._child_list_classes = {}

                                self.area_tag = YLeaf(YType.str, "area-tag")

                                self.ip = None
                                self._children_name_map["ip"] = "ip"
                                self._children_yang_names.add("ip")
                                self._segment_path = lambda: "isis-redistribute" + "[area-tag='" + self.area_tag.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Isis.IsisRedistribute, ['area_tag'], name, value)


                            class Ip(Entity):
                                """
                                Redistribution of IP routes between levels or processes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis.IsisRedistribute.Ip.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Isis.IsisRedistribute.Ip, self).__init__()

                                    self.yang_name = "ip"
                                    self.yang_parent_name = "isis-redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "ip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Isis.IsisRedistribute.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Ip(Entity):
                            """
                            Redistribution of IP routes between levels
                            
                            .. attribute:: isis_redist_levels1  <key>
                            
                            	
                            	**type**\:  :py:class:`IsisRedistLevels1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis.Ip.IsisRedistLevels1>`
                            
                            .. attribute:: isis_redist_levels2  <key>
                            
                            	
                            	**type**\:  :py:class:`IsisRedistLevels2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Isis.Ip.IsisRedistLevels2>`
                            
                            .. attribute:: into
                            
                            	from level\-n into level\-m
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: distribute_list
                            
                            	select routes
                            	**type**\: int
                            
                            	**range:** 100..199
                            
                            .. attribute:: route_map
                            
                            	Route map for route matching
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Redistribute.Isis.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "isis"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.isis_redist_levels1 = YLeaf(YType.enumeration, "isis-redist-levels1")

                                self.isis_redist_levels2 = YLeaf(YType.enumeration, "isis-redist-levels2")

                                self.into = YLeaf(YType.empty, "into")

                                self.distribute_list = YLeaf(YType.uint32, "distribute-list")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "ip" + "[isis-redist-levels1='" + self.isis_redist_levels1.get() + "']" + "[isis-redist-levels2='" + self.isis_redist_levels2.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Isis.Ip, ['isis_redist_levels1', 'isis_redist_levels2', 'into', 'distribute_list', 'route_map'], name, value)

                            class IsisRedistLevels1(Enum):
                                """
                                IsisRedistLevels1

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")


                            class IsisRedistLevels2(Enum):
                                """
                                IsisRedistLevels2

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")



                    class IsoIgrp(Entity):
                        """
                        IGRP for OSI networks
                        
                        .. attribute:: area_tag_route_map_container
                        
                        	
                        	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.MetricType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp, self).__init__()

                            self.yang_name = "iso-igrp"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.area_tag_route_map_container = Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                            self.area_tag_route_map_container.parent = self
                            self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                            self._children_yang_names.add("area-tag-route-map-container")
                            self._segment_path = lambda: "iso-igrp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp, ['route_map', 'levels', 'metric', 'metric_type'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class AreaTagRouteMapContainer(Entity):
                            """
                            
                            
                            .. attribute:: area_tag
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                self.yang_name = "area-tag-route-map-container"
                                self.yang_parent_name = "iso-igrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.area_tag = YLeaf(YType.str, "area-tag")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "area-tag-route-map-container"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                    class Lisp(Entity):
                        """
                        Locator ID Separation Protocol (LISP)
                        
                        .. attribute:: include_connected
                        
                        	Include connected
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Lisp.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.Lisp, self).__init__()

                            self.yang_name = "lisp"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.include_connected = YLeaf(YType.empty, "include-connected")

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "lisp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Lisp, ['include_connected', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class MaximumPrefix(Entity):
                        """
                        Maximum number of prefixes redistributed to protocol
                        
                        .. attribute:: number
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: threshold_value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: warning_only
                        
                        	Only give warning message when limit is exceeded
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: withdraw
                        
                        	Withdraw redistibuted prefixes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.MaximumPrefix, self).__init__()

                            self.yang_name = "maximum-prefix"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint32, "number")

                            self.threshold_value = YLeaf(YType.uint32, "threshold-value")

                            self.warning_only = YLeaf(YType.empty, "warning-only")

                            self.withdraw = YLeaf(YType.empty, "withdraw")
                            self._segment_path = lambda: "maximum-prefix"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.MaximumPrefix, ['number', 'threshold_value', 'warning_only', 'withdraw'], name, value)


                    class Mobile(Entity):
                        """
                        Mobile routes
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Mobile.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.Mobile, self).__init__()

                            self.yang_name = "mobile"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "mobile"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Mobile, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Odr(Entity):
                        """
                        On Demand stub Routes
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Odr.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.Odr, self).__init__()

                            self.yang_name = "odr"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "odr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Odr, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Ospf(Entity):
                        """
                        Open Shortest Path First (OSPF)
                        
                        .. attribute:: process_id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: match
                        
                        	Redistribution of OSPF routes
                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match>`
                        
                        .. attribute:: vrf
                        
                        	VPN Routing/Forwarding Instance
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.Ospf, self).__init__()

                            self.yang_name = "ospf"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"match" : ("match", Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match)}
                            self._child_list_classes = {}

                            self.process_id = YLeaf(YType.uint32, "process-id")

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.vrf = YLeaf(YType.str, "vrf")

                            self.match = Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match()
                            self.match.parent = self
                            self._children_name_map["match"] = "match"
                            self._children_yang_names.add("match")
                            self._segment_path = lambda: "ospf" + "[process-id='" + self.process_id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Ospf, ['process_id', 'levels', 'metric', 'metric_type', 'route_map', 'vrf'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Match(Entity):
                            """
                            Redistribution of OSPF routes
                            
                            .. attribute:: internal
                            
                            	Redistribute OSPF internal routes
                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: external
                            
                            	Redistribute OSPF external routes
                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: nssa_external
                            
                            	Redistribute OSPF NSSA external routes
                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match, self).__init__()

                                self.yang_name = "match"
                                self.yang_parent_name = "ospf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"internal" : ("internal", Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal)}
                                self._child_list_classes = {}

                                self.internal = None
                                self._children_name_map["internal"] = "internal"
                                self._children_yang_names.add("internal")

                                self.external = None
                                self._children_name_map["external"] = "external"
                                self._children_yang_names.add("external")

                                self.nssa_external = None
                                self._children_name_map["nssa_external"] = "nssa-external"
                                self._children_yang_names.add("nssa-external")
                                self._segment_path = lambda: "match"


                            class Internal(Entity):
                                """
                                Redistribute OSPF internal routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal, self).__init__()

                                    self.yang_name = "internal"
                                    self.yang_parent_name = "match"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "internal"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.Internal, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class External(Entity):
                                """
                                Redistribute OSPF external routes
                                
                                .. attribute:: external_routes
                                
                                	
                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External, self).__init__()

                                    self.yang_name = "external"
                                    self.yang_parent_name = "match"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "external"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.External, ['external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class NssaExternal(Entity):
                                """
                                Redistribute OSPF NSSA external routes
                                
                                .. attribute:: nssa_external_routes
                                
                                	
                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                    self.yang_name = "nssa-external"
                                    self.yang_parent_name = "match"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "nssa-external"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Ospfv3(Entity):
                        """
                        Open Shortest Path First (OSPF)
                        
                        .. attribute:: process_id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: match
                        
                        	Redistribution of OSPF routes
                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match>`
                        
                        .. attribute:: vrf
                        
                        	VPN Routing/Forwarding Instance
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.Ospfv3, self).__init__()

                            self.yang_name = "ospfv3"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"match" : ("match", Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match)}
                            self._child_list_classes = {}

                            self.process_id = YLeaf(YType.uint32, "process-id")

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.vrf = YLeaf(YType.str, "vrf")

                            self.match = Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match()
                            self.match.parent = self
                            self._children_name_map["match"] = "match"
                            self._children_yang_names.add("match")
                            self._segment_path = lambda: "ospfv3" + "[process-id='" + self.process_id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Ospfv3, ['process_id', 'levels', 'metric', 'metric_type', 'route_map', 'vrf'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Match(Entity):
                            """
                            Redistribution of OSPF routes
                            
                            .. attribute:: internal
                            
                            	Redistribute OSPF internal routes
                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: external
                            
                            	Redistribute OSPF external routes
                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: nssa_external
                            
                            	Redistribute OSPF NSSA external routes
                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match, self).__init__()

                                self.yang_name = "match"
                                self.yang_parent_name = "ospfv3"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"internal" : ("internal", Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal), "external" : ("external", Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal)}
                                self._child_list_classes = {}

                                self.internal = None
                                self._children_name_map["internal"] = "internal"
                                self._children_yang_names.add("internal")

                                self.external = None
                                self._children_name_map["external"] = "external"
                                self._children_yang_names.add("external")

                                self.nssa_external = None
                                self._children_name_map["nssa_external"] = "nssa-external"
                                self._children_yang_names.add("nssa-external")
                                self._segment_path = lambda: "match"


                            class Internal(Entity):
                                """
                                Redistribute OSPF internal routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal, self).__init__()

                                    self.yang_name = "internal"
                                    self.yang_parent_name = "match"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "internal"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.Internal, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class External(Entity):
                                """
                                Redistribute OSPF external routes
                                
                                .. attribute:: external_routes
                                
                                	
                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External, self).__init__()

                                    self.yang_name = "external"
                                    self.yang_parent_name = "match"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "external"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.External, ['external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class NssaExternal(Entity):
                                """
                                Redistribute OSPF NSSA external routes
                                
                                .. attribute:: nssa_external_routes
                                
                                	
                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal, self).__init__()

                                    self.yang_name = "nssa-external"
                                    self.yang_parent_name = "match"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "nssa-external"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Rip(Entity):
                        """
                        Routing Information Protocol (RIP)
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                        
                        .. attribute:: metric
                        
                        	ISIS default metric
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Rip.MetricType>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.Rip, self).__init__()

                            self.yang_name = "rip"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "rip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Rip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: external = 0

                            .. data:: internal = 1

                            .. data:: rib_metric_as_external = 2

                            .. data:: rib_metric_as_internal = 3

                            """

                            external = Enum.YLeaf(0, "external")

                            internal = Enum.YLeaf(1, "internal")

                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Static(Entity):
                        """
                        Static routes
                        
                        .. attribute:: clns
                        
                        	Redistribution of BGP NSAP routes
                        	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Static.Clns>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ip
                        
                        	Redistribution of BGP IP routes
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Static.Ip>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.Static, self).__init__()

                            self.yang_name = "static"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"clns" : ("clns", Native.Router.IsisContainer.Isis.Redistribute.Static.Clns), "ip" : ("ip", Native.Router.IsisContainer.Isis.Redistribute.Static.Ip)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.clns = None
                            self._children_name_map["clns"] = "clns"
                            self._children_yang_names.add("clns")

                            self.ip = None
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")
                            self._segment_path = lambda: "static"


                        class Clns(Entity):
                            """
                            Redistribution of BGP NSAP routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Static.Clns.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Redistribute.Static.Clns, self).__init__()

                                self.yang_name = "clns"
                                self.yang_parent_name = "static"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "clns"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Static.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Ip(Entity):
                            """
                            Redistribution of BGP IP routes
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                            
                            .. attribute:: metric
                            
                            	ISIS default metric
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Static.Ip.MetricType>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Redistribute.Static.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "static"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Static.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: external = 0

                                .. data:: internal = 1

                                .. data:: rib_metric_as_external = 2

                                .. data:: rib_metric_as_internal = 3

                                """

                                external = Enum.YLeaf(0, "external")

                                internal = Enum.YLeaf(1, "internal")

                                rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                    class Vrf(Entity):
                        """
                        Specify a source VRF
                        
                        .. attribute:: vrf_nm
                        
                        	
                        	**type**\: list of  		 :py:class:`VrfNm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm>`
                        
                        .. attribute:: global_
                        
                        	global VRF
                        	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Redistribute.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"global" : ("global_", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_)}
                            self._child_list_classes = {"vrf-nm" : ("vrf_nm", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm)}

                            self.global_ = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_()
                            self.global_.parent = self
                            self._children_name_map["global_"] = "global"
                            self._children_yang_names.add("global")

                            self.vrf_nm = YList(self)
                            self._segment_path = lambda: "vrf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf, [], name, value)


                        class VrfNm(Entity):
                            """
                            
                            
                            .. attribute:: vrf_nm  <key>
                            
                            	Source VRF name
                            	**type**\: str
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis>`
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Process ID
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm, self).__init__()

                                self.yang_name = "vrf-nm"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"application" : ("application", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application), "bgp" : ("bgp", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp), "connected" : ("connected", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected), "eigrp" : ("eigrp", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp), "isis" : ("isis", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis), "iso-igrp" : ("iso_igrp", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp), "lisp" : ("lisp", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp), "mobile" : ("mobile", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile), "ospfv3" : ("ospfv3", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3), "rip" : ("rip", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip), "static" : ("static", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static)}
                                self._child_list_classes = {}

                                self.vrf_nm = YLeaf(YType.str, "vrf-nm")

                                self.ospf = YLeaf(YType.uint16, "ospf")

                                self.application = Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application()
                                self.application.parent = self
                                self._children_name_map["application"] = "application"
                                self._children_yang_names.add("application")

                                self.bgp = Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.eigrp = Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp()
                                self.eigrp.parent = self
                                self._children_name_map["eigrp"] = "eigrp"
                                self._children_yang_names.add("eigrp")

                                self.isis = Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis()
                                self.isis.parent = self
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.iso_igrp = None
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.lisp = None
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.ospfv3 = Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3()
                                self.ospfv3.parent = self
                                self._children_name_map["ospfv3"] = "ospfv3"
                                self._children_yang_names.add("ospfv3")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")
                                self._segment_path = lambda: "vrf-nm" + "[vrf-nm='" + self.vrf_nm.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm, ['vrf_nm', 'ospf'], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: appname
                                
                                	
                                	**type**\: list of  		 :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "vrf-nm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"appname" : ("appname", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname)}

                                    self.appname = YList(self)
                                    self._segment_path = lambda: "application"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application, [], name, value)


                                class Appname(Entity):
                                    """
                                    
                                    
                                    .. attribute:: appname  <key>
                                    
                                    	Application name
                                    	**type**\: str
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname, self).__init__()

                                        self.yang_name = "appname"
                                        self.yang_parent_name = "application"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.appname = YLeaf(YType.str, "appname")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "appname" + "[appname='" + self.appname.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Application.Appname, ['appname', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: bp_as_num
                                
                                	
                                	**type**\: list of  		 :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum>`
                                
                                .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                                
                                	Autonomous system number
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "vrf-nm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"bp-as-num" : ("bp_as_num", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum)}

                                    self.a_lesser_1_period_0_xx_period_yy_greater_ = YLeaf(YType.empty, "a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_")

                                    self.bp_as_num = YList(self)
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp, ['a_lesser_1_period_0_xx_period_yy_greater_'], name, value)


                                class BpAsNum(Entity):
                                    """
                                    
                                    
                                    .. attribute:: bp_as_num  <key>
                                    
                                    	Autonomous system number
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of BGP NSAP routes
                                    	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of BGP IP routes
                                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum, self).__init__()

                                        self.yang_name = "bp-as-num"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"clns" : ("clns", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns), "ip" : ("ip", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip)}
                                        self._child_list_classes = {}

                                        self.bp_as_num = YLeaf(YType.str, "bp-as-num")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.clns = None
                                        self._children_name_map["clns"] = "clns"
                                        self._children_yang_names.add("clns")

                                        self.ip = None
                                        self._children_name_map["ip"] = "ip"
                                        self._children_yang_names.add("ip")
                                        self._segment_path = lambda: "bp-as-num" + "[bp-as-num='" + self.bp_as_num.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum, ['bp_as_num', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Clns(Entity):
                                        """
                                        Redistribution of BGP NSAP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns, self).__init__()

                                            self.yang_name = "clns"
                                            self.yang_parent_name = "bp-as-num"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "clns"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Ip(Entity):
                                        """
                                        Redistribution of BGP IP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip, self).__init__()

                                            self.yang_name = "ip"
                                            self.yang_parent_name = "bp-as-num"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Bgp.BpAsNum.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "vrf-nm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "connected"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: eigrp_as
                                
                                	
                                	**type**\: list of  		 :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "vrf-nm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"eigrp-as" : ("eigrp_as", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs)}

                                    self.eigrp_as = YList(self)
                                    self._segment_path = lambda: "eigrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp, [], name, value)


                                class EigrpAs(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eigrp_as  <key>
                                    
                                    	AS number
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs, self).__init__()

                                        self.yang_name = "eigrp-as"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eigrp_as = YLeaf(YType.uint16, "eigrp-as")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "eigrp-as" + "[eigrp-as='" + self.eigrp_as.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Eigrp.EigrpAs, ['eigrp_as', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_atag
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag>`
                                
                                .. attribute:: ip
                                
                                	Redistribution of IP routes between levels or processes
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.Ip>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "vrf-nm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ip" : ("ip", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.Ip)}
                                    self._child_list_classes = {"isis-atag" : ("isis_atag", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag)}

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")

                                    self.isis_atag = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis, [], name, value)


                                class IsisAtag(Entity):
                                    """
                                    
                                    
                                    .. attribute:: isis_atag  <key>
                                    
                                    	ISO routing area tag
                                    	**type**\: str
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP routes between levels or processes
                                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag, self).__init__()

                                        self.yang_name = "isis-atag"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ip" : ("ip", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip)}
                                        self._child_list_classes = {}

                                        self.isis_atag = YLeaf(YType.str, "isis-atag")

                                        self.ip = Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip()
                                        self.ip.parent = self
                                        self._children_name_map["ip"] = "ip"
                                        self._children_yang_names.add("ip")
                                        self._segment_path = lambda: "isis-atag" + "[isis-atag='" + self.isis_atag.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag, ['isis_atag'], name, value)


                                    class Ip(Entity):
                                        """
                                        Redistribution of IP routes between levels or processes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip, self).__init__()

                                            self.yang_name = "ip"
                                            self.yang_parent_name = "isis-atag"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.IsisAtag.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Ip(Entity):
                                    """
                                    Redistribution of IP routes between levels or processes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.Ip.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Isis.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: iso_atag
                                
                                	
                                	**type**\: list of  		 :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "vrf-nm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"route-map" : ("route_map", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap)}
                                    self._child_list_classes = {"iso-atag" : ("iso_atag", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag)}
                                    self.is_presence_container = True

                                    self.route_map = None
                                    self._children_name_map["route_map"] = "route-map"
                                    self._children_yang_names.add("route-map")

                                    self.iso_atag = YList(self)
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp, [], name, value)


                                class IsoAtag(Entity):
                                    """
                                    
                                    
                                    .. attribute:: iso_atag  <key>
                                    
                                    	ISO routing area tag
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag, self).__init__()

                                        self.yang_name = "iso-atag"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.iso_atag = YLeaf(YType.str, "iso-atag")

                                        self.route_map = YLeaf(YType.empty, "route-map")
                                        self._segment_path = lambda: "iso-atag" + "[iso-atag='" + self.iso_atag.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.IsoAtag, ['iso_atag', 'route_map'], name, value)


                                class RouteMap(Entity):
                                    """
                                    Route map reference
                                    
                                    .. attribute:: rm_point
                                    
                                    	Pointer to route\-map entries
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap, self).__init__()

                                        self.yang_name = "route-map"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.rm_point = YLeaf(YType.str, "rm-point")
                                        self._segment_path = lambda: "route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.IsoIgrp.RouteMap, ['rm_point'], name, value)


                            class Lisp(Entity):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "vrf-nm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "lisp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Lisp, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "vrf-nm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "mobile"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Mobile, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: os3_id
                                
                                	
                                	**type**\: list of  		 :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "vrf-nm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"os3-id" : ("os3_id", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id)}

                                    self.os3_id = YList(self)
                                    self._segment_path = lambda: "ospfv3"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3, [], name, value)


                                class Os3Id(Entity):
                                    """
                                    
                                    
                                    .. attribute:: os3_id  <key>
                                    
                                    	Process ID
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id, self).__init__()

                                        self.yang_name = "os3-id"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.os3_id = YLeaf(YType.uint16, "os3-id")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "os3-id" + "[os3-id='" + self.os3_id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Ospfv3.Os3Id, ['os3_id', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "vrf-nm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "rip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Rip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of BGP NSAP routes
                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	Redistribution of BGP IP routes
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "vrf-nm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"clns" : ("clns", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns), "ip" : ("ip", Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.clns = None
                                    self._children_name_map["clns"] = "clns"
                                    self._children_yang_names.add("clns")

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "static"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Clns(Entity):
                                    """
                                    Redistribution of BGP NSAP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns, self).__init__()

                                        self.yang_name = "clns"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "clns"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Ip(Entity):
                                    """
                                    Redistribution of BGP IP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.VrfNm.Static.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                        class Global_(Entity):
                            """
                            global VRF
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\:  :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis>`
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Process ID
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_, self).__init__()

                                self.yang_name = "global"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"application" : ("application", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application), "bgp" : ("bgp", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp), "connected" : ("connected", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected), "eigrp" : ("eigrp", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp), "isis" : ("isis", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis), "iso-igrp" : ("iso_igrp", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp), "lisp" : ("lisp", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp), "mobile" : ("mobile", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile), "ospfv3" : ("ospfv3", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3), "rip" : ("rip", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip), "static" : ("static", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static)}
                                self._child_list_classes = {}

                                self.ospf = YLeaf(YType.uint16, "ospf")

                                self.application = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application()
                                self.application.parent = self
                                self._children_name_map["application"] = "application"
                                self._children_yang_names.add("application")

                                self.bgp = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp()
                                self.bgp.parent = self
                                self._children_name_map["bgp"] = "bgp"
                                self._children_yang_names.add("bgp")

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.eigrp = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp()
                                self.eigrp.parent = self
                                self._children_name_map["eigrp"] = "eigrp"
                                self._children_yang_names.add("eigrp")

                                self.isis = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis()
                                self.isis.parent = self
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.iso_igrp = None
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.lisp = None
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.ospfv3 = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3()
                                self.ospfv3.parent = self
                                self._children_name_map["ospfv3"] = "ospfv3"
                                self._children_yang_names.add("ospfv3")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")
                                self._segment_path = lambda: "global"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_, ['ospf'], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: appname
                                
                                	
                                	**type**\: list of  		 :py:class:`Appname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "global"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"appname" : ("appname", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname)}

                                    self.appname = YList(self)
                                    self._segment_path = lambda: "application"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application, [], name, value)


                                class Appname(Entity):
                                    """
                                    
                                    
                                    .. attribute:: appname  <key>
                                    
                                    	Application name
                                    	**type**\: str
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname, self).__init__()

                                        self.yang_name = "appname"
                                        self.yang_parent_name = "application"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.appname = YLeaf(YType.str, "appname")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "appname" + "[appname='" + self.appname.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Application.Appname, ['appname', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: bp_as_num
                                
                                	
                                	**type**\: list of  		 :py:class:`BpAsNum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum>`
                                
                                .. attribute:: a_lesser_1_period_0_xx_period_yy_greater_
                                
                                	Autonomous system number
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "global"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"bp-as-num" : ("bp_as_num", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum)}

                                    self.a_lesser_1_period_0_xx_period_yy_greater_ = YLeaf(YType.empty, "a_LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_")

                                    self.bp_as_num = YList(self)
                                    self._segment_path = lambda: "bgp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp, ['a_lesser_1_period_0_xx_period_yy_greater_'], name, value)


                                class BpAsNum(Entity):
                                    """
                                    
                                    
                                    .. attribute:: bp_as_num  <key>
                                    
                                    	Autonomous system number
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: clns
                                    
                                    	Redistribution of BGP NSAP routes
                                    	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of BGP IP routes
                                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum, self).__init__()

                                        self.yang_name = "bp-as-num"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"clns" : ("clns", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns), "ip" : ("ip", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip)}
                                        self._child_list_classes = {}

                                        self.bp_as_num = YLeaf(YType.str, "bp-as-num")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.clns = None
                                        self._children_name_map["clns"] = "clns"
                                        self._children_yang_names.add("clns")

                                        self.ip = None
                                        self._children_name_map["ip"] = "ip"
                                        self._children_yang_names.add("ip")
                                        self._segment_path = lambda: "bp-as-num" + "[bp-as-num='" + self.bp_as_num.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum, ['bp_as_num', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Clns(Entity):
                                        """
                                        Redistribution of BGP NSAP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns, self).__init__()

                                            self.yang_name = "clns"
                                            self.yang_parent_name = "bp-as-num"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "clns"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                    class Ip(Entity):
                                        """
                                        Redistribution of BGP IP routes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip, self).__init__()

                                            self.yang_name = "ip"
                                            self.yang_parent_name = "bp-as-num"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Bgp.BpAsNum.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "global"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "connected"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Connected, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: eigrp_as
                                
                                	
                                	**type**\: list of  		 :py:class:`EigrpAs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "global"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"eigrp-as" : ("eigrp_as", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs)}

                                    self.eigrp_as = YList(self)
                                    self._segment_path = lambda: "eigrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp, [], name, value)


                                class EigrpAs(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eigrp_as  <key>
                                    
                                    	AS number
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs, self).__init__()

                                        self.yang_name = "eigrp-as"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eigrp_as = YLeaf(YType.uint16, "eigrp-as")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "eigrp-as" + "[eigrp-as='" + self.eigrp_as.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Eigrp.EigrpAs, ['eigrp_as', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_atag
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag>`
                                
                                .. attribute:: ip
                                
                                	Redistribution of IP routes between levels or processes
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.Ip>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "global"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ip" : ("ip", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.Ip)}
                                    self._child_list_classes = {"isis-atag" : ("isis_atag", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag)}

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")

                                    self.isis_atag = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis, [], name, value)


                                class IsisAtag(Entity):
                                    """
                                    
                                    
                                    .. attribute:: isis_atag  <key>
                                    
                                    	ISO routing area tag
                                    	**type**\: str
                                    
                                    .. attribute:: ip
                                    
                                    	Redistribution of IP routes between levels or processes
                                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag, self).__init__()

                                        self.yang_name = "isis-atag"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"ip" : ("ip", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip)}
                                        self._child_list_classes = {}

                                        self.isis_atag = YLeaf(YType.str, "isis-atag")

                                        self.ip = Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip()
                                        self.ip.parent = self
                                        self._children_name_map["ip"] = "ip"
                                        self._children_yang_names.add("ip")
                                        self._segment_path = lambda: "isis-atag" + "[isis-atag='" + self.isis_atag.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag, ['isis_atag'], name, value)


                                    class Ip(Entity):
                                        """
                                        Redistribution of IP routes between levels or processes
                                        
                                        .. attribute:: levels
                                        
                                        	
                                        	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                        
                                        .. attribute:: metric
                                        
                                        	ISIS default metric
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip.MetricType>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-isis'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip, self).__init__()

                                            self.yang_name = "ip"
                                            self.yang_parent_name = "isis-atag"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.levels = YLeaf(YType.enumeration, "levels")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.IsisAtag.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: external = 0

                                            .. data:: internal = 1

                                            .. data:: rib_metric_as_external = 2

                                            .. data:: rib_metric_as_internal = 3

                                            """

                                            external = Enum.YLeaf(0, "external")

                                            internal = Enum.YLeaf(1, "internal")

                                            rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                            rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Ip(Entity):
                                    """
                                    Redistribution of IP routes between levels or processes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.Ip.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Isis.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: iso_atag
                                
                                	
                                	**type**\: list of  		 :py:class:`IsoAtag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "global"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"route-map" : ("route_map", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap)}
                                    self._child_list_classes = {"iso-atag" : ("iso_atag", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag)}
                                    self.is_presence_container = True

                                    self.route_map = None
                                    self._children_name_map["route_map"] = "route-map"
                                    self._children_yang_names.add("route-map")

                                    self.iso_atag = YList(self)
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp, [], name, value)


                                class IsoAtag(Entity):
                                    """
                                    
                                    
                                    .. attribute:: iso_atag  <key>
                                    
                                    	ISO routing area tag
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag, self).__init__()

                                        self.yang_name = "iso-atag"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.iso_atag = YLeaf(YType.str, "iso-atag")

                                        self.route_map = YLeaf(YType.empty, "route-map")
                                        self._segment_path = lambda: "iso-atag" + "[iso-atag='" + self.iso_atag.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.IsoAtag, ['iso_atag', 'route_map'], name, value)


                                class RouteMap(Entity):
                                    """
                                    Route map reference
                                    
                                    .. attribute:: rm_point
                                    
                                    	Pointer to route\-map entries
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap, self).__init__()

                                        self.yang_name = "route-map"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.rm_point = YLeaf(YType.str, "rm-point")
                                        self._segment_path = lambda: "route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.IsoIgrp.RouteMap, ['rm_point'], name, value)


                            class Lisp(Entity):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "global"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "lisp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Lisp, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "global"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "mobile"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Mobile, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: os3_id
                                
                                	
                                	**type**\: list of  		 :py:class:`Os3Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "global"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"os3-id" : ("os3_id", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id)}

                                    self.os3_id = YList(self)
                                    self._segment_path = lambda: "ospfv3"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3, [], name, value)


                                class Os3Id(Entity):
                                    """
                                    
                                    
                                    .. attribute:: os3_id  <key>
                                    
                                    	Process ID
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id, self).__init__()

                                        self.yang_name = "os3-id"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.os3_id = YLeaf(YType.uint16, "os3-id")

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "os3-id" + "[os3-id='" + self.os3_id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Ospfv3.Os3Id, ['os3_id', 'levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "global"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "rip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Rip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: clns
                                
                                	Redistribution of BGP NSAP routes
                                	**type**\:  :py:class:`Clns <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ip
                                
                                	Redistribution of BGP IP routes
                                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: levels
                                
                                	
                                	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                
                                .. attribute:: metric
                                
                                	ISIS default metric
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.MetricType>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "global"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"clns" : ("clns", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns), "ip" : ("ip", Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.levels = YLeaf(YType.enumeration, "levels")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.clns = None
                                    self._children_name_map["clns"] = "clns"
                                    self._children_yang_names.add("clns")

                                    self.ip = None
                                    self._children_name_map["ip"] = "ip"
                                    self._children_yang_names.add("ip")
                                    self._segment_path = lambda: "static"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: external = 0

                                    .. data:: internal = 1

                                    .. data:: rib_metric_as_external = 2

                                    .. data:: rib_metric_as_internal = 3

                                    """

                                    external = Enum.YLeaf(0, "external")

                                    internal = Enum.YLeaf(1, "internal")

                                    rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                    rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Clns(Entity):
                                    """
                                    Redistribution of BGP NSAP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns, self).__init__()

                                        self.yang_name = "clns"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "clns"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Clns, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                                class Ip(Entity):
                                    """
                                    Redistribution of BGP IP routes
                                    
                                    .. attribute:: levels
                                    
                                    	
                                    	**type**\:  :py:class:`IsisRoutesLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.IsisRoutesLevelType>`
                                    
                                    .. attribute:: metric
                                    
                                    	ISIS default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip.MetricType>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip, self).__init__()

                                        self.yang_name = "ip"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.levels = YLeaf(YType.enumeration, "levels")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "ip"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Redistribute.Vrf.Global_.Static.Ip, ['levels', 'metric', 'metric_type', 'route_map'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: external = 0

                                        .. data:: internal = 1

                                        .. data:: rib_metric_as_external = 2

                                        .. data:: rib_metric_as_internal = 3

                                        """

                                        external = Enum.YLeaf(0, "external")

                                        internal = Enum.YLeaf(1, "internal")

                                        rib_metric_as_external = Enum.YLeaf(2, "rib-metric-as-external")

                                        rib_metric_as_internal = Enum.YLeaf(3, "rib-metric-as-internal")



                class SetAttachedBit(Entity):
                    """
                    Conditionally advertise us as attached to L2
                    
                    .. attribute:: route_map
                    
                    	Route\-map reference
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.SetAttachedBit, self).__init__()

                        self.yang_name = "set-attached-bit"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "set-attached-bit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.SetAttachedBit, ['route_map'], name, value)


                class Snmp(Entity):
                    """
                    Modify snmp parameters
                    
                    .. attribute:: context
                    
                    	Configure a SNMP context
                    	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Snmp, self).__init__()

                        self.yang_name = "snmp"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"context" : ("context", Native.Router.IsisContainer.Isis.Snmp.Context)}

                        self.context = YList(self)
                        self._segment_path = lambda: "snmp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Snmp, [], name, value)


                    class Context(Entity):
                        """
                        Configure a SNMP context
                        
                        .. attribute:: name  <key>
                        
                        	Context Name
                        	**type**\: str
                        
                        .. attribute:: community
                        
                        	Configure a SNMP v2c Community string and access privs
                        	**type**\:  :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context.Community>`
                        
                        .. attribute:: user
                        
                        	Configure a SNMP v3 user
                        	**type**\:  :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context.User>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Snmp.Context, self).__init__()

                            self.yang_name = "context"
                            self.yang_parent_name = "snmp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"community" : ("community", Native.Router.IsisContainer.Isis.Snmp.Context.Community), "user" : ("user", Native.Router.IsisContainer.Isis.Snmp.Context.User)}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.community = Native.Router.IsisContainer.Isis.Snmp.Context.Community()
                            self.community.parent = self
                            self._children_name_map["community"] = "community"
                            self._children_yang_names.add("community")

                            self.user = Native.Router.IsisContainer.Isis.Snmp.Context.User()
                            self.user.parent = self
                            self._children_name_map["user"] = "user"
                            self._children_yang_names.add("user")
                            self._segment_path = lambda: "context" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Snmp.Context, ['name'], name, value)


                        class Community(Entity):
                            """
                            Configure a SNMP v2c Community string and access privs
                            
                            .. attribute:: community_string
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: access
                            
                            	
                            	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context.Community.Access>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Snmp.Context.Community, self).__init__()

                                self.yang_name = "community"
                                self.yang_parent_name = "context"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"access" : ("access", Native.Router.IsisContainer.Isis.Snmp.Context.Community.Access)}
                                self._child_list_classes = {}

                                self.community_string = YLeaf(YType.str, "community-string")

                                self.access = Native.Router.IsisContainer.Isis.Snmp.Context.Community.Access()
                                self.access.parent = self
                                self._children_name_map["access"] = "access"
                                self._children_yang_names.add("access")
                                self._segment_path = lambda: "community"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Snmp.Context.Community, ['community_string'], name, value)


                            class Access(Entity):
                                """
                                
                                
                                .. attribute:: standard_acl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..99
                                
                                .. attribute:: expanded_acl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1300..1999
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: ipv6
                                
                                	Specify IPv6 Named Access\-List
                                	**type**\: str
                                
                                .. attribute:: ro
                                
                                	Read\-only access with this community string
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: rw
                                
                                	Read\-write access with this community string
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Snmp.Context.Community.Access, self).__init__()

                                    self.yang_name = "access"
                                    self.yang_parent_name = "community"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                    self.expanded_acl = YLeaf(YType.uint32, "expanded-acl")

                                    self.acl_name = YLeaf(YType.str, "acl-name")

                                    self.ipv6 = YLeaf(YType.str, "ipv6")

                                    self.ro = YLeaf(YType.empty, "ro")

                                    self.rw = YLeaf(YType.empty, "rw")
                                    self._segment_path = lambda: "access"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Snmp.Context.Community.Access, ['standard_acl', 'expanded_acl', 'acl_name', 'ipv6', 'ro', 'rw'], name, value)


                        class User(Entity):
                            """
                            Configure a SNMP v3 user
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: permisssion
                            
                            	
                            	**type**\:  :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Snmp.Context.User, self).__init__()

                                self.yang_name = "user"
                                self.yang_parent_name = "context"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"permisssion" : ("permisssion", Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion)}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.permisssion = Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion()
                                self.permisssion.parent = self
                                self._children_name_map["permisssion"] = "permisssion"
                                self._children_yang_names.add("permisssion")
                                self._segment_path = lambda: "user"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Snmp.Context.User, ['name'], name, value)


                            class Permisssion(Entity):
                                """
                                
                                
                                .. attribute:: access
                                
                                	specify an access\-list associated with this group
                                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Access>`
                                
                                .. attribute:: auth
                                
                                	authentication parameters for the user
                                	**type**\:  :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Auth>`
                                
                                .. attribute:: credential
                                
                                	If the user password is already configured and saved
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: encrypted
                                
                                	specifying passwords as MD5 or SHA digests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion, self).__init__()

                                    self.yang_name = "permisssion"
                                    self.yang_parent_name = "user"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"access" : ("access", Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Access), "auth" : ("auth", Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Auth)}
                                    self._child_list_classes = {}

                                    self.credential = YLeaf(YType.empty, "credential")

                                    self.encrypted = YLeaf(YType.empty, "encrypted")

                                    self.access = Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Access()
                                    self.access.parent = self
                                    self._children_name_map["access"] = "access"
                                    self._children_yang_names.add("access")

                                    self.auth = Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Auth()
                                    self.auth.parent = self
                                    self._children_name_map["auth"] = "auth"
                                    self._children_yang_names.add("auth")
                                    self._segment_path = lambda: "permisssion"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion, ['credential', 'encrypted'], name, value)


                                class Access(Entity):
                                    """
                                    specify an access\-list associated with this group
                                    
                                    .. attribute:: standard_acl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: acl_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: ipv6
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Access, self).__init__()

                                        self.yang_name = "access"
                                        self.yang_parent_name = "permisssion"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                        self.acl_name = YLeaf(YType.str, "acl-name")

                                        self.ipv6 = YLeaf(YType.str, "ipv6")
                                        self._segment_path = lambda: "access"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Access, ['standard_acl', 'acl_name', 'ipv6'], name, value)


                                class Auth(Entity):
                                    """
                                    authentication parameters for the user
                                    
                                    .. attribute:: md5
                                    
                                    	Use HMAC MD5 algorithm for authentication
                                    	**type**\: str
                                    
                                    .. attribute:: sha
                                    
                                    	Use HMAC SHA algorithm for authentication
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Auth, self).__init__()

                                        self.yang_name = "auth"
                                        self.yang_parent_name = "permisssion"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.md5 = YLeaf(YType.str, "md5")

                                        self.sha = YLeaf(YType.str, "sha")
                                        self._segment_path = lambda: "auth"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.Snmp.Context.User.Permisssion.Auth, ['md5', 'sha'], name, value)


                class SummaryAddress(Entity):
                    """
                    Configure IP address summaries
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: level_1
                    
                    	Summarize into level\-1 area
                    	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SummaryAddress.Level1>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: level_1_2
                    
                    	Summarize into both area and sub\-domain
                    	**type**\:  :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SummaryAddress.Level12>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: level_2
                    
                    	Summarize into level\-2 sub\-domain
                    	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SummaryAddress.Level2>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: metric_tag_container
                    
                    	
                    	**type**\:  :py:class:`MetricTagContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SummaryAddress.MetricTagContainer>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level-1" : ("level_1", Native.Router.IsisContainer.Isis.SummaryAddress.Level1), "level-1-2" : ("level_1_2", Native.Router.IsisContainer.Isis.SummaryAddress.Level12), "level-2" : ("level_2", Native.Router.IsisContainer.Isis.SummaryAddress.Level2), "metric-tag-container" : ("metric_tag_container", Native.Router.IsisContainer.Isis.SummaryAddress.MetricTagContainer)}
                        self._child_list_classes = {}

                        self.ip = YLeaf(YType.str, "ip")

                        self.mask = YLeaf(YType.str, "mask")

                        self.level_1 = None
                        self._children_name_map["level_1"] = "level-1"
                        self._children_yang_names.add("level-1")

                        self.level_1_2 = None
                        self._children_name_map["level_1_2"] = "level-1-2"
                        self._children_yang_names.add("level-1-2")

                        self.level_2 = None
                        self._children_name_map["level_2"] = "level-2"
                        self._children_yang_names.add("level-2")

                        self.metric_tag_container = Native.Router.IsisContainer.Isis.SummaryAddress.MetricTagContainer()
                        self.metric_tag_container.parent = self
                        self._children_name_map["metric_tag_container"] = "metric-tag-container"
                        self._children_yang_names.add("metric-tag-container")
                        self._segment_path = lambda: "summary-address" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.SummaryAddress, ['ip', 'mask'], name, value)


                    class Level1(Entity):
                        """
                        Summarize into level\-1 area
                        
                        .. attribute:: metric
                        
                        	Set metric for summay route
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: tag
                        
                        	Set tag
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.SummaryAddress.Level1, self).__init__()

                            self.yang_name = "level-1"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.tag = YLeaf(YType.uint32, "tag")
                            self._segment_path = lambda: "level-1"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.SummaryAddress.Level1, ['metric', 'tag'], name, value)


                    class Level12(Entity):
                        """
                        Summarize into both area and sub\-domain
                        
                        .. attribute:: metric
                        
                        	Set metric for summay route
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: tag
                        
                        	Set tag
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.SummaryAddress.Level12, self).__init__()

                            self.yang_name = "level-1-2"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.tag = YLeaf(YType.uint32, "tag")
                            self._segment_path = lambda: "level-1-2"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.SummaryAddress.Level12, ['metric', 'tag'], name, value)


                    class Level2(Entity):
                        """
                        Summarize into level\-2 sub\-domain
                        
                        .. attribute:: metric
                        
                        	Set metric for summay route
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: tag
                        
                        	Set tag
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.SummaryAddress.Level2, self).__init__()

                            self.yang_name = "level-2"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.tag = YLeaf(YType.uint32, "tag")
                            self._segment_path = lambda: "level-2"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.SummaryAddress.Level2, ['metric', 'tag'], name, value)


                    class MetricTagContainer(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Set metric for summay route
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: tag
                        
                        	Set tag
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.SummaryAddress.MetricTagContainer, self).__init__()

                            self.yang_name = "metric-tag-container"
                            self.yang_parent_name = "summary-address"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.tag = YLeaf(YType.uint32, "tag")
                            self._segment_path = lambda: "metric-tag-container"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.SummaryAddress.MetricTagContainer, ['metric', 'tag'], name, value)


                class TrafficShare(Entity):
                    """
                    How to compute traffic share over alternate paths
                    
                    .. attribute:: min
                    
                    	All traffic shared among min metric paths
                    	**type**\:  :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TrafficShare.Min>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.TrafficShare, self).__init__()

                        self.yang_name = "traffic-share"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"min" : ("min", Native.Router.IsisContainer.Isis.TrafficShare.Min)}
                        self._child_list_classes = {}

                        self.min = Native.Router.IsisContainer.Isis.TrafficShare.Min()
                        self.min.parent = self
                        self._children_name_map["min"] = "min"
                        self._children_yang_names.add("min")
                        self._segment_path = lambda: "traffic-share"


                    class Min(Entity):
                        """
                        All traffic shared among min metric paths
                        
                        .. attribute:: across_interfaces
                        
                        	Use different interfaces for equal\-cost paths
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.TrafficShare.Min, self).__init__()

                            self.yang_name = "min"
                            self.yang_parent_name = "traffic-share"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                            self._segment_path = lambda: "min"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.TrafficShare.Min, ['across_interfaces'], name, value)


                class Advertise(Entity):
                    """
                    Control which IP routes flow in L1 and L2 LSPs
                    
                    .. attribute:: passive_only
                    
                    	only interface address of passive interfaces
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Advertise, self).__init__()

                        self.yang_name = "advertise"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.passive_only = YLeaf(YType.empty, "passive-only")
                        self._segment_path = lambda: "advertise"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Advertise, ['passive_only'], name, value)


                class DefaultInformation(Entity):
                    """
                    Control distribution of default information
                    
                    .. attribute:: originate
                    
                    	Distribute a default route
                    	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.DefaultInformation.Originate>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.DefaultInformation, self).__init__()

                        self.yang_name = "default-information"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"originate" : ("originate", Native.Router.IsisContainer.Isis.DefaultInformation.Originate)}
                        self._child_list_classes = {}

                        self.originate = None
                        self._children_name_map["originate"] = "originate"
                        self._children_yang_names.add("originate")
                        self._segment_path = lambda: "default-information"


                    class Originate(Entity):
                        """
                        Distribute a default route
                        
                        .. attribute:: route_map
                        
                        	Route\-map reference
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.DefaultInformation.Originate, self).__init__()

                            self.yang_name = "originate"
                            self.yang_parent_name = "default-information"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "originate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.DefaultInformation.Originate, ['route_map'], name, value)


                class Metric(Entity):
                    """
                    Set ISIS metric for all interfaces
                    
                    .. attribute:: metrics
                    
                    	
                    	**type**\: list of  		 :py:class:`Metrics <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Metric.Metrics>`
                    
                    .. attribute:: metric
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..16777214
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Metric, self).__init__()

                        self.yang_name = "metric"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"metrics" : ("metrics", Native.Router.IsisContainer.Isis.Metric.Metrics)}

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metrics = YList(self)
                        self._segment_path = lambda: "metric"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Metric, ['metric'], name, value)


                    class Metrics(Entity):
                        """
                        
                        
                        .. attribute:: level  <key>
                        
                        	
                        	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Metric.Metrics.Level>`
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Metric.Metrics, self).__init__()

                            self.yang_name = "metrics"
                            self.yang_parent_name = "metric"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.level = YLeaf(YType.enumeration, "level")

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "metrics" + "[level='" + self.level.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Metric.Metrics, ['level', 'metric'], name, value)

                        class Level(Enum):
                            """
                            Level

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                class PrcInterval(Entity):
                    """
                    Minimum interval between partial route calculations
                    
                    .. attribute:: interval
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120
                    
                    .. attribute:: initial_wait
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: minimum_wait
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.PrcInterval, self).__init__()

                        self.yang_name = "prc-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interval = YLeaf(YType.uint32, "interval")

                        self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                        self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                        self._segment_path = lambda: "prc-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.PrcInterval, ['interval', 'initial_wait', 'minimum_wait'], name, value)


                class SetOverloadBit(Entity):
                    """
                    Signal other routers not to use us in SPF
                    
                    .. attribute:: on_startup
                    
                    	Set overload\-bit only temporarily after reboot
                    	**type**\:  :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup>`
                    
                    .. attribute:: suppress
                    
                    	If overload\-bit set, suppress the following types of IP prefixes
                    	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetOverloadBit.Suppress>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.SetOverloadBit, self).__init__()

                        self.yang_name = "set-overload-bit"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"on-startup" : ("on_startup", Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup), "suppress" : ("suppress", Native.Router.IsisContainer.Isis.SetOverloadBit.Suppress)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.on_startup = Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup()
                        self.on_startup.parent = self
                        self._children_name_map["on_startup"] = "on-startup"
                        self._children_yang_names.add("on-startup")

                        self.suppress = Native.Router.IsisContainer.Isis.SetOverloadBit.Suppress()
                        self.suppress.parent = self
                        self._children_name_map["suppress"] = "suppress"
                        self._children_yang_names.add("suppress")
                        self._segment_path = lambda: "set-overload-bit"


                    class OnStartup(Entity):
                        """
                        Set overload\-bit only temporarily after reboot
                        
                        .. attribute:: time
                        
                        	
                        	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.Time>`
                        
                        .. attribute:: wait_for_bgp
                        
                        	Let BGP decide when to unset the overload bit
                        	**type**\:  :py:class:`WaitForBgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup, self).__init__()

                            self.yang_name = "on-startup"
                            self.yang_parent_name = "set-overload-bit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"time" : ("time", Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.Time), "wait-for-bgp" : ("wait_for_bgp", Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp)}
                            self._child_list_classes = {}

                            self.time = Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.Time()
                            self.time.parent = self
                            self._children_name_map["time"] = "time"
                            self._children_yang_names.add("time")

                            self.wait_for_bgp = None
                            self._children_name_map["wait_for_bgp"] = "wait-for-bgp"
                            self._children_yang_names.add("wait-for-bgp")
                            self._segment_path = lambda: "on-startup"


                        class Time(Entity):
                            """
                            
                            
                            .. attribute:: time
                            
                            	
                            	**type**\: int
                            
                            	**range:** 5..86400
                            
                            .. attribute:: suppress
                            
                            	If overload\-bit set, suppress the following types of IP prefixes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: external
                            
                            	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interlevel
                            
                            	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.Time, self).__init__()

                                self.yang_name = "time"
                                self.yang_parent_name = "on-startup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.time = YLeaf(YType.uint32, "time")

                                self.suppress = YLeaf(YType.empty, "suppress")

                                self.external = YLeaf(YType.empty, "external")

                                self.interlevel = YLeaf(YType.empty, "interlevel")
                                self._segment_path = lambda: "time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.Time, ['time', 'suppress', 'external', 'interlevel'], name, value)


                        class WaitForBgp(Entity):
                            """
                            Let BGP decide when to unset the overload bit
                            
                            .. attribute:: suppress
                            
                            	If overload\-bit set, suppress the following types of IP prefixes
                            	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp, self).__init__()

                                self.yang_name = "wait-for-bgp"
                                self.yang_parent_name = "on-startup"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"suppress" : ("suppress", Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.suppress = Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress()
                                self.suppress.parent = self
                                self._children_name_map["suppress"] = "suppress"
                                self._children_yang_names.add("suppress")
                                self._segment_path = lambda: "wait-for-bgp"


                            class Suppress(Entity):
                                """
                                If overload\-bit set, suppress the following types of IP prefixes
                                
                                .. attribute:: external
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: interlevel
                                
                                	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress, self).__init__()

                                    self.yang_name = "suppress"
                                    self.yang_parent_name = "wait-for-bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.external = YLeaf(YType.empty, "external")

                                    self.interlevel = YLeaf(YType.empty, "interlevel")
                                    self._segment_path = lambda: "suppress"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.SetOverloadBit.OnStartup.WaitForBgp.Suppress, ['external', 'interlevel'], name, value)


                    class Suppress(Entity):
                        """
                        If overload\-bit set, suppress the following types of IP prefixes
                        
                        .. attribute:: external
                        
                        	If overload\-bit set, don't advertise IP prefixes learned from other protocols
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interlevel
                        
                        	If overload\-bit set, don't advertise IP prefixes learned from another ISIS level
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.SetOverloadBit.Suppress, self).__init__()

                            self.yang_name = "suppress"
                            self.yang_parent_name = "set-overload-bit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.external = YLeaf(YType.empty, "external")

                            self.interlevel = YLeaf(YType.empty, "interlevel")
                            self._segment_path = lambda: "suppress"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.SetOverloadBit.Suppress, ['external', 'interlevel'], name, value)


                class SpfInterval(Entity):
                    """
                    Minimum interval between SPF calculations
                    
                    .. attribute:: level_1_2
                    
                    	
                    	**type**\: list of  		 :py:class:`Level12 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SpfInterval.Level12>`
                    
                    .. attribute:: intervals
                    
                    	
                    	**type**\:  :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SpfInterval.Intervals>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.SpfInterval, self).__init__()

                        self.yang_name = "spf-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"intervals" : ("intervals", Native.Router.IsisContainer.Isis.SpfInterval.Intervals)}
                        self._child_list_classes = {"level-1-2" : ("level_1_2", Native.Router.IsisContainer.Isis.SpfInterval.Level12)}

                        self.intervals = Native.Router.IsisContainer.Isis.SpfInterval.Intervals()
                        self.intervals.parent = self
                        self._children_name_map["intervals"] = "intervals"
                        self._children_yang_names.add("intervals")

                        self.level_1_2 = YList(self)
                        self._segment_path = lambda: "spf-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.SpfInterval, [], name, value)


                    class Level12(Entity):
                        """
                        
                        
                        .. attribute:: level  <key>
                        
                        	
                        	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SpfInterval.Level12.Level>`
                        
                        .. attribute:: interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120
                        
                        .. attribute:: initial_wait
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120000
                        
                        .. attribute:: minimum_wait
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.SpfInterval.Level12, self).__init__()

                            self.yang_name = "level-1-2"
                            self.yang_parent_name = "spf-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.level = YLeaf(YType.enumeration, "level")

                            self.interval = YLeaf(YType.uint32, "interval")

                            self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                            self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                            self._segment_path = lambda: "level-1-2" + "[level='" + self.level.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.SpfInterval.Level12, ['level', 'interval', 'initial_wait', 'minimum_wait'], name, value)

                        class Level(Enum):
                            """
                            Level

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")



                    class Intervals(Entity):
                        """
                        
                        
                        .. attribute:: interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120
                        
                        .. attribute:: initial_wait
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120000
                        
                        .. attribute:: minimum_wait
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.SpfInterval.Intervals, self).__init__()

                            self.yang_name = "intervals"
                            self.yang_parent_name = "spf-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint32, "interval")

                            self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                            self.minimum_wait = YLeaf(YType.uint32, "minimum-wait")
                            self._segment_path = lambda: "intervals"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.SpfInterval.Intervals, ['interval', 'initial_wait', 'minimum_wait'], name, value)


                class AreaPassword(Entity):
                    """
                    Configure the authentication password for an area
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: authenticate
                    
                    	Authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snp
                    
                    	SNP PDUs
                    	**type**\:  :py:class:`Snp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.AreaPassword.Snp>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.AreaPassword, self).__init__()

                        self.yang_name = "area-password"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.authenticate = YLeaf(YType.empty, "authenticate")

                        self.snp = YLeaf(YType.enumeration, "snp")
                        self._segment_path = lambda: "area-password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.AreaPassword, ['name', 'authenticate', 'snp'], name, value)

                    class Snp(Enum):
                        """
                        Snp

                        SNP PDUs

                        .. data:: send_only = 0

                        .. data:: validate = 1

                        """

                        send_only = Enum.YLeaf(0, "send-only")

                        validate = Enum.YLeaf(1, "validate")



                class Authentication(Entity):
                    """
                    ISIS authentication for LSPs
                    
                    .. attribute:: mode
                    
                    	Authentication mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication.Mode>`
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication.KeyChain>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\:  :py:class:`SendOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication.SendOnly>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mode" : ("mode", Native.Router.IsisContainer.Isis.Authentication.Mode), "key-chain" : ("key_chain", Native.Router.IsisContainer.Isis.Authentication.KeyChain), "send-only" : ("send_only", Native.Router.IsisContainer.Isis.Authentication.SendOnly)}
                        self._child_list_classes = {}

                        self.mode = Native.Router.IsisContainer.Isis.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")

                        self.key_chain = Native.Router.IsisContainer.Isis.Authentication.KeyChain()
                        self.key_chain.parent = self
                        self._children_name_map["key_chain"] = "key-chain"
                        self._children_yang_names.add("key-chain")

                        self.send_only = None
                        self._children_name_map["send_only"] = "send-only"
                        self._children_yang_names.add("send-only")
                        self._segment_path = lambda: "authentication"


                    class Mode(Entity):
                        """
                        Authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication.Mode.Md5>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: text
                        
                        	Clear text password
                        	**type**\:  :py:class:`Text <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication.Mode.Text>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Router.IsisContainer.Isis.Authentication.Mode.Md5), "text" : ("text", Native.Router.IsisContainer.Isis.Authentication.Mode.Text)}
                            self._child_list_classes = {}

                            self.md5 = None
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")

                            self.text = None
                            self._children_name_map["text"] = "text"
                            self._children_yang_names.add("text")
                            self._segment_path = lambda: "mode"


                        class Md5(Entity):
                            """
                            Keyed message digest
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Authentication.Mode.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Authentication.Mode.Md5, ['levels'], name, value)


                        class Text(Entity):
                            """
                            Clear text password
                            
                            .. attribute:: levels
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Authentication.Mode.Text, self).__init__()

                                self.yang_name = "text"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.levels = YLeaf(YType.enumeration, "levels")
                                self._segment_path = lambda: "text"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Authentication.Mode.Text, ['levels'], name, value)


                    class KeyChain(Entity):
                        """
                        Authentication key\-chain
                        
                        .. attribute:: key_chain_list
                        
                        	
                        	**type**\: list of  		 :py:class:`KeyChainList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Authentication.KeyChain.KeyChainList>`
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Authentication.KeyChain, self).__init__()

                            self.yang_name = "key-chain"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"key-chain-list" : ("key_chain_list", Native.Router.IsisContainer.Isis.Authentication.KeyChain.KeyChainList)}

                            self.name = YLeaf(YType.str, "name")

                            self.key_chain_list = YList(self)
                            self._segment_path = lambda: "key-chain"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Authentication.KeyChain, ['name'], name, value)


                        class KeyChainList(Entity):
                            """
                            
                            
                            .. attribute:: levels  <key>
                            
                            	
                            	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Authentication.KeyChain.KeyChainList, self).__init__()

                                self.yang_name = "key-chain-list"
                                self.yang_parent_name = "key-chain"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.levels = YLeaf(YType.enumeration, "levels")

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "key-chain-list" + "[levels='" + self.levels.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Authentication.KeyChain.KeyChainList, ['levels', 'name'], name, value)


                    class SendOnly(Entity):
                        """
                        Authentication send only, receive ignore
                        
                        .. attribute:: levels
                        
                        	
                        	**type**\:  :py:class:`AuthenticationLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_isis.AuthenticationLevelType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Authentication.SendOnly, self).__init__()

                            self.yang_name = "send-only"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.levels = YLeaf(YType.enumeration, "levels")
                            self._segment_path = lambda: "send-only"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Authentication.SendOnly, ['levels'], name, value)


                class DistributeList(Entity):
                    """
                    Filter networks in routing updates
                    
                    .. attribute:: acl_name
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    .. attribute:: in_
                    
                    	Filter incoming routing updates
                    	**type**\: str
                    
                    .. attribute:: gateway
                    
                    	Filtering incoming updates based on gateway
                    	**type**\: str
                    
                    .. attribute:: prefix
                    
                    	Filter prefixes in routing updates
                    	**type**\: str
                    
                    .. attribute:: gateway_prefix_in
                    
                    	Filter incoming routing updates
                    	**type**\: str
                    
                    .. attribute:: route_map
                    
                    	Filter prefixes based on the route\-map
                    	**type**\: str
                    
                    .. attribute:: route_map_in
                    
                    	Filter incoming routing updates
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.DistributeList, self).__init__()

                        self.yang_name = "distribute-list"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acl_name = YLeaf(YType.str, "acl-name")

                        self.in_ = YLeaf(YType.str, "in")

                        self.gateway = YLeaf(YType.str, "gateway")

                        self.prefix = YLeaf(YType.str, "prefix")

                        self.gateway_prefix_in = YLeaf(YType.str, "gateway-prefix-in")

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.route_map_in = YLeaf(YType.empty, "route-map-in")
                        self._segment_path = lambda: "distribute-list"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.DistributeList, ['acl_name', 'in_', 'gateway', 'prefix', 'gateway_prefix_in', 'route_map', 'route_map_in'], name, value)


                class DomainPassword(Entity):
                    """
                    Set the authentication password for a routing domain
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: authenticate
                    
                    	Authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: snp
                    
                    	SNP PDUs
                    	**type**\:  :py:class:`Snp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.DomainPassword.Snp>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.DomainPassword, self).__init__()

                        self.yang_name = "domain-password"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.authenticate = YLeaf(YType.empty, "authenticate")

                        self.snp = YLeaf(YType.enumeration, "snp")
                        self._segment_path = lambda: "domain-password"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.DomainPassword, ['name', 'authenticate', 'snp'], name, value)

                    class Snp(Enum):
                        """
                        Snp

                        SNP PDUs

                        .. data:: send_only = 0

                        .. data:: validate = 1

                        """

                        send_only = Enum.YLeaf(0, "send-only")

                        validate = Enum.YLeaf(1, "validate")



                class FastFlood(Entity):
                    """
                    Flood LSPs (that triggered SPF) before running SPF
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..15
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.FastFlood, self).__init__()

                        self.yang_name = "fast-flood"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.number = YLeaf(YType.uint32, "number")
                        self._segment_path = lambda: "fast-flood"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.FastFlood, ['number'], name, value)


                class FastReroute(Entity):
                    """
                    Configure Fast\-Reroute
                    
                    .. attribute:: load_sharing
                    
                    	Distributes repair paths equally among links and prefixes
                    	**type**\:  :py:class:`LoadSharing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.LoadSharing>`
                    
                    .. attribute:: per_prefix
                    
                    	Enable Fast\-Reroute Per\-Prefix
                    	**type**\:  :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.PerPrefix>`
                    
                    .. attribute:: remote_lfa
                    
                    	Configuring fast\-reroute remote\-lfa
                    	**type**\:  :py:class:`RemoteLfa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa>`
                    
                    .. attribute:: tie_break
                    
                    	Set repair path preference
                    	**type**\:  :py:class:`TieBreak <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.TieBreak>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.FastReroute, self).__init__()

                        self.yang_name = "fast-reroute"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"load-sharing" : ("load_sharing", Native.Router.IsisContainer.Isis.FastReroute.LoadSharing), "per-prefix" : ("per_prefix", Native.Router.IsisContainer.Isis.FastReroute.PerPrefix), "remote-lfa" : ("remote_lfa", Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa), "tie-break" : ("tie_break", Native.Router.IsisContainer.Isis.FastReroute.TieBreak)}
                        self._child_list_classes = {}

                        self.load_sharing = Native.Router.IsisContainer.Isis.FastReroute.LoadSharing()
                        self.load_sharing.parent = self
                        self._children_name_map["load_sharing"] = "load-sharing"
                        self._children_yang_names.add("load-sharing")

                        self.per_prefix = Native.Router.IsisContainer.Isis.FastReroute.PerPrefix()
                        self.per_prefix.parent = self
                        self._children_name_map["per_prefix"] = "per-prefix"
                        self._children_yang_names.add("per-prefix")

                        self.remote_lfa = Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa()
                        self.remote_lfa.parent = self
                        self._children_name_map["remote_lfa"] = "remote-lfa"
                        self._children_yang_names.add("remote-lfa")

                        self.tie_break = Native.Router.IsisContainer.Isis.FastReroute.TieBreak()
                        self.tie_break.parent = self
                        self._children_name_map["tie_break"] = "tie-break"
                        self._children_yang_names.add("tie-break")
                        self._segment_path = lambda: "fast-reroute"


                    class LoadSharing(Entity):
                        """
                        Distributes repair paths equally among links and prefixes
                        
                        .. attribute:: level_1
                        
                        	Apply to level\-1
                        	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level1>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: level_2
                        
                        	Apply to level\-2
                        	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level2>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.FastReroute.LoadSharing, self).__init__()

                            self.yang_name = "load-sharing"
                            self.yang_parent_name = "fast-reroute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"level-1" : ("level_1", Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level1), "level-2" : ("level_2", Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level2)}
                            self._child_list_classes = {}

                            self.level_1 = None
                            self._children_name_map["level_1"] = "level-1"
                            self._children_yang_names.add("level-1")

                            self.level_2 = None
                            self._children_name_map["level_2"] = "level-2"
                            self._children_yang_names.add("level-2")
                            self._segment_path = lambda: "load-sharing"


                        class Level1(Entity):
                            """
                            Apply to level\-1
                            
                            .. attribute:: disable
                            
                            	Disable load\-sharing
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level1, self).__init__()

                                self.yang_name = "level-1"
                                self.yang_parent_name = "load-sharing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "level-1"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level1, ['disable'], name, value)


                        class Level2(Entity):
                            """
                            Apply to level\-2
                            
                            .. attribute:: disable
                            
                            	Disable load\-sharing
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level2, self).__init__()

                                self.yang_name = "level-2"
                                self.yang_parent_name = "load-sharing"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "level-2"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.FastReroute.LoadSharing.Level2, ['disable'], name, value)


                    class PerPrefix(Entity):
                        """
                        Enable Fast\-Reroute Per\-Prefix
                        
                        .. attribute:: level_1
                        
                        	Apply to level\-1
                        	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level1>`
                        
                        .. attribute:: level_2
                        
                        	Apply to level\-2
                        	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level2>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.FastReroute.PerPrefix, self).__init__()

                            self.yang_name = "per-prefix"
                            self.yang_parent_name = "fast-reroute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"level-1" : ("level_1", Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level1), "level-2" : ("level_2", Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level2)}
                            self._child_list_classes = {}

                            self.level_1 = Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level1()
                            self.level_1.parent = self
                            self._children_name_map["level_1"] = "level-1"
                            self._children_yang_names.add("level-1")

                            self.level_2 = Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level2()
                            self.level_2.parent = self
                            self._children_name_map["level_2"] = "level-2"
                            self._children_yang_names.add("level-2")
                            self._segment_path = lambda: "per-prefix"


                        class Level1(Entity):
                            """
                            Apply to level\-1
                            
                            .. attribute:: all
                            
                            	Enable Fast\-Reroute for primary paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	route\-map name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level1, self).__init__()

                                self.yang_name = "level-1"
                                self.yang_parent_name = "per-prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.empty, "all")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "level-1"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level1, ['all', 'route_map'], name, value)


                        class Level2(Entity):
                            """
                            Apply to level\-2
                            
                            .. attribute:: all
                            
                            	Enable Fast\-Reroute for primary paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	route\-map name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level2, self).__init__()

                                self.yang_name = "level-2"
                                self.yang_parent_name = "per-prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all = YLeaf(YType.empty, "all")

                                self.route_map = YLeaf(YType.str, "route-map")
                                self._segment_path = lambda: "level-2"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.FastReroute.PerPrefix.Level2, ['all', 'route_map'], name, value)


                    class RemoteLfa(Entity):
                        """
                        Configuring fast\-reroute remote\-lfa
                        
                        .. attribute:: level_1
                        
                        	Apply to level\-1
                        	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1>`
                        
                        .. attribute:: level_2
                        
                        	Apply to level\-2
                        	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa, self).__init__()

                            self.yang_name = "remote-lfa"
                            self.yang_parent_name = "fast-reroute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"level-1" : ("level_1", Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1), "level-2" : ("level_2", Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2)}
                            self._child_list_classes = {}

                            self.level_1 = Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1()
                            self.level_1.parent = self
                            self._children_name_map["level_1"] = "level-1"
                            self._children_yang_names.add("level-1")

                            self.level_2 = Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2()
                            self.level_2.parent = self
                            self._children_name_map["level_2"] = "level-2"
                            self._children_yang_names.add("level-2")
                            self._segment_path = lambda: "remote-lfa"


                        class Level1(Entity):
                            """
                            Apply to level\-1
                            
                            .. attribute:: mpls_ldp
                            
                            	Use mpls\-ldp tunnel type
                            	**type**\:  :py:class:`MplsLdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1, self).__init__()

                                self.yang_name = "level-1"
                                self.yang_parent_name = "remote-lfa"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mpls-ldp" : ("mpls_ldp", Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp)}
                                self._child_list_classes = {}

                                self.mpls_ldp = None
                                self._children_name_map["mpls_ldp"] = "mpls-ldp"
                                self._children_yang_names.add("mpls-ldp")
                                self._segment_path = lambda: "level-1"


                            class MplsLdp(Entity):
                                """
                                Use mpls\-ldp tunnel type
                                
                                .. attribute:: maximum_metric
                                
                                	maximum metric to reach release node
                                	**type**\:  :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp, self).__init__()

                                    self.yang_name = "mpls-ldp"
                                    self.yang_parent_name = "level-1"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"maximum-metric" : ("maximum_metric", Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.maximum_metric = None
                                    self._children_name_map["maximum_metric"] = "maximum-metric"
                                    self._children_yang_names.add("maximum-metric")
                                    self._segment_path = lambda: "mpls-ldp"


                                class MaximumMetric(Entity):
                                    """
                                    maximum metric to reach release node
                                    
                                    .. attribute:: max_met
                                    
                                    	metric value
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric, self).__init__()

                                        self.yang_name = "maximum-metric"
                                        self.yang_parent_name = "mpls-ldp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.max_met = YLeaf(YType.uint32, "max-met")
                                        self._segment_path = lambda: "maximum-metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level1.MplsLdp.MaximumMetric, ['max_met'], name, value)


                        class Level2(Entity):
                            """
                            Apply to level\-2
                            
                            .. attribute:: mpls_ldp
                            
                            	Use mpls\-ldp tunnel type
                            	**type**\:  :py:class:`MplsLdp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2, self).__init__()

                                self.yang_name = "level-2"
                                self.yang_parent_name = "remote-lfa"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mpls-ldp" : ("mpls_ldp", Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp)}
                                self._child_list_classes = {}

                                self.mpls_ldp = None
                                self._children_name_map["mpls_ldp"] = "mpls-ldp"
                                self._children_yang_names.add("mpls-ldp")
                                self._segment_path = lambda: "level-2"


                            class MplsLdp(Entity):
                                """
                                Use mpls\-ldp tunnel type
                                
                                .. attribute:: maximum_metric
                                
                                	maximum metric to reach release node
                                	**type**\:  :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp, self).__init__()

                                    self.yang_name = "mpls-ldp"
                                    self.yang_parent_name = "level-2"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"maximum-metric" : ("maximum_metric", Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.maximum_metric = None
                                    self._children_name_map["maximum_metric"] = "maximum-metric"
                                    self._children_yang_names.add("maximum-metric")
                                    self._segment_path = lambda: "mpls-ldp"


                                class MaximumMetric(Entity):
                                    """
                                    maximum metric to reach release node
                                    
                                    .. attribute:: max_met
                                    
                                    	metric value
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-isis'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric, self).__init__()

                                        self.yang_name = "maximum-metric"
                                        self.yang_parent_name = "mpls-ldp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.max_met = YLeaf(YType.uint32, "max-met")
                                        self._segment_path = lambda: "maximum-metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.IsisContainer.Isis.FastReroute.RemoteLfa.Level2.MplsLdp.MaximumMetric, ['max_met'], name, value)


                    class TieBreak(Entity):
                        """
                        Set repair path preference
                        
                        .. attribute:: level_1
                        
                        	Apply to level\-1
                        	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level1>`
                        
                        .. attribute:: level_2
                        
                        	Apply to level\-2
                        	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level2>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.FastReroute.TieBreak, self).__init__()

                            self.yang_name = "tie-break"
                            self.yang_parent_name = "fast-reroute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"level-1" : ("level_1", Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level1), "level-2" : ("level_2", Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level2)}
                            self._child_list_classes = {}

                            self.level_1 = Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level1()
                            self.level_1.parent = self
                            self._children_name_map["level_1"] = "level-1"
                            self._children_yang_names.add("level-1")

                            self.level_2 = Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level2()
                            self.level_2.parent = self
                            self._children_name_map["level_2"] = "level-2"
                            self._children_yang_names.add("level-2")
                            self._segment_path = lambda: "tie-break"


                        class Level1(Entity):
                            """
                            Apply to level\-1
                            
                            .. attribute:: downstream
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: linecard_disjoint
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: lowest_backup_path_metric
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: node_protecting
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: primary_path
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: secondary_path
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: srlg_disjoint
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level1, self).__init__()

                                self.yang_name = "level-1"
                                self.yang_parent_name = "tie-break"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.downstream = YLeaf(YType.uint8, "downstream")

                                self.linecard_disjoint = YLeaf(YType.uint8, "linecard-disjoint")

                                self.lowest_backup_path_metric = YLeaf(YType.uint8, "lowest-backup-path-metric")

                                self.node_protecting = YLeaf(YType.uint8, "node-protecting")

                                self.primary_path = YLeaf(YType.uint8, "primary-path")

                                self.secondary_path = YLeaf(YType.uint8, "secondary-path")

                                self.srlg_disjoint = YLeaf(YType.uint8, "srlg-disjoint")
                                self._segment_path = lambda: "level-1"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level1, ['downstream', 'linecard_disjoint', 'lowest_backup_path_metric', 'node_protecting', 'primary_path', 'secondary_path', 'srlg_disjoint'], name, value)


                        class Level2(Entity):
                            """
                            Apply to level\-2
                            
                            .. attribute:: downstream
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: linecard_disjoint
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: lowest_backup_path_metric
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: node_protecting
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: primary_path
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: secondary_path
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: srlg_disjoint
                            
                            	priority number
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level2, self).__init__()

                                self.yang_name = "level-2"
                                self.yang_parent_name = "tie-break"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.downstream = YLeaf(YType.uint8, "downstream")

                                self.linecard_disjoint = YLeaf(YType.uint8, "linecard-disjoint")

                                self.lowest_backup_path_metric = YLeaf(YType.uint8, "lowest-backup-path-metric")

                                self.node_protecting = YLeaf(YType.uint8, "node-protecting")

                                self.primary_path = YLeaf(YType.uint8, "primary-path")

                                self.secondary_path = YLeaf(YType.uint8, "secondary-path")

                                self.srlg_disjoint = YLeaf(YType.uint8, "srlg-disjoint")
                                self._segment_path = lambda: "level-2"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.FastReroute.TieBreak.Level2, ['downstream', 'linecard_disjoint', 'lowest_backup_path_metric', 'node_protecting', 'primary_path', 'secondary_path', 'srlg_disjoint'], name, value)


                class TiLfa(Entity):
                    """
                    
                    
                    .. attribute:: level_1
                    
                    	Apply to level\-1
                    	**type**\:  :py:class:`Level1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TiLfa.Level1>`
                    
                    .. attribute:: level_2
                    
                    	Apply to level\-2
                    	**type**\:  :py:class:`Level2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TiLfa.Level2>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.TiLfa, self).__init__()

                        self.yang_name = "ti-lfa"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"level-1" : ("level_1", Native.Router.IsisContainer.Isis.TiLfa.Level1), "level-2" : ("level_2", Native.Router.IsisContainer.Isis.TiLfa.Level2)}
                        self._child_list_classes = {}

                        self.level_1 = Native.Router.IsisContainer.Isis.TiLfa.Level1()
                        self.level_1.parent = self
                        self._children_name_map["level_1"] = "level-1"
                        self._children_yang_names.add("level-1")

                        self.level_2 = None
                        self._children_name_map["level_2"] = "level-2"
                        self._children_yang_names.add("level-2")
                        self._segment_path = lambda: "ti-lfa"


                    class Level1(Entity):
                        """
                        Apply to level\-1
                        
                        .. attribute:: maximum_metric
                        
                        	maximum metric to reach release node
                        	**type**\:  :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TiLfa.Level1.MaximumMetric>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.TiLfa.Level1, self).__init__()

                            self.yang_name = "level-1"
                            self.yang_parent_name = "ti-lfa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"maximum-metric" : ("maximum_metric", Native.Router.IsisContainer.Isis.TiLfa.Level1.MaximumMetric)}
                            self._child_list_classes = {}

                            self.maximum_metric = Native.Router.IsisContainer.Isis.TiLfa.Level1.MaximumMetric()
                            self.maximum_metric.parent = self
                            self._children_name_map["maximum_metric"] = "maximum-metric"
                            self._children_yang_names.add("maximum-metric")
                            self._segment_path = lambda: "level-1"


                        class MaximumMetric(Entity):
                            """
                            maximum metric to reach release node
                            
                            .. attribute:: max_met
                            
                            	metric value
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.TiLfa.Level1.MaximumMetric, self).__init__()

                                self.yang_name = "maximum-metric"
                                self.yang_parent_name = "level-1"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_met = YLeaf(YType.uint32, "max-met")
                                self._segment_path = lambda: "maximum-metric"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.TiLfa.Level1.MaximumMetric, ['max_met'], name, value)


                    class Level2(Entity):
                        """
                        Apply to level\-2
                        
                        .. attribute:: maximum_metric
                        
                        	maximum metric to reach release node
                        	**type**\:  :py:class:`MaximumMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.TiLfa.Level2.MaximumMetric>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.TiLfa.Level2, self).__init__()

                            self.yang_name = "level-2"
                            self.yang_parent_name = "ti-lfa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"maximum-metric" : ("maximum_metric", Native.Router.IsisContainer.Isis.TiLfa.Level2.MaximumMetric)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.maximum_metric = Native.Router.IsisContainer.Isis.TiLfa.Level2.MaximumMetric()
                            self.maximum_metric.parent = self
                            self._children_name_map["maximum_metric"] = "maximum-metric"
                            self._children_yang_names.add("maximum-metric")
                            self._segment_path = lambda: "level-2"


                        class MaximumMetric(Entity):
                            """
                            maximum metric to reach release node
                            
                            .. attribute:: max_met
                            
                            	metric value
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.TiLfa.Level2.MaximumMetric, self).__init__()

                                self.yang_name = "maximum-metric"
                                self.yang_parent_name = "level-2"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_met = YLeaf(YType.uint32, "max-met")
                                self._segment_path = lambda: "maximum-metric"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.TiLfa.Level2.MaximumMetric, ['max_met'], name, value)


                class Hello(Entity):
                    """
                    Pad ISIS hello PDUs to full MTU
                    
                    .. attribute:: padding
                    
                    	Pad hello PDU
                    	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Hello.Padding>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Hello, self).__init__()

                        self.yang_name = "hello"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"padding" : ("padding", Native.Router.IsisContainer.Isis.Hello.Padding)}
                        self._child_list_classes = {}

                        self.padding = None
                        self._children_name_map["padding"] = "padding"
                        self._children_yang_names.add("padding")
                        self._segment_path = lambda: "hello"


                    class Padding(Entity):
                        """
                        Pad hello PDU
                        
                        .. attribute:: pad_type
                        
                        	
                        	**type**\:  :py:class:`PadType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Hello.Padding.PadType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Hello.Padding, self).__init__()

                            self.yang_name = "padding"
                            self.yang_parent_name = "hello"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.pad_type = YLeaf(YType.enumeration, "pad-type")
                            self._segment_path = lambda: "padding"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Hello.Padding, ['pad_type'], name, value)

                        class PadType(Enum):
                            """
                            PadType

                            .. data:: multi_point = 0

                            .. data:: point_to_point = 1

                            """

                            multi_point = Enum.YLeaf(0, "multi-point")

                            point_to_point = Enum.YLeaf(1, "point-to-point")



                class Hostname(Entity):
                    """
                    Dynamic hostname for IS\-IS
                    
                    .. attribute:: dynamic
                    
                    	Dynamic hostname
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Hostname, self).__init__()

                        self.yang_name = "hostname"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dynamic = YLeaf(YType.empty, "dynamic")
                        self._segment_path = lambda: "hostname"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Hostname, ['dynamic'], name, value)


                class Ispf(Entity):
                    """
                    Configure execution of incremental SPF
                    
                    .. attribute:: level
                    
                    	
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Ispf.Level>`
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..600
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Ispf, self).__init__()

                        self.yang_name = "ispf"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.level = YLeaf(YType.enumeration, "level")

                        self.number = YLeaf(YType.uint32, "number")
                        self._segment_path = lambda: "ispf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Ispf, ['level', 'number'], name, value)

                    class Level(Enum):
                        """
                        Level

                        .. data:: level_1 = 0

                        .. data:: level_1_2 = 1

                        .. data:: level_2 = 2

                        """

                        level_1 = Enum.YLeaf(0, "level-1")

                        level_1_2 = Enum.YLeaf(1, "level-1-2")

                        level_2 = Enum.YLeaf(2, "level-2")



                class LogAdjacencyChanges(Entity):
                    """
                    Log changes in adjacency state
                    
                    .. attribute:: all
                    
                    	Include changes generated by non\-IIH event
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.LogAdjacencyChanges, self).__init__()

                        self.yang_name = "log-adjacency-changes"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.all = YLeaf(YType.empty, "all")
                        self._segment_path = lambda: "log-adjacency-changes"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.LogAdjacencyChanges, ['all'], name, value)


                class LspFull(Entity):
                    """
                    If we run out of LSP fragments
                    
                    .. attribute:: suppress
                    
                    	suppress the following types of IP prefixes
                    	**type**\:  :py:class:`Suppress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspFull.Suppress>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.LspFull, self).__init__()

                        self.yang_name = "lsp-full"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"suppress" : ("suppress", Native.Router.IsisContainer.Isis.LspFull.Suppress)}
                        self._child_list_classes = {}

                        self.suppress = Native.Router.IsisContainer.Isis.LspFull.Suppress()
                        self.suppress.parent = self
                        self._children_name_map["suppress"] = "suppress"
                        self._children_yang_names.add("suppress")
                        self._segment_path = lambda: "lsp-full"


                    class Suppress(Entity):
                        """
                        suppress the following types of IP prefixes
                        
                        .. attribute:: external_interlevel_container
                        
                        	
                        	**type**\:  :py:class:`ExternalInterlevelContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspFull.Suppress.ExternalInterlevelContainer>`
                        
                        .. attribute:: none
                        
                        	don't suppress any prefixes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.LspFull.Suppress, self).__init__()

                            self.yang_name = "suppress"
                            self.yang_parent_name = "lsp-full"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"external-interlevel-container" : ("external_interlevel_container", Native.Router.IsisContainer.Isis.LspFull.Suppress.ExternalInterlevelContainer)}
                            self._child_list_classes = {}

                            self.none = YLeaf(YType.empty, "none")

                            self.external_interlevel_container = Native.Router.IsisContainer.Isis.LspFull.Suppress.ExternalInterlevelContainer()
                            self.external_interlevel_container.parent = self
                            self._children_name_map["external_interlevel_container"] = "external-interlevel-container"
                            self._children_yang_names.add("external-interlevel-container")
                            self._segment_path = lambda: "suppress"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.LspFull.Suppress, ['none'], name, value)


                        class ExternalInterlevelContainer(Entity):
                            """
                            
                            
                            .. attribute:: external
                            
                            	don't advertise IP prefixes learned from other protocols
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interlevel
                            
                            	don't advertise IP prefixes learned from another ISIS level
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.LspFull.Suppress.ExternalInterlevelContainer, self).__init__()

                                self.yang_name = "external-interlevel-container"
                                self.yang_parent_name = "suppress"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.external = YLeaf(YType.empty, "external")

                                self.interlevel = YLeaf(YType.empty, "interlevel")
                                self._segment_path = lambda: "external-interlevel-container"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.LspFull.Suppress.ExternalInterlevelContainer, ['external', 'interlevel'], name, value)


                class LspGenInterval(Entity):
                    """
                    Minimum interval between regenerating same LSP
                    
                    .. attribute:: intervals
                    
                    	
                    	**type**\:  :py:class:`Intervals <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspGenInterval.Intervals>`
                    
                    .. attribute:: intervals_levels
                    
                    	
                    	**type**\:  :py:class:`IntervalsLevels <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.LspGenInterval, self).__init__()

                        self.yang_name = "lsp-gen-interval"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"intervals" : ("intervals", Native.Router.IsisContainer.Isis.LspGenInterval.Intervals), "intervals-levels" : ("intervals_levels", Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels)}
                        self._child_list_classes = {}

                        self.intervals = Native.Router.IsisContainer.Isis.LspGenInterval.Intervals()
                        self.intervals.parent = self
                        self._children_name_map["intervals"] = "intervals"
                        self._children_yang_names.add("intervals")

                        self.intervals_levels = Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels()
                        self.intervals_levels.parent = self
                        self._children_name_map["intervals_levels"] = "intervals-levels"
                        self._children_yang_names.add("intervals-levels")
                        self._segment_path = lambda: "lsp-gen-interval"


                    class Intervals(Entity):
                        """
                        
                        
                        .. attribute:: interval
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120
                        
                        .. attribute:: initial_wait
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120000
                        
                        .. attribute:: wait
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..120000
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.LspGenInterval.Intervals, self).__init__()

                            self.yang_name = "intervals"
                            self.yang_parent_name = "lsp-gen-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint32, "interval")

                            self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                            self.wait = YLeaf(YType.uint32, "wait")
                            self._segment_path = lambda: "intervals"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.LspGenInterval.Intervals, ['interval', 'initial_wait', 'wait'], name, value)


                    class IntervalsLevels(Entity):
                        """
                        
                        
                        .. attribute:: intervals_level_1
                        
                        	
                        	**type**\:  :py:class:`IntervalsLevel1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1>`
                        
                        .. attribute:: intervals_level_2
                        
                        	
                        	**type**\:  :py:class:`IntervalsLevel2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels, self).__init__()

                            self.yang_name = "intervals-levels"
                            self.yang_parent_name = "lsp-gen-interval"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"intervals-level-1" : ("intervals_level_1", Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1), "intervals-level-2" : ("intervals_level_2", Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2)}
                            self._child_list_classes = {}

                            self.intervals_level_1 = Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1()
                            self.intervals_level_1.parent = self
                            self._children_name_map["intervals_level_1"] = "intervals-level-1"
                            self._children_yang_names.add("intervals-level-1")

                            self.intervals_level_2 = Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2()
                            self.intervals_level_2.parent = self
                            self._children_name_map["intervals_level_2"] = "intervals-level-2"
                            self._children_yang_names.add("intervals-level-2")
                            self._segment_path = lambda: "intervals-levels"


                        class IntervalsLevel1(Entity):
                            """
                            
                            
                            .. attribute:: level_1
                            
                            	Set interval for level 1 only
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interval
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120
                            
                            .. attribute:: initial_wait
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120000
                            
                            .. attribute:: wait
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120000
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1, self).__init__()

                                self.yang_name = "intervals-level-1"
                                self.yang_parent_name = "intervals-levels"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level_1 = YLeaf(YType.empty, "level-1")

                                self.interval = YLeaf(YType.uint32, "interval")

                                self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                                self.wait = YLeaf(YType.uint32, "wait")
                                self._segment_path = lambda: "intervals-level-1"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel1, ['level_1', 'interval', 'initial_wait', 'wait'], name, value)


                        class IntervalsLevel2(Entity):
                            """
                            
                            
                            .. attribute:: level_2
                            
                            	Set interval for level 2 only
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interval
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120
                            
                            .. attribute:: initial_wait
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120000
                            
                            .. attribute:: wait
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..120000
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2, self).__init__()

                                self.yang_name = "intervals-level-2"
                                self.yang_parent_name = "intervals-levels"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level_2 = YLeaf(YType.empty, "level-2")

                                self.interval = YLeaf(YType.uint32, "interval")

                                self.initial_wait = YLeaf(YType.uint32, "initial-wait")

                                self.wait = YLeaf(YType.uint32, "wait")
                                self._segment_path = lambda: "intervals-level-2"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.LspGenInterval.IntervalsLevels.IntervalsLevel2, ['level_2', 'interval', 'initial_wait', 'wait'], name, value)


                class Microloop(Entity):
                    """
                    Enable microloop protection configuration commands
                    
                    .. attribute:: avoidance
                    
                    	Enable local microloop avoidance
                    	**type**\:  :py:class:`Avoidance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Microloop.Avoidance>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Microloop, self).__init__()

                        self.yang_name = "microloop"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"avoidance" : ("avoidance", Native.Router.IsisContainer.Isis.Microloop.Avoidance)}
                        self._child_list_classes = {}

                        self.avoidance = None
                        self._children_name_map["avoidance"] = "avoidance"
                        self._children_yang_names.add("avoidance")
                        self._segment_path = lambda: "microloop"


                    class Avoidance(Entity):
                        """
                        Enable local microloop avoidance
                        
                        .. attribute:: disable
                        
                        	Disable Microloop avoidance
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: protected
                        
                        	Microloop avoidance for protected link or prefix only
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rib_update_delay
                        
                        	Value of the delay in milliseconds
                        	**type**\: int
                        
                        	**range:** 1..600000
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Microloop.Avoidance, self).__init__()

                            self.yang_name = "avoidance"
                            self.yang_parent_name = "microloop"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.protected = YLeaf(YType.empty, "protected")

                            self.rib_update_delay = YLeaf(YType.uint32, "rib-update-delay")
                            self._segment_path = lambda: "avoidance"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Microloop.Avoidance, ['disable', 'protected', 'rib_update_delay'], name, value)


                class Mpls(Entity):
                    """
                    Configure MPLS routing protocol parameters
                    
                    .. attribute:: ldp
                    
                    	routing protocol commands for MPLS LDP
                    	**type**\:  :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.Ldp>`
                    
                    .. attribute:: traffic_eng
                    
                    	routing protocol commands for MPLS Traffic Engineering
                    	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Mpls, self).__init__()

                        self.yang_name = "mpls"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ldp" : ("ldp", Native.Router.IsisContainer.Isis.Mpls.Ldp), "traffic-eng" : ("traffic_eng", Native.Router.IsisContainer.Isis.Mpls.TrafficEng)}
                        self._child_list_classes = {}

                        self.ldp = Native.Router.IsisContainer.Isis.Mpls.Ldp()
                        self.ldp.parent = self
                        self._children_name_map["ldp"] = "ldp"
                        self._children_yang_names.add("ldp")

                        self.traffic_eng = Native.Router.IsisContainer.Isis.Mpls.TrafficEng()
                        self.traffic_eng.parent = self
                        self._children_name_map["traffic_eng"] = "traffic-eng"
                        self._children_yang_names.add("traffic-eng")
                        self._segment_path = lambda: "mpls"


                    class Ldp(Entity):
                        """
                        routing protocol commands for MPLS LDP
                        
                        .. attribute:: autoconfig
                        
                        	Configure LDP automatic configuration
                        	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.Ldp.Autoconfig>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: sync
                        
                        	Configure LDP\-IGP Synchronization
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sync_igp_shortcuts
                        
                        	Configure LDP\-IGP Synchronization on MPLS shortcuts
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Mpls.Ldp, self).__init__()

                            self.yang_name = "ldp"
                            self.yang_parent_name = "mpls"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"autoconfig" : ("autoconfig", Native.Router.IsisContainer.Isis.Mpls.Ldp.Autoconfig)}
                            self._child_list_classes = {}

                            self.sync = YLeaf(YType.empty, "sync")

                            self.sync_igp_shortcuts = YLeaf(YType.empty, "sync-igp-shortcuts")

                            self.autoconfig = None
                            self._children_name_map["autoconfig"] = "autoconfig"
                            self._children_yang_names.add("autoconfig")
                            self._segment_path = lambda: "ldp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Mpls.Ldp, ['sync', 'sync_igp_shortcuts'], name, value)


                        class Autoconfig(Entity):
                            """
                            Configure LDP automatic configuration
                            
                            .. attribute:: level_1
                            
                            	Configure ISIS level\-1 to run MPLS LDP
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: level_2
                            
                            	Configure ISIS level\-2 to run MPLS LDP
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Mpls.Ldp.Autoconfig, self).__init__()

                                self.yang_name = "autoconfig"
                                self.yang_parent_name = "ldp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.level_1 = YLeaf(YType.empty, "level-1")

                                self.level_2 = YLeaf(YType.empty, "level-2")
                                self._segment_path = lambda: "autoconfig"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Mpls.Ldp.Autoconfig, ['level_1', 'level_2'], name, value)


                    class TrafficEng(Entity):
                        """
                        routing protocol commands for MPLS Traffic Engineering
                        
                        .. attribute:: level_1
                        
                        	Run MPLS TE on IS\-IS level 1 only
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: level_2
                        
                        	Run MPLS TE on IS\-IS level 2 only
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: multicast_intact
                        
                        	MPLS TE and PIM interaction
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: router_id
                        
                        	Traffic Engineering stable IP address for system
                        	**type**\:  :py:class:`RouterId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId>`
                        
                        .. attribute:: scanner
                        
                        	Timer parameters for TE database
                        	**type**\:  :py:class:`Scanner <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng.Scanner>`
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Mpls.TrafficEng, self).__init__()

                            self.yang_name = "traffic-eng"
                            self.yang_parent_name = "mpls"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"router-id" : ("router_id", Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId), "scanner" : ("scanner", Native.Router.IsisContainer.Isis.Mpls.TrafficEng.Scanner)}
                            self._child_list_classes = {}

                            self.level_1 = YLeaf(YType.empty, "level-1")

                            self.level_2 = YLeaf(YType.empty, "level-2")

                            self.multicast_intact = YLeaf(YType.empty, "multicast-intact")

                            self.router_id = Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId()
                            self.router_id.parent = self
                            self._children_name_map["router_id"] = "router-id"
                            self._children_yang_names.add("router-id")

                            self.scanner = Native.Router.IsisContainer.Isis.Mpls.TrafficEng.Scanner()
                            self.scanner.parent = self
                            self._children_name_map["scanner"] = "scanner"
                            self._children_yang_names.add("scanner")
                            self._segment_path = lambda: "traffic-eng"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Mpls.TrafficEng, ['level_1', 'level_2', 'multicast_intact'], name, value)


                        class RouterId(Entity):
                            """
                            Traffic Engineering stable IP address for system
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.ATMSubinterface>`
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\: str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.ATMACRsubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\: str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\: str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\: str
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.LISPSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\: str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\: str
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\: str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId, self).__init__()

                                self.yang_name = "router-id"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface)}
                                self._child_list_classes = {}

                                self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                self.atm = YLeaf(YType.str, "ATM")

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                self.bdi = YLeaf(YType.str, "BDI")

                                self.cem = YLeaf(YType.str, "CEM")

                                self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.lisp = YLeaf(YType.str, "LISP")

                                self.loopback = YLeaf(YType.uint32, "Loopback")

                                self.multilink = YLeaf(YType.uint16, "Multilink")

                                self.nve = YLeaf(YType.uint16, "nve")

                                self.overlay = YLeaf(YType.uint16, "overlay")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                self.sm = YLeaf(YType.str, "SM")

                                self.cellular = YLeaf(YType.str, "Cellular")

                                self.serial = YLeaf(YType.str, "Serial")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                self.vlan = YLeaf(YType.uint16, "Vlan")

                                self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                self.vasileft = YLeaf(YType.uint16, "vasileft")

                                self.vasiright = YLeaf(YType.uint16, "vasiright")

                                self.atm_subinterface = Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.ATMSubinterface()
                                self.atm_subinterface.parent = self
                                self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                self._children_yang_names.add("ATM-subinterface")

                                self.atm_acrsubinterface = Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.ATMACRsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                self._children_yang_names.add("ATM-ACRsubinterface")

                                self.lisp_subinterface = Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.LISPSubinterface()
                                self.lisp_subinterface.parent = self
                                self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                self._children_yang_names.add("LISP-subinterface")

                                self.port_channel_subinterface = Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                self._children_yang_names.add("Port-channel-subinterface")
                                self._segment_path = lambda: "router-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                            class ATMSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.ATMSubinterface, self).__init__()

                                    self.yang_name = "ATM-subinterface"
                                    self.yang_parent_name = "router-id"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm = YLeaf(YType.str, "ATM")
                                    self._segment_path = lambda: "ATM-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.ATMSubinterface, ['atm'], name, value)


                            class ATMACRsubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.ATMACRsubinterface, self).__init__()

                                    self.yang_name = "ATM-ACRsubinterface"
                                    self.yang_parent_name = "router-id"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                    self._segment_path = lambda: "ATM-ACRsubinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.ATMACRsubinterface, ['atm_acr'], name, value)


                            class LISPSubinterface(Entity):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.LISPSubinterface, self).__init__()

                                    self.yang_name = "LISP-subinterface"
                                    self.yang_parent_name = "router-id"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.lisp = YLeaf(YType.str, "LISP")
                                    self._segment_path = lambda: "LISP-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.LISPSubinterface, ['lisp'], name, value)


                            class PortChannelSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-isis'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface, self).__init__()

                                    self.yang_name = "Port-channel-subinterface"
                                    self.yang_parent_name = "router-id"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port_channel = YLeaf(YType.str, "Port-channel")
                                    self._segment_path = lambda: "Port-channel-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.IsisContainer.Isis.Mpls.TrafficEng.RouterId.PortChannelSubinterface, ['port_channel'], name, value)


                        class Scanner(Entity):
                            """
                            Timer parameters for TE database
                            
                            .. attribute:: interval
                            
                            	Time (secs) between LSPDB walks for TE
                            	**type**\: int
                            
                            	**range:** 1..60
                            
                            .. attribute:: max_flash
                            
                            	Max. number of LSPs ISIS may send to TE db without delay\: <0..200>
                            	**type**\: int
                            
                            	**range:** 0..200
                            
                            

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.Mpls.TrafficEng.Scanner, self).__init__()

                                self.yang_name = "scanner"
                                self.yang_parent_name = "traffic-eng"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint32, "interval")

                                self.max_flash = YLeaf(YType.uint32, "max-flash")
                                self._segment_path = lambda: "scanner"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.Mpls.TrafficEng.Scanner, ['interval', 'max_flash'], name, value)


                class Net(Entity):
                    """
                    A Network Entity Title for this process (OSI only)
                    
                    .. attribute:: tag  <key>
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Net, self).__init__()

                        self.yang_name = "net"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.tag = YLeaf(YType.str, "tag")
                        self._segment_path = lambda: "net" + "[tag='" + self.tag.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Net, ['tag'], name, value)


                class Nsf(Entity):
                    """
                    Non\-stop forwarding
                    
                    .. attribute:: cisco
                    
                    	Checkpoint method
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ietf
                    
                    	IETF method
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: interface
                    
                    	Interface properties
                    	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Nsf.Interface>`
                    
                    .. attribute:: interval
                    
                    	Minutes
                    	**type**\: int
                    
                    	**range:** 0..1440
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Nsf, self).__init__()

                        self.yang_name = "nsf"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"interface" : ("interface", Native.Router.IsisContainer.Isis.Nsf.Interface)}
                        self._child_list_classes = {}

                        self.cisco = YLeaf(YType.empty, "cisco")

                        self.ietf = YLeaf(YType.empty, "ietf")

                        self.interval = YLeaf(YType.uint16, "interval")

                        self.interface = Native.Router.IsisContainer.Isis.Nsf.Interface()
                        self.interface.parent = self
                        self._children_name_map["interface"] = "interface"
                        self._children_yang_names.add("interface")
                        self._segment_path = lambda: "nsf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Nsf, ['cisco', 'ietf', 'interval'], name, value)


                    class Interface(Entity):
                        """
                        Interface properties
                        
                        .. attribute:: wait
                        
                        	Seconds
                        	**type**\: int
                        
                        	**range:** 1..60
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Nsf.Interface, self).__init__()

                            self.yang_name = "interface"
                            self.yang_parent_name = "nsf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.wait = YLeaf(YType.uint8, "wait")
                            self._segment_path = lambda: "interface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Nsf.Interface, ['wait'], name, value)


                class Partition(Entity):
                    """
                    CLNS area partition
                    
                    .. attribute:: avoidance
                    
                    	Withdraw area prefix if partition detected
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Partition, self).__init__()

                        self.yang_name = "partition"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.avoidance = YLeaf(YType.empty, "avoidance")
                        self._segment_path = lambda: "partition"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Partition, ['avoidance'], name, value)


                class PassiveInterface(Entity):
                    """
                    Suppress routing updates on an interface
                    
                    .. attribute:: default
                    
                    	Suppress routing updates on all interfaces
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.PassiveInterface, self).__init__()

                        self.yang_name = "passive-interface"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.default = YLeaf(YType.empty, "default")

                        self.interface = YLeaf(YType.str, "interface")
                        self._segment_path = lambda: "passive-interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.PassiveInterface, ['default', 'interface'], name, value)


                class Disable(Entity):
                    """
                    
                    
                    .. attribute:: passive_interface
                    
                    	
                    	**type**\: list of  		 :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.Disable.PassiveInterface>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Disable, self).__init__()

                        self.yang_name = "disable"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"passive-interface" : ("passive_interface", Native.Router.IsisContainer.Isis.Disable.PassiveInterface)}

                        self.passive_interface = YList(self)
                        self._segment_path = lambda: "disable"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Disable, [], name, value)


                    class PassiveInterface(Entity):
                        """
                        
                        
                        .. attribute:: interface  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.Disable.PassiveInterface, self).__init__()

                            self.yang_name = "passive-interface"
                            self.yang_parent_name = "disable"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.str, "interface")
                            self._segment_path = lambda: "passive-interface" + "[interface='" + self.interface.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.Disable.PassiveInterface, ['interface'], name, value)


                class Protocol(Entity):
                    """
                    Set protocol's administrative state
                    
                    .. attribute:: shutdown
                    
                    	Set protocol's administrative state to disable
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Protocol, self).__init__()

                        self.yang_name = "protocol"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.shutdown = YLeaf(YType.empty, "shutdown")
                        self._segment_path = lambda: "protocol"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Protocol, ['shutdown'], name, value)


                class SegmentRouting(Entity):
                    """
                    Enable Segment Routing Feature
                    
                    .. attribute:: mpls
                    
                    	Enable Segment Routing Feature using MPLS encapsulation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: prefix_sid_map
                    
                    	Enable prefix\-sid\-map
                    	**type**\:  :py:class:`PrefixSidMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.SegmentRouting, self).__init__()

                        self.yang_name = "segment-routing"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"prefix-sid-map" : ("prefix_sid_map", Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap)}
                        self._child_list_classes = {}

                        self.mpls = YLeaf(YType.empty, "mpls")

                        self.prefix_sid_map = Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap()
                        self.prefix_sid_map.parent = self
                        self._children_name_map["prefix_sid_map"] = "prefix-sid-map"
                        self._children_yang_names.add("prefix-sid-map")
                        self._segment_path = lambda: "segment-routing"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.SegmentRouting, ['mpls'], name, value)


                    class PrefixSidMap(Entity):
                        """
                        Enable prefix\-sid\-map
                        
                        .. attribute:: advertise_local
                        
                        	Advertise active local prefix\-SID mappings
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: receive
                        
                        	Enable prefix\-SID mapping client
                        	**type**\:  :py:class:`Receive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap.Receive>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-isis'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap, self).__init__()

                            self.yang_name = "prefix-sid-map"
                            self.yang_parent_name = "segment-routing"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"receive" : ("receive", Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap.Receive)}
                            self._child_list_classes = {}

                            self.advertise_local = YLeaf(YType.empty, "advertise-local")

                            self.receive = None
                            self._children_name_map["receive"] = "receive"
                            self._children_yang_names.add("receive")
                            self._segment_path = lambda: "prefix-sid-map"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap, ['advertise_local'], name, value)


                        class Receive(Entity):
                            """
                            Enable prefix\-SID mapping client
                            
                            .. attribute:: disable
                            
                            	Disable prefix\-SID mapping
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-isis'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap.Receive, self).__init__()

                                self.yang_name = "receive"
                                self.yang_parent_name = "prefix-sid-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")
                                self._segment_path = lambda: "receive"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.IsisContainer.Isis.SegmentRouting.PrefixSidMap.Receive, ['disable'], name, value)


                class Skeptical(Entity):
                    """
                    Be a cautious NSF helper when refresh adjacency
                    
                    .. attribute:: interval
                    
                    	Minutes
                    	**type**\: int
                    
                    	**range:** 0..1440
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Skeptical, self).__init__()

                        self.yang_name = "skeptical"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interval = YLeaf(YType.uint16, "interval")
                        self._segment_path = lambda: "skeptical"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Skeptical, ['interval'], name, value)


                class Use(Entity):
                    """
                    Use different algorithms during SPF
                    
                    .. attribute:: external_metrics
                    
                    	Honour external metrics during SPF
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Use, self).__init__()

                        self.yang_name = "use"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.external_metrics = YLeaf(YType.empty, "external-metrics")
                        self._segment_path = lambda: "use"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Use, ['external_metrics'], name, value)


                class Bfd(Entity):
                    """
                    BFD configuration commands
                    
                    .. attribute:: all_interfaces
                    
                    	Enable BFD on all interfaces
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: check_ctrl_plane_failure
                    
                    	BFD check control plane failure
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-isis'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.IsisContainer.Isis.Bfd, self).__init__()

                        self.yang_name = "bfd"
                        self.yang_parent_name = "isis"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

                        self.check_ctrl_plane_failure = YLeaf(YType.empty, "check-ctrl-plane-failure")
                        self._segment_path = lambda: "bfd"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.IsisContainer.Isis.Bfd, ['all_interfaces', 'check_ctrl_plane_failure'], name, value)


        class Eigrp(Entity):
            """
            Enhanced Interior Gateway Routing Protocol (EIGRP)
            
            .. attribute:: id  <key>
            
            	Autonomous System ID
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 1..65535
            
            		**type**\: str
            
            .. attribute:: passive_interface
            
            	Suppress routing updates on an interface
            	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.PassiveInterface>`
            
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\: list of  		 :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily>`
            
            .. attribute:: af_interface
            
            	Enter Address Family interface configuration
            	**type**\: list of  		 :py:class:`AfInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AfInterface>`
            
            .. attribute:: auto_summary
            
            	Enable automatic network number summarization
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: bfd
            
            	BFD configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Bfd>`
            
            .. attribute:: default_information
            
            	Control distribution of default information
            	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DefaultInformation>`
            
            .. attribute:: default_metric
            
            	Set metric of redistributed routes
            	**type**\:  :py:class:`DefaultMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DefaultMetric>`
            
            .. attribute:: distance
            
            	Define an administrative distance
            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Distance>`
            
            .. attribute:: distribute_list
            
            	Filter entries in eigrp updates
            	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList>`
            
            .. attribute:: eigrp
            
            	EIGRP Address Family specific commands
            	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Eigrp>`
            
            .. attribute:: maximum_paths
            
            	Number of paths
            	**type**\: int
            
            	**range:** 1..32
            
            .. attribute:: metric
            
            	Modify metrics and parameters for advertisement
            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Metric>`
            
            .. attribute:: neighbor
            
            	Specify a neighbor router
            	**type**\:  :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor>`
            
            .. attribute:: network
            
            	Enable routing on an IP network
            	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Network>`
            
            .. attribute:: nsf
            
            	Non\-stop forwarding
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: offset_list
            
            	Add or subtract offset from EIGRP metrics
            	**type**\:  :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.OffsetList>`
            
            .. attribute:: redistribute
            
            	Redistribute IPv4 routes from another routing protocol
            	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute>`
            
            .. attribute:: shutdown
            
            	Shutdown this instance of EIGRP
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: summary_metric
            
            	Specify summary to apply metric/filtering
            	**type**\:  :py:class:`SummaryMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.SummaryMetric>`
            
            .. attribute:: timers
            
            	Adjust routing timers
            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Timers>`
            
            .. attribute:: traffic_share
            
            	How to compute traffic share over alternate paths
            	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.TrafficShare>`
            
            .. attribute:: variance
            
            	Metric variance multiplier
            	**type**\: int
            
            	**range:** 1..128
            
            

            """

            _prefix = 'ios-eigrp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Router.Eigrp, self).__init__()

                self.yang_name = "eigrp"
                self.yang_parent_name = "router"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"passive-interface" : ("passive_interface", Native.Router.Eigrp.PassiveInterface), "bfd" : ("bfd", Native.Router.Eigrp.Bfd), "default-information" : ("default_information", Native.Router.Eigrp.DefaultInformation), "default-metric" : ("default_metric", Native.Router.Eigrp.DefaultMetric), "distance" : ("distance", Native.Router.Eigrp.Distance), "distribute-list" : ("distribute_list", Native.Router.Eigrp.DistributeList), "eigrp" : ("eigrp", Native.Router.Eigrp.Eigrp), "metric" : ("metric", Native.Router.Eigrp.Metric), "neighbor" : ("neighbor", Native.Router.Eigrp.Neighbor), "offset-list" : ("offset_list", Native.Router.Eigrp.OffsetList), "redistribute" : ("redistribute", Native.Router.Eigrp.Redistribute), "summary-metric" : ("summary_metric", Native.Router.Eigrp.SummaryMetric), "timers" : ("timers", Native.Router.Eigrp.Timers), "traffic-share" : ("traffic_share", Native.Router.Eigrp.TrafficShare)}
                self._child_list_classes = {"address-family" : ("address_family", Native.Router.Eigrp.AddressFamily), "af-interface" : ("af_interface", Native.Router.Eigrp.AfInterface), "network" : ("network", Native.Router.Eigrp.Network)}

                self.id = YLeaf(YType.str, "id")

                self.auto_summary = YLeaf(YType.empty, "auto-summary")

                self.maximum_paths = YLeaf(YType.uint8, "maximum-paths")

                self.nsf = YLeaf(YType.empty, "nsf")

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.variance = YLeaf(YType.uint8, "variance")

                self.passive_interface = Native.Router.Eigrp.PassiveInterface()
                self.passive_interface.parent = self
                self._children_name_map["passive_interface"] = "passive-interface"
                self._children_yang_names.add("passive-interface")

                self.bfd = Native.Router.Eigrp.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.default_information = Native.Router.Eigrp.DefaultInformation()
                self.default_information.parent = self
                self._children_name_map["default_information"] = "default-information"
                self._children_yang_names.add("default-information")

                self.default_metric = Native.Router.Eigrp.DefaultMetric()
                self.default_metric.parent = self
                self._children_name_map["default_metric"] = "default-metric"
                self._children_yang_names.add("default-metric")

                self.distance = Native.Router.Eigrp.Distance()
                self.distance.parent = self
                self._children_name_map["distance"] = "distance"
                self._children_yang_names.add("distance")

                self.distribute_list = Native.Router.Eigrp.DistributeList()
                self.distribute_list.parent = self
                self._children_name_map["distribute_list"] = "distribute-list"
                self._children_yang_names.add("distribute-list")

                self.eigrp = Native.Router.Eigrp.Eigrp()
                self.eigrp.parent = self
                self._children_name_map["eigrp"] = "eigrp"
                self._children_yang_names.add("eigrp")

                self.metric = Native.Router.Eigrp.Metric()
                self.metric.parent = self
                self._children_name_map["metric"] = "metric"
                self._children_yang_names.add("metric")

                self.neighbor = Native.Router.Eigrp.Neighbor()
                self.neighbor.parent = self
                self._children_name_map["neighbor"] = "neighbor"
                self._children_yang_names.add("neighbor")

                self.offset_list = Native.Router.Eigrp.OffsetList()
                self.offset_list.parent = self
                self._children_name_map["offset_list"] = "offset-list"
                self._children_yang_names.add("offset-list")

                self.redistribute = Native.Router.Eigrp.Redistribute()
                self.redistribute.parent = self
                self._children_name_map["redistribute"] = "redistribute"
                self._children_yang_names.add("redistribute")

                self.summary_metric = Native.Router.Eigrp.SummaryMetric()
                self.summary_metric.parent = self
                self._children_name_map["summary_metric"] = "summary-metric"
                self._children_yang_names.add("summary-metric")

                self.timers = Native.Router.Eigrp.Timers()
                self.timers.parent = self
                self._children_name_map["timers"] = "timers"
                self._children_yang_names.add("timers")

                self.traffic_share = Native.Router.Eigrp.TrafficShare()
                self.traffic_share.parent = self
                self._children_name_map["traffic_share"] = "traffic-share"
                self._children_yang_names.add("traffic-share")

                self.address_family = YList(self)
                self.af_interface = YList(self)
                self.network = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-eigrp:eigrp" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Router.Eigrp, ['id', 'auto_summary', 'maximum_paths', 'nsf', 'shutdown', 'variance'], name, value)


            class PassiveInterface(Entity):
                """
                Suppress routing updates on an interface
                
                .. attribute:: interface
                
                	interface name
                	**type**\: str
                
                .. attribute:: tunnel
                
                	Tunnel interface number
                	**type**\: int
                
                	**range:** 0..2147483647
                
                .. attribute:: vlan
                
                	Vlan interface number
                	**type**\: int
                
                	**range:** 1..4094
                
                .. attribute:: default
                
                	Suppress routing updates on all interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.PassiveInterface, self).__init__()

                    self.yang_name = "passive-interface"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.interface = YLeaf(YType.str, "interface")

                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                    self.vlan = YLeaf(YType.uint16, "Vlan")

                    self.default = YLeaf(YType.empty, "default")
                    self._segment_path = lambda: "passive-interface"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.PassiveInterface, ['interface', 'tunnel', 'vlan', 'default'], name, value)


            class AddressFamily(Entity):
                """
                Enter Address Family command mode
                
                .. attribute:: type  <key>
                
                	
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.Type>`
                
                .. attribute:: af_ip_list
                
                	Address family IPv4/IPv6
                	**type**\: list of  		 :py:class:`AfIpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList>`
                
                .. attribute:: af_ip_vrf_list
                
                	Address family IPv4/IPv6 VRF
                	**type**\: list of  		 :py:class:`AfIpVrfList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.AddressFamily, self).__init__()

                    self.yang_name = "address-family"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"af-ip-list" : ("af_ip_list", Native.Router.Eigrp.AddressFamily.AfIpList), "af-ip-vrf-list" : ("af_ip_vrf_list", Native.Router.Eigrp.AddressFamily.AfIpVrfList)}

                    self.type = YLeaf(YType.enumeration, "type")

                    self.af_ip_list = YList(self)
                    self.af_ip_vrf_list = YList(self)
                    self._segment_path = lambda: "address-family" + "[type='" + self.type.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.AddressFamily, ['type'], name, value)

                class Type(Enum):
                    """
                    Type

                    .. data:: ipv4 = 0

                    .. data:: ipv6 = 1

                    """

                    ipv4 = Enum.YLeaf(0, "ipv4")

                    ipv6 = Enum.YLeaf(1, "ipv6")



                class AfIpList(Entity):
                    """
                    Address family IPv4/IPv6
                    
                    .. attribute:: unicast_multicast  <key>
                    
                    	
                    	**type**\:  :py:class:`UnicastMulticast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.UnicastMulticast>`
                    
                    .. attribute:: autonomous_system
                    
                    	Specify Address\-Family Autonomous System Number
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: af_interface
                    
                    	Enter Address Family interface configuration
                    	**type**\: list of  		 :py:class:`AfInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface>`
                    
                    .. attribute:: auto_summary
                    
                    	Enable automatic network number summarization
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bfd
                    
                    	BFD configuration commands
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Bfd>`
                    
                    .. attribute:: default_information
                    
                    	Control distribution of default information
                    	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation>`
                    
                    .. attribute:: default_metric
                    
                    	Set metric of redistributed routes
                    	**type**\:  :py:class:`DefaultMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric>`
                    
                    .. attribute:: distance
                    
                    	Define an administrative distance
                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Distance>`
                    
                    .. attribute:: distribute_list
                    
                    	Filter entries in eigrp updates
                    	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList>`
                    
                    .. attribute:: eigrp
                    
                    	EIGRP Address Family specific commands
                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp>`
                    
                    .. attribute:: maximum_paths
                    
                    	Number of paths
                    	**type**\: int
                    
                    	**range:** 1..32
                    
                    .. attribute:: metric
                    
                    	Modify metrics and parameters for advertisement
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Metric>`
                    
                    .. attribute:: neighbor
                    
                    	Specify a neighbor router
                    	**type**\:  :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Enable routing on an IP network
                    	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Network>`
                    
                    .. attribute:: nsf
                    
                    	Non\-stop forwarding
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: offset_list
                    
                    	Add or subtract offset from EIGRP metrics
                    	**type**\:  :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList>`
                    
                    .. attribute:: redistribute
                    
                    	Redistribute IPv4 routes from another routing protocol
                    	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute>`
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this instance of EIGRP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: summary_metric
                    
                    	Specify summary to apply metric/filtering
                    	**type**\:  :py:class:`SummaryMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric>`
                    
                    .. attribute:: timers
                    
                    	Adjust routing timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Timers>`
                    
                    .. attribute:: traffic_share
                    
                    	How to compute traffic share over alternate paths
                    	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare>`
                    
                    .. attribute:: variance
                    
                    	Metric variance multiplier
                    	**type**\: int
                    
                    	**range:** 1..128
                    
                    .. attribute:: topology
                    
                    	Topology configuration mode
                    	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.AddressFamily.AfIpList, self).__init__()

                        self.yang_name = "af-ip-list"
                        self.yang_parent_name = "address-family"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bfd" : ("bfd", Native.Router.Eigrp.AddressFamily.AfIpList.Bfd), "default-information" : ("default_information", Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation), "default-metric" : ("default_metric", Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric), "distance" : ("distance", Native.Router.Eigrp.AddressFamily.AfIpList.Distance), "distribute-list" : ("distribute_list", Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList), "eigrp" : ("eigrp", Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp), "metric" : ("metric", Native.Router.Eigrp.AddressFamily.AfIpList.Metric), "neighbor" : ("neighbor", Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor), "offset-list" : ("offset_list", Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList), "redistribute" : ("redistribute", Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute), "summary-metric" : ("summary_metric", Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric), "timers" : ("timers", Native.Router.Eigrp.AddressFamily.AfIpList.Timers), "traffic-share" : ("traffic_share", Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare), "topology" : ("topology", Native.Router.Eigrp.AddressFamily.AfIpList.Topology)}
                        self._child_list_classes = {"af-interface" : ("af_interface", Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface), "network" : ("network", Native.Router.Eigrp.AddressFamily.AfIpList.Network)}

                        self.unicast_multicast = YLeaf(YType.enumeration, "unicast-multicast")

                        self.autonomous_system = YLeaf(YType.uint16, "autonomous-system")

                        self.auto_summary = YLeaf(YType.empty, "auto-summary")

                        self.maximum_paths = YLeaf(YType.uint8, "maximum-paths")

                        self.nsf = YLeaf(YType.empty, "nsf")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.variance = YLeaf(YType.uint8, "variance")

                        self.bfd = Native.Router.Eigrp.AddressFamily.AfIpList.Bfd()
                        self.bfd.parent = self
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.default_information = Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation()
                        self.default_information.parent = self
                        self._children_name_map["default_information"] = "default-information"
                        self._children_yang_names.add("default-information")

                        self.default_metric = Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric()
                        self.default_metric.parent = self
                        self._children_name_map["default_metric"] = "default-metric"
                        self._children_yang_names.add("default-metric")

                        self.distance = Native.Router.Eigrp.AddressFamily.AfIpList.Distance()
                        self.distance.parent = self
                        self._children_name_map["distance"] = "distance"
                        self._children_yang_names.add("distance")

                        self.distribute_list = Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList()
                        self.distribute_list.parent = self
                        self._children_name_map["distribute_list"] = "distribute-list"
                        self._children_yang_names.add("distribute-list")

                        self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp()
                        self.eigrp.parent = self
                        self._children_name_map["eigrp"] = "eigrp"
                        self._children_yang_names.add("eigrp")

                        self.metric = Native.Router.Eigrp.AddressFamily.AfIpList.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")

                        self.neighbor = Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor()
                        self.neighbor.parent = self
                        self._children_name_map["neighbor"] = "neighbor"
                        self._children_yang_names.add("neighbor")

                        self.offset_list = Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList()
                        self.offset_list.parent = self
                        self._children_name_map["offset_list"] = "offset-list"
                        self._children_yang_names.add("offset-list")

                        self.redistribute = Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute()
                        self.redistribute.parent = self
                        self._children_name_map["redistribute"] = "redistribute"
                        self._children_yang_names.add("redistribute")

                        self.summary_metric = Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric()
                        self.summary_metric.parent = self
                        self._children_name_map["summary_metric"] = "summary-metric"
                        self._children_yang_names.add("summary-metric")

                        self.timers = Native.Router.Eigrp.AddressFamily.AfIpList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.traffic_share = Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare()
                        self.traffic_share.parent = self
                        self._children_name_map["traffic_share"] = "traffic-share"
                        self._children_yang_names.add("traffic-share")

                        self.topology = Native.Router.Eigrp.AddressFamily.AfIpList.Topology()
                        self.topology.parent = self
                        self._children_name_map["topology"] = "topology"
                        self._children_yang_names.add("topology")

                        self.af_interface = YList(self)
                        self.network = YList(self)
                        self._segment_path = lambda: "af-ip-list" + "[unicast-multicast='" + self.unicast_multicast.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList, ['unicast_multicast', 'autonomous_system', 'auto_summary', 'maximum_paths', 'nsf', 'shutdown', 'variance'], name, value)

                    class UnicastMulticast(Enum):
                        """
                        UnicastMulticast

                        .. data:: unicast = 0

                        .. data:: multicast = 1

                        """

                        unicast = Enum.YLeaf(0, "unicast")

                        multicast = Enum.YLeaf(1, "multicast")



                    class AfInterface(Entity):
                        """
                        Enter Address Family interface configuration
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: bandwidth_percent
                        
                        	Set percentage of bandwidth percentage limit
                        	**type**\: int
                        
                        	**range:** 1..999999
                        
                        .. attribute:: hello_interval
                        
                        	Configures hello interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hold_time
                        
                        	Configures hold time
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: passive_interface
                        
                        	Suppress address updates on an interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_horizon
                        
                        	Perform split horizon
                        	**type**\: bool
                        
                        .. attribute:: authentication
                        
                        	authentication subcommands
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication>`
                        
                        .. attribute:: summary_address
                        
                        	
                        	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.SummaryAddress>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface, self).__init__()

                            self.yang_name = "af-interface"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication), "summary-address" : ("summary_address", Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.SummaryAddress)}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.bandwidth_percent = YLeaf(YType.uint32, "bandwidth-percent")

                            self.hello_interval = YLeaf(YType.uint16, "hello-interval")

                            self.hold_time = YLeaf(YType.uint16, "hold-time")

                            self.passive_interface = YLeaf(YType.empty, "passive-interface")

                            self.split_horizon = YLeaf(YType.boolean, "split-horizon")

                            self.authentication = Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.summary_address = Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.SummaryAddress()
                            self.summary_address.parent = self
                            self._children_name_map["summary_address"] = "summary-address"
                            self._children_yang_names.add("summary-address")
                            self._segment_path = lambda: "af-interface" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface, ['name', 'bandwidth_percent', 'hello_interval', 'hold_time', 'passive_interface', 'split_horizon'], name, value)


                        class Authentication(Entity):
                            """
                            authentication subcommands
                            
                            .. attribute:: mode
                            
                            	authentication mode
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode>`
                            
                            .. attribute:: key_chain
                            
                            	key\-chain
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "af-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode" : ("mode", Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.mode = Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode()
                                self.mode.parent = self
                                self._children_name_map["mode"] = "mode"
                                self._children_yang_names.add("mode")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication, ['key_chain'], name, value)


                            class Mode(Entity):
                                """
                                authentication mode
                                
                                .. attribute:: md5
                                
                                	Keyed message digest
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: hmac_sha_256
                                
                                	HMAC\-SHA\-256 Authentication
                                	**type**\:  :py:class:`HmacSha256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode.HmacSha256>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode, self).__init__()

                                    self.yang_name = "mode"
                                    self.yang_parent_name = "authentication"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hmac-sha-256" : ("hmac_sha_256", Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode.HmacSha256)}
                                    self._child_list_classes = {}

                                    self.md5 = YLeaf(YType.empty, "md5")

                                    self.hmac_sha_256 = Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode.HmacSha256()
                                    self.hmac_sha_256.parent = self
                                    self._children_name_map["hmac_sha_256"] = "hmac-sha-256"
                                    self._children_yang_names.add("hmac-sha-256")
                                    self._segment_path = lambda: "mode"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode, ['md5'], name, value)


                                class HmacSha256(Entity):
                                    """
                                    HMAC\-SHA\-256 Authentication
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode.HmacSha256, self).__init__()

                                        self.yang_name = "hmac-sha-256"
                                        self.yang_parent_name = "mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.auth_type = YLeaf(YType.uint8, "auth-type")

                                        self.auth_key = YLeaf(YType.str, "auth-key")
                                        self._segment_path = lambda: "hmac-sha-256"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.Authentication.Mode.HmacSha256, ['auth_type', 'auth_key'], name, value)


                        class SummaryAddress(Entity):
                            """
                            
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.SummaryAddress, self).__init__()

                                self.yang_name = "summary-address"
                                self.yang_parent_name = "af-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.mask = YLeaf(YType.str, "mask")
                                self._segment_path = lambda: "summary-address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.AfInterface.SummaryAddress, ['address', 'mask'], name, value)


                    class Bfd(Entity):
                        """
                        BFD configuration commands
                        
                        .. attribute:: all_interfaces
                        
                        	Enable BFD on all interfaces
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interface
                        
                        	Enable BFD on specific interface
                        	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"interface" : ("interface", Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface)}
                            self._child_list_classes = {}

                            self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

                            self.interface = Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface()
                            self.interface.parent = self
                            self._children_name_map["interface"] = "interface"
                            self._children_yang_names.add("interface")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Bfd, ['all_interfaces'], name, value)


                        class Interface(Entity):
                            """
                            Enable BFD on specific interface
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.ATMSubinterface>`
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\: str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.ATMACRsubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\: str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\: str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\: str
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.LISPSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\: str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\: str
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\: str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface, self).__init__()

                                self.yang_name = "interface"
                                self.yang_parent_name = "bfd"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.PortChannelSubinterface)}
                                self._child_list_classes = {}

                                self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                self.atm = YLeaf(YType.str, "ATM")

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                self.bdi = YLeaf(YType.str, "BDI")

                                self.cem = YLeaf(YType.str, "CEM")

                                self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.lisp = YLeaf(YType.str, "LISP")

                                self.loopback = YLeaf(YType.uint32, "Loopback")

                                self.multilink = YLeaf(YType.uint16, "Multilink")

                                self.nve = YLeaf(YType.uint16, "nve")

                                self.overlay = YLeaf(YType.uint16, "overlay")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                self.sm = YLeaf(YType.str, "SM")

                                self.cellular = YLeaf(YType.str, "Cellular")

                                self.serial = YLeaf(YType.str, "Serial")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                self.vlan = YLeaf(YType.uint16, "Vlan")

                                self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                self.vasileft = YLeaf(YType.uint16, "vasileft")

                                self.vasiright = YLeaf(YType.uint16, "vasiright")

                                self.atm_subinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.ATMSubinterface()
                                self.atm_subinterface.parent = self
                                self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                self._children_yang_names.add("ATM-subinterface")

                                self.atm_acrsubinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.ATMACRsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                self._children_yang_names.add("ATM-ACRsubinterface")

                                self.lisp_subinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.LISPSubinterface()
                                self.lisp_subinterface.parent = self
                                self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                self._children_yang_names.add("LISP-subinterface")

                                self.port_channel_subinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                self._children_yang_names.add("Port-channel-subinterface")
                                self._segment_path = lambda: "interface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                            class ATMSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.ATMSubinterface, self).__init__()

                                    self.yang_name = "ATM-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm = YLeaf(YType.str, "ATM")
                                    self._segment_path = lambda: "ATM-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.ATMSubinterface, ['atm'], name, value)


                            class ATMACRsubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.ATMACRsubinterface, self).__init__()

                                    self.yang_name = "ATM-ACRsubinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                    self._segment_path = lambda: "ATM-ACRsubinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                            class LISPSubinterface(Entity):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.LISPSubinterface, self).__init__()

                                    self.yang_name = "LISP-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.lisp = YLeaf(YType.str, "LISP")
                                    self._segment_path = lambda: "LISP-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.LISPSubinterface, ['lisp'], name, value)


                            class PortChannelSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.PortChannelSubinterface, self).__init__()

                                    self.yang_name = "Port-channel-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port_channel = YLeaf(YType.str, "Port-channel")
                                    self._segment_path = lambda: "Port-channel-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Bfd.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                    class DefaultInformation(Entity):
                        """
                        Control distribution of default information
                        
                        .. attribute:: in_
                        
                        	Accept input default routing information
                        	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.In_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: out
                        
                        	Accept output default routing information
                        	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.Out>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation, self).__init__()

                            self.yang_name = "default-information"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"in" : ("in_", Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.In_), "out" : ("out", Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.Out)}
                            self._child_list_classes = {}

                            self.in_ = None
                            self._children_name_map["in_"] = "in"
                            self._children_yang_names.add("in")

                            self.out = None
                            self._children_name_map["out"] = "out"
                            self._children_yang_names.add("out")
                            self._segment_path = lambda: "default-information"


                        class In_(Entity):
                            """
                            Accept input default routing information
                            
                            .. attribute:: sa_num
                            
                            	A standard expanded IP access list number
                            	**type**\: int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: sa_name
                            
                            	Standard Access\-list name
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.In_, self).__init__()

                                self.yang_name = "in"
                                self.yang_parent_name = "default-information"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.sa_num = YLeaf(YType.uint16, "sa-num")

                                self.sa_name = YLeaf(YType.str, "sa-name")
                                self._segment_path = lambda: "in"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.In_, ['sa_num', 'sa_name'], name, value)


                        class Out(Entity):
                            """
                            Accept output default routing information
                            
                            .. attribute:: sa_out_num
                            
                            	A standard expanded IP access list number
                            	**type**\: int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: sa_out_name
                            
                            	Standard Access\-list name
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.Out, self).__init__()

                                self.yang_name = "out"
                                self.yang_parent_name = "default-information"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.sa_out_num = YLeaf(YType.uint16, "sa-out-num")

                                self.sa_out_name = YLeaf(YType.str, "sa-out-name")
                                self._segment_path = lambda: "out"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DefaultInformation.Out, ['sa_out_num', 'sa_out_name'], name, value)


                    class DefaultMetric(Entity):
                        """
                        Set metric of redistributed routes
                        
                        .. attribute:: dm_rdr
                        
                        	
                        	**type**\: list of  		 :py:class:`DmRdr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric, self).__init__()

                            self.yang_name = "default-metric"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"dm-rdr" : ("dm_rdr", Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr)}

                            self.dm_rdr = YList(self)
                            self._segment_path = lambda: "default-metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric, [], name, value)


                        class DmRdr(Entity):
                            """
                            
                            
                            .. attribute:: dm_rdr  <key>
                            
                            	Bandwidth in Kbits per second
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: dm_rdr0
                            
                            	
                            	**type**\: list of  		 :py:class:`DmRdr0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr.DmRdr0>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr, self).__init__()

                                self.yang_name = "dm-rdr"
                                self.yang_parent_name = "default-metric"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"dm-rdr0" : ("dm_rdr0", Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr.DmRdr0)}

                                self.dm_rdr = YLeaf(YType.uint32, "dm-rdr")

                                self.dm_rdr0 = YList(self)
                                self._segment_path = lambda: "dm-rdr" + "[dm-rdr='" + self.dm_rdr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr, ['dm_rdr'], name, value)


                            class DmRdr0(Entity):
                                """
                                
                                
                                .. attribute:: dm_rdr0  <key>
                                
                                	delay metric in 10 microsecond units
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: dm_rdr_pct
                                
                                	Reliability metric where 255 is 100% reliable
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr.DmRdr0, self).__init__()

                                    self.yang_name = "dm-rdr0"
                                    self.yang_parent_name = "dm-rdr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dm_rdr0 = YLeaf(YType.uint32, "dm-rdr0")

                                    self.dm_rdr_pct = YLeaf(YType.uint8, "dm-rdr-pct")
                                    self._segment_path = lambda: "dm-rdr0" + "[dm-rdr0='" + self.dm_rdr0.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DefaultMetric.DmRdr.DmRdr0, ['dm_rdr0', 'dm_rdr_pct'], name, value)


                    class Distance(Entity):
                        """
                        Define an administrative distance
                        
                        .. attribute:: rad_dis
                        
                        	
                        	**type**\: list of  		 :py:class:`RadDis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis>`
                        
                        .. attribute:: eigrp
                        
                        	Set distance for internal and external routes
                        	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.Distance, self).__init__()

                            self.yang_name = "distance"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"eigrp" : ("eigrp", Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp)}
                            self._child_list_classes = {"rad-dis" : ("rad_dis", Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis)}

                            self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp()
                            self.eigrp.parent = self
                            self._children_name_map["eigrp"] = "eigrp"
                            self._children_yang_names.add("eigrp")

                            self.rad_dis = YList(self)
                            self._segment_path = lambda: "distance"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Distance, [], name, value)


                        class RadDis(Entity):
                            """
                            
                            
                            .. attribute:: rad_dis  <key>
                            
                            	Set route administrative distance
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis.Ipv4>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis, self).__init__()

                                self.yang_name = "rad-dis"
                                self.yang_parent_name = "distance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ipv4" : ("ipv4", Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis.Ipv4)}

                                self.rad_dis = YLeaf(YType.uint8, "rad-dis")

                                self.ipv4 = YList(self)
                                self._segment_path = lambda: "rad-dis" + "[rad-dis='" + self.rad_dis.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis, ['rad_dis'], name, value)


                            class Ipv4(Entity):
                                """
                                
                                
                                .. attribute:: ipv4  <key>
                                
                                	IP Source address
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv40
                                
                                	Wildcard bits
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "rad-dis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.ipv40 = YLeaf(YType.str, "ipv40")
                                    self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Distance.RadDis.Ipv4, ['ipv4', 'ipv40'], name, value)


                        class Eigrp(Entity):
                            """
                            Set distance for internal and external routes
                            
                            .. attribute:: di_rt
                            
                            	
                            	**type**\: list of  		 :py:class:`DiRt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp.DiRt>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "distance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"di-rt" : ("di_rt", Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp.DiRt)}

                                self.di_rt = YList(self)
                                self._segment_path = lambda: "eigrp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp, [], name, value)


                            class DiRt(Entity):
                                """
                                
                                
                                .. attribute:: di_rt  <key>
                                
                                	Distance for internal routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: di_rt0
                                
                                	Distance for external routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp.DiRt, self).__init__()

                                    self.yang_name = "di-rt"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.di_rt = YLeaf(YType.uint8, "di-rt")

                                    self.di_rt0 = YLeaf(YType.uint8, "di-rt0")
                                    self._segment_path = lambda: "di-rt" + "[di-rt='" + self.di_rt.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Distance.Eigrp.DiRt, ['di_rt', 'di_rt0'], name, value)


                    class DistributeList(Entity):
                        """
                        Filter entries in eigrp updates
                        
                        .. attribute:: eig_filt
                        
                        	
                        	**type**\: list of  		 :py:class:`EigFilt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt>`
                        
                        .. attribute:: gateway
                        
                        	Filtering incoming address updates based on gateway
                        	**type**\:  :py:class:`Gateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway>`
                        
                        .. attribute:: prefix
                        
                        	Filter prefixes in address updates
                        	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix>`
                        
                        .. attribute:: route_map
                        
                        	Filter prefixes based on the route\-map
                        	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList, self).__init__()

                            self.yang_name = "distribute-list"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"gateway" : ("gateway", Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway), "prefix" : ("prefix", Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix), "route-map" : ("route_map", Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap)}
                            self._child_list_classes = {"eig-filt" : ("eig_filt", Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt)}

                            self.gateway = Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway()
                            self.gateway.parent = self
                            self._children_name_map["gateway"] = "gateway"
                            self._children_yang_names.add("gateway")

                            self.prefix = Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix()
                            self.prefix.parent = self
                            self._children_name_map["prefix"] = "prefix"
                            self._children_yang_names.add("prefix")

                            self.route_map = Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap()
                            self.route_map.parent = self
                            self._children_name_map["route_map"] = "route-map"
                            self._children_yang_names.add("route-map")

                            self.eig_filt = YList(self)
                            self._segment_path = lambda: "distribute-list"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList, [], name, value)


                        class EigFilt(Entity):
                            """
                            
                            
                            .. attribute:: eig_filt  <key>
                            
                            	IP expanded access list number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	Filter incoming service updates
                            	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing service updates
                            	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt, self).__init__()

                                self.yang_name = "eig-filt"
                                self.yang_parent_name = "distribute-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"in" : ("in_", Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.In_), "out" : ("out", Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.Out)}
                                self._child_list_classes = {}

                                self.eig_filt = YLeaf(YType.str, "eig-filt")

                                self.in_ = None
                                self._children_name_map["in_"] = "in"
                                self._children_yang_names.add("in")

                                self.out = None
                                self._children_name_map["out"] = "out"
                                self._children_yang_names.add("out")
                                self._segment_path = lambda: "eig-filt" + "[eig-filt='" + self.eig_filt.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt, ['eig_filt'], name, value)


                            class In_(Entity):
                                """
                                Filter incoming service updates
                                
                                .. attribute:: interface_name
                                
                                	Interface name
                                	**type**\: list of str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.In_, self).__init__()

                                    self.yang_name = "in"
                                    self.yang_parent_name = "eig-filt"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface_name = YLeafList(YType.str, "interface_name")
                                    self._segment_path = lambda: "in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.In_, ['interface_name'], name, value)


                            class Out(Entity):
                                """
                                Filter outgoing service updates
                                
                                .. attribute:: interface_name
                                
                                	Interface name
                                	**type**\: list of str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.Out, self).__init__()

                                    self.yang_name = "out"
                                    self.yang_parent_name = "eig-filt"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface_name = YLeafList(YType.str, "interface_name")
                                    self._segment_path = lambda: "out"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.EigFilt.Out, ['interface_name'], name, value)


                        class Gateway(Entity):
                            """
                            Filtering incoming address updates based on gateway
                            
                            .. attribute:: gw_list
                            
                            	
                            	**type**\: list of  		 :py:class:`GwList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway.GwList>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway, self).__init__()

                                self.yang_name = "gateway"
                                self.yang_parent_name = "distribute-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"gw-list" : ("gw_list", Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway.GwList)}

                                self.gw_list = YList(self)
                                self._segment_path = lambda: "gateway"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway, [], name, value)


                            class GwList(Entity):
                                """
                                
                                
                                .. attribute:: gw_list  <key>
                                
                                	Name of an IP prefix\-list
                                	**type**\: str
                                
                                .. attribute:: in_
                                
                                	Filter incoming service updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Filter outgoing service updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway.GwList, self).__init__()

                                    self.yang_name = "gw-list"
                                    self.yang_parent_name = "gateway"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.gw_list = YLeaf(YType.str, "gw-list")

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "gw-list" + "[gw-list='" + self.gw_list.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Gateway.GwList, ['gw_list', 'in_', 'out'], name, value)


                        class Prefix(Entity):
                            """
                            Filter prefixes in address updates
                            
                            .. attribute:: pl_name
                            
                            	
                            	**type**\: list of  		 :py:class:`PlName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix.PlName>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix, self).__init__()

                                self.yang_name = "prefix"
                                self.yang_parent_name = "distribute-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"pl-name" : ("pl_name", Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix.PlName)}

                                self.pl_name = YList(self)
                                self._segment_path = lambda: "prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix, [], name, value)


                            class PlName(Entity):
                                """
                                
                                
                                .. attribute:: pl_name  <key>
                                
                                	Name of an IP prefix\-list
                                	**type**\: str
                                
                                .. attribute:: gateway
                                
                                	Filtering incoming address updates based on gateway
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: in_
                                
                                	Filter incoming service updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Filter outgoing service updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix.PlName, self).__init__()

                                    self.yang_name = "pl-name"
                                    self.yang_parent_name = "prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.pl_name = YLeaf(YType.str, "pl-name")

                                    self.gateway = YLeaf(YType.empty, "gateway")

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "pl-name" + "[pl-name='" + self.pl_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.Prefix.PlName, ['pl_name', 'gateway', 'in_', 'out'], name, value)


                        class RouteMap(Entity):
                            """
                            Filter prefixes based on the route\-map
                            
                            .. attribute:: rmap_name
                            
                            	
                            	**type**\: list of  		 :py:class:`RmapName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap.RmapName>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap, self).__init__()

                                self.yang_name = "route-map"
                                self.yang_parent_name = "distribute-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"rmap-name" : ("rmap_name", Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap.RmapName)}

                                self.rmap_name = YList(self)
                                self._segment_path = lambda: "route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap, [], name, value)


                            class RmapName(Entity):
                                """
                                
                                
                                .. attribute:: rmap_name  <key>
                                
                                	route\-map name
                                	**type**\: str
                                
                                .. attribute:: in_
                                
                                	Filter incoming service updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Filter outgoing service updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap.RmapName, self).__init__()

                                    self.yang_name = "rmap-name"
                                    self.yang_parent_name = "route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rmap_name = YLeaf(YType.str, "rmap-name")

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "rmap-name" + "[rmap-name='" + self.rmap_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.DistributeList.RouteMap.RmapName, ['rmap_name', 'in_', 'out'], name, value)


                    class Eigrp(Entity):
                        """
                        EIGRP Address Family specific commands
                        
                        .. attribute:: router_id
                        
                        	router id for this EIGRP process
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: stub
                        
                        	Set address\-family in stubbed mode
                        	**type**\:  :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp.Stub>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"stub" : ("stub", Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp.Stub)}
                            self._child_list_classes = {}

                            self.router_id = YLeaf(YType.str, "router-id")

                            self.stub = None
                            self._children_name_map["stub"] = "stub"
                            self._children_yang_names.add("stub")
                            self._segment_path = lambda: "eigrp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp, ['router_id'], name, value)


                        class Stub(Entity):
                            """
                            Set address\-family in stubbed mode
                            
                            .. attribute:: connected
                            
                            	Do advertise connected routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: summary
                            
                            	Do advertise summary routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redistributed
                            
                            	Do advertise redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: leak_map
                            
                            	Allow dynamic prefixes based on the leak\-map
                            	**type**\: str
                            
                            .. attribute:: receive_only
                            
                            	Set receive only neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: static
                            
                            	Do advertise static routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp.Stub, self).__init__()

                                self.yang_name = "stub"
                                self.yang_parent_name = "eigrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.connected = YLeaf(YType.empty, "connected")

                                self.summary = YLeaf(YType.empty, "summary")

                                self.redistributed = YLeaf(YType.empty, "redistributed")

                                self.leak_map = YLeaf(YType.str, "leak-map")

                                self.receive_only = YLeaf(YType.empty, "receive-only")

                                self.static = YLeaf(YType.empty, "static")
                                self._segment_path = lambda: "stub"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Eigrp.Stub, ['connected', 'summary', 'redistributed', 'leak_map', 'receive_only', 'static'], name, value)


                    class Metric(Entity):
                        """
                        Modify metrics and parameters for advertisement
                        
                        .. attribute:: maximum_hops
                        
                        	Hop count
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weights
                        
                        	Type (Only TOS 0 supported)
                        	**type**\: int
                        
                        	**range:** 0..8
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.maximum_hops = YLeaf(YType.uint8, "maximum-hops")

                            self.weights = YLeaf(YType.uint8, "weights")
                            self._segment_path = lambda: "metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Metric, ['maximum_hops', 'weights'], name, value)


                    class Neighbor(Entity):
                        """
                        Specify a neighbor router
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"ipv4" : ("ipv4", Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4)}

                            self.ipv4 = YList(self)
                            self._segment_path = lambda: "neighbor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor, [], name, value)


                        class Ipv4(Entity):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	Neighbor address
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: interface
                            
                            	Specify interface for global address
                            	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"interface" : ("interface", Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface)}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                self.interface = Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface()
                                self.interface.parent = self
                                self._children_name_map["interface"] = "interface"
                                self._children_yang_names.add("interface")
                                self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4, ['ipv4'], name, value)


                            class Interface(Entity):
                                """
                                Specify interface for global address
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface, self).__init__()

                                    self.yang_name = "interface"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "interface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Neighbor.Ipv4.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                    class Network(Entity):
                        """
                        Enable routing on an IP network
                        
                        .. attribute:: number  <key>
                        
                        	Network number
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: wild_card
                        
                        	EIGRP wild card bits
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.str, "number")

                            self.wild_card = YLeaf(YType.str, "wild-card")
                            self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Network, ['number', 'wild_card'], name, value)


                    class OffsetList(Entity):
                        """
                        Add or subtract offset from EIGRP metrics
                        
                        .. attribute:: nsr_list
                        
                        	
                        	**type**\: list of  		 :py:class:`NsrList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.NsrList>`
                        
                        .. attribute:: ol_acl
                        
                        	
                        	**type**\: list of  		 :py:class:`OlAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.OlAcl>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList, self).__init__()

                            self.yang_name = "offset-list"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"nsr-list" : ("nsr_list", Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.NsrList), "ol-acl" : ("ol_acl", Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.OlAcl)}

                            self.nsr_list = YList(self)
                            self.ol_acl = YList(self)
                            self._segment_path = lambda: "offset-list"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList, [], name, value)


                        class NsrList(Entity):
                            """
                            
                            
                            .. attribute:: nsr_list  <key>
                            
                            	Access list of networks to apply offset (extended range)
                            	**type**\: int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: in_
                            
                            	Perform offset on incoming updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Perform offset on outgoing updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.NsrList, self).__init__()

                                self.yang_name = "nsr-list"
                                self.yang_parent_name = "offset-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.nsr_list = YLeaf(YType.uint16, "nsr-list")

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "nsr-list" + "[nsr-list='" + self.nsr_list.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.NsrList, ['nsr_list', 'in_', 'out'], name, value)


                        class OlAcl(Entity):
                            """
                            
                            
                            .. attribute:: ol_acl  <key>
                            
                            	Access\-list name
                            	**type**\: str
                            
                            .. attribute:: in_
                            
                            	Perform offset on incoming updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Perform offset on outgoing updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.OlAcl, self).__init__()

                                self.yang_name = "ol-acl"
                                self.yang_parent_name = "offset-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ol_acl = YLeaf(YType.str, "ol-acl")

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "ol-acl" + "[ol-acl='" + self.ol_acl.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.OffsetList.OlAcl, ['ol_acl', 'in_', 'out'], name, value)


                    class Redistribute(Entity):
                        """
                        Redistribute IPv4 routes from another routing protocol
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Autonomous system number
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Isis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Lisp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: mobile
                        
                        	Mobile routes
                        	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Mobile>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: odr
                        
                        	On Demand stub Routes
                        	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Odr>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ospf
                        
                        	Process ID
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Static>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: vrf
                        
                        	Specify a source virtual routing/forwarding instance
                        	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute, self).__init__()

                            self.yang_name = "redistribute"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"connected" : ("connected", Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Connected), "isis" : ("isis", Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Lisp), "mobile" : ("mobile", Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Mobile), "odr" : ("odr", Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Odr), "rip" : ("rip", Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Rip), "static" : ("static", Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Static), "vrf" : ("vrf", Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Vrf)}
                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp)}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.ospf = YLeaf(YType.uint16, "ospf")

                            self.connected = None
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.isis = None
                            self._children_name_map["isis"] = "isis"
                            self._children_yang_names.add("isis")

                            self.lisp = None
                            self._children_name_map["lisp"] = "lisp"
                            self._children_yang_names.add("lisp")

                            self.mobile = None
                            self._children_name_map["mobile"] = "mobile"
                            self._children_yang_names.add("mobile")

                            self.odr = None
                            self._children_name_map["odr"] = "odr"
                            self._children_yang_names.add("odr")

                            self.rip = None
                            self._children_name_map["rip"] = "rip"
                            self._children_yang_names.add("rip")

                            self.static = None
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")

                            self.vrf = Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Vrf()
                            self.vrf.parent = self
                            self._children_name_map["vrf"] = "vrf"
                            self._children_yang_names.add("vrf")

                            self.bgp = YList(self)
                            self._segment_path = lambda: "redistribute"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute, ['eigrp', 'ospf'], name, value)


                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: rdr_as  <key>
                            
                            	Autonomous system number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: rd_lesser_1_period_0_xx_period_yy_greater_
                            
                            	Autonomous system number
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp.Metric)}
                                self._child_list_classes = {}

                                self.rdr_as = YLeaf(YType.str, "rdr-as")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.rd_lesser_1_period_0_xx_period_yy_greater_ = YLeaf(YType.empty, "rd-LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_")

                                self.metric = Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "bgp" + "[rdr-as='" + self.rdr_as.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp, ['rdr_as', 'route_map', 'rd_lesser_1_period_0_xx_period_yy_greater_'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: bandwith
                                
                                	Bandwidth metric in Kbits per second
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: delay
                                
                                	EIGRP delay metric, in 10 microsecond units
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: reliability
                                
                                	EIGRP reliability metric where 255 is 100% reliable
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: effective
                                
                                	EIGRP Effective bandwidth metric (Loading) where 255 is 100% loaded
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: mtu
                                
                                	EIGRP MTU of the path
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.bandwith = YLeaf(YType.uint32, "bandwith")

                                    self.delay = YLeaf(YType.uint32, "delay")

                                    self.reliability = YLeaf(YType.uint8, "reliability")

                                    self.effective = YLeaf(YType.uint8, "Effective")

                                    self.mtu = YLeaf(YType.uint16, "mtu")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Bgp.Metric, ['bandwith', 'delay', 'reliability', 'effective', 'mtu'], name, value)


                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "connected"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Connected, ['metric', 'route_map'], name, value)


                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: is_tag
                            
                            	ISO routing area tag
                            	**type**\: str
                            
                            .. attribute:: level_1
                            
                            	IS\-IS level\-1 routes only
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: level_1_2
                            
                            	IS\-IS level\-1 and level\-2 routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: level_2
                            
                            	IS\-IS level\-2 routes only
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.is_tag = YLeaf(YType.str, "is-tag")

                                self.level_1 = YLeaf(YType.empty, "level-1")

                                self.level_1_2 = YLeaf(YType.empty, "level-1-2")

                                self.level_2 = YLeaf(YType.empty, "level-2")

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "isis"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Isis, ['is_tag', 'level_1', 'level_1_2', 'level_2', 'metric', 'route_map'], name, value)


                        class Lisp(Entity):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Lisp, self).__init__()

                                self.yang_name = "lisp"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "lisp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Lisp, ['metric', 'route_map'], name, value)


                        class Mobile(Entity):
                            """
                            Mobile routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Mobile, self).__init__()

                                self.yang_name = "mobile"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "mobile"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                        class Odr(Entity):
                            """
                            On Demand stub Routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Odr, self).__init__()

                                self.yang_name = "odr"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "odr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Odr, ['metric', 'route_map'], name, value)


                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "rip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Rip, ['metric', 'route_map'], name, value)


                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Static, ['metric', 'route_map'], name, value)


                        class Vrf(Entity):
                            """
                            Specify a source virtual routing/forwarding instance
                            
                            .. attribute:: name
                            
                            	Virtual Routing/Forwarding instance name
                            	**type**\: str
                            
                            .. attribute:: global_
                            
                            	global VRF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.global_ = YLeaf(YType.empty, "global")
                                self._segment_path = lambda: "vrf"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Redistribute.Vrf, ['name', 'global_'], name, value)


                    class SummaryMetric(Entity):
                        """
                        Specify summary to apply metric/filtering
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric.Ipv4>`
                        
                        .. attribute:: a_period_b_period_c_period_d_slash_nn
                        
                        	Summary <network>/<length>, e.g., 192.168.0.0/16
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric, self).__init__()

                            self.yang_name = "summary-metric"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"ipv4" : ("ipv4", Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric.Ipv4)}

                            self.a_period_b_period_c_period_d_slash_nn = YLeaf(YType.empty, "A_PERIOD_B_PERIOD_C_PERIOD_D_SLASH_nn")

                            self.ipv4 = YList(self)
                            self._segment_path = lambda: "summary-metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric, ['a_period_b_period_c_period_d_slash_nn'], name, value)


                        class Ipv4(Entity):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	Summary to configure static metric
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "summary-metric"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                self.mask = YLeaf(YType.str, "mask")
                                self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.SummaryMetric.Ipv4, ['ipv4', 'mask'], name, value)


                    class Timers(Entity):
                        """
                        Adjust routing timers
                        
                        .. attribute:: active_time
                        
                        	time limit for active state
                        	**type**\:  :py:class:`ActiveTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Timers.ActiveTime>`
                        
                        .. attribute:: graceful_restart
                        
                        	EIGRP Graceful Restart timer
                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Timers.GracefulRestart>`
                        
                        .. attribute:: nsf
                        
                        	EIGRP NSF timer
                        	**type**\:  :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Timers.Nsf>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"active-time" : ("active_time", Native.Router.Eigrp.AddressFamily.AfIpList.Timers.ActiveTime), "graceful-restart" : ("graceful_restart", Native.Router.Eigrp.AddressFamily.AfIpList.Timers.GracefulRestart), "nsf" : ("nsf", Native.Router.Eigrp.AddressFamily.AfIpList.Timers.Nsf)}
                            self._child_list_classes = {}

                            self.active_time = Native.Router.Eigrp.AddressFamily.AfIpList.Timers.ActiveTime()
                            self.active_time.parent = self
                            self._children_name_map["active_time"] = "active-time"
                            self._children_yang_names.add("active-time")

                            self.graceful_restart = Native.Router.Eigrp.AddressFamily.AfIpList.Timers.GracefulRestart()
                            self.graceful_restart.parent = self
                            self._children_name_map["graceful_restart"] = "graceful-restart"
                            self._children_yang_names.add("graceful-restart")

                            self.nsf = Native.Router.Eigrp.AddressFamily.AfIpList.Timers.Nsf()
                            self.nsf.parent = self
                            self._children_name_map["nsf"] = "nsf"
                            self._children_yang_names.add("nsf")
                            self._segment_path = lambda: "timers"


                        class ActiveTime(Entity):
                            """
                            time limit for active state
                            
                            .. attribute:: atimer
                            
                            	active state time limit in minutes
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disabled
                            
                            	disable time limit for active state
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Timers.ActiveTime, self).__init__()

                                self.yang_name = "active-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atimer = YLeaf(YType.uint16, "atimer")

                                self.disabled = YLeaf(YType.empty, "disabled")
                                self._segment_path = lambda: "active-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Timers.ActiveTime, ['atimer', 'disabled'], name, value)


                        class GracefulRestart(Entity):
                            """
                            EIGRP Graceful Restart timer
                            
                            .. attribute:: purge_time
                            
                            	EIGRP stale route purge time
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Timers.GracefulRestart, self).__init__()

                                self.yang_name = "graceful-restart"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.purge_time = YLeaf(YType.empty, "purge-time")
                                self._segment_path = lambda: "graceful-restart"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Timers.GracefulRestart, ['purge_time'], name, value)


                        class Nsf(Entity):
                            """
                            EIGRP NSF timer
                            
                            .. attribute:: converge
                            
                            	EIGRP time limit for convergence after switchover
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: signal
                            
                            	EIGRP time limit for signaling NSF restart
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Timers.Nsf, self).__init__()

                                self.yang_name = "nsf"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.converge = YLeaf(YType.empty, "converge")

                                self.signal = YLeaf(YType.empty, "signal")
                                self._segment_path = lambda: "nsf"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Timers.Nsf, ['converge', 'signal'], name, value)


                    class TrafficShare(Entity):
                        """
                        How to compute traffic share over alternate paths
                        
                        .. attribute:: balanced
                        
                        	Share inversely proportional to metric
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: min
                        
                        	All traffic shared among min metric paths
                        	**type**\:  :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare.Min>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare, self).__init__()

                            self.yang_name = "traffic-share"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"min" : ("min", Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare.Min)}
                            self._child_list_classes = {}

                            self.balanced = YLeaf(YType.empty, "balanced")

                            self.min = Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare.Min()
                            self.min.parent = self
                            self._children_name_map["min"] = "min"
                            self._children_yang_names.add("min")
                            self._segment_path = lambda: "traffic-share"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare, ['balanced'], name, value)


                        class Min(Entity):
                            """
                            All traffic shared among min metric paths
                            
                            .. attribute:: across_interfaces
                            
                            	Use different interfaces for equal\-cost paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare.Min, self).__init__()

                                self.yang_name = "min"
                                self.yang_parent_name = "traffic-share"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                                self._segment_path = lambda: "min"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.TrafficShare.Min, ['across_interfaces'], name, value)


                    class Topology(Entity):
                        """
                        Topology configuration mode
                        
                        .. attribute:: base
                        
                        	Base Topology
                        	**type**\:  :py:class:`Base <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology, self).__init__()

                            self.yang_name = "topology"
                            self.yang_parent_name = "af-ip-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"base" : ("base", Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base)}
                            self._child_list_classes = {}

                            self.base = None
                            self._children_name_map["base"] = "base"
                            self._children_yang_names.add("base")
                            self._segment_path = lambda: "topology"


                        class Base(Entity):
                            """
                            Base Topology
                            
                            .. attribute:: distance
                            
                            	Define an administrative distance
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter entries in eigrp updates
                            	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList>`
                            
                            .. attribute:: redistribute
                            
                            	Redistribute IPv6 prefixes from another routing protocol
                            	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base, self).__init__()

                                self.yang_name = "base"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"distance" : ("distance", Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance), "distribute-list" : ("distribute_list", Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList), "redistribute" : ("redistribute", Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.distance = Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.distribute_list = Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList()
                                self.distribute_list.parent = self
                                self._children_name_map["distribute_list"] = "distribute-list"
                                self._children_yang_names.add("distribute-list")

                                self.redistribute = Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute()
                                self.redistribute.parent = self
                                self._children_name_map["redistribute"] = "redistribute"
                                self._children_yang_names.add("redistribute")
                                self._segment_path = lambda: "base"


                            class Distance(Entity):
                                """
                                Define an administrative distance
                                
                                .. attribute:: eigrp
                                
                                	EIGRP\-IPV6 distance
                                	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "base"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"eigrp" : ("eigrp", Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp)}
                                    self._child_list_classes = {}

                                    self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp()
                                    self.eigrp.parent = self
                                    self._children_name_map["eigrp"] = "eigrp"
                                    self._children_yang_names.add("eigrp")
                                    self._segment_path = lambda: "distance"


                                class Eigrp(Entity):
                                    """
                                    EIGRP\-IPV6 distance
                                    
                                    .. attribute:: distance_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`DistanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp.DistanceList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "distance"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"distance-list" : ("distance_list", Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp.DistanceList)}

                                        self.distance_list = YList(self)
                                        self._segment_path = lambda: "eigrp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp, [], name, value)


                                    class DistanceList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: internal_route  <key>
                                        
                                        	Distance for internal routes
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: external_route
                                        
                                        	Distance for external routes
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-eigrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp.DistanceList, self).__init__()

                                            self.yang_name = "distance-list"
                                            self.yang_parent_name = "eigrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.internal_route = YLeaf(YType.uint8, "internal-route")

                                            self.external_route = YLeaf(YType.uint8, "external-route")
                                            self._segment_path = lambda: "distance-list" + "[internal-route='" + self.internal_route.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Distance.Eigrp.DistanceList, ['internal_route', 'external_route'], name, value)


                            class DistributeList(Entity):
                                """
                                Filter entries in eigrp updates
                                
                                .. attribute:: prefix_list
                                
                                	Filter prefixes in address updates
                                	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.PrefixList>`
                                
                                .. attribute:: route_map
                                
                                	Filter prefixes based on the route\-map
                                	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.RouteMap>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList, self).__init__()

                                    self.yang_name = "distribute-list"
                                    self.yang_parent_name = "base"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.PrefixList), "route-map" : ("route_map", Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.RouteMap)}

                                    self.prefix_list = YList(self)
                                    self.route_map = YList(self)
                                    self._segment_path = lambda: "distribute-list"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList, [], name, value)


                                class PrefixList(Entity):
                                    """
                                    Filter prefixes in address updates
                                    
                                    .. attribute:: prefix_list  <key>
                                    
                                    	Name of an IP prefix\-list
                                    	**type**\: str
                                    
                                    .. attribute:: gateway
                                    
                                    	Filtering incoming address updates based on gateway
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming service updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing service updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.PrefixList, self).__init__()

                                        self.yang_name = "prefix-list"
                                        self.yang_parent_name = "distribute-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.prefix_list = YLeaf(YType.str, "prefix-list")

                                        self.gateway = YLeaf(YType.empty, "gateway")

                                        self.in_ = YLeaf(YType.empty, "in")

                                        self.out = YLeaf(YType.empty, "out")
                                        self._segment_path = lambda: "prefix-list" + "[prefix-list='" + self.prefix_list.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.PrefixList, ['prefix_list', 'gateway', 'in_', 'out'], name, value)


                                class RouteMap(Entity):
                                    """
                                    Filter prefixes based on the route\-map
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming service updates
                                    	**type**\: str
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing service updates
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.RouteMap, self).__init__()

                                        self.yang_name = "route-map"
                                        self.yang_parent_name = "distribute-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.in_ = YLeaf(YType.str, "in")

                                        self.out = YLeaf(YType.str, "out")
                                        self._segment_path = lambda: "route-map" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.DistributeList.RouteMap, ['name', 'in_', 'out'], name, value)


                            class Redistribute(Entity):
                                """
                                Redistribute IPv6 prefixes from another routing protocol
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPFv3)
                                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Ospf>`
                                
                                .. attribute:: connected
                                
                                	Connected Routes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: static
                                
                                	Static Routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute, self).__init__()

                                    self.yang_name = "redistribute"
                                    self.yang_parent_name = "base"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"eigrp" : ("eigrp", Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Ospf), "static" : ("static", Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Static)}
                                    self._child_list_classes = {}

                                    self.connected = YLeaf(YType.empty, "connected")

                                    self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp()
                                    self.eigrp.parent = self
                                    self._children_name_map["eigrp"] = "eigrp"
                                    self._children_yang_names.add("eigrp")

                                    self.ospf = Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Ospf()
                                    self.ospf.parent = self
                                    self._children_name_map["ospf"] = "ospf"
                                    self._children_yang_names.add("ospf")

                                    self.static = None
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")
                                    self._segment_path = lambda: "redistribute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute, ['connected'], name, value)


                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: as_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AsList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp.AsList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"as-list" : ("as_list", Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp.AsList)}

                                        self.as_list = YList(self)
                                        self._segment_path = lambda: "eigrp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp, [], name, value)


                                    class AsList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: autonomous_system  <key>
                                        
                                        	Autonomous system number
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-eigrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp.AsList, self).__init__()

                                            self.yang_name = "as-list"
                                            self.yang_parent_name = "eigrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.autonomous_system = YLeaf(YType.uint16, "autonomous-system")
                                            self._segment_path = lambda: "as-list" + "[autonomous-system='" + self.autonomous_system.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Eigrp.AsList, ['autonomous_system'], name, value)


                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPFv3)
                                    
                                    .. attribute:: pid_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`PidList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Ospf.PidList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"pid-list" : ("pid_list", Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Ospf.PidList)}

                                        self.pid_list = YList(self)
                                        self._segment_path = lambda: "ospf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Ospf, [], name, value)


                                    class PidList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: process_id  <key>
                                        
                                        	Process ID
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-eigrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Ospf.PidList, self).__init__()

                                            self.yang_name = "pid-list"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.process_id = YLeaf(YType.uint16, "process-id")
                                            self._segment_path = lambda: "pid-list" + "[process-id='" + self.process_id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Ospf.PidList, ['process_id'], name, value)


                                class Static(Entity):
                                    """
                                    Static Routes
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpList.Topology.Base.Redistribute.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "static"


                class AfIpVrfList(Entity):
                    """
                    Address family IPv4/IPv6 VRF
                    
                    .. attribute:: vrf  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: unicast_multicast
                    
                    	
                    	**type**\:  :py:class:`UnicastMulticast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.UnicastMulticast>`
                    
                    .. attribute:: autonomous_system
                    
                    	Specify Address\-Family Autonomous System Number?
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: af_interface
                    
                    	Enter Address Family interface configuration
                    	**type**\: list of  		 :py:class:`AfInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface>`
                    
                    .. attribute:: auto_summary
                    
                    	Enable automatic network number summarization
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bfd
                    
                    	BFD configuration commands
                    	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd>`
                    
                    .. attribute:: default_information
                    
                    	Control distribution of default information
                    	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation>`
                    
                    .. attribute:: default_metric
                    
                    	Set metric of redistributed routes
                    	**type**\:  :py:class:`DefaultMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric>`
                    
                    .. attribute:: distance
                    
                    	Define an administrative distance
                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance>`
                    
                    .. attribute:: distribute_list
                    
                    	Filter entries in eigrp updates
                    	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList>`
                    
                    .. attribute:: eigrp
                    
                    	EIGRP Address Family specific commands
                    	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp>`
                    
                    .. attribute:: maximum_paths
                    
                    	Number of paths
                    	**type**\: int
                    
                    	**range:** 1..32
                    
                    .. attribute:: metric
                    
                    	Modify metrics and parameters for advertisement
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Metric>`
                    
                    .. attribute:: neighbor
                    
                    	Specify a neighbor router
                    	**type**\:  :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor>`
                    
                    .. attribute:: network
                    
                    	Enable routing on an IP network
                    	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Network>`
                    
                    .. attribute:: nsf
                    
                    	Non\-stop forwarding
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: offset_list
                    
                    	Add or subtract offset from EIGRP metrics
                    	**type**\:  :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList>`
                    
                    .. attribute:: redistribute
                    
                    	Redistribute IPv4 routes from another routing protocol
                    	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute>`
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this instance of EIGRP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: summary_metric
                    
                    	Specify summary to apply metric/filtering
                    	**type**\:  :py:class:`SummaryMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric>`
                    
                    .. attribute:: timers
                    
                    	Adjust routing timers
                    	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers>`
                    
                    .. attribute:: traffic_share
                    
                    	How to compute traffic share over alternate paths
                    	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare>`
                    
                    .. attribute:: variance
                    
                    	Metric variance multiplier
                    	**type**\: int
                    
                    	**range:** 1..128
                    
                    .. attribute:: topology
                    
                    	Topology configuration mode
                    	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.AddressFamily.AfIpVrfList, self).__init__()

                        self.yang_name = "af-ip-vrf-list"
                        self.yang_parent_name = "address-family"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"bfd" : ("bfd", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd), "default-information" : ("default_information", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation), "default-metric" : ("default_metric", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric), "distance" : ("distance", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance), "distribute-list" : ("distribute_list", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList), "eigrp" : ("eigrp", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp), "metric" : ("metric", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Metric), "neighbor" : ("neighbor", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor), "offset-list" : ("offset_list", Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList), "redistribute" : ("redistribute", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute), "summary-metric" : ("summary_metric", Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric), "timers" : ("timers", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers), "traffic-share" : ("traffic_share", Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare), "topology" : ("topology", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology)}
                        self._child_list_classes = {"af-interface" : ("af_interface", Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface), "network" : ("network", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Network)}

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.unicast_multicast = YLeaf(YType.enumeration, "unicast-multicast")

                        self.autonomous_system = YLeaf(YType.uint16, "autonomous-system")

                        self.auto_summary = YLeaf(YType.empty, "auto-summary")

                        self.maximum_paths = YLeaf(YType.uint8, "maximum-paths")

                        self.nsf = YLeaf(YType.empty, "nsf")

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.variance = YLeaf(YType.uint8, "variance")

                        self.bfd = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd()
                        self.bfd.parent = self
                        self._children_name_map["bfd"] = "bfd"
                        self._children_yang_names.add("bfd")

                        self.default_information = Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation()
                        self.default_information.parent = self
                        self._children_name_map["default_information"] = "default-information"
                        self._children_yang_names.add("default-information")

                        self.default_metric = Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric()
                        self.default_metric.parent = self
                        self._children_name_map["default_metric"] = "default-metric"
                        self._children_yang_names.add("default-metric")

                        self.distance = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance()
                        self.distance.parent = self
                        self._children_name_map["distance"] = "distance"
                        self._children_yang_names.add("distance")

                        self.distribute_list = Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList()
                        self.distribute_list.parent = self
                        self._children_name_map["distribute_list"] = "distribute-list"
                        self._children_yang_names.add("distribute-list")

                        self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp()
                        self.eigrp.parent = self
                        self._children_name_map["eigrp"] = "eigrp"
                        self._children_yang_names.add("eigrp")

                        self.metric = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")

                        self.neighbor = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor()
                        self.neighbor.parent = self
                        self._children_name_map["neighbor"] = "neighbor"
                        self._children_yang_names.add("neighbor")

                        self.offset_list = Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList()
                        self.offset_list.parent = self
                        self._children_name_map["offset_list"] = "offset-list"
                        self._children_yang_names.add("offset-list")

                        self.redistribute = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute()
                        self.redistribute.parent = self
                        self._children_name_map["redistribute"] = "redistribute"
                        self._children_yang_names.add("redistribute")

                        self.summary_metric = Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric()
                        self.summary_metric.parent = self
                        self._children_name_map["summary_metric"] = "summary-metric"
                        self._children_yang_names.add("summary-metric")

                        self.timers = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers()
                        self.timers.parent = self
                        self._children_name_map["timers"] = "timers"
                        self._children_yang_names.add("timers")

                        self.traffic_share = Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare()
                        self.traffic_share.parent = self
                        self._children_name_map["traffic_share"] = "traffic-share"
                        self._children_yang_names.add("traffic-share")

                        self.topology = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology()
                        self.topology.parent = self
                        self._children_name_map["topology"] = "topology"
                        self._children_yang_names.add("topology")

                        self.af_interface = YList(self)
                        self.network = YList(self)
                        self._segment_path = lambda: "af-ip-vrf-list" + "[vrf='" + self.vrf.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList, ['vrf', 'unicast_multicast', 'autonomous_system', 'auto_summary', 'maximum_paths', 'nsf', 'shutdown', 'variance'], name, value)

                    class UnicastMulticast(Enum):
                        """
                        UnicastMulticast

                        .. data:: unicast = 0

                        .. data:: multicast = 1

                        """

                        unicast = Enum.YLeaf(0, "unicast")

                        multicast = Enum.YLeaf(1, "multicast")



                    class AfInterface(Entity):
                        """
                        Enter Address Family interface configuration
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: bandwidth_percent
                        
                        	Set percentage of bandwidth percentage limit
                        	**type**\: int
                        
                        	**range:** 1..999999
                        
                        .. attribute:: hello_interval
                        
                        	Configures hello interval
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: hold_time
                        
                        	Configures hold time
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: passive_interface
                        
                        	Suppress address updates on an interface
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: split_horizon
                        
                        	Perform split horizon
                        	**type**\: bool
                        
                        .. attribute:: authentication
                        
                        	authentication subcommands
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication>`
                        
                        .. attribute:: summary_address
                        
                        	
                        	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.SummaryAddress>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface, self).__init__()

                            self.yang_name = "af-interface"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication), "summary-address" : ("summary_address", Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.SummaryAddress)}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.bandwidth_percent = YLeaf(YType.uint32, "bandwidth-percent")

                            self.hello_interval = YLeaf(YType.uint16, "hello-interval")

                            self.hold_time = YLeaf(YType.uint16, "hold-time")

                            self.passive_interface = YLeaf(YType.empty, "passive-interface")

                            self.split_horizon = YLeaf(YType.boolean, "split-horizon")

                            self.authentication = Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.summary_address = Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.SummaryAddress()
                            self.summary_address.parent = self
                            self._children_name_map["summary_address"] = "summary-address"
                            self._children_yang_names.add("summary-address")
                            self._segment_path = lambda: "af-interface" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface, ['name', 'bandwidth_percent', 'hello_interval', 'hold_time', 'passive_interface', 'split_horizon'], name, value)


                        class Authentication(Entity):
                            """
                            authentication subcommands
                            
                            .. attribute:: mode
                            
                            	authentication mode
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode>`
                            
                            .. attribute:: key_chain
                            
                            	key\-chain
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "af-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mode" : ("mode", Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode)}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.mode = Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode()
                                self.mode.parent = self
                                self._children_name_map["mode"] = "mode"
                                self._children_yang_names.add("mode")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication, ['key_chain'], name, value)


                            class Mode(Entity):
                                """
                                authentication mode
                                
                                .. attribute:: md5
                                
                                	Keyed message digest
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: hmac_sha_256
                                
                                	HMAC\-SHA\-256 Authentication
                                	**type**\:  :py:class:`HmacSha256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode.HmacSha256>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode, self).__init__()

                                    self.yang_name = "mode"
                                    self.yang_parent_name = "authentication"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"hmac-sha-256" : ("hmac_sha_256", Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode.HmacSha256)}
                                    self._child_list_classes = {}

                                    self.md5 = YLeaf(YType.empty, "md5")

                                    self.hmac_sha_256 = Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode.HmacSha256()
                                    self.hmac_sha_256.parent = self
                                    self._children_name_map["hmac_sha_256"] = "hmac-sha-256"
                                    self._children_yang_names.add("hmac-sha-256")
                                    self._segment_path = lambda: "mode"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode, ['md5'], name, value)


                                class HmacSha256(Entity):
                                    """
                                    HMAC\-SHA\-256 Authentication
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode.HmacSha256, self).__init__()

                                        self.yang_name = "hmac-sha-256"
                                        self.yang_parent_name = "mode"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.auth_type = YLeaf(YType.uint8, "auth-type")

                                        self.auth_key = YLeaf(YType.str, "auth-key")
                                        self._segment_path = lambda: "hmac-sha-256"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.Authentication.Mode.HmacSha256, ['auth_type', 'auth_key'], name, value)


                        class SummaryAddress(Entity):
                            """
                            
                            
                            .. attribute:: address
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.SummaryAddress, self).__init__()

                                self.yang_name = "summary-address"
                                self.yang_parent_name = "af-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.mask = YLeaf(YType.str, "mask")
                                self._segment_path = lambda: "summary-address"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.AfInterface.SummaryAddress, ['address', 'mask'], name, value)


                    class Bfd(Entity):
                        """
                        BFD configuration commands
                        
                        .. attribute:: all_interfaces
                        
                        	Enable BFD on all interfaces
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interface
                        
                        	Enable BFD on specific interface
                        	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd, self).__init__()

                            self.yang_name = "bfd"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"interface" : ("interface", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface)}
                            self._child_list_classes = {}

                            self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

                            self.interface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface()
                            self.interface.parent = self
                            self._children_name_map["interface"] = "interface"
                            self._children_yang_names.add("interface")
                            self._segment_path = lambda: "bfd"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd, ['all_interfaces'], name, value)


                        class Interface(Entity):
                            """
                            Enable BFD on specific interface
                            
                            .. attribute:: appnav_compress
                            
                            	Service\-Context Virtual Interface Compress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: appnav_uncompress
                            
                            	Service\-Context Virtual Interface UnCompress
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: atm
                            
                            	ATM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                            
                            .. attribute:: atm_subinterface
                            
                            	
                            	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.ATMSubinterface>`
                            
                            .. attribute:: atm_acr
                            
                            	ATM\-ACR interface
                            	**type**\: str
                            
                            	**pattern:** [0\-9]
                            
                            .. attribute:: atm_acrsubinterface
                            
                            	
                            	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.ATMACRsubinterface>`
                            
                            .. attribute:: bdi
                            
                            	Bridge\-Domain interface
                            	**type**\: str
                            
                            .. attribute:: cem
                            
                            	CEM interface
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]
                            
                            .. attribute:: cem_acr
                            
                            	CEM\-ACR interface
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: embedded_service_engine
                            
                            	cisco embedded service engine module
                            	**type**\: str
                            
                            .. attribute:: fastethernet
                            
                            	FastEthernet IEEE 802.3
                            	**type**\: str
                            
                            .. attribute:: gigabitethernet
                            
                            	GigabitEthernet IEEE 802.3z
                            	**type**\: str
                            
                            .. attribute:: lisp
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\: str
                            
                            .. attribute:: lisp_subinterface
                            
                            	Locator/ID Separation Protocol Virtual Interface
                            	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.LISPSubinterface>`
                            
                            .. attribute:: loopback
                            
                            	Loopback interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: multilink
                            
                            	Multilink\-group interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: nve
                            
                            	Network virtualization endpoint interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: overlay
                            
                            	Overlay interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: port_channel
                            
                            	Ethernet Channel of interfaces
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: port_channel_subinterface
                            
                            	
                            	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.PortChannelSubinterface>`
                            
                            .. attribute:: pseudowire
                            
                            	Pseudowire Interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: sm
                            
                            	SM Interface
                            	**type**\: str
                            
                            .. attribute:: cellular
                            
                            	Cellular Interface
                            	**type**\: str
                            
                            .. attribute:: serial
                            
                            	Serial interface
                            	**type**\: str
                            
                            .. attribute:: tengigabitethernet
                            
                            	Ten Gigabit Ethernet
                            	**type**\: str
                            
                            .. attribute:: tunnel
                            
                            	Tunnel interface
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: virtual_template
                            
                            	Virtual Template interface
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vlan
                            
                            	Iosxr Vlans
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: virtualportgroup
                            
                            	Virtual Port Group
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasileft
                            
                            	vasileft
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: vasiright
                            
                            	vasiright
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface, self).__init__()

                                self.yang_name = "interface"
                                self.yang_parent_name = "bfd"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.PortChannelSubinterface)}
                                self._child_list_classes = {}

                                self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                self.atm = YLeaf(YType.str, "ATM")

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                self.bdi = YLeaf(YType.str, "BDI")

                                self.cem = YLeaf(YType.str, "CEM")

                                self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                self.lisp = YLeaf(YType.str, "LISP")

                                self.loopback = YLeaf(YType.uint32, "Loopback")

                                self.multilink = YLeaf(YType.uint16, "Multilink")

                                self.nve = YLeaf(YType.uint16, "nve")

                                self.overlay = YLeaf(YType.uint16, "overlay")

                                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                self.sm = YLeaf(YType.str, "SM")

                                self.cellular = YLeaf(YType.str, "Cellular")

                                self.serial = YLeaf(YType.str, "Serial")

                                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                self.vlan = YLeaf(YType.uint16, "Vlan")

                                self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                self.vasileft = YLeaf(YType.uint16, "vasileft")

                                self.vasiright = YLeaf(YType.uint16, "vasiright")

                                self.atm_subinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.ATMSubinterface()
                                self.atm_subinterface.parent = self
                                self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                self._children_yang_names.add("ATM-subinterface")

                                self.atm_acrsubinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.ATMACRsubinterface()
                                self.atm_acrsubinterface.parent = self
                                self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                self._children_yang_names.add("ATM-ACRsubinterface")

                                self.lisp_subinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.LISPSubinterface()
                                self.lisp_subinterface.parent = self
                                self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                self._children_yang_names.add("LISP-subinterface")

                                self.port_channel_subinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.PortChannelSubinterface()
                                self.port_channel_subinterface.parent = self
                                self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                self._children_yang_names.add("Port-channel-subinterface")
                                self._segment_path = lambda: "interface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                            class ATMSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.ATMSubinterface, self).__init__()

                                    self.yang_name = "ATM-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm = YLeaf(YType.str, "ATM")
                                    self._segment_path = lambda: "ATM-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.ATMSubinterface, ['atm'], name, value)


                            class ATMACRsubinterface(Entity):
                                """
                                
                                
                                .. attribute:: atm_acr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.ATMACRsubinterface, self).__init__()

                                    self.yang_name = "ATM-ACRsubinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                    self._segment_path = lambda: "ATM-ACRsubinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                            class LISPSubinterface(Entity):
                                """
                                Locator/ID Separation Protocol Virtual Interface
                                
                                .. attribute:: lisp
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.LISPSubinterface, self).__init__()

                                    self.yang_name = "LISP-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.lisp = YLeaf(YType.str, "LISP")
                                    self._segment_path = lambda: "LISP-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.LISPSubinterface, ['lisp'], name, value)


                            class PortChannelSubinterface(Entity):
                                """
                                
                                
                                .. attribute:: port_channel
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.PortChannelSubinterface, self).__init__()

                                    self.yang_name = "Port-channel-subinterface"
                                    self.yang_parent_name = "interface"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port_channel = YLeaf(YType.str, "Port-channel")
                                    self._segment_path = lambda: "Port-channel-subinterface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Bfd.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                    class DefaultInformation(Entity):
                        """
                        Control distribution of default information
                        
                        .. attribute:: in_
                        
                        	Accept input default routing information
                        	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.In_>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: out
                        
                        	Accept output default routing information
                        	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.Out>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation, self).__init__()

                            self.yang_name = "default-information"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"in" : ("in_", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.In_), "out" : ("out", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.Out)}
                            self._child_list_classes = {}

                            self.in_ = None
                            self._children_name_map["in_"] = "in"
                            self._children_yang_names.add("in")

                            self.out = None
                            self._children_name_map["out"] = "out"
                            self._children_yang_names.add("out")
                            self._segment_path = lambda: "default-information"


                        class In_(Entity):
                            """
                            Accept input default routing information
                            
                            .. attribute:: sa_num
                            
                            	A standard expanded IP access list number
                            	**type**\: int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: sa_name
                            
                            	Standard Access\-list name
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.In_, self).__init__()

                                self.yang_name = "in"
                                self.yang_parent_name = "default-information"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.sa_num = YLeaf(YType.uint16, "sa-num")

                                self.sa_name = YLeaf(YType.str, "sa-name")
                                self._segment_path = lambda: "in"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.In_, ['sa_num', 'sa_name'], name, value)


                        class Out(Entity):
                            """
                            Accept output default routing information
                            
                            .. attribute:: sa_out_num
                            
                            	A standard expanded IP access list number
                            	**type**\: int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: sa_out_name
                            
                            	Standard Access\-list name
                            	**type**\: str
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.Out, self).__init__()

                                self.yang_name = "out"
                                self.yang_parent_name = "default-information"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.sa_out_num = YLeaf(YType.uint16, "sa-out-num")

                                self.sa_out_name = YLeaf(YType.str, "sa-out-name")
                                self._segment_path = lambda: "out"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultInformation.Out, ['sa_out_num', 'sa_out_name'], name, value)


                    class DefaultMetric(Entity):
                        """
                        Set metric of redistributed routes
                        
                        .. attribute:: dm_rdr
                        
                        	
                        	**type**\: list of  		 :py:class:`DmRdr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric, self).__init__()

                            self.yang_name = "default-metric"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"dm-rdr" : ("dm_rdr", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr)}

                            self.dm_rdr = YList(self)
                            self._segment_path = lambda: "default-metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric, [], name, value)


                        class DmRdr(Entity):
                            """
                            
                            
                            .. attribute:: dm_rdr  <key>
                            
                            	Bandwidth in Kbits per second
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: dm_rdr0
                            
                            	
                            	**type**\: list of  		 :py:class:`DmRdr0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr.DmRdr0>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr, self).__init__()

                                self.yang_name = "dm-rdr"
                                self.yang_parent_name = "default-metric"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"dm-rdr0" : ("dm_rdr0", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr.DmRdr0)}

                                self.dm_rdr = YLeaf(YType.uint32, "dm-rdr")

                                self.dm_rdr0 = YList(self)
                                self._segment_path = lambda: "dm-rdr" + "[dm-rdr='" + self.dm_rdr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr, ['dm_rdr'], name, value)


                            class DmRdr0(Entity):
                                """
                                
                                
                                .. attribute:: dm_rdr0  <key>
                                
                                	delay metric in 10 microsecond units
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: dm_rdr_pct
                                
                                	Reliability metric where 255 is 100% reliable
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr.DmRdr0, self).__init__()

                                    self.yang_name = "dm-rdr0"
                                    self.yang_parent_name = "dm-rdr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dm_rdr0 = YLeaf(YType.uint32, "dm-rdr0")

                                    self.dm_rdr_pct = YLeaf(YType.uint8, "dm-rdr-pct")
                                    self._segment_path = lambda: "dm-rdr0" + "[dm-rdr0='" + self.dm_rdr0.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DefaultMetric.DmRdr.DmRdr0, ['dm_rdr0', 'dm_rdr_pct'], name, value)


                    class Distance(Entity):
                        """
                        Define an administrative distance
                        
                        .. attribute:: rad_dis
                        
                        	
                        	**type**\: list of  		 :py:class:`RadDis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis>`
                        
                        .. attribute:: eigrp
                        
                        	Set distance for internal and external routes
                        	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance, self).__init__()

                            self.yang_name = "distance"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"eigrp" : ("eigrp", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp)}
                            self._child_list_classes = {"rad-dis" : ("rad_dis", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis)}

                            self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp()
                            self.eigrp.parent = self
                            self._children_name_map["eigrp"] = "eigrp"
                            self._children_yang_names.add("eigrp")

                            self.rad_dis = YList(self)
                            self._segment_path = lambda: "distance"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance, [], name, value)


                        class RadDis(Entity):
                            """
                            
                            
                            .. attribute:: rad_dis  <key>
                            
                            	Set route administrative distance
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis.Ipv4>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis, self).__init__()

                                self.yang_name = "rad-dis"
                                self.yang_parent_name = "distance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ipv4" : ("ipv4", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis.Ipv4)}

                                self.rad_dis = YLeaf(YType.uint8, "rad-dis")

                                self.ipv4 = YList(self)
                                self._segment_path = lambda: "rad-dis" + "[rad-dis='" + self.rad_dis.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis, ['rad_dis'], name, value)


                            class Ipv4(Entity):
                                """
                                
                                
                                .. attribute:: ipv4  <key>
                                
                                	IP Source address
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv40
                                
                                	Wildcard bits
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "rad-dis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.ipv40 = YLeaf(YType.str, "ipv40")
                                    self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.RadDis.Ipv4, ['ipv4', 'ipv40'], name, value)


                        class Eigrp(Entity):
                            """
                            Set distance for internal and external routes
                            
                            .. attribute:: di_rt
                            
                            	
                            	**type**\: list of  		 :py:class:`DiRt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp.DiRt>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "distance"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"di-rt" : ("di_rt", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp.DiRt)}

                                self.di_rt = YList(self)
                                self._segment_path = lambda: "eigrp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp, [], name, value)


                            class DiRt(Entity):
                                """
                                
                                
                                .. attribute:: di_rt  <key>
                                
                                	Distance for internal routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: di_rt0
                                
                                	Distance for external routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp.DiRt, self).__init__()

                                    self.yang_name = "di-rt"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.di_rt = YLeaf(YType.uint8, "di-rt")

                                    self.di_rt0 = YLeaf(YType.uint8, "di-rt0")
                                    self._segment_path = lambda: "di-rt" + "[di-rt='" + self.di_rt.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Distance.Eigrp.DiRt, ['di_rt', 'di_rt0'], name, value)


                    class DistributeList(Entity):
                        """
                        Filter entries in eigrp updates
                        
                        .. attribute:: eig_filt
                        
                        	
                        	**type**\: list of  		 :py:class:`EigFilt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt>`
                        
                        .. attribute:: gateway
                        
                        	Filtering incoming address updates based on gateway
                        	**type**\:  :py:class:`Gateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway>`
                        
                        .. attribute:: prefix
                        
                        	Filter prefixes in address updates
                        	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix>`
                        
                        .. attribute:: route_map
                        
                        	Filter prefixes based on the route\-map
                        	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList, self).__init__()

                            self.yang_name = "distribute-list"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"gateway" : ("gateway", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway), "prefix" : ("prefix", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix), "route-map" : ("route_map", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap)}
                            self._child_list_classes = {"eig-filt" : ("eig_filt", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt)}

                            self.gateway = Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway()
                            self.gateway.parent = self
                            self._children_name_map["gateway"] = "gateway"
                            self._children_yang_names.add("gateway")

                            self.prefix = Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix()
                            self.prefix.parent = self
                            self._children_name_map["prefix"] = "prefix"
                            self._children_yang_names.add("prefix")

                            self.route_map = Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap()
                            self.route_map.parent = self
                            self._children_name_map["route_map"] = "route-map"
                            self._children_yang_names.add("route-map")

                            self.eig_filt = YList(self)
                            self._segment_path = lambda: "distribute-list"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList, [], name, value)


                        class EigFilt(Entity):
                            """
                            
                            
                            .. attribute:: eig_filt  <key>
                            
                            	IP expanded access list number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..199 \| 1300..2699
                            
                            		**type**\: str
                            
                            			**pattern:** [a\-zA\-Z].\*
                            
                            .. attribute:: in_
                            
                            	Filter incoming service updates
                            	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.In_>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: out
                            
                            	Filter outgoing service updates
                            	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.Out>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt, self).__init__()

                                self.yang_name = "eig-filt"
                                self.yang_parent_name = "distribute-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"in" : ("in_", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.In_), "out" : ("out", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.Out)}
                                self._child_list_classes = {}

                                self.eig_filt = YLeaf(YType.str, "eig-filt")

                                self.in_ = None
                                self._children_name_map["in_"] = "in"
                                self._children_yang_names.add("in")

                                self.out = None
                                self._children_name_map["out"] = "out"
                                self._children_yang_names.add("out")
                                self._segment_path = lambda: "eig-filt" + "[eig-filt='" + self.eig_filt.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt, ['eig_filt'], name, value)


                            class In_(Entity):
                                """
                                Filter incoming service updates
                                
                                .. attribute:: interface_name
                                
                                	Interface name
                                	**type**\: list of str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.In_, self).__init__()

                                    self.yang_name = "in"
                                    self.yang_parent_name = "eig-filt"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface_name = YLeafList(YType.str, "interface_name")
                                    self._segment_path = lambda: "in"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.In_, ['interface_name'], name, value)


                            class Out(Entity):
                                """
                                Filter outgoing service updates
                                
                                .. attribute:: interface_name
                                
                                	Interface name
                                	**type**\: list of str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.Out, self).__init__()

                                    self.yang_name = "out"
                                    self.yang_parent_name = "eig-filt"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.interface_name = YLeafList(YType.str, "interface_name")
                                    self._segment_path = lambda: "out"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.EigFilt.Out, ['interface_name'], name, value)


                        class Gateway(Entity):
                            """
                            Filtering incoming address updates based on gateway
                            
                            .. attribute:: gw_list
                            
                            	
                            	**type**\: list of  		 :py:class:`GwList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway.GwList>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway, self).__init__()

                                self.yang_name = "gateway"
                                self.yang_parent_name = "distribute-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"gw-list" : ("gw_list", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway.GwList)}

                                self.gw_list = YList(self)
                                self._segment_path = lambda: "gateway"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway, [], name, value)


                            class GwList(Entity):
                                """
                                
                                
                                .. attribute:: gw_list  <key>
                                
                                	Name of an IP prefix\-list
                                	**type**\: str
                                
                                .. attribute:: in_
                                
                                	Filter incoming service updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Filter outgoing service updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway.GwList, self).__init__()

                                    self.yang_name = "gw-list"
                                    self.yang_parent_name = "gateway"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.gw_list = YLeaf(YType.str, "gw-list")

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "gw-list" + "[gw-list='" + self.gw_list.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Gateway.GwList, ['gw_list', 'in_', 'out'], name, value)


                        class Prefix(Entity):
                            """
                            Filter prefixes in address updates
                            
                            .. attribute:: pl_name
                            
                            	
                            	**type**\: list of  		 :py:class:`PlName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix.PlName>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix, self).__init__()

                                self.yang_name = "prefix"
                                self.yang_parent_name = "distribute-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"pl-name" : ("pl_name", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix.PlName)}

                                self.pl_name = YList(self)
                                self._segment_path = lambda: "prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix, [], name, value)


                            class PlName(Entity):
                                """
                                
                                
                                .. attribute:: pl_name  <key>
                                
                                	Name of an IP prefix\-list
                                	**type**\: str
                                
                                .. attribute:: gateway
                                
                                	Filtering incoming address updates based on gateway
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: in_
                                
                                	Filter incoming service updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Filter outgoing service updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix.PlName, self).__init__()

                                    self.yang_name = "pl-name"
                                    self.yang_parent_name = "prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.pl_name = YLeaf(YType.str, "pl-name")

                                    self.gateway = YLeaf(YType.empty, "gateway")

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "pl-name" + "[pl-name='" + self.pl_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.Prefix.PlName, ['pl_name', 'gateway', 'in_', 'out'], name, value)


                        class RouteMap(Entity):
                            """
                            Filter prefixes based on the route\-map
                            
                            .. attribute:: rmap_name
                            
                            	
                            	**type**\: list of  		 :py:class:`RmapName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap.RmapName>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap, self).__init__()

                                self.yang_name = "route-map"
                                self.yang_parent_name = "distribute-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"rmap-name" : ("rmap_name", Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap.RmapName)}

                                self.rmap_name = YList(self)
                                self._segment_path = lambda: "route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap, [], name, value)


                            class RmapName(Entity):
                                """
                                
                                
                                .. attribute:: rmap_name  <key>
                                
                                	route\-map name
                                	**type**\: str
                                
                                .. attribute:: in_
                                
                                	Filter incoming service updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: out
                                
                                	Filter outgoing service updates
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap.RmapName, self).__init__()

                                    self.yang_name = "rmap-name"
                                    self.yang_parent_name = "route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.rmap_name = YLeaf(YType.str, "rmap-name")

                                    self.in_ = YLeaf(YType.empty, "in")

                                    self.out = YLeaf(YType.empty, "out")
                                    self._segment_path = lambda: "rmap-name" + "[rmap-name='" + self.rmap_name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.DistributeList.RouteMap.RmapName, ['rmap_name', 'in_', 'out'], name, value)


                    class Eigrp(Entity):
                        """
                        EIGRP Address Family specific commands
                        
                        .. attribute:: router_id
                        
                        	router id for this EIGRP process
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: stub
                        
                        	Set address\-family in stubbed mode
                        	**type**\:  :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp.Stub>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"stub" : ("stub", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp.Stub)}
                            self._child_list_classes = {}

                            self.router_id = YLeaf(YType.str, "router-id")

                            self.stub = None
                            self._children_name_map["stub"] = "stub"
                            self._children_yang_names.add("stub")
                            self._segment_path = lambda: "eigrp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp, ['router_id'], name, value)


                        class Stub(Entity):
                            """
                            Set address\-family in stubbed mode
                            
                            .. attribute:: connected
                            
                            	Do advertise connected routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: summary
                            
                            	Do advertise summary routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: redistributed
                            
                            	Do advertise redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: leak_map
                            
                            	Allow dynamic prefixes based on the leak\-map
                            	**type**\: str
                            
                            .. attribute:: receive_only
                            
                            	Set receive only neighbor
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: static
                            
                            	Do advertise static routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp.Stub, self).__init__()

                                self.yang_name = "stub"
                                self.yang_parent_name = "eigrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.connected = YLeaf(YType.empty, "connected")

                                self.summary = YLeaf(YType.empty, "summary")

                                self.redistributed = YLeaf(YType.empty, "redistributed")

                                self.leak_map = YLeaf(YType.str, "leak-map")

                                self.receive_only = YLeaf(YType.empty, "receive-only")

                                self.static = YLeaf(YType.empty, "static")
                                self._segment_path = lambda: "stub"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Eigrp.Stub, ['connected', 'summary', 'redistributed', 'leak_map', 'receive_only', 'static'], name, value)


                    class Metric(Entity):
                        """
                        Modify metrics and parameters for advertisement
                        
                        .. attribute:: maximum_hops
                        
                        	Hop count
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: weights
                        
                        	Type (Only TOS 0 supported)
                        	**type**\: int
                        
                        	**range:** 0..8
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.maximum_hops = YLeaf(YType.uint8, "maximum-hops")

                            self.weights = YLeaf(YType.uint8, "weights")
                            self._segment_path = lambda: "metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Metric, ['maximum_hops', 'weights'], name, value)


                    class Neighbor(Entity):
                        """
                        Specify a neighbor router
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor, self).__init__()

                            self.yang_name = "neighbor"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"ipv4" : ("ipv4", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4)}

                            self.ipv4 = YList(self)
                            self._segment_path = lambda: "neighbor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor, [], name, value)


                        class Ipv4(Entity):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	Neighbor address
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: interface
                            
                            	Specify interface for global address
                            	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "neighbor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"interface" : ("interface", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface)}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                self.interface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface()
                                self.interface.parent = self
                                self._children_name_map["interface"] = "interface"
                                self._children_yang_names.add("interface")
                                self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4, ['ipv4'], name, value)


                            class Interface(Entity):
                                """
                                Specify interface for global address
                                
                                .. attribute:: appnav_compress
                                
                                	Service\-Context Virtual Interface Compress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: appnav_uncompress
                                
                                	Service\-Context Virtual Interface UnCompress
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: atm
                                
                                	ATM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                                
                                .. attribute:: atm_subinterface
                                
                                	
                                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.ATMSubinterface>`
                                
                                .. attribute:: atm_acr
                                
                                	ATM\-ACR interface
                                	**type**\: str
                                
                                	**pattern:** [0\-9]
                                
                                .. attribute:: atm_acrsubinterface
                                
                                	
                                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.ATMACRsubinterface>`
                                
                                .. attribute:: bdi
                                
                                	Bridge\-Domain interface
                                	**type**\: str
                                
                                .. attribute:: cem
                                
                                	CEM interface
                                	**type**\: str
                                
                                	**pattern:** ([0\-9]/){2}[0\-9]
                                
                                .. attribute:: cem_acr
                                
                                	CEM\-ACR interface
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: embedded_service_engine
                                
                                	cisco embedded service engine module
                                	**type**\: str
                                
                                .. attribute:: fastethernet
                                
                                	FastEthernet IEEE 802.3
                                	**type**\: str
                                
                                .. attribute:: gigabitethernet
                                
                                	GigabitEthernet IEEE 802.3z
                                	**type**\: str
                                
                                .. attribute:: lisp
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\: str
                                
                                .. attribute:: lisp_subinterface
                                
                                	Locator/ID Separation Protocol Virtual Interface
                                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.LISPSubinterface>`
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: multilink
                                
                                	Multilink\-group interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: nve
                                
                                	Network virtualization endpoint interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: overlay
                                
                                	Overlay interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: port_channel
                                
                                	Ethernet Channel of interfaces
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: port_channel_subinterface
                                
                                	
                                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.PortChannelSubinterface>`
                                
                                .. attribute:: pseudowire
                                
                                	Pseudowire Interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: sm
                                
                                	SM Interface
                                	**type**\: str
                                
                                .. attribute:: cellular
                                
                                	Cellular Interface
                                	**type**\: str
                                
                                .. attribute:: serial
                                
                                	Serial interface
                                	**type**\: str
                                
                                .. attribute:: tengigabitethernet
                                
                                	Ten Gigabit Ethernet
                                	**type**\: str
                                
                                .. attribute:: tunnel
                                
                                	Tunnel interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: virtual_template
                                
                                	Virtual Template interface
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vlan
                                
                                	Iosxr Vlans
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: virtualportgroup
                                
                                	Virtual Port Group
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasileft
                                
                                	vasileft
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: vasiright
                                
                                	vasiright
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface, self).__init__()

                                    self.yang_name = "interface"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.PortChannelSubinterface)}
                                    self._child_list_classes = {}

                                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                                    self.atm = YLeaf(YType.str, "ATM")

                                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                                    self.bdi = YLeaf(YType.str, "BDI")

                                    self.cem = YLeaf(YType.str, "CEM")

                                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                                    self.lisp = YLeaf(YType.str, "LISP")

                                    self.loopback = YLeaf(YType.uint32, "Loopback")

                                    self.multilink = YLeaf(YType.uint16, "Multilink")

                                    self.nve = YLeaf(YType.uint16, "nve")

                                    self.overlay = YLeaf(YType.uint16, "overlay")

                                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                                    self.sm = YLeaf(YType.str, "SM")

                                    self.cellular = YLeaf(YType.str, "Cellular")

                                    self.serial = YLeaf(YType.str, "Serial")

                                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                                    self.vlan = YLeaf(YType.uint16, "Vlan")

                                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                                    self.atm_subinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.ATMSubinterface()
                                    self.atm_subinterface.parent = self
                                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                                    self._children_yang_names.add("ATM-subinterface")

                                    self.atm_acrsubinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.ATMACRsubinterface()
                                    self.atm_acrsubinterface.parent = self
                                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                                    self._children_yang_names.add("ATM-ACRsubinterface")

                                    self.lisp_subinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.LISPSubinterface()
                                    self.lisp_subinterface.parent = self
                                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                                    self._children_yang_names.add("LISP-subinterface")

                                    self.port_channel_subinterface = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.PortChannelSubinterface()
                                    self.port_channel_subinterface.parent = self
                                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                                    self._children_yang_names.add("Port-channel-subinterface")
                                    self._segment_path = lambda: "interface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                                class ATMSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.ATMSubinterface, self).__init__()

                                        self.yang_name = "ATM-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm = YLeaf(YType.str, "ATM")
                                        self._segment_path = lambda: "ATM-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.ATMSubinterface, ['atm'], name, value)


                                class ATMACRsubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: atm_acr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.ATMACRsubinterface, self).__init__()

                                        self.yang_name = "ATM-ACRsubinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                        self._segment_path = lambda: "ATM-ACRsubinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                                class LISPSubinterface(Entity):
                                    """
                                    Locator/ID Separation Protocol Virtual Interface
                                    
                                    .. attribute:: lisp
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.LISPSubinterface, self).__init__()

                                        self.yang_name = "LISP-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.lisp = YLeaf(YType.str, "LISP")
                                        self._segment_path = lambda: "LISP-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.LISPSubinterface, ['lisp'], name, value)


                                class PortChannelSubinterface(Entity):
                                    """
                                    
                                    
                                    .. attribute:: port_channel
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.PortChannelSubinterface, self).__init__()

                                        self.yang_name = "Port-channel-subinterface"
                                        self.yang_parent_name = "interface"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.port_channel = YLeaf(YType.str, "Port-channel")
                                        self._segment_path = lambda: "Port-channel-subinterface"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Neighbor.Ipv4.Interface.PortChannelSubinterface, ['port_channel'], name, value)


                    class Network(Entity):
                        """
                        Enable routing on an IP network
                        
                        .. attribute:: number  <key>
                        
                        	Network number
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: wild_card
                        
                        	EIGRP wild card bits
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Network, self).__init__()

                            self.yang_name = "network"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.str, "number")

                            self.wild_card = YLeaf(YType.str, "wild-card")
                            self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Network, ['number', 'wild_card'], name, value)


                    class OffsetList(Entity):
                        """
                        Add or subtract offset from EIGRP metrics
                        
                        .. attribute:: nsr_list
                        
                        	
                        	**type**\: list of  		 :py:class:`NsrList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.NsrList>`
                        
                        .. attribute:: ol_acl
                        
                        	
                        	**type**\: list of  		 :py:class:`OlAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.OlAcl>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList, self).__init__()

                            self.yang_name = "offset-list"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"nsr-list" : ("nsr_list", Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.NsrList), "ol-acl" : ("ol_acl", Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.OlAcl)}

                            self.nsr_list = YList(self)
                            self.ol_acl = YList(self)
                            self._segment_path = lambda: "offset-list"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList, [], name, value)


                        class NsrList(Entity):
                            """
                            
                            
                            .. attribute:: nsr_list  <key>
                            
                            	Access list of networks to apply offset (extended range)
                            	**type**\: int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: in_
                            
                            	Perform offset on incoming updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Perform offset on outgoing updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.NsrList, self).__init__()

                                self.yang_name = "nsr-list"
                                self.yang_parent_name = "offset-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.nsr_list = YLeaf(YType.uint16, "nsr-list")

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "nsr-list" + "[nsr-list='" + self.nsr_list.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.NsrList, ['nsr_list', 'in_', 'out'], name, value)


                        class OlAcl(Entity):
                            """
                            
                            
                            .. attribute:: ol_acl  <key>
                            
                            	Access\-list name
                            	**type**\: str
                            
                            .. attribute:: in_
                            
                            	Perform offset on incoming updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: out
                            
                            	Perform offset on outgoing updates
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.OlAcl, self).__init__()

                                self.yang_name = "ol-acl"
                                self.yang_parent_name = "offset-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ol_acl = YLeaf(YType.str, "ol-acl")

                                self.in_ = YLeaf(YType.empty, "in")

                                self.out = YLeaf(YType.empty, "out")
                                self._segment_path = lambda: "ol-acl" + "[ol-acl='" + self.ol_acl.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.OffsetList.OlAcl, ['ol_acl', 'in_', 'out'], name, value)


                    class Redistribute(Entity):
                        """
                        Redistribute IPv4 routes from another routing protocol
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Autonomous system number
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Isis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Lisp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: mobile
                        
                        	Mobile routes
                        	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Mobile>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: odr
                        
                        	On Demand stub Routes
                        	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Odr>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ospf
                        
                        	Process ID
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Static>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: vrf
                        
                        	Specify a source virtual routing/forwarding instance
                        	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Vrf>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute, self).__init__()

                            self.yang_name = "redistribute"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"connected" : ("connected", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Connected), "isis" : ("isis", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Lisp), "mobile" : ("mobile", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Mobile), "odr" : ("odr", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Odr), "rip" : ("rip", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Rip), "static" : ("static", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Static), "vrf" : ("vrf", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Vrf)}
                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp)}

                            self.eigrp = YLeaf(YType.uint16, "eigrp")

                            self.ospf = YLeaf(YType.uint16, "ospf")

                            self.connected = None
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.isis = None
                            self._children_name_map["isis"] = "isis"
                            self._children_yang_names.add("isis")

                            self.lisp = None
                            self._children_name_map["lisp"] = "lisp"
                            self._children_yang_names.add("lisp")

                            self.mobile = None
                            self._children_name_map["mobile"] = "mobile"
                            self._children_yang_names.add("mobile")

                            self.odr = None
                            self._children_name_map["odr"] = "odr"
                            self._children_yang_names.add("odr")

                            self.rip = None
                            self._children_name_map["rip"] = "rip"
                            self._children_yang_names.add("rip")

                            self.static = None
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")

                            self.vrf = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Vrf()
                            self.vrf.parent = self
                            self._children_name_map["vrf"] = "vrf"
                            self._children_yang_names.add("vrf")

                            self.bgp = YList(self)
                            self._segment_path = lambda: "redistribute"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute, ['eigrp', 'ospf'], name, value)


                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: rdr_as  <key>
                            
                            	Autonomous system number
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: rd_lesser_1_period_0_xx_period_yy_greater_
                            
                            	Autonomous system number
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp.Metric)}
                                self._child_list_classes = {}

                                self.rdr_as = YLeaf(YType.str, "rdr-as")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.rd_lesser_1_period_0_xx_period_yy_greater_ = YLeaf(YType.empty, "rd-LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_")

                                self.metric = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "bgp" + "[rdr-as='" + self.rdr_as.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp, ['rdr_as', 'route_map', 'rd_lesser_1_period_0_xx_period_yy_greater_'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: bandwith
                                
                                	Bandwidth metric in Kbits per second
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: delay
                                
                                	EIGRP delay metric, in 10 microsecond units
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: reliability
                                
                                	EIGRP reliability metric where 255 is 100% reliable
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: effective
                                
                                	EIGRP Effective bandwidth metric (Loading) where 255 is 100% loaded
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: mtu
                                
                                	EIGRP MTU of the path
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.bandwith = YLeaf(YType.uint32, "bandwith")

                                    self.delay = YLeaf(YType.uint32, "delay")

                                    self.reliability = YLeaf(YType.uint8, "reliability")

                                    self.effective = YLeaf(YType.uint8, "Effective")

                                    self.mtu = YLeaf(YType.uint16, "mtu")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Bgp.Metric, ['bandwith', 'delay', 'reliability', 'effective', 'mtu'], name, value)


                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "connected"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Connected, ['metric', 'route_map'], name, value)


                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: is_tag
                            
                            	ISO routing area tag
                            	**type**\: str
                            
                            .. attribute:: level_1
                            
                            	IS\-IS level\-1 routes only
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: level_1_2
                            
                            	IS\-IS level\-1 and level\-2 routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: level_2
                            
                            	IS\-IS level\-2 routes only
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.is_tag = YLeaf(YType.str, "is-tag")

                                self.level_1 = YLeaf(YType.empty, "level-1")

                                self.level_1_2 = YLeaf(YType.empty, "level-1-2")

                                self.level_2 = YLeaf(YType.empty, "level-2")

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "isis"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Isis, ['is_tag', 'level_1', 'level_1_2', 'level_2', 'metric', 'route_map'], name, value)


                        class Lisp(Entity):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Lisp, self).__init__()

                                self.yang_name = "lisp"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "lisp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Lisp, ['metric', 'route_map'], name, value)


                        class Mobile(Entity):
                            """
                            Mobile routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Mobile, self).__init__()

                                self.yang_name = "mobile"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "mobile"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                        class Odr(Entity):
                            """
                            On Demand stub Routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Odr, self).__init__()

                                self.yang_name = "odr"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "odr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Odr, ['metric', 'route_map'], name, value)


                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "rip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Rip, ['metric', 'route_map'], name, value)


                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.empty, "metric")

                                self.route_map = YLeaf(YType.empty, "route-map")
                                self._segment_path = lambda: "static"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Static, ['metric', 'route_map'], name, value)


                        class Vrf(Entity):
                            """
                            Specify a source virtual routing/forwarding instance
                            
                            .. attribute:: name
                            
                            	Virtual Routing/Forwarding instance name
                            	**type**\: str
                            
                            .. attribute:: global_
                            
                            	global VRF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "redistribute"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.global_ = YLeaf(YType.empty, "global")
                                self._segment_path = lambda: "vrf"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Redistribute.Vrf, ['name', 'global_'], name, value)


                    class SummaryMetric(Entity):
                        """
                        Specify summary to apply metric/filtering
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric.Ipv4>`
                        
                        .. attribute:: a_period_b_period_c_period_d_slash_nn
                        
                        	Summary <network>/<length>, e.g., 192.168.0.0/16
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric, self).__init__()

                            self.yang_name = "summary-metric"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"ipv4" : ("ipv4", Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric.Ipv4)}

                            self.a_period_b_period_c_period_d_slash_nn = YLeaf(YType.empty, "A_PERIOD_B_PERIOD_C_PERIOD_D_SLASH_nn")

                            self.ipv4 = YList(self)
                            self._segment_path = lambda: "summary-metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric, ['a_period_b_period_c_period_d_slash_nn'], name, value)


                        class Ipv4(Entity):
                            """
                            
                            
                            .. attribute:: ipv4  <key>
                            
                            	Summary to configure static metric
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: mask
                            
                            	Network mask
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "summary-metric"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                self.mask = YLeaf(YType.str, "mask")
                                self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.SummaryMetric.Ipv4, ['ipv4', 'mask'], name, value)


                    class Timers(Entity):
                        """
                        Adjust routing timers
                        
                        .. attribute:: active_time
                        
                        	time limit for active state
                        	**type**\:  :py:class:`ActiveTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.ActiveTime>`
                        
                        .. attribute:: graceful_restart
                        
                        	EIGRP Graceful Restart timer
                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.GracefulRestart>`
                        
                        .. attribute:: nsf
                        
                        	EIGRP NSF timer
                        	**type**\:  :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.Nsf>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers, self).__init__()

                            self.yang_name = "timers"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"active-time" : ("active_time", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.ActiveTime), "graceful-restart" : ("graceful_restart", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.GracefulRestart), "nsf" : ("nsf", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.Nsf)}
                            self._child_list_classes = {}

                            self.active_time = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.ActiveTime()
                            self.active_time.parent = self
                            self._children_name_map["active_time"] = "active-time"
                            self._children_yang_names.add("active-time")

                            self.graceful_restart = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.GracefulRestart()
                            self.graceful_restart.parent = self
                            self._children_name_map["graceful_restart"] = "graceful-restart"
                            self._children_yang_names.add("graceful-restart")

                            self.nsf = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.Nsf()
                            self.nsf.parent = self
                            self._children_name_map["nsf"] = "nsf"
                            self._children_yang_names.add("nsf")
                            self._segment_path = lambda: "timers"


                        class ActiveTime(Entity):
                            """
                            time limit for active state
                            
                            .. attribute:: atimer
                            
                            	active state time limit in minutes
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: disabled
                            
                            	disable time limit for active state
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.ActiveTime, self).__init__()

                                self.yang_name = "active-time"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atimer = YLeaf(YType.uint16, "atimer")

                                self.disabled = YLeaf(YType.empty, "disabled")
                                self._segment_path = lambda: "active-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.ActiveTime, ['atimer', 'disabled'], name, value)


                        class GracefulRestart(Entity):
                            """
                            EIGRP Graceful Restart timer
                            
                            .. attribute:: purge_time
                            
                            	EIGRP stale route purge time
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.GracefulRestart, self).__init__()

                                self.yang_name = "graceful-restart"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.purge_time = YLeaf(YType.empty, "purge-time")
                                self._segment_path = lambda: "graceful-restart"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.GracefulRestart, ['purge_time'], name, value)


                        class Nsf(Entity):
                            """
                            EIGRP NSF timer
                            
                            .. attribute:: converge
                            
                            	EIGRP time limit for convergence after switchover
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: signal
                            
                            	EIGRP time limit for signaling NSF restart
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.Nsf, self).__init__()

                                self.yang_name = "nsf"
                                self.yang_parent_name = "timers"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.converge = YLeaf(YType.empty, "converge")

                                self.signal = YLeaf(YType.empty, "signal")
                                self._segment_path = lambda: "nsf"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Timers.Nsf, ['converge', 'signal'], name, value)


                    class TrafficShare(Entity):
                        """
                        How to compute traffic share over alternate paths
                        
                        .. attribute:: balanced
                        
                        	Share inversely proportional to metric
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: min
                        
                        	All traffic shared among min metric paths
                        	**type**\:  :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare.Min>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare, self).__init__()

                            self.yang_name = "traffic-share"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"min" : ("min", Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare.Min)}
                            self._child_list_classes = {}

                            self.balanced = YLeaf(YType.empty, "balanced")

                            self.min = Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare.Min()
                            self.min.parent = self
                            self._children_name_map["min"] = "min"
                            self._children_yang_names.add("min")
                            self._segment_path = lambda: "traffic-share"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare, ['balanced'], name, value)


                        class Min(Entity):
                            """
                            All traffic shared among min metric paths
                            
                            .. attribute:: across_interfaces
                            
                            	Use different interfaces for equal\-cost paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare.Min, self).__init__()

                                self.yang_name = "min"
                                self.yang_parent_name = "traffic-share"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                                self._segment_path = lambda: "min"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.TrafficShare.Min, ['across_interfaces'], name, value)


                    class Topology(Entity):
                        """
                        Topology configuration mode
                        
                        .. attribute:: base
                        
                        	Base Topology
                        	**type**\:  :py:class:`Base <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology, self).__init__()

                            self.yang_name = "topology"
                            self.yang_parent_name = "af-ip-vrf-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"base" : ("base", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base)}
                            self._child_list_classes = {}

                            self.base = None
                            self._children_name_map["base"] = "base"
                            self._children_yang_names.add("base")
                            self._segment_path = lambda: "topology"


                        class Base(Entity):
                            """
                            Base Topology
                            
                            .. attribute:: distance
                            
                            	Define an administrative distance
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance>`
                            
                            .. attribute:: distribute_list
                            
                            	Filter entries in eigrp updates
                            	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList>`
                            
                            .. attribute:: redistribute
                            
                            	Redistribute IPv6 prefixes from another routing protocol
                            	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base, self).__init__()

                                self.yang_name = "base"
                                self.yang_parent_name = "topology"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"distance" : ("distance", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance), "distribute-list" : ("distribute_list", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList), "redistribute" : ("redistribute", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.distance = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.distribute_list = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList()
                                self.distribute_list.parent = self
                                self._children_name_map["distribute_list"] = "distribute-list"
                                self._children_yang_names.add("distribute-list")

                                self.redistribute = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute()
                                self.redistribute.parent = self
                                self._children_name_map["redistribute"] = "redistribute"
                                self._children_yang_names.add("redistribute")
                                self._segment_path = lambda: "base"


                            class Distance(Entity):
                                """
                                Define an administrative distance
                                
                                .. attribute:: eigrp
                                
                                	EIGRP\-IPV6 distance
                                	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "base"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"eigrp" : ("eigrp", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp)}
                                    self._child_list_classes = {}

                                    self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp()
                                    self.eigrp.parent = self
                                    self._children_name_map["eigrp"] = "eigrp"
                                    self._children_yang_names.add("eigrp")
                                    self._segment_path = lambda: "distance"


                                class Eigrp(Entity):
                                    """
                                    EIGRP\-IPV6 distance
                                    
                                    .. attribute:: distance_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`DistanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp.DistanceList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "distance"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"distance-list" : ("distance_list", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp.DistanceList)}

                                        self.distance_list = YList(self)
                                        self._segment_path = lambda: "eigrp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp, [], name, value)


                                    class DistanceList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: internal_route  <key>
                                        
                                        	Distance for internal routes
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: external_route
                                        
                                        	Distance for external routes
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-eigrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp.DistanceList, self).__init__()

                                            self.yang_name = "distance-list"
                                            self.yang_parent_name = "eigrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.internal_route = YLeaf(YType.uint8, "internal-route")

                                            self.external_route = YLeaf(YType.uint8, "external-route")
                                            self._segment_path = lambda: "distance-list" + "[internal-route='" + self.internal_route.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Distance.Eigrp.DistanceList, ['internal_route', 'external_route'], name, value)


                            class DistributeList(Entity):
                                """
                                Filter entries in eigrp updates
                                
                                .. attribute:: prefix_list
                                
                                	Filter prefixes in address updates
                                	**type**\: list of  		 :py:class:`PrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.PrefixList>`
                                
                                .. attribute:: route_map
                                
                                	Filter prefixes based on the route\-map
                                	**type**\: list of  		 :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.RouteMap>`
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList, self).__init__()

                                    self.yang_name = "distribute-list"
                                    self.yang_parent_name = "base"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"prefix-list" : ("prefix_list", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.PrefixList), "route-map" : ("route_map", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.RouteMap)}

                                    self.prefix_list = YList(self)
                                    self.route_map = YList(self)
                                    self._segment_path = lambda: "distribute-list"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList, [], name, value)


                                class PrefixList(Entity):
                                    """
                                    Filter prefixes in address updates
                                    
                                    .. attribute:: prefix_list  <key>
                                    
                                    	Name of an IP prefix\-list
                                    	**type**\: str
                                    
                                    .. attribute:: gateway
                                    
                                    	Filtering incoming address updates based on gateway
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming service updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing service updates
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.PrefixList, self).__init__()

                                        self.yang_name = "prefix-list"
                                        self.yang_parent_name = "distribute-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.prefix_list = YLeaf(YType.str, "prefix-list")

                                        self.gateway = YLeaf(YType.empty, "gateway")

                                        self.in_ = YLeaf(YType.empty, "in")

                                        self.out = YLeaf(YType.empty, "out")
                                        self._segment_path = lambda: "prefix-list" + "[prefix-list='" + self.prefix_list.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.PrefixList, ['prefix_list', 'gateway', 'in_', 'out'], name, value)


                                class RouteMap(Entity):
                                    """
                                    Filter prefixes based on the route\-map
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: in_
                                    
                                    	Filter incoming service updates
                                    	**type**\: str
                                    
                                    .. attribute:: out
                                    
                                    	Filter outgoing service updates
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.RouteMap, self).__init__()

                                        self.yang_name = "route-map"
                                        self.yang_parent_name = "distribute-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.in_ = YLeaf(YType.str, "in")

                                        self.out = YLeaf(YType.str, "out")
                                        self._segment_path = lambda: "route-map" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.DistributeList.RouteMap, ['name', 'in_', 'out'], name, value)


                            class Redistribute(Entity):
                                """
                                Redistribute IPv6 prefixes from another routing protocol
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPFv3)
                                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Ospf>`
                                
                                .. attribute:: connected
                                
                                	Connected Routes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: static
                                
                                	Static Routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-eigrp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute, self).__init__()

                                    self.yang_name = "redistribute"
                                    self.yang_parent_name = "base"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"eigrp" : ("eigrp", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Ospf), "static" : ("static", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Static)}
                                    self._child_list_classes = {}

                                    self.connected = YLeaf(YType.empty, "connected")

                                    self.eigrp = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp()
                                    self.eigrp.parent = self
                                    self._children_name_map["eigrp"] = "eigrp"
                                    self._children_yang_names.add("eigrp")

                                    self.ospf = Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Ospf()
                                    self.ospf.parent = self
                                    self._children_name_map["ospf"] = "ospf"
                                    self._children_yang_names.add("ospf")

                                    self.static = None
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")
                                    self._segment_path = lambda: "redistribute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute, ['connected'], name, value)


                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: as_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`AsList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp.AsList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"as-list" : ("as_list", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp.AsList)}

                                        self.as_list = YList(self)
                                        self._segment_path = lambda: "eigrp"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp, [], name, value)


                                    class AsList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: autonomous_system  <key>
                                        
                                        	Autonomous system number
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-eigrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp.AsList, self).__init__()

                                            self.yang_name = "as-list"
                                            self.yang_parent_name = "eigrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.autonomous_system = YLeaf(YType.uint16, "autonomous-system")
                                            self._segment_path = lambda: "as-list" + "[autonomous-system='" + self.autonomous_system.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Eigrp.AsList, ['autonomous_system'], name, value)


                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPFv3)
                                    
                                    .. attribute:: pid_list
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`PidList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Ospf.PidList>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"pid-list" : ("pid_list", Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Ospf.PidList)}

                                        self.pid_list = YList(self)
                                        self._segment_path = lambda: "ospf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Ospf, [], name, value)


                                    class PidList(Entity):
                                        """
                                        
                                        
                                        .. attribute:: process_id  <key>
                                        
                                        	Process ID
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        

                                        """

                                        _prefix = 'ios-eigrp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Ospf.PidList, self).__init__()

                                            self.yang_name = "pid-list"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.process_id = YLeaf(YType.uint16, "process-id")
                                            self._segment_path = lambda: "pid-list" + "[process-id='" + self.process_id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Ospf.PidList, ['process_id'], name, value)


                                class Static(Entity):
                                    """
                                    Static Routes
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-eigrp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Router.Eigrp.AddressFamily.AfIpVrfList.Topology.Base.Redistribute.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "redistribute"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True
                                        self._segment_path = lambda: "static"


            class AfInterface(Entity):
                """
                Enter Address Family interface configuration
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: bandwidth_percent
                
                	Set percentage of bandwidth percentage limit
                	**type**\: int
                
                	**range:** 1..999999
                
                .. attribute:: hello_interval
                
                	Configures hello interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: hold_time
                
                	Configures hold time
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: passive_interface
                
                	Suppress address updates on an interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: split_horizon
                
                	Perform split horizon
                	**type**\: bool
                
                .. attribute:: authentication
                
                	authentication subcommands
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AfInterface.Authentication>`
                
                .. attribute:: summary_address
                
                	
                	**type**\:  :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AfInterface.SummaryAddress>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.AfInterface, self).__init__()

                    self.yang_name = "af-interface"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authentication" : ("authentication", Native.Router.Eigrp.AfInterface.Authentication), "summary-address" : ("summary_address", Native.Router.Eigrp.AfInterface.SummaryAddress)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.bandwidth_percent = YLeaf(YType.uint32, "bandwidth-percent")

                    self.hello_interval = YLeaf(YType.uint16, "hello-interval")

                    self.hold_time = YLeaf(YType.uint16, "hold-time")

                    self.passive_interface = YLeaf(YType.empty, "passive-interface")

                    self.split_horizon = YLeaf(YType.boolean, "split-horizon")

                    self.authentication = Native.Router.Eigrp.AfInterface.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.summary_address = Native.Router.Eigrp.AfInterface.SummaryAddress()
                    self.summary_address.parent = self
                    self._children_name_map["summary_address"] = "summary-address"
                    self._children_yang_names.add("summary-address")
                    self._segment_path = lambda: "af-interface" + "[name='" + self.name.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.AfInterface, ['name', 'bandwidth_percent', 'hello_interval', 'hold_time', 'passive_interface', 'split_horizon'], name, value)


                class Authentication(Entity):
                    """
                    authentication subcommands
                    
                    .. attribute:: mode
                    
                    	authentication mode
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AfInterface.Authentication.Mode>`
                    
                    .. attribute:: key_chain
                    
                    	key\-chain
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.AfInterface.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "af-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"mode" : ("mode", Native.Router.Eigrp.AfInterface.Authentication.Mode)}
                        self._child_list_classes = {}

                        self.key_chain = YLeaf(YType.str, "key-chain")

                        self.mode = Native.Router.Eigrp.AfInterface.Authentication.Mode()
                        self.mode.parent = self
                        self._children_name_map["mode"] = "mode"
                        self._children_yang_names.add("mode")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.AfInterface.Authentication, ['key_chain'], name, value)


                    class Mode(Entity):
                        """
                        authentication mode
                        
                        .. attribute:: md5
                        
                        	Keyed message digest
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hmac_sha_256
                        
                        	HMAC\-SHA\-256 Authentication
                        	**type**\:  :py:class:`HmacSha256 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.AfInterface.Authentication.Mode.HmacSha256>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.AfInterface.Authentication.Mode, self).__init__()

                            self.yang_name = "mode"
                            self.yang_parent_name = "authentication"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"hmac-sha-256" : ("hmac_sha_256", Native.Router.Eigrp.AfInterface.Authentication.Mode.HmacSha256)}
                            self._child_list_classes = {}

                            self.md5 = YLeaf(YType.empty, "md5")

                            self.hmac_sha_256 = Native.Router.Eigrp.AfInterface.Authentication.Mode.HmacSha256()
                            self.hmac_sha_256.parent = self
                            self._children_name_map["hmac_sha_256"] = "hmac-sha-256"
                            self._children_yang_names.add("hmac-sha-256")
                            self._segment_path = lambda: "mode"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.AfInterface.Authentication.Mode, ['md5'], name, value)


                        class HmacSha256(Entity):
                            """
                            HMAC\-SHA\-256 Authentication
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.AfInterface.Authentication.Mode.HmacSha256, self).__init__()

                                self.yang_name = "hmac-sha-256"
                                self.yang_parent_name = "mode"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                self.auth_key = YLeaf(YType.str, "auth-key")
                                self._segment_path = lambda: "hmac-sha-256"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.AfInterface.Authentication.Mode.HmacSha256, ['auth_type', 'auth_key'], name, value)


                class SummaryAddress(Entity):
                    """
                    
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.AfInterface.SummaryAddress, self).__init__()

                        self.yang_name = "summary-address"
                        self.yang_parent_name = "af-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.mask = YLeaf(YType.str, "mask")
                        self._segment_path = lambda: "summary-address"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.AfInterface.SummaryAddress, ['address', 'mask'], name, value)


            class Bfd(Entity):
                """
                BFD configuration commands
                
                .. attribute:: all_interfaces
                
                	Enable BFD on all interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	Enable BFD on specific interface
                	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Bfd.Interface>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"interface" : ("interface", Native.Router.Eigrp.Bfd.Interface)}
                    self._child_list_classes = {}

                    self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

                    self.interface = Native.Router.Eigrp.Bfd.Interface()
                    self.interface.parent = self
                    self._children_name_map["interface"] = "interface"
                    self._children_yang_names.add("interface")
                    self._segment_path = lambda: "bfd"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.Bfd, ['all_interfaces'], name, value)


                class Interface(Entity):
                    """
                    Enable BFD on specific interface
                    
                    .. attribute:: appnav_compress
                    
                    	Service\-Context Virtual Interface Compress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: appnav_uncompress
                    
                    	Service\-Context Virtual Interface UnCompress
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: atm
                    
                    	ATM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                    
                    .. attribute:: atm_subinterface
                    
                    	
                    	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Bfd.Interface.ATMSubinterface>`
                    
                    .. attribute:: atm_acr
                    
                    	ATM\-ACR interface
                    	**type**\: str
                    
                    	**pattern:** [0\-9]
                    
                    .. attribute:: atm_acrsubinterface
                    
                    	
                    	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Bfd.Interface.ATMACRsubinterface>`
                    
                    .. attribute:: bdi
                    
                    	Bridge\-Domain interface
                    	**type**\: str
                    
                    .. attribute:: cem
                    
                    	CEM interface
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]
                    
                    .. attribute:: cem_acr
                    
                    	CEM\-ACR interface
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: embedded_service_engine
                    
                    	cisco embedded service engine module
                    	**type**\: str
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: lisp
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\: str
                    
                    .. attribute:: lisp_subinterface
                    
                    	Locator/ID Separation Protocol Virtual Interface
                    	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Bfd.Interface.LISPSubinterface>`
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: multilink
                    
                    	Multilink\-group interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: nve
                    
                    	Network virtualization endpoint interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: overlay
                    
                    	Overlay interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: port_channel
                    
                    	Ethernet Channel of interfaces
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: port_channel_subinterface
                    
                    	
                    	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Bfd.Interface.PortChannelSubinterface>`
                    
                    .. attribute:: pseudowire
                    
                    	Pseudowire Interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: sm
                    
                    	SM Interface
                    	**type**\: str
                    
                    .. attribute:: cellular
                    
                    	Cellular Interface
                    	**type**\: str
                    
                    .. attribute:: serial
                    
                    	Serial interface
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: tunnel
                    
                    	Tunnel interface
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: virtual_template
                    
                    	Virtual Template interface
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vlan
                    
                    	Iosxr Vlans
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: virtualportgroup
                    
                    	Virtual Port Group
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasileft
                    
                    	vasileft
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: vasiright
                    
                    	vasiright
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Bfd.Interface, self).__init__()

                        self.yang_name = "interface"
                        self.yang_parent_name = "bfd"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Eigrp.Bfd.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Eigrp.Bfd.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Eigrp.Bfd.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Eigrp.Bfd.Interface.PortChannelSubinterface)}
                        self._child_list_classes = {}

                        self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                        self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                        self.atm = YLeaf(YType.str, "ATM")

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                        self.bdi = YLeaf(YType.str, "BDI")

                        self.cem = YLeaf(YType.str, "CEM")

                        self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                        self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.lisp = YLeaf(YType.str, "LISP")

                        self.loopback = YLeaf(YType.uint32, "Loopback")

                        self.multilink = YLeaf(YType.uint16, "Multilink")

                        self.nve = YLeaf(YType.uint16, "nve")

                        self.overlay = YLeaf(YType.uint16, "overlay")

                        self.port_channel = YLeaf(YType.uint32, "Port-channel")

                        self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                        self.sm = YLeaf(YType.str, "SM")

                        self.cellular = YLeaf(YType.str, "Cellular")

                        self.serial = YLeaf(YType.str, "Serial")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.tunnel = YLeaf(YType.uint32, "Tunnel")

                        self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                        self.vlan = YLeaf(YType.uint16, "Vlan")

                        self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                        self.vasileft = YLeaf(YType.uint16, "vasileft")

                        self.vasiright = YLeaf(YType.uint16, "vasiright")

                        self.atm_subinterface = Native.Router.Eigrp.Bfd.Interface.ATMSubinterface()
                        self.atm_subinterface.parent = self
                        self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                        self._children_yang_names.add("ATM-subinterface")

                        self.atm_acrsubinterface = Native.Router.Eigrp.Bfd.Interface.ATMACRsubinterface()
                        self.atm_acrsubinterface.parent = self
                        self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                        self._children_yang_names.add("ATM-ACRsubinterface")

                        self.lisp_subinterface = Native.Router.Eigrp.Bfd.Interface.LISPSubinterface()
                        self.lisp_subinterface.parent = self
                        self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                        self._children_yang_names.add("LISP-subinterface")

                        self.port_channel_subinterface = Native.Router.Eigrp.Bfd.Interface.PortChannelSubinterface()
                        self.port_channel_subinterface.parent = self
                        self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                        self._children_yang_names.add("Port-channel-subinterface")
                        self._segment_path = lambda: "interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Bfd.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                    class ATMSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.Bfd.Interface.ATMSubinterface, self).__init__()

                            self.yang_name = "ATM-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm = YLeaf(YType.str, "ATM")
                            self._segment_path = lambda: "ATM-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.Bfd.Interface.ATMSubinterface, ['atm'], name, value)


                    class ATMACRsubinterface(Entity):
                        """
                        
                        
                        .. attribute:: atm_acr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.Bfd.Interface.ATMACRsubinterface, self).__init__()

                            self.yang_name = "ATM-ACRsubinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                            self._segment_path = lambda: "ATM-ACRsubinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.Bfd.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                    class LISPSubinterface(Entity):
                        """
                        Locator/ID Separation Protocol Virtual Interface
                        
                        .. attribute:: lisp
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.Bfd.Interface.LISPSubinterface, self).__init__()

                            self.yang_name = "LISP-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.lisp = YLeaf(YType.str, "LISP")
                            self._segment_path = lambda: "LISP-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.Bfd.Interface.LISPSubinterface, ['lisp'], name, value)


                    class PortChannelSubinterface(Entity):
                        """
                        
                        
                        .. attribute:: port_channel
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.Bfd.Interface.PortChannelSubinterface, self).__init__()

                            self.yang_name = "Port-channel-subinterface"
                            self.yang_parent_name = "interface"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.port_channel = YLeaf(YType.str, "Port-channel")
                            self._segment_path = lambda: "Port-channel-subinterface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.Bfd.Interface.PortChannelSubinterface, ['port_channel'], name, value)


            class DefaultInformation(Entity):
                """
                Control distribution of default information
                
                .. attribute:: in_
                
                	Accept input default routing information
                	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DefaultInformation.In_>`
                
                	**presence node**\: True
                
                .. attribute:: out
                
                	Accept output default routing information
                	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DefaultInformation.Out>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.DefaultInformation, self).__init__()

                    self.yang_name = "default-information"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"in" : ("in_", Native.Router.Eigrp.DefaultInformation.In_), "out" : ("out", Native.Router.Eigrp.DefaultInformation.Out)}
                    self._child_list_classes = {}

                    self.in_ = None
                    self._children_name_map["in_"] = "in"
                    self._children_yang_names.add("in")

                    self.out = None
                    self._children_name_map["out"] = "out"
                    self._children_yang_names.add("out")
                    self._segment_path = lambda: "default-information"


                class In_(Entity):
                    """
                    Accept input default routing information
                    
                    .. attribute:: sa_num
                    
                    	A standard expanded IP access list number
                    	**type**\: int
                    
                    	**range:** 1300..1999
                    
                    .. attribute:: sa_name
                    
                    	Standard Access\-list name
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.DefaultInformation.In_, self).__init__()

                        self.yang_name = "in"
                        self.yang_parent_name = "default-information"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.sa_num = YLeaf(YType.uint16, "sa-num")

                        self.sa_name = YLeaf(YType.str, "sa-name")
                        self._segment_path = lambda: "in"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.DefaultInformation.In_, ['sa_num', 'sa_name'], name, value)


                class Out(Entity):
                    """
                    Accept output default routing information
                    
                    .. attribute:: sa_out_num
                    
                    	A standard expanded IP access list number
                    	**type**\: int
                    
                    	**range:** 1300..1999
                    
                    .. attribute:: sa_out_name
                    
                    	Standard Access\-list name
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.DefaultInformation.Out, self).__init__()

                        self.yang_name = "out"
                        self.yang_parent_name = "default-information"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.sa_out_num = YLeaf(YType.uint16, "sa-out-num")

                        self.sa_out_name = YLeaf(YType.str, "sa-out-name")
                        self._segment_path = lambda: "out"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.DefaultInformation.Out, ['sa_out_num', 'sa_out_name'], name, value)


            class DefaultMetric(Entity):
                """
                Set metric of redistributed routes
                
                .. attribute:: dm_rdr
                
                	
                	**type**\: list of  		 :py:class:`DmRdr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DefaultMetric.DmRdr>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.DefaultMetric, self).__init__()

                    self.yang_name = "default-metric"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"dm-rdr" : ("dm_rdr", Native.Router.Eigrp.DefaultMetric.DmRdr)}

                    self.dm_rdr = YList(self)
                    self._segment_path = lambda: "default-metric"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.DefaultMetric, [], name, value)


                class DmRdr(Entity):
                    """
                    
                    
                    .. attribute:: dm_rdr  <key>
                    
                    	Bandwidth in Kbits per second
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: dm_rdr0
                    
                    	
                    	**type**\: list of  		 :py:class:`DmRdr0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DefaultMetric.DmRdr.DmRdr0>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.DefaultMetric.DmRdr, self).__init__()

                        self.yang_name = "dm-rdr"
                        self.yang_parent_name = "default-metric"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"dm-rdr0" : ("dm_rdr0", Native.Router.Eigrp.DefaultMetric.DmRdr.DmRdr0)}

                        self.dm_rdr = YLeaf(YType.uint32, "dm-rdr")

                        self.dm_rdr0 = YList(self)
                        self._segment_path = lambda: "dm-rdr" + "[dm-rdr='" + self.dm_rdr.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.DefaultMetric.DmRdr, ['dm_rdr'], name, value)


                    class DmRdr0(Entity):
                        """
                        
                        
                        .. attribute:: dm_rdr0  <key>
                        
                        	delay metric in 10 microsecond units
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: dm_rdr_pct
                        
                        	Reliability metric where 255 is 100% reliable
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.DefaultMetric.DmRdr.DmRdr0, self).__init__()

                            self.yang_name = "dm-rdr0"
                            self.yang_parent_name = "dm-rdr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dm_rdr0 = YLeaf(YType.uint32, "dm-rdr0")

                            self.dm_rdr_pct = YLeaf(YType.uint8, "dm-rdr-pct")
                            self._segment_path = lambda: "dm-rdr0" + "[dm-rdr0='" + self.dm_rdr0.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.DefaultMetric.DmRdr.DmRdr0, ['dm_rdr0', 'dm_rdr_pct'], name, value)


            class Distance(Entity):
                """
                Define an administrative distance
                
                .. attribute:: rad_dis
                
                	
                	**type**\: list of  		 :py:class:`RadDis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Distance.RadDis>`
                
                .. attribute:: eigrp
                
                	Set distance for internal and external routes
                	**type**\:  :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Distance.Eigrp>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.Distance, self).__init__()

                    self.yang_name = "distance"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"eigrp" : ("eigrp", Native.Router.Eigrp.Distance.Eigrp)}
                    self._child_list_classes = {"rad-dis" : ("rad_dis", Native.Router.Eigrp.Distance.RadDis)}

                    self.eigrp = Native.Router.Eigrp.Distance.Eigrp()
                    self.eigrp.parent = self
                    self._children_name_map["eigrp"] = "eigrp"
                    self._children_yang_names.add("eigrp")

                    self.rad_dis = YList(self)
                    self._segment_path = lambda: "distance"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.Distance, [], name, value)


                class RadDis(Entity):
                    """
                    
                    
                    .. attribute:: rad_dis  <key>
                    
                    	Set route administrative distance
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Distance.RadDis.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Distance.RadDis, self).__init__()

                        self.yang_name = "rad-dis"
                        self.yang_parent_name = "distance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv4" : ("ipv4", Native.Router.Eigrp.Distance.RadDis.Ipv4)}

                        self.rad_dis = YLeaf(YType.uint8, "rad-dis")

                        self.ipv4 = YList(self)
                        self._segment_path = lambda: "rad-dis" + "[rad-dis='" + self.rad_dis.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Distance.RadDis, ['rad_dis'], name, value)


                    class Ipv4(Entity):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	IP Source address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv40
                        
                        	Wildcard bits
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.Distance.RadDis.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "rad-dis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.ipv40 = YLeaf(YType.str, "ipv40")
                            self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.Distance.RadDis.Ipv4, ['ipv4', 'ipv40'], name, value)


                class Eigrp(Entity):
                    """
                    Set distance for internal and external routes
                    
                    .. attribute:: di_rt
                    
                    	
                    	**type**\: list of  		 :py:class:`DiRt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Distance.Eigrp.DiRt>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Distance.Eigrp, self).__init__()

                        self.yang_name = "eigrp"
                        self.yang_parent_name = "distance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"di-rt" : ("di_rt", Native.Router.Eigrp.Distance.Eigrp.DiRt)}

                        self.di_rt = YList(self)
                        self._segment_path = lambda: "eigrp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Distance.Eigrp, [], name, value)


                    class DiRt(Entity):
                        """
                        
                        
                        .. attribute:: di_rt  <key>
                        
                        	Distance for internal routes
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: di_rt0
                        
                        	Distance for external routes
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.Distance.Eigrp.DiRt, self).__init__()

                            self.yang_name = "di-rt"
                            self.yang_parent_name = "eigrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.di_rt = YLeaf(YType.uint8, "di-rt")

                            self.di_rt0 = YLeaf(YType.uint8, "di-rt0")
                            self._segment_path = lambda: "di-rt" + "[di-rt='" + self.di_rt.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.Distance.Eigrp.DiRt, ['di_rt', 'di_rt0'], name, value)


            class DistributeList(Entity):
                """
                Filter entries in eigrp updates
                
                .. attribute:: eig_filt
                
                	
                	**type**\: list of  		 :py:class:`EigFilt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.EigFilt>`
                
                .. attribute:: gateway
                
                	Filtering incoming address updates based on gateway
                	**type**\:  :py:class:`Gateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.Gateway>`
                
                .. attribute:: prefix
                
                	Filter prefixes in address updates
                	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.Prefix>`
                
                .. attribute:: route_map
                
                	Filter prefixes based on the route\-map
                	**type**\:  :py:class:`RouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.RouteMap>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.DistributeList, self).__init__()

                    self.yang_name = "distribute-list"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"gateway" : ("gateway", Native.Router.Eigrp.DistributeList.Gateway), "prefix" : ("prefix", Native.Router.Eigrp.DistributeList.Prefix), "route-map" : ("route_map", Native.Router.Eigrp.DistributeList.RouteMap)}
                    self._child_list_classes = {"eig-filt" : ("eig_filt", Native.Router.Eigrp.DistributeList.EigFilt)}

                    self.gateway = Native.Router.Eigrp.DistributeList.Gateway()
                    self.gateway.parent = self
                    self._children_name_map["gateway"] = "gateway"
                    self._children_yang_names.add("gateway")

                    self.prefix = Native.Router.Eigrp.DistributeList.Prefix()
                    self.prefix.parent = self
                    self._children_name_map["prefix"] = "prefix"
                    self._children_yang_names.add("prefix")

                    self.route_map = Native.Router.Eigrp.DistributeList.RouteMap()
                    self.route_map.parent = self
                    self._children_name_map["route_map"] = "route-map"
                    self._children_yang_names.add("route-map")

                    self.eig_filt = YList(self)
                    self._segment_path = lambda: "distribute-list"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.DistributeList, [], name, value)


                class EigFilt(Entity):
                    """
                    
                    
                    .. attribute:: eig_filt  <key>
                    
                    	IP expanded access list number
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199 \| 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: in_
                    
                    	Filter incoming service updates
                    	**type**\:  :py:class:`In_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.EigFilt.In_>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: out
                    
                    	Filter outgoing service updates
                    	**type**\:  :py:class:`Out <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.EigFilt.Out>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.DistributeList.EigFilt, self).__init__()

                        self.yang_name = "eig-filt"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"in" : ("in_", Native.Router.Eigrp.DistributeList.EigFilt.In_), "out" : ("out", Native.Router.Eigrp.DistributeList.EigFilt.Out)}
                        self._child_list_classes = {}

                        self.eig_filt = YLeaf(YType.str, "eig-filt")

                        self.in_ = None
                        self._children_name_map["in_"] = "in"
                        self._children_yang_names.add("in")

                        self.out = None
                        self._children_name_map["out"] = "out"
                        self._children_yang_names.add("out")
                        self._segment_path = lambda: "eig-filt" + "[eig-filt='" + self.eig_filt.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.DistributeList.EigFilt, ['eig_filt'], name, value)


                    class In_(Entity):
                        """
                        Filter incoming service updates
                        
                        .. attribute:: interface_name
                        
                        	Interface name
                        	**type**\: list of str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.DistributeList.EigFilt.In_, self).__init__()

                            self.yang_name = "in"
                            self.yang_parent_name = "eig-filt"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.interface_name = YLeafList(YType.str, "interface_name")
                            self._segment_path = lambda: "in"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.DistributeList.EigFilt.In_, ['interface_name'], name, value)


                    class Out(Entity):
                        """
                        Filter outgoing service updates
                        
                        .. attribute:: interface_name
                        
                        	Interface name
                        	**type**\: list of str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.DistributeList.EigFilt.Out, self).__init__()

                            self.yang_name = "out"
                            self.yang_parent_name = "eig-filt"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.interface_name = YLeafList(YType.str, "interface_name")
                            self._segment_path = lambda: "out"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.DistributeList.EigFilt.Out, ['interface_name'], name, value)


                class Gateway(Entity):
                    """
                    Filtering incoming address updates based on gateway
                    
                    .. attribute:: gw_list
                    
                    	
                    	**type**\: list of  		 :py:class:`GwList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.Gateway.GwList>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.DistributeList.Gateway, self).__init__()

                        self.yang_name = "gateway"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"gw-list" : ("gw_list", Native.Router.Eigrp.DistributeList.Gateway.GwList)}

                        self.gw_list = YList(self)
                        self._segment_path = lambda: "gateway"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.DistributeList.Gateway, [], name, value)


                    class GwList(Entity):
                        """
                        
                        
                        .. attribute:: gw_list  <key>
                        
                        	Name of an IP prefix\-list
                        	**type**\: str
                        
                        .. attribute:: in_
                        
                        	Filter incoming service updates
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Filter outgoing service updates
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.DistributeList.Gateway.GwList, self).__init__()

                            self.yang_name = "gw-list"
                            self.yang_parent_name = "gateway"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.gw_list = YLeaf(YType.str, "gw-list")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "gw-list" + "[gw-list='" + self.gw_list.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.DistributeList.Gateway.GwList, ['gw_list', 'in_', 'out'], name, value)


                class Prefix(Entity):
                    """
                    Filter prefixes in address updates
                    
                    .. attribute:: pl_name
                    
                    	
                    	**type**\: list of  		 :py:class:`PlName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.Prefix.PlName>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.DistributeList.Prefix, self).__init__()

                        self.yang_name = "prefix"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"pl-name" : ("pl_name", Native.Router.Eigrp.DistributeList.Prefix.PlName)}

                        self.pl_name = YList(self)
                        self._segment_path = lambda: "prefix"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.DistributeList.Prefix, [], name, value)


                    class PlName(Entity):
                        """
                        
                        
                        .. attribute:: pl_name  <key>
                        
                        	Name of an IP prefix\-list
                        	**type**\: str
                        
                        .. attribute:: gateway
                        
                        	Filtering incoming address updates based on gateway
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: in_
                        
                        	Filter incoming service updates
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Filter outgoing service updates
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.DistributeList.Prefix.PlName, self).__init__()

                            self.yang_name = "pl-name"
                            self.yang_parent_name = "prefix"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.pl_name = YLeaf(YType.str, "pl-name")

                            self.gateway = YLeaf(YType.empty, "gateway")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "pl-name" + "[pl-name='" + self.pl_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.DistributeList.Prefix.PlName, ['pl_name', 'gateway', 'in_', 'out'], name, value)


                class RouteMap(Entity):
                    """
                    Filter prefixes based on the route\-map
                    
                    .. attribute:: rmap_name
                    
                    	
                    	**type**\: list of  		 :py:class:`RmapName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.DistributeList.RouteMap.RmapName>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.DistributeList.RouteMap, self).__init__()

                        self.yang_name = "route-map"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"rmap-name" : ("rmap_name", Native.Router.Eigrp.DistributeList.RouteMap.RmapName)}

                        self.rmap_name = YList(self)
                        self._segment_path = lambda: "route-map"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.DistributeList.RouteMap, [], name, value)


                    class RmapName(Entity):
                        """
                        
                        
                        .. attribute:: rmap_name  <key>
                        
                        	route\-map name
                        	**type**\: str
                        
                        .. attribute:: in_
                        
                        	Filter incoming service updates
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: out
                        
                        	Filter outgoing service updates
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.DistributeList.RouteMap.RmapName, self).__init__()

                            self.yang_name = "rmap-name"
                            self.yang_parent_name = "route-map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.rmap_name = YLeaf(YType.str, "rmap-name")

                            self.in_ = YLeaf(YType.empty, "in")

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "rmap-name" + "[rmap-name='" + self.rmap_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.DistributeList.RouteMap.RmapName, ['rmap_name', 'in_', 'out'], name, value)


            class Eigrp(Entity):
                """
                EIGRP Address Family specific commands
                
                .. attribute:: router_id
                
                	router id for this EIGRP process
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: stub
                
                	Set address\-family in stubbed mode
                	**type**\:  :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Eigrp.Stub>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.Eigrp, self).__init__()

                    self.yang_name = "eigrp"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"stub" : ("stub", Native.Router.Eigrp.Eigrp.Stub)}
                    self._child_list_classes = {}

                    self.router_id = YLeaf(YType.str, "router-id")

                    self.stub = None
                    self._children_name_map["stub"] = "stub"
                    self._children_yang_names.add("stub")
                    self._segment_path = lambda: "eigrp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.Eigrp, ['router_id'], name, value)


                class Stub(Entity):
                    """
                    Set address\-family in stubbed mode
                    
                    .. attribute:: connected
                    
                    	Do advertise connected routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: summary
                    
                    	Do advertise summary routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: redistributed
                    
                    	Do advertise redistributed routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: leak_map
                    
                    	Allow dynamic prefixes based on the leak\-map
                    	**type**\: str
                    
                    .. attribute:: receive_only
                    
                    	Set receive only neighbor
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: static
                    
                    	Do advertise static routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Eigrp.Stub, self).__init__()

                        self.yang_name = "stub"
                        self.yang_parent_name = "eigrp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.connected = YLeaf(YType.empty, "connected")

                        self.summary = YLeaf(YType.empty, "summary")

                        self.redistributed = YLeaf(YType.empty, "redistributed")

                        self.leak_map = YLeaf(YType.str, "leak-map")

                        self.receive_only = YLeaf(YType.empty, "receive-only")

                        self.static = YLeaf(YType.empty, "static")
                        self._segment_path = lambda: "stub"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Eigrp.Stub, ['connected', 'summary', 'redistributed', 'leak_map', 'receive_only', 'static'], name, value)


            class Metric(Entity):
                """
                Modify metrics and parameters for advertisement
                
                .. attribute:: maximum_hops
                
                	Hop count
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: weights
                
                	Type (Only TOS 0 supported)
                	**type**\: int
                
                	**range:** 0..8
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.Metric, self).__init__()

                    self.yang_name = "metric"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.maximum_hops = YLeaf(YType.uint8, "maximum-hops")

                    self.weights = YLeaf(YType.uint8, "weights")
                    self._segment_path = lambda: "metric"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.Metric, ['maximum_hops', 'weights'], name, value)


            class Neighbor(Entity):
                """
                Specify a neighbor router
                
                .. attribute:: ipv4
                
                	
                	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor.Ipv4>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.Neighbor, self).__init__()

                    self.yang_name = "neighbor"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"ipv4" : ("ipv4", Native.Router.Eigrp.Neighbor.Ipv4)}

                    self.ipv4 = YList(self)
                    self._segment_path = lambda: "neighbor"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.Neighbor, [], name, value)


                class Ipv4(Entity):
                    """
                    
                    
                    .. attribute:: ipv4  <key>
                    
                    	Neighbor address
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: interface
                    
                    	Specify interface for global address
                    	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor.Ipv4.Interface>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Neighbor.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"interface" : ("interface", Native.Router.Eigrp.Neighbor.Ipv4.Interface)}
                        self._child_list_classes = {}

                        self.ipv4 = YLeaf(YType.str, "ipv4")

                        self.interface = Native.Router.Eigrp.Neighbor.Ipv4.Interface()
                        self.interface.parent = self
                        self._children_name_map["interface"] = "interface"
                        self._children_yang_names.add("interface")
                        self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Neighbor.Ipv4, ['ipv4'], name, value)


                    class Interface(Entity):
                        """
                        Specify interface for global address
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor.Ipv4.Interface.ATMSubinterface>`
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\: str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor.Ipv4.Interface.ATMACRsubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\: str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\: str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\: str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\: str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\: str
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor.Ipv4.Interface.LISPSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Neighbor.Ipv4.Interface.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\: str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\: str
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\: str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\: str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.Neighbor.Ipv4.Interface, self).__init__()

                            self.yang_name = "interface"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Eigrp.Neighbor.Ipv4.Interface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Eigrp.Neighbor.Ipv4.Interface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Eigrp.Neighbor.Ipv4.Interface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Eigrp.Neighbor.Ipv4.Interface.PortChannelSubinterface)}
                            self._child_list_classes = {}

                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                            self.atm = YLeaf(YType.str, "ATM")

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                            self.bdi = YLeaf(YType.str, "BDI")

                            self.cem = YLeaf(YType.str, "CEM")

                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                            self.lisp = YLeaf(YType.str, "LISP")

                            self.loopback = YLeaf(YType.uint32, "Loopback")

                            self.multilink = YLeaf(YType.uint16, "Multilink")

                            self.nve = YLeaf(YType.uint16, "nve")

                            self.overlay = YLeaf(YType.uint16, "overlay")

                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                            self.sm = YLeaf(YType.str, "SM")

                            self.cellular = YLeaf(YType.str, "Cellular")

                            self.serial = YLeaf(YType.str, "Serial")

                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                            self.atm_subinterface = Native.Router.Eigrp.Neighbor.Ipv4.Interface.ATMSubinterface()
                            self.atm_subinterface.parent = self
                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                            self._children_yang_names.add("ATM-subinterface")

                            self.atm_acrsubinterface = Native.Router.Eigrp.Neighbor.Ipv4.Interface.ATMACRsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                            self._children_yang_names.add("ATM-ACRsubinterface")

                            self.lisp_subinterface = Native.Router.Eigrp.Neighbor.Ipv4.Interface.LISPSubinterface()
                            self.lisp_subinterface.parent = self
                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                            self._children_yang_names.add("LISP-subinterface")

                            self.port_channel_subinterface = Native.Router.Eigrp.Neighbor.Ipv4.Interface.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                            self._children_yang_names.add("Port-channel-subinterface")
                            self._segment_path = lambda: "interface"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.Neighbor.Ipv4.Interface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                        class ATMSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.Neighbor.Ipv4.Interface.ATMSubinterface, self).__init__()

                                self.yang_name = "ATM-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm = YLeaf(YType.str, "ATM")
                                self._segment_path = lambda: "ATM-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.Neighbor.Ipv4.Interface.ATMSubinterface, ['atm'], name, value)


                        class ATMACRsubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.Neighbor.Ipv4.Interface.ATMACRsubinterface, self).__init__()

                                self.yang_name = "ATM-ACRsubinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                self._segment_path = lambda: "ATM-ACRsubinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.Neighbor.Ipv4.Interface.ATMACRsubinterface, ['atm_acr'], name, value)


                        class LISPSubinterface(Entity):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.Neighbor.Ipv4.Interface.LISPSubinterface, self).__init__()

                                self.yang_name = "LISP-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lisp = YLeaf(YType.str, "LISP")
                                self._segment_path = lambda: "LISP-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.Neighbor.Ipv4.Interface.LISPSubinterface, ['lisp'], name, value)


                        class PortChannelSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-eigrp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Router.Eigrp.Neighbor.Ipv4.Interface.PortChannelSubinterface, self).__init__()

                                self.yang_name = "Port-channel-subinterface"
                                self.yang_parent_name = "interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                self._segment_path = lambda: "Port-channel-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Eigrp.Neighbor.Ipv4.Interface.PortChannelSubinterface, ['port_channel'], name, value)


            class Network(Entity):
                """
                Enable routing on an IP network
                
                .. attribute:: number  <key>
                
                	Network number
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: wild_card
                
                	EIGRP wild card bits
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.Network, self).__init__()

                    self.yang_name = "network"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.str, "number")

                    self.wild_card = YLeaf(YType.str, "wild-card")
                    self._segment_path = lambda: "network" + "[number='" + self.number.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.Network, ['number', 'wild_card'], name, value)


            class OffsetList(Entity):
                """
                Add or subtract offset from EIGRP metrics
                
                .. attribute:: nsr_list
                
                	
                	**type**\: list of  		 :py:class:`NsrList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.OffsetList.NsrList>`
                
                .. attribute:: ol_acl
                
                	
                	**type**\: list of  		 :py:class:`OlAcl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.OffsetList.OlAcl>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.OffsetList, self).__init__()

                    self.yang_name = "offset-list"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"nsr-list" : ("nsr_list", Native.Router.Eigrp.OffsetList.NsrList), "ol-acl" : ("ol_acl", Native.Router.Eigrp.OffsetList.OlAcl)}

                    self.nsr_list = YList(self)
                    self.ol_acl = YList(self)
                    self._segment_path = lambda: "offset-list"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.OffsetList, [], name, value)


                class NsrList(Entity):
                    """
                    
                    
                    .. attribute:: nsr_list  <key>
                    
                    	Access list of networks to apply offset (extended range)
                    	**type**\: int
                    
                    	**range:** 1300..1999
                    
                    .. attribute:: in_
                    
                    	Perform offset on incoming updates
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: out
                    
                    	Perform offset on outgoing updates
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.OffsetList.NsrList, self).__init__()

                        self.yang_name = "nsr-list"
                        self.yang_parent_name = "offset-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.nsr_list = YLeaf(YType.uint16, "nsr-list")

                        self.in_ = YLeaf(YType.empty, "in")

                        self.out = YLeaf(YType.empty, "out")
                        self._segment_path = lambda: "nsr-list" + "[nsr-list='" + self.nsr_list.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.OffsetList.NsrList, ['nsr_list', 'in_', 'out'], name, value)


                class OlAcl(Entity):
                    """
                    
                    
                    .. attribute:: ol_acl  <key>
                    
                    	Access\-list name
                    	**type**\: str
                    
                    .. attribute:: in_
                    
                    	Perform offset on incoming updates
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: out
                    
                    	Perform offset on outgoing updates
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.OffsetList.OlAcl, self).__init__()

                        self.yang_name = "ol-acl"
                        self.yang_parent_name = "offset-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ol_acl = YLeaf(YType.str, "ol-acl")

                        self.in_ = YLeaf(YType.empty, "in")

                        self.out = YLeaf(YType.empty, "out")
                        self._segment_path = lambda: "ol-acl" + "[ol-acl='" + self.ol_acl.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.OffsetList.OlAcl, ['ol_acl', 'in_', 'out'], name, value)


            class Redistribute(Entity):
                """
                Redistribute IPv4 routes from another routing protocol
                
                .. attribute:: bgp
                
                	Border Gateway Protocol (BGP)
                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Bgp>`
                
                .. attribute:: connected
                
                	Connected
                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Connected>`
                
                	**presence node**\: True
                
                .. attribute:: eigrp
                
                	Autonomous system number
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: isis
                
                	ISO IS\-IS
                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Isis>`
                
                	**presence node**\: True
                
                .. attribute:: lisp
                
                	Locator ID Separation Protocol (LISP)
                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Lisp>`
                
                	**presence node**\: True
                
                .. attribute:: mobile
                
                	Mobile routes
                	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Mobile>`
                
                	**presence node**\: True
                
                .. attribute:: odr
                
                	On Demand stub Routes
                	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Odr>`
                
                	**presence node**\: True
                
                .. attribute:: ospf
                
                	Process ID
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: rip
                
                	Routing Information Protocol (RIP)
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Rip>`
                
                	**presence node**\: True
                
                .. attribute:: static
                
                	Static routes
                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Static>`
                
                	**presence node**\: True
                
                .. attribute:: vrf
                
                	Specify a source virtual routing/forwarding instance
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Vrf>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.Redistribute, self).__init__()

                    self.yang_name = "redistribute"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"connected" : ("connected", Native.Router.Eigrp.Redistribute.Connected), "isis" : ("isis", Native.Router.Eigrp.Redistribute.Isis), "lisp" : ("lisp", Native.Router.Eigrp.Redistribute.Lisp), "mobile" : ("mobile", Native.Router.Eigrp.Redistribute.Mobile), "odr" : ("odr", Native.Router.Eigrp.Redistribute.Odr), "rip" : ("rip", Native.Router.Eigrp.Redistribute.Rip), "static" : ("static", Native.Router.Eigrp.Redistribute.Static), "vrf" : ("vrf", Native.Router.Eigrp.Redistribute.Vrf)}
                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.Eigrp.Redistribute.Bgp)}

                    self.eigrp = YLeaf(YType.uint16, "eigrp")

                    self.ospf = YLeaf(YType.uint16, "ospf")

                    self.connected = None
                    self._children_name_map["connected"] = "connected"
                    self._children_yang_names.add("connected")

                    self.isis = None
                    self._children_name_map["isis"] = "isis"
                    self._children_yang_names.add("isis")

                    self.lisp = None
                    self._children_name_map["lisp"] = "lisp"
                    self._children_yang_names.add("lisp")

                    self.mobile = None
                    self._children_name_map["mobile"] = "mobile"
                    self._children_yang_names.add("mobile")

                    self.odr = None
                    self._children_name_map["odr"] = "odr"
                    self._children_yang_names.add("odr")

                    self.rip = None
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.static = None
                    self._children_name_map["static"] = "static"
                    self._children_yang_names.add("static")

                    self.vrf = Native.Router.Eigrp.Redistribute.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.bgp = YList(self)
                    self._segment_path = lambda: "redistribute"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.Redistribute, ['eigrp', 'ospf'], name, value)


                class Bgp(Entity):
                    """
                    Border Gateway Protocol (BGP)
                    
                    .. attribute:: rdr_as  <key>
                    
                    	Autonomous system number
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..4294967295
                    
                    		**type**\: str
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Redistribute.Bgp.Metric>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    .. attribute:: rd_lesser_1_period_0_xx_period_yy_greater_
                    
                    	Autonomous system number
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Redistribute.Bgp, self).__init__()

                        self.yang_name = "bgp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"metric" : ("metric", Native.Router.Eigrp.Redistribute.Bgp.Metric)}
                        self._child_list_classes = {}

                        self.rdr_as = YLeaf(YType.str, "rdr-as")

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.rd_lesser_1_period_0_xx_period_yy_greater_ = YLeaf(YType.empty, "rd-LESSER_1_PERIOD_0-XX_PERIOD_YY_GREATER_")

                        self.metric = Native.Router.Eigrp.Redistribute.Bgp.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")
                        self._segment_path = lambda: "bgp" + "[rdr-as='" + self.rdr_as.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Redistribute.Bgp, ['rdr_as', 'route_map', 'rd_lesser_1_period_0_xx_period_yy_greater_'], name, value)


                    class Metric(Entity):
                        """
                        Metric for redistributed routes
                        
                        .. attribute:: bandwith
                        
                        	Bandwidth metric in Kbits per second
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: delay
                        
                        	EIGRP delay metric, in 10 microsecond units
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: reliability
                        
                        	EIGRP reliability metric where 255 is 100% reliable
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: effective
                        
                        	EIGRP Effective bandwidth metric (Loading) where 255 is 100% loaded
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: mtu
                        
                        	EIGRP MTU of the path
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        

                        """

                        _prefix = 'ios-eigrp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Router.Eigrp.Redistribute.Bgp.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "bgp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.bandwith = YLeaf(YType.uint32, "bandwith")

                            self.delay = YLeaf(YType.uint32, "delay")

                            self.reliability = YLeaf(YType.uint8, "reliability")

                            self.effective = YLeaf(YType.uint8, "Effective")

                            self.mtu = YLeaf(YType.uint16, "mtu")
                            self._segment_path = lambda: "metric"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Eigrp.Redistribute.Bgp.Metric, ['bandwith', 'delay', 'reliability', 'effective', 'mtu'], name, value)


                class Connected(Entity):
                    """
                    Connected
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Redistribute.Connected, self).__init__()

                        self.yang_name = "connected"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.empty, "metric")

                        self.route_map = YLeaf(YType.empty, "route-map")
                        self._segment_path = lambda: "connected"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Redistribute.Connected, ['metric', 'route_map'], name, value)


                class Isis(Entity):
                    """
                    ISO IS\-IS
                    
                    .. attribute:: is_tag
                    
                    	ISO routing area tag
                    	**type**\: str
                    
                    .. attribute:: level_1
                    
                    	IS\-IS level\-1 routes only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_1_2
                    
                    	IS\-IS level\-1 and level\-2 routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: level_2
                    
                    	IS\-IS level\-2 routes only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Redistribute.Isis, self).__init__()

                        self.yang_name = "isis"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.is_tag = YLeaf(YType.str, "is-tag")

                        self.level_1 = YLeaf(YType.empty, "level-1")

                        self.level_1_2 = YLeaf(YType.empty, "level-1-2")

                        self.level_2 = YLeaf(YType.empty, "level-2")

                        self.metric = YLeaf(YType.empty, "metric")

                        self.route_map = YLeaf(YType.empty, "route-map")
                        self._segment_path = lambda: "isis"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Redistribute.Isis, ['is_tag', 'level_1', 'level_1_2', 'level_2', 'metric', 'route_map'], name, value)


                class Lisp(Entity):
                    """
                    Locator ID Separation Protocol (LISP)
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Redistribute.Lisp, self).__init__()

                        self.yang_name = "lisp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.empty, "metric")

                        self.route_map = YLeaf(YType.empty, "route-map")
                        self._segment_path = lambda: "lisp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Redistribute.Lisp, ['metric', 'route_map'], name, value)


                class Mobile(Entity):
                    """
                    Mobile routes
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Redistribute.Mobile, self).__init__()

                        self.yang_name = "mobile"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.empty, "metric")

                        self.route_map = YLeaf(YType.empty, "route-map")
                        self._segment_path = lambda: "mobile"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Redistribute.Mobile, ['metric', 'route_map'], name, value)


                class Odr(Entity):
                    """
                    On Demand stub Routes
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Redistribute.Odr, self).__init__()

                        self.yang_name = "odr"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.empty, "metric")

                        self.route_map = YLeaf(YType.empty, "route-map")
                        self._segment_path = lambda: "odr"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Redistribute.Odr, ['metric', 'route_map'], name, value)


                class Rip(Entity):
                    """
                    Routing Information Protocol (RIP)
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Redistribute.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.empty, "metric")

                        self.route_map = YLeaf(YType.empty, "route-map")
                        self._segment_path = lambda: "rip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Redistribute.Rip, ['metric', 'route_map'], name, value)


                class Static(Entity):
                    """
                    Static routes
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Redistribute.Static, self).__init__()

                        self.yang_name = "static"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.metric = YLeaf(YType.empty, "metric")

                        self.route_map = YLeaf(YType.empty, "route-map")
                        self._segment_path = lambda: "static"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Redistribute.Static, ['metric', 'route_map'], name, value)


                class Vrf(Entity):
                    """
                    Specify a source virtual routing/forwarding instance
                    
                    .. attribute:: name
                    
                    	Virtual Routing/Forwarding instance name
                    	**type**\: str
                    
                    .. attribute:: global_
                    
                    	global VRF
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Redistribute.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.global_ = YLeaf(YType.empty, "global")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Redistribute.Vrf, ['name', 'global_'], name, value)


            class SummaryMetric(Entity):
                """
                Specify summary to apply metric/filtering
                
                .. attribute:: ipv4
                
                	
                	**type**\: list of  		 :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.SummaryMetric.Ipv4>`
                
                .. attribute:: a_period_b_period_c_period_d_slash_nn
                
                	Summary <network>/<length>, e.g., 192.168.0.0/16
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.SummaryMetric, self).__init__()

                    self.yang_name = "summary-metric"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"ipv4" : ("ipv4", Native.Router.Eigrp.SummaryMetric.Ipv4)}

                    self.a_period_b_period_c_period_d_slash_nn = YLeaf(YType.empty, "A_PERIOD_B_PERIOD_C_PERIOD_D_SLASH_nn")

                    self.ipv4 = YList(self)
                    self._segment_path = lambda: "summary-metric"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.SummaryMetric, ['a_period_b_period_c_period_d_slash_nn'], name, value)


                class Ipv4(Entity):
                    """
                    
                    
                    .. attribute:: ipv4  <key>
                    
                    	Summary to configure static metric
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask
                    
                    	Network mask
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.SummaryMetric.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "summary-metric"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ipv4 = YLeaf(YType.str, "ipv4")

                        self.mask = YLeaf(YType.str, "mask")
                        self._segment_path = lambda: "ipv4" + "[ipv4='" + self.ipv4.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.SummaryMetric.Ipv4, ['ipv4', 'mask'], name, value)


            class Timers(Entity):
                """
                Adjust routing timers
                
                .. attribute:: active_time
                
                	time limit for active state
                	**type**\:  :py:class:`ActiveTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Timers.ActiveTime>`
                
                .. attribute:: graceful_restart
                
                	EIGRP Graceful Restart timer
                	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Timers.GracefulRestart>`
                
                .. attribute:: nsf
                
                	EIGRP NSF timer
                	**type**\:  :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.Timers.Nsf>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.Timers, self).__init__()

                    self.yang_name = "timers"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"active-time" : ("active_time", Native.Router.Eigrp.Timers.ActiveTime), "graceful-restart" : ("graceful_restart", Native.Router.Eigrp.Timers.GracefulRestart), "nsf" : ("nsf", Native.Router.Eigrp.Timers.Nsf)}
                    self._child_list_classes = {}

                    self.active_time = Native.Router.Eigrp.Timers.ActiveTime()
                    self.active_time.parent = self
                    self._children_name_map["active_time"] = "active-time"
                    self._children_yang_names.add("active-time")

                    self.graceful_restart = Native.Router.Eigrp.Timers.GracefulRestart()
                    self.graceful_restart.parent = self
                    self._children_name_map["graceful_restart"] = "graceful-restart"
                    self._children_yang_names.add("graceful-restart")

                    self.nsf = Native.Router.Eigrp.Timers.Nsf()
                    self.nsf.parent = self
                    self._children_name_map["nsf"] = "nsf"
                    self._children_yang_names.add("nsf")
                    self._segment_path = lambda: "timers"


                class ActiveTime(Entity):
                    """
                    time limit for active state
                    
                    .. attribute:: atimer
                    
                    	active state time limit in minutes
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: disabled
                    
                    	disable time limit for active state
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Timers.ActiveTime, self).__init__()

                        self.yang_name = "active-time"
                        self.yang_parent_name = "timers"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atimer = YLeaf(YType.uint16, "atimer")

                        self.disabled = YLeaf(YType.empty, "disabled")
                        self._segment_path = lambda: "active-time"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Timers.ActiveTime, ['atimer', 'disabled'], name, value)


                class GracefulRestart(Entity):
                    """
                    EIGRP Graceful Restart timer
                    
                    .. attribute:: purge_time
                    
                    	EIGRP stale route purge time
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Timers.GracefulRestart, self).__init__()

                        self.yang_name = "graceful-restart"
                        self.yang_parent_name = "timers"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.purge_time = YLeaf(YType.empty, "purge-time")
                        self._segment_path = lambda: "graceful-restart"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Timers.GracefulRestart, ['purge_time'], name, value)


                class Nsf(Entity):
                    """
                    EIGRP NSF timer
                    
                    .. attribute:: converge
                    
                    	EIGRP time limit for convergence after switchover
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: signal
                    
                    	EIGRP time limit for signaling NSF restart
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.Timers.Nsf, self).__init__()

                        self.yang_name = "nsf"
                        self.yang_parent_name = "timers"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.converge = YLeaf(YType.empty, "converge")

                        self.signal = YLeaf(YType.empty, "signal")
                        self._segment_path = lambda: "nsf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.Timers.Nsf, ['converge', 'signal'], name, value)


            class TrafficShare(Entity):
                """
                How to compute traffic share over alternate paths
                
                .. attribute:: balanced
                
                	Share inversely proportional to metric
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: min
                
                	All traffic shared among min metric paths
                	**type**\:  :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Eigrp.TrafficShare.Min>`
                
                

                """

                _prefix = 'ios-eigrp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Router.Eigrp.TrafficShare, self).__init__()

                    self.yang_name = "traffic-share"
                    self.yang_parent_name = "eigrp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"min" : ("min", Native.Router.Eigrp.TrafficShare.Min)}
                    self._child_list_classes = {}

                    self.balanced = YLeaf(YType.empty, "balanced")

                    self.min = Native.Router.Eigrp.TrafficShare.Min()
                    self.min.parent = self
                    self._children_name_map["min"] = "min"
                    self._children_yang_names.add("min")
                    self._segment_path = lambda: "traffic-share"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Eigrp.TrafficShare, ['balanced'], name, value)


                class Min(Entity):
                    """
                    All traffic shared among min metric paths
                    
                    .. attribute:: across_interfaces
                    
                    	Use different interfaces for equal\-cost paths
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eigrp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Router.Eigrp.TrafficShare.Min, self).__init__()

                        self.yang_name = "min"
                        self.yang_parent_name = "traffic-share"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                        self._segment_path = lambda: "min"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Eigrp.TrafficShare.Min, ['across_interfaces'], name, value)


        class Lisp(Entity):
            """
            Locator/ID Separation Protocol
            
            .. attribute:: default
            
            	
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default>`
            
            .. attribute:: service
            
            	Configure lisp service type
            	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Select encapsulation type for data packets
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Encapsulation>`
            
            .. attribute:: locator_set
            
            	Configure a named locator set
            	**type**\: list of  		 :py:class:`LocatorSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorSet>`
            
            .. attribute:: locator
            
            	Locator configuration
            	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Locator>`
            
            .. attribute:: locator_scope
            
            	Configure a locator scope
            	**type**\: list of  		 :py:class:`LocatorScope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorScope>`
            
            .. attribute:: instance_container
            
            	EID instance\-ID
            	**type**\:  :py:class:`InstanceContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer>`
            
            .. attribute:: alt
            
            	LISP Alternative Topology, LISP\-ALT
            	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Alt>`
            
            .. attribute:: control_packet
            
            	Configure control packet tx option
            	**type**\:  :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.ControlPacket>`
            
            .. attribute:: ddt
            
            	Delegated Database Tree (DDT) mapping system
            	**type**\:  :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ddt>`
            
            	**presence node**\: True
            
            .. attribute:: decapsulation
            
            	Decapsulation behavior (e.g. filters)
            	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Decapsulation>`
            
            .. attribute:: disable_ttl_propagate
            
            	Disable ttl propagation
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: etr
            
            	Configures a LISP Egress Tunnel Router (ETR)
            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Etr>`
            
            .. attribute:: ipv4
            
            	IPv4 address family
            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4>`
            
            .. attribute:: ipv6
            
            	IPv6 address family
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6>`
            
            .. attribute:: loc_reach_algorithm
            
            	Configure locator reachability algorithm
            	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocReachAlgorithm>`
            
            .. attribute:: locator_down
            
            	Manually set locator status to down
            	**type**\:  :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorDown>`
            
            .. attribute:: locator_table
            
            	Specify the RLOC table
            	**type**\:  :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorTable>`
            
            .. attribute:: map_request
            
            	Configure map\-request handling
            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapRequest>`
            
            .. attribute:: map_server
            
            	Map\-Server commands
            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapServer>`
            
            .. attribute:: other_xtr_probe
            
            	Configure parameters for probing of other xTRs in our site
            	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.OtherXtrProbe>`
            
            .. attribute:: remote_rloc_probe
            
            	Configure parameters for probing of remote RLOCs
            	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.RemoteRlocProbe>`
            
            .. attribute:: eid_table
            
            	Configure an EID instance for a VRF
            	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable>`
            
            .. attribute:: security
            
            	Enable default LISP security and authentication in reply is optional
            	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Security>`
            
            	**presence node**\: True
            
            .. attribute:: site
            
            	Configure a LISP site on a map server (MS)
            	**type**\: list of  		 :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site>`
            
            .. attribute:: site_id
            
            	Configure a site\-id for this site
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: syslog
            
            	Configure syslog option
            	**type**\:  :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Syslog>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-lisp'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.Router.Lisp, self).__init__()

                self.yang_name = "lisp"
                self.yang_parent_name = "router"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Default), "service" : ("service", Native.Router.Lisp.Service), "encapsulation" : ("encapsulation", Native.Router.Lisp.Encapsulation), "locator" : ("locator", Native.Router.Lisp.Locator), "instance-container" : ("instance_container", Native.Router.Lisp.InstanceContainer), "alt" : ("alt", Native.Router.Lisp.Alt), "control-packet" : ("control_packet", Native.Router.Lisp.ControlPacket), "ddt" : ("ddt", Native.Router.Lisp.Ddt), "decapsulation" : ("decapsulation", Native.Router.Lisp.Decapsulation), "etr" : ("etr", Native.Router.Lisp.Etr), "ipv4" : ("ipv4", Native.Router.Lisp.Ipv4), "ipv6" : ("ipv6", Native.Router.Lisp.Ipv6), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.Lisp.LocReachAlgorithm), "locator-down" : ("locator_down", Native.Router.Lisp.LocatorDown), "locator-table" : ("locator_table", Native.Router.Lisp.LocatorTable), "map-request" : ("map_request", Native.Router.Lisp.MapRequest), "map-server" : ("map_server", Native.Router.Lisp.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.Lisp.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.Lisp.RemoteRlocProbe), "eid-table" : ("eid_table", Native.Router.Lisp.EidTable), "security" : ("security", Native.Router.Lisp.Security), "syslog" : ("syslog", Native.Router.Lisp.Syslog)}
                self._child_list_classes = {"locator-set" : ("locator_set", Native.Router.Lisp.LocatorSet), "locator-scope" : ("locator_scope", Native.Router.Lisp.LocatorScope), "site" : ("site", Native.Router.Lisp.Site)}
                self.is_presence_container = True

                self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                self.site_id = YLeaf(YType.uint32, "site-id")

                self.default = Native.Router.Lisp.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.service = None
                self._children_name_map["service"] = "service"
                self._children_yang_names.add("service")

                self.encapsulation = Native.Router.Lisp.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.locator = Native.Router.Lisp.Locator()
                self.locator.parent = self
                self._children_name_map["locator"] = "locator"
                self._children_yang_names.add("locator")

                self.instance_container = Native.Router.Lisp.InstanceContainer()
                self.instance_container.parent = self
                self._children_name_map["instance_container"] = "instance-container"
                self._children_yang_names.add("instance-container")

                self.alt = Native.Router.Lisp.Alt()
                self.alt.parent = self
                self._children_name_map["alt"] = "alt"
                self._children_yang_names.add("alt")

                self.control_packet = Native.Router.Lisp.ControlPacket()
                self.control_packet.parent = self
                self._children_name_map["control_packet"] = "control-packet"
                self._children_yang_names.add("control-packet")

                self.ddt = None
                self._children_name_map["ddt"] = "ddt"
                self._children_yang_names.add("ddt")

                self.decapsulation = Native.Router.Lisp.Decapsulation()
                self.decapsulation.parent = self
                self._children_name_map["decapsulation"] = "decapsulation"
                self._children_yang_names.add("decapsulation")

                self.etr = Native.Router.Lisp.Etr()
                self.etr.parent = self
                self._children_name_map["etr"] = "etr"
                self._children_yang_names.add("etr")

                self.ipv4 = Native.Router.Lisp.Ipv4()
                self.ipv4.parent = self
                self._children_name_map["ipv4"] = "ipv4"
                self._children_yang_names.add("ipv4")

                self.ipv6 = Native.Router.Lisp.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.loc_reach_algorithm = Native.Router.Lisp.LocReachAlgorithm()
                self.loc_reach_algorithm.parent = self
                self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                self._children_yang_names.add("loc-reach-algorithm")

                self.locator_down = Native.Router.Lisp.LocatorDown()
                self.locator_down.parent = self
                self._children_name_map["locator_down"] = "locator-down"
                self._children_yang_names.add("locator-down")

                self.locator_table = Native.Router.Lisp.LocatorTable()
                self.locator_table.parent = self
                self._children_name_map["locator_table"] = "locator-table"
                self._children_yang_names.add("locator-table")

                self.map_request = Native.Router.Lisp.MapRequest()
                self.map_request.parent = self
                self._children_name_map["map_request"] = "map-request"
                self._children_yang_names.add("map-request")

                self.map_server = Native.Router.Lisp.MapServer()
                self.map_server.parent = self
                self._children_name_map["map_server"] = "map-server"
                self._children_yang_names.add("map-server")

                self.other_xtr_probe = Native.Router.Lisp.OtherXtrProbe()
                self.other_xtr_probe.parent = self
                self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                self._children_yang_names.add("other-xtr-probe")

                self.remote_rloc_probe = Native.Router.Lisp.RemoteRlocProbe()
                self.remote_rloc_probe.parent = self
                self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                self._children_yang_names.add("remote-rloc-probe")

                self.eid_table = Native.Router.Lisp.EidTable()
                self.eid_table.parent = self
                self._children_name_map["eid_table"] = "eid-table"
                self._children_yang_names.add("eid-table")

                self.security = None
                self._children_name_map["security"] = "security"
                self._children_yang_names.add("security")

                self.syslog = Native.Router.Lisp.Syslog()
                self.syslog.parent = self
                self._children_name_map["syslog"] = "syslog"
                self._children_yang_names.add("syslog")

                self.locator_set = YList(self)
                self.locator_scope = YList(self)
                self.site = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Router.Lisp, ['disable_ttl_propagate', 'site_id'], name, value)


            class Default(Entity):
                """
                
                
                .. attribute:: service
                
                	Configure lisp service type
                	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service>`
                
                	**presence node**\: True
                
                .. attribute:: encapsulation
                
                	Select encapsulation type for data packets
                	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Encapsulation>`
                
                .. attribute:: locator_set
                
                	Configure a named locator set
                	**type**\: list of  		 :py:class:`LocatorSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorSet>`
                
                .. attribute:: locator
                
                	Locator configuration
                	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Locator>`
                
                .. attribute:: locator_scope
                
                	Configure a locator scope
                	**type**\: list of  		 :py:class:`LocatorScope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorScope>`
                
                .. attribute:: instance_container
                
                	EID instance\-ID
                	**type**\:  :py:class:`InstanceContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer>`
                
                .. attribute:: alt
                
                	LISP Alternative Topology, LISP\-ALT
                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Alt>`
                
                .. attribute:: control_packet
                
                	Configure control packet tx option
                	**type**\:  :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.ControlPacket>`
                
                .. attribute:: ddt
                
                	Delegated Database Tree (DDT) mapping system
                	**type**\:  :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ddt>`
                
                	**presence node**\: True
                
                .. attribute:: decapsulation
                
                	Decapsulation behavior (e.g. filters)
                	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Decapsulation>`
                
                .. attribute:: disable_ttl_propagate
                
                	Disable ttl propagation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: etr
                
                	Configures a LISP Egress Tunnel Router (ETR)
                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Etr>`
                
                .. attribute:: ipv4
                
                	IPv4 address family
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4>`
                
                .. attribute:: ipv6
                
                	IPv6 address family
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6>`
                
                .. attribute:: loc_reach_algorithm
                
                	Configure locator reachability algorithm
                	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocReachAlgorithm>`
                
                .. attribute:: locator_down
                
                	Manually set locator status to down
                	**type**\:  :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorDown>`
                
                .. attribute:: locator_table
                
                	Specify the RLOC table
                	**type**\:  :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorTable>`
                
                .. attribute:: map_request
                
                	Configure map\-request handling
                	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapRequest>`
                
                .. attribute:: map_server
                
                	Map\-Server commands
                	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapServer>`
                
                .. attribute:: other_xtr_probe
                
                	Configure parameters for probing of other xTRs in our site
                	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.OtherXtrProbe>`
                
                .. attribute:: remote_rloc_probe
                
                	Configure parameters for probing of remote RLOCs
                	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.RemoteRlocProbe>`
                
                .. attribute:: eid_table
                
                	Configure an EID instance for a VRF
                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable>`
                
                .. attribute:: security
                
                	Enable default LISP security and authentication in reply is optional
                	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Security>`
                
                	**presence node**\: True
                
                .. attribute:: site
                
                	Configure a LISP site on a map server (MS)
                	**type**\: list of  		 :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site>`
                
                .. attribute:: site_id
                
                	Configure a site\-id for this site
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: syslog
                
                	Configure syslog option
                	**type**\:  :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Syslog>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"service" : ("service", Native.Router.Lisp.Default.Service), "encapsulation" : ("encapsulation", Native.Router.Lisp.Default.Encapsulation), "locator" : ("locator", Native.Router.Lisp.Default.Locator), "instance-container" : ("instance_container", Native.Router.Lisp.Default.InstanceContainer), "alt" : ("alt", Native.Router.Lisp.Default.Alt), "control-packet" : ("control_packet", Native.Router.Lisp.Default.ControlPacket), "ddt" : ("ddt", Native.Router.Lisp.Default.Ddt), "decapsulation" : ("decapsulation", Native.Router.Lisp.Default.Decapsulation), "etr" : ("etr", Native.Router.Lisp.Default.Etr), "ipv4" : ("ipv4", Native.Router.Lisp.Default.Ipv4), "ipv6" : ("ipv6", Native.Router.Lisp.Default.Ipv6), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.Lisp.Default.LocReachAlgorithm), "locator-down" : ("locator_down", Native.Router.Lisp.Default.LocatorDown), "locator-table" : ("locator_table", Native.Router.Lisp.Default.LocatorTable), "map-request" : ("map_request", Native.Router.Lisp.Default.MapRequest), "map-server" : ("map_server", Native.Router.Lisp.Default.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.Lisp.Default.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.Lisp.Default.RemoteRlocProbe), "eid-table" : ("eid_table", Native.Router.Lisp.Default.EidTable), "security" : ("security", Native.Router.Lisp.Default.Security), "syslog" : ("syslog", Native.Router.Lisp.Default.Syslog)}
                    self._child_list_classes = {"locator-set" : ("locator_set", Native.Router.Lisp.Default.LocatorSet), "locator-scope" : ("locator_scope", Native.Router.Lisp.Default.LocatorScope), "site" : ("site", Native.Router.Lisp.Default.Site)}

                    self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                    self.site_id = YLeaf(YType.uint32, "site-id")

                    self.service = None
                    self._children_name_map["service"] = "service"
                    self._children_yang_names.add("service")

                    self.encapsulation = Native.Router.Lisp.Default.Encapsulation()
                    self.encapsulation.parent = self
                    self._children_name_map["encapsulation"] = "encapsulation"
                    self._children_yang_names.add("encapsulation")

                    self.locator = Native.Router.Lisp.Default.Locator()
                    self.locator.parent = self
                    self._children_name_map["locator"] = "locator"
                    self._children_yang_names.add("locator")

                    self.instance_container = Native.Router.Lisp.Default.InstanceContainer()
                    self.instance_container.parent = self
                    self._children_name_map["instance_container"] = "instance-container"
                    self._children_yang_names.add("instance-container")

                    self.alt = Native.Router.Lisp.Default.Alt()
                    self.alt.parent = self
                    self._children_name_map["alt"] = "alt"
                    self._children_yang_names.add("alt")

                    self.control_packet = Native.Router.Lisp.Default.ControlPacket()
                    self.control_packet.parent = self
                    self._children_name_map["control_packet"] = "control-packet"
                    self._children_yang_names.add("control-packet")

                    self.ddt = None
                    self._children_name_map["ddt"] = "ddt"
                    self._children_yang_names.add("ddt")

                    self.decapsulation = Native.Router.Lisp.Default.Decapsulation()
                    self.decapsulation.parent = self
                    self._children_name_map["decapsulation"] = "decapsulation"
                    self._children_yang_names.add("decapsulation")

                    self.etr = Native.Router.Lisp.Default.Etr()
                    self.etr.parent = self
                    self._children_name_map["etr"] = "etr"
                    self._children_yang_names.add("etr")

                    self.ipv4 = Native.Router.Lisp.Default.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")

                    self.ipv6 = Native.Router.Lisp.Default.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.loc_reach_algorithm = Native.Router.Lisp.Default.LocReachAlgorithm()
                    self.loc_reach_algorithm.parent = self
                    self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                    self._children_yang_names.add("loc-reach-algorithm")

                    self.locator_down = Native.Router.Lisp.Default.LocatorDown()
                    self.locator_down.parent = self
                    self._children_name_map["locator_down"] = "locator-down"
                    self._children_yang_names.add("locator-down")

                    self.locator_table = Native.Router.Lisp.Default.LocatorTable()
                    self.locator_table.parent = self
                    self._children_name_map["locator_table"] = "locator-table"
                    self._children_yang_names.add("locator-table")

                    self.map_request = Native.Router.Lisp.Default.MapRequest()
                    self.map_request.parent = self
                    self._children_name_map["map_request"] = "map-request"
                    self._children_yang_names.add("map-request")

                    self.map_server = Native.Router.Lisp.Default.MapServer()
                    self.map_server.parent = self
                    self._children_name_map["map_server"] = "map-server"
                    self._children_yang_names.add("map-server")

                    self.other_xtr_probe = Native.Router.Lisp.Default.OtherXtrProbe()
                    self.other_xtr_probe.parent = self
                    self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                    self._children_yang_names.add("other-xtr-probe")

                    self.remote_rloc_probe = Native.Router.Lisp.Default.RemoteRlocProbe()
                    self.remote_rloc_probe.parent = self
                    self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                    self._children_yang_names.add("remote-rloc-probe")

                    self.eid_table = Native.Router.Lisp.Default.EidTable()
                    self.eid_table.parent = self
                    self._children_name_map["eid_table"] = "eid-table"
                    self._children_yang_names.add("eid-table")

                    self.security = None
                    self._children_name_map["security"] = "security"
                    self._children_yang_names.add("security")

                    self.syslog = Native.Router.Lisp.Default.Syslog()
                    self.syslog.parent = self
                    self._children_name_map["syslog"] = "syslog"
                    self._children_yang_names.add("syslog")

                    self.locator_set = YList(self)
                    self.locator_scope = YList(self)
                    self.site = YList(self)
                    self._segment_path = lambda: "default"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.Default, ['disable_ttl_propagate', 'site_id'], name, value)


                class Service(Entity):
                    """
                    Configure lisp service type
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ethernet
                    
                    	
                    	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet>`
                    
                    	**presence node**\: True
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.Service, self).__init__()

                        self.yang_name = "service"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Lisp.Default.Service.Ipv4), "ipv6" : ("ipv6", Native.Router.Lisp.Default.Service.Ipv6), "ethernet" : ("ethernet", Native.Router.Lisp.Default.Service.Ethernet)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ipv4 = None
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = None
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.ethernet = None
                        self._children_name_map["ethernet"] = "ethernet"
                        self._children_yang_names.add("ethernet")
                        self._segment_path = lambda: "service"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()


                    class Ipv4(Entity):
                        """
                        
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default>`
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.ItrEnable>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.EtrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapCacheLimit>`
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.SolicitMapRequest>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Encapsulation>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapCache>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapCachePersistent>`
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.UsePetr>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Service.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "service"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Default.Service.Ipv4.Default), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Default.Service.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.Service.Ipv4.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.Service.Ipv4.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.Service.Ipv4.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.Service.Ipv4.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Service.Ipv4.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Default.Service.Ipv4.MapServer), "site-registration" : ("site_registration", Native.Router.Lisp.Default.Service.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.Service.Ipv4.SolicitMapRequest), "distance" : ("distance", Native.Router.Lisp.Default.Service.Ipv4.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Default.Service.Ipv4.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.Service.Ipv4.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Default.Service.Ipv4.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Default.Service.Ipv4.RouteExport)}
                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.Service.Ipv4.UsePetr)}
                            self.is_presence_container = True

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                            self.sgt = YLeaf(YType.empty, "sgt")

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.default = Native.Router.Lisp.Default.Service.Ipv4.Default()
                            self.default.parent = self
                            self._children_name_map["default"] = "default"
                            self._children_yang_names.add("default")

                            self.database_mapping = Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.itr = Native.Router.Lisp.Default.Service.Ipv4.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.Lisp.Default.Service.Ipv4.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr_enable = Native.Router.Lisp.Default.Service.Ipv4.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.etr = Native.Router.Lisp.Default.Service.Ipv4.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.map_cache_limit = Native.Router.Lisp.Default.Service.Ipv4.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.site_registration = Native.Router.Lisp.Default.Service.Ipv4.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.Lisp.Default.Service.Ipv4.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")

                            self.distance = Native.Router.Lisp.Default.Service.Ipv4.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.map_cache = Native.Router.Lisp.Default.Service.Ipv4.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")

                            self.map_cache_persistent = Native.Router.Lisp.Default.Service.Ipv4.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                            self._children_yang_names.add("map-cache-persistent")

                            self.proxy_itr = Native.Router.Lisp.Default.Service.Ipv4.ProxyItr()
                            self.proxy_itr.parent = self
                            self._children_name_map["proxy_itr"] = "proxy-itr"
                            self._children_yang_names.add("proxy-itr")

                            self.route_export = Native.Router.Lisp.Default.Service.Ipv4.RouteExport()
                            self.route_export.parent = self
                            self._children_name_map["route_export"] = "route-export"
                            self._children_yang_names.add("route-export")

                            self.use_petr = YList(self)
                            self._segment_path = lambda: "ipv4"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = Enum.YLeaf(0, "lisp")

                            vxlan = Enum.YLeaf(1, "vxlan")



                        class Default(Entity):
                            """
                            
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.DatabaseMapping>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.ItrEnable>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.EtrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Etr>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapCacheLimit>`
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.SolicitMapRequest>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Distance>`
                            
                            .. attribute:: encapsulation
                            
                            	Select encapsulation type for data packets
                            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Encapsulation>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapCache>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapCachePersistent>`
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.RouteExport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.UsePetr>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.Default, self).__init__()

                                self.yang_name = "default"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Default.Service.Ipv4.Default.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Default.Service.Ipv4.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.Service.Ipv4.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.Service.Ipv4.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.Service.Ipv4.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.Service.Ipv4.Default.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer), "site-registration" : ("site_registration", Native.Router.Lisp.Default.Service.Ipv4.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.Service.Ipv4.Default.SolicitMapRequest), "distance" : ("distance", Native.Router.Lisp.Default.Service.Ipv4.Default.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Default.Service.Ipv4.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.Service.Ipv4.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Default.Service.Ipv4.Default.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Default.Service.Ipv4.Default.RouteExport)}
                                self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.Service.Ipv4.Default.UsePetr)}

                                self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                                self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                self.sgt = YLeaf(YType.empty, "sgt")

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.database_mapping = Native.Router.Lisp.Default.Service.Ipv4.Default.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.itr = Native.Router.Lisp.Default.Service.Ipv4.Default.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.Lisp.Default.Service.Ipv4.Default.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr_enable = Native.Router.Lisp.Default.Service.Ipv4.Default.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.etr = Native.Router.Lisp.Default.Service.Ipv4.Default.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.map_cache_limit = Native.Router.Lisp.Default.Service.Ipv4.Default.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.map_resolver = None
                                self._children_name_map["map_resolver"] = "map-resolver"
                                self._children_yang_names.add("map-resolver")

                                self.map_server = None
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")

                                self.site_registration = Native.Router.Lisp.Default.Service.Ipv4.Default.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.Lisp.Default.Service.Ipv4.Default.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.distance = Native.Router.Lisp.Default.Service.Ipv4.Default.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.map_cache = Native.Router.Lisp.Default.Service.Ipv4.Default.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")

                                self.map_cache_persistent = Native.Router.Lisp.Default.Service.Ipv4.Default.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                self._children_yang_names.add("map-cache-persistent")

                                self.proxy_itr = Native.Router.Lisp.Default.Service.Ipv4.Default.ProxyItr()
                                self.proxy_itr.parent = self
                                self._children_name_map["proxy_itr"] = "proxy-itr"
                                self._children_yang_names.add("proxy-itr")

                                self.route_export = Native.Router.Lisp.Default.Service.Ipv4.Default.RouteExport()
                                self.route_export.parent = self
                                self._children_name_map["route_export"] = "route-export"
                                self._children_yang_names.add("route-export")

                                self.use_petr = YList(self)
                                self._segment_path = lambda: "default"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                            class Encapsulation(Enum):
                                """
                                Encapsulation

                                Select encapsulation type for data packets

                                .. data:: lisp = 0

                                .. data:: vxlan = 1

                                """

                                lisp = Enum.YLeaf(0, "lisp")

                                vxlan = Enum.YLeaf(1, "vxlan")



                            class DatabaseMapping(Entity):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.Service.Ipv4.Default.DatabaseMapping.Limit)}
                                    self._child_list_classes = {}

                                    self.limit = Native.Router.Lisp.Default.Service.Ipv4.Default.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")
                                    self._segment_path = lambda: "database-mapping"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv4.Default.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/database-mapping/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Service.Ipv4.Default.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv4.Default.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/itr/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.ItrEnable, ['itr'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.EtrEnable, ['etr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer)}

                                    self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                    self.accept_map_request_mapping = Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                    self._children_yang_names.add("accept-map-request-mapping")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr, ['map_cache_ttl'], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/etr/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                class AcceptMapRequestMapping(Entity):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                        self.yang_name = "accept-map-request-mapping"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                        self.verify = YLeaf(YType.empty, "verify")
                                        self._segment_path = lambda: "accept-map-request-mapping"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/etr/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class MapResolver(Entity):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request = Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest()
                                    self.map_request.parent = self
                                    self._children_name_map["map_request"] = "map-request"
                                    self._children_yang_names.add("map-request")
                                    self._segment_path = lambda: "map-resolver"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()


                                class MapRequest(Entity):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest, self).__init__()

                                        self.yang_name = "map-request"
                                        self.yang_parent_name = "map-resolver"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-request"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/map-resolver/%s" % self._segment_path()


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-request"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/map-resolver/map-request/%s" % self._segment_path()


                                        class Source(Entity):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")

                                                self.registered = Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                                self.registered.parent = self
                                                self._children_name_map["registered"] = "registered"
                                                self._children_yang_names.add("registered")
                                                self._segment_path = lambda: "source"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/map-resolver/map-request/validate/%s" % self._segment_path()


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "source"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = False
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"
                                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/map-resolver/map-request/validate/source/%s" % self._segment_path()

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                            class Registered(Entity):
                                                """
                                                ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                                
                                                .. attribute:: list
                                                
                                                	Define allowed prefixes using an ip[v6] prefix list
                                                	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                    self.yang_name = "registered"
                                                    self.yang_parent_name = "source"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = False
                                                    self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                    self._child_list_classes = {}

                                                    self.list = Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                    self.list.parent = self
                                                    self._children_name_map["list"] = "list"
                                                    self._children_yang_names.add("list")
                                                    self._segment_path = lambda: "registered"
                                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/map-resolver/map-request/validate/source/%s" % self._segment_path()


                                                class List(Entity):
                                                    """
                                                    Define allowed prefixes using an ip[v6] prefix list
                                                    
                                                    .. attribute:: ipv4
                                                    
                                                    	IPv4 prefixes
                                                    	**type**\: str
                                                    
                                                    .. attribute:: ipv6
                                                    
                                                    	IPv6 prefixes
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                        self.yang_name = "list"
                                                        self.yang_parent_name = "registered"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = False
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ipv4 = YLeaf(YType.str, "ipv4")

                                                        self.ipv6 = YLeaf(YType.str, "ipv6")
                                                        self._segment_path = lambda: "list"
                                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/map-resolver/map-request/validate/source/registered/%s" % self._segment_path()

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                            class MapServer(Entity):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer.MapRegister>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer.MapRegister)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_register = Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer.MapRegister()
                                    self.map_register.parent = self
                                    self._children_name_map["map_register"] = "map-register"
                                    self._children_yang_names.add("map-register")
                                    self._segment_path = lambda: "map-server"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()


                                class MapRegister(Entity):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer.MapRegister, self).__init__()

                                        self.yang_name = "map-register"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-register"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/map-server/%s" % self._segment_path()


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-register"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/map-server/map-register/%s" % self._segment_path()


                                        class Source(Entity):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                                self._segment_path = lambda: "source"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/map-server/map-register/validate/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class Distance(Entity):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.alt = YLeaf(YType.uint8, "alt")

                                    self.away = YLeaf(YType.uint8, "away")

                                    self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                    self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                    self._segment_path = lambda: "distance"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                            class MapCache(Entity):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.MapCache.AwayEids>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Default.Service.Ipv4.Default.MapCache.AwayEids)}
                                    self._child_list_classes = {}

                                    self.site_registration = YLeaf(YType.empty, "site-registration")

                                    self.away_eids = Native.Router.Lisp.Default.Service.Ipv4.Default.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self._children_name_map["away_eids"] = "away-eids"
                                    self._children_yang_names.add("away-eids")
                                    self._segment_path = lambda: "map-cache"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.MapCache, ['site_registration'], name, value)


                                class AwayEids(Entity):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapCache.AwayEids, self).__init__()

                                        self.yang_name = "away-eids"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                        self._segment_path = lambda: "away-eids"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/map-cache/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                            class MapCachePersistent(Entity):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\: int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.MapCachePersistent, self).__init__()

                                    self.yang_name = "map-cache-persistent"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")
                                    self._segment_path = lambda: "map-cache-persistent"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.MapCachePersistent, ['interval'], name, value)


                            class ProxyItr(Entity):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.ProxyItr, self).__init__()

                                    self.yang_name = "proxy-itr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                    self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                    self._segment_path = lambda: "proxy-itr"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                            class RouteExport(Entity):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.RouteExport, self).__init__()

                                    self.yang_name = "route-export"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                    self.away_eids = YLeaf(YType.empty, "away-eids")
                                    self._segment_path = lambda: "route-export"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                            class UsePetr(Entity):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	
                                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Default.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Default.UsePetr, self).__init__()

                                    self.yang_name = "use-petr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Default.Service.Ipv4.Default.UsePetr.Priority)}
                                    self._child_list_classes = {}

                                    self.locator_address = YLeaf(YType.str, "locator-address")

                                    self.priority = Native.Router.Lisp.Default.Service.Ipv4.Default.UsePetr.Priority()
                                    self.priority.parent = self
                                    self._children_name_map["priority"] = "priority"
                                    self._children_yang_names.add("priority")
                                    self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.UsePetr, ['locator_address'], name, value)


                                class Priority(Entity):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv4.Default.UsePetr.Priority, self).__init__()

                                        self.yang_name = "priority"
                                        self.yang_parent_name = "use-petr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.priority_value = YLeaf(YType.uint8, "priority-value")

                                        self.weight = YLeaf(YType.uint8, "weight")
                                        self._segment_path = lambda: "priority"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/database-mapping/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Service.Ipv4.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/itr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.ItrEnable, ['itr'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.EtrEnable, ['etr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.Service.Ipv4.Etr.AcceptMapRequestMapping)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer)}

                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                self.accept_map_request_mapping = Native.Router.Lisp.Default.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                self._children_yang_names.add("accept-map-request-mapping")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Etr, ['map_cache_ttl'], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/etr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                            class AcceptMapRequestMapping(Entity):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.Etr.AcceptMapRequestMapping, self).__init__()

                                    self.yang_name = "accept-map-request-mapping"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                    self.verify = YLeaf(YType.empty, "verify")
                                    self._segment_path = lambda: "accept-map-request-mapping"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/etr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/map-resolver/%s" % self._segment_path()


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/map-resolver/map-request/%s" % self._segment_path()


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")

                                            self.registered = Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self
                                            self._children_name_map["registered"] = "registered"
                                            self._children_yang_names.add("registered")
                                            self._segment_path = lambda: "source"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/map-resolver/map-request/validate/%s" % self._segment_path()


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/map-resolver/map-request/validate/source/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                        class Registered(Entity):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                self.yang_name = "registered"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")
                                                self._segment_path = lambda: "registered"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/map-resolver/map-request/validate/source/%s" % self._segment_path()


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "registered"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = False
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"
                                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/map-resolver/map-request/validate/source/registered/%s" % self._segment_path()

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/map-server/%s" % self._segment_path()


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/map-server/map-register/%s" % self._segment_path()


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/map-server/map-register/validate/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class Distance(Entity):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.alt = YLeaf(YType.uint8, "alt")

                                self.away = YLeaf(YType.uint8, "away")

                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                self._segment_path = lambda: "distance"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                        class MapCache(Entity):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Default.Service.Ipv4.MapCache.AwayEids)}
                                self._child_list_classes = {}

                                self.site_registration = YLeaf(YType.empty, "site-registration")

                                self.away_eids = Native.Router.Lisp.Default.Service.Ipv4.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self._children_name_map["away_eids"] = "away-eids"
                                self._children_yang_names.add("away-eids")
                                self._segment_path = lambda: "map-cache"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.MapCache, ['site_registration'], name, value)


                            class AwayEids(Entity):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.MapCache.AwayEids, self).__init__()

                                    self.yang_name = "away-eids"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                    self._segment_path = lambda: "away-eids"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.MapCache.AwayEids, ['send_map_request'], name, value)


                        class MapCachePersistent(Entity):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.MapCachePersistent, self).__init__()

                                self.yang_name = "map-cache-persistent"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")
                                self._segment_path = lambda: "map-cache-persistent"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.MapCachePersistent, ['interval'], name, value)


                        class ProxyItr(Entity):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.ProxyItr, self).__init__()

                                self.yang_name = "proxy-itr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                self._segment_path = lambda: "proxy-itr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                        class RouteExport(Entity):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.RouteExport, self).__init__()

                                self.yang_name = "route-export"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                self._segment_path = lambda: "route-export"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                        class UsePetr(Entity):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	
                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv4.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv4.UsePetr, self).__init__()

                                self.yang_name = "use-petr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Default.Service.Ipv4.UsePetr.Priority)}
                                self._child_list_classes = {}

                                self.locator_address = YLeaf(YType.str, "locator-address")

                                self.priority = Native.Router.Lisp.Default.Service.Ipv4.UsePetr.Priority()
                                self.priority.parent = self
                                self._children_name_map["priority"] = "priority"
                                self._children_yang_names.add("priority")
                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.UsePetr, ['locator_address'], name, value)


                            class Priority(Entity):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv4.UsePetr.Priority, self).__init__()

                                    self.yang_name = "priority"
                                    self.yang_parent_name = "use-petr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority_value = YLeaf(YType.uint8, "priority-value")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "priority"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv4.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                    class Ipv6(Entity):
                        """
                        
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default>`
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.ItrEnable>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.EtrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapCacheLimit>`
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.SolicitMapRequest>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Encapsulation>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapCache>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapCachePersistent>`
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.UsePetr>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Service.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "service"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Default.Service.Ipv6.Default), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Default.Service.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.Service.Ipv6.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.Service.Ipv6.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.Service.Ipv6.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.Service.Ipv6.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Service.Ipv6.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Default.Service.Ipv6.MapServer), "site-registration" : ("site_registration", Native.Router.Lisp.Default.Service.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.Service.Ipv6.SolicitMapRequest), "distance" : ("distance", Native.Router.Lisp.Default.Service.Ipv6.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Default.Service.Ipv6.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.Service.Ipv6.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Default.Service.Ipv6.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Default.Service.Ipv6.RouteExport)}
                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.Service.Ipv6.UsePetr)}
                            self.is_presence_container = True

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                            self.sgt = YLeaf(YType.empty, "sgt")

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.default = Native.Router.Lisp.Default.Service.Ipv6.Default()
                            self.default.parent = self
                            self._children_name_map["default"] = "default"
                            self._children_yang_names.add("default")

                            self.database_mapping = Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.itr = Native.Router.Lisp.Default.Service.Ipv6.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.Lisp.Default.Service.Ipv6.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr_enable = Native.Router.Lisp.Default.Service.Ipv6.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.etr = Native.Router.Lisp.Default.Service.Ipv6.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.map_cache_limit = Native.Router.Lisp.Default.Service.Ipv6.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.site_registration = Native.Router.Lisp.Default.Service.Ipv6.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.Lisp.Default.Service.Ipv6.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")

                            self.distance = Native.Router.Lisp.Default.Service.Ipv6.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.map_cache = Native.Router.Lisp.Default.Service.Ipv6.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")

                            self.map_cache_persistent = Native.Router.Lisp.Default.Service.Ipv6.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                            self._children_yang_names.add("map-cache-persistent")

                            self.proxy_itr = Native.Router.Lisp.Default.Service.Ipv6.ProxyItr()
                            self.proxy_itr.parent = self
                            self._children_name_map["proxy_itr"] = "proxy-itr"
                            self._children_yang_names.add("proxy-itr")

                            self.route_export = Native.Router.Lisp.Default.Service.Ipv6.RouteExport()
                            self.route_export.parent = self
                            self._children_name_map["route_export"] = "route-export"
                            self._children_yang_names.add("route-export")

                            self.use_petr = YList(self)
                            self._segment_path = lambda: "ipv6"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = Enum.YLeaf(0, "lisp")

                            vxlan = Enum.YLeaf(1, "vxlan")



                        class Default(Entity):
                            """
                            
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.DatabaseMapping>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.ItrEnable>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.EtrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Etr>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapCacheLimit>`
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.SolicitMapRequest>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Distance>`
                            
                            .. attribute:: encapsulation
                            
                            	Select encapsulation type for data packets
                            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Encapsulation>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapCache>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapCachePersistent>`
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.RouteExport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.UsePetr>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.Default, self).__init__()

                                self.yang_name = "default"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Default.Service.Ipv6.Default.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Default.Service.Ipv6.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.Service.Ipv6.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.Service.Ipv6.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.Service.Ipv6.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.Service.Ipv6.Default.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer), "site-registration" : ("site_registration", Native.Router.Lisp.Default.Service.Ipv6.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.Service.Ipv6.Default.SolicitMapRequest), "distance" : ("distance", Native.Router.Lisp.Default.Service.Ipv6.Default.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Default.Service.Ipv6.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.Service.Ipv6.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Default.Service.Ipv6.Default.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Default.Service.Ipv6.Default.RouteExport)}
                                self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.Service.Ipv6.Default.UsePetr)}

                                self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                                self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                self.sgt = YLeaf(YType.empty, "sgt")

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.database_mapping = Native.Router.Lisp.Default.Service.Ipv6.Default.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.itr = Native.Router.Lisp.Default.Service.Ipv6.Default.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.Lisp.Default.Service.Ipv6.Default.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr_enable = Native.Router.Lisp.Default.Service.Ipv6.Default.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.etr = Native.Router.Lisp.Default.Service.Ipv6.Default.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.map_cache_limit = Native.Router.Lisp.Default.Service.Ipv6.Default.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.map_resolver = None
                                self._children_name_map["map_resolver"] = "map-resolver"
                                self._children_yang_names.add("map-resolver")

                                self.map_server = None
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")

                                self.site_registration = Native.Router.Lisp.Default.Service.Ipv6.Default.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.Lisp.Default.Service.Ipv6.Default.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.distance = Native.Router.Lisp.Default.Service.Ipv6.Default.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.map_cache = Native.Router.Lisp.Default.Service.Ipv6.Default.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")

                                self.map_cache_persistent = Native.Router.Lisp.Default.Service.Ipv6.Default.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                self._children_yang_names.add("map-cache-persistent")

                                self.proxy_itr = Native.Router.Lisp.Default.Service.Ipv6.Default.ProxyItr()
                                self.proxy_itr.parent = self
                                self._children_name_map["proxy_itr"] = "proxy-itr"
                                self._children_yang_names.add("proxy-itr")

                                self.route_export = Native.Router.Lisp.Default.Service.Ipv6.Default.RouteExport()
                                self.route_export.parent = self
                                self._children_name_map["route_export"] = "route-export"
                                self._children_yang_names.add("route-export")

                                self.use_petr = YList(self)
                                self._segment_path = lambda: "default"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                            class Encapsulation(Enum):
                                """
                                Encapsulation

                                Select encapsulation type for data packets

                                .. data:: lisp = 0

                                .. data:: vxlan = 1

                                """

                                lisp = Enum.YLeaf(0, "lisp")

                                vxlan = Enum.YLeaf(1, "vxlan")



                            class DatabaseMapping(Entity):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.Service.Ipv6.Default.DatabaseMapping.Limit)}
                                    self._child_list_classes = {}

                                    self.limit = Native.Router.Lisp.Default.Service.Ipv6.Default.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")
                                    self._segment_path = lambda: "database-mapping"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv6.Default.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/database-mapping/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Service.Ipv6.Default.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv6.Default.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/itr/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.ItrEnable, ['itr'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.EtrEnable, ['etr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer)}

                                    self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                    self.accept_map_request_mapping = Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                    self._children_yang_names.add("accept-map-request-mapping")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr, ['map_cache_ttl'], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/etr/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                class AcceptMapRequestMapping(Entity):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                        self.yang_name = "accept-map-request-mapping"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                        self.verify = YLeaf(YType.empty, "verify")
                                        self._segment_path = lambda: "accept-map-request-mapping"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/etr/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class MapResolver(Entity):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request = Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest()
                                    self.map_request.parent = self
                                    self._children_name_map["map_request"] = "map-request"
                                    self._children_yang_names.add("map-request")
                                    self._segment_path = lambda: "map-resolver"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()


                                class MapRequest(Entity):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest, self).__init__()

                                        self.yang_name = "map-request"
                                        self.yang_parent_name = "map-resolver"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-request"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/map-resolver/%s" % self._segment_path()


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-request"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/map-resolver/map-request/%s" % self._segment_path()


                                        class Source(Entity):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")

                                                self.registered = Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                                self.registered.parent = self
                                                self._children_name_map["registered"] = "registered"
                                                self._children_yang_names.add("registered")
                                                self._segment_path = lambda: "source"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/map-resolver/map-request/validate/%s" % self._segment_path()


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "source"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = False
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"
                                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/map-resolver/map-request/validate/source/%s" % self._segment_path()

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                            class Registered(Entity):
                                                """
                                                ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                                
                                                .. attribute:: list
                                                
                                                	Define allowed prefixes using an ip[v6] prefix list
                                                	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                    self.yang_name = "registered"
                                                    self.yang_parent_name = "source"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = False
                                                    self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                    self._child_list_classes = {}

                                                    self.list = Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                    self.list.parent = self
                                                    self._children_name_map["list"] = "list"
                                                    self._children_yang_names.add("list")
                                                    self._segment_path = lambda: "registered"
                                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/map-resolver/map-request/validate/source/%s" % self._segment_path()


                                                class List(Entity):
                                                    """
                                                    Define allowed prefixes using an ip[v6] prefix list
                                                    
                                                    .. attribute:: ipv4
                                                    
                                                    	IPv4 prefixes
                                                    	**type**\: str
                                                    
                                                    .. attribute:: ipv6
                                                    
                                                    	IPv6 prefixes
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                        self.yang_name = "list"
                                                        self.yang_parent_name = "registered"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = False
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ipv4 = YLeaf(YType.str, "ipv4")

                                                        self.ipv6 = YLeaf(YType.str, "ipv6")
                                                        self._segment_path = lambda: "list"
                                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/map-resolver/map-request/validate/source/registered/%s" % self._segment_path()

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                            class MapServer(Entity):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer.MapRegister>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer.MapRegister)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_register = Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer.MapRegister()
                                    self.map_register.parent = self
                                    self._children_name_map["map_register"] = "map-register"
                                    self._children_yang_names.add("map-register")
                                    self._segment_path = lambda: "map-server"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()


                                class MapRegister(Entity):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer.MapRegister, self).__init__()

                                        self.yang_name = "map-register"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-register"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/map-server/%s" % self._segment_path()


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-register"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/map-server/map-register/%s" % self._segment_path()


                                        class Source(Entity):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                                self._segment_path = lambda: "source"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/map-server/map-register/validate/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class Distance(Entity):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.alt = YLeaf(YType.uint8, "alt")

                                    self.away = YLeaf(YType.uint8, "away")

                                    self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                    self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                    self._segment_path = lambda: "distance"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                            class MapCache(Entity):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.MapCache.AwayEids>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Default.Service.Ipv6.Default.MapCache.AwayEids)}
                                    self._child_list_classes = {}

                                    self.site_registration = YLeaf(YType.empty, "site-registration")

                                    self.away_eids = Native.Router.Lisp.Default.Service.Ipv6.Default.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self._children_name_map["away_eids"] = "away-eids"
                                    self._children_yang_names.add("away-eids")
                                    self._segment_path = lambda: "map-cache"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.MapCache, ['site_registration'], name, value)


                                class AwayEids(Entity):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapCache.AwayEids, self).__init__()

                                        self.yang_name = "away-eids"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                        self._segment_path = lambda: "away-eids"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/map-cache/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                            class MapCachePersistent(Entity):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\: int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.MapCachePersistent, self).__init__()

                                    self.yang_name = "map-cache-persistent"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")
                                    self._segment_path = lambda: "map-cache-persistent"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.MapCachePersistent, ['interval'], name, value)


                            class ProxyItr(Entity):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.ProxyItr, self).__init__()

                                    self.yang_name = "proxy-itr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                    self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                    self._segment_path = lambda: "proxy-itr"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                            class RouteExport(Entity):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.RouteExport, self).__init__()

                                    self.yang_name = "route-export"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                    self.away_eids = YLeaf(YType.empty, "away-eids")
                                    self._segment_path = lambda: "route-export"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                            class UsePetr(Entity):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	
                                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Default.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Default.UsePetr, self).__init__()

                                    self.yang_name = "use-petr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Default.Service.Ipv6.Default.UsePetr.Priority)}
                                    self._child_list_classes = {}

                                    self.locator_address = YLeaf(YType.str, "locator-address")

                                    self.priority = Native.Router.Lisp.Default.Service.Ipv6.Default.UsePetr.Priority()
                                    self.priority.parent = self
                                    self._children_name_map["priority"] = "priority"
                                    self._children_yang_names.add("priority")
                                    self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.UsePetr, ['locator_address'], name, value)


                                class Priority(Entity):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv6.Default.UsePetr.Priority, self).__init__()

                                        self.yang_name = "priority"
                                        self.yang_parent_name = "use-petr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.priority_value = YLeaf(YType.uint8, "priority-value")

                                        self.weight = YLeaf(YType.uint8, "weight")
                                        self._segment_path = lambda: "priority"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/database-mapping/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Service.Ipv6.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/itr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.ItrEnable, ['itr'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.EtrEnable, ['etr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.Service.Ipv6.Etr.AcceptMapRequestMapping)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer)}

                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                self.accept_map_request_mapping = Native.Router.Lisp.Default.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                self._children_yang_names.add("accept-map-request-mapping")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Etr, ['map_cache_ttl'], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/etr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                            class AcceptMapRequestMapping(Entity):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.Etr.AcceptMapRequestMapping, self).__init__()

                                    self.yang_name = "accept-map-request-mapping"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                    self.verify = YLeaf(YType.empty, "verify")
                                    self._segment_path = lambda: "accept-map-request-mapping"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/etr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/map-resolver/%s" % self._segment_path()


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/map-resolver/map-request/%s" % self._segment_path()


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")

                                            self.registered = Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self
                                            self._children_name_map["registered"] = "registered"
                                            self._children_yang_names.add("registered")
                                            self._segment_path = lambda: "source"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/map-resolver/map-request/validate/%s" % self._segment_path()


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/map-resolver/map-request/validate/source/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                        class Registered(Entity):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                self.yang_name = "registered"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")
                                                self._segment_path = lambda: "registered"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/map-resolver/map-request/validate/source/%s" % self._segment_path()


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "registered"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = False
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"
                                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/map-resolver/map-request/validate/source/registered/%s" % self._segment_path()

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/map-server/%s" % self._segment_path()


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/map-server/map-register/%s" % self._segment_path()


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/map-server/map-register/validate/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class Distance(Entity):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.alt = YLeaf(YType.uint8, "alt")

                                self.away = YLeaf(YType.uint8, "away")

                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                self._segment_path = lambda: "distance"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                        class MapCache(Entity):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Default.Service.Ipv6.MapCache.AwayEids)}
                                self._child_list_classes = {}

                                self.site_registration = YLeaf(YType.empty, "site-registration")

                                self.away_eids = Native.Router.Lisp.Default.Service.Ipv6.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self._children_name_map["away_eids"] = "away-eids"
                                self._children_yang_names.add("away-eids")
                                self._segment_path = lambda: "map-cache"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.MapCache, ['site_registration'], name, value)


                            class AwayEids(Entity):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.MapCache.AwayEids, self).__init__()

                                    self.yang_name = "away-eids"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                    self._segment_path = lambda: "away-eids"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.MapCache.AwayEids, ['send_map_request'], name, value)


                        class MapCachePersistent(Entity):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.MapCachePersistent, self).__init__()

                                self.yang_name = "map-cache-persistent"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")
                                self._segment_path = lambda: "map-cache-persistent"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.MapCachePersistent, ['interval'], name, value)


                        class ProxyItr(Entity):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.ProxyItr, self).__init__()

                                self.yang_name = "proxy-itr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                self._segment_path = lambda: "proxy-itr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                        class RouteExport(Entity):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.RouteExport, self).__init__()

                                self.yang_name = "route-export"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                self._segment_path = lambda: "route-export"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                        class UsePetr(Entity):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	
                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ipv6.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ipv6.UsePetr, self).__init__()

                                self.yang_name = "use-petr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Default.Service.Ipv6.UsePetr.Priority)}
                                self._child_list_classes = {}

                                self.locator_address = YLeaf(YType.str, "locator-address")

                                self.priority = Native.Router.Lisp.Default.Service.Ipv6.UsePetr.Priority()
                                self.priority.parent = self
                                self._children_name_map["priority"] = "priority"
                                self._children_yang_names.add("priority")
                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ipv6/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.UsePetr, ['locator_address'], name, value)


                            class Priority(Entity):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ipv6.UsePetr.Priority, self).__init__()

                                    self.yang_name = "priority"
                                    self.yang_parent_name = "use-petr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority_value = YLeaf(YType.uint8, "priority-value")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "priority"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ipv6.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                    class Ethernet(Entity):
                        """
                        
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Encapsulation>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.ItrEnable>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.EtrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapCacheLimit>`
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.SolicitMapRequest>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Service.Ethernet, self).__init__()

                            self.yang_name = "ethernet"
                            self.yang_parent_name = "service"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Default.Service.Ethernet.Default), "encapsulation" : ("encapsulation", Native.Router.Lisp.Default.Service.Ethernet.Encapsulation), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Default.Service.Ethernet.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.Service.Ethernet.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.Service.Ethernet.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.Service.Ethernet.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.Service.Ethernet.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Service.Ethernet.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Default.Service.Ethernet.MapServer), "site-registration" : ("site_registration", Native.Router.Lisp.Default.Service.Ethernet.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.Service.Ethernet.SolicitMapRequest)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.default = Native.Router.Lisp.Default.Service.Ethernet.Default()
                            self.default.parent = self
                            self._children_name_map["default"] = "default"
                            self._children_yang_names.add("default")

                            self.encapsulation = Native.Router.Lisp.Default.Service.Ethernet.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.database_mapping = Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.itr = Native.Router.Lisp.Default.Service.Ethernet.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.Lisp.Default.Service.Ethernet.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr_enable = Native.Router.Lisp.Default.Service.Ethernet.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.etr = Native.Router.Lisp.Default.Service.Ethernet.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.map_cache_limit = Native.Router.Lisp.Default.Service.Ethernet.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.site_registration = Native.Router.Lisp.Default.Service.Ethernet.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.Lisp.Default.Service.Ethernet.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")
                            self._segment_path = lambda: "ethernet"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet, ['map_request_source'], name, value)


                        class Default(Entity):
                            """
                            
                            
                            .. attribute:: encapsulation
                            
                            	Select encapsulation type for data packets
                            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Encapsulation>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.DatabaseMapping>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.ItrEnable>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.EtrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Etr>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.MapCacheLimit>`
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.SolicitMapRequest>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ethernet.Default, self).__init__()

                                self.yang_name = "default"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Router.Lisp.Default.Service.Ethernet.Default.Encapsulation), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.Service.Ethernet.Default.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Default.Service.Ethernet.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.Service.Ethernet.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.Service.Ethernet.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.Service.Ethernet.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.Service.Ethernet.Default.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer), "site-registration" : ("site_registration", Native.Router.Lisp.Default.Service.Ethernet.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.Service.Ethernet.Default.SolicitMapRequest)}
                                self._child_list_classes = {}

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.encapsulation = Native.Router.Lisp.Default.Service.Ethernet.Default.Encapsulation()
                                self.encapsulation.parent = self
                                self._children_name_map["encapsulation"] = "encapsulation"
                                self._children_yang_names.add("encapsulation")

                                self.database_mapping = Native.Router.Lisp.Default.Service.Ethernet.Default.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.itr = Native.Router.Lisp.Default.Service.Ethernet.Default.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.Lisp.Default.Service.Ethernet.Default.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr_enable = Native.Router.Lisp.Default.Service.Ethernet.Default.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.etr = Native.Router.Lisp.Default.Service.Ethernet.Default.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.map_cache_limit = Native.Router.Lisp.Default.Service.Ethernet.Default.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.map_resolver = None
                                self._children_name_map["map_resolver"] = "map-resolver"
                                self._children_yang_names.add("map-resolver")

                                self.map_server = None
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")

                                self.site_registration = Native.Router.Lisp.Default.Service.Ethernet.Default.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.Lisp.Default.Service.Ethernet.Default.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")
                                self._segment_path = lambda: "default"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default, ['map_request_source'], name, value)


                            class Encapsulation(Entity):
                                """
                                Select encapsulation type for data packets
                                
                                .. attribute:: vxlan
                                
                                	Use VXLAN encapsulation for data packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Default.Encapsulation, self).__init__()

                                    self.yang_name = "encapsulation"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vxlan = YLeaf(YType.empty, "vxlan")
                                    self._segment_path = lambda: "encapsulation"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.Encapsulation, ['vxlan'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Default.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.Service.Ethernet.Default.DatabaseMapping.Limit)}
                                    self._child_list_classes = {}

                                    self.limit = Native.Router.Lisp.Default.Service.Ethernet.Default.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")
                                    self._segment_path = lambda: "database-mapping"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/%s" % self._segment_path()


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ethernet.Default.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/database-mapping/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Default.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Service.Ethernet.Default.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ethernet.Default.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/itr/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Default.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.ItrEnable, ['itr'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Default.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.EtrEnable, ['etr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer)}

                                    self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                    self.accept_map_request_mapping = Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                    self._children_yang_names.add("accept-map-request-mapping")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr, ['map_cache_ttl'], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/etr/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                class AcceptMapRequestMapping(Entity):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                        self.yang_name = "accept-map-request-mapping"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                        self.verify = YLeaf(YType.empty, "verify")
                                        self._segment_path = lambda: "accept-map-request-mapping"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/etr/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Default.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class MapResolver(Entity):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request = Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest()
                                    self.map_request.parent = self
                                    self._children_name_map["map_request"] = "map-request"
                                    self._children_yang_names.add("map-request")
                                    self._segment_path = lambda: "map-resolver"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/%s" % self._segment_path()


                                class MapRequest(Entity):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest, self).__init__()

                                        self.yang_name = "map-request"
                                        self.yang_parent_name = "map-resolver"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-request"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/map-resolver/%s" % self._segment_path()


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-request"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/map-resolver/map-request/%s" % self._segment_path()


                                        class Source(Entity):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")

                                                self.registered = Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                                self.registered.parent = self
                                                self._children_name_map["registered"] = "registered"
                                                self._children_yang_names.add("registered")
                                                self._segment_path = lambda: "source"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/map-resolver/map-request/validate/%s" % self._segment_path()


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "source"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = False
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"
                                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/map-resolver/map-request/validate/source/%s" % self._segment_path()

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                            class Registered(Entity):
                                                """
                                                ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                                
                                                .. attribute:: list
                                                
                                                	Define allowed prefixes using an ip[v6] prefix list
                                                	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                    self.yang_name = "registered"
                                                    self.yang_parent_name = "source"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = False
                                                    self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                    self._child_list_classes = {}

                                                    self.list = Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                    self.list.parent = self
                                                    self._children_name_map["list"] = "list"
                                                    self._children_yang_names.add("list")
                                                    self._segment_path = lambda: "registered"
                                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/map-resolver/map-request/validate/source/%s" % self._segment_path()


                                                class List(Entity):
                                                    """
                                                    Define allowed prefixes using an ip[v6] prefix list
                                                    
                                                    .. attribute:: ipv4
                                                    
                                                    	IPv4 prefixes
                                                    	**type**\: str
                                                    
                                                    .. attribute:: ipv6
                                                    
                                                    	IPv6 prefixes
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                        self.yang_name = "list"
                                                        self.yang_parent_name = "registered"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = False
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ipv4 = YLeaf(YType.str, "ipv4")

                                                        self.ipv6 = YLeaf(YType.str, "ipv6")
                                                        self._segment_path = lambda: "list"
                                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/map-resolver/map-request/validate/source/registered/%s" % self._segment_path()

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                            class MapServer(Entity):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer.MapRegister>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer.MapRegister)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_register = Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer.MapRegister()
                                    self.map_register.parent = self
                                    self._children_name_map["map_register"] = "map-register"
                                    self._children_yang_names.add("map-register")
                                    self._segment_path = lambda: "map-server"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/%s" % self._segment_path()


                                class MapRegister(Entity):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer.MapRegister, self).__init__()

                                        self.yang_name = "map-register"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-register"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/map-server/%s" % self._segment_path()


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-register"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/map-server/map-register/%s" % self._segment_path()


                                        class Source(Entity):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                                self._segment_path = lambda: "source"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/map-server/map-register/validate/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Default.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Default.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/default/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class Encapsulation(Entity):
                            """
                            Select encapsulation type for data packets
                            
                            .. attribute:: vxlan
                            
                            	Use VXLAN encapsulation for data packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ethernet.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vxlan = YLeaf(YType.empty, "vxlan")
                                self._segment_path = lambda: "encapsulation"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Encapsulation, ['vxlan'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/%s" % self._segment_path()


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/database-mapping/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ethernet.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Service.Ethernet.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/itr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ethernet.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.ItrEnable, ['itr'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ethernet.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.EtrEnable, ['etr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ethernet.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.Service.Ethernet.Etr.AcceptMapRequestMapping)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer)}

                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                self.accept_map_request_mapping = Native.Router.Lisp.Default.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                self._children_yang_names.add("accept-map-request-mapping")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Etr, ['map_cache_ttl'], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/etr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                            class AcceptMapRequestMapping(Entity):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.Etr.AcceptMapRequestMapping, self).__init__()

                                    self.yang_name = "accept-map-request-mapping"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                    self.verify = YLeaf(YType.empty, "verify")
                                    self._segment_path = lambda: "accept-map-request-mapping"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/etr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ethernet.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ethernet.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/%s" % self._segment_path()


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/map-resolver/%s" % self._segment_path()


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/map-resolver/map-request/%s" % self._segment_path()


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")

                                            self.registered = Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self
                                            self._children_name_map["registered"] = "registered"
                                            self._children_yang_names.add("registered")
                                            self._segment_path = lambda: "source"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/map-resolver/map-request/validate/%s" % self._segment_path()


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/map-resolver/map-request/validate/source/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                        class Registered(Entity):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                self.yang_name = "registered"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")
                                                self._segment_path = lambda: "registered"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/map-resolver/map-request/validate/source/%s" % self._segment_path()


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "registered"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = False
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"
                                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/map-resolver/map-request/validate/source/registered/%s" % self._segment_path()

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ethernet.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/%s" % self._segment_path()


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/map-server/%s" % self._segment_path()


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/map-server/map-register/%s" % self._segment_path()


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/map-server/map-register/validate/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ethernet.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Service.Ethernet.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/service/ethernet/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Service.Ethernet.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                class Encapsulation(Entity):
                    """
                    Select encapsulation type for data packets
                    
                    .. attribute:: vxlan
                    
                    	Use VXLAN encapsulation for data packets
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.Encapsulation, self).__init__()

                        self.yang_name = "encapsulation"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vxlan = YLeaf(YType.empty, "vxlan")
                        self._segment_path = lambda: "encapsulation"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.Encapsulation, ['vxlan'], name, value)


                class LocatorSet(Entity):
                    """
                    Configure a named locator set
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: auto_discover_rlocs
                    
                    	Auto discover locators registered by other xTRs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipv4_interface
                    
                    	Use IPv4 address of interface as locator
                    	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorSet.IPv4Interface>`
                    
                    .. attribute:: ipv6_interface
                    
                    	Use IPv6 address of interface as locator
                    	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorSet.IPv6Interface>`
                    
                    .. attribute:: ip_address
                    
                    	Use IPv6 address of interface as locator
                    	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocatorSet.IpAddress>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.LocatorSet, self).__init__()

                        self.yang_name = "locator-set"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.Default.LocatorSet.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.Default.LocatorSet.IPv6Interface), "ip-address" : ("ip_address", Native.Router.Lisp.Default.LocatorSet.IpAddress)}

                        self.name = YLeaf(YType.str, "name")

                        self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                        self.ipv4_interface = YList(self)
                        self.ipv6_interface = YList(self)
                        self.ip_address = YList(self)
                        self._segment_path = lambda: "locator-set" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.LocatorSet, ['name', 'auto_discover_rlocs'], name, value)


                    class IPv4Interface(Entity):
                        """
                        Use IPv4 address of interface as locator
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.LocatorSet.IPv4Interface, self).__init__()

                            self.yang_name = "IPv4-interface"
                            self.yang_parent_name = "locator-set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.weight = YLeaf(YType.uint8, "weight")
                            self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.LocatorSet.IPv4Interface, ['name', 'priority', 'weight'], name, value)


                    class IPv6Interface(Entity):
                        """
                        Use IPv6 address of interface as locator
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.LocatorSet.IPv6Interface, self).__init__()

                            self.yang_name = "IPv6-interface"
                            self.yang_parent_name = "locator-set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.weight = YLeaf(YType.uint8, "weight")
                            self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.LocatorSet.IPv6Interface, ['name', 'priority', 'weight'], name, value)


                    class IpAddress(Entity):
                        """
                        Use IPv6 address of interface as locator
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.LocatorSet.IpAddress, self).__init__()

                            self.yang_name = "ip-address"
                            self.yang_parent_name = "locator-set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.str, "ip")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.weight = YLeaf(YType.uint8, "weight")
                            self._segment_path = lambda: "ip-address" + "[ip='" + self.ip.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.LocatorSet.IpAddress, ['ip', 'priority', 'weight'], name, value)


                class Locator(Entity):
                    """
                    Locator configuration
                    
                    .. attribute:: default_set
                    
                    	Specify a default locator\-set
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.Locator, self).__init__()

                        self.yang_name = "locator"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.default_set = YLeaf(YType.str, "default-set")
                        self._segment_path = lambda: "locator"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.Locator, ['default_set'], name, value)


                class LocatorScope(Entity):
                    """
                    Configure a locator scope
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: rloc_prefix
                    
                    	RLOC prefix to check against ITR RLOC and ETR RLOC
                    	**type**\: union of the below types:
                    
                    		**type**\: list of str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                    
                    		**type**\: list of str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: rtr_locator_set
                    
                    	Locator\-set of RTR to use in proxy reply for disjoint/cross AF RLOC
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.LocatorScope, self).__init__()

                        self.yang_name = "locator-scope"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.rloc_prefix = YLeafList(YType.str, "rloc-prefix")

                        self.rtr_locator_set = YLeafList(YType.str, "rtr-locator-set")
                        self._segment_path = lambda: "locator-scope" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.LocatorScope, ['name', 'rloc_prefix', 'rtr_locator_set'], name, value)


                class InstanceContainer(Entity):
                    """
                    EID instance\-ID
                    
                    .. attribute:: instance_list
                    
                    	
                    	**type**\: list of  		 :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.InstanceContainer, self).__init__()

                        self.yang_name = "instance-container"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"instance-list" : ("instance_list", Native.Router.Lisp.Default.InstanceContainer.InstanceList)}

                        self.instance_list = YList(self)
                        self._segment_path = lambda: "instance-container"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer, [], name, value)


                    class InstanceList(Entity):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	EID instance\-ID
                        	**type**\: int
                        
                        	**range:** 0..16777214
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default>`
                        
                        .. attribute:: decapsulation
                        
                        	Decapsulation behavior (e.g. filters)
                        	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation>`
                        
                        .. attribute:: disable_ttl_propagate
                        
                        	Disable ttl propagation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic_eid
                        
                        	Configure a dynamic EID
                        	**type**\: list of  		 :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid>`
                        
                        .. attribute:: loc_reach_algorithm
                        
                        	Configure locator reachability algorithm
                        	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm>`
                        
                        .. attribute:: map_server
                        
                        	Map\-Server commands
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer>`
                        
                        .. attribute:: other_xtr_probe
                        
                        	Configure parameters for probing of other xTRs in our site
                        	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.OtherXtrProbe>`
                        
                        .. attribute:: remote_rloc_probe
                        
                        	Configure parameters for probing of remote RLOCs
                        	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.RemoteRlocProbe>`
                        
                        .. attribute:: service
                        
                        	Configure lisp service type
                        	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList, self).__init__()

                            self.yang_name = "instance-list"
                            self.yang_parent_name = "instance-container"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default), "decapsulation" : ("decapsulation", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm), "map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.Lisp.Default.InstanceContainer.InstanceList.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.Lisp.Default.InstanceContainer.InstanceList.RemoteRlocProbe), "service" : ("service", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service)}
                            self._child_list_classes = {"dynamic-eid" : ("dynamic_eid", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid)}

                            self.instance_id = YLeaf(YType.uint32, "instance-id")

                            self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                            self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default()
                            self.default.parent = self
                            self._children_name_map["default"] = "default"
                            self._children_yang_names.add("default")

                            self.decapsulation = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation()
                            self.decapsulation.parent = self
                            self._children_name_map["decapsulation"] = "decapsulation"
                            self._children_yang_names.add("decapsulation")

                            self.loc_reach_algorithm = Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm()
                            self.loc_reach_algorithm.parent = self
                            self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                            self._children_yang_names.add("loc-reach-algorithm")

                            self.map_server = Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer()
                            self.map_server.parent = self
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.other_xtr_probe = Native.Router.Lisp.Default.InstanceContainer.InstanceList.OtherXtrProbe()
                            self.other_xtr_probe.parent = self
                            self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                            self._children_yang_names.add("other-xtr-probe")

                            self.remote_rloc_probe = Native.Router.Lisp.Default.InstanceContainer.InstanceList.RemoteRlocProbe()
                            self.remote_rloc_probe.parent = self
                            self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                            self._children_yang_names.add("remote-rloc-probe")

                            self.service = None
                            self._children_name_map["service"] = "service"
                            self._children_yang_names.add("service")

                            self.dynamic_eid = YList(self)
                            self._segment_path = lambda: "instance-list" + "[instance-id='" + self.instance_id.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/instance-container/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList, ['instance_id', 'disable_ttl_propagate'], name, value)


                        class Default(Entity):
                            """
                            
                            
                            .. attribute:: decapsulation
                            
                            	Decapsulation behavior (e.g. filters)
                            	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation>`
                            
                            .. attribute:: disable_ttl_propagate
                            
                            	Disable ttl propagation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dynamic_eid
                            
                            	Configure a dynamic EID
                            	**type**\: list of  		 :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid>`
                            
                            .. attribute:: loc_reach_algorithm
                            
                            	Configure locator reachability algorithm
                            	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm>`
                            
                            .. attribute:: map_server
                            
                            	Map\-Server commands
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer>`
                            
                            .. attribute:: other_xtr_probe
                            
                            	Configure parameters for probing of other xTRs in our site
                            	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.OtherXtrProbe>`
                            
                            .. attribute:: remote_rloc_probe
                            
                            	Configure parameters for probing of remote RLOCs
                            	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.RemoteRlocProbe>`
                            
                            .. attribute:: service
                            
                            	Configure lisp service type
                            	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default, self).__init__()

                                self.yang_name = "default"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"decapsulation" : ("decapsulation", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm), "map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.RemoteRlocProbe), "service" : ("service", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service)}
                                self._child_list_classes = {"dynamic-eid" : ("dynamic_eid", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid)}

                                self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                                self.decapsulation = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation()
                                self.decapsulation.parent = self
                                self._children_name_map["decapsulation"] = "decapsulation"
                                self._children_yang_names.add("decapsulation")

                                self.loc_reach_algorithm = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm()
                                self.loc_reach_algorithm.parent = self
                                self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                                self._children_yang_names.add("loc-reach-algorithm")

                                self.map_server = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer()
                                self.map_server.parent = self
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")

                                self.other_xtr_probe = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.OtherXtrProbe()
                                self.other_xtr_probe.parent = self
                                self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                                self._children_yang_names.add("other-xtr-probe")

                                self.remote_rloc_probe = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.RemoteRlocProbe()
                                self.remote_rloc_probe.parent = self
                                self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                                self._children_yang_names.add("remote-rloc-probe")

                                self.service = None
                                self._children_name_map["service"] = "service"
                                self._children_yang_names.add("service")

                                self.dynamic_eid = YList(self)
                                self._segment_path = lambda: "default"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default, ['disable_ttl_propagate'], name, value)


                            class Decapsulation(Entity):
                                """
                                Decapsulation behavior (e.g. filters)
                                
                                .. attribute:: filter
                                
                                	Filters traffic
                                	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation, self).__init__()

                                    self.yang_name = "decapsulation"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"filter" : ("filter", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter)}
                                    self._child_list_classes = {}

                                    self.filter = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter()
                                    self.filter.parent = self
                                    self._children_name_map["filter"] = "filter"
                                    self._children_yang_names.add("filter")
                                    self._segment_path = lambda: "decapsulation"


                                class Filter(Entity):
                                    """
                                    Filters traffic
                                    
                                    .. attribute:: rloc
                                    
                                    	Filter based on Routing Locator (RLOC) in packet header
                                    	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter, self).__init__()

                                        self.yang_name = "filter"
                                        self.yang_parent_name = "decapsulation"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc)}
                                        self._child_list_classes = {}

                                        self.rloc = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc()
                                        self.rloc.parent = self
                                        self._children_name_map["rloc"] = "rloc"
                                        self._children_yang_names.add("rloc")
                                        self._segment_path = lambda: "filter"


                                    class Rloc(Entity):
                                        """
                                        Filter based on Routing Locator (RLOC) in packet header
                                        
                                        .. attribute:: source
                                        
                                        	Filters traffic based on RLOC source address
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc, self).__init__()

                                            self.yang_name = "rloc"
                                            self.yang_parent_name = "filter"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "rloc"


                                        class Source(Entity):
                                            """
                                            Filters traffic based on RLOC source address
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator\-set Name
                                            	**type**\: str
                                            
                                            .. attribute:: member
                                            
                                            	Members learned from map\-server
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "rloc"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.member = YLeaf(YType.empty, "member")
                                                self._segment_path = lambda: "source"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                            class DynamicEid(Entity):
                                """
                                Configure a dynamic EID
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: database_mapping
                                
                                	Configures EID\-prefix and locator\-set for dynamic\-EID
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping>`
                                
                                .. attribute:: eid_notify
                                
                                	Configure options for sending/receiving EID\-notify
                                	**type**\:  :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify>`
                                
                                .. attribute:: map_notify_group
                                
                                	Multicast group which to send map\-notifies to
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid, self).__init__()

                                    self.yang_name = "dynamic-eid"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping), "eid-notify" : ("eid_notify", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer)}

                                    self.name = YLeaf(YType.str, "name")

                                    self.map_notify_group = YLeaf(YType.str, "map-notify-group")

                                    self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.eid_notify = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify()
                                    self.eid_notify.parent = self
                                    self._children_name_map["eid_notify"] = "eid-notify"
                                    self._children_yang_names.add("eid-notify")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "dynamic-eid" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid, ['name', 'map_notify_group'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures EID\-prefix and locator\-set for dynamic\-EID
                                    
                                    .. attribute:: ipv4_prefix
                                    
                                    	IPv4 EID\-prefix for dynamic\-EID
                                    	**type**\: list of  		 :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "dynamic-eid"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"ipv4-prefix" : ("ipv4_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix)}

                                        self.ipv4_prefix = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping, [], name, value)


                                    class Ipv4Prefix(Entity):
                                        """
                                        IPv4 EID\-prefix for dynamic\-EID
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix, self).__init__()

                                            self.yang_name = "ipv4-prefix"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "ipv4-prefix" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix, ['eid_prefix', 'locator_set'], name, value)


                                class EidNotify(Entity):
                                    """
                                    Configure options for sending/receiving EID\-notify
                                    
                                    .. attribute:: authentication_key
                                    
                                    	Authentication key used for validating received EID\-notify
                                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey>`
                                    
                                    .. attribute:: gateway_key
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify, self).__init__()

                                        self.yang_name = "eid-notify"
                                        self.yang_parent_name = "dynamic-eid"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey)}
                                        self._child_list_classes = {"gateway-key" : ("gateway_key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey)}

                                        self.authentication_key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey()
                                        self.authentication_key.parent = self
                                        self._children_name_map["authentication_key"] = "authentication-key"
                                        self._children_yang_names.add("authentication-key")

                                        self.gateway_key = YList(self)
                                        self._segment_path = lambda: "eid-notify"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify, [], name, value)


                                    class AuthenticationKey(Entity):
                                        """
                                        Authentication key used for validating received EID\-notify
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: key_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: key_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: key_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey, self).__init__()

                                            self.yang_name = "authentication-key"
                                            self.yang_parent_name = "eid-notify"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.key_0 = YLeaf(YType.str, "key-0")

                                            self.key_6 = YLeaf(YType.str, "key-6")

                                            self.key_7 = YLeaf(YType.str, "key-7")
                                            self._segment_path = lambda: "authentication-key"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                                    class GatewayKey(Entity):
                                        """
                                        
                                        
                                        .. attribute:: gateway_ip  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey, self).__init__()

                                            self.yang_name = "gateway-key"
                                            self.yang_parent_name = "eid-notify"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key)}
                                            self._child_list_classes = {}

                                            self.gateway_ip = YLeaf(YType.str, "gateway-ip")

                                            self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "gateway-key" + "[gateway-ip='" + self.gateway_ip.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey, ['gateway_ip'], name, value)


                                        class Key(Entity):
                                            """
                                            
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "gateway-key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "dynamic-eid"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                            class LocReachAlgorithm(Entity):
                                """
                                Configure locator reachability algorithm
                                
                                .. attribute:: lsb_reports
                                
                                	Configure data packet LSB report handling
                                	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports>`
                                
                                .. attribute:: rloc_probing
                                
                                	Probe high priority RLOCs with Map\-Requests as last resort
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm, self).__init__()

                                    self.yang_name = "loc-reach-algorithm"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports)}
                                    self._child_list_classes = {}

                                    self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                                    self.lsb_reports = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports()
                                    self.lsb_reports.parent = self
                                    self._children_name_map["lsb_reports"] = "lsb-reports"
                                    self._children_yang_names.add("lsb-reports")
                                    self._segment_path = lambda: "loc-reach-algorithm"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm, ['rloc_probing'], name, value)


                                class LsbReports(Entity):
                                    """
                                    Configure data packet LSB report handling
                                    
                                    .. attribute:: do_not_transmit
                                    
                                    	Force the setting of the encapsulation header L bit to zero
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore data packet LSB reports
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports, self).__init__()

                                        self.yang_name = "lsb-reports"
                                        self.yang_parent_name = "loc-reach-algorithm"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "lsb-reports"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                            class MapServer(Entity):
                                """
                                Map\-Server commands
                                
                                .. attribute:: rloc
                                
                                	EID instance RLOC membership
                                	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc>`
                                
                                .. attribute:: site_registration
                                
                                	Map\-server site registration options
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration)}
                                    self._child_list_classes = {}

                                    self.rloc = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc()
                                    self.rloc.parent = self
                                    self._children_name_map["rloc"] = "rloc"
                                    self._children_yang_names.add("rloc")

                                    self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")
                                    self._segment_path = lambda: "map-server"


                                class Rloc(Entity):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: members
                                    
                                    	EID instance RLOC membership
                                    	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc, self).__init__()

                                        self.yang_name = "rloc"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"members" : ("members", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members)}
                                        self._child_list_classes = {}

                                        self.members = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members()
                                        self.members.parent = self
                                        self._children_name_map["members"] = "members"
                                        self._children_yang_names.add("members")
                                        self._segment_path = lambda: "rloc"


                                    class Members(Entity):
                                        """
                                        EID instance RLOC membership
                                        
                                        .. attribute:: distribute
                                        
                                        	EID instance RLOC membership distribution
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: modify_discovered
                                        
                                        	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members, self).__init__()

                                            self.yang_name = "members"
                                            self.yang_parent_name = "rloc"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered)}
                                            self._child_list_classes = {}

                                            self.distribute = YLeaf(YType.empty, "distribute")

                                            self.modify_discovered = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered()
                                            self.modify_discovered.parent = self
                                            self._children_name_map["modify_discovered"] = "modify-discovered"
                                            self._children_yang_names.add("modify-discovered")
                                            self._segment_path = lambda: "members"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members, ['distribute'], name, value)


                                        class ModifyDiscovered(Entity):
                                            """
                                            Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                            
                                            .. attribute:: operator
                                            
                                            	
                                            	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set from which to get member RLOC addresses
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                                self.yang_name = "modify-discovered"
                                                self.yang_parent_name = "members"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.operator = YLeaf(YType.enumeration, "operator")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "modify-discovered"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                            class Operator(Enum):
                                                """
                                                Operator

                                                .. data:: add = 0

                                                .. data:: override = 1

                                                """

                                                add = Enum.YLeaf(0, "add")

                                                override = Enum.YLeaf(1, "override")



                                class SiteRegistration(Entity):
                                    """
                                    Map\-server site registration options
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations as a result of accept\-more\-specifics
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class OtherXtrProbe(Entity):
                                """
                                Configure parameters for probing of other xTRs in our site
                                
                                .. attribute:: period
                                
                                	Period between probes in seconds
                                	**type**\: int
                                
                                	**range:** 5..900
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.OtherXtrProbe, self).__init__()

                                    self.yang_name = "other-xtr-probe"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.period = YLeaf(YType.uint16, "period")
                                    self._segment_path = lambda: "other-xtr-probe"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.OtherXtrProbe, ['period'], name, value)


                            class RemoteRlocProbe(Entity):
                                """
                                Configure parameters for probing of remote RLOCs
                                
                                .. attribute:: on_membership_change
                                
                                	Trigger probing upon membership changes for remote RLOC
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: on_route_change
                                
                                	Trigger probing upon routing changes for remote RLOC
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.RemoteRlocProbe, self).__init__()

                                    self.yang_name = "remote-rloc-probe"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                                    self.on_route_change = YLeaf(YType.empty, "on-route-change")
                                    self._segment_path = lambda: "remote-rloc-probe"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                            class Service(Entity):
                                """
                                Configure lisp service type
                                
                                .. attribute:: ipv4
                                
                                	
                                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ethernet
                                
                                	
                                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service, self).__init__()

                                    self.yang_name = "service"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4), "ipv6" : ("ipv6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6), "ethernet" : ("ethernet", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.ipv4 = None
                                    self._children_name_map["ipv4"] = "ipv4"
                                    self._children_yang_names.add("ipv4")

                                    self.ipv6 = None
                                    self._children_name_map["ipv6"] = "ipv6"
                                    self._children_yang_names.add("ipv6")

                                    self.ethernet = None
                                    self._children_name_map["ethernet"] = "ethernet"
                                    self._children_yang_names.add("ethernet")
                                    self._segment_path = lambda: "service"


                                class Ipv4(Entity):
                                    """
                                    
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest>`
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\: str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent>`
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "service"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default), "eid-table" : ("eid_table", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable), "itr" : ("itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt), "distance" : ("distance", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping)}
                                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr)}
                                        self.is_presence_container = True

                                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                        self.sgt = YLeaf(YType.empty, "sgt")

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt()
                                        self.alt.parent = self
                                        self._children_name_map["alt"] = "alt"
                                        self._children_yang_names.add("alt")

                                        self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance()
                                        self.distance.parent = self
                                        self._children_name_map["distance"] = "distance"
                                        self._children_yang_names.add("distance")

                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")

                                        self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                        self._children_yang_names.add("map-cache-persistent")

                                        self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self._children_name_map["proxy_itr"] = "proxy-itr"
                                        self._children_yang_names.add("proxy-itr")

                                        self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport()
                                        self.route_export.parent = self
                                        self._children_name_map["route_export"] = "route-export"
                                        self._children_yang_names.add("route-export")

                                        self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport()
                                        self.route_import.parent = self
                                        self._children_name_map["route_import"] = "route-import"
                                        self._children_yang_names.add("route-import")

                                        self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.use_petr = YList(self)
                                        self._segment_path = lambda: "ipv4"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                    class Default(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_table
                                        
                                        	Bind an eid\-table
                                        	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable>`
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr>`
                                        
                                        .. attribute:: itr_enable
                                        
                                        	
                                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable>`
                                        
                                        .. attribute:: etr_enable
                                        
                                        	
                                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable>`
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr>`
                                        
                                        .. attribute:: map_cache_limit
                                        
                                        	Configures maximum size of map\-cache
                                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Site registrations configuration for a given instance\-id
                                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration>`
                                        
                                        .. attribute:: solicit_map_request
                                        
                                        	Configure Solicit\-Map\-Request handling
                                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest>`
                                        
                                        .. attribute:: alt
                                        
                                        	LISP Alternative Topology, LISP\-ALT
                                        	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt>`
                                        
                                        .. attribute:: alt_vrf
                                        
                                        	Activate LISP\-ALT functionality in VRF
                                        	**type**\: str
                                        
                                        	**status**\: deprecated
                                        
                                        .. attribute:: distance
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Address family specific map cache configuration
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache>`
                                        
                                        .. attribute:: map_cache_persistent
                                        
                                        	Dump map\-cache onto flash, making it persistent across reboots
                                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent>`
                                        
                                        .. attribute:: proxy_etr
                                        
                                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: proxy_itr
                                        
                                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr>`
                                        
                                        .. attribute:: route_export
                                        
                                        	Export routes into RIB from LISP
                                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport>`
                                        
                                        .. attribute:: sgt
                                        
                                        	Enable security group tag propagation in LISP encapsulated traffic
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: use_petr
                                        
                                        	Encapsulate to Proxy ETR when matching forward\-native entry
                                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr>`
                                        
                                        .. attribute:: route_import
                                        
                                        	Import RIB routes by a routing protocol into LISP
                                        	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport>`
                                        
                                        .. attribute:: map_request_source
                                        
                                        	Configures inner header source address in Map\-Request message
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping
                                        
                                        	Configures Locator addresses for an ETR
                                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable), "itr" : ("itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt), "distance" : ("distance", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping)}
                                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr)}

                                            self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                            self.sgt = YLeaf(YType.empty, "sgt")

                                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                                            self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable()
                                            self.eid_table.parent = self
                                            self._children_name_map["eid_table"] = "eid-table"
                                            self._children_yang_names.add("eid-table")

                                            self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr()
                                            self.itr.parent = self
                                            self._children_name_map["itr"] = "itr"
                                            self._children_yang_names.add("itr")

                                            self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable()
                                            self.itr_enable.parent = self
                                            self._children_name_map["itr_enable"] = "itr-enable"
                                            self._children_yang_names.add("itr-enable")

                                            self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable()
                                            self.etr_enable.parent = self
                                            self._children_name_map["etr_enable"] = "etr-enable"
                                            self._children_yang_names.add("etr-enable")

                                            self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr()
                                            self.etr.parent = self
                                            self._children_name_map["etr"] = "etr"
                                            self._children_yang_names.add("etr")

                                            self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit()
                                            self.map_cache_limit.parent = self
                                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                            self._children_yang_names.add("map-cache-limit")

                                            self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration()
                                            self.site_registration.parent = self
                                            self._children_name_map["site_registration"] = "site-registration"
                                            self._children_yang_names.add("site-registration")

                                            self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest()
                                            self.solicit_map_request.parent = self
                                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                            self._children_yang_names.add("solicit-map-request")

                                            self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt()
                                            self.alt.parent = self
                                            self._children_name_map["alt"] = "alt"
                                            self._children_yang_names.add("alt")

                                            self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance()
                                            self.distance.parent = self
                                            self._children_name_map["distance"] = "distance"
                                            self._children_yang_names.add("distance")

                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")

                                            self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent()
                                            self.map_cache_persistent.parent = self
                                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                            self._children_yang_names.add("map-cache-persistent")

                                            self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr()
                                            self.proxy_itr.parent = self
                                            self._children_name_map["proxy_itr"] = "proxy-itr"
                                            self._children_yang_names.add("proxy-itr")

                                            self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport()
                                            self.route_export.parent = self
                                            self._children_name_map["route_export"] = "route-export"
                                            self._children_yang_names.add("route-export")

                                            self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport()
                                            self.route_import.parent = self
                                            self._children_name_map["route_import"] = "route-import"
                                            self._children_yang_names.add("route-import")

                                            self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping()
                                            self.database_mapping.parent = self
                                            self._children_name_map["database_mapping"] = "database-mapping"
                                            self._children_yang_names.add("database-mapping")

                                            self.use_petr = YList(self)
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                        class EidTable(Entity):
                                            """
                                            Bind an eid\-table
                                            
                                            .. attribute:: vrf_name
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: default
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: vrf
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable, self).__init__()

                                                self.yang_name = "eid-table"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vrf_name = YLeaf(YType.str, "vrf-name")

                                                self.default = YLeaf(YType.empty, "default")

                                                self.vrf = YLeaf(YType.str, "vrf")
                                                self._segment_path = lambda: "eid-table"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                        class Itr(Entity):
                                            """
                                            Configures a LISP Ingress Tunnel Router (ITR)
                                            
                                            .. attribute:: map_resolver
                                            
                                            	Configures map\-resolver address for sending Map\-Requests
                                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr, self).__init__()

                                                self.yang_name = "itr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver)}

                                                self.map_resolver = YList(self)
                                                self._segment_path = lambda: "itr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr, [], name, value)


                                            class MapResolver(Entity):
                                                """
                                                Configures map\-resolver address for sending Map\-Requests
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver, self).__init__()

                                                    self.yang_name = "map-resolver"
                                                    self.yang_parent_name = "itr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                        class ItrEnable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: itr
                                            
                                            	Configures a LISP Ingress Tunnel Router (ITR)
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable, self).__init__()

                                                self.yang_name = "itr-enable"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.itr = YLeaf(YType.empty, "itr")
                                                self._segment_path = lambda: "itr-enable"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable, ['itr'], name, value)


                                        class EtrEnable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr
                                            
                                            	Configures a LISP Egress Tunnel Router (ETR)
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable, self).__init__()

                                                self.yang_name = "etr-enable"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr = YLeaf(YType.empty, "etr")
                                                self._segment_path = lambda: "etr-enable"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable, ['etr'], name, value)


                                        class Etr(Entity):
                                            """
                                            Configures a LISP Egress Tunnel Router (ETR)
                                            
                                            .. attribute:: map_server
                                            
                                            	Configures map server for ETR registration
                                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer>`
                                            
                                            .. attribute:: map_cache_ttl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 60..10080
                                            
                                            .. attribute:: accept_map_request_mapping
                                            
                                            	
                                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr, self).__init__()

                                                self.yang_name = "etr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping)}
                                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer)}

                                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                                self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                                self.accept_map_request_mapping.parent = self
                                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                                self._children_yang_names.add("accept-map-request-mapping")

                                                self.map_server = YList(self)
                                                self._segment_path = lambda: "etr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr, ['map_cache_ttl'], name, value)


                                            class MapServer(Entity):
                                                """
                                                Configures map server for ETR registration
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: key
                                                
                                                	Authentication key used with map server
                                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key>`
                                                
                                                .. attribute:: proxy_reply
                                                
                                                	Request Map\-Server to send Map\-Replies on behalf of site
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer, self).__init__()

                                                    self.yang_name = "map-server"
                                                    self.yang_parent_name = "etr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key)}
                                                    self._child_list_classes = {}

                                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                    self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key()
                                                    self.key.parent = self
                                                    self._children_name_map["key"] = "key"
                                                    self._children_yang_names.add("key")
                                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                                class Key(Entity):
                                                    """
                                                    Authentication key used with map server
                                                    
                                                    .. attribute:: key_pwd
                                                    
                                                    	
                                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                                    
                                                    .. attribute:: key_0
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                                    
                                                    .. attribute:: key_6
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                                    
                                                    .. attribute:: key_7
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key, self).__init__()

                                                        self.yang_name = "key"
                                                        self.yang_parent_name = "map-server"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7)}
                                                        self._child_list_classes = {}

                                                        self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                                        self.key_pwd.parent = self
                                                        self._children_name_map["key_pwd"] = "key-pwd"
                                                        self._children_yang_names.add("key-pwd")

                                                        self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                                        self.key_0.parent = self
                                                        self._children_name_map["key_0"] = "key-0"
                                                        self._children_yang_names.add("key-0")

                                                        self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                                        self.key_6.parent = self
                                                        self._children_name_map["key_6"] = "key-6"
                                                        self._children_yang_names.add("key-6")

                                                        self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                                        self.key_7.parent = self
                                                        self._children_name_map["key_7"] = "key-7"
                                                        self._children_yang_names.add("key-7")
                                                        self._segment_path = lambda: "key"


                                                    class KeyPwd(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: unc_pwd
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                            self.yang_name = "key-pwd"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-pwd"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key0(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_0
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                            self.yang_name = "key-0"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-0"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key6(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_6
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                            self.yang_name = "key-6"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-6"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key7(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_7
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                            self.yang_name = "key-7"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-7"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                            class AcceptMapRequestMapping(Entity):
                                                """
                                                
                                                
                                                .. attribute:: accept_mappping
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: verify
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                    self.yang_name = "accept-map-request-mapping"
                                                    self.yang_parent_name = "etr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                    self.verify = YLeaf(YType.empty, "verify")
                                                    self._segment_path = lambda: "accept-map-request-mapping"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                        class MapCacheLimit(Entity):
                                            """
                                            Configures maximum size of map\-cache
                                            
                                            .. attribute:: max_map_cache_entries
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..100000
                                            
                                            .. attribute:: reserve_list
                                            
                                            	EID\-prefixes guaranteed to be stored in map\-cache
                                            	**type**\: str
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit, self).__init__()

                                                self.yang_name = "map-cache-limit"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "map-cache-limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                        class SiteRegistration(Entity):
                                            """
                                            Site registrations configuration for a given instance\-id
                                            
                                            .. attribute:: limit
                                            
                                            	Maximum number of site registrations
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Warning threshold to issue system logging
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration, self).__init__()

                                                self.yang_name = "site-registration"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.limit = YLeaf(YType.uint32, "limit")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "site-registration"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                        class SolicitMapRequest(Entity):
                                            """
                                            Configure Solicit\-Map\-Request handling
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore SMR bit in incoming Map\-Requests
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: max_per_entry
                                            
                                            	Maximum number of SMRs for addresses under a map\-cache entry
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: suppression_time
                                            
                                            	How long to suppress repeated SMRs for the same address
                                            	**type**\: int
                                            
                                            	**range:** 1..600
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest, self).__init__()

                                                self.yang_name = "solicit-map-request"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")

                                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                                self._segment_path = lambda: "solicit-map-request"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                        class Alt(Entity):
                                            """
                                            LISP Alternative Topology, LISP\-ALT
                                            
                                            .. attribute:: summary_route
                                            
                                            	Summary route to install into the ALT table
                                            	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt, self).__init__()

                                                self.yang_name = "alt"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute)}

                                                self.summary_route = YList(self)
                                                self._segment_path = lambda: "alt"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt, [], name, value)


                                            class SummaryRoute(Entity):
                                                """
                                                Summary route to install into the ALT table
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                .. attribute:: route_tag
                                                
                                                	ALT RIB route tag for EID prefix
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute, self).__init__()

                                                    self.yang_name = "summary-route"
                                                    self.yang_parent_name = "alt"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                    self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                        class Distance(Entity):
                                            """
                                            Administrative distance for RIB route installation
                                            
                                            .. attribute:: alt
                                            
                                            	LISP routes installed in the ALT table
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: away
                                            
                                            	Administrative distance for RIB route installation
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: dyn_eid
                                            
                                            	LISP installed routes of type dynamic\-EID
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: site_registrations
                                            
                                            	LISP installed routes of type site\-registrations
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance, self).__init__()

                                                self.yang_name = "distance"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.alt = YLeaf(YType.uint8, "alt")

                                                self.away = YLeaf(YType.uint8, "away")

                                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                                self._segment_path = lambda: "distance"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Address family specific map cache configuration
                                            
                                            .. attribute:: eid_interface
                                            
                                            	Configures static EID\-to\-RLOC mappings for an ITR
                                            	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface>`
                                            
                                            .. attribute:: away_eids
                                            
                                            	Map cache configuration for the away table
                                            	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids>`
                                            
                                            .. attribute:: site_registration
                                            
                                            	Install map cache to map request for site registrations
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids)}
                                                self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface)}

                                                self.site_registration = YLeaf(YType.empty, "site-registration")

                                                self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids()
                                                self.away_eids.parent = self
                                                self._children_name_map["away_eids"] = "away-eids"
                                                self._children_yang_names.add("away-eids")

                                                self.eid_interface = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache, ['site_registration'], name, value)


                                            class EidInterface(Entity):
                                                """
                                                Configures static EID\-to\-RLOC mappings for an ITR
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                .. attribute:: etr_interface_ip
                                                
                                                	
                                                	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                                
                                                .. attribute:: drop
                                                
                                                	Drop packets that match this map\-cache entry
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: map_request
                                                
                                                	Send Map\-Request for LISP destination EID
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: native_forward
                                                
                                                	Natively forward packets that match this map\-cache entry
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface, self).__init__()

                                                    self.yang_name = "eid-interface"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                                    self._child_list_classes = {}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.drop = YLeaf(YType.empty, "drop")

                                                    self.map_request = YLeaf(YType.empty, "map-request")

                                                    self.native_forward = YLeaf(YType.empty, "native-forward")

                                                    self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp()
                                                    self.etr_interface_ip.parent = self
                                                    self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                    self._children_yang_names.add("etr-interface-ip")
                                                    self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                                class EtrInterfaceIp(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: etr_interface_ip_address
                                                    
                                                    	IP address of loopback or other ETR interface
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    		**type**\: str
                                                    
                                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                        self.yang_name = "etr-interface-ip"
                                                        self.yang_parent_name = "eid-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")
                                                        self._segment_path = lambda: "etr-interface-ip"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                            class AwayEids(Entity):
                                                """
                                                Map cache configuration for the away table
                                                
                                                .. attribute:: send_map_request
                                                
                                                	Export away table entries into the map cache with action set to send\-map\-request
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids, self).__init__()

                                                    self.yang_name = "away-eids"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                    self._segment_path = lambda: "away-eids"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                        class MapCachePersistent(Entity):
                                            """
                                            Dump map\-cache onto flash, making it persistent across reboots
                                            
                                            .. attribute:: interval
                                            
                                            	Interval in minutes of how often the map\-cache is saved
                                            	**type**\: int
                                            
                                            	**range:** 1..1440
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent, self).__init__()

                                                self.yang_name = "map-cache-persistent"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "map-cache-persistent"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent, ['interval'], name, value)


                                        class ProxyItr(Entity):
                                            """
                                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                            
                                            .. attribute:: ipv4_addr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: ipv6_addr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr, self).__init__()

                                                self.yang_name = "proxy-itr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                                self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                                self._segment_path = lambda: "proxy-itr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                        class RouteExport(Entity):
                                            """
                                            Export routes into RIB from LISP
                                            
                                            .. attribute:: site_registrations
                                            
                                            	Export LISP site registrations to RIB
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: away_eids
                                            
                                            	Export LISP away EIDs to RIB
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport, self).__init__()

                                                self.yang_name = "route-export"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                                self._segment_path = lambda: "route-export"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                        class UsePetr(Entity):
                                            """
                                            Encapsulate to Proxy ETR when matching forward\-native entry
                                            
                                            .. attribute:: locator_address  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	
                                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr, self).__init__()

                                                self.yang_name = "use-petr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority)}
                                                self._child_list_classes = {}

                                                self.locator_address = YLeaf(YType.str, "locator-address")

                                                self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority()
                                                self.priority.parent = self
                                                self._children_name_map["priority"] = "priority"
                                                self._children_yang_names.add("priority")
                                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr, ['locator_address'], name, value)


                                            class Priority(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority_value
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority, self).__init__()

                                                    self.yang_name = "priority"
                                                    self.yang_parent_name = "use-petr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "priority"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                        class RouteImport(Entity):
                                            """
                                            Import RIB routes by a routing protocol into LISP
                                            
                                            .. attribute:: database
                                            
                                            	Use RIB routes to define local EID database entries
                                            	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database>`
                                            
                                            .. attribute:: map_cache
                                            
                                            	Use RIB routes to define EID address space in map\-cache
                                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport, self).__init__()

                                                self.yang_name = "route-import"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache)}
                                                self._child_list_classes = {}

                                                self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database()
                                                self.database.parent = self
                                                self._children_name_map["database"] = "database"
                                                self._children_yang_names.add("database")

                                                self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache()
                                                self.map_cache.parent = self
                                                self._children_name_map["map_cache"] = "map-cache"
                                                self._children_yang_names.add("map-cache")
                                                self._segment_path = lambda: "route-import"


                                            class Database(Entity):
                                                """
                                                Use RIB routes to define local EID database entries
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application>`
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected>`
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbor Discovery
                                                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd>`
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static>`
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database, self).__init__()

                                                    self.yang_name = "database"
                                                    self.yang_parent_name = "route-import"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip)}
                                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf)}

                                                    self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application()
                                                    self.application.parent = self
                                                    self._children_name_map["application"] = "application"
                                                    self._children_yang_names.add("application")

                                                    self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected()
                                                    self.connected.parent = self
                                                    self._children_name_map["connected"] = "connected"
                                                    self._children_yang_names.add("connected")

                                                    self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis()
                                                    self.isis.parent = self
                                                    self._children_name_map["isis"] = "isis"
                                                    self._children_yang_names.add("isis")

                                                    self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                    self._children_yang_names.add("maximum-prefix")

                                                    self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd()
                                                    self.nd.parent = self
                                                    self._children_name_map["nd"] = "nd"
                                                    self._children_yang_names.add("nd")

                                                    self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static()
                                                    self.static.parent = self
                                                    self._children_name_map["static"] = "static"
                                                    self._children_yang_names.add("static")

                                                    self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip()
                                                    self.rip.parent = self
                                                    self._children_name_map["rip"] = "rip"
                                                    self._children_yang_names.add("rip")

                                                    self.bgp = YList(self)
                                                    self.eigrp = YList(self)
                                                    self.ospf = YList(self)
                                                    self._segment_path = lambda: "database"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database, [], name, value)


                                                class Application(Entity):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application, self).__init__()

                                                        self.yang_name = "application"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "application"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "application"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Bgp(Entity):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: int
                                                    
                                                    			**range:** 1..4294967295
                                                    
                                                    		**type**\: str
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp, self).__init__()

                                                        self.yang_name = "bgp"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "bgp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Connected(Entity):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected, self).__init__()

                                                        self.yang_name = "connected"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "connected"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "connected"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Eigrp(Entity):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp, self).__init__()

                                                        self.yang_name = "eigrp"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "eigrp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Isis(Entity):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: process_id
                                                    
                                                    	Process name
                                                    	**type**\: str
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis, self).__init__()

                                                        self.yang_name = "isis"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.process_id = YLeaf(YType.str, "process-id")

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "isis"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "isis"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class MaximumPrefix(Entity):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                        self.yang_name = "maximum-prefix"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.number = YLeaf(YType.uint32, "number")

                                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                        self._segment_path = lambda: "maximum-prefix"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                                class Nd(Entity):
                                                    """
                                                    Neighbor Discovery
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd, self).__init__()

                                                        self.yang_name = "nd"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "nd"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "nd"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Ospf(Entity):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf, self).__init__()

                                                        self.yang_name = "ospf"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "ospf"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Static(Entity):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static, self).__init__()

                                                        self.yang_name = "static"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "static"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "static"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Rip(Entity):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip, self).__init__()

                                                        self.yang_name = "rip"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "rip"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "rip"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MapCache(Entity):
                                                """
                                                Use RIB routes to define EID address space in map\-cache
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbour Discovery
                                                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache, self).__init__()

                                                    self.yang_name = "map-cache"
                                                    self.yang_parent_name = "route-import"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip)}
                                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf)}

                                                    self.application = None
                                                    self._children_name_map["application"] = "application"
                                                    self._children_yang_names.add("application")

                                                    self.connected = None
                                                    self._children_name_map["connected"] = "connected"
                                                    self._children_yang_names.add("connected")

                                                    self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis()
                                                    self.isis.parent = self
                                                    self._children_name_map["isis"] = "isis"
                                                    self._children_yang_names.add("isis")

                                                    self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                    self._children_yang_names.add("maximum-prefix")

                                                    self.nd = None
                                                    self._children_name_map["nd"] = "nd"
                                                    self._children_yang_names.add("nd")

                                                    self.static = None
                                                    self._children_name_map["static"] = "static"
                                                    self._children_yang_names.add("static")

                                                    self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip()
                                                    self.rip.parent = self
                                                    self._children_name_map["rip"] = "rip"
                                                    self._children_yang_names.add("rip")

                                                    self.bgp = YList(self)
                                                    self.eigrp = YList(self)
                                                    self.ospf = YList(self)
                                                    self._segment_path = lambda: "map-cache"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache, [], name, value)


                                                class Application(Entity):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application, self).__init__()

                                                        self.yang_name = "application"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "application"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "application"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                                class Bgp(Entity):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: int
                                                    
                                                    			**range:** 1..4294967295
                                                    
                                                    		**type**\: str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                        self.yang_name = "bgp"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "bgp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                                class Connected(Entity):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected, self).__init__()

                                                        self.yang_name = "connected"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "connected"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "connected"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                                class Eigrp(Entity):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                        self.yang_name = "eigrp"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "eigrp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                                class Isis(Entity):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: id
                                                    
                                                    	Process name
                                                    	**type**\: str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis, self).__init__()

                                                        self.yang_name = "isis"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "isis"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "isis"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                                class MaximumPrefix(Entity):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                        self.yang_name = "maximum-prefix"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.number = YLeaf(YType.uint32, "number")

                                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                        self._segment_path = lambda: "maximum-prefix"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                                class Nd(Entity):
                                                    """
                                                    Neighbour Discovery
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd, self).__init__()

                                                        self.yang_name = "nd"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "nd"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "nd"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                                class Ospf(Entity):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                        self.yang_name = "ospf"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "ospf"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                                class Static(Entity):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static, self).__init__()

                                                        self.yang_name = "static"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "static"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "static"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                                class Rip(Entity):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip, self).__init__()

                                                        self.yang_name = "rip"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "rip"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "rip"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                        class DatabaseMapping(Entity):
                                            """
                                            Configures Locator addresses for an ETR
                                            
                                            .. attribute:: eid_cont
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont>`
                                            
                                            .. attribute:: limit
                                            
                                            	Configures the maximum size of local EID prefixes database
                                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping, self).__init__()

                                                self.yang_name = "database-mapping"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit)}
                                                self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont)}

                                                self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit()
                                                self.limit.parent = self
                                                self._children_name_map["limit"] = "limit"
                                                self._children_yang_names.add("limit")

                                                self.eid_cont = YList(self)
                                                self._segment_path = lambda: "database-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping, [], name, value)


                                            class EidCont(Entity):
                                                """
                                                
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\: str
                                                
                                                .. attribute:: ipv4_addrees
                                                
                                                	IPv4 Address of loopback or other ETR interface
                                                	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                                
                                                .. attribute:: ipv6_addrees
                                                
                                                	IPv6 Address of loopback or other ETR interface
                                                	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                                
                                                .. attribute:: ipv4_interface
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                                
                                                .. attribute:: ipv6_interface
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                                
                                                .. attribute:: auto_discover_rlocs
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont, self).__init__()

                                                    self.yang_name = "eid-cont"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")

                                                    self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                    self.ipv4_addrees = YList(self)
                                                    self.ipv6_addrees = YList(self)
                                                    self.ipv4_interface = YList(self)
                                                    self.ipv6_interface = YList(self)
                                                    self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                                class Ipv4Addrees(Entity):
                                                    """
                                                    IPv4 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                        self.yang_name = "ipv4-addrees"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.address = YLeaf(YType.str, "address")

                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "ipv4-addrees"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class Ipv6Addrees(Entity):
                                                    """
                                                    IPv6 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                        self.yang_name = "ipv6-addrees"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.address = YLeaf(YType.str, "address")

                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "ipv6-addrees"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class IPv4Interface(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\: str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                        self.yang_name = "IPv4-interface"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.name = YLeaf(YType.str, "name")

                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "IPv4-interface"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class IPv6Interface(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\: str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                        self.yang_name = "IPv6-interface"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.name = YLeaf(YType.str, "name")

                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "IPv6-interface"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Limit(Entity):
                                                """
                                                Configures the maximum size of local EID prefixes database
                                                
                                                .. attribute:: dynamic
                                                
                                                	Configures the maximum size of dynamic local EID prefixes database
                                                	**type**\: int
                                                
                                                	**range:** 1..5000
                                                
                                                .. attribute:: warning_threshold
                                                
                                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit, self).__init__()

                                                    self.yang_name = "limit"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                    self._segment_path = lambda: "limit"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class Alt(Entity):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt, self).__init__()

                                            self.yang_name = "alt"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute)}

                                            self.summary_route = YList(self)
                                            self._segment_path = lambda: "alt"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt, [], name, value)


                                        class SummaryRoute(Entity):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute, self).__init__()

                                                self.yang_name = "summary-route"
                                                self.yang_parent_name = "alt"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                    class Distance(Entity):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance, self).__init__()

                                            self.yang_name = "distance"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.alt = YLeaf(YType.uint8, "alt")

                                            self.away = YLeaf(YType.uint8, "away")

                                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                            self._segment_path = lambda: "distance"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids)}
                                            self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface)}

                                            self.site_registration = YLeaf(YType.empty, "site-registration")

                                            self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self._children_name_map["away_eids"] = "away-eids"
                                            self._children_yang_names.add("away-eids")

                                            self.eid_interface = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache, ['site_registration'], name, value)


                                        class EidInterface(Entity):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface, self).__init__()

                                                self.yang_name = "eid-interface"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.drop = YLeaf(YType.empty, "drop")

                                                self.map_request = YLeaf(YType.empty, "map-request")

                                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                                self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                        class AwayEids(Entity):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids, self).__init__()

                                                self.yang_name = "away-eids"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                self._segment_path = lambda: "away-eids"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids, ['send_map_request'], name, value)


                                    class MapCachePersistent(Entity):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\: int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent, self).__init__()

                                            self.yang_name = "map-cache-persistent"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "map-cache-persistent"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent, ['interval'], name, value)


                                    class ProxyItr(Entity):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr, self).__init__()

                                            self.yang_name = "proxy-itr"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                            self._segment_path = lambda: "proxy-itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                    class RouteExport(Entity):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport, self).__init__()

                                            self.yang_name = "route-export"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                            self.away_eids = YLeaf(YType.empty, "away-eids")
                                            self._segment_path = lambda: "route-export"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                    class UsePetr(Entity):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr, self).__init__()

                                            self.yang_name = "use-petr"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority)}
                                            self._child_list_classes = {}

                                            self.locator_address = YLeaf(YType.str, "locator-address")

                                            self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr, ['locator_address'], name, value)


                                        class Priority(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "use-petr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                    class RouteImport(Entity):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport, self).__init__()

                                            self.yang_name = "route-import"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache)}
                                            self._child_list_classes = {}

                                            self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database()
                                            self.database.parent = self
                                            self._children_name_map["database"] = "database"
                                            self._children_yang_names.add("database")

                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "route-import"


                                        class Database(Entity):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database, self).__init__()

                                                self.yang_name = "database"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf)}

                                                self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static()
                                                self.static.parent = self
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip()
                                                self.rip.parent = self
                                                self._children_name_map["rip"] = "rip"
                                                self._children_yang_names.add("rip")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self._segment_path = lambda: "database"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "application"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "connected"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.process_id = YLeaf(YType.str, "process-id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis, ['process_id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "nd"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "static"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "rip"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf)}

                                                self.application = None
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = None
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = None
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = None
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip()
                                                self.rip.parent = self
                                                self._children_name_map["rip"] = "rip"
                                                self._children_yang_names.add("rip")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "application"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "connected"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "nd"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "static"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "rip"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont)}

                                            self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class Ipv6(Entity):
                                    """
                                    
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest>`
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\: str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent>`
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6, self).__init__()

                                        self.yang_name = "ipv6"
                                        self.yang_parent_name = "service"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default), "eid-table" : ("eid_table", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable), "itr" : ("itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt), "distance" : ("distance", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping)}
                                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr)}
                                        self.is_presence_container = True

                                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                        self.sgt = YLeaf(YType.empty, "sgt")

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt()
                                        self.alt.parent = self
                                        self._children_name_map["alt"] = "alt"
                                        self._children_yang_names.add("alt")

                                        self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance()
                                        self.distance.parent = self
                                        self._children_name_map["distance"] = "distance"
                                        self._children_yang_names.add("distance")

                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")

                                        self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                        self._children_yang_names.add("map-cache-persistent")

                                        self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self._children_name_map["proxy_itr"] = "proxy-itr"
                                        self._children_yang_names.add("proxy-itr")

                                        self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport()
                                        self.route_export.parent = self
                                        self._children_name_map["route_export"] = "route-export"
                                        self._children_yang_names.add("route-export")

                                        self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport()
                                        self.route_import.parent = self
                                        self._children_name_map["route_import"] = "route-import"
                                        self._children_yang_names.add("route-import")

                                        self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.use_petr = YList(self)
                                        self._segment_path = lambda: "ipv6"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                    class Default(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_table
                                        
                                        	Bind an eid\-table
                                        	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable>`
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr>`
                                        
                                        .. attribute:: itr_enable
                                        
                                        	
                                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable>`
                                        
                                        .. attribute:: etr_enable
                                        
                                        	
                                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable>`
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr>`
                                        
                                        .. attribute:: map_cache_limit
                                        
                                        	Configures maximum size of map\-cache
                                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Site registrations configuration for a given instance\-id
                                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration>`
                                        
                                        .. attribute:: solicit_map_request
                                        
                                        	Configure Solicit\-Map\-Request handling
                                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest>`
                                        
                                        .. attribute:: alt
                                        
                                        	LISP Alternative Topology, LISP\-ALT
                                        	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt>`
                                        
                                        .. attribute:: alt_vrf
                                        
                                        	Activate LISP\-ALT functionality in VRF
                                        	**type**\: str
                                        
                                        	**status**\: deprecated
                                        
                                        .. attribute:: distance
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Address family specific map cache configuration
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache>`
                                        
                                        .. attribute:: map_cache_persistent
                                        
                                        	Dump map\-cache onto flash, making it persistent across reboots
                                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent>`
                                        
                                        .. attribute:: proxy_etr
                                        
                                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: proxy_itr
                                        
                                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr>`
                                        
                                        .. attribute:: route_export
                                        
                                        	Export routes into RIB from LISP
                                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport>`
                                        
                                        .. attribute:: sgt
                                        
                                        	Enable security group tag propagation in LISP encapsulated traffic
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: use_petr
                                        
                                        	Encapsulate to Proxy ETR when matching forward\-native entry
                                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr>`
                                        
                                        .. attribute:: route_import
                                        
                                        	Import RIB routes by a routing protocol into LISP
                                        	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport>`
                                        
                                        .. attribute:: map_request_source
                                        
                                        	Configures inner header source address in Map\-Request message
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping
                                        
                                        	Configures Locator addresses for an ETR
                                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable), "itr" : ("itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt), "distance" : ("distance", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping)}
                                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr)}

                                            self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                            self.sgt = YLeaf(YType.empty, "sgt")

                                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                                            self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable()
                                            self.eid_table.parent = self
                                            self._children_name_map["eid_table"] = "eid-table"
                                            self._children_yang_names.add("eid-table")

                                            self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr()
                                            self.itr.parent = self
                                            self._children_name_map["itr"] = "itr"
                                            self._children_yang_names.add("itr")

                                            self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable()
                                            self.itr_enable.parent = self
                                            self._children_name_map["itr_enable"] = "itr-enable"
                                            self._children_yang_names.add("itr-enable")

                                            self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable()
                                            self.etr_enable.parent = self
                                            self._children_name_map["etr_enable"] = "etr-enable"
                                            self._children_yang_names.add("etr-enable")

                                            self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr()
                                            self.etr.parent = self
                                            self._children_name_map["etr"] = "etr"
                                            self._children_yang_names.add("etr")

                                            self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit()
                                            self.map_cache_limit.parent = self
                                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                            self._children_yang_names.add("map-cache-limit")

                                            self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration()
                                            self.site_registration.parent = self
                                            self._children_name_map["site_registration"] = "site-registration"
                                            self._children_yang_names.add("site-registration")

                                            self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest()
                                            self.solicit_map_request.parent = self
                                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                            self._children_yang_names.add("solicit-map-request")

                                            self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt()
                                            self.alt.parent = self
                                            self._children_name_map["alt"] = "alt"
                                            self._children_yang_names.add("alt")

                                            self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance()
                                            self.distance.parent = self
                                            self._children_name_map["distance"] = "distance"
                                            self._children_yang_names.add("distance")

                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")

                                            self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent()
                                            self.map_cache_persistent.parent = self
                                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                            self._children_yang_names.add("map-cache-persistent")

                                            self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr()
                                            self.proxy_itr.parent = self
                                            self._children_name_map["proxy_itr"] = "proxy-itr"
                                            self._children_yang_names.add("proxy-itr")

                                            self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport()
                                            self.route_export.parent = self
                                            self._children_name_map["route_export"] = "route-export"
                                            self._children_yang_names.add("route-export")

                                            self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport()
                                            self.route_import.parent = self
                                            self._children_name_map["route_import"] = "route-import"
                                            self._children_yang_names.add("route-import")

                                            self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping()
                                            self.database_mapping.parent = self
                                            self._children_name_map["database_mapping"] = "database-mapping"
                                            self._children_yang_names.add("database-mapping")

                                            self.use_petr = YList(self)
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                        class EidTable(Entity):
                                            """
                                            Bind an eid\-table
                                            
                                            .. attribute:: vrf_name
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: default
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: vrf
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable, self).__init__()

                                                self.yang_name = "eid-table"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vrf_name = YLeaf(YType.str, "vrf-name")

                                                self.default = YLeaf(YType.empty, "default")

                                                self.vrf = YLeaf(YType.str, "vrf")
                                                self._segment_path = lambda: "eid-table"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                        class Itr(Entity):
                                            """
                                            Configures a LISP Ingress Tunnel Router (ITR)
                                            
                                            .. attribute:: map_resolver
                                            
                                            	Configures map\-resolver address for sending Map\-Requests
                                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr, self).__init__()

                                                self.yang_name = "itr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver)}

                                                self.map_resolver = YList(self)
                                                self._segment_path = lambda: "itr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr, [], name, value)


                                            class MapResolver(Entity):
                                                """
                                                Configures map\-resolver address for sending Map\-Requests
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver, self).__init__()

                                                    self.yang_name = "map-resolver"
                                                    self.yang_parent_name = "itr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                        class ItrEnable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: itr
                                            
                                            	Configures a LISP Ingress Tunnel Router (ITR)
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable, self).__init__()

                                                self.yang_name = "itr-enable"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.itr = YLeaf(YType.empty, "itr")
                                                self._segment_path = lambda: "itr-enable"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable, ['itr'], name, value)


                                        class EtrEnable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr
                                            
                                            	Configures a LISP Egress Tunnel Router (ETR)
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable, self).__init__()

                                                self.yang_name = "etr-enable"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr = YLeaf(YType.empty, "etr")
                                                self._segment_path = lambda: "etr-enable"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable, ['etr'], name, value)


                                        class Etr(Entity):
                                            """
                                            Configures a LISP Egress Tunnel Router (ETR)
                                            
                                            .. attribute:: map_server
                                            
                                            	Configures map server for ETR registration
                                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer>`
                                            
                                            .. attribute:: map_cache_ttl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 60..10080
                                            
                                            .. attribute:: accept_map_request_mapping
                                            
                                            	
                                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr, self).__init__()

                                                self.yang_name = "etr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping)}
                                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer)}

                                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                                self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                                self.accept_map_request_mapping.parent = self
                                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                                self._children_yang_names.add("accept-map-request-mapping")

                                                self.map_server = YList(self)
                                                self._segment_path = lambda: "etr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr, ['map_cache_ttl'], name, value)


                                            class MapServer(Entity):
                                                """
                                                Configures map server for ETR registration
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: key
                                                
                                                	Authentication key used with map server
                                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key>`
                                                
                                                .. attribute:: proxy_reply
                                                
                                                	Request Map\-Server to send Map\-Replies on behalf of site
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer, self).__init__()

                                                    self.yang_name = "map-server"
                                                    self.yang_parent_name = "etr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key)}
                                                    self._child_list_classes = {}

                                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                    self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key()
                                                    self.key.parent = self
                                                    self._children_name_map["key"] = "key"
                                                    self._children_yang_names.add("key")
                                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                                class Key(Entity):
                                                    """
                                                    Authentication key used with map server
                                                    
                                                    .. attribute:: key_pwd
                                                    
                                                    	
                                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                                    
                                                    .. attribute:: key_0
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                                    
                                                    .. attribute:: key_6
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                                    
                                                    .. attribute:: key_7
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key, self).__init__()

                                                        self.yang_name = "key"
                                                        self.yang_parent_name = "map-server"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7)}
                                                        self._child_list_classes = {}

                                                        self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                                        self.key_pwd.parent = self
                                                        self._children_name_map["key_pwd"] = "key-pwd"
                                                        self._children_yang_names.add("key-pwd")

                                                        self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                                        self.key_0.parent = self
                                                        self._children_name_map["key_0"] = "key-0"
                                                        self._children_yang_names.add("key-0")

                                                        self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                                        self.key_6.parent = self
                                                        self._children_name_map["key_6"] = "key-6"
                                                        self._children_yang_names.add("key-6")

                                                        self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                                        self.key_7.parent = self
                                                        self._children_name_map["key_7"] = "key-7"
                                                        self._children_yang_names.add("key-7")
                                                        self._segment_path = lambda: "key"


                                                    class KeyPwd(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: unc_pwd
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                            self.yang_name = "key-pwd"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-pwd"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key0(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_0
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                            self.yang_name = "key-0"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-0"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key6(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_6
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                            self.yang_name = "key-6"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-6"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key7(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_7
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                            self.yang_name = "key-7"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-7"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                            class AcceptMapRequestMapping(Entity):
                                                """
                                                
                                                
                                                .. attribute:: accept_mappping
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: verify
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                    self.yang_name = "accept-map-request-mapping"
                                                    self.yang_parent_name = "etr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                    self.verify = YLeaf(YType.empty, "verify")
                                                    self._segment_path = lambda: "accept-map-request-mapping"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                        class MapCacheLimit(Entity):
                                            """
                                            Configures maximum size of map\-cache
                                            
                                            .. attribute:: max_map_cache_entries
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..100000
                                            
                                            .. attribute:: reserve_list
                                            
                                            	EID\-prefixes guaranteed to be stored in map\-cache
                                            	**type**\: str
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit, self).__init__()

                                                self.yang_name = "map-cache-limit"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "map-cache-limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                        class SiteRegistration(Entity):
                                            """
                                            Site registrations configuration for a given instance\-id
                                            
                                            .. attribute:: limit
                                            
                                            	Maximum number of site registrations
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Warning threshold to issue system logging
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration, self).__init__()

                                                self.yang_name = "site-registration"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.limit = YLeaf(YType.uint32, "limit")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "site-registration"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                        class SolicitMapRequest(Entity):
                                            """
                                            Configure Solicit\-Map\-Request handling
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore SMR bit in incoming Map\-Requests
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: max_per_entry
                                            
                                            	Maximum number of SMRs for addresses under a map\-cache entry
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: suppression_time
                                            
                                            	How long to suppress repeated SMRs for the same address
                                            	**type**\: int
                                            
                                            	**range:** 1..600
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest, self).__init__()

                                                self.yang_name = "solicit-map-request"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")

                                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                                self._segment_path = lambda: "solicit-map-request"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                        class Alt(Entity):
                                            """
                                            LISP Alternative Topology, LISP\-ALT
                                            
                                            .. attribute:: summary_route
                                            
                                            	Summary route to install into the ALT table
                                            	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt, self).__init__()

                                                self.yang_name = "alt"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute)}

                                                self.summary_route = YList(self)
                                                self._segment_path = lambda: "alt"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt, [], name, value)


                                            class SummaryRoute(Entity):
                                                """
                                                Summary route to install into the ALT table
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                .. attribute:: route_tag
                                                
                                                	ALT RIB route tag for EID prefix
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute, self).__init__()

                                                    self.yang_name = "summary-route"
                                                    self.yang_parent_name = "alt"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                    self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                        class Distance(Entity):
                                            """
                                            Administrative distance for RIB route installation
                                            
                                            .. attribute:: alt
                                            
                                            	LISP routes installed in the ALT table
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: away
                                            
                                            	Administrative distance for RIB route installation
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: dyn_eid
                                            
                                            	LISP installed routes of type dynamic\-EID
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: site_registrations
                                            
                                            	LISP installed routes of type site\-registrations
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance, self).__init__()

                                                self.yang_name = "distance"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.alt = YLeaf(YType.uint8, "alt")

                                                self.away = YLeaf(YType.uint8, "away")

                                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                                self._segment_path = lambda: "distance"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Address family specific map cache configuration
                                            
                                            .. attribute:: eid_interface
                                            
                                            	Configures static EID\-to\-RLOC mappings for an ITR
                                            	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface>`
                                            
                                            .. attribute:: away_eids
                                            
                                            	Map cache configuration for the away table
                                            	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids>`
                                            
                                            .. attribute:: site_registration
                                            
                                            	Install map cache to map request for site registrations
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids)}
                                                self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface)}

                                                self.site_registration = YLeaf(YType.empty, "site-registration")

                                                self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids()
                                                self.away_eids.parent = self
                                                self._children_name_map["away_eids"] = "away-eids"
                                                self._children_yang_names.add("away-eids")

                                                self.eid_interface = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache, ['site_registration'], name, value)


                                            class EidInterface(Entity):
                                                """
                                                Configures static EID\-to\-RLOC mappings for an ITR
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                .. attribute:: etr_interface_ip
                                                
                                                	
                                                	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                                
                                                .. attribute:: drop
                                                
                                                	Drop packets that match this map\-cache entry
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: map_request
                                                
                                                	Send Map\-Request for LISP destination EID
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: native_forward
                                                
                                                	Natively forward packets that match this map\-cache entry
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface, self).__init__()

                                                    self.yang_name = "eid-interface"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                                    self._child_list_classes = {}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.drop = YLeaf(YType.empty, "drop")

                                                    self.map_request = YLeaf(YType.empty, "map-request")

                                                    self.native_forward = YLeaf(YType.empty, "native-forward")

                                                    self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp()
                                                    self.etr_interface_ip.parent = self
                                                    self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                    self._children_yang_names.add("etr-interface-ip")
                                                    self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                                class EtrInterfaceIp(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: etr_interface_ip_address
                                                    
                                                    	IP address of loopback or other ETR interface
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    		**type**\: str
                                                    
                                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                        self.yang_name = "etr-interface-ip"
                                                        self.yang_parent_name = "eid-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")
                                                        self._segment_path = lambda: "etr-interface-ip"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                            class AwayEids(Entity):
                                                """
                                                Map cache configuration for the away table
                                                
                                                .. attribute:: send_map_request
                                                
                                                	Export away table entries into the map cache with action set to send\-map\-request
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids, self).__init__()

                                                    self.yang_name = "away-eids"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                    self._segment_path = lambda: "away-eids"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                        class MapCachePersistent(Entity):
                                            """
                                            Dump map\-cache onto flash, making it persistent across reboots
                                            
                                            .. attribute:: interval
                                            
                                            	Interval in minutes of how often the map\-cache is saved
                                            	**type**\: int
                                            
                                            	**range:** 1..1440
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent, self).__init__()

                                                self.yang_name = "map-cache-persistent"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "map-cache-persistent"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent, ['interval'], name, value)


                                        class ProxyItr(Entity):
                                            """
                                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                            
                                            .. attribute:: ipv4_addr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: ipv6_addr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr, self).__init__()

                                                self.yang_name = "proxy-itr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                                self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                                self._segment_path = lambda: "proxy-itr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                        class RouteExport(Entity):
                                            """
                                            Export routes into RIB from LISP
                                            
                                            .. attribute:: site_registrations
                                            
                                            	Export LISP site registrations to RIB
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: away_eids
                                            
                                            	Export LISP away EIDs to RIB
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport, self).__init__()

                                                self.yang_name = "route-export"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                                self._segment_path = lambda: "route-export"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                        class UsePetr(Entity):
                                            """
                                            Encapsulate to Proxy ETR when matching forward\-native entry
                                            
                                            .. attribute:: locator_address  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	
                                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr, self).__init__()

                                                self.yang_name = "use-petr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority)}
                                                self._child_list_classes = {}

                                                self.locator_address = YLeaf(YType.str, "locator-address")

                                                self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority()
                                                self.priority.parent = self
                                                self._children_name_map["priority"] = "priority"
                                                self._children_yang_names.add("priority")
                                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr, ['locator_address'], name, value)


                                            class Priority(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority_value
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority, self).__init__()

                                                    self.yang_name = "priority"
                                                    self.yang_parent_name = "use-petr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "priority"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                        class RouteImport(Entity):
                                            """
                                            Import RIB routes by a routing protocol into LISP
                                            
                                            .. attribute:: database
                                            
                                            	Use RIB routes to define local EID database entries
                                            	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database>`
                                            
                                            .. attribute:: map_cache
                                            
                                            	Use RIB routes to define EID address space in map\-cache
                                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport, self).__init__()

                                                self.yang_name = "route-import"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache)}
                                                self._child_list_classes = {}

                                                self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database()
                                                self.database.parent = self
                                                self._children_name_map["database"] = "database"
                                                self._children_yang_names.add("database")

                                                self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache()
                                                self.map_cache.parent = self
                                                self._children_name_map["map_cache"] = "map-cache"
                                                self._children_yang_names.add("map-cache")
                                                self._segment_path = lambda: "route-import"


                                            class Database(Entity):
                                                """
                                                Use RIB routes to define local EID database entries
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application>`
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected>`
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbor Discovery
                                                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd>`
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static>`
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database, self).__init__()

                                                    self.yang_name = "database"
                                                    self.yang_parent_name = "route-import"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static)}
                                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip)}

                                                    self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application()
                                                    self.application.parent = self
                                                    self._children_name_map["application"] = "application"
                                                    self._children_yang_names.add("application")

                                                    self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected()
                                                    self.connected.parent = self
                                                    self._children_name_map["connected"] = "connected"
                                                    self._children_yang_names.add("connected")

                                                    self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis()
                                                    self.isis.parent = self
                                                    self._children_name_map["isis"] = "isis"
                                                    self._children_yang_names.add("isis")

                                                    self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                    self._children_yang_names.add("maximum-prefix")

                                                    self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd()
                                                    self.nd.parent = self
                                                    self._children_name_map["nd"] = "nd"
                                                    self._children_yang_names.add("nd")

                                                    self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static()
                                                    self.static.parent = self
                                                    self._children_name_map["static"] = "static"
                                                    self._children_yang_names.add("static")

                                                    self.bgp = YList(self)
                                                    self.eigrp = YList(self)
                                                    self.ospf = YList(self)
                                                    self.rip = YList(self)
                                                    self._segment_path = lambda: "database"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database, [], name, value)


                                                class Application(Entity):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application, self).__init__()

                                                        self.yang_name = "application"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "application"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "application"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Bgp(Entity):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: int
                                                    
                                                    			**range:** 1..4294967295
                                                    
                                                    		**type**\: str
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp, self).__init__()

                                                        self.yang_name = "bgp"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "bgp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Connected(Entity):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected, self).__init__()

                                                        self.yang_name = "connected"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "connected"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "connected"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Eigrp(Entity):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp, self).__init__()

                                                        self.yang_name = "eigrp"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "eigrp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Isis(Entity):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: process_id
                                                    
                                                    	Process name
                                                    	**type**\: str
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis, self).__init__()

                                                        self.yang_name = "isis"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.process_id = YLeaf(YType.str, "process-id")

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "isis"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "isis"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class MaximumPrefix(Entity):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                        self.yang_name = "maximum-prefix"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.number = YLeaf(YType.uint32, "number")

                                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                        self._segment_path = lambda: "maximum-prefix"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                                class Nd(Entity):
                                                    """
                                                    Neighbor Discovery
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd, self).__init__()

                                                        self.yang_name = "nd"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "nd"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "nd"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Ospf(Entity):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf, self).__init__()

                                                        self.yang_name = "ospf"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "ospf"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Static(Entity):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static, self).__init__()

                                                        self.yang_name = "static"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "static"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "static"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Rip(Entity):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	User selected string identifying this process
                                                    	**type**\: str
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip, self).__init__()

                                                        self.yang_name = "rip"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "rip"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MapCache(Entity):
                                                """
                                                Use RIB routes to define EID address space in map\-cache
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbour Discovery
                                                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache, self).__init__()

                                                    self.yang_name = "map-cache"
                                                    self.yang_parent_name = "route-import"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static)}
                                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip)}

                                                    self.application = None
                                                    self._children_name_map["application"] = "application"
                                                    self._children_yang_names.add("application")

                                                    self.connected = None
                                                    self._children_name_map["connected"] = "connected"
                                                    self._children_yang_names.add("connected")

                                                    self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis()
                                                    self.isis.parent = self
                                                    self._children_name_map["isis"] = "isis"
                                                    self._children_yang_names.add("isis")

                                                    self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                    self._children_yang_names.add("maximum-prefix")

                                                    self.nd = None
                                                    self._children_name_map["nd"] = "nd"
                                                    self._children_yang_names.add("nd")

                                                    self.static = None
                                                    self._children_name_map["static"] = "static"
                                                    self._children_yang_names.add("static")

                                                    self.bgp = YList(self)
                                                    self.eigrp = YList(self)
                                                    self.ospf = YList(self)
                                                    self.rip = YList(self)
                                                    self._segment_path = lambda: "map-cache"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache, [], name, value)


                                                class Application(Entity):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application, self).__init__()

                                                        self.yang_name = "application"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "application"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "application"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                                class Bgp(Entity):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: int
                                                    
                                                    			**range:** 1..4294967295
                                                    
                                                    		**type**\: str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                        self.yang_name = "bgp"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "bgp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                                class Connected(Entity):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected, self).__init__()

                                                        self.yang_name = "connected"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "connected"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "connected"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                                class Eigrp(Entity):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                        self.yang_name = "eigrp"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "eigrp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                                class Isis(Entity):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: id
                                                    
                                                    	Process name
                                                    	**type**\: str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis, self).__init__()

                                                        self.yang_name = "isis"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "isis"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "isis"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                                class MaximumPrefix(Entity):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                        self.yang_name = "maximum-prefix"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.number = YLeaf(YType.uint32, "number")

                                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                        self._segment_path = lambda: "maximum-prefix"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                                class Nd(Entity):
                                                    """
                                                    Neighbour Discovery
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd, self).__init__()

                                                        self.yang_name = "nd"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "nd"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "nd"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                                class Ospf(Entity):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                        self.yang_name = "ospf"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "ospf"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                                class Static(Entity):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static, self).__init__()

                                                        self.yang_name = "static"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "static"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "static"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                                class Rip(Entity):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	User selected string identifying this process
                                                    	**type**\: str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip, self).__init__()

                                                        self.yang_name = "rip"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "rip"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                        class DatabaseMapping(Entity):
                                            """
                                            Configures Locator addresses for an ETR
                                            
                                            .. attribute:: eid_cont
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont>`
                                            
                                            .. attribute:: limit
                                            
                                            	Configures the maximum size of local EID prefixes database
                                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping, self).__init__()

                                                self.yang_name = "database-mapping"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit)}
                                                self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont)}

                                                self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit()
                                                self.limit.parent = self
                                                self._children_name_map["limit"] = "limit"
                                                self._children_yang_names.add("limit")

                                                self.eid_cont = YList(self)
                                                self._segment_path = lambda: "database-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping, [], name, value)


                                            class EidCont(Entity):
                                                """
                                                
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\: str
                                                
                                                .. attribute:: ipv4_addrees
                                                
                                                	IPv4 Address of loopback or other ETR interface
                                                	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                                
                                                .. attribute:: ipv6_addrees
                                                
                                                	IPv6 Address of loopback or other ETR interface
                                                	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                                
                                                .. attribute:: ipv4_interface
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                                
                                                .. attribute:: ipv6_interface
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                                
                                                .. attribute:: auto_discover_rlocs
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont, self).__init__()

                                                    self.yang_name = "eid-cont"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")

                                                    self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                    self.ipv4_addrees = YList(self)
                                                    self.ipv6_addrees = YList(self)
                                                    self.ipv4_interface = YList(self)
                                                    self.ipv6_interface = YList(self)
                                                    self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                                class Ipv4Addrees(Entity):
                                                    """
                                                    IPv4 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                        self.yang_name = "ipv4-addrees"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.address = YLeaf(YType.str, "address")

                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "ipv4-addrees"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class Ipv6Addrees(Entity):
                                                    """
                                                    IPv6 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                        self.yang_name = "ipv6-addrees"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.address = YLeaf(YType.str, "address")

                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "ipv6-addrees"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class IPv4Interface(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\: str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                        self.yang_name = "IPv4-interface"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.name = YLeaf(YType.str, "name")

                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "IPv4-interface"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class IPv6Interface(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\: str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                        self.yang_name = "IPv6-interface"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.name = YLeaf(YType.str, "name")

                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "IPv6-interface"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Limit(Entity):
                                                """
                                                Configures the maximum size of local EID prefixes database
                                                
                                                .. attribute:: dynamic
                                                
                                                	Configures the maximum size of dynamic local EID prefixes database
                                                	**type**\: int
                                                
                                                	**range:** 1..5000
                                                
                                                .. attribute:: warning_threshold
                                                
                                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit, self).__init__()

                                                    self.yang_name = "limit"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                    self._segment_path = lambda: "limit"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class Alt(Entity):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt, self).__init__()

                                            self.yang_name = "alt"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute)}

                                            self.summary_route = YList(self)
                                            self._segment_path = lambda: "alt"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt, [], name, value)


                                        class SummaryRoute(Entity):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute, self).__init__()

                                                self.yang_name = "summary-route"
                                                self.yang_parent_name = "alt"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                    class Distance(Entity):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance, self).__init__()

                                            self.yang_name = "distance"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.alt = YLeaf(YType.uint8, "alt")

                                            self.away = YLeaf(YType.uint8, "away")

                                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                            self._segment_path = lambda: "distance"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids)}
                                            self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface)}

                                            self.site_registration = YLeaf(YType.empty, "site-registration")

                                            self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self._children_name_map["away_eids"] = "away-eids"
                                            self._children_yang_names.add("away-eids")

                                            self.eid_interface = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache, ['site_registration'], name, value)


                                        class EidInterface(Entity):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface, self).__init__()

                                                self.yang_name = "eid-interface"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.drop = YLeaf(YType.empty, "drop")

                                                self.map_request = YLeaf(YType.empty, "map-request")

                                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                                self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                        class AwayEids(Entity):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids, self).__init__()

                                                self.yang_name = "away-eids"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                self._segment_path = lambda: "away-eids"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids, ['send_map_request'], name, value)


                                    class MapCachePersistent(Entity):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\: int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent, self).__init__()

                                            self.yang_name = "map-cache-persistent"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "map-cache-persistent"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent, ['interval'], name, value)


                                    class ProxyItr(Entity):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr, self).__init__()

                                            self.yang_name = "proxy-itr"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                            self._segment_path = lambda: "proxy-itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                    class RouteExport(Entity):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport, self).__init__()

                                            self.yang_name = "route-export"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                            self.away_eids = YLeaf(YType.empty, "away-eids")
                                            self._segment_path = lambda: "route-export"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                    class UsePetr(Entity):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr, self).__init__()

                                            self.yang_name = "use-petr"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority)}
                                            self._child_list_classes = {}

                                            self.locator_address = YLeaf(YType.str, "locator-address")

                                            self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr, ['locator_address'], name, value)


                                        class Priority(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "use-petr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                    class RouteImport(Entity):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport, self).__init__()

                                            self.yang_name = "route-import"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache)}
                                            self._child_list_classes = {}

                                            self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database()
                                            self.database.parent = self
                                            self._children_name_map["database"] = "database"
                                            self._children_yang_names.add("database")

                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "route-import"


                                        class Database(Entity):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database, self).__init__()

                                                self.yang_name = "database"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip)}

                                                self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static()
                                                self.static.parent = self
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self.rip = YList(self)
                                                self._segment_path = lambda: "database"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "application"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "connected"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.process_id = YLeaf(YType.str, "process-id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis, ['process_id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "nd"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "static"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip)}

                                                self.application = None
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = None
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = None
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = None
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self.rip = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "application"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "connected"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "nd"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "static"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont)}

                                            self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class Ethernet(Entity):
                                    """
                                    
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable>`
                                    
                                    .. attribute:: broadcast_underlay
                                    
                                    	Multicast group to use for underlay
                                    	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay>`
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet, self).__init__()

                                        self.yang_name = "ethernet"
                                        self.yang_parent_name = "service"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default), "eid-table" : ("eid_table", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.broadcast_underlay = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay()
                                        self.broadcast_underlay.parent = self
                                        self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                        self._children_yang_names.add("broadcast-underlay")

                                        self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "ethernet"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet, ['map_request_source'], name, value)


                                    class Default(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_table
                                        
                                        	Bind an eid\-table
                                        	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable>`
                                        
                                        .. attribute:: broadcast_underlay
                                        
                                        	Multicast group to use for underlay
                                        	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay>`
                                        
                                        .. attribute:: database_mapping
                                        
                                        	Configures Locator addresses for an ETR
                                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping>`
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr>`
                                        
                                        .. attribute:: itr_enable
                                        
                                        	
                                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable>`
                                        
                                        .. attribute:: etr_enable
                                        
                                        	
                                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable>`
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr>`
                                        
                                        .. attribute:: map_cache_limit
                                        
                                        	Configures maximum size of map\-cache
                                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Site registrations configuration for a given instance\-id
                                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration>`
                                        
                                        .. attribute:: solicit_map_request
                                        
                                        	Configure Solicit\-Map\-Request handling
                                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest>`
                                        
                                        .. attribute:: map_request_source
                                        
                                        	Configures inner header source address in Map\-Request message
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache)}
                                            self._child_list_classes = {}

                                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                                            self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable()
                                            self.eid_table.parent = self
                                            self._children_name_map["eid_table"] = "eid-table"
                                            self._children_yang_names.add("eid-table")

                                            self.broadcast_underlay = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay()
                                            self.broadcast_underlay.parent = self
                                            self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                            self._children_yang_names.add("broadcast-underlay")

                                            self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping()
                                            self.database_mapping.parent = self
                                            self._children_name_map["database_mapping"] = "database-mapping"
                                            self._children_yang_names.add("database-mapping")

                                            self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr()
                                            self.itr.parent = self
                                            self._children_name_map["itr"] = "itr"
                                            self._children_yang_names.add("itr")

                                            self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable()
                                            self.itr_enable.parent = self
                                            self._children_name_map["itr_enable"] = "itr-enable"
                                            self._children_yang_names.add("itr-enable")

                                            self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable()
                                            self.etr_enable.parent = self
                                            self._children_name_map["etr_enable"] = "etr-enable"
                                            self._children_yang_names.add("etr-enable")

                                            self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr()
                                            self.etr.parent = self
                                            self._children_name_map["etr"] = "etr"
                                            self._children_yang_names.add("etr")

                                            self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit()
                                            self.map_cache_limit.parent = self
                                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                            self._children_yang_names.add("map-cache-limit")

                                            self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration()
                                            self.site_registration.parent = self
                                            self._children_name_map["site_registration"] = "site-registration"
                                            self._children_yang_names.add("site-registration")

                                            self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest()
                                            self.solicit_map_request.parent = self
                                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                            self._children_yang_names.add("solicit-map-request")

                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default, ['map_request_source'], name, value)


                                        class EidTable(Entity):
                                            """
                                            Bind an eid\-table
                                            
                                            .. attribute:: vlan
                                            
                                            	VLAN configuration
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable, self).__init__()

                                                self.yang_name = "eid-table"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vlan = YLeaf(YType.uint16, "vlan")
                                                self._segment_path = lambda: "eid-table"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable, ['vlan'], name, value)


                                        class BroadcastUnderlay(Entity):
                                            """
                                            Multicast group to use for underlay
                                            
                                            .. attribute:: ipv4_multicast
                                            
                                            	IPv4 multicast group address
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: ipv6_multicast
                                            
                                            	IPv6 multicast group address
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay, self).__init__()

                                                self.yang_name = "broadcast-underlay"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                                self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                                self._segment_path = lambda: "broadcast-underlay"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                        class DatabaseMapping(Entity):
                                            """
                                            Configures Locator addresses for an ETR
                                            
                                            .. attribute:: eid_cont
                                            
                                            	EID\-record for RLOC static mapping
                                            	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont>`
                                            
                                            .. attribute:: mac
                                            
                                            	L2 EID records
                                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: limit
                                            
                                            	Configures the maximum size of local EID prefixes database
                                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping, self).__init__()

                                                self.yang_name = "database-mapping"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"mac" : ("mac", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit)}
                                                self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont)}

                                                self.mac = None
                                                self._children_name_map["mac"] = "mac"
                                                self._children_yang_names.add("mac")

                                                self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit()
                                                self.limit.parent = self
                                                self._children_name_map["limit"] = "limit"
                                                self._children_yang_names.add("limit")

                                                self.eid_cont = YList(self)
                                                self._segment_path = lambda: "database-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping, [], name, value)


                                            class EidCont(Entity):
                                                """
                                                EID\-record for RLOC static mapping
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	xxxx.xxxx.xxxx 48 bit mac address
                                                	**type**\: str
                                                
                                                	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\: str
                                                
                                                .. attribute:: ipv4_addrees
                                                
                                                	IPv4 Address of loopback or other ETR interface
                                                	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                                
                                                .. attribute:: ipv6_addrees
                                                
                                                	IPv6 Address of loopback or other ETR interface
                                                	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                                
                                                .. attribute:: ipv4_interface
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                                
                                                .. attribute:: ipv6_interface
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont, self).__init__()

                                                    self.yang_name = "eid-cont"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")

                                                    self.ipv4_addrees = YList(self)
                                                    self.ipv6_addrees = YList(self)
                                                    self.ipv4_interface = YList(self)
                                                    self.ipv6_interface = YList(self)
                                                    self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                                class Ipv4Addrees(Entity):
                                                    """
                                                    IPv4 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                        self.yang_name = "ipv4-addrees"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.address = YLeaf(YType.str, "address")

                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "ipv4-addrees"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class Ipv6Addrees(Entity):
                                                    """
                                                    IPv6 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                        self.yang_name = "ipv6-addrees"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.address = YLeaf(YType.str, "address")

                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "ipv6-addrees"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class IPv4Interface(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\: str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                        self.yang_name = "IPv4-interface"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.name = YLeaf(YType.str, "name")

                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "IPv4-interface"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class IPv6Interface(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\: str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                        self.yang_name = "IPv6-interface"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.name = YLeaf(YType.str, "name")

                                                        self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "IPv6-interface"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Mac(Entity):
                                                """
                                                L2 EID records
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac, self).__init__()

                                                    self.yang_name = "mac"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "mac"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac, ['locator_set'], name, value)


                                            class Limit(Entity):
                                                """
                                                Configures the maximum size of local EID prefixes database
                                                
                                                .. attribute:: dynamic
                                                
                                                	Configures the maximum size of dynamic local EID prefixes database
                                                	**type**\: int
                                                
                                                	**range:** 1..5000
                                                
                                                .. attribute:: warning_threshold
                                                
                                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit, self).__init__()

                                                    self.yang_name = "limit"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                    self._segment_path = lambda: "limit"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                        class Itr(Entity):
                                            """
                                            Configures a LISP Ingress Tunnel Router (ITR)
                                            
                                            .. attribute:: map_resolver
                                            
                                            	Configures map\-resolver address for sending Map\-Requests
                                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr, self).__init__()

                                                self.yang_name = "itr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver)}

                                                self.map_resolver = YList(self)
                                                self._segment_path = lambda: "itr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr, [], name, value)


                                            class MapResolver(Entity):
                                                """
                                                Configures map\-resolver address for sending Map\-Requests
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver, self).__init__()

                                                    self.yang_name = "map-resolver"
                                                    self.yang_parent_name = "itr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                        class ItrEnable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: itr
                                            
                                            	Configures a LISP Ingress Tunnel Router (ITR)
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable, self).__init__()

                                                self.yang_name = "itr-enable"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.itr = YLeaf(YType.empty, "itr")
                                                self._segment_path = lambda: "itr-enable"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable, ['itr'], name, value)


                                        class EtrEnable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr
                                            
                                            	Configures a LISP Egress Tunnel Router (ETR)
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable, self).__init__()

                                                self.yang_name = "etr-enable"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr = YLeaf(YType.empty, "etr")
                                                self._segment_path = lambda: "etr-enable"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable, ['etr'], name, value)


                                        class Etr(Entity):
                                            """
                                            Configures a LISP Egress Tunnel Router (ETR)
                                            
                                            .. attribute:: map_server
                                            
                                            	Configures map server for ETR registration
                                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer>`
                                            
                                            .. attribute:: map_cache_ttl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 60..10080
                                            
                                            .. attribute:: accept_map_request_mapping
                                            
                                            	
                                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr, self).__init__()

                                                self.yang_name = "etr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping)}
                                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer)}

                                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                                self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                                self.accept_map_request_mapping.parent = self
                                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                                self._children_yang_names.add("accept-map-request-mapping")

                                                self.map_server = YList(self)
                                                self._segment_path = lambda: "etr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr, ['map_cache_ttl'], name, value)


                                            class MapServer(Entity):
                                                """
                                                Configures map server for ETR registration
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: key
                                                
                                                	Authentication key used with map server
                                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key>`
                                                
                                                .. attribute:: proxy_reply
                                                
                                                	Request Map\-Server to send Map\-Replies on behalf of site
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer, self).__init__()

                                                    self.yang_name = "map-server"
                                                    self.yang_parent_name = "etr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key)}
                                                    self._child_list_classes = {}

                                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                    self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key()
                                                    self.key.parent = self
                                                    self._children_name_map["key"] = "key"
                                                    self._children_yang_names.add("key")
                                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                                class Key(Entity):
                                                    """
                                                    Authentication key used with map server
                                                    
                                                    .. attribute:: key_pwd
                                                    
                                                    	
                                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                                    
                                                    .. attribute:: key_0
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                                    
                                                    .. attribute:: key_6
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                                    
                                                    .. attribute:: key_7
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key, self).__init__()

                                                        self.yang_name = "key"
                                                        self.yang_parent_name = "map-server"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7)}
                                                        self._child_list_classes = {}

                                                        self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                                        self.key_pwd.parent = self
                                                        self._children_name_map["key_pwd"] = "key-pwd"
                                                        self._children_yang_names.add("key-pwd")

                                                        self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                                        self.key_0.parent = self
                                                        self._children_name_map["key_0"] = "key-0"
                                                        self._children_yang_names.add("key-0")

                                                        self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                                        self.key_6.parent = self
                                                        self._children_name_map["key_6"] = "key-6"
                                                        self._children_yang_names.add("key-6")

                                                        self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                                        self.key_7.parent = self
                                                        self._children_name_map["key_7"] = "key-7"
                                                        self._children_yang_names.add("key-7")
                                                        self._segment_path = lambda: "key"


                                                    class KeyPwd(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: unc_pwd
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                            self.yang_name = "key-pwd"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-pwd"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key0(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_0
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                            self.yang_name = "key-0"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-0"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key6(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_6
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                            self.yang_name = "key-6"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-6"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key7(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_7
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                            self.yang_name = "key-7"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-7"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                            class AcceptMapRequestMapping(Entity):
                                                """
                                                
                                                
                                                .. attribute:: accept_mappping
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: verify
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                    self.yang_name = "accept-map-request-mapping"
                                                    self.yang_parent_name = "etr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                    self.verify = YLeaf(YType.empty, "verify")
                                                    self._segment_path = lambda: "accept-map-request-mapping"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                        class MapCacheLimit(Entity):
                                            """
                                            Configures maximum size of map\-cache
                                            
                                            .. attribute:: max_map_cache_entries
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..100000
                                            
                                            .. attribute:: reserve_list
                                            
                                            	EID\-prefixes guaranteed to be stored in map\-cache
                                            	**type**\: str
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit, self).__init__()

                                                self.yang_name = "map-cache-limit"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "map-cache-limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                        class SiteRegistration(Entity):
                                            """
                                            Site registrations configuration for a given instance\-id
                                            
                                            .. attribute:: limit
                                            
                                            	Maximum number of site registrations
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Warning threshold to issue system logging
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration, self).__init__()

                                                self.yang_name = "site-registration"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.limit = YLeaf(YType.uint32, "limit")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "site-registration"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                        class SolicitMapRequest(Entity):
                                            """
                                            Configure Solicit\-Map\-Request handling
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore SMR bit in incoming Map\-Requests
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: max_per_entry
                                            
                                            	Maximum number of SMRs for addresses under a map\-cache entry
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: suppression_time
                                            
                                            	How long to suppress repeated SMRs for the same address
                                            	**type**\: int
                                            
                                            	**range:** 1..600
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest, self).__init__()

                                                self.yang_name = "solicit-map-request"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")

                                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                                self._segment_path = lambda: "solicit-map-request"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: eid_cont
                                            
                                            	EID\-record for RLOC static mapping
                                            	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont)}

                                                self.eid_cont = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache, [], name, value)


                                            class EidCont(Entity):
                                                """
                                                EID\-record for RLOC static mapping
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	xxxx.xxxx.xxxx 48 bit mac address
                                                	**type**\: str
                                                
                                                	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                                
                                                .. attribute:: etr_interface_ip
                                                
                                                	
                                                	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont, self).__init__()

                                                    self.yang_name = "eid-cont"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp)}
                                                    self._child_list_classes = {}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp()
                                                    self.etr_interface_ip.parent = self
                                                    self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                    self._children_yang_names.add("etr-interface-ip")
                                                    self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont, ['eid_prefix'], name, value)


                                                class EtrInterfaceIp(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: etr_interface_ip_address
                                                    
                                                    	IP address of loopback or other ETR interface
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    		**type**\: str
                                                    
                                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                        self.yang_name = "etr-interface-ip"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")
                                                        self._segment_path = lambda: "etr-interface-ip"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vlan
                                        
                                        	VLAN configuration
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vlan = YLeaf(YType.uint16, "vlan")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable, ['vlan'], name, value)


                                    class BroadcastUnderlay(Entity):
                                        """
                                        Multicast group to use for underlay
                                        
                                        .. attribute:: ipv4_multicast
                                        
                                        	IPv4 multicast group address
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_multicast
                                        
                                        	IPv6 multicast group address
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay, self).__init__()

                                            self.yang_name = "broadcast-underlay"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                            self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                            self._segment_path = lambda: "broadcast-underlay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: mac
                                        
                                        	L2 EID records
                                        	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"mac" : ("mac", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont)}

                                            self.mac = None
                                            self._children_name_map["mac"] = "mac"
                                            self._children_yang_names.add("mac")

                                            self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Mac(Entity):
                                            """
                                            L2 EID records
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac, self).__init__()

                                                self.yang_name = "mac"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "mac"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac, ['locator_set'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont)}

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont, ['eid_prefix'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                        class Decapsulation(Entity):
                            """
                            Decapsulation behavior (e.g. filters)
                            
                            .. attribute:: filter
                            
                            	Filters traffic
                            	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation, self).__init__()

                                self.yang_name = "decapsulation"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"filter" : ("filter", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter)}
                                self._child_list_classes = {}

                                self.filter = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter()
                                self.filter.parent = self
                                self._children_name_map["filter"] = "filter"
                                self._children_yang_names.add("filter")
                                self._segment_path = lambda: "decapsulation"


                            class Filter(Entity):
                                """
                                Filters traffic
                                
                                .. attribute:: rloc
                                
                                	Filter based on Routing Locator (RLOC) in packet header
                                	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter, self).__init__()

                                    self.yang_name = "filter"
                                    self.yang_parent_name = "decapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc)}
                                    self._child_list_classes = {}

                                    self.rloc = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc()
                                    self.rloc.parent = self
                                    self._children_name_map["rloc"] = "rloc"
                                    self._children_yang_names.add("rloc")
                                    self._segment_path = lambda: "filter"


                                class Rloc(Entity):
                                    """
                                    Filter based on Routing Locator (RLOC) in packet header
                                    
                                    .. attribute:: source
                                    
                                    	Filters traffic based on RLOC source address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc, self).__init__()

                                        self.yang_name = "rloc"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "rloc"


                                    class Source(Entity):
                                        """
                                        Filters traffic based on RLOC source address
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator\-set Name
                                        	**type**\: str
                                        
                                        .. attribute:: member
                                        
                                        	Members learned from map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "rloc"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.member = YLeaf(YType.empty, "member")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                        class DynamicEid(Entity):
                            """
                            Configure a dynamic EID
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: database_mapping
                            
                            	Configures EID\-prefix and locator\-set for dynamic\-EID
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping>`
                            
                            .. attribute:: eid_notify
                            
                            	Configure options for sending/receiving EID\-notify
                            	**type**\:  :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify>`
                            
                            .. attribute:: map_notify_group
                            
                            	Multicast group which to send map\-notifies to
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid, self).__init__()

                                self.yang_name = "dynamic-eid"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping), "eid-notify" : ("eid_notify", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer)}

                                self.name = YLeaf(YType.str, "name")

                                self.map_notify_group = YLeaf(YType.str, "map-notify-group")

                                self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.eid_notify = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify()
                                self.eid_notify.parent = self
                                self._children_name_map["eid_notify"] = "eid-notify"
                                self._children_yang_names.add("eid-notify")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "dynamic-eid" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid, ['name', 'map_notify_group'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Configures EID\-prefix and locator\-set for dynamic\-EID
                                
                                .. attribute:: ipv4_prefix
                                
                                	IPv4 EID\-prefix for dynamic\-EID
                                	**type**\: list of  		 :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ipv4-prefix" : ("ipv4_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix)}

                                    self.ipv4_prefix = YList(self)
                                    self._segment_path = lambda: "database-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping, [], name, value)


                                class Ipv4Prefix(Entity):
                                    """
                                    IPv4 EID\-prefix for dynamic\-EID
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix, self).__init__()

                                        self.yang_name = "ipv4-prefix"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "ipv4-prefix" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix, ['eid_prefix', 'locator_set'], name, value)


                            class EidNotify(Entity):
                                """
                                Configure options for sending/receiving EID\-notify
                                
                                .. attribute:: authentication_key
                                
                                	Authentication key used for validating received EID\-notify
                                	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                                
                                .. attribute:: gateway_key
                                
                                	
                                	**type**\: list of  		 :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify, self).__init__()

                                    self.yang_name = "eid-notify"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey)}
                                    self._child_list_classes = {"gateway-key" : ("gateway_key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey)}

                                    self.authentication_key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self._children_name_map["authentication_key"] = "authentication-key"
                                    self._children_yang_names.add("authentication-key")

                                    self.gateway_key = YList(self)
                                    self._segment_path = lambda: "eid-notify"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify, [], name, value)


                                class AuthenticationKey(Entity):
                                    """
                                    Authentication key used for validating received EID\-notify
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: key_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey, self).__init__()

                                        self.yang_name = "authentication-key"
                                        self.yang_parent_name = "eid-notify"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.key_0 = YLeaf(YType.str, "key-0")

                                        self.key_6 = YLeaf(YType.str, "key-6")

                                        self.key_7 = YLeaf(YType.str, "key-7")
                                        self._segment_path = lambda: "authentication-key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                                class GatewayKey(Entity):
                                    """
                                    
                                    
                                    .. attribute:: gateway_ip  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey, self).__init__()

                                        self.yang_name = "gateway-key"
                                        self.yang_parent_name = "eid-notify"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key)}
                                        self._child_list_classes = {}

                                        self.gateway_ip = YLeaf(YType.str, "gateway-ip")

                                        self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "gateway-key" + "[gateway-ip='" + self.gateway_ip.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey, ['gateway_ip'], name, value)


                                    class Key(Entity):
                                        """
                                        
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "gateway-key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                        class LocReachAlgorithm(Entity):
                            """
                            Configure locator reachability algorithm
                            
                            .. attribute:: lsb_reports
                            
                            	Configure data packet LSB report handling
                            	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports>`
                            
                            .. attribute:: rloc_probing
                            
                            	Probe high priority RLOCs with Map\-Requests as last resort
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm, self).__init__()

                                self.yang_name = "loc-reach-algorithm"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports)}
                                self._child_list_classes = {}

                                self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                                self.lsb_reports = Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports()
                                self.lsb_reports.parent = self
                                self._children_name_map["lsb_reports"] = "lsb-reports"
                                self._children_yang_names.add("lsb-reports")
                                self._segment_path = lambda: "loc-reach-algorithm"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm, ['rloc_probing'], name, value)


                            class LsbReports(Entity):
                                """
                                Configure data packet LSB report handling
                                
                                .. attribute:: do_not_transmit
                                
                                	Force the setting of the encapsulation header L bit to zero
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ignore
                                
                                	Ignore data packet LSB reports
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports, self).__init__()

                                    self.yang_name = "lsb-reports"
                                    self.yang_parent_name = "loc-reach-algorithm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                                    self.ignore = YLeaf(YType.empty, "ignore")
                                    self._segment_path = lambda: "lsb-reports"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                        class MapServer(Entity):
                            """
                            Map\-Server commands
                            
                            .. attribute:: rloc
                            
                            	EID instance RLOC membership
                            	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc>`
                            
                            .. attribute:: site_registration
                            
                            	Map\-server site registration options
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration)}
                                self._child_list_classes = {}

                                self.rloc = Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc()
                                self.rloc.parent = self
                                self._children_name_map["rloc"] = "rloc"
                                self._children_yang_names.add("rloc")

                                self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")
                                self._segment_path = lambda: "map-server"


                            class Rloc(Entity):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: members
                                
                                	EID instance RLOC membership
                                	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc, self).__init__()

                                    self.yang_name = "rloc"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"members" : ("members", Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members)}
                                    self._child_list_classes = {}

                                    self.members = Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members()
                                    self.members.parent = self
                                    self._children_name_map["members"] = "members"
                                    self._children_yang_names.add("members")
                                    self._segment_path = lambda: "rloc"


                                class Members(Entity):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: distribute
                                    
                                    	EID instance RLOC membership distribution
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: modify_discovered
                                    
                                    	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members, self).__init__()

                                        self.yang_name = "members"
                                        self.yang_parent_name = "rloc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered)}
                                        self._child_list_classes = {}

                                        self.distribute = YLeaf(YType.empty, "distribute")

                                        self.modify_discovered = Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                        self.modify_discovered.parent = self
                                        self._children_name_map["modify_discovered"] = "modify-discovered"
                                        self._children_yang_names.add("modify-discovered")
                                        self._segment_path = lambda: "members"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members, ['distribute'], name, value)


                                    class ModifyDiscovered(Entity):
                                        """
                                        Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        
                                        .. attribute:: operator
                                        
                                        	
                                        	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set from which to get member RLOC addresses
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                            self.yang_name = "modify-discovered"
                                            self.yang_parent_name = "members"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.operator = YLeaf(YType.enumeration, "operator")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "modify-discovered"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                        class Operator(Enum):
                                            """
                                            Operator

                                            .. data:: add = 0

                                            .. data:: override = 1

                                            """

                                            add = Enum.YLeaf(0, "add")

                                            override = Enum.YLeaf(1, "override")



                            class SiteRegistration(Entity):
                                """
                                Map\-server site registration options
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations as a result of accept\-more\-specifics
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class OtherXtrProbe(Entity):
                            """
                            Configure parameters for probing of other xTRs in our site
                            
                            .. attribute:: period
                            
                            	Period between probes in seconds
                            	**type**\: int
                            
                            	**range:** 5..900
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.OtherXtrProbe, self).__init__()

                                self.yang_name = "other-xtr-probe"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.period = YLeaf(YType.uint16, "period")
                                self._segment_path = lambda: "other-xtr-probe"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.OtherXtrProbe, ['period'], name, value)


                        class RemoteRlocProbe(Entity):
                            """
                            Configure parameters for probing of remote RLOCs
                            
                            .. attribute:: on_membership_change
                            
                            	Trigger probing upon membership changes for remote RLOC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: on_route_change
                            
                            	Trigger probing upon routing changes for remote RLOC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.RemoteRlocProbe, self).__init__()

                                self.yang_name = "remote-rloc-probe"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                                self.on_route_change = YLeaf(YType.empty, "on-route-change")
                                self._segment_path = lambda: "remote-rloc-probe"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                        class Service(Entity):
                            """
                            Configure lisp service type
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv6
                            
                            	
                            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ethernet
                            
                            	
                            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service, self).__init__()

                                self.yang_name = "service"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4), "ipv6" : ("ipv6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6), "ethernet" : ("ethernet", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ipv4 = None
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")

                                self.ipv6 = None
                                self._children_name_map["ipv6"] = "ipv6"
                                self._children_yang_names.add("ipv6")

                                self.ethernet = None
                                self._children_name_map["ethernet"] = "ethernet"
                                self._children_yang_names.add("ethernet")
                                self._segment_path = lambda: "service"


                            class Ipv4(Entity):
                                """
                                
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest>`
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\: str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent>`
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "service"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default), "eid-table" : ("eid_table", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable), "itr" : ("itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt), "distance" : ("distance", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping)}
                                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr)}
                                    self.is_presence_container = True

                                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                    self.sgt = YLeaf(YType.empty, "sgt")

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt()
                                    self.alt.parent = self
                                    self._children_name_map["alt"] = "alt"
                                    self._children_yang_names.add("alt")

                                    self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")

                                    self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                    self._children_yang_names.add("map-cache-persistent")

                                    self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self._children_name_map["proxy_itr"] = "proxy-itr"
                                    self._children_yang_names.add("proxy-itr")

                                    self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport()
                                    self.route_export.parent = self
                                    self._children_name_map["route_export"] = "route-export"
                                    self._children_yang_names.add("route-export")

                                    self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport()
                                    self.route_import.parent = self
                                    self._children_name_map["route_import"] = "route-import"
                                    self._children_yang_names.add("route-import")

                                    self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.use_petr = YList(self)
                                    self._segment_path = lambda: "ipv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest>`
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\: str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent>`
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable), "itr" : ("itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt), "distance" : ("distance", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping)}
                                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr)}

                                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                        self.sgt = YLeaf(YType.empty, "sgt")

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt()
                                        self.alt.parent = self
                                        self._children_name_map["alt"] = "alt"
                                        self._children_yang_names.add("alt")

                                        self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance()
                                        self.distance.parent = self
                                        self._children_name_map["distance"] = "distance"
                                        self._children_yang_names.add("distance")

                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")

                                        self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                        self._children_yang_names.add("map-cache-persistent")

                                        self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self._children_name_map["proxy_itr"] = "proxy-itr"
                                        self._children_yang_names.add("proxy-itr")

                                        self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport()
                                        self.route_export.parent = self
                                        self._children_name_map["route_export"] = "route-export"
                                        self._children_yang_names.add("route-export")

                                        self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport()
                                        self.route_import.parent = self
                                        self._children_name_map["route_import"] = "route-import"
                                        self._children_yang_names.add("route-import")

                                        self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.use_petr = YList(self)
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class Alt(Entity):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt, self).__init__()

                                            self.yang_name = "alt"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute)}

                                            self.summary_route = YList(self)
                                            self._segment_path = lambda: "alt"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt, [], name, value)


                                        class SummaryRoute(Entity):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute, self).__init__()

                                                self.yang_name = "summary-route"
                                                self.yang_parent_name = "alt"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                    class Distance(Entity):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance, self).__init__()

                                            self.yang_name = "distance"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.alt = YLeaf(YType.uint8, "alt")

                                            self.away = YLeaf(YType.uint8, "away")

                                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                            self._segment_path = lambda: "distance"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids)}
                                            self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface)}

                                            self.site_registration = YLeaf(YType.empty, "site-registration")

                                            self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self._children_name_map["away_eids"] = "away-eids"
                                            self._children_yang_names.add("away-eids")

                                            self.eid_interface = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache, ['site_registration'], name, value)


                                        class EidInterface(Entity):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface, self).__init__()

                                                self.yang_name = "eid-interface"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.drop = YLeaf(YType.empty, "drop")

                                                self.map_request = YLeaf(YType.empty, "map-request")

                                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                                self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                        class AwayEids(Entity):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids, self).__init__()

                                                self.yang_name = "away-eids"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                self._segment_path = lambda: "away-eids"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                    class MapCachePersistent(Entity):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\: int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent, self).__init__()

                                            self.yang_name = "map-cache-persistent"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "map-cache-persistent"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent, ['interval'], name, value)


                                    class ProxyItr(Entity):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr, self).__init__()

                                            self.yang_name = "proxy-itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                            self._segment_path = lambda: "proxy-itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                    class RouteExport(Entity):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport, self).__init__()

                                            self.yang_name = "route-export"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                            self.away_eids = YLeaf(YType.empty, "away-eids")
                                            self._segment_path = lambda: "route-export"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                    class UsePetr(Entity):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr, self).__init__()

                                            self.yang_name = "use-petr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority)}
                                            self._child_list_classes = {}

                                            self.locator_address = YLeaf(YType.str, "locator-address")

                                            self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr, ['locator_address'], name, value)


                                        class Priority(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "use-petr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                    class RouteImport(Entity):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport, self).__init__()

                                            self.yang_name = "route-import"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache)}
                                            self._child_list_classes = {}

                                            self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database()
                                            self.database.parent = self
                                            self._children_name_map["database"] = "database"
                                            self._children_yang_names.add("database")

                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "route-import"


                                        class Database(Entity):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database, self).__init__()

                                                self.yang_name = "database"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf)}

                                                self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static()
                                                self.static.parent = self
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip()
                                                self.rip.parent = self
                                                self._children_name_map["rip"] = "rip"
                                                self._children_yang_names.add("rip")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self._segment_path = lambda: "database"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "application"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "connected"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.process_id = YLeaf(YType.str, "process-id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "nd"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "static"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "rip"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf)}

                                                self.application = None
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = None
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = None
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = None
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip()
                                                self.rip.parent = self
                                                self._children_name_map["rip"] = "rip"
                                                self._children_yang_names.add("rip")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "application"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "connected"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "nd"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "static"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "rip"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont)}

                                            self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                                        self.default = YLeaf(YType.empty, "default")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class Alt(Entity):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt, self).__init__()

                                        self.yang_name = "alt"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute)}

                                        self.summary_route = YList(self)
                                        self._segment_path = lambda: "alt"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt, [], name, value)


                                    class SummaryRoute(Entity):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute, self).__init__()

                                            self.yang_name = "summary-route"
                                            self.yang_parent_name = "alt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                class Distance(Entity):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.alt = YLeaf(YType.uint8, "alt")

                                        self.away = YLeaf(YType.uint8, "away")

                                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                class MapCache(Entity):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids)}
                                        self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface)}

                                        self.site_registration = YLeaf(YType.empty, "site-registration")

                                        self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self._children_name_map["away_eids"] = "away-eids"
                                        self._children_yang_names.add("away-eids")

                                        self.eid_interface = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache, ['site_registration'], name, value)


                                    class EidInterface(Entity):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface, self).__init__()

                                            self.yang_name = "eid-interface"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.drop = YLeaf(YType.empty, "drop")

                                            self.map_request = YLeaf(YType.empty, "map-request")

                                            self.native_forward = YLeaf(YType.empty, "native-forward")

                                            self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class AwayEids(Entity):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids, self).__init__()

                                            self.yang_name = "away-eids"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                            self._segment_path = lambda: "away-eids"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids, ['send_map_request'], name, value)


                                class MapCachePersistent(Entity):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\: int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent, self).__init__()

                                        self.yang_name = "map-cache-persistent"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "map-cache-persistent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent, ['interval'], name, value)


                                class ProxyItr(Entity):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr, self).__init__()

                                        self.yang_name = "proxy-itr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                        self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                        self._segment_path = lambda: "proxy-itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                class RouteExport(Entity):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport, self).__init__()

                                        self.yang_name = "route-export"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                        self.away_eids = YLeaf(YType.empty, "away-eids")
                                        self._segment_path = lambda: "route-export"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                class UsePetr(Entity):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr, self).__init__()

                                        self.yang_name = "use-petr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority)}
                                        self._child_list_classes = {}

                                        self.locator_address = YLeaf(YType.str, "locator-address")

                                        self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr, ['locator_address'], name, value)


                                    class Priority(Entity):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "use-petr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority_value = YLeaf(YType.uint8, "priority-value")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                class RouteImport(Entity):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport, self).__init__()

                                        self.yang_name = "route-import"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache)}
                                        self._child_list_classes = {}

                                        self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database()
                                        self.database.parent = self
                                        self._children_name_map["database"] = "database"
                                        self._children_yang_names.add("database")

                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "route-import"


                                    class Database(Entity):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database, self).__init__()

                                            self.yang_name = "database"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf)}

                                            self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static()
                                            self.static.parent = self
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip()
                                            self.rip.parent = self
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self._segment_path = lambda: "database"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "application"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "connected"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.process_id = YLeaf(YType.str, "process-id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis, ['process_id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "nd"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "static"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "rip"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf)}

                                            self.application = None
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = None
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.rip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip()
                                            self.rip.parent = self
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "application"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "connected"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "nd"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "static"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "rip"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont)}

                                        self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Ipv6(Entity):
                                """
                                
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest>`
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\: str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent>`
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "service"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default), "eid-table" : ("eid_table", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable), "itr" : ("itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt), "distance" : ("distance", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping)}
                                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr)}
                                    self.is_presence_container = True

                                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                    self.sgt = YLeaf(YType.empty, "sgt")

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt()
                                    self.alt.parent = self
                                    self._children_name_map["alt"] = "alt"
                                    self._children_yang_names.add("alt")

                                    self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")

                                    self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                    self._children_yang_names.add("map-cache-persistent")

                                    self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self._children_name_map["proxy_itr"] = "proxy-itr"
                                    self._children_yang_names.add("proxy-itr")

                                    self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport()
                                    self.route_export.parent = self
                                    self._children_name_map["route_export"] = "route-export"
                                    self._children_yang_names.add("route-export")

                                    self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport()
                                    self.route_import.parent = self
                                    self._children_name_map["route_import"] = "route-import"
                                    self._children_yang_names.add("route-import")

                                    self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.use_petr = YList(self)
                                    self._segment_path = lambda: "ipv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest>`
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\: str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent>`
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable), "itr" : ("itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt), "distance" : ("distance", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping)}
                                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr)}

                                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                        self.sgt = YLeaf(YType.empty, "sgt")

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.alt = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt()
                                        self.alt.parent = self
                                        self._children_name_map["alt"] = "alt"
                                        self._children_yang_names.add("alt")

                                        self.distance = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance()
                                        self.distance.parent = self
                                        self._children_name_map["distance"] = "distance"
                                        self._children_yang_names.add("distance")

                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")

                                        self.map_cache_persistent = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                        self._children_yang_names.add("map-cache-persistent")

                                        self.proxy_itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self._children_name_map["proxy_itr"] = "proxy-itr"
                                        self._children_yang_names.add("proxy-itr")

                                        self.route_export = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport()
                                        self.route_export.parent = self
                                        self._children_name_map["route_export"] = "route-export"
                                        self._children_yang_names.add("route-export")

                                        self.route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport()
                                        self.route_import.parent = self
                                        self._children_name_map["route_import"] = "route-import"
                                        self._children_yang_names.add("route-import")

                                        self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.use_petr = YList(self)
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class Alt(Entity):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt, self).__init__()

                                            self.yang_name = "alt"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute)}

                                            self.summary_route = YList(self)
                                            self._segment_path = lambda: "alt"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt, [], name, value)


                                        class SummaryRoute(Entity):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute, self).__init__()

                                                self.yang_name = "summary-route"
                                                self.yang_parent_name = "alt"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                    class Distance(Entity):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance, self).__init__()

                                            self.yang_name = "distance"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.alt = YLeaf(YType.uint8, "alt")

                                            self.away = YLeaf(YType.uint8, "away")

                                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                            self._segment_path = lambda: "distance"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids)}
                                            self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface)}

                                            self.site_registration = YLeaf(YType.empty, "site-registration")

                                            self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self._children_name_map["away_eids"] = "away-eids"
                                            self._children_yang_names.add("away-eids")

                                            self.eid_interface = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache, ['site_registration'], name, value)


                                        class EidInterface(Entity):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface, self).__init__()

                                                self.yang_name = "eid-interface"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.drop = YLeaf(YType.empty, "drop")

                                                self.map_request = YLeaf(YType.empty, "map-request")

                                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                                self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                        class AwayEids(Entity):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids, self).__init__()

                                                self.yang_name = "away-eids"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                self._segment_path = lambda: "away-eids"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                    class MapCachePersistent(Entity):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\: int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent, self).__init__()

                                            self.yang_name = "map-cache-persistent"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "map-cache-persistent"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent, ['interval'], name, value)


                                    class ProxyItr(Entity):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr, self).__init__()

                                            self.yang_name = "proxy-itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                            self._segment_path = lambda: "proxy-itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                    class RouteExport(Entity):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport, self).__init__()

                                            self.yang_name = "route-export"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                            self.away_eids = YLeaf(YType.empty, "away-eids")
                                            self._segment_path = lambda: "route-export"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                    class UsePetr(Entity):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr, self).__init__()

                                            self.yang_name = "use-petr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority)}
                                            self._child_list_classes = {}

                                            self.locator_address = YLeaf(YType.str, "locator-address")

                                            self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr, ['locator_address'], name, value)


                                        class Priority(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "use-petr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                    class RouteImport(Entity):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport, self).__init__()

                                            self.yang_name = "route-import"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache)}
                                            self._child_list_classes = {}

                                            self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database()
                                            self.database.parent = self
                                            self._children_name_map["database"] = "database"
                                            self._children_yang_names.add("database")

                                            self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "route-import"


                                        class Database(Entity):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database, self).__init__()

                                                self.yang_name = "database"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip)}

                                                self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static()
                                                self.static.parent = self
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self.rip = YList(self)
                                                self._segment_path = lambda: "database"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "application"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "connected"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.process_id = YLeaf(YType.str, "process-id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "nd"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "static"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip)}

                                                self.application = None
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = None
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = None
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = None
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self.rip = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "application"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "connected"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "nd"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "static"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont)}

                                            self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                                        self.default = YLeaf(YType.empty, "default")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class Alt(Entity):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt, self).__init__()

                                        self.yang_name = "alt"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute)}

                                        self.summary_route = YList(self)
                                        self._segment_path = lambda: "alt"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt, [], name, value)


                                    class SummaryRoute(Entity):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute, self).__init__()

                                            self.yang_name = "summary-route"
                                            self.yang_parent_name = "alt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                class Distance(Entity):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.alt = YLeaf(YType.uint8, "alt")

                                        self.away = YLeaf(YType.uint8, "away")

                                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                class MapCache(Entity):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids)}
                                        self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface)}

                                        self.site_registration = YLeaf(YType.empty, "site-registration")

                                        self.away_eids = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self._children_name_map["away_eids"] = "away-eids"
                                        self._children_yang_names.add("away-eids")

                                        self.eid_interface = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache, ['site_registration'], name, value)


                                    class EidInterface(Entity):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface, self).__init__()

                                            self.yang_name = "eid-interface"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.drop = YLeaf(YType.empty, "drop")

                                            self.map_request = YLeaf(YType.empty, "map-request")

                                            self.native_forward = YLeaf(YType.empty, "native-forward")

                                            self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class AwayEids(Entity):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids, self).__init__()

                                            self.yang_name = "away-eids"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                            self._segment_path = lambda: "away-eids"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids, ['send_map_request'], name, value)


                                class MapCachePersistent(Entity):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\: int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent, self).__init__()

                                        self.yang_name = "map-cache-persistent"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "map-cache-persistent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent, ['interval'], name, value)


                                class ProxyItr(Entity):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr, self).__init__()

                                        self.yang_name = "proxy-itr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                        self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                        self._segment_path = lambda: "proxy-itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                class RouteExport(Entity):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport, self).__init__()

                                        self.yang_name = "route-export"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                        self.away_eids = YLeaf(YType.empty, "away-eids")
                                        self._segment_path = lambda: "route-export"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                class UsePetr(Entity):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr, self).__init__()

                                        self.yang_name = "use-petr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority)}
                                        self._child_list_classes = {}

                                        self.locator_address = YLeaf(YType.str, "locator-address")

                                        self.priority = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr, ['locator_address'], name, value)


                                    class Priority(Entity):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "use-petr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority_value = YLeaf(YType.uint8, "priority-value")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                class RouteImport(Entity):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport, self).__init__()

                                        self.yang_name = "route-import"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache)}
                                        self._child_list_classes = {}

                                        self.database = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database()
                                        self.database.parent = self
                                        self._children_name_map["database"] = "database"
                                        self._children_yang_names.add("database")

                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "route-import"


                                    class Database(Entity):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database, self).__init__()

                                            self.yang_name = "database"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip)}

                                            self.application = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static()
                                            self.static.parent = self
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self.rip = YList(self)
                                            self._segment_path = lambda: "database"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "application"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "connected"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.process_id = YLeaf(YType.str, "process-id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis, ['process_id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "nd"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "static"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip)}

                                            self.application = None
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = None
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self.rip = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "application"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "connected"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "nd"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "static"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont)}

                                        self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Ethernet(Entity):
                                """
                                
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable>`
                                
                                .. attribute:: broadcast_underlay
                                
                                	Multicast group to use for underlay
                                	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay>`
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet, self).__init__()

                                    self.yang_name = "ethernet"
                                    self.yang_parent_name = "service"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default), "eid-table" : ("eid_table", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.default = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.broadcast_underlay = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay()
                                    self.broadcast_underlay.parent = self
                                    self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                    self._children_yang_names.add("broadcast-underlay")

                                    self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "ethernet"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet, ['map_request_source'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable>`
                                    
                                    .. attribute:: broadcast_underlay
                                    
                                    	Multicast group to use for underlay
                                    	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay>`
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache)}
                                        self._child_list_classes = {}

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.eid_table = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.broadcast_underlay = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay()
                                        self.broadcast_underlay.parent = self
                                        self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                        self._children_yang_names.add("broadcast-underlay")

                                        self.database_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.itr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.map_cache = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default, ['map_request_source'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vlan
                                        
                                        	VLAN configuration
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vlan = YLeaf(YType.uint16, "vlan")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable, ['vlan'], name, value)


                                    class BroadcastUnderlay(Entity):
                                        """
                                        Multicast group to use for underlay
                                        
                                        .. attribute:: ipv4_multicast
                                        
                                        	IPv4 multicast group address
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_multicast
                                        
                                        	IPv6 multicast group address
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay, self).__init__()

                                            self.yang_name = "broadcast-underlay"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                            self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                            self._segment_path = lambda: "broadcast-underlay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: mac
                                        
                                        	L2 EID records
                                        	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"mac" : ("mac", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont)}

                                            self.mac = None
                                            self._children_name_map["mac"] = "mac"
                                            self._children_yang_names.add("mac")

                                            self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Mac(Entity):
                                            """
                                            L2 EID records
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac, self).__init__()

                                                self.yang_name = "mac"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "mac"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac, ['locator_set'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont)}

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont, ['eid_prefix'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vlan
                                    
                                    	VLAN configuration
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vlan = YLeaf(YType.uint16, "vlan")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable, ['vlan'], name, value)


                                class BroadcastUnderlay(Entity):
                                    """
                                    Multicast group to use for underlay
                                    
                                    .. attribute:: ipv4_multicast
                                    
                                    	IPv4 multicast group address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_multicast
                                    
                                    	IPv6 multicast group address
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay, self).__init__()

                                        self.yang_name = "broadcast-underlay"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                        self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                        self._segment_path = lambda: "broadcast-underlay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: mac
                                    
                                    	L2 EID records
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont)}

                                        self.mac = None
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")

                                        self.limit = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Mac(Entity):
                                        """
                                        L2 EID records
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac, ['locator_set'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont)}

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.etr_interface_ip = Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont, ['eid_prefix'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                class Alt(Entity):
                    """
                    LISP Alternative Topology, LISP\-ALT
                    
                    .. attribute:: summary_route
                    
                    	Summary route to install into the ALT table
                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Alt.SummaryRoute>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.Alt, self).__init__()

                        self.yang_name = "alt"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.Default.Alt.SummaryRoute)}

                        self.summary_route = YList(self)
                        self._segment_path = lambda: "alt"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.Alt, [], name, value)


                    class SummaryRoute(Entity):
                        """
                        Summary route to install into the ALT table
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: route_tag
                        
                        	ALT RIB route tag for EID prefix
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Alt.SummaryRoute, self).__init__()

                            self.yang_name = "summary-route"
                            self.yang_parent_name = "alt"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/alt/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                class ControlPacket(Entity):
                    """
                    Configure control packet tx option
                    
                    .. attribute:: mtu
                    
                    	Configure control packet MTU
                    	**type**\: int
                    
                    	**range:** 304..10000
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.ControlPacket, self).__init__()

                        self.yang_name = "control-packet"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.mtu = YLeaf(YType.uint32, "mtu")
                        self._segment_path = lambda: "control-packet"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.ControlPacket, ['mtu'], name, value)


                class Ddt(Entity):
                    """
                    Delegated Database Tree (DDT) mapping system
                    
                    .. attribute:: authoritative
                    
                    	DDT authoritative prefix
                    	**type**\:  :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ddt.Authoritative>`
                    
                    .. attribute:: cache_limit
                    
                    	DDT resolver cache entry limit
                    	**type**\: int
                    
                    	**range:** 1..100000
                    
                    .. attribute:: root
                    
                    	DDT root node
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.Ddt, self).__init__()

                        self.yang_name = "ddt"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"authoritative" : ("authoritative", Native.Router.Lisp.Default.Ddt.Authoritative)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cache_limit = YLeaf(YType.uint32, "cache-limit")

                        self.root = YLeaf(YType.str, "root")

                        self.authoritative = Native.Router.Lisp.Default.Ddt.Authoritative()
                        self.authoritative.parent = self
                        self._children_name_map["authoritative"] = "authoritative"
                        self._children_yang_names.add("authoritative")
                        self._segment_path = lambda: "ddt"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.Ddt, ['cache_limit', 'root'], name, value)


                    class Authoritative(Entity):
                        """
                        DDT authoritative prefix
                        
                        .. attribute:: instance_id_eid_prefix_list
                        
                        	
                        	**type**\: list of  		 :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList>`
                        
                        .. attribute:: instance_id_list
                        
                        	
                        	**type**\: list of  		 :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ddt.Authoritative, self).__init__()

                            self.yang_name = "authoritative"
                            self.yang_parent_name = "ddt"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"instance-id-eid-prefix-list" : ("instance_id_eid_prefix_list", Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList), "instance-id-list" : ("instance_id_list", Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList)}

                            self.instance_id_eid_prefix_list = YList(self)
                            self.instance_id_list = YList(self)
                            self._segment_path = lambda: "authoritative"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ddt/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ddt.Authoritative, [], name, value)


                        class InstanceIdEidPrefixList(Entity):
                            """
                            
                            
                            .. attribute:: instance_id  <key>
                            
                            	EID instance\-ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: delegate
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                            
                            .. attribute:: map_server_peer
                            
                            	Peer map\-servers that are authoritative for the same EID prefixes
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList, self).__init__()

                                self.yang_name = "instance-id-eid-prefix-list"
                                self.yang_parent_name = "authoritative"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"delegate" : ("delegate", Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate)}
                                self._child_list_classes = {}

                                self.instance_id = YLeaf(YType.uint32, "instance-id")

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                                self.delegate = Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                                self.delegate.parent = self
                                self._children_name_map["delegate"] = "delegate"
                                self._children_yang_names.add("delegate")
                                self._segment_path = lambda: "instance-id-eid-prefix-list" + "[instance-id='" + self.instance_id.get() + "']" + "[eid-prefix='" + self.eid_prefix.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ddt/authoritative/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList, ['instance_id', 'eid_prefix', 'map_server_peer'], name, value)


                            class Delegate(Entity):
                                """
                                DDT delegation to a child DDT node or map\-server
                                
                                .. attribute:: eid_prefix
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: instance_id
                                
                                	EID instance\-ID
                                	**type**\: str
                                
                                .. attribute:: to
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ip_address
                                
                                	IPv4/6 Child or map\-server node locator address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: map_server
                                
                                	Delegation points to a map\-server
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, self).__init__()

                                    self.yang_name = "delegate"
                                    self.yang_parent_name = "instance-id-eid-prefix-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                    self.instance_id = YLeaf(YType.str, "instance-id")

                                    self.to = YLeaf(YType.empty, "to")

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.map_server = YLeaf(YType.empty, "map-server")
                                    self._segment_path = lambda: "delegate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                        class InstanceIdList(Entity):
                            """
                            
                            
                            .. attribute:: instance_id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: delegate
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList.Delegate>`
                            
                            .. attribute:: map_server_peer
                            
                            	Peer map\-servers that are authoritative for the same EID prefixes
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList, self).__init__()

                                self.yang_name = "instance-id-list"
                                self.yang_parent_name = "authoritative"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"delegate" : ("delegate", Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList.Delegate)}
                                self._child_list_classes = {}

                                self.instance_id = YLeaf(YType.str, "instance-id")

                                self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                                self.delegate = Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList.Delegate()
                                self.delegate.parent = self
                                self._children_name_map["delegate"] = "delegate"
                                self._children_yang_names.add("delegate")
                                self._segment_path = lambda: "instance-id-list" + "[instance-id='" + self.instance_id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ddt/authoritative/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList, ['instance_id', 'map_server_peer'], name, value)


                            class Delegate(Entity):
                                """
                                DDT delegation to a child DDT node or map\-server
                                
                                .. attribute:: eid_prefix
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: instance_id
                                
                                	EID instance\-ID
                                	**type**\: str
                                
                                .. attribute:: to
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ip_address
                                
                                	IPv4/6 Child or map\-server node locator address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: map_server
                                
                                	Delegation points to a map\-server
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList.Delegate, self).__init__()

                                    self.yang_name = "delegate"
                                    self.yang_parent_name = "instance-id-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                    self.instance_id = YLeaf(YType.str, "instance-id")

                                    self.to = YLeaf(YType.empty, "to")

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.map_server = YLeaf(YType.empty, "map-server")
                                    self._segment_path = lambda: "delegate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ddt.Authoritative.InstanceIdList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                class Decapsulation(Entity):
                    """
                    Decapsulation behavior (e.g. filters)
                    
                    .. attribute:: filter
                    
                    	Filters traffic
                    	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Decapsulation.Filter>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.Decapsulation, self).__init__()

                        self.yang_name = "decapsulation"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"filter" : ("filter", Native.Router.Lisp.Default.Decapsulation.Filter)}
                        self._child_list_classes = {}

                        self.filter = Native.Router.Lisp.Default.Decapsulation.Filter()
                        self.filter.parent = self
                        self._children_name_map["filter"] = "filter"
                        self._children_yang_names.add("filter")
                        self._segment_path = lambda: "decapsulation"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()


                    class Filter(Entity):
                        """
                        Filters traffic
                        
                        .. attribute:: rloc
                        
                        	Filter based on Routing Locator (RLOC) in packet header
                        	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Decapsulation.Filter.Rloc>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Decapsulation.Filter, self).__init__()

                            self.yang_name = "filter"
                            self.yang_parent_name = "decapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.Default.Decapsulation.Filter.Rloc)}
                            self._child_list_classes = {}

                            self.rloc = Native.Router.Lisp.Default.Decapsulation.Filter.Rloc()
                            self.rloc.parent = self
                            self._children_name_map["rloc"] = "rloc"
                            self._children_yang_names.add("rloc")
                            self._segment_path = lambda: "filter"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/decapsulation/%s" % self._segment_path()


                        class Rloc(Entity):
                            """
                            Filter based on Routing Locator (RLOC) in packet header
                            
                            .. attribute:: source
                            
                            	Filters traffic based on RLOC source address
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Decapsulation.Filter.Rloc.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Decapsulation.Filter.Rloc, self).__init__()

                                self.yang_name = "rloc"
                                self.yang_parent_name = "filter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Decapsulation.Filter.Rloc.Source)}
                                self._child_list_classes = {}

                                self.source = Native.Router.Lisp.Default.Decapsulation.Filter.Rloc.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "rloc"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/decapsulation/filter/%s" % self._segment_path()


                            class Source(Entity):
                                """
                                Filters traffic based on RLOC source address
                                
                                .. attribute:: locator_set
                                
                                	Locator\-set Name
                                	**type**\: str
                                
                                .. attribute:: member
                                
                                	Members learned from map\-server
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Decapsulation.Filter.Rloc.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "rloc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.locator_set = YLeaf(YType.str, "locator-set")

                                    self.member = YLeaf(YType.empty, "member")
                                    self._segment_path = lambda: "source"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/decapsulation/filter/rloc/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                class Etr(Entity):
                    """
                    Configures a LISP Egress Tunnel Router (ETR)
                    
                    .. attribute:: map_server
                    
                    	Configures map server for ETR registration
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Etr.MapServer>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.Etr, self).__init__()

                        self.yang_name = "etr"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.Etr.MapServer)}
                        self._child_list_classes = {}

                        self.map_server = Native.Router.Lisp.Default.Etr.MapServer()
                        self.map_server.parent = self
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")
                        self._segment_path = lambda: "etr"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()


                    class MapServer(Entity):
                        """
                        Configures map server for ETR registration
                        
                        .. attribute:: source_address
                        
                        	Configures map server source address
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Etr.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "etr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.source_address = YLeaf(YType.str, "source-address")
                            self._segment_path = lambda: "map-server"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/etr/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Etr.MapServer, ['source_address'], name, value)


                class Ipv4(Entity):
                    """
                    IPv4 address family
                    
                    .. attribute:: alt_vrf
                    
                    	Activate LISP\-ALT functionality in VRF
                    	**type**\: str
                    
                    	**status**\: deprecated
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.DatabaseMapping>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Distance>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.ItrEnable>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.EtrEnable>`
                    
                    .. attribute:: locator
                    
                    	Locator related configuration
                    	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Locator>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapCache>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapCacheLimit>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapCachePersistent>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: path_mtu_discovery
                    
                    	Path MTU discovery
                    	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.PathMtuDiscovery>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\: union of the below types:
                    
                    		**type**\: list of str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: list of str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteExport>`
                    
                    .. attribute:: route_import
                    
                    	Import RIB routes by a routing protocol into LISP
                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.SolicitMapRequest>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.UsePetr>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Default.Ipv4.DatabaseMapping), "distance" : ("distance", Native.Router.Lisp.Default.Ipv4.Distance), "itr" : ("itr", Native.Router.Lisp.Default.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.Ipv4.ItrEnable), "etr" : ("etr", Native.Router.Lisp.Default.Ipv4.Etr), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.Ipv4.EtrEnable), "locator" : ("locator", Native.Router.Lisp.Default.Ipv4.Locator), "map-cache" : ("map_cache", Native.Router.Lisp.Default.Ipv4.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.Ipv4.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.Ipv4.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Ipv4.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Default.Ipv4.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Lisp.Default.Ipv4.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.Lisp.Default.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Default.Ipv4.RouteImport), "site-registration" : ("site_registration", Native.Router.Lisp.Default.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.Ipv4.SolicitMapRequest)}
                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.Ipv4.UsePetr)}

                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                        self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                        self.sgt = YLeaf(YType.empty, "sgt")

                        self.database_mapping = Native.Router.Lisp.Default.Ipv4.DatabaseMapping()
                        self.database_mapping.parent = self
                        self._children_name_map["database_mapping"] = "database-mapping"
                        self._children_yang_names.add("database-mapping")

                        self.distance = Native.Router.Lisp.Default.Ipv4.Distance()
                        self.distance.parent = self
                        self._children_name_map["distance"] = "distance"
                        self._children_yang_names.add("distance")

                        self.itr = Native.Router.Lisp.Default.Ipv4.Itr()
                        self.itr.parent = self
                        self._children_name_map["itr"] = "itr"
                        self._children_yang_names.add("itr")

                        self.itr_enable = Native.Router.Lisp.Default.Ipv4.ItrEnable()
                        self.itr_enable.parent = self
                        self._children_name_map["itr_enable"] = "itr-enable"
                        self._children_yang_names.add("itr-enable")

                        self.etr = Native.Router.Lisp.Default.Ipv4.Etr()
                        self.etr.parent = self
                        self._children_name_map["etr"] = "etr"
                        self._children_yang_names.add("etr")

                        self.etr_enable = Native.Router.Lisp.Default.Ipv4.EtrEnable()
                        self.etr_enable.parent = self
                        self._children_name_map["etr_enable"] = "etr-enable"
                        self._children_yang_names.add("etr-enable")

                        self.locator = Native.Router.Lisp.Default.Ipv4.Locator()
                        self.locator.parent = self
                        self._children_name_map["locator"] = "locator"
                        self._children_yang_names.add("locator")

                        self.map_cache = Native.Router.Lisp.Default.Ipv4.MapCache()
                        self.map_cache.parent = self
                        self._children_name_map["map_cache"] = "map-cache"
                        self._children_yang_names.add("map-cache")

                        self.map_cache_limit = Native.Router.Lisp.Default.Ipv4.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                        self._children_yang_names.add("map-cache-limit")

                        self.map_cache_persistent = Native.Router.Lisp.Default.Ipv4.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                        self._children_yang_names.add("map-cache-persistent")

                        self.map_resolver = None
                        self._children_name_map["map_resolver"] = "map-resolver"
                        self._children_yang_names.add("map-resolver")

                        self.map_server = None
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.path_mtu_discovery = None
                        self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                        self._children_yang_names.add("path-mtu-discovery")

                        self.route_export = Native.Router.Lisp.Default.Ipv4.RouteExport()
                        self.route_export.parent = self
                        self._children_name_map["route_export"] = "route-export"
                        self._children_yang_names.add("route-export")

                        self.route_import = Native.Router.Lisp.Default.Ipv4.RouteImport()
                        self.route_import.parent = self
                        self._children_name_map["route_import"] = "route-import"
                        self._children_yang_names.add("route-import")

                        self.site_registration = Native.Router.Lisp.Default.Ipv4.SiteRegistration()
                        self.site_registration.parent = self
                        self._children_name_map["site_registration"] = "site-registration"
                        self._children_yang_names.add("site-registration")

                        self.solicit_map_request = Native.Router.Lisp.Default.Ipv4.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                        self._children_yang_names.add("solicit-map-request")

                        self.use_petr = YList(self)
                        self._segment_path = lambda: "ipv4"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                    class DatabaseMapping(Entity):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.DatabaseMapping, self).__init__()

                            self.yang_name = "database-mapping"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.Ipv4.DatabaseMapping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.Router.Lisp.Default.Ipv4.DatabaseMapping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "database-mapping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv4.DatabaseMapping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "database-mapping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/database-mapping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                    class Distance(Entity):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.Distance, self).__init__()

                            self.yang_name = "distance"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.alt = YLeaf(YType.uint8, "alt")

                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                            self._segment_path = lambda: "distance"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv4.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                    class Itr(Entity):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.Itr, self).__init__()

                            self.yang_name = "itr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Ipv4.Itr.MapResolver)}

                            self.map_resolver = YList(self)
                            self._segment_path = lambda: "itr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv4.Itr, [], name, value)


                        class MapResolver(Entity):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv4.Itr.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "itr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/itr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                    class ItrEnable(Entity):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.ItrEnable, self).__init__()

                            self.yang_name = "itr-enable"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.itr = YLeaf(YType.empty, "itr")
                            self._segment_path = lambda: "itr-enable"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv4.ItrEnable, ['itr'], name, value)


                    class Etr(Entity):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.Etr, self).__init__()

                            self.yang_name = "etr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.Ipv4.Etr.MapServer)}

                            self.map_server = YList(self)
                            self._segment_path = lambda: "etr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv4.Etr, [], name, value)


                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv4.Etr.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.Ipv4.Etr.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.Lisp.Default.Ipv4.Etr.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/etr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                .. attribute:: key_7
                                
                                	The HIDDEN password
                                	**type**\: str
                                
                                .. attribute:: pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.Etr.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.key_0 = YLeaf(YType.str, "key-0")

                                    self.key_6 = YLeaf(YType.str, "key-6")

                                    self.key_7 = YLeaf(YType.str, "key-7")

                                    self.pwd = YLeaf(YType.str, "pwd")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv4.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                    class EtrEnable(Entity):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.EtrEnable, self).__init__()

                            self.yang_name = "etr-enable"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.etr = YLeaf(YType.empty, "etr")
                            self._segment_path = lambda: "etr-enable"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv4.EtrEnable, ['etr'], name, value)


                    class Locator(Entity):
                        """
                        Locator related configuration
                        
                        .. attribute:: reachability
                        
                        	Configuration realted to locator reachability
                        	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.Locator.Reachability>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.Locator, self).__init__()

                            self.yang_name = "locator"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"reachability" : ("reachability", Native.Router.Lisp.Default.Ipv4.Locator.Reachability)}
                            self._child_list_classes = {}

                            self.reachability = Native.Router.Lisp.Default.Ipv4.Locator.Reachability()
                            self.reachability.parent = self
                            self._children_name_map["reachability"] = "reachability"
                            self._children_yang_names.add("reachability")
                            self._segment_path = lambda: "locator"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()


                        class Reachability(Entity):
                            """
                            Configuration realted to locator reachability
                            
                            .. attribute:: exclude_default
                            
                            	If a remote RLOC is reached via the default route, treat it as unreachable
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv4.Locator.Reachability, self).__init__()

                                self.yang_name = "reachability"
                                self.yang_parent_name = "locator"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.exclude_default = YLeaf(YType.empty, "exclude-default")
                                self._segment_path = lambda: "reachability"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/locator/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ipv4.Locator.Reachability, ['exclude_default'], name, value)


                    class MapCache(Entity):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.site_registration = YLeaf(YType.empty, "site-registration")
                            self._segment_path = lambda: "map-cache"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv4.MapCache, ['site_registration'], name, value)


                    class MapCacheLimit(Entity):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\: str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.MapCacheLimit, self).__init__()

                            self.yang_name = "map-cache-limit"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "map-cache-limit"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                    class MapCachePersistent(Entity):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.MapCachePersistent, self).__init__()

                            self.yang_name = "map-cache-persistent"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint16, "interval")
                            self._segment_path = lambda: "map-cache-persistent"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv4.MapCachePersistent, ['interval'], name, value)


                    class MapResolver(Entity):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_request = Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest()
                            self.map_request.parent = self
                            self._children_name_map["map_request"] = "map-request"
                            self._children_yang_names.add("map-request")
                            self._segment_path = lambda: "map-resolver"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()


                        class MapRequest(Entity):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest, self).__init__()

                                self.yang_name = "map-request"
                                self.yang_parent_name = "map-resolver"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-request"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/map-resolver/%s" % self._segment_path()


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-request"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/map-resolver/map-request/%s" % self._segment_path()


                                class Source(Entity):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ipv4
                                    
                                    	IPv4 prefixes
                                    	**type**\: str
                                    
                                    .. attribute:: ipv6
                                    
                                    	IPv6 prefixes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.list = YLeaf(YType.empty, "list")

                                        self.registered = YLeaf(YType.empty, "registered")

                                        self.ipv4 = YLeaf(YType.str, "ipv4")

                                        self.ipv6 = YLeaf(YType.str, "ipv6")
                                        self._segment_path = lambda: "source"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/map-resolver/map-request/validate/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                    class MapServer(Entity):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_register = Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister()
                            self.map_register.parent = self
                            self._children_name_map["map_register"] = "map-register"
                            self._children_yang_names.add("map-register")
                            self._segment_path = lambda: "map-server"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()


                        class MapRegister(Entity):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister, self).__init__()

                                self.yang_name = "map-register"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-register"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/map-server/%s" % self._segment_path()


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-register"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/map-server/map-register/%s" % self._segment_path()


                                class Source(Entity):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                        self._segment_path = lambda: "source"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/map-server/map-register/validate/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                    class PathMtuDiscovery(Entity):
                        """
                        Path MTU discovery
                        
                        .. attribute:: max
                        
                        	Upper bound on the path MTU accepted
                        	**type**\: int
                        
                        	**range:** 68..65535
                        
                        .. attribute:: min
                        
                        	Lower bound on the path MTU accepted
                        	**type**\: int
                        
                        	**range:** 68..65535
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.PathMtuDiscovery, self).__init__()

                            self.yang_name = "path-mtu-discovery"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.max = YLeaf(YType.uint16, "max")

                            self.min = YLeaf(YType.uint16, "min")
                            self._segment_path = lambda: "path-mtu-discovery"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv4.PathMtuDiscovery, ['max', 'min'], name, value)


                    class RouteExport(Entity):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.RouteExport, self).__init__()

                            self.yang_name = "route-export"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                            self.away_eids = YLeaf(YType.empty, "away-eids")
                            self._segment_path = lambda: "route-export"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                    class RouteImport(Entity):
                        """
                        Import RIB routes by a routing protocol into LISP
                        
                        .. attribute:: database
                        
                        	Use RIB routes to define local EID database entries
                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database>`
                        
                        .. attribute:: map_cache
                        
                        	Use RIB routes to define EID address space in map\-cache
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.RouteImport, self).__init__()

                            self.yang_name = "route-import"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Default.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache)}
                            self._child_list_classes = {}

                            self.database = Native.Router.Lisp.Default.Ipv4.RouteImport.Database()
                            self.database.parent = self
                            self._children_name_map["database"] = "database"
                            self._children_yang_names.add("database")

                            self.map_cache = Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")
                            self._segment_path = lambda: "route-import"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()


                        class Database(Entity):
                            """
                            Use RIB routes to define local EID database entries
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected>`
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database, self).__init__()

                                self.yang_name = "database"
                                self.yang_parent_name = "route-import"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip), "static" : ("static", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static)}
                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3)}

                                self.connected = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected()
                                self.connected.parent = self
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.maximum_prefix = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.rip = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip()
                                self.rip.parent = self
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static()
                                self.static.parent = self
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.isis = YList(self)
                                self.ospf = YList(self)
                                self.ospfv3 = YList(self)
                                self._segment_path = lambda: "database"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database, [], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/database/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "connected"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/database/%s" % self._segment_path()


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/database/connected/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/database/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/database/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\: int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.int32, "number")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                    self._segment_path = lambda: "maximum-prefix"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/database/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/database/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/database/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "rip"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/database/%s" % self._segment_path()


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/database/rip/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "static"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/database/%s" % self._segment_path()


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/database/static/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class MapCache(Entity):
                            """
                            Use RIB routes to define EID address space in map\-cache
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "route-import"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static)}
                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3)}

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.maximum_prefix = Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.isis = YList(self)
                                self.ospf = YList(self)
                                self.ospfv3 = YList(self)
                                self._segment_path = lambda: "map-cache"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache, [], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "connected"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/map-cache/%s" % self._segment_path()


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/map-cache/connected/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\: int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.int32, "number")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                    self._segment_path = lambda: "maximum-prefix"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "rip"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/map-cache/%s" % self._segment_path()


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/map-cache/rip/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "static"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/map-cache/%s" % self._segment_path()


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/route-import/map-cache/static/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                    class SiteRegistration(Entity):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations for a given instance\-id
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.SiteRegistration, self).__init__()

                            self.yang_name = "site-registration"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.limit = YLeaf(YType.uint32, "limit")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "site-registration"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class SolicitMapRequest(Entity):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\: int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.SolicitMapRequest, self).__init__()

                            self.yang_name = "solicit-map-request"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")

                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                            self._segment_path = lambda: "solicit-map-request"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                    class UsePetr(Entity):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv4.UsePetr, self).__init__()

                            self.yang_name = "use-petr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.locator_address = YLeaf(YType.str, "locator-address")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.weight = YLeaf(YType.uint8, "weight")
                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv4.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


                class Ipv6(Entity):
                    """
                    IPv6 address family
                    
                    .. attribute:: alt_vrf
                    
                    	Activate LISP\-ALT functionality in VRF
                    	**type**\: str
                    
                    	**status**\: deprecated
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.DatabaseMapping>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Distance>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.ItrEnable>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.EtrEnable>`
                    
                    .. attribute:: locator
                    
                    	Locator related configuration
                    	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Locator>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapCache>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapCacheLimit>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapCachePersistent>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: path_mtu_discovery
                    
                    	Path MTU discovery
                    	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.PathMtuDiscovery>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\: union of the below types:
                    
                    		**type**\: list of str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: list of str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteExport>`
                    
                    .. attribute:: route_import
                    
                    	Import RIB routes by a routing protocol into LISP
                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.SolicitMapRequest>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.UsePetr>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Default.Ipv6.DatabaseMapping), "distance" : ("distance", Native.Router.Lisp.Default.Ipv6.Distance), "itr" : ("itr", Native.Router.Lisp.Default.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.Ipv6.ItrEnable), "etr" : ("etr", Native.Router.Lisp.Default.Ipv6.Etr), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.Ipv6.EtrEnable), "locator" : ("locator", Native.Router.Lisp.Default.Ipv6.Locator), "map-cache" : ("map_cache", Native.Router.Lisp.Default.Ipv6.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.Ipv6.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.Ipv6.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Ipv6.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Default.Ipv6.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Lisp.Default.Ipv6.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.Lisp.Default.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Default.Ipv6.RouteImport), "site-registration" : ("site_registration", Native.Router.Lisp.Default.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.Ipv6.SolicitMapRequest)}
                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.Ipv6.UsePetr)}

                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                        self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                        self.sgt = YLeaf(YType.empty, "sgt")

                        self.database_mapping = Native.Router.Lisp.Default.Ipv6.DatabaseMapping()
                        self.database_mapping.parent = self
                        self._children_name_map["database_mapping"] = "database-mapping"
                        self._children_yang_names.add("database-mapping")

                        self.distance = Native.Router.Lisp.Default.Ipv6.Distance()
                        self.distance.parent = self
                        self._children_name_map["distance"] = "distance"
                        self._children_yang_names.add("distance")

                        self.itr = Native.Router.Lisp.Default.Ipv6.Itr()
                        self.itr.parent = self
                        self._children_name_map["itr"] = "itr"
                        self._children_yang_names.add("itr")

                        self.itr_enable = Native.Router.Lisp.Default.Ipv6.ItrEnable()
                        self.itr_enable.parent = self
                        self._children_name_map["itr_enable"] = "itr-enable"
                        self._children_yang_names.add("itr-enable")

                        self.etr = Native.Router.Lisp.Default.Ipv6.Etr()
                        self.etr.parent = self
                        self._children_name_map["etr"] = "etr"
                        self._children_yang_names.add("etr")

                        self.etr_enable = Native.Router.Lisp.Default.Ipv6.EtrEnable()
                        self.etr_enable.parent = self
                        self._children_name_map["etr_enable"] = "etr-enable"
                        self._children_yang_names.add("etr-enable")

                        self.locator = Native.Router.Lisp.Default.Ipv6.Locator()
                        self.locator.parent = self
                        self._children_name_map["locator"] = "locator"
                        self._children_yang_names.add("locator")

                        self.map_cache = Native.Router.Lisp.Default.Ipv6.MapCache()
                        self.map_cache.parent = self
                        self._children_name_map["map_cache"] = "map-cache"
                        self._children_yang_names.add("map-cache")

                        self.map_cache_limit = Native.Router.Lisp.Default.Ipv6.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                        self._children_yang_names.add("map-cache-limit")

                        self.map_cache_persistent = Native.Router.Lisp.Default.Ipv6.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                        self._children_yang_names.add("map-cache-persistent")

                        self.map_resolver = None
                        self._children_name_map["map_resolver"] = "map-resolver"
                        self._children_yang_names.add("map-resolver")

                        self.map_server = None
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.path_mtu_discovery = None
                        self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                        self._children_yang_names.add("path-mtu-discovery")

                        self.route_export = Native.Router.Lisp.Default.Ipv6.RouteExport()
                        self.route_export.parent = self
                        self._children_name_map["route_export"] = "route-export"
                        self._children_yang_names.add("route-export")

                        self.route_import = Native.Router.Lisp.Default.Ipv6.RouteImport()
                        self.route_import.parent = self
                        self._children_name_map["route_import"] = "route-import"
                        self._children_yang_names.add("route-import")

                        self.site_registration = Native.Router.Lisp.Default.Ipv6.SiteRegistration()
                        self.site_registration.parent = self
                        self._children_name_map["site_registration"] = "site-registration"
                        self._children_yang_names.add("site-registration")

                        self.solicit_map_request = Native.Router.Lisp.Default.Ipv6.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                        self._children_yang_names.add("solicit-map-request")

                        self.use_petr = YList(self)
                        self._segment_path = lambda: "ipv6"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                    class DatabaseMapping(Entity):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.DatabaseMapping, self).__init__()

                            self.yang_name = "database-mapping"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.Ipv6.DatabaseMapping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.Router.Lisp.Default.Ipv6.DatabaseMapping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "database-mapping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv6.DatabaseMapping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "database-mapping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/database-mapping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                    class Distance(Entity):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.Distance, self).__init__()

                            self.yang_name = "distance"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.alt = YLeaf(YType.uint8, "alt")

                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                            self._segment_path = lambda: "distance"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv6.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                    class Itr(Entity):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.Itr, self).__init__()

                            self.yang_name = "itr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.Ipv6.Itr.MapResolver)}

                            self.map_resolver = YList(self)
                            self._segment_path = lambda: "itr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv6.Itr, [], name, value)


                        class MapResolver(Entity):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv6.Itr.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "itr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/itr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                    class ItrEnable(Entity):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.ItrEnable, self).__init__()

                            self.yang_name = "itr-enable"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.itr = YLeaf(YType.empty, "itr")
                            self._segment_path = lambda: "itr-enable"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv6.ItrEnable, ['itr'], name, value)


                    class Etr(Entity):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.Etr, self).__init__()

                            self.yang_name = "etr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.Ipv6.Etr.MapServer)}

                            self.map_server = YList(self)
                            self._segment_path = lambda: "etr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv6.Etr, [], name, value)


                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv6.Etr.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.Ipv6.Etr.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.Lisp.Default.Ipv6.Etr.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/etr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                .. attribute:: key_7
                                
                                	The HIDDEN password
                                	**type**\: str
                                
                                .. attribute:: pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.Etr.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.key_0 = YLeaf(YType.str, "key-0")

                                    self.key_6 = YLeaf(YType.str, "key-6")

                                    self.key_7 = YLeaf(YType.str, "key-7")

                                    self.pwd = YLeaf(YType.str, "pwd")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv6.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                    class EtrEnable(Entity):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.EtrEnable, self).__init__()

                            self.yang_name = "etr-enable"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.etr = YLeaf(YType.empty, "etr")
                            self._segment_path = lambda: "etr-enable"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv6.EtrEnable, ['etr'], name, value)


                    class Locator(Entity):
                        """
                        Locator related configuration
                        
                        .. attribute:: reachability
                        
                        	Configuration realted to locator reachability
                        	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.Locator.Reachability>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.Locator, self).__init__()

                            self.yang_name = "locator"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"reachability" : ("reachability", Native.Router.Lisp.Default.Ipv6.Locator.Reachability)}
                            self._child_list_classes = {}

                            self.reachability = Native.Router.Lisp.Default.Ipv6.Locator.Reachability()
                            self.reachability.parent = self
                            self._children_name_map["reachability"] = "reachability"
                            self._children_yang_names.add("reachability")
                            self._segment_path = lambda: "locator"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()


                        class Reachability(Entity):
                            """
                            Configuration realted to locator reachability
                            
                            .. attribute:: exclude_default
                            
                            	If a remote RLOC is reached via the default route, treat it as unreachable
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv6.Locator.Reachability, self).__init__()

                                self.yang_name = "reachability"
                                self.yang_parent_name = "locator"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.exclude_default = YLeaf(YType.empty, "exclude-default")
                                self._segment_path = lambda: "reachability"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/locator/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ipv6.Locator.Reachability, ['exclude_default'], name, value)


                    class MapCache(Entity):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.site_registration = YLeaf(YType.empty, "site-registration")
                            self._segment_path = lambda: "map-cache"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv6.MapCache, ['site_registration'], name, value)


                    class MapCacheLimit(Entity):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\: str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.MapCacheLimit, self).__init__()

                            self.yang_name = "map-cache-limit"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "map-cache-limit"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                    class MapCachePersistent(Entity):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.MapCachePersistent, self).__init__()

                            self.yang_name = "map-cache-persistent"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint16, "interval")
                            self._segment_path = lambda: "map-cache-persistent"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv6.MapCachePersistent, ['interval'], name, value)


                    class MapResolver(Entity):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_request = Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest()
                            self.map_request.parent = self
                            self._children_name_map["map_request"] = "map-request"
                            self._children_yang_names.add("map-request")
                            self._segment_path = lambda: "map-resolver"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()


                        class MapRequest(Entity):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest, self).__init__()

                                self.yang_name = "map-request"
                                self.yang_parent_name = "map-resolver"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-request"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/map-resolver/%s" % self._segment_path()


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-request"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/map-resolver/map-request/%s" % self._segment_path()


                                class Source(Entity):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ipv4
                                    
                                    	IPv4 prefixes
                                    	**type**\: str
                                    
                                    .. attribute:: ipv6
                                    
                                    	IPv6 prefixes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.list = YLeaf(YType.empty, "list")

                                        self.registered = YLeaf(YType.empty, "registered")

                                        self.ipv4 = YLeaf(YType.str, "ipv4")

                                        self.ipv6 = YLeaf(YType.str, "ipv6")
                                        self._segment_path = lambda: "source"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/map-resolver/map-request/validate/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                    class MapServer(Entity):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_register = Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister()
                            self.map_register.parent = self
                            self._children_name_map["map_register"] = "map-register"
                            self._children_yang_names.add("map-register")
                            self._segment_path = lambda: "map-server"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()


                        class MapRegister(Entity):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister, self).__init__()

                                self.yang_name = "map-register"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-register"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/map-server/%s" % self._segment_path()


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-register"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/map-server/map-register/%s" % self._segment_path()


                                class Source(Entity):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                        self._segment_path = lambda: "source"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/map-server/map-register/validate/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                    class PathMtuDiscovery(Entity):
                        """
                        Path MTU discovery
                        
                        .. attribute:: max
                        
                        	Upper bound on the path MTU accepted
                        	**type**\: int
                        
                        	**range:** 68..65535
                        
                        .. attribute:: min
                        
                        	Lower bound on the path MTU accepted
                        	**type**\: int
                        
                        	**range:** 68..65535
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.PathMtuDiscovery, self).__init__()

                            self.yang_name = "path-mtu-discovery"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.max = YLeaf(YType.uint16, "max")

                            self.min = YLeaf(YType.uint16, "min")
                            self._segment_path = lambda: "path-mtu-discovery"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv6.PathMtuDiscovery, ['max', 'min'], name, value)


                    class RouteExport(Entity):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.RouteExport, self).__init__()

                            self.yang_name = "route-export"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                            self.away_eids = YLeaf(YType.empty, "away-eids")
                            self._segment_path = lambda: "route-export"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                    class RouteImport(Entity):
                        """
                        Import RIB routes by a routing protocol into LISP
                        
                        .. attribute:: database
                        
                        	Use RIB routes to define local EID database entries
                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database>`
                        
                        .. attribute:: map_cache
                        
                        	Use RIB routes to define EID address space in map\-cache
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.RouteImport, self).__init__()

                            self.yang_name = "route-import"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Default.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache)}
                            self._child_list_classes = {}

                            self.database = Native.Router.Lisp.Default.Ipv6.RouteImport.Database()
                            self.database.parent = self
                            self._children_name_map["database"] = "database"
                            self._children_yang_names.add("database")

                            self.map_cache = Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")
                            self._segment_path = lambda: "route-import"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()


                        class Database(Entity):
                            """
                            Use RIB routes to define local EID database entries
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected>`
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database, self).__init__()

                                self.yang_name = "database"
                                self.yang_parent_name = "route-import"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip), "static" : ("static", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static)}
                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3)}

                                self.connected = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected()
                                self.connected.parent = self
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.maximum_prefix = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.rip = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip()
                                self.rip.parent = self
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static()
                                self.static.parent = self
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.isis = YList(self)
                                self.ospf = YList(self)
                                self.ospfv3 = YList(self)
                                self._segment_path = lambda: "database"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database, [], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/database/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "connected"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/database/%s" % self._segment_path()


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/database/connected/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/database/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/database/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\: int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.int32, "number")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                    self._segment_path = lambda: "maximum-prefix"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/database/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/database/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/database/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "rip"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/database/%s" % self._segment_path()


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/database/rip/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.lisp_ip_route_import = Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "static"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/database/%s" % self._segment_path()


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/database/static/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class MapCache(Entity):
                            """
                            Use RIB routes to define EID address space in map\-cache
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "route-import"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static)}
                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3)}

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.maximum_prefix = Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.isis = YList(self)
                                self.ospf = YList(self)
                                self.ospfv3 = YList(self)
                                self._segment_path = lambda: "map-cache"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache, [], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "connected"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/map-cache/%s" % self._segment_path()


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/map-cache/connected/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\: int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.int32, "number")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                    self._segment_path = lambda: "maximum-prefix"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "rip"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/map-cache/%s" % self._segment_path()


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/map-cache/rip/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "static"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/map-cache/%s" % self._segment_path()


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/route-import/map-cache/static/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                    class SiteRegistration(Entity):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations for a given instance\-id
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.SiteRegistration, self).__init__()

                            self.yang_name = "site-registration"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.limit = YLeaf(YType.uint32, "limit")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "site-registration"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class SolicitMapRequest(Entity):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\: int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.SolicitMapRequest, self).__init__()

                            self.yang_name = "solicit-map-request"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")

                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                            self._segment_path = lambda: "solicit-map-request"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                    class UsePetr(Entity):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Ipv6.UsePetr, self).__init__()

                            self.yang_name = "use-petr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.locator_address = YLeaf(YType.str, "locator-address")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.weight = YLeaf(YType.uint8, "weight")
                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Ipv6.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


                class LocReachAlgorithm(Entity):
                    """
                    Configure locator reachability algorithm
                    
                    .. attribute:: lsb_reports
                    
                    	Configure data packet LSB report handling
                    	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.LocReachAlgorithm.LsbReports>`
                    
                    .. attribute:: rloc_probing
                    
                    	Probe high priority RLOCs with Map\-Requests as last resort
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.LocReachAlgorithm, self).__init__()

                        self.yang_name = "loc-reach-algorithm"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.Lisp.Default.LocReachAlgorithm.LsbReports)}
                        self._child_list_classes = {}

                        self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                        self.lsb_reports = Native.Router.Lisp.Default.LocReachAlgorithm.LsbReports()
                        self.lsb_reports.parent = self
                        self._children_name_map["lsb_reports"] = "lsb-reports"
                        self._children_yang_names.add("lsb-reports")
                        self._segment_path = lambda: "loc-reach-algorithm"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.LocReachAlgorithm, ['rloc_probing'], name, value)


                    class LsbReports(Entity):
                        """
                        Configure data packet LSB report handling
                        
                        .. attribute:: do_not_transmit
                        
                        	Force the setting of the encapsulation header L bit to zero
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore data packet LSB reports
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.LocReachAlgorithm.LsbReports, self).__init__()

                            self.yang_name = "lsb-reports"
                            self.yang_parent_name = "loc-reach-algorithm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "lsb-reports"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/loc-reach-algorithm/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                class LocatorDown(Entity):
                    """
                    Manually set locator status to down
                    
                    .. attribute:: address
                    
                    	IPv4/6 Locator address to be set down
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv4_interface
                    
                    	Use IPv4 address of interface as locator
                    	**type**\: str
                    
                    .. attribute:: ipv6_interface
                    
                    	Use IPv6 address of interface as locator
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.LocatorDown, self).__init__()

                        self.yang_name = "locator-down"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.ipv4_interface = YLeaf(YType.str, "IPv4-interface")

                        self.ipv6_interface = YLeaf(YType.str, "IPv6-interface")
                        self._segment_path = lambda: "locator-down"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.LocatorDown, ['address', 'ipv4_interface', 'ipv6_interface'], name, value)


                class LocatorTable(Entity):
                    """
                    Specify the RLOC table
                    
                    .. attribute:: vrf_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: default
                    
                    	Default VRF
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.LocatorTable, self).__init__()

                        self.yang_name = "locator-table"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                        self.default = YLeaf(YType.empty, "default")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "locator-table"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.LocatorTable, ['vrf_name', 'default', 'vrf'], name, value)


                class MapRequest(Entity):
                    """
                    Configure map\-request handling
                    
                    .. attribute:: itr_rlocs
                    
                    	Configure to use the specified RLOC set as ITR RLOC in map\-request
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.MapRequest, self).__init__()

                        self.yang_name = "map-request"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.itr_rlocs = YLeaf(YType.str, "itr-rlocs")
                        self._segment_path = lambda: "map-request"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.MapRequest, ['itr_rlocs'], name, value)


                class MapServer(Entity):
                    """
                    Map\-Server commands
                    
                    .. attribute:: rloc
                    
                    	EID instance RLOC membership
                    	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapServer.Rloc>`
                    
                    .. attribute:: site_registration
                    
                    	Map\-server site registration options
                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapServer.SiteRegistration>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.MapServer, self).__init__()

                        self.yang_name = "map-server"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.Default.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.Lisp.Default.MapServer.SiteRegistration)}
                        self._child_list_classes = {}

                        self.rloc = Native.Router.Lisp.Default.MapServer.Rloc()
                        self.rloc.parent = self
                        self._children_name_map["rloc"] = "rloc"
                        self._children_yang_names.add("rloc")

                        self.site_registration = Native.Router.Lisp.Default.MapServer.SiteRegistration()
                        self.site_registration.parent = self
                        self._children_name_map["site_registration"] = "site-registration"
                        self._children_yang_names.add("site-registration")
                        self._segment_path = lambda: "map-server"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()


                    class Rloc(Entity):
                        """
                        EID instance RLOC membership
                        
                        .. attribute:: members
                        
                        	EID instance RLOC membership
                        	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapServer.Rloc.Members>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.MapServer.Rloc, self).__init__()

                            self.yang_name = "rloc"
                            self.yang_parent_name = "map-server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"members" : ("members", Native.Router.Lisp.Default.MapServer.Rloc.Members)}
                            self._child_list_classes = {}

                            self.members = Native.Router.Lisp.Default.MapServer.Rloc.Members()
                            self.members.parent = self
                            self._children_name_map["members"] = "members"
                            self._children_yang_names.add("members")
                            self._segment_path = lambda: "rloc"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/map-server/%s" % self._segment_path()


                        class Members(Entity):
                            """
                            EID instance RLOC membership
                            
                            .. attribute:: distribute
                            
                            	EID instance RLOC membership distribution
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: modify_discovered
                            
                            	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                            	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.MapServer.Rloc.Members, self).__init__()

                                self.yang_name = "members"
                                self.yang_parent_name = "rloc"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered)}
                                self._child_list_classes = {}

                                self.distribute = YLeaf(YType.empty, "distribute")

                                self.modify_discovered = Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered()
                                self.modify_discovered.parent = self
                                self._children_name_map["modify_discovered"] = "modify-discovered"
                                self._children_yang_names.add("modify-discovered")
                                self._segment_path = lambda: "members"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/map-server/rloc/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.MapServer.Rloc.Members, ['distribute'], name, value)


                            class ModifyDiscovered(Entity):
                                """
                                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                
                                .. attribute:: operator
                                
                                	
                                	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                
                                .. attribute:: locator_set
                                
                                	Locator set from which to get member RLOC addresses
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                    self.yang_name = "modify-discovered"
                                    self.yang_parent_name = "members"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.operator = YLeaf(YType.enumeration, "operator")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "modify-discovered"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/map-server/rloc/members/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                class Operator(Enum):
                                    """
                                    Operator

                                    .. data:: add = 0

                                    .. data:: override = 1

                                    """

                                    add = Enum.YLeaf(0, "add")

                                    override = Enum.YLeaf(1, "override")



                    class SiteRegistration(Entity):
                        """
                        Map\-server site registration options
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations as a result of accept\-more\-specifics
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.MapServer.SiteRegistration, self).__init__()

                            self.yang_name = "site-registration"
                            self.yang_parent_name = "map-server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.limit = YLeaf(YType.uint32, "limit")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "site-registration"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/map-server/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                class OtherXtrProbe(Entity):
                    """
                    Configure parameters for probing of other xTRs in our site
                    
                    .. attribute:: period
                    
                    	Period between probes in seconds
                    	**type**\: int
                    
                    	**range:** 5..900
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.OtherXtrProbe, self).__init__()

                        self.yang_name = "other-xtr-probe"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.period = YLeaf(YType.uint16, "period")
                        self._segment_path = lambda: "other-xtr-probe"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.OtherXtrProbe, ['period'], name, value)


                class RemoteRlocProbe(Entity):
                    """
                    Configure parameters for probing of remote RLOCs
                    
                    .. attribute:: on_membership_change
                    
                    	Trigger probing upon membership changes for remote RLOC
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: on_route_change
                    
                    	Trigger probing upon routing changes for remote RLOC
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.RemoteRlocProbe, self).__init__()

                        self.yang_name = "remote-rloc-probe"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                        self.on_route_change = YLeaf(YType.empty, "on-route-change")
                        self._segment_path = lambda: "remote-rloc-probe"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                class EidTable(Entity):
                    """
                    Configure an EID instance for a VRF
                    
                    .. attribute:: instance_list
                    
                    	
                    	**type**\: list of  		 :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.EidTable, self).__init__()

                        self.yang_name = "eid-table"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"instance-list" : ("instance_list", Native.Router.Lisp.Default.EidTable.InstanceList)}

                        self.instance_list = YList(self)
                        self._segment_path = lambda: "eid-table"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.EidTable, [], name, value)


                    class InstanceList(Entity):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	EID instance\-ID
                        	**type**\: int
                        
                        	**range:** 0..16777214
                        
                        .. attribute:: vrf_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: default
                        
                        	Default VRF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: database_mapping
                        
                        	Configures Locator addresses for an ETR
                        	**type**\: list of  		 :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DatabaseMapping>`
                        
                        .. attribute:: dynamic_eid
                        
                        	Configure a dynamic EID
                        	**type**\: list of  		 :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid>`
                        
                        .. attribute:: alt
                        
                        	LISP Alternative Topology, LISP\-ALT
                        	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Alt>`
                        
                        .. attribute:: control_packet
                        
                        	Configure control packet tx option
                        	**type**\:  :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.ControlPacket>`
                        
                        .. attribute:: ddt
                        
                        	Delegated Database Tree (DDT) mapping system
                        	**type**\:  :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ddt>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: decapsulation
                        
                        	Decapsulation behavior (e.g. filters)
                        	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation>`
                        
                        .. attribute:: disable_ttl_propagate
                        
                        	Disable ttl propagation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Etr>`
                        
                        .. attribute:: ipv4
                        
                        	IPv4 address family
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 address family
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6>`
                        
                        .. attribute:: loc_reach_algorithm
                        
                        	Configure locator reachability algorithm
                        	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm>`
                        
                        .. attribute:: locator_down
                        
                        	Manually set locator status to down
                        	**type**\:  :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.LocatorDown>`
                        
                        .. attribute:: locator_table
                        
                        	Specify the RLOC table
                        	**type**\:  :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.LocatorTable>`
                        
                        .. attribute:: map_request
                        
                        	Configure map\-request handling
                        	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapRequest>`
                        
                        .. attribute:: map_server
                        
                        	Map\-Server commands
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapServer>`
                        
                        .. attribute:: other_xtr_probe
                        
                        	Configure parameters for probing of other xTRs in our site
                        	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.OtherXtrProbe>`
                        
                        .. attribute:: remote_rloc_probe
                        
                        	Configure parameters for probing of remote RLOCs
                        	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.RemoteRlocProbe>`
                        
                        .. attribute:: map_cache
                        
                        	Configures static EID\-to\-RLOC mappings for an ITR
                        	**type**\: list of  		 :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapCache>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.EidTable.InstanceList, self).__init__()

                            self.yang_name = "instance-list"
                            self.yang_parent_name = "eid-table"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"alt" : ("alt", Native.Router.Lisp.Default.EidTable.InstanceList.Alt), "control-packet" : ("control_packet", Native.Router.Lisp.Default.EidTable.InstanceList.ControlPacket), "ddt" : ("ddt", Native.Router.Lisp.Default.EidTable.InstanceList.Ddt), "decapsulation" : ("decapsulation", Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation), "etr" : ("etr", Native.Router.Lisp.Default.EidTable.InstanceList.Etr), "ipv4" : ("ipv4", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4), "ipv6" : ("ipv6", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm), "locator-down" : ("locator_down", Native.Router.Lisp.Default.EidTable.InstanceList.LocatorDown), "locator-table" : ("locator_table", Native.Router.Lisp.Default.EidTable.InstanceList.LocatorTable), "map-request" : ("map_request", Native.Router.Lisp.Default.EidTable.InstanceList.MapRequest), "map-server" : ("map_server", Native.Router.Lisp.Default.EidTable.InstanceList.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.Lisp.Default.EidTable.InstanceList.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.Lisp.Default.EidTable.InstanceList.RemoteRlocProbe)}
                            self._child_list_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Default.EidTable.InstanceList.DatabaseMapping), "dynamic-eid" : ("dynamic_eid", Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid), "map-cache" : ("map_cache", Native.Router.Lisp.Default.EidTable.InstanceList.MapCache)}

                            self.instance_id = YLeaf(YType.uint32, "instance-id")

                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                            self.default = YLeaf(YType.empty, "default")

                            self.vrf = YLeaf(YType.str, "vrf")

                            self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                            self.alt = Native.Router.Lisp.Default.EidTable.InstanceList.Alt()
                            self.alt.parent = self
                            self._children_name_map["alt"] = "alt"
                            self._children_yang_names.add("alt")

                            self.control_packet = Native.Router.Lisp.Default.EidTable.InstanceList.ControlPacket()
                            self.control_packet.parent = self
                            self._children_name_map["control_packet"] = "control-packet"
                            self._children_yang_names.add("control-packet")

                            self.ddt = None
                            self._children_name_map["ddt"] = "ddt"
                            self._children_yang_names.add("ddt")

                            self.decapsulation = Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation()
                            self.decapsulation.parent = self
                            self._children_name_map["decapsulation"] = "decapsulation"
                            self._children_yang_names.add("decapsulation")

                            self.etr = Native.Router.Lisp.Default.EidTable.InstanceList.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.ipv4 = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4()
                            self.ipv4.parent = self
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv6 = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6()
                            self.ipv6.parent = self
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")

                            self.loc_reach_algorithm = Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm()
                            self.loc_reach_algorithm.parent = self
                            self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                            self._children_yang_names.add("loc-reach-algorithm")

                            self.locator_down = Native.Router.Lisp.Default.EidTable.InstanceList.LocatorDown()
                            self.locator_down.parent = self
                            self._children_name_map["locator_down"] = "locator-down"
                            self._children_yang_names.add("locator-down")

                            self.locator_table = Native.Router.Lisp.Default.EidTable.InstanceList.LocatorTable()
                            self.locator_table.parent = self
                            self._children_name_map["locator_table"] = "locator-table"
                            self._children_yang_names.add("locator-table")

                            self.map_request = Native.Router.Lisp.Default.EidTable.InstanceList.MapRequest()
                            self.map_request.parent = self
                            self._children_name_map["map_request"] = "map-request"
                            self._children_yang_names.add("map-request")

                            self.map_server = Native.Router.Lisp.Default.EidTable.InstanceList.MapServer()
                            self.map_server.parent = self
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.other_xtr_probe = Native.Router.Lisp.Default.EidTable.InstanceList.OtherXtrProbe()
                            self.other_xtr_probe.parent = self
                            self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                            self._children_yang_names.add("other-xtr-probe")

                            self.remote_rloc_probe = Native.Router.Lisp.Default.EidTable.InstanceList.RemoteRlocProbe()
                            self.remote_rloc_probe.parent = self
                            self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                            self._children_yang_names.add("remote-rloc-probe")

                            self.database_mapping = YList(self)
                            self.dynamic_eid = YList(self)
                            self.map_cache = YList(self)
                            self._segment_path = lambda: "instance-list" + "[instance-id='" + self.instance_id.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/eid-table/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList, ['instance_id', 'vrf_name', 'default', 'vrf', 'disable_ttl_propagate'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Configures Locator addresses for an ETR
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: locator_set
                            
                            	Use locators defined by locator\-set
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.locator_set = YLeaf(YType.str, "locator-set")
                                self._segment_path = lambda: "database-mapping" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.DatabaseMapping, ['eid_prefix', 'locator_set'], name, value)


                        class DynamicEid(Entity):
                            """
                            Configure a dynamic EID
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: database_mapping
                            
                            	Configures EID\-prefix and locator\-set for dynamic\-EID
                            	**type**\: list of  		 :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping>`
                            
                            .. attribute:: eid_notify
                            
                            	Configure options for sending/receiving EID\-notify
                            	**type**\:  :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify>`
                            
                            .. attribute:: map_notify_group
                            
                            	Multicast group which to send map\-notifies to
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid, self).__init__()

                                self.yang_name = "dynamic-eid"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"eid-notify" : ("eid_notify", Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify)}
                                self._child_list_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping), "map-server" : ("map_server", Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer)}

                                self.name = YLeaf(YType.str, "name")

                                self.map_notify_group = YLeaf(YType.str, "map-notify-group")

                                self.eid_notify = Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify()
                                self.eid_notify.parent = self
                                self._children_name_map["eid_notify"] = "eid-notify"
                                self._children_yang_names.add("eid-notify")

                                self.database_mapping = YList(self)
                                self.map_server = YList(self)
                                self._segment_path = lambda: "dynamic-eid" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid, ['name', 'map_notify_group'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Configures EID\-prefix and locator\-set for dynamic\-EID
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                .. attribute:: locator_set
                                
                                	Use locators defined by locator\-set
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "database-mapping" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping, ['eid_prefix', 'locator_set'], name, value)


                            class EidNotify(Entity):
                                """
                                Configure options for sending/receiving EID\-notify
                                
                                .. attribute:: authentication_key
                                
                                	Authentication key used for validating received EID\-notify
                                	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                                
                                .. attribute:: gateway_key
                                
                                	
                                	**type**\: list of  		 :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify, self).__init__()

                                    self.yang_name = "eid-notify"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey)}
                                    self._child_list_classes = {"gateway-key" : ("gateway_key", Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey)}

                                    self.authentication_key = Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self._children_name_map["authentication_key"] = "authentication-key"
                                    self._children_yang_names.add("authentication-key")

                                    self.gateway_key = YList(self)
                                    self._segment_path = lambda: "eid-notify"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify, [], name, value)


                                class AuthenticationKey(Entity):
                                    """
                                    Authentication key used for validating received EID\-notify
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey, self).__init__()

                                        self.yang_name = "authentication-key"
                                        self.yang_parent_name = "eid-notify"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")
                                        self._segment_path = lambda: "authentication-key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey, ['ak_0', 'ak_6', 'unc_pwd'], name, value)


                                class GatewayKey(Entity):
                                    """
                                    
                                    
                                    .. attribute:: gateway_ip  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	EID\-notify authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey, self).__init__()

                                        self.yang_name = "gateway-key"
                                        self.yang_parent_name = "eid-notify"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.gateway_ip = YLeaf(YType.str, "gateway-ip")

                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "gateway-key" + "[gateway-ip='" + self.gateway_ip.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey, ['gateway_ip', 'ak_0', 'ak_6', 'unc_pwd', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        EID\-notify authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip = YLeaf(YType.str, "ip")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip='" + self.ip.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer, ['ip', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: key_7
                                    
                                    	The HIDDEN password
                                    	**type**\: str
                                    
                                    .. attribute:: pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	Map\-Register authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.key_0 = YLeaf(YType.str, "key-0")

                                        self.key_6 = YLeaf(YType.str, "key-6")

                                        self.key_7 = YLeaf(YType.str, "key-7")

                                        self.pwd = YLeaf(YType.str, "pwd")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.DynamicEid.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        Map\-Register authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                        class Alt(Entity):
                            """
                            LISP Alternative Topology, LISP\-ALT
                            
                            .. attribute:: summary_route
                            
                            	Summary route to install into the ALT table
                            	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Alt.SummaryRoute>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Alt, self).__init__()

                                self.yang_name = "alt"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.Default.EidTable.InstanceList.Alt.SummaryRoute)}

                                self.summary_route = YList(self)
                                self._segment_path = lambda: "alt"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Alt, [], name, value)


                            class SummaryRoute(Entity):
                                """
                                Summary route to install into the ALT table
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: route_tag
                                
                                	ALT RIB route tag for EID prefix
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Alt.SummaryRoute, self).__init__()

                                    self.yang_name = "summary-route"
                                    self.yang_parent_name = "alt"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                        class ControlPacket(Entity):
                            """
                            Configure control packet tx option
                            
                            .. attribute:: mtu
                            
                            	Configure control packet MTU
                            	**type**\: int
                            
                            	**range:** 304..10000
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.ControlPacket, self).__init__()

                                self.yang_name = "control-packet"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.mtu = YLeaf(YType.uint32, "mtu")
                                self._segment_path = lambda: "control-packet"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.ControlPacket, ['mtu'], name, value)


                        class Ddt(Entity):
                            """
                            Delegated Database Tree (DDT) mapping system
                            
                            .. attribute:: authoritative
                            
                            	DDT authoritative prefix
                            	**type**\:  :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative>`
                            
                            .. attribute:: cache_limit
                            
                            	DDT resolver cache entry limit
                            	**type**\: int
                            
                            	**range:** 1..100000
                            
                            .. attribute:: root
                            
                            	DDT root node
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ddt, self).__init__()

                                self.yang_name = "ddt"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authoritative" : ("authoritative", Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.cache_limit = YLeaf(YType.uint32, "cache-limit")

                                self.root = YLeaf(YType.str, "root")

                                self.authoritative = Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative()
                                self.authoritative.parent = self
                                self._children_name_map["authoritative"] = "authoritative"
                                self._children_yang_names.add("authoritative")
                                self._segment_path = lambda: "ddt"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ddt, ['cache_limit', 'root'], name, value)


                            class Authoritative(Entity):
                                """
                                DDT authoritative prefix
                                
                                .. attribute:: instance_id_eid_prefix_list
                                
                                	
                                	**type**\: list of  		 :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList>`
                                
                                .. attribute:: instance_id_list
                                
                                	
                                	**type**\: list of  		 :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative, self).__init__()

                                    self.yang_name = "authoritative"
                                    self.yang_parent_name = "ddt"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"instance-id-eid-prefix-list" : ("instance_id_eid_prefix_list", Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList), "instance-id-list" : ("instance_id_list", Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList)}

                                    self.instance_id_eid_prefix_list = YList(self)
                                    self.instance_id_list = YList(self)
                                    self._segment_path = lambda: "authoritative"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative, [], name, value)


                                class InstanceIdEidPrefixList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: instance_id  <key>
                                    
                                    	EID instance\-ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: delegate
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                                    
                                    .. attribute:: map_server_peer
                                    
                                    	Peer map\-servers that are authoritative for the same EID prefixes
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList, self).__init__()

                                        self.yang_name = "instance-id-eid-prefix-list"
                                        self.yang_parent_name = "authoritative"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"delegate" : ("delegate", Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate)}
                                        self._child_list_classes = {}

                                        self.instance_id = YLeaf(YType.uint32, "instance-id")

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                                        self.delegate = Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                                        self.delegate.parent = self
                                        self._children_name_map["delegate"] = "delegate"
                                        self._children_yang_names.add("delegate")
                                        self._segment_path = lambda: "instance-id-eid-prefix-list" + "[instance-id='" + self.instance_id.get() + "']" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList, ['instance_id', 'eid_prefix', 'map_server_peer'], name, value)


                                    class Delegate(Entity):
                                        """
                                        DDT delegation to a child DDT node or map\-server
                                        
                                        .. attribute:: eid_prefix
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: instance_id
                                        
                                        	EID instance\-ID
                                        	**type**\: str
                                        
                                        .. attribute:: to
                                        
                                        	DDT delegation to a child DDT node or map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ip_address
                                        
                                        	IPv4/6 Child or map\-server node locator address
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: map_server
                                        
                                        	Delegation points to a map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, self).__init__()

                                            self.yang_name = "delegate"
                                            self.yang_parent_name = "instance-id-eid-prefix-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.instance_id = YLeaf(YType.str, "instance-id")

                                            self.to = YLeaf(YType.empty, "to")

                                            self.ip_address = YLeaf(YType.str, "ip-address")

                                            self.map_server = YLeaf(YType.empty, "map-server")
                                            self._segment_path = lambda: "delegate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                                class InstanceIdList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: instance_id  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: delegate
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate>`
                                    
                                    .. attribute:: map_server_peer
                                    
                                    	Peer map\-servers that are authoritative for the same EID prefixes
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList, self).__init__()

                                        self.yang_name = "instance-id-list"
                                        self.yang_parent_name = "authoritative"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"delegate" : ("delegate", Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate)}
                                        self._child_list_classes = {}

                                        self.instance_id = YLeaf(YType.str, "instance-id")

                                        self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                                        self.delegate = Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate()
                                        self.delegate.parent = self
                                        self._children_name_map["delegate"] = "delegate"
                                        self._children_yang_names.add("delegate")
                                        self._segment_path = lambda: "instance-id-list" + "[instance-id='" + self.instance_id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList, ['instance_id', 'map_server_peer'], name, value)


                                    class Delegate(Entity):
                                        """
                                        DDT delegation to a child DDT node or map\-server
                                        
                                        .. attribute:: eid_prefix
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: instance_id
                                        
                                        	EID instance\-ID
                                        	**type**\: str
                                        
                                        .. attribute:: to
                                        
                                        	DDT delegation to a child DDT node or map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ip_address
                                        
                                        	IPv4/6 Child or map\-server node locator address
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: map_server
                                        
                                        	Delegation points to a map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate, self).__init__()

                                            self.yang_name = "delegate"
                                            self.yang_parent_name = "instance-id-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.instance_id = YLeaf(YType.str, "instance-id")

                                            self.to = YLeaf(YType.empty, "to")

                                            self.ip_address = YLeaf(YType.str, "ip-address")

                                            self.map_server = YLeaf(YType.empty, "map-server")
                                            self._segment_path = lambda: "delegate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                        class Decapsulation(Entity):
                            """
                            Decapsulation behavior (e.g. filters)
                            
                            .. attribute:: filter
                            
                            	Filters traffic
                            	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation, self).__init__()

                                self.yang_name = "decapsulation"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"filter" : ("filter", Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter)}
                                self._child_list_classes = {}

                                self.filter = Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter()
                                self.filter.parent = self
                                self._children_name_map["filter"] = "filter"
                                self._children_yang_names.add("filter")
                                self._segment_path = lambda: "decapsulation"


                            class Filter(Entity):
                                """
                                Filters traffic
                                
                                .. attribute:: rloc
                                
                                	Filter based on Routing Locator (RLOC) in packet header
                                	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter, self).__init__()

                                    self.yang_name = "filter"
                                    self.yang_parent_name = "decapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc)}
                                    self._child_list_classes = {}

                                    self.rloc = Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc()
                                    self.rloc.parent = self
                                    self._children_name_map["rloc"] = "rloc"
                                    self._children_yang_names.add("rloc")
                                    self._segment_path = lambda: "filter"


                                class Rloc(Entity):
                                    """
                                    Filter based on Routing Locator (RLOC) in packet header
                                    
                                    .. attribute:: source
                                    
                                    	Filters traffic based on RLOC source address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc, self).__init__()

                                        self.yang_name = "rloc"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "rloc"


                                    class Source(Entity):
                                        """
                                        Filters traffic based on RLOC source address
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator\-set Name
                                        	**type**\: str
                                        
                                        .. attribute:: member
                                        
                                        	Members learned from map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "rloc"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.member = YLeaf(YType.empty, "member")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.EidTable.InstanceList.Etr.MapServer)}
                                self._child_list_classes = {}

                                self.map_server = Native.Router.Lisp.Default.EidTable.InstanceList.Etr.MapServer()
                                self.map_server.parent = self
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")
                                self._segment_path = lambda: "etr"


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: source_address
                                
                                	Configures map server source address
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.source_address = YLeaf(YType.str, "source-address")
                                    self._segment_path = lambda: "map-server"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Etr.MapServer, ['source_address'], name, value)


                        class Ipv4(Entity):
                            """
                            IPv4 address family
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\: str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Distance>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.ItrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.EtrEnable>`
                            
                            .. attribute:: locator
                            
                            	Locator related configuration
                            	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: path_mtu_discovery
                            
                            	Path MTU discovery
                            	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\: union of the below types:
                            
                            		**type**\: list of str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: list of str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteExport>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.UsePetr>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping), "distance" : ("distance", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Distance), "itr" : ("itr", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.ItrEnable), "etr" : ("etr", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.EtrEnable), "locator" : ("locator", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator), "map-cache" : ("map_cache", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport), "site-registration" : ("site_registration", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest)}
                                self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.UsePetr)}

                                self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                                self.sgt = YLeaf(YType.empty, "sgt")

                                self.database_mapping = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.distance = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.itr = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.etr_enable = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.locator = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator()
                                self.locator.parent = self
                                self._children_name_map["locator"] = "locator"
                                self._children_yang_names.add("locator")

                                self.map_cache = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")

                                self.map_cache_limit = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.map_cache_persistent = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                self._children_yang_names.add("map-cache-persistent")

                                self.map_resolver = None
                                self._children_name_map["map_resolver"] = "map-resolver"
                                self._children_yang_names.add("map-resolver")

                                self.map_server = None
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")

                                self.path_mtu_discovery = None
                                self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                self._children_yang_names.add("path-mtu-discovery")

                                self.route_export = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteExport()
                                self.route_export.parent = self
                                self._children_name_map["route_export"] = "route-export"
                                self._children_yang_names.add("route-export")

                                self.route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport()
                                self.route_import.parent = self
                                self._children_name_map["route_import"] = "route-import"
                                self._children_yang_names.add("route-import")

                                self.site_registration = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.use_petr = YList(self)
                                self._segment_path = lambda: "ipv4"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit)}
                                    self._child_list_classes = {}

                                    self.limit = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")
                                    self._segment_path = lambda: "database-mapping"


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Distance(Entity):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.alt = YLeaf(YType.uint8, "alt")

                                    self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                    self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                    self._segment_path = lambda: "distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.ItrEnable, ['itr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer)}

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr, [], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: key_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: key_7
                                        
                                        	The HIDDEN password
                                        	**type**\: str
                                        
                                        .. attribute:: pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.key_0 = YLeaf(YType.str, "key-0")

                                            self.key_6 = YLeaf(YType.str, "key-6")

                                            self.key_7 = YLeaf(YType.str, "key-7")

                                            self.pwd = YLeaf(YType.str, "pwd")
                                            self._segment_path = lambda: "key"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.EtrEnable, ['etr'], name, value)


                            class Locator(Entity):
                                """
                                Locator related configuration
                                
                                .. attribute:: reachability
                                
                                	Configuration realted to locator reachability
                                	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator.Reachability>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator, self).__init__()

                                    self.yang_name = "locator"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"reachability" : ("reachability", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator.Reachability)}
                                    self._child_list_classes = {}

                                    self.reachability = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator.Reachability()
                                    self.reachability.parent = self
                                    self._children_name_map["reachability"] = "reachability"
                                    self._children_yang_names.add("reachability")
                                    self._segment_path = lambda: "locator"


                                class Reachability(Entity):
                                    """
                                    Configuration realted to locator reachability
                                    
                                    .. attribute:: exclude_default
                                    
                                    	If a remote RLOC is reached via the default route, treat it as unreachable
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator.Reachability, self).__init__()

                                        self.yang_name = "reachability"
                                        self.yang_parent_name = "locator"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.exclude_default = YLeaf(YType.empty, "exclude-default")
                                        self._segment_path = lambda: "reachability"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.Locator.Reachability, ['exclude_default'], name, value)


                            class MapCache(Entity):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registration = YLeaf(YType.empty, "site-registration")
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCache, ['site_registration'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class MapCachePersistent(Entity):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\: int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCachePersistent, self).__init__()

                                    self.yang_name = "map-cache-persistent"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")
                                    self._segment_path = lambda: "map-cache-persistent"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapCachePersistent, ['interval'], name, value)


                            class MapResolver(Entity):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest()
                                    self.map_request.parent = self
                                    self._children_name_map["map_request"] = "map-request"
                                    self._children_yang_names.add("map-request")
                                    self._segment_path = lambda: "map-resolver"


                                class MapRequest(Entity):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest, self).__init__()

                                        self.yang_name = "map-request"
                                        self.yang_parent_name = "map-resolver"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-request"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-request"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.list = YLeaf(YType.empty, "list")

                                                self.registered = YLeaf(YType.empty, "registered")

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "source"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                            class MapServer(Entity):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_register = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister()
                                    self.map_register.parent = self
                                    self._children_name_map["map_register"] = "map-register"
                                    self._children_yang_names.add("map-register")
                                    self._segment_path = lambda: "map-server"


                                class MapRegister(Entity):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister, self).__init__()

                                        self.yang_name = "map-register"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-register"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-register"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                                self._segment_path = lambda: "source"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                            class PathMtuDiscovery(Entity):
                                """
                                Path MTU discovery
                                
                                .. attribute:: max
                                
                                	Upper bound on the path MTU accepted
                                	**type**\: int
                                
                                	**range:** 68..65535
                                
                                .. attribute:: min
                                
                                	Lower bound on the path MTU accepted
                                	**type**\: int
                                
                                	**range:** 68..65535
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery, self).__init__()

                                    self.yang_name = "path-mtu-discovery"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max = YLeaf(YType.uint16, "max")

                                    self.min = YLeaf(YType.uint16, "min")
                                    self._segment_path = lambda: "path-mtu-discovery"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery, ['max', 'min'], name, value)


                            class RouteExport(Entity):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteExport, self).__init__()

                                    self.yang_name = "route-export"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                    self.away_eids = YLeaf(YType.empty, "away-eids")
                                    self._segment_path = lambda: "route-export"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                            class RouteImport(Entity):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport, self).__init__()

                                    self.yang_name = "route-import"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache)}
                                    self._child_list_classes = {}

                                    self.database = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database()
                                    self.database.parent = self
                                    self._children_name_map["database"] = "database"
                                    self._children_yang_names.add("database")

                                    self.map_cache = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "route-import"


                                class Database(Entity):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database, self).__init__()

                                        self.yang_name = "database"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip), "static" : ("static", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3)}

                                        self.connected = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.maximum_prefix = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.rip = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip()
                                        self.rip.parent = self
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static()
                                        self.static.parent = self
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.isis = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self._segment_path = lambda: "database"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "connected"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.int32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "rip"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "static"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3)}

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.maximum_prefix = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.isis = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "connected"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.int32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "rip"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "static"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations for a given instance\-id
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class UsePetr(Entity):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.UsePetr, self).__init__()

                                    self.yang_name = "use-petr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.locator_address = YLeaf(YType.str, "locator-address")

                                    self.priority = YLeaf(YType.uint8, "priority")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv4.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


                        class Ipv6(Entity):
                            """
                            IPv6 address family
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\: str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Distance>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.ItrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.EtrEnable>`
                            
                            .. attribute:: locator
                            
                            	Locator related configuration
                            	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: path_mtu_discovery
                            
                            	Path MTU discovery
                            	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\: union of the below types:
                            
                            		**type**\: list of str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: list of str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteExport>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.UsePetr>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping), "distance" : ("distance", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Distance), "itr" : ("itr", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.ItrEnable), "etr" : ("etr", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr), "etr-enable" : ("etr_enable", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.EtrEnable), "locator" : ("locator", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator), "map-cache" : ("map_cache", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport), "site-registration" : ("site_registration", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest)}
                                self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.UsePetr)}

                                self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                                self.sgt = YLeaf(YType.empty, "sgt")

                                self.database_mapping = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.distance = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.itr = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.etr_enable = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.locator = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator()
                                self.locator.parent = self
                                self._children_name_map["locator"] = "locator"
                                self._children_yang_names.add("locator")

                                self.map_cache = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")

                                self.map_cache_limit = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.map_cache_persistent = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                self._children_yang_names.add("map-cache-persistent")

                                self.map_resolver = None
                                self._children_name_map["map_resolver"] = "map-resolver"
                                self._children_yang_names.add("map-resolver")

                                self.map_server = None
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")

                                self.path_mtu_discovery = None
                                self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                self._children_yang_names.add("path-mtu-discovery")

                                self.route_export = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteExport()
                                self.route_export.parent = self
                                self._children_name_map["route_export"] = "route-export"
                                self._children_yang_names.add("route-export")

                                self.route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport()
                                self.route_import.parent = self
                                self._children_name_map["route_import"] = "route-import"
                                self._children_yang_names.add("route-import")

                                self.site_registration = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.use_petr = YList(self)
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit)}
                                    self._child_list_classes = {}

                                    self.limit = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")
                                    self._segment_path = lambda: "database-mapping"


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Distance(Entity):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.alt = YLeaf(YType.uint8, "alt")

                                    self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                    self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                    self._segment_path = lambda: "distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.ItrEnable, ['itr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer)}

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr, [], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: key_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: key_7
                                        
                                        	The HIDDEN password
                                        	**type**\: str
                                        
                                        .. attribute:: pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.key_0 = YLeaf(YType.str, "key-0")

                                            self.key_6 = YLeaf(YType.str, "key-6")

                                            self.key_7 = YLeaf(YType.str, "key-7")

                                            self.pwd = YLeaf(YType.str, "pwd")
                                            self._segment_path = lambda: "key"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.EtrEnable, ['etr'], name, value)


                            class Locator(Entity):
                                """
                                Locator related configuration
                                
                                .. attribute:: reachability
                                
                                	Configuration realted to locator reachability
                                	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator.Reachability>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator, self).__init__()

                                    self.yang_name = "locator"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"reachability" : ("reachability", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator.Reachability)}
                                    self._child_list_classes = {}

                                    self.reachability = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator.Reachability()
                                    self.reachability.parent = self
                                    self._children_name_map["reachability"] = "reachability"
                                    self._children_yang_names.add("reachability")
                                    self._segment_path = lambda: "locator"


                                class Reachability(Entity):
                                    """
                                    Configuration realted to locator reachability
                                    
                                    .. attribute:: exclude_default
                                    
                                    	If a remote RLOC is reached via the default route, treat it as unreachable
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator.Reachability, self).__init__()

                                        self.yang_name = "reachability"
                                        self.yang_parent_name = "locator"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.exclude_default = YLeaf(YType.empty, "exclude-default")
                                        self._segment_path = lambda: "reachability"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.Locator.Reachability, ['exclude_default'], name, value)


                            class MapCache(Entity):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registration = YLeaf(YType.empty, "site-registration")
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCache, ['site_registration'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class MapCachePersistent(Entity):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\: int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCachePersistent, self).__init__()

                                    self.yang_name = "map-cache-persistent"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")
                                    self._segment_path = lambda: "map-cache-persistent"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapCachePersistent, ['interval'], name, value)


                            class MapResolver(Entity):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest()
                                    self.map_request.parent = self
                                    self._children_name_map["map_request"] = "map-request"
                                    self._children_yang_names.add("map-request")
                                    self._segment_path = lambda: "map-resolver"


                                class MapRequest(Entity):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest, self).__init__()

                                        self.yang_name = "map-request"
                                        self.yang_parent_name = "map-resolver"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-request"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-request"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.list = YLeaf(YType.empty, "list")

                                                self.registered = YLeaf(YType.empty, "registered")

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "source"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                            class MapServer(Entity):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_register = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister()
                                    self.map_register.parent = self
                                    self._children_name_map["map_register"] = "map-register"
                                    self._children_yang_names.add("map-register")
                                    self._segment_path = lambda: "map-server"


                                class MapRegister(Entity):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister, self).__init__()

                                        self.yang_name = "map-register"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-register"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-register"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                                self._segment_path = lambda: "source"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                            class PathMtuDiscovery(Entity):
                                """
                                Path MTU discovery
                                
                                .. attribute:: max
                                
                                	Upper bound on the path MTU accepted
                                	**type**\: int
                                
                                	**range:** 68..65535
                                
                                .. attribute:: min
                                
                                	Lower bound on the path MTU accepted
                                	**type**\: int
                                
                                	**range:** 68..65535
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery, self).__init__()

                                    self.yang_name = "path-mtu-discovery"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max = YLeaf(YType.uint16, "max")

                                    self.min = YLeaf(YType.uint16, "min")
                                    self._segment_path = lambda: "path-mtu-discovery"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery, ['max', 'min'], name, value)


                            class RouteExport(Entity):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteExport, self).__init__()

                                    self.yang_name = "route-export"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                    self.away_eids = YLeaf(YType.empty, "away-eids")
                                    self._segment_path = lambda: "route-export"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                            class RouteImport(Entity):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport, self).__init__()

                                    self.yang_name = "route-import"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache)}
                                    self._child_list_classes = {}

                                    self.database = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database()
                                    self.database.parent = self
                                    self._children_name_map["database"] = "database"
                                    self._children_yang_names.add("database")

                                    self.map_cache = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "route-import"


                                class Database(Entity):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database, self).__init__()

                                        self.yang_name = "database"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip), "static" : ("static", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3)}

                                        self.connected = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.maximum_prefix = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.rip = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip()
                                        self.rip.parent = self
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static()
                                        self.static.parent = self
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.isis = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self._segment_path = lambda: "database"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "connected"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.int32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "rip"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "static"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3)}

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.maximum_prefix = Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.isis = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "connected"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.int32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "rip"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "static"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations for a given instance\-id
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class UsePetr(Entity):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.UsePetr, self).__init__()

                                    self.yang_name = "use-petr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.locator_address = YLeaf(YType.str, "locator-address")

                                    self.priority = YLeaf(YType.uint8, "priority")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.Ipv6.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


                        class LocReachAlgorithm(Entity):
                            """
                            Configure locator reachability algorithm
                            
                            .. attribute:: lsb_reports
                            
                            	Configure data packet LSB report handling
                            	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports>`
                            
                            .. attribute:: rloc_probing
                            
                            	Probe high priority RLOCs with Map\-Requests as last resort
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm, self).__init__()

                                self.yang_name = "loc-reach-algorithm"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports)}
                                self._child_list_classes = {}

                                self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                                self.lsb_reports = Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports()
                                self.lsb_reports.parent = self
                                self._children_name_map["lsb_reports"] = "lsb-reports"
                                self._children_yang_names.add("lsb-reports")
                                self._segment_path = lambda: "loc-reach-algorithm"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm, ['rloc_probing'], name, value)


                            class LsbReports(Entity):
                                """
                                Configure data packet LSB report handling
                                
                                .. attribute:: do_not_transmit
                                
                                	Force the setting of the encapsulation header L bit to zero
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ignore
                                
                                	Ignore data packet LSB reports
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports, self).__init__()

                                    self.yang_name = "lsb-reports"
                                    self.yang_parent_name = "loc-reach-algorithm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                                    self.ignore = YLeaf(YType.empty, "ignore")
                                    self._segment_path = lambda: "lsb-reports"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                        class LocatorDown(Entity):
                            """
                            Manually set locator status to down
                            
                            .. attribute:: address
                            
                            	IPv4/6 Locator address to be set down
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_interface
                            
                            	Use IPv4 address of interface as locator
                            	**type**\: str
                            
                            .. attribute:: ipv6_interface
                            
                            	Use IPv6 address of interface as locator
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.LocatorDown, self).__init__()

                                self.yang_name = "locator-down"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.ipv4_interface = YLeaf(YType.str, "IPv4-interface")

                                self.ipv6_interface = YLeaf(YType.str, "IPv6-interface")
                                self._segment_path = lambda: "locator-down"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.LocatorDown, ['address', 'ipv4_interface', 'ipv6_interface'], name, value)


                        class LocatorTable(Entity):
                            """
                            Specify the RLOC table
                            
                            .. attribute:: vrf_name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: default
                            
                            	Default VRF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vrf
                            
                            	VRF name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.LocatorTable, self).__init__()

                                self.yang_name = "locator-table"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vrf_name = YLeaf(YType.str, "vrf-name")

                                self.default = YLeaf(YType.empty, "default")

                                self.vrf = YLeaf(YType.str, "vrf")
                                self._segment_path = lambda: "locator-table"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.LocatorTable, ['vrf_name', 'default', 'vrf'], name, value)


                        class MapRequest(Entity):
                            """
                            Configure map\-request handling
                            
                            .. attribute:: itr_rlocs
                            
                            	Configure to use the specified RLOC set as ITR RLOC in map\-request
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.MapRequest, self).__init__()

                                self.yang_name = "map-request"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr_rlocs = YLeaf(YType.str, "itr-rlocs")
                                self._segment_path = lambda: "map-request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.MapRequest, ['itr_rlocs'], name, value)


                        class MapServer(Entity):
                            """
                            Map\-Server commands
                            
                            .. attribute:: rloc
                            
                            	EID instance RLOC membership
                            	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc>`
                            
                            .. attribute:: site_registration
                            
                            	Map\-server site registration options
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.SiteRegistration>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.SiteRegistration)}
                                self._child_list_classes = {}

                                self.rloc = Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc()
                                self.rloc.parent = self
                                self._children_name_map["rloc"] = "rloc"
                                self._children_yang_names.add("rloc")

                                self.site_registration = Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")
                                self._segment_path = lambda: "map-server"


                            class Rloc(Entity):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: members
                                
                                	EID instance RLOC membership
                                	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc, self).__init__()

                                    self.yang_name = "rloc"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"members" : ("members", Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members)}
                                    self._child_list_classes = {}

                                    self.members = Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members()
                                    self.members.parent = self
                                    self._children_name_map["members"] = "members"
                                    self._children_yang_names.add("members")
                                    self._segment_path = lambda: "rloc"


                                class Members(Entity):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: distribute
                                    
                                    	EID instance RLOC membership distribution
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: modify_discovered
                                    
                                    	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members, self).__init__()

                                        self.yang_name = "members"
                                        self.yang_parent_name = "rloc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered)}
                                        self._child_list_classes = {}

                                        self.distribute = YLeaf(YType.empty, "distribute")

                                        self.modify_discovered = Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                        self.modify_discovered.parent = self
                                        self._children_name_map["modify_discovered"] = "modify-discovered"
                                        self._children_yang_names.add("modify-discovered")
                                        self._segment_path = lambda: "members"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members, ['distribute'], name, value)


                                    class ModifyDiscovered(Entity):
                                        """
                                        Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        
                                        .. attribute:: operator
                                        
                                        	
                                        	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set from which to get member RLOC addresses
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                            self.yang_name = "modify-discovered"
                                            self.yang_parent_name = "members"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.operator = YLeaf(YType.enumeration, "operator")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "modify-discovered"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                        class Operator(Enum):
                                            """
                                            Operator

                                            .. data:: add = 0

                                            .. data:: override = 1

                                            """

                                            add = Enum.YLeaf(0, "add")

                                            override = Enum.YLeaf(1, "override")



                            class SiteRegistration(Entity):
                                """
                                Map\-server site registration options
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations as a result of accept\-more\-specifics
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class OtherXtrProbe(Entity):
                            """
                            Configure parameters for probing of other xTRs in our site
                            
                            .. attribute:: period
                            
                            	Period between probes in seconds
                            	**type**\: int
                            
                            	**range:** 5..900
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.OtherXtrProbe, self).__init__()

                                self.yang_name = "other-xtr-probe"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.period = YLeaf(YType.uint16, "period")
                                self._segment_path = lambda: "other-xtr-probe"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.OtherXtrProbe, ['period'], name, value)


                        class RemoteRlocProbe(Entity):
                            """
                            Configure parameters for probing of remote RLOCs
                            
                            .. attribute:: on_membership_change
                            
                            	Trigger probing upon membership changes for remote RLOC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: on_route_change
                            
                            	Trigger probing upon routing changes for remote RLOC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.RemoteRlocProbe, self).__init__()

                                self.yang_name = "remote-rloc-probe"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                                self.on_route_change = YLeaf(YType.empty, "on-route-change")
                                self._segment_path = lambda: "remote-rloc-probe"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                        class MapCache(Entity):
                            """
                            Configures static EID\-to\-RLOC mappings for an ITR
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: etr_interface_ip
                            
                            	
                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp>`
                            
                            .. attribute:: drop
                            
                            	Drop packets that match this map\-cache entry
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: map_request
                            
                            	Send Map\-Request for LISP destination EID
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: native_forward
                            
                            	Natively forward packets that match this map\-cache entry
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.EidTable.InstanceList.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp)}
                                self._child_list_classes = {}

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.drop = YLeaf(YType.empty, "drop")

                                self.map_request = YLeaf(YType.empty, "map-request")

                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                self.etr_interface_ip = Native.Router.Lisp.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp()
                                self.etr_interface_ip.parent = self
                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                self._children_yang_names.add("etr-interface-ip")
                                self._segment_path = lambda: "map-cache" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.MapCache, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                            class EtrInterfaceIp(Entity):
                                """
                                
                                
                                .. attribute:: etr_interface_ip_address
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp, self).__init__()

                                    self.yang_name = "etr-interface-ip"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                    self.priority = YLeaf(YType.uint8, "priority")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "etr-interface-ip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                class Security(Entity):
                    """
                    Enable default LISP security and authentication in reply is optional
                    
                    .. attribute:: strong
                    
                    	Enable default LISP security and authentication in reply is required
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.Security, self).__init__()

                        self.yang_name = "security"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.strong = YLeaf(YType.empty, "strong")
                        self._segment_path = lambda: "security"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.Security, ['strong'], name, value)


                class Site(Entity):
                    """
                    Configure a LISP site on a map server (MS)
                    
                    .. attribute:: sname  <key>
                    
                    	The site name
                    	**type**\: str
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default>`
                    
                    .. attribute:: authentication_key
                    
                    	Authentication key used by LISP site
                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.AuthenticationKey>`
                    
                    .. attribute:: description
                    
                    	Site description
                    	**type**\: str
                    
                    .. attribute:: allowed_locator
                    
                    	Locator from LISP site
                    	**type**\:  :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.AllowedLocator>`
                    
                    .. attribute:: eid_prefix
                    
                    	Site EID address prefix
                    	**type**\:  :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidPrefix>`
                    
                    .. attribute:: eid_record
                    
                    	Site EID address prefix
                    	**type**\:  :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidRecord>`
                    
                    .. attribute:: site_id
                    
                    	Configure a site\-id for this site
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.Site, self).__init__()

                        self.yang_name = "site"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Default.Site.Default), "authentication-key" : ("authentication_key", Native.Router.Lisp.Default.Site.AuthenticationKey), "allowed-locator" : ("allowed_locator", Native.Router.Lisp.Default.Site.AllowedLocator), "eid-prefix" : ("eid_prefix", Native.Router.Lisp.Default.Site.EidPrefix), "eid-record" : ("eid_record", Native.Router.Lisp.Default.Site.EidRecord)}
                        self._child_list_classes = {}

                        self.sname = YLeaf(YType.str, "sname")

                        self.description = YLeaf(YType.str, "description")

                        self.site_id = YLeaf(YType.uint32, "site-id")

                        self.default = Native.Router.Lisp.Default.Site.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.authentication_key = Native.Router.Lisp.Default.Site.AuthenticationKey()
                        self.authentication_key.parent = self
                        self._children_name_map["authentication_key"] = "authentication-key"
                        self._children_yang_names.add("authentication-key")

                        self.allowed_locator = Native.Router.Lisp.Default.Site.AllowedLocator()
                        self.allowed_locator.parent = self
                        self._children_name_map["allowed_locator"] = "allowed-locator"
                        self._children_yang_names.add("allowed-locator")

                        self.eid_prefix = Native.Router.Lisp.Default.Site.EidPrefix()
                        self.eid_prefix.parent = self
                        self._children_name_map["eid_prefix"] = "eid-prefix"
                        self._children_yang_names.add("eid-prefix")

                        self.eid_record = Native.Router.Lisp.Default.Site.EidRecord()
                        self.eid_record.parent = self
                        self._children_name_map["eid_record"] = "eid-record"
                        self._children_yang_names.add("eid-record")
                        self._segment_path = lambda: "site" + "[sname='" + self.sname.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.Site, ['sname', 'description', 'site_id'], name, value)


                    class Default(Entity):
                        """
                        
                        
                        .. attribute:: authentication_key
                        
                        	Authentication key used by LISP site
                        	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default.AuthenticationKey>`
                        
                        .. attribute:: description
                        
                        	Site description
                        	**type**\: str
                        
                        .. attribute:: allowed_locator
                        
                        	Locator from LISP site
                        	**type**\:  :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default.AllowedLocator>`
                        
                        .. attribute:: eid_prefix
                        
                        	Site EID address prefix
                        	**type**\:  :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default.EidPrefix>`
                        
                        .. attribute:: eid_record
                        
                        	Site EID address prefix
                        	**type**\:  :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default.EidRecord>`
                        
                        .. attribute:: site_id
                        
                        	Configure a site\-id for this site
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Site.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "site"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Lisp.Default.Site.Default.AuthenticationKey), "allowed-locator" : ("allowed_locator", Native.Router.Lisp.Default.Site.Default.AllowedLocator), "eid-prefix" : ("eid_prefix", Native.Router.Lisp.Default.Site.Default.EidPrefix), "eid-record" : ("eid_record", Native.Router.Lisp.Default.Site.Default.EidRecord)}
                            self._child_list_classes = {}

                            self.description = YLeaf(YType.str, "description")

                            self.site_id = YLeaf(YType.uint32, "site-id")

                            self.authentication_key = Native.Router.Lisp.Default.Site.Default.AuthenticationKey()
                            self.authentication_key.parent = self
                            self._children_name_map["authentication_key"] = "authentication-key"
                            self._children_yang_names.add("authentication-key")

                            self.allowed_locator = Native.Router.Lisp.Default.Site.Default.AllowedLocator()
                            self.allowed_locator.parent = self
                            self._children_name_map["allowed_locator"] = "allowed-locator"
                            self._children_yang_names.add("allowed-locator")

                            self.eid_prefix = Native.Router.Lisp.Default.Site.Default.EidPrefix()
                            self.eid_prefix.parent = self
                            self._children_name_map["eid_prefix"] = "eid-prefix"
                            self._children_yang_names.add("eid-prefix")

                            self.eid_record = Native.Router.Lisp.Default.Site.Default.EidRecord()
                            self.eid_record.parent = self
                            self._children_name_map["eid_record"] = "eid-record"
                            self._children_yang_names.add("eid-record")
                            self._segment_path = lambda: "default"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Site.Default, ['description', 'site_id'], name, value)


                        class AuthenticationKey(Entity):
                            """
                            Authentication key used by LISP site
                            
                            .. attribute:: unc_pwd
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\: str
                            
                            .. attribute:: key_0
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\: str
                            
                            .. attribute:: key_6
                            
                            	The ENCRYPTED password
                            	**type**\: str
                            
                            .. attribute:: key_7
                            
                            	The ENCRYPTED password
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Site.Default.AuthenticationKey, self).__init__()

                                self.yang_name = "authentication-key"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                self.key_0 = YLeaf(YType.str, "key-0")

                                self.key_6 = YLeaf(YType.str, "key-6")

                                self.key_7 = YLeaf(YType.str, "key-7")
                                self._segment_path = lambda: "authentication-key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Site.Default.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                        class AllowedLocator(Entity):
                            """
                            Locator from LISP site
                            
                            .. attribute:: ls_ipv4
                            
                            	IPv4 locator allowed in registered locator\-set
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ls_ipv6
                            
                            	IPv6 locator allowed in registered locator\-set
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: list
                            
                            	Prefixes allowed in registerd locator\-set
                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default.AllowedLocator.List>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Site.Default.AllowedLocator, self).__init__()

                                self.yang_name = "allowed-locator"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Site.Default.AllowedLocator.List)}
                                self._child_list_classes = {}

                                self.ls_ipv4 = YLeaf(YType.str, "ls-ipv4")

                                self.ls_ipv6 = YLeaf(YType.str, "ls-ipv6")

                                self.list = Native.Router.Lisp.Default.Site.Default.AllowedLocator.List()
                                self.list.parent = self
                                self._children_name_map["list"] = "list"
                                self._children_yang_names.add("list")
                                self._segment_path = lambda: "allowed-locator"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Site.Default.AllowedLocator, ['ls_ipv4', 'ls_ipv6'], name, value)


                            class List(Entity):
                                """
                                Prefixes allowed in registerd locator\-set
                                
                                .. attribute:: ipv4
                                
                                	IPv4 prefix\-list name
                                	**type**\: str
                                
                                .. attribute:: ipv6
                                
                                	IPv6 prefix\-list name
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Site.Default.AllowedLocator.List, self).__init__()

                                    self.yang_name = "list"
                                    self.yang_parent_name = "allowed-locator"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                    self._segment_path = lambda: "list"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Site.Default.AllowedLocator.List, ['ipv4', 'ipv6'], name, value)


                        class EidPrefix(Entity):
                            """
                            Site EID address prefix
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default.EidPrefix.Prefixes>`
                            
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default.EidPrefix.InstanceId>`
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Site.Default.EidPrefix, self).__init__()

                                self.yang_name = "eid-prefix"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Default.Site.Default.EidPrefix.Prefixes), "instance-id" : ("instance_id", Native.Router.Lisp.Default.Site.Default.EidPrefix.InstanceId)}

                                self.any_mac = YLeaf(YType.empty, "any-mac")

                                self.prefixes = YList(self)
                                self.instance_id = YList(self)
                                self._segment_path = lambda: "eid-prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Site.Default.EidPrefix, ['any_mac'], name, value)


                            class Prefixes(Entity):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Site.Default.EidPrefix.Prefixes, self).__init__()

                                    self.yang_name = "prefixes"
                                    self.yang_parent_name = "eid-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.prefix = YLeaf(YType.str, "prefix")

                                    self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Site.Default.EidPrefix.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                            class InstanceId(Entity):
                                """
                                EID instance\-ID
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..16777214
                                
                                .. attribute:: prefixes
                                
                                	
                                	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default.EidPrefix.InstanceId.Prefixes>`
                                
                                .. attribute:: any_mac
                                
                                	Accept registrations for any L2 EID records
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Site.Default.EidPrefix.InstanceId, self).__init__()

                                    self.yang_name = "instance-id"
                                    self.yang_parent_name = "eid-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Default.Site.Default.EidPrefix.InstanceId.Prefixes)}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.any_mac = YLeaf(YType.empty, "any-mac")

                                    self.prefixes = YList(self)
                                    self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Site.Default.EidPrefix.InstanceId, ['id', 'any_mac'], name, value)


                                class Prefixes(Entity):
                                    """
                                    
                                    
                                    .. attribute:: prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: accept_more_specifics
                                    
                                    	Accept registrations for more specific EID prefixes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_tag
                                    
                                    	RIB route tag
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Site.Default.EidPrefix.InstanceId.Prefixes, self).__init__()

                                        self.yang_name = "prefixes"
                                        self.yang_parent_name = "instance-id"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.prefix = YLeaf(YType.str, "prefix")

                                        self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                        self.route_tag = YLeaf(YType.uint32, "route-tag")
                                        self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Site.Default.EidPrefix.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                        class EidRecord(Entity):
                            """
                            Site EID address prefix
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default.EidRecord.Prefixes>`
                            
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default.EidRecord.InstanceId>`
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Site.Default.EidRecord, self).__init__()

                                self.yang_name = "eid-record"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Default.Site.Default.EidRecord.Prefixes), "instance-id" : ("instance_id", Native.Router.Lisp.Default.Site.Default.EidRecord.InstanceId)}

                                self.any_mac = YLeaf(YType.empty, "any-mac")

                                self.prefixes = YList(self)
                                self.instance_id = YList(self)
                                self._segment_path = lambda: "eid-record"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Site.Default.EidRecord, ['any_mac'], name, value)


                            class Prefixes(Entity):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Site.Default.EidRecord.Prefixes, self).__init__()

                                    self.yang_name = "prefixes"
                                    self.yang_parent_name = "eid-record"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.prefix = YLeaf(YType.str, "prefix")

                                    self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Site.Default.EidRecord.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                            class InstanceId(Entity):
                                """
                                EID instance\-ID
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..16777214
                                
                                .. attribute:: prefixes
                                
                                	
                                	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.Default.EidRecord.InstanceId.Prefixes>`
                                
                                .. attribute:: any_mac
                                
                                	Accept registrations for any L2 EID records
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Site.Default.EidRecord.InstanceId, self).__init__()

                                    self.yang_name = "instance-id"
                                    self.yang_parent_name = "eid-record"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Default.Site.Default.EidRecord.InstanceId.Prefixes)}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.any_mac = YLeaf(YType.empty, "any-mac")

                                    self.prefixes = YList(self)
                                    self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Site.Default.EidRecord.InstanceId, ['id', 'any_mac'], name, value)


                                class Prefixes(Entity):
                                    """
                                    
                                    
                                    .. attribute:: prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: accept_more_specifics
                                    
                                    	Accept registrations for more specific EID prefixes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_tag
                                    
                                    	RIB route tag
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Default.Site.Default.EidRecord.InstanceId.Prefixes, self).__init__()

                                        self.yang_name = "prefixes"
                                        self.yang_parent_name = "instance-id"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.prefix = YLeaf(YType.str, "prefix")

                                        self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                        self.route_tag = YLeaf(YType.uint32, "route-tag")
                                        self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Default.Site.Default.EidRecord.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                    class AuthenticationKey(Entity):
                        """
                        Authentication key used by LISP site
                        
                        .. attribute:: unc_pwd
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\: str
                        
                        .. attribute:: key_0
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\: str
                        
                        .. attribute:: key_6
                        
                        	The ENCRYPTED password
                        	**type**\: str
                        
                        .. attribute:: key_7
                        
                        	The ENCRYPTED password
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Site.AuthenticationKey, self).__init__()

                            self.yang_name = "authentication-key"
                            self.yang_parent_name = "site"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                            self.key_0 = YLeaf(YType.str, "key-0")

                            self.key_6 = YLeaf(YType.str, "key-6")

                            self.key_7 = YLeaf(YType.str, "key-7")
                            self._segment_path = lambda: "authentication-key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Site.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                    class AllowedLocator(Entity):
                        """
                        Locator from LISP site
                        
                        .. attribute:: ls_ipv4
                        
                        	IPv4 locator allowed in registered locator\-set
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ls_ipv6
                        
                        	IPv6 locator allowed in registered locator\-set
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: list
                        
                        	Prefixes allowed in registerd locator\-set
                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.AllowedLocator.List>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Site.AllowedLocator, self).__init__()

                            self.yang_name = "allowed-locator"
                            self.yang_parent_name = "site"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Default.Site.AllowedLocator.List)}
                            self._child_list_classes = {}

                            self.ls_ipv4 = YLeaf(YType.str, "ls-ipv4")

                            self.ls_ipv6 = YLeaf(YType.str, "ls-ipv6")

                            self.list = Native.Router.Lisp.Default.Site.AllowedLocator.List()
                            self.list.parent = self
                            self._children_name_map["list"] = "list"
                            self._children_yang_names.add("list")
                            self._segment_path = lambda: "allowed-locator"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Site.AllowedLocator, ['ls_ipv4', 'ls_ipv6'], name, value)


                        class List(Entity):
                            """
                            Prefixes allowed in registerd locator\-set
                            
                            .. attribute:: ipv4
                            
                            	IPv4 prefix\-list name
                            	**type**\: str
                            
                            .. attribute:: ipv6
                            
                            	IPv6 prefix\-list name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Site.AllowedLocator.List, self).__init__()

                                self.yang_name = "list"
                                self.yang_parent_name = "allowed-locator"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                self._segment_path = lambda: "list"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Site.AllowedLocator.List, ['ipv4', 'ipv6'], name, value)


                    class EidPrefix(Entity):
                        """
                        Site EID address prefix
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidPrefix.Prefixes>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidPrefix.InstanceId>`
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Site.EidPrefix, self).__init__()

                            self.yang_name = "eid-prefix"
                            self.yang_parent_name = "site"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Default.Site.EidPrefix.Prefixes), "instance-id" : ("instance_id", Native.Router.Lisp.Default.Site.EidPrefix.InstanceId)}

                            self.any_mac = YLeaf(YType.empty, "any-mac")

                            self.prefixes = YList(self)
                            self.instance_id = YList(self)
                            self._segment_path = lambda: "eid-prefix"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Site.EidPrefix, ['any_mac'], name, value)


                        class Prefixes(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Site.EidPrefix.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "eid-prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Site.EidPrefix.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                        class InstanceId(Entity):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidPrefix.InstanceId.Prefixes>`
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Site.EidPrefix.InstanceId, self).__init__()

                                self.yang_name = "instance-id"
                                self.yang_parent_name = "eid-prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Default.Site.EidPrefix.InstanceId.Prefixes)}

                                self.id = YLeaf(YType.uint32, "id")

                                self.any_mac = YLeaf(YType.empty, "any-mac")

                                self.prefixes = YList(self)
                                self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Site.EidPrefix.InstanceId, ['id', 'any_mac'], name, value)


                            class Prefixes(Entity):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Site.EidPrefix.InstanceId.Prefixes, self).__init__()

                                    self.yang_name = "prefixes"
                                    self.yang_parent_name = "instance-id"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.prefix = YLeaf(YType.str, "prefix")

                                    self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Site.EidPrefix.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                    class EidRecord(Entity):
                        """
                        Site EID address prefix
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidRecord.Prefixes>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidRecord.InstanceId>`
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Site.EidRecord, self).__init__()

                            self.yang_name = "eid-record"
                            self.yang_parent_name = "site"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Default.Site.EidRecord.Prefixes), "instance-id" : ("instance_id", Native.Router.Lisp.Default.Site.EidRecord.InstanceId)}

                            self.any_mac = YLeaf(YType.empty, "any-mac")

                            self.prefixes = YList(self)
                            self.instance_id = YList(self)
                            self._segment_path = lambda: "eid-record"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Site.EidRecord, ['any_mac'], name, value)


                        class Prefixes(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Site.EidRecord.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "eid-record"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Site.EidRecord.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                        class InstanceId(Entity):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Site.EidRecord.InstanceId.Prefixes>`
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Default.Site.EidRecord.InstanceId, self).__init__()

                                self.yang_name = "instance-id"
                                self.yang_parent_name = "eid-record"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Default.Site.EidRecord.InstanceId.Prefixes)}

                                self.id = YLeaf(YType.uint32, "id")

                                self.any_mac = YLeaf(YType.empty, "any-mac")

                                self.prefixes = YList(self)
                                self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Default.Site.EidRecord.InstanceId, ['id', 'any_mac'], name, value)


                            class Prefixes(Entity):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Default.Site.EidRecord.InstanceId.Prefixes, self).__init__()

                                    self.yang_name = "prefixes"
                                    self.yang_parent_name = "instance-id"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.prefix = YLeaf(YType.str, "prefix")

                                    self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Default.Site.EidRecord.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                class Syslog(Entity):
                    """
                    Configure syslog option
                    
                    .. attribute:: session
                    
                    	Enable session syslog
                    	**type**\:  :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Default.Syslog.Session>`
                    
                    .. attribute:: verbose
                    
                    	Enable verbose syslog
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Default.Syslog, self).__init__()

                        self.yang_name = "syslog"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"session" : ("session", Native.Router.Lisp.Default.Syslog.Session)}
                        self._child_list_classes = {}

                        self.verbose = YLeaf(YType.empty, "verbose")

                        self.session = Native.Router.Lisp.Default.Syslog.Session()
                        self.session.parent = self
                        self._children_name_map["session"] = "session"
                        self._children_yang_names.add("session")
                        self._segment_path = lambda: "syslog"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Default.Syslog, ['verbose'], name, value)


                    class Session(Entity):
                        """
                        Enable session syslog
                        
                        .. attribute:: changes
                        
                        	Enable session change syslog
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Default.Syslog.Session, self).__init__()

                            self.yang_name = "session"
                            self.yang_parent_name = "syslog"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.changes = YLeaf(YType.empty, "changes")
                            self._segment_path = lambda: "session"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/default/syslog/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Default.Syslog.Session, ['changes'], name, value)


            class Service(Entity):
                """
                Configure lisp service type
                
                .. attribute:: ipv4
                
                	
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4>`
                
                	**presence node**\: True
                
                .. attribute:: ipv6
                
                	
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6>`
                
                	**presence node**\: True
                
                .. attribute:: ethernet
                
                	
                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet>`
                
                	**presence node**\: True
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.Service, self).__init__()

                    self.yang_name = "service"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Lisp.Service.Ipv4), "ipv6" : ("ipv6", Native.Router.Lisp.Service.Ipv6), "ethernet" : ("ethernet", Native.Router.Lisp.Service.Ethernet)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.ipv4 = None
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")

                    self.ipv6 = None
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.ethernet = None
                    self._children_name_map["ethernet"] = "ethernet"
                    self._children_yang_names.add("ethernet")
                    self._segment_path = lambda: "service"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()


                class Ipv4(Entity):
                    """
                    
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default>`
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.DatabaseMapping>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.ItrEnable>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.EtrEnable>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapCacheLimit>`
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.SolicitMapRequest>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Distance>`
                    
                    .. attribute:: encapsulation
                    
                    	Select encapsulation type for data packets
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Encapsulation>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapCache>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapCachePersistent>`
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.ProxyItr>`
                    
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.RouteExport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.UsePetr>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Service.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Service.Ipv4.Default), "database-mapping" : ("database_mapping", Native.Router.Lisp.Service.Ipv4.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Service.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Service.Ipv4.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Service.Ipv4.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Service.Ipv4.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Service.Ipv4.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.Lisp.Service.Ipv4.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Service.Ipv4.MapServer), "site-registration" : ("site_registration", Native.Router.Lisp.Service.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Service.Ipv4.SolicitMapRequest), "distance" : ("distance", Native.Router.Lisp.Service.Ipv4.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Service.Ipv4.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Service.Ipv4.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Service.Ipv4.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Service.Ipv4.RouteExport)}
                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Service.Ipv4.UsePetr)}
                        self.is_presence_container = True

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                        self.sgt = YLeaf(YType.empty, "sgt")

                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                        self.default = Native.Router.Lisp.Service.Ipv4.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.database_mapping = Native.Router.Lisp.Service.Ipv4.DatabaseMapping()
                        self.database_mapping.parent = self
                        self._children_name_map["database_mapping"] = "database-mapping"
                        self._children_yang_names.add("database-mapping")

                        self.itr = Native.Router.Lisp.Service.Ipv4.Itr()
                        self.itr.parent = self
                        self._children_name_map["itr"] = "itr"
                        self._children_yang_names.add("itr")

                        self.itr_enable = Native.Router.Lisp.Service.Ipv4.ItrEnable()
                        self.itr_enable.parent = self
                        self._children_name_map["itr_enable"] = "itr-enable"
                        self._children_yang_names.add("itr-enable")

                        self.etr_enable = Native.Router.Lisp.Service.Ipv4.EtrEnable()
                        self.etr_enable.parent = self
                        self._children_name_map["etr_enable"] = "etr-enable"
                        self._children_yang_names.add("etr-enable")

                        self.etr = Native.Router.Lisp.Service.Ipv4.Etr()
                        self.etr.parent = self
                        self._children_name_map["etr"] = "etr"
                        self._children_yang_names.add("etr")

                        self.map_cache_limit = Native.Router.Lisp.Service.Ipv4.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                        self._children_yang_names.add("map-cache-limit")

                        self.map_resolver = None
                        self._children_name_map["map_resolver"] = "map-resolver"
                        self._children_yang_names.add("map-resolver")

                        self.map_server = None
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.site_registration = Native.Router.Lisp.Service.Ipv4.SiteRegistration()
                        self.site_registration.parent = self
                        self._children_name_map["site_registration"] = "site-registration"
                        self._children_yang_names.add("site-registration")

                        self.solicit_map_request = Native.Router.Lisp.Service.Ipv4.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                        self._children_yang_names.add("solicit-map-request")

                        self.distance = Native.Router.Lisp.Service.Ipv4.Distance()
                        self.distance.parent = self
                        self._children_name_map["distance"] = "distance"
                        self._children_yang_names.add("distance")

                        self.map_cache = Native.Router.Lisp.Service.Ipv4.MapCache()
                        self.map_cache.parent = self
                        self._children_name_map["map_cache"] = "map-cache"
                        self._children_yang_names.add("map-cache")

                        self.map_cache_persistent = Native.Router.Lisp.Service.Ipv4.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                        self._children_yang_names.add("map-cache-persistent")

                        self.proxy_itr = Native.Router.Lisp.Service.Ipv4.ProxyItr()
                        self.proxy_itr.parent = self
                        self._children_name_map["proxy_itr"] = "proxy-itr"
                        self._children_yang_names.add("proxy-itr")

                        self.route_export = Native.Router.Lisp.Service.Ipv4.RouteExport()
                        self.route_export.parent = self
                        self._children_name_map["route_export"] = "route-export"
                        self._children_yang_names.add("route-export")

                        self.use_petr = YList(self)
                        self._segment_path = lambda: "ipv4"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Service.Ipv4, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Select encapsulation type for data packets

                        .. data:: lisp = 0

                        .. data:: vxlan = 1

                        """

                        lisp = Enum.YLeaf(0, "lisp")

                        vxlan = Enum.YLeaf(1, "vxlan")



                    class Default(Entity):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.ItrEnable>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.EtrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapCacheLimit>`
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.SolicitMapRequest>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Encapsulation>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapCache>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapCachePersistent>`
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.UsePetr>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Service.Ipv4.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Service.Ipv4.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Service.Ipv4.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Service.Ipv4.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Service.Ipv4.Default.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.Lisp.Service.Ipv4.Default.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Service.Ipv4.Default.MapServer), "site-registration" : ("site_registration", Native.Router.Lisp.Service.Ipv4.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Service.Ipv4.Default.SolicitMapRequest), "distance" : ("distance", Native.Router.Lisp.Service.Ipv4.Default.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Service.Ipv4.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Service.Ipv4.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Service.Ipv4.Default.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Service.Ipv4.Default.RouteExport)}
                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Service.Ipv4.Default.UsePetr)}

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                            self.sgt = YLeaf(YType.empty, "sgt")

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.database_mapping = Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.itr = Native.Router.Lisp.Service.Ipv4.Default.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.Lisp.Service.Ipv4.Default.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr_enable = Native.Router.Lisp.Service.Ipv4.Default.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.etr = Native.Router.Lisp.Service.Ipv4.Default.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.map_cache_limit = Native.Router.Lisp.Service.Ipv4.Default.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.site_registration = Native.Router.Lisp.Service.Ipv4.Default.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.Lisp.Service.Ipv4.Default.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")

                            self.distance = Native.Router.Lisp.Service.Ipv4.Default.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.map_cache = Native.Router.Lisp.Service.Ipv4.Default.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")

                            self.map_cache_persistent = Native.Router.Lisp.Service.Ipv4.Default.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                            self._children_yang_names.add("map-cache-persistent")

                            self.proxy_itr = Native.Router.Lisp.Service.Ipv4.Default.ProxyItr()
                            self.proxy_itr.parent = self
                            self._children_name_map["proxy_itr"] = "proxy-itr"
                            self._children_yang_names.add("proxy-itr")

                            self.route_export = Native.Router.Lisp.Service.Ipv4.Default.RouteExport()
                            self.route_export.parent = self
                            self._children_name_map["route_export"] = "route-export"
                            self._children_yang_names.add("route-export")

                            self.use_petr = YList(self)
                            self._segment_path = lambda: "default"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = Enum.YLeaf(0, "lisp")

                            vxlan = Enum.YLeaf(1, "vxlan")



                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/database-mapping/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Service.Ipv4.Default.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv4.Default.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/itr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.ItrEnable, ['itr'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.EtrEnable, ['etr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Service.Ipv4.Default.Etr.AcceptMapRequestMapping)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer)}

                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                self.accept_map_request_mapping = Native.Router.Lisp.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                self._children_yang_names.add("accept-map-request-mapping")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.Etr, ['map_cache_ttl'], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/etr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                            class AcceptMapRequestMapping(Entity):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                    self.yang_name = "accept-map-request-mapping"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                    self.verify = YLeaf(YType.empty, "verify")
                                    self._segment_path = lambda: "accept-map-request-mapping"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/etr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/map-resolver/%s" % self._segment_path()


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/map-resolver/map-request/%s" % self._segment_path()


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")

                                            self.registered = Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self
                                            self._children_name_map["registered"] = "registered"
                                            self._children_yang_names.add("registered")
                                            self._segment_path = lambda: "source"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/map-resolver/map-request/validate/%s" % self._segment_path()


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/map-resolver/map-request/validate/source/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                        class Registered(Entity):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                self.yang_name = "registered"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")
                                                self._segment_path = lambda: "registered"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/map-resolver/map-request/validate/source/%s" % self._segment_path()


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "registered"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = False
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"
                                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/map-resolver/map-request/validate/source/registered/%s" % self._segment_path()

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/map-server/%s" % self._segment_path()


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/map-server/map-register/%s" % self._segment_path()


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/map-server/map-register/validate/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class Distance(Entity):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.alt = YLeaf(YType.uint8, "alt")

                                self.away = YLeaf(YType.uint8, "away")

                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                self._segment_path = lambda: "distance"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                        class MapCache(Entity):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Service.Ipv4.Default.MapCache.AwayEids)}
                                self._child_list_classes = {}

                                self.site_registration = YLeaf(YType.empty, "site-registration")

                                self.away_eids = Native.Router.Lisp.Service.Ipv4.Default.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self._children_name_map["away_eids"] = "away-eids"
                                self._children_yang_names.add("away-eids")
                                self._segment_path = lambda: "map-cache"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.MapCache, ['site_registration'], name, value)


                            class AwayEids(Entity):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv4.Default.MapCache.AwayEids, self).__init__()

                                    self.yang_name = "away-eids"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                    self._segment_path = lambda: "away-eids"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                        class MapCachePersistent(Entity):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.MapCachePersistent, self).__init__()

                                self.yang_name = "map-cache-persistent"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")
                                self._segment_path = lambda: "map-cache-persistent"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.MapCachePersistent, ['interval'], name, value)


                        class ProxyItr(Entity):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.ProxyItr, self).__init__()

                                self.yang_name = "proxy-itr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                self._segment_path = lambda: "proxy-itr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                        class RouteExport(Entity):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.RouteExport, self).__init__()

                                self.yang_name = "route-export"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                self._segment_path = lambda: "route-export"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                        class UsePetr(Entity):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	
                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Default.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Default.UsePetr, self).__init__()

                                self.yang_name = "use-petr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Service.Ipv4.Default.UsePetr.Priority)}
                                self._child_list_classes = {}

                                self.locator_address = YLeaf(YType.str, "locator-address")

                                self.priority = Native.Router.Lisp.Service.Ipv4.Default.UsePetr.Priority()
                                self.priority.parent = self
                                self._children_name_map["priority"] = "priority"
                                self._children_yang_names.add("priority")
                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.UsePetr, ['locator_address'], name, value)


                            class Priority(Entity):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv4.Default.UsePetr.Priority, self).__init__()

                                    self.yang_name = "priority"
                                    self.yang_parent_name = "use-petr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority_value = YLeaf(YType.uint8, "priority-value")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "priority"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                    class DatabaseMapping(Entity):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.DatabaseMapping, self).__init__()

                            self.yang_name = "database-mapping"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Service.Ipv4.DatabaseMapping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.Router.Lisp.Service.Ipv4.DatabaseMapping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "database-mapping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\: int
                            
                            	**range:** 1..5000
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.DatabaseMapping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "database-mapping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/database-mapping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                    class Itr(Entity):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.Itr, self).__init__()

                            self.yang_name = "itr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Service.Ipv4.Itr.MapResolver)}

                            self.map_resolver = YList(self)
                            self._segment_path = lambda: "itr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Itr, [], name, value)


                        class MapResolver(Entity):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Itr.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "itr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/itr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                    class ItrEnable(Entity):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.ItrEnable, self).__init__()

                            self.yang_name = "itr-enable"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.itr = YLeaf(YType.empty, "itr")
                            self._segment_path = lambda: "itr-enable"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.ItrEnable, ['itr'], name, value)


                    class EtrEnable(Entity):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.EtrEnable, self).__init__()

                            self.yang_name = "etr-enable"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.etr = YLeaf(YType.empty, "etr")
                            self._segment_path = lambda: "etr-enable"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.EtrEnable, ['etr'], name, value)


                    class Etr(Entity):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer>`
                        
                        .. attribute:: map_cache_ttl
                        
                        	
                        	**type**\: int
                        
                        	**range:** 60..10080
                        
                        .. attribute:: accept_map_request_mapping
                        
                        	
                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.Etr, self).__init__()

                            self.yang_name = "etr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Service.Ipv4.Etr.AcceptMapRequestMapping)}
                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Service.Ipv4.Etr.MapServer)}

                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                            self.accept_map_request_mapping = Native.Router.Lisp.Service.Ipv4.Etr.AcceptMapRequestMapping()
                            self.accept_map_request_mapping.parent = self
                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                            self._children_yang_names.add("accept-map-request-mapping")

                            self.map_server = YList(self)
                            self._segment_path = lambda: "etr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Etr, ['map_cache_ttl'], name, value)


                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Etr.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/etr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7)}
                                    self._child_list_classes = {}

                                    self.key_pwd = Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self
                                    self._children_name_map["key_pwd"] = "key-pwd"
                                    self._children_yang_names.add("key-pwd")

                                    self.key_0 = Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self._children_name_map["key_0"] = "key-0"
                                    self._children_yang_names.add("key-0")

                                    self.key_6 = Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self._children_name_map["key_6"] = "key-6"
                                    self._children_yang_names.add("key-6")

                                    self.key_7 = Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self._children_name_map["key_7"] = "key-7"
                                    self._children_yang_names.add("key-7")
                                    self._segment_path = lambda: "key"


                                class KeyPwd(Entity):
                                    """
                                    
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd, self).__init__()

                                        self.yang_name = "key-pwd"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-pwd"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key0(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0, self).__init__()

                                        self.yang_name = "key-0"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-0"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key6(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6, self).__init__()

                                        self.yang_name = "key-6"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-6"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key7(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7, self).__init__()

                                        self.yang_name = "key-7"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-7"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                        class AcceptMapRequestMapping(Entity):
                            """
                            
                            
                            .. attribute:: accept_mappping
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: verify
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.Etr.AcceptMapRequestMapping, self).__init__()

                                self.yang_name = "accept-map-request-mapping"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                self.verify = YLeaf(YType.empty, "verify")
                                self._segment_path = lambda: "accept-map-request-mapping"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/etr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                    class MapCacheLimit(Entity):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\: str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.MapCacheLimit, self).__init__()

                            self.yang_name = "map-cache-limit"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "map-cache-limit"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                    class MapResolver(Entity):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_request = Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest()
                            self.map_request.parent = self
                            self._children_name_map["map_request"] = "map-request"
                            self._children_yang_names.add("map-request")
                            self._segment_path = lambda: "map-resolver"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()


                        class MapRequest(Entity):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest, self).__init__()

                                self.yang_name = "map-request"
                                self.yang_parent_name = "map-resolver"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-request"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/map-resolver/%s" % self._segment_path()


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-request"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/map-resolver/map-request/%s" % self._segment_path()


                                class Source(Entity):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered)}
                                        self._child_list_classes = {}

                                        self.list = Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List()
                                        self.list.parent = self
                                        self._children_name_map["list"] = "list"
                                        self._children_yang_names.add("list")

                                        self.registered = Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered()
                                        self.registered.parent = self
                                        self._children_name_map["registered"] = "registered"
                                        self._children_yang_names.add("registered")
                                        self._segment_path = lambda: "source"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/map-resolver/map-request/validate/%s" % self._segment_path()


                                    class List(Entity):
                                        """
                                        Define allowed prefixes using an ip[v6] prefix list
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                            self.yang_name = "list"
                                            self.yang_parent_name = "source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.str, "ipv4")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")
                                            self._segment_path = lambda: "list"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/map-resolver/map-request/validate/source/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                    class Registered(Entity):
                                        """
                                        ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                            self.yang_name = "registered"
                                            self.yang_parent_name = "source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")
                                            self._segment_path = lambda: "registered"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/map-resolver/map-request/validate/source/%s" % self._segment_path()


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "registered"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/map-resolver/map-request/validate/source/registered/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                    class MapServer(Entity):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_register = Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister()
                            self.map_register.parent = self
                            self._children_name_map["map_register"] = "map-register"
                            self._children_yang_names.add("map-register")
                            self._segment_path = lambda: "map-server"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()


                        class MapRegister(Entity):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister, self).__init__()

                                self.yang_name = "map-register"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-register"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/map-server/%s" % self._segment_path()


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-register"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/map-server/map-register/%s" % self._segment_path()


                                class Source(Entity):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                        self._segment_path = lambda: "source"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/map-server/map-register/validate/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ipv4.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                    class SiteRegistration(Entity):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.SiteRegistration, self).__init__()

                            self.yang_name = "site-registration"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.limit = YLeaf(YType.uint32, "limit")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "site-registration"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class SolicitMapRequest(Entity):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\: int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.SolicitMapRequest, self).__init__()

                            self.yang_name = "solicit-map-request"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")

                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                            self._segment_path = lambda: "solicit-map-request"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                    class Distance(Entity):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: away
                        
                        	Administrative distance for RIB route installation
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.Distance, self).__init__()

                            self.yang_name = "distance"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.alt = YLeaf(YType.uint8, "alt")

                            self.away = YLeaf(YType.uint8, "away")

                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                            self._segment_path = lambda: "distance"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                    class MapCache(Entity):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: away_eids
                        
                        	Map cache configuration for the away table
                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.MapCache.AwayEids>`
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Service.Ipv4.MapCache.AwayEids)}
                            self._child_list_classes = {}

                            self.site_registration = YLeaf(YType.empty, "site-registration")

                            self.away_eids = Native.Router.Lisp.Service.Ipv4.MapCache.AwayEids()
                            self.away_eids.parent = self
                            self._children_name_map["away_eids"] = "away-eids"
                            self._children_yang_names.add("away-eids")
                            self._segment_path = lambda: "map-cache"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.MapCache, ['site_registration'], name, value)


                        class AwayEids(Entity):
                            """
                            Map cache configuration for the away table
                            
                            .. attribute:: send_map_request
                            
                            	Export away table entries into the map cache with action set to send\-map\-request
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.MapCache.AwayEids, self).__init__()

                                self.yang_name = "away-eids"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                self._segment_path = lambda: "away-eids"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.MapCache.AwayEids, ['send_map_request'], name, value)


                    class MapCachePersistent(Entity):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.MapCachePersistent, self).__init__()

                            self.yang_name = "map-cache-persistent"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint16, "interval")
                            self._segment_path = lambda: "map-cache-persistent"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.MapCachePersistent, ['interval'], name, value)


                    class ProxyItr(Entity):
                        """
                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        
                        .. attribute:: ipv4_addr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv6_addr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.ProxyItr, self).__init__()

                            self.yang_name = "proxy-itr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                            self._segment_path = lambda: "proxy-itr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                    class RouteExport(Entity):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.RouteExport, self).__init__()

                            self.yang_name = "route-export"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                            self.away_eids = YLeaf(YType.empty, "away-eids")
                            self._segment_path = lambda: "route-export"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                    class UsePetr(Entity):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: priority
                        
                        	
                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv4.UsePetr.Priority>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv4.UsePetr, self).__init__()

                            self.yang_name = "use-petr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Service.Ipv4.UsePetr.Priority)}
                            self._child_list_classes = {}

                            self.locator_address = YLeaf(YType.str, "locator-address")

                            self.priority = Native.Router.Lisp.Service.Ipv4.UsePetr.Priority()
                            self.priority.parent = self
                            self._children_name_map["priority"] = "priority"
                            self._children_yang_names.add("priority")
                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv4.UsePetr, ['locator_address'], name, value)


                        class Priority(Entity):
                            """
                            
                            
                            .. attribute:: priority_value
                            
                            	Configures which Locators from a set are preferred
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv4.UsePetr.Priority, self).__init__()

                                self.yang_name = "priority"
                                self.yang_parent_name = "use-petr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                self.weight = YLeaf(YType.uint8, "weight")
                                self._segment_path = lambda: "priority"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv4.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                class Ipv6(Entity):
                    """
                    
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default>`
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.DatabaseMapping>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.ItrEnable>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.EtrEnable>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapCacheLimit>`
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.SolicitMapRequest>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Distance>`
                    
                    .. attribute:: encapsulation
                    
                    	Select encapsulation type for data packets
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Encapsulation>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapCache>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapCachePersistent>`
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.ProxyItr>`
                    
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.RouteExport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.UsePetr>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Service.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Service.Ipv6.Default), "database-mapping" : ("database_mapping", Native.Router.Lisp.Service.Ipv6.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Service.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Service.Ipv6.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Service.Ipv6.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Service.Ipv6.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Service.Ipv6.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.Lisp.Service.Ipv6.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Service.Ipv6.MapServer), "site-registration" : ("site_registration", Native.Router.Lisp.Service.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Service.Ipv6.SolicitMapRequest), "distance" : ("distance", Native.Router.Lisp.Service.Ipv6.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Service.Ipv6.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Service.Ipv6.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Service.Ipv6.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Service.Ipv6.RouteExport)}
                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Service.Ipv6.UsePetr)}
                        self.is_presence_container = True

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                        self.sgt = YLeaf(YType.empty, "sgt")

                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                        self.default = Native.Router.Lisp.Service.Ipv6.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.database_mapping = Native.Router.Lisp.Service.Ipv6.DatabaseMapping()
                        self.database_mapping.parent = self
                        self._children_name_map["database_mapping"] = "database-mapping"
                        self._children_yang_names.add("database-mapping")

                        self.itr = Native.Router.Lisp.Service.Ipv6.Itr()
                        self.itr.parent = self
                        self._children_name_map["itr"] = "itr"
                        self._children_yang_names.add("itr")

                        self.itr_enable = Native.Router.Lisp.Service.Ipv6.ItrEnable()
                        self.itr_enable.parent = self
                        self._children_name_map["itr_enable"] = "itr-enable"
                        self._children_yang_names.add("itr-enable")

                        self.etr_enable = Native.Router.Lisp.Service.Ipv6.EtrEnable()
                        self.etr_enable.parent = self
                        self._children_name_map["etr_enable"] = "etr-enable"
                        self._children_yang_names.add("etr-enable")

                        self.etr = Native.Router.Lisp.Service.Ipv6.Etr()
                        self.etr.parent = self
                        self._children_name_map["etr"] = "etr"
                        self._children_yang_names.add("etr")

                        self.map_cache_limit = Native.Router.Lisp.Service.Ipv6.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                        self._children_yang_names.add("map-cache-limit")

                        self.map_resolver = None
                        self._children_name_map["map_resolver"] = "map-resolver"
                        self._children_yang_names.add("map-resolver")

                        self.map_server = None
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.site_registration = Native.Router.Lisp.Service.Ipv6.SiteRegistration()
                        self.site_registration.parent = self
                        self._children_name_map["site_registration"] = "site-registration"
                        self._children_yang_names.add("site-registration")

                        self.solicit_map_request = Native.Router.Lisp.Service.Ipv6.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                        self._children_yang_names.add("solicit-map-request")

                        self.distance = Native.Router.Lisp.Service.Ipv6.Distance()
                        self.distance.parent = self
                        self._children_name_map["distance"] = "distance"
                        self._children_yang_names.add("distance")

                        self.map_cache = Native.Router.Lisp.Service.Ipv6.MapCache()
                        self.map_cache.parent = self
                        self._children_name_map["map_cache"] = "map-cache"
                        self._children_yang_names.add("map-cache")

                        self.map_cache_persistent = Native.Router.Lisp.Service.Ipv6.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                        self._children_yang_names.add("map-cache-persistent")

                        self.proxy_itr = Native.Router.Lisp.Service.Ipv6.ProxyItr()
                        self.proxy_itr.parent = self
                        self._children_name_map["proxy_itr"] = "proxy-itr"
                        self._children_yang_names.add("proxy-itr")

                        self.route_export = Native.Router.Lisp.Service.Ipv6.RouteExport()
                        self.route_export.parent = self
                        self._children_name_map["route_export"] = "route-export"
                        self._children_yang_names.add("route-export")

                        self.use_petr = YList(self)
                        self._segment_path = lambda: "ipv6"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Service.Ipv6, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Select encapsulation type for data packets

                        .. data:: lisp = 0

                        .. data:: vxlan = 1

                        """

                        lisp = Enum.YLeaf(0, "lisp")

                        vxlan = Enum.YLeaf(1, "vxlan")



                    class Default(Entity):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.ItrEnable>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.EtrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapCacheLimit>`
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.SolicitMapRequest>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Encapsulation>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapCache>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapCachePersistent>`
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.UsePetr>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Service.Ipv6.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Service.Ipv6.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Service.Ipv6.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Service.Ipv6.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Service.Ipv6.Default.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.Lisp.Service.Ipv6.Default.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Service.Ipv6.Default.MapServer), "site-registration" : ("site_registration", Native.Router.Lisp.Service.Ipv6.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Service.Ipv6.Default.SolicitMapRequest), "distance" : ("distance", Native.Router.Lisp.Service.Ipv6.Default.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.Service.Ipv6.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Service.Ipv6.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.Service.Ipv6.Default.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.Service.Ipv6.Default.RouteExport)}
                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Service.Ipv6.Default.UsePetr)}

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                            self.sgt = YLeaf(YType.empty, "sgt")

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.database_mapping = Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.itr = Native.Router.Lisp.Service.Ipv6.Default.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.Lisp.Service.Ipv6.Default.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr_enable = Native.Router.Lisp.Service.Ipv6.Default.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.etr = Native.Router.Lisp.Service.Ipv6.Default.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.map_cache_limit = Native.Router.Lisp.Service.Ipv6.Default.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.site_registration = Native.Router.Lisp.Service.Ipv6.Default.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.Lisp.Service.Ipv6.Default.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")

                            self.distance = Native.Router.Lisp.Service.Ipv6.Default.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.map_cache = Native.Router.Lisp.Service.Ipv6.Default.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")

                            self.map_cache_persistent = Native.Router.Lisp.Service.Ipv6.Default.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                            self._children_yang_names.add("map-cache-persistent")

                            self.proxy_itr = Native.Router.Lisp.Service.Ipv6.Default.ProxyItr()
                            self.proxy_itr.parent = self
                            self._children_name_map["proxy_itr"] = "proxy-itr"
                            self._children_yang_names.add("proxy-itr")

                            self.route_export = Native.Router.Lisp.Service.Ipv6.Default.RouteExport()
                            self.route_export.parent = self
                            self._children_name_map["route_export"] = "route-export"
                            self._children_yang_names.add("route-export")

                            self.use_petr = YList(self)
                            self._segment_path = lambda: "default"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = Enum.YLeaf(0, "lisp")

                            vxlan = Enum.YLeaf(1, "vxlan")



                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/database-mapping/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Service.Ipv6.Default.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv6.Default.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/itr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.ItrEnable, ['itr'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.EtrEnable, ['etr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Service.Ipv6.Default.Etr.AcceptMapRequestMapping)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer)}

                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                self.accept_map_request_mapping = Native.Router.Lisp.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                self._children_yang_names.add("accept-map-request-mapping")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.Etr, ['map_cache_ttl'], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/etr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                            class AcceptMapRequestMapping(Entity):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                    self.yang_name = "accept-map-request-mapping"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                    self.verify = YLeaf(YType.empty, "verify")
                                    self._segment_path = lambda: "accept-map-request-mapping"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/etr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/map-resolver/%s" % self._segment_path()


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/map-resolver/map-request/%s" % self._segment_path()


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")

                                            self.registered = Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self
                                            self._children_name_map["registered"] = "registered"
                                            self._children_yang_names.add("registered")
                                            self._segment_path = lambda: "source"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/map-resolver/map-request/validate/%s" % self._segment_path()


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/map-resolver/map-request/validate/source/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                        class Registered(Entity):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                self.yang_name = "registered"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")
                                                self._segment_path = lambda: "registered"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/map-resolver/map-request/validate/source/%s" % self._segment_path()


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "registered"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = False
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"
                                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/map-resolver/map-request/validate/source/registered/%s" % self._segment_path()

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/map-server/%s" % self._segment_path()


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/map-server/map-register/%s" % self._segment_path()


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/map-server/map-register/validate/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class Distance(Entity):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.alt = YLeaf(YType.uint8, "alt")

                                self.away = YLeaf(YType.uint8, "away")

                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                self._segment_path = lambda: "distance"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                        class MapCache(Entity):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Service.Ipv6.Default.MapCache.AwayEids)}
                                self._child_list_classes = {}

                                self.site_registration = YLeaf(YType.empty, "site-registration")

                                self.away_eids = Native.Router.Lisp.Service.Ipv6.Default.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self._children_name_map["away_eids"] = "away-eids"
                                self._children_yang_names.add("away-eids")
                                self._segment_path = lambda: "map-cache"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.MapCache, ['site_registration'], name, value)


                            class AwayEids(Entity):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv6.Default.MapCache.AwayEids, self).__init__()

                                    self.yang_name = "away-eids"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                    self._segment_path = lambda: "away-eids"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/map-cache/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                        class MapCachePersistent(Entity):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.MapCachePersistent, self).__init__()

                                self.yang_name = "map-cache-persistent"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")
                                self._segment_path = lambda: "map-cache-persistent"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.MapCachePersistent, ['interval'], name, value)


                        class ProxyItr(Entity):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.ProxyItr, self).__init__()

                                self.yang_name = "proxy-itr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                self._segment_path = lambda: "proxy-itr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                        class RouteExport(Entity):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.RouteExport, self).__init__()

                                self.yang_name = "route-export"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                self._segment_path = lambda: "route-export"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                        class UsePetr(Entity):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	
                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Default.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Default.UsePetr, self).__init__()

                                self.yang_name = "use-petr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Service.Ipv6.Default.UsePetr.Priority)}
                                self._child_list_classes = {}

                                self.locator_address = YLeaf(YType.str, "locator-address")

                                self.priority = Native.Router.Lisp.Service.Ipv6.Default.UsePetr.Priority()
                                self.priority.parent = self
                                self._children_name_map["priority"] = "priority"
                                self._children_yang_names.add("priority")
                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.UsePetr, ['locator_address'], name, value)


                            class Priority(Entity):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv6.Default.UsePetr.Priority, self).__init__()

                                    self.yang_name = "priority"
                                    self.yang_parent_name = "use-petr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority_value = YLeaf(YType.uint8, "priority-value")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "priority"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                    class DatabaseMapping(Entity):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.DatabaseMapping, self).__init__()

                            self.yang_name = "database-mapping"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Service.Ipv6.DatabaseMapping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.Router.Lisp.Service.Ipv6.DatabaseMapping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "database-mapping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\: int
                            
                            	**range:** 1..5000
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.DatabaseMapping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "database-mapping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/database-mapping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                    class Itr(Entity):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.Itr, self).__init__()

                            self.yang_name = "itr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Service.Ipv6.Itr.MapResolver)}

                            self.map_resolver = YList(self)
                            self._segment_path = lambda: "itr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Itr, [], name, value)


                        class MapResolver(Entity):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Itr.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "itr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/itr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                    class ItrEnable(Entity):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.ItrEnable, self).__init__()

                            self.yang_name = "itr-enable"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.itr = YLeaf(YType.empty, "itr")
                            self._segment_path = lambda: "itr-enable"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.ItrEnable, ['itr'], name, value)


                    class EtrEnable(Entity):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.EtrEnable, self).__init__()

                            self.yang_name = "etr-enable"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.etr = YLeaf(YType.empty, "etr")
                            self._segment_path = lambda: "etr-enable"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.EtrEnable, ['etr'], name, value)


                    class Etr(Entity):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer>`
                        
                        .. attribute:: map_cache_ttl
                        
                        	
                        	**type**\: int
                        
                        	**range:** 60..10080
                        
                        .. attribute:: accept_map_request_mapping
                        
                        	
                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.Etr, self).__init__()

                            self.yang_name = "etr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Service.Ipv6.Etr.AcceptMapRequestMapping)}
                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Service.Ipv6.Etr.MapServer)}

                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                            self.accept_map_request_mapping = Native.Router.Lisp.Service.Ipv6.Etr.AcceptMapRequestMapping()
                            self.accept_map_request_mapping.parent = self
                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                            self._children_yang_names.add("accept-map-request-mapping")

                            self.map_server = YList(self)
                            self._segment_path = lambda: "etr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Etr, ['map_cache_ttl'], name, value)


                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Etr.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/etr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7)}
                                    self._child_list_classes = {}

                                    self.key_pwd = Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self
                                    self._children_name_map["key_pwd"] = "key-pwd"
                                    self._children_yang_names.add("key-pwd")

                                    self.key_0 = Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self._children_name_map["key_0"] = "key-0"
                                    self._children_yang_names.add("key-0")

                                    self.key_6 = Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self._children_name_map["key_6"] = "key-6"
                                    self._children_yang_names.add("key-6")

                                    self.key_7 = Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self._children_name_map["key_7"] = "key-7"
                                    self._children_yang_names.add("key-7")
                                    self._segment_path = lambda: "key"


                                class KeyPwd(Entity):
                                    """
                                    
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd, self).__init__()

                                        self.yang_name = "key-pwd"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-pwd"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key0(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0, self).__init__()

                                        self.yang_name = "key-0"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-0"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key6(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6, self).__init__()

                                        self.yang_name = "key-6"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-6"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key7(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7, self).__init__()

                                        self.yang_name = "key-7"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-7"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                        class AcceptMapRequestMapping(Entity):
                            """
                            
                            
                            .. attribute:: accept_mappping
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: verify
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.Etr.AcceptMapRequestMapping, self).__init__()

                                self.yang_name = "accept-map-request-mapping"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                self.verify = YLeaf(YType.empty, "verify")
                                self._segment_path = lambda: "accept-map-request-mapping"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/etr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                    class MapCacheLimit(Entity):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\: str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.MapCacheLimit, self).__init__()

                            self.yang_name = "map-cache-limit"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "map-cache-limit"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                    class MapResolver(Entity):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_request = Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest()
                            self.map_request.parent = self
                            self._children_name_map["map_request"] = "map-request"
                            self._children_yang_names.add("map-request")
                            self._segment_path = lambda: "map-resolver"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()


                        class MapRequest(Entity):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest, self).__init__()

                                self.yang_name = "map-request"
                                self.yang_parent_name = "map-resolver"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-request"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/map-resolver/%s" % self._segment_path()


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-request"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/map-resolver/map-request/%s" % self._segment_path()


                                class Source(Entity):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered)}
                                        self._child_list_classes = {}

                                        self.list = Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List()
                                        self.list.parent = self
                                        self._children_name_map["list"] = "list"
                                        self._children_yang_names.add("list")

                                        self.registered = Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered()
                                        self.registered.parent = self
                                        self._children_name_map["registered"] = "registered"
                                        self._children_yang_names.add("registered")
                                        self._segment_path = lambda: "source"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/map-resolver/map-request/validate/%s" % self._segment_path()


                                    class List(Entity):
                                        """
                                        Define allowed prefixes using an ip[v6] prefix list
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                            self.yang_name = "list"
                                            self.yang_parent_name = "source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.str, "ipv4")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")
                                            self._segment_path = lambda: "list"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/map-resolver/map-request/validate/source/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                    class Registered(Entity):
                                        """
                                        ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                            self.yang_name = "registered"
                                            self.yang_parent_name = "source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")
                                            self._segment_path = lambda: "registered"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/map-resolver/map-request/validate/source/%s" % self._segment_path()


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "registered"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/map-resolver/map-request/validate/source/registered/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                    class MapServer(Entity):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_register = Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister()
                            self.map_register.parent = self
                            self._children_name_map["map_register"] = "map-register"
                            self._children_yang_names.add("map-register")
                            self._segment_path = lambda: "map-server"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()


                        class MapRegister(Entity):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister, self).__init__()

                                self.yang_name = "map-register"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-register"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/map-server/%s" % self._segment_path()


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-register"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/map-server/map-register/%s" % self._segment_path()


                                class Source(Entity):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                        self._segment_path = lambda: "source"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/map-server/map-register/validate/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ipv6.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                    class SiteRegistration(Entity):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.SiteRegistration, self).__init__()

                            self.yang_name = "site-registration"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.limit = YLeaf(YType.uint32, "limit")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "site-registration"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class SolicitMapRequest(Entity):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\: int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.SolicitMapRequest, self).__init__()

                            self.yang_name = "solicit-map-request"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")

                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                            self._segment_path = lambda: "solicit-map-request"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                    class Distance(Entity):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: away
                        
                        	Administrative distance for RIB route installation
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.Distance, self).__init__()

                            self.yang_name = "distance"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.alt = YLeaf(YType.uint8, "alt")

                            self.away = YLeaf(YType.uint8, "away")

                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                            self._segment_path = lambda: "distance"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                    class MapCache(Entity):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: away_eids
                        
                        	Map cache configuration for the away table
                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.MapCache.AwayEids>`
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.Service.Ipv6.MapCache.AwayEids)}
                            self._child_list_classes = {}

                            self.site_registration = YLeaf(YType.empty, "site-registration")

                            self.away_eids = Native.Router.Lisp.Service.Ipv6.MapCache.AwayEids()
                            self.away_eids.parent = self
                            self._children_name_map["away_eids"] = "away-eids"
                            self._children_yang_names.add("away-eids")
                            self._segment_path = lambda: "map-cache"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.MapCache, ['site_registration'], name, value)


                        class AwayEids(Entity):
                            """
                            Map cache configuration for the away table
                            
                            .. attribute:: send_map_request
                            
                            	Export away table entries into the map cache with action set to send\-map\-request
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.MapCache.AwayEids, self).__init__()

                                self.yang_name = "away-eids"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                self._segment_path = lambda: "away-eids"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.MapCache.AwayEids, ['send_map_request'], name, value)


                    class MapCachePersistent(Entity):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.MapCachePersistent, self).__init__()

                            self.yang_name = "map-cache-persistent"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint16, "interval")
                            self._segment_path = lambda: "map-cache-persistent"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.MapCachePersistent, ['interval'], name, value)


                    class ProxyItr(Entity):
                        """
                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        
                        .. attribute:: ipv4_addr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv6_addr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.ProxyItr, self).__init__()

                            self.yang_name = "proxy-itr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                            self._segment_path = lambda: "proxy-itr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                    class RouteExport(Entity):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.RouteExport, self).__init__()

                            self.yang_name = "route-export"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                            self.away_eids = YLeaf(YType.empty, "away-eids")
                            self._segment_path = lambda: "route-export"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                    class UsePetr(Entity):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: priority
                        
                        	
                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ipv6.UsePetr.Priority>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ipv6.UsePetr, self).__init__()

                            self.yang_name = "use-petr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.Service.Ipv6.UsePetr.Priority)}
                            self._child_list_classes = {}

                            self.locator_address = YLeaf(YType.str, "locator-address")

                            self.priority = Native.Router.Lisp.Service.Ipv6.UsePetr.Priority()
                            self.priority.parent = self
                            self._children_name_map["priority"] = "priority"
                            self._children_yang_names.add("priority")
                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ipv6.UsePetr, ['locator_address'], name, value)


                        class Priority(Entity):
                            """
                            
                            
                            .. attribute:: priority_value
                            
                            	Configures which Locators from a set are preferred
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ipv6.UsePetr.Priority, self).__init__()

                                self.yang_name = "priority"
                                self.yang_parent_name = "use-petr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                self.weight = YLeaf(YType.uint8, "weight")
                                self._segment_path = lambda: "priority"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ipv6.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                class Ethernet(Entity):
                    """
                    
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default>`
                    
                    .. attribute:: encapsulation
                    
                    	Select encapsulation type for data packets
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Encapsulation>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.DatabaseMapping>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.ItrEnable>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.EtrEnable>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapCacheLimit>`
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.SolicitMapRequest>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Service.Ethernet, self).__init__()

                        self.yang_name = "ethernet"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Service.Ethernet.Default), "encapsulation" : ("encapsulation", Native.Router.Lisp.Service.Ethernet.Encapsulation), "database-mapping" : ("database_mapping", Native.Router.Lisp.Service.Ethernet.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Service.Ethernet.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Service.Ethernet.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Service.Ethernet.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Service.Ethernet.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Service.Ethernet.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.Lisp.Service.Ethernet.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Service.Ethernet.MapServer), "site-registration" : ("site_registration", Native.Router.Lisp.Service.Ethernet.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Service.Ethernet.SolicitMapRequest)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                        self.default = Native.Router.Lisp.Service.Ethernet.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.encapsulation = Native.Router.Lisp.Service.Ethernet.Encapsulation()
                        self.encapsulation.parent = self
                        self._children_name_map["encapsulation"] = "encapsulation"
                        self._children_yang_names.add("encapsulation")

                        self.database_mapping = Native.Router.Lisp.Service.Ethernet.DatabaseMapping()
                        self.database_mapping.parent = self
                        self._children_name_map["database_mapping"] = "database-mapping"
                        self._children_yang_names.add("database-mapping")

                        self.itr = Native.Router.Lisp.Service.Ethernet.Itr()
                        self.itr.parent = self
                        self._children_name_map["itr"] = "itr"
                        self._children_yang_names.add("itr")

                        self.itr_enable = Native.Router.Lisp.Service.Ethernet.ItrEnable()
                        self.itr_enable.parent = self
                        self._children_name_map["itr_enable"] = "itr-enable"
                        self._children_yang_names.add("itr-enable")

                        self.etr_enable = Native.Router.Lisp.Service.Ethernet.EtrEnable()
                        self.etr_enable.parent = self
                        self._children_name_map["etr_enable"] = "etr-enable"
                        self._children_yang_names.add("etr-enable")

                        self.etr = Native.Router.Lisp.Service.Ethernet.Etr()
                        self.etr.parent = self
                        self._children_name_map["etr"] = "etr"
                        self._children_yang_names.add("etr")

                        self.map_cache_limit = Native.Router.Lisp.Service.Ethernet.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                        self._children_yang_names.add("map-cache-limit")

                        self.map_resolver = None
                        self._children_name_map["map_resolver"] = "map-resolver"
                        self._children_yang_names.add("map-resolver")

                        self.map_server = None
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.site_registration = Native.Router.Lisp.Service.Ethernet.SiteRegistration()
                        self.site_registration.parent = self
                        self._children_name_map["site_registration"] = "site-registration"
                        self._children_yang_names.add("site-registration")

                        self.solicit_map_request = Native.Router.Lisp.Service.Ethernet.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                        self._children_yang_names.add("solicit-map-request")
                        self._segment_path = lambda: "ethernet"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Service.Ethernet, ['map_request_source'], name, value)


                    class Default(Entity):
                        """
                        
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Encapsulation>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.ItrEnable>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.EtrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapCacheLimit>`
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.SolicitMapRequest>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ethernet.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Router.Lisp.Service.Ethernet.Default.Encapsulation), "database-mapping" : ("database_mapping", Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.Service.Ethernet.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Service.Ethernet.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.Service.Ethernet.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.Service.Ethernet.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Service.Ethernet.Default.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.Lisp.Service.Ethernet.Default.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Service.Ethernet.Default.MapServer), "site-registration" : ("site_registration", Native.Router.Lisp.Service.Ethernet.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Service.Ethernet.Default.SolicitMapRequest)}
                            self._child_list_classes = {}

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.encapsulation = Native.Router.Lisp.Service.Ethernet.Default.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.database_mapping = Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.itr = Native.Router.Lisp.Service.Ethernet.Default.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.Lisp.Service.Ethernet.Default.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr_enable = Native.Router.Lisp.Service.Ethernet.Default.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.etr = Native.Router.Lisp.Service.Ethernet.Default.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.map_cache_limit = Native.Router.Lisp.Service.Ethernet.Default.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.site_registration = Native.Router.Lisp.Service.Ethernet.Default.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.Lisp.Service.Ethernet.Default.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")
                            self._segment_path = lambda: "default"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default, ['map_request_source'], name, value)


                        class Encapsulation(Entity):
                            """
                            Select encapsulation type for data packets
                            
                            .. attribute:: vxlan
                            
                            	Use VXLAN encapsulation for data packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Default.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vxlan = YLeaf(YType.empty, "vxlan")
                                self._segment_path = lambda: "encapsulation"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.Encapsulation, ['vxlan'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/%s" % self._segment_path()


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/database-mapping/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Default.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Service.Ethernet.Default.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ethernet.Default.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/itr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Default.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.ItrEnable, ['itr'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Default.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.EtrEnable, ['etr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Default.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Service.Ethernet.Default.Etr.AcceptMapRequestMapping)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer)}

                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                self.accept_map_request_mapping = Native.Router.Lisp.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                self._children_yang_names.add("accept-map-request-mapping")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.Etr, ['map_cache_ttl'], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/etr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                            class AcceptMapRequestMapping(Entity):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                    self.yang_name = "accept-map-request-mapping"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                    self.verify = YLeaf(YType.empty, "verify")
                                    self._segment_path = lambda: "accept-map-request-mapping"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/etr/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Default.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Default.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/%s" % self._segment_path()


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/map-resolver/%s" % self._segment_path()


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/map-resolver/map-request/%s" % self._segment_path()


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")

                                            self.registered = Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self
                                            self._children_name_map["registered"] = "registered"
                                            self._children_yang_names.add("registered")
                                            self._segment_path = lambda: "source"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/map-resolver/map-request/validate/%s" % self._segment_path()


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/map-resolver/map-request/validate/source/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                        class Registered(Entity):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                self.yang_name = "registered"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")
                                                self._segment_path = lambda: "registered"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/map-resolver/map-request/validate/source/%s" % self._segment_path()


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "registered"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = False
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"
                                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/map-resolver/map-request/validate/source/registered/%s" % self._segment_path()

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Default.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/%s" % self._segment_path()


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/map-server/%s" % self._segment_path()


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/map-server/map-register/%s" % self._segment_path()


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/map-server/map-register/validate/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Default.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Default.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/default/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                    class Encapsulation(Entity):
                        """
                        Select encapsulation type for data packets
                        
                        .. attribute:: vxlan
                        
                        	Use VXLAN encapsulation for data packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ethernet.Encapsulation, self).__init__()

                            self.yang_name = "encapsulation"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vxlan = YLeaf(YType.empty, "vxlan")
                            self._segment_path = lambda: "encapsulation"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Encapsulation, ['vxlan'], name, value)


                    class DatabaseMapping(Entity):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ethernet.DatabaseMapping, self).__init__()

                            self.yang_name = "database-mapping"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Service.Ethernet.DatabaseMapping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.Router.Lisp.Service.Ethernet.DatabaseMapping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "database-mapping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\: int
                            
                            	**range:** 1..5000
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.DatabaseMapping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "database-mapping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/database-mapping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                    class Itr(Entity):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ethernet.Itr, self).__init__()

                            self.yang_name = "itr"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Service.Ethernet.Itr.MapResolver)}

                            self.map_resolver = YList(self)
                            self._segment_path = lambda: "itr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Itr, [], name, value)


                        class MapResolver(Entity):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Itr.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "itr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/itr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Itr.MapResolver, ['ip_addr'], name, value)


                    class ItrEnable(Entity):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ethernet.ItrEnable, self).__init__()

                            self.yang_name = "itr-enable"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.itr = YLeaf(YType.empty, "itr")
                            self._segment_path = lambda: "itr-enable"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.ItrEnable, ['itr'], name, value)


                    class EtrEnable(Entity):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ethernet.EtrEnable, self).__init__()

                            self.yang_name = "etr-enable"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.etr = YLeaf(YType.empty, "etr")
                            self._segment_path = lambda: "etr-enable"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.EtrEnable, ['etr'], name, value)


                    class Etr(Entity):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer>`
                        
                        .. attribute:: map_cache_ttl
                        
                        	
                        	**type**\: int
                        
                        	**range:** 60..10080
                        
                        .. attribute:: accept_map_request_mapping
                        
                        	
                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ethernet.Etr, self).__init__()

                            self.yang_name = "etr"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.Service.Ethernet.Etr.AcceptMapRequestMapping)}
                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Service.Ethernet.Etr.MapServer)}

                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                            self.accept_map_request_mapping = Native.Router.Lisp.Service.Ethernet.Etr.AcceptMapRequestMapping()
                            self.accept_map_request_mapping.parent = self
                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                            self._children_yang_names.add("accept-map-request-mapping")

                            self.map_server = YList(self)
                            self._segment_path = lambda: "etr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Etr, ['map_cache_ttl'], name, value)


                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Etr.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/etr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7)}
                                    self._child_list_classes = {}

                                    self.key_pwd = Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self
                                    self._children_name_map["key_pwd"] = "key-pwd"
                                    self._children_yang_names.add("key-pwd")

                                    self.key_0 = Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self._children_name_map["key_0"] = "key-0"
                                    self._children_yang_names.add("key-0")

                                    self.key_6 = Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self._children_name_map["key_6"] = "key-6"
                                    self._children_yang_names.add("key-6")

                                    self.key_7 = Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self._children_name_map["key_7"] = "key-7"
                                    self._children_yang_names.add("key-7")
                                    self._segment_path = lambda: "key"


                                class KeyPwd(Entity):
                                    """
                                    
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd, self).__init__()

                                        self.yang_name = "key-pwd"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-pwd"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key0(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0, self).__init__()

                                        self.yang_name = "key-0"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-0"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key6(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6, self).__init__()

                                        self.yang_name = "key-6"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-6"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key7(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7, self).__init__()

                                        self.yang_name = "key-7"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-7"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                        class AcceptMapRequestMapping(Entity):
                            """
                            
                            
                            .. attribute:: accept_mappping
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: verify
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.Etr.AcceptMapRequestMapping, self).__init__()

                                self.yang_name = "accept-map-request-mapping"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                self.verify = YLeaf(YType.empty, "verify")
                                self._segment_path = lambda: "accept-map-request-mapping"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/etr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                    class MapCacheLimit(Entity):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\: str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ethernet.MapCacheLimit, self).__init__()

                            self.yang_name = "map-cache-limit"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "map-cache-limit"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                    class MapResolver(Entity):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ethernet.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_request = Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest()
                            self.map_request.parent = self
                            self._children_name_map["map_request"] = "map-request"
                            self._children_yang_names.add("map-request")
                            self._segment_path = lambda: "map-resolver"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/%s" % self._segment_path()


                        class MapRequest(Entity):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest, self).__init__()

                                self.yang_name = "map-request"
                                self.yang_parent_name = "map-resolver"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-request"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/map-resolver/%s" % self._segment_path()


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-request"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/map-resolver/map-request/%s" % self._segment_path()


                                class Source(Entity):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered)}
                                        self._child_list_classes = {}

                                        self.list = Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List()
                                        self.list.parent = self
                                        self._children_name_map["list"] = "list"
                                        self._children_yang_names.add("list")

                                        self.registered = Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered()
                                        self.registered.parent = self
                                        self._children_name_map["registered"] = "registered"
                                        self._children_yang_names.add("registered")
                                        self._segment_path = lambda: "source"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/map-resolver/map-request/validate/%s" % self._segment_path()


                                    class List(Entity):
                                        """
                                        Define allowed prefixes using an ip[v6] prefix list
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                            self.yang_name = "list"
                                            self.yang_parent_name = "source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.str, "ipv4")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")
                                            self._segment_path = lambda: "list"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/map-resolver/map-request/validate/source/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                    class Registered(Entity):
                                        """
                                        ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                            self.yang_name = "registered"
                                            self.yang_parent_name = "source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")
                                            self._segment_path = lambda: "registered"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/map-resolver/map-request/validate/source/%s" % self._segment_path()


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "registered"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/map-resolver/map-request/validate/source/registered/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                    class MapServer(Entity):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ethernet.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_register = Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister()
                            self.map_register.parent = self
                            self._children_name_map["map_register"] = "map-register"
                            self._children_yang_names.add("map-register")
                            self._segment_path = lambda: "map-server"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/%s" % self._segment_path()


                        class MapRegister(Entity):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister, self).__init__()

                                self.yang_name = "map-register"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-register"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/map-server/%s" % self._segment_path()


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-register"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/map-server/map-register/%s" % self._segment_path()


                                class Source(Entity):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                        self._segment_path = lambda: "source"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/map-server/map-register/validate/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.Service.Ethernet.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                    class SiteRegistration(Entity):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ethernet.SiteRegistration, self).__init__()

                            self.yang_name = "site-registration"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.limit = YLeaf(YType.uint32, "limit")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "site-registration"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class SolicitMapRequest(Entity):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\: int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Service.Ethernet.SolicitMapRequest, self).__init__()

                            self.yang_name = "solicit-map-request"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")

                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                            self._segment_path = lambda: "solicit-map-request"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/service/ethernet/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Service.Ethernet.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


            class Encapsulation(Entity):
                """
                Select encapsulation type for data packets
                
                .. attribute:: vxlan
                
                	Use VXLAN encapsulation for data packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.vxlan = YLeaf(YType.empty, "vxlan")
                    self._segment_path = lambda: "encapsulation"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.Encapsulation, ['vxlan'], name, value)


            class LocatorSet(Entity):
                """
                Configure a named locator set
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: auto_discover_rlocs
                
                	Auto discover locators registered by other xTRs
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ipv4_interface
                
                	Use IPv4 address of interface as locator
                	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorSet.IPv4Interface>`
                
                .. attribute:: ipv6_interface
                
                	Use IPv6 address of interface as locator
                	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorSet.IPv6Interface>`
                
                .. attribute:: ip_address
                
                	Use IPv6 address of interface as locator
                	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocatorSet.IpAddress>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.LocatorSet, self).__init__()

                    self.yang_name = "locator-set"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.LocatorSet.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.LocatorSet.IPv6Interface), "ip-address" : ("ip_address", Native.Router.Lisp.LocatorSet.IpAddress)}

                    self.name = YLeaf(YType.str, "name")

                    self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                    self.ipv4_interface = YList(self)
                    self.ipv6_interface = YList(self)
                    self.ip_address = YList(self)
                    self._segment_path = lambda: "locator-set" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.LocatorSet, ['name', 'auto_discover_rlocs'], name, value)


                class IPv4Interface(Entity):
                    """
                    Use IPv4 address of interface as locator
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.LocatorSet.IPv4Interface, self).__init__()

                        self.yang_name = "IPv4-interface"
                        self.yang_parent_name = "locator-set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.weight = YLeaf(YType.uint8, "weight")
                        self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.LocatorSet.IPv4Interface, ['name', 'priority', 'weight'], name, value)


                class IPv6Interface(Entity):
                    """
                    Use IPv6 address of interface as locator
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.LocatorSet.IPv6Interface, self).__init__()

                        self.yang_name = "IPv6-interface"
                        self.yang_parent_name = "locator-set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.weight = YLeaf(YType.uint8, "weight")
                        self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.LocatorSet.IPv6Interface, ['name', 'priority', 'weight'], name, value)


                class IpAddress(Entity):
                    """
                    Use IPv6 address of interface as locator
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.LocatorSet.IpAddress, self).__init__()

                        self.yang_name = "ip-address"
                        self.yang_parent_name = "locator-set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ip = YLeaf(YType.str, "ip")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.weight = YLeaf(YType.uint8, "weight")
                        self._segment_path = lambda: "ip-address" + "[ip='" + self.ip.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.LocatorSet.IpAddress, ['ip', 'priority', 'weight'], name, value)


            class Locator(Entity):
                """
                Locator configuration
                
                .. attribute:: default_set
                
                	Specify a default locator\-set
                	**type**\: str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.Locator, self).__init__()

                    self.yang_name = "locator"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.default_set = YLeaf(YType.str, "default-set")
                    self._segment_path = lambda: "locator"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.Locator, ['default_set'], name, value)


            class LocatorScope(Entity):
                """
                Configure a locator scope
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: rloc_prefix
                
                	RLOC prefix to check against ITR RLOC and ETR RLOC
                	**type**\: union of the below types:
                
                		**type**\: list of str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                
                		**type**\: list of str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                
                .. attribute:: rtr_locator_set
                
                	Locator\-set of RTR to use in proxy reply for disjoint/cross AF RLOC
                	**type**\: list of str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.LocatorScope, self).__init__()

                    self.yang_name = "locator-scope"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.rloc_prefix = YLeafList(YType.str, "rloc-prefix")

                    self.rtr_locator_set = YLeafList(YType.str, "rtr-locator-set")
                    self._segment_path = lambda: "locator-scope" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.LocatorScope, ['name', 'rloc_prefix', 'rtr_locator_set'], name, value)


            class InstanceContainer(Entity):
                """
                EID instance\-ID
                
                .. attribute:: instance_list
                
                	
                	**type**\: list of  		 :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.InstanceContainer, self).__init__()

                    self.yang_name = "instance-container"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"instance-list" : ("instance_list", Native.Router.Lisp.InstanceContainer.InstanceList)}

                    self.instance_list = YList(self)
                    self._segment_path = lambda: "instance-container"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.InstanceContainer, [], name, value)


                class InstanceList(Entity):
                    """
                    
                    
                    .. attribute:: instance_id  <key>
                    
                    	EID instance\-ID
                    	**type**\: int
                    
                    	**range:** 0..16777214
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default>`
                    
                    .. attribute:: decapsulation
                    
                    	Decapsulation behavior (e.g. filters)
                    	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation>`
                    
                    .. attribute:: disable_ttl_propagate
                    
                    	Disable ttl propagation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dynamic_eid
                    
                    	Configure a dynamic EID
                    	**type**\: list of  		 :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid>`
                    
                    .. attribute:: loc_reach_algorithm
                    
                    	Configure locator reachability algorithm
                    	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm>`
                    
                    .. attribute:: map_server
                    
                    	Map\-Server commands
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.MapServer>`
                    
                    .. attribute:: other_xtr_probe
                    
                    	Configure parameters for probing of other xTRs in our site
                    	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.OtherXtrProbe>`
                    
                    .. attribute:: remote_rloc_probe
                    
                    	Configure parameters for probing of remote RLOCs
                    	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.RemoteRlocProbe>`
                    
                    .. attribute:: service
                    
                    	Configure lisp service type
                    	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.InstanceContainer.InstanceList, self).__init__()

                        self.yang_name = "instance-list"
                        self.yang_parent_name = "instance-container"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"default" : ("default", Native.Router.Lisp.InstanceContainer.InstanceList.Default), "decapsulation" : ("decapsulation", Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm), "map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.Lisp.InstanceContainer.InstanceList.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.Lisp.InstanceContainer.InstanceList.RemoteRlocProbe), "service" : ("service", Native.Router.Lisp.InstanceContainer.InstanceList.Service)}
                        self._child_list_classes = {"dynamic-eid" : ("dynamic_eid", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid)}

                        self.instance_id = YLeaf(YType.uint32, "instance-id")

                        self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                        self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.decapsulation = Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation()
                        self.decapsulation.parent = self
                        self._children_name_map["decapsulation"] = "decapsulation"
                        self._children_yang_names.add("decapsulation")

                        self.loc_reach_algorithm = Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm()
                        self.loc_reach_algorithm.parent = self
                        self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                        self._children_yang_names.add("loc-reach-algorithm")

                        self.map_server = Native.Router.Lisp.InstanceContainer.InstanceList.MapServer()
                        self.map_server.parent = self
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.other_xtr_probe = Native.Router.Lisp.InstanceContainer.InstanceList.OtherXtrProbe()
                        self.other_xtr_probe.parent = self
                        self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                        self._children_yang_names.add("other-xtr-probe")

                        self.remote_rloc_probe = Native.Router.Lisp.InstanceContainer.InstanceList.RemoteRlocProbe()
                        self.remote_rloc_probe.parent = self
                        self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                        self._children_yang_names.add("remote-rloc-probe")

                        self.service = None
                        self._children_name_map["service"] = "service"
                        self._children_yang_names.add("service")

                        self.dynamic_eid = YList(self)
                        self._segment_path = lambda: "instance-list" + "[instance-id='" + self.instance_id.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/instance-container/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList, ['instance_id', 'disable_ttl_propagate'], name, value)


                    class Default(Entity):
                        """
                        
                        
                        .. attribute:: decapsulation
                        
                        	Decapsulation behavior (e.g. filters)
                        	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation>`
                        
                        .. attribute:: disable_ttl_propagate
                        
                        	Disable ttl propagation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic_eid
                        
                        	Configure a dynamic EID
                        	**type**\: list of  		 :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid>`
                        
                        .. attribute:: loc_reach_algorithm
                        
                        	Configure locator reachability algorithm
                        	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm>`
                        
                        .. attribute:: map_server
                        
                        	Map\-Server commands
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer>`
                        
                        .. attribute:: other_xtr_probe
                        
                        	Configure parameters for probing of other xTRs in our site
                        	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.OtherXtrProbe>`
                        
                        .. attribute:: remote_rloc_probe
                        
                        	Configure parameters for probing of remote RLOCs
                        	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.RemoteRlocProbe>`
                        
                        .. attribute:: service
                        
                        	Configure lisp service type
                        	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"decapsulation" : ("decapsulation", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm), "map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.Lisp.InstanceContainer.InstanceList.Default.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.Lisp.InstanceContainer.InstanceList.Default.RemoteRlocProbe), "service" : ("service", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service)}
                            self._child_list_classes = {"dynamic-eid" : ("dynamic_eid", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid)}

                            self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                            self.decapsulation = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation()
                            self.decapsulation.parent = self
                            self._children_name_map["decapsulation"] = "decapsulation"
                            self._children_yang_names.add("decapsulation")

                            self.loc_reach_algorithm = Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm()
                            self.loc_reach_algorithm.parent = self
                            self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                            self._children_yang_names.add("loc-reach-algorithm")

                            self.map_server = Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer()
                            self.map_server.parent = self
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.other_xtr_probe = Native.Router.Lisp.InstanceContainer.InstanceList.Default.OtherXtrProbe()
                            self.other_xtr_probe.parent = self
                            self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                            self._children_yang_names.add("other-xtr-probe")

                            self.remote_rloc_probe = Native.Router.Lisp.InstanceContainer.InstanceList.Default.RemoteRlocProbe()
                            self.remote_rloc_probe.parent = self
                            self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                            self._children_yang_names.add("remote-rloc-probe")

                            self.service = None
                            self._children_name_map["service"] = "service"
                            self._children_yang_names.add("service")

                            self.dynamic_eid = YList(self)
                            self._segment_path = lambda: "default"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default, ['disable_ttl_propagate'], name, value)


                        class Decapsulation(Entity):
                            """
                            Decapsulation behavior (e.g. filters)
                            
                            .. attribute:: filter
                            
                            	Filters traffic
                            	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation, self).__init__()

                                self.yang_name = "decapsulation"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"filter" : ("filter", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter)}
                                self._child_list_classes = {}

                                self.filter = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter()
                                self.filter.parent = self
                                self._children_name_map["filter"] = "filter"
                                self._children_yang_names.add("filter")
                                self._segment_path = lambda: "decapsulation"


                            class Filter(Entity):
                                """
                                Filters traffic
                                
                                .. attribute:: rloc
                                
                                	Filter based on Routing Locator (RLOC) in packet header
                                	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter, self).__init__()

                                    self.yang_name = "filter"
                                    self.yang_parent_name = "decapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc)}
                                    self._child_list_classes = {}

                                    self.rloc = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc()
                                    self.rloc.parent = self
                                    self._children_name_map["rloc"] = "rloc"
                                    self._children_yang_names.add("rloc")
                                    self._segment_path = lambda: "filter"


                                class Rloc(Entity):
                                    """
                                    Filter based on Routing Locator (RLOC) in packet header
                                    
                                    .. attribute:: source
                                    
                                    	Filters traffic based on RLOC source address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc, self).__init__()

                                        self.yang_name = "rloc"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "rloc"


                                    class Source(Entity):
                                        """
                                        Filters traffic based on RLOC source address
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator\-set Name
                                        	**type**\: str
                                        
                                        .. attribute:: member
                                        
                                        	Members learned from map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "rloc"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.member = YLeaf(YType.empty, "member")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                        class DynamicEid(Entity):
                            """
                            Configure a dynamic EID
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: database_mapping
                            
                            	Configures EID\-prefix and locator\-set for dynamic\-EID
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping>`
                            
                            .. attribute:: eid_notify
                            
                            	Configure options for sending/receiving EID\-notify
                            	**type**\:  :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify>`
                            
                            .. attribute:: map_notify_group
                            
                            	Multicast group which to send map\-notifies to
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid, self).__init__()

                                self.yang_name = "dynamic-eid"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping), "eid-notify" : ("eid_notify", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer)}

                                self.name = YLeaf(YType.str, "name")

                                self.map_notify_group = YLeaf(YType.str, "map-notify-group")

                                self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.eid_notify = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify()
                                self.eid_notify.parent = self
                                self._children_name_map["eid_notify"] = "eid-notify"
                                self._children_yang_names.add("eid-notify")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "dynamic-eid" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid, ['name', 'map_notify_group'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Configures EID\-prefix and locator\-set for dynamic\-EID
                                
                                .. attribute:: ipv4_prefix
                                
                                	IPv4 EID\-prefix for dynamic\-EID
                                	**type**\: list of  		 :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ipv4-prefix" : ("ipv4_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix)}

                                    self.ipv4_prefix = YList(self)
                                    self._segment_path = lambda: "database-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping, [], name, value)


                                class Ipv4Prefix(Entity):
                                    """
                                    IPv4 EID\-prefix for dynamic\-EID
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix, self).__init__()

                                        self.yang_name = "ipv4-prefix"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "ipv4-prefix" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix, ['eid_prefix', 'locator_set'], name, value)


                            class EidNotify(Entity):
                                """
                                Configure options for sending/receiving EID\-notify
                                
                                .. attribute:: authentication_key
                                
                                	Authentication key used for validating received EID\-notify
                                	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey>`
                                
                                .. attribute:: gateway_key
                                
                                	
                                	**type**\: list of  		 :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify, self).__init__()

                                    self.yang_name = "eid-notify"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey)}
                                    self._child_list_classes = {"gateway-key" : ("gateway_key", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey)}

                                    self.authentication_key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self._children_name_map["authentication_key"] = "authentication-key"
                                    self._children_yang_names.add("authentication-key")

                                    self.gateway_key = YList(self)
                                    self._segment_path = lambda: "eid-notify"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify, [], name, value)


                                class AuthenticationKey(Entity):
                                    """
                                    Authentication key used for validating received EID\-notify
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: key_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey, self).__init__()

                                        self.yang_name = "authentication-key"
                                        self.yang_parent_name = "eid-notify"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.key_0 = YLeaf(YType.str, "key-0")

                                        self.key_6 = YLeaf(YType.str, "key-6")

                                        self.key_7 = YLeaf(YType.str, "key-7")
                                        self._segment_path = lambda: "authentication-key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                                class GatewayKey(Entity):
                                    """
                                    
                                    
                                    .. attribute:: gateway_ip  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey, self).__init__()

                                        self.yang_name = "gateway-key"
                                        self.yang_parent_name = "eid-notify"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key)}
                                        self._child_list_classes = {}

                                        self.gateway_ip = YLeaf(YType.str, "gateway-ip")

                                        self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "gateway-key" + "[gateway-ip='" + self.gateway_ip.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey, ['gateway_ip'], name, value)


                                    class Key(Entity):
                                        """
                                        
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "gateway-key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                        class LocReachAlgorithm(Entity):
                            """
                            Configure locator reachability algorithm
                            
                            .. attribute:: lsb_reports
                            
                            	Configure data packet LSB report handling
                            	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports>`
                            
                            .. attribute:: rloc_probing
                            
                            	Probe high priority RLOCs with Map\-Requests as last resort
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm, self).__init__()

                                self.yang_name = "loc-reach-algorithm"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports)}
                                self._child_list_classes = {}

                                self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                                self.lsb_reports = Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports()
                                self.lsb_reports.parent = self
                                self._children_name_map["lsb_reports"] = "lsb-reports"
                                self._children_yang_names.add("lsb-reports")
                                self._segment_path = lambda: "loc-reach-algorithm"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm, ['rloc_probing'], name, value)


                            class LsbReports(Entity):
                                """
                                Configure data packet LSB report handling
                                
                                .. attribute:: do_not_transmit
                                
                                	Force the setting of the encapsulation header L bit to zero
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ignore
                                
                                	Ignore data packet LSB reports
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports, self).__init__()

                                    self.yang_name = "lsb-reports"
                                    self.yang_parent_name = "loc-reach-algorithm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                                    self.ignore = YLeaf(YType.empty, "ignore")
                                    self._segment_path = lambda: "lsb-reports"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                        class MapServer(Entity):
                            """
                            Map\-Server commands
                            
                            .. attribute:: rloc
                            
                            	EID instance RLOC membership
                            	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc>`
                            
                            .. attribute:: site_registration
                            
                            	Map\-server site registration options
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration)}
                                self._child_list_classes = {}

                                self.rloc = Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc()
                                self.rloc.parent = self
                                self._children_name_map["rloc"] = "rloc"
                                self._children_yang_names.add("rloc")

                                self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")
                                self._segment_path = lambda: "map-server"


                            class Rloc(Entity):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: members
                                
                                	EID instance RLOC membership
                                	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc, self).__init__()

                                    self.yang_name = "rloc"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"members" : ("members", Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members)}
                                    self._child_list_classes = {}

                                    self.members = Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members()
                                    self.members.parent = self
                                    self._children_name_map["members"] = "members"
                                    self._children_yang_names.add("members")
                                    self._segment_path = lambda: "rloc"


                                class Members(Entity):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: distribute
                                    
                                    	EID instance RLOC membership distribution
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: modify_discovered
                                    
                                    	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members, self).__init__()

                                        self.yang_name = "members"
                                        self.yang_parent_name = "rloc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered)}
                                        self._child_list_classes = {}

                                        self.distribute = YLeaf(YType.empty, "distribute")

                                        self.modify_discovered = Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered()
                                        self.modify_discovered.parent = self
                                        self._children_name_map["modify_discovered"] = "modify-discovered"
                                        self._children_yang_names.add("modify-discovered")
                                        self._segment_path = lambda: "members"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members, ['distribute'], name, value)


                                    class ModifyDiscovered(Entity):
                                        """
                                        Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        
                                        .. attribute:: operator
                                        
                                        	
                                        	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set from which to get member RLOC addresses
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                            self.yang_name = "modify-discovered"
                                            self.yang_parent_name = "members"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.operator = YLeaf(YType.enumeration, "operator")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "modify-discovered"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                        class Operator(Enum):
                                            """
                                            Operator

                                            .. data:: add = 0

                                            .. data:: override = 1

                                            """

                                            add = Enum.YLeaf(0, "add")

                                            override = Enum.YLeaf(1, "override")



                            class SiteRegistration(Entity):
                                """
                                Map\-server site registration options
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations as a result of accept\-more\-specifics
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class OtherXtrProbe(Entity):
                            """
                            Configure parameters for probing of other xTRs in our site
                            
                            .. attribute:: period
                            
                            	Period between probes in seconds
                            	**type**\: int
                            
                            	**range:** 5..900
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.OtherXtrProbe, self).__init__()

                                self.yang_name = "other-xtr-probe"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.period = YLeaf(YType.uint16, "period")
                                self._segment_path = lambda: "other-xtr-probe"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.OtherXtrProbe, ['period'], name, value)


                        class RemoteRlocProbe(Entity):
                            """
                            Configure parameters for probing of remote RLOCs
                            
                            .. attribute:: on_membership_change
                            
                            	Trigger probing upon membership changes for remote RLOC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: on_route_change
                            
                            	Trigger probing upon routing changes for remote RLOC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.RemoteRlocProbe, self).__init__()

                                self.yang_name = "remote-rloc-probe"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                                self.on_route_change = YLeaf(YType.empty, "on-route-change")
                                self._segment_path = lambda: "remote-rloc-probe"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                        class Service(Entity):
                            """
                            Configure lisp service type
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv6
                            
                            	
                            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ethernet
                            
                            	
                            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service, self).__init__()

                                self.yang_name = "service"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4), "ipv6" : ("ipv6", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6), "ethernet" : ("ethernet", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ipv4 = None
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")

                                self.ipv6 = None
                                self._children_name_map["ipv6"] = "ipv6"
                                self._children_yang_names.add("ipv6")

                                self.ethernet = None
                                self._children_name_map["ethernet"] = "ethernet"
                                self._children_yang_names.add("ethernet")
                                self._segment_path = lambda: "service"


                            class Ipv4(Entity):
                                """
                                
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest>`
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\: str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent>`
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "service"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default), "eid-table" : ("eid_table", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable), "itr" : ("itr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable), "etr" : ("etr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt), "distance" : ("distance", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping)}
                                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr)}
                                    self.is_presence_container = True

                                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                    self.sgt = YLeaf(YType.empty, "sgt")

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt()
                                    self.alt.parent = self
                                    self._children_name_map["alt"] = "alt"
                                    self._children_yang_names.add("alt")

                                    self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")

                                    self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                    self._children_yang_names.add("map-cache-persistent")

                                    self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self._children_name_map["proxy_itr"] = "proxy-itr"
                                    self._children_yang_names.add("proxy-itr")

                                    self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport()
                                    self.route_export.parent = self
                                    self._children_name_map["route_export"] = "route-export"
                                    self._children_yang_names.add("route-export")

                                    self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport()
                                    self.route_import.parent = self
                                    self._children_name_map["route_import"] = "route-import"
                                    self._children_yang_names.add("route-import")

                                    self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.use_petr = YList(self)
                                    self._segment_path = lambda: "ipv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest>`
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\: str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent>`
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable), "itr" : ("itr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt), "distance" : ("distance", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping)}
                                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr)}

                                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                        self.sgt = YLeaf(YType.empty, "sgt")

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt()
                                        self.alt.parent = self
                                        self._children_name_map["alt"] = "alt"
                                        self._children_yang_names.add("alt")

                                        self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance()
                                        self.distance.parent = self
                                        self._children_name_map["distance"] = "distance"
                                        self._children_yang_names.add("distance")

                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")

                                        self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                        self._children_yang_names.add("map-cache-persistent")

                                        self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self._children_name_map["proxy_itr"] = "proxy-itr"
                                        self._children_yang_names.add("proxy-itr")

                                        self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport()
                                        self.route_export.parent = self
                                        self._children_name_map["route_export"] = "route-export"
                                        self._children_yang_names.add("route-export")

                                        self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport()
                                        self.route_import.parent = self
                                        self._children_name_map["route_import"] = "route-import"
                                        self._children_yang_names.add("route-import")

                                        self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.use_petr = YList(self)
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class Alt(Entity):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt, self).__init__()

                                            self.yang_name = "alt"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute)}

                                            self.summary_route = YList(self)
                                            self._segment_path = lambda: "alt"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt, [], name, value)


                                        class SummaryRoute(Entity):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute, self).__init__()

                                                self.yang_name = "summary-route"
                                                self.yang_parent_name = "alt"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                    class Distance(Entity):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance, self).__init__()

                                            self.yang_name = "distance"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.alt = YLeaf(YType.uint8, "alt")

                                            self.away = YLeaf(YType.uint8, "away")

                                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                            self._segment_path = lambda: "distance"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids)}
                                            self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface)}

                                            self.site_registration = YLeaf(YType.empty, "site-registration")

                                            self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self._children_name_map["away_eids"] = "away-eids"
                                            self._children_yang_names.add("away-eids")

                                            self.eid_interface = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache, ['site_registration'], name, value)


                                        class EidInterface(Entity):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface, self).__init__()

                                                self.yang_name = "eid-interface"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.drop = YLeaf(YType.empty, "drop")

                                                self.map_request = YLeaf(YType.empty, "map-request")

                                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                                self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                        class AwayEids(Entity):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids, self).__init__()

                                                self.yang_name = "away-eids"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                self._segment_path = lambda: "away-eids"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                    class MapCachePersistent(Entity):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\: int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent, self).__init__()

                                            self.yang_name = "map-cache-persistent"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "map-cache-persistent"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent, ['interval'], name, value)


                                    class ProxyItr(Entity):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr, self).__init__()

                                            self.yang_name = "proxy-itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                            self._segment_path = lambda: "proxy-itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                    class RouteExport(Entity):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport, self).__init__()

                                            self.yang_name = "route-export"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                            self.away_eids = YLeaf(YType.empty, "away-eids")
                                            self._segment_path = lambda: "route-export"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                    class UsePetr(Entity):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr, self).__init__()

                                            self.yang_name = "use-petr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority)}
                                            self._child_list_classes = {}

                                            self.locator_address = YLeaf(YType.str, "locator-address")

                                            self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr, ['locator_address'], name, value)


                                        class Priority(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "use-petr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                    class RouteImport(Entity):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport, self).__init__()

                                            self.yang_name = "route-import"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database" : ("database", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache)}
                                            self._child_list_classes = {}

                                            self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database()
                                            self.database.parent = self
                                            self._children_name_map["database"] = "database"
                                            self._children_yang_names.add("database")

                                            self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "route-import"


                                        class Database(Entity):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database, self).__init__()

                                                self.yang_name = "database"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf)}

                                                self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static()
                                                self.static.parent = self
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip()
                                                self.rip.parent = self
                                                self._children_name_map["rip"] = "rip"
                                                self._children_yang_names.add("rip")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self._segment_path = lambda: "database"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "application"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "connected"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.process_id = YLeaf(YType.str, "process-id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "nd"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "static"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "rip"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf)}

                                                self.application = None
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = None
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = None
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = None
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip()
                                                self.rip.parent = self
                                                self._children_name_map["rip"] = "rip"
                                                self._children_yang_names.add("rip")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "application"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "connected"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "nd"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "static"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "rip"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont)}

                                            self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                                        self.default = YLeaf(YType.empty, "default")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class Alt(Entity):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt, self).__init__()

                                        self.yang_name = "alt"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute)}

                                        self.summary_route = YList(self)
                                        self._segment_path = lambda: "alt"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt, [], name, value)


                                    class SummaryRoute(Entity):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute, self).__init__()

                                            self.yang_name = "summary-route"
                                            self.yang_parent_name = "alt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                class Distance(Entity):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.alt = YLeaf(YType.uint8, "alt")

                                        self.away = YLeaf(YType.uint8, "away")

                                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                class MapCache(Entity):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids)}
                                        self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface)}

                                        self.site_registration = YLeaf(YType.empty, "site-registration")

                                        self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self._children_name_map["away_eids"] = "away-eids"
                                        self._children_yang_names.add("away-eids")

                                        self.eid_interface = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache, ['site_registration'], name, value)


                                    class EidInterface(Entity):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface, self).__init__()

                                            self.yang_name = "eid-interface"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.drop = YLeaf(YType.empty, "drop")

                                            self.map_request = YLeaf(YType.empty, "map-request")

                                            self.native_forward = YLeaf(YType.empty, "native-forward")

                                            self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class AwayEids(Entity):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids, self).__init__()

                                            self.yang_name = "away-eids"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                            self._segment_path = lambda: "away-eids"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids, ['send_map_request'], name, value)


                                class MapCachePersistent(Entity):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\: int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent, self).__init__()

                                        self.yang_name = "map-cache-persistent"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "map-cache-persistent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent, ['interval'], name, value)


                                class ProxyItr(Entity):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr, self).__init__()

                                        self.yang_name = "proxy-itr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                        self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                        self._segment_path = lambda: "proxy-itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                class RouteExport(Entity):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport, self).__init__()

                                        self.yang_name = "route-export"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                        self.away_eids = YLeaf(YType.empty, "away-eids")
                                        self._segment_path = lambda: "route-export"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                class UsePetr(Entity):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr, self).__init__()

                                        self.yang_name = "use-petr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority)}
                                        self._child_list_classes = {}

                                        self.locator_address = YLeaf(YType.str, "locator-address")

                                        self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr, ['locator_address'], name, value)


                                    class Priority(Entity):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "use-petr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority_value = YLeaf(YType.uint8, "priority-value")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                class RouteImport(Entity):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport, self).__init__()

                                        self.yang_name = "route-import"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"database" : ("database", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache)}
                                        self._child_list_classes = {}

                                        self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database()
                                        self.database.parent = self
                                        self._children_name_map["database"] = "database"
                                        self._children_yang_names.add("database")

                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "route-import"


                                    class Database(Entity):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database, self).__init__()

                                            self.yang_name = "database"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf)}

                                            self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static()
                                            self.static.parent = self
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip()
                                            self.rip.parent = self
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self._segment_path = lambda: "database"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "application"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "connected"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.process_id = YLeaf(YType.str, "process-id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis, ['process_id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "nd"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "static"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "rip"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf)}

                                            self.application = None
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = None
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip()
                                            self.rip.parent = self
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "application"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "connected"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "nd"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "static"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "rip"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont)}

                                        self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Ipv6(Entity):
                                """
                                
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest>`
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\: str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent>`
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "service"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default), "eid-table" : ("eid_table", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable), "itr" : ("itr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable), "etr" : ("etr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt), "distance" : ("distance", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping)}
                                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr)}
                                    self.is_presence_container = True

                                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                    self.sgt = YLeaf(YType.empty, "sgt")

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt()
                                    self.alt.parent = self
                                    self._children_name_map["alt"] = "alt"
                                    self._children_yang_names.add("alt")

                                    self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")

                                    self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                    self._children_yang_names.add("map-cache-persistent")

                                    self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self._children_name_map["proxy_itr"] = "proxy-itr"
                                    self._children_yang_names.add("proxy-itr")

                                    self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport()
                                    self.route_export.parent = self
                                    self._children_name_map["route_export"] = "route-export"
                                    self._children_yang_names.add("route-export")

                                    self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport()
                                    self.route_import.parent = self
                                    self._children_name_map["route_import"] = "route-import"
                                    self._children_yang_names.add("route-import")

                                    self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.use_petr = YList(self)
                                    self._segment_path = lambda: "ipv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest>`
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\: str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent>`
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable), "itr" : ("itr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt), "distance" : ("distance", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping)}
                                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr)}

                                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                        self.sgt = YLeaf(YType.empty, "sgt")

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt()
                                        self.alt.parent = self
                                        self._children_name_map["alt"] = "alt"
                                        self._children_yang_names.add("alt")

                                        self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance()
                                        self.distance.parent = self
                                        self._children_name_map["distance"] = "distance"
                                        self._children_yang_names.add("distance")

                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")

                                        self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                        self._children_yang_names.add("map-cache-persistent")

                                        self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self._children_name_map["proxy_itr"] = "proxy-itr"
                                        self._children_yang_names.add("proxy-itr")

                                        self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport()
                                        self.route_export.parent = self
                                        self._children_name_map["route_export"] = "route-export"
                                        self._children_yang_names.add("route-export")

                                        self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport()
                                        self.route_import.parent = self
                                        self._children_name_map["route_import"] = "route-import"
                                        self._children_yang_names.add("route-import")

                                        self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.use_petr = YList(self)
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class Alt(Entity):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt, self).__init__()

                                            self.yang_name = "alt"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute)}

                                            self.summary_route = YList(self)
                                            self._segment_path = lambda: "alt"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt, [], name, value)


                                        class SummaryRoute(Entity):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute, self).__init__()

                                                self.yang_name = "summary-route"
                                                self.yang_parent_name = "alt"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                    class Distance(Entity):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance, self).__init__()

                                            self.yang_name = "distance"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.alt = YLeaf(YType.uint8, "alt")

                                            self.away = YLeaf(YType.uint8, "away")

                                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                            self._segment_path = lambda: "distance"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids)}
                                            self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface)}

                                            self.site_registration = YLeaf(YType.empty, "site-registration")

                                            self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self._children_name_map["away_eids"] = "away-eids"
                                            self._children_yang_names.add("away-eids")

                                            self.eid_interface = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache, ['site_registration'], name, value)


                                        class EidInterface(Entity):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface, self).__init__()

                                                self.yang_name = "eid-interface"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.drop = YLeaf(YType.empty, "drop")

                                                self.map_request = YLeaf(YType.empty, "map-request")

                                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                                self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                        class AwayEids(Entity):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids, self).__init__()

                                                self.yang_name = "away-eids"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                self._segment_path = lambda: "away-eids"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                    class MapCachePersistent(Entity):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\: int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent, self).__init__()

                                            self.yang_name = "map-cache-persistent"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "map-cache-persistent"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent, ['interval'], name, value)


                                    class ProxyItr(Entity):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr, self).__init__()

                                            self.yang_name = "proxy-itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                            self._segment_path = lambda: "proxy-itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                    class RouteExport(Entity):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport, self).__init__()

                                            self.yang_name = "route-export"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                            self.away_eids = YLeaf(YType.empty, "away-eids")
                                            self._segment_path = lambda: "route-export"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                    class UsePetr(Entity):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr, self).__init__()

                                            self.yang_name = "use-petr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority)}
                                            self._child_list_classes = {}

                                            self.locator_address = YLeaf(YType.str, "locator-address")

                                            self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr, ['locator_address'], name, value)


                                        class Priority(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "use-petr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                    class RouteImport(Entity):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport, self).__init__()

                                            self.yang_name = "route-import"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database" : ("database", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache)}
                                            self._child_list_classes = {}

                                            self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database()
                                            self.database.parent = self
                                            self._children_name_map["database"] = "database"
                                            self._children_yang_names.add("database")

                                            self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "route-import"


                                        class Database(Entity):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database, self).__init__()

                                                self.yang_name = "database"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip)}

                                                self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static()
                                                self.static.parent = self
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self.rip = YList(self)
                                                self._segment_path = lambda: "database"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "application"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "connected"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.process_id = YLeaf(YType.str, "process-id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "nd"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "static"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip)}

                                                self.application = None
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = None
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = None
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = None
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self.rip = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "application"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "connected"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "nd"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "static"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont)}

                                            self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                                        self.default = YLeaf(YType.empty, "default")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class Alt(Entity):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt, self).__init__()

                                        self.yang_name = "alt"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute)}

                                        self.summary_route = YList(self)
                                        self._segment_path = lambda: "alt"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt, [], name, value)


                                    class SummaryRoute(Entity):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute, self).__init__()

                                            self.yang_name = "summary-route"
                                            self.yang_parent_name = "alt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                class Distance(Entity):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.alt = YLeaf(YType.uint8, "alt")

                                        self.away = YLeaf(YType.uint8, "away")

                                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                class MapCache(Entity):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids)}
                                        self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface)}

                                        self.site_registration = YLeaf(YType.empty, "site-registration")

                                        self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self._children_name_map["away_eids"] = "away-eids"
                                        self._children_yang_names.add("away-eids")

                                        self.eid_interface = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache, ['site_registration'], name, value)


                                    class EidInterface(Entity):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface, self).__init__()

                                            self.yang_name = "eid-interface"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.drop = YLeaf(YType.empty, "drop")

                                            self.map_request = YLeaf(YType.empty, "map-request")

                                            self.native_forward = YLeaf(YType.empty, "native-forward")

                                            self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class AwayEids(Entity):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids, self).__init__()

                                            self.yang_name = "away-eids"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                            self._segment_path = lambda: "away-eids"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids, ['send_map_request'], name, value)


                                class MapCachePersistent(Entity):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\: int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent, self).__init__()

                                        self.yang_name = "map-cache-persistent"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "map-cache-persistent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent, ['interval'], name, value)


                                class ProxyItr(Entity):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr, self).__init__()

                                        self.yang_name = "proxy-itr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                        self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                        self._segment_path = lambda: "proxy-itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                class RouteExport(Entity):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport, self).__init__()

                                        self.yang_name = "route-export"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                        self.away_eids = YLeaf(YType.empty, "away-eids")
                                        self._segment_path = lambda: "route-export"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                class UsePetr(Entity):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr, self).__init__()

                                        self.yang_name = "use-petr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority)}
                                        self._child_list_classes = {}

                                        self.locator_address = YLeaf(YType.str, "locator-address")

                                        self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr, ['locator_address'], name, value)


                                    class Priority(Entity):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "use-petr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority_value = YLeaf(YType.uint8, "priority-value")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                class RouteImport(Entity):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport, self).__init__()

                                        self.yang_name = "route-import"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"database" : ("database", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache)}
                                        self._child_list_classes = {}

                                        self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database()
                                        self.database.parent = self
                                        self._children_name_map["database"] = "database"
                                        self._children_yang_names.add("database")

                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "route-import"


                                    class Database(Entity):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database, self).__init__()

                                            self.yang_name = "database"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip)}

                                            self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static()
                                            self.static.parent = self
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self.rip = YList(self)
                                            self._segment_path = lambda: "database"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "application"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "connected"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.process_id = YLeaf(YType.str, "process-id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis, ['process_id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "nd"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "static"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip)}

                                            self.application = None
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = None
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self.rip = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "application"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "connected"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "nd"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "static"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont)}

                                        self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Ethernet(Entity):
                                """
                                
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable>`
                                
                                .. attribute:: broadcast_underlay
                                
                                	Multicast group to use for underlay
                                	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay>`
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet, self).__init__()

                                    self.yang_name = "ethernet"
                                    self.yang_parent_name = "service"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default), "eid-table" : ("eid_table", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable), "etr" : ("etr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.broadcast_underlay = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay()
                                    self.broadcast_underlay.parent = self
                                    self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                    self._children_yang_names.add("broadcast-underlay")

                                    self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "ethernet"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet, ['map_request_source'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable>`
                                    
                                    .. attribute:: broadcast_underlay
                                    
                                    	Multicast group to use for underlay
                                    	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay>`
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache)}
                                        self._child_list_classes = {}

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.broadcast_underlay = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay()
                                        self.broadcast_underlay.parent = self
                                        self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                        self._children_yang_names.add("broadcast-underlay")

                                        self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default, ['map_request_source'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vlan
                                        
                                        	VLAN configuration
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vlan = YLeaf(YType.uint16, "vlan")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable, ['vlan'], name, value)


                                    class BroadcastUnderlay(Entity):
                                        """
                                        Multicast group to use for underlay
                                        
                                        .. attribute:: ipv4_multicast
                                        
                                        	IPv4 multicast group address
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_multicast
                                        
                                        	IPv6 multicast group address
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay, self).__init__()

                                            self.yang_name = "broadcast-underlay"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                            self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                            self._segment_path = lambda: "broadcast-underlay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: mac
                                        
                                        	L2 EID records
                                        	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"mac" : ("mac", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont)}

                                            self.mac = None
                                            self._children_name_map["mac"] = "mac"
                                            self._children_yang_names.add("mac")

                                            self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Mac(Entity):
                                            """
                                            L2 EID records
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac, self).__init__()

                                                self.yang_name = "mac"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "mac"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac, ['locator_set'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont)}

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont, ['eid_prefix'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vlan
                                    
                                    	VLAN configuration
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vlan = YLeaf(YType.uint16, "vlan")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable, ['vlan'], name, value)


                                class BroadcastUnderlay(Entity):
                                    """
                                    Multicast group to use for underlay
                                    
                                    .. attribute:: ipv4_multicast
                                    
                                    	IPv4 multicast group address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_multicast
                                    
                                    	IPv6 multicast group address
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay, self).__init__()

                                        self.yang_name = "broadcast-underlay"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                        self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                        self._segment_path = lambda: "broadcast-underlay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: mac
                                    
                                    	L2 EID records
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont)}

                                        self.mac = None
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")

                                        self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Mac(Entity):
                                        """
                                        L2 EID records
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac, ['locator_set'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont)}

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont, ['eid_prefix'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                    class Decapsulation(Entity):
                        """
                        Decapsulation behavior (e.g. filters)
                        
                        .. attribute:: filter
                        
                        	Filters traffic
                        	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation, self).__init__()

                            self.yang_name = "decapsulation"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"filter" : ("filter", Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter)}
                            self._child_list_classes = {}

                            self.filter = Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter()
                            self.filter.parent = self
                            self._children_name_map["filter"] = "filter"
                            self._children_yang_names.add("filter")
                            self._segment_path = lambda: "decapsulation"


                        class Filter(Entity):
                            """
                            Filters traffic
                            
                            .. attribute:: rloc
                            
                            	Filter based on Routing Locator (RLOC) in packet header
                            	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter, self).__init__()

                                self.yang_name = "filter"
                                self.yang_parent_name = "decapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc)}
                                self._child_list_classes = {}

                                self.rloc = Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc()
                                self.rloc.parent = self
                                self._children_name_map["rloc"] = "rloc"
                                self._children_yang_names.add("rloc")
                                self._segment_path = lambda: "filter"


                            class Rloc(Entity):
                                """
                                Filter based on Routing Locator (RLOC) in packet header
                                
                                .. attribute:: source
                                
                                	Filters traffic based on RLOC source address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc, self).__init__()

                                    self.yang_name = "rloc"
                                    self.yang_parent_name = "filter"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "rloc"


                                class Source(Entity):
                                    """
                                    Filters traffic based on RLOC source address
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator\-set Name
                                    	**type**\: str
                                    
                                    .. attribute:: member
                                    
                                    	Members learned from map\-server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "rloc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.locator_set = YLeaf(YType.str, "locator-set")

                                        self.member = YLeaf(YType.empty, "member")
                                        self._segment_path = lambda: "source"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                    class DynamicEid(Entity):
                        """
                        Configure a dynamic EID
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: database_mapping
                        
                        	Configures EID\-prefix and locator\-set for dynamic\-EID
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping>`
                        
                        .. attribute:: eid_notify
                        
                        	Configure options for sending/receiving EID\-notify
                        	**type**\:  :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify>`
                        
                        .. attribute:: map_notify_group
                        
                        	Multicast group which to send map\-notifies to
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid, self).__init__()

                            self.yang_name = "dynamic-eid"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping), "eid-notify" : ("eid_notify", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify)}
                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer)}

                            self.name = YLeaf(YType.str, "name")

                            self.map_notify_group = YLeaf(YType.str, "map-notify-group")

                            self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.eid_notify = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify()
                            self.eid_notify.parent = self
                            self._children_name_map["eid_notify"] = "eid-notify"
                            self._children_yang_names.add("eid-notify")

                            self.map_server = YList(self)
                            self._segment_path = lambda: "dynamic-eid" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid, ['name', 'map_notify_group'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Configures EID\-prefix and locator\-set for dynamic\-EID
                            
                            .. attribute:: ipv4_prefix
                            
                            	IPv4 EID\-prefix for dynamic\-EID
                            	**type**\: list of  		 :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "dynamic-eid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ipv4-prefix" : ("ipv4_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix)}

                                self.ipv4_prefix = YList(self)
                                self._segment_path = lambda: "database-mapping"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping, [], name, value)


                            class Ipv4Prefix(Entity):
                                """
                                IPv4 EID\-prefix for dynamic\-EID
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                .. attribute:: locator_set
                                
                                	Use locators defined by locator\-set
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix, self).__init__()

                                    self.yang_name = "ipv4-prefix"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "ipv4-prefix" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix, ['eid_prefix', 'locator_set'], name, value)


                        class EidNotify(Entity):
                            """
                            Configure options for sending/receiving EID\-notify
                            
                            .. attribute:: authentication_key
                            
                            	Authentication key used for validating received EID\-notify
                            	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                            
                            .. attribute:: gateway_key
                            
                            	
                            	**type**\: list of  		 :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify, self).__init__()

                                self.yang_name = "eid-notify"
                                self.yang_parent_name = "dynamic-eid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey)}
                                self._child_list_classes = {"gateway-key" : ("gateway_key", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey)}

                                self.authentication_key = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                self.authentication_key.parent = self
                                self._children_name_map["authentication_key"] = "authentication-key"
                                self._children_yang_names.add("authentication-key")

                                self.gateway_key = YList(self)
                                self._segment_path = lambda: "eid-notify"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify, [], name, value)


                            class AuthenticationKey(Entity):
                                """
                                Authentication key used for validating received EID\-notify
                                
                                .. attribute:: unc_pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                .. attribute:: key_7
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey, self).__init__()

                                    self.yang_name = "authentication-key"
                                    self.yang_parent_name = "eid-notify"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                    self.key_0 = YLeaf(YType.str, "key-0")

                                    self.key_6 = YLeaf(YType.str, "key-6")

                                    self.key_7 = YLeaf(YType.str, "key-7")
                                    self._segment_path = lambda: "authentication-key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                            class GatewayKey(Entity):
                                """
                                
                                
                                .. attribute:: gateway_ip  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey, self).__init__()

                                    self.yang_name = "gateway-key"
                                    self.yang_parent_name = "eid-notify"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key)}
                                    self._child_list_classes = {}

                                    self.gateway_ip = YLeaf(YType.str, "gateway-ip")

                                    self.key = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "gateway-key" + "[gateway-ip='" + self.gateway_ip.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey, ['gateway_ip'], name, value)


                                class Key(Entity):
                                    """
                                    
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "gateway-key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "dynamic-eid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd>`
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7)}
                                    self._child_list_classes = {}

                                    self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self
                                    self._children_name_map["key_pwd"] = "key-pwd"
                                    self._children_yang_names.add("key-pwd")

                                    self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self._children_name_map["key_0"] = "key-0"
                                    self._children_yang_names.add("key-0")

                                    self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self._children_name_map["key_6"] = "key-6"
                                    self._children_yang_names.add("key-6")

                                    self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self._children_name_map["key_7"] = "key-7"
                                    self._children_yang_names.add("key-7")
                                    self._segment_path = lambda: "key"


                                class KeyPwd(Entity):
                                    """
                                    
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd, self).__init__()

                                        self.yang_name = "key-pwd"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-pwd"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key0(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0, self).__init__()

                                        self.yang_name = "key-0"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-0"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key6(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6, self).__init__()

                                        self.yang_name = "key-6"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-6"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key7(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7, self).__init__()

                                        self.yang_name = "key-7"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-7"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                    class LocReachAlgorithm(Entity):
                        """
                        Configure locator reachability algorithm
                        
                        .. attribute:: lsb_reports
                        
                        	Configure data packet LSB report handling
                        	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports>`
                        
                        .. attribute:: rloc_probing
                        
                        	Probe high priority RLOCs with Map\-Requests as last resort
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm, self).__init__()

                            self.yang_name = "loc-reach-algorithm"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports)}
                            self._child_list_classes = {}

                            self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                            self.lsb_reports = Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports()
                            self.lsb_reports.parent = self
                            self._children_name_map["lsb_reports"] = "lsb-reports"
                            self._children_yang_names.add("lsb-reports")
                            self._segment_path = lambda: "loc-reach-algorithm"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm, ['rloc_probing'], name, value)


                        class LsbReports(Entity):
                            """
                            Configure data packet LSB report handling
                            
                            .. attribute:: do_not_transmit
                            
                            	Force the setting of the encapsulation header L bit to zero
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore data packet LSB reports
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports, self).__init__()

                                self.yang_name = "lsb-reports"
                                self.yang_parent_name = "loc-reach-algorithm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "lsb-reports"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                    class MapServer(Entity):
                        """
                        Map\-Server commands
                        
                        .. attribute:: rloc
                        
                        	EID instance RLOC membership
                        	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc>`
                        
                        .. attribute:: site_registration
                        
                        	Map\-server site registration options
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.SiteRegistration>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.InstanceContainer.InstanceList.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.SiteRegistration)}
                            self._child_list_classes = {}

                            self.rloc = Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc()
                            self.rloc.parent = self
                            self._children_name_map["rloc"] = "rloc"
                            self._children_yang_names.add("rloc")

                            self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")
                            self._segment_path = lambda: "map-server"


                        class Rloc(Entity):
                            """
                            EID instance RLOC membership
                            
                            .. attribute:: members
                            
                            	EID instance RLOC membership
                            	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc, self).__init__()

                                self.yang_name = "rloc"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"members" : ("members", Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members)}
                                self._child_list_classes = {}

                                self.members = Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members()
                                self.members.parent = self
                                self._children_name_map["members"] = "members"
                                self._children_yang_names.add("members")
                                self._segment_path = lambda: "rloc"


                            class Members(Entity):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: distribute
                                
                                	EID instance RLOC membership distribution
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: modify_discovered
                                
                                	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members, self).__init__()

                                    self.yang_name = "members"
                                    self.yang_parent_name = "rloc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered)}
                                    self._child_list_classes = {}

                                    self.distribute = YLeaf(YType.empty, "distribute")

                                    self.modify_discovered = Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                    self.modify_discovered.parent = self
                                    self._children_name_map["modify_discovered"] = "modify-discovered"
                                    self._children_yang_names.add("modify-discovered")
                                    self._segment_path = lambda: "members"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members, ['distribute'], name, value)


                                class ModifyDiscovered(Entity):
                                    """
                                    Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    
                                    .. attribute:: operator
                                    
                                    	
                                    	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set from which to get member RLOC addresses
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                        self.yang_name = "modify-discovered"
                                        self.yang_parent_name = "members"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.operator = YLeaf(YType.enumeration, "operator")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "modify-discovered"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                    class Operator(Enum):
                                        """
                                        Operator

                                        .. data:: add = 0

                                        .. data:: override = 1

                                        """

                                        add = Enum.YLeaf(0, "add")

                                        override = Enum.YLeaf(1, "override")



                        class SiteRegistration(Entity):
                            """
                            Map\-server site registration options
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations as a result of accept\-more\-specifics
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class OtherXtrProbe(Entity):
                        """
                        Configure parameters for probing of other xTRs in our site
                        
                        .. attribute:: period
                        
                        	Period between probes in seconds
                        	**type**\: int
                        
                        	**range:** 5..900
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.InstanceContainer.InstanceList.OtherXtrProbe, self).__init__()

                            self.yang_name = "other-xtr-probe"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.period = YLeaf(YType.uint16, "period")
                            self._segment_path = lambda: "other-xtr-probe"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.OtherXtrProbe, ['period'], name, value)


                    class RemoteRlocProbe(Entity):
                        """
                        Configure parameters for probing of remote RLOCs
                        
                        .. attribute:: on_membership_change
                        
                        	Trigger probing upon membership changes for remote RLOC
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: on_route_change
                        
                        	Trigger probing upon routing changes for remote RLOC
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.InstanceContainer.InstanceList.RemoteRlocProbe, self).__init__()

                            self.yang_name = "remote-rloc-probe"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                            self.on_route_change = YLeaf(YType.empty, "on-route-change")
                            self._segment_path = lambda: "remote-rloc-probe"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                    class Service(Entity):
                        """
                        Configure lisp service type
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv6
                        
                        	
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ethernet
                        
                        	
                        	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service, self).__init__()

                            self.yang_name = "service"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4), "ipv6" : ("ipv6", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6), "ethernet" : ("ethernet", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ipv4 = None
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv6 = None
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")

                            self.ethernet = None
                            self._children_name_map["ethernet"] = "ethernet"
                            self._children_yang_names.add("ethernet")
                            self._segment_path = lambda: "service"


                        class Ipv4(Entity):
                            """
                            
                            
                            .. attribute:: default
                            
                            	
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default>`
                            
                            .. attribute:: eid_table
                            
                            	Bind an eid\-table
                            	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EidTable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest>`
                            
                            .. attribute:: alt
                            
                            	LISP Alternative Topology, LISP\-ALT
                            	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt>`
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\: str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Distance>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent>`
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteExport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: database_mapping
                            
                            	Configures Locator addresses for an ETR
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "service"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"default" : ("default", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default), "eid-table" : ("eid_table", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EidTable), "itr" : ("itr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable), "etr" : ("etr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt), "distance" : ("distance", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping)}
                                self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr)}
                                self.is_presence_container = True

                                self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                self.sgt = YLeaf(YType.empty, "sgt")

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EidTable()
                                self.eid_table.parent = self
                                self._children_name_map["eid_table"] = "eid-table"
                                self._children_yang_names.add("eid-table")

                                self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt()
                                self.alt.parent = self
                                self._children_name_map["alt"] = "alt"
                                self._children_yang_names.add("alt")

                                self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")

                                self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                self._children_yang_names.add("map-cache-persistent")

                                self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr()
                                self.proxy_itr.parent = self
                                self._children_name_map["proxy_itr"] = "proxy-itr"
                                self._children_yang_names.add("proxy-itr")

                                self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteExport()
                                self.route_export.parent = self
                                self._children_name_map["route_export"] = "route-export"
                                self._children_yang_names.add("route-export")

                                self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport()
                                self.route_import.parent = self
                                self._children_name_map["route_import"] = "route-import"
                                self._children_yang_names.add("route-import")

                                self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.use_petr = YList(self)
                                self._segment_path = lambda: "ipv4"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                            class Default(Entity):
                                """
                                
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest>`
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\: str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent>`
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable), "itr" : ("itr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt), "distance" : ("distance", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping)}
                                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr)}

                                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                    self.sgt = YLeaf(YType.empty, "sgt")

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt()
                                    self.alt.parent = self
                                    self._children_name_map["alt"] = "alt"
                                    self._children_yang_names.add("alt")

                                    self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")

                                    self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                    self._children_yang_names.add("map-cache-persistent")

                                    self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self._children_name_map["proxy_itr"] = "proxy-itr"
                                    self._children_yang_names.add("proxy-itr")

                                    self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport()
                                    self.route_export.parent = self
                                    self._children_name_map["route_export"] = "route-export"
                                    self._children_yang_names.add("route-export")

                                    self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport()
                                    self.route_import.parent = self
                                    self._children_name_map["route_import"] = "route-import"
                                    self._children_yang_names.add("route-import")

                                    self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.use_petr = YList(self)
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                                        self.default = YLeaf(YType.empty, "default")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class Alt(Entity):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt, self).__init__()

                                        self.yang_name = "alt"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute)}

                                        self.summary_route = YList(self)
                                        self._segment_path = lambda: "alt"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt, [], name, value)


                                    class SummaryRoute(Entity):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute, self).__init__()

                                            self.yang_name = "summary-route"
                                            self.yang_parent_name = "alt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                class Distance(Entity):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.alt = YLeaf(YType.uint8, "alt")

                                        self.away = YLeaf(YType.uint8, "away")

                                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                class MapCache(Entity):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids)}
                                        self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface)}

                                        self.site_registration = YLeaf(YType.empty, "site-registration")

                                        self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self._children_name_map["away_eids"] = "away-eids"
                                        self._children_yang_names.add("away-eids")

                                        self.eid_interface = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache, ['site_registration'], name, value)


                                    class EidInterface(Entity):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface, self).__init__()

                                            self.yang_name = "eid-interface"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.drop = YLeaf(YType.empty, "drop")

                                            self.map_request = YLeaf(YType.empty, "map-request")

                                            self.native_forward = YLeaf(YType.empty, "native-forward")

                                            self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class AwayEids(Entity):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids, self).__init__()

                                            self.yang_name = "away-eids"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                            self._segment_path = lambda: "away-eids"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                class MapCachePersistent(Entity):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\: int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent, self).__init__()

                                        self.yang_name = "map-cache-persistent"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "map-cache-persistent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent, ['interval'], name, value)


                                class ProxyItr(Entity):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr, self).__init__()

                                        self.yang_name = "proxy-itr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                        self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                        self._segment_path = lambda: "proxy-itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                class RouteExport(Entity):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport, self).__init__()

                                        self.yang_name = "route-export"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                        self.away_eids = YLeaf(YType.empty, "away-eids")
                                        self._segment_path = lambda: "route-export"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                class UsePetr(Entity):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr, self).__init__()

                                        self.yang_name = "use-petr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority)}
                                        self._child_list_classes = {}

                                        self.locator_address = YLeaf(YType.str, "locator-address")

                                        self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr, ['locator_address'], name, value)


                                    class Priority(Entity):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "use-petr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority_value = YLeaf(YType.uint8, "priority-value")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                class RouteImport(Entity):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport, self).__init__()

                                        self.yang_name = "route-import"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"database" : ("database", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache)}
                                        self._child_list_classes = {}

                                        self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database()
                                        self.database.parent = self
                                        self._children_name_map["database"] = "database"
                                        self._children_yang_names.add("database")

                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "route-import"


                                    class Database(Entity):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database, self).__init__()

                                            self.yang_name = "database"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf)}

                                            self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static()
                                            self.static.parent = self
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip()
                                            self.rip.parent = self
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self._segment_path = lambda: "database"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "application"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "connected"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.process_id = YLeaf(YType.str, "process-id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "nd"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "static"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "rip"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf)}

                                            self.application = None
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = None
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip()
                                            self.rip.parent = self
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "application"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "connected"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "nd"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "static"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "rip"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont)}

                                        self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class EidTable(Entity):
                                """
                                Bind an eid\-table
                                
                                .. attribute:: vrf_name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: default
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EidTable, self).__init__()

                                    self.yang_name = "eid-table"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vrf_name = YLeaf(YType.str, "vrf-name")

                                    self.default = YLeaf(YType.empty, "default")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "eid-table"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable, ['itr'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable, ['etr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer)}

                                    self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                    self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                    self._children_yang_names.add("accept-map-request-mapping")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr, ['map_cache_ttl'], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                class AcceptMapRequestMapping(Entity):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping, self).__init__()

                                        self.yang_name = "accept-map-request-mapping"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                        self.verify = YLeaf(YType.empty, "verify")
                                        self._segment_path = lambda: "accept-map-request-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class Alt(Entity):
                                """
                                LISP Alternative Topology, LISP\-ALT
                                
                                .. attribute:: summary_route
                                
                                	Summary route to install into the ALT table
                                	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt, self).__init__()

                                    self.yang_name = "alt"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute)}

                                    self.summary_route = YList(self)
                                    self._segment_path = lambda: "alt"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt, [], name, value)


                                class SummaryRoute(Entity):
                                    """
                                    Summary route to install into the ALT table
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: route_tag
                                    
                                    	ALT RIB route tag for EID prefix
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute, self).__init__()

                                        self.yang_name = "summary-route"
                                        self.yang_parent_name = "alt"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.route_tag = YLeaf(YType.uint32, "route-tag")
                                        self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                            class Distance(Entity):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.alt = YLeaf(YType.uint8, "alt")

                                    self.away = YLeaf(YType.uint8, "away")

                                    self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                    self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                    self._segment_path = lambda: "distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                            class MapCache(Entity):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: eid_interface
                                
                                	Configures static EID\-to\-RLOC mappings for an ITR
                                	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface>`
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids)}
                                    self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface)}

                                    self.site_registration = YLeaf(YType.empty, "site-registration")

                                    self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self._children_name_map["away_eids"] = "away-eids"
                                    self._children_yang_names.add("away-eids")

                                    self.eid_interface = YList(self)
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache, ['site_registration'], name, value)


                                class EidInterface(Entity):
                                    """
                                    Configures static EID\-to\-RLOC mappings for an ITR
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: etr_interface_ip
                                    
                                    	
                                    	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                    
                                    .. attribute:: drop
                                    
                                    	Drop packets that match this map\-cache entry
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: map_request
                                    
                                    	Send Map\-Request for LISP destination EID
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: native_forward
                                    
                                    	Natively forward packets that match this map\-cache entry
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface, self).__init__()

                                        self.yang_name = "eid-interface"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp)}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.drop = YLeaf(YType.empty, "drop")

                                        self.map_request = YLeaf(YType.empty, "map-request")

                                        self.native_forward = YLeaf(YType.empty, "native-forward")

                                        self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                        self.etr_interface_ip.parent = self
                                        self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                        self._children_yang_names.add("etr-interface-ip")
                                        self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                    class EtrInterfaceIp(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr_interface_ip_address
                                        
                                        	IP address of loopback or other ETR interface
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                            self.yang_name = "etr-interface-ip"
                                            self.yang_parent_name = "eid-interface"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                            self.priority = YLeaf(YType.uint8, "priority")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "etr-interface-ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                class AwayEids(Entity):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids, self).__init__()

                                        self.yang_name = "away-eids"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                        self._segment_path = lambda: "away-eids"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids, ['send_map_request'], name, value)


                            class MapCachePersistent(Entity):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\: int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent, self).__init__()

                                    self.yang_name = "map-cache-persistent"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")
                                    self._segment_path = lambda: "map-cache-persistent"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent, ['interval'], name, value)


                            class ProxyItr(Entity):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr, self).__init__()

                                    self.yang_name = "proxy-itr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                    self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                    self._segment_path = lambda: "proxy-itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                            class RouteExport(Entity):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteExport, self).__init__()

                                    self.yang_name = "route-export"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                    self.away_eids = YLeaf(YType.empty, "away-eids")
                                    self._segment_path = lambda: "route-export"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                            class UsePetr(Entity):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	
                                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr, self).__init__()

                                    self.yang_name = "use-petr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority)}
                                    self._child_list_classes = {}

                                    self.locator_address = YLeaf(YType.str, "locator-address")

                                    self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority()
                                    self.priority.parent = self
                                    self._children_name_map["priority"] = "priority"
                                    self._children_yang_names.add("priority")
                                    self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr, ['locator_address'], name, value)


                                class Priority(Entity):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority, self).__init__()

                                        self.yang_name = "priority"
                                        self.yang_parent_name = "use-petr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.priority_value = YLeaf(YType.uint8, "priority-value")

                                        self.weight = YLeaf(YType.uint8, "weight")
                                        self._segment_path = lambda: "priority"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                            class RouteImport(Entity):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport, self).__init__()

                                    self.yang_name = "route-import"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"database" : ("database", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache)}
                                    self._child_list_classes = {}

                                    self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database()
                                    self.database.parent = self
                                    self._children_name_map["database"] = "database"
                                    self._children_yang_names.add("database")

                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "route-import"


                                class Database(Entity):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbor Discovery
                                    	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database, self).__init__()

                                        self.yang_name = "database"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf)}

                                        self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application()
                                        self.application.parent = self
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd()
                                        self.nd.parent = self
                                        self._children_name_map["nd"] = "nd"
                                        self._children_yang_names.add("nd")

                                        self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static()
                                        self.static.parent = self
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip()
                                        self.rip.parent = self
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "database"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "application"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "connected"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: process_id
                                        
                                        	Process name
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.process_id = YLeaf(YType.str, "process-id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis, ['process_id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.uint32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Nd(Entity):
                                        """
                                        Neighbor Discovery
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd, self).__init__()

                                            self.yang_name = "nd"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "nd"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "nd"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "static"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "rip"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbour Discovery
                                    	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.nd = None
                                        self._children_name_map["nd"] = "nd"
                                        self._children_yang_names.add("nd")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.rip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip()
                                        self.rip.parent = self
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "application"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "connected"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id
                                        
                                        	Process name
                                        	**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.uint32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Nd(Entity):
                                        """
                                        Neighbour Discovery
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd, self).__init__()

                                            self.yang_name = "nd"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "nd"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "nd"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "static"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "rip"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Configures Locator addresses for an ETR
                                
                                .. attribute:: eid_cont
                                
                                	
                                	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont>`
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit)}
                                    self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont)}

                                    self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")

                                    self.eid_cont = YList(self)
                                    self._segment_path = lambda: "database-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping, [], name, value)


                                class EidCont(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\: str
                                    
                                    .. attribute:: ipv4_addrees
                                    
                                    	IPv4 Address of loopback or other ETR interface
                                    	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                    
                                    .. attribute:: ipv6_addrees
                                    
                                    	IPv6 Address of loopback or other ETR interface
                                    	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                    
                                    .. attribute:: ipv4_interface
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface>`
                                    
                                    .. attribute:: ipv6_interface
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface>`
                                    
                                    .. attribute:: auto_discover_rlocs
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont, self).__init__()

                                        self.yang_name = "eid-cont"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface)}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.locator_set = YLeaf(YType.str, "locator-set")

                                        self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                        self.ipv4_addrees = YList(self)
                                        self.ipv6_addrees = YList(self)
                                        self.ipv4_interface = YList(self)
                                        self.ipv6_interface = YList(self)
                                        self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                    class Ipv4Addrees(Entity):
                                        """
                                        IPv4 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                            self.yang_name = "ipv4-addrees"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.address = YLeaf(YType.str, "address")

                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "ipv4-addrees"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Ipv6Addrees(Entity):
                                        """
                                        IPv6 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                            self.yang_name = "ipv6-addrees"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.address = YLeaf(YType.str, "address")

                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "ipv6-addrees"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class IPv4Interface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\: str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                            self.yang_name = "IPv4-interface"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "IPv4-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class IPv6Interface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\: str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                            self.yang_name = "IPv6-interface"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "IPv6-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Ipv6(Entity):
                            """
                            
                            
                            .. attribute:: default
                            
                            	
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default>`
                            
                            .. attribute:: eid_table
                            
                            	Bind an eid\-table
                            	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EidTable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest>`
                            
                            .. attribute:: alt
                            
                            	LISP Alternative Topology, LISP\-ALT
                            	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt>`
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\: str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Distance>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent>`
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteExport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: database_mapping
                            
                            	Configures Locator addresses for an ETR
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "service"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"default" : ("default", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default), "eid-table" : ("eid_table", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EidTable), "itr" : ("itr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable), "etr" : ("etr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt), "distance" : ("distance", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping)}
                                self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr)}
                                self.is_presence_container = True

                                self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                self.sgt = YLeaf(YType.empty, "sgt")

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EidTable()
                                self.eid_table.parent = self
                                self._children_name_map["eid_table"] = "eid-table"
                                self._children_yang_names.add("eid-table")

                                self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt()
                                self.alt.parent = self
                                self._children_name_map["alt"] = "alt"
                                self._children_yang_names.add("alt")

                                self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")

                                self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                self._children_yang_names.add("map-cache-persistent")

                                self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr()
                                self.proxy_itr.parent = self
                                self._children_name_map["proxy_itr"] = "proxy-itr"
                                self._children_yang_names.add("proxy-itr")

                                self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteExport()
                                self.route_export.parent = self
                                self._children_name_map["route_export"] = "route-export"
                                self._children_yang_names.add("route-export")

                                self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport()
                                self.route_import.parent = self
                                self._children_name_map["route_import"] = "route-import"
                                self._children_yang_names.add("route-import")

                                self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.use_petr = YList(self)
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                            class Default(Entity):
                                """
                                
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest>`
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\: str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent>`
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable), "itr" : ("itr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt), "distance" : ("distance", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr), "route-export" : ("route_export", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping)}
                                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr)}

                                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                    self.sgt = YLeaf(YType.empty, "sgt")

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.alt = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt()
                                    self.alt.parent = self
                                    self._children_name_map["alt"] = "alt"
                                    self._children_yang_names.add("alt")

                                    self.distance = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")

                                    self.map_cache_persistent = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                    self._children_yang_names.add("map-cache-persistent")

                                    self.proxy_itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self._children_name_map["proxy_itr"] = "proxy-itr"
                                    self._children_yang_names.add("proxy-itr")

                                    self.route_export = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport()
                                    self.route_export.parent = self
                                    self._children_name_map["route_export"] = "route-export"
                                    self._children_yang_names.add("route-export")

                                    self.route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport()
                                    self.route_import.parent = self
                                    self._children_name_map["route_import"] = "route-import"
                                    self._children_yang_names.add("route-import")

                                    self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.use_petr = YList(self)
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                                        self.default = YLeaf(YType.empty, "default")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class Alt(Entity):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt, self).__init__()

                                        self.yang_name = "alt"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute)}

                                        self.summary_route = YList(self)
                                        self._segment_path = lambda: "alt"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt, [], name, value)


                                    class SummaryRoute(Entity):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute, self).__init__()

                                            self.yang_name = "summary-route"
                                            self.yang_parent_name = "alt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                class Distance(Entity):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.alt = YLeaf(YType.uint8, "alt")

                                        self.away = YLeaf(YType.uint8, "away")

                                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                class MapCache(Entity):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids)}
                                        self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface)}

                                        self.site_registration = YLeaf(YType.empty, "site-registration")

                                        self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self._children_name_map["away_eids"] = "away-eids"
                                        self._children_yang_names.add("away-eids")

                                        self.eid_interface = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache, ['site_registration'], name, value)


                                    class EidInterface(Entity):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface, self).__init__()

                                            self.yang_name = "eid-interface"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.drop = YLeaf(YType.empty, "drop")

                                            self.map_request = YLeaf(YType.empty, "map-request")

                                            self.native_forward = YLeaf(YType.empty, "native-forward")

                                            self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class AwayEids(Entity):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids, self).__init__()

                                            self.yang_name = "away-eids"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                            self._segment_path = lambda: "away-eids"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                class MapCachePersistent(Entity):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\: int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent, self).__init__()

                                        self.yang_name = "map-cache-persistent"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "map-cache-persistent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent, ['interval'], name, value)


                                class ProxyItr(Entity):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr, self).__init__()

                                        self.yang_name = "proxy-itr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                        self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                        self._segment_path = lambda: "proxy-itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                class RouteExport(Entity):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport, self).__init__()

                                        self.yang_name = "route-export"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                        self.away_eids = YLeaf(YType.empty, "away-eids")
                                        self._segment_path = lambda: "route-export"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                class UsePetr(Entity):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr, self).__init__()

                                        self.yang_name = "use-petr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority)}
                                        self._child_list_classes = {}

                                        self.locator_address = YLeaf(YType.str, "locator-address")

                                        self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr, ['locator_address'], name, value)


                                    class Priority(Entity):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "use-petr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority_value = YLeaf(YType.uint8, "priority-value")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                class RouteImport(Entity):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport, self).__init__()

                                        self.yang_name = "route-import"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"database" : ("database", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache)}
                                        self._child_list_classes = {}

                                        self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database()
                                        self.database.parent = self
                                        self._children_name_map["database"] = "database"
                                        self._children_yang_names.add("database")

                                        self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "route-import"


                                    class Database(Entity):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database, self).__init__()

                                            self.yang_name = "database"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip)}

                                            self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static()
                                            self.static.parent = self
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self.rip = YList(self)
                                            self._segment_path = lambda: "database"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "application"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "connected"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.process_id = YLeaf(YType.str, "process-id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "nd"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "static"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip)}

                                            self.application = None
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = None
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self.rip = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "application"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "connected"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "nd"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "static"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont)}

                                        self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class EidTable(Entity):
                                """
                                Bind an eid\-table
                                
                                .. attribute:: vrf_name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: default
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EidTable, self).__init__()

                                    self.yang_name = "eid-table"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vrf_name = YLeaf(YType.str, "vrf-name")

                                    self.default = YLeaf(YType.empty, "default")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "eid-table"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable, ['itr'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable, ['etr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer)}

                                    self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                    self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                    self._children_yang_names.add("accept-map-request-mapping")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr, ['map_cache_ttl'], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                class AcceptMapRequestMapping(Entity):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping, self).__init__()

                                        self.yang_name = "accept-map-request-mapping"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                        self.verify = YLeaf(YType.empty, "verify")
                                        self._segment_path = lambda: "accept-map-request-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class Alt(Entity):
                                """
                                LISP Alternative Topology, LISP\-ALT
                                
                                .. attribute:: summary_route
                                
                                	Summary route to install into the ALT table
                                	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt, self).__init__()

                                    self.yang_name = "alt"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute)}

                                    self.summary_route = YList(self)
                                    self._segment_path = lambda: "alt"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt, [], name, value)


                                class SummaryRoute(Entity):
                                    """
                                    Summary route to install into the ALT table
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: route_tag
                                    
                                    	ALT RIB route tag for EID prefix
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute, self).__init__()

                                        self.yang_name = "summary-route"
                                        self.yang_parent_name = "alt"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.route_tag = YLeaf(YType.uint32, "route-tag")
                                        self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                            class Distance(Entity):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.alt = YLeaf(YType.uint8, "alt")

                                    self.away = YLeaf(YType.uint8, "away")

                                    self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                    self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                    self._segment_path = lambda: "distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                            class MapCache(Entity):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: eid_interface
                                
                                	Configures static EID\-to\-RLOC mappings for an ITR
                                	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface>`
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids)}
                                    self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface)}

                                    self.site_registration = YLeaf(YType.empty, "site-registration")

                                    self.away_eids = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self._children_name_map["away_eids"] = "away-eids"
                                    self._children_yang_names.add("away-eids")

                                    self.eid_interface = YList(self)
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache, ['site_registration'], name, value)


                                class EidInterface(Entity):
                                    """
                                    Configures static EID\-to\-RLOC mappings for an ITR
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: etr_interface_ip
                                    
                                    	
                                    	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                    
                                    .. attribute:: drop
                                    
                                    	Drop packets that match this map\-cache entry
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: map_request
                                    
                                    	Send Map\-Request for LISP destination EID
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: native_forward
                                    
                                    	Natively forward packets that match this map\-cache entry
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface, self).__init__()

                                        self.yang_name = "eid-interface"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp)}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.drop = YLeaf(YType.empty, "drop")

                                        self.map_request = YLeaf(YType.empty, "map-request")

                                        self.native_forward = YLeaf(YType.empty, "native-forward")

                                        self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                        self.etr_interface_ip.parent = self
                                        self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                        self._children_yang_names.add("etr-interface-ip")
                                        self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                    class EtrInterfaceIp(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr_interface_ip_address
                                        
                                        	IP address of loopback or other ETR interface
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                            self.yang_name = "etr-interface-ip"
                                            self.yang_parent_name = "eid-interface"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                            self.priority = YLeaf(YType.uint8, "priority")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "etr-interface-ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                class AwayEids(Entity):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids, self).__init__()

                                        self.yang_name = "away-eids"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                        self._segment_path = lambda: "away-eids"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids, ['send_map_request'], name, value)


                            class MapCachePersistent(Entity):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\: int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent, self).__init__()

                                    self.yang_name = "map-cache-persistent"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")
                                    self._segment_path = lambda: "map-cache-persistent"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent, ['interval'], name, value)


                            class ProxyItr(Entity):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr, self).__init__()

                                    self.yang_name = "proxy-itr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                    self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                    self._segment_path = lambda: "proxy-itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                            class RouteExport(Entity):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteExport, self).__init__()

                                    self.yang_name = "route-export"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                    self.away_eids = YLeaf(YType.empty, "away-eids")
                                    self._segment_path = lambda: "route-export"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                            class UsePetr(Entity):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	
                                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr, self).__init__()

                                    self.yang_name = "use-petr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"priority" : ("priority", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority)}
                                    self._child_list_classes = {}

                                    self.locator_address = YLeaf(YType.str, "locator-address")

                                    self.priority = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority()
                                    self.priority.parent = self
                                    self._children_name_map["priority"] = "priority"
                                    self._children_yang_names.add("priority")
                                    self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr, ['locator_address'], name, value)


                                class Priority(Entity):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority, self).__init__()

                                        self.yang_name = "priority"
                                        self.yang_parent_name = "use-petr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.priority_value = YLeaf(YType.uint8, "priority-value")

                                        self.weight = YLeaf(YType.uint8, "weight")
                                        self._segment_path = lambda: "priority"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                            class RouteImport(Entity):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport, self).__init__()

                                    self.yang_name = "route-import"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"database" : ("database", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache)}
                                    self._child_list_classes = {}

                                    self.database = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database()
                                    self.database.parent = self
                                    self._children_name_map["database"] = "database"
                                    self._children_yang_names.add("database")

                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "route-import"


                                class Database(Entity):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbor Discovery
                                    	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database, self).__init__()

                                        self.yang_name = "database"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip)}

                                        self.application = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application()
                                        self.application.parent = self
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.connected = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.nd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd()
                                        self.nd.parent = self
                                        self._children_name_map["nd"] = "nd"
                                        self._children_yang_names.add("nd")

                                        self.static = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static()
                                        self.static.parent = self
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self.rip = YList(self)
                                        self._segment_path = lambda: "database"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "application"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "connected"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: process_id
                                        
                                        	Process name
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.process_id = YLeaf(YType.str, "process-id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis, ['process_id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.uint32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Nd(Entity):
                                        """
                                        Neighbor Discovery
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd, self).__init__()

                                            self.yang_name = "nd"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "nd"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "nd"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "static"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbour Discovery
                                    	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.maximum_prefix = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.nd = None
                                        self._children_name_map["nd"] = "nd"
                                        self._children_yang_names.add("nd")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self.rip = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "application"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "connected"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id
                                        
                                        	Process name
                                        	**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.uint32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Nd(Entity):
                                        """
                                        Neighbour Discovery
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd, self).__init__()

                                            self.yang_name = "nd"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "nd"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "nd"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "static"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Configures Locator addresses for an ETR
                                
                                .. attribute:: eid_cont
                                
                                	
                                	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont>`
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit)}
                                    self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont)}

                                    self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")

                                    self.eid_cont = YList(self)
                                    self._segment_path = lambda: "database-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping, [], name, value)


                                class EidCont(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\: str
                                    
                                    .. attribute:: ipv4_addrees
                                    
                                    	IPv4 Address of loopback or other ETR interface
                                    	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                    
                                    .. attribute:: ipv6_addrees
                                    
                                    	IPv6 Address of loopback or other ETR interface
                                    	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                    
                                    .. attribute:: ipv4_interface
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface>`
                                    
                                    .. attribute:: ipv6_interface
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface>`
                                    
                                    .. attribute:: auto_discover_rlocs
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont, self).__init__()

                                        self.yang_name = "eid-cont"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface)}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.locator_set = YLeaf(YType.str, "locator-set")

                                        self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                        self.ipv4_addrees = YList(self)
                                        self.ipv6_addrees = YList(self)
                                        self.ipv4_interface = YList(self)
                                        self.ipv6_interface = YList(self)
                                        self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                    class Ipv4Addrees(Entity):
                                        """
                                        IPv4 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                            self.yang_name = "ipv4-addrees"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.address = YLeaf(YType.str, "address")

                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "ipv4-addrees"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Ipv6Addrees(Entity):
                                        """
                                        IPv6 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                            self.yang_name = "ipv6-addrees"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.address = YLeaf(YType.str, "address")

                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "ipv6-addrees"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class IPv4Interface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\: str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                            self.yang_name = "IPv4-interface"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "IPv4-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class IPv6Interface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\: str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                            self.yang_name = "IPv6-interface"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "IPv6-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Ethernet(Entity):
                            """
                            
                            
                            .. attribute:: default
                            
                            	
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default>`
                            
                            .. attribute:: eid_table
                            
                            	Bind an eid\-table
                            	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EidTable>`
                            
                            .. attribute:: broadcast_underlay
                            
                            	Multicast group to use for underlay
                            	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay>`
                            
                            .. attribute:: database_mapping
                            
                            	Configures Locator addresses for an ETR
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_cache
                            
                            	Use RIB routes to define EID address space in map\-cache
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet, self).__init__()

                                self.yang_name = "ethernet"
                                self.yang_parent_name = "service"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"default" : ("default", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default), "eid-table" : ("eid_table", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable), "etr" : ("etr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.default = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EidTable()
                                self.eid_table.parent = self
                                self._children_name_map["eid_table"] = "eid-table"
                                self._children_yang_names.add("eid-table")

                                self.broadcast_underlay = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay()
                                self.broadcast_underlay.parent = self
                                self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                self._children_yang_names.add("broadcast-underlay")

                                self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")
                                self._segment_path = lambda: "ethernet"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet, ['map_request_source'], name, value)


                            class Default(Entity):
                                """
                                
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable>`
                                
                                .. attribute:: broadcast_underlay
                                
                                	Multicast group to use for underlay
                                	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay>`
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping), "itr" : ("itr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable), "etr" : ("etr", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache)}
                                    self._child_list_classes = {}

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.eid_table = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.broadcast_underlay = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay()
                                    self.broadcast_underlay.parent = self
                                    self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                    self._children_yang_names.add("broadcast-underlay")

                                    self.database_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.itr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.map_cache = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default, ['map_request_source'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vlan
                                    
                                    	VLAN configuration
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vlan = YLeaf(YType.uint16, "vlan")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable, ['vlan'], name, value)


                                class BroadcastUnderlay(Entity):
                                    """
                                    Multicast group to use for underlay
                                    
                                    .. attribute:: ipv4_multicast
                                    
                                    	IPv4 multicast group address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_multicast
                                    
                                    	IPv6 multicast group address
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay, self).__init__()

                                        self.yang_name = "broadcast-underlay"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                        self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                        self._segment_path = lambda: "broadcast-underlay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: mac
                                    
                                    	L2 EID records
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont)}

                                        self.mac = None
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")

                                        self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Mac(Entity):
                                        """
                                        L2 EID records
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac, ['locator_set'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont)}

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont, ['eid_prefix'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                            class EidTable(Entity):
                                """
                                Bind an eid\-table
                                
                                .. attribute:: vlan
                                
                                	VLAN configuration
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EidTable, self).__init__()

                                    self.yang_name = "eid-table"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan = YLeaf(YType.uint16, "vlan")
                                    self._segment_path = lambda: "eid-table"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EidTable, ['vlan'], name, value)


                            class BroadcastUnderlay(Entity):
                                """
                                Multicast group to use for underlay
                                
                                .. attribute:: ipv4_multicast
                                
                                	IPv4 multicast group address
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_multicast
                                
                                	IPv6 multicast group address
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay, self).__init__()

                                    self.yang_name = "broadcast-underlay"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                    self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                    self._segment_path = lambda: "broadcast-underlay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Configures Locator addresses for an ETR
                                
                                .. attribute:: eid_cont
                                
                                	EID\-record for RLOC static mapping
                                	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont>`
                                
                                .. attribute:: mac
                                
                                	L2 EID records
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit)}
                                    self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont)}

                                    self.mac = None
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")

                                    self.limit = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")

                                    self.eid_cont = YList(self)
                                    self._segment_path = lambda: "database-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping, [], name, value)


                                class EidCont(Entity):
                                    """
                                    EID\-record for RLOC static mapping
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	xxxx.xxxx.xxxx 48 bit mac address
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\: str
                                    
                                    .. attribute:: ipv4_addrees
                                    
                                    	IPv4 Address of loopback or other ETR interface
                                    	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                    
                                    .. attribute:: ipv6_addrees
                                    
                                    	IPv6 Address of loopback or other ETR interface
                                    	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                    
                                    .. attribute:: ipv4_interface
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface>`
                                    
                                    .. attribute:: ipv6_interface
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont, self).__init__()

                                        self.yang_name = "eid-cont"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface)}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.locator_set = YLeaf(YType.str, "locator-set")

                                        self.ipv4_addrees = YList(self)
                                        self.ipv6_addrees = YList(self)
                                        self.ipv4_interface = YList(self)
                                        self.ipv6_interface = YList(self)
                                        self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                    class Ipv4Addrees(Entity):
                                        """
                                        IPv4 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                            self.yang_name = "ipv4-addrees"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.address = YLeaf(YType.str, "address")

                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "ipv4-addrees"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Ipv6Addrees(Entity):
                                        """
                                        IPv6 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                            self.yang_name = "ipv6-addrees"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.address = YLeaf(YType.str, "address")

                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "ipv6-addrees"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class IPv4Interface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\: str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                            self.yang_name = "IPv4-interface"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "IPv4-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class IPv6Interface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\: str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                            self.yang_name = "IPv6-interface"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.database_mapping_option = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "IPv6-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                class Mac(Entity):
                                    """
                                    L2 EID records
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac, ['locator_set'], name, value)


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable, ['itr'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable, ['etr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer)}

                                    self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                    self.accept_map_request_mapping = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                    self._children_yang_names.add("accept-map-request-mapping")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr, ['map_cache_ttl'], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                class AcceptMapRequestMapping(Entity):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping, self).__init__()

                                        self.yang_name = "accept-map-request-mapping"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                        self.verify = YLeaf(YType.empty, "verify")
                                        self._segment_path = lambda: "accept-map-request-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class MapCache(Entity):
                                """
                                Use RIB routes to define EID address space in map\-cache
                                
                                .. attribute:: eid_cont
                                
                                	EID\-record for RLOC static mapping
                                	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont)}

                                    self.eid_cont = YList(self)
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache, [], name, value)


                                class EidCont(Entity):
                                    """
                                    EID\-record for RLOC static mapping
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	xxxx.xxxx.xxxx 48 bit mac address
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                    
                                    .. attribute:: etr_interface_ip
                                    
                                    	
                                    	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont, self).__init__()

                                        self.yang_name = "eid-cont"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp)}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.etr_interface_ip = Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                        self.etr_interface_ip.parent = self
                                        self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                        self._children_yang_names.add("etr-interface-ip")
                                        self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont, ['eid_prefix'], name, value)


                                    class EtrInterfaceIp(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr_interface_ip_address
                                        
                                        	IP address of loopback or other ETR interface
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                            self.yang_name = "etr-interface-ip"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                            self.priority = YLeaf(YType.uint8, "priority")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "etr-interface-ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


            class Alt(Entity):
                """
                LISP Alternative Topology, LISP\-ALT
                
                .. attribute:: summary_route
                
                	Summary route to install into the ALT table
                	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Alt.SummaryRoute>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.Alt, self).__init__()

                    self.yang_name = "alt"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.Alt.SummaryRoute)}

                    self.summary_route = YList(self)
                    self._segment_path = lambda: "alt"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.Alt, [], name, value)


                class SummaryRoute(Entity):
                    """
                    Summary route to install into the ALT table
                    
                    .. attribute:: eid_prefix  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: route_tag
                    
                    	ALT RIB route tag for EID prefix
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Alt.SummaryRoute, self).__init__()

                        self.yang_name = "summary-route"
                        self.yang_parent_name = "alt"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                        self.route_tag = YLeaf(YType.uint32, "route-tag")
                        self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/alt/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


            class ControlPacket(Entity):
                """
                Configure control packet tx option
                
                .. attribute:: mtu
                
                	Configure control packet MTU
                	**type**\: int
                
                	**range:** 304..10000
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.ControlPacket, self).__init__()

                    self.yang_name = "control-packet"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mtu = YLeaf(YType.uint32, "mtu")
                    self._segment_path = lambda: "control-packet"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.ControlPacket, ['mtu'], name, value)


            class Ddt(Entity):
                """
                Delegated Database Tree (DDT) mapping system
                
                .. attribute:: authoritative
                
                	DDT authoritative prefix
                	**type**\:  :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ddt.Authoritative>`
                
                .. attribute:: cache_limit
                
                	DDT resolver cache entry limit
                	**type**\: int
                
                	**range:** 1..100000
                
                .. attribute:: root
                
                	DDT root node
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.Ddt, self).__init__()

                    self.yang_name = "ddt"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"authoritative" : ("authoritative", Native.Router.Lisp.Ddt.Authoritative)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cache_limit = YLeaf(YType.uint32, "cache-limit")

                    self.root = YLeaf(YType.str, "root")

                    self.authoritative = Native.Router.Lisp.Ddt.Authoritative()
                    self.authoritative.parent = self
                    self._children_name_map["authoritative"] = "authoritative"
                    self._children_yang_names.add("authoritative")
                    self._segment_path = lambda: "ddt"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.Ddt, ['cache_limit', 'root'], name, value)


                class Authoritative(Entity):
                    """
                    DDT authoritative prefix
                    
                    .. attribute:: instance_id_eid_prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList>`
                    
                    .. attribute:: instance_id_list
                    
                    	
                    	**type**\: list of  		 :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ddt.Authoritative.InstanceIdList>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ddt.Authoritative, self).__init__()

                        self.yang_name = "authoritative"
                        self.yang_parent_name = "ddt"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"instance-id-eid-prefix-list" : ("instance_id_eid_prefix_list", Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList), "instance-id-list" : ("instance_id_list", Native.Router.Lisp.Ddt.Authoritative.InstanceIdList)}

                        self.instance_id_eid_prefix_list = YList(self)
                        self.instance_id_list = YList(self)
                        self._segment_path = lambda: "authoritative"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ddt/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ddt.Authoritative, [], name, value)


                    class InstanceIdEidPrefixList(Entity):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	EID instance\-ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: delegate
                        
                        	DDT delegation to a child DDT node or map\-server
                        	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                        
                        .. attribute:: map_server_peer
                        
                        	Peer map\-servers that are authoritative for the same EID prefixes
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList, self).__init__()

                            self.yang_name = "instance-id-eid-prefix-list"
                            self.yang_parent_name = "authoritative"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"delegate" : ("delegate", Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate)}
                            self._child_list_classes = {}

                            self.instance_id = YLeaf(YType.uint32, "instance-id")

                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                            self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                            self.delegate = Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                            self.delegate.parent = self
                            self._children_name_map["delegate"] = "delegate"
                            self._children_yang_names.add("delegate")
                            self._segment_path = lambda: "instance-id-eid-prefix-list" + "[instance-id='" + self.instance_id.get() + "']" + "[eid-prefix='" + self.eid_prefix.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ddt/authoritative/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList, ['instance_id', 'eid_prefix', 'map_server_peer'], name, value)


                        class Delegate(Entity):
                            """
                            DDT delegation to a child DDT node or map\-server
                            
                            .. attribute:: eid_prefix
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\: str
                            
                            .. attribute:: to
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ip_address
                            
                            	IPv4/6 Child or map\-server node locator address
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_server
                            
                            	Delegation points to a map\-server
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, self).__init__()

                                self.yang_name = "delegate"
                                self.yang_parent_name = "instance-id-eid-prefix-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.instance_id = YLeaf(YType.str, "instance-id")

                                self.to = YLeaf(YType.empty, "to")

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.map_server = YLeaf(YType.empty, "map-server")
                                self._segment_path = lambda: "delegate"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                    class InstanceIdList(Entity):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: delegate
                        
                        	DDT delegation to a child DDT node or map\-server
                        	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ddt.Authoritative.InstanceIdList.Delegate>`
                        
                        .. attribute:: map_server_peer
                        
                        	Peer map\-servers that are authoritative for the same EID prefixes
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ddt.Authoritative.InstanceIdList, self).__init__()

                            self.yang_name = "instance-id-list"
                            self.yang_parent_name = "authoritative"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"delegate" : ("delegate", Native.Router.Lisp.Ddt.Authoritative.InstanceIdList.Delegate)}
                            self._child_list_classes = {}

                            self.instance_id = YLeaf(YType.str, "instance-id")

                            self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                            self.delegate = Native.Router.Lisp.Ddt.Authoritative.InstanceIdList.Delegate()
                            self.delegate.parent = self
                            self._children_name_map["delegate"] = "delegate"
                            self._children_yang_names.add("delegate")
                            self._segment_path = lambda: "instance-id-list" + "[instance-id='" + self.instance_id.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ddt/authoritative/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ddt.Authoritative.InstanceIdList, ['instance_id', 'map_server_peer'], name, value)


                        class Delegate(Entity):
                            """
                            DDT delegation to a child DDT node or map\-server
                            
                            .. attribute:: eid_prefix
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\: str
                            
                            .. attribute:: to
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ip_address
                            
                            	IPv4/6 Child or map\-server node locator address
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_server
                            
                            	Delegation points to a map\-server
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ddt.Authoritative.InstanceIdList.Delegate, self).__init__()

                                self.yang_name = "delegate"
                                self.yang_parent_name = "instance-id-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.instance_id = YLeaf(YType.str, "instance-id")

                                self.to = YLeaf(YType.empty, "to")

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.map_server = YLeaf(YType.empty, "map-server")
                                self._segment_path = lambda: "delegate"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ddt.Authoritative.InstanceIdList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


            class Decapsulation(Entity):
                """
                Decapsulation behavior (e.g. filters)
                
                .. attribute:: filter
                
                	Filters traffic
                	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Decapsulation.Filter>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.Decapsulation, self).__init__()

                    self.yang_name = "decapsulation"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"filter" : ("filter", Native.Router.Lisp.Decapsulation.Filter)}
                    self._child_list_classes = {}

                    self.filter = Native.Router.Lisp.Decapsulation.Filter()
                    self.filter.parent = self
                    self._children_name_map["filter"] = "filter"
                    self._children_yang_names.add("filter")
                    self._segment_path = lambda: "decapsulation"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()


                class Filter(Entity):
                    """
                    Filters traffic
                    
                    .. attribute:: rloc
                    
                    	Filter based on Routing Locator (RLOC) in packet header
                    	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Decapsulation.Filter.Rloc>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Decapsulation.Filter, self).__init__()

                        self.yang_name = "filter"
                        self.yang_parent_name = "decapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.Decapsulation.Filter.Rloc)}
                        self._child_list_classes = {}

                        self.rloc = Native.Router.Lisp.Decapsulation.Filter.Rloc()
                        self.rloc.parent = self
                        self._children_name_map["rloc"] = "rloc"
                        self._children_yang_names.add("rloc")
                        self._segment_path = lambda: "filter"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/decapsulation/%s" % self._segment_path()


                    class Rloc(Entity):
                        """
                        Filter based on Routing Locator (RLOC) in packet header
                        
                        .. attribute:: source
                        
                        	Filters traffic based on RLOC source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Decapsulation.Filter.Rloc.Source>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Decapsulation.Filter.Rloc, self).__init__()

                            self.yang_name = "rloc"
                            self.yang_parent_name = "filter"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Decapsulation.Filter.Rloc.Source)}
                            self._child_list_classes = {}

                            self.source = Native.Router.Lisp.Decapsulation.Filter.Rloc.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "rloc"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/decapsulation/filter/%s" % self._segment_path()


                        class Source(Entity):
                            """
                            Filters traffic based on RLOC source address
                            
                            .. attribute:: locator_set
                            
                            	Locator\-set Name
                            	**type**\: str
                            
                            .. attribute:: member
                            
                            	Members learned from map\-server
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Decapsulation.Filter.Rloc.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "rloc"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.locator_set = YLeaf(YType.str, "locator-set")

                                self.member = YLeaf(YType.empty, "member")
                                self._segment_path = lambda: "source"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/decapsulation/filter/rloc/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


            class Etr(Entity):
                """
                Configures a LISP Egress Tunnel Router (ETR)
                
                .. attribute:: map_server
                
                	Configures map server for ETR registration
                	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Etr.MapServer>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.Etr, self).__init__()

                    self.yang_name = "etr"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"map-server" : ("map_server", Native.Router.Lisp.Etr.MapServer)}
                    self._child_list_classes = {}

                    self.map_server = Native.Router.Lisp.Etr.MapServer()
                    self.map_server.parent = self
                    self._children_name_map["map_server"] = "map-server"
                    self._children_yang_names.add("map-server")
                    self._segment_path = lambda: "etr"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()


                class MapServer(Entity):
                    """
                    Configures map server for ETR registration
                    
                    .. attribute:: source_address
                    
                    	Configures map server source address
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Etr.MapServer, self).__init__()

                        self.yang_name = "map-server"
                        self.yang_parent_name = "etr"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.source_address = YLeaf(YType.str, "source-address")
                        self._segment_path = lambda: "map-server"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/etr/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Etr.MapServer, ['source_address'], name, value)


            class Ipv4(Entity):
                """
                IPv4 address family
                
                .. attribute:: alt_vrf
                
                	Activate LISP\-ALT functionality in VRF
                	**type**\: str
                
                	**status**\: deprecated
                
                .. attribute:: database_mapping
                
                	Address family specific local EID prefixes database configuration
                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.DatabaseMapping>`
                
                .. attribute:: distance
                
                	Administrative distance for RIB route installation
                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Distance>`
                
                .. attribute:: itr
                
                	Configures a LISP Ingress Tunnel Router (ITR)
                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Itr>`
                
                .. attribute:: itr_enable
                
                	
                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.ItrEnable>`
                
                .. attribute:: etr
                
                	Configures a LISP Egress Tunnel Router (ETR)
                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Etr>`
                
                .. attribute:: etr_enable
                
                	
                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.EtrEnable>`
                
                .. attribute:: locator
                
                	Locator related configuration
                	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Locator>`
                
                .. attribute:: map_cache
                
                	Address family specific map cache configuration
                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapCache>`
                
                .. attribute:: map_cache_limit
                
                	Configures maximum size of map\-cache
                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapCacheLimit>`
                
                .. attribute:: map_cache_persistent
                
                	Dump map\-cache onto flash, making it persistent across reboots
                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapCachePersistent>`
                
                .. attribute:: map_request_source
                
                	Configures inner header source address in Map\-Request message
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: map_resolver
                
                	Configures a LISP Map Resolver (MR)
                	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapResolver>`
                
                	**presence node**\: True
                
                .. attribute:: map_server
                
                	Configures a LISP Map Server (MS)
                	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapServer>`
                
                	**presence node**\: True
                
                .. attribute:: path_mtu_discovery
                
                	Path MTU discovery
                	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.PathMtuDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: proxy_etr
                
                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_itr
                
                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                	**type**\: union of the below types:
                
                		**type**\: list of str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: list of str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: route_export
                
                	Export routes into RIB from LISP
                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteExport>`
                
                .. attribute:: route_import
                
                	Import RIB routes by a routing protocol into LISP
                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport>`
                
                .. attribute:: sgt
                
                	Enable security group tag propagation in LISP encapsulated traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: site_registration
                
                	Site registrations configuration for a given instance\-id
                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.SiteRegistration>`
                
                .. attribute:: solicit_map_request
                
                	Configure Solicit\-Map\-Request handling
                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.SolicitMapRequest>`
                
                .. attribute:: use_petr
                
                	Encapsulate to Proxy ETR when matching forward\-native entry
                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.UsePetr>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.Ipv4, self).__init__()

                    self.yang_name = "ipv4"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Ipv4.DatabaseMapping), "distance" : ("distance", Native.Router.Lisp.Ipv4.Distance), "itr" : ("itr", Native.Router.Lisp.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Ipv4.ItrEnable), "etr" : ("etr", Native.Router.Lisp.Ipv4.Etr), "etr-enable" : ("etr_enable", Native.Router.Lisp.Ipv4.EtrEnable), "locator" : ("locator", Native.Router.Lisp.Ipv4.Locator), "map-cache" : ("map_cache", Native.Router.Lisp.Ipv4.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Ipv4.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Ipv4.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.Lisp.Ipv4.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Ipv4.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Lisp.Ipv4.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.Lisp.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Ipv4.RouteImport), "site-registration" : ("site_registration", Native.Router.Lisp.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Ipv4.SolicitMapRequest)}
                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Ipv4.UsePetr)}

                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                    self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                    self.sgt = YLeaf(YType.empty, "sgt")

                    self.database_mapping = Native.Router.Lisp.Ipv4.DatabaseMapping()
                    self.database_mapping.parent = self
                    self._children_name_map["database_mapping"] = "database-mapping"
                    self._children_yang_names.add("database-mapping")

                    self.distance = Native.Router.Lisp.Ipv4.Distance()
                    self.distance.parent = self
                    self._children_name_map["distance"] = "distance"
                    self._children_yang_names.add("distance")

                    self.itr = Native.Router.Lisp.Ipv4.Itr()
                    self.itr.parent = self
                    self._children_name_map["itr"] = "itr"
                    self._children_yang_names.add("itr")

                    self.itr_enable = Native.Router.Lisp.Ipv4.ItrEnable()
                    self.itr_enable.parent = self
                    self._children_name_map["itr_enable"] = "itr-enable"
                    self._children_yang_names.add("itr-enable")

                    self.etr = Native.Router.Lisp.Ipv4.Etr()
                    self.etr.parent = self
                    self._children_name_map["etr"] = "etr"
                    self._children_yang_names.add("etr")

                    self.etr_enable = Native.Router.Lisp.Ipv4.EtrEnable()
                    self.etr_enable.parent = self
                    self._children_name_map["etr_enable"] = "etr-enable"
                    self._children_yang_names.add("etr-enable")

                    self.locator = Native.Router.Lisp.Ipv4.Locator()
                    self.locator.parent = self
                    self._children_name_map["locator"] = "locator"
                    self._children_yang_names.add("locator")

                    self.map_cache = Native.Router.Lisp.Ipv4.MapCache()
                    self.map_cache.parent = self
                    self._children_name_map["map_cache"] = "map-cache"
                    self._children_yang_names.add("map-cache")

                    self.map_cache_limit = Native.Router.Lisp.Ipv4.MapCacheLimit()
                    self.map_cache_limit.parent = self
                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                    self._children_yang_names.add("map-cache-limit")

                    self.map_cache_persistent = Native.Router.Lisp.Ipv4.MapCachePersistent()
                    self.map_cache_persistent.parent = self
                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                    self._children_yang_names.add("map-cache-persistent")

                    self.map_resolver = None
                    self._children_name_map["map_resolver"] = "map-resolver"
                    self._children_yang_names.add("map-resolver")

                    self.map_server = None
                    self._children_name_map["map_server"] = "map-server"
                    self._children_yang_names.add("map-server")

                    self.path_mtu_discovery = None
                    self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                    self._children_yang_names.add("path-mtu-discovery")

                    self.route_export = Native.Router.Lisp.Ipv4.RouteExport()
                    self.route_export.parent = self
                    self._children_name_map["route_export"] = "route-export"
                    self._children_yang_names.add("route-export")

                    self.route_import = Native.Router.Lisp.Ipv4.RouteImport()
                    self.route_import.parent = self
                    self._children_name_map["route_import"] = "route-import"
                    self._children_yang_names.add("route-import")

                    self.site_registration = Native.Router.Lisp.Ipv4.SiteRegistration()
                    self.site_registration.parent = self
                    self._children_name_map["site_registration"] = "site-registration"
                    self._children_yang_names.add("site-registration")

                    self.solicit_map_request = Native.Router.Lisp.Ipv4.SolicitMapRequest()
                    self.solicit_map_request.parent = self
                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                    self._children_yang_names.add("solicit-map-request")

                    self.use_petr = YList(self)
                    self._segment_path = lambda: "ipv4"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.Ipv4, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                class DatabaseMapping(Entity):
                    """
                    Address family specific local EID prefixes database configuration
                    
                    .. attribute:: limit
                    
                    	Configures the maximum size of local EID prefixes database
                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.DatabaseMapping.Limit>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.DatabaseMapping, self).__init__()

                        self.yang_name = "database-mapping"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Ipv4.DatabaseMapping.Limit)}
                        self._child_list_classes = {}

                        self.limit = Native.Router.Lisp.Ipv4.DatabaseMapping.Limit()
                        self.limit.parent = self
                        self._children_name_map["limit"] = "limit"
                        self._children_yang_names.add("limit")
                        self._segment_path = lambda: "database-mapping"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()


                    class Limit(Entity):
                        """
                        Configures the maximum size of local EID prefixes database
                        
                        .. attribute:: dynamic
                        
                        	Configures the maximum size of dynamic local EID prefixes database
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv4.DatabaseMapping.Limit, self).__init__()

                            self.yang_name = "limit"
                            self.yang_parent_name = "database-mapping"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "limit"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/database-mapping/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                class Distance(Entity):
                    """
                    Administrative distance for RIB route installation
                    
                    .. attribute:: alt
                    
                    	LISP routes installed in the ALT table
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dyn_eid
                    
                    	LISP installed routes of type dynamic\-EID
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: site_registrations
                    
                    	LISP installed routes of type site\-registrations
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.Distance, self).__init__()

                        self.yang_name = "distance"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.alt = YLeaf(YType.uint8, "alt")

                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                        self._segment_path = lambda: "distance"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv4.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                class Itr(Entity):
                    """
                    Configures a LISP Ingress Tunnel Router (ITR)
                    
                    .. attribute:: map_resolver
                    
                    	Configures map\-resolver address for sending Map\-Requests
                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Itr.MapResolver>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.Itr, self).__init__()

                        self.yang_name = "itr"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Ipv4.Itr.MapResolver)}

                        self.map_resolver = YList(self)
                        self._segment_path = lambda: "itr"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv4.Itr, [], name, value)


                    class MapResolver(Entity):
                        """
                        Configures map\-resolver address for sending Map\-Requests
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv4.Itr.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "itr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/itr/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                class ItrEnable(Entity):
                    """
                    
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.ItrEnable, self).__init__()

                        self.yang_name = "itr-enable"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.itr = YLeaf(YType.empty, "itr")
                        self._segment_path = lambda: "itr-enable"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv4.ItrEnable, ['itr'], name, value)


                class Etr(Entity):
                    """
                    Configures a LISP Egress Tunnel Router (ETR)
                    
                    .. attribute:: map_server
                    
                    	Configures map server for ETR registration
                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Etr.MapServer>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.Etr, self).__init__()

                        self.yang_name = "etr"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Ipv4.Etr.MapServer)}

                        self.map_server = YList(self)
                        self._segment_path = lambda: "etr"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv4.Etr, [], name, value)


                    class MapServer(Entity):
                        """
                        Configures map server for ETR registration
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: key
                        
                        	Authentication key used with map server
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Etr.MapServer.Key>`
                        
                        .. attribute:: proxy_reply
                        
                        	Request Map\-Server to send Map\-Replies on behalf of site
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv4.Etr.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "etr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Ipv4.Etr.MapServer.Key)}
                            self._child_list_classes = {}

                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                            self.key = Native.Router.Lisp.Ipv4.Etr.MapServer.Key()
                            self.key.parent = self
                            self._children_name_map["key"] = "key"
                            self._children_yang_names.add("key")
                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/etr/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                        class Key(Entity):
                            """
                            Authentication key used with map server
                            
                            .. attribute:: key_0
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\: str
                            
                            .. attribute:: key_6
                            
                            	The ENCRYPTED password
                            	**type**\: str
                            
                            .. attribute:: key_7
                            
                            	The HIDDEN password
                            	**type**\: str
                            
                            .. attribute:: pwd
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.Etr.MapServer.Key, self).__init__()

                                self.yang_name = "key"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_0 = YLeaf(YType.str, "key-0")

                                self.key_6 = YLeaf(YType.str, "key-6")

                                self.key_7 = YLeaf(YType.str, "key-7")

                                self.pwd = YLeaf(YType.str, "pwd")
                                self._segment_path = lambda: "key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv4.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                class EtrEnable(Entity):
                    """
                    
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.EtrEnable, self).__init__()

                        self.yang_name = "etr-enable"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.etr = YLeaf(YType.empty, "etr")
                        self._segment_path = lambda: "etr-enable"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv4.EtrEnable, ['etr'], name, value)


                class Locator(Entity):
                    """
                    Locator related configuration
                    
                    .. attribute:: reachability
                    
                    	Configuration realted to locator reachability
                    	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.Locator.Reachability>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.Locator, self).__init__()

                        self.yang_name = "locator"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"reachability" : ("reachability", Native.Router.Lisp.Ipv4.Locator.Reachability)}
                        self._child_list_classes = {}

                        self.reachability = Native.Router.Lisp.Ipv4.Locator.Reachability()
                        self.reachability.parent = self
                        self._children_name_map["reachability"] = "reachability"
                        self._children_yang_names.add("reachability")
                        self._segment_path = lambda: "locator"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()


                    class Reachability(Entity):
                        """
                        Configuration realted to locator reachability
                        
                        .. attribute:: exclude_default
                        
                        	If a remote RLOC is reached via the default route, treat it as unreachable
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv4.Locator.Reachability, self).__init__()

                            self.yang_name = "reachability"
                            self.yang_parent_name = "locator"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.exclude_default = YLeaf(YType.empty, "exclude-default")
                            self._segment_path = lambda: "reachability"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/locator/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ipv4.Locator.Reachability, ['exclude_default'], name, value)


                class MapCache(Entity):
                    """
                    Address family specific map cache configuration
                    
                    .. attribute:: site_registration
                    
                    	Install map cache to map request for site registrations
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.MapCache, self).__init__()

                        self.yang_name = "map-cache"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.site_registration = YLeaf(YType.empty, "site-registration")
                        self._segment_path = lambda: "map-cache"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv4.MapCache, ['site_registration'], name, value)


                class MapCacheLimit(Entity):
                    """
                    Configures maximum size of map\-cache
                    
                    .. attribute:: max_map_cache_entries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..100000
                    
                    .. attribute:: reserve_list
                    
                    	EID\-prefixes guaranteed to be stored in map\-cache
                    	**type**\: str
                    
                    .. attribute:: warning_threshold
                    
                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.MapCacheLimit, self).__init__()

                        self.yang_name = "map-cache-limit"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                        self._segment_path = lambda: "map-cache-limit"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                class MapCachePersistent(Entity):
                    """
                    Dump map\-cache onto flash, making it persistent across reboots
                    
                    .. attribute:: interval
                    
                    	Interval in minutes of how often the map\-cache is saved
                    	**type**\: int
                    
                    	**range:** 1..1440
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.MapCachePersistent, self).__init__()

                        self.yang_name = "map-cache-persistent"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interval = YLeaf(YType.uint16, "interval")
                        self._segment_path = lambda: "map-cache-persistent"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv4.MapCachePersistent, ['interval'], name, value)


                class MapResolver(Entity):
                    """
                    Configures a LISP Map Resolver (MR)
                    
                    .. attribute:: map_request
                    
                    	Map\-Request processing options
                    	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapResolver.MapRequest>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.MapResolver, self).__init__()

                        self.yang_name = "map-resolver"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Ipv4.MapResolver.MapRequest)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.map_request = Native.Router.Lisp.Ipv4.MapResolver.MapRequest()
                        self.map_request.parent = self
                        self._children_name_map["map_request"] = "map-request"
                        self._children_yang_names.add("map-request")
                        self._segment_path = lambda: "map-resolver"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()


                    class MapRequest(Entity):
                        """
                        Map\-Request processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv4.MapResolver.MapRequest, self).__init__()

                            self.yang_name = "map-request"
                            self.yang_parent_name = "map-resolver"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate)}
                            self._child_list_classes = {}

                            self.validate = Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate()
                            self.validate.parent = self
                            self._children_name_map["validate"] = "validate"
                            self._children_yang_names.add("validate")
                            self._segment_path = lambda: "map-request"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/map-resolver/%s" % self._segment_path()


                        class Validate(Entity):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	Influence which source RLOCs map requests are accepted from
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate, self).__init__()

                                self.yang_name = "validate"
                                self.yang_parent_name = "map-request"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate.Source)}
                                self._child_list_classes = {}

                                self.source = Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "validate"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/map-resolver/map-request/%s" % self._segment_path()


                            class Source(Entity):
                                """
                                Influence which source RLOCs map requests are accepted from
                                
                                .. attribute:: list
                                
                                	Define allowed prefixes using an ip[v6] prefix list
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: registered
                                
                                	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ipv4
                                
                                	IPv4 prefixes
                                	**type**\: str
                                
                                .. attribute:: ipv6
                                
                                	IPv6 prefixes
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "validate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.list = YLeaf(YType.empty, "list")

                                    self.registered = YLeaf(YType.empty, "registered")

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                    self._segment_path = lambda: "source"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/map-resolver/map-request/validate/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                class MapServer(Entity):
                    """
                    Configures a LISP Map Server (MS)
                    
                    .. attribute:: map_register
                    
                    	Map\-Register processing options
                    	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapServer.MapRegister>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.MapServer, self).__init__()

                        self.yang_name = "map-server"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Ipv4.MapServer.MapRegister)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.map_register = Native.Router.Lisp.Ipv4.MapServer.MapRegister()
                        self.map_register.parent = self
                        self._children_name_map["map_register"] = "map-register"
                        self._children_yang_names.add("map-register")
                        self._segment_path = lambda: "map-server"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()


                    class MapRegister(Entity):
                        """
                        Map\-Register processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv4.MapServer.MapRegister, self).__init__()

                            self.yang_name = "map-register"
                            self.yang_parent_name = "map-server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate)}
                            self._child_list_classes = {}

                            self.validate = Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate()
                            self.validate.parent = self
                            self._children_name_map["validate"] = "validate"
                            self._children_yang_names.add("validate")
                            self._segment_path = lambda: "map-register"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/map-server/%s" % self._segment_path()


                        class Validate(Entity):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	RLOC Source IP address
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate, self).__init__()

                                self.yang_name = "validate"
                                self.yang_parent_name = "map-register"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate.Source)}
                                self._child_list_classes = {}

                                self.source = Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "validate"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/map-server/map-register/%s" % self._segment_path()


                            class Source(Entity):
                                """
                                RLOC Source IP address
                                
                                .. attribute:: allowed_locator
                                
                                	Against sites' allowed\-locators policy
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "validate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                    self._segment_path = lambda: "source"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/map-server/map-register/validate/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                class PathMtuDiscovery(Entity):
                    """
                    Path MTU discovery
                    
                    .. attribute:: max
                    
                    	Upper bound on the path MTU accepted
                    	**type**\: int
                    
                    	**range:** 68..65535
                    
                    .. attribute:: min
                    
                    	Lower bound on the path MTU accepted
                    	**type**\: int
                    
                    	**range:** 68..65535
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.PathMtuDiscovery, self).__init__()

                        self.yang_name = "path-mtu-discovery"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max = YLeaf(YType.uint16, "max")

                        self.min = YLeaf(YType.uint16, "min")
                        self._segment_path = lambda: "path-mtu-discovery"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv4.PathMtuDiscovery, ['max', 'min'], name, value)


                class RouteExport(Entity):
                    """
                    Export routes into RIB from LISP
                    
                    .. attribute:: site_registrations
                    
                    	Export LISP site registrations to RIB
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: away_eids
                    
                    	Export LISP away EIDs to RIB
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.RouteExport, self).__init__()

                        self.yang_name = "route-export"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                        self.away_eids = YLeaf(YType.empty, "away-eids")
                        self._segment_path = lambda: "route-export"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                class RouteImport(Entity):
                    """
                    Import RIB routes by a routing protocol into LISP
                    
                    .. attribute:: database
                    
                    	Use RIB routes to define local EID database entries
                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database>`
                    
                    .. attribute:: map_cache
                    
                    	Use RIB routes to define EID address space in map\-cache
                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.RouteImport, self).__init__()

                        self.yang_name = "route-import"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Ipv4.RouteImport.MapCache)}
                        self._child_list_classes = {}

                        self.database = Native.Router.Lisp.Ipv4.RouteImport.Database()
                        self.database.parent = self
                        self._children_name_map["database"] = "database"
                        self._children_yang_names.add("database")

                        self.map_cache = Native.Router.Lisp.Ipv4.RouteImport.MapCache()
                        self.map_cache.parent = self
                        self._children_name_map["map_cache"] = "map-cache"
                        self._children_yang_names.add("map-cache")
                        self._segment_path = lambda: "route-import"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()


                    class Database(Entity):
                        """
                        Use RIB routes to define local EID database entries
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Connected>`
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Static>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv4.RouteImport.Database, self).__init__()

                            self.yang_name = "database"
                            self.yang_parent_name = "route-import"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.Ipv4.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Ipv4.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.Ipv4.RouteImport.Database.Rip), "static" : ("static", Native.Router.Lisp.Ipv4.RouteImport.Database.Static)}
                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.Lisp.Ipv4.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3)}

                            self.connected = Native.Router.Lisp.Ipv4.RouteImport.Database.Connected()
                            self.connected.parent = self
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.maximum_prefix = Native.Router.Lisp.Ipv4.RouteImport.Database.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                            self._children_yang_names.add("maximum-prefix")

                            self.rip = Native.Router.Lisp.Ipv4.RouteImport.Database.Rip()
                            self.rip.parent = self
                            self._children_name_map["rip"] = "rip"
                            self._children_yang_names.add("rip")

                            self.static = Native.Router.Lisp.Ipv4.RouteImport.Database.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")

                            self.bgp = YList(self)
                            self.eigrp = YList(self)
                            self.isis = YList(self)
                            self.ospf = YList(self)
                            self.ospfv3 = YList(self)
                            self._segment_path = lambda: "database"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database, [], name, value)


                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/database/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.Database.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "connected"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/database/%s" % self._segment_path()


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "connected"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/database/connected/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Eigrp(Entity):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/database/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.Database.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/database/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.Isis, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class MaximumPrefix(Entity):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                self.yang_name = "maximum-prefix"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.int32, "number")

                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                self.threshold = YLeaf(YType.uint8, "threshold")

                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                self._segment_path = lambda: "maximum-prefix"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/database/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                        class Ospf(Entity):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                self.yang_name = "ospf"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/database/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "ospf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Ospfv3(Entity):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3, self).__init__()

                                self.yang_name = "ospfv3"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/database/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "ospfv3"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.Database.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "rip"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/database/%s" % self._segment_path()


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "rip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/database/rip/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.Database.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "static"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/database/%s" % self._segment_path()


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/database/static/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                    class MapCache(Entity):
                        """
                        Use RIB routes to define EID address space in map\-cache
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv4.RouteImport.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "route-import"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Ipv4.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static)}
                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3)}

                            self.connected = None
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.maximum_prefix = Native.Router.Lisp.Ipv4.RouteImport.MapCache.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                            self._children_yang_names.add("maximum-prefix")

                            self.rip = None
                            self._children_name_map["rip"] = "rip"
                            self._children_yang_names.add("rip")

                            self.static = None
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")

                            self.bgp = YList(self)
                            self.eigrp = YList(self)
                            self.isis = YList(self)
                            self.ospf = YList(self)
                            self.ospfv3 = YList(self)
                            self._segment_path = lambda: "map-cache"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache, [], name, value)


                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "connected"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/map-cache/%s" % self._segment_path()


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "connected"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/map-cache/connected/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                        class Eigrp(Entity):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                        class MaximumPrefix(Entity):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                self.yang_name = "maximum-prefix"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.int32, "number")

                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                self.threshold = YLeaf(YType.uint8, "threshold")

                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                self._segment_path = lambda: "maximum-prefix"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                        class Ospf(Entity):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                self.yang_name = "ospf"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "ospf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                        class Ospfv3(Entity):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3, self).__init__()

                                self.yang_name = "ospfv3"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "ospfv3"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "rip"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/map-cache/%s" % self._segment_path()


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "rip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/map-cache/rip/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "static"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/map-cache/%s" % self._segment_path()


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/route-import/map-cache/static/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                class SiteRegistration(Entity):
                    """
                    Site registrations configuration for a given instance\-id
                    
                    .. attribute:: limit
                    
                    	Maximum number of site registrations for a given instance\-id
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: warning_threshold
                    
                    	Warning threshold to issue system logging
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.SiteRegistration, self).__init__()

                        self.yang_name = "site-registration"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.limit = YLeaf(YType.uint32, "limit")

                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                        self._segment_path = lambda: "site-registration"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                class SolicitMapRequest(Entity):
                    """
                    Configure Solicit\-Map\-Request handling
                    
                    .. attribute:: ignore
                    
                    	Ignore SMR bit in incoming Map\-Requests
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_per_entry
                    
                    	Maximum number of SMRs for addresses under a map\-cache entry
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    .. attribute:: suppression_time
                    
                    	How long to suppress repeated SMRs for the same address
                    	**type**\: int
                    
                    	**range:** 1..600
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.SolicitMapRequest, self).__init__()

                        self.yang_name = "solicit-map-request"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ignore = YLeaf(YType.empty, "ignore")

                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                        self._segment_path = lambda: "solicit-map-request"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                class UsePetr(Entity):
                    """
                    Encapsulate to Proxy ETR when matching forward\-native entry
                    
                    .. attribute:: locator_address  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv4.UsePetr, self).__init__()

                        self.yang_name = "use-petr"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.locator_address = YLeaf(YType.str, "locator-address")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.weight = YLeaf(YType.uint8, "weight")
                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv4.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


            class Ipv6(Entity):
                """
                IPv6 address family
                
                .. attribute:: alt_vrf
                
                	Activate LISP\-ALT functionality in VRF
                	**type**\: str
                
                	**status**\: deprecated
                
                .. attribute:: database_mapping
                
                	Address family specific local EID prefixes database configuration
                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.DatabaseMapping>`
                
                .. attribute:: distance
                
                	Administrative distance for RIB route installation
                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Distance>`
                
                .. attribute:: itr
                
                	Configures a LISP Ingress Tunnel Router (ITR)
                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Itr>`
                
                .. attribute:: itr_enable
                
                	
                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.ItrEnable>`
                
                .. attribute:: etr
                
                	Configures a LISP Egress Tunnel Router (ETR)
                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Etr>`
                
                .. attribute:: etr_enable
                
                	
                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.EtrEnable>`
                
                .. attribute:: locator
                
                	Locator related configuration
                	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Locator>`
                
                .. attribute:: map_cache
                
                	Address family specific map cache configuration
                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapCache>`
                
                .. attribute:: map_cache_limit
                
                	Configures maximum size of map\-cache
                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapCacheLimit>`
                
                .. attribute:: map_cache_persistent
                
                	Dump map\-cache onto flash, making it persistent across reboots
                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapCachePersistent>`
                
                .. attribute:: map_request_source
                
                	Configures inner header source address in Map\-Request message
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: map_resolver
                
                	Configures a LISP Map Resolver (MR)
                	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapResolver>`
                
                	**presence node**\: True
                
                .. attribute:: map_server
                
                	Configures a LISP Map Server (MS)
                	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapServer>`
                
                	**presence node**\: True
                
                .. attribute:: path_mtu_discovery
                
                	Path MTU discovery
                	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.PathMtuDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: proxy_etr
                
                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_itr
                
                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                	**type**\: union of the below types:
                
                		**type**\: list of str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: list of str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: route_export
                
                	Export routes into RIB from LISP
                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteExport>`
                
                .. attribute:: route_import
                
                	Import RIB routes by a routing protocol into LISP
                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport>`
                
                .. attribute:: sgt
                
                	Enable security group tag propagation in LISP encapsulated traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: site_registration
                
                	Site registrations configuration for a given instance\-id
                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.SiteRegistration>`
                
                .. attribute:: solicit_map_request
                
                	Configure Solicit\-Map\-Request handling
                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.SolicitMapRequest>`
                
                .. attribute:: use_petr
                
                	Encapsulate to Proxy ETR when matching forward\-native entry
                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.UsePetr>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.Ipv6.DatabaseMapping), "distance" : ("distance", Native.Router.Lisp.Ipv6.Distance), "itr" : ("itr", Native.Router.Lisp.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.Ipv6.ItrEnable), "etr" : ("etr", Native.Router.Lisp.Ipv6.Etr), "etr-enable" : ("etr_enable", Native.Router.Lisp.Ipv6.EtrEnable), "locator" : ("locator", Native.Router.Lisp.Ipv6.Locator), "map-cache" : ("map_cache", Native.Router.Lisp.Ipv6.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.Ipv6.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.Ipv6.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.Lisp.Ipv6.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.Ipv6.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Lisp.Ipv6.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.Lisp.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.Ipv6.RouteImport), "site-registration" : ("site_registration", Native.Router.Lisp.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.Ipv6.SolicitMapRequest)}
                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.Ipv6.UsePetr)}

                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                    self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                    self.sgt = YLeaf(YType.empty, "sgt")

                    self.database_mapping = Native.Router.Lisp.Ipv6.DatabaseMapping()
                    self.database_mapping.parent = self
                    self._children_name_map["database_mapping"] = "database-mapping"
                    self._children_yang_names.add("database-mapping")

                    self.distance = Native.Router.Lisp.Ipv6.Distance()
                    self.distance.parent = self
                    self._children_name_map["distance"] = "distance"
                    self._children_yang_names.add("distance")

                    self.itr = Native.Router.Lisp.Ipv6.Itr()
                    self.itr.parent = self
                    self._children_name_map["itr"] = "itr"
                    self._children_yang_names.add("itr")

                    self.itr_enable = Native.Router.Lisp.Ipv6.ItrEnable()
                    self.itr_enable.parent = self
                    self._children_name_map["itr_enable"] = "itr-enable"
                    self._children_yang_names.add("itr-enable")

                    self.etr = Native.Router.Lisp.Ipv6.Etr()
                    self.etr.parent = self
                    self._children_name_map["etr"] = "etr"
                    self._children_yang_names.add("etr")

                    self.etr_enable = Native.Router.Lisp.Ipv6.EtrEnable()
                    self.etr_enable.parent = self
                    self._children_name_map["etr_enable"] = "etr-enable"
                    self._children_yang_names.add("etr-enable")

                    self.locator = Native.Router.Lisp.Ipv6.Locator()
                    self.locator.parent = self
                    self._children_name_map["locator"] = "locator"
                    self._children_yang_names.add("locator")

                    self.map_cache = Native.Router.Lisp.Ipv6.MapCache()
                    self.map_cache.parent = self
                    self._children_name_map["map_cache"] = "map-cache"
                    self._children_yang_names.add("map-cache")

                    self.map_cache_limit = Native.Router.Lisp.Ipv6.MapCacheLimit()
                    self.map_cache_limit.parent = self
                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                    self._children_yang_names.add("map-cache-limit")

                    self.map_cache_persistent = Native.Router.Lisp.Ipv6.MapCachePersistent()
                    self.map_cache_persistent.parent = self
                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                    self._children_yang_names.add("map-cache-persistent")

                    self.map_resolver = None
                    self._children_name_map["map_resolver"] = "map-resolver"
                    self._children_yang_names.add("map-resolver")

                    self.map_server = None
                    self._children_name_map["map_server"] = "map-server"
                    self._children_yang_names.add("map-server")

                    self.path_mtu_discovery = None
                    self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                    self._children_yang_names.add("path-mtu-discovery")

                    self.route_export = Native.Router.Lisp.Ipv6.RouteExport()
                    self.route_export.parent = self
                    self._children_name_map["route_export"] = "route-export"
                    self._children_yang_names.add("route-export")

                    self.route_import = Native.Router.Lisp.Ipv6.RouteImport()
                    self.route_import.parent = self
                    self._children_name_map["route_import"] = "route-import"
                    self._children_yang_names.add("route-import")

                    self.site_registration = Native.Router.Lisp.Ipv6.SiteRegistration()
                    self.site_registration.parent = self
                    self._children_name_map["site_registration"] = "site-registration"
                    self._children_yang_names.add("site-registration")

                    self.solicit_map_request = Native.Router.Lisp.Ipv6.SolicitMapRequest()
                    self.solicit_map_request.parent = self
                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                    self._children_yang_names.add("solicit-map-request")

                    self.use_petr = YList(self)
                    self._segment_path = lambda: "ipv6"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.Ipv6, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                class DatabaseMapping(Entity):
                    """
                    Address family specific local EID prefixes database configuration
                    
                    .. attribute:: limit
                    
                    	Configures the maximum size of local EID prefixes database
                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.DatabaseMapping.Limit>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.DatabaseMapping, self).__init__()

                        self.yang_name = "database-mapping"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.Ipv6.DatabaseMapping.Limit)}
                        self._child_list_classes = {}

                        self.limit = Native.Router.Lisp.Ipv6.DatabaseMapping.Limit()
                        self.limit.parent = self
                        self._children_name_map["limit"] = "limit"
                        self._children_yang_names.add("limit")
                        self._segment_path = lambda: "database-mapping"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()


                    class Limit(Entity):
                        """
                        Configures the maximum size of local EID prefixes database
                        
                        .. attribute:: dynamic
                        
                        	Configures the maximum size of dynamic local EID prefixes database
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv6.DatabaseMapping.Limit, self).__init__()

                            self.yang_name = "limit"
                            self.yang_parent_name = "database-mapping"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "limit"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/database-mapping/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                class Distance(Entity):
                    """
                    Administrative distance for RIB route installation
                    
                    .. attribute:: alt
                    
                    	LISP routes installed in the ALT table
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dyn_eid
                    
                    	LISP installed routes of type dynamic\-EID
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: site_registrations
                    
                    	LISP installed routes of type site\-registrations
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.Distance, self).__init__()

                        self.yang_name = "distance"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.alt = YLeaf(YType.uint8, "alt")

                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                        self._segment_path = lambda: "distance"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv6.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                class Itr(Entity):
                    """
                    Configures a LISP Ingress Tunnel Router (ITR)
                    
                    .. attribute:: map_resolver
                    
                    	Configures map\-resolver address for sending Map\-Requests
                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Itr.MapResolver>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.Itr, self).__init__()

                        self.yang_name = "itr"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.Ipv6.Itr.MapResolver)}

                        self.map_resolver = YList(self)
                        self._segment_path = lambda: "itr"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv6.Itr, [], name, value)


                    class MapResolver(Entity):
                        """
                        Configures map\-resolver address for sending Map\-Requests
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv6.Itr.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "itr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/itr/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                class ItrEnable(Entity):
                    """
                    
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.ItrEnable, self).__init__()

                        self.yang_name = "itr-enable"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.itr = YLeaf(YType.empty, "itr")
                        self._segment_path = lambda: "itr-enable"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv6.ItrEnable, ['itr'], name, value)


                class Etr(Entity):
                    """
                    Configures a LISP Egress Tunnel Router (ETR)
                    
                    .. attribute:: map_server
                    
                    	Configures map server for ETR registration
                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Etr.MapServer>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.Etr, self).__init__()

                        self.yang_name = "etr"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.Ipv6.Etr.MapServer)}

                        self.map_server = YList(self)
                        self._segment_path = lambda: "etr"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv6.Etr, [], name, value)


                    class MapServer(Entity):
                        """
                        Configures map server for ETR registration
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: key
                        
                        	Authentication key used with map server
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Etr.MapServer.Key>`
                        
                        .. attribute:: proxy_reply
                        
                        	Request Map\-Server to send Map\-Replies on behalf of site
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv6.Etr.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "etr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"key" : ("key", Native.Router.Lisp.Ipv6.Etr.MapServer.Key)}
                            self._child_list_classes = {}

                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                            self.key = Native.Router.Lisp.Ipv6.Etr.MapServer.Key()
                            self.key.parent = self
                            self._children_name_map["key"] = "key"
                            self._children_yang_names.add("key")
                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/etr/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                        class Key(Entity):
                            """
                            Authentication key used with map server
                            
                            .. attribute:: key_0
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\: str
                            
                            .. attribute:: key_6
                            
                            	The ENCRYPTED password
                            	**type**\: str
                            
                            .. attribute:: key_7
                            
                            	The HIDDEN password
                            	**type**\: str
                            
                            .. attribute:: pwd
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.Etr.MapServer.Key, self).__init__()

                                self.yang_name = "key"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_0 = YLeaf(YType.str, "key-0")

                                self.key_6 = YLeaf(YType.str, "key-6")

                                self.key_7 = YLeaf(YType.str, "key-7")

                                self.pwd = YLeaf(YType.str, "pwd")
                                self._segment_path = lambda: "key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv6.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                class EtrEnable(Entity):
                    """
                    
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.EtrEnable, self).__init__()

                        self.yang_name = "etr-enable"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.etr = YLeaf(YType.empty, "etr")
                        self._segment_path = lambda: "etr-enable"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv6.EtrEnable, ['etr'], name, value)


                class Locator(Entity):
                    """
                    Locator related configuration
                    
                    .. attribute:: reachability
                    
                    	Configuration realted to locator reachability
                    	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.Locator.Reachability>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.Locator, self).__init__()

                        self.yang_name = "locator"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"reachability" : ("reachability", Native.Router.Lisp.Ipv6.Locator.Reachability)}
                        self._child_list_classes = {}

                        self.reachability = Native.Router.Lisp.Ipv6.Locator.Reachability()
                        self.reachability.parent = self
                        self._children_name_map["reachability"] = "reachability"
                        self._children_yang_names.add("reachability")
                        self._segment_path = lambda: "locator"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()


                    class Reachability(Entity):
                        """
                        Configuration realted to locator reachability
                        
                        .. attribute:: exclude_default
                        
                        	If a remote RLOC is reached via the default route, treat it as unreachable
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv6.Locator.Reachability, self).__init__()

                            self.yang_name = "reachability"
                            self.yang_parent_name = "locator"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.exclude_default = YLeaf(YType.empty, "exclude-default")
                            self._segment_path = lambda: "reachability"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/locator/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ipv6.Locator.Reachability, ['exclude_default'], name, value)


                class MapCache(Entity):
                    """
                    Address family specific map cache configuration
                    
                    .. attribute:: site_registration
                    
                    	Install map cache to map request for site registrations
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.MapCache, self).__init__()

                        self.yang_name = "map-cache"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.site_registration = YLeaf(YType.empty, "site-registration")
                        self._segment_path = lambda: "map-cache"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv6.MapCache, ['site_registration'], name, value)


                class MapCacheLimit(Entity):
                    """
                    Configures maximum size of map\-cache
                    
                    .. attribute:: max_map_cache_entries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..100000
                    
                    .. attribute:: reserve_list
                    
                    	EID\-prefixes guaranteed to be stored in map\-cache
                    	**type**\: str
                    
                    .. attribute:: warning_threshold
                    
                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.MapCacheLimit, self).__init__()

                        self.yang_name = "map-cache-limit"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                        self._segment_path = lambda: "map-cache-limit"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                class MapCachePersistent(Entity):
                    """
                    Dump map\-cache onto flash, making it persistent across reboots
                    
                    .. attribute:: interval
                    
                    	Interval in minutes of how often the map\-cache is saved
                    	**type**\: int
                    
                    	**range:** 1..1440
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.MapCachePersistent, self).__init__()

                        self.yang_name = "map-cache-persistent"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interval = YLeaf(YType.uint16, "interval")
                        self._segment_path = lambda: "map-cache-persistent"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv6.MapCachePersistent, ['interval'], name, value)


                class MapResolver(Entity):
                    """
                    Configures a LISP Map Resolver (MR)
                    
                    .. attribute:: map_request
                    
                    	Map\-Request processing options
                    	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapResolver.MapRequest>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.MapResolver, self).__init__()

                        self.yang_name = "map-resolver"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.Ipv6.MapResolver.MapRequest)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.map_request = Native.Router.Lisp.Ipv6.MapResolver.MapRequest()
                        self.map_request.parent = self
                        self._children_name_map["map_request"] = "map-request"
                        self._children_yang_names.add("map-request")
                        self._segment_path = lambda: "map-resolver"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()


                    class MapRequest(Entity):
                        """
                        Map\-Request processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv6.MapResolver.MapRequest, self).__init__()

                            self.yang_name = "map-request"
                            self.yang_parent_name = "map-resolver"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate)}
                            self._child_list_classes = {}

                            self.validate = Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate()
                            self.validate.parent = self
                            self._children_name_map["validate"] = "validate"
                            self._children_yang_names.add("validate")
                            self._segment_path = lambda: "map-request"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/map-resolver/%s" % self._segment_path()


                        class Validate(Entity):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	Influence which source RLOCs map requests are accepted from
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate, self).__init__()

                                self.yang_name = "validate"
                                self.yang_parent_name = "map-request"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate.Source)}
                                self._child_list_classes = {}

                                self.source = Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "validate"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/map-resolver/map-request/%s" % self._segment_path()


                            class Source(Entity):
                                """
                                Influence which source RLOCs map requests are accepted from
                                
                                .. attribute:: list
                                
                                	Define allowed prefixes using an ip[v6] prefix list
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: registered
                                
                                	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ipv4
                                
                                	IPv4 prefixes
                                	**type**\: str
                                
                                .. attribute:: ipv6
                                
                                	IPv6 prefixes
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "validate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.list = YLeaf(YType.empty, "list")

                                    self.registered = YLeaf(YType.empty, "registered")

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                    self._segment_path = lambda: "source"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/map-resolver/map-request/validate/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                class MapServer(Entity):
                    """
                    Configures a LISP Map Server (MS)
                    
                    .. attribute:: map_register
                    
                    	Map\-Register processing options
                    	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapServer.MapRegister>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.MapServer, self).__init__()

                        self.yang_name = "map-server"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.Ipv6.MapServer.MapRegister)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.map_register = Native.Router.Lisp.Ipv6.MapServer.MapRegister()
                        self.map_register.parent = self
                        self._children_name_map["map_register"] = "map-register"
                        self._children_yang_names.add("map-register")
                        self._segment_path = lambda: "map-server"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()


                    class MapRegister(Entity):
                        """
                        Map\-Register processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv6.MapServer.MapRegister, self).__init__()

                            self.yang_name = "map-register"
                            self.yang_parent_name = "map-server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate)}
                            self._child_list_classes = {}

                            self.validate = Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate()
                            self.validate.parent = self
                            self._children_name_map["validate"] = "validate"
                            self._children_yang_names.add("validate")
                            self._segment_path = lambda: "map-register"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/map-server/%s" % self._segment_path()


                        class Validate(Entity):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	RLOC Source IP address
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate, self).__init__()

                                self.yang_name = "validate"
                                self.yang_parent_name = "map-register"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"source" : ("source", Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate.Source)}
                                self._child_list_classes = {}

                                self.source = Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "validate"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/map-server/map-register/%s" % self._segment_path()


                            class Source(Entity):
                                """
                                RLOC Source IP address
                                
                                .. attribute:: allowed_locator
                                
                                	Against sites' allowed\-locators policy
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "validate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                    self._segment_path = lambda: "source"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/map-server/map-register/validate/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                class PathMtuDiscovery(Entity):
                    """
                    Path MTU discovery
                    
                    .. attribute:: max
                    
                    	Upper bound on the path MTU accepted
                    	**type**\: int
                    
                    	**range:** 68..65535
                    
                    .. attribute:: min
                    
                    	Lower bound on the path MTU accepted
                    	**type**\: int
                    
                    	**range:** 68..65535
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.PathMtuDiscovery, self).__init__()

                        self.yang_name = "path-mtu-discovery"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max = YLeaf(YType.uint16, "max")

                        self.min = YLeaf(YType.uint16, "min")
                        self._segment_path = lambda: "path-mtu-discovery"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv6.PathMtuDiscovery, ['max', 'min'], name, value)


                class RouteExport(Entity):
                    """
                    Export routes into RIB from LISP
                    
                    .. attribute:: site_registrations
                    
                    	Export LISP site registrations to RIB
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: away_eids
                    
                    	Export LISP away EIDs to RIB
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.RouteExport, self).__init__()

                        self.yang_name = "route-export"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                        self.away_eids = YLeaf(YType.empty, "away-eids")
                        self._segment_path = lambda: "route-export"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                class RouteImport(Entity):
                    """
                    Import RIB routes by a routing protocol into LISP
                    
                    .. attribute:: database
                    
                    	Use RIB routes to define local EID database entries
                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database>`
                    
                    .. attribute:: map_cache
                    
                    	Use RIB routes to define EID address space in map\-cache
                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.RouteImport, self).__init__()

                        self.yang_name = "route-import"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"database" : ("database", Native.Router.Lisp.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.Ipv6.RouteImport.MapCache)}
                        self._child_list_classes = {}

                        self.database = Native.Router.Lisp.Ipv6.RouteImport.Database()
                        self.database.parent = self
                        self._children_name_map["database"] = "database"
                        self._children_yang_names.add("database")

                        self.map_cache = Native.Router.Lisp.Ipv6.RouteImport.MapCache()
                        self.map_cache.parent = self
                        self._children_name_map["map_cache"] = "map-cache"
                        self._children_yang_names.add("map-cache")
                        self._segment_path = lambda: "route-import"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()


                    class Database(Entity):
                        """
                        Use RIB routes to define local EID database entries
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Connected>`
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Static>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv6.RouteImport.Database, self).__init__()

                            self.yang_name = "database"
                            self.yang_parent_name = "route-import"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.Ipv6.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Ipv6.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.Ipv6.RouteImport.Database.Rip), "static" : ("static", Native.Router.Lisp.Ipv6.RouteImport.Database.Static)}
                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.Lisp.Ipv6.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3)}

                            self.connected = Native.Router.Lisp.Ipv6.RouteImport.Database.Connected()
                            self.connected.parent = self
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.maximum_prefix = Native.Router.Lisp.Ipv6.RouteImport.Database.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                            self._children_yang_names.add("maximum-prefix")

                            self.rip = Native.Router.Lisp.Ipv6.RouteImport.Database.Rip()
                            self.rip.parent = self
                            self._children_name_map["rip"] = "rip"
                            self._children_yang_names.add("rip")

                            self.static = Native.Router.Lisp.Ipv6.RouteImport.Database.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")

                            self.bgp = YList(self)
                            self.eigrp = YList(self)
                            self.isis = YList(self)
                            self.ospf = YList(self)
                            self.ospfv3 = YList(self)
                            self._segment_path = lambda: "database"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database, [], name, value)


                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/database/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.Database.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "connected"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/database/%s" % self._segment_path()


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "connected"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/database/connected/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Eigrp(Entity):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/database/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.Database.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/database/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.Isis, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class MaximumPrefix(Entity):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                self.yang_name = "maximum-prefix"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.int32, "number")

                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                self.threshold = YLeaf(YType.uint8, "threshold")

                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                self._segment_path = lambda: "maximum-prefix"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/database/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                        class Ospf(Entity):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                self.yang_name = "ospf"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/database/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "ospf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Ospfv3(Entity):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3, self).__init__()

                                self.yang_name = "ospfv3"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/database/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "ospfv3"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.Database.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "rip"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/database/%s" % self._segment_path()


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "rip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/database/rip/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.Database.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.lisp_ip_route_import = Native.Router.Lisp.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "static"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/database/%s" % self._segment_path()


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/database/static/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                    class MapCache(Entity):
                        """
                        Use RIB routes to define EID address space in map\-cache
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Ipv6.RouteImport.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "route-import"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.Ipv6.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static)}
                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3)}

                            self.connected = None
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.maximum_prefix = Native.Router.Lisp.Ipv6.RouteImport.MapCache.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                            self._children_yang_names.add("maximum-prefix")

                            self.rip = None
                            self._children_name_map["rip"] = "rip"
                            self._children_yang_names.add("rip")

                            self.static = None
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")

                            self.bgp = YList(self)
                            self.eigrp = YList(self)
                            self.isis = YList(self)
                            self.ospf = YList(self)
                            self.ospfv3 = YList(self)
                            self._segment_path = lambda: "map-cache"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache, [], name, value)


                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "connected"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/map-cache/%s" % self._segment_path()


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "connected"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/map-cache/connected/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                        class Eigrp(Entity):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                        class MaximumPrefix(Entity):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                self.yang_name = "maximum-prefix"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.int32, "number")

                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                self.threshold = YLeaf(YType.uint8, "threshold")

                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                self._segment_path = lambda: "maximum-prefix"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                        class Ospf(Entity):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                self.yang_name = "ospf"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "ospf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                        class Ospfv3(Entity):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3, self).__init__()

                                self.yang_name = "ospfv3"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/map-cache/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "ospfv3"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "rip"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/map-cache/%s" % self._segment_path()


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "rip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/map-cache/rip/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "static"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/map-cache/%s" % self._segment_path()


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/route-import/map-cache/static/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                class SiteRegistration(Entity):
                    """
                    Site registrations configuration for a given instance\-id
                    
                    .. attribute:: limit
                    
                    	Maximum number of site registrations for a given instance\-id
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: warning_threshold
                    
                    	Warning threshold to issue system logging
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.SiteRegistration, self).__init__()

                        self.yang_name = "site-registration"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.limit = YLeaf(YType.uint32, "limit")

                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                        self._segment_path = lambda: "site-registration"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                class SolicitMapRequest(Entity):
                    """
                    Configure Solicit\-Map\-Request handling
                    
                    .. attribute:: ignore
                    
                    	Ignore SMR bit in incoming Map\-Requests
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_per_entry
                    
                    	Maximum number of SMRs for addresses under a map\-cache entry
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    .. attribute:: suppression_time
                    
                    	How long to suppress repeated SMRs for the same address
                    	**type**\: int
                    
                    	**range:** 1..600
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.SolicitMapRequest, self).__init__()

                        self.yang_name = "solicit-map-request"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ignore = YLeaf(YType.empty, "ignore")

                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                        self._segment_path = lambda: "solicit-map-request"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                class UsePetr(Entity):
                    """
                    Encapsulate to Proxy ETR when matching forward\-native entry
                    
                    .. attribute:: locator_address  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Ipv6.UsePetr, self).__init__()

                        self.yang_name = "use-petr"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.locator_address = YLeaf(YType.str, "locator-address")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.weight = YLeaf(YType.uint8, "weight")
                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Ipv6.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


            class LocReachAlgorithm(Entity):
                """
                Configure locator reachability algorithm
                
                .. attribute:: lsb_reports
                
                	Configure data packet LSB report handling
                	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.LocReachAlgorithm.LsbReports>`
                
                .. attribute:: rloc_probing
                
                	Probe high priority RLOCs with Map\-Requests as last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.LocReachAlgorithm, self).__init__()

                    self.yang_name = "loc-reach-algorithm"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.Lisp.LocReachAlgorithm.LsbReports)}
                    self._child_list_classes = {}

                    self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                    self.lsb_reports = Native.Router.Lisp.LocReachAlgorithm.LsbReports()
                    self.lsb_reports.parent = self
                    self._children_name_map["lsb_reports"] = "lsb-reports"
                    self._children_yang_names.add("lsb-reports")
                    self._segment_path = lambda: "loc-reach-algorithm"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.LocReachAlgorithm, ['rloc_probing'], name, value)


                class LsbReports(Entity):
                    """
                    Configure data packet LSB report handling
                    
                    .. attribute:: do_not_transmit
                    
                    	Force the setting of the encapsulation header L bit to zero
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ignore
                    
                    	Ignore data packet LSB reports
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.LocReachAlgorithm.LsbReports, self).__init__()

                        self.yang_name = "lsb-reports"
                        self.yang_parent_name = "loc-reach-algorithm"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                        self.ignore = YLeaf(YType.empty, "ignore")
                        self._segment_path = lambda: "lsb-reports"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/loc-reach-algorithm/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


            class LocatorDown(Entity):
                """
                Manually set locator status to down
                
                .. attribute:: address
                
                	IPv4/6 Locator address to be set down
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: ipv4_interface
                
                	Use IPv4 address of interface as locator
                	**type**\: str
                
                .. attribute:: ipv6_interface
                
                	Use IPv6 address of interface as locator
                	**type**\: str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.LocatorDown, self).__init__()

                    self.yang_name = "locator-down"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.str, "address")

                    self.ipv4_interface = YLeaf(YType.str, "IPv4-interface")

                    self.ipv6_interface = YLeaf(YType.str, "IPv6-interface")
                    self._segment_path = lambda: "locator-down"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.LocatorDown, ['address', 'ipv4_interface', 'ipv6_interface'], name, value)


            class LocatorTable(Entity):
                """
                Specify the RLOC table
                
                .. attribute:: vrf_name
                
                	
                	**type**\: str
                
                .. attribute:: default
                
                	Default VRF
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vrf
                
                	VRF name
                	**type**\: str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.LocatorTable, self).__init__()

                    self.yang_name = "locator-table"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.vrf_name = YLeaf(YType.str, "vrf-name")

                    self.default = YLeaf(YType.empty, "default")

                    self.vrf = YLeaf(YType.str, "vrf")
                    self._segment_path = lambda: "locator-table"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.LocatorTable, ['vrf_name', 'default', 'vrf'], name, value)


            class MapRequest(Entity):
                """
                Configure map\-request handling
                
                .. attribute:: itr_rlocs
                
                	Configure to use the specified RLOC set as ITR RLOC in map\-request
                	**type**\: str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.MapRequest, self).__init__()

                    self.yang_name = "map-request"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.itr_rlocs = YLeaf(YType.str, "itr-rlocs")
                    self._segment_path = lambda: "map-request"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.MapRequest, ['itr_rlocs'], name, value)


            class MapServer(Entity):
                """
                Map\-Server commands
                
                .. attribute:: rloc
                
                	EID instance RLOC membership
                	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapServer.Rloc>`
                
                .. attribute:: site_registration
                
                	Map\-server site registration options
                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapServer.SiteRegistration>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.MapServer, self).__init__()

                    self.yang_name = "map-server"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.Lisp.MapServer.SiteRegistration)}
                    self._child_list_classes = {}

                    self.rloc = Native.Router.Lisp.MapServer.Rloc()
                    self.rloc.parent = self
                    self._children_name_map["rloc"] = "rloc"
                    self._children_yang_names.add("rloc")

                    self.site_registration = Native.Router.Lisp.MapServer.SiteRegistration()
                    self.site_registration.parent = self
                    self._children_name_map["site_registration"] = "site-registration"
                    self._children_yang_names.add("site-registration")
                    self._segment_path = lambda: "map-server"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()


                class Rloc(Entity):
                    """
                    EID instance RLOC membership
                    
                    .. attribute:: members
                    
                    	EID instance RLOC membership
                    	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapServer.Rloc.Members>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.MapServer.Rloc, self).__init__()

                        self.yang_name = "rloc"
                        self.yang_parent_name = "map-server"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"members" : ("members", Native.Router.Lisp.MapServer.Rloc.Members)}
                        self._child_list_classes = {}

                        self.members = Native.Router.Lisp.MapServer.Rloc.Members()
                        self.members.parent = self
                        self._children_name_map["members"] = "members"
                        self._children_yang_names.add("members")
                        self._segment_path = lambda: "rloc"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/map-server/%s" % self._segment_path()


                    class Members(Entity):
                        """
                        EID instance RLOC membership
                        
                        .. attribute:: distribute
                        
                        	EID instance RLOC membership distribution
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: modify_discovered
                        
                        	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                        	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.MapServer.Rloc.Members, self).__init__()

                            self.yang_name = "members"
                            self.yang_parent_name = "rloc"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered)}
                            self._child_list_classes = {}

                            self.distribute = YLeaf(YType.empty, "distribute")

                            self.modify_discovered = Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered()
                            self.modify_discovered.parent = self
                            self._children_name_map["modify_discovered"] = "modify-discovered"
                            self._children_yang_names.add("modify-discovered")
                            self._segment_path = lambda: "members"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/map-server/rloc/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.MapServer.Rloc.Members, ['distribute'], name, value)


                        class ModifyDiscovered(Entity):
                            """
                            Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                            
                            .. attribute:: operator
                            
                            	
                            	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                            
                            .. attribute:: locator_set
                            
                            	Locator set from which to get member RLOC addresses
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                self.yang_name = "modify-discovered"
                                self.yang_parent_name = "members"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.operator = YLeaf(YType.enumeration, "operator")

                                self.locator_set = YLeaf(YType.str, "locator-set")
                                self._segment_path = lambda: "modify-discovered"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/map-server/rloc/members/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                            class Operator(Enum):
                                """
                                Operator

                                .. data:: add = 0

                                .. data:: override = 1

                                """

                                add = Enum.YLeaf(0, "add")

                                override = Enum.YLeaf(1, "override")



                class SiteRegistration(Entity):
                    """
                    Map\-server site registration options
                    
                    .. attribute:: limit
                    
                    	Maximum number of site registrations as a result of accept\-more\-specifics
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: warning_threshold
                    
                    	Warning threshold to issue system logging
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.MapServer.SiteRegistration, self).__init__()

                        self.yang_name = "site-registration"
                        self.yang_parent_name = "map-server"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.limit = YLeaf(YType.uint32, "limit")

                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                        self._segment_path = lambda: "site-registration"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/map-server/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


            class OtherXtrProbe(Entity):
                """
                Configure parameters for probing of other xTRs in our site
                
                .. attribute:: period
                
                	Period between probes in seconds
                	**type**\: int
                
                	**range:** 5..900
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.OtherXtrProbe, self).__init__()

                    self.yang_name = "other-xtr-probe"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.period = YLeaf(YType.uint16, "period")
                    self._segment_path = lambda: "other-xtr-probe"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.OtherXtrProbe, ['period'], name, value)


            class RemoteRlocProbe(Entity):
                """
                Configure parameters for probing of remote RLOCs
                
                .. attribute:: on_membership_change
                
                	Trigger probing upon membership changes for remote RLOC
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: on_route_change
                
                	Trigger probing upon routing changes for remote RLOC
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.RemoteRlocProbe, self).__init__()

                    self.yang_name = "remote-rloc-probe"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                    self.on_route_change = YLeaf(YType.empty, "on-route-change")
                    self._segment_path = lambda: "remote-rloc-probe"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


            class EidTable(Entity):
                """
                Configure an EID instance for a VRF
                
                .. attribute:: instance_list
                
                	
                	**type**\: list of  		 :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.EidTable, self).__init__()

                    self.yang_name = "eid-table"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"instance-list" : ("instance_list", Native.Router.Lisp.EidTable.InstanceList)}

                    self.instance_list = YList(self)
                    self._segment_path = lambda: "eid-table"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.EidTable, [], name, value)


                class InstanceList(Entity):
                    """
                    
                    
                    .. attribute:: instance_id  <key>
                    
                    	EID instance\-ID
                    	**type**\: int
                    
                    	**range:** 0..16777214
                    
                    .. attribute:: vrf_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: default
                    
                    	Default VRF
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: database_mapping
                    
                    	Configures Locator addresses for an ETR
                    	**type**\: list of  		 :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DatabaseMapping>`
                    
                    .. attribute:: dynamic_eid
                    
                    	Configure a dynamic EID
                    	**type**\: list of  		 :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid>`
                    
                    .. attribute:: alt
                    
                    	LISP Alternative Topology, LISP\-ALT
                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Alt>`
                    
                    .. attribute:: control_packet
                    
                    	Configure control packet tx option
                    	**type**\:  :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.ControlPacket>`
                    
                    .. attribute:: ddt
                    
                    	Delegated Database Tree (DDT) mapping system
                    	**type**\:  :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ddt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: decapsulation
                    
                    	Decapsulation behavior (e.g. filters)
                    	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Decapsulation>`
                    
                    .. attribute:: disable_ttl_propagate
                    
                    	Disable ttl propagation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Etr>`
                    
                    .. attribute:: ipv4
                    
                    	IPv4 address family
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 address family
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6>`
                    
                    .. attribute:: loc_reach_algorithm
                    
                    	Configure locator reachability algorithm
                    	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm>`
                    
                    .. attribute:: locator_down
                    
                    	Manually set locator status to down
                    	**type**\:  :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.LocatorDown>`
                    
                    .. attribute:: locator_table
                    
                    	Specify the RLOC table
                    	**type**\:  :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.LocatorTable>`
                    
                    .. attribute:: map_request
                    
                    	Configure map\-request handling
                    	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapRequest>`
                    
                    .. attribute:: map_server
                    
                    	Map\-Server commands
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapServer>`
                    
                    .. attribute:: other_xtr_probe
                    
                    	Configure parameters for probing of other xTRs in our site
                    	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.OtherXtrProbe>`
                    
                    .. attribute:: remote_rloc_probe
                    
                    	Configure parameters for probing of remote RLOCs
                    	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.RemoteRlocProbe>`
                    
                    .. attribute:: map_cache
                    
                    	Configures static EID\-to\-RLOC mappings for an ITR
                    	**type**\: list of  		 :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapCache>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.EidTable.InstanceList, self).__init__()

                        self.yang_name = "instance-list"
                        self.yang_parent_name = "eid-table"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"alt" : ("alt", Native.Router.Lisp.EidTable.InstanceList.Alt), "control-packet" : ("control_packet", Native.Router.Lisp.EidTable.InstanceList.ControlPacket), "ddt" : ("ddt", Native.Router.Lisp.EidTable.InstanceList.Ddt), "decapsulation" : ("decapsulation", Native.Router.Lisp.EidTable.InstanceList.Decapsulation), "etr" : ("etr", Native.Router.Lisp.EidTable.InstanceList.Etr), "ipv4" : ("ipv4", Native.Router.Lisp.EidTable.InstanceList.Ipv4), "ipv6" : ("ipv6", Native.Router.Lisp.EidTable.InstanceList.Ipv6), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm), "locator-down" : ("locator_down", Native.Router.Lisp.EidTable.InstanceList.LocatorDown), "locator-table" : ("locator_table", Native.Router.Lisp.EidTable.InstanceList.LocatorTable), "map-request" : ("map_request", Native.Router.Lisp.EidTable.InstanceList.MapRequest), "map-server" : ("map_server", Native.Router.Lisp.EidTable.InstanceList.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.Lisp.EidTable.InstanceList.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.Lisp.EidTable.InstanceList.RemoteRlocProbe)}
                        self._child_list_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.EidTable.InstanceList.DatabaseMapping), "dynamic-eid" : ("dynamic_eid", Native.Router.Lisp.EidTable.InstanceList.DynamicEid), "map-cache" : ("map_cache", Native.Router.Lisp.EidTable.InstanceList.MapCache)}

                        self.instance_id = YLeaf(YType.uint32, "instance-id")

                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                        self.default = YLeaf(YType.empty, "default")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                        self.alt = Native.Router.Lisp.EidTable.InstanceList.Alt()
                        self.alt.parent = self
                        self._children_name_map["alt"] = "alt"
                        self._children_yang_names.add("alt")

                        self.control_packet = Native.Router.Lisp.EidTable.InstanceList.ControlPacket()
                        self.control_packet.parent = self
                        self._children_name_map["control_packet"] = "control-packet"
                        self._children_yang_names.add("control-packet")

                        self.ddt = None
                        self._children_name_map["ddt"] = "ddt"
                        self._children_yang_names.add("ddt")

                        self.decapsulation = Native.Router.Lisp.EidTable.InstanceList.Decapsulation()
                        self.decapsulation.parent = self
                        self._children_name_map["decapsulation"] = "decapsulation"
                        self._children_yang_names.add("decapsulation")

                        self.etr = Native.Router.Lisp.EidTable.InstanceList.Etr()
                        self.etr.parent = self
                        self._children_name_map["etr"] = "etr"
                        self._children_yang_names.add("etr")

                        self.ipv4 = Native.Router.Lisp.EidTable.InstanceList.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = Native.Router.Lisp.EidTable.InstanceList.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.loc_reach_algorithm = Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm()
                        self.loc_reach_algorithm.parent = self
                        self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                        self._children_yang_names.add("loc-reach-algorithm")

                        self.locator_down = Native.Router.Lisp.EidTable.InstanceList.LocatorDown()
                        self.locator_down.parent = self
                        self._children_name_map["locator_down"] = "locator-down"
                        self._children_yang_names.add("locator-down")

                        self.locator_table = Native.Router.Lisp.EidTable.InstanceList.LocatorTable()
                        self.locator_table.parent = self
                        self._children_name_map["locator_table"] = "locator-table"
                        self._children_yang_names.add("locator-table")

                        self.map_request = Native.Router.Lisp.EidTable.InstanceList.MapRequest()
                        self.map_request.parent = self
                        self._children_name_map["map_request"] = "map-request"
                        self._children_yang_names.add("map-request")

                        self.map_server = Native.Router.Lisp.EidTable.InstanceList.MapServer()
                        self.map_server.parent = self
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.other_xtr_probe = Native.Router.Lisp.EidTable.InstanceList.OtherXtrProbe()
                        self.other_xtr_probe.parent = self
                        self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                        self._children_yang_names.add("other-xtr-probe")

                        self.remote_rloc_probe = Native.Router.Lisp.EidTable.InstanceList.RemoteRlocProbe()
                        self.remote_rloc_probe.parent = self
                        self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                        self._children_yang_names.add("remote-rloc-probe")

                        self.database_mapping = YList(self)
                        self.dynamic_eid = YList(self)
                        self.map_cache = YList(self)
                        self._segment_path = lambda: "instance-list" + "[instance-id='" + self.instance_id.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/eid-table/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList, ['instance_id', 'vrf_name', 'default', 'vrf', 'disable_ttl_propagate'], name, value)


                    class DatabaseMapping(Entity):
                        """
                        Configures Locator addresses for an ETR
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: locator_set
                        
                        	Use locators defined by locator\-set
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.DatabaseMapping, self).__init__()

                            self.yang_name = "database-mapping"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                            self.locator_set = YLeaf(YType.str, "locator-set")
                            self._segment_path = lambda: "database-mapping" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.DatabaseMapping, ['eid_prefix', 'locator_set'], name, value)


                    class DynamicEid(Entity):
                        """
                        Configure a dynamic EID
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: database_mapping
                        
                        	Configures EID\-prefix and locator\-set for dynamic\-EID
                        	**type**\: list of  		 :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.DatabaseMapping>`
                        
                        .. attribute:: eid_notify
                        
                        	Configure options for sending/receiving EID\-notify
                        	**type**\:  :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify>`
                        
                        .. attribute:: map_notify_group
                        
                        	Multicast group which to send map\-notifies to
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.DynamicEid, self).__init__()

                            self.yang_name = "dynamic-eid"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"eid-notify" : ("eid_notify", Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify)}
                            self._child_list_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.EidTable.InstanceList.DynamicEid.DatabaseMapping), "map-server" : ("map_server", Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer)}

                            self.name = YLeaf(YType.str, "name")

                            self.map_notify_group = YLeaf(YType.str, "map-notify-group")

                            self.eid_notify = Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify()
                            self.eid_notify.parent = self
                            self._children_name_map["eid_notify"] = "eid-notify"
                            self._children_yang_names.add("eid-notify")

                            self.database_mapping = YList(self)
                            self.map_server = YList(self)
                            self._segment_path = lambda: "dynamic-eid" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.DynamicEid, ['name', 'map_notify_group'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Configures EID\-prefix and locator\-set for dynamic\-EID
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            .. attribute:: locator_set
                            
                            	Use locators defined by locator\-set
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.DynamicEid.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "dynamic-eid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.locator_set = YLeaf(YType.str, "locator-set")
                                self._segment_path = lambda: "database-mapping" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.DynamicEid.DatabaseMapping, ['eid_prefix', 'locator_set'], name, value)


                        class EidNotify(Entity):
                            """
                            Configure options for sending/receiving EID\-notify
                            
                            .. attribute:: authentication_key
                            
                            	Authentication key used for validating received EID\-notify
                            	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                            
                            .. attribute:: gateway_key
                            
                            	
                            	**type**\: list of  		 :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify, self).__init__()

                                self.yang_name = "eid-notify"
                                self.yang_parent_name = "dynamic-eid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey)}
                                self._child_list_classes = {"gateway-key" : ("gateway_key", Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey)}

                                self.authentication_key = Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                self.authentication_key.parent = self
                                self._children_name_map["authentication_key"] = "authentication-key"
                                self._children_yang_names.add("authentication-key")

                                self.gateway_key = YList(self)
                                self._segment_path = lambda: "eid-notify"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify, [], name, value)


                            class AuthenticationKey(Entity):
                                """
                                Authentication key used for validating received EID\-notify
                                
                                .. attribute:: ak_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: ak_6
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                .. attribute:: unc_pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey, self).__init__()

                                    self.yang_name = "authentication-key"
                                    self.yang_parent_name = "eid-notify"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")
                                    self._segment_path = lambda: "authentication-key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey, ['ak_0', 'ak_6', 'unc_pwd'], name, value)


                            class GatewayKey(Entity):
                                """
                                
                                
                                .. attribute:: gateway_ip  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ak_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: ak_6
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                .. attribute:: unc_pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: hash_function
                                
                                	EID\-notify authentication type
                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunction>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey, self).__init__()

                                    self.yang_name = "gateway-key"
                                    self.yang_parent_name = "eid-notify"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.gateway_ip = YLeaf(YType.str, "gateway-ip")

                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                    self._segment_path = lambda: "gateway-key" + "[gateway-ip='" + self.gateway_ip.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey, ['gateway_ip', 'ak_0', 'ak_6', 'unc_pwd', 'hash_function'], name, value)

                                class HashFunction(Enum):
                                    """
                                    HashFunction

                                    EID\-notify authentication type

                                    .. data:: sha1 = 0

                                    .. data:: sha2 = 1

                                    """

                                    sha1 = Enum.YLeaf(0, "sha1")

                                    sha2 = Enum.YLeaf(1, "sha2")



                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "dynamic-eid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key" : ("key", Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.str, "ip")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip='" + self.ip.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer, ['ip', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                .. attribute:: key_7
                                
                                	The HIDDEN password
                                	**type**\: str
                                
                                .. attribute:: pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: hash_function
                                
                                	Map\-Register authentication type
                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunction>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.key_0 = YLeaf(YType.str, "key-0")

                                    self.key_6 = YLeaf(YType.str, "key-6")

                                    self.key_7 = YLeaf(YType.str, "key-7")

                                    self.pwd = YLeaf(YType.str, "pwd")

                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.DynamicEid.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd', 'hash_function'], name, value)

                                class HashFunction(Enum):
                                    """
                                    HashFunction

                                    Map\-Register authentication type

                                    .. data:: sha1 = 0

                                    .. data:: sha2 = 1

                                    """

                                    sha1 = Enum.YLeaf(0, "sha1")

                                    sha2 = Enum.YLeaf(1, "sha2")



                    class Alt(Entity):
                        """
                        LISP Alternative Topology, LISP\-ALT
                        
                        .. attribute:: summary_route
                        
                        	Summary route to install into the ALT table
                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Alt.SummaryRoute>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.Alt, self).__init__()

                            self.yang_name = "alt"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.Lisp.EidTable.InstanceList.Alt.SummaryRoute)}

                            self.summary_route = YList(self)
                            self._segment_path = lambda: "alt"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Alt, [], name, value)


                        class SummaryRoute(Entity):
                            """
                            Summary route to install into the ALT table
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: route_tag
                            
                            	ALT RIB route tag for EID prefix
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Alt.SummaryRoute, self).__init__()

                                self.yang_name = "summary-route"
                                self.yang_parent_name = "alt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                    class ControlPacket(Entity):
                        """
                        Configure control packet tx option
                        
                        .. attribute:: mtu
                        
                        	Configure control packet MTU
                        	**type**\: int
                        
                        	**range:** 304..10000
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.ControlPacket, self).__init__()

                            self.yang_name = "control-packet"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.mtu = YLeaf(YType.uint32, "mtu")
                            self._segment_path = lambda: "control-packet"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.ControlPacket, ['mtu'], name, value)


                    class Ddt(Entity):
                        """
                        Delegated Database Tree (DDT) mapping system
                        
                        .. attribute:: authoritative
                        
                        	DDT authoritative prefix
                        	**type**\:  :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative>`
                        
                        .. attribute:: cache_limit
                        
                        	DDT resolver cache entry limit
                        	**type**\: int
                        
                        	**range:** 1..100000
                        
                        .. attribute:: root
                        
                        	DDT root node
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.Ddt, self).__init__()

                            self.yang_name = "ddt"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authoritative" : ("authoritative", Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cache_limit = YLeaf(YType.uint32, "cache-limit")

                            self.root = YLeaf(YType.str, "root")

                            self.authoritative = Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative()
                            self.authoritative.parent = self
                            self._children_name_map["authoritative"] = "authoritative"
                            self._children_yang_names.add("authoritative")
                            self._segment_path = lambda: "ddt"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ddt, ['cache_limit', 'root'], name, value)


                        class Authoritative(Entity):
                            """
                            DDT authoritative prefix
                            
                            .. attribute:: instance_id_eid_prefix_list
                            
                            	
                            	**type**\: list of  		 :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList>`
                            
                            .. attribute:: instance_id_list
                            
                            	
                            	**type**\: list of  		 :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative, self).__init__()

                                self.yang_name = "authoritative"
                                self.yang_parent_name = "ddt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"instance-id-eid-prefix-list" : ("instance_id_eid_prefix_list", Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList), "instance-id-list" : ("instance_id_list", Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList)}

                                self.instance_id_eid_prefix_list = YList(self)
                                self.instance_id_list = YList(self)
                                self._segment_path = lambda: "authoritative"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative, [], name, value)


                            class InstanceIdEidPrefixList(Entity):
                                """
                                
                                
                                .. attribute:: instance_id  <key>
                                
                                	EID instance\-ID
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: delegate
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                                
                                .. attribute:: map_server_peer
                                
                                	Peer map\-servers that are authoritative for the same EID prefixes
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList, self).__init__()

                                    self.yang_name = "instance-id-eid-prefix-list"
                                    self.yang_parent_name = "authoritative"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"delegate" : ("delegate", Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate)}
                                    self._child_list_classes = {}

                                    self.instance_id = YLeaf(YType.uint32, "instance-id")

                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                    self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                                    self.delegate = Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                                    self.delegate.parent = self
                                    self._children_name_map["delegate"] = "delegate"
                                    self._children_yang_names.add("delegate")
                                    self._segment_path = lambda: "instance-id-eid-prefix-list" + "[instance-id='" + self.instance_id.get() + "']" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList, ['instance_id', 'eid_prefix', 'map_server_peer'], name, value)


                                class Delegate(Entity):
                                    """
                                    DDT delegation to a child DDT node or map\-server
                                    
                                    .. attribute:: eid_prefix
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: instance_id
                                    
                                    	EID instance\-ID
                                    	**type**\: str
                                    
                                    .. attribute:: to
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip_address
                                    
                                    	IPv4/6 Child or map\-server node locator address
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: map_server
                                    
                                    	Delegation points to a map\-server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, self).__init__()

                                        self.yang_name = "delegate"
                                        self.yang_parent_name = "instance-id-eid-prefix-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.instance_id = YLeaf(YType.str, "instance-id")

                                        self.to = YLeaf(YType.empty, "to")

                                        self.ip_address = YLeaf(YType.str, "ip-address")

                                        self.map_server = YLeaf(YType.empty, "map-server")
                                        self._segment_path = lambda: "delegate"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                            class InstanceIdList(Entity):
                                """
                                
                                
                                .. attribute:: instance_id  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: delegate
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate>`
                                
                                .. attribute:: map_server_peer
                                
                                	Peer map\-servers that are authoritative for the same EID prefixes
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList, self).__init__()

                                    self.yang_name = "instance-id-list"
                                    self.yang_parent_name = "authoritative"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"delegate" : ("delegate", Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate)}
                                    self._child_list_classes = {}

                                    self.instance_id = YLeaf(YType.str, "instance-id")

                                    self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                                    self.delegate = Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate()
                                    self.delegate.parent = self
                                    self._children_name_map["delegate"] = "delegate"
                                    self._children_yang_names.add("delegate")
                                    self._segment_path = lambda: "instance-id-list" + "[instance-id='" + self.instance_id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList, ['instance_id', 'map_server_peer'], name, value)


                                class Delegate(Entity):
                                    """
                                    DDT delegation to a child DDT node or map\-server
                                    
                                    .. attribute:: eid_prefix
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: instance_id
                                    
                                    	EID instance\-ID
                                    	**type**\: str
                                    
                                    .. attribute:: to
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip_address
                                    
                                    	IPv4/6 Child or map\-server node locator address
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: map_server
                                    
                                    	Delegation points to a map\-server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate, self).__init__()

                                        self.yang_name = "delegate"
                                        self.yang_parent_name = "instance-id-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.instance_id = YLeaf(YType.str, "instance-id")

                                        self.to = YLeaf(YType.empty, "to")

                                        self.ip_address = YLeaf(YType.str, "ip-address")

                                        self.map_server = YLeaf(YType.empty, "map-server")
                                        self._segment_path = lambda: "delegate"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                    class Decapsulation(Entity):
                        """
                        Decapsulation behavior (e.g. filters)
                        
                        .. attribute:: filter
                        
                        	Filters traffic
                        	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.Decapsulation, self).__init__()

                            self.yang_name = "decapsulation"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"filter" : ("filter", Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter)}
                            self._child_list_classes = {}

                            self.filter = Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter()
                            self.filter.parent = self
                            self._children_name_map["filter"] = "filter"
                            self._children_yang_names.add("filter")
                            self._segment_path = lambda: "decapsulation"


                        class Filter(Entity):
                            """
                            Filters traffic
                            
                            .. attribute:: rloc
                            
                            	Filter based on Routing Locator (RLOC) in packet header
                            	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter, self).__init__()

                                self.yang_name = "filter"
                                self.yang_parent_name = "decapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc)}
                                self._child_list_classes = {}

                                self.rloc = Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc()
                                self.rloc.parent = self
                                self._children_name_map["rloc"] = "rloc"
                                self._children_yang_names.add("rloc")
                                self._segment_path = lambda: "filter"


                            class Rloc(Entity):
                                """
                                Filter based on Routing Locator (RLOC) in packet header
                                
                                .. attribute:: source
                                
                                	Filters traffic based on RLOC source address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc, self).__init__()

                                    self.yang_name = "rloc"
                                    self.yang_parent_name = "filter"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "rloc"


                                class Source(Entity):
                                    """
                                    Filters traffic based on RLOC source address
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator\-set Name
                                    	**type**\: str
                                    
                                    .. attribute:: member
                                    
                                    	Members learned from map\-server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "rloc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.locator_set = YLeaf(YType.str, "locator-set")

                                        self.member = YLeaf(YType.empty, "member")
                                        self._segment_path = lambda: "source"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                    class Etr(Entity):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.Etr, self).__init__()

                            self.yang_name = "etr"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"map-server" : ("map_server", Native.Router.Lisp.EidTable.InstanceList.Etr.MapServer)}
                            self._child_list_classes = {}

                            self.map_server = Native.Router.Lisp.EidTable.InstanceList.Etr.MapServer()
                            self.map_server.parent = self
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")
                            self._segment_path = lambda: "etr"


                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: source_address
                            
                            	Configures map server source address
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Etr.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.source_address = YLeaf(YType.str, "source-address")
                                self._segment_path = lambda: "map-server"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Etr.MapServer, ['source_address'], name, value)


                    class Ipv4(Entity):
                        """
                        IPv4 address family
                        
                        .. attribute:: alt_vrf
                        
                        	Activate LISP\-ALT functionality in VRF
                        	**type**\: str
                        
                        	**status**\: deprecated
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Distance>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.ItrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.EtrEnable>`
                        
                        .. attribute:: locator
                        
                        	Locator related configuration
                        	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: path_mtu_discovery
                        
                        	Path MTU discovery
                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.PathMtuDiscovery>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\: union of the below types:
                        
                        		**type**\: list of str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: list of str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteExport>`
                        
                        .. attribute:: route_import
                        
                        	Import RIB routes by a routing protocol into LISP
                        	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.UsePetr>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping), "distance" : ("distance", Native.Router.Lisp.EidTable.InstanceList.Ipv4.Distance), "itr" : ("itr", Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.EidTable.InstanceList.Ipv4.ItrEnable), "etr" : ("etr", Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr), "etr-enable" : ("etr_enable", Native.Router.Lisp.EidTable.InstanceList.Ipv4.EtrEnable), "locator" : ("locator", Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator), "map-cache" : ("map_cache", Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Lisp.EidTable.InstanceList.Ipv4.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport), "site-registration" : ("site_registration", Native.Router.Lisp.EidTable.InstanceList.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.EidTable.InstanceList.Ipv4.SolicitMapRequest)}
                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.EidTable.InstanceList.Ipv4.UsePetr)}

                            self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                            self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                            self.sgt = YLeaf(YType.empty, "sgt")

                            self.database_mapping = Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.distance = Native.Router.Lisp.EidTable.InstanceList.Ipv4.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.itr = Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.Lisp.EidTable.InstanceList.Ipv4.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr = Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.etr_enable = Native.Router.Lisp.EidTable.InstanceList.Ipv4.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.locator = Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator()
                            self.locator.parent = self
                            self._children_name_map["locator"] = "locator"
                            self._children_yang_names.add("locator")

                            self.map_cache = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")

                            self.map_cache_limit = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_cache_persistent = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                            self._children_yang_names.add("map-cache-persistent")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.path_mtu_discovery = None
                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                            self._children_yang_names.add("path-mtu-discovery")

                            self.route_export = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteExport()
                            self.route_export.parent = self
                            self._children_name_map["route_export"] = "route-export"
                            self._children_yang_names.add("route-export")

                            self.route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport()
                            self.route_import.parent = self
                            self._children_name_map["route_import"] = "route-import"
                            self._children_yang_names.add("route-import")

                            self.site_registration = Native.Router.Lisp.EidTable.InstanceList.Ipv4.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.Lisp.EidTable.InstanceList.Ipv4.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")

                            self.use_petr = YList(self)
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Distance(Entity):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.alt = YLeaf(YType.uint8, "alt")

                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.ItrEnable, ['itr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer)}

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr, [], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: key_7
                                    
                                    	The HIDDEN password
                                    	**type**\: str
                                    
                                    .. attribute:: pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.key_0 = YLeaf(YType.str, "key-0")

                                        self.key_6 = YLeaf(YType.str, "key-6")

                                        self.key_7 = YLeaf(YType.str, "key-7")

                                        self.pwd = YLeaf(YType.str, "pwd")
                                        self._segment_path = lambda: "key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.EtrEnable, ['etr'], name, value)


                        class Locator(Entity):
                            """
                            Locator related configuration
                            
                            .. attribute:: reachability
                            
                            	Configuration realted to locator reachability
                            	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator.Reachability>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator, self).__init__()

                                self.yang_name = "locator"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"reachability" : ("reachability", Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator.Reachability)}
                                self._child_list_classes = {}

                                self.reachability = Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator.Reachability()
                                self.reachability.parent = self
                                self._children_name_map["reachability"] = "reachability"
                                self._children_yang_names.add("reachability")
                                self._segment_path = lambda: "locator"


                            class Reachability(Entity):
                                """
                                Configuration realted to locator reachability
                                
                                .. attribute:: exclude_default
                                
                                	If a remote RLOC is reached via the default route, treat it as unreachable
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator.Reachability, self).__init__()

                                    self.yang_name = "reachability"
                                    self.yang_parent_name = "locator"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.exclude_default = YLeaf(YType.empty, "exclude-default")
                                    self._segment_path = lambda: "reachability"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.Locator.Reachability, ['exclude_default'], name, value)


                        class MapCache(Entity):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registration = YLeaf(YType.empty, "site-registration")
                                self._segment_path = lambda: "map-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCache, ['site_registration'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapCachePersistent(Entity):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCachePersistent, self).__init__()

                                self.yang_name = "map-cache-persistent"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")
                                self._segment_path = lambda: "map-cache-persistent"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapCachePersistent, ['interval'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.list = YLeaf(YType.empty, "list")

                                            self.registered = YLeaf(YType.empty, "registered")

                                            self.ipv4 = YLeaf(YType.str, "ipv4")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class PathMtuDiscovery(Entity):
                            """
                            Path MTU discovery
                            
                            .. attribute:: max
                            
                            	Upper bound on the path MTU accepted
                            	**type**\: int
                            
                            	**range:** 68..65535
                            
                            .. attribute:: min
                            
                            	Lower bound on the path MTU accepted
                            	**type**\: int
                            
                            	**range:** 68..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.PathMtuDiscovery, self).__init__()

                                self.yang_name = "path-mtu-discovery"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.max = YLeaf(YType.uint16, "max")

                                self.min = YLeaf(YType.uint16, "min")
                                self._segment_path = lambda: "path-mtu-discovery"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.PathMtuDiscovery, ['max', 'min'], name, value)


                        class RouteExport(Entity):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteExport, self).__init__()

                                self.yang_name = "route-export"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                self._segment_path = lambda: "route-export"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                        class RouteImport(Entity):
                            """
                            Import RIB routes by a routing protocol into LISP
                            
                            .. attribute:: database
                            
                            	Use RIB routes to define local EID database entries
                            	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database>`
                            
                            .. attribute:: map_cache
                            
                            	Use RIB routes to define EID address space in map\-cache
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport, self).__init__()

                                self.yang_name = "route-import"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database" : ("database", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache)}
                                self._child_list_classes = {}

                                self.database = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database()
                                self.database.parent = self
                                self._children_name_map["database"] = "database"
                                self._children_yang_names.add("database")

                                self.map_cache = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")
                                self._segment_path = lambda: "route-import"


                            class Database(Entity):
                                """
                                Use RIB routes to define local EID database entries
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected>`
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip>`
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database, self).__init__()

                                    self.yang_name = "database"
                                    self.yang_parent_name = "route-import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip), "static" : ("static", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static)}
                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3)}

                                    self.connected = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected()
                                    self.connected.parent = self
                                    self._children_name_map["connected"] = "connected"
                                    self._children_yang_names.add("connected")

                                    self.maximum_prefix = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                    self._children_yang_names.add("maximum-prefix")

                                    self.rip = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip()
                                    self.rip.parent = self
                                    self._children_name_map["rip"] = "rip"
                                    self._children_yang_names.add("rip")

                                    self.static = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static()
                                    self.static.parent = self
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")

                                    self.bgp = YList(self)
                                    self.eigrp = YList(self)
                                    self.isis = YList(self)
                                    self.ospf = YList(self)
                                    self.ospfv3 = YList(self)
                                    self._segment_path = lambda: "database"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database, [], name, value)


                                class Bgp(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Connected(Entity):
                                    """
                                    Connected
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected, self).__init__()

                                        self.yang_name = "connected"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "connected"


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "connected"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "eigrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Isis(Entity):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis, self).__init__()

                                        self.yang_name = "isis"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class MaximumPrefix(Entity):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                        self.yang_name = "maximum-prefix"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.int32, "number")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                        self._segment_path = lambda: "maximum-prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Ospfv3(Entity):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3, self).__init__()

                                        self.yang_name = "ospfv3"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "ospfv3"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Rip(Entity):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip, self).__init__()

                                        self.yang_name = "rip"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "rip"


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "rip"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Static(Entity):
                                    """
                                    Static routes
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "static"


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class MapCache(Entity):
                                """
                                Use RIB routes to define EID address space in map\-cache
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "route-import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static)}
                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3)}

                                    self.connected = None
                                    self._children_name_map["connected"] = "connected"
                                    self._children_yang_names.add("connected")

                                    self.maximum_prefix = Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                    self._children_yang_names.add("maximum-prefix")

                                    self.rip = None
                                    self._children_name_map["rip"] = "rip"
                                    self._children_yang_names.add("rip")

                                    self.static = None
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")

                                    self.bgp = YList(self)
                                    self.eigrp = YList(self)
                                    self.isis = YList(self)
                                    self.ospf = YList(self)
                                    self.ospfv3 = YList(self)
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache, [], name, value)


                                class Bgp(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                class Connected(Entity):
                                    """
                                    Connected
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                        self.yang_name = "connected"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "connected"


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "connected"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "eigrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                class Isis(Entity):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                        self.yang_name = "isis"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                class MaximumPrefix(Entity):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                        self.yang_name = "maximum-prefix"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.int32, "number")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                        self._segment_path = lambda: "maximum-prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                class Ospfv3(Entity):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3, self).__init__()

                                        self.yang_name = "ospfv3"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "ospfv3"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                                class Rip(Entity):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                        self.yang_name = "rip"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "rip"


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "rip"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class Static(Entity):
                                    """
                                    Static routes
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "static"


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations for a given instance\-id
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class UsePetr(Entity):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Configures which Locators from a set are preferred
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv4.UsePetr, self).__init__()

                                self.yang_name = "use-petr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.locator_address = YLeaf(YType.str, "locator-address")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.weight = YLeaf(YType.uint8, "weight")
                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv4.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


                    class Ipv6(Entity):
                        """
                        IPv6 address family
                        
                        .. attribute:: alt_vrf
                        
                        	Activate LISP\-ALT functionality in VRF
                        	**type**\: str
                        
                        	**status**\: deprecated
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Distance>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.ItrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.EtrEnable>`
                        
                        .. attribute:: locator
                        
                        	Locator related configuration
                        	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: path_mtu_discovery
                        
                        	Path MTU discovery
                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.PathMtuDiscovery>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\: union of the below types:
                        
                        		**type**\: list of str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: list of str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteExport>`
                        
                        .. attribute:: route_import
                        
                        	Import RIB routes by a routing protocol into LISP
                        	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.UsePetr>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping), "distance" : ("distance", Native.Router.Lisp.EidTable.InstanceList.Ipv6.Distance), "itr" : ("itr", Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.Lisp.EidTable.InstanceList.Ipv6.ItrEnable), "etr" : ("etr", Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr), "etr-enable" : ("etr_enable", Native.Router.Lisp.EidTable.InstanceList.Ipv6.EtrEnable), "locator" : ("locator", Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator), "map-cache" : ("map_cache", Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver), "map-server" : ("map_server", Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.Lisp.EidTable.InstanceList.Ipv6.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport), "site-registration" : ("site_registration", Native.Router.Lisp.EidTable.InstanceList.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.Lisp.EidTable.InstanceList.Ipv6.SolicitMapRequest)}
                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.Lisp.EidTable.InstanceList.Ipv6.UsePetr)}

                            self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                            self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                            self.sgt = YLeaf(YType.empty, "sgt")

                            self.database_mapping = Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.distance = Native.Router.Lisp.EidTable.InstanceList.Ipv6.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.itr = Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.Lisp.EidTable.InstanceList.Ipv6.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr = Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.etr_enable = Native.Router.Lisp.EidTable.InstanceList.Ipv6.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.locator = Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator()
                            self.locator.parent = self
                            self._children_name_map["locator"] = "locator"
                            self._children_yang_names.add("locator")

                            self.map_cache = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")

                            self.map_cache_limit = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_cache_persistent = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                            self._children_yang_names.add("map-cache-persistent")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.path_mtu_discovery = None
                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                            self._children_yang_names.add("path-mtu-discovery")

                            self.route_export = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteExport()
                            self.route_export.parent = self
                            self._children_name_map["route_export"] = "route-export"
                            self._children_yang_names.add("route-export")

                            self.route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport()
                            self.route_import.parent = self
                            self._children_name_map["route_import"] = "route-import"
                            self._children_yang_names.add("route-import")

                            self.site_registration = Native.Router.Lisp.EidTable.InstanceList.Ipv6.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.Lisp.EidTable.InstanceList.Ipv6.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")

                            self.use_petr = YList(self)
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"limit" : ("limit", Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Distance(Entity):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.alt = YLeaf(YType.uint8, "alt")

                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.ItrEnable, ['itr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer)}

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr, [], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: key_7
                                    
                                    	The HIDDEN password
                                    	**type**\: str
                                    
                                    .. attribute:: pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.key_0 = YLeaf(YType.str, "key-0")

                                        self.key_6 = YLeaf(YType.str, "key-6")

                                        self.key_7 = YLeaf(YType.str, "key-7")

                                        self.pwd = YLeaf(YType.str, "pwd")
                                        self._segment_path = lambda: "key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.EtrEnable, ['etr'], name, value)


                        class Locator(Entity):
                            """
                            Locator related configuration
                            
                            .. attribute:: reachability
                            
                            	Configuration realted to locator reachability
                            	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator.Reachability>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator, self).__init__()

                                self.yang_name = "locator"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"reachability" : ("reachability", Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator.Reachability)}
                                self._child_list_classes = {}

                                self.reachability = Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator.Reachability()
                                self.reachability.parent = self
                                self._children_name_map["reachability"] = "reachability"
                                self._children_yang_names.add("reachability")
                                self._segment_path = lambda: "locator"


                            class Reachability(Entity):
                                """
                                Configuration realted to locator reachability
                                
                                .. attribute:: exclude_default
                                
                                	If a remote RLOC is reached via the default route, treat it as unreachable
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator.Reachability, self).__init__()

                                    self.yang_name = "reachability"
                                    self.yang_parent_name = "locator"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.exclude_default = YLeaf(YType.empty, "exclude-default")
                                    self._segment_path = lambda: "reachability"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.Locator.Reachability, ['exclude_default'], name, value)


                        class MapCache(Entity):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registration = YLeaf(YType.empty, "site-registration")
                                self._segment_path = lambda: "map-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCache, ['site_registration'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapCachePersistent(Entity):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCachePersistent, self).__init__()

                                self.yang_name = "map-cache-persistent"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")
                                self._segment_path = lambda: "map-cache-persistent"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapCachePersistent, ['interval'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.list = YLeaf(YType.empty, "list")

                                            self.registered = YLeaf(YType.empty, "registered")

                                            self.ipv4 = YLeaf(YType.str, "ipv4")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class PathMtuDiscovery(Entity):
                            """
                            Path MTU discovery
                            
                            .. attribute:: max
                            
                            	Upper bound on the path MTU accepted
                            	**type**\: int
                            
                            	**range:** 68..65535
                            
                            .. attribute:: min
                            
                            	Lower bound on the path MTU accepted
                            	**type**\: int
                            
                            	**range:** 68..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.PathMtuDiscovery, self).__init__()

                                self.yang_name = "path-mtu-discovery"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.max = YLeaf(YType.uint16, "max")

                                self.min = YLeaf(YType.uint16, "min")
                                self._segment_path = lambda: "path-mtu-discovery"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.PathMtuDiscovery, ['max', 'min'], name, value)


                        class RouteExport(Entity):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteExport, self).__init__()

                                self.yang_name = "route-export"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                self._segment_path = lambda: "route-export"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                        class RouteImport(Entity):
                            """
                            Import RIB routes by a routing protocol into LISP
                            
                            .. attribute:: database
                            
                            	Use RIB routes to define local EID database entries
                            	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database>`
                            
                            .. attribute:: map_cache
                            
                            	Use RIB routes to define EID address space in map\-cache
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport, self).__init__()

                                self.yang_name = "route-import"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database" : ("database", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache)}
                                self._child_list_classes = {}

                                self.database = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database()
                                self.database.parent = self
                                self._children_name_map["database"] = "database"
                                self._children_yang_names.add("database")

                                self.map_cache = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")
                                self._segment_path = lambda: "route-import"


                            class Database(Entity):
                                """
                                Use RIB routes to define local EID database entries
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected>`
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip>`
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database, self).__init__()

                                    self.yang_name = "database"
                                    self.yang_parent_name = "route-import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip), "static" : ("static", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static)}
                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3)}

                                    self.connected = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected()
                                    self.connected.parent = self
                                    self._children_name_map["connected"] = "connected"
                                    self._children_yang_names.add("connected")

                                    self.maximum_prefix = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                    self._children_yang_names.add("maximum-prefix")

                                    self.rip = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip()
                                    self.rip.parent = self
                                    self._children_name_map["rip"] = "rip"
                                    self._children_yang_names.add("rip")

                                    self.static = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static()
                                    self.static.parent = self
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")

                                    self.bgp = YList(self)
                                    self.eigrp = YList(self)
                                    self.isis = YList(self)
                                    self.ospf = YList(self)
                                    self.ospfv3 = YList(self)
                                    self._segment_path = lambda: "database"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database, [], name, value)


                                class Bgp(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Connected(Entity):
                                    """
                                    Connected
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected, self).__init__()

                                        self.yang_name = "connected"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "connected"


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "connected"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "eigrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Isis(Entity):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis, self).__init__()

                                        self.yang_name = "isis"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class MaximumPrefix(Entity):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                        self.yang_name = "maximum-prefix"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.int32, "number")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                        self._segment_path = lambda: "maximum-prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Ospfv3(Entity):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3, self).__init__()

                                        self.yang_name = "ospfv3"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "ospfv3"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Rip(Entity):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip, self).__init__()

                                        self.yang_name = "rip"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "rip"


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "rip"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Static(Entity):
                                    """
                                    Static routes
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.lisp_ip_route_import = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "static"


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class MapCache(Entity):
                                """
                                Use RIB routes to define EID address space in map\-cache
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "route-import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"connected" : ("connected", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static)}
                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3)}

                                    self.connected = None
                                    self._children_name_map["connected"] = "connected"
                                    self._children_yang_names.add("connected")

                                    self.maximum_prefix = Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                    self._children_yang_names.add("maximum-prefix")

                                    self.rip = None
                                    self._children_name_map["rip"] = "rip"
                                    self._children_yang_names.add("rip")

                                    self.static = None
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")

                                    self.bgp = YList(self)
                                    self.eigrp = YList(self)
                                    self.isis = YList(self)
                                    self.ospf = YList(self)
                                    self.ospfv3 = YList(self)
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache, [], name, value)


                                class Bgp(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                class Connected(Entity):
                                    """
                                    Connected
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                        self.yang_name = "connected"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "connected"


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "connected"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "eigrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                class Isis(Entity):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                        self.yang_name = "isis"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                class MaximumPrefix(Entity):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                        self.yang_name = "maximum-prefix"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.int32, "number")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                        self._segment_path = lambda: "maximum-prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                class Ospfv3(Entity):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3, self).__init__()

                                        self.yang_name = "ospfv3"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "ospfv3"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                                class Rip(Entity):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                        self.yang_name = "rip"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "rip"


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "rip"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class Static(Entity):
                                    """
                                    Static routes
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "static"


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations for a given instance\-id
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class UsePetr(Entity):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Configures which Locators from a set are preferred
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.Ipv6.UsePetr, self).__init__()

                                self.yang_name = "use-petr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.locator_address = YLeaf(YType.str, "locator-address")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.weight = YLeaf(YType.uint8, "weight")
                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.Ipv6.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


                    class LocReachAlgorithm(Entity):
                        """
                        Configure locator reachability algorithm
                        
                        .. attribute:: lsb_reports
                        
                        	Configure data packet LSB report handling
                        	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm.LsbReports>`
                        
                        .. attribute:: rloc_probing
                        
                        	Probe high priority RLOCs with Map\-Requests as last resort
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm, self).__init__()

                            self.yang_name = "loc-reach-algorithm"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm.LsbReports)}
                            self._child_list_classes = {}

                            self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                            self.lsb_reports = Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm.LsbReports()
                            self.lsb_reports.parent = self
                            self._children_name_map["lsb_reports"] = "lsb-reports"
                            self._children_yang_names.add("lsb-reports")
                            self._segment_path = lambda: "loc-reach-algorithm"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm, ['rloc_probing'], name, value)


                        class LsbReports(Entity):
                            """
                            Configure data packet LSB report handling
                            
                            .. attribute:: do_not_transmit
                            
                            	Force the setting of the encapsulation header L bit to zero
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore data packet LSB reports
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm.LsbReports, self).__init__()

                                self.yang_name = "lsb-reports"
                                self.yang_parent_name = "loc-reach-algorithm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "lsb-reports"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                    class LocatorDown(Entity):
                        """
                        Manually set locator status to down
                        
                        .. attribute:: address
                        
                        	IPv4/6 Locator address to be set down
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv4_interface
                        
                        	Use IPv4 address of interface as locator
                        	**type**\: str
                        
                        .. attribute:: ipv6_interface
                        
                        	Use IPv6 address of interface as locator
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.LocatorDown, self).__init__()

                            self.yang_name = "locator-down"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.ipv4_interface = YLeaf(YType.str, "IPv4-interface")

                            self.ipv6_interface = YLeaf(YType.str, "IPv6-interface")
                            self._segment_path = lambda: "locator-down"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.LocatorDown, ['address', 'ipv4_interface', 'ipv6_interface'], name, value)


                    class LocatorTable(Entity):
                        """
                        Specify the RLOC table
                        
                        .. attribute:: vrf_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: default
                        
                        	Default VRF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	VRF name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.LocatorTable, self).__init__()

                            self.yang_name = "locator-table"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                            self.default = YLeaf(YType.empty, "default")

                            self.vrf = YLeaf(YType.str, "vrf")
                            self._segment_path = lambda: "locator-table"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.LocatorTable, ['vrf_name', 'default', 'vrf'], name, value)


                    class MapRequest(Entity):
                        """
                        Configure map\-request handling
                        
                        .. attribute:: itr_rlocs
                        
                        	Configure to use the specified RLOC set as ITR RLOC in map\-request
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.MapRequest, self).__init__()

                            self.yang_name = "map-request"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.itr_rlocs = YLeaf(YType.str, "itr-rlocs")
                            self._segment_path = lambda: "map-request"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.MapRequest, ['itr_rlocs'], name, value)


                    class MapServer(Entity):
                        """
                        Map\-Server commands
                        
                        .. attribute:: rloc
                        
                        	EID instance RLOC membership
                        	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc>`
                        
                        .. attribute:: site_registration
                        
                        	Map\-server site registration options
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapServer.SiteRegistration>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rloc" : ("rloc", Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.Lisp.EidTable.InstanceList.MapServer.SiteRegistration)}
                            self._child_list_classes = {}

                            self.rloc = Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc()
                            self.rloc.parent = self
                            self._children_name_map["rloc"] = "rloc"
                            self._children_yang_names.add("rloc")

                            self.site_registration = Native.Router.Lisp.EidTable.InstanceList.MapServer.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")
                            self._segment_path = lambda: "map-server"


                        class Rloc(Entity):
                            """
                            EID instance RLOC membership
                            
                            .. attribute:: members
                            
                            	EID instance RLOC membership
                            	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc, self).__init__()

                                self.yang_name = "rloc"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"members" : ("members", Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members)}
                                self._child_list_classes = {}

                                self.members = Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members()
                                self.members.parent = self
                                self._children_name_map["members"] = "members"
                                self._children_yang_names.add("members")
                                self._segment_path = lambda: "rloc"


                            class Members(Entity):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: distribute
                                
                                	EID instance RLOC membership distribution
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: modify_discovered
                                
                                	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members, self).__init__()

                                    self.yang_name = "members"
                                    self.yang_parent_name = "rloc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered)}
                                    self._child_list_classes = {}

                                    self.distribute = YLeaf(YType.empty, "distribute")

                                    self.modify_discovered = Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                    self.modify_discovered.parent = self
                                    self._children_name_map["modify_discovered"] = "modify-discovered"
                                    self._children_yang_names.add("modify-discovered")
                                    self._segment_path = lambda: "members"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members, ['distribute'], name, value)


                                class ModifyDiscovered(Entity):
                                    """
                                    Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    
                                    .. attribute:: operator
                                    
                                    	
                                    	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set from which to get member RLOC addresses
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                        self.yang_name = "modify-discovered"
                                        self.yang_parent_name = "members"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.operator = YLeaf(YType.enumeration, "operator")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "modify-discovered"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                    class Operator(Enum):
                                        """
                                        Operator

                                        .. data:: add = 0

                                        .. data:: override = 1

                                        """

                                        add = Enum.YLeaf(0, "add")

                                        override = Enum.YLeaf(1, "override")



                        class SiteRegistration(Entity):
                            """
                            Map\-server site registration options
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations as a result of accept\-more\-specifics
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.MapServer.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class OtherXtrProbe(Entity):
                        """
                        Configure parameters for probing of other xTRs in our site
                        
                        .. attribute:: period
                        
                        	Period between probes in seconds
                        	**type**\: int
                        
                        	**range:** 5..900
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.OtherXtrProbe, self).__init__()

                            self.yang_name = "other-xtr-probe"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.period = YLeaf(YType.uint16, "period")
                            self._segment_path = lambda: "other-xtr-probe"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.OtherXtrProbe, ['period'], name, value)


                    class RemoteRlocProbe(Entity):
                        """
                        Configure parameters for probing of remote RLOCs
                        
                        .. attribute:: on_membership_change
                        
                        	Trigger probing upon membership changes for remote RLOC
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: on_route_change
                        
                        	Trigger probing upon routing changes for remote RLOC
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.RemoteRlocProbe, self).__init__()

                            self.yang_name = "remote-rloc-probe"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                            self.on_route_change = YLeaf(YType.empty, "on-route-change")
                            self._segment_path = lambda: "remote-rloc-probe"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                    class MapCache(Entity):
                        """
                        Configures static EID\-to\-RLOC mappings for an ITR
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: etr_interface_ip
                        
                        	
                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.EidTable.InstanceList.MapCache.EtrInterfaceIp>`
                        
                        .. attribute:: drop
                        
                        	Drop packets that match this map\-cache entry
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: map_request
                        
                        	Send Map\-Request for LISP destination EID
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: native_forward
                        
                        	Natively forward packets that match this map\-cache entry
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.EidTable.InstanceList.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.Lisp.EidTable.InstanceList.MapCache.EtrInterfaceIp)}
                            self._child_list_classes = {}

                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                            self.drop = YLeaf(YType.empty, "drop")

                            self.map_request = YLeaf(YType.empty, "map-request")

                            self.native_forward = YLeaf(YType.empty, "native-forward")

                            self.etr_interface_ip = Native.Router.Lisp.EidTable.InstanceList.MapCache.EtrInterfaceIp()
                            self.etr_interface_ip.parent = self
                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                            self._children_yang_names.add("etr-interface-ip")
                            self._segment_path = lambda: "map-cache" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.MapCache, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                        class EtrInterfaceIp(Entity):
                            """
                            
                            
                            .. attribute:: etr_interface_ip_address
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Configures which Locators from a set are preferred
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.EidTable.InstanceList.MapCache.EtrInterfaceIp, self).__init__()

                                self.yang_name = "etr-interface-ip"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.weight = YLeaf(YType.uint8, "weight")
                                self._segment_path = lambda: "etr-interface-ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.EidTable.InstanceList.MapCache.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


            class Security(Entity):
                """
                Enable default LISP security and authentication in reply is optional
                
                .. attribute:: strong
                
                	Enable default LISP security and authentication in reply is required
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.Security, self).__init__()

                    self.yang_name = "security"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.strong = YLeaf(YType.empty, "strong")
                    self._segment_path = lambda: "security"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.Security, ['strong'], name, value)


            class Site(Entity):
                """
                Configure a LISP site on a map server (MS)
                
                .. attribute:: sname  <key>
                
                	The site name
                	**type**\: str
                
                .. attribute:: default
                
                	
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default>`
                
                .. attribute:: authentication_key
                
                	Authentication key used by LISP site
                	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.AuthenticationKey>`
                
                .. attribute:: description
                
                	Site description
                	**type**\: str
                
                .. attribute:: allowed_locator
                
                	Locator from LISP site
                	**type**\:  :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.AllowedLocator>`
                
                .. attribute:: eid_prefix
                
                	Site EID address prefix
                	**type**\:  :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidPrefix>`
                
                .. attribute:: eid_record
                
                	Site EID address prefix
                	**type**\:  :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidRecord>`
                
                .. attribute:: site_id
                
                	Configure a site\-id for this site
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.Site, self).__init__()

                    self.yang_name = "site"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Router.Lisp.Site.Default), "authentication-key" : ("authentication_key", Native.Router.Lisp.Site.AuthenticationKey), "allowed-locator" : ("allowed_locator", Native.Router.Lisp.Site.AllowedLocator), "eid-prefix" : ("eid_prefix", Native.Router.Lisp.Site.EidPrefix), "eid-record" : ("eid_record", Native.Router.Lisp.Site.EidRecord)}
                    self._child_list_classes = {}

                    self.sname = YLeaf(YType.str, "sname")

                    self.description = YLeaf(YType.str, "description")

                    self.site_id = YLeaf(YType.uint32, "site-id")

                    self.default = Native.Router.Lisp.Site.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.authentication_key = Native.Router.Lisp.Site.AuthenticationKey()
                    self.authentication_key.parent = self
                    self._children_name_map["authentication_key"] = "authentication-key"
                    self._children_yang_names.add("authentication-key")

                    self.allowed_locator = Native.Router.Lisp.Site.AllowedLocator()
                    self.allowed_locator.parent = self
                    self._children_name_map["allowed_locator"] = "allowed-locator"
                    self._children_yang_names.add("allowed-locator")

                    self.eid_prefix = Native.Router.Lisp.Site.EidPrefix()
                    self.eid_prefix.parent = self
                    self._children_name_map["eid_prefix"] = "eid-prefix"
                    self._children_yang_names.add("eid-prefix")

                    self.eid_record = Native.Router.Lisp.Site.EidRecord()
                    self.eid_record.parent = self
                    self._children_name_map["eid_record"] = "eid-record"
                    self._children_yang_names.add("eid-record")
                    self._segment_path = lambda: "site" + "[sname='" + self.sname.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.Site, ['sname', 'description', 'site_id'], name, value)


                class Default(Entity):
                    """
                    
                    
                    .. attribute:: authentication_key
                    
                    	Authentication key used by LISP site
                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.AuthenticationKey>`
                    
                    .. attribute:: description
                    
                    	Site description
                    	**type**\: str
                    
                    .. attribute:: allowed_locator
                    
                    	Locator from LISP site
                    	**type**\:  :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.AllowedLocator>`
                    
                    .. attribute:: eid_prefix
                    
                    	Site EID address prefix
                    	**type**\:  :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidPrefix>`
                    
                    .. attribute:: eid_record
                    
                    	Site EID address prefix
                    	**type**\:  :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidRecord>`
                    
                    .. attribute:: site_id
                    
                    	Configure a site\-id for this site
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Site.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Lisp.Site.Default.AuthenticationKey), "allowed-locator" : ("allowed_locator", Native.Router.Lisp.Site.Default.AllowedLocator), "eid-prefix" : ("eid_prefix", Native.Router.Lisp.Site.Default.EidPrefix), "eid-record" : ("eid_record", Native.Router.Lisp.Site.Default.EidRecord)}
                        self._child_list_classes = {}

                        self.description = YLeaf(YType.str, "description")

                        self.site_id = YLeaf(YType.uint32, "site-id")

                        self.authentication_key = Native.Router.Lisp.Site.Default.AuthenticationKey()
                        self.authentication_key.parent = self
                        self._children_name_map["authentication_key"] = "authentication-key"
                        self._children_yang_names.add("authentication-key")

                        self.allowed_locator = Native.Router.Lisp.Site.Default.AllowedLocator()
                        self.allowed_locator.parent = self
                        self._children_name_map["allowed_locator"] = "allowed-locator"
                        self._children_yang_names.add("allowed-locator")

                        self.eid_prefix = Native.Router.Lisp.Site.Default.EidPrefix()
                        self.eid_prefix.parent = self
                        self._children_name_map["eid_prefix"] = "eid-prefix"
                        self._children_yang_names.add("eid-prefix")

                        self.eid_record = Native.Router.Lisp.Site.Default.EidRecord()
                        self.eid_record.parent = self
                        self._children_name_map["eid_record"] = "eid-record"
                        self._children_yang_names.add("eid-record")
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Site.Default, ['description', 'site_id'], name, value)


                    class AuthenticationKey(Entity):
                        """
                        Authentication key used by LISP site
                        
                        .. attribute:: unc_pwd
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\: str
                        
                        .. attribute:: key_0
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\: str
                        
                        .. attribute:: key_6
                        
                        	The ENCRYPTED password
                        	**type**\: str
                        
                        .. attribute:: key_7
                        
                        	The ENCRYPTED password
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Site.Default.AuthenticationKey, self).__init__()

                            self.yang_name = "authentication-key"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                            self.key_0 = YLeaf(YType.str, "key-0")

                            self.key_6 = YLeaf(YType.str, "key-6")

                            self.key_7 = YLeaf(YType.str, "key-7")
                            self._segment_path = lambda: "authentication-key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Site.Default.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                    class AllowedLocator(Entity):
                        """
                        Locator from LISP site
                        
                        .. attribute:: ls_ipv4
                        
                        	IPv4 locator allowed in registered locator\-set
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ls_ipv6
                        
                        	IPv6 locator allowed in registered locator\-set
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: list
                        
                        	Prefixes allowed in registerd locator\-set
                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.AllowedLocator.List>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Site.Default.AllowedLocator, self).__init__()

                            self.yang_name = "allowed-locator"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Site.Default.AllowedLocator.List)}
                            self._child_list_classes = {}

                            self.ls_ipv4 = YLeaf(YType.str, "ls-ipv4")

                            self.ls_ipv6 = YLeaf(YType.str, "ls-ipv6")

                            self.list = Native.Router.Lisp.Site.Default.AllowedLocator.List()
                            self.list.parent = self
                            self._children_name_map["list"] = "list"
                            self._children_yang_names.add("list")
                            self._segment_path = lambda: "allowed-locator"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Site.Default.AllowedLocator, ['ls_ipv4', 'ls_ipv6'], name, value)


                        class List(Entity):
                            """
                            Prefixes allowed in registerd locator\-set
                            
                            .. attribute:: ipv4
                            
                            	IPv4 prefix\-list name
                            	**type**\: str
                            
                            .. attribute:: ipv6
                            
                            	IPv6 prefix\-list name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Site.Default.AllowedLocator.List, self).__init__()

                                self.yang_name = "list"
                                self.yang_parent_name = "allowed-locator"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                self._segment_path = lambda: "list"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Site.Default.AllowedLocator.List, ['ipv4', 'ipv6'], name, value)


                    class EidPrefix(Entity):
                        """
                        Site EID address prefix
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidPrefix.Prefixes>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidPrefix.InstanceId>`
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Site.Default.EidPrefix, self).__init__()

                            self.yang_name = "eid-prefix"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Site.Default.EidPrefix.Prefixes), "instance-id" : ("instance_id", Native.Router.Lisp.Site.Default.EidPrefix.InstanceId)}

                            self.any_mac = YLeaf(YType.empty, "any-mac")

                            self.prefixes = YList(self)
                            self.instance_id = YList(self)
                            self._segment_path = lambda: "eid-prefix"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Site.Default.EidPrefix, ['any_mac'], name, value)


                        class Prefixes(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Site.Default.EidPrefix.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "eid-prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Site.Default.EidPrefix.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                        class InstanceId(Entity):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidPrefix.InstanceId.Prefixes>`
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Site.Default.EidPrefix.InstanceId, self).__init__()

                                self.yang_name = "instance-id"
                                self.yang_parent_name = "eid-prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Site.Default.EidPrefix.InstanceId.Prefixes)}

                                self.id = YLeaf(YType.uint32, "id")

                                self.any_mac = YLeaf(YType.empty, "any-mac")

                                self.prefixes = YList(self)
                                self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Site.Default.EidPrefix.InstanceId, ['id', 'any_mac'], name, value)


                            class Prefixes(Entity):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Site.Default.EidPrefix.InstanceId.Prefixes, self).__init__()

                                    self.yang_name = "prefixes"
                                    self.yang_parent_name = "instance-id"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.prefix = YLeaf(YType.str, "prefix")

                                    self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Site.Default.EidPrefix.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                    class EidRecord(Entity):
                        """
                        Site EID address prefix
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidRecord.Prefixes>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidRecord.InstanceId>`
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Site.Default.EidRecord, self).__init__()

                            self.yang_name = "eid-record"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Site.Default.EidRecord.Prefixes), "instance-id" : ("instance_id", Native.Router.Lisp.Site.Default.EidRecord.InstanceId)}

                            self.any_mac = YLeaf(YType.empty, "any-mac")

                            self.prefixes = YList(self)
                            self.instance_id = YList(self)
                            self._segment_path = lambda: "eid-record"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Site.Default.EidRecord, ['any_mac'], name, value)


                        class Prefixes(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Site.Default.EidRecord.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "eid-record"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Site.Default.EidRecord.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                        class InstanceId(Entity):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.Default.EidRecord.InstanceId.Prefixes>`
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Site.Default.EidRecord.InstanceId, self).__init__()

                                self.yang_name = "instance-id"
                                self.yang_parent_name = "eid-record"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Site.Default.EidRecord.InstanceId.Prefixes)}

                                self.id = YLeaf(YType.uint32, "id")

                                self.any_mac = YLeaf(YType.empty, "any-mac")

                                self.prefixes = YList(self)
                                self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Site.Default.EidRecord.InstanceId, ['id', 'any_mac'], name, value)


                            class Prefixes(Entity):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Lisp.Site.Default.EidRecord.InstanceId.Prefixes, self).__init__()

                                    self.yang_name = "prefixes"
                                    self.yang_parent_name = "instance-id"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.prefix = YLeaf(YType.str, "prefix")

                                    self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Lisp.Site.Default.EidRecord.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                class AuthenticationKey(Entity):
                    """
                    Authentication key used by LISP site
                    
                    .. attribute:: unc_pwd
                    
                    	The UNENCRYPTED (cleartext) password
                    	**type**\: str
                    
                    .. attribute:: key_0
                    
                    	The UNENCRYPTED (cleartext) password
                    	**type**\: str
                    
                    .. attribute:: key_6
                    
                    	The ENCRYPTED password
                    	**type**\: str
                    
                    .. attribute:: key_7
                    
                    	The ENCRYPTED password
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Site.AuthenticationKey, self).__init__()

                        self.yang_name = "authentication-key"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                        self.key_0 = YLeaf(YType.str, "key-0")

                        self.key_6 = YLeaf(YType.str, "key-6")

                        self.key_7 = YLeaf(YType.str, "key-7")
                        self._segment_path = lambda: "authentication-key"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Site.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                class AllowedLocator(Entity):
                    """
                    Locator from LISP site
                    
                    .. attribute:: ls_ipv4
                    
                    	IPv4 locator allowed in registered locator\-set
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ls_ipv6
                    
                    	IPv6 locator allowed in registered locator\-set
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: list
                    
                    	Prefixes allowed in registerd locator\-set
                    	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.AllowedLocator.List>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Site.AllowedLocator, self).__init__()

                        self.yang_name = "allowed-locator"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"list" : ("list", Native.Router.Lisp.Site.AllowedLocator.List)}
                        self._child_list_classes = {}

                        self.ls_ipv4 = YLeaf(YType.str, "ls-ipv4")

                        self.ls_ipv6 = YLeaf(YType.str, "ls-ipv6")

                        self.list = Native.Router.Lisp.Site.AllowedLocator.List()
                        self.list.parent = self
                        self._children_name_map["list"] = "list"
                        self._children_yang_names.add("list")
                        self._segment_path = lambda: "allowed-locator"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Site.AllowedLocator, ['ls_ipv4', 'ls_ipv6'], name, value)


                    class List(Entity):
                        """
                        Prefixes allowed in registerd locator\-set
                        
                        .. attribute:: ipv4
                        
                        	IPv4 prefix\-list name
                        	**type**\: str
                        
                        .. attribute:: ipv6
                        
                        	IPv6 prefix\-list name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Site.AllowedLocator.List, self).__init__()

                            self.yang_name = "list"
                            self.yang_parent_name = "allowed-locator"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.ipv6 = YLeaf(YType.str, "ipv6")
                            self._segment_path = lambda: "list"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Site.AllowedLocator.List, ['ipv4', 'ipv6'], name, value)


                class EidPrefix(Entity):
                    """
                    Site EID address prefix
                    
                    .. attribute:: prefixes
                    
                    	
                    	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidPrefix.Prefixes>`
                    
                    .. attribute:: instance_id
                    
                    	EID instance\-ID
                    	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidPrefix.InstanceId>`
                    
                    .. attribute:: any_mac
                    
                    	Accept registrations for any L2 EID records
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Site.EidPrefix, self).__init__()

                        self.yang_name = "eid-prefix"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Site.EidPrefix.Prefixes), "instance-id" : ("instance_id", Native.Router.Lisp.Site.EidPrefix.InstanceId)}

                        self.any_mac = YLeaf(YType.empty, "any-mac")

                        self.prefixes = YList(self)
                        self.instance_id = YList(self)
                        self._segment_path = lambda: "eid-prefix"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Site.EidPrefix, ['any_mac'], name, value)


                    class Prefixes(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: accept_more_specifics
                        
                        	Accept registrations for more specific EID prefixes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_tag
                        
                        	RIB route tag
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Site.EidPrefix.Prefixes, self).__init__()

                            self.yang_name = "prefixes"
                            self.yang_parent_name = "eid-prefix"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                            self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Site.EidPrefix.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                    class InstanceId(Entity):
                        """
                        EID instance\-ID
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidPrefix.InstanceId.Prefixes>`
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Site.EidPrefix.InstanceId, self).__init__()

                            self.yang_name = "instance-id"
                            self.yang_parent_name = "eid-prefix"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Site.EidPrefix.InstanceId.Prefixes)}

                            self.id = YLeaf(YType.uint32, "id")

                            self.any_mac = YLeaf(YType.empty, "any-mac")

                            self.prefixes = YList(self)
                            self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Site.EidPrefix.InstanceId, ['id', 'any_mac'], name, value)


                        class Prefixes(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Site.EidPrefix.InstanceId.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "instance-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Site.EidPrefix.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                class EidRecord(Entity):
                    """
                    Site EID address prefix
                    
                    .. attribute:: prefixes
                    
                    	
                    	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidRecord.Prefixes>`
                    
                    .. attribute:: instance_id
                    
                    	EID instance\-ID
                    	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidRecord.InstanceId>`
                    
                    .. attribute:: any_mac
                    
                    	Accept registrations for any L2 EID records
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Site.EidRecord, self).__init__()

                        self.yang_name = "eid-record"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Site.EidRecord.Prefixes), "instance-id" : ("instance_id", Native.Router.Lisp.Site.EidRecord.InstanceId)}

                        self.any_mac = YLeaf(YType.empty, "any-mac")

                        self.prefixes = YList(self)
                        self.instance_id = YList(self)
                        self._segment_path = lambda: "eid-record"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Site.EidRecord, ['any_mac'], name, value)


                    class Prefixes(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: accept_more_specifics
                        
                        	Accept registrations for more specific EID prefixes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_tag
                        
                        	RIB route tag
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Site.EidRecord.Prefixes, self).__init__()

                            self.yang_name = "prefixes"
                            self.yang_parent_name = "eid-record"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                            self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Site.EidRecord.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                    class InstanceId(Entity):
                        """
                        EID instance\-ID
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Site.EidRecord.InstanceId.Prefixes>`
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Lisp.Site.EidRecord.InstanceId, self).__init__()

                            self.yang_name = "instance-id"
                            self.yang_parent_name = "eid-record"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.Lisp.Site.EidRecord.InstanceId.Prefixes)}

                            self.id = YLeaf(YType.uint32, "id")

                            self.any_mac = YLeaf(YType.empty, "any-mac")

                            self.prefixes = YList(self)
                            self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Lisp.Site.EidRecord.InstanceId, ['id', 'any_mac'], name, value)


                        class Prefixes(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Lisp.Site.EidRecord.InstanceId.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "instance-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Lisp.Site.EidRecord.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


            class Syslog(Entity):
                """
                Configure syslog option
                
                .. attribute:: session
                
                	Enable session syslog
                	**type**\:  :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Lisp.Syslog.Session>`
                
                .. attribute:: verbose
                
                	Enable verbose syslog
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Lisp.Syslog, self).__init__()

                    self.yang_name = "syslog"
                    self.yang_parent_name = "lisp"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"session" : ("session", Native.Router.Lisp.Syslog.Session)}
                    self._child_list_classes = {}

                    self.verbose = YLeaf(YType.empty, "verbose")

                    self.session = Native.Router.Lisp.Syslog.Session()
                    self.session.parent = self
                    self._children_name_map["session"] = "session"
                    self._children_yang_names.add("session")
                    self._segment_path = lambda: "syslog"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Lisp.Syslog, ['verbose'], name, value)


                class Session(Entity):
                    """
                    Enable session syslog
                    
                    .. attribute:: changes
                    
                    	Enable session change syslog
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Lisp.Syslog.Session, self).__init__()

                        self.yang_name = "session"
                        self.yang_parent_name = "syslog"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.changes = YLeaf(YType.empty, "changes")
                        self._segment_path = lambda: "session"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-lisp:lisp/syslog/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Lisp.Syslog.Session, ['changes'], name, value)


        class LispList(Entity):
            """
            Locator/ID Separation Protocol
            
            .. attribute:: lisp  <key>
            
            	Locator/ID Separation Protocol
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: default
            
            	
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default>`
            
            .. attribute:: service
            
            	Configure lisp service type
            	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service>`
            
            	**presence node**\: True
            
            .. attribute:: encapsulation
            
            	Select encapsulation type for data packets
            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Encapsulation>`
            
            .. attribute:: locator_set
            
            	Configure a named locator set
            	**type**\: list of  		 :py:class:`LocatorSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorSet>`
            
            .. attribute:: locator
            
            	Locator configuration
            	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Locator>`
            
            .. attribute:: locator_scope
            
            	Configure a locator scope
            	**type**\: list of  		 :py:class:`LocatorScope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorScope>`
            
            .. attribute:: instance_container
            
            	EID instance\-ID
            	**type**\:  :py:class:`InstanceContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer>`
            
            .. attribute:: alt
            
            	LISP Alternative Topology, LISP\-ALT
            	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Alt>`
            
            .. attribute:: control_packet
            
            	Configure control packet tx option
            	**type**\:  :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.ControlPacket>`
            
            .. attribute:: ddt
            
            	Delegated Database Tree (DDT) mapping system
            	**type**\:  :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ddt>`
            
            	**presence node**\: True
            
            .. attribute:: decapsulation
            
            	Decapsulation behavior (e.g. filters)
            	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Decapsulation>`
            
            .. attribute:: disable_ttl_propagate
            
            	Disable ttl propagation
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: etr
            
            	Configures a LISP Egress Tunnel Router (ETR)
            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Etr>`
            
            .. attribute:: ipv4
            
            	IPv4 address family
            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4>`
            
            .. attribute:: ipv6
            
            	IPv6 address family
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6>`
            
            .. attribute:: loc_reach_algorithm
            
            	Configure locator reachability algorithm
            	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocReachAlgorithm>`
            
            .. attribute:: locator_down
            
            	Manually set locator status to down
            	**type**\:  :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorDown>`
            
            .. attribute:: locator_table
            
            	Specify the RLOC table
            	**type**\:  :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorTable>`
            
            .. attribute:: map_request
            
            	Configure map\-request handling
            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapRequest>`
            
            .. attribute:: map_server
            
            	Map\-Server commands
            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapServer>`
            
            .. attribute:: other_xtr_probe
            
            	Configure parameters for probing of other xTRs in our site
            	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.OtherXtrProbe>`
            
            .. attribute:: remote_rloc_probe
            
            	Configure parameters for probing of remote RLOCs
            	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.RemoteRlocProbe>`
            
            .. attribute:: eid_table
            
            	Configure an EID instance for a VRF
            	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable>`
            
            .. attribute:: security
            
            	Enable default LISP security and authentication in reply is optional
            	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Security>`
            
            	**presence node**\: True
            
            .. attribute:: site
            
            	Configure a LISP site on a map server (MS)
            	**type**\: list of  		 :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site>`
            
            .. attribute:: site_id
            
            	Configure a site\-id for this site
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: syslog
            
            	Configure syslog option
            	**type**\:  :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Syslog>`
            
            

            """

            _prefix = 'ios-lisp'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.Router.LispList, self).__init__()

                self.yang_name = "lisp-list"
                self.yang_parent_name = "router"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"default" : ("default", Native.Router.LispList.Default), "service" : ("service", Native.Router.LispList.Service), "encapsulation" : ("encapsulation", Native.Router.LispList.Encapsulation), "locator" : ("locator", Native.Router.LispList.Locator), "instance-container" : ("instance_container", Native.Router.LispList.InstanceContainer), "alt" : ("alt", Native.Router.LispList.Alt), "control-packet" : ("control_packet", Native.Router.LispList.ControlPacket), "ddt" : ("ddt", Native.Router.LispList.Ddt), "decapsulation" : ("decapsulation", Native.Router.LispList.Decapsulation), "etr" : ("etr", Native.Router.LispList.Etr), "ipv4" : ("ipv4", Native.Router.LispList.Ipv4), "ipv6" : ("ipv6", Native.Router.LispList.Ipv6), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.LispList.LocReachAlgorithm), "locator-down" : ("locator_down", Native.Router.LispList.LocatorDown), "locator-table" : ("locator_table", Native.Router.LispList.LocatorTable), "map-request" : ("map_request", Native.Router.LispList.MapRequest), "map-server" : ("map_server", Native.Router.LispList.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.LispList.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.LispList.RemoteRlocProbe), "eid-table" : ("eid_table", Native.Router.LispList.EidTable), "security" : ("security", Native.Router.LispList.Security), "syslog" : ("syslog", Native.Router.LispList.Syslog)}
                self._child_list_classes = {"locator-set" : ("locator_set", Native.Router.LispList.LocatorSet), "locator-scope" : ("locator_scope", Native.Router.LispList.LocatorScope), "site" : ("site", Native.Router.LispList.Site)}

                self.lisp = YLeaf(YType.uint16, "lisp")

                self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                self.site_id = YLeaf(YType.uint32, "site-id")

                self.default = Native.Router.LispList.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.service = None
                self._children_name_map["service"] = "service"
                self._children_yang_names.add("service")

                self.encapsulation = Native.Router.LispList.Encapsulation()
                self.encapsulation.parent = self
                self._children_name_map["encapsulation"] = "encapsulation"
                self._children_yang_names.add("encapsulation")

                self.locator = Native.Router.LispList.Locator()
                self.locator.parent = self
                self._children_name_map["locator"] = "locator"
                self._children_yang_names.add("locator")

                self.instance_container = Native.Router.LispList.InstanceContainer()
                self.instance_container.parent = self
                self._children_name_map["instance_container"] = "instance-container"
                self._children_yang_names.add("instance-container")

                self.alt = Native.Router.LispList.Alt()
                self.alt.parent = self
                self._children_name_map["alt"] = "alt"
                self._children_yang_names.add("alt")

                self.control_packet = Native.Router.LispList.ControlPacket()
                self.control_packet.parent = self
                self._children_name_map["control_packet"] = "control-packet"
                self._children_yang_names.add("control-packet")

                self.ddt = None
                self._children_name_map["ddt"] = "ddt"
                self._children_yang_names.add("ddt")

                self.decapsulation = Native.Router.LispList.Decapsulation()
                self.decapsulation.parent = self
                self._children_name_map["decapsulation"] = "decapsulation"
                self._children_yang_names.add("decapsulation")

                self.etr = Native.Router.LispList.Etr()
                self.etr.parent = self
                self._children_name_map["etr"] = "etr"
                self._children_yang_names.add("etr")

                self.ipv4 = Native.Router.LispList.Ipv4()
                self.ipv4.parent = self
                self._children_name_map["ipv4"] = "ipv4"
                self._children_yang_names.add("ipv4")

                self.ipv6 = Native.Router.LispList.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.loc_reach_algorithm = Native.Router.LispList.LocReachAlgorithm()
                self.loc_reach_algorithm.parent = self
                self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                self._children_yang_names.add("loc-reach-algorithm")

                self.locator_down = Native.Router.LispList.LocatorDown()
                self.locator_down.parent = self
                self._children_name_map["locator_down"] = "locator-down"
                self._children_yang_names.add("locator-down")

                self.locator_table = Native.Router.LispList.LocatorTable()
                self.locator_table.parent = self
                self._children_name_map["locator_table"] = "locator-table"
                self._children_yang_names.add("locator-table")

                self.map_request = Native.Router.LispList.MapRequest()
                self.map_request.parent = self
                self._children_name_map["map_request"] = "map-request"
                self._children_yang_names.add("map-request")

                self.map_server = Native.Router.LispList.MapServer()
                self.map_server.parent = self
                self._children_name_map["map_server"] = "map-server"
                self._children_yang_names.add("map-server")

                self.other_xtr_probe = Native.Router.LispList.OtherXtrProbe()
                self.other_xtr_probe.parent = self
                self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                self._children_yang_names.add("other-xtr-probe")

                self.remote_rloc_probe = Native.Router.LispList.RemoteRlocProbe()
                self.remote_rloc_probe.parent = self
                self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                self._children_yang_names.add("remote-rloc-probe")

                self.eid_table = Native.Router.LispList.EidTable()
                self.eid_table.parent = self
                self._children_name_map["eid_table"] = "eid-table"
                self._children_yang_names.add("eid-table")

                self.security = None
                self._children_name_map["security"] = "security"
                self._children_yang_names.add("security")

                self.syslog = Native.Router.LispList.Syslog()
                self.syslog.parent = self
                self._children_name_map["syslog"] = "syslog"
                self._children_yang_names.add("syslog")

                self.locator_set = YList(self)
                self.locator_scope = YList(self)
                self.site = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-lisp:lisp-list" + "[lisp='" + self.lisp.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Router.LispList, ['lisp', 'disable_ttl_propagate', 'site_id'], name, value)


            class Default(Entity):
                """
                
                
                .. attribute:: service
                
                	Configure lisp service type
                	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service>`
                
                	**presence node**\: True
                
                .. attribute:: encapsulation
                
                	Select encapsulation type for data packets
                	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Encapsulation>`
                
                .. attribute:: locator_set
                
                	Configure a named locator set
                	**type**\: list of  		 :py:class:`LocatorSet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorSet>`
                
                .. attribute:: locator
                
                	Locator configuration
                	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Locator>`
                
                .. attribute:: locator_scope
                
                	Configure a locator scope
                	**type**\: list of  		 :py:class:`LocatorScope <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorScope>`
                
                .. attribute:: instance_container
                
                	EID instance\-ID
                	**type**\:  :py:class:`InstanceContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer>`
                
                .. attribute:: alt
                
                	LISP Alternative Topology, LISP\-ALT
                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Alt>`
                
                .. attribute:: control_packet
                
                	Configure control packet tx option
                	**type**\:  :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.ControlPacket>`
                
                .. attribute:: ddt
                
                	Delegated Database Tree (DDT) mapping system
                	**type**\:  :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ddt>`
                
                	**presence node**\: True
                
                .. attribute:: decapsulation
                
                	Decapsulation behavior (e.g. filters)
                	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Decapsulation>`
                
                .. attribute:: disable_ttl_propagate
                
                	Disable ttl propagation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: etr
                
                	Configures a LISP Egress Tunnel Router (ETR)
                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Etr>`
                
                .. attribute:: ipv4
                
                	IPv4 address family
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4>`
                
                .. attribute:: ipv6
                
                	IPv6 address family
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6>`
                
                .. attribute:: loc_reach_algorithm
                
                	Configure locator reachability algorithm
                	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocReachAlgorithm>`
                
                .. attribute:: locator_down
                
                	Manually set locator status to down
                	**type**\:  :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorDown>`
                
                .. attribute:: locator_table
                
                	Specify the RLOC table
                	**type**\:  :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorTable>`
                
                .. attribute:: map_request
                
                	Configure map\-request handling
                	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapRequest>`
                
                .. attribute:: map_server
                
                	Map\-Server commands
                	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapServer>`
                
                .. attribute:: other_xtr_probe
                
                	Configure parameters for probing of other xTRs in our site
                	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.OtherXtrProbe>`
                
                .. attribute:: remote_rloc_probe
                
                	Configure parameters for probing of remote RLOCs
                	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.RemoteRlocProbe>`
                
                .. attribute:: eid_table
                
                	Configure an EID instance for a VRF
                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable>`
                
                .. attribute:: security
                
                	Enable default LISP security and authentication in reply is optional
                	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Security>`
                
                	**presence node**\: True
                
                .. attribute:: site
                
                	Configure a LISP site on a map server (MS)
                	**type**\: list of  		 :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site>`
                
                .. attribute:: site_id
                
                	Configure a site\-id for this site
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: syslog
                
                	Configure syslog option
                	**type**\:  :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Syslog>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"service" : ("service", Native.Router.LispList.Default.Service), "encapsulation" : ("encapsulation", Native.Router.LispList.Default.Encapsulation), "locator" : ("locator", Native.Router.LispList.Default.Locator), "instance-container" : ("instance_container", Native.Router.LispList.Default.InstanceContainer), "alt" : ("alt", Native.Router.LispList.Default.Alt), "control-packet" : ("control_packet", Native.Router.LispList.Default.ControlPacket), "ddt" : ("ddt", Native.Router.LispList.Default.Ddt), "decapsulation" : ("decapsulation", Native.Router.LispList.Default.Decapsulation), "etr" : ("etr", Native.Router.LispList.Default.Etr), "ipv4" : ("ipv4", Native.Router.LispList.Default.Ipv4), "ipv6" : ("ipv6", Native.Router.LispList.Default.Ipv6), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.LispList.Default.LocReachAlgorithm), "locator-down" : ("locator_down", Native.Router.LispList.Default.LocatorDown), "locator-table" : ("locator_table", Native.Router.LispList.Default.LocatorTable), "map-request" : ("map_request", Native.Router.LispList.Default.MapRequest), "map-server" : ("map_server", Native.Router.LispList.Default.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.LispList.Default.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.LispList.Default.RemoteRlocProbe), "eid-table" : ("eid_table", Native.Router.LispList.Default.EidTable), "security" : ("security", Native.Router.LispList.Default.Security), "syslog" : ("syslog", Native.Router.LispList.Default.Syslog)}
                    self._child_list_classes = {"locator-set" : ("locator_set", Native.Router.LispList.Default.LocatorSet), "locator-scope" : ("locator_scope", Native.Router.LispList.Default.LocatorScope), "site" : ("site", Native.Router.LispList.Default.Site)}

                    self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                    self.site_id = YLeaf(YType.uint32, "site-id")

                    self.service = None
                    self._children_name_map["service"] = "service"
                    self._children_yang_names.add("service")

                    self.encapsulation = Native.Router.LispList.Default.Encapsulation()
                    self.encapsulation.parent = self
                    self._children_name_map["encapsulation"] = "encapsulation"
                    self._children_yang_names.add("encapsulation")

                    self.locator = Native.Router.LispList.Default.Locator()
                    self.locator.parent = self
                    self._children_name_map["locator"] = "locator"
                    self._children_yang_names.add("locator")

                    self.instance_container = Native.Router.LispList.Default.InstanceContainer()
                    self.instance_container.parent = self
                    self._children_name_map["instance_container"] = "instance-container"
                    self._children_yang_names.add("instance-container")

                    self.alt = Native.Router.LispList.Default.Alt()
                    self.alt.parent = self
                    self._children_name_map["alt"] = "alt"
                    self._children_yang_names.add("alt")

                    self.control_packet = Native.Router.LispList.Default.ControlPacket()
                    self.control_packet.parent = self
                    self._children_name_map["control_packet"] = "control-packet"
                    self._children_yang_names.add("control-packet")

                    self.ddt = None
                    self._children_name_map["ddt"] = "ddt"
                    self._children_yang_names.add("ddt")

                    self.decapsulation = Native.Router.LispList.Default.Decapsulation()
                    self.decapsulation.parent = self
                    self._children_name_map["decapsulation"] = "decapsulation"
                    self._children_yang_names.add("decapsulation")

                    self.etr = Native.Router.LispList.Default.Etr()
                    self.etr.parent = self
                    self._children_name_map["etr"] = "etr"
                    self._children_yang_names.add("etr")

                    self.ipv4 = Native.Router.LispList.Default.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")

                    self.ipv6 = Native.Router.LispList.Default.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.loc_reach_algorithm = Native.Router.LispList.Default.LocReachAlgorithm()
                    self.loc_reach_algorithm.parent = self
                    self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                    self._children_yang_names.add("loc-reach-algorithm")

                    self.locator_down = Native.Router.LispList.Default.LocatorDown()
                    self.locator_down.parent = self
                    self._children_name_map["locator_down"] = "locator-down"
                    self._children_yang_names.add("locator-down")

                    self.locator_table = Native.Router.LispList.Default.LocatorTable()
                    self.locator_table.parent = self
                    self._children_name_map["locator_table"] = "locator-table"
                    self._children_yang_names.add("locator-table")

                    self.map_request = Native.Router.LispList.Default.MapRequest()
                    self.map_request.parent = self
                    self._children_name_map["map_request"] = "map-request"
                    self._children_yang_names.add("map-request")

                    self.map_server = Native.Router.LispList.Default.MapServer()
                    self.map_server.parent = self
                    self._children_name_map["map_server"] = "map-server"
                    self._children_yang_names.add("map-server")

                    self.other_xtr_probe = Native.Router.LispList.Default.OtherXtrProbe()
                    self.other_xtr_probe.parent = self
                    self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                    self._children_yang_names.add("other-xtr-probe")

                    self.remote_rloc_probe = Native.Router.LispList.Default.RemoteRlocProbe()
                    self.remote_rloc_probe.parent = self
                    self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                    self._children_yang_names.add("remote-rloc-probe")

                    self.eid_table = Native.Router.LispList.Default.EidTable()
                    self.eid_table.parent = self
                    self._children_name_map["eid_table"] = "eid-table"
                    self._children_yang_names.add("eid-table")

                    self.security = None
                    self._children_name_map["security"] = "security"
                    self._children_yang_names.add("security")

                    self.syslog = Native.Router.LispList.Default.Syslog()
                    self.syslog.parent = self
                    self._children_name_map["syslog"] = "syslog"
                    self._children_yang_names.add("syslog")

                    self.locator_set = YList(self)
                    self.locator_scope = YList(self)
                    self.site = YList(self)
                    self._segment_path = lambda: "default"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.Default, ['disable_ttl_propagate', 'site_id'], name, value)


                class Service(Entity):
                    """
                    Configure lisp service type
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv6
                    
                    	
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ethernet
                    
                    	
                    	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet>`
                    
                    	**presence node**\: True
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.Service, self).__init__()

                        self.yang_name = "service"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.LispList.Default.Service.Ipv4), "ipv6" : ("ipv6", Native.Router.LispList.Default.Service.Ipv6), "ethernet" : ("ethernet", Native.Router.LispList.Default.Service.Ethernet)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.ipv4 = None
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = None
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.ethernet = None
                        self._children_name_map["ethernet"] = "ethernet"
                        self._children_yang_names.add("ethernet")
                        self._segment_path = lambda: "service"


                    class Ipv4(Entity):
                        """
                        
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default>`
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.ItrEnable>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.EtrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapCacheLimit>`
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.SolicitMapRequest>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Encapsulation>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapCache>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapCachePersistent>`
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.UsePetr>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Service.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "service"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"default" : ("default", Native.Router.LispList.Default.Service.Ipv4.Default), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Default.Service.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.Service.Ipv4.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.Service.Ipv4.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.Service.Ipv4.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.Service.Ipv4.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.LispList.Default.Service.Ipv4.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Default.Service.Ipv4.MapServer), "site-registration" : ("site_registration", Native.Router.LispList.Default.Service.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.Service.Ipv4.SolicitMapRequest), "distance" : ("distance", Native.Router.LispList.Default.Service.Ipv4.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Default.Service.Ipv4.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.Service.Ipv4.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Default.Service.Ipv4.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Default.Service.Ipv4.RouteExport)}
                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.Service.Ipv4.UsePetr)}
                            self.is_presence_container = True

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                            self.sgt = YLeaf(YType.empty, "sgt")

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.default = Native.Router.LispList.Default.Service.Ipv4.Default()
                            self.default.parent = self
                            self._children_name_map["default"] = "default"
                            self._children_yang_names.add("default")

                            self.database_mapping = Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.itr = Native.Router.LispList.Default.Service.Ipv4.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.LispList.Default.Service.Ipv4.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr_enable = Native.Router.LispList.Default.Service.Ipv4.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.etr = Native.Router.LispList.Default.Service.Ipv4.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.map_cache_limit = Native.Router.LispList.Default.Service.Ipv4.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.site_registration = Native.Router.LispList.Default.Service.Ipv4.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.LispList.Default.Service.Ipv4.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")

                            self.distance = Native.Router.LispList.Default.Service.Ipv4.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.map_cache = Native.Router.LispList.Default.Service.Ipv4.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")

                            self.map_cache_persistent = Native.Router.LispList.Default.Service.Ipv4.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                            self._children_yang_names.add("map-cache-persistent")

                            self.proxy_itr = Native.Router.LispList.Default.Service.Ipv4.ProxyItr()
                            self.proxy_itr.parent = self
                            self._children_name_map["proxy_itr"] = "proxy-itr"
                            self._children_yang_names.add("proxy-itr")

                            self.route_export = Native.Router.LispList.Default.Service.Ipv4.RouteExport()
                            self.route_export.parent = self
                            self._children_name_map["route_export"] = "route-export"
                            self._children_yang_names.add("route-export")

                            self.use_petr = YList(self)
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = Enum.YLeaf(0, "lisp")

                            vxlan = Enum.YLeaf(1, "vxlan")



                        class Default(Entity):
                            """
                            
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.DatabaseMapping>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.ItrEnable>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.EtrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Etr>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapCacheLimit>`
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.SolicitMapRequest>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Distance>`
                            
                            .. attribute:: encapsulation
                            
                            	Select encapsulation type for data packets
                            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Encapsulation>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapCache>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapCachePersistent>`
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.RouteExport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.UsePetr>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.Default, self).__init__()

                                self.yang_name = "default"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Default.Service.Ipv4.Default.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Default.Service.Ipv4.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.Service.Ipv4.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.Service.Ipv4.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.Service.Ipv4.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.Service.Ipv4.Default.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Default.Service.Ipv4.Default.MapServer), "site-registration" : ("site_registration", Native.Router.LispList.Default.Service.Ipv4.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.Service.Ipv4.Default.SolicitMapRequest), "distance" : ("distance", Native.Router.LispList.Default.Service.Ipv4.Default.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Default.Service.Ipv4.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.Service.Ipv4.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Default.Service.Ipv4.Default.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Default.Service.Ipv4.Default.RouteExport)}
                                self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.Service.Ipv4.Default.UsePetr)}

                                self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                                self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                self.sgt = YLeaf(YType.empty, "sgt")

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.database_mapping = Native.Router.LispList.Default.Service.Ipv4.Default.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.itr = Native.Router.LispList.Default.Service.Ipv4.Default.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.LispList.Default.Service.Ipv4.Default.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr_enable = Native.Router.LispList.Default.Service.Ipv4.Default.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.etr = Native.Router.LispList.Default.Service.Ipv4.Default.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.map_cache_limit = Native.Router.LispList.Default.Service.Ipv4.Default.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.map_resolver = None
                                self._children_name_map["map_resolver"] = "map-resolver"
                                self._children_yang_names.add("map-resolver")

                                self.map_server = None
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")

                                self.site_registration = Native.Router.LispList.Default.Service.Ipv4.Default.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.LispList.Default.Service.Ipv4.Default.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.distance = Native.Router.LispList.Default.Service.Ipv4.Default.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.map_cache = Native.Router.LispList.Default.Service.Ipv4.Default.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")

                                self.map_cache_persistent = Native.Router.LispList.Default.Service.Ipv4.Default.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                self._children_yang_names.add("map-cache-persistent")

                                self.proxy_itr = Native.Router.LispList.Default.Service.Ipv4.Default.ProxyItr()
                                self.proxy_itr.parent = self
                                self._children_name_map["proxy_itr"] = "proxy-itr"
                                self._children_yang_names.add("proxy-itr")

                                self.route_export = Native.Router.LispList.Default.Service.Ipv4.Default.RouteExport()
                                self.route_export.parent = self
                                self._children_name_map["route_export"] = "route-export"
                                self._children_yang_names.add("route-export")

                                self.use_petr = YList(self)
                                self._segment_path = lambda: "default"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                            class Encapsulation(Enum):
                                """
                                Encapsulation

                                Select encapsulation type for data packets

                                .. data:: lisp = 0

                                .. data:: vxlan = 1

                                """

                                lisp = Enum.YLeaf(0, "lisp")

                                vxlan = Enum.YLeaf(1, "vxlan")



                            class DatabaseMapping(Entity):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.Service.Ipv4.Default.DatabaseMapping.Limit)}
                                    self._child_list_classes = {}

                                    self.limit = Native.Router.LispList.Default.Service.Ipv4.Default.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")
                                    self._segment_path = lambda: "database-mapping"


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv4.Default.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.Service.Ipv4.Default.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv4.Default.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.ItrEnable, ['itr'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.EtrEnable, ['etr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer)}

                                    self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                    self.accept_map_request_mapping = Native.Router.LispList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                    self._children_yang_names.add("accept-map-request-mapping")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.Etr, ['map_cache_ttl'], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                class AcceptMapRequestMapping(Entity):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                        self.yang_name = "accept-map-request-mapping"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                        self.verify = YLeaf(YType.empty, "verify")
                                        self._segment_path = lambda: "accept-map-request-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class MapResolver(Entity):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request = Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest()
                                    self.map_request.parent = self
                                    self._children_name_map["map_request"] = "map-request"
                                    self._children_yang_names.add("map-request")
                                    self._segment_path = lambda: "map-resolver"


                                class MapRequest(Entity):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest, self).__init__()

                                        self.yang_name = "map-request"
                                        self.yang_parent_name = "map-resolver"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-request"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-request"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")

                                                self.registered = Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                                self.registered.parent = self
                                                self._children_name_map["registered"] = "registered"
                                                self._children_yang_names.add("registered")
                                                self._segment_path = lambda: "source"


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "source"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                            class Registered(Entity):
                                                """
                                                ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                                
                                                .. attribute:: list
                                                
                                                	Define allowed prefixes using an ip[v6] prefix list
                                                	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                    self.yang_name = "registered"
                                                    self.yang_parent_name = "source"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                    self._child_list_classes = {}

                                                    self.list = Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                    self.list.parent = self
                                                    self._children_name_map["list"] = "list"
                                                    self._children_yang_names.add("list")
                                                    self._segment_path = lambda: "registered"


                                                class List(Entity):
                                                    """
                                                    Define allowed prefixes using an ip[v6] prefix list
                                                    
                                                    .. attribute:: ipv4
                                                    
                                                    	IPv4 prefixes
                                                    	**type**\: str
                                                    
                                                    .. attribute:: ipv6
                                                    
                                                    	IPv6 prefixes
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                        self.yang_name = "list"
                                                        self.yang_parent_name = "registered"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ipv4 = YLeaf(YType.str, "ipv4")

                                                        self.ipv6 = YLeaf(YType.str, "ipv6")
                                                        self._segment_path = lambda: "list"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                            class MapServer(Entity):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapServer.MapRegister>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Default.Service.Ipv4.Default.MapServer.MapRegister)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_register = Native.Router.LispList.Default.Service.Ipv4.Default.MapServer.MapRegister()
                                    self.map_register.parent = self
                                    self._children_name_map["map_register"] = "map-register"
                                    self._children_yang_names.add("map-register")
                                    self._segment_path = lambda: "map-server"


                                class MapRegister(Entity):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv4.Default.MapServer.MapRegister, self).__init__()

                                        self.yang_name = "map-register"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.LispList.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-register"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-register"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.LispList.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                                self._segment_path = lambda: "source"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class Distance(Entity):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.alt = YLeaf(YType.uint8, "alt")

                                    self.away = YLeaf(YType.uint8, "away")

                                    self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                    self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                    self._segment_path = lambda: "distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                            class MapCache(Entity):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.MapCache.AwayEids>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Default.Service.Ipv4.Default.MapCache.AwayEids)}
                                    self._child_list_classes = {}

                                    self.site_registration = YLeaf(YType.empty, "site-registration")

                                    self.away_eids = Native.Router.LispList.Default.Service.Ipv4.Default.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self._children_name_map["away_eids"] = "away-eids"
                                    self._children_yang_names.add("away-eids")
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.MapCache, ['site_registration'], name, value)


                                class AwayEids(Entity):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv4.Default.MapCache.AwayEids, self).__init__()

                                        self.yang_name = "away-eids"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                        self._segment_path = lambda: "away-eids"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                            class MapCachePersistent(Entity):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\: int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.MapCachePersistent, self).__init__()

                                    self.yang_name = "map-cache-persistent"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")
                                    self._segment_path = lambda: "map-cache-persistent"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.MapCachePersistent, ['interval'], name, value)


                            class ProxyItr(Entity):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.ProxyItr, self).__init__()

                                    self.yang_name = "proxy-itr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                    self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                    self._segment_path = lambda: "proxy-itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                            class RouteExport(Entity):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.RouteExport, self).__init__()

                                    self.yang_name = "route-export"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                    self.away_eids = YLeaf(YType.empty, "away-eids")
                                    self._segment_path = lambda: "route-export"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                            class UsePetr(Entity):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	
                                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Default.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Default.UsePetr, self).__init__()

                                    self.yang_name = "use-petr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Default.Service.Ipv4.Default.UsePetr.Priority)}
                                    self._child_list_classes = {}

                                    self.locator_address = YLeaf(YType.str, "locator-address")

                                    self.priority = Native.Router.LispList.Default.Service.Ipv4.Default.UsePetr.Priority()
                                    self.priority.parent = self
                                    self._children_name_map["priority"] = "priority"
                                    self._children_yang_names.add("priority")
                                    self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.UsePetr, ['locator_address'], name, value)


                                class Priority(Entity):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv4.Default.UsePetr.Priority, self).__init__()

                                        self.yang_name = "priority"
                                        self.yang_parent_name = "use-petr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.priority_value = YLeaf(YType.uint8, "priority-value")

                                        self.weight = YLeaf(YType.uint8, "weight")
                                        self._segment_path = lambda: "priority"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.Service.Ipv4.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.ItrEnable, ['itr'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.EtrEnable, ['etr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer)}

                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                self.accept_map_request_mapping = Native.Router.LispList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                self._children_yang_names.add("accept-map-request-mapping")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Etr, ['map_cache_ttl'], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                            class AcceptMapRequestMapping(Entity):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping, self).__init__()

                                    self.yang_name = "accept-map-request-mapping"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                    self.verify = YLeaf(YType.empty, "verify")
                                    self._segment_path = lambda: "accept-map-request-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")

                                            self.registered = Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self
                                            self._children_name_map["registered"] = "registered"
                                            self._children_yang_names.add("registered")
                                            self._segment_path = lambda: "source"


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                        class Registered(Entity):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                self.yang_name = "registered"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")
                                                self._segment_path = lambda: "registered"


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "registered"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class Distance(Entity):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.alt = YLeaf(YType.uint8, "alt")

                                self.away = YLeaf(YType.uint8, "away")

                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                        class MapCache(Entity):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Default.Service.Ipv4.MapCache.AwayEids)}
                                self._child_list_classes = {}

                                self.site_registration = YLeaf(YType.empty, "site-registration")

                                self.away_eids = Native.Router.LispList.Default.Service.Ipv4.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self._children_name_map["away_eids"] = "away-eids"
                                self._children_yang_names.add("away-eids")
                                self._segment_path = lambda: "map-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.MapCache, ['site_registration'], name, value)


                            class AwayEids(Entity):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.MapCache.AwayEids, self).__init__()

                                    self.yang_name = "away-eids"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                    self._segment_path = lambda: "away-eids"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.MapCache.AwayEids, ['send_map_request'], name, value)


                        class MapCachePersistent(Entity):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.MapCachePersistent, self).__init__()

                                self.yang_name = "map-cache-persistent"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")
                                self._segment_path = lambda: "map-cache-persistent"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.MapCachePersistent, ['interval'], name, value)


                        class ProxyItr(Entity):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.ProxyItr, self).__init__()

                                self.yang_name = "proxy-itr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                self._segment_path = lambda: "proxy-itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                        class RouteExport(Entity):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.RouteExport, self).__init__()

                                self.yang_name = "route-export"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                self._segment_path = lambda: "route-export"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                        class UsePetr(Entity):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	
                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv4.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv4.UsePetr, self).__init__()

                                self.yang_name = "use-petr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Default.Service.Ipv4.UsePetr.Priority)}
                                self._child_list_classes = {}

                                self.locator_address = YLeaf(YType.str, "locator-address")

                                self.priority = Native.Router.LispList.Default.Service.Ipv4.UsePetr.Priority()
                                self.priority.parent = self
                                self._children_name_map["priority"] = "priority"
                                self._children_yang_names.add("priority")
                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.UsePetr, ['locator_address'], name, value)


                            class Priority(Entity):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv4.UsePetr.Priority, self).__init__()

                                    self.yang_name = "priority"
                                    self.yang_parent_name = "use-petr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority_value = YLeaf(YType.uint8, "priority-value")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "priority"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv4.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                    class Ipv6(Entity):
                        """
                        
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default>`
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.ItrEnable>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.EtrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapCacheLimit>`
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.SolicitMapRequest>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Encapsulation>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapCache>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapCachePersistent>`
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.UsePetr>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Service.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "service"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"default" : ("default", Native.Router.LispList.Default.Service.Ipv6.Default), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Default.Service.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.Service.Ipv6.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.Service.Ipv6.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.Service.Ipv6.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.Service.Ipv6.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.LispList.Default.Service.Ipv6.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Default.Service.Ipv6.MapServer), "site-registration" : ("site_registration", Native.Router.LispList.Default.Service.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.Service.Ipv6.SolicitMapRequest), "distance" : ("distance", Native.Router.LispList.Default.Service.Ipv6.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Default.Service.Ipv6.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.Service.Ipv6.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Default.Service.Ipv6.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Default.Service.Ipv6.RouteExport)}
                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.Service.Ipv6.UsePetr)}
                            self.is_presence_container = True

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                            self.sgt = YLeaf(YType.empty, "sgt")

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.default = Native.Router.LispList.Default.Service.Ipv6.Default()
                            self.default.parent = self
                            self._children_name_map["default"] = "default"
                            self._children_yang_names.add("default")

                            self.database_mapping = Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.itr = Native.Router.LispList.Default.Service.Ipv6.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.LispList.Default.Service.Ipv6.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr_enable = Native.Router.LispList.Default.Service.Ipv6.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.etr = Native.Router.LispList.Default.Service.Ipv6.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.map_cache_limit = Native.Router.LispList.Default.Service.Ipv6.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.site_registration = Native.Router.LispList.Default.Service.Ipv6.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.LispList.Default.Service.Ipv6.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")

                            self.distance = Native.Router.LispList.Default.Service.Ipv6.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.map_cache = Native.Router.LispList.Default.Service.Ipv6.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")

                            self.map_cache_persistent = Native.Router.LispList.Default.Service.Ipv6.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                            self._children_yang_names.add("map-cache-persistent")

                            self.proxy_itr = Native.Router.LispList.Default.Service.Ipv6.ProxyItr()
                            self.proxy_itr.parent = self
                            self._children_name_map["proxy_itr"] = "proxy-itr"
                            self._children_yang_names.add("proxy-itr")

                            self.route_export = Native.Router.LispList.Default.Service.Ipv6.RouteExport()
                            self.route_export.parent = self
                            self._children_name_map["route_export"] = "route-export"
                            self._children_yang_names.add("route-export")

                            self.use_petr = YList(self)
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = Enum.YLeaf(0, "lisp")

                            vxlan = Enum.YLeaf(1, "vxlan")



                        class Default(Entity):
                            """
                            
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.DatabaseMapping>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.ItrEnable>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.EtrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Etr>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapCacheLimit>`
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.SolicitMapRequest>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Distance>`
                            
                            .. attribute:: encapsulation
                            
                            	Select encapsulation type for data packets
                            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Encapsulation>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapCache>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapCachePersistent>`
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.RouteExport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.UsePetr>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.Default, self).__init__()

                                self.yang_name = "default"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Default.Service.Ipv6.Default.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Default.Service.Ipv6.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.Service.Ipv6.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.Service.Ipv6.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.Service.Ipv6.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.Service.Ipv6.Default.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Default.Service.Ipv6.Default.MapServer), "site-registration" : ("site_registration", Native.Router.LispList.Default.Service.Ipv6.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.Service.Ipv6.Default.SolicitMapRequest), "distance" : ("distance", Native.Router.LispList.Default.Service.Ipv6.Default.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Default.Service.Ipv6.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.Service.Ipv6.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Default.Service.Ipv6.Default.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Default.Service.Ipv6.Default.RouteExport)}
                                self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.Service.Ipv6.Default.UsePetr)}

                                self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                                self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                self.sgt = YLeaf(YType.empty, "sgt")

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.database_mapping = Native.Router.LispList.Default.Service.Ipv6.Default.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.itr = Native.Router.LispList.Default.Service.Ipv6.Default.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.LispList.Default.Service.Ipv6.Default.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr_enable = Native.Router.LispList.Default.Service.Ipv6.Default.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.etr = Native.Router.LispList.Default.Service.Ipv6.Default.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.map_cache_limit = Native.Router.LispList.Default.Service.Ipv6.Default.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.map_resolver = None
                                self._children_name_map["map_resolver"] = "map-resolver"
                                self._children_yang_names.add("map-resolver")

                                self.map_server = None
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")

                                self.site_registration = Native.Router.LispList.Default.Service.Ipv6.Default.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.LispList.Default.Service.Ipv6.Default.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.distance = Native.Router.LispList.Default.Service.Ipv6.Default.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.map_cache = Native.Router.LispList.Default.Service.Ipv6.Default.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")

                                self.map_cache_persistent = Native.Router.LispList.Default.Service.Ipv6.Default.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                self._children_yang_names.add("map-cache-persistent")

                                self.proxy_itr = Native.Router.LispList.Default.Service.Ipv6.Default.ProxyItr()
                                self.proxy_itr.parent = self
                                self._children_name_map["proxy_itr"] = "proxy-itr"
                                self._children_yang_names.add("proxy-itr")

                                self.route_export = Native.Router.LispList.Default.Service.Ipv6.Default.RouteExport()
                                self.route_export.parent = self
                                self._children_name_map["route_export"] = "route-export"
                                self._children_yang_names.add("route-export")

                                self.use_petr = YList(self)
                                self._segment_path = lambda: "default"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                            class Encapsulation(Enum):
                                """
                                Encapsulation

                                Select encapsulation type for data packets

                                .. data:: lisp = 0

                                .. data:: vxlan = 1

                                """

                                lisp = Enum.YLeaf(0, "lisp")

                                vxlan = Enum.YLeaf(1, "vxlan")



                            class DatabaseMapping(Entity):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.Service.Ipv6.Default.DatabaseMapping.Limit)}
                                    self._child_list_classes = {}

                                    self.limit = Native.Router.LispList.Default.Service.Ipv6.Default.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")
                                    self._segment_path = lambda: "database-mapping"


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv6.Default.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.Service.Ipv6.Default.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv6.Default.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.ItrEnable, ['itr'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.EtrEnable, ['etr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer)}

                                    self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                    self.accept_map_request_mapping = Native.Router.LispList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                    self._children_yang_names.add("accept-map-request-mapping")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.Etr, ['map_cache_ttl'], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                class AcceptMapRequestMapping(Entity):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                        self.yang_name = "accept-map-request-mapping"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                        self.verify = YLeaf(YType.empty, "verify")
                                        self._segment_path = lambda: "accept-map-request-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class MapResolver(Entity):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request = Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest()
                                    self.map_request.parent = self
                                    self._children_name_map["map_request"] = "map-request"
                                    self._children_yang_names.add("map-request")
                                    self._segment_path = lambda: "map-resolver"


                                class MapRequest(Entity):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest, self).__init__()

                                        self.yang_name = "map-request"
                                        self.yang_parent_name = "map-resolver"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-request"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-request"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")

                                                self.registered = Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                                self.registered.parent = self
                                                self._children_name_map["registered"] = "registered"
                                                self._children_yang_names.add("registered")
                                                self._segment_path = lambda: "source"


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "source"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                            class Registered(Entity):
                                                """
                                                ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                                
                                                .. attribute:: list
                                                
                                                	Define allowed prefixes using an ip[v6] prefix list
                                                	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                    self.yang_name = "registered"
                                                    self.yang_parent_name = "source"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                    self._child_list_classes = {}

                                                    self.list = Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                    self.list.parent = self
                                                    self._children_name_map["list"] = "list"
                                                    self._children_yang_names.add("list")
                                                    self._segment_path = lambda: "registered"


                                                class List(Entity):
                                                    """
                                                    Define allowed prefixes using an ip[v6] prefix list
                                                    
                                                    .. attribute:: ipv4
                                                    
                                                    	IPv4 prefixes
                                                    	**type**\: str
                                                    
                                                    .. attribute:: ipv6
                                                    
                                                    	IPv6 prefixes
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                        self.yang_name = "list"
                                                        self.yang_parent_name = "registered"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ipv4 = YLeaf(YType.str, "ipv4")

                                                        self.ipv6 = YLeaf(YType.str, "ipv6")
                                                        self._segment_path = lambda: "list"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                            class MapServer(Entity):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapServer.MapRegister>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Default.Service.Ipv6.Default.MapServer.MapRegister)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_register = Native.Router.LispList.Default.Service.Ipv6.Default.MapServer.MapRegister()
                                    self.map_register.parent = self
                                    self._children_name_map["map_register"] = "map-register"
                                    self._children_yang_names.add("map-register")
                                    self._segment_path = lambda: "map-server"


                                class MapRegister(Entity):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv6.Default.MapServer.MapRegister, self).__init__()

                                        self.yang_name = "map-register"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.LispList.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-register"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-register"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.LispList.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                                self._segment_path = lambda: "source"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class Distance(Entity):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.alt = YLeaf(YType.uint8, "alt")

                                    self.away = YLeaf(YType.uint8, "away")

                                    self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                    self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                    self._segment_path = lambda: "distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                            class MapCache(Entity):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.MapCache.AwayEids>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Default.Service.Ipv6.Default.MapCache.AwayEids)}
                                    self._child_list_classes = {}

                                    self.site_registration = YLeaf(YType.empty, "site-registration")

                                    self.away_eids = Native.Router.LispList.Default.Service.Ipv6.Default.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self._children_name_map["away_eids"] = "away-eids"
                                    self._children_yang_names.add("away-eids")
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.MapCache, ['site_registration'], name, value)


                                class AwayEids(Entity):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv6.Default.MapCache.AwayEids, self).__init__()

                                        self.yang_name = "away-eids"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                        self._segment_path = lambda: "away-eids"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                            class MapCachePersistent(Entity):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\: int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.MapCachePersistent, self).__init__()

                                    self.yang_name = "map-cache-persistent"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")
                                    self._segment_path = lambda: "map-cache-persistent"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.MapCachePersistent, ['interval'], name, value)


                            class ProxyItr(Entity):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.ProxyItr, self).__init__()

                                    self.yang_name = "proxy-itr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                    self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                    self._segment_path = lambda: "proxy-itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                            class RouteExport(Entity):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.RouteExport, self).__init__()

                                    self.yang_name = "route-export"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                    self.away_eids = YLeaf(YType.empty, "away-eids")
                                    self._segment_path = lambda: "route-export"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                            class UsePetr(Entity):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	
                                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Default.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Default.UsePetr, self).__init__()

                                    self.yang_name = "use-petr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Default.Service.Ipv6.Default.UsePetr.Priority)}
                                    self._child_list_classes = {}

                                    self.locator_address = YLeaf(YType.str, "locator-address")

                                    self.priority = Native.Router.LispList.Default.Service.Ipv6.Default.UsePetr.Priority()
                                    self.priority.parent = self
                                    self._children_name_map["priority"] = "priority"
                                    self._children_yang_names.add("priority")
                                    self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.UsePetr, ['locator_address'], name, value)


                                class Priority(Entity):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv6.Default.UsePetr.Priority, self).__init__()

                                        self.yang_name = "priority"
                                        self.yang_parent_name = "use-petr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.priority_value = YLeaf(YType.uint8, "priority-value")

                                        self.weight = YLeaf(YType.uint8, "weight")
                                        self._segment_path = lambda: "priority"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.Service.Ipv6.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.ItrEnable, ['itr'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.EtrEnable, ['etr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer)}

                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                self.accept_map_request_mapping = Native.Router.LispList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                self._children_yang_names.add("accept-map-request-mapping")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Etr, ['map_cache_ttl'], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                            class AcceptMapRequestMapping(Entity):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping, self).__init__()

                                    self.yang_name = "accept-map-request-mapping"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                    self.verify = YLeaf(YType.empty, "verify")
                                    self._segment_path = lambda: "accept-map-request-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")

                                            self.registered = Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self
                                            self._children_name_map["registered"] = "registered"
                                            self._children_yang_names.add("registered")
                                            self._segment_path = lambda: "source"


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                        class Registered(Entity):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                self.yang_name = "registered"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")
                                                self._segment_path = lambda: "registered"


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "registered"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class Distance(Entity):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.alt = YLeaf(YType.uint8, "alt")

                                self.away = YLeaf(YType.uint8, "away")

                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                        class MapCache(Entity):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Default.Service.Ipv6.MapCache.AwayEids)}
                                self._child_list_classes = {}

                                self.site_registration = YLeaf(YType.empty, "site-registration")

                                self.away_eids = Native.Router.LispList.Default.Service.Ipv6.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self._children_name_map["away_eids"] = "away-eids"
                                self._children_yang_names.add("away-eids")
                                self._segment_path = lambda: "map-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.MapCache, ['site_registration'], name, value)


                            class AwayEids(Entity):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.MapCache.AwayEids, self).__init__()

                                    self.yang_name = "away-eids"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                    self._segment_path = lambda: "away-eids"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.MapCache.AwayEids, ['send_map_request'], name, value)


                        class MapCachePersistent(Entity):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.MapCachePersistent, self).__init__()

                                self.yang_name = "map-cache-persistent"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")
                                self._segment_path = lambda: "map-cache-persistent"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.MapCachePersistent, ['interval'], name, value)


                        class ProxyItr(Entity):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.ProxyItr, self).__init__()

                                self.yang_name = "proxy-itr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                self._segment_path = lambda: "proxy-itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                        class RouteExport(Entity):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.RouteExport, self).__init__()

                                self.yang_name = "route-export"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                self._segment_path = lambda: "route-export"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                        class UsePetr(Entity):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	
                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ipv6.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ipv6.UsePetr, self).__init__()

                                self.yang_name = "use-petr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Default.Service.Ipv6.UsePetr.Priority)}
                                self._child_list_classes = {}

                                self.locator_address = YLeaf(YType.str, "locator-address")

                                self.priority = Native.Router.LispList.Default.Service.Ipv6.UsePetr.Priority()
                                self.priority.parent = self
                                self._children_name_map["priority"] = "priority"
                                self._children_yang_names.add("priority")
                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.UsePetr, ['locator_address'], name, value)


                            class Priority(Entity):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ipv6.UsePetr.Priority, self).__init__()

                                    self.yang_name = "priority"
                                    self.yang_parent_name = "use-petr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority_value = YLeaf(YType.uint8, "priority-value")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "priority"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ipv6.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                    class Ethernet(Entity):
                        """
                        
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Encapsulation>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.ItrEnable>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.EtrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapCacheLimit>`
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.SolicitMapRequest>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Service.Ethernet, self).__init__()

                            self.yang_name = "ethernet"
                            self.yang_parent_name = "service"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"default" : ("default", Native.Router.LispList.Default.Service.Ethernet.Default), "encapsulation" : ("encapsulation", Native.Router.LispList.Default.Service.Ethernet.Encapsulation), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Default.Service.Ethernet.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.Service.Ethernet.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.Service.Ethernet.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.Service.Ethernet.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.Service.Ethernet.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.LispList.Default.Service.Ethernet.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Default.Service.Ethernet.MapServer), "site-registration" : ("site_registration", Native.Router.LispList.Default.Service.Ethernet.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.Service.Ethernet.SolicitMapRequest)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.default = Native.Router.LispList.Default.Service.Ethernet.Default()
                            self.default.parent = self
                            self._children_name_map["default"] = "default"
                            self._children_yang_names.add("default")

                            self.encapsulation = Native.Router.LispList.Default.Service.Ethernet.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.database_mapping = Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.itr = Native.Router.LispList.Default.Service.Ethernet.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.LispList.Default.Service.Ethernet.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr_enable = Native.Router.LispList.Default.Service.Ethernet.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.etr = Native.Router.LispList.Default.Service.Ethernet.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.map_cache_limit = Native.Router.LispList.Default.Service.Ethernet.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.site_registration = Native.Router.LispList.Default.Service.Ethernet.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.LispList.Default.Service.Ethernet.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")
                            self._segment_path = lambda: "ethernet"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet, ['map_request_source'], name, value)


                        class Default(Entity):
                            """
                            
                            
                            .. attribute:: encapsulation
                            
                            	Select encapsulation type for data packets
                            	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Encapsulation>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.DatabaseMapping>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.ItrEnable>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.EtrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Etr>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.MapCacheLimit>`
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.SolicitMapRequest>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ethernet.Default, self).__init__()

                                self.yang_name = "default"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Router.LispList.Default.Service.Ethernet.Default.Encapsulation), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.Service.Ethernet.Default.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Default.Service.Ethernet.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.Service.Ethernet.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.Service.Ethernet.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.Service.Ethernet.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.Service.Ethernet.Default.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Default.Service.Ethernet.Default.MapServer), "site-registration" : ("site_registration", Native.Router.LispList.Default.Service.Ethernet.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.Service.Ethernet.Default.SolicitMapRequest)}
                                self._child_list_classes = {}

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.encapsulation = Native.Router.LispList.Default.Service.Ethernet.Default.Encapsulation()
                                self.encapsulation.parent = self
                                self._children_name_map["encapsulation"] = "encapsulation"
                                self._children_yang_names.add("encapsulation")

                                self.database_mapping = Native.Router.LispList.Default.Service.Ethernet.Default.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.itr = Native.Router.LispList.Default.Service.Ethernet.Default.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.LispList.Default.Service.Ethernet.Default.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr_enable = Native.Router.LispList.Default.Service.Ethernet.Default.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.etr = Native.Router.LispList.Default.Service.Ethernet.Default.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.map_cache_limit = Native.Router.LispList.Default.Service.Ethernet.Default.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.map_resolver = None
                                self._children_name_map["map_resolver"] = "map-resolver"
                                self._children_yang_names.add("map-resolver")

                                self.map_server = None
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")

                                self.site_registration = Native.Router.LispList.Default.Service.Ethernet.Default.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.LispList.Default.Service.Ethernet.Default.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")
                                self._segment_path = lambda: "default"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default, ['map_request_source'], name, value)


                            class Encapsulation(Entity):
                                """
                                Select encapsulation type for data packets
                                
                                .. attribute:: vxlan
                                
                                	Use VXLAN encapsulation for data packets
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Default.Encapsulation, self).__init__()

                                    self.yang_name = "encapsulation"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vxlan = YLeaf(YType.empty, "vxlan")
                                    self._segment_path = lambda: "encapsulation"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.Encapsulation, ['vxlan'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Default.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.Service.Ethernet.Default.DatabaseMapping.Limit)}
                                    self._child_list_classes = {}

                                    self.limit = Native.Router.LispList.Default.Service.Ethernet.Default.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")
                                    self._segment_path = lambda: "database-mapping"


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ethernet.Default.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Default.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.Service.Ethernet.Default.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ethernet.Default.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Default.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.ItrEnable, ['itr'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Default.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.EtrEnable, ['etr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Default.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer)}

                                    self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                    self.accept_map_request_mapping = Native.Router.LispList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                    self._children_yang_names.add("accept-map-request-mapping")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.Etr, ['map_cache_ttl'], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                class AcceptMapRequestMapping(Entity):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                        self.yang_name = "accept-map-request-mapping"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                        self.verify = YLeaf(YType.empty, "verify")
                                        self._segment_path = lambda: "accept-map-request-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Default.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class MapResolver(Entity):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request = Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest()
                                    self.map_request.parent = self
                                    self._children_name_map["map_request"] = "map-request"
                                    self._children_yang_names.add("map-request")
                                    self._segment_path = lambda: "map-resolver"


                                class MapRequest(Entity):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest, self).__init__()

                                        self.yang_name = "map-request"
                                        self.yang_parent_name = "map-resolver"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-request"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-request"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")

                                                self.registered = Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                                self.registered.parent = self
                                                self._children_name_map["registered"] = "registered"
                                                self._children_yang_names.add("registered")
                                                self._segment_path = lambda: "source"


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "source"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                            class Registered(Entity):
                                                """
                                                ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                                
                                                .. attribute:: list
                                                
                                                	Define allowed prefixes using an ip[v6] prefix list
                                                	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                    self.yang_name = "registered"
                                                    self.yang_parent_name = "source"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                    self._child_list_classes = {}

                                                    self.list = Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                    self.list.parent = self
                                                    self._children_name_map["list"] = "list"
                                                    self._children_yang_names.add("list")
                                                    self._segment_path = lambda: "registered"


                                                class List(Entity):
                                                    """
                                                    Define allowed prefixes using an ip[v6] prefix list
                                                    
                                                    .. attribute:: ipv4
                                                    
                                                    	IPv4 prefixes
                                                    	**type**\: str
                                                    
                                                    .. attribute:: ipv6
                                                    
                                                    	IPv6 prefixes
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                        self.yang_name = "list"
                                                        self.yang_parent_name = "registered"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ipv4 = YLeaf(YType.str, "ipv4")

                                                        self.ipv6 = YLeaf(YType.str, "ipv6")
                                                        self._segment_path = lambda: "list"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                            class MapServer(Entity):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.MapServer.MapRegister>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Default.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Default.Service.Ethernet.Default.MapServer.MapRegister)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_register = Native.Router.LispList.Default.Service.Ethernet.Default.MapServer.MapRegister()
                                    self.map_register.parent = self
                                    self._children_name_map["map_register"] = "map-register"
                                    self._children_yang_names.add("map-register")
                                    self._segment_path = lambda: "map-server"


                                class MapRegister(Entity):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ethernet.Default.MapServer.MapRegister, self).__init__()

                                        self.yang_name = "map-register"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.LispList.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-register"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-register"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.LispList.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                                self._segment_path = lambda: "source"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Default.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Default.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class Encapsulation(Entity):
                            """
                            Select encapsulation type for data packets
                            
                            .. attribute:: vxlan
                            
                            	Use VXLAN encapsulation for data packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ethernet.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vxlan = YLeaf(YType.empty, "vxlan")
                                self._segment_path = lambda: "encapsulation"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Encapsulation, ['vxlan'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ethernet.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.Service.Ethernet.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ethernet.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.ItrEnable, ['itr'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ethernet.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.EtrEnable, ['etr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ethernet.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer)}

                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                self.accept_map_request_mapping = Native.Router.LispList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                self._children_yang_names.add("accept-map-request-mapping")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Etr, ['map_cache_ttl'], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                            class AcceptMapRequestMapping(Entity):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping, self).__init__()

                                    self.yang_name = "accept-map-request-mapping"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                    self.verify = YLeaf(YType.empty, "verify")
                                    self._segment_path = lambda: "accept-map-request-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ethernet.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ethernet.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")

                                            self.registered = Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self
                                            self._children_name_map["registered"] = "registered"
                                            self._children_yang_names.add("registered")
                                            self._segment_path = lambda: "source"


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                        class Registered(Entity):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                self.yang_name = "registered"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")
                                                self._segment_path = lambda: "registered"


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "registered"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ethernet.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ethernet.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Service.Ethernet.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Service.Ethernet.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                class Encapsulation(Entity):
                    """
                    Select encapsulation type for data packets
                    
                    .. attribute:: vxlan
                    
                    	Use VXLAN encapsulation for data packets
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.Encapsulation, self).__init__()

                        self.yang_name = "encapsulation"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vxlan = YLeaf(YType.empty, "vxlan")
                        self._segment_path = lambda: "encapsulation"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.Encapsulation, ['vxlan'], name, value)


                class LocatorSet(Entity):
                    """
                    Configure a named locator set
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: auto_discover_rlocs
                    
                    	Auto discover locators registered by other xTRs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipv4_interface
                    
                    	Use IPv4 address of interface as locator
                    	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorSet.IPv4Interface>`
                    
                    .. attribute:: ipv6_interface
                    
                    	Use IPv6 address of interface as locator
                    	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorSet.IPv6Interface>`
                    
                    .. attribute:: ip_address
                    
                    	Use IPv6 address of interface as locator
                    	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocatorSet.IpAddress>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.LocatorSet, self).__init__()

                        self.yang_name = "locator-set"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"IPv4-interface" : ("ipv4_interface", Native.Router.LispList.Default.LocatorSet.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.Default.LocatorSet.IPv6Interface), "ip-address" : ("ip_address", Native.Router.LispList.Default.LocatorSet.IpAddress)}

                        self.name = YLeaf(YType.str, "name")

                        self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                        self.ipv4_interface = YList(self)
                        self.ipv6_interface = YList(self)
                        self.ip_address = YList(self)
                        self._segment_path = lambda: "locator-set" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.LocatorSet, ['name', 'auto_discover_rlocs'], name, value)


                    class IPv4Interface(Entity):
                        """
                        Use IPv4 address of interface as locator
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.LocatorSet.IPv4Interface, self).__init__()

                            self.yang_name = "IPv4-interface"
                            self.yang_parent_name = "locator-set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.weight = YLeaf(YType.uint8, "weight")
                            self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.LocatorSet.IPv4Interface, ['name', 'priority', 'weight'], name, value)


                    class IPv6Interface(Entity):
                        """
                        Use IPv6 address of interface as locator
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.LocatorSet.IPv6Interface, self).__init__()

                            self.yang_name = "IPv6-interface"
                            self.yang_parent_name = "locator-set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.weight = YLeaf(YType.uint8, "weight")
                            self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.LocatorSet.IPv6Interface, ['name', 'priority', 'weight'], name, value)


                    class IpAddress(Entity):
                        """
                        Use IPv6 address of interface as locator
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.LocatorSet.IpAddress, self).__init__()

                            self.yang_name = "ip-address"
                            self.yang_parent_name = "locator-set"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.str, "ip")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.weight = YLeaf(YType.uint8, "weight")
                            self._segment_path = lambda: "ip-address" + "[ip='" + self.ip.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.LocatorSet.IpAddress, ['ip', 'priority', 'weight'], name, value)


                class Locator(Entity):
                    """
                    Locator configuration
                    
                    .. attribute:: default_set
                    
                    	Specify a default locator\-set
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.Locator, self).__init__()

                        self.yang_name = "locator"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.default_set = YLeaf(YType.str, "default-set")
                        self._segment_path = lambda: "locator"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.Locator, ['default_set'], name, value)


                class LocatorScope(Entity):
                    """
                    Configure a locator scope
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: rloc_prefix
                    
                    	RLOC prefix to check against ITR RLOC and ETR RLOC
                    	**type**\: union of the below types:
                    
                    		**type**\: list of str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                    
                    		**type**\: list of str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: rtr_locator_set
                    
                    	Locator\-set of RTR to use in proxy reply for disjoint/cross AF RLOC
                    	**type**\: list of str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.LocatorScope, self).__init__()

                        self.yang_name = "locator-scope"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.rloc_prefix = YLeafList(YType.str, "rloc-prefix")

                        self.rtr_locator_set = YLeafList(YType.str, "rtr-locator-set")
                        self._segment_path = lambda: "locator-scope" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.LocatorScope, ['name', 'rloc_prefix', 'rtr_locator_set'], name, value)


                class InstanceContainer(Entity):
                    """
                    EID instance\-ID
                    
                    .. attribute:: instance_list
                    
                    	
                    	**type**\: list of  		 :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.InstanceContainer, self).__init__()

                        self.yang_name = "instance-container"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"instance-list" : ("instance_list", Native.Router.LispList.Default.InstanceContainer.InstanceList)}

                        self.instance_list = YList(self)
                        self._segment_path = lambda: "instance-container"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer, [], name, value)


                    class InstanceList(Entity):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	EID instance\-ID
                        	**type**\: int
                        
                        	**range:** 0..16777214
                        
                        .. attribute:: default
                        
                        	
                        	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default>`
                        
                        .. attribute:: decapsulation
                        
                        	Decapsulation behavior (e.g. filters)
                        	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation>`
                        
                        .. attribute:: disable_ttl_propagate
                        
                        	Disable ttl propagation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic_eid
                        
                        	Configure a dynamic EID
                        	**type**\: list of  		 :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid>`
                        
                        .. attribute:: loc_reach_algorithm
                        
                        	Configure locator reachability algorithm
                        	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm>`
                        
                        .. attribute:: map_server
                        
                        	Map\-Server commands
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer>`
                        
                        .. attribute:: other_xtr_probe
                        
                        	Configure parameters for probing of other xTRs in our site
                        	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.OtherXtrProbe>`
                        
                        .. attribute:: remote_rloc_probe
                        
                        	Configure parameters for probing of remote RLOCs
                        	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.RemoteRlocProbe>`
                        
                        .. attribute:: service
                        
                        	Configure lisp service type
                        	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList, self).__init__()

                            self.yang_name = "instance-list"
                            self.yang_parent_name = "instance-container"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"default" : ("default", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default), "decapsulation" : ("decapsulation", Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm), "map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.LispList.Default.InstanceContainer.InstanceList.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.LispList.Default.InstanceContainer.InstanceList.RemoteRlocProbe), "service" : ("service", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service)}
                            self._child_list_classes = {"dynamic-eid" : ("dynamic_eid", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid)}

                            self.instance_id = YLeaf(YType.uint32, "instance-id")

                            self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                            self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default()
                            self.default.parent = self
                            self._children_name_map["default"] = "default"
                            self._children_yang_names.add("default")

                            self.decapsulation = Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation()
                            self.decapsulation.parent = self
                            self._children_name_map["decapsulation"] = "decapsulation"
                            self._children_yang_names.add("decapsulation")

                            self.loc_reach_algorithm = Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm()
                            self.loc_reach_algorithm.parent = self
                            self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                            self._children_yang_names.add("loc-reach-algorithm")

                            self.map_server = Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer()
                            self.map_server.parent = self
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.other_xtr_probe = Native.Router.LispList.Default.InstanceContainer.InstanceList.OtherXtrProbe()
                            self.other_xtr_probe.parent = self
                            self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                            self._children_yang_names.add("other-xtr-probe")

                            self.remote_rloc_probe = Native.Router.LispList.Default.InstanceContainer.InstanceList.RemoteRlocProbe()
                            self.remote_rloc_probe.parent = self
                            self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                            self._children_yang_names.add("remote-rloc-probe")

                            self.service = None
                            self._children_name_map["service"] = "service"
                            self._children_yang_names.add("service")

                            self.dynamic_eid = YList(self)
                            self._segment_path = lambda: "instance-list" + "[instance-id='" + self.instance_id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList, ['instance_id', 'disable_ttl_propagate'], name, value)


                        class Default(Entity):
                            """
                            
                            
                            .. attribute:: decapsulation
                            
                            	Decapsulation behavior (e.g. filters)
                            	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation>`
                            
                            .. attribute:: disable_ttl_propagate
                            
                            	Disable ttl propagation
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: dynamic_eid
                            
                            	Configure a dynamic EID
                            	**type**\: list of  		 :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid>`
                            
                            .. attribute:: loc_reach_algorithm
                            
                            	Configure locator reachability algorithm
                            	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm>`
                            
                            .. attribute:: map_server
                            
                            	Map\-Server commands
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer>`
                            
                            .. attribute:: other_xtr_probe
                            
                            	Configure parameters for probing of other xTRs in our site
                            	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.OtherXtrProbe>`
                            
                            .. attribute:: remote_rloc_probe
                            
                            	Configure parameters for probing of remote RLOCs
                            	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.RemoteRlocProbe>`
                            
                            .. attribute:: service
                            
                            	Configure lisp service type
                            	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default, self).__init__()

                                self.yang_name = "default"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"decapsulation" : ("decapsulation", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm), "map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.RemoteRlocProbe), "service" : ("service", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service)}
                                self._child_list_classes = {"dynamic-eid" : ("dynamic_eid", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid)}

                                self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                                self.decapsulation = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation()
                                self.decapsulation.parent = self
                                self._children_name_map["decapsulation"] = "decapsulation"
                                self._children_yang_names.add("decapsulation")

                                self.loc_reach_algorithm = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm()
                                self.loc_reach_algorithm.parent = self
                                self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                                self._children_yang_names.add("loc-reach-algorithm")

                                self.map_server = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer()
                                self.map_server.parent = self
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")

                                self.other_xtr_probe = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.OtherXtrProbe()
                                self.other_xtr_probe.parent = self
                                self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                                self._children_yang_names.add("other-xtr-probe")

                                self.remote_rloc_probe = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.RemoteRlocProbe()
                                self.remote_rloc_probe.parent = self
                                self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                                self._children_yang_names.add("remote-rloc-probe")

                                self.service = None
                                self._children_name_map["service"] = "service"
                                self._children_yang_names.add("service")

                                self.dynamic_eid = YList(self)
                                self._segment_path = lambda: "default"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default, ['disable_ttl_propagate'], name, value)


                            class Decapsulation(Entity):
                                """
                                Decapsulation behavior (e.g. filters)
                                
                                .. attribute:: filter
                                
                                	Filters traffic
                                	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation, self).__init__()

                                    self.yang_name = "decapsulation"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"filter" : ("filter", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter)}
                                    self._child_list_classes = {}

                                    self.filter = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter()
                                    self.filter.parent = self
                                    self._children_name_map["filter"] = "filter"
                                    self._children_yang_names.add("filter")
                                    self._segment_path = lambda: "decapsulation"


                                class Filter(Entity):
                                    """
                                    Filters traffic
                                    
                                    .. attribute:: rloc
                                    
                                    	Filter based on Routing Locator (RLOC) in packet header
                                    	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter, self).__init__()

                                        self.yang_name = "filter"
                                        self.yang_parent_name = "decapsulation"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc)}
                                        self._child_list_classes = {}

                                        self.rloc = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc()
                                        self.rloc.parent = self
                                        self._children_name_map["rloc"] = "rloc"
                                        self._children_yang_names.add("rloc")
                                        self._segment_path = lambda: "filter"


                                    class Rloc(Entity):
                                        """
                                        Filter based on Routing Locator (RLOC) in packet header
                                        
                                        .. attribute:: source
                                        
                                        	Filters traffic based on RLOC source address
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc, self).__init__()

                                            self.yang_name = "rloc"
                                            self.yang_parent_name = "filter"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "rloc"


                                        class Source(Entity):
                                            """
                                            Filters traffic based on RLOC source address
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator\-set Name
                                            	**type**\: str
                                            
                                            .. attribute:: member
                                            
                                            	Members learned from map\-server
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "rloc"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.member = YLeaf(YType.empty, "member")
                                                self._segment_path = lambda: "source"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                            class DynamicEid(Entity):
                                """
                                Configure a dynamic EID
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: database_mapping
                                
                                	Configures EID\-prefix and locator\-set for dynamic\-EID
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping>`
                                
                                .. attribute:: eid_notify
                                
                                	Configure options for sending/receiving EID\-notify
                                	**type**\:  :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify>`
                                
                                .. attribute:: map_notify_group
                                
                                	Multicast group which to send map\-notifies to
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid, self).__init__()

                                    self.yang_name = "dynamic-eid"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping), "eid-notify" : ("eid_notify", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer)}

                                    self.name = YLeaf(YType.str, "name")

                                    self.map_notify_group = YLeaf(YType.str, "map-notify-group")

                                    self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.eid_notify = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify()
                                    self.eid_notify.parent = self
                                    self._children_name_map["eid_notify"] = "eid-notify"
                                    self._children_yang_names.add("eid-notify")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "dynamic-eid" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid, ['name', 'map_notify_group'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures EID\-prefix and locator\-set for dynamic\-EID
                                    
                                    .. attribute:: ipv4_prefix
                                    
                                    	IPv4 EID\-prefix for dynamic\-EID
                                    	**type**\: list of  		 :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "dynamic-eid"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"ipv4-prefix" : ("ipv4_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix)}

                                        self.ipv4_prefix = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping, [], name, value)


                                    class Ipv4Prefix(Entity):
                                        """
                                        IPv4 EID\-prefix for dynamic\-EID
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix, self).__init__()

                                            self.yang_name = "ipv4-prefix"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "ipv4-prefix" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix, ['eid_prefix', 'locator_set'], name, value)


                                class EidNotify(Entity):
                                    """
                                    Configure options for sending/receiving EID\-notify
                                    
                                    .. attribute:: authentication_key
                                    
                                    	Authentication key used for validating received EID\-notify
                                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey>`
                                    
                                    .. attribute:: gateway_key
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify, self).__init__()

                                        self.yang_name = "eid-notify"
                                        self.yang_parent_name = "dynamic-eid"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey)}
                                        self._child_list_classes = {"gateway-key" : ("gateway_key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey)}

                                        self.authentication_key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey()
                                        self.authentication_key.parent = self
                                        self._children_name_map["authentication_key"] = "authentication-key"
                                        self._children_yang_names.add("authentication-key")

                                        self.gateway_key = YList(self)
                                        self._segment_path = lambda: "eid-notify"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify, [], name, value)


                                    class AuthenticationKey(Entity):
                                        """
                                        Authentication key used for validating received EID\-notify
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: key_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: key_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: key_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey, self).__init__()

                                            self.yang_name = "authentication-key"
                                            self.yang_parent_name = "eid-notify"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.key_0 = YLeaf(YType.str, "key-0")

                                            self.key_6 = YLeaf(YType.str, "key-6")

                                            self.key_7 = YLeaf(YType.str, "key-7")
                                            self._segment_path = lambda: "authentication-key"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                                    class GatewayKey(Entity):
                                        """
                                        
                                        
                                        .. attribute:: gateway_ip  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey, self).__init__()

                                            self.yang_name = "gateway-key"
                                            self.yang_parent_name = "eid-notify"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key)}
                                            self._child_list_classes = {}

                                            self.gateway_ip = YLeaf(YType.str, "gateway-ip")

                                            self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "gateway-key" + "[gateway-ip='" + self.gateway_ip.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey, ['gateway_ip'], name, value)


                                        class Key(Entity):
                                            """
                                            
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "gateway-key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "dynamic-eid"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                            class LocReachAlgorithm(Entity):
                                """
                                Configure locator reachability algorithm
                                
                                .. attribute:: lsb_reports
                                
                                	Configure data packet LSB report handling
                                	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports>`
                                
                                .. attribute:: rloc_probing
                                
                                	Probe high priority RLOCs with Map\-Requests as last resort
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm, self).__init__()

                                    self.yang_name = "loc-reach-algorithm"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports)}
                                    self._child_list_classes = {}

                                    self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                                    self.lsb_reports = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports()
                                    self.lsb_reports.parent = self
                                    self._children_name_map["lsb_reports"] = "lsb-reports"
                                    self._children_yang_names.add("lsb-reports")
                                    self._segment_path = lambda: "loc-reach-algorithm"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm, ['rloc_probing'], name, value)


                                class LsbReports(Entity):
                                    """
                                    Configure data packet LSB report handling
                                    
                                    .. attribute:: do_not_transmit
                                    
                                    	Force the setting of the encapsulation header L bit to zero
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore data packet LSB reports
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports, self).__init__()

                                        self.yang_name = "lsb-reports"
                                        self.yang_parent_name = "loc-reach-algorithm"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                                        self.ignore = YLeaf(YType.empty, "ignore")
                                        self._segment_path = lambda: "lsb-reports"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                            class MapServer(Entity):
                                """
                                Map\-Server commands
                                
                                .. attribute:: rloc
                                
                                	EID instance RLOC membership
                                	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc>`
                                
                                .. attribute:: site_registration
                                
                                	Map\-server site registration options
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration)}
                                    self._child_list_classes = {}

                                    self.rloc = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc()
                                    self.rloc.parent = self
                                    self._children_name_map["rloc"] = "rloc"
                                    self._children_yang_names.add("rloc")

                                    self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")
                                    self._segment_path = lambda: "map-server"


                                class Rloc(Entity):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: members
                                    
                                    	EID instance RLOC membership
                                    	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc, self).__init__()

                                        self.yang_name = "rloc"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"members" : ("members", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members)}
                                        self._child_list_classes = {}

                                        self.members = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members()
                                        self.members.parent = self
                                        self._children_name_map["members"] = "members"
                                        self._children_yang_names.add("members")
                                        self._segment_path = lambda: "rloc"


                                    class Members(Entity):
                                        """
                                        EID instance RLOC membership
                                        
                                        .. attribute:: distribute
                                        
                                        	EID instance RLOC membership distribution
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: modify_discovered
                                        
                                        	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members, self).__init__()

                                            self.yang_name = "members"
                                            self.yang_parent_name = "rloc"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered)}
                                            self._child_list_classes = {}

                                            self.distribute = YLeaf(YType.empty, "distribute")

                                            self.modify_discovered = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered()
                                            self.modify_discovered.parent = self
                                            self._children_name_map["modify_discovered"] = "modify-discovered"
                                            self._children_yang_names.add("modify-discovered")
                                            self._segment_path = lambda: "members"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members, ['distribute'], name, value)


                                        class ModifyDiscovered(Entity):
                                            """
                                            Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                            
                                            .. attribute:: operator
                                            
                                            	
                                            	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set from which to get member RLOC addresses
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                                self.yang_name = "modify-discovered"
                                                self.yang_parent_name = "members"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.operator = YLeaf(YType.enumeration, "operator")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "modify-discovered"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                            class Operator(Enum):
                                                """
                                                Operator

                                                .. data:: add = 0

                                                .. data:: override = 1

                                                """

                                                add = Enum.YLeaf(0, "add")

                                                override = Enum.YLeaf(1, "override")



                                class SiteRegistration(Entity):
                                    """
                                    Map\-server site registration options
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations as a result of accept\-more\-specifics
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class OtherXtrProbe(Entity):
                                """
                                Configure parameters for probing of other xTRs in our site
                                
                                .. attribute:: period
                                
                                	Period between probes in seconds
                                	**type**\: int
                                
                                	**range:** 5..900
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.OtherXtrProbe, self).__init__()

                                    self.yang_name = "other-xtr-probe"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.period = YLeaf(YType.uint16, "period")
                                    self._segment_path = lambda: "other-xtr-probe"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.OtherXtrProbe, ['period'], name, value)


                            class RemoteRlocProbe(Entity):
                                """
                                Configure parameters for probing of remote RLOCs
                                
                                .. attribute:: on_membership_change
                                
                                	Trigger probing upon membership changes for remote RLOC
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: on_route_change
                                
                                	Trigger probing upon routing changes for remote RLOC
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.RemoteRlocProbe, self).__init__()

                                    self.yang_name = "remote-rloc-probe"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                                    self.on_route_change = YLeaf(YType.empty, "on-route-change")
                                    self._segment_path = lambda: "remote-rloc-probe"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                            class Service(Entity):
                                """
                                Configure lisp service type
                                
                                .. attribute:: ipv4
                                
                                	
                                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: ethernet
                                
                                	
                                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service, self).__init__()

                                    self.yang_name = "service"
                                    self.yang_parent_name = "default"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4), "ipv6" : ("ipv6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6), "ethernet" : ("ethernet", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.ipv4 = None
                                    self._children_name_map["ipv4"] = "ipv4"
                                    self._children_yang_names.add("ipv4")

                                    self.ipv6 = None
                                    self._children_name_map["ipv6"] = "ipv6"
                                    self._children_yang_names.add("ipv6")

                                    self.ethernet = None
                                    self._children_name_map["ethernet"] = "ethernet"
                                    self._children_yang_names.add("ethernet")
                                    self._segment_path = lambda: "service"


                                class Ipv4(Entity):
                                    """
                                    
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest>`
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\: str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent>`
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4, self).__init__()

                                        self.yang_name = "ipv4"
                                        self.yang_parent_name = "service"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"default" : ("default", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default), "eid-table" : ("eid_table", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable), "itr" : ("itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt), "distance" : ("distance", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping)}
                                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr)}
                                        self.is_presence_container = True

                                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                        self.sgt = YLeaf(YType.empty, "sgt")

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt()
                                        self.alt.parent = self
                                        self._children_name_map["alt"] = "alt"
                                        self._children_yang_names.add("alt")

                                        self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance()
                                        self.distance.parent = self
                                        self._children_name_map["distance"] = "distance"
                                        self._children_yang_names.add("distance")

                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")

                                        self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                        self._children_yang_names.add("map-cache-persistent")

                                        self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self._children_name_map["proxy_itr"] = "proxy-itr"
                                        self._children_yang_names.add("proxy-itr")

                                        self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport()
                                        self.route_export.parent = self
                                        self._children_name_map["route_export"] = "route-export"
                                        self._children_yang_names.add("route-export")

                                        self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport()
                                        self.route_import.parent = self
                                        self._children_name_map["route_import"] = "route-import"
                                        self._children_yang_names.add("route-import")

                                        self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.use_petr = YList(self)
                                        self._segment_path = lambda: "ipv4"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                    class Default(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_table
                                        
                                        	Bind an eid\-table
                                        	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable>`
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr>`
                                        
                                        .. attribute:: itr_enable
                                        
                                        	
                                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable>`
                                        
                                        .. attribute:: etr_enable
                                        
                                        	
                                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable>`
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr>`
                                        
                                        .. attribute:: map_cache_limit
                                        
                                        	Configures maximum size of map\-cache
                                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Site registrations configuration for a given instance\-id
                                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration>`
                                        
                                        .. attribute:: solicit_map_request
                                        
                                        	Configure Solicit\-Map\-Request handling
                                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest>`
                                        
                                        .. attribute:: alt
                                        
                                        	LISP Alternative Topology, LISP\-ALT
                                        	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt>`
                                        
                                        .. attribute:: alt_vrf
                                        
                                        	Activate LISP\-ALT functionality in VRF
                                        	**type**\: str
                                        
                                        	**status**\: deprecated
                                        
                                        .. attribute:: distance
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Address family specific map cache configuration
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache>`
                                        
                                        .. attribute:: map_cache_persistent
                                        
                                        	Dump map\-cache onto flash, making it persistent across reboots
                                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent>`
                                        
                                        .. attribute:: proxy_etr
                                        
                                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: proxy_itr
                                        
                                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr>`
                                        
                                        .. attribute:: route_export
                                        
                                        	Export routes into RIB from LISP
                                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport>`
                                        
                                        .. attribute:: sgt
                                        
                                        	Enable security group tag propagation in LISP encapsulated traffic
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: use_petr
                                        
                                        	Encapsulate to Proxy ETR when matching forward\-native entry
                                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr>`
                                        
                                        .. attribute:: route_import
                                        
                                        	Import RIB routes by a routing protocol into LISP
                                        	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport>`
                                        
                                        .. attribute:: map_request_source
                                        
                                        	Configures inner header source address in Map\-Request message
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping
                                        
                                        	Configures Locator addresses for an ETR
                                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable), "itr" : ("itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt), "distance" : ("distance", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping)}
                                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr)}

                                            self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                            self.sgt = YLeaf(YType.empty, "sgt")

                                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                                            self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable()
                                            self.eid_table.parent = self
                                            self._children_name_map["eid_table"] = "eid-table"
                                            self._children_yang_names.add("eid-table")

                                            self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr()
                                            self.itr.parent = self
                                            self._children_name_map["itr"] = "itr"
                                            self._children_yang_names.add("itr")

                                            self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable()
                                            self.itr_enable.parent = self
                                            self._children_name_map["itr_enable"] = "itr-enable"
                                            self._children_yang_names.add("itr-enable")

                                            self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable()
                                            self.etr_enable.parent = self
                                            self._children_name_map["etr_enable"] = "etr-enable"
                                            self._children_yang_names.add("etr-enable")

                                            self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr()
                                            self.etr.parent = self
                                            self._children_name_map["etr"] = "etr"
                                            self._children_yang_names.add("etr")

                                            self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit()
                                            self.map_cache_limit.parent = self
                                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                            self._children_yang_names.add("map-cache-limit")

                                            self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration()
                                            self.site_registration.parent = self
                                            self._children_name_map["site_registration"] = "site-registration"
                                            self._children_yang_names.add("site-registration")

                                            self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest()
                                            self.solicit_map_request.parent = self
                                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                            self._children_yang_names.add("solicit-map-request")

                                            self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt()
                                            self.alt.parent = self
                                            self._children_name_map["alt"] = "alt"
                                            self._children_yang_names.add("alt")

                                            self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance()
                                            self.distance.parent = self
                                            self._children_name_map["distance"] = "distance"
                                            self._children_yang_names.add("distance")

                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")

                                            self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent()
                                            self.map_cache_persistent.parent = self
                                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                            self._children_yang_names.add("map-cache-persistent")

                                            self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr()
                                            self.proxy_itr.parent = self
                                            self._children_name_map["proxy_itr"] = "proxy-itr"
                                            self._children_yang_names.add("proxy-itr")

                                            self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport()
                                            self.route_export.parent = self
                                            self._children_name_map["route_export"] = "route-export"
                                            self._children_yang_names.add("route-export")

                                            self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport()
                                            self.route_import.parent = self
                                            self._children_name_map["route_import"] = "route-import"
                                            self._children_yang_names.add("route-import")

                                            self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping()
                                            self.database_mapping.parent = self
                                            self._children_name_map["database_mapping"] = "database-mapping"
                                            self._children_yang_names.add("database-mapping")

                                            self.use_petr = YList(self)
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                        class EidTable(Entity):
                                            """
                                            Bind an eid\-table
                                            
                                            .. attribute:: vrf_name
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: default
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: vrf
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable, self).__init__()

                                                self.yang_name = "eid-table"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vrf_name = YLeaf(YType.str, "vrf-name")

                                                self.default = YLeaf(YType.empty, "default")

                                                self.vrf = YLeaf(YType.str, "vrf")
                                                self._segment_path = lambda: "eid-table"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                        class Itr(Entity):
                                            """
                                            Configures a LISP Ingress Tunnel Router (ITR)
                                            
                                            .. attribute:: map_resolver
                                            
                                            	Configures map\-resolver address for sending Map\-Requests
                                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr, self).__init__()

                                                self.yang_name = "itr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver)}

                                                self.map_resolver = YList(self)
                                                self._segment_path = lambda: "itr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr, [], name, value)


                                            class MapResolver(Entity):
                                                """
                                                Configures map\-resolver address for sending Map\-Requests
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver, self).__init__()

                                                    self.yang_name = "map-resolver"
                                                    self.yang_parent_name = "itr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                        class ItrEnable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: itr
                                            
                                            	Configures a LISP Ingress Tunnel Router (ITR)
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable, self).__init__()

                                                self.yang_name = "itr-enable"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.itr = YLeaf(YType.empty, "itr")
                                                self._segment_path = lambda: "itr-enable"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable, ['itr'], name, value)


                                        class EtrEnable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr
                                            
                                            	Configures a LISP Egress Tunnel Router (ETR)
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable, self).__init__()

                                                self.yang_name = "etr-enable"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr = YLeaf(YType.empty, "etr")
                                                self._segment_path = lambda: "etr-enable"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable, ['etr'], name, value)


                                        class Etr(Entity):
                                            """
                                            Configures a LISP Egress Tunnel Router (ETR)
                                            
                                            .. attribute:: map_server
                                            
                                            	Configures map server for ETR registration
                                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer>`
                                            
                                            .. attribute:: map_cache_ttl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 60..10080
                                            
                                            .. attribute:: accept_map_request_mapping
                                            
                                            	
                                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr, self).__init__()

                                                self.yang_name = "etr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping)}
                                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer)}

                                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                                self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                                self.accept_map_request_mapping.parent = self
                                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                                self._children_yang_names.add("accept-map-request-mapping")

                                                self.map_server = YList(self)
                                                self._segment_path = lambda: "etr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr, ['map_cache_ttl'], name, value)


                                            class MapServer(Entity):
                                                """
                                                Configures map server for ETR registration
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: key
                                                
                                                	Authentication key used with map server
                                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key>`
                                                
                                                .. attribute:: proxy_reply
                                                
                                                	Request Map\-Server to send Map\-Replies on behalf of site
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer, self).__init__()

                                                    self.yang_name = "map-server"
                                                    self.yang_parent_name = "etr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key)}
                                                    self._child_list_classes = {}

                                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                    self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key()
                                                    self.key.parent = self
                                                    self._children_name_map["key"] = "key"
                                                    self._children_yang_names.add("key")
                                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                                class Key(Entity):
                                                    """
                                                    Authentication key used with map server
                                                    
                                                    .. attribute:: key_pwd
                                                    
                                                    	
                                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                                    
                                                    .. attribute:: key_0
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                                    
                                                    .. attribute:: key_6
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                                    
                                                    .. attribute:: key_7
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key, self).__init__()

                                                        self.yang_name = "key"
                                                        self.yang_parent_name = "map-server"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7)}
                                                        self._child_list_classes = {}

                                                        self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                                        self.key_pwd.parent = self
                                                        self._children_name_map["key_pwd"] = "key-pwd"
                                                        self._children_yang_names.add("key-pwd")

                                                        self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                                        self.key_0.parent = self
                                                        self._children_name_map["key_0"] = "key-0"
                                                        self._children_yang_names.add("key-0")

                                                        self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                                        self.key_6.parent = self
                                                        self._children_name_map["key_6"] = "key-6"
                                                        self._children_yang_names.add("key-6")

                                                        self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                                        self.key_7.parent = self
                                                        self._children_name_map["key_7"] = "key-7"
                                                        self._children_yang_names.add("key-7")
                                                        self._segment_path = lambda: "key"


                                                    class KeyPwd(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: unc_pwd
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                            self.yang_name = "key-pwd"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-pwd"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key0(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_0
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                            self.yang_name = "key-0"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-0"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key6(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_6
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                            self.yang_name = "key-6"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-6"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key7(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_7
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                            self.yang_name = "key-7"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-7"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                            class AcceptMapRequestMapping(Entity):
                                                """
                                                
                                                
                                                .. attribute:: accept_mappping
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: verify
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                    self.yang_name = "accept-map-request-mapping"
                                                    self.yang_parent_name = "etr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                    self.verify = YLeaf(YType.empty, "verify")
                                                    self._segment_path = lambda: "accept-map-request-mapping"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                        class MapCacheLimit(Entity):
                                            """
                                            Configures maximum size of map\-cache
                                            
                                            .. attribute:: max_map_cache_entries
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..100000
                                            
                                            .. attribute:: reserve_list
                                            
                                            	EID\-prefixes guaranteed to be stored in map\-cache
                                            	**type**\: str
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit, self).__init__()

                                                self.yang_name = "map-cache-limit"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "map-cache-limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                        class SiteRegistration(Entity):
                                            """
                                            Site registrations configuration for a given instance\-id
                                            
                                            .. attribute:: limit
                                            
                                            	Maximum number of site registrations
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Warning threshold to issue system logging
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration, self).__init__()

                                                self.yang_name = "site-registration"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.limit = YLeaf(YType.uint32, "limit")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "site-registration"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                        class SolicitMapRequest(Entity):
                                            """
                                            Configure Solicit\-Map\-Request handling
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore SMR bit in incoming Map\-Requests
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: max_per_entry
                                            
                                            	Maximum number of SMRs for addresses under a map\-cache entry
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: suppression_time
                                            
                                            	How long to suppress repeated SMRs for the same address
                                            	**type**\: int
                                            
                                            	**range:** 1..600
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest, self).__init__()

                                                self.yang_name = "solicit-map-request"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")

                                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                                self._segment_path = lambda: "solicit-map-request"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                        class Alt(Entity):
                                            """
                                            LISP Alternative Topology, LISP\-ALT
                                            
                                            .. attribute:: summary_route
                                            
                                            	Summary route to install into the ALT table
                                            	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt, self).__init__()

                                                self.yang_name = "alt"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute)}

                                                self.summary_route = YList(self)
                                                self._segment_path = lambda: "alt"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt, [], name, value)


                                            class SummaryRoute(Entity):
                                                """
                                                Summary route to install into the ALT table
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                .. attribute:: route_tag
                                                
                                                	ALT RIB route tag for EID prefix
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute, self).__init__()

                                                    self.yang_name = "summary-route"
                                                    self.yang_parent_name = "alt"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                    self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                        class Distance(Entity):
                                            """
                                            Administrative distance for RIB route installation
                                            
                                            .. attribute:: alt
                                            
                                            	LISP routes installed in the ALT table
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: away
                                            
                                            	Administrative distance for RIB route installation
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: dyn_eid
                                            
                                            	LISP installed routes of type dynamic\-EID
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: site_registrations
                                            
                                            	LISP installed routes of type site\-registrations
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance, self).__init__()

                                                self.yang_name = "distance"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.alt = YLeaf(YType.uint8, "alt")

                                                self.away = YLeaf(YType.uint8, "away")

                                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                                self._segment_path = lambda: "distance"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Address family specific map cache configuration
                                            
                                            .. attribute:: eid_interface
                                            
                                            	Configures static EID\-to\-RLOC mappings for an ITR
                                            	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface>`
                                            
                                            .. attribute:: away_eids
                                            
                                            	Map cache configuration for the away table
                                            	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids>`
                                            
                                            .. attribute:: site_registration
                                            
                                            	Install map cache to map request for site registrations
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids)}
                                                self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface)}

                                                self.site_registration = YLeaf(YType.empty, "site-registration")

                                                self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids()
                                                self.away_eids.parent = self
                                                self._children_name_map["away_eids"] = "away-eids"
                                                self._children_yang_names.add("away-eids")

                                                self.eid_interface = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache, ['site_registration'], name, value)


                                            class EidInterface(Entity):
                                                """
                                                Configures static EID\-to\-RLOC mappings for an ITR
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                .. attribute:: etr_interface_ip
                                                
                                                	
                                                	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                                
                                                .. attribute:: drop
                                                
                                                	Drop packets that match this map\-cache entry
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: map_request
                                                
                                                	Send Map\-Request for LISP destination EID
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: native_forward
                                                
                                                	Natively forward packets that match this map\-cache entry
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface, self).__init__()

                                                    self.yang_name = "eid-interface"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                                    self._child_list_classes = {}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.drop = YLeaf(YType.empty, "drop")

                                                    self.map_request = YLeaf(YType.empty, "map-request")

                                                    self.native_forward = YLeaf(YType.empty, "native-forward")

                                                    self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp()
                                                    self.etr_interface_ip.parent = self
                                                    self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                    self._children_yang_names.add("etr-interface-ip")
                                                    self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                                class EtrInterfaceIp(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: etr_interface_ip_address
                                                    
                                                    	IP address of loopback or other ETR interface
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    		**type**\: str
                                                    
                                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                        self.yang_name = "etr-interface-ip"
                                                        self.yang_parent_name = "eid-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")
                                                        self._segment_path = lambda: "etr-interface-ip"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                            class AwayEids(Entity):
                                                """
                                                Map cache configuration for the away table
                                                
                                                .. attribute:: send_map_request
                                                
                                                	Export away table entries into the map cache with action set to send\-map\-request
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids, self).__init__()

                                                    self.yang_name = "away-eids"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                    self._segment_path = lambda: "away-eids"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                        class MapCachePersistent(Entity):
                                            """
                                            Dump map\-cache onto flash, making it persistent across reboots
                                            
                                            .. attribute:: interval
                                            
                                            	Interval in minutes of how often the map\-cache is saved
                                            	**type**\: int
                                            
                                            	**range:** 1..1440
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent, self).__init__()

                                                self.yang_name = "map-cache-persistent"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "map-cache-persistent"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent, ['interval'], name, value)


                                        class ProxyItr(Entity):
                                            """
                                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                            
                                            .. attribute:: ipv4_addr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: ipv6_addr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr, self).__init__()

                                                self.yang_name = "proxy-itr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                                self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                                self._segment_path = lambda: "proxy-itr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                        class RouteExport(Entity):
                                            """
                                            Export routes into RIB from LISP
                                            
                                            .. attribute:: site_registrations
                                            
                                            	Export LISP site registrations to RIB
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: away_eids
                                            
                                            	Export LISP away EIDs to RIB
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport, self).__init__()

                                                self.yang_name = "route-export"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                                self._segment_path = lambda: "route-export"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                        class UsePetr(Entity):
                                            """
                                            Encapsulate to Proxy ETR when matching forward\-native entry
                                            
                                            .. attribute:: locator_address  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	
                                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr, self).__init__()

                                                self.yang_name = "use-petr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority)}
                                                self._child_list_classes = {}

                                                self.locator_address = YLeaf(YType.str, "locator-address")

                                                self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority()
                                                self.priority.parent = self
                                                self._children_name_map["priority"] = "priority"
                                                self._children_yang_names.add("priority")
                                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr, ['locator_address'], name, value)


                                            class Priority(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority_value
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority, self).__init__()

                                                    self.yang_name = "priority"
                                                    self.yang_parent_name = "use-petr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "priority"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                        class RouteImport(Entity):
                                            """
                                            Import RIB routes by a routing protocol into LISP
                                            
                                            .. attribute:: database
                                            
                                            	Use RIB routes to define local EID database entries
                                            	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database>`
                                            
                                            .. attribute:: map_cache
                                            
                                            	Use RIB routes to define EID address space in map\-cache
                                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport, self).__init__()

                                                self.yang_name = "route-import"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database" : ("database", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache)}
                                                self._child_list_classes = {}

                                                self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database()
                                                self.database.parent = self
                                                self._children_name_map["database"] = "database"
                                                self._children_yang_names.add("database")

                                                self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache()
                                                self.map_cache.parent = self
                                                self._children_name_map["map_cache"] = "map-cache"
                                                self._children_yang_names.add("map-cache")
                                                self._segment_path = lambda: "route-import"


                                            class Database(Entity):
                                                """
                                                Use RIB routes to define local EID database entries
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application>`
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected>`
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbor Discovery
                                                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd>`
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static>`
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database, self).__init__()

                                                    self.yang_name = "database"
                                                    self.yang_parent_name = "route-import"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip)}
                                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf)}

                                                    self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application()
                                                    self.application.parent = self
                                                    self._children_name_map["application"] = "application"
                                                    self._children_yang_names.add("application")

                                                    self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected()
                                                    self.connected.parent = self
                                                    self._children_name_map["connected"] = "connected"
                                                    self._children_yang_names.add("connected")

                                                    self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis()
                                                    self.isis.parent = self
                                                    self._children_name_map["isis"] = "isis"
                                                    self._children_yang_names.add("isis")

                                                    self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                    self._children_yang_names.add("maximum-prefix")

                                                    self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd()
                                                    self.nd.parent = self
                                                    self._children_name_map["nd"] = "nd"
                                                    self._children_yang_names.add("nd")

                                                    self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static()
                                                    self.static.parent = self
                                                    self._children_name_map["static"] = "static"
                                                    self._children_yang_names.add("static")

                                                    self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip()
                                                    self.rip.parent = self
                                                    self._children_name_map["rip"] = "rip"
                                                    self._children_yang_names.add("rip")

                                                    self.bgp = YList(self)
                                                    self.eigrp = YList(self)
                                                    self.ospf = YList(self)
                                                    self._segment_path = lambda: "database"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database, [], name, value)


                                                class Application(Entity):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application, self).__init__()

                                                        self.yang_name = "application"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "application"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "application"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Bgp(Entity):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: int
                                                    
                                                    			**range:** 1..4294967295
                                                    
                                                    		**type**\: str
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp, self).__init__()

                                                        self.yang_name = "bgp"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "bgp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Connected(Entity):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected, self).__init__()

                                                        self.yang_name = "connected"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "connected"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "connected"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Eigrp(Entity):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp, self).__init__()

                                                        self.yang_name = "eigrp"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "eigrp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Isis(Entity):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: process_id
                                                    
                                                    	Process name
                                                    	**type**\: str
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis, self).__init__()

                                                        self.yang_name = "isis"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.process_id = YLeaf(YType.str, "process-id")

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "isis"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "isis"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class MaximumPrefix(Entity):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                        self.yang_name = "maximum-prefix"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.number = YLeaf(YType.uint32, "number")

                                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                        self._segment_path = lambda: "maximum-prefix"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                                class Nd(Entity):
                                                    """
                                                    Neighbor Discovery
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd, self).__init__()

                                                        self.yang_name = "nd"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "nd"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "nd"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Ospf(Entity):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf, self).__init__()

                                                        self.yang_name = "ospf"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "ospf"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Static(Entity):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static, self).__init__()

                                                        self.yang_name = "static"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "static"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "static"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Rip(Entity):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip, self).__init__()

                                                        self.yang_name = "rip"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "rip"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "rip"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MapCache(Entity):
                                                """
                                                Use RIB routes to define EID address space in map\-cache
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbour Discovery
                                                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache, self).__init__()

                                                    self.yang_name = "map-cache"
                                                    self.yang_parent_name = "route-import"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip)}
                                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf)}

                                                    self.application = None
                                                    self._children_name_map["application"] = "application"
                                                    self._children_yang_names.add("application")

                                                    self.connected = None
                                                    self._children_name_map["connected"] = "connected"
                                                    self._children_yang_names.add("connected")

                                                    self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis()
                                                    self.isis.parent = self
                                                    self._children_name_map["isis"] = "isis"
                                                    self._children_yang_names.add("isis")

                                                    self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                    self._children_yang_names.add("maximum-prefix")

                                                    self.nd = None
                                                    self._children_name_map["nd"] = "nd"
                                                    self._children_yang_names.add("nd")

                                                    self.static = None
                                                    self._children_name_map["static"] = "static"
                                                    self._children_yang_names.add("static")

                                                    self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip()
                                                    self.rip.parent = self
                                                    self._children_name_map["rip"] = "rip"
                                                    self._children_yang_names.add("rip")

                                                    self.bgp = YList(self)
                                                    self.eigrp = YList(self)
                                                    self.ospf = YList(self)
                                                    self._segment_path = lambda: "map-cache"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache, [], name, value)


                                                class Application(Entity):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application, self).__init__()

                                                        self.yang_name = "application"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "application"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "application"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                                class Bgp(Entity):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: int
                                                    
                                                    			**range:** 1..4294967295
                                                    
                                                    		**type**\: str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                        self.yang_name = "bgp"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "bgp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                                class Connected(Entity):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected, self).__init__()

                                                        self.yang_name = "connected"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "connected"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "connected"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                                class Eigrp(Entity):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                        self.yang_name = "eigrp"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "eigrp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                                class Isis(Entity):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: id
                                                    
                                                    	Process name
                                                    	**type**\: str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis, self).__init__()

                                                        self.yang_name = "isis"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "isis"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "isis"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                                class MaximumPrefix(Entity):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                        self.yang_name = "maximum-prefix"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.number = YLeaf(YType.uint32, "number")

                                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                        self._segment_path = lambda: "maximum-prefix"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                                class Nd(Entity):
                                                    """
                                                    Neighbour Discovery
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd, self).__init__()

                                                        self.yang_name = "nd"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "nd"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "nd"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                                class Ospf(Entity):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                        self.yang_name = "ospf"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "ospf"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                                class Static(Entity):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static, self).__init__()

                                                        self.yang_name = "static"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "static"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "static"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                                class Rip(Entity):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip, self).__init__()

                                                        self.yang_name = "rip"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "rip"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "rip"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                        class DatabaseMapping(Entity):
                                            """
                                            Configures Locator addresses for an ETR
                                            
                                            .. attribute:: eid_cont
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont>`
                                            
                                            .. attribute:: limit
                                            
                                            	Configures the maximum size of local EID prefixes database
                                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping, self).__init__()

                                                self.yang_name = "database-mapping"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit)}
                                                self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont)}

                                                self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit()
                                                self.limit.parent = self
                                                self._children_name_map["limit"] = "limit"
                                                self._children_yang_names.add("limit")

                                                self.eid_cont = YList(self)
                                                self._segment_path = lambda: "database-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping, [], name, value)


                                            class EidCont(Entity):
                                                """
                                                
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\: str
                                                
                                                .. attribute:: ipv4_addrees
                                                
                                                	IPv4 Address of loopback or other ETR interface
                                                	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                                
                                                .. attribute:: ipv6_addrees
                                                
                                                	IPv6 Address of loopback or other ETR interface
                                                	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                                
                                                .. attribute:: ipv4_interface
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                                
                                                .. attribute:: ipv6_interface
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                                
                                                .. attribute:: auto_discover_rlocs
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont, self).__init__()

                                                    self.yang_name = "eid-cont"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")

                                                    self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                    self.ipv4_addrees = YList(self)
                                                    self.ipv6_addrees = YList(self)
                                                    self.ipv4_interface = YList(self)
                                                    self.ipv6_interface = YList(self)
                                                    self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                                class Ipv4Addrees(Entity):
                                                    """
                                                    IPv4 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                        self.yang_name = "ipv4-addrees"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.address = YLeaf(YType.str, "address")

                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "ipv4-addrees"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class Ipv6Addrees(Entity):
                                                    """
                                                    IPv6 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                        self.yang_name = "ipv6-addrees"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.address = YLeaf(YType.str, "address")

                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "ipv6-addrees"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class IPv4Interface(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\: str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                        self.yang_name = "IPv4-interface"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.name = YLeaf(YType.str, "name")

                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "IPv4-interface"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class IPv6Interface(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\: str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                        self.yang_name = "IPv6-interface"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.name = YLeaf(YType.str, "name")

                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "IPv6-interface"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Limit(Entity):
                                                """
                                                Configures the maximum size of local EID prefixes database
                                                
                                                .. attribute:: dynamic
                                                
                                                	Configures the maximum size of dynamic local EID prefixes database
                                                	**type**\: int
                                                
                                                	**range:** 1..5000
                                                
                                                .. attribute:: warning_threshold
                                                
                                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit, self).__init__()

                                                    self.yang_name = "limit"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                    self._segment_path = lambda: "limit"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class Alt(Entity):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt, self).__init__()

                                            self.yang_name = "alt"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute)}

                                            self.summary_route = YList(self)
                                            self._segment_path = lambda: "alt"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt, [], name, value)


                                        class SummaryRoute(Entity):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute, self).__init__()

                                                self.yang_name = "summary-route"
                                                self.yang_parent_name = "alt"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                    class Distance(Entity):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance, self).__init__()

                                            self.yang_name = "distance"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.alt = YLeaf(YType.uint8, "alt")

                                            self.away = YLeaf(YType.uint8, "away")

                                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                            self._segment_path = lambda: "distance"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids)}
                                            self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface)}

                                            self.site_registration = YLeaf(YType.empty, "site-registration")

                                            self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self._children_name_map["away_eids"] = "away-eids"
                                            self._children_yang_names.add("away-eids")

                                            self.eid_interface = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache, ['site_registration'], name, value)


                                        class EidInterface(Entity):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface, self).__init__()

                                                self.yang_name = "eid-interface"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.drop = YLeaf(YType.empty, "drop")

                                                self.map_request = YLeaf(YType.empty, "map-request")

                                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                                self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                        class AwayEids(Entity):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids, self).__init__()

                                                self.yang_name = "away-eids"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                self._segment_path = lambda: "away-eids"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids, ['send_map_request'], name, value)


                                    class MapCachePersistent(Entity):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\: int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent, self).__init__()

                                            self.yang_name = "map-cache-persistent"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "map-cache-persistent"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent, ['interval'], name, value)


                                    class ProxyItr(Entity):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr, self).__init__()

                                            self.yang_name = "proxy-itr"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                            self._segment_path = lambda: "proxy-itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                    class RouteExport(Entity):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport, self).__init__()

                                            self.yang_name = "route-export"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                            self.away_eids = YLeaf(YType.empty, "away-eids")
                                            self._segment_path = lambda: "route-export"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                    class UsePetr(Entity):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr, self).__init__()

                                            self.yang_name = "use-petr"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority)}
                                            self._child_list_classes = {}

                                            self.locator_address = YLeaf(YType.str, "locator-address")

                                            self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr, ['locator_address'], name, value)


                                        class Priority(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "use-petr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                    class RouteImport(Entity):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport, self).__init__()

                                            self.yang_name = "route-import"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database" : ("database", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache)}
                                            self._child_list_classes = {}

                                            self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database()
                                            self.database.parent = self
                                            self._children_name_map["database"] = "database"
                                            self._children_yang_names.add("database")

                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "route-import"


                                        class Database(Entity):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database, self).__init__()

                                                self.yang_name = "database"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf)}

                                                self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static()
                                                self.static.parent = self
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip()
                                                self.rip.parent = self
                                                self._children_name_map["rip"] = "rip"
                                                self._children_yang_names.add("rip")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self._segment_path = lambda: "database"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "application"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "connected"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.process_id = YLeaf(YType.str, "process-id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis, ['process_id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "nd"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "static"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "rip"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf)}

                                                self.application = None
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = None
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = None
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = None
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip()
                                                self.rip.parent = self
                                                self._children_name_map["rip"] = "rip"
                                                self._children_yang_names.add("rip")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "application"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "connected"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "nd"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "static"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "rip"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "ipv4"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont)}

                                            self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class Ipv6(Entity):
                                    """
                                    
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest>`
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\: str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent>`
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6, self).__init__()

                                        self.yang_name = "ipv6"
                                        self.yang_parent_name = "service"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"default" : ("default", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default), "eid-table" : ("eid_table", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable), "itr" : ("itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt), "distance" : ("distance", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping)}
                                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr)}
                                        self.is_presence_container = True

                                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                        self.sgt = YLeaf(YType.empty, "sgt")

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt()
                                        self.alt.parent = self
                                        self._children_name_map["alt"] = "alt"
                                        self._children_yang_names.add("alt")

                                        self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance()
                                        self.distance.parent = self
                                        self._children_name_map["distance"] = "distance"
                                        self._children_yang_names.add("distance")

                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")

                                        self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                        self._children_yang_names.add("map-cache-persistent")

                                        self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self._children_name_map["proxy_itr"] = "proxy-itr"
                                        self._children_yang_names.add("proxy-itr")

                                        self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport()
                                        self.route_export.parent = self
                                        self._children_name_map["route_export"] = "route-export"
                                        self._children_yang_names.add("route-export")

                                        self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport()
                                        self.route_import.parent = self
                                        self._children_name_map["route_import"] = "route-import"
                                        self._children_yang_names.add("route-import")

                                        self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.use_petr = YList(self)
                                        self._segment_path = lambda: "ipv6"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                    class Default(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_table
                                        
                                        	Bind an eid\-table
                                        	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable>`
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr>`
                                        
                                        .. attribute:: itr_enable
                                        
                                        	
                                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable>`
                                        
                                        .. attribute:: etr_enable
                                        
                                        	
                                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable>`
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr>`
                                        
                                        .. attribute:: map_cache_limit
                                        
                                        	Configures maximum size of map\-cache
                                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Site registrations configuration for a given instance\-id
                                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration>`
                                        
                                        .. attribute:: solicit_map_request
                                        
                                        	Configure Solicit\-Map\-Request handling
                                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest>`
                                        
                                        .. attribute:: alt
                                        
                                        	LISP Alternative Topology, LISP\-ALT
                                        	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt>`
                                        
                                        .. attribute:: alt_vrf
                                        
                                        	Activate LISP\-ALT functionality in VRF
                                        	**type**\: str
                                        
                                        	**status**\: deprecated
                                        
                                        .. attribute:: distance
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Address family specific map cache configuration
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache>`
                                        
                                        .. attribute:: map_cache_persistent
                                        
                                        	Dump map\-cache onto flash, making it persistent across reboots
                                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent>`
                                        
                                        .. attribute:: proxy_etr
                                        
                                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: proxy_itr
                                        
                                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr>`
                                        
                                        .. attribute:: route_export
                                        
                                        	Export routes into RIB from LISP
                                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport>`
                                        
                                        .. attribute:: sgt
                                        
                                        	Enable security group tag propagation in LISP encapsulated traffic
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: use_petr
                                        
                                        	Encapsulate to Proxy ETR when matching forward\-native entry
                                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr>`
                                        
                                        .. attribute:: route_import
                                        
                                        	Import RIB routes by a routing protocol into LISP
                                        	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport>`
                                        
                                        .. attribute:: map_request_source
                                        
                                        	Configures inner header source address in Map\-Request message
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping
                                        
                                        	Configures Locator addresses for an ETR
                                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable), "itr" : ("itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt), "distance" : ("distance", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping)}
                                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr)}

                                            self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                            self.sgt = YLeaf(YType.empty, "sgt")

                                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                                            self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable()
                                            self.eid_table.parent = self
                                            self._children_name_map["eid_table"] = "eid-table"
                                            self._children_yang_names.add("eid-table")

                                            self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr()
                                            self.itr.parent = self
                                            self._children_name_map["itr"] = "itr"
                                            self._children_yang_names.add("itr")

                                            self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable()
                                            self.itr_enable.parent = self
                                            self._children_name_map["itr_enable"] = "itr-enable"
                                            self._children_yang_names.add("itr-enable")

                                            self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable()
                                            self.etr_enable.parent = self
                                            self._children_name_map["etr_enable"] = "etr-enable"
                                            self._children_yang_names.add("etr-enable")

                                            self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr()
                                            self.etr.parent = self
                                            self._children_name_map["etr"] = "etr"
                                            self._children_yang_names.add("etr")

                                            self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit()
                                            self.map_cache_limit.parent = self
                                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                            self._children_yang_names.add("map-cache-limit")

                                            self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration()
                                            self.site_registration.parent = self
                                            self._children_name_map["site_registration"] = "site-registration"
                                            self._children_yang_names.add("site-registration")

                                            self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest()
                                            self.solicit_map_request.parent = self
                                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                            self._children_yang_names.add("solicit-map-request")

                                            self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt()
                                            self.alt.parent = self
                                            self._children_name_map["alt"] = "alt"
                                            self._children_yang_names.add("alt")

                                            self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance()
                                            self.distance.parent = self
                                            self._children_name_map["distance"] = "distance"
                                            self._children_yang_names.add("distance")

                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")

                                            self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent()
                                            self.map_cache_persistent.parent = self
                                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                            self._children_yang_names.add("map-cache-persistent")

                                            self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr()
                                            self.proxy_itr.parent = self
                                            self._children_name_map["proxy_itr"] = "proxy-itr"
                                            self._children_yang_names.add("proxy-itr")

                                            self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport()
                                            self.route_export.parent = self
                                            self._children_name_map["route_export"] = "route-export"
                                            self._children_yang_names.add("route-export")

                                            self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport()
                                            self.route_import.parent = self
                                            self._children_name_map["route_import"] = "route-import"
                                            self._children_yang_names.add("route-import")

                                            self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping()
                                            self.database_mapping.parent = self
                                            self._children_name_map["database_mapping"] = "database-mapping"
                                            self._children_yang_names.add("database-mapping")

                                            self.use_petr = YList(self)
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                        class EidTable(Entity):
                                            """
                                            Bind an eid\-table
                                            
                                            .. attribute:: vrf_name
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: default
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: vrf
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable, self).__init__()

                                                self.yang_name = "eid-table"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vrf_name = YLeaf(YType.str, "vrf-name")

                                                self.default = YLeaf(YType.empty, "default")

                                                self.vrf = YLeaf(YType.str, "vrf")
                                                self._segment_path = lambda: "eid-table"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                        class Itr(Entity):
                                            """
                                            Configures a LISP Ingress Tunnel Router (ITR)
                                            
                                            .. attribute:: map_resolver
                                            
                                            	Configures map\-resolver address for sending Map\-Requests
                                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr, self).__init__()

                                                self.yang_name = "itr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver)}

                                                self.map_resolver = YList(self)
                                                self._segment_path = lambda: "itr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr, [], name, value)


                                            class MapResolver(Entity):
                                                """
                                                Configures map\-resolver address for sending Map\-Requests
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver, self).__init__()

                                                    self.yang_name = "map-resolver"
                                                    self.yang_parent_name = "itr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                        class ItrEnable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: itr
                                            
                                            	Configures a LISP Ingress Tunnel Router (ITR)
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable, self).__init__()

                                                self.yang_name = "itr-enable"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.itr = YLeaf(YType.empty, "itr")
                                                self._segment_path = lambda: "itr-enable"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable, ['itr'], name, value)


                                        class EtrEnable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr
                                            
                                            	Configures a LISP Egress Tunnel Router (ETR)
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable, self).__init__()

                                                self.yang_name = "etr-enable"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr = YLeaf(YType.empty, "etr")
                                                self._segment_path = lambda: "etr-enable"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable, ['etr'], name, value)


                                        class Etr(Entity):
                                            """
                                            Configures a LISP Egress Tunnel Router (ETR)
                                            
                                            .. attribute:: map_server
                                            
                                            	Configures map server for ETR registration
                                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer>`
                                            
                                            .. attribute:: map_cache_ttl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 60..10080
                                            
                                            .. attribute:: accept_map_request_mapping
                                            
                                            	
                                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr, self).__init__()

                                                self.yang_name = "etr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping)}
                                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer)}

                                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                                self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                                self.accept_map_request_mapping.parent = self
                                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                                self._children_yang_names.add("accept-map-request-mapping")

                                                self.map_server = YList(self)
                                                self._segment_path = lambda: "etr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr, ['map_cache_ttl'], name, value)


                                            class MapServer(Entity):
                                                """
                                                Configures map server for ETR registration
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: key
                                                
                                                	Authentication key used with map server
                                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key>`
                                                
                                                .. attribute:: proxy_reply
                                                
                                                	Request Map\-Server to send Map\-Replies on behalf of site
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer, self).__init__()

                                                    self.yang_name = "map-server"
                                                    self.yang_parent_name = "etr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key)}
                                                    self._child_list_classes = {}

                                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                    self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key()
                                                    self.key.parent = self
                                                    self._children_name_map["key"] = "key"
                                                    self._children_yang_names.add("key")
                                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                                class Key(Entity):
                                                    """
                                                    Authentication key used with map server
                                                    
                                                    .. attribute:: key_pwd
                                                    
                                                    	
                                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                                    
                                                    .. attribute:: key_0
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                                    
                                                    .. attribute:: key_6
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                                    
                                                    .. attribute:: key_7
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key, self).__init__()

                                                        self.yang_name = "key"
                                                        self.yang_parent_name = "map-server"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7)}
                                                        self._child_list_classes = {}

                                                        self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                                        self.key_pwd.parent = self
                                                        self._children_name_map["key_pwd"] = "key-pwd"
                                                        self._children_yang_names.add("key-pwd")

                                                        self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                                        self.key_0.parent = self
                                                        self._children_name_map["key_0"] = "key-0"
                                                        self._children_yang_names.add("key-0")

                                                        self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                                        self.key_6.parent = self
                                                        self._children_name_map["key_6"] = "key-6"
                                                        self._children_yang_names.add("key-6")

                                                        self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                                        self.key_7.parent = self
                                                        self._children_name_map["key_7"] = "key-7"
                                                        self._children_yang_names.add("key-7")
                                                        self._segment_path = lambda: "key"


                                                    class KeyPwd(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: unc_pwd
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                            self.yang_name = "key-pwd"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-pwd"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key0(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_0
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                            self.yang_name = "key-0"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-0"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key6(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_6
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                            self.yang_name = "key-6"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-6"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key7(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_7
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                            self.yang_name = "key-7"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-7"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                            class AcceptMapRequestMapping(Entity):
                                                """
                                                
                                                
                                                .. attribute:: accept_mappping
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: verify
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                    self.yang_name = "accept-map-request-mapping"
                                                    self.yang_parent_name = "etr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                    self.verify = YLeaf(YType.empty, "verify")
                                                    self._segment_path = lambda: "accept-map-request-mapping"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                        class MapCacheLimit(Entity):
                                            """
                                            Configures maximum size of map\-cache
                                            
                                            .. attribute:: max_map_cache_entries
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..100000
                                            
                                            .. attribute:: reserve_list
                                            
                                            	EID\-prefixes guaranteed to be stored in map\-cache
                                            	**type**\: str
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit, self).__init__()

                                                self.yang_name = "map-cache-limit"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "map-cache-limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                        class SiteRegistration(Entity):
                                            """
                                            Site registrations configuration for a given instance\-id
                                            
                                            .. attribute:: limit
                                            
                                            	Maximum number of site registrations
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Warning threshold to issue system logging
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration, self).__init__()

                                                self.yang_name = "site-registration"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.limit = YLeaf(YType.uint32, "limit")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "site-registration"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                        class SolicitMapRequest(Entity):
                                            """
                                            Configure Solicit\-Map\-Request handling
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore SMR bit in incoming Map\-Requests
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: max_per_entry
                                            
                                            	Maximum number of SMRs for addresses under a map\-cache entry
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: suppression_time
                                            
                                            	How long to suppress repeated SMRs for the same address
                                            	**type**\: int
                                            
                                            	**range:** 1..600
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest, self).__init__()

                                                self.yang_name = "solicit-map-request"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")

                                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                                self._segment_path = lambda: "solicit-map-request"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                        class Alt(Entity):
                                            """
                                            LISP Alternative Topology, LISP\-ALT
                                            
                                            .. attribute:: summary_route
                                            
                                            	Summary route to install into the ALT table
                                            	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt, self).__init__()

                                                self.yang_name = "alt"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute)}

                                                self.summary_route = YList(self)
                                                self._segment_path = lambda: "alt"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt, [], name, value)


                                            class SummaryRoute(Entity):
                                                """
                                                Summary route to install into the ALT table
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                .. attribute:: route_tag
                                                
                                                	ALT RIB route tag for EID prefix
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute, self).__init__()

                                                    self.yang_name = "summary-route"
                                                    self.yang_parent_name = "alt"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                    self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                        class Distance(Entity):
                                            """
                                            Administrative distance for RIB route installation
                                            
                                            .. attribute:: alt
                                            
                                            	LISP routes installed in the ALT table
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: away
                                            
                                            	Administrative distance for RIB route installation
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: dyn_eid
                                            
                                            	LISP installed routes of type dynamic\-EID
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: site_registrations
                                            
                                            	LISP installed routes of type site\-registrations
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance, self).__init__()

                                                self.yang_name = "distance"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.alt = YLeaf(YType.uint8, "alt")

                                                self.away = YLeaf(YType.uint8, "away")

                                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                                self._segment_path = lambda: "distance"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Address family specific map cache configuration
                                            
                                            .. attribute:: eid_interface
                                            
                                            	Configures static EID\-to\-RLOC mappings for an ITR
                                            	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface>`
                                            
                                            .. attribute:: away_eids
                                            
                                            	Map cache configuration for the away table
                                            	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids>`
                                            
                                            .. attribute:: site_registration
                                            
                                            	Install map cache to map request for site registrations
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids)}
                                                self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface)}

                                                self.site_registration = YLeaf(YType.empty, "site-registration")

                                                self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids()
                                                self.away_eids.parent = self
                                                self._children_name_map["away_eids"] = "away-eids"
                                                self._children_yang_names.add("away-eids")

                                                self.eid_interface = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache, ['site_registration'], name, value)


                                            class EidInterface(Entity):
                                                """
                                                Configures static EID\-to\-RLOC mappings for an ITR
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                .. attribute:: etr_interface_ip
                                                
                                                	
                                                	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                                
                                                .. attribute:: drop
                                                
                                                	Drop packets that match this map\-cache entry
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: map_request
                                                
                                                	Send Map\-Request for LISP destination EID
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: native_forward
                                                
                                                	Natively forward packets that match this map\-cache entry
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface, self).__init__()

                                                    self.yang_name = "eid-interface"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                                    self._child_list_classes = {}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.drop = YLeaf(YType.empty, "drop")

                                                    self.map_request = YLeaf(YType.empty, "map-request")

                                                    self.native_forward = YLeaf(YType.empty, "native-forward")

                                                    self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp()
                                                    self.etr_interface_ip.parent = self
                                                    self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                    self._children_yang_names.add("etr-interface-ip")
                                                    self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                                class EtrInterfaceIp(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: etr_interface_ip_address
                                                    
                                                    	IP address of loopback or other ETR interface
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    		**type**\: str
                                                    
                                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                        self.yang_name = "etr-interface-ip"
                                                        self.yang_parent_name = "eid-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")
                                                        self._segment_path = lambda: "etr-interface-ip"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                            class AwayEids(Entity):
                                                """
                                                Map cache configuration for the away table
                                                
                                                .. attribute:: send_map_request
                                                
                                                	Export away table entries into the map cache with action set to send\-map\-request
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids, self).__init__()

                                                    self.yang_name = "away-eids"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                    self._segment_path = lambda: "away-eids"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                        class MapCachePersistent(Entity):
                                            """
                                            Dump map\-cache onto flash, making it persistent across reboots
                                            
                                            .. attribute:: interval
                                            
                                            	Interval in minutes of how often the map\-cache is saved
                                            	**type**\: int
                                            
                                            	**range:** 1..1440
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent, self).__init__()

                                                self.yang_name = "map-cache-persistent"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.interval = YLeaf(YType.uint16, "interval")
                                                self._segment_path = lambda: "map-cache-persistent"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent, ['interval'], name, value)


                                        class ProxyItr(Entity):
                                            """
                                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                            
                                            .. attribute:: ipv4_addr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: ipv6_addr
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr, self).__init__()

                                                self.yang_name = "proxy-itr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                                self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                                self._segment_path = lambda: "proxy-itr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                        class RouteExport(Entity):
                                            """
                                            Export routes into RIB from LISP
                                            
                                            .. attribute:: site_registrations
                                            
                                            	Export LISP site registrations to RIB
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: away_eids
                                            
                                            	Export LISP away EIDs to RIB
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport, self).__init__()

                                                self.yang_name = "route-export"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                                self._segment_path = lambda: "route-export"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                        class UsePetr(Entity):
                                            """
                                            Encapsulate to Proxy ETR when matching forward\-native entry
                                            
                                            .. attribute:: locator_address  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	
                                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr, self).__init__()

                                                self.yang_name = "use-petr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority)}
                                                self._child_list_classes = {}

                                                self.locator_address = YLeaf(YType.str, "locator-address")

                                                self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority()
                                                self.priority.parent = self
                                                self._children_name_map["priority"] = "priority"
                                                self._children_yang_names.add("priority")
                                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr, ['locator_address'], name, value)


                                            class Priority(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority_value
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority, self).__init__()

                                                    self.yang_name = "priority"
                                                    self.yang_parent_name = "use-petr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "priority"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                        class RouteImport(Entity):
                                            """
                                            Import RIB routes by a routing protocol into LISP
                                            
                                            .. attribute:: database
                                            
                                            	Use RIB routes to define local EID database entries
                                            	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database>`
                                            
                                            .. attribute:: map_cache
                                            
                                            	Use RIB routes to define EID address space in map\-cache
                                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport, self).__init__()

                                                self.yang_name = "route-import"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database" : ("database", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache)}
                                                self._child_list_classes = {}

                                                self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database()
                                                self.database.parent = self
                                                self._children_name_map["database"] = "database"
                                                self._children_yang_names.add("database")

                                                self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache()
                                                self.map_cache.parent = self
                                                self._children_name_map["map_cache"] = "map-cache"
                                                self._children_yang_names.add("map-cache")
                                                self._segment_path = lambda: "route-import"


                                            class Database(Entity):
                                                """
                                                Use RIB routes to define local EID database entries
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application>`
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected>`
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbor Discovery
                                                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd>`
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static>`
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database, self).__init__()

                                                    self.yang_name = "database"
                                                    self.yang_parent_name = "route-import"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static)}
                                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip)}

                                                    self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application()
                                                    self.application.parent = self
                                                    self._children_name_map["application"] = "application"
                                                    self._children_yang_names.add("application")

                                                    self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected()
                                                    self.connected.parent = self
                                                    self._children_name_map["connected"] = "connected"
                                                    self._children_yang_names.add("connected")

                                                    self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis()
                                                    self.isis.parent = self
                                                    self._children_name_map["isis"] = "isis"
                                                    self._children_yang_names.add("isis")

                                                    self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                    self._children_yang_names.add("maximum-prefix")

                                                    self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd()
                                                    self.nd.parent = self
                                                    self._children_name_map["nd"] = "nd"
                                                    self._children_yang_names.add("nd")

                                                    self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static()
                                                    self.static.parent = self
                                                    self._children_name_map["static"] = "static"
                                                    self._children_yang_names.add("static")

                                                    self.bgp = YList(self)
                                                    self.eigrp = YList(self)
                                                    self.ospf = YList(self)
                                                    self.rip = YList(self)
                                                    self._segment_path = lambda: "database"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database, [], name, value)


                                                class Application(Entity):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application, self).__init__()

                                                        self.yang_name = "application"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "application"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "application"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Bgp(Entity):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: int
                                                    
                                                    			**range:** 1..4294967295
                                                    
                                                    		**type**\: str
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp, self).__init__()

                                                        self.yang_name = "bgp"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "bgp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Connected(Entity):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected, self).__init__()

                                                        self.yang_name = "connected"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "connected"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "connected"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Eigrp(Entity):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp, self).__init__()

                                                        self.yang_name = "eigrp"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "eigrp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Isis(Entity):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: process_id
                                                    
                                                    	Process name
                                                    	**type**\: str
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis, self).__init__()

                                                        self.yang_name = "isis"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.process_id = YLeaf(YType.str, "process-id")

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "isis"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "isis"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class MaximumPrefix(Entity):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                        self.yang_name = "maximum-prefix"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.number = YLeaf(YType.uint32, "number")

                                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                        self._segment_path = lambda: "maximum-prefix"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                                class Nd(Entity):
                                                    """
                                                    Neighbor Discovery
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd, self).__init__()

                                                        self.yang_name = "nd"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "nd"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "nd"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Ospf(Entity):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf, self).__init__()

                                                        self.yang_name = "ospf"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "ospf"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Static(Entity):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static, self).__init__()

                                                        self.yang_name = "static"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "static"


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "static"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                                class Rip(Entity):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	User selected string identifying this process
                                                    	**type**\: str
                                                    
                                                    .. attribute:: lisp_ip_route_import
                                                    
                                                    	
                                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip, self).__init__()

                                                        self.yang_name = "rip"
                                                        self.yang_parent_name = "database"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                        self.lisp_ip_route_import.parent = self
                                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                        self._children_yang_names.add("lisp-ip-route-import")
                                                        self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip, ['id'], name, value)


                                                    class LispIpRouteImport(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        .. attribute:: locator_set
                                                        
                                                        	Locator set to use with created database mapping entries
                                                        	**type**\: str
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                            self.yang_name = "lisp-ip-route-import"
                                                            self.yang_parent_name = "rip"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.route_map = YLeaf(YType.str, "route-map")

                                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                                            self._segment_path = lambda: "lisp-ip-route-import"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MapCache(Entity):
                                                """
                                                Use RIB routes to define EID address space in map\-cache
                                                
                                                .. attribute:: application
                                                
                                                	Application Protocol
                                                	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: bgp
                                                
                                                	Border Gateway Protocol (BGP)
                                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp>`
                                                
                                                .. attribute:: connected
                                                
                                                	Connected
                                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: eigrp
                                                
                                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp>`
                                                
                                                .. attribute:: isis
                                                
                                                	ISO IS\-IS
                                                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis>`
                                                
                                                .. attribute:: maximum_prefix
                                                
                                                	Maximum number of prefixes to pick up from the RIB
                                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix>`
                                                
                                                .. attribute:: nd
                                                
                                                	Neighbour Discovery
                                                	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: ospf
                                                
                                                	Open Shortest Path First (OSPF)
                                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf>`
                                                
                                                .. attribute:: static
                                                
                                                	Static routes
                                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static>`
                                                
                                                	**presence node**\: True
                                                
                                                .. attribute:: rip
                                                
                                                	Routing Information Protocol (RIP)
                                                	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache, self).__init__()

                                                    self.yang_name = "map-cache"
                                                    self.yang_parent_name = "route-import"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static)}
                                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip)}

                                                    self.application = None
                                                    self._children_name_map["application"] = "application"
                                                    self._children_yang_names.add("application")

                                                    self.connected = None
                                                    self._children_name_map["connected"] = "connected"
                                                    self._children_yang_names.add("connected")

                                                    self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis()
                                                    self.isis.parent = self
                                                    self._children_name_map["isis"] = "isis"
                                                    self._children_yang_names.add("isis")

                                                    self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix()
                                                    self.maximum_prefix.parent = self
                                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                    self._children_yang_names.add("maximum-prefix")

                                                    self.nd = None
                                                    self._children_name_map["nd"] = "nd"
                                                    self._children_yang_names.add("nd")

                                                    self.static = None
                                                    self._children_name_map["static"] = "static"
                                                    self._children_yang_names.add("static")

                                                    self.bgp = YList(self)
                                                    self.eigrp = YList(self)
                                                    self.ospf = YList(self)
                                                    self.rip = YList(self)
                                                    self._segment_path = lambda: "map-cache"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache, [], name, value)


                                                class Application(Entity):
                                                    """
                                                    Application Protocol
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application, self).__init__()

                                                        self.yang_name = "application"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "application"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "application"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                                class Bgp(Entity):
                                                    """
                                                    Border Gateway Protocol (BGP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: int
                                                    
                                                    			**range:** 1..4294967295
                                                    
                                                    		**type**\: str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                        self.yang_name = "bgp"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "bgp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                                class Connected(Entity):
                                                    """
                                                    Connected
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected, self).__init__()

                                                        self.yang_name = "connected"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "connected"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "connected"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                                class Eigrp(Entity):
                                                    """
                                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                        self.yang_name = "eigrp"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "eigrp"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                                class Isis(Entity):
                                                    """
                                                    ISO IS\-IS
                                                    
                                                    .. attribute:: id
                                                    
                                                    	Process name
                                                    	**type**\: str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis, self).__init__()

                                                        self.yang_name = "isis"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "isis"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "isis"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                                class MaximumPrefix(Entity):
                                                    """
                                                    Maximum number of prefixes to pick up from the RIB
                                                    
                                                    .. attribute:: number
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..4294967295
                                                    
                                                    .. attribute:: warning_only
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    .. attribute:: threshold
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: threshold1
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..100
                                                    
                                                    .. attribute:: warning_only1
                                                    
                                                    	Only give a warning message and do not limit entries
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                        self.yang_name = "maximum-prefix"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.number = YLeaf(YType.uint32, "number")

                                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                        self._segment_path = lambda: "maximum-prefix"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                                class Nd(Entity):
                                                    """
                                                    Neighbour Discovery
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd, self).__init__()

                                                        self.yang_name = "nd"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "nd"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "nd"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                                class Ospf(Entity):
                                                    """
                                                    Open Shortest Path First (OSPF)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	
                                                    	**type**\: int
                                                    
                                                    	**range:** 1..65535
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                        self.yang_name = "ospf"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.uint16, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "ospf"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                                class Static(Entity):
                                                    """
                                                    Static routes
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static, self).__init__()

                                                        self.yang_name = "static"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "static"


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "static"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                                class Rip(Entity):
                                                    """
                                                    Routing Information Protocol (RIP)
                                                    
                                                    .. attribute:: id  <key>
                                                    
                                                    	User selected string identifying this process
                                                    	**type**\: str
                                                    
                                                    .. attribute:: map_cache_container
                                                    
                                                    	
                                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                    
                                                    	**presence node**\: True
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip, self).__init__()

                                                        self.yang_name = "rip"
                                                        self.yang_parent_name = "map-cache"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                        self._child_list_classes = {}

                                                        self.id = YLeaf(YType.str, "id")

                                                        self.map_cache_container = None
                                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                                        self._children_yang_names.add("map-cache-container")
                                                        self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip, ['id'], name, value)


                                                    class MapCacheContainer(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: route_map
                                                        
                                                        	Route map for route selection filtering
                                                        	**type**\: str
                                                        
                                                        

                                                        This class is a :ref:`presence class<presence-class>`

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                            self.yang_name = "map-cache-container"
                                                            self.yang_parent_name = "rip"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}
                                                            self.is_presence_container = True

                                                            self.route_map = YLeaf(YType.str, "route-map")
                                                            self._segment_path = lambda: "map-cache-container"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                        class DatabaseMapping(Entity):
                                            """
                                            Configures Locator addresses for an ETR
                                            
                                            .. attribute:: eid_cont
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont>`
                                            
                                            .. attribute:: limit
                                            
                                            	Configures the maximum size of local EID prefixes database
                                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping, self).__init__()

                                                self.yang_name = "database-mapping"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit)}
                                                self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont)}

                                                self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit()
                                                self.limit.parent = self
                                                self._children_name_map["limit"] = "limit"
                                                self._children_yang_names.add("limit")

                                                self.eid_cont = YList(self)
                                                self._segment_path = lambda: "database-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping, [], name, value)


                                            class EidCont(Entity):
                                                """
                                                
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\: str
                                                
                                                .. attribute:: ipv4_addrees
                                                
                                                	IPv4 Address of loopback or other ETR interface
                                                	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                                
                                                .. attribute:: ipv6_addrees
                                                
                                                	IPv6 Address of loopback or other ETR interface
                                                	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                                
                                                .. attribute:: ipv4_interface
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                                
                                                .. attribute:: ipv6_interface
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                                
                                                .. attribute:: auto_discover_rlocs
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont, self).__init__()

                                                    self.yang_name = "eid-cont"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")

                                                    self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                    self.ipv4_addrees = YList(self)
                                                    self.ipv6_addrees = YList(self)
                                                    self.ipv4_interface = YList(self)
                                                    self.ipv6_interface = YList(self)
                                                    self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                                class Ipv4Addrees(Entity):
                                                    """
                                                    IPv4 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                        self.yang_name = "ipv4-addrees"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.address = YLeaf(YType.str, "address")

                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "ipv4-addrees"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class Ipv6Addrees(Entity):
                                                    """
                                                    IPv6 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                        self.yang_name = "ipv6-addrees"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.address = YLeaf(YType.str, "address")

                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "ipv6-addrees"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class IPv4Interface(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\: str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                        self.yang_name = "IPv4-interface"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.name = YLeaf(YType.str, "name")

                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "IPv4-interface"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class IPv6Interface(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\: str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                        self.yang_name = "IPv6-interface"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.name = YLeaf(YType.str, "name")

                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "IPv6-interface"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Limit(Entity):
                                                """
                                                Configures the maximum size of local EID prefixes database
                                                
                                                .. attribute:: dynamic
                                                
                                                	Configures the maximum size of dynamic local EID prefixes database
                                                	**type**\: int
                                                
                                                	**range:** 1..5000
                                                
                                                .. attribute:: warning_threshold
                                                
                                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit, self).__init__()

                                                    self.yang_name = "limit"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                    self._segment_path = lambda: "limit"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class Alt(Entity):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt, self).__init__()

                                            self.yang_name = "alt"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute)}

                                            self.summary_route = YList(self)
                                            self._segment_path = lambda: "alt"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt, [], name, value)


                                        class SummaryRoute(Entity):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute, self).__init__()

                                                self.yang_name = "summary-route"
                                                self.yang_parent_name = "alt"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                    class Distance(Entity):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance, self).__init__()

                                            self.yang_name = "distance"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.alt = YLeaf(YType.uint8, "alt")

                                            self.away = YLeaf(YType.uint8, "away")

                                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                            self._segment_path = lambda: "distance"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids)}
                                            self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface)}

                                            self.site_registration = YLeaf(YType.empty, "site-registration")

                                            self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self._children_name_map["away_eids"] = "away-eids"
                                            self._children_yang_names.add("away-eids")

                                            self.eid_interface = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache, ['site_registration'], name, value)


                                        class EidInterface(Entity):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface, self).__init__()

                                                self.yang_name = "eid-interface"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.drop = YLeaf(YType.empty, "drop")

                                                self.map_request = YLeaf(YType.empty, "map-request")

                                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                                self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                        class AwayEids(Entity):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids, self).__init__()

                                                self.yang_name = "away-eids"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                self._segment_path = lambda: "away-eids"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids, ['send_map_request'], name, value)


                                    class MapCachePersistent(Entity):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\: int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent, self).__init__()

                                            self.yang_name = "map-cache-persistent"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "map-cache-persistent"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent, ['interval'], name, value)


                                    class ProxyItr(Entity):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr, self).__init__()

                                            self.yang_name = "proxy-itr"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                            self._segment_path = lambda: "proxy-itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                    class RouteExport(Entity):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport, self).__init__()

                                            self.yang_name = "route-export"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                            self.away_eids = YLeaf(YType.empty, "away-eids")
                                            self._segment_path = lambda: "route-export"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                    class UsePetr(Entity):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr, self).__init__()

                                            self.yang_name = "use-petr"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority)}
                                            self._child_list_classes = {}

                                            self.locator_address = YLeaf(YType.str, "locator-address")

                                            self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr, ['locator_address'], name, value)


                                        class Priority(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "use-petr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                    class RouteImport(Entity):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport, self).__init__()

                                            self.yang_name = "route-import"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database" : ("database", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache)}
                                            self._child_list_classes = {}

                                            self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database()
                                            self.database.parent = self
                                            self._children_name_map["database"] = "database"
                                            self._children_yang_names.add("database")

                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "route-import"


                                        class Database(Entity):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database, self).__init__()

                                                self.yang_name = "database"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip)}

                                                self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static()
                                                self.static.parent = self
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self.rip = YList(self)
                                                self._segment_path = lambda: "database"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "application"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "connected"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.process_id = YLeaf(YType.str, "process-id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis, ['process_id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "nd"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "static"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip)}

                                                self.application = None
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = None
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = None
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = None
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self.rip = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "application"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "connected"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "nd"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "static"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "ipv6"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont)}

                                            self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class Ethernet(Entity):
                                    """
                                    
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default>`
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable>`
                                    
                                    .. attribute:: broadcast_underlay
                                    
                                    	Multicast group to use for underlay
                                    	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay>`
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet, self).__init__()

                                        self.yang_name = "ethernet"
                                        self.yang_parent_name = "service"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"default" : ("default", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default), "eid-table" : ("eid_table", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default()
                                        self.default.parent = self
                                        self._children_name_map["default"] = "default"
                                        self._children_yang_names.add("default")

                                        self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.broadcast_underlay = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay()
                                        self.broadcast_underlay.parent = self
                                        self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                        self._children_yang_names.add("broadcast-underlay")

                                        self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "ethernet"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet, ['map_request_source'], name, value)


                                    class Default(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_table
                                        
                                        	Bind an eid\-table
                                        	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable>`
                                        
                                        .. attribute:: broadcast_underlay
                                        
                                        	Multicast group to use for underlay
                                        	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay>`
                                        
                                        .. attribute:: database_mapping
                                        
                                        	Configures Locator addresses for an ETR
                                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping>`
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr>`
                                        
                                        .. attribute:: itr_enable
                                        
                                        	
                                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable>`
                                        
                                        .. attribute:: etr_enable
                                        
                                        	
                                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable>`
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr>`
                                        
                                        .. attribute:: map_cache_limit
                                        
                                        	Configures maximum size of map\-cache
                                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Site registrations configuration for a given instance\-id
                                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration>`
                                        
                                        .. attribute:: solicit_map_request
                                        
                                        	Configure Solicit\-Map\-Request handling
                                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest>`
                                        
                                        .. attribute:: map_request_source
                                        
                                        	Configures inner header source address in Map\-Request message
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default, self).__init__()

                                            self.yang_name = "default"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache)}
                                            self._child_list_classes = {}

                                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                                            self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable()
                                            self.eid_table.parent = self
                                            self._children_name_map["eid_table"] = "eid-table"
                                            self._children_yang_names.add("eid-table")

                                            self.broadcast_underlay = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay()
                                            self.broadcast_underlay.parent = self
                                            self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                            self._children_yang_names.add("broadcast-underlay")

                                            self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping()
                                            self.database_mapping.parent = self
                                            self._children_name_map["database_mapping"] = "database-mapping"
                                            self._children_yang_names.add("database-mapping")

                                            self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr()
                                            self.itr.parent = self
                                            self._children_name_map["itr"] = "itr"
                                            self._children_yang_names.add("itr")

                                            self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable()
                                            self.itr_enable.parent = self
                                            self._children_name_map["itr_enable"] = "itr-enable"
                                            self._children_yang_names.add("itr-enable")

                                            self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable()
                                            self.etr_enable.parent = self
                                            self._children_name_map["etr_enable"] = "etr-enable"
                                            self._children_yang_names.add("etr-enable")

                                            self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr()
                                            self.etr.parent = self
                                            self._children_name_map["etr"] = "etr"
                                            self._children_yang_names.add("etr")

                                            self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit()
                                            self.map_cache_limit.parent = self
                                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                            self._children_yang_names.add("map-cache-limit")

                                            self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration()
                                            self.site_registration.parent = self
                                            self._children_name_map["site_registration"] = "site-registration"
                                            self._children_yang_names.add("site-registration")

                                            self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest()
                                            self.solicit_map_request.parent = self
                                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                            self._children_yang_names.add("solicit-map-request")

                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "default"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default, ['map_request_source'], name, value)


                                        class EidTable(Entity):
                                            """
                                            Bind an eid\-table
                                            
                                            .. attribute:: vlan
                                            
                                            	VLAN configuration
                                            	**type**\: int
                                            
                                            	**range:** 1..4094
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable, self).__init__()

                                                self.yang_name = "eid-table"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.vlan = YLeaf(YType.uint16, "vlan")
                                                self._segment_path = lambda: "eid-table"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable, ['vlan'], name, value)


                                        class BroadcastUnderlay(Entity):
                                            """
                                            Multicast group to use for underlay
                                            
                                            .. attribute:: ipv4_multicast
                                            
                                            	IPv4 multicast group address
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: ipv6_multicast
                                            
                                            	IPv6 multicast group address
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay, self).__init__()

                                                self.yang_name = "broadcast-underlay"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                                self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                                self._segment_path = lambda: "broadcast-underlay"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                        class DatabaseMapping(Entity):
                                            """
                                            Configures Locator addresses for an ETR
                                            
                                            .. attribute:: eid_cont
                                            
                                            	EID\-record for RLOC static mapping
                                            	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont>`
                                            
                                            .. attribute:: mac
                                            
                                            	L2 EID records
                                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: limit
                                            
                                            	Configures the maximum size of local EID prefixes database
                                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping, self).__init__()

                                                self.yang_name = "database-mapping"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"mac" : ("mac", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit)}
                                                self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont)}

                                                self.mac = None
                                                self._children_name_map["mac"] = "mac"
                                                self._children_yang_names.add("mac")

                                                self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit()
                                                self.limit.parent = self
                                                self._children_name_map["limit"] = "limit"
                                                self._children_yang_names.add("limit")

                                                self.eid_cont = YList(self)
                                                self._segment_path = lambda: "database-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping, [], name, value)


                                            class EidCont(Entity):
                                                """
                                                EID\-record for RLOC static mapping
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	xxxx.xxxx.xxxx 48 bit mac address
                                                	**type**\: str
                                                
                                                	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\: str
                                                
                                                .. attribute:: ipv4_addrees
                                                
                                                	IPv4 Address of loopback or other ETR interface
                                                	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                                
                                                .. attribute:: ipv6_addrees
                                                
                                                	IPv6 Address of loopback or other ETR interface
                                                	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                                
                                                .. attribute:: ipv4_interface
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                                
                                                .. attribute:: ipv6_interface
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont, self).__init__()

                                                    self.yang_name = "eid-cont"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")

                                                    self.ipv4_addrees = YList(self)
                                                    self.ipv6_addrees = YList(self)
                                                    self.ipv4_interface = YList(self)
                                                    self.ipv6_interface = YList(self)
                                                    self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                                class Ipv4Addrees(Entity):
                                                    """
                                                    IPv4 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                        self.yang_name = "ipv4-addrees"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.address = YLeaf(YType.str, "address")

                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "ipv4-addrees"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class Ipv6Addrees(Entity):
                                                    """
                                                    IPv6 Address of loopback or other ETR interface
                                                    
                                                    .. attribute:: address  <key>
                                                    
                                                    	
                                                    	**type**\: str
                                                    
                                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                        self.yang_name = "ipv6-addrees"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.address = YLeaf(YType.str, "address")

                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "ipv6-addrees"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class IPv4Interface(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\: str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                        self.yang_name = "IPv4-interface"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.name = YLeaf(YType.str, "name")

                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "IPv4-interface"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                                class IPv6Interface(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: name  <key>
                                                    
                                                    	Use IPv4 address of interface as locator
                                                    	**type**\: str
                                                    
                                                    .. attribute:: database_mapping_option
                                                    
                                                    	
                                                    	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                        self.yang_name = "IPv6-interface"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                        self._child_list_classes = {}

                                                        self.name = YLeaf(YType.str, "name")

                                                        self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                        self.database_mapping_option.parent = self
                                                        self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                        self._children_yang_names.add("database-mapping-option")
                                                        self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                    class DatabaseMappingOption(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: priority
                                                        
                                                        	Configures which Locators from a set are preferred
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..255
                                                        
                                                        .. attribute:: weight
                                                        
                                                        	Traffic load\-spreading among Locators
                                                        	**type**\: int
                                                        
                                                        	**range:** 0..100
                                                        
                                                        .. attribute:: down
                                                        
                                                        	Configure this database mapping down
                                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                            self.yang_name = "database-mapping-option"
                                                            self.yang_parent_name = "IPv6-interface"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.priority = YLeaf(YType.uint8, "priority")

                                                            self.weight = YLeaf(YType.uint8, "weight")

                                                            self.down = YLeaf(YType.empty, "down")
                                                            self._segment_path = lambda: "database-mapping-option"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Mac(Entity):
                                                """
                                                L2 EID records
                                                
                                                .. attribute:: locator_set
                                                
                                                	Use locators defined by locator\-set
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac, self).__init__()

                                                    self.yang_name = "mac"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "mac"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac, ['locator_set'], name, value)


                                            class Limit(Entity):
                                                """
                                                Configures the maximum size of local EID prefixes database
                                                
                                                .. attribute:: dynamic
                                                
                                                	Configures the maximum size of dynamic local EID prefixes database
                                                	**type**\: int
                                                
                                                	**range:** 1..5000
                                                
                                                .. attribute:: warning_threshold
                                                
                                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit, self).__init__()

                                                    self.yang_name = "limit"
                                                    self.yang_parent_name = "database-mapping"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                    self._segment_path = lambda: "limit"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                        class Itr(Entity):
                                            """
                                            Configures a LISP Ingress Tunnel Router (ITR)
                                            
                                            .. attribute:: map_resolver
                                            
                                            	Configures map\-resolver address for sending Map\-Requests
                                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr, self).__init__()

                                                self.yang_name = "itr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver)}

                                                self.map_resolver = YList(self)
                                                self._segment_path = lambda: "itr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr, [], name, value)


                                            class MapResolver(Entity):
                                                """
                                                Configures map\-resolver address for sending Map\-Requests
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver, self).__init__()

                                                    self.yang_name = "map-resolver"
                                                    self.yang_parent_name = "itr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                        class ItrEnable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: itr
                                            
                                            	Configures a LISP Ingress Tunnel Router (ITR)
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable, self).__init__()

                                                self.yang_name = "itr-enable"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.itr = YLeaf(YType.empty, "itr")
                                                self._segment_path = lambda: "itr-enable"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable, ['itr'], name, value)


                                        class EtrEnable(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr
                                            
                                            	Configures a LISP Egress Tunnel Router (ETR)
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable, self).__init__()

                                                self.yang_name = "etr-enable"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr = YLeaf(YType.empty, "etr")
                                                self._segment_path = lambda: "etr-enable"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable, ['etr'], name, value)


                                        class Etr(Entity):
                                            """
                                            Configures a LISP Egress Tunnel Router (ETR)
                                            
                                            .. attribute:: map_server
                                            
                                            	Configures map server for ETR registration
                                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer>`
                                            
                                            .. attribute:: map_cache_ttl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 60..10080
                                            
                                            .. attribute:: accept_map_request_mapping
                                            
                                            	
                                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr, self).__init__()

                                                self.yang_name = "etr"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping)}
                                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer)}

                                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                                self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                                self.accept_map_request_mapping.parent = self
                                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                                self._children_yang_names.add("accept-map-request-mapping")

                                                self.map_server = YList(self)
                                                self._segment_path = lambda: "etr"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr, ['map_cache_ttl'], name, value)


                                            class MapServer(Entity):
                                                """
                                                Configures map server for ETR registration
                                                
                                                .. attribute:: ip_addr  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: key
                                                
                                                	Authentication key used with map server
                                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key>`
                                                
                                                .. attribute:: proxy_reply
                                                
                                                	Request Map\-Server to send Map\-Replies on behalf of site
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer, self).__init__()

                                                    self.yang_name = "map-server"
                                                    self.yang_parent_name = "etr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key)}
                                                    self._child_list_classes = {}

                                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                    self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key()
                                                    self.key.parent = self
                                                    self._children_name_map["key"] = "key"
                                                    self._children_yang_names.add("key")
                                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                                class Key(Entity):
                                                    """
                                                    Authentication key used with map server
                                                    
                                                    .. attribute:: key_pwd
                                                    
                                                    	
                                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                                    
                                                    .. attribute:: key_0
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                                    
                                                    .. attribute:: key_6
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                                    
                                                    .. attribute:: key_7
                                                    
                                                    	
                                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key, self).__init__()

                                                        self.yang_name = "key"
                                                        self.yang_parent_name = "map-server"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7)}
                                                        self._child_list_classes = {}

                                                        self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                                        self.key_pwd.parent = self
                                                        self._children_name_map["key_pwd"] = "key-pwd"
                                                        self._children_yang_names.add("key-pwd")

                                                        self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                                        self.key_0.parent = self
                                                        self._children_name_map["key_0"] = "key-0"
                                                        self._children_yang_names.add("key-0")

                                                        self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                                        self.key_6.parent = self
                                                        self._children_name_map["key_6"] = "key-6"
                                                        self._children_yang_names.add("key-6")

                                                        self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                                        self.key_7.parent = self
                                                        self._children_name_map["key_7"] = "key-7"
                                                        self._children_yang_names.add("key-7")
                                                        self._segment_path = lambda: "key"


                                                    class KeyPwd(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: unc_pwd
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                            self.yang_name = "key-pwd"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-pwd"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key0(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_0
                                                        
                                                        	The UNENCRYPTED (cleartext) password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                            self.yang_name = "key-0"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-0"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key6(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_6
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                            self.yang_name = "key-6"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-6"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                                    class Key7(Entity):
                                                        """
                                                        
                                                        
                                                        .. attribute:: ak_7
                                                        
                                                        	The ENCRYPTED password
                                                        	**type**\: str
                                                        
                                                        .. attribute:: hash_function
                                                        
                                                        	authentication type
                                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                        
                                                        

                                                        """

                                                        _prefix = 'ios-lisp'
                                                        _revision = '2017-04-28'

                                                        def __init__(self):
                                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                            self.yang_name = "key-7"
                                                            self.yang_parent_name = "key"
                                                            self.is_top_level_class = False
                                                            self.has_list_ancestor = True
                                                            self._child_container_classes = {}
                                                            self._child_list_classes = {}

                                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                            self._segment_path = lambda: "key-7"

                                                        def __setattr__(self, name, value):
                                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                        class HashFunction(Enum):
                                                            """
                                                            HashFunction

                                                            authentication type

                                                            .. data:: sha1 = 0

                                                            .. data:: sha2 = 1

                                                            """

                                                            sha1 = Enum.YLeaf(0, "sha1")

                                                            sha2 = Enum.YLeaf(1, "sha2")



                                            class AcceptMapRequestMapping(Entity):
                                                """
                                                
                                                
                                                .. attribute:: accept_mappping
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: verify
                                                
                                                	
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                    self.yang_name = "accept-map-request-mapping"
                                                    self.yang_parent_name = "etr"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                    self.verify = YLeaf(YType.empty, "verify")
                                                    self._segment_path = lambda: "accept-map-request-mapping"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                        class MapCacheLimit(Entity):
                                            """
                                            Configures maximum size of map\-cache
                                            
                                            .. attribute:: max_map_cache_entries
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..100000
                                            
                                            .. attribute:: reserve_list
                                            
                                            	EID\-prefixes guaranteed to be stored in map\-cache
                                            	**type**\: str
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit, self).__init__()

                                                self.yang_name = "map-cache-limit"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "map-cache-limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                        class SiteRegistration(Entity):
                                            """
                                            Site registrations configuration for a given instance\-id
                                            
                                            .. attribute:: limit
                                            
                                            	Maximum number of site registrations
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Warning threshold to issue system logging
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration, self).__init__()

                                                self.yang_name = "site-registration"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.limit = YLeaf(YType.uint32, "limit")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "site-registration"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                        class SolicitMapRequest(Entity):
                                            """
                                            Configure Solicit\-Map\-Request handling
                                            
                                            .. attribute:: ignore
                                            
                                            	Ignore SMR bit in incoming Map\-Requests
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: max_per_entry
                                            
                                            	Maximum number of SMRs for addresses under a map\-cache entry
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: suppression_time
                                            
                                            	How long to suppress repeated SMRs for the same address
                                            	**type**\: int
                                            
                                            	**range:** 1..600
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest, self).__init__()

                                                self.yang_name = "solicit-map-request"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ignore = YLeaf(YType.empty, "ignore")

                                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                                self._segment_path = lambda: "solicit-map-request"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: eid_cont
                                            
                                            	EID\-record for RLOC static mapping
                                            	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "default"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont)}

                                                self.eid_cont = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache, [], name, value)


                                            class EidCont(Entity):
                                                """
                                                EID\-record for RLOC static mapping
                                                
                                                .. attribute:: eid_prefix  <key>
                                                
                                                	xxxx.xxxx.xxxx 48 bit mac address
                                                	**type**\: str
                                                
                                                	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                                
                                                .. attribute:: etr_interface_ip
                                                
                                                	
                                                	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont, self).__init__()

                                                    self.yang_name = "eid-cont"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp)}
                                                    self._child_list_classes = {}

                                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                    self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp()
                                                    self.etr_interface_ip.parent = self
                                                    self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                    self._children_yang_names.add("etr-interface-ip")
                                                    self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont, ['eid_prefix'], name, value)


                                                class EtrInterfaceIp(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: etr_interface_ip_address
                                                    
                                                    	IP address of loopback or other ETR interface
                                                    	**type**\: union of the below types:
                                                    
                                                    		**type**\: str
                                                    
                                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                    
                                                    		**type**\: str
                                                    
                                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                        self.yang_name = "etr-interface-ip"
                                                        self.yang_parent_name = "eid-cont"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")
                                                        self._segment_path = lambda: "etr-interface-ip"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vlan
                                        
                                        	VLAN configuration
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vlan = YLeaf(YType.uint16, "vlan")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable, ['vlan'], name, value)


                                    class BroadcastUnderlay(Entity):
                                        """
                                        Multicast group to use for underlay
                                        
                                        .. attribute:: ipv4_multicast
                                        
                                        	IPv4 multicast group address
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_multicast
                                        
                                        	IPv6 multicast group address
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay, self).__init__()

                                            self.yang_name = "broadcast-underlay"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                            self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                            self._segment_path = lambda: "broadcast-underlay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: mac
                                        
                                        	L2 EID records
                                        	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"mac" : ("mac", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont)}

                                            self.mac = None
                                            self._children_name_map["mac"] = "mac"
                                            self._children_yang_names.add("mac")

                                            self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Mac(Entity):
                                            """
                                            L2 EID records
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac, self).__init__()

                                                self.yang_name = "mac"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "mac"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac, ['locator_set'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "ethernet"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont)}

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont, ['eid_prefix'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                        class Decapsulation(Entity):
                            """
                            Decapsulation behavior (e.g. filters)
                            
                            .. attribute:: filter
                            
                            	Filters traffic
                            	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation, self).__init__()

                                self.yang_name = "decapsulation"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"filter" : ("filter", Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter)}
                                self._child_list_classes = {}

                                self.filter = Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter()
                                self.filter.parent = self
                                self._children_name_map["filter"] = "filter"
                                self._children_yang_names.add("filter")
                                self._segment_path = lambda: "decapsulation"


                            class Filter(Entity):
                                """
                                Filters traffic
                                
                                .. attribute:: rloc
                                
                                	Filter based on Routing Locator (RLOC) in packet header
                                	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter, self).__init__()

                                    self.yang_name = "filter"
                                    self.yang_parent_name = "decapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc)}
                                    self._child_list_classes = {}

                                    self.rloc = Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc()
                                    self.rloc.parent = self
                                    self._children_name_map["rloc"] = "rloc"
                                    self._children_yang_names.add("rloc")
                                    self._segment_path = lambda: "filter"


                                class Rloc(Entity):
                                    """
                                    Filter based on Routing Locator (RLOC) in packet header
                                    
                                    .. attribute:: source
                                    
                                    	Filters traffic based on RLOC source address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc, self).__init__()

                                        self.yang_name = "rloc"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "rloc"


                                    class Source(Entity):
                                        """
                                        Filters traffic based on RLOC source address
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator\-set Name
                                        	**type**\: str
                                        
                                        .. attribute:: member
                                        
                                        	Members learned from map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "rloc"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.member = YLeaf(YType.empty, "member")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                        class DynamicEid(Entity):
                            """
                            Configure a dynamic EID
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: database_mapping
                            
                            	Configures EID\-prefix and locator\-set for dynamic\-EID
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping>`
                            
                            .. attribute:: eid_notify
                            
                            	Configure options for sending/receiving EID\-notify
                            	**type**\:  :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify>`
                            
                            .. attribute:: map_notify_group
                            
                            	Multicast group which to send map\-notifies to
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid, self).__init__()

                                self.yang_name = "dynamic-eid"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping), "eid-notify" : ("eid_notify", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer)}

                                self.name = YLeaf(YType.str, "name")

                                self.map_notify_group = YLeaf(YType.str, "map-notify-group")

                                self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.eid_notify = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify()
                                self.eid_notify.parent = self
                                self._children_name_map["eid_notify"] = "eid-notify"
                                self._children_yang_names.add("eid-notify")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "dynamic-eid" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid, ['name', 'map_notify_group'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Configures EID\-prefix and locator\-set for dynamic\-EID
                                
                                .. attribute:: ipv4_prefix
                                
                                	IPv4 EID\-prefix for dynamic\-EID
                                	**type**\: list of  		 :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ipv4-prefix" : ("ipv4_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix)}

                                    self.ipv4_prefix = YList(self)
                                    self._segment_path = lambda: "database-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping, [], name, value)


                                class Ipv4Prefix(Entity):
                                    """
                                    IPv4 EID\-prefix for dynamic\-EID
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix, self).__init__()

                                        self.yang_name = "ipv4-prefix"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "ipv4-prefix" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix, ['eid_prefix', 'locator_set'], name, value)


                            class EidNotify(Entity):
                                """
                                Configure options for sending/receiving EID\-notify
                                
                                .. attribute:: authentication_key
                                
                                	Authentication key used for validating received EID\-notify
                                	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                                
                                .. attribute:: gateway_key
                                
                                	
                                	**type**\: list of  		 :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify, self).__init__()

                                    self.yang_name = "eid-notify"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey)}
                                    self._child_list_classes = {"gateway-key" : ("gateway_key", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey)}

                                    self.authentication_key = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self._children_name_map["authentication_key"] = "authentication-key"
                                    self._children_yang_names.add("authentication-key")

                                    self.gateway_key = YList(self)
                                    self._segment_path = lambda: "eid-notify"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify, [], name, value)


                                class AuthenticationKey(Entity):
                                    """
                                    Authentication key used for validating received EID\-notify
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: key_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey, self).__init__()

                                        self.yang_name = "authentication-key"
                                        self.yang_parent_name = "eid-notify"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.key_0 = YLeaf(YType.str, "key-0")

                                        self.key_6 = YLeaf(YType.str, "key-6")

                                        self.key_7 = YLeaf(YType.str, "key-7")
                                        self._segment_path = lambda: "authentication-key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                                class GatewayKey(Entity):
                                    """
                                    
                                    
                                    .. attribute:: gateway_ip  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey, self).__init__()

                                        self.yang_name = "gateway-key"
                                        self.yang_parent_name = "eid-notify"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key)}
                                        self._child_list_classes = {}

                                        self.gateway_ip = YLeaf(YType.str, "gateway-ip")

                                        self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "gateway-key" + "[gateway-ip='" + self.gateway_ip.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey, ['gateway_ip'], name, value)


                                    class Key(Entity):
                                        """
                                        
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "gateway-key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                        class LocReachAlgorithm(Entity):
                            """
                            Configure locator reachability algorithm
                            
                            .. attribute:: lsb_reports
                            
                            	Configure data packet LSB report handling
                            	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports>`
                            
                            .. attribute:: rloc_probing
                            
                            	Probe high priority RLOCs with Map\-Requests as last resort
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm, self).__init__()

                                self.yang_name = "loc-reach-algorithm"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports)}
                                self._child_list_classes = {}

                                self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                                self.lsb_reports = Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports()
                                self.lsb_reports.parent = self
                                self._children_name_map["lsb_reports"] = "lsb-reports"
                                self._children_yang_names.add("lsb-reports")
                                self._segment_path = lambda: "loc-reach-algorithm"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm, ['rloc_probing'], name, value)


                            class LsbReports(Entity):
                                """
                                Configure data packet LSB report handling
                                
                                .. attribute:: do_not_transmit
                                
                                	Force the setting of the encapsulation header L bit to zero
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ignore
                                
                                	Ignore data packet LSB reports
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports, self).__init__()

                                    self.yang_name = "lsb-reports"
                                    self.yang_parent_name = "loc-reach-algorithm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                                    self.ignore = YLeaf(YType.empty, "ignore")
                                    self._segment_path = lambda: "lsb-reports"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                        class MapServer(Entity):
                            """
                            Map\-Server commands
                            
                            .. attribute:: rloc
                            
                            	EID instance RLOC membership
                            	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc>`
                            
                            .. attribute:: site_registration
                            
                            	Map\-server site registration options
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration)}
                                self._child_list_classes = {}

                                self.rloc = Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc()
                                self.rloc.parent = self
                                self._children_name_map["rloc"] = "rloc"
                                self._children_yang_names.add("rloc")

                                self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")
                                self._segment_path = lambda: "map-server"


                            class Rloc(Entity):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: members
                                
                                	EID instance RLOC membership
                                	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc, self).__init__()

                                    self.yang_name = "rloc"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"members" : ("members", Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members)}
                                    self._child_list_classes = {}

                                    self.members = Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members()
                                    self.members.parent = self
                                    self._children_name_map["members"] = "members"
                                    self._children_yang_names.add("members")
                                    self._segment_path = lambda: "rloc"


                                class Members(Entity):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: distribute
                                    
                                    	EID instance RLOC membership distribution
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: modify_discovered
                                    
                                    	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members, self).__init__()

                                        self.yang_name = "members"
                                        self.yang_parent_name = "rloc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered)}
                                        self._child_list_classes = {}

                                        self.distribute = YLeaf(YType.empty, "distribute")

                                        self.modify_discovered = Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                        self.modify_discovered.parent = self
                                        self._children_name_map["modify_discovered"] = "modify-discovered"
                                        self._children_yang_names.add("modify-discovered")
                                        self._segment_path = lambda: "members"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members, ['distribute'], name, value)


                                    class ModifyDiscovered(Entity):
                                        """
                                        Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        
                                        .. attribute:: operator
                                        
                                        	
                                        	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set from which to get member RLOC addresses
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                            self.yang_name = "modify-discovered"
                                            self.yang_parent_name = "members"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.operator = YLeaf(YType.enumeration, "operator")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "modify-discovered"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                        class Operator(Enum):
                                            """
                                            Operator

                                            .. data:: add = 0

                                            .. data:: override = 1

                                            """

                                            add = Enum.YLeaf(0, "add")

                                            override = Enum.YLeaf(1, "override")



                            class SiteRegistration(Entity):
                                """
                                Map\-server site registration options
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations as a result of accept\-more\-specifics
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class OtherXtrProbe(Entity):
                            """
                            Configure parameters for probing of other xTRs in our site
                            
                            .. attribute:: period
                            
                            	Period between probes in seconds
                            	**type**\: int
                            
                            	**range:** 5..900
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.OtherXtrProbe, self).__init__()

                                self.yang_name = "other-xtr-probe"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.period = YLeaf(YType.uint16, "period")
                                self._segment_path = lambda: "other-xtr-probe"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.OtherXtrProbe, ['period'], name, value)


                        class RemoteRlocProbe(Entity):
                            """
                            Configure parameters for probing of remote RLOCs
                            
                            .. attribute:: on_membership_change
                            
                            	Trigger probing upon membership changes for remote RLOC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: on_route_change
                            
                            	Trigger probing upon routing changes for remote RLOC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.RemoteRlocProbe, self).__init__()

                                self.yang_name = "remote-rloc-probe"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                                self.on_route_change = YLeaf(YType.empty, "on-route-change")
                                self._segment_path = lambda: "remote-rloc-probe"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                        class Service(Entity):
                            """
                            Configure lisp service type
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv6
                            
                            	
                            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ethernet
                            
                            	
                            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service, self).__init__()

                                self.yang_name = "service"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4), "ipv6" : ("ipv6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6), "ethernet" : ("ethernet", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ipv4 = None
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")

                                self.ipv6 = None
                                self._children_name_map["ipv6"] = "ipv6"
                                self._children_yang_names.add("ipv6")

                                self.ethernet = None
                                self._children_name_map["ethernet"] = "ethernet"
                                self._children_yang_names.add("ethernet")
                                self._segment_path = lambda: "service"


                            class Ipv4(Entity):
                                """
                                
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest>`
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\: str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent>`
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "service"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default), "eid-table" : ("eid_table", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable), "itr" : ("itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt), "distance" : ("distance", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping)}
                                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr)}
                                    self.is_presence_container = True

                                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                    self.sgt = YLeaf(YType.empty, "sgt")

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt()
                                    self.alt.parent = self
                                    self._children_name_map["alt"] = "alt"
                                    self._children_yang_names.add("alt")

                                    self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")

                                    self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                    self._children_yang_names.add("map-cache-persistent")

                                    self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self._children_name_map["proxy_itr"] = "proxy-itr"
                                    self._children_yang_names.add("proxy-itr")

                                    self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport()
                                    self.route_export.parent = self
                                    self._children_name_map["route_export"] = "route-export"
                                    self._children_yang_names.add("route-export")

                                    self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport()
                                    self.route_import.parent = self
                                    self._children_name_map["route_import"] = "route-import"
                                    self._children_yang_names.add("route-import")

                                    self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.use_petr = YList(self)
                                    self._segment_path = lambda: "ipv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest>`
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\: str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent>`
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable), "itr" : ("itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt), "distance" : ("distance", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping)}
                                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr)}

                                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                        self.sgt = YLeaf(YType.empty, "sgt")

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt()
                                        self.alt.parent = self
                                        self._children_name_map["alt"] = "alt"
                                        self._children_yang_names.add("alt")

                                        self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance()
                                        self.distance.parent = self
                                        self._children_name_map["distance"] = "distance"
                                        self._children_yang_names.add("distance")

                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")

                                        self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                        self._children_yang_names.add("map-cache-persistent")

                                        self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self._children_name_map["proxy_itr"] = "proxy-itr"
                                        self._children_yang_names.add("proxy-itr")

                                        self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport()
                                        self.route_export.parent = self
                                        self._children_name_map["route_export"] = "route-export"
                                        self._children_yang_names.add("route-export")

                                        self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport()
                                        self.route_import.parent = self
                                        self._children_name_map["route_import"] = "route-import"
                                        self._children_yang_names.add("route-import")

                                        self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.use_petr = YList(self)
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class Alt(Entity):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt, self).__init__()

                                            self.yang_name = "alt"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute)}

                                            self.summary_route = YList(self)
                                            self._segment_path = lambda: "alt"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt, [], name, value)


                                        class SummaryRoute(Entity):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute, self).__init__()

                                                self.yang_name = "summary-route"
                                                self.yang_parent_name = "alt"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                    class Distance(Entity):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance, self).__init__()

                                            self.yang_name = "distance"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.alt = YLeaf(YType.uint8, "alt")

                                            self.away = YLeaf(YType.uint8, "away")

                                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                            self._segment_path = lambda: "distance"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids)}
                                            self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface)}

                                            self.site_registration = YLeaf(YType.empty, "site-registration")

                                            self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self._children_name_map["away_eids"] = "away-eids"
                                            self._children_yang_names.add("away-eids")

                                            self.eid_interface = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache, ['site_registration'], name, value)


                                        class EidInterface(Entity):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface, self).__init__()

                                                self.yang_name = "eid-interface"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.drop = YLeaf(YType.empty, "drop")

                                                self.map_request = YLeaf(YType.empty, "map-request")

                                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                                self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                        class AwayEids(Entity):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids, self).__init__()

                                                self.yang_name = "away-eids"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                self._segment_path = lambda: "away-eids"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                    class MapCachePersistent(Entity):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\: int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent, self).__init__()

                                            self.yang_name = "map-cache-persistent"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "map-cache-persistent"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent, ['interval'], name, value)


                                    class ProxyItr(Entity):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr, self).__init__()

                                            self.yang_name = "proxy-itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                            self._segment_path = lambda: "proxy-itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                    class RouteExport(Entity):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport, self).__init__()

                                            self.yang_name = "route-export"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                            self.away_eids = YLeaf(YType.empty, "away-eids")
                                            self._segment_path = lambda: "route-export"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                    class UsePetr(Entity):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr, self).__init__()

                                            self.yang_name = "use-petr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority)}
                                            self._child_list_classes = {}

                                            self.locator_address = YLeaf(YType.str, "locator-address")

                                            self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr, ['locator_address'], name, value)


                                        class Priority(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "use-petr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                    class RouteImport(Entity):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport, self).__init__()

                                            self.yang_name = "route-import"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database" : ("database", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache)}
                                            self._child_list_classes = {}

                                            self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database()
                                            self.database.parent = self
                                            self._children_name_map["database"] = "database"
                                            self._children_yang_names.add("database")

                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "route-import"


                                        class Database(Entity):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database, self).__init__()

                                                self.yang_name = "database"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf)}

                                                self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static()
                                                self.static.parent = self
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip()
                                                self.rip.parent = self
                                                self._children_name_map["rip"] = "rip"
                                                self._children_yang_names.add("rip")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self._segment_path = lambda: "database"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "application"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "connected"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.process_id = YLeaf(YType.str, "process-id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "nd"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "static"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "rip"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf)}

                                                self.application = None
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = None
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = None
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = None
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip()
                                                self.rip.parent = self
                                                self._children_name_map["rip"] = "rip"
                                                self._children_yang_names.add("rip")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "application"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "connected"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "nd"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "static"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "rip"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont)}

                                            self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                                        self.default = YLeaf(YType.empty, "default")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class Alt(Entity):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt, self).__init__()

                                        self.yang_name = "alt"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute)}

                                        self.summary_route = YList(self)
                                        self._segment_path = lambda: "alt"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt, [], name, value)


                                    class SummaryRoute(Entity):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute, self).__init__()

                                            self.yang_name = "summary-route"
                                            self.yang_parent_name = "alt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                class Distance(Entity):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.alt = YLeaf(YType.uint8, "alt")

                                        self.away = YLeaf(YType.uint8, "away")

                                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                class MapCache(Entity):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids)}
                                        self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface)}

                                        self.site_registration = YLeaf(YType.empty, "site-registration")

                                        self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self._children_name_map["away_eids"] = "away-eids"
                                        self._children_yang_names.add("away-eids")

                                        self.eid_interface = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache, ['site_registration'], name, value)


                                    class EidInterface(Entity):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface, self).__init__()

                                            self.yang_name = "eid-interface"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.drop = YLeaf(YType.empty, "drop")

                                            self.map_request = YLeaf(YType.empty, "map-request")

                                            self.native_forward = YLeaf(YType.empty, "native-forward")

                                            self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class AwayEids(Entity):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids, self).__init__()

                                            self.yang_name = "away-eids"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                            self._segment_path = lambda: "away-eids"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids, ['send_map_request'], name, value)


                                class MapCachePersistent(Entity):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\: int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent, self).__init__()

                                        self.yang_name = "map-cache-persistent"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "map-cache-persistent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent, ['interval'], name, value)


                                class ProxyItr(Entity):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr, self).__init__()

                                        self.yang_name = "proxy-itr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                        self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                        self._segment_path = lambda: "proxy-itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                class RouteExport(Entity):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport, self).__init__()

                                        self.yang_name = "route-export"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                        self.away_eids = YLeaf(YType.empty, "away-eids")
                                        self._segment_path = lambda: "route-export"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                class UsePetr(Entity):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr, self).__init__()

                                        self.yang_name = "use-petr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority)}
                                        self._child_list_classes = {}

                                        self.locator_address = YLeaf(YType.str, "locator-address")

                                        self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr, ['locator_address'], name, value)


                                    class Priority(Entity):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "use-petr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority_value = YLeaf(YType.uint8, "priority-value")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                class RouteImport(Entity):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport, self).__init__()

                                        self.yang_name = "route-import"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"database" : ("database", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache)}
                                        self._child_list_classes = {}

                                        self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database()
                                        self.database.parent = self
                                        self._children_name_map["database"] = "database"
                                        self._children_yang_names.add("database")

                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "route-import"


                                    class Database(Entity):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database, self).__init__()

                                            self.yang_name = "database"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf)}

                                            self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static()
                                            self.static.parent = self
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip()
                                            self.rip.parent = self
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self._segment_path = lambda: "database"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "application"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "connected"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.process_id = YLeaf(YType.str, "process-id")

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis, ['process_id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "nd"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "static"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "rip"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf)}

                                            self.application = None
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = None
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.rip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip()
                                            self.rip.parent = self
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "application"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "connected"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "nd"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "static"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "rip"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont)}

                                        self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Ipv6(Entity):
                                """
                                
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest>`
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\: str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent>`
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "service"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default), "eid-table" : ("eid_table", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable), "itr" : ("itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt), "distance" : ("distance", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping)}
                                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr)}
                                    self.is_presence_container = True

                                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                    self.sgt = YLeaf(YType.empty, "sgt")

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt()
                                    self.alt.parent = self
                                    self._children_name_map["alt"] = "alt"
                                    self._children_yang_names.add("alt")

                                    self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")

                                    self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                    self._children_yang_names.add("map-cache-persistent")

                                    self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self._children_name_map["proxy_itr"] = "proxy-itr"
                                    self._children_yang_names.add("proxy-itr")

                                    self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport()
                                    self.route_export.parent = self
                                    self._children_name_map["route_export"] = "route-export"
                                    self._children_yang_names.add("route-export")

                                    self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport()
                                    self.route_import.parent = self
                                    self._children_name_map["route_import"] = "route-import"
                                    self._children_yang_names.add("route-import")

                                    self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.use_petr = YList(self)
                                    self._segment_path = lambda: "ipv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest>`
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\: str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent>`
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable), "itr" : ("itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt), "distance" : ("distance", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping)}
                                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr)}

                                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                        self.sgt = YLeaf(YType.empty, "sgt")

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.alt = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt()
                                        self.alt.parent = self
                                        self._children_name_map["alt"] = "alt"
                                        self._children_yang_names.add("alt")

                                        self.distance = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance()
                                        self.distance.parent = self
                                        self._children_name_map["distance"] = "distance"
                                        self._children_yang_names.add("distance")

                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")

                                        self.map_cache_persistent = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                        self._children_yang_names.add("map-cache-persistent")

                                        self.proxy_itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self._children_name_map["proxy_itr"] = "proxy-itr"
                                        self._children_yang_names.add("proxy-itr")

                                        self.route_export = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport()
                                        self.route_export.parent = self
                                        self._children_name_map["route_export"] = "route-export"
                                        self._children_yang_names.add("route-export")

                                        self.route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport()
                                        self.route_import.parent = self
                                        self._children_name_map["route_import"] = "route-import"
                                        self._children_yang_names.add("route-import")

                                        self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.use_petr = YList(self)
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class Alt(Entity):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt, self).__init__()

                                            self.yang_name = "alt"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute)}

                                            self.summary_route = YList(self)
                                            self._segment_path = lambda: "alt"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt, [], name, value)


                                        class SummaryRoute(Entity):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute, self).__init__()

                                                self.yang_name = "summary-route"
                                                self.yang_parent_name = "alt"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                    class Distance(Entity):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance, self).__init__()

                                            self.yang_name = "distance"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.alt = YLeaf(YType.uint8, "alt")

                                            self.away = YLeaf(YType.uint8, "away")

                                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                            self._segment_path = lambda: "distance"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids)}
                                            self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface)}

                                            self.site_registration = YLeaf(YType.empty, "site-registration")

                                            self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self._children_name_map["away_eids"] = "away-eids"
                                            self._children_yang_names.add("away-eids")

                                            self.eid_interface = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache, ['site_registration'], name, value)


                                        class EidInterface(Entity):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface, self).__init__()

                                                self.yang_name = "eid-interface"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.drop = YLeaf(YType.empty, "drop")

                                                self.map_request = YLeaf(YType.empty, "map-request")

                                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                                self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                        class AwayEids(Entity):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids, self).__init__()

                                                self.yang_name = "away-eids"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                self._segment_path = lambda: "away-eids"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                    class MapCachePersistent(Entity):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\: int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent, self).__init__()

                                            self.yang_name = "map-cache-persistent"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "map-cache-persistent"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent, ['interval'], name, value)


                                    class ProxyItr(Entity):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr, self).__init__()

                                            self.yang_name = "proxy-itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                            self._segment_path = lambda: "proxy-itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                    class RouteExport(Entity):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport, self).__init__()

                                            self.yang_name = "route-export"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                            self.away_eids = YLeaf(YType.empty, "away-eids")
                                            self._segment_path = lambda: "route-export"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                    class UsePetr(Entity):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr, self).__init__()

                                            self.yang_name = "use-petr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority)}
                                            self._child_list_classes = {}

                                            self.locator_address = YLeaf(YType.str, "locator-address")

                                            self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr, ['locator_address'], name, value)


                                        class Priority(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "use-petr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                    class RouteImport(Entity):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport, self).__init__()

                                            self.yang_name = "route-import"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database" : ("database", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache)}
                                            self._child_list_classes = {}

                                            self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database()
                                            self.database.parent = self
                                            self._children_name_map["database"] = "database"
                                            self._children_yang_names.add("database")

                                            self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "route-import"


                                        class Database(Entity):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database, self).__init__()

                                                self.yang_name = "database"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip)}

                                                self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static()
                                                self.static.parent = self
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self.rip = YList(self)
                                                self._segment_path = lambda: "database"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "application"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "connected"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.process_id = YLeaf(YType.str, "process-id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "nd"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "static"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip)}

                                                self.application = None
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = None
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = None
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = None
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self.rip = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "application"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "connected"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "nd"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "static"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont)}

                                            self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                                        self.default = YLeaf(YType.empty, "default")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class Alt(Entity):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt, self).__init__()

                                        self.yang_name = "alt"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute)}

                                        self.summary_route = YList(self)
                                        self._segment_path = lambda: "alt"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt, [], name, value)


                                    class SummaryRoute(Entity):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute, self).__init__()

                                            self.yang_name = "summary-route"
                                            self.yang_parent_name = "alt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                class Distance(Entity):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.alt = YLeaf(YType.uint8, "alt")

                                        self.away = YLeaf(YType.uint8, "away")

                                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                class MapCache(Entity):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids)}
                                        self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface)}

                                        self.site_registration = YLeaf(YType.empty, "site-registration")

                                        self.away_eids = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self._children_name_map["away_eids"] = "away-eids"
                                        self._children_yang_names.add("away-eids")

                                        self.eid_interface = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache, ['site_registration'], name, value)


                                    class EidInterface(Entity):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface, self).__init__()

                                            self.yang_name = "eid-interface"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.drop = YLeaf(YType.empty, "drop")

                                            self.map_request = YLeaf(YType.empty, "map-request")

                                            self.native_forward = YLeaf(YType.empty, "native-forward")

                                            self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class AwayEids(Entity):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids, self).__init__()

                                            self.yang_name = "away-eids"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                            self._segment_path = lambda: "away-eids"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids, ['send_map_request'], name, value)


                                class MapCachePersistent(Entity):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\: int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent, self).__init__()

                                        self.yang_name = "map-cache-persistent"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "map-cache-persistent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent, ['interval'], name, value)


                                class ProxyItr(Entity):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr, self).__init__()

                                        self.yang_name = "proxy-itr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                        self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                        self._segment_path = lambda: "proxy-itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                class RouteExport(Entity):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport, self).__init__()

                                        self.yang_name = "route-export"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                        self.away_eids = YLeaf(YType.empty, "away-eids")
                                        self._segment_path = lambda: "route-export"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                class UsePetr(Entity):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr, self).__init__()

                                        self.yang_name = "use-petr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority)}
                                        self._child_list_classes = {}

                                        self.locator_address = YLeaf(YType.str, "locator-address")

                                        self.priority = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr, ['locator_address'], name, value)


                                    class Priority(Entity):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "use-petr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority_value = YLeaf(YType.uint8, "priority-value")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                class RouteImport(Entity):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport, self).__init__()

                                        self.yang_name = "route-import"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"database" : ("database", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache)}
                                        self._child_list_classes = {}

                                        self.database = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database()
                                        self.database.parent = self
                                        self._children_name_map["database"] = "database"
                                        self._children_yang_names.add("database")

                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "route-import"


                                    class Database(Entity):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database, self).__init__()

                                            self.yang_name = "database"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip)}

                                            self.application = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static()
                                            self.static.parent = self
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self.rip = YList(self)
                                            self._segment_path = lambda: "database"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "application"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "connected"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.process_id = YLeaf(YType.str, "process-id")

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis, ['process_id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "nd"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "static"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip)}

                                            self.application = None
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = None
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self.rip = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "application"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "connected"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "nd"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "static"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont)}

                                        self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Ethernet(Entity):
                                """
                                
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable>`
                                
                                .. attribute:: broadcast_underlay
                                
                                	Multicast group to use for underlay
                                	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay>`
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet, self).__init__()

                                    self.yang_name = "ethernet"
                                    self.yang_parent_name = "service"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default), "eid-table" : ("eid_table", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.default = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.broadcast_underlay = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay()
                                    self.broadcast_underlay.parent = self
                                    self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                    self._children_yang_names.add("broadcast-underlay")

                                    self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "ethernet"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet, ['map_request_source'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable>`
                                    
                                    .. attribute:: broadcast_underlay
                                    
                                    	Multicast group to use for underlay
                                    	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay>`
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache)}
                                        self._child_list_classes = {}

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.eid_table = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.broadcast_underlay = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay()
                                        self.broadcast_underlay.parent = self
                                        self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                        self._children_yang_names.add("broadcast-underlay")

                                        self.database_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.itr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.map_cache = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default, ['map_request_source'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vlan
                                        
                                        	VLAN configuration
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vlan = YLeaf(YType.uint16, "vlan")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable, ['vlan'], name, value)


                                    class BroadcastUnderlay(Entity):
                                        """
                                        Multicast group to use for underlay
                                        
                                        .. attribute:: ipv4_multicast
                                        
                                        	IPv4 multicast group address
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_multicast
                                        
                                        	IPv6 multicast group address
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay, self).__init__()

                                            self.yang_name = "broadcast-underlay"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                            self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                            self._segment_path = lambda: "broadcast-underlay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: mac
                                        
                                        	L2 EID records
                                        	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"mac" : ("mac", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont)}

                                            self.mac = None
                                            self._children_name_map["mac"] = "mac"
                                            self._children_yang_names.add("mac")

                                            self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Mac(Entity):
                                            """
                                            L2 EID records
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac, self).__init__()

                                                self.yang_name = "mac"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "mac"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac, ['locator_set'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont)}

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont, ['eid_prefix'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vlan
                                    
                                    	VLAN configuration
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vlan = YLeaf(YType.uint16, "vlan")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EidTable, ['vlan'], name, value)


                                class BroadcastUnderlay(Entity):
                                    """
                                    Multicast group to use for underlay
                                    
                                    .. attribute:: ipv4_multicast
                                    
                                    	IPv4 multicast group address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_multicast
                                    
                                    	IPv6 multicast group address
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay, self).__init__()

                                        self.yang_name = "broadcast-underlay"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                        self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                        self._segment_path = lambda: "broadcast-underlay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: mac
                                    
                                    	L2 EID records
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont)}

                                        self.mac = None
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")

                                        self.limit = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Mac(Entity):
                                        """
                                        L2 EID records
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac, ['locator_set'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont)}

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.etr_interface_ip = Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont, ['eid_prefix'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                class Alt(Entity):
                    """
                    LISP Alternative Topology, LISP\-ALT
                    
                    .. attribute:: summary_route
                    
                    	Summary route to install into the ALT table
                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Alt.SummaryRoute>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.Alt, self).__init__()

                        self.yang_name = "alt"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.Default.Alt.SummaryRoute)}

                        self.summary_route = YList(self)
                        self._segment_path = lambda: "alt"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.Alt, [], name, value)


                    class SummaryRoute(Entity):
                        """
                        Summary route to install into the ALT table
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: route_tag
                        
                        	ALT RIB route tag for EID prefix
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Alt.SummaryRoute, self).__init__()

                            self.yang_name = "summary-route"
                            self.yang_parent_name = "alt"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                class ControlPacket(Entity):
                    """
                    Configure control packet tx option
                    
                    .. attribute:: mtu
                    
                    	Configure control packet MTU
                    	**type**\: int
                    
                    	**range:** 304..10000
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.ControlPacket, self).__init__()

                        self.yang_name = "control-packet"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.mtu = YLeaf(YType.uint32, "mtu")
                        self._segment_path = lambda: "control-packet"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.ControlPacket, ['mtu'], name, value)


                class Ddt(Entity):
                    """
                    Delegated Database Tree (DDT) mapping system
                    
                    .. attribute:: authoritative
                    
                    	DDT authoritative prefix
                    	**type**\:  :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ddt.Authoritative>`
                    
                    .. attribute:: cache_limit
                    
                    	DDT resolver cache entry limit
                    	**type**\: int
                    
                    	**range:** 1..100000
                    
                    .. attribute:: root
                    
                    	DDT root node
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.Ddt, self).__init__()

                        self.yang_name = "ddt"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authoritative" : ("authoritative", Native.Router.LispList.Default.Ddt.Authoritative)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.cache_limit = YLeaf(YType.uint32, "cache-limit")

                        self.root = YLeaf(YType.str, "root")

                        self.authoritative = Native.Router.LispList.Default.Ddt.Authoritative()
                        self.authoritative.parent = self
                        self._children_name_map["authoritative"] = "authoritative"
                        self._children_yang_names.add("authoritative")
                        self._segment_path = lambda: "ddt"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.Ddt, ['cache_limit', 'root'], name, value)


                    class Authoritative(Entity):
                        """
                        DDT authoritative prefix
                        
                        .. attribute:: instance_id_eid_prefix_list
                        
                        	
                        	**type**\: list of  		 :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList>`
                        
                        .. attribute:: instance_id_list
                        
                        	
                        	**type**\: list of  		 :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ddt.Authoritative, self).__init__()

                            self.yang_name = "authoritative"
                            self.yang_parent_name = "ddt"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"instance-id-eid-prefix-list" : ("instance_id_eid_prefix_list", Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList), "instance-id-list" : ("instance_id_list", Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList)}

                            self.instance_id_eid_prefix_list = YList(self)
                            self.instance_id_list = YList(self)
                            self._segment_path = lambda: "authoritative"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ddt.Authoritative, [], name, value)


                        class InstanceIdEidPrefixList(Entity):
                            """
                            
                            
                            .. attribute:: instance_id  <key>
                            
                            	EID instance\-ID
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: delegate
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                            
                            .. attribute:: map_server_peer
                            
                            	Peer map\-servers that are authoritative for the same EID prefixes
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList, self).__init__()

                                self.yang_name = "instance-id-eid-prefix-list"
                                self.yang_parent_name = "authoritative"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"delegate" : ("delegate", Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate)}
                                self._child_list_classes = {}

                                self.instance_id = YLeaf(YType.uint32, "instance-id")

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                                self.delegate = Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                                self.delegate.parent = self
                                self._children_name_map["delegate"] = "delegate"
                                self._children_yang_names.add("delegate")
                                self._segment_path = lambda: "instance-id-eid-prefix-list" + "[instance-id='" + self.instance_id.get() + "']" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList, ['instance_id', 'eid_prefix', 'map_server_peer'], name, value)


                            class Delegate(Entity):
                                """
                                DDT delegation to a child DDT node or map\-server
                                
                                .. attribute:: eid_prefix
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: instance_id
                                
                                	EID instance\-ID
                                	**type**\: str
                                
                                .. attribute:: to
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ip_address
                                
                                	IPv4/6 Child or map\-server node locator address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: map_server
                                
                                	Delegation points to a map\-server
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, self).__init__()

                                    self.yang_name = "delegate"
                                    self.yang_parent_name = "instance-id-eid-prefix-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                    self.instance_id = YLeaf(YType.str, "instance-id")

                                    self.to = YLeaf(YType.empty, "to")

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.map_server = YLeaf(YType.empty, "map-server")
                                    self._segment_path = lambda: "delegate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                        class InstanceIdList(Entity):
                            """
                            
                            
                            .. attribute:: instance_id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: delegate
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList.Delegate>`
                            
                            .. attribute:: map_server_peer
                            
                            	Peer map\-servers that are authoritative for the same EID prefixes
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList, self).__init__()

                                self.yang_name = "instance-id-list"
                                self.yang_parent_name = "authoritative"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"delegate" : ("delegate", Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList.Delegate)}
                                self._child_list_classes = {}

                                self.instance_id = YLeaf(YType.str, "instance-id")

                                self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                                self.delegate = Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList.Delegate()
                                self.delegate.parent = self
                                self._children_name_map["delegate"] = "delegate"
                                self._children_yang_names.add("delegate")
                                self._segment_path = lambda: "instance-id-list" + "[instance-id='" + self.instance_id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList, ['instance_id', 'map_server_peer'], name, value)


                            class Delegate(Entity):
                                """
                                DDT delegation to a child DDT node or map\-server
                                
                                .. attribute:: eid_prefix
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: instance_id
                                
                                	EID instance\-ID
                                	**type**\: str
                                
                                .. attribute:: to
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ip_address
                                
                                	IPv4/6 Child or map\-server node locator address
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: map_server
                                
                                	Delegation points to a map\-server
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList.Delegate, self).__init__()

                                    self.yang_name = "delegate"
                                    self.yang_parent_name = "instance-id-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                    self.instance_id = YLeaf(YType.str, "instance-id")

                                    self.to = YLeaf(YType.empty, "to")

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.map_server = YLeaf(YType.empty, "map-server")
                                    self._segment_path = lambda: "delegate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ddt.Authoritative.InstanceIdList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                class Decapsulation(Entity):
                    """
                    Decapsulation behavior (e.g. filters)
                    
                    .. attribute:: filter
                    
                    	Filters traffic
                    	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Decapsulation.Filter>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.Decapsulation, self).__init__()

                        self.yang_name = "decapsulation"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"filter" : ("filter", Native.Router.LispList.Default.Decapsulation.Filter)}
                        self._child_list_classes = {}

                        self.filter = Native.Router.LispList.Default.Decapsulation.Filter()
                        self.filter.parent = self
                        self._children_name_map["filter"] = "filter"
                        self._children_yang_names.add("filter")
                        self._segment_path = lambda: "decapsulation"


                    class Filter(Entity):
                        """
                        Filters traffic
                        
                        .. attribute:: rloc
                        
                        	Filter based on Routing Locator (RLOC) in packet header
                        	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Decapsulation.Filter.Rloc>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Decapsulation.Filter, self).__init__()

                            self.yang_name = "filter"
                            self.yang_parent_name = "decapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.Default.Decapsulation.Filter.Rloc)}
                            self._child_list_classes = {}

                            self.rloc = Native.Router.LispList.Default.Decapsulation.Filter.Rloc()
                            self.rloc.parent = self
                            self._children_name_map["rloc"] = "rloc"
                            self._children_yang_names.add("rloc")
                            self._segment_path = lambda: "filter"


                        class Rloc(Entity):
                            """
                            Filter based on Routing Locator (RLOC) in packet header
                            
                            .. attribute:: source
                            
                            	Filters traffic based on RLOC source address
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Decapsulation.Filter.Rloc.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Decapsulation.Filter.Rloc, self).__init__()

                                self.yang_name = "rloc"
                                self.yang_parent_name = "filter"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Decapsulation.Filter.Rloc.Source)}
                                self._child_list_classes = {}

                                self.source = Native.Router.LispList.Default.Decapsulation.Filter.Rloc.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "rloc"


                            class Source(Entity):
                                """
                                Filters traffic based on RLOC source address
                                
                                .. attribute:: locator_set
                                
                                	Locator\-set Name
                                	**type**\: str
                                
                                .. attribute:: member
                                
                                	Members learned from map\-server
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Decapsulation.Filter.Rloc.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "rloc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.locator_set = YLeaf(YType.str, "locator-set")

                                    self.member = YLeaf(YType.empty, "member")
                                    self._segment_path = lambda: "source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                class Etr(Entity):
                    """
                    Configures a LISP Egress Tunnel Router (ETR)
                    
                    .. attribute:: map_server
                    
                    	Configures map server for ETR registration
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Etr.MapServer>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.Etr, self).__init__()

                        self.yang_name = "etr"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.Etr.MapServer)}
                        self._child_list_classes = {}

                        self.map_server = Native.Router.LispList.Default.Etr.MapServer()
                        self.map_server.parent = self
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")
                        self._segment_path = lambda: "etr"


                    class MapServer(Entity):
                        """
                        Configures map server for ETR registration
                        
                        .. attribute:: source_address
                        
                        	Configures map server source address
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Etr.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "etr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.source_address = YLeaf(YType.str, "source-address")
                            self._segment_path = lambda: "map-server"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Etr.MapServer, ['source_address'], name, value)


                class Ipv4(Entity):
                    """
                    IPv4 address family
                    
                    .. attribute:: alt_vrf
                    
                    	Activate LISP\-ALT functionality in VRF
                    	**type**\: str
                    
                    	**status**\: deprecated
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.DatabaseMapping>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Distance>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.ItrEnable>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.EtrEnable>`
                    
                    .. attribute:: locator
                    
                    	Locator related configuration
                    	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Locator>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapCache>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapCacheLimit>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapCachePersistent>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: path_mtu_discovery
                    
                    	Path MTU discovery
                    	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.PathMtuDiscovery>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\: union of the below types:
                    
                    		**type**\: list of str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: list of str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteExport>`
                    
                    .. attribute:: route_import
                    
                    	Import RIB routes by a routing protocol into LISP
                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.SolicitMapRequest>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.UsePetr>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Default.Ipv4.DatabaseMapping), "distance" : ("distance", Native.Router.LispList.Default.Ipv4.Distance), "itr" : ("itr", Native.Router.LispList.Default.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.Ipv4.ItrEnable), "etr" : ("etr", Native.Router.LispList.Default.Ipv4.Etr), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.Ipv4.EtrEnable), "locator" : ("locator", Native.Router.LispList.Default.Ipv4.Locator), "map-cache" : ("map_cache", Native.Router.LispList.Default.Ipv4.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.Ipv4.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.Ipv4.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.LispList.Default.Ipv4.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Default.Ipv4.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.LispList.Default.Ipv4.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.LispList.Default.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Default.Ipv4.RouteImport), "site-registration" : ("site_registration", Native.Router.LispList.Default.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.Ipv4.SolicitMapRequest)}
                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.Ipv4.UsePetr)}

                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                        self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                        self.sgt = YLeaf(YType.empty, "sgt")

                        self.database_mapping = Native.Router.LispList.Default.Ipv4.DatabaseMapping()
                        self.database_mapping.parent = self
                        self._children_name_map["database_mapping"] = "database-mapping"
                        self._children_yang_names.add("database-mapping")

                        self.distance = Native.Router.LispList.Default.Ipv4.Distance()
                        self.distance.parent = self
                        self._children_name_map["distance"] = "distance"
                        self._children_yang_names.add("distance")

                        self.itr = Native.Router.LispList.Default.Ipv4.Itr()
                        self.itr.parent = self
                        self._children_name_map["itr"] = "itr"
                        self._children_yang_names.add("itr")

                        self.itr_enable = Native.Router.LispList.Default.Ipv4.ItrEnable()
                        self.itr_enable.parent = self
                        self._children_name_map["itr_enable"] = "itr-enable"
                        self._children_yang_names.add("itr-enable")

                        self.etr = Native.Router.LispList.Default.Ipv4.Etr()
                        self.etr.parent = self
                        self._children_name_map["etr"] = "etr"
                        self._children_yang_names.add("etr")

                        self.etr_enable = Native.Router.LispList.Default.Ipv4.EtrEnable()
                        self.etr_enable.parent = self
                        self._children_name_map["etr_enable"] = "etr-enable"
                        self._children_yang_names.add("etr-enable")

                        self.locator = Native.Router.LispList.Default.Ipv4.Locator()
                        self.locator.parent = self
                        self._children_name_map["locator"] = "locator"
                        self._children_yang_names.add("locator")

                        self.map_cache = Native.Router.LispList.Default.Ipv4.MapCache()
                        self.map_cache.parent = self
                        self._children_name_map["map_cache"] = "map-cache"
                        self._children_yang_names.add("map-cache")

                        self.map_cache_limit = Native.Router.LispList.Default.Ipv4.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                        self._children_yang_names.add("map-cache-limit")

                        self.map_cache_persistent = Native.Router.LispList.Default.Ipv4.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                        self._children_yang_names.add("map-cache-persistent")

                        self.map_resolver = None
                        self._children_name_map["map_resolver"] = "map-resolver"
                        self._children_yang_names.add("map-resolver")

                        self.map_server = None
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.path_mtu_discovery = None
                        self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                        self._children_yang_names.add("path-mtu-discovery")

                        self.route_export = Native.Router.LispList.Default.Ipv4.RouteExport()
                        self.route_export.parent = self
                        self._children_name_map["route_export"] = "route-export"
                        self._children_yang_names.add("route-export")

                        self.route_import = Native.Router.LispList.Default.Ipv4.RouteImport()
                        self.route_import.parent = self
                        self._children_name_map["route_import"] = "route-import"
                        self._children_yang_names.add("route-import")

                        self.site_registration = Native.Router.LispList.Default.Ipv4.SiteRegistration()
                        self.site_registration.parent = self
                        self._children_name_map["site_registration"] = "site-registration"
                        self._children_yang_names.add("site-registration")

                        self.solicit_map_request = Native.Router.LispList.Default.Ipv4.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                        self._children_yang_names.add("solicit-map-request")

                        self.use_petr = YList(self)
                        self._segment_path = lambda: "ipv4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.Ipv4, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                    class DatabaseMapping(Entity):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.DatabaseMapping, self).__init__()

                            self.yang_name = "database-mapping"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.Ipv4.DatabaseMapping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.Router.LispList.Default.Ipv4.DatabaseMapping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "database-mapping"


                        class Limit(Entity):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv4.DatabaseMapping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "database-mapping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                    class Distance(Entity):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.Distance, self).__init__()

                            self.yang_name = "distance"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.alt = YLeaf(YType.uint8, "alt")

                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                            self._segment_path = lambda: "distance"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv4.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                    class Itr(Entity):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.Itr, self).__init__()

                            self.yang_name = "itr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.Ipv4.Itr.MapResolver)}

                            self.map_resolver = YList(self)
                            self._segment_path = lambda: "itr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv4.Itr, [], name, value)


                        class MapResolver(Entity):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv4.Itr.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "itr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                    class ItrEnable(Entity):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.ItrEnable, self).__init__()

                            self.yang_name = "itr-enable"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.itr = YLeaf(YType.empty, "itr")
                            self._segment_path = lambda: "itr-enable"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv4.ItrEnable, ['itr'], name, value)


                    class Etr(Entity):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.Etr, self).__init__()

                            self.yang_name = "etr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.Ipv4.Etr.MapServer)}

                            self.map_server = YList(self)
                            self._segment_path = lambda: "etr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv4.Etr, [], name, value)


                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv4.Etr.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.Ipv4.Etr.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.LispList.Default.Ipv4.Etr.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                .. attribute:: key_7
                                
                                	The HIDDEN password
                                	**type**\: str
                                
                                .. attribute:: pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.Etr.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.key_0 = YLeaf(YType.str, "key-0")

                                    self.key_6 = YLeaf(YType.str, "key-6")

                                    self.key_7 = YLeaf(YType.str, "key-7")

                                    self.pwd = YLeaf(YType.str, "pwd")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv4.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                    class EtrEnable(Entity):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.EtrEnable, self).__init__()

                            self.yang_name = "etr-enable"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.etr = YLeaf(YType.empty, "etr")
                            self._segment_path = lambda: "etr-enable"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv4.EtrEnable, ['etr'], name, value)


                    class Locator(Entity):
                        """
                        Locator related configuration
                        
                        .. attribute:: reachability
                        
                        	Configuration realted to locator reachability
                        	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.Locator.Reachability>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.Locator, self).__init__()

                            self.yang_name = "locator"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reachability" : ("reachability", Native.Router.LispList.Default.Ipv4.Locator.Reachability)}
                            self._child_list_classes = {}

                            self.reachability = Native.Router.LispList.Default.Ipv4.Locator.Reachability()
                            self.reachability.parent = self
                            self._children_name_map["reachability"] = "reachability"
                            self._children_yang_names.add("reachability")
                            self._segment_path = lambda: "locator"


                        class Reachability(Entity):
                            """
                            Configuration realted to locator reachability
                            
                            .. attribute:: exclude_default
                            
                            	If a remote RLOC is reached via the default route, treat it as unreachable
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv4.Locator.Reachability, self).__init__()

                                self.yang_name = "reachability"
                                self.yang_parent_name = "locator"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.exclude_default = YLeaf(YType.empty, "exclude-default")
                                self._segment_path = lambda: "reachability"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ipv4.Locator.Reachability, ['exclude_default'], name, value)


                    class MapCache(Entity):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.site_registration = YLeaf(YType.empty, "site-registration")
                            self._segment_path = lambda: "map-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv4.MapCache, ['site_registration'], name, value)


                    class MapCacheLimit(Entity):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\: str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.MapCacheLimit, self).__init__()

                            self.yang_name = "map-cache-limit"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "map-cache-limit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                    class MapCachePersistent(Entity):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.MapCachePersistent, self).__init__()

                            self.yang_name = "map-cache-persistent"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint16, "interval")
                            self._segment_path = lambda: "map-cache-persistent"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv4.MapCachePersistent, ['interval'], name, value)


                    class MapResolver(Entity):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_request = Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest()
                            self.map_request.parent = self
                            self._children_name_map["map_request"] = "map-request"
                            self._children_yang_names.add("map-request")
                            self._segment_path = lambda: "map-resolver"


                        class MapRequest(Entity):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest, self).__init__()

                                self.yang_name = "map-request"
                                self.yang_parent_name = "map-resolver"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-request"


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-request"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"


                                class Source(Entity):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ipv4
                                    
                                    	IPv4 prefixes
                                    	**type**\: str
                                    
                                    .. attribute:: ipv6
                                    
                                    	IPv6 prefixes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.list = YLeaf(YType.empty, "list")

                                        self.registered = YLeaf(YType.empty, "registered")

                                        self.ipv4 = YLeaf(YType.str, "ipv4")

                                        self.ipv6 = YLeaf(YType.str, "ipv6")
                                        self._segment_path = lambda: "source"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                    class MapServer(Entity):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapServer.MapRegister>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Default.Ipv4.MapServer.MapRegister)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_register = Native.Router.LispList.Default.Ipv4.MapServer.MapRegister()
                            self.map_register.parent = self
                            self._children_name_map["map_register"] = "map-register"
                            self._children_yang_names.add("map-register")
                            self._segment_path = lambda: "map-server"


                        class MapRegister(Entity):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv4.MapServer.MapRegister, self).__init__()

                                self.yang_name = "map-register"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-register"


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-register"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"


                                class Source(Entity):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                        self._segment_path = lambda: "source"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                    class PathMtuDiscovery(Entity):
                        """
                        Path MTU discovery
                        
                        .. attribute:: max
                        
                        	Upper bound on the path MTU accepted
                        	**type**\: int
                        
                        	**range:** 68..65535
                        
                        .. attribute:: min
                        
                        	Lower bound on the path MTU accepted
                        	**type**\: int
                        
                        	**range:** 68..65535
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.PathMtuDiscovery, self).__init__()

                            self.yang_name = "path-mtu-discovery"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.max = YLeaf(YType.uint16, "max")

                            self.min = YLeaf(YType.uint16, "min")
                            self._segment_path = lambda: "path-mtu-discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv4.PathMtuDiscovery, ['max', 'min'], name, value)


                    class RouteExport(Entity):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.RouteExport, self).__init__()

                            self.yang_name = "route-export"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                            self.away_eids = YLeaf(YType.empty, "away-eids")
                            self._segment_path = lambda: "route-export"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                    class RouteImport(Entity):
                        """
                        Import RIB routes by a routing protocol into LISP
                        
                        .. attribute:: database
                        
                        	Use RIB routes to define local EID database entries
                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database>`
                        
                        .. attribute:: map_cache
                        
                        	Use RIB routes to define EID address space in map\-cache
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.RouteImport, self).__init__()

                            self.yang_name = "route-import"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database" : ("database", Native.Router.LispList.Default.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache)}
                            self._child_list_classes = {}

                            self.database = Native.Router.LispList.Default.Ipv4.RouteImport.Database()
                            self.database.parent = self
                            self._children_name_map["database"] = "database"
                            self._children_yang_names.add("database")

                            self.map_cache = Native.Router.LispList.Default.Ipv4.RouteImport.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")
                            self._segment_path = lambda: "route-import"


                        class Database(Entity):
                            """
                            Use RIB routes to define local EID database entries
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected>`
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv4.RouteImport.Database, self).__init__()

                                self.yang_name = "database"
                                self.yang_parent_name = "route-import"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.Ipv4.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip), "static" : ("static", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static)}
                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3)}

                                self.connected = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected()
                                self.connected.parent = self
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.maximum_prefix = Native.Router.LispList.Default.Ipv4.RouteImport.Database.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.rip = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip()
                                self.rip.parent = self
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static()
                                self.static.parent = self
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.isis = YList(self)
                                self.ospf = YList(self)
                                self.ospfv3 = YList(self)
                                self._segment_path = lambda: "database"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database, [], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "connected"


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\: int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.int32, "number")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "rip"


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "static"


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class MapCache(Entity):
                            """
                            Use RIB routes to define EID address space in map\-cache
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "route-import"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static)}
                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3)}

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.maximum_prefix = Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.isis = YList(self)
                                self.ospf = YList(self)
                                self.ospfv3 = YList(self)
                                self._segment_path = lambda: "map-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache, [], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "connected"


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\: int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.int32, "number")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "rip"


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "static"


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                    class SiteRegistration(Entity):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations for a given instance\-id
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.SiteRegistration, self).__init__()

                            self.yang_name = "site-registration"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.limit = YLeaf(YType.uint32, "limit")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "site-registration"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class SolicitMapRequest(Entity):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\: int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.SolicitMapRequest, self).__init__()

                            self.yang_name = "solicit-map-request"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")

                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                            self._segment_path = lambda: "solicit-map-request"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                    class UsePetr(Entity):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv4.UsePetr, self).__init__()

                            self.yang_name = "use-petr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.locator_address = YLeaf(YType.str, "locator-address")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.weight = YLeaf(YType.uint8, "weight")
                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv4.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


                class Ipv6(Entity):
                    """
                    IPv6 address family
                    
                    .. attribute:: alt_vrf
                    
                    	Activate LISP\-ALT functionality in VRF
                    	**type**\: str
                    
                    	**status**\: deprecated
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.DatabaseMapping>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Distance>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.ItrEnable>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Etr>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.EtrEnable>`
                    
                    .. attribute:: locator
                    
                    	Locator related configuration
                    	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Locator>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapCache>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapCacheLimit>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapCachePersistent>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: path_mtu_discovery
                    
                    	Path MTU discovery
                    	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.PathMtuDiscovery>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\: union of the below types:
                    
                    		**type**\: list of str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: list of str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteExport>`
                    
                    .. attribute:: route_import
                    
                    	Import RIB routes by a routing protocol into LISP
                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.SolicitMapRequest>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.UsePetr>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Default.Ipv6.DatabaseMapping), "distance" : ("distance", Native.Router.LispList.Default.Ipv6.Distance), "itr" : ("itr", Native.Router.LispList.Default.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.Ipv6.ItrEnable), "etr" : ("etr", Native.Router.LispList.Default.Ipv6.Etr), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.Ipv6.EtrEnable), "locator" : ("locator", Native.Router.LispList.Default.Ipv6.Locator), "map-cache" : ("map_cache", Native.Router.LispList.Default.Ipv6.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.Ipv6.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.Ipv6.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.LispList.Default.Ipv6.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Default.Ipv6.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.LispList.Default.Ipv6.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.LispList.Default.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Default.Ipv6.RouteImport), "site-registration" : ("site_registration", Native.Router.LispList.Default.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.Ipv6.SolicitMapRequest)}
                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.Ipv6.UsePetr)}

                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                        self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                        self.sgt = YLeaf(YType.empty, "sgt")

                        self.database_mapping = Native.Router.LispList.Default.Ipv6.DatabaseMapping()
                        self.database_mapping.parent = self
                        self._children_name_map["database_mapping"] = "database-mapping"
                        self._children_yang_names.add("database-mapping")

                        self.distance = Native.Router.LispList.Default.Ipv6.Distance()
                        self.distance.parent = self
                        self._children_name_map["distance"] = "distance"
                        self._children_yang_names.add("distance")

                        self.itr = Native.Router.LispList.Default.Ipv6.Itr()
                        self.itr.parent = self
                        self._children_name_map["itr"] = "itr"
                        self._children_yang_names.add("itr")

                        self.itr_enable = Native.Router.LispList.Default.Ipv6.ItrEnable()
                        self.itr_enable.parent = self
                        self._children_name_map["itr_enable"] = "itr-enable"
                        self._children_yang_names.add("itr-enable")

                        self.etr = Native.Router.LispList.Default.Ipv6.Etr()
                        self.etr.parent = self
                        self._children_name_map["etr"] = "etr"
                        self._children_yang_names.add("etr")

                        self.etr_enable = Native.Router.LispList.Default.Ipv6.EtrEnable()
                        self.etr_enable.parent = self
                        self._children_name_map["etr_enable"] = "etr-enable"
                        self._children_yang_names.add("etr-enable")

                        self.locator = Native.Router.LispList.Default.Ipv6.Locator()
                        self.locator.parent = self
                        self._children_name_map["locator"] = "locator"
                        self._children_yang_names.add("locator")

                        self.map_cache = Native.Router.LispList.Default.Ipv6.MapCache()
                        self.map_cache.parent = self
                        self._children_name_map["map_cache"] = "map-cache"
                        self._children_yang_names.add("map-cache")

                        self.map_cache_limit = Native.Router.LispList.Default.Ipv6.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                        self._children_yang_names.add("map-cache-limit")

                        self.map_cache_persistent = Native.Router.LispList.Default.Ipv6.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                        self._children_yang_names.add("map-cache-persistent")

                        self.map_resolver = None
                        self._children_name_map["map_resolver"] = "map-resolver"
                        self._children_yang_names.add("map-resolver")

                        self.map_server = None
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.path_mtu_discovery = None
                        self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                        self._children_yang_names.add("path-mtu-discovery")

                        self.route_export = Native.Router.LispList.Default.Ipv6.RouteExport()
                        self.route_export.parent = self
                        self._children_name_map["route_export"] = "route-export"
                        self._children_yang_names.add("route-export")

                        self.route_import = Native.Router.LispList.Default.Ipv6.RouteImport()
                        self.route_import.parent = self
                        self._children_name_map["route_import"] = "route-import"
                        self._children_yang_names.add("route-import")

                        self.site_registration = Native.Router.LispList.Default.Ipv6.SiteRegistration()
                        self.site_registration.parent = self
                        self._children_name_map["site_registration"] = "site-registration"
                        self._children_yang_names.add("site-registration")

                        self.solicit_map_request = Native.Router.LispList.Default.Ipv6.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                        self._children_yang_names.add("solicit-map-request")

                        self.use_petr = YList(self)
                        self._segment_path = lambda: "ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.Ipv6, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                    class DatabaseMapping(Entity):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.DatabaseMapping, self).__init__()

                            self.yang_name = "database-mapping"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.Ipv6.DatabaseMapping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.Router.LispList.Default.Ipv6.DatabaseMapping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "database-mapping"


                        class Limit(Entity):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv6.DatabaseMapping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "database-mapping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                    class Distance(Entity):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.Distance, self).__init__()

                            self.yang_name = "distance"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.alt = YLeaf(YType.uint8, "alt")

                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                            self._segment_path = lambda: "distance"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv6.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                    class Itr(Entity):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.Itr, self).__init__()

                            self.yang_name = "itr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.Ipv6.Itr.MapResolver)}

                            self.map_resolver = YList(self)
                            self._segment_path = lambda: "itr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv6.Itr, [], name, value)


                        class MapResolver(Entity):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv6.Itr.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "itr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                    class ItrEnable(Entity):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.ItrEnable, self).__init__()

                            self.yang_name = "itr-enable"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.itr = YLeaf(YType.empty, "itr")
                            self._segment_path = lambda: "itr-enable"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv6.ItrEnable, ['itr'], name, value)


                    class Etr(Entity):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.Etr, self).__init__()

                            self.yang_name = "etr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.Ipv6.Etr.MapServer)}

                            self.map_server = YList(self)
                            self._segment_path = lambda: "etr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv6.Etr, [], name, value)


                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv6.Etr.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.Ipv6.Etr.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.LispList.Default.Ipv6.Etr.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                .. attribute:: key_7
                                
                                	The HIDDEN password
                                	**type**\: str
                                
                                .. attribute:: pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.Etr.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.key_0 = YLeaf(YType.str, "key-0")

                                    self.key_6 = YLeaf(YType.str, "key-6")

                                    self.key_7 = YLeaf(YType.str, "key-7")

                                    self.pwd = YLeaf(YType.str, "pwd")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv6.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                    class EtrEnable(Entity):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.EtrEnable, self).__init__()

                            self.yang_name = "etr-enable"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.etr = YLeaf(YType.empty, "etr")
                            self._segment_path = lambda: "etr-enable"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv6.EtrEnable, ['etr'], name, value)


                    class Locator(Entity):
                        """
                        Locator related configuration
                        
                        .. attribute:: reachability
                        
                        	Configuration realted to locator reachability
                        	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.Locator.Reachability>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.Locator, self).__init__()

                            self.yang_name = "locator"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"reachability" : ("reachability", Native.Router.LispList.Default.Ipv6.Locator.Reachability)}
                            self._child_list_classes = {}

                            self.reachability = Native.Router.LispList.Default.Ipv6.Locator.Reachability()
                            self.reachability.parent = self
                            self._children_name_map["reachability"] = "reachability"
                            self._children_yang_names.add("reachability")
                            self._segment_path = lambda: "locator"


                        class Reachability(Entity):
                            """
                            Configuration realted to locator reachability
                            
                            .. attribute:: exclude_default
                            
                            	If a remote RLOC is reached via the default route, treat it as unreachable
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv6.Locator.Reachability, self).__init__()

                                self.yang_name = "reachability"
                                self.yang_parent_name = "locator"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.exclude_default = YLeaf(YType.empty, "exclude-default")
                                self._segment_path = lambda: "reachability"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ipv6.Locator.Reachability, ['exclude_default'], name, value)


                    class MapCache(Entity):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.site_registration = YLeaf(YType.empty, "site-registration")
                            self._segment_path = lambda: "map-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv6.MapCache, ['site_registration'], name, value)


                    class MapCacheLimit(Entity):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\: str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.MapCacheLimit, self).__init__()

                            self.yang_name = "map-cache-limit"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "map-cache-limit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                    class MapCachePersistent(Entity):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.MapCachePersistent, self).__init__()

                            self.yang_name = "map-cache-persistent"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint16, "interval")
                            self._segment_path = lambda: "map-cache-persistent"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv6.MapCachePersistent, ['interval'], name, value)


                    class MapResolver(Entity):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_request = Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest()
                            self.map_request.parent = self
                            self._children_name_map["map_request"] = "map-request"
                            self._children_yang_names.add("map-request")
                            self._segment_path = lambda: "map-resolver"


                        class MapRequest(Entity):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest, self).__init__()

                                self.yang_name = "map-request"
                                self.yang_parent_name = "map-resolver"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-request"


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-request"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"


                                class Source(Entity):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ipv4
                                    
                                    	IPv4 prefixes
                                    	**type**\: str
                                    
                                    .. attribute:: ipv6
                                    
                                    	IPv6 prefixes
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.list = YLeaf(YType.empty, "list")

                                        self.registered = YLeaf(YType.empty, "registered")

                                        self.ipv4 = YLeaf(YType.str, "ipv4")

                                        self.ipv6 = YLeaf(YType.str, "ipv6")
                                        self._segment_path = lambda: "source"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                    class MapServer(Entity):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapServer.MapRegister>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Default.Ipv6.MapServer.MapRegister)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_register = Native.Router.LispList.Default.Ipv6.MapServer.MapRegister()
                            self.map_register.parent = self
                            self._children_name_map["map_register"] = "map-register"
                            self._children_yang_names.add("map-register")
                            self._segment_path = lambda: "map-server"


                        class MapRegister(Entity):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv6.MapServer.MapRegister, self).__init__()

                                self.yang_name = "map-register"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-register"


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-register"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"


                                class Source(Entity):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                        self._segment_path = lambda: "source"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                    class PathMtuDiscovery(Entity):
                        """
                        Path MTU discovery
                        
                        .. attribute:: max
                        
                        	Upper bound on the path MTU accepted
                        	**type**\: int
                        
                        	**range:** 68..65535
                        
                        .. attribute:: min
                        
                        	Lower bound on the path MTU accepted
                        	**type**\: int
                        
                        	**range:** 68..65535
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.PathMtuDiscovery, self).__init__()

                            self.yang_name = "path-mtu-discovery"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.max = YLeaf(YType.uint16, "max")

                            self.min = YLeaf(YType.uint16, "min")
                            self._segment_path = lambda: "path-mtu-discovery"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv6.PathMtuDiscovery, ['max', 'min'], name, value)


                    class RouteExport(Entity):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.RouteExport, self).__init__()

                            self.yang_name = "route-export"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                            self.away_eids = YLeaf(YType.empty, "away-eids")
                            self._segment_path = lambda: "route-export"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                    class RouteImport(Entity):
                        """
                        Import RIB routes by a routing protocol into LISP
                        
                        .. attribute:: database
                        
                        	Use RIB routes to define local EID database entries
                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database>`
                        
                        .. attribute:: map_cache
                        
                        	Use RIB routes to define EID address space in map\-cache
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.RouteImport, self).__init__()

                            self.yang_name = "route-import"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database" : ("database", Native.Router.LispList.Default.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache)}
                            self._child_list_classes = {}

                            self.database = Native.Router.LispList.Default.Ipv6.RouteImport.Database()
                            self.database.parent = self
                            self._children_name_map["database"] = "database"
                            self._children_yang_names.add("database")

                            self.map_cache = Native.Router.LispList.Default.Ipv6.RouteImport.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")
                            self._segment_path = lambda: "route-import"


                        class Database(Entity):
                            """
                            Use RIB routes to define local EID database entries
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected>`
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv6.RouteImport.Database, self).__init__()

                                self.yang_name = "database"
                                self.yang_parent_name = "route-import"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.Ipv6.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip), "static" : ("static", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static)}
                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3)}

                                self.connected = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected()
                                self.connected.parent = self
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.maximum_prefix = Native.Router.LispList.Default.Ipv6.RouteImport.Database.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.rip = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip()
                                self.rip.parent = self
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static()
                                self.static.parent = self
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.isis = YList(self)
                                self.ospf = YList(self)
                                self.ospfv3 = YList(self)
                                self._segment_path = lambda: "database"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database, [], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "connected"


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\: int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.int32, "number")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3, ['id'], name, value)


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "rip"


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: lisp_ip_route_import
                                
                                	
                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "database"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                    self._child_list_classes = {}

                                    self.lisp_ip_route_import = Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                    self.lisp_ip_route_import.parent = self
                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                    self._children_yang_names.add("lisp-ip-route-import")
                                    self._segment_path = lambda: "static"


                                class LispIpRouteImport(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set to use with created database mapping entries
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                        self.yang_name = "lisp-ip-route-import"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "lisp-ip-route-import"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class MapCache(Entity):
                            """
                            Use RIB routes to define EID address space in map\-cache
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis>`
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes to pick up from the RIB
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "route-import"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static)}
                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3)}

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.maximum_prefix = Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.isis = YList(self)
                                self.ospf = YList(self)
                                self.ospfv3 = YList(self)
                                self._segment_path = lambda: "map-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache, [], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "connected"


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes to pick up from the RIB
                                
                                .. attribute:: number
                                
                                	
                                	**type**\: int
                                
                                	**range:** \-2147483648..2147483647
                                
                                .. attribute:: warning_only
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: threshold
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: threshold1
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: warning_only1
                                
                                	Only give a warning message and do not limit entries
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.int32, "number")

                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint16, "id")

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "rip"


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: map_cache_container
                                
                                	
                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_cache_container = None
                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                    self._children_yang_names.add("map-cache-container")
                                    self._segment_path = lambda: "static"


                                class MapCacheContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map for route selection filtering
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                        self.yang_name = "map-cache-container"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "map-cache-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                    class SiteRegistration(Entity):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations for a given instance\-id
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.SiteRegistration, self).__init__()

                            self.yang_name = "site-registration"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.limit = YLeaf(YType.uint32, "limit")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "site-registration"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class SolicitMapRequest(Entity):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\: int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.SolicitMapRequest, self).__init__()

                            self.yang_name = "solicit-map-request"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")

                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                            self._segment_path = lambda: "solicit-map-request"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                    class UsePetr(Entity):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: priority
                        
                        	Configures which Locators from a set are preferred
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: weight
                        
                        	Traffic load\-spreading among Locators
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Ipv6.UsePetr, self).__init__()

                            self.yang_name = "use-petr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.locator_address = YLeaf(YType.str, "locator-address")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.weight = YLeaf(YType.uint8, "weight")
                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Ipv6.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


                class LocReachAlgorithm(Entity):
                    """
                    Configure locator reachability algorithm
                    
                    .. attribute:: lsb_reports
                    
                    	Configure data packet LSB report handling
                    	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.LocReachAlgorithm.LsbReports>`
                    
                    .. attribute:: rloc_probing
                    
                    	Probe high priority RLOCs with Map\-Requests as last resort
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.LocReachAlgorithm, self).__init__()

                        self.yang_name = "loc-reach-algorithm"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.LispList.Default.LocReachAlgorithm.LsbReports)}
                        self._child_list_classes = {}

                        self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                        self.lsb_reports = Native.Router.LispList.Default.LocReachAlgorithm.LsbReports()
                        self.lsb_reports.parent = self
                        self._children_name_map["lsb_reports"] = "lsb-reports"
                        self._children_yang_names.add("lsb-reports")
                        self._segment_path = lambda: "loc-reach-algorithm"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.LocReachAlgorithm, ['rloc_probing'], name, value)


                    class LsbReports(Entity):
                        """
                        Configure data packet LSB report handling
                        
                        .. attribute:: do_not_transmit
                        
                        	Force the setting of the encapsulation header L bit to zero
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ignore
                        
                        	Ignore data packet LSB reports
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.LocReachAlgorithm.LsbReports, self).__init__()

                            self.yang_name = "lsb-reports"
                            self.yang_parent_name = "loc-reach-algorithm"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                            self.ignore = YLeaf(YType.empty, "ignore")
                            self._segment_path = lambda: "lsb-reports"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                class LocatorDown(Entity):
                    """
                    Manually set locator status to down
                    
                    .. attribute:: address
                    
                    	IPv4/6 Locator address to be set down
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ipv4_interface
                    
                    	Use IPv4 address of interface as locator
                    	**type**\: str
                    
                    .. attribute:: ipv6_interface
                    
                    	Use IPv6 address of interface as locator
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.LocatorDown, self).__init__()

                        self.yang_name = "locator-down"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.ipv4_interface = YLeaf(YType.str, "IPv4-interface")

                        self.ipv6_interface = YLeaf(YType.str, "IPv6-interface")
                        self._segment_path = lambda: "locator-down"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.LocatorDown, ['address', 'ipv4_interface', 'ipv6_interface'], name, value)


                class LocatorTable(Entity):
                    """
                    Specify the RLOC table
                    
                    .. attribute:: vrf_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: default
                    
                    	Default VRF
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	VRF name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.LocatorTable, self).__init__()

                        self.yang_name = "locator-table"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                        self.default = YLeaf(YType.empty, "default")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "locator-table"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.LocatorTable, ['vrf_name', 'default', 'vrf'], name, value)


                class MapRequest(Entity):
                    """
                    Configure map\-request handling
                    
                    .. attribute:: itr_rlocs
                    
                    	Configure to use the specified RLOC set as ITR RLOC in map\-request
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.MapRequest, self).__init__()

                        self.yang_name = "map-request"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.itr_rlocs = YLeaf(YType.str, "itr-rlocs")
                        self._segment_path = lambda: "map-request"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.MapRequest, ['itr_rlocs'], name, value)


                class MapServer(Entity):
                    """
                    Map\-Server commands
                    
                    .. attribute:: rloc
                    
                    	EID instance RLOC membership
                    	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapServer.Rloc>`
                    
                    .. attribute:: site_registration
                    
                    	Map\-server site registration options
                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapServer.SiteRegistration>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.MapServer, self).__init__()

                        self.yang_name = "map-server"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.Default.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.LispList.Default.MapServer.SiteRegistration)}
                        self._child_list_classes = {}

                        self.rloc = Native.Router.LispList.Default.MapServer.Rloc()
                        self.rloc.parent = self
                        self._children_name_map["rloc"] = "rloc"
                        self._children_yang_names.add("rloc")

                        self.site_registration = Native.Router.LispList.Default.MapServer.SiteRegistration()
                        self.site_registration.parent = self
                        self._children_name_map["site_registration"] = "site-registration"
                        self._children_yang_names.add("site-registration")
                        self._segment_path = lambda: "map-server"


                    class Rloc(Entity):
                        """
                        EID instance RLOC membership
                        
                        .. attribute:: members
                        
                        	EID instance RLOC membership
                        	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapServer.Rloc.Members>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.MapServer.Rloc, self).__init__()

                            self.yang_name = "rloc"
                            self.yang_parent_name = "map-server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"members" : ("members", Native.Router.LispList.Default.MapServer.Rloc.Members)}
                            self._child_list_classes = {}

                            self.members = Native.Router.LispList.Default.MapServer.Rloc.Members()
                            self.members.parent = self
                            self._children_name_map["members"] = "members"
                            self._children_yang_names.add("members")
                            self._segment_path = lambda: "rloc"


                        class Members(Entity):
                            """
                            EID instance RLOC membership
                            
                            .. attribute:: distribute
                            
                            	EID instance RLOC membership distribution
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: modify_discovered
                            
                            	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                            	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.MapServer.Rloc.Members, self).__init__()

                                self.yang_name = "members"
                                self.yang_parent_name = "rloc"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered)}
                                self._child_list_classes = {}

                                self.distribute = YLeaf(YType.empty, "distribute")

                                self.modify_discovered = Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered()
                                self.modify_discovered.parent = self
                                self._children_name_map["modify_discovered"] = "modify-discovered"
                                self._children_yang_names.add("modify-discovered")
                                self._segment_path = lambda: "members"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.MapServer.Rloc.Members, ['distribute'], name, value)


                            class ModifyDiscovered(Entity):
                                """
                                Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                
                                .. attribute:: operator
                                
                                	
                                	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                
                                .. attribute:: locator_set
                                
                                	Locator set from which to get member RLOC addresses
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                    self.yang_name = "modify-discovered"
                                    self.yang_parent_name = "members"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.operator = YLeaf(YType.enumeration, "operator")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "modify-discovered"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                class Operator(Enum):
                                    """
                                    Operator

                                    .. data:: add = 0

                                    .. data:: override = 1

                                    """

                                    add = Enum.YLeaf(0, "add")

                                    override = Enum.YLeaf(1, "override")



                    class SiteRegistration(Entity):
                        """
                        Map\-server site registration options
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations as a result of accept\-more\-specifics
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.MapServer.SiteRegistration, self).__init__()

                            self.yang_name = "site-registration"
                            self.yang_parent_name = "map-server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.limit = YLeaf(YType.uint32, "limit")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "site-registration"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                class OtherXtrProbe(Entity):
                    """
                    Configure parameters for probing of other xTRs in our site
                    
                    .. attribute:: period
                    
                    	Period between probes in seconds
                    	**type**\: int
                    
                    	**range:** 5..900
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.OtherXtrProbe, self).__init__()

                        self.yang_name = "other-xtr-probe"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.period = YLeaf(YType.uint16, "period")
                        self._segment_path = lambda: "other-xtr-probe"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.OtherXtrProbe, ['period'], name, value)


                class RemoteRlocProbe(Entity):
                    """
                    Configure parameters for probing of remote RLOCs
                    
                    .. attribute:: on_membership_change
                    
                    	Trigger probing upon membership changes for remote RLOC
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: on_route_change
                    
                    	Trigger probing upon routing changes for remote RLOC
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.RemoteRlocProbe, self).__init__()

                        self.yang_name = "remote-rloc-probe"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                        self.on_route_change = YLeaf(YType.empty, "on-route-change")
                        self._segment_path = lambda: "remote-rloc-probe"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                class EidTable(Entity):
                    """
                    Configure an EID instance for a VRF
                    
                    .. attribute:: instance_list
                    
                    	
                    	**type**\: list of  		 :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.EidTable, self).__init__()

                        self.yang_name = "eid-table"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"instance-list" : ("instance_list", Native.Router.LispList.Default.EidTable.InstanceList)}

                        self.instance_list = YList(self)
                        self._segment_path = lambda: "eid-table"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.EidTable, [], name, value)


                    class InstanceList(Entity):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	EID instance\-ID
                        	**type**\: int
                        
                        	**range:** 0..16777214
                        
                        .. attribute:: vrf_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: default
                        
                        	Default VRF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: database_mapping
                        
                        	Configures Locator addresses for an ETR
                        	**type**\: list of  		 :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DatabaseMapping>`
                        
                        .. attribute:: dynamic_eid
                        
                        	Configure a dynamic EID
                        	**type**\: list of  		 :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid>`
                        
                        .. attribute:: alt
                        
                        	LISP Alternative Topology, LISP\-ALT
                        	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Alt>`
                        
                        .. attribute:: control_packet
                        
                        	Configure control packet tx option
                        	**type**\:  :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.ControlPacket>`
                        
                        .. attribute:: ddt
                        
                        	Delegated Database Tree (DDT) mapping system
                        	**type**\:  :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ddt>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: decapsulation
                        
                        	Decapsulation behavior (e.g. filters)
                        	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation>`
                        
                        .. attribute:: disable_ttl_propagate
                        
                        	Disable ttl propagation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Etr>`
                        
                        .. attribute:: ipv4
                        
                        	IPv4 address family
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 address family
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6>`
                        
                        .. attribute:: loc_reach_algorithm
                        
                        	Configure locator reachability algorithm
                        	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm>`
                        
                        .. attribute:: locator_down
                        
                        	Manually set locator status to down
                        	**type**\:  :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.LocatorDown>`
                        
                        .. attribute:: locator_table
                        
                        	Specify the RLOC table
                        	**type**\:  :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.LocatorTable>`
                        
                        .. attribute:: map_request
                        
                        	Configure map\-request handling
                        	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapRequest>`
                        
                        .. attribute:: map_server
                        
                        	Map\-Server commands
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapServer>`
                        
                        .. attribute:: other_xtr_probe
                        
                        	Configure parameters for probing of other xTRs in our site
                        	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.OtherXtrProbe>`
                        
                        .. attribute:: remote_rloc_probe
                        
                        	Configure parameters for probing of remote RLOCs
                        	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.RemoteRlocProbe>`
                        
                        .. attribute:: map_cache
                        
                        	Configures static EID\-to\-RLOC mappings for an ITR
                        	**type**\: list of  		 :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapCache>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.EidTable.InstanceList, self).__init__()

                            self.yang_name = "instance-list"
                            self.yang_parent_name = "eid-table"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"alt" : ("alt", Native.Router.LispList.Default.EidTable.InstanceList.Alt), "control-packet" : ("control_packet", Native.Router.LispList.Default.EidTable.InstanceList.ControlPacket), "ddt" : ("ddt", Native.Router.LispList.Default.EidTable.InstanceList.Ddt), "decapsulation" : ("decapsulation", Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation), "etr" : ("etr", Native.Router.LispList.Default.EidTable.InstanceList.Etr), "ipv4" : ("ipv4", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4), "ipv6" : ("ipv6", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm), "locator-down" : ("locator_down", Native.Router.LispList.Default.EidTable.InstanceList.LocatorDown), "locator-table" : ("locator_table", Native.Router.LispList.Default.EidTable.InstanceList.LocatorTable), "map-request" : ("map_request", Native.Router.LispList.Default.EidTable.InstanceList.MapRequest), "map-server" : ("map_server", Native.Router.LispList.Default.EidTable.InstanceList.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.LispList.Default.EidTable.InstanceList.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.LispList.Default.EidTable.InstanceList.RemoteRlocProbe)}
                            self._child_list_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Default.EidTable.InstanceList.DatabaseMapping), "dynamic-eid" : ("dynamic_eid", Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid), "map-cache" : ("map_cache", Native.Router.LispList.Default.EidTable.InstanceList.MapCache)}

                            self.instance_id = YLeaf(YType.uint32, "instance-id")

                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                            self.default = YLeaf(YType.empty, "default")

                            self.vrf = YLeaf(YType.str, "vrf")

                            self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                            self.alt = Native.Router.LispList.Default.EidTable.InstanceList.Alt()
                            self.alt.parent = self
                            self._children_name_map["alt"] = "alt"
                            self._children_yang_names.add("alt")

                            self.control_packet = Native.Router.LispList.Default.EidTable.InstanceList.ControlPacket()
                            self.control_packet.parent = self
                            self._children_name_map["control_packet"] = "control-packet"
                            self._children_yang_names.add("control-packet")

                            self.ddt = None
                            self._children_name_map["ddt"] = "ddt"
                            self._children_yang_names.add("ddt")

                            self.decapsulation = Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation()
                            self.decapsulation.parent = self
                            self._children_name_map["decapsulation"] = "decapsulation"
                            self._children_yang_names.add("decapsulation")

                            self.etr = Native.Router.LispList.Default.EidTable.InstanceList.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.ipv4 = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4()
                            self.ipv4.parent = self
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv6 = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6()
                            self.ipv6.parent = self
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")

                            self.loc_reach_algorithm = Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm()
                            self.loc_reach_algorithm.parent = self
                            self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                            self._children_yang_names.add("loc-reach-algorithm")

                            self.locator_down = Native.Router.LispList.Default.EidTable.InstanceList.LocatorDown()
                            self.locator_down.parent = self
                            self._children_name_map["locator_down"] = "locator-down"
                            self._children_yang_names.add("locator-down")

                            self.locator_table = Native.Router.LispList.Default.EidTable.InstanceList.LocatorTable()
                            self.locator_table.parent = self
                            self._children_name_map["locator_table"] = "locator-table"
                            self._children_yang_names.add("locator-table")

                            self.map_request = Native.Router.LispList.Default.EidTable.InstanceList.MapRequest()
                            self.map_request.parent = self
                            self._children_name_map["map_request"] = "map-request"
                            self._children_yang_names.add("map-request")

                            self.map_server = Native.Router.LispList.Default.EidTable.InstanceList.MapServer()
                            self.map_server.parent = self
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.other_xtr_probe = Native.Router.LispList.Default.EidTable.InstanceList.OtherXtrProbe()
                            self.other_xtr_probe.parent = self
                            self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                            self._children_yang_names.add("other-xtr-probe")

                            self.remote_rloc_probe = Native.Router.LispList.Default.EidTable.InstanceList.RemoteRlocProbe()
                            self.remote_rloc_probe.parent = self
                            self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                            self._children_yang_names.add("remote-rloc-probe")

                            self.database_mapping = YList(self)
                            self.dynamic_eid = YList(self)
                            self.map_cache = YList(self)
                            self._segment_path = lambda: "instance-list" + "[instance-id='" + self.instance_id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList, ['instance_id', 'vrf_name', 'default', 'vrf', 'disable_ttl_propagate'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Configures Locator addresses for an ETR
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: locator_set
                            
                            	Use locators defined by locator\-set
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.locator_set = YLeaf(YType.str, "locator-set")
                                self._segment_path = lambda: "database-mapping" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.DatabaseMapping, ['eid_prefix', 'locator_set'], name, value)


                        class DynamicEid(Entity):
                            """
                            Configure a dynamic EID
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: database_mapping
                            
                            	Configures EID\-prefix and locator\-set for dynamic\-EID
                            	**type**\: list of  		 :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping>`
                            
                            .. attribute:: eid_notify
                            
                            	Configure options for sending/receiving EID\-notify
                            	**type**\:  :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify>`
                            
                            .. attribute:: map_notify_group
                            
                            	Multicast group which to send map\-notifies to
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid, self).__init__()

                                self.yang_name = "dynamic-eid"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"eid-notify" : ("eid_notify", Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify)}
                                self._child_list_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping), "map-server" : ("map_server", Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer)}

                                self.name = YLeaf(YType.str, "name")

                                self.map_notify_group = YLeaf(YType.str, "map-notify-group")

                                self.eid_notify = Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify()
                                self.eid_notify.parent = self
                                self._children_name_map["eid_notify"] = "eid-notify"
                                self._children_yang_names.add("eid-notify")

                                self.database_mapping = YList(self)
                                self.map_server = YList(self)
                                self._segment_path = lambda: "dynamic-eid" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid, ['name', 'map_notify_group'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Configures EID\-prefix and locator\-set for dynamic\-EID
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                .. attribute:: locator_set
                                
                                	Use locators defined by locator\-set
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "database-mapping" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.DatabaseMapping, ['eid_prefix', 'locator_set'], name, value)


                            class EidNotify(Entity):
                                """
                                Configure options for sending/receiving EID\-notify
                                
                                .. attribute:: authentication_key
                                
                                	Authentication key used for validating received EID\-notify
                                	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                                
                                .. attribute:: gateway_key
                                
                                	
                                	**type**\: list of  		 :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify, self).__init__()

                                    self.yang_name = "eid-notify"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey)}
                                    self._child_list_classes = {"gateway-key" : ("gateway_key", Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey)}

                                    self.authentication_key = Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self._children_name_map["authentication_key"] = "authentication-key"
                                    self._children_yang_names.add("authentication-key")

                                    self.gateway_key = YList(self)
                                    self._segment_path = lambda: "eid-notify"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify, [], name, value)


                                class AuthenticationKey(Entity):
                                    """
                                    Authentication key used for validating received EID\-notify
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey, self).__init__()

                                        self.yang_name = "authentication-key"
                                        self.yang_parent_name = "eid-notify"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")
                                        self._segment_path = lambda: "authentication-key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey, ['ak_0', 'ak_6', 'unc_pwd'], name, value)


                                class GatewayKey(Entity):
                                    """
                                    
                                    
                                    .. attribute:: gateway_ip  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	EID\-notify authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey, self).__init__()

                                        self.yang_name = "gateway-key"
                                        self.yang_parent_name = "eid-notify"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.gateway_ip = YLeaf(YType.str, "gateway-ip")

                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "gateway-key" + "[gateway-ip='" + self.gateway_ip.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey, ['gateway_ip', 'ak_0', 'ak_6', 'unc_pwd', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        EID\-notify authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip = YLeaf(YType.str, "ip")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip='" + self.ip.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer, ['ip', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: key_7
                                    
                                    	The HIDDEN password
                                    	**type**\: str
                                    
                                    .. attribute:: pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	Map\-Register authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.key_0 = YLeaf(YType.str, "key-0")

                                        self.key_6 = YLeaf(YType.str, "key-6")

                                        self.key_7 = YLeaf(YType.str, "key-7")

                                        self.pwd = YLeaf(YType.str, "pwd")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.DynamicEid.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        Map\-Register authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                        class Alt(Entity):
                            """
                            LISP Alternative Topology, LISP\-ALT
                            
                            .. attribute:: summary_route
                            
                            	Summary route to install into the ALT table
                            	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Alt.SummaryRoute>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.Alt, self).__init__()

                                self.yang_name = "alt"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.Default.EidTable.InstanceList.Alt.SummaryRoute)}

                                self.summary_route = YList(self)
                                self._segment_path = lambda: "alt"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Alt, [], name, value)


                            class SummaryRoute(Entity):
                                """
                                Summary route to install into the ALT table
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: route_tag
                                
                                	ALT RIB route tag for EID prefix
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Alt.SummaryRoute, self).__init__()

                                    self.yang_name = "summary-route"
                                    self.yang_parent_name = "alt"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                        class ControlPacket(Entity):
                            """
                            Configure control packet tx option
                            
                            .. attribute:: mtu
                            
                            	Configure control packet MTU
                            	**type**\: int
                            
                            	**range:** 304..10000
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.ControlPacket, self).__init__()

                                self.yang_name = "control-packet"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.mtu = YLeaf(YType.uint32, "mtu")
                                self._segment_path = lambda: "control-packet"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.ControlPacket, ['mtu'], name, value)


                        class Ddt(Entity):
                            """
                            Delegated Database Tree (DDT) mapping system
                            
                            .. attribute:: authoritative
                            
                            	DDT authoritative prefix
                            	**type**\:  :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative>`
                            
                            .. attribute:: cache_limit
                            
                            	DDT resolver cache entry limit
                            	**type**\: int
                            
                            	**range:** 1..100000
                            
                            .. attribute:: root
                            
                            	DDT root node
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ddt, self).__init__()

                                self.yang_name = "ddt"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authoritative" : ("authoritative", Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.cache_limit = YLeaf(YType.uint32, "cache-limit")

                                self.root = YLeaf(YType.str, "root")

                                self.authoritative = Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative()
                                self.authoritative.parent = self
                                self._children_name_map["authoritative"] = "authoritative"
                                self._children_yang_names.add("authoritative")
                                self._segment_path = lambda: "ddt"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ddt, ['cache_limit', 'root'], name, value)


                            class Authoritative(Entity):
                                """
                                DDT authoritative prefix
                                
                                .. attribute:: instance_id_eid_prefix_list
                                
                                	
                                	**type**\: list of  		 :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList>`
                                
                                .. attribute:: instance_id_list
                                
                                	
                                	**type**\: list of  		 :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative, self).__init__()

                                    self.yang_name = "authoritative"
                                    self.yang_parent_name = "ddt"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"instance-id-eid-prefix-list" : ("instance_id_eid_prefix_list", Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList), "instance-id-list" : ("instance_id_list", Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList)}

                                    self.instance_id_eid_prefix_list = YList(self)
                                    self.instance_id_list = YList(self)
                                    self._segment_path = lambda: "authoritative"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative, [], name, value)


                                class InstanceIdEidPrefixList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: instance_id  <key>
                                    
                                    	EID instance\-ID
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: delegate
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                                    
                                    .. attribute:: map_server_peer
                                    
                                    	Peer map\-servers that are authoritative for the same EID prefixes
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList, self).__init__()

                                        self.yang_name = "instance-id-eid-prefix-list"
                                        self.yang_parent_name = "authoritative"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"delegate" : ("delegate", Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate)}
                                        self._child_list_classes = {}

                                        self.instance_id = YLeaf(YType.uint32, "instance-id")

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                                        self.delegate = Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                                        self.delegate.parent = self
                                        self._children_name_map["delegate"] = "delegate"
                                        self._children_yang_names.add("delegate")
                                        self._segment_path = lambda: "instance-id-eid-prefix-list" + "[instance-id='" + self.instance_id.get() + "']" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList, ['instance_id', 'eid_prefix', 'map_server_peer'], name, value)


                                    class Delegate(Entity):
                                        """
                                        DDT delegation to a child DDT node or map\-server
                                        
                                        .. attribute:: eid_prefix
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: instance_id
                                        
                                        	EID instance\-ID
                                        	**type**\: str
                                        
                                        .. attribute:: to
                                        
                                        	DDT delegation to a child DDT node or map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ip_address
                                        
                                        	IPv4/6 Child or map\-server node locator address
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: map_server
                                        
                                        	Delegation points to a map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, self).__init__()

                                            self.yang_name = "delegate"
                                            self.yang_parent_name = "instance-id-eid-prefix-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.instance_id = YLeaf(YType.str, "instance-id")

                                            self.to = YLeaf(YType.empty, "to")

                                            self.ip_address = YLeaf(YType.str, "ip-address")

                                            self.map_server = YLeaf(YType.empty, "map-server")
                                            self._segment_path = lambda: "delegate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                                class InstanceIdList(Entity):
                                    """
                                    
                                    
                                    .. attribute:: instance_id  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: delegate
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate>`
                                    
                                    .. attribute:: map_server_peer
                                    
                                    	Peer map\-servers that are authoritative for the same EID prefixes
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList, self).__init__()

                                        self.yang_name = "instance-id-list"
                                        self.yang_parent_name = "authoritative"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"delegate" : ("delegate", Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate)}
                                        self._child_list_classes = {}

                                        self.instance_id = YLeaf(YType.str, "instance-id")

                                        self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                                        self.delegate = Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate()
                                        self.delegate.parent = self
                                        self._children_name_map["delegate"] = "delegate"
                                        self._children_yang_names.add("delegate")
                                        self._segment_path = lambda: "instance-id-list" + "[instance-id='" + self.instance_id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList, ['instance_id', 'map_server_peer'], name, value)


                                    class Delegate(Entity):
                                        """
                                        DDT delegation to a child DDT node or map\-server
                                        
                                        .. attribute:: eid_prefix
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: instance_id
                                        
                                        	EID instance\-ID
                                        	**type**\: str
                                        
                                        .. attribute:: to
                                        
                                        	DDT delegation to a child DDT node or map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ip_address
                                        
                                        	IPv4/6 Child or map\-server node locator address
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: map_server
                                        
                                        	Delegation points to a map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate, self).__init__()

                                            self.yang_name = "delegate"
                                            self.yang_parent_name = "instance-id-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.instance_id = YLeaf(YType.str, "instance-id")

                                            self.to = YLeaf(YType.empty, "to")

                                            self.ip_address = YLeaf(YType.str, "ip-address")

                                            self.map_server = YLeaf(YType.empty, "map-server")
                                            self._segment_path = lambda: "delegate"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                        class Decapsulation(Entity):
                            """
                            Decapsulation behavior (e.g. filters)
                            
                            .. attribute:: filter
                            
                            	Filters traffic
                            	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation, self).__init__()

                                self.yang_name = "decapsulation"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"filter" : ("filter", Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter)}
                                self._child_list_classes = {}

                                self.filter = Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter()
                                self.filter.parent = self
                                self._children_name_map["filter"] = "filter"
                                self._children_yang_names.add("filter")
                                self._segment_path = lambda: "decapsulation"


                            class Filter(Entity):
                                """
                                Filters traffic
                                
                                .. attribute:: rloc
                                
                                	Filter based on Routing Locator (RLOC) in packet header
                                	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter, self).__init__()

                                    self.yang_name = "filter"
                                    self.yang_parent_name = "decapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc)}
                                    self._child_list_classes = {}

                                    self.rloc = Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc()
                                    self.rloc.parent = self
                                    self._children_name_map["rloc"] = "rloc"
                                    self._children_yang_names.add("rloc")
                                    self._segment_path = lambda: "filter"


                                class Rloc(Entity):
                                    """
                                    Filter based on Routing Locator (RLOC) in packet header
                                    
                                    .. attribute:: source
                                    
                                    	Filters traffic based on RLOC source address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc, self).__init__()

                                        self.yang_name = "rloc"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "rloc"


                                    class Source(Entity):
                                        """
                                        Filters traffic based on RLOC source address
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator\-set Name
                                        	**type**\: str
                                        
                                        .. attribute:: member
                                        
                                        	Members learned from map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "rloc"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.member = YLeaf(YType.empty, "member")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.EidTable.InstanceList.Etr.MapServer)}
                                self._child_list_classes = {}

                                self.map_server = Native.Router.LispList.Default.EidTable.InstanceList.Etr.MapServer()
                                self.map_server.parent = self
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")
                                self._segment_path = lambda: "etr"


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: source_address
                                
                                	Configures map server source address
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.source_address = YLeaf(YType.str, "source-address")
                                    self._segment_path = lambda: "map-server"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Etr.MapServer, ['source_address'], name, value)


                        class Ipv4(Entity):
                            """
                            IPv4 address family
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\: str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Distance>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.ItrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.EtrEnable>`
                            
                            .. attribute:: locator
                            
                            	Locator related configuration
                            	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: path_mtu_discovery
                            
                            	Path MTU discovery
                            	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\: union of the below types:
                            
                            		**type**\: list of str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: list of str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteExport>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.UsePetr>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping), "distance" : ("distance", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Distance), "itr" : ("itr", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.ItrEnable), "etr" : ("etr", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.EtrEnable), "locator" : ("locator", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator), "map-cache" : ("map_cache", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport), "site-registration" : ("site_registration", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest)}
                                self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.UsePetr)}

                                self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                                self.sgt = YLeaf(YType.empty, "sgt")

                                self.database_mapping = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.distance = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.itr = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.etr_enable = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.locator = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator()
                                self.locator.parent = self
                                self._children_name_map["locator"] = "locator"
                                self._children_yang_names.add("locator")

                                self.map_cache = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")

                                self.map_cache_limit = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.map_cache_persistent = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                self._children_yang_names.add("map-cache-persistent")

                                self.map_resolver = None
                                self._children_name_map["map_resolver"] = "map-resolver"
                                self._children_yang_names.add("map-resolver")

                                self.map_server = None
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")

                                self.path_mtu_discovery = None
                                self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                self._children_yang_names.add("path-mtu-discovery")

                                self.route_export = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteExport()
                                self.route_export.parent = self
                                self._children_name_map["route_export"] = "route-export"
                                self._children_yang_names.add("route-export")

                                self.route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport()
                                self.route_import.parent = self
                                self._children_name_map["route_import"] = "route-import"
                                self._children_yang_names.add("route-import")

                                self.site_registration = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.use_petr = YList(self)
                                self._segment_path = lambda: "ipv4"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit)}
                                    self._child_list_classes = {}

                                    self.limit = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")
                                    self._segment_path = lambda: "database-mapping"


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Distance(Entity):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.alt = YLeaf(YType.uint8, "alt")

                                    self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                    self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                    self._segment_path = lambda: "distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.ItrEnable, ['itr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer)}

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr, [], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: key_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: key_7
                                        
                                        	The HIDDEN password
                                        	**type**\: str
                                        
                                        .. attribute:: pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.key_0 = YLeaf(YType.str, "key-0")

                                            self.key_6 = YLeaf(YType.str, "key-6")

                                            self.key_7 = YLeaf(YType.str, "key-7")

                                            self.pwd = YLeaf(YType.str, "pwd")
                                            self._segment_path = lambda: "key"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.EtrEnable, ['etr'], name, value)


                            class Locator(Entity):
                                """
                                Locator related configuration
                                
                                .. attribute:: reachability
                                
                                	Configuration realted to locator reachability
                                	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator.Reachability>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator, self).__init__()

                                    self.yang_name = "locator"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"reachability" : ("reachability", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator.Reachability)}
                                    self._child_list_classes = {}

                                    self.reachability = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator.Reachability()
                                    self.reachability.parent = self
                                    self._children_name_map["reachability"] = "reachability"
                                    self._children_yang_names.add("reachability")
                                    self._segment_path = lambda: "locator"


                                class Reachability(Entity):
                                    """
                                    Configuration realted to locator reachability
                                    
                                    .. attribute:: exclude_default
                                    
                                    	If a remote RLOC is reached via the default route, treat it as unreachable
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator.Reachability, self).__init__()

                                        self.yang_name = "reachability"
                                        self.yang_parent_name = "locator"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.exclude_default = YLeaf(YType.empty, "exclude-default")
                                        self._segment_path = lambda: "reachability"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.Locator.Reachability, ['exclude_default'], name, value)


                            class MapCache(Entity):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registration = YLeaf(YType.empty, "site-registration")
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCache, ['site_registration'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class MapCachePersistent(Entity):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\: int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCachePersistent, self).__init__()

                                    self.yang_name = "map-cache-persistent"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")
                                    self._segment_path = lambda: "map-cache-persistent"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapCachePersistent, ['interval'], name, value)


                            class MapResolver(Entity):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest()
                                    self.map_request.parent = self
                                    self._children_name_map["map_request"] = "map-request"
                                    self._children_yang_names.add("map-request")
                                    self._segment_path = lambda: "map-resolver"


                                class MapRequest(Entity):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest, self).__init__()

                                        self.yang_name = "map-request"
                                        self.yang_parent_name = "map-resolver"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-request"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-request"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.list = YLeaf(YType.empty, "list")

                                                self.registered = YLeaf(YType.empty, "registered")

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "source"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                            class MapServer(Entity):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_register = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister()
                                    self.map_register.parent = self
                                    self._children_name_map["map_register"] = "map-register"
                                    self._children_yang_names.add("map-register")
                                    self._segment_path = lambda: "map-server"


                                class MapRegister(Entity):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister, self).__init__()

                                        self.yang_name = "map-register"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-register"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-register"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                                self._segment_path = lambda: "source"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                            class PathMtuDiscovery(Entity):
                                """
                                Path MTU discovery
                                
                                .. attribute:: max
                                
                                	Upper bound on the path MTU accepted
                                	**type**\: int
                                
                                	**range:** 68..65535
                                
                                .. attribute:: min
                                
                                	Lower bound on the path MTU accepted
                                	**type**\: int
                                
                                	**range:** 68..65535
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery, self).__init__()

                                    self.yang_name = "path-mtu-discovery"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max = YLeaf(YType.uint16, "max")

                                    self.min = YLeaf(YType.uint16, "min")
                                    self._segment_path = lambda: "path-mtu-discovery"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.PathMtuDiscovery, ['max', 'min'], name, value)


                            class RouteExport(Entity):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteExport, self).__init__()

                                    self.yang_name = "route-export"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                    self.away_eids = YLeaf(YType.empty, "away-eids")
                                    self._segment_path = lambda: "route-export"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                            class RouteImport(Entity):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport, self).__init__()

                                    self.yang_name = "route-import"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"database" : ("database", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache)}
                                    self._child_list_classes = {}

                                    self.database = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database()
                                    self.database.parent = self
                                    self._children_name_map["database"] = "database"
                                    self._children_yang_names.add("database")

                                    self.map_cache = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "route-import"


                                class Database(Entity):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database, self).__init__()

                                        self.yang_name = "database"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip), "static" : ("static", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3)}

                                        self.connected = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.maximum_prefix = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.rip = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip()
                                        self.rip.parent = self
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static()
                                        self.static.parent = self
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.isis = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self._segment_path = lambda: "database"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "connected"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.int32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "rip"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "static"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3)}

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.maximum_prefix = Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.isis = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "connected"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.int32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "rip"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "static"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations for a given instance\-id
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class UsePetr(Entity):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.UsePetr, self).__init__()

                                    self.yang_name = "use-petr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.locator_address = YLeaf(YType.str, "locator-address")

                                    self.priority = YLeaf(YType.uint8, "priority")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv4.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


                        class Ipv6(Entity):
                            """
                            IPv6 address family
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\: str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: database_mapping
                            
                            	Address family specific local EID prefixes database configuration
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping>`
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Distance>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.ItrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.EtrEnable>`
                            
                            .. attribute:: locator
                            
                            	Locator related configuration
                            	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCache>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCacheLimit>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCachePersistent>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_resolver
                            
                            	Configures a LISP Map Resolver (MR)
                            	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: map_server
                            
                            	Configures a LISP Map Server (MS)
                            	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: path_mtu_discovery
                            
                            	Path MTU discovery
                            	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\: union of the below types:
                            
                            		**type**\: list of str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: list of str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteExport>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.UsePetr>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping), "distance" : ("distance", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Distance), "itr" : ("itr", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.ItrEnable), "etr" : ("etr", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr), "etr-enable" : ("etr_enable", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.EtrEnable), "locator" : ("locator", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator), "map-cache" : ("map_cache", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport), "site-registration" : ("site_registration", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest)}
                                self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.UsePetr)}

                                self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                                self.sgt = YLeaf(YType.empty, "sgt")

                                self.database_mapping = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.distance = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.itr = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.etr_enable = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.locator = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator()
                                self.locator.parent = self
                                self._children_name_map["locator"] = "locator"
                                self._children_yang_names.add("locator")

                                self.map_cache = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")

                                self.map_cache_limit = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.map_cache_persistent = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                self._children_yang_names.add("map-cache-persistent")

                                self.map_resolver = None
                                self._children_name_map["map_resolver"] = "map-resolver"
                                self._children_yang_names.add("map-resolver")

                                self.map_server = None
                                self._children_name_map["map_server"] = "map-server"
                                self._children_yang_names.add("map-server")

                                self.path_mtu_discovery = None
                                self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                                self._children_yang_names.add("path-mtu-discovery")

                                self.route_export = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteExport()
                                self.route_export.parent = self
                                self._children_name_map["route_export"] = "route-export"
                                self._children_yang_names.add("route-export")

                                self.route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport()
                                self.route_import.parent = self
                                self._children_name_map["route_import"] = "route-import"
                                self._children_yang_names.add("route-import")

                                self.site_registration = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.use_petr = YList(self)
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Address family specific local EID prefixes database configuration
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit)}
                                    self._child_list_classes = {}

                                    self.limit = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")
                                    self._segment_path = lambda: "database-mapping"


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Distance(Entity):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.alt = YLeaf(YType.uint8, "alt")

                                    self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                    self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                    self._segment_path = lambda: "distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.ItrEnable, ['itr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer)}

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr, [], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: key_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: key_7
                                        
                                        	The HIDDEN password
                                        	**type**\: str
                                        
                                        .. attribute:: pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.key_0 = YLeaf(YType.str, "key-0")

                                            self.key_6 = YLeaf(YType.str, "key-6")

                                            self.key_7 = YLeaf(YType.str, "key-7")

                                            self.pwd = YLeaf(YType.str, "pwd")
                                            self._segment_path = lambda: "key"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.EtrEnable, ['etr'], name, value)


                            class Locator(Entity):
                                """
                                Locator related configuration
                                
                                .. attribute:: reachability
                                
                                	Configuration realted to locator reachability
                                	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator.Reachability>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator, self).__init__()

                                    self.yang_name = "locator"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"reachability" : ("reachability", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator.Reachability)}
                                    self._child_list_classes = {}

                                    self.reachability = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator.Reachability()
                                    self.reachability.parent = self
                                    self._children_name_map["reachability"] = "reachability"
                                    self._children_yang_names.add("reachability")
                                    self._segment_path = lambda: "locator"


                                class Reachability(Entity):
                                    """
                                    Configuration realted to locator reachability
                                    
                                    .. attribute:: exclude_default
                                    
                                    	If a remote RLOC is reached via the default route, treat it as unreachable
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator.Reachability, self).__init__()

                                        self.yang_name = "reachability"
                                        self.yang_parent_name = "locator"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.exclude_default = YLeaf(YType.empty, "exclude-default")
                                        self._segment_path = lambda: "reachability"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.Locator.Reachability, ['exclude_default'], name, value)


                            class MapCache(Entity):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registration = YLeaf(YType.empty, "site-registration")
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCache, ['site_registration'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class MapCachePersistent(Entity):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\: int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCachePersistent, self).__init__()

                                    self.yang_name = "map-cache-persistent"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")
                                    self._segment_path = lambda: "map-cache-persistent"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapCachePersistent, ['interval'], name, value)


                            class MapResolver(Entity):
                                """
                                Configures a LISP Map Resolver (MR)
                                
                                .. attribute:: map_request
                                
                                	Map\-Request processing options
                                	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest()
                                    self.map_request.parent = self
                                    self._children_name_map["map_request"] = "map-request"
                                    self._children_yang_names.add("map-request")
                                    self._segment_path = lambda: "map-resolver"


                                class MapRequest(Entity):
                                    """
                                    Map\-Request processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest, self).__init__()

                                        self.yang_name = "map-request"
                                        self.yang_parent_name = "map-resolver"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-request"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	Influence which source RLOCs map requests are accepted from
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-request"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            Influence which source RLOCs map requests are accepted from
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: registered
                                            
                                            	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.list = YLeaf(YType.empty, "list")

                                                self.registered = YLeaf(YType.empty, "registered")

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "source"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                            class MapServer(Entity):
                                """
                                Configures a LISP Map Server (MS)
                                
                                .. attribute:: map_register
                                
                                	Map\-Register processing options
                                	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_register = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister()
                                    self.map_register.parent = self
                                    self._children_name_map["map_register"] = "map-register"
                                    self._children_yang_names.add("map-register")
                                    self._segment_path = lambda: "map-server"


                                class MapRegister(Entity):
                                    """
                                    Map\-Register processing options
                                    
                                    .. attribute:: validate
                                    
                                    	Validation options
                                    	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister, self).__init__()

                                        self.yang_name = "map-register"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate)}
                                        self._child_list_classes = {}

                                        self.validate = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate()
                                        self.validate.parent = self
                                        self._children_name_map["validate"] = "validate"
                                        self._children_yang_names.add("validate")
                                        self._segment_path = lambda: "map-register"


                                    class Validate(Entity):
                                        """
                                        Validation options
                                        
                                        .. attribute:: source
                                        
                                        	RLOC Source IP address
                                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate, self).__init__()

                                            self.yang_name = "validate"
                                            self.yang_parent_name = "map-register"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"source" : ("source", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source)}
                                            self._child_list_classes = {}

                                            self.source = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source()
                                            self.source.parent = self
                                            self._children_name_map["source"] = "source"
                                            self._children_yang_names.add("source")
                                            self._segment_path = lambda: "validate"


                                        class Source(Entity):
                                            """
                                            RLOC Source IP address
                                            
                                            .. attribute:: allowed_locator
                                            
                                            	Against sites' allowed\-locators policy
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source, self).__init__()

                                                self.yang_name = "source"
                                                self.yang_parent_name = "validate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                                self._segment_path = lambda: "source"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                            class PathMtuDiscovery(Entity):
                                """
                                Path MTU discovery
                                
                                .. attribute:: max
                                
                                	Upper bound on the path MTU accepted
                                	**type**\: int
                                
                                	**range:** 68..65535
                                
                                .. attribute:: min
                                
                                	Lower bound on the path MTU accepted
                                	**type**\: int
                                
                                	**range:** 68..65535
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery, self).__init__()

                                    self.yang_name = "path-mtu-discovery"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.max = YLeaf(YType.uint16, "max")

                                    self.min = YLeaf(YType.uint16, "min")
                                    self._segment_path = lambda: "path-mtu-discovery"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.PathMtuDiscovery, ['max', 'min'], name, value)


                            class RouteExport(Entity):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteExport, self).__init__()

                                    self.yang_name = "route-export"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                    self.away_eids = YLeaf(YType.empty, "away-eids")
                                    self._segment_path = lambda: "route-export"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                            class RouteImport(Entity):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport, self).__init__()

                                    self.yang_name = "route-import"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"database" : ("database", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache)}
                                    self._child_list_classes = {}

                                    self.database = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database()
                                    self.database.parent = self
                                    self._children_name_map["database"] = "database"
                                    self._children_yang_names.add("database")

                                    self.map_cache = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "route-import"


                                class Database(Entity):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database, self).__init__()

                                        self.yang_name = "database"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip), "static" : ("static", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3)}

                                        self.connected = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.maximum_prefix = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.rip = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip()
                                        self.rip.parent = self
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static()
                                        self.static.parent = self
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.isis = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self._segment_path = lambda: "database"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "connected"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.int32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "rip"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "static"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3)}

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.maximum_prefix = Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.rip = None
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.isis = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache, [], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "connected"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** \-2147483648..2147483647
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.int32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "rip"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "static"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations for a given instance\-id
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class UsePetr(Entity):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.UsePetr, self).__init__()

                                    self.yang_name = "use-petr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.locator_address = YLeaf(YType.str, "locator-address")

                                    self.priority = YLeaf(YType.uint8, "priority")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.Ipv6.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


                        class LocReachAlgorithm(Entity):
                            """
                            Configure locator reachability algorithm
                            
                            .. attribute:: lsb_reports
                            
                            	Configure data packet LSB report handling
                            	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports>`
                            
                            .. attribute:: rloc_probing
                            
                            	Probe high priority RLOCs with Map\-Requests as last resort
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm, self).__init__()

                                self.yang_name = "loc-reach-algorithm"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports)}
                                self._child_list_classes = {}

                                self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                                self.lsb_reports = Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports()
                                self.lsb_reports.parent = self
                                self._children_name_map["lsb_reports"] = "lsb-reports"
                                self._children_yang_names.add("lsb-reports")
                                self._segment_path = lambda: "loc-reach-algorithm"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm, ['rloc_probing'], name, value)


                            class LsbReports(Entity):
                                """
                                Configure data packet LSB report handling
                                
                                .. attribute:: do_not_transmit
                                
                                	Force the setting of the encapsulation header L bit to zero
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ignore
                                
                                	Ignore data packet LSB reports
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports, self).__init__()

                                    self.yang_name = "lsb-reports"
                                    self.yang_parent_name = "loc-reach-algorithm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                                    self.ignore = YLeaf(YType.empty, "ignore")
                                    self._segment_path = lambda: "lsb-reports"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                        class LocatorDown(Entity):
                            """
                            Manually set locator status to down
                            
                            .. attribute:: address
                            
                            	IPv4/6 Locator address to be set down
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv4_interface
                            
                            	Use IPv4 address of interface as locator
                            	**type**\: str
                            
                            .. attribute:: ipv6_interface
                            
                            	Use IPv6 address of interface as locator
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.LocatorDown, self).__init__()

                                self.yang_name = "locator-down"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")

                                self.ipv4_interface = YLeaf(YType.str, "IPv4-interface")

                                self.ipv6_interface = YLeaf(YType.str, "IPv6-interface")
                                self._segment_path = lambda: "locator-down"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.LocatorDown, ['address', 'ipv4_interface', 'ipv6_interface'], name, value)


                        class LocatorTable(Entity):
                            """
                            Specify the RLOC table
                            
                            .. attribute:: vrf_name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: default
                            
                            	Default VRF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: vrf
                            
                            	VRF name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.LocatorTable, self).__init__()

                                self.yang_name = "locator-table"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vrf_name = YLeaf(YType.str, "vrf-name")

                                self.default = YLeaf(YType.empty, "default")

                                self.vrf = YLeaf(YType.str, "vrf")
                                self._segment_path = lambda: "locator-table"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.LocatorTable, ['vrf_name', 'default', 'vrf'], name, value)


                        class MapRequest(Entity):
                            """
                            Configure map\-request handling
                            
                            .. attribute:: itr_rlocs
                            
                            	Configure to use the specified RLOC set as ITR RLOC in map\-request
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.MapRequest, self).__init__()

                                self.yang_name = "map-request"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr_rlocs = YLeaf(YType.str, "itr-rlocs")
                                self._segment_path = lambda: "map-request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.MapRequest, ['itr_rlocs'], name, value)


                        class MapServer(Entity):
                            """
                            Map\-Server commands
                            
                            .. attribute:: rloc
                            
                            	EID instance RLOC membership
                            	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc>`
                            
                            .. attribute:: site_registration
                            
                            	Map\-server site registration options
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapServer.SiteRegistration>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.LispList.Default.EidTable.InstanceList.MapServer.SiteRegistration)}
                                self._child_list_classes = {}

                                self.rloc = Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc()
                                self.rloc.parent = self
                                self._children_name_map["rloc"] = "rloc"
                                self._children_yang_names.add("rloc")

                                self.site_registration = Native.Router.LispList.Default.EidTable.InstanceList.MapServer.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")
                                self._segment_path = lambda: "map-server"


                            class Rloc(Entity):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: members
                                
                                	EID instance RLOC membership
                                	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc, self).__init__()

                                    self.yang_name = "rloc"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"members" : ("members", Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members)}
                                    self._child_list_classes = {}

                                    self.members = Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members()
                                    self.members.parent = self
                                    self._children_name_map["members"] = "members"
                                    self._children_yang_names.add("members")
                                    self._segment_path = lambda: "rloc"


                                class Members(Entity):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: distribute
                                    
                                    	EID instance RLOC membership distribution
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: modify_discovered
                                    
                                    	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members, self).__init__()

                                        self.yang_name = "members"
                                        self.yang_parent_name = "rloc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered)}
                                        self._child_list_classes = {}

                                        self.distribute = YLeaf(YType.empty, "distribute")

                                        self.modify_discovered = Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                        self.modify_discovered.parent = self
                                        self._children_name_map["modify_discovered"] = "modify-discovered"
                                        self._children_yang_names.add("modify-discovered")
                                        self._segment_path = lambda: "members"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members, ['distribute'], name, value)


                                    class ModifyDiscovered(Entity):
                                        """
                                        Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        
                                        .. attribute:: operator
                                        
                                        	
                                        	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set from which to get member RLOC addresses
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                            self.yang_name = "modify-discovered"
                                            self.yang_parent_name = "members"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.operator = YLeaf(YType.enumeration, "operator")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "modify-discovered"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                        class Operator(Enum):
                                            """
                                            Operator

                                            .. data:: add = 0

                                            .. data:: override = 1

                                            """

                                            add = Enum.YLeaf(0, "add")

                                            override = Enum.YLeaf(1, "override")



                            class SiteRegistration(Entity):
                                """
                                Map\-server site registration options
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations as a result of accept\-more\-specifics
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.MapServer.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class OtherXtrProbe(Entity):
                            """
                            Configure parameters for probing of other xTRs in our site
                            
                            .. attribute:: period
                            
                            	Period between probes in seconds
                            	**type**\: int
                            
                            	**range:** 5..900
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.OtherXtrProbe, self).__init__()

                                self.yang_name = "other-xtr-probe"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.period = YLeaf(YType.uint16, "period")
                                self._segment_path = lambda: "other-xtr-probe"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.OtherXtrProbe, ['period'], name, value)


                        class RemoteRlocProbe(Entity):
                            """
                            Configure parameters for probing of remote RLOCs
                            
                            .. attribute:: on_membership_change
                            
                            	Trigger probing upon membership changes for remote RLOC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: on_route_change
                            
                            	Trigger probing upon routing changes for remote RLOC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.RemoteRlocProbe, self).__init__()

                                self.yang_name = "remote-rloc-probe"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                                self.on_route_change = YLeaf(YType.empty, "on-route-change")
                                self._segment_path = lambda: "remote-rloc-probe"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                        class MapCache(Entity):
                            """
                            Configures static EID\-to\-RLOC mappings for an ITR
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: etr_interface_ip
                            
                            	
                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp>`
                            
                            .. attribute:: drop
                            
                            	Drop packets that match this map\-cache entry
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: map_request
                            
                            	Send Map\-Request for LISP destination EID
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: native_forward
                            
                            	Natively forward packets that match this map\-cache entry
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.EidTable.InstanceList.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "instance-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp)}
                                self._child_list_classes = {}

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.drop = YLeaf(YType.empty, "drop")

                                self.map_request = YLeaf(YType.empty, "map-request")

                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                self.etr_interface_ip = Native.Router.LispList.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp()
                                self.etr_interface_ip.parent = self
                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                self._children_yang_names.add("etr-interface-ip")
                                self._segment_path = lambda: "map-cache" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.MapCache, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                            class EtrInterfaceIp(Entity):
                                """
                                
                                
                                .. attribute:: etr_interface_ip_address
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp, self).__init__()

                                    self.yang_name = "etr-interface-ip"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                    self.priority = YLeaf(YType.uint8, "priority")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "etr-interface-ip"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.EidTable.InstanceList.MapCache.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                class Security(Entity):
                    """
                    Enable default LISP security and authentication in reply is optional
                    
                    .. attribute:: strong
                    
                    	Enable default LISP security and authentication in reply is required
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.Security, self).__init__()

                        self.yang_name = "security"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.strong = YLeaf(YType.empty, "strong")
                        self._segment_path = lambda: "security"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.Security, ['strong'], name, value)


                class Site(Entity):
                    """
                    Configure a LISP site on a map server (MS)
                    
                    .. attribute:: sname  <key>
                    
                    	The site name
                    	**type**\: str
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default>`
                    
                    .. attribute:: authentication_key
                    
                    	Authentication key used by LISP site
                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.AuthenticationKey>`
                    
                    .. attribute:: description
                    
                    	Site description
                    	**type**\: str
                    
                    .. attribute:: allowed_locator
                    
                    	Locator from LISP site
                    	**type**\:  :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.AllowedLocator>`
                    
                    .. attribute:: eid_prefix
                    
                    	Site EID address prefix
                    	**type**\:  :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidPrefix>`
                    
                    .. attribute:: eid_record
                    
                    	Site EID address prefix
                    	**type**\:  :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidRecord>`
                    
                    .. attribute:: site_id
                    
                    	Configure a site\-id for this site
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.Site, self).__init__()

                        self.yang_name = "site"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default" : ("default", Native.Router.LispList.Default.Site.Default), "authentication-key" : ("authentication_key", Native.Router.LispList.Default.Site.AuthenticationKey), "allowed-locator" : ("allowed_locator", Native.Router.LispList.Default.Site.AllowedLocator), "eid-prefix" : ("eid_prefix", Native.Router.LispList.Default.Site.EidPrefix), "eid-record" : ("eid_record", Native.Router.LispList.Default.Site.EidRecord)}
                        self._child_list_classes = {}

                        self.sname = YLeaf(YType.str, "sname")

                        self.description = YLeaf(YType.str, "description")

                        self.site_id = YLeaf(YType.uint32, "site-id")

                        self.default = Native.Router.LispList.Default.Site.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.authentication_key = Native.Router.LispList.Default.Site.AuthenticationKey()
                        self.authentication_key.parent = self
                        self._children_name_map["authentication_key"] = "authentication-key"
                        self._children_yang_names.add("authentication-key")

                        self.allowed_locator = Native.Router.LispList.Default.Site.AllowedLocator()
                        self.allowed_locator.parent = self
                        self._children_name_map["allowed_locator"] = "allowed-locator"
                        self._children_yang_names.add("allowed-locator")

                        self.eid_prefix = Native.Router.LispList.Default.Site.EidPrefix()
                        self.eid_prefix.parent = self
                        self._children_name_map["eid_prefix"] = "eid-prefix"
                        self._children_yang_names.add("eid-prefix")

                        self.eid_record = Native.Router.LispList.Default.Site.EidRecord()
                        self.eid_record.parent = self
                        self._children_name_map["eid_record"] = "eid-record"
                        self._children_yang_names.add("eid-record")
                        self._segment_path = lambda: "site" + "[sname='" + self.sname.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.Site, ['sname', 'description', 'site_id'], name, value)


                    class Default(Entity):
                        """
                        
                        
                        .. attribute:: authentication_key
                        
                        	Authentication key used by LISP site
                        	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default.AuthenticationKey>`
                        
                        .. attribute:: description
                        
                        	Site description
                        	**type**\: str
                        
                        .. attribute:: allowed_locator
                        
                        	Locator from LISP site
                        	**type**\:  :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default.AllowedLocator>`
                        
                        .. attribute:: eid_prefix
                        
                        	Site EID address prefix
                        	**type**\:  :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default.EidPrefix>`
                        
                        .. attribute:: eid_record
                        
                        	Site EID address prefix
                        	**type**\:  :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default.EidRecord>`
                        
                        .. attribute:: site_id
                        
                        	Configure a site\-id for this site
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Site.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "site"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.LispList.Default.Site.Default.AuthenticationKey), "allowed-locator" : ("allowed_locator", Native.Router.LispList.Default.Site.Default.AllowedLocator), "eid-prefix" : ("eid_prefix", Native.Router.LispList.Default.Site.Default.EidPrefix), "eid-record" : ("eid_record", Native.Router.LispList.Default.Site.Default.EidRecord)}
                            self._child_list_classes = {}

                            self.description = YLeaf(YType.str, "description")

                            self.site_id = YLeaf(YType.uint32, "site-id")

                            self.authentication_key = Native.Router.LispList.Default.Site.Default.AuthenticationKey()
                            self.authentication_key.parent = self
                            self._children_name_map["authentication_key"] = "authentication-key"
                            self._children_yang_names.add("authentication-key")

                            self.allowed_locator = Native.Router.LispList.Default.Site.Default.AllowedLocator()
                            self.allowed_locator.parent = self
                            self._children_name_map["allowed_locator"] = "allowed-locator"
                            self._children_yang_names.add("allowed-locator")

                            self.eid_prefix = Native.Router.LispList.Default.Site.Default.EidPrefix()
                            self.eid_prefix.parent = self
                            self._children_name_map["eid_prefix"] = "eid-prefix"
                            self._children_yang_names.add("eid-prefix")

                            self.eid_record = Native.Router.LispList.Default.Site.Default.EidRecord()
                            self.eid_record.parent = self
                            self._children_name_map["eid_record"] = "eid-record"
                            self._children_yang_names.add("eid-record")
                            self._segment_path = lambda: "default"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Site.Default, ['description', 'site_id'], name, value)


                        class AuthenticationKey(Entity):
                            """
                            Authentication key used by LISP site
                            
                            .. attribute:: unc_pwd
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\: str
                            
                            .. attribute:: key_0
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\: str
                            
                            .. attribute:: key_6
                            
                            	The ENCRYPTED password
                            	**type**\: str
                            
                            .. attribute:: key_7
                            
                            	The ENCRYPTED password
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Site.Default.AuthenticationKey, self).__init__()

                                self.yang_name = "authentication-key"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                self.key_0 = YLeaf(YType.str, "key-0")

                                self.key_6 = YLeaf(YType.str, "key-6")

                                self.key_7 = YLeaf(YType.str, "key-7")
                                self._segment_path = lambda: "authentication-key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Site.Default.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                        class AllowedLocator(Entity):
                            """
                            Locator from LISP site
                            
                            .. attribute:: ls_ipv4
                            
                            	IPv4 locator allowed in registered locator\-set
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ls_ipv6
                            
                            	IPv6 locator allowed in registered locator\-set
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: list
                            
                            	Prefixes allowed in registerd locator\-set
                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default.AllowedLocator.List>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Site.Default.AllowedLocator, self).__init__()

                                self.yang_name = "allowed-locator"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Site.Default.AllowedLocator.List)}
                                self._child_list_classes = {}

                                self.ls_ipv4 = YLeaf(YType.str, "ls-ipv4")

                                self.ls_ipv6 = YLeaf(YType.str, "ls-ipv6")

                                self.list = Native.Router.LispList.Default.Site.Default.AllowedLocator.List()
                                self.list.parent = self
                                self._children_name_map["list"] = "list"
                                self._children_yang_names.add("list")
                                self._segment_path = lambda: "allowed-locator"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Site.Default.AllowedLocator, ['ls_ipv4', 'ls_ipv6'], name, value)


                            class List(Entity):
                                """
                                Prefixes allowed in registerd locator\-set
                                
                                .. attribute:: ipv4
                                
                                	IPv4 prefix\-list name
                                	**type**\: str
                                
                                .. attribute:: ipv6
                                
                                	IPv6 prefix\-list name
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Site.Default.AllowedLocator.List, self).__init__()

                                    self.yang_name = "list"
                                    self.yang_parent_name = "allowed-locator"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                    self._segment_path = lambda: "list"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Site.Default.AllowedLocator.List, ['ipv4', 'ipv6'], name, value)


                        class EidPrefix(Entity):
                            """
                            Site EID address prefix
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default.EidPrefix.Prefixes>`
                            
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default.EidPrefix.InstanceId>`
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Site.Default.EidPrefix, self).__init__()

                                self.yang_name = "eid-prefix"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Default.Site.Default.EidPrefix.Prefixes), "instance-id" : ("instance_id", Native.Router.LispList.Default.Site.Default.EidPrefix.InstanceId)}

                                self.any_mac = YLeaf(YType.empty, "any-mac")

                                self.prefixes = YList(self)
                                self.instance_id = YList(self)
                                self._segment_path = lambda: "eid-prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Site.Default.EidPrefix, ['any_mac'], name, value)


                            class Prefixes(Entity):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Site.Default.EidPrefix.Prefixes, self).__init__()

                                    self.yang_name = "prefixes"
                                    self.yang_parent_name = "eid-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.prefix = YLeaf(YType.str, "prefix")

                                    self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Site.Default.EidPrefix.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                            class InstanceId(Entity):
                                """
                                EID instance\-ID
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..16777214
                                
                                .. attribute:: prefixes
                                
                                	
                                	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default.EidPrefix.InstanceId.Prefixes>`
                                
                                .. attribute:: any_mac
                                
                                	Accept registrations for any L2 EID records
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Site.Default.EidPrefix.InstanceId, self).__init__()

                                    self.yang_name = "instance-id"
                                    self.yang_parent_name = "eid-prefix"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Default.Site.Default.EidPrefix.InstanceId.Prefixes)}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.any_mac = YLeaf(YType.empty, "any-mac")

                                    self.prefixes = YList(self)
                                    self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Site.Default.EidPrefix.InstanceId, ['id', 'any_mac'], name, value)


                                class Prefixes(Entity):
                                    """
                                    
                                    
                                    .. attribute:: prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: accept_more_specifics
                                    
                                    	Accept registrations for more specific EID prefixes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_tag
                                    
                                    	RIB route tag
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Site.Default.EidPrefix.InstanceId.Prefixes, self).__init__()

                                        self.yang_name = "prefixes"
                                        self.yang_parent_name = "instance-id"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.prefix = YLeaf(YType.str, "prefix")

                                        self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                        self.route_tag = YLeaf(YType.uint32, "route-tag")
                                        self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Site.Default.EidPrefix.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                        class EidRecord(Entity):
                            """
                            Site EID address prefix
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default.EidRecord.Prefixes>`
                            
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default.EidRecord.InstanceId>`
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Site.Default.EidRecord, self).__init__()

                                self.yang_name = "eid-record"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Default.Site.Default.EidRecord.Prefixes), "instance-id" : ("instance_id", Native.Router.LispList.Default.Site.Default.EidRecord.InstanceId)}

                                self.any_mac = YLeaf(YType.empty, "any-mac")

                                self.prefixes = YList(self)
                                self.instance_id = YList(self)
                                self._segment_path = lambda: "eid-record"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Site.Default.EidRecord, ['any_mac'], name, value)


                            class Prefixes(Entity):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Site.Default.EidRecord.Prefixes, self).__init__()

                                    self.yang_name = "prefixes"
                                    self.yang_parent_name = "eid-record"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.prefix = YLeaf(YType.str, "prefix")

                                    self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Site.Default.EidRecord.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                            class InstanceId(Entity):
                                """
                                EID instance\-ID
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..16777214
                                
                                .. attribute:: prefixes
                                
                                	
                                	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.Default.EidRecord.InstanceId.Prefixes>`
                                
                                .. attribute:: any_mac
                                
                                	Accept registrations for any L2 EID records
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Site.Default.EidRecord.InstanceId, self).__init__()

                                    self.yang_name = "instance-id"
                                    self.yang_parent_name = "eid-record"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Default.Site.Default.EidRecord.InstanceId.Prefixes)}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.any_mac = YLeaf(YType.empty, "any-mac")

                                    self.prefixes = YList(self)
                                    self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Site.Default.EidRecord.InstanceId, ['id', 'any_mac'], name, value)


                                class Prefixes(Entity):
                                    """
                                    
                                    
                                    .. attribute:: prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: accept_more_specifics
                                    
                                    	Accept registrations for more specific EID prefixes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_tag
                                    
                                    	RIB route tag
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Default.Site.Default.EidRecord.InstanceId.Prefixes, self).__init__()

                                        self.yang_name = "prefixes"
                                        self.yang_parent_name = "instance-id"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.prefix = YLeaf(YType.str, "prefix")

                                        self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                        self.route_tag = YLeaf(YType.uint32, "route-tag")
                                        self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Default.Site.Default.EidRecord.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                    class AuthenticationKey(Entity):
                        """
                        Authentication key used by LISP site
                        
                        .. attribute:: unc_pwd
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\: str
                        
                        .. attribute:: key_0
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\: str
                        
                        .. attribute:: key_6
                        
                        	The ENCRYPTED password
                        	**type**\: str
                        
                        .. attribute:: key_7
                        
                        	The ENCRYPTED password
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Site.AuthenticationKey, self).__init__()

                            self.yang_name = "authentication-key"
                            self.yang_parent_name = "site"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                            self.key_0 = YLeaf(YType.str, "key-0")

                            self.key_6 = YLeaf(YType.str, "key-6")

                            self.key_7 = YLeaf(YType.str, "key-7")
                            self._segment_path = lambda: "authentication-key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Site.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                    class AllowedLocator(Entity):
                        """
                        Locator from LISP site
                        
                        .. attribute:: ls_ipv4
                        
                        	IPv4 locator allowed in registered locator\-set
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ls_ipv6
                        
                        	IPv6 locator allowed in registered locator\-set
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: list
                        
                        	Prefixes allowed in registerd locator\-set
                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.AllowedLocator.List>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Site.AllowedLocator, self).__init__()

                            self.yang_name = "allowed-locator"
                            self.yang_parent_name = "site"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"list" : ("list", Native.Router.LispList.Default.Site.AllowedLocator.List)}
                            self._child_list_classes = {}

                            self.ls_ipv4 = YLeaf(YType.str, "ls-ipv4")

                            self.ls_ipv6 = YLeaf(YType.str, "ls-ipv6")

                            self.list = Native.Router.LispList.Default.Site.AllowedLocator.List()
                            self.list.parent = self
                            self._children_name_map["list"] = "list"
                            self._children_yang_names.add("list")
                            self._segment_path = lambda: "allowed-locator"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Site.AllowedLocator, ['ls_ipv4', 'ls_ipv6'], name, value)


                        class List(Entity):
                            """
                            Prefixes allowed in registerd locator\-set
                            
                            .. attribute:: ipv4
                            
                            	IPv4 prefix\-list name
                            	**type**\: str
                            
                            .. attribute:: ipv6
                            
                            	IPv6 prefix\-list name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Site.AllowedLocator.List, self).__init__()

                                self.yang_name = "list"
                                self.yang_parent_name = "allowed-locator"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                self._segment_path = lambda: "list"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Site.AllowedLocator.List, ['ipv4', 'ipv6'], name, value)


                    class EidPrefix(Entity):
                        """
                        Site EID address prefix
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidPrefix.Prefixes>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidPrefix.InstanceId>`
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Site.EidPrefix, self).__init__()

                            self.yang_name = "eid-prefix"
                            self.yang_parent_name = "site"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Default.Site.EidPrefix.Prefixes), "instance-id" : ("instance_id", Native.Router.LispList.Default.Site.EidPrefix.InstanceId)}

                            self.any_mac = YLeaf(YType.empty, "any-mac")

                            self.prefixes = YList(self)
                            self.instance_id = YList(self)
                            self._segment_path = lambda: "eid-prefix"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Site.EidPrefix, ['any_mac'], name, value)


                        class Prefixes(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Site.EidPrefix.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "eid-prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Site.EidPrefix.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                        class InstanceId(Entity):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidPrefix.InstanceId.Prefixes>`
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Site.EidPrefix.InstanceId, self).__init__()

                                self.yang_name = "instance-id"
                                self.yang_parent_name = "eid-prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Default.Site.EidPrefix.InstanceId.Prefixes)}

                                self.id = YLeaf(YType.uint32, "id")

                                self.any_mac = YLeaf(YType.empty, "any-mac")

                                self.prefixes = YList(self)
                                self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Site.EidPrefix.InstanceId, ['id', 'any_mac'], name, value)


                            class Prefixes(Entity):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Site.EidPrefix.InstanceId.Prefixes, self).__init__()

                                    self.yang_name = "prefixes"
                                    self.yang_parent_name = "instance-id"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.prefix = YLeaf(YType.str, "prefix")

                                    self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Site.EidPrefix.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                    class EidRecord(Entity):
                        """
                        Site EID address prefix
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidRecord.Prefixes>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidRecord.InstanceId>`
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Site.EidRecord, self).__init__()

                            self.yang_name = "eid-record"
                            self.yang_parent_name = "site"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Default.Site.EidRecord.Prefixes), "instance-id" : ("instance_id", Native.Router.LispList.Default.Site.EidRecord.InstanceId)}

                            self.any_mac = YLeaf(YType.empty, "any-mac")

                            self.prefixes = YList(self)
                            self.instance_id = YList(self)
                            self._segment_path = lambda: "eid-record"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Site.EidRecord, ['any_mac'], name, value)


                        class Prefixes(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Site.EidRecord.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "eid-record"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Site.EidRecord.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                        class InstanceId(Entity):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Site.EidRecord.InstanceId.Prefixes>`
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Default.Site.EidRecord.InstanceId, self).__init__()

                                self.yang_name = "instance-id"
                                self.yang_parent_name = "eid-record"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Default.Site.EidRecord.InstanceId.Prefixes)}

                                self.id = YLeaf(YType.uint32, "id")

                                self.any_mac = YLeaf(YType.empty, "any-mac")

                                self.prefixes = YList(self)
                                self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Default.Site.EidRecord.InstanceId, ['id', 'any_mac'], name, value)


                            class Prefixes(Entity):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Default.Site.EidRecord.InstanceId.Prefixes, self).__init__()

                                    self.yang_name = "prefixes"
                                    self.yang_parent_name = "instance-id"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.prefix = YLeaf(YType.str, "prefix")

                                    self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Default.Site.EidRecord.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                class Syslog(Entity):
                    """
                    Configure syslog option
                    
                    .. attribute:: session
                    
                    	Enable session syslog
                    	**type**\:  :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Default.Syslog.Session>`
                    
                    .. attribute:: verbose
                    
                    	Enable verbose syslog
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Default.Syslog, self).__init__()

                        self.yang_name = "syslog"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"session" : ("session", Native.Router.LispList.Default.Syslog.Session)}
                        self._child_list_classes = {}

                        self.verbose = YLeaf(YType.empty, "verbose")

                        self.session = Native.Router.LispList.Default.Syslog.Session()
                        self.session.parent = self
                        self._children_name_map["session"] = "session"
                        self._children_yang_names.add("session")
                        self._segment_path = lambda: "syslog"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Default.Syslog, ['verbose'], name, value)


                    class Session(Entity):
                        """
                        Enable session syslog
                        
                        .. attribute:: changes
                        
                        	Enable session change syslog
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Default.Syslog.Session, self).__init__()

                            self.yang_name = "session"
                            self.yang_parent_name = "syslog"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.changes = YLeaf(YType.empty, "changes")
                            self._segment_path = lambda: "session"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Default.Syslog.Session, ['changes'], name, value)


            class Service(Entity):
                """
                Configure lisp service type
                
                .. attribute:: ipv4
                
                	
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4>`
                
                	**presence node**\: True
                
                .. attribute:: ipv6
                
                	
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6>`
                
                	**presence node**\: True
                
                .. attribute:: ethernet
                
                	
                	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet>`
                
                	**presence node**\: True
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.Service, self).__init__()

                    self.yang_name = "service"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.LispList.Service.Ipv4), "ipv6" : ("ipv6", Native.Router.LispList.Service.Ipv6), "ethernet" : ("ethernet", Native.Router.LispList.Service.Ethernet)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.ipv4 = None
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")

                    self.ipv6 = None
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")

                    self.ethernet = None
                    self._children_name_map["ethernet"] = "ethernet"
                    self._children_yang_names.add("ethernet")
                    self._segment_path = lambda: "service"


                class Ipv4(Entity):
                    """
                    
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default>`
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.DatabaseMapping>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.ItrEnable>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.EtrEnable>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapCacheLimit>`
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.SolicitMapRequest>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Distance>`
                    
                    .. attribute:: encapsulation
                    
                    	Select encapsulation type for data packets
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Encapsulation>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapCache>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapCachePersistent>`
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.ProxyItr>`
                    
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.RouteExport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.UsePetr>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Service.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default" : ("default", Native.Router.LispList.Service.Ipv4.Default), "database-mapping" : ("database_mapping", Native.Router.LispList.Service.Ipv4.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Service.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Service.Ipv4.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Service.Ipv4.EtrEnable), "etr" : ("etr", Native.Router.LispList.Service.Ipv4.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Service.Ipv4.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.LispList.Service.Ipv4.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Service.Ipv4.MapServer), "site-registration" : ("site_registration", Native.Router.LispList.Service.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Service.Ipv4.SolicitMapRequest), "distance" : ("distance", Native.Router.LispList.Service.Ipv4.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Service.Ipv4.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Service.Ipv4.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Service.Ipv4.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Service.Ipv4.RouteExport)}
                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Service.Ipv4.UsePetr)}
                        self.is_presence_container = True

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                        self.sgt = YLeaf(YType.empty, "sgt")

                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                        self.default = Native.Router.LispList.Service.Ipv4.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.database_mapping = Native.Router.LispList.Service.Ipv4.DatabaseMapping()
                        self.database_mapping.parent = self
                        self._children_name_map["database_mapping"] = "database-mapping"
                        self._children_yang_names.add("database-mapping")

                        self.itr = Native.Router.LispList.Service.Ipv4.Itr()
                        self.itr.parent = self
                        self._children_name_map["itr"] = "itr"
                        self._children_yang_names.add("itr")

                        self.itr_enable = Native.Router.LispList.Service.Ipv4.ItrEnable()
                        self.itr_enable.parent = self
                        self._children_name_map["itr_enable"] = "itr-enable"
                        self._children_yang_names.add("itr-enable")

                        self.etr_enable = Native.Router.LispList.Service.Ipv4.EtrEnable()
                        self.etr_enable.parent = self
                        self._children_name_map["etr_enable"] = "etr-enable"
                        self._children_yang_names.add("etr-enable")

                        self.etr = Native.Router.LispList.Service.Ipv4.Etr()
                        self.etr.parent = self
                        self._children_name_map["etr"] = "etr"
                        self._children_yang_names.add("etr")

                        self.map_cache_limit = Native.Router.LispList.Service.Ipv4.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                        self._children_yang_names.add("map-cache-limit")

                        self.map_resolver = None
                        self._children_name_map["map_resolver"] = "map-resolver"
                        self._children_yang_names.add("map-resolver")

                        self.map_server = None
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.site_registration = Native.Router.LispList.Service.Ipv4.SiteRegistration()
                        self.site_registration.parent = self
                        self._children_name_map["site_registration"] = "site-registration"
                        self._children_yang_names.add("site-registration")

                        self.solicit_map_request = Native.Router.LispList.Service.Ipv4.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                        self._children_yang_names.add("solicit-map-request")

                        self.distance = Native.Router.LispList.Service.Ipv4.Distance()
                        self.distance.parent = self
                        self._children_name_map["distance"] = "distance"
                        self._children_yang_names.add("distance")

                        self.map_cache = Native.Router.LispList.Service.Ipv4.MapCache()
                        self.map_cache.parent = self
                        self._children_name_map["map_cache"] = "map-cache"
                        self._children_yang_names.add("map-cache")

                        self.map_cache_persistent = Native.Router.LispList.Service.Ipv4.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                        self._children_yang_names.add("map-cache-persistent")

                        self.proxy_itr = Native.Router.LispList.Service.Ipv4.ProxyItr()
                        self.proxy_itr.parent = self
                        self._children_name_map["proxy_itr"] = "proxy-itr"
                        self._children_yang_names.add("proxy-itr")

                        self.route_export = Native.Router.LispList.Service.Ipv4.RouteExport()
                        self.route_export.parent = self
                        self._children_name_map["route_export"] = "route-export"
                        self._children_yang_names.add("route-export")

                        self.use_petr = YList(self)
                        self._segment_path = lambda: "ipv4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Service.Ipv4, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Select encapsulation type for data packets

                        .. data:: lisp = 0

                        .. data:: vxlan = 1

                        """

                        lisp = Enum.YLeaf(0, "lisp")

                        vxlan = Enum.YLeaf(1, "vxlan")



                    class Default(Entity):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.ItrEnable>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.EtrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapCacheLimit>`
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.SolicitMapRequest>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Encapsulation>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapCache>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapCachePersistent>`
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.UsePetr>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Service.Ipv4.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Service.Ipv4.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Service.Ipv4.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.Service.Ipv4.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Service.Ipv4.Default.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.LispList.Service.Ipv4.Default.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Service.Ipv4.Default.MapServer), "site-registration" : ("site_registration", Native.Router.LispList.Service.Ipv4.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Service.Ipv4.Default.SolicitMapRequest), "distance" : ("distance", Native.Router.LispList.Service.Ipv4.Default.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Service.Ipv4.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Service.Ipv4.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Service.Ipv4.Default.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Service.Ipv4.Default.RouteExport)}
                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Service.Ipv4.Default.UsePetr)}

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                            self.sgt = YLeaf(YType.empty, "sgt")

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.database_mapping = Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.itr = Native.Router.LispList.Service.Ipv4.Default.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.LispList.Service.Ipv4.Default.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr_enable = Native.Router.LispList.Service.Ipv4.Default.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.etr = Native.Router.LispList.Service.Ipv4.Default.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.map_cache_limit = Native.Router.LispList.Service.Ipv4.Default.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.site_registration = Native.Router.LispList.Service.Ipv4.Default.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.LispList.Service.Ipv4.Default.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")

                            self.distance = Native.Router.LispList.Service.Ipv4.Default.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.map_cache = Native.Router.LispList.Service.Ipv4.Default.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")

                            self.map_cache_persistent = Native.Router.LispList.Service.Ipv4.Default.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                            self._children_yang_names.add("map-cache-persistent")

                            self.proxy_itr = Native.Router.LispList.Service.Ipv4.Default.ProxyItr()
                            self.proxy_itr.parent = self
                            self._children_name_map["proxy_itr"] = "proxy-itr"
                            self._children_yang_names.add("proxy-itr")

                            self.route_export = Native.Router.LispList.Service.Ipv4.Default.RouteExport()
                            self.route_export.parent = self
                            self._children_name_map["route_export"] = "route-export"
                            self._children_yang_names.add("route-export")

                            self.use_petr = YList(self)
                            self._segment_path = lambda: "default"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = Enum.YLeaf(0, "lisp")

                            vxlan = Enum.YLeaf(1, "vxlan")



                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Service.Ipv4.Default.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv4.Default.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.ItrEnable, ['itr'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.EtrEnable, ['etr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer)}

                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                self.accept_map_request_mapping = Native.Router.LispList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                self._children_yang_names.add("accept-map-request-mapping")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.Etr, ['map_cache_ttl'], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                            class AcceptMapRequestMapping(Entity):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                    self.yang_name = "accept-map-request-mapping"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                    self.verify = YLeaf(YType.empty, "verify")
                                    self._segment_path = lambda: "accept-map-request-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"list" : ("list", Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")

                                            self.registered = Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self
                                            self._children_name_map["registered"] = "registered"
                                            self._children_yang_names.add("registered")
                                            self._segment_path = lambda: "source"


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                        class Registered(Entity):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                self.yang_name = "registered"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"list" : ("list", Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")
                                                self._segment_path = lambda: "registered"


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "registered"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class Distance(Entity):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.alt = YLeaf(YType.uint8, "alt")

                                self.away = YLeaf(YType.uint8, "away")

                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                        class MapCache(Entity):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Service.Ipv4.Default.MapCache.AwayEids)}
                                self._child_list_classes = {}

                                self.site_registration = YLeaf(YType.empty, "site-registration")

                                self.away_eids = Native.Router.LispList.Service.Ipv4.Default.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self._children_name_map["away_eids"] = "away-eids"
                                self._children_yang_names.add("away-eids")
                                self._segment_path = lambda: "map-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.MapCache, ['site_registration'], name, value)


                            class AwayEids(Entity):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv4.Default.MapCache.AwayEids, self).__init__()

                                    self.yang_name = "away-eids"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                    self._segment_path = lambda: "away-eids"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                        class MapCachePersistent(Entity):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.MapCachePersistent, self).__init__()

                                self.yang_name = "map-cache-persistent"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")
                                self._segment_path = lambda: "map-cache-persistent"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.MapCachePersistent, ['interval'], name, value)


                        class ProxyItr(Entity):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.ProxyItr, self).__init__()

                                self.yang_name = "proxy-itr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                self._segment_path = lambda: "proxy-itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                        class RouteExport(Entity):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.RouteExport, self).__init__()

                                self.yang_name = "route-export"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                self._segment_path = lambda: "route-export"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                        class UsePetr(Entity):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	
                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Default.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Default.UsePetr, self).__init__()

                                self.yang_name = "use-petr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Service.Ipv4.Default.UsePetr.Priority)}
                                self._child_list_classes = {}

                                self.locator_address = YLeaf(YType.str, "locator-address")

                                self.priority = Native.Router.LispList.Service.Ipv4.Default.UsePetr.Priority()
                                self.priority.parent = self
                                self._children_name_map["priority"] = "priority"
                                self._children_yang_names.add("priority")
                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.UsePetr, ['locator_address'], name, value)


                            class Priority(Entity):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv4.Default.UsePetr.Priority, self).__init__()

                                    self.yang_name = "priority"
                                    self.yang_parent_name = "use-petr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority_value = YLeaf(YType.uint8, "priority-value")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "priority"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ipv4.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                    class DatabaseMapping(Entity):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.DatabaseMapping, self).__init__()

                            self.yang_name = "database-mapping"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Service.Ipv4.DatabaseMapping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.Router.LispList.Service.Ipv4.DatabaseMapping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "database-mapping"


                        class Limit(Entity):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\: int
                            
                            	**range:** 1..5000
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.DatabaseMapping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "database-mapping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                    class Itr(Entity):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.Itr, self).__init__()

                            self.yang_name = "itr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Service.Ipv4.Itr.MapResolver)}

                            self.map_resolver = YList(self)
                            self._segment_path = lambda: "itr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.Itr, [], name, value)


                        class MapResolver(Entity):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Itr.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "itr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                    class ItrEnable(Entity):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.ItrEnable, self).__init__()

                            self.yang_name = "itr-enable"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.itr = YLeaf(YType.empty, "itr")
                            self._segment_path = lambda: "itr-enable"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.ItrEnable, ['itr'], name, value)


                    class EtrEnable(Entity):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.EtrEnable, self).__init__()

                            self.yang_name = "etr-enable"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.etr = YLeaf(YType.empty, "etr")
                            self._segment_path = lambda: "etr-enable"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.EtrEnable, ['etr'], name, value)


                    class Etr(Entity):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer>`
                        
                        .. attribute:: map_cache_ttl
                        
                        	
                        	**type**\: int
                        
                        	**range:** 60..10080
                        
                        .. attribute:: accept_map_request_mapping
                        
                        	
                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.Etr, self).__init__()

                            self.yang_name = "etr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Service.Ipv4.Etr.AcceptMapRequestMapping)}
                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Service.Ipv4.Etr.MapServer)}

                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                            self.accept_map_request_mapping = Native.Router.LispList.Service.Ipv4.Etr.AcceptMapRequestMapping()
                            self.accept_map_request_mapping.parent = self
                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                            self._children_yang_names.add("accept-map-request-mapping")

                            self.map_server = YList(self)
                            self._segment_path = lambda: "etr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.Etr, ['map_cache_ttl'], name, value)


                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Etr.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7)}
                                    self._child_list_classes = {}

                                    self.key_pwd = Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self
                                    self._children_name_map["key_pwd"] = "key-pwd"
                                    self._children_yang_names.add("key-pwd")

                                    self.key_0 = Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self._children_name_map["key_0"] = "key-0"
                                    self._children_yang_names.add("key-0")

                                    self.key_6 = Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self._children_name_map["key_6"] = "key-6"
                                    self._children_yang_names.add("key-6")

                                    self.key_7 = Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self._children_name_map["key_7"] = "key-7"
                                    self._children_yang_names.add("key-7")
                                    self._segment_path = lambda: "key"


                                class KeyPwd(Entity):
                                    """
                                    
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd, self).__init__()

                                        self.yang_name = "key-pwd"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-pwd"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key0(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0, self).__init__()

                                        self.yang_name = "key-0"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-0"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key6(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6, self).__init__()

                                        self.yang_name = "key-6"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-6"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key7(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7, self).__init__()

                                        self.yang_name = "key-7"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-7"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ipv4.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                        class AcceptMapRequestMapping(Entity):
                            """
                            
                            
                            .. attribute:: accept_mappping
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: verify
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.Etr.AcceptMapRequestMapping, self).__init__()

                                self.yang_name = "accept-map-request-mapping"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                self.verify = YLeaf(YType.empty, "verify")
                                self._segment_path = lambda: "accept-map-request-mapping"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                    class MapCacheLimit(Entity):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\: str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.MapCacheLimit, self).__init__()

                            self.yang_name = "map-cache-limit"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "map-cache-limit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                    class MapResolver(Entity):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_request = Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest()
                            self.map_request.parent = self
                            self._children_name_map["map_request"] = "map-request"
                            self._children_yang_names.add("map-request")
                            self._segment_path = lambda: "map-resolver"


                        class MapRequest(Entity):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest, self).__init__()

                                self.yang_name = "map-request"
                                self.yang_parent_name = "map-resolver"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-request"


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-request"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"


                                class Source(Entity):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"list" : ("list", Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered)}
                                        self._child_list_classes = {}

                                        self.list = Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List()
                                        self.list.parent = self
                                        self._children_name_map["list"] = "list"
                                        self._children_yang_names.add("list")

                                        self.registered = Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered()
                                        self.registered.parent = self
                                        self._children_name_map["registered"] = "registered"
                                        self._children_yang_names.add("registered")
                                        self._segment_path = lambda: "source"


                                    class List(Entity):
                                        """
                                        Define allowed prefixes using an ip[v6] prefix list
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                            self.yang_name = "list"
                                            self.yang_parent_name = "source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.str, "ipv4")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")
                                            self._segment_path = lambda: "list"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                    class Registered(Entity):
                                        """
                                        ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                            self.yang_name = "registered"
                                            self.yang_parent_name = "source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"list" : ("list", Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")
                                            self._segment_path = lambda: "registered"


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "registered"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                    class MapServer(Entity):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapServer.MapRegister>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Service.Ipv4.MapServer.MapRegister)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_register = Native.Router.LispList.Service.Ipv4.MapServer.MapRegister()
                            self.map_register.parent = self
                            self._children_name_map["map_register"] = "map-register"
                            self._children_yang_names.add("map-register")
                            self._segment_path = lambda: "map-server"


                        class MapRegister(Entity):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.MapServer.MapRegister, self).__init__()

                                self.yang_name = "map-register"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-register"


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-register"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"


                                class Source(Entity):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                        self._segment_path = lambda: "source"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ipv4.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                    class SiteRegistration(Entity):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.SiteRegistration, self).__init__()

                            self.yang_name = "site-registration"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.limit = YLeaf(YType.uint32, "limit")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "site-registration"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class SolicitMapRequest(Entity):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\: int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.SolicitMapRequest, self).__init__()

                            self.yang_name = "solicit-map-request"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")

                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                            self._segment_path = lambda: "solicit-map-request"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                    class Distance(Entity):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: away
                        
                        	Administrative distance for RIB route installation
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.Distance, self).__init__()

                            self.yang_name = "distance"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.alt = YLeaf(YType.uint8, "alt")

                            self.away = YLeaf(YType.uint8, "away")

                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                            self._segment_path = lambda: "distance"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                    class MapCache(Entity):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: away_eids
                        
                        	Map cache configuration for the away table
                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.MapCache.AwayEids>`
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Service.Ipv4.MapCache.AwayEids)}
                            self._child_list_classes = {}

                            self.site_registration = YLeaf(YType.empty, "site-registration")

                            self.away_eids = Native.Router.LispList.Service.Ipv4.MapCache.AwayEids()
                            self.away_eids.parent = self
                            self._children_name_map["away_eids"] = "away-eids"
                            self._children_yang_names.add("away-eids")
                            self._segment_path = lambda: "map-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.MapCache, ['site_registration'], name, value)


                        class AwayEids(Entity):
                            """
                            Map cache configuration for the away table
                            
                            .. attribute:: send_map_request
                            
                            	Export away table entries into the map cache with action set to send\-map\-request
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.MapCache.AwayEids, self).__init__()

                                self.yang_name = "away-eids"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                self._segment_path = lambda: "away-eids"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.MapCache.AwayEids, ['send_map_request'], name, value)


                    class MapCachePersistent(Entity):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.MapCachePersistent, self).__init__()

                            self.yang_name = "map-cache-persistent"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint16, "interval")
                            self._segment_path = lambda: "map-cache-persistent"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.MapCachePersistent, ['interval'], name, value)


                    class ProxyItr(Entity):
                        """
                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        
                        .. attribute:: ipv4_addr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv6_addr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.ProxyItr, self).__init__()

                            self.yang_name = "proxy-itr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                            self._segment_path = lambda: "proxy-itr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                    class RouteExport(Entity):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.RouteExport, self).__init__()

                            self.yang_name = "route-export"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                            self.away_eids = YLeaf(YType.empty, "away-eids")
                            self._segment_path = lambda: "route-export"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                    class UsePetr(Entity):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: priority
                        
                        	
                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv4.UsePetr.Priority>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv4.UsePetr, self).__init__()

                            self.yang_name = "use-petr"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Service.Ipv4.UsePetr.Priority)}
                            self._child_list_classes = {}

                            self.locator_address = YLeaf(YType.str, "locator-address")

                            self.priority = Native.Router.LispList.Service.Ipv4.UsePetr.Priority()
                            self.priority.parent = self
                            self._children_name_map["priority"] = "priority"
                            self._children_yang_names.add("priority")
                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv4.UsePetr, ['locator_address'], name, value)


                        class Priority(Entity):
                            """
                            
                            
                            .. attribute:: priority_value
                            
                            	Configures which Locators from a set are preferred
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv4.UsePetr.Priority, self).__init__()

                                self.yang_name = "priority"
                                self.yang_parent_name = "use-petr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                self.weight = YLeaf(YType.uint8, "weight")
                                self._segment_path = lambda: "priority"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv4.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                class Ipv6(Entity):
                    """
                    
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default>`
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.DatabaseMapping>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.ItrEnable>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.EtrEnable>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapCacheLimit>`
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.SolicitMapRequest>`
                    
                    .. attribute:: distance
                    
                    	Administrative distance for RIB route installation
                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Distance>`
                    
                    .. attribute:: encapsulation
                    
                    	Select encapsulation type for data packets
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Encapsulation>`
                    
                    .. attribute:: map_cache
                    
                    	Address family specific map cache configuration
                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapCache>`
                    
                    .. attribute:: map_cache_persistent
                    
                    	Dump map\-cache onto flash, making it persistent across reboots
                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapCachePersistent>`
                    
                    .. attribute:: proxy_etr
                    
                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: proxy_itr
                    
                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.ProxyItr>`
                    
                    .. attribute:: route_export
                    
                    	Export routes into RIB from LISP
                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.RouteExport>`
                    
                    .. attribute:: sgt
                    
                    	Enable security group tag propagation in LISP encapsulated traffic
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: use_petr
                    
                    	Encapsulate to Proxy ETR when matching forward\-native entry
                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.UsePetr>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Service.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default" : ("default", Native.Router.LispList.Service.Ipv6.Default), "database-mapping" : ("database_mapping", Native.Router.LispList.Service.Ipv6.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Service.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Service.Ipv6.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Service.Ipv6.EtrEnable), "etr" : ("etr", Native.Router.LispList.Service.Ipv6.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Service.Ipv6.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.LispList.Service.Ipv6.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Service.Ipv6.MapServer), "site-registration" : ("site_registration", Native.Router.LispList.Service.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Service.Ipv6.SolicitMapRequest), "distance" : ("distance", Native.Router.LispList.Service.Ipv6.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Service.Ipv6.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Service.Ipv6.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Service.Ipv6.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Service.Ipv6.RouteExport)}
                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Service.Ipv6.UsePetr)}
                        self.is_presence_container = True

                        self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                        self.sgt = YLeaf(YType.empty, "sgt")

                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                        self.default = Native.Router.LispList.Service.Ipv6.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.database_mapping = Native.Router.LispList.Service.Ipv6.DatabaseMapping()
                        self.database_mapping.parent = self
                        self._children_name_map["database_mapping"] = "database-mapping"
                        self._children_yang_names.add("database-mapping")

                        self.itr = Native.Router.LispList.Service.Ipv6.Itr()
                        self.itr.parent = self
                        self._children_name_map["itr"] = "itr"
                        self._children_yang_names.add("itr")

                        self.itr_enable = Native.Router.LispList.Service.Ipv6.ItrEnable()
                        self.itr_enable.parent = self
                        self._children_name_map["itr_enable"] = "itr-enable"
                        self._children_yang_names.add("itr-enable")

                        self.etr_enable = Native.Router.LispList.Service.Ipv6.EtrEnable()
                        self.etr_enable.parent = self
                        self._children_name_map["etr_enable"] = "etr-enable"
                        self._children_yang_names.add("etr-enable")

                        self.etr = Native.Router.LispList.Service.Ipv6.Etr()
                        self.etr.parent = self
                        self._children_name_map["etr"] = "etr"
                        self._children_yang_names.add("etr")

                        self.map_cache_limit = Native.Router.LispList.Service.Ipv6.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                        self._children_yang_names.add("map-cache-limit")

                        self.map_resolver = None
                        self._children_name_map["map_resolver"] = "map-resolver"
                        self._children_yang_names.add("map-resolver")

                        self.map_server = None
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.site_registration = Native.Router.LispList.Service.Ipv6.SiteRegistration()
                        self.site_registration.parent = self
                        self._children_name_map["site_registration"] = "site-registration"
                        self._children_yang_names.add("site-registration")

                        self.solicit_map_request = Native.Router.LispList.Service.Ipv6.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                        self._children_yang_names.add("solicit-map-request")

                        self.distance = Native.Router.LispList.Service.Ipv6.Distance()
                        self.distance.parent = self
                        self._children_name_map["distance"] = "distance"
                        self._children_yang_names.add("distance")

                        self.map_cache = Native.Router.LispList.Service.Ipv6.MapCache()
                        self.map_cache.parent = self
                        self._children_name_map["map_cache"] = "map-cache"
                        self._children_yang_names.add("map-cache")

                        self.map_cache_persistent = Native.Router.LispList.Service.Ipv6.MapCachePersistent()
                        self.map_cache_persistent.parent = self
                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                        self._children_yang_names.add("map-cache-persistent")

                        self.proxy_itr = Native.Router.LispList.Service.Ipv6.ProxyItr()
                        self.proxy_itr.parent = self
                        self._children_name_map["proxy_itr"] = "proxy-itr"
                        self._children_yang_names.add("proxy-itr")

                        self.route_export = Native.Router.LispList.Service.Ipv6.RouteExport()
                        self.route_export.parent = self
                        self._children_name_map["route_export"] = "route-export"
                        self._children_yang_names.add("route-export")

                        self.use_petr = YList(self)
                        self._segment_path = lambda: "ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Service.Ipv6, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                    class Encapsulation(Enum):
                        """
                        Encapsulation

                        Select encapsulation type for data packets

                        .. data:: lisp = 0

                        .. data:: vxlan = 1

                        """

                        lisp = Enum.YLeaf(0, "lisp")

                        vxlan = Enum.YLeaf(1, "vxlan")



                    class Default(Entity):
                        """
                        
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.ItrEnable>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.EtrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapCacheLimit>`
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.SolicitMapRequest>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Distance>`
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Encapsulation>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapCache>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapCachePersistent>`
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.ProxyItr>`
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.RouteExport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.UsePetr>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Service.Ipv6.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Service.Ipv6.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Service.Ipv6.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.Service.Ipv6.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Service.Ipv6.Default.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.LispList.Service.Ipv6.Default.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Service.Ipv6.Default.MapServer), "site-registration" : ("site_registration", Native.Router.LispList.Service.Ipv6.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Service.Ipv6.Default.SolicitMapRequest), "distance" : ("distance", Native.Router.LispList.Service.Ipv6.Default.Distance), "map-cache" : ("map_cache", Native.Router.LispList.Service.Ipv6.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Service.Ipv6.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.Service.Ipv6.Default.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.Service.Ipv6.Default.RouteExport)}
                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Service.Ipv6.Default.UsePetr)}

                            self.encapsulation = YLeaf(YType.enumeration, "encapsulation")

                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                            self.sgt = YLeaf(YType.empty, "sgt")

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.database_mapping = Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.itr = Native.Router.LispList.Service.Ipv6.Default.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.LispList.Service.Ipv6.Default.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr_enable = Native.Router.LispList.Service.Ipv6.Default.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.etr = Native.Router.LispList.Service.Ipv6.Default.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.map_cache_limit = Native.Router.LispList.Service.Ipv6.Default.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.site_registration = Native.Router.LispList.Service.Ipv6.Default.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.LispList.Service.Ipv6.Default.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")

                            self.distance = Native.Router.LispList.Service.Ipv6.Default.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.map_cache = Native.Router.LispList.Service.Ipv6.Default.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")

                            self.map_cache_persistent = Native.Router.LispList.Service.Ipv6.Default.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                            self._children_yang_names.add("map-cache-persistent")

                            self.proxy_itr = Native.Router.LispList.Service.Ipv6.Default.ProxyItr()
                            self.proxy_itr.parent = self
                            self._children_name_map["proxy_itr"] = "proxy-itr"
                            self._children_yang_names.add("proxy-itr")

                            self.route_export = Native.Router.LispList.Service.Ipv6.Default.RouteExport()
                            self.route_export.parent = self
                            self._children_name_map["route_export"] = "route-export"
                            self._children_yang_names.add("route-export")

                            self.use_petr = YList(self)
                            self._segment_path = lambda: "default"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default, ['encapsulation', 'proxy_etr', 'sgt', 'map_request_source'], name, value)

                        class Encapsulation(Enum):
                            """
                            Encapsulation

                            Select encapsulation type for data packets

                            .. data:: lisp = 0

                            .. data:: vxlan = 1

                            """

                            lisp = Enum.YLeaf(0, "lisp")

                            vxlan = Enum.YLeaf(1, "vxlan")



                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Service.Ipv6.Default.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv6.Default.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.ItrEnable, ['itr'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.EtrEnable, ['etr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer)}

                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                self.accept_map_request_mapping = Native.Router.LispList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                self._children_yang_names.add("accept-map-request-mapping")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.Etr, ['map_cache_ttl'], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                            class AcceptMapRequestMapping(Entity):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                    self.yang_name = "accept-map-request-mapping"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                    self.verify = YLeaf(YType.empty, "verify")
                                    self._segment_path = lambda: "accept-map-request-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"list" : ("list", Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")

                                            self.registered = Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self
                                            self._children_name_map["registered"] = "registered"
                                            self._children_yang_names.add("registered")
                                            self._segment_path = lambda: "source"


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                        class Registered(Entity):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                self.yang_name = "registered"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"list" : ("list", Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")
                                                self._segment_path = lambda: "registered"


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "registered"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class Distance(Entity):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: away
                            
                            	Administrative distance for RIB route installation
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.alt = YLeaf(YType.uint8, "alt")

                                self.away = YLeaf(YType.uint8, "away")

                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                        class MapCache(Entity):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: away_eids
                            
                            	Map cache configuration for the away table
                            	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.MapCache.AwayEids>`
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Service.Ipv6.Default.MapCache.AwayEids)}
                                self._child_list_classes = {}

                                self.site_registration = YLeaf(YType.empty, "site-registration")

                                self.away_eids = Native.Router.LispList.Service.Ipv6.Default.MapCache.AwayEids()
                                self.away_eids.parent = self
                                self._children_name_map["away_eids"] = "away-eids"
                                self._children_yang_names.add("away-eids")
                                self._segment_path = lambda: "map-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.MapCache, ['site_registration'], name, value)


                            class AwayEids(Entity):
                                """
                                Map cache configuration for the away table
                                
                                .. attribute:: send_map_request
                                
                                	Export away table entries into the map cache with action set to send\-map\-request
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv6.Default.MapCache.AwayEids, self).__init__()

                                    self.yang_name = "away-eids"
                                    self.yang_parent_name = "map-cache"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                    self._segment_path = lambda: "away-eids"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                        class MapCachePersistent(Entity):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.MapCachePersistent, self).__init__()

                                self.yang_name = "map-cache-persistent"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")
                                self._segment_path = lambda: "map-cache-persistent"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.MapCachePersistent, ['interval'], name, value)


                        class ProxyItr(Entity):
                            """
                            Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            
                            .. attribute:: ipv4_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: ipv6_addr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.ProxyItr, self).__init__()

                                self.yang_name = "proxy-itr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                self._segment_path = lambda: "proxy-itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                        class RouteExport(Entity):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.RouteExport, self).__init__()

                                self.yang_name = "route-export"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                self._segment_path = lambda: "route-export"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                        class UsePetr(Entity):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	
                            	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Default.UsePetr.Priority>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Default.UsePetr, self).__init__()

                                self.yang_name = "use-petr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Service.Ipv6.Default.UsePetr.Priority)}
                                self._child_list_classes = {}

                                self.locator_address = YLeaf(YType.str, "locator-address")

                                self.priority = Native.Router.LispList.Service.Ipv6.Default.UsePetr.Priority()
                                self.priority.parent = self
                                self._children_name_map["priority"] = "priority"
                                self._children_yang_names.add("priority")
                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.UsePetr, ['locator_address'], name, value)


                            class Priority(Entity):
                                """
                                
                                
                                .. attribute:: priority_value
                                
                                	Configures which Locators from a set are preferred
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: weight
                                
                                	Traffic load\-spreading among Locators
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv6.Default.UsePetr.Priority, self).__init__()

                                    self.yang_name = "priority"
                                    self.yang_parent_name = "use-petr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.priority_value = YLeaf(YType.uint8, "priority-value")

                                    self.weight = YLeaf(YType.uint8, "weight")
                                    self._segment_path = lambda: "priority"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ipv6.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                    class DatabaseMapping(Entity):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.DatabaseMapping, self).__init__()

                            self.yang_name = "database-mapping"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Service.Ipv6.DatabaseMapping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.Router.LispList.Service.Ipv6.DatabaseMapping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "database-mapping"


                        class Limit(Entity):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\: int
                            
                            	**range:** 1..5000
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.DatabaseMapping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "database-mapping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                    class Itr(Entity):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.Itr, self).__init__()

                            self.yang_name = "itr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Service.Ipv6.Itr.MapResolver)}

                            self.map_resolver = YList(self)
                            self._segment_path = lambda: "itr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.Itr, [], name, value)


                        class MapResolver(Entity):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Itr.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "itr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                    class ItrEnable(Entity):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.ItrEnable, self).__init__()

                            self.yang_name = "itr-enable"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.itr = YLeaf(YType.empty, "itr")
                            self._segment_path = lambda: "itr-enable"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.ItrEnable, ['itr'], name, value)


                    class EtrEnable(Entity):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.EtrEnable, self).__init__()

                            self.yang_name = "etr-enable"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.etr = YLeaf(YType.empty, "etr")
                            self._segment_path = lambda: "etr-enable"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.EtrEnable, ['etr'], name, value)


                    class Etr(Entity):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer>`
                        
                        .. attribute:: map_cache_ttl
                        
                        	
                        	**type**\: int
                        
                        	**range:** 60..10080
                        
                        .. attribute:: accept_map_request_mapping
                        
                        	
                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.Etr, self).__init__()

                            self.yang_name = "etr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Service.Ipv6.Etr.AcceptMapRequestMapping)}
                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Service.Ipv6.Etr.MapServer)}

                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                            self.accept_map_request_mapping = Native.Router.LispList.Service.Ipv6.Etr.AcceptMapRequestMapping()
                            self.accept_map_request_mapping.parent = self
                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                            self._children_yang_names.add("accept-map-request-mapping")

                            self.map_server = YList(self)
                            self._segment_path = lambda: "etr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.Etr, ['map_cache_ttl'], name, value)


                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Etr.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7)}
                                    self._child_list_classes = {}

                                    self.key_pwd = Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self
                                    self._children_name_map["key_pwd"] = "key-pwd"
                                    self._children_yang_names.add("key-pwd")

                                    self.key_0 = Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self._children_name_map["key_0"] = "key-0"
                                    self._children_yang_names.add("key-0")

                                    self.key_6 = Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self._children_name_map["key_6"] = "key-6"
                                    self._children_yang_names.add("key-6")

                                    self.key_7 = Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self._children_name_map["key_7"] = "key-7"
                                    self._children_yang_names.add("key-7")
                                    self._segment_path = lambda: "key"


                                class KeyPwd(Entity):
                                    """
                                    
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd, self).__init__()

                                        self.yang_name = "key-pwd"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-pwd"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key0(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0, self).__init__()

                                        self.yang_name = "key-0"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-0"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key6(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6, self).__init__()

                                        self.yang_name = "key-6"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-6"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key7(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7, self).__init__()

                                        self.yang_name = "key-7"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-7"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ipv6.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                        class AcceptMapRequestMapping(Entity):
                            """
                            
                            
                            .. attribute:: accept_mappping
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: verify
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.Etr.AcceptMapRequestMapping, self).__init__()

                                self.yang_name = "accept-map-request-mapping"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                self.verify = YLeaf(YType.empty, "verify")
                                self._segment_path = lambda: "accept-map-request-mapping"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                    class MapCacheLimit(Entity):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\: str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.MapCacheLimit, self).__init__()

                            self.yang_name = "map-cache-limit"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "map-cache-limit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                    class MapResolver(Entity):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_request = Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest()
                            self.map_request.parent = self
                            self._children_name_map["map_request"] = "map-request"
                            self._children_yang_names.add("map-request")
                            self._segment_path = lambda: "map-resolver"


                        class MapRequest(Entity):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest, self).__init__()

                                self.yang_name = "map-request"
                                self.yang_parent_name = "map-resolver"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-request"


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-request"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"


                                class Source(Entity):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"list" : ("list", Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered)}
                                        self._child_list_classes = {}

                                        self.list = Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List()
                                        self.list.parent = self
                                        self._children_name_map["list"] = "list"
                                        self._children_yang_names.add("list")

                                        self.registered = Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered()
                                        self.registered.parent = self
                                        self._children_name_map["registered"] = "registered"
                                        self._children_yang_names.add("registered")
                                        self._segment_path = lambda: "source"


                                    class List(Entity):
                                        """
                                        Define allowed prefixes using an ip[v6] prefix list
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                            self.yang_name = "list"
                                            self.yang_parent_name = "source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.str, "ipv4")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")
                                            self._segment_path = lambda: "list"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                    class Registered(Entity):
                                        """
                                        ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                            self.yang_name = "registered"
                                            self.yang_parent_name = "source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"list" : ("list", Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")
                                            self._segment_path = lambda: "registered"


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "registered"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                    class MapServer(Entity):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapServer.MapRegister>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Service.Ipv6.MapServer.MapRegister)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_register = Native.Router.LispList.Service.Ipv6.MapServer.MapRegister()
                            self.map_register.parent = self
                            self._children_name_map["map_register"] = "map-register"
                            self._children_yang_names.add("map-register")
                            self._segment_path = lambda: "map-server"


                        class MapRegister(Entity):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.MapServer.MapRegister, self).__init__()

                                self.yang_name = "map-register"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-register"


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-register"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"


                                class Source(Entity):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                        self._segment_path = lambda: "source"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ipv6.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                    class SiteRegistration(Entity):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.SiteRegistration, self).__init__()

                            self.yang_name = "site-registration"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.limit = YLeaf(YType.uint32, "limit")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "site-registration"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class SolicitMapRequest(Entity):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\: int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.SolicitMapRequest, self).__init__()

                            self.yang_name = "solicit-map-request"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")

                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                            self._segment_path = lambda: "solicit-map-request"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                    class Distance(Entity):
                        """
                        Administrative distance for RIB route installation
                        
                        .. attribute:: alt
                        
                        	LISP routes installed in the ALT table
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: away
                        
                        	Administrative distance for RIB route installation
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: dyn_eid
                        
                        	LISP installed routes of type dynamic\-EID
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: site_registrations
                        
                        	LISP installed routes of type site\-registrations
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.Distance, self).__init__()

                            self.yang_name = "distance"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.alt = YLeaf(YType.uint8, "alt")

                            self.away = YLeaf(YType.uint8, "away")

                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                            self._segment_path = lambda: "distance"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                    class MapCache(Entity):
                        """
                        Address family specific map cache configuration
                        
                        .. attribute:: away_eids
                        
                        	Map cache configuration for the away table
                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.MapCache.AwayEids>`
                        
                        .. attribute:: site_registration
                        
                        	Install map cache to map request for site registrations
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.Service.Ipv6.MapCache.AwayEids)}
                            self._child_list_classes = {}

                            self.site_registration = YLeaf(YType.empty, "site-registration")

                            self.away_eids = Native.Router.LispList.Service.Ipv6.MapCache.AwayEids()
                            self.away_eids.parent = self
                            self._children_name_map["away_eids"] = "away-eids"
                            self._children_yang_names.add("away-eids")
                            self._segment_path = lambda: "map-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.MapCache, ['site_registration'], name, value)


                        class AwayEids(Entity):
                            """
                            Map cache configuration for the away table
                            
                            .. attribute:: send_map_request
                            
                            	Export away table entries into the map cache with action set to send\-map\-request
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.MapCache.AwayEids, self).__init__()

                                self.yang_name = "away-eids"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                self._segment_path = lambda: "away-eids"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.MapCache.AwayEids, ['send_map_request'], name, value)


                    class MapCachePersistent(Entity):
                        """
                        Dump map\-cache onto flash, making it persistent across reboots
                        
                        .. attribute:: interval
                        
                        	Interval in minutes of how often the map\-cache is saved
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.MapCachePersistent, self).__init__()

                            self.yang_name = "map-cache-persistent"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.uint16, "interval")
                            self._segment_path = lambda: "map-cache-persistent"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.MapCachePersistent, ['interval'], name, value)


                    class ProxyItr(Entity):
                        """
                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        
                        .. attribute:: ipv4_addr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv6_addr
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.ProxyItr, self).__init__()

                            self.yang_name = "proxy-itr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                            self._segment_path = lambda: "proxy-itr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                    class RouteExport(Entity):
                        """
                        Export routes into RIB from LISP
                        
                        .. attribute:: site_registrations
                        
                        	Export LISP site registrations to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: away_eids
                        
                        	Export LISP away EIDs to RIB
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.RouteExport, self).__init__()

                            self.yang_name = "route-export"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                            self.away_eids = YLeaf(YType.empty, "away-eids")
                            self._segment_path = lambda: "route-export"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                    class UsePetr(Entity):
                        """
                        Encapsulate to Proxy ETR when matching forward\-native entry
                        
                        .. attribute:: locator_address  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: priority
                        
                        	
                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ipv6.UsePetr.Priority>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ipv6.UsePetr, self).__init__()

                            self.yang_name = "use-petr"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.Service.Ipv6.UsePetr.Priority)}
                            self._child_list_classes = {}

                            self.locator_address = YLeaf(YType.str, "locator-address")

                            self.priority = Native.Router.LispList.Service.Ipv6.UsePetr.Priority()
                            self.priority.parent = self
                            self._children_name_map["priority"] = "priority"
                            self._children_yang_names.add("priority")
                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ipv6.UsePetr, ['locator_address'], name, value)


                        class Priority(Entity):
                            """
                            
                            
                            .. attribute:: priority_value
                            
                            	Configures which Locators from a set are preferred
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ipv6.UsePetr.Priority, self).__init__()

                                self.yang_name = "priority"
                                self.yang_parent_name = "use-petr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                self.weight = YLeaf(YType.uint8, "weight")
                                self._segment_path = lambda: "priority"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ipv6.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                class Ethernet(Entity):
                    """
                    
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default>`
                    
                    .. attribute:: encapsulation
                    
                    	Select encapsulation type for data packets
                    	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Encapsulation>`
                    
                    .. attribute:: map_request_source
                    
                    	Configures inner header source address in Map\-Request message
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: database_mapping
                    
                    	Address family specific local EID prefixes database configuration
                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.DatabaseMapping>`
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Itr>`
                    
                    .. attribute:: itr_enable
                    
                    	
                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.ItrEnable>`
                    
                    .. attribute:: etr_enable
                    
                    	
                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.EtrEnable>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr>`
                    
                    .. attribute:: map_cache_limit
                    
                    	Configures maximum size of map\-cache
                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapCacheLimit>`
                    
                    .. attribute:: map_resolver
                    
                    	Configures a LISP Map Resolver (MR)
                    	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: map_server
                    
                    	Configures a LISP Map Server (MS)
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: site_registration
                    
                    	Site registrations configuration for a given instance\-id
                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.SiteRegistration>`
                    
                    .. attribute:: solicit_map_request
                    
                    	Configure Solicit\-Map\-Request handling
                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.SolicitMapRequest>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Service.Ethernet, self).__init__()

                        self.yang_name = "ethernet"
                        self.yang_parent_name = "service"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default" : ("default", Native.Router.LispList.Service.Ethernet.Default), "encapsulation" : ("encapsulation", Native.Router.LispList.Service.Ethernet.Encapsulation), "database-mapping" : ("database_mapping", Native.Router.LispList.Service.Ethernet.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Service.Ethernet.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Service.Ethernet.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Service.Ethernet.EtrEnable), "etr" : ("etr", Native.Router.LispList.Service.Ethernet.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Service.Ethernet.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.LispList.Service.Ethernet.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Service.Ethernet.MapServer), "site-registration" : ("site_registration", Native.Router.LispList.Service.Ethernet.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Service.Ethernet.SolicitMapRequest)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                        self.default = Native.Router.LispList.Service.Ethernet.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.encapsulation = Native.Router.LispList.Service.Ethernet.Encapsulation()
                        self.encapsulation.parent = self
                        self._children_name_map["encapsulation"] = "encapsulation"
                        self._children_yang_names.add("encapsulation")

                        self.database_mapping = Native.Router.LispList.Service.Ethernet.DatabaseMapping()
                        self.database_mapping.parent = self
                        self._children_name_map["database_mapping"] = "database-mapping"
                        self._children_yang_names.add("database-mapping")

                        self.itr = Native.Router.LispList.Service.Ethernet.Itr()
                        self.itr.parent = self
                        self._children_name_map["itr"] = "itr"
                        self._children_yang_names.add("itr")

                        self.itr_enable = Native.Router.LispList.Service.Ethernet.ItrEnable()
                        self.itr_enable.parent = self
                        self._children_name_map["itr_enable"] = "itr-enable"
                        self._children_yang_names.add("itr-enable")

                        self.etr_enable = Native.Router.LispList.Service.Ethernet.EtrEnable()
                        self.etr_enable.parent = self
                        self._children_name_map["etr_enable"] = "etr-enable"
                        self._children_yang_names.add("etr-enable")

                        self.etr = Native.Router.LispList.Service.Ethernet.Etr()
                        self.etr.parent = self
                        self._children_name_map["etr"] = "etr"
                        self._children_yang_names.add("etr")

                        self.map_cache_limit = Native.Router.LispList.Service.Ethernet.MapCacheLimit()
                        self.map_cache_limit.parent = self
                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                        self._children_yang_names.add("map-cache-limit")

                        self.map_resolver = None
                        self._children_name_map["map_resolver"] = "map-resolver"
                        self._children_yang_names.add("map-resolver")

                        self.map_server = None
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.site_registration = Native.Router.LispList.Service.Ethernet.SiteRegistration()
                        self.site_registration.parent = self
                        self._children_name_map["site_registration"] = "site-registration"
                        self._children_yang_names.add("site-registration")

                        self.solicit_map_request = Native.Router.LispList.Service.Ethernet.SolicitMapRequest()
                        self.solicit_map_request.parent = self
                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                        self._children_yang_names.add("solicit-map-request")
                        self._segment_path = lambda: "ethernet"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Service.Ethernet, ['map_request_source'], name, value)


                    class Default(Entity):
                        """
                        
                        
                        .. attribute:: encapsulation
                        
                        	Select encapsulation type for data packets
                        	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Encapsulation>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.ItrEnable>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.EtrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapCacheLimit>`
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.SolicitMapRequest>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ethernet.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Router.LispList.Service.Ethernet.Default.Encapsulation), "database-mapping" : ("database_mapping", Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.Service.Ethernet.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Service.Ethernet.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.Service.Ethernet.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.Service.Ethernet.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Service.Ethernet.Default.MapCacheLimit), "map-resolver" : ("map_resolver", Native.Router.LispList.Service.Ethernet.Default.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Service.Ethernet.Default.MapServer), "site-registration" : ("site_registration", Native.Router.LispList.Service.Ethernet.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Service.Ethernet.Default.SolicitMapRequest)}
                            self._child_list_classes = {}

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.encapsulation = Native.Router.LispList.Service.Ethernet.Default.Encapsulation()
                            self.encapsulation.parent = self
                            self._children_name_map["encapsulation"] = "encapsulation"
                            self._children_yang_names.add("encapsulation")

                            self.database_mapping = Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.itr = Native.Router.LispList.Service.Ethernet.Default.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.LispList.Service.Ethernet.Default.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr_enable = Native.Router.LispList.Service.Ethernet.Default.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.etr = Native.Router.LispList.Service.Ethernet.Default.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.map_cache_limit = Native.Router.LispList.Service.Ethernet.Default.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.site_registration = Native.Router.LispList.Service.Ethernet.Default.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.LispList.Service.Ethernet.Default.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")
                            self._segment_path = lambda: "default"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default, ['map_request_source'], name, value)


                        class Encapsulation(Entity):
                            """
                            Select encapsulation type for data packets
                            
                            .. attribute:: vxlan
                            
                            	Use VXLAN encapsulation for data packets
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Default.Encapsulation, self).__init__()

                                self.yang_name = "encapsulation"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.vxlan = YLeaf(YType.empty, "vxlan")
                                self._segment_path = lambda: "encapsulation"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.Encapsulation, ['vxlan'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 1..5000
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Default.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Service.Ethernet.Default.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ethernet.Default.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Default.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.ItrEnable, ['itr'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Default.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.EtrEnable, ['etr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer>`
                            
                            .. attribute:: map_cache_ttl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 60..10080
                            
                            .. attribute:: accept_map_request_mapping
                            
                            	
                            	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Default.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer)}

                                self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                self.accept_map_request_mapping = Native.Router.LispList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                self.accept_map_request_mapping.parent = self
                                self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                self._children_yang_names.add("accept-map-request-mapping")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.Etr, ['map_cache_ttl'], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                            class AcceptMapRequestMapping(Entity):
                                """
                                
                                
                                .. attribute:: accept_mappping
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: verify
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                    self.yang_name = "accept-map-request-mapping"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                    self.verify = YLeaf(YType.empty, "verify")
                                    self._segment_path = lambda: "accept-map-request-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Default.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Default.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"list" : ("list", Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")

                                            self.registered = Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered()
                                            self.registered.parent = self
                                            self._children_name_map["registered"] = "registered"
                                            self._children_yang_names.add("registered")
                                            self._segment_path = lambda: "source"


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                        class Registered(Entity):
                                            """
                                            ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                            
                                            .. attribute:: list
                                            
                                            	Define allowed prefixes using an ip[v6] prefix list
                                            	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                                self.yang_name = "registered"
                                                self.yang_parent_name = "source"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"list" : ("list", Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                                self._child_list_classes = {}

                                                self.list = Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List()
                                                self.list.parent = self
                                                self._children_name_map["list"] = "list"
                                                self._children_yang_names.add("list")
                                                self._segment_path = lambda: "registered"


                                            class List(Entity):
                                                """
                                                Define allowed prefixes using an ip[v6] prefix list
                                                
                                                .. attribute:: ipv4
                                                
                                                	IPv4 prefixes
                                                	**type**\: str
                                                
                                                .. attribute:: ipv6
                                                
                                                	IPv6 prefixes
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                    self.yang_name = "list"
                                                    self.yang_parent_name = "registered"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                                    self._segment_path = lambda: "list"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Default.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations
                            	**type**\: int
                            
                            	**range:** 1..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Default.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Default.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                    class Encapsulation(Entity):
                        """
                        Select encapsulation type for data packets
                        
                        .. attribute:: vxlan
                        
                        	Use VXLAN encapsulation for data packets
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ethernet.Encapsulation, self).__init__()

                            self.yang_name = "encapsulation"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vxlan = YLeaf(YType.empty, "vxlan")
                            self._segment_path = lambda: "encapsulation"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.Encapsulation, ['vxlan'], name, value)


                    class DatabaseMapping(Entity):
                        """
                        Address family specific local EID prefixes database configuration
                        
                        .. attribute:: limit
                        
                        	Configures the maximum size of local EID prefixes database
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.DatabaseMapping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ethernet.DatabaseMapping, self).__init__()

                            self.yang_name = "database-mapping"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Service.Ethernet.DatabaseMapping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.Router.LispList.Service.Ethernet.DatabaseMapping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "database-mapping"


                        class Limit(Entity):
                            """
                            Configures the maximum size of local EID prefixes database
                            
                            .. attribute:: dynamic
                            
                            	Configures the maximum size of dynamic local EID prefixes database
                            	**type**\: int
                            
                            	**range:** 1..5000
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.DatabaseMapping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "database-mapping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                    class Itr(Entity):
                        """
                        Configures a LISP Ingress Tunnel Router (ITR)
                        
                        .. attribute:: map_resolver
                        
                        	Configures map\-resolver address for sending Map\-Requests
                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Itr.MapResolver>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ethernet.Itr, self).__init__()

                            self.yang_name = "itr"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Service.Ethernet.Itr.MapResolver)}

                            self.map_resolver = YList(self)
                            self._segment_path = lambda: "itr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.Itr, [], name, value)


                        class MapResolver(Entity):
                            """
                            Configures map\-resolver address for sending Map\-Requests
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Itr.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "itr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.Itr.MapResolver, ['ip_addr'], name, value)


                    class ItrEnable(Entity):
                        """
                        
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ethernet.ItrEnable, self).__init__()

                            self.yang_name = "itr-enable"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.itr = YLeaf(YType.empty, "itr")
                            self._segment_path = lambda: "itr-enable"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.ItrEnable, ['itr'], name, value)


                    class EtrEnable(Entity):
                        """
                        
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ethernet.EtrEnable, self).__init__()

                            self.yang_name = "etr-enable"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.etr = YLeaf(YType.empty, "etr")
                            self._segment_path = lambda: "etr-enable"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.EtrEnable, ['etr'], name, value)


                    class Etr(Entity):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer>`
                        
                        .. attribute:: map_cache_ttl
                        
                        	
                        	**type**\: int
                        
                        	**range:** 60..10080
                        
                        .. attribute:: accept_map_request_mapping
                        
                        	
                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ethernet.Etr, self).__init__()

                            self.yang_name = "etr"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.Service.Ethernet.Etr.AcceptMapRequestMapping)}
                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Service.Ethernet.Etr.MapServer)}

                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                            self.accept_map_request_mapping = Native.Router.LispList.Service.Ethernet.Etr.AcceptMapRequestMapping()
                            self.accept_map_request_mapping.parent = self
                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                            self._children_yang_names.add("accept-map-request-mapping")

                            self.map_server = YList(self)
                            self._segment_path = lambda: "etr"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.Etr, ['map_cache_ttl'], name, value)


                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Etr.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7)}
                                    self._child_list_classes = {}

                                    self.key_pwd = Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self
                                    self._children_name_map["key_pwd"] = "key-pwd"
                                    self._children_yang_names.add("key-pwd")

                                    self.key_0 = Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self._children_name_map["key_0"] = "key-0"
                                    self._children_yang_names.add("key-0")

                                    self.key_6 = Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self._children_name_map["key_6"] = "key-6"
                                    self._children_yang_names.add("key-6")

                                    self.key_7 = Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self._children_name_map["key_7"] = "key-7"
                                    self._children_yang_names.add("key-7")
                                    self._segment_path = lambda: "key"


                                class KeyPwd(Entity):
                                    """
                                    
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd, self).__init__()

                                        self.yang_name = "key-pwd"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-pwd"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key0(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0, self).__init__()

                                        self.yang_name = "key-0"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-0"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key6(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6, self).__init__()

                                        self.yang_name = "key-6"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-6"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key7(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7, self).__init__()

                                        self.yang_name = "key-7"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-7"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ethernet.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                        class AcceptMapRequestMapping(Entity):
                            """
                            
                            
                            .. attribute:: accept_mappping
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: verify
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.Etr.AcceptMapRequestMapping, self).__init__()

                                self.yang_name = "accept-map-request-mapping"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                self.verify = YLeaf(YType.empty, "verify")
                                self._segment_path = lambda: "accept-map-request-mapping"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                    class MapCacheLimit(Entity):
                        """
                        Configures maximum size of map\-cache
                        
                        .. attribute:: max_map_cache_entries
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..100000
                        
                        .. attribute:: reserve_list
                        
                        	EID\-prefixes guaranteed to be stored in map\-cache
                        	**type**\: str
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ethernet.MapCacheLimit, self).__init__()

                            self.yang_name = "map-cache-limit"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "map-cache-limit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                    class MapResolver(Entity):
                        """
                        Configures a LISP Map Resolver (MR)
                        
                        .. attribute:: map_request
                        
                        	Map\-Request processing options
                        	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ethernet.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_request = Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest()
                            self.map_request.parent = self
                            self._children_name_map["map_request"] = "map-request"
                            self._children_yang_names.add("map-request")
                            self._segment_path = lambda: "map-resolver"


                        class MapRequest(Entity):
                            """
                            Map\-Request processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest, self).__init__()

                                self.yang_name = "map-request"
                                self.yang_parent_name = "map-resolver"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-request"


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	Influence which source RLOCs map requests are accepted from
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-request"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"


                                class Source(Entity):
                                    """
                                    Influence which source RLOCs map requests are accepted from
                                    
                                    .. attribute:: list
                                    
                                    	Define allowed prefixes using an ip[v6] prefix list
                                    	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List>`
                                    
                                    .. attribute:: registered
                                    
                                    	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                    	**type**\:  :py:class:`Registered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"list" : ("list", Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List), "registered" : ("registered", Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered)}
                                        self._child_list_classes = {}

                                        self.list = Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List()
                                        self.list.parent = self
                                        self._children_name_map["list"] = "list"
                                        self._children_yang_names.add("list")

                                        self.registered = Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered()
                                        self.registered.parent = self
                                        self._children_name_map["registered"] = "registered"
                                        self._children_yang_names.add("registered")
                                        self._segment_path = lambda: "source"


                                    class List(Entity):
                                        """
                                        Define allowed prefixes using an ip[v6] prefix list
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List, self).__init__()

                                            self.yang_name = "list"
                                            self.yang_parent_name = "source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4 = YLeaf(YType.str, "ipv4")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")
                                            self._segment_path = lambda: "list"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.List, ['ipv4', 'ipv6'], name, value)


                                    class Registered(Entity):
                                        """
                                        ...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered, self).__init__()

                                            self.yang_name = "registered"
                                            self.yang_parent_name = "source"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"list" : ("list", Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List)}
                                            self._child_list_classes = {}

                                            self.list = Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List()
                                            self.list.parent = self
                                            self._children_name_map["list"] = "list"
                                            self._children_yang_names.add("list")
                                            self._segment_path = lambda: "registered"


                                        class List(Entity):
                                            """
                                            Define allowed prefixes using an ip[v6] prefix list
                                            
                                            .. attribute:: ipv4
                                            
                                            	IPv4 prefixes
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	IPv6 prefixes
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List, self).__init__()

                                                self.yang_name = "list"
                                                self.yang_parent_name = "registered"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "list"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.Service.Ethernet.MapResolver.MapRequest.Validate.Source.Registered.List, ['ipv4', 'ipv6'], name, value)


                    class MapServer(Entity):
                        """
                        Configures a LISP Map Server (MS)
                        
                        .. attribute:: map_register
                        
                        	Map\-Register processing options
                        	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapServer.MapRegister>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ethernet.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Service.Ethernet.MapServer.MapRegister)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.map_register = Native.Router.LispList.Service.Ethernet.MapServer.MapRegister()
                            self.map_register.parent = self
                            self._children_name_map["map_register"] = "map-register"
                            self._children_yang_names.add("map-register")
                            self._segment_path = lambda: "map-server"


                        class MapRegister(Entity):
                            """
                            Map\-Register processing options
                            
                            .. attribute:: validate
                            
                            	Validation options
                            	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Service.Ethernet.MapServer.MapRegister, self).__init__()

                                self.yang_name = "map-register"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate)}
                                self._child_list_classes = {}

                                self.validate = Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate()
                                self.validate.parent = self
                                self._children_name_map["validate"] = "validate"
                                self._children_yang_names.add("validate")
                                self._segment_path = lambda: "map-register"


                            class Validate(Entity):
                                """
                                Validation options
                                
                                .. attribute:: source
                                
                                	RLOC Source IP address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate, self).__init__()

                                    self.yang_name = "validate"
                                    self.yang_parent_name = "map-register"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "validate"


                                class Source(Entity):
                                    """
                                    RLOC Source IP address
                                    
                                    .. attribute:: allowed_locator
                                    
                                    	Against sites' allowed\-locators policy
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "validate"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                        self._segment_path = lambda: "source"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.Service.Ethernet.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                    class SiteRegistration(Entity):
                        """
                        Site registrations configuration for a given instance\-id
                        
                        .. attribute:: limit
                        
                        	Maximum number of site registrations
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Warning threshold to issue system logging
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ethernet.SiteRegistration, self).__init__()

                            self.yang_name = "site-registration"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.limit = YLeaf(YType.uint32, "limit")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "site-registration"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class SolicitMapRequest(Entity):
                        """
                        Configure Solicit\-Map\-Request handling
                        
                        .. attribute:: ignore
                        
                        	Ignore SMR bit in incoming Map\-Requests
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: max_per_entry
                        
                        	Maximum number of SMRs for addresses under a map\-cache entry
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: suppression_time
                        
                        	How long to suppress repeated SMRs for the same address
                        	**type**\: int
                        
                        	**range:** 1..600
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Service.Ethernet.SolicitMapRequest, self).__init__()

                            self.yang_name = "solicit-map-request"
                            self.yang_parent_name = "ethernet"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ignore = YLeaf(YType.empty, "ignore")

                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                            self._segment_path = lambda: "solicit-map-request"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Service.Ethernet.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


            class Encapsulation(Entity):
                """
                Select encapsulation type for data packets
                
                .. attribute:: vxlan
                
                	Use VXLAN encapsulation for data packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.Encapsulation, self).__init__()

                    self.yang_name = "encapsulation"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.vxlan = YLeaf(YType.empty, "vxlan")
                    self._segment_path = lambda: "encapsulation"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.Encapsulation, ['vxlan'], name, value)


            class LocatorSet(Entity):
                """
                Configure a named locator set
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: auto_discover_rlocs
                
                	Auto discover locators registered by other xTRs
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ipv4_interface
                
                	Use IPv4 address of interface as locator
                	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorSet.IPv4Interface>`
                
                .. attribute:: ipv6_interface
                
                	Use IPv6 address of interface as locator
                	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorSet.IPv6Interface>`
                
                .. attribute:: ip_address
                
                	Use IPv6 address of interface as locator
                	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocatorSet.IpAddress>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.LocatorSet, self).__init__()

                    self.yang_name = "locator-set"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"IPv4-interface" : ("ipv4_interface", Native.Router.LispList.LocatorSet.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.LocatorSet.IPv6Interface), "ip-address" : ("ip_address", Native.Router.LispList.LocatorSet.IpAddress)}

                    self.name = YLeaf(YType.str, "name")

                    self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                    self.ipv4_interface = YList(self)
                    self.ipv6_interface = YList(self)
                    self.ip_address = YList(self)
                    self._segment_path = lambda: "locator-set" + "[name='" + self.name.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.LocatorSet, ['name', 'auto_discover_rlocs'], name, value)


                class IPv4Interface(Entity):
                    """
                    Use IPv4 address of interface as locator
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.LocatorSet.IPv4Interface, self).__init__()

                        self.yang_name = "IPv4-interface"
                        self.yang_parent_name = "locator-set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.weight = YLeaf(YType.uint8, "weight")
                        self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.LocatorSet.IPv4Interface, ['name', 'priority', 'weight'], name, value)


                class IPv6Interface(Entity):
                    """
                    Use IPv6 address of interface as locator
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.LocatorSet.IPv6Interface, self).__init__()

                        self.yang_name = "IPv6-interface"
                        self.yang_parent_name = "locator-set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.weight = YLeaf(YType.uint8, "weight")
                        self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.LocatorSet.IPv6Interface, ['name', 'priority', 'weight'], name, value)


                class IpAddress(Entity):
                    """
                    Use IPv6 address of interface as locator
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.LocatorSet.IpAddress, self).__init__()

                        self.yang_name = "ip-address"
                        self.yang_parent_name = "locator-set"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ip = YLeaf(YType.str, "ip")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.weight = YLeaf(YType.uint8, "weight")
                        self._segment_path = lambda: "ip-address" + "[ip='" + self.ip.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.LocatorSet.IpAddress, ['ip', 'priority', 'weight'], name, value)


            class Locator(Entity):
                """
                Locator configuration
                
                .. attribute:: default_set
                
                	Specify a default locator\-set
                	**type**\: str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.Locator, self).__init__()

                    self.yang_name = "locator"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.default_set = YLeaf(YType.str, "default-set")
                    self._segment_path = lambda: "locator"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.Locator, ['default_set'], name, value)


            class LocatorScope(Entity):
                """
                Configure a locator scope
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: rloc_prefix
                
                	RLOC prefix to check against ITR RLOC and ETR RLOC
                	**type**\: union of the below types:
                
                		**type**\: list of str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                
                		**type**\: list of str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                
                .. attribute:: rtr_locator_set
                
                	Locator\-set of RTR to use in proxy reply for disjoint/cross AF RLOC
                	**type**\: list of str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.LocatorScope, self).__init__()

                    self.yang_name = "locator-scope"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.rloc_prefix = YLeafList(YType.str, "rloc-prefix")

                    self.rtr_locator_set = YLeafList(YType.str, "rtr-locator-set")
                    self._segment_path = lambda: "locator-scope" + "[name='" + self.name.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.LocatorScope, ['name', 'rloc_prefix', 'rtr_locator_set'], name, value)


            class InstanceContainer(Entity):
                """
                EID instance\-ID
                
                .. attribute:: instance_list
                
                	
                	**type**\: list of  		 :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.InstanceContainer, self).__init__()

                    self.yang_name = "instance-container"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"instance-list" : ("instance_list", Native.Router.LispList.InstanceContainer.InstanceList)}

                    self.instance_list = YList(self)
                    self._segment_path = lambda: "instance-container"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.InstanceContainer, [], name, value)


                class InstanceList(Entity):
                    """
                    
                    
                    .. attribute:: instance_id  <key>
                    
                    	EID instance\-ID
                    	**type**\: int
                    
                    	**range:** 0..16777214
                    
                    .. attribute:: default
                    
                    	
                    	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default>`
                    
                    .. attribute:: decapsulation
                    
                    	Decapsulation behavior (e.g. filters)
                    	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation>`
                    
                    .. attribute:: disable_ttl_propagate
                    
                    	Disable ttl propagation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dynamic_eid
                    
                    	Configure a dynamic EID
                    	**type**\: list of  		 :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid>`
                    
                    .. attribute:: loc_reach_algorithm
                    
                    	Configure locator reachability algorithm
                    	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm>`
                    
                    .. attribute:: map_server
                    
                    	Map\-Server commands
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.MapServer>`
                    
                    .. attribute:: other_xtr_probe
                    
                    	Configure parameters for probing of other xTRs in our site
                    	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.OtherXtrProbe>`
                    
                    .. attribute:: remote_rloc_probe
                    
                    	Configure parameters for probing of remote RLOCs
                    	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.RemoteRlocProbe>`
                    
                    .. attribute:: service
                    
                    	Configure lisp service type
                    	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.InstanceContainer.InstanceList, self).__init__()

                        self.yang_name = "instance-list"
                        self.yang_parent_name = "instance-container"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default" : ("default", Native.Router.LispList.InstanceContainer.InstanceList.Default), "decapsulation" : ("decapsulation", Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm), "map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.LispList.InstanceContainer.InstanceList.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.LispList.InstanceContainer.InstanceList.RemoteRlocProbe), "service" : ("service", Native.Router.LispList.InstanceContainer.InstanceList.Service)}
                        self._child_list_classes = {"dynamic-eid" : ("dynamic_eid", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid)}

                        self.instance_id = YLeaf(YType.uint32, "instance-id")

                        self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                        self.default = Native.Router.LispList.InstanceContainer.InstanceList.Default()
                        self.default.parent = self
                        self._children_name_map["default"] = "default"
                        self._children_yang_names.add("default")

                        self.decapsulation = Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation()
                        self.decapsulation.parent = self
                        self._children_name_map["decapsulation"] = "decapsulation"
                        self._children_yang_names.add("decapsulation")

                        self.loc_reach_algorithm = Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm()
                        self.loc_reach_algorithm.parent = self
                        self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                        self._children_yang_names.add("loc-reach-algorithm")

                        self.map_server = Native.Router.LispList.InstanceContainer.InstanceList.MapServer()
                        self.map_server.parent = self
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.other_xtr_probe = Native.Router.LispList.InstanceContainer.InstanceList.OtherXtrProbe()
                        self.other_xtr_probe.parent = self
                        self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                        self._children_yang_names.add("other-xtr-probe")

                        self.remote_rloc_probe = Native.Router.LispList.InstanceContainer.InstanceList.RemoteRlocProbe()
                        self.remote_rloc_probe.parent = self
                        self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                        self._children_yang_names.add("remote-rloc-probe")

                        self.service = None
                        self._children_name_map["service"] = "service"
                        self._children_yang_names.add("service")

                        self.dynamic_eid = YList(self)
                        self._segment_path = lambda: "instance-list" + "[instance-id='" + self.instance_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList, ['instance_id', 'disable_ttl_propagate'], name, value)


                    class Default(Entity):
                        """
                        
                        
                        .. attribute:: decapsulation
                        
                        	Decapsulation behavior (e.g. filters)
                        	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation>`
                        
                        .. attribute:: disable_ttl_propagate
                        
                        	Disable ttl propagation
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: dynamic_eid
                        
                        	Configure a dynamic EID
                        	**type**\: list of  		 :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid>`
                        
                        .. attribute:: loc_reach_algorithm
                        
                        	Configure locator reachability algorithm
                        	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm>`
                        
                        .. attribute:: map_server
                        
                        	Map\-Server commands
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer>`
                        
                        .. attribute:: other_xtr_probe
                        
                        	Configure parameters for probing of other xTRs in our site
                        	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.OtherXtrProbe>`
                        
                        .. attribute:: remote_rloc_probe
                        
                        	Configure parameters for probing of remote RLOCs
                        	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.RemoteRlocProbe>`
                        
                        .. attribute:: service
                        
                        	Configure lisp service type
                        	**type**\:  :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default, self).__init__()

                            self.yang_name = "default"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"decapsulation" : ("decapsulation", Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm), "map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.LispList.InstanceContainer.InstanceList.Default.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.LispList.InstanceContainer.InstanceList.Default.RemoteRlocProbe), "service" : ("service", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service)}
                            self._child_list_classes = {"dynamic-eid" : ("dynamic_eid", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid)}

                            self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                            self.decapsulation = Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation()
                            self.decapsulation.parent = self
                            self._children_name_map["decapsulation"] = "decapsulation"
                            self._children_yang_names.add("decapsulation")

                            self.loc_reach_algorithm = Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm()
                            self.loc_reach_algorithm.parent = self
                            self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                            self._children_yang_names.add("loc-reach-algorithm")

                            self.map_server = Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer()
                            self.map_server.parent = self
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.other_xtr_probe = Native.Router.LispList.InstanceContainer.InstanceList.Default.OtherXtrProbe()
                            self.other_xtr_probe.parent = self
                            self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                            self._children_yang_names.add("other-xtr-probe")

                            self.remote_rloc_probe = Native.Router.LispList.InstanceContainer.InstanceList.Default.RemoteRlocProbe()
                            self.remote_rloc_probe.parent = self
                            self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                            self._children_yang_names.add("remote-rloc-probe")

                            self.service = None
                            self._children_name_map["service"] = "service"
                            self._children_yang_names.add("service")

                            self.dynamic_eid = YList(self)
                            self._segment_path = lambda: "default"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default, ['disable_ttl_propagate'], name, value)


                        class Decapsulation(Entity):
                            """
                            Decapsulation behavior (e.g. filters)
                            
                            .. attribute:: filter
                            
                            	Filters traffic
                            	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation, self).__init__()

                                self.yang_name = "decapsulation"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"filter" : ("filter", Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter)}
                                self._child_list_classes = {}

                                self.filter = Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter()
                                self.filter.parent = self
                                self._children_name_map["filter"] = "filter"
                                self._children_yang_names.add("filter")
                                self._segment_path = lambda: "decapsulation"


                            class Filter(Entity):
                                """
                                Filters traffic
                                
                                .. attribute:: rloc
                                
                                	Filter based on Routing Locator (RLOC) in packet header
                                	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter, self).__init__()

                                    self.yang_name = "filter"
                                    self.yang_parent_name = "decapsulation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc)}
                                    self._child_list_classes = {}

                                    self.rloc = Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc()
                                    self.rloc.parent = self
                                    self._children_name_map["rloc"] = "rloc"
                                    self._children_yang_names.add("rloc")
                                    self._segment_path = lambda: "filter"


                                class Rloc(Entity):
                                    """
                                    Filter based on Routing Locator (RLOC) in packet header
                                    
                                    .. attribute:: source
                                    
                                    	Filters traffic based on RLOC source address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc, self).__init__()

                                        self.yang_name = "rloc"
                                        self.yang_parent_name = "filter"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "rloc"


                                    class Source(Entity):
                                        """
                                        Filters traffic based on RLOC source address
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator\-set Name
                                        	**type**\: str
                                        
                                        .. attribute:: member
                                        
                                        	Members learned from map\-server
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "rloc"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.member = YLeaf(YType.empty, "member")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                        class DynamicEid(Entity):
                            """
                            Configure a dynamic EID
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: database_mapping
                            
                            	Configures EID\-prefix and locator\-set for dynamic\-EID
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping>`
                            
                            .. attribute:: eid_notify
                            
                            	Configure options for sending/receiving EID\-notify
                            	**type**\:  :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify>`
                            
                            .. attribute:: map_notify_group
                            
                            	Multicast group which to send map\-notifies to
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid, self).__init__()

                                self.yang_name = "dynamic-eid"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping), "eid-notify" : ("eid_notify", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify)}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer)}

                                self.name = YLeaf(YType.str, "name")

                                self.map_notify_group = YLeaf(YType.str, "map-notify-group")

                                self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.eid_notify = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify()
                                self.eid_notify.parent = self
                                self._children_name_map["eid_notify"] = "eid-notify"
                                self._children_yang_names.add("eid-notify")

                                self.map_server = YList(self)
                                self._segment_path = lambda: "dynamic-eid" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid, ['name', 'map_notify_group'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Configures EID\-prefix and locator\-set for dynamic\-EID
                                
                                .. attribute:: ipv4_prefix
                                
                                	IPv4 EID\-prefix for dynamic\-EID
                                	**type**\: list of  		 :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ipv4-prefix" : ("ipv4_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix)}

                                    self.ipv4_prefix = YList(self)
                                    self._segment_path = lambda: "database-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping, [], name, value)


                                class Ipv4Prefix(Entity):
                                    """
                                    IPv4 EID\-prefix for dynamic\-EID
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix, self).__init__()

                                        self.yang_name = "ipv4-prefix"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "ipv4-prefix" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.DatabaseMapping.Ipv4Prefix, ['eid_prefix', 'locator_set'], name, value)


                            class EidNotify(Entity):
                                """
                                Configure options for sending/receiving EID\-notify
                                
                                .. attribute:: authentication_key
                                
                                	Authentication key used for validating received EID\-notify
                                	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey>`
                                
                                .. attribute:: gateway_key
                                
                                	
                                	**type**\: list of  		 :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify, self).__init__()

                                    self.yang_name = "eid-notify"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey)}
                                    self._child_list_classes = {"gateway-key" : ("gateway_key", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey)}

                                    self.authentication_key = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self._children_name_map["authentication_key"] = "authentication-key"
                                    self._children_yang_names.add("authentication-key")

                                    self.gateway_key = YList(self)
                                    self._segment_path = lambda: "eid-notify"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify, [], name, value)


                                class AuthenticationKey(Entity):
                                    """
                                    Authentication key used for validating received EID\-notify
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: key_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey, self).__init__()

                                        self.yang_name = "authentication-key"
                                        self.yang_parent_name = "eid-notify"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.key_0 = YLeaf(YType.str, "key-0")

                                        self.key_6 = YLeaf(YType.str, "key-6")

                                        self.key_7 = YLeaf(YType.str, "key-7")
                                        self._segment_path = lambda: "authentication-key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                                class GatewayKey(Entity):
                                    """
                                    
                                    
                                    .. attribute:: gateway_ip  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey, self).__init__()

                                        self.yang_name = "gateway-key"
                                        self.yang_parent_name = "eid-notify"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key)}
                                        self._child_list_classes = {}

                                        self.gateway_ip = YLeaf(YType.str, "gateway-ip")

                                        self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "gateway-key" + "[gateway-ip='" + self.gateway_ip.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey, ['gateway_ip'], name, value)


                                    class Key(Entity):
                                        """
                                        
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "gateway-key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.EidNotify.GatewayKey.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "dynamic-eid"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6>`
                                    
                                    .. attribute:: key_7
                                    
                                    	
                                    	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")

                                        self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7()
                                        self.key_7.parent = self
                                        self._children_name_map["key_7"] = "key-7"
                                        self._children_yang_names.add("key-7")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key7(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_7
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7, self).__init__()

                                            self.yang_name = "key-7"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_7 = YLeaf(YType.str, "ak-7")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.DynamicEid.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                        class LocReachAlgorithm(Entity):
                            """
                            Configure locator reachability algorithm
                            
                            .. attribute:: lsb_reports
                            
                            	Configure data packet LSB report handling
                            	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports>`
                            
                            .. attribute:: rloc_probing
                            
                            	Probe high priority RLOCs with Map\-Requests as last resort
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm, self).__init__()

                                self.yang_name = "loc-reach-algorithm"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports)}
                                self._child_list_classes = {}

                                self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                                self.lsb_reports = Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports()
                                self.lsb_reports.parent = self
                                self._children_name_map["lsb_reports"] = "lsb-reports"
                                self._children_yang_names.add("lsb-reports")
                                self._segment_path = lambda: "loc-reach-algorithm"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm, ['rloc_probing'], name, value)


                            class LsbReports(Entity):
                                """
                                Configure data packet LSB report handling
                                
                                .. attribute:: do_not_transmit
                                
                                	Force the setting of the encapsulation header L bit to zero
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ignore
                                
                                	Ignore data packet LSB reports
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports, self).__init__()

                                    self.yang_name = "lsb-reports"
                                    self.yang_parent_name = "loc-reach-algorithm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                                    self.ignore = YLeaf(YType.empty, "ignore")
                                    self._segment_path = lambda: "lsb-reports"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                        class MapServer(Entity):
                            """
                            Map\-Server commands
                            
                            .. attribute:: rloc
                            
                            	EID instance RLOC membership
                            	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc>`
                            
                            .. attribute:: site_registration
                            
                            	Map\-server site registration options
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration)}
                                self._child_list_classes = {}

                                self.rloc = Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc()
                                self.rloc.parent = self
                                self._children_name_map["rloc"] = "rloc"
                                self._children_yang_names.add("rloc")

                                self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")
                                self._segment_path = lambda: "map-server"


                            class Rloc(Entity):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: members
                                
                                	EID instance RLOC membership
                                	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc, self).__init__()

                                    self.yang_name = "rloc"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"members" : ("members", Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members)}
                                    self._child_list_classes = {}

                                    self.members = Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members()
                                    self.members.parent = self
                                    self._children_name_map["members"] = "members"
                                    self._children_yang_names.add("members")
                                    self._segment_path = lambda: "rloc"


                                class Members(Entity):
                                    """
                                    EID instance RLOC membership
                                    
                                    .. attribute:: distribute
                                    
                                    	EID instance RLOC membership distribution
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: modify_discovered
                                    
                                    	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members, self).__init__()

                                        self.yang_name = "members"
                                        self.yang_parent_name = "rloc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered)}
                                        self._child_list_classes = {}

                                        self.distribute = YLeaf(YType.empty, "distribute")

                                        self.modify_discovered = Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered()
                                        self.modify_discovered.parent = self
                                        self._children_name_map["modify_discovered"] = "modify-discovered"
                                        self._children_yang_names.add("modify-discovered")
                                        self._segment_path = lambda: "members"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members, ['distribute'], name, value)


                                    class ModifyDiscovered(Entity):
                                        """
                                        Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                        
                                        .. attribute:: operator
                                        
                                        	
                                        	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set from which to get member RLOC addresses
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                            self.yang_name = "modify-discovered"
                                            self.yang_parent_name = "members"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.operator = YLeaf(YType.enumeration, "operator")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "modify-discovered"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                        class Operator(Enum):
                                            """
                                            Operator

                                            .. data:: add = 0

                                            .. data:: override = 1

                                            """

                                            add = Enum.YLeaf(0, "add")

                                            override = Enum.YLeaf(1, "override")



                            class SiteRegistration(Entity):
                                """
                                Map\-server site registration options
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations as a result of accept\-more\-specifics
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class OtherXtrProbe(Entity):
                            """
                            Configure parameters for probing of other xTRs in our site
                            
                            .. attribute:: period
                            
                            	Period between probes in seconds
                            	**type**\: int
                            
                            	**range:** 5..900
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.OtherXtrProbe, self).__init__()

                                self.yang_name = "other-xtr-probe"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.period = YLeaf(YType.uint16, "period")
                                self._segment_path = lambda: "other-xtr-probe"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.OtherXtrProbe, ['period'], name, value)


                        class RemoteRlocProbe(Entity):
                            """
                            Configure parameters for probing of remote RLOCs
                            
                            .. attribute:: on_membership_change
                            
                            	Trigger probing upon membership changes for remote RLOC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: on_route_change
                            
                            	Trigger probing upon routing changes for remote RLOC
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.RemoteRlocProbe, self).__init__()

                                self.yang_name = "remote-rloc-probe"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                                self.on_route_change = YLeaf(YType.empty, "on-route-change")
                                self._segment_path = lambda: "remote-rloc-probe"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                        class Service(Entity):
                            """
                            Configure lisp service type
                            
                            .. attribute:: ipv4
                            
                            	
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv6
                            
                            	
                            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ethernet
                            
                            	
                            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service, self).__init__()

                                self.yang_name = "service"
                                self.yang_parent_name = "default"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4), "ipv6" : ("ipv6", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6), "ethernet" : ("ethernet", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ipv4 = None
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")

                                self.ipv6 = None
                                self._children_name_map["ipv6"] = "ipv6"
                                self._children_yang_names.add("ipv6")

                                self.ethernet = None
                                self._children_name_map["ethernet"] = "ethernet"
                                self._children_yang_names.add("ethernet")
                                self._segment_path = lambda: "service"


                            class Ipv4(Entity):
                                """
                                
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest>`
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\: str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent>`
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "service"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default), "eid-table" : ("eid_table", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable), "itr" : ("itr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable), "etr" : ("etr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt), "distance" : ("distance", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping)}
                                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr)}
                                    self.is_presence_container = True

                                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                    self.sgt = YLeaf(YType.empty, "sgt")

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.default = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt()
                                    self.alt.parent = self
                                    self._children_name_map["alt"] = "alt"
                                    self._children_yang_names.add("alt")

                                    self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")

                                    self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                    self._children_yang_names.add("map-cache-persistent")

                                    self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self._children_name_map["proxy_itr"] = "proxy-itr"
                                    self._children_yang_names.add("proxy-itr")

                                    self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport()
                                    self.route_export.parent = self
                                    self._children_name_map["route_export"] = "route-export"
                                    self._children_yang_names.add("route-export")

                                    self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport()
                                    self.route_import.parent = self
                                    self._children_name_map["route_import"] = "route-import"
                                    self._children_yang_names.add("route-import")

                                    self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.use_petr = YList(self)
                                    self._segment_path = lambda: "ipv4"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest>`
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\: str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent>`
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable), "itr" : ("itr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt), "distance" : ("distance", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport), "route-import" : ("route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping)}
                                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr)}

                                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                        self.sgt = YLeaf(YType.empty, "sgt")

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt()
                                        self.alt.parent = self
                                        self._children_name_map["alt"] = "alt"
                                        self._children_yang_names.add("alt")

                                        self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance()
                                        self.distance.parent = self
                                        self._children_name_map["distance"] = "distance"
                                        self._children_yang_names.add("distance")

                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")

                                        self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                        self._children_yang_names.add("map-cache-persistent")

                                        self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self._children_name_map["proxy_itr"] = "proxy-itr"
                                        self._children_yang_names.add("proxy-itr")

                                        self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport()
                                        self.route_export.parent = self
                                        self._children_name_map["route_export"] = "route-export"
                                        self._children_yang_names.add("route-export")

                                        self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport()
                                        self.route_import.parent = self
                                        self._children_name_map["route_import"] = "route-import"
                                        self._children_yang_names.add("route-import")

                                        self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.use_petr = YList(self)
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class Alt(Entity):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt, self).__init__()

                                            self.yang_name = "alt"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute)}

                                            self.summary_route = YList(self)
                                            self._segment_path = lambda: "alt"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt, [], name, value)


                                        class SummaryRoute(Entity):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute, self).__init__()

                                                self.yang_name = "summary-route"
                                                self.yang_parent_name = "alt"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                    class Distance(Entity):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance, self).__init__()

                                            self.yang_name = "distance"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.alt = YLeaf(YType.uint8, "alt")

                                            self.away = YLeaf(YType.uint8, "away")

                                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                            self._segment_path = lambda: "distance"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids)}
                                            self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface)}

                                            self.site_registration = YLeaf(YType.empty, "site-registration")

                                            self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self._children_name_map["away_eids"] = "away-eids"
                                            self._children_yang_names.add("away-eids")

                                            self.eid_interface = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache, ['site_registration'], name, value)


                                        class EidInterface(Entity):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface, self).__init__()

                                                self.yang_name = "eid-interface"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.drop = YLeaf(YType.empty, "drop")

                                                self.map_request = YLeaf(YType.empty, "map-request")

                                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                                self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                        class AwayEids(Entity):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids, self).__init__()

                                                self.yang_name = "away-eids"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                self._segment_path = lambda: "away-eids"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                    class MapCachePersistent(Entity):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\: int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent, self).__init__()

                                            self.yang_name = "map-cache-persistent"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "map-cache-persistent"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.MapCachePersistent, ['interval'], name, value)


                                    class ProxyItr(Entity):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr, self).__init__()

                                            self.yang_name = "proxy-itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                            self._segment_path = lambda: "proxy-itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                    class RouteExport(Entity):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport, self).__init__()

                                            self.yang_name = "route-export"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                            self.away_eids = YLeaf(YType.empty, "away-eids")
                                            self._segment_path = lambda: "route-export"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                    class UsePetr(Entity):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr, self).__init__()

                                            self.yang_name = "use-petr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority)}
                                            self._child_list_classes = {}

                                            self.locator_address = YLeaf(YType.str, "locator-address")

                                            self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr, ['locator_address'], name, value)


                                        class Priority(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "use-petr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                    class RouteImport(Entity):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport, self).__init__()

                                            self.yang_name = "route-import"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database" : ("database", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache)}
                                            self._child_list_classes = {}

                                            self.database = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database()
                                            self.database.parent = self
                                            self._children_name_map["database"] = "database"
                                            self._children_yang_names.add("database")

                                            self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "route-import"


                                        class Database(Entity):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database, self).__init__()

                                                self.yang_name = "database"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf)}

                                                self.application = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static()
                                                self.static.parent = self
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip()
                                                self.rip.parent = self
                                                self._children_name_map["rip"] = "rip"
                                                self._children_yang_names.add("rip")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self._segment_path = lambda: "database"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "application"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "connected"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.process_id = YLeaf(YType.str, "process-id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "nd"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "static"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "rip"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf)}

                                                self.application = None
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = None
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = None
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = None
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip()
                                                self.rip.parent = self
                                                self._children_name_map["rip"] = "rip"
                                                self._children_yang_names.add("rip")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "application"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "connected"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "nd"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "static"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "rip"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont)}

                                            self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                                        self.default = YLeaf(YType.empty, "default")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class Alt(Entity):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt, self).__init__()

                                        self.yang_name = "alt"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute)}

                                        self.summary_route = YList(self)
                                        self._segment_path = lambda: "alt"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt, [], name, value)


                                    class SummaryRoute(Entity):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute, self).__init__()

                                            self.yang_name = "summary-route"
                                            self.yang_parent_name = "alt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                class Distance(Entity):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.alt = YLeaf(YType.uint8, "alt")

                                        self.away = YLeaf(YType.uint8, "away")

                                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                class MapCache(Entity):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids)}
                                        self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface)}

                                        self.site_registration = YLeaf(YType.empty, "site-registration")

                                        self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self._children_name_map["away_eids"] = "away-eids"
                                        self._children_yang_names.add("away-eids")

                                        self.eid_interface = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache, ['site_registration'], name, value)


                                    class EidInterface(Entity):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface, self).__init__()

                                            self.yang_name = "eid-interface"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.drop = YLeaf(YType.empty, "drop")

                                            self.map_request = YLeaf(YType.empty, "map-request")

                                            self.native_forward = YLeaf(YType.empty, "native-forward")

                                            self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class AwayEids(Entity):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids, self).__init__()

                                            self.yang_name = "away-eids"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                            self._segment_path = lambda: "away-eids"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCache.AwayEids, ['send_map_request'], name, value)


                                class MapCachePersistent(Entity):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\: int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent, self).__init__()

                                        self.yang_name = "map-cache-persistent"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "map-cache-persistent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.MapCachePersistent, ['interval'], name, value)


                                class ProxyItr(Entity):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr, self).__init__()

                                        self.yang_name = "proxy-itr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                        self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                        self._segment_path = lambda: "proxy-itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                class RouteExport(Entity):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport, self).__init__()

                                        self.yang_name = "route-export"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                        self.away_eids = YLeaf(YType.empty, "away-eids")
                                        self._segment_path = lambda: "route-export"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                class UsePetr(Entity):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr, self).__init__()

                                        self.yang_name = "use-petr"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority)}
                                        self._child_list_classes = {}

                                        self.locator_address = YLeaf(YType.str, "locator-address")

                                        self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr, ['locator_address'], name, value)


                                    class Priority(Entity):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "use-petr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority_value = YLeaf(YType.uint8, "priority-value")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                class RouteImport(Entity):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport, self).__init__()

                                        self.yang_name = "route-import"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"database" : ("database", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache)}
                                        self._child_list_classes = {}

                                        self.database = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database()
                                        self.database.parent = self
                                        self._children_name_map["database"] = "database"
                                        self._children_yang_names.add("database")

                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "route-import"


                                    class Database(Entity):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database, self).__init__()

                                            self.yang_name = "database"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf)}

                                            self.application = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static()
                                            self.static.parent = self
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip()
                                            self.rip.parent = self
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self._segment_path = lambda: "database"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "application"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "connected"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.process_id = YLeaf(YType.str, "process-id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis, ['process_id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "nd"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "static"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "rip"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf)}

                                            self.application = None
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = None
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip()
                                            self.rip.parent = self
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "application"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "connected"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "nd"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "static"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "rip"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont)}

                                        self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Ipv6(Entity):
                                """
                                
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest>`
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\: str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent>`
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6, self).__init__()

                                    self.yang_name = "ipv6"
                                    self.yang_parent_name = "service"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default), "eid-table" : ("eid_table", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable), "itr" : ("itr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable), "etr" : ("etr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt), "distance" : ("distance", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping)}
                                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr)}
                                    self.is_presence_container = True

                                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                    self.sgt = YLeaf(YType.empty, "sgt")

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.default = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt()
                                    self.alt.parent = self
                                    self._children_name_map["alt"] = "alt"
                                    self._children_yang_names.add("alt")

                                    self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")

                                    self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                    self._children_yang_names.add("map-cache-persistent")

                                    self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self._children_name_map["proxy_itr"] = "proxy-itr"
                                    self._children_yang_names.add("proxy-itr")

                                    self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport()
                                    self.route_export.parent = self
                                    self._children_name_map["route_export"] = "route-export"
                                    self._children_yang_names.add("route-export")

                                    self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport()
                                    self.route_import.parent = self
                                    self._children_name_map["route_import"] = "route-import"
                                    self._children_yang_names.add("route-import")

                                    self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.use_petr = YList(self)
                                    self._segment_path = lambda: "ipv6"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest>`
                                    
                                    .. attribute:: alt
                                    
                                    	LISP Alternative Topology, LISP\-ALT
                                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt>`
                                    
                                    .. attribute:: alt_vrf
                                    
                                    	Activate LISP\-ALT functionality in VRF
                                    	**type**\: str
                                    
                                    	**status**\: deprecated
                                    
                                    .. attribute:: distance
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Address family specific map cache configuration
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache>`
                                    
                                    .. attribute:: map_cache_persistent
                                    
                                    	Dump map\-cache onto flash, making it persistent across reboots
                                    	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent>`
                                    
                                    .. attribute:: proxy_etr
                                    
                                    	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: proxy_itr
                                    
                                    	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr>`
                                    
                                    .. attribute:: route_export
                                    
                                    	Export routes into RIB from LISP
                                    	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport>`
                                    
                                    .. attribute:: sgt
                                    
                                    	Enable security group tag propagation in LISP encapsulated traffic
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: use_petr
                                    
                                    	Encapsulate to Proxy ETR when matching forward\-native entry
                                    	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr>`
                                    
                                    .. attribute:: route_import
                                    
                                    	Import RIB routes by a routing protocol into LISP
                                    	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable), "itr" : ("itr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt), "distance" : ("distance", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport), "route-import" : ("route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping)}
                                        self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr)}

                                        self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                        self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                        self.sgt = YLeaf(YType.empty, "sgt")

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt()
                                        self.alt.parent = self
                                        self._children_name_map["alt"] = "alt"
                                        self._children_yang_names.add("alt")

                                        self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance()
                                        self.distance.parent = self
                                        self._children_name_map["distance"] = "distance"
                                        self._children_yang_names.add("distance")

                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")

                                        self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent()
                                        self.map_cache_persistent.parent = self
                                        self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                        self._children_yang_names.add("map-cache-persistent")

                                        self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr()
                                        self.proxy_itr.parent = self
                                        self._children_name_map["proxy_itr"] = "proxy-itr"
                                        self._children_yang_names.add("proxy-itr")

                                        self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport()
                                        self.route_export.parent = self
                                        self._children_name_map["route_export"] = "route-export"
                                        self._children_yang_names.add("route-export")

                                        self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport()
                                        self.route_import.parent = self
                                        self._children_name_map["route_import"] = "route-import"
                                        self._children_yang_names.add("route-import")

                                        self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.use_petr = YList(self)
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vrf_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: default
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: vrf
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                                            self.default = YLeaf(YType.empty, "default")

                                            self.vrf = YLeaf(YType.str, "vrf")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class Alt(Entity):
                                        """
                                        LISP Alternative Topology, LISP\-ALT
                                        
                                        .. attribute:: summary_route
                                        
                                        	Summary route to install into the ALT table
                                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt, self).__init__()

                                            self.yang_name = "alt"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute)}

                                            self.summary_route = YList(self)
                                            self._segment_path = lambda: "alt"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt, [], name, value)


                                        class SummaryRoute(Entity):
                                            """
                                            Summary route to install into the ALT table
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: route_tag
                                            
                                            	ALT RIB route tag for EID prefix
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute, self).__init__()

                                                self.yang_name = "summary-route"
                                                self.yang_parent_name = "alt"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                    class Distance(Entity):
                                        """
                                        Administrative distance for RIB route installation
                                        
                                        .. attribute:: alt
                                        
                                        	LISP routes installed in the ALT table
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: away
                                        
                                        	Administrative distance for RIB route installation
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: dyn_eid
                                        
                                        	LISP installed routes of type dynamic\-EID
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: site_registrations
                                        
                                        	LISP installed routes of type site\-registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance, self).__init__()

                                            self.yang_name = "distance"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.alt = YLeaf(YType.uint8, "alt")

                                            self.away = YLeaf(YType.uint8, "away")

                                            self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                            self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                            self._segment_path = lambda: "distance"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Address family specific map cache configuration
                                        
                                        .. attribute:: eid_interface
                                        
                                        	Configures static EID\-to\-RLOC mappings for an ITR
                                        	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Map cache configuration for the away table
                                        	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids>`
                                        
                                        .. attribute:: site_registration
                                        
                                        	Install map cache to map request for site registrations
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids)}
                                            self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface)}

                                            self.site_registration = YLeaf(YType.empty, "site-registration")

                                            self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids()
                                            self.away_eids.parent = self
                                            self._children_name_map["away_eids"] = "away-eids"
                                            self._children_yang_names.add("away-eids")

                                            self.eid_interface = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache, ['site_registration'], name, value)


                                        class EidInterface(Entity):
                                            """
                                            Configures static EID\-to\-RLOC mappings for an ITR
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                            
                                            .. attribute:: drop
                                            
                                            	Drop packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: map_request
                                            
                                            	Send Map\-Request for LISP destination EID
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: native_forward
                                            
                                            	Natively forward packets that match this map\-cache entry
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface, self).__init__()

                                                self.yang_name = "eid-interface"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.drop = YLeaf(YType.empty, "drop")

                                                self.map_request = YLeaf(YType.empty, "map-request")

                                                self.native_forward = YLeaf(YType.empty, "native-forward")

                                                self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                        class AwayEids(Entity):
                                            """
                                            Map cache configuration for the away table
                                            
                                            .. attribute:: send_map_request
                                            
                                            	Export away table entries into the map cache with action set to send\-map\-request
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids, self).__init__()

                                                self.yang_name = "away-eids"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                                self._segment_path = lambda: "away-eids"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                    class MapCachePersistent(Entity):
                                        """
                                        Dump map\-cache onto flash, making it persistent across reboots
                                        
                                        .. attribute:: interval
                                        
                                        	Interval in minutes of how often the map\-cache is saved
                                        	**type**\: int
                                        
                                        	**range:** 1..1440
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent, self).__init__()

                                            self.yang_name = "map-cache-persistent"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.interval = YLeaf(YType.uint16, "interval")
                                            self._segment_path = lambda: "map-cache-persistent"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.MapCachePersistent, ['interval'], name, value)


                                    class ProxyItr(Entity):
                                        """
                                        Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                        
                                        .. attribute:: ipv4_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_addr
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr, self).__init__()

                                            self.yang_name = "proxy-itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                            self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                            self._segment_path = lambda: "proxy-itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                    class RouteExport(Entity):
                                        """
                                        Export routes into RIB from LISP
                                        
                                        .. attribute:: site_registrations
                                        
                                        	Export LISP site registrations to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: away_eids
                                        
                                        	Export LISP away EIDs to RIB
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport, self).__init__()

                                            self.yang_name = "route-export"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                            self.away_eids = YLeaf(YType.empty, "away-eids")
                                            self._segment_path = lambda: "route-export"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                    class UsePetr(Entity):
                                        """
                                        Encapsulate to Proxy ETR when matching forward\-native entry
                                        
                                        .. attribute:: locator_address  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	
                                        	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr, self).__init__()

                                            self.yang_name = "use-petr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority)}
                                            self._child_list_classes = {}

                                            self.locator_address = YLeaf(YType.str, "locator-address")

                                            self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority()
                                            self.priority.parent = self
                                            self._children_name_map["priority"] = "priority"
                                            self._children_yang_names.add("priority")
                                            self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr, ['locator_address'], name, value)


                                        class Priority(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority_value
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority, self).__init__()

                                                self.yang_name = "priority"
                                                self.yang_parent_name = "use-petr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority_value = YLeaf(YType.uint8, "priority-value")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "priority"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                    class RouteImport(Entity):
                                        """
                                        Import RIB routes by a routing protocol into LISP
                                        
                                        .. attribute:: database
                                        
                                        	Use RIB routes to define local EID database entries
                                        	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database>`
                                        
                                        .. attribute:: map_cache
                                        
                                        	Use RIB routes to define EID address space in map\-cache
                                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport, self).__init__()

                                            self.yang_name = "route-import"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database" : ("database", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache)}
                                            self._child_list_classes = {}

                                            self.database = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database()
                                            self.database.parent = self
                                            self._children_name_map["database"] = "database"
                                            self._children_yang_names.add("database")

                                            self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache()
                                            self.map_cache.parent = self
                                            self._children_name_map["map_cache"] = "map-cache"
                                            self._children_yang_names.add("map-cache")
                                            self._segment_path = lambda: "route-import"


                                        class Database(Entity):
                                            """
                                            Use RIB routes to define local EID database entries
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application>`
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected>`
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbor Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd>`
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static>`
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database, self).__init__()

                                                self.yang_name = "database"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip)}

                                                self.application = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application()
                                                self.application.parent = self
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected()
                                                self.connected.parent = self
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd()
                                                self.nd.parent = self
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static()
                                                self.static.parent = self
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self.rip = YList(self)
                                                self._segment_path = lambda: "database"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "application"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "connected"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: process_id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.process_id = YLeaf(YType.str, "process-id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbor Discovery
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "nd"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "static"


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\: str
                                                
                                                .. attribute:: lisp_ip_route_import
                                                
                                                	
                                                	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "database"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                    self.lisp_ip_route_import.parent = self
                                                    self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                    self._children_yang_names.add("lisp-ip-route-import")
                                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip, ['id'], name, value)


                                                class LispIpRouteImport(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    .. attribute:: locator_set
                                                    
                                                    	Locator set to use with created database mapping entries
                                                    	**type**\: str
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                        self.yang_name = "lisp-ip-route-import"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.route_map = YLeaf(YType.str, "route-map")

                                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                                        self._segment_path = lambda: "lisp-ip-route-import"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MapCache(Entity):
                                            """
                                            Use RIB routes to define EID address space in map\-cache
                                            
                                            .. attribute:: application
                                            
                                            	Application Protocol
                                            	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: bgp
                                            
                                            	Border Gateway Protocol (BGP)
                                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp>`
                                            
                                            .. attribute:: connected
                                            
                                            	Connected
                                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: eigrp
                                            
                                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp>`
                                            
                                            .. attribute:: isis
                                            
                                            	ISO IS\-IS
                                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis>`
                                            
                                            .. attribute:: maximum_prefix
                                            
                                            	Maximum number of prefixes to pick up from the RIB
                                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix>`
                                            
                                            .. attribute:: nd
                                            
                                            	Neighbour Discovery
                                            	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: ospf
                                            
                                            	Open Shortest Path First (OSPF)
                                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf>`
                                            
                                            .. attribute:: static
                                            
                                            	Static routes
                                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: rip
                                            
                                            	Routing Information Protocol (RIP)
                                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache, self).__init__()

                                                self.yang_name = "map-cache"
                                                self.yang_parent_name = "route-import"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static)}
                                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip)}

                                                self.application = None
                                                self._children_name_map["application"] = "application"
                                                self._children_yang_names.add("application")

                                                self.connected = None
                                                self._children_name_map["connected"] = "connected"
                                                self._children_yang_names.add("connected")

                                                self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis()
                                                self.isis.parent = self
                                                self._children_name_map["isis"] = "isis"
                                                self._children_yang_names.add("isis")

                                                self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix()
                                                self.maximum_prefix.parent = self
                                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                                self._children_yang_names.add("maximum-prefix")

                                                self.nd = None
                                                self._children_name_map["nd"] = "nd"
                                                self._children_yang_names.add("nd")

                                                self.static = None
                                                self._children_name_map["static"] = "static"
                                                self._children_yang_names.add("static")

                                                self.bgp = YList(self)
                                                self.eigrp = YList(self)
                                                self.ospf = YList(self)
                                                self.rip = YList(self)
                                                self._segment_path = lambda: "map-cache"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache, [], name, value)


                                            class Application(Entity):
                                                """
                                                Application Protocol
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application, self).__init__()

                                                    self.yang_name = "application"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "application"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "application"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                            class Bgp(Entity):
                                                """
                                                Border Gateway Protocol (BGP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: int
                                                
                                                			**range:** 1..4294967295
                                                
                                                		**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                    self.yang_name = "bgp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "bgp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                            class Connected(Entity):
                                                """
                                                Connected
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected, self).__init__()

                                                    self.yang_name = "connected"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "connected"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "connected"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                            class Eigrp(Entity):
                                                """
                                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                    self.yang_name = "eigrp"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "eigrp"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                            class Isis(Entity):
                                                """
                                                ISO IS\-IS
                                                
                                                .. attribute:: id
                                                
                                                	Process name
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis, self).__init__()

                                                    self.yang_name = "isis"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "isis"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "isis"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                            class MaximumPrefix(Entity):
                                                """
                                                Maximum number of prefixes to pick up from the RIB
                                                
                                                .. attribute:: number
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..4294967295
                                                
                                                .. attribute:: warning_only
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: threshold
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: threshold1
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: warning_only1
                                                
                                                	Only give a warning message and do not limit entries
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                    self.yang_name = "maximum-prefix"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.number = YLeaf(YType.uint32, "number")

                                                    self.warning_only = YLeaf(YType.empty, "warning-only")

                                                    self.threshold = YLeaf(YType.uint8, "threshold")

                                                    self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                    self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                    self._segment_path = lambda: "maximum-prefix"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                            class Nd(Entity):
                                                """
                                                Neighbour Discovery
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd, self).__init__()

                                                    self.yang_name = "nd"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "nd"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "nd"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                            class Ospf(Entity):
                                                """
                                                Open Shortest Path First (OSPF)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..65535
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                    self.yang_name = "ospf"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.uint16, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "ospf"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                            class Static(Entity):
                                                """
                                                Static routes
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static, self).__init__()

                                                    self.yang_name = "static"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "static"


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "static"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                            class Rip(Entity):
                                                """
                                                Routing Information Protocol (RIP)
                                                
                                                .. attribute:: id  <key>
                                                
                                                	User selected string identifying this process
                                                	**type**\: str
                                                
                                                .. attribute:: map_cache_container
                                                
                                                	
                                                	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                                
                                                	**presence node**\: True
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip, self).__init__()

                                                    self.yang_name = "rip"
                                                    self.yang_parent_name = "map-cache"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                    self._child_list_classes = {}

                                                    self.id = YLeaf(YType.str, "id")

                                                    self.map_cache_container = None
                                                    self._children_name_map["map_cache_container"] = "map-cache-container"
                                                    self._children_yang_names.add("map-cache-container")
                                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip, ['id'], name, value)


                                                class MapCacheContainer(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: route_map
                                                    
                                                    	Route map for route selection filtering
                                                    	**type**\: str
                                                    
                                                    

                                                    This class is a :ref:`presence class<presence-class>`

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                        self.yang_name = "map-cache-container"
                                                        self.yang_parent_name = "rip"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}
                                                        self.is_presence_container = True

                                                        self.route_map = YLeaf(YType.str, "route-map")
                                                        self._segment_path = lambda: "map-cache-container"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont)}

                                            self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            .. attribute:: auto_discover_rlocs
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                                        self.default = YLeaf(YType.empty, "default")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class Alt(Entity):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt, self).__init__()

                                        self.yang_name = "alt"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute)}

                                        self.summary_route = YList(self)
                                        self._segment_path = lambda: "alt"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt, [], name, value)


                                    class SummaryRoute(Entity):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute, self).__init__()

                                            self.yang_name = "summary-route"
                                            self.yang_parent_name = "alt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                class Distance(Entity):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.alt = YLeaf(YType.uint8, "alt")

                                        self.away = YLeaf(YType.uint8, "away")

                                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                class MapCache(Entity):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids)}
                                        self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface)}

                                        self.site_registration = YLeaf(YType.empty, "site-registration")

                                        self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self._children_name_map["away_eids"] = "away-eids"
                                        self._children_yang_names.add("away-eids")

                                        self.eid_interface = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache, ['site_registration'], name, value)


                                    class EidInterface(Entity):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface, self).__init__()

                                            self.yang_name = "eid-interface"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.drop = YLeaf(YType.empty, "drop")

                                            self.map_request = YLeaf(YType.empty, "map-request")

                                            self.native_forward = YLeaf(YType.empty, "native-forward")

                                            self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class AwayEids(Entity):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids, self).__init__()

                                            self.yang_name = "away-eids"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                            self._segment_path = lambda: "away-eids"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCache.AwayEids, ['send_map_request'], name, value)


                                class MapCachePersistent(Entity):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\: int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent, self).__init__()

                                        self.yang_name = "map-cache-persistent"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "map-cache-persistent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.MapCachePersistent, ['interval'], name, value)


                                class ProxyItr(Entity):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr, self).__init__()

                                        self.yang_name = "proxy-itr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                        self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                        self._segment_path = lambda: "proxy-itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                class RouteExport(Entity):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport, self).__init__()

                                        self.yang_name = "route-export"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                        self.away_eids = YLeaf(YType.empty, "away-eids")
                                        self._segment_path = lambda: "route-export"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                class UsePetr(Entity):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr, self).__init__()

                                        self.yang_name = "use-petr"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority)}
                                        self._child_list_classes = {}

                                        self.locator_address = YLeaf(YType.str, "locator-address")

                                        self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr, ['locator_address'], name, value)


                                    class Priority(Entity):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "use-petr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority_value = YLeaf(YType.uint8, "priority-value")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                class RouteImport(Entity):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport, self).__init__()

                                        self.yang_name = "route-import"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"database" : ("database", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache)}
                                        self._child_list_classes = {}

                                        self.database = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database()
                                        self.database.parent = self
                                        self._children_name_map["database"] = "database"
                                        self._children_yang_names.add("database")

                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "route-import"


                                    class Database(Entity):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database, self).__init__()

                                            self.yang_name = "database"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip)}

                                            self.application = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static()
                                            self.static.parent = self
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self.rip = YList(self)
                                            self._segment_path = lambda: "database"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "application"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "connected"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.process_id = YLeaf(YType.str, "process-id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis, ['process_id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "nd"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "static"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip)}

                                            self.application = None
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = None
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self.rip = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "application"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "connected"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "nd"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "static"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "ipv6"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont)}

                                        self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Ethernet(Entity):
                                """
                                
                                
                                .. attribute:: default
                                
                                	
                                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default>`
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable>`
                                
                                .. attribute:: broadcast_underlay
                                
                                	Multicast group to use for underlay
                                	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay>`
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet, self).__init__()

                                    self.yang_name = "ethernet"
                                    self.yang_parent_name = "service"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default" : ("default", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default), "eid-table" : ("eid_table", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable), "etr" : ("etr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.default = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default()
                                    self.default.parent = self
                                    self._children_name_map["default"] = "default"
                                    self._children_yang_names.add("default")

                                    self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.broadcast_underlay = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay()
                                    self.broadcast_underlay.parent = self
                                    self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                    self._children_yang_names.add("broadcast-underlay")

                                    self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "ethernet"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet, ['map_request_source'], name, value)


                                class Default(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_table
                                    
                                    	Bind an eid\-table
                                    	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable>`
                                    
                                    .. attribute:: broadcast_underlay
                                    
                                    	Multicast group to use for underlay
                                    	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay>`
                                    
                                    .. attribute:: database_mapping
                                    
                                    	Configures Locator addresses for an ETR
                                    	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping>`
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr>`
                                    
                                    .. attribute:: itr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable>`
                                    
                                    .. attribute:: etr_enable
                                    
                                    	
                                    	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable>`
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr>`
                                    
                                    .. attribute:: map_cache_limit
                                    
                                    	Configures maximum size of map\-cache
                                    	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Site registrations configuration for a given instance\-id
                                    	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration>`
                                    
                                    .. attribute:: solicit_map_request
                                    
                                    	Configure Solicit\-Map\-Request handling
                                    	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest>`
                                    
                                    .. attribute:: map_request_source
                                    
                                    	Configures inner header source address in Map\-Request message
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default, self).__init__()

                                        self.yang_name = "default"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache)}
                                        self._child_list_classes = {}

                                        self.map_request_source = YLeaf(YType.str, "map-request-source")

                                        self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable()
                                        self.eid_table.parent = self
                                        self._children_name_map["eid_table"] = "eid-table"
                                        self._children_yang_names.add("eid-table")

                                        self.broadcast_underlay = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay()
                                        self.broadcast_underlay.parent = self
                                        self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                        self._children_yang_names.add("broadcast-underlay")

                                        self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping()
                                        self.database_mapping.parent = self
                                        self._children_name_map["database_mapping"] = "database-mapping"
                                        self._children_yang_names.add("database-mapping")

                                        self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr()
                                        self.itr.parent = self
                                        self._children_name_map["itr"] = "itr"
                                        self._children_yang_names.add("itr")

                                        self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable()
                                        self.itr_enable.parent = self
                                        self._children_name_map["itr_enable"] = "itr-enable"
                                        self._children_yang_names.add("itr-enable")

                                        self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable()
                                        self.etr_enable.parent = self
                                        self._children_name_map["etr_enable"] = "etr-enable"
                                        self._children_yang_names.add("etr-enable")

                                        self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr()
                                        self.etr.parent = self
                                        self._children_name_map["etr"] = "etr"
                                        self._children_yang_names.add("etr")

                                        self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit()
                                        self.map_cache_limit.parent = self
                                        self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                        self._children_yang_names.add("map-cache-limit")

                                        self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration()
                                        self.site_registration.parent = self
                                        self._children_name_map["site_registration"] = "site-registration"
                                        self._children_yang_names.add("site-registration")

                                        self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest()
                                        self.solicit_map_request.parent = self
                                        self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                        self._children_yang_names.add("solicit-map-request")

                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "default"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default, ['map_request_source'], name, value)


                                    class EidTable(Entity):
                                        """
                                        Bind an eid\-table
                                        
                                        .. attribute:: vlan
                                        
                                        	VLAN configuration
                                        	**type**\: int
                                        
                                        	**range:** 1..4094
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable, self).__init__()

                                            self.yang_name = "eid-table"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.vlan = YLeaf(YType.uint16, "vlan")
                                            self._segment_path = lambda: "eid-table"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EidTable, ['vlan'], name, value)


                                    class BroadcastUnderlay(Entity):
                                        """
                                        Multicast group to use for underlay
                                        
                                        .. attribute:: ipv4_multicast
                                        
                                        	IPv4 multicast group address
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: ipv6_multicast
                                        
                                        	IPv6 multicast group address
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay, self).__init__()

                                            self.yang_name = "broadcast-underlay"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                            self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                            self._segment_path = lambda: "broadcast-underlay"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                    class DatabaseMapping(Entity):
                                        """
                                        Configures Locator addresses for an ETR
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont>`
                                        
                                        .. attribute:: mac
                                        
                                        	L2 EID records
                                        	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: limit
                                        
                                        	Configures the maximum size of local EID prefixes database
                                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping, self).__init__()

                                            self.yang_name = "database-mapping"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"mac" : ("mac", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit)}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont)}

                                            self.mac = None
                                            self._children_name_map["mac"] = "mac"
                                            self._children_yang_names.add("mac")

                                            self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit()
                                            self.limit.parent = self
                                            self._children_name_map["limit"] = "limit"
                                            self._children_yang_names.add("limit")

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "database-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            .. attribute:: ipv4_addrees
                                            
                                            	IPv4 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                            
                                            .. attribute:: ipv6_addrees
                                            
                                            	IPv6 Address of loopback or other ETR interface
                                            	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                            
                                            .. attribute:: ipv4_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                            
                                            .. attribute:: ipv6_interface
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.locator_set = YLeaf(YType.str, "locator-set")

                                                self.ipv4_addrees = YList(self)
                                                self.ipv6_addrees = YList(self)
                                                self.ipv4_interface = YList(self)
                                                self.ipv6_interface = YList(self)
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                            class Ipv4Addrees(Entity):
                                                """
                                                IPv4 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                    self.yang_name = "ipv4-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv4-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class Ipv6Addrees(Entity):
                                                """
                                                IPv6 Address of loopback or other ETR interface
                                                
                                                .. attribute:: address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                    self.yang_name = "ipv6-addrees"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.address = YLeaf(YType.str, "address")

                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "ipv6-addrees"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv4Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                    self.yang_name = "IPv4-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv4-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                            class IPv6Interface(Entity):
                                                """
                                                
                                                
                                                .. attribute:: name  <key>
                                                
                                                	Use IPv4 address of interface as locator
                                                	**type**\: str
                                                
                                                .. attribute:: database_mapping_option
                                                
                                                	
                                                	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                    self.yang_name = "IPv6-interface"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                    self._child_list_classes = {}

                                                    self.name = YLeaf(YType.str, "name")

                                                    self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                    self.database_mapping_option.parent = self
                                                    self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                    self._children_yang_names.add("database-mapping-option")
                                                    self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                                class DatabaseMappingOption(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: priority
                                                    
                                                    	Configures which Locators from a set are preferred
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..255
                                                    
                                                    .. attribute:: weight
                                                    
                                                    	Traffic load\-spreading among Locators
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..100
                                                    
                                                    .. attribute:: down
                                                    
                                                    	Configure this database mapping down
                                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                        self.yang_name = "database-mapping-option"
                                                        self.yang_parent_name = "IPv6-interface"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.priority = YLeaf(YType.uint8, "priority")

                                                        self.weight = YLeaf(YType.uint8, "weight")

                                                        self.down = YLeaf(YType.empty, "down")
                                                        self._segment_path = lambda: "database-mapping-option"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Mac(Entity):
                                            """
                                            L2 EID records
                                            
                                            .. attribute:: locator_set
                                            
                                            	Use locators defined by locator\-set
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac, self).__init__()

                                                self.yang_name = "mac"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "mac"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Mac, ['locator_set'], name, value)


                                        class Limit(Entity):
                                            """
                                            Configures the maximum size of local EID prefixes database
                                            
                                            .. attribute:: dynamic
                                            
                                            	Configures the maximum size of dynamic local EID prefixes database
                                            	**type**\: int
                                            
                                            	**range:** 1..5000
                                            
                                            .. attribute:: warning_threshold
                                            
                                            	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit, self).__init__()

                                                self.yang_name = "limit"
                                                self.yang_parent_name = "database-mapping"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.dynamic = YLeaf(YType.uint32, "dynamic")

                                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                                self._segment_path = lambda: "limit"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                    class Itr(Entity):
                                        """
                                        Configures a LISP Ingress Tunnel Router (ITR)
                                        
                                        .. attribute:: map_resolver
                                        
                                        	Configures map\-resolver address for sending Map\-Requests
                                        	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr, self).__init__()

                                            self.yang_name = "itr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver)}

                                            self.map_resolver = YList(self)
                                            self._segment_path = lambda: "itr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr, [], name, value)


                                        class MapResolver(Entity):
                                            """
                                            Configures map\-resolver address for sending Map\-Requests
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver, self).__init__()

                                                self.yang_name = "map-resolver"
                                                self.yang_parent_name = "itr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")
                                                self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                    class ItrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: itr
                                        
                                        	Configures a LISP Ingress Tunnel Router (ITR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable, self).__init__()

                                            self.yang_name = "itr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.itr = YLeaf(YType.empty, "itr")
                                            self._segment_path = lambda: "itr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.ItrEnable, ['itr'], name, value)


                                    class EtrEnable(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr
                                        
                                        	Configures a LISP Egress Tunnel Router (ETR)
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable, self).__init__()

                                            self.yang_name = "etr-enable"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr = YLeaf(YType.empty, "etr")
                                            self._segment_path = lambda: "etr-enable"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.EtrEnable, ['etr'], name, value)


                                    class Etr(Entity):
                                        """
                                        Configures a LISP Egress Tunnel Router (ETR)
                                        
                                        .. attribute:: map_server
                                        
                                        	Configures map server for ETR registration
                                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer>`
                                        
                                        .. attribute:: map_cache_ttl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 60..10080
                                        
                                        .. attribute:: accept_map_request_mapping
                                        
                                        	
                                        	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr, self).__init__()

                                            self.yang_name = "etr"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping)}
                                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer)}

                                            self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                            self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                            self.accept_map_request_mapping.parent = self
                                            self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                            self._children_yang_names.add("accept-map-request-mapping")

                                            self.map_server = YList(self)
                                            self._segment_path = lambda: "etr"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr, ['map_cache_ttl'], name, value)


                                        class MapServer(Entity):
                                            """
                                            Configures map server for ETR registration
                                            
                                            .. attribute:: ip_addr  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: key
                                            
                                            	Authentication key used with map server
                                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key>`
                                            
                                            .. attribute:: proxy_reply
                                            
                                            	Request Map\-Server to send Map\-Replies on behalf of site
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer, self).__init__()

                                                self.yang_name = "map-server"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key)}
                                                self._child_list_classes = {}

                                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                                self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key()
                                                self.key.parent = self
                                                self._children_name_map["key"] = "key"
                                                self._children_yang_names.add("key")
                                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                            class Key(Entity):
                                                """
                                                Authentication key used with map server
                                                
                                                .. attribute:: key_pwd
                                                
                                                	
                                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                                
                                                .. attribute:: key_0
                                                
                                                	
                                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                                
                                                .. attribute:: key_6
                                                
                                                	
                                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                                
                                                .. attribute:: key_7
                                                
                                                	
                                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key, self).__init__()

                                                    self.yang_name = "key"
                                                    self.yang_parent_name = "map-server"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7)}
                                                    self._child_list_classes = {}

                                                    self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                                    self.key_pwd.parent = self
                                                    self._children_name_map["key_pwd"] = "key-pwd"
                                                    self._children_yang_names.add("key-pwd")

                                                    self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                                    self.key_0.parent = self
                                                    self._children_name_map["key_0"] = "key-0"
                                                    self._children_yang_names.add("key-0")

                                                    self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                                    self.key_6.parent = self
                                                    self._children_name_map["key_6"] = "key-6"
                                                    self._children_yang_names.add("key-6")

                                                    self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                                    self.key_7.parent = self
                                                    self._children_name_map["key_7"] = "key-7"
                                                    self._children_yang_names.add("key-7")
                                                    self._segment_path = lambda: "key"


                                                class KeyPwd(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: unc_pwd
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                        self.yang_name = "key-pwd"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-pwd"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key0(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_0
                                                    
                                                    	The UNENCRYPTED (cleartext) password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                        self.yang_name = "key-0"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-0"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key6(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_6
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                        self.yang_name = "key-6"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-6"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                                class Key7(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: ak_7
                                                    
                                                    	The ENCRYPTED password
                                                    	**type**\: str
                                                    
                                                    .. attribute:: hash_function
                                                    
                                                    	authentication type
                                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-lisp'
                                                    _revision = '2017-04-28'

                                                    def __init__(self):
                                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                        self.yang_name = "key-7"
                                                        self.yang_parent_name = "key"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                        self._segment_path = lambda: "key-7"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                    class HashFunction(Enum):
                                                        """
                                                        HashFunction

                                                        authentication type

                                                        .. data:: sha1 = 0

                                                        .. data:: sha2 = 1

                                                        """

                                                        sha1 = Enum.YLeaf(0, "sha1")

                                                        sha2 = Enum.YLeaf(1, "sha2")



                                        class AcceptMapRequestMapping(Entity):
                                            """
                                            
                                            
                                            .. attribute:: accept_mappping
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: verify
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                                self.yang_name = "accept-map-request-mapping"
                                                self.yang_parent_name = "etr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                                self.verify = YLeaf(YType.empty, "verify")
                                                self._segment_path = lambda: "accept-map-request-mapping"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                    class MapCacheLimit(Entity):
                                        """
                                        Configures maximum size of map\-cache
                                        
                                        .. attribute:: max_map_cache_entries
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..100000
                                        
                                        .. attribute:: reserve_list
                                        
                                        	EID\-prefixes guaranteed to be stored in map\-cache
                                        	**type**\: str
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit, self).__init__()

                                            self.yang_name = "map-cache-limit"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                            self.reserve_list = YLeaf(YType.str, "reserve-list")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "map-cache-limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                    class SiteRegistration(Entity):
                                        """
                                        Site registrations configuration for a given instance\-id
                                        
                                        .. attribute:: limit
                                        
                                        	Maximum number of site registrations
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Warning threshold to issue system logging
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration, self).__init__()

                                            self.yang_name = "site-registration"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.limit = YLeaf(YType.uint32, "limit")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "site-registration"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                    class SolicitMapRequest(Entity):
                                        """
                                        Configure Solicit\-Map\-Request handling
                                        
                                        .. attribute:: ignore
                                        
                                        	Ignore SMR bit in incoming Map\-Requests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: max_per_entry
                                        
                                        	Maximum number of SMRs for addresses under a map\-cache entry
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: suppression_time
                                        
                                        	How long to suppress repeated SMRs for the same address
                                        	**type**\: int
                                        
                                        	**range:** 1..600
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest, self).__init__()

                                            self.yang_name = "solicit-map-request"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ignore = YLeaf(YType.empty, "ignore")

                                            self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                            self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                            self._segment_path = lambda: "solicit-map-request"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: eid_cont
                                        
                                        	EID\-record for RLOC static mapping
                                        	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "default"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont)}

                                            self.eid_cont = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache, [], name, value)


                                        class EidCont(Entity):
                                            """
                                            EID\-record for RLOC static mapping
                                            
                                            .. attribute:: eid_prefix  <key>
                                            
                                            	xxxx.xxxx.xxxx 48 bit mac address
                                            	**type**\: str
                                            
                                            	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                            
                                            .. attribute:: etr_interface_ip
                                            
                                            	
                                            	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont, self).__init__()

                                                self.yang_name = "eid-cont"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp)}
                                                self._child_list_classes = {}

                                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                                self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp()
                                                self.etr_interface_ip.parent = self
                                                self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                                self._children_yang_names.add("etr-interface-ip")
                                                self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont, ['eid_prefix'], name, value)


                                            class EtrInterfaceIp(Entity):
                                                """
                                                
                                                
                                                .. attribute:: etr_interface_ip_address
                                                
                                                	IP address of loopback or other ETR interface
                                                	**type**\: union of the below types:
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                                
                                                		**type**\: str
                                                
                                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                    self.yang_name = "etr-interface-ip"
                                                    self.yang_parent_name = "eid-cont"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")
                                                    self._segment_path = lambda: "etr-interface-ip"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vlan
                                    
                                    	VLAN configuration
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vlan = YLeaf(YType.uint16, "vlan")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EidTable, ['vlan'], name, value)


                                class BroadcastUnderlay(Entity):
                                    """
                                    Multicast group to use for underlay
                                    
                                    .. attribute:: ipv4_multicast
                                    
                                    	IPv4 multicast group address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_multicast
                                    
                                    	IPv6 multicast group address
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay, self).__init__()

                                        self.yang_name = "broadcast-underlay"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                        self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                        self._segment_path = lambda: "broadcast-underlay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: mac
                                    
                                    	L2 EID records
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont)}

                                        self.mac = None
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")

                                        self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Mac(Entity):
                                        """
                                        L2 EID records
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Mac, ['locator_set'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "ethernet"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont)}

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont, ['eid_prefix'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Default.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                    class Decapsulation(Entity):
                        """
                        Decapsulation behavior (e.g. filters)
                        
                        .. attribute:: filter
                        
                        	Filters traffic
                        	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation, self).__init__()

                            self.yang_name = "decapsulation"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"filter" : ("filter", Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter)}
                            self._child_list_classes = {}

                            self.filter = Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter()
                            self.filter.parent = self
                            self._children_name_map["filter"] = "filter"
                            self._children_yang_names.add("filter")
                            self._segment_path = lambda: "decapsulation"


                        class Filter(Entity):
                            """
                            Filters traffic
                            
                            .. attribute:: rloc
                            
                            	Filter based on Routing Locator (RLOC) in packet header
                            	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter, self).__init__()

                                self.yang_name = "filter"
                                self.yang_parent_name = "decapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc)}
                                self._child_list_classes = {}

                                self.rloc = Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc()
                                self.rloc.parent = self
                                self._children_name_map["rloc"] = "rloc"
                                self._children_yang_names.add("rloc")
                                self._segment_path = lambda: "filter"


                            class Rloc(Entity):
                                """
                                Filter based on Routing Locator (RLOC) in packet header
                                
                                .. attribute:: source
                                
                                	Filters traffic based on RLOC source address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc, self).__init__()

                                    self.yang_name = "rloc"
                                    self.yang_parent_name = "filter"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "rloc"


                                class Source(Entity):
                                    """
                                    Filters traffic based on RLOC source address
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator\-set Name
                                    	**type**\: str
                                    
                                    .. attribute:: member
                                    
                                    	Members learned from map\-server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "rloc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.locator_set = YLeaf(YType.str, "locator-set")

                                        self.member = YLeaf(YType.empty, "member")
                                        self._segment_path = lambda: "source"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                    class DynamicEid(Entity):
                        """
                        Configure a dynamic EID
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: database_mapping
                        
                        	Configures EID\-prefix and locator\-set for dynamic\-EID
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping>`
                        
                        .. attribute:: eid_notify
                        
                        	Configure options for sending/receiving EID\-notify
                        	**type**\:  :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify>`
                        
                        .. attribute:: map_notify_group
                        
                        	Multicast group which to send map\-notifies to
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid, self).__init__()

                            self.yang_name = "dynamic-eid"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping), "eid-notify" : ("eid_notify", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify)}
                            self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer)}

                            self.name = YLeaf(YType.str, "name")

                            self.map_notify_group = YLeaf(YType.str, "map-notify-group")

                            self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.eid_notify = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify()
                            self.eid_notify.parent = self
                            self._children_name_map["eid_notify"] = "eid-notify"
                            self._children_yang_names.add("eid-notify")

                            self.map_server = YList(self)
                            self._segment_path = lambda: "dynamic-eid" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid, ['name', 'map_notify_group'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Configures EID\-prefix and locator\-set for dynamic\-EID
                            
                            .. attribute:: ipv4_prefix
                            
                            	IPv4 EID\-prefix for dynamic\-EID
                            	**type**\: list of  		 :py:class:`Ipv4Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "dynamic-eid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ipv4-prefix" : ("ipv4_prefix", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix)}

                                self.ipv4_prefix = YList(self)
                                self._segment_path = lambda: "database-mapping"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping, [], name, value)


                            class Ipv4Prefix(Entity):
                                """
                                IPv4 EID\-prefix for dynamic\-EID
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                .. attribute:: locator_set
                                
                                	Use locators defined by locator\-set
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix, self).__init__()

                                    self.yang_name = "ipv4-prefix"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "ipv4-prefix" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.DatabaseMapping.Ipv4Prefix, ['eid_prefix', 'locator_set'], name, value)


                        class EidNotify(Entity):
                            """
                            Configure options for sending/receiving EID\-notify
                            
                            .. attribute:: authentication_key
                            
                            	Authentication key used for validating received EID\-notify
                            	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                            
                            .. attribute:: gateway_key
                            
                            	
                            	**type**\: list of  		 :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify, self).__init__()

                                self.yang_name = "eid-notify"
                                self.yang_parent_name = "dynamic-eid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey)}
                                self._child_list_classes = {"gateway-key" : ("gateway_key", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey)}

                                self.authentication_key = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                self.authentication_key.parent = self
                                self._children_name_map["authentication_key"] = "authentication-key"
                                self._children_yang_names.add("authentication-key")

                                self.gateway_key = YList(self)
                                self._segment_path = lambda: "eid-notify"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify, [], name, value)


                            class AuthenticationKey(Entity):
                                """
                                Authentication key used for validating received EID\-notify
                                
                                .. attribute:: unc_pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                .. attribute:: key_7
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey, self).__init__()

                                    self.yang_name = "authentication-key"
                                    self.yang_parent_name = "eid-notify"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                    self.key_0 = YLeaf(YType.str, "key-0")

                                    self.key_6 = YLeaf(YType.str, "key-6")

                                    self.key_7 = YLeaf(YType.str, "key-7")
                                    self._segment_path = lambda: "authentication-key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                            class GatewayKey(Entity):
                                """
                                
                                
                                .. attribute:: gateway_ip  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey, self).__init__()

                                    self.yang_name = "gateway-key"
                                    self.yang_parent_name = "eid-notify"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key)}
                                    self._child_list_classes = {}

                                    self.gateway_ip = YLeaf(YType.str, "gateway-ip")

                                    self.key = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "gateway-key" + "[gateway-ip='" + self.gateway_ip.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey, ['gateway_ip'], name, value)


                                class Key(Entity):
                                    """
                                    
                                    
                                    .. attribute:: key_pwd
                                    
                                    	
                                    	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd>`
                                    
                                    .. attribute:: key_0
                                    
                                    	
                                    	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0>`
                                    
                                    .. attribute:: key_6
                                    
                                    	
                                    	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "gateway-key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6)}
                                        self._child_list_classes = {}

                                        self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd()
                                        self.key_pwd.parent = self
                                        self._children_name_map["key_pwd"] = "key-pwd"
                                        self._children_yang_names.add("key-pwd")

                                        self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0()
                                        self.key_0.parent = self
                                        self._children_name_map["key_0"] = "key-0"
                                        self._children_yang_names.add("key-0")

                                        self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6()
                                        self.key_6.parent = self
                                        self._children_name_map["key_6"] = "key-6"
                                        self._children_yang_names.add("key-6")
                                        self._segment_path = lambda: "key"


                                    class KeyPwd(Entity):
                                        """
                                        
                                        
                                        .. attribute:: unc_pwd
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, self).__init__()

                                            self.yang_name = "key-pwd"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-pwd"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key0(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_0
                                        
                                        	The UNENCRYPTED (cleartext) password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0, self).__init__()

                                            self.yang_name = "key-0"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_0 = YLeaf(YType.str, "ak-0")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-0"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                                    class Key6(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ak_6
                                        
                                        	The ENCRYPTED password
                                        	**type**\: str
                                        
                                        .. attribute:: hash_function
                                        
                                        	authentication type
                                        	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6.HashFunction>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6, self).__init__()

                                            self.yang_name = "key-6"
                                            self.yang_parent_name = "key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ak_6 = YLeaf(YType.str, "ak-6")

                                            self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                            self._segment_path = lambda: "key-6"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.EidNotify.GatewayKey.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                        class HashFunction(Enum):
                                            """
                                            HashFunction

                                            authentication type

                                            .. data:: sha1 = 0

                                            .. data:: sha2 = 1

                                            """

                                            sha1 = Enum.YLeaf(0, "sha1")

                                            sha2 = Enum.YLeaf(1, "sha2")



                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip_addr  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "dynamic-eid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip_addr = YLeaf(YType.str, "ip-addr")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_pwd
                                
                                	
                                	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd>`
                                
                                .. attribute:: key_0
                                
                                	
                                	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0>`
                                
                                .. attribute:: key_6
                                
                                	
                                	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6>`
                                
                                .. attribute:: key_7
                                
                                	
                                	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7)}
                                    self._child_list_classes = {}

                                    self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd()
                                    self.key_pwd.parent = self
                                    self._children_name_map["key_pwd"] = "key-pwd"
                                    self._children_yang_names.add("key-pwd")

                                    self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0()
                                    self.key_0.parent = self
                                    self._children_name_map["key_0"] = "key-0"
                                    self._children_yang_names.add("key-0")

                                    self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6()
                                    self.key_6.parent = self
                                    self._children_name_map["key_6"] = "key-6"
                                    self._children_yang_names.add("key-6")

                                    self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7()
                                    self.key_7.parent = self
                                    self._children_name_map["key_7"] = "key-7"
                                    self._children_yang_names.add("key-7")
                                    self._segment_path = lambda: "key"


                                class KeyPwd(Entity):
                                    """
                                    
                                    
                                    .. attribute:: unc_pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd, self).__init__()

                                        self.yang_name = "key-pwd"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-pwd"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key0(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0, self).__init__()

                                        self.yang_name = "key-0"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_0 = YLeaf(YType.str, "ak-0")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-0"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key6(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6, self).__init__()

                                        self.yang_name = "key-6"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_6 = YLeaf(YType.str, "ak-6")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-6"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                                class Key7(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ak_7
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: hash_function
                                    
                                    	authentication type
                                    	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7.HashFunction>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7, self).__init__()

                                        self.yang_name = "key-7"
                                        self.yang_parent_name = "key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ak_7 = YLeaf(YType.str, "ak-7")

                                        self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                        self._segment_path = lambda: "key-7"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.DynamicEid.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                    class HashFunction(Enum):
                                        """
                                        HashFunction

                                        authentication type

                                        .. data:: sha1 = 0

                                        .. data:: sha2 = 1

                                        """

                                        sha1 = Enum.YLeaf(0, "sha1")

                                        sha2 = Enum.YLeaf(1, "sha2")



                    class LocReachAlgorithm(Entity):
                        """
                        Configure locator reachability algorithm
                        
                        .. attribute:: lsb_reports
                        
                        	Configure data packet LSB report handling
                        	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports>`
                        
                        .. attribute:: rloc_probing
                        
                        	Probe high priority RLOCs with Map\-Requests as last resort
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm, self).__init__()

                            self.yang_name = "loc-reach-algorithm"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports)}
                            self._child_list_classes = {}

                            self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                            self.lsb_reports = Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports()
                            self.lsb_reports.parent = self
                            self._children_name_map["lsb_reports"] = "lsb-reports"
                            self._children_yang_names.add("lsb-reports")
                            self._segment_path = lambda: "loc-reach-algorithm"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm, ['rloc_probing'], name, value)


                        class LsbReports(Entity):
                            """
                            Configure data packet LSB report handling
                            
                            .. attribute:: do_not_transmit
                            
                            	Force the setting of the encapsulation header L bit to zero
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore data packet LSB reports
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports, self).__init__()

                                self.yang_name = "lsb-reports"
                                self.yang_parent_name = "loc-reach-algorithm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "lsb-reports"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                    class MapServer(Entity):
                        """
                        Map\-Server commands
                        
                        .. attribute:: rloc
                        
                        	EID instance RLOC membership
                        	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc>`
                        
                        .. attribute:: site_registration
                        
                        	Map\-server site registration options
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.MapServer.SiteRegistration>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.InstanceContainer.InstanceList.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.MapServer.SiteRegistration)}
                            self._child_list_classes = {}

                            self.rloc = Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc()
                            self.rloc.parent = self
                            self._children_name_map["rloc"] = "rloc"
                            self._children_yang_names.add("rloc")

                            self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.MapServer.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")
                            self._segment_path = lambda: "map-server"


                        class Rloc(Entity):
                            """
                            EID instance RLOC membership
                            
                            .. attribute:: members
                            
                            	EID instance RLOC membership
                            	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc, self).__init__()

                                self.yang_name = "rloc"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"members" : ("members", Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members)}
                                self._child_list_classes = {}

                                self.members = Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members()
                                self.members.parent = self
                                self._children_name_map["members"] = "members"
                                self._children_yang_names.add("members")
                                self._segment_path = lambda: "rloc"


                            class Members(Entity):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: distribute
                                
                                	EID instance RLOC membership distribution
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: modify_discovered
                                
                                	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members, self).__init__()

                                    self.yang_name = "members"
                                    self.yang_parent_name = "rloc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered)}
                                    self._child_list_classes = {}

                                    self.distribute = YLeaf(YType.empty, "distribute")

                                    self.modify_discovered = Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                    self.modify_discovered.parent = self
                                    self._children_name_map["modify_discovered"] = "modify-discovered"
                                    self._children_yang_names.add("modify-discovered")
                                    self._segment_path = lambda: "members"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members, ['distribute'], name, value)


                                class ModifyDiscovered(Entity):
                                    """
                                    Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    
                                    .. attribute:: operator
                                    
                                    	
                                    	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set from which to get member RLOC addresses
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                        self.yang_name = "modify-discovered"
                                        self.yang_parent_name = "members"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.operator = YLeaf(YType.enumeration, "operator")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "modify-discovered"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                    class Operator(Enum):
                                        """
                                        Operator

                                        .. data:: add = 0

                                        .. data:: override = 1

                                        """

                                        add = Enum.YLeaf(0, "add")

                                        override = Enum.YLeaf(1, "override")



                        class SiteRegistration(Entity):
                            """
                            Map\-server site registration options
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations as a result of accept\-more\-specifics
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.MapServer.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class OtherXtrProbe(Entity):
                        """
                        Configure parameters for probing of other xTRs in our site
                        
                        .. attribute:: period
                        
                        	Period between probes in seconds
                        	**type**\: int
                        
                        	**range:** 5..900
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.InstanceContainer.InstanceList.OtherXtrProbe, self).__init__()

                            self.yang_name = "other-xtr-probe"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.period = YLeaf(YType.uint16, "period")
                            self._segment_path = lambda: "other-xtr-probe"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.OtherXtrProbe, ['period'], name, value)


                    class RemoteRlocProbe(Entity):
                        """
                        Configure parameters for probing of remote RLOCs
                        
                        .. attribute:: on_membership_change
                        
                        	Trigger probing upon membership changes for remote RLOC
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: on_route_change
                        
                        	Trigger probing upon routing changes for remote RLOC
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.InstanceContainer.InstanceList.RemoteRlocProbe, self).__init__()

                            self.yang_name = "remote-rloc-probe"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                            self.on_route_change = YLeaf(YType.empty, "on-route-change")
                            self._segment_path = lambda: "remote-rloc-probe"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                    class Service(Entity):
                        """
                        Configure lisp service type
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv6
                        
                        	
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ethernet
                        
                        	
                        	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service, self).__init__()

                            self.yang_name = "service"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4), "ipv6" : ("ipv6", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6), "ethernet" : ("ethernet", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ipv4 = None
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv6 = None
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")

                            self.ethernet = None
                            self._children_name_map["ethernet"] = "ethernet"
                            self._children_yang_names.add("ethernet")
                            self._segment_path = lambda: "service"


                        class Ipv4(Entity):
                            """
                            
                            
                            .. attribute:: default
                            
                            	
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default>`
                            
                            .. attribute:: eid_table
                            
                            	Bind an eid\-table
                            	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EidTable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest>`
                            
                            .. attribute:: alt
                            
                            	LISP Alternative Topology, LISP\-ALT
                            	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt>`
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\: str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Distance>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent>`
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteExport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: database_mapping
                            
                            	Configures Locator addresses for an ETR
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "service"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"default" : ("default", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default), "eid-table" : ("eid_table", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EidTable), "itr" : ("itr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable), "etr" : ("etr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt), "distance" : ("distance", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Distance), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping)}
                                self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr)}
                                self.is_presence_container = True

                                self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                self.sgt = YLeaf(YType.empty, "sgt")

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.default = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EidTable()
                                self.eid_table.parent = self
                                self._children_name_map["eid_table"] = "eid-table"
                                self._children_yang_names.add("eid-table")

                                self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt()
                                self.alt.parent = self
                                self._children_name_map["alt"] = "alt"
                                self._children_yang_names.add("alt")

                                self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")

                                self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                self._children_yang_names.add("map-cache-persistent")

                                self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr()
                                self.proxy_itr.parent = self
                                self._children_name_map["proxy_itr"] = "proxy-itr"
                                self._children_yang_names.add("proxy-itr")

                                self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteExport()
                                self.route_export.parent = self
                                self._children_name_map["route_export"] = "route-export"
                                self._children_yang_names.add("route-export")

                                self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport()
                                self.route_import.parent = self
                                self._children_name_map["route_import"] = "route-import"
                                self._children_yang_names.add("route-import")

                                self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.use_petr = YList(self)
                                self._segment_path = lambda: "ipv4"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                            class Default(Entity):
                                """
                                
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest>`
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\: str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent>`
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable), "itr" : ("itr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt), "distance" : ("distance", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport), "route-import" : ("route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping)}
                                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr)}

                                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                    self.sgt = YLeaf(YType.empty, "sgt")

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt()
                                    self.alt.parent = self
                                    self._children_name_map["alt"] = "alt"
                                    self._children_yang_names.add("alt")

                                    self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")

                                    self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                    self._children_yang_names.add("map-cache-persistent")

                                    self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self._children_name_map["proxy_itr"] = "proxy-itr"
                                    self._children_yang_names.add("proxy-itr")

                                    self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport()
                                    self.route_export.parent = self
                                    self._children_name_map["route_export"] = "route-export"
                                    self._children_yang_names.add("route-export")

                                    self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport()
                                    self.route_import.parent = self
                                    self._children_name_map["route_import"] = "route-import"
                                    self._children_yang_names.add("route-import")

                                    self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.use_petr = YList(self)
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                                        self.default = YLeaf(YType.empty, "default")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class Alt(Entity):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt, self).__init__()

                                        self.yang_name = "alt"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute)}

                                        self.summary_route = YList(self)
                                        self._segment_path = lambda: "alt"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt, [], name, value)


                                    class SummaryRoute(Entity):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute, self).__init__()

                                            self.yang_name = "summary-route"
                                            self.yang_parent_name = "alt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                class Distance(Entity):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.alt = YLeaf(YType.uint8, "alt")

                                        self.away = YLeaf(YType.uint8, "away")

                                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                class MapCache(Entity):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids)}
                                        self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface)}

                                        self.site_registration = YLeaf(YType.empty, "site-registration")

                                        self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self._children_name_map["away_eids"] = "away-eids"
                                        self._children_yang_names.add("away-eids")

                                        self.eid_interface = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache, ['site_registration'], name, value)


                                    class EidInterface(Entity):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface, self).__init__()

                                            self.yang_name = "eid-interface"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.drop = YLeaf(YType.empty, "drop")

                                            self.map_request = YLeaf(YType.empty, "map-request")

                                            self.native_forward = YLeaf(YType.empty, "native-forward")

                                            self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class AwayEids(Entity):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids, self).__init__()

                                            self.yang_name = "away-eids"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                            self._segment_path = lambda: "away-eids"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                class MapCachePersistent(Entity):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\: int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent, self).__init__()

                                        self.yang_name = "map-cache-persistent"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "map-cache-persistent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.MapCachePersistent, ['interval'], name, value)


                                class ProxyItr(Entity):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr, self).__init__()

                                        self.yang_name = "proxy-itr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                        self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                        self._segment_path = lambda: "proxy-itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                class RouteExport(Entity):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport, self).__init__()

                                        self.yang_name = "route-export"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                        self.away_eids = YLeaf(YType.empty, "away-eids")
                                        self._segment_path = lambda: "route-export"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                class UsePetr(Entity):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr, self).__init__()

                                        self.yang_name = "use-petr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority)}
                                        self._child_list_classes = {}

                                        self.locator_address = YLeaf(YType.str, "locator-address")

                                        self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr, ['locator_address'], name, value)


                                    class Priority(Entity):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "use-petr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority_value = YLeaf(YType.uint8, "priority-value")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                class RouteImport(Entity):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport, self).__init__()

                                        self.yang_name = "route-import"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"database" : ("database", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache)}
                                        self._child_list_classes = {}

                                        self.database = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database()
                                        self.database.parent = self
                                        self._children_name_map["database"] = "database"
                                        self._children_yang_names.add("database")

                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "route-import"


                                    class Database(Entity):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database, self).__init__()

                                            self.yang_name = "database"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf)}

                                            self.application = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static()
                                            self.static.parent = self
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip()
                                            self.rip.parent = self
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self._segment_path = lambda: "database"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "application"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "connected"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.process_id = YLeaf(YType.str, "process-id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "nd"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "static"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "rip"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf)}

                                            self.application = None
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = None
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip()
                                            self.rip.parent = self
                                            self._children_name_map["rip"] = "rip"
                                            self._children_yang_names.add("rip")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "application"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "connected"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "nd"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "static"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "rip"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont)}

                                        self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class EidTable(Entity):
                                """
                                Bind an eid\-table
                                
                                .. attribute:: vrf_name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: default
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EidTable, self).__init__()

                                    self.yang_name = "eid-table"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vrf_name = YLeaf(YType.str, "vrf-name")

                                    self.default = YLeaf(YType.empty, "default")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "eid-table"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ItrEnable, ['itr'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.EtrEnable, ['etr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer)}

                                    self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                    self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                    self._children_yang_names.add("accept-map-request-mapping")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr, ['map_cache_ttl'], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                class AcceptMapRequestMapping(Entity):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping, self).__init__()

                                        self.yang_name = "accept-map-request-mapping"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                        self.verify = YLeaf(YType.empty, "verify")
                                        self._segment_path = lambda: "accept-map-request-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class Alt(Entity):
                                """
                                LISP Alternative Topology, LISP\-ALT
                                
                                .. attribute:: summary_route
                                
                                	Summary route to install into the ALT table
                                	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt, self).__init__()

                                    self.yang_name = "alt"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute)}

                                    self.summary_route = YList(self)
                                    self._segment_path = lambda: "alt"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt, [], name, value)


                                class SummaryRoute(Entity):
                                    """
                                    Summary route to install into the ALT table
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: route_tag
                                    
                                    	ALT RIB route tag for EID prefix
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute, self).__init__()

                                        self.yang_name = "summary-route"
                                        self.yang_parent_name = "alt"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.route_tag = YLeaf(YType.uint32, "route-tag")
                                        self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                            class Distance(Entity):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.alt = YLeaf(YType.uint8, "alt")

                                    self.away = YLeaf(YType.uint8, "away")

                                    self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                    self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                    self._segment_path = lambda: "distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                            class MapCache(Entity):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: eid_interface
                                
                                	Configures static EID\-to\-RLOC mappings for an ITR
                                	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface>`
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids)}
                                    self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface)}

                                    self.site_registration = YLeaf(YType.empty, "site-registration")

                                    self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self._children_name_map["away_eids"] = "away-eids"
                                    self._children_yang_names.add("away-eids")

                                    self.eid_interface = YList(self)
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache, ['site_registration'], name, value)


                                class EidInterface(Entity):
                                    """
                                    Configures static EID\-to\-RLOC mappings for an ITR
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: etr_interface_ip
                                    
                                    	
                                    	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp>`
                                    
                                    .. attribute:: drop
                                    
                                    	Drop packets that match this map\-cache entry
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: map_request
                                    
                                    	Send Map\-Request for LISP destination EID
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: native_forward
                                    
                                    	Natively forward packets that match this map\-cache entry
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface, self).__init__()

                                        self.yang_name = "eid-interface"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp)}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.drop = YLeaf(YType.empty, "drop")

                                        self.map_request = YLeaf(YType.empty, "map-request")

                                        self.native_forward = YLeaf(YType.empty, "native-forward")

                                        self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp()
                                        self.etr_interface_ip.parent = self
                                        self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                        self._children_yang_names.add("etr-interface-ip")
                                        self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                    class EtrInterfaceIp(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr_interface_ip_address
                                        
                                        	IP address of loopback or other ETR interface
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                            self.yang_name = "etr-interface-ip"
                                            self.yang_parent_name = "eid-interface"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                            self.priority = YLeaf(YType.uint8, "priority")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "etr-interface-ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                class AwayEids(Entity):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids, self).__init__()

                                        self.yang_name = "away-eids"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                        self._segment_path = lambda: "away-eids"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCache.AwayEids, ['send_map_request'], name, value)


                            class MapCachePersistent(Entity):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\: int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent, self).__init__()

                                    self.yang_name = "map-cache-persistent"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")
                                    self._segment_path = lambda: "map-cache-persistent"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.MapCachePersistent, ['interval'], name, value)


                            class ProxyItr(Entity):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr, self).__init__()

                                    self.yang_name = "proxy-itr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                    self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                    self._segment_path = lambda: "proxy-itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                            class RouteExport(Entity):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteExport, self).__init__()

                                    self.yang_name = "route-export"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                    self.away_eids = YLeaf(YType.empty, "away-eids")
                                    self._segment_path = lambda: "route-export"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                            class UsePetr(Entity):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	
                                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr, self).__init__()

                                    self.yang_name = "use-petr"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority)}
                                    self._child_list_classes = {}

                                    self.locator_address = YLeaf(YType.str, "locator-address")

                                    self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority()
                                    self.priority.parent = self
                                    self._children_name_map["priority"] = "priority"
                                    self._children_yang_names.add("priority")
                                    self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr, ['locator_address'], name, value)


                                class Priority(Entity):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority, self).__init__()

                                        self.yang_name = "priority"
                                        self.yang_parent_name = "use-petr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.priority_value = YLeaf(YType.uint8, "priority-value")

                                        self.weight = YLeaf(YType.uint8, "weight")
                                        self._segment_path = lambda: "priority"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                            class RouteImport(Entity):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport, self).__init__()

                                    self.yang_name = "route-import"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"database" : ("database", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache)}
                                    self._child_list_classes = {}

                                    self.database = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database()
                                    self.database.parent = self
                                    self._children_name_map["database"] = "database"
                                    self._children_yang_names.add("database")

                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "route-import"


                                class Database(Entity):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbor Discovery
                                    	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database, self).__init__()

                                        self.yang_name = "database"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf)}

                                        self.application = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application()
                                        self.application.parent = self
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd()
                                        self.nd.parent = self
                                        self._children_name_map["nd"] = "nd"
                                        self._children_yang_names.add("nd")

                                        self.static = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static()
                                        self.static.parent = self
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip()
                                        self.rip.parent = self
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "database"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "application"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "connected"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: process_id
                                        
                                        	Process name
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.process_id = YLeaf(YType.str, "process-id")

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis, ['process_id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.uint32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Nd(Entity):
                                        """
                                        Neighbor Discovery
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd, self).__init__()

                                            self.yang_name = "nd"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "nd"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "nd"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "static"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "rip"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbour Discovery
                                    	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.nd = None
                                        self._children_name_map["nd"] = "nd"
                                        self._children_yang_names.add("nd")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.rip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip()
                                        self.rip.parent = self
                                        self._children_name_map["rip"] = "rip"
                                        self._children_yang_names.add("rip")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "application"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "connected"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id
                                        
                                        	Process name
                                        	**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.uint32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Nd(Entity):
                                        """
                                        Neighbour Discovery
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd, self).__init__()

                                            self.yang_name = "nd"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "nd"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "nd"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "static"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "rip"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Configures Locator addresses for an ETR
                                
                                .. attribute:: eid_cont
                                
                                	
                                	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont>`
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit)}
                                    self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont)}

                                    self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")

                                    self.eid_cont = YList(self)
                                    self._segment_path = lambda: "database-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping, [], name, value)


                                class EidCont(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\: str
                                    
                                    .. attribute:: ipv4_addrees
                                    
                                    	IPv4 Address of loopback or other ETR interface
                                    	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees>`
                                    
                                    .. attribute:: ipv6_addrees
                                    
                                    	IPv6 Address of loopback or other ETR interface
                                    	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees>`
                                    
                                    .. attribute:: ipv4_interface
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface>`
                                    
                                    .. attribute:: ipv6_interface
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface>`
                                    
                                    .. attribute:: auto_discover_rlocs
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont, self).__init__()

                                        self.yang_name = "eid-cont"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface)}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.locator_set = YLeaf(YType.str, "locator-set")

                                        self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                        self.ipv4_addrees = YList(self)
                                        self.ipv6_addrees = YList(self)
                                        self.ipv4_interface = YList(self)
                                        self.ipv6_interface = YList(self)
                                        self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                    class Ipv4Addrees(Entity):
                                        """
                                        IPv4 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                            self.yang_name = "ipv4-addrees"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.address = YLeaf(YType.str, "address")

                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "ipv4-addrees"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Ipv6Addrees(Entity):
                                        """
                                        IPv6 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                            self.yang_name = "ipv6-addrees"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.address = YLeaf(YType.str, "address")

                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "ipv6-addrees"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class IPv4Interface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\: str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                            self.yang_name = "IPv4-interface"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "IPv4-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class IPv6Interface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\: str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                            self.yang_name = "IPv6-interface"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "IPv6-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Ipv6(Entity):
                            """
                            
                            
                            .. attribute:: default
                            
                            	
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default>`
                            
                            .. attribute:: eid_table
                            
                            	Bind an eid\-table
                            	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EidTable>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest>`
                            
                            .. attribute:: alt
                            
                            	LISP Alternative Topology, LISP\-ALT
                            	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt>`
                            
                            .. attribute:: alt_vrf
                            
                            	Activate LISP\-ALT functionality in VRF
                            	**type**\: str
                            
                            	**status**\: deprecated
                            
                            .. attribute:: distance
                            
                            	Administrative distance for RIB route installation
                            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Distance>`
                            
                            .. attribute:: map_cache
                            
                            	Address family specific map cache configuration
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache>`
                            
                            .. attribute:: map_cache_persistent
                            
                            	Dump map\-cache onto flash, making it persistent across reboots
                            	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent>`
                            
                            .. attribute:: proxy_etr
                            
                            	Configures a LISP Proxy Engress Tunnel Router (PETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: proxy_itr
                            
                            	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                            	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr>`
                            
                            .. attribute:: route_export
                            
                            	Export routes into RIB from LISP
                            	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteExport>`
                            
                            .. attribute:: sgt
                            
                            	Enable security group tag propagation in LISP encapsulated traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: use_petr
                            
                            	Encapsulate to Proxy ETR when matching forward\-native entry
                            	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr>`
                            
                            .. attribute:: route_import
                            
                            	Import RIB routes by a routing protocol into LISP
                            	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: database_mapping
                            
                            	Configures Locator addresses for an ETR
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "service"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"default" : ("default", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default), "eid-table" : ("eid_table", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EidTable), "itr" : ("itr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable), "etr" : ("etr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt), "distance" : ("distance", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Distance), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping)}
                                self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr)}
                                self.is_presence_container = True

                                self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                self.sgt = YLeaf(YType.empty, "sgt")

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.default = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EidTable()
                                self.eid_table.parent = self
                                self._children_name_map["eid_table"] = "eid-table"
                                self._children_yang_names.add("eid-table")

                                self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt()
                                self.alt.parent = self
                                self._children_name_map["alt"] = "alt"
                                self._children_yang_names.add("alt")

                                self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Distance()
                                self.distance.parent = self
                                self._children_name_map["distance"] = "distance"
                                self._children_yang_names.add("distance")

                                self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")

                                self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent()
                                self.map_cache_persistent.parent = self
                                self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                self._children_yang_names.add("map-cache-persistent")

                                self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr()
                                self.proxy_itr.parent = self
                                self._children_name_map["proxy_itr"] = "proxy-itr"
                                self._children_yang_names.add("proxy-itr")

                                self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteExport()
                                self.route_export.parent = self
                                self._children_name_map["route_export"] = "route-export"
                                self._children_yang_names.add("route-export")

                                self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport()
                                self.route_import.parent = self
                                self._children_name_map["route_import"] = "route-import"
                                self._children_yang_names.add("route-import")

                                self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.use_petr = YList(self)
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                            class Default(Entity):
                                """
                                
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest>`
                                
                                .. attribute:: alt
                                
                                	LISP Alternative Topology, LISP\-ALT
                                	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt>`
                                
                                .. attribute:: alt_vrf
                                
                                	Activate LISP\-ALT functionality in VRF
                                	**type**\: str
                                
                                	**status**\: deprecated
                                
                                .. attribute:: distance
                                
                                	Administrative distance for RIB route installation
                                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance>`
                                
                                .. attribute:: map_cache
                                
                                	Address family specific map cache configuration
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache>`
                                
                                .. attribute:: map_cache_persistent
                                
                                	Dump map\-cache onto flash, making it persistent across reboots
                                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent>`
                                
                                .. attribute:: proxy_etr
                                
                                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: proxy_itr
                                
                                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                	**type**\:  :py:class:`ProxyItr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr>`
                                
                                .. attribute:: route_export
                                
                                	Export routes into RIB from LISP
                                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport>`
                                
                                .. attribute:: sgt
                                
                                	Enable security group tag propagation in LISP encapsulated traffic
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: use_petr
                                
                                	Encapsulate to Proxy ETR when matching forward\-native entry
                                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr>`
                                
                                .. attribute:: route_import
                                
                                	Import RIB routes by a routing protocol into LISP
                                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable), "itr" : ("itr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest), "alt" : ("alt", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt), "distance" : ("distance", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent), "proxy-itr" : ("proxy_itr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr), "route-export" : ("route_export", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport), "route-import" : ("route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport), "database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping)}
                                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr)}

                                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                                    self.sgt = YLeaf(YType.empty, "sgt")

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.alt = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt()
                                    self.alt.parent = self
                                    self._children_name_map["alt"] = "alt"
                                    self._children_yang_names.add("alt")

                                    self.distance = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance()
                                    self.distance.parent = self
                                    self._children_name_map["distance"] = "distance"
                                    self._children_yang_names.add("distance")

                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")

                                    self.map_cache_persistent = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent()
                                    self.map_cache_persistent.parent = self
                                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                                    self._children_yang_names.add("map-cache-persistent")

                                    self.proxy_itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr()
                                    self.proxy_itr.parent = self
                                    self._children_name_map["proxy_itr"] = "proxy-itr"
                                    self._children_yang_names.add("proxy-itr")

                                    self.route_export = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport()
                                    self.route_export.parent = self
                                    self._children_name_map["route_export"] = "route-export"
                                    self._children_yang_names.add("route-export")

                                    self.route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport()
                                    self.route_import.parent = self
                                    self._children_name_map["route_import"] = "route-import"
                                    self._children_yang_names.add("route-import")

                                    self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.use_petr = YList(self)
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default, ['alt_vrf', 'proxy_etr', 'sgt', 'map_request_source'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vrf_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: default
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: vrf
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                                        self.default = YLeaf(YType.empty, "default")

                                        self.vrf = YLeaf(YType.str, "vrf")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class Alt(Entity):
                                    """
                                    LISP Alternative Topology, LISP\-ALT
                                    
                                    .. attribute:: summary_route
                                    
                                    	Summary route to install into the ALT table
                                    	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt, self).__init__()

                                        self.yang_name = "alt"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute)}

                                        self.summary_route = YList(self)
                                        self._segment_path = lambda: "alt"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt, [], name, value)


                                    class SummaryRoute(Entity):
                                        """
                                        Summary route to install into the ALT table
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: route_tag
                                        
                                        	ALT RIB route tag for EID prefix
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute, self).__init__()

                                            self.yang_name = "summary-route"
                                            self.yang_parent_name = "alt"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                                            self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                                class Distance(Entity):
                                    """
                                    Administrative distance for RIB route installation
                                    
                                    .. attribute:: alt
                                    
                                    	LISP routes installed in the ALT table
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: away
                                    
                                    	Administrative distance for RIB route installation
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: dyn_eid
                                    
                                    	LISP installed routes of type dynamic\-EID
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: site_registrations
                                    
                                    	LISP installed routes of type site\-registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance, self).__init__()

                                        self.yang_name = "distance"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.alt = YLeaf(YType.uint8, "alt")

                                        self.away = YLeaf(YType.uint8, "away")

                                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                        self._segment_path = lambda: "distance"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                                class MapCache(Entity):
                                    """
                                    Address family specific map cache configuration
                                    
                                    .. attribute:: eid_interface
                                    
                                    	Configures static EID\-to\-RLOC mappings for an ITR
                                    	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Map cache configuration for the away table
                                    	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids>`
                                    
                                    .. attribute:: site_registration
                                    
                                    	Install map cache to map request for site registrations
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids)}
                                        self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface)}

                                        self.site_registration = YLeaf(YType.empty, "site-registration")

                                        self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids()
                                        self.away_eids.parent = self
                                        self._children_name_map["away_eids"] = "away-eids"
                                        self._children_yang_names.add("away-eids")

                                        self.eid_interface = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache, ['site_registration'], name, value)


                                    class EidInterface(Entity):
                                        """
                                        Configures static EID\-to\-RLOC mappings for an ITR
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp>`
                                        
                                        .. attribute:: drop
                                        
                                        	Drop packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: map_request
                                        
                                        	Send Map\-Request for LISP destination EID
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: native_forward
                                        
                                        	Natively forward packets that match this map\-cache entry
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface, self).__init__()

                                            self.yang_name = "eid-interface"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.drop = YLeaf(YType.empty, "drop")

                                            self.map_request = YLeaf(YType.empty, "map-request")

                                            self.native_forward = YLeaf(YType.empty, "native-forward")

                                            self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                    class AwayEids(Entity):
                                        """
                                        Map cache configuration for the away table
                                        
                                        .. attribute:: send_map_request
                                        
                                        	Export away table entries into the map cache with action set to send\-map\-request
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids, self).__init__()

                                            self.yang_name = "away-eids"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                            self._segment_path = lambda: "away-eids"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCache.AwayEids, ['send_map_request'], name, value)


                                class MapCachePersistent(Entity):
                                    """
                                    Dump map\-cache onto flash, making it persistent across reboots
                                    
                                    .. attribute:: interval
                                    
                                    	Interval in minutes of how often the map\-cache is saved
                                    	**type**\: int
                                    
                                    	**range:** 1..1440
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent, self).__init__()

                                        self.yang_name = "map-cache-persistent"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.interval = YLeaf(YType.uint16, "interval")
                                        self._segment_path = lambda: "map-cache-persistent"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.MapCachePersistent, ['interval'], name, value)


                                class ProxyItr(Entity):
                                    """
                                    Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                    
                                    .. attribute:: ipv4_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_addr
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr, self).__init__()

                                        self.yang_name = "proxy-itr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                        self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                        self._segment_path = lambda: "proxy-itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                                class RouteExport(Entity):
                                    """
                                    Export routes into RIB from LISP
                                    
                                    .. attribute:: site_registrations
                                    
                                    	Export LISP site registrations to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: away_eids
                                    
                                    	Export LISP away EIDs to RIB
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport, self).__init__()

                                        self.yang_name = "route-export"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                        self.away_eids = YLeaf(YType.empty, "away-eids")
                                        self._segment_path = lambda: "route-export"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteExport, ['site_registrations', 'away_eids'], name, value)


                                class UsePetr(Entity):
                                    """
                                    Encapsulate to Proxy ETR when matching forward\-native entry
                                    
                                    .. attribute:: locator_address  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: priority
                                    
                                    	
                                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr, self).__init__()

                                        self.yang_name = "use-petr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority)}
                                        self._child_list_classes = {}

                                        self.locator_address = YLeaf(YType.str, "locator-address")

                                        self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority()
                                        self.priority.parent = self
                                        self._children_name_map["priority"] = "priority"
                                        self._children_yang_names.add("priority")
                                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr, ['locator_address'], name, value)


                                    class Priority(Entity):
                                        """
                                        
                                        
                                        .. attribute:: priority_value
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority, self).__init__()

                                            self.yang_name = "priority"
                                            self.yang_parent_name = "use-petr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.priority_value = YLeaf(YType.uint8, "priority-value")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "priority"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                                class RouteImport(Entity):
                                    """
                                    Import RIB routes by a routing protocol into LISP
                                    
                                    .. attribute:: database
                                    
                                    	Use RIB routes to define local EID database entries
                                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database>`
                                    
                                    .. attribute:: map_cache
                                    
                                    	Use RIB routes to define EID address space in map\-cache
                                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport, self).__init__()

                                        self.yang_name = "route-import"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"database" : ("database", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache)}
                                        self._child_list_classes = {}

                                        self.database = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database()
                                        self.database.parent = self
                                        self._children_name_map["database"] = "database"
                                        self._children_yang_names.add("database")

                                        self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache()
                                        self.map_cache.parent = self
                                        self._children_name_map["map_cache"] = "map-cache"
                                        self._children_yang_names.add("map-cache")
                                        self._segment_path = lambda: "route-import"


                                    class Database(Entity):
                                        """
                                        Use RIB routes to define local EID database entries
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application>`
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected>`
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbor Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd>`
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static>`
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database, self).__init__()

                                            self.yang_name = "database"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip)}

                                            self.application = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application()
                                            self.application.parent = self
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected()
                                            self.connected.parent = self
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd()
                                            self.nd.parent = self
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static()
                                            self.static.parent = self
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self.rip = YList(self)
                                            self._segment_path = lambda: "database"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "application"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "connected"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: process_id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.process_id = YLeaf(YType.str, "process-id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis, ['process_id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbor Discovery
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "nd"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "static"


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\: str
                                            
                                            .. attribute:: lisp_ip_route_import
                                            
                                            	
                                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "database"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport()
                                                self.lisp_ip_route_import.parent = self
                                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                                self._children_yang_names.add("lisp-ip-route-import")
                                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip, ['id'], name, value)


                                            class LispIpRouteImport(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                .. attribute:: locator_set
                                                
                                                	Locator set to use with created database mapping entries
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                    self.yang_name = "lisp-ip-route-import"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                                    self._segment_path = lambda: "lisp-ip-route-import"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MapCache(Entity):
                                        """
                                        Use RIB routes to define EID address space in map\-cache
                                        
                                        .. attribute:: application
                                        
                                        	Application Protocol
                                        	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: bgp
                                        
                                        	Border Gateway Protocol (BGP)
                                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp>`
                                        
                                        .. attribute:: connected
                                        
                                        	Connected
                                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: eigrp
                                        
                                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp>`
                                        
                                        .. attribute:: isis
                                        
                                        	ISO IS\-IS
                                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis>`
                                        
                                        .. attribute:: maximum_prefix
                                        
                                        	Maximum number of prefixes to pick up from the RIB
                                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix>`
                                        
                                        .. attribute:: nd
                                        
                                        	Neighbour Discovery
                                        	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: ospf
                                        
                                        	Open Shortest Path First (OSPF)
                                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf>`
                                        
                                        .. attribute:: static
                                        
                                        	Static routes
                                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: rip
                                        
                                        	Routing Information Protocol (RIP)
                                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache, self).__init__()

                                            self.yang_name = "map-cache"
                                            self.yang_parent_name = "route-import"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static)}
                                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip)}

                                            self.application = None
                                            self._children_name_map["application"] = "application"
                                            self._children_yang_names.add("application")

                                            self.connected = None
                                            self._children_name_map["connected"] = "connected"
                                            self._children_yang_names.add("connected")

                                            self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis()
                                            self.isis.parent = self
                                            self._children_name_map["isis"] = "isis"
                                            self._children_yang_names.add("isis")

                                            self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix()
                                            self.maximum_prefix.parent = self
                                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                            self._children_yang_names.add("maximum-prefix")

                                            self.nd = None
                                            self._children_name_map["nd"] = "nd"
                                            self._children_yang_names.add("nd")

                                            self.static = None
                                            self._children_name_map["static"] = "static"
                                            self._children_yang_names.add("static")

                                            self.bgp = YList(self)
                                            self.eigrp = YList(self)
                                            self.ospf = YList(self)
                                            self.rip = YList(self)
                                            self._segment_path = lambda: "map-cache"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache, [], name, value)


                                        class Application(Entity):
                                            """
                                            Application Protocol
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application, self).__init__()

                                                self.yang_name = "application"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "application"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "application"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                        class Bgp(Entity):
                                            """
                                            Border Gateway Protocol (BGP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: int
                                            
                                            			**range:** 1..4294967295
                                            
                                            		**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp, self).__init__()

                                                self.yang_name = "bgp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "bgp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                        class Connected(Entity):
                                            """
                                            Connected
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected, self).__init__()

                                                self.yang_name = "connected"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "connected"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "connected"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                        class Eigrp(Entity):
                                            """
                                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, self).__init__()

                                                self.yang_name = "eigrp"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "eigrp"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                        class Isis(Entity):
                                            """
                                            ISO IS\-IS
                                            
                                            .. attribute:: id
                                            
                                            	Process name
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis, self).__init__()

                                                self.yang_name = "isis"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "isis"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "isis"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                        class MaximumPrefix(Entity):
                                            """
                                            Maximum number of prefixes to pick up from the RIB
                                            
                                            .. attribute:: number
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..4294967295
                                            
                                            .. attribute:: warning_only
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: threshold
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: threshold1
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..100
                                            
                                            .. attribute:: warning_only1
                                            
                                            	Only give a warning message and do not limit entries
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                                self.yang_name = "maximum-prefix"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.number = YLeaf(YType.uint32, "number")

                                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                                self.threshold = YLeaf(YType.uint8, "threshold")

                                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                                self._segment_path = lambda: "maximum-prefix"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                        class Nd(Entity):
                                            """
                                            Neighbour Discovery
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd, self).__init__()

                                                self.yang_name = "nd"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "nd"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "nd"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                        class Ospf(Entity):
                                            """
                                            Open Shortest Path First (OSPF)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..65535
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf, self).__init__()

                                                self.yang_name = "ospf"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint16, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "ospf"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                        class Static(Entity):
                                            """
                                            Static routes
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static, self).__init__()

                                                self.yang_name = "static"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer)}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "static"


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "static"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                        class Rip(Entity):
                                            """
                                            Routing Information Protocol (RIP)
                                            
                                            .. attribute:: id  <key>
                                            
                                            	User selected string identifying this process
                                            	**type**\: str
                                            
                                            .. attribute:: map_cache_container
                                            
                                            	
                                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip, self).__init__()

                                                self.yang_name = "rip"
                                                self.yang_parent_name = "map-cache"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.str, "id")

                                                self.map_cache_container = None
                                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                                self._children_yang_names.add("map-cache-container")
                                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip, ['id'], name, value)


                                            class MapCacheContainer(Entity):
                                                """
                                                
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map for route selection filtering
                                                	**type**\: str
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                    self.yang_name = "map-cache-container"
                                                    self.yang_parent_name = "rip"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.route_map = YLeaf(YType.str, "route-map")
                                                    self._segment_path = lambda: "map-cache-container"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont)}

                                        self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        .. attribute:: auto_discover_rlocs
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class EidTable(Entity):
                                """
                                Bind an eid\-table
                                
                                .. attribute:: vrf_name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: default
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: vrf
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EidTable, self).__init__()

                                    self.yang_name = "eid-table"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vrf_name = YLeaf(YType.str, "vrf-name")

                                    self.default = YLeaf(YType.empty, "default")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "eid-table"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EidTable, ['vrf_name', 'default', 'vrf'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ItrEnable, ['itr'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.EtrEnable, ['etr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer)}

                                    self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                    self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                    self._children_yang_names.add("accept-map-request-mapping")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr, ['map_cache_ttl'], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                class AcceptMapRequestMapping(Entity):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping, self).__init__()

                                        self.yang_name = "accept-map-request-mapping"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                        self.verify = YLeaf(YType.empty, "verify")
                                        self._segment_path = lambda: "accept-map-request-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class Alt(Entity):
                                """
                                LISP Alternative Topology, LISP\-ALT
                                
                                .. attribute:: summary_route
                                
                                	Summary route to install into the ALT table
                                	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt, self).__init__()

                                    self.yang_name = "alt"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute)}

                                    self.summary_route = YList(self)
                                    self._segment_path = lambda: "alt"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt, [], name, value)


                                class SummaryRoute(Entity):
                                    """
                                    Summary route to install into the ALT table
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: route_tag
                                    
                                    	ALT RIB route tag for EID prefix
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute, self).__init__()

                                        self.yang_name = "summary-route"
                                        self.yang_parent_name = "alt"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.route_tag = YLeaf(YType.uint32, "route-tag")
                                        self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                            class Distance(Entity):
                                """
                                Administrative distance for RIB route installation
                                
                                .. attribute:: alt
                                
                                	LISP routes installed in the ALT table
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: away
                                
                                	Administrative distance for RIB route installation
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: dyn_eid
                                
                                	LISP installed routes of type dynamic\-EID
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: site_registrations
                                
                                	LISP installed routes of type site\-registrations
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Distance, self).__init__()

                                    self.yang_name = "distance"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.alt = YLeaf(YType.uint8, "alt")

                                    self.away = YLeaf(YType.uint8, "away")

                                    self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                    self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                    self._segment_path = lambda: "distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.Distance, ['alt', 'away', 'dyn_eid', 'site_registrations'], name, value)


                            class MapCache(Entity):
                                """
                                Address family specific map cache configuration
                                
                                .. attribute:: eid_interface
                                
                                	Configures static EID\-to\-RLOC mappings for an ITR
                                	**type**\: list of  		 :py:class:`EidInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface>`
                                
                                .. attribute:: away_eids
                                
                                	Map cache configuration for the away table
                                	**type**\:  :py:class:`AwayEids <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids>`
                                
                                .. attribute:: site_registration
                                
                                	Install map cache to map request for site registrations
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"away-eids" : ("away_eids", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids)}
                                    self._child_list_classes = {"eid-interface" : ("eid_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface)}

                                    self.site_registration = YLeaf(YType.empty, "site-registration")

                                    self.away_eids = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids()
                                    self.away_eids.parent = self
                                    self._children_name_map["away_eids"] = "away-eids"
                                    self._children_yang_names.add("away-eids")

                                    self.eid_interface = YList(self)
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache, ['site_registration'], name, value)


                                class EidInterface(Entity):
                                    """
                                    Configures static EID\-to\-RLOC mappings for an ITR
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: etr_interface_ip
                                    
                                    	
                                    	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp>`
                                    
                                    .. attribute:: drop
                                    
                                    	Drop packets that match this map\-cache entry
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: map_request
                                    
                                    	Send Map\-Request for LISP destination EID
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: native_forward
                                    
                                    	Natively forward packets that match this map\-cache entry
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface, self).__init__()

                                        self.yang_name = "eid-interface"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp)}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.drop = YLeaf(YType.empty, "drop")

                                        self.map_request = YLeaf(YType.empty, "map-request")

                                        self.native_forward = YLeaf(YType.empty, "native-forward")

                                        self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp()
                                        self.etr_interface_ip.parent = self
                                        self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                        self._children_yang_names.add("etr-interface-ip")
                                        self._segment_path = lambda: "eid-interface" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                                    class EtrInterfaceIp(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr_interface_ip_address
                                        
                                        	IP address of loopback or other ETR interface
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, self).__init__()

                                            self.yang_name = "etr-interface-ip"
                                            self.yang_parent_name = "eid-interface"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                            self.priority = YLeaf(YType.uint8, "priority")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "etr-interface-ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.EidInterface.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                                class AwayEids(Entity):
                                    """
                                    Map cache configuration for the away table
                                    
                                    .. attribute:: send_map_request
                                    
                                    	Export away table entries into the map cache with action set to send\-map\-request
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids, self).__init__()

                                        self.yang_name = "away-eids"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.send_map_request = YLeaf(YType.empty, "send-map-request")
                                        self._segment_path = lambda: "away-eids"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCache.AwayEids, ['send_map_request'], name, value)


                            class MapCachePersistent(Entity):
                                """
                                Dump map\-cache onto flash, making it persistent across reboots
                                
                                .. attribute:: interval
                                
                                	Interval in minutes of how often the map\-cache is saved
                                	**type**\: int
                                
                                	**range:** 1..1440
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent, self).__init__()

                                    self.yang_name = "map-cache-persistent"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interval = YLeaf(YType.uint16, "interval")
                                    self._segment_path = lambda: "map-cache-persistent"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.MapCachePersistent, ['interval'], name, value)


                            class ProxyItr(Entity):
                                """
                                Configures a LISP Proxy Ingress Tunnel Router (PITR)
                                
                                .. attribute:: ipv4_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_addr
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr, self).__init__()

                                    self.yang_name = "proxy-itr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_addr = YLeaf(YType.str, "ipv4-addr")

                                    self.ipv6_addr = YLeaf(YType.str, "ipv6-addr")
                                    self._segment_path = lambda: "proxy-itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.ProxyItr, ['ipv4_addr', 'ipv6_addr'], name, value)


                            class RouteExport(Entity):
                                """
                                Export routes into RIB from LISP
                                
                                .. attribute:: site_registrations
                                
                                	Export LISP site registrations to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: away_eids
                                
                                	Export LISP away EIDs to RIB
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteExport, self).__init__()

                                    self.yang_name = "route-export"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                    self.away_eids = YLeaf(YType.empty, "away-eids")
                                    self._segment_path = lambda: "route-export"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                            class UsePetr(Entity):
                                """
                                Encapsulate to Proxy ETR when matching forward\-native entry
                                
                                .. attribute:: locator_address  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: priority
                                
                                	
                                	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr, self).__init__()

                                    self.yang_name = "use-petr"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"priority" : ("priority", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority)}
                                    self._child_list_classes = {}

                                    self.locator_address = YLeaf(YType.str, "locator-address")

                                    self.priority = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority()
                                    self.priority.parent = self
                                    self._children_name_map["priority"] = "priority"
                                    self._children_yang_names.add("priority")
                                    self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr, ['locator_address'], name, value)


                                class Priority(Entity):
                                    """
                                    
                                    
                                    .. attribute:: priority_value
                                    
                                    	Configures which Locators from a set are preferred
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    .. attribute:: weight
                                    
                                    	Traffic load\-spreading among Locators
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority, self).__init__()

                                        self.yang_name = "priority"
                                        self.yang_parent_name = "use-petr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.priority_value = YLeaf(YType.uint8, "priority-value")

                                        self.weight = YLeaf(YType.uint8, "weight")
                                        self._segment_path = lambda: "priority"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.UsePetr.Priority, ['priority_value', 'weight'], name, value)


                            class RouteImport(Entity):
                                """
                                Import RIB routes by a routing protocol into LISP
                                
                                .. attribute:: database
                                
                                	Use RIB routes to define local EID database entries
                                	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database>`
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport, self).__init__()

                                    self.yang_name = "route-import"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"database" : ("database", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache)}
                                    self._child_list_classes = {}

                                    self.database = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database()
                                    self.database.parent = self
                                    self._children_name_map["database"] = "database"
                                    self._children_yang_names.add("database")

                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "route-import"


                                class Database(Entity):
                                    """
                                    Use RIB routes to define local EID database entries
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected>`
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbor Discovery
                                    	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd>`
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database, self).__init__()

                                        self.yang_name = "database"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip)}

                                        self.application = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application()
                                        self.application.parent = self
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.connected = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected()
                                        self.connected.parent = self
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.nd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd()
                                        self.nd.parent = self
                                        self._children_name_map["nd"] = "nd"
                                        self._children_yang_names.add("nd")

                                        self.static = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static()
                                        self.static.parent = self
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self.rip = YList(self)
                                        self._segment_path = lambda: "database"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "application"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Application.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "connected"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: process_id
                                        
                                        	Process name
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.process_id = YLeaf(YType.str, "process-id")

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis, ['process_id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.uint32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Nd(Entity):
                                        """
                                        Neighbor Discovery
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd, self).__init__()

                                            self.yang_name = "nd"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "nd"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "nd"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Nd.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "static"


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        .. attribute:: lisp_ip_route_import
                                        
                                        	
                                        	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "database"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.lisp_ip_route_import = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                            self.lisp_ip_route_import.parent = self
                                            self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                            self._children_yang_names.add("lisp-ip-route-import")
                                            self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip, ['id'], name, value)


                                        class LispIpRouteImport(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            .. attribute:: locator_set
                                            
                                            	Locator set to use with created database mapping entries
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                                self.yang_name = "lisp-ip-route-import"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.locator_set = YLeaf(YType.str, "locator-set")
                                                self._segment_path = lambda: "lisp-ip-route-import"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: application
                                    
                                    	Application Protocol
                                    	**type**\:  :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis>`
                                    
                                    .. attribute:: maximum_prefix
                                    
                                    	Maximum number of prefixes to pick up from the RIB
                                    	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                    
                                    .. attribute:: nd
                                    
                                    	Neighbour Discovery
                                    	**type**\:  :py:class:`Nd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "route-import"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"application" : ("application", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application), "connected" : ("connected", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected), "isis" : ("isis", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix), "nd" : ("nd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd), "static" : ("static", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static)}
                                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp), "ospf" : ("ospf", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf), "rip" : ("rip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip)}

                                        self.application = None
                                        self._children_name_map["application"] = "application"
                                        self._children_yang_names.add("application")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis()
                                        self.isis.parent = self
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.maximum_prefix = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                        self.maximum_prefix.parent = self
                                        self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                        self._children_yang_names.add("maximum-prefix")

                                        self.nd = None
                                        self._children_name_map["nd"] = "nd"
                                        self._children_yang_names.add("nd")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self.rip = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application Protocol
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "application"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Application.MapCacheContainer, ['route_map'], name, value)


                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "connected"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: id
                                        
                                        	Process name
                                        	**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                    class MaximumPrefix(Entity):
                                        """
                                        Maximum number of prefixes to pick up from the RIB
                                        
                                        .. attribute:: number
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..4294967295
                                        
                                        .. attribute:: warning_only
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: threshold
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: threshold1
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        .. attribute:: warning_only1
                                        
                                        	Only give a warning message and do not limit entries
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                            self.yang_name = "maximum-prefix"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.number = YLeaf(YType.uint32, "number")

                                            self.warning_only = YLeaf(YType.empty, "warning-only")

                                            self.threshold = YLeaf(YType.uint8, "threshold")

                                            self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                            self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                            self._segment_path = lambda: "maximum-prefix"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                    class Nd(Entity):
                                        """
                                        Neighbour Discovery
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd, self).__init__()

                                            self.yang_name = "nd"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "nd"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "nd"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Nd.MapCacheContainer, ['route_map'], name, value)


                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint16, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "static"


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this process
                                        	**type**\: str
                                        
                                        .. attribute:: map_cache_container
                                        
                                        	
                                        	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.map_cache_container = None
                                            self._children_name_map["map_cache_container"] = "map-cache-container"
                                            self._children_yang_names.add("map-cache-container")
                                            self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip, ['id'], name, value)


                                        class MapCacheContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map for route selection filtering
                                            	**type**\: str
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                                self.yang_name = "map-cache-container"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "map-cache-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Configures Locator addresses for an ETR
                                
                                .. attribute:: eid_cont
                                
                                	
                                	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont>`
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit)}
                                    self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont)}

                                    self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")

                                    self.eid_cont = YList(self)
                                    self._segment_path = lambda: "database-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping, [], name, value)


                                class EidCont(Entity):
                                    """
                                    
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\: str
                                    
                                    .. attribute:: ipv4_addrees
                                    
                                    	IPv4 Address of loopback or other ETR interface
                                    	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees>`
                                    
                                    .. attribute:: ipv6_addrees
                                    
                                    	IPv6 Address of loopback or other ETR interface
                                    	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees>`
                                    
                                    .. attribute:: ipv4_interface
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface>`
                                    
                                    .. attribute:: ipv6_interface
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface>`
                                    
                                    .. attribute:: auto_discover_rlocs
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont, self).__init__()

                                        self.yang_name = "eid-cont"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface)}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.locator_set = YLeaf(YType.str, "locator-set")

                                        self.auto_discover_rlocs = YLeaf(YType.empty, "auto-discover-rlocs")

                                        self.ipv4_addrees = YList(self)
                                        self.ipv6_addrees = YList(self)
                                        self.ipv4_interface = YList(self)
                                        self.ipv6_interface = YList(self)
                                        self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set', 'auto_discover_rlocs'], name, value)


                                    class Ipv4Addrees(Entity):
                                        """
                                        IPv4 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                            self.yang_name = "ipv4-addrees"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.address = YLeaf(YType.str, "address")

                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "ipv4-addrees"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Ipv6Addrees(Entity):
                                        """
                                        IPv6 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                            self.yang_name = "ipv6-addrees"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.address = YLeaf(YType.str, "address")

                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "ipv6-addrees"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class IPv4Interface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\: str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                            self.yang_name = "IPv4-interface"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "IPv4-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class IPv6Interface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\: str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                            self.yang_name = "IPv6-interface"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "IPv6-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Ethernet(Entity):
                            """
                            
                            
                            .. attribute:: default
                            
                            	
                            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default>`
                            
                            .. attribute:: eid_table
                            
                            	Bind an eid\-table
                            	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EidTable>`
                            
                            .. attribute:: broadcast_underlay
                            
                            	Multicast group to use for underlay
                            	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay>`
                            
                            .. attribute:: database_mapping
                            
                            	Configures Locator addresses for an ETR
                            	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping>`
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr>`
                            
                            .. attribute:: itr_enable
                            
                            	
                            	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable>`
                            
                            .. attribute:: etr_enable
                            
                            	
                            	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable>`
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr>`
                            
                            .. attribute:: map_cache_limit
                            
                            	Configures maximum size of map\-cache
                            	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit>`
                            
                            .. attribute:: site_registration
                            
                            	Site registrations configuration for a given instance\-id
                            	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration>`
                            
                            .. attribute:: solicit_map_request
                            
                            	Configure Solicit\-Map\-Request handling
                            	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest>`
                            
                            .. attribute:: map_request_source
                            
                            	Configures inner header source address in Map\-Request message
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_cache
                            
                            	Use RIB routes to define EID address space in map\-cache
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet, self).__init__()

                                self.yang_name = "ethernet"
                                self.yang_parent_name = "service"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"default" : ("default", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default), "eid-table" : ("eid_table", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable), "etr" : ("etr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request_source = YLeaf(YType.str, "map-request-source")

                                self.default = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default()
                                self.default.parent = self
                                self._children_name_map["default"] = "default"
                                self._children_yang_names.add("default")

                                self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EidTable()
                                self.eid_table.parent = self
                                self._children_name_map["eid_table"] = "eid-table"
                                self._children_yang_names.add("eid-table")

                                self.broadcast_underlay = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay()
                                self.broadcast_underlay.parent = self
                                self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                self._children_yang_names.add("broadcast-underlay")

                                self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping()
                                self.database_mapping.parent = self
                                self._children_name_map["database_mapping"] = "database-mapping"
                                self._children_yang_names.add("database-mapping")

                                self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr()
                                self.itr.parent = self
                                self._children_name_map["itr"] = "itr"
                                self._children_yang_names.add("itr")

                                self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable()
                                self.itr_enable.parent = self
                                self._children_name_map["itr_enable"] = "itr-enable"
                                self._children_yang_names.add("itr-enable")

                                self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable()
                                self.etr_enable.parent = self
                                self._children_name_map["etr_enable"] = "etr-enable"
                                self._children_yang_names.add("etr-enable")

                                self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr()
                                self.etr.parent = self
                                self._children_name_map["etr"] = "etr"
                                self._children_yang_names.add("etr")

                                self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit()
                                self.map_cache_limit.parent = self
                                self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                self._children_yang_names.add("map-cache-limit")

                                self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration()
                                self.site_registration.parent = self
                                self._children_name_map["site_registration"] = "site-registration"
                                self._children_yang_names.add("site-registration")

                                self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest()
                                self.solicit_map_request.parent = self
                                self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                self._children_yang_names.add("solicit-map-request")

                                self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")
                                self._segment_path = lambda: "ethernet"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet, ['map_request_source'], name, value)


                            class Default(Entity):
                                """
                                
                                
                                .. attribute:: eid_table
                                
                                	Bind an eid\-table
                                	**type**\:  :py:class:`EidTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable>`
                                
                                .. attribute:: broadcast_underlay
                                
                                	Multicast group to use for underlay
                                	**type**\:  :py:class:`BroadcastUnderlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay>`
                                
                                .. attribute:: database_mapping
                                
                                	Configures Locator addresses for an ETR
                                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping>`
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr>`
                                
                                .. attribute:: itr_enable
                                
                                	
                                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable>`
                                
                                .. attribute:: etr_enable
                                
                                	
                                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable>`
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr>`
                                
                                .. attribute:: map_cache_limit
                                
                                	Configures maximum size of map\-cache
                                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit>`
                                
                                .. attribute:: site_registration
                                
                                	Site registrations configuration for a given instance\-id
                                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration>`
                                
                                .. attribute:: solicit_map_request
                                
                                	Configure Solicit\-Map\-Request handling
                                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest>`
                                
                                .. attribute:: map_request_source
                                
                                	Configures inner header source address in Map\-Request message
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: map_cache
                                
                                	Use RIB routes to define EID address space in map\-cache
                                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default, self).__init__()

                                    self.yang_name = "default"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"eid-table" : ("eid_table", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable), "broadcast-underlay" : ("broadcast_underlay", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay), "database-mapping" : ("database_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping), "itr" : ("itr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable), "etr-enable" : ("etr_enable", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable), "etr" : ("etr", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit), "site-registration" : ("site_registration", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest), "map-cache" : ("map_cache", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache)}
                                    self._child_list_classes = {}

                                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                                    self.eid_table = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable()
                                    self.eid_table.parent = self
                                    self._children_name_map["eid_table"] = "eid-table"
                                    self._children_yang_names.add("eid-table")

                                    self.broadcast_underlay = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay()
                                    self.broadcast_underlay.parent = self
                                    self._children_name_map["broadcast_underlay"] = "broadcast-underlay"
                                    self._children_yang_names.add("broadcast-underlay")

                                    self.database_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping()
                                    self.database_mapping.parent = self
                                    self._children_name_map["database_mapping"] = "database-mapping"
                                    self._children_yang_names.add("database-mapping")

                                    self.itr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr()
                                    self.itr.parent = self
                                    self._children_name_map["itr"] = "itr"
                                    self._children_yang_names.add("itr")

                                    self.itr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable()
                                    self.itr_enable.parent = self
                                    self._children_name_map["itr_enable"] = "itr-enable"
                                    self._children_yang_names.add("itr-enable")

                                    self.etr_enable = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable()
                                    self.etr_enable.parent = self
                                    self._children_name_map["etr_enable"] = "etr-enable"
                                    self._children_yang_names.add("etr-enable")

                                    self.etr = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr()
                                    self.etr.parent = self
                                    self._children_name_map["etr"] = "etr"
                                    self._children_yang_names.add("etr")

                                    self.map_cache_limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit()
                                    self.map_cache_limit.parent = self
                                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                                    self._children_yang_names.add("map-cache-limit")

                                    self.site_registration = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration()
                                    self.site_registration.parent = self
                                    self._children_name_map["site_registration"] = "site-registration"
                                    self._children_yang_names.add("site-registration")

                                    self.solicit_map_request = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest()
                                    self.solicit_map_request.parent = self
                                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                                    self._children_yang_names.add("solicit-map-request")

                                    self.map_cache = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache()
                                    self.map_cache.parent = self
                                    self._children_name_map["map_cache"] = "map-cache"
                                    self._children_yang_names.add("map-cache")
                                    self._segment_path = lambda: "default"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default, ['map_request_source'], name, value)


                                class EidTable(Entity):
                                    """
                                    Bind an eid\-table
                                    
                                    .. attribute:: vlan
                                    
                                    	VLAN configuration
                                    	**type**\: int
                                    
                                    	**range:** 1..4094
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable, self).__init__()

                                        self.yang_name = "eid-table"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.vlan = YLeaf(YType.uint16, "vlan")
                                        self._segment_path = lambda: "eid-table"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EidTable, ['vlan'], name, value)


                                class BroadcastUnderlay(Entity):
                                    """
                                    Multicast group to use for underlay
                                    
                                    .. attribute:: ipv4_multicast
                                    
                                    	IPv4 multicast group address
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: ipv6_multicast
                                    
                                    	IPv6 multicast group address
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay, self).__init__()

                                        self.yang_name = "broadcast-underlay"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                        self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                        self._segment_path = lambda: "broadcast-underlay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                                class DatabaseMapping(Entity):
                                    """
                                    Configures Locator addresses for an ETR
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont>`
                                    
                                    .. attribute:: mac
                                    
                                    	L2 EID records
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: limit
                                    
                                    	Configures the maximum size of local EID prefixes database
                                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping, self).__init__()

                                        self.yang_name = "database-mapping"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit)}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont)}

                                        self.mac = None
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")

                                        self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit()
                                        self.limit.parent = self
                                        self._children_name_map["limit"] = "limit"
                                        self._children_yang_names.add("limit")

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "database-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        .. attribute:: ipv4_addrees
                                        
                                        	IPv4 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees>`
                                        
                                        .. attribute:: ipv6_addrees
                                        
                                        	IPv6 Address of loopback or other ETR interface
                                        	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees>`
                                        
                                        .. attribute:: ipv4_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface>`
                                        
                                        .. attribute:: ipv6_interface
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface)}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.locator_set = YLeaf(YType.str, "locator-set")

                                            self.ipv4_addrees = YList(self)
                                            self.ipv6_addrees = YList(self)
                                            self.ipv4_interface = YList(self)
                                            self.ipv6_interface = YList(self)
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                        class Ipv4Addrees(Entity):
                                            """
                                            IPv4 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                                self.yang_name = "ipv4-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv4-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class Ipv6Addrees(Entity):
                                            """
                                            IPv6 Address of loopback or other ETR interface
                                            
                                            .. attribute:: address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                                self.yang_name = "ipv6-addrees"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.address = YLeaf(YType.str, "address")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "ipv6-addrees"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv4Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                                self.yang_name = "IPv4-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv4-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                        class IPv6Interface(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	Use IPv4 address of interface as locator
                                            	**type**\: str
                                            
                                            .. attribute:: database_mapping_option
                                            
                                            	
                                            	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                                self.yang_name = "IPv6-interface"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                                self.database_mapping_option.parent = self
                                                self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                                self._children_yang_names.add("database-mapping-option")
                                                self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                            class DatabaseMappingOption(Entity):
                                                """
                                                
                                                
                                                .. attribute:: priority
                                                
                                                	Configures which Locators from a set are preferred
                                                	**type**\: int
                                                
                                                	**range:** 0..255
                                                
                                                .. attribute:: weight
                                                
                                                	Traffic load\-spreading among Locators
                                                	**type**\: int
                                                
                                                	**range:** 0..100
                                                
                                                .. attribute:: down
                                                
                                                	Configure this database mapping down
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                    self.yang_name = "database-mapping-option"
                                                    self.yang_parent_name = "IPv6-interface"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.priority = YLeaf(YType.uint8, "priority")

                                                    self.weight = YLeaf(YType.uint8, "weight")

                                                    self.down = YLeaf(YType.empty, "down")
                                                    self._segment_path = lambda: "database-mapping-option"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Mac(Entity):
                                        """
                                        L2 EID records
                                        
                                        .. attribute:: locator_set
                                        
                                        	Use locators defined by locator\-set
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Mac, ['locator_set'], name, value)


                                    class Limit(Entity):
                                        """
                                        Configures the maximum size of local EID prefixes database
                                        
                                        .. attribute:: dynamic
                                        
                                        	Configures the maximum size of dynamic local EID prefixes database
                                        	**type**\: int
                                        
                                        	**range:** 1..5000
                                        
                                        .. attribute:: warning_threshold
                                        
                                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                        	**type**\: int
                                        
                                        	**range:** 1..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit, self).__init__()

                                            self.yang_name = "limit"
                                            self.yang_parent_name = "database-mapping"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                            self._segment_path = lambda: "limit"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                                class Itr(Entity):
                                    """
                                    Configures a LISP Ingress Tunnel Router (ITR)
                                    
                                    .. attribute:: map_resolver
                                    
                                    	Configures map\-resolver address for sending Map\-Requests
                                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr, self).__init__()

                                        self.yang_name = "itr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver)}

                                        self.map_resolver = YList(self)
                                        self._segment_path = lambda: "itr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr, [], name, value)


                                    class MapResolver(Entity):
                                        """
                                        Configures map\-resolver address for sending Map\-Requests
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver, self).__init__()

                                            self.yang_name = "map-resolver"
                                            self.yang_parent_name = "itr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Itr.MapResolver, ['ip_addr'], name, value)


                                class ItrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: itr
                                    
                                    	Configures a LISP Ingress Tunnel Router (ITR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable, self).__init__()

                                        self.yang_name = "itr-enable"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.itr = YLeaf(YType.empty, "itr")
                                        self._segment_path = lambda: "itr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.ItrEnable, ['itr'], name, value)


                                class EtrEnable(Entity):
                                    """
                                    
                                    
                                    .. attribute:: etr
                                    
                                    	Configures a LISP Egress Tunnel Router (ETR)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable, self).__init__()

                                        self.yang_name = "etr-enable"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.etr = YLeaf(YType.empty, "etr")
                                        self._segment_path = lambda: "etr-enable"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.EtrEnable, ['etr'], name, value)


                                class Etr(Entity):
                                    """
                                    Configures a LISP Egress Tunnel Router (ETR)
                                    
                                    .. attribute:: map_server
                                    
                                    	Configures map server for ETR registration
                                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer>`
                                    
                                    .. attribute:: map_cache_ttl
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 60..10080
                                    
                                    .. attribute:: accept_map_request_mapping
                                    
                                    	
                                    	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr, self).__init__()

                                        self.yang_name = "etr"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping)}
                                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer)}

                                        self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                        self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping()
                                        self.accept_map_request_mapping.parent = self
                                        self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                        self._children_yang_names.add("accept-map-request-mapping")

                                        self.map_server = YList(self)
                                        self._segment_path = lambda: "etr"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr, ['map_cache_ttl'], name, value)


                                    class MapServer(Entity):
                                        """
                                        Configures map server for ETR registration
                                        
                                        .. attribute:: ip_addr  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: key
                                        
                                        	Authentication key used with map server
                                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key>`
                                        
                                        .. attribute:: proxy_reply
                                        
                                        	Request Map\-Server to send Map\-Replies on behalf of site
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer, self).__init__()

                                            self.yang_name = "map-server"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key)}
                                            self._child_list_classes = {}

                                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                            self.key = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key()
                                            self.key.parent = self
                                            self._children_name_map["key"] = "key"
                                            self._children_yang_names.add("key")
                                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                        class Key(Entity):
                                            """
                                            Authentication key used with map server
                                            
                                            .. attribute:: key_pwd
                                            
                                            	
                                            	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd>`
                                            
                                            .. attribute:: key_0
                                            
                                            	
                                            	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0>`
                                            
                                            .. attribute:: key_6
                                            
                                            	
                                            	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6>`
                                            
                                            .. attribute:: key_7
                                            
                                            	
                                            	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key, self).__init__()

                                                self.yang_name = "key"
                                                self.yang_parent_name = "map-server"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7)}
                                                self._child_list_classes = {}

                                                self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd()
                                                self.key_pwd.parent = self
                                                self._children_name_map["key_pwd"] = "key-pwd"
                                                self._children_yang_names.add("key-pwd")

                                                self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0()
                                                self.key_0.parent = self
                                                self._children_name_map["key_0"] = "key-0"
                                                self._children_yang_names.add("key-0")

                                                self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6()
                                                self.key_6.parent = self
                                                self._children_name_map["key_6"] = "key-6"
                                                self._children_yang_names.add("key-6")

                                                self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7()
                                                self.key_7.parent = self
                                                self._children_name_map["key_7"] = "key-7"
                                                self._children_yang_names.add("key-7")
                                                self._segment_path = lambda: "key"


                                            class KeyPwd(Entity):
                                                """
                                                
                                                
                                                .. attribute:: unc_pwd
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                    self.yang_name = "key-pwd"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-pwd"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key0(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_0
                                                
                                                	The UNENCRYPTED (cleartext) password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0, self).__init__()

                                                    self.yang_name = "key-0"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-0"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key6(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_6
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6, self).__init__()

                                                    self.yang_name = "key-6"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-6"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                            class Key7(Entity):
                                                """
                                                
                                                
                                                .. attribute:: ak_7
                                                
                                                	The ENCRYPTED password
                                                	**type**\: str
                                                
                                                .. attribute:: hash_function
                                                
                                                	authentication type
                                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7.HashFunction>`
                                                
                                                

                                                """

                                                _prefix = 'ios-lisp'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7, self).__init__()

                                                    self.yang_name = "key-7"
                                                    self.yang_parent_name = "key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.ak_7 = YLeaf(YType.str, "ak-7")

                                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                    self._segment_path = lambda: "key-7"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                                class HashFunction(Enum):
                                                    """
                                                    HashFunction

                                                    authentication type

                                                    .. data:: sha1 = 0

                                                    .. data:: sha2 = 1

                                                    """

                                                    sha1 = Enum.YLeaf(0, "sha1")

                                                    sha2 = Enum.YLeaf(1, "sha2")



                                    class AcceptMapRequestMapping(Entity):
                                        """
                                        
                                        
                                        .. attribute:: accept_mappping
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: verify
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, self).__init__()

                                            self.yang_name = "accept-map-request-mapping"
                                            self.yang_parent_name = "etr"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                            self.verify = YLeaf(YType.empty, "verify")
                                            self._segment_path = lambda: "accept-map-request-mapping"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                                class MapCacheLimit(Entity):
                                    """
                                    Configures maximum size of map\-cache
                                    
                                    .. attribute:: max_map_cache_entries
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..100000
                                    
                                    .. attribute:: reserve_list
                                    
                                    	EID\-prefixes guaranteed to be stored in map\-cache
                                    	**type**\: str
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 0..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit, self).__init__()

                                        self.yang_name = "map-cache-limit"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "map-cache-limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                                class SiteRegistration(Entity):
                                    """
                                    Site registrations configuration for a given instance\-id
                                    
                                    .. attribute:: limit
                                    
                                    	Maximum number of site registrations
                                    	**type**\: int
                                    
                                    	**range:** 1..4294967295
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Warning threshold to issue system logging
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration, self).__init__()

                                        self.yang_name = "site-registration"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.limit = YLeaf(YType.uint32, "limit")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "site-registration"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                                class SolicitMapRequest(Entity):
                                    """
                                    Configure Solicit\-Map\-Request handling
                                    
                                    .. attribute:: ignore
                                    
                                    	Ignore SMR bit in incoming Map\-Requests
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: max_per_entry
                                    
                                    	Maximum number of SMRs for addresses under a map\-cache entry
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: suppression_time
                                    
                                    	How long to suppress repeated SMRs for the same address
                                    	**type**\: int
                                    
                                    	**range:** 1..600
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest, self).__init__()

                                        self.yang_name = "solicit-map-request"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ignore = YLeaf(YType.empty, "ignore")

                                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                        self._segment_path = lambda: "solicit-map-request"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                                class MapCache(Entity):
                                    """
                                    Use RIB routes to define EID address space in map\-cache
                                    
                                    .. attribute:: eid_cont
                                    
                                    	EID\-record for RLOC static mapping
                                    	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache, self).__init__()

                                        self.yang_name = "map-cache"
                                        self.yang_parent_name = "default"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont)}

                                        self.eid_cont = YList(self)
                                        self._segment_path = lambda: "map-cache"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache, [], name, value)


                                    class EidCont(Entity):
                                        """
                                        EID\-record for RLOC static mapping
                                        
                                        .. attribute:: eid_prefix  <key>
                                        
                                        	xxxx.xxxx.xxxx 48 bit mac address
                                        	**type**\: str
                                        
                                        	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                        
                                        .. attribute:: etr_interface_ip
                                        
                                        	
                                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont, self).__init__()

                                            self.yang_name = "eid-cont"
                                            self.yang_parent_name = "map-cache"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp)}
                                            self._child_list_classes = {}

                                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                            self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp()
                                            self.etr_interface_ip.parent = self
                                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                            self._children_yang_names.add("etr-interface-ip")
                                            self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont, ['eid_prefix'], name, value)


                                        class EtrInterfaceIp(Entity):
                                            """
                                            
                                            
                                            .. attribute:: etr_interface_ip_address
                                            
                                            	IP address of loopback or other ETR interface
                                            	**type**\: union of the below types:
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                            
                                            		**type**\: str
                                            
                                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                                self.yang_name = "etr-interface-ip"
                                                self.yang_parent_name = "eid-cont"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")
                                                self._segment_path = lambda: "etr-interface-ip"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Default.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


                            class EidTable(Entity):
                                """
                                Bind an eid\-table
                                
                                .. attribute:: vlan
                                
                                	VLAN configuration
                                	**type**\: int
                                
                                	**range:** 1..4094
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EidTable, self).__init__()

                                    self.yang_name = "eid-table"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.vlan = YLeaf(YType.uint16, "vlan")
                                    self._segment_path = lambda: "eid-table"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EidTable, ['vlan'], name, value)


                            class BroadcastUnderlay(Entity):
                                """
                                Multicast group to use for underlay
                                
                                .. attribute:: ipv4_multicast
                                
                                	IPv4 multicast group address
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ipv6_multicast
                                
                                	IPv6 multicast group address
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay, self).__init__()

                                    self.yang_name = "broadcast-underlay"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv4_multicast = YLeaf(YType.str, "ipv4-multicast")

                                    self.ipv6_multicast = YLeaf(YType.str, "ipv6-multicast")
                                    self._segment_path = lambda: "broadcast-underlay"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.BroadcastUnderlay, ['ipv4_multicast', 'ipv6_multicast'], name, value)


                            class DatabaseMapping(Entity):
                                """
                                Configures Locator addresses for an ETR
                                
                                .. attribute:: eid_cont
                                
                                	EID\-record for RLOC static mapping
                                	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont>`
                                
                                .. attribute:: mac
                                
                                	L2 EID records
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: limit
                                
                                	Configures the maximum size of local EID prefixes database
                                	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping, self).__init__()

                                    self.yang_name = "database-mapping"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac), "limit" : ("limit", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit)}
                                    self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont)}

                                    self.mac = None
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")

                                    self.limit = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit()
                                    self.limit.parent = self
                                    self._children_name_map["limit"] = "limit"
                                    self._children_yang_names.add("limit")

                                    self.eid_cont = YList(self)
                                    self._segment_path = lambda: "database-mapping"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping, [], name, value)


                                class EidCont(Entity):
                                    """
                                    EID\-record for RLOC static mapping
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	xxxx.xxxx.xxxx 48 bit mac address
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\: str
                                    
                                    .. attribute:: ipv4_addrees
                                    
                                    	IPv4 Address of loopback or other ETR interface
                                    	**type**\: list of  		 :py:class:`Ipv4Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees>`
                                    
                                    .. attribute:: ipv6_addrees
                                    
                                    	IPv6 Address of loopback or other ETR interface
                                    	**type**\: list of  		 :py:class:`Ipv6Addrees <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees>`
                                    
                                    .. attribute:: ipv4_interface
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IPv4Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface>`
                                    
                                    .. attribute:: ipv6_interface
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`IPv6Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont, self).__init__()

                                        self.yang_name = "eid-cont"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"ipv4-addrees" : ("ipv4_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees), "ipv6-addrees" : ("ipv6_addrees", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees), "IPv4-interface" : ("ipv4_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface), "IPv6-interface" : ("ipv6_interface", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface)}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.locator_set = YLeaf(YType.str, "locator-set")

                                        self.ipv4_addrees = YList(self)
                                        self.ipv6_addrees = YList(self)
                                        self.ipv4_interface = YList(self)
                                        self.ipv6_interface = YList(self)
                                        self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont, ['eid_prefix', 'locator_set'], name, value)


                                    class Ipv4Addrees(Entity):
                                        """
                                        IPv4 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, self).__init__()

                                            self.yang_name = "ipv4-addrees"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.address = YLeaf(YType.str, "address")

                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "ipv4-addrees" + "[address='" + self.address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees, ['address'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "ipv4-addrees"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv4Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class Ipv6Addrees(Entity):
                                        """
                                        IPv6 Address of loopback or other ETR interface
                                        
                                        .. attribute:: address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, self).__init__()

                                            self.yang_name = "ipv6-addrees"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.address = YLeaf(YType.str, "address")

                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "ipv6-addrees" + "[address='" + self.address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees, ['address'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "ipv6-addrees"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.Ipv6Addrees.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class IPv4Interface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\: str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, self).__init__()

                                            self.yang_name = "IPv4-interface"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "IPv4-interface" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface, ['name'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "IPv4-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv4Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                    class IPv6Interface(Entity):
                                        """
                                        
                                        
                                        .. attribute:: name  <key>
                                        
                                        	Use IPv4 address of interface as locator
                                        	**type**\: str
                                        
                                        .. attribute:: database_mapping_option
                                        
                                        	
                                        	**type**\:  :py:class:`DatabaseMappingOption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, self).__init__()

                                            self.yang_name = "IPv6-interface"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"database-mapping-option" : ("database_mapping_option", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.database_mapping_option = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption()
                                            self.database_mapping_option.parent = self
                                            self._children_name_map["database_mapping_option"] = "database-mapping-option"
                                            self._children_yang_names.add("database-mapping-option")
                                            self._segment_path = lambda: "IPv6-interface" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface, ['name'], name, value)


                                        class DatabaseMappingOption(Entity):
                                            """
                                            
                                            
                                            .. attribute:: priority
                                            
                                            	Configures which Locators from a set are preferred
                                            	**type**\: int
                                            
                                            	**range:** 0..255
                                            
                                            .. attribute:: weight
                                            
                                            	Traffic load\-spreading among Locators
                                            	**type**\: int
                                            
                                            	**range:** 0..100
                                            
                                            .. attribute:: down
                                            
                                            	Configure this database mapping down
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, self).__init__()

                                                self.yang_name = "database-mapping-option"
                                                self.yang_parent_name = "IPv6-interface"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.priority = YLeaf(YType.uint8, "priority")

                                                self.weight = YLeaf(YType.uint8, "weight")

                                                self.down = YLeaf(YType.empty, "down")
                                                self._segment_path = lambda: "database-mapping-option"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.EidCont.IPv6Interface.DatabaseMappingOption, ['priority', 'weight', 'down'], name, value)


                                class Mac(Entity):
                                    """
                                    L2 EID records
                                    
                                    .. attribute:: locator_set
                                    
                                    	Use locators defined by locator\-set
                                    	**type**\: str
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Mac, ['locator_set'], name, value)


                                class Limit(Entity):
                                    """
                                    Configures the maximum size of local EID prefixes database
                                    
                                    .. attribute:: dynamic
                                    
                                    	Configures the maximum size of dynamic local EID prefixes database
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: warning_threshold
                                    
                                    	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit, self).__init__()

                                        self.yang_name = "limit"
                                        self.yang_parent_name = "database-mapping"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dynamic = YLeaf(YType.uint32, "dynamic")

                                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                        self._segment_path = lambda: "limit"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                            class Itr(Entity):
                                """
                                Configures a LISP Ingress Tunnel Router (ITR)
                                
                                .. attribute:: map_resolver
                                
                                	Configures map\-resolver address for sending Map\-Requests
                                	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr, self).__init__()

                                    self.yang_name = "itr"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver)}

                                    self.map_resolver = YList(self)
                                    self._segment_path = lambda: "itr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr, [], name, value)


                                class MapResolver(Entity):
                                    """
                                    Configures map\-resolver address for sending Map\-Requests
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver, self).__init__()

                                        self.yang_name = "map-resolver"
                                        self.yang_parent_name = "itr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")
                                        self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Itr.MapResolver, ['ip_addr'], name, value)


                            class ItrEnable(Entity):
                                """
                                
                                
                                .. attribute:: itr
                                
                                	Configures a LISP Ingress Tunnel Router (ITR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable, self).__init__()

                                    self.yang_name = "itr-enable"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.itr = YLeaf(YType.empty, "itr")
                                    self._segment_path = lambda: "itr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.ItrEnable, ['itr'], name, value)


                            class EtrEnable(Entity):
                                """
                                
                                
                                .. attribute:: etr
                                
                                	Configures a LISP Egress Tunnel Router (ETR)
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable, self).__init__()

                                    self.yang_name = "etr-enable"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.etr = YLeaf(YType.empty, "etr")
                                    self._segment_path = lambda: "etr-enable"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.EtrEnable, ['etr'], name, value)


                            class Etr(Entity):
                                """
                                Configures a LISP Egress Tunnel Router (ETR)
                                
                                .. attribute:: map_server
                                
                                	Configures map server for ETR registration
                                	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer>`
                                
                                .. attribute:: map_cache_ttl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 60..10080
                                
                                .. attribute:: accept_map_request_mapping
                                
                                	
                                	**type**\:  :py:class:`AcceptMapRequestMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr, self).__init__()

                                    self.yang_name = "etr"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"accept-map-request-mapping" : ("accept_map_request_mapping", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping)}
                                    self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer)}

                                    self.map_cache_ttl = YLeaf(YType.uint16, "map-cache-ttl")

                                    self.accept_map_request_mapping = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping()
                                    self.accept_map_request_mapping.parent = self
                                    self._children_name_map["accept_map_request_mapping"] = "accept-map-request-mapping"
                                    self._children_yang_names.add("accept-map-request-mapping")

                                    self.map_server = YList(self)
                                    self._segment_path = lambda: "etr"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr, ['map_cache_ttl'], name, value)


                                class MapServer(Entity):
                                    """
                                    Configures map server for ETR registration
                                    
                                    .. attribute:: ip_addr  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: key
                                    
                                    	Authentication key used with map server
                                    	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key>`
                                    
                                    .. attribute:: proxy_reply
                                    
                                    	Request Map\-Server to send Map\-Replies on behalf of site
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer, self).__init__()

                                        self.yang_name = "map-server"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"key" : ("key", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key)}
                                        self._child_list_classes = {}

                                        self.ip_addr = YLeaf(YType.str, "ip-addr")

                                        self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                        self.key = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key()
                                        self.key.parent = self
                                        self._children_name_map["key"] = "key"
                                        self._children_yang_names.add("key")
                                        self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                    class Key(Entity):
                                        """
                                        Authentication key used with map server
                                        
                                        .. attribute:: key_pwd
                                        
                                        	
                                        	**type**\:  :py:class:`KeyPwd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd>`
                                        
                                        .. attribute:: key_0
                                        
                                        	
                                        	**type**\:  :py:class:`Key0 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0>`
                                        
                                        .. attribute:: key_6
                                        
                                        	
                                        	**type**\:  :py:class:`Key6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6>`
                                        
                                        .. attribute:: key_7
                                        
                                        	
                                        	**type**\:  :py:class:`Key7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key, self).__init__()

                                            self.yang_name = "key"
                                            self.yang_parent_name = "map-server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"key-pwd" : ("key_pwd", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd), "key-0" : ("key_0", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0), "key-6" : ("key_6", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6), "key-7" : ("key_7", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7)}
                                            self._child_list_classes = {}

                                            self.key_pwd = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd()
                                            self.key_pwd.parent = self
                                            self._children_name_map["key_pwd"] = "key-pwd"
                                            self._children_yang_names.add("key-pwd")

                                            self.key_0 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0()
                                            self.key_0.parent = self
                                            self._children_name_map["key_0"] = "key-0"
                                            self._children_yang_names.add("key-0")

                                            self.key_6 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6()
                                            self.key_6.parent = self
                                            self._children_name_map["key_6"] = "key-6"
                                            self._children_yang_names.add("key-6")

                                            self.key_7 = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7()
                                            self.key_7.parent = self
                                            self._children_name_map["key_7"] = "key-7"
                                            self._children_yang_names.add("key-7")
                                            self._segment_path = lambda: "key"


                                        class KeyPwd(Entity):
                                            """
                                            
                                            
                                            .. attribute:: unc_pwd
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd, self).__init__()

                                                self.yang_name = "key-pwd"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-pwd"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.KeyPwd, ['unc_pwd', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key0(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_0
                                            
                                            	The UNENCRYPTED (cleartext) password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0, self).__init__()

                                                self.yang_name = "key-0"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_0 = YLeaf(YType.str, "ak-0")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-0"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key0, ['ak_0', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key6(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_6
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6, self).__init__()

                                                self.yang_name = "key-6"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_6 = YLeaf(YType.str, "ak-6")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-6"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key6, ['ak_6', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                        class Key7(Entity):
                                            """
                                            
                                            
                                            .. attribute:: ak_7
                                            
                                            	The ENCRYPTED password
                                            	**type**\: str
                                            
                                            .. attribute:: hash_function
                                            
                                            	authentication type
                                            	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7.HashFunction>`
                                            
                                            

                                            """

                                            _prefix = 'ios-lisp'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7, self).__init__()

                                                self.yang_name = "key-7"
                                                self.yang_parent_name = "key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.ak_7 = YLeaf(YType.str, "ak-7")

                                                self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                                self._segment_path = lambda: "key-7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.MapServer.Key.Key7, ['ak_7', 'hash_function'], name, value)

                                            class HashFunction(Enum):
                                                """
                                                HashFunction

                                                authentication type

                                                .. data:: sha1 = 0

                                                .. data:: sha2 = 1

                                                """

                                                sha1 = Enum.YLeaf(0, "sha1")

                                                sha2 = Enum.YLeaf(1, "sha2")



                                class AcceptMapRequestMapping(Entity):
                                    """
                                    
                                    
                                    .. attribute:: accept_mappping
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: verify
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping, self).__init__()

                                        self.yang_name = "accept-map-request-mapping"
                                        self.yang_parent_name = "etr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.accept_mappping = YLeaf(YType.empty, "accept-mappping")

                                        self.verify = YLeaf(YType.empty, "verify")
                                        self._segment_path = lambda: "accept-map-request-mapping"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.Etr.AcceptMapRequestMapping, ['accept_mappping', 'verify'], name, value)


                            class MapCacheLimit(Entity):
                                """
                                Configures maximum size of map\-cache
                                
                                .. attribute:: max_map_cache_entries
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..100000
                                
                                .. attribute:: reserve_list
                                
                                	EID\-prefixes guaranteed to be stored in map\-cache
                                	**type**\: str
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit, self).__init__()

                                    self.yang_name = "map-cache-limit"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                    self.reserve_list = YLeaf(YType.str, "reserve-list")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "map-cache-limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                            class SiteRegistration(Entity):
                                """
                                Site registrations configuration for a given instance\-id
                                
                                .. attribute:: limit
                                
                                	Maximum number of site registrations
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Warning threshold to issue system logging
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration, self).__init__()

                                    self.yang_name = "site-registration"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.limit = YLeaf(YType.uint32, "limit")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "site-registration"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                            class SolicitMapRequest(Entity):
                                """
                                Configure Solicit\-Map\-Request handling
                                
                                .. attribute:: ignore
                                
                                	Ignore SMR bit in incoming Map\-Requests
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: max_per_entry
                                
                                	Maximum number of SMRs for addresses under a map\-cache entry
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: suppression_time
                                
                                	How long to suppress repeated SMRs for the same address
                                	**type**\: int
                                
                                	**range:** 1..600
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest, self).__init__()

                                    self.yang_name = "solicit-map-request"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ignore = YLeaf(YType.empty, "ignore")

                                    self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                    self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                    self._segment_path = lambda: "solicit-map-request"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                            class MapCache(Entity):
                                """
                                Use RIB routes to define EID address space in map\-cache
                                
                                .. attribute:: eid_cont
                                
                                	EID\-record for RLOC static mapping
                                	**type**\: list of  		 :py:class:`EidCont <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "ethernet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"eid-cont" : ("eid_cont", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont)}

                                    self.eid_cont = YList(self)
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache, [], name, value)


                                class EidCont(Entity):
                                    """
                                    EID\-record for RLOC static mapping
                                    
                                    .. attribute:: eid_prefix  <key>
                                    
                                    	xxxx.xxxx.xxxx 48 bit mac address
                                    	**type**\: str
                                    
                                    	**pattern:** [0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+\\.[0\-9a\-fA\-F]+
                                    
                                    .. attribute:: etr_interface_ip
                                    
                                    	
                                    	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont, self).__init__()

                                        self.yang_name = "eid-cont"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp)}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.etr_interface_ip = Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp()
                                        self.etr_interface_ip.parent = self
                                        self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                                        self._children_yang_names.add("etr-interface-ip")
                                        self._segment_path = lambda: "eid-cont" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont, ['eid_prefix'], name, value)


                                    class EtrInterfaceIp(Entity):
                                        """
                                        
                                        
                                        .. attribute:: etr_interface_ip_address
                                        
                                        	IP address of loopback or other ETR interface
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                        
                                        		**type**\: str
                                        
                                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                        
                                        .. attribute:: priority
                                        
                                        	Configures which Locators from a set are preferred
                                        	**type**\: int
                                        
                                        	**range:** 0..255
                                        
                                        .. attribute:: weight
                                        
                                        	Traffic load\-spreading among Locators
                                        	**type**\: int
                                        
                                        	**range:** 0..100
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, self).__init__()

                                            self.yang_name = "etr-interface-ip"
                                            self.yang_parent_name = "eid-cont"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                            self.priority = YLeaf(YType.uint8, "priority")

                                            self.weight = YLeaf(YType.uint8, "weight")
                                            self._segment_path = lambda: "etr-interface-ip"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.InstanceContainer.InstanceList.Service.Ethernet.MapCache.EidCont.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


            class Alt(Entity):
                """
                LISP Alternative Topology, LISP\-ALT
                
                .. attribute:: summary_route
                
                	Summary route to install into the ALT table
                	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Alt.SummaryRoute>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.Alt, self).__init__()

                    self.yang_name = "alt"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.Alt.SummaryRoute)}

                    self.summary_route = YList(self)
                    self._segment_path = lambda: "alt"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.Alt, [], name, value)


                class SummaryRoute(Entity):
                    """
                    Summary route to install into the ALT table
                    
                    .. attribute:: eid_prefix  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                    
                    .. attribute:: route_tag
                    
                    	ALT RIB route tag for EID prefix
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Alt.SummaryRoute, self).__init__()

                        self.yang_name = "summary-route"
                        self.yang_parent_name = "alt"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                        self.route_tag = YLeaf(YType.uint32, "route-tag")
                        self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


            class ControlPacket(Entity):
                """
                Configure control packet tx option
                
                .. attribute:: mtu
                
                	Configure control packet MTU
                	**type**\: int
                
                	**range:** 304..10000
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.ControlPacket, self).__init__()

                    self.yang_name = "control-packet"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mtu = YLeaf(YType.uint32, "mtu")
                    self._segment_path = lambda: "control-packet"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.ControlPacket, ['mtu'], name, value)


            class Ddt(Entity):
                """
                Delegated Database Tree (DDT) mapping system
                
                .. attribute:: authoritative
                
                	DDT authoritative prefix
                	**type**\:  :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ddt.Authoritative>`
                
                .. attribute:: cache_limit
                
                	DDT resolver cache entry limit
                	**type**\: int
                
                	**range:** 1..100000
                
                .. attribute:: root
                
                	DDT root node
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.Ddt, self).__init__()

                    self.yang_name = "ddt"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authoritative" : ("authoritative", Native.Router.LispList.Ddt.Authoritative)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cache_limit = YLeaf(YType.uint32, "cache-limit")

                    self.root = YLeaf(YType.str, "root")

                    self.authoritative = Native.Router.LispList.Ddt.Authoritative()
                    self.authoritative.parent = self
                    self._children_name_map["authoritative"] = "authoritative"
                    self._children_yang_names.add("authoritative")
                    self._segment_path = lambda: "ddt"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.Ddt, ['cache_limit', 'root'], name, value)


                class Authoritative(Entity):
                    """
                    DDT authoritative prefix
                    
                    .. attribute:: instance_id_eid_prefix_list
                    
                    	
                    	**type**\: list of  		 :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList>`
                    
                    .. attribute:: instance_id_list
                    
                    	
                    	**type**\: list of  		 :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ddt.Authoritative.InstanceIdList>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ddt.Authoritative, self).__init__()

                        self.yang_name = "authoritative"
                        self.yang_parent_name = "ddt"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"instance-id-eid-prefix-list" : ("instance_id_eid_prefix_list", Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList), "instance-id-list" : ("instance_id_list", Native.Router.LispList.Ddt.Authoritative.InstanceIdList)}

                        self.instance_id_eid_prefix_list = YList(self)
                        self.instance_id_list = YList(self)
                        self._segment_path = lambda: "authoritative"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ddt.Authoritative, [], name, value)


                    class InstanceIdEidPrefixList(Entity):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	EID instance\-ID
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: delegate
                        
                        	DDT delegation to a child DDT node or map\-server
                        	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                        
                        .. attribute:: map_server_peer
                        
                        	Peer map\-servers that are authoritative for the same EID prefixes
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList, self).__init__()

                            self.yang_name = "instance-id-eid-prefix-list"
                            self.yang_parent_name = "authoritative"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delegate" : ("delegate", Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate)}
                            self._child_list_classes = {}

                            self.instance_id = YLeaf(YType.uint32, "instance-id")

                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                            self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                            self.delegate = Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                            self.delegate.parent = self
                            self._children_name_map["delegate"] = "delegate"
                            self._children_yang_names.add("delegate")
                            self._segment_path = lambda: "instance-id-eid-prefix-list" + "[instance-id='" + self.instance_id.get() + "']" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList, ['instance_id', 'eid_prefix', 'map_server_peer'], name, value)


                        class Delegate(Entity):
                            """
                            DDT delegation to a child DDT node or map\-server
                            
                            .. attribute:: eid_prefix
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\: str
                            
                            .. attribute:: to
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ip_address
                            
                            	IPv4/6 Child or map\-server node locator address
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_server
                            
                            	Delegation points to a map\-server
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, self).__init__()

                                self.yang_name = "delegate"
                                self.yang_parent_name = "instance-id-eid-prefix-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.instance_id = YLeaf(YType.str, "instance-id")

                                self.to = YLeaf(YType.empty, "to")

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.map_server = YLeaf(YType.empty, "map-server")
                                self._segment_path = lambda: "delegate"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                    class InstanceIdList(Entity):
                        """
                        
                        
                        .. attribute:: instance_id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: delegate
                        
                        	DDT delegation to a child DDT node or map\-server
                        	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ddt.Authoritative.InstanceIdList.Delegate>`
                        
                        .. attribute:: map_server_peer
                        
                        	Peer map\-servers that are authoritative for the same EID prefixes
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ddt.Authoritative.InstanceIdList, self).__init__()

                            self.yang_name = "instance-id-list"
                            self.yang_parent_name = "authoritative"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"delegate" : ("delegate", Native.Router.LispList.Ddt.Authoritative.InstanceIdList.Delegate)}
                            self._child_list_classes = {}

                            self.instance_id = YLeaf(YType.str, "instance-id")

                            self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                            self.delegate = Native.Router.LispList.Ddt.Authoritative.InstanceIdList.Delegate()
                            self.delegate.parent = self
                            self._children_name_map["delegate"] = "delegate"
                            self._children_yang_names.add("delegate")
                            self._segment_path = lambda: "instance-id-list" + "[instance-id='" + self.instance_id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ddt.Authoritative.InstanceIdList, ['instance_id', 'map_server_peer'], name, value)


                        class Delegate(Entity):
                            """
                            DDT delegation to a child DDT node or map\-server
                            
                            .. attribute:: eid_prefix
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: instance_id
                            
                            	EID instance\-ID
                            	**type**\: str
                            
                            .. attribute:: to
                            
                            	DDT delegation to a child DDT node or map\-server
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ip_address
                            
                            	IPv4/6 Child or map\-server node locator address
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: map_server
                            
                            	Delegation points to a map\-server
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ddt.Authoritative.InstanceIdList.Delegate, self).__init__()

                                self.yang_name = "delegate"
                                self.yang_parent_name = "instance-id-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.instance_id = YLeaf(YType.str, "instance-id")

                                self.to = YLeaf(YType.empty, "to")

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.map_server = YLeaf(YType.empty, "map-server")
                                self._segment_path = lambda: "delegate"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ddt.Authoritative.InstanceIdList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


            class Decapsulation(Entity):
                """
                Decapsulation behavior (e.g. filters)
                
                .. attribute:: filter
                
                	Filters traffic
                	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Decapsulation.Filter>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.Decapsulation, self).__init__()

                    self.yang_name = "decapsulation"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"filter" : ("filter", Native.Router.LispList.Decapsulation.Filter)}
                    self._child_list_classes = {}

                    self.filter = Native.Router.LispList.Decapsulation.Filter()
                    self.filter.parent = self
                    self._children_name_map["filter"] = "filter"
                    self._children_yang_names.add("filter")
                    self._segment_path = lambda: "decapsulation"


                class Filter(Entity):
                    """
                    Filters traffic
                    
                    .. attribute:: rloc
                    
                    	Filter based on Routing Locator (RLOC) in packet header
                    	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Decapsulation.Filter.Rloc>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Decapsulation.Filter, self).__init__()

                        self.yang_name = "filter"
                        self.yang_parent_name = "decapsulation"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.Decapsulation.Filter.Rloc)}
                        self._child_list_classes = {}

                        self.rloc = Native.Router.LispList.Decapsulation.Filter.Rloc()
                        self.rloc.parent = self
                        self._children_name_map["rloc"] = "rloc"
                        self._children_yang_names.add("rloc")
                        self._segment_path = lambda: "filter"


                    class Rloc(Entity):
                        """
                        Filter based on Routing Locator (RLOC) in packet header
                        
                        .. attribute:: source
                        
                        	Filters traffic based on RLOC source address
                        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Decapsulation.Filter.Rloc.Source>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Decapsulation.Filter.Rloc, self).__init__()

                            self.yang_name = "rloc"
                            self.yang_parent_name = "filter"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"source" : ("source", Native.Router.LispList.Decapsulation.Filter.Rloc.Source)}
                            self._child_list_classes = {}

                            self.source = Native.Router.LispList.Decapsulation.Filter.Rloc.Source()
                            self.source.parent = self
                            self._children_name_map["source"] = "source"
                            self._children_yang_names.add("source")
                            self._segment_path = lambda: "rloc"


                        class Source(Entity):
                            """
                            Filters traffic based on RLOC source address
                            
                            .. attribute:: locator_set
                            
                            	Locator\-set Name
                            	**type**\: str
                            
                            .. attribute:: member
                            
                            	Members learned from map\-server
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Decapsulation.Filter.Rloc.Source, self).__init__()

                                self.yang_name = "source"
                                self.yang_parent_name = "rloc"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.locator_set = YLeaf(YType.str, "locator-set")

                                self.member = YLeaf(YType.empty, "member")
                                self._segment_path = lambda: "source"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


            class Etr(Entity):
                """
                Configures a LISP Egress Tunnel Router (ETR)
                
                .. attribute:: map_server
                
                	Configures map server for ETR registration
                	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Etr.MapServer>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.Etr, self).__init__()

                    self.yang_name = "etr"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"map-server" : ("map_server", Native.Router.LispList.Etr.MapServer)}
                    self._child_list_classes = {}

                    self.map_server = Native.Router.LispList.Etr.MapServer()
                    self.map_server.parent = self
                    self._children_name_map["map_server"] = "map-server"
                    self._children_yang_names.add("map-server")
                    self._segment_path = lambda: "etr"


                class MapServer(Entity):
                    """
                    Configures map server for ETR registration
                    
                    .. attribute:: source_address
                    
                    	Configures map server source address
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Etr.MapServer, self).__init__()

                        self.yang_name = "map-server"
                        self.yang_parent_name = "etr"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.source_address = YLeaf(YType.str, "source-address")
                        self._segment_path = lambda: "map-server"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Etr.MapServer, ['source_address'], name, value)


            class Ipv4(Entity):
                """
                IPv4 address family
                
                .. attribute:: alt_vrf
                
                	Activate LISP\-ALT functionality in VRF
                	**type**\: str
                
                	**status**\: deprecated
                
                .. attribute:: database_mapping
                
                	Address family specific local EID prefixes database configuration
                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.DatabaseMapping>`
                
                .. attribute:: distance
                
                	Administrative distance for RIB route installation
                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Distance>`
                
                .. attribute:: itr
                
                	Configures a LISP Ingress Tunnel Router (ITR)
                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Itr>`
                
                .. attribute:: itr_enable
                
                	
                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.ItrEnable>`
                
                .. attribute:: etr
                
                	Configures a LISP Egress Tunnel Router (ETR)
                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Etr>`
                
                .. attribute:: etr_enable
                
                	
                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.EtrEnable>`
                
                .. attribute:: locator
                
                	Locator related configuration
                	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Locator>`
                
                .. attribute:: map_cache
                
                	Address family specific map cache configuration
                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapCache>`
                
                .. attribute:: map_cache_limit
                
                	Configures maximum size of map\-cache
                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapCacheLimit>`
                
                .. attribute:: map_cache_persistent
                
                	Dump map\-cache onto flash, making it persistent across reboots
                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapCachePersistent>`
                
                .. attribute:: map_request_source
                
                	Configures inner header source address in Map\-Request message
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: map_resolver
                
                	Configures a LISP Map Resolver (MR)
                	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapResolver>`
                
                	**presence node**\: True
                
                .. attribute:: map_server
                
                	Configures a LISP Map Server (MS)
                	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapServer>`
                
                	**presence node**\: True
                
                .. attribute:: path_mtu_discovery
                
                	Path MTU discovery
                	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.PathMtuDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: proxy_etr
                
                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_itr
                
                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                	**type**\: union of the below types:
                
                		**type**\: list of str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: list of str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: route_export
                
                	Export routes into RIB from LISP
                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteExport>`
                
                .. attribute:: route_import
                
                	Import RIB routes by a routing protocol into LISP
                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport>`
                
                .. attribute:: sgt
                
                	Enable security group tag propagation in LISP encapsulated traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: site_registration
                
                	Site registrations configuration for a given instance\-id
                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.SiteRegistration>`
                
                .. attribute:: solicit_map_request
                
                	Configure Solicit\-Map\-Request handling
                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.SolicitMapRequest>`
                
                .. attribute:: use_petr
                
                	Encapsulate to Proxy ETR when matching forward\-native entry
                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.UsePetr>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.Ipv4, self).__init__()

                    self.yang_name = "ipv4"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Ipv4.DatabaseMapping), "distance" : ("distance", Native.Router.LispList.Ipv4.Distance), "itr" : ("itr", Native.Router.LispList.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Ipv4.ItrEnable), "etr" : ("etr", Native.Router.LispList.Ipv4.Etr), "etr-enable" : ("etr_enable", Native.Router.LispList.Ipv4.EtrEnable), "locator" : ("locator", Native.Router.LispList.Ipv4.Locator), "map-cache" : ("map_cache", Native.Router.LispList.Ipv4.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Ipv4.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Ipv4.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.LispList.Ipv4.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Ipv4.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.LispList.Ipv4.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.LispList.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Ipv4.RouteImport), "site-registration" : ("site_registration", Native.Router.LispList.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Ipv4.SolicitMapRequest)}
                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Ipv4.UsePetr)}

                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                    self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                    self.sgt = YLeaf(YType.empty, "sgt")

                    self.database_mapping = Native.Router.LispList.Ipv4.DatabaseMapping()
                    self.database_mapping.parent = self
                    self._children_name_map["database_mapping"] = "database-mapping"
                    self._children_yang_names.add("database-mapping")

                    self.distance = Native.Router.LispList.Ipv4.Distance()
                    self.distance.parent = self
                    self._children_name_map["distance"] = "distance"
                    self._children_yang_names.add("distance")

                    self.itr = Native.Router.LispList.Ipv4.Itr()
                    self.itr.parent = self
                    self._children_name_map["itr"] = "itr"
                    self._children_yang_names.add("itr")

                    self.itr_enable = Native.Router.LispList.Ipv4.ItrEnable()
                    self.itr_enable.parent = self
                    self._children_name_map["itr_enable"] = "itr-enable"
                    self._children_yang_names.add("itr-enable")

                    self.etr = Native.Router.LispList.Ipv4.Etr()
                    self.etr.parent = self
                    self._children_name_map["etr"] = "etr"
                    self._children_yang_names.add("etr")

                    self.etr_enable = Native.Router.LispList.Ipv4.EtrEnable()
                    self.etr_enable.parent = self
                    self._children_name_map["etr_enable"] = "etr-enable"
                    self._children_yang_names.add("etr-enable")

                    self.locator = Native.Router.LispList.Ipv4.Locator()
                    self.locator.parent = self
                    self._children_name_map["locator"] = "locator"
                    self._children_yang_names.add("locator")

                    self.map_cache = Native.Router.LispList.Ipv4.MapCache()
                    self.map_cache.parent = self
                    self._children_name_map["map_cache"] = "map-cache"
                    self._children_yang_names.add("map-cache")

                    self.map_cache_limit = Native.Router.LispList.Ipv4.MapCacheLimit()
                    self.map_cache_limit.parent = self
                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                    self._children_yang_names.add("map-cache-limit")

                    self.map_cache_persistent = Native.Router.LispList.Ipv4.MapCachePersistent()
                    self.map_cache_persistent.parent = self
                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                    self._children_yang_names.add("map-cache-persistent")

                    self.map_resolver = None
                    self._children_name_map["map_resolver"] = "map-resolver"
                    self._children_yang_names.add("map-resolver")

                    self.map_server = None
                    self._children_name_map["map_server"] = "map-server"
                    self._children_yang_names.add("map-server")

                    self.path_mtu_discovery = None
                    self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                    self._children_yang_names.add("path-mtu-discovery")

                    self.route_export = Native.Router.LispList.Ipv4.RouteExport()
                    self.route_export.parent = self
                    self._children_name_map["route_export"] = "route-export"
                    self._children_yang_names.add("route-export")

                    self.route_import = Native.Router.LispList.Ipv4.RouteImport()
                    self.route_import.parent = self
                    self._children_name_map["route_import"] = "route-import"
                    self._children_yang_names.add("route-import")

                    self.site_registration = Native.Router.LispList.Ipv4.SiteRegistration()
                    self.site_registration.parent = self
                    self._children_name_map["site_registration"] = "site-registration"
                    self._children_yang_names.add("site-registration")

                    self.solicit_map_request = Native.Router.LispList.Ipv4.SolicitMapRequest()
                    self.solicit_map_request.parent = self
                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                    self._children_yang_names.add("solicit-map-request")

                    self.use_petr = YList(self)
                    self._segment_path = lambda: "ipv4"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.Ipv4, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                class DatabaseMapping(Entity):
                    """
                    Address family specific local EID prefixes database configuration
                    
                    .. attribute:: limit
                    
                    	Configures the maximum size of local EID prefixes database
                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.DatabaseMapping.Limit>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.DatabaseMapping, self).__init__()

                        self.yang_name = "database-mapping"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Ipv4.DatabaseMapping.Limit)}
                        self._child_list_classes = {}

                        self.limit = Native.Router.LispList.Ipv4.DatabaseMapping.Limit()
                        self.limit.parent = self
                        self._children_name_map["limit"] = "limit"
                        self._children_yang_names.add("limit")
                        self._segment_path = lambda: "database-mapping"


                    class Limit(Entity):
                        """
                        Configures the maximum size of local EID prefixes database
                        
                        .. attribute:: dynamic
                        
                        	Configures the maximum size of dynamic local EID prefixes database
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv4.DatabaseMapping.Limit, self).__init__()

                            self.yang_name = "limit"
                            self.yang_parent_name = "database-mapping"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "limit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                class Distance(Entity):
                    """
                    Administrative distance for RIB route installation
                    
                    .. attribute:: alt
                    
                    	LISP routes installed in the ALT table
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dyn_eid
                    
                    	LISP installed routes of type dynamic\-EID
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: site_registrations
                    
                    	LISP installed routes of type site\-registrations
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.Distance, self).__init__()

                        self.yang_name = "distance"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.alt = YLeaf(YType.uint8, "alt")

                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                        self._segment_path = lambda: "distance"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv4.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                class Itr(Entity):
                    """
                    Configures a LISP Ingress Tunnel Router (ITR)
                    
                    .. attribute:: map_resolver
                    
                    	Configures map\-resolver address for sending Map\-Requests
                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Itr.MapResolver>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.Itr, self).__init__()

                        self.yang_name = "itr"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Ipv4.Itr.MapResolver)}

                        self.map_resolver = YList(self)
                        self._segment_path = lambda: "itr"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv4.Itr, [], name, value)


                    class MapResolver(Entity):
                        """
                        Configures map\-resolver address for sending Map\-Requests
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv4.Itr.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "itr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                class ItrEnable(Entity):
                    """
                    
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.ItrEnable, self).__init__()

                        self.yang_name = "itr-enable"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.itr = YLeaf(YType.empty, "itr")
                        self._segment_path = lambda: "itr-enable"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv4.ItrEnable, ['itr'], name, value)


                class Etr(Entity):
                    """
                    Configures a LISP Egress Tunnel Router (ETR)
                    
                    .. attribute:: map_server
                    
                    	Configures map server for ETR registration
                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Etr.MapServer>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.Etr, self).__init__()

                        self.yang_name = "etr"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Ipv4.Etr.MapServer)}

                        self.map_server = YList(self)
                        self._segment_path = lambda: "etr"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv4.Etr, [], name, value)


                    class MapServer(Entity):
                        """
                        Configures map server for ETR registration
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: key
                        
                        	Authentication key used with map server
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Etr.MapServer.Key>`
                        
                        .. attribute:: proxy_reply
                        
                        	Request Map\-Server to send Map\-Replies on behalf of site
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv4.Etr.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "etr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"key" : ("key", Native.Router.LispList.Ipv4.Etr.MapServer.Key)}
                            self._child_list_classes = {}

                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                            self.key = Native.Router.LispList.Ipv4.Etr.MapServer.Key()
                            self.key.parent = self
                            self._children_name_map["key"] = "key"
                            self._children_yang_names.add("key")
                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                        class Key(Entity):
                            """
                            Authentication key used with map server
                            
                            .. attribute:: key_0
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\: str
                            
                            .. attribute:: key_6
                            
                            	The ENCRYPTED password
                            	**type**\: str
                            
                            .. attribute:: key_7
                            
                            	The HIDDEN password
                            	**type**\: str
                            
                            .. attribute:: pwd
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.Etr.MapServer.Key, self).__init__()

                                self.yang_name = "key"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_0 = YLeaf(YType.str, "key-0")

                                self.key_6 = YLeaf(YType.str, "key-6")

                                self.key_7 = YLeaf(YType.str, "key-7")

                                self.pwd = YLeaf(YType.str, "pwd")
                                self._segment_path = lambda: "key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv4.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                class EtrEnable(Entity):
                    """
                    
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.EtrEnable, self).__init__()

                        self.yang_name = "etr-enable"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.etr = YLeaf(YType.empty, "etr")
                        self._segment_path = lambda: "etr-enable"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv4.EtrEnable, ['etr'], name, value)


                class Locator(Entity):
                    """
                    Locator related configuration
                    
                    .. attribute:: reachability
                    
                    	Configuration realted to locator reachability
                    	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.Locator.Reachability>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.Locator, self).__init__()

                        self.yang_name = "locator"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"reachability" : ("reachability", Native.Router.LispList.Ipv4.Locator.Reachability)}
                        self._child_list_classes = {}

                        self.reachability = Native.Router.LispList.Ipv4.Locator.Reachability()
                        self.reachability.parent = self
                        self._children_name_map["reachability"] = "reachability"
                        self._children_yang_names.add("reachability")
                        self._segment_path = lambda: "locator"


                    class Reachability(Entity):
                        """
                        Configuration realted to locator reachability
                        
                        .. attribute:: exclude_default
                        
                        	If a remote RLOC is reached via the default route, treat it as unreachable
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv4.Locator.Reachability, self).__init__()

                            self.yang_name = "reachability"
                            self.yang_parent_name = "locator"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.exclude_default = YLeaf(YType.empty, "exclude-default")
                            self._segment_path = lambda: "reachability"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ipv4.Locator.Reachability, ['exclude_default'], name, value)


                class MapCache(Entity):
                    """
                    Address family specific map cache configuration
                    
                    .. attribute:: site_registration
                    
                    	Install map cache to map request for site registrations
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.MapCache, self).__init__()

                        self.yang_name = "map-cache"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.site_registration = YLeaf(YType.empty, "site-registration")
                        self._segment_path = lambda: "map-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv4.MapCache, ['site_registration'], name, value)


                class MapCacheLimit(Entity):
                    """
                    Configures maximum size of map\-cache
                    
                    .. attribute:: max_map_cache_entries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..100000
                    
                    .. attribute:: reserve_list
                    
                    	EID\-prefixes guaranteed to be stored in map\-cache
                    	**type**\: str
                    
                    .. attribute:: warning_threshold
                    
                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.MapCacheLimit, self).__init__()

                        self.yang_name = "map-cache-limit"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                        self._segment_path = lambda: "map-cache-limit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                class MapCachePersistent(Entity):
                    """
                    Dump map\-cache onto flash, making it persistent across reboots
                    
                    .. attribute:: interval
                    
                    	Interval in minutes of how often the map\-cache is saved
                    	**type**\: int
                    
                    	**range:** 1..1440
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.MapCachePersistent, self).__init__()

                        self.yang_name = "map-cache-persistent"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interval = YLeaf(YType.uint16, "interval")
                        self._segment_path = lambda: "map-cache-persistent"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv4.MapCachePersistent, ['interval'], name, value)


                class MapResolver(Entity):
                    """
                    Configures a LISP Map Resolver (MR)
                    
                    .. attribute:: map_request
                    
                    	Map\-Request processing options
                    	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapResolver.MapRequest>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.MapResolver, self).__init__()

                        self.yang_name = "map-resolver"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Ipv4.MapResolver.MapRequest)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.map_request = Native.Router.LispList.Ipv4.MapResolver.MapRequest()
                        self.map_request.parent = self
                        self._children_name_map["map_request"] = "map-request"
                        self._children_yang_names.add("map-request")
                        self._segment_path = lambda: "map-resolver"


                    class MapRequest(Entity):
                        """
                        Map\-Request processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv4.MapResolver.MapRequest, self).__init__()

                            self.yang_name = "map-request"
                            self.yang_parent_name = "map-resolver"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate)}
                            self._child_list_classes = {}

                            self.validate = Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate()
                            self.validate.parent = self
                            self._children_name_map["validate"] = "validate"
                            self._children_yang_names.add("validate")
                            self._segment_path = lambda: "map-request"


                        class Validate(Entity):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	Influence which source RLOCs map requests are accepted from
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate, self).__init__()

                                self.yang_name = "validate"
                                self.yang_parent_name = "map-request"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"source" : ("source", Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate.Source)}
                                self._child_list_classes = {}

                                self.source = Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "validate"


                            class Source(Entity):
                                """
                                Influence which source RLOCs map requests are accepted from
                                
                                .. attribute:: list
                                
                                	Define allowed prefixes using an ip[v6] prefix list
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: registered
                                
                                	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ipv4
                                
                                	IPv4 prefixes
                                	**type**\: str
                                
                                .. attribute:: ipv6
                                
                                	IPv6 prefixes
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "validate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.list = YLeaf(YType.empty, "list")

                                    self.registered = YLeaf(YType.empty, "registered")

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                    self._segment_path = lambda: "source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                class MapServer(Entity):
                    """
                    Configures a LISP Map Server (MS)
                    
                    .. attribute:: map_register
                    
                    	Map\-Register processing options
                    	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapServer.MapRegister>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.MapServer, self).__init__()

                        self.yang_name = "map-server"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Ipv4.MapServer.MapRegister)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.map_register = Native.Router.LispList.Ipv4.MapServer.MapRegister()
                        self.map_register.parent = self
                        self._children_name_map["map_register"] = "map-register"
                        self._children_yang_names.add("map-register")
                        self._segment_path = lambda: "map-server"


                    class MapRegister(Entity):
                        """
                        Map\-Register processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv4.MapServer.MapRegister, self).__init__()

                            self.yang_name = "map-register"
                            self.yang_parent_name = "map-server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate)}
                            self._child_list_classes = {}

                            self.validate = Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate()
                            self.validate.parent = self
                            self._children_name_map["validate"] = "validate"
                            self._children_yang_names.add("validate")
                            self._segment_path = lambda: "map-register"


                        class Validate(Entity):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	RLOC Source IP address
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate, self).__init__()

                                self.yang_name = "validate"
                                self.yang_parent_name = "map-register"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"source" : ("source", Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate.Source)}
                                self._child_list_classes = {}

                                self.source = Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "validate"


                            class Source(Entity):
                                """
                                RLOC Source IP address
                                
                                .. attribute:: allowed_locator
                                
                                	Against sites' allowed\-locators policy
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "validate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                    self._segment_path = lambda: "source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                class PathMtuDiscovery(Entity):
                    """
                    Path MTU discovery
                    
                    .. attribute:: max
                    
                    	Upper bound on the path MTU accepted
                    	**type**\: int
                    
                    	**range:** 68..65535
                    
                    .. attribute:: min
                    
                    	Lower bound on the path MTU accepted
                    	**type**\: int
                    
                    	**range:** 68..65535
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.PathMtuDiscovery, self).__init__()

                        self.yang_name = "path-mtu-discovery"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max = YLeaf(YType.uint16, "max")

                        self.min = YLeaf(YType.uint16, "min")
                        self._segment_path = lambda: "path-mtu-discovery"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv4.PathMtuDiscovery, ['max', 'min'], name, value)


                class RouteExport(Entity):
                    """
                    Export routes into RIB from LISP
                    
                    .. attribute:: site_registrations
                    
                    	Export LISP site registrations to RIB
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: away_eids
                    
                    	Export LISP away EIDs to RIB
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.RouteExport, self).__init__()

                        self.yang_name = "route-export"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                        self.away_eids = YLeaf(YType.empty, "away-eids")
                        self._segment_path = lambda: "route-export"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                class RouteImport(Entity):
                    """
                    Import RIB routes by a routing protocol into LISP
                    
                    .. attribute:: database
                    
                    	Use RIB routes to define local EID database entries
                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database>`
                    
                    .. attribute:: map_cache
                    
                    	Use RIB routes to define EID address space in map\-cache
                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.RouteImport, self).__init__()

                        self.yang_name = "route-import"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"database" : ("database", Native.Router.LispList.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Ipv4.RouteImport.MapCache)}
                        self._child_list_classes = {}

                        self.database = Native.Router.LispList.Ipv4.RouteImport.Database()
                        self.database.parent = self
                        self._children_name_map["database"] = "database"
                        self._children_yang_names.add("database")

                        self.map_cache = Native.Router.LispList.Ipv4.RouteImport.MapCache()
                        self.map_cache.parent = self
                        self._children_name_map["map_cache"] = "map-cache"
                        self._children_yang_names.add("map-cache")
                        self._segment_path = lambda: "route-import"


                    class Database(Entity):
                        """
                        Use RIB routes to define local EID database entries
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Connected>`
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Static>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv4.RouteImport.Database, self).__init__()

                            self.yang_name = "database"
                            self.yang_parent_name = "route-import"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.Ipv4.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Ipv4.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.Ipv4.RouteImport.Database.Rip), "static" : ("static", Native.Router.LispList.Ipv4.RouteImport.Database.Static)}
                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.LispList.Ipv4.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.LispList.Ipv4.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3)}

                            self.connected = Native.Router.LispList.Ipv4.RouteImport.Database.Connected()
                            self.connected.parent = self
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.maximum_prefix = Native.Router.LispList.Ipv4.RouteImport.Database.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                            self._children_yang_names.add("maximum-prefix")

                            self.rip = Native.Router.LispList.Ipv4.RouteImport.Database.Rip()
                            self.rip.parent = self
                            self._children_name_map["rip"] = "rip"
                            self._children_yang_names.add("rip")

                            self.static = Native.Router.LispList.Ipv4.RouteImport.Database.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")

                            self.bgp = YList(self)
                            self.eigrp = YList(self)
                            self.isis = YList(self)
                            self.ospf = YList(self)
                            self.ospfv3 = YList(self)
                            self._segment_path = lambda: "database"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database, [], name, value)


                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.Database.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "connected"


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "connected"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Eigrp(Entity):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.Database.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.Isis, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class MaximumPrefix(Entity):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                self.yang_name = "maximum-prefix"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.int32, "number")

                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                self.threshold = YLeaf(YType.uint8, "threshold")

                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                self._segment_path = lambda: "maximum-prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                        class Ospf(Entity):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                self.yang_name = "ospf"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "ospf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Ospfv3(Entity):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3, self).__init__()

                                self.yang_name = "ospfv3"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "ospfv3"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.Database.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "rip"


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "rip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.Database.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "static"


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                    class MapCache(Entity):
                        """
                        Use RIB routes to define EID address space in map\-cache
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv4.RouteImport.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "route-import"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Ipv4.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.LispList.Ipv4.RouteImport.MapCache.Static)}
                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3)}

                            self.connected = None
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.maximum_prefix = Native.Router.LispList.Ipv4.RouteImport.MapCache.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                            self._children_yang_names.add("maximum-prefix")

                            self.rip = None
                            self._children_name_map["rip"] = "rip"
                            self._children_yang_names.add("rip")

                            self.static = None
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")

                            self.bgp = YList(self)
                            self.eigrp = YList(self)
                            self.isis = YList(self)
                            self.ospf = YList(self)
                            self.ospfv3 = YList(self)
                            self._segment_path = lambda: "map-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache, [], name, value)


                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "connected"


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "connected"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                        class Eigrp(Entity):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                        class MaximumPrefix(Entity):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                self.yang_name = "maximum-prefix"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.int32, "number")

                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                self.threshold = YLeaf(YType.uint8, "threshold")

                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                self._segment_path = lambda: "maximum-prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                        class Ospf(Entity):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                self.yang_name = "ospf"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "ospf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                        class Ospfv3(Entity):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3, self).__init__()

                                self.yang_name = "ospfv3"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "ospfv3"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "rip"


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "rip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "static"


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                class SiteRegistration(Entity):
                    """
                    Site registrations configuration for a given instance\-id
                    
                    .. attribute:: limit
                    
                    	Maximum number of site registrations for a given instance\-id
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: warning_threshold
                    
                    	Warning threshold to issue system logging
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.SiteRegistration, self).__init__()

                        self.yang_name = "site-registration"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.limit = YLeaf(YType.uint32, "limit")

                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                        self._segment_path = lambda: "site-registration"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                class SolicitMapRequest(Entity):
                    """
                    Configure Solicit\-Map\-Request handling
                    
                    .. attribute:: ignore
                    
                    	Ignore SMR bit in incoming Map\-Requests
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_per_entry
                    
                    	Maximum number of SMRs for addresses under a map\-cache entry
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    .. attribute:: suppression_time
                    
                    	How long to suppress repeated SMRs for the same address
                    	**type**\: int
                    
                    	**range:** 1..600
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.SolicitMapRequest, self).__init__()

                        self.yang_name = "solicit-map-request"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ignore = YLeaf(YType.empty, "ignore")

                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                        self._segment_path = lambda: "solicit-map-request"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                class UsePetr(Entity):
                    """
                    Encapsulate to Proxy ETR when matching forward\-native entry
                    
                    .. attribute:: locator_address  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv4.UsePetr, self).__init__()

                        self.yang_name = "use-petr"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.locator_address = YLeaf(YType.str, "locator-address")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.weight = YLeaf(YType.uint8, "weight")
                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv4.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


            class Ipv6(Entity):
                """
                IPv6 address family
                
                .. attribute:: alt_vrf
                
                	Activate LISP\-ALT functionality in VRF
                	**type**\: str
                
                	**status**\: deprecated
                
                .. attribute:: database_mapping
                
                	Address family specific local EID prefixes database configuration
                	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.DatabaseMapping>`
                
                .. attribute:: distance
                
                	Administrative distance for RIB route installation
                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Distance>`
                
                .. attribute:: itr
                
                	Configures a LISP Ingress Tunnel Router (ITR)
                	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Itr>`
                
                .. attribute:: itr_enable
                
                	
                	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.ItrEnable>`
                
                .. attribute:: etr
                
                	Configures a LISP Egress Tunnel Router (ETR)
                	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Etr>`
                
                .. attribute:: etr_enable
                
                	
                	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.EtrEnable>`
                
                .. attribute:: locator
                
                	Locator related configuration
                	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Locator>`
                
                .. attribute:: map_cache
                
                	Address family specific map cache configuration
                	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapCache>`
                
                .. attribute:: map_cache_limit
                
                	Configures maximum size of map\-cache
                	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapCacheLimit>`
                
                .. attribute:: map_cache_persistent
                
                	Dump map\-cache onto flash, making it persistent across reboots
                	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapCachePersistent>`
                
                .. attribute:: map_request_source
                
                	Configures inner header source address in Map\-Request message
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: map_resolver
                
                	Configures a LISP Map Resolver (MR)
                	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapResolver>`
                
                	**presence node**\: True
                
                .. attribute:: map_server
                
                	Configures a LISP Map Server (MS)
                	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapServer>`
                
                	**presence node**\: True
                
                .. attribute:: path_mtu_discovery
                
                	Path MTU discovery
                	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.PathMtuDiscovery>`
                
                	**presence node**\: True
                
                .. attribute:: proxy_etr
                
                	Configures a LISP Proxy Engress Tunnel Router (PETR)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: proxy_itr
                
                	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                	**type**\: union of the below types:
                
                		**type**\: list of str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: list of str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: route_export
                
                	Export routes into RIB from LISP
                	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteExport>`
                
                .. attribute:: route_import
                
                	Import RIB routes by a routing protocol into LISP
                	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport>`
                
                .. attribute:: sgt
                
                	Enable security group tag propagation in LISP encapsulated traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: site_registration
                
                	Site registrations configuration for a given instance\-id
                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.SiteRegistration>`
                
                .. attribute:: solicit_map_request
                
                	Configure Solicit\-Map\-Request handling
                	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.SolicitMapRequest>`
                
                .. attribute:: use_petr
                
                	Encapsulate to Proxy ETR when matching forward\-native entry
                	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.UsePetr>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.Ipv6.DatabaseMapping), "distance" : ("distance", Native.Router.LispList.Ipv6.Distance), "itr" : ("itr", Native.Router.LispList.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.Ipv6.ItrEnable), "etr" : ("etr", Native.Router.LispList.Ipv6.Etr), "etr-enable" : ("etr_enable", Native.Router.LispList.Ipv6.EtrEnable), "locator" : ("locator", Native.Router.LispList.Ipv6.Locator), "map-cache" : ("map_cache", Native.Router.LispList.Ipv6.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.Ipv6.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.Ipv6.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.LispList.Ipv6.MapResolver), "map-server" : ("map_server", Native.Router.LispList.Ipv6.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.LispList.Ipv6.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.LispList.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.LispList.Ipv6.RouteImport), "site-registration" : ("site_registration", Native.Router.LispList.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.Ipv6.SolicitMapRequest)}
                    self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.Ipv6.UsePetr)}

                    self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                    self.map_request_source = YLeaf(YType.str, "map-request-source")

                    self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                    self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                    self.sgt = YLeaf(YType.empty, "sgt")

                    self.database_mapping = Native.Router.LispList.Ipv6.DatabaseMapping()
                    self.database_mapping.parent = self
                    self._children_name_map["database_mapping"] = "database-mapping"
                    self._children_yang_names.add("database-mapping")

                    self.distance = Native.Router.LispList.Ipv6.Distance()
                    self.distance.parent = self
                    self._children_name_map["distance"] = "distance"
                    self._children_yang_names.add("distance")

                    self.itr = Native.Router.LispList.Ipv6.Itr()
                    self.itr.parent = self
                    self._children_name_map["itr"] = "itr"
                    self._children_yang_names.add("itr")

                    self.itr_enable = Native.Router.LispList.Ipv6.ItrEnable()
                    self.itr_enable.parent = self
                    self._children_name_map["itr_enable"] = "itr-enable"
                    self._children_yang_names.add("itr-enable")

                    self.etr = Native.Router.LispList.Ipv6.Etr()
                    self.etr.parent = self
                    self._children_name_map["etr"] = "etr"
                    self._children_yang_names.add("etr")

                    self.etr_enable = Native.Router.LispList.Ipv6.EtrEnable()
                    self.etr_enable.parent = self
                    self._children_name_map["etr_enable"] = "etr-enable"
                    self._children_yang_names.add("etr-enable")

                    self.locator = Native.Router.LispList.Ipv6.Locator()
                    self.locator.parent = self
                    self._children_name_map["locator"] = "locator"
                    self._children_yang_names.add("locator")

                    self.map_cache = Native.Router.LispList.Ipv6.MapCache()
                    self.map_cache.parent = self
                    self._children_name_map["map_cache"] = "map-cache"
                    self._children_yang_names.add("map-cache")

                    self.map_cache_limit = Native.Router.LispList.Ipv6.MapCacheLimit()
                    self.map_cache_limit.parent = self
                    self._children_name_map["map_cache_limit"] = "map-cache-limit"
                    self._children_yang_names.add("map-cache-limit")

                    self.map_cache_persistent = Native.Router.LispList.Ipv6.MapCachePersistent()
                    self.map_cache_persistent.parent = self
                    self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                    self._children_yang_names.add("map-cache-persistent")

                    self.map_resolver = None
                    self._children_name_map["map_resolver"] = "map-resolver"
                    self._children_yang_names.add("map-resolver")

                    self.map_server = None
                    self._children_name_map["map_server"] = "map-server"
                    self._children_yang_names.add("map-server")

                    self.path_mtu_discovery = None
                    self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                    self._children_yang_names.add("path-mtu-discovery")

                    self.route_export = Native.Router.LispList.Ipv6.RouteExport()
                    self.route_export.parent = self
                    self._children_name_map["route_export"] = "route-export"
                    self._children_yang_names.add("route-export")

                    self.route_import = Native.Router.LispList.Ipv6.RouteImport()
                    self.route_import.parent = self
                    self._children_name_map["route_import"] = "route-import"
                    self._children_yang_names.add("route-import")

                    self.site_registration = Native.Router.LispList.Ipv6.SiteRegistration()
                    self.site_registration.parent = self
                    self._children_name_map["site_registration"] = "site-registration"
                    self._children_yang_names.add("site-registration")

                    self.solicit_map_request = Native.Router.LispList.Ipv6.SolicitMapRequest()
                    self.solicit_map_request.parent = self
                    self._children_name_map["solicit_map_request"] = "solicit-map-request"
                    self._children_yang_names.add("solicit-map-request")

                    self.use_petr = YList(self)
                    self._segment_path = lambda: "ipv6"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.Ipv6, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                class DatabaseMapping(Entity):
                    """
                    Address family specific local EID prefixes database configuration
                    
                    .. attribute:: limit
                    
                    	Configures the maximum size of local EID prefixes database
                    	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.DatabaseMapping.Limit>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.DatabaseMapping, self).__init__()

                        self.yang_name = "database-mapping"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.Ipv6.DatabaseMapping.Limit)}
                        self._child_list_classes = {}

                        self.limit = Native.Router.LispList.Ipv6.DatabaseMapping.Limit()
                        self.limit.parent = self
                        self._children_name_map["limit"] = "limit"
                        self._children_yang_names.add("limit")
                        self._segment_path = lambda: "database-mapping"


                    class Limit(Entity):
                        """
                        Configures the maximum size of local EID prefixes database
                        
                        .. attribute:: dynamic
                        
                        	Configures the maximum size of dynamic local EID prefixes database
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: warning_threshold
                        
                        	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv6.DatabaseMapping.Limit, self).__init__()

                            self.yang_name = "limit"
                            self.yang_parent_name = "database-mapping"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dynamic = YLeaf(YType.uint32, "dynamic")

                            self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                            self._segment_path = lambda: "limit"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                class Distance(Entity):
                    """
                    Administrative distance for RIB route installation
                    
                    .. attribute:: alt
                    
                    	LISP routes installed in the ALT table
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: dyn_eid
                    
                    	LISP installed routes of type dynamic\-EID
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: site_registrations
                    
                    	LISP installed routes of type site\-registrations
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.Distance, self).__init__()

                        self.yang_name = "distance"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.alt = YLeaf(YType.uint8, "alt")

                        self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                        self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                        self._segment_path = lambda: "distance"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv6.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                class Itr(Entity):
                    """
                    Configures a LISP Ingress Tunnel Router (ITR)
                    
                    .. attribute:: map_resolver
                    
                    	Configures map\-resolver address for sending Map\-Requests
                    	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Itr.MapResolver>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.Itr, self).__init__()

                        self.yang_name = "itr"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.Ipv6.Itr.MapResolver)}

                        self.map_resolver = YList(self)
                        self._segment_path = lambda: "itr"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv6.Itr, [], name, value)


                    class MapResolver(Entity):
                        """
                        Configures map\-resolver address for sending Map\-Requests
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv6.Itr.MapResolver, self).__init__()

                            self.yang_name = "map-resolver"
                            self.yang_parent_name = "itr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip_addr = YLeaf(YType.str, "ip-addr")
                            self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                class ItrEnable(Entity):
                    """
                    
                    
                    .. attribute:: itr
                    
                    	Configures a LISP Ingress Tunnel Router (ITR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.ItrEnable, self).__init__()

                        self.yang_name = "itr-enable"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.itr = YLeaf(YType.empty, "itr")
                        self._segment_path = lambda: "itr-enable"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv6.ItrEnable, ['itr'], name, value)


                class Etr(Entity):
                    """
                    Configures a LISP Egress Tunnel Router (ETR)
                    
                    .. attribute:: map_server
                    
                    	Configures map server for ETR registration
                    	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Etr.MapServer>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.Etr, self).__init__()

                        self.yang_name = "etr"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.Ipv6.Etr.MapServer)}

                        self.map_server = YList(self)
                        self._segment_path = lambda: "etr"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv6.Etr, [], name, value)


                    class MapServer(Entity):
                        """
                        Configures map server for ETR registration
                        
                        .. attribute:: ip_addr  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: key
                        
                        	Authentication key used with map server
                        	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Etr.MapServer.Key>`
                        
                        .. attribute:: proxy_reply
                        
                        	Request Map\-Server to send Map\-Replies on behalf of site
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv6.Etr.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "etr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"key" : ("key", Native.Router.LispList.Ipv6.Etr.MapServer.Key)}
                            self._child_list_classes = {}

                            self.ip_addr = YLeaf(YType.str, "ip-addr")

                            self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                            self.key = Native.Router.LispList.Ipv6.Etr.MapServer.Key()
                            self.key.parent = self
                            self._children_name_map["key"] = "key"
                            self._children_yang_names.add("key")
                            self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                        class Key(Entity):
                            """
                            Authentication key used with map server
                            
                            .. attribute:: key_0
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\: str
                            
                            .. attribute:: key_6
                            
                            	The ENCRYPTED password
                            	**type**\: str
                            
                            .. attribute:: key_7
                            
                            	The HIDDEN password
                            	**type**\: str
                            
                            .. attribute:: pwd
                            
                            	The UNENCRYPTED (cleartext) password
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.Etr.MapServer.Key, self).__init__()

                                self.yang_name = "key"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_0 = YLeaf(YType.str, "key-0")

                                self.key_6 = YLeaf(YType.str, "key-6")

                                self.key_7 = YLeaf(YType.str, "key-7")

                                self.pwd = YLeaf(YType.str, "pwd")
                                self._segment_path = lambda: "key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv6.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                class EtrEnable(Entity):
                    """
                    
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.EtrEnable, self).__init__()

                        self.yang_name = "etr-enable"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.etr = YLeaf(YType.empty, "etr")
                        self._segment_path = lambda: "etr-enable"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv6.EtrEnable, ['etr'], name, value)


                class Locator(Entity):
                    """
                    Locator related configuration
                    
                    .. attribute:: reachability
                    
                    	Configuration realted to locator reachability
                    	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.Locator.Reachability>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.Locator, self).__init__()

                        self.yang_name = "locator"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"reachability" : ("reachability", Native.Router.LispList.Ipv6.Locator.Reachability)}
                        self._child_list_classes = {}

                        self.reachability = Native.Router.LispList.Ipv6.Locator.Reachability()
                        self.reachability.parent = self
                        self._children_name_map["reachability"] = "reachability"
                        self._children_yang_names.add("reachability")
                        self._segment_path = lambda: "locator"


                    class Reachability(Entity):
                        """
                        Configuration realted to locator reachability
                        
                        .. attribute:: exclude_default
                        
                        	If a remote RLOC is reached via the default route, treat it as unreachable
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv6.Locator.Reachability, self).__init__()

                            self.yang_name = "reachability"
                            self.yang_parent_name = "locator"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.exclude_default = YLeaf(YType.empty, "exclude-default")
                            self._segment_path = lambda: "reachability"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ipv6.Locator.Reachability, ['exclude_default'], name, value)


                class MapCache(Entity):
                    """
                    Address family specific map cache configuration
                    
                    .. attribute:: site_registration
                    
                    	Install map cache to map request for site registrations
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.MapCache, self).__init__()

                        self.yang_name = "map-cache"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.site_registration = YLeaf(YType.empty, "site-registration")
                        self._segment_path = lambda: "map-cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv6.MapCache, ['site_registration'], name, value)


                class MapCacheLimit(Entity):
                    """
                    Configures maximum size of map\-cache
                    
                    .. attribute:: max_map_cache_entries
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..100000
                    
                    .. attribute:: reserve_list
                    
                    	EID\-prefixes guaranteed to be stored in map\-cache
                    	**type**\: str
                    
                    .. attribute:: warning_threshold
                    
                    	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.MapCacheLimit, self).__init__()

                        self.yang_name = "map-cache-limit"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                        self.reserve_list = YLeaf(YType.str, "reserve-list")

                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                        self._segment_path = lambda: "map-cache-limit"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                class MapCachePersistent(Entity):
                    """
                    Dump map\-cache onto flash, making it persistent across reboots
                    
                    .. attribute:: interval
                    
                    	Interval in minutes of how often the map\-cache is saved
                    	**type**\: int
                    
                    	**range:** 1..1440
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.MapCachePersistent, self).__init__()

                        self.yang_name = "map-cache-persistent"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interval = YLeaf(YType.uint16, "interval")
                        self._segment_path = lambda: "map-cache-persistent"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv6.MapCachePersistent, ['interval'], name, value)


                class MapResolver(Entity):
                    """
                    Configures a LISP Map Resolver (MR)
                    
                    .. attribute:: map_request
                    
                    	Map\-Request processing options
                    	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapResolver.MapRequest>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.MapResolver, self).__init__()

                        self.yang_name = "map-resolver"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.Ipv6.MapResolver.MapRequest)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.map_request = Native.Router.LispList.Ipv6.MapResolver.MapRequest()
                        self.map_request.parent = self
                        self._children_name_map["map_request"] = "map-request"
                        self._children_yang_names.add("map-request")
                        self._segment_path = lambda: "map-resolver"


                    class MapRequest(Entity):
                        """
                        Map\-Request processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv6.MapResolver.MapRequest, self).__init__()

                            self.yang_name = "map-request"
                            self.yang_parent_name = "map-resolver"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate)}
                            self._child_list_classes = {}

                            self.validate = Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate()
                            self.validate.parent = self
                            self._children_name_map["validate"] = "validate"
                            self._children_yang_names.add("validate")
                            self._segment_path = lambda: "map-request"


                        class Validate(Entity):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	Influence which source RLOCs map requests are accepted from
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate, self).__init__()

                                self.yang_name = "validate"
                                self.yang_parent_name = "map-request"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"source" : ("source", Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate.Source)}
                                self._child_list_classes = {}

                                self.source = Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "validate"


                            class Source(Entity):
                                """
                                Influence which source RLOCs map requests are accepted from
                                
                                .. attribute:: list
                                
                                	Define allowed prefixes using an ip[v6] prefix list
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: registered
                                
                                	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: ipv4
                                
                                	IPv4 prefixes
                                	**type**\: str
                                
                                .. attribute:: ipv6
                                
                                	IPv6 prefixes
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "validate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.list = YLeaf(YType.empty, "list")

                                    self.registered = YLeaf(YType.empty, "registered")

                                    self.ipv4 = YLeaf(YType.str, "ipv4")

                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                    self._segment_path = lambda: "source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                class MapServer(Entity):
                    """
                    Configures a LISP Map Server (MS)
                    
                    .. attribute:: map_register
                    
                    	Map\-Register processing options
                    	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapServer.MapRegister>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.MapServer, self).__init__()

                        self.yang_name = "map-server"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.Ipv6.MapServer.MapRegister)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.map_register = Native.Router.LispList.Ipv6.MapServer.MapRegister()
                        self.map_register.parent = self
                        self._children_name_map["map_register"] = "map-register"
                        self._children_yang_names.add("map-register")
                        self._segment_path = lambda: "map-server"


                    class MapRegister(Entity):
                        """
                        Map\-Register processing options
                        
                        .. attribute:: validate
                        
                        	Validation options
                        	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv6.MapServer.MapRegister, self).__init__()

                            self.yang_name = "map-register"
                            self.yang_parent_name = "map-server"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate)}
                            self._child_list_classes = {}

                            self.validate = Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate()
                            self.validate.parent = self
                            self._children_name_map["validate"] = "validate"
                            self._children_yang_names.add("validate")
                            self._segment_path = lambda: "map-register"


                        class Validate(Entity):
                            """
                            Validation options
                            
                            .. attribute:: source
                            
                            	RLOC Source IP address
                            	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate.Source>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate, self).__init__()

                                self.yang_name = "validate"
                                self.yang_parent_name = "map-register"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"source" : ("source", Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate.Source)}
                                self._child_list_classes = {}

                                self.source = Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate.Source()
                                self.source.parent = self
                                self._children_name_map["source"] = "source"
                                self._children_yang_names.add("source")
                                self._segment_path = lambda: "validate"


                            class Source(Entity):
                                """
                                RLOC Source IP address
                                
                                .. attribute:: allowed_locator
                                
                                	Against sites' allowed\-locators policy
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate.Source, self).__init__()

                                    self.yang_name = "source"
                                    self.yang_parent_name = "validate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                    self._segment_path = lambda: "source"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                class PathMtuDiscovery(Entity):
                    """
                    Path MTU discovery
                    
                    .. attribute:: max
                    
                    	Upper bound on the path MTU accepted
                    	**type**\: int
                    
                    	**range:** 68..65535
                    
                    .. attribute:: min
                    
                    	Lower bound on the path MTU accepted
                    	**type**\: int
                    
                    	**range:** 68..65535
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.PathMtuDiscovery, self).__init__()

                        self.yang_name = "path-mtu-discovery"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.max = YLeaf(YType.uint16, "max")

                        self.min = YLeaf(YType.uint16, "min")
                        self._segment_path = lambda: "path-mtu-discovery"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv6.PathMtuDiscovery, ['max', 'min'], name, value)


                class RouteExport(Entity):
                    """
                    Export routes into RIB from LISP
                    
                    .. attribute:: site_registrations
                    
                    	Export LISP site registrations to RIB
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: away_eids
                    
                    	Export LISP away EIDs to RIB
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.RouteExport, self).__init__()

                        self.yang_name = "route-export"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.site_registrations = YLeaf(YType.empty, "site-registrations")

                        self.away_eids = YLeaf(YType.empty, "away-eids")
                        self._segment_path = lambda: "route-export"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                class RouteImport(Entity):
                    """
                    Import RIB routes by a routing protocol into LISP
                    
                    .. attribute:: database
                    
                    	Use RIB routes to define local EID database entries
                    	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database>`
                    
                    .. attribute:: map_cache
                    
                    	Use RIB routes to define EID address space in map\-cache
                    	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.RouteImport, self).__init__()

                        self.yang_name = "route-import"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"database" : ("database", Native.Router.LispList.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.Ipv6.RouteImport.MapCache)}
                        self._child_list_classes = {}

                        self.database = Native.Router.LispList.Ipv6.RouteImport.Database()
                        self.database.parent = self
                        self._children_name_map["database"] = "database"
                        self._children_yang_names.add("database")

                        self.map_cache = Native.Router.LispList.Ipv6.RouteImport.MapCache()
                        self.map_cache.parent = self
                        self._children_name_map["map_cache"] = "map-cache"
                        self._children_yang_names.add("map-cache")
                        self._segment_path = lambda: "route-import"


                    class Database(Entity):
                        """
                        Use RIB routes to define local EID database entries
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Connected>`
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Static>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv6.RouteImport.Database, self).__init__()

                            self.yang_name = "database"
                            self.yang_parent_name = "route-import"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.Ipv6.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Ipv6.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.Ipv6.RouteImport.Database.Rip), "static" : ("static", Native.Router.LispList.Ipv6.RouteImport.Database.Static)}
                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.LispList.Ipv6.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.LispList.Ipv6.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3)}

                            self.connected = Native.Router.LispList.Ipv6.RouteImport.Database.Connected()
                            self.connected.parent = self
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.maximum_prefix = Native.Router.LispList.Ipv6.RouteImport.Database.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                            self._children_yang_names.add("maximum-prefix")

                            self.rip = Native.Router.LispList.Ipv6.RouteImport.Database.Rip()
                            self.rip.parent = self
                            self._children_name_map["rip"] = "rip"
                            self._children_yang_names.add("rip")

                            self.static = Native.Router.LispList.Ipv6.RouteImport.Database.Static()
                            self.static.parent = self
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")

                            self.bgp = YList(self)
                            self.eigrp = YList(self)
                            self.isis = YList(self)
                            self.ospf = YList(self)
                            self.ospfv3 = YList(self)
                            self._segment_path = lambda: "database"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database, [], name, value)


                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.Database.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "connected"


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "connected"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Eigrp(Entity):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.Database.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.Isis, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class MaximumPrefix(Entity):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                self.yang_name = "maximum-prefix"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.int32, "number")

                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                self.threshold = YLeaf(YType.uint8, "threshold")

                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                self._segment_path = lambda: "maximum-prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                        class Ospf(Entity):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                self.yang_name = "ospf"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "ospf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Ospfv3(Entity):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3, self).__init__()

                                self.yang_name = "ospfv3"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3, ['id'], name, value)


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "ospfv3"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.Database.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "rip"


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "rip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: lisp_ip_route_import
                            
                            	
                            	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.Database.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "database"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                self._child_list_classes = {}

                                self.lisp_ip_route_import = Native.Router.LispList.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                self.lisp_ip_route_import.parent = self
                                self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                self._children_yang_names.add("lisp-ip-route-import")
                                self._segment_path = lambda: "static"


                            class LispIpRouteImport(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                .. attribute:: locator_set
                                
                                	Locator set to use with created database mapping entries
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                    self.yang_name = "lisp-ip-route-import"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.locator_set = YLeaf(YType.str, "locator-set")
                                    self._segment_path = lambda: "lisp-ip-route-import"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                    class MapCache(Entity):
                        """
                        Use RIB routes to define EID address space in map\-cache
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis>`
                        
                        .. attribute:: maximum_prefix
                        
                        	Maximum number of prefixes to pick up from the RIB
                        	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Ipv6.RouteImport.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "route-import"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.Ipv6.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.LispList.Ipv6.RouteImport.MapCache.Static)}
                            self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3)}

                            self.connected = None
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.maximum_prefix = Native.Router.LispList.Ipv6.RouteImport.MapCache.MaximumPrefix()
                            self.maximum_prefix.parent = self
                            self._children_name_map["maximum_prefix"] = "maximum-prefix"
                            self._children_yang_names.add("maximum-prefix")

                            self.rip = None
                            self._children_name_map["rip"] = "rip"
                            self._children_yang_names.add("rip")

                            self.static = None
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")

                            self.bgp = YList(self)
                            self.eigrp = YList(self)
                            self.isis = YList(self)
                            self.ospf = YList(self)
                            self.ospfv3 = YList(self)
                            self._segment_path = lambda: "map-cache"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache, [], name, value)


                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "connected"


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "connected"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                        class Eigrp(Entity):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                        class MaximumPrefix(Entity):
                            """
                            Maximum number of prefixes to pick up from the RIB
                            
                            .. attribute:: number
                            
                            	
                            	**type**\: int
                            
                            	**range:** \-2147483648..2147483647
                            
                            .. attribute:: warning_only
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: threshold
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: threshold1
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: warning_only1
                            
                            	Only give a warning message and do not limit entries
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                self.yang_name = "maximum-prefix"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.int32, "number")

                                self.warning_only = YLeaf(YType.empty, "warning-only")

                                self.threshold = YLeaf(YType.uint8, "threshold")

                                self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                self._segment_path = lambda: "maximum-prefix"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                        class Ospf(Entity):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                self.yang_name = "ospf"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "ospf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                        class Ospfv3(Entity):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3, self).__init__()

                                self.yang_name = "ospfv3"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint16, "id")

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "ospfv3"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "rip"


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "rip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: map_cache_container
                            
                            	
                            	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_cache_container = None
                                self._children_name_map["map_cache_container"] = "map-cache-container"
                                self._children_yang_names.add("map-cache-container")
                                self._segment_path = lambda: "static"


                            class MapCacheContainer(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map for route selection filtering
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                    self.yang_name = "map-cache-container"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "map-cache-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                class SiteRegistration(Entity):
                    """
                    Site registrations configuration for a given instance\-id
                    
                    .. attribute:: limit
                    
                    	Maximum number of site registrations for a given instance\-id
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: warning_threshold
                    
                    	Warning threshold to issue system logging
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.SiteRegistration, self).__init__()

                        self.yang_name = "site-registration"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.limit = YLeaf(YType.uint32, "limit")

                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                        self._segment_path = lambda: "site-registration"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                class SolicitMapRequest(Entity):
                    """
                    Configure Solicit\-Map\-Request handling
                    
                    .. attribute:: ignore
                    
                    	Ignore SMR bit in incoming Map\-Requests
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_per_entry
                    
                    	Maximum number of SMRs for addresses under a map\-cache entry
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    .. attribute:: suppression_time
                    
                    	How long to suppress repeated SMRs for the same address
                    	**type**\: int
                    
                    	**range:** 1..600
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.SolicitMapRequest, self).__init__()

                        self.yang_name = "solicit-map-request"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ignore = YLeaf(YType.empty, "ignore")

                        self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                        self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                        self._segment_path = lambda: "solicit-map-request"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                class UsePetr(Entity):
                    """
                    Encapsulate to Proxy ETR when matching forward\-native entry
                    
                    .. attribute:: locator_address  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: priority
                    
                    	Configures which Locators from a set are preferred
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: weight
                    
                    	Traffic load\-spreading among Locators
                    	**type**\: int
                    
                    	**range:** 0..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Ipv6.UsePetr, self).__init__()

                        self.yang_name = "use-petr"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.locator_address = YLeaf(YType.str, "locator-address")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.weight = YLeaf(YType.uint8, "weight")
                        self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Ipv6.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


            class LocReachAlgorithm(Entity):
                """
                Configure locator reachability algorithm
                
                .. attribute:: lsb_reports
                
                	Configure data packet LSB report handling
                	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.LocReachAlgorithm.LsbReports>`
                
                .. attribute:: rloc_probing
                
                	Probe high priority RLOCs with Map\-Requests as last resort
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.LocReachAlgorithm, self).__init__()

                    self.yang_name = "loc-reach-algorithm"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.LispList.LocReachAlgorithm.LsbReports)}
                    self._child_list_classes = {}

                    self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                    self.lsb_reports = Native.Router.LispList.LocReachAlgorithm.LsbReports()
                    self.lsb_reports.parent = self
                    self._children_name_map["lsb_reports"] = "lsb-reports"
                    self._children_yang_names.add("lsb-reports")
                    self._segment_path = lambda: "loc-reach-algorithm"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.LocReachAlgorithm, ['rloc_probing'], name, value)


                class LsbReports(Entity):
                    """
                    Configure data packet LSB report handling
                    
                    .. attribute:: do_not_transmit
                    
                    	Force the setting of the encapsulation header L bit to zero
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ignore
                    
                    	Ignore data packet LSB reports
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.LocReachAlgorithm.LsbReports, self).__init__()

                        self.yang_name = "lsb-reports"
                        self.yang_parent_name = "loc-reach-algorithm"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                        self.ignore = YLeaf(YType.empty, "ignore")
                        self._segment_path = lambda: "lsb-reports"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


            class LocatorDown(Entity):
                """
                Manually set locator status to down
                
                .. attribute:: address
                
                	IPv4/6 Locator address to be set down
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: ipv4_interface
                
                	Use IPv4 address of interface as locator
                	**type**\: str
                
                .. attribute:: ipv6_interface
                
                	Use IPv6 address of interface as locator
                	**type**\: str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.LocatorDown, self).__init__()

                    self.yang_name = "locator-down"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address = YLeaf(YType.str, "address")

                    self.ipv4_interface = YLeaf(YType.str, "IPv4-interface")

                    self.ipv6_interface = YLeaf(YType.str, "IPv6-interface")
                    self._segment_path = lambda: "locator-down"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.LocatorDown, ['address', 'ipv4_interface', 'ipv6_interface'], name, value)


            class LocatorTable(Entity):
                """
                Specify the RLOC table
                
                .. attribute:: vrf_name
                
                	
                	**type**\: str
                
                .. attribute:: default
                
                	Default VRF
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vrf
                
                	VRF name
                	**type**\: str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.LocatorTable, self).__init__()

                    self.yang_name = "locator-table"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.vrf_name = YLeaf(YType.str, "vrf-name")

                    self.default = YLeaf(YType.empty, "default")

                    self.vrf = YLeaf(YType.str, "vrf")
                    self._segment_path = lambda: "locator-table"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.LocatorTable, ['vrf_name', 'default', 'vrf'], name, value)


            class MapRequest(Entity):
                """
                Configure map\-request handling
                
                .. attribute:: itr_rlocs
                
                	Configure to use the specified RLOC set as ITR RLOC in map\-request
                	**type**\: str
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.MapRequest, self).__init__()

                    self.yang_name = "map-request"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.itr_rlocs = YLeaf(YType.str, "itr-rlocs")
                    self._segment_path = lambda: "map-request"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.MapRequest, ['itr_rlocs'], name, value)


            class MapServer(Entity):
                """
                Map\-Server commands
                
                .. attribute:: rloc
                
                	EID instance RLOC membership
                	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapServer.Rloc>`
                
                .. attribute:: site_registration
                
                	Map\-server site registration options
                	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapServer.SiteRegistration>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.MapServer, self).__init__()

                    self.yang_name = "map-server"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.LispList.MapServer.SiteRegistration)}
                    self._child_list_classes = {}

                    self.rloc = Native.Router.LispList.MapServer.Rloc()
                    self.rloc.parent = self
                    self._children_name_map["rloc"] = "rloc"
                    self._children_yang_names.add("rloc")

                    self.site_registration = Native.Router.LispList.MapServer.SiteRegistration()
                    self.site_registration.parent = self
                    self._children_name_map["site_registration"] = "site-registration"
                    self._children_yang_names.add("site-registration")
                    self._segment_path = lambda: "map-server"


                class Rloc(Entity):
                    """
                    EID instance RLOC membership
                    
                    .. attribute:: members
                    
                    	EID instance RLOC membership
                    	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapServer.Rloc.Members>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.MapServer.Rloc, self).__init__()

                        self.yang_name = "rloc"
                        self.yang_parent_name = "map-server"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"members" : ("members", Native.Router.LispList.MapServer.Rloc.Members)}
                        self._child_list_classes = {}

                        self.members = Native.Router.LispList.MapServer.Rloc.Members()
                        self.members.parent = self
                        self._children_name_map["members"] = "members"
                        self._children_yang_names.add("members")
                        self._segment_path = lambda: "rloc"


                    class Members(Entity):
                        """
                        EID instance RLOC membership
                        
                        .. attribute:: distribute
                        
                        	EID instance RLOC membership distribution
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: modify_discovered
                        
                        	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                        	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.MapServer.Rloc.Members, self).__init__()

                            self.yang_name = "members"
                            self.yang_parent_name = "rloc"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered)}
                            self._child_list_classes = {}

                            self.distribute = YLeaf(YType.empty, "distribute")

                            self.modify_discovered = Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered()
                            self.modify_discovered.parent = self
                            self._children_name_map["modify_discovered"] = "modify-discovered"
                            self._children_yang_names.add("modify-discovered")
                            self._segment_path = lambda: "members"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.MapServer.Rloc.Members, ['distribute'], name, value)


                        class ModifyDiscovered(Entity):
                            """
                            Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                            
                            .. attribute:: operator
                            
                            	
                            	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                            
                            .. attribute:: locator_set
                            
                            	Locator set from which to get member RLOC addresses
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                self.yang_name = "modify-discovered"
                                self.yang_parent_name = "members"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.operator = YLeaf(YType.enumeration, "operator")

                                self.locator_set = YLeaf(YType.str, "locator-set")
                                self._segment_path = lambda: "modify-discovered"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                            class Operator(Enum):
                                """
                                Operator

                                .. data:: add = 0

                                .. data:: override = 1

                                """

                                add = Enum.YLeaf(0, "add")

                                override = Enum.YLeaf(1, "override")



                class SiteRegistration(Entity):
                    """
                    Map\-server site registration options
                    
                    .. attribute:: limit
                    
                    	Maximum number of site registrations as a result of accept\-more\-specifics
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: warning_threshold
                    
                    	Warning threshold to issue system logging
                    	**type**\: int
                    
                    	**range:** 1..100
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.MapServer.SiteRegistration, self).__init__()

                        self.yang_name = "site-registration"
                        self.yang_parent_name = "map-server"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.limit = YLeaf(YType.uint32, "limit")

                        self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                        self._segment_path = lambda: "site-registration"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


            class OtherXtrProbe(Entity):
                """
                Configure parameters for probing of other xTRs in our site
                
                .. attribute:: period
                
                	Period between probes in seconds
                	**type**\: int
                
                	**range:** 5..900
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.OtherXtrProbe, self).__init__()

                    self.yang_name = "other-xtr-probe"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.period = YLeaf(YType.uint16, "period")
                    self._segment_path = lambda: "other-xtr-probe"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.OtherXtrProbe, ['period'], name, value)


            class RemoteRlocProbe(Entity):
                """
                Configure parameters for probing of remote RLOCs
                
                .. attribute:: on_membership_change
                
                	Trigger probing upon membership changes for remote RLOC
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: on_route_change
                
                	Trigger probing upon routing changes for remote RLOC
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.RemoteRlocProbe, self).__init__()

                    self.yang_name = "remote-rloc-probe"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                    self.on_route_change = YLeaf(YType.empty, "on-route-change")
                    self._segment_path = lambda: "remote-rloc-probe"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


            class EidTable(Entity):
                """
                Configure an EID instance for a VRF
                
                .. attribute:: instance_list
                
                	
                	**type**\: list of  		 :py:class:`InstanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.EidTable, self).__init__()

                    self.yang_name = "eid-table"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"instance-list" : ("instance_list", Native.Router.LispList.EidTable.InstanceList)}

                    self.instance_list = YList(self)
                    self._segment_path = lambda: "eid-table"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.EidTable, [], name, value)


                class InstanceList(Entity):
                    """
                    
                    
                    .. attribute:: instance_id  <key>
                    
                    	EID instance\-ID
                    	**type**\: int
                    
                    	**range:** 0..16777214
                    
                    .. attribute:: vrf_name
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: default
                    
                    	Default VRF
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrf
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: database_mapping
                    
                    	Configures Locator addresses for an ETR
                    	**type**\: list of  		 :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DatabaseMapping>`
                    
                    .. attribute:: dynamic_eid
                    
                    	Configure a dynamic EID
                    	**type**\: list of  		 :py:class:`DynamicEid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid>`
                    
                    .. attribute:: alt
                    
                    	LISP Alternative Topology, LISP\-ALT
                    	**type**\:  :py:class:`Alt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Alt>`
                    
                    .. attribute:: control_packet
                    
                    	Configure control packet tx option
                    	**type**\:  :py:class:`ControlPacket <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.ControlPacket>`
                    
                    .. attribute:: ddt
                    
                    	Delegated Database Tree (DDT) mapping system
                    	**type**\:  :py:class:`Ddt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ddt>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: decapsulation
                    
                    	Decapsulation behavior (e.g. filters)
                    	**type**\:  :py:class:`Decapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Decapsulation>`
                    
                    .. attribute:: disable_ttl_propagate
                    
                    	Disable ttl propagation
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: etr
                    
                    	Configures a LISP Egress Tunnel Router (ETR)
                    	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Etr>`
                    
                    .. attribute:: ipv4
                    
                    	IPv4 address family
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4>`
                    
                    .. attribute:: ipv6
                    
                    	IPv6 address family
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6>`
                    
                    .. attribute:: loc_reach_algorithm
                    
                    	Configure locator reachability algorithm
                    	**type**\:  :py:class:`LocReachAlgorithm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm>`
                    
                    .. attribute:: locator_down
                    
                    	Manually set locator status to down
                    	**type**\:  :py:class:`LocatorDown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.LocatorDown>`
                    
                    .. attribute:: locator_table
                    
                    	Specify the RLOC table
                    	**type**\:  :py:class:`LocatorTable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.LocatorTable>`
                    
                    .. attribute:: map_request
                    
                    	Configure map\-request handling
                    	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapRequest>`
                    
                    .. attribute:: map_server
                    
                    	Map\-Server commands
                    	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapServer>`
                    
                    .. attribute:: other_xtr_probe
                    
                    	Configure parameters for probing of other xTRs in our site
                    	**type**\:  :py:class:`OtherXtrProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.OtherXtrProbe>`
                    
                    .. attribute:: remote_rloc_probe
                    
                    	Configure parameters for probing of remote RLOCs
                    	**type**\:  :py:class:`RemoteRlocProbe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.RemoteRlocProbe>`
                    
                    .. attribute:: map_cache
                    
                    	Configures static EID\-to\-RLOC mappings for an ITR
                    	**type**\: list of  		 :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapCache>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.EidTable.InstanceList, self).__init__()

                        self.yang_name = "instance-list"
                        self.yang_parent_name = "eid-table"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"alt" : ("alt", Native.Router.LispList.EidTable.InstanceList.Alt), "control-packet" : ("control_packet", Native.Router.LispList.EidTable.InstanceList.ControlPacket), "ddt" : ("ddt", Native.Router.LispList.EidTable.InstanceList.Ddt), "decapsulation" : ("decapsulation", Native.Router.LispList.EidTable.InstanceList.Decapsulation), "etr" : ("etr", Native.Router.LispList.EidTable.InstanceList.Etr), "ipv4" : ("ipv4", Native.Router.LispList.EidTable.InstanceList.Ipv4), "ipv6" : ("ipv6", Native.Router.LispList.EidTable.InstanceList.Ipv6), "loc-reach-algorithm" : ("loc_reach_algorithm", Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm), "locator-down" : ("locator_down", Native.Router.LispList.EidTable.InstanceList.LocatorDown), "locator-table" : ("locator_table", Native.Router.LispList.EidTable.InstanceList.LocatorTable), "map-request" : ("map_request", Native.Router.LispList.EidTable.InstanceList.MapRequest), "map-server" : ("map_server", Native.Router.LispList.EidTable.InstanceList.MapServer), "other-xtr-probe" : ("other_xtr_probe", Native.Router.LispList.EidTable.InstanceList.OtherXtrProbe), "remote-rloc-probe" : ("remote_rloc_probe", Native.Router.LispList.EidTable.InstanceList.RemoteRlocProbe)}
                        self._child_list_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.EidTable.InstanceList.DatabaseMapping), "dynamic-eid" : ("dynamic_eid", Native.Router.LispList.EidTable.InstanceList.DynamicEid), "map-cache" : ("map_cache", Native.Router.LispList.EidTable.InstanceList.MapCache)}

                        self.instance_id = YLeaf(YType.uint32, "instance-id")

                        self.vrf_name = YLeaf(YType.str, "vrf-name")

                        self.default = YLeaf(YType.empty, "default")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.disable_ttl_propagate = YLeaf(YType.empty, "disable-ttl-propagate")

                        self.alt = Native.Router.LispList.EidTable.InstanceList.Alt()
                        self.alt.parent = self
                        self._children_name_map["alt"] = "alt"
                        self._children_yang_names.add("alt")

                        self.control_packet = Native.Router.LispList.EidTable.InstanceList.ControlPacket()
                        self.control_packet.parent = self
                        self._children_name_map["control_packet"] = "control-packet"
                        self._children_yang_names.add("control-packet")

                        self.ddt = None
                        self._children_name_map["ddt"] = "ddt"
                        self._children_yang_names.add("ddt")

                        self.decapsulation = Native.Router.LispList.EidTable.InstanceList.Decapsulation()
                        self.decapsulation.parent = self
                        self._children_name_map["decapsulation"] = "decapsulation"
                        self._children_yang_names.add("decapsulation")

                        self.etr = Native.Router.LispList.EidTable.InstanceList.Etr()
                        self.etr.parent = self
                        self._children_name_map["etr"] = "etr"
                        self._children_yang_names.add("etr")

                        self.ipv4 = Native.Router.LispList.EidTable.InstanceList.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv6 = Native.Router.LispList.EidTable.InstanceList.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")

                        self.loc_reach_algorithm = Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm()
                        self.loc_reach_algorithm.parent = self
                        self._children_name_map["loc_reach_algorithm"] = "loc-reach-algorithm"
                        self._children_yang_names.add("loc-reach-algorithm")

                        self.locator_down = Native.Router.LispList.EidTable.InstanceList.LocatorDown()
                        self.locator_down.parent = self
                        self._children_name_map["locator_down"] = "locator-down"
                        self._children_yang_names.add("locator-down")

                        self.locator_table = Native.Router.LispList.EidTable.InstanceList.LocatorTable()
                        self.locator_table.parent = self
                        self._children_name_map["locator_table"] = "locator-table"
                        self._children_yang_names.add("locator-table")

                        self.map_request = Native.Router.LispList.EidTable.InstanceList.MapRequest()
                        self.map_request.parent = self
                        self._children_name_map["map_request"] = "map-request"
                        self._children_yang_names.add("map-request")

                        self.map_server = Native.Router.LispList.EidTable.InstanceList.MapServer()
                        self.map_server.parent = self
                        self._children_name_map["map_server"] = "map-server"
                        self._children_yang_names.add("map-server")

                        self.other_xtr_probe = Native.Router.LispList.EidTable.InstanceList.OtherXtrProbe()
                        self.other_xtr_probe.parent = self
                        self._children_name_map["other_xtr_probe"] = "other-xtr-probe"
                        self._children_yang_names.add("other-xtr-probe")

                        self.remote_rloc_probe = Native.Router.LispList.EidTable.InstanceList.RemoteRlocProbe()
                        self.remote_rloc_probe.parent = self
                        self._children_name_map["remote_rloc_probe"] = "remote-rloc-probe"
                        self._children_yang_names.add("remote-rloc-probe")

                        self.database_mapping = YList(self)
                        self.dynamic_eid = YList(self)
                        self.map_cache = YList(self)
                        self._segment_path = lambda: "instance-list" + "[instance-id='" + self.instance_id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList, ['instance_id', 'vrf_name', 'default', 'vrf', 'disable_ttl_propagate'], name, value)


                    class DatabaseMapping(Entity):
                        """
                        Configures Locator addresses for an ETR
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: locator_set
                        
                        	Use locators defined by locator\-set
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.DatabaseMapping, self).__init__()

                            self.yang_name = "database-mapping"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                            self.locator_set = YLeaf(YType.str, "locator-set")
                            self._segment_path = lambda: "database-mapping" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.DatabaseMapping, ['eid_prefix', 'locator_set'], name, value)


                    class DynamicEid(Entity):
                        """
                        Configure a dynamic EID
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: database_mapping
                        
                        	Configures EID\-prefix and locator\-set for dynamic\-EID
                        	**type**\: list of  		 :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.DatabaseMapping>`
                        
                        .. attribute:: eid_notify
                        
                        	Configure options for sending/receiving EID\-notify
                        	**type**\:  :py:class:`EidNotify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify>`
                        
                        .. attribute:: map_notify_group
                        
                        	Multicast group which to send map\-notifies to
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.DynamicEid, self).__init__()

                            self.yang_name = "dynamic-eid"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"eid-notify" : ("eid_notify", Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify)}
                            self._child_list_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.EidTable.InstanceList.DynamicEid.DatabaseMapping), "map-server" : ("map_server", Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer)}

                            self.name = YLeaf(YType.str, "name")

                            self.map_notify_group = YLeaf(YType.str, "map-notify-group")

                            self.eid_notify = Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify()
                            self.eid_notify.parent = self
                            self._children_name_map["eid_notify"] = "eid-notify"
                            self._children_yang_names.add("eid-notify")

                            self.database_mapping = YList(self)
                            self.map_server = YList(self)
                            self._segment_path = lambda: "dynamic-eid" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.DynamicEid, ['name', 'map_notify_group'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Configures EID\-prefix and locator\-set for dynamic\-EID
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            .. attribute:: locator_set
                            
                            	Use locators defined by locator\-set
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.DynamicEid.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "dynamic-eid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.locator_set = YLeaf(YType.str, "locator-set")
                                self._segment_path = lambda: "database-mapping" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.DynamicEid.DatabaseMapping, ['eid_prefix', 'locator_set'], name, value)


                        class EidNotify(Entity):
                            """
                            Configure options for sending/receiving EID\-notify
                            
                            .. attribute:: authentication_key
                            
                            	Authentication key used for validating received EID\-notify
                            	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey>`
                            
                            .. attribute:: gateway_key
                            
                            	
                            	**type**\: list of  		 :py:class:`GatewayKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify, self).__init__()

                                self.yang_name = "eid-notify"
                                self.yang_parent_name = "dynamic-eid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey)}
                                self._child_list_classes = {"gateway-key" : ("gateway_key", Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey)}

                                self.authentication_key = Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey()
                                self.authentication_key.parent = self
                                self._children_name_map["authentication_key"] = "authentication-key"
                                self._children_yang_names.add("authentication-key")

                                self.gateway_key = YList(self)
                                self._segment_path = lambda: "eid-notify"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify, [], name, value)


                            class AuthenticationKey(Entity):
                                """
                                Authentication key used for validating received EID\-notify
                                
                                .. attribute:: ak_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: ak_6
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                .. attribute:: unc_pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey, self).__init__()

                                    self.yang_name = "authentication-key"
                                    self.yang_parent_name = "eid-notify"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")
                                    self._segment_path = lambda: "authentication-key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.AuthenticationKey, ['ak_0', 'ak_6', 'unc_pwd'], name, value)


                            class GatewayKey(Entity):
                                """
                                
                                
                                .. attribute:: gateway_ip  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: ak_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: ak_6
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                .. attribute:: unc_pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: hash_function
                                
                                	EID\-notify authentication type
                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey.HashFunction>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey, self).__init__()

                                    self.yang_name = "gateway-key"
                                    self.yang_parent_name = "eid-notify"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.gateway_ip = YLeaf(YType.str, "gateway-ip")

                                    self.ak_0 = YLeaf(YType.str, "ak-0")

                                    self.ak_6 = YLeaf(YType.str, "ak-6")

                                    self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                    self._segment_path = lambda: "gateway-key" + "[gateway-ip='" + self.gateway_ip.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.DynamicEid.EidNotify.GatewayKey, ['gateway_ip', 'ak_0', 'ak_6', 'unc_pwd', 'hash_function'], name, value)

                                class HashFunction(Enum):
                                    """
                                    HashFunction

                                    EID\-notify authentication type

                                    .. data:: sha1 = 0

                                    .. data:: sha2 = 1

                                    """

                                    sha1 = Enum.YLeaf(0, "sha1")

                                    sha2 = Enum.YLeaf(1, "sha2")



                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: key
                            
                            	Authentication key used with map server
                            	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key>`
                            
                            .. attribute:: proxy_reply
                            
                            	Request Map\-Server to send Map\-Replies on behalf of site
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "dynamic-eid"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"key" : ("key", Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key)}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.str, "ip")

                                self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                self.key = Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key()
                                self.key.parent = self
                                self._children_name_map["key"] = "key"
                                self._children_yang_names.add("key")
                                self._segment_path = lambda: "map-server" + "[ip='" + self.ip.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer, ['ip', 'proxy_reply'], name, value)


                            class Key(Entity):
                                """
                                Authentication key used with map server
                                
                                .. attribute:: key_0
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: key_6
                                
                                	The ENCRYPTED password
                                	**type**\: str
                                
                                .. attribute:: key_7
                                
                                	The HIDDEN password
                                	**type**\: str
                                
                                .. attribute:: pwd
                                
                                	The UNENCRYPTED (cleartext) password
                                	**type**\: str
                                
                                .. attribute:: hash_function
                                
                                	Map\-Register authentication type
                                	**type**\:  :py:class:`HashFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key.HashFunction>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key, self).__init__()

                                    self.yang_name = "key"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.key_0 = YLeaf(YType.str, "key-0")

                                    self.key_6 = YLeaf(YType.str, "key-6")

                                    self.key_7 = YLeaf(YType.str, "key-7")

                                    self.pwd = YLeaf(YType.str, "pwd")

                                    self.hash_function = YLeaf(YType.enumeration, "hash-function")
                                    self._segment_path = lambda: "key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.DynamicEid.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd', 'hash_function'], name, value)

                                class HashFunction(Enum):
                                    """
                                    HashFunction

                                    Map\-Register authentication type

                                    .. data:: sha1 = 0

                                    .. data:: sha2 = 1

                                    """

                                    sha1 = Enum.YLeaf(0, "sha1")

                                    sha2 = Enum.YLeaf(1, "sha2")



                    class Alt(Entity):
                        """
                        LISP Alternative Topology, LISP\-ALT
                        
                        .. attribute:: summary_route
                        
                        	Summary route to install into the ALT table
                        	**type**\: list of  		 :py:class:`SummaryRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Alt.SummaryRoute>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.Alt, self).__init__()

                            self.yang_name = "alt"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"summary-route" : ("summary_route", Native.Router.LispList.EidTable.InstanceList.Alt.SummaryRoute)}

                            self.summary_route = YList(self)
                            self._segment_path = lambda: "alt"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Alt, [], name, value)


                        class SummaryRoute(Entity):
                            """
                            Summary route to install into the ALT table
                            
                            .. attribute:: eid_prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: route_tag
                            
                            	ALT RIB route tag for EID prefix
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Alt.SummaryRoute, self).__init__()

                                self.yang_name = "summary-route"
                                self.yang_parent_name = "alt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "summary-route" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Alt.SummaryRoute, ['eid_prefix', 'route_tag'], name, value)


                    class ControlPacket(Entity):
                        """
                        Configure control packet tx option
                        
                        .. attribute:: mtu
                        
                        	Configure control packet MTU
                        	**type**\: int
                        
                        	**range:** 304..10000
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.ControlPacket, self).__init__()

                            self.yang_name = "control-packet"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.mtu = YLeaf(YType.uint32, "mtu")
                            self._segment_path = lambda: "control-packet"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.ControlPacket, ['mtu'], name, value)


                    class Ddt(Entity):
                        """
                        Delegated Database Tree (DDT) mapping system
                        
                        .. attribute:: authoritative
                        
                        	DDT authoritative prefix
                        	**type**\:  :py:class:`Authoritative <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative>`
                        
                        .. attribute:: cache_limit
                        
                        	DDT resolver cache entry limit
                        	**type**\: int
                        
                        	**range:** 1..100000
                        
                        .. attribute:: root
                        
                        	DDT root node
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.Ddt, self).__init__()

                            self.yang_name = "ddt"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authoritative" : ("authoritative", Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cache_limit = YLeaf(YType.uint32, "cache-limit")

                            self.root = YLeaf(YType.str, "root")

                            self.authoritative = Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative()
                            self.authoritative.parent = self
                            self._children_name_map["authoritative"] = "authoritative"
                            self._children_yang_names.add("authoritative")
                            self._segment_path = lambda: "ddt"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ddt, ['cache_limit', 'root'], name, value)


                        class Authoritative(Entity):
                            """
                            DDT authoritative prefix
                            
                            .. attribute:: instance_id_eid_prefix_list
                            
                            	
                            	**type**\: list of  		 :py:class:`InstanceIdEidPrefixList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList>`
                            
                            .. attribute:: instance_id_list
                            
                            	
                            	**type**\: list of  		 :py:class:`InstanceIdList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative, self).__init__()

                                self.yang_name = "authoritative"
                                self.yang_parent_name = "ddt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"instance-id-eid-prefix-list" : ("instance_id_eid_prefix_list", Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList), "instance-id-list" : ("instance_id_list", Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList)}

                                self.instance_id_eid_prefix_list = YList(self)
                                self.instance_id_list = YList(self)
                                self._segment_path = lambda: "authoritative"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative, [], name, value)


                            class InstanceIdEidPrefixList(Entity):
                                """
                                
                                
                                .. attribute:: instance_id  <key>
                                
                                	EID instance\-ID
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: eid_prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: delegate
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate>`
                                
                                .. attribute:: map_server_peer
                                
                                	Peer map\-servers that are authoritative for the same EID prefixes
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList, self).__init__()

                                    self.yang_name = "instance-id-eid-prefix-list"
                                    self.yang_parent_name = "authoritative"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"delegate" : ("delegate", Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate)}
                                    self._child_list_classes = {}

                                    self.instance_id = YLeaf(YType.uint32, "instance-id")

                                    self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                    self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                                    self.delegate = Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate()
                                    self.delegate.parent = self
                                    self._children_name_map["delegate"] = "delegate"
                                    self._children_yang_names.add("delegate")
                                    self._segment_path = lambda: "instance-id-eid-prefix-list" + "[instance-id='" + self.instance_id.get() + "']" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList, ['instance_id', 'eid_prefix', 'map_server_peer'], name, value)


                                class Delegate(Entity):
                                    """
                                    DDT delegation to a child DDT node or map\-server
                                    
                                    .. attribute:: eid_prefix
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: instance_id
                                    
                                    	EID instance\-ID
                                    	**type**\: str
                                    
                                    .. attribute:: to
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip_address
                                    
                                    	IPv4/6 Child or map\-server node locator address
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: map_server
                                    
                                    	Delegation points to a map\-server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, self).__init__()

                                        self.yang_name = "delegate"
                                        self.yang_parent_name = "instance-id-eid-prefix-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.instance_id = YLeaf(YType.str, "instance-id")

                                        self.to = YLeaf(YType.empty, "to")

                                        self.ip_address = YLeaf(YType.str, "ip-address")

                                        self.map_server = YLeaf(YType.empty, "map-server")
                                        self._segment_path = lambda: "delegate"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdEidPrefixList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                            class InstanceIdList(Entity):
                                """
                                
                                
                                .. attribute:: instance_id  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: delegate
                                
                                	DDT delegation to a child DDT node or map\-server
                                	**type**\:  :py:class:`Delegate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate>`
                                
                                .. attribute:: map_server_peer
                                
                                	Peer map\-servers that are authoritative for the same EID prefixes
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList, self).__init__()

                                    self.yang_name = "instance-id-list"
                                    self.yang_parent_name = "authoritative"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"delegate" : ("delegate", Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate)}
                                    self._child_list_classes = {}

                                    self.instance_id = YLeaf(YType.str, "instance-id")

                                    self.map_server_peer = YLeaf(YType.str, "map-server-peer")

                                    self.delegate = Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate()
                                    self.delegate.parent = self
                                    self._children_name_map["delegate"] = "delegate"
                                    self._children_yang_names.add("delegate")
                                    self._segment_path = lambda: "instance-id-list" + "[instance-id='" + self.instance_id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList, ['instance_id', 'map_server_peer'], name, value)


                                class Delegate(Entity):
                                    """
                                    DDT delegation to a child DDT node or map\-server
                                    
                                    .. attribute:: eid_prefix
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: instance_id
                                    
                                    	EID instance\-ID
                                    	**type**\: str
                                    
                                    .. attribute:: to
                                    
                                    	DDT delegation to a child DDT node or map\-server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: ip_address
                                    
                                    	IPv4/6 Child or map\-server node locator address
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    		**type**\: str
                                    
                                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: map_server
                                    
                                    	Delegation points to a map\-server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate, self).__init__()

                                        self.yang_name = "delegate"
                                        self.yang_parent_name = "instance-id-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                                        self.instance_id = YLeaf(YType.str, "instance-id")

                                        self.to = YLeaf(YType.empty, "to")

                                        self.ip_address = YLeaf(YType.str, "ip-address")

                                        self.map_server = YLeaf(YType.empty, "map-server")
                                        self._segment_path = lambda: "delegate"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ddt.Authoritative.InstanceIdList.Delegate, ['eid_prefix', 'instance_id', 'to', 'ip_address', 'map_server'], name, value)


                    class Decapsulation(Entity):
                        """
                        Decapsulation behavior (e.g. filters)
                        
                        .. attribute:: filter
                        
                        	Filters traffic
                        	**type**\:  :py:class:`Filter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.Decapsulation, self).__init__()

                            self.yang_name = "decapsulation"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"filter" : ("filter", Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter)}
                            self._child_list_classes = {}

                            self.filter = Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter()
                            self.filter.parent = self
                            self._children_name_map["filter"] = "filter"
                            self._children_yang_names.add("filter")
                            self._segment_path = lambda: "decapsulation"


                        class Filter(Entity):
                            """
                            Filters traffic
                            
                            .. attribute:: rloc
                            
                            	Filter based on Routing Locator (RLOC) in packet header
                            	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter, self).__init__()

                                self.yang_name = "filter"
                                self.yang_parent_name = "decapsulation"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc)}
                                self._child_list_classes = {}

                                self.rloc = Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc()
                                self.rloc.parent = self
                                self._children_name_map["rloc"] = "rloc"
                                self._children_yang_names.add("rloc")
                                self._segment_path = lambda: "filter"


                            class Rloc(Entity):
                                """
                                Filter based on Routing Locator (RLOC) in packet header
                                
                                .. attribute:: source
                                
                                	Filters traffic based on RLOC source address
                                	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc, self).__init__()

                                    self.yang_name = "rloc"
                                    self.yang_parent_name = "filter"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"source" : ("source", Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source)}
                                    self._child_list_classes = {}

                                    self.source = Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source()
                                    self.source.parent = self
                                    self._children_name_map["source"] = "source"
                                    self._children_yang_names.add("source")
                                    self._segment_path = lambda: "rloc"


                                class Source(Entity):
                                    """
                                    Filters traffic based on RLOC source address
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator\-set Name
                                    	**type**\: str
                                    
                                    .. attribute:: member
                                    
                                    	Members learned from map\-server
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source, self).__init__()

                                        self.yang_name = "source"
                                        self.yang_parent_name = "rloc"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.locator_set = YLeaf(YType.str, "locator-set")

                                        self.member = YLeaf(YType.empty, "member")
                                        self._segment_path = lambda: "source"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Decapsulation.Filter.Rloc.Source, ['locator_set', 'member'], name, value)


                    class Etr(Entity):
                        """
                        Configures a LISP Egress Tunnel Router (ETR)
                        
                        .. attribute:: map_server
                        
                        	Configures map server for ETR registration
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Etr.MapServer>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.Etr, self).__init__()

                            self.yang_name = "etr"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"map-server" : ("map_server", Native.Router.LispList.EidTable.InstanceList.Etr.MapServer)}
                            self._child_list_classes = {}

                            self.map_server = Native.Router.LispList.EidTable.InstanceList.Etr.MapServer()
                            self.map_server.parent = self
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")
                            self._segment_path = lambda: "etr"


                        class MapServer(Entity):
                            """
                            Configures map server for ETR registration
                            
                            .. attribute:: source_address
                            
                            	Configures map server source address
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Etr.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "etr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.source_address = YLeaf(YType.str, "source-address")
                                self._segment_path = lambda: "map-server"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Etr.MapServer, ['source_address'], name, value)


                    class Ipv4(Entity):
                        """
                        IPv4 address family
                        
                        .. attribute:: alt_vrf
                        
                        	Activate LISP\-ALT functionality in VRF
                        	**type**\: str
                        
                        	**status**\: deprecated
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Distance>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.ItrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.EtrEnable>`
                        
                        .. attribute:: locator
                        
                        	Locator related configuration
                        	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: path_mtu_discovery
                        
                        	Path MTU discovery
                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.PathMtuDiscovery>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\: union of the below types:
                        
                        		**type**\: list of str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: list of str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteExport>`
                        
                        .. attribute:: route_import
                        
                        	Import RIB routes by a routing protocol into LISP
                        	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.UsePetr>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping), "distance" : ("distance", Native.Router.LispList.EidTable.InstanceList.Ipv4.Distance), "itr" : ("itr", Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.EidTable.InstanceList.Ipv4.ItrEnable), "etr" : ("etr", Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr), "etr-enable" : ("etr_enable", Native.Router.LispList.EidTable.InstanceList.Ipv4.EtrEnable), "locator" : ("locator", Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator), "map-cache" : ("map_cache", Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver), "map-server" : ("map_server", Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.LispList.EidTable.InstanceList.Ipv4.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteExport), "route-import" : ("route_import", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport), "site-registration" : ("site_registration", Native.Router.LispList.EidTable.InstanceList.Ipv4.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.EidTable.InstanceList.Ipv4.SolicitMapRequest)}
                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.EidTable.InstanceList.Ipv4.UsePetr)}

                            self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                            self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                            self.sgt = YLeaf(YType.empty, "sgt")

                            self.database_mapping = Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.distance = Native.Router.LispList.EidTable.InstanceList.Ipv4.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.itr = Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.LispList.EidTable.InstanceList.Ipv4.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr = Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.etr_enable = Native.Router.LispList.EidTable.InstanceList.Ipv4.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.locator = Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator()
                            self.locator.parent = self
                            self._children_name_map["locator"] = "locator"
                            self._children_yang_names.add("locator")

                            self.map_cache = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")

                            self.map_cache_limit = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_cache_persistent = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                            self._children_yang_names.add("map-cache-persistent")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.path_mtu_discovery = None
                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                            self._children_yang_names.add("path-mtu-discovery")

                            self.route_export = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteExport()
                            self.route_export.parent = self
                            self._children_name_map["route_export"] = "route-export"
                            self._children_yang_names.add("route-export")

                            self.route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport()
                            self.route_import.parent = self
                            self._children_name_map["route_import"] = "route-import"
                            self._children_yang_names.add("route-import")

                            self.site_registration = Native.Router.LispList.EidTable.InstanceList.Ipv4.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.LispList.EidTable.InstanceList.Ipv4.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")

                            self.use_petr = YList(self)
                            self._segment_path = lambda: "ipv4"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Distance(Entity):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.alt = YLeaf(YType.uint8, "alt")

                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.ItrEnable, ['itr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer)}

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr, [], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: key_7
                                    
                                    	The HIDDEN password
                                    	**type**\: str
                                    
                                    .. attribute:: pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.key_0 = YLeaf(YType.str, "key-0")

                                        self.key_6 = YLeaf(YType.str, "key-6")

                                        self.key_7 = YLeaf(YType.str, "key-7")

                                        self.pwd = YLeaf(YType.str, "pwd")
                                        self._segment_path = lambda: "key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.EtrEnable, ['etr'], name, value)


                        class Locator(Entity):
                            """
                            Locator related configuration
                            
                            .. attribute:: reachability
                            
                            	Configuration realted to locator reachability
                            	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator.Reachability>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator, self).__init__()

                                self.yang_name = "locator"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"reachability" : ("reachability", Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator.Reachability)}
                                self._child_list_classes = {}

                                self.reachability = Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator.Reachability()
                                self.reachability.parent = self
                                self._children_name_map["reachability"] = "reachability"
                                self._children_yang_names.add("reachability")
                                self._segment_path = lambda: "locator"


                            class Reachability(Entity):
                                """
                                Configuration realted to locator reachability
                                
                                .. attribute:: exclude_default
                                
                                	If a remote RLOC is reached via the default route, treat it as unreachable
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator.Reachability, self).__init__()

                                    self.yang_name = "reachability"
                                    self.yang_parent_name = "locator"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.exclude_default = YLeaf(YType.empty, "exclude-default")
                                    self._segment_path = lambda: "reachability"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.Locator.Reachability, ['exclude_default'], name, value)


                        class MapCache(Entity):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registration = YLeaf(YType.empty, "site-registration")
                                self._segment_path = lambda: "map-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCache, ['site_registration'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapCachePersistent(Entity):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCachePersistent, self).__init__()

                                self.yang_name = "map-cache-persistent"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")
                                self._segment_path = lambda: "map-cache-persistent"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapCachePersistent, ['interval'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.list = YLeaf(YType.empty, "list")

                                            self.registered = YLeaf(YType.empty, "registered")

                                            self.ipv4 = YLeaf(YType.str, "ipv4")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class PathMtuDiscovery(Entity):
                            """
                            Path MTU discovery
                            
                            .. attribute:: max
                            
                            	Upper bound on the path MTU accepted
                            	**type**\: int
                            
                            	**range:** 68..65535
                            
                            .. attribute:: min
                            
                            	Lower bound on the path MTU accepted
                            	**type**\: int
                            
                            	**range:** 68..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.PathMtuDiscovery, self).__init__()

                                self.yang_name = "path-mtu-discovery"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.max = YLeaf(YType.uint16, "max")

                                self.min = YLeaf(YType.uint16, "min")
                                self._segment_path = lambda: "path-mtu-discovery"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.PathMtuDiscovery, ['max', 'min'], name, value)


                        class RouteExport(Entity):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteExport, self).__init__()

                                self.yang_name = "route-export"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                self._segment_path = lambda: "route-export"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteExport, ['site_registrations', 'away_eids'], name, value)


                        class RouteImport(Entity):
                            """
                            Import RIB routes by a routing protocol into LISP
                            
                            .. attribute:: database
                            
                            	Use RIB routes to define local EID database entries
                            	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database>`
                            
                            .. attribute:: map_cache
                            
                            	Use RIB routes to define EID address space in map\-cache
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport, self).__init__()

                                self.yang_name = "route-import"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database" : ("database", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache)}
                                self._child_list_classes = {}

                                self.database = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database()
                                self.database.parent = self
                                self._children_name_map["database"] = "database"
                                self._children_yang_names.add("database")

                                self.map_cache = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")
                                self._segment_path = lambda: "route-import"


                            class Database(Entity):
                                """
                                Use RIB routes to define local EID database entries
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected>`
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip>`
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database, self).__init__()

                                    self.yang_name = "database"
                                    self.yang_parent_name = "route-import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip), "static" : ("static", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static)}
                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3)}

                                    self.connected = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected()
                                    self.connected.parent = self
                                    self._children_name_map["connected"] = "connected"
                                    self._children_yang_names.add("connected")

                                    self.maximum_prefix = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                    self._children_yang_names.add("maximum-prefix")

                                    self.rip = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip()
                                    self.rip.parent = self
                                    self._children_name_map["rip"] = "rip"
                                    self._children_yang_names.add("rip")

                                    self.static = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static()
                                    self.static.parent = self
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")

                                    self.bgp = YList(self)
                                    self.eigrp = YList(self)
                                    self.isis = YList(self)
                                    self.ospf = YList(self)
                                    self.ospfv3 = YList(self)
                                    self._segment_path = lambda: "database"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database, [], name, value)


                                class Bgp(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Connected(Entity):
                                    """
                                    Connected
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected, self).__init__()

                                        self.yang_name = "connected"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "connected"


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "connected"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "eigrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Isis(Entity):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis, self).__init__()

                                        self.yang_name = "isis"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class MaximumPrefix(Entity):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix, self).__init__()

                                        self.yang_name = "maximum-prefix"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.int32, "number")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                        self._segment_path = lambda: "maximum-prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Ospfv3(Entity):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3, self).__init__()

                                        self.yang_name = "ospfv3"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "ospfv3"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Rip(Entity):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip, self).__init__()

                                        self.yang_name = "rip"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "rip"


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "rip"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Static(Entity):
                                    """
                                    Static routes
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "static"


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class MapCache(Entity):
                                """
                                Use RIB routes to define EID address space in map\-cache
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "route-import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static)}
                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3)}

                                    self.connected = None
                                    self._children_name_map["connected"] = "connected"
                                    self._children_yang_names.add("connected")

                                    self.maximum_prefix = Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                    self._children_yang_names.add("maximum-prefix")

                                    self.rip = None
                                    self._children_name_map["rip"] = "rip"
                                    self._children_yang_names.add("rip")

                                    self.static = None
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")

                                    self.bgp = YList(self)
                                    self.eigrp = YList(self)
                                    self.isis = YList(self)
                                    self.ospf = YList(self)
                                    self.ospfv3 = YList(self)
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache, [], name, value)


                                class Bgp(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                class Connected(Entity):
                                    """
                                    Connected
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected, self).__init__()

                                        self.yang_name = "connected"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "connected"


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "connected"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "eigrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                class Isis(Entity):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis, self).__init__()

                                        self.yang_name = "isis"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                class MaximumPrefix(Entity):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                        self.yang_name = "maximum-prefix"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.int32, "number")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                        self._segment_path = lambda: "maximum-prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                class Ospfv3(Entity):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3, self).__init__()

                                        self.yang_name = "ospfv3"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "ospfv3"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                                class Rip(Entity):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip, self).__init__()

                                        self.yang_name = "rip"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "rip"


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "rip"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class Static(Entity):
                                    """
                                    Static routes
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "static"


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations for a given instance\-id
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class UsePetr(Entity):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Configures which Locators from a set are preferred
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv4.UsePetr, self).__init__()

                                self.yang_name = "use-petr"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.locator_address = YLeaf(YType.str, "locator-address")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.weight = YLeaf(YType.uint8, "weight")
                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv4.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


                    class Ipv6(Entity):
                        """
                        IPv6 address family
                        
                        .. attribute:: alt_vrf
                        
                        	Activate LISP\-ALT functionality in VRF
                        	**type**\: str
                        
                        	**status**\: deprecated
                        
                        .. attribute:: database_mapping
                        
                        	Address family specific local EID prefixes database configuration
                        	**type**\:  :py:class:`DatabaseMapping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping>`
                        
                        .. attribute:: distance
                        
                        	Administrative distance for RIB route installation
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Distance>`
                        
                        .. attribute:: itr
                        
                        	Configures a LISP Ingress Tunnel Router (ITR)
                        	**type**\:  :py:class:`Itr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr>`
                        
                        .. attribute:: itr_enable
                        
                        	
                        	**type**\:  :py:class:`ItrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.ItrEnable>`
                        
                        .. attribute:: etr
                        
                        	Configures a LISP Egress Tunnel Router (ETR)
                        	**type**\:  :py:class:`Etr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr>`
                        
                        .. attribute:: etr_enable
                        
                        	
                        	**type**\:  :py:class:`EtrEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.EtrEnable>`
                        
                        .. attribute:: locator
                        
                        	Locator related configuration
                        	**type**\:  :py:class:`Locator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator>`
                        
                        .. attribute:: map_cache
                        
                        	Address family specific map cache configuration
                        	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCache>`
                        
                        .. attribute:: map_cache_limit
                        
                        	Configures maximum size of map\-cache
                        	**type**\:  :py:class:`MapCacheLimit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCacheLimit>`
                        
                        .. attribute:: map_cache_persistent
                        
                        	Dump map\-cache onto flash, making it persistent across reboots
                        	**type**\:  :py:class:`MapCachePersistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCachePersistent>`
                        
                        .. attribute:: map_request_source
                        
                        	Configures inner header source address in Map\-Request message
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: map_resolver
                        
                        	Configures a LISP Map Resolver (MR)
                        	**type**\:  :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: map_server
                        
                        	Configures a LISP Map Server (MS)
                        	**type**\:  :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: path_mtu_discovery
                        
                        	Path MTU discovery
                        	**type**\:  :py:class:`PathMtuDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.PathMtuDiscovery>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: proxy_etr
                        
                        	Configures a LISP Proxy Engress Tunnel Router (PETR)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: proxy_itr
                        
                        	Configures a LISP Proxy Ingress Tunnel Router (PITR)
                        	**type**\: union of the below types:
                        
                        		**type**\: list of str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: list of str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: route_export
                        
                        	Export routes into RIB from LISP
                        	**type**\:  :py:class:`RouteExport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteExport>`
                        
                        .. attribute:: route_import
                        
                        	Import RIB routes by a routing protocol into LISP
                        	**type**\:  :py:class:`RouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport>`
                        
                        .. attribute:: sgt
                        
                        	Enable security group tag propagation in LISP encapsulated traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: site_registration
                        
                        	Site registrations configuration for a given instance\-id
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.SiteRegistration>`
                        
                        .. attribute:: solicit_map_request
                        
                        	Configure Solicit\-Map\-Request handling
                        	**type**\:  :py:class:`SolicitMapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.SolicitMapRequest>`
                        
                        .. attribute:: use_petr
                        
                        	Encapsulate to Proxy ETR when matching forward\-native entry
                        	**type**\: list of  		 :py:class:`UsePetr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.UsePetr>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"database-mapping" : ("database_mapping", Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping), "distance" : ("distance", Native.Router.LispList.EidTable.InstanceList.Ipv6.Distance), "itr" : ("itr", Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr), "itr-enable" : ("itr_enable", Native.Router.LispList.EidTable.InstanceList.Ipv6.ItrEnable), "etr" : ("etr", Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr), "etr-enable" : ("etr_enable", Native.Router.LispList.EidTable.InstanceList.Ipv6.EtrEnable), "locator" : ("locator", Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator), "map-cache" : ("map_cache", Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCache), "map-cache-limit" : ("map_cache_limit", Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCacheLimit), "map-cache-persistent" : ("map_cache_persistent", Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCachePersistent), "map-resolver" : ("map_resolver", Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver), "map-server" : ("map_server", Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer), "path-mtu-discovery" : ("path_mtu_discovery", Native.Router.LispList.EidTable.InstanceList.Ipv6.PathMtuDiscovery), "route-export" : ("route_export", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteExport), "route-import" : ("route_import", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport), "site-registration" : ("site_registration", Native.Router.LispList.EidTable.InstanceList.Ipv6.SiteRegistration), "solicit-map-request" : ("solicit_map_request", Native.Router.LispList.EidTable.InstanceList.Ipv6.SolicitMapRequest)}
                            self._child_list_classes = {"use-petr" : ("use_petr", Native.Router.LispList.EidTable.InstanceList.Ipv6.UsePetr)}

                            self.alt_vrf = YLeaf(YType.str, "alt-vrf")

                            self.map_request_source = YLeaf(YType.str, "map-request-source")

                            self.proxy_etr = YLeaf(YType.empty, "proxy-etr")

                            self.proxy_itr = YLeafList(YType.str, "proxy-itr")

                            self.sgt = YLeaf(YType.empty, "sgt")

                            self.database_mapping = Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping()
                            self.database_mapping.parent = self
                            self._children_name_map["database_mapping"] = "database-mapping"
                            self._children_yang_names.add("database-mapping")

                            self.distance = Native.Router.LispList.EidTable.InstanceList.Ipv6.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.itr = Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr()
                            self.itr.parent = self
                            self._children_name_map["itr"] = "itr"
                            self._children_yang_names.add("itr")

                            self.itr_enable = Native.Router.LispList.EidTable.InstanceList.Ipv6.ItrEnable()
                            self.itr_enable.parent = self
                            self._children_name_map["itr_enable"] = "itr-enable"
                            self._children_yang_names.add("itr-enable")

                            self.etr = Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr()
                            self.etr.parent = self
                            self._children_name_map["etr"] = "etr"
                            self._children_yang_names.add("etr")

                            self.etr_enable = Native.Router.LispList.EidTable.InstanceList.Ipv6.EtrEnable()
                            self.etr_enable.parent = self
                            self._children_name_map["etr_enable"] = "etr-enable"
                            self._children_yang_names.add("etr-enable")

                            self.locator = Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator()
                            self.locator.parent = self
                            self._children_name_map["locator"] = "locator"
                            self._children_yang_names.add("locator")

                            self.map_cache = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCache()
                            self.map_cache.parent = self
                            self._children_name_map["map_cache"] = "map-cache"
                            self._children_yang_names.add("map-cache")

                            self.map_cache_limit = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCacheLimit()
                            self.map_cache_limit.parent = self
                            self._children_name_map["map_cache_limit"] = "map-cache-limit"
                            self._children_yang_names.add("map-cache-limit")

                            self.map_cache_persistent = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCachePersistent()
                            self.map_cache_persistent.parent = self
                            self._children_name_map["map_cache_persistent"] = "map-cache-persistent"
                            self._children_yang_names.add("map-cache-persistent")

                            self.map_resolver = None
                            self._children_name_map["map_resolver"] = "map-resolver"
                            self._children_yang_names.add("map-resolver")

                            self.map_server = None
                            self._children_name_map["map_server"] = "map-server"
                            self._children_yang_names.add("map-server")

                            self.path_mtu_discovery = None
                            self._children_name_map["path_mtu_discovery"] = "path-mtu-discovery"
                            self._children_yang_names.add("path-mtu-discovery")

                            self.route_export = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteExport()
                            self.route_export.parent = self
                            self._children_name_map["route_export"] = "route-export"
                            self._children_yang_names.add("route-export")

                            self.route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport()
                            self.route_import.parent = self
                            self._children_name_map["route_import"] = "route-import"
                            self._children_yang_names.add("route-import")

                            self.site_registration = Native.Router.LispList.EidTable.InstanceList.Ipv6.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")

                            self.solicit_map_request = Native.Router.LispList.EidTable.InstanceList.Ipv6.SolicitMapRequest()
                            self.solicit_map_request.parent = self
                            self._children_name_map["solicit_map_request"] = "solicit-map-request"
                            self._children_yang_names.add("solicit-map-request")

                            self.use_petr = YList(self)
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6, ['alt_vrf', 'map_request_source', 'proxy_etr', 'proxy_itr', 'sgt'], name, value)


                        class DatabaseMapping(Entity):
                            """
                            Address family specific local EID prefixes database configuration
                            
                            .. attribute:: limit
                            
                            	Configures the maximum size of local EID prefixes database
                            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping, self).__init__()

                                self.yang_name = "database-mapping"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"limit" : ("limit", Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit)}
                                self._child_list_classes = {}

                                self.limit = Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit()
                                self.limit.parent = self
                                self._children_name_map["limit"] = "limit"
                                self._children_yang_names.add("limit")
                                self._segment_path = lambda: "database-mapping"


                            class Limit(Entity):
                                """
                                Configures the maximum size of local EID prefixes database
                                
                                .. attribute:: dynamic
                                
                                	Configures the maximum size of dynamic local EID prefixes database
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: warning_threshold
                                
                                	Send warning message to syslog when the database\-mapping dynamic sizereaches this percentage of the limit
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit, self).__init__()

                                    self.yang_name = "limit"
                                    self.yang_parent_name = "database-mapping"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.dynamic = YLeaf(YType.uint32, "dynamic")

                                    self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                    self._segment_path = lambda: "limit"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.DatabaseMapping.Limit, ['dynamic', 'warning_threshold'], name, value)


                        class Distance(Entity):
                            """
                            Administrative distance for RIB route installation
                            
                            .. attribute:: alt
                            
                            	LISP routes installed in the ALT table
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: dyn_eid
                            
                            	LISP installed routes of type dynamic\-EID
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: site_registrations
                            
                            	LISP installed routes of type site\-registrations
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.alt = YLeaf(YType.uint8, "alt")

                                self.dyn_eid = YLeaf(YType.uint8, "dyn-eid")

                                self.site_registrations = YLeaf(YType.uint8, "site-registrations")
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.Distance, ['alt', 'dyn_eid', 'site_registrations'], name, value)


                        class Itr(Entity):
                            """
                            Configures a LISP Ingress Tunnel Router (ITR)
                            
                            .. attribute:: map_resolver
                            
                            	Configures map\-resolver address for sending Map\-Requests
                            	**type**\: list of  		 :py:class:`MapResolver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr.MapResolver>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr, self).__init__()

                                self.yang_name = "itr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-resolver" : ("map_resolver", Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr.MapResolver)}

                                self.map_resolver = YList(self)
                                self._segment_path = lambda: "itr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr, [], name, value)


                            class MapResolver(Entity):
                                """
                                Configures map\-resolver address for sending Map\-Requests
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr.MapResolver, self).__init__()

                                    self.yang_name = "map-resolver"
                                    self.yang_parent_name = "itr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")
                                    self._segment_path = lambda: "map-resolver" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.Itr.MapResolver, ['ip_addr'], name, value)


                        class ItrEnable(Entity):
                            """
                            
                            
                            .. attribute:: itr
                            
                            	Configures a LISP Ingress Tunnel Router (ITR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.ItrEnable, self).__init__()

                                self.yang_name = "itr-enable"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.itr = YLeaf(YType.empty, "itr")
                                self._segment_path = lambda: "itr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.ItrEnable, ['itr'], name, value)


                        class Etr(Entity):
                            """
                            Configures a LISP Egress Tunnel Router (ETR)
                            
                            .. attribute:: map_server
                            
                            	Configures map server for ETR registration
                            	**type**\: list of  		 :py:class:`MapServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr, self).__init__()

                                self.yang_name = "etr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"map-server" : ("map_server", Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer)}

                                self.map_server = YList(self)
                                self._segment_path = lambda: "etr"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr, [], name, value)


                            class MapServer(Entity):
                                """
                                Configures map server for ETR registration
                                
                                .. attribute:: ip_addr  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: key
                                
                                	Authentication key used with map server
                                	**type**\:  :py:class:`Key <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer.Key>`
                                
                                .. attribute:: proxy_reply
                                
                                	Request Map\-Server to send Map\-Replies on behalf of site
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer, self).__init__()

                                    self.yang_name = "map-server"
                                    self.yang_parent_name = "etr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"key" : ("key", Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer.Key)}
                                    self._child_list_classes = {}

                                    self.ip_addr = YLeaf(YType.str, "ip-addr")

                                    self.proxy_reply = YLeaf(YType.empty, "proxy-reply")

                                    self.key = Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer.Key()
                                    self.key.parent = self
                                    self._children_name_map["key"] = "key"
                                    self._children_yang_names.add("key")
                                    self._segment_path = lambda: "map-server" + "[ip-addr='" + self.ip_addr.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer, ['ip_addr', 'proxy_reply'], name, value)


                                class Key(Entity):
                                    """
                                    Authentication key used with map server
                                    
                                    .. attribute:: key_0
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    .. attribute:: key_6
                                    
                                    	The ENCRYPTED password
                                    	**type**\: str
                                    
                                    .. attribute:: key_7
                                    
                                    	The HIDDEN password
                                    	**type**\: str
                                    
                                    .. attribute:: pwd
                                    
                                    	The UNENCRYPTED (cleartext) password
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer.Key, self).__init__()

                                        self.yang_name = "key"
                                        self.yang_parent_name = "map-server"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.key_0 = YLeaf(YType.str, "key-0")

                                        self.key_6 = YLeaf(YType.str, "key-6")

                                        self.key_7 = YLeaf(YType.str, "key-7")

                                        self.pwd = YLeaf(YType.str, "pwd")
                                        self._segment_path = lambda: "key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.Etr.MapServer.Key, ['key_0', 'key_6', 'key_7', 'pwd'], name, value)


                        class EtrEnable(Entity):
                            """
                            
                            
                            .. attribute:: etr
                            
                            	Configures a LISP Egress Tunnel Router (ETR)
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.EtrEnable, self).__init__()

                                self.yang_name = "etr-enable"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr = YLeaf(YType.empty, "etr")
                                self._segment_path = lambda: "etr-enable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.EtrEnable, ['etr'], name, value)


                        class Locator(Entity):
                            """
                            Locator related configuration
                            
                            .. attribute:: reachability
                            
                            	Configuration realted to locator reachability
                            	**type**\:  :py:class:`Reachability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator.Reachability>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator, self).__init__()

                                self.yang_name = "locator"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"reachability" : ("reachability", Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator.Reachability)}
                                self._child_list_classes = {}

                                self.reachability = Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator.Reachability()
                                self.reachability.parent = self
                                self._children_name_map["reachability"] = "reachability"
                                self._children_yang_names.add("reachability")
                                self._segment_path = lambda: "locator"


                            class Reachability(Entity):
                                """
                                Configuration realted to locator reachability
                                
                                .. attribute:: exclude_default
                                
                                	If a remote RLOC is reached via the default route, treat it as unreachable
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator.Reachability, self).__init__()

                                    self.yang_name = "reachability"
                                    self.yang_parent_name = "locator"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.exclude_default = YLeaf(YType.empty, "exclude-default")
                                    self._segment_path = lambda: "reachability"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.Locator.Reachability, ['exclude_default'], name, value)


                        class MapCache(Entity):
                            """
                            Address family specific map cache configuration
                            
                            .. attribute:: site_registration
                            
                            	Install map cache to map request for site registrations
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCache, self).__init__()

                                self.yang_name = "map-cache"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registration = YLeaf(YType.empty, "site-registration")
                                self._segment_path = lambda: "map-cache"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCache, ['site_registration'], name, value)


                        class MapCacheLimit(Entity):
                            """
                            Configures maximum size of map\-cache
                            
                            .. attribute:: max_map_cache_entries
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..100000
                            
                            .. attribute:: reserve_list
                            
                            	EID\-prefixes guaranteed to be stored in map\-cache
                            	**type**\: str
                            
                            .. attribute:: warning_threshold
                            
                            	Send warning message to syslog when the map\-cache size reaches this percentage of the limit
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCacheLimit, self).__init__()

                                self.yang_name = "map-cache-limit"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.max_map_cache_entries = YLeaf(YType.uint32, "max-map-cache-entries")

                                self.reserve_list = YLeaf(YType.str, "reserve-list")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "map-cache-limit"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCacheLimit, ['max_map_cache_entries', 'reserve_list', 'warning_threshold'], name, value)


                        class MapCachePersistent(Entity):
                            """
                            Dump map\-cache onto flash, making it persistent across reboots
                            
                            .. attribute:: interval
                            
                            	Interval in minutes of how often the map\-cache is saved
                            	**type**\: int
                            
                            	**range:** 1..1440
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCachePersistent, self).__init__()

                                self.yang_name = "map-cache-persistent"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.interval = YLeaf(YType.uint16, "interval")
                                self._segment_path = lambda: "map-cache-persistent"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapCachePersistent, ['interval'], name, value)


                        class MapResolver(Entity):
                            """
                            Configures a LISP Map Resolver (MR)
                            
                            .. attribute:: map_request
                            
                            	Map\-Request processing options
                            	**type**\:  :py:class:`MapRequest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver, self).__init__()

                                self.yang_name = "map-resolver"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-request" : ("map_request", Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_request = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest()
                                self.map_request.parent = self
                                self._children_name_map["map_request"] = "map-request"
                                self._children_yang_names.add("map-request")
                                self._segment_path = lambda: "map-resolver"


                            class MapRequest(Entity):
                                """
                                Map\-Request processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest, self).__init__()

                                    self.yang_name = "map-request"
                                    self.yang_parent_name = "map-resolver"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-request"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	Influence which source RLOCs map requests are accepted from
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-request"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        Influence which source RLOCs map requests are accepted from
                                        
                                        .. attribute:: list
                                        
                                        	Define allowed prefixes using an ip[v6] prefix list
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: registered
                                        
                                        	...from RLOCs that register EID\-prefixes in the same IID on a co\-located MapServer
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: ipv4
                                        
                                        	IPv4 prefixes
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	IPv6 prefixes
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.list = YLeaf(YType.empty, "list")

                                            self.registered = YLeaf(YType.empty, "registered")

                                            self.ipv4 = YLeaf(YType.str, "ipv4")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapResolver.MapRequest.Validate.Source, ['list', 'registered', 'ipv4', 'ipv6'], name, value)


                        class MapServer(Entity):
                            """
                            Configures a LISP Map Server (MS)
                            
                            .. attribute:: map_register
                            
                            	Map\-Register processing options
                            	**type**\:  :py:class:`MapRegister <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer, self).__init__()

                                self.yang_name = "map-server"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"map-register" : ("map_register", Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.map_register = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister()
                                self.map_register.parent = self
                                self._children_name_map["map_register"] = "map-register"
                                self._children_yang_names.add("map-register")
                                self._segment_path = lambda: "map-server"


                            class MapRegister(Entity):
                                """
                                Map\-Register processing options
                                
                                .. attribute:: validate
                                
                                	Validation options
                                	**type**\:  :py:class:`Validate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister, self).__init__()

                                    self.yang_name = "map-register"
                                    self.yang_parent_name = "map-server"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"validate" : ("validate", Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate)}
                                    self._child_list_classes = {}

                                    self.validate = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate()
                                    self.validate.parent = self
                                    self._children_name_map["validate"] = "validate"
                                    self._children_yang_names.add("validate")
                                    self._segment_path = lambda: "map-register"


                                class Validate(Entity):
                                    """
                                    Validation options
                                    
                                    .. attribute:: source
                                    
                                    	RLOC Source IP address
                                    	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate, self).__init__()

                                        self.yang_name = "validate"
                                        self.yang_parent_name = "map-register"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"source" : ("source", Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source)}
                                        self._child_list_classes = {}

                                        self.source = Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source()
                                        self.source.parent = self
                                        self._children_name_map["source"] = "source"
                                        self._children_yang_names.add("source")
                                        self._segment_path = lambda: "validate"


                                    class Source(Entity):
                                        """
                                        RLOC Source IP address
                                        
                                        .. attribute:: allowed_locator
                                        
                                        	Against sites' allowed\-locators policy
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source, self).__init__()

                                            self.yang_name = "source"
                                            self.yang_parent_name = "validate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.allowed_locator = YLeaf(YType.empty, "allowed-locator")
                                            self._segment_path = lambda: "source"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.MapServer.MapRegister.Validate.Source, ['allowed_locator'], name, value)


                        class PathMtuDiscovery(Entity):
                            """
                            Path MTU discovery
                            
                            .. attribute:: max
                            
                            	Upper bound on the path MTU accepted
                            	**type**\: int
                            
                            	**range:** 68..65535
                            
                            .. attribute:: min
                            
                            	Lower bound on the path MTU accepted
                            	**type**\: int
                            
                            	**range:** 68..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.PathMtuDiscovery, self).__init__()

                                self.yang_name = "path-mtu-discovery"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.max = YLeaf(YType.uint16, "max")

                                self.min = YLeaf(YType.uint16, "min")
                                self._segment_path = lambda: "path-mtu-discovery"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.PathMtuDiscovery, ['max', 'min'], name, value)


                        class RouteExport(Entity):
                            """
                            Export routes into RIB from LISP
                            
                            .. attribute:: site_registrations
                            
                            	Export LISP site registrations to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: away_eids
                            
                            	Export LISP away EIDs to RIB
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteExport, self).__init__()

                                self.yang_name = "route-export"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.site_registrations = YLeaf(YType.empty, "site-registrations")

                                self.away_eids = YLeaf(YType.empty, "away-eids")
                                self._segment_path = lambda: "route-export"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteExport, ['site_registrations', 'away_eids'], name, value)


                        class RouteImport(Entity):
                            """
                            Import RIB routes by a routing protocol into LISP
                            
                            .. attribute:: database
                            
                            	Use RIB routes to define local EID database entries
                            	**type**\:  :py:class:`Database <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database>`
                            
                            .. attribute:: map_cache
                            
                            	Use RIB routes to define EID address space in map\-cache
                            	**type**\:  :py:class:`MapCache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport, self).__init__()

                                self.yang_name = "route-import"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"database" : ("database", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database), "map-cache" : ("map_cache", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache)}
                                self._child_list_classes = {}

                                self.database = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database()
                                self.database.parent = self
                                self._children_name_map["database"] = "database"
                                self._children_yang_names.add("database")

                                self.map_cache = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache()
                                self.map_cache.parent = self
                                self._children_name_map["map_cache"] = "map-cache"
                                self._children_yang_names.add("map-cache")
                                self._segment_path = lambda: "route-import"


                            class Database(Entity):
                                """
                                Use RIB routes to define local EID database entries
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected>`
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip>`
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database, self).__init__()

                                    self.yang_name = "database"
                                    self.yang_parent_name = "route-import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip), "static" : ("static", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static)}
                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp), "isis" : ("isis", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis), "ospf" : ("ospf", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3)}

                                    self.connected = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected()
                                    self.connected.parent = self
                                    self._children_name_map["connected"] = "connected"
                                    self._children_yang_names.add("connected")

                                    self.maximum_prefix = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                    self._children_yang_names.add("maximum-prefix")

                                    self.rip = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip()
                                    self.rip.parent = self
                                    self._children_name_map["rip"] = "rip"
                                    self._children_yang_names.add("rip")

                                    self.static = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static()
                                    self.static.parent = self
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")

                                    self.bgp = YList(self)
                                    self.eigrp = YList(self)
                                    self.isis = YList(self)
                                    self.ospf = YList(self)
                                    self.ospfv3 = YList(self)
                                    self._segment_path = lambda: "database"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database, [], name, value)


                                class Bgp(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Bgp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Connected(Entity):
                                    """
                                    Connected
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected, self).__init__()

                                        self.yang_name = "connected"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "connected"


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "connected"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Connected.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "eigrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Eigrp.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Isis(Entity):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis, self).__init__()

                                        self.yang_name = "isis"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Isis.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class MaximumPrefix(Entity):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix, self).__init__()

                                        self.yang_name = "maximum-prefix"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.int32, "number")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                        self._segment_path = lambda: "maximum-prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospf.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Ospfv3(Entity):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3, self).__init__()

                                        self.yang_name = "ospfv3"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3, ['id'], name, value)


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "ospfv3"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Ospfv3.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Rip(Entity):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip, self).__init__()

                                        self.yang_name = "rip"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "rip"


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "rip"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Rip.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                                class Static(Entity):
                                    """
                                    Static routes
                                    
                                    .. attribute:: lisp_ip_route_import
                                    
                                    	
                                    	**type**\:  :py:class:`LispIpRouteImport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "database"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"lisp-ip-route-import" : ("lisp_ip_route_import", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport)}
                                        self._child_list_classes = {}

                                        self.lisp_ip_route_import = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport()
                                        self.lisp_ip_route_import.parent = self
                                        self._children_name_map["lisp_ip_route_import"] = "lisp-ip-route-import"
                                        self._children_yang_names.add("lisp-ip-route-import")
                                        self._segment_path = lambda: "static"


                                    class LispIpRouteImport(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        .. attribute:: locator_set
                                        
                                        	Locator set to use with created database mapping entries
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport, self).__init__()

                                            self.yang_name = "lisp-ip-route-import"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.locator_set = YLeaf(YType.str, "locator-set")
                                            self._segment_path = lambda: "lisp-ip-route-import"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.Database.Static.LispIpRouteImport, ['route_map', 'locator_set'], name, value)


                            class MapCache(Entity):
                                """
                                Use RIB routes to define EID address space in map\-cache
                                
                                .. attribute:: bgp
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp>`
                                
                                .. attribute:: connected
                                
                                	Connected
                                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: eigrp
                                
                                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp>`
                                
                                .. attribute:: isis
                                
                                	ISO IS\-IS
                                	**type**\: list of  		 :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis>`
                                
                                .. attribute:: maximum_prefix
                                
                                	Maximum number of prefixes to pick up from the RIB
                                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix>`
                                
                                .. attribute:: ospf
                                
                                	Open Shortest Path First (OSPF)
                                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf>`
                                
                                .. attribute:: ospfv3
                                
                                	OSPFv3
                                	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3>`
                                
                                .. attribute:: rip
                                
                                	Routing Information Protocol (RIP)
                                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: static
                                
                                	Static routes
                                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache, self).__init__()

                                    self.yang_name = "map-cache"
                                    self.yang_parent_name = "route-import"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"connected" : ("connected", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected), "maximum-prefix" : ("maximum_prefix", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix), "rip" : ("rip", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip), "static" : ("static", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static)}
                                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp), "eigrp" : ("eigrp", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp), "isis" : ("isis", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis), "ospf" : ("ospf", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf), "ospfv3" : ("ospfv3", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3)}

                                    self.connected = None
                                    self._children_name_map["connected"] = "connected"
                                    self._children_yang_names.add("connected")

                                    self.maximum_prefix = Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix()
                                    self.maximum_prefix.parent = self
                                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                    self._children_yang_names.add("maximum-prefix")

                                    self.rip = None
                                    self._children_name_map["rip"] = "rip"
                                    self._children_yang_names.add("rip")

                                    self.static = None
                                    self._children_name_map["static"] = "static"
                                    self._children_yang_names.add("static")

                                    self.bgp = YList(self)
                                    self.eigrp = YList(self)
                                    self.isis = YList(self)
                                    self.ospf = YList(self)
                                    self.ospfv3 = YList(self)
                                    self._segment_path = lambda: "map-cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache, [], name, value)


                                class Bgp(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: union of the below types:
                                    
                                    		**type**\: int
                                    
                                    			**range:** 1..4294967295
                                    
                                    		**type**\: str
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp, self).__init__()

                                        self.yang_name = "bgp"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "bgp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "bgp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Bgp.MapCacheContainer, ['route_map'], name, value)


                                class Connected(Entity):
                                    """
                                    Connected
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected, self).__init__()

                                        self.yang_name = "connected"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "connected"


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "connected"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Connected.MapCacheContainer, ['route_map'], name, value)


                                class Eigrp(Entity):
                                    """
                                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp, self).__init__()

                                        self.yang_name = "eigrp"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "eigrp" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "eigrp"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Eigrp.MapCacheContainer, ['route_map'], name, value)


                                class Isis(Entity):
                                    """
                                    ISO IS\-IS
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis, self).__init__()

                                        self.yang_name = "isis"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.str, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "isis" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "isis"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Isis.MapCacheContainer, ['route_map'], name, value)


                                class MaximumPrefix(Entity):
                                    """
                                    Maximum number of prefixes to pick up from the RIB
                                    
                                    .. attribute:: number
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** \-2147483648..2147483647
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: threshold1
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only1
                                    
                                    	Only give a warning message and do not limit entries
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix, self).__init__()

                                        self.yang_name = "maximum-prefix"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.number = YLeaf(YType.int32, "number")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")

                                        self.threshold = YLeaf(YType.uint8, "threshold")

                                        self.threshold1 = YLeaf(YType.uint8, "threshold1")

                                        self.warning_only1 = YLeaf(YType.empty, "warning-only1")
                                        self._segment_path = lambda: "maximum-prefix"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.MaximumPrefix, ['number', 'warning_only', 'threshold', 'threshold1', 'warning_only1'], name, value)


                                class Ospf(Entity):
                                    """
                                    Open Shortest Path First (OSPF)
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf, self).__init__()

                                        self.yang_name = "ospf"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "ospf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospf.MapCacheContainer, ['route_map'], name, value)


                                class Ospfv3(Entity):
                                    """
                                    OSPFv3
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..65535
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3, self).__init__()

                                        self.yang_name = "ospfv3"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint16, "id")

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3, ['id'], name, value)


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "ospfv3"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Ospfv3.MapCacheContainer, ['route_map'], name, value)


                                class Rip(Entity):
                                    """
                                    Routing Information Protocol (RIP)
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip, self).__init__()

                                        self.yang_name = "rip"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "rip"


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "rip"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Rip.MapCacheContainer, ['route_map'], name, value)


                                class Static(Entity):
                                    """
                                    Static routes
                                    
                                    .. attribute:: map_cache_container
                                    
                                    	
                                    	**type**\:  :py:class:`MapCacheContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static, self).__init__()

                                        self.yang_name = "static"
                                        self.yang_parent_name = "map-cache"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"map-cache-container" : ("map_cache_container", Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.map_cache_container = None
                                        self._children_name_map["map_cache_container"] = "map-cache-container"
                                        self._children_yang_names.add("map-cache-container")
                                        self._segment_path = lambda: "static"


                                    class MapCacheContainer(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map for route selection filtering
                                        	**type**\: str
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-lisp'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, self).__init__()

                                            self.yang_name = "map-cache-container"
                                            self.yang_parent_name = "static"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")
                                            self._segment_path = lambda: "map-cache-container"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.RouteImport.MapCache.Static.MapCacheContainer, ['route_map'], name, value)


                        class SiteRegistration(Entity):
                            """
                            Site registrations configuration for a given instance\-id
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations for a given instance\-id
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                        class SolicitMapRequest(Entity):
                            """
                            Configure Solicit\-Map\-Request handling
                            
                            .. attribute:: ignore
                            
                            	Ignore SMR bit in incoming Map\-Requests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: max_per_entry
                            
                            	Maximum number of SMRs for addresses under a map\-cache entry
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: suppression_time
                            
                            	How long to suppress repeated SMRs for the same address
                            	**type**\: int
                            
                            	**range:** 1..600
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.SolicitMapRequest, self).__init__()

                                self.yang_name = "solicit-map-request"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ignore = YLeaf(YType.empty, "ignore")

                                self.max_per_entry = YLeaf(YType.uint8, "max-per-entry")

                                self.suppression_time = YLeaf(YType.uint16, "suppression-time")
                                self._segment_path = lambda: "solicit-map-request"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.SolicitMapRequest, ['ignore', 'max_per_entry', 'suppression_time'], name, value)


                        class UsePetr(Entity):
                            """
                            Encapsulate to Proxy ETR when matching forward\-native entry
                            
                            .. attribute:: locator_address  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Configures which Locators from a set are preferred
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.Ipv6.UsePetr, self).__init__()

                                self.yang_name = "use-petr"
                                self.yang_parent_name = "ipv6"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.locator_address = YLeaf(YType.str, "locator-address")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.weight = YLeaf(YType.uint8, "weight")
                                self._segment_path = lambda: "use-petr" + "[locator-address='" + self.locator_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.Ipv6.UsePetr, ['locator_address', 'priority', 'weight'], name, value)


                    class LocReachAlgorithm(Entity):
                        """
                        Configure locator reachability algorithm
                        
                        .. attribute:: lsb_reports
                        
                        	Configure data packet LSB report handling
                        	**type**\:  :py:class:`LsbReports <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm.LsbReports>`
                        
                        .. attribute:: rloc_probing
                        
                        	Probe high priority RLOCs with Map\-Requests as last resort
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm, self).__init__()

                            self.yang_name = "loc-reach-algorithm"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"lsb-reports" : ("lsb_reports", Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm.LsbReports)}
                            self._child_list_classes = {}

                            self.rloc_probing = YLeaf(YType.empty, "rloc-probing")

                            self.lsb_reports = Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm.LsbReports()
                            self.lsb_reports.parent = self
                            self._children_name_map["lsb_reports"] = "lsb-reports"
                            self._children_yang_names.add("lsb-reports")
                            self._segment_path = lambda: "loc-reach-algorithm"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm, ['rloc_probing'], name, value)


                        class LsbReports(Entity):
                            """
                            Configure data packet LSB report handling
                            
                            .. attribute:: do_not_transmit
                            
                            	Force the setting of the encapsulation header L bit to zero
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ignore
                            
                            	Ignore data packet LSB reports
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm.LsbReports, self).__init__()

                                self.yang_name = "lsb-reports"
                                self.yang_parent_name = "loc-reach-algorithm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.do_not_transmit = YLeaf(YType.empty, "do-not-transmit")

                                self.ignore = YLeaf(YType.empty, "ignore")
                                self._segment_path = lambda: "lsb-reports"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.LocReachAlgorithm.LsbReports, ['do_not_transmit', 'ignore'], name, value)


                    class LocatorDown(Entity):
                        """
                        Manually set locator status to down
                        
                        .. attribute:: address
                        
                        	IPv4/6 Locator address to be set down
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ipv4_interface
                        
                        	Use IPv4 address of interface as locator
                        	**type**\: str
                        
                        .. attribute:: ipv6_interface
                        
                        	Use IPv6 address of interface as locator
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.LocatorDown, self).__init__()

                            self.yang_name = "locator-down"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")

                            self.ipv4_interface = YLeaf(YType.str, "IPv4-interface")

                            self.ipv6_interface = YLeaf(YType.str, "IPv6-interface")
                            self._segment_path = lambda: "locator-down"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.LocatorDown, ['address', 'ipv4_interface', 'ipv6_interface'], name, value)


                    class LocatorTable(Entity):
                        """
                        Specify the RLOC table
                        
                        .. attribute:: vrf_name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: default
                        
                        	Default VRF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	VRF name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.LocatorTable, self).__init__()

                            self.yang_name = "locator-table"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vrf_name = YLeaf(YType.str, "vrf-name")

                            self.default = YLeaf(YType.empty, "default")

                            self.vrf = YLeaf(YType.str, "vrf")
                            self._segment_path = lambda: "locator-table"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.LocatorTable, ['vrf_name', 'default', 'vrf'], name, value)


                    class MapRequest(Entity):
                        """
                        Configure map\-request handling
                        
                        .. attribute:: itr_rlocs
                        
                        	Configure to use the specified RLOC set as ITR RLOC in map\-request
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.MapRequest, self).__init__()

                            self.yang_name = "map-request"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.itr_rlocs = YLeaf(YType.str, "itr-rlocs")
                            self._segment_path = lambda: "map-request"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.MapRequest, ['itr_rlocs'], name, value)


                    class MapServer(Entity):
                        """
                        Map\-Server commands
                        
                        .. attribute:: rloc
                        
                        	EID instance RLOC membership
                        	**type**\:  :py:class:`Rloc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc>`
                        
                        .. attribute:: site_registration
                        
                        	Map\-server site registration options
                        	**type**\:  :py:class:`SiteRegistration <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapServer.SiteRegistration>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.MapServer, self).__init__()

                            self.yang_name = "map-server"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"rloc" : ("rloc", Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc), "site-registration" : ("site_registration", Native.Router.LispList.EidTable.InstanceList.MapServer.SiteRegistration)}
                            self._child_list_classes = {}

                            self.rloc = Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc()
                            self.rloc.parent = self
                            self._children_name_map["rloc"] = "rloc"
                            self._children_yang_names.add("rloc")

                            self.site_registration = Native.Router.LispList.EidTable.InstanceList.MapServer.SiteRegistration()
                            self.site_registration.parent = self
                            self._children_name_map["site_registration"] = "site-registration"
                            self._children_yang_names.add("site-registration")
                            self._segment_path = lambda: "map-server"


                        class Rloc(Entity):
                            """
                            EID instance RLOC membership
                            
                            .. attribute:: members
                            
                            	EID instance RLOC membership
                            	**type**\:  :py:class:`Members <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc, self).__init__()

                                self.yang_name = "rloc"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"members" : ("members", Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members)}
                                self._child_list_classes = {}

                                self.members = Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members()
                                self.members.parent = self
                                self._children_name_map["members"] = "members"
                                self._children_yang_names.add("members")
                                self._segment_path = lambda: "rloc"


                            class Members(Entity):
                                """
                                EID instance RLOC membership
                                
                                .. attribute:: distribute
                                
                                	EID instance RLOC membership distribution
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: modify_discovered
                                
                                	Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                	**type**\:  :py:class:`ModifyDiscovered <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered>`
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members, self).__init__()

                                    self.yang_name = "members"
                                    self.yang_parent_name = "rloc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"modify-discovered" : ("modify_discovered", Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered)}
                                    self._child_list_classes = {}

                                    self.distribute = YLeaf(YType.empty, "distribute")

                                    self.modify_discovered = Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered()
                                    self.modify_discovered.parent = self
                                    self._children_name_map["modify_discovered"] = "modify-discovered"
                                    self._children_yang_names.add("modify-discovered")
                                    self._segment_path = lambda: "members"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members, ['distribute'], name, value)


                                class ModifyDiscovered(Entity):
                                    """
                                    Modify the EID instance membership that is automaticallydiscovered from ETR registrations
                                    
                                    .. attribute:: operator
                                    
                                    	
                                    	**type**\:  :py:class:`Operator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered.Operator>`
                                    
                                    .. attribute:: locator_set
                                    
                                    	Locator set from which to get member RLOC addresses
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-lisp'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, self).__init__()

                                        self.yang_name = "modify-discovered"
                                        self.yang_parent_name = "members"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.operator = YLeaf(YType.enumeration, "operator")

                                        self.locator_set = YLeaf(YType.str, "locator-set")
                                        self._segment_path = lambda: "modify-discovered"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.MapServer.Rloc.Members.ModifyDiscovered, ['operator', 'locator_set'], name, value)

                                    class Operator(Enum):
                                        """
                                        Operator

                                        .. data:: add = 0

                                        .. data:: override = 1

                                        """

                                        add = Enum.YLeaf(0, "add")

                                        override = Enum.YLeaf(1, "override")



                        class SiteRegistration(Entity):
                            """
                            Map\-server site registration options
                            
                            .. attribute:: limit
                            
                            	Maximum number of site registrations as a result of accept\-more\-specifics
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: warning_threshold
                            
                            	Warning threshold to issue system logging
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.MapServer.SiteRegistration, self).__init__()

                                self.yang_name = "site-registration"
                                self.yang_parent_name = "map-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.limit = YLeaf(YType.uint32, "limit")

                                self.warning_threshold = YLeaf(YType.uint8, "warning-threshold")
                                self._segment_path = lambda: "site-registration"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.MapServer.SiteRegistration, ['limit', 'warning_threshold'], name, value)


                    class OtherXtrProbe(Entity):
                        """
                        Configure parameters for probing of other xTRs in our site
                        
                        .. attribute:: period
                        
                        	Period between probes in seconds
                        	**type**\: int
                        
                        	**range:** 5..900
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.OtherXtrProbe, self).__init__()

                            self.yang_name = "other-xtr-probe"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.period = YLeaf(YType.uint16, "period")
                            self._segment_path = lambda: "other-xtr-probe"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.OtherXtrProbe, ['period'], name, value)


                    class RemoteRlocProbe(Entity):
                        """
                        Configure parameters for probing of remote RLOCs
                        
                        .. attribute:: on_membership_change
                        
                        	Trigger probing upon membership changes for remote RLOC
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: on_route_change
                        
                        	Trigger probing upon routing changes for remote RLOC
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.RemoteRlocProbe, self).__init__()

                            self.yang_name = "remote-rloc-probe"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.on_membership_change = YLeaf(YType.empty, "on-membership-change")

                            self.on_route_change = YLeaf(YType.empty, "on-route-change")
                            self._segment_path = lambda: "remote-rloc-probe"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.RemoteRlocProbe, ['on_membership_change', 'on_route_change'], name, value)


                    class MapCache(Entity):
                        """
                        Configures static EID\-to\-RLOC mappings for an ITR
                        
                        .. attribute:: eid_prefix  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: etr_interface_ip
                        
                        	
                        	**type**\:  :py:class:`EtrInterfaceIp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.EidTable.InstanceList.MapCache.EtrInterfaceIp>`
                        
                        .. attribute:: drop
                        
                        	Drop packets that match this map\-cache entry
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: map_request
                        
                        	Send Map\-Request for LISP destination EID
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: native_forward
                        
                        	Natively forward packets that match this map\-cache entry
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.EidTable.InstanceList.MapCache, self).__init__()

                            self.yang_name = "map-cache"
                            self.yang_parent_name = "instance-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"etr-interface-ip" : ("etr_interface_ip", Native.Router.LispList.EidTable.InstanceList.MapCache.EtrInterfaceIp)}
                            self._child_list_classes = {}

                            self.eid_prefix = YLeaf(YType.str, "eid-prefix")

                            self.drop = YLeaf(YType.empty, "drop")

                            self.map_request = YLeaf(YType.empty, "map-request")

                            self.native_forward = YLeaf(YType.empty, "native-forward")

                            self.etr_interface_ip = Native.Router.LispList.EidTable.InstanceList.MapCache.EtrInterfaceIp()
                            self.etr_interface_ip.parent = self
                            self._children_name_map["etr_interface_ip"] = "etr-interface-ip"
                            self._children_yang_names.add("etr-interface-ip")
                            self._segment_path = lambda: "map-cache" + "[eid-prefix='" + self.eid_prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.MapCache, ['eid_prefix', 'drop', 'map_request', 'native_forward'], name, value)


                        class EtrInterfaceIp(Entity):
                            """
                            
                            
                            .. attribute:: etr_interface_ip_address
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: priority
                            
                            	Configures which Locators from a set are preferred
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            .. attribute:: weight
                            
                            	Traffic load\-spreading among Locators
                            	**type**\: int
                            
                            	**range:** 0..100
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.EidTable.InstanceList.MapCache.EtrInterfaceIp, self).__init__()

                                self.yang_name = "etr-interface-ip"
                                self.yang_parent_name = "map-cache"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.etr_interface_ip_address = YLeaf(YType.str, "etr-interface-ip-address")

                                self.priority = YLeaf(YType.uint8, "priority")

                                self.weight = YLeaf(YType.uint8, "weight")
                                self._segment_path = lambda: "etr-interface-ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.EidTable.InstanceList.MapCache.EtrInterfaceIp, ['etr_interface_ip_address', 'priority', 'weight'], name, value)


            class Security(Entity):
                """
                Enable default LISP security and authentication in reply is optional
                
                .. attribute:: strong
                
                	Enable default LISP security and authentication in reply is required
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.Security, self).__init__()

                    self.yang_name = "security"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.strong = YLeaf(YType.empty, "strong")
                    self._segment_path = lambda: "security"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.Security, ['strong'], name, value)


            class Site(Entity):
                """
                Configure a LISP site on a map server (MS)
                
                .. attribute:: sname  <key>
                
                	The site name
                	**type**\: str
                
                .. attribute:: default
                
                	
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default>`
                
                .. attribute:: authentication_key
                
                	Authentication key used by LISP site
                	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.AuthenticationKey>`
                
                .. attribute:: description
                
                	Site description
                	**type**\: str
                
                .. attribute:: allowed_locator
                
                	Locator from LISP site
                	**type**\:  :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.AllowedLocator>`
                
                .. attribute:: eid_prefix
                
                	Site EID address prefix
                	**type**\:  :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidPrefix>`
                
                .. attribute:: eid_record
                
                	Site EID address prefix
                	**type**\:  :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidRecord>`
                
                .. attribute:: site_id
                
                	Configure a site\-id for this site
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.Site, self).__init__()

                    self.yang_name = "site"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"default" : ("default", Native.Router.LispList.Site.Default), "authentication-key" : ("authentication_key", Native.Router.LispList.Site.AuthenticationKey), "allowed-locator" : ("allowed_locator", Native.Router.LispList.Site.AllowedLocator), "eid-prefix" : ("eid_prefix", Native.Router.LispList.Site.EidPrefix), "eid-record" : ("eid_record", Native.Router.LispList.Site.EidRecord)}
                    self._child_list_classes = {}

                    self.sname = YLeaf(YType.str, "sname")

                    self.description = YLeaf(YType.str, "description")

                    self.site_id = YLeaf(YType.uint32, "site-id")

                    self.default = Native.Router.LispList.Site.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.authentication_key = Native.Router.LispList.Site.AuthenticationKey()
                    self.authentication_key.parent = self
                    self._children_name_map["authentication_key"] = "authentication-key"
                    self._children_yang_names.add("authentication-key")

                    self.allowed_locator = Native.Router.LispList.Site.AllowedLocator()
                    self.allowed_locator.parent = self
                    self._children_name_map["allowed_locator"] = "allowed-locator"
                    self._children_yang_names.add("allowed-locator")

                    self.eid_prefix = Native.Router.LispList.Site.EidPrefix()
                    self.eid_prefix.parent = self
                    self._children_name_map["eid_prefix"] = "eid-prefix"
                    self._children_yang_names.add("eid-prefix")

                    self.eid_record = Native.Router.LispList.Site.EidRecord()
                    self.eid_record.parent = self
                    self._children_name_map["eid_record"] = "eid-record"
                    self._children_yang_names.add("eid-record")
                    self._segment_path = lambda: "site" + "[sname='" + self.sname.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.Site, ['sname', 'description', 'site_id'], name, value)


                class Default(Entity):
                    """
                    
                    
                    .. attribute:: authentication_key
                    
                    	Authentication key used by LISP site
                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.AuthenticationKey>`
                    
                    .. attribute:: description
                    
                    	Site description
                    	**type**\: str
                    
                    .. attribute:: allowed_locator
                    
                    	Locator from LISP site
                    	**type**\:  :py:class:`AllowedLocator <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.AllowedLocator>`
                    
                    .. attribute:: eid_prefix
                    
                    	Site EID address prefix
                    	**type**\:  :py:class:`EidPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidPrefix>`
                    
                    .. attribute:: eid_record
                    
                    	Site EID address prefix
                    	**type**\:  :py:class:`EidRecord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidRecord>`
                    
                    .. attribute:: site_id
                    
                    	Configure a site\-id for this site
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Site.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.LispList.Site.Default.AuthenticationKey), "allowed-locator" : ("allowed_locator", Native.Router.LispList.Site.Default.AllowedLocator), "eid-prefix" : ("eid_prefix", Native.Router.LispList.Site.Default.EidPrefix), "eid-record" : ("eid_record", Native.Router.LispList.Site.Default.EidRecord)}
                        self._child_list_classes = {}

                        self.description = YLeaf(YType.str, "description")

                        self.site_id = YLeaf(YType.uint32, "site-id")

                        self.authentication_key = Native.Router.LispList.Site.Default.AuthenticationKey()
                        self.authentication_key.parent = self
                        self._children_name_map["authentication_key"] = "authentication-key"
                        self._children_yang_names.add("authentication-key")

                        self.allowed_locator = Native.Router.LispList.Site.Default.AllowedLocator()
                        self.allowed_locator.parent = self
                        self._children_name_map["allowed_locator"] = "allowed-locator"
                        self._children_yang_names.add("allowed-locator")

                        self.eid_prefix = Native.Router.LispList.Site.Default.EidPrefix()
                        self.eid_prefix.parent = self
                        self._children_name_map["eid_prefix"] = "eid-prefix"
                        self._children_yang_names.add("eid-prefix")

                        self.eid_record = Native.Router.LispList.Site.Default.EidRecord()
                        self.eid_record.parent = self
                        self._children_name_map["eid_record"] = "eid-record"
                        self._children_yang_names.add("eid-record")
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Site.Default, ['description', 'site_id'], name, value)


                    class AuthenticationKey(Entity):
                        """
                        Authentication key used by LISP site
                        
                        .. attribute:: unc_pwd
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\: str
                        
                        .. attribute:: key_0
                        
                        	The UNENCRYPTED (cleartext) password
                        	**type**\: str
                        
                        .. attribute:: key_6
                        
                        	The ENCRYPTED password
                        	**type**\: str
                        
                        .. attribute:: key_7
                        
                        	The ENCRYPTED password
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Site.Default.AuthenticationKey, self).__init__()

                            self.yang_name = "authentication-key"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                            self.key_0 = YLeaf(YType.str, "key-0")

                            self.key_6 = YLeaf(YType.str, "key-6")

                            self.key_7 = YLeaf(YType.str, "key-7")
                            self._segment_path = lambda: "authentication-key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Site.Default.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                    class AllowedLocator(Entity):
                        """
                        Locator from LISP site
                        
                        .. attribute:: ls_ipv4
                        
                        	IPv4 locator allowed in registered locator\-set
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: ls_ipv6
                        
                        	IPv6 locator allowed in registered locator\-set
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: list
                        
                        	Prefixes allowed in registerd locator\-set
                        	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.AllowedLocator.List>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Site.Default.AllowedLocator, self).__init__()

                            self.yang_name = "allowed-locator"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"list" : ("list", Native.Router.LispList.Site.Default.AllowedLocator.List)}
                            self._child_list_classes = {}

                            self.ls_ipv4 = YLeaf(YType.str, "ls-ipv4")

                            self.ls_ipv6 = YLeaf(YType.str, "ls-ipv6")

                            self.list = Native.Router.LispList.Site.Default.AllowedLocator.List()
                            self.list.parent = self
                            self._children_name_map["list"] = "list"
                            self._children_yang_names.add("list")
                            self._segment_path = lambda: "allowed-locator"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Site.Default.AllowedLocator, ['ls_ipv4', 'ls_ipv6'], name, value)


                        class List(Entity):
                            """
                            Prefixes allowed in registerd locator\-set
                            
                            .. attribute:: ipv4
                            
                            	IPv4 prefix\-list name
                            	**type**\: str
                            
                            .. attribute:: ipv6
                            
                            	IPv6 prefix\-list name
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Site.Default.AllowedLocator.List, self).__init__()

                                self.yang_name = "list"
                                self.yang_parent_name = "allowed-locator"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ipv4 = YLeaf(YType.str, "ipv4")

                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                self._segment_path = lambda: "list"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Site.Default.AllowedLocator.List, ['ipv4', 'ipv6'], name, value)


                    class EidPrefix(Entity):
                        """
                        Site EID address prefix
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidPrefix.Prefixes>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidPrefix.InstanceId>`
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Site.Default.EidPrefix, self).__init__()

                            self.yang_name = "eid-prefix"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Site.Default.EidPrefix.Prefixes), "instance-id" : ("instance_id", Native.Router.LispList.Site.Default.EidPrefix.InstanceId)}

                            self.any_mac = YLeaf(YType.empty, "any-mac")

                            self.prefixes = YList(self)
                            self.instance_id = YList(self)
                            self._segment_path = lambda: "eid-prefix"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Site.Default.EidPrefix, ['any_mac'], name, value)


                        class Prefixes(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Site.Default.EidPrefix.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "eid-prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Site.Default.EidPrefix.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                        class InstanceId(Entity):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidPrefix.InstanceId.Prefixes>`
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Site.Default.EidPrefix.InstanceId, self).__init__()

                                self.yang_name = "instance-id"
                                self.yang_parent_name = "eid-prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Site.Default.EidPrefix.InstanceId.Prefixes)}

                                self.id = YLeaf(YType.uint32, "id")

                                self.any_mac = YLeaf(YType.empty, "any-mac")

                                self.prefixes = YList(self)
                                self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Site.Default.EidPrefix.InstanceId, ['id', 'any_mac'], name, value)


                            class Prefixes(Entity):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Site.Default.EidPrefix.InstanceId.Prefixes, self).__init__()

                                    self.yang_name = "prefixes"
                                    self.yang_parent_name = "instance-id"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.prefix = YLeaf(YType.str, "prefix")

                                    self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Site.Default.EidPrefix.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                    class EidRecord(Entity):
                        """
                        Site EID address prefix
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidRecord.Prefixes>`
                        
                        .. attribute:: instance_id
                        
                        	EID instance\-ID
                        	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidRecord.InstanceId>`
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Site.Default.EidRecord, self).__init__()

                            self.yang_name = "eid-record"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Site.Default.EidRecord.Prefixes), "instance-id" : ("instance_id", Native.Router.LispList.Site.Default.EidRecord.InstanceId)}

                            self.any_mac = YLeaf(YType.empty, "any-mac")

                            self.prefixes = YList(self)
                            self.instance_id = YList(self)
                            self._segment_path = lambda: "eid-record"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Site.Default.EidRecord, ['any_mac'], name, value)


                        class Prefixes(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Site.Default.EidRecord.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "eid-record"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Site.Default.EidRecord.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                        class InstanceId(Entity):
                            """
                            EID instance\-ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..16777214
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.Default.EidRecord.InstanceId.Prefixes>`
                            
                            .. attribute:: any_mac
                            
                            	Accept registrations for any L2 EID records
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Site.Default.EidRecord.InstanceId, self).__init__()

                                self.yang_name = "instance-id"
                                self.yang_parent_name = "eid-record"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Site.Default.EidRecord.InstanceId.Prefixes)}

                                self.id = YLeaf(YType.uint32, "id")

                                self.any_mac = YLeaf(YType.empty, "any-mac")

                                self.prefixes = YList(self)
                                self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Site.Default.EidRecord.InstanceId, ['id', 'any_mac'], name, value)


                            class Prefixes(Entity):
                                """
                                
                                
                                .. attribute:: prefix  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                
                                .. attribute:: accept_more_specifics
                                
                                	Accept registrations for more specific EID prefixes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_tag
                                
                                	RIB route tag
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-lisp'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.LispList.Site.Default.EidRecord.InstanceId.Prefixes, self).__init__()

                                    self.yang_name = "prefixes"
                                    self.yang_parent_name = "instance-id"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.prefix = YLeaf(YType.str, "prefix")

                                    self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                    self.route_tag = YLeaf(YType.uint32, "route-tag")
                                    self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.LispList.Site.Default.EidRecord.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                class AuthenticationKey(Entity):
                    """
                    Authentication key used by LISP site
                    
                    .. attribute:: unc_pwd
                    
                    	The UNENCRYPTED (cleartext) password
                    	**type**\: str
                    
                    .. attribute:: key_0
                    
                    	The UNENCRYPTED (cleartext) password
                    	**type**\: str
                    
                    .. attribute:: key_6
                    
                    	The ENCRYPTED password
                    	**type**\: str
                    
                    .. attribute:: key_7
                    
                    	The ENCRYPTED password
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Site.AuthenticationKey, self).__init__()

                        self.yang_name = "authentication-key"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unc_pwd = YLeaf(YType.str, "unc-pwd")

                        self.key_0 = YLeaf(YType.str, "key-0")

                        self.key_6 = YLeaf(YType.str, "key-6")

                        self.key_7 = YLeaf(YType.str, "key-7")
                        self._segment_path = lambda: "authentication-key"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Site.AuthenticationKey, ['unc_pwd', 'key_0', 'key_6', 'key_7'], name, value)


                class AllowedLocator(Entity):
                    """
                    Locator from LISP site
                    
                    .. attribute:: ls_ipv4
                    
                    	IPv4 locator allowed in registered locator\-set
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: ls_ipv6
                    
                    	IPv6 locator allowed in registered locator\-set
                    	**type**\: str
                    
                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: list
                    
                    	Prefixes allowed in registerd locator\-set
                    	**type**\:  :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.AllowedLocator.List>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Site.AllowedLocator, self).__init__()

                        self.yang_name = "allowed-locator"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"list" : ("list", Native.Router.LispList.Site.AllowedLocator.List)}
                        self._child_list_classes = {}

                        self.ls_ipv4 = YLeaf(YType.str, "ls-ipv4")

                        self.ls_ipv6 = YLeaf(YType.str, "ls-ipv6")

                        self.list = Native.Router.LispList.Site.AllowedLocator.List()
                        self.list.parent = self
                        self._children_name_map["list"] = "list"
                        self._children_yang_names.add("list")
                        self._segment_path = lambda: "allowed-locator"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Site.AllowedLocator, ['ls_ipv4', 'ls_ipv6'], name, value)


                    class List(Entity):
                        """
                        Prefixes allowed in registerd locator\-set
                        
                        .. attribute:: ipv4
                        
                        	IPv4 prefix\-list name
                        	**type**\: str
                        
                        .. attribute:: ipv6
                        
                        	IPv6 prefix\-list name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Site.AllowedLocator.List, self).__init__()

                            self.yang_name = "list"
                            self.yang_parent_name = "allowed-locator"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.ipv6 = YLeaf(YType.str, "ipv6")
                            self._segment_path = lambda: "list"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Site.AllowedLocator.List, ['ipv4', 'ipv6'], name, value)


                class EidPrefix(Entity):
                    """
                    Site EID address prefix
                    
                    .. attribute:: prefixes
                    
                    	
                    	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidPrefix.Prefixes>`
                    
                    .. attribute:: instance_id
                    
                    	EID instance\-ID
                    	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidPrefix.InstanceId>`
                    
                    .. attribute:: any_mac
                    
                    	Accept registrations for any L2 EID records
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Site.EidPrefix, self).__init__()

                        self.yang_name = "eid-prefix"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Site.EidPrefix.Prefixes), "instance-id" : ("instance_id", Native.Router.LispList.Site.EidPrefix.InstanceId)}

                        self.any_mac = YLeaf(YType.empty, "any-mac")

                        self.prefixes = YList(self)
                        self.instance_id = YList(self)
                        self._segment_path = lambda: "eid-prefix"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Site.EidPrefix, ['any_mac'], name, value)


                    class Prefixes(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: accept_more_specifics
                        
                        	Accept registrations for more specific EID prefixes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_tag
                        
                        	RIB route tag
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Site.EidPrefix.Prefixes, self).__init__()

                            self.yang_name = "prefixes"
                            self.yang_parent_name = "eid-prefix"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                            self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Site.EidPrefix.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                    class InstanceId(Entity):
                        """
                        EID instance\-ID
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidPrefix.InstanceId.Prefixes>`
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Site.EidPrefix.InstanceId, self).__init__()

                            self.yang_name = "instance-id"
                            self.yang_parent_name = "eid-prefix"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Site.EidPrefix.InstanceId.Prefixes)}

                            self.id = YLeaf(YType.uint32, "id")

                            self.any_mac = YLeaf(YType.empty, "any-mac")

                            self.prefixes = YList(self)
                            self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Site.EidPrefix.InstanceId, ['id', 'any_mac'], name, value)


                        class Prefixes(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Site.EidPrefix.InstanceId.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "instance-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Site.EidPrefix.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                class EidRecord(Entity):
                    """
                    Site EID address prefix
                    
                    .. attribute:: prefixes
                    
                    	
                    	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidRecord.Prefixes>`
                    
                    .. attribute:: instance_id
                    
                    	EID instance\-ID
                    	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidRecord.InstanceId>`
                    
                    .. attribute:: any_mac
                    
                    	Accept registrations for any L2 EID records
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Site.EidRecord, self).__init__()

                        self.yang_name = "eid-record"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Site.EidRecord.Prefixes), "instance-id" : ("instance_id", Native.Router.LispList.Site.EidRecord.InstanceId)}

                        self.any_mac = YLeaf(YType.empty, "any-mac")

                        self.prefixes = YList(self)
                        self.instance_id = YList(self)
                        self._segment_path = lambda: "eid-record"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Site.EidRecord, ['any_mac'], name, value)


                    class Prefixes(Entity):
                        """
                        
                        
                        .. attribute:: prefix  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: accept_more_specifics
                        
                        	Accept registrations for more specific EID prefixes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_tag
                        
                        	RIB route tag
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Site.EidRecord.Prefixes, self).__init__()

                            self.yang_name = "prefixes"
                            self.yang_parent_name = "eid-record"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix = YLeaf(YType.str, "prefix")

                            self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                            self.route_tag = YLeaf(YType.uint32, "route-tag")
                            self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Site.EidRecord.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


                    class InstanceId(Entity):
                        """
                        EID instance\-ID
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Site.EidRecord.InstanceId.Prefixes>`
                        
                        .. attribute:: any_mac
                        
                        	Accept registrations for any L2 EID records
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-lisp'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.LispList.Site.EidRecord.InstanceId, self).__init__()

                            self.yang_name = "instance-id"
                            self.yang_parent_name = "eid-record"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefixes" : ("prefixes", Native.Router.LispList.Site.EidRecord.InstanceId.Prefixes)}

                            self.id = YLeaf(YType.uint32, "id")

                            self.any_mac = YLeaf(YType.empty, "any-mac")

                            self.prefixes = YList(self)
                            self._segment_path = lambda: "instance-id" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.LispList.Site.EidRecord.InstanceId, ['id', 'any_mac'], name, value)


                        class Prefixes(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            		**type**\: str
                            
                            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: accept_more_specifics
                            
                            	Accept registrations for more specific EID prefixes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_tag
                            
                            	RIB route tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-lisp'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.LispList.Site.EidRecord.InstanceId.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "instance-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.accept_more_specifics = YLeaf(YType.empty, "accept-more-specifics")

                                self.route_tag = YLeaf(YType.uint32, "route-tag")
                                self._segment_path = lambda: "prefixes" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.LispList.Site.EidRecord.InstanceId.Prefixes, ['prefix', 'accept_more_specifics', 'route_tag'], name, value)


            class Syslog(Entity):
                """
                Configure syslog option
                
                .. attribute:: session
                
                	Enable session syslog
                	**type**\:  :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.LispList.Syslog.Session>`
                
                .. attribute:: verbose
                
                	Enable verbose syslog
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-lisp'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.LispList.Syslog, self).__init__()

                    self.yang_name = "syslog"
                    self.yang_parent_name = "lisp-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"session" : ("session", Native.Router.LispList.Syslog.Session)}
                    self._child_list_classes = {}

                    self.verbose = YLeaf(YType.empty, "verbose")

                    self.session = Native.Router.LispList.Syslog.Session()
                    self.session.parent = self
                    self._children_name_map["session"] = "session"
                    self._children_yang_names.add("session")
                    self._segment_path = lambda: "syslog"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.LispList.Syslog, ['verbose'], name, value)


                class Session(Entity):
                    """
                    Enable session syslog
                    
                    .. attribute:: changes
                    
                    	Enable session change syslog
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-lisp'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.LispList.Syslog.Session, self).__init__()

                        self.yang_name = "session"
                        self.yang_parent_name = "syslog"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.changes = YLeaf(YType.empty, "changes")
                        self._segment_path = lambda: "session"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.LispList.Syslog.Session, ['changes'], name, value)


        class Ospf(Entity):
            """
            Open Shortest Path First (OSPF)
            
            .. attribute:: id  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..65535
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding Instance
            	**type**\: str
            
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily>`
            
            .. attribute:: area
            
            	OSPF area parameters
            	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area>`
            
            .. attribute:: auto_cost
            
            	Calculate OSPF interface cost according to bandwidth
            	**type**\:  :py:class:`AutoCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AutoCost>`
            
            	**presence node**\: True
            
            .. attribute:: event_log
            
            	OSPF Event Logging
            	**type**\:  :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.EventLog>`
            
            	**presence node**\: True
            
            .. attribute:: bfd
            
            	BFD configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Bfd>`
            
            .. attribute:: interface_id
            
            	Source of the interface ID
            	**type**\:  :py:class:`InterfaceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.InterfaceId>`
            
            .. attribute:: log_adjacency_changes
            
            	Log changes in adjacency state
            	**type**\:  :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.LogAdjacencyChanges>`
            
            	**presence node**\: True
            
            .. attribute:: max_lsa
            
            	maximum number of LSAs OSPF process will receive
            	**type**\:  :py:class:`MaxLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.MaxLsa>`
            
            .. attribute:: max_metric
            
            	Set maximum metric
            	**type**\:  :py:class:`MaxMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.MaxMetric>`
            
            .. attribute:: passive_interface
            
            	Suppress routing updates on an interface
            	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.PassiveInterface>`
            
            .. attribute:: disable
            
            	
            	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Disable>`
            
            .. attribute:: queue_depth
            
            	OSPF Hello/Router process queue depth
            	**type**\:  :py:class:`QueueDepth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.QueueDepth>`
            
            .. attribute:: timers
            
            	Adjust routing timers
            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers>`
            
            .. attribute:: router_id
            
            	Override configured router identifier (peers will reset)
            	**type**\: str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: nsr
            
            	Enable non\-stop routing
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: traffic_share
            
            	How to compute traffic share over alternate paths
            	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.TrafficShare>`
            
            .. attribute:: ttl_security
            
            	TTL security check
            	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.TtlSecurity>`
            
            .. attribute:: capability
            
            	Enable specific OSPF feature
            	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Capability>`
            
            .. attribute:: compatible
            
            	OSPF compatibility list
            	**type**\:  :py:class:`Compatible <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Compatible>`
            
            .. attribute:: default_information
            
            	Control distribution of default information
            	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DefaultInformation>`
            
            .. attribute:: default_metric
            
            	Set metric of redistributed routes
            	**type**\: int
            
            	**range:** 1..16777214
            
            .. attribute:: discard_route
            
            	Enable or disable discard\-route installation
            	**type**\:  :py:class:`DiscardRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DiscardRoute>`
            
            	**presence node**\: True
            
            .. attribute:: distance
            
            	Define an administrative distance
            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Distance>`
            
            .. attribute:: maximum_paths
            
            	Forward packets over multiple paths
            	**type**\: int
            
            	**range:** 1..32
            
            .. attribute:: redistribute
            
            	Redistribute information from another routing protocol
            	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute>`
            
            .. attribute:: distribute_list
            
            	Filter networks in routing updates
            	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList>`
            
            .. attribute:: domain_id
            
            	OSPF domain\-id
            	**type**\:  :py:class:`DomainId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DomainId>`
            
            .. attribute:: domain_tag
            
            	OSPF domain\-tag
            	**type**\: int
            
            	**range:** 1..4294967295
            
            .. attribute:: fast_reroute
            
            	LFA FastReroute parameters
            	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute>`
            
            .. attribute:: graceful_restart
            
            	Graceful\-restart options
            	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.GracefulRestart>`
            
            	**presence node**\: True
            
            .. attribute:: ignore
            
            	Do not complain about specific event
            	**type**\:  :py:class:`Ignore <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Ignore>`
            
            .. attribute:: ispf
            
            	Enable incremental SPF computation
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: limit
            
            	Limit a specific OSPF feature
            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Limit>`
            
            .. attribute:: local_rib_criteria
            
            	Enable or disable usage of local RIB as route criteria
            	**type**\:  :py:class:`LocalRibCriteria <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.LocalRibCriteria>`
            
            .. attribute:: microloop
            
            	Traffic microloop control parameters
            	**type**\:  :py:class:`Microloop <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Microloop>`
            
            .. attribute:: mpls
            
            	Configure MPLS routing protocol parameters
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls>`
            
            .. attribute:: neighbor
            
            	Specify a neighbor router
            	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Neighbor>`
            
            .. attribute:: network
            
            	Enable routing on an IP network
            	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Network>`
            
            .. attribute:: nsf
            
            	Non\-stop forwarding
            	**type**\:  :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Nsf>`
            
            	**presence node**\: True
            
            .. attribute:: prefix_priority
            
            	OSPF prefix priority
            	**type**\:  :py:class:`PrefixPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.PrefixPriority>`
            
            .. attribute:: prefix_suppression
            
            	OSPF prefix suppression
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: priority
            
            	OSPF topology priority
            	**type**\: int
            
            	**range:** 0..127
            
            .. attribute:: process_min_time
            
            	Percentage of quantum to be used before releasing CPU
            	**type**\:  :py:class:`ProcessMinTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.ProcessMinTime>`
            
            .. attribute:: shutdown
            
            	Shutdown the OSPF protocol under the current instance
            	**type**\: bool
            
            .. attribute:: snmp
            
            	Modify snmp parameters
            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp>`
            
            .. attribute:: summary_address
            
            	Configure IP address summaries
            	**type**\: list of  		 :py:class:`SummaryAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.SummaryAddress>`
            
            

            """

            _prefix = 'ios-ospf'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.Router.Ospf, self).__init__()

                self.yang_name = "ospf"
                self.yang_parent_name = "router"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"address-family" : ("address_family", Native.Router.Ospf.AddressFamily), "auto-cost" : ("auto_cost", Native.Router.Ospf.AutoCost), "event-log" : ("event_log", Native.Router.Ospf.EventLog), "bfd" : ("bfd", Native.Router.Ospf.Bfd), "interface-id" : ("interface_id", Native.Router.Ospf.InterfaceId), "log-adjacency-changes" : ("log_adjacency_changes", Native.Router.Ospf.LogAdjacencyChanges), "max-lsa" : ("max_lsa", Native.Router.Ospf.MaxLsa), "max-metric" : ("max_metric", Native.Router.Ospf.MaxMetric), "passive-interface" : ("passive_interface", Native.Router.Ospf.PassiveInterface), "disable" : ("disable", Native.Router.Ospf.Disable), "queue-depth" : ("queue_depth", Native.Router.Ospf.QueueDepth), "timers" : ("timers", Native.Router.Ospf.Timers), "traffic-share" : ("traffic_share", Native.Router.Ospf.TrafficShare), "ttl-security" : ("ttl_security", Native.Router.Ospf.TtlSecurity), "capability" : ("capability", Native.Router.Ospf.Capability), "compatible" : ("compatible", Native.Router.Ospf.Compatible), "default-information" : ("default_information", Native.Router.Ospf.DefaultInformation), "discard-route" : ("discard_route", Native.Router.Ospf.DiscardRoute), "distance" : ("distance", Native.Router.Ospf.Distance), "redistribute" : ("redistribute", Native.Router.Ospf.Redistribute), "distribute-list" : ("distribute_list", Native.Router.Ospf.DistributeList), "domain-id" : ("domain_id", Native.Router.Ospf.DomainId), "fast-reroute" : ("fast_reroute", Native.Router.Ospf.FastReroute), "graceful-restart" : ("graceful_restart", Native.Router.Ospf.GracefulRestart), "ignore" : ("ignore", Native.Router.Ospf.Ignore), "limit" : ("limit", Native.Router.Ospf.Limit), "local-rib-criteria" : ("local_rib_criteria", Native.Router.Ospf.LocalRibCriteria), "microloop" : ("microloop", Native.Router.Ospf.Microloop), "mpls" : ("mpls", Native.Router.Ospf.Mpls), "nsf" : ("nsf", Native.Router.Ospf.Nsf), "prefix-priority" : ("prefix_priority", Native.Router.Ospf.PrefixPriority), "process-min-time" : ("process_min_time", Native.Router.Ospf.ProcessMinTime), "snmp" : ("snmp", Native.Router.Ospf.Snmp)}
                self._child_list_classes = {"area" : ("area", Native.Router.Ospf.Area), "neighbor" : ("neighbor", Native.Router.Ospf.Neighbor), "network" : ("network", Native.Router.Ospf.Network), "summary-address" : ("summary_address", Native.Router.Ospf.SummaryAddress)}

                self.id = YLeaf(YType.uint16, "id")

                self.vrf = YLeaf(YType.str, "vrf")

                self.router_id = YLeaf(YType.str, "router-id")

                self.nsr = YLeaf(YType.empty, "nsr")

                self.default_metric = YLeaf(YType.uint32, "default-metric")

                self.maximum_paths = YLeaf(YType.uint32, "maximum-paths")

                self.domain_tag = YLeaf(YType.uint32, "domain-tag")

                self.ispf = YLeaf(YType.empty, "ispf")

                self.prefix_suppression = YLeaf(YType.empty, "prefix-suppression")

                self.priority = YLeaf(YType.uint8, "priority")

                self.shutdown = YLeaf(YType.boolean, "shutdown")

                self.address_family = Native.Router.Ospf.AddressFamily()
                self.address_family.parent = self
                self._children_name_map["address_family"] = "address-family"
                self._children_yang_names.add("address-family")

                self.auto_cost = None
                self._children_name_map["auto_cost"] = "auto-cost"
                self._children_yang_names.add("auto-cost")

                self.event_log = None
                self._children_name_map["event_log"] = "event-log"
                self._children_yang_names.add("event-log")

                self.bfd = Native.Router.Ospf.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.interface_id = Native.Router.Ospf.InterfaceId()
                self.interface_id.parent = self
                self._children_name_map["interface_id"] = "interface-id"
                self._children_yang_names.add("interface-id")

                self.log_adjacency_changes = None
                self._children_name_map["log_adjacency_changes"] = "log-adjacency-changes"
                self._children_yang_names.add("log-adjacency-changes")

                self.max_lsa = Native.Router.Ospf.MaxLsa()
                self.max_lsa.parent = self
                self._children_name_map["max_lsa"] = "max-lsa"
                self._children_yang_names.add("max-lsa")

                self.max_metric = Native.Router.Ospf.MaxMetric()
                self.max_metric.parent = self
                self._children_name_map["max_metric"] = "max-metric"
                self._children_yang_names.add("max-metric")

                self.passive_interface = Native.Router.Ospf.PassiveInterface()
                self.passive_interface.parent = self
                self._children_name_map["passive_interface"] = "passive-interface"
                self._children_yang_names.add("passive-interface")

                self.disable = Native.Router.Ospf.Disable()
                self.disable.parent = self
                self._children_name_map["disable"] = "disable"
                self._children_yang_names.add("disable")

                self.queue_depth = Native.Router.Ospf.QueueDepth()
                self.queue_depth.parent = self
                self._children_name_map["queue_depth"] = "queue-depth"
                self._children_yang_names.add("queue-depth")

                self.timers = Native.Router.Ospf.Timers()
                self.timers.parent = self
                self._children_name_map["timers"] = "timers"
                self._children_yang_names.add("timers")

                self.traffic_share = Native.Router.Ospf.TrafficShare()
                self.traffic_share.parent = self
                self._children_name_map["traffic_share"] = "traffic-share"
                self._children_yang_names.add("traffic-share")

                self.ttl_security = Native.Router.Ospf.TtlSecurity()
                self.ttl_security.parent = self
                self._children_name_map["ttl_security"] = "ttl-security"
                self._children_yang_names.add("ttl-security")

                self.capability = Native.Router.Ospf.Capability()
                self.capability.parent = self
                self._children_name_map["capability"] = "capability"
                self._children_yang_names.add("capability")

                self.compatible = Native.Router.Ospf.Compatible()
                self.compatible.parent = self
                self._children_name_map["compatible"] = "compatible"
                self._children_yang_names.add("compatible")

                self.default_information = Native.Router.Ospf.DefaultInformation()
                self.default_information.parent = self
                self._children_name_map["default_information"] = "default-information"
                self._children_yang_names.add("default-information")

                self.discard_route = None
                self._children_name_map["discard_route"] = "discard-route"
                self._children_yang_names.add("discard-route")

                self.distance = Native.Router.Ospf.Distance()
                self.distance.parent = self
                self._children_name_map["distance"] = "distance"
                self._children_yang_names.add("distance")

                self.redistribute = Native.Router.Ospf.Redistribute()
                self.redistribute.parent = self
                self._children_name_map["redistribute"] = "redistribute"
                self._children_yang_names.add("redistribute")

                self.distribute_list = Native.Router.Ospf.DistributeList()
                self.distribute_list.parent = self
                self._children_name_map["distribute_list"] = "distribute-list"
                self._children_yang_names.add("distribute-list")

                self.domain_id = Native.Router.Ospf.DomainId()
                self.domain_id.parent = self
                self._children_name_map["domain_id"] = "domain-id"
                self._children_yang_names.add("domain-id")

                self.fast_reroute = Native.Router.Ospf.FastReroute()
                self.fast_reroute.parent = self
                self._children_name_map["fast_reroute"] = "fast-reroute"
                self._children_yang_names.add("fast-reroute")

                self.graceful_restart = None
                self._children_name_map["graceful_restart"] = "graceful-restart"
                self._children_yang_names.add("graceful-restart")

                self.ignore = Native.Router.Ospf.Ignore()
                self.ignore.parent = self
                self._children_name_map["ignore"] = "ignore"
                self._children_yang_names.add("ignore")

                self.limit = Native.Router.Ospf.Limit()
                self.limit.parent = self
                self._children_name_map["limit"] = "limit"
                self._children_yang_names.add("limit")

                self.local_rib_criteria = Native.Router.Ospf.LocalRibCriteria()
                self.local_rib_criteria.parent = self
                self._children_name_map["local_rib_criteria"] = "local-rib-criteria"
                self._children_yang_names.add("local-rib-criteria")

                self.microloop = Native.Router.Ospf.Microloop()
                self.microloop.parent = self
                self._children_name_map["microloop"] = "microloop"
                self._children_yang_names.add("microloop")

                self.mpls = Native.Router.Ospf.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")

                self.nsf = None
                self._children_name_map["nsf"] = "nsf"
                self._children_yang_names.add("nsf")

                self.prefix_priority = Native.Router.Ospf.PrefixPriority()
                self.prefix_priority.parent = self
                self._children_name_map["prefix_priority"] = "prefix-priority"
                self._children_yang_names.add("prefix-priority")

                self.process_min_time = Native.Router.Ospf.ProcessMinTime()
                self.process_min_time.parent = self
                self._children_name_map["process_min_time"] = "process-min-time"
                self._children_yang_names.add("process-min-time")

                self.snmp = Native.Router.Ospf.Snmp()
                self.snmp.parent = self
                self._children_name_map["snmp"] = "snmp"
                self._children_yang_names.add("snmp")

                self.area = YList(self)
                self.neighbor = YList(self)
                self.network = YList(self)
                self.summary_address = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-ospf:ospf" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Router.Ospf, ['id', 'vrf', 'router_id', 'nsr', 'default_metric', 'maximum_paths', 'domain_tag', 'ispf', 'prefix_suppression', 'priority', 'shutdown'], name, value)


            class AddressFamily(Entity):
                """
                Enter Address Family command mode
                
                .. attribute:: ipv4_1
                
                	
                	**type**\:  :py:class:`Ipv41 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv41>`
                
                .. attribute:: ipv4
                
                	Address family
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.AddressFamily, self).__init__()

                    self.yang_name = "address-family"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ipv4_1" : ("ipv4_1", Native.Router.Ospf.AddressFamily.Ipv41), "ipv4" : ("ipv4", Native.Router.Ospf.AddressFamily.Ipv4)}
                    self._child_list_classes = {}

                    self.ipv4_1 = Native.Router.Ospf.AddressFamily.Ipv41()
                    self.ipv4_1.parent = self
                    self._children_name_map["ipv4_1"] = "ipv4_1"
                    self._children_yang_names.add("ipv4_1")

                    self.ipv4 = Native.Router.Ospf.AddressFamily.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")
                    self._segment_path = lambda: "address-family"


                class Ipv41(Entity):
                    """
                    
                    
                    .. attribute:: ipv4
                    
                    	Address family
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv41.Ipv4>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.AddressFamily.Ipv41, self).__init__()

                        self.yang_name = "ipv4_1"
                        self.yang_parent_name = "address-family"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Ospf.AddressFamily.Ipv41.Ipv4)}
                        self._child_list_classes = {}

                        self.ipv4 = Native.Router.Ospf.AddressFamily.Ipv41.Ipv4()
                        self.ipv4.parent = self
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")
                        self._segment_path = lambda: "ipv4_1"


                    class Ipv4(Entity):
                        """
                        Address family
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp>`
                        
                        .. attribute:: topology
                        
                        	Associate the routing protocol to a topology instance
                        	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Topology>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "ipv4_1"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"snmp" : ("snmp", Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp), "topology" : ("topology", Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Topology)}
                            self._child_list_classes = {}

                            self.snmp = Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp()
                            self.snmp.parent = self
                            self._children_name_map["snmp"] = "snmp"
                            self._children_yang_names.add("snmp")

                            self.topology = Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Topology()
                            self.topology.parent = self
                            self._children_name_map["topology"] = "topology"
                            self._children_yang_names.add("topology")
                            self._segment_path = lambda: "ipv4"


                        class Snmp(Entity):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp, self).__init__()

                                self.yang_name = "snmp"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"context" : ("context", Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context)}

                                self.context = YList(self)
                                self._segment_path = lambda: "snmp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp, [], name, value)


                            class Context(Entity):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: name  <key>
                                
                                	Context Name
                                	**type**\: str
                                
                                .. attribute:: community
                                
                                	Configure a SNMP v2c Community string and access privs
                                	**type**\:  :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.Community>`
                                
                                .. attribute:: user
                                
                                	Configure a SNMP v3 user
                                	**type**\:  :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context, self).__init__()

                                    self.yang_name = "context"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"community" : ("community", Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.Community), "user" : ("user", Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User)}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.community = Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.Community()
                                    self.community.parent = self
                                    self._children_name_map["community"] = "community"
                                    self._children_yang_names.add("community")

                                    self.user = Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User()
                                    self.user.parent = self
                                    self._children_name_map["user"] = "user"
                                    self._children_yang_names.add("user")
                                    self._segment_path = lambda: "context" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context, ['name'], name, value)


                                class Community(Entity):
                                    """
                                    Configure a SNMP v2c Community string and access privs
                                    
                                    .. attribute:: community_string
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: access
                                    
                                    	
                                    	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.Community.Access>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.Community, self).__init__()

                                        self.yang_name = "community"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"access" : ("access", Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.Community.Access)}
                                        self._child_list_classes = {}

                                        self.community_string = YLeaf(YType.str, "community-string")

                                        self.access = Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.Community.Access()
                                        self.access.parent = self
                                        self._children_name_map["access"] = "access"
                                        self._children_yang_names.add("access")
                                        self._segment_path = lambda: "community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.Community, ['community_string'], name, value)


                                    class Access(Entity):
                                        """
                                        
                                        
                                        .. attribute:: standard_acl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..99
                                        
                                        .. attribute:: expanded_acl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1300..1999
                                        
                                        .. attribute:: acl_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	Specify IPv6 Named Access\-List
                                        	**type**\: str
                                        
                                        .. attribute:: ro
                                        
                                        	Read\-only access with this community string
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: rw
                                        
                                        	Read\-write access with this community string
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.Community.Access, self).__init__()

                                            self.yang_name = "access"
                                            self.yang_parent_name = "community"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                            self.expanded_acl = YLeaf(YType.uint32, "expanded-acl")

                                            self.acl_name = YLeaf(YType.str, "acl-name")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")

                                            self.ro = YLeaf(YType.empty, "ro")

                                            self.rw = YLeaf(YType.empty, "rw")
                                            self._segment_path = lambda: "access"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.Community.Access, ['standard_acl', 'expanded_acl', 'acl_name', 'ipv6', 'ro', 'rw'], name, value)


                                class User(Entity):
                                    """
                                    Configure a SNMP v3 user
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: permisssion
                                    
                                    	
                                    	**type**\:  :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User, self).__init__()

                                        self.yang_name = "user"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"permisssion" : ("permisssion", Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.permisssion = Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion()
                                        self.permisssion.parent = self
                                        self._children_name_map["permisssion"] = "permisssion"
                                        self._children_yang_names.add("permisssion")
                                        self._segment_path = lambda: "user"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User, ['name'], name, value)


                                    class Permisssion(Entity):
                                        """
                                        
                                        
                                        .. attribute:: access
                                        
                                        	specify an access\-list associated with this group
                                        	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion.Access>`
                                        
                                        .. attribute:: auth
                                        
                                        	authentication parameters for the user
                                        	**type**\:  :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion.Auth>`
                                        
                                        .. attribute:: credential
                                        
                                        	If the user password is already configured and saved
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: encrypted
                                        
                                        	specifying passwords as MD5 or SHA digests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion, self).__init__()

                                            self.yang_name = "permisssion"
                                            self.yang_parent_name = "user"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"access" : ("access", Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion.Access), "auth" : ("auth", Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion.Auth)}
                                            self._child_list_classes = {}

                                            self.credential = YLeaf(YType.empty, "credential")

                                            self.encrypted = YLeaf(YType.empty, "encrypted")

                                            self.access = Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion.Access()
                                            self.access.parent = self
                                            self._children_name_map["access"] = "access"
                                            self._children_yang_names.add("access")

                                            self.auth = Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion.Auth()
                                            self.auth.parent = self
                                            self._children_name_map["auth"] = "auth"
                                            self._children_yang_names.add("auth")
                                            self._segment_path = lambda: "permisssion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion, ['credential', 'encrypted'], name, value)


                                        class Access(Entity):
                                            """
                                            specify an access\-list associated with this group
                                            
                                            .. attribute:: standard_acl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: acl_name
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospf'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion.Access, self).__init__()

                                                self.yang_name = "access"
                                                self.yang_parent_name = "permisssion"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                                self.acl_name = YLeaf(YType.str, "acl-name")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "access"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion.Access, ['standard_acl', 'acl_name', 'ipv6'], name, value)


                                        class Auth(Entity):
                                            """
                                            authentication parameters for the user
                                            
                                            .. attribute:: md5
                                            
                                            	Use HMAC MD5 algorithm for authentication
                                            	**type**\: str
                                            
                                            .. attribute:: sha
                                            
                                            	Use HMAC SHA algorithm for authentication
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospf'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion.Auth, self).__init__()

                                                self.yang_name = "auth"
                                                self.yang_parent_name = "permisssion"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.md5 = YLeaf(YType.str, "md5")

                                                self.sha = YLeaf(YType.str, "sha")
                                                self._segment_path = lambda: "auth"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Snmp.Context.User.Permisssion.Auth, ['md5', 'sha'], name, value)


                        class Topology(Entity):
                            """
                            Associate the routing protocol to a topology instance
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: tid
                            
                            	Configuring the routing protocol topology tid
                            	**type**\: int
                            
                            	**range:** 32..127
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Topology, self).__init__()

                                self.yang_name = "topology"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.tid = YLeaf(YType.uint32, "tid")
                                self._segment_path = lambda: "topology"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv41.Ipv4.Topology, ['name', 'tid'], name, value)


                class Ipv4(Entity):
                    """
                    Address family
                    
                    .. attribute:: unicast
                    
                    	Address Family Modifier
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast>`
                    
                    .. attribute:: multicast
                    
                    	Address Family Modifier
                    	**type**\:  :py:class:`Multicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.AddressFamily.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "address-family"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"unicast" : ("unicast", Native.Router.Ospf.AddressFamily.Ipv4.Unicast), "multicast" : ("multicast", Native.Router.Ospf.AddressFamily.Ipv4.Multicast)}
                        self._child_list_classes = {}

                        self.unicast = Native.Router.Ospf.AddressFamily.Ipv4.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")

                        self.multicast = Native.Router.Ospf.AddressFamily.Ipv4.Multicast()
                        self.multicast.parent = self
                        self._children_name_map["multicast"] = "multicast"
                        self._children_yang_names.add("multicast")
                        self._segment_path = lambda: "ipv4"


                    class Unicast(Entity):
                        """
                        Address Family Modifier
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp>`
                        
                        .. attribute:: topology
                        
                        	Associate the routing protocol to a topology instance
                        	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Topology>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.AddressFamily.Ipv4.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"snmp" : ("snmp", Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp), "topology" : ("topology", Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Topology)}
                            self._child_list_classes = {}

                            self.snmp = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp()
                            self.snmp.parent = self
                            self._children_name_map["snmp"] = "snmp"
                            self._children_yang_names.add("snmp")

                            self.topology = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Topology()
                            self.topology.parent = self
                            self._children_name_map["topology"] = "topology"
                            self._children_yang_names.add("topology")
                            self._segment_path = lambda: "unicast"


                        class Snmp(Entity):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp, self).__init__()

                                self.yang_name = "snmp"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"context" : ("context", Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context)}

                                self.context = YList(self)
                                self._segment_path = lambda: "snmp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp, [], name, value)


                            class Context(Entity):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: name  <key>
                                
                                	Context Name
                                	**type**\: str
                                
                                .. attribute:: community
                                
                                	Configure a SNMP v2c Community string and access privs
                                	**type**\:  :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community>`
                                
                                .. attribute:: user
                                
                                	Configure a SNMP v3 user
                                	**type**\:  :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context, self).__init__()

                                    self.yang_name = "context"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"community" : ("community", Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community), "user" : ("user", Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User)}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.community = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community()
                                    self.community.parent = self
                                    self._children_name_map["community"] = "community"
                                    self._children_yang_names.add("community")

                                    self.user = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User()
                                    self.user.parent = self
                                    self._children_name_map["user"] = "user"
                                    self._children_yang_names.add("user")
                                    self._segment_path = lambda: "context" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context, ['name'], name, value)


                                class Community(Entity):
                                    """
                                    Configure a SNMP v2c Community string and access privs
                                    
                                    .. attribute:: community_string
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: access
                                    
                                    	
                                    	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community.Access>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community, self).__init__()

                                        self.yang_name = "community"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"access" : ("access", Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community.Access)}
                                        self._child_list_classes = {}

                                        self.community_string = YLeaf(YType.str, "community-string")

                                        self.access = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community.Access()
                                        self.access.parent = self
                                        self._children_name_map["access"] = "access"
                                        self._children_yang_names.add("access")
                                        self._segment_path = lambda: "community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community, ['community_string'], name, value)


                                    class Access(Entity):
                                        """
                                        
                                        
                                        .. attribute:: standard_acl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..99
                                        
                                        .. attribute:: expanded_acl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1300..1999
                                        
                                        .. attribute:: acl_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	Specify IPv6 Named Access\-List
                                        	**type**\: str
                                        
                                        .. attribute:: ro
                                        
                                        	Read\-only access with this community string
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: rw
                                        
                                        	Read\-write access with this community string
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community.Access, self).__init__()

                                            self.yang_name = "access"
                                            self.yang_parent_name = "community"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                            self.expanded_acl = YLeaf(YType.uint32, "expanded-acl")

                                            self.acl_name = YLeaf(YType.str, "acl-name")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")

                                            self.ro = YLeaf(YType.empty, "ro")

                                            self.rw = YLeaf(YType.empty, "rw")
                                            self._segment_path = lambda: "access"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.Community.Access, ['standard_acl', 'expanded_acl', 'acl_name', 'ipv6', 'ro', 'rw'], name, value)


                                class User(Entity):
                                    """
                                    Configure a SNMP v3 user
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: permisssion
                                    
                                    	
                                    	**type**\:  :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User, self).__init__()

                                        self.yang_name = "user"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"permisssion" : ("permisssion", Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.permisssion = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion()
                                        self.permisssion.parent = self
                                        self._children_name_map["permisssion"] = "permisssion"
                                        self._children_yang_names.add("permisssion")
                                        self._segment_path = lambda: "user"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User, ['name'], name, value)


                                    class Permisssion(Entity):
                                        """
                                        
                                        
                                        .. attribute:: access
                                        
                                        	specify an access\-list associated with this group
                                        	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Access>`
                                        
                                        .. attribute:: auth
                                        
                                        	authentication parameters for the user
                                        	**type**\:  :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Auth>`
                                        
                                        .. attribute:: credential
                                        
                                        	If the user password is already configured and saved
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: encrypted
                                        
                                        	specifying passwords as MD5 or SHA digests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion, self).__init__()

                                            self.yang_name = "permisssion"
                                            self.yang_parent_name = "user"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"access" : ("access", Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Access), "auth" : ("auth", Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Auth)}
                                            self._child_list_classes = {}

                                            self.credential = YLeaf(YType.empty, "credential")

                                            self.encrypted = YLeaf(YType.empty, "encrypted")

                                            self.access = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Access()
                                            self.access.parent = self
                                            self._children_name_map["access"] = "access"
                                            self._children_yang_names.add("access")

                                            self.auth = Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Auth()
                                            self.auth.parent = self
                                            self._children_name_map["auth"] = "auth"
                                            self._children_yang_names.add("auth")
                                            self._segment_path = lambda: "permisssion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion, ['credential', 'encrypted'], name, value)


                                        class Access(Entity):
                                            """
                                            specify an access\-list associated with this group
                                            
                                            .. attribute:: standard_acl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: acl_name
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospf'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Access, self).__init__()

                                                self.yang_name = "access"
                                                self.yang_parent_name = "permisssion"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                                self.acl_name = YLeaf(YType.str, "acl-name")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "access"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Access, ['standard_acl', 'acl_name', 'ipv6'], name, value)


                                        class Auth(Entity):
                                            """
                                            authentication parameters for the user
                                            
                                            .. attribute:: md5
                                            
                                            	Use HMAC MD5 algorithm for authentication
                                            	**type**\: str
                                            
                                            .. attribute:: sha
                                            
                                            	Use HMAC SHA algorithm for authentication
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospf'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Auth, self).__init__()

                                                self.yang_name = "auth"
                                                self.yang_parent_name = "permisssion"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.md5 = YLeaf(YType.str, "md5")

                                                self.sha = YLeaf(YType.str, "sha")
                                                self._segment_path = lambda: "auth"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Snmp.Context.User.Permisssion.Auth, ['md5', 'sha'], name, value)


                        class Topology(Entity):
                            """
                            Associate the routing protocol to a topology instance
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: tid
                            
                            	Configuring the routing protocol topology tid
                            	**type**\: int
                            
                            	**range:** 32..127
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Topology, self).__init__()

                                self.yang_name = "topology"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.tid = YLeaf(YType.uint32, "tid")
                                self._segment_path = lambda: "topology"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Unicast.Topology, ['name', 'tid'], name, value)


                    class Multicast(Entity):
                        """
                        Address Family Modifier
                        
                        .. attribute:: snmp
                        
                        	Modify snmp parameters
                        	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp>`
                        
                        .. attribute:: topology
                        
                        	Associate the routing protocol to a topology instance
                        	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Topology>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.AddressFamily.Ipv4.Multicast, self).__init__()

                            self.yang_name = "multicast"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"snmp" : ("snmp", Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp), "topology" : ("topology", Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Topology)}
                            self._child_list_classes = {}

                            self.snmp = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp()
                            self.snmp.parent = self
                            self._children_name_map["snmp"] = "snmp"
                            self._children_yang_names.add("snmp")

                            self.topology = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Topology()
                            self.topology.parent = self
                            self._children_name_map["topology"] = "topology"
                            self._children_yang_names.add("topology")
                            self._segment_path = lambda: "multicast"


                        class Snmp(Entity):
                            """
                            Modify snmp parameters
                            
                            .. attribute:: context
                            
                            	Configure a SNMP context
                            	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp, self).__init__()

                                self.yang_name = "snmp"
                                self.yang_parent_name = "multicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"context" : ("context", Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context)}

                                self.context = YList(self)
                                self._segment_path = lambda: "snmp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp, [], name, value)


                            class Context(Entity):
                                """
                                Configure a SNMP context
                                
                                .. attribute:: name  <key>
                                
                                	Context Name
                                	**type**\: str
                                
                                .. attribute:: community
                                
                                	Configure a SNMP v2c Community string and access privs
                                	**type**\:  :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community>`
                                
                                .. attribute:: user
                                
                                	Configure a SNMP v3 user
                                	**type**\:  :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context, self).__init__()

                                    self.yang_name = "context"
                                    self.yang_parent_name = "snmp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"community" : ("community", Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community), "user" : ("user", Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User)}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.community = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community()
                                    self.community.parent = self
                                    self._children_name_map["community"] = "community"
                                    self._children_yang_names.add("community")

                                    self.user = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User()
                                    self.user.parent = self
                                    self._children_name_map["user"] = "user"
                                    self._children_yang_names.add("user")
                                    self._segment_path = lambda: "context" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context, ['name'], name, value)


                                class Community(Entity):
                                    """
                                    Configure a SNMP v2c Community string and access privs
                                    
                                    .. attribute:: community_string
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: access
                                    
                                    	
                                    	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community.Access>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community, self).__init__()

                                        self.yang_name = "community"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"access" : ("access", Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community.Access)}
                                        self._child_list_classes = {}

                                        self.community_string = YLeaf(YType.str, "community-string")

                                        self.access = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community.Access()
                                        self.access.parent = self
                                        self._children_name_map["access"] = "access"
                                        self._children_yang_names.add("access")
                                        self._segment_path = lambda: "community"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community, ['community_string'], name, value)


                                    class Access(Entity):
                                        """
                                        
                                        
                                        .. attribute:: standard_acl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..99
                                        
                                        .. attribute:: expanded_acl
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1300..1999
                                        
                                        .. attribute:: acl_name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: ipv6
                                        
                                        	Specify IPv6 Named Access\-List
                                        	**type**\: str
                                        
                                        .. attribute:: ro
                                        
                                        	Read\-only access with this community string
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: rw
                                        
                                        	Read\-write access with this community string
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community.Access, self).__init__()

                                            self.yang_name = "access"
                                            self.yang_parent_name = "community"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                            self.expanded_acl = YLeaf(YType.uint32, "expanded-acl")

                                            self.acl_name = YLeaf(YType.str, "acl-name")

                                            self.ipv6 = YLeaf(YType.str, "ipv6")

                                            self.ro = YLeaf(YType.empty, "ro")

                                            self.rw = YLeaf(YType.empty, "rw")
                                            self._segment_path = lambda: "access"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.Community.Access, ['standard_acl', 'expanded_acl', 'acl_name', 'ipv6', 'ro', 'rw'], name, value)


                                class User(Entity):
                                    """
                                    Configure a SNMP v3 user
                                    
                                    .. attribute:: name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: permisssion
                                    
                                    	
                                    	**type**\:  :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User, self).__init__()

                                        self.yang_name = "user"
                                        self.yang_parent_name = "context"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"permisssion" : ("permisssion", Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.permisssion = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion()
                                        self.permisssion.parent = self
                                        self._children_name_map["permisssion"] = "permisssion"
                                        self._children_yang_names.add("permisssion")
                                        self._segment_path = lambda: "user"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User, ['name'], name, value)


                                    class Permisssion(Entity):
                                        """
                                        
                                        
                                        .. attribute:: access
                                        
                                        	specify an access\-list associated with this group
                                        	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Access>`
                                        
                                        .. attribute:: auth
                                        
                                        	authentication parameters for the user
                                        	**type**\:  :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Auth>`
                                        
                                        .. attribute:: credential
                                        
                                        	If the user password is already configured and saved
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: encrypted
                                        
                                        	specifying passwords as MD5 or SHA digests
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospf'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion, self).__init__()

                                            self.yang_name = "permisssion"
                                            self.yang_parent_name = "user"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"access" : ("access", Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Access), "auth" : ("auth", Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Auth)}
                                            self._child_list_classes = {}

                                            self.credential = YLeaf(YType.empty, "credential")

                                            self.encrypted = YLeaf(YType.empty, "encrypted")

                                            self.access = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Access()
                                            self.access.parent = self
                                            self._children_name_map["access"] = "access"
                                            self._children_yang_names.add("access")

                                            self.auth = Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Auth()
                                            self.auth.parent = self
                                            self._children_name_map["auth"] = "auth"
                                            self._children_yang_names.add("auth")
                                            self._segment_path = lambda: "permisssion"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion, ['credential', 'encrypted'], name, value)


                                        class Access(Entity):
                                            """
                                            specify an access\-list associated with this group
                                            
                                            .. attribute:: standard_acl
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: acl_name
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: ipv6
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospf'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Access, self).__init__()

                                                self.yang_name = "access"
                                                self.yang_parent_name = "permisssion"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                                self.acl_name = YLeaf(YType.str, "acl-name")

                                                self.ipv6 = YLeaf(YType.str, "ipv6")
                                                self._segment_path = lambda: "access"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Access, ['standard_acl', 'acl_name', 'ipv6'], name, value)


                                        class Auth(Entity):
                                            """
                                            authentication parameters for the user
                                            
                                            .. attribute:: md5
                                            
                                            	Use HMAC MD5 algorithm for authentication
                                            	**type**\: str
                                            
                                            .. attribute:: sha
                                            
                                            	Use HMAC SHA algorithm for authentication
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospf'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Auth, self).__init__()

                                                self.yang_name = "auth"
                                                self.yang_parent_name = "permisssion"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.md5 = YLeaf(YType.str, "md5")

                                                self.sha = YLeaf(YType.str, "sha")
                                                self._segment_path = lambda: "auth"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Snmp.Context.User.Permisssion.Auth, ['md5', 'sha'], name, value)


                        class Topology(Entity):
                            """
                            Associate the routing protocol to a topology instance
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: tid
                            
                            	Configuring the routing protocol topology tid
                            	**type**\: int
                            
                            	**range:** 32..127
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Topology, self).__init__()

                                self.yang_name = "topology"
                                self.yang_parent_name = "multicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.tid = YLeaf(YType.uint32, "tid")
                                self._segment_path = lambda: "topology"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.AddressFamily.Ipv4.Multicast.Topology, ['name', 'tid'], name, value)


            class Area(Entity):
                """
                OSPF area parameters
                
                .. attribute:: id  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..4294967295
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Authentication>`
                
                	**presence node**\: True
                
                .. attribute:: capability
                
                	Enable area specific capability
                	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Capability>`
                
                .. attribute:: default_cost
                
                	Set the summary default\-cost of a NSSA/stub area
                	**type**\: int
                
                	**range:** 0..16777215
                
                .. attribute:: filter_list
                
                	Filter networks between OSPF areas
                	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.FilterList>`
                
                .. attribute:: nssa
                
                	Specify a NSSA area
                	**type**\:  :py:class:`Nssa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Nssa>`
                
                	**presence node**\: True
                
                .. attribute:: ipv4_range
                
                	
                	**type**\:  :py:class:`Ipv4Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Ipv4Range>`
                
                .. attribute:: ipv6_range
                
                	
                	**type**\:  :py:class:`Ipv6Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Ipv6Range>`
                
                .. attribute:: sham_link
                
                	Define a sham link and its parameters
                	**type**\: list of  		 :py:class:`ShamLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.ShamLink>`
                
                .. attribute:: stub
                
                	Specify a stub area
                	**type**\:  :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Stub>`
                
                	**presence node**\: True
                
                .. attribute:: virtual_link
                
                	Define a virtual link and its parameters
                	**type**\: list of  		 :py:class:`VirtualLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Area, self).__init__()

                    self.yang_name = "area"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authentication" : ("authentication", Native.Router.Ospf.Area.Authentication), "capability" : ("capability", Native.Router.Ospf.Area.Capability), "nssa" : ("nssa", Native.Router.Ospf.Area.Nssa), "ipv4-range" : ("ipv4_range", Native.Router.Ospf.Area.Ipv4Range), "ipv6-range" : ("ipv6_range", Native.Router.Ospf.Area.Ipv6Range), "stub" : ("stub", Native.Router.Ospf.Area.Stub)}
                    self._child_list_classes = {"filter-list" : ("filter_list", Native.Router.Ospf.Area.FilterList), "sham-link" : ("sham_link", Native.Router.Ospf.Area.ShamLink), "virtual-link" : ("virtual_link", Native.Router.Ospf.Area.VirtualLink)}

                    self.id = YLeaf(YType.str, "id")

                    self.default_cost = YLeaf(YType.uint32, "default-cost")

                    self.authentication = None
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.capability = Native.Router.Ospf.Area.Capability()
                    self.capability.parent = self
                    self._children_name_map["capability"] = "capability"
                    self._children_yang_names.add("capability")

                    self.nssa = None
                    self._children_name_map["nssa"] = "nssa"
                    self._children_yang_names.add("nssa")

                    self.ipv4_range = Native.Router.Ospf.Area.Ipv4Range()
                    self.ipv4_range.parent = self
                    self._children_name_map["ipv4_range"] = "ipv4-range"
                    self._children_yang_names.add("ipv4-range")

                    self.ipv6_range = Native.Router.Ospf.Area.Ipv6Range()
                    self.ipv6_range.parent = self
                    self._children_name_map["ipv6_range"] = "ipv6-range"
                    self._children_yang_names.add("ipv6-range")

                    self.stub = None
                    self._children_name_map["stub"] = "stub"
                    self._children_yang_names.add("stub")

                    self.filter_list = YList(self)
                    self.sham_link = YList(self)
                    self.virtual_link = YList(self)
                    self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.Area, ['id', 'default_cost'], name, value)


                class Authentication(Entity):
                    """
                    Enable authentication
                    
                    .. attribute:: message_digest
                    
                    	Use message\-digest authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Area.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.message_digest = YLeaf(YType.empty, "message-digest")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Area.Authentication, ['message_digest'], name, value)


                class Capability(Entity):
                    """
                    Enable area specific capability
                    
                    .. attribute:: default_exclusion
                    
                    	Enable exclusion of links from base topology
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Area.Capability, self).__init__()

                        self.yang_name = "capability"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.default_exclusion = YLeaf(YType.empty, "default-exclusion")
                        self._segment_path = lambda: "capability"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Area.Capability, ['default_exclusion'], name, value)


                class FilterList(Entity):
                    """
                    Filter networks between OSPF areas
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:  :py:class:`InOut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.FilterList.InOut>`
                    
                    .. attribute:: prefix
                    
                    	Filter prefixes between OSPF areas
                    	**type**\: str
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Area.FilterList, self).__init__()

                        self.yang_name = "filter-list"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.in_out = YLeaf(YType.enumeration, "in-out")

                        self.prefix = YLeaf(YType.str, "prefix")
                        self._segment_path = lambda: "filter-list" + "[in-out='" + self.in_out.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Area.FilterList, ['in_out', 'prefix'], name, value)

                    class InOut(Enum):
                        """
                        InOut

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class Nssa(Entity):
                    """
                    Specify a NSSA area
                    
                    .. attribute:: default_information_originate
                    
                    	Originate Type 7 default into NSSA area
                    	**type**\:  :py:class:`DefaultInformationOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: no_ext_capability
                    
                    	Do not send domain specific capabilities into NSSA
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_redistribution
                    
                    	No redistribution into this NSSA area
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_summary
                    
                    	Do not send summary LSA into NSSA
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nssa_only
                    
                    	Limit default advertisement to this NSSA area
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: translate
                    
                    	Translate LSA
                    	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Nssa.Translate>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Area.Nssa, self).__init__()

                        self.yang_name = "nssa"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default-information-originate" : ("default_information_originate", Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate), "translate" : ("translate", Native.Router.Ospf.Area.Nssa.Translate)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                        self.no_redistribution = YLeaf(YType.empty, "no-redistribution")

                        self.no_summary = YLeaf(YType.empty, "no-summary")

                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                        self.default_information_originate = None
                        self._children_name_map["default_information_originate"] = "default-information-originate"
                        self._children_yang_names.add("default-information-originate")

                        self.translate = Native.Router.Ospf.Area.Nssa.Translate()
                        self.translate.parent = self
                        self._children_name_map["translate"] = "translate"
                        self._children_yang_names.add("translate")
                        self._segment_path = lambda: "nssa"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Area.Nssa, ['no_ext_capability', 'no_redistribution', 'no_summary', 'nssa_only'], name, value)


                    class DefaultInformationOriginate(Entity):
                        """
                        Originate Type 7 default into NSSA area
                        
                        .. attribute:: metric
                        
                        	OSPF default metric
                        	**type**\: int
                        
                        	**range:** 0..16777214
                        
                        .. attribute:: metric_type
                        
                        	OSPF metric type for default routes
                        	**type**\: int
                        
                        	**range:** 1..2
                        
                        .. attribute:: no_ext_capability
                        
                        	Do not send domain specific capabilities into NSSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: no_redistribution
                        
                        	No redistribution into this NSSA area
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: no_summary
                        
                        	Do not send summary LSA into NSSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit default advertisement to this NSSA area
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: translate
                        
                        	Translate LSA
                        	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate, self).__init__()

                            self.yang_name = "default-information-originate"
                            self.yang_parent_name = "nssa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"translate" : ("translate", Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.metric = YLeaf(YType.int32, "metric")

                            self.metric_type = YLeaf(YType.uint32, "metric-type")

                            self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                            self.no_redistribution = YLeaf(YType.empty, "no-redistribution")

                            self.no_summary = YLeaf(YType.empty, "no-summary")

                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                            self.translate = Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate()
                            self.translate.parent = self
                            self._children_name_map["translate"] = "translate"
                            self._children_yang_names.add("translate")
                            self._segment_path = lambda: "default-information-originate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate, ['metric', 'metric_type', 'no_ext_capability', 'no_redistribution', 'no_summary', 'nssa_only'], name, value)


                        class Translate(Entity):
                            """
                            Translate LSA
                            
                            .. attribute:: type7
                            
                            	From Type 7 to Type 5
                            	**type**\:  :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate.Type7>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate, self).__init__()

                                self.yang_name = "translate"
                                self.yang_parent_name = "default-information-originate"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"type7" : ("type7", Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate.Type7)}
                                self._child_list_classes = {}

                                self.type7 = Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate.Type7()
                                self.type7.parent = self
                                self._children_name_map["type7"] = "type7"
                                self._children_yang_names.add("type7")
                                self._segment_path = lambda: "translate"


                            class Type7(Entity):
                                """
                                From Type 7 to Type 5
                                
                                .. attribute:: always
                                
                                	Always translate LSAs on this ABR
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: suppress_fa
                                
                                	Suppress forwarding address in translated LSAs
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate.Type7, self).__init__()

                                    self.yang_name = "type7"
                                    self.yang_parent_name = "translate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.always = YLeaf(YType.empty, "always")

                                    self.suppress_fa = YLeaf(YType.empty, "suppress-fa")
                                    self._segment_path = lambda: "type7"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Area.Nssa.DefaultInformationOriginate.Translate.Type7, ['always', 'suppress_fa'], name, value)


                    class Translate(Entity):
                        """
                        Translate LSA
                        
                        .. attribute:: type7
                        
                        	From Type 7 to Type 5
                        	**type**\:  :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Nssa.Translate.Type7>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.Nssa.Translate, self).__init__()

                            self.yang_name = "translate"
                            self.yang_parent_name = "nssa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"type7" : ("type7", Native.Router.Ospf.Area.Nssa.Translate.Type7)}
                            self._child_list_classes = {}

                            self.type7 = Native.Router.Ospf.Area.Nssa.Translate.Type7()
                            self.type7.parent = self
                            self._children_name_map["type7"] = "type7"
                            self._children_yang_names.add("type7")
                            self._segment_path = lambda: "translate"


                        class Type7(Entity):
                            """
                            From Type 7 to Type 5
                            
                            .. attribute:: always
                            
                            	Always translate LSAs on this ABR
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_fa
                            
                            	Suppress forwarding address in translated LSAs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Area.Nssa.Translate.Type7, self).__init__()

                                self.yang_name = "type7"
                                self.yang_parent_name = "translate"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.always = YLeaf(YType.empty, "always")

                                self.suppress_fa = YLeaf(YType.empty, "suppress-fa")
                                self._segment_path = lambda: "type7"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Area.Nssa.Translate.Type7, ['always', 'suppress_fa'], name, value)


                class Ipv4Range(Entity):
                    """
                    
                    
                    .. attribute:: range
                    
                    	Summarize routes matching address/mask (border routers only)
                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Ipv4Range.Range>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Area.Ipv4Range, self).__init__()

                        self.yang_name = "ipv4-range"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"range" : ("range", Native.Router.Ospf.Area.Ipv4Range.Range)}

                        self.range = YList(self)
                        self._segment_path = lambda: "ipv4-range"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Area.Ipv4Range, [], name, value)


                    class Range(Entity):
                        """
                        Summarize routes matching address/mask (border routers only)
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: advertise
                        
                        	Advertise this range (default)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: not_advertise
                        
                        	DoNotAdvertise this range
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cost
                        
                        	User specified metric for this range
                        	**type**\: int
                        
                        	**range:** 0..16777215
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.Ipv4Range.Range, self).__init__()

                            self.yang_name = "range"
                            self.yang_parent_name = "ipv4-range"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.advertise = YLeaf(YType.empty, "advertise")

                            self.not_advertise = YLeaf(YType.empty, "not-advertise")

                            self.cost = YLeaf(YType.uint32, "cost")
                            self._segment_path = lambda: "range" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Area.Ipv4Range.Range, ['ip', 'mask', 'advertise', 'not_advertise', 'cost'], name, value)


                class Ipv6Range(Entity):
                    """
                    
                    
                    .. attribute:: range
                    
                    	Summarize routes matching address/mask (border routers only)
                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.Ipv6Range.Range>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Area.Ipv6Range, self).__init__()

                        self.yang_name = "ipv6-range"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"range" : ("range", Native.Router.Ospf.Area.Ipv6Range.Range)}

                        self.range = YList(self)
                        self._segment_path = lambda: "ipv6-range"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Area.Ipv6Range, [], name, value)


                    class Range(Entity):
                        """
                        Summarize routes matching address/mask (border routers only)
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: advertise
                        
                        	Advertise this range (default)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: not_advertise
                        
                        	DoNotAdvertise this range
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cost
                        
                        	User specified metric for this range
                        	**type**\: int
                        
                        	**range:** 0..16777215
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.Ipv6Range.Range, self).__init__()

                            self.yang_name = "range"
                            self.yang_parent_name = "ipv6-range"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.str, "ip")

                            self.advertise = YLeaf(YType.empty, "advertise")

                            self.not_advertise = YLeaf(YType.empty, "not-advertise")

                            self.cost = YLeaf(YType.uint32, "cost")
                            self._segment_path = lambda: "range" + "[ip='" + self.ip.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Area.Ipv6Range.Range, ['ip', 'advertise', 'not_advertise', 'cost'], name, value)


                class ShamLink(Entity):
                    """
                    Define a sham link and its parameters
                    
                    .. attribute:: source  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: dest  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	Associate a cost with the sham\-link
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.ShamLink.TtlSecurity>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Area.ShamLink, self).__init__()

                        self.yang_name = "sham-link"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ttl-security" : ("ttl_security", Native.Router.Ospf.Area.ShamLink.TtlSecurity)}
                        self._child_list_classes = {}

                        self.source = YLeaf(YType.str, "source")

                        self.dest = YLeaf(YType.str, "dest")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.ttl_security = Native.Router.Ospf.Area.ShamLink.TtlSecurity()
                        self.ttl_security.parent = self
                        self._children_name_map["ttl_security"] = "ttl-security"
                        self._children_yang_names.add("ttl-security")
                        self._segment_path = lambda: "sham-link" + "[source='" + self.source.get() + "']" + "[dest='" + self.dest.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Area.ShamLink, ['source', 'dest', 'cost'], name, value)


                    class TtlSecurity(Entity):
                        """
                        TTL security check
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.ShamLink.TtlSecurity, self).__init__()

                            self.yang_name = "ttl-security"
                            self.yang_parent_name = "sham-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hops = YLeaf(YType.uint8, "hops")
                            self._segment_path = lambda: "ttl-security"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Area.ShamLink.TtlSecurity, ['hops'], name, value)


                class Stub(Entity):
                    """
                    Specify a stub area
                    
                    .. attribute:: no_ext_capability
                    
                    	Do not send domain specific capabilities into stub area
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_summary
                    
                    	Do not send summary LSA into stub area
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Area.Stub, self).__init__()

                        self.yang_name = "stub"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                        self.no_summary = YLeaf(YType.empty, "no-summary")
                        self._segment_path = lambda: "stub"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Area.Stub, ['no_ext_capability', 'no_summary'], name, value)


                class VirtualLink(Entity):
                    """
                    Define a virtual link and its parameters
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: authentication
                    
                    	Set authentication type
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication>`
                    
                    .. attribute:: hello_interval
                    
                    	Hello packet interval
                    	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.HelloInterval>`
                    
                    .. attribute:: dead_interval
                    
                    	Dead router detection time
                    	**type**\:  :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.DeadInterval>`
                    
                    .. attribute:: retransmit_interval
                    
                    	LSA retransmit interval
                    	**type**\:  :py:class:`RetransmitInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.RetransmitInterval>`
                    
                    .. attribute:: transmit_delay
                    
                    	LSA transmission delay
                    	**type**\:  :py:class:`TransmitDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.TransmitDelay>`
                    
                    .. attribute:: topology
                    
                    	Disable virtual link on topology
                    	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Topology>`
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.TtlSecurity>`
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.AuthenticationKey>`
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.MessageDigestKey>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Area.VirtualLink, self).__init__()

                        self.yang_name = "virtual-link"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Router.Ospf.Area.VirtualLink.Authentication), "hello-interval" : ("hello_interval", Native.Router.Ospf.Area.VirtualLink.HelloInterval), "dead-interval" : ("dead_interval", Native.Router.Ospf.Area.VirtualLink.DeadInterval), "retransmit-interval" : ("retransmit_interval", Native.Router.Ospf.Area.VirtualLink.RetransmitInterval), "transmit-delay" : ("transmit_delay", Native.Router.Ospf.Area.VirtualLink.TransmitDelay), "topology" : ("topology", Native.Router.Ospf.Area.VirtualLink.Topology), "ttl-security" : ("ttl_security", Native.Router.Ospf.Area.VirtualLink.TtlSecurity), "authentication-key" : ("authentication_key", Native.Router.Ospf.Area.VirtualLink.AuthenticationKey)}
                        self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospf.Area.VirtualLink.MessageDigestKey)}

                        self.id = YLeaf(YType.str, "id")

                        self.authentication = Native.Router.Ospf.Area.VirtualLink.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.hello_interval = Native.Router.Ospf.Area.VirtualLink.HelloInterval()
                        self.hello_interval.parent = self
                        self._children_name_map["hello_interval"] = "hello-interval"
                        self._children_yang_names.add("hello-interval")

                        self.dead_interval = Native.Router.Ospf.Area.VirtualLink.DeadInterval()
                        self.dead_interval.parent = self
                        self._children_name_map["dead_interval"] = "dead-interval"
                        self._children_yang_names.add("dead-interval")

                        self.retransmit_interval = Native.Router.Ospf.Area.VirtualLink.RetransmitInterval()
                        self.retransmit_interval.parent = self
                        self._children_name_map["retransmit_interval"] = "retransmit-interval"
                        self._children_yang_names.add("retransmit-interval")

                        self.transmit_delay = Native.Router.Ospf.Area.VirtualLink.TransmitDelay()
                        self.transmit_delay.parent = self
                        self._children_name_map["transmit_delay"] = "transmit-delay"
                        self._children_yang_names.add("transmit-delay")

                        self.topology = Native.Router.Ospf.Area.VirtualLink.Topology()
                        self.topology.parent = self
                        self._children_name_map["topology"] = "topology"
                        self._children_yang_names.add("topology")

                        self.ttl_security = Native.Router.Ospf.Area.VirtualLink.TtlSecurity()
                        self.ttl_security.parent = self
                        self._children_name_map["ttl_security"] = "ttl-security"
                        self._children_yang_names.add("ttl-security")

                        self.authentication_key = Native.Router.Ospf.Area.VirtualLink.AuthenticationKey()
                        self.authentication_key.parent = self
                        self._children_name_map["authentication_key"] = "authentication-key"
                        self._children_yang_names.add("authentication-key")

                        self.message_digest_key = YList(self)
                        self._segment_path = lambda: "virtual-link" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Area.VirtualLink, ['id'], name, value)


                    class Authentication(Entity):
                        """
                        Set authentication type
                        
                        .. attribute:: authentication_key
                        
                        	Set authentication key
                        	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.AuthenticationKey>`
                        
                        .. attribute:: message_digest_key
                        
                        	Set message digest key
                        	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey>`
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Message\-digest authentication
                        	**type**\:  :py:class:`MessageDigest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest>`
                        
                        .. attribute:: null
                        
                        	No authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.VirtualLink.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospf.Area.VirtualLink.Authentication.AuthenticationKey), "key-chain" : ("key_chain", Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain), "message-digest" : ("message_digest", Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest)}
                            self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey)}

                            self.null = YLeaf(YType.empty, "null")

                            self.authentication_key = Native.Router.Ospf.Area.VirtualLink.Authentication.AuthenticationKey()
                            self.authentication_key.parent = self
                            self._children_name_map["authentication_key"] = "authentication-key"
                            self._children_yang_names.add("authentication-key")

                            self.key_chain = Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self._children_name_map["key_chain"] = "key-chain"
                            self._children_yang_names.add("key-chain")

                            self.message_digest = Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest()
                            self.message_digest.parent = self
                            self._children_name_map["message_digest"] = "message-digest"
                            self._children_yang_names.add("message-digest")

                            self.message_digest_key = YList(self)
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.Authentication, ['null'], name, value)


                        class AuthenticationKey(Entity):
                            """
                            Set authentication key
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Area.VirtualLink.Authentication.AuthenticationKey, self).__init__()

                                self.yang_name = "authentication-key"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                self.auth_key = YLeaf(YType.str, "auth-key")
                                self._segment_path = lambda: "authentication-key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.Authentication.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                        class MessageDigestKey(Entity):
                            """
                            Set message digest key
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: md5
                            
                            	Use MD5 algorithm
                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey.Md5>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey, self).__init__()

                                self.yang_name = "message-digest-key"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"md5" : ("md5", Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey.Md5)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint8, "id")

                                self.md5 = Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey.Md5()
                                self.md5.parent = self
                                self._children_name_map["md5"] = "md5"
                                self._children_yang_names.add("md5")
                                self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey, ['id'], name, value)


                            class Md5(Entity):
                                """
                                Use MD5 algorithm
                                
                                .. attribute:: auth_type
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: auth_key
                                
                                	
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey.Md5, self).__init__()

                                    self.yang_name = "md5"
                                    self.yang_parent_name = "message-digest-key"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                    self._segment_path = lambda: "md5"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                        class KeyChain(Entity):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: authentication_key
                            
                            	Set authentication key
                            	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey>`
                            
                            .. attribute:: message_digest_key
                            
                            	Set message digest key
                            	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain, self).__init__()

                                self.yang_name = "key-chain"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey)}
                                self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey)}

                                self.name = YLeaf(YType.str, "name")

                                self.authentication_key = Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey()
                                self.authentication_key.parent = self
                                self._children_name_map["authentication_key"] = "authentication-key"
                                self._children_yang_names.add("authentication-key")

                                self.message_digest_key = YList(self)
                                self._segment_path = lambda: "key-chain"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain, ['name'], name, value)


                            class AuthenticationKey(Entity):
                                """
                                Set authentication key
                                
                                .. attribute:: auth_type
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: auth_key
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey, self).__init__()

                                    self.yang_name = "authentication-key"
                                    self.yang_parent_name = "key-chain"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                    self._segment_path = lambda: "authentication-key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                            class MessageDigestKey(Entity):
                                """
                                Set message digest key
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: md5
                                
                                	Use MD5 algorithm
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey, self).__init__()

                                    self.yang_name = "message-digest-key"
                                    self.yang_parent_name = "key-chain"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint8, "id")

                                    self.md5 = Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey, ['id'], name, value)


                                class Md5(Entity):
                                    """
                                    Use MD5 algorithm
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**length:** 1..16
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "message-digest-key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.auth_type = YLeaf(YType.uint8, "auth-type")

                                        self.auth_key = YLeaf(YType.str, "auth-key")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                        class MessageDigest(Entity):
                            """
                            Message\-digest authentication
                            
                            .. attribute:: authentication_key
                            
                            	Set authentication key
                            	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey>`
                            
                            .. attribute:: message_digest_key
                            
                            	Set message digest key
                            	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest, self).__init__()

                                self.yang_name = "message-digest"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey)}
                                self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey)}

                                self.authentication_key = Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey()
                                self.authentication_key.parent = self
                                self._children_name_map["authentication_key"] = "authentication-key"
                                self._children_yang_names.add("authentication-key")

                                self.message_digest_key = YList(self)
                                self._segment_path = lambda: "message-digest"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest, [], name, value)


                            class AuthenticationKey(Entity):
                                """
                                Set authentication key
                                
                                .. attribute:: auth_type
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: auth_key
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey, self).__init__()

                                    self.yang_name = "authentication-key"
                                    self.yang_parent_name = "message-digest"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                    self._segment_path = lambda: "authentication-key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                            class MessageDigestKey(Entity):
                                """
                                Set message digest key
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: md5
                                
                                	Use MD5 algorithm
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey, self).__init__()

                                    self.yang_name = "message-digest-key"
                                    self.yang_parent_name = "message-digest"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint8, "id")

                                    self.md5 = Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey, ['id'], name, value)


                                class Md5(Entity):
                                    """
                                    Use MD5 algorithm
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**length:** 1..16
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "message-digest-key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.auth_type = YLeaf(YType.uint8, "auth-type")

                                        self.auth_key = YLeaf(YType.str, "auth-key")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                    class HelloInterval(Entity):
                        """
                        Hello packet interval
                        
                        .. attribute:: hello_interval_value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.VirtualLink.HelloInterval, self).__init__()

                            self.yang_name = "hello-interval"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hello_interval_value = YLeaf(YType.int32, "hello-interval-value")
                            self._segment_path = lambda: "hello-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.HelloInterval, ['hello_interval_value'], name, value)


                    class DeadInterval(Entity):
                        """
                        Dead router detection time
                        
                        .. attribute:: dead_interval_value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.VirtualLink.DeadInterval, self).__init__()

                            self.yang_name = "dead-interval"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dead_interval_value = YLeaf(YType.uint16, "dead-interval-value")
                            self._segment_path = lambda: "dead-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.DeadInterval, ['dead_interval_value'], name, value)


                    class RetransmitInterval(Entity):
                        """
                        LSA retransmit interval
                        
                        .. attribute:: retransmit_interval_value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.VirtualLink.RetransmitInterval, self).__init__()

                            self.yang_name = "retransmit-interval"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.retransmit_interval_value = YLeaf(YType.uint16, "retransmit-interval-value")
                            self._segment_path = lambda: "retransmit-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.RetransmitInterval, ['retransmit_interval_value'], name, value)


                    class TransmitDelay(Entity):
                        """
                        LSA transmission delay
                        
                        .. attribute:: transmit_delay_value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.VirtualLink.TransmitDelay, self).__init__()

                            self.yang_name = "transmit-delay"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.transmit_delay_value = YLeaf(YType.uint16, "transmit-delay-value")
                            self._segment_path = lambda: "transmit-delay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.TransmitDelay, ['transmit_delay_value'], name, value)


                    class Topology(Entity):
                        """
                        Disable virtual link on topology
                        
                        .. attribute:: disable
                        
                        	Disable virtual link
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.VirtualLink.Topology, self).__init__()

                            self.yang_name = "topology"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "topology"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.Topology, ['disable'], name, value)


                    class TtlSecurity(Entity):
                        """
                        TTL security check
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.VirtualLink.TtlSecurity, self).__init__()

                            self.yang_name = "ttl-security"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hops = YLeaf(YType.uint8, "hops")
                            self._segment_path = lambda: "ttl-security"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.TtlSecurity, ['hops'], name, value)


                    class AuthenticationKey(Entity):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.VirtualLink.AuthenticationKey, self).__init__()

                            self.yang_name = "authentication-key"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                            self.auth_key = YLeaf(YType.str, "auth-key")
                            self._segment_path = lambda: "authentication-key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                    class MessageDigestKey(Entity):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Area.VirtualLink.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Area.VirtualLink.MessageDigestKey, self).__init__()

                            self.yang_name = "message-digest-key"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Router.Ospf.Area.VirtualLink.MessageDigestKey.Md5)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.md5 = Native.Router.Ospf.Area.VirtualLink.MessageDigestKey.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.MessageDigestKey, ['id'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\: str
                            
                            	**length:** 1..16
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Area.VirtualLink.MessageDigestKey.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "message-digest-key"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                self.auth_key = YLeaf(YType.str, "auth-key")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Area.VirtualLink.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


            class AutoCost(Entity):
                """
                Calculate OSPF interface cost according to bandwidth
                
                .. attribute:: reference_bandwidth
                
                	Use reference bandwidth method to assign OSPF cost
                	**type**\: int
                
                	**range:** 1..4294967
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.AutoCost, self).__init__()

                    self.yang_name = "auto-cost"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.reference_bandwidth = YLeaf(YType.uint32, "reference-bandwidth")
                    self._segment_path = lambda: "auto-cost"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.AutoCost, ['reference_bandwidth'], name, value)


            class EventLog(Entity):
                """
                OSPF Event Logging
                
                .. attribute:: one_shot
                
                	Disable Logging When Log Buffer Becomes Full
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pause
                
                	Pause Event Logging
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: size
                
                	Maximum Number of Events Stored in the Event Log
                	**type**\: int
                
                	**range:** 1..65534
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.EventLog, self).__init__()

                    self.yang_name = "event-log"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.one_shot = YLeaf(YType.empty, "one-shot")

                    self.pause = YLeaf(YType.empty, "pause")

                    self.size = YLeaf(YType.uint32, "size")
                    self._segment_path = lambda: "event-log"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.EventLog, ['one_shot', 'pause', 'size'], name, value)


            class Bfd(Entity):
                """
                BFD configuration commands
                
                .. attribute:: all_interfaces
                
                	Enable BFD on all interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.all_interfaces = YLeaf(YType.empty, "all-interfaces")
                    self._segment_path = lambda: "bfd"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.Bfd, ['all_interfaces'], name, value)


            class InterfaceId(Entity):
                """
                Source of the interface ID
                
                .. attribute:: snmp_if_index
                
                	SNMP MIB ifIndex
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.InterfaceId, self).__init__()

                    self.yang_name = "interface-id"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.snmp_if_index = YLeaf(YType.empty, "snmp-if-index")
                    self._segment_path = lambda: "interface-id"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.InterfaceId, ['snmp_if_index'], name, value)


            class LogAdjacencyChanges(Entity):
                """
                Log changes in adjacency state
                
                .. attribute:: detail
                
                	Log all state changes
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.LogAdjacencyChanges, self).__init__()

                    self.yang_name = "log-adjacency-changes"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.detail = YLeaf(YType.empty, "detail")
                    self._segment_path = lambda: "log-adjacency-changes"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.LogAdjacencyChanges, ['detail'], name, value)


            class MaxLsa(Entity):
                """
                maximum number of LSAs OSPF process will receive
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 1..4294967294
                
                .. attribute:: threshold_value
                
                	
                	**type**\: int
                
                	**range:** 1..100
                
                .. attribute:: ignore_count
                
                	maximum number of times adjacencies can be suppressed
                	**type**\: int
                
                	**range:** 1..65534
                
                .. attribute:: ignore_time
                
                	time during which all adjacencies are suppressed
                	**type**\: int
                
                	**range:** 1..17895
                
                .. attribute:: reset_time
                
                	time after which ignore\-count is reset to zero
                	**type**\: int
                
                	**range:** 2..35791
                
                .. attribute:: warning_only
                
                	Only give warning message when limit is exceeded
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.MaxLsa, self).__init__()

                    self.yang_name = "max-lsa"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint32, "number")

                    self.threshold_value = YLeaf(YType.uint32, "threshold-value")

                    self.ignore_count = YLeaf(YType.uint32, "ignore-count")

                    self.ignore_time = YLeaf(YType.uint32, "ignore-time")

                    self.reset_time = YLeaf(YType.uint32, "reset-time")

                    self.warning_only = YLeaf(YType.empty, "warning-only")
                    self._segment_path = lambda: "max-lsa"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.MaxLsa, ['number', 'threshold_value', 'ignore_count', 'ignore_time', 'reset_time', 'warning_only'], name, value)


            class MaxMetric(Entity):
                """
                Set maximum metric
                
                .. attribute:: router_lsa
                
                	Maximum metric in self\-originated router\-LSAs
                	**type**\:  :py:class:`RouterLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.MaxMetric.RouterLsa>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.MaxMetric, self).__init__()

                    self.yang_name = "max-metric"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"router-lsa" : ("router_lsa", Native.Router.Ospf.MaxMetric.RouterLsa)}
                    self._child_list_classes = {}

                    self.router_lsa = None
                    self._children_name_map["router_lsa"] = "router-lsa"
                    self._children_yang_names.add("router-lsa")
                    self._segment_path = lambda: "max-metric"


                class RouterLsa(Entity):
                    """
                    Maximum metric in self\-originated router\-LSAs
                    
                    .. attribute:: external_lsa
                    
                    	Override external\-lsa metric with max\-metric value
                    	**type**\:  :py:class:`ExternalLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.MaxMetric.RouterLsa.ExternalLsa>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: include_stub
                    
                    	Set maximum metric for stub links in router\-LSAs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: on_startup
                    
                    	Set maximum metric temporarily after reboot
                    	**type**\:  :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.MaxMetric.RouterLsa.OnStartup>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: summary_lsa
                    
                    	Override summary\-lsa metric with max\-metric value
                    	**type**\:  :py:class:`SummaryLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.MaxMetric.RouterLsa.SummaryLsa>`
                    
                    	**presence node**\: True
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.MaxMetric.RouterLsa, self).__init__()

                        self.yang_name = "router-lsa"
                        self.yang_parent_name = "max-metric"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"external-lsa" : ("external_lsa", Native.Router.Ospf.MaxMetric.RouterLsa.ExternalLsa), "on-startup" : ("on_startup", Native.Router.Ospf.MaxMetric.RouterLsa.OnStartup), "summary-lsa" : ("summary_lsa", Native.Router.Ospf.MaxMetric.RouterLsa.SummaryLsa)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.include_stub = YLeaf(YType.empty, "include-stub")

                        self.external_lsa = None
                        self._children_name_map["external_lsa"] = "external-lsa"
                        self._children_yang_names.add("external-lsa")

                        self.on_startup = None
                        self._children_name_map["on_startup"] = "on-startup"
                        self._children_yang_names.add("on-startup")

                        self.summary_lsa = None
                        self._children_name_map["summary_lsa"] = "summary-lsa"
                        self._children_yang_names.add("summary-lsa")
                        self._segment_path = lambda: "router-lsa"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.MaxMetric.RouterLsa, ['include_stub'], name, value)


                    class ExternalLsa(Entity):
                        """
                        Override external\-lsa metric with max\-metric value
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.MaxMetric.RouterLsa.ExternalLsa, self).__init__()

                            self.yang_name = "external-lsa"
                            self.yang_parent_name = "router-lsa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "external-lsa"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.MaxMetric.RouterLsa.ExternalLsa, ['metric'], name, value)


                    class OnStartup(Entity):
                        """
                        Set maximum metric temporarily after reboot
                        
                        .. attribute:: time
                        
                        	
                        	**type**\: int
                        
                        	**range:** 5..86400
                        
                        .. attribute:: wait_for_bgp
                        
                        	Let BGP decide when to originate router\-LSA with normal metric
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.MaxMetric.RouterLsa.OnStartup, self).__init__()

                            self.yang_name = "on-startup"
                            self.yang_parent_name = "router-lsa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.time = YLeaf(YType.uint32, "time")

                            self.wait_for_bgp = YLeaf(YType.empty, "wait-for-bgp")
                            self._segment_path = lambda: "on-startup"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.MaxMetric.RouterLsa.OnStartup, ['time', 'wait_for_bgp'], name, value)


                    class SummaryLsa(Entity):
                        """
                        Override summary\-lsa metric with max\-metric value
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.MaxMetric.RouterLsa.SummaryLsa, self).__init__()

                            self.yang_name = "summary-lsa"
                            self.yang_parent_name = "router-lsa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "summary-lsa"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.MaxMetric.RouterLsa.SummaryLsa, ['metric'], name, value)


            class PassiveInterface(Entity):
                """
                Suppress routing updates on an interface
                
                .. attribute:: default
                
                	Suppress routing updates on all interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.PassiveInterface, self).__init__()

                    self.yang_name = "passive-interface"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.default = YLeaf(YType.empty, "default")

                    self.interface = YLeaf(YType.str, "interface")
                    self._segment_path = lambda: "passive-interface"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.PassiveInterface, ['default', 'interface'], name, value)


            class Disable(Entity):
                """
                
                
                .. attribute:: passive_interface
                
                	
                	**type**\: list of  		 :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Disable.PassiveInterface>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Disable, self).__init__()

                    self.yang_name = "disable"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"passive-interface" : ("passive_interface", Native.Router.Ospf.Disable.PassiveInterface)}

                    self.passive_interface = YList(self)
                    self._segment_path = lambda: "disable"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.Disable, [], name, value)


                class PassiveInterface(Entity):
                    """
                    
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Disable.PassiveInterface, self).__init__()

                        self.yang_name = "passive-interface"
                        self.yang_parent_name = "disable"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interface = YLeaf(YType.str, "interface")
                        self._segment_path = lambda: "passive-interface" + "[interface='" + self.interface.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Disable.PassiveInterface, ['interface'], name, value)


            class QueueDepth(Entity):
                """
                OSPF Hello/Router process queue depth
                
                .. attribute:: hello
                
                	OSPF Hello process queue depth
                	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.QueueDepth.Hello>`
                
                .. attribute:: update
                
                	OSPF Router process queue depth
                	**type**\:  :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.QueueDepth.Update>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.QueueDepth, self).__init__()

                    self.yang_name = "queue-depth"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"hello" : ("hello", Native.Router.Ospf.QueueDepth.Hello), "update" : ("update", Native.Router.Ospf.QueueDepth.Update)}
                    self._child_list_classes = {}

                    self.hello = Native.Router.Ospf.QueueDepth.Hello()
                    self.hello.parent = self
                    self._children_name_map["hello"] = "hello"
                    self._children_yang_names.add("hello")

                    self.update = Native.Router.Ospf.QueueDepth.Update()
                    self.update.parent = self
                    self._children_name_map["update"] = "update"
                    self._children_yang_names.add("update")
                    self._segment_path = lambda: "queue-depth"


                class Hello(Entity):
                    """
                    OSPF Hello process queue depth
                    
                    .. attribute:: options
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..2147483647
                    
                    		**type**\:  :py:class:`Options <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.Options>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.QueueDepth.Hello, self).__init__()

                        self.yang_name = "hello"
                        self.yang_parent_name = "queue-depth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.options = YLeaf(YType.str, "options")
                        self._segment_path = lambda: "hello"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.QueueDepth.Hello, ['options'], name, value)

                    class Options(Enum):
                        """
                        Options

                        .. data:: unlimited = 0

                        """

                        unlimited = Enum.YLeaf(0, "unlimited")



                class Update(Entity):
                    """
                    OSPF Router process queue depth
                    
                    .. attribute:: options
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..2147483647
                    
                    		**type**\:  :py:class:`Options <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.Options>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.QueueDepth.Update, self).__init__()

                        self.yang_name = "update"
                        self.yang_parent_name = "queue-depth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.options = YLeaf(YType.str, "options")
                        self._segment_path = lambda: "update"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.QueueDepth.Update, ['options'], name, value)

                    class Options(Enum):
                        """
                        Options

                        .. data:: unlimited = 0

                        """

                        unlimited = Enum.YLeaf(0, "unlimited")



            class Timers(Entity):
                """
                Adjust routing timers
                
                .. attribute:: lsa
                
                	OSPF LSA timers
                	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers.Lsa>`
                
                .. attribute:: pacing
                
                	OSPF pacing timers
                	**type**\:  :py:class:`Pacing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers.Pacing>`
                
                .. attribute:: throttle
                
                	OSPF throttle timers
                	**type**\:  :py:class:`Throttle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers.Throttle>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Timers, self).__init__()

                    self.yang_name = "timers"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"lsa" : ("lsa", Native.Router.Ospf.Timers.Lsa), "pacing" : ("pacing", Native.Router.Ospf.Timers.Pacing), "throttle" : ("throttle", Native.Router.Ospf.Timers.Throttle)}
                    self._child_list_classes = {}

                    self.lsa = Native.Router.Ospf.Timers.Lsa()
                    self.lsa.parent = self
                    self._children_name_map["lsa"] = "lsa"
                    self._children_yang_names.add("lsa")

                    self.pacing = Native.Router.Ospf.Timers.Pacing()
                    self.pacing.parent = self
                    self._children_name_map["pacing"] = "pacing"
                    self._children_yang_names.add("pacing")

                    self.throttle = Native.Router.Ospf.Timers.Throttle()
                    self.throttle.parent = self
                    self._children_name_map["throttle"] = "throttle"
                    self._children_yang_names.add("throttle")
                    self._segment_path = lambda: "timers"


                class Lsa(Entity):
                    """
                    OSPF LSA timers
                    
                    .. attribute:: arrival
                    
                    	OSPF LSA arrival timer
                    	**type**\: int
                    
                    	**range:** 0..600000
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Timers.Lsa, self).__init__()

                        self.yang_name = "lsa"
                        self.yang_parent_name = "timers"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.arrival = YLeaf(YType.uint32, "arrival")
                        self._segment_path = lambda: "lsa"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Timers.Lsa, ['arrival'], name, value)


                class Pacing(Entity):
                    """
                    OSPF pacing timers
                    
                    .. attribute:: flood
                    
                    	OSPF flood pacing timer
                    	**type**\: int
                    
                    	**range:** 5..100
                    
                    .. attribute:: lsa_group
                    
                    	OSPF LSA group pacing timer
                    	**type**\: int
                    
                    	**range:** 10..1800
                    
                    .. attribute:: retransmission
                    
                    	OSPF retransmission pacing timer
                    	**type**\: int
                    
                    	**range:** 5..200
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Timers.Pacing, self).__init__()

                        self.yang_name = "pacing"
                        self.yang_parent_name = "timers"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.flood = YLeaf(YType.uint32, "flood")

                        self.lsa_group = YLeaf(YType.uint32, "lsa-group")

                        self.retransmission = YLeaf(YType.uint32, "retransmission")
                        self._segment_path = lambda: "pacing"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Timers.Pacing, ['flood', 'lsa_group', 'retransmission'], name, value)


                class Throttle(Entity):
                    """
                    OSPF throttle timers
                    
                    .. attribute:: lsa
                    
                    	OSPF LSA throttle timers
                    	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers.Throttle.Lsa>`
                    
                    .. attribute:: spf
                    
                    	OSPF SPF throttle timers
                    	**type**\:  :py:class:`Spf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers.Throttle.Spf>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Timers.Throttle, self).__init__()

                        self.yang_name = "throttle"
                        self.yang_parent_name = "timers"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"lsa" : ("lsa", Native.Router.Ospf.Timers.Throttle.Lsa), "spf" : ("spf", Native.Router.Ospf.Timers.Throttle.Spf)}
                        self._child_list_classes = {}

                        self.lsa = Native.Router.Ospf.Timers.Throttle.Lsa()
                        self.lsa.parent = self
                        self._children_name_map["lsa"] = "lsa"
                        self._children_yang_names.add("lsa")

                        self.spf = Native.Router.Ospf.Timers.Throttle.Spf()
                        self.spf.parent = self
                        self._children_name_map["spf"] = "spf"
                        self._children_yang_names.add("spf")
                        self._segment_path = lambda: "throttle"


                    class Lsa(Entity):
                        """
                        OSPF LSA throttle timers
                        
                        .. attribute:: all
                        
                        	For all type of OSPF LSAs
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Timers.Throttle.Lsa.All>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Timers.Throttle.Lsa, self).__init__()

                            self.yang_name = "lsa"
                            self.yang_parent_name = "throttle"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"all" : ("all", Native.Router.Ospf.Timers.Throttle.Lsa.All)}
                            self._child_list_classes = {}

                            self.all = Native.Router.Ospf.Timers.Throttle.Lsa.All()
                            self.all.parent = self
                            self._children_name_map["all"] = "all"
                            self._children_yang_names.add("all")
                            self._segment_path = lambda: "lsa"


                        class All(Entity):
                            """
                            For all type of OSPF LSAs
                            
                            .. attribute:: delay
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..600000
                            
                            .. attribute:: min_delay
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..600000
                            
                            .. attribute:: max_delay
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..600000
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Timers.Throttle.Lsa.All, self).__init__()

                                self.yang_name = "all"
                                self.yang_parent_name = "lsa"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.delay = YLeaf(YType.uint32, "delay")

                                self.min_delay = YLeaf(YType.uint32, "min-delay")

                                self.max_delay = YLeaf(YType.uint32, "max-delay")
                                self._segment_path = lambda: "all"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Timers.Throttle.Lsa.All, ['delay', 'min_delay', 'max_delay'], name, value)


                    class Spf(Entity):
                        """
                        OSPF SPF throttle timers
                        
                        .. attribute:: delay
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..600000
                        
                        .. attribute:: min_delay
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..600000
                        
                        .. attribute:: max_delay
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..600000
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Timers.Throttle.Spf, self).__init__()

                            self.yang_name = "spf"
                            self.yang_parent_name = "throttle"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.delay = YLeaf(YType.uint32, "delay")

                            self.min_delay = YLeaf(YType.uint32, "min-delay")

                            self.max_delay = YLeaf(YType.uint32, "max-delay")
                            self._segment_path = lambda: "spf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Timers.Throttle.Spf, ['delay', 'min_delay', 'max_delay'], name, value)


            class TrafficShare(Entity):
                """
                How to compute traffic share over alternate paths
                
                .. attribute:: min
                
                	All traffic shared among min metric paths
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: across_interfaces
                
                	Use different interfaces for equal\-cost paths
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.TrafficShare, self).__init__()

                    self.yang_name = "traffic-share"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.min = YLeaf(YType.empty, "min")

                    self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                    self._segment_path = lambda: "traffic-share"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.TrafficShare, ['min', 'across_interfaces'], name, value)


            class TtlSecurity(Entity):
                """
                TTL security check
                
                .. attribute:: all_interfaces
                
                	Enable TTL Security on all interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hops
                
                	IP hops
                	**type**\: int
                
                	**range:** 1..254
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.TtlSecurity, self).__init__()

                    self.yang_name = "ttl-security"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

                    self.hops = YLeaf(YType.uint8, "hops")
                    self._segment_path = lambda: "ttl-security"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.TtlSecurity, ['all_interfaces', 'hops'], name, value)


            class Capability(Entity):
                """
                Enable specific OSPF feature
                
                .. attribute:: capability_type
                
                	
                	**type**\:  :py:class:`CapabilityType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Capability.CapabilityType>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Capability, self).__init__()

                    self.yang_name = "capability"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.capability_type = YLeaf(YType.enumeration, "capability-type")
                    self._segment_path = lambda: "capability"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.Capability, ['capability_type'], name, value)

                class CapabilityType(Enum):
                    """
                    CapabilityType

                    .. data:: lls = 0

                    .. data:: opaque = 1

                    .. data:: transit = 2

                    .. data:: vrf_lite = 3

                    """

                    lls = Enum.YLeaf(0, "lls")

                    opaque = Enum.YLeaf(1, "opaque")

                    transit = Enum.YLeaf(2, "transit")

                    vrf_lite = Enum.YLeaf(3, "vrf-lite")



            class Compatible(Entity):
                """
                OSPF compatibility list
                
                .. attribute:: rfc1583
                
                	Compatible with RFC 1583
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: rfc1587
                
                	Compatible with RFC 1587
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: rfc5243
                
                	Compatible with RFC 5243
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Compatible, self).__init__()

                    self.yang_name = "compatible"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.rfc1583 = YLeaf(YType.empty, "rfc1583")

                    self.rfc1587 = YLeaf(YType.empty, "rfc1587")

                    self.rfc5243 = YLeaf(YType.empty, "rfc5243")
                    self._segment_path = lambda: "compatible"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.Compatible, ['rfc1583', 'rfc1587', 'rfc5243'], name, value)


            class DefaultInformation(Entity):
                """
                Control distribution of default information
                
                .. attribute:: originate
                
                	Distribute a default route
                	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DefaultInformation.Originate>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.DefaultInformation, self).__init__()

                    self.yang_name = "default-information"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"originate" : ("originate", Native.Router.Ospf.DefaultInformation.Originate)}
                    self._child_list_classes = {}

                    self.originate = None
                    self._children_name_map["originate"] = "originate"
                    self._children_yang_names.add("originate")
                    self._segment_path = lambda: "default-information"


                class Originate(Entity):
                    """
                    Distribute a default route
                    
                    .. attribute:: always
                    
                    	Always advertise default route
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: metric
                    
                    	OSPF default metric
                    	**type**\: int
                    
                    	**range:** 0..16777214
                    
                    .. attribute:: metric_type
                    
                    	OSPF metric type for default routes
                    	**type**\: int
                    
                    	**range:** 1..2
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.DefaultInformation.Originate, self).__init__()

                        self.yang_name = "originate"
                        self.yang_parent_name = "default-information"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.always = YLeaf(YType.empty, "always")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.uint32, "metric-type")

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "originate"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.DefaultInformation.Originate, ['always', 'metric', 'metric_type', 'route_map'], name, value)


            class DiscardRoute(Entity):
                """
                Enable or disable discard\-route installation
                
                .. attribute:: external
                
                	Discard route for redistributed summarised routes
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: internal
                
                	Discard route for summarised internal routes
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: metric
                
                	
                	**type**\: int
                
                	**range:** 1..255
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.DiscardRoute, self).__init__()

                    self.yang_name = "discard-route"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.external = YLeaf(YType.empty, "external")

                    self.internal = YLeaf(YType.empty, "internal")

                    self.metric = YLeaf(YType.uint32, "metric")
                    self._segment_path = lambda: "discard-route"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.DiscardRoute, ['external', 'internal', 'metric'], name, value)


            class Distance(Entity):
                """
                Define an administrative distance
                
                .. attribute:: ospf_distance
                
                	
                	**type**\:  :py:class:`OspfDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Distance.OspfDistance>`
                
                .. attribute:: ospf
                
                	OSPF routes Administrative distance
                	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Distance.Ospf>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Distance, self).__init__()

                    self.yang_name = "distance"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ospf-distance" : ("ospf_distance", Native.Router.Ospf.Distance.OspfDistance), "ospf" : ("ospf", Native.Router.Ospf.Distance.Ospf)}
                    self._child_list_classes = {}

                    self.ospf_distance = Native.Router.Ospf.Distance.OspfDistance()
                    self.ospf_distance.parent = self
                    self._children_name_map["ospf_distance"] = "ospf-distance"
                    self._children_yang_names.add("ospf-distance")

                    self.ospf = Native.Router.Ospf.Distance.Ospf()
                    self.ospf.parent = self
                    self._children_name_map["ospf"] = "ospf"
                    self._children_yang_names.add("ospf")
                    self._segment_path = lambda: "distance"


                class OspfDistance(Entity):
                    """
                    
                    
                    .. attribute:: distance
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: ip
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: wildcard
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: acl_name
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Distance.OspfDistance, self).__init__()

                        self.yang_name = "ospf-distance"
                        self.yang_parent_name = "distance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.distance = YLeaf(YType.uint32, "distance")

                        self.ip = YLeaf(YType.str, "ip")

                        self.wildcard = YLeaf(YType.str, "wildcard")

                        self.acl_name = YLeaf(YType.str, "acl-name")
                        self._segment_path = lambda: "ospf-distance"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Distance.OspfDistance, ['distance', 'ip', 'wildcard', 'acl_name'], name, value)


                class Ospf(Entity):
                    """
                    OSPF routes Administrative distance
                    
                    .. attribute:: external
                    
                    	External routes
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: inter_area
                    
                    	Inter\-area routes
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: intra_area
                    
                    	Intra\-area routes
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Distance.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "distance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.external = YLeaf(YType.uint32, "external")

                        self.inter_area = YLeaf(YType.uint32, "inter-area")

                        self.intra_area = YLeaf(YType.uint32, "intra-area")
                        self._segment_path = lambda: "ospf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Distance.Ospf, ['external', 'inter_area', 'intra_area'], name, value)


            class Redistribute(Entity):
                """
                Redistribute information from another routing protocol
                
                .. attribute:: application
                
                	Application
                	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Application>`
                
                .. attribute:: bgp
                
                	Border Gateway Protocol (BGP)
                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Bgp>`
                
                .. attribute:: connected
                
                	Connected
                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Connected>`
                
                	**presence node**\: True
                
                .. attribute:: eigrp
                
                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Eigrp>`
                
                .. attribute:: isis
                
                	ISO IS\-IS
                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis>`
                
                	**presence node**\: True
                
                .. attribute:: iso_igrp
                
                	IGRP for OSI networks
                	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.IsoIgrp>`
                
                	**presence node**\: True
                
                .. attribute:: lisp
                
                	Locator ID Separation Protocol (LISP)
                	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Lisp>`
                
                .. attribute:: mobile
                
                	Mobile routes
                	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Mobile>`
                
                	**presence node**\: True
                
                .. attribute:: odr
                
                	On Demand stub Routes
                	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Odr>`
                
                	**presence node**\: True
                
                .. attribute:: ospf
                
                	Open Shortest Path First (OSPF)
                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf>`
                
                .. attribute:: ospfv3
                
                	OSPFv3
                	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3>`
                
                .. attribute:: rip
                
                	Routing Information Protocol (RIP)
                	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Rip>`
                
                .. attribute:: static
                
                	Static routes
                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Static>`
                
                	**presence node**\: True
                
                .. attribute:: maximum_prefix
                
                	Maximum number of prefixes redistributed to protocol
                	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.MaximumPrefix>`
                
                .. attribute:: vrf
                
                	Specify a source VRF
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Redistribute, self).__init__()

                    self.yang_name = "redistribute"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"connected" : ("connected", Native.Router.Ospf.Redistribute.Connected), "isis" : ("isis", Native.Router.Ospf.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospf.Redistribute.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospf.Redistribute.Lisp), "mobile" : ("mobile", Native.Router.Ospf.Redistribute.Mobile), "odr" : ("odr", Native.Router.Ospf.Redistribute.Odr), "static" : ("static", Native.Router.Ospf.Redistribute.Static), "maximum-prefix" : ("maximum_prefix", Native.Router.Ospf.Redistribute.MaximumPrefix), "vrf" : ("vrf", Native.Router.Ospf.Redistribute.Vrf)}
                    self._child_list_classes = {"application" : ("application", Native.Router.Ospf.Redistribute.Application), "bgp" : ("bgp", Native.Router.Ospf.Redistribute.Bgp), "eigrp" : ("eigrp", Native.Router.Ospf.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Ospf.Redistribute.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospf.Redistribute.Ospfv3), "rip" : ("rip", Native.Router.Ospf.Redistribute.Rip)}

                    self.connected = None
                    self._children_name_map["connected"] = "connected"
                    self._children_yang_names.add("connected")

                    self.isis = None
                    self._children_name_map["isis"] = "isis"
                    self._children_yang_names.add("isis")

                    self.iso_igrp = None
                    self._children_name_map["iso_igrp"] = "iso-igrp"
                    self._children_yang_names.add("iso-igrp")

                    self.lisp = Native.Router.Ospf.Redistribute.Lisp()
                    self.lisp.parent = self
                    self._children_name_map["lisp"] = "lisp"
                    self._children_yang_names.add("lisp")

                    self.mobile = None
                    self._children_name_map["mobile"] = "mobile"
                    self._children_yang_names.add("mobile")

                    self.odr = None
                    self._children_name_map["odr"] = "odr"
                    self._children_yang_names.add("odr")

                    self.static = None
                    self._children_name_map["static"] = "static"
                    self._children_yang_names.add("static")

                    self.maximum_prefix = Native.Router.Ospf.Redistribute.MaximumPrefix()
                    self.maximum_prefix.parent = self
                    self._children_name_map["maximum_prefix"] = "maximum-prefix"
                    self._children_yang_names.add("maximum-prefix")

                    self.vrf = Native.Router.Ospf.Redistribute.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")

                    self.application = YList(self)
                    self.bgp = YList(self)
                    self.eigrp = YList(self)
                    self.ospf = YList(self)
                    self.ospfv3 = YList(self)
                    self.rip = YList(self)
                    self._segment_path = lambda: "redistribute"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.Redistribute, [], name, value)


                class Application(Entity):
                    """
                    Application
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Application.RedistOptions>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.Application, self).__init__()

                        self.yang_name = "application"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Application.RedistOptions)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.redist_options = Native.Router.Ospf.Redistribute.Application.RedistOptions()
                        self.redist_options.parent = self
                        self._children_name_map["redist_options"] = "redist-options"
                        self._children_yang_names.add("redist-options")
                        self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Redistribute.Application, ['name'], name, value)


                    class RedistOptions(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Application.RedistOptions.MetricType>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Application.RedistOptions, self).__init__()

                            self.yang_name = "redist-options"
                            self.yang_parent_name = "application"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.tag = YLeaf(YType.uint32, "tag")

                            self.subnets = YLeaf(YType.empty, "subnets")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                            self._segment_path = lambda: "redist-options"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = Enum.YLeaf(0, "1")

                            Y_2 = Enum.YLeaf(1, "2")



                class Bgp(Entity):
                    """
                    Border Gateway Protocol (BGP)
                    
                    .. attribute:: as_number  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..4294967295
                    
                    		**type**\: str
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Bgp.RedistOptions>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.Bgp, self).__init__()

                        self.yang_name = "bgp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Bgp.RedistOptions)}
                        self._child_list_classes = {}

                        self.as_number = YLeaf(YType.str, "as-number")

                        self.redist_options = Native.Router.Ospf.Redistribute.Bgp.RedistOptions()
                        self.redist_options.parent = self
                        self._children_name_map["redist_options"] = "redist-options"
                        self._children_yang_names.add("redist-options")
                        self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Redistribute.Bgp, ['as_number'], name, value)


                    class RedistOptions(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Bgp.RedistOptions.MetricType>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Bgp.RedistOptions, self).__init__()

                            self.yang_name = "redist-options"
                            self.yang_parent_name = "bgp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.tag = YLeaf(YType.uint32, "tag")

                            self.subnets = YLeaf(YType.empty, "subnets")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                            self._segment_path = lambda: "redist-options"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = Enum.YLeaf(0, "1")

                            Y_2 = Enum.YLeaf(1, "2")



                class Connected(Entity):
                    """
                    Connected
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Connected.RedistOptions>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.Connected, self).__init__()

                        self.yang_name = "connected"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Connected.RedistOptions)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.redist_options = Native.Router.Ospf.Redistribute.Connected.RedistOptions()
                        self.redist_options.parent = self
                        self._children_name_map["redist_options"] = "redist-options"
                        self._children_yang_names.add("redist-options")
                        self._segment_path = lambda: "connected"


                    class RedistOptions(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Connected.RedistOptions.MetricType>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Connected.RedistOptions, self).__init__()

                            self.yang_name = "redist-options"
                            self.yang_parent_name = "connected"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.tag = YLeaf(YType.uint32, "tag")

                            self.subnets = YLeaf(YType.empty, "subnets")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                            self._segment_path = lambda: "redist-options"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = Enum.YLeaf(0, "1")

                            Y_2 = Enum.YLeaf(1, "2")



                class Eigrp(Entity):
                    """
                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                    
                    .. attribute:: as_number  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..4294967295
                    
                    		**type**\: str
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Eigrp.RedistOptions>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.Eigrp, self).__init__()

                        self.yang_name = "eigrp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Eigrp.RedistOptions)}
                        self._child_list_classes = {}

                        self.as_number = YLeaf(YType.str, "as-number")

                        self.redist_options = Native.Router.Ospf.Redistribute.Eigrp.RedistOptions()
                        self.redist_options.parent = self
                        self._children_name_map["redist_options"] = "redist-options"
                        self._children_yang_names.add("redist-options")
                        self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Redistribute.Eigrp, ['as_number'], name, value)


                    class RedistOptions(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Eigrp.RedistOptions.MetricType>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Eigrp.RedistOptions, self).__init__()

                            self.yang_name = "redist-options"
                            self.yang_parent_name = "eigrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.tag = YLeaf(YType.uint32, "tag")

                            self.subnets = YLeaf(YType.empty, "subnets")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                            self._segment_path = lambda: "redist-options"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = Enum.YLeaf(0, "1")

                            Y_2 = Enum.YLeaf(1, "2")



                class Isis(Entity):
                    """
                    ISO IS\-IS
                    
                    .. attribute:: isis_level_routes
                    
                    	
                    	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.IsisLevelRoutes>`
                    
                    .. attribute:: isis_area
                    
                    	
                    	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.IsisArea>`
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.RedistOptions>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.Isis, self).__init__()

                        self.yang_name = "isis"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Isis.RedistOptions)}
                        self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospf.Redistribute.Isis.IsisArea)}
                        self.is_presence_container = True

                        self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                        self.redist_options = Native.Router.Ospf.Redistribute.Isis.RedistOptions()
                        self.redist_options.parent = self
                        self._children_name_map["redist_options"] = "redist-options"
                        self._children_yang_names.add("redist-options")

                        self.isis_area = YList(self)
                        self._segment_path = lambda: "isis"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Redistribute.Isis, ['isis_level_routes'], name, value)

                    class IsisLevelRoutes(Enum):
                        """
                        IsisLevelRoutes

                        .. data:: level_1 = 0

                        .. data:: level_2 = 1

                        .. data:: level_1_2 = 2

                        """

                        level_1 = Enum.YLeaf(0, "level-1")

                        level_2 = Enum.YLeaf(1, "level-2")

                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                    class IsisArea(Entity):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: isis_level_routes
                        
                        	
                        	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.IsisArea.IsisLevelRoutes>`
                        
                        .. attribute:: redist_options
                        
                        	
                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Isis.IsisArea, self).__init__()

                            self.yang_name = "isis-area"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions)}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                            self.redist_options = Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions()
                            self.redist_options.parent = self
                            self._children_name_map["redist_options"] = "redist-options"
                            self._children_yang_names.add("redist-options")
                            self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                        class IsisLevelRoutes(Enum):
                            """
                            IsisLevelRoutes

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            .. data:: level_1_2 = 2

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")

                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                        class RedistOptions(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions.MetricType>`
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions, self).__init__()

                                self.yang_name = "redist-options"
                                self.yang_parent_name = "isis-area"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.tag = YLeaf(YType.uint32, "tag")

                                self.subnets = YLeaf(YType.empty, "subnets")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                self._segment_path = lambda: "redist-options"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = Enum.YLeaf(0, "1")

                                Y_2 = Enum.YLeaf(1, "2")



                    class RedistOptions(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Isis.RedistOptions.MetricType>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Isis.RedistOptions, self).__init__()

                            self.yang_name = "redist-options"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.tag = YLeaf(YType.uint32, "tag")

                            self.subnets = YLeaf(YType.empty, "subnets")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                            self._segment_path = lambda: "redist-options"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = Enum.YLeaf(0, "1")

                            Y_2 = Enum.YLeaf(1, "2")



                class IsoIgrp(Entity):
                    """
                    IGRP for OSI networks
                    
                    .. attribute:: area_tag_route_map_container
                    
                    	
                    	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    .. attribute:: iso_igrp_container
                    
                    	
                    	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.IsoIgrp, self).__init__()

                        self.yang_name = "iso-igrp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospf.Redistribute.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.area_tag_route_map_container = Native.Router.Ospf.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                        self.area_tag_route_map_container.parent = self
                        self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                        self._children_yang_names.add("area-tag-route-map-container")

                        self.iso_igrp_container = Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer()
                        self.iso_igrp_container.parent = self
                        self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                        self._children_yang_names.add("iso-igrp-container")
                        self._segment_path = lambda: "iso-igrp"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Redistribute.IsoIgrp, ['route_map'], name, value)


                    class AreaTagRouteMapContainer(Entity):
                        """
                        
                        
                        .. attribute:: area_tag
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                            self.yang_name = "area-tag-route-map-container"
                            self.yang_parent_name = "iso-igrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.area_tag = YLeaf(YType.str, "area-tag")

                            self.route_map = YLeaf(YType.str, "route-map")
                            self._segment_path = lambda: "area-tag-route-map-container"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                    class IsoIgrpContainer(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricType>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer, self).__init__()

                            self.yang_name = "iso-igrp-container"
                            self.yang_parent_name = "iso-igrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.tag = YLeaf(YType.uint32, "tag")

                            self.subnets = YLeaf(YType.empty, "subnets")
                            self._segment_path = lambda: "iso-igrp-container"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = Enum.YLeaf(0, "1")

                            Y_2 = Enum.YLeaf(1, "2")



                class Lisp(Entity):
                    """
                    Locator ID Separation Protocol (LISP)
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Lisp.RedistOptions>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.Lisp, self).__init__()

                        self.yang_name = "lisp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Lisp.RedistOptions)}
                        self._child_list_classes = {}

                        self.redist_options = Native.Router.Ospf.Redistribute.Lisp.RedistOptions()
                        self.redist_options.parent = self
                        self._children_name_map["redist_options"] = "redist-options"
                        self._children_yang_names.add("redist-options")
                        self._segment_path = lambda: "lisp"


                    class RedistOptions(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Lisp.RedistOptions.MetricType>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Lisp.RedistOptions, self).__init__()

                            self.yang_name = "redist-options"
                            self.yang_parent_name = "lisp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.tag = YLeaf(YType.uint32, "tag")

                            self.subnets = YLeaf(YType.empty, "subnets")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                            self._segment_path = lambda: "redist-options"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = Enum.YLeaf(0, "1")

                            Y_2 = Enum.YLeaf(1, "2")



                class Mobile(Entity):
                    """
                    Mobile routes
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Mobile.RedistOptions>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.Mobile, self).__init__()

                        self.yang_name = "mobile"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Mobile.RedistOptions)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.redist_options = Native.Router.Ospf.Redistribute.Mobile.RedistOptions()
                        self.redist_options.parent = self
                        self._children_name_map["redist_options"] = "redist-options"
                        self._children_yang_names.add("redist-options")
                        self._segment_path = lambda: "mobile"


                    class RedistOptions(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Mobile.RedistOptions.MetricType>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Mobile.RedistOptions, self).__init__()

                            self.yang_name = "redist-options"
                            self.yang_parent_name = "mobile"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.tag = YLeaf(YType.uint32, "tag")

                            self.subnets = YLeaf(YType.empty, "subnets")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                            self._segment_path = lambda: "redist-options"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = Enum.YLeaf(0, "1")

                            Y_2 = Enum.YLeaf(1, "2")



                class Odr(Entity):
                    """
                    On Demand stub Routes
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Odr.RedistOptions>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.Odr, self).__init__()

                        self.yang_name = "odr"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Odr.RedistOptions)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.redist_options = Native.Router.Ospf.Redistribute.Odr.RedistOptions()
                        self.redist_options.parent = self
                        self._children_name_map["redist_options"] = "redist-options"
                        self._children_yang_names.add("redist-options")
                        self._segment_path = lambda: "odr"


                    class RedistOptions(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Odr.RedistOptions.MetricType>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Odr.RedistOptions, self).__init__()

                            self.yang_name = "redist-options"
                            self.yang_parent_name = "odr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.tag = YLeaf(YType.uint32, "tag")

                            self.subnets = YLeaf(YType.empty, "subnets")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                            self._segment_path = lambda: "redist-options"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = Enum.YLeaf(0, "1")

                            Y_2 = Enum.YLeaf(1, "2")



                class Ospf(Entity):
                    """
                    Open Shortest Path First (OSPF)
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: match
                    
                    	Redistribution of OSPF routes
                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf.Match>`
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf.MetricType>`
                    
                    .. attribute:: nssa_only
                    
                    	Limit redistributed routes to NSSA areas
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subnets
                    
                    	Consider subnets for redistribution into OSPF
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    .. attribute:: tag
                    
                    	Set tag for routes redistributed into OSPF
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"match" : ("match", Native.Router.Ospf.Redistribute.Ospf.Match)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint32, "id")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                        self.subnets = YLeaf(YType.empty, "subnets")

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.tag = YLeaf(YType.uint32, "tag")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.match = Native.Router.Ospf.Redistribute.Ospf.Match()
                        self.match.parent = self
                        self._children_name_map["match"] = "match"
                        self._children_yang_names.add("match")
                        self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Redistribute.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                    class MetricType(Enum):
                        """
                        MetricType

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: Y_1 = 0

                        .. data:: Y_2 = 1

                        """

                        Y_1 = Enum.YLeaf(0, "1")

                        Y_2 = Enum.YLeaf(1, "2")



                    class Match(Entity):
                        """
                        Redistribution of OSPF routes
                        
                        .. attribute:: internal
                        
                        	Redistribute OSPF internal routes
                        	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf.Match.Internal>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: external
                        
                        	Redistribute OSPF external routes
                        	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf.Match.External>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nssa_external
                        
                        	Redistribute OSPF NSSA external routes
                        	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf.Match.NssaExternal>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Ospf.Match, self).__init__()

                            self.yang_name = "match"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"internal" : ("internal", Native.Router.Ospf.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospf.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospf.Redistribute.Ospf.Match.NssaExternal)}
                            self._child_list_classes = {}

                            self.internal = None
                            self._children_name_map["internal"] = "internal"
                            self._children_yang_names.add("internal")

                            self.external = None
                            self._children_name_map["external"] = "external"
                            self._children_yang_names.add("external")

                            self.nssa_external = None
                            self._children_name_map["nssa_external"] = "nssa-external"
                            self._children_yang_names.add("nssa-external")
                            self._segment_path = lambda: "match"


                        class Internal(Entity):
                            """
                            Redistribute OSPF internal routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf.Match.Internal.MetricType>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Ospf.Match.Internal, self).__init__()

                                self.yang_name = "internal"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.subnets = YLeaf(YType.empty, "subnets")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.tag = YLeaf(YType.uint32, "tag")
                                self._segment_path = lambda: "internal"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = Enum.YLeaf(0, "1")

                                Y_2 = Enum.YLeaf(1, "2")



                        class External(Entity):
                            """
                            Redistribute OSPF external routes
                            
                            .. attribute:: external_routes
                            
                            	
                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf.Match.External.MetricType>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Ospf.Match.External, self).__init__()

                                self.yang_name = "external"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.subnets = YLeaf(YType.empty, "subnets")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.tag = YLeaf(YType.uint32, "tag")
                                self._segment_path = lambda: "external"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = Enum.YLeaf(0, "1")

                                Y_2 = Enum.YLeaf(1, "2")



                        class NssaExternal(Entity):
                            """
                            Redistribute OSPF NSSA external routes
                            
                            .. attribute:: nssa_external_routes
                            
                            	
                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospf.Match.NssaExternal.MetricType>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                self.yang_name = "nssa-external"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.subnets = YLeaf(YType.empty, "subnets")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.tag = YLeaf(YType.uint32, "tag")
                                self._segment_path = lambda: "nssa-external"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = Enum.YLeaf(0, "1")

                                Y_2 = Enum.YLeaf(1, "2")



                class Ospfv3(Entity):
                    """
                    OSPFv3
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: match
                    
                    	Redistribution of OSPF routes
                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match>`
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: metric_type
                    
                    	OSPF/IS\-IS exterior metric type for redistributed routes
                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.MetricType>`
                    
                    .. attribute:: nssa_only
                    
                    	Limit redistributed routes to NSSA areas
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: subnets
                    
                    	Consider subnets for redistribution into OSPF
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    .. attribute:: tag
                    
                    	Set tag for routes redistributed into OSPF
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.Ospfv3, self).__init__()

                        self.yang_name = "ospfv3"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"match" : ("match", Native.Router.Ospf.Redistribute.Ospfv3.Match)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.uint32, "id")

                        self.metric = YLeaf(YType.uint32, "metric")

                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                        self.subnets = YLeaf(YType.empty, "subnets")

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.tag = YLeaf(YType.uint32, "tag")

                        self.match = Native.Router.Ospf.Redistribute.Ospfv3.Match()
                        self.match.parent = self
                        self._children_name_map["match"] = "match"
                        self._children_yang_names.add("match")
                        self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Redistribute.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                    class MetricType(Enum):
                        """
                        MetricType

                        OSPF/IS\-IS exterior metric type for redistributed routes

                        .. data:: Y_1 = 0

                        .. data:: Y_2 = 1

                        """

                        Y_1 = Enum.YLeaf(0, "1")

                        Y_2 = Enum.YLeaf(1, "2")



                    class Match(Entity):
                        """
                        Redistribution of OSPF routes
                        
                        .. attribute:: internal
                        
                        	Redistribute OSPF internal routes
                        	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: external
                        
                        	Redistribute OSPF external routes
                        	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match.External>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nssa_external
                        
                        	Redistribute OSPF NSSA external routes
                        	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Ospfv3.Match, self).__init__()

                            self.yang_name = "match"
                            self.yang_parent_name = "ospfv3"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"internal" : ("internal", Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospf.Redistribute.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal)}
                            self._child_list_classes = {}

                            self.internal = None
                            self._children_name_map["internal"] = "internal"
                            self._children_yang_names.add("internal")

                            self.external = None
                            self._children_name_map["external"] = "external"
                            self._children_yang_names.add("external")

                            self.nssa_external = None
                            self._children_name_map["nssa_external"] = "nssa-external"
                            self._children_yang_names.add("nssa-external")
                            self._segment_path = lambda: "match"


                        class Internal(Entity):
                            """
                            Redistribute OSPF internal routes
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal.MetricType>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal, self).__init__()

                                self.yang_name = "internal"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.subnets = YLeaf(YType.empty, "subnets")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.tag = YLeaf(YType.uint32, "tag")
                                self._segment_path = lambda: "internal"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = Enum.YLeaf(0, "1")

                                Y_2 = Enum.YLeaf(1, "2")



                        class External(Entity):
                            """
                            Redistribute OSPF external routes
                            
                            .. attribute:: external_routes
                            
                            	
                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match.External.MetricType>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Ospfv3.Match.External, self).__init__()

                                self.yang_name = "external"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.subnets = YLeaf(YType.empty, "subnets")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.tag = YLeaf(YType.uint32, "tag")
                                self._segment_path = lambda: "external"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = Enum.YLeaf(0, "1")

                                Y_2 = Enum.YLeaf(1, "2")



                        class NssaExternal(Entity):
                            """
                            Redistribute OSPF NSSA external routes
                            
                            .. attribute:: nssa_external_routes
                            
                            	
                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal.MetricType>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal, self).__init__()

                                self.yang_name = "nssa-external"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.subnets = YLeaf(YType.empty, "subnets")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.tag = YLeaf(YType.uint32, "tag")
                                self._segment_path = lambda: "nssa-external"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = Enum.YLeaf(0, "1")

                                Y_2 = Enum.YLeaf(1, "2")



                class Rip(Entity):
                    """
                    Routing Information Protocol (RIP)
                    
                    .. attribute:: id  <key>
                    
                    	User selected string identifying this rip process
                    	**type**\: str
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Rip.RedistOptions>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Rip.RedistOptions)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.redist_options = Native.Router.Ospf.Redistribute.Rip.RedistOptions()
                        self.redist_options.parent = self
                        self._children_name_map["redist_options"] = "redist-options"
                        self._children_yang_names.add("redist-options")
                        self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Redistribute.Rip, ['id'], name, value)


                    class RedistOptions(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Rip.RedistOptions.MetricType>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Rip.RedistOptions, self).__init__()

                            self.yang_name = "redist-options"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.tag = YLeaf(YType.uint32, "tag")

                            self.subnets = YLeaf(YType.empty, "subnets")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                            self._segment_path = lambda: "redist-options"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = Enum.YLeaf(0, "1")

                            Y_2 = Enum.YLeaf(1, "2")



                class Static(Entity):
                    """
                    Static routes
                    
                    .. attribute:: redist_options
                    
                    	
                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Static.RedistOptions>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.Static, self).__init__()

                        self.yang_name = "static"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Static.RedistOptions)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.redist_options = Native.Router.Ospf.Redistribute.Static.RedistOptions()
                        self.redist_options.parent = self
                        self._children_name_map["redist_options"] = "redist-options"
                        self._children_yang_names.add("redist-options")
                        self._segment_path = lambda: "static"


                    class RedistOptions(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: metric_type
                        
                        	OSPF/IS\-IS exterior metric type for redistributed routes
                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Static.RedistOptions.MetricType>`
                        
                        .. attribute:: tag
                        
                        	Set tag for routes redistributed into OSPF
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: subnets
                        
                        	Consider subnets for redistribution into OSPF
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: nssa_only
                        
                        	Limit redistributed routes to NSSA areas
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Static.RedistOptions, self).__init__()

                            self.yang_name = "redist-options"
                            self.yang_parent_name = "static"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.metric = YLeaf(YType.uint32, "metric")

                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                            self.tag = YLeaf(YType.uint32, "tag")

                            self.subnets = YLeaf(YType.empty, "subnets")

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                            self._segment_path = lambda: "redist-options"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                        class MetricType(Enum):
                            """
                            MetricType

                            OSPF/IS\-IS exterior metric type for redistributed routes

                            .. data:: Y_1 = 0

                            .. data:: Y_2 = 1

                            """

                            Y_1 = Enum.YLeaf(0, "1")

                            Y_2 = Enum.YLeaf(1, "2")



                class MaximumPrefix(Entity):
                    """
                    Maximum number of prefixes redistributed to protocol
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: threshold_warning_only_container
                    
                    	
                    	**type**\:  :py:class:`ThresholdWarningOnlyContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.MaximumPrefix, self).__init__()

                        self.yang_name = "maximum-prefix"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"threshold-warning-only-container" : ("threshold_warning_only_container", Native.Router.Ospf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer)}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint32, "number")

                        self.threshold_warning_only_container = Native.Router.Ospf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer()
                        self.threshold_warning_only_container.parent = self
                        self._children_name_map["threshold_warning_only_container"] = "threshold-warning-only-container"
                        self._children_yang_names.add("threshold-warning-only-container")
                        self._segment_path = lambda: "maximum-prefix"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Redistribute.MaximumPrefix, ['number'], name, value)


                    class ThresholdWarningOnlyContainer(Entity):
                        """
                        
                        
                        .. attribute:: threshold
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..100
                        
                        .. attribute:: warning_only
                        
                        	Only give warning message when limit is exceeded
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer, self).__init__()

                            self.yang_name = "threshold-warning-only-container"
                            self.yang_parent_name = "maximum-prefix"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.uint32, "threshold")

                            self.warning_only = YLeaf(YType.empty, "warning-only")
                            self._segment_path = lambda: "threshold-warning-only-container"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer, ['threshold', 'warning_only'], name, value)


                class Vrf(Entity):
                    """
                    Specify a source VRF
                    
                    .. attribute:: non_global_vrf
                    
                    	
                    	**type**\: list of  		 :py:class:`NonGlobalVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf>`
                    
                    .. attribute:: global_
                    
                    	global VRF
                    	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Redistribute.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"global" : ("global_", Native.Router.Ospf.Redistribute.Vrf.Global_)}
                        self._child_list_classes = {"non-global-vrf" : ("non_global_vrf", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf)}

                        self.global_ = Native.Router.Ospf.Redistribute.Vrf.Global_()
                        self.global_.parent = self
                        self._children_name_map["global_"] = "global"
                        self._children_yang_names.add("global")

                        self.non_global_vrf = YList(self)
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf, [], name, value)


                    class NonGlobalVrf(Entity):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: application
                        
                        	Application
                        	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application>`
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: iso_igrp
                        
                        	IGRP for OSI networks
                        	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp>`
                        
                        .. attribute:: mobile
                        
                        	Mobile routes
                        	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: odr
                        
                        	On Demand stub Routes
                        	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf, self).__init__()

                            self.yang_name = "non-global-vrf"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"connected" : ("connected", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected), "isis" : ("isis", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp), "mobile" : ("mobile", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile), "odr" : ("odr", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr), "static" : ("static", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static)}
                            self._child_list_classes = {"application" : ("application", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application), "bgp" : ("bgp", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp), "eigrp" : ("eigrp", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp), "ospf" : ("ospf", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3), "rip" : ("rip", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip)}

                            self.name = YLeaf(YType.str, "name")

                            self.connected = None
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.isis = None
                            self._children_name_map["isis"] = "isis"
                            self._children_yang_names.add("isis")

                            self.iso_igrp = None
                            self._children_name_map["iso_igrp"] = "iso-igrp"
                            self._children_yang_names.add("iso-igrp")

                            self.lisp = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp()
                            self.lisp.parent = self
                            self._children_name_map["lisp"] = "lisp"
                            self._children_yang_names.add("lisp")

                            self.mobile = None
                            self._children_name_map["mobile"] = "mobile"
                            self._children_yang_names.add("mobile")

                            self.odr = None
                            self._children_name_map["odr"] = "odr"
                            self._children_yang_names.add("odr")

                            self.static = None
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")

                            self.application = YList(self)
                            self.bgp = YList(self)
                            self.eigrp = YList(self)
                            self.ospf = YList(self)
                            self.ospfv3 = YList(self)
                            self.rip = YList(self)
                            self._segment_path = lambda: "non-global-vrf" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf, ['name'], name, value)


                        class Application(Entity):
                            """
                            Application
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application, self).__init__()

                                self.yang_name = "application"
                                self.yang_parent_name = "non-global-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions)}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application, ['name'], name, value)


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "application"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: as_number  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "non-global-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions)}
                                self._child_list_classes = {}

                                self.as_number = YLeaf(YType.str, "as-number")

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp, ['as_number'], name, value)


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "non-global-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "connected"


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "connected"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Eigrp(Entity):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: as_number  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "non-global-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions)}
                                self._child_list_classes = {}

                                self.as_number = YLeaf(YType.str, "as-number")

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp, ['as_number'], name, value)


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: isis_level_routes
                            
                            	
                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutes>`
                            
                            .. attribute:: isis_area
                            
                            	
                            	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea>`
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "non-global-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions)}
                                self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea)}
                                self.is_presence_container = True

                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")

                                self.isis_area = YList(self)
                                self._segment_path = lambda: "isis"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis, ['isis_level_routes'], name, value)

                            class IsisLevelRoutes(Enum):
                                """
                                IsisLevelRoutes

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                .. data:: level_1_2 = 2

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")

                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                            class IsisArea(Entity):
                                """
                                
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutes>`
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea, self).__init__()

                                    self.yang_name = "isis-area"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                    self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                class IsisLevelRoutes(Enum):
                                    """
                                    IsisLevelRoutes

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")

                                    level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "isis-area"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class IsoIgrp(Entity):
                            """
                            IGRP for OSI networks
                            
                            .. attribute:: area_tag_route_map_container
                            
                            	
                            	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: iso_igrp_container
                            
                            	
                            	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp, self).__init__()

                                self.yang_name = "iso-igrp"
                                self.yang_parent_name = "non-global-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.area_tag_route_map_container = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer()
                                self.area_tag_route_map_container.parent = self
                                self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                self._children_yang_names.add("area-tag-route-map-container")

                                self.iso_igrp_container = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer()
                                self.iso_igrp_container.parent = self
                                self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                self._children_yang_names.add("iso-igrp-container")
                                self._segment_path = lambda: "iso-igrp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp, ['route_map'], name, value)


                            class AreaTagRouteMapContainer(Entity):
                                """
                                
                                
                                .. attribute:: area_tag
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                    self.yang_name = "area-tag-route-map-container"
                                    self.yang_parent_name = "iso-igrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.area_tag = YLeaf(YType.str, "area-tag")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "area-tag-route-map-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                            class IsoIgrpContainer(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer, self).__init__()

                                    self.yang_name = "iso-igrp-container"
                                    self.yang_parent_name = "iso-igrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")
                                    self._segment_path = lambda: "iso-igrp-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Lisp(Entity):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp, self).__init__()

                                self.yang_name = "lisp"
                                self.yang_parent_name = "non-global-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions)}
                                self._child_list_classes = {}

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "lisp"


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "lisp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Mobile(Entity):
                            """
                            Mobile routes
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile, self).__init__()

                                self.yang_name = "mobile"
                                self.yang_parent_name = "non-global-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "mobile"


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "mobile"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Odr(Entity):
                            """
                            On Demand stub Routes
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr, self).__init__()

                                self.yang_name = "odr"
                                self.yang_parent_name = "non-global-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "odr"


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "odr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Ospf(Entity):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: match
                            
                            	Redistribution of OSPF routes
                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.MetricType>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: vrf
                            
                            	VPN Routing/Forwarding Instance
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf, self).__init__()

                                self.yang_name = "ospf"
                                self.yang_parent_name = "non-global-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"match" : ("match", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint32, "id")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.subnets = YLeaf(YType.empty, "subnets")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.tag = YLeaf(YType.uint32, "tag")

                                self.vrf = YLeaf(YType.str, "vrf")

                                self.match = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match()
                                self.match.parent = self
                                self._children_name_map["match"] = "match"
                                self._children_yang_names.add("match")
                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = Enum.YLeaf(0, "1")

                                Y_2 = Enum.YLeaf(1, "2")



                            class Match(Entity):
                                """
                                Redistribution of OSPF routes
                                
                                .. attribute:: internal
                                
                                	Redistribute OSPF internal routes
                                	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: external
                                
                                	Redistribute OSPF external routes
                                	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: nssa_external
                                
                                	Redistribute OSPF NSSA external routes
                                	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match, self).__init__()

                                    self.yang_name = "match"
                                    self.yang_parent_name = "ospf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"internal" : ("internal", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal)}
                                    self._child_list_classes = {}

                                    self.internal = None
                                    self._children_name_map["internal"] = "internal"
                                    self._children_yang_names.add("internal")

                                    self.external = None
                                    self._children_name_map["external"] = "external"
                                    self._children_yang_names.add("external")

                                    self.nssa_external = None
                                    self._children_name_map["nssa_external"] = "nssa-external"
                                    self._children_yang_names.add("nssa-external")
                                    self._segment_path = lambda: "match"


                                class Internal(Entity):
                                    """
                                    Redistribute OSPF internal routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal.MetricType>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal, self).__init__()

                                        self.yang_name = "internal"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "internal"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class External(Entity):
                                    """
                                    Redistribute OSPF external routes
                                    
                                    .. attribute:: external_routes
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External.MetricType>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External, self).__init__()

                                        self.yang_name = "external"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "external"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class NssaExternal(Entity):
                                    """
                                    Redistribute OSPF NSSA external routes
                                    
                                    .. attribute:: nssa_external_routes
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal.MetricType>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal, self).__init__()

                                        self.yang_name = "nssa-external"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "nssa-external"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                        class Ospfv3(Entity):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: match
                            
                            	Redistribution of OSPF routes
                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.MetricType>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3, self).__init__()

                                self.yang_name = "ospfv3"
                                self.yang_parent_name = "non-global-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"match" : ("match", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint32, "id")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.subnets = YLeaf(YType.empty, "subnets")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.tag = YLeaf(YType.uint32, "tag")

                                self.match = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match()
                                self.match.parent = self
                                self._children_name_map["match"] = "match"
                                self._children_yang_names.add("match")
                                self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = Enum.YLeaf(0, "1")

                                Y_2 = Enum.YLeaf(1, "2")



                            class Match(Entity):
                                """
                                Redistribution of OSPF routes
                                
                                .. attribute:: internal
                                
                                	Redistribute OSPF internal routes
                                	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: external
                                
                                	Redistribute OSPF external routes
                                	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: nssa_external
                                
                                	Redistribute OSPF NSSA external routes
                                	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match, self).__init__()

                                    self.yang_name = "match"
                                    self.yang_parent_name = "ospfv3"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"internal" : ("internal", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal)}
                                    self._child_list_classes = {}

                                    self.internal = None
                                    self._children_name_map["internal"] = "internal"
                                    self._children_yang_names.add("internal")

                                    self.external = None
                                    self._children_name_map["external"] = "external"
                                    self._children_yang_names.add("external")

                                    self.nssa_external = None
                                    self._children_name_map["nssa_external"] = "nssa-external"
                                    self._children_yang_names.add("nssa-external")
                                    self._segment_path = lambda: "match"


                                class Internal(Entity):
                                    """
                                    Redistribute OSPF internal routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal.MetricType>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal, self).__init__()

                                        self.yang_name = "internal"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "internal"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class External(Entity):
                                    """
                                    Redistribute OSPF external routes
                                    
                                    .. attribute:: external_routes
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External.MetricType>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External, self).__init__()

                                        self.yang_name = "external"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "external"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class NssaExternal(Entity):
                                    """
                                    Redistribute OSPF NSSA external routes
                                    
                                    .. attribute:: nssa_external_routes
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal.MetricType>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal, self).__init__()

                                        self.yang_name = "nssa-external"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "nssa-external"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: id  <key>
                            
                            	User selected string identifying this rip process
                            	**type**\: str
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "non-global-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip, ['id'], name, value)


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "rip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "non-global-vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "static"


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                    class Global_(Entity):
                        """
                        global VRF
                        
                        .. attribute:: application
                        
                        	Application
                        	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Application>`
                        
                        .. attribute:: bgp
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp>`
                        
                        .. attribute:: connected
                        
                        	Connected
                        	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Connected>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: eigrp
                        
                        	Enhanced Interior Gateway Routing Protocol (EIGRP)
                        	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp>`
                        
                        .. attribute:: isis
                        
                        	ISO IS\-IS
                        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: iso_igrp
                        
                        	IGRP for OSI networks
                        	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lisp
                        
                        	Locator ID Separation Protocol (LISP)
                        	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp>`
                        
                        .. attribute:: mobile
                        
                        	Mobile routes
                        	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: odr
                        
                        	On Demand stub Routes
                        	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Odr>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ospf
                        
                        	Open Shortest Path First (OSPF)
                        	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf>`
                        
                        .. attribute:: ospfv3
                        
                        	OSPFv3
                        	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3>`
                        
                        .. attribute:: rip
                        
                        	Routing Information Protocol (RIP)
                        	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Rip>`
                        
                        .. attribute:: static
                        
                        	Static routes
                        	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Static>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Redistribute.Vrf.Global_, self).__init__()

                            self.yang_name = "global"
                            self.yang_parent_name = "vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"connected" : ("connected", Native.Router.Ospf.Redistribute.Vrf.Global_.Connected), "isis" : ("isis", Native.Router.Ospf.Redistribute.Vrf.Global_.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp), "mobile" : ("mobile", Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile), "odr" : ("odr", Native.Router.Ospf.Redistribute.Vrf.Global_.Odr), "static" : ("static", Native.Router.Ospf.Redistribute.Vrf.Global_.Static)}
                            self._child_list_classes = {"application" : ("application", Native.Router.Ospf.Redistribute.Vrf.Global_.Application), "bgp" : ("bgp", Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp), "eigrp" : ("eigrp", Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp), "ospf" : ("ospf", Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3), "rip" : ("rip", Native.Router.Ospf.Redistribute.Vrf.Global_.Rip)}

                            self.connected = None
                            self._children_name_map["connected"] = "connected"
                            self._children_yang_names.add("connected")

                            self.isis = None
                            self._children_name_map["isis"] = "isis"
                            self._children_yang_names.add("isis")

                            self.iso_igrp = None
                            self._children_name_map["iso_igrp"] = "iso-igrp"
                            self._children_yang_names.add("iso-igrp")

                            self.lisp = Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp()
                            self.lisp.parent = self
                            self._children_name_map["lisp"] = "lisp"
                            self._children_yang_names.add("lisp")

                            self.mobile = None
                            self._children_name_map["mobile"] = "mobile"
                            self._children_yang_names.add("mobile")

                            self.odr = None
                            self._children_name_map["odr"] = "odr"
                            self._children_yang_names.add("odr")

                            self.static = None
                            self._children_name_map["static"] = "static"
                            self._children_yang_names.add("static")

                            self.application = YList(self)
                            self.bgp = YList(self)
                            self.eigrp = YList(self)
                            self.ospf = YList(self)
                            self.ospfv3 = YList(self)
                            self.rip = YList(self)
                            self._segment_path = lambda: "global"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_, [], name, value)


                        class Application(Entity):
                            """
                            Application
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.Global_.Application, self).__init__()

                                self.yang_name = "application"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions)}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Application, ['name'], name, value)


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "application"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Bgp(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: as_number  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp, self).__init__()

                                self.yang_name = "bgp"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions)}
                                self._child_list_classes = {}

                                self.as_number = YLeaf(YType.str, "as-number")

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp, ['as_number'], name, value)


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "bgp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Connected(Entity):
                            """
                            Connected
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.Global_.Connected, self).__init__()

                                self.yang_name = "connected"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "connected"


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "connected"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Eigrp(Entity):
                            """
                            Enhanced Interior Gateway Routing Protocol (EIGRP)
                            
                            .. attribute:: as_number  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 1..4294967295
                            
                            		**type**\: str
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp, self).__init__()

                                self.yang_name = "eigrp"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions)}
                                self._child_list_classes = {}

                                self.as_number = YLeaf(YType.str, "as-number")

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp, ['as_number'], name, value)


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "eigrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Isis(Entity):
                            """
                            ISO IS\-IS
                            
                            .. attribute:: isis_level_routes
                            
                            	
                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisLevelRoutes>`
                            
                            .. attribute:: isis_area
                            
                            	
                            	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea>`
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.Global_.Isis, self).__init__()

                                self.yang_name = "isis"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions)}
                                self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea)}
                                self.is_presence_container = True

                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")

                                self.isis_area = YList(self)
                                self._segment_path = lambda: "isis"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Isis, ['isis_level_routes'], name, value)

                            class IsisLevelRoutes(Enum):
                                """
                                IsisLevelRoutes

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                .. data:: level_1_2 = 2

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")

                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                            class IsisArea(Entity):
                                """
                                
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutes>`
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea, self).__init__()

                                    self.yang_name = "isis-area"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                    self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                class IsisLevelRoutes(Enum):
                                    """
                                    IsisLevelRoutes

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")

                                    level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "isis-area"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "isis"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class IsoIgrp(Entity):
                            """
                            IGRP for OSI networks
                            
                            .. attribute:: area_tag_route_map_container
                            
                            	
                            	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: iso_igrp_container
                            
                            	
                            	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp, self).__init__()

                                self.yang_name = "iso-igrp"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.area_tag_route_map_container = Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer()
                                self.area_tag_route_map_container.parent = self
                                self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                self._children_yang_names.add("area-tag-route-map-container")

                                self.iso_igrp_container = Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer()
                                self.iso_igrp_container.parent = self
                                self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                self._children_yang_names.add("iso-igrp-container")
                                self._segment_path = lambda: "iso-igrp"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp, ['route_map'], name, value)


                            class AreaTagRouteMapContainer(Entity):
                                """
                                
                                
                                .. attribute:: area_tag
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                    self.yang_name = "area-tag-route-map-container"
                                    self.yang_parent_name = "iso-igrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.area_tag = YLeaf(YType.str, "area-tag")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "area-tag-route-map-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                            class IsoIgrpContainer(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer, self).__init__()

                                    self.yang_name = "iso-igrp-container"
                                    self.yang_parent_name = "iso-igrp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")
                                    self._segment_path = lambda: "iso-igrp-container"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Lisp(Entity):
                            """
                            Locator ID Separation Protocol (LISP)
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp, self).__init__()

                                self.yang_name = "lisp"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions)}
                                self._child_list_classes = {}

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "lisp"


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "lisp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Mobile(Entity):
                            """
                            Mobile routes
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile, self).__init__()

                                self.yang_name = "mobile"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "mobile"


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "mobile"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Odr(Entity):
                            """
                            On Demand stub Routes
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.Global_.Odr, self).__init__()

                                self.yang_name = "odr"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "odr"


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "odr"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Ospf(Entity):
                            """
                            Open Shortest Path First (OSPF)
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: match
                            
                            	Redistribution of OSPF routes
                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.MetricType>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: vrf
                            
                            	VPN Routing/Forwarding Instance
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf, self).__init__()

                                self.yang_name = "ospf"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"match" : ("match", Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint32, "id")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.subnets = YLeaf(YType.empty, "subnets")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.tag = YLeaf(YType.uint32, "tag")

                                self.vrf = YLeaf(YType.str, "vrf")

                                self.match = Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match()
                                self.match.parent = self
                                self._children_name_map["match"] = "match"
                                self._children_yang_names.add("match")
                                self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = Enum.YLeaf(0, "1")

                                Y_2 = Enum.YLeaf(1, "2")



                            class Match(Entity):
                                """
                                Redistribution of OSPF routes
                                
                                .. attribute:: internal
                                
                                	Redistribute OSPF internal routes
                                	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.Internal>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: external
                                
                                	Redistribute OSPF external routes
                                	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.External>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: nssa_external
                                
                                	Redistribute OSPF NSSA external routes
                                	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match, self).__init__()

                                    self.yang_name = "match"
                                    self.yang_parent_name = "ospf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"internal" : ("internal", Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal)}
                                    self._child_list_classes = {}

                                    self.internal = None
                                    self._children_name_map["internal"] = "internal"
                                    self._children_yang_names.add("internal")

                                    self.external = None
                                    self._children_name_map["external"] = "external"
                                    self._children_yang_names.add("external")

                                    self.nssa_external = None
                                    self._children_name_map["nssa_external"] = "nssa-external"
                                    self._children_yang_names.add("nssa-external")
                                    self._segment_path = lambda: "match"


                                class Internal(Entity):
                                    """
                                    Redistribute OSPF internal routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.Internal.MetricType>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.Internal, self).__init__()

                                        self.yang_name = "internal"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "internal"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class External(Entity):
                                    """
                                    Redistribute OSPF external routes
                                    
                                    .. attribute:: external_routes
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.External.MetricType>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.External, self).__init__()

                                        self.yang_name = "external"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "external"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class NssaExternal(Entity):
                                    """
                                    Redistribute OSPF NSSA external routes
                                    
                                    .. attribute:: nssa_external_routes
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal.MetricType>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal, self).__init__()

                                        self.yang_name = "nssa-external"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "nssa-external"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                        class Ospfv3(Entity):
                            """
                            OSPFv3
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: match
                            
                            	Redistribution of OSPF routes
                            	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match>`
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: metric_type
                            
                            	OSPF/IS\-IS exterior metric type for redistributed routes
                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.MetricType>`
                            
                            .. attribute:: nssa_only
                            
                            	Limit redistributed routes to NSSA areas
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: subnets
                            
                            	Consider subnets for redistribution into OSPF
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: tag
                            
                            	Set tag for routes redistributed into OSPF
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3, self).__init__()

                                self.yang_name = "ospfv3"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"match" : ("match", Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint32, "id")

                                self.metric = YLeaf(YType.uint32, "metric")

                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.subnets = YLeaf(YType.empty, "subnets")

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.tag = YLeaf(YType.uint32, "tag")

                                self.match = Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match()
                                self.match.parent = self
                                self._children_name_map["match"] = "match"
                                self._children_yang_names.add("match")
                                self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                            class MetricType(Enum):
                                """
                                MetricType

                                OSPF/IS\-IS exterior metric type for redistributed routes

                                .. data:: Y_1 = 0

                                .. data:: Y_2 = 1

                                """

                                Y_1 = Enum.YLeaf(0, "1")

                                Y_2 = Enum.YLeaf(1, "2")



                            class Match(Entity):
                                """
                                Redistribution of OSPF routes
                                
                                .. attribute:: internal
                                
                                	Redistribute OSPF internal routes
                                	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: external
                                
                                	Redistribute OSPF external routes
                                	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: nssa_external
                                
                                	Redistribute OSPF NSSA external routes
                                	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match, self).__init__()

                                    self.yang_name = "match"
                                    self.yang_parent_name = "ospfv3"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"internal" : ("internal", Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal)}
                                    self._child_list_classes = {}

                                    self.internal = None
                                    self._children_name_map["internal"] = "internal"
                                    self._children_yang_names.add("internal")

                                    self.external = None
                                    self._children_name_map["external"] = "external"
                                    self._children_yang_names.add("external")

                                    self.nssa_external = None
                                    self._children_name_map["nssa_external"] = "nssa-external"
                                    self._children_yang_names.add("nssa-external")
                                    self._segment_path = lambda: "match"


                                class Internal(Entity):
                                    """
                                    Redistribute OSPF internal routes
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal.MetricType>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal, self).__init__()

                                        self.yang_name = "internal"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "internal"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class External(Entity):
                                    """
                                    Redistribute OSPF external routes
                                    
                                    .. attribute:: external_routes
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External.MetricType>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External, self).__init__()

                                        self.yang_name = "external"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "external"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                                class NssaExternal(Entity):
                                    """
                                    Redistribute OSPF NSSA external routes
                                    
                                    .. attribute:: nssa_external_routes
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal.MetricType>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospf'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal, self).__init__()

                                        self.yang_name = "nssa-external"
                                        self.yang_parent_name = "match"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.tag = YLeaf(YType.uint32, "tag")
                                        self._segment_path = lambda: "nssa-external"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                        class Rip(Entity):
                            """
                            Routing Information Protocol (RIP)
                            
                            .. attribute:: id  <key>
                            
                            	User selected string identifying this rip process
                            	**type**\: str
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.Global_.Rip, self).__init__()

                                self.yang_name = "rip"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Rip, ['id'], name, value)


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "rip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                        class Static(Entity):
                            """
                            Static routes
                            
                            .. attribute:: redist_options
                            
                            	
                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Redistribute.Vrf.Global_.Static, self).__init__()

                                self.yang_name = "static"
                                self.yang_parent_name = "global"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.redist_options = Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions()
                                self.redist_options.parent = self
                                self._children_name_map["redist_options"] = "redist-options"
                                self._children_yang_names.add("redist-options")
                                self._segment_path = lambda: "static"


                            class RedistOptions(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions.MetricType>`
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions, self).__init__()

                                    self.yang_name = "redist-options"
                                    self.yang_parent_name = "static"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                    self._segment_path = lambda: "redist-options"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Redistribute.Vrf.Global_.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



            class DistributeList(Entity):
                """
                Filter networks in routing updates
                
                .. attribute:: accesslist
                
                	
                	**type**\: list of  		 :py:class:`Accesslist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList.Accesslist>`
                
                .. attribute:: accesslist_ifname
                
                	
                	**type**\: list of  		 :py:class:`AccesslistIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList.AccesslistIfname>`
                
                .. attribute:: accesslist_prefix_gateway
                
                	
                	**type**\: list of  		 :py:class:`AccesslistPrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList.AccesslistPrefixGateway>`
                
                .. attribute:: accesslist_prefix_gateway_ifname
                
                	
                	**type**\: list of  		 :py:class:`AccesslistPrefixGatewayIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.DistributeList, self).__init__()

                    self.yang_name = "distribute-list"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"accesslist" : ("accesslist", Native.Router.Ospf.DistributeList.Accesslist), "accesslist-ifname" : ("accesslist_ifname", Native.Router.Ospf.DistributeList.AccesslistIfname), "accesslist-prefix-gateway" : ("accesslist_prefix_gateway", Native.Router.Ospf.DistributeList.AccesslistPrefixGateway), "accesslist-prefix-gateway-ifname" : ("accesslist_prefix_gateway_ifname", Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname)}

                    self.accesslist = YList(self)
                    self.accesslist_ifname = YList(self)
                    self.accesslist_prefix_gateway = YList(self)
                    self.accesslist_prefix_gateway_ifname = YList(self)
                    self._segment_path = lambda: "distribute-list"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.DistributeList, [], name, value)


                class Accesslist(Entity):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.DistributeList.Accesslist, self).__init__()

                        self.yang_name = "accesslist"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.in_out = YLeaf(YType.enumeration, "in-out")
                        self._segment_path = lambda: "accesslist" + "[in-out='" + self.in_out.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.DistributeList.Accesslist, ['in_out'], name, value)


                class AccesslistIfname(Entity):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: interface_routing_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: isis_tag
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.DistributeList.AccesslistIfname, self).__init__()

                        self.yang_name = "accesslist-ifname"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.in_out = YLeaf(YType.enumeration, "in-out")

                        self.interface = YLeaf(YType.str, "interface")

                        self.interface_routing_id = YLeaf(YType.uint8, "interface-routing-id")

                        self.isis_tag = YLeaf(YType.str, "isis-tag")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "accesslist-ifname" + "[in-out='" + self.in_out.get() + "']" + "[interface='" + self.interface.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.DistributeList.AccesslistIfname, ['in_out', 'interface', 'interface_routing_id', 'isis_tag', 'vrf'], name, value)


                class AccesslistPrefixGateway(Entity):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                    
                    .. attribute:: prefix_gateway
                    
                    	
                    	**type**\:  :py:class:`PrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList.AccesslistPrefixGateway.PrefixGateway>`
                    
                    	**mandatory**\: True
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.DistributeList.AccesslistPrefixGateway, self).__init__()

                        self.yang_name = "accesslist-prefix-gateway"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.in_out = YLeaf(YType.enumeration, "in-out")

                        self.prefix_gateway = YLeaf(YType.enumeration, "prefix-gateway")

                        self.name = YLeaf(YType.str, "name")
                        self._segment_path = lambda: "accesslist-prefix-gateway" + "[in-out='" + self.in_out.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.DistributeList.AccesslistPrefixGateway, ['in_out', 'prefix_gateway', 'name'], name, value)

                    class PrefixGateway(Enum):
                        """
                        PrefixGateway

                        .. data:: prefix = 0

                        .. data:: gateway = 1

                        .. data:: route_map = 2

                        """

                        prefix = Enum.YLeaf(0, "prefix")

                        gateway = Enum.YLeaf(1, "gateway")

                        route_map = Enum.YLeaf(2, "route-map")



                class AccesslistPrefixGatewayIfname(Entity):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: prefix_gateway
                    
                    	
                    	**type**\:  :py:class:`PrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname.PrefixGateway>`
                    
                    	**mandatory**\: True
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    	**mandatory**\: True
                    
                    .. attribute:: interface_routing_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: isis_tag
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname, self).__init__()

                        self.yang_name = "accesslist-prefix-gateway-ifname"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.in_out = YLeaf(YType.enumeration, "in-out")

                        self.interface = YLeaf(YType.str, "interface")

                        self.prefix_gateway = YLeaf(YType.enumeration, "prefix-gateway")

                        self.name = YLeaf(YType.str, "name")

                        self.interface_routing_id = YLeaf(YType.uint8, "interface-routing-id")

                        self.isis_tag = YLeaf(YType.str, "isis-tag")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "accesslist-prefix-gateway-ifname" + "[in-out='" + self.in_out.get() + "']" + "[interface='" + self.interface.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.DistributeList.AccesslistPrefixGatewayIfname, ['in_out', 'interface', 'prefix_gateway', 'name', 'interface_routing_id', 'isis_tag', 'vrf'], name, value)

                    class PrefixGateway(Enum):
                        """
                        PrefixGateway

                        .. data:: prefix = 0

                        .. data:: gateway = 1

                        .. data:: route_map = 2

                        """

                        prefix = Enum.YLeaf(0, "prefix")

                        gateway = Enum.YLeaf(1, "gateway")

                        route_map = Enum.YLeaf(2, "route-map")



            class DomainId(Entity):
                """
                OSPF domain\-id
                
                .. attribute:: ip_format
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: ip_format_secondary
                
                	
                	**type**\:  :py:class:`IpFormatSecondary <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DomainId.IpFormatSecondary>`
                
                .. attribute:: null
                
                	Null Domain\-ID
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: type
                
                	OSPF domain ID type in Hex format
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DomainId.Type>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.DomainId, self).__init__()

                    self.yang_name = "domain-id"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip-format-secondary" : ("ip_format_secondary", Native.Router.Ospf.DomainId.IpFormatSecondary), "type" : ("type", Native.Router.Ospf.DomainId.Type)}
                    self._child_list_classes = {}

                    self.ip_format = YLeaf(YType.str, "ip-format")

                    self.null = YLeaf(YType.empty, "Null")

                    self.ip_format_secondary = Native.Router.Ospf.DomainId.IpFormatSecondary()
                    self.ip_format_secondary.parent = self
                    self._children_name_map["ip_format_secondary"] = "ip-format-secondary"
                    self._children_yang_names.add("ip-format-secondary")

                    self.type = Native.Router.Ospf.DomainId.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "domain-id"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.DomainId, ['ip_format', 'null'], name, value)


                class IpFormatSecondary(Entity):
                    """
                    
                    
                    .. attribute:: ip
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: secondary
                    
                    	Secondary Domain\-ID
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.DomainId.IpFormatSecondary, self).__init__()

                        self.yang_name = "ip-format-secondary"
                        self.yang_parent_name = "domain-id"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ip = YLeaf(YType.str, "ip")

                        self.secondary = YLeaf(YType.empty, "secondary")
                        self._segment_path = lambda: "ip-format-secondary"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.DomainId.IpFormatSecondary, ['ip', 'secondary'], name, value)


                class Type(Entity):
                    """
                    OSPF domain ID type in Hex format
                    
                    .. attribute:: type_leaf
                    
                    	
                    	**type**\:  :py:class:`TypeLeaf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.DomainId.Type.TypeLeaf>`
                    
                    .. attribute:: value
                    
                    	OSPF domain ID value in Hex format
                    	**type**\: str
                    
                    	**pattern:** [0\-9a\-fA\-F]{12}
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.DomainId.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "domain-id"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.type_leaf = YLeaf(YType.enumeration, "type-leaf")

                        self.value = YLeaf(YType.str, "value")
                        self._segment_path = lambda: "type"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.DomainId.Type, ['type_leaf', 'value'], name, value)

                    class TypeLeaf(Enum):
                        """
                        TypeLeaf

                        .. data:: Y_0005 = 0

                        .. data:: Y_0105 = 1

                        .. data:: Y_0205 = 2

                        .. data:: Y_8005 = 3

                        """

                        Y_0005 = Enum.YLeaf(0, "0005")

                        Y_0105 = Enum.YLeaf(1, "0105")

                        Y_0205 = Enum.YLeaf(2, "0205")

                        Y_8005 = Enum.YLeaf(3, "8005")



            class FastReroute(Entity):
                """
                LFA FastReroute parameters
                
                .. attribute:: keep_all_paths
                
                	Keep LFA FRR audit trail
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: per_prefix
                
                	Per\-prefix LFA FRR parameters
                	**type**\:  :py:class:`PerPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.FastReroute, self).__init__()

                    self.yang_name = "fast-reroute"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"per-prefix" : ("per_prefix", Native.Router.Ospf.FastReroute.PerPrefix)}
                    self._child_list_classes = {}

                    self.keep_all_paths = YLeaf(YType.empty, "keep-all-paths")

                    self.per_prefix = Native.Router.Ospf.FastReroute.PerPrefix()
                    self.per_prefix.parent = self
                    self._children_name_map["per_prefix"] = "per-prefix"
                    self._children_yang_names.add("per-prefix")
                    self._segment_path = lambda: "fast-reroute"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.FastReroute, ['keep_all_paths'], name, value)


                class PerPrefix(Entity):
                    """
                    Per\-prefix LFA FRR parameters
                    
                    .. attribute:: enable
                    
                    	Enable LFA Fast Reroute
                    	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.Enable>`
                    
                    .. attribute:: remote_lfa
                    
                    	Remote LFA FastReroute parameters
                    	**type**\:  :py:class:`RemoteLfa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa>`
                    
                    .. attribute:: tie_break
                    
                    	LFA FRR repair path selection policy tiebreaks
                    	**type**\:  :py:class:`TieBreak <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.FastReroute.PerPrefix, self).__init__()

                        self.yang_name = "per-prefix"
                        self.yang_parent_name = "fast-reroute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"enable" : ("enable", Native.Router.Ospf.FastReroute.PerPrefix.Enable), "remote-lfa" : ("remote_lfa", Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa), "tie-break" : ("tie_break", Native.Router.Ospf.FastReroute.PerPrefix.TieBreak)}
                        self._child_list_classes = {}

                        self.enable = Native.Router.Ospf.FastReroute.PerPrefix.Enable()
                        self.enable.parent = self
                        self._children_name_map["enable"] = "enable"
                        self._children_yang_names.add("enable")

                        self.remote_lfa = Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa()
                        self.remote_lfa.parent = self
                        self._children_name_map["remote_lfa"] = "remote-lfa"
                        self._children_yang_names.add("remote-lfa")

                        self.tie_break = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak()
                        self.tie_break.parent = self
                        self._children_name_map["tie_break"] = "tie-break"
                        self._children_yang_names.add("tie-break")
                        self._segment_path = lambda: "per-prefix"


                    class Enable(Entity):
                        """
                        Enable LFA Fast Reroute
                        
                        .. attribute:: area
                        
                        	Area to enable LFA FRR in
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: prefix_priority
                        
                        	Priority of prefixes to be protected
                        	**type**\:  :py:class:`PrefixPriority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.Enable.PrefixPriority>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.FastReroute.PerPrefix.Enable, self).__init__()

                            self.yang_name = "enable"
                            self.yang_parent_name = "per-prefix"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.area = YLeaf(YType.str, "area")

                            self.prefix_priority = YLeaf(YType.enumeration, "prefix-priority")
                            self._segment_path = lambda: "enable"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.FastReroute.PerPrefix.Enable, ['area', 'prefix_priority'], name, value)

                        class PrefixPriority(Enum):
                            """
                            PrefixPriority

                            Priority of prefixes to be protected

                            .. data:: high = 0

                            .. data:: low = 1

                            """

                            high = Enum.YLeaf(0, "high")

                            low = Enum.YLeaf(1, "low")



                    class RemoteLfa(Entity):
                        """
                        Remote LFA FastReroute parameters
                        
                        .. attribute:: area_cost
                        
                        	
                        	**type**\:  :py:class:`AreaCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.AreaCost>`
                        
                        .. attribute:: area_tunnel
                        
                        	
                        	**type**\:  :py:class:`AreaTunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.AreaTunnel>`
                        
                        .. attribute:: maximum_cost
                        
                        	Maximum distance to tunnel endpoint
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: tunnel
                        
                        	Remote LFA tunnel type
                        	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.Tunnel>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa, self).__init__()

                            self.yang_name = "remote-lfa"
                            self.yang_parent_name = "per-prefix"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"area-cost" : ("area_cost", Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.AreaCost), "area-tunnel" : ("area_tunnel", Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.AreaTunnel)}
                            self._child_list_classes = {}

                            self.maximum_cost = YLeaf(YType.uint32, "maximum-cost")

                            self.tunnel = YLeaf(YType.enumeration, "tunnel")

                            self.area_cost = Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.AreaCost()
                            self.area_cost.parent = self
                            self._children_name_map["area_cost"] = "area-cost"
                            self._children_yang_names.add("area-cost")

                            self.area_tunnel = Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.AreaTunnel()
                            self.area_tunnel.parent = self
                            self._children_name_map["area_tunnel"] = "area-tunnel"
                            self._children_yang_names.add("area-tunnel")
                            self._segment_path = lambda: "remote-lfa"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa, ['maximum_cost', 'tunnel'], name, value)

                        class Tunnel(Enum):
                            """
                            Tunnel

                            Remote LFA tunnel type

                            .. data:: mpls_ldp = 0

                            """

                            mpls_ldp = Enum.YLeaf(0, "mpls-ldp")



                        class AreaCost(Entity):
                            """
                            
                            
                            .. attribute:: area
                            
                            	Area for remote LFA command
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: maximum_cost
                            
                            	Maximum distance to tunnel endpoint
                            	**type**\: int
                            
                            	**range:** 1..16777214
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.AreaCost, self).__init__()

                                self.yang_name = "area-cost"
                                self.yang_parent_name = "remote-lfa"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.area = YLeaf(YType.str, "area")

                                self.maximum_cost = YLeaf(YType.uint32, "maximum-cost")
                                self._segment_path = lambda: "area-cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.AreaCost, ['area', 'maximum_cost'], name, value)


                        class AreaTunnel(Entity):
                            """
                            
                            
                            .. attribute:: area
                            
                            	Area for remote LFA command
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: tunnel
                            
                            	Remote LFA tunnel type
                            	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.AreaTunnel.Tunnel>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.AreaTunnel, self).__init__()

                                self.yang_name = "area-tunnel"
                                self.yang_parent_name = "remote-lfa"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.area = YLeaf(YType.str, "area")

                                self.tunnel = YLeaf(YType.enumeration, "tunnel")
                                self._segment_path = lambda: "area-tunnel"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.FastReroute.PerPrefix.RemoteLfa.AreaTunnel, ['area', 'tunnel'], name, value)

                            class Tunnel(Enum):
                                """
                                Tunnel

                                Remote LFA tunnel type

                                .. data:: mpls_ldp = 0

                                """

                                mpls_ldp = Enum.YLeaf(0, "mpls-ldp")



                    class TieBreak(Entity):
                        """
                        LFA FRR repair path selection policy tiebreaks
                        
                        .. attribute:: broadcast_interface_disjoint
                        
                        	Interface protection attribute
                        	**type**\:  :py:class:`BroadcastInterfaceDisjoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.BroadcastInterfaceDisjoint>`
                        
                        .. attribute:: downstream
                        
                        	Downstream repair path attribute
                        	**type**\:  :py:class:`Downstream <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Downstream>`
                        
                        .. attribute:: linecard_disjoint
                        
                        	Line card protection attribute
                        	**type**\:  :py:class:`LinecardDisjoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LinecardDisjoint>`
                        
                        .. attribute:: lowest_metric
                        
                        	Lowest metric repair path attribute
                        	**type**\:  :py:class:`LowestMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LowestMetric>`
                        
                        .. attribute:: node_protecting
                        
                        	Node protecting repair path attribute
                        	**type**\:  :py:class:`NodeProtecting <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.NodeProtecting>`
                        
                        .. attribute:: primary_path
                        
                        	Equal cost multipath attribute
                        	**type**\:  :py:class:`PrimaryPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.PrimaryPath>`
                        
                        .. attribute:: secondary_path
                        
                        	Not\-equal cost multipath attribute
                        	**type**\:  :py:class:`SecondaryPath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.SecondaryPath>`
                        
                        .. attribute:: srlg
                        
                        	Shared risk link group attribute
                        	**type**\:  :py:class:`Srlg <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Srlg>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak, self).__init__()

                            self.yang_name = "tie-break"
                            self.yang_parent_name = "per-prefix"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"broadcast-interface-disjoint" : ("broadcast_interface_disjoint", Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.BroadcastInterfaceDisjoint), "downstream" : ("downstream", Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Downstream), "linecard-disjoint" : ("linecard_disjoint", Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LinecardDisjoint), "lowest-metric" : ("lowest_metric", Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LowestMetric), "node-protecting" : ("node_protecting", Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.NodeProtecting), "primary-path" : ("primary_path", Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.PrimaryPath), "secondary-path" : ("secondary_path", Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.SecondaryPath), "srlg" : ("srlg", Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Srlg)}
                            self._child_list_classes = {}

                            self.broadcast_interface_disjoint = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.BroadcastInterfaceDisjoint()
                            self.broadcast_interface_disjoint.parent = self
                            self._children_name_map["broadcast_interface_disjoint"] = "broadcast-interface-disjoint"
                            self._children_yang_names.add("broadcast-interface-disjoint")

                            self.downstream = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Downstream()
                            self.downstream.parent = self
                            self._children_name_map["downstream"] = "downstream"
                            self._children_yang_names.add("downstream")

                            self.linecard_disjoint = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LinecardDisjoint()
                            self.linecard_disjoint.parent = self
                            self._children_name_map["linecard_disjoint"] = "linecard-disjoint"
                            self._children_yang_names.add("linecard-disjoint")

                            self.lowest_metric = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LowestMetric()
                            self.lowest_metric.parent = self
                            self._children_name_map["lowest_metric"] = "lowest-metric"
                            self._children_yang_names.add("lowest-metric")

                            self.node_protecting = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.NodeProtecting()
                            self.node_protecting.parent = self
                            self._children_name_map["node_protecting"] = "node-protecting"
                            self._children_yang_names.add("node-protecting")

                            self.primary_path = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.PrimaryPath()
                            self.primary_path.parent = self
                            self._children_name_map["primary_path"] = "primary-path"
                            self._children_yang_names.add("primary-path")

                            self.secondary_path = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.SecondaryPath()
                            self.secondary_path.parent = self
                            self._children_name_map["secondary_path"] = "secondary-path"
                            self._children_yang_names.add("secondary-path")

                            self.srlg = Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Srlg()
                            self.srlg.parent = self
                            self._children_name_map["srlg"] = "srlg"
                            self._children_yang_names.add("srlg")
                            self._segment_path = lambda: "tie-break"


                        class BroadcastInterfaceDisjoint(Entity):
                            """
                            Interface protection attribute
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.BroadcastInterfaceDisjoint, self).__init__()

                                self.yang_name = "broadcast-interface-disjoint"
                                self.yang_parent_name = "tie-break"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.required = YLeaf(YType.empty, "required")

                                self.index = YLeaf(YType.uint8, "index")
                                self._segment_path = lambda: "broadcast-interface-disjoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.BroadcastInterfaceDisjoint, ['required', 'index'], name, value)


                        class Downstream(Entity):
                            """
                            Downstream repair path attribute
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Downstream, self).__init__()

                                self.yang_name = "downstream"
                                self.yang_parent_name = "tie-break"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.required = YLeaf(YType.empty, "required")

                                self.index = YLeaf(YType.uint8, "index")
                                self._segment_path = lambda: "downstream"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Downstream, ['required', 'index'], name, value)


                        class LinecardDisjoint(Entity):
                            """
                            Line card protection attribute
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LinecardDisjoint, self).__init__()

                                self.yang_name = "linecard-disjoint"
                                self.yang_parent_name = "tie-break"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.required = YLeaf(YType.empty, "required")

                                self.index = YLeaf(YType.uint8, "index")
                                self._segment_path = lambda: "linecard-disjoint"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LinecardDisjoint, ['required', 'index'], name, value)


                        class LowestMetric(Entity):
                            """
                            Lowest metric repair path attribute
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LowestMetric, self).__init__()

                                self.yang_name = "lowest-metric"
                                self.yang_parent_name = "tie-break"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.required = YLeaf(YType.empty, "required")

                                self.index = YLeaf(YType.uint8, "index")
                                self._segment_path = lambda: "lowest-metric"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.LowestMetric, ['required', 'index'], name, value)


                        class NodeProtecting(Entity):
                            """
                            Node protecting repair path attribute
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.NodeProtecting, self).__init__()

                                self.yang_name = "node-protecting"
                                self.yang_parent_name = "tie-break"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.required = YLeaf(YType.empty, "required")

                                self.index = YLeaf(YType.uint8, "index")
                                self._segment_path = lambda: "node-protecting"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.NodeProtecting, ['required', 'index'], name, value)


                        class PrimaryPath(Entity):
                            """
                            Equal cost multipath attribute
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.PrimaryPath, self).__init__()

                                self.yang_name = "primary-path"
                                self.yang_parent_name = "tie-break"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.required = YLeaf(YType.empty, "required")

                                self.index = YLeaf(YType.uint8, "index")
                                self._segment_path = lambda: "primary-path"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.PrimaryPath, ['required', 'index'], name, value)


                        class SecondaryPath(Entity):
                            """
                            Not\-equal cost multipath attribute
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.SecondaryPath, self).__init__()

                                self.yang_name = "secondary-path"
                                self.yang_parent_name = "tie-break"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.required = YLeaf(YType.empty, "required")

                                self.index = YLeaf(YType.uint8, "index")
                                self._segment_path = lambda: "secondary-path"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.SecondaryPath, ['required', 'index'], name, value)


                        class Srlg(Entity):
                            """
                            Shared risk link group attribute
                            
                            .. attribute:: required
                            
                            	Mandatory repair path attribute
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: index
                            
                            	Tiebreak attribute priority
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Srlg, self).__init__()

                                self.yang_name = "srlg"
                                self.yang_parent_name = "tie-break"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.required = YLeaf(YType.empty, "required")

                                self.index = YLeaf(YType.uint8, "index")
                                self._segment_path = lambda: "srlg"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.FastReroute.PerPrefix.TieBreak.Srlg, ['required', 'index'], name, value)


            class GracefulRestart(Entity):
                """
                Graceful\-restart options
                
                .. attribute:: disable
                
                	Graceful restart disable
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: helper
                
                	helper support
                	**type**\:  :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.GracefulRestart.Helper>`
                
                	**presence node**\: True
                
                .. attribute:: restart_interval
                
                	Graceful restart interval
                	**type**\: int
                
                	**range:** 0..65535
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.GracefulRestart, self).__init__()

                    self.yang_name = "graceful-restart"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"helper" : ("helper", Native.Router.Ospf.GracefulRestart.Helper)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.disable = YLeaf(YType.empty, "disable")

                    self.restart_interval = YLeaf(YType.uint16, "restart-interval")

                    self.helper = None
                    self._children_name_map["helper"] = "helper"
                    self._children_yang_names.add("helper")
                    self._segment_path = lambda: "graceful-restart"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.GracefulRestart, ['disable', 'restart_interval'], name, value)


                class Helper(Entity):
                    """
                    helper support
                    
                    .. attribute:: disable
                    
                    	disable helper support
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: strict_lsa_checking
                    
                    	enable helper strict LSA checking
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.GracefulRestart.Helper, self).__init__()

                        self.yang_name = "helper"
                        self.yang_parent_name = "graceful-restart"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")

                        self.strict_lsa_checking = YLeaf(YType.empty, "strict-lsa-checking")
                        self._segment_path = lambda: "helper"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.GracefulRestart.Helper, ['disable', 'strict_lsa_checking'], name, value)


            class Ignore(Entity):
                """
                Do not complain about specific event
                
                .. attribute:: lsa
                
                	Do not complain upon receiving LSA of the specified type
                	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Ignore.Lsa>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Ignore, self).__init__()

                    self.yang_name = "ignore"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"lsa" : ("lsa", Native.Router.Ospf.Ignore.Lsa)}
                    self._child_list_classes = {}

                    self.lsa = Native.Router.Ospf.Ignore.Lsa()
                    self.lsa.parent = self
                    self._children_name_map["lsa"] = "lsa"
                    self._children_yang_names.add("lsa")
                    self._segment_path = lambda: "ignore"


                class Lsa(Entity):
                    """
                    Do not complain upon receiving LSA of the specified type
                    
                    .. attribute:: mospf
                    
                    	MOSPF Type 6 LSA
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Ignore.Lsa, self).__init__()

                        self.yang_name = "lsa"
                        self.yang_parent_name = "ignore"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.mospf = YLeaf(YType.empty, "mospf")
                        self._segment_path = lambda: "lsa"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Ignore.Lsa, ['mospf'], name, value)


            class Limit(Entity):
                """
                Limit a specific OSPF feature
                
                .. attribute:: retransmissions
                
                	LS update, DBD, and LS request retransmissions
                	**type**\:  :py:class:`Retransmissions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Limit.Retransmissions>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Limit, self).__init__()

                    self.yang_name = "limit"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"retransmissions" : ("retransmissions", Native.Router.Ospf.Limit.Retransmissions)}
                    self._child_list_classes = {}

                    self.retransmissions = Native.Router.Ospf.Limit.Retransmissions()
                    self.retransmissions.parent = self
                    self._children_name_map["retransmissions"] = "retransmissions"
                    self._children_yang_names.add("retransmissions")
                    self._segment_path = lambda: "limit"


                class Retransmissions(Entity):
                    """
                    LS update, DBD, and LS request retransmissions
                    
                    .. attribute:: non_dc
                    
                    	Non\-demand\-circuit retransmissions
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..255
                    
                    		**type**\:  :py:class:`LimitDcNonDcType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.LimitDcNonDcType>`
                    
                    .. attribute:: dc
                    
                    	Demand circuit retransmissions
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..255
                    
                    		**type**\:  :py:class:`LimitDcNonDcType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.LimitDcNonDcType>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Limit.Retransmissions, self).__init__()

                        self.yang_name = "retransmissions"
                        self.yang_parent_name = "limit"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.non_dc = YLeaf(YType.str, "non-dc")

                        self.dc = YLeaf(YType.str, "dc")
                        self._segment_path = lambda: "retransmissions"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Limit.Retransmissions, ['non_dc', 'dc'], name, value)


            class LocalRibCriteria(Entity):
                """
                Enable or disable usage of local RIB as route criteria
                
                .. attribute:: forwarding_address
                
                	Local RIB used to validate external/NSSA forwarding addresses
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inter_area_summary
                
                	Local RIB used as criteria for inter\-area summaries
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nssa_translation
                
                	Local RIB used as criteria for NSSA translation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.LocalRibCriteria, self).__init__()

                    self.yang_name = "local-rib-criteria"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.forwarding_address = YLeaf(YType.empty, "forwarding-address")

                    self.inter_area_summary = YLeaf(YType.empty, "inter-area-summary")

                    self.nssa_translation = YLeaf(YType.empty, "nssa-translation")
                    self._segment_path = lambda: "local-rib-criteria"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.LocalRibCriteria, ['forwarding_address', 'inter_area_summary', 'nssa_translation'], name, value)


            class Microloop(Entity):
                """
                Traffic microloop control parameters
                
                .. attribute:: avoidance
                
                	Traffic microloop avoidance parameters
                	**type**\:  :py:class:`Avoidance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Microloop.Avoidance>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Microloop, self).__init__()

                    self.yang_name = "microloop"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"avoidance" : ("avoidance", Native.Router.Ospf.Microloop.Avoidance)}
                    self._child_list_classes = {}

                    self.avoidance = None
                    self._children_name_map["avoidance"] = "avoidance"
                    self._children_yang_names.add("avoidance")
                    self._segment_path = lambda: "microloop"


                class Avoidance(Entity):
                    """
                    Traffic microloop avoidance parameters
                    
                    .. attribute:: disable
                    
                    	Microloop avoidance auto\-enable prohibited
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: protected
                    
                    	Microloop avoidance for protected prefixes only
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rib_update_delay
                    
                    	Delay before updating the RIB
                    	**type**\: int
                    
                    	**range:** 1..600000
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Microloop.Avoidance, self).__init__()

                        self.yang_name = "avoidance"
                        self.yang_parent_name = "microloop"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")

                        self.protected = YLeaf(YType.empty, "protected")

                        self.rib_update_delay = YLeaf(YType.uint32, "rib-update-delay")
                        self._segment_path = lambda: "avoidance"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Microloop.Avoidance, ['disable', 'protected', 'rib_update_delay'], name, value)


            class Mpls(Entity):
                """
                Configure MPLS routing protocol parameters
                
                .. attribute:: ldp
                
                	routing protocol commands for MPLS LDP
                	**type**\:  :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.Ldp>`
                
                .. attribute:: traffic_eng
                
                	routing protocol commands for MPLS Traffic Engineering
                	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ldp" : ("ldp", Native.Router.Ospf.Mpls.Ldp), "traffic-eng" : ("traffic_eng", Native.Router.Ospf.Mpls.TrafficEng)}
                    self._child_list_classes = {}

                    self.ldp = Native.Router.Ospf.Mpls.Ldp()
                    self.ldp.parent = self
                    self._children_name_map["ldp"] = "ldp"
                    self._children_yang_names.add("ldp")

                    self.traffic_eng = Native.Router.Ospf.Mpls.TrafficEng()
                    self.traffic_eng.parent = self
                    self._children_name_map["traffic_eng"] = "traffic-eng"
                    self._children_yang_names.add("traffic-eng")
                    self._segment_path = lambda: "mpls"


                class Ldp(Entity):
                    """
                    routing protocol commands for MPLS LDP
                    
                    .. attribute:: autoconfig
                    
                    	Configure LDP automatic configuration
                    	**type**\:  :py:class:`Autoconfig <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.Ldp.Autoconfig>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: sync
                    
                    	Configure LDP\-IGP Synchronization
                    	**type**\:  :py:class:`Sync <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.Ldp.Sync>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Mpls.Ldp, self).__init__()

                        self.yang_name = "ldp"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"autoconfig" : ("autoconfig", Native.Router.Ospf.Mpls.Ldp.Autoconfig), "sync" : ("sync", Native.Router.Ospf.Mpls.Ldp.Sync)}
                        self._child_list_classes = {}

                        self.autoconfig = None
                        self._children_name_map["autoconfig"] = "autoconfig"
                        self._children_yang_names.add("autoconfig")

                        self.sync = None
                        self._children_name_map["sync"] = "sync"
                        self._children_yang_names.add("sync")
                        self._segment_path = lambda: "ldp"


                    class Autoconfig(Entity):
                        """
                        Configure LDP automatic configuration
                        
                        .. attribute:: area
                        
                        	Configure an OSPF area to run MPLS LDP
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Mpls.Ldp.Autoconfig, self).__init__()

                            self.yang_name = "autoconfig"
                            self.yang_parent_name = "ldp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.area = YLeaf(YType.str, "area")
                            self._segment_path = lambda: "autoconfig"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Mpls.Ldp.Autoconfig, ['area'], name, value)


                    class Sync(Entity):
                        """
                        Configure LDP\-IGP Synchronization
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Mpls.Ldp.Sync, self).__init__()

                            self.yang_name = "sync"
                            self.yang_parent_name = "ldp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "sync"


                class TrafficEng(Entity):
                    """
                    routing protocol commands for MPLS Traffic Engineering
                    
                    .. attribute:: multicast_intact
                    
                    	MPLS TE and PIM interaction
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: area
                    
                    	configure an ospf area to run MPLS Traffic Engineering
                    	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.Area>`
                    
                    .. attribute:: autoroute_exclude
                    
                    	MPLS TE autoroute exclude
                    	**type**\:  :py:class:`AutorouteExclude <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.AutorouteExclude>`
                    
                    .. attribute:: interface
                    
                    	MPLS TE interface configuration for this OSPF process
                    	**type**\: list of  		 :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.Interface>`
                    
                    .. attribute:: mesh_group
                    
                    	Traffic Engineering Mesh\-Group advertisement
                    	**type**\: list of  		 :py:class:`MeshGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.MeshGroup>`
                    
                    .. attribute:: router_id
                    
                    	Traffic Engineering stable IP address for system
                    	**type**\:  :py:class:`RouterId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.RouterId>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Mpls.TrafficEng, self).__init__()

                        self.yang_name = "traffic-eng"
                        self.yang_parent_name = "mpls"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"autoroute-exclude" : ("autoroute_exclude", Native.Router.Ospf.Mpls.TrafficEng.AutorouteExclude), "router-id" : ("router_id", Native.Router.Ospf.Mpls.TrafficEng.RouterId)}
                        self._child_list_classes = {"area" : ("area", Native.Router.Ospf.Mpls.TrafficEng.Area), "interface" : ("interface", Native.Router.Ospf.Mpls.TrafficEng.Interface), "mesh-group" : ("mesh_group", Native.Router.Ospf.Mpls.TrafficEng.MeshGroup)}

                        self.multicast_intact = YLeaf(YType.empty, "multicast-intact")

                        self.autoroute_exclude = Native.Router.Ospf.Mpls.TrafficEng.AutorouteExclude()
                        self.autoroute_exclude.parent = self
                        self._children_name_map["autoroute_exclude"] = "autoroute-exclude"
                        self._children_yang_names.add("autoroute-exclude")

                        self.router_id = Native.Router.Ospf.Mpls.TrafficEng.RouterId()
                        self.router_id.parent = self
                        self._children_name_map["router_id"] = "router-id"
                        self._children_yang_names.add("router-id")

                        self.area = YList(self)
                        self.interface = YList(self)
                        self.mesh_group = YList(self)
                        self._segment_path = lambda: "traffic-eng"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Mpls.TrafficEng, ['multicast_intact'], name, value)


                    class Area(Entity):
                        """
                        configure an ospf area to run MPLS Traffic Engineering
                        
                        .. attribute:: id  <key>
                        
                        	OSPF area ID
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Mpls.TrafficEng.Area, self).__init__()

                            self.yang_name = "area"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")
                            self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Mpls.TrafficEng.Area, ['id'], name, value)


                    class AutorouteExclude(Entity):
                        """
                        MPLS TE autoroute exclude
                        
                        .. attribute:: prefix_list
                        
                        	Filter prefixes
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Mpls.TrafficEng.AutorouteExclude, self).__init__()

                            self.yang_name = "autoroute-exclude"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.prefix_list = YLeaf(YType.str, "prefix-list")
                            self._segment_path = lambda: "autoroute-exclude"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Mpls.TrafficEng.AutorouteExclude, ['prefix_list'], name, value)


                    class Interface(Entity):
                        """
                        MPLS TE interface configuration for this OSPF process
                        
                        .. attribute:: name_id  <key>
                        
                        	Interface name and ID
                        	**type**\: str
                        
                        .. attribute:: area
                        
                        	Advertise MPLS TE information for this interface into area
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Mpls.TrafficEng.Interface, self).__init__()

                            self.yang_name = "interface"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name_id = YLeaf(YType.str, "name-id")

                            self.area = YLeaf(YType.uint32, "area")
                            self._segment_path = lambda: "interface" + "[name-id='" + self.name_id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Mpls.TrafficEng.Interface, ['name_id', 'area'], name, value)


                    class MeshGroup(Entity):
                        """
                        Traffic Engineering Mesh\-Group advertisement
                        
                        .. attribute:: id  <key>
                        
                        	Mesh Group ID\: <0..4294967295>
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: area  <key>
                        
                        	configure flooding scope as area
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..4294967295
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: interface
                        
                        	Interface name and ID
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Mpls.TrafficEng.MeshGroup, self).__init__()

                            self.yang_name = "mesh-group"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint32, "id")

                            self.area = YLeaf(YType.str, "area")

                            self.interface = YLeaf(YType.str, "interface")
                            self._segment_path = lambda: "mesh-group" + "[id='" + self.id.get() + "']" + "[area='" + self.area.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Mpls.TrafficEng.MeshGroup, ['id', 'area', 'interface'], name, value)


                    class RouterId(Entity):
                        """
                        Traffic Engineering stable IP address for system
                        
                        .. attribute:: appnav_compress
                        
                        	Service\-Context Virtual Interface Compress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: appnav_uncompress
                        
                        	Service\-Context Virtual Interface UnCompress
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: atm
                        
                        	ATM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                        
                        .. attribute:: atm_subinterface
                        
                        	
                        	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.RouterId.ATMSubinterface>`
                        
                        .. attribute:: atm_acr
                        
                        	ATM\-ACR interface
                        	**type**\: str
                        
                        	**pattern:** [0\-9]
                        
                        .. attribute:: atm_acrsubinterface
                        
                        	
                        	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.RouterId.ATMACRsubinterface>`
                        
                        .. attribute:: bdi
                        
                        	Bridge\-Domain interface
                        	**type**\: str
                        
                        .. attribute:: cem
                        
                        	CEM interface
                        	**type**\: str
                        
                        	**pattern:** ([0\-9]/){2}[0\-9]
                        
                        .. attribute:: cem_acr
                        
                        	CEM\-ACR interface
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: embedded_service_engine
                        
                        	cisco embedded service engine module
                        	**type**\: str
                        
                        .. attribute:: fastethernet
                        
                        	FastEthernet IEEE 802.3
                        	**type**\: str
                        
                        .. attribute:: gigabitethernet
                        
                        	GigabitEthernet IEEE 802.3z
                        	**type**\: str
                        
                        .. attribute:: lisp
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\: str
                        
                        .. attribute:: lisp_subinterface
                        
                        	Locator/ID Separation Protocol Virtual Interface
                        	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.RouterId.LISPSubinterface>`
                        
                        .. attribute:: loopback
                        
                        	Loopback interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: multilink
                        
                        	Multilink\-group interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: nve
                        
                        	Network virtualization endpoint interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: overlay
                        
                        	Overlay interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: port_channel
                        
                        	Ethernet Channel of interfaces
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: port_channel_subinterface
                        
                        	
                        	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Mpls.TrafficEng.RouterId.PortChannelSubinterface>`
                        
                        .. attribute:: pseudowire
                        
                        	Pseudowire Interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: sm
                        
                        	SM Interface
                        	**type**\: str
                        
                        .. attribute:: cellular
                        
                        	Cellular Interface
                        	**type**\: str
                        
                        .. attribute:: serial
                        
                        	Serial interface
                        	**type**\: str
                        
                        .. attribute:: tengigabitethernet
                        
                        	Ten Gigabit Ethernet
                        	**type**\: str
                        
                        .. attribute:: tunnel
                        
                        	Tunnel interface
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: virtual_template
                        
                        	Virtual Template interface
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vlan
                        
                        	Iosxr Vlans
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: virtualportgroup
                        
                        	Virtual Port Group
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasileft
                        
                        	vasileft
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: vasiright
                        
                        	vasiright
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Mpls.TrafficEng.RouterId, self).__init__()

                            self.yang_name = "router-id"
                            self.yang_parent_name = "traffic-eng"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Router.Ospf.Mpls.TrafficEng.RouterId.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Router.Ospf.Mpls.TrafficEng.RouterId.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Router.Ospf.Mpls.TrafficEng.RouterId.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Router.Ospf.Mpls.TrafficEng.RouterId.PortChannelSubinterface)}
                            self._child_list_classes = {}

                            self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                            self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                            self.atm = YLeaf(YType.str, "ATM")

                            self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                            self.bdi = YLeaf(YType.str, "BDI")

                            self.cem = YLeaf(YType.str, "CEM")

                            self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                            self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                            self.fastethernet = YLeaf(YType.str, "FastEthernet")

                            self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                            self.lisp = YLeaf(YType.str, "LISP")

                            self.loopback = YLeaf(YType.uint32, "Loopback")

                            self.multilink = YLeaf(YType.uint16, "Multilink")

                            self.nve = YLeaf(YType.uint16, "nve")

                            self.overlay = YLeaf(YType.uint16, "overlay")

                            self.port_channel = YLeaf(YType.uint32, "Port-channel")

                            self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                            self.sm = YLeaf(YType.str, "SM")

                            self.cellular = YLeaf(YType.str, "Cellular")

                            self.serial = YLeaf(YType.str, "Serial")

                            self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                            self.tunnel = YLeaf(YType.uint32, "Tunnel")

                            self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                            self.vlan = YLeaf(YType.uint16, "Vlan")

                            self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                            self.vasileft = YLeaf(YType.uint16, "vasileft")

                            self.vasiright = YLeaf(YType.uint16, "vasiright")

                            self.atm_subinterface = Native.Router.Ospf.Mpls.TrafficEng.RouterId.ATMSubinterface()
                            self.atm_subinterface.parent = self
                            self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                            self._children_yang_names.add("ATM-subinterface")

                            self.atm_acrsubinterface = Native.Router.Ospf.Mpls.TrafficEng.RouterId.ATMACRsubinterface()
                            self.atm_acrsubinterface.parent = self
                            self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                            self._children_yang_names.add("ATM-ACRsubinterface")

                            self.lisp_subinterface = Native.Router.Ospf.Mpls.TrafficEng.RouterId.LISPSubinterface()
                            self.lisp_subinterface.parent = self
                            self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                            self._children_yang_names.add("LISP-subinterface")

                            self.port_channel_subinterface = Native.Router.Ospf.Mpls.TrafficEng.RouterId.PortChannelSubinterface()
                            self.port_channel_subinterface.parent = self
                            self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                            self._children_yang_names.add("Port-channel-subinterface")
                            self._segment_path = lambda: "router-id"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Mpls.TrafficEng.RouterId, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                        class ATMSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Mpls.TrafficEng.RouterId.ATMSubinterface, self).__init__()

                                self.yang_name = "ATM-subinterface"
                                self.yang_parent_name = "router-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm = YLeaf(YType.str, "ATM")
                                self._segment_path = lambda: "ATM-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Mpls.TrafficEng.RouterId.ATMSubinterface, ['atm'], name, value)


                        class ATMACRsubinterface(Entity):
                            """
                            
                            
                            .. attribute:: atm_acr
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Mpls.TrafficEng.RouterId.ATMACRsubinterface, self).__init__()

                                self.yang_name = "ATM-ACRsubinterface"
                                self.yang_parent_name = "router-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                                self._segment_path = lambda: "ATM-ACRsubinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Mpls.TrafficEng.RouterId.ATMACRsubinterface, ['atm_acr'], name, value)


                        class LISPSubinterface(Entity):
                            """
                            Locator/ID Separation Protocol Virtual Interface
                            
                            .. attribute:: lisp
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Mpls.TrafficEng.RouterId.LISPSubinterface, self).__init__()

                                self.yang_name = "LISP-subinterface"
                                self.yang_parent_name = "router-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.lisp = YLeaf(YType.str, "LISP")
                                self._segment_path = lambda: "LISP-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Mpls.TrafficEng.RouterId.LISPSubinterface, ['lisp'], name, value)


                        class PortChannelSubinterface(Entity):
                            """
                            
                            
                            .. attribute:: port_channel
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Mpls.TrafficEng.RouterId.PortChannelSubinterface, self).__init__()

                                self.yang_name = "Port-channel-subinterface"
                                self.yang_parent_name = "router-id"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.port_channel = YLeaf(YType.str, "Port-channel")
                                self._segment_path = lambda: "Port-channel-subinterface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Mpls.TrafficEng.RouterId.PortChannelSubinterface, ['port_channel'], name, value)


            class Neighbor(Entity):
                """
                Specify a neighbor router
                
                .. attribute:: ip  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: cost
                
                	OSPF cost for point\-to\-multipoint neighbor
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: database_filter
                
                	Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                	**type**\:  :py:class:`DatabaseFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Neighbor.DatabaseFilter>`
                
                .. attribute:: poll_interval
                
                	OSPF dead\-router polling interval
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: priority
                
                	OSPF priority of non\-broadcast neighbor
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Neighbor, self).__init__()

                    self.yang_name = "neighbor"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"database-filter" : ("database_filter", Native.Router.Ospf.Neighbor.DatabaseFilter)}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.str, "ip")

                    self.cost = YLeaf(YType.uint32, "cost")

                    self.poll_interval = YLeaf(YType.uint32, "poll-interval")

                    self.priority = YLeaf(YType.uint32, "priority")

                    self.database_filter = Native.Router.Ospf.Neighbor.DatabaseFilter()
                    self.database_filter.parent = self
                    self._children_name_map["database_filter"] = "database-filter"
                    self._children_yang_names.add("database-filter")
                    self._segment_path = lambda: "neighbor" + "[ip='" + self.ip.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.Neighbor, ['ip', 'cost', 'poll_interval', 'priority'], name, value)


                class DatabaseFilter(Entity):
                    """
                    Filter OSPF LSA during synchronization and flooding for point\-to\-multipoint neighbor
                    
                    .. attribute:: all
                    
                    	Filter all LSA
                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Neighbor.DatabaseFilter.All>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Neighbor.DatabaseFilter, self).__init__()

                        self.yang_name = "database-filter"
                        self.yang_parent_name = "neighbor"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"all" : ("all", Native.Router.Ospf.Neighbor.DatabaseFilter.All)}
                        self._child_list_classes = {}

                        self.all = Native.Router.Ospf.Neighbor.DatabaseFilter.All()
                        self.all.parent = self
                        self._children_name_map["all"] = "all"
                        self._children_yang_names.add("all")
                        self._segment_path = lambda: "database-filter"


                    class All(Entity):
                        """
                        Filter all LSA
                        
                        .. attribute:: out
                        
                        	Outgoing LSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Neighbor.DatabaseFilter.All, self).__init__()

                            self.yang_name = "all"
                            self.yang_parent_name = "database-filter"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.out = YLeaf(YType.empty, "out")
                            self._segment_path = lambda: "all"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Neighbor.DatabaseFilter.All, ['out'], name, value)


            class Network(Entity):
                """
                Enable routing on an IP network
                
                .. attribute:: ip  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: mask  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: area
                
                	Set the OSPF area ID
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..4294967295
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Network, self).__init__()

                    self.yang_name = "network"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.str, "ip")

                    self.mask = YLeaf(YType.str, "mask")

                    self.area = YLeaf(YType.str, "area")
                    self._segment_path = lambda: "network" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.Network, ['ip', 'mask', 'area'], name, value)


            class Nsf(Entity):
                """
                Non\-stop forwarding
                
                .. attribute:: cisco
                
                	Cisco Non\-stop forwarding
                	**type**\:  :py:class:`Cisco <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Nsf.Cisco>`
                
                	**presence node**\: True
                
                .. attribute:: ietf
                
                	IETF graceful restart
                	**type**\:  :py:class:`Ietf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Nsf.Ietf>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Nsf, self).__init__()

                    self.yang_name = "nsf"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cisco" : ("cisco", Native.Router.Ospf.Nsf.Cisco), "ietf" : ("ietf", Native.Router.Ospf.Nsf.Ietf)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.cisco = None
                    self._children_name_map["cisco"] = "cisco"
                    self._children_yang_names.add("cisco")

                    self.ietf = Native.Router.Ospf.Nsf.Ietf()
                    self.ietf.parent = self
                    self._children_name_map["ietf"] = "ietf"
                    self._children_yang_names.add("ietf")
                    self._segment_path = lambda: "nsf"


                class Cisco(Entity):
                    """
                    Cisco Non\-stop forwarding
                    
                    .. attribute:: helper
                    
                    	helper support
                    	**type**\:  :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Nsf.Cisco.Helper>`
                    
                    	**presence node**\: True
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Nsf.Cisco, self).__init__()

                        self.yang_name = "cisco"
                        self.yang_parent_name = "nsf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"helper" : ("helper", Native.Router.Ospf.Nsf.Cisco.Helper)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.helper = None
                        self._children_name_map["helper"] = "helper"
                        self._children_yang_names.add("helper")
                        self._segment_path = lambda: "cisco"


                    class Helper(Entity):
                        """
                        helper support
                        
                        .. attribute:: disable
                        
                        	disable helper support
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Nsf.Cisco.Helper, self).__init__()

                            self.yang_name = "helper"
                            self.yang_parent_name = "cisco"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "helper"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Nsf.Cisco.Helper, ['disable'], name, value)


                class Ietf(Entity):
                    """
                    IETF graceful restart
                    
                    .. attribute:: helper
                    
                    	helper support
                    	**type**\:  :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Nsf.Ietf.Helper>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Nsf.Ietf, self).__init__()

                        self.yang_name = "ietf"
                        self.yang_parent_name = "nsf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"helper" : ("helper", Native.Router.Ospf.Nsf.Ietf.Helper)}
                        self._child_list_classes = {}

                        self.helper = None
                        self._children_name_map["helper"] = "helper"
                        self._children_yang_names.add("helper")
                        self._segment_path = lambda: "ietf"


                    class Helper(Entity):
                        """
                        helper support
                        
                        .. attribute:: disable
                        
                        	disable helper support
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: strict_lsa_checking
                        
                        	enable helper strict LSA checking
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Nsf.Ietf.Helper, self).__init__()

                            self.yang_name = "helper"
                            self.yang_parent_name = "ietf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.disable = YLeaf(YType.empty, "disable")

                            self.strict_lsa_checking = YLeaf(YType.empty, "strict-lsa-checking")
                            self._segment_path = lambda: "helper"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Nsf.Ietf.Helper, ['disable', 'strict_lsa_checking'], name, value)


            class PrefixPriority(Entity):
                """
                OSPF prefix priority
                
                .. attribute:: high
                
                	High prefix priority
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: route_map
                
                	Prefix priority selection by route\-map
                	**type**\: str
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.PrefixPriority, self).__init__()

                    self.yang_name = "prefix-priority"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.high = YLeaf(YType.empty, "high")

                    self.route_map = YLeaf(YType.str, "route-map")
                    self._segment_path = lambda: "prefix-priority"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.PrefixPriority, ['high', 'route_map'], name, value)


            class ProcessMinTime(Entity):
                """
                Percentage of quantum to be used before releasing CPU
                
                .. attribute:: percent
                
                	percent
                	**type**\: int
                
                	**range:** 1..100
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.ProcessMinTime, self).__init__()

                    self.yang_name = "process-min-time"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.percent = YLeaf(YType.uint32, "percent")
                    self._segment_path = lambda: "process-min-time"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.ProcessMinTime, ['percent'], name, value)


            class Snmp(Entity):
                """
                Modify snmp parameters
                
                .. attribute:: context
                
                	Configure a SNMP context
                	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.Snmp, self).__init__()

                    self.yang_name = "snmp"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"context" : ("context", Native.Router.Ospf.Snmp.Context)}

                    self.context = YList(self)
                    self._segment_path = lambda: "snmp"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.Snmp, [], name, value)


                class Context(Entity):
                    """
                    Configure a SNMP context
                    
                    .. attribute:: name  <key>
                    
                    	Context Name
                    	**type**\: str
                    
                    .. attribute:: community
                    
                    	Configure a SNMP v2c Community string and access privs
                    	**type**\:  :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context.Community>`
                    
                    .. attribute:: user
                    
                    	Configure a SNMP v3 user
                    	**type**\:  :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context.User>`
                    
                    

                    """

                    _prefix = 'ios-ospf'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospf.Snmp.Context, self).__init__()

                        self.yang_name = "context"
                        self.yang_parent_name = "snmp"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"community" : ("community", Native.Router.Ospf.Snmp.Context.Community), "user" : ("user", Native.Router.Ospf.Snmp.Context.User)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.community = Native.Router.Ospf.Snmp.Context.Community()
                        self.community.parent = self
                        self._children_name_map["community"] = "community"
                        self._children_yang_names.add("community")

                        self.user = Native.Router.Ospf.Snmp.Context.User()
                        self.user.parent = self
                        self._children_name_map["user"] = "user"
                        self._children_yang_names.add("user")
                        self._segment_path = lambda: "context" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospf.Snmp.Context, ['name'], name, value)


                    class Community(Entity):
                        """
                        Configure a SNMP v2c Community string and access privs
                        
                        .. attribute:: community_string
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: access
                        
                        	
                        	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context.Community.Access>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Snmp.Context.Community, self).__init__()

                            self.yang_name = "community"
                            self.yang_parent_name = "context"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"access" : ("access", Native.Router.Ospf.Snmp.Context.Community.Access)}
                            self._child_list_classes = {}

                            self.community_string = YLeaf(YType.str, "community-string")

                            self.access = Native.Router.Ospf.Snmp.Context.Community.Access()
                            self.access.parent = self
                            self._children_name_map["access"] = "access"
                            self._children_yang_names.add("access")
                            self._segment_path = lambda: "community"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Snmp.Context.Community, ['community_string'], name, value)


                        class Access(Entity):
                            """
                            
                            
                            .. attribute:: standard_acl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..99
                            
                            .. attribute:: expanded_acl
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1300..1999
                            
                            .. attribute:: acl_name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ipv6
                            
                            	Specify IPv6 Named Access\-List
                            	**type**\: str
                            
                            .. attribute:: ro
                            
                            	Read\-only access with this community string
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rw
                            
                            	Read\-write access with this community string
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Snmp.Context.Community.Access, self).__init__()

                                self.yang_name = "access"
                                self.yang_parent_name = "community"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                self.expanded_acl = YLeaf(YType.uint32, "expanded-acl")

                                self.acl_name = YLeaf(YType.str, "acl-name")

                                self.ipv6 = YLeaf(YType.str, "ipv6")

                                self.ro = YLeaf(YType.empty, "ro")

                                self.rw = YLeaf(YType.empty, "rw")
                                self._segment_path = lambda: "access"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Snmp.Context.Community.Access, ['standard_acl', 'expanded_acl', 'acl_name', 'ipv6', 'ro', 'rw'], name, value)


                    class User(Entity):
                        """
                        Configure a SNMP v3 user
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: permisssion
                        
                        	
                        	**type**\:  :py:class:`Permisssion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context.User.Permisssion>`
                        
                        

                        """

                        _prefix = 'ios-ospf'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospf.Snmp.Context.User, self).__init__()

                            self.yang_name = "user"
                            self.yang_parent_name = "context"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"permisssion" : ("permisssion", Native.Router.Ospf.Snmp.Context.User.Permisssion)}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.permisssion = Native.Router.Ospf.Snmp.Context.User.Permisssion()
                            self.permisssion.parent = self
                            self._children_name_map["permisssion"] = "permisssion"
                            self._children_yang_names.add("permisssion")
                            self._segment_path = lambda: "user"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospf.Snmp.Context.User, ['name'], name, value)


                        class Permisssion(Entity):
                            """
                            
                            
                            .. attribute:: access
                            
                            	specify an access\-list associated with this group
                            	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context.User.Permisssion.Access>`
                            
                            .. attribute:: auth
                            
                            	authentication parameters for the user
                            	**type**\:  :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospf.Snmp.Context.User.Permisssion.Auth>`
                            
                            .. attribute:: credential
                            
                            	If the user password is already configured and saved
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: encrypted
                            
                            	specifying passwords as MD5 or SHA digests
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospf'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospf.Snmp.Context.User.Permisssion, self).__init__()

                                self.yang_name = "permisssion"
                                self.yang_parent_name = "user"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"access" : ("access", Native.Router.Ospf.Snmp.Context.User.Permisssion.Access), "auth" : ("auth", Native.Router.Ospf.Snmp.Context.User.Permisssion.Auth)}
                                self._child_list_classes = {}

                                self.credential = YLeaf(YType.empty, "credential")

                                self.encrypted = YLeaf(YType.empty, "encrypted")

                                self.access = Native.Router.Ospf.Snmp.Context.User.Permisssion.Access()
                                self.access.parent = self
                                self._children_name_map["access"] = "access"
                                self._children_yang_names.add("access")

                                self.auth = Native.Router.Ospf.Snmp.Context.User.Permisssion.Auth()
                                self.auth.parent = self
                                self._children_name_map["auth"] = "auth"
                                self._children_yang_names.add("auth")
                                self._segment_path = lambda: "permisssion"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospf.Snmp.Context.User.Permisssion, ['credential', 'encrypted'], name, value)


                            class Access(Entity):
                                """
                                specify an access\-list associated with this group
                                
                                .. attribute:: standard_acl
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: ipv6
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Snmp.Context.User.Permisssion.Access, self).__init__()

                                    self.yang_name = "access"
                                    self.yang_parent_name = "permisssion"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.standard_acl = YLeaf(YType.uint32, "standard-acl")

                                    self.acl_name = YLeaf(YType.str, "acl-name")

                                    self.ipv6 = YLeaf(YType.str, "ipv6")
                                    self._segment_path = lambda: "access"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Snmp.Context.User.Permisssion.Access, ['standard_acl', 'acl_name', 'ipv6'], name, value)


                            class Auth(Entity):
                                """
                                authentication parameters for the user
                                
                                .. attribute:: md5
                                
                                	Use HMAC MD5 algorithm for authentication
                                	**type**\: str
                                
                                .. attribute:: sha
                                
                                	Use HMAC SHA algorithm for authentication
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospf'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospf.Snmp.Context.User.Permisssion.Auth, self).__init__()

                                    self.yang_name = "auth"
                                    self.yang_parent_name = "permisssion"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.md5 = YLeaf(YType.str, "md5")

                                    self.sha = YLeaf(YType.str, "sha")
                                    self._segment_path = lambda: "auth"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospf.Snmp.Context.User.Permisssion.Auth, ['md5', 'sha'], name, value)


            class SummaryAddress(Entity):
                """
                Configure IP address summaries
                
                .. attribute:: ip  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: wildcard  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: nssa_only
                
                	Limit summary to NSSA areas
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: tag
                
                	Set tag
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: not_advertise
                
                	Do not advertise when translating OSPF type\-7 LSA
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospf'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospf.SummaryAddress, self).__init__()

                    self.yang_name = "summary-address"
                    self.yang_parent_name = "ospf"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.str, "ip")

                    self.wildcard = YLeaf(YType.str, "wildcard")

                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                    self.tag = YLeaf(YType.uint32, "tag")

                    self.not_advertise = YLeaf(YType.empty, "not-advertise")
                    self._segment_path = lambda: "summary-address" + "[ip='" + self.ip.get() + "']" + "[wildcard='" + self.wildcard.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospf.SummaryAddress, ['ip', 'wildcard', 'nssa_only', 'tag', 'not_advertise'], name, value)


        class Ospfv3(Entity):
            """
            OSPFv3
            
            .. attribute:: id  <key>
            
            	
            	**type**\: int
            
            	**range:** 1..65535
            
            .. attribute:: area
            
            	OSPF area parameters
            	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area>`
            
            .. attribute:: auto_cost
            
            	Calculate OSPF interface cost according to bandwidth
            	**type**\:  :py:class:`AutoCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AutoCost>`
            
            	**presence node**\: True
            
            .. attribute:: event_log
            
            	OSPF Event Logging
            	**type**\:  :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.EventLog>`
            
            	**presence node**\: True
            
            .. attribute:: bfd
            
            	BFD configuration commands
            	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Bfd>`
            
            .. attribute:: interface_id
            
            	Source of the interface ID
            	**type**\:  :py:class:`InterfaceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.InterfaceId>`
            
            .. attribute:: log_adjacency_changes
            
            	Log changes in adjacency state
            	**type**\:  :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.LogAdjacencyChanges>`
            
            	**presence node**\: True
            
            .. attribute:: max_lsa
            
            	maximum number of LSAs OSPF process will receive
            	**type**\:  :py:class:`MaxLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.MaxLsa>`
            
            .. attribute:: max_metric
            
            	Set maximum metric
            	**type**\:  :py:class:`MaxMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.MaxMetric>`
            
            .. attribute:: passive_interface
            
            	Suppress routing updates on an interface
            	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.PassiveInterface>`
            
            .. attribute:: disable
            
            	
            	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Disable>`
            
            .. attribute:: queue_depth
            
            	OSPF Hello/Router process queue depth
            	**type**\:  :py:class:`QueueDepth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.QueueDepth>`
            
            .. attribute:: timers
            
            	Adjust routing timers
            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers>`
            
            .. attribute:: router_id
            
            	Override configured router identifier (peers will reset)
            	**type**\: str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: nsr
            
            	Enable non\-stop routing
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: traffic_share
            
            	How to compute traffic share over alternate paths
            	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.TrafficShare>`
            
            .. attribute:: ttl_security
            
            	TTL security check
            	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.TtlSecurity>`
            
            .. attribute:: authentication
            
            	Authentication parameters
            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Authentication>`
            
            .. attribute:: graceful_restart
            
            	Graceful\-restart options
            	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.GracefulRestart>`
            
            	**presence node**\: True
            
            .. attribute:: manet
            
            	Specify MANET OSPF parameters
            	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Manet>`
            
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily>`
            
            

            """

            _prefix = 'ios-ospfv3'
            _revision = '2017-04-28'

            def __init__(self):
                super(Native.Router.Ospfv3, self).__init__()

                self.yang_name = "ospfv3"
                self.yang_parent_name = "router"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"auto-cost" : ("auto_cost", Native.Router.Ospfv3.AutoCost), "event-log" : ("event_log", Native.Router.Ospfv3.EventLog), "bfd" : ("bfd", Native.Router.Ospfv3.Bfd), "interface-id" : ("interface_id", Native.Router.Ospfv3.InterfaceId), "log-adjacency-changes" : ("log_adjacency_changes", Native.Router.Ospfv3.LogAdjacencyChanges), "max-lsa" : ("max_lsa", Native.Router.Ospfv3.MaxLsa), "max-metric" : ("max_metric", Native.Router.Ospfv3.MaxMetric), "passive-interface" : ("passive_interface", Native.Router.Ospfv3.PassiveInterface), "disable" : ("disable", Native.Router.Ospfv3.Disable), "queue-depth" : ("queue_depth", Native.Router.Ospfv3.QueueDepth), "timers" : ("timers", Native.Router.Ospfv3.Timers), "traffic-share" : ("traffic_share", Native.Router.Ospfv3.TrafficShare), "ttl-security" : ("ttl_security", Native.Router.Ospfv3.TtlSecurity), "authentication" : ("authentication", Native.Router.Ospfv3.Authentication), "graceful-restart" : ("graceful_restart", Native.Router.Ospfv3.GracefulRestart), "manet" : ("manet", Native.Router.Ospfv3.Manet), "address-family" : ("address_family", Native.Router.Ospfv3.AddressFamily)}
                self._child_list_classes = {"area" : ("area", Native.Router.Ospfv3.Area)}

                self.id = YLeaf(YType.uint16, "id")

                self.router_id = YLeaf(YType.str, "router-id")

                self.nsr = YLeaf(YType.empty, "nsr")

                self.auto_cost = None
                self._children_name_map["auto_cost"] = "auto-cost"
                self._children_yang_names.add("auto-cost")

                self.event_log = None
                self._children_name_map["event_log"] = "event-log"
                self._children_yang_names.add("event-log")

                self.bfd = Native.Router.Ospfv3.Bfd()
                self.bfd.parent = self
                self._children_name_map["bfd"] = "bfd"
                self._children_yang_names.add("bfd")

                self.interface_id = Native.Router.Ospfv3.InterfaceId()
                self.interface_id.parent = self
                self._children_name_map["interface_id"] = "interface-id"
                self._children_yang_names.add("interface-id")

                self.log_adjacency_changes = None
                self._children_name_map["log_adjacency_changes"] = "log-adjacency-changes"
                self._children_yang_names.add("log-adjacency-changes")

                self.max_lsa = Native.Router.Ospfv3.MaxLsa()
                self.max_lsa.parent = self
                self._children_name_map["max_lsa"] = "max-lsa"
                self._children_yang_names.add("max-lsa")

                self.max_metric = Native.Router.Ospfv3.MaxMetric()
                self.max_metric.parent = self
                self._children_name_map["max_metric"] = "max-metric"
                self._children_yang_names.add("max-metric")

                self.passive_interface = Native.Router.Ospfv3.PassiveInterface()
                self.passive_interface.parent = self
                self._children_name_map["passive_interface"] = "passive-interface"
                self._children_yang_names.add("passive-interface")

                self.disable = Native.Router.Ospfv3.Disable()
                self.disable.parent = self
                self._children_name_map["disable"] = "disable"
                self._children_yang_names.add("disable")

                self.queue_depth = Native.Router.Ospfv3.QueueDepth()
                self.queue_depth.parent = self
                self._children_name_map["queue_depth"] = "queue-depth"
                self._children_yang_names.add("queue-depth")

                self.timers = Native.Router.Ospfv3.Timers()
                self.timers.parent = self
                self._children_name_map["timers"] = "timers"
                self._children_yang_names.add("timers")

                self.traffic_share = Native.Router.Ospfv3.TrafficShare()
                self.traffic_share.parent = self
                self._children_name_map["traffic_share"] = "traffic-share"
                self._children_yang_names.add("traffic-share")

                self.ttl_security = Native.Router.Ospfv3.TtlSecurity()
                self.ttl_security.parent = self
                self._children_name_map["ttl_security"] = "ttl-security"
                self._children_yang_names.add("ttl-security")

                self.authentication = Native.Router.Ospfv3.Authentication()
                self.authentication.parent = self
                self._children_name_map["authentication"] = "authentication"
                self._children_yang_names.add("authentication")

                self.graceful_restart = None
                self._children_name_map["graceful_restart"] = "graceful-restart"
                self._children_yang_names.add("graceful-restart")

                self.manet = Native.Router.Ospfv3.Manet()
                self.manet.parent = self
                self._children_name_map["manet"] = "manet"
                self._children_yang_names.add("manet")

                self.address_family = Native.Router.Ospfv3.AddressFamily()
                self.address_family.parent = self
                self._children_name_map["address_family"] = "address-family"
                self._children_yang_names.add("address-family")

                self.area = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-ospfv3:ospfv3" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Router.Ospfv3, ['id', 'router_id', 'nsr'], name, value)


            class Area(Entity):
                """
                OSPF area parameters
                
                .. attribute:: id  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..4294967295
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: authentication
                
                	Enable authentication
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Authentication>`
                
                	**presence node**\: True
                
                .. attribute:: capability
                
                	Enable area specific capability
                	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Capability>`
                
                .. attribute:: default_cost
                
                	Set the summary default\-cost of a NSSA/stub area
                	**type**\: int
                
                	**range:** 0..16777215
                
                .. attribute:: filter_list
                
                	Filter networks between OSPF areas
                	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.FilterList>`
                
                .. attribute:: nssa
                
                	Specify a NSSA area
                	**type**\:  :py:class:`Nssa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Nssa>`
                
                	**presence node**\: True
                
                .. attribute:: ipv4_range
                
                	
                	**type**\:  :py:class:`Ipv4Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Ipv4Range>`
                
                .. attribute:: ipv6_range
                
                	
                	**type**\:  :py:class:`Ipv6Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Ipv6Range>`
                
                .. attribute:: sham_link
                
                	Define a sham link and its parameters
                	**type**\: list of  		 :py:class:`ShamLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.ShamLink>`
                
                .. attribute:: stub
                
                	Specify a stub area
                	**type**\:  :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Stub>`
                
                	**presence node**\: True
                
                .. attribute:: virtual_link
                
                	Define a virtual link and its parameters
                	**type**\: list of  		 :py:class:`VirtualLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.Area, self).__init__()

                    self.yang_name = "area"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"authentication" : ("authentication", Native.Router.Ospfv3.Area.Authentication), "capability" : ("capability", Native.Router.Ospfv3.Area.Capability), "nssa" : ("nssa", Native.Router.Ospfv3.Area.Nssa), "ipv4-range" : ("ipv4_range", Native.Router.Ospfv3.Area.Ipv4Range), "ipv6-range" : ("ipv6_range", Native.Router.Ospfv3.Area.Ipv6Range), "stub" : ("stub", Native.Router.Ospfv3.Area.Stub)}
                    self._child_list_classes = {"filter-list" : ("filter_list", Native.Router.Ospfv3.Area.FilterList), "sham-link" : ("sham_link", Native.Router.Ospfv3.Area.ShamLink), "virtual-link" : ("virtual_link", Native.Router.Ospfv3.Area.VirtualLink)}

                    self.id = YLeaf(YType.str, "id")

                    self.default_cost = YLeaf(YType.uint32, "default-cost")

                    self.authentication = None
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.capability = Native.Router.Ospfv3.Area.Capability()
                    self.capability.parent = self
                    self._children_name_map["capability"] = "capability"
                    self._children_yang_names.add("capability")

                    self.nssa = None
                    self._children_name_map["nssa"] = "nssa"
                    self._children_yang_names.add("nssa")

                    self.ipv4_range = Native.Router.Ospfv3.Area.Ipv4Range()
                    self.ipv4_range.parent = self
                    self._children_name_map["ipv4_range"] = "ipv4-range"
                    self._children_yang_names.add("ipv4-range")

                    self.ipv6_range = Native.Router.Ospfv3.Area.Ipv6Range()
                    self.ipv6_range.parent = self
                    self._children_name_map["ipv6_range"] = "ipv6-range"
                    self._children_yang_names.add("ipv6-range")

                    self.stub = None
                    self._children_name_map["stub"] = "stub"
                    self._children_yang_names.add("stub")

                    self.filter_list = YList(self)
                    self.sham_link = YList(self)
                    self.virtual_link = YList(self)
                    self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.Area, ['id', 'default_cost'], name, value)


                class Authentication(Entity):
                    """
                    Enable authentication
                    
                    .. attribute:: message_digest
                    
                    	Use message\-digest authentication
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Area.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.message_digest = YLeaf(YType.empty, "message-digest")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.Area.Authentication, ['message_digest'], name, value)


                class Capability(Entity):
                    """
                    Enable area specific capability
                    
                    .. attribute:: default_exclusion
                    
                    	Enable exclusion of links from base topology
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Area.Capability, self).__init__()

                        self.yang_name = "capability"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.default_exclusion = YLeaf(YType.empty, "default-exclusion")
                        self._segment_path = lambda: "capability"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.Area.Capability, ['default_exclusion'], name, value)


                class FilterList(Entity):
                    """
                    Filter networks between OSPF areas
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:  :py:class:`InOut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.FilterList.InOut>`
                    
                    .. attribute:: prefix
                    
                    	Filter prefixes between OSPF areas
                    	**type**\: str
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Area.FilterList, self).__init__()

                        self.yang_name = "filter-list"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.in_out = YLeaf(YType.enumeration, "in-out")

                        self.prefix = YLeaf(YType.str, "prefix")
                        self._segment_path = lambda: "filter-list" + "[in-out='" + self.in_out.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.Area.FilterList, ['in_out', 'prefix'], name, value)

                    class InOut(Enum):
                        """
                        InOut

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



                class Nssa(Entity):
                    """
                    Specify a NSSA area
                    
                    .. attribute:: default_information_originate
                    
                    	Originate Type 7 default into NSSA area
                    	**type**\:  :py:class:`DefaultInformationOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: no_ext_capability
                    
                    	Do not send domain specific capabilities into NSSA
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_redistribution
                    
                    	No redistribution into this NSSA area
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_summary
                    
                    	Do not send summary LSA into NSSA
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nssa_only
                    
                    	Limit default advertisement to this NSSA area
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: translate
                    
                    	Translate LSA
                    	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Nssa.Translate>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Area.Nssa, self).__init__()

                        self.yang_name = "nssa"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"default-information-originate" : ("default_information_originate", Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate), "translate" : ("translate", Native.Router.Ospfv3.Area.Nssa.Translate)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                        self.no_redistribution = YLeaf(YType.empty, "no-redistribution")

                        self.no_summary = YLeaf(YType.empty, "no-summary")

                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                        self.default_information_originate = None
                        self._children_name_map["default_information_originate"] = "default-information-originate"
                        self._children_yang_names.add("default-information-originate")

                        self.translate = Native.Router.Ospfv3.Area.Nssa.Translate()
                        self.translate.parent = self
                        self._children_name_map["translate"] = "translate"
                        self._children_yang_names.add("translate")
                        self._segment_path = lambda: "nssa"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.Area.Nssa, ['no_ext_capability', 'no_redistribution', 'no_summary', 'nssa_only'], name, value)


                    class DefaultInformationOriginate(Entity):
                        """
                        Originate Type 7 default into NSSA area
                        
                        .. attribute:: metric
                        
                        	OSPF default metric
                        	**type**\: int
                        
                        	**range:** 0..16777214
                        
                        .. attribute:: metric_type
                        
                        	OSPF metric type for default routes
                        	**type**\: int
                        
                        	**range:** 1..2
                        
                        .. attribute:: no_ext_capability
                        
                        	Do not send domain specific capabilities into NSSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: no_redistribution
                        
                        	No redistribution into this NSSA area
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: no_summary
                        
                        	Do not send summary LSA into NSSA
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: nssa_only
                        
                        	Limit default advertisement to this NSSA area
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: translate
                        
                        	Translate LSA
                        	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate, self).__init__()

                            self.yang_name = "default-information-originate"
                            self.yang_parent_name = "nssa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"translate" : ("translate", Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.metric = YLeaf(YType.int32, "metric")

                            self.metric_type = YLeaf(YType.uint32, "metric-type")

                            self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                            self.no_redistribution = YLeaf(YType.empty, "no-redistribution")

                            self.no_summary = YLeaf(YType.empty, "no-summary")

                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                            self.translate = Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate()
                            self.translate.parent = self
                            self._children_name_map["translate"] = "translate"
                            self._children_yang_names.add("translate")
                            self._segment_path = lambda: "default-information-originate"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate, ['metric', 'metric_type', 'no_ext_capability', 'no_redistribution', 'no_summary', 'nssa_only'], name, value)


                        class Translate(Entity):
                            """
                            Translate LSA
                            
                            .. attribute:: type7
                            
                            	From Type 7 to Type 5
                            	**type**\:  :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate.Type7>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate, self).__init__()

                                self.yang_name = "translate"
                                self.yang_parent_name = "default-information-originate"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"type7" : ("type7", Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate.Type7)}
                                self._child_list_classes = {}

                                self.type7 = Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate.Type7()
                                self.type7.parent = self
                                self._children_name_map["type7"] = "type7"
                                self._children_yang_names.add("type7")
                                self._segment_path = lambda: "translate"


                            class Type7(Entity):
                                """
                                From Type 7 to Type 5
                                
                                .. attribute:: always
                                
                                	Always translate LSAs on this ABR
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: suppress_fa
                                
                                	Suppress forwarding address in translated LSAs
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate.Type7, self).__init__()

                                    self.yang_name = "type7"
                                    self.yang_parent_name = "translate"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.always = YLeaf(YType.empty, "always")

                                    self.suppress_fa = YLeaf(YType.empty, "suppress-fa")
                                    self._segment_path = lambda: "type7"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.Area.Nssa.DefaultInformationOriginate.Translate.Type7, ['always', 'suppress_fa'], name, value)


                    class Translate(Entity):
                        """
                        Translate LSA
                        
                        .. attribute:: type7
                        
                        	From Type 7 to Type 5
                        	**type**\:  :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Nssa.Translate.Type7>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.Nssa.Translate, self).__init__()

                            self.yang_name = "translate"
                            self.yang_parent_name = "nssa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"type7" : ("type7", Native.Router.Ospfv3.Area.Nssa.Translate.Type7)}
                            self._child_list_classes = {}

                            self.type7 = Native.Router.Ospfv3.Area.Nssa.Translate.Type7()
                            self.type7.parent = self
                            self._children_name_map["type7"] = "type7"
                            self._children_yang_names.add("type7")
                            self._segment_path = lambda: "translate"


                        class Type7(Entity):
                            """
                            From Type 7 to Type 5
                            
                            .. attribute:: always
                            
                            	Always translate LSAs on this ABR
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: suppress_fa
                            
                            	Suppress forwarding address in translated LSAs
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.Area.Nssa.Translate.Type7, self).__init__()

                                self.yang_name = "type7"
                                self.yang_parent_name = "translate"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.always = YLeaf(YType.empty, "always")

                                self.suppress_fa = YLeaf(YType.empty, "suppress-fa")
                                self._segment_path = lambda: "type7"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.Area.Nssa.Translate.Type7, ['always', 'suppress_fa'], name, value)


                class Ipv4Range(Entity):
                    """
                    
                    
                    .. attribute:: range
                    
                    	Summarize routes matching address/mask (border routers only)
                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Ipv4Range.Range>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Area.Ipv4Range, self).__init__()

                        self.yang_name = "ipv4-range"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"range" : ("range", Native.Router.Ospfv3.Area.Ipv4Range.Range)}

                        self.range = YList(self)
                        self._segment_path = lambda: "ipv4-range"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.Area.Ipv4Range, [], name, value)


                    class Range(Entity):
                        """
                        Summarize routes matching address/mask (border routers only)
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: advertise
                        
                        	Advertise this range (default)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: not_advertise
                        
                        	DoNotAdvertise this range
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cost
                        
                        	User specified metric for this range
                        	**type**\: int
                        
                        	**range:** 0..16777215
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.Ipv4Range.Range, self).__init__()

                            self.yang_name = "range"
                            self.yang_parent_name = "ipv4-range"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.advertise = YLeaf(YType.empty, "advertise")

                            self.not_advertise = YLeaf(YType.empty, "not-advertise")

                            self.cost = YLeaf(YType.uint32, "cost")
                            self._segment_path = lambda: "range" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Area.Ipv4Range.Range, ['ip', 'mask', 'advertise', 'not_advertise', 'cost'], name, value)


                class Ipv6Range(Entity):
                    """
                    
                    
                    .. attribute:: range
                    
                    	Summarize routes matching address/mask (border routers only)
                    	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.Ipv6Range.Range>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Area.Ipv6Range, self).__init__()

                        self.yang_name = "ipv6-range"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"range" : ("range", Native.Router.Ospfv3.Area.Ipv6Range.Range)}

                        self.range = YList(self)
                        self._segment_path = lambda: "ipv6-range"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.Area.Ipv6Range, [], name, value)


                    class Range(Entity):
                        """
                        Summarize routes matching address/mask (border routers only)
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                        
                        .. attribute:: advertise
                        
                        	Advertise this range (default)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: not_advertise
                        
                        	DoNotAdvertise this range
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: cost
                        
                        	User specified metric for this range
                        	**type**\: int
                        
                        	**range:** 0..16777215
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.Ipv6Range.Range, self).__init__()

                            self.yang_name = "range"
                            self.yang_parent_name = "ipv6-range"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ip = YLeaf(YType.str, "ip")

                            self.advertise = YLeaf(YType.empty, "advertise")

                            self.not_advertise = YLeaf(YType.empty, "not-advertise")

                            self.cost = YLeaf(YType.uint32, "cost")
                            self._segment_path = lambda: "range" + "[ip='" + self.ip.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Area.Ipv6Range.Range, ['ip', 'advertise', 'not_advertise', 'cost'], name, value)


                class ShamLink(Entity):
                    """
                    Define a sham link and its parameters
                    
                    .. attribute:: source  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: dest  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: cost
                    
                    	Associate a cost with the sham\-link
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.ShamLink.TtlSecurity>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Area.ShamLink, self).__init__()

                        self.yang_name = "sham-link"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ttl-security" : ("ttl_security", Native.Router.Ospfv3.Area.ShamLink.TtlSecurity)}
                        self._child_list_classes = {}

                        self.source = YLeaf(YType.str, "source")

                        self.dest = YLeaf(YType.str, "dest")

                        self.cost = YLeaf(YType.uint16, "cost")

                        self.ttl_security = Native.Router.Ospfv3.Area.ShamLink.TtlSecurity()
                        self.ttl_security.parent = self
                        self._children_name_map["ttl_security"] = "ttl-security"
                        self._children_yang_names.add("ttl-security")
                        self._segment_path = lambda: "sham-link" + "[source='" + self.source.get() + "']" + "[dest='" + self.dest.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.Area.ShamLink, ['source', 'dest', 'cost'], name, value)


                    class TtlSecurity(Entity):
                        """
                        TTL security check
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.ShamLink.TtlSecurity, self).__init__()

                            self.yang_name = "ttl-security"
                            self.yang_parent_name = "sham-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hops = YLeaf(YType.uint8, "hops")
                            self._segment_path = lambda: "ttl-security"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Area.ShamLink.TtlSecurity, ['hops'], name, value)


                class Stub(Entity):
                    """
                    Specify a stub area
                    
                    .. attribute:: no_ext_capability
                    
                    	Do not send domain specific capabilities into stub area
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: no_summary
                    
                    	Do not send summary LSA into stub area
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Area.Stub, self).__init__()

                        self.yang_name = "stub"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                        self.no_summary = YLeaf(YType.empty, "no-summary")
                        self._segment_path = lambda: "stub"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.Area.Stub, ['no_ext_capability', 'no_summary'], name, value)


                class VirtualLink(Entity):
                    """
                    Define a virtual link and its parameters
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: authentication
                    
                    	Set authentication type
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication>`
                    
                    .. attribute:: hello_interval
                    
                    	Hello packet interval
                    	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.HelloInterval>`
                    
                    .. attribute:: dead_interval
                    
                    	Dead router detection time
                    	**type**\:  :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.DeadInterval>`
                    
                    .. attribute:: retransmit_interval
                    
                    	LSA retransmit interval
                    	**type**\:  :py:class:`RetransmitInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.RetransmitInterval>`
                    
                    .. attribute:: transmit_delay
                    
                    	LSA transmission delay
                    	**type**\:  :py:class:`TransmitDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.TransmitDelay>`
                    
                    .. attribute:: topology
                    
                    	Disable virtual link on topology
                    	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Topology>`
                    
                    .. attribute:: ttl_security
                    
                    	TTL security check
                    	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.TtlSecurity>`
                    
                    .. attribute:: authentication_key
                    
                    	Set authentication key
                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.AuthenticationKey>`
                    
                    .. attribute:: message_digest_key
                    
                    	Set message digest key
                    	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Area.VirtualLink, self).__init__()

                        self.yang_name = "virtual-link"
                        self.yang_parent_name = "area"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Router.Ospfv3.Area.VirtualLink.Authentication), "hello-interval" : ("hello_interval", Native.Router.Ospfv3.Area.VirtualLink.HelloInterval), "dead-interval" : ("dead_interval", Native.Router.Ospfv3.Area.VirtualLink.DeadInterval), "retransmit-interval" : ("retransmit_interval", Native.Router.Ospfv3.Area.VirtualLink.RetransmitInterval), "transmit-delay" : ("transmit_delay", Native.Router.Ospfv3.Area.VirtualLink.TransmitDelay), "topology" : ("topology", Native.Router.Ospfv3.Area.VirtualLink.Topology), "ttl-security" : ("ttl_security", Native.Router.Ospfv3.Area.VirtualLink.TtlSecurity), "authentication-key" : ("authentication_key", Native.Router.Ospfv3.Area.VirtualLink.AuthenticationKey)}
                        self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey)}

                        self.id = YLeaf(YType.str, "id")

                        self.authentication = Native.Router.Ospfv3.Area.VirtualLink.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.hello_interval = Native.Router.Ospfv3.Area.VirtualLink.HelloInterval()
                        self.hello_interval.parent = self
                        self._children_name_map["hello_interval"] = "hello-interval"
                        self._children_yang_names.add("hello-interval")

                        self.dead_interval = Native.Router.Ospfv3.Area.VirtualLink.DeadInterval()
                        self.dead_interval.parent = self
                        self._children_name_map["dead_interval"] = "dead-interval"
                        self._children_yang_names.add("dead-interval")

                        self.retransmit_interval = Native.Router.Ospfv3.Area.VirtualLink.RetransmitInterval()
                        self.retransmit_interval.parent = self
                        self._children_name_map["retransmit_interval"] = "retransmit-interval"
                        self._children_yang_names.add("retransmit-interval")

                        self.transmit_delay = Native.Router.Ospfv3.Area.VirtualLink.TransmitDelay()
                        self.transmit_delay.parent = self
                        self._children_name_map["transmit_delay"] = "transmit-delay"
                        self._children_yang_names.add("transmit-delay")

                        self.topology = Native.Router.Ospfv3.Area.VirtualLink.Topology()
                        self.topology.parent = self
                        self._children_name_map["topology"] = "topology"
                        self._children_yang_names.add("topology")

                        self.ttl_security = Native.Router.Ospfv3.Area.VirtualLink.TtlSecurity()
                        self.ttl_security.parent = self
                        self._children_name_map["ttl_security"] = "ttl-security"
                        self._children_yang_names.add("ttl-security")

                        self.authentication_key = Native.Router.Ospfv3.Area.VirtualLink.AuthenticationKey()
                        self.authentication_key.parent = self
                        self._children_name_map["authentication_key"] = "authentication-key"
                        self._children_yang_names.add("authentication-key")

                        self.message_digest_key = YList(self)
                        self._segment_path = lambda: "virtual-link" + "[id='" + self.id.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink, ['id'], name, value)


                    class Authentication(Entity):
                        """
                        Set authentication type
                        
                        .. attribute:: authentication_key
                        
                        	Set authentication key
                        	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.AuthenticationKey>`
                        
                        .. attribute:: message_digest_key
                        
                        	Set message digest key
                        	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey>`
                        
                        .. attribute:: key_chain
                        
                        	Use a key\-chain for cryptographic authentication keys
                        	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain>`
                        
                        .. attribute:: message_digest
                        
                        	Message\-digest authentication
                        	**type**\:  :py:class:`MessageDigest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest>`
                        
                        .. attribute:: null
                        
                        	No authentication
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.VirtualLink.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.Area.VirtualLink.Authentication.AuthenticationKey), "key-chain" : ("key_chain", Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain), "message-digest" : ("message_digest", Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest)}
                            self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey)}

                            self.null = YLeaf(YType.empty, "null")

                            self.authentication_key = Native.Router.Ospfv3.Area.VirtualLink.Authentication.AuthenticationKey()
                            self.authentication_key.parent = self
                            self._children_name_map["authentication_key"] = "authentication-key"
                            self._children_yang_names.add("authentication-key")

                            self.key_chain = Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain()
                            self.key_chain.parent = self
                            self._children_name_map["key_chain"] = "key-chain"
                            self._children_yang_names.add("key-chain")

                            self.message_digest = Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest()
                            self.message_digest.parent = self
                            self._children_name_map["message_digest"] = "message-digest"
                            self._children_yang_names.add("message-digest")

                            self.message_digest_key = YList(self)
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.Authentication, ['null'], name, value)


                        class AuthenticationKey(Entity):
                            """
                            Set authentication key
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.Area.VirtualLink.Authentication.AuthenticationKey, self).__init__()

                                self.yang_name = "authentication-key"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                self.auth_key = YLeaf(YType.str, "auth-key")
                                self._segment_path = lambda: "authentication-key"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.Authentication.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                        class MessageDigestKey(Entity):
                            """
                            Set message digest key
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: md5
                            
                            	Use MD5 algorithm
                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey.Md5>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey, self).__init__()

                                self.yang_name = "message-digest-key"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey.Md5)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.uint8, "id")

                                self.md5 = Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey.Md5()
                                self.md5.parent = self
                                self._children_name_map["md5"] = "md5"
                                self._children_yang_names.add("md5")
                                self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey, ['id'], name, value)


                            class Md5(Entity):
                                """
                                Use MD5 algorithm
                                
                                .. attribute:: auth_type
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: auth_key
                                
                                	
                                	**type**\: str
                                
                                	**length:** 1..16
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey.Md5, self).__init__()

                                    self.yang_name = "md5"
                                    self.yang_parent_name = "message-digest-key"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                    self._segment_path = lambda: "md5"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                        class KeyChain(Entity):
                            """
                            Use a key\-chain for cryptographic authentication keys
                            
                            .. attribute:: name
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: authentication_key
                            
                            	Set authentication key
                            	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey>`
                            
                            .. attribute:: message_digest_key
                            
                            	Set message digest key
                            	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain, self).__init__()

                                self.yang_name = "key-chain"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey)}
                                self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey)}

                                self.name = YLeaf(YType.str, "name")

                                self.authentication_key = Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey()
                                self.authentication_key.parent = self
                                self._children_name_map["authentication_key"] = "authentication-key"
                                self._children_yang_names.add("authentication-key")

                                self.message_digest_key = YList(self)
                                self._segment_path = lambda: "key-chain"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain, ['name'], name, value)


                            class AuthenticationKey(Entity):
                                """
                                Set authentication key
                                
                                .. attribute:: auth_type
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: auth_key
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey, self).__init__()

                                    self.yang_name = "authentication-key"
                                    self.yang_parent_name = "key-chain"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                    self._segment_path = lambda: "authentication-key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                            class MessageDigestKey(Entity):
                                """
                                Set message digest key
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: md5
                                
                                	Use MD5 algorithm
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey, self).__init__()

                                    self.yang_name = "message-digest-key"
                                    self.yang_parent_name = "key-chain"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint8, "id")

                                    self.md5 = Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey, ['id'], name, value)


                                class Md5(Entity):
                                    """
                                    Use MD5 algorithm
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**length:** 1..16
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "message-digest-key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.auth_type = YLeaf(YType.uint8, "auth-type")

                                        self.auth_key = YLeaf(YType.str, "auth-key")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                        class MessageDigest(Entity):
                            """
                            Message\-digest authentication
                            
                            .. attribute:: authentication_key
                            
                            	Set authentication key
                            	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey>`
                            
                            .. attribute:: message_digest_key
                            
                            	Set message digest key
                            	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest, self).__init__()

                                self.yang_name = "message-digest"
                                self.yang_parent_name = "authentication"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey)}
                                self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey)}

                                self.authentication_key = Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey()
                                self.authentication_key.parent = self
                                self._children_name_map["authentication_key"] = "authentication-key"
                                self._children_yang_names.add("authentication-key")

                                self.message_digest_key = YList(self)
                                self._segment_path = lambda: "message-digest"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest, [], name, value)


                            class AuthenticationKey(Entity):
                                """
                                Set authentication key
                                
                                .. attribute:: auth_type
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..7
                                
                                .. attribute:: auth_key
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey, self).__init__()

                                    self.yang_name = "authentication-key"
                                    self.yang_parent_name = "message-digest"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                    self._segment_path = lambda: "authentication-key"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                            class MessageDigestKey(Entity):
                                """
                                Set message digest key
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: md5
                                
                                	Use MD5 algorithm
                                	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey, self).__init__()

                                    self.yang_name = "message-digest-key"
                                    self.yang_parent_name = "message-digest"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint8, "id")

                                    self.md5 = Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5()
                                    self.md5.parent = self
                                    self._children_name_map["md5"] = "md5"
                                    self._children_yang_names.add("md5")
                                    self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey, ['id'], name, value)


                                class Md5(Entity):
                                    """
                                    Use MD5 algorithm
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**length:** 1..16
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5, self).__init__()

                                        self.yang_name = "md5"
                                        self.yang_parent_name = "message-digest-key"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.auth_type = YLeaf(YType.uint8, "auth-type")

                                        self.auth_key = YLeaf(YType.str, "auth-key")
                                        self._segment_path = lambda: "md5"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                    class HelloInterval(Entity):
                        """
                        Hello packet interval
                        
                        .. attribute:: hello_interval_value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.VirtualLink.HelloInterval, self).__init__()

                            self.yang_name = "hello-interval"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hello_interval_value = YLeaf(YType.int32, "hello-interval-value")
                            self._segment_path = lambda: "hello-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.HelloInterval, ['hello_interval_value'], name, value)


                    class DeadInterval(Entity):
                        """
                        Dead router detection time
                        
                        .. attribute:: dead_interval_value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.VirtualLink.DeadInterval, self).__init__()

                            self.yang_name = "dead-interval"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dead_interval_value = YLeaf(YType.uint16, "dead-interval-value")
                            self._segment_path = lambda: "dead-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.DeadInterval, ['dead_interval_value'], name, value)


                    class RetransmitInterval(Entity):
                        """
                        LSA retransmit interval
                        
                        .. attribute:: retransmit_interval_value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.VirtualLink.RetransmitInterval, self).__init__()

                            self.yang_name = "retransmit-interval"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.retransmit_interval_value = YLeaf(YType.uint16, "retransmit-interval-value")
                            self._segment_path = lambda: "retransmit-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.RetransmitInterval, ['retransmit_interval_value'], name, value)


                    class TransmitDelay(Entity):
                        """
                        LSA transmission delay
                        
                        .. attribute:: transmit_delay_value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..8192
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.VirtualLink.TransmitDelay, self).__init__()

                            self.yang_name = "transmit-delay"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.transmit_delay_value = YLeaf(YType.uint16, "transmit-delay-value")
                            self._segment_path = lambda: "transmit-delay"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.TransmitDelay, ['transmit_delay_value'], name, value)


                    class Topology(Entity):
                        """
                        Disable virtual link on topology
                        
                        .. attribute:: disable
                        
                        	Disable virtual link
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.VirtualLink.Topology, self).__init__()

                            self.yang_name = "topology"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.disable = YLeaf(YType.empty, "disable")
                            self._segment_path = lambda: "topology"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.Topology, ['disable'], name, value)


                    class TtlSecurity(Entity):
                        """
                        TTL security check
                        
                        .. attribute:: hops
                        
                        	IP hops
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.VirtualLink.TtlSecurity, self).__init__()

                            self.yang_name = "ttl-security"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.hops = YLeaf(YType.uint8, "hops")
                            self._segment_path = lambda: "ttl-security"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.TtlSecurity, ['hops'], name, value)


                    class AuthenticationKey(Entity):
                        """
                        Set authentication key
                        
                        .. attribute:: auth_type
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..7
                        
                        .. attribute:: auth_key
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.VirtualLink.AuthenticationKey, self).__init__()

                            self.yang_name = "authentication-key"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                            self.auth_key = YLeaf(YType.str, "auth-key")
                            self._segment_path = lambda: "authentication-key"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                    class MessageDigestKey(Entity):
                        """
                        Set message digest key
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: md5
                        
                        	Use MD5 algorithm
                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey.Md5>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey, self).__init__()

                            self.yang_name = "message-digest-key"
                            self.yang_parent_name = "virtual-link"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey.Md5)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint8, "id")

                            self.md5 = Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey.Md5()
                            self.md5.parent = self
                            self._children_name_map["md5"] = "md5"
                            self._children_yang_names.add("md5")
                            self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey, ['id'], name, value)


                        class Md5(Entity):
                            """
                            Use MD5 algorithm
                            
                            .. attribute:: auth_type
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..7
                            
                            .. attribute:: auth_key
                            
                            	
                            	**type**\: str
                            
                            	**length:** 1..16
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey.Md5, self).__init__()

                                self.yang_name = "md5"
                                self.yang_parent_name = "message-digest-key"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                self.auth_key = YLeaf(YType.str, "auth-key")
                                self._segment_path = lambda: "md5"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.Area.VirtualLink.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


            class AutoCost(Entity):
                """
                Calculate OSPF interface cost according to bandwidth
                
                .. attribute:: reference_bandwidth
                
                	Use reference bandwidth method to assign OSPF cost
                	**type**\: int
                
                	**range:** 1..4294967
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.AutoCost, self).__init__()

                    self.yang_name = "auto-cost"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.reference_bandwidth = YLeaf(YType.uint32, "reference-bandwidth")
                    self._segment_path = lambda: "auto-cost"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.AutoCost, ['reference_bandwidth'], name, value)


            class EventLog(Entity):
                """
                OSPF Event Logging
                
                .. attribute:: one_shot
                
                	Disable Logging When Log Buffer Becomes Full
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pause
                
                	Pause Event Logging
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: size
                
                	Maximum Number of Events Stored in the Event Log
                	**type**\: int
                
                	**range:** 1..65534
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.EventLog, self).__init__()

                    self.yang_name = "event-log"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.one_shot = YLeaf(YType.empty, "one-shot")

                    self.pause = YLeaf(YType.empty, "pause")

                    self.size = YLeaf(YType.uint32, "size")
                    self._segment_path = lambda: "event-log"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.EventLog, ['one_shot', 'pause', 'size'], name, value)


            class Bfd(Entity):
                """
                BFD configuration commands
                
                .. attribute:: all_interfaces
                
                	Enable BFD on all interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.Bfd, self).__init__()

                    self.yang_name = "bfd"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.all_interfaces = YLeaf(YType.empty, "all-interfaces")
                    self._segment_path = lambda: "bfd"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.Bfd, ['all_interfaces'], name, value)


            class InterfaceId(Entity):
                """
                Source of the interface ID
                
                .. attribute:: snmp_if_index
                
                	SNMP MIB ifIndex
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.InterfaceId, self).__init__()

                    self.yang_name = "interface-id"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.snmp_if_index = YLeaf(YType.empty, "snmp-if-index")
                    self._segment_path = lambda: "interface-id"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.InterfaceId, ['snmp_if_index'], name, value)


            class LogAdjacencyChanges(Entity):
                """
                Log changes in adjacency state
                
                .. attribute:: detail
                
                	Log all state changes
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.LogAdjacencyChanges, self).__init__()

                    self.yang_name = "log-adjacency-changes"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.detail = YLeaf(YType.empty, "detail")
                    self._segment_path = lambda: "log-adjacency-changes"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.LogAdjacencyChanges, ['detail'], name, value)


            class MaxLsa(Entity):
                """
                maximum number of LSAs OSPF process will receive
                
                .. attribute:: number
                
                	
                	**type**\: int
                
                	**range:** 1..4294967294
                
                .. attribute:: threshold_value
                
                	
                	**type**\: int
                
                	**range:** 1..100
                
                .. attribute:: ignore_count
                
                	maximum number of times adjacencies can be suppressed
                	**type**\: int
                
                	**range:** 1..65534
                
                .. attribute:: ignore_time
                
                	time during which all adjacencies are suppressed
                	**type**\: int
                
                	**range:** 1..17895
                
                .. attribute:: reset_time
                
                	time after which ignore\-count is reset to zero
                	**type**\: int
                
                	**range:** 2..35791
                
                .. attribute:: warning_only
                
                	Only give warning message when limit is exceeded
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.MaxLsa, self).__init__()

                    self.yang_name = "max-lsa"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint32, "number")

                    self.threshold_value = YLeaf(YType.uint32, "threshold-value")

                    self.ignore_count = YLeaf(YType.uint32, "ignore-count")

                    self.ignore_time = YLeaf(YType.uint32, "ignore-time")

                    self.reset_time = YLeaf(YType.uint32, "reset-time")

                    self.warning_only = YLeaf(YType.empty, "warning-only")
                    self._segment_path = lambda: "max-lsa"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.MaxLsa, ['number', 'threshold_value', 'ignore_count', 'ignore_time', 'reset_time', 'warning_only'], name, value)


            class MaxMetric(Entity):
                """
                Set maximum metric
                
                .. attribute:: router_lsa
                
                	Maximum metric in self\-originated router\-LSAs
                	**type**\:  :py:class:`RouterLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.MaxMetric.RouterLsa>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.MaxMetric, self).__init__()

                    self.yang_name = "max-metric"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"router-lsa" : ("router_lsa", Native.Router.Ospfv3.MaxMetric.RouterLsa)}
                    self._child_list_classes = {}

                    self.router_lsa = None
                    self._children_name_map["router_lsa"] = "router-lsa"
                    self._children_yang_names.add("router-lsa")
                    self._segment_path = lambda: "max-metric"


                class RouterLsa(Entity):
                    """
                    Maximum metric in self\-originated router\-LSAs
                    
                    .. attribute:: external_lsa
                    
                    	Override external\-lsa metric with max\-metric value
                    	**type**\:  :py:class:`ExternalLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.MaxMetric.RouterLsa.ExternalLsa>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: include_stub
                    
                    	Set maximum metric for stub links in router\-LSAs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: on_startup
                    
                    	Set maximum metric temporarily after reboot
                    	**type**\:  :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.MaxMetric.RouterLsa.OnStartup>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: summary_lsa
                    
                    	Override summary\-lsa metric with max\-metric value
                    	**type**\:  :py:class:`SummaryLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.MaxMetric.RouterLsa.SummaryLsa>`
                    
                    	**presence node**\: True
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.MaxMetric.RouterLsa, self).__init__()

                        self.yang_name = "router-lsa"
                        self.yang_parent_name = "max-metric"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"external-lsa" : ("external_lsa", Native.Router.Ospfv3.MaxMetric.RouterLsa.ExternalLsa), "on-startup" : ("on_startup", Native.Router.Ospfv3.MaxMetric.RouterLsa.OnStartup), "summary-lsa" : ("summary_lsa", Native.Router.Ospfv3.MaxMetric.RouterLsa.SummaryLsa)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.include_stub = YLeaf(YType.empty, "include-stub")

                        self.external_lsa = None
                        self._children_name_map["external_lsa"] = "external-lsa"
                        self._children_yang_names.add("external-lsa")

                        self.on_startup = None
                        self._children_name_map["on_startup"] = "on-startup"
                        self._children_yang_names.add("on-startup")

                        self.summary_lsa = None
                        self._children_name_map["summary_lsa"] = "summary-lsa"
                        self._children_yang_names.add("summary-lsa")
                        self._segment_path = lambda: "router-lsa"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.MaxMetric.RouterLsa, ['include_stub'], name, value)


                    class ExternalLsa(Entity):
                        """
                        Override external\-lsa metric with max\-metric value
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.MaxMetric.RouterLsa.ExternalLsa, self).__init__()

                            self.yang_name = "external-lsa"
                            self.yang_parent_name = "router-lsa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "external-lsa"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.MaxMetric.RouterLsa.ExternalLsa, ['metric'], name, value)


                    class OnStartup(Entity):
                        """
                        Set maximum metric temporarily after reboot
                        
                        .. attribute:: time
                        
                        	
                        	**type**\: int
                        
                        	**range:** 5..86400
                        
                        .. attribute:: wait_for_bgp
                        
                        	Let BGP decide when to originate router\-LSA with normal metric
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.MaxMetric.RouterLsa.OnStartup, self).__init__()

                            self.yang_name = "on-startup"
                            self.yang_parent_name = "router-lsa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.time = YLeaf(YType.uint32, "time")

                            self.wait_for_bgp = YLeaf(YType.empty, "wait-for-bgp")
                            self._segment_path = lambda: "on-startup"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.MaxMetric.RouterLsa.OnStartup, ['time', 'wait_for_bgp'], name, value)


                    class SummaryLsa(Entity):
                        """
                        Override summary\-lsa metric with max\-metric value
                        
                        .. attribute:: metric
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..16777215
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.MaxMetric.RouterLsa.SummaryLsa, self).__init__()

                            self.yang_name = "summary-lsa"
                            self.yang_parent_name = "router-lsa"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.metric = YLeaf(YType.uint32, "metric")
                            self._segment_path = lambda: "summary-lsa"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.MaxMetric.RouterLsa.SummaryLsa, ['metric'], name, value)


            class PassiveInterface(Entity):
                """
                Suppress routing updates on an interface
                
                .. attribute:: default
                
                	Suppress routing updates on all interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.PassiveInterface, self).__init__()

                    self.yang_name = "passive-interface"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.default = YLeaf(YType.empty, "default")

                    self.interface = YLeaf(YType.str, "interface")
                    self._segment_path = lambda: "passive-interface"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.PassiveInterface, ['default', 'interface'], name, value)


            class Disable(Entity):
                """
                
                
                .. attribute:: passive_interface
                
                	
                	**type**\: list of  		 :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Disable.PassiveInterface>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.Disable, self).__init__()

                    self.yang_name = "disable"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"passive-interface" : ("passive_interface", Native.Router.Ospfv3.Disable.PassiveInterface)}

                    self.passive_interface = YList(self)
                    self._segment_path = lambda: "disable"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.Disable, [], name, value)


                class PassiveInterface(Entity):
                    """
                    
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Disable.PassiveInterface, self).__init__()

                        self.yang_name = "passive-interface"
                        self.yang_parent_name = "disable"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interface = YLeaf(YType.str, "interface")
                        self._segment_path = lambda: "passive-interface" + "[interface='" + self.interface.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.Disable.PassiveInterface, ['interface'], name, value)


            class QueueDepth(Entity):
                """
                OSPF Hello/Router process queue depth
                
                .. attribute:: hello
                
                	OSPF Hello process queue depth
                	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.QueueDepth.Hello>`
                
                .. attribute:: update
                
                	OSPF Router process queue depth
                	**type**\:  :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.QueueDepth.Update>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.QueueDepth, self).__init__()

                    self.yang_name = "queue-depth"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"hello" : ("hello", Native.Router.Ospfv3.QueueDepth.Hello), "update" : ("update", Native.Router.Ospfv3.QueueDepth.Update)}
                    self._child_list_classes = {}

                    self.hello = Native.Router.Ospfv3.QueueDepth.Hello()
                    self.hello.parent = self
                    self._children_name_map["hello"] = "hello"
                    self._children_yang_names.add("hello")

                    self.update = Native.Router.Ospfv3.QueueDepth.Update()
                    self.update.parent = self
                    self._children_name_map["update"] = "update"
                    self._children_yang_names.add("update")
                    self._segment_path = lambda: "queue-depth"


                class Hello(Entity):
                    """
                    OSPF Hello process queue depth
                    
                    .. attribute:: options
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..2147483647
                    
                    		**type**\:  :py:class:`Options <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.Options>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.QueueDepth.Hello, self).__init__()

                        self.yang_name = "hello"
                        self.yang_parent_name = "queue-depth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.options = YLeaf(YType.str, "options")
                        self._segment_path = lambda: "hello"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.QueueDepth.Hello, ['options'], name, value)

                    class Options(Enum):
                        """
                        Options

                        .. data:: unlimited = 0

                        """

                        unlimited = Enum.YLeaf(0, "unlimited")



                class Update(Entity):
                    """
                    OSPF Router process queue depth
                    
                    .. attribute:: options
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..2147483647
                    
                    		**type**\:  :py:class:`Options <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.Options>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.QueueDepth.Update, self).__init__()

                        self.yang_name = "update"
                        self.yang_parent_name = "queue-depth"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.options = YLeaf(YType.str, "options")
                        self._segment_path = lambda: "update"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.QueueDepth.Update, ['options'], name, value)

                    class Options(Enum):
                        """
                        Options

                        .. data:: unlimited = 0

                        """

                        unlimited = Enum.YLeaf(0, "unlimited")



            class Timers(Entity):
                """
                Adjust routing timers
                
                .. attribute:: lsa
                
                	OSPF LSA timers
                	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers.Lsa>`
                
                .. attribute:: pacing
                
                	OSPF pacing timers
                	**type**\:  :py:class:`Pacing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers.Pacing>`
                
                .. attribute:: throttle
                
                	OSPF throttle timers
                	**type**\:  :py:class:`Throttle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers.Throttle>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.Timers, self).__init__()

                    self.yang_name = "timers"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"lsa" : ("lsa", Native.Router.Ospfv3.Timers.Lsa), "pacing" : ("pacing", Native.Router.Ospfv3.Timers.Pacing), "throttle" : ("throttle", Native.Router.Ospfv3.Timers.Throttle)}
                    self._child_list_classes = {}

                    self.lsa = Native.Router.Ospfv3.Timers.Lsa()
                    self.lsa.parent = self
                    self._children_name_map["lsa"] = "lsa"
                    self._children_yang_names.add("lsa")

                    self.pacing = Native.Router.Ospfv3.Timers.Pacing()
                    self.pacing.parent = self
                    self._children_name_map["pacing"] = "pacing"
                    self._children_yang_names.add("pacing")

                    self.throttle = Native.Router.Ospfv3.Timers.Throttle()
                    self.throttle.parent = self
                    self._children_name_map["throttle"] = "throttle"
                    self._children_yang_names.add("throttle")
                    self._segment_path = lambda: "timers"


                class Lsa(Entity):
                    """
                    OSPF LSA timers
                    
                    .. attribute:: arrival
                    
                    	OSPF LSA arrival timer
                    	**type**\: int
                    
                    	**range:** 0..600000
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Timers.Lsa, self).__init__()

                        self.yang_name = "lsa"
                        self.yang_parent_name = "timers"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.arrival = YLeaf(YType.uint32, "arrival")
                        self._segment_path = lambda: "lsa"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.Timers.Lsa, ['arrival'], name, value)


                class Pacing(Entity):
                    """
                    OSPF pacing timers
                    
                    .. attribute:: flood
                    
                    	OSPF flood pacing timer
                    	**type**\: int
                    
                    	**range:** 5..100
                    
                    .. attribute:: lsa_group
                    
                    	OSPF LSA group pacing timer
                    	**type**\: int
                    
                    	**range:** 10..1800
                    
                    .. attribute:: retransmission
                    
                    	OSPF retransmission pacing timer
                    	**type**\: int
                    
                    	**range:** 5..200
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Timers.Pacing, self).__init__()

                        self.yang_name = "pacing"
                        self.yang_parent_name = "timers"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.flood = YLeaf(YType.uint32, "flood")

                        self.lsa_group = YLeaf(YType.uint32, "lsa-group")

                        self.retransmission = YLeaf(YType.uint32, "retransmission")
                        self._segment_path = lambda: "pacing"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.Timers.Pacing, ['flood', 'lsa_group', 'retransmission'], name, value)


                class Throttle(Entity):
                    """
                    OSPF throttle timers
                    
                    .. attribute:: lsa
                    
                    	OSPF LSA throttle timers
                    	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers.Throttle.Lsa>`
                    
                    .. attribute:: spf
                    
                    	OSPF SPF throttle timers
                    	**type**\:  :py:class:`Spf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers.Throttle.Spf>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Timers.Throttle, self).__init__()

                        self.yang_name = "throttle"
                        self.yang_parent_name = "timers"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"lsa" : ("lsa", Native.Router.Ospfv3.Timers.Throttle.Lsa), "spf" : ("spf", Native.Router.Ospfv3.Timers.Throttle.Spf)}
                        self._child_list_classes = {}

                        self.lsa = Native.Router.Ospfv3.Timers.Throttle.Lsa()
                        self.lsa.parent = self
                        self._children_name_map["lsa"] = "lsa"
                        self._children_yang_names.add("lsa")

                        self.spf = Native.Router.Ospfv3.Timers.Throttle.Spf()
                        self.spf.parent = self
                        self._children_name_map["spf"] = "spf"
                        self._children_yang_names.add("spf")
                        self._segment_path = lambda: "throttle"


                    class Lsa(Entity):
                        """
                        OSPF LSA throttle timers
                        
                        .. attribute:: all
                        
                        	For all type of OSPF LSAs
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Timers.Throttle.Lsa.All>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Timers.Throttle.Lsa, self).__init__()

                            self.yang_name = "lsa"
                            self.yang_parent_name = "throttle"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"all" : ("all", Native.Router.Ospfv3.Timers.Throttle.Lsa.All)}
                            self._child_list_classes = {}

                            self.all = Native.Router.Ospfv3.Timers.Throttle.Lsa.All()
                            self.all.parent = self
                            self._children_name_map["all"] = "all"
                            self._children_yang_names.add("all")
                            self._segment_path = lambda: "lsa"


                        class All(Entity):
                            """
                            For all type of OSPF LSAs
                            
                            .. attribute:: delay
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..600000
                            
                            .. attribute:: min_delay
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..600000
                            
                            .. attribute:: max_delay
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..600000
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.Timers.Throttle.Lsa.All, self).__init__()

                                self.yang_name = "all"
                                self.yang_parent_name = "lsa"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.delay = YLeaf(YType.uint32, "delay")

                                self.min_delay = YLeaf(YType.uint32, "min-delay")

                                self.max_delay = YLeaf(YType.uint32, "max-delay")
                                self._segment_path = lambda: "all"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.Timers.Throttle.Lsa.All, ['delay', 'min_delay', 'max_delay'], name, value)


                    class Spf(Entity):
                        """
                        OSPF SPF throttle timers
                        
                        .. attribute:: delay
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..600000
                        
                        .. attribute:: min_delay
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..600000
                        
                        .. attribute:: max_delay
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..600000
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Timers.Throttle.Spf, self).__init__()

                            self.yang_name = "spf"
                            self.yang_parent_name = "throttle"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.delay = YLeaf(YType.uint32, "delay")

                            self.min_delay = YLeaf(YType.uint32, "min-delay")

                            self.max_delay = YLeaf(YType.uint32, "max-delay")
                            self._segment_path = lambda: "spf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Timers.Throttle.Spf, ['delay', 'min_delay', 'max_delay'], name, value)


            class TrafficShare(Entity):
                """
                How to compute traffic share over alternate paths
                
                .. attribute:: min
                
                	All traffic shared among min metric paths
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: across_interfaces
                
                	Use different interfaces for equal\-cost paths
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.TrafficShare, self).__init__()

                    self.yang_name = "traffic-share"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.min = YLeaf(YType.empty, "min")

                    self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                    self._segment_path = lambda: "traffic-share"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.TrafficShare, ['min', 'across_interfaces'], name, value)


            class TtlSecurity(Entity):
                """
                TTL security check
                
                .. attribute:: all_interfaces
                
                	Enable TTL Security on all interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hops
                
                	IP hops
                	**type**\: int
                
                	**range:** 1..254
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.TtlSecurity, self).__init__()

                    self.yang_name = "ttl-security"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

                    self.hops = YLeaf(YType.uint8, "hops")
                    self._segment_path = lambda: "ttl-security"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.TtlSecurity, ['all_interfaces', 'hops'], name, value)


            class Authentication(Entity):
                """
                Authentication parameters
                
                .. attribute:: mode
                
                	Authentication operation mode
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Authentication.Mode>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.Authentication, self).__init__()

                    self.yang_name = "authentication"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.mode = YLeaf(YType.enumeration, "mode")
                    self._segment_path = lambda: "authentication"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.Authentication, ['mode'], name, value)

                class Mode(Enum):
                    """
                    Mode

                    Authentication operation mode

                    .. data:: deployment = 0

                    .. data:: strict = 1

                    """

                    deployment = Enum.YLeaf(0, "deployment")

                    strict = Enum.YLeaf(1, "strict")



            class GracefulRestart(Entity):
                """
                Graceful\-restart options
                
                .. attribute:: helper
                
                	helper support
                	**type**\:  :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.GracefulRestart.Helper>`
                
                	**presence node**\: True
                
                .. attribute:: restart_interval
                
                	Graceful restart interval
                	**type**\: int
                
                	**range:** 0..65535
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.GracefulRestart, self).__init__()

                    self.yang_name = "graceful-restart"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"helper" : ("helper", Native.Router.Ospfv3.GracefulRestart.Helper)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.restart_interval = YLeaf(YType.uint16, "restart-interval")

                    self.helper = None
                    self._children_name_map["helper"] = "helper"
                    self._children_yang_names.add("helper")
                    self._segment_path = lambda: "graceful-restart"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.GracefulRestart, ['restart_interval'], name, value)


                class Helper(Entity):
                    """
                    helper support
                    
                    .. attribute:: disable
                    
                    	disable helper support
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: strict_lsa_checking
                    
                    	enable helper strict LSA checking
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.GracefulRestart.Helper, self).__init__()

                        self.yang_name = "helper"
                        self.yang_parent_name = "graceful-restart"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")

                        self.strict_lsa_checking = YLeaf(YType.empty, "strict-lsa-checking")
                        self._segment_path = lambda: "helper"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.GracefulRestart.Helper, ['disable', 'strict_lsa_checking'], name, value)


            class Manet(Entity):
                """
                Specify MANET OSPF parameters
                
                .. attribute:: cache
                
                	Specify MANET cache sizes
                	**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Manet.Cache>`
                
                .. attribute:: hello
                
                	Unicast Hellos rather than multicast
                	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Manet.Hello>`
                
                .. attribute:: peering
                
                	MANET OSPF Smart Peering
                	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Manet.Peering>`
                
                .. attribute:: willingness
                
                	Specify Relay willingness value
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.Manet, self).__init__()

                    self.yang_name = "manet"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"cache" : ("cache", Native.Router.Ospfv3.Manet.Cache), "peering" : ("peering", Native.Router.Ospfv3.Manet.Peering)}
                    self._child_list_classes = {}

                    self.hello = YLeaf(YType.enumeration, "hello")

                    self.willingness = YLeaf(YType.uint8, "willingness")

                    self.cache = Native.Router.Ospfv3.Manet.Cache()
                    self.cache.parent = self
                    self._children_name_map["cache"] = "cache"
                    self._children_yang_names.add("cache")

                    self.peering = Native.Router.Ospfv3.Manet.Peering()
                    self.peering.parent = self
                    self._children_name_map["peering"] = "peering"
                    self._children_yang_names.add("peering")
                    self._segment_path = lambda: "manet"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Ospfv3.Manet, ['hello', 'willingness'], name, value)

                class Hello(Enum):
                    """
                    Hello

                    Unicast Hellos rather than multicast

                    .. data:: unicast = 0

                    """

                    unicast = Enum.YLeaf(0, "unicast")



                class Cache(Entity):
                    """
                    Specify MANET cache sizes
                    
                    .. attribute:: acknowledgement
                    
                    	Specify MANET acknowledgement cache size
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: update
                    
                    	Specify MANET LSA cache size
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Manet.Cache, self).__init__()

                        self.yang_name = "cache"
                        self.yang_parent_name = "manet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acknowledgement = YLeaf(YType.uint64, "acknowledgement")

                        self.update = YLeaf(YType.uint64, "update")
                        self._segment_path = lambda: "cache"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.Manet.Cache, ['acknowledgement', 'update'], name, value)


                class Peering(Entity):
                    """
                    MANET OSPF Smart Peering
                    
                    .. attribute:: selective
                    
                    	Enable selective peering
                    	**type**\:  :py:class:`Selective <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.Manet.Peering.Selective>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.Manet.Peering, self).__init__()

                        self.yang_name = "peering"
                        self.yang_parent_name = "manet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"selective" : ("selective", Native.Router.Ospfv3.Manet.Peering.Selective)}
                        self._child_list_classes = {}

                        self.selective = Native.Router.Ospfv3.Manet.Peering.Selective()
                        self.selective.parent = self
                        self._children_name_map["selective"] = "selective"
                        self._children_yang_names.add("selective")
                        self._segment_path = lambda: "peering"


                    class Selective(Entity):
                        """
                        Enable selective peering
                        
                        .. attribute:: disable
                        
                        	Disable selective peering
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: per_interface
                        
                        	Select peers per interface rather than per node
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: redundancy
                        
                        	Redundant paths
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.Manet.Peering.Selective, self).__init__()

                            self.yang_name = "selective"
                            self.yang_parent_name = "peering"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.disable = YLeaf(YType.empty, "disable")

                            self.per_interface = YLeaf(YType.empty, "per-interface")

                            self.redundancy = YLeaf(YType.uint8, "redundancy")
                            self._segment_path = lambda: "selective"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.Manet.Peering.Selective, ['disable', 'per_interface', 'redundancy'], name, value)


            class AddressFamily(Entity):
                """
                Enter Address Family command mode
                
                .. attribute:: ipv4
                
                	IPv4 Address family
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4>`
                
                .. attribute:: ipv6
                
                	IPv6 Address family
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6>`
                
                

                """

                _prefix = 'ios-ospfv3'
                _revision = '2017-04-28'

                def __init__(self):
                    super(Native.Router.Ospfv3.AddressFamily, self).__init__()

                    self.yang_name = "address-family"
                    self.yang_parent_name = "ospfv3"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Ospfv3.AddressFamily.Ipv4), "ipv6" : ("ipv6", Native.Router.Ospfv3.AddressFamily.Ipv6)}
                    self._child_list_classes = {}

                    self.ipv4 = Native.Router.Ospfv3.AddressFamily.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")

                    self.ipv6 = Native.Router.Ospfv3.AddressFamily.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")
                    self._segment_path = lambda: "address-family"


                class Ipv4(Entity):
                    """
                    IPv4 Address family
                    
                    .. attribute:: unicast
                    
                    	Address Family Modifier
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vrf
                    
                    	Specify parameters for a VPN Routing/Forwarding instance
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.AddressFamily.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "address-family"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"unicast" : ("unicast", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast)}
                        self._child_list_classes = {"vrf" : ("vrf", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf)}

                        self.unicast = None
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")

                        self.vrf = YList(self)
                        self._segment_path = lambda: "ipv4"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4, [], name, value)


                    class Unicast(Entity):
                        """
                        Address Family Modifier
                        
                        .. attribute:: area
                        
                        	OSPF area parameters
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area>`
                        
                        .. attribute:: auto_cost
                        
                        	Calculate OSPF interface cost according to bandwidth
                        	**type**\:  :py:class:`AutoCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.AutoCost>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: event_log
                        
                        	OSPF Event Logging
                        	**type**\:  :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.EventLog>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bfd
                        
                        	BFD configuration commands
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Bfd>`
                        
                        .. attribute:: interface_id
                        
                        	Source of the interface ID
                        	**type**\:  :py:class:`InterfaceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.InterfaceId>`
                        
                        .. attribute:: log_adjacency_changes
                        
                        	Log changes in adjacency state
                        	**type**\:  :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.LogAdjacencyChanges>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: max_lsa
                        
                        	maximum number of LSAs OSPF process will receive
                        	**type**\:  :py:class:`MaxLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxLsa>`
                        
                        .. attribute:: max_metric
                        
                        	Set maximum metric
                        	**type**\:  :py:class:`MaxMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric>`
                        
                        .. attribute:: passive_interface
                        
                        	Suppress routing updates on an interface
                        	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.PassiveInterface>`
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable>`
                        
                        .. attribute:: queue_depth
                        
                        	OSPF Hello/Router process queue depth
                        	**type**\:  :py:class:`QueueDepth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth>`
                        
                        .. attribute:: timers
                        
                        	Adjust routing timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers>`
                        
                        .. attribute:: router_id
                        
                        	Override configured router identifier (peers will reset)
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nsr
                        
                        	Enable non\-stop routing
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_share
                        
                        	How to compute traffic share over alternate paths
                        	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TrafficShare>`
                        
                        .. attribute:: ttl_security
                        
                        	TTL security check
                        	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TtlSecurity>`
                        
                        .. attribute:: capability
                        
                        	Enable specific OSPF feature
                        	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability>`
                        
                        .. attribute:: compatible
                        
                        	OSPF compatibility list
                        	**type**\:  :py:class:`Compatible <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Compatible>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: discard_route
                        
                        	Enable or disable discard\-route installation
                        	**type**\:  :py:class:`DiscardRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DiscardRoute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute>`
                        
                        .. attribute:: authentication
                        
                        	Authentication parameters
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication>`
                        
                        .. attribute:: graceful_restart
                        
                        	Graceful\-restart options
                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF parameters
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet>`
                        
                        .. attribute:: summary_prefix
                        
                        	
                        	**type**\: list of  		 :py:class:`SummaryPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.SummaryPrefix>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"auto-cost" : ("auto_cost", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.AutoCost), "event-log" : ("event_log", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.EventLog), "bfd" : ("bfd", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Bfd), "interface-id" : ("interface_id", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.InterfaceId), "log-adjacency-changes" : ("log_adjacency_changes", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.LogAdjacencyChanges), "max-lsa" : ("max_lsa", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxLsa), "max-metric" : ("max_metric", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric), "passive-interface" : ("passive_interface", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.PassiveInterface), "disable" : ("disable", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable), "queue-depth" : ("queue_depth", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth), "timers" : ("timers", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers), "traffic-share" : ("traffic_share", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TrafficShare), "ttl-security" : ("ttl_security", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TtlSecurity), "capability" : ("capability", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability), "compatible" : ("compatible", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Compatible), "default-information" : ("default_information", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation), "discard-route" : ("discard_route", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DiscardRoute), "distance" : ("distance", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance), "redistribute" : ("redistribute", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute), "authentication" : ("authentication", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication), "graceful-restart" : ("graceful_restart", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart), "manet" : ("manet", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet)}
                            self._child_list_classes = {"area" : ("area", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area), "summary-prefix" : ("summary_prefix", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.SummaryPrefix)}
                            self.is_presence_container = True

                            self.router_id = YLeaf(YType.str, "router-id")

                            self.nsr = YLeaf(YType.empty, "nsr")

                            self.default_metric = YLeaf(YType.uint32, "default-metric")

                            self.maximum_paths = YLeaf(YType.uint32, "maximum-paths")

                            self.auto_cost = None
                            self._children_name_map["auto_cost"] = "auto-cost"
                            self._children_yang_names.add("auto-cost")

                            self.event_log = None
                            self._children_name_map["event_log"] = "event-log"
                            self._children_yang_names.add("event-log")

                            self.bfd = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Bfd()
                            self.bfd.parent = self
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.interface_id = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.InterfaceId()
                            self.interface_id.parent = self
                            self._children_name_map["interface_id"] = "interface-id"
                            self._children_yang_names.add("interface-id")

                            self.log_adjacency_changes = None
                            self._children_name_map["log_adjacency_changes"] = "log-adjacency-changes"
                            self._children_yang_names.add("log-adjacency-changes")

                            self.max_lsa = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxLsa()
                            self.max_lsa.parent = self
                            self._children_name_map["max_lsa"] = "max-lsa"
                            self._children_yang_names.add("max-lsa")

                            self.max_metric = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric()
                            self.max_metric.parent = self
                            self._children_name_map["max_metric"] = "max-metric"
                            self._children_yang_names.add("max-metric")

                            self.passive_interface = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.PassiveInterface()
                            self.passive_interface.parent = self
                            self._children_name_map["passive_interface"] = "passive-interface"
                            self._children_yang_names.add("passive-interface")

                            self.disable = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable()
                            self.disable.parent = self
                            self._children_name_map["disable"] = "disable"
                            self._children_yang_names.add("disable")

                            self.queue_depth = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth()
                            self.queue_depth.parent = self
                            self._children_name_map["queue_depth"] = "queue-depth"
                            self._children_yang_names.add("queue-depth")

                            self.timers = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")

                            self.traffic_share = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TrafficShare()
                            self.traffic_share.parent = self
                            self._children_name_map["traffic_share"] = "traffic-share"
                            self._children_yang_names.add("traffic-share")

                            self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TtlSecurity()
                            self.ttl_security.parent = self
                            self._children_name_map["ttl_security"] = "ttl-security"
                            self._children_yang_names.add("ttl-security")

                            self.capability = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability()
                            self.capability.parent = self
                            self._children_name_map["capability"] = "capability"
                            self._children_yang_names.add("capability")

                            self.compatible = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Compatible()
                            self.compatible.parent = self
                            self._children_name_map["compatible"] = "compatible"
                            self._children_yang_names.add("compatible")

                            self.default_information = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.discard_route = None
                            self._children_name_map["discard_route"] = "discard-route"
                            self._children_yang_names.add("discard-route")

                            self.distance = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.redistribute = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.graceful_restart = None
                            self._children_name_map["graceful_restart"] = "graceful-restart"
                            self._children_yang_names.add("graceful-restart")

                            self.manet = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.area = YList(self)
                            self.summary_prefix = YList(self)
                            self._segment_path = lambda: "unicast"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast, ['router_id', 'nsr', 'default_metric', 'maximum_paths'], name, value)


                        class Area(Entity):
                            """
                            OSPF area parameters
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: authentication
                            
                            	Enable authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Authentication>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Enable area specific capability
                            	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Capability>`
                            
                            .. attribute:: default_cost
                            
                            	Set the summary default\-cost of a NSSA/stub area
                            	**type**\: int
                            
                            	**range:** 0..16777215
                            
                            .. attribute:: filter_list
                            
                            	Filter networks between OSPF areas
                            	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList>`
                            
                            .. attribute:: nssa
                            
                            	Specify a NSSA area
                            	**type**\:  :py:class:`Nssa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv4_range
                            
                            	
                            	**type**\:  :py:class:`Ipv4Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range>`
                            
                            .. attribute:: ipv6_range
                            
                            	
                            	**type**\:  :py:class:`Ipv6Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range>`
                            
                            .. attribute:: sham_link
                            
                            	Define a sham link and its parameters
                            	**type**\: list of  		 :py:class:`ShamLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink>`
                            
                            .. attribute:: stub
                            
                            	Specify a stub area
                            	**type**\:  :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Stub>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: virtual_link
                            
                            	Define a virtual link and its parameters
                            	**type**\: list of  		 :py:class:`VirtualLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Authentication), "capability" : ("capability", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Capability), "nssa" : ("nssa", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa), "ipv4-range" : ("ipv4_range", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range), "ipv6-range" : ("ipv6_range", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range), "stub" : ("stub", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Stub)}
                                self._child_list_classes = {"filter-list" : ("filter_list", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList), "sham-link" : ("sham_link", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink), "virtual-link" : ("virtual_link", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink)}

                                self.id = YLeaf(YType.str, "id")

                                self.default_cost = YLeaf(YType.uint32, "default-cost")

                                self.authentication = None
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")

                                self.capability = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Capability()
                                self.capability.parent = self
                                self._children_name_map["capability"] = "capability"
                                self._children_yang_names.add("capability")

                                self.nssa = None
                                self._children_name_map["nssa"] = "nssa"
                                self._children_yang_names.add("nssa")

                                self.ipv4_range = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range()
                                self.ipv4_range.parent = self
                                self._children_name_map["ipv4_range"] = "ipv4-range"
                                self._children_yang_names.add("ipv4-range")

                                self.ipv6_range = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range()
                                self.ipv6_range.parent = self
                                self._children_name_map["ipv6_range"] = "ipv6-range"
                                self._children_yang_names.add("ipv6-range")

                                self.stub = None
                                self._children_name_map["stub"] = "stub"
                                self._children_yang_names.add("stub")

                                self.filter_list = YList(self)
                                self.sham_link = YList(self)
                                self.virtual_link = YList(self)
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area, ['id', 'default_cost'], name, value)


                            class Authentication(Entity):
                                """
                                Enable authentication
                                
                                .. attribute:: message_digest
                                
                                	Use message\-digest authentication
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.message_digest = YLeaf(YType.empty, "message-digest")
                                    self._segment_path = lambda: "authentication"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Authentication, ['message_digest'], name, value)


                            class Capability(Entity):
                                """
                                Enable area specific capability
                                
                                .. attribute:: default_exclusion
                                
                                	Enable exclusion of links from base topology
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Capability, self).__init__()

                                    self.yang_name = "capability"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.default_exclusion = YLeaf(YType.empty, "default-exclusion")
                                    self._segment_path = lambda: "capability"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Capability, ['default_exclusion'], name, value)


                            class FilterList(Entity):
                                """
                                Filter networks between OSPF areas
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:  :py:class:`InOut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList.InOut>`
                                
                                .. attribute:: prefix
                                
                                	Filter prefixes between OSPF areas
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList, self).__init__()

                                    self.yang_name = "filter-list"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_out = YLeaf(YType.enumeration, "in-out")

                                    self.prefix = YLeaf(YType.str, "prefix")
                                    self._segment_path = lambda: "filter-list" + "[in-out='" + self.in_out.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.FilterList, ['in_out', 'prefix'], name, value)

                                class InOut(Enum):
                                    """
                                    InOut

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class Nssa(Entity):
                                """
                                Specify a NSSA area
                                
                                .. attribute:: default_information_originate
                                
                                	Originate Type 7 default into NSSA area
                                	**type**\:  :py:class:`DefaultInformationOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into NSSA
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_redistribution
                                
                                	No redistribution into this NSSA area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into NSSA
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit default advertisement to this NSSA area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: translate
                                
                                	Translate LSA
                                	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa, self).__init__()

                                    self.yang_name = "nssa"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default-information-originate" : ("default_information_originate", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate), "translate" : ("translate", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                                    self.no_redistribution = YLeaf(YType.empty, "no-redistribution")

                                    self.no_summary = YLeaf(YType.empty, "no-summary")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                    self.default_information_originate = None
                                    self._children_name_map["default_information_originate"] = "default-information-originate"
                                    self._children_yang_names.add("default-information-originate")

                                    self.translate = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate()
                                    self.translate.parent = self
                                    self._children_name_map["translate"] = "translate"
                                    self._children_yang_names.add("translate")
                                    self._segment_path = lambda: "nssa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa, ['no_ext_capability', 'no_redistribution', 'no_summary', 'nssa_only'], name, value)


                                class DefaultInformationOriginate(Entity):
                                    """
                                    Originate Type 7 default into NSSA area
                                    
                                    .. attribute:: metric
                                    
                                    	OSPF default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..16777214
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF metric type for default routes
                                    	**type**\: int
                                    
                                    	**range:** 1..2
                                    
                                    .. attribute:: no_ext_capability
                                    
                                    	Do not send domain specific capabilities into NSSA
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_redistribution
                                    
                                    	No redistribution into this NSSA area
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_summary
                                    
                                    	Do not send summary LSA into NSSA
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit default advertisement to this NSSA area
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: translate
                                    
                                    	Translate LSA
                                    	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate, self).__init__()

                                        self.yang_name = "default-information-originate"
                                        self.yang_parent_name = "nssa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"translate" : ("translate", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.int32, "metric")

                                        self.metric_type = YLeaf(YType.uint32, "metric-type")

                                        self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                                        self.no_redistribution = YLeaf(YType.empty, "no-redistribution")

                                        self.no_summary = YLeaf(YType.empty, "no-summary")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.translate = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate()
                                        self.translate.parent = self
                                        self._children_name_map["translate"] = "translate"
                                        self._children_yang_names.add("translate")
                                        self._segment_path = lambda: "default-information-originate"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate, ['metric', 'metric_type', 'no_ext_capability', 'no_redistribution', 'no_summary', 'nssa_only'], name, value)


                                    class Translate(Entity):
                                        """
                                        Translate LSA
                                        
                                        .. attribute:: type7
                                        
                                        	From Type 7 to Type 5
                                        	**type**\:  :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate, self).__init__()

                                            self.yang_name = "translate"
                                            self.yang_parent_name = "default-information-originate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"type7" : ("type7", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7)}
                                            self._child_list_classes = {}

                                            self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7()
                                            self.type7.parent = self
                                            self._children_name_map["type7"] = "type7"
                                            self._children_yang_names.add("type7")
                                            self._segment_path = lambda: "translate"


                                        class Type7(Entity):
                                            """
                                            From Type 7 to Type 5
                                            
                                            .. attribute:: always
                                            
                                            	Always translate LSAs on this ABR
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: suppress_fa
                                            
                                            	Suppress forwarding address in translated LSAs
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7, self).__init__()

                                                self.yang_name = "type7"
                                                self.yang_parent_name = "translate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.always = YLeaf(YType.empty, "always")

                                                self.suppress_fa = YLeaf(YType.empty, "suppress-fa")
                                                self._segment_path = lambda: "type7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7, ['always', 'suppress_fa'], name, value)


                                class Translate(Entity):
                                    """
                                    Translate LSA
                                    
                                    .. attribute:: type7
                                    
                                    	From Type 7 to Type 5
                                    	**type**\:  :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate.Type7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate, self).__init__()

                                        self.yang_name = "translate"
                                        self.yang_parent_name = "nssa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"type7" : ("type7", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate.Type7)}
                                        self._child_list_classes = {}

                                        self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate.Type7()
                                        self.type7.parent = self
                                        self._children_name_map["type7"] = "type7"
                                        self._children_yang_names.add("type7")
                                        self._segment_path = lambda: "translate"


                                    class Type7(Entity):
                                        """
                                        From Type 7 to Type 5
                                        
                                        .. attribute:: always
                                        
                                        	Always translate LSAs on this ABR
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: suppress_fa
                                        
                                        	Suppress forwarding address in translated LSAs
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate.Type7, self).__init__()

                                            self.yang_name = "type7"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.always = YLeaf(YType.empty, "always")

                                            self.suppress_fa = YLeaf(YType.empty, "suppress-fa")
                                            self._segment_path = lambda: "type7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Nssa.Translate.Type7, ['always', 'suppress_fa'], name, value)


                            class Ipv4Range(Entity):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range, self).__init__()

                                    self.yang_name = "ipv4-range"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"range" : ("range", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range.Range)}

                                    self.range = YList(self)
                                    self._segment_path = lambda: "ipv4-range"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range, [], name, value)


                                class Range(Entity):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: mask  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\: int
                                    
                                    	**range:** 0..16777215
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "ipv4-range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.str, "ip")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.advertise = YLeaf(YType.empty, "advertise")

                                        self.not_advertise = YLeaf(YType.empty, "not-advertise")

                                        self.cost = YLeaf(YType.uint32, "cost")
                                        self._segment_path = lambda: "range" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv4Range.Range, ['ip', 'mask', 'advertise', 'not_advertise', 'cost'], name, value)


                            class Ipv6Range(Entity):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range, self).__init__()

                                    self.yang_name = "ipv6-range"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"range" : ("range", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range.Range)}

                                    self.range = YList(self)
                                    self._segment_path = lambda: "ipv6-range"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range, [], name, value)


                                class Range(Entity):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\: int
                                    
                                    	**range:** 0..16777215
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "ipv6-range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.str, "ip")

                                        self.advertise = YLeaf(YType.empty, "advertise")

                                        self.not_advertise = YLeaf(YType.empty, "not-advertise")

                                        self.cost = YLeaf(YType.uint32, "cost")
                                        self._segment_path = lambda: "range" + "[ip='" + self.ip.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Ipv6Range.Range, ['ip', 'advertise', 'not_advertise', 'cost'], name, value)


                            class ShamLink(Entity):
                                """
                                Define a sham link and its parameters
                                
                                .. attribute:: source  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: dest  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: cost
                                
                                	Associate a cost with the sham\-link
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink.TtlSecurity>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink, self).__init__()

                                    self.yang_name = "sham-link"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ttl-security" : ("ttl_security", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink.TtlSecurity)}
                                    self._child_list_classes = {}

                                    self.source = YLeaf(YType.str, "source")

                                    self.dest = YLeaf(YType.str, "dest")

                                    self.cost = YLeaf(YType.uint16, "cost")

                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink.TtlSecurity()
                                    self.ttl_security.parent = self
                                    self._children_name_map["ttl_security"] = "ttl-security"
                                    self._children_yang_names.add("ttl-security")
                                    self._segment_path = lambda: "sham-link" + "[source='" + self.source.get() + "']" + "[dest='" + self.dest.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink, ['source', 'dest', 'cost'], name, value)


                                class TtlSecurity(Entity):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink.TtlSecurity, self).__init__()

                                        self.yang_name = "ttl-security"
                                        self.yang_parent_name = "sham-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hops = YLeaf(YType.uint8, "hops")
                                        self._segment_path = lambda: "ttl-security"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.ShamLink.TtlSecurity, ['hops'], name, value)


                            class Stub(Entity):
                                """
                                Specify a stub area
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into stub area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into stub area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Stub, self).__init__()

                                    self.yang_name = "stub"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                                    self.no_summary = YLeaf(YType.empty, "no-summary")
                                    self._segment_path = lambda: "stub"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.Stub, ['no_ext_capability', 'no_summary'], name, value)


                            class VirtualLink(Entity):
                                """
                                Define a virtual link and its parameters
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: authentication
                                
                                	Set authentication type
                                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication>`
                                
                                .. attribute:: hello_interval
                                
                                	Hello packet interval
                                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.HelloInterval>`
                                
                                .. attribute:: dead_interval
                                
                                	Dead router detection time
                                	**type**\:  :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.DeadInterval>`
                                
                                .. attribute:: retransmit_interval
                                
                                	LSA retransmit interval
                                	**type**\:  :py:class:`RetransmitInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.RetransmitInterval>`
                                
                                .. attribute:: transmit_delay
                                
                                	LSA transmission delay
                                	**type**\:  :py:class:`TransmitDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TransmitDelay>`
                                
                                .. attribute:: topology
                                
                                	Disable virtual link on topology
                                	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Topology>`
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TtlSecurity>`
                                
                                .. attribute:: authentication_key
                                
                                	Set authentication key
                                	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.AuthenticationKey>`
                                
                                .. attribute:: message_digest_key
                                
                                	Set message digest key
                                	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink, self).__init__()

                                    self.yang_name = "virtual-link"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authentication" : ("authentication", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication), "hello-interval" : ("hello_interval", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.HelloInterval), "dead-interval" : ("dead_interval", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.DeadInterval), "retransmit-interval" : ("retransmit_interval", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.RetransmitInterval), "transmit-delay" : ("transmit_delay", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TransmitDelay), "topology" : ("topology", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Topology), "ttl-security" : ("ttl_security", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TtlSecurity), "authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.AuthenticationKey)}
                                    self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey)}

                                    self.id = YLeaf(YType.str, "id")

                                    self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication()
                                    self.authentication.parent = self
                                    self._children_name_map["authentication"] = "authentication"
                                    self._children_yang_names.add("authentication")

                                    self.hello_interval = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.HelloInterval()
                                    self.hello_interval.parent = self
                                    self._children_name_map["hello_interval"] = "hello-interval"
                                    self._children_yang_names.add("hello-interval")

                                    self.dead_interval = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.DeadInterval()
                                    self.dead_interval.parent = self
                                    self._children_name_map["dead_interval"] = "dead-interval"
                                    self._children_yang_names.add("dead-interval")

                                    self.retransmit_interval = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.RetransmitInterval()
                                    self.retransmit_interval.parent = self
                                    self._children_name_map["retransmit_interval"] = "retransmit-interval"
                                    self._children_yang_names.add("retransmit-interval")

                                    self.transmit_delay = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TransmitDelay()
                                    self.transmit_delay.parent = self
                                    self._children_name_map["transmit_delay"] = "transmit-delay"
                                    self._children_yang_names.add("transmit-delay")

                                    self.topology = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Topology()
                                    self.topology.parent = self
                                    self._children_name_map["topology"] = "topology"
                                    self._children_yang_names.add("topology")

                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TtlSecurity()
                                    self.ttl_security.parent = self
                                    self._children_name_map["ttl_security"] = "ttl-security"
                                    self._children_yang_names.add("ttl-security")

                                    self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self._children_name_map["authentication_key"] = "authentication-key"
                                    self._children_yang_names.add("authentication-key")

                                    self.message_digest_key = YList(self)
                                    self._segment_path = lambda: "virtual-link" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink, ['id'], name, value)


                                class Authentication(Entity):
                                    """
                                    Set authentication type
                                    
                                    .. attribute:: authentication_key
                                    
                                    	Set authentication key
                                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.AuthenticationKey>`
                                    
                                    .. attribute:: message_digest_key
                                    
                                    	Set message digest key
                                    	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey>`
                                    
                                    .. attribute:: key_chain
                                    
                                    	Use a key\-chain for cryptographic authentication keys
                                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain>`
                                    
                                    .. attribute:: message_digest
                                    
                                    	Message\-digest authentication
                                    	**type**\:  :py:class:`MessageDigest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest>`
                                    
                                    .. attribute:: null
                                    
                                    	No authentication
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication, self).__init__()

                                        self.yang_name = "authentication"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.AuthenticationKey), "key-chain" : ("key_chain", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain), "message-digest" : ("message_digest", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest)}
                                        self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey)}

                                        self.null = YLeaf(YType.empty, "null")

                                        self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.AuthenticationKey()
                                        self.authentication_key.parent = self
                                        self._children_name_map["authentication_key"] = "authentication-key"
                                        self._children_yang_names.add("authentication-key")

                                        self.key_chain = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain()
                                        self.key_chain.parent = self
                                        self._children_name_map["key_chain"] = "key-chain"
                                        self._children_yang_names.add("key-chain")

                                        self.message_digest = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest()
                                        self.message_digest.parent = self
                                        self._children_name_map["message_digest"] = "message-digest"
                                        self._children_yang_names.add("message-digest")

                                        self.message_digest_key = YList(self)
                                        self._segment_path = lambda: "authentication"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication, ['null'], name, value)


                                    class AuthenticationKey(Entity):
                                        """
                                        Set authentication key
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.AuthenticationKey, self).__init__()

                                            self.yang_name = "authentication-key"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                                            self.auth_key = YLeaf(YType.str, "auth-key")
                                            self._segment_path = lambda: "authentication-key"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                    class MessageDigestKey(Entity):
                                        """
                                        Set message digest key
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: md5
                                        
                                        	Use MD5 algorithm
                                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey, self).__init__()

                                            self.yang_name = "message-digest-key"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint8, "id")

                                            self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5()
                                            self.md5.parent = self
                                            self._children_name_map["md5"] = "md5"
                                            self._children_yang_names.add("md5")
                                            self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey, ['id'], name, value)


                                        class Md5(Entity):
                                            """
                                            Use MD5 algorithm
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**length:** 1..16
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5, self).__init__()

                                                self.yang_name = "md5"
                                                self.yang_parent_name = "message-digest-key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                self.auth_key = YLeaf(YType.str, "auth-key")
                                                self._segment_path = lambda: "md5"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                                    class KeyChain(Entity):
                                        """
                                        Use a key\-chain for cryptographic authentication keys
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain, self).__init__()

                                            self.yang_name = "key-chain"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey)}
                                            self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey)}

                                            self.name = YLeaf(YType.str, "name")

                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self._children_name_map["authentication_key"] = "authentication-key"
                                            self._children_yang_names.add("authentication-key")

                                            self.message_digest_key = YList(self)
                                            self._segment_path = lambda: "key-chain"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain, ['name'], name, value)


                                        class AuthenticationKey(Entity):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey, self).__init__()

                                                self.yang_name = "authentication-key"
                                                self.yang_parent_name = "key-chain"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                self.auth_key = YLeaf(YType.str, "auth-key")
                                                self._segment_path = lambda: "authentication-key"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                        class MessageDigestKey(Entity):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey, self).__init__()

                                                self.yang_name = "message-digest-key"
                                                self.yang_parent_name = "key-chain"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint8, "id")

                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5()
                                                self.md5.parent = self
                                                self._children_name_map["md5"] = "md5"
                                                self._children_yang_names.add("md5")
                                                self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey, ['id'], name, value)


                                            class Md5(Entity):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**length:** 1..16
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5, self).__init__()

                                                    self.yang_name = "md5"
                                                    self.yang_parent_name = "message-digest-key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                                    self._segment_path = lambda: "md5"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                                    class MessageDigest(Entity):
                                        """
                                        Message\-digest authentication
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest, self).__init__()

                                            self.yang_name = "message-digest"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey)}
                                            self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey)}

                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self._children_name_map["authentication_key"] = "authentication-key"
                                            self._children_yang_names.add("authentication-key")

                                            self.message_digest_key = YList(self)
                                            self._segment_path = lambda: "message-digest"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest, [], name, value)


                                        class AuthenticationKey(Entity):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey, self).__init__()

                                                self.yang_name = "authentication-key"
                                                self.yang_parent_name = "message-digest"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                self.auth_key = YLeaf(YType.str, "auth-key")
                                                self._segment_path = lambda: "authentication-key"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                        class MessageDigestKey(Entity):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey, self).__init__()

                                                self.yang_name = "message-digest-key"
                                                self.yang_parent_name = "message-digest"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint8, "id")

                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5()
                                                self.md5.parent = self
                                                self._children_name_map["md5"] = "md5"
                                                self._children_yang_names.add("md5")
                                                self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey, ['id'], name, value)


                                            class Md5(Entity):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**length:** 1..16
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5, self).__init__()

                                                    self.yang_name = "md5"
                                                    self.yang_parent_name = "message-digest-key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                                    self._segment_path = lambda: "md5"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                                class HelloInterval(Entity):
                                    """
                                    Hello packet interval
                                    
                                    .. attribute:: hello_interval_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.HelloInterval, self).__init__()

                                        self.yang_name = "hello-interval"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hello_interval_value = YLeaf(YType.int32, "hello-interval-value")
                                        self._segment_path = lambda: "hello-interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.HelloInterval, ['hello_interval_value'], name, value)


                                class DeadInterval(Entity):
                                    """
                                    Dead router detection time
                                    
                                    .. attribute:: dead_interval_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.DeadInterval, self).__init__()

                                        self.yang_name = "dead-interval"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dead_interval_value = YLeaf(YType.uint16, "dead-interval-value")
                                        self._segment_path = lambda: "dead-interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.DeadInterval, ['dead_interval_value'], name, value)


                                class RetransmitInterval(Entity):
                                    """
                                    LSA retransmit interval
                                    
                                    .. attribute:: retransmit_interval_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.RetransmitInterval, self).__init__()

                                        self.yang_name = "retransmit-interval"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.retransmit_interval_value = YLeaf(YType.uint16, "retransmit-interval-value")
                                        self._segment_path = lambda: "retransmit-interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.RetransmitInterval, ['retransmit_interval_value'], name, value)


                                class TransmitDelay(Entity):
                                    """
                                    LSA transmission delay
                                    
                                    .. attribute:: transmit_delay_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TransmitDelay, self).__init__()

                                        self.yang_name = "transmit-delay"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.transmit_delay_value = YLeaf(YType.uint16, "transmit-delay-value")
                                        self._segment_path = lambda: "transmit-delay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TransmitDelay, ['transmit_delay_value'], name, value)


                                class Topology(Entity):
                                    """
                                    Disable virtual link on topology
                                    
                                    .. attribute:: disable
                                    
                                    	Disable virtual link
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Topology, self).__init__()

                                        self.yang_name = "topology"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "topology"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.Topology, ['disable'], name, value)


                                class TtlSecurity(Entity):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\: int
                                    
                                    	**range:** 1..254
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TtlSecurity, self).__init__()

                                        self.yang_name = "ttl-security"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hops = YLeaf(YType.uint8, "hops")
                                        self._segment_path = lambda: "ttl-security"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.TtlSecurity, ['hops'], name, value)


                                class AuthenticationKey(Entity):
                                    """
                                    Set authentication key
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.AuthenticationKey, self).__init__()

                                        self.yang_name = "authentication-key"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.auth_type = YLeaf(YType.uint8, "auth-type")

                                        self.auth_key = YLeaf(YType.str, "auth-key")
                                        self._segment_path = lambda: "authentication-key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                class MessageDigestKey(Entity):
                                    """
                                    Set message digest key
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: md5
                                    
                                    	Use MD5 algorithm
                                    	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey.Md5>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey, self).__init__()

                                        self.yang_name = "message-digest-key"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey.Md5)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint8, "id")

                                        self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey.Md5()
                                        self.md5.parent = self
                                        self._children_name_map["md5"] = "md5"
                                        self._children_yang_names.add("md5")
                                        self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey, ['id'], name, value)


                                    class Md5(Entity):
                                        """
                                        Use MD5 algorithm
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**length:** 1..16
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey.Md5, self).__init__()

                                            self.yang_name = "md5"
                                            self.yang_parent_name = "message-digest-key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                                            self.auth_key = YLeaf(YType.str, "auth-key")
                                            self._segment_path = lambda: "md5"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Area.VirtualLink.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                        class AutoCost(Entity):
                            """
                            Calculate OSPF interface cost according to bandwidth
                            
                            .. attribute:: reference_bandwidth
                            
                            	Use reference bandwidth method to assign OSPF cost
                            	**type**\: int
                            
                            	**range:** 1..4294967
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.AutoCost, self).__init__()

                                self.yang_name = "auto-cost"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.reference_bandwidth = YLeaf(YType.uint32, "reference-bandwidth")
                                self._segment_path = lambda: "auto-cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.AutoCost, ['reference_bandwidth'], name, value)


                        class EventLog(Entity):
                            """
                            OSPF Event Logging
                            
                            .. attribute:: one_shot
                            
                            	Disable Logging When Log Buffer Becomes Full
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pause
                            
                            	Pause Event Logging
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: size
                            
                            	Maximum Number of Events Stored in the Event Log
                            	**type**\: int
                            
                            	**range:** 1..65534
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.EventLog, self).__init__()

                                self.yang_name = "event-log"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.one_shot = YLeaf(YType.empty, "one-shot")

                                self.pause = YLeaf(YType.empty, "pause")

                                self.size = YLeaf(YType.uint32, "size")
                                self._segment_path = lambda: "event-log"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.EventLog, ['one_shot', 'pause', 'size'], name, value)


                        class Bfd(Entity):
                            """
                            BFD configuration commands
                            
                            .. attribute:: all_interfaces
                            
                            	Enable BFD on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all_interfaces = YLeaf(YType.empty, "all-interfaces")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Bfd, ['all_interfaces'], name, value)


                        class InterfaceId(Entity):
                            """
                            Source of the interface ID
                            
                            .. attribute:: snmp_if_index
                            
                            	SNMP MIB ifIndex
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.InterfaceId, self).__init__()

                                self.yang_name = "interface-id"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.snmp_if_index = YLeaf(YType.empty, "snmp-if-index")
                                self._segment_path = lambda: "interface-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.InterfaceId, ['snmp_if_index'], name, value)


                        class LogAdjacencyChanges(Entity):
                            """
                            Log changes in adjacency state
                            
                            .. attribute:: detail
                            
                            	Log all state changes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.LogAdjacencyChanges, self).__init__()

                                self.yang_name = "log-adjacency-changes"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.detail = YLeaf(YType.empty, "detail")
                                self._segment_path = lambda: "log-adjacency-changes"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.LogAdjacencyChanges, ['detail'], name, value)


                        class MaxLsa(Entity):
                            """
                            maximum number of LSAs OSPF process will receive
                            
                            .. attribute:: number
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967294
                            
                            .. attribute:: threshold_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: ignore_count
                            
                            	maximum number of times adjacencies can be suppressed
                            	**type**\: int
                            
                            	**range:** 1..65534
                            
                            .. attribute:: ignore_time
                            
                            	time during which all adjacencies are suppressed
                            	**type**\: int
                            
                            	**range:** 1..17895
                            
                            .. attribute:: reset_time
                            
                            	time after which ignore\-count is reset to zero
                            	**type**\: int
                            
                            	**range:** 2..35791
                            
                            .. attribute:: warning_only
                            
                            	Only give warning message when limit is exceeded
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxLsa, self).__init__()

                                self.yang_name = "max-lsa"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.uint32, "number")

                                self.threshold_value = YLeaf(YType.uint32, "threshold-value")

                                self.ignore_count = YLeaf(YType.uint32, "ignore-count")

                                self.ignore_time = YLeaf(YType.uint32, "ignore-time")

                                self.reset_time = YLeaf(YType.uint32, "reset-time")

                                self.warning_only = YLeaf(YType.empty, "warning-only")
                                self._segment_path = lambda: "max-lsa"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxLsa, ['number', 'threshold_value', 'ignore_count', 'ignore_time', 'reset_time', 'warning_only'], name, value)


                        class MaxMetric(Entity):
                            """
                            Set maximum metric
                            
                            .. attribute:: router_lsa
                            
                            	Maximum metric in self\-originated router\-LSAs
                            	**type**\:  :py:class:`RouterLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric, self).__init__()

                                self.yang_name = "max-metric"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"router-lsa" : ("router_lsa", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa)}
                                self._child_list_classes = {}

                                self.router_lsa = None
                                self._children_name_map["router_lsa"] = "router-lsa"
                                self._children_yang_names.add("router-lsa")
                                self._segment_path = lambda: "max-metric"


                            class RouterLsa(Entity):
                                """
                                Maximum metric in self\-originated router\-LSAs
                                
                                .. attribute:: external_lsa
                                
                                	Override external\-lsa metric with max\-metric value
                                	**type**\:  :py:class:`ExternalLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.ExternalLsa>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: include_stub
                                
                                	Set maximum metric for stub links in router\-LSAs
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: on_startup
                                
                                	Set maximum metric temporarily after reboot
                                	**type**\:  :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.OnStartup>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: summary_lsa
                                
                                	Override summary\-lsa metric with max\-metric value
                                	**type**\:  :py:class:`SummaryLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.SummaryLsa>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa, self).__init__()

                                    self.yang_name = "router-lsa"
                                    self.yang_parent_name = "max-metric"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"external-lsa" : ("external_lsa", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.ExternalLsa), "on-startup" : ("on_startup", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.OnStartup), "summary-lsa" : ("summary_lsa", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.SummaryLsa)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_stub = YLeaf(YType.empty, "include-stub")

                                    self.external_lsa = None
                                    self._children_name_map["external_lsa"] = "external-lsa"
                                    self._children_yang_names.add("external-lsa")

                                    self.on_startup = None
                                    self._children_name_map["on_startup"] = "on-startup"
                                    self._children_yang_names.add("on-startup")

                                    self.summary_lsa = None
                                    self._children_name_map["summary_lsa"] = "summary-lsa"
                                    self._children_yang_names.add("summary-lsa")
                                    self._segment_path = lambda: "router-lsa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa, ['include_stub'], name, value)


                                class ExternalLsa(Entity):
                                    """
                                    Override external\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..16777215
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.ExternalLsa, self).__init__()

                                        self.yang_name = "external-lsa"
                                        self.yang_parent_name = "router-lsa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "external-lsa"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.ExternalLsa, ['metric'], name, value)


                                class OnStartup(Entity):
                                    """
                                    Set maximum metric temporarily after reboot
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 5..86400
                                    
                                    .. attribute:: wait_for_bgp
                                    
                                    	Let BGP decide when to originate router\-LSA with normal metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.OnStartup, self).__init__()

                                        self.yang_name = "on-startup"
                                        self.yang_parent_name = "router-lsa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.time = YLeaf(YType.uint32, "time")

                                        self.wait_for_bgp = YLeaf(YType.empty, "wait-for-bgp")
                                        self._segment_path = lambda: "on-startup"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.OnStartup, ['time', 'wait_for_bgp'], name, value)


                                class SummaryLsa(Entity):
                                    """
                                    Override summary\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..16777215
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.SummaryLsa, self).__init__()

                                        self.yang_name = "summary-lsa"
                                        self.yang_parent_name = "router-lsa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "summary-lsa"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.MaxMetric.RouterLsa.SummaryLsa, ['metric'], name, value)


                        class PassiveInterface(Entity):
                            """
                            Suppress routing updates on an interface
                            
                            .. attribute:: default
                            
                            	Suppress routing updates on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.PassiveInterface, self).__init__()

                                self.yang_name = "passive-interface"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.default = YLeaf(YType.empty, "default")

                                self.interface = YLeaf(YType.str, "interface")
                                self._segment_path = lambda: "passive-interface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.PassiveInterface, ['default', 'interface'], name, value)


                        class Disable(Entity):
                            """
                            
                            
                            .. attribute:: passive_interface
                            
                            	
                            	**type**\: list of  		 :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable, self).__init__()

                                self.yang_name = "disable"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"passive-interface" : ("passive_interface", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface)}

                                self.passive_interface = YList(self)
                                self._segment_path = lambda: "disable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable, [], name, value)


                            class PassiveInterface(Entity):
                                """
                                
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface, self).__init__()

                                    self.yang_name = "passive-interface"
                                    self.yang_parent_name = "disable"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "passive-interface" + "[interface='" + self.interface.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface, ['interface'], name, value)


                        class QueueDepth(Entity):
                            """
                            OSPF Hello/Router process queue depth
                            
                            .. attribute:: hello
                            
                            	OSPF Hello process queue depth
                            	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello>`
                            
                            .. attribute:: update
                            
                            	OSPF Router process queue depth
                            	**type**\:  :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth, self).__init__()

                                self.yang_name = "queue-depth"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"hello" : ("hello", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello), "update" : ("update", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update)}
                                self._child_list_classes = {}

                                self.hello = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello()
                                self.hello.parent = self
                                self._children_name_map["hello"] = "hello"
                                self._children_yang_names.add("hello")

                                self.update = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update()
                                self.update.parent = self
                                self._children_name_map["update"] = "update"
                                self._children_yang_names.add("update")
                                self._segment_path = lambda: "queue-depth"


                            class Hello(Entity):
                                """
                                OSPF Hello process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..2147483647
                                
                                		**type**\:  :py:class:`Options <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.Options>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello, self).__init__()

                                    self.yang_name = "hello"
                                    self.yang_parent_name = "queue-depth"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.options = YLeaf(YType.str, "options")
                                    self._segment_path = lambda: "hello"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Hello, ['options'], name, value)

                                class Options(Enum):
                                    """
                                    Options

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = Enum.YLeaf(0, "unlimited")



                            class Update(Entity):
                                """
                                OSPF Router process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..2147483647
                                
                                		**type**\:  :py:class:`Options <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.Options>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update, self).__init__()

                                    self.yang_name = "update"
                                    self.yang_parent_name = "queue-depth"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.options = YLeaf(YType.str, "options")
                                    self._segment_path = lambda: "update"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.QueueDepth.Update, ['options'], name, value)

                                class Options(Enum):
                                    """
                                    Options

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = Enum.YLeaf(0, "unlimited")



                        class Timers(Entity):
                            """
                            Adjust routing timers
                            
                            .. attribute:: lsa
                            
                            	OSPF LSA timers
                            	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Lsa>`
                            
                            .. attribute:: pacing
                            
                            	OSPF pacing timers
                            	**type**\:  :py:class:`Pacing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Pacing>`
                            
                            .. attribute:: throttle
                            
                            	OSPF throttle timers
                            	**type**\:  :py:class:`Throttle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lsa" : ("lsa", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Lsa), "pacing" : ("pacing", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Pacing), "throttle" : ("throttle", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle)}
                                self._child_list_classes = {}

                                self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Lsa()
                                self.lsa.parent = self
                                self._children_name_map["lsa"] = "lsa"
                                self._children_yang_names.add("lsa")

                                self.pacing = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Pacing()
                                self.pacing.parent = self
                                self._children_name_map["pacing"] = "pacing"
                                self._children_yang_names.add("pacing")

                                self.throttle = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle()
                                self.throttle.parent = self
                                self._children_name_map["throttle"] = "throttle"
                                self._children_yang_names.add("throttle")
                                self._segment_path = lambda: "timers"


                            class Lsa(Entity):
                                """
                                OSPF LSA timers
                                
                                .. attribute:: arrival
                                
                                	OSPF LSA arrival timer
                                	**type**\: int
                                
                                	**range:** 0..600000
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Lsa, self).__init__()

                                    self.yang_name = "lsa"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.arrival = YLeaf(YType.uint32, "arrival")
                                    self._segment_path = lambda: "lsa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Lsa, ['arrival'], name, value)


                            class Pacing(Entity):
                                """
                                OSPF pacing timers
                                
                                .. attribute:: flood
                                
                                	OSPF flood pacing timer
                                	**type**\: int
                                
                                	**range:** 5..100
                                
                                .. attribute:: lsa_group
                                
                                	OSPF LSA group pacing timer
                                	**type**\: int
                                
                                	**range:** 10..1800
                                
                                .. attribute:: retransmission
                                
                                	OSPF retransmission pacing timer
                                	**type**\: int
                                
                                	**range:** 5..200
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Pacing, self).__init__()

                                    self.yang_name = "pacing"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.flood = YLeaf(YType.uint32, "flood")

                                    self.lsa_group = YLeaf(YType.uint32, "lsa-group")

                                    self.retransmission = YLeaf(YType.uint32, "retransmission")
                                    self._segment_path = lambda: "pacing"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Pacing, ['flood', 'lsa_group', 'retransmission'], name, value)


                            class Throttle(Entity):
                                """
                                OSPF throttle timers
                                
                                .. attribute:: lsa
                                
                                	OSPF LSA throttle timers
                                	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa>`
                                
                                .. attribute:: spf
                                
                                	OSPF SPF throttle timers
                                	**type**\:  :py:class:`Spf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Spf>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle, self).__init__()

                                    self.yang_name = "throttle"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lsa" : ("lsa", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa), "spf" : ("spf", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Spf)}
                                    self._child_list_classes = {}

                                    self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa()
                                    self.lsa.parent = self
                                    self._children_name_map["lsa"] = "lsa"
                                    self._children_yang_names.add("lsa")

                                    self.spf = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Spf()
                                    self.spf.parent = self
                                    self._children_name_map["spf"] = "spf"
                                    self._children_yang_names.add("spf")
                                    self._segment_path = lambda: "throttle"


                                class Lsa(Entity):
                                    """
                                    OSPF LSA throttle timers
                                    
                                    .. attribute:: all
                                    
                                    	For all type of OSPF LSAs
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa.All>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa, self).__init__()

                                        self.yang_name = "lsa"
                                        self.yang_parent_name = "throttle"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa.All)}
                                        self._child_list_classes = {}

                                        self.all = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa.All()
                                        self.all.parent = self
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")
                                        self._segment_path = lambda: "lsa"


                                    class All(Entity):
                                        """
                                        For all type of OSPF LSAs
                                        
                                        .. attribute:: delay
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: min_delay
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: max_delay
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..600000
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "lsa"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.delay = YLeaf(YType.uint32, "delay")

                                            self.min_delay = YLeaf(YType.uint32, "min-delay")

                                            self.max_delay = YLeaf(YType.uint32, "max-delay")
                                            self._segment_path = lambda: "all"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Lsa.All, ['delay', 'min_delay', 'max_delay'], name, value)


                                class Spf(Entity):
                                    """
                                    OSPF SPF throttle timers
                                    
                                    .. attribute:: delay
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: min_delay
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: max_delay
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..600000
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Spf, self).__init__()

                                        self.yang_name = "spf"
                                        self.yang_parent_name = "throttle"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.delay = YLeaf(YType.uint32, "delay")

                                        self.min_delay = YLeaf(YType.uint32, "min-delay")

                                        self.max_delay = YLeaf(YType.uint32, "max-delay")
                                        self._segment_path = lambda: "spf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Timers.Throttle.Spf, ['delay', 'min_delay', 'max_delay'], name, value)


                        class TrafficShare(Entity):
                            """
                            How to compute traffic share over alternate paths
                            
                            .. attribute:: min
                            
                            	All traffic shared among min metric paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: across_interfaces
                            
                            	Use different interfaces for equal\-cost paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TrafficShare, self).__init__()

                                self.yang_name = "traffic-share"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.empty, "min")

                                self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                                self._segment_path = lambda: "traffic-share"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TrafficShare, ['min', 'across_interfaces'], name, value)


                        class TtlSecurity(Entity):
                            """
                            TTL security check
                            
                            .. attribute:: all_interfaces
                            
                            	Enable TTL Security on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: hops
                            
                            	IP hops
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TtlSecurity, self).__init__()

                                self.yang_name = "ttl-security"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

                                self.hops = YLeaf(YType.uint8, "hops")
                                self._segment_path = lambda: "ttl-security"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.TtlSecurity, ['all_interfaces', 'hops'], name, value)


                        class Capability(Entity):
                            """
                            Enable specific OSPF feature
                            
                            .. attribute:: capability_type
                            
                            	
                            	**type**\:  :py:class:`CapabilityType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability.CapabilityType>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability, self).__init__()

                                self.yang_name = "capability"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.capability_type = YLeaf(YType.enumeration, "capability-type")
                                self._segment_path = lambda: "capability"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Capability, ['capability_type'], name, value)

                            class CapabilityType(Enum):
                                """
                                CapabilityType

                                .. data:: lls = 0

                                .. data:: opaque = 1

                                .. data:: transit = 2

                                .. data:: vrf_lite = 3

                                """

                                lls = Enum.YLeaf(0, "lls")

                                opaque = Enum.YLeaf(1, "opaque")

                                transit = Enum.YLeaf(2, "transit")

                                vrf_lite = Enum.YLeaf(3, "vrf-lite")



                        class Compatible(Entity):
                            """
                            OSPF compatibility list
                            
                            .. attribute:: rfc1583
                            
                            	Compatible with RFC 1583
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc1587
                            
                            	Compatible with RFC 1587
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc5243
                            
                            	Compatible with RFC 5243
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Compatible, self).__init__()

                                self.yang_name = "compatible"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rfc1583 = YLeaf(YType.empty, "rfc1583")

                                self.rfc1587 = YLeaf(YType.empty, "rfc1587")

                                self.rfc5243 = YLeaf(YType.empty, "rfc5243")
                                self._segment_path = lambda: "compatible"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Compatible, ['rfc1583', 'rfc1587', 'rfc5243'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"originate" : ("originate", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate)}
                                self._child_list_classes = {}

                                self.originate = None
                                self._children_name_map["originate"] = "originate"
                                self._children_yang_names.add("originate")
                                self._segment_path = lambda: "default-information"


                            class Originate(Entity):
                                """
                                Distribute a default route
                                
                                .. attribute:: always
                                
                                	Always advertise default route
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	OSPF default metric
                                	**type**\: int
                                
                                	**range:** 0..16777214
                                
                                .. attribute:: metric_type
                                
                                	OSPF metric type for default routes
                                	**type**\: int
                                
                                	**range:** 1..2
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate, self).__init__()

                                    self.yang_name = "originate"
                                    self.yang_parent_name = "default-information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.always = YLeaf(YType.empty, "always")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.uint32, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate, ['always', 'metric', 'metric_type', 'route_map'], name, value)


                        class DiscardRoute(Entity):
                            """
                            Enable or disable discard\-route installation
                            
                            .. attribute:: external
                            
                            	Discard route for redistributed summarised routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: internal
                            
                            	Discard route for summarised internal routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DiscardRoute, self).__init__()

                                self.yang_name = "discard-route"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.external = YLeaf(YType.empty, "external")

                                self.internal = YLeaf(YType.empty, "internal")

                                self.metric = YLeaf(YType.uint32, "metric")
                                self._segment_path = lambda: "discard-route"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.DiscardRoute, ['external', 'internal', 'metric'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: ospf_distance
                            
                            	
                            	**type**\:  :py:class:`OspfDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.OspfDistance>`
                            
                            .. attribute:: ospf
                            
                            	OSPF routes Administrative distance
                            	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.Ospf>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ospf-distance" : ("ospf_distance", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.OspfDistance), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.Ospf)}
                                self._child_list_classes = {}

                                self.ospf_distance = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.OspfDistance()
                                self.ospf_distance.parent = self
                                self._children_name_map["ospf_distance"] = "ospf-distance"
                                self._children_yang_names.add("ospf-distance")

                                self.ospf = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.Ospf()
                                self.ospf.parent = self
                                self._children_name_map["ospf"] = "ospf"
                                self._children_yang_names.add("ospf")
                                self._segment_path = lambda: "distance"


                            class OspfDistance(Entity):
                                """
                                
                                
                                .. attribute:: distance
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildcard
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: int
                                
                                			**range:** 1300..1999
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.OspfDistance, self).__init__()

                                    self.yang_name = "ospf-distance"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.distance = YLeaf(YType.uint32, "distance")

                                    self.ip = YLeaf(YType.str, "ip")

                                    self.wildcard = YLeaf(YType.str, "wildcard")

                                    self.acl_name = YLeaf(YType.str, "acl-name")
                                    self._segment_path = lambda: "ospf-distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.OspfDistance, ['distance', 'ip', 'wildcard', 'acl_name'], name, value)


                            class Ospf(Entity):
                                """
                                OSPF routes Administrative distance
                                
                                .. attribute:: external
                                
                                	External routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: inter_area
                                
                                	Inter\-area routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: intra_area
                                
                                	Intra\-area routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.external = YLeaf(YType.uint32, "external")

                                    self.inter_area = YLeaf(YType.uint32, "inter-area")

                                    self.intra_area = YLeaf(YType.uint32, "intra-area")
                                    self._segment_path = lambda: "ospf"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Distance.Ospf, ['external', 'inter_area', 'intra_area'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes redistributed to protocol
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix>`
                            
                            .. attribute:: vrf
                            
                            	Specify a source VRF
                            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"connected" : ("connected", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected), "isis" : ("isis", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp), "mobile" : ("mobile", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile), "odr" : ("odr", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr), "static" : ("static", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static), "maximum-prefix" : ("maximum_prefix", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix), "vrf" : ("vrf", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf)}
                                self._child_list_classes = {"application" : ("application", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application), "bgp" : ("bgp", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp), "eigrp" : ("eigrp", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3), "rip" : ("rip", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip)}

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.isis = None
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.iso_igrp = None
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp()
                                self.lisp.parent = self
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.maximum_prefix = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.vrf = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf()
                                self.vrf.parent = self
                                self._children_name_map["vrf"] = "vrf"
                                self._children_yang_names.add("vrf")

                                self.application = YList(self)
                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.ospf = YList(self)
                                self.ospfv3 = YList(self)
                                self.rip = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute, [], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application, ['name'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "application"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.str, "as-number")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp, ['as_number'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "connected"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.str, "as-number")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp, ['as_number'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisLevelRoutes>`
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions)}
                                    self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea)}
                                    self.is_presence_container = True

                                    self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")

                                    self.isis_area = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis, ['isis_level_routes'], name, value)

                                class IsisLevelRoutes(Enum):
                                    """
                                    IsisLevelRoutes

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")

                                    level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class IsisArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: isis_level_routes
                                    
                                    	
                                    	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.IsisLevelRoutes>`
                                    
                                    .. attribute:: redist_options
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea, self).__init__()

                                        self.yang_name = "isis-area"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                        self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions()
                                        self.redist_options.parent = self
                                        self._children_name_map["redist_options"] = "redist-options"
                                        self._children_yang_names.add("redist-options")
                                        self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                    class IsisLevelRoutes(Enum):
                                        """
                                        IsisLevelRoutes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class RedistOptions(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions.MetricType>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions, self).__init__()

                                            self.yang_name = "redist-options"
                                            self.yang_parent_name = "isis-area"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                            self._segment_path = lambda: "redist-options"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: area_tag_route_map_container
                                
                                	
                                	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: iso_igrp_container
                                
                                	
                                	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                                    self.area_tag_route_map_container.parent = self
                                    self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                    self._children_yang_names.add("area-tag-route-map-container")

                                    self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer()
                                    self.iso_igrp_container.parent = self
                                    self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                    self._children_yang_names.add("iso-igrp-container")
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp, ['route_map'], name, value)


                                class AreaTagRouteMapContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: area_tag
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                        self.yang_name = "area-tag-route-map-container"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.area_tag = YLeaf(YType.str, "area-tag")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "area-tag-route-map-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                                class IsoIgrpContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer, self).__init__()

                                        self.yang_name = "iso-igrp-container"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")
                                        self._segment_path = lambda: "iso-igrp-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Lisp(Entity):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "lisp"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "lisp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "mobile"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "mobile"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "odr"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "odr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.MetricType>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.vrf = YLeaf(YType.str, "vrf")

                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                                class Match(Entity):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal)}
                                        self._child_list_classes = {}

                                        self.internal = None
                                        self._children_name_map["internal"] = "internal"
                                        self._children_yang_names.add("internal")

                                        self.external = None
                                        self._children_name_map["external"] = "external"
                                        self._children_yang_names.add("external")

                                        self.nssa_external = None
                                        self._children_name_map["nssa_external"] = "nssa-external"
                                        self._children_yang_names.add("nssa-external")
                                        self._segment_path = lambda: "match"


                                    class Internal(Entity):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal, self).__init__()

                                            self.yang_name = "internal"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "internal"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class External(Entity):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External, self).__init__()

                                            self.yang_name = "external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class NssaExternal(Entity):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                            self.yang_name = "nssa-external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "nssa-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.MetricType>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")
                                    self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                                class Match(Entity):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.NssaExternal)}
                                        self._child_list_classes = {}

                                        self.internal = None
                                        self._children_name_map["internal"] = "internal"
                                        self._children_yang_names.add("internal")

                                        self.external = None
                                        self._children_name_map["external"] = "external"
                                        self._children_yang_names.add("external")

                                        self.nssa_external = None
                                        self._children_name_map["nssa_external"] = "nssa-external"
                                        self._children_yang_names.add("nssa-external")
                                        self._segment_path = lambda: "match"


                                    class Internal(Entity):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.Internal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.Internal, self).__init__()

                                            self.yang_name = "internal"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "internal"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class External(Entity):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.External.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.External, self).__init__()

                                            self.yang_name = "external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class NssaExternal(Entity):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.NssaExternal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.NssaExternal, self).__init__()

                                            self.yang_name = "nssa-external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "nssa-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: id  <key>
                                
                                	User selected string identifying this rip process
                                	**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip, ['id'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "static"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes redistributed to protocol
                                
                                .. attribute:: number
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: threshold_warning_only_container
                                
                                	
                                	**type**\:  :py:class:`ThresholdWarningOnlyContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"threshold-warning-only-container" : ("threshold_warning_only_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer)}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.uint32, "number")

                                    self.threshold_warning_only_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer()
                                    self.threshold_warning_only_container.parent = self
                                    self._children_name_map["threshold_warning_only_container"] = "threshold-warning-only-container"
                                    self._children_yang_names.add("threshold-warning-only-container")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix, ['number'], name, value)


                                class ThresholdWarningOnlyContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer, self).__init__()

                                        self.yang_name = "threshold-warning-only-container"
                                        self.yang_parent_name = "maximum-prefix"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.threshold = YLeaf(YType.uint32, "threshold")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")
                                        self._segment_path = lambda: "threshold-warning-only-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer, ['threshold', 'warning_only'], name, value)


                            class Vrf(Entity):
                                """
                                Specify a source VRF
                                
                                .. attribute:: non_global_vrf
                                
                                	
                                	**type**\: list of  		 :py:class:`NonGlobalVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf>`
                                
                                .. attribute:: global_
                                
                                	global VRF
                                	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf, self).__init__()

                                    self.yang_name = "vrf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"global" : ("global_", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_)}
                                    self._child_list_classes = {"non-global-vrf" : ("non_global_vrf", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf)}

                                    self.global_ = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_()
                                    self.global_.parent = self
                                    self._children_name_map["global_"] = "global"
                                    self._children_yang_names.add("global")

                                    self.non_global_vrf = YList(self)
                                    self._segment_path = lambda: "vrf"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf, [], name, value)


                                class NonGlobalVrf(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf, self).__init__()

                                        self.yang_name = "non-global-vrf"
                                        self.yang_parent_name = "vrf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected), "isis" : ("isis", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp), "mobile" : ("mobile", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile), "odr" : ("odr", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr), "static" : ("static", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static)}
                                        self._child_list_classes = {"application" : ("application", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application), "bgp" : ("bgp", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp), "eigrp" : ("eigrp", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3), "rip" : ("rip", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip)}

                                        self.name = YLeaf(YType.str, "name")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = None
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.iso_igrp = None
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp()
                                        self.lisp.parent = self
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.application = YList(self)
                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self.rip = YList(self)
                                        self._segment_path = lambda: "non-global-vrf" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf, ['name'], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application, ['name'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "connected"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutes>`
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea)}
                                            self.is_presence_container = True

                                            self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis, ['isis_level_routes'], name, value)

                                        class IsisLevelRoutes(Enum):
                                            """
                                            IsisLevelRoutes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutes>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self
                                                self._children_name_map["redist_options"] = "redist-options"
                                                self._children_yang_names.add("redist-options")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                            class IsisLevelRoutes(Enum):
                                                """
                                                IsisLevelRoutes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                            class RedistOptions(Entity):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricType>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions, self).__init__()

                                                    self.yang_name = "redist-options"
                                                    self.yang_parent_name = "isis-area"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.tag = YLeaf(YType.uint32, "tag")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                    self._segment_path = lambda: "redist-options"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                            self._children_yang_names.add("area-tag-route-map-container")

                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                            self._children_yang_names.add("iso-igrp-container")
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp, ['route_map'], name, value)


                                        class AreaTagRouteMapContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                                self.yang_name = "area-tag-route-map-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.area_tag = YLeaf(YType.str, "area-tag")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "area-tag-route-map-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                                        class IsoIgrpContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer, self).__init__()

                                                self.yang_name = "iso-igrp-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")
                                                self._segment_path = lambda: "iso-igrp-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Lisp(Entity):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "lisp"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "lisp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "mobile"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "mobile"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "odr"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "odr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.vrf = YLeaf(YType.str, "vrf")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip, ['id'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "static"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                class Global_(Entity):
                                    """
                                    global VRF
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_, self).__init__()

                                        self.yang_name = "global"
                                        self.yang_parent_name = "vrf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected), "isis" : ("isis", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp), "mobile" : ("mobile", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile), "odr" : ("odr", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr), "static" : ("static", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static)}
                                        self._child_list_classes = {"application" : ("application", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application), "bgp" : ("bgp", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp), "eigrp" : ("eigrp", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3), "rip" : ("rip", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip)}

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = None
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.iso_igrp = None
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp()
                                        self.lisp.parent = self
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.application = YList(self)
                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self.rip = YList(self)
                                        self._segment_path = lambda: "global"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application, ['name'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "connected"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisLevelRoutes>`
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea)}
                                            self.is_presence_container = True

                                            self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis, ['isis_level_routes'], name, value)

                                        class IsisLevelRoutes(Enum):
                                            """
                                            IsisLevelRoutes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutes>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self
                                                self._children_name_map["redist_options"] = "redist-options"
                                                self._children_yang_names.add("redist-options")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                            class IsisLevelRoutes(Enum):
                                                """
                                                IsisLevelRoutes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                            class RedistOptions(Entity):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricType>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions, self).__init__()

                                                    self.yang_name = "redist-options"
                                                    self.yang_parent_name = "isis-area"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.tag = YLeaf(YType.uint32, "tag")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                    self._segment_path = lambda: "redist-options"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                            self._children_yang_names.add("area-tag-route-map-container")

                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                            self._children_yang_names.add("iso-igrp-container")
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp, ['route_map'], name, value)


                                        class AreaTagRouteMapContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                                self.yang_name = "area-tag-route-map-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.area_tag = YLeaf(YType.str, "area-tag")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "area-tag-route-map-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                                        class IsoIgrpContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer, self).__init__()

                                                self.yang_name = "iso-igrp-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")
                                                self._segment_path = lambda: "iso-igrp-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Lisp(Entity):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "lisp"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "lisp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "mobile"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "mobile"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "odr"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "odr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.vrf = YLeaf(YType.str, "vrf")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip, ['id'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "static"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                        class Authentication(Entity):
                            """
                            Authentication parameters
                            
                            .. attribute:: mode
                            
                            	Authentication operation mode
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication.Mode>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.mode = YLeaf(YType.enumeration, "mode")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Authentication, ['mode'], name, value)

                            class Mode(Enum):
                                """
                                Mode

                                Authentication operation mode

                                .. data:: deployment = 0

                                .. data:: normal = 1

                                .. data:: strict = 2

                                """

                                deployment = Enum.YLeaf(0, "deployment")

                                normal = Enum.YLeaf(1, "normal")

                                strict = Enum.YLeaf(2, "strict")



                        class GracefulRestart(Entity):
                            """
                            Graceful\-restart options
                            
                            .. attribute:: disable
                            
                            	Graceful restart disable
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: helper
                            
                            	helper support
                            	**type**\:  :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart.Helper>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: restart_interval
                            
                            	Graceful restart interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart, self).__init__()

                                self.yang_name = "graceful-restart"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"helper" : ("helper", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart.Helper)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.restart_interval = YLeaf(YType.uint16, "restart-interval")

                                self.helper = None
                                self._children_name_map["helper"] = "helper"
                                self._children_yang_names.add("helper")
                                self._segment_path = lambda: "graceful-restart"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart, ['disable', 'restart_interval'], name, value)


                            class Helper(Entity):
                                """
                                helper support
                                
                                .. attribute:: disable
                                
                                	disable helper support
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: strict_lsa_checking
                                
                                	enable helper strict LSA checking
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart.Helper, self).__init__()

                                    self.yang_name = "helper"
                                    self.yang_parent_name = "graceful-restart"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")

                                    self.strict_lsa_checking = YLeaf(YType.empty, "strict-lsa-checking")
                                    self._segment_path = lambda: "helper"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.GracefulRestart.Helper, ['disable', 'strict_lsa_checking'], name, value)


                        class Manet(Entity):
                            """
                            Specify MANET OSPF parameters
                            
                            .. attribute:: cache
                            
                            	Specify MANET cache sizes
                            	**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Cache>`
                            
                            .. attribute:: hello
                            
                            	Unicast Hellos rather than multicast
                            	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Hello>`
                            
                            .. attribute:: peering
                            
                            	MANET OSPF Smart Peering
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering>`
                            
                            .. attribute:: willingness
                            
                            	Specify Relay willingness value
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cache" : ("cache", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Cache), "peering" : ("peering", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering)}
                                self._child_list_classes = {}

                                self.hello = YLeaf(YType.enumeration, "hello")

                                self.willingness = YLeaf(YType.uint8, "willingness")

                                self.cache = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Cache()
                                self.cache.parent = self
                                self._children_name_map["cache"] = "cache"
                                self._children_yang_names.add("cache")

                                self.peering = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet, ['hello', 'willingness'], name, value)

                            class Hello(Enum):
                                """
                                Hello

                                Unicast Hellos rather than multicast

                                .. data:: unicast = 0

                                .. data:: multicast = 1

                                """

                                unicast = Enum.YLeaf(0, "unicast")

                                multicast = Enum.YLeaf(1, "multicast")



                            class Cache(Entity):
                                """
                                Specify MANET cache sizes
                                
                                .. attribute:: acknowledgement
                                
                                	Specify MANET acknowledgement cache size
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: update
                                
                                	Specify MANET LSA cache size
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Cache, self).__init__()

                                    self.yang_name = "cache"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.acknowledgement = YLeaf(YType.uint64, "acknowledgement")

                                    self.update = YLeaf(YType.uint64, "update")
                                    self._segment_path = lambda: "cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Cache, ['acknowledgement', 'update'], name, value)


                            class Peering(Entity):
                                """
                                MANET OSPF Smart Peering
                                
                                .. attribute:: selective
                                
                                	Enable selective peering
                                	**type**\:  :py:class:`Selective <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering.Selective>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"selective" : ("selective", Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering.Selective)}
                                    self._child_list_classes = {}

                                    self.selective = Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering.Selective()
                                    self.selective.parent = self
                                    self._children_name_map["selective"] = "selective"
                                    self._children_yang_names.add("selective")
                                    self._segment_path = lambda: "peering"


                                class Selective(Entity):
                                    """
                                    Enable selective peering
                                    
                                    .. attribute:: disable
                                    
                                    	Disable selective peering
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: per_interface
                                    
                                    	Select peers per interface rather than per node
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: redundancy
                                    
                                    	Redundant paths
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering.Selective, self).__init__()

                                        self.yang_name = "selective"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.disable = YLeaf(YType.empty, "disable")

                                        self.per_interface = YLeaf(YType.empty, "per-interface")

                                        self.redundancy = YLeaf(YType.uint8, "redundancy")
                                        self._segment_path = lambda: "selective"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.Manet.Peering.Selective, ['disable', 'per_interface', 'redundancy'], name, value)


                        class SummaryPrefix(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            .. attribute:: nssa_only
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: not_advertise
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.SummaryPrefix, self).__init__()

                                self.yang_name = "summary-prefix"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.tag = YLeaf(YType.uint32, "tag")

                                self.not_advertise = YLeaf(YType.empty, "not-advertise")
                                self._segment_path = lambda: "summary-prefix" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Unicast.SummaryPrefix, ['prefix', 'nssa_only', 'tag', 'not_advertise'], name, value)


                    class Vrf(Entity):
                        """
                        Specify parameters for a VPN Routing/Forwarding instance
                        
                        .. attribute:: vrf  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: area
                        
                        	OSPF area parameters
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area>`
                        
                        .. attribute:: auto_cost
                        
                        	Calculate OSPF interface cost according to bandwidth
                        	**type**\:  :py:class:`AutoCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.AutoCost>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: event_log
                        
                        	OSPF Event Logging
                        	**type**\:  :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.EventLog>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bfd
                        
                        	BFD configuration commands
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Bfd>`
                        
                        .. attribute:: interface_id
                        
                        	Source of the interface ID
                        	**type**\:  :py:class:`InterfaceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.InterfaceId>`
                        
                        .. attribute:: log_adjacency_changes
                        
                        	Log changes in adjacency state
                        	**type**\:  :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.LogAdjacencyChanges>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: max_lsa
                        
                        	maximum number of LSAs OSPF process will receive
                        	**type**\:  :py:class:`MaxLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxLsa>`
                        
                        .. attribute:: max_metric
                        
                        	Set maximum metric
                        	**type**\:  :py:class:`MaxMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric>`
                        
                        .. attribute:: passive_interface
                        
                        	Suppress routing updates on an interface
                        	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.PassiveInterface>`
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable>`
                        
                        .. attribute:: queue_depth
                        
                        	OSPF Hello/Router process queue depth
                        	**type**\:  :py:class:`QueueDepth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth>`
                        
                        .. attribute:: timers
                        
                        	Adjust routing timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers>`
                        
                        .. attribute:: router_id
                        
                        	Override configured router identifier (peers will reset)
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nsr
                        
                        	Enable non\-stop routing
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_share
                        
                        	How to compute traffic share over alternate paths
                        	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TrafficShare>`
                        
                        .. attribute:: ttl_security
                        
                        	TTL security check
                        	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TtlSecurity>`
                        
                        .. attribute:: capability
                        
                        	Enable specific OSPF feature
                        	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability>`
                        
                        .. attribute:: compatible
                        
                        	OSPF compatibility list
                        	**type**\:  :py:class:`Compatible <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Compatible>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: discard_route
                        
                        	Enable or disable discard\-route installation
                        	**type**\:  :py:class:`DiscardRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DiscardRoute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute>`
                        
                        .. attribute:: authentication
                        
                        	Authentication parameters
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication>`
                        
                        .. attribute:: graceful_restart
                        
                        	Graceful\-restart options
                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF parameters
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet>`
                        
                        .. attribute:: summary_prefix
                        
                        	
                        	**type**\: list of  		 :py:class:`SummaryPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.SummaryPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"auto-cost" : ("auto_cost", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.AutoCost), "event-log" : ("event_log", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.EventLog), "bfd" : ("bfd", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Bfd), "interface-id" : ("interface_id", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.InterfaceId), "log-adjacency-changes" : ("log_adjacency_changes", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.LogAdjacencyChanges), "max-lsa" : ("max_lsa", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxLsa), "max-metric" : ("max_metric", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric), "passive-interface" : ("passive_interface", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.PassiveInterface), "disable" : ("disable", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable), "queue-depth" : ("queue_depth", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth), "timers" : ("timers", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers), "traffic-share" : ("traffic_share", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TrafficShare), "ttl-security" : ("ttl_security", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TtlSecurity), "capability" : ("capability", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability), "compatible" : ("compatible", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Compatible), "default-information" : ("default_information", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation), "discard-route" : ("discard_route", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DiscardRoute), "distance" : ("distance", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance), "redistribute" : ("redistribute", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute), "authentication" : ("authentication", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication), "graceful-restart" : ("graceful_restart", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart), "manet" : ("manet", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet)}
                            self._child_list_classes = {"area" : ("area", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area), "summary-prefix" : ("summary_prefix", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.SummaryPrefix)}

                            self.vrf = YLeaf(YType.str, "vrf")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.router_id = YLeaf(YType.str, "router-id")

                            self.nsr = YLeaf(YType.empty, "nsr")

                            self.default_metric = YLeaf(YType.uint32, "default-metric")

                            self.maximum_paths = YLeaf(YType.uint32, "maximum-paths")

                            self.auto_cost = None
                            self._children_name_map["auto_cost"] = "auto-cost"
                            self._children_yang_names.add("auto-cost")

                            self.event_log = None
                            self._children_name_map["event_log"] = "event-log"
                            self._children_yang_names.add("event-log")

                            self.bfd = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Bfd()
                            self.bfd.parent = self
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.interface_id = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.InterfaceId()
                            self.interface_id.parent = self
                            self._children_name_map["interface_id"] = "interface-id"
                            self._children_yang_names.add("interface-id")

                            self.log_adjacency_changes = None
                            self._children_name_map["log_adjacency_changes"] = "log-adjacency-changes"
                            self._children_yang_names.add("log-adjacency-changes")

                            self.max_lsa = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxLsa()
                            self.max_lsa.parent = self
                            self._children_name_map["max_lsa"] = "max-lsa"
                            self._children_yang_names.add("max-lsa")

                            self.max_metric = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric()
                            self.max_metric.parent = self
                            self._children_name_map["max_metric"] = "max-metric"
                            self._children_yang_names.add("max-metric")

                            self.passive_interface = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.PassiveInterface()
                            self.passive_interface.parent = self
                            self._children_name_map["passive_interface"] = "passive-interface"
                            self._children_yang_names.add("passive-interface")

                            self.disable = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable()
                            self.disable.parent = self
                            self._children_name_map["disable"] = "disable"
                            self._children_yang_names.add("disable")

                            self.queue_depth = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth()
                            self.queue_depth.parent = self
                            self._children_name_map["queue_depth"] = "queue-depth"
                            self._children_yang_names.add("queue-depth")

                            self.timers = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")

                            self.traffic_share = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TrafficShare()
                            self.traffic_share.parent = self
                            self._children_name_map["traffic_share"] = "traffic-share"
                            self._children_yang_names.add("traffic-share")

                            self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TtlSecurity()
                            self.ttl_security.parent = self
                            self._children_name_map["ttl_security"] = "ttl-security"
                            self._children_yang_names.add("ttl-security")

                            self.capability = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability()
                            self.capability.parent = self
                            self._children_name_map["capability"] = "capability"
                            self._children_yang_names.add("capability")

                            self.compatible = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Compatible()
                            self.compatible.parent = self
                            self._children_name_map["compatible"] = "compatible"
                            self._children_yang_names.add("compatible")

                            self.default_information = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.discard_route = None
                            self._children_name_map["discard_route"] = "discard-route"
                            self._children_yang_names.add("discard-route")

                            self.distance = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.redistribute = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.graceful_restart = None
                            self._children_name_map["graceful_restart"] = "graceful-restart"
                            self._children_yang_names.add("graceful-restart")

                            self.manet = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.area = YList(self)
                            self.summary_prefix = YList(self)
                            self._segment_path = lambda: "vrf" + "[vrf='" + self.vrf.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf, ['vrf', 'unicast', 'router_id', 'nsr', 'default_metric', 'maximum_paths'], name, value)


                        class Area(Entity):
                            """
                            OSPF area parameters
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: authentication
                            
                            	Enable authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Authentication>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Enable area specific capability
                            	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Capability>`
                            
                            .. attribute:: default_cost
                            
                            	Set the summary default\-cost of a NSSA/stub area
                            	**type**\: int
                            
                            	**range:** 0..16777215
                            
                            .. attribute:: filter_list
                            
                            	Filter networks between OSPF areas
                            	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList>`
                            
                            .. attribute:: nssa
                            
                            	Specify a NSSA area
                            	**type**\:  :py:class:`Nssa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv4_range
                            
                            	
                            	**type**\:  :py:class:`Ipv4Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range>`
                            
                            .. attribute:: ipv6_range
                            
                            	
                            	**type**\:  :py:class:`Ipv6Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range>`
                            
                            .. attribute:: sham_link
                            
                            	Define a sham link and its parameters
                            	**type**\: list of  		 :py:class:`ShamLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink>`
                            
                            .. attribute:: stub
                            
                            	Specify a stub area
                            	**type**\:  :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Stub>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: virtual_link
                            
                            	Define a virtual link and its parameters
                            	**type**\: list of  		 :py:class:`VirtualLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Authentication), "capability" : ("capability", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Capability), "nssa" : ("nssa", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa), "ipv4-range" : ("ipv4_range", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range), "ipv6-range" : ("ipv6_range", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range), "stub" : ("stub", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Stub)}
                                self._child_list_classes = {"filter-list" : ("filter_list", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList), "sham-link" : ("sham_link", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink), "virtual-link" : ("virtual_link", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink)}

                                self.id = YLeaf(YType.str, "id")

                                self.default_cost = YLeaf(YType.uint32, "default-cost")

                                self.authentication = None
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")

                                self.capability = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Capability()
                                self.capability.parent = self
                                self._children_name_map["capability"] = "capability"
                                self._children_yang_names.add("capability")

                                self.nssa = None
                                self._children_name_map["nssa"] = "nssa"
                                self._children_yang_names.add("nssa")

                                self.ipv4_range = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range()
                                self.ipv4_range.parent = self
                                self._children_name_map["ipv4_range"] = "ipv4-range"
                                self._children_yang_names.add("ipv4-range")

                                self.ipv6_range = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range()
                                self.ipv6_range.parent = self
                                self._children_name_map["ipv6_range"] = "ipv6-range"
                                self._children_yang_names.add("ipv6-range")

                                self.stub = None
                                self._children_name_map["stub"] = "stub"
                                self._children_yang_names.add("stub")

                                self.filter_list = YList(self)
                                self.sham_link = YList(self)
                                self.virtual_link = YList(self)
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area, ['id', 'default_cost'], name, value)


                            class Authentication(Entity):
                                """
                                Enable authentication
                                
                                .. attribute:: message_digest
                                
                                	Use message\-digest authentication
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.message_digest = YLeaf(YType.empty, "message-digest")
                                    self._segment_path = lambda: "authentication"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Authentication, ['message_digest'], name, value)


                            class Capability(Entity):
                                """
                                Enable area specific capability
                                
                                .. attribute:: default_exclusion
                                
                                	Enable exclusion of links from base topology
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Capability, self).__init__()

                                    self.yang_name = "capability"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.default_exclusion = YLeaf(YType.empty, "default-exclusion")
                                    self._segment_path = lambda: "capability"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Capability, ['default_exclusion'], name, value)


                            class FilterList(Entity):
                                """
                                Filter networks between OSPF areas
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:  :py:class:`InOut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList.InOut>`
                                
                                .. attribute:: prefix
                                
                                	Filter prefixes between OSPF areas
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList, self).__init__()

                                    self.yang_name = "filter-list"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_out = YLeaf(YType.enumeration, "in-out")

                                    self.prefix = YLeaf(YType.str, "prefix")
                                    self._segment_path = lambda: "filter-list" + "[in-out='" + self.in_out.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.FilterList, ['in_out', 'prefix'], name, value)

                                class InOut(Enum):
                                    """
                                    InOut

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class Nssa(Entity):
                                """
                                Specify a NSSA area
                                
                                .. attribute:: default_information_originate
                                
                                	Originate Type 7 default into NSSA area
                                	**type**\:  :py:class:`DefaultInformationOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into NSSA
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_redistribution
                                
                                	No redistribution into this NSSA area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into NSSA
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit default advertisement to this NSSA area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: translate
                                
                                	Translate LSA
                                	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa, self).__init__()

                                    self.yang_name = "nssa"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default-information-originate" : ("default_information_originate", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate), "translate" : ("translate", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                                    self.no_redistribution = YLeaf(YType.empty, "no-redistribution")

                                    self.no_summary = YLeaf(YType.empty, "no-summary")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                    self.default_information_originate = None
                                    self._children_name_map["default_information_originate"] = "default-information-originate"
                                    self._children_yang_names.add("default-information-originate")

                                    self.translate = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate()
                                    self.translate.parent = self
                                    self._children_name_map["translate"] = "translate"
                                    self._children_yang_names.add("translate")
                                    self._segment_path = lambda: "nssa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa, ['no_ext_capability', 'no_redistribution', 'no_summary', 'nssa_only'], name, value)


                                class DefaultInformationOriginate(Entity):
                                    """
                                    Originate Type 7 default into NSSA area
                                    
                                    .. attribute:: metric
                                    
                                    	OSPF default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..16777214
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF metric type for default routes
                                    	**type**\: int
                                    
                                    	**range:** 1..2
                                    
                                    .. attribute:: no_ext_capability
                                    
                                    	Do not send domain specific capabilities into NSSA
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_redistribution
                                    
                                    	No redistribution into this NSSA area
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_summary
                                    
                                    	Do not send summary LSA into NSSA
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit default advertisement to this NSSA area
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: translate
                                    
                                    	Translate LSA
                                    	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate, self).__init__()

                                        self.yang_name = "default-information-originate"
                                        self.yang_parent_name = "nssa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"translate" : ("translate", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.int32, "metric")

                                        self.metric_type = YLeaf(YType.uint32, "metric-type")

                                        self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                                        self.no_redistribution = YLeaf(YType.empty, "no-redistribution")

                                        self.no_summary = YLeaf(YType.empty, "no-summary")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.translate = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate()
                                        self.translate.parent = self
                                        self._children_name_map["translate"] = "translate"
                                        self._children_yang_names.add("translate")
                                        self._segment_path = lambda: "default-information-originate"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate, ['metric', 'metric_type', 'no_ext_capability', 'no_redistribution', 'no_summary', 'nssa_only'], name, value)


                                    class Translate(Entity):
                                        """
                                        Translate LSA
                                        
                                        .. attribute:: type7
                                        
                                        	From Type 7 to Type 5
                                        	**type**\:  :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate, self).__init__()

                                            self.yang_name = "translate"
                                            self.yang_parent_name = "default-information-originate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"type7" : ("type7", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7)}
                                            self._child_list_classes = {}

                                            self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7()
                                            self.type7.parent = self
                                            self._children_name_map["type7"] = "type7"
                                            self._children_yang_names.add("type7")
                                            self._segment_path = lambda: "translate"


                                        class Type7(Entity):
                                            """
                                            From Type 7 to Type 5
                                            
                                            .. attribute:: always
                                            
                                            	Always translate LSAs on this ABR
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: suppress_fa
                                            
                                            	Suppress forwarding address in translated LSAs
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7, self).__init__()

                                                self.yang_name = "type7"
                                                self.yang_parent_name = "translate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.always = YLeaf(YType.empty, "always")

                                                self.suppress_fa = YLeaf(YType.empty, "suppress-fa")
                                                self._segment_path = lambda: "type7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7, ['always', 'suppress_fa'], name, value)


                                class Translate(Entity):
                                    """
                                    Translate LSA
                                    
                                    .. attribute:: type7
                                    
                                    	From Type 7 to Type 5
                                    	**type**\:  :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate.Type7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate, self).__init__()

                                        self.yang_name = "translate"
                                        self.yang_parent_name = "nssa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"type7" : ("type7", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate.Type7)}
                                        self._child_list_classes = {}

                                        self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate.Type7()
                                        self.type7.parent = self
                                        self._children_name_map["type7"] = "type7"
                                        self._children_yang_names.add("type7")
                                        self._segment_path = lambda: "translate"


                                    class Type7(Entity):
                                        """
                                        From Type 7 to Type 5
                                        
                                        .. attribute:: always
                                        
                                        	Always translate LSAs on this ABR
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: suppress_fa
                                        
                                        	Suppress forwarding address in translated LSAs
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate.Type7, self).__init__()

                                            self.yang_name = "type7"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.always = YLeaf(YType.empty, "always")

                                            self.suppress_fa = YLeaf(YType.empty, "suppress-fa")
                                            self._segment_path = lambda: "type7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Nssa.Translate.Type7, ['always', 'suppress_fa'], name, value)


                            class Ipv4Range(Entity):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range, self).__init__()

                                    self.yang_name = "ipv4-range"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"range" : ("range", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range.Range)}

                                    self.range = YList(self)
                                    self._segment_path = lambda: "ipv4-range"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range, [], name, value)


                                class Range(Entity):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: mask  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\: int
                                    
                                    	**range:** 0..16777215
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "ipv4-range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.str, "ip")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.advertise = YLeaf(YType.empty, "advertise")

                                        self.not_advertise = YLeaf(YType.empty, "not-advertise")

                                        self.cost = YLeaf(YType.uint32, "cost")
                                        self._segment_path = lambda: "range" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv4Range.Range, ['ip', 'mask', 'advertise', 'not_advertise', 'cost'], name, value)


                            class Ipv6Range(Entity):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range, self).__init__()

                                    self.yang_name = "ipv6-range"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"range" : ("range", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range.Range)}

                                    self.range = YList(self)
                                    self._segment_path = lambda: "ipv6-range"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range, [], name, value)


                                class Range(Entity):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\: int
                                    
                                    	**range:** 0..16777215
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "ipv6-range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.str, "ip")

                                        self.advertise = YLeaf(YType.empty, "advertise")

                                        self.not_advertise = YLeaf(YType.empty, "not-advertise")

                                        self.cost = YLeaf(YType.uint32, "cost")
                                        self._segment_path = lambda: "range" + "[ip='" + self.ip.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Ipv6Range.Range, ['ip', 'advertise', 'not_advertise', 'cost'], name, value)


                            class ShamLink(Entity):
                                """
                                Define a sham link and its parameters
                                
                                .. attribute:: source  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: dest  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: cost
                                
                                	Associate a cost with the sham\-link
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink.TtlSecurity>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink, self).__init__()

                                    self.yang_name = "sham-link"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ttl-security" : ("ttl_security", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink.TtlSecurity)}
                                    self._child_list_classes = {}

                                    self.source = YLeaf(YType.str, "source")

                                    self.dest = YLeaf(YType.str, "dest")

                                    self.cost = YLeaf(YType.uint16, "cost")

                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink.TtlSecurity()
                                    self.ttl_security.parent = self
                                    self._children_name_map["ttl_security"] = "ttl-security"
                                    self._children_yang_names.add("ttl-security")
                                    self._segment_path = lambda: "sham-link" + "[source='" + self.source.get() + "']" + "[dest='" + self.dest.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink, ['source', 'dest', 'cost'], name, value)


                                class TtlSecurity(Entity):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink.TtlSecurity, self).__init__()

                                        self.yang_name = "ttl-security"
                                        self.yang_parent_name = "sham-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hops = YLeaf(YType.uint8, "hops")
                                        self._segment_path = lambda: "ttl-security"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.ShamLink.TtlSecurity, ['hops'], name, value)


                            class Stub(Entity):
                                """
                                Specify a stub area
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into stub area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into stub area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Stub, self).__init__()

                                    self.yang_name = "stub"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                                    self.no_summary = YLeaf(YType.empty, "no-summary")
                                    self._segment_path = lambda: "stub"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.Stub, ['no_ext_capability', 'no_summary'], name, value)


                            class VirtualLink(Entity):
                                """
                                Define a virtual link and its parameters
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: authentication
                                
                                	Set authentication type
                                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication>`
                                
                                .. attribute:: hello_interval
                                
                                	Hello packet interval
                                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.HelloInterval>`
                                
                                .. attribute:: dead_interval
                                
                                	Dead router detection time
                                	**type**\:  :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.DeadInterval>`
                                
                                .. attribute:: retransmit_interval
                                
                                	LSA retransmit interval
                                	**type**\:  :py:class:`RetransmitInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.RetransmitInterval>`
                                
                                .. attribute:: transmit_delay
                                
                                	LSA transmission delay
                                	**type**\:  :py:class:`TransmitDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TransmitDelay>`
                                
                                .. attribute:: topology
                                
                                	Disable virtual link on topology
                                	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Topology>`
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TtlSecurity>`
                                
                                .. attribute:: authentication_key
                                
                                	Set authentication key
                                	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.AuthenticationKey>`
                                
                                .. attribute:: message_digest_key
                                
                                	Set message digest key
                                	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink, self).__init__()

                                    self.yang_name = "virtual-link"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authentication" : ("authentication", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication), "hello-interval" : ("hello_interval", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.HelloInterval), "dead-interval" : ("dead_interval", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.DeadInterval), "retransmit-interval" : ("retransmit_interval", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.RetransmitInterval), "transmit-delay" : ("transmit_delay", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TransmitDelay), "topology" : ("topology", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Topology), "ttl-security" : ("ttl_security", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TtlSecurity), "authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.AuthenticationKey)}
                                    self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey)}

                                    self.id = YLeaf(YType.str, "id")

                                    self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication()
                                    self.authentication.parent = self
                                    self._children_name_map["authentication"] = "authentication"
                                    self._children_yang_names.add("authentication")

                                    self.hello_interval = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.HelloInterval()
                                    self.hello_interval.parent = self
                                    self._children_name_map["hello_interval"] = "hello-interval"
                                    self._children_yang_names.add("hello-interval")

                                    self.dead_interval = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.DeadInterval()
                                    self.dead_interval.parent = self
                                    self._children_name_map["dead_interval"] = "dead-interval"
                                    self._children_yang_names.add("dead-interval")

                                    self.retransmit_interval = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.RetransmitInterval()
                                    self.retransmit_interval.parent = self
                                    self._children_name_map["retransmit_interval"] = "retransmit-interval"
                                    self._children_yang_names.add("retransmit-interval")

                                    self.transmit_delay = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TransmitDelay()
                                    self.transmit_delay.parent = self
                                    self._children_name_map["transmit_delay"] = "transmit-delay"
                                    self._children_yang_names.add("transmit-delay")

                                    self.topology = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Topology()
                                    self.topology.parent = self
                                    self._children_name_map["topology"] = "topology"
                                    self._children_yang_names.add("topology")

                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TtlSecurity()
                                    self.ttl_security.parent = self
                                    self._children_name_map["ttl_security"] = "ttl-security"
                                    self._children_yang_names.add("ttl-security")

                                    self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self._children_name_map["authentication_key"] = "authentication-key"
                                    self._children_yang_names.add("authentication-key")

                                    self.message_digest_key = YList(self)
                                    self._segment_path = lambda: "virtual-link" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink, ['id'], name, value)


                                class Authentication(Entity):
                                    """
                                    Set authentication type
                                    
                                    .. attribute:: authentication_key
                                    
                                    	Set authentication key
                                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.AuthenticationKey>`
                                    
                                    .. attribute:: message_digest_key
                                    
                                    	Set message digest key
                                    	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey>`
                                    
                                    .. attribute:: key_chain
                                    
                                    	Use a key\-chain for cryptographic authentication keys
                                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain>`
                                    
                                    .. attribute:: message_digest
                                    
                                    	Message\-digest authentication
                                    	**type**\:  :py:class:`MessageDigest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest>`
                                    
                                    .. attribute:: null
                                    
                                    	No authentication
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication, self).__init__()

                                        self.yang_name = "authentication"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.AuthenticationKey), "key-chain" : ("key_chain", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain), "message-digest" : ("message_digest", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest)}
                                        self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey)}

                                        self.null = YLeaf(YType.empty, "null")

                                        self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.AuthenticationKey()
                                        self.authentication_key.parent = self
                                        self._children_name_map["authentication_key"] = "authentication-key"
                                        self._children_yang_names.add("authentication-key")

                                        self.key_chain = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain()
                                        self.key_chain.parent = self
                                        self._children_name_map["key_chain"] = "key-chain"
                                        self._children_yang_names.add("key-chain")

                                        self.message_digest = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest()
                                        self.message_digest.parent = self
                                        self._children_name_map["message_digest"] = "message-digest"
                                        self._children_yang_names.add("message-digest")

                                        self.message_digest_key = YList(self)
                                        self._segment_path = lambda: "authentication"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication, ['null'], name, value)


                                    class AuthenticationKey(Entity):
                                        """
                                        Set authentication key
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.AuthenticationKey, self).__init__()

                                            self.yang_name = "authentication-key"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                                            self.auth_key = YLeaf(YType.str, "auth-key")
                                            self._segment_path = lambda: "authentication-key"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                    class MessageDigestKey(Entity):
                                        """
                                        Set message digest key
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: md5
                                        
                                        	Use MD5 algorithm
                                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey, self).__init__()

                                            self.yang_name = "message-digest-key"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint8, "id")

                                            self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5()
                                            self.md5.parent = self
                                            self._children_name_map["md5"] = "md5"
                                            self._children_yang_names.add("md5")
                                            self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey, ['id'], name, value)


                                        class Md5(Entity):
                                            """
                                            Use MD5 algorithm
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**length:** 1..16
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5, self).__init__()

                                                self.yang_name = "md5"
                                                self.yang_parent_name = "message-digest-key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                self.auth_key = YLeaf(YType.str, "auth-key")
                                                self._segment_path = lambda: "md5"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                                    class KeyChain(Entity):
                                        """
                                        Use a key\-chain for cryptographic authentication keys
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain, self).__init__()

                                            self.yang_name = "key-chain"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey)}
                                            self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey)}

                                            self.name = YLeaf(YType.str, "name")

                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self._children_name_map["authentication_key"] = "authentication-key"
                                            self._children_yang_names.add("authentication-key")

                                            self.message_digest_key = YList(self)
                                            self._segment_path = lambda: "key-chain"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain, ['name'], name, value)


                                        class AuthenticationKey(Entity):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey, self).__init__()

                                                self.yang_name = "authentication-key"
                                                self.yang_parent_name = "key-chain"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                self.auth_key = YLeaf(YType.str, "auth-key")
                                                self._segment_path = lambda: "authentication-key"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                        class MessageDigestKey(Entity):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey, self).__init__()

                                                self.yang_name = "message-digest-key"
                                                self.yang_parent_name = "key-chain"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint8, "id")

                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5()
                                                self.md5.parent = self
                                                self._children_name_map["md5"] = "md5"
                                                self._children_yang_names.add("md5")
                                                self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey, ['id'], name, value)


                                            class Md5(Entity):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**length:** 1..16
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5, self).__init__()

                                                    self.yang_name = "md5"
                                                    self.yang_parent_name = "message-digest-key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                                    self._segment_path = lambda: "md5"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                                    class MessageDigest(Entity):
                                        """
                                        Message\-digest authentication
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest, self).__init__()

                                            self.yang_name = "message-digest"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey)}
                                            self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey)}

                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self._children_name_map["authentication_key"] = "authentication-key"
                                            self._children_yang_names.add("authentication-key")

                                            self.message_digest_key = YList(self)
                                            self._segment_path = lambda: "message-digest"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest, [], name, value)


                                        class AuthenticationKey(Entity):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey, self).__init__()

                                                self.yang_name = "authentication-key"
                                                self.yang_parent_name = "message-digest"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                self.auth_key = YLeaf(YType.str, "auth-key")
                                                self._segment_path = lambda: "authentication-key"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                        class MessageDigestKey(Entity):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey, self).__init__()

                                                self.yang_name = "message-digest-key"
                                                self.yang_parent_name = "message-digest"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint8, "id")

                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5()
                                                self.md5.parent = self
                                                self._children_name_map["md5"] = "md5"
                                                self._children_yang_names.add("md5")
                                                self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey, ['id'], name, value)


                                            class Md5(Entity):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**length:** 1..16
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5, self).__init__()

                                                    self.yang_name = "md5"
                                                    self.yang_parent_name = "message-digest-key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                                    self._segment_path = lambda: "md5"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                                class HelloInterval(Entity):
                                    """
                                    Hello packet interval
                                    
                                    .. attribute:: hello_interval_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.HelloInterval, self).__init__()

                                        self.yang_name = "hello-interval"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hello_interval_value = YLeaf(YType.int32, "hello-interval-value")
                                        self._segment_path = lambda: "hello-interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.HelloInterval, ['hello_interval_value'], name, value)


                                class DeadInterval(Entity):
                                    """
                                    Dead router detection time
                                    
                                    .. attribute:: dead_interval_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.DeadInterval, self).__init__()

                                        self.yang_name = "dead-interval"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dead_interval_value = YLeaf(YType.uint16, "dead-interval-value")
                                        self._segment_path = lambda: "dead-interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.DeadInterval, ['dead_interval_value'], name, value)


                                class RetransmitInterval(Entity):
                                    """
                                    LSA retransmit interval
                                    
                                    .. attribute:: retransmit_interval_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.RetransmitInterval, self).__init__()

                                        self.yang_name = "retransmit-interval"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.retransmit_interval_value = YLeaf(YType.uint16, "retransmit-interval-value")
                                        self._segment_path = lambda: "retransmit-interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.RetransmitInterval, ['retransmit_interval_value'], name, value)


                                class TransmitDelay(Entity):
                                    """
                                    LSA transmission delay
                                    
                                    .. attribute:: transmit_delay_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TransmitDelay, self).__init__()

                                        self.yang_name = "transmit-delay"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.transmit_delay_value = YLeaf(YType.uint16, "transmit-delay-value")
                                        self._segment_path = lambda: "transmit-delay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TransmitDelay, ['transmit_delay_value'], name, value)


                                class Topology(Entity):
                                    """
                                    Disable virtual link on topology
                                    
                                    .. attribute:: disable
                                    
                                    	Disable virtual link
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Topology, self).__init__()

                                        self.yang_name = "topology"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "topology"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.Topology, ['disable'], name, value)


                                class TtlSecurity(Entity):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\: int
                                    
                                    	**range:** 1..254
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TtlSecurity, self).__init__()

                                        self.yang_name = "ttl-security"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hops = YLeaf(YType.uint8, "hops")
                                        self._segment_path = lambda: "ttl-security"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.TtlSecurity, ['hops'], name, value)


                                class AuthenticationKey(Entity):
                                    """
                                    Set authentication key
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.AuthenticationKey, self).__init__()

                                        self.yang_name = "authentication-key"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.auth_type = YLeaf(YType.uint8, "auth-type")

                                        self.auth_key = YLeaf(YType.str, "auth-key")
                                        self._segment_path = lambda: "authentication-key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                class MessageDigestKey(Entity):
                                    """
                                    Set message digest key
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: md5
                                    
                                    	Use MD5 algorithm
                                    	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey.Md5>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey, self).__init__()

                                        self.yang_name = "message-digest-key"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey.Md5)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint8, "id")

                                        self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey.Md5()
                                        self.md5.parent = self
                                        self._children_name_map["md5"] = "md5"
                                        self._children_yang_names.add("md5")
                                        self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey, ['id'], name, value)


                                    class Md5(Entity):
                                        """
                                        Use MD5 algorithm
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**length:** 1..16
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey.Md5, self).__init__()

                                            self.yang_name = "md5"
                                            self.yang_parent_name = "message-digest-key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                                            self.auth_key = YLeaf(YType.str, "auth-key")
                                            self._segment_path = lambda: "md5"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Area.VirtualLink.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                        class AutoCost(Entity):
                            """
                            Calculate OSPF interface cost according to bandwidth
                            
                            .. attribute:: reference_bandwidth
                            
                            	Use reference bandwidth method to assign OSPF cost
                            	**type**\: int
                            
                            	**range:** 1..4294967
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.AutoCost, self).__init__()

                                self.yang_name = "auto-cost"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.reference_bandwidth = YLeaf(YType.uint32, "reference-bandwidth")
                                self._segment_path = lambda: "auto-cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.AutoCost, ['reference_bandwidth'], name, value)


                        class EventLog(Entity):
                            """
                            OSPF Event Logging
                            
                            .. attribute:: one_shot
                            
                            	Disable Logging When Log Buffer Becomes Full
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pause
                            
                            	Pause Event Logging
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: size
                            
                            	Maximum Number of Events Stored in the Event Log
                            	**type**\: int
                            
                            	**range:** 1..65534
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.EventLog, self).__init__()

                                self.yang_name = "event-log"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.one_shot = YLeaf(YType.empty, "one-shot")

                                self.pause = YLeaf(YType.empty, "pause")

                                self.size = YLeaf(YType.uint32, "size")
                                self._segment_path = lambda: "event-log"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.EventLog, ['one_shot', 'pause', 'size'], name, value)


                        class Bfd(Entity):
                            """
                            BFD configuration commands
                            
                            .. attribute:: all_interfaces
                            
                            	Enable BFD on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all_interfaces = YLeaf(YType.empty, "all-interfaces")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Bfd, ['all_interfaces'], name, value)


                        class InterfaceId(Entity):
                            """
                            Source of the interface ID
                            
                            .. attribute:: snmp_if_index
                            
                            	SNMP MIB ifIndex
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.InterfaceId, self).__init__()

                                self.yang_name = "interface-id"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.snmp_if_index = YLeaf(YType.empty, "snmp-if-index")
                                self._segment_path = lambda: "interface-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.InterfaceId, ['snmp_if_index'], name, value)


                        class LogAdjacencyChanges(Entity):
                            """
                            Log changes in adjacency state
                            
                            .. attribute:: detail
                            
                            	Log all state changes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.LogAdjacencyChanges, self).__init__()

                                self.yang_name = "log-adjacency-changes"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.detail = YLeaf(YType.empty, "detail")
                                self._segment_path = lambda: "log-adjacency-changes"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.LogAdjacencyChanges, ['detail'], name, value)


                        class MaxLsa(Entity):
                            """
                            maximum number of LSAs OSPF process will receive
                            
                            .. attribute:: number
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967294
                            
                            .. attribute:: threshold_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: ignore_count
                            
                            	maximum number of times adjacencies can be suppressed
                            	**type**\: int
                            
                            	**range:** 1..65534
                            
                            .. attribute:: ignore_time
                            
                            	time during which all adjacencies are suppressed
                            	**type**\: int
                            
                            	**range:** 1..17895
                            
                            .. attribute:: reset_time
                            
                            	time after which ignore\-count is reset to zero
                            	**type**\: int
                            
                            	**range:** 2..35791
                            
                            .. attribute:: warning_only
                            
                            	Only give warning message when limit is exceeded
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxLsa, self).__init__()

                                self.yang_name = "max-lsa"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.uint32, "number")

                                self.threshold_value = YLeaf(YType.uint32, "threshold-value")

                                self.ignore_count = YLeaf(YType.uint32, "ignore-count")

                                self.ignore_time = YLeaf(YType.uint32, "ignore-time")

                                self.reset_time = YLeaf(YType.uint32, "reset-time")

                                self.warning_only = YLeaf(YType.empty, "warning-only")
                                self._segment_path = lambda: "max-lsa"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxLsa, ['number', 'threshold_value', 'ignore_count', 'ignore_time', 'reset_time', 'warning_only'], name, value)


                        class MaxMetric(Entity):
                            """
                            Set maximum metric
                            
                            .. attribute:: router_lsa
                            
                            	Maximum metric in self\-originated router\-LSAs
                            	**type**\:  :py:class:`RouterLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric, self).__init__()

                                self.yang_name = "max-metric"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"router-lsa" : ("router_lsa", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa)}
                                self._child_list_classes = {}

                                self.router_lsa = None
                                self._children_name_map["router_lsa"] = "router-lsa"
                                self._children_yang_names.add("router-lsa")
                                self._segment_path = lambda: "max-metric"


                            class RouterLsa(Entity):
                                """
                                Maximum metric in self\-originated router\-LSAs
                                
                                .. attribute:: external_lsa
                                
                                	Override external\-lsa metric with max\-metric value
                                	**type**\:  :py:class:`ExternalLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.ExternalLsa>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: include_stub
                                
                                	Set maximum metric for stub links in router\-LSAs
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: on_startup
                                
                                	Set maximum metric temporarily after reboot
                                	**type**\:  :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.OnStartup>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: summary_lsa
                                
                                	Override summary\-lsa metric with max\-metric value
                                	**type**\:  :py:class:`SummaryLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.SummaryLsa>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa, self).__init__()

                                    self.yang_name = "router-lsa"
                                    self.yang_parent_name = "max-metric"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"external-lsa" : ("external_lsa", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.ExternalLsa), "on-startup" : ("on_startup", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.OnStartup), "summary-lsa" : ("summary_lsa", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.SummaryLsa)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_stub = YLeaf(YType.empty, "include-stub")

                                    self.external_lsa = None
                                    self._children_name_map["external_lsa"] = "external-lsa"
                                    self._children_yang_names.add("external-lsa")

                                    self.on_startup = None
                                    self._children_name_map["on_startup"] = "on-startup"
                                    self._children_yang_names.add("on-startup")

                                    self.summary_lsa = None
                                    self._children_name_map["summary_lsa"] = "summary-lsa"
                                    self._children_yang_names.add("summary-lsa")
                                    self._segment_path = lambda: "router-lsa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa, ['include_stub'], name, value)


                                class ExternalLsa(Entity):
                                    """
                                    Override external\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..16777215
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.ExternalLsa, self).__init__()

                                        self.yang_name = "external-lsa"
                                        self.yang_parent_name = "router-lsa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "external-lsa"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.ExternalLsa, ['metric'], name, value)


                                class OnStartup(Entity):
                                    """
                                    Set maximum metric temporarily after reboot
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 5..86400
                                    
                                    .. attribute:: wait_for_bgp
                                    
                                    	Let BGP decide when to originate router\-LSA with normal metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.OnStartup, self).__init__()

                                        self.yang_name = "on-startup"
                                        self.yang_parent_name = "router-lsa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.time = YLeaf(YType.uint32, "time")

                                        self.wait_for_bgp = YLeaf(YType.empty, "wait-for-bgp")
                                        self._segment_path = lambda: "on-startup"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.OnStartup, ['time', 'wait_for_bgp'], name, value)


                                class SummaryLsa(Entity):
                                    """
                                    Override summary\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..16777215
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.SummaryLsa, self).__init__()

                                        self.yang_name = "summary-lsa"
                                        self.yang_parent_name = "router-lsa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "summary-lsa"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.MaxMetric.RouterLsa.SummaryLsa, ['metric'], name, value)


                        class PassiveInterface(Entity):
                            """
                            Suppress routing updates on an interface
                            
                            .. attribute:: default
                            
                            	Suppress routing updates on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.PassiveInterface, self).__init__()

                                self.yang_name = "passive-interface"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.default = YLeaf(YType.empty, "default")

                                self.interface = YLeaf(YType.str, "interface")
                                self._segment_path = lambda: "passive-interface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.PassiveInterface, ['default', 'interface'], name, value)


                        class Disable(Entity):
                            """
                            
                            
                            .. attribute:: passive_interface
                            
                            	
                            	**type**\: list of  		 :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable.PassiveInterface>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable, self).__init__()

                                self.yang_name = "disable"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"passive-interface" : ("passive_interface", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable.PassiveInterface)}

                                self.passive_interface = YList(self)
                                self._segment_path = lambda: "disable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable, [], name, value)


                            class PassiveInterface(Entity):
                                """
                                
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable.PassiveInterface, self).__init__()

                                    self.yang_name = "passive-interface"
                                    self.yang_parent_name = "disable"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "passive-interface" + "[interface='" + self.interface.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Disable.PassiveInterface, ['interface'], name, value)


                        class QueueDepth(Entity):
                            """
                            OSPF Hello/Router process queue depth
                            
                            .. attribute:: hello
                            
                            	OSPF Hello process queue depth
                            	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello>`
                            
                            .. attribute:: update
                            
                            	OSPF Router process queue depth
                            	**type**\:  :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth, self).__init__()

                                self.yang_name = "queue-depth"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"hello" : ("hello", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello), "update" : ("update", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update)}
                                self._child_list_classes = {}

                                self.hello = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello()
                                self.hello.parent = self
                                self._children_name_map["hello"] = "hello"
                                self._children_yang_names.add("hello")

                                self.update = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update()
                                self.update.parent = self
                                self._children_name_map["update"] = "update"
                                self._children_yang_names.add("update")
                                self._segment_path = lambda: "queue-depth"


                            class Hello(Entity):
                                """
                                OSPF Hello process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..2147483647
                                
                                		**type**\:  :py:class:`Options <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.Options>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello, self).__init__()

                                    self.yang_name = "hello"
                                    self.yang_parent_name = "queue-depth"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.options = YLeaf(YType.str, "options")
                                    self._segment_path = lambda: "hello"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Hello, ['options'], name, value)

                                class Options(Enum):
                                    """
                                    Options

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = Enum.YLeaf(0, "unlimited")



                            class Update(Entity):
                                """
                                OSPF Router process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..2147483647
                                
                                		**type**\:  :py:class:`Options <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.Options>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update, self).__init__()

                                    self.yang_name = "update"
                                    self.yang_parent_name = "queue-depth"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.options = YLeaf(YType.str, "options")
                                    self._segment_path = lambda: "update"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.QueueDepth.Update, ['options'], name, value)

                                class Options(Enum):
                                    """
                                    Options

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = Enum.YLeaf(0, "unlimited")



                        class Timers(Entity):
                            """
                            Adjust routing timers
                            
                            .. attribute:: lsa
                            
                            	OSPF LSA timers
                            	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Lsa>`
                            
                            .. attribute:: pacing
                            
                            	OSPF pacing timers
                            	**type**\:  :py:class:`Pacing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Pacing>`
                            
                            .. attribute:: throttle
                            
                            	OSPF throttle timers
                            	**type**\:  :py:class:`Throttle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lsa" : ("lsa", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Lsa), "pacing" : ("pacing", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Pacing), "throttle" : ("throttle", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle)}
                                self._child_list_classes = {}

                                self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Lsa()
                                self.lsa.parent = self
                                self._children_name_map["lsa"] = "lsa"
                                self._children_yang_names.add("lsa")

                                self.pacing = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Pacing()
                                self.pacing.parent = self
                                self._children_name_map["pacing"] = "pacing"
                                self._children_yang_names.add("pacing")

                                self.throttle = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle()
                                self.throttle.parent = self
                                self._children_name_map["throttle"] = "throttle"
                                self._children_yang_names.add("throttle")
                                self._segment_path = lambda: "timers"


                            class Lsa(Entity):
                                """
                                OSPF LSA timers
                                
                                .. attribute:: arrival
                                
                                	OSPF LSA arrival timer
                                	**type**\: int
                                
                                	**range:** 0..600000
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Lsa, self).__init__()

                                    self.yang_name = "lsa"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.arrival = YLeaf(YType.uint32, "arrival")
                                    self._segment_path = lambda: "lsa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Lsa, ['arrival'], name, value)


                            class Pacing(Entity):
                                """
                                OSPF pacing timers
                                
                                .. attribute:: flood
                                
                                	OSPF flood pacing timer
                                	**type**\: int
                                
                                	**range:** 5..100
                                
                                .. attribute:: lsa_group
                                
                                	OSPF LSA group pacing timer
                                	**type**\: int
                                
                                	**range:** 10..1800
                                
                                .. attribute:: retransmission
                                
                                	OSPF retransmission pacing timer
                                	**type**\: int
                                
                                	**range:** 5..200
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Pacing, self).__init__()

                                    self.yang_name = "pacing"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.flood = YLeaf(YType.uint32, "flood")

                                    self.lsa_group = YLeaf(YType.uint32, "lsa-group")

                                    self.retransmission = YLeaf(YType.uint32, "retransmission")
                                    self._segment_path = lambda: "pacing"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Pacing, ['flood', 'lsa_group', 'retransmission'], name, value)


                            class Throttle(Entity):
                                """
                                OSPF throttle timers
                                
                                .. attribute:: lsa
                                
                                	OSPF LSA throttle timers
                                	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa>`
                                
                                .. attribute:: spf
                                
                                	OSPF SPF throttle timers
                                	**type**\:  :py:class:`Spf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Spf>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle, self).__init__()

                                    self.yang_name = "throttle"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lsa" : ("lsa", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa), "spf" : ("spf", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Spf)}
                                    self._child_list_classes = {}

                                    self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa()
                                    self.lsa.parent = self
                                    self._children_name_map["lsa"] = "lsa"
                                    self._children_yang_names.add("lsa")

                                    self.spf = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Spf()
                                    self.spf.parent = self
                                    self._children_name_map["spf"] = "spf"
                                    self._children_yang_names.add("spf")
                                    self._segment_path = lambda: "throttle"


                                class Lsa(Entity):
                                    """
                                    OSPF LSA throttle timers
                                    
                                    .. attribute:: all
                                    
                                    	For all type of OSPF LSAs
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa.All>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa, self).__init__()

                                        self.yang_name = "lsa"
                                        self.yang_parent_name = "throttle"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa.All)}
                                        self._child_list_classes = {}

                                        self.all = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa.All()
                                        self.all.parent = self
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")
                                        self._segment_path = lambda: "lsa"


                                    class All(Entity):
                                        """
                                        For all type of OSPF LSAs
                                        
                                        .. attribute:: delay
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: min_delay
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: max_delay
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..600000
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "lsa"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.delay = YLeaf(YType.uint32, "delay")

                                            self.min_delay = YLeaf(YType.uint32, "min-delay")

                                            self.max_delay = YLeaf(YType.uint32, "max-delay")
                                            self._segment_path = lambda: "all"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Lsa.All, ['delay', 'min_delay', 'max_delay'], name, value)


                                class Spf(Entity):
                                    """
                                    OSPF SPF throttle timers
                                    
                                    .. attribute:: delay
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: min_delay
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: max_delay
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..600000
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Spf, self).__init__()

                                        self.yang_name = "spf"
                                        self.yang_parent_name = "throttle"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.delay = YLeaf(YType.uint32, "delay")

                                        self.min_delay = YLeaf(YType.uint32, "min-delay")

                                        self.max_delay = YLeaf(YType.uint32, "max-delay")
                                        self._segment_path = lambda: "spf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Timers.Throttle.Spf, ['delay', 'min_delay', 'max_delay'], name, value)


                        class TrafficShare(Entity):
                            """
                            How to compute traffic share over alternate paths
                            
                            .. attribute:: min
                            
                            	All traffic shared among min metric paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: across_interfaces
                            
                            	Use different interfaces for equal\-cost paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TrafficShare, self).__init__()

                                self.yang_name = "traffic-share"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.empty, "min")

                                self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                                self._segment_path = lambda: "traffic-share"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TrafficShare, ['min', 'across_interfaces'], name, value)


                        class TtlSecurity(Entity):
                            """
                            TTL security check
                            
                            .. attribute:: all_interfaces
                            
                            	Enable TTL Security on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: hops
                            
                            	IP hops
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TtlSecurity, self).__init__()

                                self.yang_name = "ttl-security"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

                                self.hops = YLeaf(YType.uint8, "hops")
                                self._segment_path = lambda: "ttl-security"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.TtlSecurity, ['all_interfaces', 'hops'], name, value)


                        class Capability(Entity):
                            """
                            Enable specific OSPF feature
                            
                            .. attribute:: capability_type
                            
                            	
                            	**type**\:  :py:class:`CapabilityType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability.CapabilityType>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability, self).__init__()

                                self.yang_name = "capability"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.capability_type = YLeaf(YType.enumeration, "capability-type")
                                self._segment_path = lambda: "capability"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Capability, ['capability_type'], name, value)

                            class CapabilityType(Enum):
                                """
                                CapabilityType

                                .. data:: lls = 0

                                .. data:: opaque = 1

                                .. data:: transit = 2

                                .. data:: vrf_lite = 3

                                """

                                lls = Enum.YLeaf(0, "lls")

                                opaque = Enum.YLeaf(1, "opaque")

                                transit = Enum.YLeaf(2, "transit")

                                vrf_lite = Enum.YLeaf(3, "vrf-lite")



                        class Compatible(Entity):
                            """
                            OSPF compatibility list
                            
                            .. attribute:: rfc1583
                            
                            	Compatible with RFC 1583
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc1587
                            
                            	Compatible with RFC 1587
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc5243
                            
                            	Compatible with RFC 5243
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Compatible, self).__init__()

                                self.yang_name = "compatible"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rfc1583 = YLeaf(YType.empty, "rfc1583")

                                self.rfc1587 = YLeaf(YType.empty, "rfc1587")

                                self.rfc5243 = YLeaf(YType.empty, "rfc5243")
                                self._segment_path = lambda: "compatible"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Compatible, ['rfc1583', 'rfc1587', 'rfc5243'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"originate" : ("originate", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate)}
                                self._child_list_classes = {}

                                self.originate = None
                                self._children_name_map["originate"] = "originate"
                                self._children_yang_names.add("originate")
                                self._segment_path = lambda: "default-information"


                            class Originate(Entity):
                                """
                                Distribute a default route
                                
                                .. attribute:: always
                                
                                	Always advertise default route
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	OSPF default metric
                                	**type**\: int
                                
                                	**range:** 0..16777214
                                
                                .. attribute:: metric_type
                                
                                	OSPF metric type for default routes
                                	**type**\: int
                                
                                	**range:** 1..2
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate, self).__init__()

                                    self.yang_name = "originate"
                                    self.yang_parent_name = "default-information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.always = YLeaf(YType.empty, "always")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.uint32, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate, ['always', 'metric', 'metric_type', 'route_map'], name, value)


                        class DiscardRoute(Entity):
                            """
                            Enable or disable discard\-route installation
                            
                            .. attribute:: external
                            
                            	Discard route for redistributed summarised routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: internal
                            
                            	Discard route for summarised internal routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DiscardRoute, self).__init__()

                                self.yang_name = "discard-route"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.external = YLeaf(YType.empty, "external")

                                self.internal = YLeaf(YType.empty, "internal")

                                self.metric = YLeaf(YType.uint32, "metric")
                                self._segment_path = lambda: "discard-route"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.DiscardRoute, ['external', 'internal', 'metric'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: ospf_distance
                            
                            	
                            	**type**\:  :py:class:`OspfDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.OspfDistance>`
                            
                            .. attribute:: ospf
                            
                            	OSPF routes Administrative distance
                            	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.Ospf>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ospf-distance" : ("ospf_distance", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.OspfDistance), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.Ospf)}
                                self._child_list_classes = {}

                                self.ospf_distance = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.OspfDistance()
                                self.ospf_distance.parent = self
                                self._children_name_map["ospf_distance"] = "ospf-distance"
                                self._children_yang_names.add("ospf-distance")

                                self.ospf = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.Ospf()
                                self.ospf.parent = self
                                self._children_name_map["ospf"] = "ospf"
                                self._children_yang_names.add("ospf")
                                self._segment_path = lambda: "distance"


                            class OspfDistance(Entity):
                                """
                                
                                
                                .. attribute:: distance
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildcard
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: int
                                
                                			**range:** 1300..1999
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.OspfDistance, self).__init__()

                                    self.yang_name = "ospf-distance"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.distance = YLeaf(YType.uint32, "distance")

                                    self.ip = YLeaf(YType.str, "ip")

                                    self.wildcard = YLeaf(YType.str, "wildcard")

                                    self.acl_name = YLeaf(YType.str, "acl-name")
                                    self._segment_path = lambda: "ospf-distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.OspfDistance, ['distance', 'ip', 'wildcard', 'acl_name'], name, value)


                            class Ospf(Entity):
                                """
                                OSPF routes Administrative distance
                                
                                .. attribute:: external
                                
                                	External routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: inter_area
                                
                                	Inter\-area routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: intra_area
                                
                                	Intra\-area routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.external = YLeaf(YType.uint32, "external")

                                    self.inter_area = YLeaf(YType.uint32, "inter-area")

                                    self.intra_area = YLeaf(YType.uint32, "intra-area")
                                    self._segment_path = lambda: "ospf"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Distance.Ospf, ['external', 'inter_area', 'intra_area'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes redistributed to protocol
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix>`
                            
                            .. attribute:: vrf
                            
                            	Specify a source VRF
                            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"connected" : ("connected", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected), "isis" : ("isis", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp), "mobile" : ("mobile", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile), "odr" : ("odr", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr), "static" : ("static", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static), "maximum-prefix" : ("maximum_prefix", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix), "vrf" : ("vrf", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf)}
                                self._child_list_classes = {"application" : ("application", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application), "bgp" : ("bgp", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp), "eigrp" : ("eigrp", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3), "rip" : ("rip", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip)}

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.isis = None
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.iso_igrp = None
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp()
                                self.lisp.parent = self
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.maximum_prefix = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.vrf = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf()
                                self.vrf.parent = self
                                self._children_name_map["vrf"] = "vrf"
                                self._children_yang_names.add("vrf")

                                self.application = YList(self)
                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.ospf = YList(self)
                                self.ospfv3 = YList(self)
                                self.rip = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute, [], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application, ['name'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "application"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.str, "as-number")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp, ['as_number'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "connected"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.str, "as-number")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp, ['as_number'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisLevelRoutes>`
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions)}
                                    self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea)}
                                    self.is_presence_container = True

                                    self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")

                                    self.isis_area = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis, ['isis_level_routes'], name, value)

                                class IsisLevelRoutes(Enum):
                                    """
                                    IsisLevelRoutes

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")

                                    level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class IsisArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: isis_level_routes
                                    
                                    	
                                    	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.IsisLevelRoutes>`
                                    
                                    .. attribute:: redist_options
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea, self).__init__()

                                        self.yang_name = "isis-area"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                        self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions()
                                        self.redist_options.parent = self
                                        self._children_name_map["redist_options"] = "redist-options"
                                        self._children_yang_names.add("redist-options")
                                        self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                    class IsisLevelRoutes(Enum):
                                        """
                                        IsisLevelRoutes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class RedistOptions(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions.MetricType>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions, self).__init__()

                                            self.yang_name = "redist-options"
                                            self.yang_parent_name = "isis-area"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                            self._segment_path = lambda: "redist-options"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: area_tag_route_map_container
                                
                                	
                                	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: iso_igrp_container
                                
                                	
                                	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                                    self.area_tag_route_map_container.parent = self
                                    self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                    self._children_yang_names.add("area-tag-route-map-container")

                                    self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer()
                                    self.iso_igrp_container.parent = self
                                    self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                    self._children_yang_names.add("iso-igrp-container")
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp, ['route_map'], name, value)


                                class AreaTagRouteMapContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: area_tag
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                        self.yang_name = "area-tag-route-map-container"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.area_tag = YLeaf(YType.str, "area-tag")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "area-tag-route-map-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                                class IsoIgrpContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer, self).__init__()

                                        self.yang_name = "iso-igrp-container"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")
                                        self._segment_path = lambda: "iso-igrp-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Lisp(Entity):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "lisp"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "lisp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "mobile"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "mobile"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "odr"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "odr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.MetricType>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.vrf = YLeaf(YType.str, "vrf")

                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                                class Match(Entity):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal)}
                                        self._child_list_classes = {}

                                        self.internal = None
                                        self._children_name_map["internal"] = "internal"
                                        self._children_yang_names.add("internal")

                                        self.external = None
                                        self._children_name_map["external"] = "external"
                                        self._children_yang_names.add("external")

                                        self.nssa_external = None
                                        self._children_name_map["nssa_external"] = "nssa-external"
                                        self._children_yang_names.add("nssa-external")
                                        self._segment_path = lambda: "match"


                                    class Internal(Entity):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal, self).__init__()

                                            self.yang_name = "internal"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "internal"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class External(Entity):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External, self).__init__()

                                            self.yang_name = "external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class NssaExternal(Entity):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                            self.yang_name = "nssa-external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "nssa-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.MetricType>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")
                                    self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                                class Match(Entity):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.NssaExternal)}
                                        self._child_list_classes = {}

                                        self.internal = None
                                        self._children_name_map["internal"] = "internal"
                                        self._children_yang_names.add("internal")

                                        self.external = None
                                        self._children_name_map["external"] = "external"
                                        self._children_yang_names.add("external")

                                        self.nssa_external = None
                                        self._children_name_map["nssa_external"] = "nssa-external"
                                        self._children_yang_names.add("nssa-external")
                                        self._segment_path = lambda: "match"


                                    class Internal(Entity):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.Internal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.Internal, self).__init__()

                                            self.yang_name = "internal"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "internal"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class External(Entity):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.External.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.External, self).__init__()

                                            self.yang_name = "external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class NssaExternal(Entity):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.NssaExternal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.NssaExternal, self).__init__()

                                            self.yang_name = "nssa-external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "nssa-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: id  <key>
                                
                                	User selected string identifying this rip process
                                	**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip, ['id'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "static"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes redistributed to protocol
                                
                                .. attribute:: number
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: threshold_warning_only_container
                                
                                	
                                	**type**\:  :py:class:`ThresholdWarningOnlyContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"threshold-warning-only-container" : ("threshold_warning_only_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer)}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.uint32, "number")

                                    self.threshold_warning_only_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer()
                                    self.threshold_warning_only_container.parent = self
                                    self._children_name_map["threshold_warning_only_container"] = "threshold-warning-only-container"
                                    self._children_yang_names.add("threshold-warning-only-container")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix, ['number'], name, value)


                                class ThresholdWarningOnlyContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer, self).__init__()

                                        self.yang_name = "threshold-warning-only-container"
                                        self.yang_parent_name = "maximum-prefix"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.threshold = YLeaf(YType.uint32, "threshold")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")
                                        self._segment_path = lambda: "threshold-warning-only-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer, ['threshold', 'warning_only'], name, value)


                            class Vrf(Entity):
                                """
                                Specify a source VRF
                                
                                .. attribute:: non_global_vrf
                                
                                	
                                	**type**\: list of  		 :py:class:`NonGlobalVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf>`
                                
                                .. attribute:: global_
                                
                                	global VRF
                                	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf, self).__init__()

                                    self.yang_name = "vrf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"global" : ("global_", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_)}
                                    self._child_list_classes = {"non-global-vrf" : ("non_global_vrf", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf)}

                                    self.global_ = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_()
                                    self.global_.parent = self
                                    self._children_name_map["global_"] = "global"
                                    self._children_yang_names.add("global")

                                    self.non_global_vrf = YList(self)
                                    self._segment_path = lambda: "vrf"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf, [], name, value)


                                class NonGlobalVrf(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf, self).__init__()

                                        self.yang_name = "non-global-vrf"
                                        self.yang_parent_name = "vrf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected), "isis" : ("isis", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp), "mobile" : ("mobile", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile), "odr" : ("odr", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr), "static" : ("static", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Static)}
                                        self._child_list_classes = {"application" : ("application", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Application), "bgp" : ("bgp", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp), "eigrp" : ("eigrp", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3), "rip" : ("rip", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip)}

                                        self.name = YLeaf(YType.str, "name")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = None
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.iso_igrp = None
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp()
                                        self.lisp.parent = self
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.application = YList(self)
                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self.rip = YList(self)
                                        self._segment_path = lambda: "non-global-vrf" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf, ['name'], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Application, ['name'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "connected"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutes>`
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea)}
                                            self.is_presence_container = True

                                            self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis, ['isis_level_routes'], name, value)

                                        class IsisLevelRoutes(Enum):
                                            """
                                            IsisLevelRoutes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutes>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self
                                                self._children_name_map["redist_options"] = "redist-options"
                                                self._children_yang_names.add("redist-options")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                            class IsisLevelRoutes(Enum):
                                                """
                                                IsisLevelRoutes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                            class RedistOptions(Entity):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricType>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions, self).__init__()

                                                    self.yang_name = "redist-options"
                                                    self.yang_parent_name = "isis-area"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.tag = YLeaf(YType.uint32, "tag")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                    self._segment_path = lambda: "redist-options"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                            self._children_yang_names.add("area-tag-route-map-container")

                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                            self._children_yang_names.add("iso-igrp-container")
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp, ['route_map'], name, value)


                                        class AreaTagRouteMapContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                                self.yang_name = "area-tag-route-map-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.area_tag = YLeaf(YType.str, "area-tag")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "area-tag-route-map-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                                        class IsoIgrpContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer, self).__init__()

                                                self.yang_name = "iso-igrp-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")
                                                self._segment_path = lambda: "iso-igrp-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Lisp(Entity):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "lisp"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "lisp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "mobile"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "mobile"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "odr"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "odr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.vrf = YLeaf(YType.str, "vrf")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip, ['id'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "static"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                class Global_(Entity):
                                    """
                                    global VRF
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_, self).__init__()

                                        self.yang_name = "global"
                                        self.yang_parent_name = "vrf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Connected), "isis" : ("isis", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Lisp), "mobile" : ("mobile", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Mobile), "odr" : ("odr", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Odr), "static" : ("static", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Static)}
                                        self._child_list_classes = {"application" : ("application", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Application), "bgp" : ("bgp", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Bgp), "eigrp" : ("eigrp", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Eigrp), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3), "rip" : ("rip", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Rip)}

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = None
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.iso_igrp = None
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Lisp()
                                        self.lisp.parent = self
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.application = YList(self)
                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self.rip = YList(self)
                                        self._segment_path = lambda: "global"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Application.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Application.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Application, ['name'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Application.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Application.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Bgp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Bgp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Bgp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Bgp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Connected.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Connected.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Connected.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "connected"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Connected.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Eigrp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Eigrp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Eigrp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Eigrp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.IsisLevelRoutes>`
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.RedistOptions)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea)}
                                            self.is_presence_container = True

                                            self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis, ['isis_level_routes'], name, value)

                                        class IsisLevelRoutes(Enum):
                                            """
                                            IsisLevelRoutes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutes>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self
                                                self._children_name_map["redist_options"] = "redist-options"
                                                self._children_yang_names.add("redist-options")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                            class IsisLevelRoutes(Enum):
                                                """
                                                IsisLevelRoutes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                            class RedistOptions(Entity):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricType>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions, self).__init__()

                                                    self.yang_name = "redist-options"
                                                    self.yang_parent_name = "isis-area"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.tag = YLeaf(YType.uint32, "tag")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                    self._segment_path = lambda: "redist-options"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                            self._children_yang_names.add("area-tag-route-map-container")

                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                            self._children_yang_names.add("iso-igrp-container")
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp, ['route_map'], name, value)


                                        class AreaTagRouteMapContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                                self.yang_name = "area-tag-route-map-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.area_tag = YLeaf(YType.str, "area-tag")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "area-tag-route-map-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                                        class IsoIgrpContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer, self).__init__()

                                                self.yang_name = "iso-igrp-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")
                                                self._segment_path = lambda: "iso-igrp-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Lisp(Entity):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Lisp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Lisp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "lisp"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Lisp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "lisp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Mobile.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Mobile.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Mobile.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "mobile"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Mobile.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "mobile"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Odr.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Odr.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Odr.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "odr"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Odr.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "odr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.vrf = YLeaf(YType.str, "vrf")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Rip.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Rip.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Rip, ['id'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Rip.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Static.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Static.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Static.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "static"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Static.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Static.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Redistribute.Vrf.Global_.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                        class Authentication(Entity):
                            """
                            Authentication parameters
                            
                            .. attribute:: mode
                            
                            	Authentication operation mode
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication.Mode>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.mode = YLeaf(YType.enumeration, "mode")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Authentication, ['mode'], name, value)

                            class Mode(Enum):
                                """
                                Mode

                                Authentication operation mode

                                .. data:: deployment = 0

                                .. data:: normal = 1

                                .. data:: strict = 2

                                """

                                deployment = Enum.YLeaf(0, "deployment")

                                normal = Enum.YLeaf(1, "normal")

                                strict = Enum.YLeaf(2, "strict")



                        class GracefulRestart(Entity):
                            """
                            Graceful\-restart options
                            
                            .. attribute:: disable
                            
                            	Graceful restart disable
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: helper
                            
                            	helper support
                            	**type**\:  :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart.Helper>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: restart_interval
                            
                            	Graceful restart interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart, self).__init__()

                                self.yang_name = "graceful-restart"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"helper" : ("helper", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart.Helper)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.restart_interval = YLeaf(YType.uint16, "restart-interval")

                                self.helper = None
                                self._children_name_map["helper"] = "helper"
                                self._children_yang_names.add("helper")
                                self._segment_path = lambda: "graceful-restart"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart, ['disable', 'restart_interval'], name, value)


                            class Helper(Entity):
                                """
                                helper support
                                
                                .. attribute:: disable
                                
                                	disable helper support
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: strict_lsa_checking
                                
                                	enable helper strict LSA checking
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart.Helper, self).__init__()

                                    self.yang_name = "helper"
                                    self.yang_parent_name = "graceful-restart"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")

                                    self.strict_lsa_checking = YLeaf(YType.empty, "strict-lsa-checking")
                                    self._segment_path = lambda: "helper"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.GracefulRestart.Helper, ['disable', 'strict_lsa_checking'], name, value)


                        class Manet(Entity):
                            """
                            Specify MANET OSPF parameters
                            
                            .. attribute:: cache
                            
                            	Specify MANET cache sizes
                            	**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Cache>`
                            
                            .. attribute:: hello
                            
                            	Unicast Hellos rather than multicast
                            	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Hello>`
                            
                            .. attribute:: peering
                            
                            	MANET OSPF Smart Peering
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering>`
                            
                            .. attribute:: willingness
                            
                            	Specify Relay willingness value
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cache" : ("cache", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Cache), "peering" : ("peering", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering)}
                                self._child_list_classes = {}

                                self.hello = YLeaf(YType.enumeration, "hello")

                                self.willingness = YLeaf(YType.uint8, "willingness")

                                self.cache = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Cache()
                                self.cache.parent = self
                                self._children_name_map["cache"] = "cache"
                                self._children_yang_names.add("cache")

                                self.peering = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet, ['hello', 'willingness'], name, value)

                            class Hello(Enum):
                                """
                                Hello

                                Unicast Hellos rather than multicast

                                .. data:: unicast = 0

                                .. data:: multicast = 1

                                """

                                unicast = Enum.YLeaf(0, "unicast")

                                multicast = Enum.YLeaf(1, "multicast")



                            class Cache(Entity):
                                """
                                Specify MANET cache sizes
                                
                                .. attribute:: acknowledgement
                                
                                	Specify MANET acknowledgement cache size
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: update
                                
                                	Specify MANET LSA cache size
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Cache, self).__init__()

                                    self.yang_name = "cache"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.acknowledgement = YLeaf(YType.uint64, "acknowledgement")

                                    self.update = YLeaf(YType.uint64, "update")
                                    self._segment_path = lambda: "cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Cache, ['acknowledgement', 'update'], name, value)


                            class Peering(Entity):
                                """
                                MANET OSPF Smart Peering
                                
                                .. attribute:: selective
                                
                                	Enable selective peering
                                	**type**\:  :py:class:`Selective <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering.Selective>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"selective" : ("selective", Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering.Selective)}
                                    self._child_list_classes = {}

                                    self.selective = Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering.Selective()
                                    self.selective.parent = self
                                    self._children_name_map["selective"] = "selective"
                                    self._children_yang_names.add("selective")
                                    self._segment_path = lambda: "peering"


                                class Selective(Entity):
                                    """
                                    Enable selective peering
                                    
                                    .. attribute:: disable
                                    
                                    	Disable selective peering
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: per_interface
                                    
                                    	Select peers per interface rather than per node
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: redundancy
                                    
                                    	Redundant paths
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering.Selective, self).__init__()

                                        self.yang_name = "selective"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.disable = YLeaf(YType.empty, "disable")

                                        self.per_interface = YLeaf(YType.empty, "per-interface")

                                        self.redundancy = YLeaf(YType.uint8, "redundancy")
                                        self._segment_path = lambda: "selective"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.Manet.Peering.Selective, ['disable', 'per_interface', 'redundancy'], name, value)


                        class SummaryPrefix(Entity):
                            """
                            
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            .. attribute:: nssa_only
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: not_advertise
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.SummaryPrefix, self).__init__()

                                self.yang_name = "summary-prefix"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.tag = YLeaf(YType.uint32, "tag")

                                self.not_advertise = YLeaf(YType.empty, "not-advertise")
                                self._segment_path = lambda: "summary-prefix" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv4.Vrf.SummaryPrefix, ['prefix', 'nssa_only', 'tag', 'not_advertise'], name, value)


                class Ipv6(Entity):
                    """
                    IPv6 Address family
                    
                    .. attribute:: unicast
                    
                    	
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vrf
                    
                    	Specify parameters for a VPN Routing/Forwarding instance
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-ospfv3'
                    _revision = '2017-04-28'

                    def __init__(self):
                        super(Native.Router.Ospfv3.AddressFamily.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "address-family"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"unicast" : ("unicast", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast)}
                        self._child_list_classes = {"vrf" : ("vrf", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf)}

                        self.unicast = None
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")

                        self.vrf = YList(self)
                        self._segment_path = lambda: "ipv6"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6, [], name, value)


                    class Unicast(Entity):
                        """
                        
                        
                        .. attribute:: area
                        
                        	OSPF area parameters
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area>`
                        
                        .. attribute:: auto_cost
                        
                        	Calculate OSPF interface cost according to bandwidth
                        	**type**\:  :py:class:`AutoCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.AutoCost>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: event_log
                        
                        	OSPF Event Logging
                        	**type**\:  :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.EventLog>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bfd
                        
                        	BFD configuration commands
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Bfd>`
                        
                        .. attribute:: interface_id
                        
                        	Source of the interface ID
                        	**type**\:  :py:class:`InterfaceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.InterfaceId>`
                        
                        .. attribute:: log_adjacency_changes
                        
                        	Log changes in adjacency state
                        	**type**\:  :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.LogAdjacencyChanges>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: max_lsa
                        
                        	maximum number of LSAs OSPF process will receive
                        	**type**\:  :py:class:`MaxLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxLsa>`
                        
                        .. attribute:: max_metric
                        
                        	Set maximum metric
                        	**type**\:  :py:class:`MaxMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric>`
                        
                        .. attribute:: passive_interface
                        
                        	Suppress routing updates on an interface
                        	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.PassiveInterface>`
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable>`
                        
                        .. attribute:: queue_depth
                        
                        	OSPF Hello/Router process queue depth
                        	**type**\:  :py:class:`QueueDepth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth>`
                        
                        .. attribute:: timers
                        
                        	Adjust routing timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers>`
                        
                        .. attribute:: router_id
                        
                        	Override configured router identifier (peers will reset)
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nsr
                        
                        	Enable non\-stop routing
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_share
                        
                        	How to compute traffic share over alternate paths
                        	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TrafficShare>`
                        
                        .. attribute:: ttl_security
                        
                        	TTL security check
                        	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TtlSecurity>`
                        
                        .. attribute:: capability
                        
                        	Enable specific OSPF feature
                        	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability>`
                        
                        .. attribute:: compatible
                        
                        	OSPF compatibility list
                        	**type**\:  :py:class:`Compatible <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Compatible>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: discard_route
                        
                        	Enable or disable discard\-route installation
                        	**type**\:  :py:class:`DiscardRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DiscardRoute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute>`
                        
                        .. attribute:: authentication
                        
                        	Authentication parameters
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication>`
                        
                        .. attribute:: graceful_restart
                        
                        	Graceful\-restart options
                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF parameters
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet>`
                        
                        .. attribute:: summary_prefix
                        
                        	Configure IPv6 summary prefix
                        	**type**\: list of  		 :py:class:`SummaryPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.SummaryPrefix>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"auto-cost" : ("auto_cost", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.AutoCost), "event-log" : ("event_log", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.EventLog), "bfd" : ("bfd", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Bfd), "interface-id" : ("interface_id", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.InterfaceId), "log-adjacency-changes" : ("log_adjacency_changes", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.LogAdjacencyChanges), "max-lsa" : ("max_lsa", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxLsa), "max-metric" : ("max_metric", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric), "passive-interface" : ("passive_interface", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.PassiveInterface), "disable" : ("disable", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable), "queue-depth" : ("queue_depth", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth), "timers" : ("timers", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers), "traffic-share" : ("traffic_share", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TrafficShare), "ttl-security" : ("ttl_security", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TtlSecurity), "capability" : ("capability", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability), "compatible" : ("compatible", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Compatible), "default-information" : ("default_information", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation), "discard-route" : ("discard_route", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DiscardRoute), "distance" : ("distance", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance), "redistribute" : ("redistribute", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute), "authentication" : ("authentication", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication), "graceful-restart" : ("graceful_restart", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart), "manet" : ("manet", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet)}
                            self._child_list_classes = {"area" : ("area", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area), "summary-prefix" : ("summary_prefix", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.SummaryPrefix)}
                            self.is_presence_container = True

                            self.router_id = YLeaf(YType.str, "router-id")

                            self.nsr = YLeaf(YType.empty, "nsr")

                            self.default_metric = YLeaf(YType.uint32, "default-metric")

                            self.maximum_paths = YLeaf(YType.uint32, "maximum-paths")

                            self.auto_cost = None
                            self._children_name_map["auto_cost"] = "auto-cost"
                            self._children_yang_names.add("auto-cost")

                            self.event_log = None
                            self._children_name_map["event_log"] = "event-log"
                            self._children_yang_names.add("event-log")

                            self.bfd = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Bfd()
                            self.bfd.parent = self
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.interface_id = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.InterfaceId()
                            self.interface_id.parent = self
                            self._children_name_map["interface_id"] = "interface-id"
                            self._children_yang_names.add("interface-id")

                            self.log_adjacency_changes = None
                            self._children_name_map["log_adjacency_changes"] = "log-adjacency-changes"
                            self._children_yang_names.add("log-adjacency-changes")

                            self.max_lsa = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxLsa()
                            self.max_lsa.parent = self
                            self._children_name_map["max_lsa"] = "max-lsa"
                            self._children_yang_names.add("max-lsa")

                            self.max_metric = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric()
                            self.max_metric.parent = self
                            self._children_name_map["max_metric"] = "max-metric"
                            self._children_yang_names.add("max-metric")

                            self.passive_interface = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.PassiveInterface()
                            self.passive_interface.parent = self
                            self._children_name_map["passive_interface"] = "passive-interface"
                            self._children_yang_names.add("passive-interface")

                            self.disable = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable()
                            self.disable.parent = self
                            self._children_name_map["disable"] = "disable"
                            self._children_yang_names.add("disable")

                            self.queue_depth = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth()
                            self.queue_depth.parent = self
                            self._children_name_map["queue_depth"] = "queue-depth"
                            self._children_yang_names.add("queue-depth")

                            self.timers = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")

                            self.traffic_share = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TrafficShare()
                            self.traffic_share.parent = self
                            self._children_name_map["traffic_share"] = "traffic-share"
                            self._children_yang_names.add("traffic-share")

                            self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TtlSecurity()
                            self.ttl_security.parent = self
                            self._children_name_map["ttl_security"] = "ttl-security"
                            self._children_yang_names.add("ttl-security")

                            self.capability = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability()
                            self.capability.parent = self
                            self._children_name_map["capability"] = "capability"
                            self._children_yang_names.add("capability")

                            self.compatible = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Compatible()
                            self.compatible.parent = self
                            self._children_name_map["compatible"] = "compatible"
                            self._children_yang_names.add("compatible")

                            self.default_information = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.discard_route = None
                            self._children_name_map["discard_route"] = "discard-route"
                            self._children_yang_names.add("discard-route")

                            self.distance = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.redistribute = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.graceful_restart = None
                            self._children_name_map["graceful_restart"] = "graceful-restart"
                            self._children_yang_names.add("graceful-restart")

                            self.manet = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.area = YList(self)
                            self.summary_prefix = YList(self)
                            self._segment_path = lambda: "unicast"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast, ['router_id', 'nsr', 'default_metric', 'maximum_paths'], name, value)


                        class Area(Entity):
                            """
                            OSPF area parameters
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: authentication
                            
                            	Enable authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Authentication>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Enable area specific capability
                            	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Capability>`
                            
                            .. attribute:: default_cost
                            
                            	Set the summary default\-cost of a NSSA/stub area
                            	**type**\: int
                            
                            	**range:** 0..16777215
                            
                            .. attribute:: filter_list
                            
                            	Filter networks between OSPF areas
                            	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList>`
                            
                            .. attribute:: nssa
                            
                            	Specify a NSSA area
                            	**type**\:  :py:class:`Nssa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv4_range
                            
                            	
                            	**type**\:  :py:class:`Ipv4Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range>`
                            
                            .. attribute:: ipv6_range
                            
                            	
                            	**type**\:  :py:class:`Ipv6Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range>`
                            
                            .. attribute:: sham_link
                            
                            	Define a sham link and its parameters
                            	**type**\: list of  		 :py:class:`ShamLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink>`
                            
                            .. attribute:: stub
                            
                            	Specify a stub area
                            	**type**\:  :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Stub>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: virtual_link
                            
                            	Define a virtual link and its parameters
                            	**type**\: list of  		 :py:class:`VirtualLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Authentication), "capability" : ("capability", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Capability), "nssa" : ("nssa", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa), "ipv4-range" : ("ipv4_range", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range), "ipv6-range" : ("ipv6_range", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range), "stub" : ("stub", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Stub)}
                                self._child_list_classes = {"filter-list" : ("filter_list", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList), "sham-link" : ("sham_link", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink), "virtual-link" : ("virtual_link", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink)}

                                self.id = YLeaf(YType.str, "id")

                                self.default_cost = YLeaf(YType.uint32, "default-cost")

                                self.authentication = None
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")

                                self.capability = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Capability()
                                self.capability.parent = self
                                self._children_name_map["capability"] = "capability"
                                self._children_yang_names.add("capability")

                                self.nssa = None
                                self._children_name_map["nssa"] = "nssa"
                                self._children_yang_names.add("nssa")

                                self.ipv4_range = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range()
                                self.ipv4_range.parent = self
                                self._children_name_map["ipv4_range"] = "ipv4-range"
                                self._children_yang_names.add("ipv4-range")

                                self.ipv6_range = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range()
                                self.ipv6_range.parent = self
                                self._children_name_map["ipv6_range"] = "ipv6-range"
                                self._children_yang_names.add("ipv6-range")

                                self.stub = None
                                self._children_name_map["stub"] = "stub"
                                self._children_yang_names.add("stub")

                                self.filter_list = YList(self)
                                self.sham_link = YList(self)
                                self.virtual_link = YList(self)
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area, ['id', 'default_cost'], name, value)


                            class Authentication(Entity):
                                """
                                Enable authentication
                                
                                .. attribute:: message_digest
                                
                                	Use message\-digest authentication
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.message_digest = YLeaf(YType.empty, "message-digest")
                                    self._segment_path = lambda: "authentication"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Authentication, ['message_digest'], name, value)


                            class Capability(Entity):
                                """
                                Enable area specific capability
                                
                                .. attribute:: default_exclusion
                                
                                	Enable exclusion of links from base topology
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Capability, self).__init__()

                                    self.yang_name = "capability"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.default_exclusion = YLeaf(YType.empty, "default-exclusion")
                                    self._segment_path = lambda: "capability"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Capability, ['default_exclusion'], name, value)


                            class FilterList(Entity):
                                """
                                Filter networks between OSPF areas
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:  :py:class:`InOut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList.InOut>`
                                
                                .. attribute:: prefix
                                
                                	Filter prefixes between OSPF areas
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList, self).__init__()

                                    self.yang_name = "filter-list"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_out = YLeaf(YType.enumeration, "in-out")

                                    self.prefix = YLeaf(YType.str, "prefix")
                                    self._segment_path = lambda: "filter-list" + "[in-out='" + self.in_out.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.FilterList, ['in_out', 'prefix'], name, value)

                                class InOut(Enum):
                                    """
                                    InOut

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class Nssa(Entity):
                                """
                                Specify a NSSA area
                                
                                .. attribute:: default_information_originate
                                
                                	Originate Type 7 default into NSSA area
                                	**type**\:  :py:class:`DefaultInformationOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into NSSA
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_redistribution
                                
                                	No redistribution into this NSSA area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into NSSA
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit default advertisement to this NSSA area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: translate
                                
                                	Translate LSA
                                	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa, self).__init__()

                                    self.yang_name = "nssa"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default-information-originate" : ("default_information_originate", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate), "translate" : ("translate", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                                    self.no_redistribution = YLeaf(YType.empty, "no-redistribution")

                                    self.no_summary = YLeaf(YType.empty, "no-summary")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                    self.default_information_originate = None
                                    self._children_name_map["default_information_originate"] = "default-information-originate"
                                    self._children_yang_names.add("default-information-originate")

                                    self.translate = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate()
                                    self.translate.parent = self
                                    self._children_name_map["translate"] = "translate"
                                    self._children_yang_names.add("translate")
                                    self._segment_path = lambda: "nssa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa, ['no_ext_capability', 'no_redistribution', 'no_summary', 'nssa_only'], name, value)


                                class DefaultInformationOriginate(Entity):
                                    """
                                    Originate Type 7 default into NSSA area
                                    
                                    .. attribute:: metric
                                    
                                    	OSPF default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..16777214
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF metric type for default routes
                                    	**type**\: int
                                    
                                    	**range:** 1..2
                                    
                                    .. attribute:: no_ext_capability
                                    
                                    	Do not send domain specific capabilities into NSSA
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_redistribution
                                    
                                    	No redistribution into this NSSA area
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_summary
                                    
                                    	Do not send summary LSA into NSSA
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit default advertisement to this NSSA area
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: translate
                                    
                                    	Translate LSA
                                    	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate, self).__init__()

                                        self.yang_name = "default-information-originate"
                                        self.yang_parent_name = "nssa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"translate" : ("translate", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.int32, "metric")

                                        self.metric_type = YLeaf(YType.uint32, "metric-type")

                                        self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                                        self.no_redistribution = YLeaf(YType.empty, "no-redistribution")

                                        self.no_summary = YLeaf(YType.empty, "no-summary")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.translate = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate()
                                        self.translate.parent = self
                                        self._children_name_map["translate"] = "translate"
                                        self._children_yang_names.add("translate")
                                        self._segment_path = lambda: "default-information-originate"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate, ['metric', 'metric_type', 'no_ext_capability', 'no_redistribution', 'no_summary', 'nssa_only'], name, value)


                                    class Translate(Entity):
                                        """
                                        Translate LSA
                                        
                                        .. attribute:: type7
                                        
                                        	From Type 7 to Type 5
                                        	**type**\:  :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate, self).__init__()

                                            self.yang_name = "translate"
                                            self.yang_parent_name = "default-information-originate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"type7" : ("type7", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7)}
                                            self._child_list_classes = {}

                                            self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7()
                                            self.type7.parent = self
                                            self._children_name_map["type7"] = "type7"
                                            self._children_yang_names.add("type7")
                                            self._segment_path = lambda: "translate"


                                        class Type7(Entity):
                                            """
                                            From Type 7 to Type 5
                                            
                                            .. attribute:: always
                                            
                                            	Always translate LSAs on this ABR
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: suppress_fa
                                            
                                            	Suppress forwarding address in translated LSAs
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7, self).__init__()

                                                self.yang_name = "type7"
                                                self.yang_parent_name = "translate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.always = YLeaf(YType.empty, "always")

                                                self.suppress_fa = YLeaf(YType.empty, "suppress-fa")
                                                self._segment_path = lambda: "type7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.DefaultInformationOriginate.Translate.Type7, ['always', 'suppress_fa'], name, value)


                                class Translate(Entity):
                                    """
                                    Translate LSA
                                    
                                    .. attribute:: type7
                                    
                                    	From Type 7 to Type 5
                                    	**type**\:  :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate.Type7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate, self).__init__()

                                        self.yang_name = "translate"
                                        self.yang_parent_name = "nssa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"type7" : ("type7", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate.Type7)}
                                        self._child_list_classes = {}

                                        self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate.Type7()
                                        self.type7.parent = self
                                        self._children_name_map["type7"] = "type7"
                                        self._children_yang_names.add("type7")
                                        self._segment_path = lambda: "translate"


                                    class Type7(Entity):
                                        """
                                        From Type 7 to Type 5
                                        
                                        .. attribute:: always
                                        
                                        	Always translate LSAs on this ABR
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: suppress_fa
                                        
                                        	Suppress forwarding address in translated LSAs
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate.Type7, self).__init__()

                                            self.yang_name = "type7"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.always = YLeaf(YType.empty, "always")

                                            self.suppress_fa = YLeaf(YType.empty, "suppress-fa")
                                            self._segment_path = lambda: "type7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Nssa.Translate.Type7, ['always', 'suppress_fa'], name, value)


                            class Ipv4Range(Entity):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range, self).__init__()

                                    self.yang_name = "ipv4-range"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"range" : ("range", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range.Range)}

                                    self.range = YList(self)
                                    self._segment_path = lambda: "ipv4-range"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range, [], name, value)


                                class Range(Entity):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: mask  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\: int
                                    
                                    	**range:** 0..16777215
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "ipv4-range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.str, "ip")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.advertise = YLeaf(YType.empty, "advertise")

                                        self.not_advertise = YLeaf(YType.empty, "not-advertise")

                                        self.cost = YLeaf(YType.uint32, "cost")
                                        self._segment_path = lambda: "range" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv4Range.Range, ['ip', 'mask', 'advertise', 'not_advertise', 'cost'], name, value)


                            class Ipv6Range(Entity):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range, self).__init__()

                                    self.yang_name = "ipv6-range"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"range" : ("range", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range.Range)}

                                    self.range = YList(self)
                                    self._segment_path = lambda: "ipv6-range"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range, [], name, value)


                                class Range(Entity):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\: int
                                    
                                    	**range:** 0..16777215
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "ipv6-range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.str, "ip")

                                        self.advertise = YLeaf(YType.empty, "advertise")

                                        self.not_advertise = YLeaf(YType.empty, "not-advertise")

                                        self.cost = YLeaf(YType.uint32, "cost")
                                        self._segment_path = lambda: "range" + "[ip='" + self.ip.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Ipv6Range.Range, ['ip', 'advertise', 'not_advertise', 'cost'], name, value)


                            class ShamLink(Entity):
                                """
                                Define a sham link and its parameters
                                
                                .. attribute:: source  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: dest  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: cost
                                
                                	Associate a cost with the sham\-link
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink.TtlSecurity>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink, self).__init__()

                                    self.yang_name = "sham-link"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ttl-security" : ("ttl_security", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink.TtlSecurity)}
                                    self._child_list_classes = {}

                                    self.source = YLeaf(YType.str, "source")

                                    self.dest = YLeaf(YType.str, "dest")

                                    self.cost = YLeaf(YType.uint16, "cost")

                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink.TtlSecurity()
                                    self.ttl_security.parent = self
                                    self._children_name_map["ttl_security"] = "ttl-security"
                                    self._children_yang_names.add("ttl-security")
                                    self._segment_path = lambda: "sham-link" + "[source='" + self.source.get() + "']" + "[dest='" + self.dest.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink, ['source', 'dest', 'cost'], name, value)


                                class TtlSecurity(Entity):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink.TtlSecurity, self).__init__()

                                        self.yang_name = "ttl-security"
                                        self.yang_parent_name = "sham-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hops = YLeaf(YType.uint8, "hops")
                                        self._segment_path = lambda: "ttl-security"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.ShamLink.TtlSecurity, ['hops'], name, value)


                            class Stub(Entity):
                                """
                                Specify a stub area
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into stub area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into stub area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Stub, self).__init__()

                                    self.yang_name = "stub"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                                    self.no_summary = YLeaf(YType.empty, "no-summary")
                                    self._segment_path = lambda: "stub"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.Stub, ['no_ext_capability', 'no_summary'], name, value)


                            class VirtualLink(Entity):
                                """
                                Define a virtual link and its parameters
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: authentication
                                
                                	Set authentication type
                                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication>`
                                
                                .. attribute:: hello_interval
                                
                                	Hello packet interval
                                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.HelloInterval>`
                                
                                .. attribute:: dead_interval
                                
                                	Dead router detection time
                                	**type**\:  :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.DeadInterval>`
                                
                                .. attribute:: retransmit_interval
                                
                                	LSA retransmit interval
                                	**type**\:  :py:class:`RetransmitInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.RetransmitInterval>`
                                
                                .. attribute:: transmit_delay
                                
                                	LSA transmission delay
                                	**type**\:  :py:class:`TransmitDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TransmitDelay>`
                                
                                .. attribute:: topology
                                
                                	Disable virtual link on topology
                                	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Topology>`
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TtlSecurity>`
                                
                                .. attribute:: authentication_key
                                
                                	Set authentication key
                                	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.AuthenticationKey>`
                                
                                .. attribute:: message_digest_key
                                
                                	Set message digest key
                                	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink, self).__init__()

                                    self.yang_name = "virtual-link"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authentication" : ("authentication", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication), "hello-interval" : ("hello_interval", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.HelloInterval), "dead-interval" : ("dead_interval", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.DeadInterval), "retransmit-interval" : ("retransmit_interval", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.RetransmitInterval), "transmit-delay" : ("transmit_delay", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TransmitDelay), "topology" : ("topology", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Topology), "ttl-security" : ("ttl_security", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TtlSecurity), "authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.AuthenticationKey)}
                                    self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey)}

                                    self.id = YLeaf(YType.str, "id")

                                    self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication()
                                    self.authentication.parent = self
                                    self._children_name_map["authentication"] = "authentication"
                                    self._children_yang_names.add("authentication")

                                    self.hello_interval = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.HelloInterval()
                                    self.hello_interval.parent = self
                                    self._children_name_map["hello_interval"] = "hello-interval"
                                    self._children_yang_names.add("hello-interval")

                                    self.dead_interval = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.DeadInterval()
                                    self.dead_interval.parent = self
                                    self._children_name_map["dead_interval"] = "dead-interval"
                                    self._children_yang_names.add("dead-interval")

                                    self.retransmit_interval = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.RetransmitInterval()
                                    self.retransmit_interval.parent = self
                                    self._children_name_map["retransmit_interval"] = "retransmit-interval"
                                    self._children_yang_names.add("retransmit-interval")

                                    self.transmit_delay = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TransmitDelay()
                                    self.transmit_delay.parent = self
                                    self._children_name_map["transmit_delay"] = "transmit-delay"
                                    self._children_yang_names.add("transmit-delay")

                                    self.topology = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Topology()
                                    self.topology.parent = self
                                    self._children_name_map["topology"] = "topology"
                                    self._children_yang_names.add("topology")

                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TtlSecurity()
                                    self.ttl_security.parent = self
                                    self._children_name_map["ttl_security"] = "ttl-security"
                                    self._children_yang_names.add("ttl-security")

                                    self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self._children_name_map["authentication_key"] = "authentication-key"
                                    self._children_yang_names.add("authentication-key")

                                    self.message_digest_key = YList(self)
                                    self._segment_path = lambda: "virtual-link" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink, ['id'], name, value)


                                class Authentication(Entity):
                                    """
                                    Set authentication type
                                    
                                    .. attribute:: authentication_key
                                    
                                    	Set authentication key
                                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.AuthenticationKey>`
                                    
                                    .. attribute:: message_digest_key
                                    
                                    	Set message digest key
                                    	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey>`
                                    
                                    .. attribute:: key_chain
                                    
                                    	Use a key\-chain for cryptographic authentication keys
                                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain>`
                                    
                                    .. attribute:: message_digest
                                    
                                    	Message\-digest authentication
                                    	**type**\:  :py:class:`MessageDigest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest>`
                                    
                                    .. attribute:: null
                                    
                                    	No authentication
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication, self).__init__()

                                        self.yang_name = "authentication"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.AuthenticationKey), "key-chain" : ("key_chain", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain), "message-digest" : ("message_digest", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest)}
                                        self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey)}

                                        self.null = YLeaf(YType.empty, "null")

                                        self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.AuthenticationKey()
                                        self.authentication_key.parent = self
                                        self._children_name_map["authentication_key"] = "authentication-key"
                                        self._children_yang_names.add("authentication-key")

                                        self.key_chain = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain()
                                        self.key_chain.parent = self
                                        self._children_name_map["key_chain"] = "key-chain"
                                        self._children_yang_names.add("key-chain")

                                        self.message_digest = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest()
                                        self.message_digest.parent = self
                                        self._children_name_map["message_digest"] = "message-digest"
                                        self._children_yang_names.add("message-digest")

                                        self.message_digest_key = YList(self)
                                        self._segment_path = lambda: "authentication"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication, ['null'], name, value)


                                    class AuthenticationKey(Entity):
                                        """
                                        Set authentication key
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.AuthenticationKey, self).__init__()

                                            self.yang_name = "authentication-key"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                                            self.auth_key = YLeaf(YType.str, "auth-key")
                                            self._segment_path = lambda: "authentication-key"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                    class MessageDigestKey(Entity):
                                        """
                                        Set message digest key
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: md5
                                        
                                        	Use MD5 algorithm
                                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey, self).__init__()

                                            self.yang_name = "message-digest-key"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint8, "id")

                                            self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5()
                                            self.md5.parent = self
                                            self._children_name_map["md5"] = "md5"
                                            self._children_yang_names.add("md5")
                                            self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey, ['id'], name, value)


                                        class Md5(Entity):
                                            """
                                            Use MD5 algorithm
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**length:** 1..16
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5, self).__init__()

                                                self.yang_name = "md5"
                                                self.yang_parent_name = "message-digest-key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                self.auth_key = YLeaf(YType.str, "auth-key")
                                                self._segment_path = lambda: "md5"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                                    class KeyChain(Entity):
                                        """
                                        Use a key\-chain for cryptographic authentication keys
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain, self).__init__()

                                            self.yang_name = "key-chain"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey)}
                                            self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey)}

                                            self.name = YLeaf(YType.str, "name")

                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self._children_name_map["authentication_key"] = "authentication-key"
                                            self._children_yang_names.add("authentication-key")

                                            self.message_digest_key = YList(self)
                                            self._segment_path = lambda: "key-chain"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain, ['name'], name, value)


                                        class AuthenticationKey(Entity):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey, self).__init__()

                                                self.yang_name = "authentication-key"
                                                self.yang_parent_name = "key-chain"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                self.auth_key = YLeaf(YType.str, "auth-key")
                                                self._segment_path = lambda: "authentication-key"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                        class MessageDigestKey(Entity):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey, self).__init__()

                                                self.yang_name = "message-digest-key"
                                                self.yang_parent_name = "key-chain"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint8, "id")

                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5()
                                                self.md5.parent = self
                                                self._children_name_map["md5"] = "md5"
                                                self._children_yang_names.add("md5")
                                                self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey, ['id'], name, value)


                                            class Md5(Entity):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**length:** 1..16
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5, self).__init__()

                                                    self.yang_name = "md5"
                                                    self.yang_parent_name = "message-digest-key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                                    self._segment_path = lambda: "md5"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                                    class MessageDigest(Entity):
                                        """
                                        Message\-digest authentication
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest, self).__init__()

                                            self.yang_name = "message-digest"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey)}
                                            self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey)}

                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self._children_name_map["authentication_key"] = "authentication-key"
                                            self._children_yang_names.add("authentication-key")

                                            self.message_digest_key = YList(self)
                                            self._segment_path = lambda: "message-digest"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest, [], name, value)


                                        class AuthenticationKey(Entity):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey, self).__init__()

                                                self.yang_name = "authentication-key"
                                                self.yang_parent_name = "message-digest"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                self.auth_key = YLeaf(YType.str, "auth-key")
                                                self._segment_path = lambda: "authentication-key"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                        class MessageDigestKey(Entity):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey, self).__init__()

                                                self.yang_name = "message-digest-key"
                                                self.yang_parent_name = "message-digest"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint8, "id")

                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5()
                                                self.md5.parent = self
                                                self._children_name_map["md5"] = "md5"
                                                self._children_yang_names.add("md5")
                                                self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey, ['id'], name, value)


                                            class Md5(Entity):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**length:** 1..16
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5, self).__init__()

                                                    self.yang_name = "md5"
                                                    self.yang_parent_name = "message-digest-key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                                    self._segment_path = lambda: "md5"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                                class HelloInterval(Entity):
                                    """
                                    Hello packet interval
                                    
                                    .. attribute:: hello_interval_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.HelloInterval, self).__init__()

                                        self.yang_name = "hello-interval"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hello_interval_value = YLeaf(YType.int32, "hello-interval-value")
                                        self._segment_path = lambda: "hello-interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.HelloInterval, ['hello_interval_value'], name, value)


                                class DeadInterval(Entity):
                                    """
                                    Dead router detection time
                                    
                                    .. attribute:: dead_interval_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.DeadInterval, self).__init__()

                                        self.yang_name = "dead-interval"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dead_interval_value = YLeaf(YType.uint16, "dead-interval-value")
                                        self._segment_path = lambda: "dead-interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.DeadInterval, ['dead_interval_value'], name, value)


                                class RetransmitInterval(Entity):
                                    """
                                    LSA retransmit interval
                                    
                                    .. attribute:: retransmit_interval_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.RetransmitInterval, self).__init__()

                                        self.yang_name = "retransmit-interval"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.retransmit_interval_value = YLeaf(YType.uint16, "retransmit-interval-value")
                                        self._segment_path = lambda: "retransmit-interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.RetransmitInterval, ['retransmit_interval_value'], name, value)


                                class TransmitDelay(Entity):
                                    """
                                    LSA transmission delay
                                    
                                    .. attribute:: transmit_delay_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TransmitDelay, self).__init__()

                                        self.yang_name = "transmit-delay"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.transmit_delay_value = YLeaf(YType.uint16, "transmit-delay-value")
                                        self._segment_path = lambda: "transmit-delay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TransmitDelay, ['transmit_delay_value'], name, value)


                                class Topology(Entity):
                                    """
                                    Disable virtual link on topology
                                    
                                    .. attribute:: disable
                                    
                                    	Disable virtual link
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Topology, self).__init__()

                                        self.yang_name = "topology"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "topology"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.Topology, ['disable'], name, value)


                                class TtlSecurity(Entity):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\: int
                                    
                                    	**range:** 1..254
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TtlSecurity, self).__init__()

                                        self.yang_name = "ttl-security"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hops = YLeaf(YType.uint8, "hops")
                                        self._segment_path = lambda: "ttl-security"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.TtlSecurity, ['hops'], name, value)


                                class AuthenticationKey(Entity):
                                    """
                                    Set authentication key
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.AuthenticationKey, self).__init__()

                                        self.yang_name = "authentication-key"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.auth_type = YLeaf(YType.uint8, "auth-type")

                                        self.auth_key = YLeaf(YType.str, "auth-key")
                                        self._segment_path = lambda: "authentication-key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                class MessageDigestKey(Entity):
                                    """
                                    Set message digest key
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: md5
                                    
                                    	Use MD5 algorithm
                                    	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey.Md5>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey, self).__init__()

                                        self.yang_name = "message-digest-key"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey.Md5)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint8, "id")

                                        self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey.Md5()
                                        self.md5.parent = self
                                        self._children_name_map["md5"] = "md5"
                                        self._children_yang_names.add("md5")
                                        self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey, ['id'], name, value)


                                    class Md5(Entity):
                                        """
                                        Use MD5 algorithm
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**length:** 1..16
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey.Md5, self).__init__()

                                            self.yang_name = "md5"
                                            self.yang_parent_name = "message-digest-key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                                            self.auth_key = YLeaf(YType.str, "auth-key")
                                            self._segment_path = lambda: "md5"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Area.VirtualLink.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                        class AutoCost(Entity):
                            """
                            Calculate OSPF interface cost according to bandwidth
                            
                            .. attribute:: reference_bandwidth
                            
                            	Use reference bandwidth method to assign OSPF cost
                            	**type**\: int
                            
                            	**range:** 1..4294967
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.AutoCost, self).__init__()

                                self.yang_name = "auto-cost"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.reference_bandwidth = YLeaf(YType.uint32, "reference-bandwidth")
                                self._segment_path = lambda: "auto-cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.AutoCost, ['reference_bandwidth'], name, value)


                        class EventLog(Entity):
                            """
                            OSPF Event Logging
                            
                            .. attribute:: one_shot
                            
                            	Disable Logging When Log Buffer Becomes Full
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pause
                            
                            	Pause Event Logging
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: size
                            
                            	Maximum Number of Events Stored in the Event Log
                            	**type**\: int
                            
                            	**range:** 1..65534
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.EventLog, self).__init__()

                                self.yang_name = "event-log"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.one_shot = YLeaf(YType.empty, "one-shot")

                                self.pause = YLeaf(YType.empty, "pause")

                                self.size = YLeaf(YType.uint32, "size")
                                self._segment_path = lambda: "event-log"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.EventLog, ['one_shot', 'pause', 'size'], name, value)


                        class Bfd(Entity):
                            """
                            BFD configuration commands
                            
                            .. attribute:: all_interfaces
                            
                            	Enable BFD on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all_interfaces = YLeaf(YType.empty, "all-interfaces")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Bfd, ['all_interfaces'], name, value)


                        class InterfaceId(Entity):
                            """
                            Source of the interface ID
                            
                            .. attribute:: snmp_if_index
                            
                            	SNMP MIB ifIndex
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.InterfaceId, self).__init__()

                                self.yang_name = "interface-id"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.snmp_if_index = YLeaf(YType.empty, "snmp-if-index")
                                self._segment_path = lambda: "interface-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.InterfaceId, ['snmp_if_index'], name, value)


                        class LogAdjacencyChanges(Entity):
                            """
                            Log changes in adjacency state
                            
                            .. attribute:: detail
                            
                            	Log all state changes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.LogAdjacencyChanges, self).__init__()

                                self.yang_name = "log-adjacency-changes"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.detail = YLeaf(YType.empty, "detail")
                                self._segment_path = lambda: "log-adjacency-changes"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.LogAdjacencyChanges, ['detail'], name, value)


                        class MaxLsa(Entity):
                            """
                            maximum number of LSAs OSPF process will receive
                            
                            .. attribute:: number
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967294
                            
                            .. attribute:: threshold_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: ignore_count
                            
                            	maximum number of times adjacencies can be suppressed
                            	**type**\: int
                            
                            	**range:** 1..65534
                            
                            .. attribute:: ignore_time
                            
                            	time during which all adjacencies are suppressed
                            	**type**\: int
                            
                            	**range:** 1..17895
                            
                            .. attribute:: reset_time
                            
                            	time after which ignore\-count is reset to zero
                            	**type**\: int
                            
                            	**range:** 2..35791
                            
                            .. attribute:: warning_only
                            
                            	Only give warning message when limit is exceeded
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxLsa, self).__init__()

                                self.yang_name = "max-lsa"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.uint32, "number")

                                self.threshold_value = YLeaf(YType.uint32, "threshold-value")

                                self.ignore_count = YLeaf(YType.uint32, "ignore-count")

                                self.ignore_time = YLeaf(YType.uint32, "ignore-time")

                                self.reset_time = YLeaf(YType.uint32, "reset-time")

                                self.warning_only = YLeaf(YType.empty, "warning-only")
                                self._segment_path = lambda: "max-lsa"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxLsa, ['number', 'threshold_value', 'ignore_count', 'ignore_time', 'reset_time', 'warning_only'], name, value)


                        class MaxMetric(Entity):
                            """
                            Set maximum metric
                            
                            .. attribute:: router_lsa
                            
                            	Maximum metric in self\-originated router\-LSAs
                            	**type**\:  :py:class:`RouterLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric, self).__init__()

                                self.yang_name = "max-metric"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"router-lsa" : ("router_lsa", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa)}
                                self._child_list_classes = {}

                                self.router_lsa = None
                                self._children_name_map["router_lsa"] = "router-lsa"
                                self._children_yang_names.add("router-lsa")
                                self._segment_path = lambda: "max-metric"


                            class RouterLsa(Entity):
                                """
                                Maximum metric in self\-originated router\-LSAs
                                
                                .. attribute:: external_lsa
                                
                                	Override external\-lsa metric with max\-metric value
                                	**type**\:  :py:class:`ExternalLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.ExternalLsa>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: include_stub
                                
                                	Set maximum metric for stub links in router\-LSAs
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: on_startup
                                
                                	Set maximum metric temporarily after reboot
                                	**type**\:  :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.OnStartup>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: summary_lsa
                                
                                	Override summary\-lsa metric with max\-metric value
                                	**type**\:  :py:class:`SummaryLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.SummaryLsa>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa, self).__init__()

                                    self.yang_name = "router-lsa"
                                    self.yang_parent_name = "max-metric"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"external-lsa" : ("external_lsa", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.ExternalLsa), "on-startup" : ("on_startup", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.OnStartup), "summary-lsa" : ("summary_lsa", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.SummaryLsa)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_stub = YLeaf(YType.empty, "include-stub")

                                    self.external_lsa = None
                                    self._children_name_map["external_lsa"] = "external-lsa"
                                    self._children_yang_names.add("external-lsa")

                                    self.on_startup = None
                                    self._children_name_map["on_startup"] = "on-startup"
                                    self._children_yang_names.add("on-startup")

                                    self.summary_lsa = None
                                    self._children_name_map["summary_lsa"] = "summary-lsa"
                                    self._children_yang_names.add("summary-lsa")
                                    self._segment_path = lambda: "router-lsa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa, ['include_stub'], name, value)


                                class ExternalLsa(Entity):
                                    """
                                    Override external\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..16777215
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.ExternalLsa, self).__init__()

                                        self.yang_name = "external-lsa"
                                        self.yang_parent_name = "router-lsa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "external-lsa"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.ExternalLsa, ['metric'], name, value)


                                class OnStartup(Entity):
                                    """
                                    Set maximum metric temporarily after reboot
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 5..86400
                                    
                                    .. attribute:: wait_for_bgp
                                    
                                    	Let BGP decide when to originate router\-LSA with normal metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.OnStartup, self).__init__()

                                        self.yang_name = "on-startup"
                                        self.yang_parent_name = "router-lsa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.time = YLeaf(YType.uint32, "time")

                                        self.wait_for_bgp = YLeaf(YType.empty, "wait-for-bgp")
                                        self._segment_path = lambda: "on-startup"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.OnStartup, ['time', 'wait_for_bgp'], name, value)


                                class SummaryLsa(Entity):
                                    """
                                    Override summary\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..16777215
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.SummaryLsa, self).__init__()

                                        self.yang_name = "summary-lsa"
                                        self.yang_parent_name = "router-lsa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "summary-lsa"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.MaxMetric.RouterLsa.SummaryLsa, ['metric'], name, value)


                        class PassiveInterface(Entity):
                            """
                            Suppress routing updates on an interface
                            
                            .. attribute:: default
                            
                            	Suppress routing updates on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.PassiveInterface, self).__init__()

                                self.yang_name = "passive-interface"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.default = YLeaf(YType.empty, "default")

                                self.interface = YLeaf(YType.str, "interface")
                                self._segment_path = lambda: "passive-interface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.PassiveInterface, ['default', 'interface'], name, value)


                        class Disable(Entity):
                            """
                            
                            
                            .. attribute:: passive_interface
                            
                            	
                            	**type**\: list of  		 :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable.PassiveInterface>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable, self).__init__()

                                self.yang_name = "disable"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"passive-interface" : ("passive_interface", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable.PassiveInterface)}

                                self.passive_interface = YList(self)
                                self._segment_path = lambda: "disable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable, [], name, value)


                            class PassiveInterface(Entity):
                                """
                                
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable.PassiveInterface, self).__init__()

                                    self.yang_name = "passive-interface"
                                    self.yang_parent_name = "disable"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "passive-interface" + "[interface='" + self.interface.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Disable.PassiveInterface, ['interface'], name, value)


                        class QueueDepth(Entity):
                            """
                            OSPF Hello/Router process queue depth
                            
                            .. attribute:: hello
                            
                            	OSPF Hello process queue depth
                            	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello>`
                            
                            .. attribute:: update
                            
                            	OSPF Router process queue depth
                            	**type**\:  :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth, self).__init__()

                                self.yang_name = "queue-depth"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"hello" : ("hello", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello), "update" : ("update", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update)}
                                self._child_list_classes = {}

                                self.hello = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello()
                                self.hello.parent = self
                                self._children_name_map["hello"] = "hello"
                                self._children_yang_names.add("hello")

                                self.update = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update()
                                self.update.parent = self
                                self._children_name_map["update"] = "update"
                                self._children_yang_names.add("update")
                                self._segment_path = lambda: "queue-depth"


                            class Hello(Entity):
                                """
                                OSPF Hello process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..2147483647
                                
                                		**type**\:  :py:class:`Options <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.Options>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello, self).__init__()

                                    self.yang_name = "hello"
                                    self.yang_parent_name = "queue-depth"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.options = YLeaf(YType.str, "options")
                                    self._segment_path = lambda: "hello"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Hello, ['options'], name, value)

                                class Options(Enum):
                                    """
                                    Options

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = Enum.YLeaf(0, "unlimited")



                            class Update(Entity):
                                """
                                OSPF Router process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..2147483647
                                
                                		**type**\:  :py:class:`Options <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.Options>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update, self).__init__()

                                    self.yang_name = "update"
                                    self.yang_parent_name = "queue-depth"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.options = YLeaf(YType.str, "options")
                                    self._segment_path = lambda: "update"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.QueueDepth.Update, ['options'], name, value)

                                class Options(Enum):
                                    """
                                    Options

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = Enum.YLeaf(0, "unlimited")



                        class Timers(Entity):
                            """
                            Adjust routing timers
                            
                            .. attribute:: lsa
                            
                            	OSPF LSA timers
                            	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Lsa>`
                            
                            .. attribute:: pacing
                            
                            	OSPF pacing timers
                            	**type**\:  :py:class:`Pacing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Pacing>`
                            
                            .. attribute:: throttle
                            
                            	OSPF throttle timers
                            	**type**\:  :py:class:`Throttle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lsa" : ("lsa", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Lsa), "pacing" : ("pacing", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Pacing), "throttle" : ("throttle", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle)}
                                self._child_list_classes = {}

                                self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Lsa()
                                self.lsa.parent = self
                                self._children_name_map["lsa"] = "lsa"
                                self._children_yang_names.add("lsa")

                                self.pacing = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Pacing()
                                self.pacing.parent = self
                                self._children_name_map["pacing"] = "pacing"
                                self._children_yang_names.add("pacing")

                                self.throttle = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle()
                                self.throttle.parent = self
                                self._children_name_map["throttle"] = "throttle"
                                self._children_yang_names.add("throttle")
                                self._segment_path = lambda: "timers"


                            class Lsa(Entity):
                                """
                                OSPF LSA timers
                                
                                .. attribute:: arrival
                                
                                	OSPF LSA arrival timer
                                	**type**\: int
                                
                                	**range:** 0..600000
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Lsa, self).__init__()

                                    self.yang_name = "lsa"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.arrival = YLeaf(YType.uint32, "arrival")
                                    self._segment_path = lambda: "lsa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Lsa, ['arrival'], name, value)


                            class Pacing(Entity):
                                """
                                OSPF pacing timers
                                
                                .. attribute:: flood
                                
                                	OSPF flood pacing timer
                                	**type**\: int
                                
                                	**range:** 5..100
                                
                                .. attribute:: lsa_group
                                
                                	OSPF LSA group pacing timer
                                	**type**\: int
                                
                                	**range:** 10..1800
                                
                                .. attribute:: retransmission
                                
                                	OSPF retransmission pacing timer
                                	**type**\: int
                                
                                	**range:** 5..200
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Pacing, self).__init__()

                                    self.yang_name = "pacing"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.flood = YLeaf(YType.uint32, "flood")

                                    self.lsa_group = YLeaf(YType.uint32, "lsa-group")

                                    self.retransmission = YLeaf(YType.uint32, "retransmission")
                                    self._segment_path = lambda: "pacing"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Pacing, ['flood', 'lsa_group', 'retransmission'], name, value)


                            class Throttle(Entity):
                                """
                                OSPF throttle timers
                                
                                .. attribute:: lsa
                                
                                	OSPF LSA throttle timers
                                	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa>`
                                
                                .. attribute:: spf
                                
                                	OSPF SPF throttle timers
                                	**type**\:  :py:class:`Spf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Spf>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle, self).__init__()

                                    self.yang_name = "throttle"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lsa" : ("lsa", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa), "spf" : ("spf", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Spf)}
                                    self._child_list_classes = {}

                                    self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa()
                                    self.lsa.parent = self
                                    self._children_name_map["lsa"] = "lsa"
                                    self._children_yang_names.add("lsa")

                                    self.spf = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Spf()
                                    self.spf.parent = self
                                    self._children_name_map["spf"] = "spf"
                                    self._children_yang_names.add("spf")
                                    self._segment_path = lambda: "throttle"


                                class Lsa(Entity):
                                    """
                                    OSPF LSA throttle timers
                                    
                                    .. attribute:: all
                                    
                                    	For all type of OSPF LSAs
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa.All>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa, self).__init__()

                                        self.yang_name = "lsa"
                                        self.yang_parent_name = "throttle"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa.All)}
                                        self._child_list_classes = {}

                                        self.all = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa.All()
                                        self.all.parent = self
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")
                                        self._segment_path = lambda: "lsa"


                                    class All(Entity):
                                        """
                                        For all type of OSPF LSAs
                                        
                                        .. attribute:: delay
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: min_delay
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: max_delay
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..600000
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "lsa"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.delay = YLeaf(YType.uint32, "delay")

                                            self.min_delay = YLeaf(YType.uint32, "min-delay")

                                            self.max_delay = YLeaf(YType.uint32, "max-delay")
                                            self._segment_path = lambda: "all"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Lsa.All, ['delay', 'min_delay', 'max_delay'], name, value)


                                class Spf(Entity):
                                    """
                                    OSPF SPF throttle timers
                                    
                                    .. attribute:: delay
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: min_delay
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: max_delay
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..600000
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Spf, self).__init__()

                                        self.yang_name = "spf"
                                        self.yang_parent_name = "throttle"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.delay = YLeaf(YType.uint32, "delay")

                                        self.min_delay = YLeaf(YType.uint32, "min-delay")

                                        self.max_delay = YLeaf(YType.uint32, "max-delay")
                                        self._segment_path = lambda: "spf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Timers.Throttle.Spf, ['delay', 'min_delay', 'max_delay'], name, value)


                        class TrafficShare(Entity):
                            """
                            How to compute traffic share over alternate paths
                            
                            .. attribute:: min
                            
                            	All traffic shared among min metric paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: across_interfaces
                            
                            	Use different interfaces for equal\-cost paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TrafficShare, self).__init__()

                                self.yang_name = "traffic-share"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.empty, "min")

                                self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                                self._segment_path = lambda: "traffic-share"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TrafficShare, ['min', 'across_interfaces'], name, value)


                        class TtlSecurity(Entity):
                            """
                            TTL security check
                            
                            .. attribute:: all_interfaces
                            
                            	Enable TTL Security on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: hops
                            
                            	IP hops
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TtlSecurity, self).__init__()

                                self.yang_name = "ttl-security"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

                                self.hops = YLeaf(YType.uint8, "hops")
                                self._segment_path = lambda: "ttl-security"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.TtlSecurity, ['all_interfaces', 'hops'], name, value)


                        class Capability(Entity):
                            """
                            Enable specific OSPF feature
                            
                            .. attribute:: capability_type
                            
                            	
                            	**type**\:  :py:class:`CapabilityType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability.CapabilityType>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability, self).__init__()

                                self.yang_name = "capability"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.capability_type = YLeaf(YType.enumeration, "capability-type")
                                self._segment_path = lambda: "capability"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Capability, ['capability_type'], name, value)

                            class CapabilityType(Enum):
                                """
                                CapabilityType

                                .. data:: lls = 0

                                .. data:: opaque = 1

                                .. data:: transit = 2

                                .. data:: vrf_lite = 3

                                """

                                lls = Enum.YLeaf(0, "lls")

                                opaque = Enum.YLeaf(1, "opaque")

                                transit = Enum.YLeaf(2, "transit")

                                vrf_lite = Enum.YLeaf(3, "vrf-lite")



                        class Compatible(Entity):
                            """
                            OSPF compatibility list
                            
                            .. attribute:: rfc1583
                            
                            	Compatible with RFC 1583
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc1587
                            
                            	Compatible with RFC 1587
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc5243
                            
                            	Compatible with RFC 5243
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Compatible, self).__init__()

                                self.yang_name = "compatible"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rfc1583 = YLeaf(YType.empty, "rfc1583")

                                self.rfc1587 = YLeaf(YType.empty, "rfc1587")

                                self.rfc5243 = YLeaf(YType.empty, "rfc5243")
                                self._segment_path = lambda: "compatible"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Compatible, ['rfc1583', 'rfc1587', 'rfc5243'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"originate" : ("originate", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation.Originate)}
                                self._child_list_classes = {}

                                self.originate = None
                                self._children_name_map["originate"] = "originate"
                                self._children_yang_names.add("originate")
                                self._segment_path = lambda: "default-information"


                            class Originate(Entity):
                                """
                                Distribute a default route
                                
                                .. attribute:: always
                                
                                	Always advertise default route
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	OSPF default metric
                                	**type**\: int
                                
                                	**range:** 0..16777214
                                
                                .. attribute:: metric_type
                                
                                	OSPF metric type for default routes
                                	**type**\: int
                                
                                	**range:** 1..2
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation.Originate, self).__init__()

                                    self.yang_name = "originate"
                                    self.yang_parent_name = "default-information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.always = YLeaf(YType.empty, "always")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.uint32, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DefaultInformation.Originate, ['always', 'metric', 'metric_type', 'route_map'], name, value)


                        class DiscardRoute(Entity):
                            """
                            Enable or disable discard\-route installation
                            
                            .. attribute:: external
                            
                            	Discard route for redistributed summarised routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: internal
                            
                            	Discard route for summarised internal routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DiscardRoute, self).__init__()

                                self.yang_name = "discard-route"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.external = YLeaf(YType.empty, "external")

                                self.internal = YLeaf(YType.empty, "internal")

                                self.metric = YLeaf(YType.uint32, "metric")
                                self._segment_path = lambda: "discard-route"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.DiscardRoute, ['external', 'internal', 'metric'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: ospf_distance
                            
                            	
                            	**type**\:  :py:class:`OspfDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.OspfDistance>`
                            
                            .. attribute:: ospf
                            
                            	OSPF routes Administrative distance
                            	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.Ospf>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ospf-distance" : ("ospf_distance", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.OspfDistance), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.Ospf)}
                                self._child_list_classes = {}

                                self.ospf_distance = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.OspfDistance()
                                self.ospf_distance.parent = self
                                self._children_name_map["ospf_distance"] = "ospf-distance"
                                self._children_yang_names.add("ospf-distance")

                                self.ospf = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.Ospf()
                                self.ospf.parent = self
                                self._children_name_map["ospf"] = "ospf"
                                self._children_yang_names.add("ospf")
                                self._segment_path = lambda: "distance"


                            class OspfDistance(Entity):
                                """
                                
                                
                                .. attribute:: distance
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildcard
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: int
                                
                                			**range:** 1300..1999
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.OspfDistance, self).__init__()

                                    self.yang_name = "ospf-distance"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.distance = YLeaf(YType.uint32, "distance")

                                    self.ip = YLeaf(YType.str, "ip")

                                    self.wildcard = YLeaf(YType.str, "wildcard")

                                    self.acl_name = YLeaf(YType.str, "acl-name")
                                    self._segment_path = lambda: "ospf-distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.OspfDistance, ['distance', 'ip', 'wildcard', 'acl_name'], name, value)


                            class Ospf(Entity):
                                """
                                OSPF routes Administrative distance
                                
                                .. attribute:: external
                                
                                	External routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: inter_area
                                
                                	Inter\-area routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: intra_area
                                
                                	Intra\-area routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.external = YLeaf(YType.uint32, "external")

                                    self.inter_area = YLeaf(YType.uint32, "inter-area")

                                    self.intra_area = YLeaf(YType.uint32, "intra-area")
                                    self._segment_path = lambda: "ospf"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Distance.Ospf, ['external', 'inter_area', 'intra_area'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes redistributed to protocol
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix>`
                            
                            .. attribute:: vrf
                            
                            	Specify a source VRF
                            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"connected" : ("connected", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected), "isis" : ("isis", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp), "mobile" : ("mobile", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile), "odr" : ("odr", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr), "static" : ("static", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static), "maximum-prefix" : ("maximum_prefix", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix), "vrf" : ("vrf", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf)}
                                self._child_list_classes = {"application" : ("application", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application), "bgp" : ("bgp", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp), "eigrp" : ("eigrp", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3), "rip" : ("rip", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip)}

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.isis = None
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.iso_igrp = None
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp()
                                self.lisp.parent = self
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.maximum_prefix = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.vrf = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf()
                                self.vrf.parent = self
                                self._children_name_map["vrf"] = "vrf"
                                self._children_yang_names.add("vrf")

                                self.application = YList(self)
                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.ospf = YList(self)
                                self.ospfv3 = YList(self)
                                self.rip = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute, [], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application, ['name'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "application"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.str, "as-number")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp, ['as_number'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "connected"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.str, "as-number")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp, ['as_number'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisLevelRoutes>`
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions)}
                                    self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea)}
                                    self.is_presence_container = True

                                    self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")

                                    self.isis_area = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis, ['isis_level_routes'], name, value)

                                class IsisLevelRoutes(Enum):
                                    """
                                    IsisLevelRoutes

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")

                                    level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class IsisArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: isis_level_routes
                                    
                                    	
                                    	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.IsisLevelRoutes>`
                                    
                                    .. attribute:: redist_options
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea, self).__init__()

                                        self.yang_name = "isis-area"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                        self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions()
                                        self.redist_options.parent = self
                                        self._children_name_map["redist_options"] = "redist-options"
                                        self._children_yang_names.add("redist-options")
                                        self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                    class IsisLevelRoutes(Enum):
                                        """
                                        IsisLevelRoutes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class RedistOptions(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions.MetricType>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions, self).__init__()

                                            self.yang_name = "redist-options"
                                            self.yang_parent_name = "isis-area"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                            self._segment_path = lambda: "redist-options"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: area_tag_route_map_container
                                
                                	
                                	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: iso_igrp_container
                                
                                	
                                	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                                    self.area_tag_route_map_container.parent = self
                                    self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                    self._children_yang_names.add("area-tag-route-map-container")

                                    self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer()
                                    self.iso_igrp_container.parent = self
                                    self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                    self._children_yang_names.add("iso-igrp-container")
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp, ['route_map'], name, value)


                                class AreaTagRouteMapContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: area_tag
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                        self.yang_name = "area-tag-route-map-container"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.area_tag = YLeaf(YType.str, "area-tag")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "area-tag-route-map-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                                class IsoIgrpContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer, self).__init__()

                                        self.yang_name = "iso-igrp-container"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")
                                        self._segment_path = lambda: "iso-igrp-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Lisp(Entity):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "lisp"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "lisp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "mobile"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "mobile"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "odr"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "odr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.MetricType>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.vrf = YLeaf(YType.str, "vrf")

                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                                class Match(Entity):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal)}
                                        self._child_list_classes = {}

                                        self.internal = None
                                        self._children_name_map["internal"] = "internal"
                                        self._children_yang_names.add("internal")

                                        self.external = None
                                        self._children_name_map["external"] = "external"
                                        self._children_yang_names.add("external")

                                        self.nssa_external = None
                                        self._children_name_map["nssa_external"] = "nssa-external"
                                        self._children_yang_names.add("nssa-external")
                                        self._segment_path = lambda: "match"


                                    class Internal(Entity):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal, self).__init__()

                                            self.yang_name = "internal"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "internal"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class External(Entity):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External, self).__init__()

                                            self.yang_name = "external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class NssaExternal(Entity):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                            self.yang_name = "nssa-external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "nssa-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.MetricType>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")
                                    self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                                class Match(Entity):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.NssaExternal)}
                                        self._child_list_classes = {}

                                        self.internal = None
                                        self._children_name_map["internal"] = "internal"
                                        self._children_yang_names.add("internal")

                                        self.external = None
                                        self._children_name_map["external"] = "external"
                                        self._children_yang_names.add("external")

                                        self.nssa_external = None
                                        self._children_name_map["nssa_external"] = "nssa-external"
                                        self._children_yang_names.add("nssa-external")
                                        self._segment_path = lambda: "match"


                                    class Internal(Entity):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.Internal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.Internal, self).__init__()

                                            self.yang_name = "internal"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "internal"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class External(Entity):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.External.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.External, self).__init__()

                                            self.yang_name = "external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class NssaExternal(Entity):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.NssaExternal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.NssaExternal, self).__init__()

                                            self.yang_name = "nssa-external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "nssa-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: id  <key>
                                
                                	User selected string identifying this rip process
                                	**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip, ['id'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "static"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes redistributed to protocol
                                
                                .. attribute:: number
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: threshold_warning_only_container
                                
                                	
                                	**type**\:  :py:class:`ThresholdWarningOnlyContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"threshold-warning-only-container" : ("threshold_warning_only_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer)}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.uint32, "number")

                                    self.threshold_warning_only_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer()
                                    self.threshold_warning_only_container.parent = self
                                    self._children_name_map["threshold_warning_only_container"] = "threshold-warning-only-container"
                                    self._children_yang_names.add("threshold-warning-only-container")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix, ['number'], name, value)


                                class ThresholdWarningOnlyContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer, self).__init__()

                                        self.yang_name = "threshold-warning-only-container"
                                        self.yang_parent_name = "maximum-prefix"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.threshold = YLeaf(YType.uint32, "threshold")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")
                                        self._segment_path = lambda: "threshold-warning-only-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer, ['threshold', 'warning_only'], name, value)


                            class Vrf(Entity):
                                """
                                Specify a source VRF
                                
                                .. attribute:: non_global_vrf
                                
                                	
                                	**type**\: list of  		 :py:class:`NonGlobalVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf>`
                                
                                .. attribute:: global_
                                
                                	global VRF
                                	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf, self).__init__()

                                    self.yang_name = "vrf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"global" : ("global_", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_)}
                                    self._child_list_classes = {"non-global-vrf" : ("non_global_vrf", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf)}

                                    self.global_ = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_()
                                    self.global_.parent = self
                                    self._children_name_map["global_"] = "global"
                                    self._children_yang_names.add("global")

                                    self.non_global_vrf = YList(self)
                                    self._segment_path = lambda: "vrf"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf, [], name, value)


                                class NonGlobalVrf(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf, self).__init__()

                                        self.yang_name = "non-global-vrf"
                                        self.yang_parent_name = "vrf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected), "isis" : ("isis", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp), "mobile" : ("mobile", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile), "odr" : ("odr", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr), "static" : ("static", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static)}
                                        self._child_list_classes = {"application" : ("application", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application), "bgp" : ("bgp", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp), "eigrp" : ("eigrp", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3), "rip" : ("rip", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip)}

                                        self.name = YLeaf(YType.str, "name")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = None
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.iso_igrp = None
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp()
                                        self.lisp.parent = self
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.application = YList(self)
                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self.rip = YList(self)
                                        self._segment_path = lambda: "non-global-vrf" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf, ['name'], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application, ['name'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "connected"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutes>`
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea)}
                                            self.is_presence_container = True

                                            self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis, ['isis_level_routes'], name, value)

                                        class IsisLevelRoutes(Enum):
                                            """
                                            IsisLevelRoutes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutes>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self
                                                self._children_name_map["redist_options"] = "redist-options"
                                                self._children_yang_names.add("redist-options")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                            class IsisLevelRoutes(Enum):
                                                """
                                                IsisLevelRoutes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                            class RedistOptions(Entity):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricType>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions, self).__init__()

                                                    self.yang_name = "redist-options"
                                                    self.yang_parent_name = "isis-area"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.tag = YLeaf(YType.uint32, "tag")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                    self._segment_path = lambda: "redist-options"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                            self._children_yang_names.add("area-tag-route-map-container")

                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                            self._children_yang_names.add("iso-igrp-container")
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp, ['route_map'], name, value)


                                        class AreaTagRouteMapContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                                self.yang_name = "area-tag-route-map-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.area_tag = YLeaf(YType.str, "area-tag")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "area-tag-route-map-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                                        class IsoIgrpContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer, self).__init__()

                                                self.yang_name = "iso-igrp-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")
                                                self._segment_path = lambda: "iso-igrp-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Lisp(Entity):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "lisp"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "lisp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "mobile"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "mobile"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "odr"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "odr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.vrf = YLeaf(YType.str, "vrf")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip, ['id'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "static"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                class Global_(Entity):
                                    """
                                    global VRF
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_, self).__init__()

                                        self.yang_name = "global"
                                        self.yang_parent_name = "vrf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected), "isis" : ("isis", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp), "mobile" : ("mobile", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile), "odr" : ("odr", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr), "static" : ("static", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static)}
                                        self._child_list_classes = {"application" : ("application", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application), "bgp" : ("bgp", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp), "eigrp" : ("eigrp", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3), "rip" : ("rip", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip)}

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = None
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.iso_igrp = None
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp()
                                        self.lisp.parent = self
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.application = YList(self)
                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self.rip = YList(self)
                                        self._segment_path = lambda: "global"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application, ['name'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "connected"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisLevelRoutes>`
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea)}
                                            self.is_presence_container = True

                                            self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis, ['isis_level_routes'], name, value)

                                        class IsisLevelRoutes(Enum):
                                            """
                                            IsisLevelRoutes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutes>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self
                                                self._children_name_map["redist_options"] = "redist-options"
                                                self._children_yang_names.add("redist-options")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                            class IsisLevelRoutes(Enum):
                                                """
                                                IsisLevelRoutes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                            class RedistOptions(Entity):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricType>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions, self).__init__()

                                                    self.yang_name = "redist-options"
                                                    self.yang_parent_name = "isis-area"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.tag = YLeaf(YType.uint32, "tag")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                    self._segment_path = lambda: "redist-options"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                            self._children_yang_names.add("area-tag-route-map-container")

                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                            self._children_yang_names.add("iso-igrp-container")
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp, ['route_map'], name, value)


                                        class AreaTagRouteMapContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                                self.yang_name = "area-tag-route-map-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.area_tag = YLeaf(YType.str, "area-tag")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "area-tag-route-map-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                                        class IsoIgrpContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer, self).__init__()

                                                self.yang_name = "iso-igrp-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")
                                                self._segment_path = lambda: "iso-igrp-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Lisp(Entity):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "lisp"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "lisp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "mobile"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "mobile"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "odr"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "odr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.vrf = YLeaf(YType.str, "vrf")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip, ['id'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "static"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Redistribute.Vrf.Global_.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                        class Authentication(Entity):
                            """
                            Authentication parameters
                            
                            .. attribute:: mode
                            
                            	Authentication operation mode
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication.Mode>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.mode = YLeaf(YType.enumeration, "mode")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Authentication, ['mode'], name, value)

                            class Mode(Enum):
                                """
                                Mode

                                Authentication operation mode

                                .. data:: deployment = 0

                                .. data:: normal = 1

                                .. data:: strict = 2

                                """

                                deployment = Enum.YLeaf(0, "deployment")

                                normal = Enum.YLeaf(1, "normal")

                                strict = Enum.YLeaf(2, "strict")



                        class GracefulRestart(Entity):
                            """
                            Graceful\-restart options
                            
                            .. attribute:: disable
                            
                            	Graceful restart disable
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: helper
                            
                            	helper support
                            	**type**\:  :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart.Helper>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: restart_interval
                            
                            	Graceful restart interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart, self).__init__()

                                self.yang_name = "graceful-restart"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"helper" : ("helper", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart.Helper)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.restart_interval = YLeaf(YType.uint16, "restart-interval")

                                self.helper = None
                                self._children_name_map["helper"] = "helper"
                                self._children_yang_names.add("helper")
                                self._segment_path = lambda: "graceful-restart"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart, ['disable', 'restart_interval'], name, value)


                            class Helper(Entity):
                                """
                                helper support
                                
                                .. attribute:: disable
                                
                                	disable helper support
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: strict_lsa_checking
                                
                                	enable helper strict LSA checking
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart.Helper, self).__init__()

                                    self.yang_name = "helper"
                                    self.yang_parent_name = "graceful-restart"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")

                                    self.strict_lsa_checking = YLeaf(YType.empty, "strict-lsa-checking")
                                    self._segment_path = lambda: "helper"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.GracefulRestart.Helper, ['disable', 'strict_lsa_checking'], name, value)


                        class Manet(Entity):
                            """
                            Specify MANET OSPF parameters
                            
                            .. attribute:: cache
                            
                            	Specify MANET cache sizes
                            	**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Cache>`
                            
                            .. attribute:: hello
                            
                            	Unicast Hellos rather than multicast
                            	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Hello>`
                            
                            .. attribute:: peering
                            
                            	MANET OSPF Smart Peering
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering>`
                            
                            .. attribute:: willingness
                            
                            	Specify Relay willingness value
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cache" : ("cache", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Cache), "peering" : ("peering", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering)}
                                self._child_list_classes = {}

                                self.hello = YLeaf(YType.enumeration, "hello")

                                self.willingness = YLeaf(YType.uint8, "willingness")

                                self.cache = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Cache()
                                self.cache.parent = self
                                self._children_name_map["cache"] = "cache"
                                self._children_yang_names.add("cache")

                                self.peering = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet, ['hello', 'willingness'], name, value)

                            class Hello(Enum):
                                """
                                Hello

                                Unicast Hellos rather than multicast

                                .. data:: unicast = 0

                                .. data:: multicast = 1

                                """

                                unicast = Enum.YLeaf(0, "unicast")

                                multicast = Enum.YLeaf(1, "multicast")



                            class Cache(Entity):
                                """
                                Specify MANET cache sizes
                                
                                .. attribute:: acknowledgement
                                
                                	Specify MANET acknowledgement cache size
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: update
                                
                                	Specify MANET LSA cache size
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Cache, self).__init__()

                                    self.yang_name = "cache"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.acknowledgement = YLeaf(YType.uint64, "acknowledgement")

                                    self.update = YLeaf(YType.uint64, "update")
                                    self._segment_path = lambda: "cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Cache, ['acknowledgement', 'update'], name, value)


                            class Peering(Entity):
                                """
                                MANET OSPF Smart Peering
                                
                                .. attribute:: selective
                                
                                	Enable selective peering
                                	**type**\:  :py:class:`Selective <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering.Selective>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"selective" : ("selective", Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering.Selective)}
                                    self._child_list_classes = {}

                                    self.selective = Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering.Selective()
                                    self.selective.parent = self
                                    self._children_name_map["selective"] = "selective"
                                    self._children_yang_names.add("selective")
                                    self._segment_path = lambda: "peering"


                                class Selective(Entity):
                                    """
                                    Enable selective peering
                                    
                                    .. attribute:: disable
                                    
                                    	Disable selective peering
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: per_interface
                                    
                                    	Select peers per interface rather than per node
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: redundancy
                                    
                                    	Redundant paths
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering.Selective, self).__init__()

                                        self.yang_name = "selective"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.disable = YLeaf(YType.empty, "disable")

                                        self.per_interface = YLeaf(YType.empty, "per-interface")

                                        self.redundancy = YLeaf(YType.uint8, "redundancy")
                                        self._segment_path = lambda: "selective"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.Manet.Peering.Selective, ['disable', 'per_interface', 'redundancy'], name, value)


                        class SummaryPrefix(Entity):
                            """
                            Configure IPv6 summary prefix
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: nssa_only
                            
                            	Limit summary to NSSA areas
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: not_advertise
                            
                            	Do not advertise when translating OSPF type\-7 LSA
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.SummaryPrefix, self).__init__()

                                self.yang_name = "summary-prefix"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.tag = YLeaf(YType.uint32, "tag")

                                self.not_advertise = YLeaf(YType.empty, "not-advertise")
                                self._segment_path = lambda: "summary-prefix" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Unicast.SummaryPrefix, ['prefix', 'nssa_only', 'tag', 'not_advertise'], name, value)


                    class Vrf(Entity):
                        """
                        Specify parameters for a VPN Routing/Forwarding instance
                        
                        .. attribute:: vrf  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: unicast
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: area
                        
                        	OSPF area parameters
                        	**type**\: list of  		 :py:class:`Area <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area>`
                        
                        .. attribute:: auto_cost
                        
                        	Calculate OSPF interface cost according to bandwidth
                        	**type**\:  :py:class:`AutoCost <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.AutoCost>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: event_log
                        
                        	OSPF Event Logging
                        	**type**\:  :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.EventLog>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: bfd
                        
                        	BFD configuration commands
                        	**type**\:  :py:class:`Bfd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Bfd>`
                        
                        .. attribute:: interface_id
                        
                        	Source of the interface ID
                        	**type**\:  :py:class:`InterfaceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.InterfaceId>`
                        
                        .. attribute:: log_adjacency_changes
                        
                        	Log changes in adjacency state
                        	**type**\:  :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.LogAdjacencyChanges>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: max_lsa
                        
                        	maximum number of LSAs OSPF process will receive
                        	**type**\:  :py:class:`MaxLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxLsa>`
                        
                        .. attribute:: max_metric
                        
                        	Set maximum metric
                        	**type**\:  :py:class:`MaxMetric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric>`
                        
                        .. attribute:: passive_interface
                        
                        	Suppress routing updates on an interface
                        	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.PassiveInterface>`
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable>`
                        
                        .. attribute:: queue_depth
                        
                        	OSPF Hello/Router process queue depth
                        	**type**\:  :py:class:`QueueDepth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth>`
                        
                        .. attribute:: timers
                        
                        	Adjust routing timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers>`
                        
                        .. attribute:: router_id
                        
                        	Override configured router identifier (peers will reset)
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: nsr
                        
                        	Enable non\-stop routing
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: traffic_share
                        
                        	How to compute traffic share over alternate paths
                        	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TrafficShare>`
                        
                        .. attribute:: ttl_security
                        
                        	TTL security check
                        	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TtlSecurity>`
                        
                        .. attribute:: capability
                        
                        	Enable specific OSPF feature
                        	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability>`
                        
                        .. attribute:: compatible
                        
                        	OSPF compatibility list
                        	**type**\:  :py:class:`Compatible <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Compatible>`
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\: int
                        
                        	**range:** 1..16777214
                        
                        .. attribute:: discard_route
                        
                        	Enable or disable discard\-route installation
                        	**type**\:  :py:class:`DiscardRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DiscardRoute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute>`
                        
                        .. attribute:: authentication
                        
                        	Authentication parameters
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication>`
                        
                        .. attribute:: graceful_restart
                        
                        	Graceful\-restart options
                        	**type**\:  :py:class:`GracefulRestart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: manet
                        
                        	Specify MANET OSPF parameters
                        	**type**\:  :py:class:`Manet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet>`
                        
                        .. attribute:: summary_prefix
                        
                        	Configure IPv6 summary prefix
                        	**type**\: list of  		 :py:class:`SummaryPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.SummaryPrefix>`
                        
                        

                        """

                        _prefix = 'ios-ospfv3'
                        _revision = '2017-04-28'

                        def __init__(self):
                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"auto-cost" : ("auto_cost", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.AutoCost), "event-log" : ("event_log", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.EventLog), "bfd" : ("bfd", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Bfd), "interface-id" : ("interface_id", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.InterfaceId), "log-adjacency-changes" : ("log_adjacency_changes", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.LogAdjacencyChanges), "max-lsa" : ("max_lsa", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxLsa), "max-metric" : ("max_metric", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric), "passive-interface" : ("passive_interface", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.PassiveInterface), "disable" : ("disable", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable), "queue-depth" : ("queue_depth", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth), "timers" : ("timers", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers), "traffic-share" : ("traffic_share", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TrafficShare), "ttl-security" : ("ttl_security", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TtlSecurity), "capability" : ("capability", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability), "compatible" : ("compatible", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Compatible), "default-information" : ("default_information", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation), "discard-route" : ("discard_route", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DiscardRoute), "distance" : ("distance", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance), "redistribute" : ("redistribute", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute), "authentication" : ("authentication", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication), "graceful-restart" : ("graceful_restart", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart), "manet" : ("manet", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet)}
                            self._child_list_classes = {"area" : ("area", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area), "summary-prefix" : ("summary_prefix", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.SummaryPrefix)}

                            self.vrf = YLeaf(YType.str, "vrf")

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.router_id = YLeaf(YType.str, "router-id")

                            self.nsr = YLeaf(YType.empty, "nsr")

                            self.default_metric = YLeaf(YType.uint32, "default-metric")

                            self.maximum_paths = YLeaf(YType.uint32, "maximum-paths")

                            self.auto_cost = None
                            self._children_name_map["auto_cost"] = "auto-cost"
                            self._children_yang_names.add("auto-cost")

                            self.event_log = None
                            self._children_name_map["event_log"] = "event-log"
                            self._children_yang_names.add("event-log")

                            self.bfd = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Bfd()
                            self.bfd.parent = self
                            self._children_name_map["bfd"] = "bfd"
                            self._children_yang_names.add("bfd")

                            self.interface_id = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.InterfaceId()
                            self.interface_id.parent = self
                            self._children_name_map["interface_id"] = "interface-id"
                            self._children_yang_names.add("interface-id")

                            self.log_adjacency_changes = None
                            self._children_name_map["log_adjacency_changes"] = "log-adjacency-changes"
                            self._children_yang_names.add("log-adjacency-changes")

                            self.max_lsa = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxLsa()
                            self.max_lsa.parent = self
                            self._children_name_map["max_lsa"] = "max-lsa"
                            self._children_yang_names.add("max-lsa")

                            self.max_metric = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric()
                            self.max_metric.parent = self
                            self._children_name_map["max_metric"] = "max-metric"
                            self._children_yang_names.add("max-metric")

                            self.passive_interface = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.PassiveInterface()
                            self.passive_interface.parent = self
                            self._children_name_map["passive_interface"] = "passive-interface"
                            self._children_yang_names.add("passive-interface")

                            self.disable = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable()
                            self.disable.parent = self
                            self._children_name_map["disable"] = "disable"
                            self._children_yang_names.add("disable")

                            self.queue_depth = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth()
                            self.queue_depth.parent = self
                            self._children_name_map["queue_depth"] = "queue-depth"
                            self._children_yang_names.add("queue-depth")

                            self.timers = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")

                            self.traffic_share = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TrafficShare()
                            self.traffic_share.parent = self
                            self._children_name_map["traffic_share"] = "traffic-share"
                            self._children_yang_names.add("traffic-share")

                            self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TtlSecurity()
                            self.ttl_security.parent = self
                            self._children_name_map["ttl_security"] = "ttl-security"
                            self._children_yang_names.add("ttl-security")

                            self.capability = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability()
                            self.capability.parent = self
                            self._children_name_map["capability"] = "capability"
                            self._children_yang_names.add("capability")

                            self.compatible = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Compatible()
                            self.compatible.parent = self
                            self._children_name_map["compatible"] = "compatible"
                            self._children_yang_names.add("compatible")

                            self.default_information = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.discard_route = None
                            self._children_name_map["discard_route"] = "discard-route"
                            self._children_yang_names.add("discard-route")

                            self.distance = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.redistribute = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.graceful_restart = None
                            self._children_name_map["graceful_restart"] = "graceful-restart"
                            self._children_yang_names.add("graceful-restart")

                            self.manet = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet()
                            self.manet.parent = self
                            self._children_name_map["manet"] = "manet"
                            self._children_yang_names.add("manet")

                            self.area = YList(self)
                            self.summary_prefix = YList(self)
                            self._segment_path = lambda: "vrf" + "[vrf='" + self.vrf.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf, ['vrf', 'unicast', 'router_id', 'nsr', 'default_metric', 'maximum_paths'], name, value)


                        class Area(Entity):
                            """
                            OSPF area parameters
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: union of the below types:
                            
                            		**type**\: int
                            
                            			**range:** 0..4294967295
                            
                            		**type**\: str
                            
                            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: authentication
                            
                            	Enable authentication
                            	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Authentication>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: capability
                            
                            	Enable area specific capability
                            	**type**\:  :py:class:`Capability <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Capability>`
                            
                            .. attribute:: default_cost
                            
                            	Set the summary default\-cost of a NSSA/stub area
                            	**type**\: int
                            
                            	**range:** 0..16777215
                            
                            .. attribute:: filter_list
                            
                            	Filter networks between OSPF areas
                            	**type**\: list of  		 :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList>`
                            
                            .. attribute:: nssa
                            
                            	Specify a NSSA area
                            	**type**\:  :py:class:`Nssa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ipv4_range
                            
                            	
                            	**type**\:  :py:class:`Ipv4Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range>`
                            
                            .. attribute:: ipv6_range
                            
                            	
                            	**type**\:  :py:class:`Ipv6Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range>`
                            
                            .. attribute:: sham_link
                            
                            	Define a sham link and its parameters
                            	**type**\: list of  		 :py:class:`ShamLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink>`
                            
                            .. attribute:: stub
                            
                            	Specify a stub area
                            	**type**\:  :py:class:`Stub <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Stub>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: virtual_link
                            
                            	Define a virtual link and its parameters
                            	**type**\: list of  		 :py:class:`VirtualLink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area, self).__init__()

                                self.yang_name = "area"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"authentication" : ("authentication", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Authentication), "capability" : ("capability", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Capability), "nssa" : ("nssa", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa), "ipv4-range" : ("ipv4_range", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range), "ipv6-range" : ("ipv6_range", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range), "stub" : ("stub", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Stub)}
                                self._child_list_classes = {"filter-list" : ("filter_list", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList), "sham-link" : ("sham_link", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink), "virtual-link" : ("virtual_link", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink)}

                                self.id = YLeaf(YType.str, "id")

                                self.default_cost = YLeaf(YType.uint32, "default-cost")

                                self.authentication = None
                                self._children_name_map["authentication"] = "authentication"
                                self._children_yang_names.add("authentication")

                                self.capability = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Capability()
                                self.capability.parent = self
                                self._children_name_map["capability"] = "capability"
                                self._children_yang_names.add("capability")

                                self.nssa = None
                                self._children_name_map["nssa"] = "nssa"
                                self._children_yang_names.add("nssa")

                                self.ipv4_range = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range()
                                self.ipv4_range.parent = self
                                self._children_name_map["ipv4_range"] = "ipv4-range"
                                self._children_yang_names.add("ipv4-range")

                                self.ipv6_range = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range()
                                self.ipv6_range.parent = self
                                self._children_name_map["ipv6_range"] = "ipv6-range"
                                self._children_yang_names.add("ipv6-range")

                                self.stub = None
                                self._children_name_map["stub"] = "stub"
                                self._children_yang_names.add("stub")

                                self.filter_list = YList(self)
                                self.sham_link = YList(self)
                                self.virtual_link = YList(self)
                                self._segment_path = lambda: "area" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area, ['id', 'default_cost'], name, value)


                            class Authentication(Entity):
                                """
                                Enable authentication
                                
                                .. attribute:: message_digest
                                
                                	Use message\-digest authentication
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Authentication, self).__init__()

                                    self.yang_name = "authentication"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.message_digest = YLeaf(YType.empty, "message-digest")
                                    self._segment_path = lambda: "authentication"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Authentication, ['message_digest'], name, value)


                            class Capability(Entity):
                                """
                                Enable area specific capability
                                
                                .. attribute:: default_exclusion
                                
                                	Enable exclusion of links from base topology
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Capability, self).__init__()

                                    self.yang_name = "capability"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.default_exclusion = YLeaf(YType.empty, "default-exclusion")
                                    self._segment_path = lambda: "capability"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Capability, ['default_exclusion'], name, value)


                            class FilterList(Entity):
                                """
                                Filter networks between OSPF areas
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:  :py:class:`InOut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList.InOut>`
                                
                                .. attribute:: prefix
                                
                                	Filter prefixes between OSPF areas
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList, self).__init__()

                                    self.yang_name = "filter-list"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_out = YLeaf(YType.enumeration, "in-out")

                                    self.prefix = YLeaf(YType.str, "prefix")
                                    self._segment_path = lambda: "filter-list" + "[in-out='" + self.in_out.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.FilterList, ['in_out', 'prefix'], name, value)

                                class InOut(Enum):
                                    """
                                    InOut

                                    .. data:: in_ = 0

                                    .. data:: out = 1

                                    """

                                    in_ = Enum.YLeaf(0, "in")

                                    out = Enum.YLeaf(1, "out")



                            class Nssa(Entity):
                                """
                                Specify a NSSA area
                                
                                .. attribute:: default_information_originate
                                
                                	Originate Type 7 default into NSSA area
                                	**type**\:  :py:class:`DefaultInformationOriginate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into NSSA
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_redistribution
                                
                                	No redistribution into this NSSA area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into NSSA
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit default advertisement to this NSSA area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: translate
                                
                                	Translate LSA
                                	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa, self).__init__()

                                    self.yang_name = "nssa"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"default-information-originate" : ("default_information_originate", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate), "translate" : ("translate", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                                    self.no_redistribution = YLeaf(YType.empty, "no-redistribution")

                                    self.no_summary = YLeaf(YType.empty, "no-summary")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                    self.default_information_originate = None
                                    self._children_name_map["default_information_originate"] = "default-information-originate"
                                    self._children_yang_names.add("default-information-originate")

                                    self.translate = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate()
                                    self.translate.parent = self
                                    self._children_name_map["translate"] = "translate"
                                    self._children_yang_names.add("translate")
                                    self._segment_path = lambda: "nssa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa, ['no_ext_capability', 'no_redistribution', 'no_summary', 'nssa_only'], name, value)


                                class DefaultInformationOriginate(Entity):
                                    """
                                    Originate Type 7 default into NSSA area
                                    
                                    .. attribute:: metric
                                    
                                    	OSPF default metric
                                    	**type**\: int
                                    
                                    	**range:** 0..16777214
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF metric type for default routes
                                    	**type**\: int
                                    
                                    	**range:** 1..2
                                    
                                    .. attribute:: no_ext_capability
                                    
                                    	Do not send domain specific capabilities into NSSA
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_redistribution
                                    
                                    	No redistribution into this NSSA area
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: no_summary
                                    
                                    	Do not send summary LSA into NSSA
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit default advertisement to this NSSA area
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: translate
                                    
                                    	Translate LSA
                                    	**type**\:  :py:class:`Translate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate, self).__init__()

                                        self.yang_name = "default-information-originate"
                                        self.yang_parent_name = "nssa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"translate" : ("translate", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.int32, "metric")

                                        self.metric_type = YLeaf(YType.uint32, "metric-type")

                                        self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                                        self.no_redistribution = YLeaf(YType.empty, "no-redistribution")

                                        self.no_summary = YLeaf(YType.empty, "no-summary")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                        self.translate = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate()
                                        self.translate.parent = self
                                        self._children_name_map["translate"] = "translate"
                                        self._children_yang_names.add("translate")
                                        self._segment_path = lambda: "default-information-originate"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate, ['metric', 'metric_type', 'no_ext_capability', 'no_redistribution', 'no_summary', 'nssa_only'], name, value)


                                    class Translate(Entity):
                                        """
                                        Translate LSA
                                        
                                        .. attribute:: type7
                                        
                                        	From Type 7 to Type 5
                                        	**type**\:  :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate, self).__init__()

                                            self.yang_name = "translate"
                                            self.yang_parent_name = "default-information-originate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"type7" : ("type7", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7)}
                                            self._child_list_classes = {}

                                            self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7()
                                            self.type7.parent = self
                                            self._children_name_map["type7"] = "type7"
                                            self._children_yang_names.add("type7")
                                            self._segment_path = lambda: "translate"


                                        class Type7(Entity):
                                            """
                                            From Type 7 to Type 5
                                            
                                            .. attribute:: always
                                            
                                            	Always translate LSAs on this ABR
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: suppress_fa
                                            
                                            	Suppress forwarding address in translated LSAs
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7, self).__init__()

                                                self.yang_name = "type7"
                                                self.yang_parent_name = "translate"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.always = YLeaf(YType.empty, "always")

                                                self.suppress_fa = YLeaf(YType.empty, "suppress-fa")
                                                self._segment_path = lambda: "type7"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.DefaultInformationOriginate.Translate.Type7, ['always', 'suppress_fa'], name, value)


                                class Translate(Entity):
                                    """
                                    Translate LSA
                                    
                                    .. attribute:: type7
                                    
                                    	From Type 7 to Type 5
                                    	**type**\:  :py:class:`Type7 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate.Type7>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate, self).__init__()

                                        self.yang_name = "translate"
                                        self.yang_parent_name = "nssa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"type7" : ("type7", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate.Type7)}
                                        self._child_list_classes = {}

                                        self.type7 = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate.Type7()
                                        self.type7.parent = self
                                        self._children_name_map["type7"] = "type7"
                                        self._children_yang_names.add("type7")
                                        self._segment_path = lambda: "translate"


                                    class Type7(Entity):
                                        """
                                        From Type 7 to Type 5
                                        
                                        .. attribute:: always
                                        
                                        	Always translate LSAs on this ABR
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: suppress_fa
                                        
                                        	Suppress forwarding address in translated LSAs
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate.Type7, self).__init__()

                                            self.yang_name = "type7"
                                            self.yang_parent_name = "translate"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.always = YLeaf(YType.empty, "always")

                                            self.suppress_fa = YLeaf(YType.empty, "suppress-fa")
                                            self._segment_path = lambda: "type7"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Nssa.Translate.Type7, ['always', 'suppress_fa'], name, value)


                            class Ipv4Range(Entity):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range, self).__init__()

                                    self.yang_name = "ipv4-range"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"range" : ("range", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range.Range)}

                                    self.range = YList(self)
                                    self._segment_path = lambda: "ipv4-range"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range, [], name, value)


                                class Range(Entity):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: mask  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\: int
                                    
                                    	**range:** 0..16777215
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "ipv4-range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.str, "ip")

                                        self.mask = YLeaf(YType.str, "mask")

                                        self.advertise = YLeaf(YType.empty, "advertise")

                                        self.not_advertise = YLeaf(YType.empty, "not-advertise")

                                        self.cost = YLeaf(YType.uint32, "cost")
                                        self._segment_path = lambda: "range" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv4Range.Range, ['ip', 'mask', 'advertise', 'not_advertise', 'cost'], name, value)


                            class Ipv6Range(Entity):
                                """
                                
                                
                                .. attribute:: range
                                
                                	Summarize routes matching address/mask (border routers only)
                                	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range.Range>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range, self).__init__()

                                    self.yang_name = "ipv6-range"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"range" : ("range", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range.Range)}

                                    self.range = YList(self)
                                    self._segment_path = lambda: "ipv6-range"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range, [], name, value)


                                class Range(Entity):
                                    """
                                    Summarize routes matching address/mask (border routers only)
                                    
                                    .. attribute:: ip  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                                    
                                    .. attribute:: advertise
                                    
                                    	Advertise this range (default)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: not_advertise
                                    
                                    	DoNotAdvertise this range
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: cost
                                    
                                    	User specified metric for this range
                                    	**type**\: int
                                    
                                    	**range:** 0..16777215
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range.Range, self).__init__()

                                        self.yang_name = "range"
                                        self.yang_parent_name = "ipv6-range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.ip = YLeaf(YType.str, "ip")

                                        self.advertise = YLeaf(YType.empty, "advertise")

                                        self.not_advertise = YLeaf(YType.empty, "not-advertise")

                                        self.cost = YLeaf(YType.uint32, "cost")
                                        self._segment_path = lambda: "range" + "[ip='" + self.ip.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Ipv6Range.Range, ['ip', 'advertise', 'not_advertise', 'cost'], name, value)


                            class ShamLink(Entity):
                                """
                                Define a sham link and its parameters
                                
                                .. attribute:: source  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: dest  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: cost
                                
                                	Associate a cost with the sham\-link
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink.TtlSecurity>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink, self).__init__()

                                    self.yang_name = "sham-link"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"ttl-security" : ("ttl_security", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink.TtlSecurity)}
                                    self._child_list_classes = {}

                                    self.source = YLeaf(YType.str, "source")

                                    self.dest = YLeaf(YType.str, "dest")

                                    self.cost = YLeaf(YType.uint16, "cost")

                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink.TtlSecurity()
                                    self.ttl_security.parent = self
                                    self._children_name_map["ttl_security"] = "ttl-security"
                                    self._children_yang_names.add("ttl-security")
                                    self._segment_path = lambda: "sham-link" + "[source='" + self.source.get() + "']" + "[dest='" + self.dest.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink, ['source', 'dest', 'cost'], name, value)


                                class TtlSecurity(Entity):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink.TtlSecurity, self).__init__()

                                        self.yang_name = "ttl-security"
                                        self.yang_parent_name = "sham-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hops = YLeaf(YType.uint8, "hops")
                                        self._segment_path = lambda: "ttl-security"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.ShamLink.TtlSecurity, ['hops'], name, value)


                            class Stub(Entity):
                                """
                                Specify a stub area
                                
                                .. attribute:: no_ext_capability
                                
                                	Do not send domain specific capabilities into stub area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: no_summary
                                
                                	Do not send summary LSA into stub area
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Stub, self).__init__()

                                    self.yang_name = "stub"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.no_ext_capability = YLeaf(YType.empty, "no-ext-capability")

                                    self.no_summary = YLeaf(YType.empty, "no-summary")
                                    self._segment_path = lambda: "stub"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.Stub, ['no_ext_capability', 'no_summary'], name, value)


                            class VirtualLink(Entity):
                                """
                                Define a virtual link and its parameters
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                		**type**\: str
                                
                                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: authentication
                                
                                	Set authentication type
                                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication>`
                                
                                .. attribute:: hello_interval
                                
                                	Hello packet interval
                                	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.HelloInterval>`
                                
                                .. attribute:: dead_interval
                                
                                	Dead router detection time
                                	**type**\:  :py:class:`DeadInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.DeadInterval>`
                                
                                .. attribute:: retransmit_interval
                                
                                	LSA retransmit interval
                                	**type**\:  :py:class:`RetransmitInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.RetransmitInterval>`
                                
                                .. attribute:: transmit_delay
                                
                                	LSA transmission delay
                                	**type**\:  :py:class:`TransmitDelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TransmitDelay>`
                                
                                .. attribute:: topology
                                
                                	Disable virtual link on topology
                                	**type**\:  :py:class:`Topology <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Topology>`
                                
                                .. attribute:: ttl_security
                                
                                	TTL security check
                                	**type**\:  :py:class:`TtlSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TtlSecurity>`
                                
                                .. attribute:: authentication_key
                                
                                	Set authentication key
                                	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.AuthenticationKey>`
                                
                                .. attribute:: message_digest_key
                                
                                	Set message digest key
                                	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink, self).__init__()

                                    self.yang_name = "virtual-link"
                                    self.yang_parent_name = "area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"authentication" : ("authentication", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication), "hello-interval" : ("hello_interval", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.HelloInterval), "dead-interval" : ("dead_interval", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.DeadInterval), "retransmit-interval" : ("retransmit_interval", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.RetransmitInterval), "transmit-delay" : ("transmit_delay", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TransmitDelay), "topology" : ("topology", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Topology), "ttl-security" : ("ttl_security", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TtlSecurity), "authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.AuthenticationKey)}
                                    self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey)}

                                    self.id = YLeaf(YType.str, "id")

                                    self.authentication = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication()
                                    self.authentication.parent = self
                                    self._children_name_map["authentication"] = "authentication"
                                    self._children_yang_names.add("authentication")

                                    self.hello_interval = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.HelloInterval()
                                    self.hello_interval.parent = self
                                    self._children_name_map["hello_interval"] = "hello-interval"
                                    self._children_yang_names.add("hello-interval")

                                    self.dead_interval = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.DeadInterval()
                                    self.dead_interval.parent = self
                                    self._children_name_map["dead_interval"] = "dead-interval"
                                    self._children_yang_names.add("dead-interval")

                                    self.retransmit_interval = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.RetransmitInterval()
                                    self.retransmit_interval.parent = self
                                    self._children_name_map["retransmit_interval"] = "retransmit-interval"
                                    self._children_yang_names.add("retransmit-interval")

                                    self.transmit_delay = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TransmitDelay()
                                    self.transmit_delay.parent = self
                                    self._children_name_map["transmit_delay"] = "transmit-delay"
                                    self._children_yang_names.add("transmit-delay")

                                    self.topology = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Topology()
                                    self.topology.parent = self
                                    self._children_name_map["topology"] = "topology"
                                    self._children_yang_names.add("topology")

                                    self.ttl_security = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TtlSecurity()
                                    self.ttl_security.parent = self
                                    self._children_name_map["ttl_security"] = "ttl-security"
                                    self._children_yang_names.add("ttl-security")

                                    self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.AuthenticationKey()
                                    self.authentication_key.parent = self
                                    self._children_name_map["authentication_key"] = "authentication-key"
                                    self._children_yang_names.add("authentication-key")

                                    self.message_digest_key = YList(self)
                                    self._segment_path = lambda: "virtual-link" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink, ['id'], name, value)


                                class Authentication(Entity):
                                    """
                                    Set authentication type
                                    
                                    .. attribute:: authentication_key
                                    
                                    	Set authentication key
                                    	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.AuthenticationKey>`
                                    
                                    .. attribute:: message_digest_key
                                    
                                    	Set message digest key
                                    	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey>`
                                    
                                    .. attribute:: key_chain
                                    
                                    	Use a key\-chain for cryptographic authentication keys
                                    	**type**\:  :py:class:`KeyChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain>`
                                    
                                    .. attribute:: message_digest
                                    
                                    	Message\-digest authentication
                                    	**type**\:  :py:class:`MessageDigest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest>`
                                    
                                    .. attribute:: null
                                    
                                    	No authentication
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication, self).__init__()

                                        self.yang_name = "authentication"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.AuthenticationKey), "key-chain" : ("key_chain", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain), "message-digest" : ("message_digest", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest)}
                                        self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey)}

                                        self.null = YLeaf(YType.empty, "null")

                                        self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.AuthenticationKey()
                                        self.authentication_key.parent = self
                                        self._children_name_map["authentication_key"] = "authentication-key"
                                        self._children_yang_names.add("authentication-key")

                                        self.key_chain = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain()
                                        self.key_chain.parent = self
                                        self._children_name_map["key_chain"] = "key-chain"
                                        self._children_yang_names.add("key-chain")

                                        self.message_digest = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest()
                                        self.message_digest.parent = self
                                        self._children_name_map["message_digest"] = "message-digest"
                                        self._children_yang_names.add("message-digest")

                                        self.message_digest_key = YList(self)
                                        self._segment_path = lambda: "authentication"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication, ['null'], name, value)


                                    class AuthenticationKey(Entity):
                                        """
                                        Set authentication key
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.AuthenticationKey, self).__init__()

                                            self.yang_name = "authentication-key"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                                            self.auth_key = YLeaf(YType.str, "auth-key")
                                            self._segment_path = lambda: "authentication-key"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                    class MessageDigestKey(Entity):
                                        """
                                        Set message digest key
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..255
                                        
                                        .. attribute:: md5
                                        
                                        	Use MD5 algorithm
                                        	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey, self).__init__()

                                            self.yang_name = "message-digest-key"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint8, "id")

                                            self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5()
                                            self.md5.parent = self
                                            self._children_name_map["md5"] = "md5"
                                            self._children_yang_names.add("md5")
                                            self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey, ['id'], name, value)


                                        class Md5(Entity):
                                            """
                                            Use MD5 algorithm
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\: str
                                            
                                            	**length:** 1..16
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5, self).__init__()

                                                self.yang_name = "md5"
                                                self.yang_parent_name = "message-digest-key"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                self.auth_key = YLeaf(YType.str, "auth-key")
                                                self._segment_path = lambda: "md5"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                                    class KeyChain(Entity):
                                        """
                                        Use a key\-chain for cryptographic authentication keys
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain, self).__init__()

                                            self.yang_name = "key-chain"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey)}
                                            self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey)}

                                            self.name = YLeaf(YType.str, "name")

                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self._children_name_map["authentication_key"] = "authentication-key"
                                            self._children_yang_names.add("authentication-key")

                                            self.message_digest_key = YList(self)
                                            self._segment_path = lambda: "key-chain"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain, ['name'], name, value)


                                        class AuthenticationKey(Entity):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey, self).__init__()

                                                self.yang_name = "authentication-key"
                                                self.yang_parent_name = "key-chain"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                self.auth_key = YLeaf(YType.str, "auth-key")
                                                self._segment_path = lambda: "authentication-key"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                        class MessageDigestKey(Entity):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey, self).__init__()

                                                self.yang_name = "message-digest-key"
                                                self.yang_parent_name = "key-chain"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint8, "id")

                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5()
                                                self.md5.parent = self
                                                self._children_name_map["md5"] = "md5"
                                                self._children_yang_names.add("md5")
                                                self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey, ['id'], name, value)


                                            class Md5(Entity):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**length:** 1..16
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5, self).__init__()

                                                    self.yang_name = "md5"
                                                    self.yang_parent_name = "message-digest-key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                                    self._segment_path = lambda: "md5"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.KeyChain.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                                    class MessageDigest(Entity):
                                        """
                                        Message\-digest authentication
                                        
                                        .. attribute:: authentication_key
                                        
                                        	Set authentication key
                                        	**type**\:  :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey>`
                                        
                                        .. attribute:: message_digest_key
                                        
                                        	Set message digest key
                                        	**type**\: list of  		 :py:class:`MessageDigestKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest, self).__init__()

                                            self.yang_name = "message-digest"
                                            self.yang_parent_name = "authentication"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"authentication-key" : ("authentication_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey)}
                                            self._child_list_classes = {"message-digest-key" : ("message_digest_key", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey)}

                                            self.authentication_key = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey()
                                            self.authentication_key.parent = self
                                            self._children_name_map["authentication_key"] = "authentication-key"
                                            self._children_yang_names.add("authentication-key")

                                            self.message_digest_key = YList(self)
                                            self._segment_path = lambda: "message-digest"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest, [], name, value)


                                        class AuthenticationKey(Entity):
                                            """
                                            Set authentication key
                                            
                                            .. attribute:: auth_type
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..7
                                            
                                            .. attribute:: auth_key
                                            
                                            	
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey, self).__init__()

                                                self.yang_name = "authentication-key"
                                                self.yang_parent_name = "message-digest"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                self.auth_key = YLeaf(YType.str, "auth-key")
                                                self._segment_path = lambda: "authentication-key"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                        class MessageDigestKey(Entity):
                                            """
                                            Set message digest key
                                            
                                            .. attribute:: id  <key>
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 1..255
                                            
                                            .. attribute:: md5
                                            
                                            	Use MD5 algorithm
                                            	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey, self).__init__()

                                                self.yang_name = "message-digest-key"
                                                self.yang_parent_name = "message-digest"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5)}
                                                self._child_list_classes = {}

                                                self.id = YLeaf(YType.uint8, "id")

                                                self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5()
                                                self.md5.parent = self
                                                self._children_name_map["md5"] = "md5"
                                                self._children_yang_names.add("md5")
                                                self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey, ['id'], name, value)


                                            class Md5(Entity):
                                                """
                                                Use MD5 algorithm
                                                
                                                .. attribute:: auth_type
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 0..7
                                                
                                                .. attribute:: auth_key
                                                
                                                	
                                                	**type**\: str
                                                
                                                	**length:** 1..16
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5, self).__init__()

                                                    self.yang_name = "md5"
                                                    self.yang_parent_name = "message-digest-key"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.auth_type = YLeaf(YType.uint8, "auth-type")

                                                    self.auth_key = YLeaf(YType.str, "auth-key")
                                                    self._segment_path = lambda: "md5"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Authentication.MessageDigest.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                                class HelloInterval(Entity):
                                    """
                                    Hello packet interval
                                    
                                    .. attribute:: hello_interval_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.HelloInterval, self).__init__()

                                        self.yang_name = "hello-interval"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hello_interval_value = YLeaf(YType.int32, "hello-interval-value")
                                        self._segment_path = lambda: "hello-interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.HelloInterval, ['hello_interval_value'], name, value)


                                class DeadInterval(Entity):
                                    """
                                    Dead router detection time
                                    
                                    .. attribute:: dead_interval_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.DeadInterval, self).__init__()

                                        self.yang_name = "dead-interval"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.dead_interval_value = YLeaf(YType.uint16, "dead-interval-value")
                                        self._segment_path = lambda: "dead-interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.DeadInterval, ['dead_interval_value'], name, value)


                                class RetransmitInterval(Entity):
                                    """
                                    LSA retransmit interval
                                    
                                    .. attribute:: retransmit_interval_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.RetransmitInterval, self).__init__()

                                        self.yang_name = "retransmit-interval"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.retransmit_interval_value = YLeaf(YType.uint16, "retransmit-interval-value")
                                        self._segment_path = lambda: "retransmit-interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.RetransmitInterval, ['retransmit_interval_value'], name, value)


                                class TransmitDelay(Entity):
                                    """
                                    LSA transmission delay
                                    
                                    .. attribute:: transmit_delay_value
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..8192
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TransmitDelay, self).__init__()

                                        self.yang_name = "transmit-delay"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.transmit_delay_value = YLeaf(YType.uint16, "transmit-delay-value")
                                        self._segment_path = lambda: "transmit-delay"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TransmitDelay, ['transmit_delay_value'], name, value)


                                class Topology(Entity):
                                    """
                                    Disable virtual link on topology
                                    
                                    .. attribute:: disable
                                    
                                    	Disable virtual link
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Topology, self).__init__()

                                        self.yang_name = "topology"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.disable = YLeaf(YType.empty, "disable")
                                        self._segment_path = lambda: "topology"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.Topology, ['disable'], name, value)


                                class TtlSecurity(Entity):
                                    """
                                    TTL security check
                                    
                                    .. attribute:: hops
                                    
                                    	IP hops
                                    	**type**\: int
                                    
                                    	**range:** 1..254
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TtlSecurity, self).__init__()

                                        self.yang_name = "ttl-security"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hops = YLeaf(YType.uint8, "hops")
                                        self._segment_path = lambda: "ttl-security"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.TtlSecurity, ['hops'], name, value)


                                class AuthenticationKey(Entity):
                                    """
                                    Set authentication key
                                    
                                    .. attribute:: auth_type
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..7
                                    
                                    .. attribute:: auth_key
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.AuthenticationKey, self).__init__()

                                        self.yang_name = "authentication-key"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.auth_type = YLeaf(YType.uint8, "auth-type")

                                        self.auth_key = YLeaf(YType.str, "auth-key")
                                        self._segment_path = lambda: "authentication-key"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.AuthenticationKey, ['auth_type', 'auth_key'], name, value)


                                class MessageDigestKey(Entity):
                                    """
                                    Set message digest key
                                    
                                    .. attribute:: id  <key>
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..255
                                    
                                    .. attribute:: md5
                                    
                                    	Use MD5 algorithm
                                    	**type**\:  :py:class:`Md5 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey.Md5>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey, self).__init__()

                                        self.yang_name = "message-digest-key"
                                        self.yang_parent_name = "virtual-link"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"md5" : ("md5", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey.Md5)}
                                        self._child_list_classes = {}

                                        self.id = YLeaf(YType.uint8, "id")

                                        self.md5 = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey.Md5()
                                        self.md5.parent = self
                                        self._children_name_map["md5"] = "md5"
                                        self._children_yang_names.add("md5")
                                        self._segment_path = lambda: "message-digest-key" + "[id='" + self.id.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey, ['id'], name, value)


                                    class Md5(Entity):
                                        """
                                        Use MD5 algorithm
                                        
                                        .. attribute:: auth_type
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..7
                                        
                                        .. attribute:: auth_key
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**length:** 1..16
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey.Md5, self).__init__()

                                            self.yang_name = "md5"
                                            self.yang_parent_name = "message-digest-key"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.auth_type = YLeaf(YType.uint8, "auth-type")

                                            self.auth_key = YLeaf(YType.str, "auth-key")
                                            self._segment_path = lambda: "md5"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Area.VirtualLink.MessageDigestKey.Md5, ['auth_type', 'auth_key'], name, value)


                        class AutoCost(Entity):
                            """
                            Calculate OSPF interface cost according to bandwidth
                            
                            .. attribute:: reference_bandwidth
                            
                            	Use reference bandwidth method to assign OSPF cost
                            	**type**\: int
                            
                            	**range:** 1..4294967
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.AutoCost, self).__init__()

                                self.yang_name = "auto-cost"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.reference_bandwidth = YLeaf(YType.uint32, "reference-bandwidth")
                                self._segment_path = lambda: "auto-cost"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.AutoCost, ['reference_bandwidth'], name, value)


                        class EventLog(Entity):
                            """
                            OSPF Event Logging
                            
                            .. attribute:: one_shot
                            
                            	Disable Logging When Log Buffer Becomes Full
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: pause
                            
                            	Pause Event Logging
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: size
                            
                            	Maximum Number of Events Stored in the Event Log
                            	**type**\: int
                            
                            	**range:** 1..65534
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.EventLog, self).__init__()

                                self.yang_name = "event-log"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.one_shot = YLeaf(YType.empty, "one-shot")

                                self.pause = YLeaf(YType.empty, "pause")

                                self.size = YLeaf(YType.uint32, "size")
                                self._segment_path = lambda: "event-log"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.EventLog, ['one_shot', 'pause', 'size'], name, value)


                        class Bfd(Entity):
                            """
                            BFD configuration commands
                            
                            .. attribute:: all_interfaces
                            
                            	Enable BFD on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Bfd, self).__init__()

                                self.yang_name = "bfd"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all_interfaces = YLeaf(YType.empty, "all-interfaces")
                                self._segment_path = lambda: "bfd"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Bfd, ['all_interfaces'], name, value)


                        class InterfaceId(Entity):
                            """
                            Source of the interface ID
                            
                            .. attribute:: snmp_if_index
                            
                            	SNMP MIB ifIndex
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.InterfaceId, self).__init__()

                                self.yang_name = "interface-id"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.snmp_if_index = YLeaf(YType.empty, "snmp-if-index")
                                self._segment_path = lambda: "interface-id"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.InterfaceId, ['snmp_if_index'], name, value)


                        class LogAdjacencyChanges(Entity):
                            """
                            Log changes in adjacency state
                            
                            .. attribute:: detail
                            
                            	Log all state changes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.LogAdjacencyChanges, self).__init__()

                                self.yang_name = "log-adjacency-changes"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.detail = YLeaf(YType.empty, "detail")
                                self._segment_path = lambda: "log-adjacency-changes"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.LogAdjacencyChanges, ['detail'], name, value)


                        class MaxLsa(Entity):
                            """
                            maximum number of LSAs OSPF process will receive
                            
                            .. attribute:: number
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..4294967294
                            
                            .. attribute:: threshold_value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..100
                            
                            .. attribute:: ignore_count
                            
                            	maximum number of times adjacencies can be suppressed
                            	**type**\: int
                            
                            	**range:** 1..65534
                            
                            .. attribute:: ignore_time
                            
                            	time during which all adjacencies are suppressed
                            	**type**\: int
                            
                            	**range:** 1..17895
                            
                            .. attribute:: reset_time
                            
                            	time after which ignore\-count is reset to zero
                            	**type**\: int
                            
                            	**range:** 2..35791
                            
                            .. attribute:: warning_only
                            
                            	Only give warning message when limit is exceeded
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxLsa, self).__init__()

                                self.yang_name = "max-lsa"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.number = YLeaf(YType.uint32, "number")

                                self.threshold_value = YLeaf(YType.uint32, "threshold-value")

                                self.ignore_count = YLeaf(YType.uint32, "ignore-count")

                                self.ignore_time = YLeaf(YType.uint32, "ignore-time")

                                self.reset_time = YLeaf(YType.uint32, "reset-time")

                                self.warning_only = YLeaf(YType.empty, "warning-only")
                                self._segment_path = lambda: "max-lsa"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxLsa, ['number', 'threshold_value', 'ignore_count', 'ignore_time', 'reset_time', 'warning_only'], name, value)


                        class MaxMetric(Entity):
                            """
                            Set maximum metric
                            
                            .. attribute:: router_lsa
                            
                            	Maximum metric in self\-originated router\-LSAs
                            	**type**\:  :py:class:`RouterLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric, self).__init__()

                                self.yang_name = "max-metric"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"router-lsa" : ("router_lsa", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa)}
                                self._child_list_classes = {}

                                self.router_lsa = None
                                self._children_name_map["router_lsa"] = "router-lsa"
                                self._children_yang_names.add("router-lsa")
                                self._segment_path = lambda: "max-metric"


                            class RouterLsa(Entity):
                                """
                                Maximum metric in self\-originated router\-LSAs
                                
                                .. attribute:: external_lsa
                                
                                	Override external\-lsa metric with max\-metric value
                                	**type**\:  :py:class:`ExternalLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.ExternalLsa>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: include_stub
                                
                                	Set maximum metric for stub links in router\-LSAs
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: on_startup
                                
                                	Set maximum metric temporarily after reboot
                                	**type**\:  :py:class:`OnStartup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.OnStartup>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: summary_lsa
                                
                                	Override summary\-lsa metric with max\-metric value
                                	**type**\:  :py:class:`SummaryLsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.SummaryLsa>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa, self).__init__()

                                    self.yang_name = "router-lsa"
                                    self.yang_parent_name = "max-metric"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"external-lsa" : ("external_lsa", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.ExternalLsa), "on-startup" : ("on_startup", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.OnStartup), "summary-lsa" : ("summary_lsa", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.SummaryLsa)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.include_stub = YLeaf(YType.empty, "include-stub")

                                    self.external_lsa = None
                                    self._children_name_map["external_lsa"] = "external-lsa"
                                    self._children_yang_names.add("external-lsa")

                                    self.on_startup = None
                                    self._children_name_map["on_startup"] = "on-startup"
                                    self._children_yang_names.add("on-startup")

                                    self.summary_lsa = None
                                    self._children_name_map["summary_lsa"] = "summary-lsa"
                                    self._children_yang_names.add("summary-lsa")
                                    self._segment_path = lambda: "router-lsa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa, ['include_stub'], name, value)


                                class ExternalLsa(Entity):
                                    """
                                    Override external\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..16777215
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.ExternalLsa, self).__init__()

                                        self.yang_name = "external-lsa"
                                        self.yang_parent_name = "router-lsa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "external-lsa"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.ExternalLsa, ['metric'], name, value)


                                class OnStartup(Entity):
                                    """
                                    Set maximum metric temporarily after reboot
                                    
                                    .. attribute:: time
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 5..86400
                                    
                                    .. attribute:: wait_for_bgp
                                    
                                    	Let BGP decide when to originate router\-LSA with normal metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.OnStartup, self).__init__()

                                        self.yang_name = "on-startup"
                                        self.yang_parent_name = "router-lsa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.time = YLeaf(YType.uint32, "time")

                                        self.wait_for_bgp = YLeaf(YType.empty, "wait-for-bgp")
                                        self._segment_path = lambda: "on-startup"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.OnStartup, ['time', 'wait_for_bgp'], name, value)


                                class SummaryLsa(Entity):
                                    """
                                    Override summary\-lsa metric with max\-metric value
                                    
                                    .. attribute:: metric
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..16777215
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.SummaryLsa, self).__init__()

                                        self.yang_name = "summary-lsa"
                                        self.yang_parent_name = "router-lsa"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.metric = YLeaf(YType.uint32, "metric")
                                        self._segment_path = lambda: "summary-lsa"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.MaxMetric.RouterLsa.SummaryLsa, ['metric'], name, value)


                        class PassiveInterface(Entity):
                            """
                            Suppress routing updates on an interface
                            
                            .. attribute:: default
                            
                            	Suppress routing updates on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.PassiveInterface, self).__init__()

                                self.yang_name = "passive-interface"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.default = YLeaf(YType.empty, "default")

                                self.interface = YLeaf(YType.str, "interface")
                                self._segment_path = lambda: "passive-interface"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.PassiveInterface, ['default', 'interface'], name, value)


                        class Disable(Entity):
                            """
                            
                            
                            .. attribute:: passive_interface
                            
                            	
                            	**type**\: list of  		 :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable.PassiveInterface>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable, self).__init__()

                                self.yang_name = "disable"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"passive-interface" : ("passive_interface", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable.PassiveInterface)}

                                self.passive_interface = YList(self)
                                self._segment_path = lambda: "disable"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable, [], name, value)


                            class PassiveInterface(Entity):
                                """
                                
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable.PassiveInterface, self).__init__()

                                    self.yang_name = "passive-interface"
                                    self.yang_parent_name = "disable"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "passive-interface" + "[interface='" + self.interface.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Disable.PassiveInterface, ['interface'], name, value)


                        class QueueDepth(Entity):
                            """
                            OSPF Hello/Router process queue depth
                            
                            .. attribute:: hello
                            
                            	OSPF Hello process queue depth
                            	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello>`
                            
                            .. attribute:: update
                            
                            	OSPF Router process queue depth
                            	**type**\:  :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth, self).__init__()

                                self.yang_name = "queue-depth"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"hello" : ("hello", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello), "update" : ("update", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update)}
                                self._child_list_classes = {}

                                self.hello = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello()
                                self.hello.parent = self
                                self._children_name_map["hello"] = "hello"
                                self._children_yang_names.add("hello")

                                self.update = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update()
                                self.update.parent = self
                                self._children_name_map["update"] = "update"
                                self._children_yang_names.add("update")
                                self._segment_path = lambda: "queue-depth"


                            class Hello(Entity):
                                """
                                OSPF Hello process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..2147483647
                                
                                		**type**\:  :py:class:`Options <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.Options>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello, self).__init__()

                                    self.yang_name = "hello"
                                    self.yang_parent_name = "queue-depth"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.options = YLeaf(YType.str, "options")
                                    self._segment_path = lambda: "hello"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Hello, ['options'], name, value)

                                class Options(Enum):
                                    """
                                    Options

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = Enum.YLeaf(0, "unlimited")



                            class Update(Entity):
                                """
                                OSPF Router process queue depth
                                
                                .. attribute:: options
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..2147483647
                                
                                		**type**\:  :py:class:`Options <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update.Options>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update, self).__init__()

                                    self.yang_name = "update"
                                    self.yang_parent_name = "queue-depth"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.options = YLeaf(YType.str, "options")
                                    self._segment_path = lambda: "update"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.QueueDepth.Update, ['options'], name, value)

                                class Options(Enum):
                                    """
                                    Options

                                    .. data:: unlimited = 0

                                    """

                                    unlimited = Enum.YLeaf(0, "unlimited")



                        class Timers(Entity):
                            """
                            Adjust routing timers
                            
                            .. attribute:: lsa
                            
                            	OSPF LSA timers
                            	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Lsa>`
                            
                            .. attribute:: pacing
                            
                            	OSPF pacing timers
                            	**type**\:  :py:class:`Pacing <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Pacing>`
                            
                            .. attribute:: throttle
                            
                            	OSPF throttle timers
                            	**type**\:  :py:class:`Throttle <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"lsa" : ("lsa", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Lsa), "pacing" : ("pacing", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Pacing), "throttle" : ("throttle", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle)}
                                self._child_list_classes = {}

                                self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Lsa()
                                self.lsa.parent = self
                                self._children_name_map["lsa"] = "lsa"
                                self._children_yang_names.add("lsa")

                                self.pacing = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Pacing()
                                self.pacing.parent = self
                                self._children_name_map["pacing"] = "pacing"
                                self._children_yang_names.add("pacing")

                                self.throttle = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle()
                                self.throttle.parent = self
                                self._children_name_map["throttle"] = "throttle"
                                self._children_yang_names.add("throttle")
                                self._segment_path = lambda: "timers"


                            class Lsa(Entity):
                                """
                                OSPF LSA timers
                                
                                .. attribute:: arrival
                                
                                	OSPF LSA arrival timer
                                	**type**\: int
                                
                                	**range:** 0..600000
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Lsa, self).__init__()

                                    self.yang_name = "lsa"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.arrival = YLeaf(YType.uint32, "arrival")
                                    self._segment_path = lambda: "lsa"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Lsa, ['arrival'], name, value)


                            class Pacing(Entity):
                                """
                                OSPF pacing timers
                                
                                .. attribute:: flood
                                
                                	OSPF flood pacing timer
                                	**type**\: int
                                
                                	**range:** 5..100
                                
                                .. attribute:: lsa_group
                                
                                	OSPF LSA group pacing timer
                                	**type**\: int
                                
                                	**range:** 10..1800
                                
                                .. attribute:: retransmission
                                
                                	OSPF retransmission pacing timer
                                	**type**\: int
                                
                                	**range:** 5..200
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Pacing, self).__init__()

                                    self.yang_name = "pacing"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.flood = YLeaf(YType.uint32, "flood")

                                    self.lsa_group = YLeaf(YType.uint32, "lsa-group")

                                    self.retransmission = YLeaf(YType.uint32, "retransmission")
                                    self._segment_path = lambda: "pacing"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Pacing, ['flood', 'lsa_group', 'retransmission'], name, value)


                            class Throttle(Entity):
                                """
                                OSPF throttle timers
                                
                                .. attribute:: lsa
                                
                                	OSPF LSA throttle timers
                                	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa>`
                                
                                .. attribute:: spf
                                
                                	OSPF SPF throttle timers
                                	**type**\:  :py:class:`Spf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Spf>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle, self).__init__()

                                    self.yang_name = "throttle"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"lsa" : ("lsa", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa), "spf" : ("spf", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Spf)}
                                    self._child_list_classes = {}

                                    self.lsa = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa()
                                    self.lsa.parent = self
                                    self._children_name_map["lsa"] = "lsa"
                                    self._children_yang_names.add("lsa")

                                    self.spf = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Spf()
                                    self.spf.parent = self
                                    self._children_name_map["spf"] = "spf"
                                    self._children_yang_names.add("spf")
                                    self._segment_path = lambda: "throttle"


                                class Lsa(Entity):
                                    """
                                    OSPF LSA throttle timers
                                    
                                    .. attribute:: all
                                    
                                    	For all type of OSPF LSAs
                                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa.All>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa, self).__init__()

                                        self.yang_name = "lsa"
                                        self.yang_parent_name = "throttle"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"all" : ("all", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa.All)}
                                        self._child_list_classes = {}

                                        self.all = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa.All()
                                        self.all.parent = self
                                        self._children_name_map["all"] = "all"
                                        self._children_yang_names.add("all")
                                        self._segment_path = lambda: "lsa"


                                    class All(Entity):
                                        """
                                        For all type of OSPF LSAs
                                        
                                        .. attribute:: delay
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: min_delay
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..600000
                                        
                                        .. attribute:: max_delay
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..600000
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa.All, self).__init__()

                                            self.yang_name = "all"
                                            self.yang_parent_name = "lsa"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.delay = YLeaf(YType.uint32, "delay")

                                            self.min_delay = YLeaf(YType.uint32, "min-delay")

                                            self.max_delay = YLeaf(YType.uint32, "max-delay")
                                            self._segment_path = lambda: "all"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Lsa.All, ['delay', 'min_delay', 'max_delay'], name, value)


                                class Spf(Entity):
                                    """
                                    OSPF SPF throttle timers
                                    
                                    .. attribute:: delay
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: min_delay
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..600000
                                    
                                    .. attribute:: max_delay
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..600000
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Spf, self).__init__()

                                        self.yang_name = "spf"
                                        self.yang_parent_name = "throttle"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.delay = YLeaf(YType.uint32, "delay")

                                        self.min_delay = YLeaf(YType.uint32, "min-delay")

                                        self.max_delay = YLeaf(YType.uint32, "max-delay")
                                        self._segment_path = lambda: "spf"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Timers.Throttle.Spf, ['delay', 'min_delay', 'max_delay'], name, value)


                        class TrafficShare(Entity):
                            """
                            How to compute traffic share over alternate paths
                            
                            .. attribute:: min
                            
                            	All traffic shared among min metric paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: across_interfaces
                            
                            	Use different interfaces for equal\-cost paths
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TrafficShare, self).__init__()

                                self.yang_name = "traffic-share"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.min = YLeaf(YType.empty, "min")

                                self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                                self._segment_path = lambda: "traffic-share"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TrafficShare, ['min', 'across_interfaces'], name, value)


                        class TtlSecurity(Entity):
                            """
                            TTL security check
                            
                            .. attribute:: all_interfaces
                            
                            	Enable TTL Security on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: hops
                            
                            	IP hops
                            	**type**\: int
                            
                            	**range:** 1..254
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TtlSecurity, self).__init__()

                                self.yang_name = "ttl-security"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

                                self.hops = YLeaf(YType.uint8, "hops")
                                self._segment_path = lambda: "ttl-security"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.TtlSecurity, ['all_interfaces', 'hops'], name, value)


                        class Capability(Entity):
                            """
                            Enable specific OSPF feature
                            
                            .. attribute:: capability_type
                            
                            	
                            	**type**\:  :py:class:`CapabilityType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability.CapabilityType>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability, self).__init__()

                                self.yang_name = "capability"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.capability_type = YLeaf(YType.enumeration, "capability-type")
                                self._segment_path = lambda: "capability"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Capability, ['capability_type'], name, value)

                            class CapabilityType(Enum):
                                """
                                CapabilityType

                                .. data:: lls = 0

                                .. data:: opaque = 1

                                .. data:: transit = 2

                                .. data:: vrf_lite = 3

                                """

                                lls = Enum.YLeaf(0, "lls")

                                opaque = Enum.YLeaf(1, "opaque")

                                transit = Enum.YLeaf(2, "transit")

                                vrf_lite = Enum.YLeaf(3, "vrf-lite")



                        class Compatible(Entity):
                            """
                            OSPF compatibility list
                            
                            .. attribute:: rfc1583
                            
                            	Compatible with RFC 1583
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc1587
                            
                            	Compatible with RFC 1587
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: rfc5243
                            
                            	Compatible with RFC 5243
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Compatible, self).__init__()

                                self.yang_name = "compatible"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rfc1583 = YLeaf(YType.empty, "rfc1583")

                                self.rfc1587 = YLeaf(YType.empty, "rfc1587")

                                self.rfc5243 = YLeaf(YType.empty, "rfc5243")
                                self._segment_path = lambda: "compatible"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Compatible, ['rfc1583', 'rfc1587', 'rfc5243'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"originate" : ("originate", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation.Originate)}
                                self._child_list_classes = {}

                                self.originate = None
                                self._children_name_map["originate"] = "originate"
                                self._children_yang_names.add("originate")
                                self._segment_path = lambda: "default-information"


                            class Originate(Entity):
                                """
                                Distribute a default route
                                
                                .. attribute:: always
                                
                                	Always advertise default route
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: metric
                                
                                	OSPF default metric
                                	**type**\: int
                                
                                	**range:** 0..16777214
                                
                                .. attribute:: metric_type
                                
                                	OSPF metric type for default routes
                                	**type**\: int
                                
                                	**range:** 1..2
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation.Originate, self).__init__()

                                    self.yang_name = "originate"
                                    self.yang_parent_name = "default-information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.always = YLeaf(YType.empty, "always")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.uint32, "metric-type")

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DefaultInformation.Originate, ['always', 'metric', 'metric_type', 'route_map'], name, value)


                        class DiscardRoute(Entity):
                            """
                            Enable or disable discard\-route installation
                            
                            .. attribute:: external
                            
                            	Discard route for redistributed summarised routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: internal
                            
                            	Discard route for summarised internal routes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: metric
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DiscardRoute, self).__init__()

                                self.yang_name = "discard-route"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.external = YLeaf(YType.empty, "external")

                                self.internal = YLeaf(YType.empty, "internal")

                                self.metric = YLeaf(YType.uint32, "metric")
                                self._segment_path = lambda: "discard-route"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.DiscardRoute, ['external', 'internal', 'metric'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: ospf_distance
                            
                            	
                            	**type**\:  :py:class:`OspfDistance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.OspfDistance>`
                            
                            .. attribute:: ospf
                            
                            	OSPF routes Administrative distance
                            	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.Ospf>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"ospf-distance" : ("ospf_distance", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.OspfDistance), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.Ospf)}
                                self._child_list_classes = {}

                                self.ospf_distance = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.OspfDistance()
                                self.ospf_distance.parent = self
                                self._children_name_map["ospf_distance"] = "ospf-distance"
                                self._children_yang_names.add("ospf-distance")

                                self.ospf = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.Ospf()
                                self.ospf.parent = self
                                self._children_name_map["ospf"] = "ospf"
                                self._children_yang_names.add("ospf")
                                self._segment_path = lambda: "distance"


                            class OspfDistance(Entity):
                                """
                                
                                
                                .. attribute:: distance
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: ip
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: wildcard
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: acl_name
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..99
                                
                                		**type**\: int
                                
                                			**range:** 1300..1999
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.OspfDistance, self).__init__()

                                    self.yang_name = "ospf-distance"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.distance = YLeaf(YType.uint32, "distance")

                                    self.ip = YLeaf(YType.str, "ip")

                                    self.wildcard = YLeaf(YType.str, "wildcard")

                                    self.acl_name = YLeaf(YType.str, "acl-name")
                                    self._segment_path = lambda: "ospf-distance"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.OspfDistance, ['distance', 'ip', 'wildcard', 'acl_name'], name, value)


                            class Ospf(Entity):
                                """
                                OSPF routes Administrative distance
                                
                                .. attribute:: external
                                
                                	External routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: inter_area
                                
                                	Inter\-area routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: intra_area
                                
                                	Intra\-area routes
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.external = YLeaf(YType.uint32, "external")

                                    self.inter_area = YLeaf(YType.uint32, "inter-area")

                                    self.intra_area = YLeaf(YType.uint32, "intra-area")
                                    self._segment_path = lambda: "ospf"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Distance.Ospf, ['external', 'inter_area', 'intra_area'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: application
                            
                            	Application
                            	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application>`
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lisp
                            
                            	Locator ID Separation Protocol (LISP)
                            	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp>`
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf>`
                            
                            .. attribute:: ospfv3
                            
                            	OSPFv3
                            	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3>`
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: maximum_prefix
                            
                            	Maximum number of prefixes redistributed to protocol
                            	**type**\:  :py:class:`MaximumPrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix>`
                            
                            .. attribute:: vrf
                            
                            	Specify a source VRF
                            	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"connected" : ("connected", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected), "isis" : ("isis", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp), "mobile" : ("mobile", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile), "odr" : ("odr", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr), "static" : ("static", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static), "maximum-prefix" : ("maximum_prefix", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix), "vrf" : ("vrf", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf)}
                                self._child_list_classes = {"application" : ("application", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application), "bgp" : ("bgp", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp), "eigrp" : ("eigrp", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3), "rip" : ("rip", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip)}

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.isis = None
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.iso_igrp = None
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp()
                                self.lisp.parent = self
                                self._children_name_map["lisp"] = "lisp"
                                self._children_yang_names.add("lisp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.maximum_prefix = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix()
                                self.maximum_prefix.parent = self
                                self._children_name_map["maximum_prefix"] = "maximum-prefix"
                                self._children_yang_names.add("maximum-prefix")

                                self.vrf = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf()
                                self.vrf.parent = self
                                self._children_name_map["vrf"] = "vrf"
                                self._children_yang_names.add("vrf")

                                self.application = YList(self)
                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.ospf = YList(self)
                                self.ospfv3 = YList(self)
                                self.rip = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute, [], name, value)


                            class Application(Entity):
                                """
                                Application
                                
                                .. attribute:: name  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application, self).__init__()

                                    self.yang_name = "application"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.name = YLeaf(YType.str, "name")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application, ['name'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "application"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.str, "as-number")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp, ['as_number'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "connected"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.str, "as-number")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp, ['as_number'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisLevelRoutes>`
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions)}
                                    self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea)}
                                    self.is_presence_container = True

                                    self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")

                                    self.isis_area = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis, ['isis_level_routes'], name, value)

                                class IsisLevelRoutes(Enum):
                                    """
                                    IsisLevelRoutes

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")

                                    level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class IsisArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: isis_level_routes
                                    
                                    	
                                    	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.IsisLevelRoutes>`
                                    
                                    .. attribute:: redist_options
                                    
                                    	
                                    	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea, self).__init__()

                                        self.yang_name = "isis-area"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                        self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions()
                                        self.redist_options.parent = self
                                        self._children_name_map["redist_options"] = "redist-options"
                                        self._children_yang_names.add("redist-options")
                                        self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                    class IsisLevelRoutes(Enum):
                                        """
                                        IsisLevelRoutes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class RedistOptions(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions.MetricType>`
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions, self).__init__()

                                            self.yang_name = "redist-options"
                                            self.yang_parent_name = "isis-area"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                            self._segment_path = lambda: "redist-options"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: area_tag_route_map_container
                                
                                	
                                	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: iso_igrp_container
                                
                                	
                                	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer()
                                    self.area_tag_route_map_container.parent = self
                                    self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                    self._children_yang_names.add("area-tag-route-map-container")

                                    self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer()
                                    self.iso_igrp_container.parent = self
                                    self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                    self._children_yang_names.add("iso-igrp-container")
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp, ['route_map'], name, value)


                                class AreaTagRouteMapContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: area_tag
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                        self.yang_name = "area-tag-route-map-container"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.area_tag = YLeaf(YType.str, "area-tag")

                                        self.route_map = YLeaf(YType.str, "route-map")
                                        self._segment_path = lambda: "area-tag-route-map-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                                class IsoIgrpContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer, self).__init__()

                                        self.yang_name = "iso-igrp-container"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")
                                        self._segment_path = lambda: "iso-igrp-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Lisp(Entity):
                                """
                                Locator ID Separation Protocol (LISP)
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp, self).__init__()

                                    self.yang_name = "lisp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "lisp"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "lisp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "mobile"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "mobile"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "odr"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "odr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.MetricType>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.vrf = YLeaf(YType.str, "vrf")

                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")
                                    self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                                class Match(Entity):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal)}
                                        self._child_list_classes = {}

                                        self.internal = None
                                        self._children_name_map["internal"] = "internal"
                                        self._children_yang_names.add("internal")

                                        self.external = None
                                        self._children_name_map["external"] = "external"
                                        self._children_yang_names.add("external")

                                        self.nssa_external = None
                                        self._children_name_map["nssa_external"] = "nssa-external"
                                        self._children_yang_names.add("nssa-external")
                                        self._segment_path = lambda: "match"


                                    class Internal(Entity):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal, self).__init__()

                                            self.yang_name = "internal"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "internal"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class External(Entity):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External, self).__init__()

                                            self.yang_name = "external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class NssaExternal(Entity):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                            self.yang_name = "nssa-external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "nssa-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                            class Ospfv3(Entity):
                                """
                                OSPFv3
                                
                                .. attribute:: id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match>`
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: metric_type
                                
                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.MetricType>`
                                
                                .. attribute:: nssa_only
                                
                                	Limit redistributed routes to NSSA areas
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: subnets
                                
                                	Consider subnets for redistribution into OSPF
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: tag
                                
                                	Set tag for routes redistributed into OSPF
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3, self).__init__()

                                    self.yang_name = "ospfv3"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.uint32, "id")

                                    self.metric = YLeaf(YType.uint32, "metric")

                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                    self.subnets = YLeaf(YType.empty, "subnets")

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.tag = YLeaf(YType.uint32, "tag")

                                    self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")
                                    self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                class MetricType(Enum):
                                    """
                                    MetricType

                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                                class Match(Entity):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ospfv3"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.NssaExternal)}
                                        self._child_list_classes = {}

                                        self.internal = None
                                        self._children_name_map["internal"] = "internal"
                                        self._children_yang_names.add("internal")

                                        self.external = None
                                        self._children_name_map["external"] = "external"
                                        self._children_yang_names.add("external")

                                        self.nssa_external = None
                                        self._children_name_map["nssa_external"] = "nssa-external"
                                        self._children_yang_names.add("nssa-external")
                                        self._segment_path = lambda: "match"


                                    class Internal(Entity):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.Internal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.Internal, self).__init__()

                                            self.yang_name = "internal"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "internal"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class External(Entity):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.External.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.External, self).__init__()

                                            self.yang_name = "external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                    class NssaExternal(Entity):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.NssaExternal.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.NssaExternal, self).__init__()

                                            self.yang_name = "nssa-external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")
                                            self._segment_path = lambda: "nssa-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: id  <key>
                                
                                	User selected string identifying this rip process
                                	**type**\: str
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions)}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip, ['id'], name, value)


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: redist_options
                                
                                	
                                	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions()
                                    self.redist_options.parent = self
                                    self._children_name_map["redist_options"] = "redist-options"
                                    self._children_yang_names.add("redist-options")
                                    self._segment_path = lambda: "static"


                                class RedistOptions(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: metric_type
                                    
                                    	OSPF/IS\-IS exterior metric type for redistributed routes
                                    	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions.MetricType>`
                                    
                                    .. attribute:: tag
                                    
                                    	Set tag for routes redistributed into OSPF
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: subnets
                                    
                                    	Consider subnets for redistribution into OSPF
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: nssa_only
                                    
                                    	Limit redistributed routes to NSSA areas
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions, self).__init__()

                                        self.yang_name = "redist-options"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric = YLeaf(YType.uint32, "metric")

                                        self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                        self.tag = YLeaf(YType.uint32, "tag")

                                        self.subnets = YLeaf(YType.empty, "subnets")

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                        self._segment_path = lambda: "redist-options"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                    class MetricType(Enum):
                                        """
                                        MetricType

                                        OSPF/IS\-IS exterior metric type for redistributed routes

                                        .. data:: Y_1 = 0

                                        .. data:: Y_2 = 1

                                        """

                                        Y_1 = Enum.YLeaf(0, "1")

                                        Y_2 = Enum.YLeaf(1, "2")



                            class MaximumPrefix(Entity):
                                """
                                Maximum number of prefixes redistributed to protocol
                                
                                .. attribute:: number
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: threshold_warning_only_container
                                
                                	
                                	**type**\:  :py:class:`ThresholdWarningOnlyContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix, self).__init__()

                                    self.yang_name = "maximum-prefix"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"threshold-warning-only-container" : ("threshold_warning_only_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer)}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.uint32, "number")

                                    self.threshold_warning_only_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer()
                                    self.threshold_warning_only_container.parent = self
                                    self._children_name_map["threshold_warning_only_container"] = "threshold-warning-only-container"
                                    self._children_yang_names.add("threshold-warning-only-container")
                                    self._segment_path = lambda: "maximum-prefix"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix, ['number'], name, value)


                                class ThresholdWarningOnlyContainer(Entity):
                                    """
                                    
                                    
                                    .. attribute:: threshold
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 1..100
                                    
                                    .. attribute:: warning_only
                                    
                                    	Only give warning message when limit is exceeded
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer, self).__init__()

                                        self.yang_name = "threshold-warning-only-container"
                                        self.yang_parent_name = "maximum-prefix"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.threshold = YLeaf(YType.uint32, "threshold")

                                        self.warning_only = YLeaf(YType.empty, "warning-only")
                                        self._segment_path = lambda: "threshold-warning-only-container"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.MaximumPrefix.ThresholdWarningOnlyContainer, ['threshold', 'warning_only'], name, value)


                            class Vrf(Entity):
                                """
                                Specify a source VRF
                                
                                .. attribute:: non_global_vrf
                                
                                	
                                	**type**\: list of  		 :py:class:`NonGlobalVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf>`
                                
                                .. attribute:: global_
                                
                                	global VRF
                                	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf, self).__init__()

                                    self.yang_name = "vrf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"global" : ("global_", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_)}
                                    self._child_list_classes = {"non-global-vrf" : ("non_global_vrf", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf)}

                                    self.global_ = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_()
                                    self.global_.parent = self
                                    self._children_name_map["global_"] = "global"
                                    self._children_yang_names.add("global")

                                    self.non_global_vrf = YList(self)
                                    self._segment_path = lambda: "vrf"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf, [], name, value)


                                class NonGlobalVrf(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf, self).__init__()

                                        self.yang_name = "non-global-vrf"
                                        self.yang_parent_name = "vrf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected), "isis" : ("isis", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp), "mobile" : ("mobile", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile), "odr" : ("odr", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr), "static" : ("static", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Static)}
                                        self._child_list_classes = {"application" : ("application", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Application), "bgp" : ("bgp", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp), "eigrp" : ("eigrp", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3), "rip" : ("rip", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip)}

                                        self.name = YLeaf(YType.str, "name")

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = None
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.iso_igrp = None
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp()
                                        self.lisp.parent = self
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.application = YList(self)
                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self.rip = YList(self)
                                        self._segment_path = lambda: "non-global-vrf" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf, ['name'], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Application, ['name'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "connected"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisLevelRoutes>`
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea)}
                                            self.is_presence_container = True

                                            self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis, ['isis_level_routes'], name, value)

                                        class IsisLevelRoutes(Enum):
                                            """
                                            IsisLevelRoutes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.IsisLevelRoutes>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self
                                                self._children_name_map["redist_options"] = "redist-options"
                                                self._children_yang_names.add("redist-options")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                            class IsisLevelRoutes(Enum):
                                                """
                                                IsisLevelRoutes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                            class RedistOptions(Entity):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions.MetricType>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions, self).__init__()

                                                    self.yang_name = "redist-options"
                                                    self.yang_parent_name = "isis-area"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.tag = YLeaf(YType.uint32, "tag")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                    self._segment_path = lambda: "redist-options"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                            self._children_yang_names.add("area-tag-route-map-container")

                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                            self._children_yang_names.add("iso-igrp-container")
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp, ['route_map'], name, value)


                                        class AreaTagRouteMapContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                                self.yang_name = "area-tag-route-map-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.area_tag = YLeaf(YType.str, "area-tag")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "area-tag-route-map-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                                        class IsoIgrpContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer, self).__init__()

                                                self.yang_name = "iso-igrp-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")
                                                self._segment_path = lambda: "iso-igrp-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Lisp(Entity):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "lisp"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "lisp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "mobile"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "mobile"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "odr"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "odr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.vrf = YLeaf(YType.str, "vrf")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip, ['id'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "non-global-vrf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "static"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.NonGlobalVrf.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                class Global_(Entity):
                                    """
                                    global VRF
                                    
                                    .. attribute:: application
                                    
                                    	Application
                                    	**type**\: list of  		 :py:class:`Application <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Application>`
                                    
                                    .. attribute:: bgp
                                    
                                    	Border Gateway Protocol (BGP)
                                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Bgp>`
                                    
                                    .. attribute:: connected
                                    
                                    	Connected
                                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Connected>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: eigrp
                                    
                                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Eigrp>`
                                    
                                    .. attribute:: isis
                                    
                                    	ISO IS\-IS
                                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: iso_igrp
                                    
                                    	IGRP for OSI networks
                                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: lisp
                                    
                                    	Locator ID Separation Protocol (LISP)
                                    	**type**\:  :py:class:`Lisp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Lisp>`
                                    
                                    .. attribute:: mobile
                                    
                                    	Mobile routes
                                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Mobile>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: odr
                                    
                                    	On Demand stub Routes
                                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Odr>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: ospf
                                    
                                    	Open Shortest Path First (OSPF)
                                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf>`
                                    
                                    .. attribute:: ospfv3
                                    
                                    	OSPFv3
                                    	**type**\: list of  		 :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3>`
                                    
                                    .. attribute:: rip
                                    
                                    	Routing Information Protocol (RIP)
                                    	**type**\: list of  		 :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Rip>`
                                    
                                    .. attribute:: static
                                    
                                    	Static routes
                                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Static>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_, self).__init__()

                                        self.yang_name = "global"
                                        self.yang_parent_name = "vrf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"connected" : ("connected", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Connected), "isis" : ("isis", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp), "lisp" : ("lisp", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Lisp), "mobile" : ("mobile", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Mobile), "odr" : ("odr", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Odr), "static" : ("static", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Static)}
                                        self._child_list_classes = {"application" : ("application", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Application), "bgp" : ("bgp", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Bgp), "eigrp" : ("eigrp", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Eigrp), "ospf" : ("ospf", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf), "ospfv3" : ("ospfv3", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3), "rip" : ("rip", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Rip)}

                                        self.connected = None
                                        self._children_name_map["connected"] = "connected"
                                        self._children_yang_names.add("connected")

                                        self.isis = None
                                        self._children_name_map["isis"] = "isis"
                                        self._children_yang_names.add("isis")

                                        self.iso_igrp = None
                                        self._children_name_map["iso_igrp"] = "iso-igrp"
                                        self._children_yang_names.add("iso-igrp")

                                        self.lisp = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Lisp()
                                        self.lisp.parent = self
                                        self._children_name_map["lisp"] = "lisp"
                                        self._children_yang_names.add("lisp")

                                        self.mobile = None
                                        self._children_name_map["mobile"] = "mobile"
                                        self._children_yang_names.add("mobile")

                                        self.odr = None
                                        self._children_name_map["odr"] = "odr"
                                        self._children_yang_names.add("odr")

                                        self.static = None
                                        self._children_name_map["static"] = "static"
                                        self._children_yang_names.add("static")

                                        self.application = YList(self)
                                        self.bgp = YList(self)
                                        self.eigrp = YList(self)
                                        self.ospf = YList(self)
                                        self.ospfv3 = YList(self)
                                        self.rip = YList(self)
                                        self._segment_path = lambda: "global"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_, [], name, value)


                                    class Application(Entity):
                                        """
                                        Application
                                        
                                        .. attribute:: name  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Application.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Application, self).__init__()

                                            self.yang_name = "application"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Application.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Application.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "application" + "[name='" + self.name.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Application, ['name'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Application.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Application.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "application"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Application.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Bgp(Entity):
                                        """
                                        Border Gateway Protocol (BGP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Bgp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Bgp, self).__init__()

                                            self.yang_name = "bgp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Bgp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Bgp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Bgp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Bgp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Bgp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "bgp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Bgp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Connected(Entity):
                                        """
                                        Connected
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Connected.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Connected, self).__init__()

                                            self.yang_name = "connected"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Connected.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Connected.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "connected"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Connected.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Connected.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "connected"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Connected.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Eigrp(Entity):
                                        """
                                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                                        
                                        .. attribute:: as_number  <key>
                                        
                                        	
                                        	**type**\: union of the below types:
                                        
                                        		**type**\: int
                                        
                                        			**range:** 1..4294967295
                                        
                                        		**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Eigrp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Eigrp, self).__init__()

                                            self.yang_name = "eigrp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Eigrp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.as_number = YLeaf(YType.str, "as-number")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Eigrp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Eigrp, ['as_number'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Eigrp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Eigrp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "eigrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Eigrp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Isis(Entity):
                                        """
                                        ISO IS\-IS
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.IsisLevelRoutes>`
                                        
                                        .. attribute:: isis_area
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea>`
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis, self).__init__()

                                            self.yang_name = "isis"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.RedistOptions)}
                                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea)}
                                            self.is_presence_container = True

                                            self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")

                                            self.isis_area = YList(self)
                                            self._segment_path = lambda: "isis"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis, ['isis_level_routes'], name, value)

                                        class IsisLevelRoutes(Enum):
                                            """
                                            IsisLevelRoutes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class IsisArea(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: isis_level_routes
                                            
                                            	
                                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.IsisLevelRoutes>`
                                            
                                            .. attribute:: redist_options
                                            
                                            	
                                            	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea, self).__init__()

                                                self.yang_name = "isis-area"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions)}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                                self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions()
                                                self.redist_options.parent = self
                                                self._children_name_map["redist_options"] = "redist-options"
                                                self._children_yang_names.add("redist-options")
                                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea, ['name', 'isis_level_routes'], name, value)

                                            class IsisLevelRoutes(Enum):
                                                """
                                                IsisLevelRoutes

                                                .. data:: level_1 = 0

                                                .. data:: level_2 = 1

                                                .. data:: level_1_2 = 2

                                                """

                                                level_1 = Enum.YLeaf(0, "level-1")

                                                level_2 = Enum.YLeaf(1, "level-2")

                                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                                            class RedistOptions(Entity):
                                                """
                                                
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions.MetricType>`
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions, self).__init__()

                                                    self.yang_name = "redist-options"
                                                    self.yang_parent_name = "isis-area"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.tag = YLeaf(YType.uint32, "tag")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                    self._segment_path = lambda: "redist-options"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.IsisArea.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "isis"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Isis.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class IsoIgrp(Entity):
                                        """
                                        IGRP for OSI networks
                                        
                                        .. attribute:: area_tag_route_map_container
                                        
                                        	
                                        	**type**\:  :py:class:`AreaTagRouteMapContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: iso_igrp_container
                                        
                                        	
                                        	**type**\:  :py:class:`IsoIgrpContainer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp, self).__init__()

                                            self.yang_name = "iso-igrp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"area-tag-route-map-container" : ("area_tag_route_map_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer), "iso-igrp-container" : ("iso_igrp_container", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.area_tag_route_map_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer()
                                            self.area_tag_route_map_container.parent = self
                                            self._children_name_map["area_tag_route_map_container"] = "area-tag-route-map-container"
                                            self._children_yang_names.add("area-tag-route-map-container")

                                            self.iso_igrp_container = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer()
                                            self.iso_igrp_container.parent = self
                                            self._children_name_map["iso_igrp_container"] = "iso-igrp-container"
                                            self._children_yang_names.add("iso-igrp-container")
                                            self._segment_path = lambda: "iso-igrp"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp, ['route_map'], name, value)


                                        class AreaTagRouteMapContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: area_tag
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer, self).__init__()

                                                self.yang_name = "area-tag-route-map-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.area_tag = YLeaf(YType.str, "area-tag")

                                                self.route_map = YLeaf(YType.str, "route-map")
                                                self._segment_path = lambda: "area-tag-route-map-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp.AreaTagRouteMapContainer, ['area_tag', 'route_map'], name, value)


                                        class IsoIgrpContainer(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer, self).__init__()

                                                self.yang_name = "iso-igrp-container"
                                                self.yang_parent_name = "iso-igrp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")
                                                self._segment_path = lambda: "iso-igrp-container"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.IsoIgrp.IsoIgrpContainer, ['metric', 'metric_type', 'tag', 'subnets'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Lisp(Entity):
                                        """
                                        Locator ID Separation Protocol (LISP)
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Lisp.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Lisp, self).__init__()

                                            self.yang_name = "lisp"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Lisp.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Lisp.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "lisp"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Lisp.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Lisp.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "lisp"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Lisp.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Mobile(Entity):
                                        """
                                        Mobile routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Mobile.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Mobile, self).__init__()

                                            self.yang_name = "mobile"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Mobile.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Mobile.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "mobile"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Mobile.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Mobile.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "mobile"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Mobile.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Odr(Entity):
                                        """
                                        On Demand stub Routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Odr.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Odr, self).__init__()

                                            self.yang_name = "odr"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Odr.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Odr.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "odr"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Odr.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Odr.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "odr"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Odr.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Ospf(Entity):
                                        """
                                        Open Shortest Path First (OSPF)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: vrf
                                        
                                        	VPN Routing/Forwarding Instance
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf, self).__init__()

                                            self.yang_name = "ospf"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.vrf = YLeaf(YType.str, "vrf")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospf" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag', 'vrf'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospf"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospf.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Ospfv3(Entity):
                                        """
                                        OSPFv3
                                        
                                        .. attribute:: id  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 1..65535
                                        
                                        .. attribute:: match
                                        
                                        	Redistribution of OSPF routes
                                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match>`
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        .. attribute:: metric_type
                                        
                                        	OSPF/IS\-IS exterior metric type for redistributed routes
                                        	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.MetricType>`
                                        
                                        .. attribute:: nssa_only
                                        
                                        	Limit redistributed routes to NSSA areas
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: subnets
                                        
                                        	Consider subnets for redistribution into OSPF
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: tag
                                        
                                        	Set tag for routes redistributed into OSPF
                                        	**type**\: int
                                        
                                        	**range:** 0..4294967295
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3, self).__init__()

                                            self.yang_name = "ospfv3"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"match" : ("match", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.uint32, "id")

                                            self.metric = YLeaf(YType.uint32, "metric")

                                            self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                            self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                            self.subnets = YLeaf(YType.empty, "subnets")

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.tag = YLeaf(YType.uint32, "tag")

                                            self.match = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match()
                                            self.match.parent = self
                                            self._children_name_map["match"] = "match"
                                            self._children_yang_names.add("match")
                                            self._segment_path = lambda: "ospfv3" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3, ['id', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                        class MetricType(Enum):
                                            """
                                            MetricType

                                            OSPF/IS\-IS exterior metric type for redistributed routes

                                            .. data:: Y_1 = 0

                                            .. data:: Y_2 = 1

                                            """

                                            Y_1 = Enum.YLeaf(0, "1")

                                            Y_2 = Enum.YLeaf(1, "2")



                                        class Match(Entity):
                                            """
                                            Redistribution of OSPF routes
                                            
                                            .. attribute:: internal
                                            
                                            	Redistribute OSPF internal routes
                                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: external
                                            
                                            	Redistribute OSPF external routes
                                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.External>`
                                            
                                            	**presence node**\: True
                                            
                                            .. attribute:: nssa_external
                                            
                                            	Redistribute OSPF NSSA external routes
                                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal>`
                                            
                                            	**presence node**\: True
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match, self).__init__()

                                                self.yang_name = "match"
                                                self.yang_parent_name = "ospfv3"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"internal" : ("internal", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal), "external" : ("external", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.External), "nssa-external" : ("nssa_external", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal)}
                                                self._child_list_classes = {}

                                                self.internal = None
                                                self._children_name_map["internal"] = "internal"
                                                self._children_yang_names.add("internal")

                                                self.external = None
                                                self._children_name_map["external"] = "external"
                                                self._children_yang_names.add("external")

                                                self.nssa_external = None
                                                self._children_name_map["nssa_external"] = "nssa-external"
                                                self._children_yang_names.add("nssa-external")
                                                self._segment_path = lambda: "match"


                                            class Internal(Entity):
                                                """
                                                Redistribute OSPF internal routes
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal, self).__init__()

                                                    self.yang_name = "internal"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "internal"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.Internal, ['metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class External(Entity):
                                                """
                                                Redistribute OSPF external routes
                                                
                                                .. attribute:: external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.External.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.External, self).__init__()

                                                    self.yang_name = "external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.External, ['external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                            class NssaExternal(Entity):
                                                """
                                                Redistribute OSPF NSSA external routes
                                                
                                                .. attribute:: nssa_external_routes
                                                
                                                	
                                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_ospf.RedistOspfExternalType>`
                                                
                                                .. attribute:: metric
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                .. attribute:: metric_type
                                                
                                                	OSPF/IS\-IS exterior metric type for redistributed routes
                                                	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal.MetricType>`
                                                
                                                .. attribute:: nssa_only
                                                
                                                	Limit redistributed routes to NSSA areas
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: subnets
                                                
                                                	Consider subnets for redistribution into OSPF
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                .. attribute:: route_map
                                                
                                                	Route map reference
                                                	**type**\: str
                                                
                                                .. attribute:: tag
                                                
                                                	Set tag for routes redistributed into OSPF
                                                	**type**\: int
                                                
                                                	**range:** 0..4294967295
                                                
                                                

                                                This class is a :ref:`presence class<presence-class>`

                                                """

                                                _prefix = 'ios-ospfv3'
                                                _revision = '2017-04-28'

                                                def __init__(self):
                                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal, self).__init__()

                                                    self.yang_name = "nssa-external"
                                                    self.yang_parent_name = "match"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}
                                                    self.is_presence_container = True

                                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                                    self.metric = YLeaf(YType.uint32, "metric")

                                                    self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                    self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                                    self.subnets = YLeaf(YType.empty, "subnets")

                                                    self.route_map = YLeaf(YType.str, "route-map")

                                                    self.tag = YLeaf(YType.uint32, "tag")
                                                    self._segment_path = lambda: "nssa-external"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Ospfv3.Match.NssaExternal, ['nssa_external_routes', 'metric', 'metric_type', 'nssa_only', 'subnets', 'route_map', 'tag'], name, value)

                                                class MetricType(Enum):
                                                    """
                                                    MetricType

                                                    OSPF/IS\-IS exterior metric type for redistributed routes

                                                    .. data:: Y_1 = 0

                                                    .. data:: Y_2 = 1

                                                    """

                                                    Y_1 = Enum.YLeaf(0, "1")

                                                    Y_2 = Enum.YLeaf(1, "2")



                                    class Rip(Entity):
                                        """
                                        Routing Information Protocol (RIP)
                                        
                                        .. attribute:: id  <key>
                                        
                                        	User selected string identifying this rip process
                                        	**type**\: str
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Rip.RedistOptions>`
                                        
                                        

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Rip, self).__init__()

                                            self.yang_name = "rip"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Rip.RedistOptions)}
                                            self._child_list_classes = {}

                                            self.id = YLeaf(YType.str, "id")

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Rip.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "rip" + "[id='" + self.id.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Rip, ['id'], name, value)


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Rip.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Rip.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "rip"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Rip.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                                    class Static(Entity):
                                        """
                                        Static routes
                                        
                                        .. attribute:: redist_options
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Static.RedistOptions>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-ospfv3'
                                        _revision = '2017-04-28'

                                        def __init__(self):
                                            super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Static, self).__init__()

                                            self.yang_name = "static"
                                            self.yang_parent_name = "global"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"redist-options" : ("redist_options", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Static.RedistOptions)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.redist_options = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Static.RedistOptions()
                                            self.redist_options.parent = self
                                            self._children_name_map["redist_options"] = "redist-options"
                                            self._children_yang_names.add("redist-options")
                                            self._segment_path = lambda: "static"


                                        class RedistOptions(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: metric_type
                                            
                                            	OSPF/IS\-IS exterior metric type for redistributed routes
                                            	**type**\:  :py:class:`MetricType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Static.RedistOptions.MetricType>`
                                            
                                            .. attribute:: tag
                                            
                                            	Set tag for routes redistributed into OSPF
                                            	**type**\: int
                                            
                                            	**range:** 0..4294967295
                                            
                                            .. attribute:: subnets
                                            
                                            	Consider subnets for redistribution into OSPF
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            .. attribute:: nssa_only
                                            
                                            	Limit redistributed routes to NSSA areas
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-ospfv3'
                                            _revision = '2017-04-28'

                                            def __init__(self):
                                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Static.RedistOptions, self).__init__()

                                                self.yang_name = "redist-options"
                                                self.yang_parent_name = "static"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric = YLeaf(YType.uint32, "metric")

                                                self.metric_type = YLeaf(YType.enumeration, "metric-type")

                                                self.tag = YLeaf(YType.uint32, "tag")

                                                self.subnets = YLeaf(YType.empty, "subnets")

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.nssa_only = YLeaf(YType.empty, "nssa-only")
                                                self._segment_path = lambda: "redist-options"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Redistribute.Vrf.Global_.Static.RedistOptions, ['metric', 'metric_type', 'tag', 'subnets', 'route_map', 'nssa_only'], name, value)

                                            class MetricType(Enum):
                                                """
                                                MetricType

                                                OSPF/IS\-IS exterior metric type for redistributed routes

                                                .. data:: Y_1 = 0

                                                .. data:: Y_2 = 1

                                                """

                                                Y_1 = Enum.YLeaf(0, "1")

                                                Y_2 = Enum.YLeaf(1, "2")



                        class Authentication(Entity):
                            """
                            Authentication parameters
                            
                            .. attribute:: mode
                            
                            	Authentication operation mode
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication.Mode>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.mode = YLeaf(YType.enumeration, "mode")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Authentication, ['mode'], name, value)

                            class Mode(Enum):
                                """
                                Mode

                                Authentication operation mode

                                .. data:: deployment = 0

                                .. data:: normal = 1

                                .. data:: strict = 2

                                """

                                deployment = Enum.YLeaf(0, "deployment")

                                normal = Enum.YLeaf(1, "normal")

                                strict = Enum.YLeaf(2, "strict")



                        class GracefulRestart(Entity):
                            """
                            Graceful\-restart options
                            
                            .. attribute:: disable
                            
                            	Graceful restart disable
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: helper
                            
                            	helper support
                            	**type**\:  :py:class:`Helper <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart.Helper>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: restart_interval
                            
                            	Graceful restart interval
                            	**type**\: int
                            
                            	**range:** 0..65535
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart, self).__init__()

                                self.yang_name = "graceful-restart"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"helper" : ("helper", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart.Helper)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.disable = YLeaf(YType.empty, "disable")

                                self.restart_interval = YLeaf(YType.uint16, "restart-interval")

                                self.helper = None
                                self._children_name_map["helper"] = "helper"
                                self._children_yang_names.add("helper")
                                self._segment_path = lambda: "graceful-restart"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart, ['disable', 'restart_interval'], name, value)


                            class Helper(Entity):
                                """
                                helper support
                                
                                .. attribute:: disable
                                
                                	disable helper support
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: strict_lsa_checking
                                
                                	enable helper strict LSA checking
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart.Helper, self).__init__()

                                    self.yang_name = "helper"
                                    self.yang_parent_name = "graceful-restart"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.disable = YLeaf(YType.empty, "disable")

                                    self.strict_lsa_checking = YLeaf(YType.empty, "strict-lsa-checking")
                                    self._segment_path = lambda: "helper"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.GracefulRestart.Helper, ['disable', 'strict_lsa_checking'], name, value)


                        class Manet(Entity):
                            """
                            Specify MANET OSPF parameters
                            
                            .. attribute:: cache
                            
                            	Specify MANET cache sizes
                            	**type**\:  :py:class:`Cache <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Cache>`
                            
                            .. attribute:: hello
                            
                            	Unicast Hellos rather than multicast
                            	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Hello>`
                            
                            .. attribute:: peering
                            
                            	MANET OSPF Smart Peering
                            	**type**\:  :py:class:`Peering <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering>`
                            
                            .. attribute:: willingness
                            
                            	Specify Relay willingness value
                            	**type**\: int
                            
                            	**range:** 0..255
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet, self).__init__()

                                self.yang_name = "manet"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"cache" : ("cache", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Cache), "peering" : ("peering", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering)}
                                self._child_list_classes = {}

                                self.hello = YLeaf(YType.enumeration, "hello")

                                self.willingness = YLeaf(YType.uint8, "willingness")

                                self.cache = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Cache()
                                self.cache.parent = self
                                self._children_name_map["cache"] = "cache"
                                self._children_yang_names.add("cache")

                                self.peering = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering()
                                self.peering.parent = self
                                self._children_name_map["peering"] = "peering"
                                self._children_yang_names.add("peering")
                                self._segment_path = lambda: "manet"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet, ['hello', 'willingness'], name, value)

                            class Hello(Enum):
                                """
                                Hello

                                Unicast Hellos rather than multicast

                                .. data:: unicast = 0

                                .. data:: multicast = 1

                                """

                                unicast = Enum.YLeaf(0, "unicast")

                                multicast = Enum.YLeaf(1, "multicast")



                            class Cache(Entity):
                                """
                                Specify MANET cache sizes
                                
                                .. attribute:: acknowledgement
                                
                                	Specify MANET acknowledgement cache size
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                .. attribute:: update
                                
                                	Specify MANET LSA cache size
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Cache, self).__init__()

                                    self.yang_name = "cache"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.acknowledgement = YLeaf(YType.uint64, "acknowledgement")

                                    self.update = YLeaf(YType.uint64, "update")
                                    self._segment_path = lambda: "cache"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Cache, ['acknowledgement', 'update'], name, value)


                            class Peering(Entity):
                                """
                                MANET OSPF Smart Peering
                                
                                .. attribute:: selective
                                
                                	Enable selective peering
                                	**type**\:  :py:class:`Selective <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering.Selective>`
                                
                                

                                """

                                _prefix = 'ios-ospfv3'
                                _revision = '2017-04-28'

                                def __init__(self):
                                    super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering, self).__init__()

                                    self.yang_name = "peering"
                                    self.yang_parent_name = "manet"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"selective" : ("selective", Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering.Selective)}
                                    self._child_list_classes = {}

                                    self.selective = Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering.Selective()
                                    self.selective.parent = self
                                    self._children_name_map["selective"] = "selective"
                                    self._children_yang_names.add("selective")
                                    self._segment_path = lambda: "peering"


                                class Selective(Entity):
                                    """
                                    Enable selective peering
                                    
                                    .. attribute:: disable
                                    
                                    	Disable selective peering
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: per_interface
                                    
                                    	Select peers per interface rather than per node
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: redundancy
                                    
                                    	Redundant paths
                                    	**type**\: int
                                    
                                    	**range:** 0..255
                                    
                                    

                                    """

                                    _prefix = 'ios-ospfv3'
                                    _revision = '2017-04-28'

                                    def __init__(self):
                                        super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering.Selective, self).__init__()

                                        self.yang_name = "selective"
                                        self.yang_parent_name = "peering"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.disable = YLeaf(YType.empty, "disable")

                                        self.per_interface = YLeaf(YType.empty, "per-interface")

                                        self.redundancy = YLeaf(YType.uint8, "redundancy")
                                        self._segment_path = lambda: "selective"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.Manet.Peering.Selective, ['disable', 'per_interface', 'redundancy'], name, value)


                        class SummaryPrefix(Entity):
                            """
                            Configure IPv6 summary prefix
                            
                            .. attribute:: prefix  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                            
                            .. attribute:: nssa_only
                            
                            	Limit summary to NSSA areas
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: tag
                            
                            	Set tag
                            	**type**\: int
                            
                            	**range:** 0..4294967295
                            
                            .. attribute:: not_advertise
                            
                            	Do not advertise when translating OSPF type\-7 LSA
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-ospfv3'
                            _revision = '2017-04-28'

                            def __init__(self):
                                super(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.SummaryPrefix, self).__init__()

                                self.yang_name = "summary-prefix"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix = YLeaf(YType.str, "prefix")

                                self.nssa_only = YLeaf(YType.empty, "nssa-only")

                                self.tag = YLeaf(YType.uint32, "tag")

                                self.not_advertise = YLeaf(YType.empty, "not-advertise")
                                self._segment_path = lambda: "summary-prefix" + "[prefix='" + self.prefix.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Ospfv3.AddressFamily.Ipv6.Vrf.SummaryPrefix, ['prefix', 'nssa_only', 'tag', 'not_advertise'], name, value)


        class Rip(Entity):
            """
            Routing Information Protocol (RIP)
            
            .. attribute:: auto_summary
            
            	Enable automatic network number summarization
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: maximum_paths
            
            	Forward packets over multiple paths
            	**type**\: int
            
            	**range:** 1..32
            
            .. attribute:: neighbor
            
            	Specify a neighbor router
            	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Neighbor>`
            
            .. attribute:: network
            
            	Enable routing on an IP network
            	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Network>`
            
            .. attribute:: validate_update_source
            
            	Perform sanity checks against source address of routing updates
            	**type**\: bool
            
            .. attribute:: default_information
            
            	Control distribution of default information
            	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DefaultInformation>`
            
            .. attribute:: default_metric
            
            	Set metric of redistributed routes
            	**type**\: int
            
            	**range:** 1..4294967295
            
            .. attribute:: distance
            
            	Define an administrative distance
            	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Distance>`
            
            .. attribute:: distribute_list
            
            	Filter networks in routing updates
            	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList>`
            
            .. attribute:: offset_list
            
            	Add or subtract offset from RIP metrics
            	**type**\: list of  		 :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.OffsetList>`
            
            .. attribute:: redistribute
            
            	Redistribute information from another routing protocol
            	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute>`
            
            .. attribute:: timers
            
            	Adjust routing timers
            	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Timers>`
            
            .. attribute:: version
            
            	Set routing protocol version
            	**type**\: int
            
            	**range:** 1..2
            
            .. attribute:: flash_update_threshold
            
            	Specify flash update threshold in second
            	**type**\: int
            
            	**range:** 0..30
            
            .. attribute:: input_queue
            
            	Specify input queue depth
            	**type**\: int
            
            	**range:** 0..1024
            
            .. attribute:: output_delay
            
            	Interpacket delay for RIP updates
            	**type**\: int
            
            	**range:** 8..50
            
            .. attribute:: passive_interface
            
            	Suppress routing updates on an interface
            	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.PassiveInterface>`
            
            .. attribute:: disable
            
            	
            	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Disable>`
            
            .. attribute:: traffic_share
            
            	How to compute traffic share over alternate paths
            	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.TrafficShare>`
            
            .. attribute:: address_family
            
            	Enter Address Family command mode
            	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily>`
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-rip'
            _revision = '2017-04-12'

            def __init__(self):
                super(Native.Router.Rip, self).__init__()

                self.yang_name = "rip"
                self.yang_parent_name = "router"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"default-information" : ("default_information", Native.Router.Rip.DefaultInformation), "distance" : ("distance", Native.Router.Rip.Distance), "distribute-list" : ("distribute_list", Native.Router.Rip.DistributeList), "redistribute" : ("redistribute", Native.Router.Rip.Redistribute), "timers" : ("timers", Native.Router.Rip.Timers), "passive-interface" : ("passive_interface", Native.Router.Rip.PassiveInterface), "disable" : ("disable", Native.Router.Rip.Disable), "traffic-share" : ("traffic_share", Native.Router.Rip.TrafficShare), "address-family" : ("address_family", Native.Router.Rip.AddressFamily), "default" : ("default", Native.Router.Rip.Default)}
                self._child_list_classes = {"neighbor" : ("neighbor", Native.Router.Rip.Neighbor), "network" : ("network", Native.Router.Rip.Network), "offset-list" : ("offset_list", Native.Router.Rip.OffsetList)}
                self.is_presence_container = True

                self.auto_summary = YLeaf(YType.empty, "auto-summary")

                self.maximum_paths = YLeaf(YType.uint8, "maximum-paths")

                self.validate_update_source = YLeaf(YType.boolean, "validate-update-source")

                self.default_metric = YLeaf(YType.uint32, "default-metric")

                self.version = YLeaf(YType.uint8, "version")

                self.flash_update_threshold = YLeaf(YType.uint8, "flash-update-threshold")

                self.input_queue = YLeaf(YType.uint16, "input-queue")

                self.output_delay = YLeaf(YType.uint8, "output-delay")

                self.default_information = Native.Router.Rip.DefaultInformation()
                self.default_information.parent = self
                self._children_name_map["default_information"] = "default-information"
                self._children_yang_names.add("default-information")

                self.distance = Native.Router.Rip.Distance()
                self.distance.parent = self
                self._children_name_map["distance"] = "distance"
                self._children_yang_names.add("distance")

                self.distribute_list = Native.Router.Rip.DistributeList()
                self.distribute_list.parent = self
                self._children_name_map["distribute_list"] = "distribute-list"
                self._children_yang_names.add("distribute-list")

                self.redistribute = Native.Router.Rip.Redistribute()
                self.redistribute.parent = self
                self._children_name_map["redistribute"] = "redistribute"
                self._children_yang_names.add("redistribute")

                self.timers = Native.Router.Rip.Timers()
                self.timers.parent = self
                self._children_name_map["timers"] = "timers"
                self._children_yang_names.add("timers")

                self.passive_interface = Native.Router.Rip.PassiveInterface()
                self.passive_interface.parent = self
                self._children_name_map["passive_interface"] = "passive-interface"
                self._children_yang_names.add("passive-interface")

                self.disable = Native.Router.Rip.Disable()
                self.disable.parent = self
                self._children_name_map["disable"] = "disable"
                self._children_yang_names.add("disable")

                self.traffic_share = Native.Router.Rip.TrafficShare()
                self.traffic_share.parent = self
                self._children_name_map["traffic_share"] = "traffic-share"
                self._children_yang_names.add("traffic-share")

                self.address_family = Native.Router.Rip.AddressFamily()
                self.address_family.parent = self
                self._children_name_map["address_family"] = "address-family"
                self._children_yang_names.add("address-family")

                self.default = Native.Router.Rip.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.neighbor = YList(self)
                self.network = YList(self)
                self.offset_list = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-rip:rip"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Router.Rip, ['auto_summary', 'maximum_paths', 'validate_update_source', 'default_metric', 'version', 'flash_update_threshold', 'input_queue', 'output_delay'], name, value)


            class Neighbor(Entity):
                """
                Specify a neighbor router
                
                .. attribute:: ip  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Router.Rip.Neighbor, self).__init__()

                    self.yang_name = "neighbor"
                    self.yang_parent_name = "rip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.str, "ip")
                    self._segment_path = lambda: "neighbor" + "[ip='" + self.ip.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Rip.Neighbor, ['ip'], name, value)


            class Network(Entity):
                """
                Enable routing on an IP network
                
                .. attribute:: ip  <key>
                
                	
                	**type**\: str
                
                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Router.Rip.Network, self).__init__()

                    self.yang_name = "network"
                    self.yang_parent_name = "rip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ip = YLeaf(YType.str, "ip")
                    self._segment_path = lambda: "network" + "[ip='" + self.ip.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Rip.Network, ['ip'], name, value)


            class DefaultInformation(Entity):
                """
                Control distribution of default information
                
                .. attribute:: originate
                
                	Distribute a default route
                	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DefaultInformation.Originate>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Router.Rip.DefaultInformation, self).__init__()

                    self.yang_name = "default-information"
                    self.yang_parent_name = "rip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"originate" : ("originate", Native.Router.Rip.DefaultInformation.Originate)}
                    self._child_list_classes = {}

                    self.originate = None
                    self._children_name_map["originate"] = "originate"
                    self._children_yang_names.add("originate")
                    self._segment_path = lambda: "default-information"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/%s" % self._segment_path()


                class Originate(Entity):
                    """
                    Distribute a default route
                    
                    .. attribute:: route_map
                    
                    	Route\-map reference
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.DefaultInformation.Originate, self).__init__()

                        self.yang_name = "originate"
                        self.yang_parent_name = "default-information"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.route_map = YLeaf(YType.str, "route-map")
                        self._segment_path = lambda: "originate"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default-information/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.DefaultInformation.Originate, ['route_map'], name, value)


            class Distance(Entity):
                """
                Define an administrative distance
                
                .. attribute:: distance_leaf
                
                	
                	**type**\: int
                
                	**range:** 1..255
                
                .. attribute:: distance_list
                
                	
                	**type**\: list of  		 :py:class:`DistanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Distance.DistanceList>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Router.Rip.Distance, self).__init__()

                    self.yang_name = "distance"
                    self.yang_parent_name = "rip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"distance-list" : ("distance_list", Native.Router.Rip.Distance.DistanceList)}

                    self.distance_leaf = YLeaf(YType.uint8, "distance-leaf")

                    self.distance_list = YList(self)
                    self._segment_path = lambda: "distance"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Rip.Distance, ['distance_leaf'], name, value)


                class DistanceList(Entity):
                    """
                    
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Distance.DistanceList, self).__init__()

                        self.yang_name = "distance-list"
                        self.yang_parent_name = "distance"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint8, "number")

                        self.ip = YLeaf(YType.str, "ip")

                        self.mask = YLeaf(YType.str, "mask")

                        self.access_list = YLeaf(YType.str, "access-list")
                        self._segment_path = lambda: "distance-list" + "[number='" + self.number.get() + "']" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/distance/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Distance.DistanceList, ['number', 'ip', 'mask', 'access_list'], name, value)


            class DistributeList(Entity):
                """
                Filter networks in routing updates
                
                .. attribute:: accesslist
                
                	
                	**type**\: list of  		 :py:class:`Accesslist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList.Accesslist>`
                
                .. attribute:: accesslist_ifname
                
                	
                	**type**\: list of  		 :py:class:`AccesslistIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList.AccesslistIfname>`
                
                .. attribute:: accesslist_prefix_gateway
                
                	
                	**type**\: list of  		 :py:class:`AccesslistPrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList.AccesslistPrefixGateway>`
                
                .. attribute:: accesslist_prefix_gateway_ifname
                
                	
                	**type**\: list of  		 :py:class:`AccesslistPrefixGatewayIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Router.Rip.DistributeList, self).__init__()

                    self.yang_name = "distribute-list"
                    self.yang_parent_name = "rip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"accesslist" : ("accesslist", Native.Router.Rip.DistributeList.Accesslist), "accesslist-ifname" : ("accesslist_ifname", Native.Router.Rip.DistributeList.AccesslistIfname), "accesslist-prefix-gateway" : ("accesslist_prefix_gateway", Native.Router.Rip.DistributeList.AccesslistPrefixGateway), "accesslist-prefix-gateway-ifname" : ("accesslist_prefix_gateway_ifname", Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname)}

                    self.accesslist = YList(self)
                    self.accesslist_ifname = YList(self)
                    self.accesslist_prefix_gateway = YList(self)
                    self.accesslist_prefix_gateway_ifname = YList(self)
                    self._segment_path = lambda: "distribute-list"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Rip.DistributeList, [], name, value)


                class Accesslist(Entity):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199
                    
                    		**type**\: int
                    
                    			**range:** 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.DistributeList.Accesslist, self).__init__()

                        self.yang_name = "accesslist"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.in_out = YLeaf(YType.enumeration, "in-out")

                        self.id = YLeaf(YType.str, "id")
                        self._segment_path = lambda: "accesslist" + "[in-out='" + self.in_out.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/distribute-list/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.DistributeList.Accesslist, ['in_out', 'id'], name, value)


                class AccesslistIfname(Entity):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: interface_routing_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: isis_tag
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\: str
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199
                    
                    		**type**\: int
                    
                    			**range:** 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.DistributeList.AccesslistIfname, self).__init__()

                        self.yang_name = "accesslist-ifname"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.in_out = YLeaf(YType.enumeration, "in-out")

                        self.interface = YLeaf(YType.str, "interface")

                        self.interface_routing_id = YLeaf(YType.uint8, "interface-routing-id")

                        self.isis_tag = YLeaf(YType.str, "isis-tag")

                        self.vrf = YLeaf(YType.str, "vrf")

                        self.id = YLeaf(YType.str, "id")
                        self._segment_path = lambda: "accesslist-ifname" + "[in-out='" + self.in_out.get() + "']" + "[interface='" + self.interface.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/distribute-list/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.DistributeList.AccesslistIfname, ['in_out', 'interface', 'interface_routing_id', 'isis_tag', 'vrf', 'id'], name, value)


                class AccesslistPrefixGateway(Entity):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                    
                    .. attribute:: prefix_gateway
                    
                    	
                    	**type**\:  :py:class:`PrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList.AccesslistPrefixGateway.PrefixGateway>`
                    
                    	**mandatory**\: True
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.DistributeList.AccesslistPrefixGateway, self).__init__()

                        self.yang_name = "accesslist-prefix-gateway"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.in_out = YLeaf(YType.enumeration, "in-out")

                        self.prefix_gateway = YLeaf(YType.enumeration, "prefix-gateway")

                        self.name = YLeaf(YType.str, "name")
                        self._segment_path = lambda: "accesslist-prefix-gateway" + "[in-out='" + self.in_out.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/distribute-list/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.DistributeList.AccesslistPrefixGateway, ['in_out', 'prefix_gateway', 'name'], name, value)

                    class PrefixGateway(Enum):
                        """
                        PrefixGateway

                        .. data:: prefix = 0

                        .. data:: gateway = 1

                        .. data:: route_map = 2

                        """

                        prefix = Enum.YLeaf(0, "prefix")

                        gateway = Enum.YLeaf(1, "gateway")

                        route_map = Enum.YLeaf(2, "route-map")



                class AccesslistPrefixGatewayIfname(Entity):
                    """
                    
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: prefix_gateway
                    
                    	
                    	**type**\:  :py:class:`PrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname.PrefixGateway>`
                    
                    	**mandatory**\: True
                    
                    .. attribute:: name
                    
                    	
                    	**type**\: str
                    
                    	**mandatory**\: True
                    
                    .. attribute:: interface_routing_id
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    .. attribute:: isis_tag
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname, self).__init__()

                        self.yang_name = "accesslist-prefix-gateway-ifname"
                        self.yang_parent_name = "distribute-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.in_out = YLeaf(YType.enumeration, "in-out")

                        self.interface = YLeaf(YType.str, "interface")

                        self.prefix_gateway = YLeaf(YType.enumeration, "prefix-gateway")

                        self.name = YLeaf(YType.str, "name")

                        self.interface_routing_id = YLeaf(YType.uint8, "interface-routing-id")

                        self.isis_tag = YLeaf(YType.str, "isis-tag")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "accesslist-prefix-gateway-ifname" + "[in-out='" + self.in_out.get() + "']" + "[interface='" + self.interface.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/distribute-list/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.DistributeList.AccesslistPrefixGatewayIfname, ['in_out', 'interface', 'prefix_gateway', 'name', 'interface_routing_id', 'isis_tag', 'vrf'], name, value)

                    class PrefixGateway(Enum):
                        """
                        PrefixGateway

                        .. data:: prefix = 0

                        .. data:: gateway = 1

                        .. data:: route_map = 2

                        """

                        prefix = Enum.YLeaf(0, "prefix")

                        gateway = Enum.YLeaf(1, "gateway")

                        route_map = Enum.YLeaf(2, "route-map")



            class OffsetList(Entity):
                """
                Add or subtract offset from RIP metrics
                
                .. attribute:: in_out  <key>
                
                	
                	**type**\:  :py:class:`OffsetListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_rip.OffsetListInOutType>`
                
                .. attribute:: offset
                
                	
                	**type**\: int
                
                	**range:** 0..16
                
                	**mandatory**\: True
                
                .. attribute:: id
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..99
                
                		**type**\: int
                
                			**range:** 1300..1999
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                	**mandatory**\: True
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Router.Rip.OffsetList, self).__init__()

                    self.yang_name = "offset-list"
                    self.yang_parent_name = "rip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.in_out = YLeaf(YType.enumeration, "in-out")

                    self.offset = YLeaf(YType.uint8, "offset")

                    self.id = YLeaf(YType.str, "id")
                    self._segment_path = lambda: "offset-list" + "[in-out='" + self.in_out.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Rip.OffsetList, ['in_out', 'offset', 'id'], name, value)


            class Redistribute(Entity):
                """
                Redistribute information from another routing protocol
                
                .. attribute:: rip_metric_route_map
                
                	
                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.RipMetricRouteMap>`
                
                .. attribute:: connected
                
                	Connected
                	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Connected>`
                
                	**presence node**\: True
                
                .. attribute:: bgp
                
                	Border Gateway Protocol (BGP)
                	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Bgp>`
                
                .. attribute:: eigrp
                
                	Enhanced Interior Gateway Routing Protocol (EIGRP)
                	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Eigrp>`
                
                .. attribute:: isis
                
                	ISO IS\-IS
                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis>`
                
                	**presence node**\: True
                
                .. attribute:: iso_igrp
                
                	IGRP for OSI networks
                	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.IsoIgrp>`
                
                	**presence node**\: True
                
                .. attribute:: mobile
                
                	Mobile routes
                	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Mobile>`
                
                	**presence node**\: True
                
                .. attribute:: odr
                
                	On Demand stub Routes
                	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Odr>`
                
                	**presence node**\: True
                
                .. attribute:: ospf
                
                	Open Shortest Path First (OSPF)
                	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf>`
                
                .. attribute:: static
                
                	Static routes
                	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Static>`
                
                	**presence node**\: True
                
                .. attribute:: rip
                
                	Routing Information Protocol (RIP)
                	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Rip>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Router.Rip.Redistribute, self).__init__()

                    self.yang_name = "redistribute"
                    self.yang_parent_name = "rip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.RipMetricRouteMap), "connected" : ("connected", Native.Router.Rip.Redistribute.Connected), "isis" : ("isis", Native.Router.Rip.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Rip.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Rip.Redistribute.Mobile), "odr" : ("odr", Native.Router.Rip.Redistribute.Odr), "static" : ("static", Native.Router.Rip.Redistribute.Static), "rip" : ("rip", Native.Router.Rip.Redistribute.Rip)}
                    self._child_list_classes = {"bgp" : ("bgp", Native.Router.Rip.Redistribute.Bgp), "eigrp" : ("eigrp", Native.Router.Rip.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Rip.Redistribute.Ospf)}

                    self.rip_metric_route_map = Native.Router.Rip.Redistribute.RipMetricRouteMap()
                    self.rip_metric_route_map.parent = self
                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                    self._children_yang_names.add("rip-metric-route-map")

                    self.connected = None
                    self._children_name_map["connected"] = "connected"
                    self._children_yang_names.add("connected")

                    self.isis = None
                    self._children_name_map["isis"] = "isis"
                    self._children_yang_names.add("isis")

                    self.iso_igrp = None
                    self._children_name_map["iso_igrp"] = "iso-igrp"
                    self._children_yang_names.add("iso-igrp")

                    self.mobile = None
                    self._children_name_map["mobile"] = "mobile"
                    self._children_yang_names.add("mobile")

                    self.odr = None
                    self._children_name_map["odr"] = "odr"
                    self._children_yang_names.add("odr")

                    self.static = None
                    self._children_name_map["static"] = "static"
                    self._children_yang_names.add("static")

                    self.rip = None
                    self._children_name_map["rip"] = "rip"
                    self._children_yang_names.add("rip")

                    self.bgp = YList(self)
                    self.eigrp = YList(self)
                    self.ospf = YList(self)
                    self._segment_path = lambda: "redistribute"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Rip.Redistribute, [], name, value)


                class RipMetricRouteMap(Entity):
                    """
                    
                    
                    .. attribute:: metric
                    
                    	Metric for redistributed routes
                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.RipMetricRouteMap.Metric>`
                    
                    .. attribute:: route_map
                    
                    	Route map reference
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Redistribute.RipMetricRouteMap, self).__init__()

                        self.yang_name = "rip-metric-route-map"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.RipMetricRouteMap.Metric)}
                        self._child_list_classes = {}

                        self.route_map = YLeaf(YType.str, "route-map")

                        self.metric = Native.Router.Rip.Redistribute.RipMetricRouteMap.Metric()
                        self.metric.parent = self
                        self._children_name_map["metric"] = "metric"
                        self._children_yang_names.add("metric")
                        self._segment_path = lambda: "rip-metric-route-map"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Redistribute.RipMetricRouteMap, ['route_map'], name, value)


                    class Metric(Entity):
                        """
                        Metric for redistributed routes
                        
                        .. attribute:: metric_value
                        
                        	Metric for redistributed routes
                        	**type**\: int
                        
                        	**range:** 0..16
                        
                        .. attribute:: transparent
                        
                        	Transparently redistribute metric
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.RipMetricRouteMap.Metric, self).__init__()

                            self.yang_name = "metric"
                            self.yang_parent_name = "rip-metric-route-map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                            self.transparent = YLeaf(YType.empty, "transparent")
                            self._segment_path = lambda: "metric"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/rip-metric-route-map/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                class Connected(Entity):
                    """
                    Connected
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Redistribute.Connected, self).__init__()

                        self.yang_name = "connected"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self
                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                        self._children_yang_names.add("rip-metric-route-map")
                        self._segment_path = lambda: "connected"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/%s" % self._segment_path()


                    class RipMetricRouteMap(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap, self).__init__()

                            self.yang_name = "rip-metric-route-map"
                            self.yang_parent_name = "connected"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric)}
                            self._child_list_classes = {}

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.metric = Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self._children_name_map["metric"] = "metric"
                            self._children_yang_names.add("metric")
                            self._segment_path = lambda: "rip-metric-route-map"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/connected/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap, ['route_map'], name, value)


                        class Metric(Entity):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric, self).__init__()

                                self.yang_name = "metric"
                                self.yang_parent_name = "rip-metric-route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                self.transparent = YLeaf(YType.empty, "transparent")
                                self._segment_path = lambda: "metric"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/connected/rip-metric-route-map/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.Connected.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                class Bgp(Entity):
                    """
                    Border Gateway Protocol (BGP)
                    
                    .. attribute:: as_number  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..4294967295
                    
                    		**type**\: str
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Redistribute.Bgp, self).__init__()

                        self.yang_name = "bgp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap)}
                        self._child_list_classes = {}

                        self.as_number = YLeaf(YType.str, "as-number")

                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self
                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                        self._children_yang_names.add("rip-metric-route-map")
                        self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Redistribute.Bgp, ['as_number'], name, value)


                    class RipMetricRouteMap(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap, self).__init__()

                            self.yang_name = "rip-metric-route-map"
                            self.yang_parent_name = "bgp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric)}
                            self._child_list_classes = {}

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.metric = Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self._children_name_map["metric"] = "metric"
                            self._children_yang_names.add("metric")
                            self._segment_path = lambda: "rip-metric-route-map"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap, ['route_map'], name, value)


                        class Metric(Entity):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric, self).__init__()

                                self.yang_name = "metric"
                                self.yang_parent_name = "rip-metric-route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                self.transparent = YLeaf(YType.empty, "transparent")
                                self._segment_path = lambda: "metric"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.Bgp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                class Eigrp(Entity):
                    """
                    Enhanced Interior Gateway Routing Protocol (EIGRP)
                    
                    .. attribute:: as_number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Redistribute.Eigrp, self).__init__()

                        self.yang_name = "eigrp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap)}
                        self._child_list_classes = {}

                        self.as_number = YLeaf(YType.uint16, "as-number")

                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self
                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                        self._children_yang_names.add("rip-metric-route-map")
                        self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Redistribute.Eigrp, ['as_number'], name, value)


                    class RipMetricRouteMap(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap, self).__init__()

                            self.yang_name = "rip-metric-route-map"
                            self.yang_parent_name = "eigrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric)}
                            self._child_list_classes = {}

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.metric = Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self._children_name_map["metric"] = "metric"
                            self._children_yang_names.add("metric")
                            self._segment_path = lambda: "rip-metric-route-map"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap, ['route_map'], name, value)


                        class Metric(Entity):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric, self).__init__()

                                self.yang_name = "metric"
                                self.yang_parent_name = "rip-metric-route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                self.transparent = YLeaf(YType.empty, "transparent")
                                self._segment_path = lambda: "metric"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.Eigrp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                class Isis(Entity):
                    """
                    ISO IS\-IS
                    
                    .. attribute:: isis_area
                    
                    	
                    	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.IsisArea>`
                    
                    .. attribute:: rip_isis_redist
                    
                    	
                    	**type**\:  :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.RipIsisRedist>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Redistribute.Isis, self).__init__()

                        self.yang_name = "isis"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"rip-isis-redist" : ("rip_isis_redist", Native.Router.Rip.Redistribute.Isis.RipIsisRedist)}
                        self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Rip.Redistribute.Isis.IsisArea)}
                        self.is_presence_container = True

                        self.rip_isis_redist = Native.Router.Rip.Redistribute.Isis.RipIsisRedist()
                        self.rip_isis_redist.parent = self
                        self._children_name_map["rip_isis_redist"] = "rip-isis-redist"
                        self._children_yang_names.add("rip-isis-redist")

                        self.isis_area = YList(self)
                        self._segment_path = lambda: "isis"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Redistribute.Isis, [], name, value)


                    class IsisArea(Entity):
                        """
                        
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: rip_isis_redist
                        
                        	
                        	**type**\:  :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.Isis.IsisArea, self).__init__()

                            self.yang_name = "isis-area"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rip-isis-redist" : ("rip_isis_redist", Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist)}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")

                            self.rip_isis_redist = Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist()
                            self.rip_isis_redist.parent = self
                            self._children_name_map["rip_isis_redist"] = "rip-isis-redist"
                            self._children_yang_names.add("rip-isis-redist")
                            self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/isis/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.Isis.IsisArea, ['name'], name, value)


                        class RipIsisRedist(Entity):
                            """
                            
                            
                            .. attribute:: isis_level_routes
                            
                            	
                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutes>`
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist, self).__init__()

                                self.yang_name = "rip-isis-redist"
                                self.yang_parent_name = "isis-area"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap)}
                                self._child_list_classes = {}

                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                self.rip_metric_route_map = Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self
                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                self._children_yang_names.add("rip-metric-route-map")
                                self._segment_path = lambda: "rip-isis-redist"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist, ['isis_level_routes'], name, value)

                            class IsisLevelRoutes(Enum):
                                """
                                IsisLevelRoutes

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                .. data:: level_1_2 = 2

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")

                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                            class RipMetricRouteMap(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap, self).__init__()

                                    self.yang_name = "rip-metric-route-map"
                                    self.yang_parent_name = "rip-isis-redist"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self._children_name_map["metric"] = "metric"
                                    self._children_yang_names.add("metric")
                                    self._segment_path = lambda: "rip-metric-route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap, ['route_map'], name, value)


                                class Metric(Entity):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric, self).__init__()

                                        self.yang_name = "metric"
                                        self.yang_parent_name = "rip-metric-route-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                        self.transparent = YLeaf(YType.empty, "transparent")
                                        self._segment_path = lambda: "metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class RipIsisRedist(Entity):
                        """
                        
                        
                        .. attribute:: isis_level_routes
                        
                        	
                        	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.RipIsisRedist.IsisLevelRoutes>`
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.Isis.RipIsisRedist, self).__init__()

                            self.yang_name = "rip-isis-redist"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap)}
                            self._child_list_classes = {}

                            self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                            self.rip_metric_route_map = Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "rip-isis-redist"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/isis/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.Isis.RipIsisRedist, ['isis_level_routes'], name, value)

                        class IsisLevelRoutes(Enum):
                            """
                            IsisLevelRoutes

                            .. data:: level_1 = 0

                            .. data:: level_2 = 1

                            .. data:: level_1_2 = 2

                            """

                            level_1 = Enum.YLeaf(0, "level-1")

                            level_2 = Enum.YLeaf(1, "level-2")

                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "rip-isis-redist"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/isis/rip-isis-redist/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/isis/rip-isis-redist/rip-metric-route-map/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                class IsoIgrp(Entity):
                    """
                    IGRP for OSI networks
                    
                    .. attribute:: isoigrp_list
                    
                    	Border Gateway Protocol (BGP)
                    	**type**\: list of  		 :py:class:`IsoigrpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList>`
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Redistribute.IsoIgrp, self).__init__()

                        self.yang_name = "iso-igrp"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap)}
                        self._child_list_classes = {"isoigrp-list" : ("isoigrp_list", Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList)}
                        self.is_presence_container = True

                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self
                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                        self._children_yang_names.add("rip-metric-route-map")

                        self.isoigrp_list = YList(self)
                        self._segment_path = lambda: "iso-igrp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Redistribute.IsoIgrp, [], name, value)


                    class IsoigrpList(Entity):
                        """
                        Border Gateway Protocol (BGP)
                        
                        .. attribute:: iso_area_tag  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList, self).__init__()

                            self.yang_name = "isoigrp-list"
                            self.yang_parent_name = "iso-igrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap)}
                            self._child_list_classes = {}

                            self.iso_area_tag = YLeaf(YType.str, "iso-area-tag")

                            self.rip_metric_route_map = Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "isoigrp-list" + "[iso-area-tag='" + self.iso_area_tag.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/iso-igrp/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList, ['iso_area_tag'], name, value)


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "isoigrp-list"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class RipMetricRouteMap(Entity):
                        """
                        
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap, self).__init__()

                            self.yang_name = "rip-metric-route-map"
                            self.yang_parent_name = "iso-igrp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric)}
                            self._child_list_classes = {}

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.metric = Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self._children_name_map["metric"] = "metric"
                            self._children_yang_names.add("metric")
                            self._segment_path = lambda: "rip-metric-route-map"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/iso-igrp/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap, ['route_map'], name, value)


                        class Metric(Entity):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric, self).__init__()

                                self.yang_name = "metric"
                                self.yang_parent_name = "rip-metric-route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                self.transparent = YLeaf(YType.empty, "transparent")
                                self._segment_path = lambda: "metric"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/iso-igrp/rip-metric-route-map/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.IsoIgrp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                class Mobile(Entity):
                    """
                    Mobile routes
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Redistribute.Mobile, self).__init__()

                        self.yang_name = "mobile"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self
                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                        self._children_yang_names.add("rip-metric-route-map")
                        self._segment_path = lambda: "mobile"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/%s" % self._segment_path()


                    class RipMetricRouteMap(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap, self).__init__()

                            self.yang_name = "rip-metric-route-map"
                            self.yang_parent_name = "mobile"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric)}
                            self._child_list_classes = {}

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.metric = Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self._children_name_map["metric"] = "metric"
                            self._children_yang_names.add("metric")
                            self._segment_path = lambda: "rip-metric-route-map"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/mobile/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap, ['route_map'], name, value)


                        class Metric(Entity):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric, self).__init__()

                                self.yang_name = "metric"
                                self.yang_parent_name = "rip-metric-route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                self.transparent = YLeaf(YType.empty, "transparent")
                                self._segment_path = lambda: "metric"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/mobile/rip-metric-route-map/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.Mobile.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                class Odr(Entity):
                    """
                    On Demand stub Routes
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Redistribute.Odr, self).__init__()

                        self.yang_name = "odr"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self
                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                        self._children_yang_names.add("rip-metric-route-map")
                        self._segment_path = lambda: "odr"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/%s" % self._segment_path()


                    class RipMetricRouteMap(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap, self).__init__()

                            self.yang_name = "rip-metric-route-map"
                            self.yang_parent_name = "odr"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric)}
                            self._child_list_classes = {}

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.metric = Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self._children_name_map["metric"] = "metric"
                            self._children_yang_names.add("metric")
                            self._segment_path = lambda: "rip-metric-route-map"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/odr/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap, ['route_map'], name, value)


                        class Metric(Entity):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric, self).__init__()

                                self.yang_name = "metric"
                                self.yang_parent_name = "rip-metric-route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                self.transparent = YLeaf(YType.empty, "transparent")
                                self._segment_path = lambda: "metric"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/odr/rip-metric-route-map/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.Odr.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                class Ospf(Entity):
                    """
                    Open Shortest Path First (OSPF)
                    
                    .. attribute:: process_id  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    .. attribute:: vrf
                    
                    	VPN Routing/Forwarding Instance
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Vrf>`
                    
                    .. attribute:: match
                    
                    	Redistribution of OSPF routes
                    	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match>`
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Redistribute.Ospf, self).__init__()

                        self.yang_name = "ospf"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"match" : ("match", Native.Router.Rip.Redistribute.Ospf.Match), "rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap)}
                        self._child_list_classes = {"vrf" : ("vrf", Native.Router.Rip.Redistribute.Ospf.Vrf)}

                        self.process_id = YLeaf(YType.uint16, "process-id")

                        self.match = Native.Router.Rip.Redistribute.Ospf.Match()
                        self.match.parent = self
                        self._children_name_map["match"] = "match"
                        self._children_yang_names.add("match")

                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self
                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                        self._children_yang_names.add("rip-metric-route-map")

                        self.vrf = YList(self)
                        self._segment_path = lambda: "ospf" + "[process-id='" + self.process_id.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Redistribute.Ospf, ['process_id'], name, value)


                    class Vrf(Entity):
                        """
                        VPN Routing/Forwarding Instance
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.Ospf.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.Ospf.Vrf, ['name'], name, value)


                    class Match(Entity):
                        """
                        Redistribution of OSPF routes
                        
                        .. attribute:: internal
                        
                        	Redistribute OSPF internal routes
                        	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.Internal>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: external
                        
                        	Redistribute OSPF external routes
                        	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.External>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nssa_external
                        
                        	Redistribute OSPF NSSA external routes
                        	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.Ospf.Match, self).__init__()

                            self.yang_name = "match"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"internal" : ("internal", Native.Router.Rip.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.Rip.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal)}
                            self._child_list_classes = {}

                            self.internal = None
                            self._children_name_map["internal"] = "internal"
                            self._children_yang_names.add("internal")

                            self.external = None
                            self._children_name_map["external"] = "external"
                            self._children_yang_names.add("external")

                            self.nssa_external = None
                            self._children_name_map["nssa_external"] = "nssa-external"
                            self._children_yang_names.add("nssa-external")
                            self._segment_path = lambda: "match"


                        class Internal(Entity):
                            """
                            Redistribute OSPF internal routes
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.Ospf.Match.Internal, self).__init__()

                                self.yang_name = "internal"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.rip_metric_route_map = Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self
                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                self._children_yang_names.add("rip-metric-route-map")
                                self._segment_path = lambda: "internal"


                            class RipMetricRouteMap(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap, self).__init__()

                                    self.yang_name = "rip-metric-route-map"
                                    self.yang_parent_name = "internal"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self._children_name_map["metric"] = "metric"
                                    self._children_yang_names.add("metric")
                                    self._segment_path = lambda: "rip-metric-route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap, ['route_map'], name, value)


                                class Metric(Entity):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric, self).__init__()

                                        self.yang_name = "metric"
                                        self.yang_parent_name = "rip-metric-route-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                        self.transparent = YLeaf(YType.empty, "transparent")
                                        self._segment_path = lambda: "metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                        class External(Entity):
                            """
                            Redistribute OSPF external routes
                            
                            .. attribute:: external_routes
                            
                            	
                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.Ospf.Match.External, self).__init__()

                                self.yang_name = "external"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                self.rip_metric_route_map = Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self
                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                self._children_yang_names.add("rip-metric-route-map")
                                self._segment_path = lambda: "external"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.Ospf.Match.External, ['external_routes'], name, value)


                            class RipMetricRouteMap(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap, self).__init__()

                                    self.yang_name = "rip-metric-route-map"
                                    self.yang_parent_name = "external"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self._children_name_map["metric"] = "metric"
                                    self._children_yang_names.add("metric")
                                    self._segment_path = lambda: "rip-metric-route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap, ['route_map'], name, value)


                                class Metric(Entity):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric, self).__init__()

                                        self.yang_name = "metric"
                                        self.yang_parent_name = "rip-metric-route-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                        self.transparent = YLeaf(YType.empty, "transparent")
                                        self._segment_path = lambda: "metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                        class NssaExternal(Entity):
                            """
                            Redistribute OSPF NSSA external routes
                            
                            .. attribute:: nssa_external_routes
                            
                            	
                            	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                self.yang_name = "nssa-external"
                                self.yang_parent_name = "match"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                self.rip_metric_route_map = Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self
                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                self._children_yang_names.add("rip-metric-route-map")
                                self._segment_path = lambda: "nssa-external"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes'], name, value)


                            class RipMetricRouteMap(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap, self).__init__()

                                    self.yang_name = "rip-metric-route-map"
                                    self.yang_parent_name = "nssa-external"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self._children_name_map["metric"] = "metric"
                                    self._children_yang_names.add("metric")
                                    self._segment_path = lambda: "rip-metric-route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap, ['route_map'], name, value)


                                class Metric(Entity):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric, self).__init__()

                                        self.yang_name = "metric"
                                        self.yang_parent_name = "rip-metric-route-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                        self.transparent = YLeaf(YType.empty, "transparent")
                                        self._segment_path = lambda: "metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class RipMetricRouteMap(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap, self).__init__()

                            self.yang_name = "rip-metric-route-map"
                            self.yang_parent_name = "ospf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric)}
                            self._child_list_classes = {}

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.metric = Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self._children_name_map["metric"] = "metric"
                            self._children_yang_names.add("metric")
                            self._segment_path = lambda: "rip-metric-route-map"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap, ['route_map'], name, value)


                        class Metric(Entity):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric, self).__init__()

                                self.yang_name = "metric"
                                self.yang_parent_name = "rip-metric-route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                self.transparent = YLeaf(YType.empty, "transparent")
                                self._segment_path = lambda: "metric"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.Ospf.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                class Static(Entity):
                    """
                    Static routes
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Static.RipMetricRouteMap>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Redistribute.Static, self).__init__()

                        self.yang_name = "static"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.Static.RipMetricRouteMap)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Static.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self
                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                        self._children_yang_names.add("rip-metric-route-map")
                        self._segment_path = lambda: "static"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/%s" % self._segment_path()


                    class RipMetricRouteMap(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.Static.RipMetricRouteMap, self).__init__()

                            self.yang_name = "rip-metric-route-map"
                            self.yang_parent_name = "static"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric)}
                            self._child_list_classes = {}

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.metric = Native.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self._children_name_map["metric"] = "metric"
                            self._children_yang_names.add("metric")
                            self._segment_path = lambda: "rip-metric-route-map"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/static/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.Static.RipMetricRouteMap, ['route_map'], name, value)


                        class Metric(Entity):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric, self).__init__()

                                self.yang_name = "metric"
                                self.yang_parent_name = "rip-metric-route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                self.transparent = YLeaf(YType.empty, "transparent")
                                self._segment_path = lambda: "metric"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/static/rip-metric-route-map/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.Static.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                class Rip(Entity):
                    """
                    Routing Information Protocol (RIP)
                    
                    .. attribute:: rip_metric_route_map
                    
                    	
                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Rip.RipMetricRouteMap>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Redistribute.Rip, self).__init__()

                        self.yang_name = "rip"
                        self.yang_parent_name = "redistribute"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Redistribute.Rip.RipMetricRouteMap)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.rip_metric_route_map = Native.Router.Rip.Redistribute.Rip.RipMetricRouteMap()
                        self.rip_metric_route_map.parent = self
                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                        self._children_yang_names.add("rip-metric-route-map")
                        self._segment_path = lambda: "rip"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/%s" % self._segment_path()


                    class RipMetricRouteMap(Entity):
                        """
                        
                        
                        .. attribute:: metric
                        
                        	Metric for redistributed routes
                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Redistribute.Rip.RipMetricRouteMap.Metric>`
                        
                        .. attribute:: route_map
                        
                        	Route map reference
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Redistribute.Rip.RipMetricRouteMap, self).__init__()

                            self.yang_name = "rip-metric-route-map"
                            self.yang_parent_name = "rip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Redistribute.Rip.RipMetricRouteMap.Metric)}
                            self._child_list_classes = {}

                            self.route_map = YLeaf(YType.str, "route-map")

                            self.metric = Native.Router.Rip.Redistribute.Rip.RipMetricRouteMap.Metric()
                            self.metric.parent = self
                            self._children_name_map["metric"] = "metric"
                            self._children_yang_names.add("metric")
                            self._segment_path = lambda: "rip-metric-route-map"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/rip/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Redistribute.Rip.RipMetricRouteMap, ['route_map'], name, value)


                        class Metric(Entity):
                            """
                            Metric for redistributed routes
                            
                            .. attribute:: metric_value
                            
                            	Metric for redistributed routes
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            .. attribute:: transparent
                            
                            	Transparently redistribute metric
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Redistribute.Rip.RipMetricRouteMap.Metric, self).__init__()

                                self.yang_name = "metric"
                                self.yang_parent_name = "rip-metric-route-map"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                self.transparent = YLeaf(YType.empty, "transparent")
                                self._segment_path = lambda: "metric"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/redistribute/rip/rip-metric-route-map/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Redistribute.Rip.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


            class Timers(Entity):
                """
                Adjust routing timers
                
                .. attribute:: basic
                
                	Basic routing protocol update timers
                	**type**\:  :py:class:`Basic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Timers.Basic>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Router.Rip.Timers, self).__init__()

                    self.yang_name = "timers"
                    self.yang_parent_name = "rip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"basic" : ("basic", Native.Router.Rip.Timers.Basic)}
                    self._child_list_classes = {}

                    self.basic = Native.Router.Rip.Timers.Basic()
                    self.basic.parent = self
                    self._children_name_map["basic"] = "basic"
                    self._children_yang_names.add("basic")
                    self._segment_path = lambda: "timers"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/%s" % self._segment_path()


                class Basic(Entity):
                    """
                    Basic routing protocol update timers
                    
                    .. attribute:: updates
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: invalid
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: holddown
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: flush
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    .. attribute:: sleep
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..4294967295
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Timers.Basic, self).__init__()

                        self.yang_name = "basic"
                        self.yang_parent_name = "timers"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.updates = YLeaf(YType.uint32, "updates")

                        self.invalid = YLeaf(YType.uint32, "invalid")

                        self.holddown = YLeaf(YType.uint32, "holddown")

                        self.flush = YLeaf(YType.uint32, "flush")

                        self.sleep = YLeaf(YType.uint32, "sleep")
                        self._segment_path = lambda: "basic"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/timers/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Timers.Basic, ['updates', 'invalid', 'holddown', 'flush', 'sleep'], name, value)


            class PassiveInterface(Entity):
                """
                Suppress routing updates on an interface
                
                .. attribute:: default
                
                	Suppress routing updates on all interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: interface
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Router.Rip.PassiveInterface, self).__init__()

                    self.yang_name = "passive-interface"
                    self.yang_parent_name = "rip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.default = YLeaf(YType.empty, "default")

                    self.interface = YLeaf(YType.str, "interface")
                    self._segment_path = lambda: "passive-interface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Rip.PassiveInterface, ['default', 'interface'], name, value)


            class Disable(Entity):
                """
                
                
                .. attribute:: passive_interface
                
                	
                	**type**\: list of  		 :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Disable.PassiveInterface>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Router.Rip.Disable, self).__init__()

                    self.yang_name = "disable"
                    self.yang_parent_name = "rip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"passive-interface" : ("passive_interface", Native.Router.Rip.Disable.PassiveInterface)}

                    self.passive_interface = YList(self)
                    self._segment_path = lambda: "disable"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Rip.Disable, [], name, value)


                class PassiveInterface(Entity):
                    """
                    
                    
                    .. attribute:: interface  <key>
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Disable.PassiveInterface, self).__init__()

                        self.yang_name = "passive-interface"
                        self.yang_parent_name = "disable"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interface = YLeaf(YType.str, "interface")
                        self._segment_path = lambda: "passive-interface" + "[interface='" + self.interface.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/disable/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Disable.PassiveInterface, ['interface'], name, value)


            class TrafficShare(Entity):
                """
                How to compute traffic share over alternate paths
                
                .. attribute:: min
                
                	All traffic shared among min metric paths
                	**type**\:  :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.TrafficShare.Min>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Router.Rip.TrafficShare, self).__init__()

                    self.yang_name = "traffic-share"
                    self.yang_parent_name = "rip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"min" : ("min", Native.Router.Rip.TrafficShare.Min)}
                    self._child_list_classes = {}

                    self.min = Native.Router.Rip.TrafficShare.Min()
                    self.min.parent = self
                    self._children_name_map["min"] = "min"
                    self._children_yang_names.add("min")
                    self._segment_path = lambda: "traffic-share"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/%s" % self._segment_path()


                class Min(Entity):
                    """
                    All traffic shared among min metric paths
                    
                    .. attribute:: across_interfaces
                    
                    	Use different interfaces for equal\-cost paths
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.TrafficShare.Min, self).__init__()

                        self.yang_name = "min"
                        self.yang_parent_name = "traffic-share"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                        self._segment_path = lambda: "min"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/traffic-share/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.TrafficShare.Min, ['across_interfaces'], name, value)


            class AddressFamily(Entity):
                """
                Enter Address Family command mode
                
                .. attribute:: ipv4
                
                	Address family
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Router.Rip.AddressFamily, self).__init__()

                    self.yang_name = "address-family"
                    self.yang_parent_name = "rip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Rip.AddressFamily.Ipv4)}
                    self._child_list_classes = {}

                    self.ipv4 = Native.Router.Rip.AddressFamily.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")
                    self._segment_path = lambda: "address-family"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/%s" % self._segment_path()


                class Ipv4(Entity):
                    """
                    Address family
                    
                    .. attribute:: unicast
                    
                    	
                    	**type**\:  :py:class:`Unicast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast>`
                    
                    .. attribute:: vrf
                    
                    	Specify parameters for a VPN Routing/Forwarding instance
                    	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.AddressFamily.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "address-family"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"unicast" : ("unicast", Native.Router.Rip.AddressFamily.Ipv4.Unicast)}
                        self._child_list_classes = {"vrf" : ("vrf", Native.Router.Rip.AddressFamily.Ipv4.Vrf)}

                        self.unicast = Native.Router.Rip.AddressFamily.Ipv4.Unicast()
                        self.unicast.parent = self
                        self._children_name_map["unicast"] = "unicast"
                        self._children_yang_names.add("unicast")

                        self.vrf = YList(self)
                        self._segment_path = lambda: "ipv4"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4, [], name, value)


                    class Unicast(Entity):
                        """
                        
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Enable routing on an IP network
                        	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Network>`
                        
                        .. attribute:: validate_update_source
                        
                        	Perform sanity checks against source address of routing updates
                        	**type**\: bool
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList>`
                        
                        .. attribute:: offset_list
                        
                        	Add or subtract offset from RIP metrics
                        	**type**\: list of  		 :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.OffsetList>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute>`
                        
                        .. attribute:: timers
                        
                        	Adjust routing timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers>`
                        
                        .. attribute:: version
                        
                        	Set routing protocol version
                        	**type**\: int
                        
                        	**range:** 1..2
                        
                        .. attribute:: flash_update_threshold
                        
                        	Specify flash update threshold in second
                        	**type**\: int
                        
                        	**range:** 0..30
                        
                        .. attribute:: input_queue
                        
                        	Specify input queue depth
                        	**type**\: int
                        
                        	**range:** 0..1024
                        
                        .. attribute:: output_delay
                        
                        	Interpacket delay for RIP updates
                        	**type**\: int
                        
                        	**range:** 8..50
                        
                        .. attribute:: passive_interface
                        
                        	Suppress routing updates on an interface
                        	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.PassiveInterface>`
                        
                        .. attribute:: disable
                        
                        	
                        	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable>`
                        
                        .. attribute:: traffic_share
                        
                        	How to compute traffic share over alternate paths
                        	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast, self).__init__()

                            self.yang_name = "unicast"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"default-information" : ("default_information", Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation), "distance" : ("distance", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance), "distribute-list" : ("distribute_list", Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList), "redistribute" : ("redistribute", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute), "timers" : ("timers", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers), "passive-interface" : ("passive_interface", Native.Router.Rip.AddressFamily.Ipv4.Unicast.PassiveInterface), "disable" : ("disable", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable), "traffic-share" : ("traffic_share", Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare)}
                            self._child_list_classes = {"neighbor" : ("neighbor", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Neighbor), "network" : ("network", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Network), "offset-list" : ("offset_list", Native.Router.Rip.AddressFamily.Ipv4.Unicast.OffsetList)}

                            self.auto_summary = YLeaf(YType.empty, "auto-summary")

                            self.maximum_paths = YLeaf(YType.uint8, "maximum-paths")

                            self.validate_update_source = YLeaf(YType.boolean, "validate-update-source")

                            self.default_metric = YLeaf(YType.uint32, "default-metric")

                            self.version = YLeaf(YType.uint8, "version")

                            self.flash_update_threshold = YLeaf(YType.uint8, "flash-update-threshold")

                            self.input_queue = YLeaf(YType.uint16, "input-queue")

                            self.output_delay = YLeaf(YType.uint8, "output-delay")

                            self.default_information = Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.distance = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.distribute_list = Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList()
                            self.distribute_list.parent = self
                            self._children_name_map["distribute_list"] = "distribute-list"
                            self._children_yang_names.add("distribute-list")

                            self.redistribute = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.timers = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")

                            self.passive_interface = Native.Router.Rip.AddressFamily.Ipv4.Unicast.PassiveInterface()
                            self.passive_interface.parent = self
                            self._children_name_map["passive_interface"] = "passive-interface"
                            self._children_yang_names.add("passive-interface")

                            self.disable = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable()
                            self.disable.parent = self
                            self._children_name_map["disable"] = "disable"
                            self._children_yang_names.add("disable")

                            self.traffic_share = Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare()
                            self.traffic_share.parent = self
                            self._children_name_map["traffic_share"] = "traffic-share"
                            self._children_yang_names.add("traffic-share")

                            self.neighbor = YList(self)
                            self.network = YList(self)
                            self.offset_list = YList(self)
                            self._segment_path = lambda: "unicast"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast, ['auto_summary', 'maximum_paths', 'validate_update_source', 'default_metric', 'version', 'flash_update_threshold', 'input_queue', 'output_delay'], name, value)


                        class Neighbor(Entity):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.str, "ip")
                                self._segment_path = lambda: "neighbor" + "[ip='" + self.ip.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Neighbor, ['ip'], name, value)


                        class Network(Entity):
                            """
                            Enable routing on an IP network
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.str, "ip")
                                self._segment_path = lambda: "network" + "[ip='" + self.ip.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Network, ['ip'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"originate" : ("originate", Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate)}
                                self._child_list_classes = {}

                                self.originate = None
                                self._children_name_map["originate"] = "originate"
                                self._children_yang_names.add("originate")
                                self._segment_path = lambda: "default-information"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/%s" % self._segment_path()


                            class Originate(Entity):
                                """
                                Distribute a default route
                                
                                .. attribute:: route_map
                                
                                	Route\-map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate, self).__init__()

                                    self.yang_name = "originate"
                                    self.yang_parent_name = "default-information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "originate"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/default-information/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.DefaultInformation.Originate, ['route_map'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: distance_leaf
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: distance_list
                            
                            	
                            	**type**\: list of  		 :py:class:`DistanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance.DistanceList>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"distance-list" : ("distance_list", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance.DistanceList)}

                                self.distance_leaf = YLeaf(YType.uint8, "distance-leaf")

                                self.distance_list = YList(self)
                                self._segment_path = lambda: "distance"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance, ['distance_leaf'], name, value)


                            class DistanceList(Entity):
                                """
                                
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: ip  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: mask  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance.DistanceList, self).__init__()

                                    self.yang_name = "distance-list"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.uint8, "number")

                                    self.ip = YLeaf(YType.str, "ip")

                                    self.mask = YLeaf(YType.str, "mask")
                                    self._segment_path = lambda: "distance-list" + "[number='" + self.number.get() + "']" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/distance/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Distance.DistanceList, ['number', 'ip', 'mask'], name, value)


                        class DistributeList(Entity):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: accesslist
                            
                            	
                            	**type**\: list of  		 :py:class:`Accesslist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.Accesslist>`
                            
                            .. attribute:: accesslist_ifname
                            
                            	
                            	**type**\: list of  		 :py:class:`AccesslistIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistIfname>`
                            
                            .. attribute:: accesslist_prefix_gateway
                            
                            	
                            	**type**\: list of  		 :py:class:`AccesslistPrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway>`
                            
                            .. attribute:: accesslist_prefix_gateway_ifname
                            
                            	
                            	**type**\: list of  		 :py:class:`AccesslistPrefixGatewayIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList, self).__init__()

                                self.yang_name = "distribute-list"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"accesslist" : ("accesslist", Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.Accesslist), "accesslist-ifname" : ("accesslist_ifname", Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistIfname), "accesslist-prefix-gateway" : ("accesslist_prefix_gateway", Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway), "accesslist-prefix-gateway-ifname" : ("accesslist_prefix_gateway_ifname", Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname)}

                                self.accesslist = YList(self)
                                self.accesslist_ifname = YList(self)
                                self.accesslist_prefix_gateway = YList(self)
                                self.accesslist_prefix_gateway_ifname = YList(self)
                                self._segment_path = lambda: "distribute-list"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList, [], name, value)


                            class Accesslist(Entity):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.Accesslist, self).__init__()

                                    self.yang_name = "accesslist"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_out = YLeaf(YType.enumeration, "in-out")
                                    self._segment_path = lambda: "accesslist" + "[in-out='" + self.in_out.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/distribute-list/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.Accesslist, ['in_out'], name, value)


                            class AccesslistIfname(Entity):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: interface_routing_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: isis_tag
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistIfname, self).__init__()

                                    self.yang_name = "accesslist-ifname"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_out = YLeaf(YType.enumeration, "in-out")

                                    self.interface = YLeaf(YType.str, "interface")

                                    self.interface_routing_id = YLeaf(YType.uint8, "interface-routing-id")

                                    self.isis_tag = YLeaf(YType.str, "isis-tag")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "accesslist-ifname" + "[in-out='" + self.in_out.get() + "']" + "[interface='" + self.interface.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/distribute-list/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistIfname, ['in_out', 'interface', 'interface_routing_id', 'isis_tag', 'vrf'], name, value)


                            class AccesslistPrefixGateway(Entity):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                                
                                .. attribute:: prefix_gateway
                                
                                	
                                	**type**\:  :py:class:`PrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway.PrefixGateway>`
                                
                                	**mandatory**\: True
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway, self).__init__()

                                    self.yang_name = "accesslist-prefix-gateway"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_out = YLeaf(YType.enumeration, "in-out")

                                    self.prefix_gateway = YLeaf(YType.enumeration, "prefix-gateway")

                                    self.name = YLeaf(YType.str, "name")
                                    self._segment_path = lambda: "accesslist-prefix-gateway" + "[in-out='" + self.in_out.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/distribute-list/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGateway, ['in_out', 'prefix_gateway', 'name'], name, value)

                                class PrefixGateway(Enum):
                                    """
                                    PrefixGateway

                                    .. data:: prefix = 0

                                    .. data:: gateway = 1

                                    .. data:: route_map = 2

                                    """

                                    prefix = Enum.YLeaf(0, "prefix")

                                    gateway = Enum.YLeaf(1, "gateway")

                                    route_map = Enum.YLeaf(2, "route-map")



                            class AccesslistPrefixGatewayIfname(Entity):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: prefix_gateway
                                
                                	
                                	**type**\:  :py:class:`PrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname.PrefixGateway>`
                                
                                	**mandatory**\: True
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                .. attribute:: interface_routing_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: isis_tag
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname, self).__init__()

                                    self.yang_name = "accesslist-prefix-gateway-ifname"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_out = YLeaf(YType.enumeration, "in-out")

                                    self.interface = YLeaf(YType.str, "interface")

                                    self.prefix_gateway = YLeaf(YType.enumeration, "prefix-gateway")

                                    self.name = YLeaf(YType.str, "name")

                                    self.interface_routing_id = YLeaf(YType.uint8, "interface-routing-id")

                                    self.isis_tag = YLeaf(YType.str, "isis-tag")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "accesslist-prefix-gateway-ifname" + "[in-out='" + self.in_out.get() + "']" + "[interface='" + self.interface.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/distribute-list/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.DistributeList.AccesslistPrefixGatewayIfname, ['in_out', 'interface', 'prefix_gateway', 'name', 'interface_routing_id', 'isis_tag', 'vrf'], name, value)

                                class PrefixGateway(Enum):
                                    """
                                    PrefixGateway

                                    .. data:: prefix = 0

                                    .. data:: gateway = 1

                                    .. data:: route_map = 2

                                    """

                                    prefix = Enum.YLeaf(0, "prefix")

                                    gateway = Enum.YLeaf(1, "gateway")

                                    route_map = Enum.YLeaf(2, "route-map")



                        class OffsetList(Entity):
                            """
                            Add or subtract offset from RIP metrics
                            
                            .. attribute:: in_out  <key>
                            
                            	
                            	**type**\:  :py:class:`OffsetListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_rip.OffsetListInOutType>`
                            
                            .. attribute:: offset
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            	**mandatory**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.OffsetList, self).__init__()

                                self.yang_name = "offset-list"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_out = YLeaf(YType.enumeration, "in-out")

                                self.offset = YLeaf(YType.uint8, "offset")
                                self._segment_path = lambda: "offset-list" + "[in-out='" + self.in_out.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.OffsetList, ['in_out', 'offset'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp>`
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap), "connected" : ("connected", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected), "isis" : ("isis", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile), "odr" : ("odr", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr), "static" : ("static", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static), "rip" : ("rip", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip)}
                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp), "eigrp" : ("eigrp", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf)}

                                self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self
                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                self._children_yang_names.add("rip-metric-route-map")

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.isis = None
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.iso_igrp = None
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.ospf = YList(self)
                                self._segment_path = lambda: "redistribute"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute, [], name, value)


                            class RipMetricRouteMap(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap, self).__init__()

                                    self.yang_name = "rip-metric-route-map"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap.Metric)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self._children_name_map["metric"] = "metric"
                                    self._children_yang_names.add("metric")
                                    self._segment_path = lambda: "rip-metric-route-map"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap, ['route_map'], name, value)


                                class Metric(Entity):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap.Metric, self).__init__()

                                        self.yang_name = "metric"
                                        self.yang_parent_name = "rip-metric-route-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                        self.transparent = YLeaf(YType.empty, "transparent")
                                        self._segment_path = lambda: "metric"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/rip-metric-route-map/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "connected"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/%s" % self._segment_path()


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/connected/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/connected/rip-metric-route-map/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Connected.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap)}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.str, "as-number")

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp, ['as_number'], name, value)


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Bgp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap)}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.uint16, "as-number")

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp, ['as_number'], name, value)


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Eigrp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: rip_isis_redist
                                
                                	
                                	**type**\:  :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"rip-isis-redist" : ("rip_isis_redist", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist)}
                                    self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea)}
                                    self.is_presence_container = True

                                    self.rip_isis_redist = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist()
                                    self.rip_isis_redist.parent = self
                                    self._children_name_map["rip_isis_redist"] = "rip-isis-redist"
                                    self._children_yang_names.add("rip-isis-redist")

                                    self.isis_area = YList(self)
                                    self._segment_path = lambda: "isis"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis, [], name, value)


                                class IsisArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: rip_isis_redist
                                    
                                    	
                                    	**type**\:  :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea, self).__init__()

                                        self.yang_name = "isis-area"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"rip-isis-redist" : ("rip_isis_redist", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.rip_isis_redist = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist()
                                        self.rip_isis_redist.parent = self
                                        self._children_name_map["rip_isis_redist"] = "rip-isis-redist"
                                        self._children_yang_names.add("rip-isis-redist")
                                        self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/isis/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea, ['name'], name, value)


                                    class RipIsisRedist(Entity):
                                        """
                                        
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutes>`
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist, self).__init__()

                                            self.yang_name = "rip-isis-redist"
                                            self.yang_parent_name = "isis-area"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap)}
                                            self._child_list_classes = {}

                                            self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self
                                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                            self._children_yang_names.add("rip-metric-route-map")
                                            self._segment_path = lambda: "rip-isis-redist"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist, ['isis_level_routes'], name, value)

                                        class IsisLevelRoutes(Enum):
                                            """
                                            IsisLevelRoutes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class RipMetricRouteMap(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap, self).__init__()

                                                self.yang_name = "rip-metric-route-map"
                                                self.yang_parent_name = "rip-isis-redist"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric)}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self._children_name_map["metric"] = "metric"
                                                self._children_yang_names.add("metric")
                                                self._segment_path = lambda: "rip-metric-route-map"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap, ['route_map'], name, value)


                                            class Metric(Entity):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric, self).__init__()

                                                    self.yang_name = "metric"
                                                    self.yang_parent_name = "rip-metric-route-map"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                    self.transparent = YLeaf(YType.empty, "transparent")
                                                    self._segment_path = lambda: "metric"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class RipIsisRedist(Entity):
                                    """
                                    
                                    
                                    .. attribute:: isis_level_routes
                                    
                                    	
                                    	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.IsisLevelRoutes>`
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist, self).__init__()

                                        self.yang_name = "rip-isis-redist"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap)}
                                        self._child_list_classes = {}

                                        self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                        self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self
                                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                        self._children_yang_names.add("rip-metric-route-map")
                                        self._segment_path = lambda: "rip-isis-redist"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/isis/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist, ['isis_level_routes'], name, value)

                                    class IsisLevelRoutes(Enum):
                                        """
                                        IsisLevelRoutes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class RipMetricRouteMap(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap, self).__init__()

                                            self.yang_name = "rip-metric-route-map"
                                            self.yang_parent_name = "rip-isis-redist"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self._children_name_map["metric"] = "metric"
                                            self._children_yang_names.add("metric")
                                            self._segment_path = lambda: "rip-metric-route-map"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/isis/rip-isis-redist/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap, ['route_map'], name, value)


                                        class Metric(Entity):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric, self).__init__()

                                                self.yang_name = "metric"
                                                self.yang_parent_name = "rip-metric-route-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                self.transparent = YLeaf(YType.empty, "transparent")
                                                self._segment_path = lambda: "metric"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/isis/rip-isis-redist/rip-metric-route-map/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: isoigrp_list
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of  		 :py:class:`IsoigrpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap)}
                                    self._child_list_classes = {"isoigrp-list" : ("isoigrp_list", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList)}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")

                                    self.isoigrp_list = YList(self)
                                    self._segment_path = lambda: "iso-igrp"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp, [], name, value)


                                class IsoigrpList(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: iso_area_tag  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList, self).__init__()

                                        self.yang_name = "isoigrp-list"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap)}
                                        self._child_list_classes = {}

                                        self.iso_area_tag = YLeaf(YType.str, "iso-area-tag")

                                        self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self
                                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                        self._children_yang_names.add("rip-metric-route-map")
                                        self._segment_path = lambda: "isoigrp-list" + "[iso-area-tag='" + self.iso_area_tag.get() + "']"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/iso-igrp/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList, ['iso_area_tag'], name, value)


                                    class RipMetricRouteMap(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap, self).__init__()

                                            self.yang_name = "rip-metric-route-map"
                                            self.yang_parent_name = "isoigrp-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self._children_name_map["metric"] = "metric"
                                            self._children_yang_names.add("metric")
                                            self._segment_path = lambda: "rip-metric-route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap, ['route_map'], name, value)


                                        class Metric(Entity):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric, self).__init__()

                                                self.yang_name = "metric"
                                                self.yang_parent_name = "rip-metric-route-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                self.transparent = YLeaf(YType.empty, "transparent")
                                                self._segment_path = lambda: "metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap.Metric>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/iso-igrp/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/iso-igrp/rip-metric-route-map/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.IsoIgrp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "mobile"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/%s" % self._segment_path()


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "mobile"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/mobile/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/mobile/rip-metric-route-map/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Mobile.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "odr"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/%s" % self._segment_path()


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "odr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/odr/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/odr/rip-metric-route-map/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Odr.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: process_id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Vrf>`
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"match" : ("match", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match), "rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap)}
                                    self._child_list_classes = {"vrf" : ("vrf", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Vrf)}

                                    self.process_id = YLeaf(YType.uint16, "process-id")

                                    self.match = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")

                                    self.vrf = YList(self)
                                    self._segment_path = lambda: "ospf" + "[process-id='" + self.process_id.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf, ['process_id'], name, value)


                                class Vrf(Entity):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Vrf, self).__init__()

                                        self.yang_name = "vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")
                                        self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Vrf, ['name'], name, value)


                                class Match(Entity):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"internal" : ("internal", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal)}
                                        self._child_list_classes = {}

                                        self.internal = None
                                        self._children_name_map["internal"] = "internal"
                                        self._children_yang_names.add("internal")

                                        self.external = None
                                        self._children_name_map["external"] = "external"
                                        self._children_yang_names.add("external")

                                        self.nssa_external = None
                                        self._children_name_map["nssa_external"] = "nssa-external"
                                        self._children_yang_names.add("nssa-external")
                                        self._segment_path = lambda: "match"


                                    class Internal(Entity):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal, self).__init__()

                                            self.yang_name = "internal"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self
                                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                            self._children_yang_names.add("rip-metric-route-map")
                                            self._segment_path = lambda: "internal"


                                        class RipMetricRouteMap(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap, self).__init__()

                                                self.yang_name = "rip-metric-route-map"
                                                self.yang_parent_name = "internal"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric)}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self._children_name_map["metric"] = "metric"
                                                self._children_yang_names.add("metric")
                                                self._segment_path = lambda: "rip-metric-route-map"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap, ['route_map'], name, value)


                                            class Metric(Entity):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric, self).__init__()

                                                    self.yang_name = "metric"
                                                    self.yang_parent_name = "rip-metric-route-map"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                    self.transparent = YLeaf(YType.empty, "transparent")
                                                    self._segment_path = lambda: "metric"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                    class External(Entity):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External, self).__init__()

                                            self.yang_name = "external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self
                                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                            self._children_yang_names.add("rip-metric-route-map")
                                            self._segment_path = lambda: "external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External, ['external_routes'], name, value)


                                        class RipMetricRouteMap(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap, self).__init__()

                                                self.yang_name = "rip-metric-route-map"
                                                self.yang_parent_name = "external"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric)}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self._children_name_map["metric"] = "metric"
                                                self._children_yang_names.add("metric")
                                                self._segment_path = lambda: "rip-metric-route-map"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap, ['route_map'], name, value)


                                            class Metric(Entity):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric, self).__init__()

                                                    self.yang_name = "metric"
                                                    self.yang_parent_name = "rip-metric-route-map"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                    self.transparent = YLeaf(YType.empty, "transparent")
                                                    self._segment_path = lambda: "metric"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                    class NssaExternal(Entity):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                            self.yang_name = "nssa-external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self
                                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                            self._children_yang_names.add("rip-metric-route-map")
                                            self._segment_path = lambda: "nssa-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes'], name, value)


                                        class RipMetricRouteMap(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap, self).__init__()

                                                self.yang_name = "rip-metric-route-map"
                                                self.yang_parent_name = "nssa-external"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric)}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self._children_name_map["metric"] = "metric"
                                                self._children_yang_names.add("metric")
                                                self._segment_path = lambda: "rip-metric-route-map"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap, ['route_map'], name, value)


                                            class Metric(Entity):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric, self).__init__()

                                                    self.yang_name = "metric"
                                                    self.yang_parent_name = "rip-metric-route-map"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                    self.transparent = YLeaf(YType.empty, "transparent")
                                                    self._segment_path = lambda: "metric"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Ospf.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "static"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/%s" % self._segment_path()


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/static/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/static/rip-metric-route-map/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Static.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "rip"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/%s" % self._segment_path()


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/rip/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/redistribute/rip/rip-metric-route-map/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Redistribute.Rip.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                        class Timers(Entity):
                            """
                            Adjust routing timers
                            
                            .. attribute:: basic
                            
                            	Basic routing protocol update timers
                            	**type**\:  :py:class:`Basic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers.Basic>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"basic" : ("basic", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers.Basic)}
                                self._child_list_classes = {}

                                self.basic = Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers.Basic()
                                self.basic.parent = self
                                self._children_name_map["basic"] = "basic"
                                self._children_yang_names.add("basic")
                                self._segment_path = lambda: "timers"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/%s" % self._segment_path()


                            class Basic(Entity):
                                """
                                Basic routing protocol update timers
                                
                                .. attribute:: updates
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: invalid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: holddown
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: flush
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: sleep
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers.Basic, self).__init__()

                                    self.yang_name = "basic"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.updates = YLeaf(YType.uint32, "updates")

                                    self.invalid = YLeaf(YType.uint32, "invalid")

                                    self.holddown = YLeaf(YType.uint32, "holddown")

                                    self.flush = YLeaf(YType.uint32, "flush")

                                    self.sleep = YLeaf(YType.uint32, "sleep")
                                    self._segment_path = lambda: "basic"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/timers/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Timers.Basic, ['updates', 'invalid', 'holddown', 'flush', 'sleep'], name, value)


                        class PassiveInterface(Entity):
                            """
                            Suppress routing updates on an interface
                            
                            .. attribute:: default
                            
                            	Suppress routing updates on all interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: interface
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.PassiveInterface, self).__init__()

                                self.yang_name = "passive-interface"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.default = YLeaf(YType.empty, "default")

                                self.interface = YLeaf(YType.str, "interface")
                                self._segment_path = lambda: "passive-interface"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.PassiveInterface, ['default', 'interface'], name, value)


                        class Disable(Entity):
                            """
                            
                            
                            .. attribute:: passive_interface
                            
                            	
                            	**type**\: list of  		 :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable, self).__init__()

                                self.yang_name = "disable"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"passive-interface" : ("passive_interface", Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface)}

                                self.passive_interface = YList(self)
                                self._segment_path = lambda: "disable"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable, [], name, value)


                            class PassiveInterface(Entity):
                                """
                                
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface, self).__init__()

                                    self.yang_name = "passive-interface"
                                    self.yang_parent_name = "disable"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.interface = YLeaf(YType.str, "interface")
                                    self._segment_path = lambda: "passive-interface" + "[interface='" + self.interface.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/disable/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.Disable.PassiveInterface, ['interface'], name, value)


                        class TrafficShare(Entity):
                            """
                            How to compute traffic share over alternate paths
                            
                            .. attribute:: min
                            
                            	All traffic shared among min metric paths
                            	**type**\:  :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare.Min>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare, self).__init__()

                                self.yang_name = "traffic-share"
                                self.yang_parent_name = "unicast"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"min" : ("min", Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare.Min)}
                                self._child_list_classes = {}

                                self.min = Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare.Min()
                                self.min.parent = self
                                self._children_name_map["min"] = "min"
                                self._children_yang_names.add("min")
                                self._segment_path = lambda: "traffic-share"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/%s" % self._segment_path()


                            class Min(Entity):
                                """
                                All traffic shared among min metric paths
                                
                                .. attribute:: across_interfaces
                                
                                	Use different interfaces for equal\-cost paths
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare.Min, self).__init__()

                                    self.yang_name = "min"
                                    self.yang_parent_name = "traffic-share"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                                    self._segment_path = lambda: "min"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/unicast/traffic-share/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Unicast.TrafficShare.Min, ['across_interfaces'], name, value)


                    class Vrf(Entity):
                        """
                        Specify parameters for a VPN Routing/Forwarding instance
                        
                        .. attribute:: name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: auto_summary
                        
                        	Enable automatic network number summarization
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: maximum_paths
                        
                        	Forward packets over multiple paths
                        	**type**\: int
                        
                        	**range:** 1..32
                        
                        .. attribute:: neighbor
                        
                        	Specify a neighbor router
                        	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Neighbor>`
                        
                        .. attribute:: network
                        
                        	Enable routing on an IP network
                        	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Network>`
                        
                        .. attribute:: validate_update_source
                        
                        	Perform sanity checks against source address of routing updates
                        	**type**\: bool
                        
                        .. attribute:: default_information
                        
                        	Control distribution of default information
                        	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation>`
                        
                        .. attribute:: default_metric
                        
                        	Set metric of redistributed routes
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: distance
                        
                        	Define an administrative distance
                        	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance>`
                        
                        .. attribute:: distribute_list
                        
                        	Filter networks in routing updates
                        	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList>`
                        
                        .. attribute:: offset_list
                        
                        	Add or subtract offset from RIP metrics
                        	**type**\: list of  		 :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.OffsetList>`
                        
                        .. attribute:: redistribute
                        
                        	Redistribute information from another routing protocol
                        	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute>`
                        
                        .. attribute:: timers
                        
                        	Adjust routing timers
                        	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers>`
                        
                        .. attribute:: version
                        
                        	Set routing protocol version
                        	**type**\: int
                        
                        	**range:** 1..2
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf, self).__init__()

                            self.yang_name = "vrf"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"default-information" : ("default_information", Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation), "distance" : ("distance", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance), "distribute-list" : ("distribute_list", Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList), "redistribute" : ("redistribute", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute), "timers" : ("timers", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers)}
                            self._child_list_classes = {"neighbor" : ("neighbor", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Neighbor), "network" : ("network", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Network), "offset-list" : ("offset_list", Native.Router.Rip.AddressFamily.Ipv4.Vrf.OffsetList)}

                            self.name = YLeaf(YType.str, "name")

                            self.auto_summary = YLeaf(YType.empty, "auto-summary")

                            self.maximum_paths = YLeaf(YType.uint8, "maximum-paths")

                            self.validate_update_source = YLeaf(YType.boolean, "validate-update-source")

                            self.default_metric = YLeaf(YType.uint32, "default-metric")

                            self.version = YLeaf(YType.uint8, "version")

                            self.default_information = Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation()
                            self.default_information.parent = self
                            self._children_name_map["default_information"] = "default-information"
                            self._children_yang_names.add("default-information")

                            self.distance = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance()
                            self.distance.parent = self
                            self._children_name_map["distance"] = "distance"
                            self._children_yang_names.add("distance")

                            self.distribute_list = Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList()
                            self.distribute_list.parent = self
                            self._children_name_map["distribute_list"] = "distribute-list"
                            self._children_yang_names.add("distribute-list")

                            self.redistribute = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute()
                            self.redistribute.parent = self
                            self._children_name_map["redistribute"] = "redistribute"
                            self._children_yang_names.add("redistribute")

                            self.timers = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers()
                            self.timers.parent = self
                            self._children_name_map["timers"] = "timers"
                            self._children_yang_names.add("timers")

                            self.neighbor = YList(self)
                            self.network = YList(self)
                            self.offset_list = YList(self)
                            self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/address-family/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf, ['name', 'auto_summary', 'maximum_paths', 'validate_update_source', 'default_metric', 'version'], name, value)


                        class Neighbor(Entity):
                            """
                            Specify a neighbor router
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Neighbor, self).__init__()

                                self.yang_name = "neighbor"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.str, "ip")
                                self._segment_path = lambda: "neighbor" + "[ip='" + self.ip.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Neighbor, ['ip'], name, value)


                        class Network(Entity):
                            """
                            Enable routing on an IP network
                            
                            .. attribute:: ip  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Network, self).__init__()

                                self.yang_name = "network"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.ip = YLeaf(YType.str, "ip")
                                self._segment_path = lambda: "network" + "[ip='" + self.ip.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Network, ['ip'], name, value)


                        class DefaultInformation(Entity):
                            """
                            Control distribution of default information
                            
                            .. attribute:: originate
                            
                            	Distribute a default route
                            	**type**\:  :py:class:`Originate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation, self).__init__()

                                self.yang_name = "default-information"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"originate" : ("originate", Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate)}
                                self._child_list_classes = {}

                                self.originate = None
                                self._children_name_map["originate"] = "originate"
                                self._children_yang_names.add("originate")
                                self._segment_path = lambda: "default-information"


                            class Originate(Entity):
                                """
                                Distribute a default route
                                
                                .. attribute:: route_map
                                
                                	Route\-map reference
                                	**type**\: str
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate, self).__init__()

                                    self.yang_name = "originate"
                                    self.yang_parent_name = "default-information"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.route_map = YLeaf(YType.str, "route-map")
                                    self._segment_path = lambda: "originate"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.DefaultInformation.Originate, ['route_map'], name, value)


                        class Distance(Entity):
                            """
                            Define an administrative distance
                            
                            .. attribute:: distance_leaf
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..255
                            
                            .. attribute:: distance_list
                            
                            	
                            	**type**\: list of  		 :py:class:`DistanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance.DistanceList>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance, self).__init__()

                                self.yang_name = "distance"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"distance-list" : ("distance_list", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance.DistanceList)}

                                self.distance_leaf = YLeaf(YType.uint8, "distance-leaf")

                                self.distance_list = YList(self)
                                self._segment_path = lambda: "distance"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance, ['distance_leaf'], name, value)


                            class DistanceList(Entity):
                                """
                                
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..255
                                
                                .. attribute:: ip  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: mask  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance.DistanceList, self).__init__()

                                    self.yang_name = "distance-list"
                                    self.yang_parent_name = "distance"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.uint8, "number")

                                    self.ip = YLeaf(YType.str, "ip")

                                    self.mask = YLeaf(YType.str, "mask")
                                    self._segment_path = lambda: "distance-list" + "[number='" + self.number.get() + "']" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Distance.DistanceList, ['number', 'ip', 'mask'], name, value)


                        class DistributeList(Entity):
                            """
                            Filter networks in routing updates
                            
                            .. attribute:: accesslist
                            
                            	
                            	**type**\: list of  		 :py:class:`Accesslist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.Accesslist>`
                            
                            .. attribute:: accesslist_ifname
                            
                            	
                            	**type**\: list of  		 :py:class:`AccesslistIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistIfname>`
                            
                            .. attribute:: accesslist_prefix_gateway
                            
                            	
                            	**type**\: list of  		 :py:class:`AccesslistPrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway>`
                            
                            .. attribute:: accesslist_prefix_gateway_ifname
                            
                            	
                            	**type**\: list of  		 :py:class:`AccesslistPrefixGatewayIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList, self).__init__()

                                self.yang_name = "distribute-list"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"accesslist" : ("accesslist", Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.Accesslist), "accesslist-ifname" : ("accesslist_ifname", Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistIfname), "accesslist-prefix-gateway" : ("accesslist_prefix_gateway", Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway), "accesslist-prefix-gateway-ifname" : ("accesslist_prefix_gateway_ifname", Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname)}

                                self.accesslist = YList(self)
                                self.accesslist_ifname = YList(self)
                                self.accesslist_prefix_gateway = YList(self)
                                self.accesslist_prefix_gateway_ifname = YList(self)
                                self._segment_path = lambda: "distribute-list"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList, [], name, value)


                            class Accesslist(Entity):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.Accesslist, self).__init__()

                                    self.yang_name = "accesslist"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_out = YLeaf(YType.enumeration, "in-out")
                                    self._segment_path = lambda: "accesslist" + "[in-out='" + self.in_out.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.Accesslist, ['in_out'], name, value)


                            class AccesslistIfname(Entity):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: interface_routing_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: isis_tag
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistIfname, self).__init__()

                                    self.yang_name = "accesslist-ifname"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_out = YLeaf(YType.enumeration, "in-out")

                                    self.interface = YLeaf(YType.str, "interface")

                                    self.interface_routing_id = YLeaf(YType.uint8, "interface-routing-id")

                                    self.isis_tag = YLeaf(YType.str, "isis-tag")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "accesslist-ifname" + "[in-out='" + self.in_out.get() + "']" + "[interface='" + self.interface.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistIfname, ['in_out', 'interface', 'interface_routing_id', 'isis_tag', 'vrf'], name, value)


                            class AccesslistPrefixGateway(Entity):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                                
                                .. attribute:: prefix_gateway
                                
                                	
                                	**type**\:  :py:class:`PrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway.PrefixGateway>`
                                
                                	**mandatory**\: True
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway, self).__init__()

                                    self.yang_name = "accesslist-prefix-gateway"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_out = YLeaf(YType.enumeration, "in-out")

                                    self.prefix_gateway = YLeaf(YType.enumeration, "prefix-gateway")

                                    self.name = YLeaf(YType.str, "name")
                                    self._segment_path = lambda: "accesslist-prefix-gateway" + "[in-out='" + self.in_out.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGateway, ['in_out', 'prefix_gateway', 'name'], name, value)

                                class PrefixGateway(Enum):
                                    """
                                    PrefixGateway

                                    .. data:: prefix = 0

                                    .. data:: gateway = 1

                                    .. data:: route_map = 2

                                    """

                                    prefix = Enum.YLeaf(0, "prefix")

                                    gateway = Enum.YLeaf(1, "gateway")

                                    route_map = Enum.YLeaf(2, "route-map")



                            class AccesslistPrefixGatewayIfname(Entity):
                                """
                                
                                
                                .. attribute:: in_out  <key>
                                
                                	
                                	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                                
                                .. attribute:: interface  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: prefix_gateway
                                
                                	
                                	**type**\:  :py:class:`PrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname.PrefixGateway>`
                                
                                	**mandatory**\: True
                                
                                .. attribute:: name
                                
                                	
                                	**type**\: str
                                
                                	**mandatory**\: True
                                
                                .. attribute:: interface_routing_id
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..255
                                
                                .. attribute:: isis_tag
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname, self).__init__()

                                    self.yang_name = "accesslist-prefix-gateway-ifname"
                                    self.yang_parent_name = "distribute-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.in_out = YLeaf(YType.enumeration, "in-out")

                                    self.interface = YLeaf(YType.str, "interface")

                                    self.prefix_gateway = YLeaf(YType.enumeration, "prefix-gateway")

                                    self.name = YLeaf(YType.str, "name")

                                    self.interface_routing_id = YLeaf(YType.uint8, "interface-routing-id")

                                    self.isis_tag = YLeaf(YType.str, "isis-tag")

                                    self.vrf = YLeaf(YType.str, "vrf")
                                    self._segment_path = lambda: "accesslist-prefix-gateway-ifname" + "[in-out='" + self.in_out.get() + "']" + "[interface='" + self.interface.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.DistributeList.AccesslistPrefixGatewayIfname, ['in_out', 'interface', 'prefix_gateway', 'name', 'interface_routing_id', 'isis_tag', 'vrf'], name, value)

                                class PrefixGateway(Enum):
                                    """
                                    PrefixGateway

                                    .. data:: prefix = 0

                                    .. data:: gateway = 1

                                    .. data:: route_map = 2

                                    """

                                    prefix = Enum.YLeaf(0, "prefix")

                                    gateway = Enum.YLeaf(1, "gateway")

                                    route_map = Enum.YLeaf(2, "route-map")



                        class OffsetList(Entity):
                            """
                            Add or subtract offset from RIP metrics
                            
                            .. attribute:: in_out  <key>
                            
                            	
                            	**type**\:  :py:class:`OffsetListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_rip.OffsetListInOutType>`
                            
                            .. attribute:: offset
                            
                            	
                            	**type**\: int
                            
                            	**range:** 0..16
                            
                            	**mandatory**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.OffsetList, self).__init__()

                                self.yang_name = "offset-list"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.in_out = YLeaf(YType.enumeration, "in-out")

                                self.offset = YLeaf(YType.uint8, "offset")
                                self._segment_path = lambda: "offset-list" + "[in-out='" + self.in_out.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.OffsetList, ['in_out', 'offset'], name, value)


                        class Redistribute(Entity):
                            """
                            Redistribute information from another routing protocol
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap>`
                            
                            .. attribute:: connected
                            
                            	Connected
                            	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: bgp
                            
                            	Border Gateway Protocol (BGP)
                            	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp>`
                            
                            .. attribute:: eigrp
                            
                            	Enhanced Interior Gateway Routing Protocol (EIGRP)
                            	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp>`
                            
                            .. attribute:: isis
                            
                            	ISO IS\-IS
                            	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: iso_igrp
                            
                            	IGRP for OSI networks
                            	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: mobile
                            
                            	Mobile routes
                            	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: odr
                            
                            	On Demand stub Routes
                            	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: ospf
                            
                            	Open Shortest Path First (OSPF)
                            	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf>`
                            
                            .. attribute:: static
                            
                            	Static routes
                            	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: rip
                            
                            	Routing Information Protocol (RIP)
                            	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute, self).__init__()

                                self.yang_name = "redistribute"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap), "connected" : ("connected", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected), "isis" : ("isis", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile), "odr" : ("odr", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr), "static" : ("static", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static), "rip" : ("rip", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip)}
                                self._child_list_classes = {"bgp" : ("bgp", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp), "eigrp" : ("eigrp", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf)}

                                self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self
                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                self._children_yang_names.add("rip-metric-route-map")

                                self.connected = None
                                self._children_name_map["connected"] = "connected"
                                self._children_yang_names.add("connected")

                                self.isis = None
                                self._children_name_map["isis"] = "isis"
                                self._children_yang_names.add("isis")

                                self.iso_igrp = None
                                self._children_name_map["iso_igrp"] = "iso-igrp"
                                self._children_yang_names.add("iso-igrp")

                                self.mobile = None
                                self._children_name_map["mobile"] = "mobile"
                                self._children_yang_names.add("mobile")

                                self.odr = None
                                self._children_name_map["odr"] = "odr"
                                self._children_yang_names.add("odr")

                                self.static = None
                                self._children_name_map["static"] = "static"
                                self._children_yang_names.add("static")

                                self.rip = None
                                self._children_name_map["rip"] = "rip"
                                self._children_yang_names.add("rip")

                                self.bgp = YList(self)
                                self.eigrp = YList(self)
                                self.ospf = YList(self)
                                self._segment_path = lambda: "redistribute"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute, [], name, value)


                            class RipMetricRouteMap(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap, self).__init__()

                                    self.yang_name = "rip-metric-route-map"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap.Metric)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self._children_name_map["metric"] = "metric"
                                    self._children_yang_names.add("metric")
                                    self._segment_path = lambda: "rip-metric-route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap, ['route_map'], name, value)


                                class Metric(Entity):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap.Metric, self).__init__()

                                        self.yang_name = "metric"
                                        self.yang_parent_name = "rip-metric-route-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                        self.transparent = YLeaf(YType.empty, "transparent")
                                        self._segment_path = lambda: "metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Connected(Entity):
                                """
                                Connected
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected, self).__init__()

                                    self.yang_name = "connected"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "connected"


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "connected"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Connected.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Bgp(Entity):
                                """
                                Border Gateway Protocol (BGP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: union of the below types:
                                
                                		**type**\: int
                                
                                			**range:** 1..4294967295
                                
                                		**type**\: str
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp, self).__init__()

                                    self.yang_name = "bgp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap)}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.str, "as-number")

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp, ['as_number'], name, value)


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "bgp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Bgp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Eigrp(Entity):
                                """
                                Enhanced Interior Gateway Routing Protocol (EIGRP)
                                
                                .. attribute:: as_number  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp, self).__init__()

                                    self.yang_name = "eigrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap)}
                                    self._child_list_classes = {}

                                    self.as_number = YLeaf(YType.uint16, "as-number")

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp, ['as_number'], name, value)


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "eigrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Eigrp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Isis(Entity):
                                """
                                ISO IS\-IS
                                
                                .. attribute:: isis_area
                                
                                	
                                	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea>`
                                
                                .. attribute:: rip_isis_redist
                                
                                	
                                	**type**\:  :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis, self).__init__()

                                    self.yang_name = "isis"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-isis-redist" : ("rip_isis_redist", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist)}
                                    self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea)}
                                    self.is_presence_container = True

                                    self.rip_isis_redist = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist()
                                    self.rip_isis_redist.parent = self
                                    self._children_name_map["rip_isis_redist"] = "rip-isis-redist"
                                    self._children_yang_names.add("rip-isis-redist")

                                    self.isis_area = YList(self)
                                    self._segment_path = lambda: "isis"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis, [], name, value)


                                class IsisArea(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: rip_isis_redist
                                    
                                    	
                                    	**type**\:  :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea, self).__init__()

                                        self.yang_name = "isis-area"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rip-isis-redist" : ("rip_isis_redist", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist)}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")

                                        self.rip_isis_redist = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist()
                                        self.rip_isis_redist.parent = self
                                        self._children_name_map["rip_isis_redist"] = "rip-isis-redist"
                                        self._children_yang_names.add("rip-isis-redist")
                                        self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea, ['name'], name, value)


                                    class RipIsisRedist(Entity):
                                        """
                                        
                                        
                                        .. attribute:: isis_level_routes
                                        
                                        	
                                        	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutes>`
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist, self).__init__()

                                            self.yang_name = "rip-isis-redist"
                                            self.yang_parent_name = "isis-area"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap)}
                                            self._child_list_classes = {}

                                            self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self
                                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                            self._children_yang_names.add("rip-metric-route-map")
                                            self._segment_path = lambda: "rip-isis-redist"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist, ['isis_level_routes'], name, value)

                                        class IsisLevelRoutes(Enum):
                                            """
                                            IsisLevelRoutes

                                            .. data:: level_1 = 0

                                            .. data:: level_2 = 1

                                            .. data:: level_1_2 = 2

                                            """

                                            level_1 = Enum.YLeaf(0, "level-1")

                                            level_2 = Enum.YLeaf(1, "level-2")

                                            level_1_2 = Enum.YLeaf(2, "level-1-2")



                                        class RipMetricRouteMap(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap, self).__init__()

                                                self.yang_name = "rip-metric-route-map"
                                                self.yang_parent_name = "rip-isis-redist"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric)}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self._children_name_map["metric"] = "metric"
                                                self._children_yang_names.add("metric")
                                                self._segment_path = lambda: "rip-metric-route-map"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap, ['route_map'], name, value)


                                            class Metric(Entity):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric, self).__init__()

                                                    self.yang_name = "metric"
                                                    self.yang_parent_name = "rip-metric-route-map"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                    self.transparent = YLeaf(YType.empty, "transparent")
                                                    self._segment_path = lambda: "metric"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class RipIsisRedist(Entity):
                                    """
                                    
                                    
                                    .. attribute:: isis_level_routes
                                    
                                    	
                                    	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.IsisLevelRoutes>`
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist, self).__init__()

                                        self.yang_name = "rip-isis-redist"
                                        self.yang_parent_name = "isis"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap)}
                                        self._child_list_classes = {}

                                        self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                        self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self
                                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                        self._children_yang_names.add("rip-metric-route-map")
                                        self._segment_path = lambda: "rip-isis-redist"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist, ['isis_level_routes'], name, value)

                                    class IsisLevelRoutes(Enum):
                                        """
                                        IsisLevelRoutes

                                        .. data:: level_1 = 0

                                        .. data:: level_2 = 1

                                        .. data:: level_1_2 = 2

                                        """

                                        level_1 = Enum.YLeaf(0, "level-1")

                                        level_2 = Enum.YLeaf(1, "level-2")

                                        level_1_2 = Enum.YLeaf(2, "level-1-2")



                                    class RipMetricRouteMap(Entity):
                                        """
                                        
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric>`
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap, self).__init__()

                                            self.yang_name = "rip-metric-route-map"
                                            self.yang_parent_name = "rip-isis-redist"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self._children_name_map["metric"] = "metric"
                                            self._children_yang_names.add("metric")
                                            self._segment_path = lambda: "rip-metric-route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap, ['route_map'], name, value)


                                        class Metric(Entity):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric, self).__init__()

                                                self.yang_name = "metric"
                                                self.yang_parent_name = "rip-metric-route-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                self.transparent = YLeaf(YType.empty, "transparent")
                                                self._segment_path = lambda: "metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class IsoIgrp(Entity):
                                """
                                IGRP for OSI networks
                                
                                .. attribute:: isoigrp_list
                                
                                	Border Gateway Protocol (BGP)
                                	**type**\: list of  		 :py:class:`IsoigrpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp, self).__init__()

                                    self.yang_name = "iso-igrp"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap)}
                                    self._child_list_classes = {"isoigrp-list" : ("isoigrp_list", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList)}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")

                                    self.isoigrp_list = YList(self)
                                    self._segment_path = lambda: "iso-igrp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp, [], name, value)


                                class IsoigrpList(Entity):
                                    """
                                    Border Gateway Protocol (BGP)
                                    
                                    .. attribute:: iso_area_tag  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: rip_metric_route_map
                                    
                                    	
                                    	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList, self).__init__()

                                        self.yang_name = "isoigrp-list"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap)}
                                        self._child_list_classes = {}

                                        self.iso_area_tag = YLeaf(YType.str, "iso-area-tag")

                                        self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap()
                                        self.rip_metric_route_map.parent = self
                                        self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                        self._children_yang_names.add("rip-metric-route-map")
                                        self._segment_path = lambda: "isoigrp-list" + "[iso-area-tag='" + self.iso_area_tag.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList, ['iso_area_tag'], name, value)


                                    class RipMetricRouteMap(Entity):
                                        """
                                        
                                        
                                        .. attribute:: route_map
                                        
                                        	Route map reference
                                        	**type**\: str
                                        
                                        .. attribute:: metric
                                        
                                        	Metric for redistributed routes
                                        	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap, self).__init__()

                                            self.yang_name = "rip-metric-route-map"
                                            self.yang_parent_name = "isoigrp-list"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric)}
                                            self._child_list_classes = {}

                                            self.route_map = YLeaf(YType.str, "route-map")

                                            self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric()
                                            self.metric.parent = self
                                            self._children_name_map["metric"] = "metric"
                                            self._children_yang_names.add("metric")
                                            self._segment_path = lambda: "rip-metric-route-map"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap, ['route_map'], name, value)


                                        class Metric(Entity):
                                            """
                                            Metric for redistributed routes
                                            
                                            .. attribute:: metric_value
                                            
                                            	Metric for redistributed routes
                                            	**type**\: int
                                            
                                            	**range:** 0..16
                                            
                                            .. attribute:: transparent
                                            
                                            	Transparently redistribute metric
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric, self).__init__()

                                                self.yang_name = "metric"
                                                self.yang_parent_name = "rip-metric-route-map"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                self.transparent = YLeaf(YType.empty, "transparent")
                                                self._segment_path = lambda: "metric"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "iso-igrp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.IsoIgrp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Mobile(Entity):
                                """
                                Mobile routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile, self).__init__()

                                    self.yang_name = "mobile"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "mobile"


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "mobile"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Mobile.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Odr(Entity):
                                """
                                On Demand stub Routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr, self).__init__()

                                    self.yang_name = "odr"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "odr"


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "odr"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Odr.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Ospf(Entity):
                                """
                                Open Shortest Path First (OSPF)
                                
                                .. attribute:: process_id  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..65535
                                
                                .. attribute:: vrf
                                
                                	VPN Routing/Forwarding Instance
                                	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Vrf>`
                                
                                .. attribute:: match
                                
                                	Redistribution of OSPF routes
                                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf, self).__init__()

                                    self.yang_name = "ospf"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"match" : ("match", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match), "rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap)}
                                    self._child_list_classes = {"vrf" : ("vrf", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Vrf)}

                                    self.process_id = YLeaf(YType.uint16, "process-id")

                                    self.match = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match()
                                    self.match.parent = self
                                    self._children_name_map["match"] = "match"
                                    self._children_yang_names.add("match")

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")

                                    self.vrf = YList(self)
                                    self._segment_path = lambda: "ospf" + "[process-id='" + self.process_id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf, ['process_id'], name, value)


                                class Vrf(Entity):
                                    """
                                    VPN Routing/Forwarding Instance
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Vrf, self).__init__()

                                        self.yang_name = "vrf"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.str, "name")
                                        self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Vrf, ['name'], name, value)


                                class Match(Entity):
                                    """
                                    Redistribution of OSPF routes
                                    
                                    .. attribute:: internal
                                    
                                    	Redistribute OSPF internal routes
                                    	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: external
                                    
                                    	Redistribute OSPF external routes
                                    	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: nssa_external
                                    
                                    	Redistribute OSPF NSSA external routes
                                    	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match, self).__init__()

                                        self.yang_name = "match"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"internal" : ("internal", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal)}
                                        self._child_list_classes = {}

                                        self.internal = None
                                        self._children_name_map["internal"] = "internal"
                                        self._children_yang_names.add("internal")

                                        self.external = None
                                        self._children_name_map["external"] = "external"
                                        self._children_yang_names.add("external")

                                        self.nssa_external = None
                                        self._children_name_map["nssa_external"] = "nssa-external"
                                        self._children_yang_names.add("nssa-external")
                                        self._segment_path = lambda: "match"


                                    class Internal(Entity):
                                        """
                                        Redistribute OSPF internal routes
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal, self).__init__()

                                            self.yang_name = "internal"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self
                                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                            self._children_yang_names.add("rip-metric-route-map")
                                            self._segment_path = lambda: "internal"


                                        class RipMetricRouteMap(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap, self).__init__()

                                                self.yang_name = "rip-metric-route-map"
                                                self.yang_parent_name = "internal"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric)}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self._children_name_map["metric"] = "metric"
                                                self._children_yang_names.add("metric")
                                                self._segment_path = lambda: "rip-metric-route-map"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap, ['route_map'], name, value)


                                            class Metric(Entity):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric, self).__init__()

                                                    self.yang_name = "metric"
                                                    self.yang_parent_name = "rip-metric-route-map"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                    self.transparent = YLeaf(YType.empty, "transparent")
                                                    self._segment_path = lambda: "metric"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                    class External(Entity):
                                        """
                                        Redistribute OSPF external routes
                                        
                                        .. attribute:: external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External, self).__init__()

                                            self.yang_name = "external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self
                                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                            self._children_yang_names.add("rip-metric-route-map")
                                            self._segment_path = lambda: "external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External, ['external_routes'], name, value)


                                        class RipMetricRouteMap(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap, self).__init__()

                                                self.yang_name = "rip-metric-route-map"
                                                self.yang_parent_name = "external"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric)}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self._children_name_map["metric"] = "metric"
                                                self._children_yang_names.add("metric")
                                                self._segment_path = lambda: "rip-metric-route-map"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap, ['route_map'], name, value)


                                            class Metric(Entity):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric, self).__init__()

                                                    self.yang_name = "metric"
                                                    self.yang_parent_name = "rip-metric-route-map"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                    self.transparent = YLeaf(YType.empty, "transparent")
                                                    self._segment_path = lambda: "metric"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                    class NssaExternal(Entity):
                                        """
                                        Redistribute OSPF NSSA external routes
                                        
                                        .. attribute:: nssa_external_routes
                                        
                                        	
                                        	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                        
                                        .. attribute:: rip_metric_route_map
                                        
                                        	
                                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                            self.yang_name = "nssa-external"
                                            self.yang_parent_name = "match"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                            self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap()
                                            self.rip_metric_route_map.parent = self
                                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                            self._children_yang_names.add("rip-metric-route-map")
                                            self._segment_path = lambda: "nssa-external"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes'], name, value)


                                        class RipMetricRouteMap(Entity):
                                            """
                                            
                                            
                                            .. attribute:: metric
                                            
                                            	Metric for redistributed routes
                                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric>`
                                            
                                            .. attribute:: route_map
                                            
                                            	Route map reference
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-rip'
                                            _revision = '2017-04-12'

                                            def __init__(self):
                                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap, self).__init__()

                                                self.yang_name = "rip-metric-route-map"
                                                self.yang_parent_name = "nssa-external"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric)}
                                                self._child_list_classes = {}

                                                self.route_map = YLeaf(YType.str, "route-map")

                                                self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric()
                                                self.metric.parent = self
                                                self._children_name_map["metric"] = "metric"
                                                self._children_yang_names.add("metric")
                                                self._segment_path = lambda: "rip-metric-route-map"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap, ['route_map'], name, value)


                                            class Metric(Entity):
                                                """
                                                Metric for redistributed routes
                                                
                                                .. attribute:: metric_value
                                                
                                                	Metric for redistributed routes
                                                	**type**\: int
                                                
                                                	**range:** 0..16
                                                
                                                .. attribute:: transparent
                                                
                                                	Transparently redistribute metric
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-rip'
                                                _revision = '2017-04-12'

                                                def __init__(self):
                                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric, self).__init__()

                                                    self.yang_name = "metric"
                                                    self.yang_parent_name = "rip-metric-route-map"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                                    self.transparent = YLeaf(YType.empty, "transparent")
                                                    self._segment_path = lambda: "metric"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "ospf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Ospf.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Static(Entity):
                                """
                                Static routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static, self).__init__()

                                    self.yang_name = "static"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "static"


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "static"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Static.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class Rip(Entity):
                                """
                                Routing Information Protocol (RIP)
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip, self).__init__()

                                    self.yang_name = "rip"
                                    self.yang_parent_name = "redistribute"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "rip"


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "rip"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Redistribute.Rip.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                        class Timers(Entity):
                            """
                            Adjust routing timers
                            
                            .. attribute:: basic
                            
                            	Basic routing protocol update timers
                            	**type**\:  :py:class:`Basic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers.Basic>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers, self).__init__()

                                self.yang_name = "timers"
                                self.yang_parent_name = "vrf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"basic" : ("basic", Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers.Basic)}
                                self._child_list_classes = {}

                                self.basic = Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers.Basic()
                                self.basic.parent = self
                                self._children_name_map["basic"] = "basic"
                                self._children_yang_names.add("basic")
                                self._segment_path = lambda: "timers"


                            class Basic(Entity):
                                """
                                Basic routing protocol update timers
                                
                                .. attribute:: updates
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: invalid
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: holddown
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: flush
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                .. attribute:: sleep
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..4294967295
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers.Basic, self).__init__()

                                    self.yang_name = "basic"
                                    self.yang_parent_name = "timers"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.updates = YLeaf(YType.uint32, "updates")

                                    self.invalid = YLeaf(YType.uint32, "invalid")

                                    self.holddown = YLeaf(YType.uint32, "holddown")

                                    self.flush = YLeaf(YType.uint32, "flush")

                                    self.sleep = YLeaf(YType.uint32, "sleep")
                                    self._segment_path = lambda: "basic"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.AddressFamily.Ipv4.Vrf.Timers.Basic, ['updates', 'invalid', 'holddown', 'flush', 'sleep'], name, value)


            class Default(Entity):
                """
                Set a command to its defaults
                
                .. attribute:: address_family
                
                	Enter Address Family command mode
                	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.AddressFamily>`
                
                .. attribute:: auto_summary
                
                	Enable automatic network number summarization
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: maximum_paths
                
                	Forward packets over multiple paths
                	**type**\: int
                
                	**range:** 1..32
                
                .. attribute:: neighbor
                
                	Specify a neighbor router
                	**type**\: list of  		 :py:class:`Neighbor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Neighbor>`
                
                .. attribute:: network
                
                	Enable routing on an IP network
                	**type**\: list of  		 :py:class:`Network <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Network>`
                
                .. attribute:: validate_update_source
                
                	Perform sanity checks against source address of routing updates
                	**type**\: bool
                
                .. attribute:: default_information
                
                	Control distribution of default information
                	**type**\:  :py:class:`DefaultInformation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DefaultInformation>`
                
                .. attribute:: default_metric
                
                	Set metric of redistributed routes
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: distance
                
                	Define an administrative distance
                	**type**\:  :py:class:`Distance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Distance>`
                
                .. attribute:: distribute_list
                
                	Filter networks in routing updates
                	**type**\:  :py:class:`DistributeList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList>`
                
                .. attribute:: flash_update_threshold
                
                	Specify flash update threshold in second
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: input_queue
                
                	Specify input queue depth
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: offset_list
                
                	Add or subtract offset from RIP metrics
                	**type**\: list of  		 :py:class:`OffsetList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.OffsetList>`
                
                .. attribute:: output_delay
                
                	Interpacket delay for RIP updates
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: passive_interface
                
                	Suppress routing updates on an interface
                	**type**\:  :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.PassiveInterface>`
                
                .. attribute:: disable
                
                	
                	**type**\:  :py:class:`Disable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Disable>`
                
                .. attribute:: redistribute
                
                	Redistribute information from another routing protocol
                	**type**\:  :py:class:`Redistribute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute>`
                
                .. attribute:: timers
                
                	Adjust routing timers
                	**type**\:  :py:class:`Timers <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Timers>`
                
                .. attribute:: traffic_share
                
                	How to compute traffic share over alternate paths
                	**type**\:  :py:class:`TrafficShare <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.TrafficShare>`
                
                .. attribute:: version
                
                	Set routing protocol version
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-rip'
                _revision = '2017-04-12'

                def __init__(self):
                    super(Native.Router.Rip.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "rip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"address-family" : ("address_family", Native.Router.Rip.Default.AddressFamily), "default-information" : ("default_information", Native.Router.Rip.Default.DefaultInformation), "distance" : ("distance", Native.Router.Rip.Default.Distance), "distribute-list" : ("distribute_list", Native.Router.Rip.Default.DistributeList), "passive-interface" : ("passive_interface", Native.Router.Rip.Default.PassiveInterface), "disable" : ("disable", Native.Router.Rip.Default.Disable), "redistribute" : ("redistribute", Native.Router.Rip.Default.Redistribute), "timers" : ("timers", Native.Router.Rip.Default.Timers), "traffic-share" : ("traffic_share", Native.Router.Rip.Default.TrafficShare)}
                    self._child_list_classes = {"neighbor" : ("neighbor", Native.Router.Rip.Default.Neighbor), "network" : ("network", Native.Router.Rip.Default.Network), "offset-list" : ("offset_list", Native.Router.Rip.Default.OffsetList)}

                    self.auto_summary = YLeaf(YType.empty, "auto-summary")

                    self.maximum_paths = YLeaf(YType.uint8, "maximum-paths")

                    self.validate_update_source = YLeaf(YType.boolean, "validate-update-source")

                    self.default_metric = YLeaf(YType.empty, "default-metric")

                    self.flash_update_threshold = YLeaf(YType.empty, "flash-update-threshold")

                    self.input_queue = YLeaf(YType.empty, "input-queue")

                    self.output_delay = YLeaf(YType.empty, "output-delay")

                    self.version = YLeaf(YType.empty, "version")

                    self.address_family = Native.Router.Rip.Default.AddressFamily()
                    self.address_family.parent = self
                    self._children_name_map["address_family"] = "address-family"
                    self._children_yang_names.add("address-family")

                    self.default_information = Native.Router.Rip.Default.DefaultInformation()
                    self.default_information.parent = self
                    self._children_name_map["default_information"] = "default-information"
                    self._children_yang_names.add("default-information")

                    self.distance = Native.Router.Rip.Default.Distance()
                    self.distance.parent = self
                    self._children_name_map["distance"] = "distance"
                    self._children_yang_names.add("distance")

                    self.distribute_list = Native.Router.Rip.Default.DistributeList()
                    self.distribute_list.parent = self
                    self._children_name_map["distribute_list"] = "distribute-list"
                    self._children_yang_names.add("distribute-list")

                    self.passive_interface = Native.Router.Rip.Default.PassiveInterface()
                    self.passive_interface.parent = self
                    self._children_name_map["passive_interface"] = "passive-interface"
                    self._children_yang_names.add("passive-interface")

                    self.disable = Native.Router.Rip.Default.Disable()
                    self.disable.parent = self
                    self._children_name_map["disable"] = "disable"
                    self._children_yang_names.add("disable")

                    self.redistribute = Native.Router.Rip.Default.Redistribute()
                    self.redistribute.parent = self
                    self._children_name_map["redistribute"] = "redistribute"
                    self._children_yang_names.add("redistribute")

                    self.timers = Native.Router.Rip.Default.Timers()
                    self.timers.parent = self
                    self._children_name_map["timers"] = "timers"
                    self._children_yang_names.add("timers")

                    self.traffic_share = Native.Router.Rip.Default.TrafficShare()
                    self.traffic_share.parent = self
                    self._children_name_map["traffic_share"] = "traffic-share"
                    self._children_yang_names.add("traffic-share")

                    self.neighbor = YList(self)
                    self.network = YList(self)
                    self.offset_list = YList(self)
                    self._segment_path = lambda: "default"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Router.Rip.Default, ['auto_summary', 'maximum_paths', 'validate_update_source', 'default_metric', 'flash_update_threshold', 'input_queue', 'output_delay', 'version'], name, value)


                class AddressFamily(Entity):
                    """
                    Enter Address Family command mode
                    
                    .. attribute:: ipv4
                    
                    	Address family
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.AddressFamily.Ipv4>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Default.AddressFamily, self).__init__()

                        self.yang_name = "address-family"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"ipv4" : ("ipv4", Native.Router.Rip.Default.AddressFamily.Ipv4)}
                        self._child_list_classes = {}

                        self.ipv4 = None
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")
                        self._segment_path = lambda: "address-family"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/%s" % self._segment_path()


                    class Ipv4(Entity):
                        """
                        Address family
                        
                        .. attribute:: unicast
                        
                        	Address Family Modifier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf
                        
                        	Specify parameters for a VPN Routing/Forwarding instance
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.AddressFamily.Ipv4.Vrf>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.AddressFamily.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "address-family"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Rip.Default.AddressFamily.Ipv4.Vrf)}
                            self.is_presence_container = True

                            self.unicast = YLeaf(YType.empty, "unicast")

                            self.vrf = YList(self)
                            self._segment_path = lambda: "ipv4"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/address-family/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Default.AddressFamily.Ipv4, ['unicast'], name, value)


                        class Vrf(Entity):
                            """
                            Specify parameters for a VPN Routing/Forwarding instance
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.AddressFamily.Ipv4.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/address-family/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.AddressFamily.Ipv4.Vrf, ['name'], name, value)


                class Neighbor(Entity):
                    """
                    Specify a neighbor router
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Default.Neighbor, self).__init__()

                        self.yang_name = "neighbor"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ip = YLeaf(YType.str, "ip")
                        self._segment_path = lambda: "neighbor" + "[ip='" + self.ip.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Default.Neighbor, ['ip'], name, value)


                class Network(Entity):
                    """
                    Enable routing on an IP network
                    
                    .. attribute:: ip  <key>
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Default.Network, self).__init__()

                        self.yang_name = "network"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ip = YLeaf(YType.str, "ip")
                        self._segment_path = lambda: "network" + "[ip='" + self.ip.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Default.Network, ['ip'], name, value)


                class DefaultInformation(Entity):
                    """
                    Control distribution of default information
                    
                    .. attribute:: originate
                    
                    	Distribute a default route
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Default.DefaultInformation, self).__init__()

                        self.yang_name = "default-information"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.originate = YLeaf(YType.empty, "originate")
                        self._segment_path = lambda: "default-information"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Default.DefaultInformation, ['originate'], name, value)


                class Distance(Entity):
                    """
                    Define an administrative distance
                    
                    .. attribute:: distance_leaf
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..255
                    
                    .. attribute:: distance_list
                    
                    	
                    	**type**\: list of  		 :py:class:`DistanceList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Distance.DistanceList>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Default.Distance, self).__init__()

                        self.yang_name = "distance"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"distance-list" : ("distance_list", Native.Router.Rip.Default.Distance.DistanceList)}

                        self.distance_leaf = YLeaf(YType.uint8, "distance-leaf")

                        self.distance_list = YList(self)
                        self._segment_path = lambda: "distance"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Default.Distance, ['distance_leaf'], name, value)


                    class DistanceList(Entity):
                        """
                        
                        
                        .. attribute:: number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..255
                        
                        .. attribute:: ip  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask  <key>
                        
                        	
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: access_list
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..99
                        
                        		**type**\: int
                        
                        			**range:** 1300..1999
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.Distance.DistanceList, self).__init__()

                            self.yang_name = "distance-list"
                            self.yang_parent_name = "distance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint8, "number")

                            self.ip = YLeaf(YType.str, "ip")

                            self.mask = YLeaf(YType.str, "mask")

                            self.access_list = YLeaf(YType.str, "access-list")
                            self._segment_path = lambda: "distance-list" + "[number='" + self.number.get() + "']" + "[ip='" + self.ip.get() + "']" + "[mask='" + self.mask.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/distance/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Default.Distance.DistanceList, ['number', 'ip', 'mask', 'access_list'], name, value)


                class DistributeList(Entity):
                    """
                    Filter networks in routing updates
                    
                    .. attribute:: accesslist
                    
                    	
                    	**type**\: list of  		 :py:class:`Accesslist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList.Accesslist>`
                    
                    .. attribute:: accesslist_ifname
                    
                    	
                    	**type**\: list of  		 :py:class:`AccesslistIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList.AccesslistIfname>`
                    
                    .. attribute:: accesslist_prefix_gateway
                    
                    	
                    	**type**\: list of  		 :py:class:`AccesslistPrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway>`
                    
                    .. attribute:: accesslist_prefix_gateway_ifname
                    
                    	
                    	**type**\: list of  		 :py:class:`AccesslistPrefixGatewayIfname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Default.DistributeList, self).__init__()

                        self.yang_name = "distribute-list"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"accesslist" : ("accesslist", Native.Router.Rip.Default.DistributeList.Accesslist), "accesslist-ifname" : ("accesslist_ifname", Native.Router.Rip.Default.DistributeList.AccesslistIfname), "accesslist-prefix-gateway" : ("accesslist_prefix_gateway", Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway), "accesslist-prefix-gateway-ifname" : ("accesslist_prefix_gateway_ifname", Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname)}

                        self.accesslist = YList(self)
                        self.accesslist_ifname = YList(self)
                        self.accesslist_prefix_gateway = YList(self)
                        self.accesslist_prefix_gateway_ifname = YList(self)
                        self._segment_path = lambda: "distribute-list"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Default.DistributeList, [], name, value)


                    class Accesslist(Entity):
                        """
                        
                        
                        .. attribute:: in_out  <key>
                        
                        	
                        	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..199
                        
                        		**type**\: int
                        
                        			**range:** 1300..2699
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.DistributeList.Accesslist, self).__init__()

                            self.yang_name = "accesslist"
                            self.yang_parent_name = "distribute-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.in_out = YLeaf(YType.enumeration, "in-out")

                            self.id = YLeaf(YType.str, "id")
                            self._segment_path = lambda: "accesslist" + "[in-out='" + self.in_out.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/distribute-list/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Default.DistributeList.Accesslist, ['in_out', 'id'], name, value)


                    class AccesslistIfname(Entity):
                        """
                        
                        
                        .. attribute:: in_out  <key>
                        
                        	
                        	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                        
                        .. attribute:: interface  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: interface_routing_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: isis_tag
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: vrf
                        
                        	VPN Routing/Forwarding Instance
                        	**type**\: str
                        
                        .. attribute:: id
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..199
                        
                        		**type**\: int
                        
                        			**range:** 1300..2699
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.DistributeList.AccesslistIfname, self).__init__()

                            self.yang_name = "accesslist-ifname"
                            self.yang_parent_name = "distribute-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.in_out = YLeaf(YType.enumeration, "in-out")

                            self.interface = YLeaf(YType.str, "interface")

                            self.interface_routing_id = YLeaf(YType.uint8, "interface-routing-id")

                            self.isis_tag = YLeaf(YType.str, "isis-tag")

                            self.vrf = YLeaf(YType.str, "vrf")

                            self.id = YLeaf(YType.str, "id")
                            self._segment_path = lambda: "accesslist-ifname" + "[in-out='" + self.in_out.get() + "']" + "[interface='" + self.interface.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/distribute-list/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Default.DistributeList.AccesslistIfname, ['in_out', 'interface', 'interface_routing_id', 'isis_tag', 'vrf', 'id'], name, value)


                    class AccesslistPrefixGateway(Entity):
                        """
                        
                        
                        .. attribute:: in_out  <key>
                        
                        	
                        	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                        
                        .. attribute:: prefix_gateway
                        
                        	
                        	**type**\:  :py:class:`PrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway.PrefixGateway>`
                        
                        	**mandatory**\: True
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        	**mandatory**\: True
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway, self).__init__()

                            self.yang_name = "accesslist-prefix-gateway"
                            self.yang_parent_name = "distribute-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.in_out = YLeaf(YType.enumeration, "in-out")

                            self.prefix_gateway = YLeaf(YType.enumeration, "prefix-gateway")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "accesslist-prefix-gateway" + "[in-out='" + self.in_out.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/distribute-list/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Default.DistributeList.AccesslistPrefixGateway, ['in_out', 'prefix_gateway', 'name'], name, value)

                        class PrefixGateway(Enum):
                            """
                            PrefixGateway

                            .. data:: prefix = 0

                            .. data:: gateway = 1

                            .. data:: route_map = 2

                            """

                            prefix = Enum.YLeaf(0, "prefix")

                            gateway = Enum.YLeaf(1, "gateway")

                            route_map = Enum.YLeaf(2, "route-map")



                    class AccesslistPrefixGatewayIfname(Entity):
                        """
                        
                        
                        .. attribute:: in_out  <key>
                        
                        	
                        	**type**\:  :py:class:`AccessListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.AccessListInOutType>`
                        
                        .. attribute:: interface  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: prefix_gateway
                        
                        	
                        	**type**\:  :py:class:`PrefixGateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname.PrefixGateway>`
                        
                        	**mandatory**\: True
                        
                        .. attribute:: name
                        
                        	
                        	**type**\: str
                        
                        	**mandatory**\: True
                        
                        .. attribute:: interface_routing_id
                        
                        	
                        	**type**\: int
                        
                        	**range:** 0..255
                        
                        .. attribute:: isis_tag
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: vrf
                        
                        	VPN Routing/Forwarding Instance
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname, self).__init__()

                            self.yang_name = "accesslist-prefix-gateway-ifname"
                            self.yang_parent_name = "distribute-list"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.in_out = YLeaf(YType.enumeration, "in-out")

                            self.interface = YLeaf(YType.str, "interface")

                            self.prefix_gateway = YLeaf(YType.enumeration, "prefix-gateway")

                            self.name = YLeaf(YType.str, "name")

                            self.interface_routing_id = YLeaf(YType.uint8, "interface-routing-id")

                            self.isis_tag = YLeaf(YType.str, "isis-tag")

                            self.vrf = YLeaf(YType.str, "vrf")
                            self._segment_path = lambda: "accesslist-prefix-gateway-ifname" + "[in-out='" + self.in_out.get() + "']" + "[interface='" + self.interface.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/distribute-list/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Default.DistributeList.AccesslistPrefixGatewayIfname, ['in_out', 'interface', 'prefix_gateway', 'name', 'interface_routing_id', 'isis_tag', 'vrf'], name, value)

                        class PrefixGateway(Enum):
                            """
                            PrefixGateway

                            .. data:: prefix = 0

                            .. data:: gateway = 1

                            .. data:: route_map = 2

                            """

                            prefix = Enum.YLeaf(0, "prefix")

                            gateway = Enum.YLeaf(1, "gateway")

                            route_map = Enum.YLeaf(2, "route-map")



                class OffsetList(Entity):
                    """
                    Add or subtract offset from RIP metrics
                    
                    .. attribute:: in_out  <key>
                    
                    	
                    	**type**\:  :py:class:`OffsetListInOutType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_rip.OffsetListInOutType>`
                    
                    .. attribute:: offset
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..16
                    
                    	**mandatory**\: True
                    
                    .. attribute:: id
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    	**mandatory**\: True
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Default.OffsetList, self).__init__()

                        self.yang_name = "offset-list"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.in_out = YLeaf(YType.enumeration, "in-out")

                        self.offset = YLeaf(YType.uint8, "offset")

                        self.id = YLeaf(YType.str, "id")
                        self._segment_path = lambda: "offset-list" + "[in-out='" + self.in_out.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Default.OffsetList, ['in_out', 'offset', 'id'], name, value)


                class PassiveInterface(Entity):
                    """
                    Suppress routing updates on an interface
                    
                    .. attribute:: default
                    
                    	Suppress routing updates on all interfaces
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: interface
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Default.PassiveInterface, self).__init__()

                        self.yang_name = "passive-interface"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.default = YLeaf(YType.empty, "default")

                        self.interface = YLeaf(YType.str, "interface")
                        self._segment_path = lambda: "passive-interface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Default.PassiveInterface, ['default', 'interface'], name, value)


                class Disable(Entity):
                    """
                    
                    
                    .. attribute:: passive_interface
                    
                    	
                    	**type**\: list of  		 :py:class:`PassiveInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Disable.PassiveInterface>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Default.Disable, self).__init__()

                        self.yang_name = "disable"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"passive-interface" : ("passive_interface", Native.Router.Rip.Default.Disable.PassiveInterface)}

                        self.passive_interface = YList(self)
                        self._segment_path = lambda: "disable"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Default.Disable, [], name, value)


                    class PassiveInterface(Entity):
                        """
                        
                        
                        .. attribute:: interface  <key>
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.Disable.PassiveInterface, self).__init__()

                            self.yang_name = "passive-interface"
                            self.yang_parent_name = "disable"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interface = YLeaf(YType.str, "interface")
                            self._segment_path = lambda: "passive-interface" + "[interface='" + self.interface.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/disable/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Default.Disable.PassiveInterface, ['interface'], name, value)


                class Redistribute(Entity):
                    """
                    Redistribute information from another routing protocol
                    
                    .. attribute:: connected
                    
                    	Connected
                    	**type**\:  :py:class:`Connected <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Connected>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: bgp
                    
                    	Border Gateway Protocol (BGP)
                    	**type**\: list of  		 :py:class:`Bgp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Bgp>`
                    
                    .. attribute:: eigrp
                    
                    	Enhanced Interior Gateway Routing Protocol (EIGRP)
                    	**type**\: list of  		 :py:class:`Eigrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Eigrp>`
                    
                    .. attribute:: isis
                    
                    	ISO IS\-IS
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: iso_igrp
                    
                    	IGRP for OSI networks
                    	**type**\:  :py:class:`IsoIgrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.IsoIgrp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: mobile
                    
                    	Mobile routes
                    	**type**\:  :py:class:`Mobile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Mobile>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: odr
                    
                    	On Demand stub Routes
                    	**type**\:  :py:class:`Odr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Odr>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ospf
                    
                    	Open Shortest Path First (OSPF)
                    	**type**\: list of  		 :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf>`
                    
                    .. attribute:: static
                    
                    	Static routes
                    	**type**\:  :py:class:`Static <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Static>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rip
                    
                    	Routing Information Protocol (RIP)
                    	**type**\:  :py:class:`Rip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Rip>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Default.Redistribute, self).__init__()

                        self.yang_name = "redistribute"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"connected" : ("connected", Native.Router.Rip.Default.Redistribute.Connected), "isis" : ("isis", Native.Router.Rip.Default.Redistribute.Isis), "iso-igrp" : ("iso_igrp", Native.Router.Rip.Default.Redistribute.IsoIgrp), "mobile" : ("mobile", Native.Router.Rip.Default.Redistribute.Mobile), "odr" : ("odr", Native.Router.Rip.Default.Redistribute.Odr), "static" : ("static", Native.Router.Rip.Default.Redistribute.Static), "rip" : ("rip", Native.Router.Rip.Default.Redistribute.Rip)}
                        self._child_list_classes = {"bgp" : ("bgp", Native.Router.Rip.Default.Redistribute.Bgp), "eigrp" : ("eigrp", Native.Router.Rip.Default.Redistribute.Eigrp), "ospf" : ("ospf", Native.Router.Rip.Default.Redistribute.Ospf)}

                        self.connected = None
                        self._children_name_map["connected"] = "connected"
                        self._children_yang_names.add("connected")

                        self.isis = None
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")

                        self.iso_igrp = None
                        self._children_name_map["iso_igrp"] = "iso-igrp"
                        self._children_yang_names.add("iso-igrp")

                        self.mobile = None
                        self._children_name_map["mobile"] = "mobile"
                        self._children_yang_names.add("mobile")

                        self.odr = None
                        self._children_name_map["odr"] = "odr"
                        self._children_yang_names.add("odr")

                        self.static = None
                        self._children_name_map["static"] = "static"
                        self._children_yang_names.add("static")

                        self.rip = None
                        self._children_name_map["rip"] = "rip"
                        self._children_yang_names.add("rip")

                        self.bgp = YList(self)
                        self.eigrp = YList(self)
                        self.ospf = YList(self)
                        self._segment_path = lambda: "redistribute"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Default.Redistribute, [], name, value)


                    class Connected(Entity):
                        """
                        Connected
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.Redistribute.Connected, self).__init__()

                            self.yang_name = "connected"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "connected"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/%s" % self._segment_path()


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "connected"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/connected/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/connected/rip-metric-route-map/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.Connected.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Bgp(Entity):
                        """
                        Border Gateway Protocol (BGP)
                        
                        .. attribute:: as_number  <key>
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..4294967295
                        
                        		**type**\: str
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.Redistribute.Bgp, self).__init__()

                            self.yang_name = "bgp"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap)}
                            self._child_list_classes = {}

                            self.as_number = YLeaf(YType.str, "as-number")

                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "bgp" + "[as-number='" + self.as_number.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Default.Redistribute.Bgp, ['as_number'], name, value)


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "bgp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.Bgp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Eigrp(Entity):
                        """
                        Enhanced Interior Gateway Routing Protocol (EIGRP)
                        
                        .. attribute:: as_number  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.Redistribute.Eigrp, self).__init__()

                            self.yang_name = "eigrp"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap)}
                            self._child_list_classes = {}

                            self.as_number = YLeaf(YType.uint16, "as-number")

                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "eigrp" + "[as-number='" + self.as_number.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Default.Redistribute.Eigrp, ['as_number'], name, value)


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "eigrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.Eigrp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Isis(Entity):
                        """
                        ISO IS\-IS
                        
                        .. attribute:: isis_area
                        
                        	
                        	**type**\: list of  		 :py:class:`IsisArea <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.IsisArea>`
                        
                        .. attribute:: rip_isis_redist
                        
                        	
                        	**type**\:  :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.Redistribute.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rip-isis-redist" : ("rip_isis_redist", Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist)}
                            self._child_list_classes = {"isis-area" : ("isis_area", Native.Router.Rip.Default.Redistribute.Isis.IsisArea)}
                            self.is_presence_container = True

                            self.rip_isis_redist = Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist()
                            self.rip_isis_redist.parent = self
                            self._children_name_map["rip_isis_redist"] = "rip-isis-redist"
                            self._children_yang_names.add("rip-isis-redist")

                            self.isis_area = YList(self)
                            self._segment_path = lambda: "isis"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Default.Redistribute.Isis, [], name, value)


                        class IsisArea(Entity):
                            """
                            
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: rip_isis_redist
                            
                            	
                            	**type**\:  :py:class:`RipIsisRedist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.Isis.IsisArea, self).__init__()

                                self.yang_name = "isis-area"
                                self.yang_parent_name = "isis"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"rip-isis-redist" : ("rip_isis_redist", Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist)}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")

                                self.rip_isis_redist = Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist()
                                self.rip_isis_redist.parent = self
                                self._children_name_map["rip_isis_redist"] = "rip-isis-redist"
                                self._children_yang_names.add("rip-isis-redist")
                                self._segment_path = lambda: "isis-area" + "[name='" + self.name.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/isis/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.Redistribute.Isis.IsisArea, ['name'], name, value)


                            class RipIsisRedist(Entity):
                                """
                                
                                
                                .. attribute:: isis_level_routes
                                
                                	
                                	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.IsisLevelRoutes>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist, self).__init__()

                                    self.yang_name = "rip-isis-redist"
                                    self.yang_parent_name = "isis-area"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap)}
                                    self._child_list_classes = {}

                                    self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                    self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "rip-isis-redist"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist, ['isis_level_routes'], name, value)

                                class IsisLevelRoutes(Enum):
                                    """
                                    IsisLevelRoutes

                                    .. data:: level_1 = 0

                                    .. data:: level_2 = 1

                                    .. data:: level_1_2 = 2

                                    """

                                    level_1 = Enum.YLeaf(0, "level-1")

                                    level_2 = Enum.YLeaf(1, "level-2")

                                    level_1_2 = Enum.YLeaf(2, "level-1-2")



                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "rip-isis-redist"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.Default.Redistribute.Isis.IsisArea.RipIsisRedist.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                        class RipIsisRedist(Entity):
                            """
                            
                            
                            .. attribute:: isis_level_routes
                            
                            	
                            	**type**\:  :py:class:`IsisLevelRoutes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.IsisLevelRoutes>`
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist, self).__init__()

                                self.yang_name = "rip-isis-redist"
                                self.yang_parent_name = "isis"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap)}
                                self._child_list_classes = {}

                                self.isis_level_routes = YLeaf(YType.enumeration, "isis-level-routes")

                                self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self
                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                self._children_yang_names.add("rip-metric-route-map")
                                self._segment_path = lambda: "rip-isis-redist"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/isis/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist, ['isis_level_routes'], name, value)

                            class IsisLevelRoutes(Enum):
                                """
                                IsisLevelRoutes

                                .. data:: level_1 = 0

                                .. data:: level_2 = 1

                                .. data:: level_1_2 = 2

                                """

                                level_1 = Enum.YLeaf(0, "level-1")

                                level_2 = Enum.YLeaf(1, "level-2")

                                level_1_2 = Enum.YLeaf(2, "level-1-2")



                            class RipMetricRouteMap(Entity):
                                """
                                
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric>`
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap, self).__init__()

                                    self.yang_name = "rip-metric-route-map"
                                    self.yang_parent_name = "rip-isis-redist"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self._children_name_map["metric"] = "metric"
                                    self._children_yang_names.add("metric")
                                    self._segment_path = lambda: "rip-metric-route-map"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/isis/rip-isis-redist/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap, ['route_map'], name, value)


                                class Metric(Entity):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric, self).__init__()

                                        self.yang_name = "metric"
                                        self.yang_parent_name = "rip-metric-route-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                        self.transparent = YLeaf(YType.empty, "transparent")
                                        self._segment_path = lambda: "metric"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/isis/rip-isis-redist/rip-metric-route-map/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.Default.Redistribute.Isis.RipIsisRedist.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class IsoIgrp(Entity):
                        """
                        IGRP for OSI networks
                        
                        .. attribute:: isoigrp_list
                        
                        	Border Gateway Protocol (BGP)
                        	**type**\: list of  		 :py:class:`IsoigrpList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList>`
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.Redistribute.IsoIgrp, self).__init__()

                            self.yang_name = "iso-igrp"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap)}
                            self._child_list_classes = {"isoigrp-list" : ("isoigrp_list", Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList)}
                            self.is_presence_container = True

                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")

                            self.isoigrp_list = YList(self)
                            self._segment_path = lambda: "iso-igrp"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Default.Redistribute.IsoIgrp, [], name, value)


                        class IsoigrpList(Entity):
                            """
                            Border Gateway Protocol (BGP)
                            
                            .. attribute:: iso_area_tag  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: rip_metric_route_map
                            
                            	
                            	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList, self).__init__()

                                self.yang_name = "isoigrp-list"
                                self.yang_parent_name = "iso-igrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap)}
                                self._child_list_classes = {}

                                self.iso_area_tag = YLeaf(YType.str, "iso-area-tag")

                                self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap()
                                self.rip_metric_route_map.parent = self
                                self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                self._children_yang_names.add("rip-metric-route-map")
                                self._segment_path = lambda: "isoigrp-list" + "[iso-area-tag='" + self.iso_area_tag.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/iso-igrp/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList, ['iso_area_tag'], name, value)


                            class RipMetricRouteMap(Entity):
                                """
                                
                                
                                .. attribute:: route_map
                                
                                	Route map reference
                                	**type**\: str
                                
                                .. attribute:: metric
                                
                                	Metric for redistributed routes
                                	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap, self).__init__()

                                    self.yang_name = "rip-metric-route-map"
                                    self.yang_parent_name = "isoigrp-list"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric)}
                                    self._child_list_classes = {}

                                    self.route_map = YLeaf(YType.str, "route-map")

                                    self.metric = Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric()
                                    self.metric.parent = self
                                    self._children_name_map["metric"] = "metric"
                                    self._children_yang_names.add("metric")
                                    self._segment_path = lambda: "rip-metric-route-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap, ['route_map'], name, value)


                                class Metric(Entity):
                                    """
                                    Metric for redistributed routes
                                    
                                    .. attribute:: metric_value
                                    
                                    	Metric for redistributed routes
                                    	**type**\: int
                                    
                                    	**range:** 0..16
                                    
                                    .. attribute:: transparent
                                    
                                    	Transparently redistribute metric
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric, self).__init__()

                                        self.yang_name = "metric"
                                        self.yang_parent_name = "rip-metric-route-map"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.metric_value = YLeaf(YType.uint32, "metric-value")

                                        self.transparent = YLeaf(YType.empty, "transparent")
                                        self._segment_path = lambda: "metric"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.Default.Redistribute.IsoIgrp.IsoigrpList.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap.Metric>`
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "iso-igrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/iso-igrp/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/iso-igrp/rip-metric-route-map/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.IsoIgrp.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Mobile(Entity):
                        """
                        Mobile routes
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.Redistribute.Mobile, self).__init__()

                            self.yang_name = "mobile"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "mobile"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/%s" % self._segment_path()


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "mobile"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/mobile/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/mobile/rip-metric-route-map/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.Mobile.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Odr(Entity):
                        """
                        On Demand stub Routes
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.Redistribute.Odr, self).__init__()

                            self.yang_name = "odr"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "odr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/%s" % self._segment_path()


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "odr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/odr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/odr/rip-metric-route-map/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.Odr.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Ospf(Entity):
                        """
                        Open Shortest Path First (OSPF)
                        
                        .. attribute:: process_id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: vrf
                        
                        	VPN Routing/Forwarding Instance
                        	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Vrf>`
                        
                        .. attribute:: match
                        
                        	Redistribution of OSPF routes
                        	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match>`
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.Redistribute.Ospf, self).__init__()

                            self.yang_name = "ospf"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"match" : ("match", Native.Router.Rip.Default.Redistribute.Ospf.Match), "rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap)}
                            self._child_list_classes = {"vrf" : ("vrf", Native.Router.Rip.Default.Redistribute.Ospf.Vrf)}

                            self.process_id = YLeaf(YType.uint16, "process-id")

                            self.match = Native.Router.Rip.Default.Redistribute.Ospf.Match()
                            self.match.parent = self
                            self._children_name_map["match"] = "match"
                            self._children_yang_names.add("match")

                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")

                            self.vrf = YList(self)
                            self._segment_path = lambda: "ospf" + "[process-id='" + self.process_id.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Default.Redistribute.Ospf, ['process_id'], name, value)


                        class Vrf(Entity):
                            """
                            VPN Routing/Forwarding Instance
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.Ospf.Vrf, self).__init__()

                                self.yang_name = "vrf"
                                self.yang_parent_name = "ospf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.Redistribute.Ospf.Vrf, ['name'], name, value)


                        class Match(Entity):
                            """
                            Redistribution of OSPF routes
                            
                            .. attribute:: internal
                            
                            	Redistribute OSPF internal routes
                            	**type**\:  :py:class:`Internal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: external
                            
                            	Redistribute OSPF external routes
                            	**type**\:  :py:class:`External <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.External>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: nssa_external
                            
                            	Redistribute OSPF NSSA external routes
                            	**type**\:  :py:class:`NssaExternal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.Ospf.Match, self).__init__()

                                self.yang_name = "match"
                                self.yang_parent_name = "ospf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"internal" : ("internal", Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal), "external" : ("external", Native.Router.Rip.Default.Redistribute.Ospf.Match.External), "nssa-external" : ("nssa_external", Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal)}
                                self._child_list_classes = {}

                                self.internal = None
                                self._children_name_map["internal"] = "internal"
                                self._children_yang_names.add("internal")

                                self.external = None
                                self._children_name_map["external"] = "external"
                                self._children_yang_names.add("external")

                                self.nssa_external = None
                                self._children_name_map["nssa_external"] = "nssa-external"
                                self._children_yang_names.add("nssa-external")
                                self._segment_path = lambda: "match"


                            class Internal(Entity):
                                """
                                Redistribute OSPF internal routes
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal, self).__init__()

                                    self.yang_name = "internal"
                                    self.yang_parent_name = "match"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "internal"


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "internal"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.Default.Redistribute.Ospf.Match.Internal.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class External(Entity):
                                """
                                Redistribute OSPF external routes
                                
                                .. attribute:: external_routes
                                
                                	
                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.Ospf.Match.External, self).__init__()

                                    self.yang_name = "external"
                                    self.yang_parent_name = "match"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.external_routes = YLeaf(YType.enumeration, "external-routes")

                                    self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "external"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.Ospf.Match.External, ['external_routes'], name, value)


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "external"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.Default.Redistribute.Ospf.Match.External.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                            class NssaExternal(Entity):
                                """
                                Redistribute OSPF NSSA external routes
                                
                                .. attribute:: nssa_external_routes
                                
                                	
                                	**type**\:  :py:class:`RedistOspfExternalType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.RedistOspfExternalType>`
                                
                                .. attribute:: rip_metric_route_map
                                
                                	
                                	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal, self).__init__()

                                    self.yang_name = "nssa-external"
                                    self.yang_parent_name = "match"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.nssa_external_routes = YLeaf(YType.enumeration, "nssa-external-routes")

                                    self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap()
                                    self.rip_metric_route_map.parent = self
                                    self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                                    self._children_yang_names.add("rip-metric-route-map")
                                    self._segment_path = lambda: "nssa-external"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal, ['nssa_external_routes'], name, value)


                                class RipMetricRouteMap(Entity):
                                    """
                                    
                                    
                                    .. attribute:: metric
                                    
                                    	Metric for redistributed routes
                                    	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric>`
                                    
                                    .. attribute:: route_map
                                    
                                    	Route map reference
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-rip'
                                    _revision = '2017-04-12'

                                    def __init__(self):
                                        super(Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap, self).__init__()

                                        self.yang_name = "rip-metric-route-map"
                                        self.yang_parent_name = "nssa-external"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric)}
                                        self._child_list_classes = {}

                                        self.route_map = YLeaf(YType.str, "route-map")

                                        self.metric = Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric()
                                        self.metric.parent = self
                                        self._children_name_map["metric"] = "metric"
                                        self._children_yang_names.add("metric")
                                        self._segment_path = lambda: "rip-metric-route-map"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap, ['route_map'], name, value)


                                    class Metric(Entity):
                                        """
                                        Metric for redistributed routes
                                        
                                        .. attribute:: metric_value
                                        
                                        	Metric for redistributed routes
                                        	**type**\: int
                                        
                                        	**range:** 0..16
                                        
                                        .. attribute:: transparent
                                        
                                        	Transparently redistribute metric
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-rip'
                                        _revision = '2017-04-12'

                                        def __init__(self):
                                            super(Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric, self).__init__()

                                            self.yang_name = "metric"
                                            self.yang_parent_name = "rip-metric-route-map"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.metric_value = YLeaf(YType.uint32, "metric-value")

                                            self.transparent = YLeaf(YType.empty, "transparent")
                                            self._segment_path = lambda: "metric"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Router.Rip.Default.Redistribute.Ospf.Match.NssaExternal.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "ospf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.Ospf.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Static(Entity):
                        """
                        Static routes
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.Redistribute.Static, self).__init__()

                            self.yang_name = "static"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "static"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/%s" % self._segment_path()


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "static"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/static/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/static/rip-metric-route-map/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.Static.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                    class Rip(Entity):
                        """
                        Routing Information Protocol (RIP)
                        
                        .. attribute:: rip_metric_route_map
                        
                        	
                        	**type**\:  :py:class:`RipMetricRouteMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Rip.RipMetricRouteMap>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.Redistribute.Rip, self).__init__()

                            self.yang_name = "rip"
                            self.yang_parent_name = "redistribute"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rip-metric-route-map" : ("rip_metric_route_map", Native.Router.Rip.Default.Redistribute.Rip.RipMetricRouteMap)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rip_metric_route_map = Native.Router.Rip.Default.Redistribute.Rip.RipMetricRouteMap()
                            self.rip_metric_route_map.parent = self
                            self._children_name_map["rip_metric_route_map"] = "rip-metric-route-map"
                            self._children_yang_names.add("rip-metric-route-map")
                            self._segment_path = lambda: "rip"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/%s" % self._segment_path()


                        class RipMetricRouteMap(Entity):
                            """
                            
                            
                            .. attribute:: metric
                            
                            	Metric for redistributed routes
                            	**type**\:  :py:class:`Metric <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.Redistribute.Rip.RipMetricRouteMap.Metric>`
                            
                            .. attribute:: route_map
                            
                            	Route map reference
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-rip'
                            _revision = '2017-04-12'

                            def __init__(self):
                                super(Native.Router.Rip.Default.Redistribute.Rip.RipMetricRouteMap, self).__init__()

                                self.yang_name = "rip-metric-route-map"
                                self.yang_parent_name = "rip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"metric" : ("metric", Native.Router.Rip.Default.Redistribute.Rip.RipMetricRouteMap.Metric)}
                                self._child_list_classes = {}

                                self.route_map = YLeaf(YType.str, "route-map")

                                self.metric = Native.Router.Rip.Default.Redistribute.Rip.RipMetricRouteMap.Metric()
                                self.metric.parent = self
                                self._children_name_map["metric"] = "metric"
                                self._children_yang_names.add("metric")
                                self._segment_path = lambda: "rip-metric-route-map"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/rip/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Router.Rip.Default.Redistribute.Rip.RipMetricRouteMap, ['route_map'], name, value)


                            class Metric(Entity):
                                """
                                Metric for redistributed routes
                                
                                .. attribute:: metric_value
                                
                                	Metric for redistributed routes
                                	**type**\: int
                                
                                	**range:** 0..16
                                
                                .. attribute:: transparent
                                
                                	Transparently redistribute metric
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-rip'
                                _revision = '2017-04-12'

                                def __init__(self):
                                    super(Native.Router.Rip.Default.Redistribute.Rip.RipMetricRouteMap.Metric, self).__init__()

                                    self.yang_name = "metric"
                                    self.yang_parent_name = "rip-metric-route-map"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.metric_value = YLeaf(YType.uint32, "metric-value")

                                    self.transparent = YLeaf(YType.empty, "transparent")
                                    self._segment_path = lambda: "metric"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/redistribute/rip/rip-metric-route-map/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Router.Rip.Default.Redistribute.Rip.RipMetricRouteMap.Metric, ['metric_value', 'transparent'], name, value)


                class Timers(Entity):
                    """
                    Adjust routing timers
                    
                    .. attribute:: basic
                    
                    	Basic routing protocol update timers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Default.Timers, self).__init__()

                        self.yang_name = "timers"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.basic = YLeaf(YType.empty, "basic")
                        self._segment_path = lambda: "timers"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Router.Rip.Default.Timers, ['basic'], name, value)


                class TrafficShare(Entity):
                    """
                    How to compute traffic share over alternate paths
                    
                    .. attribute:: min
                    
                    	All traffic shared among min metric paths
                    	**type**\:  :py:class:`Min <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Router.Rip.Default.TrafficShare.Min>`
                    
                    

                    """

                    _prefix = 'ios-rip'
                    _revision = '2017-04-12'

                    def __init__(self):
                        super(Native.Router.Rip.Default.TrafficShare, self).__init__()

                        self.yang_name = "traffic-share"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"min" : ("min", Native.Router.Rip.Default.TrafficShare.Min)}
                        self._child_list_classes = {}

                        self.min = Native.Router.Rip.Default.TrafficShare.Min()
                        self.min.parent = self
                        self._children_name_map["min"] = "min"
                        self._children_yang_names.add("min")
                        self._segment_path = lambda: "traffic-share"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/%s" % self._segment_path()


                    class Min(Entity):
                        """
                        All traffic shared among min metric paths
                        
                        .. attribute:: across_interfaces
                        
                        	Use different interfaces for equal\-cost paths
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-rip'
                        _revision = '2017-04-12'

                        def __init__(self):
                            super(Native.Router.Rip.Default.TrafficShare.Min, self).__init__()

                            self.yang_name = "min"
                            self.yang_parent_name = "traffic-share"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.across_interfaces = YLeaf(YType.empty, "across-interfaces")
                            self._segment_path = lambda: "min"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/router/Cisco-IOS-XE-rip:rip/default/traffic-share/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Router.Rip.Default.TrafficShare.Min, ['across_interfaces'], name, value)


    class ServiceChain(Entity):
        """
        Service Chain mode
        
        .. attribute:: service_function
        
        	Service function details
        	**type**\: list of  		 :py:class:`ServiceFunction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunction>`
        
        .. attribute:: service_function_forwarder
        
        	Service function forwarder details
        	**type**\:  :py:class:`ServiceFunctionForwarder <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunctionForwarder>`
        
        .. attribute:: service_path
        
        	Service Path Entries
        	**type**\: list of  		 :py:class:`ServicePath <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServicePath>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.ServiceChain, self).__init__()

            self.yang_name = "service-chain"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-service-chain:service-function-forwarder" : ("service_function_forwarder", Native.ServiceChain.ServiceFunctionForwarder)}
            self._child_list_classes = {"Cisco-IOS-XE-service-chain:service-function" : ("service_function", Native.ServiceChain.ServiceFunction), "Cisco-IOS-XE-service-chain:service-path" : ("service_path", Native.ServiceChain.ServicePath)}

            self.service_function_forwarder = Native.ServiceChain.ServiceFunctionForwarder()
            self.service_function_forwarder.parent = self
            self._children_name_map["service_function_forwarder"] = "service-function-forwarder"
            self._children_yang_names.add("service-function-forwarder")

            self.service_function = YList(self)
            self.service_path = YList(self)
            self._segment_path = lambda: "service-chain"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.ServiceChain, [], name, value)


        class ServiceFunction(Entity):
            """
            Service function details
            
            .. attribute:: name  <key>
            
            	WORD;;Service function name
            	**type**\: str
            
            .. attribute:: config_service_chain_sf_mode
            
            	
            	**type**\:  :py:class:`ConfigServiceChainSfMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode>`
            
            

            """

            _prefix = 'ios-service-chain'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.ServiceChain.ServiceFunction, self).__init__()

                self.yang_name = "service-function"
                self.yang_parent_name = "service-chain"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"config-service-chain-sf-mode" : ("config_service_chain_sf_mode", Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.config_service_chain_sf_mode = Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode()
                self.config_service_chain_sf_mode.parent = self
                self._children_name_map["config_service_chain_sf_mode"] = "config-service-chain-sf-mode"
                self._children_yang_names.add("config-service-chain-sf-mode")
                self._segment_path = lambda: "Cisco-IOS-XE-service-chain:service-function" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service-chain/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ServiceChain.ServiceFunction, ['name'], name, value)


            class ConfigServiceChainSfMode(Entity):
                """
                
                
                .. attribute:: description
                
                	Service function description
                	**type**\: str
                
                	**length:** 1..256
                
                .. attribute:: encapsulation
                
                	Service node encapsulation
                	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation>`
                
                .. attribute:: ip
                
                	Service node
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Ip>`
                
                

                """

                _prefix = 'ios-service-chain'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode, self).__init__()

                    self.yang_name = "config-service-chain-sf-mode"
                    self.yang_parent_name = "service-function"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"encapsulation" : ("encapsulation", Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation), "ip" : ("ip", Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Ip)}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.str, "description")

                    self.encapsulation = Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation()
                    self.encapsulation.parent = self
                    self._children_name_map["encapsulation"] = "encapsulation"
                    self._children_yang_names.add("encapsulation")

                    self.ip = Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "config-service-chain-sf-mode"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode, ['description'], name, value)


                class Encapsulation(Entity):
                    """
                    Service node encapsulation
                    
                    .. attribute:: gre
                    
                    	Service node encapsulation type
                    	**type**\:  :py:class:`Gre <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: none
                    
                    	Service node encapsulation type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-service-chain'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation, self).__init__()

                        self.yang_name = "encapsulation"
                        self.yang_parent_name = "config-service-chain-sf-mode"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"gre" : ("gre", Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre)}
                        self._child_list_classes = {}

                        self.none = YLeaf(YType.empty, "none")

                        self.gre = None
                        self._children_name_map["gre"] = "gre"
                        self._children_yang_names.add("gre")
                        self._segment_path = lambda: "encapsulation"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation, ['none'], name, value)


                    class Gre(Entity):
                        """
                        Service node encapsulation type
                        
                        .. attribute:: enhanced
                        
                        	Add enhanced NSH TLV information
                        	**type**\:  :py:class:`Enhanced <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre.Enhanced>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-service-chain'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre, self).__init__()

                            self.yang_name = "gre"
                            self.yang_parent_name = "encapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.enhanced = YLeaf(YType.enumeration, "enhanced")
                            self._segment_path = lambda: "gre"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Encapsulation.Gre, ['enhanced'], name, value)

                        class Enhanced(Enum):
                            """
                            Enhanced

                            Add enhanced NSH TLV information

                            .. data:: copy = 0

                            .. data:: divert = 1

                            """

                            copy = Enum.YLeaf(0, "copy")

                            divert = Enum.YLeaf(1, "divert")



                class Ip(Entity):
                    """
                    Service node
                    
                    .. attribute:: address
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-service-chain'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "config-service-chain-sf-mode"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")
                        self._segment_path = lambda: "ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ServiceChain.ServiceFunction.ConfigServiceChainSfMode.Ip, ['address'], name, value)


        class ServiceFunctionForwarder(Entity):
            """
            Service function forwarder details
            
            .. attribute:: service_ff_name
            
            	
            	**type**\: list of  		 :py:class:`ServiceFfName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName>`
            
            .. attribute:: local
            
            	Local service function forwarder
            	**type**\:  :py:class:`Local <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunctionForwarder.Local>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-service-chain'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.ServiceChain.ServiceFunctionForwarder, self).__init__()

                self.yang_name = "service-function-forwarder"
                self.yang_parent_name = "service-chain"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"local" : ("local", Native.ServiceChain.ServiceFunctionForwarder.Local)}
                self._child_list_classes = {"service-ff-name" : ("service_ff_name", Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName)}

                self.local = None
                self._children_name_map["local"] = "local"
                self._children_yang_names.add("local")

                self.service_ff_name = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-service-chain:service-function-forwarder"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service-chain/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ServiceChain.ServiceFunctionForwarder, [], name, value)


            class ServiceFfName(Entity):
                """
                
                
                .. attribute:: name  <key>
                
                	WORD;;Service function forwarder name
                	**type**\: str
                
                .. attribute:: description
                
                	Service function forwarder description
                	**type**\: str
                
                	**length:** 1..256
                
                .. attribute:: ip
                
                	IP address for Service Function Forwarder
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName.Ip>`
                
                

                """

                _prefix = 'ios-service-chain'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName, self).__init__()

                    self.yang_name = "service-ff-name"
                    self.yang_parent_name = "service-function-forwarder"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ip" : ("ip", Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName.Ip)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.description = YLeaf(YType.str, "description")

                    self.ip = Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "service-ff-name" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service-chain/Cisco-IOS-XE-service-chain:service-function-forwarder/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName, ['name', 'description'], name, value)


                class Ip(Entity):
                    """
                    IP address for Service Function Forwarder
                    
                    .. attribute:: address
                    
                    	Set IPv4 address
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-service-chain'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "service-ff-name"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")
                        self._segment_path = lambda: "ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ServiceChain.ServiceFunctionForwarder.ServiceFfName.Ip, ['address'], name, value)


            class Local(Entity):
                """
                Local service function forwarder
                
                .. attribute:: description
                
                	Service function forwarder description
                	**type**\: str
                
                	**length:** 1..256
                
                .. attribute:: ip
                
                	IP address for Service Function Forwarder
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServiceFunctionForwarder.Local.Ip>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-service-chain'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ServiceChain.ServiceFunctionForwarder.Local, self).__init__()

                    self.yang_name = "local"
                    self.yang_parent_name = "service-function-forwarder"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ip" : ("ip", Native.ServiceChain.ServiceFunctionForwarder.Local.Ip)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.description = YLeaf(YType.str, "description")

                    self.ip = Native.ServiceChain.ServiceFunctionForwarder.Local.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "local"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service-chain/Cisco-IOS-XE-service-chain:service-function-forwarder/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ServiceChain.ServiceFunctionForwarder.Local, ['description'], name, value)


                class Ip(Entity):
                    """
                    IP address for Service Function Forwarder
                    
                    .. attribute:: address
                    
                    	Set IPv4 address
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-service-chain'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ServiceChain.ServiceFunctionForwarder.Local.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "local"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")
                        self._segment_path = lambda: "ip"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service-chain/Cisco-IOS-XE-service-chain:service-function-forwarder/local/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ServiceChain.ServiceFunctionForwarder.Local.Ip, ['address'], name, value)


        class ServicePath(Entity):
            """
            Service Path Entries
            
            .. attribute:: service_path_id  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..16777215
            
            .. attribute:: config_service_chain_path_mode
            
            	
            	**type**\:  :py:class:`ConfigServiceChainPathMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServicePath.ConfigServiceChainPathMode>`
            
            

            """

            _prefix = 'ios-service-chain'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.ServiceChain.ServicePath, self).__init__()

                self.yang_name = "service-path"
                self.yang_parent_name = "service-chain"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"config-service-chain-path-mode" : ("config_service_chain_path_mode", Native.ServiceChain.ServicePath.ConfigServiceChainPathMode)}
                self._child_list_classes = {}

                self.service_path_id = YLeaf(YType.uint32, "service-path-id")

                self.config_service_chain_path_mode = Native.ServiceChain.ServicePath.ConfigServiceChainPathMode()
                self.config_service_chain_path_mode.parent = self
                self._children_name_map["config_service_chain_path_mode"] = "config-service-chain-path-mode"
                self._children_yang_names.add("config-service-chain-path-mode")
                self._segment_path = lambda: "Cisco-IOS-XE-service-chain:service-path" + "[service-path-id='" + self.service_path_id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service-chain/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ServiceChain.ServicePath, ['service_path_id'], name, value)


            class ConfigServiceChainPathMode(Entity):
                """
                
                
                .. attribute:: description
                
                	Path Description
                	**type**\: str
                
                	**length:** 1..256
                
                .. attribute:: service_index
                
                	Service Index
                	**type**\:  :py:class:`ServiceIndex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex>`
                
                

                """

                _prefix = 'ios-service-chain'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ServiceChain.ServicePath.ConfigServiceChainPathMode, self).__init__()

                    self.yang_name = "config-service-chain-path-mode"
                    self.yang_parent_name = "service-path"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"service-index" : ("service_index", Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex)}
                    self._child_list_classes = {}

                    self.description = YLeaf(YType.str, "description")

                    self.service_index = Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex()
                    self.service_index.parent = self
                    self._children_name_map["service_index"] = "service-index"
                    self._children_yang_names.add("service-index")
                    self._segment_path = lambda: "config-service-chain-path-mode"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ServiceChain.ServicePath.ConfigServiceChainPathMode, ['description'], name, value)


                class ServiceIndex(Entity):
                    """
                    Service Index
                    
                    .. attribute:: services
                    
                    	
                    	**type**\: list of  		 :py:class:`Services <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex.Services>`
                    
                    

                    """

                    _prefix = 'ios-service-chain'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex, self).__init__()

                        self.yang_name = "service-index"
                        self.yang_parent_name = "config-service-chain-path-mode"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"services" : ("services", Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex.Services)}

                        self.services = YList(self)
                        self._segment_path = lambda: "service-index"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex, [], name, value)


                    class Services(Entity):
                        """
                        
                        
                        .. attribute:: service_index_id  <key>
                        
                        	
                        	**type**\: int
                        
                        	**range:** 2..255
                        
                        .. attribute:: service_function
                        
                        	Service Function name
                        	**type**\: str
                        
                        .. attribute:: service_function_forwarder
                        
                        	Service Function Forwarder name
                        	**type**\: str
                        
                        .. attribute:: terminate
                        
                        	Terminate(Proxy)
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-service-chain'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex.Services, self).__init__()

                            self.yang_name = "services"
                            self.yang_parent_name = "service-index"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.service_index_id = YLeaf(YType.uint8, "service-index-id")

                            self.service_function = YLeaf(YType.str, "service-function")

                            self.service_function_forwarder = YLeaf(YType.str, "service-function-forwarder")

                            self.terminate = YLeaf(YType.empty, "terminate")
                            self._segment_path = lambda: "services" + "[service-index-id='" + self.service_index_id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.ServiceChain.ServicePath.ConfigServiceChainPathMode.ServiceIndex.Services, ['service_index_id', 'service_function', 'service_function_forwarder', 'terminate'], name, value)


    class Performance(Entity):
        """
        Global Performance monitor configuration
        
        .. attribute:: monitor
        
        	monitor
        	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Performance, self).__init__()

            self.yang_name = "performance"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-ezpm:monitor" : ("monitor", Native.Performance.Monitor)}
            self._child_list_classes = {}

            self.monitor = Native.Performance.Monitor()
            self.monitor.parent = self
            self._children_name_map["monitor"] = "monitor"
            self._children_yang_names.add("monitor")
            self._segment_path = lambda: "performance"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Monitor(Entity):
            """
            monitor
            
            .. attribute:: context
            
            	Define ezPM context
            	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context>`
            
            .. attribute:: observation_point
            
            	Select observation point
            	**type**\:  :py:class:`ObservationPoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.ObservationPoint>`
            
            

            """

            _prefix = 'ios-ezpm'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Performance.Monitor, self).__init__()

                self.yang_name = "monitor"
                self.yang_parent_name = "performance"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"observation-point" : ("observation_point", Native.Performance.Monitor.ObservationPoint)}
                self._child_list_classes = {"context" : ("context", Native.Performance.Monitor.Context)}

                self.observation_point = Native.Performance.Monitor.ObservationPoint()
                self.observation_point.parent = self
                self._children_name_map["observation_point"] = "observation-point"
                self._children_yang_names.add("observation-point")

                self.context = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-ezpm:monitor"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/performance/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Performance.Monitor, [], name, value)


            class Context(Entity):
                """
                Define ezPM context
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: profile
                
                	Select ezPM profile
                	**type**\:  :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Profile>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default>`
                
                .. attribute:: description
                
                	Provide a description for ezPM context
                	**type**\: str
                
                .. attribute:: exporter
                
                	Create exporter
                	**type**\:  :py:class:`Exporter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Exporter>`
                
                .. attribute:: traffic_monitor
                
                	Select traffic monitor
                	**type**\:  :py:class:`TrafficMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Performance.Monitor.Context, self).__init__()

                    self.yang_name = "context"
                    self.yang_parent_name = "monitor"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Performance.Monitor.Context.Default), "exporter" : ("exporter", Native.Performance.Monitor.Context.Exporter), "traffic-monitor" : ("traffic_monitor", Native.Performance.Monitor.Context.TrafficMonitor)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.profile = YLeaf(YType.enumeration, "profile")

                    self.description = YLeaf(YType.str, "description")

                    self.default = Native.Performance.Monitor.Context.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.exporter = Native.Performance.Monitor.Context.Exporter()
                    self.exporter.parent = self
                    self._children_name_map["exporter"] = "exporter"
                    self._children_yang_names.add("exporter")

                    self.traffic_monitor = Native.Performance.Monitor.Context.TrafficMonitor()
                    self.traffic_monitor.parent = self
                    self._children_name_map["traffic_monitor"] = "traffic-monitor"
                    self._children_yang_names.add("traffic-monitor")
                    self._segment_path = lambda: "context" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/performance/Cisco-IOS-XE-ezpm:monitor/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Performance.Monitor.Context, ['name', 'profile', 'description'], name, value)

                class Profile(Enum):
                    """
                    Profile

                    Select ezPM profile

                    .. data:: application_experience = 0

                    .. data:: application_performance = 1

                    .. data:: application_statistics = 2

                    """

                    application_experience = Enum.YLeaf(0, "application-experience")

                    application_performance = Enum.YLeaf(1, "application-performance")

                    application_statistics = Enum.YLeaf(2, "application-statistics")



                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: description
                    
                    	Provide a description for ezPM context
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: exporter
                    
                    	Create exporter
                    	**type**\:  :py:class:`Exporter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.Exporter>`
                    
                    .. attribute:: traffic_monitor
                    
                    	Select traffic monitor
                    	**type**\:  :py:class:`TrafficMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor>`
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Performance.Monitor.Context.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "context"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"exporter" : ("exporter", Native.Performance.Monitor.Context.Default.Exporter), "traffic-monitor" : ("traffic_monitor", Native.Performance.Monitor.Context.Default.TrafficMonitor)}
                        self._child_list_classes = {}

                        self.description = YLeaf(YType.empty, "description")

                        self.exporter = Native.Performance.Monitor.Context.Default.Exporter()
                        self.exporter.parent = self
                        self._children_name_map["exporter"] = "exporter"
                        self._children_yang_names.add("exporter")

                        self.traffic_monitor = Native.Performance.Monitor.Context.Default.TrafficMonitor()
                        self.traffic_monitor.parent = self
                        self._children_name_map["traffic_monitor"] = "traffic-monitor"
                        self._children_yang_names.add("traffic-monitor")
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Performance.Monitor.Context.Default, ['description'], name, value)


                    class Exporter(Entity):
                        """
                        Create exporter
                        
                        .. attribute:: destination
                        
                        	Export destination configuration
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: source
                        
                        	Originating interface
                        	**type**\: str
                        
                        .. attribute:: port
                        
                        	port
                        	**type**\: int
                        
                        	**range:** 0..65535
                        
                        .. attribute:: transport
                        
                        	transport
                        	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.Exporter.Transport>`
                        
                        .. attribute:: vrf
                        
                        	vrf
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Performance.Monitor.Context.Default.Exporter, self).__init__()

                            self.yang_name = "exporter"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.destination = YLeaf(YType.str, "destination")

                            self.source = YLeaf(YType.str, "source")

                            self.port = YLeaf(YType.uint16, "port")

                            self.transport = YLeaf(YType.enumeration, "transport")

                            self.vrf = YLeaf(YType.str, "vrf")
                            self._segment_path = lambda: "exporter"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Performance.Monitor.Context.Default.Exporter, ['destination', 'source', 'port', 'transport', 'vrf'], name, value)

                        class Transport(Enum):
                            """
                            Transport

                            transport

                            .. data:: udp = 0

                            """

                            udp = Enum.YLeaf(0, "udp")



                    class TrafficMonitor(Entity):
                        """
                        Select traffic monitor
                        
                        .. attribute:: all
                        
                        	All traffic monitors in this profile
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.All>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: application_response_time
                        
                        	Application response time (ART) metrics and counters for TCP traffic
                        	**type**\:  :py:class:`ApplicationResponseTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: application_traffic_stats
                        
                        	Application level counters for dns and dht protocol
                        	**type**\:  :py:class:`ApplicationTrafficStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationTrafficStats>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: conversation_traffic_stats
                        
                        	Conversation level counters for IP traffic
                        	**type**\:  :py:class:`ConversationTrafficStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: media
                        
                        	Media metrics and counters for rtp and telepresence\-media traffic
                        	**type**\:  :py:class:`Media <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.Media>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: url
                        
                        	URL information, application response time (ART) metrics and counters
                        	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.Url>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: application_client_server_stats
                        
                        	Per interface, client, server and application statistics
                        	**type**\:  :py:class:`ApplicationClientServerStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: application_stats
                        
                        	Per application and interface statistics
                        	**type**\:  :py:class:`ApplicationStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationStats>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Performance.Monitor.Context.Default.TrafficMonitor, self).__init__()

                            self.yang_name = "traffic-monitor"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"all" : ("all", Native.Performance.Monitor.Context.Default.TrafficMonitor.All), "application-response-time" : ("application_response_time", Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime), "application-traffic-stats" : ("application_traffic_stats", Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationTrafficStats), "conversation-traffic-stats" : ("conversation_traffic_stats", Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats), "media" : ("media", Native.Performance.Monitor.Context.Default.TrafficMonitor.Media), "url" : ("url", Native.Performance.Monitor.Context.Default.TrafficMonitor.Url), "application-client-server-stats" : ("application_client_server_stats", Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats), "application-stats" : ("application_stats", Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationStats)}
                            self._child_list_classes = {}

                            self.all = None
                            self._children_name_map["all"] = "all"
                            self._children_yang_names.add("all")

                            self.application_response_time = None
                            self._children_name_map["application_response_time"] = "application-response-time"
                            self._children_yang_names.add("application-response-time")

                            self.application_traffic_stats = None
                            self._children_name_map["application_traffic_stats"] = "application-traffic-stats"
                            self._children_yang_names.add("application-traffic-stats")

                            self.conversation_traffic_stats = None
                            self._children_name_map["conversation_traffic_stats"] = "conversation-traffic-stats"
                            self._children_yang_names.add("conversation-traffic-stats")

                            self.media = None
                            self._children_name_map["media"] = "media"
                            self._children_yang_names.add("media")

                            self.url = None
                            self._children_name_map["url"] = "url"
                            self._children_yang_names.add("url")

                            self.application_client_server_stats = None
                            self._children_name_map["application_client_server_stats"] = "application-client-server-stats"
                            self._children_yang_names.add("application-client-server-stats")

                            self.application_stats = None
                            self._children_name_map["application_stats"] = "application-stats"
                            self._children_yang_names.add("application-stats")
                            self._segment_path = lambda: "traffic-monitor"


                        class All(Entity):
                            """
                            All traffic monitors in this profile
                            
                            .. attribute:: ipv4
                            
                            	Activate monitor for ipv4 traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipv6
                            
                            	Activate monitor for ipv6 traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Performance.Monitor.Context.Default.TrafficMonitor.All, self).__init__()

                                self.yang_name = "all"
                                self.yang_parent_name = "traffic-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ipv4 = YLeaf(YType.empty, "ipv4")

                                self.ipv6 = YLeaf(YType.empty, "ipv6")
                                self._segment_path = lambda: "all"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Performance.Monitor.Context.Default.TrafficMonitor.All, ['ipv4', 'ipv6'], name, value)


                        class ApplicationResponseTime(Entity):
                            """
                            Application response time (ART) metrics and counters for TCP traffic
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\: int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\: str
                            
                            .. attribute:: interval_timeout
                            
                            	The exporting interval timeout
                            	**type**\: int
                            
                            	**range:** 1..604800
                            
                            .. attribute:: cache_type
                            
                            	The type of the Flow Cache
                            	**type**\:  :py:class:`CacheType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime.CacheType>`
                            
                            .. attribute:: class_and
                            
                            	Narrow down default traffic classification
                            	**type**\: str
                            
                            .. attribute:: ipv4
                            
                            	Activate monitor for ipv4 traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipv6
                            
                            	Activate monitor for ipv6 traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime, self).__init__()

                                self.yang_name = "application-response-time"
                                self.yang_parent_name = "traffic-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.cache_size = YLeaf(YType.uint32, "cache-size")

                                self.class_replace = YLeaf(YType.str, "class-replace")

                                self.interval_timeout = YLeaf(YType.uint32, "interval-timeout")

                                self.cache_type = YLeaf(YType.enumeration, "cache-type")

                                self.class_and = YLeaf(YType.str, "class-and")

                                self.ipv4 = YLeaf(YType.empty, "ipv4")

                                self.ipv6 = YLeaf(YType.empty, "ipv6")
                                self._segment_path = lambda: "application-response-time"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationResponseTime, ['cache_size', 'class_replace', 'interval_timeout', 'cache_type', 'class_and', 'ipv4', 'ipv6'], name, value)

                            class CacheType(Enum):
                                """
                                CacheType

                                The type of the Flow Cache

                                .. data:: normal = 0

                                .. data:: synchronized = 1

                                """

                                normal = Enum.YLeaf(0, "normal")

                                synchronized = Enum.YLeaf(1, "synchronized")



                        class ApplicationTrafficStats(Entity):
                            """
                            Application level counters for dns and dht protocol
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\: int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\: str
                            
                            .. attribute:: interval_timeout
                            
                            	The exporting interval timeout
                            	**type**\: int
                            
                            	**range:** 1..604800
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationTrafficStats, self).__init__()

                                self.yang_name = "application-traffic-stats"
                                self.yang_parent_name = "traffic-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.cache_size = YLeaf(YType.uint32, "cache-size")

                                self.class_replace = YLeaf(YType.str, "class-replace")

                                self.interval_timeout = YLeaf(YType.uint32, "interval-timeout")
                                self._segment_path = lambda: "application-traffic-stats"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationTrafficStats, ['cache_size', 'class_replace', 'interval_timeout'], name, value)


                        class ConversationTrafficStats(Entity):
                            """
                            Conversation level counters for IP traffic
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\: int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\: str
                            
                            .. attribute:: interval_timeout
                            
                            	The exporting interval timeout
                            	**type**\: int
                            
                            	**range:** 1..604800
                            
                            .. attribute:: cache_type
                            
                            	The type of the Flow Cache
                            	**type**\:  :py:class:`CacheType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats.CacheType>`
                            
                            .. attribute:: ipv4
                            
                            	Activate monitor for ipv4 traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipv6
                            
                            	Activate monitor for ipv6 traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats, self).__init__()

                                self.yang_name = "conversation-traffic-stats"
                                self.yang_parent_name = "traffic-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.cache_size = YLeaf(YType.uint32, "cache-size")

                                self.class_replace = YLeaf(YType.str, "class-replace")

                                self.interval_timeout = YLeaf(YType.uint32, "interval-timeout")

                                self.cache_type = YLeaf(YType.enumeration, "cache-type")

                                self.ipv4 = YLeaf(YType.empty, "ipv4")

                                self.ipv6 = YLeaf(YType.empty, "ipv6")
                                self._segment_path = lambda: "conversation-traffic-stats"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Performance.Monitor.Context.Default.TrafficMonitor.ConversationTrafficStats, ['cache_size', 'class_replace', 'interval_timeout', 'cache_type', 'ipv4', 'ipv6'], name, value)

                            class CacheType(Enum):
                                """
                                CacheType

                                The type of the Flow Cache

                                .. data:: normal = 0

                                .. data:: synchronized = 1

                                """

                                normal = Enum.YLeaf(0, "normal")

                                synchronized = Enum.YLeaf(1, "synchronized")



                        class Media(Entity):
                            """
                            Media metrics and counters for rtp and telepresence\-media traffic
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\: int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\: str
                            
                            .. attribute:: interval_timeout
                            
                            	The exporting interval timeout
                            	**type**\: int
                            
                            	**range:** 1..604800
                            
                            .. attribute:: class_and
                            
                            	Narrow down default traffic classification
                            	**type**\: str
                            
                            .. attribute:: egress
                            
                            	Activate monitor on egress direction
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ingress
                            
                            	Activate monitor on ingress direction
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipv4
                            
                            	Activate monitor for ipv4 traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipv6
                            
                            	Activate monitor for ipv6 traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Performance.Monitor.Context.Default.TrafficMonitor.Media, self).__init__()

                                self.yang_name = "media"
                                self.yang_parent_name = "traffic-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.cache_size = YLeaf(YType.uint32, "cache-size")

                                self.class_replace = YLeaf(YType.str, "class-replace")

                                self.interval_timeout = YLeaf(YType.uint32, "interval-timeout")

                                self.class_and = YLeaf(YType.str, "class-and")

                                self.egress = YLeaf(YType.empty, "egress")

                                self.ingress = YLeaf(YType.empty, "ingress")

                                self.ipv4 = YLeaf(YType.empty, "ipv4")

                                self.ipv6 = YLeaf(YType.empty, "ipv6")
                                self._segment_path = lambda: "media"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Performance.Monitor.Context.Default.TrafficMonitor.Media, ['cache_size', 'class_replace', 'interval_timeout', 'class_and', 'egress', 'ingress', 'ipv4', 'ipv6'], name, value)


                        class Url(Entity):
                            """
                            URL information, application response time (ART) metrics and counters
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\: int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: class_and
                            
                            	Narrow down default traffic classification
                            	**type**\: str
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\: str
                            
                            .. attribute:: ipv4
                            
                            	Activate monitor for ipv4 traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipv6
                            
                            	Activate monitor for ipv6 traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: sampling_rate
                            
                            	Sampling rate of flow sampler
                            	**type**\: int
                            
                            	**range:** 1..32768
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Performance.Monitor.Context.Default.TrafficMonitor.Url, self).__init__()

                                self.yang_name = "url"
                                self.yang_parent_name = "traffic-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.cache_size = YLeaf(YType.uint32, "cache-size")

                                self.class_and = YLeaf(YType.str, "class-and")

                                self.class_replace = YLeaf(YType.str, "class-replace")

                                self.ipv4 = YLeaf(YType.empty, "ipv4")

                                self.ipv6 = YLeaf(YType.empty, "ipv6")

                                self.sampling_rate = YLeaf(YType.uint32, "sampling-rate")
                                self._segment_path = lambda: "url"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Performance.Monitor.Context.Default.TrafficMonitor.Url, ['cache_size', 'class_and', 'class_replace', 'ipv4', 'ipv6', 'sampling_rate'], name, value)


                        class ApplicationClientServerStats(Entity):
                            """
                            Per interface, client, server and application statistics
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\: int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\: str
                            
                            .. attribute:: interval_timeout
                            
                            	The exporting interval timeout
                            	**type**\: int
                            
                            	**range:** 1..604800
                            
                            .. attribute:: cache_type
                            
                            	The type of the Flow Cache
                            	**type**\:  :py:class:`CacheType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats.CacheType>`
                            
                            .. attribute:: ipv4
                            
                            	Activate monitor for ipv4 traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: ipv6
                            
                            	Activate monitor for ipv6 traffic
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats, self).__init__()

                                self.yang_name = "application-client-server-stats"
                                self.yang_parent_name = "traffic-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.cache_size = YLeaf(YType.uint32, "cache-size")

                                self.class_replace = YLeaf(YType.str, "class-replace")

                                self.interval_timeout = YLeaf(YType.uint32, "interval-timeout")

                                self.cache_type = YLeaf(YType.enumeration, "cache-type")

                                self.ipv4 = YLeaf(YType.empty, "ipv4")

                                self.ipv6 = YLeaf(YType.empty, "ipv6")
                                self._segment_path = lambda: "application-client-server-stats"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationClientServerStats, ['cache_size', 'class_replace', 'interval_timeout', 'cache_type', 'ipv4', 'ipv6'], name, value)

                            class CacheType(Enum):
                                """
                                CacheType

                                The type of the Flow Cache

                                .. data:: normal = 0

                                .. data:: synchronized = 1

                                """

                                normal = Enum.YLeaf(0, "normal")

                                synchronized = Enum.YLeaf(1, "synchronized")



                        class ApplicationStats(Entity):
                            """
                            Per application and interface statistics
                            
                            .. attribute:: cache_size
                            
                            	Maximum flow entries in the Flow Cache
                            	**type**\: int
                            
                            	**range:** 64..2000000
                            
                            .. attribute:: class_replace
                            
                            	Replace traffic classification
                            	**type**\: str
                            
                            .. attribute:: interval_timeout
                            
                            	The exporting interval timeout
                            	**type**\: int
                            
                            	**range:** 1..604800
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-ezpm'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationStats, self).__init__()

                                self.yang_name = "application-stats"
                                self.yang_parent_name = "traffic-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.cache_size = YLeaf(YType.uint32, "cache-size")

                                self.class_replace = YLeaf(YType.str, "class-replace")

                                self.interval_timeout = YLeaf(YType.uint32, "interval-timeout")
                                self._segment_path = lambda: "application-stats"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Performance.Monitor.Context.Default.TrafficMonitor.ApplicationStats, ['cache_size', 'class_replace', 'interval_timeout'], name, value)


                class Exporter(Entity):
                    """
                    Create exporter
                    
                    .. attribute:: destination
                    
                    	Export destination configuration
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: source
                    
                    	Originating interface
                    	**type**\: str
                    
                    .. attribute:: port
                    
                    	port
                    	**type**\: int
                    
                    	**range:** 0..65535
                    
                    .. attribute:: transport
                    
                    	transport
                    	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.Exporter.Transport>`
                    
                    .. attribute:: vrf
                    
                    	vrf
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Performance.Monitor.Context.Exporter, self).__init__()

                        self.yang_name = "exporter"
                        self.yang_parent_name = "context"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.destination = YLeaf(YType.str, "destination")

                        self.source = YLeaf(YType.str, "source")

                        self.port = YLeaf(YType.uint16, "port")

                        self.transport = YLeaf(YType.enumeration, "transport")

                        self.vrf = YLeaf(YType.str, "vrf")
                        self._segment_path = lambda: "exporter"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Performance.Monitor.Context.Exporter, ['destination', 'source', 'port', 'transport', 'vrf'], name, value)

                    class Transport(Enum):
                        """
                        Transport

                        transport

                        .. data:: udp = 0

                        """

                        udp = Enum.YLeaf(0, "udp")



                class TrafficMonitor(Entity):
                    """
                    Select traffic monitor
                    
                    .. attribute:: all
                    
                    	All traffic monitors in this profile
                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.All>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: application_response_time
                    
                    	Application response time (ART) metrics and counters for TCP traffic
                    	**type**\:  :py:class:`ApplicationResponseTime <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: application_traffic_stats
                    
                    	Application level counters for dns and dht protocol
                    	**type**\:  :py:class:`ApplicationTrafficStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ApplicationTrafficStats>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: conversation_traffic_stats
                    
                    	Conversation level counters for IP traffic
                    	**type**\:  :py:class:`ConversationTrafficStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: media
                    
                    	Media metrics and counters for rtp and telepresence\-media traffic
                    	**type**\:  :py:class:`Media <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.Media>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: url
                    
                    	URL information, application response time (ART) metrics and counters
                    	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.Url>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: application_client_server_stats
                    
                    	Per interface, client, server and application statistics
                    	**type**\:  :py:class:`ApplicationClientServerStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: application_stats
                    
                    	Per application and interface statistics
                    	**type**\:  :py:class:`ApplicationStats <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ApplicationStats>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-ezpm'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Performance.Monitor.Context.TrafficMonitor, self).__init__()

                        self.yang_name = "traffic-monitor"
                        self.yang_parent_name = "context"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"all" : ("all", Native.Performance.Monitor.Context.TrafficMonitor.All), "application-response-time" : ("application_response_time", Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime), "application-traffic-stats" : ("application_traffic_stats", Native.Performance.Monitor.Context.TrafficMonitor.ApplicationTrafficStats), "conversation-traffic-stats" : ("conversation_traffic_stats", Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats), "media" : ("media", Native.Performance.Monitor.Context.TrafficMonitor.Media), "url" : ("url", Native.Performance.Monitor.Context.TrafficMonitor.Url), "application-client-server-stats" : ("application_client_server_stats", Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats), "application-stats" : ("application_stats", Native.Performance.Monitor.Context.TrafficMonitor.ApplicationStats)}
                        self._child_list_classes = {}

                        self.all = None
                        self._children_name_map["all"] = "all"
                        self._children_yang_names.add("all")

                        self.application_response_time = None
                        self._children_name_map["application_response_time"] = "application-response-time"
                        self._children_yang_names.add("application-response-time")

                        self.application_traffic_stats = None
                        self._children_name_map["application_traffic_stats"] = "application-traffic-stats"
                        self._children_yang_names.add("application-traffic-stats")

                        self.conversation_traffic_stats = None
                        self._children_name_map["conversation_traffic_stats"] = "conversation-traffic-stats"
                        self._children_yang_names.add("conversation-traffic-stats")

                        self.media = None
                        self._children_name_map["media"] = "media"
                        self._children_yang_names.add("media")

                        self.url = None
                        self._children_name_map["url"] = "url"
                        self._children_yang_names.add("url")

                        self.application_client_server_stats = None
                        self._children_name_map["application_client_server_stats"] = "application-client-server-stats"
                        self._children_yang_names.add("application-client-server-stats")

                        self.application_stats = None
                        self._children_name_map["application_stats"] = "application-stats"
                        self._children_yang_names.add("application-stats")
                        self._segment_path = lambda: "traffic-monitor"


                    class All(Entity):
                        """
                        All traffic monitors in this profile
                        
                        .. attribute:: ipv4
                        
                        	Activate monitor for ipv4 traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Activate monitor for ipv6 traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Performance.Monitor.Context.TrafficMonitor.All, self).__init__()

                            self.yang_name = "all"
                            self.yang_parent_name = "traffic-monitor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ipv4 = YLeaf(YType.empty, "ipv4")

                            self.ipv6 = YLeaf(YType.empty, "ipv6")
                            self._segment_path = lambda: "all"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Performance.Monitor.Context.TrafficMonitor.All, ['ipv4', 'ipv6'], name, value)


                    class ApplicationResponseTime(Entity):
                        """
                        Application response time (ART) metrics and counters for TCP traffic
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\: int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\: str
                        
                        .. attribute:: interval_timeout
                        
                        	The exporting interval timeout
                        	**type**\: int
                        
                        	**range:** 1..604800
                        
                        .. attribute:: cache_type
                        
                        	The type of the Flow Cache
                        	**type**\:  :py:class:`CacheType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime.CacheType>`
                        
                        .. attribute:: class_and
                        
                        	Narrow down default traffic classification
                        	**type**\: str
                        
                        .. attribute:: ipv4
                        
                        	Activate monitor for ipv4 traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Activate monitor for ipv6 traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime, self).__init__()

                            self.yang_name = "application-response-time"
                            self.yang_parent_name = "traffic-monitor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cache_size = YLeaf(YType.uint32, "cache-size")

                            self.class_replace = YLeaf(YType.str, "class-replace")

                            self.interval_timeout = YLeaf(YType.uint32, "interval-timeout")

                            self.cache_type = YLeaf(YType.enumeration, "cache-type")

                            self.class_and = YLeaf(YType.str, "class-and")

                            self.ipv4 = YLeaf(YType.empty, "ipv4")

                            self.ipv6 = YLeaf(YType.empty, "ipv6")
                            self._segment_path = lambda: "application-response-time"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Performance.Monitor.Context.TrafficMonitor.ApplicationResponseTime, ['cache_size', 'class_replace', 'interval_timeout', 'cache_type', 'class_and', 'ipv4', 'ipv6'], name, value)

                        class CacheType(Enum):
                            """
                            CacheType

                            The type of the Flow Cache

                            .. data:: normal = 0

                            .. data:: synchronized = 1

                            """

                            normal = Enum.YLeaf(0, "normal")

                            synchronized = Enum.YLeaf(1, "synchronized")



                    class ApplicationTrafficStats(Entity):
                        """
                        Application level counters for dns and dht protocol
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\: int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\: str
                        
                        .. attribute:: interval_timeout
                        
                        	The exporting interval timeout
                        	**type**\: int
                        
                        	**range:** 1..604800
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Performance.Monitor.Context.TrafficMonitor.ApplicationTrafficStats, self).__init__()

                            self.yang_name = "application-traffic-stats"
                            self.yang_parent_name = "traffic-monitor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cache_size = YLeaf(YType.uint32, "cache-size")

                            self.class_replace = YLeaf(YType.str, "class-replace")

                            self.interval_timeout = YLeaf(YType.uint32, "interval-timeout")
                            self._segment_path = lambda: "application-traffic-stats"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Performance.Monitor.Context.TrafficMonitor.ApplicationTrafficStats, ['cache_size', 'class_replace', 'interval_timeout'], name, value)


                    class ConversationTrafficStats(Entity):
                        """
                        Conversation level counters for IP traffic
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\: int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\: str
                        
                        .. attribute:: interval_timeout
                        
                        	The exporting interval timeout
                        	**type**\: int
                        
                        	**range:** 1..604800
                        
                        .. attribute:: cache_type
                        
                        	The type of the Flow Cache
                        	**type**\:  :py:class:`CacheType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats.CacheType>`
                        
                        .. attribute:: ipv4
                        
                        	Activate monitor for ipv4 traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Activate monitor for ipv6 traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats, self).__init__()

                            self.yang_name = "conversation-traffic-stats"
                            self.yang_parent_name = "traffic-monitor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cache_size = YLeaf(YType.uint32, "cache-size")

                            self.class_replace = YLeaf(YType.str, "class-replace")

                            self.interval_timeout = YLeaf(YType.uint32, "interval-timeout")

                            self.cache_type = YLeaf(YType.enumeration, "cache-type")

                            self.ipv4 = YLeaf(YType.empty, "ipv4")

                            self.ipv6 = YLeaf(YType.empty, "ipv6")
                            self._segment_path = lambda: "conversation-traffic-stats"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Performance.Monitor.Context.TrafficMonitor.ConversationTrafficStats, ['cache_size', 'class_replace', 'interval_timeout', 'cache_type', 'ipv4', 'ipv6'], name, value)

                        class CacheType(Enum):
                            """
                            CacheType

                            The type of the Flow Cache

                            .. data:: normal = 0

                            .. data:: synchronized = 1

                            """

                            normal = Enum.YLeaf(0, "normal")

                            synchronized = Enum.YLeaf(1, "synchronized")



                    class Media(Entity):
                        """
                        Media metrics and counters for rtp and telepresence\-media traffic
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\: int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\: str
                        
                        .. attribute:: interval_timeout
                        
                        	The exporting interval timeout
                        	**type**\: int
                        
                        	**range:** 1..604800
                        
                        .. attribute:: class_and
                        
                        	Narrow down default traffic classification
                        	**type**\: str
                        
                        .. attribute:: egress
                        
                        	Activate monitor on egress direction
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ingress
                        
                        	Activate monitor on ingress direction
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv4
                        
                        	Activate monitor for ipv4 traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Activate monitor for ipv6 traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Performance.Monitor.Context.TrafficMonitor.Media, self).__init__()

                            self.yang_name = "media"
                            self.yang_parent_name = "traffic-monitor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cache_size = YLeaf(YType.uint32, "cache-size")

                            self.class_replace = YLeaf(YType.str, "class-replace")

                            self.interval_timeout = YLeaf(YType.uint32, "interval-timeout")

                            self.class_and = YLeaf(YType.str, "class-and")

                            self.egress = YLeaf(YType.empty, "egress")

                            self.ingress = YLeaf(YType.empty, "ingress")

                            self.ipv4 = YLeaf(YType.empty, "ipv4")

                            self.ipv6 = YLeaf(YType.empty, "ipv6")
                            self._segment_path = lambda: "media"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Performance.Monitor.Context.TrafficMonitor.Media, ['cache_size', 'class_replace', 'interval_timeout', 'class_and', 'egress', 'ingress', 'ipv4', 'ipv6'], name, value)


                    class Url(Entity):
                        """
                        URL information, application response time (ART) metrics and counters
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\: int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: class_and
                        
                        	Narrow down default traffic classification
                        	**type**\: str
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\: str
                        
                        .. attribute:: ipv4
                        
                        	Activate monitor for ipv4 traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Activate monitor for ipv6 traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sampling_rate
                        
                        	Sampling rate of flow sampler
                        	**type**\: int
                        
                        	**range:** 1..32768
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Performance.Monitor.Context.TrafficMonitor.Url, self).__init__()

                            self.yang_name = "url"
                            self.yang_parent_name = "traffic-monitor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cache_size = YLeaf(YType.uint32, "cache-size")

                            self.class_and = YLeaf(YType.str, "class-and")

                            self.class_replace = YLeaf(YType.str, "class-replace")

                            self.ipv4 = YLeaf(YType.empty, "ipv4")

                            self.ipv6 = YLeaf(YType.empty, "ipv6")

                            self.sampling_rate = YLeaf(YType.uint32, "sampling-rate")
                            self._segment_path = lambda: "url"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Performance.Monitor.Context.TrafficMonitor.Url, ['cache_size', 'class_and', 'class_replace', 'ipv4', 'ipv6', 'sampling_rate'], name, value)


                    class ApplicationClientServerStats(Entity):
                        """
                        Per interface, client, server and application statistics
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\: int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\: str
                        
                        .. attribute:: interval_timeout
                        
                        	The exporting interval timeout
                        	**type**\: int
                        
                        	**range:** 1..604800
                        
                        .. attribute:: cache_type
                        
                        	The type of the Flow Cache
                        	**type**\:  :py:class:`CacheType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats.CacheType>`
                        
                        .. attribute:: ipv4
                        
                        	Activate monitor for ipv4 traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Activate monitor for ipv6 traffic
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats, self).__init__()

                            self.yang_name = "application-client-server-stats"
                            self.yang_parent_name = "traffic-monitor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cache_size = YLeaf(YType.uint32, "cache-size")

                            self.class_replace = YLeaf(YType.str, "class-replace")

                            self.interval_timeout = YLeaf(YType.uint32, "interval-timeout")

                            self.cache_type = YLeaf(YType.enumeration, "cache-type")

                            self.ipv4 = YLeaf(YType.empty, "ipv4")

                            self.ipv6 = YLeaf(YType.empty, "ipv6")
                            self._segment_path = lambda: "application-client-server-stats"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Performance.Monitor.Context.TrafficMonitor.ApplicationClientServerStats, ['cache_size', 'class_replace', 'interval_timeout', 'cache_type', 'ipv4', 'ipv6'], name, value)

                        class CacheType(Enum):
                            """
                            CacheType

                            The type of the Flow Cache

                            .. data:: normal = 0

                            .. data:: synchronized = 1

                            """

                            normal = Enum.YLeaf(0, "normal")

                            synchronized = Enum.YLeaf(1, "synchronized")



                    class ApplicationStats(Entity):
                        """
                        Per application and interface statistics
                        
                        .. attribute:: cache_size
                        
                        	Maximum flow entries in the Flow Cache
                        	**type**\: int
                        
                        	**range:** 64..2000000
                        
                        .. attribute:: class_replace
                        
                        	Replace traffic classification
                        	**type**\: str
                        
                        .. attribute:: interval_timeout
                        
                        	The exporting interval timeout
                        	**type**\: int
                        
                        	**range:** 1..604800
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-ezpm'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Performance.Monitor.Context.TrafficMonitor.ApplicationStats, self).__init__()

                            self.yang_name = "application-stats"
                            self.yang_parent_name = "traffic-monitor"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.cache_size = YLeaf(YType.uint32, "cache-size")

                            self.class_replace = YLeaf(YType.str, "class-replace")

                            self.interval_timeout = YLeaf(YType.uint32, "interval-timeout")
                            self._segment_path = lambda: "application-stats"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Performance.Monitor.Context.TrafficMonitor.ApplicationStats, ['cache_size', 'class_replace', 'interval_timeout'], name, value)


            class ObservationPoint(Entity):
                """
                Select observation point
                
                .. attribute:: encrypted_text
                
                	Select clear text for observation
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ezpm'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Performance.Monitor.ObservationPoint, self).__init__()

                    self.yang_name = "observation-point"
                    self.yang_parent_name = "monitor"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.encrypted_text = YLeaf(YType.empty, "encrypted-text")
                    self._segment_path = lambda: "observation-point"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/performance/Cisco-IOS-XE-ezpm:monitor/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Performance.Monitor.ObservationPoint, ['encrypted_text'], name, value)


    class Otv(Entity):
        """
        Configure OTV information
        
        .. attribute:: fragmentation
        
        	Clear the DF (Don't Fragment) bit in the IP header
        	**type**\:  :py:class:`Fragmentation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Fragmentation>`
        
        .. attribute:: isis
        
        	OTV ISIS instance subcommands
        	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis>`
        
        .. attribute:: site
        
        	OTV site network configuration
        	**type**\: list of  		 :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site>`
        
        .. attribute:: site_identifier
        
        	OTV site id
        	**type**\: union of the below types:
        
        		**type**\: int
        
        			**range:** 0..4294967295
        
        		**type**\: str
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Otv, self).__init__()

            self.yang_name = "otv"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-otv:fragmentation" : ("fragmentation", Native.Otv.Fragmentation), "Cisco-IOS-XE-otv:isis" : ("isis", Native.Otv.Isis)}
            self._child_list_classes = {"Cisco-IOS-XE-otv:site" : ("site", Native.Otv.Site)}

            self.site_identifier = YLeaf(YType.str, "Cisco-IOS-XE-otv:site-identifier")

            self.fragmentation = Native.Otv.Fragmentation()
            self.fragmentation.parent = self
            self._children_name_map["fragmentation"] = "fragmentation"
            self._children_yang_names.add("fragmentation")

            self.isis = Native.Otv.Isis()
            self.isis.parent = self
            self._children_name_map["isis"] = "isis"
            self._children_yang_names.add("isis")

            self.site = YList(self)
            self._segment_path = lambda: "otv"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Otv, ['site_identifier'], name, value)


        class Fragmentation(Entity):
            """
            Clear the DF (Don't Fragment) bit in the IP header
            
            .. attribute:: join_interface
            
            	Allow fragmentation for overlays using this join\-interface
            	**type**\:  :py:class:`JoinInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Fragmentation.JoinInterface>`
            
            

            """

            _prefix = 'ios-otv'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Otv.Fragmentation, self).__init__()

                self.yang_name = "fragmentation"
                self.yang_parent_name = "otv"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"join-interface" : ("join_interface", Native.Otv.Fragmentation.JoinInterface)}
                self._child_list_classes = {}

                self.join_interface = Native.Otv.Fragmentation.JoinInterface()
                self.join_interface.parent = self
                self._children_name_map["join_interface"] = "join-interface"
                self._children_yang_names.add("join-interface")
                self._segment_path = lambda: "Cisco-IOS-XE-otv:fragmentation"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/%s" % self._segment_path()


            class JoinInterface(Entity):
                """
                Allow fragmentation for overlays using this join\-interface
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Fragmentation.JoinInterface.ATMSubinterface>`
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\: str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Fragmentation.JoinInterface.ATMACRsubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\: str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\: str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\: str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\: str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\: str
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Fragmentation.JoinInterface.LISPSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Fragmentation.JoinInterface.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\: str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\: str
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\: str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\: str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Otv.Fragmentation.JoinInterface, self).__init__()

                    self.yang_name = "join-interface"
                    self.yang_parent_name = "fragmentation"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Otv.Fragmentation.JoinInterface.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Otv.Fragmentation.JoinInterface.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Otv.Fragmentation.JoinInterface.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Otv.Fragmentation.JoinInterface.PortChannelSubinterface)}
                    self._child_list_classes = {}

                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                    self.atm = YLeaf(YType.str, "ATM")

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                    self.bdi = YLeaf(YType.str, "BDI")

                    self.cem = YLeaf(YType.str, "CEM")

                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                    self.lisp = YLeaf(YType.str, "LISP")

                    self.loopback = YLeaf(YType.uint32, "Loopback")

                    self.multilink = YLeaf(YType.uint16, "Multilink")

                    self.nve = YLeaf(YType.uint16, "nve")

                    self.overlay = YLeaf(YType.uint16, "overlay")

                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                    self.sm = YLeaf(YType.str, "SM")

                    self.cellular = YLeaf(YType.str, "Cellular")

                    self.serial = YLeaf(YType.str, "Serial")

                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                    self.vlan = YLeaf(YType.uint16, "Vlan")

                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                    self.atm_subinterface = Native.Otv.Fragmentation.JoinInterface.ATMSubinterface()
                    self.atm_subinterface.parent = self
                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                    self._children_yang_names.add("ATM-subinterface")

                    self.atm_acrsubinterface = Native.Otv.Fragmentation.JoinInterface.ATMACRsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                    self._children_yang_names.add("ATM-ACRsubinterface")

                    self.lisp_subinterface = Native.Otv.Fragmentation.JoinInterface.LISPSubinterface()
                    self.lisp_subinterface.parent = self
                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                    self._children_yang_names.add("LISP-subinterface")

                    self.port_channel_subinterface = Native.Otv.Fragmentation.JoinInterface.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                    self._children_yang_names.add("Port-channel-subinterface")
                    self._segment_path = lambda: "join-interface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/Cisco-IOS-XE-otv:fragmentation/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Otv.Fragmentation.JoinInterface, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                class ATMSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Fragmentation.JoinInterface.ATMSubinterface, self).__init__()

                        self.yang_name = "ATM-subinterface"
                        self.yang_parent_name = "join-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm = YLeaf(YType.str, "ATM")
                        self._segment_path = lambda: "ATM-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/Cisco-IOS-XE-otv:fragmentation/join-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Fragmentation.JoinInterface.ATMSubinterface, ['atm'], name, value)


                class ATMACRsubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Fragmentation.JoinInterface.ATMACRsubinterface, self).__init__()

                        self.yang_name = "ATM-ACRsubinterface"
                        self.yang_parent_name = "join-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                        self._segment_path = lambda: "ATM-ACRsubinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/Cisco-IOS-XE-otv:fragmentation/join-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Fragmentation.JoinInterface.ATMACRsubinterface, ['atm_acr'], name, value)


                class LISPSubinterface(Entity):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Fragmentation.JoinInterface.LISPSubinterface, self).__init__()

                        self.yang_name = "LISP-subinterface"
                        self.yang_parent_name = "join-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.lisp = YLeaf(YType.str, "LISP")
                        self._segment_path = lambda: "LISP-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/Cisco-IOS-XE-otv:fragmentation/join-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Fragmentation.JoinInterface.LISPSubinterface, ['lisp'], name, value)


                class PortChannelSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Fragmentation.JoinInterface.PortChannelSubinterface, self).__init__()

                        self.yang_name = "Port-channel-subinterface"
                        self.yang_parent_name = "join-interface"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_channel = YLeaf(YType.str, "Port-channel")
                        self._segment_path = lambda: "Port-channel-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/Cisco-IOS-XE-otv:fragmentation/join-interface/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Fragmentation.JoinInterface.PortChannelSubinterface, ['port_channel'], name, value)


        class Isis(Entity):
            """
            OTV ISIS instance subcommands
            
            .. attribute:: overlay
            
            	Overlay interface
            	**type**\: list of  		 :py:class:`Overlay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay>`
            
            .. attribute:: site
            
            	Site Instance
            	**type**\:  :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Site>`
            
            

            """

            _prefix = 'ios-otv'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Otv.Isis, self).__init__()

                self.yang_name = "isis"
                self.yang_parent_name = "otv"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"site" : ("site", Native.Otv.Isis.Site)}
                self._child_list_classes = {"Overlay" : ("overlay", Native.Otv.Isis.Overlay)}

                self.site = Native.Otv.Isis.Site()
                self.site.parent = self
                self._children_name_map["site"] = "site"
                self._children_yang_names.add("site")

                self.overlay = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-otv:isis"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Otv.Isis, [], name, value)


            class Overlay(Entity):
                """
                Overlay interface
                
                .. attribute:: number  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..512
                
                .. attribute:: authentication
                
                	ISIS authentication for interface related PDUs
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Authentication>`
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Default>`
                
                .. attribute:: delayed_deletion_interval
                
                	Set delayed deletion interval
                	**type**\: int
                
                	**range:** 1..86400
                
                .. attribute:: hostname
                
                	Dynamic hostname for IS\-IS
                	**type**\:  :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Hostname>`
                
                .. attribute:: log_adjacency_changes
                
                	Log changes in adjacency state
                	**type**\:  :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.LogAdjacencyChanges>`
                
                	**presence node**\: True
                
                .. attribute:: lsp_gen_interval
                
                	Minimum interval between regenerating same LSP
                	**type**\:  :py:class:`LspGenInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.LspGenInterval>`
                
                .. attribute:: lsp_mtu
                
                	Set maximum LSP size
                	**type**\: int
                
                	**range:** 128..4352
                
                .. attribute:: lsp_refresh_interval
                
                	Set LSP refresh interval
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: max_lsp_lifetime
                
                	Set maximum LSP lifetime
                	**type**\: int
                
                	**range:** 1..65535
                
                .. attribute:: nsf
                
                	Non\-stop forwarding
                	**type**\:  :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Nsf>`
                
                .. attribute:: prc_interval
                
                	Minimum interval between partial route calculations
                	**type**\:  :py:class:`PrcInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.PrcInterval>`
                
                .. attribute:: skeptical
                
                	Be a cautious NSF helper when refresh adjacency
                	**type**\:  :py:class:`Skeptical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Skeptical>`
                
                .. attribute:: spf_interval
                
                	Minimum interval between SPF calculations
                	**type**\:  :py:class:`SpfInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.SpfInterval>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Otv.Isis.Overlay, self).__init__()

                    self.yang_name = "Overlay"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"authentication" : ("authentication", Native.Otv.Isis.Overlay.Authentication), "default" : ("default", Native.Otv.Isis.Overlay.Default), "hostname" : ("hostname", Native.Otv.Isis.Overlay.Hostname), "log-adjacency-changes" : ("log_adjacency_changes", Native.Otv.Isis.Overlay.LogAdjacencyChanges), "lsp-gen-interval" : ("lsp_gen_interval", Native.Otv.Isis.Overlay.LspGenInterval), "nsf" : ("nsf", Native.Otv.Isis.Overlay.Nsf), "prc-interval" : ("prc_interval", Native.Otv.Isis.Overlay.PrcInterval), "skeptical" : ("skeptical", Native.Otv.Isis.Overlay.Skeptical), "spf-interval" : ("spf_interval", Native.Otv.Isis.Overlay.SpfInterval)}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint16, "number")

                    self.delayed_deletion_interval = YLeaf(YType.uint32, "delayed-deletion-interval")

                    self.lsp_mtu = YLeaf(YType.uint32, "lsp-mtu")

                    self.lsp_refresh_interval = YLeaf(YType.uint32, "lsp-refresh-interval")

                    self.max_lsp_lifetime = YLeaf(YType.uint32, "max-lsp-lifetime")

                    self.authentication = Native.Otv.Isis.Overlay.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.default = Native.Otv.Isis.Overlay.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.hostname = Native.Otv.Isis.Overlay.Hostname()
                    self.hostname.parent = self
                    self._children_name_map["hostname"] = "hostname"
                    self._children_yang_names.add("hostname")

                    self.log_adjacency_changes = None
                    self._children_name_map["log_adjacency_changes"] = "log-adjacency-changes"
                    self._children_yang_names.add("log-adjacency-changes")

                    self.lsp_gen_interval = Native.Otv.Isis.Overlay.LspGenInterval()
                    self.lsp_gen_interval.parent = self
                    self._children_name_map["lsp_gen_interval"] = "lsp-gen-interval"
                    self._children_yang_names.add("lsp-gen-interval")

                    self.nsf = Native.Otv.Isis.Overlay.Nsf()
                    self.nsf.parent = self
                    self._children_name_map["nsf"] = "nsf"
                    self._children_yang_names.add("nsf")

                    self.prc_interval = Native.Otv.Isis.Overlay.PrcInterval()
                    self.prc_interval.parent = self
                    self._children_name_map["prc_interval"] = "prc-interval"
                    self._children_yang_names.add("prc-interval")

                    self.skeptical = Native.Otv.Isis.Overlay.Skeptical()
                    self.skeptical.parent = self
                    self._children_name_map["skeptical"] = "skeptical"
                    self._children_yang_names.add("skeptical")

                    self.spf_interval = Native.Otv.Isis.Overlay.SpfInterval()
                    self.spf_interval.parent = self
                    self._children_name_map["spf_interval"] = "spf-interval"
                    self._children_yang_names.add("spf-interval")
                    self._segment_path = lambda: "Overlay" + "[number='" + self.number.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/Cisco-IOS-XE-otv:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Otv.Isis.Overlay, ['number', 'delayed_deletion_interval', 'lsp_mtu', 'lsp_refresh_interval', 'max_lsp_lifetime'], name, value)


                class Authentication(Entity):
                    """
                    ISIS authentication for interface related PDUs
                    
                    .. attribute:: key_chain
                    
                    	Authentication key\-chain
                    	**type**\: str
                    
                    .. attribute:: mode
                    
                    	Authentication mode for PDUs
                    	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Authentication.Mode>`
                    
                    .. attribute:: send_only
                    
                    	Authentication send only, receive ignore
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Isis.Overlay.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "Overlay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.key_chain = YLeaf(YType.str, "key-chain")

                        self.mode = YLeaf(YType.enumeration, "mode")

                        self.send_only = YLeaf(YType.empty, "send-only")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Isis.Overlay.Authentication, ['key_chain', 'mode', 'send_only'], name, value)

                    class Mode(Enum):
                        """
                        Mode

                        Authentication mode for PDUs

                        .. data:: md5 = 0

                        .. data:: text = 1

                        """

                        md5 = Enum.YLeaf(0, "md5")

                        text = Enum.YLeaf(1, "text")



                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: authentication
                    
                    	ISIS authentication for interface related PDUs
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Default.Authentication>`
                    
                    .. attribute:: hostname
                    
                    	Dynamic hostname for IS\-IS
                    	**type**\:  :py:class:`Hostname <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Default.Hostname>`
                    
                    .. attribute:: delayed_deletion_interval
                    
                    	Set delayed deletion interval
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: log_adjacency_changes
                    
                    	Log changes in adjacency state
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: lsp_gen_interval
                    
                    	Minimum interval between regenerating same LSP
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: lsp_mtu
                    
                    	Set maximum LSP size
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: lsp_refresh_interval
                    
                    	Set LSP refresh interval
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: max_lsp_lifetime
                    
                    	Set maximum LSP lifetime
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: prc_interval
                    
                    	Minimum interval between partial route calculations
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: spf_interval
                    
                    	Minimum interval between SPF calculations
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nsf
                    
                    	Non\-stop forwarding
                    	**type**\:  :py:class:`Nsf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Default.Nsf>`
                    
                    .. attribute:: skeptical
                    
                    	Be a cautious NSF helper when refresh adjacency
                    	**type**\:  :py:class:`Skeptical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Default.Skeptical>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Isis.Overlay.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "Overlay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Otv.Isis.Overlay.Default.Authentication), "hostname" : ("hostname", Native.Otv.Isis.Overlay.Default.Hostname), "nsf" : ("nsf", Native.Otv.Isis.Overlay.Default.Nsf), "skeptical" : ("skeptical", Native.Otv.Isis.Overlay.Default.Skeptical)}
                        self._child_list_classes = {}

                        self.delayed_deletion_interval = YLeaf(YType.empty, "delayed-deletion-interval")

                        self.log_adjacency_changes = YLeaf(YType.empty, "log-adjacency-changes")

                        self.lsp_gen_interval = YLeaf(YType.empty, "lsp-gen-interval")

                        self.lsp_mtu = YLeaf(YType.empty, "lsp-mtu")

                        self.lsp_refresh_interval = YLeaf(YType.empty, "lsp-refresh-interval")

                        self.max_lsp_lifetime = YLeaf(YType.empty, "max-lsp-lifetime")

                        self.prc_interval = YLeaf(YType.empty, "prc-interval")

                        self.spf_interval = YLeaf(YType.empty, "spf-interval")

                        self.authentication = Native.Otv.Isis.Overlay.Default.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.hostname = Native.Otv.Isis.Overlay.Default.Hostname()
                        self.hostname.parent = self
                        self._children_name_map["hostname"] = "hostname"
                        self._children_yang_names.add("hostname")

                        self.nsf = Native.Otv.Isis.Overlay.Default.Nsf()
                        self.nsf.parent = self
                        self._children_name_map["nsf"] = "nsf"
                        self._children_yang_names.add("nsf")

                        self.skeptical = Native.Otv.Isis.Overlay.Default.Skeptical()
                        self.skeptical.parent = self
                        self._children_name_map["skeptical"] = "skeptical"
                        self._children_yang_names.add("skeptical")
                        self._segment_path = lambda: "default"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Isis.Overlay.Default, ['delayed_deletion_interval', 'log_adjacency_changes', 'lsp_gen_interval', 'lsp_mtu', 'lsp_refresh_interval', 'max_lsp_lifetime', 'prc_interval', 'spf_interval'], name, value)


                    class Authentication(Entity):
                        """
                        ISIS authentication for interface related PDUs
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode for PDUs
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Overlay.Default.Authentication.Mode>`
                        
                        .. attribute:: send_only
                        
                        	Authentication send only, receive ignore
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Otv.Isis.Overlay.Default.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = YLeaf(YType.enumeration, "mode")

                            self.send_only = YLeaf(YType.empty, "send-only")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Otv.Isis.Overlay.Default.Authentication, ['key_chain', 'mode', 'send_only'], name, value)

                        class Mode(Enum):
                            """
                            Mode

                            Authentication mode for PDUs

                            .. data:: md5 = 0

                            .. data:: text = 1

                            """

                            md5 = Enum.YLeaf(0, "md5")

                            text = Enum.YLeaf(1, "text")



                    class Hostname(Entity):
                        """
                        Dynamic hostname for IS\-IS
                        
                        .. attribute:: dynamic
                        
                        	Dynamic hostname
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Otv.Isis.Overlay.Default.Hostname, self).__init__()

                            self.yang_name = "hostname"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.dynamic = YLeaf(YType.empty, "dynamic")
                            self._segment_path = lambda: "hostname"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Otv.Isis.Overlay.Default.Hostname, ['dynamic'], name, value)


                    class Nsf(Entity):
                        """
                        Non\-stop forwarding
                        
                        .. attribute:: cisco
                        
                        	Checkpoint method
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: interval
                        
                        	Minimum required stable interval between restarts
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Otv.Isis.Overlay.Default.Nsf, self).__init__()

                            self.yang_name = "nsf"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.cisco = YLeaf(YType.empty, "cisco")

                            self.interval = YLeaf(YType.empty, "interval")
                            self._segment_path = lambda: "nsf"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Otv.Isis.Overlay.Default.Nsf, ['cisco', 'interval'], name, value)


                    class Skeptical(Entity):
                        """
                        Be a cautious NSF helper when refresh adjacency
                        
                        .. attribute:: interval
                        
                        	Interval during which holdtime will NOT be refreshed
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Otv.Isis.Overlay.Default.Skeptical, self).__init__()

                            self.yang_name = "skeptical"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.empty, "interval")
                            self._segment_path = lambda: "skeptical"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Otv.Isis.Overlay.Default.Skeptical, ['interval'], name, value)


                class Hostname(Entity):
                    """
                    Dynamic hostname for IS\-IS
                    
                    .. attribute:: dynamic
                    
                    	Dynamic hostname
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Isis.Overlay.Hostname, self).__init__()

                        self.yang_name = "hostname"
                        self.yang_parent_name = "Overlay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.dynamic = YLeaf(YType.empty, "dynamic")
                        self._segment_path = lambda: "hostname"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Isis.Overlay.Hostname, ['dynamic'], name, value)


                class LogAdjacencyChanges(Entity):
                    """
                    Log changes in adjacency state
                    
                    .. attribute:: all
                    
                    	Include changes generated by non\-IIH event
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Isis.Overlay.LogAdjacencyChanges, self).__init__()

                        self.yang_name = "log-adjacency-changes"
                        self.yang_parent_name = "Overlay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.all = YLeaf(YType.empty, "all")
                        self._segment_path = lambda: "log-adjacency-changes"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Isis.Overlay.LogAdjacencyChanges, ['all'], name, value)


                class LspGenInterval(Entity):
                    """
                    Minimum interval between regenerating same LSP
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120
                    
                    .. attribute:: milliseconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: wait
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Isis.Overlay.LspGenInterval, self).__init__()

                        self.yang_name = "lsp-gen-interval"
                        self.yang_parent_name = "Overlay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.milliseconds = YLeaf(YType.uint32, "milliseconds")

                        self.wait = YLeaf(YType.uint32, "wait")
                        self._segment_path = lambda: "lsp-gen-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Isis.Overlay.LspGenInterval, ['seconds', 'milliseconds', 'wait'], name, value)


                class Nsf(Entity):
                    """
                    Non\-stop forwarding
                    
                    .. attribute:: cisco
                    
                    	Checkpoint method
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: interval
                    
                    	Minimum required stable interval between restarts
                    	**type**\: int
                    
                    	**range:** 0..1440
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Isis.Overlay.Nsf, self).__init__()

                        self.yang_name = "nsf"
                        self.yang_parent_name = "Overlay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.cisco = YLeaf(YType.empty, "cisco")

                        self.interval = YLeaf(YType.uint32, "interval")
                        self._segment_path = lambda: "nsf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Isis.Overlay.Nsf, ['cisco', 'interval'], name, value)


                class PrcInterval(Entity):
                    """
                    Minimum interval between partial route calculations
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120
                    
                    .. attribute:: milliseconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: wait
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Isis.Overlay.PrcInterval, self).__init__()

                        self.yang_name = "prc-interval"
                        self.yang_parent_name = "Overlay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.milliseconds = YLeaf(YType.uint32, "milliseconds")

                        self.wait = YLeaf(YType.uint32, "wait")
                        self._segment_path = lambda: "prc-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Isis.Overlay.PrcInterval, ['seconds', 'milliseconds', 'wait'], name, value)


                class Skeptical(Entity):
                    """
                    Be a cautious NSF helper when refresh adjacency
                    
                    .. attribute:: interval
                    
                    	Interval during which holdtime will NOT be refreshed
                    	**type**\: int
                    
                    	**range:** 0..1440
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Isis.Overlay.Skeptical, self).__init__()

                        self.yang_name = "skeptical"
                        self.yang_parent_name = "Overlay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interval = YLeaf(YType.uint32, "interval")
                        self._segment_path = lambda: "skeptical"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Isis.Overlay.Skeptical, ['interval'], name, value)


                class SpfInterval(Entity):
                    """
                    Minimum interval between SPF calculations
                    
                    .. attribute:: seconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120
                    
                    .. attribute:: milliseconds
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    .. attribute:: wait
                    
                    	
                    	**type**\: int
                    
                    	**range:** 1..120000
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Isis.Overlay.SpfInterval, self).__init__()

                        self.yang_name = "spf-interval"
                        self.yang_parent_name = "Overlay"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.seconds = YLeaf(YType.uint8, "seconds")

                        self.milliseconds = YLeaf(YType.uint32, "milliseconds")

                        self.wait = YLeaf(YType.uint32, "wait")
                        self._segment_path = lambda: "spf-interval"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Isis.Overlay.SpfInterval, ['seconds', 'milliseconds', 'wait'], name, value)


            class Site(Entity):
                """
                Site Instance
                
                .. attribute:: default
                
                	Set a command to its defaults
                	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Site.Default>`
                
                .. attribute:: log_adjacency_changes
                
                	Log changes in adjacency state
                	**type**\:  :py:class:`LogAdjacencyChanges <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Site.LogAdjacencyChanges>`
                
                	**presence node**\: True
                
                .. attribute:: net
                
                	A Network Entity Title for this process
                	**type**\: str
                
                .. attribute:: skeptical
                
                	Be a cautious NSF helper when refresh adjacency
                	**type**\:  :py:class:`Skeptical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Site.Skeptical>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Otv.Isis.Site, self).__init__()

                    self.yang_name = "site"
                    self.yang_parent_name = "isis"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"default" : ("default", Native.Otv.Isis.Site.Default), "log-adjacency-changes" : ("log_adjacency_changes", Native.Otv.Isis.Site.LogAdjacencyChanges), "skeptical" : ("skeptical", Native.Otv.Isis.Site.Skeptical)}
                    self._child_list_classes = {}

                    self.net = YLeaf(YType.str, "net")

                    self.default = Native.Otv.Isis.Site.Default()
                    self.default.parent = self
                    self._children_name_map["default"] = "default"
                    self._children_yang_names.add("default")

                    self.log_adjacency_changes = None
                    self._children_name_map["log_adjacency_changes"] = "log-adjacency-changes"
                    self._children_yang_names.add("log-adjacency-changes")

                    self.skeptical = Native.Otv.Isis.Site.Skeptical()
                    self.skeptical.parent = self
                    self._children_name_map["skeptical"] = "skeptical"
                    self._children_yang_names.add("skeptical")
                    self._segment_path = lambda: "site"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/Cisco-IOS-XE-otv:isis/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Otv.Isis.Site, ['net'], name, value)


                class Default(Entity):
                    """
                    Set a command to its defaults
                    
                    .. attribute:: log_adjacency_changes
                    
                    	Log changes in adjacency state
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: net
                    
                    	A Network Entity Title for this process
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: skeptical
                    
                    	Be a cautious NSF helper when refresh adjacency
                    	**type**\:  :py:class:`Skeptical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Isis.Site.Default.Skeptical>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Isis.Site.Default, self).__init__()

                        self.yang_name = "default"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"skeptical" : ("skeptical", Native.Otv.Isis.Site.Default.Skeptical)}
                        self._child_list_classes = {}

                        self.log_adjacency_changes = YLeaf(YType.empty, "log-adjacency-changes")

                        self.net = YLeaf(YType.empty, "net")

                        self.skeptical = Native.Otv.Isis.Site.Default.Skeptical()
                        self.skeptical.parent = self
                        self._children_name_map["skeptical"] = "skeptical"
                        self._children_yang_names.add("skeptical")
                        self._segment_path = lambda: "default"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/Cisco-IOS-XE-otv:isis/site/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Isis.Site.Default, ['log_adjacency_changes', 'net'], name, value)


                    class Skeptical(Entity):
                        """
                        Be a cautious NSF helper when refresh adjacency
                        
                        .. attribute:: interval
                        
                        	Interval during which holdtime will NOT be refreshed
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Otv.Isis.Site.Default.Skeptical, self).__init__()

                            self.yang_name = "skeptical"
                            self.yang_parent_name = "default"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.interval = YLeaf(YType.empty, "interval")
                            self._segment_path = lambda: "skeptical"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/Cisco-IOS-XE-otv:isis/site/default/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Otv.Isis.Site.Default.Skeptical, ['interval'], name, value)


                class LogAdjacencyChanges(Entity):
                    """
                    Log changes in adjacency state
                    
                    .. attribute:: all
                    
                    	Include changes generated by non\-IIH event
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Isis.Site.LogAdjacencyChanges, self).__init__()

                        self.yang_name = "log-adjacency-changes"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.all = YLeaf(YType.empty, "all")
                        self._segment_path = lambda: "log-adjacency-changes"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/Cisco-IOS-XE-otv:isis/site/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Isis.Site.LogAdjacencyChanges, ['all'], name, value)


                class Skeptical(Entity):
                    """
                    Be a cautious NSF helper when refresh adjacency
                    
                    .. attribute:: interval
                    
                    	Interval during which holdtime will NOT be refreshed
                    	**type**\: int
                    
                    	**range:** 0..1440
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Isis.Site.Skeptical, self).__init__()

                        self.yang_name = "skeptical"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.interval = YLeaf(YType.uint32, "interval")
                        self._segment_path = lambda: "skeptical"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/Cisco-IOS-XE-otv:isis/site/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Isis.Site.Skeptical, ['interval'], name, value)


        class Site(Entity):
            """
            OTV site network configuration
            
            .. attribute:: bridge_domain  <key>
            
            	Bridge\-domain to discover local OTV enabled devices
            	**type**\: int
            
            	**range:** 1..8192
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default>`
            
            .. attribute:: otv
            
            	OTV site configuration subcommands
            	**type**\:  :py:class:`Otv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv>`
            
            

            """

            _prefix = 'ios-otv'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Otv.Site, self).__init__()

                self.yang_name = "site"
                self.yang_parent_name = "otv"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"default" : ("default", Native.Otv.Site.Default), "otv" : ("otv", Native.Otv.Site.Otv)}
                self._child_list_classes = {}

                self.bridge_domain = YLeaf(YType.uint16, "bridge-domain")

                self.default = Native.Otv.Site.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.otv = Native.Otv.Site.Otv()
                self.otv.parent = self
                self._children_name_map["otv"] = "otv"
                self._children_yang_names.add("otv")
                self._segment_path = lambda: "Cisco-IOS-XE-otv:site" + "[bridge-domain='" + self.bridge_domain.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/otv/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Otv.Site, ['bridge_domain'], name, value)


            class Default(Entity):
                """
                Set a command to its defaults
                
                .. attribute:: otv
                
                	OTV site configuration subcommands
                	**type**\:  :py:class:`Otv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Otv.Site.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "site"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"otv" : ("otv", Native.Otv.Site.Default.Otv)}
                    self._child_list_classes = {}

                    self.otv = Native.Otv.Site.Default.Otv()
                    self.otv.parent = self
                    self._children_name_map["otv"] = "otv"
                    self._children_yang_names.add("otv")
                    self._segment_path = lambda: "default"


                class Otv(Entity):
                    """
                    OTV site configuration subcommands
                    
                    .. attribute:: isis
                    
                    	ISIS interface subcommands
                    	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv.Isis>`
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Site.Default.Otv, self).__init__()

                        self.yang_name = "otv"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"isis" : ("isis", Native.Otv.Site.Default.Otv.Isis)}
                        self._child_list_classes = {}

                        self.isis = Native.Otv.Site.Default.Otv.Isis()
                        self.isis.parent = self
                        self._children_name_map["isis"] = "isis"
                        self._children_yang_names.add("isis")
                        self._segment_path = lambda: "otv"


                    class Isis(Entity):
                        """
                        ISIS interface subcommands
                        
                        .. attribute:: authentication
                        
                        	ISIS authentication for interface related PDUs
                        	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv.Isis.Authentication>`
                        
                        .. attribute:: bfd
                        
                        	Bidirectional Forwarding Protocol
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hello
                        
                        	Add padding to IS\-IS hello packets
                        	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv.Isis.Hello>`
                        
                        .. attribute:: hello_interval
                        
                        	Set Hello interval in seconds
                        	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv.Isis.HelloInterval>`
                        
                        .. attribute:: hello_multiplier
                        
                        	Set multiplier for Hello holding time
                        	**type**\: int
                        
                        	**range:** 3..1000
                        
                        .. attribute:: priority
                        
                        	Set priority for Designated Router election
                        	**type**\: int
                        
                        	**range:** 0..127
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Otv.Site.Default.Otv.Isis, self).__init__()

                            self.yang_name = "isis"
                            self.yang_parent_name = "otv"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"authentication" : ("authentication", Native.Otv.Site.Default.Otv.Isis.Authentication), "hello" : ("hello", Native.Otv.Site.Default.Otv.Isis.Hello), "hello-interval" : ("hello_interval", Native.Otv.Site.Default.Otv.Isis.HelloInterval)}
                            self._child_list_classes = {}

                            self.bfd = YLeaf(YType.empty, "bfd")

                            self.hello_multiplier = YLeaf(YType.uint16, "hello-multiplier")

                            self.priority = YLeaf(YType.uint8, "priority")

                            self.authentication = Native.Otv.Site.Default.Otv.Isis.Authentication()
                            self.authentication.parent = self
                            self._children_name_map["authentication"] = "authentication"
                            self._children_yang_names.add("authentication")

                            self.hello = Native.Otv.Site.Default.Otv.Isis.Hello()
                            self.hello.parent = self
                            self._children_name_map["hello"] = "hello"
                            self._children_yang_names.add("hello")

                            self.hello_interval = Native.Otv.Site.Default.Otv.Isis.HelloInterval()
                            self.hello_interval.parent = self
                            self._children_name_map["hello_interval"] = "hello-interval"
                            self._children_yang_names.add("hello-interval")
                            self._segment_path = lambda: "isis"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Otv.Site.Default.Otv.Isis, ['bfd', 'hello_multiplier', 'priority'], name, value)


                        class Authentication(Entity):
                            """
                            ISIS authentication for interface related PDUs
                            
                            .. attribute:: key_chain
                            
                            	Authentication key\-chain
                            	**type**\: str
                            
                            .. attribute:: mode
                            
                            	Authentication mode for PDUs
                            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv.Isis.Authentication.Mode>`
                            
                            .. attribute:: send_only
                            
                            	Authentication send only, receive ignore
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Otv.Site.Default.Otv.Isis.Authentication, self).__init__()

                                self.yang_name = "authentication"
                                self.yang_parent_name = "isis"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.key_chain = YLeaf(YType.str, "key-chain")

                                self.mode = YLeaf(YType.enumeration, "mode")

                                self.send_only = YLeaf(YType.empty, "send-only")
                                self._segment_path = lambda: "authentication"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Otv.Site.Default.Otv.Isis.Authentication, ['key_chain', 'mode', 'send_only'], name, value)

                            class Mode(Enum):
                                """
                                Mode

                                Authentication mode for PDUs

                                .. data:: md5 = 0

                                .. data:: text = 1

                                """

                                md5 = Enum.YLeaf(0, "md5")

                                text = Enum.YLeaf(1, "text")



                        class Hello(Entity):
                            """
                            Add padding to IS\-IS hello packets
                            
                            .. attribute:: padding
                            
                            	Pad hello packets
                            	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Default.Otv.Isis.Hello.Padding>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Otv.Site.Default.Otv.Isis.Hello, self).__init__()

                                self.yang_name = "hello"
                                self.yang_parent_name = "isis"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"padding" : ("padding", Native.Otv.Site.Default.Otv.Isis.Hello.Padding)}
                                self._child_list_classes = {}

                                self.padding = None
                                self._children_name_map["padding"] = "padding"
                                self._children_yang_names.add("padding")
                                self._segment_path = lambda: "hello"


                            class Padding(Entity):
                                """
                                Pad hello packets
                                
                                .. attribute:: always
                                
                                	Never pad hello packets if no prefix present
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-otv'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Otv.Site.Default.Otv.Isis.Hello.Padding, self).__init__()

                                    self.yang_name = "padding"
                                    self.yang_parent_name = "hello"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.always = YLeaf(YType.empty, "always")
                                    self._segment_path = lambda: "padding"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Otv.Site.Default.Otv.Isis.Hello.Padding, ['always'], name, value)


                        class HelloInterval(Entity):
                            """
                            Set Hello interval in seconds
                            
                            .. attribute:: value
                            
                            	
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            .. attribute:: minimal
                            
                            	Holdtime 1 second, interval depends on multiplier
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Otv.Site.Default.Otv.Isis.HelloInterval, self).__init__()

                                self.yang_name = "hello-interval"
                                self.yang_parent_name = "isis"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.value = YLeaf(YType.uint16, "value")

                                self.minimal = YLeaf(YType.empty, "minimal")
                                self._segment_path = lambda: "hello-interval"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Otv.Site.Default.Otv.Isis.HelloInterval, ['value', 'minimal'], name, value)


            class Otv(Entity):
                """
                OTV site configuration subcommands
                
                .. attribute:: isis
                
                	ISIS interface subcommands
                	**type**\:  :py:class:`Isis <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv.Isis>`
                
                

                """

                _prefix = 'ios-otv'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Otv.Site.Otv, self).__init__()

                    self.yang_name = "otv"
                    self.yang_parent_name = "site"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"isis" : ("isis", Native.Otv.Site.Otv.Isis)}
                    self._child_list_classes = {}

                    self.isis = Native.Otv.Site.Otv.Isis()
                    self.isis.parent = self
                    self._children_name_map["isis"] = "isis"
                    self._children_yang_names.add("isis")
                    self._segment_path = lambda: "otv"


                class Isis(Entity):
                    """
                    ISIS interface subcommands
                    
                    .. attribute:: authentication
                    
                    	ISIS authentication for interface related PDUs
                    	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv.Isis.Authentication>`
                    
                    .. attribute:: bfd
                    
                    	Bidirectional Forwarding Protocol
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hello
                    
                    	Add padding to IS\-IS hello packets
                    	**type**\:  :py:class:`Hello <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv.Isis.Hello>`
                    
                    .. attribute:: hello_interval
                    
                    	Set Hello interval in seconds
                    	**type**\:  :py:class:`HelloInterval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv.Isis.HelloInterval>`
                    
                    .. attribute:: hello_multiplier
                    
                    	Set multiplier for Hello holding time
                    	**type**\: int
                    
                    	**range:** 3..1000
                    
                    .. attribute:: priority
                    
                    	Set priority for Designated Router election
                    	**type**\: int
                    
                    	**range:** 0..127
                    
                    

                    """

                    _prefix = 'ios-otv'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Otv.Site.Otv.Isis, self).__init__()

                        self.yang_name = "isis"
                        self.yang_parent_name = "otv"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"authentication" : ("authentication", Native.Otv.Site.Otv.Isis.Authentication), "hello" : ("hello", Native.Otv.Site.Otv.Isis.Hello), "hello-interval" : ("hello_interval", Native.Otv.Site.Otv.Isis.HelloInterval)}
                        self._child_list_classes = {}

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.hello_multiplier = YLeaf(YType.uint16, "hello-multiplier")

                        self.priority = YLeaf(YType.uint8, "priority")

                        self.authentication = Native.Otv.Site.Otv.Isis.Authentication()
                        self.authentication.parent = self
                        self._children_name_map["authentication"] = "authentication"
                        self._children_yang_names.add("authentication")

                        self.hello = Native.Otv.Site.Otv.Isis.Hello()
                        self.hello.parent = self
                        self._children_name_map["hello"] = "hello"
                        self._children_yang_names.add("hello")

                        self.hello_interval = Native.Otv.Site.Otv.Isis.HelloInterval()
                        self.hello_interval.parent = self
                        self._children_name_map["hello_interval"] = "hello-interval"
                        self._children_yang_names.add("hello-interval")
                        self._segment_path = lambda: "isis"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Otv.Site.Otv.Isis, ['bfd', 'hello_multiplier', 'priority'], name, value)


                    class Authentication(Entity):
                        """
                        ISIS authentication for interface related PDUs
                        
                        .. attribute:: key_chain
                        
                        	Authentication key\-chain
                        	**type**\: str
                        
                        .. attribute:: mode
                        
                        	Authentication mode for PDUs
                        	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv.Isis.Authentication.Mode>`
                        
                        .. attribute:: send_only
                        
                        	Authentication send only, receive ignore
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Otv.Site.Otv.Isis.Authentication, self).__init__()

                            self.yang_name = "authentication"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.key_chain = YLeaf(YType.str, "key-chain")

                            self.mode = YLeaf(YType.enumeration, "mode")

                            self.send_only = YLeaf(YType.empty, "send-only")
                            self._segment_path = lambda: "authentication"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Otv.Site.Otv.Isis.Authentication, ['key_chain', 'mode', 'send_only'], name, value)

                        class Mode(Enum):
                            """
                            Mode

                            Authentication mode for PDUs

                            .. data:: md5 = 0

                            .. data:: text = 1

                            """

                            md5 = Enum.YLeaf(0, "md5")

                            text = Enum.YLeaf(1, "text")



                    class Hello(Entity):
                        """
                        Add padding to IS\-IS hello packets
                        
                        .. attribute:: padding
                        
                        	Pad hello packets
                        	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Otv.Site.Otv.Isis.Hello.Padding>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Otv.Site.Otv.Isis.Hello, self).__init__()

                            self.yang_name = "hello"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"padding" : ("padding", Native.Otv.Site.Otv.Isis.Hello.Padding)}
                            self._child_list_classes = {}

                            self.padding = None
                            self._children_name_map["padding"] = "padding"
                            self._children_yang_names.add("padding")
                            self._segment_path = lambda: "hello"


                        class Padding(Entity):
                            """
                            Pad hello packets
                            
                            .. attribute:: always
                            
                            	Never pad hello packets if no prefix present
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-otv'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Otv.Site.Otv.Isis.Hello.Padding, self).__init__()

                                self.yang_name = "padding"
                                self.yang_parent_name = "hello"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.always = YLeaf(YType.empty, "always")
                                self._segment_path = lambda: "padding"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Otv.Site.Otv.Isis.Hello.Padding, ['always'], name, value)


                    class HelloInterval(Entity):
                        """
                        Set Hello interval in seconds
                        
                        .. attribute:: value
                        
                        	
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: minimal
                        
                        	Holdtime 1 second, interval depends on multiplier
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-otv'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Otv.Site.Otv.Isis.HelloInterval, self).__init__()

                            self.yang_name = "hello-interval"
                            self.yang_parent_name = "isis"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.value = YLeaf(YType.uint16, "value")

                            self.minimal = YLeaf(YType.empty, "minimal")
                            self._segment_path = lambda: "hello-interval"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Otv.Site.Otv.Isis.HelloInterval, ['value', 'minimal'], name, value)


    class RemoteManagement(Entity):
        """
        Enable the remote managment
        
        .. attribute:: dmi
        
        	data\-model\-interface
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: restful_api
        
        	RESTful API
        	**type**\: bool
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.RemoteManagement, self).__init__()

            self.yang_name = "remote-management"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.dmi = YLeaf(YType.empty, "dmi")

            self.restful_api = YLeaf(YType.boolean, "restful-api")
            self._segment_path = lambda: "remote-management"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.RemoteManagement, ['dmi', 'restful_api'], name, value)


    class VirtualService(Entity):
        """
        Configure virtual service
        
        .. attribute:: name  <key>
        
        	
        	**type**\: str
        
        	**length:** 1..63
        
        .. attribute:: ip
        
        	ip configured virtual service
        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Ip>`
        
        .. attribute:: activate
        
        	Activate configured virtual service
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: profile
        
        	
        	**type**\: str
        
        .. attribute:: vnic
        
        	Guest vnic configuration
        	**type**\:  :py:class:`Vnic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.VirtualService, self).__init__()

            self.yang_name = "virtual-service"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-vservice:ip" : ("ip", Native.VirtualService.Ip), "Cisco-IOS-XE-vservice:vnic" : ("vnic", Native.VirtualService.Vnic)}
            self._child_list_classes = {}

            self.name = YLeaf(YType.str, "name")

            self.activate = YLeaf(YType.empty, "Cisco-IOS-XE-vservice:activate")

            self.profile = YLeaf(YType.str, "Cisco-IOS-XE-vservice:profile")

            self.ip = Native.VirtualService.Ip()
            self.ip.parent = self
            self._children_name_map["ip"] = "ip"
            self._children_yang_names.add("ip")

            self.vnic = Native.VirtualService.Vnic()
            self.vnic.parent = self
            self._children_name_map["vnic"] = "vnic"
            self._children_yang_names.add("vnic")
            self._segment_path = lambda: "virtual-service" + "[name='" + self.name.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.VirtualService, ['name', 'activate', 'profile'], name, value)


        class Ip(Entity):
            """
            ip configured virtual service
            
            .. attribute:: shared
            
            	Ip shared host\-interface
            	**type**\:  :py:class:`Shared <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Ip.Shared>`
            
            

            """

            _prefix = 'ios-vservice'
            _revision = '2017-07-05'

            def __init__(self):
                super(Native.VirtualService.Ip, self).__init__()

                self.yang_name = "ip"
                self.yang_parent_name = "virtual-service"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"shared" : ("shared", Native.VirtualService.Ip.Shared)}
                self._child_list_classes = {}

                self.shared = Native.VirtualService.Ip.Shared()
                self.shared.parent = self
                self._children_name_map["shared"] = "shared"
                self._children_yang_names.add("shared")
                self._segment_path = lambda: "Cisco-IOS-XE-vservice:ip"


            class Shared(Entity):
                """
                Ip shared host\-interface
                
                .. attribute:: host_interface
                
                	Ip shared host\-interface
                	**type**\:  :py:class:`HostInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Ip.Shared.HostInterface>`
                
                

                """

                _prefix = 'ios-vservice'
                _revision = '2017-07-05'

                def __init__(self):
                    super(Native.VirtualService.Ip.Shared, self).__init__()

                    self.yang_name = "shared"
                    self.yang_parent_name = "ip"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"host-interface" : ("host_interface", Native.VirtualService.Ip.Shared.HostInterface)}
                    self._child_list_classes = {}

                    self.host_interface = Native.VirtualService.Ip.Shared.HostInterface()
                    self.host_interface.parent = self
                    self._children_name_map["host_interface"] = "host-interface"
                    self._children_yang_names.add("host-interface")
                    self._segment_path = lambda: "shared"


                class HostInterface(Entity):
                    """
                    Ip shared host\-interface
                    
                    .. attribute:: fastethernet
                    
                    	FastEthernet IEEE 802.3
                    	**type**\: str
                    
                    .. attribute:: tengigabitethernet
                    
                    	Ten Gigabit Ethernet
                    	**type**\: str
                    
                    .. attribute:: gigabitethernet
                    
                    	GigabitEthernet IEEE 802.3z
                    	**type**\: str
                    
                    .. attribute:: loopback
                    
                    	Loopback interface
                    	**type**\: int
                    
                    	**range:** 0..2147483647
                    
                    .. attribute:: vlan
                    
                    	Vlan interface number
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-vservice'
                    _revision = '2017-07-05'

                    def __init__(self):
                        super(Native.VirtualService.Ip.Shared.HostInterface, self).__init__()

                        self.yang_name = "host-interface"
                        self.yang_parent_name = "shared"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.fastethernet = YLeaf(YType.str, "FastEthernet")

                        self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                        self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                        self.loopback = YLeaf(YType.uint64, "Loopback")

                        self.vlan = YLeaf(YType.uint16, "Vlan")
                        self._segment_path = lambda: "host-interface"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.VirtualService.Ip.Shared.HostInterface, ['fastethernet', 'tengigabitethernet', 'gigabitethernet', 'loopback', 'vlan'], name, value)


        class Vnic(Entity):
            """
            Guest vnic configuration
            
            .. attribute:: gateway
            
            	Gateway interface to connect to the guest vnic
            	**type**\:  :py:class:`Gateway <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Gateway>`
            
            .. attribute:: management
            
            	Gateway interface to connect to the guest vnic
            	**type**\:  :py:class:`Management <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Management>`
            
            

            """

            _prefix = 'ios-vservice'
            _revision = '2017-07-05'

            def __init__(self):
                super(Native.VirtualService.Vnic, self).__init__()

                self.yang_name = "vnic"
                self.yang_parent_name = "virtual-service"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"gateway" : ("gateway", Native.VirtualService.Vnic.Gateway), "management" : ("management", Native.VirtualService.Vnic.Management)}
                self._child_list_classes = {}

                self.gateway = Native.VirtualService.Vnic.Gateway()
                self.gateway.parent = self
                self._children_name_map["gateway"] = "gateway"
                self._children_yang_names.add("gateway")

                self.management = Native.VirtualService.Vnic.Management()
                self.management.parent = self
                self._children_name_map["management"] = "management"
                self._children_yang_names.add("management")
                self._segment_path = lambda: "Cisco-IOS-XE-vservice:vnic"


            class Gateway(Entity):
                """
                Gateway interface to connect to the guest vnic
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: list of  		 :py:class:`VirtualPortGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Gateway.VirtualPortGroup>`
                
                

                """

                _prefix = 'ios-vservice'
                _revision = '2017-07-05'

                def __init__(self):
                    super(Native.VirtualService.Vnic.Gateway, self).__init__()

                    self.yang_name = "gateway"
                    self.yang_parent_name = "vnic"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"VirtualPortGroup" : ("virtualportgroup", Native.VirtualService.Vnic.Gateway.VirtualPortGroup)}

                    self.virtualportgroup = YList(self)
                    self._segment_path = lambda: "gateway"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.VirtualService.Vnic.Gateway, [], name, value)


                class VirtualPortGroup(Entity):
                    """
                    Virtual Port Group
                    
                    .. attribute:: number  <key>
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..31
                    
                    .. attribute:: guest
                    
                    	Configure guest vnic address
                    	**type**\:  :py:class:`Guest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest>`
                    
                    

                    """

                    _prefix = 'ios-vservice'
                    _revision = '2017-07-05'

                    def __init__(self):
                        super(Native.VirtualService.Vnic.Gateway.VirtualPortGroup, self).__init__()

                        self.yang_name = "VirtualPortGroup"
                        self.yang_parent_name = "gateway"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"guest" : ("guest", Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest)}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint16, "number")

                        self.guest = Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest()
                        self.guest.parent = self
                        self._children_name_map["guest"] = "guest"
                        self._children_yang_names.add("guest")
                        self._segment_path = lambda: "VirtualPortGroup" + "[number='" + self.number.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.VirtualService.Vnic.Gateway.VirtualPortGroup, ['number'], name, value)


                    class Guest(Entity):
                        """
                        Configure guest vnic address
                        
                        .. attribute:: ip
                        
                        	Guest vnic IP address
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest.Ip>`
                        
                        .. attribute:: ipv6
                        
                        	Guest vnic IPv6 address
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest.Ipv6>`
                        
                        

                        """

                        _prefix = 'ios-vservice'
                        _revision = '2017-07-05'

                        def __init__(self):
                            super(Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest, self).__init__()

                            self.yang_name = "guest"
                            self.yang_parent_name = "VirtualPortGroup"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ip" : ("ip", Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest.Ip), "ipv6" : ("ipv6", Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest.Ipv6)}
                            self._child_list_classes = {}

                            self.ip = Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")

                            self.ipv6 = Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest.Ipv6()
                            self.ipv6.parent = self
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")
                            self._segment_path = lambda: "guest"


                        class Ip(Entity):
                            """
                            Guest vnic IP address
                            
                            .. attribute:: address
                            
                            	Set the IP address of virtual interface on guest
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-vservice'
                            _revision = '2017-07-05'

                            def __init__(self):
                                super(Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "guest"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest.Ip, ['address'], name, value)


                        class Ipv6(Entity):
                            """
                            Guest vnic IPv6 address
                            
                            .. attribute:: address
                            
                            	Set the IPv6 address of virtual interface on guest
                            	**type**\: str
                            
                            	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                            
                            

                            """

                            _prefix = 'ios-vservice'
                            _revision = '2017-07-05'

                            def __init__(self):
                                super(Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "guest"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.address = YLeaf(YType.str, "address")
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.VirtualService.Vnic.Gateway.VirtualPortGroup.Guest.Ipv6, ['address'], name, value)


            class Management(Entity):
                """
                Gateway interface to connect to the guest vnic
                
                .. attribute:: gigabitethernet0
                
                	Management Ethernet Interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: guest
                
                	Configure guest vnic address
                	**type**\:  :py:class:`Guest <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Management.Guest>`
                
                

                """

                _prefix = 'ios-vservice'
                _revision = '2017-07-05'

                def __init__(self):
                    super(Native.VirtualService.Vnic.Management, self).__init__()

                    self.yang_name = "management"
                    self.yang_parent_name = "vnic"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"guest" : ("guest", Native.VirtualService.Vnic.Management.Guest)}
                    self._child_list_classes = {}

                    self.gigabitethernet0 = YLeaf(YType.empty, "GigabitEthernet0")

                    self.guest = Native.VirtualService.Vnic.Management.Guest()
                    self.guest.parent = self
                    self._children_name_map["guest"] = "guest"
                    self._children_yang_names.add("guest")
                    self._segment_path = lambda: "management"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.VirtualService.Vnic.Management, ['gigabitethernet0'], name, value)


                class Guest(Entity):
                    """
                    Configure guest vnic address
                    
                    .. attribute:: ip
                    
                    	Guest vnic IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Management.Guest.Ip>`
                    
                    .. attribute:: ipv6
                    
                    	Guest vnic IPv6 address
                    	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.VirtualService.Vnic.Management.Guest.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-vservice'
                    _revision = '2017-07-05'

                    def __init__(self):
                        super(Native.VirtualService.Vnic.Management.Guest, self).__init__()

                        self.yang_name = "guest"
                        self.yang_parent_name = "management"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.VirtualService.Vnic.Management.Guest.Ip), "ipv6" : ("ipv6", Native.VirtualService.Vnic.Management.Guest.Ipv6)}
                        self._child_list_classes = {}

                        self.ip = Native.VirtualService.Vnic.Management.Guest.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.ipv6 = Native.VirtualService.Vnic.Management.Guest.Ipv6()
                        self.ipv6.parent = self
                        self._children_name_map["ipv6"] = "ipv6"
                        self._children_yang_names.add("ipv6")
                        self._segment_path = lambda: "guest"


                    class Ip(Entity):
                        """
                        Guest vnic IP address
                        
                        .. attribute:: address
                        
                        	Set the IP address of virtual interface on guest
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-vservice'
                        _revision = '2017-07-05'

                        def __init__(self):
                            super(Native.VirtualService.Vnic.Management.Guest.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "guest"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.VirtualService.Vnic.Management.Guest.Ip, ['address'], name, value)


                    class Ipv6(Entity):
                        """
                        Guest vnic IPv6 address
                        
                        .. attribute:: address
                        
                        	Set the IPv6 address of virtual interface on guest
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-vservice'
                        _revision = '2017-07-05'

                        def __init__(self):
                            super(Native.VirtualService.Vnic.Management.Guest.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "guest"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.address = YLeaf(YType.str, "address")
                            self._segment_path = lambda: "ipv6"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.VirtualService.Vnic.Management.Guest.Ipv6, ['address'], name, value)


    class Snmp(Entity):
        """
        Modify SNMP interface parameters
        
        .. attribute:: ifmib
        
        	IF\-MIB commands
        	**type**\:  :py:class:`Ifmib <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Ifmib>`
        
        .. attribute:: mib
        
        	MIB commands
        	**type**\:  :py:class:`Mib <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Snmp, self).__init__()

            self.yang_name = "snmp"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-snmp:ifmib" : ("ifmib", Native.Snmp.Ifmib), "Cisco-IOS-XE-snmp:mib" : ("mib", Native.Snmp.Mib)}
            self._child_list_classes = {}

            self.ifmib = Native.Snmp.Ifmib()
            self.ifmib.parent = self
            self._children_name_map["ifmib"] = "ifmib"
            self._children_yang_names.add("ifmib")

            self.mib = Native.Snmp.Mib()
            self.mib.parent = self
            self._children_name_map["mib"] = "mib"
            self._children_yang_names.add("mib")
            self._segment_path = lambda: "snmp"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Ifmib(Entity):
            """
            IF\-MIB commands
            
            .. attribute:: ifindex
            
            	ifindex persistence
            	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Ifmib.Ifindex>`
            
            .. attribute:: ifalias
            
            	ifAlias description option, by default it is limited to 64 character
            	**type**\:  :py:class:`Ifalias <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Ifmib.Ifalias>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Snmp.Ifmib, self).__init__()

                self.yang_name = "ifmib"
                self.yang_parent_name = "snmp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ifindex" : ("ifindex", Native.Snmp.Ifmib.Ifindex), "ifalias" : ("ifalias", Native.Snmp.Ifmib.Ifalias)}
                self._child_list_classes = {}

                self.ifindex = Native.Snmp.Ifmib.Ifindex()
                self.ifindex.parent = self
                self._children_name_map["ifindex"] = "ifindex"
                self._children_yang_names.add("ifindex")

                self.ifalias = Native.Snmp.Ifmib.Ifalias()
                self.ifalias.parent = self
                self._children_name_map["ifalias"] = "ifalias"
                self._children_yang_names.add("ifalias")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:ifmib"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp/%s" % self._segment_path()


            class Ifindex(Entity):
                """
                ifindex persistence
                
                .. attribute:: persist
                
                	Persist interface indices
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Snmp.Ifmib.Ifindex, self).__init__()

                    self.yang_name = "ifindex"
                    self.yang_parent_name = "ifmib"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.persist = YLeaf(YType.empty, "persist")
                    self._segment_path = lambda: "ifindex"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp/Cisco-IOS-XE-snmp:ifmib/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Snmp.Ifmib.Ifindex, ['persist'], name, value)


            class Ifalias(Entity):
                """
                ifAlias description option, by default it is limited to 64 character
                
                .. attribute:: long
                
                	ifAlias description can be up to 256 characters
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Snmp.Ifmib.Ifalias, self).__init__()

                    self.yang_name = "ifalias"
                    self.yang_parent_name = "ifmib"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.long = YLeaf(YType.empty, "long")
                    self._segment_path = lambda: "ifalias"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp/Cisco-IOS-XE-snmp:ifmib/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Snmp.Ifmib.Ifalias, ['long'], name, value)


        class Mib(Entity):
            """
            MIB commands
            
            .. attribute:: community_map
            
            	Community Mapping as per RFC\-2576
            	**type**\:  :py:class:`CommunityMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib.CommunityMap>`
            
            .. attribute:: bulkstat
            
            	Bulkstat Configuration commands
            	**type**\:  :py:class:`Bulkstat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib.Bulkstat>`
            
            .. attribute:: persist
            
            	Persistence for MIBS
            	**type**\:  :py:class:`Persist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib.Persist>`
            
            	**presence node**\: True
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Snmp.Mib, self).__init__()

                self.yang_name = "mib"
                self.yang_parent_name = "snmp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"community-map" : ("community_map", Native.Snmp.Mib.CommunityMap), "bulkstat" : ("bulkstat", Native.Snmp.Mib.Bulkstat), "persist" : ("persist", Native.Snmp.Mib.Persist)}
                self._child_list_classes = {}

                self.community_map = Native.Snmp.Mib.CommunityMap()
                self.community_map.parent = self
                self._children_name_map["community_map"] = "community-map"
                self._children_yang_names.add("community-map")

                self.bulkstat = Native.Snmp.Mib.Bulkstat()
                self.bulkstat.parent = self
                self._children_name_map["bulkstat"] = "bulkstat"
                self._children_yang_names.add("bulkstat")

                self.persist = None
                self._children_name_map["persist"] = "persist"
                self._children_yang_names.add("persist")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:mib"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp/%s" % self._segment_path()


            class CommunityMap(Entity):
                """
                Community Mapping as per RFC\-2576
                
                .. attribute:: community_map_list
                
                	SNMP community string
                	**type**\: list of  		 :py:class:`CommunityMapList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib.CommunityMap.CommunityMapList>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Snmp.Mib.CommunityMap, self).__init__()

                    self.yang_name = "community-map"
                    self.yang_parent_name = "mib"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"community-map-list" : ("community_map_list", Native.Snmp.Mib.CommunityMap.CommunityMapList)}

                    self.community_map_list = YList(self)
                    self._segment_path = lambda: "community-map"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp/Cisco-IOS-XE-snmp:mib/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Snmp.Mib.CommunityMap, [], name, value)


                class CommunityMapList(Entity):
                    """
                    SNMP community string
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: engineid
                    
                    	Engine ID for the community mapping
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Snmp.Mib.CommunityMap.CommunityMapList, self).__init__()

                        self.yang_name = "community-map-list"
                        self.yang_parent_name = "community-map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.engineid = YLeaf(YType.str, "engineid")
                        self._segment_path = lambda: "community-map-list" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp/Cisco-IOS-XE-snmp:mib/community-map/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Snmp.Mib.CommunityMap.CommunityMapList, ['name', 'engineid'], name, value)


            class Bulkstat(Entity):
                """
                Bulkstat Configuration commands
                
                .. attribute:: object_list
                
                	Configure an Object List
                	**type**\: list of  		 :py:class:`ObjectList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib.Bulkstat.ObjectList>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Snmp.Mib.Bulkstat, self).__init__()

                    self.yang_name = "bulkstat"
                    self.yang_parent_name = "mib"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"object-list" : ("object_list", Native.Snmp.Mib.Bulkstat.ObjectList)}

                    self.object_list = YList(self)
                    self._segment_path = lambda: "bulkstat"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp/Cisco-IOS-XE-snmp:mib/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Snmp.Mib.Bulkstat, [], name, value)


                class ObjectList(Entity):
                    """
                    Configure an Object List.
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Snmp.Mib.Bulkstat.ObjectList, self).__init__()

                        self.yang_name = "object-list"
                        self.yang_parent_name = "bulkstat"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")
                        self._segment_path = lambda: "object-list" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp/Cisco-IOS-XE-snmp:mib/bulkstat/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Snmp.Mib.Bulkstat.ObjectList, ['name'], name, value)


            class Persist(Entity):
                """
                Persistence for MIBS
                
                .. attribute:: persist_enum
                
                	
                	**type**\:  :py:class:`PersistEnum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Snmp.Mib.Persist.PersistEnum>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Snmp.Mib.Persist, self).__init__()

                    self.yang_name = "persist"
                    self.yang_parent_name = "mib"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.persist_enum = YLeaf(YType.enumeration, "persist-enum")
                    self._segment_path = lambda: "persist"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp/Cisco-IOS-XE-snmp:mib/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Snmp.Mib.Persist, ['persist_enum'], name, value)

                class PersistEnum(Enum):
                    """
                    PersistEnum

                    .. data:: cbqos = 0

                    .. data:: circuit = 1

                    .. data:: v3mibs = 2

                    """

                    cbqos = Enum.YLeaf(0, "cbqos")

                    circuit = Enum.YLeaf(1, "circuit")

                    v3mibs = Enum.YLeaf(2, "v3mibs")



    class SnmpServer(Entity):
        """
        Modify SNMP engine parameters
        
        .. attribute:: chassis_id
        
        	String to uniquely identify this chassis
        	**type**\: str
        
        .. attribute:: community
        
        	Enable SNMP; set community string and access privs
        	**type**\: list of  		 :py:class:`Community <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Community>`
        
        .. attribute:: contact
        
        	Text for mib object sysContact
        	**type**\: str
        
        .. attribute:: context
        
        	Create/Delete a context apart from default
        	**type**\: list of  		 :py:class:`Context <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Context>`
        
        .. attribute:: enable
        
        	Enable SNMP Traps or Informs
        	**type**\:  :py:class:`Enable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable>`
        
        .. attribute:: engineid
        
        	Configure a local or remote SNMPv3 engineID
        	**type**\:  :py:class:`Engineid <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Engineid>`
        
        .. attribute:: group
        
        	Define a User Security Model group
        	**type**\: list of  		 :py:class:`Group <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Group>`
        
        .. attribute:: host
        
        	Specify hosts to receive SNMP notifications
        	**type**\: list of  		 :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Host>`
        
        .. attribute:: ip
        
        	IP ToS configuration for SNMP traffic
        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Ip>`
        
        .. attribute:: ifindex
        
        	Enable ifindex persistence
        	**type**\:  :py:class:`Ifindex <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Ifindex>`
        
        .. attribute:: location
        
        	Text for mib object sysLocation
        	**type**\: str
        
        .. attribute:: manager
        
        	Modify SNMP manager parameters
        	**type**\:  :py:class:`Manager <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Manager>`
        
        	**presence node**\: True
        
        .. attribute:: packetsize
        
        	Largest SNMP packet size
        	**type**\: int
        
        	**range:** 484..17924
        
        .. attribute:: queue_length
        
        	Message queue length for each TRAP host
        	**type**\: int
        
        	**range:** 1..5000
        
        .. attribute:: source_interface
        
        	Assign an source interface
        	**type**\:  :py:class:`SourceInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface>`
        
        .. attribute:: system_shutdown
        
        	Enable use of the SNMP reload command
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: tftp_server_list
        
        	Limit TFTP servers used via SNMP
        	**type**\: union of the below types:
        
        		**type**\: int
        
        			**range:** 1..99
        
        		**type**\: str
        
        .. attribute:: trap
        
        	SNMP trap options
        	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Trap>`
        
        .. attribute:: trap_source
        
        	Assign an interface for the source address of all traps
        	**type**\:  :py:class:`TrapSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.TrapSource>`
        
        .. attribute:: user
        
        	Define a user who can access the SNMP engine
        	**type**\:  :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User>`
        
        .. attribute:: view
        
        	Define an SNMPv2 MIB view
        	**type**\: list of  		 :py:class:`View <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.View>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.SnmpServer, self).__init__()

            self.yang_name = "snmp-server"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-snmp:enable" : ("enable", Native.SnmpServer.Enable), "Cisco-IOS-XE-snmp:engineID" : ("engineid", Native.SnmpServer.Engineid), "Cisco-IOS-XE-snmp:ip" : ("ip", Native.SnmpServer.Ip), "Cisco-IOS-XE-snmp:ifindex" : ("ifindex", Native.SnmpServer.Ifindex), "Cisco-IOS-XE-snmp:manager" : ("manager", Native.SnmpServer.Manager), "Cisco-IOS-XE-snmp:source-interface" : ("source_interface", Native.SnmpServer.SourceInterface), "Cisco-IOS-XE-snmp:trap" : ("trap", Native.SnmpServer.Trap), "Cisco-IOS-XE-snmp:trap-source" : ("trap_source", Native.SnmpServer.TrapSource), "Cisco-IOS-XE-snmp:user" : ("user", Native.SnmpServer.User)}
            self._child_list_classes = {"Cisco-IOS-XE-snmp:community" : ("community", Native.SnmpServer.Community), "Cisco-IOS-XE-snmp:context" : ("context", Native.SnmpServer.Context), "Cisco-IOS-XE-snmp:group" : ("group", Native.SnmpServer.Group), "Cisco-IOS-XE-snmp:host" : ("host", Native.SnmpServer.Host), "Cisco-IOS-XE-snmp:view" : ("view", Native.SnmpServer.View)}

            self.chassis_id = YLeaf(YType.str, "Cisco-IOS-XE-snmp:chassis-id")

            self.contact = YLeaf(YType.str, "Cisco-IOS-XE-snmp:contact")

            self.location = YLeaf(YType.str, "Cisco-IOS-XE-snmp:location")

            self.packetsize = YLeaf(YType.uint32, "Cisco-IOS-XE-snmp:packetsize")

            self.queue_length = YLeaf(YType.uint16, "Cisco-IOS-XE-snmp:queue-length")

            self.system_shutdown = YLeaf(YType.empty, "Cisco-IOS-XE-snmp:system-shutdown")

            self.tftp_server_list = YLeaf(YType.str, "Cisco-IOS-XE-snmp:tftp-server-list")

            self.enable = Native.SnmpServer.Enable()
            self.enable.parent = self
            self._children_name_map["enable"] = "enable"
            self._children_yang_names.add("enable")

            self.engineid = Native.SnmpServer.Engineid()
            self.engineid.parent = self
            self._children_name_map["engineid"] = "engineID"
            self._children_yang_names.add("engineID")

            self.ip = Native.SnmpServer.Ip()
            self.ip.parent = self
            self._children_name_map["ip"] = "ip"
            self._children_yang_names.add("ip")

            self.ifindex = Native.SnmpServer.Ifindex()
            self.ifindex.parent = self
            self._children_name_map["ifindex"] = "ifindex"
            self._children_yang_names.add("ifindex")

            self.manager = None
            self._children_name_map["manager"] = "manager"
            self._children_yang_names.add("manager")

            self.source_interface = Native.SnmpServer.SourceInterface()
            self.source_interface.parent = self
            self._children_name_map["source_interface"] = "source-interface"
            self._children_yang_names.add("source-interface")

            self.trap = Native.SnmpServer.Trap()
            self.trap.parent = self
            self._children_name_map["trap"] = "trap"
            self._children_yang_names.add("trap")

            self.trap_source = Native.SnmpServer.TrapSource()
            self.trap_source.parent = self
            self._children_name_map["trap_source"] = "trap-source"
            self._children_yang_names.add("trap-source")

            self.user = Native.SnmpServer.User()
            self.user.parent = self
            self._children_name_map["user"] = "user"
            self._children_yang_names.add("user")

            self.community = YList(self)
            self.context = YList(self)
            self.group = YList(self)
            self.host = YList(self)
            self.view = YList(self)
            self._segment_path = lambda: "snmp-server"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.SnmpServer, ['chassis_id', 'contact', 'location', 'packetsize', 'queue_length', 'system_shutdown', 'tftp_server_list'], name, value)


        class Community(Entity):
            """
            Enable SNMP; set community string and access privs
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: view
            
            	Restrict this community to a named MIB view
            	**type**\: str
            
            .. attribute:: ro
            
            	Read\-only access with this community string
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: rw
            
            	Read\-write access with this community string
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ipv6
            
            	Specify IPv6 Named Access\-List
            	**type**\: str
            
            .. attribute:: access_list_name
            
            	Access\-list name
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 1..99
            
            		**type**\: int
            
            			**range:** 1300..1999
            
            		**type**\: str
            
            			**pattern:** [a\-zA\-Z].\*
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.Community, self).__init__()

                self.yang_name = "community"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.view = YLeaf(YType.str, "view")

                self.ro = YLeaf(YType.empty, "RO")

                self.rw = YLeaf(YType.empty, "RW")

                self.ipv6 = YLeaf(YType.str, "ipv6")

                self.access_list_name = YLeaf(YType.str, "access-list-name")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:community" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SnmpServer.Community, ['name', 'view', 'ro', 'rw', 'ipv6', 'access_list_name'], name, value)


        class Context(Entity):
            """
            Create/Delete a context apart from default
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.Context, self).__init__()

                self.yang_name = "context"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:context" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SnmpServer.Context, ['name'], name, value)


        class Enable(Entity):
            """
            Enable SNMP Traps or Informs
            
            .. attribute:: enable_choice
            
            	
            	**type**\:  :py:class:`EnableChoice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.Enable, self).__init__()

                self.yang_name = "enable"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"enable-choice" : ("enable_choice", Native.SnmpServer.Enable.EnableChoice)}
                self._child_list_classes = {}

                self.enable_choice = Native.SnmpServer.Enable.EnableChoice()
                self.enable_choice.parent = self
                self._children_name_map["enable_choice"] = "enable-choice"
                self._children_yang_names.add("enable-choice")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:enable"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()


            class EnableChoice(Entity):
                """
                
                
                .. attribute:: informs
                
                	Enable SNMP Informs
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: traps
                
                	Enable SNMP Traps
                	**type**\:  :py:class:`Traps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.Enable.EnableChoice, self).__init__()

                    self.yang_name = "enable-choice"
                    self.yang_parent_name = "enable"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"traps" : ("traps", Native.SnmpServer.Enable.EnableChoice.Traps)}
                    self._child_list_classes = {}

                    self.informs = YLeaf(YType.empty, "informs")

                    self.traps = None
                    self._children_name_map["traps"] = "traps"
                    self._children_yang_names.add("traps")
                    self._segment_path = lambda: "enable-choice"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SnmpServer.Enable.EnableChoice, ['informs'], name, value)


                class Traps(Entity):
                    """
                    Enable SNMP Traps
                    
                    .. attribute:: aaa_server
                    
                    	Enable SNMP AAA Server traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trustsec_sxp
                    
                    	Enable SNMP CISCO\-TRUSTSEC\-SXP\-MIB traps
                    	**type**\:  :py:class:`TrustsecSxp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecSxp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vswitch
                    
                    	Enable SNMP Virtual Switch notifications
                    	**type**\:  :py:class:`Vswitch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trustsec_server
                    
                    	Enable SNMP CISCO\-TRUSTSEC\-SERVER\-MIB traps
                    	**type**\:  :py:class:`TrustsecServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trustsec
                    
                    	Enable SNMP CISCO\-TRUSTSEC\-MIB traps
                    	**type**\:  :py:class:`Trustsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trustsec_interface
                    
                    	Enable SNMP CISCO\-TRUSTSEC\-INTERFACE\-MIB traps
                    	**type**\:  :py:class:`TrustsecInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: trustsec_policy
                    
                    	Enable SNMP CISCO\-TRUSTSEC\-POLICY\-MIB traps
                    	**type**\:  :py:class:`TrustsecPolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ospfv3
                    
                    	Enable OSPFv3 traps
                    	**type**\:  :py:class:`Ospfv3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospfv3>`
                    
                    .. attribute:: ike
                    
                    	Enable IKE traps
                    	**type**\:  :py:class:`Ike <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ike>`
                    
                    .. attribute:: local_auth
                    
                    	Enable SNMP local auth traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: alarms
                    
                    	Enable SNMP alarms traps
                    	**type**\:  :py:class:`Alarms <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Alarms>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: atm
                    
                    	Enable SNMP atm traps
                    	**type**\:  :py:class:`Atm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm>`
                    
                    .. attribute:: authenticate_fail
                    
                    	Enable SNMP 802.11 Authentication Fail Trap
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: auth_framework
                    
                    	
                    	**type**\:  :py:class:`AuthFramework <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.AuthFramework>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: bfd
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bgp_conf
                    
                    	
                    	**type**\:  :py:class:`BgpConf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.BgpConf>`
                    
                    .. attribute:: bgp
                    
                    	Enable BGP traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bridge
                    
                    	
                    	**type**\:  :py:class:`Bridge <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Bridge>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: bstun
                    
                    	Enable SNMP BSTUN traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: bulkstat
                    
                    	Enable Data\-Collection\-MIB Collection notifications
                    	**type**\:  :py:class:`Bulkstat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Bulkstat>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: call_home
                    
                    	Enable CISCO\-CALLHOME\-MIB traps
                    	**type**\:  :py:class:`CallHome <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.CallHome>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: c2900
                    
                    	Enable SNMP c2900 traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: c6kxbar
                    
                    	Enable SNMP CISCO\-CAT6K\-CROSSBAR\-MIB traps
                    	**type**\:  :py:class:`C6Kxbar <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.C6Kxbar>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: casa
                    
                    	Enable SNMP casa traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ccme
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cef
                    
                    	
                    	**type**\:  :py:class:`Cef <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Cef>`
                    
                    .. attribute:: cluster
                    
                    	Enable Cluster traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: channel
                    
                    	Enable SNMP channel traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: chassis
                    
                    	Enable SNMP chassis traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cnpd
                    
                    	Enable NBAR Protocol Discovery traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: config
                    
                    	Enable SNMP config traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: copy_config
                    
                    	Enable SNMP copy\-config traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: config_copy
                    
                    	Enable SNMP config\-copy traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: config_ctid
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: cpu
                    
                    	Allow cpu related traps
                    	**type**\:  :py:class:`Cpu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Cpu>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: cpu_threshold
                    
                    	Enables CPU threshold notifications
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: csg
                    
                    	Enable SNMP CSG traps
                    	**type**\:  :py:class:`Csg <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Csg>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: dial
                    
                    	Enable SNMP dial control traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: director
                    
                    	Enable SNMP Distributed Director traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dlsw
                    
                    	Enable SNMP dlsw traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: deauthenticate
                    
                    	Enable SNMP 802.11 Deauthentication Trap
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: disassociate
                    
                    	Enable SNMP 802.11 Disassociation Trap
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dnis
                    
                    	Enable SNMP DNIS traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dot11_qos
                    
                    	Enable SNMP 802.11 QoS Change Trap
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dot1x
                    
                    	
                    	**type**\:  :py:class:`Dot1X <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Dot1X>`
                    
                    .. attribute:: ds0_busyout
                    
                    	Enable ds0\-busyout traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ds1
                    
                    	Enable SNMP DS1 traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ds1_loopback
                    
                    	Enable ds1\-loopback traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ds3
                    
                    	Enable SNMP DS3 traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dsp
                    
                    	Enable SNMP dsp traps
                    	**type**\:  :py:class:`Dsp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Dsp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: eigrp
                    
                    	Enable SNMP EIGRP traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: energywise
                    
                    	
                    	**type**\:  :py:class:`Energywise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Energywise>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: entity_
                    
                    	Enable SNMP entity traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: entity_diag
                    
                    	Enable SNMP CISCO\-ENTITY\-DIAG\-MIB traps
                    	**type**\:  :py:class:`EntityDiag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.EntityDiag>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: envmon
                    
                    	Enable SNMP environmental monitor traps
                    	**type**\:  :py:class:`Envmon <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Envmon>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: errdisable
                    
                    	Enable SNMP errdisable notifications
                    	**type**\:  :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Errdisable>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ether_oam
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ethernet
                    
                    	
                    	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet>`
                    
                    .. attribute:: event_manager
                    
                    	Enable SNMP Embedded Event Manager traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: firewall
                    
                    	
                    	**type**\:  :py:class:`Firewall <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Firewall>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flash
                    
                    	Enable SNMP FLASH notifications
                    	**type**\:  :py:class:`Flash <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Flash>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: flowmon
                    
                    	Enabel SNMP flowmon notifications
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: flex_links
                    
                    	Enable SNMP FLEX Links traps
                    	**type**\:  :py:class:`FlexLinks <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.FlexLinks>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: frame_relay
                    
                    	Enable SNMP frame\-relay traps
                    	**type**\:  :py:class:`FrameRelay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: fru_ctrl
                    
                    	Enable SNMP entity FRU control traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: gatekeeper
                    
                    	Enable SNMP gatekeeper traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: hsrp
                    
                    	Enable SNMP HSRP traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: icsudsu
                    
                    	Enable SNMP ICSUDSU traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ima
                    
                    	Enable SNMP ATM IMA traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipmobile
                    
                    	Enable SNMP ipmobile traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipmulticast
                    
                    	Enable SNMP ipmulticast traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: ipsec
                    
                    	Enable IPsec traps
                    	**type**\:  :py:class:`Ipsec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec>`
                    
                    .. attribute:: isakmp
                    
                    	Enable ISAKMP traps traps
                    	**type**\:  :py:class:`Isakmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp>`
                    
                    .. attribute:: isdn
                    
                    	Enable SNMP isdn traps
                    	**type**\:  :py:class:`Isdn <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Isdn>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipsla
                    
                    	Enable IPSLA traps traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: isis
                    
                    	Enable ISIS traps traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: l2tc
                    
                    	Enable SNMP L2 Tunnel Config traps
                    	**type**\:  :py:class:`L2Tc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.L2Tc>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: l2tun
                    
                    	Enable SNMP L2 tunnel protocol traps
                    	**type**\:  :py:class:`L2Tun <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun>`
                    
                    .. attribute:: license
                    
                    	Enable license traps
                    	**type**\:  :py:class:`License <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.License>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: mac_notification
                    
                    	Enable SNMP MAC Notification traps
                    	**type**\:  :py:class:`MacNotification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: mac_notification2
                    
                    	Enable SNMP MAC Notification traps
                    	**type**\:  :py:class:`MacNotification2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification2>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: memory
                    
                    	Enable SNMP Memory traps
                    	**type**\:  :py:class:`Memory <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Memory>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: module
                    
                    	Enable SNMP module traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mpls
                    
                    	Enable SNMP MPLS traps
                    	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Mpls>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: msdp
                    
                    	Enable SNMP MSDP traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: mvpn
                    
                    	Enable Multicast Virtual Private Networks traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: nhrp
                    
                    	
                    	**type**\:  :py:class:`Nhrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ospf
                    
                    	Enable OSPF traps
                    	**type**\:  :py:class:`Ospf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf>`
                    
                    .. attribute:: pim
                    
                    	Enable SNMP PIM traps
                    	**type**\:  :py:class:`Pim <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Pim>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: plogd
                    
                    	Enable SNMP plogd traps
                    	**type**\:  :py:class:`Plogd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Plogd>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: port_security
                    
                    	Enable SNMP port security traps
                    	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.PortSecurity>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: power_ethernet
                    
                    	Enable SNMP power ethernet traps
                    	**type**\:  :py:class:`PowerEthernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.PowerEthernet>`
                    
                    .. attribute:: pppoe
                    
                    	Enable SNMP pppoe traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: pw
                    
                    	
                    	**type**\:  :py:class:`Pw <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Pw>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: rep
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: resource_policy
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rf
                    
                    	Enable all SNMP traps defined in CISCO\-RF\-MIB
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rogue_ap
                    
                    	Enable SNMP 802.11 Rogue AP Trap
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rsvp
                    
                    	Enable RSVP flow change traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rtr
                    
                    	Enable SNMP Response Time Reporter traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: slb
                    
                    	Enable SNMP SLB traps
                    	**type**\:  :py:class:`Slb <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Slb>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: snmp
                    
                    	Enable SNMP traps
                    	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Snmp>`
                    
                    .. attribute:: sonet
                    
                    	Enable SNMP SONET traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: srst
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: srp
                    
                    	Enable SRP protocol traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: stackwise
                    
                    	Enable SNMP stackwise traps
                    	**type**\:  :py:class:`Stackwise <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Stackwise>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: stpx
                    
                    	
                    	**type**\:  :py:class:`Stpx <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Stpx>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: stun
                    
                    	Enable SNMP STUN traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: switch_over
                    
                    	Enable SNMP 802.11 Standby Switch\-over Trap
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: syslog
                    
                    	Enable SNMP syslog traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: transceiver
                    
                    	
                    	**type**\:  :py:class:`Transceiver <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Transceiver>`
                    
                    .. attribute:: tty
                    
                    	Enable TCP connection traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: udld
                    
                    	Enable SNMP CISCO\-UDLDP\-MIB traps
                    	**type**\:  :py:class:`Udld <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Udld>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vlancreate
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlandelete
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_mac_limit
                    
                    	Enable SNMP L2 Control VLAN MAC Limit notifications
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vlan_membership
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: voice
                    
                    	Enable SNMP voice traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vrfmib
                    
                    	
                    	**type**\:  :py:class:`Vrfmib <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Vrfmib>`
                    
                    .. attribute:: vrrp
                    
                    	Enable SNMP vrrp traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vsimaster
                    
                    	Allow SNMP vsimaster traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: vstack
                    
                    	Enable SNMP Smart Install traps
                    	**type**\:  :py:class:`Vstack <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Vstack>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: vtp
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: wlan_wep
                    
                    	Enable SNMP 802.11 WLAN WEP Trap
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: xgcp
                    
                    	Enable XGCP protocol traps
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: wireless
                    
                    	wireless
                    	**type**\:  :py:class:`Wireless <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Wireless>`
                    
                    	**presence node**\: True
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SnmpServer.Enable.EnableChoice.Traps, self).__init__()

                        self.yang_name = "traps"
                        self.yang_parent_name = "enable-choice"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"trustsec-sxp" : ("trustsec_sxp", Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecSxp), "vswitch" : ("vswitch", Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch), "trustsec-server" : ("trustsec_server", Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer), "trustsec" : ("trustsec", Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec), "trustsec-interface" : ("trustsec_interface", Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface), "trustsec-policy" : ("trustsec_policy", Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy), "ospfv3" : ("ospfv3", Native.SnmpServer.Enable.EnableChoice.Traps.Ospfv3), "ike" : ("ike", Native.SnmpServer.Enable.EnableChoice.Traps.Ike), "alarms" : ("alarms", Native.SnmpServer.Enable.EnableChoice.Traps.Alarms), "atm" : ("atm", Native.SnmpServer.Enable.EnableChoice.Traps.Atm), "auth-framework" : ("auth_framework", Native.SnmpServer.Enable.EnableChoice.Traps.AuthFramework), "bgp-conf" : ("bgp_conf", Native.SnmpServer.Enable.EnableChoice.Traps.BgpConf), "bridge" : ("bridge", Native.SnmpServer.Enable.EnableChoice.Traps.Bridge), "bulkstat" : ("bulkstat", Native.SnmpServer.Enable.EnableChoice.Traps.Bulkstat), "call-home" : ("call_home", Native.SnmpServer.Enable.EnableChoice.Traps.CallHome), "c6kxbar" : ("c6kxbar", Native.SnmpServer.Enable.EnableChoice.Traps.C6Kxbar), "cef" : ("cef", Native.SnmpServer.Enable.EnableChoice.Traps.Cef), "cpu" : ("cpu", Native.SnmpServer.Enable.EnableChoice.Traps.Cpu), "csg" : ("csg", Native.SnmpServer.Enable.EnableChoice.Traps.Csg), "dot1x" : ("dot1x", Native.SnmpServer.Enable.EnableChoice.Traps.Dot1X), "dsp" : ("dsp", Native.SnmpServer.Enable.EnableChoice.Traps.Dsp), "energywise" : ("energywise", Native.SnmpServer.Enable.EnableChoice.Traps.Energywise), "entity-diag" : ("entity_diag", Native.SnmpServer.Enable.EnableChoice.Traps.EntityDiag), "envmon" : ("envmon", Native.SnmpServer.Enable.EnableChoice.Traps.Envmon), "errdisable" : ("errdisable", Native.SnmpServer.Enable.EnableChoice.Traps.Errdisable), "ethernet" : ("ethernet", Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet), "firewall" : ("firewall", Native.SnmpServer.Enable.EnableChoice.Traps.Firewall), "flash" : ("flash", Native.SnmpServer.Enable.EnableChoice.Traps.Flash), "flex-links" : ("flex_links", Native.SnmpServer.Enable.EnableChoice.Traps.FlexLinks), "frame-relay" : ("frame_relay", Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay), "ipsec" : ("ipsec", Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec), "isakmp" : ("isakmp", Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp), "isdn" : ("isdn", Native.SnmpServer.Enable.EnableChoice.Traps.Isdn), "l2tc" : ("l2tc", Native.SnmpServer.Enable.EnableChoice.Traps.L2Tc), "l2tun" : ("l2tun", Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun), "license" : ("license", Native.SnmpServer.Enable.EnableChoice.Traps.License), "mac-notification" : ("mac_notification", Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification), "mac-notification2" : ("mac_notification2", Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification2), "memory" : ("memory", Native.SnmpServer.Enable.EnableChoice.Traps.Memory), "mpls" : ("mpls", Native.SnmpServer.Enable.EnableChoice.Traps.Mpls), "nhrp" : ("nhrp", Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp), "ospf" : ("ospf", Native.SnmpServer.Enable.EnableChoice.Traps.Ospf), "pim" : ("pim", Native.SnmpServer.Enable.EnableChoice.Traps.Pim), "plogd" : ("plogd", Native.SnmpServer.Enable.EnableChoice.Traps.Plogd), "port-security" : ("port_security", Native.SnmpServer.Enable.EnableChoice.Traps.PortSecurity), "power-ethernet" : ("power_ethernet", Native.SnmpServer.Enable.EnableChoice.Traps.PowerEthernet), "pw" : ("pw", Native.SnmpServer.Enable.EnableChoice.Traps.Pw), "slb" : ("slb", Native.SnmpServer.Enable.EnableChoice.Traps.Slb), "snmp" : ("snmp", Native.SnmpServer.Enable.EnableChoice.Traps.Snmp), "stackwise" : ("stackwise", Native.SnmpServer.Enable.EnableChoice.Traps.Stackwise), "stpx" : ("stpx", Native.SnmpServer.Enable.EnableChoice.Traps.Stpx), "transceiver" : ("transceiver", Native.SnmpServer.Enable.EnableChoice.Traps.Transceiver), "udld" : ("udld", Native.SnmpServer.Enable.EnableChoice.Traps.Udld), "vrfmib" : ("vrfmib", Native.SnmpServer.Enable.EnableChoice.Traps.Vrfmib), "vstack" : ("vstack", Native.SnmpServer.Enable.EnableChoice.Traps.Vstack), "wireless" : ("wireless", Native.SnmpServer.Enable.EnableChoice.Traps.Wireless)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aaa_server = YLeaf(YType.empty, "aaa_server")

                        self.local_auth = YLeaf(YType.empty, "local-auth")

                        self.authenticate_fail = YLeaf(YType.empty, "authenticate-fail")

                        self.bfd = YLeaf(YType.empty, "bfd")

                        self.bgp = YLeaf(YType.empty, "bgp")

                        self.bstun = YLeaf(YType.empty, "bstun")

                        self.c2900 = YLeaf(YType.empty, "c2900")

                        self.casa = YLeaf(YType.empty, "casa")

                        self.ccme = YLeaf(YType.empty, "ccme")

                        self.cluster = YLeaf(YType.empty, "cluster")

                        self.channel = YLeaf(YType.empty, "channel")

                        self.chassis = YLeaf(YType.empty, "chassis")

                        self.cnpd = YLeaf(YType.empty, "cnpd")

                        self.config = YLeaf(YType.empty, "config")

                        self.copy_config = YLeaf(YType.empty, "copy-config")

                        self.config_copy = YLeaf(YType.empty, "config-copy")

                        self.config_ctid = YLeaf(YType.empty, "config-ctid")

                        self.cpu_threshold = YLeaf(YType.empty, "cpu_threshold")

                        self.dial = YLeaf(YType.empty, "dial")

                        self.director = YLeaf(YType.empty, "director")

                        self.dlsw = YLeaf(YType.empty, "dlsw")

                        self.deauthenticate = YLeaf(YType.empty, "deauthenticate")

                        self.disassociate = YLeaf(YType.empty, "disassociate")

                        self.dnis = YLeaf(YType.empty, "dnis")

                        self.dot11_qos = YLeaf(YType.empty, "dot11-qos")

                        self.ds0_busyout = YLeaf(YType.empty, "ds0-busyout")

                        self.ds1 = YLeaf(YType.empty, "ds1")

                        self.ds1_loopback = YLeaf(YType.empty, "ds1-loopback")

                        self.ds3 = YLeaf(YType.empty, "ds3")

                        self.eigrp = YLeaf(YType.empty, "eigrp")

                        self.entity_ = YLeaf(YType.empty, "entity")

                        self.ether_oam = YLeaf(YType.empty, "ether-oam")

                        self.event_manager = YLeaf(YType.empty, "event-manager")

                        self.flowmon = YLeaf(YType.empty, "flowmon")

                        self.fru_ctrl = YLeaf(YType.empty, "fru-ctrl")

                        self.gatekeeper = YLeaf(YType.empty, "gatekeeper")

                        self.hsrp = YLeaf(YType.empty, "hsrp")

                        self.icsudsu = YLeaf(YType.empty, "icsudsu")

                        self.ima = YLeaf(YType.empty, "ima")

                        self.ipmobile = YLeaf(YType.empty, "ipmobile")

                        self.ipmulticast = YLeaf(YType.empty, "ipmulticast")

                        self.ipsla = YLeaf(YType.empty, "ipsla")

                        self.isis = YLeaf(YType.empty, "isis")

                        self.module = YLeaf(YType.empty, "module")

                        self.msdp = YLeaf(YType.empty, "msdp")

                        self.mvpn = YLeaf(YType.empty, "mvpn")

                        self.pppoe = YLeaf(YType.empty, "pppoe")

                        self.rep = YLeaf(YType.empty, "rep")

                        self.resource_policy = YLeaf(YType.empty, "resource-policy")

                        self.rf = YLeaf(YType.empty, "rf")

                        self.rogue_ap = YLeaf(YType.empty, "rogue-ap")

                        self.rsvp = YLeaf(YType.empty, "rsvp")

                        self.rtr = YLeaf(YType.empty, "rtr")

                        self.sonet = YLeaf(YType.empty, "sonet")

                        self.srst = YLeaf(YType.empty, "srst")

                        self.srp = YLeaf(YType.empty, "srp")

                        self.stun = YLeaf(YType.empty, "stun")

                        self.switch_over = YLeaf(YType.empty, "switch-over")

                        self.syslog = YLeaf(YType.empty, "syslog")

                        self.tty = YLeaf(YType.empty, "tty")

                        self.vlancreate = YLeaf(YType.empty, "vlancreate")

                        self.vlandelete = YLeaf(YType.empty, "vlandelete")

                        self.vlan_mac_limit = YLeaf(YType.empty, "vlan-mac-limit")

                        self.vlan_membership = YLeaf(YType.empty, "vlan-membership")

                        self.voice = YLeaf(YType.empty, "voice")

                        self.vrrp = YLeaf(YType.empty, "vrrp")

                        self.vsimaster = YLeaf(YType.empty, "vsimaster")

                        self.vtp = YLeaf(YType.empty, "vtp")

                        self.wlan_wep = YLeaf(YType.empty, "wlan-wep")

                        self.xgcp = YLeaf(YType.empty, "xgcp")

                        self.trustsec_sxp = None
                        self._children_name_map["trustsec_sxp"] = "trustsec-sxp"
                        self._children_yang_names.add("trustsec-sxp")

                        self.vswitch = None
                        self._children_name_map["vswitch"] = "vswitch"
                        self._children_yang_names.add("vswitch")

                        self.trustsec_server = None
                        self._children_name_map["trustsec_server"] = "trustsec-server"
                        self._children_yang_names.add("trustsec-server")

                        self.trustsec = None
                        self._children_name_map["trustsec"] = "trustsec"
                        self._children_yang_names.add("trustsec")

                        self.trustsec_interface = None
                        self._children_name_map["trustsec_interface"] = "trustsec-interface"
                        self._children_yang_names.add("trustsec-interface")

                        self.trustsec_policy = None
                        self._children_name_map["trustsec_policy"] = "trustsec-policy"
                        self._children_yang_names.add("trustsec-policy")

                        self.ospfv3 = Native.SnmpServer.Enable.EnableChoice.Traps.Ospfv3()
                        self.ospfv3.parent = self
                        self._children_name_map["ospfv3"] = "ospfv3"
                        self._children_yang_names.add("ospfv3")

                        self.ike = Native.SnmpServer.Enable.EnableChoice.Traps.Ike()
                        self.ike.parent = self
                        self._children_name_map["ike"] = "ike"
                        self._children_yang_names.add("ike")

                        self.alarms = None
                        self._children_name_map["alarms"] = "alarms"
                        self._children_yang_names.add("alarms")

                        self.atm = Native.SnmpServer.Enable.EnableChoice.Traps.Atm()
                        self.atm.parent = self
                        self._children_name_map["atm"] = "atm"
                        self._children_yang_names.add("atm")

                        self.auth_framework = None
                        self._children_name_map["auth_framework"] = "auth-framework"
                        self._children_yang_names.add("auth-framework")

                        self.bgp_conf = Native.SnmpServer.Enable.EnableChoice.Traps.BgpConf()
                        self.bgp_conf.parent = self
                        self._children_name_map["bgp_conf"] = "bgp-conf"
                        self._children_yang_names.add("bgp-conf")

                        self.bridge = None
                        self._children_name_map["bridge"] = "bridge"
                        self._children_yang_names.add("bridge")

                        self.bulkstat = None
                        self._children_name_map["bulkstat"] = "bulkstat"
                        self._children_yang_names.add("bulkstat")

                        self.call_home = None
                        self._children_name_map["call_home"] = "call-home"
                        self._children_yang_names.add("call-home")

                        self.c6kxbar = None
                        self._children_name_map["c6kxbar"] = "c6kxbar"
                        self._children_yang_names.add("c6kxbar")

                        self.cef = Native.SnmpServer.Enable.EnableChoice.Traps.Cef()
                        self.cef.parent = self
                        self._children_name_map["cef"] = "cef"
                        self._children_yang_names.add("cef")

                        self.cpu = None
                        self._children_name_map["cpu"] = "cpu"
                        self._children_yang_names.add("cpu")

                        self.csg = None
                        self._children_name_map["csg"] = "csg"
                        self._children_yang_names.add("csg")

                        self.dot1x = Native.SnmpServer.Enable.EnableChoice.Traps.Dot1X()
                        self.dot1x.parent = self
                        self._children_name_map["dot1x"] = "dot1x"
                        self._children_yang_names.add("dot1x")

                        self.dsp = None
                        self._children_name_map["dsp"] = "dsp"
                        self._children_yang_names.add("dsp")

                        self.energywise = None
                        self._children_name_map["energywise"] = "energywise"
                        self._children_yang_names.add("energywise")

                        self.entity_diag = None
                        self._children_name_map["entity_diag"] = "entity-diag"
                        self._children_yang_names.add("entity-diag")

                        self.envmon = None
                        self._children_name_map["envmon"] = "envmon"
                        self._children_yang_names.add("envmon")

                        self.errdisable = None
                        self._children_name_map["errdisable"] = "errdisable"
                        self._children_yang_names.add("errdisable")

                        self.ethernet = Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet()
                        self.ethernet.parent = self
                        self._children_name_map["ethernet"] = "ethernet"
                        self._children_yang_names.add("ethernet")

                        self.firewall = None
                        self._children_name_map["firewall"] = "firewall"
                        self._children_yang_names.add("firewall")

                        self.flash = None
                        self._children_name_map["flash"] = "flash"
                        self._children_yang_names.add("flash")

                        self.flex_links = None
                        self._children_name_map["flex_links"] = "flex-links"
                        self._children_yang_names.add("flex-links")

                        self.frame_relay = None
                        self._children_name_map["frame_relay"] = "frame-relay"
                        self._children_yang_names.add("frame-relay")

                        self.ipsec = Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec()
                        self.ipsec.parent = self
                        self._children_name_map["ipsec"] = "ipsec"
                        self._children_yang_names.add("ipsec")

                        self.isakmp = Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp()
                        self.isakmp.parent = self
                        self._children_name_map["isakmp"] = "isakmp"
                        self._children_yang_names.add("isakmp")

                        self.isdn = None
                        self._children_name_map["isdn"] = "isdn"
                        self._children_yang_names.add("isdn")

                        self.l2tc = None
                        self._children_name_map["l2tc"] = "l2tc"
                        self._children_yang_names.add("l2tc")

                        self.l2tun = Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun()
                        self.l2tun.parent = self
                        self._children_name_map["l2tun"] = "l2tun"
                        self._children_yang_names.add("l2tun")

                        self.license = None
                        self._children_name_map["license"] = "license"
                        self._children_yang_names.add("license")

                        self.mac_notification = None
                        self._children_name_map["mac_notification"] = "mac-notification"
                        self._children_yang_names.add("mac-notification")

                        self.mac_notification2 = None
                        self._children_name_map["mac_notification2"] = "mac-notification2"
                        self._children_yang_names.add("mac-notification2")

                        self.memory = None
                        self._children_name_map["memory"] = "memory"
                        self._children_yang_names.add("memory")

                        self.mpls = None
                        self._children_name_map["mpls"] = "mpls"
                        self._children_yang_names.add("mpls")

                        self.nhrp = None
                        self._children_name_map["nhrp"] = "nhrp"
                        self._children_yang_names.add("nhrp")

                        self.ospf = Native.SnmpServer.Enable.EnableChoice.Traps.Ospf()
                        self.ospf.parent = self
                        self._children_name_map["ospf"] = "ospf"
                        self._children_yang_names.add("ospf")

                        self.pim = None
                        self._children_name_map["pim"] = "pim"
                        self._children_yang_names.add("pim")

                        self.plogd = None
                        self._children_name_map["plogd"] = "plogd"
                        self._children_yang_names.add("plogd")

                        self.port_security = None
                        self._children_name_map["port_security"] = "port-security"
                        self._children_yang_names.add("port-security")

                        self.power_ethernet = Native.SnmpServer.Enable.EnableChoice.Traps.PowerEthernet()
                        self.power_ethernet.parent = self
                        self._children_name_map["power_ethernet"] = "power-ethernet"
                        self._children_yang_names.add("power-ethernet")

                        self.pw = None
                        self._children_name_map["pw"] = "pw"
                        self._children_yang_names.add("pw")

                        self.slb = None
                        self._children_name_map["slb"] = "slb"
                        self._children_yang_names.add("slb")

                        self.snmp = Native.SnmpServer.Enable.EnableChoice.Traps.Snmp()
                        self.snmp.parent = self
                        self._children_name_map["snmp"] = "snmp"
                        self._children_yang_names.add("snmp")

                        self.stackwise = None
                        self._children_name_map["stackwise"] = "stackwise"
                        self._children_yang_names.add("stackwise")

                        self.stpx = None
                        self._children_name_map["stpx"] = "stpx"
                        self._children_yang_names.add("stpx")

                        self.transceiver = Native.SnmpServer.Enable.EnableChoice.Traps.Transceiver()
                        self.transceiver.parent = self
                        self._children_name_map["transceiver"] = "transceiver"
                        self._children_yang_names.add("transceiver")

                        self.udld = None
                        self._children_name_map["udld"] = "udld"
                        self._children_yang_names.add("udld")

                        self.vrfmib = Native.SnmpServer.Enable.EnableChoice.Traps.Vrfmib()
                        self.vrfmib.parent = self
                        self._children_name_map["vrfmib"] = "vrfmib"
                        self._children_yang_names.add("vrfmib")

                        self.vstack = None
                        self._children_name_map["vstack"] = "vstack"
                        self._children_yang_names.add("vstack")

                        self.wireless = None
                        self._children_name_map["wireless"] = "wireless"
                        self._children_yang_names.add("wireless")
                        self._segment_path = lambda: "traps"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps, ['aaa_server', 'local_auth', 'authenticate_fail', 'bfd', 'bgp', 'bstun', 'c2900', 'casa', 'ccme', 'cluster', 'channel', 'chassis', 'cnpd', 'config', 'copy_config', 'config_copy', 'config_ctid', 'cpu_threshold', 'dial', 'director', 'dlsw', 'deauthenticate', 'disassociate', 'dnis', 'dot11_qos', 'ds0_busyout', 'ds1', 'ds1_loopback', 'ds3', 'eigrp', 'entity_', 'ether_oam', 'event_manager', 'flowmon', 'fru_ctrl', 'gatekeeper', 'hsrp', 'icsudsu', 'ima', 'ipmobile', 'ipmulticast', 'ipsla', 'isis', 'module', 'msdp', 'mvpn', 'pppoe', 'rep', 'resource_policy', 'rf', 'rogue_ap', 'rsvp', 'rtr', 'sonet', 'srst', 'srp', 'stun', 'switch_over', 'syslog', 'tty', 'vlancreate', 'vlandelete', 'vlan_mac_limit', 'vlan_membership', 'voice', 'vrrp', 'vsimaster', 'vtp', 'wlan_wep', 'xgcp'], name, value)


                    class TrustsecSxp(Entity):
                        """
                        Enable SNMP CISCO\-TRUSTSEC\-SXP\-MIB traps
                        
                        .. attribute:: binding_conflict
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: binding_err
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: binding_expn_fail
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: conn_config_err
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: conn_down
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: conn_srcaddr_err
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: conn_up
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: msg_parse_err
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: oper_nodeid_change
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecSxp, self).__init__()

                            self.yang_name = "trustsec-sxp"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.binding_conflict = YLeaf(YType.empty, "binding-conflict")

                            self.binding_err = YLeaf(YType.empty, "binding-err")

                            self.binding_expn_fail = YLeaf(YType.empty, "binding-expn-fail")

                            self.conn_config_err = YLeaf(YType.empty, "conn-config-err")

                            self.conn_down = YLeaf(YType.empty, "conn-down")

                            self.conn_srcaddr_err = YLeaf(YType.empty, "conn-srcaddr-err")

                            self.conn_up = YLeaf(YType.empty, "conn-up")

                            self.msg_parse_err = YLeaf(YType.empty, "msg-parse-err")

                            self.oper_nodeid_change = YLeaf(YType.empty, "oper-nodeid-change")
                            self._segment_path = lambda: "trustsec-sxp"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecSxp, ['binding_conflict', 'binding_err', 'binding_expn_fail', 'conn_config_err', 'conn_down', 'conn_srcaddr_err', 'conn_up', 'msg_parse_err', 'oper_nodeid_change'], name, value)


                    class Vswitch(Entity):
                        """
                        Enable SNMP Virtual Switch notifications
                        
                        .. attribute:: dual_active
                        
                        	Enable SNMP Virtual Switch (Dual Active) notification
                        	**type**\:  :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch.DualActive>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch, self).__init__()

                            self.yang_name = "vswitch"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"dual-active" : ("dual_active", Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch.DualActive)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.dual_active = None
                            self._children_name_map["dual_active"] = "dual-active"
                            self._children_yang_names.add("dual-active")
                            self._segment_path = lambda: "vswitch"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                        class DualActive(Entity):
                            """
                            Enable SNMP Virtual Switch (Dual Active) notification
                            
                            .. attribute:: vsl
                            
                            	Enable SNMP Virtual Switch Link (VSL) notification
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch.DualActive, self).__init__()

                                self.yang_name = "dual-active"
                                self.yang_parent_name = "vswitch"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.vsl = YLeaf(YType.empty, "vsl")
                                self._segment_path = lambda: "dual-active"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/vswitch/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Vswitch.DualActive, ['vsl'], name, value)


                    class TrustsecServer(Entity):
                        """
                        Enable SNMP CISCO\-TRUSTSEC\-SERVER\-MIB traps
                        
                        .. attribute:: radius_server
                        
                        	Enable ctsvNoRadiusServerNotif notification
                        	**type**\:  :py:class:`RadiusServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer.RadiusServer>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer, self).__init__()

                            self.yang_name = "trustsec-server"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"radius-server" : ("radius_server", Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer.RadiusServer)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.radius_server = None
                            self._children_name_map["radius_server"] = "radius-server"
                            self._children_yang_names.add("radius-server")
                            self._segment_path = lambda: "trustsec-server"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                        class RadiusServer(Entity):
                            """
                            Enable ctsvNoRadiusServerNotif notification
                            
                            .. attribute:: provision_secret
                            
                            	Enable ctsvNoProvisionSecretNotif notification
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer.RadiusServer, self).__init__()

                                self.yang_name = "radius-server"
                                self.yang_parent_name = "trustsec-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.provision_secret = YLeaf(YType.empty, "provision-secret")
                                self._segment_path = lambda: "radius-server"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/trustsec-server/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecServer.RadiusServer, ['provision_secret'], name, value)


                    class Trustsec(Entity):
                        """
                        Enable SNMP CISCO\-TRUSTSEC\-MIB traps
                        
                        .. attribute:: authz_file_error
                        
                        	Enable ctsAuthzCacheFileErrNotif notifications
                        	**type**\:  :py:class:`AuthzFileError <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec, self).__init__()

                            self.yang_name = "trustsec"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"authz-file-error" : ("authz_file_error", Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.authz_file_error = None
                            self._children_name_map["authz_file_error"] = "authz-file-error"
                            self._children_yang_names.add("authz-file-error")
                            self._segment_path = lambda: "trustsec"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                        class AuthzFileError(Entity):
                            """
                            Enable ctsAuthzCacheFileErrNotif notifications
                            
                            .. attribute:: cache_file_error
                            
                            	Enable ctsCacheFileAccessErrNotif notifications
                            	**type**\:  :py:class:`CacheFileError <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError, self).__init__()

                                self.yang_name = "authz-file-error"
                                self.yang_parent_name = "trustsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"cache-file-error" : ("cache_file_error", Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.cache_file_error = None
                                self._children_name_map["cache_file_error"] = "cache-file-error"
                                self._children_yang_names.add("cache-file-error")
                                self._segment_path = lambda: "authz-file-error"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/trustsec/%s" % self._segment_path()


                            class CacheFileError(Entity):
                                """
                                Enable ctsCacheFileAccessErrNotif notifications
                                
                                .. attribute:: keystore_file_error
                                
                                	Enable ctsSwKeystoreFileErrNotif notifications
                                	**type**\:  :py:class:`KeystoreFileError <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError, self).__init__()

                                    self.yang_name = "cache-file-error"
                                    self.yang_parent_name = "authz-file-error"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"keystore-file-error" : ("keystore_file_error", Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.keystore_file_error = None
                                    self._children_name_map["keystore_file_error"] = "keystore-file-error"
                                    self._children_yang_names.add("keystore-file-error")
                                    self._segment_path = lambda: "cache-file-error"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/trustsec/authz-file-error/%s" % self._segment_path()


                                class KeystoreFileError(Entity):
                                    """
                                    Enable ctsSwKeystoreFileErrNotif notifications
                                    
                                    .. attribute:: keystore_sync_fail
                                    
                                    	Enable ctsSwKeystoreSyncFailNotif notifications
                                    	**type**\:  :py:class:`KeystoreSyncFail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-snmp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError, self).__init__()

                                        self.yang_name = "keystore-file-error"
                                        self.yang_parent_name = "cache-file-error"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"keystore-sync-fail" : ("keystore_sync_fail", Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.keystore_sync_fail = None
                                        self._children_name_map["keystore_sync_fail"] = "keystore-sync-fail"
                                        self._children_yang_names.add("keystore-sync-fail")
                                        self._segment_path = lambda: "keystore-file-error"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/trustsec/authz-file-error/cache-file-error/%s" % self._segment_path()


                                    class KeystoreSyncFail(Entity):
                                        """
                                        Enable ctsSwKeystoreSyncFailNotif notifications
                                        
                                        .. attribute:: random_number_fail
                                        
                                        	Enable ctsSapRandonNumberFailNotif notifications
                                        	**type**\:  :py:class:`RandomNumberFail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail.RandomNumberFail>`
                                        
                                        	**presence node**\: True
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-snmp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail, self).__init__()

                                            self.yang_name = "keystore-sync-fail"
                                            self.yang_parent_name = "keystore-file-error"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"random-number-fail" : ("random_number_fail", Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail.RandomNumberFail)}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.random_number_fail = None
                                            self._children_name_map["random_number_fail"] = "random-number-fail"
                                            self._children_yang_names.add("random-number-fail")
                                            self._segment_path = lambda: "keystore-sync-fail"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/trustsec/authz-file-error/cache-file-error/keystore-file-error/%s" % self._segment_path()


                                        class RandomNumberFail(Entity):
                                            """
                                            Enable ctsSapRandonNumberFailNotif notifications
                                            
                                            .. attribute:: src_entropy_fail
                                            
                                            	Enable ctsSrcEntropyFailNotif notifications
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-snmp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail.RandomNumberFail, self).__init__()

                                                self.yang_name = "random-number-fail"
                                                self.yang_parent_name = "keystore-sync-fail"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.src_entropy_fail = YLeaf(YType.empty, "src-entropy-fail")
                                                self._segment_path = lambda: "random-number-fail"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/trustsec/authz-file-error/cache-file-error/keystore-file-error/keystore-sync-fail/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Trustsec.AuthzFileError.CacheFileError.KeystoreFileError.KeystoreSyncFail.RandomNumberFail, ['src_entropy_fail'], name, value)


                    class TrustsecInterface(Entity):
                        """
                        Enable SNMP CISCO\-TRUSTSEC\-INTERFACE\-MIB traps
                        
                        .. attribute:: unauthorized
                        
                        	Enable ctsiIfUnauthorizedNotifEnable trap
                        	**type**\:  :py:class:`Unauthorized <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface, self).__init__()

                            self.yang_name = "trustsec-interface"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"unauthorized" : ("unauthorized", Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.unauthorized = None
                            self._children_name_map["unauthorized"] = "unauthorized"
                            self._children_yang_names.add("unauthorized")
                            self._segment_path = lambda: "trustsec-interface"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                        class Unauthorized(Entity):
                            """
                            Enable ctsiIfUnauthorizedNotifEnable trap
                            
                            .. attribute:: sap_fail
                            
                            	Enable ctsiIfSapNegotiationFailNotif trap
                            	**type**\:  :py:class:`SapFail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized, self).__init__()

                                self.yang_name = "unauthorized"
                                self.yang_parent_name = "trustsec-interface"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"sap-fail" : ("sap_fail", Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.sap_fail = None
                                self._children_name_map["sap_fail"] = "sap-fail"
                                self._children_yang_names.add("sap-fail")
                                self._segment_path = lambda: "unauthorized"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/trustsec-interface/%s" % self._segment_path()


                            class SapFail(Entity):
                                """
                                Enable ctsiIfSapNegotiationFailNotif trap
                                
                                .. attribute:: authc_fail
                                
                                	Enable ctsiIfAuthenticationFailNotif trap
                                	**type**\:  :py:class:`AuthcFail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail, self).__init__()

                                    self.yang_name = "sap-fail"
                                    self.yang_parent_name = "unauthorized"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"authc-fail" : ("authc_fail", Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.authc_fail = None
                                    self._children_name_map["authc_fail"] = "authc-fail"
                                    self._children_yang_names.add("authc-fail")
                                    self._segment_path = lambda: "sap-fail"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/trustsec-interface/unauthorized/%s" % self._segment_path()


                                class AuthcFail(Entity):
                                    """
                                    Enable ctsiIfAuthenticationFailNotif trap
                                    
                                    .. attribute:: supplicant_fail
                                    
                                    	Enable ctsiIfAddSupplicantFailNotif trap
                                    	**type**\:  :py:class:`SupplicantFail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail.SupplicantFail>`
                                    
                                    	**presence node**\: True
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-snmp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail, self).__init__()

                                        self.yang_name = "authc-fail"
                                        self.yang_parent_name = "sap-fail"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"supplicant-fail" : ("supplicant_fail", Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail.SupplicantFail)}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.supplicant_fail = None
                                        self._children_name_map["supplicant_fail"] = "supplicant-fail"
                                        self._children_yang_names.add("supplicant-fail")
                                        self._segment_path = lambda: "authc-fail"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/trustsec-interface/unauthorized/sap-fail/%s" % self._segment_path()


                                    class SupplicantFail(Entity):
                                        """
                                        Enable ctsiIfAddSupplicantFailNotif trap
                                        
                                        .. attribute:: authz_fail
                                        
                                        	Enable ctsiAuthorizationFailNotif trap
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-snmp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail.SupplicantFail, self).__init__()

                                            self.yang_name = "supplicant-fail"
                                            self.yang_parent_name = "authc-fail"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.authz_fail = YLeaf(YType.empty, "authz-fail")
                                            self._segment_path = lambda: "supplicant-fail"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/trustsec-interface/unauthorized/sap-fail/authc-fail/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecInterface.Unauthorized.SapFail.AuthcFail.SupplicantFail, ['authz_fail'], name, value)


                    class TrustsecPolicy(Entity):
                        """
                        Enable SNMP CISCO\-TRUSTSEC\-POLICY\-MIB traps
                        
                        .. attribute:: peer_policy_updated
                        
                        	Enable ctspPeerPolicyUpdatedNotif notifications
                        	**type**\:  :py:class:`PeerPolicyUpdated <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy.PeerPolicyUpdated>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy, self).__init__()

                            self.yang_name = "trustsec-policy"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"peer-policy-updated" : ("peer_policy_updated", Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy.PeerPolicyUpdated)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.peer_policy_updated = None
                            self._children_name_map["peer_policy_updated"] = "peer-policy-updated"
                            self._children_yang_names.add("peer-policy-updated")
                            self._segment_path = lambda: "trustsec-policy"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                        class PeerPolicyUpdated(Entity):
                            """
                            Enable ctspPeerPolicyUpdatedNotif notifications
                            
                            .. attribute:: authz_sgacl_fail
                            
                            	Enable ctspAuthorizationSgaclFailNotif notifications
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy.PeerPolicyUpdated, self).__init__()

                                self.yang_name = "peer-policy-updated"
                                self.yang_parent_name = "trustsec-policy"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.authz_sgacl_fail = YLeaf(YType.empty, "authz-sgacl-fail")
                                self._segment_path = lambda: "peer-policy-updated"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/trustsec-policy/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.TrustsecPolicy.PeerPolicyUpdated, ['authz_sgacl_fail'], name, value)


                    class Ospfv3(Entity):
                        """
                        Enable OSPFv3 traps
                        
                        .. attribute:: state_change
                        
                        	State change traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: errors
                        
                        	Error traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Ospfv3, self).__init__()

                            self.yang_name = "ospfv3"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.state_change = YLeaf(YType.empty, "state-change")

                            self.errors = YLeaf(YType.empty, "errors")
                            self._segment_path = lambda: "ospfv3"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ospfv3, ['state_change', 'errors'], name, value)


                    class Ike(Entity):
                        """
                        Enable IKE traps
                        
                        .. attribute:: policy
                        
                        	Enable IKE Policy traps
                        	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Policy>`
                        
                        .. attribute:: tunnel
                        
                        	Enable IKE Tunnel traps
                        	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Tunnel>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Ike, self).__init__()

                            self.yang_name = "ike"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"policy" : ("policy", Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Policy), "tunnel" : ("tunnel", Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Tunnel)}
                            self._child_list_classes = {}

                            self.policy = Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Policy()
                            self.policy.parent = self
                            self._children_name_map["policy"] = "policy"
                            self._children_yang_names.add("policy")

                            self.tunnel = Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Tunnel()
                            self.tunnel.parent = self
                            self._children_name_map["tunnel"] = "tunnel"
                            self._children_yang_names.add("tunnel")
                            self._segment_path = lambda: "ike"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                        class Policy(Entity):
                            """
                            Enable IKE Policy traps
                            
                            .. attribute:: add
                            
                            	Enable IKE Policy add trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: delete
                            
                            	Enable IKE Policy delete trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Policy, self).__init__()

                                self.yang_name = "policy"
                                self.yang_parent_name = "ike"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.add = YLeaf(YType.empty, "add")

                                self.delete = YLeaf(YType.empty, "delete")
                                self._segment_path = lambda: "policy"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ike/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Policy, ['add', 'delete'], name, value)


                        class Tunnel(Entity):
                            """
                            Enable IKE Tunnel traps
                            
                            .. attribute:: start
                            
                            	Enable IKE Tunnel start trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: stop
                            
                            	Enable IKE Tunnel stop trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Tunnel, self).__init__()

                                self.yang_name = "tunnel"
                                self.yang_parent_name = "ike"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.start = YLeaf(YType.empty, "start")

                                self.stop = YLeaf(YType.empty, "stop")
                                self._segment_path = lambda: "tunnel"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ike/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ike.Tunnel, ['start', 'stop'], name, value)


                    class Alarms(Entity):
                        """
                        Enable SNMP alarms traps
                        
                        .. attribute:: alarm_type
                        
                        	
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 1..4
                        
                        		**type**\:  :py:class:`AlarmType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Alarms.AlarmType>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Alarms, self).__init__()

                            self.yang_name = "alarms"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.alarm_type = YLeaf(YType.str, "alarm-type")
                            self._segment_path = lambda: "alarms"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Alarms, ['alarm_type'], name, value)

                        class AlarmType(Enum):
                            """
                            AlarmType

                            .. data:: critical = 0

                            .. data:: informational = 1

                            .. data:: major = 2

                            .. data:: minor = 3

                            """

                            critical = Enum.YLeaf(0, "critical")

                            informational = Enum.YLeaf(1, "informational")

                            major = Enum.YLeaf(2, "major")

                            minor = Enum.YLeaf(3, "minor")



                    class Atm(Entity):
                        """
                        Enable SNMP atm traps
                        
                        .. attribute:: pvc
                        
                        	Enable SNMP atm pvc traps
                        	**type**\:  :py:class:`Pvc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: subif
                        
                        	Enable SNMP atm subinterface traps
                        	**type**\:  :py:class:`Subif <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Subif>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Atm, self).__init__()

                            self.yang_name = "atm"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pvc" : ("pvc", Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc), "subif" : ("subif", Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Subif)}
                            self._child_list_classes = {}

                            self.pvc = None
                            self._children_name_map["pvc"] = "pvc"
                            self._children_yang_names.add("pvc")

                            self.subif = None
                            self._children_name_map["subif"] = "subif"
                            self._children_yang_names.add("subif")
                            self._segment_path = lambda: "atm"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                        class Pvc(Entity):
                            """
                            Enable SNMP atm pvc traps
                            
                            .. attribute:: extension
                            
                            	Enable SNMP atm pvc extension traps
                            	**type**\:  :py:class:`Extension <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension>`
                            
                            .. attribute:: interval
                            
                            	minimum period between successive traps
                            	**type**\: int
                            
                            	**range:** 1..3600
                            
                            .. attribute:: fail_interval
                            
                            	minimum period for storing the failed timestamp
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc, self).__init__()

                                self.yang_name = "pvc"
                                self.yang_parent_name = "atm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"extension" : ("extension", Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.interval = YLeaf(YType.uint16, "interval")

                                self.fail_interval = YLeaf(YType.uint16, "fail-interval")

                                self.extension = Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension()
                                self.extension.parent = self
                                self._children_name_map["extension"] = "extension"
                                self._children_yang_names.add("extension")
                                self._segment_path = lambda: "pvc"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/atm/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc, ['interval', 'fail_interval'], name, value)


                            class Extension(Entity):
                                """
                                Enable SNMP atm pvc extension traps
                                
                                .. attribute:: down
                                
                                	Enable SNMP atm pvc extended down trap
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: up
                                
                                	Enable SNMP atm pvc extended up traps
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mibversion
                                
                                	Extension MIB version to be used
                                	**type**\:  :py:class:`Mibversion <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Mibversion>`
                                
                                .. attribute:: oam
                                
                                	Enable SNMP atm pvc extended oam trap
                                	**type**\:  :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension, self).__init__()

                                    self.yang_name = "extension"
                                    self.yang_parent_name = "pvc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"oam" : ("oam", Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam)}
                                    self._child_list_classes = {}

                                    self.down = YLeaf(YType.empty, "down")

                                    self.up = YLeaf(YType.empty, "up")

                                    self.mibversion = YLeaf(YType.enumeration, "mibversion")

                                    self.oam = Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam()
                                    self.oam.parent = self
                                    self._children_name_map["oam"] = "oam"
                                    self._children_yang_names.add("oam")
                                    self._segment_path = lambda: "extension"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/atm/pvc/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension, ['down', 'up', 'mibversion'], name, value)

                                class Mibversion(Enum):
                                    """
                                    Mibversion

                                    Extension MIB version to be used

                                    .. data:: Y_1 = 0

                                    .. data:: Y_2 = 1

                                    """

                                    Y_1 = Enum.YLeaf(0, "1")

                                    Y_2 = Enum.YLeaf(1, "2")



                                class Oam(Entity):
                                    """
                                    Enable SNMP atm pvc extended oam trap
                                    
                                    .. attribute:: failure
                                    
                                    	Enable SNMP atm pvc extended any oam failure trap
                                    	**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam.Failure>`
                                    
                                    

                                    """

                                    _prefix = 'ios-snmp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam, self).__init__()

                                        self.yang_name = "oam"
                                        self.yang_parent_name = "extension"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"failure" : ("failure", Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam.Failure)}
                                        self._child_list_classes = {}

                                        self.failure = Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam.Failure()
                                        self.failure.parent = self
                                        self._children_name_map["failure"] = "failure"
                                        self._children_yang_names.add("failure")
                                        self._segment_path = lambda: "oam"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/atm/pvc/extension/%s" % self._segment_path()


                                    class Failure(Entity):
                                        """
                                        Enable SNMP atm pvc extended any oam failure trap
                                        
                                        .. attribute:: loopback
                                        
                                        	Enable SNMP atm pvc extended oam loopback failure trap
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-snmp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam.Failure, self).__init__()

                                            self.yang_name = "failure"
                                            self.yang_parent_name = "oam"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.loopback = YLeaf(YType.empty, "loopback")
                                            self._segment_path = lambda: "failure"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/atm/pvc/extension/oam/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Pvc.Extension.Oam.Failure, ['loopback'], name, value)


                        class Subif(Entity):
                            """
                            Enable SNMP atm subinterface traps
                            
                            .. attribute:: interval
                            
                            	Interval duration in which to limit the number of traps sent
                            	**type**\: int
                            
                            	**range:** 0..3600
                            
                            .. attribute:: count
                            
                            	Maximum number of traps sent per interval
                            	**type**\: int
                            
                            	**range:** 1..1000
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Subif, self).__init__()

                                self.yang_name = "subif"
                                self.yang_parent_name = "atm"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.interval = YLeaf(YType.uint16, "interval")

                                self.count = YLeaf(YType.uint16, "count")
                                self._segment_path = lambda: "subif"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/atm/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Atm.Subif, ['interval', 'count'], name, value)


                    class AuthFramework(Entity):
                        """
                        
                        
                        .. attribute:: sec_violation
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.AuthFramework, self).__init__()

                            self.yang_name = "auth-framework"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.sec_violation = YLeaf(YType.empty, "sec-violation")
                            self._segment_path = lambda: "auth-framework"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.AuthFramework, ['sec_violation'], name, value)


                    class BgpConf(Entity):
                        """
                        
                        
                        .. attribute:: cbgp2
                        
                        	Enable BGP MIBv2 traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.BgpConf, self).__init__()

                            self.yang_name = "bgp-conf"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.cbgp2 = YLeaf(YType.empty, "cbgp2")
                            self._segment_path = lambda: "bgp-conf"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.BgpConf, ['cbgp2'], name, value)


                    class Bridge(Entity):
                        """
                        
                        
                        .. attribute:: newroot
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: topologychange
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Bridge, self).__init__()

                            self.yang_name = "bridge"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.newroot = YLeaf(YType.empty, "newroot")

                            self.topologychange = YLeaf(YType.empty, "topologychange")
                            self._segment_path = lambda: "bridge"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Bridge, ['newroot', 'topologychange'], name, value)


                    class Bulkstat(Entity):
                        """
                        Enable Data\-Collection\-MIB Collection notifications
                        
                        .. attribute:: collection
                        
                        	Enable Data\-Collection\-MIB Collection notifications
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: transfer
                        
                        	Enable Data\-Collection\-MIB Transfer notifications
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Bulkstat, self).__init__()

                            self.yang_name = "bulkstat"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.collection = YLeaf(YType.empty, "collection")

                            self.transfer = YLeaf(YType.empty, "transfer")
                            self._segment_path = lambda: "bulkstat"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Bulkstat, ['collection', 'transfer'], name, value)


                    class CallHome(Entity):
                        """
                        Enable CISCO\-CALLHOME\-MIB traps
                        
                        .. attribute:: message_send_fail
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: server_fail
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.CallHome, self).__init__()

                            self.yang_name = "call-home"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.message_send_fail = YLeaf(YType.empty, "message-send-fail")

                            self.server_fail = YLeaf(YType.empty, "server-fail")
                            self._segment_path = lambda: "call-home"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.CallHome, ['message_send_fail', 'server_fail'], name, value)


                    class C6Kxbar(Entity):
                        """
                        Enable SNMP CISCO\-CAT6K\-CROSSBAR\-MIB traps
                        
                        .. attribute:: intbus_crcexcd
                        
                        	Enable SNMP cc6kxbarIntBusCRCErrExcdNotif notification
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: intbus_crcrcvrd
                        
                        	Enable SNMP cc6kxbarIntBusCRCErrRcvrdNotif notification
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: swbus
                        
                        	Enable SNMP cc6kxbarSwBusStatusChangeNotif notification
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.C6Kxbar, self).__init__()

                            self.yang_name = "c6kxbar"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.intbus_crcexcd = YLeaf(YType.empty, "intbus-crcexcd")

                            self.intbus_crcrcvrd = YLeaf(YType.empty, "intbus-crcrcvrd")

                            self.swbus = YLeaf(YType.empty, "swbus")
                            self._segment_path = lambda: "c6kxbar"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.C6Kxbar, ['intbus_crcexcd', 'intbus_crcrcvrd', 'swbus'], name, value)


                    class Cef(Entity):
                        """
                        
                        
                        .. attribute:: resource_failure
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: peer_state_change
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: peer_fib_state_change
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: inconsistency
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Cef, self).__init__()

                            self.yang_name = "cef"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.resource_failure = YLeaf(YType.empty, "resource-failure")

                            self.peer_state_change = YLeaf(YType.empty, "peer-state-change")

                            self.peer_fib_state_change = YLeaf(YType.empty, "peer-fib-state-change")

                            self.inconsistency = YLeaf(YType.empty, "inconsistency")
                            self._segment_path = lambda: "cef"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Cef, ['resource_failure', 'peer_state_change', 'peer_fib_state_change', 'inconsistency'], name, value)


                    class Cpu(Entity):
                        """
                        Allow cpu related traps
                        
                        .. attribute:: threshold
                        
                        	Allow CPU utilization threshold violation traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Cpu, self).__init__()

                            self.yang_name = "cpu"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.threshold = YLeaf(YType.empty, "threshold")
                            self._segment_path = lambda: "cpu"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Cpu, ['threshold'], name, value)


                    class Csg(Entity):
                        """
                        Enable SNMP CSG traps
                        
                        .. attribute:: agent
                        
                        	Enable SNMP Agent Server traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: database
                        
                        	Enable SNMP CSG database traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: quota_server
                        
                        	Enable SNMP Quota Server traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Csg, self).__init__()

                            self.yang_name = "csg"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.agent = YLeaf(YType.empty, "agent")

                            self.database = YLeaf(YType.empty, "database")

                            self.quota_server = YLeaf(YType.empty, "quota-server")
                            self._segment_path = lambda: "csg"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Csg, ['agent', 'database', 'quota_server'], name, value)


                    class Dot1X(Entity):
                        """
                        
                        
                        .. attribute:: auth_fail_vlan
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: guest_vlan
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: no_auth_fail_vlan
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: no_guest_vlan
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Dot1X, self).__init__()

                            self.yang_name = "dot1x"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.auth_fail_vlan = YLeaf(YType.empty, "auth-fail-vlan")

                            self.guest_vlan = YLeaf(YType.empty, "guest-vlan")

                            self.no_auth_fail_vlan = YLeaf(YType.empty, "no-auth-fail-vlan")

                            self.no_guest_vlan = YLeaf(YType.empty, "no-guest-vlan")
                            self._segment_path = lambda: "dot1x"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Dot1X, ['auth_fail_vlan', 'guest_vlan', 'no_auth_fail_vlan', 'no_guest_vlan'], name, value)


                    class Dsp(Entity):
                        """
                        Enable SNMP dsp traps
                        
                        .. attribute:: card_status
                        
                        	Enable SNMP card status of dsp traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: oper_state
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Dsp, self).__init__()

                            self.yang_name = "dsp"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.card_status = YLeaf(YType.empty, "card-status")

                            self.oper_state = YLeaf(YType.empty, "oper-state")
                            self._segment_path = lambda: "dsp"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Dsp, ['card_status', 'oper_state'], name, value)


                    class Energywise(Entity):
                        """
                        
                        
                        .. attribute:: event_occured
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: level_change
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: neighbor_added
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: neighbor_deleted
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Energywise, self).__init__()

                            self.yang_name = "energywise"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.event_occured = YLeaf(YType.empty, "event-occured")

                            self.level_change = YLeaf(YType.empty, "level-change")

                            self.neighbor_added = YLeaf(YType.empty, "neighbor-added")

                            self.neighbor_deleted = YLeaf(YType.empty, "neighbor-deleted")
                            self._segment_path = lambda: "energywise"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Energywise, ['event_occured', 'level_change', 'neighbor_added', 'neighbor_deleted'], name, value)


                    class EntityDiag(Entity):
                        """
                        Enable SNMP CISCO\-ENTITY\-DIAG\-MIB traps
                        
                        .. attribute:: boot_up_fail
                        
                        	Enable SNMP ceDiagBootUpFailedNotif traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hm_test_recover
                        
                        	Enable SNMP ceDiagHMTestRecoverNotif traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: hm_thresh_reached
                        
                        	Enable SNMP ceDiagHMThresholdReachedNotif traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: scheduled_test_fail
                        
                        	Enable SNMP ceDiagScheduledTestFailedNotif traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.EntityDiag, self).__init__()

                            self.yang_name = "entity-diag"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.boot_up_fail = YLeaf(YType.empty, "boot-up-fail")

                            self.hm_test_recover = YLeaf(YType.empty, "hm-test-recover")

                            self.hm_thresh_reached = YLeaf(YType.empty, "hm-thresh-reached")

                            self.scheduled_test_fail = YLeaf(YType.empty, "scheduled-test-fail")
                            self._segment_path = lambda: "entity-diag"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.EntityDiag, ['boot_up_fail', 'hm_test_recover', 'hm_thresh_reached', 'scheduled_test_fail'], name, value)


                    class Envmon(Entity):
                        """
                        Enable SNMP environmental monitor traps
                        
                        .. attribute:: fan
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: supply
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: temperature
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: status
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Envmon, self).__init__()

                            self.yang_name = "envmon"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.fan = YLeaf(YType.empty, "fan")

                            self.shutdown = YLeaf(YType.empty, "shutdown")

                            self.supply = YLeaf(YType.empty, "supply")

                            self.temperature = YLeaf(YType.empty, "temperature")

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "envmon"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Envmon, ['fan', 'shutdown', 'supply', 'temperature', 'status'], name, value)


                    class Errdisable(Entity):
                        """
                        Enable SNMP errdisable notifications
                        
                        .. attribute:: notification_rate
                        
                        	Number of notifications per minute
                        	**type**\: int
                        
                        	**range:** 0..10000
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Errdisable, self).__init__()

                            self.yang_name = "errdisable"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.notification_rate = YLeaf(YType.uint16, "notification-rate")
                            self._segment_path = lambda: "errdisable"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Errdisable, ['notification_rate'], name, value)


                    class Ethernet(Entity):
                        """
                        
                        
                        .. attribute:: cfm
                        
                        	
                        	**type**\:  :py:class:`Cfm <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm>`
                        
                        .. attribute:: evc
                        
                        	Enable SNMP Ethernet EVC traps
                        	**type**\:  :py:class:`Evc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Evc>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet, self).__init__()

                            self.yang_name = "ethernet"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"cfm" : ("cfm", Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm), "evc" : ("evc", Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Evc)}
                            self._child_list_classes = {}

                            self.cfm = Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm()
                            self.cfm.parent = self
                            self._children_name_map["cfm"] = "cfm"
                            self._children_yang_names.add("cfm")

                            self.evc = None
                            self._children_name_map["evc"] = "evc"
                            self._children_yang_names.add("evc")
                            self._segment_path = lambda: "ethernet"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                        class Cfm(Entity):
                            """
                            
                            
                            .. attribute:: alarm
                            
                            	Enable SNMP Ethernet CFM fault alarm trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: cc
                            
                            	
                            	**type**\:  :py:class:`Cc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Cc>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: crosscheck
                            
                            	
                            	**type**\:  :py:class:`Crosscheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Crosscheck>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm, self).__init__()

                                self.yang_name = "cfm"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"cc" : ("cc", Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Cc), "crosscheck" : ("crosscheck", Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Crosscheck)}
                                self._child_list_classes = {}

                                self.alarm = YLeaf(YType.empty, "alarm")

                                self.cc = None
                                self._children_name_map["cc"] = "cc"
                                self._children_yang_names.add("cc")

                                self.crosscheck = None
                                self._children_name_map["crosscheck"] = "crosscheck"
                                self._children_yang_names.add("crosscheck")
                                self._segment_path = lambda: "cfm"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ethernet/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm, ['alarm'], name, value)


                            class Cc(Entity):
                                """
                                
                                
                                .. attribute:: config
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: cross_connect
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: loop
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mep_down
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mep_up
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Cc, self).__init__()

                                    self.yang_name = "cc"
                                    self.yang_parent_name = "cfm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.config = YLeaf(YType.empty, "config")

                                    self.cross_connect = YLeaf(YType.empty, "cross-connect")

                                    self.loop = YLeaf(YType.empty, "loop")

                                    self.mep_down = YLeaf(YType.empty, "mep-down")

                                    self.mep_up = YLeaf(YType.empty, "mep-up")
                                    self._segment_path = lambda: "cc"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ethernet/cfm/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Cc, ['config', 'cross_connect', 'loop', 'mep_down', 'mep_up'], name, value)


                            class Crosscheck(Entity):
                                """
                                
                                
                                .. attribute:: mep_missing
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: mep_unknown
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: service_up
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Crosscheck, self).__init__()

                                    self.yang_name = "crosscheck"
                                    self.yang_parent_name = "cfm"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.mep_missing = YLeaf(YType.empty, "mep-missing")

                                    self.mep_unknown = YLeaf(YType.empty, "mep-unknown")

                                    self.service_up = YLeaf(YType.empty, "service-up")
                                    self._segment_path = lambda: "crosscheck"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ethernet/cfm/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Cfm.Crosscheck, ['mep_missing', 'mep_unknown', 'service_up'], name, value)


                        class Evc(Entity):
                            """
                            Enable SNMP Ethernet EVC traps
                            
                            .. attribute:: create
                            
                            	Enable SNMP Ethernet EVC create traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: delete
                            
                            	Enable SNMP Ethernet EVC delete traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: status
                            
                            	Enable SNMP Ethernet EVC status traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Evc, self).__init__()

                                self.yang_name = "evc"
                                self.yang_parent_name = "ethernet"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.create = YLeaf(YType.empty, "create")

                                self.delete = YLeaf(YType.empty, "delete")

                                self.status = YLeaf(YType.empty, "status")
                                self._segment_path = lambda: "evc"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ethernet/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ethernet.Evc, ['create', 'delete', 'status'], name, value)


                    class Firewall(Entity):
                        """
                        
                        
                        .. attribute:: serverstatus
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Firewall, self).__init__()

                            self.yang_name = "firewall"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.serverstatus = YLeaf(YType.empty, "serverstatus")
                            self._segment_path = lambda: "firewall"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Firewall, ['serverstatus'], name, value)


                    class Flash(Entity):
                        """
                        Enable SNMP FLASH notifications
                        
                        .. attribute:: insertion
                        
                        	Enable SNMP Flash Insertion notifications
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: removal
                        
                        	Enable SNMP Flash Removal notifications
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Flash, self).__init__()

                            self.yang_name = "flash"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.insertion = YLeaf(YType.empty, "insertion")

                            self.removal = YLeaf(YType.empty, "removal")
                            self._segment_path = lambda: "flash"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Flash, ['insertion', 'removal'], name, value)


                    class FlexLinks(Entity):
                        """
                        Enable SNMP FLEX Links traps
                        
                        .. attribute:: status
                        
                        	Enable SNMP FLEX Links status change traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.FlexLinks, self).__init__()

                            self.yang_name = "flex-links"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.status = YLeaf(YType.empty, "status")
                            self._segment_path = lambda: "flex-links"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.FlexLinks, ['status'], name, value)


                    class FrameRelay(Entity):
                        """
                        Enable SNMP frame\-relay traps
                        
                        .. attribute:: multilink
                        
                        	Enable MFR traps
                        	**type**\:  :py:class:`Multilink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Multilink>`
                        
                        .. attribute:: subif
                        
                        	Enable SNMP frame\-relay subinterface traps
                        	**type**\:  :py:class:`Subif <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Subif>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay, self).__init__()

                            self.yang_name = "frame-relay"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"multilink" : ("multilink", Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Multilink), "subif" : ("subif", Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Subif)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.multilink = Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Multilink()
                            self.multilink.parent = self
                            self._children_name_map["multilink"] = "multilink"
                            self._children_yang_names.add("multilink")

                            self.subif = None
                            self._children_name_map["subif"] = "subif"
                            self._children_yang_names.add("subif")
                            self._segment_path = lambda: "frame-relay"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                        class Multilink(Entity):
                            """
                            Enable MFR traps
                            
                            .. attribute:: bundle_mismatch
                            
                            	Enable MFR trap for inconsistent bundle event
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Multilink, self).__init__()

                                self.yang_name = "multilink"
                                self.yang_parent_name = "frame-relay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.bundle_mismatch = YLeaf(YType.empty, "bundle-mismatch")
                                self._segment_path = lambda: "multilink"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/frame-relay/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Multilink, ['bundle_mismatch'], name, value)


                        class Subif(Entity):
                            """
                            Enable SNMP frame\-relay subinterface traps
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.FrameRelay.Subif, self).__init__()

                                self.yang_name = "subif"
                                self.yang_parent_name = "frame-relay"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "subif"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/frame-relay/%s" % self._segment_path()


                    class Ipsec(Entity):
                        """
                        Enable IPsec traps
                        
                        .. attribute:: cryptomap
                        
                        	
                        	**type**\:  :py:class:`Cryptomap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Cryptomap>`
                        
                        .. attribute:: tunnel
                        
                        	Enable IPsec Tunnel traps
                        	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Tunnel>`
                        
                        .. attribute:: too_many_sas
                        
                        	Enable IPsec Tunnel Start trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec, self).__init__()

                            self.yang_name = "ipsec"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"cryptomap" : ("cryptomap", Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Cryptomap), "tunnel" : ("tunnel", Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Tunnel)}
                            self._child_list_classes = {}

                            self.too_many_sas = YLeaf(YType.empty, "too-many-sas")

                            self.cryptomap = Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Cryptomap()
                            self.cryptomap.parent = self
                            self._children_name_map["cryptomap"] = "cryptomap"
                            self._children_yang_names.add("cryptomap")

                            self.tunnel = Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Tunnel()
                            self.tunnel.parent = self
                            self._children_name_map["tunnel"] = "tunnel"
                            self._children_yang_names.add("tunnel")
                            self._segment_path = lambda: "ipsec"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec, ['too_many_sas'], name, value)


                        class Cryptomap(Entity):
                            """
                            
                            
                            .. attribute:: add
                            
                            	Enable IPsec Cryptomap add trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: attach
                            
                            	Enable IPsec Cryptomap Attach trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: delete
                            
                            	Enable IPsec Cryptomap delete trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: detach
                            
                            	Enable IPsec Cryptomap Detach trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Cryptomap, self).__init__()

                                self.yang_name = "cryptomap"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.add = YLeaf(YType.empty, "add")

                                self.attach = YLeaf(YType.empty, "attach")

                                self.delete = YLeaf(YType.empty, "delete")

                                self.detach = YLeaf(YType.empty, "detach")
                                self._segment_path = lambda: "cryptomap"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ipsec/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Cryptomap, ['add', 'attach', 'delete', 'detach'], name, value)


                        class Tunnel(Entity):
                            """
                            Enable IPsec Tunnel traps
                            
                            .. attribute:: start
                            
                            	Enable IPsec Tunnel Start trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: stop
                            
                            	Enable IPsec Tunnel Stop trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Tunnel, self).__init__()

                                self.yang_name = "tunnel"
                                self.yang_parent_name = "ipsec"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.start = YLeaf(YType.empty, "start")

                                self.stop = YLeaf(YType.empty, "stop")
                                self._segment_path = lambda: "tunnel"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ipsec/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ipsec.Tunnel, ['start', 'stop'], name, value)


                    class Isakmp(Entity):
                        """
                        Enable ISAKMP traps traps
                        
                        .. attribute:: policy
                        
                        	Enable ISAKMP traps
                        	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Policy>`
                        
                        .. attribute:: tunnel
                        
                        	Enable ISAKMP Tunnel traps
                        	**type**\:  :py:class:`Tunnel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Tunnel>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp, self).__init__()

                            self.yang_name = "isakmp"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"policy" : ("policy", Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Policy), "tunnel" : ("tunnel", Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Tunnel)}
                            self._child_list_classes = {}

                            self.policy = Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Policy()
                            self.policy.parent = self
                            self._children_name_map["policy"] = "policy"
                            self._children_yang_names.add("policy")

                            self.tunnel = Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Tunnel()
                            self.tunnel.parent = self
                            self._children_name_map["tunnel"] = "tunnel"
                            self._children_yang_names.add("tunnel")
                            self._segment_path = lambda: "isakmp"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                        class Policy(Entity):
                            """
                            Enable ISAKMP traps
                            
                            .. attribute:: add
                            
                            	Enable ISAKMP Policy add trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: delete
                            
                            	Enable ISAKMP Policy delete trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Policy, self).__init__()

                                self.yang_name = "policy"
                                self.yang_parent_name = "isakmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.add = YLeaf(YType.empty, "add")

                                self.delete = YLeaf(YType.empty, "delete")
                                self._segment_path = lambda: "policy"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/isakmp/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Policy, ['add', 'delete'], name, value)


                        class Tunnel(Entity):
                            """
                            Enable ISAKMP Tunnel traps
                            
                            .. attribute:: start
                            
                            	Enable ISAKMP Tunnel start trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: stop
                            
                            	Enable ISAKMP Tunnel stop trap
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Tunnel, self).__init__()

                                self.yang_name = "tunnel"
                                self.yang_parent_name = "isakmp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.start = YLeaf(YType.empty, "start")

                                self.stop = YLeaf(YType.empty, "stop")
                                self._segment_path = lambda: "tunnel"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/isakmp/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Isakmp.Tunnel, ['start', 'stop'], name, value)


                    class Isdn(Entity):
                        """
                        Enable SNMP isdn traps
                        
                        .. attribute:: call_information
                        
                        	Enable SNMP isdn call information traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: chan_not_avail
                        
                        	Enable SNMP isdn channel not avail traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ietf
                        
                        	Enable SNMP isdn ietf traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: layer2
                        
                        	Enable SNMP isdn layer2 transition traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Isdn, self).__init__()

                            self.yang_name = "isdn"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.call_information = YLeaf(YType.empty, "call-information")

                            self.chan_not_avail = YLeaf(YType.empty, "chan-not-avail")

                            self.ietf = YLeaf(YType.empty, "ietf")

                            self.layer2 = YLeaf(YType.empty, "layer2")
                            self._segment_path = lambda: "isdn"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Isdn, ['call_information', 'chan_not_avail', 'ietf', 'layer2'], name, value)


                    class L2Tc(Entity):
                        """
                        Enable SNMP L2 Tunnel Config traps
                        
                        .. attribute:: sys_threshold
                        
                        	Enable SNMP L2TC System threshold traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: threshold
                        
                        	Enable SNMP L2 Tunnel Config threshold traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.L2Tc, self).__init__()

                            self.yang_name = "l2tc"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.sys_threshold = YLeaf(YType.empty, "sys-threshold")

                            self.threshold = YLeaf(YType.empty, "threshold")
                            self._segment_path = lambda: "l2tc"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.L2Tc, ['sys_threshold', 'threshold'], name, value)


                    class L2Tun(Entity):
                        """
                        Enable SNMP L2 tunnel protocol traps
                        
                        .. attribute:: session
                        
                        	Enable SNMP l2tun session traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: pseudowire
                        
                        	
                        	**type**\:  :py:class:`Pseudowire <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun.Pseudowire>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun, self).__init__()

                            self.yang_name = "l2tun"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pseudowire" : ("pseudowire", Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun.Pseudowire)}
                            self._child_list_classes = {}

                            self.session = YLeaf(YType.empty, "session")

                            self.pseudowire = Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun.Pseudowire()
                            self.pseudowire.parent = self
                            self._children_name_map["pseudowire"] = "pseudowire"
                            self._children_yang_names.add("pseudowire")
                            self._segment_path = lambda: "l2tun"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun, ['session'], name, value)


                        class Pseudowire(Entity):
                            """
                            
                            
                            .. attribute:: status
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun.Pseudowire, self).__init__()

                                self.yang_name = "pseudowire"
                                self.yang_parent_name = "l2tun"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.status = YLeaf(YType.empty, "status")
                                self._segment_path = lambda: "pseudowire"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/l2tun/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.L2Tun.Pseudowire, ['status'], name, value)


                    class License(Entity):
                        """
                        Enable license traps
                        
                        .. attribute:: deploy
                        
                        	Enable license deployment traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: error
                        
                        	Enable license error traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: usage
                        
                        	Enable license usage traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.License, self).__init__()

                            self.yang_name = "license"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.deploy = YLeaf(YType.empty, "deploy")

                            self.error = YLeaf(YType.empty, "error")

                            self.usage = YLeaf(YType.empty, "usage")
                            self._segment_path = lambda: "license"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.License, ['deploy', 'error', 'usage'], name, value)


                    class MacNotification(Entity):
                        """
                        Enable SNMP MAC Notification traps
                        
                        .. attribute:: change
                        
                        	Enable SNMP Change traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: move
                        
                        	Enable SNMP Move traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: threshold
                        
                        	Enable SNMP Threshold traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification, self).__init__()

                            self.yang_name = "mac-notification"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.change = YLeaf(YType.empty, "change")

                            self.move = YLeaf(YType.empty, "move")

                            self.threshold = YLeaf(YType.empty, "threshold")
                            self._segment_path = lambda: "mac-notification"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification, ['change', 'move', 'threshold'], name, value)


                    class MacNotification2(Entity):
                        """
                        Enable SNMP MAC Notification traps
                        
                        .. attribute:: change
                        
                        	Enable SNMP Change traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: move
                        
                        	Enable SNMP Move traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: threshold
                        
                        	Enable SNMP Threshold traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification2, self).__init__()

                            self.yang_name = "mac-notification2"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.change = YLeaf(YType.empty, "change")

                            self.move = YLeaf(YType.empty, "move")

                            self.threshold = YLeaf(YType.empty, "threshold")
                            self._segment_path = lambda: "mac-notification2"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.MacNotification2, ['change', 'move', 'threshold'], name, value)


                    class Memory(Entity):
                        """
                        Enable SNMP Memory traps
                        
                        .. attribute:: bufferpeak
                        
                        	Enable SNMP Memory Bufferpeak traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Memory, self).__init__()

                            self.yang_name = "memory"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.bufferpeak = YLeaf(YType.empty, "bufferpeak")
                            self._segment_path = lambda: "memory"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Memory, ['bufferpeak'], name, value)


                    class Mpls(Entity):
                        """
                        Enable SNMP MPLS traps
                        
                        .. attribute:: traffic_eng
                        
                        	
                        	**type**\:  :py:class:`TrafficEng <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.TrafficEng>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: fast_reroute
                        
                        	
                        	**type**\:  :py:class:`FastReroute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.FastReroute>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: rfc
                        
                        	
                        	**type**\:  :py:class:`Rfc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Rfc>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ldp
                        
                        	SNMP MPLS label distribution protocol traps
                        	**type**\:  :py:class:`Ldp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Ldp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: vpn
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Mpls, self).__init__()

                            self.yang_name = "mpls"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"traffic-eng" : ("traffic_eng", Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.TrafficEng), "fast-reroute" : ("fast_reroute", Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.FastReroute), "rfc" : ("rfc", Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Rfc), "ldp" : ("ldp", Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Ldp)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vpn = YLeaf(YType.empty, "vpn")

                            self.traffic_eng = None
                            self._children_name_map["traffic_eng"] = "traffic-eng"
                            self._children_yang_names.add("traffic-eng")

                            self.fast_reroute = None
                            self._children_name_map["fast_reroute"] = "fast-reroute"
                            self._children_yang_names.add("fast-reroute")

                            self.rfc = None
                            self._children_name_map["rfc"] = "rfc"
                            self._children_yang_names.add("rfc")

                            self.ldp = None
                            self._children_name_map["ldp"] = "ldp"
                            self._children_yang_names.add("ldp")
                            self._segment_path = lambda: "mpls"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Mpls, ['vpn'], name, value)


                        class TrafficEng(Entity):
                            """
                            
                            
                            .. attribute:: up
                            
                            	Enable MPLS TE tunnel up traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: down
                            
                            	Enable MPLS TE tunnel down traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: reroute
                            
                            	Enable MPLS TE tunnel reroute traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.TrafficEng, self).__init__()

                                self.yang_name = "traffic-eng"
                                self.yang_parent_name = "mpls"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.up = YLeaf(YType.empty, "up")

                                self.down = YLeaf(YType.empty, "down")

                                self.reroute = YLeaf(YType.empty, "reroute")
                                self._segment_path = lambda: "traffic-eng"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/mpls/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.TrafficEng, ['up', 'down', 'reroute'], name, value)


                        class FastReroute(Entity):
                            """
                            
                            
                            .. attribute:: protected
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.FastReroute, self).__init__()

                                self.yang_name = "fast-reroute"
                                self.yang_parent_name = "mpls"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.protected = YLeaf(YType.empty, "protected")
                                self._segment_path = lambda: "fast-reroute"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/mpls/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.FastReroute, ['protected'], name, value)


                        class Rfc(Entity):
                            """
                            
                            
                            .. attribute:: ldp
                            
                            	
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Rfc, self).__init__()

                                self.yang_name = "rfc"
                                self.yang_parent_name = "mpls"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ldp = YLeaf(YType.empty, "ldp")
                                self._segment_path = lambda: "rfc"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/mpls/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Rfc, ['ldp'], name, value)


                        class Ldp(Entity):
                            """
                            SNMP MPLS label distribution protocol traps
                            
                            .. attribute:: pv_limit
                            
                            	Enable MPLS LDP path vector limit mismatch traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: session_down
                            
                            	Enable MPLS LDP session down traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: session_up
                            
                            	Enable MPLS LDP session up traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: threshold
                            
                            	Enable MPLS LDP threshold exceeded traps
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Ldp, self).__init__()

                                self.yang_name = "ldp"
                                self.yang_parent_name = "mpls"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.pv_limit = YLeaf(YType.empty, "pv-limit")

                                self.session_down = YLeaf(YType.empty, "session-down")

                                self.session_up = YLeaf(YType.empty, "session-up")

                                self.threshold = YLeaf(YType.empty, "threshold")
                                self._segment_path = lambda: "ldp"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/mpls/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Mpls.Ldp, ['pv_limit', 'session_down', 'session_up', 'threshold'], name, value)


                    class Nhrp(Entity):
                        """
                        
                        
                        .. attribute:: nhs
                        
                        	
                        	**type**\:  :py:class:`Nhs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhs>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nhc
                        
                        	
                        	**type**\:  :py:class:`Nhc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhc>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: nhp
                        
                        	
                        	**type**\:  :py:class:`Nhp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhp>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: quota_exceeded
                        
                        	
                        	**type**\:  :py:class:`QuotaExceeded <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.QuotaExceeded>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp, self).__init__()

                            self.yang_name = "nhrp"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"nhs" : ("nhs", Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhs), "nhc" : ("nhc", Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhc), "nhp" : ("nhp", Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhp), "quota-exceeded" : ("quota_exceeded", Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.QuotaExceeded)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.nhs = None
                            self._children_name_map["nhs"] = "nhs"
                            self._children_yang_names.add("nhs")

                            self.nhc = None
                            self._children_name_map["nhc"] = "nhc"
                            self._children_yang_names.add("nhc")

                            self.nhp = None
                            self._children_name_map["nhp"] = "nhp"
                            self._children_yang_names.add("nhp")

                            self.quota_exceeded = None
                            self._children_name_map["quota_exceeded"] = "quota-exceeded"
                            self._children_yang_names.add("quota-exceeded")
                            self._segment_path = lambda: "nhrp"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                        class Nhs(Entity):
                            """
                            
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhs, self).__init__()

                                self.yang_name = "nhs"
                                self.yang_parent_name = "nhrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "nhs"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/nhrp/%s" % self._segment_path()


                        class Nhc(Entity):
                            """
                            
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhc, self).__init__()

                                self.yang_name = "nhc"
                                self.yang_parent_name = "nhrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "nhc"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/nhrp/%s" % self._segment_path()


                        class Nhp(Entity):
                            """
                            
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.Nhp, self).__init__()

                                self.yang_name = "nhp"
                                self.yang_parent_name = "nhrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "nhp"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/nhrp/%s" % self._segment_path()


                        class QuotaExceeded(Entity):
                            """
                            
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Nhrp.QuotaExceeded, self).__init__()

                                self.yang_name = "quota-exceeded"
                                self.yang_parent_name = "nhrp"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "quota-exceeded"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/nhrp/%s" % self._segment_path()


                    class Ospf(Entity):
                        """
                        Enable OSPF traps
                        
                        .. attribute:: state_change
                        
                        	State change traps
                        	**type**\:  :py:class:`StateChange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.StateChange>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: errors
                        
                        	Error traps
                        	**type**\:  :py:class:`Errors <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Errors>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: retransmit
                        
                        	Packet retransmit traps
                        	**type**\:  :py:class:`Retransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Retransmit>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: lsa
                        
                        	Lsa related traps
                        	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Lsa>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: cisco_specific
                        
                        	Cisco specific traps
                        	**type**\:  :py:class:`CiscoSpecific <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf, self).__init__()

                            self.yang_name = "ospf"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"state-change" : ("state_change", Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.StateChange), "errors" : ("errors", Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Errors), "retransmit" : ("retransmit", Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Retransmit), "lsa" : ("lsa", Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Lsa), "cisco-specific" : ("cisco_specific", Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific)}
                            self._child_list_classes = {}

                            self.state_change = None
                            self._children_name_map["state_change"] = "state-change"
                            self._children_yang_names.add("state-change")

                            self.errors = None
                            self._children_name_map["errors"] = "errors"
                            self._children_yang_names.add("errors")

                            self.retransmit = None
                            self._children_name_map["retransmit"] = "retransmit"
                            self._children_yang_names.add("retransmit")

                            self.lsa = None
                            self._children_name_map["lsa"] = "lsa"
                            self._children_yang_names.add("lsa")

                            self.cisco_specific = None
                            self._children_name_map["cisco_specific"] = "cisco-specific"
                            self._children_yang_names.add("cisco-specific")
                            self._segment_path = lambda: "ospf"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                        class StateChange(Entity):
                            """
                            State change traps
                            
                            .. attribute:: if_state_change
                            
                            	Non\-virtual interface state changes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: neighbor_state_change
                            
                            	Non\-virtual neighbor state changes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: virtif_state_change
                            
                            	Virtual interface state changes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: virtneighbor_state_change
                            
                            	Non\-virtual neighbor state changes
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.StateChange, self).__init__()

                                self.yang_name = "state-change"
                                self.yang_parent_name = "ospf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.if_state_change = YLeaf(YType.empty, "if-state-change")

                                self.neighbor_state_change = YLeaf(YType.empty, "neighbor-state-change")

                                self.virtif_state_change = YLeaf(YType.empty, "virtif-state-change")

                                self.virtneighbor_state_change = YLeaf(YType.empty, "virtneighbor-state-change")
                                self._segment_path = lambda: "state-change"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ospf/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.StateChange, ['if_state_change', 'neighbor_state_change', 'virtif_state_change', 'virtneighbor_state_change'], name, value)


                        class Errors(Entity):
                            """
                            Error traps
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Errors, self).__init__()

                                self.yang_name = "errors"
                                self.yang_parent_name = "ospf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True
                                self._segment_path = lambda: "errors"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ospf/%s" % self._segment_path()


                        class Retransmit(Entity):
                            """
                            Packet retransmit traps
                            
                            .. attribute:: packets
                            
                            	Packet retransmission on non\-virtual interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: virt_packets
                            
                            	Packet retransmission on virtual interfaces
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Retransmit, self).__init__()

                                self.yang_name = "retransmit"
                                self.yang_parent_name = "ospf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.packets = YLeaf(YType.empty, "packets")

                                self.virt_packets = YLeaf(YType.empty, "virt-packets")
                                self._segment_path = lambda: "retransmit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ospf/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Retransmit, ['packets', 'virt_packets'], name, value)


                        class Lsa(Entity):
                            """
                            Lsa related traps
                            
                            .. attribute:: lsa_maxage
                            
                            	Lsa aged to maxage
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            .. attribute:: lsa_originate
                            
                            	New lsa originated
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Lsa, self).__init__()

                                self.yang_name = "lsa"
                                self.yang_parent_name = "ospf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.lsa_maxage = YLeaf(YType.empty, "lsa-maxage")

                                self.lsa_originate = YLeaf(YType.empty, "lsa-originate")
                                self._segment_path = lambda: "lsa"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ospf/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.Lsa, ['lsa_maxage', 'lsa_originate'], name, value)


                        class CiscoSpecific(Entity):
                            """
                            Cisco specific traps
                            
                            .. attribute:: state_change
                            
                            	State change traps
                            	**type**\:  :py:class:`StateChange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: errors
                            
                            	Error traps
                            	**type**\:  :py:class:`Errors <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errors>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: errdisable
                            
                            	Enable SNMP errdisable notifications
                            	**type**\:  :py:class:`Errdisable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errdisable>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: retransmit
                            
                            	Packet retransmit traps
                            	**type**\:  :py:class:`Retransmit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Retransmit>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: lsa
                            
                            	Lsa related traps
                            	**type**\:  :py:class:`Lsa <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Lsa>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific, self).__init__()

                                self.yang_name = "cisco-specific"
                                self.yang_parent_name = "ospf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"state-change" : ("state_change", Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange), "errors" : ("errors", Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errors), "errdisable" : ("errdisable", Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errdisable), "retransmit" : ("retransmit", Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Retransmit), "lsa" : ("lsa", Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Lsa)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.state_change = None
                                self._children_name_map["state_change"] = "state-change"
                                self._children_yang_names.add("state-change")

                                self.errors = None
                                self._children_name_map["errors"] = "errors"
                                self._children_yang_names.add("errors")

                                self.errdisable = None
                                self._children_name_map["errdisable"] = "errdisable"
                                self._children_yang_names.add("errdisable")

                                self.retransmit = None
                                self._children_name_map["retransmit"] = "retransmit"
                                self._children_yang_names.add("retransmit")

                                self.lsa = None
                                self._children_name_map["lsa"] = "lsa"
                                self._children_yang_names.add("lsa")
                                self._segment_path = lambda: "cisco-specific"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ospf/%s" % self._segment_path()


                            class StateChange(Entity):
                                """
                                State change traps
                                
                                .. attribute:: nssa_trans_change
                                
                                	Nssa translator state changes
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: shamlink
                                
                                	Sham link state change traps
                                	**type**\:  :py:class:`Shamlink <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange.Shamlink>`
                                
                                	**presence node**\: True
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange, self).__init__()

                                    self.yang_name = "state-change"
                                    self.yang_parent_name = "cisco-specific"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"shamlink" : ("shamlink", Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange.Shamlink)}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.nssa_trans_change = YLeaf(YType.empty, "nssa-trans-change")

                                    self.shamlink = None
                                    self._children_name_map["shamlink"] = "shamlink"
                                    self._children_yang_names.add("shamlink")
                                    self._segment_path = lambda: "state-change"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ospf/cisco-specific/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange, ['nssa_trans_change'], name, value)


                                class Shamlink(Entity):
                                    """
                                    Sham link state change traps
                                    
                                    .. attribute:: interface
                                    
                                    	Sham link interface state changes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: interface_old
                                    
                                    	Sham link interface state changes (deprecated)
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: neighbor
                                    
                                    	Sham link neighbor state changes
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-snmp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange.Shamlink, self).__init__()

                                        self.yang_name = "shamlink"
                                        self.yang_parent_name = "state-change"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.interface = YLeaf(YType.empty, "interface")

                                        self.interface_old = YLeaf(YType.empty, "interface-old")

                                        self.neighbor = YLeaf(YType.empty, "neighbor")
                                        self._segment_path = lambda: "shamlink"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ospf/cisco-specific/state-change/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.StateChange.Shamlink, ['interface', 'interface_old', 'neighbor'], name, value)


                            class Errors(Entity):
                                """
                                Error traps
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errors, self).__init__()

                                    self.yang_name = "errors"
                                    self.yang_parent_name = "cisco-specific"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "errors"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ospf/cisco-specific/%s" % self._segment_path()


                            class Errdisable(Entity):
                                """
                                Enable SNMP errdisable notifications
                                
                                .. attribute:: notification_rate
                                
                                	Number of notifications per minute
                                	**type**\: int
                                
                                	**range:** 0..10000
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errdisable, self).__init__()

                                    self.yang_name = "errdisable"
                                    self.yang_parent_name = "cisco-specific"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.notification_rate = YLeaf(YType.uint16, "notification-rate")
                                    self._segment_path = lambda: "errdisable"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ospf/cisco-specific/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Errdisable, ['notification_rate'], name, value)


                            class Retransmit(Entity):
                                """
                                Packet retransmit traps
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Retransmit, self).__init__()

                                    self.yang_name = "retransmit"
                                    self.yang_parent_name = "cisco-specific"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True
                                    self._segment_path = lambda: "retransmit"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ospf/cisco-specific/%s" % self._segment_path()


                            class Lsa(Entity):
                                """
                                Lsa related traps
                                
                                .. attribute:: lsa_maxage
                                
                                	Lsa aged to maxage
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                .. attribute:: lsa_originate
                                
                                	New lsa originated
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Lsa, self).__init__()

                                    self.yang_name = "lsa"
                                    self.yang_parent_name = "cisco-specific"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.lsa_maxage = YLeaf(YType.empty, "lsa-maxage")

                                    self.lsa_originate = YLeaf(YType.empty, "lsa-originate")
                                    self._segment_path = lambda: "lsa"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/ospf/cisco-specific/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Ospf.CiscoSpecific.Lsa, ['lsa_maxage', 'lsa_originate'], name, value)


                    class Pim(Entity):
                        """
                        Enable SNMP PIM traps
                        
                        .. attribute:: invalid_pim_message
                        
                        	Enable invalid pim message trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: neighbor_change
                        
                        	Enable neighbor change trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rp_mapping_change
                        
                        	Enable rp mapping change trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Pim, self).__init__()

                            self.yang_name = "pim"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.invalid_pim_message = YLeaf(YType.empty, "invalid-pim-message")

                            self.neighbor_change = YLeaf(YType.empty, "neighbor-change")

                            self.rp_mapping_change = YLeaf(YType.empty, "rp-mapping-change")
                            self._segment_path = lambda: "pim"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Pim, ['invalid_pim_message', 'neighbor_change', 'rp_mapping_change'], name, value)


                    class Plogd(Entity):
                        """
                        Enable SNMP plogd traps
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Plogd, self).__init__()

                            self.yang_name = "plogd"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True
                            self._segment_path = lambda: "plogd"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                    class PortSecurity(Entity):
                        """
                        Enable SNMP port security traps
                        
                        .. attribute:: trap_rate
                        
                        	Number of traps per second
                        	**type**\: int
                        
                        	**range:** 0..1000
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.PortSecurity, self).__init__()

                            self.yang_name = "port-security"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.trap_rate = YLeaf(YType.uint16, "trap-rate")
                            self._segment_path = lambda: "port-security"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.PortSecurity, ['trap_rate'], name, value)


                    class PowerEthernet(Entity):
                        """
                        Enable SNMP power ethernet traps
                        
                        .. attribute:: group
                        
                        	Enable SNMP inline power group based traps
                        	**type**\: str
                        
                        .. attribute:: police
                        
                        	Enable Policing Trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.PowerEthernet, self).__init__()

                            self.yang_name = "power-ethernet"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.group = YLeaf(YType.str, "group")

                            self.police = YLeaf(YType.empty, "police")
                            self._segment_path = lambda: "power-ethernet"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.PowerEthernet, ['group', 'police'], name, value)


                    class Pw(Entity):
                        """
                        
                        
                        .. attribute:: vc
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Pw, self).__init__()

                            self.yang_name = "pw"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.vc = YLeaf(YType.empty, "vc")
                            self._segment_path = lambda: "pw"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Pw, ['vc'], name, value)


                    class Slb(Entity):
                        """
                        Enable SNMP SLB traps
                        
                        .. attribute:: csrp
                        
                        	Enable SNMP SLB Fault Tolerance Replication Protocol traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: real
                        
                        	Enable SNMP SLB Real Server traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: virtual
                        
                        	Enable SNMP SLB Virtual Server traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Slb, self).__init__()

                            self.yang_name = "slb"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.csrp = YLeaf(YType.empty, "csrp")

                            self.real = YLeaf(YType.empty, "real")

                            self.virtual = YLeaf(YType.empty, "virtual")
                            self._segment_path = lambda: "slb"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Slb, ['csrp', 'real', 'virtual'], name, value)


                    class Snmp(Entity):
                        """
                        Enable SNMP traps
                        
                        .. attribute:: authentication
                        
                        	Enable authentication trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: coldstart
                        
                        	Enable coldStart trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: linkdown
                        
                        	Enable linkDown trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: linkup
                        
                        	Enable linkUp trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: warmstart
                        
                        	Enable warmStart trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Snmp, self).__init__()

                            self.yang_name = "snmp"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.authentication = YLeaf(YType.empty, "authentication")

                            self.coldstart = YLeaf(YType.empty, "coldstart")

                            self.linkdown = YLeaf(YType.empty, "linkdown")

                            self.linkup = YLeaf(YType.empty, "linkup")

                            self.warmstart = YLeaf(YType.empty, "warmstart")
                            self._segment_path = lambda: "snmp"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Snmp, ['authentication', 'coldstart', 'linkdown', 'linkup', 'warmstart'], name, value)


                    class Stackwise(Entity):
                        """
                        Enable SNMP stackwise traps
                        
                        .. attribute:: gls
                        
                        	Enable STACKWISE stack power GLS trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ils
                        
                        	Enable STACKWISE stack power ILS trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: srls
                        
                        	Enable STACKWISE stack power SRLS trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: insufficient_power
                        
                        	Enable STACKWISE stack power unbalanced power supplies trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: invalid_input_current
                        
                        	Enable STACKWISE stack power invalid input current trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: invalid_output_current
                        
                        	Enable STACKWISE stack power invalid output current trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: member_removed
                        
                        	Enable STACKWISE stack member removed trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: member_upgrade_notification
                        
                        	Enable STACKWISE member to be reloaded for upgrade trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: new_master
                        
                        	Enable STACKWISE new master trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: new_member
                        
                        	Enable STACKWISE stack new member trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: port_change
                        
                        	Enable STACKWISE port change trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_budget_warning
                        
                        	Enable STACKWISE stack power budget warning trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_invalid_topology
                        
                        	Enable STACKWISE stack power invalid topology trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_link_status_changed
                        
                        	Enable STACKWISE stack power link status changed trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_oper_status_changed
                        
                        	Enable STACKWISE stack power port oper status changed trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_priority_conflict
                        
                        	Enable STACKWISE stack power priority conflict trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: power_version_mismatch
                        
                        	Enable STACKWISE stack power version mismatch discovered trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ring_redundant
                        
                        	Enable STACKWISE stack ring redundant trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: stack_mismatch
                        
                        	Enable STACKWISE stack mismatch trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: unbalanced_power_supplies
                        
                        	Enable STACKWISE stack power unbalanced power supplies trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: under_budget
                        
                        	Enable STACKWISE stack power under budget trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: under_voltage
                        
                        	Enable STACKWISE stack power under voltage trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Stackwise, self).__init__()

                            self.yang_name = "stackwise"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.gls = YLeaf(YType.empty, "GLS")

                            self.ils = YLeaf(YType.empty, "ILS")

                            self.srls = YLeaf(YType.empty, "SRLS")

                            self.insufficient_power = YLeaf(YType.empty, "insufficient-power")

                            self.invalid_input_current = YLeaf(YType.empty, "invalid-input-current")

                            self.invalid_output_current = YLeaf(YType.empty, "invalid-output-current")

                            self.member_removed = YLeaf(YType.empty, "member-removed")

                            self.member_upgrade_notification = YLeaf(YType.empty, "member-upgrade-notification")

                            self.new_master = YLeaf(YType.empty, "new-master")

                            self.new_member = YLeaf(YType.empty, "new-member")

                            self.port_change = YLeaf(YType.empty, "port-change")

                            self.power_budget_warning = YLeaf(YType.empty, "power-budget-warning")

                            self.power_invalid_topology = YLeaf(YType.empty, "power-invalid-topology")

                            self.power_link_status_changed = YLeaf(YType.empty, "power-link-status-changed")

                            self.power_oper_status_changed = YLeaf(YType.empty, "power-oper-status-changed")

                            self.power_priority_conflict = YLeaf(YType.empty, "power-priority-conflict")

                            self.power_version_mismatch = YLeaf(YType.empty, "power-version-mismatch")

                            self.ring_redundant = YLeaf(YType.empty, "ring-redundant")

                            self.stack_mismatch = YLeaf(YType.empty, "stack-mismatch")

                            self.unbalanced_power_supplies = YLeaf(YType.empty, "unbalanced-power-supplies")

                            self.under_budget = YLeaf(YType.empty, "under-budget")

                            self.under_voltage = YLeaf(YType.empty, "under-voltage")
                            self._segment_path = lambda: "stackwise"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Stackwise, ['gls', 'ils', 'srls', 'insufficient_power', 'invalid_input_current', 'invalid_output_current', 'member_removed', 'member_upgrade_notification', 'new_master', 'new_member', 'port_change', 'power_budget_warning', 'power_invalid_topology', 'power_link_status_changed', 'power_oper_status_changed', 'power_priority_conflict', 'power_version_mismatch', 'ring_redundant', 'stack_mismatch', 'unbalanced_power_supplies', 'under_budget', 'under_voltage'], name, value)


                    class Stpx(Entity):
                        """
                        
                        
                        .. attribute:: inconsistency
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: root_inconsistency
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: loop_inconsistency
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Stpx, self).__init__()

                            self.yang_name = "stpx"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.inconsistency = YLeaf(YType.empty, "inconsistency")

                            self.root_inconsistency = YLeaf(YType.empty, "root-inconsistency")

                            self.loop_inconsistency = YLeaf(YType.empty, "loop-inconsistency")
                            self._segment_path = lambda: "stpx"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Stpx, ['inconsistency', 'root_inconsistency', 'loop_inconsistency'], name, value)


                    class Transceiver(Entity):
                        """
                        
                        
                        .. attribute:: all
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Transceiver, self).__init__()

                            self.yang_name = "transceiver"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.all = YLeaf(YType.empty, "all")
                            self._segment_path = lambda: "transceiver"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Transceiver, ['all'], name, value)


                    class Udld(Entity):
                        """
                        Enable SNMP CISCO\-UDLDP\-MIB traps
                        
                        .. attribute:: link_fail_rpt
                        
                        	Enable SNMP cudldpFastHelloLinkFailRptNotification traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: status_change
                        
                        	Enable SNMP cudldpFastHelloStatusChangeNotification traps
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Udld, self).__init__()

                            self.yang_name = "udld"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.link_fail_rpt = YLeaf(YType.empty, "link-fail-rpt")

                            self.status_change = YLeaf(YType.empty, "status-change")
                            self._segment_path = lambda: "udld"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Udld, ['link_fail_rpt', 'status_change'], name, value)


                    class Vrfmib(Entity):
                        """
                        
                        
                        .. attribute:: vrf_up
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vrf_down
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vnet_trunk_up
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: vnet_trunk_down
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Vrfmib, self).__init__()

                            self.yang_name = "vrfmib"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.vrf_up = YLeaf(YType.empty, "vrf-up")

                            self.vrf_down = YLeaf(YType.empty, "vrf-down")

                            self.vnet_trunk_up = YLeaf(YType.empty, "vnet-trunk-up")

                            self.vnet_trunk_down = YLeaf(YType.empty, "vnet-trunk-down")
                            self._segment_path = lambda: "vrfmib"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Vrfmib, ['vrf_up', 'vrf_down', 'vnet_trunk_up', 'vnet_trunk_down'], name, value)


                    class Vstack(Entity):
                        """
                        Enable SNMP Smart Install traps
                        
                        .. attribute:: addition
                        
                        	Enable client added trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: failure
                        
                        	Enable file upload/download failure trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: lost
                        
                        	Enable client lost trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: operation_
                        
                        	Enable operation mode change trap
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Vstack, self).__init__()

                            self.yang_name = "vstack"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.addition = YLeaf(YType.empty, "addition")

                            self.failure = YLeaf(YType.empty, "failure")

                            self.lost = YLeaf(YType.empty, "lost")

                            self.operation_ = YLeaf(YType.empty, "operation")
                            self._segment_path = lambda: "vstack"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Vstack, ['addition', 'failure', 'lost', 'operation_'], name, value)


                    class Wireless(Entity):
                        """
                        wireless
                        
                        .. attribute:: bsnmobilestation
                        
                        	Controls wireless client traps
                        	**type**\:  :py:class:`Bsnmobilestation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.Enable.EnableChoice.Traps.Wireless, self).__init__()

                            self.yang_name = "wireless"
                            self.yang_parent_name = "traps"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"bsnMobileStation" : ("bsnmobilestation", Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.bsnmobilestation = None
                            self._children_name_map["bsnmobilestation"] = "bsnMobileStation"
                            self._children_yang_names.add("bsnMobileStation")
                            self._segment_path = lambda: "wireless"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/%s" % self._segment_path()


                        class Bsnmobilestation(Entity):
                            """
                            Controls wireless client traps
                            
                            .. attribute:: bsnaccesspoint
                            
                            	Access Point traps
                            	**type**\:  :py:class:`Bsnaccesspoint <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation.Bsnaccesspoint>`
                            
                            	**presence node**\: True
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation, self).__init__()

                                self.yang_name = "bsnMobileStation"
                                self.yang_parent_name = "wireless"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"bsnAccessPoint" : ("bsnaccesspoint", Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation.Bsnaccesspoint)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.bsnaccesspoint = None
                                self._children_name_map["bsnaccesspoint"] = "bsnAccessPoint"
                                self._children_yang_names.add("bsnAccessPoint")
                                self._segment_path = lambda: "bsnMobileStation"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/wireless/%s" % self._segment_path()


                            class Bsnaccesspoint(Entity):
                                """
                                Access Point traps
                                
                                .. attribute:: bsnrogue
                                
                                	Rogue related traps
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation.Bsnaccesspoint, self).__init__()

                                    self.yang_name = "bsnAccessPoint"
                                    self.yang_parent_name = "bsnMobileStation"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.bsnrogue = YLeaf(YType.empty, "bsnRogue")
                                    self._segment_path = lambda: "bsnAccessPoint"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:enable/enable-choice/traps/wireless/bsnMobileStation/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.SnmpServer.Enable.EnableChoice.Traps.Wireless.Bsnmobilestation.Bsnaccesspoint, ['bsnrogue'], name, value)


        class Engineid(Entity):
            """
            Configure a local or remote SNMPv3 engineID
            
            .. attribute:: local
            
            	engineID of the local agent
            	**type**\: str
            
            	**length:** 1..24
            
            .. attribute:: remote
            
            	
            	**type**\:  :py:class:`Remote <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Engineid.Remote>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.Engineid, self).__init__()

                self.yang_name = "engineID"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"remote" : ("remote", Native.SnmpServer.Engineid.Remote)}
                self._child_list_classes = {}

                self.local = YLeaf(YType.str, "local")

                self.remote = Native.SnmpServer.Engineid.Remote()
                self.remote.parent = self
                self._children_name_map["remote"] = "remote"
                self._children_yang_names.add("remote")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:engineID"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SnmpServer.Engineid, ['local'], name, value)


            class Remote(Entity):
                """
                
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.Engineid.Remote, self).__init__()

                    self.yang_name = "remote"
                    self.yang_parent_name = "engineID"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "remote"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:engineID/%s" % self._segment_path()


        class Group(Entity):
            """
            Define a User Security Model group
            
            .. attribute:: id  <key>
            
            	
            	**type**\: str
            
            .. attribute:: v1
            
            	
            	**type**\:  :py:class:`V1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Group.V1>`
            
            .. attribute:: v2c
            
            	
            	**type**\:  :py:class:`V2C <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Group.V2C>`
            
            .. attribute:: v3
            
            	group using the User Security Model (SNMPv3)
            	**type**\:  :py:class:`V3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Group.V3>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.Group, self).__init__()

                self.yang_name = "group"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"v1" : ("v1", Native.SnmpServer.Group.V1), "v2c" : ("v2c", Native.SnmpServer.Group.V2C), "v3" : ("v3", Native.SnmpServer.Group.V3)}
                self._child_list_classes = {}

                self.id = YLeaf(YType.str, "id")

                self.v1 = Native.SnmpServer.Group.V1()
                self.v1.parent = self
                self._children_name_map["v1"] = "v1"
                self._children_yang_names.add("v1")

                self.v2c = Native.SnmpServer.Group.V2C()
                self.v2c.parent = self
                self._children_name_map["v2c"] = "v2c"
                self._children_yang_names.add("v2c")

                self.v3 = Native.SnmpServer.Group.V3()
                self.v3.parent = self
                self._children_name_map["v3"] = "v3"
                self._children_yang_names.add("v3")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:group" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SnmpServer.Group, ['id'], name, value)


            class V1(Entity):
                """
                
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.Group.V1, self).__init__()

                    self.yang_name = "v1"
                    self.yang_parent_name = "group"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "v1"


            class V2C(Entity):
                """
                
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.Group.V2C, self).__init__()

                    self.yang_name = "v2c"
                    self.yang_parent_name = "group"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self._segment_path = lambda: "v2c"


            class V3(Entity):
                """
                group using the User Security Model (SNMPv3)
                
                .. attribute:: security_level
                
                	
                	**type**\:  :py:class:`SecurityLevel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Group.V3.SecurityLevel>`
                
                .. attribute:: context
                
                	specify a context to associate these views for the group
                	**type**\: str
                
                .. attribute:: match
                
                	context name match criteria
                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Group.V3.Match>`
                
                .. attribute:: read
                
                	specify a read view for the group
                	**type**\: str
                
                .. attribute:: write
                
                	specify a write view for the group
                	**type**\: str
                
                .. attribute:: notify
                
                	specify a notify view for the group
                	**type**\: str
                
                .. attribute:: access
                
                	specify an access\-list associated with this group
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..99
                
                		**type**\: str
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.Group.V3, self).__init__()

                    self.yang_name = "v3"
                    self.yang_parent_name = "group"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.security_level = YLeaf(YType.enumeration, "security-level")

                    self.context = YLeaf(YType.str, "context")

                    self.match = YLeaf(YType.enumeration, "match")

                    self.read = YLeaf(YType.str, "read")

                    self.write = YLeaf(YType.str, "write")

                    self.notify = YLeaf(YType.str, "notify")

                    self.access = YLeaf(YType.str, "access")
                    self._segment_path = lambda: "v3"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SnmpServer.Group.V3, ['security_level', 'context', 'match', 'read', 'write', 'notify', 'access'], name, value)

                class Match(Enum):
                    """
                    Match

                    context name match criteria

                    .. data:: exact = 0

                    .. data:: prefix = 1

                    """

                    exact = Enum.YLeaf(0, "exact")

                    prefix = Enum.YLeaf(1, "prefix")


                class SecurityLevel(Enum):
                    """
                    SecurityLevel

                    .. data:: auth = 0

                    .. data:: noauth = 1

                    .. data:: priv = 2

                    """

                    auth = Enum.YLeaf(0, "auth")

                    noauth = Enum.YLeaf(1, "noauth")

                    priv = Enum.YLeaf(2, "priv")



        class Host(Entity):
            """
            Specify hosts to receive SNMP notifications
            
            .. attribute:: ip_address  <key>
            
            	
            	**type**\: union of the below types:
            
            		**type**\: str
            
            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            		**type**\: str
            
            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
            
            		**type**\: str
            
            			**pattern:** ((([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.)\*([a\-zA\-Z0\-9\_]([a\-zA\-Z0\-9\\\-\_]){0,61})?[a\-zA\-Z0\-9]\\.?)\|\\.
            
            .. attribute:: community_string  <key>
            
            	
            	**type**\: str
            
            .. attribute:: vrf
            
            	VPN Routing instance for this host
            	**type**\: str
            
            .. attribute:: informs
            
            	Send Inform messages to this host
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: traps
            
            	Send Trap messages to this host
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: version
            
            	SNMP version to use for notification messages
            	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Host.Version>`
            
            .. attribute:: security_level
            
            	
            	**type**\:  :py:class:`SecurityLevel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Host.SecurityLevel>`
            
            .. attribute:: trap_enable
            
            	
            	**type**\:  :py:class:`TrapEnable <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Host.TrapEnable>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.Host, self).__init__()

                self.yang_name = "host"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"trap-enable" : ("trap_enable", Native.SnmpServer.Host.TrapEnable)}
                self._child_list_classes = {}

                self.ip_address = YLeaf(YType.str, "ip-address")

                self.community_string = YLeaf(YType.str, "community-string")

                self.vrf = YLeaf(YType.str, "vrf")

                self.informs = YLeaf(YType.empty, "informs")

                self.traps = YLeaf(YType.empty, "traps")

                self.version = YLeaf(YType.enumeration, "version")

                self.security_level = YLeaf(YType.enumeration, "security-level")

                self.trap_enable = Native.SnmpServer.Host.TrapEnable()
                self.trap_enable.parent = self
                self._children_name_map["trap_enable"] = "trap-enable"
                self._children_yang_names.add("trap-enable")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:host" + "[ip-address='" + self.ip_address.get() + "']" + "[community-string='" + self.community_string.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SnmpServer.Host, ['ip_address', 'community_string', 'vrf', 'informs', 'traps', 'version', 'security_level'], name, value)

            class SecurityLevel(Enum):
                """
                SecurityLevel

                .. data:: auth = 0

                .. data:: noauth = 1

                .. data:: priv = 2

                """

                auth = Enum.YLeaf(0, "auth")

                noauth = Enum.YLeaf(1, "noauth")

                priv = Enum.YLeaf(2, "priv")


            class Version(Enum):
                """
                Version

                SNMP version to use for notification messages

                .. data:: Y_1 = 0

                .. data:: Y_2c = 1

                .. data:: Y_3 = 2

                """

                Y_1 = Enum.YLeaf(0, "1")

                Y_2c = Enum.YLeaf(1, "2c")

                Y_3 = Enum.YLeaf(2, "3")



            class TrapEnable(Entity):
                """
                
                
                .. attribute:: aaa_server
                
                	Allow SNMP AAA traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: alarms
                
                	Allow SNMP alarms traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: atm
                
                	Allow SNMP atm traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bfd
                
                	Allow SNMP BFD traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bgp
                
                	Allow BGP state change traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bstun
                
                	Allow bstun event traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: bulkstat
                
                	Allow Data\-Collection\-MIB traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: call_home
                
                	Allow SNMP CISCO\-CALLHOME\-MIB traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: casa
                
                	Allow casa event traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: cef
                
                	Allows cef traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: cnpd
                
                	Allow NBAR Protocol Discovery traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: config
                
                	Allow SNMP config traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: config_copy
                
                	Allow SNMP config\-copy traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: config_ctid
                
                	Allow SNMP config\-ctid traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: cpu
                
                	Allow cpu related traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dhcp
                
                	Allow dhcp traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dlsw
                
                	Allow dlsw traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ds1
                
                	Allow SNMP ds1 traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dsp
                
                	Allow SNMP DSP traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dspu
                
                	Allow dspu event traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: eigrp
                
                	Allow SNMP EIGRP traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: entity_
                
                	Allow SNMP entity traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: entity_diag
                
                	Allow SNMP CISCO\-ENTITY\-DIAG\-MIB traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: entity_qfp
                
                	Allow SNMP CISCO\-ENTITY\-QFP\-MIB traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: entity_state
                
                	Allow ENTITY\-STATE\-MIB traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ethernet_cfm
                
                	Allow SNMP Ethernet CFM traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: evc
                
                	Allow SNMP EVC traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: event_manager
                
                	Allow SNMP Embedded Event Manager traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: firewall
                
                	Allow SNMP Firewall traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: flash
                
                	Allow SNMP FLASH traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: flowmon
                
                	Allow SNMP flow monitor notifications
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: frame_relay
                
                	Allow SNMP frame\-relay traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: fru_ctrl
                
                	Allow entity FRU control traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: gdoi
                
                	Allows gdoi traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hsrp
                
                	Allow SNMP HSRP traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iplocalpool
                
                	Allow SNMP IP Local Pool traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ipmulticast
                
                	Allow SNMP ipmulticast traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ipsec
                
                	Allow SNMP IPsec traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ipsla
                
                	Allow SNMP Host IP SLA traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: isakmp
                
                	Allow SNMP ISAKMP traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: isg_mib
                
                	Allow SNMP isgmib traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: isis
                
                	Allow IS\-IS traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: l2tun_pseudowire_status
                
                	Allow SNMP L2 pseudowire status traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: l2tun_session
                
                	Allow SNMP L2 session traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: license
                
                	Allow license traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: memory
                
                	Allow SNMP Mempool traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mpls_fast_reroute
                
                	Allow SNMP MPLS traffic engineering fast reroute traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mpls_ldp
                
                	Allow SNMP MPLS label distribution protocol traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mpls_traffic_eng
                
                	Allow SNMP MPLS traffic engineering traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mpls_vpn
                
                	Allow SNMP MPLS Virtual Private Network traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: msdp
                
                	Allow SNMP MSDP traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mvpn
                
                	Allow Multicast Virtual Private Network traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: nhrp
                
                	Allow SNMP NHRP traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ospf
                
                	Allow OSPF traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ospfv3
                
                	Allow OSPFv3 traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pfr
                
                	Allow SNMP PfR traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pim
                
                	Allow SNMP PIM traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: pw_vc
                
                	Allow SNMP Pseudowire VC traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: resource_policy
                
                	Enable CISCO\-ERM\-MIB notifications
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: rf
                
                	Allow all SNMP traps defined in CISCO\-RF\-MIB
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: rsrb
                
                	Allow rsrb event traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: rsvp
                
                	Allow RSVP flow change traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: sdlc
                
                	Allow sdlc event traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: sdllc
                
                	Allow sdllc event traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: snmp
                
                	Allow SNMP\-type notifications
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: sonet
                
                	Allow SNMP SONET traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: srp
                
                	Allow SRP protocol traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: stun
                
                	Allow stun event traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: syslog
                
                	Allow SNMP syslog traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: trustsec_sxp
                
                	Allow SNMP CISCO\-TRUSTSEC\-SXP\-MIB traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: tty
                
                	Allow TCP connection traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: udp_port
                
                	The notification host's UDP port number (default port 162)
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: voice
                
                	Allow SNMP Voice traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vrfmib
                
                	Allow SNMP vrfmib traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vrrp
                
                	Allow SNMP vrrp traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: x25
                
                	Allow x25 event traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.Host.TrapEnable, self).__init__()

                    self.yang_name = "trap-enable"
                    self.yang_parent_name = "host"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.aaa_server = YLeaf(YType.empty, "aaa_server")

                    self.alarms = YLeaf(YType.empty, "alarms")

                    self.atm = YLeaf(YType.empty, "atm")

                    self.bfd = YLeaf(YType.empty, "bfd")

                    self.bgp = YLeaf(YType.empty, "bgp")

                    self.bstun = YLeaf(YType.empty, "bstun")

                    self.bulkstat = YLeaf(YType.empty, "bulkstat")

                    self.call_home = YLeaf(YType.empty, "call-home")

                    self.casa = YLeaf(YType.empty, "casa")

                    self.cef = YLeaf(YType.empty, "cef")

                    self.cnpd = YLeaf(YType.empty, "cnpd")

                    self.config = YLeaf(YType.empty, "config")

                    self.config_copy = YLeaf(YType.empty, "config-copy")

                    self.config_ctid = YLeaf(YType.empty, "config-ctid")

                    self.cpu = YLeaf(YType.empty, "cpu")

                    self.dhcp = YLeaf(YType.empty, "dhcp")

                    self.dlsw = YLeaf(YType.empty, "dlsw")

                    self.ds1 = YLeaf(YType.empty, "ds1")

                    self.dsp = YLeaf(YType.empty, "dsp")

                    self.dspu = YLeaf(YType.empty, "dspu")

                    self.eigrp = YLeaf(YType.empty, "eigrp")

                    self.entity_ = YLeaf(YType.empty, "entity")

                    self.entity_diag = YLeaf(YType.empty, "entity-diag")

                    self.entity_qfp = YLeaf(YType.empty, "entity-qfp")

                    self.entity_state = YLeaf(YType.empty, "entity-state")

                    self.ethernet_cfm = YLeaf(YType.empty, "ethernet-cfm")

                    self.evc = YLeaf(YType.empty, "evc")

                    self.event_manager = YLeaf(YType.empty, "event-manager")

                    self.firewall = YLeaf(YType.empty, "firewall")

                    self.flash = YLeaf(YType.empty, "flash")

                    self.flowmon = YLeaf(YType.empty, "flowmon")

                    self.frame_relay = YLeaf(YType.empty, "frame-relay")

                    self.fru_ctrl = YLeaf(YType.empty, "fru-ctrl")

                    self.gdoi = YLeaf(YType.empty, "gdoi")

                    self.hsrp = YLeaf(YType.empty, "hsrp")

                    self.iplocalpool = YLeaf(YType.empty, "iplocalpool")

                    self.ipmulticast = YLeaf(YType.empty, "ipmulticast")

                    self.ipsec = YLeaf(YType.empty, "ipsec")

                    self.ipsla = YLeaf(YType.empty, "ipsla")

                    self.isakmp = YLeaf(YType.empty, "isakmp")

                    self.isg_mib = YLeaf(YType.empty, "isg-mib")

                    self.isis = YLeaf(YType.empty, "isis")

                    self.l2tun_pseudowire_status = YLeaf(YType.empty, "l2tun-pseudowire-status")

                    self.l2tun_session = YLeaf(YType.empty, "l2tun-session")

                    self.license = YLeaf(YType.empty, "license")

                    self.memory = YLeaf(YType.empty, "memory")

                    self.mpls_fast_reroute = YLeaf(YType.empty, "mpls-fast-reroute")

                    self.mpls_ldp = YLeaf(YType.empty, "mpls-ldp")

                    self.mpls_traffic_eng = YLeaf(YType.empty, "mpls-traffic-eng")

                    self.mpls_vpn = YLeaf(YType.empty, "mpls-vpn")

                    self.msdp = YLeaf(YType.empty, "msdp")

                    self.mvpn = YLeaf(YType.empty, "mvpn")

                    self.nhrp = YLeaf(YType.empty, "nhrp")

                    self.ospf = YLeaf(YType.empty, "ospf")

                    self.ospfv3 = YLeaf(YType.empty, "ospfv3")

                    self.pfr = YLeaf(YType.empty, "pfr")

                    self.pim = YLeaf(YType.empty, "pim")

                    self.pw_vc = YLeaf(YType.empty, "pw-vc")

                    self.resource_policy = YLeaf(YType.empty, "resource-policy")

                    self.rf = YLeaf(YType.empty, "rf")

                    self.rsrb = YLeaf(YType.empty, "rsrb")

                    self.rsvp = YLeaf(YType.empty, "rsvp")

                    self.sdlc = YLeaf(YType.empty, "sdlc")

                    self.sdllc = YLeaf(YType.empty, "sdllc")

                    self.snmp = YLeaf(YType.empty, "snmp")

                    self.sonet = YLeaf(YType.empty, "sonet")

                    self.srp = YLeaf(YType.empty, "srp")

                    self.stun = YLeaf(YType.empty, "stun")

                    self.syslog = YLeaf(YType.empty, "syslog")

                    self.trustsec_sxp = YLeaf(YType.empty, "trustsec-sxp")

                    self.tty = YLeaf(YType.empty, "tty")

                    self.udp_port = YLeaf(YType.uint16, "udp-port")

                    self.voice = YLeaf(YType.empty, "voice")

                    self.vrfmib = YLeaf(YType.empty, "vrfmib")

                    self.vrrp = YLeaf(YType.empty, "vrrp")

                    self.x25 = YLeaf(YType.empty, "x25")
                    self._segment_path = lambda: "trap-enable"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SnmpServer.Host.TrapEnable, ['aaa_server', 'alarms', 'atm', 'bfd', 'bgp', 'bstun', 'bulkstat', 'call_home', 'casa', 'cef', 'cnpd', 'config', 'config_copy', 'config_ctid', 'cpu', 'dhcp', 'dlsw', 'ds1', 'dsp', 'dspu', 'eigrp', 'entity_', 'entity_diag', 'entity_qfp', 'entity_state', 'ethernet_cfm', 'evc', 'event_manager', 'firewall', 'flash', 'flowmon', 'frame_relay', 'fru_ctrl', 'gdoi', 'hsrp', 'iplocalpool', 'ipmulticast', 'ipsec', 'ipsla', 'isakmp', 'isg_mib', 'isis', 'l2tun_pseudowire_status', 'l2tun_session', 'license', 'memory', 'mpls_fast_reroute', 'mpls_ldp', 'mpls_traffic_eng', 'mpls_vpn', 'msdp', 'mvpn', 'nhrp', 'ospf', 'ospfv3', 'pfr', 'pim', 'pw_vc', 'resource_policy', 'rf', 'rsrb', 'rsvp', 'sdlc', 'sdllc', 'snmp', 'sonet', 'srp', 'stun', 'syslog', 'trustsec_sxp', 'tty', 'udp_port', 'voice', 'vrfmib', 'vrrp', 'x25'], name, value)


        class Ip(Entity):
            """
            IP ToS configuration for SNMP traffic
            
            .. attribute:: dscp
            
            	IP DSCP value for SNMP traffic
            	**type**\: int
            
            	**range:** 0..63
            
            .. attribute:: precedence
            
            	IP Precedence value for SNMP traffic
            	**type**\: int
            
            	**range:** 0..7
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.Ip, self).__init__()

                self.yang_name = "ip"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.dscp = YLeaf(YType.uint8, "dscp")

                self.precedence = YLeaf(YType.uint8, "precedence")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:ip"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SnmpServer.Ip, ['dscp', 'precedence'], name, value)


        class Ifindex(Entity):
            """
            Enable ifindex persistence
            
            .. attribute:: persist
            
            	Persist interface indices
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.Ifindex, self).__init__()

                self.yang_name = "ifindex"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.persist = YLeaf(YType.empty, "persist")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:ifindex"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SnmpServer.Ifindex, ['persist'], name, value)


        class Manager(Entity):
            """
            Modify SNMP manager parameters
            
            .. attribute:: session_timeout
            
            	Timeout value for destroying sessions
            	**type**\: int
            
            	**range:** 10..2147483
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.Manager, self).__init__()

                self.yang_name = "manager"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.session_timeout = YLeaf(YType.uint32, "session-timeout")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:manager"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SnmpServer.Manager, ['session_timeout'], name, value)


        class SourceInterface(Entity):
            """
            Assign an source interface
            
            .. attribute:: informs
            
            	source interface for informs
            	**type**\:  :py:class:`Informs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Informs>`
            
            .. attribute:: traps
            
            	source interface for traps
            	**type**\:  :py:class:`Traps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Traps>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.SourceInterface, self).__init__()

                self.yang_name = "source-interface"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"informs" : ("informs", Native.SnmpServer.SourceInterface.Informs), "traps" : ("traps", Native.SnmpServer.SourceInterface.Traps)}
                self._child_list_classes = {}

                self.informs = Native.SnmpServer.SourceInterface.Informs()
                self.informs.parent = self
                self._children_name_map["informs"] = "informs"
                self._children_yang_names.add("informs")

                self.traps = Native.SnmpServer.SourceInterface.Traps()
                self.traps.parent = self
                self._children_name_map["traps"] = "traps"
                self._children_yang_names.add("traps")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:source-interface"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()


            class Informs(Entity):
                """
                source interface for informs
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Informs.ATMSubinterface>`
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\: str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Informs.ATMACRsubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\: str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\: str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\: str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\: str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\: str
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Informs.LISPSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Informs.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\: str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\: str
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\: str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\: str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.SourceInterface.Informs, self).__init__()

                    self.yang_name = "informs"
                    self.yang_parent_name = "source-interface"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.SnmpServer.SourceInterface.Informs.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.SnmpServer.SourceInterface.Informs.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.SnmpServer.SourceInterface.Informs.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.SnmpServer.SourceInterface.Informs.PortChannelSubinterface)}
                    self._child_list_classes = {}

                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                    self.atm = YLeaf(YType.str, "ATM")

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                    self.bdi = YLeaf(YType.str, "BDI")

                    self.cem = YLeaf(YType.str, "CEM")

                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                    self.lisp = YLeaf(YType.str, "LISP")

                    self.loopback = YLeaf(YType.uint32, "Loopback")

                    self.multilink = YLeaf(YType.uint16, "Multilink")

                    self.nve = YLeaf(YType.uint16, "nve")

                    self.overlay = YLeaf(YType.uint16, "overlay")

                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                    self.sm = YLeaf(YType.str, "SM")

                    self.cellular = YLeaf(YType.str, "Cellular")

                    self.serial = YLeaf(YType.str, "Serial")

                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                    self.vlan = YLeaf(YType.uint16, "Vlan")

                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                    self.atm_subinterface = Native.SnmpServer.SourceInterface.Informs.ATMSubinterface()
                    self.atm_subinterface.parent = self
                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                    self._children_yang_names.add("ATM-subinterface")

                    self.atm_acrsubinterface = Native.SnmpServer.SourceInterface.Informs.ATMACRsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                    self._children_yang_names.add("ATM-ACRsubinterface")

                    self.lisp_subinterface = Native.SnmpServer.SourceInterface.Informs.LISPSubinterface()
                    self.lisp_subinterface.parent = self
                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                    self._children_yang_names.add("LISP-subinterface")

                    self.port_channel_subinterface = Native.SnmpServer.SourceInterface.Informs.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                    self._children_yang_names.add("Port-channel-subinterface")
                    self._segment_path = lambda: "informs"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:source-interface/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SnmpServer.SourceInterface.Informs, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                class ATMSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SnmpServer.SourceInterface.Informs.ATMSubinterface, self).__init__()

                        self.yang_name = "ATM-subinterface"
                        self.yang_parent_name = "informs"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm = YLeaf(YType.str, "ATM")
                        self._segment_path = lambda: "ATM-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:source-interface/informs/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SnmpServer.SourceInterface.Informs.ATMSubinterface, ['atm'], name, value)


                class ATMACRsubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SnmpServer.SourceInterface.Informs.ATMACRsubinterface, self).__init__()

                        self.yang_name = "ATM-ACRsubinterface"
                        self.yang_parent_name = "informs"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                        self._segment_path = lambda: "ATM-ACRsubinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:source-interface/informs/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SnmpServer.SourceInterface.Informs.ATMACRsubinterface, ['atm_acr'], name, value)


                class LISPSubinterface(Entity):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SnmpServer.SourceInterface.Informs.LISPSubinterface, self).__init__()

                        self.yang_name = "LISP-subinterface"
                        self.yang_parent_name = "informs"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.lisp = YLeaf(YType.str, "LISP")
                        self._segment_path = lambda: "LISP-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:source-interface/informs/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SnmpServer.SourceInterface.Informs.LISPSubinterface, ['lisp'], name, value)


                class PortChannelSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SnmpServer.SourceInterface.Informs.PortChannelSubinterface, self).__init__()

                        self.yang_name = "Port-channel-subinterface"
                        self.yang_parent_name = "informs"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_channel = YLeaf(YType.str, "Port-channel")
                        self._segment_path = lambda: "Port-channel-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:source-interface/informs/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SnmpServer.SourceInterface.Informs.PortChannelSubinterface, ['port_channel'], name, value)


            class Traps(Entity):
                """
                source interface for traps
                
                .. attribute:: appnav_compress
                
                	Service\-Context Virtual Interface Compress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: appnav_uncompress
                
                	Service\-Context Virtual Interface UnCompress
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: atm
                
                	ATM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
                
                .. attribute:: atm_subinterface
                
                	
                	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Traps.ATMSubinterface>`
                
                .. attribute:: atm_acr
                
                	ATM\-ACR interface
                	**type**\: str
                
                	**pattern:** [0\-9]
                
                .. attribute:: atm_acrsubinterface
                
                	
                	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Traps.ATMACRsubinterface>`
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\: str
                
                .. attribute:: cem
                
                	CEM interface
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]
                
                .. attribute:: cem_acr
                
                	CEM\-ACR interface
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: embedded_service_engine
                
                	cisco embedded service engine module
                	**type**\: str
                
                .. attribute:: fastethernet
                
                	FastEthernet IEEE 802.3
                	**type**\: str
                
                .. attribute:: gigabitethernet
                
                	GigabitEthernet IEEE 802.3z
                	**type**\: str
                
                .. attribute:: lisp
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\: str
                
                .. attribute:: lisp_subinterface
                
                	Locator/ID Separation Protocol Virtual Interface
                	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Traps.LISPSubinterface>`
                
                .. attribute:: loopback
                
                	Loopback interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: multilink
                
                	Multilink\-group interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: nve
                
                	Network virtualization endpoint interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: overlay
                
                	Overlay interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: port_channel
                
                	Ethernet Channel of interfaces
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: port_channel_subinterface
                
                	
                	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.SourceInterface.Traps.PortChannelSubinterface>`
                
                .. attribute:: pseudowire
                
                	Pseudowire Interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: sm
                
                	SM Interface
                	**type**\: str
                
                .. attribute:: cellular
                
                	Cellular Interface
                	**type**\: str
                
                .. attribute:: serial
                
                	Serial interface
                	**type**\: str
                
                .. attribute:: tengigabitethernet
                
                	Ten Gigabit Ethernet
                	**type**\: str
                
                .. attribute:: tunnel
                
                	Tunnel interface
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: virtual_template
                
                	Virtual Template interface
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vlan
                
                	Iosxr Vlans
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasileft
                
                	vasileft
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: vasiright
                
                	vasiright
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.SourceInterface.Traps, self).__init__()

                    self.yang_name = "traps"
                    self.yang_parent_name = "source-interface"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.SnmpServer.SourceInterface.Traps.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.SnmpServer.SourceInterface.Traps.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.SnmpServer.SourceInterface.Traps.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.SnmpServer.SourceInterface.Traps.PortChannelSubinterface)}
                    self._child_list_classes = {}

                    self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                    self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                    self.atm = YLeaf(YType.str, "ATM")

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                    self.bdi = YLeaf(YType.str, "BDI")

                    self.cem = YLeaf(YType.str, "CEM")

                    self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                    self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                    self.fastethernet = YLeaf(YType.str, "FastEthernet")

                    self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                    self.lisp = YLeaf(YType.str, "LISP")

                    self.loopback = YLeaf(YType.uint32, "Loopback")

                    self.multilink = YLeaf(YType.uint16, "Multilink")

                    self.nve = YLeaf(YType.uint16, "nve")

                    self.overlay = YLeaf(YType.uint16, "overlay")

                    self.port_channel = YLeaf(YType.uint32, "Port-channel")

                    self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                    self.sm = YLeaf(YType.str, "SM")

                    self.cellular = YLeaf(YType.str, "Cellular")

                    self.serial = YLeaf(YType.str, "Serial")

                    self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                    self.tunnel = YLeaf(YType.uint32, "Tunnel")

                    self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                    self.vlan = YLeaf(YType.uint16, "Vlan")

                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                    self.vasileft = YLeaf(YType.uint16, "vasileft")

                    self.vasiright = YLeaf(YType.uint16, "vasiright")

                    self.atm_subinterface = Native.SnmpServer.SourceInterface.Traps.ATMSubinterface()
                    self.atm_subinterface.parent = self
                    self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                    self._children_yang_names.add("ATM-subinterface")

                    self.atm_acrsubinterface = Native.SnmpServer.SourceInterface.Traps.ATMACRsubinterface()
                    self.atm_acrsubinterface.parent = self
                    self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                    self._children_yang_names.add("ATM-ACRsubinterface")

                    self.lisp_subinterface = Native.SnmpServer.SourceInterface.Traps.LISPSubinterface()
                    self.lisp_subinterface.parent = self
                    self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                    self._children_yang_names.add("LISP-subinterface")

                    self.port_channel_subinterface = Native.SnmpServer.SourceInterface.Traps.PortChannelSubinterface()
                    self.port_channel_subinterface.parent = self
                    self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                    self._children_yang_names.add("Port-channel-subinterface")
                    self._segment_path = lambda: "traps"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:source-interface/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SnmpServer.SourceInterface.Traps, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


                class ATMSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SnmpServer.SourceInterface.Traps.ATMSubinterface, self).__init__()

                        self.yang_name = "ATM-subinterface"
                        self.yang_parent_name = "traps"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm = YLeaf(YType.str, "ATM")
                        self._segment_path = lambda: "ATM-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:source-interface/traps/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SnmpServer.SourceInterface.Traps.ATMSubinterface, ['atm'], name, value)


                class ATMACRsubinterface(Entity):
                    """
                    
                    
                    .. attribute:: atm_acr
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SnmpServer.SourceInterface.Traps.ATMACRsubinterface, self).__init__()

                        self.yang_name = "ATM-ACRsubinterface"
                        self.yang_parent_name = "traps"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                        self._segment_path = lambda: "ATM-ACRsubinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:source-interface/traps/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SnmpServer.SourceInterface.Traps.ATMACRsubinterface, ['atm_acr'], name, value)


                class LISPSubinterface(Entity):
                    """
                    Locator/ID Separation Protocol Virtual Interface
                    
                    .. attribute:: lisp
                    
                    	
                    	**type**\: str
                    
                    	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SnmpServer.SourceInterface.Traps.LISPSubinterface, self).__init__()

                        self.yang_name = "LISP-subinterface"
                        self.yang_parent_name = "traps"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.lisp = YLeaf(YType.str, "LISP")
                        self._segment_path = lambda: "LISP-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:source-interface/traps/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SnmpServer.SourceInterface.Traps.LISPSubinterface, ['lisp'], name, value)


                class PortChannelSubinterface(Entity):
                    """
                    
                    
                    .. attribute:: port_channel
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SnmpServer.SourceInterface.Traps.PortChannelSubinterface, self).__init__()

                        self.yang_name = "Port-channel-subinterface"
                        self.yang_parent_name = "traps"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.port_channel = YLeaf(YType.str, "Port-channel")
                        self._segment_path = lambda: "Port-channel-subinterface"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:source-interface/traps/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SnmpServer.SourceInterface.Traps.PortChannelSubinterface, ['port_channel'], name, value)


        class Trap(Entity):
            """
            SNMP trap options
            
            .. attribute:: link
            
            	Assign/Enable SNMP link traps
            	**type**\:  :py:class:`Link <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.Trap.Link>`
            
            .. attribute:: timeout
            
            	Set timeout for TRAP message retransmissions
            	**type**\: int
            
            	**range:** 1..1000
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.Trap, self).__init__()

                self.yang_name = "trap"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"link" : ("link", Native.SnmpServer.Trap.Link)}
                self._child_list_classes = {}

                self.timeout = YLeaf(YType.uint16, "timeout")

                self.link = Native.SnmpServer.Trap.Link()
                self.link.parent = self
                self._children_name_map["link"] = "link"
                self._children_yang_names.add("link")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:trap"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SnmpServer.Trap, ['timeout'], name, value)


            class Link(Entity):
                """
                Assign/Enable SNMP link traps
                
                .. attribute:: ietf
                
                	Use IETF standard for SNMP traps
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: switchover
                
                	Enable link up/down traps during switchover
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.Trap.Link, self).__init__()

                    self.yang_name = "link"
                    self.yang_parent_name = "trap"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ietf = YLeaf(YType.empty, "ietf")

                    self.switchover = YLeaf(YType.empty, "switchover")
                    self._segment_path = lambda: "link"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:trap/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SnmpServer.Trap.Link, ['ietf', 'switchover'], name, value)


        class TrapSource(Entity):
            """
            Assign an interface for the source address of all traps
            
            .. attribute:: appnav_compress
            
            	Service\-Context Virtual Interface Compress
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: appnav_uncompress
            
            	Service\-Context Virtual Interface UnCompress
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: atm
            
            	ATM interface
            	**type**\: str
            
            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
            
            .. attribute:: atm_subinterface
            
            	
            	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.TrapSource.ATMSubinterface>`
            
            .. attribute:: atm_acr
            
            	ATM\-ACR interface
            	**type**\: str
            
            	**pattern:** [0\-9]
            
            .. attribute:: atm_acrsubinterface
            
            	
            	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.TrapSource.ATMACRsubinterface>`
            
            .. attribute:: bdi
            
            	Bridge\-Domain interface
            	**type**\: str
            
            .. attribute:: cem
            
            	CEM interface
            	**type**\: str
            
            	**pattern:** ([0\-9]/){2}[0\-9]
            
            .. attribute:: cem_acr
            
            	CEM\-ACR interface
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: embedded_service_engine
            
            	cisco embedded service engine module
            	**type**\: str
            
            .. attribute:: fastethernet
            
            	FastEthernet IEEE 802.3
            	**type**\: str
            
            .. attribute:: gigabitethernet
            
            	GigabitEthernet IEEE 802.3z
            	**type**\: str
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\: str
            
            .. attribute:: lisp_subinterface
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.TrapSource.LISPSubinterface>`
            
            .. attribute:: loopback
            
            	Loopback interface
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: multilink
            
            	Multilink\-group interface
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: nve
            
            	Network virtualization endpoint interface
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: overlay
            
            	Overlay interface
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: port_channel
            
            	Ethernet Channel of interfaces
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: port_channel_subinterface
            
            	
            	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.TrapSource.PortChannelSubinterface>`
            
            .. attribute:: pseudowire
            
            	Pseudowire Interface
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: sm
            
            	SM Interface
            	**type**\: str
            
            .. attribute:: cellular
            
            	Cellular Interface
            	**type**\: str
            
            .. attribute:: serial
            
            	Serial interface
            	**type**\: str
            
            .. attribute:: tengigabitethernet
            
            	Ten Gigabit Ethernet
            	**type**\: str
            
            .. attribute:: tunnel
            
            	Tunnel interface
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: virtual_template
            
            	Virtual Template interface
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: vlan
            
            	Iosxr Vlans
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: virtualportgroup
            
            	Virtual Port Group
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: vasileft
            
            	vasileft
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: vasiright
            
            	vasiright
            	**type**\: int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.TrapSource, self).__init__()

                self.yang_name = "trap-source"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.SnmpServer.TrapSource.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.SnmpServer.TrapSource.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.SnmpServer.TrapSource.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.SnmpServer.TrapSource.PortChannelSubinterface)}
                self._child_list_classes = {}

                self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                self.atm = YLeaf(YType.str, "ATM")

                self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                self.bdi = YLeaf(YType.str, "BDI")

                self.cem = YLeaf(YType.str, "CEM")

                self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                self.lisp = YLeaf(YType.str, "LISP")

                self.loopback = YLeaf(YType.uint32, "Loopback")

                self.multilink = YLeaf(YType.uint16, "Multilink")

                self.nve = YLeaf(YType.uint16, "nve")

                self.overlay = YLeaf(YType.uint16, "overlay")

                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                self.sm = YLeaf(YType.str, "SM")

                self.cellular = YLeaf(YType.str, "Cellular")

                self.serial = YLeaf(YType.str, "Serial")

                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                self.tunnel = YLeaf(YType.uint32, "Tunnel")

                self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                self.vlan = YLeaf(YType.uint16, "Vlan")

                self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                self.vasileft = YLeaf(YType.uint16, "vasileft")

                self.vasiright = YLeaf(YType.uint16, "vasiright")

                self.atm_subinterface = Native.SnmpServer.TrapSource.ATMSubinterface()
                self.atm_subinterface.parent = self
                self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                self._children_yang_names.add("ATM-subinterface")

                self.atm_acrsubinterface = Native.SnmpServer.TrapSource.ATMACRsubinterface()
                self.atm_acrsubinterface.parent = self
                self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                self._children_yang_names.add("ATM-ACRsubinterface")

                self.lisp_subinterface = Native.SnmpServer.TrapSource.LISPSubinterface()
                self.lisp_subinterface.parent = self
                self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                self._children_yang_names.add("LISP-subinterface")

                self.port_channel_subinterface = Native.SnmpServer.TrapSource.PortChannelSubinterface()
                self.port_channel_subinterface.parent = self
                self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                self._children_yang_names.add("Port-channel-subinterface")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:trap-source"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SnmpServer.TrapSource, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


            class ATMSubinterface(Entity):
                """
                
                
                .. attribute:: atm
                
                	
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.TrapSource.ATMSubinterface, self).__init__()

                    self.yang_name = "ATM-subinterface"
                    self.yang_parent_name = "trap-source"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.atm = YLeaf(YType.str, "ATM")
                    self._segment_path = lambda: "ATM-subinterface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:trap-source/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SnmpServer.TrapSource.ATMSubinterface, ['atm'], name, value)


            class ATMACRsubinterface(Entity):
                """
                
                
                .. attribute:: atm_acr
                
                	
                	**type**\: str
                
                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.TrapSource.ATMACRsubinterface, self).__init__()

                    self.yang_name = "ATM-ACRsubinterface"
                    self.yang_parent_name = "trap-source"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                    self._segment_path = lambda: "ATM-ACRsubinterface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:trap-source/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SnmpServer.TrapSource.ATMACRsubinterface, ['atm_acr'], name, value)


            class LISPSubinterface(Entity):
                """
                Locator/ID Separation Protocol Virtual Interface
                
                .. attribute:: lisp
                
                	
                	**type**\: str
                
                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.TrapSource.LISPSubinterface, self).__init__()

                    self.yang_name = "LISP-subinterface"
                    self.yang_parent_name = "trap-source"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.lisp = YLeaf(YType.str, "LISP")
                    self._segment_path = lambda: "LISP-subinterface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:trap-source/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SnmpServer.TrapSource.LISPSubinterface, ['lisp'], name, value)


            class PortChannelSubinterface(Entity):
                """
                
                
                .. attribute:: port_channel
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.TrapSource.PortChannelSubinterface, self).__init__()

                    self.yang_name = "Port-channel-subinterface"
                    self.yang_parent_name = "trap-source"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.port_channel = YLeaf(YType.str, "Port-channel")
                    self._segment_path = lambda: "Port-channel-subinterface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:trap-source/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SnmpServer.TrapSource.PortChannelSubinterface, ['port_channel'], name, value)


        class User(Entity):
            """
            Define a user who can access the SNMP engine
            
            .. attribute:: names
            
            	
            	**type**\: list of  		 :py:class:`Names <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.User, self).__init__()

                self.yang_name = "user"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"names" : ("names", Native.SnmpServer.User.Names)}

                self.names = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:user"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SnmpServer.User, [], name, value)


            class Names(Entity):
                """
                
                
                .. attribute:: username  <key>
                
                	Name of the user
                	**type**\: str
                
                .. attribute:: grpname  <key>
                
                	Group to which the user belongs
                	**type**\: str
                
                .. attribute:: v3
                
                	user using the v3 security model
                	**type**\:  :py:class:`V3 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-snmp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SnmpServer.User.Names, self).__init__()

                    self.yang_name = "names"
                    self.yang_parent_name = "user"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"v3" : ("v3", Native.SnmpServer.User.Names.V3)}
                    self._child_list_classes = {}

                    self.username = YLeaf(YType.str, "username")

                    self.grpname = YLeaf(YType.str, "grpname")

                    self.v3 = None
                    self._children_name_map["v3"] = "v3"
                    self._children_yang_names.add("v3")
                    self._segment_path = lambda: "names" + "[username='" + self.username.get() + "']" + "[grpname='" + self.grpname.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/Cisco-IOS-XE-snmp:user/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SnmpServer.User.Names, ['username', 'grpname'], name, value)


                class V3(Entity):
                    """
                    user using the v3 security model
                    
                    .. attribute:: auth
                    
                    	authentication parameters for the user
                    	**type**\:  :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-snmp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SnmpServer.User.Names.V3, self).__init__()

                        self.yang_name = "v3"
                        self.yang_parent_name = "names"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"auth" : ("auth", Native.SnmpServer.User.Names.V3.Auth)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.auth = Native.SnmpServer.User.Names.V3.Auth()
                        self.auth.parent = self
                        self._children_name_map["auth"] = "auth"
                        self._children_yang_names.add("auth")
                        self._segment_path = lambda: "v3"


                    class Auth(Entity):
                        """
                        authentication parameters for the user
                        
                        .. attribute:: sha
                        
                        	Use HMAC SHA algorithm for authentication
                        	**type**\:  :py:class:`Sha <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth.Sha>`
                        
                        

                        """

                        _prefix = 'ios-snmp'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SnmpServer.User.Names.V3.Auth, self).__init__()

                            self.yang_name = "auth"
                            self.yang_parent_name = "v3"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"sha" : ("sha", Native.SnmpServer.User.Names.V3.Auth.Sha)}
                            self._child_list_classes = {}

                            self.sha = Native.SnmpServer.User.Names.V3.Auth.Sha()
                            self.sha.parent = self
                            self._children_name_map["sha"] = "sha"
                            self._children_yang_names.add("sha")
                            self._segment_path = lambda: "auth"


                        class Sha(Entity):
                            """
                            Use HMAC SHA algorithm for authentication
                            
                            .. attribute:: auth
                            
                            	
                            	**type**\:  :py:class:`Auth <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth.Sha.Auth>`
                            
                            

                            """

                            _prefix = 'ios-snmp'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SnmpServer.User.Names.V3.Auth.Sha, self).__init__()

                                self.yang_name = "sha"
                                self.yang_parent_name = "auth"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"auth" : ("auth", Native.SnmpServer.User.Names.V3.Auth.Sha.Auth)}
                                self._child_list_classes = {}

                                self.auth = Native.SnmpServer.User.Names.V3.Auth.Sha.Auth()
                                self.auth.parent = self
                                self._children_name_map["auth"] = "auth"
                                self._children_yang_names.add("auth")
                                self._segment_path = lambda: "sha"


                            class Auth(Entity):
                                """
                                
                                
                                .. attribute:: authpass
                                
                                	authentication password for user
                                	**type**\: str
                                
                                .. attribute:: priv
                                
                                	encryption parameters for the user
                                	**type**\:  :py:class:`Priv <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv>`
                                
                                

                                """

                                _prefix = 'ios-snmp'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SnmpServer.User.Names.V3.Auth.Sha.Auth, self).__init__()

                                    self.yang_name = "auth"
                                    self.yang_parent_name = "sha"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"priv" : ("priv", Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv)}
                                    self._child_list_classes = {}

                                    self.authpass = YLeaf(YType.str, "authpass")

                                    self.priv = Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv()
                                    self.priv.parent = self
                                    self._children_name_map["priv"] = "priv"
                                    self._children_yang_names.add("priv")
                                    self._segment_path = lambda: "auth"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.SnmpServer.User.Names.V3.Auth.Sha.Auth, ['authpass'], name, value)


                                class Priv(Entity):
                                    """
                                    encryption parameters for the user
                                    
                                    .. attribute:: aes
                                    
                                    	Use AES algorithm for encryption
                                    	**type**\:  :py:class:`Aes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv.Aes>`
                                    
                                    

                                    """

                                    _prefix = 'ios-snmp'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv, self).__init__()

                                        self.yang_name = "priv"
                                        self.yang_parent_name = "auth"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"aes" : ("aes", Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv.Aes)}
                                        self._child_list_classes = {}

                                        self.aes = Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv.Aes()
                                        self.aes.parent = self
                                        self._children_name_map["aes"] = "aes"
                                        self._children_yang_names.add("aes")
                                        self._segment_path = lambda: "priv"


                                    class Aes(Entity):
                                        """
                                        Use AES algorithm for encryption
                                        
                                        .. attribute:: algo128
                                        
                                        	Use 128 bit AES algorithm for encryption
                                        	**type**\:  :py:class:`Algo128 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv.Aes.Algo128>`
                                        
                                        

                                        """

                                        _prefix = 'ios-snmp'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv.Aes, self).__init__()

                                            self.yang_name = "aes"
                                            self.yang_parent_name = "priv"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"algo128" : ("algo128", Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv.Aes.Algo128)}
                                            self._child_list_classes = {}

                                            self.algo128 = Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv.Aes.Algo128()
                                            self.algo128.parent = self
                                            self._children_name_map["algo128"] = "algo128"
                                            self._children_yang_names.add("algo128")
                                            self._segment_path = lambda: "aes"


                                        class Algo128(Entity):
                                            """
                                            Use 128 bit AES algorithm for encryption
                                            
                                            .. attribute:: privpass
                                            
                                            	
                                            	**type**\:  :py:class:`Privpass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv.Aes.Algo128.Privpass>`
                                            
                                            

                                            """

                                            _prefix = 'ios-snmp'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv.Aes.Algo128, self).__init__()

                                                self.yang_name = "algo128"
                                                self.yang_parent_name = "aes"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"privpass" : ("privpass", Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv.Aes.Algo128.Privpass)}
                                                self._child_list_classes = {}

                                                self.privpass = Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv.Aes.Algo128.Privpass()
                                                self.privpass.parent = self
                                                self._children_name_map["privpass"] = "privpass"
                                                self._children_yang_names.add("privpass")
                                                self._segment_path = lambda: "algo128"


                                            class Privpass(Entity):
                                                """
                                                
                                                
                                                .. attribute:: privpass
                                                
                                                	privacy password for user
                                                	**type**\: str
                                                
                                                .. attribute:: access
                                                
                                                	Access\-list name
                                                	**type**\: str
                                                
                                                

                                                """

                                                _prefix = 'ios-snmp'
                                                _revision = '2017-02-07'

                                                def __init__(self):
                                                    super(Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv.Aes.Algo128.Privpass, self).__init__()

                                                    self.yang_name = "privpass"
                                                    self.yang_parent_name = "algo128"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.privpass = YLeaf(YType.str, "privpass")

                                                    self.access = YLeaf(YType.str, "access")
                                                    self._segment_path = lambda: "privpass"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.SnmpServer.User.Names.V3.Auth.Sha.Auth.Priv.Aes.Algo128.Privpass, ['privpass', 'access'], name, value)


        class View(Entity):
            """
            Define an SNMPv2 MIB view
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: mib  <key>
            
            	
            	**type**\: str
            
            .. attribute:: inc_exl
            
            	
            	**type**\:  :py:class:`IncExl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SnmpServer.View.IncExl>`
            
            

            """

            _prefix = 'ios-snmp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SnmpServer.View, self).__init__()

                self.yang_name = "view"
                self.yang_parent_name = "snmp-server"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.mib = YLeaf(YType.str, "mib")

                self.inc_exl = YLeaf(YType.enumeration, "inc-exl")
                self._segment_path = lambda: "Cisco-IOS-XE-snmp:view" + "[name='" + self.name.get() + "']" + "[mib='" + self.mib.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/snmp-server/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SnmpServer.View, ['name', 'mib', 'inc_exl'], name, value)

            class IncExl(Enum):
                """
                IncExl

                .. data:: excluded = 0

                .. data:: included = 1

                """

                excluded = Enum.YLeaf(0, "excluded")

                included = Enum.YLeaf(1, "included")



    class SegmentRouting(Entity):
        """
        Enter Segment Routing Mode
        
        .. attribute:: mpls
        
        	Segment Routing MPLS Mode
        	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.SegmentRouting, self).__init__()

            self.yang_name = "segment-routing"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-segment-routing:mpls" : ("mpls", Native.SegmentRouting.Mpls)}
            self._child_list_classes = {}

            self.mpls = None
            self._children_name_map["mpls"] = "mpls"
            self._children_yang_names.add("mpls")
            self._segment_path = lambda: "segment-routing"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Mpls(Entity):
            """
            Segment Routing MPLS Mode
            
            .. attribute:: connected_prefix_sid_map
            
            	Enter Connected Prefix Sid Map  Mode
            	**type**\:  :py:class:`ConnectedPrefixSidMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap>`
            
            	**presence node**\: True
            
            .. attribute:: global_block
            
            	SR Global Block Config
            	**type**\:  :py:class:`GlobalBlock <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.GlobalBlock>`
            
            .. attribute:: mapping_server
            
            	Enter Segment Routing Mapping Server Mode
            	**type**\:  :py:class:`MappingServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer>`
            
            	**presence node**\: True
            
            .. attribute:: set_attributes
            
            	Enter SR Set Attributes  Mode
            	**type**\:  :py:class:`SetAttributes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.SetAttributes>`
            
            	**presence node**\: True
            
            .. attribute:: shutdown
            
            	SR Shutdown
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-segment-routing'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.SegmentRouting.Mpls, self).__init__()

                self.yang_name = "mpls"
                self.yang_parent_name = "segment-routing"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"connected-prefix-sid-map" : ("connected_prefix_sid_map", Native.SegmentRouting.Mpls.ConnectedPrefixSidMap), "global-block" : ("global_block", Native.SegmentRouting.Mpls.GlobalBlock), "mapping-server" : ("mapping_server", Native.SegmentRouting.Mpls.MappingServer), "set-attributes" : ("set_attributes", Native.SegmentRouting.Mpls.SetAttributes)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.connected_prefix_sid_map = None
                self._children_name_map["connected_prefix_sid_map"] = "connected-prefix-sid-map"
                self._children_yang_names.add("connected-prefix-sid-map")

                self.global_block = Native.SegmentRouting.Mpls.GlobalBlock()
                self.global_block.parent = self
                self._children_name_map["global_block"] = "global-block"
                self._children_yang_names.add("global-block")

                self.mapping_server = None
                self._children_name_map["mapping_server"] = "mapping-server"
                self._children_yang_names.add("mapping-server")

                self.set_attributes = None
                self._children_name_map["set_attributes"] = "set-attributes"
                self._children_yang_names.add("set-attributes")
                self._segment_path = lambda: "Cisco-IOS-XE-segment-routing:mpls"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SegmentRouting.Mpls, ['shutdown'], name, value)


            class ConnectedPrefixSidMap(Entity):
                """
                Enter Connected Prefix Sid Map  Mode
                
                .. attribute:: address_family
                
                	
                	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-segment-routing'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap, self).__init__()

                    self.yang_name = "connected-prefix-sid-map"
                    self.yang_parent_name = "mpls"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"address-family" : ("address_family", Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.address_family = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily()
                    self.address_family.parent = self
                    self._children_name_map["address_family"] = "address-family"
                    self._children_yang_names.add("address-family")
                    self._segment_path = lambda: "connected-prefix-sid-map"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/%s" % self._segment_path()


                class AddressFamily(Entity):
                    """
                    
                    
                    .. attribute:: ipv4
                    
                    	
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: ipv4_strict_spf
                    
                    	
                    	**type**\:  :py:class:`Ipv4StrictSpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf>`
                    
                    

                    """

                    _prefix = 'ios-segment-routing'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily, self).__init__()

                        self.yang_name = "address-family"
                        self.yang_parent_name = "connected-prefix-sid-map"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"ipv4" : ("ipv4", Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4), "ipv4-strict-spf" : ("ipv4_strict_spf", Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf)}
                        self._child_list_classes = {}

                        self.ipv4 = None
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")

                        self.ipv4_strict_spf = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf()
                        self.ipv4_strict_spf.parent = self
                        self._children_name_map["ipv4_strict_spf"] = "ipv4-strict-spf"
                        self._children_yang_names.add("ipv4-strict-spf")
                        self._segment_path = lambda: "address-family"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/connected-prefix-sid-map/%s" % self._segment_path()


                    class Ipv4(Entity):
                        """
                        
                        
                        .. attribute:: prefixes
                        
                        	
                        	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-segment-routing'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "address-family"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"prefixes" : ("prefixes", Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes)}
                            self.is_presence_container = True

                            self.prefixes = YList(self)
                            self._segment_path = lambda: "ipv4"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/connected-prefix-sid-map/address-family/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4, [], name, value)


                        class Prefixes(Entity):
                            """
                            
                            
                            .. attribute:: ipprefix  <key>
                            
                            	
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                            
                            .. attribute:: index
                            
                            	
                            	**type**\:  :py:class:`Index <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Index>`
                            
                            .. attribute:: absolute
                            
                            	
                            	**type**\:  :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute>`
                            
                            

                            """

                            _prefix = 'ios-segment-routing'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes, self).__init__()

                                self.yang_name = "prefixes"
                                self.yang_parent_name = "ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"index" : ("index", Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Index), "absolute" : ("absolute", Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute)}
                                self._child_list_classes = {}

                                self.ipprefix = YLeaf(YType.str, "ipprefix")

                                self.index = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Index()
                                self.index.parent = self
                                self._children_name_map["index"] = "index"
                                self._children_yang_names.add("index")

                                self.absolute = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute()
                                self.absolute.parent = self
                                self._children_name_map["absolute"] = "absolute"
                                self._children_yang_names.add("absolute")
                                self._segment_path = lambda: "prefixes" + "[ipprefix='" + self.ipprefix.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/connected-prefix-sid-map/address-family/ipv4/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes, ['ipprefix'], name, value)


                            class Index(Entity):
                                """
                                
                                
                                .. attribute:: range_start
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..1048575
                                
                                .. attribute:: range
                                
                                	Range value
                                	**type**\: int
                                
                                	**range:** 1..1048575
                                
                                .. attribute:: attach
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-segment-routing'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Index, self).__init__()

                                    self.yang_name = "index"
                                    self.yang_parent_name = "prefixes"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.range_start = YLeaf(YType.uint32, "range-start")

                                    self.range = YLeaf(YType.uint32, "range")

                                    self.attach = YLeaf(YType.empty, "attach")
                                    self._segment_path = lambda: "index"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Index, ['range_start', 'range', 'attach'], name, value)


                            class Absolute(Entity):
                                """
                                
                                
                                .. attribute:: range_start
                                
                                	
                                	**type**\: int
                                
                                	**range:** 0..1048575
                                
                                .. attribute:: range
                                
                                	Range value
                                	**type**\: int
                                
                                	**range:** 1..1048575
                                
                                .. attribute:: attach
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-segment-routing'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute, self).__init__()

                                    self.yang_name = "absolute"
                                    self.yang_parent_name = "prefixes"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.range_start = YLeaf(YType.uint32, "range-start")

                                    self.range = YLeaf(YType.uint32, "range")

                                    self.attach = YLeaf(YType.empty, "attach")
                                    self._segment_path = lambda: "absolute"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute, ['range_start', 'range', 'attach'], name, value)


                    class Ipv4StrictSpf(Entity):
                        """
                        
                        
                        .. attribute:: ipv4
                        
                        	Address Family
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4>`
                        
                        

                        """

                        _prefix = 'ios-segment-routing'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf, self).__init__()

                            self.yang_name = "ipv4-strict-spf"
                            self.yang_parent_name = "address-family"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"ipv4" : ("ipv4", Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4)}
                            self._child_list_classes = {}

                            self.ipv4 = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4()
                            self.ipv4.parent = self
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")
                            self._segment_path = lambda: "ipv4-strict-spf"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/connected-prefix-sid-map/address-family/%s" % self._segment_path()


                        class Ipv4(Entity):
                            """
                            Address Family
                            
                            .. attribute:: strict_spf
                            
                            	
                            	**type**\:  :py:class:`StrictSpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-segment-routing'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "ipv4-strict-spf"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"strict-spf" : ("strict_spf", Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf)}
                                self._child_list_classes = {}

                                self.strict_spf = None
                                self._children_name_map["strict_spf"] = "strict-spf"
                                self._children_yang_names.add("strict-spf")
                                self._segment_path = lambda: "ipv4"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/connected-prefix-sid-map/address-family/ipv4-strict-spf/%s" % self._segment_path()


                            class StrictSpf(Entity):
                                """
                                
                                
                                .. attribute:: prefixes
                                
                                	
                                	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-segment-routing'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf, self).__init__()

                                    self.yang_name = "strict-spf"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"prefixes" : ("prefixes", Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes)}
                                    self.is_presence_container = True

                                    self.prefixes = YList(self)
                                    self._segment_path = lambda: "strict-spf"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/connected-prefix-sid-map/address-family/ipv4-strict-spf/ipv4/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf, [], name, value)


                                class Prefixes(Entity):
                                    """
                                    
                                    
                                    .. attribute:: ipprefix  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                    
                                    .. attribute:: index
                                    
                                    	
                                    	**type**\:  :py:class:`Index <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index>`
                                    
                                    .. attribute:: absolute
                                    
                                    	
                                    	**type**\:  :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute>`
                                    
                                    

                                    """

                                    _prefix = 'ios-segment-routing'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes, self).__init__()

                                        self.yang_name = "prefixes"
                                        self.yang_parent_name = "strict-spf"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"index" : ("index", Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index), "absolute" : ("absolute", Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute)}
                                        self._child_list_classes = {}

                                        self.ipprefix = YLeaf(YType.str, "ipprefix")

                                        self.index = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index()
                                        self.index.parent = self
                                        self._children_name_map["index"] = "index"
                                        self._children_yang_names.add("index")

                                        self.absolute = Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute()
                                        self.absolute.parent = self
                                        self._children_name_map["absolute"] = "absolute"
                                        self._children_yang_names.add("absolute")
                                        self._segment_path = lambda: "prefixes" + "[ipprefix='" + self.ipprefix.get() + "']"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/connected-prefix-sid-map/address-family/ipv4-strict-spf/ipv4/strict-spf/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes, ['ipprefix'], name, value)


                                    class Index(Entity):
                                        """
                                        
                                        
                                        .. attribute:: range_start
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..1048575
                                        
                                        .. attribute:: range
                                        
                                        	Range value
                                        	**type**\: int
                                        
                                        	**range:** 1..1048575
                                        
                                        .. attribute:: attach
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-segment-routing'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index, self).__init__()

                                            self.yang_name = "index"
                                            self.yang_parent_name = "prefixes"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.range_start = YLeaf(YType.uint32, "range-start")

                                            self.range = YLeaf(YType.uint32, "range")

                                            self.attach = YLeaf(YType.empty, "attach")
                                            self._segment_path = lambda: "index"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index, ['range_start', 'range', 'attach'], name, value)


                                    class Absolute(Entity):
                                        """
                                        
                                        
                                        .. attribute:: range_start
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 0..1048575
                                        
                                        .. attribute:: range
                                        
                                        	Range value
                                        	**type**\: int
                                        
                                        	**range:** 1..1048575
                                        
                                        .. attribute:: attach
                                        
                                        	
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-segment-routing'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute, self).__init__()

                                            self.yang_name = "absolute"
                                            self.yang_parent_name = "prefixes"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.range_start = YLeaf(YType.uint32, "range-start")

                                            self.range = YLeaf(YType.uint32, "range")

                                            self.attach = YLeaf(YType.empty, "attach")
                                            self._segment_path = lambda: "absolute"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.SegmentRouting.Mpls.ConnectedPrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute, ['range_start', 'range', 'attach'], name, value)


            class GlobalBlock(Entity):
                """
                SR Global Block Config
                
                .. attribute:: range_start
                
                	SR GB Label Range Start
                	**type**\: int
                
                	**range:** 16..1048575
                
                .. attribute:: range_end
                
                	SR GB Label Range End
                	**type**\: int
                
                	**range:** 16..1048575
                
                

                """

                _prefix = 'ios-segment-routing'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SegmentRouting.Mpls.GlobalBlock, self).__init__()

                    self.yang_name = "global-block"
                    self.yang_parent_name = "mpls"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.range_start = YLeaf(YType.uint32, "range-start")

                    self.range_end = YLeaf(YType.uint32, "range-end")
                    self._segment_path = lambda: "global-block"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SegmentRouting.Mpls.GlobalBlock, ['range_start', 'range_end'], name, value)


            class MappingServer(Entity):
                """
                Enter Segment Routing Mapping Server Mode
                
                .. attribute:: prefix_sid_map
                
                	Enter Mapping Server Sidmap Mode
                	**type**\:  :py:class:`PrefixSidMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap>`
                
                	**presence node**\: True
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-segment-routing'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SegmentRouting.Mpls.MappingServer, self).__init__()

                    self.yang_name = "mapping-server"
                    self.yang_parent_name = "mpls"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"prefix-sid-map" : ("prefix_sid_map", Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.prefix_sid_map = None
                    self._children_name_map["prefix_sid_map"] = "prefix-sid-map"
                    self._children_yang_names.add("prefix-sid-map")
                    self._segment_path = lambda: "mapping-server"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/%s" % self._segment_path()


                class PrefixSidMap(Entity):
                    """
                    Enter Mapping Server Sidmap Mode
                    
                    .. attribute:: address_family
                    
                    	
                    	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-segment-routing'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap, self).__init__()

                        self.yang_name = "prefix-sid-map"
                        self.yang_parent_name = "mapping-server"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"address-family" : ("address_family", Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.address_family = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily()
                        self.address_family.parent = self
                        self._children_name_map["address_family"] = "address-family"
                        self._children_yang_names.add("address-family")
                        self._segment_path = lambda: "prefix-sid-map"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/mapping-server/%s" % self._segment_path()


                    class AddressFamily(Entity):
                        """
                        
                        
                        .. attribute:: ipv4
                        
                        	
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: ipv4_strict_spf
                        
                        	
                        	**type**\:  :py:class:`Ipv4StrictSpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf>`
                        
                        

                        """

                        _prefix = 'ios-segment-routing'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily, self).__init__()

                            self.yang_name = "address-family"
                            self.yang_parent_name = "prefix-sid-map"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"ipv4" : ("ipv4", Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4), "ipv4-strict-spf" : ("ipv4_strict_spf", Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf)}
                            self._child_list_classes = {}

                            self.ipv4 = None
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv4_strict_spf = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf()
                            self.ipv4_strict_spf.parent = self
                            self._children_name_map["ipv4_strict_spf"] = "ipv4-strict-spf"
                            self._children_yang_names.add("ipv4-strict-spf")
                            self._segment_path = lambda: "address-family"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/mapping-server/prefix-sid-map/%s" % self._segment_path()


                        class Ipv4(Entity):
                            """
                            
                            
                            .. attribute:: prefixes
                            
                            	
                            	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-segment-routing'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "address-family"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"prefixes" : ("prefixes", Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes)}
                                self.is_presence_container = True

                                self.prefixes = YList(self)
                                self._segment_path = lambda: "ipv4"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/mapping-server/prefix-sid-map/address-family/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4, [], name, value)


                            class Prefixes(Entity):
                                """
                                
                                
                                .. attribute:: ipprefix  <key>
                                
                                	
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                
                                .. attribute:: index
                                
                                	
                                	**type**\:  :py:class:`Index <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Index>`
                                
                                .. attribute:: absolute
                                
                                	
                                	**type**\:  :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute>`
                                
                                

                                """

                                _prefix = 'ios-segment-routing'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes, self).__init__()

                                    self.yang_name = "prefixes"
                                    self.yang_parent_name = "ipv4"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"index" : ("index", Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Index), "absolute" : ("absolute", Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute)}
                                    self._child_list_classes = {}

                                    self.ipprefix = YLeaf(YType.str, "ipprefix")

                                    self.index = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Index()
                                    self.index.parent = self
                                    self._children_name_map["index"] = "index"
                                    self._children_yang_names.add("index")

                                    self.absolute = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute()
                                    self.absolute.parent = self
                                    self._children_name_map["absolute"] = "absolute"
                                    self._children_yang_names.add("absolute")
                                    self._segment_path = lambda: "prefixes" + "[ipprefix='" + self.ipprefix.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/mapping-server/prefix-sid-map/address-family/ipv4/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes, ['ipprefix'], name, value)


                                class Index(Entity):
                                    """
                                    
                                    
                                    .. attribute:: range_start
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..1048575
                                    
                                    .. attribute:: range
                                    
                                    	Range value
                                    	**type**\: int
                                    
                                    	**range:** 1..1048575
                                    
                                    .. attribute:: attach
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-segment-routing'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Index, self).__init__()

                                        self.yang_name = "index"
                                        self.yang_parent_name = "prefixes"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.range_start = YLeaf(YType.uint32, "range-start")

                                        self.range = YLeaf(YType.uint32, "range")

                                        self.attach = YLeaf(YType.empty, "attach")
                                        self._segment_path = lambda: "index"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Index, ['range_start', 'range', 'attach'], name, value)


                                class Absolute(Entity):
                                    """
                                    
                                    
                                    .. attribute:: range_start
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..1048575
                                    
                                    .. attribute:: range
                                    
                                    	Range value
                                    	**type**\: int
                                    
                                    	**range:** 1..1048575
                                    
                                    .. attribute:: attach
                                    
                                    	
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-segment-routing'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute, self).__init__()

                                        self.yang_name = "absolute"
                                        self.yang_parent_name = "prefixes"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.range_start = YLeaf(YType.uint32, "range-start")

                                        self.range = YLeaf(YType.uint32, "range")

                                        self.attach = YLeaf(YType.empty, "attach")
                                        self._segment_path = lambda: "absolute"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4.Prefixes.Absolute, ['range_start', 'range', 'attach'], name, value)


                        class Ipv4StrictSpf(Entity):
                            """
                            
                            
                            .. attribute:: ipv4
                            
                            	Address Family
                            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4>`
                            
                            

                            """

                            _prefix = 'ios-segment-routing'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf, self).__init__()

                                self.yang_name = "ipv4-strict-spf"
                                self.yang_parent_name = "address-family"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"ipv4" : ("ipv4", Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4)}
                                self._child_list_classes = {}

                                self.ipv4 = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4()
                                self.ipv4.parent = self
                                self._children_name_map["ipv4"] = "ipv4"
                                self._children_yang_names.add("ipv4")
                                self._segment_path = lambda: "ipv4-strict-spf"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/mapping-server/prefix-sid-map/address-family/%s" % self._segment_path()


                            class Ipv4(Entity):
                                """
                                Address Family
                                
                                .. attribute:: strict_spf
                                
                                	
                                	**type**\:  :py:class:`StrictSpf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf>`
                                
                                	**presence node**\: True
                                
                                

                                """

                                _prefix = 'ios-segment-routing'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4, self).__init__()

                                    self.yang_name = "ipv4"
                                    self.yang_parent_name = "ipv4-strict-spf"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"strict-spf" : ("strict_spf", Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf)}
                                    self._child_list_classes = {}

                                    self.strict_spf = None
                                    self._children_name_map["strict_spf"] = "strict-spf"
                                    self._children_yang_names.add("strict-spf")
                                    self._segment_path = lambda: "ipv4"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/mapping-server/prefix-sid-map/address-family/ipv4-strict-spf/%s" % self._segment_path()


                                class StrictSpf(Entity):
                                    """
                                    
                                    
                                    .. attribute:: prefixes
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`Prefixes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-segment-routing'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf, self).__init__()

                                        self.yang_name = "strict-spf"
                                        self.yang_parent_name = "ipv4"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"prefixes" : ("prefixes", Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes)}
                                        self.is_presence_container = True

                                        self.prefixes = YList(self)
                                        self._segment_path = lambda: "strict-spf"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/mapping-server/prefix-sid-map/address-family/ipv4-strict-spf/ipv4/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf, [], name, value)


                                    class Prefixes(Entity):
                                        """
                                        
                                        
                                        .. attribute:: ipprefix  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                                        
                                        .. attribute:: index
                                        
                                        	
                                        	**type**\:  :py:class:`Index <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index>`
                                        
                                        .. attribute:: absolute
                                        
                                        	
                                        	**type**\:  :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute>`
                                        
                                        

                                        """

                                        _prefix = 'ios-segment-routing'
                                        _revision = '2017-02-07'

                                        def __init__(self):
                                            super(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes, self).__init__()

                                            self.yang_name = "prefixes"
                                            self.yang_parent_name = "strict-spf"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"index" : ("index", Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index), "absolute" : ("absolute", Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute)}
                                            self._child_list_classes = {}

                                            self.ipprefix = YLeaf(YType.str, "ipprefix")

                                            self.index = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index()
                                            self.index.parent = self
                                            self._children_name_map["index"] = "index"
                                            self._children_yang_names.add("index")

                                            self.absolute = Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute()
                                            self.absolute.parent = self
                                            self._children_name_map["absolute"] = "absolute"
                                            self._children_yang_names.add("absolute")
                                            self._segment_path = lambda: "prefixes" + "[ipprefix='" + self.ipprefix.get() + "']"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/mapping-server/prefix-sid-map/address-family/ipv4-strict-spf/ipv4/strict-spf/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes, ['ipprefix'], name, value)


                                        class Index(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range_start
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..1048575
                                            
                                            .. attribute:: range
                                            
                                            	Range value
                                            	**type**\: int
                                            
                                            	**range:** 1..1048575
                                            
                                            .. attribute:: attach
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-segment-routing'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index, self).__init__()

                                                self.yang_name = "index"
                                                self.yang_parent_name = "prefixes"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.range_start = YLeaf(YType.uint32, "range-start")

                                                self.range = YLeaf(YType.uint32, "range")

                                                self.attach = YLeaf(YType.empty, "attach")
                                                self._segment_path = lambda: "index"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Index, ['range_start', 'range', 'attach'], name, value)


                                        class Absolute(Entity):
                                            """
                                            
                                            
                                            .. attribute:: range_start
                                            
                                            	
                                            	**type**\: int
                                            
                                            	**range:** 0..1048575
                                            
                                            .. attribute:: range
                                            
                                            	Range value
                                            	**type**\: int
                                            
                                            	**range:** 1..1048575
                                            
                                            .. attribute:: attach
                                            
                                            	
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-segment-routing'
                                            _revision = '2017-02-07'

                                            def __init__(self):
                                                super(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute, self).__init__()

                                                self.yang_name = "absolute"
                                                self.yang_parent_name = "prefixes"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.range_start = YLeaf(YType.uint32, "range-start")

                                                self.range = YLeaf(YType.uint32, "range")

                                                self.attach = YLeaf(YType.empty, "attach")
                                                self._segment_path = lambda: "absolute"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.SegmentRouting.Mpls.MappingServer.PrefixSidMap.AddressFamily.Ipv4StrictSpf.Ipv4.StrictSpf.Prefixes.Absolute, ['range_start', 'range', 'attach'], name, value)


            class SetAttributes(Entity):
                """
                Enter SR Set Attributes  Mode
                
                .. attribute:: address_family
                
                	Enter Address Family command mode
                	**type**\:  :py:class:`AddressFamily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.SetAttributes.AddressFamily>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-segment-routing'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.SegmentRouting.Mpls.SetAttributes, self).__init__()

                    self.yang_name = "set-attributes"
                    self.yang_parent_name = "mpls"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"address-family" : ("address_family", Native.SegmentRouting.Mpls.SetAttributes.AddressFamily)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.address_family = Native.SegmentRouting.Mpls.SetAttributes.AddressFamily()
                    self.address_family.parent = self
                    self._children_name_map["address_family"] = "address-family"
                    self._children_yang_names.add("address-family")
                    self._segment_path = lambda: "set-attributes"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/%s" % self._segment_path()


                class AddressFamily(Entity):
                    """
                    Enter Address Family command mode
                    
                    .. attribute:: ipv4
                    
                    	Address Family
                    	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SegmentRouting.Mpls.SetAttributes.AddressFamily.Ipv4>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-segment-routing'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.SegmentRouting.Mpls.SetAttributes.AddressFamily, self).__init__()

                        self.yang_name = "address-family"
                        self.yang_parent_name = "set-attributes"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"ipv4" : ("ipv4", Native.SegmentRouting.Mpls.SetAttributes.AddressFamily.Ipv4)}
                        self._child_list_classes = {}

                        self.ipv4 = None
                        self._children_name_map["ipv4"] = "ipv4"
                        self._children_yang_names.add("ipv4")
                        self._segment_path = lambda: "address-family"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/set-attributes/%s" % self._segment_path()


                    class Ipv4(Entity):
                        """
                        Address Family
                        
                        .. attribute:: explicit_null
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: sr_label_preferred
                        
                        	
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-segment-routing'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.SegmentRouting.Mpls.SetAttributes.AddressFamily.Ipv4, self).__init__()

                            self.yang_name = "ipv4"
                            self.yang_parent_name = "address-family"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.explicit_null = YLeaf(YType.empty, "explicit-null")

                            self.sr_label_preferred = YLeaf(YType.empty, "sr-label-preferred")
                            self._segment_path = lambda: "ipv4"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/segment-routing/Cisco-IOS-XE-segment-routing:mpls/set-attributes/address-family/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SegmentRouting.Mpls.SetAttributes.AddressFamily.Ipv4, ['explicit_null', 'sr_label_preferred'], name, value)


    class License(Entity):
        """
        Configure license features
        
        .. attribute:: udi
        
        	
        	**type**\:  :py:class:`Udi <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Udi>`
        
        .. attribute:: feature
        
        	License features
        	**type**\:  :py:class:`Feature <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Feature>`
        
        .. attribute:: accept
        
        	
        	**type**\:  :py:class:`Accept <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Accept>`
        
        .. attribute:: boot
        
        	license boot config commands
        	**type**\:  :py:class:`Boot <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot>`
        
        .. attribute:: smart
        
        	
        	**type**\:  :py:class:`Smart <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Smart>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.License, self).__init__()

            self.yang_name = "license"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"udi" : ("udi", Native.License.Udi), "feature" : ("feature", Native.License.Feature), "accept" : ("accept", Native.License.Accept), "boot" : ("boot", Native.License.Boot)}
            self._child_list_classes = {}

            self.smart = YLeaf(YType.enumeration, "smart")

            self.udi = Native.License.Udi()
            self.udi.parent = self
            self._children_name_map["udi"] = "udi"
            self._children_yang_names.add("udi")

            self.feature = Native.License.Feature()
            self.feature.parent = self
            self._children_name_map["feature"] = "feature"
            self._children_yang_names.add("feature")

            self.accept = Native.License.Accept()
            self.accept.parent = self
            self._children_name_map["accept"] = "accept"
            self._children_yang_names.add("accept")

            self.boot = Native.License.Boot()
            self.boot.parent = self
            self._children_name_map["boot"] = "boot"
            self._children_yang_names.add("boot")
            self._segment_path = lambda: "license"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.License, ['smart'], name, value)

        class Smart(Enum):
            """
            Smart

            .. data:: enable = 0

            """

            enable = Enum.YLeaf(0, "enable")



        class Udi(Entity):
            """
            
            
            .. attribute:: pid
            
            	
            	**type**\: str
            
            .. attribute:: sn
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.License.Udi, self).__init__()

                self.yang_name = "udi"
                self.yang_parent_name = "license"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.pid = YLeaf(YType.str, "pid")

                self.sn = YLeaf(YType.str, "sn")
                self._segment_path = lambda: "udi"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.License.Udi, ['pid', 'sn'], name, value)


        class Feature(Entity):
            """
            License features
            
            .. attribute:: name
            
            	
            	**type**\: str
            
            .. attribute:: port
            
            	Enable Ports for IM
            	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Feature.Port>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.License.Feature, self).__init__()

                self.yang_name = "feature"
                self.yang_parent_name = "license"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"port" : ("port", Native.License.Feature.Port)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.port = Native.License.Feature.Port()
                self.port.parent = self
                self._children_name_map["port"] = "port"
                self._children_yang_names.add("port")
                self._segment_path = lambda: "feature"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.License.Feature, ['name'], name, value)


            class Port(Entity):
                """
                Enable Ports for IM
                
                .. attribute:: bulk
                
                	Enable Bulk port licenes
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: onegig
                
                	Enable 1G port bundles
                	**type**\: int
                
                	**range:** 1..2
                
                .. attribute:: b_6xonegig
                
                	Enable 6x1G port bundles
                	**type**\: int
                
                	**range:** 1..2
                
                .. attribute:: tengig
                
                	Enable 10G port bundles
                	**type**\: int
                
                	**range:** 1..2
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.License.Feature.Port, self).__init__()

                    self.yang_name = "port"
                    self.yang_parent_name = "feature"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.bulk = YLeaf(YType.empty, "bulk")

                    self.onegig = YLeaf(YType.uint8, "onegig")

                    self.b_6xonegig = YLeaf(YType.uint8, "b-6xonegig")

                    self.tengig = YLeaf(YType.uint8, "tengig")
                    self._segment_path = lambda: "port"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/feature/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.License.Feature.Port, ['bulk', 'onegig', 'b_6xonegig', 'tengig'], name, value)


        class Accept(Entity):
            """
            
            
            .. attribute:: end
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: user
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: agreement
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.License.Accept, self).__init__()

                self.yang_name = "accept"
                self.yang_parent_name = "license"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.end = YLeaf(YType.empty, "end")

                self.user = YLeaf(YType.empty, "user")

                self.agreement = YLeaf(YType.empty, "agreement")
                self._segment_path = lambda: "accept"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.License.Accept, ['end', 'user', 'agreement'], name, value)


        class Boot(Entity):
            """
            license boot config commands
            
            .. attribute:: level
            
            	which level to boot
            	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level>`
            
            .. attribute:: boot_module
            
            	
            	**type**\:  :py:class:`BootModule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.BootModule>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.License.Boot, self).__init__()

                self.yang_name = "boot"
                self.yang_parent_name = "license"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"level" : ("level", Native.License.Boot.Level), "boot-module" : ("boot_module", Native.License.Boot.BootModule)}
                self._child_list_classes = {}

                self.level = Native.License.Boot.Level()
                self.level.parent = self
                self._children_name_map["level"] = "level"
                self._children_yang_names.add("level")

                self.boot_module = Native.License.Boot.BootModule()
                self.boot_module.parent = self
                self._children_name_map["boot_module"] = "boot-module"
                self._children_yang_names.add("boot-module")
                self._segment_path = lambda: "boot"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/%s" % self._segment_path()


            class Level(Entity):
                """
                which level to boot
                
                .. attribute:: ipbase
                
                	ipbase level
                	**type**\:  :py:class:`Ipbase <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Ipbase>`
                
                	**presence node**\: True
                
                .. attribute:: ipbasek9
                
                	License Level IPBASEK9
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: ipservices
                
                	ipservices level
                	**type**\:  :py:class:`Ipservices <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Ipservices>`
                
                	**presence node**\: True
                
                .. attribute:: ipservicesk9
                
                	ipservicesk9 level
                	**type**\:  :py:class:`Ipservicesk9 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Ipservicesk9>`
                
                	**presence node**\: True
                
                .. attribute:: lanbase
                
                	lanbase level
                	**type**\:  :py:class:`Lanbase <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Lanbase>`
                
                	**presence node**\: True
                
                .. attribute:: lanbasek9
                
                	License Level LANBASEK9
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: lite
                
                	lite level
                	**type**\:  :py:class:`Lite <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Lite>`
                
                	**presence node**\: True
                
                .. attribute:: metroaggrservices
                
                	metroaggrservices level
                	**type**\:  :py:class:`Metroaggrservices <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Metroaggrservices>`
                
                	**presence node**\: True
                
                .. attribute:: advancedmetroipaccess
                
                	Advanced Metro IP Access License Level
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: metroaccess
                
                	Metro Access License Level
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: metroipaccess
                
                	Metro IP Access License Level
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: entservices
                
                	Entservices License Level
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: adventerprise
                
                	Adventerprise License Level
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: appx
                
                	Appx License Level
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: appxk9
                
                	Appxk9 License Level
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: securityk9
                
                	Securityk9 License Level
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: uck9
                
                	Uck9 License Level
                	**type**\:  :py:class:`Uck9 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.Level.Uck9>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.License.Boot.Level, self).__init__()

                    self.yang_name = "level"
                    self.yang_parent_name = "boot"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ipbase" : ("ipbase", Native.License.Boot.Level.Ipbase), "ipservices" : ("ipservices", Native.License.Boot.Level.Ipservices), "ipservicesk9" : ("ipservicesk9", Native.License.Boot.Level.Ipservicesk9), "lanbase" : ("lanbase", Native.License.Boot.Level.Lanbase), "lite" : ("lite", Native.License.Boot.Level.Lite), "metroaggrservices" : ("metroaggrservices", Native.License.Boot.Level.Metroaggrservices), "uck9" : ("uck9", Native.License.Boot.Level.Uck9)}
                    self._child_list_classes = {}

                    self.ipbasek9 = YLeaf(YType.empty, "ipbasek9")

                    self.lanbasek9 = YLeaf(YType.empty, "lanbasek9")

                    self.advancedmetroipaccess = YLeaf(YType.empty, "advancedmetroipaccess")

                    self.metroaccess = YLeaf(YType.empty, "metroaccess")

                    self.metroipaccess = YLeaf(YType.empty, "metroipaccess")

                    self.entservices = YLeaf(YType.empty, "entservices")

                    self.adventerprise = YLeaf(YType.empty, "adventerprise")

                    self.appx = YLeaf(YType.empty, "appx")

                    self.appxk9 = YLeaf(YType.empty, "appxk9")

                    self.securityk9 = YLeaf(YType.empty, "securityk9")

                    self.ipbase = None
                    self._children_name_map["ipbase"] = "ipbase"
                    self._children_yang_names.add("ipbase")

                    self.ipservices = None
                    self._children_name_map["ipservices"] = "ipservices"
                    self._children_yang_names.add("ipservices")

                    self.ipservicesk9 = None
                    self._children_name_map["ipservicesk9"] = "ipservicesk9"
                    self._children_yang_names.add("ipservicesk9")

                    self.lanbase = None
                    self._children_name_map["lanbase"] = "lanbase"
                    self._children_yang_names.add("lanbase")

                    self.lite = None
                    self._children_name_map["lite"] = "lite"
                    self._children_yang_names.add("lite")

                    self.metroaggrservices = None
                    self._children_name_map["metroaggrservices"] = "metroaggrservices"
                    self._children_yang_names.add("metroaggrservices")

                    self.uck9 = None
                    self._children_name_map["uck9"] = "uck9"
                    self._children_yang_names.add("uck9")
                    self._segment_path = lambda: "level"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/boot/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.License.Boot.Level, ['ipbasek9', 'lanbasek9', 'advancedmetroipaccess', 'metroaccess', 'metroipaccess', 'entservices', 'adventerprise', 'appx', 'appxk9', 'securityk9'], name, value)


                class Ipbase(Entity):
                    """
                    ipbase level
                    
                    .. attribute:: switch
                    
                    	Switch license information
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.License.Boot.Level.Ipbase, self).__init__()

                        self.yang_name = "ipbase"
                        self.yang_parent_name = "level"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.switch = YLeaf(YType.uint8, "switch")
                        self._segment_path = lambda: "ipbase"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/boot/level/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.License.Boot.Level.Ipbase, ['switch'], name, value)


                class Ipservices(Entity):
                    """
                    ipservices level
                    
                    .. attribute:: switch
                    
                    	Switch license information
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.License.Boot.Level.Ipservices, self).__init__()

                        self.yang_name = "ipservices"
                        self.yang_parent_name = "level"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.switch = YLeaf(YType.empty, "switch")
                        self._segment_path = lambda: "ipservices"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/boot/level/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.License.Boot.Level.Ipservices, ['switch'], name, value)


                class Ipservicesk9(Entity):
                    """
                    ipservicesk9 level
                    
                    .. attribute:: switch
                    
                    	Switch license information
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.License.Boot.Level.Ipservicesk9, self).__init__()

                        self.yang_name = "ipservicesk9"
                        self.yang_parent_name = "level"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.switch = YLeaf(YType.empty, "switch")
                        self._segment_path = lambda: "ipservicesk9"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/boot/level/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.License.Boot.Level.Ipservicesk9, ['switch'], name, value)


                class Lanbase(Entity):
                    """
                    lanbase level
                    
                    .. attribute:: switch
                    
                    	Switch license information
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.License.Boot.Level.Lanbase, self).__init__()

                        self.yang_name = "lanbase"
                        self.yang_parent_name = "level"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.switch = YLeaf(YType.empty, "switch")
                        self._segment_path = lambda: "lanbase"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/boot/level/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.License.Boot.Level.Lanbase, ['switch'], name, value)


                class Lite(Entity):
                    """
                    lite level
                    
                    .. attribute:: switch
                    
                    	Switch license information
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.License.Boot.Level.Lite, self).__init__()

                        self.yang_name = "lite"
                        self.yang_parent_name = "level"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.switch = YLeaf(YType.empty, "switch")
                        self._segment_path = lambda: "lite"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/boot/level/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.License.Boot.Level.Lite, ['switch'], name, value)


                class Metroaggrservices(Entity):
                    """
                    metroaggrservices level
                    
                    .. attribute:: switch
                    
                    	Switch license information
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.License.Boot.Level.Metroaggrservices, self).__init__()

                        self.yang_name = "metroaggrservices"
                        self.yang_parent_name = "level"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.switch = YLeaf(YType.empty, "switch")
                        self._segment_path = lambda: "metroaggrservices"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/boot/level/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.License.Boot.Level.Metroaggrservices, ['switch'], name, value)


                class Uck9(Entity):
                    """
                    Uck9 License Level
                    
                    .. attribute:: disable
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.License.Boot.Level.Uck9, self).__init__()

                        self.yang_name = "uck9"
                        self.yang_parent_name = "level"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.disable = YLeaf(YType.empty, "disable")
                        self._segment_path = lambda: "uck9"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/boot/level/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.License.Boot.Level.Uck9, ['disable'], name, value)


            class BootModule(Entity):
                """
                
                
                .. attribute:: module
                
                	
                	**type**\:  :py:class:`Module <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.BootModule.Module>`
                
                .. attribute:: technology_package
                
                	
                	**type**\:  :py:class:`TechnologyPackage <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.License.Boot.BootModule.TechnologyPackage>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.License.Boot.BootModule, self).__init__()

                    self.yang_name = "boot-module"
                    self.yang_parent_name = "boot"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"technology-package" : ("technology_package", Native.License.Boot.BootModule.TechnologyPackage)}
                    self._child_list_classes = {}

                    self.module = YLeaf(YType.enumeration, "module")

                    self.technology_package = Native.License.Boot.BootModule.TechnologyPackage()
                    self.technology_package.parent = self
                    self._children_name_map["technology_package"] = "technology-package"
                    self._children_yang_names.add("technology-package")
                    self._segment_path = lambda: "boot-module"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/boot/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.License.Boot.BootModule, ['module'], name, value)

                class Module(Enum):
                    """
                    Module

                    .. data:: c2900 = 0

                    """

                    c2900 = Enum.YLeaf(0, "c2900")



                class TechnologyPackage(Entity):
                    """
                    
                    
                    .. attribute:: securityk9
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: uck9
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: datak9
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.License.Boot.BootModule.TechnologyPackage, self).__init__()

                        self.yang_name = "technology-package"
                        self.yang_parent_name = "boot-module"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.securityk9 = YLeaf(YType.empty, "securityk9")

                        self.uck9 = YLeaf(YType.empty, "uck9")

                        self.datak9 = YLeaf(YType.empty, "datak9")
                        self._segment_path = lambda: "technology-package"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/license/boot/boot-module/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.License.Boot.BootModule.TechnologyPackage, ['securityk9', 'uck9', 'datak9'], name, value)


    class MemorySize(Entity):
        """
        Adjust memory size by percentage
        
        .. attribute:: iomem
        
        	I/O memory
        	**type**\: int
        
        	**range:** 5..25
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.MemorySize, self).__init__()

            self.yang_name = "memory-size"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.iomem = YLeaf(YType.uint8, "iomem")
            self._segment_path = lambda: "memory-size"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.MemorySize, ['iomem'], name, value)


    class Transceiver(Entity):
        """
        Select from transceiver configuration commands
        
        .. attribute:: type
        
        	type keyword
        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Transceiver.Type>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Transceiver, self).__init__()

            self.yang_name = "transceiver"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"type" : ("type", Native.Transceiver.Type)}
            self._child_list_classes = {}

            self.type = Native.Transceiver.Type()
            self.type.parent = self
            self._children_name_map["type"] = "type"
            self._children_yang_names.add("type")
            self._segment_path = lambda: "transceiver"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Type(Entity):
            """
            type keyword
            
            .. attribute:: all
            
            	
            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Transceiver.Type.All>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Transceiver.Type, self).__init__()

                self.yang_name = "type"
                self.yang_parent_name = "transceiver"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"all" : ("all", Native.Transceiver.Type.All)}
                self._child_list_classes = {}

                self.all = Native.Transceiver.Type.All()
                self.all.parent = self
                self._children_name_map["all"] = "all"
                self._children_yang_names.add("all")
                self._segment_path = lambda: "type"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/transceiver/%s" % self._segment_path()


            class All(Entity):
                """
                
                
                .. attribute:: monitoring
                
                	Enable/disable monitoring
                	**type**\:  :py:class:`Monitoring <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Transceiver.Type.All.Monitoring>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Transceiver.Type.All, self).__init__()

                    self.yang_name = "all"
                    self.yang_parent_name = "type"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"monitoring" : ("monitoring", Native.Transceiver.Type.All.Monitoring)}
                    self._child_list_classes = {}

                    self.monitoring = None
                    self._children_name_map["monitoring"] = "monitoring"
                    self._children_yang_names.add("monitoring")
                    self._segment_path = lambda: "all"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/transceiver/type/%s" % self._segment_path()


                class Monitoring(Entity):
                    """
                    Enable/disable monitoring
                    
                    .. attribute:: interval
                    
                    	Set interval for monitoring
                    	**type**\: int
                    
                    	**range:** 300..3600
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Transceiver.Type.All.Monitoring, self).__init__()

                        self.yang_name = "monitoring"
                        self.yang_parent_name = "all"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.interval = YLeaf(YType.uint16, "interval")
                        self._segment_path = lambda: "monitoring"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/transceiver/type/all/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Transceiver.Type.All.Monitoring, ['interval'], name, value)


    class ServiceInsertion(Entity):
        """
        Service Insertion mode
        
        .. attribute:: acg_reload_delay
        
        	Reload delay timer for ACG
        	**type**\: int
        
        	**range:** 120..450
        
        .. attribute:: appnav_controller_group
        
        	AppNav Controller Group
        	**type**\: list of  		 :py:class:`AppnavControllerGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.AppnavControllerGroup>`
        
        .. attribute:: service_context
        
        	Service Context
        	**type**\:  :py:class:`ServiceContext <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceContext>`
        
        .. attribute:: service_node_group
        
        	service node Group
        	**type**\: list of  		 :py:class:`ServiceNodeGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceNodeGroup>`
        
        .. attribute:: swap
        
        	Swap src\-ip
        	**type**\:  :py:class:`Swap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.Swap>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.ServiceInsertion, self).__init__()

            self.yang_name = "service-insertion"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-service-insertion:service-context" : ("service_context", Native.ServiceInsertion.ServiceContext), "Cisco-IOS-XE-service-insertion:swap" : ("swap", Native.ServiceInsertion.Swap)}
            self._child_list_classes = {"Cisco-IOS-XE-service-insertion:appnav-controller-group" : ("appnav_controller_group", Native.ServiceInsertion.AppnavControllerGroup), "Cisco-IOS-XE-service-insertion:service-node-group" : ("service_node_group", Native.ServiceInsertion.ServiceNodeGroup)}

            self.acg_reload_delay = YLeaf(YType.uint16, "Cisco-IOS-XE-service-insertion:acg-reload-delay")

            self.service_context = Native.ServiceInsertion.ServiceContext()
            self.service_context.parent = self
            self._children_name_map["service_context"] = "service-context"
            self._children_yang_names.add("service-context")

            self.swap = Native.ServiceInsertion.Swap()
            self.swap.parent = self
            self._children_name_map["swap"] = "swap"
            self._children_yang_names.add("swap")

            self.appnav_controller_group = YList(self)
            self.service_node_group = YList(self)
            self._segment_path = lambda: "service-insertion"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.ServiceInsertion, ['acg_reload_delay'], name, value)


        class AppnavControllerGroup(Entity):
            """
            AppNav Controller Group
            
            .. attribute:: group_name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: appnav_controller
            
            	AppNav controller
            	**type**\: list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: description
            
            	ACG description
            	**type**\: str
            
            

            """

            _prefix = 'ios-service-insertion'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.ServiceInsertion.AppnavControllerGroup, self).__init__()

                self.yang_name = "appnav-controller-group"
                self.yang_parent_name = "service-insertion"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.group_name = YLeaf(YType.str, "group-name")

                self.appnav_controller = YLeafList(YType.str, "appnav-controller")

                self.description = YLeaf(YType.str, "description")
                self._segment_path = lambda: "Cisco-IOS-XE-service-insertion:appnav-controller-group" + "[group-name='" + self.group_name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service-insertion/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ServiceInsertion.AppnavControllerGroup, ['group_name', 'appnav_controller', 'description'], name, value)


        class ServiceContext(Entity):
            """
            Service Context
            
            .. attribute:: waas
            
            	Service controller waas
            	**type**\: list of  		 :py:class:`Waas <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceContext.Waas>`
            
            

            """

            _prefix = 'ios-service-insertion'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.ServiceInsertion.ServiceContext, self).__init__()

                self.yang_name = "service-context"
                self.yang_parent_name = "service-insertion"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"waas" : ("waas", Native.ServiceInsertion.ServiceContext.Waas)}

                self.waas = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-service-insertion:service-context"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service-insertion/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ServiceInsertion.ServiceContext, [], name, value)


            class Waas(Entity):
                """
                Service controller waas
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: appnav_controller_group
                
                	AppNav Controller Group
                	**type**\: str
                
                .. attribute:: authentication
                
                	Authentication key
                	**type**\:  :py:class:`Authentication <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceContext.Waas.Authentication>`
                
                .. attribute:: service_node_group
                
                	service node Group
                	**type**\: str
                
                .. attribute:: service_policy
                
                	Specify a service policy for the service context
                	**type**\: str
                
                .. attribute:: enable
                
                	service context enable
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: vrf
                
                	VRF
                	**type**\:  :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceContext.Waas.Vrf>`
                
                

                """

                _prefix = 'ios-service-insertion'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ServiceInsertion.ServiceContext.Waas, self).__init__()

                    self.yang_name = "waas"
                    self.yang_parent_name = "service-context"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"authentication" : ("authentication", Native.ServiceInsertion.ServiceContext.Waas.Authentication), "vrf" : ("vrf", Native.ServiceInsertion.ServiceContext.Waas.Vrf)}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.appnav_controller_group = YLeaf(YType.str, "appnav-controller-group")

                    self.service_node_group = YLeaf(YType.str, "service-node-group")

                    self.service_policy = YLeaf(YType.str, "service-policy")

                    self.enable = YLeaf(YType.empty, "enable")

                    self.authentication = Native.ServiceInsertion.ServiceContext.Waas.Authentication()
                    self.authentication.parent = self
                    self._children_name_map["authentication"] = "authentication"
                    self._children_yang_names.add("authentication")

                    self.vrf = Native.ServiceInsertion.ServiceContext.Waas.Vrf()
                    self.vrf.parent = self
                    self._children_name_map["vrf"] = "vrf"
                    self._children_yang_names.add("vrf")
                    self._segment_path = lambda: "waas" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service-insertion/Cisco-IOS-XE-service-insertion:service-context/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ServiceInsertion.ServiceContext.Waas, ['name', 'appnav_controller_group', 'service_node_group', 'service_policy', 'enable'], name, value)


                class Authentication(Entity):
                    """
                    Authentication key
                    
                    .. attribute:: sha1
                    
                    	Authentication type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: key
                    
                    	Authentication Key
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: encrypt
                    
                    	
                    	**type**\:  :py:class:`Encrypt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceContext.Waas.Authentication.Encrypt>`
                    
                    .. attribute:: string
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-service-insertion'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ServiceInsertion.ServiceContext.Waas.Authentication, self).__init__()

                        self.yang_name = "authentication"
                        self.yang_parent_name = "waas"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.sha1 = YLeaf(YType.empty, "sha1")

                        self.key = YLeaf(YType.empty, "key")

                        self.encrypt = YLeaf(YType.enumeration, "encrypt")

                        self.string = YLeaf(YType.str, "string")
                        self._segment_path = lambda: "authentication"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ServiceInsertion.ServiceContext.Waas.Authentication, ['sha1', 'key', 'encrypt', 'string'], name, value)

                    class Encrypt(Enum):
                        """
                        Encrypt

                        .. data:: Y_0 = 0

                        .. data:: Y_7 = 1

                        """

                        Y_0 = Enum.YLeaf(0, "0")

                        Y_7 = Enum.YLeaf(1, "7")



                class Vrf(Entity):
                    """
                    VRF
                    
                    .. attribute:: default
                    
                    	default
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: global_
                    
                    	global
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: name
                    
                    	vrf name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-service-insertion'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ServiceInsertion.ServiceContext.Waas.Vrf, self).__init__()

                        self.yang_name = "vrf"
                        self.yang_parent_name = "waas"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.default = YLeaf(YType.empty, "default")

                        self.global_ = YLeaf(YType.empty, "global")

                        self.name = YLeaf(YType.str, "name")
                        self._segment_path = lambda: "vrf"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ServiceInsertion.ServiceContext.Waas.Vrf, ['default', 'global_', 'name'], name, value)


        class ServiceNodeGroup(Entity):
            """
            service node Group
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: description
            
            	Group Description
            	**type**\: str
            
            .. attribute:: node_discovery
            
            	service node auto discovery
            	**type**\:  :py:class:`NodeDiscovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceInsertion.ServiceNodeGroup.NodeDiscovery>`
            
            .. attribute:: service_node
            
            	service node
            	**type**\: list of str
            
            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            

            """

            _prefix = 'ios-service-insertion'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.ServiceInsertion.ServiceNodeGroup, self).__init__()

                self.yang_name = "service-node-group"
                self.yang_parent_name = "service-insertion"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.description = YLeaf(YType.str, "description")

                self.node_discovery = YLeaf(YType.enumeration, "node-discovery")

                self.service_node = YLeafList(YType.str, "service-node")
                self._segment_path = lambda: "Cisco-IOS-XE-service-insertion:service-node-group" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service-insertion/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ServiceInsertion.ServiceNodeGroup, ['name', 'description', 'node_discovery', 'service_node'], name, value)

            class NodeDiscovery(Enum):
                """
                NodeDiscovery

                service node auto discovery

                .. data:: enable = 0

                """

                enable = Enum.YLeaf(0, "enable")



        class Swap(Entity):
            """
            Swap src\-ip
            
            .. attribute:: src_ip
            
            	Swap source\-ip of service\-insertion packets
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-service-insertion'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.ServiceInsertion.Swap, self).__init__()

                self.yang_name = "swap"
                self.yang_parent_name = "service-insertion"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.src_ip = YLeaf(YType.empty, "src-ip")
                self._segment_path = lambda: "Cisco-IOS-XE-service-insertion:swap"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/service-insertion/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ServiceInsertion.Swap, ['src_ip'], name, value)


    class Udld(Entity):
        """
        Configure global UDLD setting
        
        .. attribute:: aggressive
        
        	Enable UDLD protocol in aggressive mode on fiber ports exceptwhere locally configured
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: enable
        
        	Enable UDLD protocol on fiber ports except where locally configured
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: message
        
        	Set UDLD message parameters
        	**type**\:  :py:class:`Message <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Udld.Message>`
        
        .. attribute:: recovery
        
        	Enable timer to recover from udld error disable state
        	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Udld.Recovery>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Udld, self).__init__()

            self.yang_name = "udld"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-udld:message" : ("message", Native.Udld.Message), "Cisco-IOS-XE-udld:recovery" : ("recovery", Native.Udld.Recovery)}
            self._child_list_classes = {}

            self.aggressive = YLeaf(YType.empty, "Cisco-IOS-XE-udld:aggressive")

            self.enable = YLeaf(YType.empty, "Cisco-IOS-XE-udld:enable")

            self.message = Native.Udld.Message()
            self.message.parent = self
            self._children_name_map["message"] = "message"
            self._children_yang_names.add("message")

            self.recovery = None
            self._children_name_map["recovery"] = "recovery"
            self._children_yang_names.add("recovery")
            self._segment_path = lambda: "udld"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Udld, ['aggressive', 'enable'], name, value)


        class Message(Entity):
            """
            Set UDLD message parameters
            
            .. attribute:: time
            
            	Set UDLD message time period
            	**type**\: int
            
            	**range:** 1..90
            
            

            """

            _prefix = 'ios-udld'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Udld.Message, self).__init__()

                self.yang_name = "message"
                self.yang_parent_name = "udld"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.time = YLeaf(YType.uint8, "time")
                self._segment_path = lambda: "Cisco-IOS-XE-udld:message"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/udld/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Udld.Message, ['time'], name, value)


        class Recovery(Entity):
            """
            Enable timer to recover from udld error disable state
            
            .. attribute:: interval
            
            	timer\-interval(sec)
            	**type**\: int
            
            	**range:** 30..86400
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-udld'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Udld.Recovery, self).__init__()

                self.yang_name = "recovery"
                self.yang_parent_name = "udld"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.interval = YLeaf(YType.uint32, "interval")
                self._segment_path = lambda: "Cisco-IOS-XE-udld:recovery"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/udld/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Udld.Recovery, ['interval'], name, value)


    class Wireless(Entity):
        """
        Configure wireless parameters
        
        .. attribute:: mdns_bridging
        
        	Enable Ethernet mDNS Support
        	**type**\: bool
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Wireless, self).__init__()

            self.yang_name = "wireless"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.mdns_bridging = YLeaf(YType.boolean, "mdns-bridging")
            self._segment_path = lambda: "wireless"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Wireless, ['mdns_bridging'], name, value)


    class Qos(Entity):
        """
        Global QoS configuration commands
        
        .. attribute:: account
        
        	Additional lengths to be accounted by QoS Features
        	**type**\:  :py:class:`Account <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Account>`
        
        .. attribute:: control_packets
        
        	Enable QoS on control packets
        	**type**\:  :py:class:`ControlPackets <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.ControlPackets>`
        
        	**presence node**\: True
        
        .. attribute:: preserve
        
        	Preserve packet header bits
        	**type**\:  :py:class:`Preserve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Preserve>`
        
        .. attribute:: trace
        
        	QoS trace log settings
        	**type**\:  :py:class:`Trace <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Trace>`
        
        .. attribute:: diffservmib
        
        	RFC3289 support for QoS policy\-maps
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: queue_softmax_multiplier
        
        	global multiplier(%) for queue soft buffer maximal size
        	**type**\:  :py:class:`QueueSoftmaxMultiplier <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.QueueSoftmaxMultiplier>`
        
        

        This class is a :ref:`presence class<presence-class>`

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Qos, self).__init__()

            self.yang_name = "qos"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-qos:account" : ("account", Native.Qos.Account), "Cisco-IOS-XE-qos:control-packets" : ("control_packets", Native.Qos.ControlPackets), "Cisco-IOS-XE-qos:preserve" : ("preserve", Native.Qos.Preserve), "Cisco-IOS-XE-qos:trace" : ("trace", Native.Qos.Trace), "Cisco-IOS-XE-qos:queue-softmax-multiplier" : ("queue_softmax_multiplier", Native.Qos.QueueSoftmaxMultiplier)}
            self._child_list_classes = {}
            self.is_presence_container = True

            self.diffservmib = YLeaf(YType.empty, "Cisco-IOS-XE-qos:diffservmib")

            self.account = Native.Qos.Account()
            self.account.parent = self
            self._children_name_map["account"] = "account"
            self._children_yang_names.add("account")

            self.control_packets = None
            self._children_name_map["control_packets"] = "control-packets"
            self._children_yang_names.add("control-packets")

            self.preserve = Native.Qos.Preserve()
            self.preserve.parent = self
            self._children_name_map["preserve"] = "preserve"
            self._children_yang_names.add("preserve")

            self.trace = Native.Qos.Trace()
            self.trace.parent = self
            self._children_name_map["trace"] = "trace"
            self._children_yang_names.add("trace")

            self.queue_softmax_multiplier = Native.Qos.QueueSoftmaxMultiplier()
            self.queue_softmax_multiplier.parent = self
            self._children_name_map["queue_softmax_multiplier"] = "queue-softmax-multiplier"
            self._children_yang_names.add("queue-softmax-multiplier")
            self._segment_path = lambda: "qos"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Qos, ['diffservmib'], name, value)


        class Account(Entity):
            """
            Additional lengths to be accounted by QoS Features
            
            .. attribute:: layer_all
            
            	All layers, including L1
            	**type**\:  :py:class:`LayerAll <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Account.LayerAll>`
            
            .. attribute:: layer2
            
            	Accounting Layer 2 headers
            	**type**\:  :py:class:`Layer2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Account.Layer2>`
            
            

            """

            _prefix = 'ios-qos'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Qos.Account, self).__init__()

                self.yang_name = "account"
                self.yang_parent_name = "qos"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"layer-all" : ("layer_all", Native.Qos.Account.LayerAll), "layer2" : ("layer2", Native.Qos.Account.Layer2)}
                self._child_list_classes = {}

                self.layer_all = Native.Qos.Account.LayerAll()
                self.layer_all.parent = self
                self._children_name_map["layer_all"] = "layer-all"
                self._children_yang_names.add("layer-all")

                self.layer2 = Native.Qos.Account.Layer2()
                self.layer2.parent = self
                self._children_name_map["layer2"] = "layer2"
                self._children_yang_names.add("layer2")
                self._segment_path = lambda: "Cisco-IOS-XE-qos:account"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/qos/%s" % self._segment_path()


            class LayerAll(Entity):
                """
                All layers, including L1
                
                .. attribute:: encapsulation
                
                	Account Layer 1 Encapsulation when applying QoS features
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-qos'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Qos.Account.LayerAll, self).__init__()

                    self.yang_name = "layer-all"
                    self.yang_parent_name = "account"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.encapsulation = YLeaf(YType.empty, "encapsulation")
                    self._segment_path = lambda: "layer-all"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/qos/Cisco-IOS-XE-qos:account/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Qos.Account.LayerAll, ['encapsulation'], name, value)


            class Layer2(Entity):
                """
                Accounting Layer 2 headers
                
                .. attribute:: encapsulation
                
                	Account Layer 2 Encapsulation when applying QoS features
                	**type**\:  :py:class:`Encapsulation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Account.Layer2.Encapsulation>`
                
                

                """

                _prefix = 'ios-qos'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Qos.Account.Layer2, self).__init__()

                    self.yang_name = "layer2"
                    self.yang_parent_name = "account"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"encapsulation" : ("encapsulation", Native.Qos.Account.Layer2.Encapsulation)}
                    self._child_list_classes = {}

                    self.encapsulation = Native.Qos.Account.Layer2.Encapsulation()
                    self.encapsulation.parent = self
                    self._children_name_map["encapsulation"] = "encapsulation"
                    self._children_yang_names.add("encapsulation")
                    self._segment_path = lambda: "layer2"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/qos/Cisco-IOS-XE-qos:account/%s" % self._segment_path()


                class Encapsulation(Entity):
                    """
                    Account Layer 2 Encapsulation when applying QoS features
                    
                    .. attribute:: arpa
                    
                    	ARPA Encapsulation Size (18 bytes)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dot1q
                    
                    	IEEE 802.1q Encapsulation Size (22 bytes)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: isl
                    
                    	ISL Encapsulation Size (48 bytes)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: length
                    
                    	Layer2 Encapsulation length in bytes
                    	**type**\:  :py:class:`Length <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Account.Layer2.Encapsulation.Length>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-qos'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Qos.Account.Layer2.Encapsulation, self).__init__()

                        self.yang_name = "encapsulation"
                        self.yang_parent_name = "layer2"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"length" : ("length", Native.Qos.Account.Layer2.Encapsulation.Length)}
                        self._child_list_classes = {}

                        self.arpa = YLeaf(YType.empty, "arpa")

                        self.dot1q = YLeaf(YType.empty, "dot1q")

                        self.isl = YLeaf(YType.empty, "isl")

                        self.length = None
                        self._children_name_map["length"] = "length"
                        self._children_yang_names.add("length")
                        self._segment_path = lambda: "encapsulation"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/qos/Cisco-IOS-XE-qos:account/layer2/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Qos.Account.Layer2.Encapsulation, ['arpa', 'dot1q', 'isl'], name, value)


                    class Length(Entity):
                        """
                        Layer2 Encapsulation length in bytes
                        
                        .. attribute:: byte_length
                        
                        	Layer2 Encapsulation length in bytes, <0\-0>
                        	**type**\: int
                        
                        	**range:** \-128..127
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-qos'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Qos.Account.Layer2.Encapsulation.Length, self).__init__()

                            self.yang_name = "length"
                            self.yang_parent_name = "encapsulation"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.byte_length = YLeaf(YType.int8, "byte-length")
                            self._segment_path = lambda: "length"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/qos/Cisco-IOS-XE-qos:account/layer2/encapsulation/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Qos.Account.Layer2.Encapsulation.Length, ['byte_length'], name, value)


        class ControlPackets(Entity):
            """
            Enable QoS on control packets
            
            .. attribute:: bpdu_range
            
            	Enable QoS on BPDU\-range packets
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: cdp_vtp
            
            	Enable QoS on CDP and VTP packets
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: eapol
            
            	Enable QoS on EAPOL packets
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: lldp
            
            	Enable QoS on LLDP packets
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: protocol_tunnel
            
            	Enable QoS on protocol tunneled packets
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: sstp
            
            	Enable QoS on SSTP packets
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-qos'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Qos.ControlPackets, self).__init__()

                self.yang_name = "control-packets"
                self.yang_parent_name = "qos"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.bpdu_range = YLeaf(YType.empty, "bpdu-range")

                self.cdp_vtp = YLeaf(YType.empty, "cdp-vtp")

                self.eapol = YLeaf(YType.empty, "eapol")

                self.lldp = YLeaf(YType.empty, "lldp")

                self.protocol_tunnel = YLeaf(YType.empty, "protocol-tunnel")

                self.sstp = YLeaf(YType.empty, "sstp")
                self._segment_path = lambda: "Cisco-IOS-XE-qos:control-packets"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/qos/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Qos.ControlPackets, ['bpdu_range', 'cdp_vtp', 'eapol', 'lldp', 'protocol_tunnel', 'sstp'], name, value)


        class Preserve(Entity):
            """
            Preserve packet header bits
            
            .. attribute:: marking
            
            	Preserve cos/tos header bits
            	**type**\:  :py:class:`Marking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Preserve.Marking>`
            
            .. attribute:: mpls
            
            	Preserve MPLS packet header bits
            	**type**\:  :py:class:`Mpls <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Preserve.Mpls>`
            
            

            """

            _prefix = 'ios-qos'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Qos.Preserve, self).__init__()

                self.yang_name = "preserve"
                self.yang_parent_name = "qos"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"marking" : ("marking", Native.Qos.Preserve.Marking), "mpls" : ("mpls", Native.Qos.Preserve.Mpls)}
                self._child_list_classes = {}

                self.marking = Native.Qos.Preserve.Marking()
                self.marking.parent = self
                self._children_name_map["marking"] = "marking"
                self._children_yang_names.add("marking")

                self.mpls = Native.Qos.Preserve.Mpls()
                self.mpls.parent = self
                self._children_name_map["mpls"] = "mpls"
                self._children_yang_names.add("mpls")
                self._segment_path = lambda: "Cisco-IOS-XE-qos:preserve"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/qos/%s" % self._segment_path()


            class Marking(Entity):
                """
                Preserve cos/tos header bits
                
                .. attribute:: hipriority
                
                	Preserve marking in high priority generated control packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-qos'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Qos.Preserve.Marking, self).__init__()

                    self.yang_name = "marking"
                    self.yang_parent_name = "preserve"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.hipriority = YLeaf(YType.empty, "hipriority")
                    self._segment_path = lambda: "marking"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/qos/Cisco-IOS-XE-qos:preserve/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Qos.Preserve.Marking, ['hipriority'], name, value)


            class Mpls(Entity):
                """
                Preserve MPLS packet header bits
                
                .. attribute:: exp
                
                	Preserve MPLS EXP packet header bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-qos'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Qos.Preserve.Mpls, self).__init__()

                    self.yang_name = "mpls"
                    self.yang_parent_name = "preserve"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.exp = YLeaf(YType.empty, "exp")
                    self._segment_path = lambda: "mpls"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/qos/Cisco-IOS-XE-qos:preserve/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Qos.Preserve.Mpls, ['exp'], name, value)


        class Trace(Entity):
            """
            QoS trace log settings
            
            .. attribute:: resize
            
            	resize trace log
            	**type**\:  :py:class:`Resize <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Qos.Trace.Resize>`
            
            

            """

            _prefix = 'ios-qos'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Qos.Trace, self).__init__()

                self.yang_name = "trace"
                self.yang_parent_name = "qos"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"resize" : ("resize", Native.Qos.Trace.Resize)}
                self._child_list_classes = {}

                self.resize = Native.Qos.Trace.Resize()
                self.resize.parent = self
                self._children_name_map["resize"] = "resize"
                self._children_yang_names.add("resize")
                self._segment_path = lambda: "Cisco-IOS-XE-qos:trace"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/qos/%s" % self._segment_path()


            class Resize(Entity):
                """
                resize trace log
                
                .. attribute:: size
                
                	buffer size in bytes
                	**type**\: int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: all
                
                	all trace logs
                	**type**\: int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: error
                
                	error trace log
                	**type**\: int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: event
                
                	event trace log
                	**type**\: int
                
                	**range:** \-2147483648..2147483647
                
                .. attribute:: warning
                
                	warning trace log
                	**type**\: int
                
                	**range:** \-2147483648..2147483647
                
                

                """

                _prefix = 'ios-qos'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Qos.Trace.Resize, self).__init__()

                    self.yang_name = "resize"
                    self.yang_parent_name = "trace"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.size = YLeaf(YType.int32, "size")

                    self.all = YLeaf(YType.int32, "all")

                    self.error = YLeaf(YType.int32, "error")

                    self.event = YLeaf(YType.int32, "event")

                    self.warning = YLeaf(YType.int32, "warning")
                    self._segment_path = lambda: "resize"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/qos/Cisco-IOS-XE-qos:trace/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Qos.Trace.Resize, ['size', 'all', 'error', 'event', 'warning'], name, value)


        class QueueSoftmaxMultiplier(Entity):
            """
            global multiplier(%) for queue soft buffer maximal size
            
            .. attribute:: value
            
            	multiplier(%) 100 \- 1200
            	**type**\: int
            
            	**range:** 100..1200
            
            

            """

            _prefix = 'ios-qos'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Qos.QueueSoftmaxMultiplier, self).__init__()

                self.yang_name = "queue-softmax-multiplier"
                self.yang_parent_name = "qos"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.value = YLeaf(YType.int16, "value")
                self._segment_path = lambda: "Cisco-IOS-XE-qos:queue-softmax-multiplier"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/qos/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Qos.QueueSoftmaxMultiplier, ['value'], name, value)


    class TimeRange(Entity):
        """
        Define time range entries
        
        .. attribute:: word  <key>
        
        	
        	**type**\: str
        
        .. attribute:: absolute
        
        	absolute time and date
        	**type**\:  :py:class:`Absolute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TimeRange.Absolute>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.TimeRange, self).__init__()

            self.yang_name = "time-range"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"absolute" : ("absolute", Native.TimeRange.Absolute)}
            self._child_list_classes = {}

            self.word = YLeaf(YType.str, "word")

            self.absolute = Native.TimeRange.Absolute()
            self.absolute.parent = self
            self._children_name_map["absolute"] = "absolute"
            self._children_yang_names.add("absolute")
            self._segment_path = lambda: "time-range" + "[word='" + self.word.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.TimeRange, ['word'], name, value)


        class Absolute(Entity):
            """
            absolute time and date
            
            .. attribute:: start
            
            	starting time and date
            	**type**\:  :py:class:`Start <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.TimeRange.Absolute.Start>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.TimeRange.Absolute, self).__init__()

                self.yang_name = "absolute"
                self.yang_parent_name = "time-range"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"start" : ("start", Native.TimeRange.Absolute.Start)}
                self._child_list_classes = {}

                self.start = Native.TimeRange.Absolute.Start()
                self.start.parent = self
                self._children_name_map["start"] = "start"
                self._children_yang_names.add("start")
                self._segment_path = lambda: "absolute"


            class Start(Entity):
                """
                starting time and date
                
                .. attribute:: start_time
                
                	Starting time
                	**type**\: str
                
                .. attribute:: day_of_month
                
                	<1\-31>  Day of the month
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: month
                
                	Month of the year [eg\: Jan for January, Jun for June]
                	**type**\: str
                
                .. attribute:: year
                
                	Year
                	**type**\: int
                
                	**range:** 1993..2035
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.TimeRange.Absolute.Start, self).__init__()

                    self.yang_name = "start"
                    self.yang_parent_name = "absolute"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.start_time = YLeaf(YType.str, "start-time")

                    self.day_of_month = YLeaf(YType.uint8, "day-of-month")

                    self.month = YLeaf(YType.str, "month")

                    self.year = YLeaf(YType.uint16, "year")
                    self._segment_path = lambda: "start"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.TimeRange.Absolute.Start, ['start_time', 'day_of_month', 'month', 'year'], name, value)


    class DeviceTracking(Entity):
        """
        Device tracking configuration commands
        
        .. attribute:: policy
        
        	Configure a policy for feature device\-tracking
        	**type**\: list of  		 :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy>`
        
        .. attribute:: tracking
        
        	
        	**type**\:  :py:class:`Tracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Tracking>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.DeviceTracking, self).__init__()

            self.yang_name = "device-tracking"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-device-tracking:tracking" : ("tracking", Native.DeviceTracking.Tracking)}
            self._child_list_classes = {"Cisco-IOS-XE-device-tracking:policy" : ("policy", Native.DeviceTracking.Policy)}

            self.tracking = None
            self._children_name_map["tracking"] = "tracking"
            self._children_yang_names.add("tracking")

            self.policy = YList(self)
            self._segment_path = lambda: "device-tracking"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.DeviceTracking, [], name, value)


        class Policy(Entity):
            """
            Configure a policy for feature device\-tracking
            
            .. attribute:: word  <key>
            
            	
            	**type**\: str
            
            .. attribute:: device_role
            
            	Sets the role of the device attached to the port
            	**type**\:  :py:class:`DeviceRole <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy.DeviceRole>`
            
            .. attribute:: protocol
            
            	Set the protocol to glean (default all)
            	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy.Protocol>`
            
            .. attribute:: tracking
            
            	Override default tracking behavior
            	**type**\:  :py:class:`Tracking <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy.Tracking>`
            
            .. attribute:: limit
            
            	Specifies a limit
            	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy.Limit>`
            
            .. attribute:: security_level
            
            	setup security level
            	**type**\:  :py:class:`SecurityLevel <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy.SecurityLevel>`
            
            

            """

            _prefix = 'ios-dt'
            _revision = '2017-06-07'

            def __init__(self):
                super(Native.DeviceTracking.Policy, self).__init__()

                self.yang_name = "policy"
                self.yang_parent_name = "device-tracking"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"device-role" : ("device_role", Native.DeviceTracking.Policy.DeviceRole), "protocol" : ("protocol", Native.DeviceTracking.Policy.Protocol), "tracking" : ("tracking", Native.DeviceTracking.Policy.Tracking), "limit" : ("limit", Native.DeviceTracking.Policy.Limit), "security-level" : ("security_level", Native.DeviceTracking.Policy.SecurityLevel)}
                self._child_list_classes = {}

                self.word = YLeaf(YType.str, "word")

                self.device_role = Native.DeviceTracking.Policy.DeviceRole()
                self.device_role.parent = self
                self._children_name_map["device_role"] = "device-role"
                self._children_yang_names.add("device-role")

                self.protocol = Native.DeviceTracking.Policy.Protocol()
                self.protocol.parent = self
                self._children_name_map["protocol"] = "protocol"
                self._children_yang_names.add("protocol")

                self.tracking = Native.DeviceTracking.Policy.Tracking()
                self.tracking.parent = self
                self._children_name_map["tracking"] = "tracking"
                self._children_yang_names.add("tracking")

                self.limit = Native.DeviceTracking.Policy.Limit()
                self.limit.parent = self
                self._children_name_map["limit"] = "limit"
                self._children_yang_names.add("limit")

                self.security_level = Native.DeviceTracking.Policy.SecurityLevel()
                self.security_level.parent = self
                self._children_name_map["security_level"] = "security-level"
                self._children_yang_names.add("security-level")
                self._segment_path = lambda: "Cisco-IOS-XE-device-tracking:policy" + "[word='" + self.word.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/device-tracking/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.DeviceTracking.Policy, ['word'], name, value)


            class DeviceRole(Entity):
                """
                Sets the role of the device attached to the port
                
                .. attribute:: node
                
                	
                	**type**\: bool
                
                	**default value**\: true
                
                .. attribute:: switch
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-dt'
                _revision = '2017-06-07'

                def __init__(self):
                    super(Native.DeviceTracking.Policy.DeviceRole, self).__init__()

                    self.yang_name = "device-role"
                    self.yang_parent_name = "policy"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.node = YLeaf(YType.boolean, "node")

                    self.switch = YLeaf(YType.empty, "switch")
                    self._segment_path = lambda: "device-role"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.DeviceTracking.Policy.DeviceRole, ['node', 'switch'], name, value)


            class Protocol(Entity):
                """
                Set the protocol to glean (default all)
                
                .. attribute:: udp
                
                	
                	**type**\: bool
                
                .. attribute:: arp
                
                	Glean addresses in ARP packets
                	**type**\: bool
                
                .. attribute:: dhcp4
                
                	Glean addresses in DHCPv4 packets
                	**type**\: bool
                
                .. attribute:: dhcp6
                
                	Glean addresses in DHCPv6 packets
                	**type**\: bool
                
                .. attribute:: ndp
                
                	Glean addresses in NDP packets
                	**type**\: bool
                
                

                """

                _prefix = 'ios-dt'
                _revision = '2017-06-07'

                def __init__(self):
                    super(Native.DeviceTracking.Policy.Protocol, self).__init__()

                    self.yang_name = "protocol"
                    self.yang_parent_name = "policy"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.udp = YLeaf(YType.boolean, "udp")

                    self.arp = YLeaf(YType.boolean, "arp")

                    self.dhcp4 = YLeaf(YType.boolean, "dhcp4")

                    self.dhcp6 = YLeaf(YType.boolean, "dhcp6")

                    self.ndp = YLeaf(YType.boolean, "ndp")
                    self._segment_path = lambda: "protocol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.DeviceTracking.Policy.Protocol, ['udp', 'arp', 'dhcp4', 'dhcp6', 'ndp'], name, value)


            class Tracking(Entity):
                """
                Override default tracking behavior
                
                .. attribute:: tracking_on_off
                
                	Tracking on or off
                	**type**\:  :py:class:`TrackingOnOff <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Policy.Tracking.TrackingOnOff>`
                
                

                """

                _prefix = 'ios-dt'
                _revision = '2017-06-07'

                def __init__(self):
                    super(Native.DeviceTracking.Policy.Tracking, self).__init__()

                    self.yang_name = "tracking"
                    self.yang_parent_name = "policy"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.tracking_on_off = YLeaf(YType.enumeration, "tracking-on-off")
                    self._segment_path = lambda: "tracking"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.DeviceTracking.Policy.Tracking, ['tracking_on_off'], name, value)

                class TrackingOnOff(Enum):
                    """
                    TrackingOnOff

                    Tracking on or off

                    .. data:: enable = 0

                    .. data:: disable = 1

                    """

                    enable = Enum.YLeaf(0, "enable")

                    disable = Enum.YLeaf(1, "disable")



            class Limit(Entity):
                """
                Specifies a limit
                
                .. attribute:: address_count
                
                	Configure maximum address per port
                	**type**\: int
                
                	**range:** 1..32000
                
                

                """

                _prefix = 'ios-dt'
                _revision = '2017-06-07'

                def __init__(self):
                    super(Native.DeviceTracking.Policy.Limit, self).__init__()

                    self.yang_name = "limit"
                    self.yang_parent_name = "policy"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.address_count = YLeaf(YType.uint16, "address-count")
                    self._segment_path = lambda: "limit"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.DeviceTracking.Policy.Limit, ['address_count'], name, value)


            class SecurityLevel(Entity):
                """
                setup security level
                
                .. attribute:: glean
                
                	glean addresses passively
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-dt'
                _revision = '2017-06-07'

                def __init__(self):
                    super(Native.DeviceTracking.Policy.SecurityLevel, self).__init__()

                    self.yang_name = "security-level"
                    self.yang_parent_name = "policy"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.glean = YLeaf(YType.empty, "glean")
                    self._segment_path = lambda: "security-level"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.DeviceTracking.Policy.SecurityLevel, ['glean'], name, value)


        class Tracking(Entity):
            """
            
            
            .. attribute:: auto_source
            
            	
            	**type**\:  :py:class:`AutoSource <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Tracking.AutoSource>`
            
            	**presence node**\: True
            
            .. attribute:: retry_interval
            
            	Interval time  between two probing
            	**type**\: int
            
            	**range:** 1..3600
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-dt'
            _revision = '2017-06-07'

            def __init__(self):
                super(Native.DeviceTracking.Tracking, self).__init__()

                self.yang_name = "tracking"
                self.yang_parent_name = "device-tracking"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"auto-source" : ("auto_source", Native.DeviceTracking.Tracking.AutoSource)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.retry_interval = YLeaf(YType.uint16, "retry-interval")

                self.auto_source = None
                self._children_name_map["auto_source"] = "auto-source"
                self._children_yang_names.add("auto-source")
                self._segment_path = lambda: "Cisco-IOS-XE-device-tracking:tracking"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/device-tracking/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.DeviceTracking.Tracking, ['retry_interval'], name, value)


            class AutoSource(Entity):
                """
                
                
                .. attribute:: fallback
                
                	Specify IP and MASK to use as last resort
                	**type**\:  :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Tracking.AutoSource.Fallback>`
                
                .. attribute:: override
                
                	Do not select source address from device track table
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-dt'
                _revision = '2017-06-07'

                def __init__(self):
                    super(Native.DeviceTracking.Tracking.AutoSource, self).__init__()

                    self.yang_name = "auto-source"
                    self.yang_parent_name = "tracking"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"fallback" : ("fallback", Native.DeviceTracking.Tracking.AutoSource.Fallback)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.override = YLeaf(YType.empty, "override")

                    self.fallback = Native.DeviceTracking.Tracking.AutoSource.Fallback()
                    self.fallback.parent = self
                    self._children_name_map["fallback"] = "fallback"
                    self._children_yang_names.add("fallback")
                    self._segment_path = lambda: "auto-source"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/device-tracking/Cisco-IOS-XE-device-tracking:tracking/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.DeviceTracking.Tracking.AutoSource, ['override'], name, value)


                class Fallback(Entity):
                    """
                    Specify IP and MASK to use as last resort
                    
                    .. attribute:: ipv4_subnet_type1
                    
                    	
                    	**type**\:  :py:class:`Ipv4SubnetType1 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Tracking.AutoSource.Fallback.Ipv4SubnetType1>`
                    
                    .. attribute:: ipv4_subnet_type2
                    
                    	
                    	**type**\:  :py:class:`Ipv4SubnetType2 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.DeviceTracking.Tracking.AutoSource.Fallback.Ipv4SubnetType2>`
                    
                    

                    """

                    _prefix = 'ios-dt'
                    _revision = '2017-06-07'

                    def __init__(self):
                        super(Native.DeviceTracking.Tracking.AutoSource.Fallback, self).__init__()

                        self.yang_name = "fallback"
                        self.yang_parent_name = "auto-source"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"ipv4-subnet-type1" : ("ipv4_subnet_type1", Native.DeviceTracking.Tracking.AutoSource.Fallback.Ipv4SubnetType1), "ipv4-subnet-type2" : ("ipv4_subnet_type2", Native.DeviceTracking.Tracking.AutoSource.Fallback.Ipv4SubnetType2)}
                        self._child_list_classes = {}

                        self.ipv4_subnet_type1 = Native.DeviceTracking.Tracking.AutoSource.Fallback.Ipv4SubnetType1()
                        self.ipv4_subnet_type1.parent = self
                        self._children_name_map["ipv4_subnet_type1"] = "ipv4-subnet-type1"
                        self._children_yang_names.add("ipv4-subnet-type1")

                        self.ipv4_subnet_type2 = Native.DeviceTracking.Tracking.AutoSource.Fallback.Ipv4SubnetType2()
                        self.ipv4_subnet_type2.parent = self
                        self._children_name_map["ipv4_subnet_type2"] = "ipv4-subnet-type2"
                        self._children_yang_names.add("ipv4-subnet-type2")
                        self._segment_path = lambda: "fallback"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/device-tracking/Cisco-IOS-XE-device-tracking:tracking/auto-source/%s" % self._segment_path()


                    class Ipv4SubnetType1(Entity):
                        """
                        
                        
                        .. attribute:: ipv4
                        
                        	IPv4 address
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: mask
                        
                        	IP prefix mask
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: override
                        
                        	Do not select source address from device track table
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-dt'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.DeviceTracking.Tracking.AutoSource.Fallback.Ipv4SubnetType1, self).__init__()

                            self.yang_name = "ipv4-subnet-type1"
                            self.yang_parent_name = "fallback"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.mask = YLeaf(YType.str, "mask")

                            self.override = YLeaf(YType.empty, "override")
                            self._segment_path = lambda: "ipv4-subnet-type1"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/device-tracking/Cisco-IOS-XE-device-tracking:tracking/auto-source/fallback/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.DeviceTracking.Tracking.AutoSource.Fallback.Ipv4SubnetType1, ['ipv4', 'mask', 'override'], name, value)


                    class Ipv4SubnetType2(Entity):
                        """
                        
                        
                        .. attribute:: ipv4_prefix_name
                        
                        	ip address/length <network>/<length>, e.g., 192.168.0.0/16
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])/(([0\-9])\|([1\-2][0\-9])\|(3[0\-2]))
                        
                        .. attribute:: override
                        
                        	Do not select source address from device track table
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-dt'
                        _revision = '2017-06-07'

                        def __init__(self):
                            super(Native.DeviceTracking.Tracking.AutoSource.Fallback.Ipv4SubnetType2, self).__init__()

                            self.yang_name = "ipv4-subnet-type2"
                            self.yang_parent_name = "fallback"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4_prefix_name = YLeaf(YType.str, "ipv4-prefix-name")

                            self.override = YLeaf(YType.empty, "override")
                            self._segment_path = lambda: "ipv4-subnet-type2"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/device-tracking/Cisco-IOS-XE-device-tracking:tracking/auto-source/fallback/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.DeviceTracking.Tracking.AutoSource.Fallback.Ipv4SubnetType2, ['ipv4_prefix_name', 'override'], name, value)


    class Fhrp(Entity):
        """
        Configure First Hop Redundancy Protocols
        
        .. attribute:: version
        
        	Configure which FHRP version is allowed to run
        	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fhrp.Version>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Fhrp, self).__init__()

            self.yang_name = "fhrp"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"version" : ("version", Native.Fhrp.Version)}
            self._child_list_classes = {}

            self.version = Native.Fhrp.Version()
            self.version.parent = self
            self._children_name_map["version"] = "version"
            self._children_yang_names.add("version")
            self._segment_path = lambda: "fhrp"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Version(Entity):
            """
            Configure which FHRP version is allowed to run
            
            .. attribute:: vrrp
            
            	Configure Virtual Router Rendundancy Protocol
            	**type**\:  :py:class:`Vrrp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Fhrp.Version.Vrrp>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Fhrp.Version, self).__init__()

                self.yang_name = "version"
                self.yang_parent_name = "fhrp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.vrrp = YLeaf(YType.enumeration, "vrrp")
                self._segment_path = lambda: "version"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/fhrp/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Fhrp.Version, ['vrrp'], name, value)

            class Vrrp(Enum):
                """
                Vrrp

                Configure Virtual Router Rendundancy Protocol

                .. data:: v2 = 0

                .. data:: v3 = 1

                """

                v2 = Enum.YLeaf(0, "v2")

                v3 = Enum.YLeaf(1, "v3")



    class Metadata(Entity):
        """
        Metadata Application
        
        .. attribute:: flow
        
        	Enable Metadata Flow Handling
        	**type**\:  :py:class:`Flow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Metadata.Flow>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Metadata, self).__init__()

            self.yang_name = "metadata"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"flow" : ("flow", Native.Metadata.Flow)}
            self._child_list_classes = {}

            self.flow = None
            self._children_name_map["flow"] = "flow"
            self._children_yang_names.add("flow")
            self._segment_path = lambda: "metadata"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Flow(Entity):
            """
            Enable Metadata Flow Handling
            
            .. attribute:: transmit
            
            	Enable Metadata Flow Transmit 
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Metadata.Flow, self).__init__()

                self.yang_name = "flow"
                self.yang_parent_name = "metadata"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.transmit = YLeaf(YType.empty, "transmit")
                self._segment_path = lambda: "flow"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/metadata/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Metadata.Flow, ['transmit'], name, value)


    class Profile(Entity):
        """
        MSP Profile
        
        .. attribute:: flow
        
        	MSP Profile Flow
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Profile, self).__init__()

            self.yang_name = "profile"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.flow = YLeaf(YType.empty, "flow")
            self._segment_path = lambda: "profile"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Profile, ['flow'], name, value)


    class Alias(Entity):
        """
        Create command alias
        
        .. attribute:: exec_
        
        	Exec mode
        	**type**\:  :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Alias.Exec_>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Alias, self).__init__()

            self.yang_name = "alias"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"exec" : ("exec_", Native.Alias.Exec_)}
            self._child_list_classes = {}

            self.exec_ = Native.Alias.Exec_()
            self.exec_.parent = self
            self._children_name_map["exec_"] = "exec"
            self._children_yang_names.add("exec")
            self._segment_path = lambda: "alias"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Exec_(Entity):
            """
            Exec mode
            
            .. attribute:: alias_name
            
            	
            	**type**\: str
            
            .. attribute:: new_alias_name
            
            	
            	**type**\: str
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Alias.Exec_, self).__init__()

                self.yang_name = "exec"
                self.yang_parent_name = "alias"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.alias_name = YLeaf(YType.str, "alias-name")

                self.new_alias_name = YLeaf(YType.str, "new-alias-name")
                self._segment_path = lambda: "exec"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/alias/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Alias.Exec_, ['alias_name', 'new_alias_name'], name, value)


    class Line(Entity):
        """
        Configure a terminal line
        
        .. attribute:: line_list
        
        	
        	**type**\: list of  		 :py:class:`LineList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList>`
        
        .. attribute:: aux
        
        	Auxiliary line
        	**type**\: list of  		 :py:class:`Aux <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux>`
        
        .. attribute:: console
        
        	Primary terminal line
        	**type**\: list of  		 :py:class:`Console <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console>`
        
        .. attribute:: vty
        
        	Virtual terminal
        	**type**\: list of  		 :py:class:`Vty <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Line, self).__init__()

            self.yang_name = "line"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"line-list" : ("line_list", Native.Line.LineList), "aux" : ("aux", Native.Line.Aux), "console" : ("console", Native.Line.Console), "vty" : ("vty", Native.Line.Vty)}

            self.line_list = YList(self)
            self.aux = YList(self)
            self.console = YList(self)
            self.vty = YList(self)
            self._segment_path = lambda: "line"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Line, [], name, value)


        class LineList(Entity):
            """
            
            
            .. attribute:: first_number  <key>
            
            	First Line number
            	**type**\: int
            
            	**range:** 0..17
            
            .. attribute:: last_number
            
            	
            	**type**\: int
            
            	**range:** 1..17
            
            .. attribute:: authorization
            
            	Authorization parameters
            	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Authorization>`
            
            .. attribute:: access_class
            
            	Filter connections based on an IP access list
            	**type**\:  :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AccessClass>`
            
            .. attribute:: no_activation_character
            
            	
            	**type**\: bool
            
            .. attribute:: activation_character
            
            	Define the activation character
            	**type**\: union of the below types:
            
            		**type**\: str
            
            		**type**\: int
            
            			**range:** 0..127
            
            .. attribute:: autocommand
            
            	Automatically execute an EXEC command
            	**type**\:  :py:class:`Autocommand <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Autocommand>`
            
            .. attribute:: autocommand_options
            
            	Autocommand options
            	**type**\:  :py:class:`AutocommandOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AutocommandOptions>`
            
            	**presence node**\: True
            
            .. attribute:: data_character_bits
            
            	Bits per character
            	**type**\: int
            
            	**range:** 7..8
            
            .. attribute:: databits
            
            	Set number of data bits per character
            	**type**\:  :py:class:`Databits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Databits>`
            
            .. attribute:: domain_lookup
            
            	Enable domain lookups in show commands
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: editing
            
            	Enable command line editing
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: escape_character
            
            	Change the current line's escape character
            	**type**\:  :py:class:`EscapeCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.EscapeCharacter>`
            
            .. attribute:: no_exec
            
            	
            	**type**\:  :py:class:`NoExec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.NoExec>`
            
            .. attribute:: exec_
            
            	
            	**type**\:  :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Exec_>`
            
            .. attribute:: exec_banner
            
            	Enable the display of the EXEC banner
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: exec_character_bits
            
            	Bits per character
            	**type**\: int
            
            	**range:** 7..8
            
            .. attribute:: exec_timeout
            
            	Set the EXEC timeout
            	**type**\:  :py:class:`ExecTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.ExecTimeout>`
            
            .. attribute:: flowcontrol
            
            	Set the flow control
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Flowcontrol>`
            
            .. attribute:: full_help
            
            	Provide help to unprivileged user
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: history
            
            	Enable and control the command history function
            	**type**\:  :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.History>`
            
            	**presence node**\: True
            
            .. attribute:: international
            
            	Enable international 8\-bit character support
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ip
            
            	IP options
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ip>`
            
            .. attribute:: ipv6
            
            	
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ipv6>`
            
            .. attribute:: length
            
            	Set number of lines on a screen
            	**type**\: int
            
            	**range:** 0..512
            
            .. attribute:: line
            
            	
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: location
            
            	One text line describing the terminal's location
            	**type**\: str
            
            .. attribute:: logging
            
            	Modify message logging facilities
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Logging>`
            
            .. attribute:: login
            
            	Enable password checking
            	**type**\:  :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Login>`
            
            	**presence node**\: True
            
            .. attribute:: media_type
            
            	Console connection media type
            	**type**\:  :py:class:`MediaType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.MediaType>`
            
            .. attribute:: modem
            
            	Configure the Modem Control Lines
            	**type**\:  :py:class:`Modem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Modem>`
            
            .. attribute:: monitor
            
            	Copy debug output to the current terminal line
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: motd_banner
            
            	Enable the display of the MOTD banner
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: notify
            
            	Inform users of output from concurrent sessions
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: padding
            
            	Set padding for a specified output character
            	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Padding>`
            
            .. attribute:: parity
            
            	Set terminal parity
            	**type**\:  :py:class:`Parity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Parity>`
            
            .. attribute:: password
            
            	Set a password
            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Password>`
            
            .. attribute:: prc
            
            	PRC commands
            	**type**\:  :py:class:`Prc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Prc>`
            
            .. attribute:: privilege
            
            	Change privilege level for line
            	**type**\:  :py:class:`Privilege <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Privilege>`
            
            .. attribute:: rotary
            
            	Rotary group to add line to
            	**type**\: int
            
            	**range:** 1..99
            
            .. attribute:: rxspeed
            
            	Receive speed
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: session_timeout
            
            	Set interval for closing connection when there is no input traffic
            	**type**\:  :py:class:`SessionTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.SessionTimeout>`
            
            .. attribute:: special_character_bits
            
            	Bits per character
            	**type**\: int
            
            	**range:** 7..8
            
            .. attribute:: speed
            
            	Transmit and receive speeds
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: start_character
            
            	Define the start character
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..255
            
            		**type**\: str
            
            .. attribute:: stop_character
            
            	Define the stop character
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..255
            
            		**type**\: str
            
            .. attribute:: stopbits
            
            	Set async line stop bits
            	**type**\:  :py:class:`Stopbits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Stopbits>`
            
            .. attribute:: terminal_type
            
            	Terminal type
            	**type**\: str
            
            .. attribute:: timeout
            
            	Timeouts for the line
            	**type**\:  :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Timeout>`
            
            .. attribute:: telnet
            
            	Telnet protocol\-specific configuration
            	**type**\:  :py:class:`Telnet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Telnet>`
            
            .. attribute:: transport
            
            	Define transport protocols for line
            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport>`
            
            .. attribute:: txspeed
            
            	Transmit speed
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: usb_inactivity_timeout
            
            	Inactivity timeout for USB media type
            	**type**\:  :py:class:`UsbInactivityTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.UsbInactivityTimeout>`
            
            .. attribute:: width
            
            	Number of characters on a screen line
            	**type**\: int
            
            	**range:** 0..512
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Line.LineList, self).__init__()

                self.yang_name = "line-list"
                self.yang_parent_name = "line"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"authorization" : ("authorization", Native.Line.LineList.Authorization), "access-class" : ("access_class", Native.Line.LineList.AccessClass), "autocommand" : ("autocommand", Native.Line.LineList.Autocommand), "autocommand-options" : ("autocommand_options", Native.Line.LineList.AutocommandOptions), "databits" : ("databits", Native.Line.LineList.Databits), "escape-character" : ("escape_character", Native.Line.LineList.EscapeCharacter), "no-exec" : ("no_exec", Native.Line.LineList.NoExec), "exec" : ("exec_", Native.Line.LineList.Exec_), "exec-timeout" : ("exec_timeout", Native.Line.LineList.ExecTimeout), "flowcontrol" : ("flowcontrol", Native.Line.LineList.Flowcontrol), "history" : ("history", Native.Line.LineList.History), "ip" : ("ip", Native.Line.LineList.Ip), "ipv6" : ("ipv6", Native.Line.LineList.Ipv6), "logging" : ("logging", Native.Line.LineList.Logging), "login" : ("login", Native.Line.LineList.Login), "media-type" : ("media_type", Native.Line.LineList.MediaType), "modem" : ("modem", Native.Line.LineList.Modem), "padding" : ("padding", Native.Line.LineList.Padding), "parity" : ("parity", Native.Line.LineList.Parity), "password" : ("password", Native.Line.LineList.Password), "prc" : ("prc", Native.Line.LineList.Prc), "privilege" : ("privilege", Native.Line.LineList.Privilege), "session-timeout" : ("session_timeout", Native.Line.LineList.SessionTimeout), "timeout" : ("timeout", Native.Line.LineList.Timeout), "telnet" : ("telnet", Native.Line.LineList.Telnet), "transport" : ("transport", Native.Line.LineList.Transport), "usb-inactivity-timeout" : ("usb_inactivity_timeout", Native.Line.LineList.UsbInactivityTimeout)}
                self._child_list_classes = {}

                self.first_number = YLeaf(YType.uint8, "first-number")

                self.last_number = YLeaf(YType.uint16, "last-number")

                self.no_activation_character = YLeaf(YType.boolean, "no-activation-character")

                self.activation_character = YLeaf(YType.str, "activation-character")

                self.data_character_bits = YLeaf(YType.uint8, "data-character-bits")

                self.domain_lookup = YLeaf(YType.empty, "domain-lookup")

                self.editing = YLeaf(YType.empty, "editing")

                self.exec_banner = YLeaf(YType.empty, "exec-banner")

                self.exec_character_bits = YLeaf(YType.uint8, "exec-character-bits")

                self.full_help = YLeaf(YType.empty, "full-help")

                self.international = YLeaf(YType.empty, "international")

                self.length = YLeaf(YType.uint16, "length")

                self.line = YLeaf(YType.uint8, "line")

                self.location = YLeaf(YType.str, "location")

                self.monitor = YLeaf(YType.empty, "monitor")

                self.motd_banner = YLeaf(YType.empty, "motd-banner")

                self.notify = YLeaf(YType.empty, "notify")

                self.rotary = YLeaf(YType.uint8, "rotary")

                self.rxspeed = YLeaf(YType.uint32, "rxspeed")

                self.special_character_bits = YLeaf(YType.uint8, "special-character-bits")

                self.speed = YLeaf(YType.uint32, "speed")

                self.start_character = YLeaf(YType.str, "start-character")

                self.stop_character = YLeaf(YType.str, "stop-character")

                self.stopbits = YLeaf(YType.enumeration, "stopbits")

                self.terminal_type = YLeaf(YType.str, "terminal-type")

                self.txspeed = YLeaf(YType.uint32, "txspeed")

                self.width = YLeaf(YType.uint16, "width")

                self.authorization = Native.Line.LineList.Authorization()
                self.authorization.parent = self
                self._children_name_map["authorization"] = "authorization"
                self._children_yang_names.add("authorization")

                self.access_class = Native.Line.LineList.AccessClass()
                self.access_class.parent = self
                self._children_name_map["access_class"] = "access-class"
                self._children_yang_names.add("access-class")

                self.autocommand = Native.Line.LineList.Autocommand()
                self.autocommand.parent = self
                self._children_name_map["autocommand"] = "autocommand"
                self._children_yang_names.add("autocommand")

                self.autocommand_options = None
                self._children_name_map["autocommand_options"] = "autocommand-options"
                self._children_yang_names.add("autocommand-options")

                self.databits = Native.Line.LineList.Databits()
                self.databits.parent = self
                self._children_name_map["databits"] = "databits"
                self._children_yang_names.add("databits")

                self.escape_character = Native.Line.LineList.EscapeCharacter()
                self.escape_character.parent = self
                self._children_name_map["escape_character"] = "escape-character"
                self._children_yang_names.add("escape-character")

                self.no_exec = Native.Line.LineList.NoExec()
                self.no_exec.parent = self
                self._children_name_map["no_exec"] = "no-exec"
                self._children_yang_names.add("no-exec")

                self.exec_ = Native.Line.LineList.Exec_()
                self.exec_.parent = self
                self._children_name_map["exec_"] = "exec"
                self._children_yang_names.add("exec")

                self.exec_timeout = Native.Line.LineList.ExecTimeout()
                self.exec_timeout.parent = self
                self._children_name_map["exec_timeout"] = "exec-timeout"
                self._children_yang_names.add("exec-timeout")

                self.flowcontrol = Native.Line.LineList.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.history = None
                self._children_name_map["history"] = "history"
                self._children_yang_names.add("history")

                self.ip = Native.Line.LineList.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Line.LineList.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Line.LineList.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.login = None
                self._children_name_map["login"] = "login"
                self._children_yang_names.add("login")

                self.media_type = Native.Line.LineList.MediaType()
                self.media_type.parent = self
                self._children_name_map["media_type"] = "media-type"
                self._children_yang_names.add("media-type")

                self.modem = Native.Line.LineList.Modem()
                self.modem.parent = self
                self._children_name_map["modem"] = "modem"
                self._children_yang_names.add("modem")

                self.padding = Native.Line.LineList.Padding()
                self.padding.parent = self
                self._children_name_map["padding"] = "padding"
                self._children_yang_names.add("padding")

                self.parity = Native.Line.LineList.Parity()
                self.parity.parent = self
                self._children_name_map["parity"] = "parity"
                self._children_yang_names.add("parity")

                self.password = Native.Line.LineList.Password()
                self.password.parent = self
                self._children_name_map["password"] = "password"
                self._children_yang_names.add("password")

                self.prc = Native.Line.LineList.Prc()
                self.prc.parent = self
                self._children_name_map["prc"] = "prc"
                self._children_yang_names.add("prc")

                self.privilege = Native.Line.LineList.Privilege()
                self.privilege.parent = self
                self._children_name_map["privilege"] = "privilege"
                self._children_yang_names.add("privilege")

                self.session_timeout = Native.Line.LineList.SessionTimeout()
                self.session_timeout.parent = self
                self._children_name_map["session_timeout"] = "session-timeout"
                self._children_yang_names.add("session-timeout")

                self.timeout = Native.Line.LineList.Timeout()
                self.timeout.parent = self
                self._children_name_map["timeout"] = "timeout"
                self._children_yang_names.add("timeout")

                self.telnet = Native.Line.LineList.Telnet()
                self.telnet.parent = self
                self._children_name_map["telnet"] = "telnet"
                self._children_yang_names.add("telnet")

                self.transport = Native.Line.LineList.Transport()
                self.transport.parent = self
                self._children_name_map["transport"] = "transport"
                self._children_yang_names.add("transport")

                self.usb_inactivity_timeout = Native.Line.LineList.UsbInactivityTimeout()
                self.usb_inactivity_timeout.parent = self
                self._children_name_map["usb_inactivity_timeout"] = "usb-inactivity-timeout"
                self._children_yang_names.add("usb-inactivity-timeout")
                self._segment_path = lambda: "line-list" + "[first-number='" + self.first_number.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/line/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Line.LineList, ['first_number', 'last_number', 'no_activation_character', 'activation_character', 'data_character_bits', 'domain_lookup', 'editing', 'exec_banner', 'exec_character_bits', 'full_help', 'international', 'length', 'line', 'location', 'monitor', 'motd_banner', 'notify', 'rotary', 'rxspeed', 'special_character_bits', 'speed', 'start_character', 'stop_character', 'stopbits', 'terminal_type', 'txspeed', 'width'], name, value)

            class Stopbits(Enum):
                """
                Stopbits

                Set async line stop bits

                .. data:: Y_1 = 0

                .. data:: Y_1__DOT__5 = 1

                .. data:: Y_2 = 2

                """

                Y_1 = Enum.YLeaf(0, "1")

                Y_1__DOT__5 = Enum.YLeaf(1, "1.5")

                Y_2 = Enum.YLeaf(2, "2")



            class Authorization(Entity):
                """
                Authorization parameters
                
                .. attribute:: command
                
                	For exec (shell) commands
                	**type**\:  :py:class:`Command <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Authorization.Command>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Authorization, self).__init__()

                    self.yang_name = "authorization"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"command" : ("command", Native.Line.LineList.Authorization.Command)}
                    self._child_list_classes = {}

                    self.command = Native.Line.LineList.Authorization.Command()
                    self.command.parent = self
                    self._children_name_map["command"] = "command"
                    self._children_yang_names.add("command")
                    self._segment_path = lambda: "authorization"


                class Command(Entity):
                    """
                    For exec (shell) commands
                    
                    .. attribute:: enable_level
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..15
                    
                    .. attribute:: auth_name
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.Authorization.Command, self).__init__()

                        self.yang_name = "command"
                        self.yang_parent_name = "authorization"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable_level = YLeaf(YType.uint8, "enable-level")

                        self.auth_name = YLeaf(YType.str, "auth-name")
                        self._segment_path = lambda: "command"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.LineList.Authorization.Command, ['enable_level', 'auth_name'], name, value)


            class AccessClass(Entity):
                """
                Filter connections based on an IP access list
                
                .. attribute:: acccess_list
                
                	
                	**type**\: list of  		 :py:class:`AcccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AccessClass.AcccessList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.AccessClass, self).__init__()

                    self.yang_name = "access-class"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"acccess-list" : ("acccess_list", Native.Line.LineList.AccessClass.AcccessList)}

                    self.acccess_list = YList(self)
                    self._segment_path = lambda: "access-class"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.AccessClass, [], name, value)


                class AcccessList(Entity):
                    """
                    
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AccessClass.AcccessList.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199 \| 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    .. attribute:: vrf_also
                    
                    	Same access list is applied for all VRFs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.AccessClass.AcccessList, self).__init__()

                        self.yang_name = "acccess-list"
                        self.yang_parent_name = "access-class"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")

                        self.vrf_also = YLeaf(YType.empty, "vrf-also")
                        self._segment_path = lambda: "acccess-list" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.LineList.AccessClass.AcccessList, ['direction', 'access_list', 'vrf_also'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Autocommand(Entity):
                """
                Automatically execute an EXEC command
                
                .. attribute:: line
                
                	Appropriate EXEC command
                	**type**\: str
                
                .. attribute:: no_suppress_linenumber
                
                	Display service linenumber message
                	**type**\:  :py:class:`NoSuppressLinenumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Autocommand.NoSuppressLinenumber>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Autocommand, self).__init__()

                    self.yang_name = "autocommand"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"no-suppress-linenumber" : ("no_suppress_linenumber", Native.Line.LineList.Autocommand.NoSuppressLinenumber)}
                    self._child_list_classes = {}

                    self.line = YLeaf(YType.str, "line")

                    self.no_suppress_linenumber = None
                    self._children_name_map["no_suppress_linenumber"] = "no-suppress-linenumber"
                    self._children_yang_names.add("no-suppress-linenumber")
                    self._segment_path = lambda: "autocommand"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.Autocommand, ['line'], name, value)


                class NoSuppressLinenumber(Entity):
                    """
                    Display service linenumber message
                    
                    .. attribute:: line
                    
                    	Appropriate EXEC command
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.Autocommand.NoSuppressLinenumber, self).__init__()

                        self.yang_name = "no-suppress-linenumber"
                        self.yang_parent_name = "autocommand"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.line = YLeaf(YType.str, "line")
                        self._segment_path = lambda: "no-suppress-linenumber"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.LineList.Autocommand.NoSuppressLinenumber, ['line'], name, value)


            class AutocommandOptions(Entity):
                """
                Autocommand options
                
                .. attribute:: abort_character
                
                	Autocommand abort character
                	**type**\:  :py:class:`AbortCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AutocommandOptions.AbortCharacter>`
                
                	**presence node**\: True
                
                .. attribute:: delay
                
                	Delay autocommand execution
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AutocommandOptions.Delay>`
                
                	**presence node**\: True
                
                .. attribute:: nohangup
                
                	No hangup after autocommand completion
                	**type**\:  :py:class:`Nohangup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.AutocommandOptions.Nohangup>`
                
                	**presence node**\: True
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.AutocommandOptions, self).__init__()

                    self.yang_name = "autocommand-options"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"abort-character" : ("abort_character", Native.Line.LineList.AutocommandOptions.AbortCharacter), "delay" : ("delay", Native.Line.LineList.AutocommandOptions.Delay), "nohangup" : ("nohangup", Native.Line.LineList.AutocommandOptions.Nohangup)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.abort_character = None
                    self._children_name_map["abort_character"] = "abort-character"
                    self._children_yang_names.add("abort-character")

                    self.delay = None
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.nohangup = None
                    self._children_name_map["nohangup"] = "nohangup"
                    self._children_yang_names.add("nohangup")
                    self._segment_path = lambda: "autocommand-options"


                class AbortCharacter(Entity):
                    """
                    Autocommand abort character
                    
                    .. attribute:: character
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..255
                    
                    		**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.AutocommandOptions.AbortCharacter, self).__init__()

                        self.yang_name = "abort-character"
                        self.yang_parent_name = "autocommand-options"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.character = YLeaf(YType.str, "character")
                        self._segment_path = lambda: "abort-character"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.LineList.AutocommandOptions.AbortCharacter, ['character'], name, value)


                class Delay(Entity):
                    """
                    Delay autocommand execution
                    
                    .. attribute:: time
                    
                    	Time in seconds
                    	**type**\: int
                    
                    	**range:** 0..120
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.AutocommandOptions.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "autocommand-options"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.time = YLeaf(YType.uint8, "time")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.LineList.AutocommandOptions.Delay, ['time'], name, value)


                class Nohangup(Entity):
                    """
                    No hangup after autocommand completion
                    
                    .. attribute:: abort_character
                    
                    	Autocommand abort character
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	Delay autocommand execution
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.AutocommandOptions.Nohangup, self).__init__()

                        self.yang_name = "nohangup"
                        self.yang_parent_name = "autocommand-options"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.abort_character = YLeaf(YType.empty, "abort-character")

                        self.delay = YLeaf(YType.empty, "delay")
                        self._segment_path = lambda: "nohangup"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.LineList.AutocommandOptions.Nohangup, ['abort_character', 'delay'], name, value)


            class Databits(Entity):
                """
                Set number of data bits per character
                
                .. attribute:: set_to_5
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_6
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_7
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_8
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Databits, self).__init__()

                    self.yang_name = "databits"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.set_to_5 = YLeaf(YType.empty, "set-to-5")

                    self.set_to_6 = YLeaf(YType.empty, "set-to-6")

                    self.set_to_7 = YLeaf(YType.empty, "set-to-7")

                    self.set_to_8 = YLeaf(YType.empty, "set-to-8")
                    self._segment_path = lambda: "databits"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.Databits, ['set_to_5', 'set_to_6', 'set_to_7', 'set_to_8'], name, value)


            class EscapeCharacter(Entity):
                """
                Change the current line's escape character
                
                .. attribute:: char
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..255
                
                		**type**\:  :py:class:`Char <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.EscapeCharacter.Char>`
                
                		**type**\: str
                
                .. attribute:: soft
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.EscapeCharacter, self).__init__()

                    self.yang_name = "escape-character"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.char = YLeaf(YType.str, "char")

                    self.soft = YLeaf(YType.empty, "soft")
                    self._segment_path = lambda: "escape-character"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.EscapeCharacter, ['char', 'soft'], name, value)

                class Char(Enum):
                    """
                    Char

                    .. data:: BREAK = 0

                    .. data:: DEFAULT = 1

                    .. data:: NONE = 2

                    """

                    BREAK = Enum.YLeaf(0, "BREAK")

                    DEFAULT = Enum.YLeaf(1, "DEFAULT")

                    NONE = Enum.YLeaf(2, "NONE")



            class NoExec(Entity):
                """
                
                
                .. attribute:: exec_
                
                	Configure EXEC
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.NoExec, self).__init__()

                    self.yang_name = "no-exec"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.exec_ = YLeaf(YType.boolean, "exec")
                    self._segment_path = lambda: "no-exec"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.NoExec, ['exec_'], name, value)


            class Exec_(Entity):
                """
                
                
                .. attribute:: prompt
                
                	
                	**type**\:  :py:class:`Prompt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Exec_.Prompt>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Exec_, self).__init__()

                    self.yang_name = "exec"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"prompt" : ("prompt", Native.Line.LineList.Exec_.Prompt)}
                    self._child_list_classes = {}

                    self.prompt = Native.Line.LineList.Exec_.Prompt()
                    self.prompt.parent = self
                    self._children_name_map["prompt"] = "prompt"
                    self._children_yang_names.add("prompt")
                    self._segment_path = lambda: "exec"


                class Prompt(Entity):
                    """
                    
                    
                    .. attribute:: timestamp
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.Exec_.Prompt, self).__init__()

                        self.yang_name = "prompt"
                        self.yang_parent_name = "exec"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.timestamp = YLeaf(YType.empty, "timestamp")
                        self._segment_path = lambda: "prompt"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.LineList.Exec_.Prompt, ['timestamp'], name, value)


            class ExecTimeout(Entity):
                """
                Set the EXEC timeout
                
                .. attribute:: minutes
                
                	<0\-35791>;;Timeout in minutes
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: seconds
                
                	<0\-2147483>;;Timeout in seconds
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.ExecTimeout, self).__init__()

                    self.yang_name = "exec-timeout"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.minutes = YLeaf(YType.uint32, "minutes")

                    self.seconds = YLeaf(YType.uint32, "seconds")
                    self._segment_path = lambda: "exec-timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.ExecTimeout, ['minutes', 'seconds'], name, value)


            class Flowcontrol(Entity):
                """
                Set the flow control
                
                .. attribute:: none
                
                	Set no flow control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hardware
                
                	Set hardware flow control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: software
                
                	Set software flow control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.none = YLeaf(YType.empty, "NONE")

                    self.hardware = YLeaf(YType.empty, "hardware")

                    self.software = YLeaf(YType.empty, "software")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.Flowcontrol, ['none', 'hardware', 'software'], name, value)


            class History(Entity):
                """
                Enable and control the command history function
                
                .. attribute:: size
                
                	Set history buffer size
                	**type**\: int
                
                	**range:** 0..255
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.History, self).__init__()

                    self.yang_name = "history"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.size = YLeaf(YType.uint8, "size")
                    self._segment_path = lambda: "history"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.History, ['size'], name, value)


            class Ip(Entity):
                """
                IP options
                
                .. attribute:: netmask_format
                
                	Change display of netmasks
                	**type**\:  :py:class:`NetmaskFormat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ip.NetmaskFormat>`
                
                	**presence node**\: True
                
                .. attribute:: tcp
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"netmask-format" : ("netmask_format", Native.Line.LineList.Ip.NetmaskFormat)}
                    self._child_list_classes = {}

                    self.tcp = YLeaf(YType.empty, "tcp")

                    self.netmask_format = None
                    self._children_name_map["netmask_format"] = "netmask-format"
                    self._children_yang_names.add("netmask-format")
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.Ip, ['tcp'], name, value)


                class NetmaskFormat(Entity):
                    """
                    Change display of netmasks
                    
                    .. attribute:: format
                    
                    	
                    	**type**\:  :py:class:`Format <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ip.NetmaskFormat.Format>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.Ip.NetmaskFormat, self).__init__()

                        self.yang_name = "netmask-format"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.format = YLeaf(YType.enumeration, "format")
                        self._segment_path = lambda: "netmask-format"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.LineList.Ip.NetmaskFormat, ['format'], name, value)

                    class Format(Enum):
                        """
                        Format

                        .. data:: bit_count = 0

                        .. data:: decimal = 1

                        .. data:: hexadecimal = 2

                        """

                        bit_count = Enum.YLeaf(0, "bit-count")

                        decimal = Enum.YLeaf(1, "decimal")

                        hexadecimal = Enum.YLeaf(2, "hexadecimal")



            class Ipv6(Entity):
                """
                
                
                .. attribute:: access_class
                
                	
                	**type**\:  :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ipv6.AccessClass>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-class" : ("access_class", Native.Line.LineList.Ipv6.AccessClass)}
                    self._child_list_classes = {}

                    self.access_class = Native.Line.LineList.Ipv6.AccessClass()
                    self.access_class.parent = self
                    self._children_name_map["access_class"] = "access-class"
                    self._children_yang_names.add("access-class")
                    self._segment_path = lambda: "ipv6"


                class AccessClass(Entity):
                    """
                    
                    
                    .. attribute:: access_class
                    
                    	
                    	**type**\: list of  		 :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ipv6.AccessClass.AccessClass>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.Ipv6.AccessClass, self).__init__()

                        self.yang_name = "access-class"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"access-class" : ("access_class", Native.Line.LineList.Ipv6.AccessClass.AccessClass)}

                        self.access_class = YList(self)
                        self._segment_path = lambda: "access-class"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.LineList.Ipv6.AccessClass, [], name, value)


                    class AccessClass(Entity):
                        """
                        
                        
                        .. attribute:: access_class_name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: enumeration_in_out
                        
                        	
                        	**type**\:  :py:class:`EnumerationInOut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Ipv6.AccessClass.AccessClass.EnumerationInOut>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Line.LineList.Ipv6.AccessClass.AccessClass, self).__init__()

                            self.yang_name = "access-class"
                            self.yang_parent_name = "access-class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_class_name = YLeaf(YType.str, "access-class-name")

                            self.enumeration_in_out = YLeaf(YType.enumeration, "enumeration-in-out")
                            self._segment_path = lambda: "access-class" + "[access-class-name='" + self.access_class_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Line.LineList.Ipv6.AccessClass.AccessClass, ['access_class_name', 'enumeration_in_out'], name, value)

                        class EnumerationInOut(Enum):
                            """
                            EnumerationInOut

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = Enum.YLeaf(0, "in")

                            out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Modify message logging facilities
                
                .. attribute:: synchronous
                
                	Synchronized message output
                	**type**\:  :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Logging.Synchronous>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"synchronous" : ("synchronous", Native.Line.LineList.Logging.Synchronous)}
                    self._child_list_classes = {}

                    self.synchronous = None
                    self._children_name_map["synchronous"] = "synchronous"
                    self._children_yang_names.add("synchronous")
                    self._segment_path = lambda: "logging"


                class Synchronous(Entity):
                    """
                    Synchronized message output
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.Logging.Synchronous, self).__init__()

                        self.yang_name = "synchronous"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "synchronous"


            class Login(Entity):
                """
                Enable password checking
                
                .. attribute:: local
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: authentication
                
                	
                	**type**\: str
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Login, self).__init__()

                    self.yang_name = "login"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.local = YLeaf(YType.empty, "local")

                    self.authentication = YLeaf(YType.str, "authentication")
                    self._segment_path = lambda: "login"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.Login, ['local', 'authentication'], name, value)


            class MediaType(Entity):
                """
                Console connection media type
                
                .. attribute:: rj45
                
                	Console connection set to RJ45
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.MediaType, self).__init__()

                    self.yang_name = "media-type"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.rj45 = YLeaf(YType.empty, "rj45")
                    self._segment_path = lambda: "media-type"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.MediaType, ['rj45'], name, value)


            class Modem(Entity):
                """
                Configure the Modem Control Lines
                
                .. attribute:: cts_alarm
                
                	Alarm device which only uses CTS for call control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_active
                
                	Leave DTR low unless line has an active incoming connection or EXEC
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dialin
                
                	Configure line for a modern dial\-in modem
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host
                
                	Devices that expect an incoming modem call
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inout
                
                	Configure line for incoming AND outgoing use of modem
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: printer
                
                	Devices that require DSR/CD active
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: answer_timeout
                
                	Set interval between raising DTR and CTS response
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_delay
                
                	Set interval during which DTR is held low
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Modem, self).__init__()

                    self.yang_name = "modem"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.cts_alarm = YLeaf(YType.empty, "CTS-Alarm")

                    self.dtr_active = YLeaf(YType.empty, "DTR-active")

                    self.dialin = YLeaf(YType.empty, "Dialin")

                    self.host = YLeaf(YType.empty, "Host")

                    self.inout = YLeaf(YType.empty, "InOut")

                    self.printer = YLeaf(YType.empty, "Printer")

                    self.answer_timeout = YLeaf(YType.empty, "answer-timeout")

                    self.dtr_delay = YLeaf(YType.empty, "dtr-delay")
                    self._segment_path = lambda: "modem"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.Modem, ['cts_alarm', 'dtr_active', 'dialin', 'host', 'inout', 'printer', 'answer_timeout', 'dtr_delay'], name, value)


            class Padding(Entity):
                """
                Set padding for a specified output character
                
                .. attribute:: character
                
                	Character to be padded
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..127
                
                		**type**\: str
                
                .. attribute:: null
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Padding, self).__init__()

                    self.yang_name = "padding"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.character = YLeaf(YType.str, "character")

                    self.null = YLeaf(YType.uint8, "null")
                    self._segment_path = lambda: "padding"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.Padding, ['character', 'null'], name, value)


            class Parity(Entity):
                """
                Set terminal parity
                
                .. attribute:: even
                
                	Even parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mark
                
                	Mark parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	No parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: odd
                
                	Odd parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: space
                
                	Space parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Parity, self).__init__()

                    self.yang_name = "parity"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.even = YLeaf(YType.empty, "even")

                    self.mark = YLeaf(YType.empty, "mark")

                    self.none = YLeaf(YType.empty, "none")

                    self.odd = YLeaf(YType.empty, "odd")

                    self.space = YLeaf(YType.empty, "space")
                    self._segment_path = lambda: "parity"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.Parity, ['even', 'mark', 'none', 'odd', 'space'], name, value)


            class Password(Entity):
                """
                Set a password
                
                .. attribute:: level
                
                	Set exec level password
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: type
                
                	
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Password.Type>`
                
                .. attribute:: secret
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Password, self).__init__()

                    self.yang_name = "password"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.level = YLeaf(YType.uint8, "level")

                    self.type = YLeaf(YType.enumeration, "type")

                    self.secret = YLeaf(YType.str, "secret")
                    self._segment_path = lambda: "password"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.Password, ['level', 'type', 'secret'], name, value)

                class Type(Enum):
                    """
                    Type

                    .. data:: Y_0 = 0

                    .. data:: Y_7 = 1

                    """

                    Y_0 = Enum.YLeaf(0, "0")

                    Y_7 = Enum.YLeaf(1, "7")



            class Prc(Entity):
                """
                PRC commands
                
                .. attribute:: expose
                
                	Expose PRC data
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hide
                
                	Hide PRC data
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Prc, self).__init__()

                    self.yang_name = "prc"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.expose = YLeaf(YType.empty, "expose")

                    self.hide = YLeaf(YType.empty, "hide")
                    self._segment_path = lambda: "prc"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.Prc, ['expose', 'hide'], name, value)


            class Privilege(Entity):
                """
                Change privilege level for line
                
                .. attribute:: level
                
                	Assign default privilege level for line
                	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Privilege.Level>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Privilege, self).__init__()

                    self.yang_name = "privilege"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"level" : ("level", Native.Line.LineList.Privilege.Level)}
                    self._child_list_classes = {}

                    self.level = None
                    self._children_name_map["level"] = "level"
                    self._children_yang_names.add("level")
                    self._segment_path = lambda: "privilege"


                class Level(Entity):
                    """
                    Assign default privilege level for line
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..15
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.Privilege.Level, self).__init__()

                        self.yang_name = "level"
                        self.yang_parent_name = "privilege"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.number = YLeaf(YType.uint8, "number")
                        self._segment_path = lambda: "level"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.LineList.Privilege.Level, ['number'], name, value)


            class SessionTimeout(Entity):
                """
                Set interval for closing connection when there is no input traffic
                
                .. attribute:: session_timeout_value
                
                	
                	**type**\: int
                
                	**range:** 0..35791
                
                .. attribute:: output
                
                	Include output traffic as well as input traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.SessionTimeout, self).__init__()

                    self.yang_name = "session-timeout"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.session_timeout_value = YLeaf(YType.uint16, "session-timeout-value")

                    self.output = YLeaf(YType.empty, "output")
                    self._segment_path = lambda: "session-timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.SessionTimeout, ['session_timeout_value', 'output'], name, value)


            class Timeout(Entity):
                """
                Timeouts for the line
                
                .. attribute:: login
                
                	Timeouts related to the login sequence
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Timeout, self).__init__()

                    self.yang_name = "timeout"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.login = YLeaf(YType.empty, "login")
                    self._segment_path = lambda: "timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.Timeout, ['login'], name, value)


            class Telnet(Entity):
                """
                Telnet protocol\-specific configuration
                
                .. attribute:: transparent
                
                	Send a CR as a CR followed by a NULL instead of a CR followed by a LF
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Telnet, self).__init__()

                    self.yang_name = "telnet"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.transparent = YLeaf(YType.empty, "transparent")
                    self._segment_path = lambda: "telnet"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.Telnet, ['transparent'], name, value)


            class Transport(Entity):
                """
                Define transport protocols for line
                
                .. attribute:: input
                
                	
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport.Input>`
                
                .. attribute:: output
                
                	
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport.Output>`
                
                .. attribute:: preferred
                
                	Specify the preferred protocol to use
                	**type**\:  :py:class:`Preferred <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport.Preferred>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.Transport, self).__init__()

                    self.yang_name = "transport"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"input" : ("input", Native.Line.LineList.Transport.Input), "output" : ("output", Native.Line.LineList.Transport.Output), "preferred" : ("preferred", Native.Line.LineList.Transport.Preferred)}
                    self._child_list_classes = {}

                    self.input = Native.Line.LineList.Transport.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.Line.LineList.Transport.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")

                    self.preferred = None
                    self._children_name_map["preferred"] = "preferred"
                    self._children_yang_names.add("preferred")
                    self._segment_path = lambda: "transport"


                class Input(Entity):
                    """
                    
                    
                    .. attribute:: input
                    
                    	Define which protocols to use when connecting to the terminal server
                    	**type**\: list of   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport.Input.Input>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.Transport.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "transport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.input = YLeafList(YType.enumeration, "input")
                        self._segment_path = lambda: "input"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.LineList.Transport.Input, ['input'], name, value)

                    class Input(Enum):
                        """
                        Input

                        Define which protocols to use when connecting to the terminal server

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = Enum.YLeaf(0, "acercon")

                        all = Enum.YLeaf(1, "all")

                        lapb_ta = Enum.YLeaf(2, "lapb-ta")

                        lat = Enum.YLeaf(3, "lat")

                        mop = Enum.YLeaf(4, "mop")

                        nasi = Enum.YLeaf(5, "nasi")

                        none = Enum.YLeaf(6, "none")

                        pad = Enum.YLeaf(7, "pad")

                        rlogin = Enum.YLeaf(8, "rlogin")

                        ssh = Enum.YLeaf(9, "ssh")

                        telnet = Enum.YLeaf(10, "telnet")

                        udptn = Enum.YLeaf(11, "udptn")

                        v120 = Enum.YLeaf(12, "v120")



                class Output(Entity):
                    """
                    
                    
                    .. attribute:: output
                    
                    	Define which protocols to use for outgoing connections
                    	**type**\: list of   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport.Output.Output>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.Transport.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "transport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.output = YLeafList(YType.enumeration, "output")
                        self._segment_path = lambda: "output"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.LineList.Transport.Output, ['output'], name, value)

                    class Output(Enum):
                        """
                        Output

                        Define which protocols to use for outgoing connections

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = Enum.YLeaf(0, "acercon")

                        all = Enum.YLeaf(1, "all")

                        lapb_ta = Enum.YLeaf(2, "lapb-ta")

                        lat = Enum.YLeaf(3, "lat")

                        mop = Enum.YLeaf(4, "mop")

                        nasi = Enum.YLeaf(5, "nasi")

                        none = Enum.YLeaf(6, "none")

                        pad = Enum.YLeaf(7, "pad")

                        rlogin = Enum.YLeaf(8, "rlogin")

                        ssh = Enum.YLeaf(9, "ssh")

                        telnet = Enum.YLeaf(10, "telnet")

                        udptn = Enum.YLeaf(11, "udptn")

                        v120 = Enum.YLeaf(12, "v120")



                class Preferred(Entity):
                    """
                    Specify the preferred protocol to use
                    
                    .. attribute:: protocol
                    
                    	
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.LineList.Transport.Preferred.Protocol>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.LineList.Transport.Preferred, self).__init__()

                        self.yang_name = "preferred"
                        self.yang_parent_name = "transport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.protocol = YLeaf(YType.enumeration, "protocol")
                        self._segment_path = lambda: "preferred"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.LineList.Transport.Preferred, ['protocol'], name, value)

                    class Protocol(Enum):
                        """
                        Protocol

                        .. data:: acercon = 0

                        .. data:: lat = 1

                        .. data:: mop = 2

                        .. data:: nasi = 3

                        .. data:: none = 4

                        .. data:: pad = 5

                        .. data:: rlogin = 6

                        .. data:: ssh = 7

                        .. data:: telnet = 8

                        .. data:: udptn = 9

                        """

                        acercon = Enum.YLeaf(0, "acercon")

                        lat = Enum.YLeaf(1, "lat")

                        mop = Enum.YLeaf(2, "mop")

                        nasi = Enum.YLeaf(3, "nasi")

                        none = Enum.YLeaf(4, "none")

                        pad = Enum.YLeaf(5, "pad")

                        rlogin = Enum.YLeaf(6, "rlogin")

                        ssh = Enum.YLeaf(7, "ssh")

                        telnet = Enum.YLeaf(8, "telnet")

                        udptn = Enum.YLeaf(9, "udptn")



            class UsbInactivityTimeout(Entity):
                """
                Inactivity timeout for USB media type
                
                .. attribute:: switch
                
                	Switch Number
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.LineList.UsbInactivityTimeout, self).__init__()

                    self.yang_name = "usb-inactivity-timeout"
                    self.yang_parent_name = "line-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switch = YLeaf(YType.empty, "switch")
                    self._segment_path = lambda: "usb-inactivity-timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.LineList.UsbInactivityTimeout, ['switch'], name, value)


        class Aux(Entity):
            """
            Auxiliary line
            
            .. attribute:: first  <key>
            
            	
            	**type**\:  :py:class:`First <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.First>`
            
            .. attribute:: authorization
            
            	Authorization parameters
            	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Authorization>`
            
            .. attribute:: access_class
            
            	Filter connections based on an IP access list
            	**type**\:  :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AccessClass>`
            
            .. attribute:: no_activation_character
            
            	
            	**type**\: bool
            
            .. attribute:: activation_character
            
            	Define the activation character
            	**type**\: union of the below types:
            
            		**type**\: str
            
            		**type**\: int
            
            			**range:** 0..127
            
            .. attribute:: autocommand
            
            	Automatically execute an EXEC command
            	**type**\:  :py:class:`Autocommand <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Autocommand>`
            
            .. attribute:: autocommand_options
            
            	Autocommand options
            	**type**\:  :py:class:`AutocommandOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AutocommandOptions>`
            
            	**presence node**\: True
            
            .. attribute:: data_character_bits
            
            	Bits per character
            	**type**\: int
            
            	**range:** 7..8
            
            .. attribute:: databits
            
            	Set number of data bits per character
            	**type**\:  :py:class:`Databits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Databits>`
            
            .. attribute:: domain_lookup
            
            	Enable domain lookups in show commands
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: editing
            
            	Enable command line editing
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: escape_character
            
            	Change the current line's escape character
            	**type**\:  :py:class:`EscapeCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.EscapeCharacter>`
            
            .. attribute:: no_exec
            
            	
            	**type**\:  :py:class:`NoExec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.NoExec>`
            
            .. attribute:: exec_
            
            	
            	**type**\:  :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Exec_>`
            
            .. attribute:: exec_banner
            
            	Enable the display of the EXEC banner
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: exec_character_bits
            
            	Bits per character
            	**type**\: int
            
            	**range:** 7..8
            
            .. attribute:: exec_timeout
            
            	Set the EXEC timeout
            	**type**\:  :py:class:`ExecTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.ExecTimeout>`
            
            .. attribute:: flowcontrol
            
            	Set the flow control
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Flowcontrol>`
            
            .. attribute:: full_help
            
            	Provide help to unprivileged user
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: history
            
            	Enable and control the command history function
            	**type**\:  :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.History>`
            
            	**presence node**\: True
            
            .. attribute:: international
            
            	Enable international 8\-bit character support
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ip
            
            	IP options
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ip>`
            
            .. attribute:: ipv6
            
            	
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ipv6>`
            
            .. attribute:: length
            
            	Set number of lines on a screen
            	**type**\: int
            
            	**range:** 0..512
            
            .. attribute:: line
            
            	
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: location
            
            	One text line describing the terminal's location
            	**type**\: str
            
            .. attribute:: logging
            
            	Modify message logging facilities
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Logging>`
            
            .. attribute:: login
            
            	Enable password checking
            	**type**\:  :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Login>`
            
            	**presence node**\: True
            
            .. attribute:: media_type
            
            	Console connection media type
            	**type**\:  :py:class:`MediaType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.MediaType>`
            
            .. attribute:: modem
            
            	Configure the Modem Control Lines
            	**type**\:  :py:class:`Modem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Modem>`
            
            .. attribute:: monitor
            
            	Copy debug output to the current terminal line
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: motd_banner
            
            	Enable the display of the MOTD banner
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: notify
            
            	Inform users of output from concurrent sessions
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: padding
            
            	Set padding for a specified output character
            	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Padding>`
            
            .. attribute:: parity
            
            	Set terminal parity
            	**type**\:  :py:class:`Parity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Parity>`
            
            .. attribute:: password
            
            	Set a password
            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Password>`
            
            .. attribute:: prc
            
            	PRC commands
            	**type**\:  :py:class:`Prc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Prc>`
            
            .. attribute:: privilege
            
            	Change privilege level for line
            	**type**\:  :py:class:`Privilege <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Privilege>`
            
            .. attribute:: rotary
            
            	Rotary group to add line to
            	**type**\: int
            
            	**range:** 1..99
            
            .. attribute:: rxspeed
            
            	Receive speed
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: session_timeout
            
            	Set interval for closing connection when there is no input traffic
            	**type**\:  :py:class:`SessionTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.SessionTimeout>`
            
            .. attribute:: special_character_bits
            
            	Bits per character
            	**type**\: int
            
            	**range:** 7..8
            
            .. attribute:: speed
            
            	Transmit and receive speeds
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: start_character
            
            	Define the start character
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..255
            
            		**type**\: str
            
            .. attribute:: stop_character
            
            	Define the stop character
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..255
            
            		**type**\: str
            
            .. attribute:: stopbits
            
            	Set async line stop bits
            	**type**\:  :py:class:`Stopbits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Stopbits>`
            
            .. attribute:: terminal_type
            
            	Terminal type
            	**type**\: str
            
            .. attribute:: timeout
            
            	Timeouts for the line
            	**type**\:  :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Timeout>`
            
            .. attribute:: telnet
            
            	Telnet protocol\-specific configuration
            	**type**\:  :py:class:`Telnet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Telnet>`
            
            .. attribute:: transport
            
            	Define transport protocols for line
            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport>`
            
            .. attribute:: txspeed
            
            	Transmit speed
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: usb_inactivity_timeout
            
            	Inactivity timeout for USB media type
            	**type**\:  :py:class:`UsbInactivityTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.UsbInactivityTimeout>`
            
            .. attribute:: width
            
            	Number of characters on a screen line
            	**type**\: int
            
            	**range:** 0..512
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Line.Aux, self).__init__()

                self.yang_name = "aux"
                self.yang_parent_name = "line"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"authorization" : ("authorization", Native.Line.Aux.Authorization), "access-class" : ("access_class", Native.Line.Aux.AccessClass), "autocommand" : ("autocommand", Native.Line.Aux.Autocommand), "autocommand-options" : ("autocommand_options", Native.Line.Aux.AutocommandOptions), "databits" : ("databits", Native.Line.Aux.Databits), "escape-character" : ("escape_character", Native.Line.Aux.EscapeCharacter), "no-exec" : ("no_exec", Native.Line.Aux.NoExec), "exec" : ("exec_", Native.Line.Aux.Exec_), "exec-timeout" : ("exec_timeout", Native.Line.Aux.ExecTimeout), "flowcontrol" : ("flowcontrol", Native.Line.Aux.Flowcontrol), "history" : ("history", Native.Line.Aux.History), "ip" : ("ip", Native.Line.Aux.Ip), "ipv6" : ("ipv6", Native.Line.Aux.Ipv6), "logging" : ("logging", Native.Line.Aux.Logging), "login" : ("login", Native.Line.Aux.Login), "media-type" : ("media_type", Native.Line.Aux.MediaType), "modem" : ("modem", Native.Line.Aux.Modem), "padding" : ("padding", Native.Line.Aux.Padding), "parity" : ("parity", Native.Line.Aux.Parity), "password" : ("password", Native.Line.Aux.Password), "prc" : ("prc", Native.Line.Aux.Prc), "privilege" : ("privilege", Native.Line.Aux.Privilege), "session-timeout" : ("session_timeout", Native.Line.Aux.SessionTimeout), "timeout" : ("timeout", Native.Line.Aux.Timeout), "telnet" : ("telnet", Native.Line.Aux.Telnet), "transport" : ("transport", Native.Line.Aux.Transport), "usb-inactivity-timeout" : ("usb_inactivity_timeout", Native.Line.Aux.UsbInactivityTimeout)}
                self._child_list_classes = {}

                self.first = YLeaf(YType.enumeration, "first")

                self.no_activation_character = YLeaf(YType.boolean, "no-activation-character")

                self.activation_character = YLeaf(YType.str, "activation-character")

                self.data_character_bits = YLeaf(YType.uint8, "data-character-bits")

                self.domain_lookup = YLeaf(YType.empty, "domain-lookup")

                self.editing = YLeaf(YType.empty, "editing")

                self.exec_banner = YLeaf(YType.empty, "exec-banner")

                self.exec_character_bits = YLeaf(YType.uint8, "exec-character-bits")

                self.full_help = YLeaf(YType.empty, "full-help")

                self.international = YLeaf(YType.empty, "international")

                self.length = YLeaf(YType.uint16, "length")

                self.line = YLeaf(YType.uint8, "line")

                self.location = YLeaf(YType.str, "location")

                self.monitor = YLeaf(YType.empty, "monitor")

                self.motd_banner = YLeaf(YType.empty, "motd-banner")

                self.notify = YLeaf(YType.empty, "notify")

                self.rotary = YLeaf(YType.uint8, "rotary")

                self.rxspeed = YLeaf(YType.uint32, "rxspeed")

                self.special_character_bits = YLeaf(YType.uint8, "special-character-bits")

                self.speed = YLeaf(YType.uint32, "speed")

                self.start_character = YLeaf(YType.str, "start-character")

                self.stop_character = YLeaf(YType.str, "stop-character")

                self.stopbits = YLeaf(YType.enumeration, "stopbits")

                self.terminal_type = YLeaf(YType.str, "terminal-type")

                self.txspeed = YLeaf(YType.uint32, "txspeed")

                self.width = YLeaf(YType.uint16, "width")

                self.authorization = Native.Line.Aux.Authorization()
                self.authorization.parent = self
                self._children_name_map["authorization"] = "authorization"
                self._children_yang_names.add("authorization")

                self.access_class = Native.Line.Aux.AccessClass()
                self.access_class.parent = self
                self._children_name_map["access_class"] = "access-class"
                self._children_yang_names.add("access-class")

                self.autocommand = Native.Line.Aux.Autocommand()
                self.autocommand.parent = self
                self._children_name_map["autocommand"] = "autocommand"
                self._children_yang_names.add("autocommand")

                self.autocommand_options = None
                self._children_name_map["autocommand_options"] = "autocommand-options"
                self._children_yang_names.add("autocommand-options")

                self.databits = Native.Line.Aux.Databits()
                self.databits.parent = self
                self._children_name_map["databits"] = "databits"
                self._children_yang_names.add("databits")

                self.escape_character = Native.Line.Aux.EscapeCharacter()
                self.escape_character.parent = self
                self._children_name_map["escape_character"] = "escape-character"
                self._children_yang_names.add("escape-character")

                self.no_exec = Native.Line.Aux.NoExec()
                self.no_exec.parent = self
                self._children_name_map["no_exec"] = "no-exec"
                self._children_yang_names.add("no-exec")

                self.exec_ = Native.Line.Aux.Exec_()
                self.exec_.parent = self
                self._children_name_map["exec_"] = "exec"
                self._children_yang_names.add("exec")

                self.exec_timeout = Native.Line.Aux.ExecTimeout()
                self.exec_timeout.parent = self
                self._children_name_map["exec_timeout"] = "exec-timeout"
                self._children_yang_names.add("exec-timeout")

                self.flowcontrol = Native.Line.Aux.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.history = None
                self._children_name_map["history"] = "history"
                self._children_yang_names.add("history")

                self.ip = Native.Line.Aux.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Line.Aux.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Line.Aux.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.login = None
                self._children_name_map["login"] = "login"
                self._children_yang_names.add("login")

                self.media_type = Native.Line.Aux.MediaType()
                self.media_type.parent = self
                self._children_name_map["media_type"] = "media-type"
                self._children_yang_names.add("media-type")

                self.modem = Native.Line.Aux.Modem()
                self.modem.parent = self
                self._children_name_map["modem"] = "modem"
                self._children_yang_names.add("modem")

                self.padding = Native.Line.Aux.Padding()
                self.padding.parent = self
                self._children_name_map["padding"] = "padding"
                self._children_yang_names.add("padding")

                self.parity = Native.Line.Aux.Parity()
                self.parity.parent = self
                self._children_name_map["parity"] = "parity"
                self._children_yang_names.add("parity")

                self.password = Native.Line.Aux.Password()
                self.password.parent = self
                self._children_name_map["password"] = "password"
                self._children_yang_names.add("password")

                self.prc = Native.Line.Aux.Prc()
                self.prc.parent = self
                self._children_name_map["prc"] = "prc"
                self._children_yang_names.add("prc")

                self.privilege = Native.Line.Aux.Privilege()
                self.privilege.parent = self
                self._children_name_map["privilege"] = "privilege"
                self._children_yang_names.add("privilege")

                self.session_timeout = Native.Line.Aux.SessionTimeout()
                self.session_timeout.parent = self
                self._children_name_map["session_timeout"] = "session-timeout"
                self._children_yang_names.add("session-timeout")

                self.timeout = Native.Line.Aux.Timeout()
                self.timeout.parent = self
                self._children_name_map["timeout"] = "timeout"
                self._children_yang_names.add("timeout")

                self.telnet = Native.Line.Aux.Telnet()
                self.telnet.parent = self
                self._children_name_map["telnet"] = "telnet"
                self._children_yang_names.add("telnet")

                self.transport = Native.Line.Aux.Transport()
                self.transport.parent = self
                self._children_name_map["transport"] = "transport"
                self._children_yang_names.add("transport")

                self.usb_inactivity_timeout = Native.Line.Aux.UsbInactivityTimeout()
                self.usb_inactivity_timeout.parent = self
                self._children_name_map["usb_inactivity_timeout"] = "usb-inactivity-timeout"
                self._children_yang_names.add("usb-inactivity-timeout")
                self._segment_path = lambda: "aux" + "[first='" + self.first.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/line/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Line.Aux, ['first', 'no_activation_character', 'activation_character', 'data_character_bits', 'domain_lookup', 'editing', 'exec_banner', 'exec_character_bits', 'full_help', 'international', 'length', 'line', 'location', 'monitor', 'motd_banner', 'notify', 'rotary', 'rxspeed', 'special_character_bits', 'speed', 'start_character', 'stop_character', 'stopbits', 'terminal_type', 'txspeed', 'width'], name, value)

            class First(Enum):
                """
                First

                .. data:: Y_0 = 0

                """

                Y_0 = Enum.YLeaf(0, "0")


            class Stopbits(Enum):
                """
                Stopbits

                Set async line stop bits

                .. data:: Y_1 = 0

                .. data:: Y_1__DOT__5 = 1

                .. data:: Y_2 = 2

                """

                Y_1 = Enum.YLeaf(0, "1")

                Y_1__DOT__5 = Enum.YLeaf(1, "1.5")

                Y_2 = Enum.YLeaf(2, "2")



            class Authorization(Entity):
                """
                Authorization parameters
                
                .. attribute:: command
                
                	For exec (shell) commands
                	**type**\:  :py:class:`Command <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Authorization.Command>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Authorization, self).__init__()

                    self.yang_name = "authorization"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"command" : ("command", Native.Line.Aux.Authorization.Command)}
                    self._child_list_classes = {}

                    self.command = Native.Line.Aux.Authorization.Command()
                    self.command.parent = self
                    self._children_name_map["command"] = "command"
                    self._children_yang_names.add("command")
                    self._segment_path = lambda: "authorization"


                class Command(Entity):
                    """
                    For exec (shell) commands
                    
                    .. attribute:: enable_level
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..15
                    
                    .. attribute:: auth_name
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.Authorization.Command, self).__init__()

                        self.yang_name = "command"
                        self.yang_parent_name = "authorization"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable_level = YLeaf(YType.uint8, "enable-level")

                        self.auth_name = YLeaf(YType.str, "auth-name")
                        self._segment_path = lambda: "command"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Aux.Authorization.Command, ['enable_level', 'auth_name'], name, value)


            class AccessClass(Entity):
                """
                Filter connections based on an IP access list
                
                .. attribute:: acccess_list
                
                	
                	**type**\: list of  		 :py:class:`AcccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AccessClass.AcccessList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.AccessClass, self).__init__()

                    self.yang_name = "access-class"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"acccess-list" : ("acccess_list", Native.Line.Aux.AccessClass.AcccessList)}

                    self.acccess_list = YList(self)
                    self._segment_path = lambda: "access-class"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.AccessClass, [], name, value)


                class AcccessList(Entity):
                    """
                    
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AccessClass.AcccessList.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199 \| 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    .. attribute:: vrf_also
                    
                    	Same access list is applied for all VRFs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.AccessClass.AcccessList, self).__init__()

                        self.yang_name = "acccess-list"
                        self.yang_parent_name = "access-class"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")

                        self.vrf_also = YLeaf(YType.empty, "vrf-also")
                        self._segment_path = lambda: "acccess-list" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Aux.AccessClass.AcccessList, ['direction', 'access_list', 'vrf_also'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Autocommand(Entity):
                """
                Automatically execute an EXEC command
                
                .. attribute:: line
                
                	Appropriate EXEC command
                	**type**\: str
                
                .. attribute:: no_suppress_linenumber
                
                	Display service linenumber message
                	**type**\:  :py:class:`NoSuppressLinenumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Autocommand.NoSuppressLinenumber>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Autocommand, self).__init__()

                    self.yang_name = "autocommand"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"no-suppress-linenumber" : ("no_suppress_linenumber", Native.Line.Aux.Autocommand.NoSuppressLinenumber)}
                    self._child_list_classes = {}

                    self.line = YLeaf(YType.str, "line")

                    self.no_suppress_linenumber = None
                    self._children_name_map["no_suppress_linenumber"] = "no-suppress-linenumber"
                    self._children_yang_names.add("no-suppress-linenumber")
                    self._segment_path = lambda: "autocommand"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.Autocommand, ['line'], name, value)


                class NoSuppressLinenumber(Entity):
                    """
                    Display service linenumber message
                    
                    .. attribute:: line
                    
                    	Appropriate EXEC command
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.Autocommand.NoSuppressLinenumber, self).__init__()

                        self.yang_name = "no-suppress-linenumber"
                        self.yang_parent_name = "autocommand"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.line = YLeaf(YType.str, "line")
                        self._segment_path = lambda: "no-suppress-linenumber"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Aux.Autocommand.NoSuppressLinenumber, ['line'], name, value)


            class AutocommandOptions(Entity):
                """
                Autocommand options
                
                .. attribute:: abort_character
                
                	Autocommand abort character
                	**type**\:  :py:class:`AbortCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AutocommandOptions.AbortCharacter>`
                
                	**presence node**\: True
                
                .. attribute:: delay
                
                	Delay autocommand execution
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AutocommandOptions.Delay>`
                
                	**presence node**\: True
                
                .. attribute:: nohangup
                
                	No hangup after autocommand completion
                	**type**\:  :py:class:`Nohangup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.AutocommandOptions.Nohangup>`
                
                	**presence node**\: True
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.AutocommandOptions, self).__init__()

                    self.yang_name = "autocommand-options"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"abort-character" : ("abort_character", Native.Line.Aux.AutocommandOptions.AbortCharacter), "delay" : ("delay", Native.Line.Aux.AutocommandOptions.Delay), "nohangup" : ("nohangup", Native.Line.Aux.AutocommandOptions.Nohangup)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.abort_character = None
                    self._children_name_map["abort_character"] = "abort-character"
                    self._children_yang_names.add("abort-character")

                    self.delay = None
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.nohangup = None
                    self._children_name_map["nohangup"] = "nohangup"
                    self._children_yang_names.add("nohangup")
                    self._segment_path = lambda: "autocommand-options"


                class AbortCharacter(Entity):
                    """
                    Autocommand abort character
                    
                    .. attribute:: character
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..255
                    
                    		**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.AutocommandOptions.AbortCharacter, self).__init__()

                        self.yang_name = "abort-character"
                        self.yang_parent_name = "autocommand-options"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.character = YLeaf(YType.str, "character")
                        self._segment_path = lambda: "abort-character"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Aux.AutocommandOptions.AbortCharacter, ['character'], name, value)


                class Delay(Entity):
                    """
                    Delay autocommand execution
                    
                    .. attribute:: time
                    
                    	Time in seconds
                    	**type**\: int
                    
                    	**range:** 0..120
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.AutocommandOptions.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "autocommand-options"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.time = YLeaf(YType.uint8, "time")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Aux.AutocommandOptions.Delay, ['time'], name, value)


                class Nohangup(Entity):
                    """
                    No hangup after autocommand completion
                    
                    .. attribute:: abort_character
                    
                    	Autocommand abort character
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	Delay autocommand execution
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.AutocommandOptions.Nohangup, self).__init__()

                        self.yang_name = "nohangup"
                        self.yang_parent_name = "autocommand-options"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.abort_character = YLeaf(YType.empty, "abort-character")

                        self.delay = YLeaf(YType.empty, "delay")
                        self._segment_path = lambda: "nohangup"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Aux.AutocommandOptions.Nohangup, ['abort_character', 'delay'], name, value)


            class Databits(Entity):
                """
                Set number of data bits per character
                
                .. attribute:: set_to_5
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_6
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_7
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_8
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Databits, self).__init__()

                    self.yang_name = "databits"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.set_to_5 = YLeaf(YType.empty, "set-to-5")

                    self.set_to_6 = YLeaf(YType.empty, "set-to-6")

                    self.set_to_7 = YLeaf(YType.empty, "set-to-7")

                    self.set_to_8 = YLeaf(YType.empty, "set-to-8")
                    self._segment_path = lambda: "databits"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.Databits, ['set_to_5', 'set_to_6', 'set_to_7', 'set_to_8'], name, value)


            class EscapeCharacter(Entity):
                """
                Change the current line's escape character
                
                .. attribute:: char
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..255
                
                		**type**\:  :py:class:`Char <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.EscapeCharacter.Char>`
                
                		**type**\: str
                
                .. attribute:: soft
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.EscapeCharacter, self).__init__()

                    self.yang_name = "escape-character"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.char = YLeaf(YType.str, "char")

                    self.soft = YLeaf(YType.empty, "soft")
                    self._segment_path = lambda: "escape-character"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.EscapeCharacter, ['char', 'soft'], name, value)

                class Char(Enum):
                    """
                    Char

                    .. data:: BREAK = 0

                    .. data:: DEFAULT = 1

                    .. data:: NONE = 2

                    """

                    BREAK = Enum.YLeaf(0, "BREAK")

                    DEFAULT = Enum.YLeaf(1, "DEFAULT")

                    NONE = Enum.YLeaf(2, "NONE")



            class NoExec(Entity):
                """
                
                
                .. attribute:: exec_
                
                	Configure EXEC
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.NoExec, self).__init__()

                    self.yang_name = "no-exec"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.exec_ = YLeaf(YType.boolean, "exec")
                    self._segment_path = lambda: "no-exec"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.NoExec, ['exec_'], name, value)


            class Exec_(Entity):
                """
                
                
                .. attribute:: prompt
                
                	
                	**type**\:  :py:class:`Prompt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Exec_.Prompt>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Exec_, self).__init__()

                    self.yang_name = "exec"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"prompt" : ("prompt", Native.Line.Aux.Exec_.Prompt)}
                    self._child_list_classes = {}

                    self.prompt = Native.Line.Aux.Exec_.Prompt()
                    self.prompt.parent = self
                    self._children_name_map["prompt"] = "prompt"
                    self._children_yang_names.add("prompt")
                    self._segment_path = lambda: "exec"


                class Prompt(Entity):
                    """
                    
                    
                    .. attribute:: timestamp
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.Exec_.Prompt, self).__init__()

                        self.yang_name = "prompt"
                        self.yang_parent_name = "exec"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.timestamp = YLeaf(YType.empty, "timestamp")
                        self._segment_path = lambda: "prompt"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Aux.Exec_.Prompt, ['timestamp'], name, value)


            class ExecTimeout(Entity):
                """
                Set the EXEC timeout
                
                .. attribute:: minutes
                
                	<0\-35791>;;Timeout in minutes
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: seconds
                
                	<0\-2147483>;;Timeout in seconds
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.ExecTimeout, self).__init__()

                    self.yang_name = "exec-timeout"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.minutes = YLeaf(YType.uint32, "minutes")

                    self.seconds = YLeaf(YType.uint32, "seconds")
                    self._segment_path = lambda: "exec-timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.ExecTimeout, ['minutes', 'seconds'], name, value)


            class Flowcontrol(Entity):
                """
                Set the flow control
                
                .. attribute:: none
                
                	Set no flow control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hardware
                
                	Set hardware flow control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: software
                
                	Set software flow control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.none = YLeaf(YType.empty, "NONE")

                    self.hardware = YLeaf(YType.empty, "hardware")

                    self.software = YLeaf(YType.empty, "software")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.Flowcontrol, ['none', 'hardware', 'software'], name, value)


            class History(Entity):
                """
                Enable and control the command history function
                
                .. attribute:: size
                
                	Set history buffer size
                	**type**\: int
                
                	**range:** 0..255
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.History, self).__init__()

                    self.yang_name = "history"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.size = YLeaf(YType.uint8, "size")
                    self._segment_path = lambda: "history"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.History, ['size'], name, value)


            class Ip(Entity):
                """
                IP options
                
                .. attribute:: netmask_format
                
                	Change display of netmasks
                	**type**\:  :py:class:`NetmaskFormat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ip.NetmaskFormat>`
                
                	**presence node**\: True
                
                .. attribute:: tcp
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"netmask-format" : ("netmask_format", Native.Line.Aux.Ip.NetmaskFormat)}
                    self._child_list_classes = {}

                    self.tcp = YLeaf(YType.empty, "tcp")

                    self.netmask_format = None
                    self._children_name_map["netmask_format"] = "netmask-format"
                    self._children_yang_names.add("netmask-format")
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.Ip, ['tcp'], name, value)


                class NetmaskFormat(Entity):
                    """
                    Change display of netmasks
                    
                    .. attribute:: format
                    
                    	
                    	**type**\:  :py:class:`Format <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ip.NetmaskFormat.Format>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.Ip.NetmaskFormat, self).__init__()

                        self.yang_name = "netmask-format"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.format = YLeaf(YType.enumeration, "format")
                        self._segment_path = lambda: "netmask-format"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Aux.Ip.NetmaskFormat, ['format'], name, value)

                    class Format(Enum):
                        """
                        Format

                        .. data:: bit_count = 0

                        .. data:: decimal = 1

                        .. data:: hexadecimal = 2

                        """

                        bit_count = Enum.YLeaf(0, "bit-count")

                        decimal = Enum.YLeaf(1, "decimal")

                        hexadecimal = Enum.YLeaf(2, "hexadecimal")



            class Ipv6(Entity):
                """
                
                
                .. attribute:: access_class
                
                	
                	**type**\:  :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ipv6.AccessClass>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-class" : ("access_class", Native.Line.Aux.Ipv6.AccessClass)}
                    self._child_list_classes = {}

                    self.access_class = Native.Line.Aux.Ipv6.AccessClass()
                    self.access_class.parent = self
                    self._children_name_map["access_class"] = "access-class"
                    self._children_yang_names.add("access-class")
                    self._segment_path = lambda: "ipv6"


                class AccessClass(Entity):
                    """
                    
                    
                    .. attribute:: access_class
                    
                    	
                    	**type**\: list of  		 :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ipv6.AccessClass.AccessClass>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.Ipv6.AccessClass, self).__init__()

                        self.yang_name = "access-class"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"access-class" : ("access_class", Native.Line.Aux.Ipv6.AccessClass.AccessClass)}

                        self.access_class = YList(self)
                        self._segment_path = lambda: "access-class"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Aux.Ipv6.AccessClass, [], name, value)


                    class AccessClass(Entity):
                        """
                        
                        
                        .. attribute:: access_class_name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: enumeration_in_out
                        
                        	
                        	**type**\:  :py:class:`EnumerationInOut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Ipv6.AccessClass.AccessClass.EnumerationInOut>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Line.Aux.Ipv6.AccessClass.AccessClass, self).__init__()

                            self.yang_name = "access-class"
                            self.yang_parent_name = "access-class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_class_name = YLeaf(YType.str, "access-class-name")

                            self.enumeration_in_out = YLeaf(YType.enumeration, "enumeration-in-out")
                            self._segment_path = lambda: "access-class" + "[access-class-name='" + self.access_class_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Line.Aux.Ipv6.AccessClass.AccessClass, ['access_class_name', 'enumeration_in_out'], name, value)

                        class EnumerationInOut(Enum):
                            """
                            EnumerationInOut

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = Enum.YLeaf(0, "in")

                            out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Modify message logging facilities
                
                .. attribute:: synchronous
                
                	Synchronized message output
                	**type**\:  :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Logging.Synchronous>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"synchronous" : ("synchronous", Native.Line.Aux.Logging.Synchronous)}
                    self._child_list_classes = {}

                    self.synchronous = None
                    self._children_name_map["synchronous"] = "synchronous"
                    self._children_yang_names.add("synchronous")
                    self._segment_path = lambda: "logging"


                class Synchronous(Entity):
                    """
                    Synchronized message output
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.Logging.Synchronous, self).__init__()

                        self.yang_name = "synchronous"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "synchronous"


            class Login(Entity):
                """
                Enable password checking
                
                .. attribute:: local
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: authentication
                
                	
                	**type**\: str
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Login, self).__init__()

                    self.yang_name = "login"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.local = YLeaf(YType.empty, "local")

                    self.authentication = YLeaf(YType.str, "authentication")
                    self._segment_path = lambda: "login"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.Login, ['local', 'authentication'], name, value)


            class MediaType(Entity):
                """
                Console connection media type
                
                .. attribute:: rj45
                
                	Console connection set to RJ45
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.MediaType, self).__init__()

                    self.yang_name = "media-type"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.rj45 = YLeaf(YType.empty, "rj45")
                    self._segment_path = lambda: "media-type"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.MediaType, ['rj45'], name, value)


            class Modem(Entity):
                """
                Configure the Modem Control Lines
                
                .. attribute:: cts_alarm
                
                	Alarm device which only uses CTS for call control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_active
                
                	Leave DTR low unless line has an active incoming connection or EXEC
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dialin
                
                	Configure line for a modern dial\-in modem
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host
                
                	Devices that expect an incoming modem call
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inout
                
                	Configure line for incoming AND outgoing use of modem
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: printer
                
                	Devices that require DSR/CD active
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: answer_timeout
                
                	Set interval between raising DTR and CTS response
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_delay
                
                	Set interval during which DTR is held low
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Modem, self).__init__()

                    self.yang_name = "modem"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.cts_alarm = YLeaf(YType.empty, "CTS-Alarm")

                    self.dtr_active = YLeaf(YType.empty, "DTR-active")

                    self.dialin = YLeaf(YType.empty, "Dialin")

                    self.host = YLeaf(YType.empty, "Host")

                    self.inout = YLeaf(YType.empty, "InOut")

                    self.printer = YLeaf(YType.empty, "Printer")

                    self.answer_timeout = YLeaf(YType.empty, "answer-timeout")

                    self.dtr_delay = YLeaf(YType.empty, "dtr-delay")
                    self._segment_path = lambda: "modem"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.Modem, ['cts_alarm', 'dtr_active', 'dialin', 'host', 'inout', 'printer', 'answer_timeout', 'dtr_delay'], name, value)


            class Padding(Entity):
                """
                Set padding for a specified output character
                
                .. attribute:: character
                
                	Character to be padded
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..127
                
                		**type**\: str
                
                .. attribute:: null
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Padding, self).__init__()

                    self.yang_name = "padding"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.character = YLeaf(YType.str, "character")

                    self.null = YLeaf(YType.uint8, "null")
                    self._segment_path = lambda: "padding"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.Padding, ['character', 'null'], name, value)


            class Parity(Entity):
                """
                Set terminal parity
                
                .. attribute:: even
                
                	Even parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mark
                
                	Mark parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	No parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: odd
                
                	Odd parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: space
                
                	Space parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Parity, self).__init__()

                    self.yang_name = "parity"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.even = YLeaf(YType.empty, "even")

                    self.mark = YLeaf(YType.empty, "mark")

                    self.none = YLeaf(YType.empty, "none")

                    self.odd = YLeaf(YType.empty, "odd")

                    self.space = YLeaf(YType.empty, "space")
                    self._segment_path = lambda: "parity"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.Parity, ['even', 'mark', 'none', 'odd', 'space'], name, value)


            class Password(Entity):
                """
                Set a password
                
                .. attribute:: level
                
                	Set exec level password
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: type
                
                	
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Password.Type>`
                
                .. attribute:: secret
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Password, self).__init__()

                    self.yang_name = "password"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.level = YLeaf(YType.uint8, "level")

                    self.type = YLeaf(YType.enumeration, "type")

                    self.secret = YLeaf(YType.str, "secret")
                    self._segment_path = lambda: "password"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.Password, ['level', 'type', 'secret'], name, value)

                class Type(Enum):
                    """
                    Type

                    .. data:: Y_0 = 0

                    .. data:: Y_7 = 1

                    """

                    Y_0 = Enum.YLeaf(0, "0")

                    Y_7 = Enum.YLeaf(1, "7")



            class Prc(Entity):
                """
                PRC commands
                
                .. attribute:: expose
                
                	Expose PRC data
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hide
                
                	Hide PRC data
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Prc, self).__init__()

                    self.yang_name = "prc"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.expose = YLeaf(YType.empty, "expose")

                    self.hide = YLeaf(YType.empty, "hide")
                    self._segment_path = lambda: "prc"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.Prc, ['expose', 'hide'], name, value)


            class Privilege(Entity):
                """
                Change privilege level for line
                
                .. attribute:: level
                
                	Assign default privilege level for line
                	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Privilege.Level>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Privilege, self).__init__()

                    self.yang_name = "privilege"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"level" : ("level", Native.Line.Aux.Privilege.Level)}
                    self._child_list_classes = {}

                    self.level = None
                    self._children_name_map["level"] = "level"
                    self._children_yang_names.add("level")
                    self._segment_path = lambda: "privilege"


                class Level(Entity):
                    """
                    Assign default privilege level for line
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..15
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.Privilege.Level, self).__init__()

                        self.yang_name = "level"
                        self.yang_parent_name = "privilege"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.number = YLeaf(YType.uint8, "number")
                        self._segment_path = lambda: "level"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Aux.Privilege.Level, ['number'], name, value)


            class SessionTimeout(Entity):
                """
                Set interval for closing connection when there is no input traffic
                
                .. attribute:: session_timeout_value
                
                	
                	**type**\: int
                
                	**range:** 0..35791
                
                .. attribute:: output
                
                	Include output traffic as well as input traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.SessionTimeout, self).__init__()

                    self.yang_name = "session-timeout"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.session_timeout_value = YLeaf(YType.uint16, "session-timeout-value")

                    self.output = YLeaf(YType.empty, "output")
                    self._segment_path = lambda: "session-timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.SessionTimeout, ['session_timeout_value', 'output'], name, value)


            class Timeout(Entity):
                """
                Timeouts for the line
                
                .. attribute:: login
                
                	Timeouts related to the login sequence
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Timeout, self).__init__()

                    self.yang_name = "timeout"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.login = YLeaf(YType.empty, "login")
                    self._segment_path = lambda: "timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.Timeout, ['login'], name, value)


            class Telnet(Entity):
                """
                Telnet protocol\-specific configuration
                
                .. attribute:: transparent
                
                	Send a CR as a CR followed by a NULL instead of a CR followed by a LF
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Telnet, self).__init__()

                    self.yang_name = "telnet"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.transparent = YLeaf(YType.empty, "transparent")
                    self._segment_path = lambda: "telnet"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.Telnet, ['transparent'], name, value)


            class Transport(Entity):
                """
                Define transport protocols for line
                
                .. attribute:: input
                
                	
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport.Input>`
                
                .. attribute:: output
                
                	
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport.Output>`
                
                .. attribute:: preferred
                
                	Specify the preferred protocol to use
                	**type**\:  :py:class:`Preferred <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport.Preferred>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.Transport, self).__init__()

                    self.yang_name = "transport"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"input" : ("input", Native.Line.Aux.Transport.Input), "output" : ("output", Native.Line.Aux.Transport.Output), "preferred" : ("preferred", Native.Line.Aux.Transport.Preferred)}
                    self._child_list_classes = {}

                    self.input = Native.Line.Aux.Transport.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.Line.Aux.Transport.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")

                    self.preferred = None
                    self._children_name_map["preferred"] = "preferred"
                    self._children_yang_names.add("preferred")
                    self._segment_path = lambda: "transport"


                class Input(Entity):
                    """
                    
                    
                    .. attribute:: input
                    
                    	Define which protocols to use when connecting to the terminal server
                    	**type**\: list of   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport.Input.Input>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.Transport.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "transport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.input = YLeafList(YType.enumeration, "input")
                        self._segment_path = lambda: "input"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Aux.Transport.Input, ['input'], name, value)

                    class Input(Enum):
                        """
                        Input

                        Define which protocols to use when connecting to the terminal server

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = Enum.YLeaf(0, "acercon")

                        all = Enum.YLeaf(1, "all")

                        lapb_ta = Enum.YLeaf(2, "lapb-ta")

                        lat = Enum.YLeaf(3, "lat")

                        mop = Enum.YLeaf(4, "mop")

                        nasi = Enum.YLeaf(5, "nasi")

                        none = Enum.YLeaf(6, "none")

                        pad = Enum.YLeaf(7, "pad")

                        rlogin = Enum.YLeaf(8, "rlogin")

                        ssh = Enum.YLeaf(9, "ssh")

                        telnet = Enum.YLeaf(10, "telnet")

                        udptn = Enum.YLeaf(11, "udptn")

                        v120 = Enum.YLeaf(12, "v120")



                class Output(Entity):
                    """
                    
                    
                    .. attribute:: output
                    
                    	Define which protocols to use for outgoing connections
                    	**type**\: list of   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport.Output.Output>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.Transport.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "transport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.output = YLeafList(YType.enumeration, "output")
                        self._segment_path = lambda: "output"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Aux.Transport.Output, ['output'], name, value)

                    class Output(Enum):
                        """
                        Output

                        Define which protocols to use for outgoing connections

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = Enum.YLeaf(0, "acercon")

                        all = Enum.YLeaf(1, "all")

                        lapb_ta = Enum.YLeaf(2, "lapb-ta")

                        lat = Enum.YLeaf(3, "lat")

                        mop = Enum.YLeaf(4, "mop")

                        nasi = Enum.YLeaf(5, "nasi")

                        none = Enum.YLeaf(6, "none")

                        pad = Enum.YLeaf(7, "pad")

                        rlogin = Enum.YLeaf(8, "rlogin")

                        ssh = Enum.YLeaf(9, "ssh")

                        telnet = Enum.YLeaf(10, "telnet")

                        udptn = Enum.YLeaf(11, "udptn")

                        v120 = Enum.YLeaf(12, "v120")



                class Preferred(Entity):
                    """
                    Specify the preferred protocol to use
                    
                    .. attribute:: protocol
                    
                    	
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Aux.Transport.Preferred.Protocol>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Aux.Transport.Preferred, self).__init__()

                        self.yang_name = "preferred"
                        self.yang_parent_name = "transport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.protocol = YLeaf(YType.enumeration, "protocol")
                        self._segment_path = lambda: "preferred"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Aux.Transport.Preferred, ['protocol'], name, value)

                    class Protocol(Enum):
                        """
                        Protocol

                        .. data:: acercon = 0

                        .. data:: lat = 1

                        .. data:: mop = 2

                        .. data:: nasi = 3

                        .. data:: none = 4

                        .. data:: pad = 5

                        .. data:: rlogin = 6

                        .. data:: ssh = 7

                        .. data:: telnet = 8

                        .. data:: udptn = 9

                        """

                        acercon = Enum.YLeaf(0, "acercon")

                        lat = Enum.YLeaf(1, "lat")

                        mop = Enum.YLeaf(2, "mop")

                        nasi = Enum.YLeaf(3, "nasi")

                        none = Enum.YLeaf(4, "none")

                        pad = Enum.YLeaf(5, "pad")

                        rlogin = Enum.YLeaf(6, "rlogin")

                        ssh = Enum.YLeaf(7, "ssh")

                        telnet = Enum.YLeaf(8, "telnet")

                        udptn = Enum.YLeaf(9, "udptn")



            class UsbInactivityTimeout(Entity):
                """
                Inactivity timeout for USB media type
                
                .. attribute:: switch
                
                	Switch Number
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Aux.UsbInactivityTimeout, self).__init__()

                    self.yang_name = "usb-inactivity-timeout"
                    self.yang_parent_name = "aux"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switch = YLeaf(YType.empty, "switch")
                    self._segment_path = lambda: "usb-inactivity-timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Aux.UsbInactivityTimeout, ['switch'], name, value)


        class Console(Entity):
            """
            Primary terminal line
            
            .. attribute:: first  <key>
            
            	
            	**type**\:  :py:class:`First <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.First>`
            
            .. attribute:: authorization
            
            	Authorization parameters
            	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Authorization>`
            
            .. attribute:: access_class
            
            	Filter connections based on an IP access list
            	**type**\:  :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AccessClass>`
            
            .. attribute:: no_activation_character
            
            	
            	**type**\: bool
            
            .. attribute:: activation_character
            
            	Define the activation character
            	**type**\: union of the below types:
            
            		**type**\: str
            
            		**type**\: int
            
            			**range:** 0..127
            
            .. attribute:: autocommand
            
            	Automatically execute an EXEC command
            	**type**\:  :py:class:`Autocommand <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Autocommand>`
            
            .. attribute:: autocommand_options
            
            	Autocommand options
            	**type**\:  :py:class:`AutocommandOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AutocommandOptions>`
            
            	**presence node**\: True
            
            .. attribute:: data_character_bits
            
            	Bits per character
            	**type**\: int
            
            	**range:** 7..8
            
            .. attribute:: databits
            
            	Set number of data bits per character
            	**type**\:  :py:class:`Databits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Databits>`
            
            .. attribute:: domain_lookup
            
            	Enable domain lookups in show commands
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: editing
            
            	Enable command line editing
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: escape_character
            
            	Change the current line's escape character
            	**type**\:  :py:class:`EscapeCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.EscapeCharacter>`
            
            .. attribute:: no_exec
            
            	
            	**type**\:  :py:class:`NoExec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.NoExec>`
            
            .. attribute:: exec_
            
            	
            	**type**\:  :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Exec_>`
            
            .. attribute:: exec_banner
            
            	Enable the display of the EXEC banner
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: exec_character_bits
            
            	Bits per character
            	**type**\: int
            
            	**range:** 7..8
            
            .. attribute:: exec_timeout
            
            	Set the EXEC timeout
            	**type**\:  :py:class:`ExecTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.ExecTimeout>`
            
            .. attribute:: flowcontrol
            
            	Set the flow control
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Flowcontrol>`
            
            .. attribute:: full_help
            
            	Provide help to unprivileged user
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: history
            
            	Enable and control the command history function
            	**type**\:  :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.History>`
            
            	**presence node**\: True
            
            .. attribute:: international
            
            	Enable international 8\-bit character support
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ip
            
            	IP options
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ip>`
            
            .. attribute:: ipv6
            
            	
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ipv6>`
            
            .. attribute:: length
            
            	Set number of lines on a screen
            	**type**\: int
            
            	**range:** 0..512
            
            .. attribute:: line
            
            	
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: location
            
            	One text line describing the terminal's location
            	**type**\: str
            
            .. attribute:: logging
            
            	Modify message logging facilities
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Logging>`
            
            .. attribute:: login
            
            	Enable password checking
            	**type**\:  :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Login>`
            
            	**presence node**\: True
            
            .. attribute:: media_type
            
            	Console connection media type
            	**type**\:  :py:class:`MediaType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.MediaType>`
            
            .. attribute:: modem
            
            	Configure the Modem Control Lines
            	**type**\:  :py:class:`Modem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Modem>`
            
            .. attribute:: monitor
            
            	Copy debug output to the current terminal line
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: motd_banner
            
            	Enable the display of the MOTD banner
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: notify
            
            	Inform users of output from concurrent sessions
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: padding
            
            	Set padding for a specified output character
            	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Padding>`
            
            .. attribute:: parity
            
            	Set terminal parity
            	**type**\:  :py:class:`Parity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Parity>`
            
            .. attribute:: password
            
            	Set a password
            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Password>`
            
            .. attribute:: prc
            
            	PRC commands
            	**type**\:  :py:class:`Prc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Prc>`
            
            .. attribute:: privilege
            
            	Change privilege level for line
            	**type**\:  :py:class:`Privilege <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Privilege>`
            
            .. attribute:: rotary
            
            	Rotary group to add line to
            	**type**\: int
            
            	**range:** 1..99
            
            .. attribute:: rxspeed
            
            	Receive speed
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: session_timeout
            
            	Set interval for closing connection when there is no input traffic
            	**type**\:  :py:class:`SessionTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.SessionTimeout>`
            
            .. attribute:: special_character_bits
            
            	Bits per character
            	**type**\: int
            
            	**range:** 7..8
            
            .. attribute:: speed
            
            	Transmit and receive speeds
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: start_character
            
            	Define the start character
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..255
            
            		**type**\: str
            
            .. attribute:: stop_character
            
            	Define the stop character
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..255
            
            		**type**\: str
            
            .. attribute:: stopbits
            
            	Set async line stop bits
            	**type**\:  :py:class:`Stopbits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Stopbits>`
            
            .. attribute:: terminal_type
            
            	Terminal type
            	**type**\: str
            
            .. attribute:: timeout
            
            	Timeouts for the line
            	**type**\:  :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Timeout>`
            
            .. attribute:: telnet
            
            	Telnet protocol\-specific configuration
            	**type**\:  :py:class:`Telnet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Telnet>`
            
            .. attribute:: transport
            
            	Define transport protocols for line
            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport>`
            
            .. attribute:: txspeed
            
            	Transmit speed
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: usb_inactivity_timeout
            
            	Inactivity timeout for USB media type
            	**type**\:  :py:class:`UsbInactivityTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.UsbInactivityTimeout>`
            
            .. attribute:: width
            
            	Number of characters on a screen line
            	**type**\: int
            
            	**range:** 0..512
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Line.Console, self).__init__()

                self.yang_name = "console"
                self.yang_parent_name = "line"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"authorization" : ("authorization", Native.Line.Console.Authorization), "access-class" : ("access_class", Native.Line.Console.AccessClass), "autocommand" : ("autocommand", Native.Line.Console.Autocommand), "autocommand-options" : ("autocommand_options", Native.Line.Console.AutocommandOptions), "databits" : ("databits", Native.Line.Console.Databits), "escape-character" : ("escape_character", Native.Line.Console.EscapeCharacter), "no-exec" : ("no_exec", Native.Line.Console.NoExec), "exec" : ("exec_", Native.Line.Console.Exec_), "exec-timeout" : ("exec_timeout", Native.Line.Console.ExecTimeout), "flowcontrol" : ("flowcontrol", Native.Line.Console.Flowcontrol), "history" : ("history", Native.Line.Console.History), "ip" : ("ip", Native.Line.Console.Ip), "ipv6" : ("ipv6", Native.Line.Console.Ipv6), "logging" : ("logging", Native.Line.Console.Logging), "login" : ("login", Native.Line.Console.Login), "media-type" : ("media_type", Native.Line.Console.MediaType), "modem" : ("modem", Native.Line.Console.Modem), "padding" : ("padding", Native.Line.Console.Padding), "parity" : ("parity", Native.Line.Console.Parity), "password" : ("password", Native.Line.Console.Password), "prc" : ("prc", Native.Line.Console.Prc), "privilege" : ("privilege", Native.Line.Console.Privilege), "session-timeout" : ("session_timeout", Native.Line.Console.SessionTimeout), "timeout" : ("timeout", Native.Line.Console.Timeout), "telnet" : ("telnet", Native.Line.Console.Telnet), "transport" : ("transport", Native.Line.Console.Transport), "usb-inactivity-timeout" : ("usb_inactivity_timeout", Native.Line.Console.UsbInactivityTimeout)}
                self._child_list_classes = {}

                self.first = YLeaf(YType.enumeration, "first")

                self.no_activation_character = YLeaf(YType.boolean, "no-activation-character")

                self.activation_character = YLeaf(YType.str, "activation-character")

                self.data_character_bits = YLeaf(YType.uint8, "data-character-bits")

                self.domain_lookup = YLeaf(YType.empty, "domain-lookup")

                self.editing = YLeaf(YType.empty, "editing")

                self.exec_banner = YLeaf(YType.empty, "exec-banner")

                self.exec_character_bits = YLeaf(YType.uint8, "exec-character-bits")

                self.full_help = YLeaf(YType.empty, "full-help")

                self.international = YLeaf(YType.empty, "international")

                self.length = YLeaf(YType.uint16, "length")

                self.line = YLeaf(YType.uint8, "line")

                self.location = YLeaf(YType.str, "location")

                self.monitor = YLeaf(YType.empty, "monitor")

                self.motd_banner = YLeaf(YType.empty, "motd-banner")

                self.notify = YLeaf(YType.empty, "notify")

                self.rotary = YLeaf(YType.uint8, "rotary")

                self.rxspeed = YLeaf(YType.uint32, "rxspeed")

                self.special_character_bits = YLeaf(YType.uint8, "special-character-bits")

                self.speed = YLeaf(YType.uint32, "speed")

                self.start_character = YLeaf(YType.str, "start-character")

                self.stop_character = YLeaf(YType.str, "stop-character")

                self.stopbits = YLeaf(YType.enumeration, "stopbits")

                self.terminal_type = YLeaf(YType.str, "terminal-type")

                self.txspeed = YLeaf(YType.uint32, "txspeed")

                self.width = YLeaf(YType.uint16, "width")

                self.authorization = Native.Line.Console.Authorization()
                self.authorization.parent = self
                self._children_name_map["authorization"] = "authorization"
                self._children_yang_names.add("authorization")

                self.access_class = Native.Line.Console.AccessClass()
                self.access_class.parent = self
                self._children_name_map["access_class"] = "access-class"
                self._children_yang_names.add("access-class")

                self.autocommand = Native.Line.Console.Autocommand()
                self.autocommand.parent = self
                self._children_name_map["autocommand"] = "autocommand"
                self._children_yang_names.add("autocommand")

                self.autocommand_options = None
                self._children_name_map["autocommand_options"] = "autocommand-options"
                self._children_yang_names.add("autocommand-options")

                self.databits = Native.Line.Console.Databits()
                self.databits.parent = self
                self._children_name_map["databits"] = "databits"
                self._children_yang_names.add("databits")

                self.escape_character = Native.Line.Console.EscapeCharacter()
                self.escape_character.parent = self
                self._children_name_map["escape_character"] = "escape-character"
                self._children_yang_names.add("escape-character")

                self.no_exec = Native.Line.Console.NoExec()
                self.no_exec.parent = self
                self._children_name_map["no_exec"] = "no-exec"
                self._children_yang_names.add("no-exec")

                self.exec_ = Native.Line.Console.Exec_()
                self.exec_.parent = self
                self._children_name_map["exec_"] = "exec"
                self._children_yang_names.add("exec")

                self.exec_timeout = Native.Line.Console.ExecTimeout()
                self.exec_timeout.parent = self
                self._children_name_map["exec_timeout"] = "exec-timeout"
                self._children_yang_names.add("exec-timeout")

                self.flowcontrol = Native.Line.Console.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.history = None
                self._children_name_map["history"] = "history"
                self._children_yang_names.add("history")

                self.ip = Native.Line.Console.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Line.Console.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Line.Console.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.login = None
                self._children_name_map["login"] = "login"
                self._children_yang_names.add("login")

                self.media_type = Native.Line.Console.MediaType()
                self.media_type.parent = self
                self._children_name_map["media_type"] = "media-type"
                self._children_yang_names.add("media-type")

                self.modem = Native.Line.Console.Modem()
                self.modem.parent = self
                self._children_name_map["modem"] = "modem"
                self._children_yang_names.add("modem")

                self.padding = Native.Line.Console.Padding()
                self.padding.parent = self
                self._children_name_map["padding"] = "padding"
                self._children_yang_names.add("padding")

                self.parity = Native.Line.Console.Parity()
                self.parity.parent = self
                self._children_name_map["parity"] = "parity"
                self._children_yang_names.add("parity")

                self.password = Native.Line.Console.Password()
                self.password.parent = self
                self._children_name_map["password"] = "password"
                self._children_yang_names.add("password")

                self.prc = Native.Line.Console.Prc()
                self.prc.parent = self
                self._children_name_map["prc"] = "prc"
                self._children_yang_names.add("prc")

                self.privilege = Native.Line.Console.Privilege()
                self.privilege.parent = self
                self._children_name_map["privilege"] = "privilege"
                self._children_yang_names.add("privilege")

                self.session_timeout = Native.Line.Console.SessionTimeout()
                self.session_timeout.parent = self
                self._children_name_map["session_timeout"] = "session-timeout"
                self._children_yang_names.add("session-timeout")

                self.timeout = Native.Line.Console.Timeout()
                self.timeout.parent = self
                self._children_name_map["timeout"] = "timeout"
                self._children_yang_names.add("timeout")

                self.telnet = Native.Line.Console.Telnet()
                self.telnet.parent = self
                self._children_name_map["telnet"] = "telnet"
                self._children_yang_names.add("telnet")

                self.transport = Native.Line.Console.Transport()
                self.transport.parent = self
                self._children_name_map["transport"] = "transport"
                self._children_yang_names.add("transport")

                self.usb_inactivity_timeout = Native.Line.Console.UsbInactivityTimeout()
                self.usb_inactivity_timeout.parent = self
                self._children_name_map["usb_inactivity_timeout"] = "usb-inactivity-timeout"
                self._children_yang_names.add("usb-inactivity-timeout")
                self._segment_path = lambda: "console" + "[first='" + self.first.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/line/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Line.Console, ['first', 'no_activation_character', 'activation_character', 'data_character_bits', 'domain_lookup', 'editing', 'exec_banner', 'exec_character_bits', 'full_help', 'international', 'length', 'line', 'location', 'monitor', 'motd_banner', 'notify', 'rotary', 'rxspeed', 'special_character_bits', 'speed', 'start_character', 'stop_character', 'stopbits', 'terminal_type', 'txspeed', 'width'], name, value)

            class First(Enum):
                """
                First

                .. data:: Y_0 = 0

                """

                Y_0 = Enum.YLeaf(0, "0")


            class Stopbits(Enum):
                """
                Stopbits

                Set async line stop bits

                .. data:: Y_1 = 0

                .. data:: Y_1__DOT__5 = 1

                .. data:: Y_2 = 2

                """

                Y_1 = Enum.YLeaf(0, "1")

                Y_1__DOT__5 = Enum.YLeaf(1, "1.5")

                Y_2 = Enum.YLeaf(2, "2")



            class Authorization(Entity):
                """
                Authorization parameters
                
                .. attribute:: command
                
                	For exec (shell) commands
                	**type**\:  :py:class:`Command <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Authorization.Command>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Authorization, self).__init__()

                    self.yang_name = "authorization"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"command" : ("command", Native.Line.Console.Authorization.Command)}
                    self._child_list_classes = {}

                    self.command = Native.Line.Console.Authorization.Command()
                    self.command.parent = self
                    self._children_name_map["command"] = "command"
                    self._children_yang_names.add("command")
                    self._segment_path = lambda: "authorization"


                class Command(Entity):
                    """
                    For exec (shell) commands
                    
                    .. attribute:: enable_level
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..15
                    
                    .. attribute:: auth_name
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.Authorization.Command, self).__init__()

                        self.yang_name = "command"
                        self.yang_parent_name = "authorization"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable_level = YLeaf(YType.uint8, "enable-level")

                        self.auth_name = YLeaf(YType.str, "auth-name")
                        self._segment_path = lambda: "command"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Console.Authorization.Command, ['enable_level', 'auth_name'], name, value)


            class AccessClass(Entity):
                """
                Filter connections based on an IP access list
                
                .. attribute:: acccess_list
                
                	
                	**type**\: list of  		 :py:class:`AcccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AccessClass.AcccessList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.AccessClass, self).__init__()

                    self.yang_name = "access-class"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"acccess-list" : ("acccess_list", Native.Line.Console.AccessClass.AcccessList)}

                    self.acccess_list = YList(self)
                    self._segment_path = lambda: "access-class"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.AccessClass, [], name, value)


                class AcccessList(Entity):
                    """
                    
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AccessClass.AcccessList.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199 \| 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    .. attribute:: vrf_also
                    
                    	Same access list is applied for all VRFs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.AccessClass.AcccessList, self).__init__()

                        self.yang_name = "acccess-list"
                        self.yang_parent_name = "access-class"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")

                        self.vrf_also = YLeaf(YType.empty, "vrf-also")
                        self._segment_path = lambda: "acccess-list" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Console.AccessClass.AcccessList, ['direction', 'access_list', 'vrf_also'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Autocommand(Entity):
                """
                Automatically execute an EXEC command
                
                .. attribute:: line
                
                	Appropriate EXEC command
                	**type**\: str
                
                .. attribute:: no_suppress_linenumber
                
                	Display service linenumber message
                	**type**\:  :py:class:`NoSuppressLinenumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Autocommand.NoSuppressLinenumber>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Autocommand, self).__init__()

                    self.yang_name = "autocommand"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"no-suppress-linenumber" : ("no_suppress_linenumber", Native.Line.Console.Autocommand.NoSuppressLinenumber)}
                    self._child_list_classes = {}

                    self.line = YLeaf(YType.str, "line")

                    self.no_suppress_linenumber = None
                    self._children_name_map["no_suppress_linenumber"] = "no-suppress-linenumber"
                    self._children_yang_names.add("no-suppress-linenumber")
                    self._segment_path = lambda: "autocommand"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.Autocommand, ['line'], name, value)


                class NoSuppressLinenumber(Entity):
                    """
                    Display service linenumber message
                    
                    .. attribute:: line
                    
                    	Appropriate EXEC command
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.Autocommand.NoSuppressLinenumber, self).__init__()

                        self.yang_name = "no-suppress-linenumber"
                        self.yang_parent_name = "autocommand"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.line = YLeaf(YType.str, "line")
                        self._segment_path = lambda: "no-suppress-linenumber"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Console.Autocommand.NoSuppressLinenumber, ['line'], name, value)


            class AutocommandOptions(Entity):
                """
                Autocommand options
                
                .. attribute:: abort_character
                
                	Autocommand abort character
                	**type**\:  :py:class:`AbortCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AutocommandOptions.AbortCharacter>`
                
                	**presence node**\: True
                
                .. attribute:: delay
                
                	Delay autocommand execution
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AutocommandOptions.Delay>`
                
                	**presence node**\: True
                
                .. attribute:: nohangup
                
                	No hangup after autocommand completion
                	**type**\:  :py:class:`Nohangup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.AutocommandOptions.Nohangup>`
                
                	**presence node**\: True
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.AutocommandOptions, self).__init__()

                    self.yang_name = "autocommand-options"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"abort-character" : ("abort_character", Native.Line.Console.AutocommandOptions.AbortCharacter), "delay" : ("delay", Native.Line.Console.AutocommandOptions.Delay), "nohangup" : ("nohangup", Native.Line.Console.AutocommandOptions.Nohangup)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.abort_character = None
                    self._children_name_map["abort_character"] = "abort-character"
                    self._children_yang_names.add("abort-character")

                    self.delay = None
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.nohangup = None
                    self._children_name_map["nohangup"] = "nohangup"
                    self._children_yang_names.add("nohangup")
                    self._segment_path = lambda: "autocommand-options"


                class AbortCharacter(Entity):
                    """
                    Autocommand abort character
                    
                    .. attribute:: character
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..255
                    
                    		**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.AutocommandOptions.AbortCharacter, self).__init__()

                        self.yang_name = "abort-character"
                        self.yang_parent_name = "autocommand-options"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.character = YLeaf(YType.str, "character")
                        self._segment_path = lambda: "abort-character"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Console.AutocommandOptions.AbortCharacter, ['character'], name, value)


                class Delay(Entity):
                    """
                    Delay autocommand execution
                    
                    .. attribute:: time
                    
                    	Time in seconds
                    	**type**\: int
                    
                    	**range:** 0..120
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.AutocommandOptions.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "autocommand-options"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.time = YLeaf(YType.uint8, "time")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Console.AutocommandOptions.Delay, ['time'], name, value)


                class Nohangup(Entity):
                    """
                    No hangup after autocommand completion
                    
                    .. attribute:: abort_character
                    
                    	Autocommand abort character
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	Delay autocommand execution
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.AutocommandOptions.Nohangup, self).__init__()

                        self.yang_name = "nohangup"
                        self.yang_parent_name = "autocommand-options"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.abort_character = YLeaf(YType.empty, "abort-character")

                        self.delay = YLeaf(YType.empty, "delay")
                        self._segment_path = lambda: "nohangup"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Console.AutocommandOptions.Nohangup, ['abort_character', 'delay'], name, value)


            class Databits(Entity):
                """
                Set number of data bits per character
                
                .. attribute:: set_to_5
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_6
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_7
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_8
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Databits, self).__init__()

                    self.yang_name = "databits"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.set_to_5 = YLeaf(YType.empty, "set-to-5")

                    self.set_to_6 = YLeaf(YType.empty, "set-to-6")

                    self.set_to_7 = YLeaf(YType.empty, "set-to-7")

                    self.set_to_8 = YLeaf(YType.empty, "set-to-8")
                    self._segment_path = lambda: "databits"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.Databits, ['set_to_5', 'set_to_6', 'set_to_7', 'set_to_8'], name, value)


            class EscapeCharacter(Entity):
                """
                Change the current line's escape character
                
                .. attribute:: char
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..255
                
                		**type**\:  :py:class:`Char <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.EscapeCharacter.Char>`
                
                		**type**\: str
                
                .. attribute:: soft
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.EscapeCharacter, self).__init__()

                    self.yang_name = "escape-character"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.char = YLeaf(YType.str, "char")

                    self.soft = YLeaf(YType.empty, "soft")
                    self._segment_path = lambda: "escape-character"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.EscapeCharacter, ['char', 'soft'], name, value)

                class Char(Enum):
                    """
                    Char

                    .. data:: BREAK = 0

                    .. data:: DEFAULT = 1

                    .. data:: NONE = 2

                    """

                    BREAK = Enum.YLeaf(0, "BREAK")

                    DEFAULT = Enum.YLeaf(1, "DEFAULT")

                    NONE = Enum.YLeaf(2, "NONE")



            class NoExec(Entity):
                """
                
                
                .. attribute:: exec_
                
                	Configure EXEC
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.NoExec, self).__init__()

                    self.yang_name = "no-exec"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.exec_ = YLeaf(YType.boolean, "exec")
                    self._segment_path = lambda: "no-exec"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.NoExec, ['exec_'], name, value)


            class Exec_(Entity):
                """
                
                
                .. attribute:: prompt
                
                	
                	**type**\:  :py:class:`Prompt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Exec_.Prompt>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Exec_, self).__init__()

                    self.yang_name = "exec"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"prompt" : ("prompt", Native.Line.Console.Exec_.Prompt)}
                    self._child_list_classes = {}

                    self.prompt = Native.Line.Console.Exec_.Prompt()
                    self.prompt.parent = self
                    self._children_name_map["prompt"] = "prompt"
                    self._children_yang_names.add("prompt")
                    self._segment_path = lambda: "exec"


                class Prompt(Entity):
                    """
                    
                    
                    .. attribute:: timestamp
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.Exec_.Prompt, self).__init__()

                        self.yang_name = "prompt"
                        self.yang_parent_name = "exec"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.timestamp = YLeaf(YType.empty, "timestamp")
                        self._segment_path = lambda: "prompt"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Console.Exec_.Prompt, ['timestamp'], name, value)


            class ExecTimeout(Entity):
                """
                Set the EXEC timeout
                
                .. attribute:: minutes
                
                	<0\-35791>;;Timeout in minutes
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: seconds
                
                	<0\-2147483>;;Timeout in seconds
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.ExecTimeout, self).__init__()

                    self.yang_name = "exec-timeout"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.minutes = YLeaf(YType.uint32, "minutes")

                    self.seconds = YLeaf(YType.uint32, "seconds")
                    self._segment_path = lambda: "exec-timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.ExecTimeout, ['minutes', 'seconds'], name, value)


            class Flowcontrol(Entity):
                """
                Set the flow control
                
                .. attribute:: none
                
                	Set no flow control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hardware
                
                	Set hardware flow control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: software
                
                	Set software flow control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.none = YLeaf(YType.empty, "NONE")

                    self.hardware = YLeaf(YType.empty, "hardware")

                    self.software = YLeaf(YType.empty, "software")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.Flowcontrol, ['none', 'hardware', 'software'], name, value)


            class History(Entity):
                """
                Enable and control the command history function
                
                .. attribute:: size
                
                	Set history buffer size
                	**type**\: int
                
                	**range:** 0..255
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.History, self).__init__()

                    self.yang_name = "history"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.size = YLeaf(YType.uint8, "size")
                    self._segment_path = lambda: "history"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.History, ['size'], name, value)


            class Ip(Entity):
                """
                IP options
                
                .. attribute:: netmask_format
                
                	Change display of netmasks
                	**type**\:  :py:class:`NetmaskFormat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ip.NetmaskFormat>`
                
                	**presence node**\: True
                
                .. attribute:: tcp
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"netmask-format" : ("netmask_format", Native.Line.Console.Ip.NetmaskFormat)}
                    self._child_list_classes = {}

                    self.tcp = YLeaf(YType.empty, "tcp")

                    self.netmask_format = None
                    self._children_name_map["netmask_format"] = "netmask-format"
                    self._children_yang_names.add("netmask-format")
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.Ip, ['tcp'], name, value)


                class NetmaskFormat(Entity):
                    """
                    Change display of netmasks
                    
                    .. attribute:: format
                    
                    	
                    	**type**\:  :py:class:`Format <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ip.NetmaskFormat.Format>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.Ip.NetmaskFormat, self).__init__()

                        self.yang_name = "netmask-format"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.format = YLeaf(YType.enumeration, "format")
                        self._segment_path = lambda: "netmask-format"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Console.Ip.NetmaskFormat, ['format'], name, value)

                    class Format(Enum):
                        """
                        Format

                        .. data:: bit_count = 0

                        .. data:: decimal = 1

                        .. data:: hexadecimal = 2

                        """

                        bit_count = Enum.YLeaf(0, "bit-count")

                        decimal = Enum.YLeaf(1, "decimal")

                        hexadecimal = Enum.YLeaf(2, "hexadecimal")



            class Ipv6(Entity):
                """
                
                
                .. attribute:: access_class
                
                	
                	**type**\:  :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ipv6.AccessClass>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-class" : ("access_class", Native.Line.Console.Ipv6.AccessClass)}
                    self._child_list_classes = {}

                    self.access_class = Native.Line.Console.Ipv6.AccessClass()
                    self.access_class.parent = self
                    self._children_name_map["access_class"] = "access-class"
                    self._children_yang_names.add("access-class")
                    self._segment_path = lambda: "ipv6"


                class AccessClass(Entity):
                    """
                    
                    
                    .. attribute:: access_class
                    
                    	
                    	**type**\: list of  		 :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ipv6.AccessClass.AccessClass>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.Ipv6.AccessClass, self).__init__()

                        self.yang_name = "access-class"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"access-class" : ("access_class", Native.Line.Console.Ipv6.AccessClass.AccessClass)}

                        self.access_class = YList(self)
                        self._segment_path = lambda: "access-class"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Console.Ipv6.AccessClass, [], name, value)


                    class AccessClass(Entity):
                        """
                        
                        
                        .. attribute:: access_class_name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: enumeration_in_out
                        
                        	
                        	**type**\:  :py:class:`EnumerationInOut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Ipv6.AccessClass.AccessClass.EnumerationInOut>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Line.Console.Ipv6.AccessClass.AccessClass, self).__init__()

                            self.yang_name = "access-class"
                            self.yang_parent_name = "access-class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_class_name = YLeaf(YType.str, "access-class-name")

                            self.enumeration_in_out = YLeaf(YType.enumeration, "enumeration-in-out")
                            self._segment_path = lambda: "access-class" + "[access-class-name='" + self.access_class_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Line.Console.Ipv6.AccessClass.AccessClass, ['access_class_name', 'enumeration_in_out'], name, value)

                        class EnumerationInOut(Enum):
                            """
                            EnumerationInOut

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = Enum.YLeaf(0, "in")

                            out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Modify message logging facilities
                
                .. attribute:: synchronous
                
                	Synchronized message output
                	**type**\:  :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Logging.Synchronous>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"synchronous" : ("synchronous", Native.Line.Console.Logging.Synchronous)}
                    self._child_list_classes = {}

                    self.synchronous = None
                    self._children_name_map["synchronous"] = "synchronous"
                    self._children_yang_names.add("synchronous")
                    self._segment_path = lambda: "logging"


                class Synchronous(Entity):
                    """
                    Synchronized message output
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.Logging.Synchronous, self).__init__()

                        self.yang_name = "synchronous"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "synchronous"


            class Login(Entity):
                """
                Enable password checking
                
                .. attribute:: local
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: authentication
                
                	
                	**type**\: str
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Login, self).__init__()

                    self.yang_name = "login"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.local = YLeaf(YType.empty, "local")

                    self.authentication = YLeaf(YType.str, "authentication")
                    self._segment_path = lambda: "login"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.Login, ['local', 'authentication'], name, value)


            class MediaType(Entity):
                """
                Console connection media type
                
                .. attribute:: rj45
                
                	Console connection set to RJ45
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.MediaType, self).__init__()

                    self.yang_name = "media-type"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.rj45 = YLeaf(YType.empty, "rj45")
                    self._segment_path = lambda: "media-type"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.MediaType, ['rj45'], name, value)


            class Modem(Entity):
                """
                Configure the Modem Control Lines
                
                .. attribute:: cts_alarm
                
                	Alarm device which only uses CTS for call control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_active
                
                	Leave DTR low unless line has an active incoming connection or EXEC
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dialin
                
                	Configure line for a modern dial\-in modem
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host
                
                	Devices that expect an incoming modem call
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inout
                
                	Configure line for incoming AND outgoing use of modem
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: printer
                
                	Devices that require DSR/CD active
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: answer_timeout
                
                	Set interval between raising DTR and CTS response
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_delay
                
                	Set interval during which DTR is held low
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Modem, self).__init__()

                    self.yang_name = "modem"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.cts_alarm = YLeaf(YType.empty, "CTS-Alarm")

                    self.dtr_active = YLeaf(YType.empty, "DTR-active")

                    self.dialin = YLeaf(YType.empty, "Dialin")

                    self.host = YLeaf(YType.empty, "Host")

                    self.inout = YLeaf(YType.empty, "InOut")

                    self.printer = YLeaf(YType.empty, "Printer")

                    self.answer_timeout = YLeaf(YType.empty, "answer-timeout")

                    self.dtr_delay = YLeaf(YType.empty, "dtr-delay")
                    self._segment_path = lambda: "modem"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.Modem, ['cts_alarm', 'dtr_active', 'dialin', 'host', 'inout', 'printer', 'answer_timeout', 'dtr_delay'], name, value)


            class Padding(Entity):
                """
                Set padding for a specified output character
                
                .. attribute:: character
                
                	Character to be padded
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..127
                
                		**type**\: str
                
                .. attribute:: null
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Padding, self).__init__()

                    self.yang_name = "padding"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.character = YLeaf(YType.str, "character")

                    self.null = YLeaf(YType.uint8, "null")
                    self._segment_path = lambda: "padding"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.Padding, ['character', 'null'], name, value)


            class Parity(Entity):
                """
                Set terminal parity
                
                .. attribute:: even
                
                	Even parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mark
                
                	Mark parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	No parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: odd
                
                	Odd parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: space
                
                	Space parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Parity, self).__init__()

                    self.yang_name = "parity"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.even = YLeaf(YType.empty, "even")

                    self.mark = YLeaf(YType.empty, "mark")

                    self.none = YLeaf(YType.empty, "none")

                    self.odd = YLeaf(YType.empty, "odd")

                    self.space = YLeaf(YType.empty, "space")
                    self._segment_path = lambda: "parity"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.Parity, ['even', 'mark', 'none', 'odd', 'space'], name, value)


            class Password(Entity):
                """
                Set a password
                
                .. attribute:: level
                
                	Set exec level password
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: type
                
                	
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Password.Type>`
                
                .. attribute:: secret
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Password, self).__init__()

                    self.yang_name = "password"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.level = YLeaf(YType.uint8, "level")

                    self.type = YLeaf(YType.enumeration, "type")

                    self.secret = YLeaf(YType.str, "secret")
                    self._segment_path = lambda: "password"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.Password, ['level', 'type', 'secret'], name, value)

                class Type(Enum):
                    """
                    Type

                    .. data:: Y_0 = 0

                    .. data:: Y_7 = 1

                    """

                    Y_0 = Enum.YLeaf(0, "0")

                    Y_7 = Enum.YLeaf(1, "7")



            class Prc(Entity):
                """
                PRC commands
                
                .. attribute:: expose
                
                	Expose PRC data
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hide
                
                	Hide PRC data
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Prc, self).__init__()

                    self.yang_name = "prc"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.expose = YLeaf(YType.empty, "expose")

                    self.hide = YLeaf(YType.empty, "hide")
                    self._segment_path = lambda: "prc"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.Prc, ['expose', 'hide'], name, value)


            class Privilege(Entity):
                """
                Change privilege level for line
                
                .. attribute:: level
                
                	Assign default privilege level for line
                	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Privilege.Level>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Privilege, self).__init__()

                    self.yang_name = "privilege"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"level" : ("level", Native.Line.Console.Privilege.Level)}
                    self._child_list_classes = {}

                    self.level = None
                    self._children_name_map["level"] = "level"
                    self._children_yang_names.add("level")
                    self._segment_path = lambda: "privilege"


                class Level(Entity):
                    """
                    Assign default privilege level for line
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..15
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.Privilege.Level, self).__init__()

                        self.yang_name = "level"
                        self.yang_parent_name = "privilege"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.number = YLeaf(YType.uint8, "number")
                        self._segment_path = lambda: "level"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Console.Privilege.Level, ['number'], name, value)


            class SessionTimeout(Entity):
                """
                Set interval for closing connection when there is no input traffic
                
                .. attribute:: session_timeout_value
                
                	
                	**type**\: int
                
                	**range:** 0..35791
                
                .. attribute:: output
                
                	Include output traffic as well as input traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.SessionTimeout, self).__init__()

                    self.yang_name = "session-timeout"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.session_timeout_value = YLeaf(YType.uint16, "session-timeout-value")

                    self.output = YLeaf(YType.empty, "output")
                    self._segment_path = lambda: "session-timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.SessionTimeout, ['session_timeout_value', 'output'], name, value)


            class Timeout(Entity):
                """
                Timeouts for the line
                
                .. attribute:: login
                
                	Timeouts related to the login sequence
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Timeout, self).__init__()

                    self.yang_name = "timeout"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.login = YLeaf(YType.empty, "login")
                    self._segment_path = lambda: "timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.Timeout, ['login'], name, value)


            class Telnet(Entity):
                """
                Telnet protocol\-specific configuration
                
                .. attribute:: transparent
                
                	Send a CR as a CR followed by a NULL instead of a CR followed by a LF
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Telnet, self).__init__()

                    self.yang_name = "telnet"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.transparent = YLeaf(YType.empty, "transparent")
                    self._segment_path = lambda: "telnet"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.Telnet, ['transparent'], name, value)


            class Transport(Entity):
                """
                Define transport protocols for line
                
                .. attribute:: input
                
                	
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport.Input>`
                
                .. attribute:: output
                
                	
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport.Output>`
                
                .. attribute:: preferred
                
                	Specify the preferred protocol to use
                	**type**\:  :py:class:`Preferred <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport.Preferred>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.Transport, self).__init__()

                    self.yang_name = "transport"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"input" : ("input", Native.Line.Console.Transport.Input), "output" : ("output", Native.Line.Console.Transport.Output), "preferred" : ("preferred", Native.Line.Console.Transport.Preferred)}
                    self._child_list_classes = {}

                    self.input = Native.Line.Console.Transport.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.Line.Console.Transport.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")

                    self.preferred = None
                    self._children_name_map["preferred"] = "preferred"
                    self._children_yang_names.add("preferred")
                    self._segment_path = lambda: "transport"


                class Input(Entity):
                    """
                    
                    
                    .. attribute:: input
                    
                    	Define which protocols to use when connecting to the terminal server
                    	**type**\: list of   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport.Input.Input>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.Transport.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "transport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.input = YLeafList(YType.enumeration, "input")
                        self._segment_path = lambda: "input"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Console.Transport.Input, ['input'], name, value)

                    class Input(Enum):
                        """
                        Input

                        Define which protocols to use when connecting to the terminal server

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = Enum.YLeaf(0, "acercon")

                        all = Enum.YLeaf(1, "all")

                        lapb_ta = Enum.YLeaf(2, "lapb-ta")

                        lat = Enum.YLeaf(3, "lat")

                        mop = Enum.YLeaf(4, "mop")

                        nasi = Enum.YLeaf(5, "nasi")

                        none = Enum.YLeaf(6, "none")

                        pad = Enum.YLeaf(7, "pad")

                        rlogin = Enum.YLeaf(8, "rlogin")

                        ssh = Enum.YLeaf(9, "ssh")

                        telnet = Enum.YLeaf(10, "telnet")

                        udptn = Enum.YLeaf(11, "udptn")

                        v120 = Enum.YLeaf(12, "v120")



                class Output(Entity):
                    """
                    
                    
                    .. attribute:: output
                    
                    	Define which protocols to use for outgoing connections
                    	**type**\: list of   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport.Output.Output>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.Transport.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "transport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.output = YLeafList(YType.enumeration, "output")
                        self._segment_path = lambda: "output"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Console.Transport.Output, ['output'], name, value)

                    class Output(Enum):
                        """
                        Output

                        Define which protocols to use for outgoing connections

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = Enum.YLeaf(0, "acercon")

                        all = Enum.YLeaf(1, "all")

                        lapb_ta = Enum.YLeaf(2, "lapb-ta")

                        lat = Enum.YLeaf(3, "lat")

                        mop = Enum.YLeaf(4, "mop")

                        nasi = Enum.YLeaf(5, "nasi")

                        none = Enum.YLeaf(6, "none")

                        pad = Enum.YLeaf(7, "pad")

                        rlogin = Enum.YLeaf(8, "rlogin")

                        ssh = Enum.YLeaf(9, "ssh")

                        telnet = Enum.YLeaf(10, "telnet")

                        udptn = Enum.YLeaf(11, "udptn")

                        v120 = Enum.YLeaf(12, "v120")



                class Preferred(Entity):
                    """
                    Specify the preferred protocol to use
                    
                    .. attribute:: protocol
                    
                    	
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Console.Transport.Preferred.Protocol>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Console.Transport.Preferred, self).__init__()

                        self.yang_name = "preferred"
                        self.yang_parent_name = "transport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.protocol = YLeaf(YType.enumeration, "protocol")
                        self._segment_path = lambda: "preferred"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Console.Transport.Preferred, ['protocol'], name, value)

                    class Protocol(Enum):
                        """
                        Protocol

                        .. data:: acercon = 0

                        .. data:: lat = 1

                        .. data:: mop = 2

                        .. data:: nasi = 3

                        .. data:: none = 4

                        .. data:: pad = 5

                        .. data:: rlogin = 6

                        .. data:: ssh = 7

                        .. data:: telnet = 8

                        .. data:: udptn = 9

                        """

                        acercon = Enum.YLeaf(0, "acercon")

                        lat = Enum.YLeaf(1, "lat")

                        mop = Enum.YLeaf(2, "mop")

                        nasi = Enum.YLeaf(3, "nasi")

                        none = Enum.YLeaf(4, "none")

                        pad = Enum.YLeaf(5, "pad")

                        rlogin = Enum.YLeaf(6, "rlogin")

                        ssh = Enum.YLeaf(7, "ssh")

                        telnet = Enum.YLeaf(8, "telnet")

                        udptn = Enum.YLeaf(9, "udptn")



            class UsbInactivityTimeout(Entity):
                """
                Inactivity timeout for USB media type
                
                .. attribute:: switch
                
                	Switch Number
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Console.UsbInactivityTimeout, self).__init__()

                    self.yang_name = "usb-inactivity-timeout"
                    self.yang_parent_name = "console"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switch = YLeaf(YType.empty, "switch")
                    self._segment_path = lambda: "usb-inactivity-timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Console.UsbInactivityTimeout, ['switch'], name, value)


        class Vty(Entity):
            """
            Virtual terminal
            
            .. attribute:: first  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..1869
            
            .. attribute:: last
            
            	
            	**type**\: int
            
            	**range:** 1..1869
            
            .. attribute:: authorization
            
            	Authorization parameters
            	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Authorization>`
            
            .. attribute:: access_class
            
            	Filter connections based on an IP access list
            	**type**\:  :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AccessClass>`
            
            .. attribute:: no_activation_character
            
            	
            	**type**\: bool
            
            .. attribute:: activation_character
            
            	Define the activation character
            	**type**\: union of the below types:
            
            		**type**\: str
            
            		**type**\: int
            
            			**range:** 0..127
            
            .. attribute:: autocommand
            
            	Automatically execute an EXEC command
            	**type**\:  :py:class:`Autocommand <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Autocommand>`
            
            .. attribute:: autocommand_options
            
            	Autocommand options
            	**type**\:  :py:class:`AutocommandOptions <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AutocommandOptions>`
            
            	**presence node**\: True
            
            .. attribute:: data_character_bits
            
            	Bits per character
            	**type**\: int
            
            	**range:** 7..8
            
            .. attribute:: databits
            
            	Set number of data bits per character
            	**type**\:  :py:class:`Databits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Databits>`
            
            .. attribute:: domain_lookup
            
            	Enable domain lookups in show commands
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: editing
            
            	Enable command line editing
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: escape_character
            
            	Change the current line's escape character
            	**type**\:  :py:class:`EscapeCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.EscapeCharacter>`
            
            .. attribute:: no_exec
            
            	
            	**type**\:  :py:class:`NoExec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.NoExec>`
            
            .. attribute:: exec_
            
            	
            	**type**\:  :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Exec_>`
            
            .. attribute:: exec_banner
            
            	Enable the display of the EXEC banner
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: exec_character_bits
            
            	Bits per character
            	**type**\: int
            
            	**range:** 7..8
            
            .. attribute:: exec_timeout
            
            	Set the EXEC timeout
            	**type**\:  :py:class:`ExecTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.ExecTimeout>`
            
            .. attribute:: flowcontrol
            
            	Set the flow control
            	**type**\:  :py:class:`Flowcontrol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Flowcontrol>`
            
            .. attribute:: full_help
            
            	Provide help to unprivileged user
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: history
            
            	Enable and control the command history function
            	**type**\:  :py:class:`History <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.History>`
            
            	**presence node**\: True
            
            .. attribute:: international
            
            	Enable international 8\-bit character support
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: ip
            
            	IP options
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ip>`
            
            .. attribute:: ipv6
            
            	
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ipv6>`
            
            .. attribute:: length
            
            	Set number of lines on a screen
            	**type**\: int
            
            	**range:** 0..512
            
            .. attribute:: line
            
            	
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: location
            
            	One text line describing the terminal's location
            	**type**\: str
            
            .. attribute:: logging
            
            	Modify message logging facilities
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Logging>`
            
            .. attribute:: login
            
            	Enable password checking
            	**type**\:  :py:class:`Login <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Login>`
            
            	**presence node**\: True
            
            .. attribute:: media_type
            
            	Console connection media type
            	**type**\:  :py:class:`MediaType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.MediaType>`
            
            .. attribute:: modem
            
            	Configure the Modem Control Lines
            	**type**\:  :py:class:`Modem <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Modem>`
            
            .. attribute:: monitor
            
            	Copy debug output to the current terminal line
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: motd_banner
            
            	Enable the display of the MOTD banner
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: notify
            
            	Inform users of output from concurrent sessions
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: padding
            
            	Set padding for a specified output character
            	**type**\:  :py:class:`Padding <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Padding>`
            
            .. attribute:: parity
            
            	Set terminal parity
            	**type**\:  :py:class:`Parity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Parity>`
            
            .. attribute:: password
            
            	Set a password
            	**type**\:  :py:class:`Password <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Password>`
            
            .. attribute:: prc
            
            	PRC commands
            	**type**\:  :py:class:`Prc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Prc>`
            
            .. attribute:: privilege
            
            	Change privilege level for line
            	**type**\:  :py:class:`Privilege <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Privilege>`
            
            .. attribute:: rotary
            
            	Rotary group to add line to
            	**type**\: int
            
            	**range:** 1..99
            
            .. attribute:: rxspeed
            
            	Receive speed
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: session_timeout
            
            	Set interval for closing connection when there is no input traffic
            	**type**\:  :py:class:`SessionTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.SessionTimeout>`
            
            .. attribute:: special_character_bits
            
            	Bits per character
            	**type**\: int
            
            	**range:** 7..8
            
            .. attribute:: speed
            
            	Transmit and receive speeds
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: start_character
            
            	Define the start character
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..255
            
            		**type**\: str
            
            .. attribute:: stop_character
            
            	Define the stop character
            	**type**\: union of the below types:
            
            		**type**\: int
            
            			**range:** 0..255
            
            		**type**\: str
            
            .. attribute:: stopbits
            
            	Set async line stop bits
            	**type**\:  :py:class:`Stopbits <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Stopbits>`
            
            .. attribute:: terminal_type
            
            	Terminal type
            	**type**\: str
            
            .. attribute:: timeout
            
            	Timeouts for the line
            	**type**\:  :py:class:`Timeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Timeout>`
            
            .. attribute:: telnet
            
            	Telnet protocol\-specific configuration
            	**type**\:  :py:class:`Telnet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Telnet>`
            
            .. attribute:: transport
            
            	Define transport protocols for line
            	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport>`
            
            .. attribute:: txspeed
            
            	Transmit speed
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: usb_inactivity_timeout
            
            	Inactivity timeout for USB media type
            	**type**\:  :py:class:`UsbInactivityTimeout <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.UsbInactivityTimeout>`
            
            .. attribute:: width
            
            	Number of characters on a screen line
            	**type**\: int
            
            	**range:** 0..512
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Line.Vty, self).__init__()

                self.yang_name = "vty"
                self.yang_parent_name = "line"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"authorization" : ("authorization", Native.Line.Vty.Authorization), "access-class" : ("access_class", Native.Line.Vty.AccessClass), "autocommand" : ("autocommand", Native.Line.Vty.Autocommand), "autocommand-options" : ("autocommand_options", Native.Line.Vty.AutocommandOptions), "databits" : ("databits", Native.Line.Vty.Databits), "escape-character" : ("escape_character", Native.Line.Vty.EscapeCharacter), "no-exec" : ("no_exec", Native.Line.Vty.NoExec), "exec" : ("exec_", Native.Line.Vty.Exec_), "exec-timeout" : ("exec_timeout", Native.Line.Vty.ExecTimeout), "flowcontrol" : ("flowcontrol", Native.Line.Vty.Flowcontrol), "history" : ("history", Native.Line.Vty.History), "ip" : ("ip", Native.Line.Vty.Ip), "ipv6" : ("ipv6", Native.Line.Vty.Ipv6), "logging" : ("logging", Native.Line.Vty.Logging), "login" : ("login", Native.Line.Vty.Login), "media-type" : ("media_type", Native.Line.Vty.MediaType), "modem" : ("modem", Native.Line.Vty.Modem), "padding" : ("padding", Native.Line.Vty.Padding), "parity" : ("parity", Native.Line.Vty.Parity), "password" : ("password", Native.Line.Vty.Password), "prc" : ("prc", Native.Line.Vty.Prc), "privilege" : ("privilege", Native.Line.Vty.Privilege), "session-timeout" : ("session_timeout", Native.Line.Vty.SessionTimeout), "timeout" : ("timeout", Native.Line.Vty.Timeout), "telnet" : ("telnet", Native.Line.Vty.Telnet), "transport" : ("transport", Native.Line.Vty.Transport), "usb-inactivity-timeout" : ("usb_inactivity_timeout", Native.Line.Vty.UsbInactivityTimeout)}
                self._child_list_classes = {}

                self.first = YLeaf(YType.uint16, "first")

                self.last = YLeaf(YType.uint16, "last")

                self.no_activation_character = YLeaf(YType.boolean, "no-activation-character")

                self.activation_character = YLeaf(YType.str, "activation-character")

                self.data_character_bits = YLeaf(YType.uint8, "data-character-bits")

                self.domain_lookup = YLeaf(YType.empty, "domain-lookup")

                self.editing = YLeaf(YType.empty, "editing")

                self.exec_banner = YLeaf(YType.empty, "exec-banner")

                self.exec_character_bits = YLeaf(YType.uint8, "exec-character-bits")

                self.full_help = YLeaf(YType.empty, "full-help")

                self.international = YLeaf(YType.empty, "international")

                self.length = YLeaf(YType.uint16, "length")

                self.line = YLeaf(YType.uint8, "line")

                self.location = YLeaf(YType.str, "location")

                self.monitor = YLeaf(YType.empty, "monitor")

                self.motd_banner = YLeaf(YType.empty, "motd-banner")

                self.notify = YLeaf(YType.empty, "notify")

                self.rotary = YLeaf(YType.uint8, "rotary")

                self.rxspeed = YLeaf(YType.uint32, "rxspeed")

                self.special_character_bits = YLeaf(YType.uint8, "special-character-bits")

                self.speed = YLeaf(YType.uint32, "speed")

                self.start_character = YLeaf(YType.str, "start-character")

                self.stop_character = YLeaf(YType.str, "stop-character")

                self.stopbits = YLeaf(YType.enumeration, "stopbits")

                self.terminal_type = YLeaf(YType.str, "terminal-type")

                self.txspeed = YLeaf(YType.uint32, "txspeed")

                self.width = YLeaf(YType.uint16, "width")

                self.authorization = Native.Line.Vty.Authorization()
                self.authorization.parent = self
                self._children_name_map["authorization"] = "authorization"
                self._children_yang_names.add("authorization")

                self.access_class = Native.Line.Vty.AccessClass()
                self.access_class.parent = self
                self._children_name_map["access_class"] = "access-class"
                self._children_yang_names.add("access-class")

                self.autocommand = Native.Line.Vty.Autocommand()
                self.autocommand.parent = self
                self._children_name_map["autocommand"] = "autocommand"
                self._children_yang_names.add("autocommand")

                self.autocommand_options = None
                self._children_name_map["autocommand_options"] = "autocommand-options"
                self._children_yang_names.add("autocommand-options")

                self.databits = Native.Line.Vty.Databits()
                self.databits.parent = self
                self._children_name_map["databits"] = "databits"
                self._children_yang_names.add("databits")

                self.escape_character = Native.Line.Vty.EscapeCharacter()
                self.escape_character.parent = self
                self._children_name_map["escape_character"] = "escape-character"
                self._children_yang_names.add("escape-character")

                self.no_exec = Native.Line.Vty.NoExec()
                self.no_exec.parent = self
                self._children_name_map["no_exec"] = "no-exec"
                self._children_yang_names.add("no-exec")

                self.exec_ = Native.Line.Vty.Exec_()
                self.exec_.parent = self
                self._children_name_map["exec_"] = "exec"
                self._children_yang_names.add("exec")

                self.exec_timeout = Native.Line.Vty.ExecTimeout()
                self.exec_timeout.parent = self
                self._children_name_map["exec_timeout"] = "exec-timeout"
                self._children_yang_names.add("exec-timeout")

                self.flowcontrol = Native.Line.Vty.Flowcontrol()
                self.flowcontrol.parent = self
                self._children_name_map["flowcontrol"] = "flowcontrol"
                self._children_yang_names.add("flowcontrol")

                self.history = None
                self._children_name_map["history"] = "history"
                self._children_yang_names.add("history")

                self.ip = Native.Line.Vty.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")

                self.ipv6 = Native.Line.Vty.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.logging = Native.Line.Vty.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")

                self.login = None
                self._children_name_map["login"] = "login"
                self._children_yang_names.add("login")

                self.media_type = Native.Line.Vty.MediaType()
                self.media_type.parent = self
                self._children_name_map["media_type"] = "media-type"
                self._children_yang_names.add("media-type")

                self.modem = Native.Line.Vty.Modem()
                self.modem.parent = self
                self._children_name_map["modem"] = "modem"
                self._children_yang_names.add("modem")

                self.padding = Native.Line.Vty.Padding()
                self.padding.parent = self
                self._children_name_map["padding"] = "padding"
                self._children_yang_names.add("padding")

                self.parity = Native.Line.Vty.Parity()
                self.parity.parent = self
                self._children_name_map["parity"] = "parity"
                self._children_yang_names.add("parity")

                self.password = Native.Line.Vty.Password()
                self.password.parent = self
                self._children_name_map["password"] = "password"
                self._children_yang_names.add("password")

                self.prc = Native.Line.Vty.Prc()
                self.prc.parent = self
                self._children_name_map["prc"] = "prc"
                self._children_yang_names.add("prc")

                self.privilege = Native.Line.Vty.Privilege()
                self.privilege.parent = self
                self._children_name_map["privilege"] = "privilege"
                self._children_yang_names.add("privilege")

                self.session_timeout = Native.Line.Vty.SessionTimeout()
                self.session_timeout.parent = self
                self._children_name_map["session_timeout"] = "session-timeout"
                self._children_yang_names.add("session-timeout")

                self.timeout = Native.Line.Vty.Timeout()
                self.timeout.parent = self
                self._children_name_map["timeout"] = "timeout"
                self._children_yang_names.add("timeout")

                self.telnet = Native.Line.Vty.Telnet()
                self.telnet.parent = self
                self._children_name_map["telnet"] = "telnet"
                self._children_yang_names.add("telnet")

                self.transport = Native.Line.Vty.Transport()
                self.transport.parent = self
                self._children_name_map["transport"] = "transport"
                self._children_yang_names.add("transport")

                self.usb_inactivity_timeout = Native.Line.Vty.UsbInactivityTimeout()
                self.usb_inactivity_timeout.parent = self
                self._children_name_map["usb_inactivity_timeout"] = "usb-inactivity-timeout"
                self._children_yang_names.add("usb-inactivity-timeout")
                self._segment_path = lambda: "vty" + "[first='" + self.first.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/line/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Line.Vty, ['first', 'last', 'no_activation_character', 'activation_character', 'data_character_bits', 'domain_lookup', 'editing', 'exec_banner', 'exec_character_bits', 'full_help', 'international', 'length', 'line', 'location', 'monitor', 'motd_banner', 'notify', 'rotary', 'rxspeed', 'special_character_bits', 'speed', 'start_character', 'stop_character', 'stopbits', 'terminal_type', 'txspeed', 'width'], name, value)

            class Stopbits(Enum):
                """
                Stopbits

                Set async line stop bits

                .. data:: Y_1 = 0

                .. data:: Y_1__DOT__5 = 1

                .. data:: Y_2 = 2

                """

                Y_1 = Enum.YLeaf(0, "1")

                Y_1__DOT__5 = Enum.YLeaf(1, "1.5")

                Y_2 = Enum.YLeaf(2, "2")



            class Authorization(Entity):
                """
                Authorization parameters
                
                .. attribute:: command
                
                	For exec (shell) commands
                	**type**\:  :py:class:`Command <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Authorization.Command>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Authorization, self).__init__()

                    self.yang_name = "authorization"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"command" : ("command", Native.Line.Vty.Authorization.Command)}
                    self._child_list_classes = {}

                    self.command = Native.Line.Vty.Authorization.Command()
                    self.command.parent = self
                    self._children_name_map["command"] = "command"
                    self._children_yang_names.add("command")
                    self._segment_path = lambda: "authorization"


                class Command(Entity):
                    """
                    For exec (shell) commands
                    
                    .. attribute:: enable_level
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..15
                    
                    .. attribute:: auth_name
                    
                    	
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.Authorization.Command, self).__init__()

                        self.yang_name = "command"
                        self.yang_parent_name = "authorization"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable_level = YLeaf(YType.uint8, "enable-level")

                        self.auth_name = YLeaf(YType.str, "auth-name")
                        self._segment_path = lambda: "command"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Vty.Authorization.Command, ['enable_level', 'auth_name'], name, value)


            class AccessClass(Entity):
                """
                Filter connections based on an IP access list
                
                .. attribute:: acccess_list
                
                	
                	**type**\: list of  		 :py:class:`AcccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AccessClass.AcccessList>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.AccessClass, self).__init__()

                    self.yang_name = "access-class"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"acccess-list" : ("acccess_list", Native.Line.Vty.AccessClass.AcccessList)}

                    self.acccess_list = YList(self)
                    self._segment_path = lambda: "access-class"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.AccessClass, [], name, value)


                class AcccessList(Entity):
                    """
                    
                    
                    .. attribute:: direction  <key>
                    
                    	
                    	**type**\:  :py:class:`Direction <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AccessClass.AcccessList.Direction>`
                    
                    .. attribute:: access_list
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..199 \| 1300..2699
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    	**mandatory**\: True
                    
                    .. attribute:: vrf_also
                    
                    	Same access list is applied for all VRFs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.AccessClass.AcccessList, self).__init__()

                        self.yang_name = "acccess-list"
                        self.yang_parent_name = "access-class"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.direction = YLeaf(YType.enumeration, "direction")

                        self.access_list = YLeaf(YType.str, "access-list")

                        self.vrf_also = YLeaf(YType.empty, "vrf-also")
                        self._segment_path = lambda: "acccess-list" + "[direction='" + self.direction.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Vty.AccessClass.AcccessList, ['direction', 'access_list', 'vrf_also'], name, value)

                    class Direction(Enum):
                        """
                        Direction

                        .. data:: in_ = 0

                        .. data:: out = 1

                        """

                        in_ = Enum.YLeaf(0, "in")

                        out = Enum.YLeaf(1, "out")



            class Autocommand(Entity):
                """
                Automatically execute an EXEC command
                
                .. attribute:: line
                
                	Appropriate EXEC command
                	**type**\: str
                
                .. attribute:: no_suppress_linenumber
                
                	Display service linenumber message
                	**type**\:  :py:class:`NoSuppressLinenumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Autocommand.NoSuppressLinenumber>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Autocommand, self).__init__()

                    self.yang_name = "autocommand"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"no-suppress-linenumber" : ("no_suppress_linenumber", Native.Line.Vty.Autocommand.NoSuppressLinenumber)}
                    self._child_list_classes = {}

                    self.line = YLeaf(YType.str, "line")

                    self.no_suppress_linenumber = None
                    self._children_name_map["no_suppress_linenumber"] = "no-suppress-linenumber"
                    self._children_yang_names.add("no-suppress-linenumber")
                    self._segment_path = lambda: "autocommand"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.Autocommand, ['line'], name, value)


                class NoSuppressLinenumber(Entity):
                    """
                    Display service linenumber message
                    
                    .. attribute:: line
                    
                    	Appropriate EXEC command
                    	**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.Autocommand.NoSuppressLinenumber, self).__init__()

                        self.yang_name = "no-suppress-linenumber"
                        self.yang_parent_name = "autocommand"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.line = YLeaf(YType.str, "line")
                        self._segment_path = lambda: "no-suppress-linenumber"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Vty.Autocommand.NoSuppressLinenumber, ['line'], name, value)


            class AutocommandOptions(Entity):
                """
                Autocommand options
                
                .. attribute:: abort_character
                
                	Autocommand abort character
                	**type**\:  :py:class:`AbortCharacter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AutocommandOptions.AbortCharacter>`
                
                	**presence node**\: True
                
                .. attribute:: delay
                
                	Delay autocommand execution
                	**type**\:  :py:class:`Delay <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AutocommandOptions.Delay>`
                
                	**presence node**\: True
                
                .. attribute:: nohangup
                
                	No hangup after autocommand completion
                	**type**\:  :py:class:`Nohangup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.AutocommandOptions.Nohangup>`
                
                	**presence node**\: True
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.AutocommandOptions, self).__init__()

                    self.yang_name = "autocommand-options"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"abort-character" : ("abort_character", Native.Line.Vty.AutocommandOptions.AbortCharacter), "delay" : ("delay", Native.Line.Vty.AutocommandOptions.Delay), "nohangup" : ("nohangup", Native.Line.Vty.AutocommandOptions.Nohangup)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.abort_character = None
                    self._children_name_map["abort_character"] = "abort-character"
                    self._children_yang_names.add("abort-character")

                    self.delay = None
                    self._children_name_map["delay"] = "delay"
                    self._children_yang_names.add("delay")

                    self.nohangup = None
                    self._children_name_map["nohangup"] = "nohangup"
                    self._children_yang_names.add("nohangup")
                    self._segment_path = lambda: "autocommand-options"


                class AbortCharacter(Entity):
                    """
                    Autocommand abort character
                    
                    .. attribute:: character
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 0..255
                    
                    		**type**\: str
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.AutocommandOptions.AbortCharacter, self).__init__()

                        self.yang_name = "abort-character"
                        self.yang_parent_name = "autocommand-options"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.character = YLeaf(YType.str, "character")
                        self._segment_path = lambda: "abort-character"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Vty.AutocommandOptions.AbortCharacter, ['character'], name, value)


                class Delay(Entity):
                    """
                    Delay autocommand execution
                    
                    .. attribute:: time
                    
                    	Time in seconds
                    	**type**\: int
                    
                    	**range:** 0..120
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.AutocommandOptions.Delay, self).__init__()

                        self.yang_name = "delay"
                        self.yang_parent_name = "autocommand-options"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.time = YLeaf(YType.uint8, "time")
                        self._segment_path = lambda: "delay"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Vty.AutocommandOptions.Delay, ['time'], name, value)


                class Nohangup(Entity):
                    """
                    No hangup after autocommand completion
                    
                    .. attribute:: abort_character
                    
                    	Autocommand abort character
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: delay
                    
                    	Delay autocommand execution
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.AutocommandOptions.Nohangup, self).__init__()

                        self.yang_name = "nohangup"
                        self.yang_parent_name = "autocommand-options"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.abort_character = YLeaf(YType.empty, "abort-character")

                        self.delay = YLeaf(YType.empty, "delay")
                        self._segment_path = lambda: "nohangup"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Vty.AutocommandOptions.Nohangup, ['abort_character', 'delay'], name, value)


            class Databits(Entity):
                """
                Set number of data bits per character
                
                .. attribute:: set_to_5
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_6
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_7
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: set_to_8
                
                	Number of data bits
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Databits, self).__init__()

                    self.yang_name = "databits"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.set_to_5 = YLeaf(YType.empty, "set-to-5")

                    self.set_to_6 = YLeaf(YType.empty, "set-to-6")

                    self.set_to_7 = YLeaf(YType.empty, "set-to-7")

                    self.set_to_8 = YLeaf(YType.empty, "set-to-8")
                    self._segment_path = lambda: "databits"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.Databits, ['set_to_5', 'set_to_6', 'set_to_7', 'set_to_8'], name, value)


            class EscapeCharacter(Entity):
                """
                Change the current line's escape character
                
                .. attribute:: char
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..255
                
                		**type**\:  :py:class:`Char <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.EscapeCharacter.Char>`
                
                		**type**\: str
                
                .. attribute:: soft
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.EscapeCharacter, self).__init__()

                    self.yang_name = "escape-character"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.char = YLeaf(YType.str, "char")

                    self.soft = YLeaf(YType.empty, "soft")
                    self._segment_path = lambda: "escape-character"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.EscapeCharacter, ['char', 'soft'], name, value)

                class Char(Enum):
                    """
                    Char

                    .. data:: BREAK = 0

                    .. data:: DEFAULT = 1

                    .. data:: NONE = 2

                    """

                    BREAK = Enum.YLeaf(0, "BREAK")

                    DEFAULT = Enum.YLeaf(1, "DEFAULT")

                    NONE = Enum.YLeaf(2, "NONE")



            class NoExec(Entity):
                """
                
                
                .. attribute:: exec_
                
                	Configure EXEC
                	**type**\: bool
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.NoExec, self).__init__()

                    self.yang_name = "no-exec"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.exec_ = YLeaf(YType.boolean, "exec")
                    self._segment_path = lambda: "no-exec"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.NoExec, ['exec_'], name, value)


            class Exec_(Entity):
                """
                
                
                .. attribute:: prompt
                
                	
                	**type**\:  :py:class:`Prompt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Exec_.Prompt>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Exec_, self).__init__()

                    self.yang_name = "exec"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"prompt" : ("prompt", Native.Line.Vty.Exec_.Prompt)}
                    self._child_list_classes = {}

                    self.prompt = Native.Line.Vty.Exec_.Prompt()
                    self.prompt.parent = self
                    self._children_name_map["prompt"] = "prompt"
                    self._children_yang_names.add("prompt")
                    self._segment_path = lambda: "exec"


                class Prompt(Entity):
                    """
                    
                    
                    .. attribute:: timestamp
                    
                    	
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.Exec_.Prompt, self).__init__()

                        self.yang_name = "prompt"
                        self.yang_parent_name = "exec"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.timestamp = YLeaf(YType.empty, "timestamp")
                        self._segment_path = lambda: "prompt"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Vty.Exec_.Prompt, ['timestamp'], name, value)


            class ExecTimeout(Entity):
                """
                Set the EXEC timeout
                
                .. attribute:: minutes
                
                	<0\-35791>;;Timeout in minutes
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: seconds
                
                	<0\-2147483>;;Timeout in seconds
                	**type**\: int
                
                	**range:** 0..4294967295
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.ExecTimeout, self).__init__()

                    self.yang_name = "exec-timeout"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.minutes = YLeaf(YType.uint32, "minutes")

                    self.seconds = YLeaf(YType.uint32, "seconds")
                    self._segment_path = lambda: "exec-timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.ExecTimeout, ['minutes', 'seconds'], name, value)


            class Flowcontrol(Entity):
                """
                Set the flow control
                
                .. attribute:: none
                
                	Set no flow control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hardware
                
                	Set hardware flow control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: software
                
                	Set software flow control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Flowcontrol, self).__init__()

                    self.yang_name = "flowcontrol"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.none = YLeaf(YType.empty, "NONE")

                    self.hardware = YLeaf(YType.empty, "hardware")

                    self.software = YLeaf(YType.empty, "software")
                    self._segment_path = lambda: "flowcontrol"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.Flowcontrol, ['none', 'hardware', 'software'], name, value)


            class History(Entity):
                """
                Enable and control the command history function
                
                .. attribute:: size
                
                	Set history buffer size
                	**type**\: int
                
                	**range:** 0..255
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.History, self).__init__()

                    self.yang_name = "history"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.size = YLeaf(YType.uint8, "size")
                    self._segment_path = lambda: "history"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.History, ['size'], name, value)


            class Ip(Entity):
                """
                IP options
                
                .. attribute:: netmask_format
                
                	Change display of netmasks
                	**type**\:  :py:class:`NetmaskFormat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ip.NetmaskFormat>`
                
                	**presence node**\: True
                
                .. attribute:: tcp
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"netmask-format" : ("netmask_format", Native.Line.Vty.Ip.NetmaskFormat)}
                    self._child_list_classes = {}

                    self.tcp = YLeaf(YType.empty, "tcp")

                    self.netmask_format = None
                    self._children_name_map["netmask_format"] = "netmask-format"
                    self._children_yang_names.add("netmask-format")
                    self._segment_path = lambda: "ip"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.Ip, ['tcp'], name, value)


                class NetmaskFormat(Entity):
                    """
                    Change display of netmasks
                    
                    .. attribute:: format
                    
                    	
                    	**type**\:  :py:class:`Format <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ip.NetmaskFormat.Format>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.Ip.NetmaskFormat, self).__init__()

                        self.yang_name = "netmask-format"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.format = YLeaf(YType.enumeration, "format")
                        self._segment_path = lambda: "netmask-format"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Vty.Ip.NetmaskFormat, ['format'], name, value)

                    class Format(Enum):
                        """
                        Format

                        .. data:: bit_count = 0

                        .. data:: decimal = 1

                        .. data:: hexadecimal = 2

                        """

                        bit_count = Enum.YLeaf(0, "bit-count")

                        decimal = Enum.YLeaf(1, "decimal")

                        hexadecimal = Enum.YLeaf(2, "hexadecimal")



            class Ipv6(Entity):
                """
                
                
                .. attribute:: access_class
                
                	
                	**type**\:  :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ipv6.AccessClass>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"access-class" : ("access_class", Native.Line.Vty.Ipv6.AccessClass)}
                    self._child_list_classes = {}

                    self.access_class = Native.Line.Vty.Ipv6.AccessClass()
                    self.access_class.parent = self
                    self._children_name_map["access_class"] = "access-class"
                    self._children_yang_names.add("access-class")
                    self._segment_path = lambda: "ipv6"


                class AccessClass(Entity):
                    """
                    
                    
                    .. attribute:: access_class
                    
                    	
                    	**type**\: list of  		 :py:class:`AccessClass <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ipv6.AccessClass.AccessClass>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.Ipv6.AccessClass, self).__init__()

                        self.yang_name = "access-class"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"access-class" : ("access_class", Native.Line.Vty.Ipv6.AccessClass.AccessClass)}

                        self.access_class = YList(self)
                        self._segment_path = lambda: "access-class"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Vty.Ipv6.AccessClass, [], name, value)


                    class AccessClass(Entity):
                        """
                        
                        
                        .. attribute:: access_class_name  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: enumeration_in_out
                        
                        	
                        	**type**\:  :py:class:`EnumerationInOut <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Ipv6.AccessClass.AccessClass.EnumerationInOut>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Line.Vty.Ipv6.AccessClass.AccessClass, self).__init__()

                            self.yang_name = "access-class"
                            self.yang_parent_name = "access-class"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.access_class_name = YLeaf(YType.str, "access-class-name")

                            self.enumeration_in_out = YLeaf(YType.enumeration, "enumeration-in-out")
                            self._segment_path = lambda: "access-class" + "[access-class-name='" + self.access_class_name.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Line.Vty.Ipv6.AccessClass.AccessClass, ['access_class_name', 'enumeration_in_out'], name, value)

                        class EnumerationInOut(Enum):
                            """
                            EnumerationInOut

                            .. data:: in_ = 0

                            .. data:: out = 1

                            """

                            in_ = Enum.YLeaf(0, "in")

                            out = Enum.YLeaf(1, "out")



            class Logging(Entity):
                """
                Modify message logging facilities
                
                .. attribute:: synchronous
                
                	Synchronized message output
                	**type**\:  :py:class:`Synchronous <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Logging.Synchronous>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"synchronous" : ("synchronous", Native.Line.Vty.Logging.Synchronous)}
                    self._child_list_classes = {}

                    self.synchronous = None
                    self._children_name_map["synchronous"] = "synchronous"
                    self._children_yang_names.add("synchronous")
                    self._segment_path = lambda: "logging"


                class Synchronous(Entity):
                    """
                    Synchronized message output
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.Logging.Synchronous, self).__init__()

                        self.yang_name = "synchronous"
                        self.yang_parent_name = "logging"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True
                        self._segment_path = lambda: "synchronous"


            class Login(Entity):
                """
                Enable password checking
                
                .. attribute:: local
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: authentication
                
                	
                	**type**\: str
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Login, self).__init__()

                    self.yang_name = "login"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.local = YLeaf(YType.empty, "local")

                    self.authentication = YLeaf(YType.str, "authentication")
                    self._segment_path = lambda: "login"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.Login, ['local', 'authentication'], name, value)


            class MediaType(Entity):
                """
                Console connection media type
                
                .. attribute:: rj45
                
                	Console connection set to RJ45
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.MediaType, self).__init__()

                    self.yang_name = "media-type"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.rj45 = YLeaf(YType.empty, "rj45")
                    self._segment_path = lambda: "media-type"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.MediaType, ['rj45'], name, value)


            class Modem(Entity):
                """
                Configure the Modem Control Lines
                
                .. attribute:: cts_alarm
                
                	Alarm device which only uses CTS for call control
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_active
                
                	Leave DTR low unless line has an active incoming connection or EXEC
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dialin
                
                	Configure line for a modern dial\-in modem
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: host
                
                	Devices that expect an incoming modem call
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: inout
                
                	Configure line for incoming AND outgoing use of modem
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: printer
                
                	Devices that require DSR/CD active
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: answer_timeout
                
                	Set interval between raising DTR and CTS response
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: dtr_delay
                
                	Set interval during which DTR is held low
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Modem, self).__init__()

                    self.yang_name = "modem"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.cts_alarm = YLeaf(YType.empty, "CTS-Alarm")

                    self.dtr_active = YLeaf(YType.empty, "DTR-active")

                    self.dialin = YLeaf(YType.empty, "Dialin")

                    self.host = YLeaf(YType.empty, "Host")

                    self.inout = YLeaf(YType.empty, "InOut")

                    self.printer = YLeaf(YType.empty, "Printer")

                    self.answer_timeout = YLeaf(YType.empty, "answer-timeout")

                    self.dtr_delay = YLeaf(YType.empty, "dtr-delay")
                    self._segment_path = lambda: "modem"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.Modem, ['cts_alarm', 'dtr_active', 'dialin', 'host', 'inout', 'printer', 'answer_timeout', 'dtr_delay'], name, value)


            class Padding(Entity):
                """
                Set padding for a specified output character
                
                .. attribute:: character
                
                	Character to be padded
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 0..127
                
                		**type**\: str
                
                .. attribute:: null
                
                	
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Padding, self).__init__()

                    self.yang_name = "padding"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.character = YLeaf(YType.str, "character")

                    self.null = YLeaf(YType.uint8, "null")
                    self._segment_path = lambda: "padding"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.Padding, ['character', 'null'], name, value)


            class Parity(Entity):
                """
                Set terminal parity
                
                .. attribute:: even
                
                	Even parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: mark
                
                	Mark parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: none
                
                	No parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: odd
                
                	Odd parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: space
                
                	Space parity
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Parity, self).__init__()

                    self.yang_name = "parity"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.even = YLeaf(YType.empty, "even")

                    self.mark = YLeaf(YType.empty, "mark")

                    self.none = YLeaf(YType.empty, "none")

                    self.odd = YLeaf(YType.empty, "odd")

                    self.space = YLeaf(YType.empty, "space")
                    self._segment_path = lambda: "parity"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.Parity, ['even', 'mark', 'none', 'odd', 'space'], name, value)


            class Password(Entity):
                """
                Set a password
                
                .. attribute:: level
                
                	Set exec level password
                	**type**\: int
                
                	**range:** 0..255
                
                .. attribute:: type
                
                	
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Password.Type>`
                
                .. attribute:: secret
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Password, self).__init__()

                    self.yang_name = "password"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.level = YLeaf(YType.uint8, "level")

                    self.type = YLeaf(YType.enumeration, "type")

                    self.secret = YLeaf(YType.str, "secret")
                    self._segment_path = lambda: "password"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.Password, ['level', 'type', 'secret'], name, value)

                class Type(Enum):
                    """
                    Type

                    .. data:: Y_0 = 0

                    .. data:: Y_7 = 1

                    """

                    Y_0 = Enum.YLeaf(0, "0")

                    Y_7 = Enum.YLeaf(1, "7")



            class Prc(Entity):
                """
                PRC commands
                
                .. attribute:: expose
                
                	Expose PRC data
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: hide
                
                	Hide PRC data
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Prc, self).__init__()

                    self.yang_name = "prc"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.expose = YLeaf(YType.empty, "expose")

                    self.hide = YLeaf(YType.empty, "hide")
                    self._segment_path = lambda: "prc"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.Prc, ['expose', 'hide'], name, value)


            class Privilege(Entity):
                """
                Change privilege level for line
                
                .. attribute:: level
                
                	Assign default privilege level for line
                	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Privilege.Level>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Privilege, self).__init__()

                    self.yang_name = "privilege"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"level" : ("level", Native.Line.Vty.Privilege.Level)}
                    self._child_list_classes = {}

                    self.level = None
                    self._children_name_map["level"] = "level"
                    self._children_yang_names.add("level")
                    self._segment_path = lambda: "privilege"


                class Level(Entity):
                    """
                    Assign default privilege level for line
                    
                    .. attribute:: number
                    
                    	
                    	**type**\: int
                    
                    	**range:** 0..15
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.Privilege.Level, self).__init__()

                        self.yang_name = "level"
                        self.yang_parent_name = "privilege"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.number = YLeaf(YType.uint8, "number")
                        self._segment_path = lambda: "level"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Vty.Privilege.Level, ['number'], name, value)


            class SessionTimeout(Entity):
                """
                Set interval for closing connection when there is no input traffic
                
                .. attribute:: session_timeout_value
                
                	
                	**type**\: int
                
                	**range:** 0..35791
                
                .. attribute:: output
                
                	Include output traffic as well as input traffic
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.SessionTimeout, self).__init__()

                    self.yang_name = "session-timeout"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.session_timeout_value = YLeaf(YType.uint16, "session-timeout-value")

                    self.output = YLeaf(YType.empty, "output")
                    self._segment_path = lambda: "session-timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.SessionTimeout, ['session_timeout_value', 'output'], name, value)


            class Timeout(Entity):
                """
                Timeouts for the line
                
                .. attribute:: login
                
                	Timeouts related to the login sequence
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Timeout, self).__init__()

                    self.yang_name = "timeout"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.login = YLeaf(YType.empty, "login")
                    self._segment_path = lambda: "timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.Timeout, ['login'], name, value)


            class Telnet(Entity):
                """
                Telnet protocol\-specific configuration
                
                .. attribute:: transparent
                
                	Send a CR as a CR followed by a NULL instead of a CR followed by a LF
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Telnet, self).__init__()

                    self.yang_name = "telnet"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.transparent = YLeaf(YType.empty, "transparent")
                    self._segment_path = lambda: "telnet"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.Telnet, ['transparent'], name, value)


            class Transport(Entity):
                """
                Define transport protocols for line
                
                .. attribute:: input
                
                	
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport.Input>`
                
                .. attribute:: output
                
                	
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport.Output>`
                
                .. attribute:: preferred
                
                	Specify the preferred protocol to use
                	**type**\:  :py:class:`Preferred <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport.Preferred>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.Transport, self).__init__()

                    self.yang_name = "transport"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"input" : ("input", Native.Line.Vty.Transport.Input), "output" : ("output", Native.Line.Vty.Transport.Output), "preferred" : ("preferred", Native.Line.Vty.Transport.Preferred)}
                    self._child_list_classes = {}

                    self.input = Native.Line.Vty.Transport.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.Line.Vty.Transport.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")

                    self.preferred = None
                    self._children_name_map["preferred"] = "preferred"
                    self._children_yang_names.add("preferred")
                    self._segment_path = lambda: "transport"


                class Input(Entity):
                    """
                    
                    
                    .. attribute:: input
                    
                    	Define which protocols to use when connecting to the terminal server
                    	**type**\: list of   :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport.Input.Input>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.Transport.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "transport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.input = YLeafList(YType.enumeration, "input")
                        self._segment_path = lambda: "input"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Vty.Transport.Input, ['input'], name, value)

                    class Input(Enum):
                        """
                        Input

                        Define which protocols to use when connecting to the terminal server

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = Enum.YLeaf(0, "acercon")

                        all = Enum.YLeaf(1, "all")

                        lapb_ta = Enum.YLeaf(2, "lapb-ta")

                        lat = Enum.YLeaf(3, "lat")

                        mop = Enum.YLeaf(4, "mop")

                        nasi = Enum.YLeaf(5, "nasi")

                        none = Enum.YLeaf(6, "none")

                        pad = Enum.YLeaf(7, "pad")

                        rlogin = Enum.YLeaf(8, "rlogin")

                        ssh = Enum.YLeaf(9, "ssh")

                        telnet = Enum.YLeaf(10, "telnet")

                        udptn = Enum.YLeaf(11, "udptn")

                        v120 = Enum.YLeaf(12, "v120")



                class Output(Entity):
                    """
                    
                    
                    .. attribute:: output
                    
                    	Define which protocols to use for outgoing connections
                    	**type**\: list of   :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport.Output.Output>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.Transport.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "transport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.output = YLeafList(YType.enumeration, "output")
                        self._segment_path = lambda: "output"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Vty.Transport.Output, ['output'], name, value)

                    class Output(Enum):
                        """
                        Output

                        Define which protocols to use for outgoing connections

                        .. data:: acercon = 0

                        .. data:: all = 1

                        .. data:: lapb_ta = 2

                        .. data:: lat = 3

                        .. data:: mop = 4

                        .. data:: nasi = 5

                        .. data:: none = 6

                        .. data:: pad = 7

                        .. data:: rlogin = 8

                        .. data:: ssh = 9

                        .. data:: telnet = 10

                        .. data:: udptn = 11

                        .. data:: v120 = 12

                        """

                        acercon = Enum.YLeaf(0, "acercon")

                        all = Enum.YLeaf(1, "all")

                        lapb_ta = Enum.YLeaf(2, "lapb-ta")

                        lat = Enum.YLeaf(3, "lat")

                        mop = Enum.YLeaf(4, "mop")

                        nasi = Enum.YLeaf(5, "nasi")

                        none = Enum.YLeaf(6, "none")

                        pad = Enum.YLeaf(7, "pad")

                        rlogin = Enum.YLeaf(8, "rlogin")

                        ssh = Enum.YLeaf(9, "ssh")

                        telnet = Enum.YLeaf(10, "telnet")

                        udptn = Enum.YLeaf(11, "udptn")

                        v120 = Enum.YLeaf(12, "v120")



                class Preferred(Entity):
                    """
                    Specify the preferred protocol to use
                    
                    .. attribute:: protocol
                    
                    	
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Line.Vty.Transport.Preferred.Protocol>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Line.Vty.Transport.Preferred, self).__init__()

                        self.yang_name = "preferred"
                        self.yang_parent_name = "transport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.protocol = YLeaf(YType.enumeration, "protocol")
                        self._segment_path = lambda: "preferred"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Line.Vty.Transport.Preferred, ['protocol'], name, value)

                    class Protocol(Enum):
                        """
                        Protocol

                        .. data:: acercon = 0

                        .. data:: lat = 1

                        .. data:: mop = 2

                        .. data:: nasi = 3

                        .. data:: none = 4

                        .. data:: pad = 5

                        .. data:: rlogin = 6

                        .. data:: ssh = 7

                        .. data:: telnet = 8

                        .. data:: udptn = 9

                        """

                        acercon = Enum.YLeaf(0, "acercon")

                        lat = Enum.YLeaf(1, "lat")

                        mop = Enum.YLeaf(2, "mop")

                        nasi = Enum.YLeaf(3, "nasi")

                        none = Enum.YLeaf(4, "none")

                        pad = Enum.YLeaf(5, "pad")

                        rlogin = Enum.YLeaf(6, "rlogin")

                        ssh = Enum.YLeaf(7, "ssh")

                        telnet = Enum.YLeaf(8, "telnet")

                        udptn = Enum.YLeaf(9, "udptn")



            class UsbInactivityTimeout(Entity):
                """
                Inactivity timeout for USB media type
                
                .. attribute:: switch
                
                	Switch Number
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Line.Vty.UsbInactivityTimeout, self).__init__()

                    self.yang_name = "usb-inactivity-timeout"
                    self.yang_parent_name = "vty"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.switch = YLeaf(YType.empty, "switch")
                    self._segment_path = lambda: "usb-inactivity-timeout"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Line.Vty.UsbInactivityTimeout, ['switch'], name, value)


    class Ntp(Entity):
        """
        Configure NTP
        
        .. attribute:: access_group
        
        	Control NTP access
        	**type**\:  :py:class:`AccessGroup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup>`
        
        .. attribute:: allow
        
        	Allow processing of packets
        	**type**\:  :py:class:`Allow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Allow>`
        
        .. attribute:: authenticate
        
        	Authenticate time sources
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: authentication_key
        
        	Authentication key for trusted time sources
        	**type**\: list of  		 :py:class:`AuthenticationKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AuthenticationKey>`
        
        .. attribute:: broadcastdelay
        
        	Estimated round\-trip delay in microseconds
        	**type**\: int
        
        	**range:** 1..999999
        
        .. attribute:: clock_period
        
        	Length of hardware clock tick
        	**type**\: int
        
        	**range:** 0..4294967295
        
        .. attribute:: logging
        
        	Enable NTP message logging
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: master
        
        	Act as NTP master clock
        	**type**\:  :py:class:`Master <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Master>`
        
        	**presence node**\: True
        
        .. attribute:: max_associations
        
        	Set maximum number of associations
        	**type**\: int
        
        	**range:** 0..4294967295
        
        .. attribute:: maxdistance
        
        	Maximum Distance for synchronization
        	**type**\: int
        
        	**range:** 1..16
        
        .. attribute:: mindistance
        
        	Minimum distance to consider for clockhop
        	**type**\: int
        
        	**range:** 1..500
        
        .. attribute:: orphan
        
        	Threshold Stratum for orphan mode
        	**type**\: int
        
        	**range:** 1..16
        
        .. attribute:: panic
        
        	Reject time updates > panic threshold (default 1000Sec)
        	**type**\:  :py:class:`Panic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Panic>`
        
        .. attribute:: passive
        
        	NTP passive mode
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: peer
        
        	Configure NTP peer
        	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer>`
        
        .. attribute:: server
        
        	Configure NTP server
        	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server>`
        
        .. attribute:: source
        
        	Configure interface for source address
        	**type**\:  :py:class:`Source <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Source>`
        
        .. attribute:: trusted_key
        
        	Key numbers for trusted time sources
        	**type**\: list of  		 :py:class:`TrustedKey <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.TrustedKey>`
        
        .. attribute:: update_calendar
        
        	Periodically update calendar with NTP time
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Ntp, self).__init__()

            self.yang_name = "ntp"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-ntp:access-group" : ("access_group", Native.Ntp.AccessGroup), "Cisco-IOS-XE-ntp:allow" : ("allow", Native.Ntp.Allow), "Cisco-IOS-XE-ntp:master" : ("master", Native.Ntp.Master), "Cisco-IOS-XE-ntp:panic" : ("panic", Native.Ntp.Panic), "Cisco-IOS-XE-ntp:peer" : ("peer", Native.Ntp.Peer), "Cisco-IOS-XE-ntp:server" : ("server", Native.Ntp.Server), "Cisco-IOS-XE-ntp:source" : ("source", Native.Ntp.Source)}
            self._child_list_classes = {"Cisco-IOS-XE-ntp:authentication-key" : ("authentication_key", Native.Ntp.AuthenticationKey), "Cisco-IOS-XE-ntp:trusted-key" : ("trusted_key", Native.Ntp.TrustedKey)}

            self.authenticate = YLeaf(YType.empty, "Cisco-IOS-XE-ntp:authenticate")

            self.broadcastdelay = YLeaf(YType.uint32, "Cisco-IOS-XE-ntp:broadcastdelay")

            self.clock_period = YLeaf(YType.uint32, "Cisco-IOS-XE-ntp:clock-period")

            self.logging = YLeaf(YType.empty, "Cisco-IOS-XE-ntp:logging")

            self.max_associations = YLeaf(YType.uint32, "Cisco-IOS-XE-ntp:max-associations")

            self.maxdistance = YLeaf(YType.uint8, "Cisco-IOS-XE-ntp:maxdistance")

            self.mindistance = YLeaf(YType.uint16, "Cisco-IOS-XE-ntp:mindistance")

            self.orphan = YLeaf(YType.uint8, "Cisco-IOS-XE-ntp:orphan")

            self.passive = YLeaf(YType.empty, "Cisco-IOS-XE-ntp:passive")

            self.update_calendar = YLeaf(YType.empty, "Cisco-IOS-XE-ntp:update-calendar")

            self.access_group = Native.Ntp.AccessGroup()
            self.access_group.parent = self
            self._children_name_map["access_group"] = "access-group"
            self._children_yang_names.add("access-group")

            self.allow = Native.Ntp.Allow()
            self.allow.parent = self
            self._children_name_map["allow"] = "allow"
            self._children_yang_names.add("allow")

            self.master = None
            self._children_name_map["master"] = "master"
            self._children_yang_names.add("master")

            self.panic = Native.Ntp.Panic()
            self.panic.parent = self
            self._children_name_map["panic"] = "panic"
            self._children_yang_names.add("panic")

            self.peer = Native.Ntp.Peer()
            self.peer.parent = self
            self._children_name_map["peer"] = "peer"
            self._children_yang_names.add("peer")

            self.server = Native.Ntp.Server()
            self.server.parent = self
            self._children_name_map["server"] = "server"
            self._children_yang_names.add("server")

            self.source = Native.Ntp.Source()
            self.source.parent = self
            self._children_name_map["source"] = "source"
            self._children_yang_names.add("source")

            self.authentication_key = YList(self)
            self.trusted_key = YList(self)
            self._segment_path = lambda: "ntp"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Ntp, ['authenticate', 'broadcastdelay', 'clock_period', 'logging', 'max_associations', 'maxdistance', 'mindistance', 'orphan', 'passive', 'update_calendar'], name, value)


        class AccessGroup(Entity):
            """
            Control NTP access
            
            .. attribute:: ipv4
            
            	ipv4 access lists
            	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv4>`
            
            .. attribute:: ipv6
            
            	ipv6 access lists
            	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv6>`
            
            .. attribute:: peer
            
            	Provide full access
            	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Peer>`
            
            .. attribute:: query_only
            
            	Provide server and query access
            	**type**\:  :py:class:`QueryOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.QueryOnly>`
            
            .. attribute:: serve
            
            	Provide server and query access
            	**type**\:  :py:class:`Serve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Serve>`
            
            .. attribute:: serve_only
            
            	Provide only server access
            	**type**\:  :py:class:`ServeOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.ServeOnly>`
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ntp.AccessGroup, self).__init__()

                self.yang_name = "access-group"
                self.yang_parent_name = "ntp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ipv4" : ("ipv4", Native.Ntp.AccessGroup.Ipv4), "ipv6" : ("ipv6", Native.Ntp.AccessGroup.Ipv6), "peer" : ("peer", Native.Ntp.AccessGroup.Peer), "query-only" : ("query_only", Native.Ntp.AccessGroup.QueryOnly), "serve" : ("serve", Native.Ntp.AccessGroup.Serve), "serve-only" : ("serve_only", Native.Ntp.AccessGroup.ServeOnly)}
                self._child_list_classes = {}

                self.ipv4 = Native.Ntp.AccessGroup.Ipv4()
                self.ipv4.parent = self
                self._children_name_map["ipv4"] = "ipv4"
                self._children_yang_names.add("ipv4")

                self.ipv6 = Native.Ntp.AccessGroup.Ipv6()
                self.ipv6.parent = self
                self._children_name_map["ipv6"] = "ipv6"
                self._children_yang_names.add("ipv6")

                self.peer = Native.Ntp.AccessGroup.Peer()
                self.peer.parent = self
                self._children_name_map["peer"] = "peer"
                self._children_yang_names.add("peer")

                self.query_only = Native.Ntp.AccessGroup.QueryOnly()
                self.query_only.parent = self
                self._children_name_map["query_only"] = "query-only"
                self._children_yang_names.add("query-only")

                self.serve = Native.Ntp.AccessGroup.Serve()
                self.serve.parent = self
                self._children_name_map["serve"] = "serve"
                self._children_yang_names.add("serve")

                self.serve_only = Native.Ntp.AccessGroup.ServeOnly()
                self.serve_only.parent = self
                self._children_name_map["serve_only"] = "serve-only"
                self._children_yang_names.add("serve-only")
                self._segment_path = lambda: "Cisco-IOS-XE-ntp:access-group"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/%s" % self._segment_path()


            class Ipv4(Entity):
                """
                ipv4 access lists
                
                .. attribute:: peer
                
                	Provide full access
                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv4.Peer>`
                
                .. attribute:: query_only
                
                	Provide server and query access
                	**type**\:  :py:class:`QueryOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv4.QueryOnly>`
                
                .. attribute:: serve
                
                	Provide server and query access
                	**type**\:  :py:class:`Serve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv4.Serve>`
                
                .. attribute:: serve_only
                
                	Provide only server access
                	**type**\:  :py:class:`ServeOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv4.ServeOnly>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.AccessGroup.Ipv4, self).__init__()

                    self.yang_name = "ipv4"
                    self.yang_parent_name = "access-group"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"peer" : ("peer", Native.Ntp.AccessGroup.Ipv4.Peer), "query-only" : ("query_only", Native.Ntp.AccessGroup.Ipv4.QueryOnly), "serve" : ("serve", Native.Ntp.AccessGroup.Ipv4.Serve), "serve-only" : ("serve_only", Native.Ntp.AccessGroup.Ipv4.ServeOnly)}
                    self._child_list_classes = {}

                    self.peer = Native.Ntp.AccessGroup.Ipv4.Peer()
                    self.peer.parent = self
                    self._children_name_map["peer"] = "peer"
                    self._children_yang_names.add("peer")

                    self.query_only = Native.Ntp.AccessGroup.Ipv4.QueryOnly()
                    self.query_only.parent = self
                    self._children_name_map["query_only"] = "query-only"
                    self._children_yang_names.add("query-only")

                    self.serve = Native.Ntp.AccessGroup.Ipv4.Serve()
                    self.serve.parent = self
                    self._children_name_map["serve"] = "serve"
                    self._children_yang_names.add("serve")

                    self.serve_only = Native.Ntp.AccessGroup.Ipv4.ServeOnly()
                    self.serve_only.parent = self
                    self._children_name_map["serve_only"] = "serve-only"
                    self._children_yang_names.add("serve-only")
                    self._segment_path = lambda: "ipv4"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/%s" % self._segment_path()


                class Peer(Entity):
                    """
                    Provide full access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.AccessGroup.Ipv4.Peer, self).__init__()

                        self.yang_name = "peer"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acl = YLeaf(YType.str, "acl")

                        self.kod = YLeaf(YType.empty, "kod")
                        self._segment_path = lambda: "peer"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.AccessGroup.Ipv4.Peer, ['acl', 'kod'], name, value)


                class QueryOnly(Entity):
                    """
                    Provide server and query access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.AccessGroup.Ipv4.QueryOnly, self).__init__()

                        self.yang_name = "query-only"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acl = YLeaf(YType.str, "acl")

                        self.kod = YLeaf(YType.empty, "kod")
                        self._segment_path = lambda: "query-only"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.AccessGroup.Ipv4.QueryOnly, ['acl', 'kod'], name, value)


                class Serve(Entity):
                    """
                    Provide server and query access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.AccessGroup.Ipv4.Serve, self).__init__()

                        self.yang_name = "serve"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acl = YLeaf(YType.str, "acl")

                        self.kod = YLeaf(YType.empty, "kod")
                        self._segment_path = lambda: "serve"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.AccessGroup.Ipv4.Serve, ['acl', 'kod'], name, value)


                class ServeOnly(Entity):
                    """
                    Provide only server access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.AccessGroup.Ipv4.ServeOnly, self).__init__()

                        self.yang_name = "serve-only"
                        self.yang_parent_name = "ipv4"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acl = YLeaf(YType.str, "acl")

                        self.kod = YLeaf(YType.empty, "kod")
                        self._segment_path = lambda: "serve-only"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/ipv4/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.AccessGroup.Ipv4.ServeOnly, ['acl', 'kod'], name, value)


            class Ipv6(Entity):
                """
                ipv6 access lists
                
                .. attribute:: peer
                
                	Provide full access
                	**type**\:  :py:class:`Peer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv6.Peer>`
                
                .. attribute:: query_only
                
                	Provide server and query access
                	**type**\:  :py:class:`QueryOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv6.QueryOnly>`
                
                .. attribute:: serve
                
                	Provide server and query access
                	**type**\:  :py:class:`Serve <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv6.Serve>`
                
                .. attribute:: serve_only
                
                	Provide only server access
                	**type**\:  :py:class:`ServeOnly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.AccessGroup.Ipv6.ServeOnly>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.AccessGroup.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "access-group"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"peer" : ("peer", Native.Ntp.AccessGroup.Ipv6.Peer), "query-only" : ("query_only", Native.Ntp.AccessGroup.Ipv6.QueryOnly), "serve" : ("serve", Native.Ntp.AccessGroup.Ipv6.Serve), "serve-only" : ("serve_only", Native.Ntp.AccessGroup.Ipv6.ServeOnly)}
                    self._child_list_classes = {}

                    self.peer = Native.Ntp.AccessGroup.Ipv6.Peer()
                    self.peer.parent = self
                    self._children_name_map["peer"] = "peer"
                    self._children_yang_names.add("peer")

                    self.query_only = Native.Ntp.AccessGroup.Ipv6.QueryOnly()
                    self.query_only.parent = self
                    self._children_name_map["query_only"] = "query-only"
                    self._children_yang_names.add("query-only")

                    self.serve = Native.Ntp.AccessGroup.Ipv6.Serve()
                    self.serve.parent = self
                    self._children_name_map["serve"] = "serve"
                    self._children_yang_names.add("serve")

                    self.serve_only = Native.Ntp.AccessGroup.Ipv6.ServeOnly()
                    self.serve_only.parent = self
                    self._children_name_map["serve_only"] = "serve-only"
                    self._children_yang_names.add("serve-only")
                    self._segment_path = lambda: "ipv6"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/%s" % self._segment_path()


                class Peer(Entity):
                    """
                    Provide full access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.AccessGroup.Ipv6.Peer, self).__init__()

                        self.yang_name = "peer"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acl = YLeaf(YType.str, "acl")

                        self.kod = YLeaf(YType.empty, "kod")
                        self._segment_path = lambda: "peer"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.AccessGroup.Ipv6.Peer, ['acl', 'kod'], name, value)


                class QueryOnly(Entity):
                    """
                    Provide server and query access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.AccessGroup.Ipv6.QueryOnly, self).__init__()

                        self.yang_name = "query-only"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acl = YLeaf(YType.str, "acl")

                        self.kod = YLeaf(YType.empty, "kod")
                        self._segment_path = lambda: "query-only"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.AccessGroup.Ipv6.QueryOnly, ['acl', 'kod'], name, value)


                class Serve(Entity):
                    """
                    Provide server and query access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.AccessGroup.Ipv6.Serve, self).__init__()

                        self.yang_name = "serve"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acl = YLeaf(YType.str, "acl")

                        self.kod = YLeaf(YType.empty, "kod")
                        self._segment_path = lambda: "serve"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.AccessGroup.Ipv6.Serve, ['acl', 'kod'], name, value)


                class ServeOnly(Entity):
                    """
                    Provide only server access
                    
                    .. attribute:: acl
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: int
                    
                    			**range:** 1..99
                    
                    		**type**\: int
                    
                    			**range:** 1300..1999
                    
                    		**type**\: str
                    
                    			**pattern:** [a\-zA\-Z].\*
                    
                    .. attribute:: kod
                    
                    	Send a Kiss\-o\-Death packet for failing peers
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.AccessGroup.Ipv6.ServeOnly, self).__init__()

                        self.yang_name = "serve-only"
                        self.yang_parent_name = "ipv6"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.acl = YLeaf(YType.str, "acl")

                        self.kod = YLeaf(YType.empty, "kod")
                        self._segment_path = lambda: "serve-only"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/ipv6/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.AccessGroup.Ipv6.ServeOnly, ['acl', 'kod'], name, value)


            class Peer(Entity):
                """
                Provide full access
                
                .. attribute:: acl
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..99
                
                		**type**\: int
                
                			**range:** 1300..1999
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: kod
                
                	Send a Kiss\-o\-Death packet for failing peers
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.AccessGroup.Peer, self).__init__()

                    self.yang_name = "peer"
                    self.yang_parent_name = "access-group"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.acl = YLeaf(YType.str, "acl")

                    self.kod = YLeaf(YType.empty, "kod")
                    self._segment_path = lambda: "peer"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.AccessGroup.Peer, ['acl', 'kod'], name, value)


            class QueryOnly(Entity):
                """
                Provide server and query access
                
                .. attribute:: acl
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..99
                
                		**type**\: int
                
                			**range:** 1300..1999
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: kod
                
                	Send a Kiss\-o\-Death packet for failing peers
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.AccessGroup.QueryOnly, self).__init__()

                    self.yang_name = "query-only"
                    self.yang_parent_name = "access-group"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.acl = YLeaf(YType.str, "acl")

                    self.kod = YLeaf(YType.empty, "kod")
                    self._segment_path = lambda: "query-only"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.AccessGroup.QueryOnly, ['acl', 'kod'], name, value)


            class Serve(Entity):
                """
                Provide server and query access
                
                .. attribute:: acl
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..99
                
                		**type**\: int
                
                			**range:** 1300..1999
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: kod
                
                	Send a Kiss\-o\-Death packet for failing peers
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.AccessGroup.Serve, self).__init__()

                    self.yang_name = "serve"
                    self.yang_parent_name = "access-group"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.acl = YLeaf(YType.str, "acl")

                    self.kod = YLeaf(YType.empty, "kod")
                    self._segment_path = lambda: "serve"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.AccessGroup.Serve, ['acl', 'kod'], name, value)


            class ServeOnly(Entity):
                """
                Provide only server access
                
                .. attribute:: acl
                
                	
                	**type**\: union of the below types:
                
                		**type**\: int
                
                			**range:** 1..99
                
                		**type**\: int
                
                			**range:** 1300..1999
                
                		**type**\: str
                
                			**pattern:** [a\-zA\-Z].\*
                
                .. attribute:: kod
                
                	Send a Kiss\-o\-Death packet for failing peers
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.AccessGroup.ServeOnly, self).__init__()

                    self.yang_name = "serve-only"
                    self.yang_parent_name = "access-group"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.acl = YLeaf(YType.str, "acl")

                    self.kod = YLeaf(YType.empty, "kod")
                    self._segment_path = lambda: "serve-only"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:access-group/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.AccessGroup.ServeOnly, ['acl', 'kod'], name, value)


        class Allow(Entity):
            """
            Allow processing of packets
            
            .. attribute:: mode
            
            	Allow processing of particular mode packets
            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Allow.Mode>`
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ntp.Allow, self).__init__()

                self.yang_name = "allow"
                self.yang_parent_name = "ntp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"mode" : ("mode", Native.Ntp.Allow.Mode)}
                self._child_list_classes = {}

                self.mode = Native.Ntp.Allow.Mode()
                self.mode.parent = self
                self._children_name_map["mode"] = "mode"
                self._children_yang_names.add("mode")
                self._segment_path = lambda: "Cisco-IOS-XE-ntp:allow"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/%s" % self._segment_path()


            class Mode(Entity):
                """
                Allow processing of particular mode packets
                
                .. attribute:: control
                
                	Allow processing control mode packets
                	**type**\:  :py:class:`Control <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Allow.Mode.Control>`
                
                	**presence node**\: True
                
                .. attribute:: private
                
                	Allow processing private mode packets
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.Allow.Mode, self).__init__()

                    self.yang_name = "mode"
                    self.yang_parent_name = "allow"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"control" : ("control", Native.Ntp.Allow.Mode.Control)}
                    self._child_list_classes = {}

                    self.private = YLeaf(YType.empty, "private")

                    self.control = None
                    self._children_name_map["control"] = "control"
                    self._children_yang_names.add("control")
                    self._segment_path = lambda: "mode"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:allow/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.Allow.Mode, ['private'], name, value)


                class Control(Entity):
                    """
                    Allow processing control mode packets
                    
                    .. attribute:: delay
                    
                    	Rate limiting delay (s)
                    	**type**\: int
                    
                    	**range:** 3..15
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.Allow.Mode.Control, self).__init__()

                        self.yang_name = "control"
                        self.yang_parent_name = "mode"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.delay = YLeaf(YType.uint8, "delay")
                        self._segment_path = lambda: "control"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:allow/mode/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.Allow.Mode.Control, ['delay'], name, value)


        class AuthenticationKey(Entity):
            """
            Authentication key for trusted time sources
            
            .. attribute:: number  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: md5
            
            	MD5 authentication
            	**type**\: str
            
            .. attribute:: encryption_type
            
            	
            	**type**\: int
            
            	**range:** 0..4294967295
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ntp.AuthenticationKey, self).__init__()

                self.yang_name = "authentication-key"
                self.yang_parent_name = "ntp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.number = YLeaf(YType.uint32, "number")

                self.md5 = YLeaf(YType.str, "md5")

                self.encryption_type = YLeaf(YType.uint32, "encryption-type")
                self._segment_path = lambda: "Cisco-IOS-XE-ntp:authentication-key" + "[number='" + self.number.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ntp.AuthenticationKey, ['number', 'md5', 'encryption_type'], name, value)


        class Master(Entity):
            """
            Act as NTP master clock
            
            .. attribute:: stratum_number
            
            	
            	**type**\: int
            
            	**range:** 1..15
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ntp.Master, self).__init__()

                self.yang_name = "master"
                self.yang_parent_name = "ntp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.stratum_number = YLeaf(YType.uint8, "stratum-number")
                self._segment_path = lambda: "Cisco-IOS-XE-ntp:master"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ntp.Master, ['stratum_number'], name, value)


        class Panic(Entity):
            """
            Reject time updates > panic threshold (default 1000Sec)
            
            .. attribute:: update
            
            	Reject time updates > panic threshold (default 1000Sec)
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ntp.Panic, self).__init__()

                self.yang_name = "panic"
                self.yang_parent_name = "ntp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.update = YLeaf(YType.empty, "update")
                self._segment_path = lambda: "Cisco-IOS-XE-ntp:panic"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ntp.Panic, ['update'], name, value)


        class Peer(Entity):
            """
            Configure NTP peer
            
            .. attribute:: server_list
            
            	
            	**type**\: list of  		 :py:class:`ServerList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.ServerList>`
            
            .. attribute:: ip
            
            	Use IP for DNS resolution
            	**type**\: list of  		 :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.Ip>`
            
            .. attribute:: ipv6
            
            	Use IPv6 for DNS resolution
            	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.Ipv6>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding Information
            	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.Vrf>`
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ntp.Peer, self).__init__()

                self.yang_name = "peer"
                self.yang_parent_name = "ntp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"server-list" : ("server_list", Native.Ntp.Peer.ServerList), "ip" : ("ip", Native.Ntp.Peer.Ip), "ipv6" : ("ipv6", Native.Ntp.Peer.Ipv6), "vrf" : ("vrf", Native.Ntp.Peer.Vrf)}

                self.server_list = YList(self)
                self.ip = YList(self)
                self.ipv6 = YList(self)
                self.vrf = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-ntp:peer"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ntp.Peer, [], name, value)


            class ServerList(Entity):
                """
                
                
                .. attribute:: ip_address  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: burst
                
                	Send a burst when peer is reachable (Default)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iburst
                
                	Send a burst when peer is unreachable (Default)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: key
                
                	Configure peer authentication key
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: maxpoll
                
                	Maximum poll interval
                	**type**\: int
                
                	**range:** 4..17
                
                .. attribute:: minpoll
                
                	Minimum poll interval
                	**type**\: int
                
                	**range:** 4..17
                
                .. attribute:: prefer
                
                	Prefer this peer when possible
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	Interface for source address
                	**type**\: str
                
                .. attribute:: version
                
                	    Configure NTP version
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.Peer.ServerList, self).__init__()

                    self.yang_name = "server-list"
                    self.yang_parent_name = "peer"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ip_address = YLeaf(YType.str, "ip-address")

                    self.burst = YLeaf(YType.empty, "burst")

                    self.iburst = YLeaf(YType.empty, "iburst")

                    self.key = YLeaf(YType.uint32, "key")

                    self.maxpoll = YLeaf(YType.uint8, "maxpoll")

                    self.minpoll = YLeaf(YType.uint8, "minpoll")

                    self.prefer = YLeaf(YType.empty, "prefer")

                    self.source = YLeaf(YType.str, "source")

                    self.version = YLeaf(YType.uint8, "version")
                    self._segment_path = lambda: "server-list" + "[ip-address='" + self.ip_address.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:peer/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.Peer.ServerList, ['ip_address', 'burst', 'iburst', 'key', 'maxpoll', 'minpoll', 'prefer', 'source', 'version'], name, value)


            class Ip(Entity):
                """
                Use IP for DNS resolution
                
                .. attribute:: host_name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: burst
                
                	Send a burst when peer is reachable (Default)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iburst
                
                	Send a burst when peer is unreachable (Default)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: key
                
                	Configure peer authentication key
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: maxpoll
                
                	Maximum poll interval
                	**type**\: int
                
                	**range:** 4..17
                
                .. attribute:: minpoll
                
                	Minimum poll interval
                	**type**\: int
                
                	**range:** 4..17
                
                .. attribute:: prefer
                
                	Prefer this peer when possible
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	Interface for source address
                	**type**\: str
                
                .. attribute:: version
                
                	    Configure NTP version
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.Peer.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "peer"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.host_name = YLeaf(YType.str, "host-name")

                    self.burst = YLeaf(YType.empty, "burst")

                    self.iburst = YLeaf(YType.empty, "iburst")

                    self.key = YLeaf(YType.uint32, "key")

                    self.maxpoll = YLeaf(YType.uint8, "maxpoll")

                    self.minpoll = YLeaf(YType.uint8, "minpoll")

                    self.prefer = YLeaf(YType.empty, "prefer")

                    self.source = YLeaf(YType.str, "source")

                    self.version = YLeaf(YType.uint8, "version")
                    self._segment_path = lambda: "ip" + "[host-name='" + self.host_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:peer/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.Peer.Ip, ['host_name', 'burst', 'iburst', 'key', 'maxpoll', 'minpoll', 'prefer', 'source', 'version'], name, value)


            class Ipv6(Entity):
                """
                Use IPv6 for DNS resolution
                
                .. attribute:: host_name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: burst
                
                	Send a burst when peer is reachable (Default)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iburst
                
                	Send a burst when peer is unreachable (Default)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: key
                
                	Configure peer authentication key
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: maxpoll
                
                	Maximum poll interval
                	**type**\: int
                
                	**range:** 4..17
                
                .. attribute:: minpoll
                
                	Minimum poll interval
                	**type**\: int
                
                	**range:** 4..17
                
                .. attribute:: prefer
                
                	Prefer this peer when possible
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	Interface for source address
                	**type**\: str
                
                .. attribute:: version
                
                	    Configure NTP version
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.Peer.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "peer"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.host_name = YLeaf(YType.str, "host-name")

                    self.burst = YLeaf(YType.empty, "burst")

                    self.iburst = YLeaf(YType.empty, "iburst")

                    self.key = YLeaf(YType.uint32, "key")

                    self.maxpoll = YLeaf(YType.uint8, "maxpoll")

                    self.minpoll = YLeaf(YType.uint8, "minpoll")

                    self.prefer = YLeaf(YType.empty, "prefer")

                    self.source = YLeaf(YType.str, "source")

                    self.version = YLeaf(YType.uint8, "version")
                    self._segment_path = lambda: "ipv6" + "[host-name='" + self.host_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:peer/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.Peer.Ipv6, ['host_name', 'burst', 'iburst', 'key', 'maxpoll', 'minpoll', 'prefer', 'source', 'version'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding Information
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: server_list
                
                	
                	**type**\: list of  		 :py:class:`ServerList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.Vrf.ServerList>`
                
                .. attribute:: ip
                
                	Use IP for DNS resolution
                	**type**\: list of  		 :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.Vrf.Ip>`
                
                .. attribute:: ipv6
                
                	Use IPv6 for DNS resolution
                	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Peer.Vrf.Ipv6>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.Peer.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "peer"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"server-list" : ("server_list", Native.Ntp.Peer.Vrf.ServerList), "ip" : ("ip", Native.Ntp.Peer.Vrf.Ip), "ipv6" : ("ipv6", Native.Ntp.Peer.Vrf.Ipv6)}

                    self.name = YLeaf(YType.str, "name")

                    self.server_list = YList(self)
                    self.ip = YList(self)
                    self.ipv6 = YList(self)
                    self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:peer/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.Peer.Vrf, ['name'], name, value)


                class ServerList(Entity):
                    """
                    
                    
                    .. attribute:: ip_address  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: burst
                    
                    	Send a burst when peer is reachable (Default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: iburst
                    
                    	Send a burst when peer is unreachable (Default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: key
                    
                    	Configure peer authentication key
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: maxpoll
                    
                    	Maximum poll interval
                    	**type**\: int
                    
                    	**range:** 4..17
                    
                    .. attribute:: minpoll
                    
                    	Minimum poll interval
                    	**type**\: int
                    
                    	**range:** 4..17
                    
                    .. attribute:: prefer
                    
                    	Prefer this peer when possible
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source
                    
                    	Interface for source address
                    	**type**\: str
                    
                    .. attribute:: version
                    
                    	    Configure NTP version
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.Peer.Vrf.ServerList, self).__init__()

                        self.yang_name = "server-list"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ip_address = YLeaf(YType.str, "ip-address")

                        self.burst = YLeaf(YType.empty, "burst")

                        self.iburst = YLeaf(YType.empty, "iburst")

                        self.key = YLeaf(YType.uint32, "key")

                        self.maxpoll = YLeaf(YType.uint8, "maxpoll")

                        self.minpoll = YLeaf(YType.uint8, "minpoll")

                        self.prefer = YLeaf(YType.empty, "prefer")

                        self.source = YLeaf(YType.str, "source")

                        self.version = YLeaf(YType.uint8, "version")
                        self._segment_path = lambda: "server-list" + "[ip-address='" + self.ip_address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.Peer.Vrf.ServerList, ['ip_address', 'burst', 'iburst', 'key', 'maxpoll', 'minpoll', 'prefer', 'source', 'version'], name, value)


                class Ip(Entity):
                    """
                    Use IP for DNS resolution
                    
                    .. attribute:: host_name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: burst
                    
                    	Send a burst when peer is reachable (Default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: iburst
                    
                    	Send a burst when peer is unreachable (Default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: key
                    
                    	Configure peer authentication key
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: maxpoll
                    
                    	Maximum poll interval
                    	**type**\: int
                    
                    	**range:** 4..17
                    
                    .. attribute:: minpoll
                    
                    	Minimum poll interval
                    	**type**\: int
                    
                    	**range:** 4..17
                    
                    .. attribute:: prefer
                    
                    	Prefer this peer when possible
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source
                    
                    	Interface for source address
                    	**type**\: str
                    
                    .. attribute:: version
                    
                    	    Configure NTP version
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.Peer.Vrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.host_name = YLeaf(YType.str, "host-name")

                        self.burst = YLeaf(YType.empty, "burst")

                        self.iburst = YLeaf(YType.empty, "iburst")

                        self.key = YLeaf(YType.uint32, "key")

                        self.maxpoll = YLeaf(YType.uint8, "maxpoll")

                        self.minpoll = YLeaf(YType.uint8, "minpoll")

                        self.prefer = YLeaf(YType.empty, "prefer")

                        self.source = YLeaf(YType.str, "source")

                        self.version = YLeaf(YType.uint8, "version")
                        self._segment_path = lambda: "ip" + "[host-name='" + self.host_name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.Peer.Vrf.Ip, ['host_name', 'burst', 'iburst', 'key', 'maxpoll', 'minpoll', 'prefer', 'source', 'version'], name, value)


                class Ipv6(Entity):
                    """
                    Use IPv6 for DNS resolution
                    
                    .. attribute:: host_name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: burst
                    
                    	Send a burst when peer is reachable (Default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: iburst
                    
                    	Send a burst when peer is unreachable (Default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: key
                    
                    	Configure peer authentication key
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: maxpoll
                    
                    	Maximum poll interval
                    	**type**\: int
                    
                    	**range:** 4..17
                    
                    .. attribute:: minpoll
                    
                    	Minimum poll interval
                    	**type**\: int
                    
                    	**range:** 4..17
                    
                    .. attribute:: prefer
                    
                    	Prefer this peer when possible
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source
                    
                    	Interface for source address
                    	**type**\: str
                    
                    .. attribute:: version
                    
                    	    Configure NTP version
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.Peer.Vrf.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.host_name = YLeaf(YType.str, "host-name")

                        self.burst = YLeaf(YType.empty, "burst")

                        self.iburst = YLeaf(YType.empty, "iburst")

                        self.key = YLeaf(YType.uint32, "key")

                        self.maxpoll = YLeaf(YType.uint8, "maxpoll")

                        self.minpoll = YLeaf(YType.uint8, "minpoll")

                        self.prefer = YLeaf(YType.empty, "prefer")

                        self.source = YLeaf(YType.str, "source")

                        self.version = YLeaf(YType.uint8, "version")
                        self._segment_path = lambda: "ipv6" + "[host-name='" + self.host_name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.Peer.Vrf.Ipv6, ['host_name', 'burst', 'iburst', 'key', 'maxpoll', 'minpoll', 'prefer', 'source', 'version'], name, value)


        class Server(Entity):
            """
            Configure NTP server
            
            .. attribute:: server_list
            
            	
            	**type**\: list of  		 :py:class:`ServerList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.ServerList>`
            
            .. attribute:: ip
            
            	Use IP for DNS resolution
            	**type**\: list of  		 :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.Ip>`
            
            .. attribute:: ipv6
            
            	Use IPv6 for DNS resolution
            	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.Ipv6>`
            
            .. attribute:: vrf
            
            	VPN Routing/Forwarding Information
            	**type**\: list of  		 :py:class:`Vrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.Vrf>`
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ntp.Server, self).__init__()

                self.yang_name = "server"
                self.yang_parent_name = "ntp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"server-list" : ("server_list", Native.Ntp.Server.ServerList), "ip" : ("ip", Native.Ntp.Server.Ip), "ipv6" : ("ipv6", Native.Ntp.Server.Ipv6), "vrf" : ("vrf", Native.Ntp.Server.Vrf)}

                self.server_list = YList(self)
                self.ip = YList(self)
                self.ipv6 = YList(self)
                self.vrf = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-ntp:server"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ntp.Server, [], name, value)


            class ServerList(Entity):
                """
                
                
                .. attribute:: ip_address  <key>
                
                	
                	**type**\: union of the below types:
                
                		**type**\: str
                
                			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                
                		**type**\: str
                
                		**type**\: str
                
                			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                
                .. attribute:: burst
                
                	Send a burst when peer is reachable (Default)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iburst
                
                	Send a burst when peer is unreachable (Default)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: key
                
                	Configure peer authentication key
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: maxpoll
                
                	Maximum poll interval
                	**type**\: int
                
                	**range:** 4..17
                
                .. attribute:: minpoll
                
                	Minimum poll interval
                	**type**\: int
                
                	**range:** 4..17
                
                .. attribute:: prefer
                
                	Prefer this peer when possible
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	Interface for source address
                	**type**\: str
                
                .. attribute:: version
                
                	    Configure NTP version
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.Server.ServerList, self).__init__()

                    self.yang_name = "server-list"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ip_address = YLeaf(YType.str, "ip-address")

                    self.burst = YLeaf(YType.empty, "burst")

                    self.iburst = YLeaf(YType.empty, "iburst")

                    self.key = YLeaf(YType.uint32, "key")

                    self.maxpoll = YLeaf(YType.uint8, "maxpoll")

                    self.minpoll = YLeaf(YType.uint8, "minpoll")

                    self.prefer = YLeaf(YType.empty, "prefer")

                    self.source = YLeaf(YType.str, "source")

                    self.version = YLeaf(YType.uint8, "version")
                    self._segment_path = lambda: "server-list" + "[ip-address='" + self.ip_address.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:server/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.Server.ServerList, ['ip_address', 'burst', 'iburst', 'key', 'maxpoll', 'minpoll', 'prefer', 'source', 'version'], name, value)


            class Ip(Entity):
                """
                Use IP for DNS resolution
                
                .. attribute:: host_name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: burst
                
                	Send a burst when peer is reachable (Default)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iburst
                
                	Send a burst when peer is unreachable (Default)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: key
                
                	Configure peer authentication key
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: maxpoll
                
                	Maximum poll interval
                	**type**\: int
                
                	**range:** 4..17
                
                .. attribute:: minpoll
                
                	Minimum poll interval
                	**type**\: int
                
                	**range:** 4..17
                
                .. attribute:: prefer
                
                	Prefer this peer when possible
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	Interface for source address
                	**type**\: str
                
                .. attribute:: version
                
                	    Configure NTP version
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.Server.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.host_name = YLeaf(YType.str, "host-name")

                    self.burst = YLeaf(YType.empty, "burst")

                    self.iburst = YLeaf(YType.empty, "iburst")

                    self.key = YLeaf(YType.uint32, "key")

                    self.maxpoll = YLeaf(YType.uint8, "maxpoll")

                    self.minpoll = YLeaf(YType.uint8, "minpoll")

                    self.prefer = YLeaf(YType.empty, "prefer")

                    self.source = YLeaf(YType.str, "source")

                    self.version = YLeaf(YType.uint8, "version")
                    self._segment_path = lambda: "ip" + "[host-name='" + self.host_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:server/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.Server.Ip, ['host_name', 'burst', 'iburst', 'key', 'maxpoll', 'minpoll', 'prefer', 'source', 'version'], name, value)


            class Ipv6(Entity):
                """
                Use IPv6 for DNS resolution
                
                .. attribute:: host_name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: burst
                
                	Send a burst when peer is reachable (Default)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: iburst
                
                	Send a burst when peer is unreachable (Default)
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: key
                
                	Configure peer authentication key
                	**type**\: int
                
                	**range:** 0..4294967295
                
                .. attribute:: maxpoll
                
                	Maximum poll interval
                	**type**\: int
                
                	**range:** 4..17
                
                .. attribute:: minpoll
                
                	Minimum poll interval
                	**type**\: int
                
                	**range:** 4..17
                
                .. attribute:: prefer
                
                	Prefer this peer when possible
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: source
                
                	Interface for source address
                	**type**\: str
                
                .. attribute:: version
                
                	    Configure NTP version
                	**type**\: int
                
                	**range:** 0..255
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.Server.Ipv6, self).__init__()

                    self.yang_name = "ipv6"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.host_name = YLeaf(YType.str, "host-name")

                    self.burst = YLeaf(YType.empty, "burst")

                    self.iburst = YLeaf(YType.empty, "iburst")

                    self.key = YLeaf(YType.uint32, "key")

                    self.maxpoll = YLeaf(YType.uint8, "maxpoll")

                    self.minpoll = YLeaf(YType.uint8, "minpoll")

                    self.prefer = YLeaf(YType.empty, "prefer")

                    self.source = YLeaf(YType.str, "source")

                    self.version = YLeaf(YType.uint8, "version")
                    self._segment_path = lambda: "ipv6" + "[host-name='" + self.host_name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:server/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.Server.Ipv6, ['host_name', 'burst', 'iburst', 'key', 'maxpoll', 'minpoll', 'prefer', 'source', 'version'], name, value)


            class Vrf(Entity):
                """
                VPN Routing/Forwarding Information
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: server_list
                
                	
                	**type**\: list of  		 :py:class:`ServerList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.Vrf.ServerList>`
                
                .. attribute:: ip
                
                	Use IP for DNS resolution
                	**type**\: list of  		 :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.Vrf.Ip>`
                
                .. attribute:: ipv6
                
                	Use IPv6 for DNS resolution
                	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Server.Vrf.Ipv6>`
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.Server.Vrf, self).__init__()

                    self.yang_name = "vrf"
                    self.yang_parent_name = "server"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"server-list" : ("server_list", Native.Ntp.Server.Vrf.ServerList), "ip" : ("ip", Native.Ntp.Server.Vrf.Ip), "ipv6" : ("ipv6", Native.Ntp.Server.Vrf.Ipv6)}

                    self.name = YLeaf(YType.str, "name")

                    self.server_list = YList(self)
                    self.ip = YList(self)
                    self.ipv6 = YList(self)
                    self._segment_path = lambda: "vrf" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:server/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.Server.Vrf, ['name'], name, value)


                class ServerList(Entity):
                    """
                    
                    
                    .. attribute:: ip_address  <key>
                    
                    	
                    	**type**\: union of the below types:
                    
                    		**type**\: str
                    
                    			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    		**type**\: str
                    
                    		**type**\: str
                    
                    			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: burst
                    
                    	Send a burst when peer is reachable (Default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: iburst
                    
                    	Send a burst when peer is unreachable (Default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: key
                    
                    	Configure peer authentication key
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: maxpoll
                    
                    	Maximum poll interval
                    	**type**\: int
                    
                    	**range:** 4..17
                    
                    .. attribute:: minpoll
                    
                    	Minimum poll interval
                    	**type**\: int
                    
                    	**range:** 4..17
                    
                    .. attribute:: prefer
                    
                    	Prefer this peer when possible
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source
                    
                    	Interface for source address
                    	**type**\: str
                    
                    .. attribute:: version
                    
                    	    Configure NTP version
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.Server.Vrf.ServerList, self).__init__()

                        self.yang_name = "server-list"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.ip_address = YLeaf(YType.str, "ip-address")

                        self.burst = YLeaf(YType.empty, "burst")

                        self.iburst = YLeaf(YType.empty, "iburst")

                        self.key = YLeaf(YType.uint32, "key")

                        self.maxpoll = YLeaf(YType.uint8, "maxpoll")

                        self.minpoll = YLeaf(YType.uint8, "minpoll")

                        self.prefer = YLeaf(YType.empty, "prefer")

                        self.source = YLeaf(YType.str, "source")

                        self.version = YLeaf(YType.uint8, "version")
                        self._segment_path = lambda: "server-list" + "[ip-address='" + self.ip_address.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.Server.Vrf.ServerList, ['ip_address', 'burst', 'iburst', 'key', 'maxpoll', 'minpoll', 'prefer', 'source', 'version'], name, value)


                class Ip(Entity):
                    """
                    Use IP for DNS resolution
                    
                    .. attribute:: host_name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: burst
                    
                    	Send a burst when peer is reachable (Default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: iburst
                    
                    	Send a burst when peer is unreachable (Default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: key
                    
                    	Configure peer authentication key
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: maxpoll
                    
                    	Maximum poll interval
                    	**type**\: int
                    
                    	**range:** 4..17
                    
                    .. attribute:: minpoll
                    
                    	Minimum poll interval
                    	**type**\: int
                    
                    	**range:** 4..17
                    
                    .. attribute:: prefer
                    
                    	Prefer this peer when possible
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source
                    
                    	Interface for source address
                    	**type**\: str
                    
                    .. attribute:: version
                    
                    	    Configure NTP version
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.Server.Vrf.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.host_name = YLeaf(YType.str, "host-name")

                        self.burst = YLeaf(YType.empty, "burst")

                        self.iburst = YLeaf(YType.empty, "iburst")

                        self.key = YLeaf(YType.uint32, "key")

                        self.maxpoll = YLeaf(YType.uint8, "maxpoll")

                        self.minpoll = YLeaf(YType.uint8, "minpoll")

                        self.prefer = YLeaf(YType.empty, "prefer")

                        self.source = YLeaf(YType.str, "source")

                        self.version = YLeaf(YType.uint8, "version")
                        self._segment_path = lambda: "ip" + "[host-name='" + self.host_name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.Server.Vrf.Ip, ['host_name', 'burst', 'iburst', 'key', 'maxpoll', 'minpoll', 'prefer', 'source', 'version'], name, value)


                class Ipv6(Entity):
                    """
                    Use IPv6 for DNS resolution
                    
                    .. attribute:: host_name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: burst
                    
                    	Send a burst when peer is reachable (Default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: iburst
                    
                    	Send a burst when peer is unreachable (Default)
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: key
                    
                    	Configure peer authentication key
                    	**type**\: int
                    
                    	**range:** 0..4294967295
                    
                    .. attribute:: maxpoll
                    
                    	Maximum poll interval
                    	**type**\: int
                    
                    	**range:** 4..17
                    
                    .. attribute:: minpoll
                    
                    	Minimum poll interval
                    	**type**\: int
                    
                    	**range:** 4..17
                    
                    .. attribute:: prefer
                    
                    	Prefer this peer when possible
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: source
                    
                    	Interface for source address
                    	**type**\: str
                    
                    .. attribute:: version
                    
                    	    Configure NTP version
                    	**type**\: int
                    
                    	**range:** 0..255
                    
                    

                    """

                    _prefix = 'ios-ntp'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Ntp.Server.Vrf.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "vrf"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.host_name = YLeaf(YType.str, "host-name")

                        self.burst = YLeaf(YType.empty, "burst")

                        self.iburst = YLeaf(YType.empty, "iburst")

                        self.key = YLeaf(YType.uint32, "key")

                        self.maxpoll = YLeaf(YType.uint8, "maxpoll")

                        self.minpoll = YLeaf(YType.uint8, "minpoll")

                        self.prefer = YLeaf(YType.empty, "prefer")

                        self.source = YLeaf(YType.str, "source")

                        self.version = YLeaf(YType.uint8, "version")
                        self._segment_path = lambda: "ipv6" + "[host-name='" + self.host_name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Ntp.Server.Vrf.Ipv6, ['host_name', 'burst', 'iburst', 'key', 'maxpoll', 'minpoll', 'prefer', 'source', 'version'], name, value)


        class Source(Entity):
            """
            Configure interface for source address
            
            .. attribute:: appnav_compress
            
            	Service\-Context Virtual Interface Compress
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: appnav_uncompress
            
            	Service\-Context Virtual Interface UnCompress
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: atm
            
            	ATM interface
            	**type**\: str
            
            	**pattern:** ([0\-9]/){2}([0\-9]\|(ima[0\-9]))(\:[0\-9])?
            
            .. attribute:: atm_subinterface
            
            	
            	**type**\:  :py:class:`ATMSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Source.ATMSubinterface>`
            
            .. attribute:: atm_acr
            
            	ATM\-ACR interface
            	**type**\: str
            
            	**pattern:** [0\-9]
            
            .. attribute:: atm_acrsubinterface
            
            	
            	**type**\:  :py:class:`ATMACRsubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Source.ATMACRsubinterface>`
            
            .. attribute:: bdi
            
            	Bridge\-Domain interface
            	**type**\: str
            
            .. attribute:: cem
            
            	CEM interface
            	**type**\: str
            
            	**pattern:** ([0\-9]/){2}[0\-9]
            
            .. attribute:: cem_acr
            
            	CEM\-ACR interface
            	**type**\: int
            
            	**range:** 0..255
            
            .. attribute:: embedded_service_engine
            
            	cisco embedded service engine module
            	**type**\: str
            
            .. attribute:: fastethernet
            
            	FastEthernet IEEE 802.3
            	**type**\: str
            
            .. attribute:: gigabitethernet
            
            	GigabitEthernet IEEE 802.3z
            	**type**\: str
            
            .. attribute:: lisp
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\: str
            
            .. attribute:: lisp_subinterface
            
            	Locator/ID Separation Protocol Virtual Interface
            	**type**\:  :py:class:`LISPSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Source.LISPSubinterface>`
            
            .. attribute:: loopback
            
            	Loopback interface
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: multilink
            
            	Multilink\-group interface
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: nve
            
            	Network virtualization endpoint interface
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: overlay
            
            	Overlay interface
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: port_channel
            
            	Ethernet Channel of interfaces
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: port_channel_subinterface
            
            	
            	**type**\:  :py:class:`PortChannelSubinterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Ntp.Source.PortChannelSubinterface>`
            
            .. attribute:: pseudowire
            
            	Pseudowire Interface
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: sm
            
            	SM Interface
            	**type**\: str
            
            .. attribute:: cellular
            
            	Cellular Interface
            	**type**\: str
            
            .. attribute:: serial
            
            	Serial interface
            	**type**\: str
            
            .. attribute:: tengigabitethernet
            
            	Ten Gigabit Ethernet
            	**type**\: str
            
            .. attribute:: tunnel
            
            	Tunnel interface
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: virtual_template
            
            	Virtual Template interface
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: vlan
            
            	Iosxr Vlans
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: virtualportgroup
            
            	Virtual Port Group
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: vasileft
            
            	vasileft
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: vasiright
            
            	vasiright
            	**type**\: int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ntp.Source, self).__init__()

                self.yang_name = "source"
                self.yang_parent_name = "ntp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ATM-subinterface" : ("atm_subinterface", Native.Ntp.Source.ATMSubinterface), "ATM-ACRsubinterface" : ("atm_acrsubinterface", Native.Ntp.Source.ATMACRsubinterface), "LISP-subinterface" : ("lisp_subinterface", Native.Ntp.Source.LISPSubinterface), "Port-channel-subinterface" : ("port_channel_subinterface", Native.Ntp.Source.PortChannelSubinterface)}
                self._child_list_classes = {}

                self.appnav_compress = YLeaf(YType.uint16, "AppNav-Compress")

                self.appnav_uncompress = YLeaf(YType.uint16, "AppNav-UnCompress")

                self.atm = YLeaf(YType.str, "ATM")

                self.atm_acr = YLeaf(YType.str, "ATM-ACR")

                self.bdi = YLeaf(YType.str, "BDI")

                self.cem = YLeaf(YType.str, "CEM")

                self.cem_acr = YLeaf(YType.uint8, "CEM-ACR")

                self.embedded_service_engine = YLeaf(YType.str, "Embedded-Service-Engine")

                self.fastethernet = YLeaf(YType.str, "FastEthernet")

                self.gigabitethernet = YLeaf(YType.str, "GigabitEthernet")

                self.lisp = YLeaf(YType.str, "LISP")

                self.loopback = YLeaf(YType.uint32, "Loopback")

                self.multilink = YLeaf(YType.uint16, "Multilink")

                self.nve = YLeaf(YType.uint16, "nve")

                self.overlay = YLeaf(YType.uint16, "overlay")

                self.port_channel = YLeaf(YType.uint32, "Port-channel")

                self.pseudowire = YLeaf(YType.uint32, "pseudowire")

                self.sm = YLeaf(YType.str, "SM")

                self.cellular = YLeaf(YType.str, "Cellular")

                self.serial = YLeaf(YType.str, "Serial")

                self.tengigabitethernet = YLeaf(YType.str, "TenGigabitEthernet")

                self.tunnel = YLeaf(YType.uint32, "Tunnel")

                self.virtual_template = YLeaf(YType.uint16, "Virtual-Template")

                self.vlan = YLeaf(YType.uint16, "Vlan")

                self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")

                self.vasileft = YLeaf(YType.uint16, "vasileft")

                self.vasiright = YLeaf(YType.uint16, "vasiright")

                self.atm_subinterface = Native.Ntp.Source.ATMSubinterface()
                self.atm_subinterface.parent = self
                self._children_name_map["atm_subinterface"] = "ATM-subinterface"
                self._children_yang_names.add("ATM-subinterface")

                self.atm_acrsubinterface = Native.Ntp.Source.ATMACRsubinterface()
                self.atm_acrsubinterface.parent = self
                self._children_name_map["atm_acrsubinterface"] = "ATM-ACRsubinterface"
                self._children_yang_names.add("ATM-ACRsubinterface")

                self.lisp_subinterface = Native.Ntp.Source.LISPSubinterface()
                self.lisp_subinterface.parent = self
                self._children_name_map["lisp_subinterface"] = "LISP-subinterface"
                self._children_yang_names.add("LISP-subinterface")

                self.port_channel_subinterface = Native.Ntp.Source.PortChannelSubinterface()
                self.port_channel_subinterface.parent = self
                self._children_name_map["port_channel_subinterface"] = "Port-channel-subinterface"
                self._children_yang_names.add("Port-channel-subinterface")
                self._segment_path = lambda: "Cisco-IOS-XE-ntp:source"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ntp.Source, ['appnav_compress', 'appnav_uncompress', 'atm', 'atm_acr', 'bdi', 'cem', 'cem_acr', 'embedded_service_engine', 'fastethernet', 'gigabitethernet', 'lisp', 'loopback', 'multilink', 'nve', 'overlay', 'port_channel', 'pseudowire', 'sm', 'cellular', 'serial', 'tengigabitethernet', 'tunnel', 'virtual_template', 'vlan', 'virtualportgroup', 'vasileft', 'vasiright'], name, value)


            class ATMSubinterface(Entity):
                """
                
                
                .. attribute:: atm
                
                	
                	**type**\: str
                
                	**pattern:** ([0\-9]/){2}[0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.Source.ATMSubinterface, self).__init__()

                    self.yang_name = "ATM-subinterface"
                    self.yang_parent_name = "source"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.atm = YLeaf(YType.str, "ATM")
                    self._segment_path = lambda: "ATM-subinterface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:source/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.Source.ATMSubinterface, ['atm'], name, value)


            class ATMACRsubinterface(Entity):
                """
                
                
                .. attribute:: atm_acr
                
                	
                	**type**\: str
                
                	**pattern:** [0\-9]\\.([0\-9]/){3}[0\-9]
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.Source.ATMACRsubinterface, self).__init__()

                    self.yang_name = "ATM-ACRsubinterface"
                    self.yang_parent_name = "source"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.atm_acr = YLeaf(YType.str, "ATM-ACR")
                    self._segment_path = lambda: "ATM-ACRsubinterface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:source/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.Source.ATMACRsubinterface, ['atm_acr'], name, value)


            class LISPSubinterface(Entity):
                """
                Locator/ID Separation Protocol Virtual Interface
                
                .. attribute:: lisp
                
                	
                	**type**\: str
                
                	**pattern:** [0\-9]\*(. ?[1\-9][0\-9]\*)\*
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.Source.LISPSubinterface, self).__init__()

                    self.yang_name = "LISP-subinterface"
                    self.yang_parent_name = "source"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.lisp = YLeaf(YType.str, "LISP")
                    self._segment_path = lambda: "LISP-subinterface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:source/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.Source.LISPSubinterface, ['lisp'], name, value)


            class PortChannelSubinterface(Entity):
                """
                
                
                .. attribute:: port_channel
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-ntp'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Ntp.Source.PortChannelSubinterface, self).__init__()

                    self.yang_name = "Port-channel-subinterface"
                    self.yang_parent_name = "source"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.port_channel = YLeaf(YType.str, "Port-channel")
                    self._segment_path = lambda: "Port-channel-subinterface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/Cisco-IOS-XE-ntp:source/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Ntp.Source.PortChannelSubinterface, ['port_channel'], name, value)


        class TrustedKey(Entity):
            """
            Key numbers for trusted time sources
            
            .. attribute:: number  <key>
            
            	
            	**type**\: int
            
            	**range:** 0..65535
            
            .. attribute:: end_key
            
            	End Key
            	**type**\: int
            
            	**range:** 0..65535
            
            

            """

            _prefix = 'ios-ntp'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Ntp.TrustedKey, self).__init__()

                self.yang_name = "trusted-key"
                self.yang_parent_name = "ntp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.number = YLeaf(YType.uint16, "number")

                self.end_key = YLeaf(YType.uint16, "end-key")
                self._segment_path = lambda: "Cisco-IOS-XE-ntp:trusted-key" + "[number='" + self.number.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/ntp/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Ntp.TrustedKey, ['number', 'end_key'], name, value)


    class Wsma(Entity):
        """
        Configure Web Services Management Agents
        
        .. attribute:: agent
        
        	Configure WSMA agents
        	**type**\:  :py:class:`Agent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Agent>`
        
        .. attribute:: profile
        
        	Configure WSMA profile
        	**type**\:  :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Profile>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Wsma, self).__init__()

            self.yang_name = "wsma"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-wsma:agent" : ("agent", Native.Wsma.Agent), "Cisco-IOS-XE-wsma:profile" : ("profile", Native.Wsma.Profile)}
            self._child_list_classes = {}

            self.agent = Native.Wsma.Agent()
            self.agent.parent = self
            self._children_name_map["agent"] = "agent"
            self._children_yang_names.add("agent")

            self.profile = Native.Wsma.Profile()
            self.profile.parent = self
            self._children_name_map["profile"] = "profile"
            self._children_yang_names.add("profile")
            self._segment_path = lambda: "wsma"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Agent(Entity):
            """
            Configure WSMA agents
            
            .. attribute:: exec_
            
            	Start WSMA exec agent
            	**type**\:  :py:class:`Exec_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Agent.Exec_>`
            
            .. attribute:: config
            
            	Start WSMA config agent
            	**type**\:  :py:class:`Config <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Agent.Config>`
            
            .. attribute:: filesys
            
            	Start WSMA file system agent
            	**type**\:  :py:class:`Filesys <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Agent.Filesys>`
            
            .. attribute:: notify
            
            	Start WSMA notify agent
            	**type**\:  :py:class:`Notify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Agent.Notify>`
            
            

            """

            _prefix = 'ios-wsma'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Wsma.Agent, self).__init__()

                self.yang_name = "agent"
                self.yang_parent_name = "wsma"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"exec" : ("exec_", Native.Wsma.Agent.Exec_), "config" : ("config", Native.Wsma.Agent.Config), "filesys" : ("filesys", Native.Wsma.Agent.Filesys), "notify" : ("notify", Native.Wsma.Agent.Notify)}
                self._child_list_classes = {}

                self.exec_ = Native.Wsma.Agent.Exec_()
                self.exec_.parent = self
                self._children_name_map["exec_"] = "exec"
                self._children_yang_names.add("exec")

                self.config = Native.Wsma.Agent.Config()
                self.config.parent = self
                self._children_name_map["config"] = "config"
                self._children_yang_names.add("config")

                self.filesys = Native.Wsma.Agent.Filesys()
                self.filesys.parent = self
                self._children_name_map["filesys"] = "filesys"
                self._children_yang_names.add("filesys")

                self.notify = Native.Wsma.Agent.Notify()
                self.notify.parent = self
                self._children_name_map["notify"] = "notify"
                self._children_yang_names.add("notify")
                self._segment_path = lambda: "Cisco-IOS-XE-wsma:agent"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/wsma/%s" % self._segment_path()


            class Exec_(Entity):
                """
                Start WSMA exec agent
                
                .. attribute:: profile
                
                	
                	**type**\: list of str
                
                

                """

                _prefix = 'ios-wsma'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Wsma.Agent.Exec_, self).__init__()

                    self.yang_name = "exec"
                    self.yang_parent_name = "agent"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.profile = YLeafList(YType.str, "profile")
                    self._segment_path = lambda: "exec"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/wsma/Cisco-IOS-XE-wsma:agent/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Wsma.Agent.Exec_, ['profile'], name, value)


            class Config(Entity):
                """
                Start WSMA config agent
                
                .. attribute:: profile
                
                	
                	**type**\: list of str
                
                

                """

                _prefix = 'ios-wsma'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Wsma.Agent.Config, self).__init__()

                    self.yang_name = "config"
                    self.yang_parent_name = "agent"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.profile = YLeafList(YType.str, "profile")
                    self._segment_path = lambda: "config"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/wsma/Cisco-IOS-XE-wsma:agent/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Wsma.Agent.Config, ['profile'], name, value)


            class Filesys(Entity):
                """
                Start WSMA file system agent
                
                .. attribute:: profile
                
                	
                	**type**\: list of str
                
                

                """

                _prefix = 'ios-wsma'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Wsma.Agent.Filesys, self).__init__()

                    self.yang_name = "filesys"
                    self.yang_parent_name = "agent"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.profile = YLeafList(YType.str, "profile")
                    self._segment_path = lambda: "filesys"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/wsma/Cisco-IOS-XE-wsma:agent/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Wsma.Agent.Filesys, ['profile'], name, value)


            class Notify(Entity):
                """
                Start WSMA notify agent
                
                .. attribute:: profile
                
                	
                	**type**\: list of str
                
                

                """

                _prefix = 'ios-wsma'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Wsma.Agent.Notify, self).__init__()

                    self.yang_name = "notify"
                    self.yang_parent_name = "agent"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.profile = YLeafList(YType.str, "profile")
                    self._segment_path = lambda: "notify"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/wsma/Cisco-IOS-XE-wsma:agent/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Wsma.Agent.Notify, ['profile'], name, value)


        class Profile(Entity):
            """
            Configure WSMA profile
            
            .. attribute:: listener
            
            	Configure a listener profile
            	**type**\: list of  		 :py:class:`Listener <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Profile.Listener>`
            
            

            """

            _prefix = 'ios-wsma'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Wsma.Profile, self).__init__()

                self.yang_name = "profile"
                self.yang_parent_name = "wsma"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"listener" : ("listener", Native.Wsma.Profile.Listener)}

                self.listener = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-wsma:profile"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/wsma/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Wsma.Profile, [], name, value)


            class Listener(Entity):
                """
                Configure a listener profile
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: transport
                
                	The transport to use
                	**type**\:  :py:class:`Transport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Wsma.Profile.Listener.Transport>`
                
                

                """

                _prefix = 'ios-wsma'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Wsma.Profile.Listener, self).__init__()

                    self.yang_name = "listener"
                    self.yang_parent_name = "profile"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.transport = YLeaf(YType.enumeration, "transport")
                    self._segment_path = lambda: "listener" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/wsma/Cisco-IOS-XE-wsma:profile/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Wsma.Profile.Listener, ['name', 'transport'], name, value)

                class Transport(Enum):
                    """
                    Transport

                    The transport to use

                    .. data:: http = 0

                    .. data:: https = 1

                    .. data:: ssh = 2

                    .. data:: tls = 3

                    """

                    http = Enum.YLeaf(0, "http")

                    https = Enum.YLeaf(1, "https")

                    ssh = Enum.YLeaf(2, "ssh")

                    tls = Enum.YLeaf(3, "tls")



    class Event(Entity):
        """
        Event related configuration commands
        
        .. attribute:: manager
        
        	Event Manager configuration commands
        	**type**\:  :py:class:`Manager <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Event, self).__init__()

            self.yang_name = "event"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"Cisco-IOS-XE-eem:manager" : ("manager", Native.Event.Manager)}
            self._child_list_classes = {}

            self.manager = Native.Event.Manager()
            self.manager.parent = self
            self._children_name_map["manager"] = "manager"
            self._children_yang_names.add("manager")
            self._segment_path = lambda: "event"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Manager(Entity):
            """
            Event Manager configuration commands
            
            .. attribute:: environment
            
            	Set an Embedded Event Manager global environment variable
            	**type**\: list of  		 :py:class:`Environment <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Environment>`
            
            .. attribute:: directory
            
            	Set Embedded Event Manager directory information
            	**type**\:  :py:class:`Directory <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Directory>`
            
            .. attribute:: session
            
            	Set Embedded Event Manager session attributes
            	**type**\:  :py:class:`Session <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Session>`
            
            .. attribute:: applet
            
            	Register an Event Manager applet
            	**type**\: list of  		 :py:class:`Applet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet>`
            
            

            """

            _prefix = 'ios-eem'
            _revision = '2017-04-13'

            def __init__(self):
                super(Native.Event.Manager, self).__init__()

                self.yang_name = "manager"
                self.yang_parent_name = "event"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"directory" : ("directory", Native.Event.Manager.Directory), "session" : ("session", Native.Event.Manager.Session)}
                self._child_list_classes = {"environment" : ("environment", Native.Event.Manager.Environment), "applet" : ("applet", Native.Event.Manager.Applet)}

                self.directory = Native.Event.Manager.Directory()
                self.directory.parent = self
                self._children_name_map["directory"] = "directory"
                self._children_yang_names.add("directory")

                self.session = Native.Event.Manager.Session()
                self.session.parent = self
                self._children_name_map["session"] = "session"
                self._children_yang_names.add("session")

                self.environment = YList(self)
                self.applet = YList(self)
                self._segment_path = lambda: "Cisco-IOS-XE-eem:manager"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/event/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Event.Manager, [], name, value)


            class Environment(Entity):
                """
                Set an Embedded Event Manager global environment variable
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: value
                
                	
                	**type**\: str
                
                

                """

                _prefix = 'ios-eem'
                _revision = '2017-04-13'

                def __init__(self):
                    super(Native.Event.Manager.Environment, self).__init__()

                    self.yang_name = "environment"
                    self.yang_parent_name = "manager"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.str, "name")

                    self.value = YLeaf(YType.str, "value")
                    self._segment_path = lambda: "environment" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/event/Cisco-IOS-XE-eem:manager/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Event.Manager.Environment, ['name', 'value'], name, value)


            class Directory(Entity):
                """
                Set Embedded Event Manager directory information
                
                .. attribute:: user
                
                	Set Embedded Event Manager user directory information
                	**type**\:  :py:class:`User <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Directory.User>`
                
                

                """

                _prefix = 'ios-eem'
                _revision = '2017-04-13'

                def __init__(self):
                    super(Native.Event.Manager.Directory, self).__init__()

                    self.yang_name = "directory"
                    self.yang_parent_name = "manager"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"user" : ("user", Native.Event.Manager.Directory.User)}
                    self._child_list_classes = {}

                    self.user = Native.Event.Manager.Directory.User()
                    self.user.parent = self
                    self._children_name_map["user"] = "user"
                    self._children_yang_names.add("user")
                    self._segment_path = lambda: "directory"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/event/Cisco-IOS-XE-eem:manager/%s" % self._segment_path()


                class User(Entity):
                    """
                    Set Embedded Event Manager user directory information
                    
                    .. attribute:: policy
                    
                    	Set Embedded Event Manager user policy directory
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-eem'
                    _revision = '2017-04-13'

                    def __init__(self):
                        super(Native.Event.Manager.Directory.User, self).__init__()

                        self.yang_name = "user"
                        self.yang_parent_name = "directory"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy = YLeaf(YType.str, "policy")
                        self._segment_path = lambda: "user"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/event/Cisco-IOS-XE-eem:manager/directory/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Event.Manager.Directory.User, ['policy'], name, value)


            class Session(Entity):
                """
                Set Embedded Event Manager session attributes
                
                .. attribute:: cli
                
                	Set Embedded Event Manager session cli attributes
                	**type**\:  :py:class:`Cli <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Session.Cli>`
                
                

                """

                _prefix = 'ios-eem'
                _revision = '2017-04-13'

                def __init__(self):
                    super(Native.Event.Manager.Session, self).__init__()

                    self.yang_name = "session"
                    self.yang_parent_name = "manager"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"cli" : ("cli", Native.Event.Manager.Session.Cli)}
                    self._child_list_classes = {}

                    self.cli = Native.Event.Manager.Session.Cli()
                    self.cli.parent = self
                    self._children_name_map["cli"] = "cli"
                    self._children_yang_names.add("cli")
                    self._segment_path = lambda: "session"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/event/Cisco-IOS-XE-eem:manager/%s" % self._segment_path()


                class Cli(Entity):
                    """
                    Set Embedded Event Manager session cli attributes
                    
                    .. attribute:: username
                    
                    	Set username used in Embedded Event Manager cli sessions
                    	**type**\:  :py:class:`Username <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Session.Cli.Username>`
                    
                    

                    """

                    _prefix = 'ios-eem'
                    _revision = '2017-04-13'

                    def __init__(self):
                        super(Native.Event.Manager.Session.Cli, self).__init__()

                        self.yang_name = "cli"
                        self.yang_parent_name = "session"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"username" : ("username", Native.Event.Manager.Session.Cli.Username)}
                        self._child_list_classes = {}

                        self.username = Native.Event.Manager.Session.Cli.Username()
                        self.username.parent = self
                        self._children_name_map["username"] = "username"
                        self._children_yang_names.add("username")
                        self._segment_path = lambda: "cli"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/event/Cisco-IOS-XE-eem:manager/session/%s" % self._segment_path()


                    class Username(Entity):
                        """
                        Set username used in Embedded Event Manager cli sessions
                        
                        .. attribute:: username_in_word
                        
                        	
                        	**type**\: list of  		 :py:class:`UsernameInWord <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Session.Cli.Username.UsernameInWord>`
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-04-13'

                        def __init__(self):
                            super(Native.Event.Manager.Session.Cli.Username, self).__init__()

                            self.yang_name = "username"
                            self.yang_parent_name = "cli"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"username_in_word" : ("username_in_word", Native.Event.Manager.Session.Cli.Username.UsernameInWord)}

                            self.username_in_word = YList(self)
                            self._segment_path = lambda: "username"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/event/Cisco-IOS-XE-eem:manager/session/cli/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Event.Manager.Session.Cli.Username, [], name, value)


                        class UsernameInWord(Entity):
                            """
                            
                            
                            .. attribute:: username_in_word  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: privilege
                            
                            	Set user privilege level
                            	**type**\: int
                            
                            	**range:** 0..15
                            
                            

                            """

                            _prefix = 'ios-eem'
                            _revision = '2017-04-13'

                            def __init__(self):
                                super(Native.Event.Manager.Session.Cli.Username.UsernameInWord, self).__init__()

                                self.yang_name = "username_in_word"
                                self.yang_parent_name = "username"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.username_in_word = YLeaf(YType.str, "username_in_word")

                                self.privilege = YLeaf(YType.uint8, "privilege")
                                self._segment_path = lambda: "username_in_word" + "[username_in_word='" + self.username_in_word.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/event/Cisco-IOS-XE-eem:manager/session/cli/username/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Event.Manager.Session.Cli.Username.UsernameInWord, ['username_in_word', 'privilege'], name, value)


            class Applet(Entity):
                """
                Register an Event Manager applet
                
                .. attribute:: name  <key>
                
                	
                	**type**\: str
                
                .. attribute:: authorization
                
                	Specify an authorization type for the applet
                	**type**\:  :py:class:`Authorization <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Authorization>`
                
                .. attribute:: class_
                
                	Specify a class for the applet
                	**type**\: str
                
                	**pattern:** [A\-Z]\|default
                
                .. attribute:: trap
                
                	Generate an SNMP trap when applet is triggered
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: event
                
                	Add or modify event information
                	**type**\:  :py:class:`Event <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event>`
                
                .. attribute:: action
                
                	Add or modify an action statement
                	**type**\: list of  		 :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action>`
                
                .. attribute:: description
                
                	Add or modify an applet description
                	**type**\: str
                
                .. attribute:: trigger
                
                	Enter applet trigger configuration submode
                	**type**\:  :py:class:`Trigger <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Trigger>`
                
                

                """

                _prefix = 'ios-eem'
                _revision = '2017-04-13'

                def __init__(self):
                    super(Native.Event.Manager.Applet, self).__init__()

                    self.yang_name = "applet"
                    self.yang_parent_name = "manager"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"event" : ("event", Native.Event.Manager.Applet.Event), "trigger" : ("trigger", Native.Event.Manager.Applet.Trigger)}
                    self._child_list_classes = {"action" : ("action", Native.Event.Manager.Applet.Action)}

                    self.name = YLeaf(YType.str, "name")

                    self.authorization = YLeaf(YType.enumeration, "authorization")

                    self.class_ = YLeaf(YType.str, "class")

                    self.trap = YLeaf(YType.empty, "trap")

                    self.description = YLeaf(YType.str, "description")

                    self.event = Native.Event.Manager.Applet.Event()
                    self.event.parent = self
                    self._children_name_map["event"] = "event"
                    self._children_yang_names.add("event")

                    self.trigger = Native.Event.Manager.Applet.Trigger()
                    self.trigger.parent = self
                    self._children_name_map["trigger"] = "trigger"
                    self._children_yang_names.add("trigger")

                    self.action = YList(self)
                    self._segment_path = lambda: "applet" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/event/Cisco-IOS-XE-eem:manager/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Event.Manager.Applet, ['name', 'authorization', 'class_', 'trap', 'description'], name, value)

                class Authorization(Enum):
                    """
                    Authorization

                    Specify an authorization type for the applet

                    .. data:: bypass = 0

                    """

                    bypass = Enum.YLeaf(0, "bypass")



                class Event(Entity):
                    """
                    Add or modify event information
                    
                    .. attribute:: timer
                    
                    	Timer event
                    	**type**\:  :py:class:`Timer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event.Timer>`
                    
                    .. attribute:: snmp_notification
                    
                    	SNMP Notification Event
                    	**type**\:  :py:class:`SnmpNotification <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event.SnmpNotification>`
                    
                    .. attribute:: syslog
                    
                    	Syslog event
                    	**type**\:  :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event.Syslog>`
                    
                    .. attribute:: track
                    
                    	Tracking object event
                    	**type**\:  :py:class:`Track <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event.Track>`
                    
                    

                    """

                    _prefix = 'ios-eem'
                    _revision = '2017-04-13'

                    def __init__(self):
                        super(Native.Event.Manager.Applet.Event, self).__init__()

                        self.yang_name = "event"
                        self.yang_parent_name = "applet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"timer" : ("timer", Native.Event.Manager.Applet.Event.Timer), "snmp-notification" : ("snmp_notification", Native.Event.Manager.Applet.Event.SnmpNotification), "syslog" : ("syslog", Native.Event.Manager.Applet.Event.Syslog), "track" : ("track", Native.Event.Manager.Applet.Event.Track)}
                        self._child_list_classes = {}

                        self.timer = Native.Event.Manager.Applet.Event.Timer()
                        self.timer.parent = self
                        self._children_name_map["timer"] = "timer"
                        self._children_yang_names.add("timer")

                        self.snmp_notification = Native.Event.Manager.Applet.Event.SnmpNotification()
                        self.snmp_notification.parent = self
                        self._children_name_map["snmp_notification"] = "snmp-notification"
                        self._children_yang_names.add("snmp-notification")

                        self.syslog = Native.Event.Manager.Applet.Event.Syslog()
                        self.syslog.parent = self
                        self._children_name_map["syslog"] = "syslog"
                        self._children_yang_names.add("syslog")

                        self.track = Native.Event.Manager.Applet.Event.Track()
                        self.track.parent = self
                        self._children_name_map["track"] = "track"
                        self._children_yang_names.add("track")
                        self._segment_path = lambda: "event"


                    class Timer(Entity):
                        """
                        Timer event
                        
                        .. attribute:: watchdog
                        
                        	Watchdog timer event
                        	**type**\:  :py:class:`Watchdog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event.Timer.Watchdog>`
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-04-13'

                        def __init__(self):
                            super(Native.Event.Manager.Applet.Event.Timer, self).__init__()

                            self.yang_name = "timer"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"watchdog" : ("watchdog", Native.Event.Manager.Applet.Event.Timer.Watchdog)}
                            self._child_list_classes = {}

                            self.watchdog = Native.Event.Manager.Applet.Event.Timer.Watchdog()
                            self.watchdog.parent = self
                            self._children_name_map["watchdog"] = "watchdog"
                            self._children_yang_names.add("watchdog")
                            self._segment_path = lambda: "timer"


                        class Watchdog(Entity):
                            """
                            Watchdog timer event
                            
                            .. attribute:: name
                            
                            	Name of the timer
                            	**type**\:  :py:class:`Name <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event.Timer.Watchdog.Name>`
                            
                            

                            """

                            _prefix = 'ios-eem'
                            _revision = '2017-04-13'

                            def __init__(self):
                                super(Native.Event.Manager.Applet.Event.Timer.Watchdog, self).__init__()

                                self.yang_name = "watchdog"
                                self.yang_parent_name = "timer"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"name" : ("name", Native.Event.Manager.Applet.Event.Timer.Watchdog.Name)}
                                self._child_list_classes = {}

                                self.name = Native.Event.Manager.Applet.Event.Timer.Watchdog.Name()
                                self.name.parent = self
                                self._children_name_map["name"] = "name"
                                self._children_yang_names.add("name")
                                self._segment_path = lambda: "watchdog"


                            class Name(Entity):
                                """
                                Name of the timer
                                
                                .. attribute:: timer_name
                                
                                	
                                	**type**\: list of  		 :py:class:`TimerName <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName>`
                                
                                

                                """

                                _prefix = 'ios-eem'
                                _revision = '2017-04-13'

                                def __init__(self):
                                    super(Native.Event.Manager.Applet.Event.Timer.Watchdog.Name, self).__init__()

                                    self.yang_name = "name"
                                    self.yang_parent_name = "watchdog"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"timer-name" : ("timer_name", Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName)}

                                    self.timer_name = YList(self)
                                    self._segment_path = lambda: "name"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Event.Manager.Applet.Event.Timer.Watchdog.Name, [], name, value)


                                class TimerName(Entity):
                                    """
                                    
                                    
                                    .. attribute:: timer_name  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: time
                                    
                                    	Time period for watchdog / countdown / absolute timer
                                    	**type**\:  :py:class:`Time <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time>`
                                    
                                    

                                    """

                                    _prefix = 'ios-eem'
                                    _revision = '2017-04-13'

                                    def __init__(self):
                                        super(Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName, self).__init__()

                                        self.yang_name = "timer-name"
                                        self.yang_parent_name = "name"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"time" : ("time", Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time)}
                                        self._child_list_classes = {}

                                        self.timer_name = YLeaf(YType.str, "timer-name")

                                        self.time = Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time()
                                        self.time.parent = self
                                        self._children_name_map["time"] = "time"
                                        self._children_yang_names.add("time")
                                        self._segment_path = lambda: "timer-name" + "[timer-name='" + self.timer_name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName, ['timer_name'], name, value)


                                    class Time(Entity):
                                        """
                                        Time period for watchdog / countdown / absolute timer
                                        
                                        .. attribute:: time_in_seconds
                                        
                                        	
                                        	**type**\: list of  		 :py:class:`TimeInSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds>`
                                        
                                        

                                        """

                                        _prefix = 'ios-eem'
                                        _revision = '2017-04-13'

                                        def __init__(self):
                                            super(Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time, self).__init__()

                                            self.yang_name = "time"
                                            self.yang_parent_name = "timer-name"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"time-in-seconds" : ("time_in_seconds", Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds)}

                                            self.time_in_seconds = YList(self)
                                            self._segment_path = lambda: "time"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time, [], name, value)


                                        class TimeInSeconds(Entity):
                                            """
                                            
                                            
                                            .. attribute:: time_in_seconds  <key>
                                            
                                            	Enter seconds[.milliseconds] value
                                            	**type**\: int
                                            
                                            	**range:** 1..2085978494
                                            
                                            .. attribute:: maxrun
                                            
                                            	Maximum runtime of applet
                                            	**type**\:  :py:class:`Maxrun <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun>`
                                            
                                            

                                            """

                                            _prefix = 'ios-eem'
                                            _revision = '2017-04-13'

                                            def __init__(self):
                                                super(Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds, self).__init__()

                                                self.yang_name = "time-in-seconds"
                                                self.yang_parent_name = "time"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {"maxrun" : ("maxrun", Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun)}
                                                self._child_list_classes = {}

                                                self.time_in_seconds = YLeaf(YType.uint32, "time-in-seconds")

                                                self.maxrun = Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun()
                                                self.maxrun.parent = self
                                                self._children_name_map["maxrun"] = "maxrun"
                                                self._children_yang_names.add("maxrun")
                                                self._segment_path = lambda: "time-in-seconds" + "[time-in-seconds='" + self.time_in_seconds.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds, ['time_in_seconds'], name, value)


                                            class Maxrun(Entity):
                                                """
                                                Maximum runtime of applet
                                                
                                                .. attribute:: timer_in_seconds
                                                
                                                	
                                                	**type**\: list of  		 :py:class:`TimerInSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun.TimerInSeconds>`
                                                
                                                

                                                """

                                                _prefix = 'ios-eem'
                                                _revision = '2017-04-13'

                                                def __init__(self):
                                                    super(Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun, self).__init__()

                                                    self.yang_name = "maxrun"
                                                    self.yang_parent_name = "time-in-seconds"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {"timer-in-seconds" : ("timer_in_seconds", Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun.TimerInSeconds)}

                                                    self.timer_in_seconds = YList(self)
                                                    self._segment_path = lambda: "maxrun"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun, [], name, value)


                                                class TimerInSeconds(Entity):
                                                    """
                                                    
                                                    
                                                    .. attribute:: timer_in_seconds  <key>
                                                    
                                                    	Enter seconds[.milliseconds] value
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..31536000
                                                    
                                                    .. attribute:: ratelimit
                                                    
                                                    	Limit trigger to once per given time period. Enter seconds[.milliseconds] value
                                                    	**type**\: int
                                                    
                                                    	**range:** 0..31536000
                                                    
                                                    

                                                    """

                                                    _prefix = 'ios-eem'
                                                    _revision = '2017-04-13'

                                                    def __init__(self):
                                                        super(Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun.TimerInSeconds, self).__init__()

                                                        self.yang_name = "timer-in-seconds"
                                                        self.yang_parent_name = "maxrun"
                                                        self.is_top_level_class = False
                                                        self.has_list_ancestor = True
                                                        self._child_container_classes = {}
                                                        self._child_list_classes = {}

                                                        self.timer_in_seconds = YLeaf(YType.uint32, "timer-in-seconds")

                                                        self.ratelimit = YLeaf(YType.uint32, "ratelimit")
                                                        self._segment_path = lambda: "timer-in-seconds" + "[timer-in-seconds='" + self.timer_in_seconds.get() + "']"

                                                    def __setattr__(self, name, value):
                                                        self._perform_setattr(Native.Event.Manager.Applet.Event.Timer.Watchdog.Name.TimerName.Time.TimeInSeconds.Maxrun.TimerInSeconds, ['timer_in_seconds', 'ratelimit'], name, value)


                    class SnmpNotification(Entity):
                        """
                        SNMP Notification Event
                        
                        .. attribute:: oid
                        
                        	Object ID of data element
                        	**type**\: str
                        
                        .. attribute:: oid_val
                        
                        	Comparison value
                        	**type**\: str
                        
                        .. attribute:: op
                        
                        	Operator
                        	**type**\:  :py:class:`OperatorType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_eem.OperatorType>`
                        
                        .. attribute:: src_ip_address
                        
                        	Source ip address
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: dest_ip_address
                        
                        	Destination ip address
                        	**type**\: union of the below types:
                        
                        		**type**\: str
                        
                        			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        		**type**\: str
                        
                        			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-04-13'

                        def __init__(self):
                            super(Native.Event.Manager.Applet.Event.SnmpNotification, self).__init__()

                            self.yang_name = "snmp-notification"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.oid = YLeaf(YType.str, "oid")

                            self.oid_val = YLeaf(YType.str, "oid-val")

                            self.op = YLeaf(YType.enumeration, "op")

                            self.src_ip_address = YLeaf(YType.str, "src-ip-address")

                            self.dest_ip_address = YLeaf(YType.str, "dest-ip-address")
                            self._segment_path = lambda: "snmp-notification"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Event.Manager.Applet.Event.SnmpNotification, ['oid', 'oid_val', 'op', 'src_ip_address', 'dest_ip_address'], name, value)


                    class Syslog(Entity):
                        """
                        Syslog event
                        
                        .. attribute:: pattern
                        
                        	Pattern match string for the entire message
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-04-13'

                        def __init__(self):
                            super(Native.Event.Manager.Applet.Event.Syslog, self).__init__()

                            self.yang_name = "syslog"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.pattern = YLeaf(YType.str, "pattern")
                            self._segment_path = lambda: "syslog"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Event.Manager.Applet.Event.Syslog, ['pattern'], name, value)


                    class Track(Entity):
                        """
                        Tracking object event
                        
                        .. attribute:: track_object_number
                        
                        	Tracking object number
                        	**type**\: int
                        
                        	**range:** 1..1000
                        
                        .. attribute:: state
                        
                        	State of tracking object
                        	**type**\:  :py:class:`State <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Event.Track.State>`
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-04-13'

                        def __init__(self):
                            super(Native.Event.Manager.Applet.Event.Track, self).__init__()

                            self.yang_name = "track"
                            self.yang_parent_name = "event"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.track_object_number = YLeaf(YType.uint16, "track-object-number")

                            self.state = YLeaf(YType.enumeration, "state")
                            self._segment_path = lambda: "track"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Event.Manager.Applet.Event.Track, ['track_object_number', 'state'], name, value)

                        class State(Enum):
                            """
                            State

                            State of tracking object

                            .. data:: any = 0

                            .. data:: down = 1

                            .. data:: up = 2

                            """

                            any = Enum.YLeaf(0, "any")

                            down = Enum.YLeaf(1, "down")

                            up = Enum.YLeaf(2, "up")



                class Action(Entity):
                    """
                    Add or modify an action statement
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: cli
                    
                    	Execute a CLI command
                    	**type**\:  :py:class:`Cli <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Cli>`
                    
                    .. attribute:: if_
                    
                    	if conditional
                    	**type**\:  :py:class:`If_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.If_>`
                    
                    .. attribute:: info
                    
                    	Obtain system specific information
                    	**type**\:  :py:class:`Info <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Info>`
                    
                    .. attribute:: end
                    
                    	end conditional block
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: regexp
                    
                    	regular expression match
                    	**type**\:  :py:class:`Regexp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Regexp>`
                    
                    .. attribute:: snmp_trap
                    
                    	Send an SNMP trap
                    	**type**\:  :py:class:`SnmpTrap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.SnmpTrap>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: string
                    
                    	string commands
                    	**type**\:  :py:class:`String <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.String>`
                    
                    .. attribute:: syslog
                    
                    	Log a syslog message
                    	**type**\:  :py:class:`Syslog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Syslog>`
                    
                    .. attribute:: exit
                    
                    	Exit from applet run
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-eem'
                    _revision = '2017-04-13'

                    def __init__(self):
                        super(Native.Event.Manager.Applet.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "applet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"cli" : ("cli", Native.Event.Manager.Applet.Action.Cli), "if" : ("if_", Native.Event.Manager.Applet.Action.If_), "info" : ("info", Native.Event.Manager.Applet.Action.Info), "regexp" : ("regexp", Native.Event.Manager.Applet.Action.Regexp), "snmp-trap" : ("snmp_trap", Native.Event.Manager.Applet.Action.SnmpTrap), "string" : ("string", Native.Event.Manager.Applet.Action.String), "syslog" : ("syslog", Native.Event.Manager.Applet.Action.Syslog)}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.end = YLeaf(YType.empty, "end")

                        self.exit = YLeaf(YType.empty, "exit")

                        self.cli = Native.Event.Manager.Applet.Action.Cli()
                        self.cli.parent = self
                        self._children_name_map["cli"] = "cli"
                        self._children_yang_names.add("cli")

                        self.if_ = Native.Event.Manager.Applet.Action.If_()
                        self.if_.parent = self
                        self._children_name_map["if_"] = "if"
                        self._children_yang_names.add("if")

                        self.info = Native.Event.Manager.Applet.Action.Info()
                        self.info.parent = self
                        self._children_name_map["info"] = "info"
                        self._children_yang_names.add("info")

                        self.regexp = Native.Event.Manager.Applet.Action.Regexp()
                        self.regexp.parent = self
                        self._children_name_map["regexp"] = "regexp"
                        self._children_yang_names.add("regexp")

                        self.snmp_trap = None
                        self._children_name_map["snmp_trap"] = "snmp-trap"
                        self._children_yang_names.add("snmp-trap")

                        self.string = Native.Event.Manager.Applet.Action.String()
                        self.string.parent = self
                        self._children_name_map["string"] = "string"
                        self._children_yang_names.add("string")

                        self.syslog = Native.Event.Manager.Applet.Action.Syslog()
                        self.syslog.parent = self
                        self._children_name_map["syslog"] = "syslog"
                        self._children_yang_names.add("syslog")
                        self._segment_path = lambda: "action" + "[name='" + self.name.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Event.Manager.Applet.Action, ['name', 'end', 'exit'], name, value)


                    class Cli(Entity):
                        """
                        Execute a CLI command
                        
                        .. attribute:: command
                        
                        	CLI command
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-04-13'

                        def __init__(self):
                            super(Native.Event.Manager.Applet.Action.Cli, self).__init__()

                            self.yang_name = "cli"
                            self.yang_parent_name = "action"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.command = YLeaf(YType.str, "command")
                            self._segment_path = lambda: "cli"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Event.Manager.Applet.Action.Cli, ['command'], name, value)


                    class If_(Entity):
                        """
                        if conditional
                        
                        .. attribute:: string_op_1
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: keyword
                        
                        	
                        	**type**\:  :py:class:`OperatorType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_eem.OperatorType>`
                        
                        .. attribute:: string_op_2
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: goto
                        
                        	goto label
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-04-13'

                        def __init__(self):
                            super(Native.Event.Manager.Applet.Action.If_, self).__init__()

                            self.yang_name = "if"
                            self.yang_parent_name = "action"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.string_op_1 = YLeaf(YType.str, "string-op-1")

                            self.keyword = YLeaf(YType.enumeration, "keyword")

                            self.string_op_2 = YLeaf(YType.str, "string-op-2")

                            self.goto = YLeaf(YType.str, "goto")
                            self._segment_path = lambda: "if"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Event.Manager.Applet.Action.If_, ['string_op_1', 'keyword', 'string_op_2', 'goto'], name, value)


                    class Info(Entity):
                        """
                        Obtain system specific information
                        
                        .. attribute:: type
                        
                        	Type of information to obtain
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Info.Type>`
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-04-13'

                        def __init__(self):
                            super(Native.Event.Manager.Applet.Action.Info, self).__init__()

                            self.yang_name = "info"
                            self.yang_parent_name = "action"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"type" : ("type", Native.Event.Manager.Applet.Action.Info.Type)}
                            self._child_list_classes = {}

                            self.type = Native.Event.Manager.Applet.Action.Info.Type()
                            self.type.parent = self
                            self._children_name_map["type"] = "type"
                            self._children_yang_names.add("type")
                            self._segment_path = lambda: "info"


                        class Type(Entity):
                            """
                            Type of information to obtain
                            
                            .. attribute:: snmp
                            
                            	SNMP information
                            	**type**\:  :py:class:`Snmp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Info.Type.Snmp>`
                            
                            

                            """

                            _prefix = 'ios-eem'
                            _revision = '2017-04-13'

                            def __init__(self):
                                super(Native.Event.Manager.Applet.Action.Info.Type, self).__init__()

                                self.yang_name = "type"
                                self.yang_parent_name = "info"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"snmp" : ("snmp", Native.Event.Manager.Applet.Action.Info.Type.Snmp)}
                                self._child_list_classes = {}

                                self.snmp = Native.Event.Manager.Applet.Action.Info.Type.Snmp()
                                self.snmp.parent = self
                                self._children_name_map["snmp"] = "snmp"
                                self._children_yang_names.add("snmp")
                                self._segment_path = lambda: "type"


                            class Snmp(Entity):
                                """
                                SNMP information
                                
                                .. attribute:: var
                                
                                	Trap variable
                                	**type**\:  :py:class:`Var <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var>`
                                
                                .. attribute:: trap
                                
                                	SNMP trap
                                	**type**\:  :py:class:`Trap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Info.Type.Snmp.Trap>`
                                
                                

                                """

                                _prefix = 'ios-eem'
                                _revision = '2017-04-13'

                                def __init__(self):
                                    super(Native.Event.Manager.Applet.Action.Info.Type.Snmp, self).__init__()

                                    self.yang_name = "snmp"
                                    self.yang_parent_name = "type"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"var" : ("var", Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var), "trap" : ("trap", Native.Event.Manager.Applet.Action.Info.Type.Snmp.Trap)}
                                    self._child_list_classes = {}

                                    self.var = Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var()
                                    self.var.parent = self
                                    self._children_name_map["var"] = "var"
                                    self._children_yang_names.add("var")

                                    self.trap = Native.Event.Manager.Applet.Action.Info.Type.Snmp.Trap()
                                    self.trap.parent = self
                                    self._children_name_map["trap"] = "trap"
                                    self._children_yang_names.add("trap")
                                    self._segment_path = lambda: "snmp"


                                class Var(Entity):
                                    """
                                    Trap variable
                                    
                                    .. attribute:: variable_name
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: oid
                                    
                                    	SNMP object id
                                    	**type**\: str
                                    
                                    .. attribute:: oid_type
                                    
                                    	
                                    	**type**\:  :py:class:`OidType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var.OidType>`
                                    
                                    .. attribute:: oid_type_value
                                    
                                    	
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-eem'
                                    _revision = '2017-04-13'

                                    def __init__(self):
                                        super(Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var, self).__init__()

                                        self.yang_name = "var"
                                        self.yang_parent_name = "snmp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.variable_name = YLeaf(YType.str, "variable-name")

                                        self.oid = YLeaf(YType.str, "oid")

                                        self.oid_type = YLeaf(YType.enumeration, "oid-type")

                                        self.oid_type_value = YLeaf(YType.str, "oid-type-value")
                                        self._segment_path = lambda: "var"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Event.Manager.Applet.Action.Info.Type.Snmp.Var, ['variable_name', 'oid', 'oid_type', 'oid_type_value'], name, value)

                                    class OidType(Enum):
                                        """
                                        OidType

                                        .. data:: counter = 0

                                        .. data:: gauge = 1

                                        .. data:: int = 2

                                        .. data:: ipv4 = 3

                                        .. data:: octet = 4

                                        .. data:: string = 5

                                        .. data:: uint = 6

                                        """

                                        counter = Enum.YLeaf(0, "counter")

                                        gauge = Enum.YLeaf(1, "gauge")

                                        int = Enum.YLeaf(2, "int")

                                        ipv4 = Enum.YLeaf(3, "ipv4")

                                        octet = Enum.YLeaf(4, "octet")

                                        string = Enum.YLeaf(5, "string")

                                        uint = Enum.YLeaf(6, "uint")



                                class Trap(Entity):
                                    """
                                    SNMP trap
                                    
                                    .. attribute:: enterprise_oid
                                    
                                    	Enterprise oid
                                    	**type**\: str
                                    
                                    .. attribute:: generic_trapnum
                                    
                                    	Generic trap number
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: specific_trapnum
                                    
                                    	Specific trap number
                                    	**type**\: int
                                    
                                    	**range:** 0..4294967295
                                    
                                    .. attribute:: trap_oid
                                    
                                    	Trap oid
                                    	**type**\: str
                                    
                                    .. attribute:: trap_var
                                    
                                    	Trap variable
                                    	**type**\: str
                                    
                                    

                                    """

                                    _prefix = 'ios-eem'
                                    _revision = '2017-04-13'

                                    def __init__(self):
                                        super(Native.Event.Manager.Applet.Action.Info.Type.Snmp.Trap, self).__init__()

                                        self.yang_name = "trap"
                                        self.yang_parent_name = "snmp"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.enterprise_oid = YLeaf(YType.str, "enterprise-oid")

                                        self.generic_trapnum = YLeaf(YType.uint32, "generic-trapnum")

                                        self.specific_trapnum = YLeaf(YType.uint32, "specific-trapnum")

                                        self.trap_oid = YLeaf(YType.str, "trap-oid")

                                        self.trap_var = YLeaf(YType.str, "trap-var")
                                        self._segment_path = lambda: "trap"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Event.Manager.Applet.Action.Info.Type.Snmp.Trap, ['enterprise_oid', 'generic_trapnum', 'specific_trapnum', 'trap_oid', 'trap_var'], name, value)


                    class Regexp(Entity):
                        """
                        regular expression match
                        
                        .. attribute:: string_pattern
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: string_input
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: string_match
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: string_submatch1
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: string_submatch2
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: string_submatch3
                        
                        	
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-04-13'

                        def __init__(self):
                            super(Native.Event.Manager.Applet.Action.Regexp, self).__init__()

                            self.yang_name = "regexp"
                            self.yang_parent_name = "action"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.string_pattern = YLeaf(YType.str, "string-pattern")

                            self.string_input = YLeaf(YType.str, "string-input")

                            self.string_match = YLeaf(YType.str, "string-match")

                            self.string_submatch1 = YLeaf(YType.str, "string-submatch1")

                            self.string_submatch2 = YLeaf(YType.str, "string-submatch2")

                            self.string_submatch3 = YLeaf(YType.str, "string-submatch3")
                            self._segment_path = lambda: "regexp"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Event.Manager.Applet.Action.Regexp, ['string_pattern', 'string_input', 'string_match', 'string_submatch1', 'string_submatch2', 'string_submatch3'], name, value)


                    class SnmpTrap(Entity):
                        """
                        Send an SNMP trap
                        
                        .. attribute:: intdata1
                        
                        	SNMP integer data1
                        	**type**\: int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: intdata2
                        
                        	SNMP integer data2
                        	**type**\: int
                        
                        	**range:** \-2147483648..2147483647
                        
                        .. attribute:: strdata
                        
                        	SNMP trap string
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-04-13'

                        def __init__(self):
                            super(Native.Event.Manager.Applet.Action.SnmpTrap, self).__init__()

                            self.yang_name = "snmp-trap"
                            self.yang_parent_name = "action"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.intdata1 = YLeaf(YType.int32, "intdata1")

                            self.intdata2 = YLeaf(YType.int32, "intdata2")

                            self.strdata = YLeaf(YType.str, "strdata")
                            self._segment_path = lambda: "snmp-trap"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Event.Manager.Applet.Action.SnmpTrap, ['intdata1', 'intdata2', 'strdata'], name, value)


                    class String(Entity):
                        """
                        string commands
                        
                        .. attribute:: trim
                        
                        	trim characters from both ends of string
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-04-13'

                        def __init__(self):
                            super(Native.Event.Manager.Applet.Action.String, self).__init__()

                            self.yang_name = "string"
                            self.yang_parent_name = "action"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.trim = YLeaf(YType.str, "trim")
                            self._segment_path = lambda: "string"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Event.Manager.Applet.Action.String, ['trim'], name, value)


                    class Syslog(Entity):
                        """
                        Log a syslog message
                        
                        .. attribute:: facility
                        
                        	Facility string
                        	**type**\: str
                        
                        .. attribute:: msg
                        
                        	Syslog message
                        	**type**\: str
                        
                        .. attribute:: priority
                        
                        	Priority of syslog message
                        	**type**\: union of the below types:
                        
                        		**type**\: int
                        
                        			**range:** 0..7
                        
                        		**type**\:  :py:class:`LoggingLevelType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.LoggingLevelType>`
                        
                        

                        """

                        _prefix = 'ios-eem'
                        _revision = '2017-04-13'

                        def __init__(self):
                            super(Native.Event.Manager.Applet.Action.Syslog, self).__init__()

                            self.yang_name = "syslog"
                            self.yang_parent_name = "action"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.facility = YLeaf(YType.str, "facility")

                            self.msg = YLeaf(YType.str, "msg")

                            self.priority = YLeaf(YType.str, "priority")
                            self._segment_path = lambda: "syslog"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Event.Manager.Applet.Action.Syslog, ['facility', 'msg', 'priority'], name, value)


                class Trigger(Entity):
                    """
                    Enter applet trigger configuration submode
                    
                    

                    """

                    _prefix = 'ios-eem'
                    _revision = '2017-04-13'

                    def __init__(self):
                        super(Native.Event.Manager.Applet.Trigger, self).__init__()

                        self.yang_name = "trigger"
                        self.yang_parent_name = "applet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}
                        self._segment_path = lambda: "trigger"


    class CiscoIOSXENativeTemplate(Entity):
        """
        template
        
        .. attribute:: template_details
        
        	
        	**type**\: list of  		 :py:class:`TemplateDetails <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.CiscoIOSXENativeTemplate, self).__init__()

            self.yang_name = "template"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"Cisco-IOS-XE-template:template_details" : ("template_details", Native.CiscoIOSXENativeTemplate.TemplateDetails)}

            self.template_details = YList(self)
            self._segment_path = lambda: "template"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.CiscoIOSXENativeTemplate, [], name, value)


        class TemplateDetails(Entity):
            """
            
            
            .. attribute:: template_name  <key>
            
            	Template name
            	**type**\: str
            
            .. attribute:: ethernet
            
            	Ethernet service
            	**type**\:  :py:class:`Ethernet <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet>`
            
            

            """

            _prefix = 'ios-template'
            _revision = '2017-02-13'

            def __init__(self):
                super(Native.CiscoIOSXENativeTemplate.TemplateDetails, self).__init__()

                self.yang_name = "template_details"
                self.yang_parent_name = "template"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"ethernet" : ("ethernet", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet)}
                self._child_list_classes = {}

                self.template_name = YLeaf(YType.str, "template_name")

                self.ethernet = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet()
                self.ethernet.parent = self
                self._children_name_map["ethernet"] = "ethernet"
                self._children_yang_names.add("ethernet")
                self._segment_path = lambda: "Cisco-IOS-XE-template:template_details" + "[template_name='" + self.template_name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/template/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails, ['template_name'], name, value)


            class Ethernet(Entity):
                """
                Ethernet service
                
                .. attribute:: oam
                
                	Operations, Administration and Maintenance
                	**type**\:  :py:class:`Oam <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam>`
                
                

                """

                _prefix = 'ios-template'
                _revision = '2017-02-13'

                def __init__(self):
                    super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet, self).__init__()

                    self.yang_name = "ethernet"
                    self.yang_parent_name = "template_details"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"oam" : ("oam", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam)}
                    self._child_list_classes = {}

                    self.oam = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam()
                    self.oam.parent = self
                    self._children_name_map["oam"] = "oam"
                    self._children_yang_names.add("oam")
                    self._segment_path = lambda: "ethernet"


                class Oam(Entity):
                    """
                    Operations, Administration and Maintenance
                    
                    .. attribute:: link_monitor
                    
                    	Ethernet OAM Link Monitor
                    	**type**\:  :py:class:`LinkMonitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor>`
                    
                    .. attribute:: remote_failure
                    
                    	Ethernet OAM remote failure indication
                    	**type**\:  :py:class:`RemoteFailure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure>`
                    
                    

                    """

                    _prefix = 'ios-template'
                    _revision = '2017-02-13'

                    def __init__(self):
                        super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam, self).__init__()

                        self.yang_name = "oam"
                        self.yang_parent_name = "ethernet"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"link-monitor" : ("link_monitor", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor), "remote-failure" : ("remote_failure", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure)}
                        self._child_list_classes = {}

                        self.link_monitor = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor()
                        self.link_monitor.parent = self
                        self._children_name_map["link_monitor"] = "link-monitor"
                        self._children_yang_names.add("link-monitor")

                        self.remote_failure = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure()
                        self.remote_failure.parent = self
                        self._children_name_map["remote_failure"] = "remote-failure"
                        self._children_yang_names.add("remote-failure")
                        self._segment_path = lambda: "oam"


                    class LinkMonitor(Entity):
                        """
                        Ethernet OAM Link Monitor
                        
                        .. attribute:: frame
                        
                        	Errored frames in a period measured by time
                        	**type**\:  :py:class:`Frame <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame>`
                        
                        .. attribute:: window
                        
                        	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                        	**type**\: int
                        
                        	**range:** 10..600
                        
                        .. attribute:: frame_period
                        
                        	Errored frames in a period measured by number of frames
                        	**type**\:  :py:class:`FramePeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod>`
                        
                        .. attribute:: frame_seconds
                        
                        	Errored frame seconds in a period
                        	**type**\:  :py:class:`FrameSeconds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds>`
                        
                        .. attribute:: high_threshold
                        
                        	Additional high threshold configuration
                        	**type**\:  :py:class:`HighThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.HighThreshold>`
                        
                        .. attribute:: receive_crc
                        
                        	Received frames with CRC errors in a period
                        	**type**\:  :py:class:`ReceiveCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc>`
                        
                        .. attribute:: symbol_period
                        
                        	Errored symbols in a period
                        	**type**\:  :py:class:`SymbolPeriod <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod>`
                        
                        .. attribute:: transmit_crc
                        
                        	Transmitted frames with CRC errors in a period
                        	**type**\:  :py:class:`TransmitCrc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc>`
                        
                        

                        """

                        _prefix = 'ios-template'
                        _revision = '2017-02-13'

                        def __init__(self):
                            super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor, self).__init__()

                            self.yang_name = "link-monitor"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"frame" : ("frame", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame), "frame-period" : ("frame_period", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod), "frame-seconds" : ("frame_seconds", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds), "high-threshold" : ("high_threshold", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.HighThreshold), "receive-crc" : ("receive_crc", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc), "symbol-period" : ("symbol_period", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod), "transmit-crc" : ("transmit_crc", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc)}
                            self._child_list_classes = {}

                            self.window = YLeaf(YType.uint16, "window")

                            self.frame = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame()
                            self.frame.parent = self
                            self._children_name_map["frame"] = "frame"
                            self._children_yang_names.add("frame")

                            self.frame_period = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod()
                            self.frame_period.parent = self
                            self._children_name_map["frame_period"] = "frame-period"
                            self._children_yang_names.add("frame-period")

                            self.frame_seconds = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds()
                            self.frame_seconds.parent = self
                            self._children_name_map["frame_seconds"] = "frame-seconds"
                            self._children_yang_names.add("frame-seconds")

                            self.high_threshold = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.HighThreshold()
                            self.high_threshold.parent = self
                            self._children_name_map["high_threshold"] = "high-threshold"
                            self._children_yang_names.add("high-threshold")

                            self.receive_crc = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc()
                            self.receive_crc.parent = self
                            self._children_name_map["receive_crc"] = "receive-crc"
                            self._children_yang_names.add("receive-crc")

                            self.symbol_period = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod()
                            self.symbol_period.parent = self
                            self._children_name_map["symbol_period"] = "symbol-period"
                            self._children_yang_names.add("symbol-period")

                            self.transmit_crc = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc()
                            self.transmit_crc.parent = self
                            self._children_name_map["transmit_crc"] = "transmit-crc"
                            self._children_yang_names.add("transmit-crc")
                            self._segment_path = lambda: "link-monitor"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor, ['window'], name, value)


                        class Frame(Entity):
                            """
                            Errored frames in a period measured by time
                            
                            .. attribute:: threshold
                            
                            	threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame.Threshold>`
                            
                            

                            """

                            _prefix = 'ios-template'
                            _revision = '2017-02-13'

                            def __init__(self):
                                super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame, self).__init__()

                                self.yang_name = "frame"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame.Threshold)}
                                self._child_list_classes = {}

                                self.threshold = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame"


                            class Threshold(Entity):
                                """
                                threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low threshold
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-template'
                                _revision = '2017-02-13'

                                def __init__(self):
                                    super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: high_range
                                    
                                    	Set the high threshold
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-template'
                                    _revision = '2017-02-13'

                                    def __init__(self):
                                        super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.high_range = YLeaf(YType.uint16, "high-range")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.Frame.Threshold.High, ['high_range', 'none'], name, value)


                        class FramePeriod(Entity):
                            """
                            Errored frames in a period measured by number of frames
                            
                            .. attribute:: threshold
                            
                            	threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-template'
                            _revision = '2017-02-13'

                            def __init__(self):
                                super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod, self).__init__()

                                self.yang_name = "frame-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low threshold
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-template'
                                _revision = '2017-02-13'

                                def __init__(self):
                                    super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: high_range
                                    
                                    	Set the high threshold
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-template'
                                    _revision = '2017-02-13'

                                    def __init__(self):
                                        super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.high_range = YLeaf(YType.uint16, "high-range")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FramePeriod.Threshold.High, ['high_range', 'none'], name, value)


                        class FrameSeconds(Entity):
                            """
                            Errored frame seconds in a period
                            
                            .. attribute:: threshold
                            
                            	Errored frame\-seconds threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in multiple of 100 milliseconds (will be rounded off to second)
                            	**type**\: int
                            
                            	**range:** 100..9000
                            
                            

                            """

                            _prefix = 'ios-template'
                            _revision = '2017-02-13'

                            def __init__(self):
                                super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds, self).__init__()

                                self.yang_name = "frame-seconds"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "frame-seconds"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                Errored frame\-seconds threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low errored frame\-seconds threshold in number of seconds
                                	**type**\: int
                                
                                	**range:** 1..900
                                
                                

                                """

                                _prefix = 'ios-template'
                                _revision = '2017-02-13'

                                def __init__(self):
                                    super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "frame-seconds"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: high_range
                                    
                                    	Set the high errored frame\-seconds threshold in number of seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..900
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-template'
                                    _revision = '2017-02-13'

                                    def __init__(self):
                                        super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.high_range = YLeaf(YType.uint16, "high-range")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.FrameSeconds.Threshold.High, ['high_range', 'none'], name, value)


                        class HighThreshold(Entity):
                            """
                            Additional high threshold configuration
                            
                            .. attribute:: action
                            
                            	Specifiy an action when the high threshold is crossed
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.HighThreshold.Action>`
                            
                            

                            """

                            _prefix = 'ios-template'
                            _revision = '2017-02-13'

                            def __init__(self):
                                super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.HighThreshold, self).__init__()

                                self.yang_name = "high-threshold"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.HighThreshold.Action)}
                                self._child_list_classes = {}

                                self.action = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.HighThreshold.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "high-threshold"


                            class Action(Entity):
                                """
                                Specifiy an action when the high threshold is crossed
                                
                                .. attribute:: error_disable_interface
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-template'
                                _revision = '2017-02-13'

                                def __init__(self):
                                    super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.HighThreshold.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "high-threshold"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.HighThreshold.Action, ['error_disable_interface'], name, value)


                        class ReceiveCrc(Entity):
                            """
                            Received frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\: int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-template'
                            _revision = '2017-02-13'

                            def __init__(self):
                                super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc, self).__init__()

                                self.yang_name = "receive-crc"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "receive-crc"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low threshold
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-template'
                                _revision = '2017-02-13'

                                def __init__(self):
                                    super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "receive-crc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: high_range
                                    
                                    	Set the high threshold
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-template'
                                    _revision = '2017-02-13'

                                    def __init__(self):
                                        super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.high_range = YLeaf(YType.uint16, "high-range")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.ReceiveCrc.Threshold.High, ['high_range', 'none'], name, value)


                        class SymbolPeriod(Entity):
                            """
                            Errored symbols in a period
                            
                            .. attribute:: threshold
                            
                            	threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\: int
                            
                            	**range:** 1..65535
                            
                            

                            """

                            _prefix = 'ios-template'
                            _revision = '2017-02-13'

                            def __init__(self):
                                super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod, self).__init__()

                                self.yang_name = "symbol-period"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "symbol-period"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low threshold
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-template'
                                _revision = '2017-02-13'

                                def __init__(self):
                                    super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "symbol-period"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: high_range
                                    
                                    	Set the high threshold
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-template'
                                    _revision = '2017-02-13'

                                    def __init__(self):
                                        super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.high_range = YLeaf(YType.uint16, "high-range")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.SymbolPeriod.Threshold.High, ['high_range', 'none'], name, value)


                        class TransmitCrc(Entity):
                            """
                            Transmitted frames with CRC errors in a period
                            
                            .. attribute:: threshold
                            
                            	threshold
                            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc.Threshold>`
                            
                            .. attribute:: window
                            
                            	Set window size in number of 10000 frames
                            	**type**\: int
                            
                            	**range:** 10..1800
                            
                            

                            """

                            _prefix = 'ios-template'
                            _revision = '2017-02-13'

                            def __init__(self):
                                super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc, self).__init__()

                                self.yang_name = "transmit-crc"
                                self.yang_parent_name = "link-monitor"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"threshold" : ("threshold", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc.Threshold)}
                                self._child_list_classes = {}

                                self.window = YLeaf(YType.uint16, "window")

                                self.threshold = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc.Threshold()
                                self.threshold.parent = self
                                self._children_name_map["threshold"] = "threshold"
                                self._children_yang_names.add("threshold")
                                self._segment_path = lambda: "transmit-crc"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc, ['window'], name, value)


                            class Threshold(Entity):
                                """
                                threshold
                                
                                .. attribute:: high
                                
                                	High Threshold
                                	**type**\:  :py:class:`High <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc.Threshold.High>`
                                
                                .. attribute:: low
                                
                                	Set the low threshold
                                	**type**\: int
                                
                                	**range:** 0..65535
                                
                                

                                """

                                _prefix = 'ios-template'
                                _revision = '2017-02-13'

                                def __init__(self):
                                    super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc.Threshold, self).__init__()

                                    self.yang_name = "threshold"
                                    self.yang_parent_name = "transmit-crc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"high" : ("high", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc.Threshold.High)}
                                    self._child_list_classes = {}

                                    self.low = YLeaf(YType.uint16, "low")

                                    self.high = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc.Threshold.High()
                                    self.high.parent = self
                                    self._children_name_map["high"] = "high"
                                    self._children_yang_names.add("high")
                                    self._segment_path = lambda: "threshold"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc.Threshold, ['low'], name, value)


                                class High(Entity):
                                    """
                                    High Threshold
                                    
                                    .. attribute:: high_range
                                    
                                    	Set the high threshold
                                    	**type**\: int
                                    
                                    	**range:** 1..65535
                                    
                                    .. attribute:: none
                                    
                                    	Disable high threshold
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-template'
                                    _revision = '2017-02-13'

                                    def __init__(self):
                                        super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc.Threshold.High, self).__init__()

                                        self.yang_name = "high"
                                        self.yang_parent_name = "threshold"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.high_range = YLeaf(YType.uint16, "high-range")

                                        self.none = YLeaf(YType.empty, "none")
                                        self._segment_path = lambda: "high"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.LinkMonitor.TransmitCrc.Threshold.High, ['high_range', 'none'], name, value)


                    class RemoteFailure(Entity):
                        """
                        Ethernet OAM remote failure indication
                        
                        .. attribute:: critical_event
                        
                        	Critical event
                        	**type**\:  :py:class:`CriticalEvent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.CriticalEvent>`
                        
                        .. attribute:: dying_gasp
                        
                        	Dying gasp
                        	**type**\:  :py:class:`DyingGasp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.DyingGasp>`
                        
                        .. attribute:: link_fault
                        
                        	Link fault
                        	**type**\:  :py:class:`LinkFault <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.LinkFault>`
                        
                        

                        """

                        _prefix = 'ios-template'
                        _revision = '2017-02-13'

                        def __init__(self):
                            super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure, self).__init__()

                            self.yang_name = "remote-failure"
                            self.yang_parent_name = "oam"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"critical-event" : ("critical_event", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.CriticalEvent), "dying-gasp" : ("dying_gasp", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.DyingGasp), "link-fault" : ("link_fault", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.LinkFault)}
                            self._child_list_classes = {}

                            self.critical_event = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.CriticalEvent()
                            self.critical_event.parent = self
                            self._children_name_map["critical_event"] = "critical-event"
                            self._children_yang_names.add("critical-event")

                            self.dying_gasp = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.DyingGasp()
                            self.dying_gasp.parent = self
                            self._children_name_map["dying_gasp"] = "dying-gasp"
                            self._children_yang_names.add("dying-gasp")

                            self.link_fault = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.LinkFault()
                            self.link_fault.parent = self
                            self._children_name_map["link_fault"] = "link-fault"
                            self._children_yang_names.add("link-fault")
                            self._segment_path = lambda: "remote-failure"


                        class CriticalEvent(Entity):
                            """
                            Critical event
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.CriticalEvent.Action>`
                            
                            

                            """

                            _prefix = 'ios-template'
                            _revision = '2017-02-13'

                            def __init__(self):
                                super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.CriticalEvent, self).__init__()

                                self.yang_name = "critical-event"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.CriticalEvent.Action)}
                                self._child_list_classes = {}

                                self.action = Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.CriticalEvent.Action()
                                self.action.parent = self
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "critical-event"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-template'
                                _revision = '2017-02-13'

                                def __init__(self):
                                    super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "critical-event"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.CriticalEvent.Action, ['error_disable_interface'], name, value)


                        class DyingGasp(Entity):
                            """
                            Dying gasp
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.DyingGasp.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-template'
                            _revision = '2017-02-13'

                            def __init__(self):
                                super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.DyingGasp, self).__init__()

                                self.yang_name = "dying-gasp"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.DyingGasp.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "dying-gasp"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-template'
                                _revision = '2017-02-13'

                                def __init__(self):
                                    super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.DyingGasp.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "dying-gasp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.DyingGasp.Action, ['error_disable_interface'], name, value)


                        class LinkFault(Entity):
                            """
                            Link fault
                            
                            .. attribute:: action
                            
                            	Specifiy an action when a remote failure is detected
                            	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.LinkFault.Action>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-template'
                            _revision = '2017-02-13'

                            def __init__(self):
                                super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.LinkFault, self).__init__()

                                self.yang_name = "link-fault"
                                self.yang_parent_name = "remote-failure"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"action" : ("action", Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.LinkFault.Action)}
                                self._child_list_classes = {}

                                self.action = None
                                self._children_name_map["action"] = "action"
                                self._children_yang_names.add("action")
                                self._segment_path = lambda: "link-fault"


                            class Action(Entity):
                                """
                                Specifiy an action when a remote failure is detected
                                
                                .. attribute:: error_disable_interface
                                
                                	
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-template'
                                _revision = '2017-02-13'

                                def __init__(self):
                                    super(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.LinkFault.Action, self).__init__()

                                    self.yang_name = "action"
                                    self.yang_parent_name = "link-fault"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.error_disable_interface = YLeaf(YType.empty, "error-disable-interface")
                                    self._segment_path = lambda: "action"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXENativeTemplate.TemplateDetails.Ethernet.Oam.RemoteFailure.LinkFault.Action, ['error_disable_interface'], name, value)


    class Process(Entity):
        """
        Configure process
        
        .. attribute:: cpu
        
        	Configure cpu parameters
        	**type**\:  :py:class:`Cpu <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu>`
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Process, self).__init__()

            self.yang_name = "process"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"cpu" : ("cpu", Native.Process.Cpu)}
            self._child_list_classes = {}

            self.cpu = Native.Process.Cpu()
            self.cpu.parent = self
            self._children_name_map["cpu"] = "cpu"
            self._children_yang_names.add("cpu")
            self._segment_path = lambda: "process"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Cpu(Entity):
            """
            Configure cpu parameters
            
            .. attribute:: threshold
            
            	cpu threshold parameters
            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold>`
            
            

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Process.Cpu, self).__init__()

                self.yang_name = "cpu"
                self.yang_parent_name = "process"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"threshold" : ("threshold", Native.Process.Cpu.Threshold)}
                self._child_list_classes = {}

                self.threshold = Native.Process.Cpu.Threshold()
                self.threshold.parent = self
                self._children_name_map["threshold"] = "threshold"
                self._children_yang_names.add("threshold")
                self._segment_path = lambda: "cpu"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/process/%s" % self._segment_path()


            class Threshold(Entity):
                """
                cpu threshold parameters
                
                .. attribute:: type
                
                	cpu threshold type
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type>`
                
                

                """

                _prefix = 'ios'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Process.Cpu.Threshold, self).__init__()

                    self.yang_name = "threshold"
                    self.yang_parent_name = "cpu"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"type" : ("type", Native.Process.Cpu.Threshold.Type)}
                    self._child_list_classes = {}

                    self.type = Native.Process.Cpu.Threshold.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "threshold"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/process/cpu/%s" % self._segment_path()


                class Type(Entity):
                    """
                    cpu threshold type
                    
                    .. attribute:: interrupt
                    
                    	interrupt level utilization
                    	**type**\:  :py:class:`Interrupt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt>`
                    
                    .. attribute:: process
                    
                    	process level utilization
                    	**type**\:  :py:class:`Process <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process>`
                    
                    .. attribute:: total
                    
                    	total cpu utilization
                    	**type**\:  :py:class:`Total <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total>`
                    
                    

                    """

                    _prefix = 'ios'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.Process.Cpu.Threshold.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "threshold"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"interrupt" : ("interrupt", Native.Process.Cpu.Threshold.Type.Interrupt), "process" : ("process", Native.Process.Cpu.Threshold.Type.Process), "total" : ("total", Native.Process.Cpu.Threshold.Type.Total)}
                        self._child_list_classes = {}

                        self.interrupt = Native.Process.Cpu.Threshold.Type.Interrupt()
                        self.interrupt.parent = self
                        self._children_name_map["interrupt"] = "interrupt"
                        self._children_yang_names.add("interrupt")

                        self.process = Native.Process.Cpu.Threshold.Type.Process()
                        self.process.parent = self
                        self._children_name_map["process"] = "process"
                        self._children_yang_names.add("process")

                        self.total = Native.Process.Cpu.Threshold.Type.Total()
                        self.total.parent = self
                        self._children_name_map["total"] = "total"
                        self._children_yang_names.add("total")
                        self._segment_path = lambda: "type"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/process/cpu/threshold/%s" % self._segment_path()


                    class Interrupt(Entity):
                        """
                        interrupt level utilization
                        
                        .. attribute:: rising
                        
                        	rising threshold
                        	**type**\:  :py:class:`Rising <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt.Rising>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Process.Cpu.Threshold.Type.Interrupt, self).__init__()

                            self.yang_name = "interrupt"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rising" : ("rising", Native.Process.Cpu.Threshold.Type.Interrupt.Rising)}
                            self._child_list_classes = {}

                            self.rising = Native.Process.Cpu.Threshold.Type.Interrupt.Rising()
                            self.rising.parent = self
                            self._children_name_map["rising"] = "rising"
                            self._children_yang_names.add("rising")
                            self._segment_path = lambda: "interrupt"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/process/cpu/threshold/type/%s" % self._segment_path()


                        class Rising(Entity):
                            """
                            rising threshold
                            
                            .. attribute:: cpu_range
                            
                            	
                            	**type**\: list of  		 :py:class:`CpuRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Process.Cpu.Threshold.Type.Interrupt.Rising, self).__init__()

                                self.yang_name = "rising"
                                self.yang_parent_name = "interrupt"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"cpu-range" : ("cpu_range", Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange)}

                                self.cpu_range = YList(self)
                                self._segment_path = lambda: "rising"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/process/cpu/threshold/type/interrupt/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Process.Cpu.Threshold.Type.Interrupt.Rising, [], name, value)


                            class CpuRange(Entity):
                                """
                                
                                
                                .. attribute:: cpu_range  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: interval
                                
                                	observation interval
                                	**type**\:  :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange, self).__init__()

                                    self.yang_name = "cpu-range"
                                    self.yang_parent_name = "rising"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"interval" : ("interval", Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval)}
                                    self._child_list_classes = {}

                                    self.cpu_range = YLeaf(YType.uint8, "cpu-range")

                                    self.interval = Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval()
                                    self.interval.parent = self
                                    self._children_name_map["interval"] = "interval"
                                    self._children_yang_names.add("interval")
                                    self._segment_path = lambda: "cpu-range" + "[cpu-range='" + self.cpu_range.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/process/cpu/threshold/type/interrupt/rising/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange, ['cpu_range'], name, value)


                                class Interval(Entity):
                                    """
                                    observation interval
                                    
                                    .. attribute:: cpu_range
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`CpuRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval, self).__init__()

                                        self.yang_name = "interval"
                                        self.yang_parent_name = "cpu-range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"cpu-range" : ("cpu_range", Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange)}

                                        self.cpu_range = YList(self)
                                        self._segment_path = lambda: "interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval, [], name, value)


                                    class CpuRange(Entity):
                                        """
                                        
                                        
                                        .. attribute:: cpu_range  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 5..86400
                                        
                                        .. attribute:: falling
                                        
                                        	falling threshold
                                        	**type**\:  :py:class:`Falling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange.Falling>`
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange, self).__init__()

                                            self.yang_name = "cpu-range"
                                            self.yang_parent_name = "interval"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"falling" : ("falling", Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange.Falling)}
                                            self._child_list_classes = {}

                                            self.cpu_range = YLeaf(YType.uint32, "cpu-range")

                                            self.falling = Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange.Falling()
                                            self.falling.parent = self
                                            self._children_name_map["falling"] = "falling"
                                            self._children_yang_names.add("falling")
                                            self._segment_path = lambda: "cpu-range" + "[cpu-range='" + self.cpu_range.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange, ['cpu_range'], name, value)


                                        class Falling(Entity):
                                            """
                                            falling threshold
                                            
                                            .. attribute:: cpu_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`CpuRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange.Falling.CpuRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios'
                                            _revision = '2017-08-30'

                                            def __init__(self):
                                                super(Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange.Falling, self).__init__()

                                                self.yang_name = "falling"
                                                self.yang_parent_name = "cpu-range"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"cpu-range" : ("cpu_range", Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange.Falling.CpuRange)}

                                                self.cpu_range = YList(self)
                                                self._segment_path = lambda: "falling"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange.Falling, [], name, value)


                                            class CpuRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cpu_range  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: interval
                                                
                                                	observation interval
                                                	**type**\: int
                                                
                                                	**range:** 5..86400
                                                
                                                

                                                """

                                                _prefix = 'ios'
                                                _revision = '2017-08-30'

                                                def __init__(self):
                                                    super(Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange.Falling.CpuRange, self).__init__()

                                                    self.yang_name = "cpu-range"
                                                    self.yang_parent_name = "falling"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.cpu_range = YLeaf(YType.uint8, "cpu-range")

                                                    self.interval = YLeaf(YType.uint32, "interval")
                                                    self._segment_path = lambda: "cpu-range" + "[cpu-range='" + self.cpu_range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Process.Cpu.Threshold.Type.Interrupt.Rising.CpuRange.Interval.CpuRange.Falling.CpuRange, ['cpu_range', 'interval'], name, value)


                    class Process(Entity):
                        """
                        process level utilization
                        
                        .. attribute:: rising
                        
                        	rising threshold
                        	**type**\:  :py:class:`Rising <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process.Rising>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Process.Cpu.Threshold.Type.Process, self).__init__()

                            self.yang_name = "process"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rising" : ("rising", Native.Process.Cpu.Threshold.Type.Process.Rising)}
                            self._child_list_classes = {}

                            self.rising = Native.Process.Cpu.Threshold.Type.Process.Rising()
                            self.rising.parent = self
                            self._children_name_map["rising"] = "rising"
                            self._children_yang_names.add("rising")
                            self._segment_path = lambda: "process"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/process/cpu/threshold/type/%s" % self._segment_path()


                        class Rising(Entity):
                            """
                            rising threshold
                            
                            .. attribute:: cpu_range
                            
                            	
                            	**type**\: list of  		 :py:class:`CpuRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Process.Cpu.Threshold.Type.Process.Rising, self).__init__()

                                self.yang_name = "rising"
                                self.yang_parent_name = "process"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"cpu-range" : ("cpu_range", Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange)}

                                self.cpu_range = YList(self)
                                self._segment_path = lambda: "rising"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/process/cpu/threshold/type/process/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Process.Cpu.Threshold.Type.Process.Rising, [], name, value)


                            class CpuRange(Entity):
                                """
                                
                                
                                .. attribute:: cpu_range  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: interval
                                
                                	observation interval
                                	**type**\:  :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange, self).__init__()

                                    self.yang_name = "cpu-range"
                                    self.yang_parent_name = "rising"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"interval" : ("interval", Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval)}
                                    self._child_list_classes = {}

                                    self.cpu_range = YLeaf(YType.uint8, "cpu-range")

                                    self.interval = Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval()
                                    self.interval.parent = self
                                    self._children_name_map["interval"] = "interval"
                                    self._children_yang_names.add("interval")
                                    self._segment_path = lambda: "cpu-range" + "[cpu-range='" + self.cpu_range.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/process/cpu/threshold/type/process/rising/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange, ['cpu_range'], name, value)


                                class Interval(Entity):
                                    """
                                    observation interval
                                    
                                    .. attribute:: cpu_range
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`CpuRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval.CpuRange>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval, self).__init__()

                                        self.yang_name = "interval"
                                        self.yang_parent_name = "cpu-range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"cpu-range" : ("cpu_range", Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval.CpuRange)}

                                        self.cpu_range = YList(self)
                                        self._segment_path = lambda: "interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval, [], name, value)


                                    class CpuRange(Entity):
                                        """
                                        
                                        
                                        .. attribute:: cpu_range  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 5..86400
                                        
                                        .. attribute:: falling
                                        
                                        	falling threshold
                                        	**type**\:  :py:class:`Falling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval.CpuRange.Falling>`
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval.CpuRange, self).__init__()

                                            self.yang_name = "cpu-range"
                                            self.yang_parent_name = "interval"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"falling" : ("falling", Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval.CpuRange.Falling)}
                                            self._child_list_classes = {}

                                            self.cpu_range = YLeaf(YType.uint32, "cpu-range")

                                            self.falling = Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval.CpuRange.Falling()
                                            self.falling.parent = self
                                            self._children_name_map["falling"] = "falling"
                                            self._children_yang_names.add("falling")
                                            self._segment_path = lambda: "cpu-range" + "[cpu-range='" + self.cpu_range.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval.CpuRange, ['cpu_range'], name, value)


                                        class Falling(Entity):
                                            """
                                            falling threshold
                                            
                                            .. attribute:: cpu_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`CpuRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval.CpuRange.Falling.CpuRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios'
                                            _revision = '2017-08-30'

                                            def __init__(self):
                                                super(Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval.CpuRange.Falling, self).__init__()

                                                self.yang_name = "falling"
                                                self.yang_parent_name = "cpu-range"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"cpu-range" : ("cpu_range", Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval.CpuRange.Falling.CpuRange)}

                                                self.cpu_range = YList(self)
                                                self._segment_path = lambda: "falling"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval.CpuRange.Falling, [], name, value)


                                            class CpuRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cpu_range  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: interval
                                                
                                                	observation interval
                                                	**type**\: int
                                                
                                                	**range:** 5..86400
                                                
                                                

                                                """

                                                _prefix = 'ios'
                                                _revision = '2017-08-30'

                                                def __init__(self):
                                                    super(Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval.CpuRange.Falling.CpuRange, self).__init__()

                                                    self.yang_name = "cpu-range"
                                                    self.yang_parent_name = "falling"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.cpu_range = YLeaf(YType.uint8, "cpu-range")

                                                    self.interval = YLeaf(YType.uint32, "interval")
                                                    self._segment_path = lambda: "cpu-range" + "[cpu-range='" + self.cpu_range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Process.Cpu.Threshold.Type.Process.Rising.CpuRange.Interval.CpuRange.Falling.CpuRange, ['cpu_range', 'interval'], name, value)


                    class Total(Entity):
                        """
                        total cpu utilization
                        
                        .. attribute:: rising
                        
                        	rising threshold
                        	**type**\:  :py:class:`Rising <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total.Rising>`
                        
                        

                        """

                        _prefix = 'ios'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.Process.Cpu.Threshold.Type.Total, self).__init__()

                            self.yang_name = "total"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rising" : ("rising", Native.Process.Cpu.Threshold.Type.Total.Rising)}
                            self._child_list_classes = {}

                            self.rising = Native.Process.Cpu.Threshold.Type.Total.Rising()
                            self.rising.parent = self
                            self._children_name_map["rising"] = "rising"
                            self._children_yang_names.add("rising")
                            self._segment_path = lambda: "total"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/process/cpu/threshold/type/%s" % self._segment_path()


                        class Rising(Entity):
                            """
                            rising threshold
                            
                            .. attribute:: cpu_range
                            
                            	
                            	**type**\: list of  		 :py:class:`CpuRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange>`
                            
                            

                            """

                            _prefix = 'ios'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.Process.Cpu.Threshold.Type.Total.Rising, self).__init__()

                                self.yang_name = "rising"
                                self.yang_parent_name = "total"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {"cpu-range" : ("cpu_range", Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange)}

                                self.cpu_range = YList(self)
                                self._segment_path = lambda: "rising"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/process/cpu/threshold/type/total/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Process.Cpu.Threshold.Type.Total.Rising, [], name, value)


                            class CpuRange(Entity):
                                """
                                
                                
                                .. attribute:: cpu_range  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..100
                                
                                .. attribute:: interval
                                
                                	observation interval
                                	**type**\:  :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval>`
                                
                                

                                """

                                _prefix = 'ios'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange, self).__init__()

                                    self.yang_name = "cpu-range"
                                    self.yang_parent_name = "rising"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"interval" : ("interval", Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval)}
                                    self._child_list_classes = {}

                                    self.cpu_range = YLeaf(YType.uint8, "cpu-range")

                                    self.interval = Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval()
                                    self.interval.parent = self
                                    self._children_name_map["interval"] = "interval"
                                    self._children_yang_names.add("interval")
                                    self._segment_path = lambda: "cpu-range" + "[cpu-range='" + self.cpu_range.get() + "']"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/process/cpu/threshold/type/total/rising/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange, ['cpu_range'], name, value)


                                class Interval(Entity):
                                    """
                                    observation interval
                                    
                                    .. attribute:: cpu_range
                                    
                                    	
                                    	**type**\: list of  		 :py:class:`CpuRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange>`
                                    
                                    

                                    """

                                    _prefix = 'ios'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval, self).__init__()

                                        self.yang_name = "interval"
                                        self.yang_parent_name = "cpu-range"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"cpu-range" : ("cpu_range", Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange)}

                                        self.cpu_range = YList(self)
                                        self._segment_path = lambda: "interval"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval, [], name, value)


                                    class CpuRange(Entity):
                                        """
                                        
                                        
                                        .. attribute:: cpu_range  <key>
                                        
                                        	
                                        	**type**\: int
                                        
                                        	**range:** 5..86400
                                        
                                        .. attribute:: falling
                                        
                                        	falling threshold
                                        	**type**\:  :py:class:`Falling <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange.Falling>`
                                        
                                        

                                        """

                                        _prefix = 'ios'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange, self).__init__()

                                            self.yang_name = "cpu-range"
                                            self.yang_parent_name = "interval"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"falling" : ("falling", Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange.Falling)}
                                            self._child_list_classes = {}

                                            self.cpu_range = YLeaf(YType.uint32, "cpu-range")

                                            self.falling = Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange.Falling()
                                            self.falling.parent = self
                                            self._children_name_map["falling"] = "falling"
                                            self._children_yang_names.add("falling")
                                            self._segment_path = lambda: "cpu-range" + "[cpu-range='" + self.cpu_range.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange, ['cpu_range'], name, value)


                                        class Falling(Entity):
                                            """
                                            falling threshold
                                            
                                            .. attribute:: cpu_range
                                            
                                            	
                                            	**type**\: list of  		 :py:class:`CpuRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange.Falling.CpuRange>`
                                            
                                            

                                            """

                                            _prefix = 'ios'
                                            _revision = '2017-08-30'

                                            def __init__(self):
                                                super(Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange.Falling, self).__init__()

                                                self.yang_name = "falling"
                                                self.yang_parent_name = "cpu-range"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"cpu-range" : ("cpu_range", Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange.Falling.CpuRange)}

                                                self.cpu_range = YList(self)
                                                self._segment_path = lambda: "falling"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange.Falling, [], name, value)


                                            class CpuRange(Entity):
                                                """
                                                
                                                
                                                .. attribute:: cpu_range  <key>
                                                
                                                	
                                                	**type**\: int
                                                
                                                	**range:** 1..100
                                                
                                                .. attribute:: interval
                                                
                                                	observation interval
                                                	**type**\: int
                                                
                                                	**range:** 5..86400
                                                
                                                

                                                """

                                                _prefix = 'ios'
                                                _revision = '2017-08-30'

                                                def __init__(self):
                                                    super(Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange.Falling.CpuRange, self).__init__()

                                                    self.yang_name = "cpu-range"
                                                    self.yang_parent_name = "falling"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.cpu_range = YLeaf(YType.uint8, "cpu-range")

                                                    self.interval = YLeaf(YType.uint32, "interval")
                                                    self._segment_path = lambda: "cpu-range" + "[cpu-range='" + self.cpu_range.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Process.Cpu.Threshold.Type.Total.Rising.CpuRange.Interval.CpuRange.Falling.CpuRange, ['cpu_range', 'interval'], name, value)


    class Exception(Entity):
        """
        help
        
        .. attribute:: crashinfo
        
        	Crashinfo collection
        	**type**\:  :py:class:`Crashinfo <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Exception.Crashinfo>`
        
        	**presence node**\: True
        
        

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Exception, self).__init__()

            self.yang_name = "exception"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"crashinfo" : ("crashinfo", Native.Exception.Crashinfo)}
            self._child_list_classes = {}

            self.crashinfo = None
            self._children_name_map["crashinfo"] = "crashinfo"
            self._children_yang_names.add("crashinfo")
            self._segment_path = lambda: "exception"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Crashinfo(Entity):
            """
            Crashinfo collection
            
            .. attribute:: buffersize
            
            	buffer size in Kbytes 256K or less (default is 32K)
            	**type**\: int
            
            	**range:** 32..256
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Exception.Crashinfo, self).__init__()

                self.yang_name = "crashinfo"
                self.yang_parent_name = "exception"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.buffersize = YLeaf(YType.uint16, "buffersize")
                self._segment_path = lambda: "crashinfo"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/exception/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Exception.Crashinfo, ['buffersize'], name, value)


    class Iox(Entity):
        """
        Configure IOx services
        
        

        This class is a :ref:`presence class<presence-class>`

        """

        _prefix = 'ios'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Iox, self).__init__()

            self.yang_name = "iox"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}
            self.is_presence_container = True
            self._segment_path = lambda: "iox"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


    class Arp(Entity):
        """
        Set a static ARP entry
        
        .. attribute:: arp_entry
        
        	Configure an arp entry
        	**type**\: list of  		 :py:class:`ArpEntry <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.ArpEntry>`
        
        .. attribute:: access_list
        
        	Named access\-list
        	**type**\: list of  		 :py:class:`AccessList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList>`
        
        

        """

        _prefix = 'ios-arp'
        _revision = '2017-01-16'

        def __init__(self):
            super(Native.Arp, self).__init__()

            self.yang_name = "arp"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"arp-entry" : ("arp_entry", Native.Arp.ArpEntry), "Cisco-IOS-XE-switch:access-list" : ("access_list", Native.Arp.AccessList)}

            self.arp_entry = YList(self)
            self.access_list = YList(self)
            self._segment_path = lambda: "Cisco-IOS-XE-arp:arp"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Arp, [], name, value)


        class ArpEntry(Entity):
            """
            Configure an arp entry
            
            .. attribute:: ip  <key>
            
            	IP address of ARP entry
            	**type**\: union of the below types:
            
            		**type**\: str
            
            			**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
            
            		**type**\: str
            
            			**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
            
            .. attribute:: hardware_address
            
            	48\-bit hardware address of ARP entry
            	**type**\: str
            
            .. attribute:: arp_type
            
            	
            	**type**\:  :py:class:`ArpType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.ArpEntry.ArpType>`
            
            

            """

            _prefix = 'ios-arp'
            _revision = '2017-01-16'

            def __init__(self):
                super(Native.Arp.ArpEntry, self).__init__()

                self.yang_name = "arp-entry"
                self.yang_parent_name = "arp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.ip = YLeaf(YType.str, "ip")

                self.hardware_address = YLeaf(YType.str, "hardware-address")

                self.arp_type = YLeaf(YType.enumeration, "arp-type")
                self._segment_path = lambda: "arp-entry" + "[ip='" + self.ip.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-arp:arp/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Arp.ArpEntry, ['ip', 'hardware_address', 'arp_type'], name, value)

            class ArpType(Enum):
                """
                ArpType

                .. data:: ARPA = 0

                .. data:: SAP = 1

                .. data:: SMDS = 2

                .. data:: SNAP = 3

                .. data:: SRP_A = 4

                .. data:: SRP_B = 5

                """

                ARPA = Enum.YLeaf(0, "ARPA")

                SAP = Enum.YLeaf(1, "SAP")

                SMDS = Enum.YLeaf(2, "SMDS")

                SNAP = Enum.YLeaf(3, "SNAP")

                SRP_A = Enum.YLeaf(4, "SRP-A")

                SRP_B = Enum.YLeaf(5, "SRP-B")



        class AccessList(Entity):
            """
            Named access\-list
            
            .. attribute:: name  <key>
            
            	
            	**type**\: str
            
            .. attribute:: permit
            
            	Specify packets to forward
            	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit>`
            
            .. attribute:: deny
            
            	Specify packets to reject
            	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny>`
            
            .. attribute:: default
            
            	Set a command to its defaults
            	**type**\:  :py:class:`Default <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default>`
            
            .. attribute:: no
            
            	Negate a command or set its defaults
            	**type**\:  :py:class:`No <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.Arp.AccessList, self).__init__()

                self.yang_name = "access-list"
                self.yang_parent_name = "arp"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"permit" : ("permit", Native.Arp.AccessList.Permit), "deny" : ("deny", Native.Arp.AccessList.Deny), "default" : ("default", Native.Arp.AccessList.Default), "no" : ("no", Native.Arp.AccessList.No)}
                self._child_list_classes = {}

                self.name = YLeaf(YType.str, "name")

                self.permit = Native.Arp.AccessList.Permit()
                self.permit.parent = self
                self._children_name_map["permit"] = "permit"
                self._children_yang_names.add("permit")

                self.deny = Native.Arp.AccessList.Deny()
                self.deny.parent = self
                self._children_name_map["deny"] = "deny"
                self._children_yang_names.add("deny")

                self.default = Native.Arp.AccessList.Default()
                self.default.parent = self
                self._children_name_map["default"] = "default"
                self._children_yang_names.add("default")

                self.no = Native.Arp.AccessList.No()
                self.no.parent = self
                self._children_name_map["no"] = "no"
                self._children_yang_names.add("no")
                self._segment_path = lambda: "Cisco-IOS-XE-switch:access-list" + "[name='" + self.name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-arp:arp/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Arp.AccessList, ['name'], name, value)


            class Permit(Entity):
                """
                Specify packets to forward
                
                .. attribute:: ip
                
                	Sender IP address
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip>`
                
                .. attribute:: request
                
                	ARP Request
                	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request>`
                
                .. attribute:: response
                
                	ARP Response
                	**type**\:  :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Arp.AccessList.Permit, self).__init__()

                    self.yang_name = "permit"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.Permit.Ip), "request" : ("request", Native.Arp.AccessList.Permit.Request), "response" : ("response", Native.Arp.AccessList.Permit.Response)}
                    self._child_list_classes = {}

                    self.ip = Native.Arp.AccessList.Permit.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")

                    self.request = Native.Arp.AccessList.Permit.Request()
                    self.request.parent = self
                    self._children_name_map["request"] = "request"
                    self._children_yang_names.add("request")

                    self.response = Native.Arp.AccessList.Permit.Response()
                    self.response.parent = self
                    self._children_name_map["response"] = "response"
                    self._children_yang_names.add("response")
                    self._segment_path = lambda: "permit"


                class Ip(Entity):
                    """
                    Sender IP address
                    
                    .. attribute:: sender_ip_address
                    
                    	Sender IP address
                    	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.SenderIpAddress>`
                    
                    .. attribute:: any
                    
                    	Any Sender IP address
                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Any>`
                    
                    .. attribute:: host
                    
                    	Single Sender host
                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Arp.AccessList.Permit.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "permit"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Permit.Ip.Any), "host" : ("host", Native.Arp.AccessList.Permit.Ip.Host)}
                        self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.Permit.Ip.SenderIpAddress)}

                        self.any = Native.Arp.AccessList.Permit.Ip.Any()
                        self.any.parent = self
                        self._children_name_map["any"] = "any"
                        self._children_yang_names.add("any")

                        self.host = Native.Arp.AccessList.Permit.Ip.Host()
                        self.host.parent = self
                        self._children_name_map["host"] = "host"
                        self._children_yang_names.add("host")

                        self.sender_ip_address = YList(self)
                        self._segment_path = lambda: "ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Arp.AccessList.Permit.Ip, [], name, value)


                    class SenderIpAddress(Entity):
                        """
                        Sender IP address
                        
                        .. attribute:: ip_address  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip_address_mask
                        
                        	Sender IP wildcard mask
                        	**type**\: str
                        
                        .. attribute:: mac
                        
                        	Sender MAC address
                        	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Permit.Ip.SenderIpAddress, self).__init__()

                            self.yang_name = "sender-ip-address"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac)}
                            self._child_list_classes = {}

                            self.ip_address = YLeaf(YType.str, "ip-address")

                            self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                            self.mac = Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac()
                            self.mac.parent = self
                            self._children_name_map["mac"] = "mac"
                            self._children_yang_names.add("mac")
                            self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Arp.AccessList.Permit.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                        class Mac(Entity):
                            """
                            Sender MAC address
                            
                            .. attribute:: sender_mac_address
                            
                            	Sender MAC address
                            	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                            
                            .. attribute:: any
                            
                            	Any MAC address
                            	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Any>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac, self).__init__()

                                self.yang_name = "mac"
                                self.yang_parent_name = "sender-ip-address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host)}
                                self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                self.any = None
                                self._children_name_map["any"] = "any"
                                self._children_yang_names.add("any")

                                self.host = Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.sender_mac_address = YList(self)
                                self._segment_path = lambda: "mac"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac, [], name, value)


                            class SenderMacAddress(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: mac_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: mac_address_mask
                                
                                	Sender MAC address mask
                                	**type**\: str
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                    self.yang_name = "sender-mac-address"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mac_address = YLeaf(YType.str, "mac-address")

                                    self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                    self.log = YLeaf(YType.empty, "log")
                                    self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                            class Any(Entity):
                                """
                                Any MAC address
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                    self.yang_name = "any"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.log = YLeaf(YType.empty, "log")
                                    self._segment_path = lambda: "any"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                            class Host(Entity):
                                """
                                Single Sender host
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "host"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                    class Any(Entity):
                        """
                        Any Sender IP address
                        
                        .. attribute:: mac
                        
                        	Sender MAC address
                        	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Any.Mac>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Permit.Ip.Any, self).__init__()

                            self.yang_name = "any"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Permit.Ip.Any.Mac)}
                            self._child_list_classes = {}

                            self.mac = Native.Arp.AccessList.Permit.Ip.Any.Mac()
                            self.mac.parent = self
                            self._children_name_map["mac"] = "mac"
                            self._children_yang_names.add("mac")
                            self._segment_path = lambda: "any"


                        class Mac(Entity):
                            """
                            Sender MAC address
                            
                            .. attribute:: sender_mac_address
                            
                            	Sender MAC address
                            	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Any.Mac.SenderMacAddress>`
                            
                            .. attribute:: any
                            
                            	Any MAC address
                            	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Any.Mac.Any>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Any.Mac.Host>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Permit.Ip.Any.Mac, self).__init__()

                                self.yang_name = "mac"
                                self.yang_parent_name = "any"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Permit.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.Permit.Ip.Any.Mac.Host)}
                                self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Ip.Any.Mac.SenderMacAddress)}

                                self.any = None
                                self._children_name_map["any"] = "any"
                                self._children_yang_names.add("any")

                                self.host = Native.Arp.AccessList.Permit.Ip.Any.Mac.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.sender_mac_address = YList(self)
                                self._segment_path = lambda: "mac"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Permit.Ip.Any.Mac, [], name, value)


                            class SenderMacAddress(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: mac_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: mac_address_mask
                                
                                	Sender MAC address mask
                                	**type**\: str
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Permit.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                    self.yang_name = "sender-mac-address"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mac_address = YLeaf(YType.str, "mac-address")

                                    self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                    self.log = YLeaf(YType.empty, "log")
                                    self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Permit.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                            class Any(Entity):
                                """
                                Any MAC address
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Permit.Ip.Any.Mac.Any, self).__init__()

                                    self.yang_name = "any"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.log = YLeaf(YType.empty, "log")
                                    self._segment_path = lambda: "any"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Permit.Ip.Any.Mac.Any, ['log'], name, value)


                            class Host(Entity):
                                """
                                Single Sender host
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Any.Mac.Host.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Permit.Ip.Any.Mac.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Ip.Any.Mac.Host.SenderMacAddress)}

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "host"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Permit.Ip.Any.Mac.Host, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                    class Host(Entity):
                        """
                        Single Sender host
                        
                        .. attribute:: ip_address
                        
                        	Sender IP address
                        	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host.IpAddress>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Permit.Ip.Host, self).__init__()

                            self.yang_name = "host"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.Permit.Ip.Host.IpAddress)}

                            self.ip_address = YList(self)
                            self._segment_path = lambda: "host"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Arp.AccessList.Permit.Ip.Host, [], name, value)


                        class IpAddress(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Permit.Ip.Host.IpAddress, self).__init__()

                                self.yang_name = "ip-address"
                                self.yang_parent_name = "host"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac)}
                                self._child_list_classes = {}

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.mac = Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Permit.Ip.Host.IpAddress, ['ip_address'], name, value)


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "ip-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Permit.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                class Request(Entity):
                    """
                    ARP Request
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Arp.AccessList.Permit.Request, self).__init__()

                        self.yang_name = "request"
                        self.yang_parent_name = "permit"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.Permit.Request.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Arp.AccessList.Permit.Request.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "request"


                    class Ip(Entity):
                        """
                        Sender IP address
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress>`
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Permit.Request.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "request"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Permit.Request.Ip.Any), "host" : ("host", Native.Arp.AccessList.Permit.Request.Ip.Host)}
                            self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress)}

                            self.any = Native.Arp.AccessList.Permit.Request.Ip.Any()
                            self.any.parent = self
                            self._children_name_map["any"] = "any"
                            self._children_yang_names.add("any")

                            self.host = Native.Arp.AccessList.Permit.Request.Ip.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.sender_ip_address = YList(self)
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip, [], name, value)


                        class SenderIpAddress(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\: str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress, self).__init__()

                                self.yang_name = "sender-ip-address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac)}
                                self._child_list_classes = {}

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                self.mac = Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "sender-ip-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Any(Entity):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Permit.Request.Ip.Any, self).__init__()

                                self.yang_name = "any"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Permit.Request.Ip.Any.Mac)}
                                self._child_list_classes = {}

                                self.mac = Native.Arp.AccessList.Permit.Request.Ip.Any.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "any"


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Permit.Request.Ip.Any.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "any"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.Any.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Host(Entity):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Permit.Request.Ip.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress)}

                                self.ip_address = YList(self)
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.Host, [], name, value)


                            class IpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress, self).__init__()

                                    self.yang_name = "ip-address"
                                    self.yang_parent_name = "host"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.mac = Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress, ['ip_address'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Permit.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                class Response(Entity):
                    """
                    ARP Response
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Arp.AccessList.Permit.Response, self).__init__()

                        self.yang_name = "response"
                        self.yang_parent_name = "permit"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.Permit.Response.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Arp.AccessList.Permit.Response.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "response"


                    class Ip(Entity):
                        """
                        Sender IP address
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress>`
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Permit.Response.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "response"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Permit.Response.Ip.Any), "host" : ("host", Native.Arp.AccessList.Permit.Response.Ip.Host)}
                            self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress)}

                            self.any = Native.Arp.AccessList.Permit.Response.Ip.Any()
                            self.any.parent = self
                            self._children_name_map["any"] = "any"
                            self._children_yang_names.add("any")

                            self.host = Native.Arp.AccessList.Permit.Response.Ip.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.sender_ip_address = YList(self)
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip, [], name, value)


                        class SenderIpAddress(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\: str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress, self).__init__()

                                self.yang_name = "sender-ip-address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac)}
                                self._child_list_classes = {}

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                self.mac = Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "sender-ip-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Any(Entity):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Permit.Response.Ip.Any, self).__init__()

                                self.yang_name = "any"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Permit.Response.Ip.Any.Mac)}
                                self._child_list_classes = {}

                                self.mac = Native.Arp.AccessList.Permit.Response.Ip.Any.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "any"


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Permit.Response.Ip.Any.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "any"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.Any.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Host(Entity):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Permit.Response.Ip.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress)}

                                self.ip_address = YList(self)
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.Host, [], name, value)


                            class IpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress, self).__init__()

                                    self.yang_name = "ip-address"
                                    self.yang_parent_name = "host"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.mac = Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress, ['ip_address'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Permit.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


            class Deny(Entity):
                """
                Specify packets to reject
                
                .. attribute:: ip
                
                	Sender IP address
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip>`
                
                .. attribute:: request
                
                	ARP Request
                	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request>`
                
                .. attribute:: response
                
                	ARP Response
                	**type**\:  :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Arp.AccessList.Deny, self).__init__()

                    self.yang_name = "deny"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.Deny.Ip), "request" : ("request", Native.Arp.AccessList.Deny.Request), "response" : ("response", Native.Arp.AccessList.Deny.Response)}
                    self._child_list_classes = {}

                    self.ip = Native.Arp.AccessList.Deny.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")

                    self.request = Native.Arp.AccessList.Deny.Request()
                    self.request.parent = self
                    self._children_name_map["request"] = "request"
                    self._children_yang_names.add("request")

                    self.response = Native.Arp.AccessList.Deny.Response()
                    self.response.parent = self
                    self._children_name_map["response"] = "response"
                    self._children_yang_names.add("response")
                    self._segment_path = lambda: "deny"


                class Ip(Entity):
                    """
                    Sender IP address
                    
                    .. attribute:: sender_ip_address
                    
                    	Sender IP address
                    	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.SenderIpAddress>`
                    
                    .. attribute:: any
                    
                    	Any Sender IP address
                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Any>`
                    
                    .. attribute:: host
                    
                    	Single Sender host
                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Arp.AccessList.Deny.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "deny"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Deny.Ip.Any), "host" : ("host", Native.Arp.AccessList.Deny.Ip.Host)}
                        self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.Deny.Ip.SenderIpAddress)}

                        self.any = Native.Arp.AccessList.Deny.Ip.Any()
                        self.any.parent = self
                        self._children_name_map["any"] = "any"
                        self._children_yang_names.add("any")

                        self.host = Native.Arp.AccessList.Deny.Ip.Host()
                        self.host.parent = self
                        self._children_name_map["host"] = "host"
                        self._children_yang_names.add("host")

                        self.sender_ip_address = YList(self)
                        self._segment_path = lambda: "ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Arp.AccessList.Deny.Ip, [], name, value)


                    class SenderIpAddress(Entity):
                        """
                        Sender IP address
                        
                        .. attribute:: ip_address  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: ip_address_mask
                        
                        	Sender IP wildcard mask
                        	**type**\: str
                        
                        .. attribute:: mac
                        
                        	Sender MAC address
                        	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Deny.Ip.SenderIpAddress, self).__init__()

                            self.yang_name = "sender-ip-address"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac)}
                            self._child_list_classes = {}

                            self.ip_address = YLeaf(YType.str, "ip-address")

                            self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                            self.mac = Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac()
                            self.mac.parent = self
                            self._children_name_map["mac"] = "mac"
                            self._children_yang_names.add("mac")
                            self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Arp.AccessList.Deny.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                        class Mac(Entity):
                            """
                            Sender MAC address
                            
                            .. attribute:: sender_mac_address
                            
                            	Sender MAC address
                            	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                            
                            .. attribute:: any
                            
                            	Any MAC address
                            	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Any>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac, self).__init__()

                                self.yang_name = "mac"
                                self.yang_parent_name = "sender-ip-address"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host)}
                                self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                self.any = None
                                self._children_name_map["any"] = "any"
                                self._children_yang_names.add("any")

                                self.host = Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.sender_mac_address = YList(self)
                                self._segment_path = lambda: "mac"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac, [], name, value)


                            class SenderMacAddress(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: mac_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: mac_address_mask
                                
                                	Sender MAC address mask
                                	**type**\: str
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                    self.yang_name = "sender-mac-address"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mac_address = YLeaf(YType.str, "mac-address")

                                    self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                    self.log = YLeaf(YType.empty, "log")
                                    self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                            class Any(Entity):
                                """
                                Any MAC address
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                    self.yang_name = "any"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.log = YLeaf(YType.empty, "log")
                                    self._segment_path = lambda: "any"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                            class Host(Entity):
                                """
                                Single Sender host
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "host"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                    class Any(Entity):
                        """
                        Any Sender IP address
                        
                        .. attribute:: mac
                        
                        	Sender MAC address
                        	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Any.Mac>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Deny.Ip.Any, self).__init__()

                            self.yang_name = "any"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Deny.Ip.Any.Mac)}
                            self._child_list_classes = {}

                            self.mac = Native.Arp.AccessList.Deny.Ip.Any.Mac()
                            self.mac.parent = self
                            self._children_name_map["mac"] = "mac"
                            self._children_yang_names.add("mac")
                            self._segment_path = lambda: "any"


                        class Mac(Entity):
                            """
                            Sender MAC address
                            
                            .. attribute:: sender_mac_address
                            
                            	Sender MAC address
                            	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Any.Mac.SenderMacAddress>`
                            
                            .. attribute:: any
                            
                            	Any MAC address
                            	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Any.Mac.Any>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Any.Mac.Host>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Deny.Ip.Any.Mac, self).__init__()

                                self.yang_name = "mac"
                                self.yang_parent_name = "any"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Deny.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.Deny.Ip.Any.Mac.Host)}
                                self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Ip.Any.Mac.SenderMacAddress)}

                                self.any = None
                                self._children_name_map["any"] = "any"
                                self._children_yang_names.add("any")

                                self.host = Native.Arp.AccessList.Deny.Ip.Any.Mac.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.sender_mac_address = YList(self)
                                self._segment_path = lambda: "mac"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Deny.Ip.Any.Mac, [], name, value)


                            class SenderMacAddress(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: mac_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: mac_address_mask
                                
                                	Sender MAC address mask
                                	**type**\: str
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Deny.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                    self.yang_name = "sender-mac-address"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.mac_address = YLeaf(YType.str, "mac-address")

                                    self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                    self.log = YLeaf(YType.empty, "log")
                                    self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Deny.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                            class Any(Entity):
                                """
                                Any MAC address
                                
                                .. attribute:: log
                                
                                	Log on match
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Deny.Ip.Any.Mac.Any, self).__init__()

                                    self.yang_name = "any"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.log = YLeaf(YType.empty, "log")
                                    self._segment_path = lambda: "any"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Deny.Ip.Any.Mac.Any, ['log'], name, value)


                            class Host(Entity):
                                """
                                Single Sender host
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Any.Mac.Host.SenderMacAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Deny.Ip.Any.Mac.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "mac"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Ip.Any.Mac.Host.SenderMacAddress)}

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "host"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Deny.Ip.Any.Mac.Host, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                    class Host(Entity):
                        """
                        Single Sender host
                        
                        .. attribute:: ip_address
                        
                        	Sender IP address
                        	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host.IpAddress>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Deny.Ip.Host, self).__init__()

                            self.yang_name = "host"
                            self.yang_parent_name = "ip"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.Deny.Ip.Host.IpAddress)}

                            self.ip_address = YList(self)
                            self._segment_path = lambda: "host"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Arp.AccessList.Deny.Ip.Host, [], name, value)


                        class IpAddress(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Deny.Ip.Host.IpAddress, self).__init__()

                                self.yang_name = "ip-address"
                                self.yang_parent_name = "host"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac)}
                                self._child_list_classes = {}

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.mac = Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Deny.Ip.Host.IpAddress, ['ip_address'], name, value)


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "ip-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Deny.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                class Request(Entity):
                    """
                    ARP Request
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Arp.AccessList.Deny.Request, self).__init__()

                        self.yang_name = "request"
                        self.yang_parent_name = "deny"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.Deny.Request.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Arp.AccessList.Deny.Request.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "request"


                    class Ip(Entity):
                        """
                        Sender IP address
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress>`
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Deny.Request.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "request"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Deny.Request.Ip.Any), "host" : ("host", Native.Arp.AccessList.Deny.Request.Ip.Host)}
                            self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress)}

                            self.any = Native.Arp.AccessList.Deny.Request.Ip.Any()
                            self.any.parent = self
                            self._children_name_map["any"] = "any"
                            self._children_yang_names.add("any")

                            self.host = Native.Arp.AccessList.Deny.Request.Ip.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.sender_ip_address = YList(self)
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip, [], name, value)


                        class SenderIpAddress(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\: str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress, self).__init__()

                                self.yang_name = "sender-ip-address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac)}
                                self._child_list_classes = {}

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                self.mac = Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "sender-ip-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Any(Entity):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Deny.Request.Ip.Any, self).__init__()

                                self.yang_name = "any"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Deny.Request.Ip.Any.Mac)}
                                self._child_list_classes = {}

                                self.mac = Native.Arp.AccessList.Deny.Request.Ip.Any.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "any"


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Deny.Request.Ip.Any.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "any"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.Any.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Host(Entity):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Deny.Request.Ip.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress)}

                                self.ip_address = YList(self)
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.Host, [], name, value)


                            class IpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress, self).__init__()

                                    self.yang_name = "ip-address"
                                    self.yang_parent_name = "host"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.mac = Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress, ['ip_address'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Deny.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                class Response(Entity):
                    """
                    ARP Response
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Arp.AccessList.Deny.Response, self).__init__()

                        self.yang_name = "response"
                        self.yang_parent_name = "deny"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.Deny.Response.Ip)}
                        self._child_list_classes = {}

                        self.ip = Native.Arp.AccessList.Deny.Response.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")
                        self._segment_path = lambda: "response"


                    class Ip(Entity):
                        """
                        Sender IP address
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress>`
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Deny.Response.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "response"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Deny.Response.Ip.Any), "host" : ("host", Native.Arp.AccessList.Deny.Response.Ip.Host)}
                            self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress)}

                            self.any = Native.Arp.AccessList.Deny.Response.Ip.Any()
                            self.any.parent = self
                            self._children_name_map["any"] = "any"
                            self._children_yang_names.add("any")

                            self.host = Native.Arp.AccessList.Deny.Response.Ip.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.sender_ip_address = YList(self)
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip, [], name, value)


                        class SenderIpAddress(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\: str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress, self).__init__()

                                self.yang_name = "sender-ip-address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac)}
                                self._child_list_classes = {}

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                self.mac = Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "sender-ip-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Any(Entity):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Deny.Response.Ip.Any, self).__init__()

                                self.yang_name = "any"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Deny.Response.Ip.Any.Mac)}
                                self._child_list_classes = {}

                                self.mac = Native.Arp.AccessList.Deny.Response.Ip.Any.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "any"


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Deny.Response.Ip.Any.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "any"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.Any.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Host(Entity):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Deny.Response.Ip.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress)}

                                self.ip_address = YList(self)
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.Host, [], name, value)


                            class IpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress, self).__init__()

                                    self.yang_name = "ip-address"
                                    self.yang_parent_name = "host"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.mac = Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress, ['ip_address'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Deny.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


            class Default(Entity):
                """
                Set a command to its defaults
                
                .. attribute:: permit
                
                	Specify packets to forward
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit>`
                
                .. attribute:: deny
                
                	Specify packets to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Arp.AccessList.Default, self).__init__()

                    self.yang_name = "default"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"permit" : ("permit", Native.Arp.AccessList.Default.Permit), "deny" : ("deny", Native.Arp.AccessList.Default.Deny)}
                    self._child_list_classes = {}

                    self.permit = Native.Arp.AccessList.Default.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")

                    self.deny = Native.Arp.AccessList.Default.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")
                    self._segment_path = lambda: "default"


                class Permit(Entity):
                    """
                    Specify packets to forward
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip>`
                    
                    .. attribute:: request
                    
                    	ARP Request
                    	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request>`
                    
                    .. attribute:: response
                    
                    	ARP Response
                    	**type**\:  :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Arp.AccessList.Default.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.Default.Permit.Ip), "request" : ("request", Native.Arp.AccessList.Default.Permit.Request), "response" : ("response", Native.Arp.AccessList.Default.Permit.Response)}
                        self._child_list_classes = {}

                        self.ip = Native.Arp.AccessList.Default.Permit.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.request = Native.Arp.AccessList.Default.Permit.Request()
                        self.request.parent = self
                        self._children_name_map["request"] = "request"
                        self._children_yang_names.add("request")

                        self.response = Native.Arp.AccessList.Default.Permit.Response()
                        self.response.parent = self
                        self._children_name_map["response"] = "response"
                        self._children_yang_names.add("response")
                        self._segment_path = lambda: "permit"


                    class Ip(Entity):
                        """
                        Sender IP address
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress>`
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Default.Permit.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Permit.Ip.Any), "host" : ("host", Native.Arp.AccessList.Default.Permit.Ip.Host)}
                            self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress)}

                            self.any = Native.Arp.AccessList.Default.Permit.Ip.Any()
                            self.any.parent = self
                            self._children_name_map["any"] = "any"
                            self._children_yang_names.add("any")

                            self.host = Native.Arp.AccessList.Default.Permit.Ip.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.sender_ip_address = YList(self)
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip, [], name, value)


                        class SenderIpAddress(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\: str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress, self).__init__()

                                self.yang_name = "sender-ip-address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac)}
                                self._child_list_classes = {}

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                self.mac = Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "sender-ip-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Any(Entity):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Default.Permit.Ip.Any, self).__init__()

                                self.yang_name = "any"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Permit.Ip.Any.Mac)}
                                self._child_list_classes = {}

                                self.mac = Native.Arp.AccessList.Default.Permit.Ip.Any.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "any"


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Permit.Ip.Any.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "any"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.Any.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Host(Entity):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Default.Permit.Ip.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress)}

                                self.ip_address = YList(self)
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.Host, [], name, value)


                            class IpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress, self).__init__()

                                    self.yang_name = "ip-address"
                                    self.yang_parent_name = "host"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.mac = Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress, ['ip_address'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                    class Request(Entity):
                        """
                        ARP Request
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Default.Permit.Request, self).__init__()

                            self.yang_name = "request"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.Default.Permit.Request.Ip)}
                            self._child_list_classes = {}

                            self.ip = Native.Arp.AccessList.Default.Permit.Request.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")
                            self._segment_path = lambda: "request"


                        class Ip(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress>`
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Default.Permit.Request.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "request"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Permit.Request.Ip.Any), "host" : ("host", Native.Arp.AccessList.Default.Permit.Request.Ip.Host)}
                                self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress)}

                                self.any = Native.Arp.AccessList.Default.Permit.Request.Ip.Any()
                                self.any.parent = self
                                self._children_name_map["any"] = "any"
                                self._children_yang_names.add("any")

                                self.host = Native.Arp.AccessList.Default.Permit.Request.Ip.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.sender_ip_address = YList(self)
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip, [], name, value)


                            class SenderIpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress, self).__init__()

                                    self.yang_name = "sender-ip-address"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                    self.mac = Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "sender-ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Any(Entity):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Permit.Request.Ip.Any, self).__init__()

                                    self.yang_name = "any"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac)}
                                    self._child_list_classes = {}

                                    self.mac = Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "any"


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "any"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Host(Entity):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Permit.Request.Ip.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress)}

                                    self.ip_address = YList(self)
                                    self._segment_path = lambda: "host"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.Host, [], name, value)


                                class IpAddress(Entity):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress, self).__init__()

                                        self.yang_name = "ip-address"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac)}
                                        self._child_list_classes = {}

                                        self.ip_address = YLeaf(YType.str, "ip-address")

                                        self.mac = Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")
                                        self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress, ['ip_address'], name, value)


                                    class Mac(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "ip-address"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host)}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                            self.any = None
                                            self._children_name_map["any"] = "any"
                                            self._children_yang_names.add("any")

                                            self.host = Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host()
                                            self.host.parent = self
                                            self._children_name_map["host"] = "host"
                                            self._children_yang_names.add("host")

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                        class Any(Entity):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                                self.yang_name = "any"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "any"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                        class Host(Entity):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                                self.yang_name = "host"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                                self.sender_mac_address = YList(self)
                                                self._segment_path = lambda: "host"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                            class SenderMacAddress(Entity):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-03-31'

                                                def __init__(self):
                                                    super(Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                    self.yang_name = "sender-mac-address"
                                                    self.yang_parent_name = "host"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.mac_address = YLeaf(YType.str, "mac-address")

                                                    self.log = YLeaf(YType.empty, "log")
                                                    self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Arp.AccessList.Default.Permit.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                    class Response(Entity):
                        """
                        ARP Response
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Default.Permit.Response, self).__init__()

                            self.yang_name = "response"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.Default.Permit.Response.Ip)}
                            self._child_list_classes = {}

                            self.ip = Native.Arp.AccessList.Default.Permit.Response.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")
                            self._segment_path = lambda: "response"


                        class Ip(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress>`
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Default.Permit.Response.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "response"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Permit.Response.Ip.Any), "host" : ("host", Native.Arp.AccessList.Default.Permit.Response.Ip.Host)}
                                self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress)}

                                self.any = Native.Arp.AccessList.Default.Permit.Response.Ip.Any()
                                self.any.parent = self
                                self._children_name_map["any"] = "any"
                                self._children_yang_names.add("any")

                                self.host = Native.Arp.AccessList.Default.Permit.Response.Ip.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.sender_ip_address = YList(self)
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip, [], name, value)


                            class SenderIpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress, self).__init__()

                                    self.yang_name = "sender-ip-address"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                    self.mac = Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "sender-ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Any(Entity):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Permit.Response.Ip.Any, self).__init__()

                                    self.yang_name = "any"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac)}
                                    self._child_list_classes = {}

                                    self.mac = Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "any"


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "any"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Host(Entity):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Permit.Response.Ip.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress)}

                                    self.ip_address = YList(self)
                                    self._segment_path = lambda: "host"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.Host, [], name, value)


                                class IpAddress(Entity):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress, self).__init__()

                                        self.yang_name = "ip-address"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac)}
                                        self._child_list_classes = {}

                                        self.ip_address = YLeaf(YType.str, "ip-address")

                                        self.mac = Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")
                                        self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress, ['ip_address'], name, value)


                                    class Mac(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "ip-address"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host)}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                            self.any = None
                                            self._children_name_map["any"] = "any"
                                            self._children_yang_names.add("any")

                                            self.host = Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host()
                                            self.host.parent = self
                                            self._children_name_map["host"] = "host"
                                            self._children_yang_names.add("host")

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                        class Any(Entity):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                                self.yang_name = "any"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "any"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                        class Host(Entity):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                                self.yang_name = "host"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                                self.sender_mac_address = YList(self)
                                                self._segment_path = lambda: "host"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                            class SenderMacAddress(Entity):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-03-31'

                                                def __init__(self):
                                                    super(Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                    self.yang_name = "sender-mac-address"
                                                    self.yang_parent_name = "host"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.mac_address = YLeaf(YType.str, "mac-address")

                                                    self.log = YLeaf(YType.empty, "log")
                                                    self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Arp.AccessList.Default.Permit.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                class Deny(Entity):
                    """
                    Specify packets to reject
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip>`
                    
                    .. attribute:: request
                    
                    	ARP Request
                    	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request>`
                    
                    .. attribute:: response
                    
                    	ARP Response
                    	**type**\:  :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Arp.AccessList.Default.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "default"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.Default.Deny.Ip), "request" : ("request", Native.Arp.AccessList.Default.Deny.Request), "response" : ("response", Native.Arp.AccessList.Default.Deny.Response)}
                        self._child_list_classes = {}

                        self.ip = Native.Arp.AccessList.Default.Deny.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.request = Native.Arp.AccessList.Default.Deny.Request()
                        self.request.parent = self
                        self._children_name_map["request"] = "request"
                        self._children_yang_names.add("request")

                        self.response = Native.Arp.AccessList.Default.Deny.Response()
                        self.response.parent = self
                        self._children_name_map["response"] = "response"
                        self._children_yang_names.add("response")
                        self._segment_path = lambda: "deny"


                    class Ip(Entity):
                        """
                        Sender IP address
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress>`
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Default.Deny.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Deny.Ip.Any), "host" : ("host", Native.Arp.AccessList.Default.Deny.Ip.Host)}
                            self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress)}

                            self.any = Native.Arp.AccessList.Default.Deny.Ip.Any()
                            self.any.parent = self
                            self._children_name_map["any"] = "any"
                            self._children_yang_names.add("any")

                            self.host = Native.Arp.AccessList.Default.Deny.Ip.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.sender_ip_address = YList(self)
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip, [], name, value)


                        class SenderIpAddress(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\: str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress, self).__init__()

                                self.yang_name = "sender-ip-address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac)}
                                self._child_list_classes = {}

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                self.mac = Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "sender-ip-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Any(Entity):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Default.Deny.Ip.Any, self).__init__()

                                self.yang_name = "any"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Deny.Ip.Any.Mac)}
                                self._child_list_classes = {}

                                self.mac = Native.Arp.AccessList.Default.Deny.Ip.Any.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "any"


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Deny.Ip.Any.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "any"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.Any.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Host(Entity):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Default.Deny.Ip.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress)}

                                self.ip_address = YList(self)
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.Host, [], name, value)


                            class IpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress, self).__init__()

                                    self.yang_name = "ip-address"
                                    self.yang_parent_name = "host"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.mac = Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress, ['ip_address'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                    class Request(Entity):
                        """
                        ARP Request
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Default.Deny.Request, self).__init__()

                            self.yang_name = "request"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.Default.Deny.Request.Ip)}
                            self._child_list_classes = {}

                            self.ip = Native.Arp.AccessList.Default.Deny.Request.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")
                            self._segment_path = lambda: "request"


                        class Ip(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress>`
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Default.Deny.Request.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "request"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Deny.Request.Ip.Any), "host" : ("host", Native.Arp.AccessList.Default.Deny.Request.Ip.Host)}
                                self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress)}

                                self.any = Native.Arp.AccessList.Default.Deny.Request.Ip.Any()
                                self.any.parent = self
                                self._children_name_map["any"] = "any"
                                self._children_yang_names.add("any")

                                self.host = Native.Arp.AccessList.Default.Deny.Request.Ip.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.sender_ip_address = YList(self)
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip, [], name, value)


                            class SenderIpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress, self).__init__()

                                    self.yang_name = "sender-ip-address"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                    self.mac = Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "sender-ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Any(Entity):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Deny.Request.Ip.Any, self).__init__()

                                    self.yang_name = "any"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac)}
                                    self._child_list_classes = {}

                                    self.mac = Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "any"


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "any"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Host(Entity):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Deny.Request.Ip.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress)}

                                    self.ip_address = YList(self)
                                    self._segment_path = lambda: "host"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.Host, [], name, value)


                                class IpAddress(Entity):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress, self).__init__()

                                        self.yang_name = "ip-address"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac)}
                                        self._child_list_classes = {}

                                        self.ip_address = YLeaf(YType.str, "ip-address")

                                        self.mac = Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")
                                        self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress, ['ip_address'], name, value)


                                    class Mac(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "ip-address"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host)}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                            self.any = None
                                            self._children_name_map["any"] = "any"
                                            self._children_yang_names.add("any")

                                            self.host = Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host()
                                            self.host.parent = self
                                            self._children_name_map["host"] = "host"
                                            self._children_yang_names.add("host")

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                        class Any(Entity):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                                self.yang_name = "any"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "any"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                        class Host(Entity):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                                self.yang_name = "host"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                                self.sender_mac_address = YList(self)
                                                self._segment_path = lambda: "host"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                            class SenderMacAddress(Entity):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-03-31'

                                                def __init__(self):
                                                    super(Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                    self.yang_name = "sender-mac-address"
                                                    self.yang_parent_name = "host"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.mac_address = YLeaf(YType.str, "mac-address")

                                                    self.log = YLeaf(YType.empty, "log")
                                                    self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Arp.AccessList.Default.Deny.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                    class Response(Entity):
                        """
                        ARP Response
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.Default.Deny.Response, self).__init__()

                            self.yang_name = "response"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.Default.Deny.Response.Ip)}
                            self._child_list_classes = {}

                            self.ip = Native.Arp.AccessList.Default.Deny.Response.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")
                            self._segment_path = lambda: "response"


                        class Ip(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress>`
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.Default.Deny.Response.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "response"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Deny.Response.Ip.Any), "host" : ("host", Native.Arp.AccessList.Default.Deny.Response.Ip.Host)}
                                self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress)}

                                self.any = Native.Arp.AccessList.Default.Deny.Response.Ip.Any()
                                self.any.parent = self
                                self._children_name_map["any"] = "any"
                                self._children_yang_names.add("any")

                                self.host = Native.Arp.AccessList.Default.Deny.Response.Ip.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.sender_ip_address = YList(self)
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip, [], name, value)


                            class SenderIpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress, self).__init__()

                                    self.yang_name = "sender-ip-address"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                    self.mac = Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "sender-ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Any(Entity):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Deny.Response.Ip.Any, self).__init__()

                                    self.yang_name = "any"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac)}
                                    self._child_list_classes = {}

                                    self.mac = Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "any"


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "any"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Host(Entity):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.Default.Deny.Response.Ip.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress)}

                                    self.ip_address = YList(self)
                                    self._segment_path = lambda: "host"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.Host, [], name, value)


                                class IpAddress(Entity):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress, self).__init__()

                                        self.yang_name = "ip-address"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac)}
                                        self._child_list_classes = {}

                                        self.ip_address = YLeaf(YType.str, "ip-address")

                                        self.mac = Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")
                                        self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress, ['ip_address'], name, value)


                                    class Mac(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "ip-address"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host)}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                            self.any = None
                                            self._children_name_map["any"] = "any"
                                            self._children_yang_names.add("any")

                                            self.host = Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host()
                                            self.host.parent = self
                                            self._children_name_map["host"] = "host"
                                            self._children_yang_names.add("host")

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                        class Any(Entity):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                                self.yang_name = "any"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "any"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                        class Host(Entity):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                                self.yang_name = "host"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                                self.sender_mac_address = YList(self)
                                                self._segment_path = lambda: "host"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                            class SenderMacAddress(Entity):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-03-31'

                                                def __init__(self):
                                                    super(Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                    self.yang_name = "sender-mac-address"
                                                    self.yang_parent_name = "host"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.mac_address = YLeaf(YType.str, "mac-address")

                                                    self.log = YLeaf(YType.empty, "log")
                                                    self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Arp.AccessList.Default.Deny.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


            class No(Entity):
                """
                Negate a command or set its defaults
                
                .. attribute:: permit
                
                	Specify packets to forward
                	**type**\:  :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit>`
                
                .. attribute:: deny
                
                	Specify packets to reject
                	**type**\:  :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Arp.AccessList.No, self).__init__()

                    self.yang_name = "no"
                    self.yang_parent_name = "access-list"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"permit" : ("permit", Native.Arp.AccessList.No.Permit), "deny" : ("deny", Native.Arp.AccessList.No.Deny)}
                    self._child_list_classes = {}

                    self.permit = Native.Arp.AccessList.No.Permit()
                    self.permit.parent = self
                    self._children_name_map["permit"] = "permit"
                    self._children_yang_names.add("permit")

                    self.deny = Native.Arp.AccessList.No.Deny()
                    self.deny.parent = self
                    self._children_name_map["deny"] = "deny"
                    self._children_yang_names.add("deny")
                    self._segment_path = lambda: "no"


                class Permit(Entity):
                    """
                    Specify packets to forward
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip>`
                    
                    .. attribute:: request
                    
                    	ARP Request
                    	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request>`
                    
                    .. attribute:: response
                    
                    	ARP Response
                    	**type**\:  :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Arp.AccessList.No.Permit, self).__init__()

                        self.yang_name = "permit"
                        self.yang_parent_name = "no"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.No.Permit.Ip), "request" : ("request", Native.Arp.AccessList.No.Permit.Request), "response" : ("response", Native.Arp.AccessList.No.Permit.Response)}
                        self._child_list_classes = {}

                        self.ip = Native.Arp.AccessList.No.Permit.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.request = Native.Arp.AccessList.No.Permit.Request()
                        self.request.parent = self
                        self._children_name_map["request"] = "request"
                        self._children_yang_names.add("request")

                        self.response = Native.Arp.AccessList.No.Permit.Response()
                        self.response.parent = self
                        self._children_name_map["response"] = "response"
                        self._children_yang_names.add("response")
                        self._segment_path = lambda: "permit"


                    class Ip(Entity):
                        """
                        Sender IP address
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress>`
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.No.Permit.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Permit.Ip.Any), "host" : ("host", Native.Arp.AccessList.No.Permit.Ip.Host)}
                            self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress)}

                            self.any = Native.Arp.AccessList.No.Permit.Ip.Any()
                            self.any.parent = self
                            self._children_name_map["any"] = "any"
                            self._children_yang_names.add("any")

                            self.host = Native.Arp.AccessList.No.Permit.Ip.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.sender_ip_address = YList(self)
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip, [], name, value)


                        class SenderIpAddress(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\: str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress, self).__init__()

                                self.yang_name = "sender-ip-address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac)}
                                self._child_list_classes = {}

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                self.mac = Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "sender-ip-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Any(Entity):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.No.Permit.Ip.Any, self).__init__()

                                self.yang_name = "any"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Permit.Ip.Any.Mac)}
                                self._child_list_classes = {}

                                self.mac = Native.Arp.AccessList.No.Permit.Ip.Any.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "any"


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Any.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Permit.Ip.Any.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "any"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Ip.Any.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.Any.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Permit.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Host(Entity):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.No.Permit.Ip.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress)}

                                self.ip_address = YList(self)
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.Host, [], name, value)


                            class IpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress, self).__init__()

                                    self.yang_name = "ip-address"
                                    self.yang_parent_name = "host"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.mac = Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress, ['ip_address'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                    class Request(Entity):
                        """
                        ARP Request
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.No.Permit.Request, self).__init__()

                            self.yang_name = "request"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.No.Permit.Request.Ip)}
                            self._child_list_classes = {}

                            self.ip = Native.Arp.AccessList.No.Permit.Request.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")
                            self._segment_path = lambda: "request"


                        class Ip(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress>`
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.No.Permit.Request.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "request"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Permit.Request.Ip.Any), "host" : ("host", Native.Arp.AccessList.No.Permit.Request.Ip.Host)}
                                self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress)}

                                self.any = Native.Arp.AccessList.No.Permit.Request.Ip.Any()
                                self.any.parent = self
                                self._children_name_map["any"] = "any"
                                self._children_yang_names.add("any")

                                self.host = Native.Arp.AccessList.No.Permit.Request.Ip.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.sender_ip_address = YList(self)
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip, [], name, value)


                            class SenderIpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress, self).__init__()

                                    self.yang_name = "sender-ip-address"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                    self.mac = Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "sender-ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Any(Entity):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Permit.Request.Ip.Any, self).__init__()

                                    self.yang_name = "any"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac)}
                                    self._child_list_classes = {}

                                    self.mac = Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "any"


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "any"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Host(Entity):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Permit.Request.Ip.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress)}

                                    self.ip_address = YList(self)
                                    self._segment_path = lambda: "host"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.Host, [], name, value)


                                class IpAddress(Entity):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress, self).__init__()

                                        self.yang_name = "ip-address"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac)}
                                        self._child_list_classes = {}

                                        self.ip_address = YLeaf(YType.str, "ip-address")

                                        self.mac = Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")
                                        self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress, ['ip_address'], name, value)


                                    class Mac(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "ip-address"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host)}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                            self.any = None
                                            self._children_name_map["any"] = "any"
                                            self._children_yang_names.add("any")

                                            self.host = Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host()
                                            self.host.parent = self
                                            self._children_name_map["host"] = "host"
                                            self._children_yang_names.add("host")

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                        class Any(Entity):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                                self.yang_name = "any"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "any"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                        class Host(Entity):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                                self.yang_name = "host"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                                self.sender_mac_address = YList(self)
                                                self._segment_path = lambda: "host"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                            class SenderMacAddress(Entity):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-03-31'

                                                def __init__(self):
                                                    super(Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                    self.yang_name = "sender-mac-address"
                                                    self.yang_parent_name = "host"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.mac_address = YLeaf(YType.str, "mac-address")

                                                    self.log = YLeaf(YType.empty, "log")
                                                    self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Arp.AccessList.No.Permit.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                    class Response(Entity):
                        """
                        ARP Response
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.No.Permit.Response, self).__init__()

                            self.yang_name = "response"
                            self.yang_parent_name = "permit"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.No.Permit.Response.Ip)}
                            self._child_list_classes = {}

                            self.ip = Native.Arp.AccessList.No.Permit.Response.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")
                            self._segment_path = lambda: "response"


                        class Ip(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress>`
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.No.Permit.Response.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "response"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Permit.Response.Ip.Any), "host" : ("host", Native.Arp.AccessList.No.Permit.Response.Ip.Host)}
                                self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress)}

                                self.any = Native.Arp.AccessList.No.Permit.Response.Ip.Any()
                                self.any.parent = self
                                self._children_name_map["any"] = "any"
                                self._children_yang_names.add("any")

                                self.host = Native.Arp.AccessList.No.Permit.Response.Ip.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.sender_ip_address = YList(self)
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip, [], name, value)


                            class SenderIpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress, self).__init__()

                                    self.yang_name = "sender-ip-address"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                    self.mac = Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "sender-ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Any(Entity):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Permit.Response.Ip.Any, self).__init__()

                                    self.yang_name = "any"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac)}
                                    self._child_list_classes = {}

                                    self.mac = Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "any"


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "any"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Host(Entity):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Permit.Response.Ip.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress)}

                                    self.ip_address = YList(self)
                                    self._segment_path = lambda: "host"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.Host, [], name, value)


                                class IpAddress(Entity):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress, self).__init__()

                                        self.yang_name = "ip-address"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac)}
                                        self._child_list_classes = {}

                                        self.ip_address = YLeaf(YType.str, "ip-address")

                                        self.mac = Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")
                                        self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress, ['ip_address'], name, value)


                                    class Mac(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "ip-address"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host)}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                            self.any = None
                                            self._children_name_map["any"] = "any"
                                            self._children_yang_names.add("any")

                                            self.host = Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host()
                                            self.host.parent = self
                                            self._children_name_map["host"] = "host"
                                            self._children_yang_names.add("host")

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                        class Any(Entity):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                                self.yang_name = "any"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "any"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                        class Host(Entity):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                                self.yang_name = "host"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                                self.sender_mac_address = YList(self)
                                                self._segment_path = lambda: "host"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                            class SenderMacAddress(Entity):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-03-31'

                                                def __init__(self):
                                                    super(Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                    self.yang_name = "sender-mac-address"
                                                    self.yang_parent_name = "host"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.mac_address = YLeaf(YType.str, "mac-address")

                                                    self.log = YLeaf(YType.empty, "log")
                                                    self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Arp.AccessList.No.Permit.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                class Deny(Entity):
                    """
                    Specify packets to reject
                    
                    .. attribute:: ip
                    
                    	Sender IP address
                    	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip>`
                    
                    .. attribute:: request
                    
                    	ARP Request
                    	**type**\:  :py:class:`Request <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request>`
                    
                    .. attribute:: response
                    
                    	ARP Response
                    	**type**\:  :py:class:`Response <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Arp.AccessList.No.Deny, self).__init__()

                        self.yang_name = "deny"
                        self.yang_parent_name = "no"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.No.Deny.Ip), "request" : ("request", Native.Arp.AccessList.No.Deny.Request), "response" : ("response", Native.Arp.AccessList.No.Deny.Response)}
                        self._child_list_classes = {}

                        self.ip = Native.Arp.AccessList.No.Deny.Ip()
                        self.ip.parent = self
                        self._children_name_map["ip"] = "ip"
                        self._children_yang_names.add("ip")

                        self.request = Native.Arp.AccessList.No.Deny.Request()
                        self.request.parent = self
                        self._children_name_map["request"] = "request"
                        self._children_yang_names.add("request")

                        self.response = Native.Arp.AccessList.No.Deny.Response()
                        self.response.parent = self
                        self._children_name_map["response"] = "response"
                        self._children_yang_names.add("response")
                        self._segment_path = lambda: "deny"


                    class Ip(Entity):
                        """
                        Sender IP address
                        
                        .. attribute:: sender_ip_address
                        
                        	Sender IP address
                        	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress>`
                        
                        .. attribute:: any
                        
                        	Any Sender IP address
                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Any>`
                        
                        .. attribute:: host
                        
                        	Single Sender host
                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.No.Deny.Ip, self).__init__()

                            self.yang_name = "ip"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Deny.Ip.Any), "host" : ("host", Native.Arp.AccessList.No.Deny.Ip.Host)}
                            self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress)}

                            self.any = Native.Arp.AccessList.No.Deny.Ip.Any()
                            self.any.parent = self
                            self._children_name_map["any"] = "any"
                            self._children_yang_names.add("any")

                            self.host = Native.Arp.AccessList.No.Deny.Ip.Host()
                            self.host.parent = self
                            self._children_name_map["host"] = "host"
                            self._children_yang_names.add("host")

                            self.sender_ip_address = YList(self)
                            self._segment_path = lambda: "ip"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip, [], name, value)


                        class SenderIpAddress(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: ip_address  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: ip_address_mask
                            
                            	Sender IP wildcard mask
                            	**type**\: str
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress, self).__init__()

                                self.yang_name = "sender-ip-address"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac)}
                                self._child_list_classes = {}

                                self.ip_address = YLeaf(YType.str, "ip-address")

                                self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                self.mac = Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "sender-ip-address"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Any(Entity):
                            """
                            Any Sender IP address
                            
                            .. attribute:: mac
                            
                            	Sender MAC address
                            	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Any.Mac>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.No.Deny.Ip.Any, self).__init__()

                                self.yang_name = "any"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Deny.Ip.Any.Mac)}
                                self._child_list_classes = {}

                                self.mac = Native.Arp.AccessList.No.Deny.Ip.Any.Mac()
                                self.mac.parent = self
                                self._children_name_map["mac"] = "mac"
                                self._children_yang_names.add("mac")
                                self._segment_path = lambda: "any"


                            class Mac(Entity):
                                """
                                Sender MAC address
                                
                                .. attribute:: sender_mac_address
                                
                                	Sender MAC address
                                	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Any.Mac.SenderMacAddress>`
                                
                                .. attribute:: any
                                
                                	Any MAC address
                                	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Any>`
                                
                                	**presence node**\: True
                                
                                .. attribute:: host
                                
                                	Single Sender host
                                	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Deny.Ip.Any.Mac, self).__init__()

                                    self.yang_name = "mac"
                                    self.yang_parent_name = "any"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host)}
                                    self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Ip.Any.Mac.SenderMacAddress)}

                                    self.any = None
                                    self._children_name_map["any"] = "any"
                                    self._children_yang_names.add("any")

                                    self.host = Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host()
                                    self.host.parent = self
                                    self._children_name_map["host"] = "host"
                                    self._children_yang_names.add("host")

                                    self.sender_mac_address = YList(self)
                                    self._segment_path = lambda: "mac"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.Any.Mac, [], name, value)


                                class SenderMacAddress(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: mac_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac_address_mask
                                    
                                    	Sender MAC address mask
                                    	**type**\: str
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Deny.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                        self.yang_name = "sender-mac-address"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.mac_address = YLeaf(YType.str, "mac-address")

                                        self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                class Any(Entity):
                                    """
                                    Any MAC address
                                    
                                    .. attribute:: log
                                    
                                    	Log on match
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    

                                    This class is a :ref:`presence class<presence-class>`

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Any, self).__init__()

                                        self.yang_name = "any"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}
                                        self.is_presence_container = True

                                        self.log = YLeaf(YType.empty, "log")
                                        self._segment_path = lambda: "any"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Any, ['log'], name, value)


                                class Host(Entity):
                                    """
                                    Single Sender host
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host.SenderMacAddress>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host, self).__init__()

                                        self.yang_name = "host"
                                        self.yang_parent_name = "mac"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host.SenderMacAddress)}

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "host"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "host"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                        class Host(Entity):
                            """
                            Single Sender host
                            
                            .. attribute:: ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.No.Deny.Ip.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "ip"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress)}

                                self.ip_address = YList(self)
                                self._segment_path = lambda: "host"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.Host, [], name, value)


                            class IpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress, self).__init__()

                                    self.yang_name = "ip-address"
                                    self.yang_parent_name = "host"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.mac = Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress, ['ip_address'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                    class Request(Entity):
                        """
                        ARP Request
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.No.Deny.Request, self).__init__()

                            self.yang_name = "request"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.No.Deny.Request.Ip)}
                            self._child_list_classes = {}

                            self.ip = Native.Arp.AccessList.No.Deny.Request.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")
                            self._segment_path = lambda: "request"


                        class Ip(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress>`
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.No.Deny.Request.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "request"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Deny.Request.Ip.Any), "host" : ("host", Native.Arp.AccessList.No.Deny.Request.Ip.Host)}
                                self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress)}

                                self.any = Native.Arp.AccessList.No.Deny.Request.Ip.Any()
                                self.any.parent = self
                                self._children_name_map["any"] = "any"
                                self._children_yang_names.add("any")

                                self.host = Native.Arp.AccessList.No.Deny.Request.Ip.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.sender_ip_address = YList(self)
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip, [], name, value)


                            class SenderIpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress, self).__init__()

                                    self.yang_name = "sender-ip-address"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                    self.mac = Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "sender-ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Any(Entity):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Deny.Request.Ip.Any, self).__init__()

                                    self.yang_name = "any"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac)}
                                    self._child_list_classes = {}

                                    self.mac = Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "any"


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "any"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Host(Entity):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Deny.Request.Ip.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress)}

                                    self.ip_address = YList(self)
                                    self._segment_path = lambda: "host"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.Host, [], name, value)


                                class IpAddress(Entity):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress, self).__init__()

                                        self.yang_name = "ip-address"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac)}
                                        self._child_list_classes = {}

                                        self.ip_address = YLeaf(YType.str, "ip-address")

                                        self.mac = Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")
                                        self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress, ['ip_address'], name, value)


                                    class Mac(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "ip-address"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host)}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                            self.any = None
                                            self._children_name_map["any"] = "any"
                                            self._children_yang_names.add("any")

                                            self.host = Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host()
                                            self.host.parent = self
                                            self._children_name_map["host"] = "host"
                                            self._children_yang_names.add("host")

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                        class Any(Entity):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                                self.yang_name = "any"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "any"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                        class Host(Entity):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                                self.yang_name = "host"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                                self.sender_mac_address = YList(self)
                                                self._segment_path = lambda: "host"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                            class SenderMacAddress(Entity):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-03-31'

                                                def __init__(self):
                                                    super(Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                    self.yang_name = "sender-mac-address"
                                                    self.yang_parent_name = "host"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.mac_address = YLeaf(YType.str, "mac-address")

                                                    self.log = YLeaf(YType.empty, "log")
                                                    self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Arp.AccessList.No.Deny.Request.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                    class Response(Entity):
                        """
                        ARP Response
                        
                        .. attribute:: ip
                        
                        	Sender IP address
                        	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Arp.AccessList.No.Deny.Response, self).__init__()

                            self.yang_name = "response"
                            self.yang_parent_name = "deny"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ip" : ("ip", Native.Arp.AccessList.No.Deny.Response.Ip)}
                            self._child_list_classes = {}

                            self.ip = Native.Arp.AccessList.No.Deny.Response.Ip()
                            self.ip.parent = self
                            self._children_name_map["ip"] = "ip"
                            self._children_yang_names.add("ip")
                            self._segment_path = lambda: "response"


                        class Ip(Entity):
                            """
                            Sender IP address
                            
                            .. attribute:: sender_ip_address
                            
                            	Sender IP address
                            	**type**\: list of  		 :py:class:`SenderIpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress>`
                            
                            .. attribute:: any
                            
                            	Any Sender IP address
                            	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Any>`
                            
                            .. attribute:: host
                            
                            	Single Sender host
                            	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Arp.AccessList.No.Deny.Response.Ip, self).__init__()

                                self.yang_name = "ip"
                                self.yang_parent_name = "response"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Deny.Response.Ip.Any), "host" : ("host", Native.Arp.AccessList.No.Deny.Response.Ip.Host)}
                                self._child_list_classes = {"sender-ip-address" : ("sender_ip_address", Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress)}

                                self.any = Native.Arp.AccessList.No.Deny.Response.Ip.Any()
                                self.any.parent = self
                                self._children_name_map["any"] = "any"
                                self._children_yang_names.add("any")

                                self.host = Native.Arp.AccessList.No.Deny.Response.Ip.Host()
                                self.host.parent = self
                                self._children_name_map["host"] = "host"
                                self._children_yang_names.add("host")

                                self.sender_ip_address = YList(self)
                                self._segment_path = lambda: "ip"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip, [], name, value)


                            class SenderIpAddress(Entity):
                                """
                                Sender IP address
                                
                                .. attribute:: ip_address  <key>
                                
                                	
                                	**type**\: str
                                
                                .. attribute:: ip_address_mask
                                
                                	Sender IP wildcard mask
                                	**type**\: str
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress, self).__init__()

                                    self.yang_name = "sender-ip-address"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac)}
                                    self._child_list_classes = {}

                                    self.ip_address = YLeaf(YType.str, "ip-address")

                                    self.ip_address_mask = YLeaf(YType.str, "ip-address-mask")

                                    self.mac = Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "sender-ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress, ['ip_address', 'ip_address_mask'], name, value)


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "sender-ip-address"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.SenderIpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Any(Entity):
                                """
                                Any Sender IP address
                                
                                .. attribute:: mac
                                
                                	Sender MAC address
                                	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Deny.Response.Ip.Any, self).__init__()

                                    self.yang_name = "any"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac)}
                                    self._child_list_classes = {}

                                    self.mac = Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac()
                                    self.mac.parent = self
                                    self._children_name_map["mac"] = "mac"
                                    self._children_yang_names.add("mac")
                                    self._segment_path = lambda: "any"


                                class Mac(Entity):
                                    """
                                    Sender MAC address
                                    
                                    .. attribute:: sender_mac_address
                                    
                                    	Sender MAC address
                                    	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.SenderMacAddress>`
                                    
                                    .. attribute:: any
                                    
                                    	Any MAC address
                                    	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Any>`
                                    
                                    	**presence node**\: True
                                    
                                    .. attribute:: host
                                    
                                    	Single Sender host
                                    	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac, self).__init__()

                                        self.yang_name = "mac"
                                        self.yang_parent_name = "any"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host)}
                                        self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.SenderMacAddress)}

                                        self.any = None
                                        self._children_name_map["any"] = "any"
                                        self._children_yang_names.add("any")

                                        self.host = Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host()
                                        self.host.parent = self
                                        self._children_name_map["host"] = "host"
                                        self._children_yang_names.add("host")

                                        self.sender_mac_address = YList(self)
                                        self._segment_path = lambda: "mac"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac, [], name, value)


                                    class SenderMacAddress(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: mac_address  <key>
                                        
                                        	
                                        	**type**\: str
                                        
                                        .. attribute:: mac_address_mask
                                        
                                        	Sender MAC address mask
                                        	**type**\: str
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.SenderMacAddress, self).__init__()

                                            self.yang_name = "sender-mac-address"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.mac_address = YLeaf(YType.str, "mac-address")

                                            self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                    class Any(Entity):
                                        """
                                        Any MAC address
                                        
                                        .. attribute:: log
                                        
                                        	Log on match
                                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                        
                                        

                                        This class is a :ref:`presence class<presence-class>`

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Any, self).__init__()

                                            self.yang_name = "any"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}
                                            self.is_presence_container = True

                                            self.log = YLeaf(YType.empty, "log")
                                            self._segment_path = lambda: "any"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Any, ['log'], name, value)


                                    class Host(Entity):
                                        """
                                        Single Sender host
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host, self).__init__()

                                            self.yang_name = "host"
                                            self.yang_parent_name = "mac"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress)}

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "host"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "host"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.Any.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


                            class Host(Entity):
                                """
                                Single Sender host
                                
                                .. attribute:: ip_address
                                
                                	Sender IP address
                                	**type**\: list of  		 :py:class:`IpAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress>`
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Arp.AccessList.No.Deny.Response.Ip.Host, self).__init__()

                                    self.yang_name = "host"
                                    self.yang_parent_name = "ip"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"ip-address" : ("ip_address", Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress)}

                                    self.ip_address = YList(self)
                                    self._segment_path = lambda: "host"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.Host, [], name, value)


                                class IpAddress(Entity):
                                    """
                                    Sender IP address
                                    
                                    .. attribute:: ip_address  <key>
                                    
                                    	
                                    	**type**\: str
                                    
                                    .. attribute:: mac
                                    
                                    	Sender MAC address
                                    	**type**\:  :py:class:`Mac <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac>`
                                    
                                    

                                    """

                                    _prefix = 'ios-sw'
                                    _revision = '2017-03-31'

                                    def __init__(self):
                                        super(Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress, self).__init__()

                                        self.yang_name = "ip-address"
                                        self.yang_parent_name = "host"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {"mac" : ("mac", Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac)}
                                        self._child_list_classes = {}

                                        self.ip_address = YLeaf(YType.str, "ip-address")

                                        self.mac = Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac()
                                        self.mac.parent = self
                                        self._children_name_map["mac"] = "mac"
                                        self._children_yang_names.add("mac")
                                        self._segment_path = lambda: "ip-address" + "[ip-address='" + self.ip_address.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress, ['ip_address'], name, value)


                                    class Mac(Entity):
                                        """
                                        Sender MAC address
                                        
                                        .. attribute:: sender_mac_address
                                        
                                        	Sender MAC address
                                        	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress>`
                                        
                                        .. attribute:: any
                                        
                                        	Any MAC address
                                        	**type**\:  :py:class:`Any <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Any>`
                                        
                                        	**presence node**\: True
                                        
                                        .. attribute:: host
                                        
                                        	Single Sender host
                                        	**type**\:  :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host>`
                                        
                                        

                                        """

                                        _prefix = 'ios-sw'
                                        _revision = '2017-03-31'

                                        def __init__(self):
                                            super(Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac, self).__init__()

                                            self.yang_name = "mac"
                                            self.yang_parent_name = "ip-address"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = True
                                            self._child_container_classes = {"any" : ("any", Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Any), "host" : ("host", Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host)}
                                            self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress)}

                                            self.any = None
                                            self._children_name_map["any"] = "any"
                                            self._children_yang_names.add("any")

                                            self.host = Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host()
                                            self.host.parent = self
                                            self._children_name_map["host"] = "host"
                                            self._children_yang_names.add("host")

                                            self.sender_mac_address = YList(self)
                                            self._segment_path = lambda: "mac"

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac, [], name, value)


                                        class SenderMacAddress(Entity):
                                            """
                                            Sender MAC address
                                            
                                            .. attribute:: mac_address  <key>
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: mac_address_mask
                                            
                                            	Sender MAC address mask
                                            	**type**\: str
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress, self).__init__()

                                                self.yang_name = "sender-mac-address"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.mac_address = YLeaf(YType.str, "mac-address")

                                                self.mac_address_mask = YLeaf(YType.str, "mac-address-mask")

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.SenderMacAddress, ['mac_address', 'mac_address_mask', 'log'], name, value)


                                        class Any(Entity):
                                            """
                                            Any MAC address
                                            
                                            .. attribute:: log
                                            
                                            	Log on match
                                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                            
                                            

                                            This class is a :ref:`presence class<presence-class>`

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Any, self).__init__()

                                                self.yang_name = "any"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}
                                                self.is_presence_container = True

                                                self.log = YLeaf(YType.empty, "log")
                                                self._segment_path = lambda: "any"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Any, ['log'], name, value)


                                        class Host(Entity):
                                            """
                                            Single Sender host
                                            
                                            .. attribute:: sender_mac_address
                                            
                                            	Sender MAC address
                                            	**type**\: list of  		 :py:class:`SenderMacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress>`
                                            
                                            

                                            """

                                            _prefix = 'ios-sw'
                                            _revision = '2017-03-31'

                                            def __init__(self):
                                                super(Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host, self).__init__()

                                                self.yang_name = "host"
                                                self.yang_parent_name = "mac"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = True
                                                self._child_container_classes = {}
                                                self._child_list_classes = {"sender-mac-address" : ("sender_mac_address", Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress)}

                                                self.sender_mac_address = YList(self)
                                                self._segment_path = lambda: "host"

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host, [], name, value)


                                            class SenderMacAddress(Entity):
                                                """
                                                Sender MAC address
                                                
                                                .. attribute:: mac_address  <key>
                                                
                                                	
                                                	**type**\: str
                                                
                                                .. attribute:: log
                                                
                                                	Log on match
                                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                                
                                                

                                                """

                                                _prefix = 'ios-sw'
                                                _revision = '2017-03-31'

                                                def __init__(self):
                                                    super(Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, self).__init__()

                                                    self.yang_name = "sender-mac-address"
                                                    self.yang_parent_name = "host"
                                                    self.is_top_level_class = False
                                                    self.has_list_ancestor = True
                                                    self._child_container_classes = {}
                                                    self._child_list_classes = {}

                                                    self.mac_address = YLeaf(YType.str, "mac-address")

                                                    self.log = YLeaf(YType.empty, "log")
                                                    self._segment_path = lambda: "sender-mac-address" + "[mac-address='" + self.mac_address.get() + "']"

                                                def __setattr__(self, name, value):
                                                    self._perform_setattr(Native.Arp.AccessList.No.Deny.Response.Ip.Host.IpAddress.Mac.Host.SenderMacAddress, ['mac_address', 'log'], name, value)


    class Esmc(Entity):
        """
        Ethernet Synchronization Messaging Channel
        
        .. attribute:: process
        
        	process
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios-eth'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.Esmc, self).__init__()

            self.yang_name = "esmc"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.process = YLeaf(YType.empty, "process")
            self._segment_path = lambda: "Cisco-IOS-XE-ethernet:esmc"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Esmc, ['process'], name, value)


    class BbaGroup(Entity):
        """
        Configure BBA Group
        
        .. attribute:: pppoe
        
        	PPPoE type
        	**type**\: list of  		 :py:class:`Pppoe <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup.Pppoe>`
        
        

        """

        _prefix = 'ios-bba'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.BbaGroup, self).__init__()

            self.yang_name = "bba-group"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"pppoe" : ("pppoe", Native.BbaGroup.Pppoe)}

            self.pppoe = YList(self)
            self._segment_path = lambda: "Cisco-IOS-XE-bba-group:bba-group"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.BbaGroup, [], name, value)


        class Pppoe(Entity):
            """
            PPPoE type
            
            .. attribute:: id  <key>
            
            	
            	**type**\: union of the below types:
            
            		**type**\: str
            
            		**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup.Pppoe.Id>`
            
            .. attribute:: vendor_tag
            
            	PPPoE Vendor Specific Tag
            	**type**\:  :py:class:`VendorTag <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup.Pppoe.VendorTag>`
            
            .. attribute:: virtual_template
            
            	BBA virtual template command
            	**type**\: int
            
            	**range:** 1..4095
            
            

            """

            _prefix = 'ios-bba'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.BbaGroup.Pppoe, self).__init__()

                self.yang_name = "pppoe"
                self.yang_parent_name = "bba-group"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"vendor-tag" : ("vendor_tag", Native.BbaGroup.Pppoe.VendorTag)}
                self._child_list_classes = {}

                self.id = YLeaf(YType.str, "id")

                self.virtual_template = YLeaf(YType.uint16, "virtual-template")

                self.vendor_tag = Native.BbaGroup.Pppoe.VendorTag()
                self.vendor_tag.parent = self
                self._children_name_map["vendor_tag"] = "vendor-tag"
                self._children_yang_names.add("vendor-tag")
                self._segment_path = lambda: "pppoe" + "[id='" + self.id.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-bba-group:bba-group/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.BbaGroup.Pppoe, ['id', 'virtual_template'], name, value)

            class Id(Enum):
                """
                Id

                .. data:: global_ = 0

                """

                global_ = Enum.YLeaf(0, "global")



            class VendorTag(Entity):
                """
                PPPoE Vendor Specific Tag
                
                .. attribute:: circuit_id
                
                	Circuit\-Id
                	**type**\:  :py:class:`CircuitId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup.Pppoe.VendorTag.CircuitId>`
                
                .. attribute:: dsl_sync_rate
                
                	DSL\-Sync\-Rate
                	**type**\:  :py:class:`DslSyncRate <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup.Pppoe.VendorTag.DslSyncRate>`
                
                .. attribute:: remote_id
                
                	Remote\-Id
                	**type**\:  :py:class:`RemoteId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.BbaGroup.Pppoe.VendorTag.RemoteId>`
                
                .. attribute:: strip
                
                	Strip all vendor tags
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-bba'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.BbaGroup.Pppoe.VendorTag, self).__init__()

                    self.yang_name = "vendor-tag"
                    self.yang_parent_name = "pppoe"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"circuit-id" : ("circuit_id", Native.BbaGroup.Pppoe.VendorTag.CircuitId), "dsl-sync-rate" : ("dsl_sync_rate", Native.BbaGroup.Pppoe.VendorTag.DslSyncRate), "remote-id" : ("remote_id", Native.BbaGroup.Pppoe.VendorTag.RemoteId)}
                    self._child_list_classes = {}

                    self.strip = YLeaf(YType.empty, "strip")

                    self.circuit_id = Native.BbaGroup.Pppoe.VendorTag.CircuitId()
                    self.circuit_id.parent = self
                    self._children_name_map["circuit_id"] = "circuit-id"
                    self._children_yang_names.add("circuit-id")

                    self.dsl_sync_rate = Native.BbaGroup.Pppoe.VendorTag.DslSyncRate()
                    self.dsl_sync_rate.parent = self
                    self._children_name_map["dsl_sync_rate"] = "dsl-sync-rate"
                    self._children_yang_names.add("dsl-sync-rate")

                    self.remote_id = Native.BbaGroup.Pppoe.VendorTag.RemoteId()
                    self.remote_id.parent = self
                    self._children_name_map["remote_id"] = "remote-id"
                    self._children_yang_names.add("remote-id")
                    self._segment_path = lambda: "vendor-tag"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.BbaGroup.Pppoe.VendorTag, ['strip'], name, value)


                class CircuitId(Entity):
                    """
                    Circuit\-Id
                    
                    .. attribute:: service
                    
                    	Enable processing
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bba'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.BbaGroup.Pppoe.VendorTag.CircuitId, self).__init__()

                        self.yang_name = "circuit-id"
                        self.yang_parent_name = "vendor-tag"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.service = YLeaf(YType.empty, "service")
                        self._segment_path = lambda: "circuit-id"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.BbaGroup.Pppoe.VendorTag.CircuitId, ['service'], name, value)


                class DslSyncRate(Entity):
                    """
                    DSL\-Sync\-Rate
                    
                    .. attribute:: service
                    
                    	Enable processing
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bba'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.BbaGroup.Pppoe.VendorTag.DslSyncRate, self).__init__()

                        self.yang_name = "dsl-sync-rate"
                        self.yang_parent_name = "vendor-tag"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.service = YLeaf(YType.empty, "service")
                        self._segment_path = lambda: "dsl-sync-rate"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.BbaGroup.Pppoe.VendorTag.DslSyncRate, ['service'], name, value)


                class RemoteId(Entity):
                    """
                    Remote\-Id
                    
                    .. attribute:: service
                    
                    	Enable processing
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-bba'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.BbaGroup.Pppoe.VendorTag.RemoteId, self).__init__()

                        self.yang_name = "remote-id"
                        self.yang_parent_name = "vendor-tag"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.service = YLeaf(YType.empty, "service")
                        self._segment_path = lambda: "remote-id"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.BbaGroup.Pppoe.VendorTag.RemoteId, ['service'], name, value)


    class Card(Entity):
        """
        Configure T1/E1 SPA
        
        .. attribute:: type
        
        	
        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Card.Type>`
        
        .. attribute:: slot
        
        	
        	**type**\: int
        
        	**range:** 0..4294967295
        
        .. attribute:: bay
        
        	
        	**type**\: int
        
        	**range:** 0..4294967295
        
        

        """

        _prefix = 'ios-card'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.Card, self).__init__()

            self.yang_name = "card"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.type = YLeaf(YType.enumeration, "type")

            self.slot = YLeaf(YType.uint32, "slot")

            self.bay = YLeaf(YType.uint32, "bay")
            self._segment_path = lambda: "Cisco-IOS-XE-card:card"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Card, ['type', 'slot', 'bay'], name, value)

        class Type(Enum):
            """
            Type

            .. data:: t1 = 0

            .. data:: e1 = 1

            """

            t1 = Enum.YLeaf(0, "t1")

            e1 = Enum.YLeaf(1, "e1")



    class Cef(Entity):
        """
        Cisco Express Forwarding
        
        .. attribute:: table
        
        	Set CEF forwarding table characteristics
        	**type**\:  :py:class:`Table <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table>`
        
        

        """

        _prefix = 'ios-cef'
        _revision = '2017-05-19'

        def __init__(self):
            super(Native.Cef, self).__init__()

            self.yang_name = "cef"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"table" : ("table", Native.Cef.Table)}
            self._child_list_classes = {}

            self.table = Native.Cef.Table()
            self.table.parent = self
            self._children_name_map["table"] = "table"
            self._children_yang_names.add("table")
            self._segment_path = lambda: "Cisco-IOS-XE-cef:cef"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Table(Entity):
            """
            Set CEF forwarding table characteristics
            
            .. attribute:: output_chain
            
            	Set table output chain characteristics
            	**type**\:  :py:class:`OutputChain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.OutputChain>`
            
            .. attribute:: consistency_check
            
            	
            	**type**\:  :py:class:`ConsistencyCheck <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck>`
            
            .. attribute:: download
            
            	
            	**type**\:  :py:class:`Download <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.Download>`
            
            .. attribute:: rate_monitor_period
            
            	Period in minutes
            	**type**\: int
            
            	**range:** 1..60
            
            

            """

            _prefix = 'ios-cef'
            _revision = '2017-05-19'

            def __init__(self):
                super(Native.Cef.Table, self).__init__()

                self.yang_name = "table"
                self.yang_parent_name = "cef"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"output-chain" : ("output_chain", Native.Cef.Table.OutputChain), "consistency-check" : ("consistency_check", Native.Cef.Table.ConsistencyCheck), "download" : ("download", Native.Cef.Table.Download)}
                self._child_list_classes = {}

                self.rate_monitor_period = YLeaf(YType.uint8, "rate-monitor-period")

                self.output_chain = Native.Cef.Table.OutputChain()
                self.output_chain.parent = self
                self._children_name_map["output_chain"] = "output-chain"
                self._children_yang_names.add("output-chain")

                self.consistency_check = Native.Cef.Table.ConsistencyCheck()
                self.consistency_check.parent = self
                self._children_name_map["consistency_check"] = "consistency-check"
                self._children_yang_names.add("consistency-check")

                self.download = Native.Cef.Table.Download()
                self.download.parent = self
                self._children_name_map["download"] = "download"
                self._children_yang_names.add("download")
                self._segment_path = lambda: "table"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Cef.Table, ['rate_monitor_period'], name, value)


            class OutputChain(Entity):
                """
                Set table output chain characteristics
                
                .. attribute:: build
                
                	Set table output chain building characteristics
                	**type**\:  :py:class:`Build <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.OutputChain.Build>`
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-05-19'

                def __init__(self):
                    super(Native.Cef.Table.OutputChain, self).__init__()

                    self.yang_name = "output-chain"
                    self.yang_parent_name = "table"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"build" : ("build", Native.Cef.Table.OutputChain.Build)}
                    self._child_list_classes = {}

                    self.build = Native.Cef.Table.OutputChain.Build()
                    self.build.parent = self
                    self._children_name_map["build"] = "build"
                    self._children_yang_names.add("build")
                    self._segment_path = lambda: "output-chain"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/%s" % self._segment_path()


                class Build(Entity):
                    """
                    Set table output chain building characteristics
                    
                    .. attribute:: favor
                    
                    	
                    	**type**\:  :py:class:`Favor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.OutputChain.Build.Favor>`
                    
                    .. attribute:: indirection
                    
                    	Customize table output chain building indirection characteristics
                    	**type**\:  :py:class:`Indirection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.OutputChain.Build.Indirection>`
                    
                    .. attribute:: inplace_modify
                    
                    	Customize table output chain building inplace modification characteristics
                    	**type**\:  :py:class:`InplaceModify <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.OutputChain.Build.InplaceModify>`
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Cef.Table.OutputChain.Build, self).__init__()

                        self.yang_name = "build"
                        self.yang_parent_name = "output-chain"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"favor" : ("favor", Native.Cef.Table.OutputChain.Build.Favor), "indirection" : ("indirection", Native.Cef.Table.OutputChain.Build.Indirection), "inplace-modify" : ("inplace_modify", Native.Cef.Table.OutputChain.Build.InplaceModify)}
                        self._child_list_classes = {}

                        self.favor = Native.Cef.Table.OutputChain.Build.Favor()
                        self.favor.parent = self
                        self._children_name_map["favor"] = "favor"
                        self._children_yang_names.add("favor")

                        self.indirection = Native.Cef.Table.OutputChain.Build.Indirection()
                        self.indirection.parent = self
                        self._children_name_map["indirection"] = "indirection"
                        self._children_yang_names.add("indirection")

                        self.inplace_modify = Native.Cef.Table.OutputChain.Build.InplaceModify()
                        self.inplace_modify.parent = self
                        self._children_name_map["inplace_modify"] = "inplace-modify"
                        self._children_yang_names.add("inplace-modify")
                        self._segment_path = lambda: "build"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/output-chain/%s" % self._segment_path()


                    class Favor(Entity):
                        """
                        
                        
                        .. attribute:: convergence_speed
                        
                        	Favor faster convergence
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: memory_utilization
                        
                        	Favor smaller memory utilization
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Cef.Table.OutputChain.Build.Favor, self).__init__()

                            self.yang_name = "favor"
                            self.yang_parent_name = "build"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.convergence_speed = YLeaf(YType.empty, "convergence-speed")

                            self.memory_utilization = YLeaf(YType.empty, "memory-utilization")
                            self._segment_path = lambda: "favor"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/output-chain/build/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cef.Table.OutputChain.Build.Favor, ['convergence_speed', 'memory_utilization'], name, value)


                    class Indirection(Entity):
                        """
                        Customize table output chain building indirection characteristics
                        
                        .. attribute:: ipv4_to_mpls
                        
                        	shared indirection object for IPv4 labeled prefixes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6_to_mpls
                        
                        	shared indirection object for IPv6 labeled prefixes
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mpls_end_of_stack
                        
                        	shared indirection object for MPLS disposition
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: mpls_non_end_of_stack
                        
                        	shared indirection object for MPLS label switch
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: non_recursive_prefix
                        
                        	non\-recursive\-prefix
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: recursive_prefix
                        
                        	recursive\-prefix
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Cef.Table.OutputChain.Build.Indirection, self).__init__()

                            self.yang_name = "indirection"
                            self.yang_parent_name = "build"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv4_to_mpls = YLeaf(YType.empty, "ipv4-to-mpls")

                            self.ipv6_to_mpls = YLeaf(YType.empty, "ipv6-to-mpls")

                            self.mpls_end_of_stack = YLeaf(YType.empty, "mpls-end-of-stack")

                            self.mpls_non_end_of_stack = YLeaf(YType.empty, "mpls-non-end-of-stack")

                            self.non_recursive_prefix = YLeaf(YType.empty, "non-recursive-prefix")

                            self.recursive_prefix = YLeaf(YType.empty, "recursive-prefix")
                            self._segment_path = lambda: "indirection"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/output-chain/build/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cef.Table.OutputChain.Build.Indirection, ['ipv4_to_mpls', 'ipv6_to_mpls', 'mpls_end_of_stack', 'mpls_non_end_of_stack', 'non_recursive_prefix', 'recursive_prefix'], name, value)


                    class InplaceModify(Entity):
                        """
                        Customize table output chain building inplace modification characteristics
                        
                        .. attribute:: load_sharing
                        
                        	load sharing structures
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: push_counter
                        
                        	push counter structures
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Cef.Table.OutputChain.Build.InplaceModify, self).__init__()

                            self.yang_name = "inplace-modify"
                            self.yang_parent_name = "build"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.load_sharing = YLeaf(YType.empty, "load-sharing")

                            self.push_counter = YLeaf(YType.empty, "push-counter")
                            self._segment_path = lambda: "inplace-modify"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/output-chain/build/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cef.Table.OutputChain.Build.InplaceModify, ['load_sharing', 'push_counter'], name, value)


            class ConsistencyCheck(Entity):
                """
                
                
                .. attribute:: ipv4
                
                	IPv4 address family
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv4>`
                
                .. attribute:: ipv6
                
                	IPv6 address family
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv6>`
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-05-19'

                def __init__(self):
                    super(Native.Cef.Table.ConsistencyCheck, self).__init__()

                    self.yang_name = "consistency-check"
                    self.yang_parent_name = "table"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ipv4" : ("ipv4", Native.Cef.Table.ConsistencyCheck.Ipv4), "ipv6" : ("ipv6", Native.Cef.Table.ConsistencyCheck.Ipv6)}
                    self._child_list_classes = {}

                    self.ipv4 = Native.Cef.Table.ConsistencyCheck.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")

                    self.ipv6 = Native.Cef.Table.ConsistencyCheck.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")
                    self._segment_path = lambda: "consistency-check"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/%s" % self._segment_path()


                class Ipv4(Entity):
                    """
                    IPv4 address family
                    
                    .. attribute:: auto_repair
                    
                    	Control auto\-repair function
                    	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv4.AutoRepair>`
                    
                    .. attribute:: type
                    
                    	Type of consistency check to configure
                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv4.Type>`
                    
                    .. attribute:: data_checking
                    
                    	Perform data consistency check
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: error_message
                    
                    	Generate error message on inconsistency detection
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Cef.Table.ConsistencyCheck.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "consistency-check"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Cef.Table.ConsistencyCheck.Ipv4.AutoRepair), "type" : ("type", Native.Cef.Table.ConsistencyCheck.Ipv4.Type)}
                        self._child_list_classes = {}

                        self.data_checking = YLeaf(YType.empty, "data-checking")

                        self.error_message = YLeaf(YType.empty, "error-message")

                        self.auto_repair = Native.Cef.Table.ConsistencyCheck.Ipv4.AutoRepair()
                        self.auto_repair.parent = self
                        self._children_name_map["auto_repair"] = "auto-repair"
                        self._children_yang_names.add("auto-repair")

                        self.type = Native.Cef.Table.ConsistencyCheck.Ipv4.Type()
                        self.type.parent = self
                        self._children_name_map["type"] = "type"
                        self._children_yang_names.add("type")
                        self._segment_path = lambda: "ipv4"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Cef.Table.ConsistencyCheck.Ipv4, ['data_checking', 'error_message'], name, value)


                    class AutoRepair(Entity):
                        """
                        Control auto\-repair function
                        
                        .. attribute:: delay
                        
                        	Delay in seconds
                        	**type**\: int
                        
                        	**range:** 10..300
                        
                        .. attribute:: holddown
                        
                        	Delay in seconds
                        	**type**\: int
                        
                        	**range:** 300..3000
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Cef.Table.ConsistencyCheck.Ipv4.AutoRepair, self).__init__()

                            self.yang_name = "auto-repair"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.delay = YLeaf(YType.uint16, "delay")

                            self.holddown = YLeaf(YType.uint16, "holddown")
                            self._segment_path = lambda: "auto-repair"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cef.Table.ConsistencyCheck.Ipv4.AutoRepair, ['delay', 'holddown'], name, value)


                    class Type(Entity):
                        """
                        Type of consistency check to configure
                        
                        .. attribute:: scan_ios_rib
                        
                        	Passive scan that checks RP tables against RIB
                        	**type**\:  :py:class:`ScanIosRib <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanIosRib>`
                        
                        .. attribute:: scan_rib_ios
                        
                        	Passive scan that checks RIB aginst RP tables
                        	**type**\:  :py:class:`ScanRibIos <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRibIos>`
                        
                        .. attribute:: scan_lc_rp
                        
                        	Passive scan that checks LC tables against RP tables
                        	**type**\:  :py:class:`ScanLcRp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanLcRp>`
                        
                        .. attribute:: scan_rp_lc
                        
                        	Passive scan that checks RP tables against LC tables
                        	**type**\:  :py:class:`ScanRpLc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRpLc>`
                        
                        .. attribute:: lc_detect
                        
                        	Linecard detects missing prefix. Confirmed by RP
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Cef.Table.ConsistencyCheck.Ipv4.Type, self).__init__()

                            self.yang_name = "type"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"scan-ios-rib" : ("scan_ios_rib", Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanIosRib), "scan-rib-ios" : ("scan_rib_ios", Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRibIos), "scan-lc-rp" : ("scan_lc_rp", Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanLcRp), "scan-rp-lc" : ("scan_rp_lc", Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRpLc)}
                            self._child_list_classes = {}

                            self.lc_detect = YLeaf(YType.empty, "lc-detect")

                            self.scan_ios_rib = Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanIosRib()
                            self.scan_ios_rib.parent = self
                            self._children_name_map["scan_ios_rib"] = "scan-ios-rib"
                            self._children_yang_names.add("scan-ios-rib")

                            self.scan_rib_ios = Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRibIos()
                            self.scan_rib_ios.parent = self
                            self._children_name_map["scan_rib_ios"] = "scan-rib-ios"
                            self._children_yang_names.add("scan-rib-ios")

                            self.scan_lc_rp = Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanLcRp()
                            self.scan_lc_rp.parent = self
                            self._children_name_map["scan_lc_rp"] = "scan-lc-rp"
                            self._children_yang_names.add("scan-lc-rp")

                            self.scan_rp_lc = Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRpLc()
                            self.scan_rp_lc.parent = self
                            self._children_name_map["scan_rp_lc"] = "scan-rp-lc"
                            self._children_yang_names.add("scan-rp-lc")
                            self._segment_path = lambda: "type"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cef.Table.ConsistencyCheck.Ipv4.Type, ['lc_detect'], name, value)


                        class ScanIosRib(Entity):
                            """
                            Passive scan that checks RP tables against RIB
                            
                            .. attribute:: scan_opt
                            
                            	
                            	**type**\:  :py:class:`ScanOpt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanIosRib.ScanOpt>`
                            
                            

                            """

                            _prefix = 'ios-cef'
                            _revision = '2017-05-19'

                            def __init__(self):
                                super(Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanIosRib, self).__init__()

                                self.yang_name = "scan-ios-rib"
                                self.yang_parent_name = "type"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"scan-opt" : ("scan_opt", Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanIosRib.ScanOpt)}
                                self._child_list_classes = {}

                                self.scan_opt = Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanIosRib.ScanOpt()
                                self.scan_opt.parent = self
                                self._children_name_map["scan_opt"] = "scan-opt"
                                self._children_yang_names.add("scan-opt")
                                self._segment_path = lambda: "scan-ios-rib"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv4/type/%s" % self._segment_path()


                            class ScanOpt(Entity):
                                """
                                
                                
                                .. attribute:: count
                                
                                	Maximum number of prefixes to check per scan
                                	**type**\: int
                                
                                	**range:** 2..10000
                                
                                .. attribute:: period
                                
                                	Period between scans
                                	**type**\: int
                                
                                	**range:** 30..3600
                                
                                

                                """

                                _prefix = 'ios-cef'
                                _revision = '2017-05-19'

                                def __init__(self):
                                    super(Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanIosRib.ScanOpt, self).__init__()

                                    self.yang_name = "scan-opt"
                                    self.yang_parent_name = "scan-ios-rib"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.count = YLeaf(YType.uint16, "count")

                                    self.period = YLeaf(YType.uint16, "period")
                                    self._segment_path = lambda: "scan-opt"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv4/type/scan-ios-rib/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanIosRib.ScanOpt, ['count', 'period'], name, value)


                        class ScanRibIos(Entity):
                            """
                            Passive scan that checks RIB aginst RP tables
                            
                            .. attribute:: scan_opt
                            
                            	
                            	**type**\:  :py:class:`ScanOpt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRibIos.ScanOpt>`
                            
                            

                            """

                            _prefix = 'ios-cef'
                            _revision = '2017-05-19'

                            def __init__(self):
                                super(Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRibIos, self).__init__()

                                self.yang_name = "scan-rib-ios"
                                self.yang_parent_name = "type"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"scan-opt" : ("scan_opt", Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRibIos.ScanOpt)}
                                self._child_list_classes = {}

                                self.scan_opt = Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRibIos.ScanOpt()
                                self.scan_opt.parent = self
                                self._children_name_map["scan_opt"] = "scan-opt"
                                self._children_yang_names.add("scan-opt")
                                self._segment_path = lambda: "scan-rib-ios"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv4/type/%s" % self._segment_path()


                            class ScanOpt(Entity):
                                """
                                
                                
                                .. attribute:: count
                                
                                	Maximum number of prefixes to check per scan
                                	**type**\: int
                                
                                	**range:** 2..10000
                                
                                .. attribute:: period
                                
                                	Period between scans
                                	**type**\: int
                                
                                	**range:** 30..3600
                                
                                

                                """

                                _prefix = 'ios-cef'
                                _revision = '2017-05-19'

                                def __init__(self):
                                    super(Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRibIos.ScanOpt, self).__init__()

                                    self.yang_name = "scan-opt"
                                    self.yang_parent_name = "scan-rib-ios"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.count = YLeaf(YType.uint16, "count")

                                    self.period = YLeaf(YType.uint16, "period")
                                    self._segment_path = lambda: "scan-opt"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv4/type/scan-rib-ios/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRibIos.ScanOpt, ['count', 'period'], name, value)


                        class ScanLcRp(Entity):
                            """
                            Passive scan that checks LC tables against RP tables
                            
                            .. attribute:: scan_opt
                            
                            	
                            	**type**\:  :py:class:`ScanOpt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanLcRp.ScanOpt>`
                            
                            

                            """

                            _prefix = 'ios-cef'
                            _revision = '2017-05-19'

                            def __init__(self):
                                super(Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanLcRp, self).__init__()

                                self.yang_name = "scan-lc-rp"
                                self.yang_parent_name = "type"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"scan-opt" : ("scan_opt", Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanLcRp.ScanOpt)}
                                self._child_list_classes = {}

                                self.scan_opt = Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanLcRp.ScanOpt()
                                self.scan_opt.parent = self
                                self._children_name_map["scan_opt"] = "scan-opt"
                                self._children_yang_names.add("scan-opt")
                                self._segment_path = lambda: "scan-lc-rp"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv4/type/%s" % self._segment_path()


                            class ScanOpt(Entity):
                                """
                                
                                
                                .. attribute:: count
                                
                                	Maximum number of prefixes to check per scan
                                	**type**\: int
                                
                                	**range:** 2..10000
                                
                                .. attribute:: period
                                
                                	Period between scans
                                	**type**\: int
                                
                                	**range:** 30..3600
                                
                                

                                """

                                _prefix = 'ios-cef'
                                _revision = '2017-05-19'

                                def __init__(self):
                                    super(Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanLcRp.ScanOpt, self).__init__()

                                    self.yang_name = "scan-opt"
                                    self.yang_parent_name = "scan-lc-rp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.count = YLeaf(YType.uint16, "count")

                                    self.period = YLeaf(YType.uint16, "period")
                                    self._segment_path = lambda: "scan-opt"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv4/type/scan-lc-rp/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanLcRp.ScanOpt, ['count', 'period'], name, value)


                        class ScanRpLc(Entity):
                            """
                            Passive scan that checks RP tables against LC tables
                            
                            .. attribute:: scan_opt
                            
                            	
                            	**type**\:  :py:class:`ScanOpt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRpLc.ScanOpt>`
                            
                            

                            """

                            _prefix = 'ios-cef'
                            _revision = '2017-05-19'

                            def __init__(self):
                                super(Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRpLc, self).__init__()

                                self.yang_name = "scan-rp-lc"
                                self.yang_parent_name = "type"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"scan-opt" : ("scan_opt", Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRpLc.ScanOpt)}
                                self._child_list_classes = {}

                                self.scan_opt = Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRpLc.ScanOpt()
                                self.scan_opt.parent = self
                                self._children_name_map["scan_opt"] = "scan-opt"
                                self._children_yang_names.add("scan-opt")
                                self._segment_path = lambda: "scan-rp-lc"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv4/type/%s" % self._segment_path()


                            class ScanOpt(Entity):
                                """
                                
                                
                                .. attribute:: count
                                
                                	Maximum number of prefixes to check per scan
                                	**type**\: int
                                
                                	**range:** 2..10000
                                
                                .. attribute:: period
                                
                                	Period between scans
                                	**type**\: int
                                
                                	**range:** 30..3600
                                
                                

                                """

                                _prefix = 'ios-cef'
                                _revision = '2017-05-19'

                                def __init__(self):
                                    super(Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRpLc.ScanOpt, self).__init__()

                                    self.yang_name = "scan-opt"
                                    self.yang_parent_name = "scan-rp-lc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.count = YLeaf(YType.uint16, "count")

                                    self.period = YLeaf(YType.uint16, "period")
                                    self._segment_path = lambda: "scan-opt"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv4/type/scan-rp-lc/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Cef.Table.ConsistencyCheck.Ipv4.Type.ScanRpLc.ScanOpt, ['count', 'period'], name, value)


                class Ipv6(Entity):
                    """
                    IPv6 address family
                    
                    .. attribute:: auto_repair
                    
                    	Control auto\-repair function
                    	**type**\:  :py:class:`AutoRepair <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv6.AutoRepair>`
                    
                    .. attribute:: type
                    
                    	Type of consistency check to configure
                    	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv6.Type>`
                    
                    .. attribute:: data_checking
                    
                    	Perform data consistency check
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: error_message
                    
                    	Generate error message on inconsistency detection
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Cef.Table.ConsistencyCheck.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "consistency-check"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"auto-repair" : ("auto_repair", Native.Cef.Table.ConsistencyCheck.Ipv6.AutoRepair), "type" : ("type", Native.Cef.Table.ConsistencyCheck.Ipv6.Type)}
                        self._child_list_classes = {}

                        self.data_checking = YLeaf(YType.empty, "data-checking")

                        self.error_message = YLeaf(YType.empty, "error-message")

                        self.auto_repair = Native.Cef.Table.ConsistencyCheck.Ipv6.AutoRepair()
                        self.auto_repair.parent = self
                        self._children_name_map["auto_repair"] = "auto-repair"
                        self._children_yang_names.add("auto-repair")

                        self.type = Native.Cef.Table.ConsistencyCheck.Ipv6.Type()
                        self.type.parent = self
                        self._children_name_map["type"] = "type"
                        self._children_yang_names.add("type")
                        self._segment_path = lambda: "ipv6"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Cef.Table.ConsistencyCheck.Ipv6, ['data_checking', 'error_message'], name, value)


                    class AutoRepair(Entity):
                        """
                        Control auto\-repair function
                        
                        .. attribute:: delay
                        
                        	Delay in seconds
                        	**type**\: int
                        
                        	**range:** 10..300
                        
                        .. attribute:: holddown
                        
                        	Delay in seconds
                        	**type**\: int
                        
                        	**range:** 300..3000
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Cef.Table.ConsistencyCheck.Ipv6.AutoRepair, self).__init__()

                            self.yang_name = "auto-repair"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.delay = YLeaf(YType.uint16, "delay")

                            self.holddown = YLeaf(YType.uint16, "holddown")
                            self._segment_path = lambda: "auto-repair"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cef.Table.ConsistencyCheck.Ipv6.AutoRepair, ['delay', 'holddown'], name, value)


                    class Type(Entity):
                        """
                        Type of consistency check to configure
                        
                        .. attribute:: scan_ios_rib
                        
                        	Passive scan that checks RP tables against RIB
                        	**type**\:  :py:class:`ScanIosRib <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanIosRib>`
                        
                        .. attribute:: scan_lc_rp
                        
                        	Passive scan that checks LC tables against RP tables
                        	**type**\:  :py:class:`ScanLcRp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanLcRp>`
                        
                        .. attribute:: scan_rp_lc
                        
                        	Passive scan that checks RP tables against LC tables
                        	**type**\:  :py:class:`ScanRpLc <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanRpLc>`
                        
                        .. attribute:: lc_detect
                        
                        	Linecard detects missing prefix. Confirmed by RP
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Cef.Table.ConsistencyCheck.Ipv6.Type, self).__init__()

                            self.yang_name = "type"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"scan-ios-rib" : ("scan_ios_rib", Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanIosRib), "scan-lc-rp" : ("scan_lc_rp", Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanLcRp), "scan-rp-lc" : ("scan_rp_lc", Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanRpLc)}
                            self._child_list_classes = {}

                            self.lc_detect = YLeaf(YType.empty, "lc-detect")

                            self.scan_ios_rib = Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanIosRib()
                            self.scan_ios_rib.parent = self
                            self._children_name_map["scan_ios_rib"] = "scan-ios-rib"
                            self._children_yang_names.add("scan-ios-rib")

                            self.scan_lc_rp = Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanLcRp()
                            self.scan_lc_rp.parent = self
                            self._children_name_map["scan_lc_rp"] = "scan-lc-rp"
                            self._children_yang_names.add("scan-lc-rp")

                            self.scan_rp_lc = Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanRpLc()
                            self.scan_rp_lc.parent = self
                            self._children_name_map["scan_rp_lc"] = "scan-rp-lc"
                            self._children_yang_names.add("scan-rp-lc")
                            self._segment_path = lambda: "type"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cef.Table.ConsistencyCheck.Ipv6.Type, ['lc_detect'], name, value)


                        class ScanIosRib(Entity):
                            """
                            Passive scan that checks RP tables against RIB
                            
                            .. attribute:: scan_opt
                            
                            	
                            	**type**\:  :py:class:`ScanOpt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanIosRib.ScanOpt>`
                            
                            

                            """

                            _prefix = 'ios-cef'
                            _revision = '2017-05-19'

                            def __init__(self):
                                super(Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanIosRib, self).__init__()

                                self.yang_name = "scan-ios-rib"
                                self.yang_parent_name = "type"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"scan-opt" : ("scan_opt", Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanIosRib.ScanOpt)}
                                self._child_list_classes = {}

                                self.scan_opt = Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanIosRib.ScanOpt()
                                self.scan_opt.parent = self
                                self._children_name_map["scan_opt"] = "scan-opt"
                                self._children_yang_names.add("scan-opt")
                                self._segment_path = lambda: "scan-ios-rib"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv6/type/%s" % self._segment_path()


                            class ScanOpt(Entity):
                                """
                                
                                
                                .. attribute:: count
                                
                                	Maximum number of prefixes to check per scan
                                	**type**\: int
                                
                                	**range:** 2..10000
                                
                                .. attribute:: period
                                
                                	Period between scans
                                	**type**\: int
                                
                                	**range:** 30..3600
                                
                                

                                """

                                _prefix = 'ios-cef'
                                _revision = '2017-05-19'

                                def __init__(self):
                                    super(Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanIosRib.ScanOpt, self).__init__()

                                    self.yang_name = "scan-opt"
                                    self.yang_parent_name = "scan-ios-rib"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.count = YLeaf(YType.uint16, "count")

                                    self.period = YLeaf(YType.uint16, "period")
                                    self._segment_path = lambda: "scan-opt"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv6/type/scan-ios-rib/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanIosRib.ScanOpt, ['count', 'period'], name, value)


                        class ScanLcRp(Entity):
                            """
                            Passive scan that checks LC tables against RP tables
                            
                            .. attribute:: scan_opt
                            
                            	
                            	**type**\:  :py:class:`ScanOpt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanLcRp.ScanOpt>`
                            
                            

                            """

                            _prefix = 'ios-cef'
                            _revision = '2017-05-19'

                            def __init__(self):
                                super(Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanLcRp, self).__init__()

                                self.yang_name = "scan-lc-rp"
                                self.yang_parent_name = "type"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"scan-opt" : ("scan_opt", Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanLcRp.ScanOpt)}
                                self._child_list_classes = {}

                                self.scan_opt = Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanLcRp.ScanOpt()
                                self.scan_opt.parent = self
                                self._children_name_map["scan_opt"] = "scan-opt"
                                self._children_yang_names.add("scan-opt")
                                self._segment_path = lambda: "scan-lc-rp"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv6/type/%s" % self._segment_path()


                            class ScanOpt(Entity):
                                """
                                
                                
                                .. attribute:: count
                                
                                	Maximum number of prefixes to check per scan
                                	**type**\: int
                                
                                	**range:** 2..10000
                                
                                .. attribute:: period
                                
                                	Period between scans
                                	**type**\: int
                                
                                	**range:** 30..3600
                                
                                

                                """

                                _prefix = 'ios-cef'
                                _revision = '2017-05-19'

                                def __init__(self):
                                    super(Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanLcRp.ScanOpt, self).__init__()

                                    self.yang_name = "scan-opt"
                                    self.yang_parent_name = "scan-lc-rp"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.count = YLeaf(YType.uint16, "count")

                                    self.period = YLeaf(YType.uint16, "period")
                                    self._segment_path = lambda: "scan-opt"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv6/type/scan-lc-rp/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanLcRp.ScanOpt, ['count', 'period'], name, value)


                        class ScanRpLc(Entity):
                            """
                            Passive scan that checks RP tables against LC tables
                            
                            .. attribute:: scan_opt
                            
                            	
                            	**type**\:  :py:class:`ScanOpt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanRpLc.ScanOpt>`
                            
                            

                            """

                            _prefix = 'ios-cef'
                            _revision = '2017-05-19'

                            def __init__(self):
                                super(Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanRpLc, self).__init__()

                                self.yang_name = "scan-rp-lc"
                                self.yang_parent_name = "type"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"scan-opt" : ("scan_opt", Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanRpLc.ScanOpt)}
                                self._child_list_classes = {}

                                self.scan_opt = Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanRpLc.ScanOpt()
                                self.scan_opt.parent = self
                                self._children_name_map["scan_opt"] = "scan-opt"
                                self._children_yang_names.add("scan-opt")
                                self._segment_path = lambda: "scan-rp-lc"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv6/type/%s" % self._segment_path()


                            class ScanOpt(Entity):
                                """
                                
                                
                                .. attribute:: count
                                
                                	Maximum number of prefixes to check per scan
                                	**type**\: int
                                
                                	**range:** 2..10000
                                
                                .. attribute:: period
                                
                                	Period between scans
                                	**type**\: int
                                
                                	**range:** 30..3600
                                
                                

                                """

                                _prefix = 'ios-cef'
                                _revision = '2017-05-19'

                                def __init__(self):
                                    super(Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanRpLc.ScanOpt, self).__init__()

                                    self.yang_name = "scan-opt"
                                    self.yang_parent_name = "scan-rp-lc"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.count = YLeaf(YType.uint16, "count")

                                    self.period = YLeaf(YType.uint16, "period")
                                    self._segment_path = lambda: "scan-opt"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/consistency-check/ipv6/type/scan-rp-lc/%s" % self._segment_path()

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Cef.Table.ConsistencyCheck.Ipv6.Type.ScanRpLc.ScanOpt, ['count', 'period'], name, value)


            class Download(Entity):
                """
                
                
                .. attribute:: catch_all
                
                	Any other route not matched (default P4)
                	**type**\:  :py:class:`CatchAll <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.Download.CatchAll>`
                
                .. attribute:: connected_route
                
                	Directly connected route (default P2)
                	**type**\:  :py:class:`ConnectedRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.Download.ConnectedRoute>`
                
                .. attribute:: default_route
                
                	Default route, 0.0.0.0/0 or \:\:/0 (default P1)
                	**type**\:  :py:class:`DefaultRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.Download.DefaultRoute>`
                
                .. attribute:: receive_route
                
                	Receive route, local address on router (default P2)
                	**type**\:  :py:class:`ReceiveRoute <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.Download.ReceiveRoute>`
                
                .. attribute:: recursive_dependents
                
                	Route with recursive dependents, matches next\-hop  of other recursive routes (default P1)
                	**type**\:  :py:class:`RecursiveDependents <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.Download.RecursiveDependents>`
                
                .. attribute:: route_in_vrf
                
                	Route is in a VRF (default P3)
                	**type**\:  :py:class:`RouteInVrf <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.Download.RouteInVrf>`
                
                

                """

                _prefix = 'ios-cef'
                _revision = '2017-05-19'

                def __init__(self):
                    super(Native.Cef.Table.Download, self).__init__()

                    self.yang_name = "download"
                    self.yang_parent_name = "table"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"catch-all" : ("catch_all", Native.Cef.Table.Download.CatchAll), "connected-route" : ("connected_route", Native.Cef.Table.Download.ConnectedRoute), "default-route" : ("default_route", Native.Cef.Table.Download.DefaultRoute), "receive-route" : ("receive_route", Native.Cef.Table.Download.ReceiveRoute), "recursive-dependents" : ("recursive_dependents", Native.Cef.Table.Download.RecursiveDependents), "route-in-vrf" : ("route_in_vrf", Native.Cef.Table.Download.RouteInVrf)}
                    self._child_list_classes = {}

                    self.catch_all = Native.Cef.Table.Download.CatchAll()
                    self.catch_all.parent = self
                    self._children_name_map["catch_all"] = "catch-all"
                    self._children_yang_names.add("catch-all")

                    self.connected_route = Native.Cef.Table.Download.ConnectedRoute()
                    self.connected_route.parent = self
                    self._children_name_map["connected_route"] = "connected-route"
                    self._children_yang_names.add("connected-route")

                    self.default_route = Native.Cef.Table.Download.DefaultRoute()
                    self.default_route.parent = self
                    self._children_name_map["default_route"] = "default-route"
                    self._children_yang_names.add("default-route")

                    self.receive_route = Native.Cef.Table.Download.ReceiveRoute()
                    self.receive_route.parent = self
                    self._children_name_map["receive_route"] = "receive-route"
                    self._children_yang_names.add("receive-route")

                    self.recursive_dependents = Native.Cef.Table.Download.RecursiveDependents()
                    self.recursive_dependents.parent = self
                    self._children_name_map["recursive_dependents"] = "recursive-dependents"
                    self._children_yang_names.add("recursive-dependents")

                    self.route_in_vrf = Native.Cef.Table.Download.RouteInVrf()
                    self.route_in_vrf.parent = self
                    self._children_name_map["route_in_vrf"] = "route-in-vrf"
                    self._children_yang_names.add("route-in-vrf")
                    self._segment_path = lambda: "download"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/%s" % self._segment_path()


                class CatchAll(Entity):
                    """
                    Any other route not matched (default P4)
                    
                    .. attribute:: priority
                    
                    	
                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.Download.CatchAll.Priority>`
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Cef.Table.Download.CatchAll, self).__init__()

                        self.yang_name = "catch-all"
                        self.yang_parent_name = "download"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"priority" : ("priority", Native.Cef.Table.Download.CatchAll.Priority)}
                        self._child_list_classes = {}

                        self.priority = Native.Cef.Table.Download.CatchAll.Priority()
                        self.priority.parent = self
                        self._children_name_map["priority"] = "priority"
                        self._children_yang_names.add("priority")
                        self._segment_path = lambda: "catch-all"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/download/%s" % self._segment_path()


                    class Priority(Entity):
                        """
                        
                        
                        .. attribute:: priority1
                        
                        	1st priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority2
                        
                        	2nd priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority3
                        
                        	3rd priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority4
                        
                        	4th priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Cef.Table.Download.CatchAll.Priority, self).__init__()

                            self.yang_name = "priority"
                            self.yang_parent_name = "catch-all"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.priority1 = YLeaf(YType.empty, "priority1")

                            self.priority2 = YLeaf(YType.empty, "priority2")

                            self.priority3 = YLeaf(YType.empty, "priority3")

                            self.priority4 = YLeaf(YType.empty, "priority4")
                            self._segment_path = lambda: "priority"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/download/catch-all/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cef.Table.Download.CatchAll.Priority, ['priority1', 'priority2', 'priority3', 'priority4'], name, value)


                class ConnectedRoute(Entity):
                    """
                    Directly connected route (default P2)
                    
                    .. attribute:: priority
                    
                    	
                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.Download.ConnectedRoute.Priority>`
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Cef.Table.Download.ConnectedRoute, self).__init__()

                        self.yang_name = "connected-route"
                        self.yang_parent_name = "download"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"priority" : ("priority", Native.Cef.Table.Download.ConnectedRoute.Priority)}
                        self._child_list_classes = {}

                        self.priority = Native.Cef.Table.Download.ConnectedRoute.Priority()
                        self.priority.parent = self
                        self._children_name_map["priority"] = "priority"
                        self._children_yang_names.add("priority")
                        self._segment_path = lambda: "connected-route"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/download/%s" % self._segment_path()


                    class Priority(Entity):
                        """
                        
                        
                        .. attribute:: priority1
                        
                        	1st priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority2
                        
                        	2nd priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority3
                        
                        	3rd priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority4
                        
                        	4th priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Cef.Table.Download.ConnectedRoute.Priority, self).__init__()

                            self.yang_name = "priority"
                            self.yang_parent_name = "connected-route"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.priority1 = YLeaf(YType.empty, "priority1")

                            self.priority2 = YLeaf(YType.empty, "priority2")

                            self.priority3 = YLeaf(YType.empty, "priority3")

                            self.priority4 = YLeaf(YType.empty, "priority4")
                            self._segment_path = lambda: "priority"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/download/connected-route/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cef.Table.Download.ConnectedRoute.Priority, ['priority1', 'priority2', 'priority3', 'priority4'], name, value)


                class DefaultRoute(Entity):
                    """
                    Default route, 0.0.0.0/0 or \:\:/0 (default P1)
                    
                    .. attribute:: priority
                    
                    	
                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.Download.DefaultRoute.Priority>`
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Cef.Table.Download.DefaultRoute, self).__init__()

                        self.yang_name = "default-route"
                        self.yang_parent_name = "download"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"priority" : ("priority", Native.Cef.Table.Download.DefaultRoute.Priority)}
                        self._child_list_classes = {}

                        self.priority = Native.Cef.Table.Download.DefaultRoute.Priority()
                        self.priority.parent = self
                        self._children_name_map["priority"] = "priority"
                        self._children_yang_names.add("priority")
                        self._segment_path = lambda: "default-route"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/download/%s" % self._segment_path()


                    class Priority(Entity):
                        """
                        
                        
                        .. attribute:: priority1
                        
                        	1st priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority2
                        
                        	2nd priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority3
                        
                        	3rd priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority4
                        
                        	4th priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Cef.Table.Download.DefaultRoute.Priority, self).__init__()

                            self.yang_name = "priority"
                            self.yang_parent_name = "default-route"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.priority1 = YLeaf(YType.empty, "priority1")

                            self.priority2 = YLeaf(YType.empty, "priority2")

                            self.priority3 = YLeaf(YType.empty, "priority3")

                            self.priority4 = YLeaf(YType.empty, "priority4")
                            self._segment_path = lambda: "priority"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/download/default-route/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cef.Table.Download.DefaultRoute.Priority, ['priority1', 'priority2', 'priority3', 'priority4'], name, value)


                class ReceiveRoute(Entity):
                    """
                    Receive route, local address on router (default P2)
                    
                    .. attribute:: priority
                    
                    	
                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.Download.ReceiveRoute.Priority>`
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Cef.Table.Download.ReceiveRoute, self).__init__()

                        self.yang_name = "receive-route"
                        self.yang_parent_name = "download"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"priority" : ("priority", Native.Cef.Table.Download.ReceiveRoute.Priority)}
                        self._child_list_classes = {}

                        self.priority = Native.Cef.Table.Download.ReceiveRoute.Priority()
                        self.priority.parent = self
                        self._children_name_map["priority"] = "priority"
                        self._children_yang_names.add("priority")
                        self._segment_path = lambda: "receive-route"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/download/%s" % self._segment_path()


                    class Priority(Entity):
                        """
                        
                        
                        .. attribute:: priority1
                        
                        	1st priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority2
                        
                        	2nd priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority3
                        
                        	3rd priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority4
                        
                        	4th priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Cef.Table.Download.ReceiveRoute.Priority, self).__init__()

                            self.yang_name = "priority"
                            self.yang_parent_name = "receive-route"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.priority1 = YLeaf(YType.empty, "priority1")

                            self.priority2 = YLeaf(YType.empty, "priority2")

                            self.priority3 = YLeaf(YType.empty, "priority3")

                            self.priority4 = YLeaf(YType.empty, "priority4")
                            self._segment_path = lambda: "priority"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/download/receive-route/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cef.Table.Download.ReceiveRoute.Priority, ['priority1', 'priority2', 'priority3', 'priority4'], name, value)


                class RecursiveDependents(Entity):
                    """
                    Route with recursive dependents, matches next\-hop 
                    of other recursive routes (default P1)
                    
                    .. attribute:: priority
                    
                    	
                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.Download.RecursiveDependents.Priority>`
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Cef.Table.Download.RecursiveDependents, self).__init__()

                        self.yang_name = "recursive-dependents"
                        self.yang_parent_name = "download"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"priority" : ("priority", Native.Cef.Table.Download.RecursiveDependents.Priority)}
                        self._child_list_classes = {}

                        self.priority = Native.Cef.Table.Download.RecursiveDependents.Priority()
                        self.priority.parent = self
                        self._children_name_map["priority"] = "priority"
                        self._children_yang_names.add("priority")
                        self._segment_path = lambda: "recursive-dependents"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/download/%s" % self._segment_path()


                    class Priority(Entity):
                        """
                        
                        
                        .. attribute:: priority1
                        
                        	1st priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority2
                        
                        	2nd priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority3
                        
                        	3rd priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority4
                        
                        	4th priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Cef.Table.Download.RecursiveDependents.Priority, self).__init__()

                            self.yang_name = "priority"
                            self.yang_parent_name = "recursive-dependents"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.priority1 = YLeaf(YType.empty, "priority1")

                            self.priority2 = YLeaf(YType.empty, "priority2")

                            self.priority3 = YLeaf(YType.empty, "priority3")

                            self.priority4 = YLeaf(YType.empty, "priority4")
                            self._segment_path = lambda: "priority"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/download/recursive-dependents/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cef.Table.Download.RecursiveDependents.Priority, ['priority1', 'priority2', 'priority3', 'priority4'], name, value)


                class RouteInVrf(Entity):
                    """
                    Route is in a VRF (default P3)
                    
                    .. attribute:: priority
                    
                    	
                    	**type**\:  :py:class:`Priority <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Cef.Table.Download.RouteInVrf.Priority>`
                    
                    

                    """

                    _prefix = 'ios-cef'
                    _revision = '2017-05-19'

                    def __init__(self):
                        super(Native.Cef.Table.Download.RouteInVrf, self).__init__()

                        self.yang_name = "route-in-vrf"
                        self.yang_parent_name = "download"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"priority" : ("priority", Native.Cef.Table.Download.RouteInVrf.Priority)}
                        self._child_list_classes = {}

                        self.priority = Native.Cef.Table.Download.RouteInVrf.Priority()
                        self.priority.parent = self
                        self._children_name_map["priority"] = "priority"
                        self._children_yang_names.add("priority")
                        self._segment_path = lambda: "route-in-vrf"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/download/%s" % self._segment_path()


                    class Priority(Entity):
                        """
                        
                        
                        .. attribute:: priority1
                        
                        	1st priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority2
                        
                        	2nd priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority3
                        
                        	3rd priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: priority4
                        
                        	4th priority
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-cef'
                        _revision = '2017-05-19'

                        def __init__(self):
                            super(Native.Cef.Table.Download.RouteInVrf.Priority, self).__init__()

                            self.yang_name = "priority"
                            self.yang_parent_name = "route-in-vrf"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.priority1 = YLeaf(YType.empty, "priority1")

                            self.priority2 = YLeaf(YType.empty, "priority2")

                            self.priority3 = YLeaf(YType.empty, "priority3")

                            self.priority4 = YLeaf(YType.empty, "priority4")
                            self._segment_path = lambda: "priority"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-cef:cef/table/download/route-in-vrf/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Cef.Table.Download.RouteInVrf.Priority, ['priority1', 'priority2', 'priority3', 'priority4'], name, value)


    class Coap(Entity):
        """
        CoAP Global Configuration Commands
        
        .. attribute:: http
        
        	CoAP http server
        	**type**\:  :py:class:`Http <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Coap.Http>`
        
        

        """

        _prefix = 'ios-coap'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.Coap, self).__init__()

            self.yang_name = "coap"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"http" : ("http", Native.Coap.Http)}
            self._child_list_classes = {}

            self.http = Native.Coap.Http()
            self.http.parent = self
            self._children_name_map["http"] = "http"
            self._children_yang_names.add("http")
            self._segment_path = lambda: "Cisco-IOS-XE-coap:coap"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Http(Entity):
            """
            CoAP http server
            
            .. attribute:: enable
            
            	CoAP http server enable
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-coap'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Coap.Http, self).__init__()

                self.yang_name = "http"
                self.yang_parent_name = "coap"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.enable = YLeaf(YType.empty, "enable")
                self._segment_path = lambda: "http"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-coap:coap/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Coap.Http, ['enable'], name, value)


    class DeviceSensor(Entity):
        """
        IOS Sensor Commands
        
        .. attribute:: accounting
        
        	Trigger accounting updates with sensor TLVs/Options
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios-ds'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.DeviceSensor, self).__init__()

            self.yang_name = "device-sensor"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.accounting = YLeaf(YType.empty, "accounting")
            self._segment_path = lambda: "Cisco-IOS-XE-device-sensor:device-sensor"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.DeviceSensor, ['accounting'], name, value)


    class Diagnostic(Entity):
        """
        Configure diagnostic information
        
        .. attribute:: bootup
        
        	Configure diagnostic for bootup
        	**type**\:  :py:class:`Bootup <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Bootup>`
        
        .. attribute:: event_log
        
        	Configure diagnostic event log
        	**type**\:  :py:class:`EventLog <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.EventLog>`
        
        .. attribute:: monitor
        
        	Configure diagnostic monitoring tests
        	**type**\:  :py:class:`Monitor <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor>`
        
        .. attribute:: schedule
        
        	Configure diagnostic schedule for a card
        	**type**\:  :py:class:`Schedule <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule>`
        
        

        """

        _prefix = 'ios-diag'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.Diagnostic, self).__init__()

            self.yang_name = "diagnostic"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"bootup" : ("bootup", Native.Diagnostic.Bootup), "event-log" : ("event_log", Native.Diagnostic.EventLog), "monitor" : ("monitor", Native.Diagnostic.Monitor), "schedule" : ("schedule", Native.Diagnostic.Schedule)}
            self._child_list_classes = {}

            self.bootup = Native.Diagnostic.Bootup()
            self.bootup.parent = self
            self._children_name_map["bootup"] = "bootup"
            self._children_yang_names.add("bootup")

            self.event_log = Native.Diagnostic.EventLog()
            self.event_log.parent = self
            self._children_name_map["event_log"] = "event-log"
            self._children_yang_names.add("event-log")

            self.monitor = Native.Diagnostic.Monitor()
            self.monitor.parent = self
            self._children_name_map["monitor"] = "monitor"
            self._children_yang_names.add("monitor")

            self.schedule = Native.Diagnostic.Schedule()
            self.schedule.parent = self
            self._children_name_map["schedule"] = "schedule"
            self._children_yang_names.add("schedule")
            self._segment_path = lambda: "Cisco-IOS-XE-diagnostics:diagnostic"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Bootup(Entity):
            """
            Configure diagnostic for bootup
            
            .. attribute:: level
            
            	Select diagnostic level
            	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Bootup.Level>`
            
            

            """

            _prefix = 'ios-diag'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Diagnostic.Bootup, self).__init__()

                self.yang_name = "bootup"
                self.yang_parent_name = "diagnostic"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.level = YLeaf(YType.enumeration, "level")
                self._segment_path = lambda: "bootup"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Diagnostic.Bootup, ['level'], name, value)

            class Level(Enum):
                """
                Level

                Select diagnostic level

                .. data:: complete = 0

                .. data:: minimal = 1

                """

                complete = Enum.YLeaf(0, "complete")

                minimal = Enum.YLeaf(1, "minimal")



        class EventLog(Entity):
            """
            Configure diagnostic event log
            
            .. attribute:: size
            
            	Configure event log size Number of entries <1\-10000>
            	**type**\: int
            
            	**range:** 1..10000
            
            

            """

            _prefix = 'ios-diag'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Diagnostic.EventLog, self).__init__()

                self.yang_name = "event-log"
                self.yang_parent_name = "diagnostic"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.size = YLeaf(YType.uint16, "size")
                self._segment_path = lambda: "event-log"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Diagnostic.EventLog, ['size'], name, value)


        class Monitor(Entity):
            """
            Configure diagnostic monitoring tests
            
            .. attribute:: interval
            
            	Configure diagnostic monitoring tests interval
            	**type**\:  :py:class:`Interval <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Interval>`
            
            .. attribute:: switch
            
            	Configure diagnostic monitoring tests on selected switch
            	**type**\: list of  		 :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Switch>`
            
            .. attribute:: syslog
            
            	Configure diagnostic monitoring syslog
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: threshold
            
            	Configure diagnostic monitoring failure threshold
            	**type**\:  :py:class:`Threshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold>`
            
            

            """

            _prefix = 'ios-diag'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Diagnostic.Monitor, self).__init__()

                self.yang_name = "monitor"
                self.yang_parent_name = "diagnostic"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"interval" : ("interval", Native.Diagnostic.Monitor.Interval), "threshold" : ("threshold", Native.Diagnostic.Monitor.Threshold)}
                self._child_list_classes = {"switch" : ("switch", Native.Diagnostic.Monitor.Switch)}

                self.syslog = YLeaf(YType.empty, "syslog")

                self.interval = Native.Diagnostic.Monitor.Interval()
                self.interval.parent = self
                self._children_name_map["interval"] = "interval"
                self._children_yang_names.add("interval")

                self.threshold = Native.Diagnostic.Monitor.Threshold()
                self.threshold.parent = self
                self._children_name_map["threshold"] = "threshold"
                self._children_yang_names.add("threshold")

                self.switch = YList(self)
                self._segment_path = lambda: "monitor"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Diagnostic.Monitor, ['syslog'], name, value)


            class Interval(Entity):
                """
                Configure diagnostic monitoring tests interval
                
                .. attribute:: switch
                
                	Configure diagnostic monitoring tests interval on selected switch
                	**type**\:  :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Interval.Switch>`
                
                

                """

                _prefix = 'ios-diag'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Diagnostic.Monitor.Interval, self).__init__()

                    self.yang_name = "interval"
                    self.yang_parent_name = "monitor"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"switch" : ("switch", Native.Diagnostic.Monitor.Interval.Switch)}
                    self._child_list_classes = {}

                    self.switch = Native.Diagnostic.Monitor.Interval.Switch()
                    self.switch.parent = self
                    self._children_name_map["switch"] = "switch"
                    self._children_yang_names.add("switch")
                    self._segment_path = lambda: "interval"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/monitor/%s" % self._segment_path()


                class Switch(Entity):
                    """
                    Configure diagnostic monitoring tests interval on selected switch
                    
                    .. attribute:: switch
                    
                    	Configure diagnostic monitoring tests on selected switch
                    	**type**\: list of  		 :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Interval.Switch.Switch>`
                    
                    

                    """

                    _prefix = 'ios-diag'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Diagnostic.Monitor.Interval.Switch, self).__init__()

                        self.yang_name = "switch"
                        self.yang_parent_name = "interval"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"switch" : ("switch", Native.Diagnostic.Monitor.Interval.Switch.Switch)}

                        self.switch = YList(self)
                        self._segment_path = lambda: "switch"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/monitor/interval/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Diagnostic.Monitor.Interval.Switch, [], name, value)


                    class Switch(Entity):
                        """
                        Configure diagnostic monitoring tests on selected switch
                        
                        .. attribute:: number  <key>
                        
                        	switch number
                        	**type**\: int
                        
                        	**range:** 1..9
                        
                        .. attribute:: test
                        
                        	Diagnostic test selection Diagnostics test suite attributes\: M/C/\* \- Minimal bootup level test / Complete bootup level test / NA B/\* \- Basic ondemand test / NA P/V/\* \- Per port test / Per device test / NA D/N/\* \- Disruptive test / Non\-disruptive test / NA S/\* \- Only applicable to standby unit / NA X/\* \- Not a health monitoring test / NA F/\* \- Fixed monitoring interval test / NA E/\* \- Always enabled monitoring test / NA A/I \- Monitoring is active / Monitoring is inactive                                                 Test Interval   Thre\- ID   Test Name                          Attributes     day hh\:mm\:ss.ms shold ==== ================================  ============   =============== ===== 1) DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPN\*X\*\*I       not configured    n/a 2) DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A       000 00\:01\:30.00   5 3) DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A       000 00\:01\:30.00   5 4) DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPD\*X\*\*I       not configured    n/a 5) DiagScratchRegisterTest \-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A       000 00\:01\:30.00   5 6) DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I       not configured    n/a 7) DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I       not configured    n/a 8) DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*D\*X\*\*I       not configured    n/a 
                        	**type**\:  :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Interval.Switch.Switch.Test>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Diagnostic.Monitor.Interval.Switch.Switch, self).__init__()

                            self.yang_name = "switch"
                            self.yang_parent_name = "switch"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"test" : ("test", Native.Diagnostic.Monitor.Interval.Switch.Switch.Test)}
                            self._child_list_classes = {}

                            self.number = YLeaf(YType.uint8, "number")

                            self.test = Native.Diagnostic.Monitor.Interval.Switch.Switch.Test()
                            self.test.parent = self
                            self._children_name_map["test"] = "test"
                            self._children_yang_names.add("test")
                            self._segment_path = lambda: "switch" + "[number='" + self.number.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/monitor/interval/switch/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Diagnostic.Monitor.Interval.Switch.Switch, ['number'], name, value)


                        class Test(Entity):
                            """
                            Diagnostic test selection
                            Diagnostics test suite attributes\:
                            M/C/\* \- Minimal bootup level test / Complete bootup level test / NA
                            B/\* \- Basic ondemand test / NA
                            P/V/\* \- Per port test / Per device test / NA
                            D/N/\* \- Disruptive test / Non\-disruptive test / NA
                            S/\* \- Only applicable to standby unit / NA
                            X/\* \- Not a health monitoring test / NA
                            F/\* \- Fixed monitoring interval test / NA
                            E/\* \- Always enabled monitoring test / NA
                            A/I \- Monitoring is active / Monitoring is inactive
                            
                                                                           Test Interval   Thre\-
                            ID   Test Name                          Attributes     day hh\:mm\:ss.ms shold
                            ==== ================================  ============   =============== =====
                            1) DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPN\*X\*\*I       not configured    n/a
                            2) DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A       000 00\:01\:30.00   5
                            3) DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A       000 00\:01\:30.00   5
                            4) DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPD\*X\*\*I       not configured    n/a
                            5) DiagScratchRegisterTest \-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A       000 00\:01\:30.00   5
                            6) DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I       not configured    n/a
                            7) DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I       not configured    n/a
                            8) DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*D\*X\*\*I       not configured    n/a 
                            
                            .. attribute:: test_ids
                            
                            	
                            	**type**\: list of  		 :py:class:`TestIds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Interval.Switch.Switch.Test.TestIds>`
                            
                            .. attribute:: all
                            
                            	Select all test ID 
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Interval.Switch.Switch.Test.All>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Monitor.Interval.Switch.Switch.Test, self).__init__()

                                self.yang_name = "test"
                                self.yang_parent_name = "switch"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"all" : ("all", Native.Diagnostic.Monitor.Interval.Switch.Switch.Test.All)}
                                self._child_list_classes = {"test-ids" : ("test_ids", Native.Diagnostic.Monitor.Interval.Switch.Switch.Test.TestIds)}

                                self.all = Native.Diagnostic.Monitor.Interval.Switch.Switch.Test.All()
                                self.all.parent = self
                                self._children_name_map["all"] = "all"
                                self._children_yang_names.add("all")

                                self.test_ids = YList(self)
                                self._segment_path = lambda: "test"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Monitor.Interval.Switch.Switch.Test, [], name, value)


                            class TestIds(Entity):
                                """
                                
                                
                                .. attribute:: id  <key>
                                
                                	Test ID list (e.g. 1,3\-6) or Test Name
                                	**type**\: str
                                
                                .. attribute:: hh_mm_ss
                                
                                	Monitoring interval in hh\:mm\:ss format
                                	**type**\: str
                                
                                	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])\:([0\-5][0\-9])
                                
                                .. attribute:: milli_seconds
                                
                                	Number of milli\-seconds [0\-999]
                                	**type**\: int
                                
                                	**range:** 0..999
                                
                                .. attribute:: number_of_days
                                
                                	Number of days [0\-20]
                                	**type**\: int
                                
                                	**range:** 0..20
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Monitor.Interval.Switch.Switch.Test.TestIds, self).__init__()

                                    self.yang_name = "test-ids"
                                    self.yang_parent_name = "test"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.id = YLeaf(YType.str, "id")

                                    self.hh_mm_ss = YLeaf(YType.str, "hh-mm-ss")

                                    self.milli_seconds = YLeaf(YType.uint16, "milli-seconds")

                                    self.number_of_days = YLeaf(YType.uint16, "number-of-days")
                                    self._segment_path = lambda: "test-ids" + "[id='" + self.id.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Monitor.Interval.Switch.Switch.Test.TestIds, ['id', 'hh_mm_ss', 'milli_seconds', 'number_of_days'], name, value)


                            class All(Entity):
                                """
                                Select all test ID 
                                
                                .. attribute:: hh_mm_ss
                                
                                	Monitoring interval in hh\:mm\:ss format
                                	**type**\: str
                                
                                	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])\:([0\-5][0\-9])
                                
                                .. attribute:: milli_seconds
                                
                                	Number of milli\-seconds [0\-999]
                                	**type**\: int
                                
                                	**range:** 0..999
                                
                                .. attribute:: number_of_days
                                
                                	Number of days [0\-20]
                                	**type**\: int
                                
                                	**range:** 0..20
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Monitor.Interval.Switch.Switch.Test.All, self).__init__()

                                    self.yang_name = "all"
                                    self.yang_parent_name = "test"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.hh_mm_ss = YLeaf(YType.str, "hh-mm-ss")

                                    self.milli_seconds = YLeaf(YType.uint16, "milli-seconds")

                                    self.number_of_days = YLeaf(YType.uint16, "number-of-days")
                                    self._segment_path = lambda: "all"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Monitor.Interval.Switch.Switch.Test.All, ['hh_mm_ss', 'milli_seconds', 'number_of_days'], name, value)


            class Switch(Entity):
                """
                Configure diagnostic monitoring tests on selected switch
                
                .. attribute:: number  <key>
                
                	switch number
                	**type**\: int
                
                	**range:** 1..9
                
                .. attribute:: test
                
                	Diagnostic test selection Diagnostics test suite attributes\: M/C/\* \- Minimal bootup level test / Complete bootup level test / NA B/\* \- Basic ondemand test / NA P/V/\* \- Per port test / Per device test / NA D/N/\* \- Disruptive test / Non\-disruptive test / NA S/\* \- Only applicable to standby unit / NA X/\* \- Not a health monitoring test / NA F/\* \- Fixed monitoring interval test / NA E/\* \- Always enabled monitoring test / NA A/I \- Monitoring is active / Monitoring is inactive  Test                                                  Test Interval  Thre\- ID   Test Name                          Attributes      day hh\:mm\:ss.ms shold ==== ================================== ============    =============== ===== 1) DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPN\*X\*\*I       not configured    n/a 2) DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00   5 3) DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00   5 4) DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPD\*X\*\*I       not configured    n/a 5) DiagScratchRegisterTest \-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00   5 6) DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured    n/a 7) DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured    n/a 8) DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*D\*X\*\*I       not configured    n/a 
                	**type**\:  :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Switch.Test>`
                
                

                """

                _prefix = 'ios-diag'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Diagnostic.Monitor.Switch, self).__init__()

                    self.yang_name = "switch"
                    self.yang_parent_name = "monitor"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"test" : ("test", Native.Diagnostic.Monitor.Switch.Test)}
                    self._child_list_classes = {}

                    self.number = YLeaf(YType.uint8, "number")

                    self.test = Native.Diagnostic.Monitor.Switch.Test()
                    self.test.parent = self
                    self._children_name_map["test"] = "test"
                    self._children_yang_names.add("test")
                    self._segment_path = lambda: "switch" + "[number='" + self.number.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/monitor/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Diagnostic.Monitor.Switch, ['number'], name, value)


                class Test(Entity):
                    """
                    Diagnostic test selection
                    Diagnostics test suite attributes\:
                    M/C/\* \- Minimal bootup level test / Complete bootup level test / NA
                    B/\* \- Basic ondemand test / NA
                    P/V/\* \- Per port test / Per device test / NA
                    D/N/\* \- Disruptive test / Non\-disruptive test / NA
                    S/\* \- Only applicable to standby unit / NA
                    X/\* \- Not a health monitoring test / NA
                    F/\* \- Fixed monitoring interval test / NA
                    E/\* \- Always enabled monitoring test / NA
                    A/I \- Monitoring is active / Monitoring is inactive
                    
                    Test                                                  Test Interval  Thre\-
                    ID   Test Name                          Attributes      day hh\:mm\:ss.ms shold
                    ==== ================================== ============    =============== =====
                    1) DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPN\*X\*\*I       not configured    n/a
                    2) DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00   5
                    3) DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00   5
                    4) DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPD\*X\*\*I       not configured    n/a
                    5) DiagScratchRegisterTest \-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00   5
                    6) DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured    n/a
                    7) DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured    n/a
                    8) DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*D\*X\*\*I       not configured    n/a 
                    
                    .. attribute:: id
                    
                    	Test ID list (e.g. 1,3\-6) or Test Name
                    	**type**\: str
                    
                    .. attribute:: all
                    
                    	Select all test ID 
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-diag'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Diagnostic.Monitor.Switch.Test, self).__init__()

                        self.yang_name = "test"
                        self.yang_parent_name = "switch"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.all = YLeaf(YType.empty, "all")
                        self._segment_path = lambda: "test"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Diagnostic.Monitor.Switch.Test, ['id', 'all'], name, value)


            class Threshold(Entity):
                """
                Configure diagnostic monitoring failure threshold
                
                .. attribute:: switch
                
                	Configure diagnostic monitoring tests threshold on selected switch
                	**type**\: list of  		 :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch>`
                
                

                """

                _prefix = 'ios-diag'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Diagnostic.Monitor.Threshold, self).__init__()

                    self.yang_name = "threshold"
                    self.yang_parent_name = "monitor"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"switch" : ("switch", Native.Diagnostic.Monitor.Threshold.Switch)}

                    self.switch = YList(self)
                    self._segment_path = lambda: "threshold"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/monitor/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Diagnostic.Monitor.Threshold, [], name, value)


                class Switch(Entity):
                    """
                    Configure diagnostic monitoring tests threshold on selected switch
                    
                    .. attribute:: number  <key>
                    
                    	switch number
                    	**type**\: int
                    
                    	**range:** 1..9
                    
                    .. attribute:: test
                    
                    	Diagnostic test selection Diagnostics test suite attributes\: M/C/\* \- Minimal bootup level test / Complete bootup level test / NA B/\* \- Basic ondemand test / NA P/V/\* \- Per port test / Per device test / NA D/N/\* \- Disruptive test / Non\-disruptive test / NA S/\* \- Only applicable to standby unit / NA X/\* \- Not a health monitoring test / NA F/\* \- Fixed monitoring interval test / NA E/\* \- Always enabled monitoring test / NA A/I \- Monitoring is active / Monitoring is inactive                                                     Test Interval  Thres\- ID   Test Name                          Attributes        day hh\:mm\:ss.ms shold ==== ================================== ============   =============== ===== 1) DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPN\*X\*\*I          not configured  n/a 2) DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A          000 00\:01\:30.00 5 3) DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A          000 00\:01\:30.00 5 4) DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPD\*X\*\*I          not configured  n/a 5) DiagScratchRegisterTest \-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A          000 00\:01\:30.00 5 6) DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I          not configured  n/a 7) DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I          not configured  n/a 8) DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*D\*X\*\*I          not configured  n/a 
                    	**type**\:  :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test>`
                    
                    

                    """

                    _prefix = 'ios-diag'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Diagnostic.Monitor.Threshold.Switch, self).__init__()

                        self.yang_name = "switch"
                        self.yang_parent_name = "threshold"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"test" : ("test", Native.Diagnostic.Monitor.Threshold.Switch.Test)}
                        self._child_list_classes = {}

                        self.number = YLeaf(YType.uint8, "number")

                        self.test = Native.Diagnostic.Monitor.Threshold.Switch.Test()
                        self.test.parent = self
                        self._children_name_map["test"] = "test"
                        self._children_yang_names.add("test")
                        self._segment_path = lambda: "switch" + "[number='" + self.number.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/monitor/threshold/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Diagnostic.Monitor.Threshold.Switch, ['number'], name, value)


                    class Test(Entity):
                        """
                        Diagnostic test selection
                        Diagnostics test suite attributes\:
                        M/C/\* \- Minimal bootup level test / Complete bootup level test / NA
                        B/\* \- Basic ondemand test / NA
                        P/V/\* \- Per port test / Per device test / NA
                        D/N/\* \- Disruptive test / Non\-disruptive test / NA
                        S/\* \- Only applicable to standby unit / NA
                        X/\* \- Not a health monitoring test / NA
                        F/\* \- Fixed monitoring interval test / NA
                        E/\* \- Always enabled monitoring test / NA
                        A/I \- Monitoring is active / Monitoring is inactive
                        
                                                                           Test Interval  Thres\-
                        ID   Test Name                          Attributes        day hh\:mm\:ss.ms shold
                        ==== ================================== ============   =============== =====
                        1) DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPN\*X\*\*I          not configured  n/a
                        2) DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A          000 00\:01\:30.00 5
                        3) DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A          000 00\:01\:30.00 5
                        4) DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\->  \*BPD\*X\*\*I          not configured  n/a
                        5) DiagScratchRegisterTest \-\-\-\-\-\-\-\-\->  \*B\*N\*\*\*\*A          000 00\:01\:30.00 5
                        6) DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I          not configured  n/a
                        7) DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*\*\*D\*X\*\*I          not configured  n/a
                        8) DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\->  \*B\*D\*X\*\*I          not configured  n/a 
                        
                        .. attribute:: test_ids
                        
                        	
                        	**type**\: list of  		 :py:class:`TestIds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds>`
                        
                        .. attribute:: all
                        
                        	Select all test ID 
                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test.All>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Diagnostic.Monitor.Threshold.Switch.Test, self).__init__()

                            self.yang_name = "test"
                            self.yang_parent_name = "switch"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"all" : ("all", Native.Diagnostic.Monitor.Threshold.Switch.Test.All)}
                            self._child_list_classes = {"test-ids" : ("test_ids", Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds)}

                            self.all = Native.Diagnostic.Monitor.Threshold.Switch.Test.All()
                            self.all.parent = self
                            self._children_name_map["all"] = "all"
                            self._children_yang_names.add("all")

                            self.test_ids = YList(self)
                            self._segment_path = lambda: "test"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Diagnostic.Monitor.Threshold.Switch.Test, [], name, value)


                        class TestIds(Entity):
                            """
                            
                            
                            .. attribute:: id  <key>
                            
                            	Test ID list (e.g. 1,3\-6) or Test Name
                            	**type**\: str
                            
                            .. attribute:: failure
                            
                            	Setting failure threshold
                            	**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds, self).__init__()

                                self.yang_name = "test-ids"
                                self.yang_parent_name = "test"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"failure" : ("failure", Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.failure = Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure()
                                self.failure.parent = self
                                self._children_name_map["failure"] = "failure"
                                self._children_yang_names.add("failure")
                                self._segment_path = lambda: "test-ids" + "[id='" + self.id.get() + "']"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds, ['id'], name, value)


                            class Failure(Entity):
                                """
                                Setting failure threshold
                                
                                .. attribute:: count
                                
                                	Setting failure threshold count
                                	**type**\: list of  		 :py:class:`Count <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure.Count>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure, self).__init__()

                                    self.yang_name = "failure"
                                    self.yang_parent_name = "test-ids"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"count" : ("count", Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure.Count)}

                                    self.count = YList(self)
                                    self._segment_path = lambda: "failure"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure, [], name, value)


                                class Count(Entity):
                                    """
                                    Setting failure threshold count
                                    
                                    .. attribute:: range  <key>
                                    
                                    	Number of allowable failures [1\-1000]
                                    	**type**\: int
                                    
                                    	**range:** 1..1000
                                    
                                    .. attribute:: days
                                    
                                    	Set failure history window in days <1\-1000000>
                                    	**type**\: int
                                    
                                    	**range:** 1..1000000
                                    
                                    .. attribute:: hours
                                    
                                    	Set failure history window in hours <1\-1000000>
                                    	**type**\: int
                                    
                                    	**range:** 1..1000000
                                    
                                    .. attribute:: milli_seconds
                                    
                                    	Set failure history window in milli\-seconds <15\-1000000>
                                    	**type**\: int
                                    
                                    	**range:** 15..1000000
                                    
                                    .. attribute:: minutes
                                    
                                    	Set failure history window in minutes
                                    	**type**\: int
                                    
                                    	**range:** 1..1000000
                                    
                                    .. attribute:: runs
                                    
                                    	Set failure history window in test\-run count
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: seconds
                                    
                                    	Set failure history window in seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..1000000
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure.Count, self).__init__()

                                        self.yang_name = "count"
                                        self.yang_parent_name = "failure"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.range = YLeaf(YType.uint16, "range")

                                        self.days = YLeaf(YType.uint32, "days")

                                        self.hours = YLeaf(YType.uint32, "hours")

                                        self.milli_seconds = YLeaf(YType.uint32, "milli-seconds")

                                        self.minutes = YLeaf(YType.uint32, "minutes")

                                        self.runs = YLeaf(YType.uint16, "runs")

                                        self.seconds = YLeaf(YType.uint32, "seconds")
                                        self._segment_path = lambda: "count" + "[range='" + self.range.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Monitor.Threshold.Switch.Test.TestIds.Failure.Count, ['range', 'days', 'hours', 'milli_seconds', 'minutes', 'runs', 'seconds'], name, value)


                        class All(Entity):
                            """
                            Select all test ID 
                            
                            .. attribute:: failure
                            
                            	Setting failure threshold
                            	**type**\:  :py:class:`Failure <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Monitor.Threshold.Switch.Test.All, self).__init__()

                                self.yang_name = "all"
                                self.yang_parent_name = "test"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"failure" : ("failure", Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure)}
                                self._child_list_classes = {}

                                self.failure = Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure()
                                self.failure.parent = self
                                self._children_name_map["failure"] = "failure"
                                self._children_yang_names.add("failure")
                                self._segment_path = lambda: "all"


                            class Failure(Entity):
                                """
                                Setting failure threshold
                                
                                .. attribute:: count
                                
                                	Setting failure threshold count
                                	**type**\: list of  		 :py:class:`Count <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure.Count>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure, self).__init__()

                                    self.yang_name = "failure"
                                    self.yang_parent_name = "all"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"count" : ("count", Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure.Count)}

                                    self.count = YList(self)
                                    self._segment_path = lambda: "failure"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure, [], name, value)


                                class Count(Entity):
                                    """
                                    Setting failure threshold count
                                    
                                    .. attribute:: range  <key>
                                    
                                    	Number of allowable failures [1\-1000]
                                    	**type**\: int
                                    
                                    	**range:** 1..1000
                                    
                                    .. attribute:: days
                                    
                                    	Set failure history window in days
                                    	**type**\: int
                                    
                                    	**range:** 1..1000000
                                    
                                    .. attribute:: hours
                                    
                                    	Set failure history window in hours
                                    	**type**\: int
                                    
                                    	**range:** 1..1000000
                                    
                                    .. attribute:: milli_seconds
                                    
                                    	Set failure history window in milli\-seconds
                                    	**type**\: int
                                    
                                    	**range:** 15..1000000
                                    
                                    .. attribute:: minutes
                                    
                                    	Set failure history window in minutes
                                    	**type**\: int
                                    
                                    	**range:** 1..1000000
                                    
                                    .. attribute:: runs
                                    
                                    	Set failure history window in test\-run count
                                    	**type**\: int
                                    
                                    	**range:** 1..5000
                                    
                                    .. attribute:: seconds
                                    
                                    	Set failure history window in seconds
                                    	**type**\: int
                                    
                                    	**range:** 1..1000000
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure.Count, self).__init__()

                                        self.yang_name = "count"
                                        self.yang_parent_name = "failure"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.range = YLeaf(YType.uint16, "range")

                                        self.days = YLeaf(YType.uint32, "days")

                                        self.hours = YLeaf(YType.uint32, "hours")

                                        self.milli_seconds = YLeaf(YType.uint32, "milli-seconds")

                                        self.minutes = YLeaf(YType.uint32, "minutes")

                                        self.runs = YLeaf(YType.uint16, "runs")

                                        self.seconds = YLeaf(YType.uint32, "seconds")
                                        self._segment_path = lambda: "count" + "[range='" + self.range.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Monitor.Threshold.Switch.Test.All.Failure.Count, ['range', 'days', 'hours', 'milli_seconds', 'minutes', 'runs', 'seconds'], name, value)


        class Schedule(Entity):
            """
            Configure diagnostic schedule for a card
            
            .. attribute:: switch
            
            	Configure diagnostic monitoring tests interval on selected switch
            	**type**\: list of  		 :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch>`
            
            

            """

            _prefix = 'ios-diag'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Diagnostic.Schedule, self).__init__()

                self.yang_name = "schedule"
                self.yang_parent_name = "diagnostic"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"switch" : ("switch", Native.Diagnostic.Schedule.Switch)}

                self.switch = YList(self)
                self._segment_path = lambda: "schedule"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Diagnostic.Schedule, [], name, value)


            class Switch(Entity):
                """
                Configure diagnostic monitoring tests interval on selected switch
                
                .. attribute:: switch_number  <key>
                
                	switch number
                	**type**\: int
                
                	**range:** 1..9
                
                .. attribute:: test
                
                	Diagnostic test selection Diagnostics test suite attributes\: M/C/\* \- Minimal bootup level test / Complete bootup level test / NA B/\* \- Basic ondemand test / NA P/V/\* \- Per port test / Per device test / NA D/N/\* \- Disruptive test / Non\-disruptive test / NA S/\* \- Only applicable to standby unit / NA X/\* \- Not a health monitoring test / NA F/\* \- Fixed monitoring interval test / NA E/\* \- Always enabled monitoring test / NA A/I \- Monitoring is active / Monitoring is inactive                                                     Test Interval   Thre\- ID   Test Name                          Attributes      day hh\:mm\:ss.ms shold ==== ================================== ============    ===============  ===== 1)   DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPN\*X\*\*I       not configured   n/a 2)   DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.0   5 3)   DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00  5 4)   DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPD\*X\*\*I       not configured   n/a 5)   DiagScratchRegisterTest \-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00  5 6)   DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured   n/a 7)   DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured   n/a 8)   DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*D\*X\*\*I       not configured   n/a 
                	**type**\:  :py:class:`Test <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test>`
                
                

                """

                _prefix = 'ios-diag'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Diagnostic.Schedule.Switch, self).__init__()

                    self.yang_name = "switch"
                    self.yang_parent_name = "schedule"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"test" : ("test", Native.Diagnostic.Schedule.Switch.Test)}
                    self._child_list_classes = {}

                    self.switch_number = YLeaf(YType.uint8, "switch-number")

                    self.test = Native.Diagnostic.Schedule.Switch.Test()
                    self.test.parent = self
                    self._children_name_map["test"] = "test"
                    self._children_yang_names.add("test")
                    self._segment_path = lambda: "switch" + "[switch-number='" + self.switch_number.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-diagnostics:diagnostic/schedule/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Diagnostic.Schedule.Switch, ['switch_number'], name, value)


                class Test(Entity):
                    """
                    Diagnostic test selection
                    Diagnostics test suite attributes\:
                    M/C/\* \- Minimal bootup level test / Complete bootup level test / NA
                    B/\* \- Basic ondemand test / NA
                    P/V/\* \- Per port test / Per device test / NA
                    D/N/\* \- Disruptive test / Non\-disruptive test / NA
                    S/\* \- Only applicable to standby unit / NA
                    X/\* \- Not a health monitoring test / NA
                    F/\* \- Fixed monitoring interval test / NA
                    E/\* \- Always enabled monitoring test / NA
                    A/I \- Monitoring is active / Monitoring is inactive
                                                                        Test Interval   Thre\-
                    ID   Test Name                          Attributes      day hh\:mm\:ss.ms shold
                    ==== ================================== ============    ===============  =====
                    1)   DiagGoldPktTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPN\*X\*\*I       not configured   n/a
                    2)   DiagThermalTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.0   5
                    3)   DiagFanTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00  5
                    4)   DiagPhyLoopbackTest \-\-\-\-\-\-\-\-\-\-\-\-\-> \*BPD\*X\*\*I       not configured   n/a
                    5)   DiagScratchRegisterTest \-\-\-\-\-\-\-\-\-> \*B\*N\*\*\*\*A       000 00\:01\:30.00  5
                    6)   DiagPoETest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured   n/a
                    7)   DiagStackCableTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*\*\*D\*X\*\*I       not configured   n/a
                    8)   DiagMemoryTest \-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-> \*B\*D\*X\*\*I       not configured   n/a 
                    
                    .. attribute:: test_ids
                    
                    	
                    	**type**\: list of  		 :py:class:`TestIds <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds>`
                    
                    .. attribute:: all
                    
                    	Select all test ID 
                    	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All>`
                    
                    .. attribute:: basic
                    
                    	Select the Basic ondemand test suite [Attribute = B]
                    	**type**\:  :py:class:`Basic <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic>`
                    
                    .. attribute:: complete
                    
                    	Select the Complete bootup test suite [Attribute = C]
                    	**type**\:  :py:class:`Complete <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Complete>`
                    
                    .. attribute:: minimal
                    
                    	Select the Minimal bootup test suite [Attribute = M]
                    	**type**\:  :py:class:`Minimal <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Minimal>`
                    
                    .. attribute:: non_disruptive
                    
                    	Select the Non\-Disruptive test suite [Attribute = N]
                    	**type**\:  :py:class:`NonDisruptive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive>`
                    
                    .. attribute:: per_port
                    
                    	Select the Per\-Port test suite [Attribute = P]
                    	**type**\:  :py:class:`PerPort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort>`
                    
                    

                    """

                    _prefix = 'ios-diag'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.Diagnostic.Schedule.Switch.Test, self).__init__()

                        self.yang_name = "test"
                        self.yang_parent_name = "switch"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"all" : ("all", Native.Diagnostic.Schedule.Switch.Test.All), "basic" : ("basic", Native.Diagnostic.Schedule.Switch.Test.Basic), "complete" : ("complete", Native.Diagnostic.Schedule.Switch.Test.Complete), "minimal" : ("minimal", Native.Diagnostic.Schedule.Switch.Test.Minimal), "non-disruptive" : ("non_disruptive", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive), "per-port" : ("per_port", Native.Diagnostic.Schedule.Switch.Test.PerPort)}
                        self._child_list_classes = {"test-ids" : ("test_ids", Native.Diagnostic.Schedule.Switch.Test.TestIds)}

                        self.all = Native.Diagnostic.Schedule.Switch.Test.All()
                        self.all.parent = self
                        self._children_name_map["all"] = "all"
                        self._children_yang_names.add("all")

                        self.basic = Native.Diagnostic.Schedule.Switch.Test.Basic()
                        self.basic.parent = self
                        self._children_name_map["basic"] = "basic"
                        self._children_yang_names.add("basic")

                        self.complete = Native.Diagnostic.Schedule.Switch.Test.Complete()
                        self.complete.parent = self
                        self._children_name_map["complete"] = "complete"
                        self._children_yang_names.add("complete")

                        self.minimal = Native.Diagnostic.Schedule.Switch.Test.Minimal()
                        self.minimal.parent = self
                        self._children_name_map["minimal"] = "minimal"
                        self._children_yang_names.add("minimal")

                        self.non_disruptive = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive()
                        self.non_disruptive.parent = self
                        self._children_name_map["non_disruptive"] = "non-disruptive"
                        self._children_yang_names.add("non-disruptive")

                        self.per_port = Native.Diagnostic.Schedule.Switch.Test.PerPort()
                        self.per_port.parent = self
                        self._children_name_map["per_port"] = "per-port"
                        self._children_yang_names.add("per-port")

                        self.test_ids = YList(self)
                        self._segment_path = lambda: "test"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test, [], name, value)


                    class TestIds(Entity):
                        """
                        
                        
                        .. attribute:: id  <key>
                        
                        	Test ID list (e.g. 1,3\-6) or Test Name
                        	**type**\: str
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.On>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Weekly>`
                        
                        .. attribute:: port
                        
                        	Interface port selection
                        	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Diagnostic.Schedule.Switch.Test.TestIds, self).__init__()

                            self.yang_name = "test-ids"
                            self.yang_parent_name = "test"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.TestIds.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.TestIds.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.TestIds.Weekly), "port" : ("port", Native.Diagnostic.Schedule.Switch.Test.TestIds.Port)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.daily = Native.Diagnostic.Schedule.Switch.Test.TestIds.Daily()
                            self.daily.parent = self
                            self._children_name_map["daily"] = "daily"
                            self._children_yang_names.add("daily")

                            self.on = Native.Diagnostic.Schedule.Switch.Test.TestIds.On()
                            self.on.parent = self
                            self._children_name_map["on"] = "on"
                            self._children_yang_names.add("on")

                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.TestIds.Weekly()
                            self.weekly.parent = self
                            self._children_name_map["weekly"] = "weekly"
                            self._children_yang_names.add("weekly")

                            self.port = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port()
                            self.port.parent = self
                            self._children_name_map["port"] = "port"
                            self._children_yang_names.add("port")
                            self._segment_path = lambda: "test-ids" + "[id='" + self.id.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds, ['id'], name, value)


                        class Daily(Entity):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Daily, self).__init__()

                                self.yang_name = "daily"
                                self.yang_parent_name = "test-ids"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "daily"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Daily, ['hh_mm'], name, value)


                        class On(Entity):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\: int
                            
                            	**range:** 1..31
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\: int
                            
                            	**range:** 1993..2035
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.TestIds.On, self).__init__()

                                self.yang_name = "on"
                                self.yang_parent_name = "test-ids"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.month = YLeaf(YType.enumeration, "month")

                                self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                self.year = YLeaf(YType.uint16, "Year")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "on"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                        class Weekly(Entity):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Weekly, self).__init__()

                                self.yang_name = "weekly"
                                self.yang_parent_name = "test-ids"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.day = YLeaf(YType.enumeration, "day")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "weekly"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Weekly, ['day', 'hh_mm'], name, value)


                        class Port(Entity):
                            """
                            Interface port selection
                            
                            .. attribute:: interface_port_number
                            
                            	Interface port number
                            	**type**\: list of  		 :py:class:`InterfacePortNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber>`
                            
                            .. attribute:: port_number_list
                            
                            	Port number list (e.g. 2,4\-7)
                            	**type**\: list of  		 :py:class:`PortNumberList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList>`
                            
                            .. attribute:: all
                            
                            	Select all ports
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port, self).__init__()

                                self.yang_name = "port"
                                self.yang_parent_name = "test-ids"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"all" : ("all", Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All)}
                                self._child_list_classes = {"interface-port-number" : ("interface_port_number", Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber), "port-number-list" : ("port_number_list", Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList)}

                                self.all = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All()
                                self.all.parent = self
                                self._children_name_map["all"] = "all"
                                self._children_yang_names.add("all")

                                self.interface_port_number = YList(self)
                                self.port_number_list = YList(self)
                                self._segment_path = lambda: "port"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port, [], name, value)


                            class InterfacePortNumber(Entity):
                                """
                                Interface port number
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber, self).__init__()

                                    self.yang_name = "interface-port-number"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Weekly)}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.uint8, "number")

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "interface-port-number" + "[number='" + self.number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber, ['number'], name, value)


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.InterfacePortNumber.Weekly, ['day', 'hh_mm'], name, value)


                            class PortNumberList(Entity):
                                """
                                Port number list (e.g. 2,4\-7)
                                
                                .. attribute:: number_list  <key>
                                
                                	Port number list (e.g. 2,4\-7)
                                	**type**\: str
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList, self).__init__()

                                    self.yang_name = "port-number-list"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Weekly)}
                                    self._child_list_classes = {}

                                    self.number_list = YLeaf(YType.str, "number-list")

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "port-number-list" + "[number-list='" + self.number_list.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList, ['number_list'], name, value)


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.PortNumberList.Weekly, ['day', 'hh_mm'], name, value)


                            class All(Entity):
                                """
                                Select all ports
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All, self).__init__()

                                    self.yang_name = "all"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Weekly)}
                                    self._child_list_classes = {}

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "all"


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.TestIds.Port.All.Weekly, ['day', 'hh_mm'], name, value)


                    class All(Entity):
                        """
                        Select all test ID 
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.On>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Weekly>`
                        
                        .. attribute:: port
                        
                        	Interface port selection
                        	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Diagnostic.Schedule.Switch.Test.All, self).__init__()

                            self.yang_name = "all"
                            self.yang_parent_name = "test"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.All.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.All.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.All.Weekly), "port" : ("port", Native.Diagnostic.Schedule.Switch.Test.All.Port)}
                            self._child_list_classes = {}

                            self.daily = Native.Diagnostic.Schedule.Switch.Test.All.Daily()
                            self.daily.parent = self
                            self._children_name_map["daily"] = "daily"
                            self._children_yang_names.add("daily")

                            self.on = Native.Diagnostic.Schedule.Switch.Test.All.On()
                            self.on.parent = self
                            self._children_name_map["on"] = "on"
                            self._children_yang_names.add("on")

                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.All.Weekly()
                            self.weekly.parent = self
                            self._children_name_map["weekly"] = "weekly"
                            self._children_yang_names.add("weekly")

                            self.port = Native.Diagnostic.Schedule.Switch.Test.All.Port()
                            self.port.parent = self
                            self._children_name_map["port"] = "port"
                            self._children_yang_names.add("port")
                            self._segment_path = lambda: "all"


                        class Daily(Entity):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.All.Daily, self).__init__()

                                self.yang_name = "daily"
                                self.yang_parent_name = "all"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "daily"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Daily, ['hh_mm'], name, value)


                        class On(Entity):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\: int
                            
                            	**range:** 1..31
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\: int
                            
                            	**range:** 1993..2035
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.All.On, self).__init__()

                                self.yang_name = "on"
                                self.yang_parent_name = "all"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.month = YLeaf(YType.enumeration, "month")

                                self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                self.year = YLeaf(YType.uint16, "Year")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "on"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                        class Weekly(Entity):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.All.Weekly, self).__init__()

                                self.yang_name = "weekly"
                                self.yang_parent_name = "all"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.day = YLeaf(YType.enumeration, "day")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "weekly"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Weekly, ['day', 'hh_mm'], name, value)


                        class Port(Entity):
                            """
                            Interface port selection
                            
                            .. attribute:: interface_port_number
                            
                            	Interface port number
                            	**type**\: list of  		 :py:class:`InterfacePortNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber>`
                            
                            .. attribute:: port_number_list
                            
                            	Port number list (e.g. 2,4\-7)
                            	**type**\: list of  		 :py:class:`PortNumberList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList>`
                            
                            .. attribute:: all
                            
                            	Select all ports
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.All>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.All.Port, self).__init__()

                                self.yang_name = "port"
                                self.yang_parent_name = "all"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"all" : ("all", Native.Diagnostic.Schedule.Switch.Test.All.Port.All)}
                                self._child_list_classes = {"interface-port-number" : ("interface_port_number", Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber), "port-number-list" : ("port_number_list", Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList)}

                                self.all = Native.Diagnostic.Schedule.Switch.Test.All.Port.All()
                                self.all.parent = self
                                self._children_name_map["all"] = "all"
                                self._children_yang_names.add("all")

                                self.interface_port_number = YList(self)
                                self.port_number_list = YList(self)
                                self._segment_path = lambda: "port"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Port, [], name, value)


                            class InterfacePortNumber(Entity):
                                """
                                Interface port number
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber, self).__init__()

                                    self.yang_name = "interface-port-number"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Weekly)}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.uint8, "number")

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "interface-port-number" + "[number='" + self.number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber, ['number'], name, value)


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Port.InterfacePortNumber.Weekly, ['day', 'hh_mm'], name, value)


                            class PortNumberList(Entity):
                                """
                                Port number list (e.g. 2,4\-7)
                                
                                .. attribute:: number_list  <key>
                                
                                	Port number list (e.g. 2,4\-7)
                                	**type**\: str
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList, self).__init__()

                                    self.yang_name = "port-number-list"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Weekly)}
                                    self._child_list_classes = {}

                                    self.number_list = YLeaf(YType.str, "number-list")

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "port-number-list" + "[number-list='" + self.number_list.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList, ['number_list'], name, value)


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Port.PortNumberList.Weekly, ['day', 'hh_mm'], name, value)


                            class All(Entity):
                                """
                                Select all ports
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.All.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.All.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.All.Port.All.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.All.Port.All, self).__init__()

                                    self.yang_name = "all"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.All.Port.All.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.All.Port.All.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.All.Port.All.Weekly)}
                                    self._child_list_classes = {}

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.All.Port.All.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.All.Port.All.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.All.Port.All.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "all"


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.All.Port.All.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Port.All.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.All.Port.All.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Port.All.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.All.Port.All.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.All.Port.All.Weekly, ['day', 'hh_mm'], name, value)


                    class Basic(Entity):
                        """
                        Select the Basic ondemand test suite [Attribute = B]
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.On>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Weekly>`
                        
                        .. attribute:: port
                        
                        	Interface port selection
                        	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Diagnostic.Schedule.Switch.Test.Basic, self).__init__()

                            self.yang_name = "basic"
                            self.yang_parent_name = "test"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.Basic.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.Basic.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.Basic.Weekly), "port" : ("port", Native.Diagnostic.Schedule.Switch.Test.Basic.Port)}
                            self._child_list_classes = {}

                            self.daily = Native.Diagnostic.Schedule.Switch.Test.Basic.Daily()
                            self.daily.parent = self
                            self._children_name_map["daily"] = "daily"
                            self._children_yang_names.add("daily")

                            self.on = Native.Diagnostic.Schedule.Switch.Test.Basic.On()
                            self.on.parent = self
                            self._children_name_map["on"] = "on"
                            self._children_yang_names.add("on")

                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.Basic.Weekly()
                            self.weekly.parent = self
                            self._children_name_map["weekly"] = "weekly"
                            self._children_yang_names.add("weekly")

                            self.port = Native.Diagnostic.Schedule.Switch.Test.Basic.Port()
                            self.port.parent = self
                            self._children_name_map["port"] = "port"
                            self._children_yang_names.add("port")
                            self._segment_path = lambda: "basic"


                        class Daily(Entity):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.Basic.Daily, self).__init__()

                                self.yang_name = "daily"
                                self.yang_parent_name = "basic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "daily"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Daily, ['hh_mm'], name, value)


                        class On(Entity):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\: int
                            
                            	**range:** 1..31
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\: int
                            
                            	**range:** 1993..2035
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.Basic.On, self).__init__()

                                self.yang_name = "on"
                                self.yang_parent_name = "basic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.month = YLeaf(YType.enumeration, "month")

                                self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                self.year = YLeaf(YType.uint16, "Year")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "on"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                        class Weekly(Entity):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.Basic.Weekly, self).__init__()

                                self.yang_name = "weekly"
                                self.yang_parent_name = "basic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.day = YLeaf(YType.enumeration, "day")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "weekly"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Weekly, ['day', 'hh_mm'], name, value)


                        class Port(Entity):
                            """
                            Interface port selection
                            
                            .. attribute:: interface_port_number
                            
                            	Interface port number
                            	**type**\: list of  		 :py:class:`InterfacePortNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber>`
                            
                            .. attribute:: port_number_list
                            
                            	Port number list (e.g. 2,4\-7)
                            	**type**\: list of  		 :py:class:`PortNumberList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList>`
                            
                            .. attribute:: all
                            
                            	Select all ports
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.Basic.Port, self).__init__()

                                self.yang_name = "port"
                                self.yang_parent_name = "basic"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"all" : ("all", Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All)}
                                self._child_list_classes = {"interface-port-number" : ("interface_port_number", Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber), "port-number-list" : ("port_number_list", Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList)}

                                self.all = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All()
                                self.all.parent = self
                                self._children_name_map["all"] = "all"
                                self._children_yang_names.add("all")

                                self.interface_port_number = YList(self)
                                self.port_number_list = YList(self)
                                self._segment_path = lambda: "port"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Port, [], name, value)


                            class InterfacePortNumber(Entity):
                                """
                                Interface port number
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber, self).__init__()

                                    self.yang_name = "interface-port-number"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Weekly)}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.uint8, "number")

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "interface-port-number" + "[number='" + self.number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber, ['number'], name, value)


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.InterfacePortNumber.Weekly, ['day', 'hh_mm'], name, value)


                            class PortNumberList(Entity):
                                """
                                Port number list (e.g. 2,4\-7)
                                
                                .. attribute:: number_list  <key>
                                
                                	Port number list (e.g. 2,4\-7)
                                	**type**\: str
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList, self).__init__()

                                    self.yang_name = "port-number-list"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Weekly)}
                                    self._child_list_classes = {}

                                    self.number_list = YLeaf(YType.str, "number-list")

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "port-number-list" + "[number-list='" + self.number_list.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList, ['number_list'], name, value)


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.PortNumberList.Weekly, ['day', 'hh_mm'], name, value)


                            class All(Entity):
                                """
                                Select all ports
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All, self).__init__()

                                    self.yang_name = "all"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Weekly)}
                                    self._child_list_classes = {}

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "all"


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Basic.Port.All.Weekly, ['day', 'hh_mm'], name, value)


                    class Complete(Entity):
                        """
                        Select the Complete bootup test suite [Attribute = C]
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Complete.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Complete.On>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Complete.Weekly>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Diagnostic.Schedule.Switch.Test.Complete, self).__init__()

                            self.yang_name = "complete"
                            self.yang_parent_name = "test"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.Complete.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.Complete.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.Complete.Weekly)}
                            self._child_list_classes = {}

                            self.daily = Native.Diagnostic.Schedule.Switch.Test.Complete.Daily()
                            self.daily.parent = self
                            self._children_name_map["daily"] = "daily"
                            self._children_yang_names.add("daily")

                            self.on = Native.Diagnostic.Schedule.Switch.Test.Complete.On()
                            self.on.parent = self
                            self._children_name_map["on"] = "on"
                            self._children_yang_names.add("on")

                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.Complete.Weekly()
                            self.weekly.parent = self
                            self._children_name_map["weekly"] = "weekly"
                            self._children_yang_names.add("weekly")
                            self._segment_path = lambda: "complete"


                        class Daily(Entity):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.Complete.Daily, self).__init__()

                                self.yang_name = "daily"
                                self.yang_parent_name = "complete"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "daily"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Complete.Daily, ['hh_mm'], name, value)


                        class On(Entity):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\: int
                            
                            	**range:** 1..31
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\: int
                            
                            	**range:** 1993..2035
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.Complete.On, self).__init__()

                                self.yang_name = "on"
                                self.yang_parent_name = "complete"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.month = YLeaf(YType.enumeration, "month")

                                self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                self.year = YLeaf(YType.uint16, "Year")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "on"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Complete.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                        class Weekly(Entity):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.Complete.Weekly, self).__init__()

                                self.yang_name = "weekly"
                                self.yang_parent_name = "complete"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.day = YLeaf(YType.enumeration, "day")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "weekly"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Complete.Weekly, ['day', 'hh_mm'], name, value)


                    class Minimal(Entity):
                        """
                        Select the Minimal bootup test suite [Attribute = M]
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Minimal.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Minimal.On>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.Minimal.Weekly>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Diagnostic.Schedule.Switch.Test.Minimal, self).__init__()

                            self.yang_name = "minimal"
                            self.yang_parent_name = "test"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.Minimal.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.Minimal.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.Minimal.Weekly)}
                            self._child_list_classes = {}

                            self.daily = Native.Diagnostic.Schedule.Switch.Test.Minimal.Daily()
                            self.daily.parent = self
                            self._children_name_map["daily"] = "daily"
                            self._children_yang_names.add("daily")

                            self.on = Native.Diagnostic.Schedule.Switch.Test.Minimal.On()
                            self.on.parent = self
                            self._children_name_map["on"] = "on"
                            self._children_yang_names.add("on")

                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.Minimal.Weekly()
                            self.weekly.parent = self
                            self._children_name_map["weekly"] = "weekly"
                            self._children_yang_names.add("weekly")
                            self._segment_path = lambda: "minimal"


                        class Daily(Entity):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.Minimal.Daily, self).__init__()

                                self.yang_name = "daily"
                                self.yang_parent_name = "minimal"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "daily"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Minimal.Daily, ['hh_mm'], name, value)


                        class On(Entity):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\: int
                            
                            	**range:** 1..31
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\: int
                            
                            	**range:** 1993..2035
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.Minimal.On, self).__init__()

                                self.yang_name = "on"
                                self.yang_parent_name = "minimal"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.month = YLeaf(YType.enumeration, "month")

                                self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                self.year = YLeaf(YType.uint16, "Year")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "on"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Minimal.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                        class Weekly(Entity):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.Minimal.Weekly, self).__init__()

                                self.yang_name = "weekly"
                                self.yang_parent_name = "minimal"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.day = YLeaf(YType.enumeration, "day")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "weekly"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.Minimal.Weekly, ['day', 'hh_mm'], name, value)


                    class NonDisruptive(Entity):
                        """
                        Select the Non\-Disruptive test suite [Attribute = N]
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.On>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Weekly>`
                        
                        .. attribute:: port
                        
                        	Interface port selection
                        	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive, self).__init__()

                            self.yang_name = "non-disruptive"
                            self.yang_parent_name = "test"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Weekly), "port" : ("port", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port)}
                            self._child_list_classes = {}

                            self.daily = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Daily()
                            self.daily.parent = self
                            self._children_name_map["daily"] = "daily"
                            self._children_yang_names.add("daily")

                            self.on = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.On()
                            self.on.parent = self
                            self._children_name_map["on"] = "on"
                            self._children_yang_names.add("on")

                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Weekly()
                            self.weekly.parent = self
                            self._children_name_map["weekly"] = "weekly"
                            self._children_yang_names.add("weekly")

                            self.port = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port()
                            self.port.parent = self
                            self._children_name_map["port"] = "port"
                            self._children_yang_names.add("port")
                            self._segment_path = lambda: "non-disruptive"


                        class Daily(Entity):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Daily, self).__init__()

                                self.yang_name = "daily"
                                self.yang_parent_name = "non-disruptive"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "daily"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Daily, ['hh_mm'], name, value)


                        class On(Entity):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\: int
                            
                            	**range:** 1..31
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\: int
                            
                            	**range:** 1993..2035
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.On, self).__init__()

                                self.yang_name = "on"
                                self.yang_parent_name = "non-disruptive"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.month = YLeaf(YType.enumeration, "month")

                                self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                self.year = YLeaf(YType.uint16, "Year")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "on"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                        class Weekly(Entity):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Weekly, self).__init__()

                                self.yang_name = "weekly"
                                self.yang_parent_name = "non-disruptive"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.day = YLeaf(YType.enumeration, "day")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "weekly"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Weekly, ['day', 'hh_mm'], name, value)


                        class Port(Entity):
                            """
                            Interface port selection
                            
                            .. attribute:: interface_port_number
                            
                            	Interface port number
                            	**type**\: list of  		 :py:class:`InterfacePortNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber>`
                            
                            .. attribute:: port_number_list
                            
                            	Port number list (e.g. 2,4\-7)
                            	**type**\: list of  		 :py:class:`PortNumberList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList>`
                            
                            .. attribute:: all
                            
                            	Select all ports
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port, self).__init__()

                                self.yang_name = "port"
                                self.yang_parent_name = "non-disruptive"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"all" : ("all", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All)}
                                self._child_list_classes = {"interface-port-number" : ("interface_port_number", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber), "port-number-list" : ("port_number_list", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList)}

                                self.all = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All()
                                self.all.parent = self
                                self._children_name_map["all"] = "all"
                                self._children_yang_names.add("all")

                                self.interface_port_number = YList(self)
                                self.port_number_list = YList(self)
                                self._segment_path = lambda: "port"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port, [], name, value)


                            class InterfacePortNumber(Entity):
                                """
                                Interface port number
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber, self).__init__()

                                    self.yang_name = "interface-port-number"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Weekly)}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.uint8, "number")

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "interface-port-number" + "[number='" + self.number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber, ['number'], name, value)


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.InterfacePortNumber.Weekly, ['day', 'hh_mm'], name, value)


                            class PortNumberList(Entity):
                                """
                                Port number list (e.g. 2,4\-7)
                                
                                .. attribute:: number_list  <key>
                                
                                	Port number list (e.g. 2,4\-7)
                                	**type**\: str
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList, self).__init__()

                                    self.yang_name = "port-number-list"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Weekly)}
                                    self._child_list_classes = {}

                                    self.number_list = YLeaf(YType.str, "number-list")

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "port-number-list" + "[number-list='" + self.number_list.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList, ['number_list'], name, value)


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.PortNumberList.Weekly, ['day', 'hh_mm'], name, value)


                            class All(Entity):
                                """
                                Select all ports
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All, self).__init__()

                                    self.yang_name = "all"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Weekly)}
                                    self._child_list_classes = {}

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "all"


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.NonDisruptive.Port.All.Weekly, ['day', 'hh_mm'], name, value)


                    class PerPort(Entity):
                        """
                        Select the Per\-Port test suite [Attribute = P]
                        
                        .. attribute:: daily
                        
                        	 Daily Schedule 
                        	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Daily>`
                        
                        .. attribute:: on
                        
                        	 Absolute Schedule 
                        	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.On>`
                        
                        .. attribute:: weekly
                        
                        	Weekly schedule
                        	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Weekly>`
                        
                        .. attribute:: port
                        
                        	Interface port selection
                        	**type**\:  :py:class:`Port <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port>`
                        
                        

                        """

                        _prefix = 'ios-diag'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.Diagnostic.Schedule.Switch.Test.PerPort, self).__init__()

                            self.yang_name = "per-port"
                            self.yang_parent_name = "test"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.PerPort.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.PerPort.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.PerPort.Weekly), "port" : ("port", Native.Diagnostic.Schedule.Switch.Test.PerPort.Port)}
                            self._child_list_classes = {}

                            self.daily = Native.Diagnostic.Schedule.Switch.Test.PerPort.Daily()
                            self.daily.parent = self
                            self._children_name_map["daily"] = "daily"
                            self._children_yang_names.add("daily")

                            self.on = Native.Diagnostic.Schedule.Switch.Test.PerPort.On()
                            self.on.parent = self
                            self._children_name_map["on"] = "on"
                            self._children_yang_names.add("on")

                            self.weekly = Native.Diagnostic.Schedule.Switch.Test.PerPort.Weekly()
                            self.weekly.parent = self
                            self._children_name_map["weekly"] = "weekly"
                            self._children_yang_names.add("weekly")

                            self.port = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port()
                            self.port.parent = self
                            self._children_name_map["port"] = "port"
                            self._children_yang_names.add("port")
                            self._segment_path = lambda: "per-port"


                        class Daily(Entity):
                            """
                             Daily Schedule 
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Daily, self).__init__()

                                self.yang_name = "daily"
                                self.yang_parent_name = "per-port"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "daily"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Daily, ['hh_mm'], name, value)


                        class On(Entity):
                            """
                             Absolute Schedule 
                            
                            .. attribute:: month
                            
                            	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                            	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                            
                            .. attribute:: day_of_month
                            
                            	 <1\-31>  Day of month 
                            	**type**\: int
                            
                            	**range:** 1..31
                            
                            .. attribute:: year
                            
                            	Enter Year <1993\-2035>
                            	**type**\: int
                            
                            	**range:** 1993..2035
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.PerPort.On, self).__init__()

                                self.yang_name = "on"
                                self.yang_parent_name = "per-port"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.month = YLeaf(YType.enumeration, "month")

                                self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                self.year = YLeaf(YType.uint16, "Year")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "on"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                        class Weekly(Entity):
                            """
                            Weekly schedule
                            
                            .. attribute:: day
                            
                            	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                            	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                            
                            .. attribute:: hh_mm
                            
                            	Begin Time hh\:mm
                            	**type**\: str
                            
                            	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Weekly, self).__init__()

                                self.yang_name = "weekly"
                                self.yang_parent_name = "per-port"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.day = YLeaf(YType.enumeration, "day")

                                self.hh_mm = YLeaf(YType.str, "hh-mm")
                                self._segment_path = lambda: "weekly"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Weekly, ['day', 'hh_mm'], name, value)


                        class Port(Entity):
                            """
                            Interface port selection
                            
                            .. attribute:: interface_port_number
                            
                            	Interface port number
                            	**type**\: list of  		 :py:class:`InterfacePortNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber>`
                            
                            .. attribute:: port_number_list
                            
                            	Port number list (e.g. 2,4\-7)
                            	**type**\: list of  		 :py:class:`PortNumberList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList>`
                            
                            .. attribute:: all
                            
                            	Select all ports
                            	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All>`
                            
                            

                            """

                            _prefix = 'ios-diag'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port, self).__init__()

                                self.yang_name = "port"
                                self.yang_parent_name = "per-port"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"all" : ("all", Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All)}
                                self._child_list_classes = {"interface-port-number" : ("interface_port_number", Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber), "port-number-list" : ("port_number_list", Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList)}

                                self.all = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All()
                                self.all.parent = self
                                self._children_name_map["all"] = "all"
                                self._children_yang_names.add("all")

                                self.interface_port_number = YList(self)
                                self.port_number_list = YList(self)
                                self._segment_path = lambda: "port"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port, [], name, value)


                            class InterfacePortNumber(Entity):
                                """
                                Interface port number
                                
                                .. attribute:: number  <key>
                                
                                	
                                	**type**\: int
                                
                                	**range:** 1..32
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber, self).__init__()

                                    self.yang_name = "interface-port-number"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Weekly)}
                                    self._child_list_classes = {}

                                    self.number = YLeaf(YType.uint8, "number")

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "interface-port-number" + "[number='" + self.number.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber, ['number'], name, value)


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "interface-port-number"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.InterfacePortNumber.Weekly, ['day', 'hh_mm'], name, value)


                            class PortNumberList(Entity):
                                """
                                Port number list (e.g. 2,4\-7)
                                
                                .. attribute:: number_list  <key>
                                
                                	Port number list (e.g. 2,4\-7)
                                	**type**\: str
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList, self).__init__()

                                    self.yang_name = "port-number-list"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Weekly)}
                                    self._child_list_classes = {}

                                    self.number_list = YLeaf(YType.str, "number-list")

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "port-number-list" + "[number-list='" + self.number_list.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList, ['number_list'], name, value)


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "port-number-list"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.PortNumberList.Weekly, ['day', 'hh_mm'], name, value)


                            class All(Entity):
                                """
                                Select all ports
                                
                                .. attribute:: daily
                                
                                	 Daily Schedule 
                                	**type**\:  :py:class:`Daily <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Daily>`
                                
                                .. attribute:: on
                                
                                	 Absolute Schedule 
                                	**type**\:  :py:class:`On <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.On>`
                                
                                .. attribute:: weekly
                                
                                	Weekly schedule
                                	**type**\:  :py:class:`Weekly <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Weekly>`
                                
                                

                                """

                                _prefix = 'ios-diag'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All, self).__init__()

                                    self.yang_name = "all"
                                    self.yang_parent_name = "port"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {"daily" : ("daily", Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Daily), "on" : ("on", Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.On), "weekly" : ("weekly", Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Weekly)}
                                    self._child_list_classes = {}

                                    self.daily = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Daily()
                                    self.daily.parent = self
                                    self._children_name_map["daily"] = "daily"
                                    self._children_yang_names.add("daily")

                                    self.on = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.On()
                                    self.on.parent = self
                                    self._children_name_map["on"] = "on"
                                    self._children_yang_names.add("on")

                                    self.weekly = Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Weekly()
                                    self.weekly.parent = self
                                    self._children_name_map["weekly"] = "weekly"
                                    self._children_yang_names.add("weekly")
                                    self._segment_path = lambda: "all"


                                class Daily(Entity):
                                    """
                                     Daily Schedule 
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Daily, self).__init__()

                                        self.yang_name = "daily"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "daily"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Daily, ['hh_mm'], name, value)


                                class On(Entity):
                                    """
                                     Absolute Schedule 
                                    
                                    .. attribute:: month
                                    
                                    	Enter month \-> Jan\|Feb\|Mar\|Apr\|May\|Jun\|Jul\|Aug\|Sep\|Oct\|Nov\|Dec
                                    	**type**\:  :py:class:`MonthType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.MonthType>`
                                    
                                    .. attribute:: day_of_month
                                    
                                    	 <1\-31>  Day of month 
                                    	**type**\: int
                                    
                                    	**range:** 1..31
                                    
                                    .. attribute:: year
                                    
                                    	Enter Year <1993\-2035>
                                    	**type**\: int
                                    
                                    	**range:** 1993..2035
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.On, self).__init__()

                                        self.yang_name = "on"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.month = YLeaf(YType.enumeration, "month")

                                        self.day_of_month = YLeaf(YType.uint16, "day-of-month")

                                        self.year = YLeaf(YType.uint16, "Year")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "on"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.On, ['month', 'day_of_month', 'year', 'hh_mm'], name, value)


                                class Weekly(Entity):
                                    """
                                    Weekly schedule
                                    
                                    .. attribute:: day
                                    
                                    	Enter Day of the week   Mon\|Tue\|Wed\|Thu\|Fri\|Sat\|Sun
                                    	**type**\:  :py:class:`WeekdayType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_types.WeekdayType>`
                                    
                                    .. attribute:: hh_mm
                                    
                                    	Begin Time hh\:mm
                                    	**type**\: str
                                    
                                    	**pattern:** ([0\-1]?[0\-9]\|2[0\-4])\:([0\-5][0\-9])(\:[0\-5][0\-9])?
                                    
                                    

                                    """

                                    _prefix = 'ios-diag'
                                    _revision = '2017-02-07'

                                    def __init__(self):
                                        super(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Weekly, self).__init__()

                                        self.yang_name = "weekly"
                                        self.yang_parent_name = "all"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.day = YLeaf(YType.enumeration, "day")

                                        self.hh_mm = YLeaf(YType.str, "hh-mm")
                                        self._segment_path = lambda: "weekly"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.Diagnostic.Schedule.Switch.Test.PerPort.Port.All.Weekly, ['day', 'hh_mm'], name, value)


    class Lldp(Entity):
        """
        Enables LLDP globally.
        
        .. attribute:: run
        
        	Enable LLDP
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios-lldp'
        _revision = '2017-03-31'

        def __init__(self):
            super(Native.Lldp, self).__init__()

            self.yang_name = "lldp"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.run = YLeaf(YType.empty, "run")
            self._segment_path = lambda: "Cisco-IOS-XE-lldp:lldp"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Lldp, ['run'], name, value)


    class MaintenanceTemplate(Entity):
        """
        maintenance\-template configuration
        
        .. attribute:: templ_name  <key>
        
        	maintenance\-template name
        	**type**\: str
        
        .. attribute:: config_maintenance_templ
        
        	
        	**type**\:  :py:class:`ConfigMaintenanceTempl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MaintenanceTemplate.ConfigMaintenanceTempl>`
        
        

        """

        _prefix = 'ios-mmode'
        _revision = '2017-03-13'

        def __init__(self):
            super(Native.MaintenanceTemplate, self).__init__()

            self.yang_name = "maintenance-template"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"config-maintenance-templ" : ("config_maintenance_templ", Native.MaintenanceTemplate.ConfigMaintenanceTempl)}
            self._child_list_classes = {}

            self.templ_name = YLeaf(YType.str, "templ-name")

            self.config_maintenance_templ = Native.MaintenanceTemplate.ConfigMaintenanceTempl()
            self.config_maintenance_templ.parent = self
            self._children_name_map["config_maintenance_templ"] = "config-maintenance-templ"
            self._children_yang_names.add("config-maintenance-templ")
            self._segment_path = lambda: "Cisco-IOS-XE-mmode:maintenance-template" + "[templ-name='" + self.templ_name.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.MaintenanceTemplate, ['templ_name'], name, value)


        class ConfigMaintenanceTempl(Entity):
            """
            
            
            .. attribute:: router
            
            	routing protocol
            	**type**\:  :py:class:`Router <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MaintenanceTemplate.ConfigMaintenanceTempl.Router>`
            
            .. attribute:: shutdown
            
            	shutdown
            	**type**\:  :py:class:`Shutdown <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MaintenanceTemplate.ConfigMaintenanceTempl.Shutdown>`
            
            

            """

            _prefix = 'ios-mmode'
            _revision = '2017-03-13'

            def __init__(self):
                super(Native.MaintenanceTemplate.ConfigMaintenanceTempl, self).__init__()

                self.yang_name = "config-maintenance-templ"
                self.yang_parent_name = "maintenance-template"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"router" : ("router", Native.MaintenanceTemplate.ConfigMaintenanceTempl.Router), "shutdown" : ("shutdown", Native.MaintenanceTemplate.ConfigMaintenanceTempl.Shutdown)}
                self._child_list_classes = {}

                self.router = Native.MaintenanceTemplate.ConfigMaintenanceTempl.Router()
                self.router.parent = self
                self._children_name_map["router"] = "router"
                self._children_yang_names.add("router")

                self.shutdown = Native.MaintenanceTemplate.ConfigMaintenanceTempl.Shutdown()
                self.shutdown.parent = self
                self._children_name_map["shutdown"] = "shutdown"
                self._children_yang_names.add("shutdown")
                self._segment_path = lambda: "config-maintenance-templ"


            class Router(Entity):
                """
                routing protocol
                
                .. attribute:: routing_protocol
                
                	
                	**type**\: list of  		 :py:class:`RoutingProtocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MaintenanceTemplate.ConfigMaintenanceTempl.Router.RoutingProtocol>`
                
                

                """

                _prefix = 'ios-mmode'
                _revision = '2017-03-13'

                def __init__(self):
                    super(Native.MaintenanceTemplate.ConfigMaintenanceTempl.Router, self).__init__()

                    self.yang_name = "router"
                    self.yang_parent_name = "config-maintenance-templ"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {"routing-protocol" : ("routing_protocol", Native.MaintenanceTemplate.ConfigMaintenanceTempl.Router.RoutingProtocol)}

                    self.routing_protocol = YList(self)
                    self._segment_path = lambda: "router"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.MaintenanceTemplate.ConfigMaintenanceTempl.Router, [], name, value)


                class RoutingProtocol(Entity):
                    """
                    
                    
                    .. attribute:: protocol  <key>
                    
                    	isolate protocol
                    	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.MaintenanceTemplate.ConfigMaintenanceTempl.Router.RoutingProtocol.Protocol>`
                    
                    .. attribute:: instance  <key>
                    
                    	instance/AS number
                    	**type**\: int
                    
                    	**range:** 1..65535
                    
                    

                    """

                    _prefix = 'ios-mmode'
                    _revision = '2017-03-13'

                    def __init__(self):
                        super(Native.MaintenanceTemplate.ConfigMaintenanceTempl.Router.RoutingProtocol, self).__init__()

                        self.yang_name = "routing-protocol"
                        self.yang_parent_name = "router"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.protocol = YLeaf(YType.enumeration, "protocol")

                        self.instance = YLeaf(YType.uint16, "instance")
                        self._segment_path = lambda: "routing-protocol" + "[protocol='" + self.protocol.get() + "']" + "[instance='" + self.instance.get() + "']"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.MaintenanceTemplate.ConfigMaintenanceTempl.Router.RoutingProtocol, ['protocol', 'instance'], name, value)

                    class Protocol(Enum):
                        """
                        Protocol

                        isolate protocol

                        .. data:: bgp = 0

                        .. data:: isis = 1

                        """

                        bgp = Enum.YLeaf(0, "bgp")

                        isis = Enum.YLeaf(1, "isis")



            class Shutdown(Entity):
                """
                shutdown
                
                .. attribute:: l2
                
                	shutdown all L2 interfaces
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-mmode'
                _revision = '2017-03-13'

                def __init__(self):
                    super(Native.MaintenanceTemplate.ConfigMaintenanceTempl.Shutdown, self).__init__()

                    self.yang_name = "shutdown"
                    self.yang_parent_name = "config-maintenance-templ"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.l2 = YLeaf(YType.empty, "l2")
                    self._segment_path = lambda: "shutdown"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.MaintenanceTemplate.ConfigMaintenanceTempl.Shutdown, ['l2'], name, value)


    class Nat66(Entity):
        """
        NAT66 configuration commands
        
        .. attribute:: prefix
        
        	NAT66 prefix
        	**type**\:  :py:class:`Prefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Nat66.Prefix>`
        
        

        """

        _prefix = 'ios-nat'
        _revision = '2017-08-03'

        def __init__(self):
            super(Native.Nat66, self).__init__()

            self.yang_name = "nat66"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"prefix" : ("prefix", Native.Nat66.Prefix)}
            self._child_list_classes = {}

            self.prefix = Native.Nat66.Prefix()
            self.prefix.parent = self
            self._children_name_map["prefix"] = "prefix"
            self._children_yang_names.add("prefix")
            self._segment_path = lambda: "Cisco-IOS-XE-nat:nat66"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Prefix(Entity):
            """
            NAT66 prefix
            
            .. attribute:: inside
            
            	inside prefix
            	**type**\: list of  		 :py:class:`Inside <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Nat66.Prefix.Inside>`
            
            

            """

            _prefix = 'ios-nat'
            _revision = '2017-08-03'

            def __init__(self):
                super(Native.Nat66.Prefix, self).__init__()

                self.yang_name = "prefix"
                self.yang_parent_name = "nat66"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"inside" : ("inside", Native.Nat66.Prefix.Inside)}

                self.inside = YList(self)
                self._segment_path = lambda: "prefix"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-nat:nat66/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Nat66.Prefix, [], name, value)


            class Inside(Entity):
                """
                inside prefix
                
                .. attribute:: inside_pfx  <key>
                
                	IPv6 prefix
                	**type**\: str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                
                .. attribute:: outside
                
                	outside prefix
                	**type**\: str
                
                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(/(([0\-9])\|([0\-9]{2})\|(1[0\-1][0\-9])\|(12[0\-8])))
                
                

                """

                _prefix = 'ios-nat'
                _revision = '2017-08-03'

                def __init__(self):
                    super(Native.Nat66.Prefix.Inside, self).__init__()

                    self.yang_name = "inside"
                    self.yang_parent_name = "prefix"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.inside_pfx = YLeaf(YType.str, "inside-pfx")

                    self.outside = YLeaf(YType.str, "outside")
                    self._segment_path = lambda: "inside" + "[inside-pfx='" + self.inside_pfx.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-nat:nat66/prefix/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Nat66.Prefix.Inside, ['inside_pfx', 'outside'], name, value)


    class PmAgent(Entity):
        """
        pm\-agent Configuration Commands
        
        .. attribute:: config_pm_agent
        
        	
        	**type**\:  :py:class:`ConfigPmAgent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent>`
        
        

        This class is a :ref:`presence class<presence-class>`

        """

        _prefix = 'ios-pathmgr'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.PmAgent, self).__init__()

            self.yang_name = "pm-agent"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"config-pm-agent" : ("config_pm_agent", Native.PmAgent.ConfigPmAgent)}
            self._child_list_classes = {}
            self.is_presence_container = True

            self.config_pm_agent = Native.PmAgent.ConfigPmAgent()
            self.config_pm_agent.parent = self
            self._children_name_map["config_pm_agent"] = "config-pm-agent"
            self._children_yang_names.add("config-pm-agent")
            self._segment_path = lambda: "Cisco-IOS-XE-pathmgr:pm-agent"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class ConfigPmAgent(Entity):
            """
            
            
            .. attribute:: device
            
            	Enter the device ID
            	**type**\:  :py:class:`Device <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device>`
            
            .. attribute:: instance_id
            
            	Enter the instance ID
            	**type**\: list of  		 :py:class:`InstanceId <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.InstanceId>`
            
            .. attribute:: region
            
            	Enter the region ID
            	**type**\:  :py:class:`Region <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Region>`
            
            .. attribute:: shutdown
            
            	shut the device
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            .. attribute:: site
            
            	Enter the site configuration
            	**type**\:  :py:class:`Site <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Site>`
            
            .. attribute:: tenant
            
            	enter the tenant configuration
            	**type**\:  :py:class:`Tenant <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Tenant>`
            
            .. attribute:: pmcs
            
            	Enter the pmcs configuration
            	**type**\:  :py:class:`Pmcs <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs>`
            
            

            """

            _prefix = 'ios-pathmgr'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.PmAgent.ConfigPmAgent, self).__init__()

                self.yang_name = "config-pm-agent"
                self.yang_parent_name = "pm-agent"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"device" : ("device", Native.PmAgent.ConfigPmAgent.Device), "region" : ("region", Native.PmAgent.ConfigPmAgent.Region), "site" : ("site", Native.PmAgent.ConfigPmAgent.Site), "tenant" : ("tenant", Native.PmAgent.ConfigPmAgent.Tenant), "pmcs" : ("pmcs", Native.PmAgent.ConfigPmAgent.Pmcs)}
                self._child_list_classes = {"instance-id" : ("instance_id", Native.PmAgent.ConfigPmAgent.InstanceId)}

                self.shutdown = YLeaf(YType.empty, "shutdown")

                self.device = Native.PmAgent.ConfigPmAgent.Device()
                self.device.parent = self
                self._children_name_map["device"] = "device"
                self._children_yang_names.add("device")

                self.region = Native.PmAgent.ConfigPmAgent.Region()
                self.region.parent = self
                self._children_name_map["region"] = "region"
                self._children_yang_names.add("region")

                self.site = Native.PmAgent.ConfigPmAgent.Site()
                self.site.parent = self
                self._children_name_map["site"] = "site"
                self._children_yang_names.add("site")

                self.tenant = Native.PmAgent.ConfigPmAgent.Tenant()
                self.tenant.parent = self
                self._children_name_map["tenant"] = "tenant"
                self._children_yang_names.add("tenant")

                self.pmcs = Native.PmAgent.ConfigPmAgent.Pmcs()
                self.pmcs.parent = self
                self._children_name_map["pmcs"] = "pmcs"
                self._children_yang_names.add("pmcs")

                self.instance_id = YList(self)
                self._segment_path = lambda: "config-pm-agent"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.PmAgent.ConfigPmAgent, ['shutdown'], name, value)


            class Device(Entity):
                """
                Enter the device ID
                
                .. attribute:: id
                
                	Specify the device ID
                	**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Id>`
                
                .. attribute:: type
                
                	Enter the device type
                	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type>`
                
                

                """

                _prefix = 'ios-pathmgr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PmAgent.ConfigPmAgent.Device, self).__init__()

                    self.yang_name = "device"
                    self.yang_parent_name = "config-pm-agent"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"id" : ("id", Native.PmAgent.ConfigPmAgent.Device.Id), "type" : ("type", Native.PmAgent.ConfigPmAgent.Device.Type)}
                    self._child_list_classes = {}

                    self.id = Native.PmAgent.ConfigPmAgent.Device.Id()
                    self.id.parent = self
                    self._children_name_map["id"] = "id"
                    self._children_yang_names.add("id")

                    self.type = Native.PmAgent.ConfigPmAgent.Device.Type()
                    self.type.parent = self
                    self._children_name_map["type"] = "type"
                    self._children_yang_names.add("type")
                    self._segment_path = lambda: "device"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/%s" % self._segment_path()


                class Id(Entity):
                    """
                    Specify the device ID
                    
                    .. attribute:: device_range
                    
                    	
                    	**type**\: list of  		 :py:class:`DeviceRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Id.DeviceRange>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PmAgent.ConfigPmAgent.Device.Id, self).__init__()

                        self.yang_name = "id"
                        self.yang_parent_name = "device"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"device_range" : ("device_range", Native.PmAgent.ConfigPmAgent.Device.Id.DeviceRange)}

                        self.device_range = YList(self)
                        self._segment_path = lambda: "id"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/device/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PmAgent.ConfigPmAgent.Device.Id, [], name, value)


                    class DeviceRange(Entity):
                        """
                        
                        
                        .. attribute:: device_id_range  <key>
                        
                        	Specify the device\-id value
                        	**type**\: int
                        
                        	**range:** 1..65535
                        
                        .. attribute:: name
                        
                        	Specify the device name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PmAgent.ConfigPmAgent.Device.Id.DeviceRange, self).__init__()

                            self.yang_name = "device_range"
                            self.yang_parent_name = "id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.device_id_range = YLeaf(YType.uint32, "device_id_range")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "device_range" + "[device_id_range='" + self.device_id_range.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/device/id/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PmAgent.ConfigPmAgent.Device.Id.DeviceRange, ['device_id_range', 'name'], name, value)


                class Type(Entity):
                    """
                    Enter the device type
                    
                    .. attribute:: ntr
                    
                    	ntr device type
                    	**type**\:  :py:class:`Ntr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type.Ntr>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: pxtr
                    
                    	pxtr device type
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: rtr
                    
                    	rtr device type
                    	**type**\:  :py:class:`Rtr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type.Rtr>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: xtr
                    
                    	xtr device type
                    	**type**\:  :py:class:`Xtr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type.Xtr>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PmAgent.ConfigPmAgent.Device.Type, self).__init__()

                        self.yang_name = "type"
                        self.yang_parent_name = "device"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"ntr" : ("ntr", Native.PmAgent.ConfigPmAgent.Device.Type.Ntr), "rtr" : ("rtr", Native.PmAgent.ConfigPmAgent.Device.Type.Rtr), "xtr" : ("xtr", Native.PmAgent.ConfigPmAgent.Device.Type.Xtr)}
                        self._child_list_classes = {}

                        self.pxtr = YLeaf(YType.empty, "pxtr")

                        self.ntr = None
                        self._children_name_map["ntr"] = "ntr"
                        self._children_yang_names.add("ntr")

                        self.rtr = None
                        self._children_name_map["rtr"] = "rtr"
                        self._children_yang_names.add("rtr")

                        self.xtr = None
                        self._children_name_map["xtr"] = "xtr"
                        self._children_yang_names.add("xtr")
                        self._segment_path = lambda: "type"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/device/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PmAgent.ConfigPmAgent.Device.Type, ['pxtr'], name, value)


                    class Ntr(Entity):
                        """
                        ntr device type
                        
                        .. attribute:: rtr
                        
                        	rtr device type
                        	**type**\:  :py:class:`Rtr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Rtr>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: xtr
                        
                        	xtr device type
                        	**type**\:  :py:class:`Xtr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Xtr>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PmAgent.ConfigPmAgent.Device.Type.Ntr, self).__init__()

                            self.yang_name = "ntr"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"rtr" : ("rtr", Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Rtr), "xtr" : ("xtr", Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Xtr)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.rtr = None
                            self._children_name_map["rtr"] = "rtr"
                            self._children_yang_names.add("rtr")

                            self.xtr = None
                            self._children_name_map["xtr"] = "xtr"
                            self._children_yang_names.add("xtr")
                            self._segment_path = lambda: "ntr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/device/type/%s" % self._segment_path()


                        class Rtr(Entity):
                            """
                            rtr device type
                            
                            .. attribute:: xtr
                            
                            	xtr device type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-pathmgr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Rtr, self).__init__()

                                self.yang_name = "rtr"
                                self.yang_parent_name = "ntr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.xtr = YLeaf(YType.empty, "xtr")
                                self._segment_path = lambda: "rtr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/device/type/ntr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Rtr, ['xtr'], name, value)


                        class Xtr(Entity):
                            """
                            xtr device type
                            
                            .. attribute:: rtr
                            
                            	rtr device type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-pathmgr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Xtr, self).__init__()

                                self.yang_name = "xtr"
                                self.yang_parent_name = "ntr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.rtr = YLeaf(YType.empty, "rtr")
                                self._segment_path = lambda: "xtr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/device/type/ntr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.PmAgent.ConfigPmAgent.Device.Type.Ntr.Xtr, ['rtr'], name, value)


                    class Rtr(Entity):
                        """
                        rtr device type
                        
                        .. attribute:: ntr
                        
                        	ntr device type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: xtr
                        
                        	xtr device type
                        	**type**\:  :py:class:`Xtr <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Device.Type.Rtr.Xtr>`
                        
                        	**presence node**\: True
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PmAgent.ConfigPmAgent.Device.Type.Rtr, self).__init__()

                            self.yang_name = "rtr"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"xtr" : ("xtr", Native.PmAgent.ConfigPmAgent.Device.Type.Rtr.Xtr)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ntr = YLeaf(YType.empty, "ntr")

                            self.xtr = None
                            self._children_name_map["xtr"] = "xtr"
                            self._children_yang_names.add("xtr")
                            self._segment_path = lambda: "rtr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/device/type/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PmAgent.ConfigPmAgent.Device.Type.Rtr, ['ntr'], name, value)


                        class Xtr(Entity):
                            """
                            xtr device type
                            
                            .. attribute:: ntr
                            
                            	ntr device type
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-pathmgr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.PmAgent.ConfigPmAgent.Device.Type.Rtr.Xtr, self).__init__()

                                self.yang_name = "xtr"
                                self.yang_parent_name = "rtr"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.ntr = YLeaf(YType.empty, "ntr")
                                self._segment_path = lambda: "xtr"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/device/type/rtr/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.PmAgent.ConfigPmAgent.Device.Type.Rtr.Xtr, ['ntr'], name, value)


                    class Xtr(Entity):
                        """
                        xtr device type
                        
                        .. attribute:: ntr
                        
                        	ntr device type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: rtr
                        
                        	rtr device type
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PmAgent.ConfigPmAgent.Device.Type.Xtr, self).__init__()

                            self.yang_name = "xtr"
                            self.yang_parent_name = "type"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.ntr = YLeaf(YType.empty, "ntr")

                            self.rtr = YLeaf(YType.empty, "rtr")
                            self._segment_path = lambda: "xtr"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/device/type/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PmAgent.ConfigPmAgent.Device.Type.Xtr, ['ntr', 'rtr'], name, value)


            class InstanceId(Entity):
                """
                Enter the instance ID
                
                .. attribute:: instance_id_range  <key>
                
                	Specify the instance\-id value
                	**type**\: int
                
                	**range:** 0..65535
                
                .. attribute:: config_pm_agent_instance
                
                	
                	**type**\:  :py:class:`ConfigPmAgentInstance <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance>`
                
                

                """

                _prefix = 'ios-pathmgr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PmAgent.ConfigPmAgent.InstanceId, self).__init__()

                    self.yang_name = "instance-id"
                    self.yang_parent_name = "config-pm-agent"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"config-pm-agent-instance" : ("config_pm_agent_instance", Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance)}
                    self._child_list_classes = {}

                    self.instance_id_range = YLeaf(YType.uint32, "instance_id_range")

                    self.config_pm_agent_instance = Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance()
                    self.config_pm_agent_instance.parent = self
                    self._children_name_map["config_pm_agent_instance"] = "config-pm-agent-instance"
                    self._children_yang_names.add("config-pm-agent-instance")
                    self._segment_path = lambda: "instance-id" + "[instance_id_range='" + self.instance_id_range.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.PmAgent.ConfigPmAgent.InstanceId, ['instance_id_range'], name, value)


                class ConfigPmAgentInstance(Entity):
                    """
                    
                    
                    .. attribute:: enterprise_prefix
                    
                    	Enterprise prefix configuration
                    	**type**\:  :py:class:`EnterprisePrefix <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance, self).__init__()

                        self.yang_name = "config-pm-agent-instance"
                        self.yang_parent_name = "instance-id"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"enterprise-prefix" : ("enterprise_prefix", Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix)}
                        self._child_list_classes = {}

                        self.enterprise_prefix = Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix()
                        self.enterprise_prefix.parent = self
                        self._children_name_map["enterprise_prefix"] = "enterprise-prefix"
                        self._children_yang_names.add("enterprise-prefix")
                        self._segment_path = lambda: "config-pm-agent-instance"


                    class EnterprisePrefix(Entity):
                        """
                        Enterprise prefix configuration
                        
                        .. attribute:: ipv4
                        
                        	IPv4 enterprise prefix\-list
                        	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv4>`
                        
                        .. attribute:: ipv6
                        
                        	IPv6 enterprise prefix\-list
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv6>`
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix, self).__init__()

                            self.yang_name = "enterprise-prefix"
                            self.yang_parent_name = "config-pm-agent-instance"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"ipv4" : ("ipv4", Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv4), "ipv6" : ("ipv6", Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv6)}
                            self._child_list_classes = {}

                            self.ipv4 = Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv4()
                            self.ipv4.parent = self
                            self._children_name_map["ipv4"] = "ipv4"
                            self._children_yang_names.add("ipv4")

                            self.ipv6 = Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv6()
                            self.ipv6.parent = self
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")
                            self._segment_path = lambda: "enterprise-prefix"


                        class Ipv4(Entity):
                            """
                            IPv4 enterprise prefix\-list
                            
                            .. attribute:: prefix_list
                            
                            	Specify prefix\-list with static site targets
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-pathmgr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv4, self).__init__()

                                self.yang_name = "ipv4"
                                self.yang_parent_name = "enterprise-prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix_list = YLeaf(YType.str, "prefix-list")
                                self._segment_path = lambda: "ipv4"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv4, ['prefix_list'], name, value)


                        class Ipv6(Entity):
                            """
                            IPv6 enterprise prefix\-list
                            
                            .. attribute:: prefix_list
                            
                            	Specify prefix\-list with static site targets
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-pathmgr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "enterprise-prefix"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.prefix_list = YLeaf(YType.str, "prefix-list")
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.PmAgent.ConfigPmAgent.InstanceId.ConfigPmAgentInstance.EnterprisePrefix.Ipv6, ['prefix_list'], name, value)


            class Region(Entity):
                """
                Enter the region ID
                
                .. attribute:: id
                
                	Specify the region ID
                	**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Region.Id>`
                
                

                """

                _prefix = 'ios-pathmgr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PmAgent.ConfigPmAgent.Region, self).__init__()

                    self.yang_name = "region"
                    self.yang_parent_name = "config-pm-agent"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"id" : ("id", Native.PmAgent.ConfigPmAgent.Region.Id)}
                    self._child_list_classes = {}

                    self.id = Native.PmAgent.ConfigPmAgent.Region.Id()
                    self.id.parent = self
                    self._children_name_map["id"] = "id"
                    self._children_yang_names.add("id")
                    self._segment_path = lambda: "region"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/%s" % self._segment_path()


                class Id(Entity):
                    """
                    Specify the region ID
                    
                    .. attribute:: region_id_range
                    
                    	
                    	**type**\: list of  		 :py:class:`RegionIdRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Region.Id.RegionIdRange>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PmAgent.ConfigPmAgent.Region.Id, self).__init__()

                        self.yang_name = "id"
                        self.yang_parent_name = "region"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"region_id_range" : ("region_id_range", Native.PmAgent.ConfigPmAgent.Region.Id.RegionIdRange)}

                        self.region_id_range = YList(self)
                        self._segment_path = lambda: "id"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/region/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PmAgent.ConfigPmAgent.Region.Id, [], name, value)


                    class RegionIdRange(Entity):
                        """
                        
                        
                        .. attribute:: region_id_range  <key>
                        
                        	Specify the region\-id value
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: name
                        
                        	Specify the region name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PmAgent.ConfigPmAgent.Region.Id.RegionIdRange, self).__init__()

                            self.yang_name = "region_id_range"
                            self.yang_parent_name = "id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.region_id_range = YLeaf(YType.uint32, "region_id_range")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "region_id_range" + "[region_id_range='" + self.region_id_range.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/region/id/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PmAgent.ConfigPmAgent.Region.Id.RegionIdRange, ['region_id_range', 'name'], name, value)


            class Site(Entity):
                """
                Enter the site configuration
                
                .. attribute:: id
                
                	Specify the site ID
                	**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Site.Id>`
                
                

                """

                _prefix = 'ios-pathmgr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PmAgent.ConfigPmAgent.Site, self).__init__()

                    self.yang_name = "site"
                    self.yang_parent_name = "config-pm-agent"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"id" : ("id", Native.PmAgent.ConfigPmAgent.Site.Id)}
                    self._child_list_classes = {}

                    self.id = Native.PmAgent.ConfigPmAgent.Site.Id()
                    self.id.parent = self
                    self._children_name_map["id"] = "id"
                    self._children_yang_names.add("id")
                    self._segment_path = lambda: "site"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/%s" % self._segment_path()


                class Id(Entity):
                    """
                    Specify the site ID
                    
                    .. attribute:: site_id_range
                    
                    	
                    	**type**\: list of  		 :py:class:`SiteIdRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Site.Id.SiteIdRange>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PmAgent.ConfigPmAgent.Site.Id, self).__init__()

                        self.yang_name = "id"
                        self.yang_parent_name = "site"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"site_id_range" : ("site_id_range", Native.PmAgent.ConfigPmAgent.Site.Id.SiteIdRange)}

                        self.site_id_range = YList(self)
                        self._segment_path = lambda: "id"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/site/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PmAgent.ConfigPmAgent.Site.Id, [], name, value)


                    class SiteIdRange(Entity):
                        """
                        
                        
                        .. attribute:: site_id_range  <key>
                        
                        	Specify the site\-id value
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: name
                        
                        	Specify the site name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PmAgent.ConfigPmAgent.Site.Id.SiteIdRange, self).__init__()

                            self.yang_name = "site_id_range"
                            self.yang_parent_name = "id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.site_id_range = YLeaf(YType.uint32, "site_id_range")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "site_id_range" + "[site_id_range='" + self.site_id_range.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/site/id/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PmAgent.ConfigPmAgent.Site.Id.SiteIdRange, ['site_id_range', 'name'], name, value)


            class Tenant(Entity):
                """
                enter the tenant configuration
                
                .. attribute:: id
                
                	specify the tenant id
                	**type**\:  :py:class:`Id <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Tenant.Id>`
                
                

                """

                _prefix = 'ios-pathmgr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PmAgent.ConfigPmAgent.Tenant, self).__init__()

                    self.yang_name = "tenant"
                    self.yang_parent_name = "config-pm-agent"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"id" : ("id", Native.PmAgent.ConfigPmAgent.Tenant.Id)}
                    self._child_list_classes = {}

                    self.id = Native.PmAgent.ConfigPmAgent.Tenant.Id()
                    self.id.parent = self
                    self._children_name_map["id"] = "id"
                    self._children_yang_names.add("id")
                    self._segment_path = lambda: "tenant"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/%s" % self._segment_path()


                class Id(Entity):
                    """
                    specify the tenant id
                    
                    .. attribute:: tenant_id_range
                    
                    	
                    	**type**\: list of  		 :py:class:`TenantIdRange <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Tenant.Id.TenantIdRange>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PmAgent.ConfigPmAgent.Tenant.Id, self).__init__()

                        self.yang_name = "id"
                        self.yang_parent_name = "tenant"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"tenant_id_range" : ("tenant_id_range", Native.PmAgent.ConfigPmAgent.Tenant.Id.TenantIdRange)}

                        self.tenant_id_range = YList(self)
                        self._segment_path = lambda: "id"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/tenant/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PmAgent.ConfigPmAgent.Tenant.Id, [], name, value)


                    class TenantIdRange(Entity):
                        """
                        
                        
                        .. attribute:: tenant_id_range  <key>
                        
                        	specify the tenant\-id value
                        	**type**\: int
                        
                        	**range:** 1..4294967295
                        
                        .. attribute:: name
                        
                        	specify the tenant name
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PmAgent.ConfigPmAgent.Tenant.Id.TenantIdRange, self).__init__()

                            self.yang_name = "tenant_id_range"
                            self.yang_parent_name = "id"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.tenant_id_range = YLeaf(YType.uint32, "tenant_id_range")

                            self.name = YLeaf(YType.str, "name")
                            self._segment_path = lambda: "tenant_id_range" + "[tenant_id_range='" + self.tenant_id_range.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/tenant/id/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PmAgent.ConfigPmAgent.Tenant.Id.TenantIdRange, ['tenant_id_range', 'name'], name, value)


            class Pmcs(Entity):
                """
                Enter the pmcs configuration
                
                .. attribute:: ipv4
                
                	Enter the IPv4 address
                	**type**\:  :py:class:`Ipv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4>`
                
                .. attribute:: ipv6
                
                	Enter the IPv6 address
                	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6>`
                
                

                """

                _prefix = 'ios-pathmgr'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.PmAgent.ConfigPmAgent.Pmcs, self).__init__()

                    self.yang_name = "pmcs"
                    self.yang_parent_name = "config-pm-agent"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"ipv4" : ("ipv4", Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4), "ipv6" : ("ipv6", Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6)}
                    self._child_list_classes = {}

                    self.ipv4 = Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4()
                    self.ipv4.parent = self
                    self._children_name_map["ipv4"] = "ipv4"
                    self._children_yang_names.add("ipv4")

                    self.ipv6 = Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6()
                    self.ipv6.parent = self
                    self._children_name_map["ipv6"] = "ipv6"
                    self._children_yang_names.add("ipv6")
                    self._segment_path = lambda: "pmcs"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/%s" % self._segment_path()


                class Ipv4(Entity):
                    """
                    Enter the IPv4 address
                    
                    .. attribute:: pmcs_ipv4
                    
                    	
                    	**type**\: list of  		 :py:class:`PmcsIpv4 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.PmcsIpv4>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4, self).__init__()

                        self.yang_name = "ipv4"
                        self.yang_parent_name = "pmcs"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"pmcs_ipv4" : ("pmcs_ipv4", Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.PmcsIpv4)}

                        self.pmcs_ipv4 = YList(self)
                        self._segment_path = lambda: "ipv4"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/pmcs/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4, [], name, value)


                    class PmcsIpv4(Entity):
                        """
                        
                        
                        .. attribute:: ipv4  <key>
                        
                        	IPv4 pmcs address e.g 10.10.0.0
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	set ipv4/ipv6 address as backup
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv6
                        
                        	Enter the IPv6 address
                        	**type**\:  :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.PmcsIpv4.Ipv6>`
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.PmcsIpv4, self).__init__()

                            self.yang_name = "pmcs_ipv4"
                            self.yang_parent_name = "ipv4"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"ipv6" : ("ipv6", Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.PmcsIpv4.Ipv6)}
                            self._child_list_classes = {}

                            self.ipv4 = YLeaf(YType.str, "ipv4")

                            self.backup = YLeaf(YType.empty, "backup")

                            self.ipv6 = Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.PmcsIpv4.Ipv6()
                            self.ipv6.parent = self
                            self._children_name_map["ipv6"] = "ipv6"
                            self._children_yang_names.add("ipv6")
                            self._segment_path = lambda: "pmcs_ipv4" + "[ipv4='" + self.ipv4.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/pmcs/ipv4/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.PmcsIpv4, ['ipv4', 'backup'], name, value)


                        class Ipv6(Entity):
                            """
                            Enter the IPv6 address
                            
                            .. attribute:: pmcs_ipv6
                            
                            	
                            	**type**\: list of  		 :py:class:`PmcsIpv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.PmcsIpv4.Ipv6.PmcsIpv6>`
                            
                            

                            """

                            _prefix = 'ios-pathmgr'
                            _revision = '2017-02-07'

                            def __init__(self):
                                super(Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.PmcsIpv4.Ipv6, self).__init__()

                                self.yang_name = "ipv6"
                                self.yang_parent_name = "pmcs_ipv4"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {"pmcs_ipv6" : ("pmcs_ipv6", Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.PmcsIpv4.Ipv6.PmcsIpv6)}

                                self.pmcs_ipv6 = YList(self)
                                self._segment_path = lambda: "ipv6"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.PmcsIpv4.Ipv6, [], name, value)


                            class PmcsIpv6(Entity):
                                """
                                
                                
                                .. attribute:: ipv6  <key>
                                
                                	IPv6 pmcs Addr, e.g abcd\:1234
                                	**type**\: str
                                
                                	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                                
                                .. attribute:: backup
                                
                                	set ipv4/ipv6 address as backup
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-pathmgr'
                                _revision = '2017-02-07'

                                def __init__(self):
                                    super(Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.PmcsIpv4.Ipv6.PmcsIpv6, self).__init__()

                                    self.yang_name = "pmcs_ipv6"
                                    self.yang_parent_name = "ipv6"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.ipv6 = YLeaf(YType.str, "ipv6")

                                    self.backup = YLeaf(YType.empty, "backup")
                                    self._segment_path = lambda: "pmcs_ipv6" + "[ipv6='" + self.ipv6.get() + "']"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.PmAgent.ConfigPmAgent.Pmcs.Ipv4.PmcsIpv4.Ipv6.PmcsIpv6, ['ipv6', 'backup'], name, value)


                class Ipv6(Entity):
                    """
                    Enter the IPv6 address
                    
                    .. attribute:: ipv6
                    
                    	
                    	**type**\: list of  		 :py:class:`Ipv6 <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6.Ipv6>`
                    
                    

                    """

                    _prefix = 'ios-pathmgr'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6, self).__init__()

                        self.yang_name = "ipv6"
                        self.yang_parent_name = "pmcs"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"ipv6" : ("ipv6", Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6.Ipv6)}

                        self.ipv6 = YList(self)
                        self._segment_path = lambda: "ipv6"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/pmcs/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6, [], name, value)


                    class Ipv6(Entity):
                        """
                        
                        
                        .. attribute:: ipv6  <key>
                        
                        	IPv6 pmcs Addr, e.g abcd\:1234
                        	**type**\: str
                        
                        	**pattern:** ((\:\|[0\-9a\-fA\-F]{0,4})\:)([0\-9a\-fA\-F]{0,4}\:){0,5}((([0\-9a\-fA\-F]{0,4}\:)?(\:\|[0\-9a\-fA\-F]{0,4}))\|(((25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])\\.){3}(25[0\-5]\|2[0\-4][0\-9]\|[01]?[0\-9]?[0\-9])))(%[\\p{N}\\p{L}]+)?
                        
                        .. attribute:: backup
                        
                        	set ipv4/ipv6 address as backup
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: ipv4
                        
                        	IPv4 pmcs address e.g 10.10.0.0
                        	**type**\: str
                        
                        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                        
                        

                        """

                        _prefix = 'ios-pathmgr'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6.Ipv6, self).__init__()

                            self.yang_name = "ipv6"
                            self.yang_parent_name = "ipv6"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.ipv6 = YLeaf(YType.str, "ipv6")

                            self.backup = YLeaf(YType.empty, "backup")

                            self.ipv4 = YLeaf(YType.str, "ipv4")
                            self._segment_path = lambda: "ipv6" + "[ipv6='" + self.ipv6.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-pathmgr:pm-agent/config-pm-agent/pmcs/ipv6/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.PmAgent.ConfigPmAgent.Pmcs.Ipv6.Ipv6, ['ipv6', 'backup', 'ipv4'], name, value)


    class Power(Entity):
        """
        Power configure
        
        .. attribute:: inline
        
        	Inline power configuration
        	**type**\:  :py:class:`Inline <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Power.Inline>`
        
        	**presence node**\: True
        
        .. attribute:: redundancy_mode
        
        	set power supply redundancy mode
        	**type**\:  :py:class:`RedundancyMode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Power.RedundancyMode>`
        
        .. attribute:: max_min
        
        	
        	**type**\:  :py:class:`MaxMin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Power.MaxMin>`
        
        .. attribute:: inputs
        
        	
        	**type**\: int
        
        	**range:** 0..255
        
        

        """

        _prefix = 'ios-power'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.Power, self).__init__()

            self.yang_name = "power"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"inline" : ("inline", Native.Power.Inline)}
            self._child_list_classes = {}

            self.redundancy_mode = YLeaf(YType.enumeration, "redundancy-mode")

            self.max_min = YLeaf(YType.enumeration, "max-min")

            self.inputs = YLeaf(YType.uint8, "inputs")

            self.inline = None
            self._children_name_map["inline"] = "inline"
            self._children_yang_names.add("inline")
            self._segment_path = lambda: "Cisco-IOS-XE-power:power"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Power, ['redundancy_mode', 'max_min', 'inputs'], name, value)

        class MaxMin(Enum):
            """
            MaxMin

            .. data:: max = 0

            """

            max = Enum.YLeaf(0, "max")


        class RedundancyMode(Enum):
            """
            RedundancyMode

            set power supply redundancy mode

            .. data:: combined = 0

            .. data:: redundant = 1

            """

            combined = Enum.YLeaf(0, "combined")

            redundant = Enum.YLeaf(1, "redundant")



        class Inline(Entity):
            """
            Inline power configuration
            
            .. attribute:: consumption
            
            	Inline device power consumption
            	**type**\:  :py:class:`Consumption <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Power.Inline.Consumption>`
            
            .. attribute:: logging
            
            	Inline power logging messages
            	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Power.Inline.Logging>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-power'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Power.Inline, self).__init__()

                self.yang_name = "inline"
                self.yang_parent_name = "power"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"consumption" : ("consumption", Native.Power.Inline.Consumption), "logging" : ("logging", Native.Power.Inline.Logging)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.consumption = Native.Power.Inline.Consumption()
                self.consumption.parent = self
                self._children_name_map["consumption"] = "consumption"
                self._children_yang_names.add("consumption")

                self.logging = Native.Power.Inline.Logging()
                self.logging.parent = self
                self._children_name_map["logging"] = "logging"
                self._children_yang_names.add("logging")
                self._segment_path = lambda: "inline"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-power:power/%s" % self._segment_path()


            class Consumption(Entity):
                """
                Inline device power consumption
                
                .. attribute:: default
                
                	Inline device power consumption
                	**type**\: int
                
                	**range:** 4000..15400
                
                

                """

                _prefix = 'ios-power'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Power.Inline.Consumption, self).__init__()

                    self.yang_name = "consumption"
                    self.yang_parent_name = "inline"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.default = YLeaf(YType.uint16, "default")
                    self._segment_path = lambda: "consumption"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-power:power/inline/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Power.Inline.Consumption, ['default'], name, value)


            class Logging(Entity):
                """
                Inline power logging messages
                
                .. attribute:: global_
                
                	Enable global inline power logging messages
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-power'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Power.Inline.Logging, self).__init__()

                    self.yang_name = "logging"
                    self.yang_parent_name = "inline"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.global_ = YLeaf(YType.empty, "global")
                    self._segment_path = lambda: "logging"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-power:power/inline/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Power.Inline.Logging, ['global_'], name, value)


    class NamedOrderingRouteMap(Entity):
        """
        named ordering route\-map enable
        
        .. attribute:: enable
        
        	named ordering enable
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios-route-map'
        _revision = '2017-06-07'

        def __init__(self):
            super(Native.NamedOrderingRouteMap, self).__init__()

            self.yang_name = "named-ordering-route-map"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.enable = YLeaf(YType.empty, "enable")
            self._segment_path = lambda: "Cisco-IOS-XE-route-map:named-ordering-route-map"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.NamedOrderingRouteMap, ['enable'], name, value)


    class AccessSession(Entity):
        """
        Access Sesion Global Configuration Commands
        
        .. attribute:: attributes
        
        	Attributes Filter List Configuration
        	**type**\:  :py:class:`Attributes <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessSession.Attributes>`
        
        .. attribute:: mac_move
        
        	Set required action when a MAC move is detected
        	**type**\:  :py:class:`MacMove <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessSession.MacMove>`
        
        

        """

        _prefix = 'ios-sanet'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.AccessSession, self).__init__()

            self.yang_name = "access-session"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"attributes" : ("attributes", Native.AccessSession.Attributes), "mac-move" : ("mac_move", Native.AccessSession.MacMove)}
            self._child_list_classes = {}

            self.attributes = Native.AccessSession.Attributes()
            self.attributes.parent = self
            self._children_name_map["attributes"] = "attributes"
            self._children_yang_names.add("attributes")

            self.mac_move = Native.AccessSession.MacMove()
            self.mac_move.parent = self
            self._children_name_map["mac_move"] = "mac-move"
            self._children_yang_names.add("mac-move")
            self._segment_path = lambda: "Cisco-IOS-XE-sanet:access-session"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Attributes(Entity):
            """
            Attributes Filter List Configuration
            
            .. attribute:: filter_list
            
            	Filter List Configuration
            	**type**\:  :py:class:`FilterList <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessSession.Attributes.FilterList>`
            
            

            """

            _prefix = 'ios-sanet'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.AccessSession.Attributes, self).__init__()

                self.yang_name = "attributes"
                self.yang_parent_name = "access-session"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"filter-list" : ("filter_list", Native.AccessSession.Attributes.FilterList)}
                self._child_list_classes = {}

                self.filter_list = Native.AccessSession.Attributes.FilterList()
                self.filter_list.parent = self
                self._children_name_map["filter_list"] = "filter-list"
                self._children_yang_names.add("filter-list")
                self._segment_path = lambda: "attributes"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:access-session/%s" % self._segment_path()


            class FilterList(Entity):
                """
                Filter List Configuration
                
                .. attribute:: list
                
                	Filter List
                	**type**\: list of  		 :py:class:`List <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.AccessSession.Attributes.FilterList.List>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.AccessSession.Attributes.FilterList, self).__init__()

                    self.yang_name = "filter-list"
                    self.yang_parent_name = "attributes"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {"list" : ("list", Native.AccessSession.Attributes.FilterList.List)}

                    self.list = YList(self)
                    self._segment_path = lambda: "filter-list"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:access-session/attributes/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.AccessSession.Attributes.FilterList, [], name, value)


                class List(Entity):
                    """
                    Filter List
                    
                    .. attribute:: name  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: cdp
                    
                    	Include CDP Protocl attributes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: dhcp
                    
                    	Include DHCP Protocl attributes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: lldp
                    
                    	Include LLDP Protocl attributes
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sanet'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.AccessSession.Attributes.FilterList.List, self).__init__()

                        self.yang_name = "list"
                        self.yang_parent_name = "filter-list"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.name = YLeaf(YType.str, "name")

                        self.cdp = YLeaf(YType.empty, "cdp")

                        self.dhcp = YLeaf(YType.empty, "dhcp")

                        self.lldp = YLeaf(YType.empty, "lldp")
                        self._segment_path = lambda: "list" + "[name='" + self.name.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:access-session/attributes/filter-list/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.AccessSession.Attributes.FilterList.List, ['name', 'cdp', 'dhcp', 'lldp'], name, value)


        class MacMove(Entity):
            """
            Set required action when a MAC move is detected
            
            .. attribute:: deny
            
            	DENY MAC moves (clears existing session)
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-sanet'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.AccessSession.MacMove, self).__init__()

                self.yang_name = "mac-move"
                self.yang_parent_name = "access-session"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.deny = YLeaf(YType.empty, "deny")
                self._segment_path = lambda: "mac-move"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:access-session/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.AccessSession.MacMove, ['deny'], name, value)


    class Authentication(Entity):
        """
        Auth Manager Global Configuration Commands
        
        .. attribute:: command
        
        	Allow the following CoA commands to be ignored by the switch
        	**type**\:  :py:class:`Command <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication.Command>`
        
        .. attribute:: critical
        
        	Set Critical Authentication parameters
        	**type**\:  :py:class:`Critical <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication.Critical>`
        
        .. attribute:: mac_move
        
        	Set required action when a MAC move is detected
        	**type**\:  :py:class:`MacMove <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication.MacMove>`
        
        

        """

        _prefix = 'ios-sanet'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.Authentication, self).__init__()

            self.yang_name = "authentication"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"command" : ("command", Native.Authentication.Command), "critical" : ("critical", Native.Authentication.Critical), "mac-move" : ("mac_move", Native.Authentication.MacMove)}
            self._child_list_classes = {}

            self.command = Native.Authentication.Command()
            self.command.parent = self
            self._children_name_map["command"] = "command"
            self._children_yang_names.add("command")

            self.critical = Native.Authentication.Critical()
            self.critical.parent = self
            self._children_name_map["critical"] = "critical"
            self._children_yang_names.add("critical")

            self.mac_move = Native.Authentication.MacMove()
            self.mac_move.parent = self
            self._children_name_map["mac_move"] = "mac-move"
            self._children_yang_names.add("mac-move")
            self._segment_path = lambda: "Cisco-IOS-XE-sanet:authentication"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Command(Entity):
            """
            Allow the following CoA commands to be ignored by the switch
            
            .. attribute:: bounce_port
            
            	CoA bounce\-port command
            	**type**\:  :py:class:`BouncePort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication.Command.BouncePort>`
            
            .. attribute:: disable_port
            
            	CoA disable\-port command
            	**type**\:  :py:class:`DisablePort <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication.Command.DisablePort>`
            
            

            """

            _prefix = 'ios-sanet'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Authentication.Command, self).__init__()

                self.yang_name = "command"
                self.yang_parent_name = "authentication"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"bounce-port" : ("bounce_port", Native.Authentication.Command.BouncePort), "disable-port" : ("disable_port", Native.Authentication.Command.DisablePort)}
                self._child_list_classes = {}

                self.bounce_port = Native.Authentication.Command.BouncePort()
                self.bounce_port.parent = self
                self._children_name_map["bounce_port"] = "bounce-port"
                self._children_yang_names.add("bounce-port")

                self.disable_port = Native.Authentication.Command.DisablePort()
                self.disable_port.parent = self
                self._children_name_map["disable_port"] = "disable-port"
                self._children_yang_names.add("disable-port")
                self._segment_path = lambda: "command"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:authentication/%s" % self._segment_path()


            class BouncePort(Entity):
                """
                CoA bounce\-port command
                
                .. attribute:: ignore
                
                	ignore disable\-port CoA command
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Authentication.Command.BouncePort, self).__init__()

                    self.yang_name = "bounce-port"
                    self.yang_parent_name = "command"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ignore = YLeaf(YType.empty, "ignore")
                    self._segment_path = lambda: "bounce-port"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:authentication/command/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Authentication.Command.BouncePort, ['ignore'], name, value)


            class DisablePort(Entity):
                """
                CoA disable\-port command
                
                .. attribute:: ignore
                
                	
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Authentication.Command.DisablePort, self).__init__()

                    self.yang_name = "disable-port"
                    self.yang_parent_name = "command"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.ignore = YLeaf(YType.empty, "ignore")
                    self._segment_path = lambda: "disable-port"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:authentication/command/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Authentication.Command.DisablePort, ['ignore'], name, value)


        class Critical(Entity):
            """
            Set Critical Authentication parameters
            
            .. attribute:: recovery
            
            	Set Critical Authentication Recovery parameters
            	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Authentication.Critical.Recovery>`
            
            

            """

            _prefix = 'ios-sanet'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Authentication.Critical, self).__init__()

                self.yang_name = "critical"
                self.yang_parent_name = "authentication"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"recovery" : ("recovery", Native.Authentication.Critical.Recovery)}
                self._child_list_classes = {}

                self.recovery = Native.Authentication.Critical.Recovery()
                self.recovery.parent = self
                self._children_name_map["recovery"] = "recovery"
                self._children_yang_names.add("recovery")
                self._segment_path = lambda: "critical"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:authentication/%s" % self._segment_path()


            class Recovery(Entity):
                """
                Set Critical Authentication Recovery parameters
                
                .. attribute:: delay
                
                	Set Critical Authentication Recovery Delay period
                	**type**\: int
                
                	**range:** 1..10000
                
                

                """

                _prefix = 'ios-sanet'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Authentication.Critical.Recovery, self).__init__()

                    self.yang_name = "recovery"
                    self.yang_parent_name = "critical"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.delay = YLeaf(YType.uint32, "delay")
                    self._segment_path = lambda: "recovery"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:authentication/critical/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Authentication.Critical.Recovery, ['delay'], name, value)


        class MacMove(Entity):
            """
            Set required action when a MAC move is detected
            
            .. attribute:: permit
            
            	PERMIT MAC moves (clears existing session)
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-sanet'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Authentication.MacMove, self).__init__()

                self.yang_name = "mac-move"
                self.yang_parent_name = "authentication"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.permit = YLeaf(YType.empty, "permit")
                self._segment_path = lambda: "mac-move"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-sanet:authentication/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Authentication.MacMove, ['permit'], name, value)


    class ServiceList(Entity):
        """
        Enter the service list
        
        .. attribute:: mdns_sd
        
        	Service\-list for mdns\-sd
        	**type**\: list of  		 :py:class:`MdnsSd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd>`
        
        

        """

        _prefix = 'ios-sd'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.ServiceList, self).__init__()

            self.yang_name = "service-list"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"mdns-sd" : ("mdns_sd", Native.ServiceList.MdnsSd)}

            self.mdns_sd = YList(self)
            self._segment_path = lambda: "Cisco-IOS-XE-service-discovery:service-list"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.ServiceList, [], name, value)


        class MdnsSd(Entity):
            """
            Service\-list for mdns\-sd
            
            .. attribute:: service_list_name  <key>
            
            	service\-list name
            	**type**\: str
            
            .. attribute:: deny
            
            	Specify packets to reject
            	**type**\: list of  		 :py:class:`Deny <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Deny>`
            
            .. attribute:: permit
            
            	Specify packets to forward
            	**type**\: list of  		 :py:class:`Permit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Permit>`
            
            .. attribute:: query
            
            	Service\-list Query for mdns\-sd
            	**type**\:  :py:class:`Query <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Query>`
            
            

            """

            _prefix = 'ios-sd'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.ServiceList.MdnsSd, self).__init__()

                self.yang_name = "mdns-sd"
                self.yang_parent_name = "service-list"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"query" : ("query", Native.ServiceList.MdnsSd.Query)}
                self._child_list_classes = {"deny" : ("deny", Native.ServiceList.MdnsSd.Deny), "permit" : ("permit", Native.ServiceList.MdnsSd.Permit)}

                self.service_list_name = YLeaf(YType.str, "service-list-name")

                self.query = Native.ServiceList.MdnsSd.Query()
                self.query.parent = self
                self._children_name_map["query"] = "query"
                self._children_yang_names.add("query")

                self.deny = YList(self)
                self.permit = YList(self)
                self._segment_path = lambda: "mdns-sd" + "[service-list-name='" + self.service_list_name.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-service-discovery:service-list/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ServiceList.MdnsSd, ['service_list_name'], name, value)


            class Deny(Entity):
                """
                Specify packets to reject
                
                .. attribute:: deny_pack  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..100
                
                .. attribute:: match
                
                	Configure parameters for service\-list name
                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Deny.Match>`
                
                

                """

                _prefix = 'ios-sd'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ServiceList.MdnsSd.Deny, self).__init__()

                    self.yang_name = "deny"
                    self.yang_parent_name = "mdns-sd"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"match" : ("match", Native.ServiceList.MdnsSd.Deny.Match)}
                    self._child_list_classes = {}

                    self.deny_pack = YLeaf(YType.uint8, "deny-pack")

                    self.match = Native.ServiceList.MdnsSd.Deny.Match()
                    self.match.parent = self
                    self._children_name_map["match"] = "match"
                    self._children_yang_names.add("match")
                    self._segment_path = lambda: "deny" + "[deny-pack='" + self.deny_pack.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ServiceList.MdnsSd.Deny, ['deny_pack'], name, value)


                class Match(Entity):
                    """
                    Configure parameters for service\-list name
                    
                    .. attribute:: learnt_interface
                    
                    	match the interface where service is learnt
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: location
                    
                    	match location information
                    	**type**\:  :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Deny.Match.Location>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_type
                    
                    	To set the message type
                    	**type**\:  :py:class:`MessageType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Deny.Match.MessageType>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: service_instance
                    
                    	To set the Service Instance
                    	**type**\: str
                    
                    .. attribute:: service_type
                    
                    	match mDNS service type string
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ServiceList.MdnsSd.Deny.Match, self).__init__()

                        self.yang_name = "match"
                        self.yang_parent_name = "deny"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"location" : ("location", Native.ServiceList.MdnsSd.Deny.Match.Location), "message-type" : ("message_type", Native.ServiceList.MdnsSd.Deny.Match.MessageType)}
                        self._child_list_classes = {}

                        self.learnt_interface = YLeaf(YType.empty, "learnt-interface")

                        self.service_instance = YLeaf(YType.str, "service-instance")

                        self.service_type = YLeaf(YType.str, "service-type")

                        self.location = None
                        self._children_name_map["location"] = "location"
                        self._children_yang_names.add("location")

                        self.message_type = None
                        self._children_name_map["message_type"] = "message-type"
                        self._children_yang_names.add("message-type")
                        self._segment_path = lambda: "match"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ServiceList.MdnsSd.Deny.Match, ['learnt_interface', 'service_instance', 'service_type'], name, value)


                    class Location(Entity):
                        """
                        match location information
                        
                        .. attribute:: civic
                        
                        	Civic location
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.ServiceList.MdnsSd.Deny.Match.Location, self).__init__()

                            self.yang_name = "location"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.civic = YLeaf(YType.str, "civic")
                            self._segment_path = lambda: "location"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.ServiceList.MdnsSd.Deny.Match.Location, ['civic'], name, value)


                    class MessageType(Entity):
                        """
                        To set the message type
                        
                        .. attribute:: announcement
                        
                        	Match Announcement/Responses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: query
                        
                        	Match Query
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: any
                        
                        	Match Any
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.ServiceList.MdnsSd.Deny.Match.MessageType, self).__init__()

                            self.yang_name = "message-type"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.announcement = YLeaf(YType.empty, "announcement")

                            self.query = YLeaf(YType.empty, "query")

                            self.any = YLeaf(YType.empty, "any")
                            self._segment_path = lambda: "message-type"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.ServiceList.MdnsSd.Deny.Match.MessageType, ['announcement', 'query', 'any'], name, value)


            class Permit(Entity):
                """
                Specify packets to forward
                
                .. attribute:: deny_pack  <key>
                
                	
                	**type**\: int
                
                	**range:** 0..100
                
                .. attribute:: match
                
                	Configure parameters for service\-list name
                	**type**\:  :py:class:`Match <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Permit.Match>`
                
                

                """

                _prefix = 'ios-sd'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ServiceList.MdnsSd.Permit, self).__init__()

                    self.yang_name = "permit"
                    self.yang_parent_name = "mdns-sd"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"match" : ("match", Native.ServiceList.MdnsSd.Permit.Match)}
                    self._child_list_classes = {}

                    self.deny_pack = YLeaf(YType.uint8, "deny-pack")

                    self.match = Native.ServiceList.MdnsSd.Permit.Match()
                    self.match.parent = self
                    self._children_name_map["match"] = "match"
                    self._children_yang_names.add("match")
                    self._segment_path = lambda: "permit" + "[deny-pack='" + self.deny_pack.get() + "']"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ServiceList.MdnsSd.Permit, ['deny_pack'], name, value)


                class Match(Entity):
                    """
                    Configure parameters for service\-list name
                    
                    .. attribute:: learnt_interface
                    
                    	match the interface where service is learnt
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: location
                    
                    	match location information
                    	**type**\:  :py:class:`Location <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Permit.Match.Location>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: message_type
                    
                    	To set the message type
                    	**type**\:  :py:class:`MessageType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceList.MdnsSd.Permit.Match.MessageType>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: service_instance
                    
                    	To set the Service Instance
                    	**type**\: str
                    
                    .. attribute:: service_type
                    
                    	match mDNS service type string
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sd'
                    _revision = '2017-02-07'

                    def __init__(self):
                        super(Native.ServiceList.MdnsSd.Permit.Match, self).__init__()

                        self.yang_name = "match"
                        self.yang_parent_name = "permit"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"location" : ("location", Native.ServiceList.MdnsSd.Permit.Match.Location), "message-type" : ("message_type", Native.ServiceList.MdnsSd.Permit.Match.MessageType)}
                        self._child_list_classes = {}

                        self.learnt_interface = YLeaf(YType.empty, "learnt-interface")

                        self.service_instance = YLeaf(YType.str, "service-instance")

                        self.service_type = YLeaf(YType.str, "service-type")

                        self.location = None
                        self._children_name_map["location"] = "location"
                        self._children_yang_names.add("location")

                        self.message_type = None
                        self._children_name_map["message_type"] = "message-type"
                        self._children_yang_names.add("message-type")
                        self._segment_path = lambda: "match"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.ServiceList.MdnsSd.Permit.Match, ['learnt_interface', 'service_instance', 'service_type'], name, value)


                    class Location(Entity):
                        """
                        match location information
                        
                        .. attribute:: civic
                        
                        	Civic location
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.ServiceList.MdnsSd.Permit.Match.Location, self).__init__()

                            self.yang_name = "location"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.civic = YLeaf(YType.str, "civic")
                            self._segment_path = lambda: "location"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.ServiceList.MdnsSd.Permit.Match.Location, ['civic'], name, value)


                    class MessageType(Entity):
                        """
                        To set the message type
                        
                        .. attribute:: announcement
                        
                        	Match Announcement/Responses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: query
                        
                        	Match Query
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: any
                        
                        	Match Any
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sd'
                        _revision = '2017-02-07'

                        def __init__(self):
                            super(Native.ServiceList.MdnsSd.Permit.Match.MessageType, self).__init__()

                            self.yang_name = "message-type"
                            self.yang_parent_name = "match"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.announcement = YLeaf(YType.empty, "announcement")

                            self.query = YLeaf(YType.empty, "query")

                            self.any = YLeaf(YType.empty, "any")
                            self._segment_path = lambda: "message-type"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.ServiceList.MdnsSd.Permit.Match.MessageType, ['announcement', 'query', 'any'], name, value)


            class Query(Entity):
                """
                Service\-list Query for mdns\-sd
                
                .. attribute:: service_type
                
                	Configure periodicity for each service\-type
                	**type**\: str
                
                

                """

                _prefix = 'ios-sd'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.ServiceList.MdnsSd.Query, self).__init__()

                    self.yang_name = "query"
                    self.yang_parent_name = "mdns-sd"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.service_type = YLeaf(YType.str, "service-type")
                    self._segment_path = lambda: "query"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.ServiceList.MdnsSd.Query, ['service_type'], name, value)


    class ServiceRouting(Entity):
        """
        Configure service\-routing
        
        .. attribute:: capabilities_manager
        
        	Service\-Routing Capabilities Manager configuration
        	**type**\: bool
        
        .. attribute:: mdns_sd
        
        	Service\-Routing MDNS configuration
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios-sr'
        _revision = '2017-05-09'

        def __init__(self):
            super(Native.ServiceRouting, self).__init__()

            self.yang_name = "service-routing"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.capabilities_manager = YLeaf(YType.boolean, "capabilities-manager")

            self.mdns_sd = YLeaf(YType.empty, "mdns-sd")
            self._segment_path = lambda: "Cisco-IOS-XE-service-routing:service-routing"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.ServiceRouting, ['capabilities_manager', 'mdns_sd'], name, value)


    class NetworkPolicy(Entity):
        """
        Network Policy
        
        .. attribute:: profile
        
        	Network Policy Profile
        	**type**\: int
        
        	**range:** 1..4294967295
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-03-31'

        def __init__(self):
            super(Native.NetworkPolicy, self).__init__()

            self.yang_name = "network-policy"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.profile = YLeaf(YType.uint32, "profile")
            self._segment_path = lambda: "Cisco-IOS-XE-switch:network-policy"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.NetworkPolicy, ['profile'], name, value)


    class Energywise(Entity):
        """
        EnergyWise Global Configuration Commands
        
        .. attribute:: domain
        
        	Set the EnergyWise domain this entity should join
        	**type**\: list of  		 :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise.Domain>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-03-31'

        def __init__(self):
            super(Native.Energywise, self).__init__()

            self.yang_name = "energywise"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"domain" : ("domain", Native.Energywise.Domain)}

            self.domain = YList(self)
            self._segment_path = lambda: "Cisco-IOS-XE-switch:energywise"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Energywise, [], name, value)


        class Domain(Entity):
            """
            Set the EnergyWise domain this entity should join
            
            .. attribute:: word  <key>
            
            	
            	**type**\: str
            
            .. attribute:: security
            
            	Set security parameters for this EnergyWise domain
            	**type**\:  :py:class:`Security <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise.Domain.Security>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.Energywise.Domain, self).__init__()

                self.yang_name = "domain"
                self.yang_parent_name = "energywise"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"security" : ("security", Native.Energywise.Domain.Security)}
                self._child_list_classes = {}

                self.word = YLeaf(YType.str, "word")

                self.security = Native.Energywise.Domain.Security()
                self.security.parent = self
                self._children_name_map["security"] = "security"
                self._children_yang_names.add("security")
                self._segment_path = lambda: "domain" + "[word='" + self.word.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:energywise/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Energywise.Domain, ['word'], name, value)


            class Security(Entity):
                """
                Set security parameters for this EnergyWise domain
                
                .. attribute:: shared_secret
                
                	Set the shared secret for this EnergyWise domain
                	**type**\:  :py:class:`SharedSecret <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise.Domain.Security.SharedSecret>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Energywise.Domain.Security, self).__init__()

                    self.yang_name = "security"
                    self.yang_parent_name = "domain"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"shared-secret" : ("shared_secret", Native.Energywise.Domain.Security.SharedSecret)}
                    self._child_list_classes = {}

                    self.shared_secret = Native.Energywise.Domain.Security.SharedSecret()
                    self.shared_secret.parent = self
                    self._children_name_map["shared_secret"] = "shared-secret"
                    self._children_yang_names.add("shared-secret")
                    self._segment_path = lambda: "security"


                class SharedSecret(Entity):
                    """
                    Set the shared secret for this EnergyWise domain
                    
                    .. attribute:: zero
                    
                    	Specifies an UNENCRYPTED shared secret for the domain will follow
                    	**type**\: list of  		 :py:class:`Zero <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise.Domain.Security.SharedSecret.Zero>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.Energywise.Domain.Security.SharedSecret, self).__init__()

                        self.yang_name = "shared-secret"
                        self.yang_parent_name = "security"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {"zero" : ("zero", Native.Energywise.Domain.Security.SharedSecret.Zero)}

                        self.zero = YList(self)
                        self._segment_path = lambda: "shared-secret"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.Energywise.Domain.Security.SharedSecret, [], name, value)


                    class Zero(Entity):
                        """
                        Specifies an UNENCRYPTED shared secret for the domain will follow
                        
                        .. attribute:: word  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: protocol
                        
                        	Specify a communication protocol to use to communicate with the EnergyWise domain
                        	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.Energywise.Domain.Security.SharedSecret.Zero, self).__init__()

                            self.yang_name = "zero"
                            self.yang_parent_name = "shared-secret"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {"protocol" : ("protocol", Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol)}
                            self._child_list_classes = {}

                            self.word = YLeaf(YType.str, "word")

                            self.protocol = Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol()
                            self.protocol.parent = self
                            self._children_name_map["protocol"] = "protocol"
                            self._children_yang_names.add("protocol")
                            self._segment_path = lambda: "zero" + "[word='" + self.word.get() + "']"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.Energywise.Domain.Security.SharedSecret.Zero, ['word'], name, value)


                        class Protocol(Entity):
                            """
                            Specify a communication protocol to use to communicate with the EnergyWise domain
                            
                            .. attribute:: udp
                            
                            	UDP protocol
                            	**type**\:  :py:class:`Udp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol.Udp>`
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol, self).__init__()

                                self.yang_name = "protocol"
                                self.yang_parent_name = "zero"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"udp" : ("udp", Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol.Udp)}
                                self._child_list_classes = {}

                                self.udp = Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol.Udp()
                                self.udp.parent = self
                                self._children_name_map["udp"] = "udp"
                                self._children_yang_names.add("udp")
                                self._segment_path = lambda: "protocol"


                            class Udp(Entity):
                                """
                                UDP protocol
                                
                                .. attribute:: port
                                
                                	Specify a port number to use to communicate with the EnergyWise domain
                                	**type**\: int
                                
                                	**range:** 1..65000
                                
                                .. attribute:: ip
                                
                                	Specify an ipaddress to use to communicate with the EnergyWise domain
                                	**type**\: str
                                
                                	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                                
                                

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol.Udp, self).__init__()

                                    self.yang_name = "udp"
                                    self.yang_parent_name = "protocol"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.port = YLeaf(YType.uint16, "port")

                                    self.ip = YLeaf(YType.str, "ip")
                                    self._segment_path = lambda: "udp"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.Energywise.Domain.Security.SharedSecret.Zero.Protocol.Udp, ['port', 'ip'], name, value)


    class CiscoIOSXESwitchTemplate(Entity):
        """
        Select a template to configure
        
        .. attribute:: ip_camera_interface_template
        
        	built\-in modified
        	**type**\:  :py:class:`IPCAMERAINTERFACETEMPLATE <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE>`
        
        .. attribute:: lap_interface_template
        
        	built\-in modified
        	**type**\:  :py:class:`LAPINTERFACETEMPLATE <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE>`
        
        .. attribute:: ap_interface_template
        
        	built\-in modified
        	**type**\:  :py:class:`APINTERFACETEMPLATE <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE>`
        
        .. attribute:: dmp_interface_template
        
        	built\-in modified
        	**type**\:  :py:class:`DMPINTERFACETEMPLATE <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE>`
        
        .. attribute:: ip_phone_interface_template
        
        	built\-in modified
        	**type**\:  :py:class:`IPPHONEINTERFACETEMPLATE <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE>`
        
        .. attribute:: msp_camera_interface_template
        
        	built\-in modified
        	**type**\:  :py:class:`MSPCAMERAINTERFACETEMPLATE <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE>`
        
        .. attribute:: msp_vc_interface_template
        
        	built\-in modified
        	**type**\:  :py:class:`MSPVCINTERFACETEMPLATE <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE>`
        
        .. attribute:: printer_interface_template
        
        	built\-in modified
        	**type**\:  :py:class:`PRINTERINTERFACETEMPLATE <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE>`
        
        .. attribute:: router_interface_template
        
        	built\-in modified
        	**type**\:  :py:class:`ROUTERINTERFACETEMPLATE <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE>`
        
        .. attribute:: switch_interface_template
        
        	built\-in modified
        	**type**\:  :py:class:`SWITCHINTERFACETEMPLATE <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE>`
        
        .. attribute:: tp_interface_template
        
        	built\-in modified
        	**type**\:  :py:class:`TPINTERFACETEMPLATE <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-03-31'

        def __init__(self):
            super(Native.CiscoIOSXESwitchTemplate, self).__init__()

            self.yang_name = "template"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"IP_CAMERA_INTERFACE_TEMPLATE" : ("ip_camera_interface_template", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE), "LAP_INTERFACE_TEMPLATE" : ("lap_interface_template", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE), "AP_INTERFACE_TEMPLATE" : ("ap_interface_template", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE), "DMP_INTERFACE_TEMPLATE" : ("dmp_interface_template", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE), "IP_PHONE_INTERFACE_TEMPLATE" : ("ip_phone_interface_template", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE), "MSP_CAMERA_INTERFACE_TEMPLATE" : ("msp_camera_interface_template", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE), "MSP_VC_INTERFACE_TEMPLATE" : ("msp_vc_interface_template", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE), "PRINTER_INTERFACE_TEMPLATE" : ("printer_interface_template", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE), "ROUTER_INTERFACE_TEMPLATE" : ("router_interface_template", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE), "SWITCH_INTERFACE_TEMPLATE" : ("switch_interface_template", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE), "TP_INTERFACE_TEMPLATE" : ("tp_interface_template", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE)}
            self._child_list_classes = {}

            self.ip_camera_interface_template = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE()
            self.ip_camera_interface_template.parent = self
            self._children_name_map["ip_camera_interface_template"] = "IP_CAMERA_INTERFACE_TEMPLATE"
            self._children_yang_names.add("IP_CAMERA_INTERFACE_TEMPLATE")

            self.lap_interface_template = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE()
            self.lap_interface_template.parent = self
            self._children_name_map["lap_interface_template"] = "LAP_INTERFACE_TEMPLATE"
            self._children_yang_names.add("LAP_INTERFACE_TEMPLATE")

            self.ap_interface_template = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE()
            self.ap_interface_template.parent = self
            self._children_name_map["ap_interface_template"] = "AP_INTERFACE_TEMPLATE"
            self._children_yang_names.add("AP_INTERFACE_TEMPLATE")

            self.dmp_interface_template = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE()
            self.dmp_interface_template.parent = self
            self._children_name_map["dmp_interface_template"] = "DMP_INTERFACE_TEMPLATE"
            self._children_yang_names.add("DMP_INTERFACE_TEMPLATE")

            self.ip_phone_interface_template = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE()
            self.ip_phone_interface_template.parent = self
            self._children_name_map["ip_phone_interface_template"] = "IP_PHONE_INTERFACE_TEMPLATE"
            self._children_yang_names.add("IP_PHONE_INTERFACE_TEMPLATE")

            self.msp_camera_interface_template = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE()
            self.msp_camera_interface_template.parent = self
            self._children_name_map["msp_camera_interface_template"] = "MSP_CAMERA_INTERFACE_TEMPLATE"
            self._children_yang_names.add("MSP_CAMERA_INTERFACE_TEMPLATE")

            self.msp_vc_interface_template = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE()
            self.msp_vc_interface_template.parent = self
            self._children_name_map["msp_vc_interface_template"] = "MSP_VC_INTERFACE_TEMPLATE"
            self._children_yang_names.add("MSP_VC_INTERFACE_TEMPLATE")

            self.printer_interface_template = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE()
            self.printer_interface_template.parent = self
            self._children_name_map["printer_interface_template"] = "PRINTER_INTERFACE_TEMPLATE"
            self._children_yang_names.add("PRINTER_INTERFACE_TEMPLATE")

            self.router_interface_template = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE()
            self.router_interface_template.parent = self
            self._children_name_map["router_interface_template"] = "ROUTER_INTERFACE_TEMPLATE"
            self._children_yang_names.add("ROUTER_INTERFACE_TEMPLATE")

            self.switch_interface_template = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE()
            self.switch_interface_template.parent = self
            self._children_name_map["switch_interface_template"] = "SWITCH_INTERFACE_TEMPLATE"
            self._children_yang_names.add("SWITCH_INTERFACE_TEMPLATE")

            self.tp_interface_template = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE()
            self.tp_interface_template.parent = self
            self._children_name_map["tp_interface_template"] = "TP_INTERFACE_TEMPLATE"
            self._children_yang_names.add("TP_INTERFACE_TEMPLATE")
            self._segment_path = lambda: "Cisco-IOS-XE-switch:template"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class IPCAMERAINTERFACETEMPLATE(Entity):
            """
            built\-in modified
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\: int
            
            	**range:** 30..600
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE, self).__init__()

                self.yang_name = "IP_CAMERA_INTERFACE_TEMPLATE"
                self.yang_parent_name = "template"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"service-policy" : ("service_policy", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy), "switchport" : ("switchport", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport), "spanning-tree" : ("spanning_tree", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree), "storm-control" : ("storm_control", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl), "ip" : ("ip", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip)}
                self._child_list_classes = {}

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.service_policy = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.switchport = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.spanning_tree = None
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.storm_control = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.ip = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")
                self._segment_path = lambda: "IP_CAMERA_INTERFACE_TEMPLATE"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE, ['load_interval'], name, value)


            class ServicePolicy(Entity):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "IP_CAMERA_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"input" : ("input", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy.Input), "output" : ("output", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy.Output)}
                    self._child_list_classes = {}

                    self.input = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")
                    self._segment_path = lambda: "service-policy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Input(Entity):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "input"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy.Input, ['policy_map_name'], name, value)


                class Output(Entity):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "output"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.ServicePolicy.Output, ['policy_map_name'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Block>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Access>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "IP_CAMERA_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"mode" : ("mode", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Mode), "block" : ("block", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Block), "port-security" : ("port_security", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity), "access" : ("access", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Access), "voice" : ("voice", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Voice)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")

                    self.mode = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.block = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.access = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.voice = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")
                    self._segment_path = lambda: "switchport"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport, ['nonegotiate'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.access = YLeaf(YType.empty, "access")
                        self._segment_path = lambda: "mode"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Mode, ['trunk', 'access'], name, value)


                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "block"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Block, ['unicast'], name, value)


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"aging" : ("aging", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging), "maximum" : ("maximum", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum), "violation" : ("violation", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Violation)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aging = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.maximum = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")

                        self.violation = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Violation()
                        self.violation.parent = self
                        self._children_name_map["violation"] = "violation"
                        self._children_yang_names.add("violation")
                        self._segment_path = lambda: "port-security"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()


                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"type" : ("type", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type)}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = None
                            self._children_name_map["type"] = "type"
                            self._children_yang_names.add("type")
                            self._segment_path = lambda: "aging"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging, ['static', 'time'], name, value)


                        class Type(Entity):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, self).__init__()

                                self.yang_name = "type"
                                self.yang_parent_name = "aging"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.inactivity = YLeaf(YType.empty, "inactivity")
                                self._segment_path = lambda: "type"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/switchport/port-security/aging/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, ['inactivity'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"range" : ("range", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range)}

                            self.range = YList(self)
                            self._segment_path = lambda: "maximum"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, [], name, value)


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\: int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "maximum"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"vlan" : ("vlan", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan)}
                                self._child_list_classes = {}

                                self.range = YLeaf(YType.uint16, "range")

                                self.vlan = None
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/switchport/port-security/maximum/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, ['range'], name, value)


                            class Vlan(Entity):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "range"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.access = YLeaf(YType.empty, "access")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, ['access'], name, value)


                    class Violation(Entity):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Violation, self).__init__()

                            self.yang_name = "violation"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.restrict = YLeaf(YType.empty, "restrict")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "violation"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Violation, ['restrict', 'shutdown'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "access"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Access, ['vlan'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "voice"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Switchport.Voice, ['vlan'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree.Bpduguard>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree.Portfast>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "IP_CAMERA_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree.Portfast)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.service_policy = YLeaf(YType.empty, "service-policy")

                    self.bpduguard = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")
                    self._segment_path = lambda: "spanning-tree"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree, ['service_policy'], name, value)


                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree.Bpduguard, ['enable'], name, value)


                class Portfast(Entity):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.edge = YLeaf(YType.empty, "edge")

                        self.network = YLeaf(YType.empty, "network")
                        self._segment_path = lambda: "portfast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.SpanningTree.Portfast, ['disable', 'edge', 'network'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast>`
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Action>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "IP_CAMERA_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"broadcast" : ("broadcast", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast), "action" : ("action", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Action)}
                    self._child_list_classes = {}

                    self.broadcast = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.action = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")
                    self._segment_path = lambda: "storm-control"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level" : ("level", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\: Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pps" : ("pps", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps), "bps" : ("bps", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.pps = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")

                            self.bps = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")
                            self._segment_path = lambda: "level"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/storm-control/broadcast/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")
                                self._segment_path = lambda: "pps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.b_unit = YLeaf(YType.str, "b-unit")
                                self._segment_path = lambda: "bps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, ['threshold', 'b_unit'], name, value)


                class Action(Entity):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.StormControl.Action, ['shutdown', 'trap'], name, value)


            class Ip(Entity):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "IP_CAMERA_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dhcp" : ("dhcp", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip.Dhcp)}
                    self._child_list_classes = {}

                    self.dhcp = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Dhcp(Entity):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"snooping" : ("snooping", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.snooping = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/ip/%s" % self._segment_path()


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "snooping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/ip/dhcp/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_CAMERA_INTERFACE_TEMPLATE/ip/dhcp/snooping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


        class LAPINTERFACETEMPLATE(Entity):
            """
            built\-in modified
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\: int
            
            	**range:** 30..600
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE, self).__init__()

                self.yang_name = "LAP_INTERFACE_TEMPLATE"
                self.yang_parent_name = "template"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"service-policy" : ("service_policy", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy), "switchport" : ("switchport", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport), "spanning-tree" : ("spanning_tree", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree), "storm-control" : ("storm_control", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl), "ip" : ("ip", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip)}
                self._child_list_classes = {}

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.service_policy = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.switchport = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.spanning_tree = None
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.storm_control = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.ip = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")
                self._segment_path = lambda: "LAP_INTERFACE_TEMPLATE"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE, ['load_interval'], name, value)


            class ServicePolicy(Entity):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "LAP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"input" : ("input", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy.Input), "output" : ("output", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy.Output)}
                    self._child_list_classes = {}

                    self.input = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")
                    self._segment_path = lambda: "service-policy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Input(Entity):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "input"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy.Input, ['policy_map_name'], name, value)


                class Output(Entity):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "output"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.ServicePolicy.Output, ['policy_map_name'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Block>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Access>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "LAP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"mode" : ("mode", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Mode), "block" : ("block", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Block), "port-security" : ("port_security", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity), "access" : ("access", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Access), "voice" : ("voice", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Voice)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")

                    self.mode = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.block = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.access = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.voice = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")
                    self._segment_path = lambda: "switchport"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport, ['nonegotiate'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.access = YLeaf(YType.empty, "access")
                        self._segment_path = lambda: "mode"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Mode, ['trunk', 'access'], name, value)


                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "block"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Block, ['unicast'], name, value)


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"aging" : ("aging", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Aging), "maximum" : ("maximum", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum), "violation" : ("violation", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Violation)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aging = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.maximum = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")

                        self.violation = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Violation()
                        self.violation.parent = self
                        self._children_name_map["violation"] = "violation"
                        self._children_yang_names.add("violation")
                        self._segment_path = lambda: "port-security"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()


                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"type" : ("type", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type)}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = None
                            self._children_name_map["type"] = "type"
                            self._children_yang_names.add("type")
                            self._segment_path = lambda: "aging"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Aging, ['static', 'time'], name, value)


                        class Type(Entity):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, self).__init__()

                                self.yang_name = "type"
                                self.yang_parent_name = "aging"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.inactivity = YLeaf(YType.empty, "inactivity")
                                self._segment_path = lambda: "type"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/switchport/port-security/aging/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, ['inactivity'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"range" : ("range", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range)}

                            self.range = YList(self)
                            self._segment_path = lambda: "maximum"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, [], name, value)


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\: int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "maximum"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"vlan" : ("vlan", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan)}
                                self._child_list_classes = {}

                                self.range = YLeaf(YType.uint16, "range")

                                self.vlan = None
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/switchport/port-security/maximum/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, ['range'], name, value)


                            class Vlan(Entity):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "range"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.access = YLeaf(YType.empty, "access")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, ['access'], name, value)


                    class Violation(Entity):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Violation, self).__init__()

                            self.yang_name = "violation"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.restrict = YLeaf(YType.empty, "restrict")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "violation"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.PortSecurity.Violation, ['restrict', 'shutdown'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "access"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Access, ['vlan'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "voice"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Switchport.Voice, ['vlan'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree.Bpduguard>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree.Portfast>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "LAP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree.Portfast)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.service_policy = YLeaf(YType.empty, "service-policy")

                    self.bpduguard = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")
                    self._segment_path = lambda: "spanning-tree"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree, ['service_policy'], name, value)


                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree.Bpduguard, ['enable'], name, value)


                class Portfast(Entity):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.edge = YLeaf(YType.empty, "edge")

                        self.network = YLeaf(YType.empty, "network")
                        self._segment_path = lambda: "portfast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.SpanningTree.Portfast, ['disable', 'edge', 'network'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast>`
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Action>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "LAP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"broadcast" : ("broadcast", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast), "action" : ("action", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Action)}
                    self._child_list_classes = {}

                    self.broadcast = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.action = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")
                    self._segment_path = lambda: "storm-control"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level" : ("level", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\: Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pps" : ("pps", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps), "bps" : ("bps", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.pps = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")

                            self.bps = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")
                            self._segment_path = lambda: "level"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/storm-control/broadcast/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")
                                self._segment_path = lambda: "pps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.b_unit = YLeaf(YType.str, "b-unit")
                                self._segment_path = lambda: "bps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, ['threshold', 'b_unit'], name, value)


                class Action(Entity):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.StormControl.Action, ['shutdown', 'trap'], name, value)


            class Ip(Entity):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "LAP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dhcp" : ("dhcp", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip.Dhcp)}
                    self._child_list_classes = {}

                    self.dhcp = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Dhcp(Entity):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"snooping" : ("snooping", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.snooping = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/ip/%s" % self._segment_path()


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "snooping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/ip/dhcp/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/LAP_INTERFACE_TEMPLATE/ip/dhcp/snooping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.LAPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


        class APINTERFACETEMPLATE(Entity):
            """
            built\-in modified
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\: int
            
            	**range:** 30..600
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE, self).__init__()

                self.yang_name = "AP_INTERFACE_TEMPLATE"
                self.yang_parent_name = "template"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"service-policy" : ("service_policy", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy), "switchport" : ("switchport", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport), "spanning-tree" : ("spanning_tree", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree), "storm-control" : ("storm_control", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl), "ip" : ("ip", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip)}
                self._child_list_classes = {}

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.service_policy = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.switchport = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.spanning_tree = None
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.storm_control = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.ip = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")
                self._segment_path = lambda: "AP_INTERFACE_TEMPLATE"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE, ['load_interval'], name, value)


            class ServicePolicy(Entity):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "AP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"input" : ("input", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy.Input), "output" : ("output", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy.Output)}
                    self._child_list_classes = {}

                    self.input = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")
                    self._segment_path = lambda: "service-policy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Input(Entity):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "input"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy.Input, ['policy_map_name'], name, value)


                class Output(Entity):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "output"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.ServicePolicy.Output, ['policy_map_name'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Block>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Access>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "AP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"mode" : ("mode", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Mode), "block" : ("block", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Block), "port-security" : ("port_security", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity), "access" : ("access", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Access), "voice" : ("voice", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Voice)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")

                    self.mode = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.block = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.access = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.voice = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")
                    self._segment_path = lambda: "switchport"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport, ['nonegotiate'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.access = YLeaf(YType.empty, "access")
                        self._segment_path = lambda: "mode"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Mode, ['trunk', 'access'], name, value)


                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "block"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Block, ['unicast'], name, value)


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"aging" : ("aging", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Aging), "maximum" : ("maximum", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Maximum), "violation" : ("violation", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Violation)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aging = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.maximum = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")

                        self.violation = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Violation()
                        self.violation.parent = self
                        self._children_name_map["violation"] = "violation"
                        self._children_yang_names.add("violation")
                        self._segment_path = lambda: "port-security"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()


                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"type" : ("type", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type)}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = None
                            self._children_name_map["type"] = "type"
                            self._children_yang_names.add("type")
                            self._segment_path = lambda: "aging"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Aging, ['static', 'time'], name, value)


                        class Type(Entity):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, self).__init__()

                                self.yang_name = "type"
                                self.yang_parent_name = "aging"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.inactivity = YLeaf(YType.empty, "inactivity")
                                self._segment_path = lambda: "type"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/switchport/port-security/aging/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, ['inactivity'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"range" : ("range", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range)}

                            self.range = YList(self)
                            self._segment_path = lambda: "maximum"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, [], name, value)


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\: int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "maximum"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"vlan" : ("vlan", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan)}
                                self._child_list_classes = {}

                                self.range = YLeaf(YType.uint16, "range")

                                self.vlan = None
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/switchport/port-security/maximum/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, ['range'], name, value)


                            class Vlan(Entity):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "range"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.access = YLeaf(YType.empty, "access")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, ['access'], name, value)


                    class Violation(Entity):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Violation, self).__init__()

                            self.yang_name = "violation"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.restrict = YLeaf(YType.empty, "restrict")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "violation"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.PortSecurity.Violation, ['restrict', 'shutdown'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "access"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Access, ['vlan'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "voice"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Switchport.Voice, ['vlan'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree.Bpduguard>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree.Portfast>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "AP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree.Portfast)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.service_policy = YLeaf(YType.empty, "service-policy")

                    self.bpduguard = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")
                    self._segment_path = lambda: "spanning-tree"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree, ['service_policy'], name, value)


                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree.Bpduguard, ['enable'], name, value)


                class Portfast(Entity):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.edge = YLeaf(YType.empty, "edge")

                        self.network = YLeaf(YType.empty, "network")
                        self._segment_path = lambda: "portfast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.SpanningTree.Portfast, ['disable', 'edge', 'network'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast>`
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Action>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "AP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"broadcast" : ("broadcast", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast), "action" : ("action", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Action)}
                    self._child_list_classes = {}

                    self.broadcast = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.action = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")
                    self._segment_path = lambda: "storm-control"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level" : ("level", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\: Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pps" : ("pps", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps), "bps" : ("bps", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.pps = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")

                            self.bps = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")
                            self._segment_path = lambda: "level"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/storm-control/broadcast/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")
                                self._segment_path = lambda: "pps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.b_unit = YLeaf(YType.str, "b-unit")
                                self._segment_path = lambda: "bps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, ['threshold', 'b_unit'], name, value)


                class Action(Entity):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.StormControl.Action, ['shutdown', 'trap'], name, value)


            class Ip(Entity):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "AP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dhcp" : ("dhcp", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip.Dhcp)}
                    self._child_list_classes = {}

                    self.dhcp = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Dhcp(Entity):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"snooping" : ("snooping", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.snooping = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/ip/%s" % self._segment_path()


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "snooping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/ip/dhcp/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/AP_INTERFACE_TEMPLATE/ip/dhcp/snooping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.APINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


        class DMPINTERFACETEMPLATE(Entity):
            """
            built\-in modified
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\: int
            
            	**range:** 30..600
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE, self).__init__()

                self.yang_name = "DMP_INTERFACE_TEMPLATE"
                self.yang_parent_name = "template"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"service-policy" : ("service_policy", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy), "switchport" : ("switchport", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport), "spanning-tree" : ("spanning_tree", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree), "storm-control" : ("storm_control", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl), "ip" : ("ip", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip)}
                self._child_list_classes = {}

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.service_policy = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.switchport = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.spanning_tree = None
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.storm_control = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.ip = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")
                self._segment_path = lambda: "DMP_INTERFACE_TEMPLATE"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE, ['load_interval'], name, value)


            class ServicePolicy(Entity):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "DMP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"input" : ("input", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy.Input), "output" : ("output", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy.Output)}
                    self._child_list_classes = {}

                    self.input = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")
                    self._segment_path = lambda: "service-policy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Input(Entity):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "input"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy.Input, ['policy_map_name'], name, value)


                class Output(Entity):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "output"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.ServicePolicy.Output, ['policy_map_name'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Block>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Access>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "DMP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"mode" : ("mode", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Mode), "block" : ("block", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Block), "port-security" : ("port_security", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity), "access" : ("access", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Access), "voice" : ("voice", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Voice)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")

                    self.mode = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.block = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.access = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.voice = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")
                    self._segment_path = lambda: "switchport"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport, ['nonegotiate'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.access = YLeaf(YType.empty, "access")
                        self._segment_path = lambda: "mode"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Mode, ['trunk', 'access'], name, value)


                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "block"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Block, ['unicast'], name, value)


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"aging" : ("aging", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Aging), "maximum" : ("maximum", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum), "violation" : ("violation", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Violation)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aging = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.maximum = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")

                        self.violation = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Violation()
                        self.violation.parent = self
                        self._children_name_map["violation"] = "violation"
                        self._children_yang_names.add("violation")
                        self._segment_path = lambda: "port-security"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()


                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"type" : ("type", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type)}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = None
                            self._children_name_map["type"] = "type"
                            self._children_yang_names.add("type")
                            self._segment_path = lambda: "aging"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Aging, ['static', 'time'], name, value)


                        class Type(Entity):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, self).__init__()

                                self.yang_name = "type"
                                self.yang_parent_name = "aging"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.inactivity = YLeaf(YType.empty, "inactivity")
                                self._segment_path = lambda: "type"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/switchport/port-security/aging/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, ['inactivity'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"range" : ("range", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range)}

                            self.range = YList(self)
                            self._segment_path = lambda: "maximum"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, [], name, value)


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\: int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "maximum"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"vlan" : ("vlan", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan)}
                                self._child_list_classes = {}

                                self.range = YLeaf(YType.uint16, "range")

                                self.vlan = None
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/switchport/port-security/maximum/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, ['range'], name, value)


                            class Vlan(Entity):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "range"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.access = YLeaf(YType.empty, "access")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, ['access'], name, value)


                    class Violation(Entity):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Violation, self).__init__()

                            self.yang_name = "violation"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.restrict = YLeaf(YType.empty, "restrict")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "violation"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.PortSecurity.Violation, ['restrict', 'shutdown'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "access"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Access, ['vlan'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "voice"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Switchport.Voice, ['vlan'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree.Bpduguard>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree.Portfast>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "DMP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree.Portfast)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.service_policy = YLeaf(YType.empty, "service-policy")

                    self.bpduguard = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")
                    self._segment_path = lambda: "spanning-tree"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree, ['service_policy'], name, value)


                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree.Bpduguard, ['enable'], name, value)


                class Portfast(Entity):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.edge = YLeaf(YType.empty, "edge")

                        self.network = YLeaf(YType.empty, "network")
                        self._segment_path = lambda: "portfast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.SpanningTree.Portfast, ['disable', 'edge', 'network'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast>`
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Action>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "DMP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"broadcast" : ("broadcast", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast), "action" : ("action", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Action)}
                    self._child_list_classes = {}

                    self.broadcast = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.action = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")
                    self._segment_path = lambda: "storm-control"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level" : ("level", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\: Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pps" : ("pps", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps), "bps" : ("bps", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.pps = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")

                            self.bps = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")
                            self._segment_path = lambda: "level"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/storm-control/broadcast/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")
                                self._segment_path = lambda: "pps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.b_unit = YLeaf(YType.str, "b-unit")
                                self._segment_path = lambda: "bps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, ['threshold', 'b_unit'], name, value)


                class Action(Entity):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.StormControl.Action, ['shutdown', 'trap'], name, value)


            class Ip(Entity):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "DMP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dhcp" : ("dhcp", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip.Dhcp)}
                    self._child_list_classes = {}

                    self.dhcp = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Dhcp(Entity):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"snooping" : ("snooping", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.snooping = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/ip/%s" % self._segment_path()


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "snooping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/ip/dhcp/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/DMP_INTERFACE_TEMPLATE/ip/dhcp/snooping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.DMPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


        class IPPHONEINTERFACETEMPLATE(Entity):
            """
            built\-in modified
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\: int
            
            	**range:** 30..600
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE, self).__init__()

                self.yang_name = "IP_PHONE_INTERFACE_TEMPLATE"
                self.yang_parent_name = "template"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"service-policy" : ("service_policy", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy), "switchport" : ("switchport", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport), "spanning-tree" : ("spanning_tree", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree), "storm-control" : ("storm_control", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl), "ip" : ("ip", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip)}
                self._child_list_classes = {}

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.service_policy = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.switchport = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.spanning_tree = None
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.storm_control = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.ip = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")
                self._segment_path = lambda: "IP_PHONE_INTERFACE_TEMPLATE"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE, ['load_interval'], name, value)


            class ServicePolicy(Entity):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "IP_PHONE_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"input" : ("input", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy.Input), "output" : ("output", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy.Output)}
                    self._child_list_classes = {}

                    self.input = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")
                    self._segment_path = lambda: "service-policy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Input(Entity):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "input"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy.Input, ['policy_map_name'], name, value)


                class Output(Entity):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "output"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.ServicePolicy.Output, ['policy_map_name'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Block>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Access>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "IP_PHONE_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"mode" : ("mode", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Mode), "block" : ("block", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Block), "port-security" : ("port_security", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity), "access" : ("access", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Access), "voice" : ("voice", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Voice)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")

                    self.mode = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.block = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.access = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.voice = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")
                    self._segment_path = lambda: "switchport"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport, ['nonegotiate'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.access = YLeaf(YType.empty, "access")
                        self._segment_path = lambda: "mode"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Mode, ['trunk', 'access'], name, value)


                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "block"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Block, ['unicast'], name, value)


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"aging" : ("aging", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Aging), "maximum" : ("maximum", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Maximum), "violation" : ("violation", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Violation)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aging = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.maximum = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")

                        self.violation = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Violation()
                        self.violation.parent = self
                        self._children_name_map["violation"] = "violation"
                        self._children_yang_names.add("violation")
                        self._segment_path = lambda: "port-security"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()


                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"type" : ("type", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type)}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = None
                            self._children_name_map["type"] = "type"
                            self._children_yang_names.add("type")
                            self._segment_path = lambda: "aging"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Aging, ['static', 'time'], name, value)


                        class Type(Entity):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, self).__init__()

                                self.yang_name = "type"
                                self.yang_parent_name = "aging"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.inactivity = YLeaf(YType.empty, "inactivity")
                                self._segment_path = lambda: "type"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/switchport/port-security/aging/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, ['inactivity'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"range" : ("range", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range)}

                            self.range = YList(self)
                            self._segment_path = lambda: "maximum"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, [], name, value)


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\: int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "maximum"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"vlan" : ("vlan", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan)}
                                self._child_list_classes = {}

                                self.range = YLeaf(YType.uint16, "range")

                                self.vlan = None
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/switchport/port-security/maximum/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, ['range'], name, value)


                            class Vlan(Entity):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "range"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.access = YLeaf(YType.empty, "access")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, ['access'], name, value)


                    class Violation(Entity):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Violation, self).__init__()

                            self.yang_name = "violation"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.restrict = YLeaf(YType.empty, "restrict")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "violation"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.PortSecurity.Violation, ['restrict', 'shutdown'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "access"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Access, ['vlan'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "voice"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Switchport.Voice, ['vlan'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree.Bpduguard>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree.Portfast>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "IP_PHONE_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree.Portfast)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.service_policy = YLeaf(YType.empty, "service-policy")

                    self.bpduguard = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")
                    self._segment_path = lambda: "spanning-tree"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree, ['service_policy'], name, value)


                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree.Bpduguard, ['enable'], name, value)


                class Portfast(Entity):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.edge = YLeaf(YType.empty, "edge")

                        self.network = YLeaf(YType.empty, "network")
                        self._segment_path = lambda: "portfast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.SpanningTree.Portfast, ['disable', 'edge', 'network'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast>`
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Action>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "IP_PHONE_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"broadcast" : ("broadcast", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast), "action" : ("action", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Action)}
                    self._child_list_classes = {}

                    self.broadcast = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.action = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")
                    self._segment_path = lambda: "storm-control"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level" : ("level", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\: Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pps" : ("pps", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps), "bps" : ("bps", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.pps = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")

                            self.bps = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")
                            self._segment_path = lambda: "level"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/storm-control/broadcast/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")
                                self._segment_path = lambda: "pps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.b_unit = YLeaf(YType.str, "b-unit")
                                self._segment_path = lambda: "bps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, ['threshold', 'b_unit'], name, value)


                class Action(Entity):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.StormControl.Action, ['shutdown', 'trap'], name, value)


            class Ip(Entity):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "IP_PHONE_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dhcp" : ("dhcp", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip.Dhcp)}
                    self._child_list_classes = {}

                    self.dhcp = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Dhcp(Entity):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"snooping" : ("snooping", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.snooping = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/ip/%s" % self._segment_path()


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "snooping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/ip/dhcp/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/IP_PHONE_INTERFACE_TEMPLATE/ip/dhcp/snooping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.IPPHONEINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


        class MSPCAMERAINTERFACETEMPLATE(Entity):
            """
            built\-in modified
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\: int
            
            	**range:** 30..600
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE, self).__init__()

                self.yang_name = "MSP_CAMERA_INTERFACE_TEMPLATE"
                self.yang_parent_name = "template"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"service-policy" : ("service_policy", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy), "switchport" : ("switchport", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport), "spanning-tree" : ("spanning_tree", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree), "storm-control" : ("storm_control", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl), "ip" : ("ip", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip)}
                self._child_list_classes = {}

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.service_policy = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.switchport = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.spanning_tree = None
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.storm_control = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.ip = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")
                self._segment_path = lambda: "MSP_CAMERA_INTERFACE_TEMPLATE"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE, ['load_interval'], name, value)


            class ServicePolicy(Entity):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "MSP_CAMERA_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"input" : ("input", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy.Input), "output" : ("output", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy.Output)}
                    self._child_list_classes = {}

                    self.input = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")
                    self._segment_path = lambda: "service-policy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Input(Entity):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "input"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy.Input, ['policy_map_name'], name, value)


                class Output(Entity):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "output"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.ServicePolicy.Output, ['policy_map_name'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Block>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Access>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "MSP_CAMERA_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"mode" : ("mode", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Mode), "block" : ("block", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Block), "port-security" : ("port_security", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity), "access" : ("access", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Access), "voice" : ("voice", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Voice)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")

                    self.mode = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.block = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.access = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.voice = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")
                    self._segment_path = lambda: "switchport"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport, ['nonegotiate'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.access = YLeaf(YType.empty, "access")
                        self._segment_path = lambda: "mode"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Mode, ['trunk', 'access'], name, value)


                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "block"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Block, ['unicast'], name, value)


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"aging" : ("aging", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging), "maximum" : ("maximum", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum), "violation" : ("violation", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Violation)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aging = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.maximum = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")

                        self.violation = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Violation()
                        self.violation.parent = self
                        self._children_name_map["violation"] = "violation"
                        self._children_yang_names.add("violation")
                        self._segment_path = lambda: "port-security"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()


                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"type" : ("type", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type)}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = None
                            self._children_name_map["type"] = "type"
                            self._children_yang_names.add("type")
                            self._segment_path = lambda: "aging"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging, ['static', 'time'], name, value)


                        class Type(Entity):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, self).__init__()

                                self.yang_name = "type"
                                self.yang_parent_name = "aging"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.inactivity = YLeaf(YType.empty, "inactivity")
                                self._segment_path = lambda: "type"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/switchport/port-security/aging/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, ['inactivity'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"range" : ("range", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range)}

                            self.range = YList(self)
                            self._segment_path = lambda: "maximum"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, [], name, value)


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\: int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "maximum"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"vlan" : ("vlan", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan)}
                                self._child_list_classes = {}

                                self.range = YLeaf(YType.uint16, "range")

                                self.vlan = None
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/switchport/port-security/maximum/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, ['range'], name, value)


                            class Vlan(Entity):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "range"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.access = YLeaf(YType.empty, "access")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, ['access'], name, value)


                    class Violation(Entity):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Violation, self).__init__()

                            self.yang_name = "violation"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.restrict = YLeaf(YType.empty, "restrict")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "violation"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.PortSecurity.Violation, ['restrict', 'shutdown'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "access"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Access, ['vlan'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "voice"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Switchport.Voice, ['vlan'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree.Bpduguard>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree.Portfast>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "MSP_CAMERA_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree.Portfast)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.service_policy = YLeaf(YType.empty, "service-policy")

                    self.bpduguard = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")
                    self._segment_path = lambda: "spanning-tree"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree, ['service_policy'], name, value)


                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree.Bpduguard, ['enable'], name, value)


                class Portfast(Entity):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.edge = YLeaf(YType.empty, "edge")

                        self.network = YLeaf(YType.empty, "network")
                        self._segment_path = lambda: "portfast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.SpanningTree.Portfast, ['disable', 'edge', 'network'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast>`
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Action>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "MSP_CAMERA_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"broadcast" : ("broadcast", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast), "action" : ("action", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Action)}
                    self._child_list_classes = {}

                    self.broadcast = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.action = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")
                    self._segment_path = lambda: "storm-control"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level" : ("level", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\: Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pps" : ("pps", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps), "bps" : ("bps", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.pps = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")

                            self.bps = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")
                            self._segment_path = lambda: "level"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/storm-control/broadcast/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")
                                self._segment_path = lambda: "pps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.b_unit = YLeaf(YType.str, "b-unit")
                                self._segment_path = lambda: "bps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, ['threshold', 'b_unit'], name, value)


                class Action(Entity):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.StormControl.Action, ['shutdown', 'trap'], name, value)


            class Ip(Entity):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "MSP_CAMERA_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dhcp" : ("dhcp", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip.Dhcp)}
                    self._child_list_classes = {}

                    self.dhcp = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Dhcp(Entity):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"snooping" : ("snooping", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.snooping = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/ip/%s" % self._segment_path()


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "snooping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/ip/dhcp/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_CAMERA_INTERFACE_TEMPLATE/ip/dhcp/snooping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPCAMERAINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


        class MSPVCINTERFACETEMPLATE(Entity):
            """
            built\-in modified
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\: int
            
            	**range:** 30..600
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE, self).__init__()

                self.yang_name = "MSP_VC_INTERFACE_TEMPLATE"
                self.yang_parent_name = "template"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"service-policy" : ("service_policy", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy), "switchport" : ("switchport", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport), "spanning-tree" : ("spanning_tree", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree), "storm-control" : ("storm_control", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl), "ip" : ("ip", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip)}
                self._child_list_classes = {}

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.service_policy = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.switchport = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.spanning_tree = None
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.storm_control = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.ip = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")
                self._segment_path = lambda: "MSP_VC_INTERFACE_TEMPLATE"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE, ['load_interval'], name, value)


            class ServicePolicy(Entity):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "MSP_VC_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"input" : ("input", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy.Input), "output" : ("output", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy.Output)}
                    self._child_list_classes = {}

                    self.input = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")
                    self._segment_path = lambda: "service-policy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Input(Entity):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "input"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy.Input, ['policy_map_name'], name, value)


                class Output(Entity):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "output"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.ServicePolicy.Output, ['policy_map_name'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Block>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Access>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "MSP_VC_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"mode" : ("mode", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Mode), "block" : ("block", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Block), "port-security" : ("port_security", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity), "access" : ("access", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Access), "voice" : ("voice", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Voice)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")

                    self.mode = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.block = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.access = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.voice = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")
                    self._segment_path = lambda: "switchport"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport, ['nonegotiate'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.access = YLeaf(YType.empty, "access")
                        self._segment_path = lambda: "mode"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Mode, ['trunk', 'access'], name, value)


                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "block"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Block, ['unicast'], name, value)


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"aging" : ("aging", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Aging), "maximum" : ("maximum", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Maximum), "violation" : ("violation", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Violation)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aging = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.maximum = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")

                        self.violation = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Violation()
                        self.violation.parent = self
                        self._children_name_map["violation"] = "violation"
                        self._children_yang_names.add("violation")
                        self._segment_path = lambda: "port-security"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()


                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"type" : ("type", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type)}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = None
                            self._children_name_map["type"] = "type"
                            self._children_yang_names.add("type")
                            self._segment_path = lambda: "aging"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Aging, ['static', 'time'], name, value)


                        class Type(Entity):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, self).__init__()

                                self.yang_name = "type"
                                self.yang_parent_name = "aging"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.inactivity = YLeaf(YType.empty, "inactivity")
                                self._segment_path = lambda: "type"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/switchport/port-security/aging/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, ['inactivity'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"range" : ("range", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range)}

                            self.range = YList(self)
                            self._segment_path = lambda: "maximum"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, [], name, value)


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\: int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "maximum"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"vlan" : ("vlan", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan)}
                                self._child_list_classes = {}

                                self.range = YLeaf(YType.uint16, "range")

                                self.vlan = None
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/switchport/port-security/maximum/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, ['range'], name, value)


                            class Vlan(Entity):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "range"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.access = YLeaf(YType.empty, "access")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, ['access'], name, value)


                    class Violation(Entity):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Violation, self).__init__()

                            self.yang_name = "violation"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.restrict = YLeaf(YType.empty, "restrict")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "violation"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.PortSecurity.Violation, ['restrict', 'shutdown'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "access"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Access, ['vlan'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "voice"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Switchport.Voice, ['vlan'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree.Bpduguard>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree.Portfast>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "MSP_VC_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree.Portfast)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.service_policy = YLeaf(YType.empty, "service-policy")

                    self.bpduguard = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")
                    self._segment_path = lambda: "spanning-tree"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree, ['service_policy'], name, value)


                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree.Bpduguard, ['enable'], name, value)


                class Portfast(Entity):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.edge = YLeaf(YType.empty, "edge")

                        self.network = YLeaf(YType.empty, "network")
                        self._segment_path = lambda: "portfast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.SpanningTree.Portfast, ['disable', 'edge', 'network'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast>`
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Action>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "MSP_VC_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"broadcast" : ("broadcast", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast), "action" : ("action", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Action)}
                    self._child_list_classes = {}

                    self.broadcast = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.action = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")
                    self._segment_path = lambda: "storm-control"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level" : ("level", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\: Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pps" : ("pps", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps), "bps" : ("bps", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.pps = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")

                            self.bps = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")
                            self._segment_path = lambda: "level"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/storm-control/broadcast/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")
                                self._segment_path = lambda: "pps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.b_unit = YLeaf(YType.str, "b-unit")
                                self._segment_path = lambda: "bps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, ['threshold', 'b_unit'], name, value)


                class Action(Entity):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.StormControl.Action, ['shutdown', 'trap'], name, value)


            class Ip(Entity):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "MSP_VC_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dhcp" : ("dhcp", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip.Dhcp)}
                    self._child_list_classes = {}

                    self.dhcp = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Dhcp(Entity):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"snooping" : ("snooping", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.snooping = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/ip/%s" % self._segment_path()


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "snooping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/ip/dhcp/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/MSP_VC_INTERFACE_TEMPLATE/ip/dhcp/snooping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.MSPVCINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


        class PRINTERINTERFACETEMPLATE(Entity):
            """
            built\-in modified
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\: int
            
            	**range:** 30..600
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE, self).__init__()

                self.yang_name = "PRINTER_INTERFACE_TEMPLATE"
                self.yang_parent_name = "template"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"service-policy" : ("service_policy", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy), "switchport" : ("switchport", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport), "spanning-tree" : ("spanning_tree", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree), "storm-control" : ("storm_control", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl), "ip" : ("ip", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip)}
                self._child_list_classes = {}

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.service_policy = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.switchport = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.spanning_tree = None
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.storm_control = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.ip = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")
                self._segment_path = lambda: "PRINTER_INTERFACE_TEMPLATE"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE, ['load_interval'], name, value)


            class ServicePolicy(Entity):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "PRINTER_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"input" : ("input", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy.Input), "output" : ("output", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy.Output)}
                    self._child_list_classes = {}

                    self.input = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")
                    self._segment_path = lambda: "service-policy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Input(Entity):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "input"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy.Input, ['policy_map_name'], name, value)


                class Output(Entity):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "output"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.ServicePolicy.Output, ['policy_map_name'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Block>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Access>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "PRINTER_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"mode" : ("mode", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Mode), "block" : ("block", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Block), "port-security" : ("port_security", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity), "access" : ("access", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Access), "voice" : ("voice", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Voice)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")

                    self.mode = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.block = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.access = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.voice = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")
                    self._segment_path = lambda: "switchport"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport, ['nonegotiate'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.access = YLeaf(YType.empty, "access")
                        self._segment_path = lambda: "mode"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Mode, ['trunk', 'access'], name, value)


                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "block"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Block, ['unicast'], name, value)


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"aging" : ("aging", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging), "maximum" : ("maximum", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum), "violation" : ("violation", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Violation)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aging = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.maximum = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")

                        self.violation = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Violation()
                        self.violation.parent = self
                        self._children_name_map["violation"] = "violation"
                        self._children_yang_names.add("violation")
                        self._segment_path = lambda: "port-security"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()


                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"type" : ("type", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type)}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = None
                            self._children_name_map["type"] = "type"
                            self._children_yang_names.add("type")
                            self._segment_path = lambda: "aging"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging, ['static', 'time'], name, value)


                        class Type(Entity):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, self).__init__()

                                self.yang_name = "type"
                                self.yang_parent_name = "aging"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.inactivity = YLeaf(YType.empty, "inactivity")
                                self._segment_path = lambda: "type"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/switchport/port-security/aging/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, ['inactivity'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"range" : ("range", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range)}

                            self.range = YList(self)
                            self._segment_path = lambda: "maximum"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, [], name, value)


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\: int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "maximum"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"vlan" : ("vlan", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan)}
                                self._child_list_classes = {}

                                self.range = YLeaf(YType.uint16, "range")

                                self.vlan = None
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/switchport/port-security/maximum/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, ['range'], name, value)


                            class Vlan(Entity):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "range"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.access = YLeaf(YType.empty, "access")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, ['access'], name, value)


                    class Violation(Entity):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Violation, self).__init__()

                            self.yang_name = "violation"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.restrict = YLeaf(YType.empty, "restrict")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "violation"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.PortSecurity.Violation, ['restrict', 'shutdown'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "access"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Access, ['vlan'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "voice"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Switchport.Voice, ['vlan'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree.Bpduguard>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree.Portfast>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "PRINTER_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree.Portfast)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.service_policy = YLeaf(YType.empty, "service-policy")

                    self.bpduguard = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")
                    self._segment_path = lambda: "spanning-tree"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree, ['service_policy'], name, value)


                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree.Bpduguard, ['enable'], name, value)


                class Portfast(Entity):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.edge = YLeaf(YType.empty, "edge")

                        self.network = YLeaf(YType.empty, "network")
                        self._segment_path = lambda: "portfast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.SpanningTree.Portfast, ['disable', 'edge', 'network'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast>`
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Action>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "PRINTER_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"broadcast" : ("broadcast", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast), "action" : ("action", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Action)}
                    self._child_list_classes = {}

                    self.broadcast = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.action = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")
                    self._segment_path = lambda: "storm-control"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level" : ("level", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\: Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pps" : ("pps", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps), "bps" : ("bps", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.pps = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")

                            self.bps = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")
                            self._segment_path = lambda: "level"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/storm-control/broadcast/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")
                                self._segment_path = lambda: "pps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.b_unit = YLeaf(YType.str, "b-unit")
                                self._segment_path = lambda: "bps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, ['threshold', 'b_unit'], name, value)


                class Action(Entity):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.StormControl.Action, ['shutdown', 'trap'], name, value)


            class Ip(Entity):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "PRINTER_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dhcp" : ("dhcp", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip.Dhcp)}
                    self._child_list_classes = {}

                    self.dhcp = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Dhcp(Entity):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"snooping" : ("snooping", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.snooping = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/ip/%s" % self._segment_path()


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "snooping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/ip/dhcp/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/PRINTER_INTERFACE_TEMPLATE/ip/dhcp/snooping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.PRINTERINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


        class ROUTERINTERFACETEMPLATE(Entity):
            """
            built\-in modified
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\: int
            
            	**range:** 30..600
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE, self).__init__()

                self.yang_name = "ROUTER_INTERFACE_TEMPLATE"
                self.yang_parent_name = "template"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"service-policy" : ("service_policy", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy), "switchport" : ("switchport", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport), "spanning-tree" : ("spanning_tree", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree), "storm-control" : ("storm_control", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl), "ip" : ("ip", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip)}
                self._child_list_classes = {}

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.service_policy = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.switchport = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.spanning_tree = None
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.storm_control = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.ip = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")
                self._segment_path = lambda: "ROUTER_INTERFACE_TEMPLATE"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE, ['load_interval'], name, value)


            class ServicePolicy(Entity):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "ROUTER_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"input" : ("input", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy.Input), "output" : ("output", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy.Output)}
                    self._child_list_classes = {}

                    self.input = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")
                    self._segment_path = lambda: "service-policy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Input(Entity):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "input"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy.Input, ['policy_map_name'], name, value)


                class Output(Entity):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "output"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.ServicePolicy.Output, ['policy_map_name'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Block>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Access>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "ROUTER_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"mode" : ("mode", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Mode), "block" : ("block", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Block), "port-security" : ("port_security", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity), "access" : ("access", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Access), "voice" : ("voice", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Voice)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")

                    self.mode = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.block = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.access = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.voice = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")
                    self._segment_path = lambda: "switchport"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport, ['nonegotiate'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.access = YLeaf(YType.empty, "access")
                        self._segment_path = lambda: "mode"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Mode, ['trunk', 'access'], name, value)


                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "block"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Block, ['unicast'], name, value)


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"aging" : ("aging", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging), "maximum" : ("maximum", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum), "violation" : ("violation", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Violation)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aging = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.maximum = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")

                        self.violation = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Violation()
                        self.violation.parent = self
                        self._children_name_map["violation"] = "violation"
                        self._children_yang_names.add("violation")
                        self._segment_path = lambda: "port-security"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()


                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"type" : ("type", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type)}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = None
                            self._children_name_map["type"] = "type"
                            self._children_yang_names.add("type")
                            self._segment_path = lambda: "aging"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging, ['static', 'time'], name, value)


                        class Type(Entity):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, self).__init__()

                                self.yang_name = "type"
                                self.yang_parent_name = "aging"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.inactivity = YLeaf(YType.empty, "inactivity")
                                self._segment_path = lambda: "type"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/switchport/port-security/aging/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, ['inactivity'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"range" : ("range", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range)}

                            self.range = YList(self)
                            self._segment_path = lambda: "maximum"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, [], name, value)


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\: int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "maximum"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"vlan" : ("vlan", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan)}
                                self._child_list_classes = {}

                                self.range = YLeaf(YType.uint16, "range")

                                self.vlan = None
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/switchport/port-security/maximum/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, ['range'], name, value)


                            class Vlan(Entity):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "range"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.access = YLeaf(YType.empty, "access")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, ['access'], name, value)


                    class Violation(Entity):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Violation, self).__init__()

                            self.yang_name = "violation"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.restrict = YLeaf(YType.empty, "restrict")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "violation"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.PortSecurity.Violation, ['restrict', 'shutdown'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "access"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Access, ['vlan'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "voice"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Switchport.Voice, ['vlan'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree.Bpduguard>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree.Portfast>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "ROUTER_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree.Portfast)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.service_policy = YLeaf(YType.empty, "service-policy")

                    self.bpduguard = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")
                    self._segment_path = lambda: "spanning-tree"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree, ['service_policy'], name, value)


                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree.Bpduguard, ['enable'], name, value)


                class Portfast(Entity):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.edge = YLeaf(YType.empty, "edge")

                        self.network = YLeaf(YType.empty, "network")
                        self._segment_path = lambda: "portfast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.SpanningTree.Portfast, ['disable', 'edge', 'network'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast>`
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Action>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "ROUTER_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"broadcast" : ("broadcast", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast), "action" : ("action", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Action)}
                    self._child_list_classes = {}

                    self.broadcast = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.action = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")
                    self._segment_path = lambda: "storm-control"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level" : ("level", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\: Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pps" : ("pps", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps), "bps" : ("bps", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.pps = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")

                            self.bps = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")
                            self._segment_path = lambda: "level"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/storm-control/broadcast/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")
                                self._segment_path = lambda: "pps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.b_unit = YLeaf(YType.str, "b-unit")
                                self._segment_path = lambda: "bps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, ['threshold', 'b_unit'], name, value)


                class Action(Entity):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.StormControl.Action, ['shutdown', 'trap'], name, value)


            class Ip(Entity):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "ROUTER_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dhcp" : ("dhcp", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip.Dhcp)}
                    self._child_list_classes = {}

                    self.dhcp = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Dhcp(Entity):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"snooping" : ("snooping", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.snooping = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/ip/%s" % self._segment_path()


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "snooping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/ip/dhcp/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/ROUTER_INTERFACE_TEMPLATE/ip/dhcp/snooping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.ROUTERINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


        class SWITCHINTERFACETEMPLATE(Entity):
            """
            built\-in modified
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\: int
            
            	**range:** 30..600
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE, self).__init__()

                self.yang_name = "SWITCH_INTERFACE_TEMPLATE"
                self.yang_parent_name = "template"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"service-policy" : ("service_policy", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy), "switchport" : ("switchport", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport), "spanning-tree" : ("spanning_tree", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree), "storm-control" : ("storm_control", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl), "ip" : ("ip", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip)}
                self._child_list_classes = {}

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.service_policy = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.switchport = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.spanning_tree = None
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.storm_control = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.ip = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")
                self._segment_path = lambda: "SWITCH_INTERFACE_TEMPLATE"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE, ['load_interval'], name, value)


            class ServicePolicy(Entity):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "SWITCH_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"input" : ("input", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy.Input), "output" : ("output", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy.Output)}
                    self._child_list_classes = {}

                    self.input = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")
                    self._segment_path = lambda: "service-policy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Input(Entity):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "input"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy.Input, ['policy_map_name'], name, value)


                class Output(Entity):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "output"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.ServicePolicy.Output, ['policy_map_name'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Block>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Access>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "SWITCH_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"mode" : ("mode", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Mode), "block" : ("block", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Block), "port-security" : ("port_security", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity), "access" : ("access", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Access), "voice" : ("voice", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Voice)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")

                    self.mode = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.block = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.access = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.voice = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")
                    self._segment_path = lambda: "switchport"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport, ['nonegotiate'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.access = YLeaf(YType.empty, "access")
                        self._segment_path = lambda: "mode"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Mode, ['trunk', 'access'], name, value)


                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "block"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Block, ['unicast'], name, value)


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"aging" : ("aging", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Aging), "maximum" : ("maximum", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Maximum), "violation" : ("violation", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Violation)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aging = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.maximum = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")

                        self.violation = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Violation()
                        self.violation.parent = self
                        self._children_name_map["violation"] = "violation"
                        self._children_yang_names.add("violation")
                        self._segment_path = lambda: "port-security"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()


                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"type" : ("type", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type)}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = None
                            self._children_name_map["type"] = "type"
                            self._children_yang_names.add("type")
                            self._segment_path = lambda: "aging"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Aging, ['static', 'time'], name, value)


                        class Type(Entity):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, self).__init__()

                                self.yang_name = "type"
                                self.yang_parent_name = "aging"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.inactivity = YLeaf(YType.empty, "inactivity")
                                self._segment_path = lambda: "type"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/switchport/port-security/aging/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, ['inactivity'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"range" : ("range", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range)}

                            self.range = YList(self)
                            self._segment_path = lambda: "maximum"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, [], name, value)


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\: int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "maximum"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"vlan" : ("vlan", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan)}
                                self._child_list_classes = {}

                                self.range = YLeaf(YType.uint16, "range")

                                self.vlan = None
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/switchport/port-security/maximum/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, ['range'], name, value)


                            class Vlan(Entity):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "range"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.access = YLeaf(YType.empty, "access")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, ['access'], name, value)


                    class Violation(Entity):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Violation, self).__init__()

                            self.yang_name = "violation"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.restrict = YLeaf(YType.empty, "restrict")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "violation"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.PortSecurity.Violation, ['restrict', 'shutdown'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "access"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Access, ['vlan'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "voice"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Switchport.Voice, ['vlan'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree.Bpduguard>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree.Portfast>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "SWITCH_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree.Portfast)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.service_policy = YLeaf(YType.empty, "service-policy")

                    self.bpduguard = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")
                    self._segment_path = lambda: "spanning-tree"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree, ['service_policy'], name, value)


                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree.Bpduguard, ['enable'], name, value)


                class Portfast(Entity):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.edge = YLeaf(YType.empty, "edge")

                        self.network = YLeaf(YType.empty, "network")
                        self._segment_path = lambda: "portfast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.SpanningTree.Portfast, ['disable', 'edge', 'network'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast>`
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Action>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "SWITCH_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"broadcast" : ("broadcast", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast), "action" : ("action", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Action)}
                    self._child_list_classes = {}

                    self.broadcast = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.action = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")
                    self._segment_path = lambda: "storm-control"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level" : ("level", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\: Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pps" : ("pps", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps), "bps" : ("bps", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.pps = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")

                            self.bps = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")
                            self._segment_path = lambda: "level"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/storm-control/broadcast/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")
                                self._segment_path = lambda: "pps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.b_unit = YLeaf(YType.str, "b-unit")
                                self._segment_path = lambda: "bps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, ['threshold', 'b_unit'], name, value)


                class Action(Entity):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.StormControl.Action, ['shutdown', 'trap'], name, value)


            class Ip(Entity):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "SWITCH_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dhcp" : ("dhcp", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip.Dhcp)}
                    self._child_list_classes = {}

                    self.dhcp = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Dhcp(Entity):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"snooping" : ("snooping", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.snooping = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/ip/%s" % self._segment_path()


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "snooping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/ip/dhcp/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/SWITCH_INTERFACE_TEMPLATE/ip/dhcp/snooping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.SWITCHINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


        class TPINTERFACETEMPLATE(Entity):
            """
            built\-in modified
            
            .. attribute:: service_policy
            
            	Configure CPL Service Policy
            	**type**\:  :py:class:`ServicePolicy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy>`
            
            .. attribute:: switchport
            
            	Set switching mode characteristics
            	**type**\:  :py:class:`Switchport <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport>`
            
            .. attribute:: spanning_tree
            
            	Spanning Tree Subsystem
            	**type**\:  :py:class:`SpanningTree <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree>`
            
            	**presence node**\: True
            
            .. attribute:: storm_control
            
            	storm configuration
            	**type**\:  :py:class:`StormControl <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl>`
            
            .. attribute:: load_interval
            
            	Load interval delay in seconds
            	**type**\: int
            
            	**range:** 30..600
            
            .. attribute:: ip
            
            	IP template config
            	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE, self).__init__()

                self.yang_name = "TP_INTERFACE_TEMPLATE"
                self.yang_parent_name = "template"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"service-policy" : ("service_policy", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy), "switchport" : ("switchport", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport), "spanning-tree" : ("spanning_tree", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree), "storm-control" : ("storm_control", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl), "ip" : ("ip", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip)}
                self._child_list_classes = {}

                self.load_interval = YLeaf(YType.uint16, "load-interval")

                self.service_policy = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy()
                self.service_policy.parent = self
                self._children_name_map["service_policy"] = "service-policy"
                self._children_yang_names.add("service-policy")

                self.switchport = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport()
                self.switchport.parent = self
                self._children_name_map["switchport"] = "switchport"
                self._children_yang_names.add("switchport")

                self.spanning_tree = None
                self._children_name_map["spanning_tree"] = "spanning-tree"
                self._children_yang_names.add("spanning-tree")

                self.storm_control = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl()
                self.storm_control.parent = self
                self._children_name_map["storm_control"] = "storm-control"
                self._children_yang_names.add("storm-control")

                self.ip = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip()
                self.ip.parent = self
                self._children_name_map["ip"] = "ip"
                self._children_yang_names.add("ip")
                self._segment_path = lambda: "TP_INTERFACE_TEMPLATE"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE, ['load_interval'], name, value)


            class ServicePolicy(Entity):
                """
                Configure CPL Service Policy
                
                .. attribute:: input
                
                	Assign policy\-map to the input of an interface
                	**type**\:  :py:class:`Input <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy.Input>`
                
                .. attribute:: output
                
                	Assign policy\-map to the output of an interface
                	**type**\:  :py:class:`Output <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy.Output>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy, self).__init__()

                    self.yang_name = "service-policy"
                    self.yang_parent_name = "TP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"input" : ("input", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy.Input), "output" : ("output", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy.Output)}
                    self._child_list_classes = {}

                    self.input = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy.Input()
                    self.input.parent = self
                    self._children_name_map["input"] = "input"
                    self._children_yang_names.add("input")

                    self.output = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy.Output()
                    self.output.parent = self
                    self._children_name_map["output"] = "output"
                    self._children_yang_names.add("output")
                    self._segment_path = lambda: "service-policy"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Input(Entity):
                    """
                    Assign policy\-map to the input of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy.Input, self).__init__()

                        self.yang_name = "input"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "input"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy.Input, ['policy_map_name'], name, value)


                class Output(Entity):
                    """
                    Assign policy\-map to the output of an interface
                    
                    .. attribute:: policy_map_name
                    
                    	policy\-map name
                    	**type**\: str
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy.Output, self).__init__()

                        self.yang_name = "output"
                        self.yang_parent_name = "service-policy"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.policy_map_name = YLeaf(YType.str, "policy-map-name")
                        self._segment_path = lambda: "output"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/service-policy/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.ServicePolicy.Output, ['policy_map_name'], name, value)


            class Switchport(Entity):
                """
                Set switching mode characteristics
                
                .. attribute:: mode
                
                	Set trunking mode of the interface
                	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Mode>`
                
                .. attribute:: nonegotiate
                
                	Device will not engage in negotiation protocol on this interface
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: block
                
                	Disable forwarding of unknown uni/multi cast addresses
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Block>`
                
                .. attribute:: port_security
                
                	Security related command
                	**type**\:  :py:class:`PortSecurity <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity>`
                
                	**presence node**\: True
                
                .. attribute:: access
                
                	Set access mode characteristics of the interface
                	**type**\:  :py:class:`Access <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Access>`
                
                .. attribute:: voice
                
                	Voice appliance attributes
                	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Voice>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport, self).__init__()

                    self.yang_name = "switchport"
                    self.yang_parent_name = "TP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"mode" : ("mode", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Mode), "block" : ("block", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Block), "port-security" : ("port_security", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity), "access" : ("access", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Access), "voice" : ("voice", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Voice)}
                    self._child_list_classes = {}

                    self.nonegotiate = YLeaf(YType.empty, "nonegotiate")

                    self.mode = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Mode()
                    self.mode.parent = self
                    self._children_name_map["mode"] = "mode"
                    self._children_yang_names.add("mode")

                    self.block = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.port_security = None
                    self._children_name_map["port_security"] = "port-security"
                    self._children_yang_names.add("port-security")

                    self.access = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Access()
                    self.access.parent = self
                    self._children_name_map["access"] = "access"
                    self._children_yang_names.add("access")

                    self.voice = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Voice()
                    self.voice.parent = self
                    self._children_name_map["voice"] = "voice"
                    self._children_yang_names.add("voice")
                    self._segment_path = lambda: "switchport"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport, ['nonegotiate'], name, value)


                class Mode(Entity):
                    """
                    Set trunking mode of the interface
                    
                    .. attribute:: trunk
                    
                    	Set trunking mode to TRUNK unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: access
                    
                    	Set trunking mode to ACCESS unconditionally
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Mode, self).__init__()

                        self.yang_name = "mode"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.trunk = YLeaf(YType.empty, "trunk")

                        self.access = YLeaf(YType.empty, "access")
                        self._segment_path = lambda: "mode"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Mode, ['trunk', 'access'], name, value)


                class Block(Entity):
                    """
                    Disable forwarding of unknown uni/multi cast addresses
                    
                    .. attribute:: unicast
                    
                    	Block unknown unicast addresses
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.unicast = YLeaf(YType.empty, "unicast")
                        self._segment_path = lambda: "block"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Block, ['unicast'], name, value)


                class PortSecurity(Entity):
                    """
                    Security related command
                    
                    .. attribute:: aging
                    
                    	Port\-security aging commands
                    	**type**\:  :py:class:`Aging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Aging>`
                    
                    .. attribute:: maximum
                    
                    	Max secure addresses
                    	**type**\:  :py:class:`Maximum <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum>`
                    
                    .. attribute:: violation
                    
                    	Security violation mode
                    	**type**\:  :py:class:`Violation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Violation>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity, self).__init__()

                        self.yang_name = "port-security"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"aging" : ("aging", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Aging), "maximum" : ("maximum", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum), "violation" : ("violation", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Violation)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.aging = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Aging()
                        self.aging.parent = self
                        self._children_name_map["aging"] = "aging"
                        self._children_yang_names.add("aging")

                        self.maximum = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum()
                        self.maximum.parent = self
                        self._children_name_map["maximum"] = "maximum"
                        self._children_yang_names.add("maximum")

                        self.violation = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Violation()
                        self.violation.parent = self
                        self._children_name_map["violation"] = "violation"
                        self._children_yang_names.add("violation")
                        self._segment_path = lambda: "port-security"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()


                    class Aging(Entity):
                        """
                        Port\-security aging commands
                        
                        .. attribute:: static
                        
                        	Enable aging for configured secure addresses
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: time
                        
                        	Port\-security aging time
                        	**type**\: int
                        
                        	**range:** 1..1440
                        
                        .. attribute:: type
                        
                        	Port\-security aging type
                        	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Aging, self).__init__()

                            self.yang_name = "aging"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"type" : ("type", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type)}
                            self._child_list_classes = {}

                            self.static = YLeaf(YType.empty, "static")

                            self.time = YLeaf(YType.uint16, "time")

                            self.type = None
                            self._children_name_map["type"] = "type"
                            self._children_yang_names.add("type")
                            self._segment_path = lambda: "aging"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Aging, ['static', 'time'], name, value)


                        class Type(Entity):
                            """
                            Port\-security aging type
                            
                            .. attribute:: inactivity
                            
                            	Aging based on inactivity time period
                            	**type**\: :py:class:`Empty<ydk.types.Empty>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, self).__init__()

                                self.yang_name = "type"
                                self.yang_parent_name = "aging"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.inactivity = YLeaf(YType.empty, "inactivity")
                                self._segment_path = lambda: "type"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/switchport/port-security/aging/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Aging.Type, ['inactivity'], name, value)


                    class Maximum(Entity):
                        """
                        Max secure addresses
                        
                        .. attribute:: range
                        
                        	
                        	**type**\: list of  		 :py:class:`Range <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, self).__init__()

                            self.yang_name = "maximum"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"range" : ("range", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range)}

                            self.range = YList(self)
                            self._segment_path = lambda: "maximum"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum, [], name, value)


                        class Range(Entity):
                            """
                            
                            
                            .. attribute:: range  <key>
                            
                            	Maximum addresses
                            	**type**\: int
                            
                            	**range:** 1..3072
                            
                            .. attribute:: vlan
                            
                            	Max secure addresses per vlan
                            	**type**\:  :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, self).__init__()

                                self.yang_name = "range"
                                self.yang_parent_name = "maximum"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"vlan" : ("vlan", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan)}
                                self._child_list_classes = {}

                                self.range = YLeaf(YType.uint16, "range")

                                self.vlan = None
                                self._children_name_map["vlan"] = "vlan"
                                self._children_yang_names.add("vlan")
                                self._segment_path = lambda: "range" + "[range='" + self.range.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/switchport/port-security/maximum/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range, ['range'], name, value)


                            class Vlan(Entity):
                                """
                                Max secure addresses per vlan
                                
                                .. attribute:: access
                                
                                	access vlan
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-sw'
                                _revision = '2017-03-31'

                                def __init__(self):
                                    super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, self).__init__()

                                    self.yang_name = "vlan"
                                    self.yang_parent_name = "range"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}
                                    self.is_presence_container = True

                                    self.access = YLeaf(YType.empty, "access")
                                    self._segment_path = lambda: "vlan"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Maximum.Range.Vlan, ['access'], name, value)


                    class Violation(Entity):
                        """
                        Security violation mode
                        
                        .. attribute:: restrict
                        
                        	Security violation restrict mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: shutdown
                        
                        	Security violation shutdown mode
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Violation, self).__init__()

                            self.yang_name = "violation"
                            self.yang_parent_name = "port-security"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.restrict = YLeaf(YType.empty, "restrict")

                            self.shutdown = YLeaf(YType.empty, "shutdown")
                            self._segment_path = lambda: "violation"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/switchport/port-security/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.PortSecurity.Violation, ['restrict', 'shutdown'], name, value)


                class Access(Entity):
                    """
                    Set access mode characteristics of the interface
                    
                    .. attribute:: vlan
                    
                    	VLAN ID of the VLAN when this port is in access mode
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Access, self).__init__()

                        self.yang_name = "access"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "access"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Access, ['vlan'], name, value)


                class Voice(Entity):
                    """
                    Voice appliance attributes
                    
                    .. attribute:: vlan
                    
                    	Vlan for voice traffic
                    	**type**\: int
                    
                    	**range:** 1..4094
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Voice, self).__init__()

                        self.yang_name = "voice"
                        self.yang_parent_name = "switchport"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.vlan = YLeaf(YType.uint16, "vlan")
                        self._segment_path = lambda: "voice"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/switchport/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Switchport.Voice, ['vlan'], name, value)


            class SpanningTree(Entity):
                """
                Spanning Tree Subsystem
                
                .. attribute:: bpduguard
                
                	Don't accept BPDUs on this interface
                	**type**\:  :py:class:`Bpduguard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree.Bpduguard>`
                
                .. attribute:: service_policy
                
                	help
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                .. attribute:: portfast
                
                	Portfast options for the interface
                	**type**\:  :py:class:`Portfast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree.Portfast>`
                
                

                This class is a :ref:`presence class<presence-class>`

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree, self).__init__()

                    self.yang_name = "spanning-tree"
                    self.yang_parent_name = "TP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"bpduguard" : ("bpduguard", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree.Bpduguard), "portfast" : ("portfast", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree.Portfast)}
                    self._child_list_classes = {}
                    self.is_presence_container = True

                    self.service_policy = YLeaf(YType.empty, "service-policy")

                    self.bpduguard = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree.Bpduguard()
                    self.bpduguard.parent = self
                    self._children_name_map["bpduguard"] = "bpduguard"
                    self._children_yang_names.add("bpduguard")

                    self.portfast = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree.Portfast()
                    self.portfast.parent = self
                    self._children_name_map["portfast"] = "portfast"
                    self._children_yang_names.add("portfast")
                    self._segment_path = lambda: "spanning-tree"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree, ['service_policy'], name, value)


                class Bpduguard(Entity):
                    """
                    Don't accept BPDUs on this interface
                    
                    .. attribute:: enable
                    
                    	Enable BPDU guard for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree.Bpduguard, self).__init__()

                        self.yang_name = "bpduguard"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.enable = YLeaf(YType.empty, "enable")
                        self._segment_path = lambda: "bpduguard"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree.Bpduguard, ['enable'], name, value)


                class Portfast(Entity):
                    """
                    Portfast options for the interface
                    
                    .. attribute:: disable
                    
                    	Disable portfast for this interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: edge
                    
                    	Enable portfast edge on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: network
                    
                    	Enable portfast network on the interface
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree.Portfast, self).__init__()

                        self.yang_name = "portfast"
                        self.yang_parent_name = "spanning-tree"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.disable = YLeaf(YType.empty, "disable")

                        self.edge = YLeaf(YType.empty, "edge")

                        self.network = YLeaf(YType.empty, "network")
                        self._segment_path = lambda: "portfast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/spanning-tree/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.SpanningTree.Portfast, ['disable', 'edge', 'network'], name, value)


            class StormControl(Entity):
                """
                storm configuration
                
                .. attribute:: broadcast
                
                	Broadcast address storm control
                	**type**\:  :py:class:`Broadcast <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast>`
                
                .. attribute:: action
                
                	Action to take for storm\-control
                	**type**\:  :py:class:`Action <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Action>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl, self).__init__()

                    self.yang_name = "storm-control"
                    self.yang_parent_name = "TP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"broadcast" : ("broadcast", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast), "action" : ("action", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Action)}
                    self._child_list_classes = {}

                    self.broadcast = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast()
                    self.broadcast.parent = self
                    self._children_name_map["broadcast"] = "broadcast"
                    self._children_yang_names.add("broadcast")

                    self.action = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Action()
                    self.action.parent = self
                    self._children_name_map["action"] = "action"
                    self._children_yang_names.add("action")
                    self._segment_path = lambda: "storm-control"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Broadcast(Entity):
                    """
                    Broadcast address storm control
                    
                    .. attribute:: level
                    
                    	Set storm suppression level on this interface
                    	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast, self).__init__()

                        self.yang_name = "broadcast"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"level" : ("level", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level)}
                        self._child_list_classes = {}

                        self.level = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level()
                        self.level.parent = self
                        self._children_name_map["level"] = "level"
                        self._children_yang_names.add("level")
                        self._segment_path = lambda: "broadcast"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()


                    class Level(Entity):
                        """
                        Set storm suppression level on this interface
                        
                        .. attribute:: pps
                        
                        	Enter suppression level in packets per second
                        	**type**\:  :py:class:`Pps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps>`
                        
                        .. attribute:: bps
                        
                        	Enter suppression level in bits per second
                        	**type**\:  :py:class:`Bps <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps>`
                        
                        .. attribute:: threshold
                        
                        	Enter threshold
                        	**type**\: Decimal64
                        
                        	**range:** 0.00..100.00
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level, self).__init__()

                            self.yang_name = "level"
                            self.yang_parent_name = "broadcast"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"pps" : ("pps", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps), "bps" : ("bps", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps)}
                            self._child_list_classes = {}

                            self.threshold = YLeaf(YType.str, "threshold")

                            self.pps = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps()
                            self.pps.parent = self
                            self._children_name_map["pps"] = "pps"
                            self._children_yang_names.add("pps")

                            self.bps = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps()
                            self.bps.parent = self
                            self._children_name_map["bps"] = "bps"
                            self._children_yang_names.add("bps")
                            self._segment_path = lambda: "level"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/storm-control/broadcast/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level, ['threshold'], name, value)


                        class Pps(Entity):
                            """
                            Enter suppression level in packets per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, self).__init__()

                                self.yang_name = "pps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")
                                self._segment_path = lambda: "pps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level.Pps, ['threshold'], name, value)


                        class Bps(Entity):
                            """
                            Enter suppression level in bits per second
                            
                            .. attribute:: threshold
                            
                            	Enter threshold
                            	**type**\: Decimal64
                            
                            	**range:** 0.0..10000000000.0
                            
                            .. attribute:: b_unit
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, self).__init__()

                                self.yang_name = "bps"
                                self.yang_parent_name = "level"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.threshold = YLeaf(YType.str, "threshold")

                                self.b_unit = YLeaf(YType.str, "b-unit")
                                self._segment_path = lambda: "bps"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/storm-control/broadcast/level/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Broadcast.Level.Bps, ['threshold', 'b_unit'], name, value)


                class Action(Entity):
                    """
                    Action to take for storm\-control
                    
                    .. attribute:: shutdown
                    
                    	Shutdown this interface if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    .. attribute:: trap
                    
                    	Send SNMP trap if a storm occurs
                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Action, self).__init__()

                        self.yang_name = "action"
                        self.yang_parent_name = "storm-control"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.shutdown = YLeaf(YType.empty, "shutdown")

                        self.trap = YLeaf(YType.empty, "trap")
                        self._segment_path = lambda: "action"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/storm-control/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.StormControl.Action, ['shutdown', 'trap'], name, value)


            class Ip(Entity):
                """
                IP template config
                
                .. attribute:: dhcp
                
                	DHCP template config
                	**type**\:  :py:class:`Dhcp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip.Dhcp>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip, self).__init__()

                    self.yang_name = "ip"
                    self.yang_parent_name = "TP_INTERFACE_TEMPLATE"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"dhcp" : ("dhcp", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip.Dhcp)}
                    self._child_list_classes = {}

                    self.dhcp = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip.Dhcp()
                    self.dhcp.parent = self
                    self._children_name_map["dhcp"] = "dhcp"
                    self._children_yang_names.add("dhcp")
                    self._segment_path = lambda: "ip"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/%s" % self._segment_path()


                class Dhcp(Entity):
                    """
                    DHCP template config
                    
                    .. attribute:: snooping
                    
                    	DHCP Snooping
                    	**type**\:  :py:class:`Snooping <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip.Dhcp.Snooping>`
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip.Dhcp, self).__init__()

                        self.yang_name = "dhcp"
                        self.yang_parent_name = "ip"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"snooping" : ("snooping", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip.Dhcp.Snooping)}
                        self._child_list_classes = {}

                        self.snooping = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip.Dhcp.Snooping()
                        self.snooping.parent = self
                        self._children_name_map["snooping"] = "snooping"
                        self._children_yang_names.add("snooping")
                        self._segment_path = lambda: "dhcp"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/ip/%s" % self._segment_path()


                    class Snooping(Entity):
                        """
                        DHCP Snooping
                        
                        .. attribute:: limit
                        
                        	DHCP Snooping limit
                        	**type**\:  :py:class:`Limit <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit>`
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip.Dhcp.Snooping, self).__init__()

                            self.yang_name = "snooping"
                            self.yang_parent_name = "dhcp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"limit" : ("limit", Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit)}
                            self._child_list_classes = {}

                            self.limit = Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit()
                            self.limit.parent = self
                            self._children_name_map["limit"] = "limit"
                            self._children_yang_names.add("limit")
                            self._segment_path = lambda: "snooping"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/ip/dhcp/%s" % self._segment_path()


                        class Limit(Entity):
                            """
                            DHCP Snooping limit
                            
                            .. attribute:: rate
                            
                            	DHCP snooping rate limit
                            	**type**\: int
                            
                            	**range:** 1..2048
                            
                            

                            """

                            _prefix = 'ios-sw'
                            _revision = '2017-03-31'

                            def __init__(self):
                                super(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, self).__init__()

                                self.yang_name = "limit"
                                self.yang_parent_name = "snooping"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.rate = YLeaf(YType.uint16, "rate")
                                self._segment_path = lambda: "limit"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:template/TP_INTERFACE_TEMPLATE/ip/dhcp/snooping/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.CiscoIOSXESwitchTemplate.TPINTERFACETEMPLATE.Ip.Dhcp.Snooping.Limit, ['rate'], name, value)


    class ServiceTemplate(Entity):
        """
        Configure a service\-template/identity policy
        
        .. attribute:: word  <key>
        
        	
        	**type**\: str
        
        .. attribute:: inactivity_timer
        
        	Inactivity timeout value in seconds
        	**type**\:  :py:class:`InactivityTimer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceTemplate.InactivityTimer>`
        
        .. attribute:: vlan
        
        	Vlan to be applied
        	**type**\: int
        
        	**range:** 1..4094
        
        .. attribute:: linksec
        
        	Configure link security parameters
        	**type**\:  :py:class:`Linksec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceTemplate.Linksec>`
        
        .. attribute:: voice
        
        	Voice feature
        	**type**\:  :py:class:`Voice <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceTemplate.Voice>`
        
        .. attribute:: sgt
        
        	SGT tag
        	**type**\: int
        
        	**range:** 2..65519
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-03-31'

        def __init__(self):
            super(Native.ServiceTemplate, self).__init__()

            self.yang_name = "service-template"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"inactivity-timer" : ("inactivity_timer", Native.ServiceTemplate.InactivityTimer), "linksec" : ("linksec", Native.ServiceTemplate.Linksec), "voice" : ("voice", Native.ServiceTemplate.Voice)}
            self._child_list_classes = {}

            self.word = YLeaf(YType.str, "word")

            self.vlan = YLeaf(YType.uint16, "vlan")

            self.sgt = YLeaf(YType.uint16, "sgt")

            self.inactivity_timer = Native.ServiceTemplate.InactivityTimer()
            self.inactivity_timer.parent = self
            self._children_name_map["inactivity_timer"] = "inactivity-timer"
            self._children_yang_names.add("inactivity-timer")

            self.linksec = Native.ServiceTemplate.Linksec()
            self.linksec.parent = self
            self._children_name_map["linksec"] = "linksec"
            self._children_yang_names.add("linksec")

            self.voice = Native.ServiceTemplate.Voice()
            self.voice.parent = self
            self._children_name_map["voice"] = "voice"
            self._children_yang_names.add("voice")
            self._segment_path = lambda: "Cisco-IOS-XE-switch:service-template" + "[word='" + self.word.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.ServiceTemplate, ['word', 'vlan', 'sgt'], name, value)


        class InactivityTimer(Entity):
            """
            Inactivity timeout value in seconds
            
            .. attribute:: value
            
            	Enter a value between 1 and 65535
            	**type**\: int
            
            	**range:** 1..65535
            
            .. attribute:: probe
            
            	ARP probe
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.ServiceTemplate.InactivityTimer, self).__init__()

                self.yang_name = "inactivity-timer"
                self.yang_parent_name = "service-template"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.value = YLeaf(YType.uint16, "value")

                self.probe = YLeaf(YType.empty, "probe")
                self._segment_path = lambda: "inactivity-timer"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ServiceTemplate.InactivityTimer, ['value', 'probe'], name, value)


        class Linksec(Entity):
            """
            Configure link security parameters
            
            .. attribute:: policy
            
            	Set the link security policy
            	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.ServiceTemplate.Linksec.Policy>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.ServiceTemplate.Linksec, self).__init__()

                self.yang_name = "linksec"
                self.yang_parent_name = "service-template"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.policy = YLeaf(YType.enumeration, "policy")
                self._segment_path = lambda: "linksec"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ServiceTemplate.Linksec, ['policy'], name, value)

            class Policy(Enum):
                """
                Policy

                Set the link security policy

                .. data:: must_not_secure = 0

                .. data:: must_secure = 1

                .. data:: should_secure = 2

                """

                must_not_secure = Enum.YLeaf(0, "must-not-secure")

                must_secure = Enum.YLeaf(1, "must-secure")

                should_secure = Enum.YLeaf(2, "should-secure")



        class Voice(Entity):
            """
            Voice feature
            
            .. attribute:: vlan
            
            	Critical voice vlan
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.ServiceTemplate.Voice, self).__init__()

                self.yang_name = "voice"
                self.yang_parent_name = "service-template"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.vlan = YLeaf(YType.empty, "vlan")
                self._segment_path = lambda: "voice"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.ServiceTemplate.Voice, ['vlan'], name, value)


    class Switch(Entity):
        """
        Config commands for the switches in the stack
        
        .. attribute:: number  <key>
        
        	
        	**type**\: int
        
        	**range:** 1..9
        
        .. attribute:: provision
        
        	Configure Switch provision / offline config
        	**type**\:  :py:class:`Provision <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Switch.Provision>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-03-31'

        def __init__(self):
            super(Native.Switch, self).__init__()

            self.yang_name = "switch"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.number = YLeaf(YType.uint8, "number")

            self.provision = YLeaf(YType.enumeration, "provision")
            self._segment_path = lambda: "Cisco-IOS-XE-switch:switch" + "[number='" + self.number.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Switch, ['number', 'provision'], name, value)

        class Provision(Enum):
            """
            Provision

            Configure Switch provision / offline config

            .. data:: ws_c2960x_24pd_l = 0

            .. data:: ws_c3650_48ps = 1

            .. data:: ws_c3650_24ps = 2

            .. data:: ws_c3850_48p = 3

            .. data:: ws_c3850_24p = 4

            .. data:: ws_c3850_48t = 5

            .. data:: ws_c3850_24t = 6

            .. data:: ws_c3850_48f = 7

            .. data:: ws_c3850_48u = 8

            .. data:: ws_c3850_24u = 9

            .. data:: ws_c3850_12x48u = 10

            .. data:: ws_c3850_24xu = 11

            .. data:: ws_c3850_24ux = 12

            .. data:: ws_c3850_12s = 13

            .. data:: ws_c3850_24s = 14

            .. data:: ws_c3850_12xs = 15

            .. data:: ws_c3850_24xs = 16

            .. data:: ws_c3850_48xs = 17

            .. data:: ws_c3650_12x48fd = 18

            .. data:: ws_c3650_12x48uq = 19

            .. data:: ws_c3650_12x48ur = 20

            .. data:: ws_c3650_12x48uz = 21

            .. data:: ws_c3650_24pd = 22

            .. data:: ws_c3650_24pdm = 23

            .. data:: ws_c3650_24td = 24

            .. data:: ws_c3650_24ts = 25

            .. data:: ws_c3650_48fqm = 26

            .. data:: ws_c3650_48pd = 27

            .. data:: ws_c3650_48pq = 28

            .. data:: ws_c3650_48td = 29

            .. data:: ws_c3650_48tq = 30

            .. data:: ws_c3650_48ts = 31

            .. data:: ws_c3650_8x24pd = 32

            .. data:: ws_c3650_8x24uq = 33

            .. data:: ws_c3750x_24p = 34

            .. data:: ws_c3750x_12s = 35

            .. data:: ws_c3850_12x48au = 36

            .. data:: c9300_24p = 37

            .. data:: c9300_24t = 38

            .. data:: c9300_24u = 39

            .. data:: c9300_48p = 40

            .. data:: c9300_48t = 41

            .. data:: c9300_48u = 42

            """

            ws_c2960x_24pd_l = Enum.YLeaf(0, "ws-c2960x-24pd-l")

            ws_c3650_48ps = Enum.YLeaf(1, "ws-c3650-48ps")

            ws_c3650_24ps = Enum.YLeaf(2, "ws-c3650-24ps")

            ws_c3850_48p = Enum.YLeaf(3, "ws-c3850-48p")

            ws_c3850_24p = Enum.YLeaf(4, "ws-c3850-24p")

            ws_c3850_48t = Enum.YLeaf(5, "ws-c3850-48t")

            ws_c3850_24t = Enum.YLeaf(6, "ws-c3850-24t")

            ws_c3850_48f = Enum.YLeaf(7, "ws-c3850-48f")

            ws_c3850_48u = Enum.YLeaf(8, "ws-c3850-48u")

            ws_c3850_24u = Enum.YLeaf(9, "ws-c3850-24u")

            ws_c3850_12x48u = Enum.YLeaf(10, "ws-c3850-12x48u")

            ws_c3850_24xu = Enum.YLeaf(11, "ws-c3850-24xu")

            ws_c3850_24ux = Enum.YLeaf(12, "ws-c3850-24ux")

            ws_c3850_12s = Enum.YLeaf(13, "ws-c3850-12s")

            ws_c3850_24s = Enum.YLeaf(14, "ws-c3850-24s")

            ws_c3850_12xs = Enum.YLeaf(15, "ws-c3850-12xs")

            ws_c3850_24xs = Enum.YLeaf(16, "ws-c3850-24xs")

            ws_c3850_48xs = Enum.YLeaf(17, "ws-c3850-48xs")

            ws_c3650_12x48fd = Enum.YLeaf(18, "ws-c3650-12x48fd")

            ws_c3650_12x48uq = Enum.YLeaf(19, "ws-c3650-12x48uq")

            ws_c3650_12x48ur = Enum.YLeaf(20, "ws-c3650-12x48ur")

            ws_c3650_12x48uz = Enum.YLeaf(21, "ws-c3650-12x48uz")

            ws_c3650_24pd = Enum.YLeaf(22, "ws-c3650-24pd")

            ws_c3650_24pdm = Enum.YLeaf(23, "ws-c3650-24pdm")

            ws_c3650_24td = Enum.YLeaf(24, "ws-c3650-24td")

            ws_c3650_24ts = Enum.YLeaf(25, "ws-c3650-24ts")

            ws_c3650_48fqm = Enum.YLeaf(26, "ws-c3650-48fqm")

            ws_c3650_48pd = Enum.YLeaf(27, "ws-c3650-48pd")

            ws_c3650_48pq = Enum.YLeaf(28, "ws-c3650-48pq")

            ws_c3650_48td = Enum.YLeaf(29, "ws-c3650-48td")

            ws_c3650_48tq = Enum.YLeaf(30, "ws-c3650-48tq")

            ws_c3650_48ts = Enum.YLeaf(31, "ws-c3650-48ts")

            ws_c3650_8x24pd = Enum.YLeaf(32, "ws-c3650-8x24pd")

            ws_c3650_8x24uq = Enum.YLeaf(33, "ws-c3650-8x24uq")

            ws_c3750x_24p = Enum.YLeaf(34, "ws-c3750x-24p")

            ws_c3750x_12s = Enum.YLeaf(35, "ws-c3750x-12s")

            ws_c3850_12x48au = Enum.YLeaf(36, "ws-c3850-12x48au")

            c9300_24p = Enum.YLeaf(37, "c9300-24p")

            c9300_24t = Enum.YLeaf(38, "c9300-24t")

            c9300_24u = Enum.YLeaf(39, "c9300-24u")

            c9300_48p = Enum.YLeaf(40, "c9300-48p")

            c9300_48t = Enum.YLeaf(41, "c9300-48t")

            c9300_48u = Enum.YLeaf(42, "c9300-48u")



    class SwitchVirtual(Entity):
        """
        
        
        .. attribute:: domain  <key>
        
        	
        	**type**\: int
        
        	**range:** 0..4294967295
        
        .. attribute:: virtual
        
        	
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: switch
        
        	Configure switch command
        	**type**\:  :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.Switch>`
        
        .. attribute:: mac_address
        
        	
        	**type**\:  :py:class:`MacAddress <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.MacAddress>`
        
        .. attribute:: dual_active
        
        	Virtual switch dual\-active config
        	**type**\:  :py:class:`DualActive <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.DualActive>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-03-31'

        def __init__(self):
            super(Native.SwitchVirtual, self).__init__()

            self.yang_name = "switch-virtual"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"switch" : ("switch", Native.SwitchVirtual.Switch), "mac-address" : ("mac_address", Native.SwitchVirtual.MacAddress), "dual-active" : ("dual_active", Native.SwitchVirtual.DualActive)}
            self._child_list_classes = {}

            self.domain = YLeaf(YType.uint32, "domain")

            self.virtual = YLeaf(YType.empty, "virtual")

            self.switch = Native.SwitchVirtual.Switch()
            self.switch.parent = self
            self._children_name_map["switch"] = "switch"
            self._children_yang_names.add("switch")

            self.mac_address = Native.SwitchVirtual.MacAddress()
            self.mac_address.parent = self
            self._children_name_map["mac_address"] = "mac-address"
            self._children_yang_names.add("mac-address")

            self.dual_active = Native.SwitchVirtual.DualActive()
            self.dual_active.parent = self
            self._children_name_map["dual_active"] = "dual-active"
            self._children_yang_names.add("dual-active")
            self._segment_path = lambda: "Cisco-IOS-XE-switch:switch-virtual" + "[domain='" + self.domain.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.SwitchVirtual, ['domain', 'virtual'], name, value)


        class Switch(Entity):
            """
            Configure switch command
            
            .. attribute:: switch_number
            
            	Virtual switch number
            	**type**\: int
            
            	**range:** 1..2
            
            .. attribute:: priority
            
            	Virtual switch priority value
            	**type**\: int
            
            	**range:** 0..4294967295
            
            .. attribute:: mode
            
            	
            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.Switch.Mode>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.SwitchVirtual.Switch, self).__init__()

                self.yang_name = "switch"
                self.yang_parent_name = "switch-virtual"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.switch_number = YLeaf(YType.uint32, "switch-number")

                self.priority = YLeaf(YType.uint32, "priority")

                self.mode = YLeaf(YType.enumeration, "mode")
                self._segment_path = lambda: "switch"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SwitchVirtual.Switch, ['switch_number', 'priority', 'mode'], name, value)

            class Mode(Enum):
                """
                Mode

                .. data:: virtual = 0

                """

                virtual = Enum.YLeaf(0, "virtual")



        class MacAddress(Entity):
            """
            
            
            .. attribute:: use_virtual
            
            	
            	**type**\: :py:class:`Empty<ydk.types.Empty>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.SwitchVirtual.MacAddress, self).__init__()

                self.yang_name = "mac-address"
                self.yang_parent_name = "switch-virtual"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.use_virtual = YLeaf(YType.empty, "use-virtual")
                self._segment_path = lambda: "mac-address"

            def __setattr__(self, name, value):
                self._perform_setattr(Native.SwitchVirtual.MacAddress, ['use_virtual'], name, value)


        class DualActive(Entity):
            """
            Virtual switch dual\-active config
            
            .. attribute:: recovery
            
            	Recovery IP address
            	**type**\:  :py:class:`Recovery <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.DualActive.Recovery>`
            
            .. attribute:: detection
            
            	Dual\-active detection enable
            	**type**\:  :py:class:`Detection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.DualActive.Detection>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.SwitchVirtual.DualActive, self).__init__()

                self.yang_name = "dual-active"
                self.yang_parent_name = "switch-virtual"
                self.is_top_level_class = False
                self.has_list_ancestor = True
                self._child_container_classes = {"recovery" : ("recovery", Native.SwitchVirtual.DualActive.Recovery), "detection" : ("detection", Native.SwitchVirtual.DualActive.Detection)}
                self._child_list_classes = {}

                self.recovery = Native.SwitchVirtual.DualActive.Recovery()
                self.recovery.parent = self
                self._children_name_map["recovery"] = "recovery"
                self._children_yang_names.add("recovery")

                self.detection = Native.SwitchVirtual.DualActive.Detection()
                self.detection.parent = self
                self._children_name_map["detection"] = "detection"
                self._children_yang_names.add("detection")
                self._segment_path = lambda: "dual-active"


            class Recovery(Entity):
                """
                Recovery IP address
                
                .. attribute:: switch
                
                	Switch ID for recovery IP address
                	**type**\: int
                
                	**range:** 1..2
                
                .. attribute:: ip
                
                	Recovery IP address
                	**type**\:  :py:class:`Ip <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.DualActive.Recovery.Ip>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.SwitchVirtual.DualActive.Recovery, self).__init__()

                    self.yang_name = "recovery"
                    self.yang_parent_name = "dual-active"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"ip" : ("ip", Native.SwitchVirtual.DualActive.Recovery.Ip)}
                    self._child_list_classes = {}

                    self.switch = YLeaf(YType.uint8, "switch")

                    self.ip = Native.SwitchVirtual.DualActive.Recovery.Ip()
                    self.ip.parent = self
                    self._children_name_map["ip"] = "ip"
                    self._children_yang_names.add("ip")
                    self._segment_path = lambda: "recovery"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.SwitchVirtual.DualActive.Recovery, ['switch'], name, value)


                class Ip(Entity):
                    """
                    Recovery IP address
                    
                    .. attribute:: address
                    
                    	Recovery IP address
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    .. attribute:: mask
                    
                    	IP address mask
                    	**type**\: str
                    
                    	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.SwitchVirtual.DualActive.Recovery.Ip, self).__init__()

                        self.yang_name = "ip"
                        self.yang_parent_name = "recovery"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {}
                        self._child_list_classes = {}

                        self.address = YLeaf(YType.str, "address")

                        self.mask = YLeaf(YType.str, "mask")
                        self._segment_path = lambda: "ip"

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.SwitchVirtual.DualActive.Recovery.Ip, ['address', 'mask'], name, value)


            class Detection(Entity):
                """
                Dual\-active detection enable
                
                .. attribute:: pagp
                
                	Dual\-active detection using PAgP
                	**type**\:  :py:class:`Pagp <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.DualActive.Detection.Pagp>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.SwitchVirtual.DualActive.Detection, self).__init__()

                    self.yang_name = "detection"
                    self.yang_parent_name = "dual-active"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {"pagp" : ("pagp", Native.SwitchVirtual.DualActive.Detection.Pagp)}
                    self._child_list_classes = {}

                    self.pagp = None
                    self._children_name_map["pagp"] = "pagp"
                    self._children_yang_names.add("pagp")
                    self._segment_path = lambda: "detection"


                class Pagp(Entity):
                    """
                    Dual\-active detection using PAgP
                    
                    .. attribute:: trust
                    
                    	Trusted channels for PAgP dual\-active detection
                    	**type**\:  :py:class:`Trust <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.SwitchVirtual.DualActive.Detection.Pagp.Trust>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.SwitchVirtual.DualActive.Detection.Pagp, self).__init__()

                        self.yang_name = "pagp"
                        self.yang_parent_name = "detection"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"trust" : ("trust", Native.SwitchVirtual.DualActive.Detection.Pagp.Trust)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.trust = Native.SwitchVirtual.DualActive.Detection.Pagp.Trust()
                        self.trust.parent = self
                        self._children_name_map["trust"] = "trust"
                        self._children_yang_names.add("trust")
                        self._segment_path = lambda: "pagp"


                    class Trust(Entity):
                        """
                        Trusted channels for PAgP dual\-active detection
                        
                        .. attribute:: channel_group
                        
                        	Etherchannel/port bundle to be used for pagp dual\-active detection
                        	**type**\: int
                        
                        	**range:** 1..254
                        
                        

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.SwitchVirtual.DualActive.Detection.Pagp.Trust, self).__init__()

                            self.yang_name = "trust"
                            self.yang_parent_name = "pagp"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.channel_group = YLeaf(YType.uint8, "channel-group")
                            self._segment_path = lambda: "trust"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.SwitchVirtual.DualActive.Detection.Pagp.Trust, ['channel_group'], name, value)


    class Device(Entity):
        """
        device classifier configuration
        
        .. attribute:: classifier
        
        	Enable/Disable classification of attached devices
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-03-31'

        def __init__(self):
            super(Native.Device, self).__init__()

            self.yang_name = "device"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.classifier = YLeaf(YType.empty, "classifier")
            self._segment_path = lambda: "Cisco-IOS-XE-switch:device"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Device, ['classifier'], name, value)


    class StackMac(Entity):
        """
        Global stack mac\-address feature configurations
        
        .. attribute:: persistent
        
        	persistent stack mac\-address
        	**type**\:  :py:class:`Persistent <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.StackMac.Persistent>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-03-31'

        def __init__(self):
            super(Native.StackMac, self).__init__()

            self.yang_name = "stack-mac"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"persistent" : ("persistent", Native.StackMac.Persistent)}
            self._child_list_classes = {}

            self.persistent = Native.StackMac.Persistent()
            self.persistent.parent = self
            self._children_name_map["persistent"] = "persistent"
            self._children_yang_names.add("persistent")
            self._segment_path = lambda: "Cisco-IOS-XE-switch:stack-mac"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Persistent(Entity):
            """
            persistent stack mac\-address
            
            .. attribute:: timer
            
            	use stack mac\-address timer after master failure( 0 means still using the current MAC)
            	**type**\: int
            
            	**range:** 0..60
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.StackMac.Persistent, self).__init__()

                self.yang_name = "persistent"
                self.yang_parent_name = "stack-mac"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.timer = YLeaf(YType.uint8, "timer")
                self._segment_path = lambda: "persistent"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:stack-mac/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.StackMac.Persistent, ['timer'], name, value)


    class L2ProtocolTunnel(Entity):
        """
        Tunnel Layer2 protocols
        
        .. attribute:: cos
        
        	Class of Service
        	**type**\: int
        
        	**range:** 0..7
        
        .. attribute:: global_
        
        	Global settings
        	**type**\:  :py:class:`Global_ <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.L2ProtocolTunnel.Global_>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-03-31'

        def __init__(self):
            super(Native.L2ProtocolTunnel, self).__init__()

            self.yang_name = "l2protocol-tunnel"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"global" : ("global_", Native.L2ProtocolTunnel.Global_)}
            self._child_list_classes = {}

            self.cos = YLeaf(YType.uint8, "cos")

            self.global_ = Native.L2ProtocolTunnel.Global_()
            self.global_.parent = self
            self._children_name_map["global_"] = "global"
            self._children_yang_names.add("global")
            self._segment_path = lambda: "Cisco-IOS-XE-switch:l2protocol-tunnel"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.L2ProtocolTunnel, ['cos'], name, value)


        class Global_(Entity):
            """
            Global settings
            
            .. attribute:: drop_threshold
            
            	L2PT packets drop threshold
            	**type**\: int
            
            	**range:** 100..20000
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.L2ProtocolTunnel.Global_, self).__init__()

                self.yang_name = "global"
                self.yang_parent_name = "l2protocol-tunnel"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {}

                self.drop_threshold = YLeaf(YType.uint16, "drop-threshold")
                self._segment_path = lambda: "global"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:l2protocol-tunnel/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.L2ProtocolTunnel.Global_, ['drop_threshold'], name, value)


    class Rep(Entity):
        """
        Resilient Ethernet Protocol characteristics
        
        .. attribute:: admin
        
        	administrative configuration
        	**type**\:  :py:class:`Admin <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rep.Admin>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-03-31'

        def __init__(self):
            super(Native.Rep, self).__init__()

            self.yang_name = "rep"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"admin" : ("admin", Native.Rep.Admin)}
            self._child_list_classes = {}

            self.admin = Native.Rep.Admin()
            self.admin.parent = self
            self._children_name_map["admin"] = "admin"
            self._children_yang_names.add("admin")
            self._segment_path = lambda: "Cisco-IOS-XE-switch:rep"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Admin(Entity):
            """
            administrative configuration
            
            .. attribute:: vlan
            
            	VLAN
            	**type**\: list of  		 :py:class:`Vlan <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Rep.Admin.Vlan>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.Rep.Admin, self).__init__()

                self.yang_name = "admin"
                self.yang_parent_name = "rep"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"vlan" : ("vlan", Native.Rep.Admin.Vlan)}

                self.vlan = YList(self)
                self._segment_path = lambda: "admin"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:rep/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Rep.Admin, [], name, value)


            class Vlan(Entity):
                """
                VLAN
                
                .. attribute:: name  <key>
                
                	
                	**type**\: int
                
                	**range:** 2..4094
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.Rep.Admin.Vlan, self).__init__()

                    self.yang_name = "vlan"
                    self.yang_parent_name = "admin"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.name = YLeaf(YType.uint16, "name")
                    self._segment_path = lambda: "vlan" + "[name='" + self.name.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:rep/admin/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Rep.Admin.Vlan, ['name'], name, value)


    class HwSwitch(Entity):
        """
        Hw\-switch
        
        .. attribute:: switch
        
        	Switch in the system
        	**type**\:  :py:class:`Switch <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwSwitch.Switch>`
        
        

        """

        _prefix = 'ios-sw'
        _revision = '2017-03-31'

        def __init__(self):
            super(Native.HwSwitch, self).__init__()

            self.yang_name = "hw-switch"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"switch" : ("switch", Native.HwSwitch.Switch)}
            self._child_list_classes = {}

            self.switch = Native.HwSwitch.Switch()
            self.switch.parent = self
            self._children_name_map["switch"] = "switch"
            self._children_yang_names.add("switch")
            self._segment_path = lambda: "Cisco-IOS-XE-switch:hw-switch"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Switch(Entity):
            """
            Switch in the system
            
            .. attribute:: switch_number
            
            	
            	**type**\: list of  		 :py:class:`SwitchNumber <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwSwitch.Switch.SwitchNumber>`
            
            

            """

            _prefix = 'ios-sw'
            _revision = '2017-03-31'

            def __init__(self):
                super(Native.HwSwitch.Switch, self).__init__()

                self.yang_name = "switch"
                self.yang_parent_name = "hw-switch"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {}
                self._child_list_classes = {"switch-number" : ("switch_number", Native.HwSwitch.Switch.SwitchNumber)}

                self.switch_number = YList(self)
                self._segment_path = lambda: "switch"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:hw-switch/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.HwSwitch.Switch, [], name, value)


            class SwitchNumber(Entity):
                """
                
                
                .. attribute:: switch_number  <key>
                
                	Switch number in the Stack (Refer to show switch CLI)
                	**type**\: int
                
                	**range:** 1..9
                
                .. attribute:: logging
                
                	Logging onboard
                	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwSwitch.Switch.SwitchNumber.Logging>`
                
                

                """

                _prefix = 'ios-sw'
                _revision = '2017-03-31'

                def __init__(self):
                    super(Native.HwSwitch.Switch.SwitchNumber, self).__init__()

                    self.yang_name = "switch-number"
                    self.yang_parent_name = "switch"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"logging" : ("logging", Native.HwSwitch.Switch.SwitchNumber.Logging)}
                    self._child_list_classes = {}

                    self.switch_number = YLeaf(YType.uint8, "switch-number")

                    self.logging = Native.HwSwitch.Switch.SwitchNumber.Logging()
                    self.logging.parent = self
                    self._children_name_map["logging"] = "logging"
                    self._children_yang_names.add("logging")
                    self._segment_path = lambda: "switch-number" + "[switch-number='" + self.switch_number.get() + "']"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-switch:hw-switch/switch/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.HwSwitch.Switch.SwitchNumber, ['switch_number'], name, value)


                class Logging(Entity):
                    """
                    Logging onboard
                    
                    .. attribute:: onboard
                    
                    	Logging onboard
                    	**type**\:  :py:class:`Onboard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.HwSwitch.Switch.SwitchNumber.Logging.Onboard>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-sw'
                    _revision = '2017-03-31'

                    def __init__(self):
                        super(Native.HwSwitch.Switch.SwitchNumber.Logging, self).__init__()

                        self.yang_name = "logging"
                        self.yang_parent_name = "switch-number"
                        self.is_top_level_class = False
                        self.has_list_ancestor = True
                        self._child_container_classes = {"onboard" : ("onboard", Native.HwSwitch.Switch.SwitchNumber.Logging.Onboard)}
                        self._child_list_classes = {}

                        self.onboard = None
                        self._children_name_map["onboard"] = "onboard"
                        self._children_yang_names.add("onboard")
                        self._segment_path = lambda: "logging"


                    class Onboard(Entity):
                        """
                        Logging onboard
                        
                        .. attribute:: counter
                        
                        	Configure logging onboard counter
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: environment
                        
                        	Configure logging onboard environment
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: message
                        
                        	Configure logging onboard message
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: poe
                        
                        	Configure logging onboard poe
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: temperature
                        
                        	Configure logging onboard temperature
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        .. attribute:: voltage
                        
                        	Configure logging onboard voltage
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-sw'
                        _revision = '2017-03-31'

                        def __init__(self):
                            super(Native.HwSwitch.Switch.SwitchNumber.Logging.Onboard, self).__init__()

                            self.yang_name = "onboard"
                            self.yang_parent_name = "logging"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.counter = YLeaf(YType.empty, "counter")

                            self.environment = YLeaf(YType.empty, "environment")

                            self.message = YLeaf(YType.empty, "message")

                            self.poe = YLeaf(YType.empty, "poe")

                            self.temperature = YLeaf(YType.empty, "temperature")

                            self.voltage = YLeaf(YType.empty, "voltage")
                            self._segment_path = lambda: "onboard"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.HwSwitch.Switch.SwitchNumber.Logging.Onboard, ['counter', 'environment', 'message', 'poe', 'temperature', 'voltage'], name, value)


    class Utd(Entity):
        """
        Global Unified Threat Defense
        
        .. attribute:: all_interfaces
        
        	Enable intrusion inspection on all supported interfaces
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: redirect
        
        	Specify the interface connected to the UTD
        	**type**\:  :py:class:`Redirect <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Utd.Redirect>`
        
        .. attribute:: engine
        
        	Select UTD engine mode to run
        	**type**\:  :py:class:`Engine <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Utd.Engine>`
        
        	**presence node**\: True
        
        

        This class is a :ref:`presence class<presence-class>`

        """

        _prefix = 'ios-utd'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.Utd, self).__init__()

            self.yang_name = "utd"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"redirect" : ("redirect", Native.Utd.Redirect), "engine" : ("engine", Native.Utd.Engine)}
            self._child_list_classes = {}
            self.is_presence_container = True

            self.all_interfaces = YLeaf(YType.empty, "all-interfaces")

            self.redirect = Native.Utd.Redirect()
            self.redirect.parent = self
            self._children_name_map["redirect"] = "redirect"
            self._children_yang_names.add("redirect")

            self.engine = None
            self._children_name_map["engine"] = "engine"
            self._children_yang_names.add("engine")
            self._segment_path = lambda: "Cisco-IOS-XE-utd:utd"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Utd, ['all_interfaces'], name, value)


        class Redirect(Entity):
            """
            Specify the interface connected to the UTD
            
            .. attribute:: interface
            
            	Specify the interface connected to UTD
            	**type**\:  :py:class:`Interface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Utd.Redirect.Interface>`
            
            

            """

            _prefix = 'ios-utd'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Utd.Redirect, self).__init__()

                self.yang_name = "redirect"
                self.yang_parent_name = "utd"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"interface" : ("interface", Native.Utd.Redirect.Interface)}
                self._child_list_classes = {}

                self.interface = Native.Utd.Redirect.Interface()
                self.interface.parent = self
                self._children_name_map["interface"] = "interface"
                self._children_yang_names.add("interface")
                self._segment_path = lambda: "redirect"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd/%s" % self._segment_path()


            class Interface(Entity):
                """
                Specify the interface connected to UTD
                
                .. attribute:: bdi
                
                	Bridge\-Domain interface
                	**type**\: str
                
                .. attribute:: virtualportgroup
                
                	Virtual Port Group
                	**type**\: int
                
                	**range:** 0..65535
                
                

                """

                _prefix = 'ios-utd'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Utd.Redirect.Interface, self).__init__()

                    self.yang_name = "interface"
                    self.yang_parent_name = "redirect"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.bdi = YLeaf(YType.str, "BDI")

                    self.virtualportgroup = YLeaf(YType.uint16, "VirtualPortGroup")
                    self._segment_path = lambda: "interface"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd/redirect/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Utd.Redirect.Interface, ['bdi', 'virtualportgroup'], name, value)


        class Engine(Entity):
            """
            Select UTD engine mode to run
            
            .. attribute:: mode
            
            	
            	**type**\:  :py:class:`Mode <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Utd.Engine.Mode>`
            
            .. attribute:: fail
            
            	Enter the UTD engine fail mode operation
            	**type**\:  :py:class:`Fail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Utd.Engine.Fail>`
            
            

            This class is a :ref:`presence class<presence-class>`

            """

            _prefix = 'ios-utd'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.Utd.Engine, self).__init__()

                self.yang_name = "engine"
                self.yang_parent_name = "utd"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"fail" : ("fail", Native.Utd.Engine.Fail)}
                self._child_list_classes = {}
                self.is_presence_container = True

                self.mode = YLeaf(YType.enumeration, "mode")

                self.fail = Native.Utd.Engine.Fail()
                self.fail.parent = self
                self._children_name_map["fail"] = "fail"
                self._children_yang_names.add("fail")
                self._segment_path = lambda: "engine"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Utd.Engine, ['mode'], name, value)

            class Mode(Enum):
                """
                Mode

                .. data:: standard = 0

                .. data:: advanced = 1

                """

                standard = Enum.YLeaf(0, "standard")

                advanced = Enum.YLeaf(1, "advanced")



            class Fail(Entity):
                """
                Enter the UTD engine fail mode operation
                
                .. attribute:: close
                
                	Drop all IPS/IDS traffic on UTD engine failure
                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                
                

                """

                _prefix = 'ios-utd'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.Utd.Engine.Fail, self).__init__()

                    self.yang_name = "fail"
                    self.yang_parent_name = "engine"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.close = YLeaf(YType.empty, "close")
                    self._segment_path = lambda: "fail"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd/engine/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Utd.Engine.Fail, ['close'], name, value)


    class UtdSt(Entity):
        """
        Global Unified Threat Defense Engine
        
        .. attribute:: utd
        
        	
        	**type**\:  :py:class:`Utd <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd>`
        
        

        """

        _prefix = 'ios-utd'
        _revision = '2017-08-30'

        def __init__(self):
            super(Native.UtdSt, self).__init__()

            self.yang_name = "utd-st"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {"utd" : ("utd", Native.UtdSt.Utd)}
            self._child_list_classes = {}

            self.utd = Native.UtdSt.Utd()
            self.utd.parent = self
            self._children_name_map["utd"] = "utd"
            self._children_yang_names.add("utd")
            self._segment_path = lambda: "Cisco-IOS-XE-utd:utd-st"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()


        class Utd(Entity):
            """
            
            
            .. attribute:: web_filter
            
            	UTD web\-filter profile configuration
            	**type**\:  :py:class:`WebFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter>`
            
            .. attribute:: engine
            
            	UTD engine
            	**type**\:  :py:class:`Engine <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine>`
            
            .. attribute:: threat_inspection
            
            	UTD Threat Inspection (IPS/IDS) config modes
            	**type**\:  :py:class:`ThreatInspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.ThreatInspection>`
            
            

            """

            _prefix = 'ios-utd'
            _revision = '2017-08-30'

            def __init__(self):
                super(Native.UtdSt.Utd, self).__init__()

                self.yang_name = "utd"
                self.yang_parent_name = "utd-st"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"web-filter" : ("web_filter", Native.UtdSt.Utd.WebFilter), "engine" : ("engine", Native.UtdSt.Utd.Engine), "threat-inspection" : ("threat_inspection", Native.UtdSt.Utd.ThreatInspection)}
                self._child_list_classes = {}

                self.web_filter = Native.UtdSt.Utd.WebFilter()
                self.web_filter.parent = self
                self._children_name_map["web_filter"] = "web-filter"
                self._children_yang_names.add("web-filter")

                self.engine = Native.UtdSt.Utd.Engine()
                self.engine.parent = self
                self._children_name_map["engine"] = "engine"
                self._children_yang_names.add("engine")

                self.threat_inspection = Native.UtdSt.Utd.ThreatInspection()
                self.threat_inspection.parent = self
                self._children_name_map["threat_inspection"] = "threat-inspection"
                self._children_yang_names.add("threat-inspection")
                self._segment_path = lambda: "utd"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/%s" % self._segment_path()


            class WebFilter(Entity):
                """
                UTD web\-filter profile configuration
                
                .. attribute:: block
                
                	UTD block profile information
                	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Block>`
                
                .. attribute:: domain
                
                	UTD Domain based web\-filtering submode
                	**type**\:  :py:class:`Domain <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Domain>`
                
                .. attribute:: sourcedb
                
                	UTD Web filtering source DB configuration submode
                	**type**\: list of  		 :py:class:`Sourcedb <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Sourcedb>`
                
                .. attribute:: url
                
                	UTD URL based web\-filtering submode
                	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url>`
                
                

                """

                _prefix = 'ios-utd'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.UtdSt.Utd.WebFilter, self).__init__()

                    self.yang_name = "web-filter"
                    self.yang_parent_name = "utd"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"block" : ("block", Native.UtdSt.Utd.WebFilter.Block), "domain" : ("domain", Native.UtdSt.Utd.WebFilter.Domain), "url" : ("url", Native.UtdSt.Utd.WebFilter.Url)}
                    self._child_list_classes = {"sourcedb" : ("sourcedb", Native.UtdSt.Utd.WebFilter.Sourcedb)}

                    self.block = Native.UtdSt.Utd.WebFilter.Block()
                    self.block.parent = self
                    self._children_name_map["block"] = "block"
                    self._children_yang_names.add("block")

                    self.domain = Native.UtdSt.Utd.WebFilter.Domain()
                    self.domain.parent = self
                    self._children_name_map["domain"] = "domain"
                    self._children_yang_names.add("domain")

                    self.url = Native.UtdSt.Utd.WebFilter.Url()
                    self.url.parent = self
                    self._children_name_map["url"] = "url"
                    self._children_yang_names.add("url")

                    self.sourcedb = YList(self)
                    self._segment_path = lambda: "web-filter"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/%s" % self._segment_path()

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.UtdSt.Utd.WebFilter, [], name, value)


                class Block(Entity):
                    """
                    UTD block profile information
                    
                    .. attribute:: local_server
                    
                    	UTD local block server configuration profile
                    	**type**\:  :py:class:`LocalServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Block.LocalServer>`
                    
                    .. attribute:: page
                    
                    	UTD inline block page response profile
                    	**type**\:  :py:class:`Page <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Block.Page>`
                    
                    

                    """

                    _prefix = 'ios-utd'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.UtdSt.Utd.WebFilter.Block, self).__init__()

                        self.yang_name = "block"
                        self.yang_parent_name = "web-filter"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"local-server" : ("local_server", Native.UtdSt.Utd.WebFilter.Block.LocalServer), "page" : ("page", Native.UtdSt.Utd.WebFilter.Block.Page)}
                        self._child_list_classes = {}

                        self.local_server = Native.UtdSt.Utd.WebFilter.Block.LocalServer()
                        self.local_server.parent = self
                        self._children_name_map["local_server"] = "local-server"
                        self._children_yang_names.add("local-server")

                        self.page = Native.UtdSt.Utd.WebFilter.Block.Page()
                        self.page.parent = self
                        self._children_name_map["page"] = "page"
                        self._children_yang_names.add("page")
                        self._segment_path = lambda: "block"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/web-filter/%s" % self._segment_path()


                    class LocalServer(Entity):
                        """
                        UTD local block server configuration profile
                        
                        .. attribute:: profile
                        
                        	Provide the profile ID
                        	**type**\: list of  		 :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile>`
                        
                        

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.UtdSt.Utd.WebFilter.Block.LocalServer, self).__init__()

                            self.yang_name = "local-server"
                            self.yang_parent_name = "block"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"profile" : ("profile", Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile)}

                            self.profile = YList(self)
                            self._segment_path = lambda: "local-server"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/web-filter/block/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.UtdSt.Utd.WebFilter.Block.LocalServer, [], name, value)


                        class Profile(Entity):
                            """
                            Provide the profile ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: block_page_interface
                            
                            	Provide the interface to be used for the block server
                            	**type**\:  :py:class:`BlockPageInterface <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile.BlockPageInterface>`
                            
                            .. attribute:: content
                            
                            	Provide the content to be served from the server
                            	**type**\:  :py:class:`Content <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile.Content>`
                            
                            .. attribute:: http_ports
                            
                            	Provide the HTTP ports to be used
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile, self).__init__()

                                self.yang_name = "profile"
                                self.yang_parent_name = "local-server"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"block-page-interface" : ("block_page_interface", Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile.BlockPageInterface), "content" : ("content", Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile.Content)}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.http_ports = YLeaf(YType.str, "http-ports")

                                self.block_page_interface = Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile.BlockPageInterface()
                                self.block_page_interface.parent = self
                                self._children_name_map["block_page_interface"] = "block-page-interface"
                                self._children_yang_names.add("block-page-interface")

                                self.content = Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile.Content()
                                self.content.parent = self
                                self._children_name_map["content"] = "content"
                                self._children_yang_names.add("content")
                                self._segment_path = lambda: "profile" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/web-filter/block/local-server/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile, ['id', 'http_ports'], name, value)


                            class BlockPageInterface(Entity):
                                """
                                Provide the interface to be used for the block server
                                
                                .. attribute:: loopback
                                
                                	Loopback interface
                                	**type**\: int
                                
                                	**range:** 0..4294967295
                                
                                

                                """

                                _prefix = 'ios-utd'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile.BlockPageInterface, self).__init__()

                                    self.yang_name = "block-page-interface"
                                    self.yang_parent_name = "profile"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.loopback = YLeaf(YType.uint32, "Loopback")
                                    self._segment_path = lambda: "block-page-interface"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile.BlockPageInterface, ['loopback'], name, value)


                            class Content(Entity):
                                """
                                Provide the content to be served from the server
                                
                                .. attribute:: text
                                
                                	Provide the text to be printed in the web page served
                                	**type**\: str
                                
                                .. attribute:: file
                                
                                	Provide the HTML file to be served
                                	**type**\: str
                                
                                

                                """

                                _prefix = 'ios-utd'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile.Content, self).__init__()

                                    self.yang_name = "content"
                                    self.yang_parent_name = "profile"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.text = YLeaf(YType.str, "text")

                                    self.file = YLeaf(YType.str, "file")
                                    self._segment_path = lambda: "content"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.UtdSt.Utd.WebFilter.Block.LocalServer.Profile.Content, ['text', 'file'], name, value)


                    class Page(Entity):
                        """
                        UTD inline block page response profile
                        
                        .. attribute:: profile
                        
                        	Provide the profile ID
                        	**type**\: list of  		 :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Block.Page.Profile>`
                        
                        

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.UtdSt.Utd.WebFilter.Block.Page, self).__init__()

                            self.yang_name = "page"
                            self.yang_parent_name = "block"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"profile" : ("profile", Native.UtdSt.Utd.WebFilter.Block.Page.Profile)}

                            self.profile = YList(self)
                            self._segment_path = lambda: "page"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/web-filter/block/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.UtdSt.Utd.WebFilter.Block.Page, [], name, value)


                        class Profile(Entity):
                            """
                            Provide the profile ID
                            
                            .. attribute:: id  <key>
                            
                            	
                            	**type**\: str
                            
                            .. attribute:: file
                            
                            	Specify the file name to be used for the block page
                            	**type**\: str
                            
                            .. attribute:: redirect_url
                            
                            	Specify the URL to be used for redirection
                            	**type**\: str
                            
                            .. attribute:: text
                            
                            	Specify the text to be used to be sent back
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.WebFilter.Block.Page.Profile, self).__init__()

                                self.yang_name = "profile"
                                self.yang_parent_name = "page"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.id = YLeaf(YType.str, "id")

                                self.file = YLeaf(YType.str, "file")

                                self.redirect_url = YLeaf(YType.str, "redirect-url")

                                self.text = YLeaf(YType.str, "text")
                                self._segment_path = lambda: "profile" + "[id='" + self.id.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/web-filter/block/page/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.UtdSt.Utd.WebFilter.Block.Page.Profile, ['id', 'file', 'redirect_url', 'text'], name, value)


                class Domain(Entity):
                    """
                    UTD Domain based web\-filtering submode
                    
                    .. attribute:: profile
                    
                    	Provide the profile ID
                    	**type**\: list of  		 :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Domain.Profile>`
                    
                    

                    """

                    _prefix = 'ios-utd'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.UtdSt.Utd.WebFilter.Domain, self).__init__()

                        self.yang_name = "domain"
                        self.yang_parent_name = "web-filter"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"profile" : ("profile", Native.UtdSt.Utd.WebFilter.Domain.Profile)}

                        self.profile = YList(self)
                        self._segment_path = lambda: "domain"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/web-filter/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.UtdSt.Utd.WebFilter.Domain, [], name, value)


                    class Profile(Entity):
                        """
                        Provide the profile ID
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: alert
                        
                        	Provide the logging alert level
                        	**type**\:  :py:class:`Alert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Domain.Profile.Alert>`
                        
                        .. attribute:: blacklist
                        
                        	Choose the blacklist parameter\-map
                        	**type**\:  :py:class:`Blacklist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Domain.Profile.Blacklist>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: redirect_server
                        
                        	Provide the IP address for the redirect server for blocked domains
                        	**type**\:  :py:class:`RedirectServer <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Domain.Profile.RedirectServer>`
                        
                        .. attribute:: whitelist
                        
                        	Choose the whitelist parameter\-map
                        	**type**\:  :py:class:`Whitelist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Domain.Profile.Whitelist>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.UtdSt.Utd.WebFilter.Domain.Profile, self).__init__()

                            self.yang_name = "profile"
                            self.yang_parent_name = "domain"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"blacklist" : ("blacklist", Native.UtdSt.Utd.WebFilter.Domain.Profile.Blacklist), "redirect-server" : ("redirect_server", Native.UtdSt.Utd.WebFilter.Domain.Profile.RedirectServer), "whitelist" : ("whitelist", Native.UtdSt.Utd.WebFilter.Domain.Profile.Whitelist)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.alert = YLeaf(YType.enumeration, "alert")

                            self.blacklist = None
                            self._children_name_map["blacklist"] = "blacklist"
                            self._children_yang_names.add("blacklist")

                            self.redirect_server = Native.UtdSt.Utd.WebFilter.Domain.Profile.RedirectServer()
                            self.redirect_server.parent = self
                            self._children_name_map["redirect_server"] = "redirect-server"
                            self._children_yang_names.add("redirect-server")

                            self.whitelist = None
                            self._children_name_map["whitelist"] = "whitelist"
                            self._children_yang_names.add("whitelist")
                            self._segment_path = lambda: "profile" + "[id='" + self.id.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/web-filter/domain/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.UtdSt.Utd.WebFilter.Domain.Profile, ['id', 'alert'], name, value)

                        class Alert(Enum):
                            """
                            Alert

                            Provide the logging alert level

                            .. data:: all = 0

                            .. data:: blacklist = 1

                            .. data:: whitelist = 2

                            """

                            all = Enum.YLeaf(0, "all")

                            blacklist = Enum.YLeaf(1, "blacklist")

                            whitelist = Enum.YLeaf(2, "whitelist")



                        class Blacklist(Entity):
                            """
                            Choose the blacklist parameter\-map
                            
                            .. attribute:: parameter_map
                            
                            	Enter the parameter\-map information for the regex
                            	**type**\:  :py:class:`ParameterMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Domain.Profile.Blacklist.ParameterMap>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.WebFilter.Domain.Profile.Blacklist, self).__init__()

                                self.yang_name = "blacklist"
                                self.yang_parent_name = "profile"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"parameter-map" : ("parameter_map", Native.UtdSt.Utd.WebFilter.Domain.Profile.Blacklist.ParameterMap)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.parameter_map = Native.UtdSt.Utd.WebFilter.Domain.Profile.Blacklist.ParameterMap()
                                self.parameter_map.parent = self
                                self._children_name_map["parameter_map"] = "parameter-map"
                                self._children_yang_names.add("parameter-map")
                                self._segment_path = lambda: "blacklist"


                            class ParameterMap(Entity):
                                """
                                Enter the parameter\-map information for the regex
                                
                                .. attribute:: regex
                                
                                	Provide the regex parameter\-map name
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'ios-utd'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.UtdSt.Utd.WebFilter.Domain.Profile.Blacklist.ParameterMap, self).__init__()

                                    self.yang_name = "parameter-map"
                                    self.yang_parent_name = "blacklist"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.regex = YLeaf(YType.str, "regex")
                                    self._segment_path = lambda: "parameter-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.UtdSt.Utd.WebFilter.Domain.Profile.Blacklist.ParameterMap, ['regex'], name, value)


                        class RedirectServer(Entity):
                            """
                            Provide the IP address for the redirect server for blocked domains
                            
                            .. attribute:: external
                            
                            	Provide data about the external redirect server
                            	**type**\: str
                            
                            	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
                            
                            .. attribute:: local_block_server
                            
                            	Use the local block server as the redirect server
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.WebFilter.Domain.Profile.RedirectServer, self).__init__()

                                self.yang_name = "redirect-server"
                                self.yang_parent_name = "profile"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.external = YLeaf(YType.str, "external")

                                self.local_block_server = YLeaf(YType.str, "local-block-server")
                                self._segment_path = lambda: "redirect-server"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.UtdSt.Utd.WebFilter.Domain.Profile.RedirectServer, ['external', 'local_block_server'], name, value)


                        class Whitelist(Entity):
                            """
                            Choose the whitelist parameter\-map
                            
                            .. attribute:: parameter_map
                            
                            	Enter the parameter\-map information for the regex
                            	**type**\:  :py:class:`ParameterMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Domain.Profile.Whitelist.ParameterMap>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.WebFilter.Domain.Profile.Whitelist, self).__init__()

                                self.yang_name = "whitelist"
                                self.yang_parent_name = "profile"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"parameter-map" : ("parameter_map", Native.UtdSt.Utd.WebFilter.Domain.Profile.Whitelist.ParameterMap)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.parameter_map = Native.UtdSt.Utd.WebFilter.Domain.Profile.Whitelist.ParameterMap()
                                self.parameter_map.parent = self
                                self._children_name_map["parameter_map"] = "parameter-map"
                                self._children_yang_names.add("parameter-map")
                                self._segment_path = lambda: "whitelist"


                            class ParameterMap(Entity):
                                """
                                Enter the parameter\-map information for the regex
                                
                                .. attribute:: regex
                                
                                	Provide the regex parameter\-map name
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'ios-utd'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.UtdSt.Utd.WebFilter.Domain.Profile.Whitelist.ParameterMap, self).__init__()

                                    self.yang_name = "parameter-map"
                                    self.yang_parent_name = "whitelist"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.regex = YLeaf(YType.str, "regex")
                                    self._segment_path = lambda: "parameter-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.UtdSt.Utd.WebFilter.Domain.Profile.Whitelist.ParameterMap, ['regex'], name, value)


                class Sourcedb(Entity):
                    """
                    UTD Web filtering source DB configuration submode
                    
                    .. attribute:: id  <key>
                    
                    	
                    	**type**\: str
                    
                    .. attribute:: logging
                    
                    	Provide source DB logging information
                    	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Sourcedb.Logging>`
                    
                    

                    """

                    _prefix = 'ios-utd'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.UtdSt.Utd.WebFilter.Sourcedb, self).__init__()

                        self.yang_name = "sourcedb"
                        self.yang_parent_name = "web-filter"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"logging" : ("logging", Native.UtdSt.Utd.WebFilter.Sourcedb.Logging)}
                        self._child_list_classes = {}

                        self.id = YLeaf(YType.str, "id")

                        self.logging = Native.UtdSt.Utd.WebFilter.Sourcedb.Logging()
                        self.logging.parent = self
                        self._children_name_map["logging"] = "logging"
                        self._children_yang_names.add("logging")
                        self._segment_path = lambda: "sourcedb" + "[id='" + self.id.get() + "']"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/web-filter/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.UtdSt.Utd.WebFilter.Sourcedb, ['id'], name, value)


                    class Logging(Entity):
                        """
                        Provide source DB logging information
                        
                        .. attribute:: level
                        
                        	Provide the logging level
                        	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Sourcedb.Logging.Level>`
                        
                        

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.UtdSt.Utd.WebFilter.Sourcedb.Logging, self).__init__()

                            self.yang_name = "logging"
                            self.yang_parent_name = "sourcedb"
                            self.is_top_level_class = False
                            self.has_list_ancestor = True
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.level = YLeaf(YType.enumeration, "level")
                            self._segment_path = lambda: "logging"

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.UtdSt.Utd.WebFilter.Sourcedb.Logging, ['level'], name, value)

                        class Level(Enum):
                            """
                            Level

                            Provide the logging level

                            .. data:: debug = 0

                            .. data:: error = 1

                            .. data:: info = 2

                            .. data:: trace = 3

                            .. data:: warning = 4

                            """

                            debug = Enum.YLeaf(0, "debug")

                            error = Enum.YLeaf(1, "error")

                            info = Enum.YLeaf(2, "info")

                            trace = Enum.YLeaf(3, "trace")

                            warning = Enum.YLeaf(4, "warning")



                class Url(Entity):
                    """
                    UTD URL based web\-filtering submode
                    
                    .. attribute:: profile
                    
                    	Provide the profile ID
                    	**type**\: list of  		 :py:class:`Profile <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile>`
                    
                    

                    """

                    _prefix = 'ios-utd'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.UtdSt.Utd.WebFilter.Url, self).__init__()

                        self.yang_name = "url"
                        self.yang_parent_name = "web-filter"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"profile" : ("profile", Native.UtdSt.Utd.WebFilter.Url.Profile)}

                        self.profile = YList(self)
                        self._segment_path = lambda: "url"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/web-filter/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.UtdSt.Utd.WebFilter.Url, [], name, value)


                    class Profile(Entity):
                        """
                        Provide the profile ID
                        
                        .. attribute:: id  <key>
                        
                        	
                        	**type**\: str
                        
                        .. attribute:: alert
                        
                        	Provide the logging alert level
                        	**type**\: list of   :py:class:`Alert <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Alert>`
                        
                        .. attribute:: blacklist
                        
                        	Choose the blacklist parameter\-map
                        	**type**\:  :py:class:`Blacklist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Blacklist>`
                        
                        	**presence node**\: True
                        
                        .. attribute:: categories
                        
                        	Choose from a list of categories
                        	**type**\:  :py:class:`Categories <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Categories>`
                        
                        .. attribute:: block
                        
                        	Provide information on the block page/server to be used
                        	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Block>`
                        
                        .. attribute:: log
                        
                        	Choose the URL filtering preprocessor debug log options
                        	**type**\:  :py:class:`Log <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Log>`
                        
                        .. attribute:: reputation
                        
                        	Choose the reputation range for the URLs to be blocked
                        	**type**\:  :py:class:`Reputation <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Reputation>`
                        
                        .. attribute:: sourcedb
                        
                        	Choose source DB related configs
                        	**type**\:  :py:class:`Sourcedb <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Sourcedb>`
                        
                        .. attribute:: whitelist
                        
                        	Choose the whitelist parameter\-map
                        	**type**\:  :py:class:`Whitelist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Whitelist>`
                        
                        	**presence node**\: True
                        
                        

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.UtdSt.Utd.WebFilter.Url.Profile, self).__init__()

                            self.yang_name = "profile"
                            self.yang_parent_name = "url"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"blacklist" : ("blacklist", Native.UtdSt.Utd.WebFilter.Url.Profile.Blacklist), "categories" : ("categories", Native.UtdSt.Utd.WebFilter.Url.Profile.Categories), "block" : ("block", Native.UtdSt.Utd.WebFilter.Url.Profile.Block), "log" : ("log", Native.UtdSt.Utd.WebFilter.Url.Profile.Log), "reputation" : ("reputation", Native.UtdSt.Utd.WebFilter.Url.Profile.Reputation), "sourcedb" : ("sourcedb", Native.UtdSt.Utd.WebFilter.Url.Profile.Sourcedb), "whitelist" : ("whitelist", Native.UtdSt.Utd.WebFilter.Url.Profile.Whitelist)}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.str, "id")

                            self.alert = YLeafList(YType.enumeration, "alert")

                            self.blacklist = None
                            self._children_name_map["blacklist"] = "blacklist"
                            self._children_yang_names.add("blacklist")

                            self.categories = Native.UtdSt.Utd.WebFilter.Url.Profile.Categories()
                            self.categories.parent = self
                            self._children_name_map["categories"] = "categories"
                            self._children_yang_names.add("categories")

                            self.block = Native.UtdSt.Utd.WebFilter.Url.Profile.Block()
                            self.block.parent = self
                            self._children_name_map["block"] = "block"
                            self._children_yang_names.add("block")

                            self.log = Native.UtdSt.Utd.WebFilter.Url.Profile.Log()
                            self.log.parent = self
                            self._children_name_map["log"] = "log"
                            self._children_yang_names.add("log")

                            self.reputation = Native.UtdSt.Utd.WebFilter.Url.Profile.Reputation()
                            self.reputation.parent = self
                            self._children_name_map["reputation"] = "reputation"
                            self._children_yang_names.add("reputation")

                            self.sourcedb = Native.UtdSt.Utd.WebFilter.Url.Profile.Sourcedb()
                            self.sourcedb.parent = self
                            self._children_name_map["sourcedb"] = "sourcedb"
                            self._children_yang_names.add("sourcedb")

                            self.whitelist = None
                            self._children_name_map["whitelist"] = "whitelist"
                            self._children_yang_names.add("whitelist")
                            self._segment_path = lambda: "profile" + "[id='" + self.id.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/web-filter/url/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.UtdSt.Utd.WebFilter.Url.Profile, ['id', 'alert'], name, value)

                        class Alert(Enum):
                            """
                            Alert

                            Provide the logging alert level

                            .. data:: all = 0

                            .. data:: blacklist = 1

                            .. data:: categories_reputation = 2

                            .. data:: whitelist = 3

                            """

                            all = Enum.YLeaf(0, "all")

                            blacklist = Enum.YLeaf(1, "blacklist")

                            categories_reputation = Enum.YLeaf(2, "categories-reputation")

                            whitelist = Enum.YLeaf(3, "whitelist")



                        class Blacklist(Entity):
                            """
                            Choose the blacklist parameter\-map
                            
                            .. attribute:: parameter_map
                            
                            	Enter the parameter\-map information for the regex
                            	**type**\:  :py:class:`ParameterMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Blacklist.ParameterMap>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.WebFilter.Url.Profile.Blacklist, self).__init__()

                                self.yang_name = "blacklist"
                                self.yang_parent_name = "profile"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"parameter-map" : ("parameter_map", Native.UtdSt.Utd.WebFilter.Url.Profile.Blacklist.ParameterMap)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.parameter_map = Native.UtdSt.Utd.WebFilter.Url.Profile.Blacklist.ParameterMap()
                                self.parameter_map.parent = self
                                self._children_name_map["parameter_map"] = "parameter-map"
                                self._children_yang_names.add("parameter-map")
                                self._segment_path = lambda: "blacklist"


                            class ParameterMap(Entity):
                                """
                                Enter the parameter\-map information for the regex
                                
                                .. attribute:: regex
                                
                                	Provide the regex parameter\-map name
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'ios-utd'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.UtdSt.Utd.WebFilter.Url.Profile.Blacklist.ParameterMap, self).__init__()

                                    self.yang_name = "parameter-map"
                                    self.yang_parent_name = "blacklist"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.regex = YLeaf(YType.str, "regex")
                                    self._segment_path = lambda: "parameter-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.UtdSt.Utd.WebFilter.Url.Profile.Blacklist.ParameterMap, ['regex'], name, value)


                        class Categories(Entity):
                            """
                            Choose from a list of categories
                            
                            .. attribute:: allow
                            
                            	Choose the list of categories to be allowed
                            	**type**\:  :py:class:`Allow <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Allow>`
                            
                            	**presence node**\: True
                            
                            .. attribute:: block
                            
                            	Choose the list of categories to be blocked
                            	**type**\:  :py:class:`Block <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Block>`
                            
                            	**presence node**\: True
                            
                            

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.WebFilter.Url.Profile.Categories, self).__init__()

                                self.yang_name = "categories"
                                self.yang_parent_name = "profile"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"allow" : ("allow", Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Allow), "block" : ("block", Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Block)}
                                self._child_list_classes = {}

                                self.allow = None
                                self._children_name_map["allow"] = "allow"
                                self._children_yang_names.add("allow")

                                self.block = None
                                self._children_name_map["block"] = "block"
                                self._children_yang_names.add("block")
                                self._segment_path = lambda: "categories"


                            class Allow(Entity):
                                """
                                Choose the list of categories to be allowed
                                
                                .. attribute:: category
                                
                                	
                                	**type**\: list of  		 :py:class:`Category <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Allow.Category>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-utd'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Allow, self).__init__()

                                    self.yang_name = "allow"
                                    self.yang_parent_name = "categories"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"category" : ("category", Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Allow.Category)}
                                    self.is_presence_container = True

                                    self.category = YList(self)
                                    self._segment_path = lambda: "allow"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Allow, [], name, value)


                                class Category(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`UtdCategoryType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_utd.UtdCategoryType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-utd'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Allow.Category, self).__init__()

                                        self.yang_name = "category"
                                        self.yang_parent_name = "allow"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.enumeration, "name")
                                        self._segment_path = lambda: "category" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Allow.Category, ['name'], name, value)


                            class Block(Entity):
                                """
                                Choose the list of categories to be blocked
                                
                                .. attribute:: category
                                
                                	
                                	**type**\: list of  		 :py:class:`Category <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Block.Category>`
                                
                                

                                This class is a :ref:`presence class<presence-class>`

                                """

                                _prefix = 'ios-utd'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Block, self).__init__()

                                    self.yang_name = "block"
                                    self.yang_parent_name = "categories"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {"category" : ("category", Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Block.Category)}
                                    self.is_presence_container = True

                                    self.category = YList(self)
                                    self._segment_path = lambda: "block"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Block, [], name, value)


                                class Category(Entity):
                                    """
                                    
                                    
                                    .. attribute:: name  <key>
                                    
                                    	
                                    	**type**\:  :py:class:`UtdCategoryType <ydk.models.cisco_ios_xe.Cisco_IOS_XE_utd.UtdCategoryType>`
                                    
                                    

                                    """

                                    _prefix = 'ios-utd'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Block.Category, self).__init__()

                                        self.yang_name = "category"
                                        self.yang_parent_name = "block"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = True
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.name = YLeaf(YType.enumeration, "name")
                                        self._segment_path = lambda: "category" + "[name='" + self.name.get() + "']"

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.UtdSt.Utd.WebFilter.Url.Profile.Categories.Block.Category, ['name'], name, value)


                        class Block(Entity):
                            """
                            Provide information on the block page/server to be used
                            
                            .. attribute:: local_server
                            
                            	Provide the local block server profile ID
                            	**type**\: str
                            
                            .. attribute:: page_profile
                            
                            	Provide the ID of the block page profile to be used
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.WebFilter.Url.Profile.Block, self).__init__()

                                self.yang_name = "block"
                                self.yang_parent_name = "profile"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.local_server = YLeaf(YType.str, "local-server")

                                self.page_profile = YLeaf(YType.str, "page-profile")
                                self._segment_path = lambda: "block"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.UtdSt.Utd.WebFilter.Url.Profile.Block, ['local_server', 'page_profile'], name, value)


                        class Log(Entity):
                            """
                            Choose the URL filtering preprocessor debug log options
                            
                            .. attribute:: level
                            
                            	Choose the URL filtering preprocessor log level
                            	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Log.Level>`
                            
                            

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.WebFilter.Url.Profile.Log, self).__init__()

                                self.yang_name = "log"
                                self.yang_parent_name = "profile"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level = YLeaf(YType.enumeration, "level")
                                self._segment_path = lambda: "log"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.UtdSt.Utd.WebFilter.Url.Profile.Log, ['level'], name, value)

                            class Level(Enum):
                                """
                                Level

                                Choose the URL filtering preprocessor log level

                                .. data:: detailed = 0

                                .. data:: error = 1

                                .. data:: info = 2

                                """

                                detailed = Enum.YLeaf(0, "detailed")

                                error = Enum.YLeaf(1, "error")

                                info = Enum.YLeaf(2, "info")



                        class Reputation(Entity):
                            """
                            Choose the reputation range for the URLs to be blocked
                            
                            .. attribute:: block_threshold
                            
                            	Block the URLs with reputation at or above the specified level
                            	**type**\:  :py:class:`BlockThreshold <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Reputation.BlockThreshold>`
                            
                            

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.WebFilter.Url.Profile.Reputation, self).__init__()

                                self.yang_name = "reputation"
                                self.yang_parent_name = "profile"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.block_threshold = YLeaf(YType.enumeration, "block-threshold")
                                self._segment_path = lambda: "reputation"

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.UtdSt.Utd.WebFilter.Url.Profile.Reputation, ['block_threshold'], name, value)

                            class BlockThreshold(Enum):
                                """
                                BlockThreshold

                                Block the URLs with reputation at or above the specified level

                                .. data:: high_risk = 0

                                .. data:: low_risk = 1

                                .. data:: moderate_risk = 2

                                .. data:: suspicious = 3

                                .. data:: trustworthy = 4

                                """

                                high_risk = Enum.YLeaf(0, "high-risk")

                                low_risk = Enum.YLeaf(1, "low-risk")

                                moderate_risk = Enum.YLeaf(2, "moderate-risk")

                                suspicious = Enum.YLeaf(3, "suspicious")

                                trustworthy = Enum.YLeaf(4, "trustworthy")



                        class Sourcedb(Entity):
                            """
                            Choose source DB related configs
                            
                            .. attribute:: fail
                            
                            	Choose the fail option to apply when the source DB is down
                            	**type**\:  :py:class:`Fail <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Sourcedb.Fail>`
                            
                            

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.WebFilter.Url.Profile.Sourcedb, self).__init__()

                                self.yang_name = "sourcedb"
                                self.yang_parent_name = "profile"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"fail" : ("fail", Native.UtdSt.Utd.WebFilter.Url.Profile.Sourcedb.Fail)}
                                self._child_list_classes = {}

                                self.fail = Native.UtdSt.Utd.WebFilter.Url.Profile.Sourcedb.Fail()
                                self.fail.parent = self
                                self._children_name_map["fail"] = "fail"
                                self._children_yang_names.add("fail")
                                self._segment_path = lambda: "sourcedb"


                            class Fail(Entity):
                                """
                                Choose the fail option to apply when the source DB is down
                                
                                .. attribute:: close
                                
                                	Drop all URL filtering traffic on source DB failure
                                	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                
                                

                                """

                                _prefix = 'ios-utd'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.UtdSt.Utd.WebFilter.Url.Profile.Sourcedb.Fail, self).__init__()

                                    self.yang_name = "fail"
                                    self.yang_parent_name = "sourcedb"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.close = YLeaf(YType.empty, "close")
                                    self._segment_path = lambda: "fail"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.UtdSt.Utd.WebFilter.Url.Profile.Sourcedb.Fail, ['close'], name, value)


                        class Whitelist(Entity):
                            """
                            Choose the whitelist parameter\-map
                            
                            .. attribute:: parameter_map
                            
                            	Enter the parameter\-map information for the regex
                            	**type**\:  :py:class:`ParameterMap <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.WebFilter.Url.Profile.Whitelist.ParameterMap>`
                            
                            

                            This class is a :ref:`presence class<presence-class>`

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.WebFilter.Url.Profile.Whitelist, self).__init__()

                                self.yang_name = "whitelist"
                                self.yang_parent_name = "profile"
                                self.is_top_level_class = False
                                self.has_list_ancestor = True
                                self._child_container_classes = {"parameter-map" : ("parameter_map", Native.UtdSt.Utd.WebFilter.Url.Profile.Whitelist.ParameterMap)}
                                self._child_list_classes = {}
                                self.is_presence_container = True

                                self.parameter_map = Native.UtdSt.Utd.WebFilter.Url.Profile.Whitelist.ParameterMap()
                                self.parameter_map.parent = self
                                self._children_name_map["parameter_map"] = "parameter-map"
                                self._children_yang_names.add("parameter-map")
                                self._segment_path = lambda: "whitelist"


                            class ParameterMap(Entity):
                                """
                                Enter the parameter\-map information for the regex
                                
                                .. attribute:: regex
                                
                                	Provide the regex parameter\-map name
                                	**type**\: union of the below types:
                                
                                		**type**\: str
                                
                                

                                """

                                _prefix = 'ios-utd'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.UtdSt.Utd.WebFilter.Url.Profile.Whitelist.ParameterMap, self).__init__()

                                    self.yang_name = "parameter-map"
                                    self.yang_parent_name = "whitelist"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = True
                                    self._child_container_classes = {}
                                    self._child_list_classes = {}

                                    self.regex = YLeaf(YType.str, "regex")
                                    self._segment_path = lambda: "parameter-map"

                                def __setattr__(self, name, value):
                                    self._perform_setattr(Native.UtdSt.Utd.WebFilter.Url.Profile.Whitelist.ParameterMap, ['regex'], name, value)


            class Engine(Entity):
                """
                UTD engine
                
                .. attribute:: advanced
                
                	UTD engine advanced
                	**type**\:  :py:class:`Advanced <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Advanced>`
                
                .. attribute:: standard
                
                	UTD engine standard
                	**type**\:  :py:class:`Standard <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-utd'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.UtdSt.Utd.Engine, self).__init__()

                    self.yang_name = "engine"
                    self.yang_parent_name = "utd"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"advanced" : ("advanced", Native.UtdSt.Utd.Engine.Advanced), "standard" : ("standard", Native.UtdSt.Utd.Engine.Standard)}
                    self._child_list_classes = {}

                    self.advanced = Native.UtdSt.Utd.Engine.Advanced()
                    self.advanced.parent = self
                    self._children_name_map["advanced"] = "advanced"
                    self._children_yang_names.add("advanced")

                    self.standard = None
                    self._children_name_map["standard"] = "standard"
                    self._children_yang_names.add("standard")
                    self._segment_path = lambda: "engine"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/%s" % self._segment_path()


                class Advanced(Entity):
                    """
                    UTD engine advanced
                    
                    .. attribute:: threat
                    
                    	Provide threat detection
                    	**type**\:  :py:class:`Threat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Advanced.Threat>`
                    
                    	**presence node**\: True
                    
                    

                    """

                    _prefix = 'ios-utd'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.UtdSt.Utd.Engine.Advanced, self).__init__()

                        self.yang_name = "advanced"
                        self.yang_parent_name = "engine"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"threat" : ("threat", Native.UtdSt.Utd.Engine.Advanced.Threat)}
                        self._child_list_classes = {}

                        self.threat = None
                        self._children_name_map["threat"] = "threat"
                        self._children_yang_names.add("threat")
                        self._segment_path = lambda: "advanced"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/%s" % self._segment_path()


                    class Threat(Entity):
                        """
                        Provide threat detection
                        
                        .. attribute:: detection
                        
                        	Provide threat detection
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.UtdSt.Utd.Engine.Advanced.Threat, self).__init__()

                            self.yang_name = "threat"
                            self.yang_parent_name = "advanced"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.detection = YLeaf(YType.empty, "detection")
                            self._segment_path = lambda: "threat"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/advanced/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.UtdSt.Utd.Engine.Advanced.Threat, ['detection'], name, value)


                class Standard(Entity):
                    """
                    UTD engine standard
                    
                    .. attribute:: logging
                    
                    	Provide config options for logging the alerts
                    	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.Logging>`
                    
                    .. attribute:: threat_inspection
                    
                    	IPS (or IDS) specific config commands
                    	**type**\:  :py:class:`ThreatInspection <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.ThreatInspection>`
                    
                    	**presence node**\: True
                    
                    .. attribute:: web_filter
                    
                    	UTD engine standard web\-filtering configs
                    	**type**\:  :py:class:`WebFilter <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.WebFilter>`
                    
                    	**presence node**\: True
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-utd'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.UtdSt.Utd.Engine.Standard, self).__init__()

                        self.yang_name = "standard"
                        self.yang_parent_name = "engine"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {"logging" : ("logging", Native.UtdSt.Utd.Engine.Standard.Logging), "threat-inspection" : ("threat_inspection", Native.UtdSt.Utd.Engine.Standard.ThreatInspection), "web-filter" : ("web_filter", Native.UtdSt.Utd.Engine.Standard.WebFilter)}
                        self._child_list_classes = {}
                        self.is_presence_container = True

                        self.logging = Native.UtdSt.Utd.Engine.Standard.Logging()
                        self.logging.parent = self
                        self._children_name_map["logging"] = "logging"
                        self._children_yang_names.add("logging")

                        self.threat_inspection = None
                        self._children_name_map["threat_inspection"] = "threat-inspection"
                        self._children_yang_names.add("threat-inspection")

                        self.web_filter = None
                        self._children_name_map["web_filter"] = "web-filter"
                        self._children_yang_names.add("web-filter")
                        self._segment_path = lambda: "standard"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/%s" % self._segment_path()


                    class Logging(Entity):
                        """
                        Provide config options for logging the alerts
                        
                        .. attribute:: host
                        
                        	Log the alerts to a host
                        	**type**\: list of  		 :py:class:`Host <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.Logging.Host>`
                        
                        .. attribute:: syslog
                        
                        	Log the alerts to IOS syslogs
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.UtdSt.Utd.Engine.Standard.Logging, self).__init__()

                            self.yang_name = "logging"
                            self.yang_parent_name = "standard"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {"host" : ("host", Native.UtdSt.Utd.Engine.Standard.Logging.Host)}

                            self.syslog = YLeaf(YType.empty, "syslog")

                            self.host = YList(self)
                            self._segment_path = lambda: "logging"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/standard/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.UtdSt.Utd.Engine.Standard.Logging, ['syslog'], name, value)


                        class Host(Entity):
                            """
                            Log the alerts to a host
                            
                            .. attribute:: name  <key>
                            
                            	
                            	**type**\: str
                            
                            

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.Engine.Standard.Logging.Host, self).__init__()

                                self.yang_name = "host"
                                self.yang_parent_name = "logging"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.name = YLeaf(YType.str, "name")
                                self._segment_path = lambda: "host" + "[name='" + self.name.get() + "']"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/standard/logging/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.UtdSt.Utd.Engine.Standard.Logging.Host, ['name'], name, value)


                    class ThreatInspection(Entity):
                        """
                        IPS (or IDS) specific config commands
                        
                        .. attribute:: signature
                        
                        	Provide config options for the signatures
                        	**type**\:  :py:class:`Signature <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature>`
                        
                        .. attribute:: threat
                        
                        	Provide the threat detection/protection option (default=detection)
                        	**type**\:  :py:class:`Threat <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Threat>`
                        
                        .. attribute:: policy
                        
                        	Provide the policy option (default=balanced)
                        	**type**\:  :py:class:`Policy <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Policy>`
                        
                        .. attribute:: logging
                        
                        	Provide logging level for the alerts for IPS/IDS
                        	**type**\:  :py:class:`Logging <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Logging>`
                        
                        .. attribute:: whitelist
                        
                        	Enable whitelisting under the utd engine
                        	**type**\: :py:class:`Empty<ydk.types.Empty>`
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.UtdSt.Utd.Engine.Standard.ThreatInspection, self).__init__()

                            self.yang_name = "threat-inspection"
                            self.yang_parent_name = "standard"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {"signature" : ("signature", Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature), "logging" : ("logging", Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Logging)}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.threat = YLeaf(YType.enumeration, "threat")

                            self.policy = YLeaf(YType.enumeration, "policy")

                            self.whitelist = YLeaf(YType.empty, "whitelist")

                            self.signature = Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature()
                            self.signature.parent = self
                            self._children_name_map["signature"] = "signature"
                            self._children_yang_names.add("signature")

                            self.logging = Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Logging()
                            self.logging.parent = self
                            self._children_name_map["logging"] = "logging"
                            self._children_yang_names.add("logging")
                            self._segment_path = lambda: "threat-inspection"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/standard/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.UtdSt.Utd.Engine.Standard.ThreatInspection, ['threat', 'policy', 'whitelist'], name, value)

                        class Policy(Enum):
                            """
                            Policy

                            Provide the policy option (default=balanced)

                            .. data:: balanced = 0

                            .. data:: connectivity = 1

                            .. data:: security = 2

                            """

                            balanced = Enum.YLeaf(0, "balanced")

                            connectivity = Enum.YLeaf(1, "connectivity")

                            security = Enum.YLeaf(2, "security")


                        class Threat(Enum):
                            """
                            Threat

                            Provide the threat detection/protection option (default=detection)

                            .. data:: detection = 0

                            .. data:: protection = 1

                            """

                            detection = Enum.YLeaf(0, "detection")

                            protection = Enum.YLeaf(1, "protection")



                        class Signature(Entity):
                            """
                            Provide config options for the signatures
                            
                            .. attribute:: update
                            
                            	Provide config options for the signature updates
                            	**type**\:  :py:class:`Update <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update>`
                            
                            

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature, self).__init__()

                                self.yang_name = "signature"
                                self.yang_parent_name = "threat-inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {"update" : ("update", Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update)}
                                self._child_list_classes = {}

                                self.update = Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update()
                                self.update.parent = self
                                self._children_name_map["update"] = "update"
                                self._children_yang_names.add("update")
                                self._segment_path = lambda: "signature"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/standard/threat-inspection/%s" % self._segment_path()


                            class Update(Entity):
                                """
                                Provide config options for the signature updates
                                
                                .. attribute:: occur_at
                                
                                	Specify update occurence by calendar time
                                	**type**\:  :py:class:`OccurAt <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.OccurAt>`
                                
                                .. attribute:: server
                                
                                	Provide config options for the signature update server
                                	**type**\:  :py:class:`Server <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server>`
                                
                                

                                """

                                _prefix = 'ios-utd'
                                _revision = '2017-08-30'

                                def __init__(self):
                                    super(Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update, self).__init__()

                                    self.yang_name = "update"
                                    self.yang_parent_name = "signature"
                                    self.is_top_level_class = False
                                    self.has_list_ancestor = False
                                    self._child_container_classes = {"occur-at" : ("occur_at", Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.OccurAt), "server" : ("server", Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server)}
                                    self._child_list_classes = {}

                                    self.occur_at = Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.OccurAt()
                                    self.occur_at.parent = self
                                    self._children_name_map["occur_at"] = "occur-at"
                                    self._children_yang_names.add("occur-at")

                                    self.server = Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server()
                                    self.server.parent = self
                                    self._children_name_map["server"] = "server"
                                    self._children_yang_names.add("server")
                                    self._segment_path = lambda: "update"
                                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/standard/threat-inspection/signature/%s" % self._segment_path()


                                class OccurAt(Entity):
                                    """
                                    Specify update occurence by calendar time
                                    
                                    .. attribute:: daily
                                    
                                    	Option for daily update
                                    	**type**\: :py:class:`Empty<ydk.types.Empty>`
                                    
                                    .. attribute:: monthly
                                    
                                    	Option for monthly update
                                    	**type**\: str
                                    
                                    .. attribute:: weekly
                                    
                                    	Option for weekly update
                                    	**type**\: str
                                    
                                    .. attribute:: hours
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..23
                                    
                                    .. attribute:: minutes
                                    
                                    	
                                    	**type**\: int
                                    
                                    	**range:** 0..59
                                    
                                    

                                    """

                                    _prefix = 'ios-utd'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.OccurAt, self).__init__()

                                        self.yang_name = "occur-at"
                                        self.yang_parent_name = "update"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {}
                                        self._child_list_classes = {}

                                        self.daily = YLeaf(YType.empty, "daily")

                                        self.monthly = YLeaf(YType.str, "monthly")

                                        self.weekly = YLeaf(YType.str, "weekly")

                                        self.hours = YLeaf(YType.uint8, "hours")

                                        self.minutes = YLeaf(YType.uint8, "minutes")
                                        self._segment_path = lambda: "occur-at"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/standard/threat-inspection/signature/update/%s" % self._segment_path()

                                    def __setattr__(self, name, value):
                                        self._perform_setattr(Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.OccurAt, ['daily', 'monthly', 'weekly', 'hours', 'minutes'], name, value)


                                class Server(Entity):
                                    """
                                    Provide config options for the signature update server
                                    
                                    .. attribute:: cisco
                                    
                                    	Use Cisco site to provide updates
                                    	**type**\:  :py:class:`Cisco <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Cisco>`
                                    
                                    .. attribute:: url
                                    
                                    	Enter the complete URL for the path to the update server
                                    	**type**\:  :py:class:`Url <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Url>`
                                    
                                    

                                    """

                                    _prefix = 'ios-utd'
                                    _revision = '2017-08-30'

                                    def __init__(self):
                                        super(Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server, self).__init__()

                                        self.yang_name = "server"
                                        self.yang_parent_name = "update"
                                        self.is_top_level_class = False
                                        self.has_list_ancestor = False
                                        self._child_container_classes = {"cisco" : ("cisco", Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Cisco), "url" : ("url", Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Url)}
                                        self._child_list_classes = {}

                                        self.cisco = Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Cisco()
                                        self.cisco.parent = self
                                        self._children_name_map["cisco"] = "cisco"
                                        self._children_yang_names.add("cisco")

                                        self.url = Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Url()
                                        self.url.parent = self
                                        self._children_name_map["url"] = "url"
                                        self._children_yang_names.add("url")
                                        self._segment_path = lambda: "server"
                                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/standard/threat-inspection/signature/update/%s" % self._segment_path()


                                    class Cisco(Entity):
                                        """
                                        Use Cisco site to provide updates
                                        
                                        .. attribute:: username
                                        
                                        	Provide the username for authentication
                                        	**type**\: str
                                        
                                        .. attribute:: password
                                        
                                        	Provide the password for authentication
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-utd'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Cisco, self).__init__()

                                            self.yang_name = "cisco"
                                            self.yang_parent_name = "server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {}
                                            self._child_list_classes = {}

                                            self.username = YLeaf(YType.str, "username")

                                            self.password = YLeaf(YType.str, "password")
                                            self._segment_path = lambda: "cisco"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/standard/threat-inspection/signature/update/server/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Cisco, ['username', 'password'], name, value)


                                    class Url(Entity):
                                        """
                                        Enter the complete URL for the path to the update server
                                        
                                        .. attribute:: all
                                        
                                        	
                                        	**type**\:  :py:class:`All <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Url.All>`
                                        
                                        .. attribute:: name
                                        
                                        	
                                        	**type**\: str
                                        
                                        

                                        """

                                        _prefix = 'ios-utd'
                                        _revision = '2017-08-30'

                                        def __init__(self):
                                            super(Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Url, self).__init__()

                                            self.yang_name = "url"
                                            self.yang_parent_name = "server"
                                            self.is_top_level_class = False
                                            self.has_list_ancestor = False
                                            self._child_container_classes = {"all" : ("all", Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Url.All)}
                                            self._child_list_classes = {}

                                            self.name = YLeaf(YType.str, "name")

                                            self.all = Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Url.All()
                                            self.all.parent = self
                                            self._children_name_map["all"] = "all"
                                            self._children_yang_names.add("all")
                                            self._segment_path = lambda: "url"
                                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/standard/threat-inspection/signature/update/server/%s" % self._segment_path()

                                        def __setattr__(self, name, value):
                                            self._perform_setattr(Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Url, ['name'], name, value)


                                        class All(Entity):
                                            """
                                            
                                            
                                            .. attribute:: name
                                            
                                            	
                                            	**type**\: str
                                            
                                            .. attribute:: username
                                            
                                            	Provide the username for authentication
                                            	**type**\: str
                                            
                                            .. attribute:: password
                                            
                                            	Provide the password for authentication
                                            	**type**\: str
                                            
                                            

                                            """

                                            _prefix = 'ios-utd'
                                            _revision = '2017-08-30'

                                            def __init__(self):
                                                super(Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Url.All, self).__init__()

                                                self.yang_name = "all"
                                                self.yang_parent_name = "url"
                                                self.is_top_level_class = False
                                                self.has_list_ancestor = False
                                                self._child_container_classes = {}
                                                self._child_list_classes = {}

                                                self.name = YLeaf(YType.str, "name")

                                                self.username = YLeaf(YType.str, "username")

                                                self.password = YLeaf(YType.str, "password")
                                                self._segment_path = lambda: "all"
                                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/standard/threat-inspection/signature/update/server/url/%s" % self._segment_path()

                                            def __setattr__(self, name, value):
                                                self._perform_setattr(Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Signature.Update.Server.Url.All, ['name', 'username', 'password'], name, value)


                        class Logging(Entity):
                            """
                            Provide logging level for the alerts for IPS/IDS
                            
                            .. attribute:: level
                            
                            	Provide the log level
                            	**type**\:  :py:class:`Level <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Logging.Level>`
                            
                            

                            """

                            _prefix = 'ios-utd'
                            _revision = '2017-08-30'

                            def __init__(self):
                                super(Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Logging, self).__init__()

                                self.yang_name = "logging"
                                self.yang_parent_name = "threat-inspection"
                                self.is_top_level_class = False
                                self.has_list_ancestor = False
                                self._child_container_classes = {}
                                self._child_list_classes = {}

                                self.level = YLeaf(YType.enumeration, "level")
                                self._segment_path = lambda: "logging"
                                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/standard/threat-inspection/%s" % self._segment_path()

                            def __setattr__(self, name, value):
                                self._perform_setattr(Native.UtdSt.Utd.Engine.Standard.ThreatInspection.Logging, ['level'], name, value)

                            class Level(Enum):
                                """
                                Level

                                Provide the log level

                                .. data:: emerg = 0

                                .. data:: alert = 1

                                .. data:: crit = 2

                                .. data:: err = 3

                                .. data:: warning = 4

                                .. data:: notice = 5

                                .. data:: info = 6

                                .. data:: debug = 7

                                """

                                emerg = Enum.YLeaf(0, "emerg")

                                alert = Enum.YLeaf(1, "alert")

                                crit = Enum.YLeaf(2, "crit")

                                err = Enum.YLeaf(3, "err")

                                warning = Enum.YLeaf(4, "warning")

                                notice = Enum.YLeaf(5, "notice")

                                info = Enum.YLeaf(6, "info")

                                debug = Enum.YLeaf(7, "debug")



                    class WebFilter(Entity):
                        """
                        UTD engine standard web\-filtering configs
                        
                        .. attribute:: domain_profile
                        
                        	Choose the domain profile to use for web filtering
                        	**type**\: str
                        
                        .. attribute:: sourcedb
                        
                        	Choose the source DB profile to use for web filtering
                        	**type**\: str
                        
                        .. attribute:: url_profile
                        
                        	Choose the url profile to use for web filtering
                        	**type**\: str
                        
                        

                        This class is a :ref:`presence class<presence-class>`

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.UtdSt.Utd.Engine.Standard.WebFilter, self).__init__()

                            self.yang_name = "web-filter"
                            self.yang_parent_name = "standard"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}
                            self.is_presence_container = True

                            self.domain_profile = YLeaf(YType.str, "domain-profile")

                            self.sourcedb = YLeaf(YType.str, "sourcedb")

                            self.url_profile = YLeaf(YType.str, "url-profile")
                            self._segment_path = lambda: "web-filter"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/engine/standard/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.UtdSt.Utd.Engine.Standard.WebFilter, ['domain_profile', 'sourcedb', 'url_profile'], name, value)


            class ThreatInspection(Entity):
                """
                UTD Threat Inspection (IPS/IDS) config modes
                
                .. attribute:: whitelist
                
                	UTD whitelist config submode
                	**type**\:  :py:class:`Whitelist <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.ThreatInspection.Whitelist>`
                
                	**presence node**\: True
                
                

                """

                _prefix = 'ios-utd'
                _revision = '2017-08-30'

                def __init__(self):
                    super(Native.UtdSt.Utd.ThreatInspection, self).__init__()

                    self.yang_name = "threat-inspection"
                    self.yang_parent_name = "utd"
                    self.is_top_level_class = False
                    self.has_list_ancestor = False
                    self._child_container_classes = {"whitelist" : ("whitelist", Native.UtdSt.Utd.ThreatInspection.Whitelist)}
                    self._child_list_classes = {}

                    self.whitelist = None
                    self._children_name_map["whitelist"] = "whitelist"
                    self._children_yang_names.add("whitelist")
                    self._segment_path = lambda: "threat-inspection"
                    self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/%s" % self._segment_path()


                class Whitelist(Entity):
                    """
                    UTD whitelist config submode
                    
                    .. attribute:: signature
                    
                    	Provide signatures for the whitelist
                    	**type**\: list of  		 :py:class:`Signature <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.UtdSt.Utd.ThreatInspection.Whitelist.Signature>`
                    
                    

                    This class is a :ref:`presence class<presence-class>`

                    """

                    _prefix = 'ios-utd'
                    _revision = '2017-08-30'

                    def __init__(self):
                        super(Native.UtdSt.Utd.ThreatInspection.Whitelist, self).__init__()

                        self.yang_name = "whitelist"
                        self.yang_parent_name = "threat-inspection"
                        self.is_top_level_class = False
                        self.has_list_ancestor = False
                        self._child_container_classes = {}
                        self._child_list_classes = {"signature" : ("signature", Native.UtdSt.Utd.ThreatInspection.Whitelist.Signature)}
                        self.is_presence_container = True

                        self.signature = YList(self)
                        self._segment_path = lambda: "whitelist"
                        self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/threat-inspection/%s" % self._segment_path()

                    def __setattr__(self, name, value):
                        self._perform_setattr(Native.UtdSt.Utd.ThreatInspection.Whitelist, [], name, value)


                    class Signature(Entity):
                        """
                        Provide signatures for the whitelist
                        
                        .. attribute:: id  <key>
                        
                        	Provide signature id for the whitelist
                        	**type**\: int
                        
                        	**range:** 0..4294967295
                        
                        .. attribute:: comment
                        
                        	Provide a comment for the signature
                        	**type**\: str
                        
                        

                        """

                        _prefix = 'ios-utd'
                        _revision = '2017-08-30'

                        def __init__(self):
                            super(Native.UtdSt.Utd.ThreatInspection.Whitelist.Signature, self).__init__()

                            self.yang_name = "signature"
                            self.yang_parent_name = "whitelist"
                            self.is_top_level_class = False
                            self.has_list_ancestor = False
                            self._child_container_classes = {}
                            self._child_list_classes = {}

                            self.id = YLeaf(YType.uint32, "id")

                            self.comment = YLeaf(YType.str, "comment")
                            self._segment_path = lambda: "signature" + "[id='" + self.id.get() + "']"
                            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-utd:utd-st/utd/threat-inspection/whitelist/%s" % self._segment_path()

                        def __setattr__(self, name, value):
                            self._perform_setattr(Native.UtdSt.Utd.ThreatInspection.Whitelist.Signature, ['id', 'comment'], name, value)


    class Voice(Entity):
        """
        Global voice configuration
        
        .. attribute:: service
        
        	Global packet telephony service commands
        	**type**\: list of  		 :py:class:`Service <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service>`
        
        

        """

        _prefix = 'ios-voice'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.Voice, self).__init__()

            self.yang_name = "voice"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {"service" : ("service", Native.Voice.Service)}

            self.service = YList(self)
            self._segment_path = lambda: "Cisco-IOS-XE-voice:voice"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Voice, [], name, value)


        class Service(Entity):
            """
            Global packet telephony service commands
            
            .. attribute:: type  <key>
            
            	
            	**type**\:  :py:class:`Type <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service.Type>`
            
            .. attribute:: fax
            
            	Global fax commands
            	**type**\:  :py:class:`Fax <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service.Fax>`
            
            

            """

            _prefix = 'ios-voice'
            _revision = '2017-02-07'

            def __init__(self):
                super(Native.Voice.Service, self).__init__()

                self.yang_name = "service"
                self.yang_parent_name = "voice"
                self.is_top_level_class = False
                self.has_list_ancestor = False
                self._child_container_classes = {"fax" : ("fax", Native.Voice.Service.Fax)}
                self._child_list_classes = {}

                self.type = YLeaf(YType.enumeration, "type")

                self.fax = Native.Voice.Service.Fax()
                self.fax.parent = self
                self._children_name_map["fax"] = "fax"
                self._children_yang_names.add("fax")
                self._segment_path = lambda: "service" + "[type='" + self.type.get() + "']"
                self._absolute_path = lambda: "Cisco-IOS-XE-native:native/Cisco-IOS-XE-voice:voice/%s" % self._segment_path()

            def __setattr__(self, name, value):
                self._perform_setattr(Native.Voice.Service, ['type'], name, value)

            class Type(Enum):
                """
                Type

                .. data:: pots = 0

                .. data:: saf = 1

                .. data:: voatm = 2

                .. data:: vofr = 3

                .. data:: voip = 4

                """

                pots = Enum.YLeaf(0, "pots")

                saf = Enum.YLeaf(1, "saf")

                voatm = Enum.YLeaf(2, "voatm")

                vofr = Enum.YLeaf(3, "vofr")

                voip = Enum.YLeaf(4, "voip")



            class Fax(Entity):
                """
                Global fax commands
                
                .. attribute:: protocol
                
                	The system\-wide fax protocol type
                	**type**\:  :py:class:`Protocol <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service.Fax.Protocol>`
                
                .. attribute:: fallback
                
                	fax transport to use if T.38 unsupported on far end
                	**type**\:  :py:class:`Fallback <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service.Fax.Fallback>`
                
                .. attribute:: codec
                
                	
                	**type**\:  :py:class:`Codec <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service.Fax.Codec>`
                
                .. attribute:: ls_redundancy
                
                	t38 low speed redundancy
                	**type**\: int
                
                	**range:** 0..5
                
                .. attribute:: hs_redundancy
                
                	t38 high speed redundancy
                	**type**\: int
                
                	**range:** 0..2
                
                .. attribute:: version
                
                	t38 fax version
                	**type**\:  :py:class:`Version <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Voice.Service.Fax.Version>`
                
                

                """

                _prefix = 'ios-voice'
                _revision = '2017-02-07'

                def __init__(self):
                    super(Native.Voice.Service.Fax, self).__init__()

                    self.yang_name = "fax"
                    self.yang_parent_name = "service"
                    self.is_top_level_class = False
                    self.has_list_ancestor = True
                    self._child_container_classes = {}
                    self._child_list_classes = {}

                    self.protocol = YLeaf(YType.enumeration, "protocol")

                    self.fallback = YLeaf(YType.enumeration, "fallback")

                    self.codec = YLeaf(YType.enumeration, "codec")

                    self.ls_redundancy = YLeaf(YType.uint8, "ls-redundancy")

                    self.hs_redundancy = YLeaf(YType.uint8, "hs-redundancy")

                    self.version = YLeaf(YType.enumeration, "version")
                    self._segment_path = lambda: "fax"

                def __setattr__(self, name, value):
                    self._perform_setattr(Native.Voice.Service.Fax, ['protocol', 'fallback', 'codec', 'ls_redundancy', 'hs_redundancy', 'version'], name, value)

                class Codec(Enum):
                    """
                    Codec

                    .. data:: g711alaw = 0

                    .. data:: g711ulaw = 1

                    """

                    g711alaw = Enum.YLeaf(0, "g711alaw")

                    g711ulaw = Enum.YLeaf(1, "g711ulaw")


                class Fallback(Enum):
                    """
                    Fallback

                    fax transport to use if T.38 unsupported on far end

                    .. data:: cisco = 0

                    .. data:: none = 1

                    .. data:: pass_through = 2

                    """

                    cisco = Enum.YLeaf(0, "cisco")

                    none = Enum.YLeaf(1, "none")

                    pass_through = Enum.YLeaf(2, "pass-through")


                class Protocol(Enum):
                    """
                    Protocol

                    The system\-wide fax protocol type

                    .. data:: cisco = 0

                    .. data:: none = 1

                    .. data:: pass_through = 2

                    .. data:: t38 = 3

                    """

                    cisco = Enum.YLeaf(0, "cisco")

                    none = Enum.YLeaf(1, "none")

                    pass_through = Enum.YLeaf(2, "pass-through")

                    t38 = Enum.YLeaf(3, "t38")


                class Version(Enum):
                    """
                    Version

                    t38 fax version

                    .. data:: Y_0 = 0

                    .. data:: Y_3 = 1

                    """

                    Y_0 = Enum.YLeaf(0, "0")

                    Y_3 = Enum.YLeaf(1, "3")



    class VoiceCard(Entity):
        """
        Configure a specific voice\-card
        
        .. attribute:: slot  <key>
        
        	
        	**type**\: int
        
        	**range:** 0..2
        
        

        """

        _prefix = 'ios-voice'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.VoiceCard, self).__init__()

            self.yang_name = "voice-card"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.slot = YLeaf(YType.uint8, "slot")
            self._segment_path = lambda: "Cisco-IOS-XE-voice:voice-card" + "[slot='" + self.slot.get() + "']"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.VoiceCard, ['slot'], name, value)


    class Vpdn(Entity):
        """
        Virtual Private Dialup Network
        
        .. attribute:: authen_before_forward
        
        	Authenticate a user locally before tunnelling
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: enable
        
        	Enable VPDN
        	**type**\: :py:class:`Empty<ydk.types.Empty>`
        
        .. attribute:: search_order
        
        	Configure the order to search different VPDN tunnel types
        	**type**\: list of   :py:class:`SearchOrder <ydk.models.cisco_ios_xe.Cisco_IOS_XE_native.Native.Vpdn.SearchOrder>`
        
        

        """

        _prefix = 'ios-vpdn'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.Vpdn, self).__init__()

            self.yang_name = "vpdn"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.authen_before_forward = YLeaf(YType.empty, "authen-before-forward")

            self.enable = YLeaf(YType.empty, "enable")

            self.search_order = YLeafList(YType.enumeration, "search-order")
            self._segment_path = lambda: "Cisco-IOS-XE-vpdn:vpdn"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Vpdn, ['authen_before_forward', 'enable', 'search_order'], name, value)

        class SearchOrder(Enum):
            """
            SearchOrder

            Configure the order to search different VPDN tunnel types

            .. data:: dnis = 0

            .. data:: domain = 1

            .. data:: multihop_hostname = 2

            """

            dnis = Enum.YLeaf(0, "dnis")

            domain = Enum.YLeaf(1, "domain")

            multihop_hostname = Enum.YLeaf(2, "multihop-hostname")



    class Vstack(Entity):
        """
        Configure vstack parameters and enable or disable SmartInstall
        
        .. attribute:: director
        
        	Configure director's IP address
        	**type**\: str
        
        	**pattern:** (([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])\\.){3}([0\-9]\|[1\-9][0\-9]\|1[0\-9][0\-9]\|2[0\-4][0\-9]\|25[0\-5])(%[\\p{N}\\p{L}]+)?
        
        

        """

        _prefix = 'ios-vstack'
        _revision = '2017-02-07'

        def __init__(self):
            super(Native.Vstack, self).__init__()

            self.yang_name = "vstack"
            self.yang_parent_name = "native"
            self.is_top_level_class = False
            self.has_list_ancestor = False
            self._child_container_classes = {}
            self._child_list_classes = {}

            self.director = YLeaf(YType.str, "director")
            self._segment_path = lambda: "Cisco-IOS-XE-vstack:vstack"
            self._absolute_path = lambda: "Cisco-IOS-XE-native:native/%s" % self._segment_path()

        def __setattr__(self, name, value):
            self._perform_setattr(Native.Vstack, ['director'], name, value)

    def clone_ptr(self):
        self._top_entity = Native()
        return self._top_entity

